# !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
# This file is machine-generated by lib/unicore/mktables from the Unicode
# database, Version 14.0.0.  Any changes made here will be lost!

sub TODO_FAILING_BREAKS { 0 }

use strict;
use warnings;

use feature 'signatures';

no warnings 'experimental::uniprop_wildcards';

# Test qr/\X/ and the \p{} regular expression constructs.  This file is
# constructed by mktables from the tables it generates, so if mktables is
# buggy, this won't necessarily catch those bugs.  Tests are generated for all
# feasible properties; a few aren't currently feasible; see
# is_code_point_usable() in mktables for details.

# Standard test packages are not used because this manipulates SIG_WARN.  It
# exits 0 if every non-skipped test succeeded; -1 if any failed.

my $Tests = 0;
my $Fails = 0;

# loc_tools.pl requires this function to be defined
sub ok($pass, @msg) {
    print "not " unless $pass;
    print "ok ";
    print ++$Tests;
    print " - ", join "", @msg if @msg;
    print "\n";
}

sub Expect($expected, $ord, $regex, $warning_type='') {
    my $line   = (caller)[2];

    # Convert the code point to hex form
    my $string = sprintf "\"\\x{%04X}\"", $ord;

    my @tests = "";

    # The first time through, use all warnings.  If the input should generate
    # a warning, add another time through with them turned off
    push @tests, "no warnings '$warning_type';" if $warning_type;

    foreach my $no_warnings (@tests) {

        # Store any warning messages instead of outputting them
        local $SIG{__WARN__} = $SIG{__WARN__};
        my $warning_message;
        $SIG{__WARN__} = sub { $warning_message = $_[0] };

        $Tests++;

        # A string eval is needed because of the 'no warnings'.
        # Assumes no parentheses in the regular expression
        my $result = eval "$no_warnings
                            my \$RegObj = qr($regex);
                            $string =~ \$RegObj ? 1 : 0";
        if (not defined $result) {
            print "not ok $Tests - couldn't compile /$regex/; line $line: $@\n";
            $Fails++;
        }
        elsif ($result ^ $expected) {
            print "not ok $Tests - expected $expected but got $result for $string =~ qr/$regex/; line $line\n";
            $Fails++;
        }
        elsif ($warning_message) {
            if (! $warning_type || ($warning_type && $no_warnings)) {
                print "not ok $Tests - for qr/$regex/ did not expect warning message '$warning_message'; line $line\n";
                $Fails++;
            }
            else {
                print "ok $Tests - expected and got a warning message for qr/$regex/; line $line\n";
            }
        }
        elsif ($warning_type && ! $no_warnings) {
            print "not ok $Tests - for qr/$regex/ expected a $warning_type warning message, but got none; line $line\n";
            $Fails++;
        }
        else {
            print "ok $Tests - got $result for $string =~ qr/$regex/; line $line\n";
        }
    }
    return;
}

sub Error($regex) {
    $Tests++;
    if (eval { 'x' =~ qr/$regex/; 1 }) {
        $Fails++;
        my $line = (caller)[2];
        print "not ok $Tests - re compiled ok, but expected error for qr/$regex/; line $line: $@\n";
    }
    else {
        my $line = (caller)[2];
        print "ok $Tests - got and expected error for qr/$regex/; line $line\n";
    }
    return;
}

# Break test files (e.g. GCBTest.txt) character that break allowed here
my $breakable_utf8 = my $breakable = chr(utf8::unicode_to_native(0xF7));
utf8::upgrade($breakable_utf8);

# Break test files (e.g. GCBTest.txt) character that indicates can't break
# here
my $nobreak_utf8 = my $nobreak = chr(utf8::unicode_to_native(0xD7));
utf8::upgrade($nobreak_utf8);

my $are_ctype_locales_available;
my $utf8_locale;
chdir 't' if -d 't';
eval { require "./loc_tools.pl" };
if (defined &locales_enabled) {
    $are_ctype_locales_available = locales_enabled('LC_CTYPE');
    if ($are_ctype_locales_available) {
        $utf8_locale = &find_utf8_ctype_locale;
    }
}

# Eval'd so can run on versions earlier than the property is available in
my $WB_Extend_or_Format_re = eval 'qr/[\p{WB=Extend}\p{WB=Format}\p{WB=ZWJ}]/';
if (! defined $WB_Extend_or_Format_re) {
    $WB_Extend_or_Format_re = eval 'qr/[\p{WB=Extend}\p{WB=Format}]/';
}

sub _test_break($template, $break_type) {
    # Test various break property matches.  The 2nd parameter gives the
    # property name.  The input is a line from auxiliary/*Test.txt for the
    # given property.  Each such line is a sequence of Unicode (not native)
    # code points given by their hex numbers, separated by the two characters
    # defined just before this subroutine that indicate that either there can
    # or cannot be a break between the adjacent code points.  All these are
    # tested.
    #
    # For the gcb property extra tests are made.  if there isn't a break, that
    # means the sequence forms an extended grapheme cluster, which means that
    # \X should match the whole thing.  If there is a break, \X should stop
    # there.  This is all converted by this routine into a match: $string =~
    # /(\X)/, Each \X should match the next cluster; and that is what is
    # checked.

    my $line   = (caller 1)[2];   # Line number
    my $comment = "";

    if ($template =~ / ( .*? ) \s* \# (.*) /x) {
        $template = $1;
        $comment = $2;

        # Replace leading spaces with a single one.
        $comment =~ s/ ^ \s* / # /x;
    }

    # The line contains characters above the ASCII range, but in Latin1.  It
    # may or may not be in utf8, and if it is, it may or may not know it.  So,
    # convert these characters to 8 bits.  If knows is in utf8, simply
    # downgrade.
    if (utf8::is_utf8($template)) {
        utf8::downgrade($template);
    } else {

        # Otherwise, if it is in utf8, but doesn't know it, the next lines
        # convert the two problematic characters to their 8-bit equivalents.
        # If it isn't in utf8, they don't harm anything.
        use bytes;
        $template =~ s/$nobreak_utf8/$nobreak/g;
        $template =~ s/$breakable_utf8/$breakable/g;
    }

    # Perl customizes wb.  So change the official tests accordingly
    if ($break_type eq 'wb' && $WB_Extend_or_Format_re) {

        # Split into elements that alternate between code point and
        # break/no-break
        my @line = split / +/, $template;

        # Look at each code point and its following one
        for (my $i = 1; $i <  @line - 1 - 1; $i+=2) {

            # The customization only involves changing some breaks to
            # non-breaks.
            next if $line[$i+1] =~ /$nobreak/;

            my $lhs = chr utf8::unicode_to_native(hex $line[$i]);
            my $rhs = chr utf8::unicode_to_native(hex $line[$i+2]);

            # And it only affects adjacent space characters.
            next if $lhs !~ /\s/u;

            # But, we want to make sure to test spaces followed by a Extend
            # or Format.
            next if $rhs !~ /\s|$WB_Extend_or_Format_re/;

            # To test the customization, add some white-space before this to
            # create a span.  The $lhs white space may or may not be bound to
            # that span, and also with the $rhs.  If the $rhs is a binding
            # character, the $lhs is bound to it and not to the span, unless
            # $lhs is vertical space.  In all other cases, the $lhs is bound
            # to the span.  If the $rhs is white space, it is bound to the
            # $lhs
            my $bound;
            my $span;
            if ($rhs =~ /$WB_Extend_or_Format_re/) {
                if ($lhs =~ /\v/) {
                    $bound = $breakable;
                    $span = $nobreak;
                }
                else {
                    $bound = $nobreak;
                    $span = $breakable;
                }
            }
            else {
                $span = $nobreak;
                $bound = $nobreak;
            }

            splice @line, $i, 0, ( '0020', $nobreak, '0020', $span);
            $i += 4;
            $line[$i+1] = $bound;
        }
        $template = join " ", @line;
    }

    # The input is just the break/no-break symbols and sequences of Unicode
    # code points as hex digits separated by spaces for legibility. e.g.:
    # ÷ 0020 × 0308 ÷ 0020 ÷
    # Convert to native \x format
    $template =~ s/ \s* ( [[:xdigit:]]+ ) \s* /sprintf("\\x{%02X}", utf8::unicode_to_native(hex $1))/gex;
    $template =~ s/ \s* //gx;   # Probably the line above removed all spaces;
                                # but be sure

    # Make a copy of the input with the symbols replaced by \b{} and \B{} as
    # appropriate
    my $break_pattern = $template =~ s/ $breakable /\\b{$break_type}/grx;
    $break_pattern =~ s/ $nobreak /\\B{$break_type}/gx;

    my $display_string = $template =~ s/[$breakable$nobreak]//gr;
    my $string = eval "\"$display_string\"";

    # The remaining massaging of the input is for the \X tests.  Get rid of
    # the leading and trailing breakables
    $template =~ s/^ \s* $breakable \s* //x;
    $template =~ s/ \s* $breakable \s* $ //x;

    # Delete no-breaks
    $template =~ s/ \s* $nobreak \s* //xg;

    # Split the input into segments that are breakable between them.
    my @should_display = split /\s*$breakable\s*/, $template;
    my @should_match = map { eval "\"$_\"" } @should_display;

    # If a string can be represented in both non-ut8 and utf8, test both cases
    my $display_upgrade = "";
    UPGRADE:
    for my $to_upgrade (0 .. 1) {

        if ($to_upgrade) {

            # If already in utf8, would just be a repeat
            next UPGRADE if utf8::is_utf8($string);

            utf8::upgrade($string);
            $display_upgrade = " (utf8-upgraded)";
        }

        my @modifiers = qw(a aa d u i);
        if ($are_ctype_locales_available) {
            push @modifiers, "l$utf8_locale" if defined $utf8_locale;

            # The /l modifier has C after it to indicate the locale to try
            push @modifiers, "lC";
        }

        # Test for each of the regex modifiers.
        for my $modifier (@modifiers) {
            my $display_locale = "";

            # For /l, set the locale to what it says to.
            if ($modifier =~ / ^ l (.*) /x) {
                my $locale = $1;
                $display_locale = "(locale = $locale)";
                POSIX::setlocale(POSIX::LC_CTYPE(), $locale);
                $modifier = 'l';
            }

            no warnings qw(locale regexp surrogate);
            my $pattern = "(?$modifier:$break_pattern)";

            # Actually do the test
            my $matched_text;
            my $matched = $string =~ qr/$pattern/;
            if ($matched) {
                $matched_text = "matched";
            }
            else {
                $matched_text = "failed to match";
                print "not ";

                if (TODO_FAILING_BREAKS) {
                    $comment = " # $comment" unless $comment =~ / ^ \s* \# /x;
                    $comment =~ s/#/# TODO/;
                }
            }
            print "ok ", ++$Tests, " - \"$display_string\" $matched_text /$pattern/$display_upgrade; line $line $display_locale$comment\n";

            # Only print the comment on the first use of this line
            $comment = "";

            # Repeat with the first \B{} in the pattern.  This makes sure the
            # code in regexec.c:find_byclass() for \B gets executed
            if ($pattern =~ / ( .*? : ) .* ( \\B\{ .* ) /x) {
                my $B_pattern = "$1$2";
                $matched = $string =~ qr/$B_pattern/;
                print "not " unless $matched;
                $matched_text = ($matched) ? "matched" : "failed to match";
                print "ok ", ++$Tests, " - \"$display_string\" $matched_text /$B_pattern/$display_upgrade; line $line $display_locale";
                print " # TODO" if TODO_FAILING_BREAKS && ! $matched;
                print "\n";
            }
        }

        next if $break_type ne 'gcb';

        # Finally, do the \X match.
        my @matches = $string =~ /(\X)/g;

        # Look through each matched cluster to verify that it matches what we
        # expect.
        my $min = (@matches < @should_match) ? @matches : @should_match;
        for my $i (0 .. $min - 1) {
            $Tests++;
            if ($matches[$i] eq $should_match[$i]) {
                print "ok $Tests - ";
                if ($i == 0) {
                    print "In \"$display_string\" =~ /(\\X)/g, \\X #1";
                } else {
                    print "And \\X #", $i + 1,
                }
                print " correctly matched $should_display[$i]; line $line\n";
            } else {
                $matches[$i] = join("", map { sprintf "\\x{%04X}", ord $_ }
                                                    split "", $matches[$i]);
                print "not ok $Tests -";
                print " # TODO" if TODO_FAILING_BREAKS;
                print " In \"$display_string\" =~ /(\\X)/g, \\X #",
                    $i + 1,
                    " should have matched $should_display[$i]",
                    " but instead matched $matches[$i]",
                    ".  Abandoning rest of line $line\n";
                next UPGRADE;
            }
        }

        # And the number of matches should equal the number of expected matches.
        $Tests++;
        if (@matches == @should_match) {
            print "ok $Tests - Nothing was left over; line $line\n";
        } else {
            print "not ok $Tests - There were ", scalar @should_match, " \\X matches expected, but got ", scalar @matches, " instead; line $line";
            print " # TODO" if TODO_FAILING_BREAKS;
            print "\n";
        }
    }

    return;
}

sub Test_GCB($t) {
    _test_break($t, 'gcb');
}

sub Test_LB($t) {
    _test_break($t, 'lb');
}

sub Test_SB($t) {
    _test_break($t, 'sb');
}

sub Test_WB($t) {
    _test_break($t, 'wb');
}

sub Finished() {
    print "1..$Tests\n";
    exit($Fails ? -1 : 0);
}

if (!$::TESTCHUNK or $::TESTCHUNK == 1) {
    Error('\p{Script=InGreek}');    # Bug #69018
    Test_GCB("1100 $nobreak 1161");  # Bug #70940
    Expect(0, 0x2028, '\p{Print}', ""); # Bug # 71722
    Expect(0, 0x2029, '\p{Print}', ""); # Bug # 71722
    Expect(1, 0xFF10, '\p{XDigit}', ""); # Bug # 71726
    Error('\p{InKana}');    # 'Kana' is not a block so InKana shouldn't compile
    Expect(1, 0xB6, '\p{In=V1_1}', ""); # Didn't use to work
    Expect(1, 0x3A2,'\p{In=NA}', "");   # Didn't use to work
    
    # Make sure this gets tested; it was not part of the official test suite at
    # the time this was added.  Note that this is as it would appear in the
    # official suite, and gets modified to check for the perl tailoring by
    # Test_WB()
    Test_WB("$breakable 0020 $breakable 0020 $breakable 0308 $breakable");
    Test_LB("$nobreak 200B $nobreak 0020 $nobreak 0020 $breakable 2060 $breakable");
    Expect(1, ord(" "), '\p{gc=:(?aa)s:}', "");     # /aa is valid
    Expect(1, ord(" "), '\p{gc=:(?-s)s:}', "");     # /-s is valid
    ;
    Error('\p{_perllb}');
    Error('\P{_perllb}');
    Error('\p{_perlscx}');
    Error('\P{_perlscx}');
    Error('\p{age}');
    Error('\P{age}');
    Error('\p{Age=_V1_1/a/}');
    Error('\P{Age=_V1_1/a/}');
    Expect(1, 65533, '\p{Age=:\AV1_1\z:}', "");;
    Expect(0, 65536, '\p{Age=:\AV1_1\z:}', "");;
    Expect(1, 65533, '\p{Age=v11}', "");
    Expect(0, 65533, '\p{^Age=v11}', "");
    Expect(0, 65533, '\P{Age=v11}', "");
    Expect(1, 65533, '\P{^Age=v11}', "");
    Expect(0, 65536, '\p{Age=v11}', "");
    Expect(1, 65536, '\p{^Age=v11}', "");
    Expect(1, 65536, '\P{Age=v11}', "");
    Expect(0, 65536, '\P{^Age=v11}', "");
    Expect(1, 65533, '\p{Age=:\Av11\z:}', "");;
    Expect(0, 65536, '\p{Age=:\Av11\z:}', "");;
    Expect(1, 65533, '\p{Age=	v1_1}', "");
    Expect(0, 65533, '\p{^Age=	v1_1}', "");
    Expect(0, 65533, '\P{Age=	v1_1}', "");
    Expect(1, 65533, '\P{^Age=	v1_1}', "");
    Expect(0, 65536, '\p{Age=	v1_1}', "");
    Expect(1, 65536, '\p{^Age=	v1_1}', "");
    Expect(1, 65536, '\P{Age=	v1_1}', "");
    Expect(0, 65536, '\P{^Age=	v1_1}', "");
    Error('\p{Is_Age=:=	 000000001.1}');
    Error('\P{Is_Age=:=	 000000001.1}');
    Expect(1, 65533, '\p{Is_Age=+0_1.1}', "");
    Expect(0, 65533, '\p{^Is_Age=+0_1.1}', "");
    Expect(0, 65533, '\P{Is_Age=+0_1.1}', "");
    Expect(1, 65533, '\P{^Is_Age=+0_1.1}', "");
    Expect(0, 65536, '\p{Is_Age=+0_1.1}', "");
    Expect(1, 65536, '\p{^Is_Age=+0_1.1}', "");
    Expect(1, 65536, '\P{Is_Age=+0_1.1}', "");
    Expect(0, 65536, '\P{^Is_Age=+0_1.1}', "");
    Error('\p{Age=		v10_0:=}');
    Error('\P{Age=		v10_0:=}');
    Expect(1, 191456, '\p{Age=:\AV10_0\z:}', "");;
    Expect(0, 191457, '\p{Age=:\AV10_0\z:}', "");;
    Expect(1, 191456, '\p{Age=v100}', "");
    Expect(0, 191456, '\p{^Age=v100}', "");
    Expect(0, 191456, '\P{Age=v100}', "");
    Expect(1, 191456, '\P{^Age=v100}', "");
    Expect(0, 191457, '\p{Age=v100}', "");
    Expect(1, 191457, '\p{^Age=v100}', "");
    Expect(1, 191457, '\P{Age=v100}', "");
    Expect(0, 191457, '\P{^Age=v100}', "");
    Expect(1, 191456, '\p{Age=:\Av100\z:}', "");;
    Expect(0, 191457, '\p{Age=:\Av100\z:}', "");;
    Expect(1, 191456, '\p{Age=	-V10_0}', "");
    Expect(0, 191456, '\p{^Age=	-V10_0}', "");
    Expect(0, 191456, '\P{Age=	-V10_0}', "");
    Expect(1, 191456, '\P{^Age=	-V10_0}', "");
    Expect(0, 191457, '\p{Age=	-V10_0}', "");
    Expect(1, 191457, '\p{^Age=	-V10_0}', "");
    Expect(1, 191457, '\P{Age=	-V10_0}', "");
    Expect(0, 191457, '\P{^Age=	-V10_0}', "");
    Error('\p{Is_Age:   __0_0_0_0_0_0_0010.0/a/}');
    Error('\P{Is_Age:   __0_0_0_0_0_0_0010.0/a/}');
    Expect(1, 191456, '\p{Is_Age=0000010.0}', "");
    Expect(0, 191456, '\p{^Is_Age=0000010.0}', "");
    Expect(0, 191456, '\P{Is_Age=0000010.0}', "");
    Expect(1, 191456, '\P{^Is_Age=0000010.0}', "");
    Expect(0, 191457, '\p{Is_Age=0000010.0}', "");
    Expect(1, 191457, '\p{^Is_Age=0000010.0}', "");
    Expect(1, 191457, '\P{Is_Age=0000010.0}', "");
    Expect(0, 191457, '\P{^Is_Age=0000010.0}', "");
    Error('\p{Age=/a/V11_0}');
    Error('\P{Age=/a/V11_0}');
    Expect(1, 129645, '\p{Age=:\AV11_0\z:}', "");;
    Expect(0, 129646, '\p{Age=:\AV11_0\z:}', "");;
    Expect(1, 129645, '\p{Age=v110}', "");
    Expect(0, 129645, '\p{^Age=v110}', "");
    Expect(0, 129645, '\P{Age=v110}', "");
    Expect(1, 129645, '\P{^Age=v110}', "");
    Expect(0, 129646, '\p{Age=v110}', "");
    Expect(1, 129646, '\p{^Age=v110}', "");
    Expect(1, 129646, '\P{Age=v110}', "");
    Expect(0, 129646, '\P{^Age=v110}', "");
    Expect(1, 129645, '\p{Age=:\Av110\z:}', "");;
    Expect(0, 129646, '\p{Age=:\Av110\z:}', "");;
    Expect(1, 129645, '\p{Age= _V11_0}', "");
    Expect(0, 129645, '\p{^Age= _V11_0}', "");
    Expect(0, 129645, '\P{Age= _V11_0}', "");
    Expect(1, 129645, '\P{^Age= _V11_0}', "");
    Expect(0, 129646, '\p{Age= _V11_0}', "");
    Expect(1, 129646, '\p{^Age= _V11_0}', "");
    Expect(1, 129646, '\P{Age= _V11_0}', "");
    Expect(0, 129646, '\P{^Age= _V11_0}', "");
    Error('\p{Is_Age=_ +0000011.0:=}');
    Error('\P{Is_Age=_ +0000011.0:=}');
    Expect(1, 129645, '\p{Is_Age=1_1.0}', "");
    Expect(0, 129645, '\p{^Is_Age=1_1.0}', "");
    Expect(0, 129645, '\P{Is_Age=1_1.0}', "");
    Expect(1, 129645, '\P{^Is_Age=1_1.0}', "");
    Expect(0, 129646, '\p{Is_Age=1_1.0}', "");
    Expect(1, 129646, '\p{^Is_Age=1_1.0}', "");
    Expect(1, 129646, '\P{Is_Age=1_1.0}', "");
    Expect(0, 129646, '\P{^Is_Age=1_1.0}', "");
    Error('\p{Age= V12_0:=}');
    Error('\P{Age= V12_0:=}');
    Expect(1, 129685, '\p{Age=:\AV12_0\z:}', "");;
    Expect(0, 129686, '\p{Age=:\AV12_0\z:}', "");;
    Expect(1, 129685, '\p{Age=v120}', "");
    Expect(0, 129685, '\p{^Age=v120}', "");
    Expect(0, 129685, '\P{Age=v120}', "");
    Expect(1, 129685, '\P{^Age=v120}', "");
    Expect(0, 129686, '\p{Age=v120}', "");
    Expect(1, 129686, '\p{^Age=v120}', "");
    Expect(1, 129686, '\P{Age=v120}', "");
    Expect(0, 129686, '\P{^Age=v120}', "");
    Expect(1, 129685, '\p{Age=:\Av120\z:}', "");;
    Expect(0, 129686, '\p{Age=:\Av120\z:}', "");;
    Expect(1, 129685, '\p{Age= _V12_0}', "");
    Expect(0, 129685, '\p{^Age= _V12_0}', "");
    Expect(0, 129685, '\P{Age= _V12_0}', "");
    Expect(1, 129685, '\P{^Age= _V12_0}', "");
    Expect(0, 129686, '\p{Age= _V12_0}', "");
    Expect(1, 129686, '\p{^Age= _V12_0}', "");
    Expect(1, 129686, '\P{Age= _V12_0}', "");
    Expect(0, 129686, '\P{^Age= _V12_0}', "");
    Error('\p{Is_Age=/a/		0000000012.0}');
    Error('\P{Is_Age=/a/		0000000012.0}');
    Expect(1, 129685, '\p{Is_Age=00_00_01_2.0}', "");
    Expect(0, 129685, '\p{^Is_Age=00_00_01_2.0}', "");
    Expect(0, 129685, '\P{Is_Age=00_00_01_2.0}', "");
    Expect(1, 129685, '\P{^Is_Age=00_00_01_2.0}', "");
    Expect(0, 129686, '\p{Is_Age=00_00_01_2.0}', "");
    Expect(1, 129686, '\p{^Is_Age=00_00_01_2.0}', "");
    Expect(1, 129686, '\P{Is_Age=00_00_01_2.0}', "");
    Expect(0, 129686, '\P{^Is_Age=00_00_01_2.0}', "");
    Error('\p{Age=_V12_1/a/}');
    Error('\P{Age=_V12_1/a/}');
    Expect(1, 13055, '\p{Age=:\AV12_1\z:}', "");;
    Expect(0, 13056, '\p{Age=:\AV12_1\z:}', "");;
    Expect(1, 13055, '\p{Age=v121}', "");
    Expect(0, 13055, '\p{^Age=v121}', "");
    Expect(0, 13055, '\P{Age=v121}', "");
    Expect(1, 13055, '\P{^Age=v121}', "");
    Expect(0, 13056, '\p{Age=v121}', "");
    Expect(1, 13056, '\p{^Age=v121}', "");
    Expect(1, 13056, '\P{Age=v121}', "");
    Expect(0, 13056, '\P{^Age=v121}', "");
    Expect(1, 13055, '\p{Age=:\Av121\z:}', "");;
    Expect(0, 13056, '\p{Age=:\Av121\z:}', "");;
    Expect(1, 13055, '\p{Age= 	V12_1}', "");
    Expect(0, 13055, '\p{^Age= 	V12_1}', "");
    Expect(0, 13055, '\P{Age= 	V12_1}', "");
    Expect(1, 13055, '\P{^Age= 	V12_1}', "");
    Expect(0, 13056, '\p{Age= 	V12_1}', "");
    Expect(1, 13056, '\p{^Age= 	V12_1}', "");
    Expect(1, 13056, '\P{Age= 	V12_1}', "");
    Expect(0, 13056, '\P{^Age= 	V12_1}', "");
    Error('\p{Is_Age=:=-+012.1}');
    Error('\P{Is_Age=:=-+012.1}');
    Expect(1, 13055, '\p{Is_Age=000000012.1}', "");
    Expect(0, 13055, '\p{^Is_Age=000000012.1}', "");
    Expect(0, 13055, '\P{Is_Age=000000012.1}', "");
    Expect(1, 13055, '\P{^Is_Age=000000012.1}', "");
    Expect(0, 13056, '\p{Is_Age=000000012.1}', "");
    Expect(1, 13056, '\p{^Is_Age=000000012.1}', "");
    Expect(1, 13056, '\P{Is_Age=000000012.1}', "");
    Expect(0, 13056, '\P{^Is_Age=000000012.1}', "");
    Error('\p{Age=--V13_0/a/}');
    Error('\P{Age=--V13_0/a/}');
    Expect(1, 201546, '\p{Age=:\AV13_0\z:}', "");;
    Expect(0, 201547, '\p{Age=:\AV13_0\z:}', "");;
    Expect(1, 201546, '\p{Age=v130}', "");
    Expect(0, 201546, '\p{^Age=v130}', "");
    Expect(0, 201546, '\P{Age=v130}', "");
    Expect(1, 201546, '\P{^Age=v130}', "");
    Expect(0, 201547, '\p{Age=v130}', "");
    Expect(1, 201547, '\p{^Age=v130}', "");
    Expect(1, 201547, '\P{Age=v130}', "");
    Expect(0, 201547, '\P{^Age=v130}', "");
    Expect(1, 201546, '\p{Age=:\Av130\z:}', "");;
    Expect(0, 201547, '\p{Age=:\Av130\z:}', "");;
    Expect(1, 201546, '\p{Age= V13_0}', "");
    Expect(0, 201546, '\p{^Age= V13_0}', "");
    Expect(0, 201546, '\P{Age= V13_0}', "");
    Expect(1, 201546, '\P{^Age= V13_0}', "");
    Expect(0, 201547, '\p{Age= V13_0}', "");
    Expect(1, 201547, '\p{^Age= V13_0}', "");
    Expect(1, 201547, '\P{Age= V13_0}', "");
    Expect(0, 201547, '\P{^Age= V13_0}', "");
    Error('\p{Is_Age=	01_3.0/a/}');
    Error('\P{Is_Age=	01_3.0/a/}');
    Expect(1, 201546, '\p{Is_Age=+00000013.0}', "");
    Expect(0, 201546, '\p{^Is_Age=+00000013.0}', "");
    Expect(0, 201546, '\P{Is_Age=+00000013.0}', "");
    Expect(1, 201546, '\P{^Is_Age=+00000013.0}', "");
    Expect(0, 201547, '\p{Is_Age=+00000013.0}', "");
    Expect(1, 201547, '\p{^Is_Age=+00000013.0}', "");
    Expect(1, 201547, '\P{Is_Age=+00000013.0}', "");
    Expect(0, 201547, '\P{^Is_Age=+00000013.0}', "");
    Error('\p{Age=	V14_0/a/}');
    Error('\P{Age=	V14_0/a/}');
    Expect(1, 177976, '\p{Age=:\AV14_0\z:}', "");;
    Expect(0, 177977, '\p{Age=:\AV14_0\z:}', "");;
    Expect(1, 177976, '\p{Age=v140}', "");
    Expect(0, 177976, '\p{^Age=v140}', "");
    Expect(0, 177976, '\P{Age=v140}', "");
    Expect(1, 177976, '\P{^Age=v140}', "");
    Expect(0, 177977, '\p{Age=v140}', "");
    Expect(1, 177977, '\p{^Age=v140}', "");
    Expect(1, 177977, '\P{Age=v140}', "");
    Expect(0, 177977, '\P{^Age=v140}', "");
    Expect(1, 177976, '\p{Age=:\Av140\z:}', "");;
    Expect(0, 177977, '\p{Age=:\Av140\z:}', "");;
    Expect(1, 177976, '\p{Age=  V14_0}', "");
    Expect(0, 177976, '\p{^Age=  V14_0}', "");
    Expect(0, 177976, '\P{Age=  V14_0}', "");
    Expect(1, 177976, '\P{^Age=  V14_0}', "");
    Expect(0, 177977, '\p{Age=  V14_0}', "");
    Expect(1, 177977, '\p{^Age=  V14_0}', "");
    Expect(1, 177977, '\P{Age=  V14_0}', "");
    Expect(0, 177977, '\P{^Age=  V14_0}', "");
    Error('\p{Is_Age=:=	-+00000014.0}');
    Error('\P{Is_Age=:=	-+00000014.0}');
    Expect(1, 177976, '\p{Is_Age=0_0_0_0_0014.0}', "");
    Expect(0, 177976, '\p{^Is_Age=0_0_0_0_0014.0}', "");
    Expect(0, 177976, '\P{Is_Age=0_0_0_0_0014.0}', "");
    Expect(1, 177976, '\P{^Is_Age=0_0_0_0_0014.0}', "");
    Expect(0, 177977, '\p{Is_Age=0_0_0_0_0014.0}', "");
    Expect(1, 177977, '\p{^Is_Age=0_0_0_0_0014.0}', "");
    Expect(1, 177977, '\P{Is_Age=0_0_0_0_0014.0}', "");
    Expect(0, 177977, '\P{^Is_Age=0_0_0_0_0014.0}', "");
    Error('\p{Age= :=V2_0}');
    Error('\P{Age= :=V2_0}');
    Expect(1, 983040, '\p{Age=:\AV2_0\z:}', "");;
    Expect(0, 983037, '\p{Age=:\AV2_0\z:}', "");;
    Expect(1, 983040, '\p{Age=v20}', "");
    Expect(0, 983040, '\p{^Age=v20}', "");
    Expect(0, 983040, '\P{Age=v20}', "");
    Expect(1, 983040, '\P{^Age=v20}', "");
    Expect(0, 983037, '\p{Age=v20}', "");
    Expect(1, 983037, '\p{^Age=v20}', "");
    Expect(1, 983037, '\P{Age=v20}', "");
    Expect(0, 983037, '\P{^Age=v20}', "");
    Expect(1, 983040, '\p{Age=:\Av20\z:}', "");;
    Expect(0, 983037, '\p{Age=:\Av20\z:}', "");;
    Expect(1, 983040, '\p{Age=V2_0}', "");
    Expect(0, 983040, '\p{^Age=V2_0}', "");
    Expect(0, 983040, '\P{Age=V2_0}', "");
    Expect(1, 983040, '\P{^Age=V2_0}', "");
    Expect(0, 983037, '\p{Age=V2_0}', "");
    Expect(1, 983037, '\p{^Age=V2_0}', "");
    Expect(1, 983037, '\P{Age=V2_0}', "");
    Expect(0, 983037, '\P{^Age=V2_0}', "");
    Error('\p{Is_Age=/a/ -+0000002.0}');
    Error('\P{Is_Age=/a/ -+0000002.0}');
    Expect(1, 983040, '\p{Is_Age=2.0}', "");
    Expect(0, 983040, '\p{^Is_Age=2.0}', "");
    Expect(0, 983040, '\P{Is_Age=2.0}', "");
    Expect(1, 983040, '\P{^Is_Age=2.0}', "");
    Expect(0, 983037, '\p{Is_Age=2.0}', "");
    Expect(1, 983037, '\p{^Is_Age=2.0}', "");
    Expect(1, 983037, '\P{Is_Age=2.0}', "");
    Expect(0, 983037, '\P{^Is_Age=2.0}', "");
    Error('\p{Age: := _V2_1}');
    Error('\P{Age: := _V2_1}');
    Expect(1, 65532, '\p{Age=:\AV2_1\z:}', "");;
    Expect(0, 65533, '\p{Age=:\AV2_1\z:}', "");;
    Expect(1, 65532, '\p{Age=v21}', "");
    Expect(0, 65532, '\p{^Age=v21}', "");
    Expect(0, 65532, '\P{Age=v21}', "");
    Expect(1, 65532, '\P{^Age=v21}', "");
    Expect(0, 65533, '\p{Age=v21}', "");
    Expect(1, 65533, '\p{^Age=v21}', "");
    Expect(1, 65533, '\P{Age=v21}', "");
    Expect(0, 65533, '\P{^Age=v21}', "");
    Expect(1, 65532, '\p{Age=:\Av21\z:}', "");;
    Expect(0, 65533, '\p{Age=:\Av21\z:}', "");;
    Expect(1, 65532, '\p{Age=	_V2_1}', "");
    Expect(0, 65532, '\p{^Age=	_V2_1}', "");
    Expect(0, 65532, '\P{Age=	_V2_1}', "");
    Expect(1, 65532, '\P{^Age=	_V2_1}', "");
    Expect(0, 65533, '\p{Age=	_V2_1}', "");
    Expect(1, 65533, '\p{^Age=	_V2_1}', "");
    Expect(1, 65533, '\P{Age=	_V2_1}', "");
    Expect(0, 65533, '\P{^Age=	_V2_1}', "");
    Error('\p{Is_Age=:=  002.1}');
    Error('\P{Is_Age=:=  002.1}');
    Expect(1, 65532, '\p{Is_Age=+002.1}', "");
    Expect(0, 65532, '\p{^Is_Age=+002.1}', "");
    Expect(0, 65532, '\P{Is_Age=+002.1}', "");
    Expect(1, 65532, '\P{^Is_Age=+002.1}', "");
    Expect(0, 65533, '\p{Is_Age=+002.1}', "");
    Expect(1, 65533, '\p{^Is_Age=+002.1}', "");
    Expect(1, 65533, '\P{Is_Age=+002.1}', "");
    Expect(0, 65533, '\P{^Is_Age=+002.1}', "");
    Error('\p{Age=-/a/v3_0}');
    Error('\P{Age=-/a/v3_0}');
    Expect(1, 65531, '\p{Age=:\AV3_0\z:}', "");;
    Expect(0, 65532, '\p{Age=:\AV3_0\z:}', "");;
    Expect(1, 65531, '\p{Age=v30}', "");
    Expect(0, 65531, '\p{^Age=v30}', "");
    Expect(0, 65531, '\P{Age=v30}', "");
    Expect(1, 65531, '\P{^Age=v30}', "");
    Expect(0, 65532, '\p{Age=v30}', "");
    Expect(1, 65532, '\p{^Age=v30}', "");
    Expect(1, 65532, '\P{Age=v30}', "");
    Expect(0, 65532, '\P{^Age=v30}', "");
    Expect(1, 65531, '\p{Age=:\Av30\z:}', "");;
    Expect(0, 65532, '\p{Age=:\Av30\z:}', "");;
    Expect(1, 65531, '\p{Age=	V3_0}', "");
    Expect(0, 65531, '\p{^Age=	V3_0}', "");
    Expect(0, 65531, '\P{Age=	V3_0}', "");
    Expect(1, 65531, '\P{^Age=	V3_0}', "");
    Expect(0, 65532, '\p{Age=	V3_0}', "");
    Expect(1, 65532, '\p{^Age=	V3_0}', "");
    Expect(1, 65532, '\P{Age=	V3_0}', "");
    Expect(0, 65532, '\P{^Age=	V3_0}', "");
    Error('\p{Is_Age=:= 3.0}');
    Error('\P{Is_Age=:= 3.0}');
    Expect(1, 65531, '\p{Is_Age=3.0}', "");
    Expect(0, 65531, '\p{^Is_Age=3.0}', "");
    Expect(0, 65531, '\P{Is_Age=3.0}', "");
    Expect(1, 65531, '\P{^Is_Age=3.0}', "");
    Expect(0, 65532, '\p{Is_Age=3.0}', "");
    Expect(1, 65532, '\p{^Is_Age=3.0}', "");
    Expect(1, 65532, '\P{Is_Age=3.0}', "");
    Expect(0, 65532, '\P{^Is_Age=3.0}', "");
    Error('\p{Age=-/a/V3_1}');
    Error('\P{Age=-/a/V3_1}');
    Expect(1, 917631, '\p{Age=:\AV3_1\z:}', "");;
    Expect(0, 917632, '\p{Age=:\AV3_1\z:}', "");;
    Expect(1, 917631, '\p{Age=v31}', "");
    Expect(0, 917631, '\p{^Age=v31}', "");
    Expect(0, 917631, '\P{Age=v31}', "");
    Expect(1, 917631, '\P{^Age=v31}', "");
    Expect(0, 917632, '\p{Age=v31}', "");
    Expect(1, 917632, '\p{^Age=v31}', "");
    Expect(1, 917632, '\P{Age=v31}', "");
    Expect(0, 917632, '\P{^Age=v31}', "");
    Expect(1, 917631, '\p{Age=:\Av31\z:}', "");;
    Expect(0, 917632, '\p{Age=:\Av31\z:}', "");;
    Expect(1, 917631, '\p{Age=		V3_1}', "");
    Expect(0, 917631, '\p{^Age=		V3_1}', "");
    Expect(0, 917631, '\P{Age=		V3_1}', "");
    Expect(1, 917631, '\P{^Age=		V3_1}', "");
    Expect(0, 917632, '\p{Age=		V3_1}', "");
    Expect(1, 917632, '\p{^Age=		V3_1}', "");
    Expect(1, 917632, '\P{Age=		V3_1}', "");
    Expect(0, 917632, '\P{^Age=		V3_1}', "");
    Error('\p{Is_Age=:=- 0003.1}');
    Error('\P{Is_Age=:=- 0003.1}');
    Expect(1, 917631, '\p{Is_Age=+000003.1}', "");
    Expect(0, 917631, '\p{^Is_Age=+000003.1}', "");
    Expect(0, 917631, '\P{Is_Age=+000003.1}', "");
    Expect(1, 917631, '\P{^Is_Age=+000003.1}', "");
    Expect(0, 917632, '\p{Is_Age=+000003.1}', "");
    Expect(1, 917632, '\p{^Is_Age=+000003.1}', "");
    Expect(1, 917632, '\P{Is_Age=+000003.1}', "");
    Expect(0, 917632, '\P{^Is_Age=+000003.1}', "");
    Error('\p{Age=/a/__V3_2}');
    Error('\P{Age=/a/__V3_2}');
    Expect(1, 65376, '\p{Age=:\AV3_2\z:}', "");;
    Expect(0, 65377, '\p{Age=:\AV3_2\z:}', "");;
    Expect(1, 65376, '\p{Age=v32}', "");
    Expect(0, 65376, '\p{^Age=v32}', "");
    Expect(0, 65376, '\P{Age=v32}', "");
    Expect(1, 65376, '\P{^Age=v32}', "");
    Expect(0, 65377, '\p{Age=v32}', "");
    Expect(1, 65377, '\p{^Age=v32}', "");
    Expect(1, 65377, '\P{Age=v32}', "");
    Expect(0, 65377, '\P{^Age=v32}', "");
    Expect(1, 65376, '\p{Age=:\Av32\z:}', "");;
    Expect(0, 65377, '\p{Age=:\Av32\z:}', "");;
    Expect(1, 65376, '\p{Age=_	v3_2}', "");
    Expect(0, 65376, '\p{^Age=_	v3_2}', "");
    Expect(0, 65376, '\P{Age=_	v3_2}', "");
    Expect(1, 65376, '\P{^Age=_	v3_2}', "");
    Expect(0, 65377, '\p{Age=_	v3_2}', "");
    Expect(1, 65377, '\p{^Age=_	v3_2}', "");
    Expect(1, 65377, '\P{Age=_	v3_2}', "");
    Expect(0, 65377, '\P{^Age=_	v3_2}', "");
    Error('\p{Is_Age=:=-	0_0_03.2}');
    Error('\P{Is_Age=:=-	0_0_03.2}');
    Expect(1, 65376, '\p{Is_Age=+0000_3.2}', "");
    Expect(0, 65376, '\p{^Is_Age=+0000_3.2}', "");
    Expect(0, 65376, '\P{Is_Age=+0000_3.2}', "");
    Expect(1, 65376, '\P{^Is_Age=+0000_3.2}', "");
    Expect(0, 65377, '\p{Is_Age=+0000_3.2}', "");
    Expect(1, 65377, '\p{^Is_Age=+0000_3.2}', "");
    Expect(1, 65377, '\P{Is_Age=+0000_3.2}', "");
    Expect(0, 65377, '\P{^Is_Age=+0000_3.2}', "");
    Error('\p{Age=:=V4_0}');
    Error('\P{Age=:=V4_0}');
    Expect(1, 917999, '\p{Age=:\AV4_0\z:}', "");;
    Expect(0, 918000, '\p{Age=:\AV4_0\z:}', "");;
    Expect(1, 917999, '\p{Age:	v40}', "");
    Expect(0, 917999, '\p{^Age:	v40}', "");
    Expect(0, 917999, '\P{Age:	v40}', "");
    Expect(1, 917999, '\P{^Age:	v40}', "");
    Expect(0, 918000, '\p{Age:	v40}', "");
    Expect(1, 918000, '\p{^Age:	v40}', "");
    Expect(1, 918000, '\P{Age:	v40}', "");
    Expect(0, 918000, '\P{^Age:	v40}', "");
    Expect(1, 917999, '\p{Age=:\Av40\z:}', "");;
    Expect(0, 918000, '\p{Age=:\Av40\z:}', "");;
    Expect(1, 917999, '\p{Age= -v4_0}', "");
    Expect(0, 917999, '\p{^Age= -v4_0}', "");
    Expect(0, 917999, '\P{Age= -v4_0}', "");
    Expect(1, 917999, '\P{^Age= -v4_0}', "");
    Expect(0, 918000, '\p{Age= -v4_0}', "");
    Expect(1, 918000, '\p{^Age= -v4_0}', "");
    Expect(1, 918000, '\P{Age= -v4_0}', "");
    Expect(0, 918000, '\P{^Age= -v4_0}', "");
    Error('\p{Is_Age=_0_4.0:=}');
    Error('\P{Is_Age=_0_4.0:=}');
    Expect(1, 917999, '\p{Is_Age=+00004.0}', "");
    Expect(0, 917999, '\p{^Is_Age=+00004.0}', "");
    Expect(0, 917999, '\P{Is_Age=+00004.0}', "");
    Expect(1, 917999, '\P{^Is_Age=+00004.0}', "");
    Expect(0, 918000, '\p{Is_Age=+00004.0}', "");
    Expect(1, 918000, '\p{^Is_Age=+00004.0}', "");
    Expect(1, 918000, '\P{Is_Age=+00004.0}', "");
    Expect(0, 918000, '\P{^Is_Age=+00004.0}', "");
    Error('\p{Age=:=_V4_1}');
    Error('\P{Age=:=_V4_1}');
    Expect(1, 120485, '\p{Age=:\AV4_1\z:}', "");;
    Expect(0, 120486, '\p{Age=:\AV4_1\z:}', "");;
    Expect(1, 120485, '\p{Age:	v41}', "");
    Expect(0, 120485, '\p{^Age:	v41}', "");
    Expect(0, 120485, '\P{Age:	v41}', "");
    Expect(1, 120485, '\P{^Age:	v41}', "");
    Expect(0, 120486, '\p{Age:	v41}', "");
    Expect(1, 120486, '\p{^Age:	v41}', "");
    Expect(1, 120486, '\P{Age:	v41}', "");
    Expect(0, 120486, '\P{^Age:	v41}', "");
    Expect(1, 120485, '\p{Age=:\Av41\z:}', "");;
    Expect(0, 120486, '\p{Age=:\Av41\z:}', "");;
    Expect(1, 120485, '\p{Age=		v4_1}', "");
    Expect(0, 120485, '\p{^Age=		v4_1}', "");
    Expect(0, 120485, '\P{Age=		v4_1}', "");
    Expect(1, 120485, '\P{^Age=		v4_1}', "");
    Expect(0, 120486, '\p{Age=		v4_1}', "");
    Expect(1, 120486, '\p{^Age=		v4_1}', "");
    Expect(1, 120486, '\P{Age=		v4_1}', "");
    Expect(0, 120486, '\P{^Age=		v4_1}', "");
    Error('\p{Is_Age=:=00_4.1}');
    Error('\P{Is_Age=:=00_4.1}');
    Expect(1, 120485, '\p{Is_Age=00_00_4.1}', "");
    Expect(0, 120485, '\p{^Is_Age=00_00_4.1}', "");
    Expect(0, 120485, '\P{Is_Age=00_00_4.1}', "");
    Expect(1, 120485, '\P{^Is_Age=00_00_4.1}', "");
    Expect(0, 120486, '\p{Is_Age=00_00_4.1}', "");
    Expect(1, 120486, '\p{^Is_Age=00_00_4.1}', "");
    Expect(1, 120486, '\P{Is_Age=00_00_4.1}', "");
    Expect(0, 120486, '\P{^Is_Age=00_00_4.1}', "");
    Error('\p{Age:/a/_V5_0}');
    Error('\P{Age:/a/_V5_0}');
    Expect(1, 120779, '\p{Age=:\AV5_0\z:}', "");;
    Expect(0, 120780, '\p{Age=:\AV5_0\z:}', "");;
    Expect(1, 120779, '\p{Age=v50}', "");
    Expect(0, 120779, '\p{^Age=v50}', "");
    Expect(0, 120779, '\P{Age=v50}', "");
    Expect(1, 120779, '\P{^Age=v50}', "");
    Expect(0, 120780, '\p{Age=v50}', "");
    Expect(1, 120780, '\p{^Age=v50}', "");
    Expect(1, 120780, '\P{Age=v50}', "");
    Expect(0, 120780, '\P{^Age=v50}', "");
    Expect(1, 120779, '\p{Age=:\Av50\z:}', "");;
    Expect(0, 120780, '\p{Age=:\Av50\z:}', "");;
    Expect(1, 120779, '\p{Age=	-V5_0}', "");
    Expect(0, 120779, '\p{^Age=	-V5_0}', "");
    Expect(0, 120779, '\P{Age=	-V5_0}', "");
    Expect(1, 120779, '\P{^Age=	-V5_0}', "");
    Expect(0, 120780, '\p{Age=	-V5_0}', "");
    Expect(1, 120780, '\p{^Age=	-V5_0}', "");
    Expect(1, 120780, '\P{Age=	-V5_0}', "");
    Expect(0, 120780, '\P{^Age=	-V5_0}', "");
    Error('\p{Is_Age=/a/-_+0_5.0}');
    Error('\P{Is_Age=/a/-_+0_5.0}');
    Expect(1, 120779, '\p{Is_Age=+00_00_00_005.0}', "");
    Expect(0, 120779, '\p{^Is_Age=+00_00_00_005.0}', "");
    Expect(0, 120779, '\P{Is_Age=+00_00_00_005.0}', "");
    Expect(1, 120779, '\P{^Is_Age=+00_00_00_005.0}', "");
    Expect(0, 120780, '\p{Is_Age=+00_00_00_005.0}', "");
    Expect(1, 120780, '\p{^Is_Age=+00_00_00_005.0}', "");
    Expect(1, 120780, '\P{Is_Age=+00_00_00_005.0}', "");
    Expect(0, 120780, '\P{^Is_Age=+00_00_00_005.0}', "");
    Error('\p{Age=V5_1:=}');
    Error('\P{Age=V5_1:=}');
    Expect(1, 127123, '\p{Age=:\AV5_1\z:}', "");;
    Expect(0, 127124, '\p{Age=:\AV5_1\z:}', "");;
    Expect(1, 127123, '\p{Age=v51}', "");
    Expect(0, 127123, '\p{^Age=v51}', "");
    Expect(0, 127123, '\P{Age=v51}', "");
    Expect(1, 127123, '\P{^Age=v51}', "");
    Expect(0, 127124, '\p{Age=v51}', "");
    Expect(1, 127124, '\p{^Age=v51}', "");
    Expect(1, 127124, '\P{Age=v51}', "");
    Expect(0, 127124, '\P{^Age=v51}', "");
    Expect(1, 127123, '\p{Age=:\Av51\z:}', "");;
    Expect(0, 127124, '\p{Age=:\Av51\z:}', "");;
    Expect(1, 127123, '\p{Age=	V5_1}', "");
    Expect(0, 127123, '\p{^Age=	V5_1}', "");
    Expect(0, 127123, '\P{Age=	V5_1}', "");
    Expect(1, 127123, '\P{^Age=	V5_1}', "");
    Expect(0, 127124, '\p{Age=	V5_1}', "");
    Expect(1, 127124, '\p{^Age=	V5_1}', "");
    Expect(1, 127124, '\P{Age=	V5_1}', "");
    Expect(0, 127124, '\P{^Age=	V5_1}', "");
    Error('\p{Is_Age=/a/		5.1}');
    Error('\P{Is_Age=/a/		5.1}');
    Expect(1, 127123, '\p{Is_Age=0_0_0_05.1}', "");
    Expect(0, 127123, '\p{^Is_Age=0_0_0_05.1}', "");
    Expect(0, 127123, '\P{Is_Age=0_0_0_05.1}', "");
    Expect(1, 127123, '\P{^Is_Age=0_0_0_05.1}', "");
    Expect(0, 127124, '\p{Is_Age=0_0_0_05.1}', "");
    Expect(1, 127124, '\p{^Is_Age=0_0_0_05.1}', "");
    Expect(1, 127124, '\P{Is_Age=0_0_0_05.1}', "");
    Expect(0, 127124, '\P{^Is_Age=0_0_0_05.1}', "");
    Error('\p{Age=	:=V5_2}');
    Error('\P{Age=	:=V5_2}');
    Expect(1, 177972, '\p{Age=:\AV5_2\z:}', "");;
    Expect(0, 177973, '\p{Age=:\AV5_2\z:}', "");;
    Expect(1, 177972, '\p{Age: v52}', "");
    Expect(0, 177972, '\p{^Age: v52}', "");
    Expect(0, 177972, '\P{Age: v52}', "");
    Expect(1, 177972, '\P{^Age: v52}', "");
    Expect(0, 177973, '\p{Age: v52}', "");
    Expect(1, 177973, '\p{^Age: v52}', "");
    Expect(1, 177973, '\P{Age: v52}', "");
    Expect(0, 177973, '\P{^Age: v52}', "");
    Expect(1, 177972, '\p{Age=:\Av52\z:}', "");;
    Expect(0, 177973, '\p{Age=:\Av52\z:}', "");;
    Expect(1, 177972, '\p{Age= _V5_2}', "");
    Expect(0, 177972, '\p{^Age= _V5_2}', "");
    Expect(0, 177972, '\P{Age= _V5_2}', "");
    Expect(1, 177972, '\P{^Age= _V5_2}', "");
    Expect(0, 177973, '\p{Age= _V5_2}', "");
    Expect(1, 177973, '\p{^Age= _V5_2}', "");
    Expect(1, 177973, '\P{Age= _V5_2}', "");
    Expect(0, 177973, '\P{^Age= _V5_2}', "");
    Error('\p{Is_Age=_+000005.2:=}');
    Error('\P{Is_Age=_+000005.2:=}');
    Expect(1, 177972, '\p{Is_Age=+0000000005.2}', "");
    Expect(0, 177972, '\p{^Is_Age=+0000000005.2}', "");
    Expect(0, 177972, '\P{Is_Age=+0000000005.2}', "");
    Expect(1, 177972, '\P{^Is_Age=+0000000005.2}', "");
    Expect(0, 177973, '\p{Is_Age=+0000000005.2}', "");
    Expect(1, 177973, '\p{^Is_Age=+0000000005.2}', "");
    Expect(1, 177973, '\P{Is_Age=+0000000005.2}', "");
    Expect(0, 177973, '\P{^Is_Age=+0000000005.2}', "");
    Error('\p{Age:		/a/V6_0}');
    Error('\P{Age:		/a/V6_0}');
    Expect(1, 178205, '\p{Age=:\AV6_0\z:}', "");;
    Expect(0, 178206, '\p{Age=:\AV6_0\z:}', "");;
    Expect(1, 178205, '\p{Age=v60}', "");
    Expect(0, 178205, '\p{^Age=v60}', "");
    Expect(0, 178205, '\P{Age=v60}', "");
    Expect(1, 178205, '\P{^Age=v60}', "");
    Expect(0, 178206, '\p{Age=v60}', "");
    Expect(1, 178206, '\p{^Age=v60}', "");
    Expect(1, 178206, '\P{Age=v60}', "");
    Expect(0, 178206, '\P{^Age=v60}', "");
    Expect(1, 178205, '\p{Age=:\Av60\z:}', "");;
    Expect(0, 178206, '\p{Age=:\Av60\z:}', "");;
    Expect(1, 178205, '\p{Age=_ v6_0}', "");
    Expect(0, 178205, '\p{^Age=_ v6_0}', "");
    Expect(0, 178205, '\P{Age=_ v6_0}', "");
    Expect(1, 178205, '\P{^Age=_ v6_0}', "");
    Expect(0, 178206, '\p{Age=_ v6_0}', "");
    Expect(1, 178206, '\p{^Age=_ v6_0}', "");
    Expect(1, 178206, '\P{Age=_ v6_0}', "");
    Expect(0, 178206, '\P{^Age=_ v6_0}', "");
    Error('\p{Is_Age=- +00_6.0:=}');
    Error('\P{Is_Age=- +00_6.0:=}');
    Expect(1, 178205, '\p{Is_Age:	0_6.0}', "");
    Expect(0, 178205, '\p{^Is_Age:	0_6.0}', "");
    Expect(0, 178205, '\P{Is_Age:	0_6.0}', "");
    Expect(1, 178205, '\P{^Is_Age:	0_6.0}', "");
    Expect(0, 178206, '\p{Is_Age:	0_6.0}', "");
    Expect(1, 178206, '\p{^Is_Age:	0_6.0}', "");
    Expect(1, 178206, '\P{Is_Age:	0_6.0}', "");
    Expect(0, 178206, '\P{^Is_Age:	0_6.0}', "");
    Error('\p{Age=/a/V6_1}');
    Error('\P{Age=/a/V6_1}');
    Expect(1, 128564, '\p{Age=:\AV6_1\z:}', "");;
    Expect(0, 128565, '\p{Age=:\AV6_1\z:}', "");;
    Expect(1, 128564, '\p{Age=v61}', "");
    Expect(0, 128564, '\p{^Age=v61}', "");
    Expect(0, 128564, '\P{Age=v61}', "");
    Expect(1, 128564, '\P{^Age=v61}', "");
    Expect(0, 128565, '\p{Age=v61}', "");
    Expect(1, 128565, '\p{^Age=v61}', "");
    Expect(1, 128565, '\P{Age=v61}', "");
    Expect(0, 128565, '\P{^Age=v61}', "");
    Expect(1, 128564, '\p{Age=:\Av61\z:}', "");;
    Expect(0, 128565, '\p{Age=:\Av61\z:}', "");;
    Expect(1, 128564, '\p{Age=_V6_1}', "");
    Expect(0, 128564, '\p{^Age=_V6_1}', "");
    Expect(0, 128564, '\P{Age=_V6_1}', "");
    Expect(1, 128564, '\P{^Age=_V6_1}', "");
    Expect(0, 128565, '\p{Age=_V6_1}', "");
    Expect(1, 128565, '\p{^Age=_V6_1}', "");
    Expect(1, 128565, '\P{Age=_V6_1}', "");
    Expect(0, 128565, '\P{^Age=_V6_1}', "");
    Error('\p{Is_Age= 00000000_6.1:=}');
    Error('\P{Is_Age= 00000000_6.1:=}');
    Expect(1, 128564, '\p{Is_Age=+0_6.1}', "");
    Expect(0, 128564, '\p{^Is_Age=+0_6.1}', "");
    Expect(0, 128564, '\P{Is_Age=+0_6.1}', "");
    Expect(1, 128564, '\P{^Is_Age=+0_6.1}', "");
    Expect(0, 128565, '\p{Is_Age=+0_6.1}', "");
    Expect(1, 128565, '\p{^Is_Age=+0_6.1}', "");
    Expect(1, 128565, '\P{Is_Age=+0_6.1}', "");
    Expect(0, 128565, '\P{^Is_Age=+0_6.1}', "");
    Error('\p{Age=:=_v6_2}');
    Error('\P{Age=:=_v6_2}');
    Expect(1, 8378, '\p{Age=:\AV6_2\z:}', "");;
    Expect(0, 8379, '\p{Age=:\AV6_2\z:}', "");;
    Expect(1, 8378, '\p{Age=v62}', "");
    Expect(0, 8378, '\p{^Age=v62}', "");
    Expect(0, 8378, '\P{Age=v62}', "");
    Expect(1, 8378, '\P{^Age=v62}', "");
    Expect(0, 8379, '\p{Age=v62}', "");
    Expect(1, 8379, '\p{^Age=v62}', "");
    Expect(1, 8379, '\P{Age=v62}', "");
    Expect(0, 8379, '\P{^Age=v62}', "");
    Expect(1, 8378, '\p{Age=:\Av62\z:}', "");;
    Expect(0, 8379, '\p{Age=:\Av62\z:}', "");;
    Expect(1, 8378, '\p{Age=-V6_2}', "");
    Expect(0, 8378, '\p{^Age=-V6_2}', "");
    Expect(0, 8378, '\P{Age=-V6_2}', "");
    Expect(1, 8378, '\P{^Age=-V6_2}', "");
    Expect(0, 8379, '\p{Age=-V6_2}', "");
    Expect(1, 8379, '\p{^Age=-V6_2}', "");
    Expect(1, 8379, '\P{Age=-V6_2}', "");
    Expect(0, 8379, '\P{^Age=-V6_2}', "");
    Error('\p{Is_Age=_	0_6.2/a/}');
    Error('\P{Is_Age=_	0_6.2/a/}');
    Expect(1, 8378, '\p{Is_Age=00_00_00_00_6.2}', "");
    Expect(0, 8378, '\p{^Is_Age=00_00_00_00_6.2}', "");
    Expect(0, 8378, '\P{Is_Age=00_00_00_00_6.2}', "");
    Expect(1, 8378, '\P{^Is_Age=00_00_00_00_6.2}', "");
    Expect(0, 8379, '\p{Is_Age=00_00_00_00_6.2}', "");
    Expect(1, 8379, '\p{^Is_Age=00_00_00_00_6.2}', "");
    Expect(1, 8379, '\P{Is_Age=00_00_00_00_6.2}', "");
    Expect(0, 8379, '\P{^Is_Age=00_00_00_00_6.2}', "");
    Error('\p{Age=-	v6_3/a/}');
    Error('\P{Age=-	v6_3/a/}');
    Expect(1, 8297, '\p{Age=:\AV6_3\z:}', "");;
    Expect(0, 8298, '\p{Age=:\AV6_3\z:}', "");;
    Expect(1, 8297, '\p{Age=v63}', "");
    Expect(0, 8297, '\p{^Age=v63}', "");
    Expect(0, 8297, '\P{Age=v63}', "");
    Expect(1, 8297, '\P{^Age=v63}', "");
    Expect(0, 8298, '\p{Age=v63}', "");
    Expect(1, 8298, '\p{^Age=v63}', "");
    Expect(1, 8298, '\P{Age=v63}', "");
    Expect(0, 8298, '\P{^Age=v63}', "");
    Expect(1, 8297, '\p{Age=:\Av63\z:}', "");;
    Expect(0, 8298, '\p{Age=:\Av63\z:}', "");;
    Expect(1, 8297, '\p{Age=  V6_3}', "");
    Expect(0, 8297, '\p{^Age=  V6_3}', "");
    Expect(0, 8297, '\P{Age=  V6_3}', "");
    Expect(1, 8297, '\P{^Age=  V6_3}', "");
    Expect(0, 8298, '\p{Age=  V6_3}', "");
    Expect(1, 8298, '\p{^Age=  V6_3}', "");
    Expect(1, 8298, '\P{Age=  V6_3}', "");
    Expect(0, 8298, '\P{^Age=  V6_3}', "");
    Error('\p{Is_Age=_/a/006.3}');
    Error('\P{Is_Age=_/a/006.3}');
    Expect(1, 8297, '\p{Is_Age=00000000_6.3}', "");
    Expect(0, 8297, '\p{^Is_Age=00000000_6.3}', "");
    Expect(0, 8297, '\P{Is_Age=00000000_6.3}', "");
    Expect(1, 8297, '\P{^Is_Age=00000000_6.3}', "");
    Expect(0, 8298, '\p{Is_Age=00000000_6.3}', "");
    Expect(1, 8298, '\p{^Is_Age=00000000_6.3}', "");
    Expect(1, 8298, '\P{Is_Age=00000000_6.3}', "");
    Expect(0, 8298, '\P{^Is_Age=00000000_6.3}', "");
    Error('\p{Age=/a/- V7_0}');
    Error('\P{Age=/a/- V7_0}');
    Expect(1, 129197, '\p{Age=:\AV7_0\z:}', "");;
    Expect(0, 129198, '\p{Age=:\AV7_0\z:}', "");;
    Expect(1, 129197, '\p{Age=v70}', "");
    Expect(0, 129197, '\p{^Age=v70}', "");
    Expect(0, 129197, '\P{Age=v70}', "");
    Expect(1, 129197, '\P{^Age=v70}', "");
    Expect(0, 129198, '\p{Age=v70}', "");
    Expect(1, 129198, '\p{^Age=v70}', "");
    Expect(1, 129198, '\P{Age=v70}', "");
    Expect(0, 129198, '\P{^Age=v70}', "");
    Expect(1, 129197, '\p{Age=:\Av70\z:}', "");;
    Expect(0, 129198, '\p{Age=:\Av70\z:}', "");;
    Expect(1, 129197, '\p{Age=_	v7_0}', "");
    Expect(0, 129197, '\p{^Age=_	v7_0}', "");
    Expect(0, 129197, '\P{Age=_	v7_0}', "");
    Expect(1, 129197, '\P{^Age=_	v7_0}', "");
    Expect(0, 129198, '\p{Age=_	v7_0}', "");
    Expect(1, 129198, '\p{^Age=_	v7_0}', "");
    Expect(1, 129198, '\P{Age=_	v7_0}', "");
    Expect(0, 129198, '\P{^Age=_	v7_0}', "");
    Error('\p{Is_Age=:= _0000007.0}');
    Error('\P{Is_Age=:= _0000007.0}');
    Expect(1, 129197, '\p{Is_Age=+0000_0000_07.0}', "");
    Expect(0, 129197, '\p{^Is_Age=+0000_0000_07.0}', "");
    Expect(0, 129197, '\P{Is_Age=+0000_0000_07.0}', "");
    Expect(1, 129197, '\P{^Is_Age=+0000_0000_07.0}', "");
    Expect(0, 129198, '\p{Is_Age=+0000_0000_07.0}', "");
    Expect(1, 129198, '\p{^Is_Age=+0000_0000_07.0}', "");
    Expect(1, 129198, '\P{Is_Age=+0000_0000_07.0}', "");
    Expect(0, 129198, '\P{^Is_Age=+0000_0000_07.0}', "");
    Error('\p{Age= /a/v8_0}');
    Error('\P{Age= /a/v8_0}');
    Expect(1, 183969, '\p{Age=:\AV8_0\z:}', "");;
    Expect(0, 183970, '\p{Age=:\AV8_0\z:}', "");;
    Expect(1, 183969, '\p{Age=v80}', "");
    Expect(0, 183969, '\p{^Age=v80}', "");
    Expect(0, 183969, '\P{Age=v80}', "");
    Expect(1, 183969, '\P{^Age=v80}', "");
    Expect(0, 183970, '\p{Age=v80}', "");
    Expect(1, 183970, '\p{^Age=v80}', "");
    Expect(1, 183970, '\P{Age=v80}', "");
    Expect(0, 183970, '\P{^Age=v80}', "");
    Expect(1, 183969, '\p{Age=:\Av80\z:}', "");;
    Expect(0, 183970, '\p{Age=:\Av80\z:}', "");;
    Expect(1, 183969, '\p{Age=	 V8_0}', "");
    Expect(0, 183969, '\p{^Age=	 V8_0}', "");
    Expect(0, 183969, '\P{Age=	 V8_0}', "");
    Expect(1, 183969, '\P{^Age=	 V8_0}', "");
    Expect(0, 183970, '\p{Age=	 V8_0}', "");
    Expect(1, 183970, '\p{^Age=	 V8_0}', "");
    Expect(1, 183970, '\P{Age=	 V8_0}', "");
    Expect(0, 183970, '\P{^Age=	 V8_0}', "");
    Error('\p{Is_Age= :=0008.0}');
    Error('\P{Is_Age= :=0008.0}');
    Expect(1, 183969, '\p{Is_Age=00000008.0}', "");
    Expect(0, 183969, '\p{^Is_Age=00000008.0}', "");
    Expect(0, 183969, '\P{Is_Age=00000008.0}', "");
    Expect(1, 183969, '\P{^Is_Age=00000008.0}', "");
    Expect(0, 183970, '\p{Is_Age=00000008.0}', "");
    Expect(1, 183970, '\p{^Is_Age=00000008.0}', "");
    Expect(1, 183970, '\P{Is_Age=00000008.0}', "");
    Expect(0, 183970, '\P{^Is_Age=00000008.0}', "");
    Error('\p{Age=	/a/V9_0}');
    Error('\P{Age=	/a/V9_0}');
    Expect(1, 129425, '\p{Age=:\AV9_0\z:}', "");;
    Expect(0, 129426, '\p{Age=:\AV9_0\z:}', "");;
    Expect(1, 129425, '\p{Age=v90}', "");
    Expect(0, 129425, '\p{^Age=v90}', "");
    Expect(0, 129425, '\P{Age=v90}', "");
    Expect(1, 129425, '\P{^Age=v90}', "");
    Expect(0, 129426, '\p{Age=v90}', "");
    Expect(1, 129426, '\p{^Age=v90}', "");
    Expect(1, 129426, '\P{Age=v90}', "");
    Expect(0, 129426, '\P{^Age=v90}', "");
    Expect(1, 129425, '\p{Age=:\Av90\z:}', "");;
    Expect(0, 129426, '\p{Age=:\Av90\z:}', "");;
    Expect(1, 129425, '\p{Age=_v9_0}', "");
    Expect(0, 129425, '\p{^Age=_v9_0}', "");
    Expect(0, 129425, '\P{Age=_v9_0}', "");
    Expect(1, 129425, '\P{^Age=_v9_0}', "");
    Expect(0, 129426, '\p{Age=_v9_0}', "");
    Expect(1, 129426, '\p{^Age=_v9_0}', "");
    Expect(1, 129426, '\P{Age=_v9_0}', "");
    Expect(0, 129426, '\P{^Age=_v9_0}', "");
    Error('\p{Is_Age=:=	_+009.0}');
    Error('\P{Is_Age=:=	_+009.0}');
    Expect(1, 129425, '\p{Is_Age=0_0_0_0_009.0}', "");
    Expect(0, 129425, '\p{^Is_Age=0_0_0_0_009.0}', "");
    Expect(0, 129425, '\P{Is_Age=0_0_0_0_009.0}', "");
    Expect(1, 129425, '\P{^Is_Age=0_0_0_0_009.0}', "");
    Expect(0, 129426, '\p{Is_Age=0_0_0_0_009.0}', "");
    Expect(1, 129426, '\p{^Is_Age=0_0_0_0_009.0}', "");
    Expect(1, 129426, '\P{Is_Age=0_0_0_0_009.0}', "");
    Expect(0, 129426, '\P{^Is_Age=0_0_0_0_009.0}', "");
    Error('\p{Age=_/a/Unassigned}');
    Error('\P{Age=_/a/Unassigned}');
    Expect(1, 983037, '\p{Age=:\AUnassigned\z:}', "");;
    Expect(0, 983040, '\p{Age=:\AUnassigned\z:}', "");;
    Expect(1, 983037, '\p{Age=unassigned}', "");
    Expect(0, 983037, '\p{^Age=unassigned}', "");
    Expect(0, 983037, '\P{Age=unassigned}', "");
    Expect(1, 983037, '\P{^Age=unassigned}', "");
    Expect(0, 983040, '\p{Age=unassigned}', "");
    Expect(1, 983040, '\p{^Age=unassigned}', "");
    Expect(1, 983040, '\P{Age=unassigned}', "");
    Expect(0, 983040, '\P{^Age=unassigned}', "");
    Expect(1, 983037, '\p{Age=:\Aunassigned\z:}', "");;
    Expect(0, 983040, '\p{Age=:\Aunassigned\z:}', "");;
    Expect(1, 983037, '\p{Age=- Unassigned}', "");
    Expect(0, 983037, '\p{^Age=- Unassigned}', "");
    Expect(0, 983037, '\P{Age=- Unassigned}', "");
    Expect(1, 983037, '\P{^Age=- Unassigned}', "");
    Expect(0, 983040, '\p{Age=- Unassigned}', "");
    Expect(1, 983040, '\p{^Age=- Unassigned}', "");
    Expect(1, 983040, '\P{Age=- Unassigned}', "");
    Expect(0, 983040, '\P{^Age=- Unassigned}', "");
    Error('\p{Is_Age=/a/NA}');
    Error('\P{Is_Age=/a/NA}');
    Expect(1, 983037, '\p{Is_Age=na}', "");
    Expect(0, 983037, '\p{^Is_Age=na}', "");
    Expect(0, 983037, '\P{Is_Age=na}', "");
    Expect(1, 983037, '\P{^Is_Age=na}', "");
    Expect(0, 983040, '\p{Is_Age=na}', "");
    Expect(1, 983040, '\p{^Is_Age=na}', "");
    Expect(1, 983040, '\P{Is_Age=na}', "");
    Expect(0, 983040, '\P{^Is_Age=na}', "");
    Expect(1, 983037, '\p{Is_Age:	 NA}', "");
    Expect(0, 983037, '\p{^Is_Age:	 NA}', "");
    Expect(0, 983037, '\P{Is_Age:	 NA}', "");
    Expect(1, 983037, '\P{^Is_Age:	 NA}', "");
    Expect(0, 983040, '\p{Is_Age:	 NA}', "");
    Expect(1, 983040, '\p{^Is_Age:	 NA}', "");
    Expect(1, 983040, '\P{Is_Age:	 NA}', "");
    Expect(0, 983040, '\P{^Is_Age:	 NA}', "");
    Error('\p{ASCII_Hex_Digit=-No/a/}');
    Error('\P{ASCII_Hex_Digit=-No/a/}');
    Expect(1, 103, '\p{ASCII_Hex_Digit=:\ANo\z:}', "");;
    Expect(0, 102, '\p{ASCII_Hex_Digit=:\ANo\z:}', "");;
    Expect(1, 103, '\p{ASCII_Hex_Digit=no}', "");
    Expect(0, 103, '\p{^ASCII_Hex_Digit=no}', "");
    Expect(0, 103, '\P{ASCII_Hex_Digit=no}', "");
    Expect(1, 103, '\P{^ASCII_Hex_Digit=no}', "");
    Expect(0, 102, '\p{ASCII_Hex_Digit=no}', "");
    Expect(1, 102, '\p{^ASCII_Hex_Digit=no}', "");
    Expect(1, 102, '\P{ASCII_Hex_Digit=no}', "");
    Expect(0, 102, '\P{^ASCII_Hex_Digit=no}', "");
    Expect(1, 103, '\p{ASCII_Hex_Digit=:\Ano\z:}', "");;
    Expect(0, 102, '\p{ASCII_Hex_Digit=:\Ano\z:}', "");;
    Expect(1, 103, '\p{ASCII_Hex_Digit=  no}', "");
    Expect(0, 103, '\p{^ASCII_Hex_Digit=  no}', "");
    Expect(0, 103, '\P{ASCII_Hex_Digit=  no}', "");
    Expect(1, 103, '\P{^ASCII_Hex_Digit=  no}', "");
    Expect(0, 102, '\p{ASCII_Hex_Digit=  no}', "");
    Expect(1, 102, '\p{^ASCII_Hex_Digit=  no}', "");
    Expect(1, 102, '\P{ASCII_Hex_Digit=  no}', "");
    Expect(0, 102, '\P{^ASCII_Hex_Digit=  no}', "");
    Error('\p{AHex=:= 	N}');
    Error('\P{AHex=:= 	N}');
    Expect(1, 103, '\p{AHex=:\AN\z:}', "");;
    Expect(0, 102, '\p{AHex=:\AN\z:}', "");;
    Expect(1, 103, '\p{AHex=n}', "");
    Expect(0, 103, '\p{^AHex=n}', "");
    Expect(0, 103, '\P{AHex=n}', "");
    Expect(1, 103, '\P{^AHex=n}', "");
    Expect(0, 102, '\p{AHex=n}', "");
    Expect(1, 102, '\p{^AHex=n}', "");
    Expect(1, 102, '\P{AHex=n}', "");
    Expect(0, 102, '\P{^AHex=n}', "");
    Expect(1, 103, '\p{AHex=:\An\z:}', "");;
    Expect(0, 102, '\p{AHex=:\An\z:}', "");;
    Expect(1, 103, '\p{AHex= _N}', "");
    Expect(0, 103, '\p{^AHex= _N}', "");
    Expect(0, 103, '\P{AHex= _N}', "");
    Expect(1, 103, '\P{^AHex= _N}', "");
    Expect(0, 102, '\p{AHex= _N}', "");
    Expect(1, 102, '\p{^AHex= _N}', "");
    Expect(1, 102, '\P{AHex= _N}', "");
    Expect(0, 102, '\P{^AHex= _N}', "");
    Error('\p{Is_ASCII_Hex_Digit=_f:=}');
    Error('\P{Is_ASCII_Hex_Digit=_f:=}');
    Expect(1, 103, '\p{Is_ASCII_Hex_Digit=f}', "");
    Expect(0, 103, '\p{^Is_ASCII_Hex_Digit=f}', "");
    Expect(0, 103, '\P{Is_ASCII_Hex_Digit=f}', "");
    Expect(1, 103, '\P{^Is_ASCII_Hex_Digit=f}', "");
    Expect(0, 102, '\p{Is_ASCII_Hex_Digit=f}', "");
    Expect(1, 102, '\p{^Is_ASCII_Hex_Digit=f}', "");
    Expect(1, 102, '\P{Is_ASCII_Hex_Digit=f}', "");
    Expect(0, 102, '\P{^Is_ASCII_Hex_Digit=f}', "");
    Expect(1, 103, '\p{Is_ASCII_Hex_Digit=	-F}', "");
    Expect(0, 103, '\p{^Is_ASCII_Hex_Digit=	-F}', "");
    Expect(0, 103, '\P{Is_ASCII_Hex_Digit=	-F}', "");
    Expect(1, 103, '\P{^Is_ASCII_Hex_Digit=	-F}', "");
    Expect(0, 102, '\p{Is_ASCII_Hex_Digit=	-F}', "");
    Expect(1, 102, '\p{^Is_ASCII_Hex_Digit=	-F}', "");
    Expect(1, 102, '\P{Is_ASCII_Hex_Digit=	-F}', "");
    Expect(0, 102, '\P{^Is_ASCII_Hex_Digit=	-F}', "");
    Error('\p{Is_AHex=		FALSE/a/}');
    Error('\P{Is_AHex=		FALSE/a/}');
    Expect(1, 103, '\p{Is_AHex=false}', "");
    Expect(0, 103, '\p{^Is_AHex=false}', "");
    Expect(0, 103, '\P{Is_AHex=false}', "");
    Expect(1, 103, '\P{^Is_AHex=false}', "");
    Expect(0, 102, '\p{Is_AHex=false}', "");
    Expect(1, 102, '\p{^Is_AHex=false}', "");
    Expect(1, 102, '\P{Is_AHex=false}', "");
    Expect(0, 102, '\P{^Is_AHex=false}', "");
    Expect(1, 103, '\p{Is_AHex=	_False}', "");
    Expect(0, 103, '\p{^Is_AHex=	_False}', "");
    Expect(0, 103, '\P{Is_AHex=	_False}', "");
    Expect(1, 103, '\P{^Is_AHex=	_False}', "");
    Expect(0, 102, '\p{Is_AHex=	_False}', "");
    Expect(1, 102, '\p{^Is_AHex=	_False}', "");
    Expect(1, 102, '\P{Is_AHex=	_False}', "");
    Expect(0, 102, '\P{^Is_AHex=	_False}', "");
    Error('\p{ASCII_Hex_Digit=	/a/Yes}');
    Error('\P{ASCII_Hex_Digit=	/a/Yes}');
    Expect(1, 102, '\p{ASCII_Hex_Digit=:\AYes\z:}', "");;
    Expect(0, 103, '\p{ASCII_Hex_Digit=:\AYes\z:}', "");;
    Expect(1, 102, '\p{ASCII_Hex_Digit=yes}', "");
    Expect(0, 102, '\p{^ASCII_Hex_Digit=yes}', "");
    Expect(0, 102, '\P{ASCII_Hex_Digit=yes}', "");
    Expect(1, 102, '\P{^ASCII_Hex_Digit=yes}', "");
    Expect(0, 103, '\p{ASCII_Hex_Digit=yes}', "");
    Expect(1, 103, '\p{^ASCII_Hex_Digit=yes}', "");
    Expect(1, 103, '\P{ASCII_Hex_Digit=yes}', "");
    Expect(0, 103, '\P{^ASCII_Hex_Digit=yes}', "");
    Expect(1, 102, '\p{ASCII_Hex_Digit=:\Ayes\z:}', "");;
    Expect(0, 103, '\p{ASCII_Hex_Digit=:\Ayes\z:}', "");;
    Expect(1, 102, '\p{ASCII_Hex_Digit= 	yes}', "");
    Expect(0, 102, '\p{^ASCII_Hex_Digit= 	yes}', "");
    Expect(0, 102, '\P{ASCII_Hex_Digit= 	yes}', "");
    Expect(1, 102, '\P{^ASCII_Hex_Digit= 	yes}', "");
    Expect(0, 103, '\p{ASCII_Hex_Digit= 	yes}', "");
    Expect(1, 103, '\p{^ASCII_Hex_Digit= 	yes}', "");
    Expect(1, 103, '\P{ASCII_Hex_Digit= 	yes}', "");
    Expect(0, 103, '\P{^ASCII_Hex_Digit= 	yes}', "");
    Error('\p{AHex=/a/  Y}');
    Error('\P{AHex=/a/  Y}');
    Expect(1, 102, '\p{AHex=:\AY\z:}', "");;
    Expect(0, 103, '\p{AHex=:\AY\z:}', "");;
    Expect(1, 102, '\p{AHex=y}', "");
    Expect(0, 102, '\p{^AHex=y}', "");
    Expect(0, 102, '\P{AHex=y}', "");
    Expect(1, 102, '\P{^AHex=y}', "");
    Expect(0, 103, '\p{AHex=y}', "");
    Expect(1, 103, '\p{^AHex=y}', "");
    Expect(1, 103, '\P{AHex=y}', "");
    Expect(0, 103, '\P{^AHex=y}', "");
    Expect(1, 102, '\p{AHex=:\Ay\z:}', "");;
    Expect(0, 103, '\p{AHex=:\Ay\z:}', "");;
    Expect(1, 102, '\p{AHex=_y}', "");
    Expect(0, 102, '\p{^AHex=_y}', "");
    Expect(0, 102, '\P{AHex=_y}', "");
    Expect(1, 102, '\P{^AHex=_y}', "");
    Expect(0, 103, '\p{AHex=_y}', "");
    Expect(1, 103, '\p{^AHex=_y}', "");
    Expect(1, 103, '\P{AHex=_y}', "");
    Expect(0, 103, '\P{^AHex=_y}', "");
    Error('\p{Is_ASCII_Hex_Digit=-/a/T}');
    Error('\P{Is_ASCII_Hex_Digit=-/a/T}');
    Expect(1, 102, '\p{Is_ASCII_Hex_Digit=t}', "");
    Expect(0, 102, '\p{^Is_ASCII_Hex_Digit=t}', "");
    Expect(0, 102, '\P{Is_ASCII_Hex_Digit=t}', "");
    Expect(1, 102, '\P{^Is_ASCII_Hex_Digit=t}', "");
    Expect(0, 103, '\p{Is_ASCII_Hex_Digit=t}', "");
    Expect(1, 103, '\p{^Is_ASCII_Hex_Digit=t}', "");
    Expect(1, 103, '\P{Is_ASCII_Hex_Digit=t}', "");
    Expect(0, 103, '\P{^Is_ASCII_Hex_Digit=t}', "");
    Expect(1, 102, '\p{Is_ASCII_Hex_Digit=	t}', "");
    Expect(0, 102, '\p{^Is_ASCII_Hex_Digit=	t}', "");
    Expect(0, 102, '\P{Is_ASCII_Hex_Digit=	t}', "");
    Expect(1, 102, '\P{^Is_ASCII_Hex_Digit=	t}', "");
    Expect(0, 103, '\p{Is_ASCII_Hex_Digit=	t}', "");
    Expect(1, 103, '\p{^Is_ASCII_Hex_Digit=	t}', "");
    Expect(1, 103, '\P{Is_ASCII_Hex_Digit=	t}', "");
    Expect(0, 103, '\P{^Is_ASCII_Hex_Digit=	t}', "");
    Error('\p{Is_AHex=/a/--True}');
    Error('\P{Is_AHex=/a/--True}');
    Expect(1, 102, '\p{Is_AHex=true}', "");
    Expect(0, 102, '\p{^Is_AHex=true}', "");
    Expect(0, 102, '\P{Is_AHex=true}', "");
    Expect(1, 102, '\P{^Is_AHex=true}', "");
    Expect(0, 103, '\p{Is_AHex=true}', "");
    Expect(1, 103, '\p{^Is_AHex=true}', "");
    Expect(1, 103, '\P{Is_AHex=true}', "");
    Expect(0, 103, '\P{^Is_AHex=true}', "");
    Expect(1, 102, '\p{Is_AHex=	_true}', "");
    Expect(0, 102, '\p{^Is_AHex=	_true}', "");
    Expect(0, 102, '\P{Is_AHex=	_true}', "");
    Expect(1, 102, '\P{^Is_AHex=	_true}', "");
    Expect(0, 103, '\p{Is_AHex=	_true}', "");
    Expect(1, 103, '\p{^Is_AHex=	_true}', "");
    Expect(1, 103, '\P{Is_AHex=	_true}', "");
    Expect(0, 103, '\P{^Is_AHex=	_true}', "");
    Error('\p{Alphabetic= No:=}');
    Error('\P{Alphabetic= No:=}');
    Expect(1, 201547, '\p{Alphabetic=:\ANo\z:}', "");;
    Expect(0, 201546, '\p{Alphabetic=:\ANo\z:}', "");;
    Expect(1, 201547, '\p{Alphabetic=no}', "");
    Expect(0, 201547, '\p{^Alphabetic=no}', "");
    Expect(0, 201547, '\P{Alphabetic=no}', "");
    Expect(1, 201547, '\P{^Alphabetic=no}', "");
    Expect(0, 201546, '\p{Alphabetic=no}', "");
    Expect(1, 201546, '\p{^Alphabetic=no}', "");
    Expect(1, 201546, '\P{Alphabetic=no}', "");
    Expect(0, 201546, '\P{^Alphabetic=no}', "");
    Expect(1, 201547, '\p{Alphabetic=:\Ano\z:}', "");;
    Expect(0, 201546, '\p{Alphabetic=:\Ano\z:}', "");;
    Expect(1, 201547, '\p{Alphabetic=-no}', "");
    Expect(0, 201547, '\p{^Alphabetic=-no}', "");
    Expect(0, 201547, '\P{Alphabetic=-no}', "");
    Expect(1, 201547, '\P{^Alphabetic=-no}', "");
    Expect(0, 201546, '\p{Alphabetic=-no}', "");
    Expect(1, 201546, '\p{^Alphabetic=-no}', "");
    Expect(1, 201546, '\P{Alphabetic=-no}', "");
    Expect(0, 201546, '\P{^Alphabetic=-no}', "");
    Error('\p{Alpha=	N:=}');
    Error('\P{Alpha=	N:=}');
    Expect(1, 201547, '\p{Alpha=:\AN\z:}', "");;
    Expect(0, 201546, '\p{Alpha=:\AN\z:}', "");;
    Expect(1, 201547, '\p{Alpha=n}', "");
    Expect(0, 201547, '\p{^Alpha=n}', "");
    Expect(0, 201547, '\P{Alpha=n}', "");
    Expect(1, 201547, '\P{^Alpha=n}', "");
    Expect(0, 201546, '\p{Alpha=n}', "");
    Expect(1, 201546, '\p{^Alpha=n}', "");
    Expect(1, 201546, '\P{Alpha=n}', "");
    Expect(0, 201546, '\P{^Alpha=n}', "");
    Expect(1, 201547, '\p{Alpha=:\An\z:}', "");;
    Expect(0, 201546, '\p{Alpha=:\An\z:}', "");;
    Expect(1, 201547, '\p{Alpha=-n}', "");
    Expect(0, 201547, '\p{^Alpha=-n}', "");
    Expect(0, 201547, '\P{Alpha=-n}', "");
    Expect(1, 201547, '\P{^Alpha=-n}', "");
    Expect(0, 201546, '\p{Alpha=-n}', "");
    Expect(1, 201546, '\p{^Alpha=-n}', "");
    Expect(1, 201546, '\P{Alpha=-n}', "");
    Expect(0, 201546, '\P{^Alpha=-n}', "");
    Error('\p{Is_Alphabetic=/a/F}');
    Error('\P{Is_Alphabetic=/a/F}');
    Expect(1, 201547, '\p{Is_Alphabetic=f}', "");
    Expect(0, 201547, '\p{^Is_Alphabetic=f}', "");
    Expect(0, 201547, '\P{Is_Alphabetic=f}', "");
    Expect(1, 201547, '\P{^Is_Alphabetic=f}', "");
    Expect(0, 201546, '\p{Is_Alphabetic=f}', "");
    Expect(1, 201546, '\p{^Is_Alphabetic=f}', "");
    Expect(1, 201546, '\P{Is_Alphabetic=f}', "");
    Expect(0, 201546, '\P{^Is_Alphabetic=f}', "");
    Expect(1, 201547, '\p{Is_Alphabetic=_	F}', "");
    Expect(0, 201547, '\p{^Is_Alphabetic=_	F}', "");
    Expect(0, 201547, '\P{Is_Alphabetic=_	F}', "");
    Expect(1, 201547, '\P{^Is_Alphabetic=_	F}', "");
    Expect(0, 201546, '\p{Is_Alphabetic=_	F}', "");
    Expect(1, 201546, '\p{^Is_Alphabetic=_	F}', "");
    Expect(1, 201546, '\P{Is_Alphabetic=_	F}', "");
    Expect(0, 201546, '\P{^Is_Alphabetic=_	F}', "");
    Error('\p{Is_Alpha=/a/_False}');
    Error('\P{Is_Alpha=/a/_False}');
    Expect(1, 201547, '\p{Is_Alpha=false}', "");
    Expect(0, 201547, '\p{^Is_Alpha=false}', "");
    Expect(0, 201547, '\P{Is_Alpha=false}', "");
    Expect(1, 201547, '\P{^Is_Alpha=false}', "");
    Expect(0, 201546, '\p{Is_Alpha=false}', "");
    Expect(1, 201546, '\p{^Is_Alpha=false}', "");
    Expect(1, 201546, '\P{Is_Alpha=false}', "");
    Expect(0, 201546, '\P{^Is_Alpha=false}', "");
    Expect(1, 201547, '\p{Is_Alpha=	FALSE}', "");
    Expect(0, 201547, '\p{^Is_Alpha=	FALSE}', "");
    Expect(0, 201547, '\P{Is_Alpha=	FALSE}', "");
    Expect(1, 201547, '\P{^Is_Alpha=	FALSE}', "");
    Expect(0, 201546, '\p{Is_Alpha=	FALSE}', "");
    Expect(1, 201546, '\p{^Is_Alpha=	FALSE}', "");
    Expect(1, 201546, '\P{Is_Alpha=	FALSE}', "");
    Expect(0, 201546, '\P{^Is_Alpha=	FALSE}', "");
    Error('\p{Alphabetic=/a/__Yes}');
    Error('\P{Alphabetic=/a/__Yes}');
    Expect(1, 201546, '\p{Alphabetic=:\AYes\z:}', "");;
    Expect(0, 201547, '\p{Alphabetic=:\AYes\z:}', "");;
    Expect(1, 201546, '\p{Alphabetic=yes}', "");
    Expect(0, 201546, '\p{^Alphabetic=yes}', "");
    Expect(0, 201546, '\P{Alphabetic=yes}', "");
    Expect(1, 201546, '\P{^Alphabetic=yes}', "");
    Expect(0, 201547, '\p{Alphabetic=yes}', "");
    Expect(1, 201547, '\p{^Alphabetic=yes}', "");
    Expect(1, 201547, '\P{Alphabetic=yes}', "");
    Expect(0, 201547, '\P{^Alphabetic=yes}', "");
    Expect(1, 201546, '\p{Alphabetic=:\Ayes\z:}', "");;
    Expect(0, 201547, '\p{Alphabetic=:\Ayes\z:}', "");;
    Expect(1, 201546, '\p{Alphabetic= -Yes}', "");
    Expect(0, 201546, '\p{^Alphabetic= -Yes}', "");
    Expect(0, 201546, '\P{Alphabetic= -Yes}', "");
    Expect(1, 201546, '\P{^Alphabetic= -Yes}', "");
    Expect(0, 201547, '\p{Alphabetic= -Yes}', "");
    Expect(1, 201547, '\p{^Alphabetic= -Yes}', "");
    Expect(1, 201547, '\P{Alphabetic= -Yes}', "");
    Expect(0, 201547, '\P{^Alphabetic= -Yes}', "");
    Error('\p{Alpha=	/a/Y}');
    Error('\P{Alpha=	/a/Y}');
    Expect(1, 201546, '\p{Alpha=:\AY\z:}', "");;
    Expect(0, 201547, '\p{Alpha=:\AY\z:}', "");;
    Expect(1, 201546, '\p{Alpha:   y}', "");
    Expect(0, 201546, '\p{^Alpha:   y}', "");
    Expect(0, 201546, '\P{Alpha:   y}', "");
    Expect(1, 201546, '\P{^Alpha:   y}', "");
    Expect(0, 201547, '\p{Alpha:   y}', "");
    Expect(1, 201547, '\p{^Alpha:   y}', "");
    Expect(1, 201547, '\P{Alpha:   y}', "");
    Expect(0, 201547, '\P{^Alpha:   y}', "");
    Expect(1, 201546, '\p{Alpha=:\Ay\z:}', "");;
    Expect(0, 201547, '\p{Alpha=:\Ay\z:}', "");;
    Expect(1, 201546, '\p{Alpha: 		Y}', "");
    Expect(0, 201546, '\p{^Alpha: 		Y}', "");
    Expect(0, 201546, '\P{Alpha: 		Y}', "");
    Expect(1, 201546, '\P{^Alpha: 		Y}', "");
    Expect(0, 201547, '\p{Alpha: 		Y}', "");
    Expect(1, 201547, '\p{^Alpha: 		Y}', "");
    Expect(1, 201547, '\P{Alpha: 		Y}', "");
    Expect(0, 201547, '\P{^Alpha: 		Y}', "");
    Error('\p{Is_Alphabetic=/a/-	T}');
    Error('\P{Is_Alphabetic=/a/-	T}');
    Expect(1, 201546, '\p{Is_Alphabetic: t}', "");
    Expect(0, 201546, '\p{^Is_Alphabetic: t}', "");
    Expect(0, 201546, '\P{Is_Alphabetic: t}', "");
    Expect(1, 201546, '\P{^Is_Alphabetic: t}', "");
    Expect(0, 201547, '\p{Is_Alphabetic: t}', "");
    Expect(1, 201547, '\p{^Is_Alphabetic: t}', "");
    Expect(1, 201547, '\P{Is_Alphabetic: t}', "");
    Expect(0, 201547, '\P{^Is_Alphabetic: t}', "");
    Expect(1, 201546, '\p{Is_Alphabetic: --T}', "");
    Expect(0, 201546, '\p{^Is_Alphabetic: --T}', "");
    Expect(0, 201546, '\P{Is_Alphabetic: --T}', "");
    Expect(1, 201546, '\P{^Is_Alphabetic: --T}', "");
    Expect(0, 201547, '\p{Is_Alphabetic: --T}', "");
    Expect(1, 201547, '\p{^Is_Alphabetic: --T}', "");
    Expect(1, 201547, '\P{Is_Alphabetic: --T}', "");
    Expect(0, 201547, '\P{^Is_Alphabetic: --T}', "");
    Error('\p{Is_Alpha=--True/a/}');
    Error('\P{Is_Alpha=--True/a/}');
    Expect(1, 201546, '\p{Is_Alpha=true}', "");
    Expect(0, 201546, '\p{^Is_Alpha=true}', "");
    Expect(0, 201546, '\P{Is_Alpha=true}', "");
    Expect(1, 201546, '\P{^Is_Alpha=true}', "");
    Expect(0, 201547, '\p{Is_Alpha=true}', "");
    Expect(1, 201547, '\p{^Is_Alpha=true}', "");
    Expect(1, 201547, '\P{Is_Alpha=true}', "");
    Expect(0, 201547, '\P{^Is_Alpha=true}', "");
    Expect(1, 201546, '\p{Is_Alpha=		True}', "");
    Expect(0, 201546, '\p{^Is_Alpha=		True}', "");
    Expect(0, 201546, '\P{Is_Alpha=		True}', "");
    Expect(1, 201546, '\P{^Is_Alpha=		True}', "");
    Expect(0, 201547, '\p{Is_Alpha=		True}', "");
    Expect(1, 201547, '\p{^Is_Alpha=		True}', "");
    Expect(1, 201547, '\P{Is_Alpha=		True}', "");
    Expect(0, 201547, '\P{^Is_Alpha=		True}', "");
    Error('\p{bidiclass}');
    Error('\P{bidiclass}');
    Error('\p{bc}');
    Error('\P{bc}');
    Error('\p{Bidi_Class=	Arabic_LETTER/a/}');
    Error('\P{Bidi_Class=	Arabic_LETTER/a/}');
    Expect(1, 126719, '\p{Bidi_Class=:\AArabic_Letter\z:}', "");;
    Expect(0, 126720, '\p{Bidi_Class=:\AArabic_Letter\z:}', "");;
    Expect(1, 126719, '\p{Bidi_Class=arabicletter}', "");
    Expect(0, 126719, '\p{^Bidi_Class=arabicletter}', "");
    Expect(0, 126719, '\P{Bidi_Class=arabicletter}', "");
    Expect(1, 126719, '\P{^Bidi_Class=arabicletter}', "");
    Expect(0, 126720, '\p{Bidi_Class=arabicletter}', "");
    Expect(1, 126720, '\p{^Bidi_Class=arabicletter}', "");
    Expect(1, 126720, '\P{Bidi_Class=arabicletter}', "");
    Expect(0, 126720, '\P{^Bidi_Class=arabicletter}', "");
    Expect(1, 126719, '\p{Bidi_Class=:\Aarabicletter\z:}', "");;
    Expect(0, 126720, '\p{Bidi_Class=:\Aarabicletter\z:}', "");;
    Expect(1, 126719, '\p{Bidi_Class=-	Arabic_Letter}', "");
    Expect(0, 126719, '\p{^Bidi_Class=-	Arabic_Letter}', "");
    Expect(0, 126719, '\P{Bidi_Class=-	Arabic_Letter}', "");
    Expect(1, 126719, '\P{^Bidi_Class=-	Arabic_Letter}', "");
    Expect(0, 126720, '\p{Bidi_Class=-	Arabic_Letter}', "");
    Expect(1, 126720, '\p{^Bidi_Class=-	Arabic_Letter}', "");
    Expect(1, 126720, '\P{Bidi_Class=-	Arabic_Letter}', "");
    Expect(0, 126720, '\P{^Bidi_Class=-	Arabic_Letter}', "");
    Error('\p{Bc=_/a/AL}');
    Error('\P{Bc=_/a/AL}');
    Expect(1, 126719, '\p{Bc=:\AAL\z:}', "");;
    Expect(0, 126720, '\p{Bc=:\AAL\z:}', "");;
    Expect(1, 126719, '\p{Bc=al}', "");
    Expect(0, 126719, '\p{^Bc=al}', "");
    Expect(0, 126719, '\P{Bc=al}', "");
    Expect(1, 126719, '\P{^Bc=al}', "");
    Expect(0, 126720, '\p{Bc=al}', "");
    Expect(1, 126720, '\p{^Bc=al}', "");
    Expect(1, 126720, '\P{Bc=al}', "");
    Expect(0, 126720, '\P{^Bc=al}', "");
    Expect(1, 126719, '\p{Bc=:\Aal\z:}', "");;
    Expect(0, 126720, '\p{Bc=:\Aal\z:}', "");;
    Expect(1, 126719, '\p{Bc= 	al}', "");
    Expect(0, 126719, '\p{^Bc= 	al}', "");
    Expect(0, 126719, '\P{Bc= 	al}', "");
    Expect(1, 126719, '\P{^Bc= 	al}', "");
    Expect(0, 126720, '\p{Bc= 	al}', "");
    Expect(1, 126720, '\p{^Bc= 	al}', "");
    Expect(1, 126720, '\P{Bc= 	al}', "");
    Expect(0, 126720, '\P{^Bc= 	al}', "");
    Error('\p{Is_Bidi_Class=:=  ARABIC_letter}');
    Error('\P{Is_Bidi_Class=:=  ARABIC_letter}');
    Expect(1, 126719, '\p{Is_Bidi_Class=arabicletter}', "");
    Expect(0, 126719, '\p{^Is_Bidi_Class=arabicletter}', "");
    Expect(0, 126719, '\P{Is_Bidi_Class=arabicletter}', "");
    Expect(1, 126719, '\P{^Is_Bidi_Class=arabicletter}', "");
    Expect(0, 126720, '\p{Is_Bidi_Class=arabicletter}', "");
    Expect(1, 126720, '\p{^Is_Bidi_Class=arabicletter}', "");
    Expect(1, 126720, '\P{Is_Bidi_Class=arabicletter}', "");
    Expect(0, 126720, '\P{^Is_Bidi_Class=arabicletter}', "");
    Expect(1, 126719, '\p{Is_Bidi_Class=- Arabic_Letter}', "");
    Expect(0, 126719, '\p{^Is_Bidi_Class=- Arabic_Letter}', "");
    Expect(0, 126719, '\P{Is_Bidi_Class=- Arabic_Letter}', "");
    Expect(1, 126719, '\P{^Is_Bidi_Class=- Arabic_Letter}', "");
    Expect(0, 126720, '\p{Is_Bidi_Class=- Arabic_Letter}', "");
    Expect(1, 126720, '\p{^Is_Bidi_Class=- Arabic_Letter}', "");
    Expect(1, 126720, '\P{Is_Bidi_Class=- Arabic_Letter}', "");
    Expect(0, 126720, '\P{^Is_Bidi_Class=- Arabic_Letter}', "");
    Error('\p{Is_Bc=	 AL/a/}');
    Error('\P{Is_Bc=	 AL/a/}');
    Expect(1, 126719, '\p{Is_Bc: al}', "");
    Expect(0, 126719, '\p{^Is_Bc: al}', "");
    Expect(0, 126719, '\P{Is_Bc: al}', "");
    Expect(1, 126719, '\P{^Is_Bc: al}', "");
    Expect(0, 126720, '\p{Is_Bc: al}', "");
    Expect(1, 126720, '\p{^Is_Bc: al}', "");
    Expect(1, 126720, '\P{Is_Bc: al}', "");
    Expect(0, 126720, '\P{^Is_Bc: al}', "");
    Expect(1, 126719, '\p{Is_Bc= _AL}', "");
    Expect(0, 126719, '\p{^Is_Bc= _AL}', "");
    Expect(0, 126719, '\P{Is_Bc= _AL}', "");
    Expect(1, 126719, '\P{^Is_Bc= _AL}', "");
    Expect(0, 126720, '\p{Is_Bc= _AL}', "");
    Expect(1, 126720, '\p{^Is_Bc= _AL}', "");
    Expect(1, 126720, '\P{Is_Bc= _AL}', "");
    Expect(0, 126720, '\P{^Is_Bc= _AL}', "");
    Error('\p{Bidi_Class= -Arabic_Number:=}');
    Error('\P{Bidi_Class= -Arabic_Number:=}');
    Expect(1, 69246, '\p{Bidi_Class=:\AArabic_Number\z:}', "");;
    Expect(0, 69247, '\p{Bidi_Class=:\AArabic_Number\z:}', "");;
    Expect(1, 69246, '\p{Bidi_Class=arabicnumber}', "");
    Expect(0, 69246, '\p{^Bidi_Class=arabicnumber}', "");
    Expect(0, 69246, '\P{Bidi_Class=arabicnumber}', "");
    Expect(1, 69246, '\P{^Bidi_Class=arabicnumber}', "");
    Expect(0, 69247, '\p{Bidi_Class=arabicnumber}', "");
    Expect(1, 69247, '\p{^Bidi_Class=arabicnumber}', "");
    Expect(1, 69247, '\P{Bidi_Class=arabicnumber}', "");
    Expect(0, 69247, '\P{^Bidi_Class=arabicnumber}', "");
    Expect(1, 69246, '\p{Bidi_Class=:\Aarabicnumber\z:}', "");;
    Expect(0, 69247, '\p{Bidi_Class=:\Aarabicnumber\z:}', "");;
    Expect(1, 69246, '\p{Bidi_Class= _Arabic_Number}', "");
    Expect(0, 69246, '\p{^Bidi_Class= _Arabic_Number}', "");
    Expect(0, 69246, '\P{Bidi_Class= _Arabic_Number}', "");
    Expect(1, 69246, '\P{^Bidi_Class= _Arabic_Number}', "");
    Expect(0, 69247, '\p{Bidi_Class= _Arabic_Number}', "");
    Expect(1, 69247, '\p{^Bidi_Class= _Arabic_Number}', "");
    Expect(1, 69247, '\P{Bidi_Class= _Arabic_Number}', "");
    Expect(0, 69247, '\P{^Bidi_Class= _Arabic_Number}', "");
    Error('\p{Bc=:=-_AN}');
    Error('\P{Bc=:=-_AN}');
    Expect(1, 69246, '\p{Bc=:\AAN\z:}', "");;
    Expect(0, 69247, '\p{Bc=:\AAN\z:}', "");;
    Expect(1, 69246, '\p{Bc=an}', "");
    Expect(0, 69246, '\p{^Bc=an}', "");
    Expect(0, 69246, '\P{Bc=an}', "");
    Expect(1, 69246, '\P{^Bc=an}', "");
    Expect(0, 69247, '\p{Bc=an}', "");
    Expect(1, 69247, '\p{^Bc=an}', "");
    Expect(1, 69247, '\P{Bc=an}', "");
    Expect(0, 69247, '\P{^Bc=an}', "");
    Expect(1, 69246, '\p{Bc=:\Aan\z:}', "");;
    Expect(0, 69247, '\p{Bc=:\Aan\z:}', "");;
    Expect(1, 69246, '\p{Bc=_an}', "");
    Expect(0, 69246, '\p{^Bc=_an}', "");
    Expect(0, 69246, '\P{Bc=_an}', "");
    Expect(1, 69246, '\P{^Bc=_an}', "");
    Expect(0, 69247, '\p{Bc=_an}', "");
    Expect(1, 69247, '\p{^Bc=_an}', "");
    Expect(1, 69247, '\P{Bc=_an}', "");
    Expect(0, 69247, '\P{^Bc=_an}', "");
    Error('\p{Is_Bidi_Class=	-arabic_NUMBER:=}');
    Error('\P{Is_Bidi_Class=	-arabic_NUMBER:=}');
    Expect(1, 69246, '\p{Is_Bidi_Class=arabicnumber}', "");
    Expect(0, 69246, '\p{^Is_Bidi_Class=arabicnumber}', "");
    Expect(0, 69246, '\P{Is_Bidi_Class=arabicnumber}', "");
    Expect(1, 69246, '\P{^Is_Bidi_Class=arabicnumber}', "");
    Expect(0, 69247, '\p{Is_Bidi_Class=arabicnumber}', "");
    Expect(1, 69247, '\p{^Is_Bidi_Class=arabicnumber}', "");
    Expect(1, 69247, '\P{Is_Bidi_Class=arabicnumber}', "");
    Expect(0, 69247, '\P{^Is_Bidi_Class=arabicnumber}', "");
    Expect(1, 69246, '\p{Is_Bidi_Class=arabic_Number}', "");
    Expect(0, 69246, '\p{^Is_Bidi_Class=arabic_Number}', "");
    Expect(0, 69246, '\P{Is_Bidi_Class=arabic_Number}', "");
    Expect(1, 69246, '\P{^Is_Bidi_Class=arabic_Number}', "");
    Expect(0, 69247, '\p{Is_Bidi_Class=arabic_Number}', "");
    Expect(1, 69247, '\p{^Is_Bidi_Class=arabic_Number}', "");
    Expect(1, 69247, '\P{Is_Bidi_Class=arabic_Number}', "");
    Expect(0, 69247, '\P{^Is_Bidi_Class=arabic_Number}', "");
    Error('\p{Is_Bc=_an/a/}');
    Error('\P{Is_Bc=_an/a/}');
    Expect(1, 69246, '\p{Is_Bc=an}', "");
    Expect(0, 69246, '\p{^Is_Bc=an}', "");
    Expect(0, 69246, '\P{Is_Bc=an}', "");
    Expect(1, 69246, '\P{^Is_Bc=an}', "");
    Expect(0, 69247, '\p{Is_Bc=an}', "");
    Expect(1, 69247, '\p{^Is_Bc=an}', "");
    Expect(1, 69247, '\P{Is_Bc=an}', "");
    Expect(0, 69247, '\P{^Is_Bc=an}', "");
    Expect(1, 69246, '\p{Is_Bc= _AN}', "");
    Expect(0, 69246, '\p{^Is_Bc= _AN}', "");
    Expect(0, 69246, '\P{Is_Bc= _AN}', "");
    Expect(1, 69246, '\P{^Is_Bc= _AN}', "");
    Expect(0, 69247, '\p{Is_Bc= _AN}', "");
    Expect(1, 69247, '\p{^Is_Bc= _AN}', "");
    Expect(1, 69247, '\P{Is_Bc= _AN}', "");
    Expect(0, 69247, '\P{^Is_Bc= _AN}', "");
    Error('\p{Bidi_Class=	 Paragraph_SEPARATOR/a/}');
    Error('\P{Bidi_Class=	 Paragraph_SEPARATOR/a/}');
    Expect(1, 8233, '\p{Bidi_Class=:\AParagraph_Separator\z:}', "");;
    Expect(0, 8234, '\p{Bidi_Class=:\AParagraph_Separator\z:}', "");;
    Expect(1, 8233, '\p{Bidi_Class=paragraphseparator}', "");
    Expect(0, 8233, '\p{^Bidi_Class=paragraphseparator}', "");
    Expect(0, 8233, '\P{Bidi_Class=paragraphseparator}', "");
    Expect(1, 8233, '\P{^Bidi_Class=paragraphseparator}', "");
    Expect(0, 8234, '\p{Bidi_Class=paragraphseparator}', "");
    Expect(1, 8234, '\p{^Bidi_Class=paragraphseparator}', "");
    Expect(1, 8234, '\P{Bidi_Class=paragraphseparator}', "");
    Expect(0, 8234, '\P{^Bidi_Class=paragraphseparator}', "");
    Expect(1, 8233, '\p{Bidi_Class=:\Aparagraphseparator\z:}', "");;
    Expect(0, 8234, '\p{Bidi_Class=:\Aparagraphseparator\z:}', "");;
    Expect(1, 8233, '\p{Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8233, '\p{^Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8233, '\P{Bidi_Class=_Paragraph_Separator}', "");
    Expect(1, 8233, '\P{^Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8234, '\p{Bidi_Class=_Paragraph_Separator}', "");
    Expect(1, 8234, '\p{^Bidi_Class=_Paragraph_Separator}', "");
    Expect(1, 8234, '\P{Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8234, '\P{^Bidi_Class=_Paragraph_Separator}', "");
    Error('\p{Bc: B:=}');
    Error('\P{Bc: B:=}');
    Expect(1, 8233, '\p{Bc=:\AB\z:}', "");;
    Expect(0, 8234, '\p{Bc=:\AB\z:}', "");;
    Expect(1, 8233, '\p{Bc=b}', "");
    Expect(0, 8233, '\p{^Bc=b}', "");
    Expect(0, 8233, '\P{Bc=b}', "");
    Expect(1, 8233, '\P{^Bc=b}', "");
    Expect(0, 8234, '\p{Bc=b}', "");
    Expect(1, 8234, '\p{^Bc=b}', "");
    Expect(1, 8234, '\P{Bc=b}', "");
    Expect(0, 8234, '\P{^Bc=b}', "");
    Expect(1, 8233, '\p{Bc=:\Ab\z:}', "");;
    Expect(0, 8234, '\p{Bc=:\Ab\z:}', "");;
    Expect(1, 8233, '\p{Bc=-b}', "");
    Expect(0, 8233, '\p{^Bc=-b}', "");
    Expect(0, 8233, '\P{Bc=-b}', "");
    Expect(1, 8233, '\P{^Bc=-b}', "");
    Expect(0, 8234, '\p{Bc=-b}', "");
    Expect(1, 8234, '\p{^Bc=-b}', "");
    Expect(1, 8234, '\P{Bc=-b}', "");
    Expect(0, 8234, '\P{^Bc=-b}', "");
    Error('\p{Is_Bidi_Class=:=-PARAGRAPH_Separator}');
    Error('\P{Is_Bidi_Class=:=-PARAGRAPH_Separator}');
    Expect(1, 8233, '\p{Is_Bidi_Class=paragraphseparator}', "");
    Expect(0, 8233, '\p{^Is_Bidi_Class=paragraphseparator}', "");
    Expect(0, 8233, '\P{Is_Bidi_Class=paragraphseparator}', "");
    Expect(1, 8233, '\P{^Is_Bidi_Class=paragraphseparator}', "");
    Expect(0, 8234, '\p{Is_Bidi_Class=paragraphseparator}', "");
    Expect(1, 8234, '\p{^Is_Bidi_Class=paragraphseparator}', "");
    Expect(1, 8234, '\P{Is_Bidi_Class=paragraphseparator}', "");
    Expect(0, 8234, '\P{^Is_Bidi_Class=paragraphseparator}', "");
    Expect(1, 8233, '\p{Is_Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8233, '\p{^Is_Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8233, '\P{Is_Bidi_Class=_Paragraph_Separator}', "");
    Expect(1, 8233, '\P{^Is_Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8234, '\p{Is_Bidi_Class=_Paragraph_Separator}', "");
    Expect(1, 8234, '\p{^Is_Bidi_Class=_Paragraph_Separator}', "");
    Expect(1, 8234, '\P{Is_Bidi_Class=_Paragraph_Separator}', "");
    Expect(0, 8234, '\P{^Is_Bidi_Class=_Paragraph_Separator}', "");
    Error('\p{Is_Bc=/a/--b}');
    Error('\P{Is_Bc=/a/--b}');
    Expect(1, 8233, '\p{Is_Bc=b}', "");
    Expect(0, 8233, '\p{^Is_Bc=b}', "");
    Expect(0, 8233, '\P{Is_Bc=b}', "");
    Expect(1, 8233, '\P{^Is_Bc=b}', "");
    Expect(0, 8234, '\p{Is_Bc=b}', "");
    Expect(1, 8234, '\p{^Is_Bc=b}', "");
    Expect(1, 8234, '\P{Is_Bc=b}', "");
    Expect(0, 8234, '\P{^Is_Bc=b}', "");
    Expect(1, 8233, '\p{Is_Bc=-b}', "");
    Expect(0, 8233, '\p{^Is_Bc=-b}', "");
    Expect(0, 8233, '\P{Is_Bc=-b}', "");
    Expect(1, 8233, '\P{^Is_Bc=-b}', "");
    Expect(0, 8234, '\p{Is_Bc=-b}', "");
    Expect(1, 8234, '\p{^Is_Bc=-b}', "");
    Expect(1, 8234, '\P{Is_Bc=-b}', "");
    Expect(0, 8234, '\P{^Is_Bc=-b}', "");
    Error('\p{Bidi_Class=	:=Boundary_Neutral}');
    Error('\P{Bidi_Class=	:=Boundary_Neutral}');
    Expect(1, 921599, '\p{Bidi_Class=:\ABoundary_Neutral\z:}', "");;
    Expect(0, 1114109, '\p{Bidi_Class=:\ABoundary_Neutral\z:}', "");;
    Expect(1, 921599, '\p{Bidi_Class=boundaryneutral}', "");
    Expect(0, 921599, '\p{^Bidi_Class=boundaryneutral}', "");
    Expect(0, 921599, '\P{Bidi_Class=boundaryneutral}', "");
    Expect(1, 921599, '\P{^Bidi_Class=boundaryneutral}', "");
    Expect(0, 1114109, '\p{Bidi_Class=boundaryneutral}', "");
    Expect(1, 1114109, '\p{^Bidi_Class=boundaryneutral}', "");
    Expect(1, 1114109, '\P{Bidi_Class=boundaryneutral}', "");
    Expect(0, 1114109, '\P{^Bidi_Class=boundaryneutral}', "");
    Expect(1, 921599, '\p{Bidi_Class=:\Aboundaryneutral\z:}', "");;
    Expect(0, 1114109, '\p{Bidi_Class=:\Aboundaryneutral\z:}', "");;
    Expect(1, 921599, '\p{Bidi_Class=	 Boundary_neutral}', "");
    Expect(0, 921599, '\p{^Bidi_Class=	 Boundary_neutral}', "");
    Expect(0, 921599, '\P{Bidi_Class=	 Boundary_neutral}', "");
    Expect(1, 921599, '\P{^Bidi_Class=	 Boundary_neutral}', "");
    Expect(0, 1114109, '\p{Bidi_Class=	 Boundary_neutral}', "");
    Expect(1, 1114109, '\p{^Bidi_Class=	 Boundary_neutral}', "");
    Expect(1, 1114109, '\P{Bidi_Class=	 Boundary_neutral}', "");
    Expect(0, 1114109, '\P{^Bidi_Class=	 Boundary_neutral}', "");
    Error('\p{Bc=_/a/BN}');
    Error('\P{Bc=_/a/BN}');
    Expect(1, 921599, '\p{Bc=:\ABN\z:}', "");;
    Expect(0, 1114109, '\p{Bc=:\ABN\z:}', "");;
    Expect(1, 921599, '\p{Bc=bn}', "");
    Expect(0, 921599, '\p{^Bc=bn}', "");
    Expect(0, 921599, '\P{Bc=bn}', "");
    Expect(1, 921599, '\P{^Bc=bn}', "");
    Expect(0, 1114109, '\p{Bc=bn}', "");
    Expect(1, 1114109, '\p{^Bc=bn}', "");
    Expect(1, 1114109, '\P{Bc=bn}', "");
    Expect(0, 1114109, '\P{^Bc=bn}', "");
    Expect(1, 921599, '\p{Bc=:\Abn\z:}', "");;
    Expect(0, 1114109, '\p{Bc=:\Abn\z:}', "");;
    Expect(1, 921599, '\p{Bc=		BN}', "");
    Expect(0, 921599, '\p{^Bc=		BN}', "");
    Expect(0, 921599, '\P{Bc=		BN}', "");
    Expect(1, 921599, '\P{^Bc=		BN}', "");
    Expect(0, 1114109, '\p{Bc=		BN}', "");
    Expect(1, 1114109, '\p{^Bc=		BN}', "");
    Expect(1, 1114109, '\P{Bc=		BN}', "");
    Expect(0, 1114109, '\P{^Bc=		BN}', "");
    Error('\p{Is_Bidi_Class=/a/	boundary_Neutral}');
    Error('\P{Is_Bidi_Class=/a/	boundary_Neutral}');
    Expect(1, 921599, '\p{Is_Bidi_Class:   boundaryneutral}', "");
    Expect(0, 921599, '\p{^Is_Bidi_Class:   boundaryneutral}', "");
    Expect(0, 921599, '\P{Is_Bidi_Class:   boundaryneutral}', "");
    Expect(1, 921599, '\P{^Is_Bidi_Class:   boundaryneutral}', "");
    Expect(0, 1114109, '\p{Is_Bidi_Class:   boundaryneutral}', "");
    Expect(1, 1114109, '\p{^Is_Bidi_Class:   boundaryneutral}', "");
    Expect(1, 1114109, '\P{Is_Bidi_Class:   boundaryneutral}', "");
    Expect(0, 1114109, '\P{^Is_Bidi_Class:   boundaryneutral}', "");
    Expect(1, 921599, '\p{Is_Bidi_Class=	Boundary_Neutral}', "");
    Expect(0, 921599, '\p{^Is_Bidi_Class=	Boundary_Neutral}', "");
    Expect(0, 921599, '\P{Is_Bidi_Class=	Boundary_Neutral}', "");
    Expect(1, 921599, '\P{^Is_Bidi_Class=	Boundary_Neutral}', "");
    Expect(0, 1114109, '\p{Is_Bidi_Class=	Boundary_Neutral}', "");
    Expect(1, 1114109, '\p{^Is_Bidi_Class=	Boundary_Neutral}', "");
    Expect(1, 1114109, '\P{Is_Bidi_Class=	Boundary_Neutral}', "");
    Expect(0, 1114109, '\P{^Is_Bidi_Class=	Boundary_Neutral}', "");
    Error('\p{Is_Bc=-BN:=}');
    Error('\P{Is_Bc=-BN:=}');
    Expect(1, 921599, '\p{Is_Bc=bn}', "");
    Expect(0, 921599, '\p{^Is_Bc=bn}', "");
    Expect(0, 921599, '\P{Is_Bc=bn}', "");
    Expect(1, 921599, '\P{^Is_Bc=bn}', "");
    Expect(0, 1114109, '\p{Is_Bc=bn}', "");
    Expect(1, 1114109, '\p{^Is_Bc=bn}', "");
    Expect(1, 1114109, '\P{Is_Bc=bn}', "");
    Expect(0, 1114109, '\P{^Is_Bc=bn}', "");
    Expect(1, 921599, '\p{Is_Bc= bn}', "");
    Expect(0, 921599, '\p{^Is_Bc= bn}', "");
    Expect(0, 921599, '\P{Is_Bc= bn}', "");
    Expect(1, 921599, '\P{^Is_Bc= bn}', "");
    Expect(0, 1114109, '\p{Is_Bc= bn}', "");
    Expect(1, 1114109, '\p{^Is_Bc= bn}', "");
    Expect(1, 1114109, '\P{Is_Bc= bn}', "");
    Expect(0, 1114109, '\P{^Is_Bc= bn}', "");
    Error('\p{Bidi_Class=-/a/Common_separator}');
    Error('\P{Bidi_Class=-/a/Common_separator}');
    Expect(1, 65306, '\p{Bidi_Class=:\ACommon_Separator\z:}', "");;
    Expect(0, 65307, '\p{Bidi_Class=:\ACommon_Separator\z:}', "");;
    Expect(1, 65306, '\p{Bidi_Class=commonseparator}', "");
    Expect(0, 65306, '\p{^Bidi_Class=commonseparator}', "");
    Expect(0, 65306, '\P{Bidi_Class=commonseparator}', "");
    Expect(1, 65306, '\P{^Bidi_Class=commonseparator}', "");
    Expect(0, 65307, '\p{Bidi_Class=commonseparator}', "");
    Expect(1, 65307, '\p{^Bidi_Class=commonseparator}', "");
    Expect(1, 65307, '\P{Bidi_Class=commonseparator}', "");
    Expect(0, 65307, '\P{^Bidi_Class=commonseparator}', "");
    Expect(1, 65306, '\p{Bidi_Class=:\Acommonseparator\z:}', "");;
    Expect(0, 65307, '\p{Bidi_Class=:\Acommonseparator\z:}', "");;
    Expect(1, 65306, '\p{Bidi_Class=__common_Separator}', "");
    Expect(0, 65306, '\p{^Bidi_Class=__common_Separator}', "");
    Expect(0, 65306, '\P{Bidi_Class=__common_Separator}', "");
    Expect(1, 65306, '\P{^Bidi_Class=__common_Separator}', "");
    Expect(0, 65307, '\p{Bidi_Class=__common_Separator}', "");
    Expect(1, 65307, '\p{^Bidi_Class=__common_Separator}', "");
    Expect(1, 65307, '\P{Bidi_Class=__common_Separator}', "");
    Expect(0, 65307, '\P{^Bidi_Class=__common_Separator}', "");
    Error('\p{Bc=/a/cs}');
    Error('\P{Bc=/a/cs}');
    Expect(1, 65306, '\p{Bc=:\ACS\z:}', "");;
    Expect(0, 65307, '\p{Bc=:\ACS\z:}', "");;
    Expect(1, 65306, '\p{Bc=cs}', "");
    Expect(0, 65306, '\p{^Bc=cs}', "");
    Expect(0, 65306, '\P{Bc=cs}', "");
    Expect(1, 65306, '\P{^Bc=cs}', "");
    Expect(0, 65307, '\p{Bc=cs}', "");
    Expect(1, 65307, '\p{^Bc=cs}', "");
    Expect(1, 65307, '\P{Bc=cs}', "");
    Expect(0, 65307, '\P{^Bc=cs}', "");
    Expect(1, 65306, '\p{Bc=:\Acs\z:}', "");;
    Expect(0, 65307, '\p{Bc=:\Acs\z:}', "");;
    Expect(1, 65306, '\p{Bc=_ CS}', "");
    Expect(0, 65306, '\p{^Bc=_ CS}', "");
    Expect(0, 65306, '\P{Bc=_ CS}', "");
    Expect(1, 65306, '\P{^Bc=_ CS}', "");
    Expect(0, 65307, '\p{Bc=_ CS}', "");
    Expect(1, 65307, '\p{^Bc=_ CS}', "");
    Expect(1, 65307, '\P{Bc=_ CS}', "");
    Expect(0, 65307, '\P{^Bc=_ CS}', "");
    Error('\p{Is_Bidi_Class=_COMMON_Separator/a/}');
    Error('\P{Is_Bidi_Class=_COMMON_Separator/a/}');
    Expect(1, 65306, '\p{Is_Bidi_Class=commonseparator}', "");
    Expect(0, 65306, '\p{^Is_Bidi_Class=commonseparator}', "");
    Expect(0, 65306, '\P{Is_Bidi_Class=commonseparator}', "");
    Expect(1, 65306, '\P{^Is_Bidi_Class=commonseparator}', "");
    Expect(0, 65307, '\p{Is_Bidi_Class=commonseparator}', "");
    Expect(1, 65307, '\p{^Is_Bidi_Class=commonseparator}', "");
    Expect(1, 65307, '\P{Is_Bidi_Class=commonseparator}', "");
    Expect(0, 65307, '\P{^Is_Bidi_Class=commonseparator}', "");
    Expect(1, 65306, '\p{Is_Bidi_Class=-	common_Separator}', "");
    Expect(0, 65306, '\p{^Is_Bidi_Class=-	common_Separator}', "");
    Expect(0, 65306, '\P{Is_Bidi_Class=-	common_Separator}', "");
    Expect(1, 65306, '\P{^Is_Bidi_Class=-	common_Separator}', "");
    Expect(0, 65307, '\p{Is_Bidi_Class=-	common_Separator}', "");
    Expect(1, 65307, '\p{^Is_Bidi_Class=-	common_Separator}', "");
    Expect(1, 65307, '\P{Is_Bidi_Class=-	common_Separator}', "");
    Expect(0, 65307, '\P{^Is_Bidi_Class=-	common_Separator}', "");
    Error('\p{Is_Bc=_-cs:=}');
    Error('\P{Is_Bc=_-cs:=}');
    Expect(1, 65306, '\p{Is_Bc=cs}', "");
    Expect(0, 65306, '\p{^Is_Bc=cs}', "");
    Expect(0, 65306, '\P{Is_Bc=cs}', "");
    Expect(1, 65306, '\P{^Is_Bc=cs}', "");
    Expect(0, 65307, '\p{Is_Bc=cs}', "");
    Expect(1, 65307, '\p{^Is_Bc=cs}', "");
    Expect(1, 65307, '\P{Is_Bc=cs}', "");
    Expect(0, 65307, '\P{^Is_Bc=cs}', "");
    Expect(1, 65306, '\p{Is_Bc=		cs}', "");
    Expect(0, 65306, '\p{^Is_Bc=		cs}', "");
    Expect(0, 65306, '\P{Is_Bc=		cs}', "");
    Expect(1, 65306, '\P{^Is_Bc=		cs}', "");
    Expect(0, 65307, '\p{Is_Bc=		cs}', "");
    Expect(1, 65307, '\p{^Is_Bc=		cs}', "");
    Expect(1, 65307, '\P{Is_Bc=		cs}', "");
    Expect(0, 65307, '\P{^Is_Bc=		cs}', "");
    Error('\p{Bidi_Class:-/a/European_Number}');
    Error('\P{Bidi_Class:-/a/European_Number}');
    Expect(1, 130041, '\p{Bidi_Class=:\AEuropean_Number\z:}', "");;
    Expect(0, 130042, '\p{Bidi_Class=:\AEuropean_Number\z:}', "");;
    Expect(1, 130041, '\p{Bidi_Class=europeannumber}', "");
    Expect(0, 130041, '\p{^Bidi_Class=europeannumber}', "");
    Expect(0, 130041, '\P{Bidi_Class=europeannumber}', "");
    Expect(1, 130041, '\P{^Bidi_Class=europeannumber}', "");
    Expect(0, 130042, '\p{Bidi_Class=europeannumber}', "");
    Expect(1, 130042, '\p{^Bidi_Class=europeannumber}', "");
    Expect(1, 130042, '\P{Bidi_Class=europeannumber}', "");
    Expect(0, 130042, '\P{^Bidi_Class=europeannumber}', "");
    Expect(1, 130041, '\p{Bidi_Class=:\Aeuropeannumber\z:}', "");;
    Expect(0, 130042, '\p{Bidi_Class=:\Aeuropeannumber\z:}', "");;
    Expect(1, 130041, '\p{Bidi_Class=	-EUROPEAN_Number}', "");
    Expect(0, 130041, '\p{^Bidi_Class=	-EUROPEAN_Number}', "");
    Expect(0, 130041, '\P{Bidi_Class=	-EUROPEAN_Number}', "");
    Expect(1, 130041, '\P{^Bidi_Class=	-EUROPEAN_Number}', "");
    Expect(0, 130042, '\p{Bidi_Class=	-EUROPEAN_Number}', "");
    Expect(1, 130042, '\p{^Bidi_Class=	-EUROPEAN_Number}', "");
    Expect(1, 130042, '\P{Bidi_Class=	-EUROPEAN_Number}', "");
    Expect(0, 130042, '\P{^Bidi_Class=	-EUROPEAN_Number}', "");
    Error('\p{Bc:		:=en}');
    Error('\P{Bc:		:=en}');
    Expect(1, 130041, '\p{Bc=:\AEN\z:}', "");;
    Expect(0, 130042, '\p{Bc=:\AEN\z:}', "");;
    Expect(1, 130041, '\p{Bc=en}', "");
    Expect(0, 130041, '\p{^Bc=en}', "");
    Expect(0, 130041, '\P{Bc=en}', "");
    Expect(1, 130041, '\P{^Bc=en}', "");
    Expect(0, 130042, '\p{Bc=en}', "");
    Expect(1, 130042, '\p{^Bc=en}', "");
    Expect(1, 130042, '\P{Bc=en}', "");
    Expect(0, 130042, '\P{^Bc=en}', "");
    Expect(1, 130041, '\p{Bc=:\Aen\z:}', "");;
    Expect(0, 130042, '\p{Bc=:\Aen\z:}', "");;
    Expect(1, 130041, '\p{Bc=-_EN}', "");
    Expect(0, 130041, '\p{^Bc=-_EN}', "");
    Expect(0, 130041, '\P{Bc=-_EN}', "");
    Expect(1, 130041, '\P{^Bc=-_EN}', "");
    Expect(0, 130042, '\p{Bc=-_EN}', "");
    Expect(1, 130042, '\p{^Bc=-_EN}', "");
    Expect(1, 130042, '\P{Bc=-_EN}', "");
    Expect(0, 130042, '\P{^Bc=-_EN}', "");
    Error('\p{Is_Bidi_Class::=		European_number}');
    Error('\P{Is_Bidi_Class::=		European_number}');
    Expect(1, 130041, '\p{Is_Bidi_Class=europeannumber}', "");
    Expect(0, 130041, '\p{^Is_Bidi_Class=europeannumber}', "");
    Expect(0, 130041, '\P{Is_Bidi_Class=europeannumber}', "");
    Expect(1, 130041, '\P{^Is_Bidi_Class=europeannumber}', "");
    Expect(0, 130042, '\p{Is_Bidi_Class=europeannumber}', "");
    Expect(1, 130042, '\p{^Is_Bidi_Class=europeannumber}', "");
    Expect(1, 130042, '\P{Is_Bidi_Class=europeannumber}', "");
    Expect(0, 130042, '\P{^Is_Bidi_Class=europeannumber}', "");
    Expect(1, 130041, '\p{Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Expect(0, 130041, '\p{^Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Expect(0, 130041, '\P{Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Expect(1, 130041, '\P{^Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Expect(0, 130042, '\p{Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Expect(1, 130042, '\p{^Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Expect(1, 130042, '\P{Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Expect(0, 130042, '\P{^Is_Bidi_Class=- EUROPEAN_NUMBER}', "");
    Error('\p{Is_Bc=	:=EN}');
    Error('\P{Is_Bc=	:=EN}');
    Expect(1, 130041, '\p{Is_Bc=en}', "");
    Expect(0, 130041, '\p{^Is_Bc=en}', "");
    Expect(0, 130041, '\P{Is_Bc=en}', "");
    Expect(1, 130041, '\P{^Is_Bc=en}', "");
    Expect(0, 130042, '\p{Is_Bc=en}', "");
    Expect(1, 130042, '\p{^Is_Bc=en}', "");
    Expect(1, 130042, '\P{Is_Bc=en}', "");
    Expect(0, 130042, '\P{^Is_Bc=en}', "");
    Expect(1, 130041, '\p{Is_Bc=-EN}', "");
    Expect(0, 130041, '\p{^Is_Bc=-EN}', "");
    Expect(0, 130041, '\P{Is_Bc=-EN}', "");
    Expect(1, 130041, '\P{^Is_Bc=-EN}', "");
    Expect(0, 130042, '\p{Is_Bc=-EN}', "");
    Expect(1, 130042, '\p{^Is_Bc=-EN}', "");
    Expect(1, 130042, '\P{Is_Bc=-EN}', "");
    Expect(0, 130042, '\P{^Is_Bc=-EN}', "");
    Error('\p{Bidi_Class=:= 	european_separator}');
    Error('\P{Bidi_Class=:= 	european_separator}');
    Expect(1, 65293, '\p{Bidi_Class=:\AEuropean_Separator\z:}', "");;
    Expect(0, 65294, '\p{Bidi_Class=:\AEuropean_Separator\z:}', "");;
    Expect(1, 65293, '\p{Bidi_Class=europeanseparator}', "");
    Expect(0, 65293, '\p{^Bidi_Class=europeanseparator}', "");
    Expect(0, 65293, '\P{Bidi_Class=europeanseparator}', "");
    Expect(1, 65293, '\P{^Bidi_Class=europeanseparator}', "");
    Expect(0, 65294, '\p{Bidi_Class=europeanseparator}', "");
    Expect(1, 65294, '\p{^Bidi_Class=europeanseparator}', "");
    Expect(1, 65294, '\P{Bidi_Class=europeanseparator}', "");
    Expect(0, 65294, '\P{^Bidi_Class=europeanseparator}', "");
    Expect(1, 65293, '\p{Bidi_Class=:\Aeuropeanseparator\z:}', "");;
    Expect(0, 65294, '\p{Bidi_Class=:\Aeuropeanseparator\z:}', "");;
    Expect(1, 65293, '\p{Bidi_Class=_ european_Separator}', "");
    Expect(0, 65293, '\p{^Bidi_Class=_ european_Separator}', "");
    Expect(0, 65293, '\P{Bidi_Class=_ european_Separator}', "");
    Expect(1, 65293, '\P{^Bidi_Class=_ european_Separator}', "");
    Expect(0, 65294, '\p{Bidi_Class=_ european_Separator}', "");
    Expect(1, 65294, '\p{^Bidi_Class=_ european_Separator}', "");
    Expect(1, 65294, '\P{Bidi_Class=_ european_Separator}', "");
    Expect(0, 65294, '\P{^Bidi_Class=_ european_Separator}', "");
    Error('\p{Bc=-:=ES}');
    Error('\P{Bc=-:=ES}');
    Expect(1, 65293, '\p{Bc=:\AES\z:}', "");;
    Expect(0, 65294, '\p{Bc=:\AES\z:}', "");;
    Expect(1, 65293, '\p{Bc=es}', "");
    Expect(0, 65293, '\p{^Bc=es}', "");
    Expect(0, 65293, '\P{Bc=es}', "");
    Expect(1, 65293, '\P{^Bc=es}', "");
    Expect(0, 65294, '\p{Bc=es}', "");
    Expect(1, 65294, '\p{^Bc=es}', "");
    Expect(1, 65294, '\P{Bc=es}', "");
    Expect(0, 65294, '\P{^Bc=es}', "");
    Expect(1, 65293, '\p{Bc=:\Aes\z:}', "");;
    Expect(0, 65294, '\p{Bc=:\Aes\z:}', "");;
    Expect(1, 65293, '\p{Bc:-ES}', "");
    Expect(0, 65293, '\p{^Bc:-ES}', "");
    Expect(0, 65293, '\P{Bc:-ES}', "");
    Expect(1, 65293, '\P{^Bc:-ES}', "");
    Expect(0, 65294, '\p{Bc:-ES}', "");
    Expect(1, 65294, '\p{^Bc:-ES}', "");
    Expect(1, 65294, '\P{Bc:-ES}', "");
    Expect(0, 65294, '\P{^Bc:-ES}', "");
    Error('\p{Is_Bidi_Class=/a/--European_Separator}');
    Error('\P{Is_Bidi_Class=/a/--European_Separator}');
    Expect(1, 65293, '\p{Is_Bidi_Class=europeanseparator}', "");
    Expect(0, 65293, '\p{^Is_Bidi_Class=europeanseparator}', "");
    Expect(0, 65293, '\P{Is_Bidi_Class=europeanseparator}', "");
    Expect(1, 65293, '\P{^Is_Bidi_Class=europeanseparator}', "");
    Expect(0, 65294, '\p{Is_Bidi_Class=europeanseparator}', "");
    Expect(1, 65294, '\p{^Is_Bidi_Class=europeanseparator}', "");
    Expect(1, 65294, '\P{Is_Bidi_Class=europeanseparator}', "");
    Expect(0, 65294, '\P{^Is_Bidi_Class=europeanseparator}', "");
    Expect(1, 65293, '\p{Is_Bidi_Class=_European_Separator}', "");
    Expect(0, 65293, '\p{^Is_Bidi_Class=_European_Separator}', "");
    Expect(0, 65293, '\P{Is_Bidi_Class=_European_Separator}', "");
    Expect(1, 65293, '\P{^Is_Bidi_Class=_European_Separator}', "");
    Expect(0, 65294, '\p{Is_Bidi_Class=_European_Separator}', "");
    Expect(1, 65294, '\p{^Is_Bidi_Class=_European_Separator}', "");
    Expect(1, 65294, '\P{Is_Bidi_Class=_European_Separator}', "");
    Expect(0, 65294, '\P{^Is_Bidi_Class=_European_Separator}', "");
    Error('\p{Is_Bc= ES/a/}');
    Error('\P{Is_Bc= ES/a/}');
    Expect(1, 65293, '\p{Is_Bc=es}', "");
    Expect(0, 65293, '\p{^Is_Bc=es}', "");
    Expect(0, 65293, '\P{Is_Bc=es}', "");
    Expect(1, 65293, '\P{^Is_Bc=es}', "");
    Expect(0, 65294, '\p{Is_Bc=es}', "");
    Expect(1, 65294, '\p{^Is_Bc=es}', "");
    Expect(1, 65294, '\P{Is_Bc=es}', "");
    Expect(0, 65294, '\P{^Is_Bc=es}', "");
    Expect(1, 65293, '\p{Is_Bc=_ES}', "");
    Expect(0, 65293, '\p{^Is_Bc=_ES}', "");
    Expect(0, 65293, '\P{Is_Bc=_ES}', "");
    Expect(1, 65293, '\P{^Is_Bc=_ES}', "");
    Expect(0, 65294, '\p{Is_Bc=_ES}', "");
    Expect(1, 65294, '\p{^Is_Bc=_ES}', "");
    Expect(1, 65294, '\P{Is_Bc=_ES}', "");
    Expect(0, 65294, '\P{^Is_Bc=_ES}', "");
    Error('\p{Bidi_Class=- European_Terminator/a/}');
    Error('\P{Bidi_Class=- European_Terminator/a/}');
    Expect(1, 123647, '\p{Bidi_Class=:\AEuropean_Terminator\z:}', "");;
    Expect(0, 123648, '\p{Bidi_Class=:\AEuropean_Terminator\z:}', "");;
    Expect(1, 123647, '\p{Bidi_Class=europeanterminator}', "");
    Expect(0, 123647, '\p{^Bidi_Class=europeanterminator}', "");
    Expect(0, 123647, '\P{Bidi_Class=europeanterminator}', "");
    Expect(1, 123647, '\P{^Bidi_Class=europeanterminator}', "");
    Expect(0, 123648, '\p{Bidi_Class=europeanterminator}', "");
    Expect(1, 123648, '\p{^Bidi_Class=europeanterminator}', "");
    Expect(1, 123648, '\P{Bidi_Class=europeanterminator}', "");
    Expect(0, 123648, '\P{^Bidi_Class=europeanterminator}', "");
    Expect(1, 123647, '\p{Bidi_Class=:\Aeuropeanterminator\z:}', "");;
    Expect(0, 123648, '\p{Bidi_Class=:\Aeuropeanterminator\z:}', "");;
    Expect(1, 123647, '\p{Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Expect(0, 123647, '\p{^Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Expect(0, 123647, '\P{Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Expect(1, 123647, '\P{^Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Expect(0, 123648, '\p{Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Expect(1, 123648, '\p{^Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Expect(1, 123648, '\P{Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Expect(0, 123648, '\P{^Bidi_Class:   	-EUROPEAN_Terminator}', "");
    Error('\p{Bc=-/a/ET}');
    Error('\P{Bc=-/a/ET}');
    Expect(1, 123647, '\p{Bc=:\AET\z:}', "");;
    Expect(0, 123648, '\p{Bc=:\AET\z:}', "");;
    Expect(1, 123647, '\p{Bc=et}', "");
    Expect(0, 123647, '\p{^Bc=et}', "");
    Expect(0, 123647, '\P{Bc=et}', "");
    Expect(1, 123647, '\P{^Bc=et}', "");
    Expect(0, 123648, '\p{Bc=et}', "");
    Expect(1, 123648, '\p{^Bc=et}', "");
    Expect(1, 123648, '\P{Bc=et}', "");
    Expect(0, 123648, '\P{^Bc=et}', "");
    Expect(1, 123647, '\p{Bc=:\Aet\z:}', "");;
    Expect(0, 123648, '\p{Bc=:\Aet\z:}', "");;
    Expect(1, 123647, '\p{Bc=- ET}', "");
    Expect(0, 123647, '\p{^Bc=- ET}', "");
    Expect(0, 123647, '\P{Bc=- ET}', "");
    Expect(1, 123647, '\P{^Bc=- ET}', "");
    Expect(0, 123648, '\p{Bc=- ET}', "");
    Expect(1, 123648, '\p{^Bc=- ET}', "");
    Expect(1, 123648, '\P{Bc=- ET}', "");
    Expect(0, 123648, '\P{^Bc=- ET}', "");
    Error('\p{Is_Bidi_Class=_European_TERMINATOR:=}');
    Error('\P{Is_Bidi_Class=_European_TERMINATOR:=}');
    Expect(1, 123647, '\p{Is_Bidi_Class=europeanterminator}', "");
    Expect(0, 123647, '\p{^Is_Bidi_Class=europeanterminator}', "");
    Expect(0, 123647, '\P{Is_Bidi_Class=europeanterminator}', "");
    Expect(1, 123647, '\P{^Is_Bidi_Class=europeanterminator}', "");
    Expect(0, 123648, '\p{Is_Bidi_Class=europeanterminator}', "");
    Expect(1, 123648, '\p{^Is_Bidi_Class=europeanterminator}', "");
    Expect(1, 123648, '\P{Is_Bidi_Class=europeanterminator}', "");
    Expect(0, 123648, '\P{^Is_Bidi_Class=europeanterminator}', "");
    Expect(1, 123647, '\p{Is_Bidi_Class:	_	European_Terminator}', "");
    Expect(0, 123647, '\p{^Is_Bidi_Class:	_	European_Terminator}', "");
    Expect(0, 123647, '\P{Is_Bidi_Class:	_	European_Terminator}', "");
    Expect(1, 123647, '\P{^Is_Bidi_Class:	_	European_Terminator}', "");
    Expect(0, 123648, '\p{Is_Bidi_Class:	_	European_Terminator}', "");
    Expect(1, 123648, '\p{^Is_Bidi_Class:	_	European_Terminator}', "");
    Expect(1, 123648, '\P{Is_Bidi_Class:	_	European_Terminator}', "");
    Expect(0, 123648, '\P{^Is_Bidi_Class:	_	European_Terminator}', "");
    Error('\p{Is_Bc=:=__ET}');
    Error('\P{Is_Bc=:=__ET}');
    Expect(1, 123647, '\p{Is_Bc=et}', "");
    Expect(0, 123647, '\p{^Is_Bc=et}', "");
    Expect(0, 123647, '\P{Is_Bc=et}', "");
    Expect(1, 123647, '\P{^Is_Bc=et}', "");
    Expect(0, 123648, '\p{Is_Bc=et}', "");
    Expect(1, 123648, '\p{^Is_Bc=et}', "");
    Expect(1, 123648, '\P{Is_Bc=et}', "");
    Expect(0, 123648, '\P{^Is_Bc=et}', "");
    Expect(1, 123647, '\p{Is_Bc=-ET}', "");
    Expect(0, 123647, '\p{^Is_Bc=-ET}', "");
    Expect(0, 123647, '\P{Is_Bc=-ET}', "");
    Expect(1, 123647, '\P{^Is_Bc=-ET}', "");
    Expect(0, 123648, '\p{Is_Bc=-ET}', "");
    Expect(1, 123648, '\p{^Is_Bc=-ET}', "");
    Expect(1, 123648, '\P{Is_Bc=-ET}', "");
    Expect(0, 123648, '\P{^Is_Bc=-ET}', "");
    Error('\p{Bidi_Class=	-First_strong_ISOLATE:=}');
    Error('\P{Bidi_Class=	-First_strong_ISOLATE:=}');
    Expect(1, 8296, '\p{Bidi_Class=:\AFirst_Strong_Isolate\z:}', "");;
    Expect(0, 8297, '\p{Bidi_Class=:\AFirst_Strong_Isolate\z:}', "");;
    Expect(1, 8296, '\p{Bidi_Class=firststrongisolate}', "");
    Expect(0, 8296, '\p{^Bidi_Class=firststrongisolate}', "");
    Expect(0, 8296, '\P{Bidi_Class=firststrongisolate}', "");
    Expect(1, 8296, '\P{^Bidi_Class=firststrongisolate}', "");
    Expect(0, 8297, '\p{Bidi_Class=firststrongisolate}', "");
    Expect(1, 8297, '\p{^Bidi_Class=firststrongisolate}', "");
    Expect(1, 8297, '\P{Bidi_Class=firststrongisolate}', "");
    Expect(0, 8297, '\P{^Bidi_Class=firststrongisolate}', "");
    Expect(1, 8296, '\p{Bidi_Class=:\Afirststrongisolate\z:}', "");;
    Expect(0, 8297, '\p{Bidi_Class=:\Afirststrongisolate\z:}', "");;
    Expect(1, 8296, '\p{Bidi_Class=First_Strong_Isolate}', "");
    Expect(0, 8296, '\p{^Bidi_Class=First_Strong_Isolate}', "");
    Expect(0, 8296, '\P{Bidi_Class=First_Strong_Isolate}', "");
    Expect(1, 8296, '\P{^Bidi_Class=First_Strong_Isolate}', "");
    Expect(0, 8297, '\p{Bidi_Class=First_Strong_Isolate}', "");
    Expect(1, 8297, '\p{^Bidi_Class=First_Strong_Isolate}', "");
    Expect(1, 8297, '\P{Bidi_Class=First_Strong_Isolate}', "");
    Expect(0, 8297, '\P{^Bidi_Class=First_Strong_Isolate}', "");
    Error('\p{Bc=/a/		FSI}');
    Error('\P{Bc=/a/		FSI}');
    Expect(1, 8296, '\p{Bc=:\AFSI\z:}', "");;
    Expect(0, 8297, '\p{Bc=:\AFSI\z:}', "");;
    Expect(1, 8296, '\p{Bc=fsi}', "");
    Expect(0, 8296, '\p{^Bc=fsi}', "");
    Expect(0, 8296, '\P{Bc=fsi}', "");
    Expect(1, 8296, '\P{^Bc=fsi}', "");
    Expect(0, 8297, '\p{Bc=fsi}', "");
    Expect(1, 8297, '\p{^Bc=fsi}', "");
    Expect(1, 8297, '\P{Bc=fsi}', "");
    Expect(0, 8297, '\P{^Bc=fsi}', "");
    Expect(1, 8296, '\p{Bc=:\Afsi\z:}', "");;
    Expect(0, 8297, '\p{Bc=:\Afsi\z:}', "");;
    Expect(1, 8296, '\p{Bc=__FSI}', "");
    Expect(0, 8296, '\p{^Bc=__FSI}', "");
    Expect(0, 8296, '\P{Bc=__FSI}', "");
    Expect(1, 8296, '\P{^Bc=__FSI}', "");
    Expect(0, 8297, '\p{Bc=__FSI}', "");
    Expect(1, 8297, '\p{^Bc=__FSI}', "");
    Expect(1, 8297, '\P{Bc=__FSI}', "");
    Expect(0, 8297, '\P{^Bc=__FSI}', "");
    Error('\p{Is_Bidi_Class=-:=First_strong_isolate}');
    Error('\P{Is_Bidi_Class=-:=First_strong_isolate}');
    Expect(1, 8296, '\p{Is_Bidi_Class=firststrongisolate}', "");
    Expect(0, 8296, '\p{^Is_Bidi_Class=firststrongisolate}', "");
    Expect(0, 8296, '\P{Is_Bidi_Class=firststrongisolate}', "");
    Expect(1, 8296, '\P{^Is_Bidi_Class=firststrongisolate}', "");
    Expect(0, 8297, '\p{Is_Bidi_Class=firststrongisolate}', "");
    Expect(1, 8297, '\p{^Is_Bidi_Class=firststrongisolate}', "");
    Expect(1, 8297, '\P{Is_Bidi_Class=firststrongisolate}', "");
    Expect(0, 8297, '\P{^Is_Bidi_Class=firststrongisolate}', "");
    Expect(1, 8296, '\p{Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Expect(0, 8296, '\p{^Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Expect(0, 8296, '\P{Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Expect(1, 8296, '\P{^Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Expect(0, 8297, '\p{Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Expect(1, 8297, '\p{^Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Expect(1, 8297, '\P{Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Expect(0, 8297, '\P{^Is_Bidi_Class=  First_STRONG_Isolate}', "");
    Error('\p{Is_Bc: _ fsi/a/}');
    Error('\P{Is_Bc: _ fsi/a/}');
    Expect(1, 8296, '\p{Is_Bc=fsi}', "");
    Expect(0, 8296, '\p{^Is_Bc=fsi}', "");
    Expect(0, 8296, '\P{Is_Bc=fsi}', "");
    Expect(1, 8296, '\P{^Is_Bc=fsi}', "");
    Expect(0, 8297, '\p{Is_Bc=fsi}', "");
    Expect(1, 8297, '\p{^Is_Bc=fsi}', "");
    Expect(1, 8297, '\P{Is_Bc=fsi}', "");
    Expect(0, 8297, '\P{^Is_Bc=fsi}', "");
    Expect(1, 8296, '\p{Is_Bc=		FSI}', "");
    Expect(0, 8296, '\p{^Is_Bc=		FSI}', "");
    Expect(0, 8296, '\P{Is_Bc=		FSI}', "");
    Expect(1, 8296, '\P{^Is_Bc=		FSI}', "");
    Expect(0, 8297, '\p{Is_Bc=		FSI}', "");
    Expect(1, 8297, '\p{^Is_Bc=		FSI}', "");
    Expect(1, 8297, '\P{Is_Bc=		FSI}', "");
    Expect(0, 8297, '\P{^Is_Bc=		FSI}', "");
    Error('\p{Bidi_Class= :=LEFT_TO_RIGHT}');
    Error('\P{Bidi_Class= :=LEFT_TO_RIGHT}');
    Expect(1, 1114109, '\p{Bidi_Class=:\ALeft_To_Right\z:}', "");;
    Expect(0, 921599, '\p{Bidi_Class=:\ALeft_To_Right\z:}', "");;
    Expect(1, 1114109, '\p{Bidi_Class=lefttoright}', "");
    Expect(0, 1114109, '\p{^Bidi_Class=lefttoright}', "");
    Expect(0, 1114109, '\P{Bidi_Class=lefttoright}', "");
    Expect(1, 1114109, '\P{^Bidi_Class=lefttoright}', "");
    Expect(0, 921599, '\p{Bidi_Class=lefttoright}', "");
    Expect(1, 921599, '\p{^Bidi_Class=lefttoright}', "");
    Expect(1, 921599, '\P{Bidi_Class=lefttoright}', "");
    Expect(0, 921599, '\P{^Bidi_Class=lefttoright}', "");
    Expect(1, 1114109, '\p{Bidi_Class=:\Alefttoright\z:}', "");;
    Expect(0, 921599, '\p{Bidi_Class=:\Alefttoright\z:}', "");;
    Expect(1, 1114109, '\p{Bidi_Class=_	LEFT_To_Right}', "");
    Expect(0, 1114109, '\p{^Bidi_Class=_	LEFT_To_Right}', "");
    Expect(0, 1114109, '\P{Bidi_Class=_	LEFT_To_Right}', "");
    Expect(1, 1114109, '\P{^Bidi_Class=_	LEFT_To_Right}', "");
    Expect(0, 921599, '\p{Bidi_Class=_	LEFT_To_Right}', "");
    Expect(1, 921599, '\p{^Bidi_Class=_	LEFT_To_Right}', "");
    Expect(1, 921599, '\P{Bidi_Class=_	LEFT_To_Right}', "");
    Expect(0, 921599, '\P{^Bidi_Class=_	LEFT_To_Right}', "");
    Error('\p{Bc: 	l:=}');
    Error('\P{Bc: 	l:=}');
    Expect(1, 1114109, '\p{Bc=:\AL\z:}', "");;
    Expect(0, 921599, '\p{Bc=:\AL\z:}', "");;
    Expect(1, 1114109, '\p{Bc: l}', "");
    Expect(0, 1114109, '\p{^Bc: l}', "");
    Expect(0, 1114109, '\P{Bc: l}', "");
    Expect(1, 1114109, '\P{^Bc: l}', "");
    Expect(0, 921599, '\p{Bc: l}', "");
    Expect(1, 921599, '\p{^Bc: l}', "");
    Expect(1, 921599, '\P{Bc: l}', "");
    Expect(0, 921599, '\P{^Bc: l}', "");
    Expect(1, 1114109, '\p{Bc=:\Al\z:}', "");;
    Expect(0, 921599, '\p{Bc=:\Al\z:}', "");;
    Expect(1, 1114109, '\p{Bc=  l}', "");
    Expect(0, 1114109, '\p{^Bc=  l}', "");
    Expect(0, 1114109, '\P{Bc=  l}', "");
    Expect(1, 1114109, '\P{^Bc=  l}', "");
    Expect(0, 921599, '\p{Bc=  l}', "");
    Expect(1, 921599, '\p{^Bc=  l}', "");
    Expect(1, 921599, '\P{Bc=  l}', "");
    Expect(0, 921599, '\P{^Bc=  l}', "");
    Error('\p{Is_Bidi_Class=-left_To_right/a/}');
    Error('\P{Is_Bidi_Class=-left_To_right/a/}');
    Expect(1, 1114109, '\p{Is_Bidi_Class=lefttoright}', "");
    Expect(0, 1114109, '\p{^Is_Bidi_Class=lefttoright}', "");
    Expect(0, 1114109, '\P{Is_Bidi_Class=lefttoright}', "");
    Expect(1, 1114109, '\P{^Is_Bidi_Class=lefttoright}', "");
    Expect(0, 921599, '\p{Is_Bidi_Class=lefttoright}', "");
    Expect(1, 921599, '\p{^Is_Bidi_Class=lefttoright}', "");
    Expect(1, 921599, '\P{Is_Bidi_Class=lefttoright}', "");
    Expect(0, 921599, '\P{^Is_Bidi_Class=lefttoright}', "");
    Expect(1, 1114109, '\p{Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Expect(0, 1114109, '\p{^Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Expect(0, 1114109, '\P{Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Expect(1, 1114109, '\P{^Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Expect(0, 921599, '\p{Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Expect(1, 921599, '\p{^Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Expect(1, 921599, '\P{Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Expect(0, 921599, '\P{^Is_Bidi_Class=--LEFT_To_RIGHT}', "");
    Error('\p{Is_Bc:	-L:=}');
    Error('\P{Is_Bc:	-L:=}');
    Expect(1, 1114109, '\p{Is_Bc=l}', "");
    Expect(0, 1114109, '\p{^Is_Bc=l}', "");
    Expect(0, 1114109, '\P{Is_Bc=l}', "");
    Expect(1, 1114109, '\P{^Is_Bc=l}', "");
    Expect(0, 921599, '\p{Is_Bc=l}', "");
    Expect(1, 921599, '\p{^Is_Bc=l}', "");
    Expect(1, 921599, '\P{Is_Bc=l}', "");
    Expect(0, 921599, '\P{^Is_Bc=l}', "");
    Expect(1, 1114109, '\p{Is_Bc=--L}', "");
    Expect(0, 1114109, '\p{^Is_Bc=--L}', "");
    Expect(0, 1114109, '\P{Is_Bc=--L}', "");
    Expect(1, 1114109, '\P{^Is_Bc=--L}', "");
    Expect(0, 921599, '\p{Is_Bc=--L}', "");
    Expect(1, 921599, '\p{^Is_Bc=--L}', "");
    Expect(1, 921599, '\P{Is_Bc=--L}', "");
    Expect(0, 921599, '\P{^Is_Bc=--L}', "");
    Error('\p{Bidi_Class= 	Left_To_Right_Embedding:=}');
    Error('\P{Bidi_Class= 	Left_To_Right_Embedding:=}');
    Expect(1, 8234, '\p{Bidi_Class=:\ALeft_To_Right_Embedding\z:}', "");;
    Expect(0, 8235, '\p{Bidi_Class=:\ALeft_To_Right_Embedding\z:}', "");;
    Expect(1, 8234, '\p{Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8234, '\p{^Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8234, '\P{Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8234, '\P{^Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8235, '\p{Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8235, '\p{^Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8235, '\P{Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8235, '\P{^Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8234, '\p{Bidi_Class=:\Alefttorightembedding\z:}', "");;
    Expect(0, 8235, '\p{Bidi_Class=:\Alefttorightembedding\z:}', "");;
    Expect(1, 8234, '\p{Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Expect(0, 8234, '\p{^Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Expect(0, 8234, '\P{Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Expect(1, 8234, '\P{^Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Expect(0, 8235, '\p{Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Expect(1, 8235, '\p{^Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Expect(1, 8235, '\P{Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Expect(0, 8235, '\P{^Bidi_Class=  LEFT_To_Right_EMBEDDING}', "");
    Error('\p{Bc=--LRE:=}');
    Error('\P{Bc=--LRE:=}');
    Expect(1, 8234, '\p{Bc=:\ALRE\z:}', "");;
    Expect(0, 8235, '\p{Bc=:\ALRE\z:}', "");;
    Expect(1, 8234, '\p{Bc:lre}', "");
    Expect(0, 8234, '\p{^Bc:lre}', "");
    Expect(0, 8234, '\P{Bc:lre}', "");
    Expect(1, 8234, '\P{^Bc:lre}', "");
    Expect(0, 8235, '\p{Bc:lre}', "");
    Expect(1, 8235, '\p{^Bc:lre}', "");
    Expect(1, 8235, '\P{Bc:lre}', "");
    Expect(0, 8235, '\P{^Bc:lre}', "");
    Expect(1, 8234, '\p{Bc=:\Alre\z:}', "");;
    Expect(0, 8235, '\p{Bc=:\Alre\z:}', "");;
    Expect(1, 8234, '\p{Bc=--lre}', "");
    Expect(0, 8234, '\p{^Bc=--lre}', "");
    Expect(0, 8234, '\P{Bc=--lre}', "");
    Expect(1, 8234, '\P{^Bc=--lre}', "");
    Expect(0, 8235, '\p{Bc=--lre}', "");
    Expect(1, 8235, '\p{^Bc=--lre}', "");
    Expect(1, 8235, '\P{Bc=--lre}', "");
    Expect(0, 8235, '\P{^Bc=--lre}', "");
    Error('\p{Is_Bidi_Class=:=  LEFT_to_RIGHT_Embedding}');
    Error('\P{Is_Bidi_Class=:=  LEFT_to_RIGHT_Embedding}');
    Expect(1, 8234, '\p{Is_Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8234, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8234, '\P{Is_Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8234, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8235, '\p{Is_Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8235, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8235, '\P{Is_Bidi_Class=lefttorightembedding}', "");
    Expect(0, 8235, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
    Expect(1, 8234, '\p{Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Expect(0, 8234, '\p{^Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Expect(0, 8234, '\P{Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Expect(1, 8234, '\P{^Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Expect(0, 8235, '\p{Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Expect(1, 8235, '\p{^Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Expect(1, 8235, '\P{Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Expect(0, 8235, '\P{^Is_Bidi_Class:		LEFT_TO_Right_embedding}', "");
    Error('\p{Is_Bc=/a/lre}');
    Error('\P{Is_Bc=/a/lre}');
    Expect(1, 8234, '\p{Is_Bc=lre}', "");
    Expect(0, 8234, '\p{^Is_Bc=lre}', "");
    Expect(0, 8234, '\P{Is_Bc=lre}', "");
    Expect(1, 8234, '\P{^Is_Bc=lre}', "");
    Expect(0, 8235, '\p{Is_Bc=lre}', "");
    Expect(1, 8235, '\p{^Is_Bc=lre}', "");
    Expect(1, 8235, '\P{Is_Bc=lre}', "");
    Expect(0, 8235, '\P{^Is_Bc=lre}', "");
    Expect(1, 8234, '\p{Is_Bc=__LRE}', "");
    Expect(0, 8234, '\p{^Is_Bc=__LRE}', "");
    Expect(0, 8234, '\P{Is_Bc=__LRE}', "");
    Expect(1, 8234, '\P{^Is_Bc=__LRE}', "");
    Expect(0, 8235, '\p{Is_Bc=__LRE}', "");
    Expect(1, 8235, '\p{^Is_Bc=__LRE}', "");
    Expect(1, 8235, '\P{Is_Bc=__LRE}', "");
    Expect(0, 8235, '\P{^Is_Bc=__LRE}', "");
    Error('\p{Bidi_Class=_:=Left_To_right_Isolate}');
    Error('\P{Bidi_Class=_:=Left_To_right_Isolate}');
    Expect(1, 8294, '\p{Bidi_Class=:\ALeft_To_Right_Isolate\z:}', "");;
    Expect(0, 8295, '\p{Bidi_Class=:\ALeft_To_Right_Isolate\z:}', "");;
    Expect(1, 8294, '\p{Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8294, '\p{^Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8294, '\P{Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8294, '\P{^Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8295, '\p{Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8295, '\p{^Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8295, '\P{Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8295, '\P{^Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8294, '\p{Bidi_Class=:\Alefttorightisolate\z:}', "");;
    Expect(0, 8295, '\p{Bidi_Class=:\Alefttorightisolate\z:}', "");;
    Expect(1, 8294, '\p{Bidi_Class=--left_To_right_ISOLATE}', "");
    Expect(0, 8294, '\p{^Bidi_Class=--left_To_right_ISOLATE}', "");
    Expect(0, 8294, '\P{Bidi_Class=--left_To_right_ISOLATE}', "");
    Expect(1, 8294, '\P{^Bidi_Class=--left_To_right_ISOLATE}', "");
    Expect(0, 8295, '\p{Bidi_Class=--left_To_right_ISOLATE}', "");
    Expect(1, 8295, '\p{^Bidi_Class=--left_To_right_ISOLATE}', "");
    Expect(1, 8295, '\P{Bidi_Class=--left_To_right_ISOLATE}', "");
    Expect(0, 8295, '\P{^Bidi_Class=--left_To_right_ISOLATE}', "");
    Error('\p{Bc: -:=LRI}');
    Error('\P{Bc: -:=LRI}');
    Expect(1, 8294, '\p{Bc=:\ALRI\z:}', "");;
    Expect(0, 8295, '\p{Bc=:\ALRI\z:}', "");;
    Expect(1, 8294, '\p{Bc=lri}', "");
    Expect(0, 8294, '\p{^Bc=lri}', "");
    Expect(0, 8294, '\P{Bc=lri}', "");
    Expect(1, 8294, '\P{^Bc=lri}', "");
    Expect(0, 8295, '\p{Bc=lri}', "");
    Expect(1, 8295, '\p{^Bc=lri}', "");
    Expect(1, 8295, '\P{Bc=lri}', "");
    Expect(0, 8295, '\P{^Bc=lri}', "");
    Expect(1, 8294, '\p{Bc=:\Alri\z:}', "");;
    Expect(0, 8295, '\p{Bc=:\Alri\z:}', "");;
    Expect(1, 8294, '\p{Bc=LRI}', "");
    Expect(0, 8294, '\p{^Bc=LRI}', "");
    Expect(0, 8294, '\P{Bc=LRI}', "");
    Expect(1, 8294, '\P{^Bc=LRI}', "");
    Expect(0, 8295, '\p{Bc=LRI}', "");
    Expect(1, 8295, '\p{^Bc=LRI}', "");
    Expect(1, 8295, '\P{Bc=LRI}', "");
    Expect(0, 8295, '\P{^Bc=LRI}', "");
    Error('\p{Is_Bidi_Class=:= -left_To_RIGHT_Isolate}');
    Error('\P{Is_Bidi_Class=:= -left_To_RIGHT_Isolate}');
    Expect(1, 8294, '\p{Is_Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8294, '\p{^Is_Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8294, '\P{Is_Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8294, '\P{^Is_Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8295, '\p{Is_Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8295, '\p{^Is_Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8295, '\P{Is_Bidi_Class=lefttorightisolate}', "");
    Expect(0, 8295, '\P{^Is_Bidi_Class=lefttorightisolate}', "");
    Expect(1, 8294, '\p{Is_Bidi_Class=	left_To_right_isolate}', "");
    Expect(0, 8294, '\p{^Is_Bidi_Class=	left_To_right_isolate}', "");
    Expect(0, 8294, '\P{Is_Bidi_Class=	left_To_right_isolate}', "");
    Expect(1, 8294, '\P{^Is_Bidi_Class=	left_To_right_isolate}', "");
    Expect(0, 8295, '\p{Is_Bidi_Class=	left_To_right_isolate}', "");
    Expect(1, 8295, '\p{^Is_Bidi_Class=	left_To_right_isolate}', "");
    Expect(1, 8295, '\P{Is_Bidi_Class=	left_To_right_isolate}', "");
    Expect(0, 8295, '\P{^Is_Bidi_Class=	left_To_right_isolate}', "");
    Error('\p{Is_Bc=-/a/LRI}');
    Error('\P{Is_Bc=-/a/LRI}');
    Expect(1, 8294, '\p{Is_Bc=lri}', "");
    Expect(0, 8294, '\p{^Is_Bc=lri}', "");
    Expect(0, 8294, '\P{Is_Bc=lri}', "");
    Expect(1, 8294, '\P{^Is_Bc=lri}', "");
    Expect(0, 8295, '\p{Is_Bc=lri}', "");
    Expect(1, 8295, '\p{^Is_Bc=lri}', "");
    Expect(1, 8295, '\P{Is_Bc=lri}', "");
    Expect(0, 8295, '\P{^Is_Bc=lri}', "");
    Expect(1, 8294, '\p{Is_Bc:    -LRI}', "");
    Expect(0, 8294, '\p{^Is_Bc:    -LRI}', "");
    Expect(0, 8294, '\P{Is_Bc:    -LRI}', "");
    Expect(1, 8294, '\P{^Is_Bc:    -LRI}', "");
    Expect(0, 8295, '\p{Is_Bc:    -LRI}', "");
    Expect(1, 8295, '\p{^Is_Bc:    -LRI}', "");
    Expect(1, 8295, '\P{Is_Bc:    -LRI}', "");
    Expect(0, 8295, '\P{^Is_Bc:    -LRI}', "");
    Error('\p{Bidi_Class=_:=Left_TO_Right_override}');
    Error('\P{Bidi_Class=_:=Left_TO_Right_override}');
    Expect(1, 8237, '\p{Bidi_Class=:\ALeft_To_Right_Override\z:}', "");;
    Expect(0, 8238, '\p{Bidi_Class=:\ALeft_To_Right_Override\z:}', "");;
    Expect(1, 8237, '\p{Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8237, '\p{^Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8237, '\P{Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8237, '\P{^Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8238, '\p{Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8238, '\p{^Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8238, '\P{Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8238, '\P{^Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8237, '\p{Bidi_Class=:\Alefttorightoverride\z:}', "");;
    Expect(0, 8238, '\p{Bidi_Class=:\Alefttorightoverride\z:}', "");;
    Expect(1, 8237, '\p{Bidi_Class= Left_To_Right_override}', "");
    Expect(0, 8237, '\p{^Bidi_Class= Left_To_Right_override}', "");
    Expect(0, 8237, '\P{Bidi_Class= Left_To_Right_override}', "");
    Expect(1, 8237, '\P{^Bidi_Class= Left_To_Right_override}', "");
    Expect(0, 8238, '\p{Bidi_Class= Left_To_Right_override}', "");
    Expect(1, 8238, '\p{^Bidi_Class= Left_To_Right_override}', "");
    Expect(1, 8238, '\P{Bidi_Class= Left_To_Right_override}', "");
    Expect(0, 8238, '\P{^Bidi_Class= Left_To_Right_override}', "");
    Error('\p{Bc=/a/__LRO}');
    Error('\P{Bc=/a/__LRO}');
    Expect(1, 8237, '\p{Bc=:\ALRO\z:}', "");;
    Expect(0, 8238, '\p{Bc=:\ALRO\z:}', "");;
    Expect(1, 8237, '\p{Bc=lro}', "");
    Expect(0, 8237, '\p{^Bc=lro}', "");
    Expect(0, 8237, '\P{Bc=lro}', "");
    Expect(1, 8237, '\P{^Bc=lro}', "");
    Expect(0, 8238, '\p{Bc=lro}', "");
    Expect(1, 8238, '\p{^Bc=lro}', "");
    Expect(1, 8238, '\P{Bc=lro}', "");
    Expect(0, 8238, '\P{^Bc=lro}', "");
    Expect(1, 8237, '\p{Bc=:\Alro\z:}', "");;
    Expect(0, 8238, '\p{Bc=:\Alro\z:}', "");;
    Expect(1, 8237, '\p{Bc=- LRO}', "");
    Expect(0, 8237, '\p{^Bc=- LRO}', "");
    Expect(0, 8237, '\P{Bc=- LRO}', "");
    Expect(1, 8237, '\P{^Bc=- LRO}', "");
    Expect(0, 8238, '\p{Bc=- LRO}', "");
    Expect(1, 8238, '\p{^Bc=- LRO}', "");
    Expect(1, 8238, '\P{Bc=- LRO}', "");
    Expect(0, 8238, '\P{^Bc=- LRO}', "");
    Error('\p{Is_Bidi_Class=	/a/Left_To_Right_Override}');
    Error('\P{Is_Bidi_Class=	/a/Left_To_Right_Override}');
    Expect(1, 8237, '\p{Is_Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8237, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8237, '\P{Is_Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8237, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8238, '\p{Is_Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8238, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8238, '\P{Is_Bidi_Class=lefttorightoverride}', "");
    Expect(0, 8238, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
    Expect(1, 8237, '\p{Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Expect(0, 8237, '\p{^Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Expect(0, 8237, '\P{Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Expect(1, 8237, '\P{^Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Expect(0, 8238, '\p{Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Expect(1, 8238, '\p{^Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Expect(1, 8238, '\P{Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Expect(0, 8238, '\P{^Is_Bidi_Class=	left_TO_RIGHT_Override}', "");
    Error('\p{Is_Bc=_/a/LRO}');
    Error('\P{Is_Bc=_/a/LRO}');
    Expect(1, 8237, '\p{Is_Bc=lro}', "");
    Expect(0, 8237, '\p{^Is_Bc=lro}', "");
    Expect(0, 8237, '\P{Is_Bc=lro}', "");
    Expect(1, 8237, '\P{^Is_Bc=lro}', "");
    Expect(0, 8238, '\p{Is_Bc=lro}', "");
    Expect(1, 8238, '\p{^Is_Bc=lro}', "");
    Expect(1, 8238, '\P{Is_Bc=lro}', "");
    Expect(0, 8238, '\P{^Is_Bc=lro}', "");
    Expect(1, 8237, '\p{Is_Bc=_-LRO}', "");
    Expect(0, 8237, '\p{^Is_Bc=_-LRO}', "");
    Expect(0, 8237, '\P{Is_Bc=_-LRO}', "");
    Expect(1, 8237, '\P{^Is_Bc=_-LRO}', "");
    Expect(0, 8238, '\p{Is_Bc=_-LRO}', "");
    Expect(1, 8238, '\p{^Is_Bc=_-LRO}', "");
    Expect(1, 8238, '\P{Is_Bc=_-LRO}', "");
    Expect(0, 8238, '\P{^Is_Bc=_-LRO}', "");
    Error('\p{Bidi_Class:    :=NONSPACING_mark}');
    Error('\P{Bidi_Class:    :=NONSPACING_mark}');
    Expect(1, 917999, '\p{Bidi_Class=:\ANonspacing_Mark\z:}', "");;
    Expect(0, 918000, '\p{Bidi_Class=:\ANonspacing_Mark\z:}', "");;
    Expect(1, 917999, '\p{Bidi_Class=nonspacingmark}', "");
    Expect(0, 917999, '\p{^Bidi_Class=nonspacingmark}', "");
    Expect(0, 917999, '\P{Bidi_Class=nonspacingmark}', "");
    Expect(1, 917999, '\P{^Bidi_Class=nonspacingmark}', "");
    Expect(0, 918000, '\p{Bidi_Class=nonspacingmark}', "");
    Expect(1, 918000, '\p{^Bidi_Class=nonspacingmark}', "");
    Expect(1, 918000, '\P{Bidi_Class=nonspacingmark}', "");
    Expect(0, 918000, '\P{^Bidi_Class=nonspacingmark}', "");
    Expect(1, 917999, '\p{Bidi_Class=:\Anonspacingmark\z:}', "");;
    Expect(0, 918000, '\p{Bidi_Class=:\Anonspacingmark\z:}', "");;
    Expect(1, 917999, '\p{Bidi_Class=		nonspacing_Mark}', "");
    Expect(0, 917999, '\p{^Bidi_Class=		nonspacing_Mark}', "");
    Expect(0, 917999, '\P{Bidi_Class=		nonspacing_Mark}', "");
    Expect(1, 917999, '\P{^Bidi_Class=		nonspacing_Mark}', "");
    Expect(0, 918000, '\p{Bidi_Class=		nonspacing_Mark}', "");
    Expect(1, 918000, '\p{^Bidi_Class=		nonspacing_Mark}', "");
    Expect(1, 918000, '\P{Bidi_Class=		nonspacing_Mark}', "");
    Expect(0, 918000, '\P{^Bidi_Class=		nonspacing_Mark}', "");
    Error('\p{Bc=/a/NSM}');
    Error('\P{Bc=/a/NSM}');
    Expect(1, 917999, '\p{Bc=:\ANSM\z:}', "");;
    Expect(0, 918000, '\p{Bc=:\ANSM\z:}', "");;
    Expect(1, 917999, '\p{Bc=nsm}', "");
    Expect(0, 917999, '\p{^Bc=nsm}', "");
    Expect(0, 917999, '\P{Bc=nsm}', "");
    Expect(1, 917999, '\P{^Bc=nsm}', "");
    Expect(0, 918000, '\p{Bc=nsm}', "");
    Expect(1, 918000, '\p{^Bc=nsm}', "");
    Expect(1, 918000, '\P{Bc=nsm}', "");
    Expect(0, 918000, '\P{^Bc=nsm}', "");
    Expect(1, 917999, '\p{Bc=:\Ansm\z:}', "");;
    Expect(0, 918000, '\p{Bc=:\Ansm\z:}', "");;
    Expect(1, 917999, '\p{Bc=  NSM}', "");
    Expect(0, 917999, '\p{^Bc=  NSM}', "");
    Expect(0, 917999, '\P{Bc=  NSM}', "");
    Expect(1, 917999, '\P{^Bc=  NSM}', "");
    Expect(0, 918000, '\p{Bc=  NSM}', "");
    Expect(1, 918000, '\p{^Bc=  NSM}', "");
    Expect(1, 918000, '\P{Bc=  NSM}', "");
    Expect(0, 918000, '\P{^Bc=  NSM}', "");
    Error('\p{Is_Bidi_Class=:=	-NONSPACING_Mark}');
    Error('\P{Is_Bidi_Class=:=	-NONSPACING_Mark}');
    Expect(1, 917999, '\p{Is_Bidi_Class:	nonspacingmark}', "");
    Expect(0, 917999, '\p{^Is_Bidi_Class:	nonspacingmark}', "");
    Expect(0, 917999, '\P{Is_Bidi_Class:	nonspacingmark}', "");
    Expect(1, 917999, '\P{^Is_Bidi_Class:	nonspacingmark}', "");
    Expect(0, 918000, '\p{Is_Bidi_Class:	nonspacingmark}', "");
    Expect(1, 918000, '\p{^Is_Bidi_Class:	nonspacingmark}', "");
    Expect(1, 918000, '\P{Is_Bidi_Class:	nonspacingmark}', "");
    Expect(0, 918000, '\P{^Is_Bidi_Class:	nonspacingmark}', "");
    Expect(1, 917999, '\p{Is_Bidi_Class= _NONSPACING_mark}', "");
    Expect(0, 917999, '\p{^Is_Bidi_Class= _NONSPACING_mark}', "");
    Expect(0, 917999, '\P{Is_Bidi_Class= _NONSPACING_mark}', "");
    Expect(1, 917999, '\P{^Is_Bidi_Class= _NONSPACING_mark}', "");
    Expect(0, 918000, '\p{Is_Bidi_Class= _NONSPACING_mark}', "");
    Expect(1, 918000, '\p{^Is_Bidi_Class= _NONSPACING_mark}', "");
    Expect(1, 918000, '\P{Is_Bidi_Class= _NONSPACING_mark}', "");
    Expect(0, 918000, '\P{^Is_Bidi_Class= _NONSPACING_mark}', "");
    Error('\p{Is_Bc=-:=nsm}');
    Error('\P{Is_Bc=-:=nsm}');
    Expect(1, 917999, '\p{Is_Bc=nsm}', "");
    Expect(0, 917999, '\p{^Is_Bc=nsm}', "");
    Expect(0, 917999, '\P{Is_Bc=nsm}', "");
    Expect(1, 917999, '\P{^Is_Bc=nsm}', "");
    Expect(0, 918000, '\p{Is_Bc=nsm}', "");
    Expect(1, 918000, '\p{^Is_Bc=nsm}', "");
    Expect(1, 918000, '\P{Is_Bc=nsm}', "");
    Expect(0, 918000, '\P{^Is_Bc=nsm}', "");
    Expect(1, 917999, '\p{Is_Bc:		NSM}', "");
    Expect(0, 917999, '\p{^Is_Bc:		NSM}', "");
    Expect(0, 917999, '\P{Is_Bc:		NSM}', "");
    Expect(1, 917999, '\P{^Is_Bc:		NSM}', "");
    Expect(0, 918000, '\p{Is_Bc:		NSM}', "");
    Expect(1, 918000, '\p{^Is_Bc:		NSM}', "");
    Expect(1, 918000, '\P{Is_Bc:		NSM}', "");
    Expect(0, 918000, '\P{^Is_Bc:		NSM}', "");
    Error('\p{Bidi_Class=/a/ OTHER_neutral}');
    Error('\P{Bidi_Class=/a/ OTHER_neutral}');
    Expect(1, 129994, '\p{Bidi_Class=:\AOther_Neutral\z:}', "");;
    Expect(0, 129995, '\p{Bidi_Class=:\AOther_Neutral\z:}', "");;
    Expect(1, 129994, '\p{Bidi_Class:   otherneutral}', "");
    Expect(0, 129994, '\p{^Bidi_Class:   otherneutral}', "");
    Expect(0, 129994, '\P{Bidi_Class:   otherneutral}', "");
    Expect(1, 129994, '\P{^Bidi_Class:   otherneutral}', "");
    Expect(0, 129995, '\p{Bidi_Class:   otherneutral}', "");
    Expect(1, 129995, '\p{^Bidi_Class:   otherneutral}', "");
    Expect(1, 129995, '\P{Bidi_Class:   otherneutral}', "");
    Expect(0, 129995, '\P{^Bidi_Class:   otherneutral}', "");
    Expect(1, 129994, '\p{Bidi_Class=:\Aotherneutral\z:}', "");;
    Expect(0, 129995, '\p{Bidi_Class=:\Aotherneutral\z:}', "");;
    Expect(1, 129994, '\p{Bidi_Class=	 Other_Neutral}', "");
    Expect(0, 129994, '\p{^Bidi_Class=	 Other_Neutral}', "");
    Expect(0, 129994, '\P{Bidi_Class=	 Other_Neutral}', "");
    Expect(1, 129994, '\P{^Bidi_Class=	 Other_Neutral}', "");
    Expect(0, 129995, '\p{Bidi_Class=	 Other_Neutral}', "");
    Expect(1, 129995, '\p{^Bidi_Class=	 Other_Neutral}', "");
    Expect(1, 129995, '\P{Bidi_Class=	 Other_Neutral}', "");
    Expect(0, 129995, '\P{^Bidi_Class=	 Other_Neutral}', "");
    Error('\p{Bc= :=ON}');
    Error('\P{Bc= :=ON}');
    Expect(1, 129994, '\p{Bc=:\AON\z:}', "");;
    Expect(0, 129995, '\p{Bc=:\AON\z:}', "");;
    Expect(1, 129994, '\p{Bc=on}', "");
    Expect(0, 129994, '\p{^Bc=on}', "");
    Expect(0, 129994, '\P{Bc=on}', "");
    Expect(1, 129994, '\P{^Bc=on}', "");
    Expect(0, 129995, '\p{Bc=on}', "");
    Expect(1, 129995, '\p{^Bc=on}', "");
    Expect(1, 129995, '\P{Bc=on}', "");
    Expect(0, 129995, '\P{^Bc=on}', "");
    Expect(1, 129994, '\p{Bc=:\Aon\z:}', "");;
    Expect(0, 129995, '\p{Bc=:\Aon\z:}', "");;
    Expect(1, 129994, '\p{Bc=_ON}', "");
    Expect(0, 129994, '\p{^Bc=_ON}', "");
    Expect(0, 129994, '\P{Bc=_ON}', "");
    Expect(1, 129994, '\P{^Bc=_ON}', "");
    Expect(0, 129995, '\p{Bc=_ON}', "");
    Expect(1, 129995, '\p{^Bc=_ON}', "");
    Expect(1, 129995, '\P{Bc=_ON}', "");
    Expect(0, 129995, '\P{^Bc=_ON}', "");
    Error('\p{Is_Bidi_Class=--other_Neutral/a/}');
    Error('\P{Is_Bidi_Class=--other_Neutral/a/}');
    Expect(1, 129994, '\p{Is_Bidi_Class=otherneutral}', "");
    Expect(0, 129994, '\p{^Is_Bidi_Class=otherneutral}', "");
    Expect(0, 129994, '\P{Is_Bidi_Class=otherneutral}', "");
    Expect(1, 129994, '\P{^Is_Bidi_Class=otherneutral}', "");
    Expect(0, 129995, '\p{Is_Bidi_Class=otherneutral}', "");
    Expect(1, 129995, '\p{^Is_Bidi_Class=otherneutral}', "");
    Expect(1, 129995, '\P{Is_Bidi_Class=otherneutral}', "");
    Expect(0, 129995, '\P{^Is_Bidi_Class=otherneutral}', "");
    Expect(1, 129994, '\p{Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Expect(0, 129994, '\p{^Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Expect(0, 129994, '\P{Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Expect(1, 129994, '\P{^Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Expect(0, 129995, '\p{Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Expect(1, 129995, '\p{^Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Expect(1, 129995, '\P{Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Expect(0, 129995, '\P{^Is_Bidi_Class=	 Other_NEUTRAL}', "");
    Error('\p{Is_Bc=  ON:=}');
    Error('\P{Is_Bc=  ON:=}');
    Expect(1, 129994, '\p{Is_Bc=on}', "");
    Expect(0, 129994, '\p{^Is_Bc=on}', "");
    Expect(0, 129994, '\P{Is_Bc=on}', "");
    Expect(1, 129994, '\P{^Is_Bc=on}', "");
    Expect(0, 129995, '\p{Is_Bc=on}', "");
    Expect(1, 129995, '\p{^Is_Bc=on}', "");
    Expect(1, 129995, '\P{Is_Bc=on}', "");
    Expect(0, 129995, '\P{^Is_Bc=on}', "");
    Expect(1, 129994, '\p{Is_Bc=_-on}', "");
    Expect(0, 129994, '\p{^Is_Bc=_-on}', "");
    Expect(0, 129994, '\P{Is_Bc=_-on}', "");
    Expect(1, 129994, '\P{^Is_Bc=_-on}', "");
    Expect(0, 129995, '\p{Is_Bc=_-on}', "");
    Expect(1, 129995, '\p{^Is_Bc=_-on}', "");
    Expect(1, 129995, '\P{Is_Bc=_-on}', "");
    Expect(0, 129995, '\P{^Is_Bc=_-on}', "");
    Error('\p{Bidi_Class=:=POP_directional_Format}');
    Error('\P{Bidi_Class=:=POP_directional_Format}');
    Expect(1, 8236, '\p{Bidi_Class=:\APop_Directional_Format\z:}', "");;
    Expect(0, 8237, '\p{Bidi_Class=:\APop_Directional_Format\z:}', "");;
    Expect(1, 8236, '\p{Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8236, '\p{^Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8236, '\P{Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8236, '\P{^Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8237, '\p{Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8237, '\p{^Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8237, '\P{Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8237, '\P{^Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8236, '\p{Bidi_Class=:\Apopdirectionalformat\z:}', "");;
    Expect(0, 8237, '\p{Bidi_Class=:\Apopdirectionalformat\z:}', "");;
    Expect(1, 8236, '\p{Bidi_Class=_-pop_directional_Format}', "");
    Expect(0, 8236, '\p{^Bidi_Class=_-pop_directional_Format}', "");
    Expect(0, 8236, '\P{Bidi_Class=_-pop_directional_Format}', "");
    Expect(1, 8236, '\P{^Bidi_Class=_-pop_directional_Format}', "");
    Expect(0, 8237, '\p{Bidi_Class=_-pop_directional_Format}', "");
    Expect(1, 8237, '\p{^Bidi_Class=_-pop_directional_Format}', "");
    Expect(1, 8237, '\P{Bidi_Class=_-pop_directional_Format}', "");
    Expect(0, 8237, '\P{^Bidi_Class=_-pop_directional_Format}', "");
    Error('\p{Bc=	_pdf:=}');
    Error('\P{Bc=	_pdf:=}');
    Expect(1, 8236, '\p{Bc=:\APDF\z:}', "");;
    Expect(0, 8237, '\p{Bc=:\APDF\z:}', "");;
    Expect(1, 8236, '\p{Bc=pdf}', "");
    Expect(0, 8236, '\p{^Bc=pdf}', "");
    Expect(0, 8236, '\P{Bc=pdf}', "");
    Expect(1, 8236, '\P{^Bc=pdf}', "");
    Expect(0, 8237, '\p{Bc=pdf}', "");
    Expect(1, 8237, '\p{^Bc=pdf}', "");
    Expect(1, 8237, '\P{Bc=pdf}', "");
    Expect(0, 8237, '\P{^Bc=pdf}', "");
    Expect(1, 8236, '\p{Bc=:\Apdf\z:}', "");;
    Expect(0, 8237, '\p{Bc=:\Apdf\z:}', "");;
    Expect(1, 8236, '\p{Bc= 	PDF}', "");
    Expect(0, 8236, '\p{^Bc= 	PDF}', "");
    Expect(0, 8236, '\P{Bc= 	PDF}', "");
    Expect(1, 8236, '\P{^Bc= 	PDF}', "");
    Expect(0, 8237, '\p{Bc= 	PDF}', "");
    Expect(1, 8237, '\p{^Bc= 	PDF}', "");
    Expect(1, 8237, '\P{Bc= 	PDF}', "");
    Expect(0, 8237, '\P{^Bc= 	PDF}', "");
    Error('\p{Is_Bidi_Class= /a/pop_DIRECTIONAL_Format}');
    Error('\P{Is_Bidi_Class= /a/pop_DIRECTIONAL_Format}');
    Expect(1, 8236, '\p{Is_Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8236, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8236, '\P{Is_Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8236, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8237, '\p{Is_Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8237, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8237, '\P{Is_Bidi_Class=popdirectionalformat}', "");
    Expect(0, 8237, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
    Expect(1, 8236, '\p{Is_Bidi_Class=Pop_Directional_Format}', "");
    Expect(0, 8236, '\p{^Is_Bidi_Class=Pop_Directional_Format}', "");
    Expect(0, 8236, '\P{Is_Bidi_Class=Pop_Directional_Format}', "");
    Expect(1, 8236, '\P{^Is_Bidi_Class=Pop_Directional_Format}', "");
    Expect(0, 8237, '\p{Is_Bidi_Class=Pop_Directional_Format}', "");
    Expect(1, 8237, '\p{^Is_Bidi_Class=Pop_Directional_Format}', "");
    Expect(1, 8237, '\P{Is_Bidi_Class=Pop_Directional_Format}', "");
    Expect(0, 8237, '\P{^Is_Bidi_Class=Pop_Directional_Format}', "");
    Error('\p{Is_Bc=:=_ PDF}');
    Error('\P{Is_Bc=:=_ PDF}');
    Expect(1, 8236, '\p{Is_Bc=pdf}', "");
    Expect(0, 8236, '\p{^Is_Bc=pdf}', "");
    Expect(0, 8236, '\P{Is_Bc=pdf}', "");
    Expect(1, 8236, '\P{^Is_Bc=pdf}', "");
    Expect(0, 8237, '\p{Is_Bc=pdf}', "");
    Expect(1, 8237, '\p{^Is_Bc=pdf}', "");
    Expect(1, 8237, '\P{Is_Bc=pdf}', "");
    Expect(0, 8237, '\P{^Is_Bc=pdf}', "");
    Expect(1, 8236, '\p{Is_Bc= -PDF}', "");
    Expect(0, 8236, '\p{^Is_Bc= -PDF}', "");
    Expect(0, 8236, '\P{Is_Bc= -PDF}', "");
    Expect(1, 8236, '\P{^Is_Bc= -PDF}', "");
    Expect(0, 8237, '\p{Is_Bc= -PDF}', "");
    Expect(1, 8237, '\p{^Is_Bc= -PDF}', "");
    Expect(1, 8237, '\P{Is_Bc= -PDF}', "");
    Expect(0, 8237, '\P{^Is_Bc= -PDF}', "");
    Error('\p{Bidi_Class= pop_DIRECTIONAL_Isolate/a/}');
    Error('\P{Bidi_Class= pop_DIRECTIONAL_Isolate/a/}');
    Expect(1, 8297, '\p{Bidi_Class=:\APop_Directional_Isolate\z:}', "");;
    Expect(0, 8298, '\p{Bidi_Class=:\APop_Directional_Isolate\z:}', "");;
    Expect(1, 8297, '\p{Bidi_Class=popdirectionalisolate}', "");
    Expect(0, 8297, '\p{^Bidi_Class=popdirectionalisolate}', "");
    Expect(0, 8297, '\P{Bidi_Class=popdirectionalisolate}', "");
    Expect(1, 8297, '\P{^Bidi_Class=popdirectionalisolate}', "");
    Expect(0, 8298, '\p{Bidi_Class=popdirectionalisolate}', "");
    Expect(1, 8298, '\p{^Bidi_Class=popdirectionalisolate}', "");
    Expect(1, 8298, '\P{Bidi_Class=popdirectionalisolate}', "");
    Expect(0, 8298, '\P{^Bidi_Class=popdirectionalisolate}', "");
    Expect(1, 8297, '\p{Bidi_Class=:\Apopdirectionalisolate\z:}', "");;
    Expect(0, 8298, '\p{Bidi_Class=:\Apopdirectionalisolate\z:}', "");;
    Expect(1, 8297, '\p{Bidi_Class=		POP_Directional_isolate}', "");
    Expect(0, 8297, '\p{^Bidi_Class=		POP_Directional_isolate}', "");
    Expect(0, 8297, '\P{Bidi_Class=		POP_Directional_isolate}', "");
    Expect(1, 8297, '\P{^Bidi_Class=		POP_Directional_isolate}', "");
    Expect(0, 8298, '\p{Bidi_Class=		POP_Directional_isolate}', "");
    Expect(1, 8298, '\p{^Bidi_Class=		POP_Directional_isolate}', "");
    Expect(1, 8298, '\P{Bidi_Class=		POP_Directional_isolate}', "");
    Expect(0, 8298, '\P{^Bidi_Class=		POP_Directional_isolate}', "");
    Error('\p{Bc=:=-_PDI}');
    Error('\P{Bc=:=-_PDI}');
    Expect(1, 8297, '\p{Bc=:\APDI\z:}', "");;
    Expect(0, 8298, '\p{Bc=:\APDI\z:}', "");;
    Expect(1, 8297, '\p{Bc=pdi}', "");
    Expect(0, 8297, '\p{^Bc=pdi}', "");
    Expect(0, 8297, '\P{Bc=pdi}', "");
    Expect(1, 8297, '\P{^Bc=pdi}', "");
    Expect(0, 8298, '\p{Bc=pdi}', "");
    Expect(1, 8298, '\p{^Bc=pdi}', "");
    Expect(1, 8298, '\P{Bc=pdi}', "");
    Expect(0, 8298, '\P{^Bc=pdi}', "");
    Expect(1, 8297, '\p{Bc=:\Apdi\z:}', "");;
    Expect(0, 8298, '\p{Bc=:\Apdi\z:}', "");;
    Expect(1, 8297, '\p{Bc= -pdi}', "");
    Expect(0, 8297, '\p{^Bc= -pdi}', "");
    Expect(0, 8297, '\P{Bc= -pdi}', "");
    Expect(1, 8297, '\P{^Bc= -pdi}', "");
    Expect(0, 8298, '\p{Bc= -pdi}', "");
    Expect(1, 8298, '\p{^Bc= -pdi}', "");
    Expect(1, 8298, '\P{Bc= -pdi}', "");
    Expect(0, 8298, '\P{^Bc= -pdi}', "");
    Error('\p{Is_Bidi_Class=-/a/pop_directional_Isolate}');
    Error('\P{Is_Bidi_Class=-/a/pop_directional_Isolate}');
    Expect(1, 8297, '\p{Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(0, 8297, '\p{^Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(0, 8297, '\P{Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(1, 8297, '\P{^Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(0, 8298, '\p{Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(1, 8298, '\p{^Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(1, 8298, '\P{Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(0, 8298, '\P{^Is_Bidi_Class: popdirectionalisolate}', "");
    Expect(1, 8297, '\p{Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Expect(0, 8297, '\p{^Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Expect(0, 8297, '\P{Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Expect(1, 8297, '\P{^Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Expect(0, 8298, '\p{Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Expect(1, 8298, '\p{^Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Expect(1, 8298, '\P{Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Expect(0, 8298, '\P{^Is_Bidi_Class=		pop_Directional_ISOLATE}', "");
    Error('\p{Is_Bc=-_PDI:=}');
    Error('\P{Is_Bc=-_PDI:=}');
    Expect(1, 8297, '\p{Is_Bc: pdi}', "");
    Expect(0, 8297, '\p{^Is_Bc: pdi}', "");
    Expect(0, 8297, '\P{Is_Bc: pdi}', "");
    Expect(1, 8297, '\P{^Is_Bc: pdi}', "");
    Expect(0, 8298, '\p{Is_Bc: pdi}', "");
    Expect(1, 8298, '\p{^Is_Bc: pdi}', "");
    Expect(1, 8298, '\P{Is_Bc: pdi}', "");
    Expect(0, 8298, '\P{^Is_Bc: pdi}', "");
    Expect(1, 8297, '\p{Is_Bc=	-PDI}', "");
    Expect(0, 8297, '\p{^Is_Bc=	-PDI}', "");
    Expect(0, 8297, '\P{Is_Bc=	-PDI}', "");
    Expect(1, 8297, '\P{^Is_Bc=	-PDI}', "");
    Expect(0, 8298, '\p{Is_Bc=	-PDI}', "");
    Expect(1, 8298, '\p{^Is_Bc=	-PDI}', "");
    Expect(1, 8298, '\P{Is_Bc=	-PDI}', "");
    Expect(0, 8298, '\P{^Is_Bc=	-PDI}', "");
    Error('\p{Bidi_Class:	-Right_To_Left/a/}');
    Error('\P{Bidi_Class:	-Right_To_Left/a/}');
    Expect(1, 126975, '\p{Bidi_Class=:\ARight_To_Left\z:}', "");;
    Expect(0, 126976, '\p{Bidi_Class=:\ARight_To_Left\z:}', "");;
    Expect(1, 126975, '\p{Bidi_Class=righttoleft}', "");
    Expect(0, 126975, '\p{^Bidi_Class=righttoleft}', "");
    Expect(0, 126975, '\P{Bidi_Class=righttoleft}', "");
    Expect(1, 126975, '\P{^Bidi_Class=righttoleft}', "");
    Expect(0, 126976, '\p{Bidi_Class=righttoleft}', "");
    Expect(1, 126976, '\p{^Bidi_Class=righttoleft}', "");
    Expect(1, 126976, '\P{Bidi_Class=righttoleft}', "");
    Expect(0, 126976, '\P{^Bidi_Class=righttoleft}', "");
    Expect(1, 126975, '\p{Bidi_Class=:\Arighttoleft\z:}', "");;
    Expect(0, 126976, '\p{Bidi_Class=:\Arighttoleft\z:}', "");;
    Expect(1, 126975, '\p{Bidi_Class=  right_TO_LEFT}', "");
    Expect(0, 126975, '\p{^Bidi_Class=  right_TO_LEFT}', "");
    Expect(0, 126975, '\P{Bidi_Class=  right_TO_LEFT}', "");
    Expect(1, 126975, '\P{^Bidi_Class=  right_TO_LEFT}', "");
    Expect(0, 126976, '\p{Bidi_Class=  right_TO_LEFT}', "");
    Expect(1, 126976, '\p{^Bidi_Class=  right_TO_LEFT}', "");
    Expect(1, 126976, '\P{Bidi_Class=  right_TO_LEFT}', "");
    Expect(0, 126976, '\P{^Bidi_Class=  right_TO_LEFT}', "");
    Error('\p{Bc=_ R/a/}');
    Error('\P{Bc=_ R/a/}');
    Expect(1, 126975, '\p{Bc=:\AR\z:}', "");;
    Expect(0, 126976, '\p{Bc=:\AR\z:}', "");;
    Expect(1, 126975, '\p{Bc=r}', "");
    Expect(0, 126975, '\p{^Bc=r}', "");
    Expect(0, 126975, '\P{Bc=r}', "");
    Expect(1, 126975, '\P{^Bc=r}', "");
    Expect(0, 126976, '\p{Bc=r}', "");
    Expect(1, 126976, '\p{^Bc=r}', "");
    Expect(1, 126976, '\P{Bc=r}', "");
    Expect(0, 126976, '\P{^Bc=r}', "");
    Expect(1, 126975, '\p{Bc=:\Ar\z:}', "");;
    Expect(0, 126976, '\p{Bc=:\Ar\z:}', "");;
    Expect(1, 126975, '\p{Bc: 	R}', "");
    Expect(0, 126975, '\p{^Bc: 	R}', "");
    Expect(0, 126975, '\P{Bc: 	R}', "");
    Expect(1, 126975, '\P{^Bc: 	R}', "");
    Expect(0, 126976, '\p{Bc: 	R}', "");
    Expect(1, 126976, '\p{^Bc: 	R}', "");
    Expect(1, 126976, '\P{Bc: 	R}', "");
    Expect(0, 126976, '\P{^Bc: 	R}', "");
    Error('\p{Is_Bidi_Class=/a/_right_TO_Left}');
    Error('\P{Is_Bidi_Class=/a/_right_TO_Left}');
    Expect(1, 126975, '\p{Is_Bidi_Class=righttoleft}', "");
    Expect(0, 126975, '\p{^Is_Bidi_Class=righttoleft}', "");
    Expect(0, 126975, '\P{Is_Bidi_Class=righttoleft}', "");
    Expect(1, 126975, '\P{^Is_Bidi_Class=righttoleft}', "");
    Expect(0, 126976, '\p{Is_Bidi_Class=righttoleft}', "");
    Expect(1, 126976, '\p{^Is_Bidi_Class=righttoleft}', "");
    Expect(1, 126976, '\P{Is_Bidi_Class=righttoleft}', "");
    Expect(0, 126976, '\P{^Is_Bidi_Class=righttoleft}', "");
    Expect(1, 126975, '\p{Is_Bidi_Class=-Right_To_Left}', "");
    Expect(0, 126975, '\p{^Is_Bidi_Class=-Right_To_Left}', "");
    Expect(0, 126975, '\P{Is_Bidi_Class=-Right_To_Left}', "");
    Expect(1, 126975, '\P{^Is_Bidi_Class=-Right_To_Left}', "");
    Expect(0, 126976, '\p{Is_Bidi_Class=-Right_To_Left}', "");
    Expect(1, 126976, '\p{^Is_Bidi_Class=-Right_To_Left}', "");
    Expect(1, 126976, '\P{Is_Bidi_Class=-Right_To_Left}', "");
    Expect(0, 126976, '\P{^Is_Bidi_Class=-Right_To_Left}', "");
    Error('\p{Is_Bc=-:=R}');
    Error('\P{Is_Bc=-:=R}');
    Expect(1, 126975, '\p{Is_Bc=r}', "");
    Expect(0, 126975, '\p{^Is_Bc=r}', "");
    Expect(0, 126975, '\P{Is_Bc=r}', "");
    Expect(1, 126975, '\P{^Is_Bc=r}', "");
    Expect(0, 126976, '\p{Is_Bc=r}', "");
    Expect(1, 126976, '\p{^Is_Bc=r}', "");
    Expect(1, 126976, '\P{Is_Bc=r}', "");
    Expect(0, 126976, '\P{^Is_Bc=r}', "");
    Expect(1, 126975, '\p{Is_Bc= R}', "");
    Expect(0, 126975, '\p{^Is_Bc= R}', "");
    Expect(0, 126975, '\P{Is_Bc= R}', "");
    Expect(1, 126975, '\P{^Is_Bc= R}', "");
    Expect(0, 126976, '\p{Is_Bc= R}', "");
    Expect(1, 126976, '\p{^Is_Bc= R}', "");
    Expect(1, 126976, '\P{Is_Bc= R}', "");
    Expect(0, 126976, '\P{^Is_Bc= R}', "");
    Error('\p{Bidi_Class=_Right_To_Left_Embedding:=}');
    Error('\P{Bidi_Class=_Right_To_Left_Embedding:=}');
    Expect(1, 8235, '\p{Bidi_Class=:\ARight_To_Left_Embedding\z:}', "");;
    Expect(0, 8236, '\p{Bidi_Class=:\ARight_To_Left_Embedding\z:}', "");;
    Expect(1, 8235, '\p{Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8235, '\p{^Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8235, '\P{Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8235, '\P{^Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8236, '\p{Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8236, '\p{^Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8236, '\P{Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8236, '\P{^Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8235, '\p{Bidi_Class=:\Arighttoleftembedding\z:}', "");;
    Expect(0, 8236, '\p{Bidi_Class=:\Arighttoleftembedding\z:}', "");;
    Expect(1, 8235, '\p{Bidi_Class=--right_to_LEFT_embedding}', "");
    Expect(0, 8235, '\p{^Bidi_Class=--right_to_LEFT_embedding}', "");
    Expect(0, 8235, '\P{Bidi_Class=--right_to_LEFT_embedding}', "");
    Expect(1, 8235, '\P{^Bidi_Class=--right_to_LEFT_embedding}', "");
    Expect(0, 8236, '\p{Bidi_Class=--right_to_LEFT_embedding}', "");
    Expect(1, 8236, '\p{^Bidi_Class=--right_to_LEFT_embedding}', "");
    Expect(1, 8236, '\P{Bidi_Class=--right_to_LEFT_embedding}', "");
    Expect(0, 8236, '\P{^Bidi_Class=--right_to_LEFT_embedding}', "");
    Error('\p{Bc=	RLE:=}');
    Error('\P{Bc=	RLE:=}');
    Expect(1, 8235, '\p{Bc=:\ARLE\z:}', "");;
    Expect(0, 8236, '\p{Bc=:\ARLE\z:}', "");;
    Expect(1, 8235, '\p{Bc=rle}', "");
    Expect(0, 8235, '\p{^Bc=rle}', "");
    Expect(0, 8235, '\P{Bc=rle}', "");
    Expect(1, 8235, '\P{^Bc=rle}', "");
    Expect(0, 8236, '\p{Bc=rle}', "");
    Expect(1, 8236, '\p{^Bc=rle}', "");
    Expect(1, 8236, '\P{Bc=rle}', "");
    Expect(0, 8236, '\P{^Bc=rle}', "");
    Expect(1, 8235, '\p{Bc=:\Arle\z:}', "");;
    Expect(0, 8236, '\p{Bc=:\Arle\z:}', "");;
    Expect(1, 8235, '\p{Bc=--RLE}', "");
    Expect(0, 8235, '\p{^Bc=--RLE}', "");
    Expect(0, 8235, '\P{Bc=--RLE}', "");
    Expect(1, 8235, '\P{^Bc=--RLE}', "");
    Expect(0, 8236, '\p{Bc=--RLE}', "");
    Expect(1, 8236, '\p{^Bc=--RLE}', "");
    Expect(1, 8236, '\P{Bc=--RLE}', "");
    Expect(0, 8236, '\P{^Bc=--RLE}', "");
    Error('\p{Is_Bidi_Class=_ Right_To_Left_embedding:=}');
    Error('\P{Is_Bidi_Class=_ Right_To_Left_embedding:=}');
    Expect(1, 8235, '\p{Is_Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8235, '\p{^Is_Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8235, '\P{Is_Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8235, '\P{^Is_Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8236, '\p{Is_Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8236, '\p{^Is_Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8236, '\P{Is_Bidi_Class=righttoleftembedding}', "");
    Expect(0, 8236, '\P{^Is_Bidi_Class=righttoleftembedding}', "");
    Expect(1, 8235, '\p{Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Expect(0, 8235, '\p{^Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Expect(0, 8235, '\P{Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Expect(1, 8235, '\P{^Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Expect(0, 8236, '\p{Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Expect(1, 8236, '\p{^Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Expect(1, 8236, '\P{Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Expect(0, 8236, '\P{^Is_Bidi_Class=_	Right_To_LEFT_Embedding}', "");
    Error('\p{Is_Bc=	RLE/a/}');
    Error('\P{Is_Bc=	RLE/a/}');
    Expect(1, 8235, '\p{Is_Bc=rle}', "");
    Expect(0, 8235, '\p{^Is_Bc=rle}', "");
    Expect(0, 8235, '\P{Is_Bc=rle}', "");
    Expect(1, 8235, '\P{^Is_Bc=rle}', "");
    Expect(0, 8236, '\p{Is_Bc=rle}', "");
    Expect(1, 8236, '\p{^Is_Bc=rle}', "");
    Expect(1, 8236, '\P{Is_Bc=rle}', "");
    Expect(0, 8236, '\P{^Is_Bc=rle}', "");
    Expect(1, 8235, '\p{Is_Bc= 	RLE}', "");
    Expect(0, 8235, '\p{^Is_Bc= 	RLE}', "");
    Expect(0, 8235, '\P{Is_Bc= 	RLE}', "");
    Expect(1, 8235, '\P{^Is_Bc= 	RLE}', "");
    Expect(0, 8236, '\p{Is_Bc= 	RLE}', "");
    Expect(1, 8236, '\p{^Is_Bc= 	RLE}', "");
    Expect(1, 8236, '\P{Is_Bc= 	RLE}', "");
    Expect(0, 8236, '\P{^Is_Bc= 	RLE}', "");
    Error('\p{Bidi_Class=/a/ RIGHT_TO_LEFT_isolate}');
    Error('\P{Bidi_Class=/a/ RIGHT_TO_LEFT_isolate}');
    Expect(1, 8295, '\p{Bidi_Class=:\ARight_To_Left_Isolate\z:}', "");;
    Expect(0, 8296, '\p{Bidi_Class=:\ARight_To_Left_Isolate\z:}', "");;
    Expect(1, 8295, '\p{Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8295, '\p{^Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8295, '\P{Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8295, '\P{^Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8296, '\p{Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8296, '\p{^Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8296, '\P{Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8296, '\P{^Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8295, '\p{Bidi_Class=:\Arighttoleftisolate\z:}', "");;
    Expect(0, 8296, '\p{Bidi_Class=:\Arighttoleftisolate\z:}', "");;
    Expect(1, 8295, '\p{Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Expect(0, 8295, '\p{^Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Expect(0, 8295, '\P{Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Expect(1, 8295, '\P{^Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Expect(0, 8296, '\p{Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Expect(1, 8296, '\p{^Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Expect(1, 8296, '\P{Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Expect(0, 8296, '\P{^Bidi_Class=_ RIGHT_To_Left_Isolate}', "");
    Error('\p{Bc=-_rli:=}');
    Error('\P{Bc=-_rli:=}');
    Expect(1, 8295, '\p{Bc=:\ARLI\z:}', "");;
    Expect(0, 8296, '\p{Bc=:\ARLI\z:}', "");;
    Expect(1, 8295, '\p{Bc=rli}', "");
    Expect(0, 8295, '\p{^Bc=rli}', "");
    Expect(0, 8295, '\P{Bc=rli}', "");
    Expect(1, 8295, '\P{^Bc=rli}', "");
    Expect(0, 8296, '\p{Bc=rli}', "");
    Expect(1, 8296, '\p{^Bc=rli}', "");
    Expect(1, 8296, '\P{Bc=rli}', "");
    Expect(0, 8296, '\P{^Bc=rli}', "");
    Expect(1, 8295, '\p{Bc=:\Arli\z:}', "");;
    Expect(0, 8296, '\p{Bc=:\Arli\z:}', "");;
    Expect(1, 8295, '\p{Bc: -rli}', "");
    Expect(0, 8295, '\p{^Bc: -rli}', "");
    Expect(0, 8295, '\P{Bc: -rli}', "");
    Expect(1, 8295, '\P{^Bc: -rli}', "");
    Expect(0, 8296, '\p{Bc: -rli}', "");
    Expect(1, 8296, '\p{^Bc: -rli}', "");
    Expect(1, 8296, '\P{Bc: -rli}', "");
    Expect(0, 8296, '\P{^Bc: -rli}', "");
    Error('\p{Is_Bidi_Class=RIGHT_to_LEFT_Isolate/a/}');
    Error('\P{Is_Bidi_Class=RIGHT_to_LEFT_Isolate/a/}');
    Expect(1, 8295, '\p{Is_Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8295, '\p{^Is_Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8295, '\P{Is_Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8295, '\P{^Is_Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8296, '\p{Is_Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8296, '\p{^Is_Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8296, '\P{Is_Bidi_Class=righttoleftisolate}', "");
    Expect(0, 8296, '\P{^Is_Bidi_Class=righttoleftisolate}', "");
    Expect(1, 8295, '\p{Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Expect(0, 8295, '\p{^Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Expect(0, 8295, '\P{Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Expect(1, 8295, '\P{^Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Expect(0, 8296, '\p{Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Expect(1, 8296, '\p{^Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Expect(1, 8296, '\P{Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Expect(0, 8296, '\P{^Is_Bidi_Class=_	right_to_Left_isolate}', "");
    Error('\p{Is_Bc=/a/ 	RLI}');
    Error('\P{Is_Bc=/a/ 	RLI}');
    Expect(1, 8295, '\p{Is_Bc=rli}', "");
    Expect(0, 8295, '\p{^Is_Bc=rli}', "");
    Expect(0, 8295, '\P{Is_Bc=rli}', "");
    Expect(1, 8295, '\P{^Is_Bc=rli}', "");
    Expect(0, 8296, '\p{Is_Bc=rli}', "");
    Expect(1, 8296, '\p{^Is_Bc=rli}', "");
    Expect(1, 8296, '\P{Is_Bc=rli}', "");
    Expect(0, 8296, '\P{^Is_Bc=rli}', "");
    Expect(1, 8295, '\p{Is_Bc:	RLI}', "");
    Expect(0, 8295, '\p{^Is_Bc:	RLI}', "");
    Expect(0, 8295, '\P{Is_Bc:	RLI}', "");
    Expect(1, 8295, '\P{^Is_Bc:	RLI}', "");
    Expect(0, 8296, '\p{Is_Bc:	RLI}', "");
    Expect(1, 8296, '\p{^Is_Bc:	RLI}', "");
    Expect(1, 8296, '\P{Is_Bc:	RLI}', "");
    Expect(0, 8296, '\P{^Is_Bc:	RLI}', "");
    Error('\p{Bidi_Class=/a/	Right_TO_LEFT_Override}');
    Error('\P{Bidi_Class=/a/	Right_TO_LEFT_Override}');
    Expect(1, 8238, '\p{Bidi_Class=:\ARight_To_Left_Override\z:}', "");;
    Expect(0, 8239, '\p{Bidi_Class=:\ARight_To_Left_Override\z:}', "");;
    Expect(1, 8238, '\p{Bidi_Class=righttoleftoverride}', "");
    Expect(0, 8238, '\p{^Bidi_Class=righttoleftoverride}', "");
    Expect(0, 8238, '\P{Bidi_Class=righttoleftoverride}', "");
    Expect(1, 8238, '\P{^Bidi_Class=righttoleftoverride}', "");
    Expect(0, 8239, '\p{Bidi_Class=righttoleftoverride}', "");
    Expect(1, 8239, '\p{^Bidi_Class=righttoleftoverride}', "");
    Expect(1, 8239, '\P{Bidi_Class=righttoleftoverride}', "");
    Expect(0, 8239, '\P{^Bidi_Class=righttoleftoverride}', "");
    Expect(1, 8238, '\p{Bidi_Class=:\Arighttoleftoverride\z:}', "");;
    Expect(0, 8239, '\p{Bidi_Class=:\Arighttoleftoverride\z:}', "");;
    Expect(1, 8238, '\p{Bidi_Class=  Right_TO_Left_override}', "");
    Expect(0, 8238, '\p{^Bidi_Class=  Right_TO_Left_override}', "");
    Expect(0, 8238, '\P{Bidi_Class=  Right_TO_Left_override}', "");
    Expect(1, 8238, '\P{^Bidi_Class=  Right_TO_Left_override}', "");
    Expect(0, 8239, '\p{Bidi_Class=  Right_TO_Left_override}', "");
    Expect(1, 8239, '\p{^Bidi_Class=  Right_TO_Left_override}', "");
    Expect(1, 8239, '\P{Bidi_Class=  Right_TO_Left_override}', "");
    Expect(0, 8239, '\P{^Bidi_Class=  Right_TO_Left_override}', "");
    Error('\p{Bc= -RLO/a/}');
    Error('\P{Bc= -RLO/a/}');
    Expect(1, 8238, '\p{Bc=:\ARLO\z:}', "");;
    Expect(0, 8239, '\p{Bc=:\ARLO\z:}', "");;
    Expect(1, 8238, '\p{Bc=rlo}', "");
    Expect(0, 8238, '\p{^Bc=rlo}', "");
    Expect(0, 8238, '\P{Bc=rlo}', "");
    Expect(1, 8238, '\P{^Bc=rlo}', "");
    Expect(0, 8239, '\p{Bc=rlo}', "");
    Expect(1, 8239, '\p{^Bc=rlo}', "");
    Expect(1, 8239, '\P{Bc=rlo}', "");
    Expect(0, 8239, '\P{^Bc=rlo}', "");
    Expect(1, 8238, '\p{Bc=:\Arlo\z:}', "");;
    Expect(0, 8239, '\p{Bc=:\Arlo\z:}', "");;
    Expect(1, 8238, '\p{Bc= rlo}', "");
    Expect(0, 8238, '\p{^Bc= rlo}', "");
    Expect(0, 8238, '\P{Bc= rlo}', "");
    Expect(1, 8238, '\P{^Bc= rlo}', "");
    Expect(0, 8239, '\p{Bc= rlo}', "");
    Expect(1, 8239, '\p{^Bc= rlo}', "");
    Expect(1, 8239, '\P{Bc= rlo}', "");
    Expect(0, 8239, '\P{^Bc= rlo}', "");
    Error('\p{Is_Bidi_Class= 	RIGHT_To_LEFT_OVERRIDE/a/}');
    Error('\P{Is_Bidi_Class= 	RIGHT_To_LEFT_OVERRIDE/a/}');
    Expect(1, 8238, '\p{Is_Bidi_Class:righttoleftoverride}', "");
    Expect(0, 8238, '\p{^Is_Bidi_Class:righttoleftoverride}', "");
    Expect(0, 8238, '\P{Is_Bidi_Class:righttoleftoverride}', "");
    Expect(1, 8238, '\P{^Is_Bidi_Class:righttoleftoverride}', "");
    Expect(0, 8239, '\p{Is_Bidi_Class:righttoleftoverride}', "");
    Expect(1, 8239, '\p{^Is_Bidi_Class:righttoleftoverride}', "");
    Expect(1, 8239, '\P{Is_Bidi_Class:righttoleftoverride}', "");
    Expect(0, 8239, '\P{^Is_Bidi_Class:righttoleftoverride}', "");
    Expect(1, 8238, '\p{Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Expect(0, 8238, '\p{^Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Expect(0, 8238, '\P{Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Expect(1, 8238, '\P{^Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Expect(0, 8239, '\p{Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Expect(1, 8239, '\p{^Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Expect(1, 8239, '\P{Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Expect(0, 8239, '\P{^Is_Bidi_Class=  RIGHT_to_Left_Override}', "");
    Error('\p{Is_Bc=:=	-rlo}');
    Error('\P{Is_Bc=:=	-rlo}');
    Expect(1, 8238, '\p{Is_Bc=rlo}', "");
    Expect(0, 8238, '\p{^Is_Bc=rlo}', "");
    Expect(0, 8238, '\P{Is_Bc=rlo}', "");
    Expect(1, 8238, '\P{^Is_Bc=rlo}', "");
    Expect(0, 8239, '\p{Is_Bc=rlo}', "");
    Expect(1, 8239, '\p{^Is_Bc=rlo}', "");
    Expect(1, 8239, '\P{Is_Bc=rlo}', "");
    Expect(0, 8239, '\P{^Is_Bc=rlo}', "");
    Expect(1, 8238, '\p{Is_Bc=-	RLO}', "");
    Expect(0, 8238, '\p{^Is_Bc=-	RLO}', "");
    Expect(0, 8238, '\P{Is_Bc=-	RLO}', "");
    Expect(1, 8238, '\P{^Is_Bc=-	RLO}', "");
    Expect(0, 8239, '\p{Is_Bc=-	RLO}', "");
    Expect(1, 8239, '\p{^Is_Bc=-	RLO}', "");
    Expect(1, 8239, '\P{Is_Bc=-	RLO}', "");
    Expect(0, 8239, '\P{^Is_Bc=-	RLO}', "");
    Error('\p{Bidi_Class= Segment_separator/a/}');
    Error('\P{Bidi_Class= Segment_separator/a/}');
    Expect(1, 31, '\p{Bidi_Class=:\ASegment_Separator\z:}', "");;
    Expect(0, 32, '\p{Bidi_Class=:\ASegment_Separator\z:}', "");;
    Expect(1, 31, '\p{Bidi_Class=segmentseparator}', "");
    Expect(0, 31, '\p{^Bidi_Class=segmentseparator}', "");
    Expect(0, 31, '\P{Bidi_Class=segmentseparator}', "");
    Expect(1, 31, '\P{^Bidi_Class=segmentseparator}', "");
    Expect(0, 32, '\p{Bidi_Class=segmentseparator}', "");
    Expect(1, 32, '\p{^Bidi_Class=segmentseparator}', "");
    Expect(1, 32, '\P{Bidi_Class=segmentseparator}', "");
    Expect(0, 32, '\P{^Bidi_Class=segmentseparator}', "");
    Expect(1, 31, '\p{Bidi_Class=:\Asegmentseparator\z:}', "");;
    Expect(0, 32, '\p{Bidi_Class=:\Asegmentseparator\z:}', "");;
    Expect(1, 31, '\p{Bidi_Class=	SEGMENT_Separator}', "");
    Expect(0, 31, '\p{^Bidi_Class=	SEGMENT_Separator}', "");
    Expect(0, 31, '\P{Bidi_Class=	SEGMENT_Separator}', "");
    Expect(1, 31, '\P{^Bidi_Class=	SEGMENT_Separator}', "");
    Expect(0, 32, '\p{Bidi_Class=	SEGMENT_Separator}', "");
    Expect(1, 32, '\p{^Bidi_Class=	SEGMENT_Separator}', "");
    Expect(1, 32, '\P{Bidi_Class=	SEGMENT_Separator}', "");
    Expect(0, 32, '\P{^Bidi_Class=	SEGMENT_Separator}', "");
    Error('\p{Bc=/a/-	S}');
    Error('\P{Bc=/a/-	S}');
    Expect(1, 31, '\p{Bc=:\AS\z:}', "");;
    Expect(0, 32, '\p{Bc=:\AS\z:}', "");;
    Expect(1, 31, '\p{Bc=s}', "");
    Expect(0, 31, '\p{^Bc=s}', "");
    Expect(0, 31, '\P{Bc=s}', "");
    Expect(1, 31, '\P{^Bc=s}', "");
    Expect(0, 32, '\p{Bc=s}', "");
    Expect(1, 32, '\p{^Bc=s}', "");
    Expect(1, 32, '\P{Bc=s}', "");
    Expect(0, 32, '\P{^Bc=s}', "");
    Expect(1, 31, '\p{Bc=:\As\z:}', "");;
    Expect(0, 32, '\p{Bc=:\As\z:}', "");;
    Expect(1, 31, '\p{Bc=-s}', "");
    Expect(0, 31, '\p{^Bc=-s}', "");
    Expect(0, 31, '\P{Bc=-s}', "");
    Expect(1, 31, '\P{^Bc=-s}', "");
    Expect(0, 32, '\p{Bc=-s}', "");
    Expect(1, 32, '\p{^Bc=-s}', "");
    Expect(1, 32, '\P{Bc=-s}', "");
    Expect(0, 32, '\P{^Bc=-s}', "");
    Error('\p{Is_Bidi_Class=	_Segment_Separator:=}');
    Error('\P{Is_Bidi_Class=	_Segment_Separator:=}');
    Expect(1, 31, '\p{Is_Bidi_Class=segmentseparator}', "");
    Expect(0, 31, '\p{^Is_Bidi_Class=segmentseparator}', "");
    Expect(0, 31, '\P{Is_Bidi_Class=segmentseparator}', "");
    Expect(1, 31, '\P{^Is_Bidi_Class=segmentseparator}', "");
    Expect(0, 32, '\p{Is_Bidi_Class=segmentseparator}', "");
    Expect(1, 32, '\p{^Is_Bidi_Class=segmentseparator}', "");
    Expect(1, 32, '\P{Is_Bidi_Class=segmentseparator}', "");
    Expect(0, 32, '\P{^Is_Bidi_Class=segmentseparator}', "");
    Expect(1, 31, '\p{Is_Bidi_Class=  Segment_Separator}', "");
    Expect(0, 31, '\p{^Is_Bidi_Class=  Segment_Separator}', "");
    Expect(0, 31, '\P{Is_Bidi_Class=  Segment_Separator}', "");
    Expect(1, 31, '\P{^Is_Bidi_Class=  Segment_Separator}', "");
    Expect(0, 32, '\p{Is_Bidi_Class=  Segment_Separator}', "");
    Expect(1, 32, '\p{^Is_Bidi_Class=  Segment_Separator}', "");
    Expect(1, 32, '\P{Is_Bidi_Class=  Segment_Separator}', "");
    Expect(0, 32, '\P{^Is_Bidi_Class=  Segment_Separator}', "");
    Error('\p{Is_Bc=-:=S}');
    Error('\P{Is_Bc=-:=S}');
    Expect(1, 31, '\p{Is_Bc=s}', "");
    Expect(0, 31, '\p{^Is_Bc=s}', "");
    Expect(0, 31, '\P{Is_Bc=s}', "");
    Expect(1, 31, '\P{^Is_Bc=s}', "");
    Expect(0, 32, '\p{Is_Bc=s}', "");
    Expect(1, 32, '\p{^Is_Bc=s}', "");
    Expect(1, 32, '\P{Is_Bc=s}', "");
    Expect(0, 32, '\P{^Is_Bc=s}', "");
    Expect(1, 31, '\p{Is_Bc=_S}', "");
    Expect(0, 31, '\p{^Is_Bc=_S}', "");
    Expect(0, 31, '\P{Is_Bc=_S}', "");
    Expect(1, 31, '\P{^Is_Bc=_S}', "");
    Expect(0, 32, '\p{Is_Bc=_S}', "");
    Expect(1, 32, '\p{^Is_Bc=_S}', "");
    Expect(1, 32, '\P{Is_Bc=_S}', "");
    Expect(0, 32, '\P{^Is_Bc=_S}', "");
    Error('\p{Bidi_Class=/a/- White_Space}');
    Error('\P{Bidi_Class=/a/- White_Space}');
    Expect(1, 12288, '\p{Bidi_Class=:\AWhite_Space\z:}', "");;
    Expect(0, 12289, '\p{Bidi_Class=:\AWhite_Space\z:}', "");;
    Expect(1, 12288, '\p{Bidi_Class=whitespace}', "");
    Expect(0, 12288, '\p{^Bidi_Class=whitespace}', "");
    Expect(0, 12288, '\P{Bidi_Class=whitespace}', "");
    Expect(1, 12288, '\P{^Bidi_Class=whitespace}', "");
    Expect(0, 12289, '\p{Bidi_Class=whitespace}', "");
    Expect(1, 12289, '\p{^Bidi_Class=whitespace}', "");
    Expect(1, 12289, '\P{Bidi_Class=whitespace}', "");
    Expect(0, 12289, '\P{^Bidi_Class=whitespace}', "");
    Expect(1, 12288, '\p{Bidi_Class=:\Awhitespace\z:}', "");;
    Expect(0, 12289, '\p{Bidi_Class=:\Awhitespace\z:}', "");;
    Expect(1, 12288, '\p{Bidi_Class= _White_Space}', "");
    Expect(0, 12288, '\p{^Bidi_Class= _White_Space}', "");
    Expect(0, 12288, '\P{Bidi_Class= _White_Space}', "");
    Expect(1, 12288, '\P{^Bidi_Class= _White_Space}', "");
    Expect(0, 12289, '\p{Bidi_Class= _White_Space}', "");
    Expect(1, 12289, '\p{^Bidi_Class= _White_Space}', "");
    Expect(1, 12289, '\P{Bidi_Class= _White_Space}', "");
    Expect(0, 12289, '\P{^Bidi_Class= _White_Space}', "");
    Error('\p{Bc=--ws:=}');
    Error('\P{Bc=--ws:=}');
    Expect(1, 12288, '\p{Bc=:\AWS\z:}', "");;
    Expect(0, 12289, '\p{Bc=:\AWS\z:}', "");;
    Expect(1, 12288, '\p{Bc=ws}', "");
    Expect(0, 12288, '\p{^Bc=ws}', "");
    Expect(0, 12288, '\P{Bc=ws}', "");
    Expect(1, 12288, '\P{^Bc=ws}', "");
    Expect(0, 12289, '\p{Bc=ws}', "");
    Expect(1, 12289, '\p{^Bc=ws}', "");
    Expect(1, 12289, '\P{Bc=ws}', "");
    Expect(0, 12289, '\P{^Bc=ws}', "");
    Expect(1, 12288, '\p{Bc=:\Aws\z:}', "");;
    Expect(0, 12289, '\p{Bc=:\Aws\z:}', "");;
    Expect(1, 12288, '\p{Bc=WS}', "");
    Expect(0, 12288, '\p{^Bc=WS}', "");
    Expect(0, 12288, '\P{Bc=WS}', "");
    Expect(1, 12288, '\P{^Bc=WS}', "");
    Expect(0, 12289, '\p{Bc=WS}', "");
    Expect(1, 12289, '\p{^Bc=WS}', "");
    Expect(1, 12289, '\P{Bc=WS}', "");
    Expect(0, 12289, '\P{^Bc=WS}', "");
    Error('\p{Is_Bidi_Class=:= WHITE_Space}');
    Error('\P{Is_Bidi_Class=:= WHITE_Space}');
    Expect(1, 12288, '\p{Is_Bidi_Class=whitespace}', "");
    Expect(0, 12288, '\p{^Is_Bidi_Class=whitespace}', "");
    Expect(0, 12288, '\P{Is_Bidi_Class=whitespace}', "");
    Expect(1, 12288, '\P{^Is_Bidi_Class=whitespace}', "");
    Expect(0, 12289, '\p{Is_Bidi_Class=whitespace}', "");
    Expect(1, 12289, '\p{^Is_Bidi_Class=whitespace}', "");
    Expect(1, 12289, '\P{Is_Bidi_Class=whitespace}', "");
    Expect(0, 12289, '\P{^Is_Bidi_Class=whitespace}', "");
    Expect(1, 12288, '\p{Is_Bidi_Class=_white_Space}', "");
    Expect(0, 12288, '\p{^Is_Bidi_Class=_white_Space}', "");
    Expect(0, 12288, '\P{Is_Bidi_Class=_white_Space}', "");
    Expect(1, 12288, '\P{^Is_Bidi_Class=_white_Space}', "");
    Expect(0, 12289, '\p{Is_Bidi_Class=_white_Space}', "");
    Expect(1, 12289, '\p{^Is_Bidi_Class=_white_Space}', "");
    Expect(1, 12289, '\P{Is_Bidi_Class=_white_Space}', "");
    Expect(0, 12289, '\P{^Is_Bidi_Class=_white_Space}', "");
    Error('\p{Is_Bc= /a/ws}');
    Error('\P{Is_Bc= /a/ws}');
    Expect(1, 12288, '\p{Is_Bc=ws}', "");
    Expect(0, 12288, '\p{^Is_Bc=ws}', "");
    Expect(0, 12288, '\P{Is_Bc=ws}', "");
    Expect(1, 12288, '\P{^Is_Bc=ws}', "");
    Expect(0, 12289, '\p{Is_Bc=ws}', "");
    Expect(1, 12289, '\p{^Is_Bc=ws}', "");
    Expect(1, 12289, '\P{Is_Bc=ws}', "");
    Expect(0, 12289, '\P{^Is_Bc=ws}', "");
    Expect(1, 12288, '\p{Is_Bc=	_WS}', "");
    Expect(0, 12288, '\p{^Is_Bc=	_WS}', "");
    Expect(0, 12288, '\P{Is_Bc=	_WS}', "");
    Expect(1, 12288, '\P{^Is_Bc=	_WS}', "");
    Expect(0, 12289, '\p{Is_Bc=	_WS}', "");
    Expect(1, 12289, '\p{^Is_Bc=	_WS}', "");
    Expect(1, 12289, '\P{Is_Bc=	_WS}', "");
    Expect(0, 12289, '\P{^Is_Bc=	_WS}', "");
    Error('\p{Bidi_Control=	/a/NO}');
    Error('\P{Bidi_Control=	/a/NO}');
    Expect(1, 8298, '\p{Bidi_Control=:\ANo\z:}', "");;
    Expect(0, 8297, '\p{Bidi_Control=:\ANo\z:}', "");;
    Expect(1, 8298, '\p{Bidi_Control=no}', "");
    Expect(0, 8298, '\p{^Bidi_Control=no}', "");
    Expect(0, 8298, '\P{Bidi_Control=no}', "");
    Expect(1, 8298, '\P{^Bidi_Control=no}', "");
    Expect(0, 8297, '\p{Bidi_Control=no}', "");
    Expect(1, 8297, '\p{^Bidi_Control=no}', "");
    Expect(1, 8297, '\P{Bidi_Control=no}', "");
    Expect(0, 8297, '\P{^Bidi_Control=no}', "");
    Expect(1, 8298, '\p{Bidi_Control=:\Ano\z:}', "");;
    Expect(0, 8297, '\p{Bidi_Control=:\Ano\z:}', "");;
    Expect(1, 8298, '\p{Bidi_Control:--NO}', "");
    Expect(0, 8298, '\p{^Bidi_Control:--NO}', "");
    Expect(0, 8298, '\P{Bidi_Control:--NO}', "");
    Expect(1, 8298, '\P{^Bidi_Control:--NO}', "");
    Expect(0, 8297, '\p{Bidi_Control:--NO}', "");
    Expect(1, 8297, '\p{^Bidi_Control:--NO}', "");
    Expect(1, 8297, '\P{Bidi_Control:--NO}', "");
    Expect(0, 8297, '\P{^Bidi_Control:--NO}', "");
    Error('\p{Bidi_C=_/a/N}');
    Error('\P{Bidi_C=_/a/N}');
    Expect(1, 8298, '\p{Bidi_C=:\AN\z:}', "");;
    Expect(0, 8297, '\p{Bidi_C=:\AN\z:}', "");;
    Expect(1, 8298, '\p{Bidi_C: n}', "");
    Expect(0, 8298, '\p{^Bidi_C: n}', "");
    Expect(0, 8298, '\P{Bidi_C: n}', "");
    Expect(1, 8298, '\P{^Bidi_C: n}', "");
    Expect(0, 8297, '\p{Bidi_C: n}', "");
    Expect(1, 8297, '\p{^Bidi_C: n}', "");
    Expect(1, 8297, '\P{Bidi_C: n}', "");
    Expect(0, 8297, '\P{^Bidi_C: n}', "");
    Expect(1, 8298, '\p{Bidi_C=:\An\z:}', "");;
    Expect(0, 8297, '\p{Bidi_C=:\An\z:}', "");;
    Expect(1, 8298, '\p{Bidi_C=_ n}', "");
    Expect(0, 8298, '\p{^Bidi_C=_ n}', "");
    Expect(0, 8298, '\P{Bidi_C=_ n}', "");
    Expect(1, 8298, '\P{^Bidi_C=_ n}', "");
    Expect(0, 8297, '\p{Bidi_C=_ n}', "");
    Expect(1, 8297, '\p{^Bidi_C=_ n}', "");
    Expect(1, 8297, '\P{Bidi_C=_ n}', "");
    Expect(0, 8297, '\P{^Bidi_C=_ n}', "");
    Error('\p{Is_Bidi_Control=_F/a/}');
    Error('\P{Is_Bidi_Control=_F/a/}');
    Expect(1, 8298, '\p{Is_Bidi_Control=f}', "");
    Expect(0, 8298, '\p{^Is_Bidi_Control=f}', "");
    Expect(0, 8298, '\P{Is_Bidi_Control=f}', "");
    Expect(1, 8298, '\P{^Is_Bidi_Control=f}', "");
    Expect(0, 8297, '\p{Is_Bidi_Control=f}', "");
    Expect(1, 8297, '\p{^Is_Bidi_Control=f}', "");
    Expect(1, 8297, '\P{Is_Bidi_Control=f}', "");
    Expect(0, 8297, '\P{^Is_Bidi_Control=f}', "");
    Expect(1, 8298, '\p{Is_Bidi_Control=-_F}', "");
    Expect(0, 8298, '\p{^Is_Bidi_Control=-_F}', "");
    Expect(0, 8298, '\P{Is_Bidi_Control=-_F}', "");
    Expect(1, 8298, '\P{^Is_Bidi_Control=-_F}', "");
    Expect(0, 8297, '\p{Is_Bidi_Control=-_F}', "");
    Expect(1, 8297, '\p{^Is_Bidi_Control=-_F}', "");
    Expect(1, 8297, '\P{Is_Bidi_Control=-_F}', "");
    Expect(0, 8297, '\P{^Is_Bidi_Control=-_F}', "");
    Error('\p{Is_Bidi_C=:=  false}');
    Error('\P{Is_Bidi_C=:=  false}');
    Expect(1, 8298, '\p{Is_Bidi_C=false}', "");
    Expect(0, 8298, '\p{^Is_Bidi_C=false}', "");
    Expect(0, 8298, '\P{Is_Bidi_C=false}', "");
    Expect(1, 8298, '\P{^Is_Bidi_C=false}', "");
    Expect(0, 8297, '\p{Is_Bidi_C=false}', "");
    Expect(1, 8297, '\p{^Is_Bidi_C=false}', "");
    Expect(1, 8297, '\P{Is_Bidi_C=false}', "");
    Expect(0, 8297, '\P{^Is_Bidi_C=false}', "");
    Expect(1, 8298, '\p{Is_Bidi_C=_	False}', "");
    Expect(0, 8298, '\p{^Is_Bidi_C=_	False}', "");
    Expect(0, 8298, '\P{Is_Bidi_C=_	False}', "");
    Expect(1, 8298, '\P{^Is_Bidi_C=_	False}', "");
    Expect(0, 8297, '\p{Is_Bidi_C=_	False}', "");
    Expect(1, 8297, '\p{^Is_Bidi_C=_	False}', "");
    Expect(1, 8297, '\P{Is_Bidi_C=_	False}', "");
    Expect(0, 8297, '\P{^Is_Bidi_C=_	False}', "");
    Error('\p{Bidi_Control=/a/-	Yes}');
    Error('\P{Bidi_Control=/a/-	Yes}');
    Expect(1, 8297, '\p{Bidi_Control=:\AYes\z:}', "");;
    Expect(0, 8298, '\p{Bidi_Control=:\AYes\z:}', "");;
    Expect(1, 8297, '\p{Bidi_Control=yes}', "");
    Expect(0, 8297, '\p{^Bidi_Control=yes}', "");
    Expect(0, 8297, '\P{Bidi_Control=yes}', "");
    Expect(1, 8297, '\P{^Bidi_Control=yes}', "");
    Expect(0, 8298, '\p{Bidi_Control=yes}', "");
    Expect(1, 8298, '\p{^Bidi_Control=yes}', "");
    Expect(1, 8298, '\P{Bidi_Control=yes}', "");
    Expect(0, 8298, '\P{^Bidi_Control=yes}', "");
    Expect(1, 8297, '\p{Bidi_Control=:\Ayes\z:}', "");;
    Expect(0, 8298, '\p{Bidi_Control=:\Ayes\z:}', "");;
    Expect(1, 8297, '\p{Bidi_Control=Yes}', "");
    Expect(0, 8297, '\p{^Bidi_Control=Yes}', "");
    Expect(0, 8297, '\P{Bidi_Control=Yes}', "");
    Expect(1, 8297, '\P{^Bidi_Control=Yes}', "");
    Expect(0, 8298, '\p{Bidi_Control=Yes}', "");
    Expect(1, 8298, '\p{^Bidi_Control=Yes}', "");
    Expect(1, 8298, '\P{Bidi_Control=Yes}', "");
    Expect(0, 8298, '\P{^Bidi_Control=Yes}', "");
    Error('\p{Bidi_C=:=y}');
    Error('\P{Bidi_C=:=y}');
    Expect(1, 8297, '\p{Bidi_C=:\AY\z:}', "");;
    Expect(0, 8298, '\p{Bidi_C=:\AY\z:}', "");;
    Expect(1, 8297, '\p{Bidi_C=y}', "");
    Expect(0, 8297, '\p{^Bidi_C=y}', "");
    Expect(0, 8297, '\P{Bidi_C=y}', "");
    Expect(1, 8297, '\P{^Bidi_C=y}', "");
    Expect(0, 8298, '\p{Bidi_C=y}', "");
    Expect(1, 8298, '\p{^Bidi_C=y}', "");
    Expect(1, 8298, '\P{Bidi_C=y}', "");
    Expect(0, 8298, '\P{^Bidi_C=y}', "");
    Expect(1, 8297, '\p{Bidi_C=:\Ay\z:}', "");;
    Expect(0, 8298, '\p{Bidi_C=:\Ay\z:}', "");;
    Expect(1, 8297, '\p{Bidi_C:	 _Y}', "");
    Expect(0, 8297, '\p{^Bidi_C:	 _Y}', "");
    Expect(0, 8297, '\P{Bidi_C:	 _Y}', "");
    Expect(1, 8297, '\P{^Bidi_C:	 _Y}', "");
    Expect(0, 8298, '\p{Bidi_C:	 _Y}', "");
    Expect(1, 8298, '\p{^Bidi_C:	 _Y}', "");
    Expect(1, 8298, '\P{Bidi_C:	 _Y}', "");
    Expect(0, 8298, '\P{^Bidi_C:	 _Y}', "");
    Error('\p{Is_Bidi_Control=:=T}');
    Error('\P{Is_Bidi_Control=:=T}');
    Expect(1, 8297, '\p{Is_Bidi_Control=t}', "");
    Expect(0, 8297, '\p{^Is_Bidi_Control=t}', "");
    Expect(0, 8297, '\P{Is_Bidi_Control=t}', "");
    Expect(1, 8297, '\P{^Is_Bidi_Control=t}', "");
    Expect(0, 8298, '\p{Is_Bidi_Control=t}', "");
    Expect(1, 8298, '\p{^Is_Bidi_Control=t}', "");
    Expect(1, 8298, '\P{Is_Bidi_Control=t}', "");
    Expect(0, 8298, '\P{^Is_Bidi_Control=t}', "");
    Expect(1, 8297, '\p{Is_Bidi_Control=	 T}', "");
    Expect(0, 8297, '\p{^Is_Bidi_Control=	 T}', "");
    Expect(0, 8297, '\P{Is_Bidi_Control=	 T}', "");
    Expect(1, 8297, '\P{^Is_Bidi_Control=	 T}', "");
    Expect(0, 8298, '\p{Is_Bidi_Control=	 T}', "");
    Expect(1, 8298, '\p{^Is_Bidi_Control=	 T}', "");
    Expect(1, 8298, '\P{Is_Bidi_Control=	 T}', "");
    Expect(0, 8298, '\P{^Is_Bidi_Control=	 T}', "");
    Error('\p{Is_Bidi_C=True/a/}');
    Error('\P{Is_Bidi_C=True/a/}');
    Expect(1, 8297, '\p{Is_Bidi_C=true}', "");
    Expect(0, 8297, '\p{^Is_Bidi_C=true}', "");
    Expect(0, 8297, '\P{Is_Bidi_C=true}', "");
    Expect(1, 8297, '\P{^Is_Bidi_C=true}', "");
    Expect(0, 8298, '\p{Is_Bidi_C=true}', "");
    Expect(1, 8298, '\p{^Is_Bidi_C=true}', "");
    Expect(1, 8298, '\P{Is_Bidi_C=true}', "");
    Expect(0, 8298, '\P{^Is_Bidi_C=true}', "");
    Expect(1, 8297, '\p{Is_Bidi_C=__TRUE}', "");
    Expect(0, 8297, '\p{^Is_Bidi_C=__TRUE}', "");
    Expect(0, 8297, '\P{Is_Bidi_C=__TRUE}', "");
    Expect(1, 8297, '\P{^Is_Bidi_C=__TRUE}', "");
    Expect(0, 8298, '\p{Is_Bidi_C=__TRUE}', "");
    Expect(1, 8298, '\p{^Is_Bidi_C=__TRUE}', "");
    Expect(1, 8298, '\P{Is_Bidi_C=__TRUE}', "");
    Expect(0, 8298, '\P{^Is_Bidi_C=__TRUE}', "");
    Error('\p{Bidi_Mirrored=/a/_no}');
    Error('\P{Bidi_Mirrored=/a/_no}');
    Expect(1, 120772, '\p{Bidi_Mirrored=:\ANo\z:}', "");;
    Expect(0, 120771, '\p{Bidi_Mirrored=:\ANo\z:}', "");;
    Expect(1, 120772, '\p{Bidi_Mirrored=no}', "");
    Expect(0, 120772, '\p{^Bidi_Mirrored=no}', "");
    Expect(0, 120772, '\P{Bidi_Mirrored=no}', "");
    Expect(1, 120772, '\P{^Bidi_Mirrored=no}', "");
    Expect(0, 120771, '\p{Bidi_Mirrored=no}', "");
    Expect(1, 120771, '\p{^Bidi_Mirrored=no}', "");
    Expect(1, 120771, '\P{Bidi_Mirrored=no}', "");
    Expect(0, 120771, '\P{^Bidi_Mirrored=no}', "");
    Expect(1, 120772, '\p{Bidi_Mirrored=:\Ano\z:}', "");;
    Expect(0, 120771, '\p{Bidi_Mirrored=:\Ano\z:}', "");;
    Expect(1, 120772, '\p{Bidi_Mirrored=-_No}', "");
    Expect(0, 120772, '\p{^Bidi_Mirrored=-_No}', "");
    Expect(0, 120772, '\P{Bidi_Mirrored=-_No}', "");
    Expect(1, 120772, '\P{^Bidi_Mirrored=-_No}', "");
    Expect(0, 120771, '\p{Bidi_Mirrored=-_No}', "");
    Expect(1, 120771, '\p{^Bidi_Mirrored=-_No}', "");
    Expect(1, 120771, '\P{Bidi_Mirrored=-_No}', "");
    Expect(0, 120771, '\P{^Bidi_Mirrored=-_No}', "");
    Error('\p{Bidi_M=:=N}');
    Error('\P{Bidi_M=:=N}');
    Expect(1, 120772, '\p{Bidi_M=:\AN\z:}', "");;
    Expect(0, 120771, '\p{Bidi_M=:\AN\z:}', "");;
    Expect(1, 120772, '\p{Bidi_M=n}', "");
    Expect(0, 120772, '\p{^Bidi_M=n}', "");
    Expect(0, 120772, '\P{Bidi_M=n}', "");
    Expect(1, 120772, '\P{^Bidi_M=n}', "");
    Expect(0, 120771, '\p{Bidi_M=n}', "");
    Expect(1, 120771, '\p{^Bidi_M=n}', "");
    Expect(1, 120771, '\P{Bidi_M=n}', "");
    Expect(0, 120771, '\P{^Bidi_M=n}', "");
    Expect(1, 120772, '\p{Bidi_M=:\An\z:}', "");;
    Expect(0, 120771, '\p{Bidi_M=:\An\z:}', "");;
    Expect(1, 120772, '\p{Bidi_M=-_N}', "");
    Expect(0, 120772, '\p{^Bidi_M=-_N}', "");
    Expect(0, 120772, '\P{Bidi_M=-_N}', "");
    Expect(1, 120772, '\P{^Bidi_M=-_N}', "");
    Expect(0, 120771, '\p{Bidi_M=-_N}', "");
    Expect(1, 120771, '\p{^Bidi_M=-_N}', "");
    Expect(1, 120771, '\P{Bidi_M=-_N}', "");
    Expect(0, 120771, '\P{^Bidi_M=-_N}', "");
    Error('\p{Is_Bidi_Mirrored=/a/	F}');
    Error('\P{Is_Bidi_Mirrored=/a/	F}');
    Expect(1, 120772, '\p{Is_Bidi_Mirrored:	f}', "");
    Expect(0, 120772, '\p{^Is_Bidi_Mirrored:	f}', "");
    Expect(0, 120772, '\P{Is_Bidi_Mirrored:	f}', "");
    Expect(1, 120772, '\P{^Is_Bidi_Mirrored:	f}', "");
    Expect(0, 120771, '\p{Is_Bidi_Mirrored:	f}', "");
    Expect(1, 120771, '\p{^Is_Bidi_Mirrored:	f}', "");
    Expect(1, 120771, '\P{Is_Bidi_Mirrored:	f}', "");
    Expect(0, 120771, '\P{^Is_Bidi_Mirrored:	f}', "");
    Expect(1, 120772, '\p{Is_Bidi_Mirrored= f}', "");
    Expect(0, 120772, '\p{^Is_Bidi_Mirrored= f}', "");
    Expect(0, 120772, '\P{Is_Bidi_Mirrored= f}', "");
    Expect(1, 120772, '\P{^Is_Bidi_Mirrored= f}', "");
    Expect(0, 120771, '\p{Is_Bidi_Mirrored= f}', "");
    Expect(1, 120771, '\p{^Is_Bidi_Mirrored= f}', "");
    Expect(1, 120771, '\P{Is_Bidi_Mirrored= f}', "");
    Expect(0, 120771, '\P{^Is_Bidi_Mirrored= f}', "");
    Error('\p{Is_Bidi_M=_False:=}');
    Error('\P{Is_Bidi_M=_False:=}');
    Expect(1, 120772, '\p{Is_Bidi_M=false}', "");
    Expect(0, 120772, '\p{^Is_Bidi_M=false}', "");
    Expect(0, 120772, '\P{Is_Bidi_M=false}', "");
    Expect(1, 120772, '\P{^Is_Bidi_M=false}', "");
    Expect(0, 120771, '\p{Is_Bidi_M=false}', "");
    Expect(1, 120771, '\p{^Is_Bidi_M=false}', "");
    Expect(1, 120771, '\P{Is_Bidi_M=false}', "");
    Expect(0, 120771, '\P{^Is_Bidi_M=false}', "");
    Expect(1, 120772, '\p{Is_Bidi_M=_False}', "");
    Expect(0, 120772, '\p{^Is_Bidi_M=_False}', "");
    Expect(0, 120772, '\P{Is_Bidi_M=_False}', "");
    Expect(1, 120772, '\P{^Is_Bidi_M=_False}', "");
    Expect(0, 120771, '\p{Is_Bidi_M=_False}', "");
    Expect(1, 120771, '\p{^Is_Bidi_M=_False}', "");
    Expect(1, 120771, '\P{Is_Bidi_M=_False}', "");
    Expect(0, 120771, '\P{^Is_Bidi_M=_False}', "");
    Error('\p{Bidi_Mirrored=/a/	Yes}');
    Error('\P{Bidi_Mirrored=/a/	Yes}');
    Expect(1, 120771, '\p{Bidi_Mirrored=:\AYes\z:}', "");;
    Expect(0, 120772, '\p{Bidi_Mirrored=:\AYes\z:}', "");;
    Expect(1, 120771, '\p{Bidi_Mirrored=yes}', "");
    Expect(0, 120771, '\p{^Bidi_Mirrored=yes}', "");
    Expect(0, 120771, '\P{Bidi_Mirrored=yes}', "");
    Expect(1, 120771, '\P{^Bidi_Mirrored=yes}', "");
    Expect(0, 120772, '\p{Bidi_Mirrored=yes}', "");
    Expect(1, 120772, '\p{^Bidi_Mirrored=yes}', "");
    Expect(1, 120772, '\P{Bidi_Mirrored=yes}', "");
    Expect(0, 120772, '\P{^Bidi_Mirrored=yes}', "");
    Expect(1, 120771, '\p{Bidi_Mirrored=:\Ayes\z:}', "");;
    Expect(0, 120772, '\p{Bidi_Mirrored=:\Ayes\z:}', "");;
    Expect(1, 120771, '\p{Bidi_Mirrored=_YES}', "");
    Expect(0, 120771, '\p{^Bidi_Mirrored=_YES}', "");
    Expect(0, 120771, '\P{Bidi_Mirrored=_YES}', "");
    Expect(1, 120771, '\P{^Bidi_Mirrored=_YES}', "");
    Expect(0, 120772, '\p{Bidi_Mirrored=_YES}', "");
    Expect(1, 120772, '\p{^Bidi_Mirrored=_YES}', "");
    Expect(1, 120772, '\P{Bidi_Mirrored=_YES}', "");
    Expect(0, 120772, '\P{^Bidi_Mirrored=_YES}', "");
    Error('\p{Bidi_M=-	Y/a/}');
    Error('\P{Bidi_M=-	Y/a/}');
    Expect(1, 120771, '\p{Bidi_M=:\AY\z:}', "");;
    Expect(0, 120772, '\p{Bidi_M=:\AY\z:}', "");;
    Expect(1, 120771, '\p{Bidi_M=y}', "");
    Expect(0, 120771, '\p{^Bidi_M=y}', "");
    Expect(0, 120771, '\P{Bidi_M=y}', "");
    Expect(1, 120771, '\P{^Bidi_M=y}', "");
    Expect(0, 120772, '\p{Bidi_M=y}', "");
    Expect(1, 120772, '\p{^Bidi_M=y}', "");
    Expect(1, 120772, '\P{Bidi_M=y}', "");
    Expect(0, 120772, '\P{^Bidi_M=y}', "");
    Expect(1, 120771, '\p{Bidi_M=:\Ay\z:}', "");;
    Expect(0, 120772, '\p{Bidi_M=:\Ay\z:}', "");;
    Expect(1, 120771, '\p{Bidi_M=_Y}', "");
    Expect(0, 120771, '\p{^Bidi_M=_Y}', "");
    Expect(0, 120771, '\P{Bidi_M=_Y}', "");
    Expect(1, 120771, '\P{^Bidi_M=_Y}', "");
    Expect(0, 120772, '\p{Bidi_M=_Y}', "");
    Expect(1, 120772, '\p{^Bidi_M=_Y}', "");
    Expect(1, 120772, '\P{Bidi_M=_Y}', "");
    Expect(0, 120772, '\P{^Bidi_M=_Y}', "");
    Error('\p{Is_Bidi_Mirrored:	/a/--T}');
    Error('\P{Is_Bidi_Mirrored:	/a/--T}');
    Expect(1, 120771, '\p{Is_Bidi_Mirrored=t}', "");
    Expect(0, 120771, '\p{^Is_Bidi_Mirrored=t}', "");
    Expect(0, 120771, '\P{Is_Bidi_Mirrored=t}', "");
    Expect(1, 120771, '\P{^Is_Bidi_Mirrored=t}', "");
    Expect(0, 120772, '\p{Is_Bidi_Mirrored=t}', "");
    Expect(1, 120772, '\p{^Is_Bidi_Mirrored=t}', "");
    Expect(1, 120772, '\P{Is_Bidi_Mirrored=t}', "");
    Expect(0, 120772, '\P{^Is_Bidi_Mirrored=t}', "");
    Expect(1, 120771, '\p{Is_Bidi_Mirrored= 	T}', "");
    Expect(0, 120771, '\p{^Is_Bidi_Mirrored= 	T}', "");
    Expect(0, 120771, '\P{Is_Bidi_Mirrored= 	T}', "");
    Expect(1, 120771, '\P{^Is_Bidi_Mirrored= 	T}', "");
    Expect(0, 120772, '\p{Is_Bidi_Mirrored= 	T}', "");
    Expect(1, 120772, '\p{^Is_Bidi_Mirrored= 	T}', "");
    Expect(1, 120772, '\P{Is_Bidi_Mirrored= 	T}', "");
    Expect(0, 120772, '\P{^Is_Bidi_Mirrored= 	T}', "");
    Error('\p{Is_Bidi_M=	:=True}');
    Error('\P{Is_Bidi_M=	:=True}');
    Expect(1, 120771, '\p{Is_Bidi_M=true}', "");
    Expect(0, 120771, '\p{^Is_Bidi_M=true}', "");
    Expect(0, 120771, '\P{Is_Bidi_M=true}', "");
    Expect(1, 120771, '\P{^Is_Bidi_M=true}', "");
    Expect(0, 120772, '\p{Is_Bidi_M=true}', "");
    Expect(1, 120772, '\p{^Is_Bidi_M=true}', "");
    Expect(1, 120772, '\P{Is_Bidi_M=true}', "");
    Expect(0, 120772, '\P{^Is_Bidi_M=true}', "");
    Expect(1, 120771, '\p{Is_Bidi_M=-True}', "");
    Expect(0, 120771, '\p{^Is_Bidi_M=-True}', "");
    Expect(0, 120771, '\P{Is_Bidi_M=-True}', "");
    Expect(1, 120771, '\P{^Is_Bidi_M=-True}', "");
    Expect(0, 120772, '\p{Is_Bidi_M=-True}', "");
    Expect(1, 120772, '\p{^Is_Bidi_M=-True}', "");
    Expect(1, 120772, '\P{Is_Bidi_M=-True}', "");
    Expect(0, 120772, '\P{^Is_Bidi_M=-True}', "");
    Error('\p{block}');
    Error('\P{block}');
    Error('\p{blk}');
    Error('\P{blk}');
    Error('\p{Block=:=-_Adlam}');
    Error('\P{Block=:=-_Adlam}');
    Expect(1, 125279, '\p{Block=:\AAdlam\z:}', "");;
    Expect(0, 125280, '\p{Block=:\AAdlam\z:}', "");;
    Expect(1, 125279, '\p{Block=adlam}', "");
    Expect(0, 125279, '\p{^Block=adlam}', "");
    Expect(0, 125279, '\P{Block=adlam}', "");
    Expect(1, 125279, '\P{^Block=adlam}', "");
    Expect(0, 125280, '\p{Block=adlam}', "");
    Expect(1, 125280, '\p{^Block=adlam}', "");
    Expect(1, 125280, '\P{Block=adlam}', "");
    Expect(0, 125280, '\P{^Block=adlam}', "");
    Expect(1, 125279, '\p{Block=:\Aadlam\z:}', "");;
    Expect(0, 125280, '\p{Block=:\Aadlam\z:}', "");;
    Expect(1, 125279, '\p{Block=	-Adlam}', "");
    Expect(0, 125279, '\p{^Block=	-Adlam}', "");
    Expect(0, 125279, '\P{Block=	-Adlam}', "");
    Expect(1, 125279, '\P{^Block=	-Adlam}', "");
    Expect(0, 125280, '\p{Block=	-Adlam}', "");
    Expect(1, 125280, '\p{^Block=	-Adlam}', "");
    Expect(1, 125280, '\P{Block=	-Adlam}', "");
    Expect(0, 125280, '\P{^Block=	-Adlam}', "");
    Error('\p{Blk=_/a/Adlam}');
    Error('\P{Blk=_/a/Adlam}');
    Expect(1, 125279, '\p{Blk=:\AAdlam\z:}', "");;
    Expect(0, 125280, '\p{Blk=:\AAdlam\z:}', "");;
    Expect(1, 125279, '\p{Blk=adlam}', "");
    Expect(0, 125279, '\p{^Blk=adlam}', "");
    Expect(0, 125279, '\P{Blk=adlam}', "");
    Expect(1, 125279, '\P{^Blk=adlam}', "");
    Expect(0, 125280, '\p{Blk=adlam}', "");
    Expect(1, 125280, '\p{^Blk=adlam}', "");
    Expect(1, 125280, '\P{Blk=adlam}', "");
    Expect(0, 125280, '\P{^Blk=adlam}', "");
    Expect(1, 125279, '\p{Blk=:\Aadlam\z:}', "");;
    Expect(0, 125280, '\p{Blk=:\Aadlam\z:}', "");;
    Expect(1, 125279, '\p{Blk:   --Adlam}', "");
    Expect(0, 125279, '\p{^Blk:   --Adlam}', "");
    Expect(0, 125279, '\P{Blk:   --Adlam}', "");
    Expect(1, 125279, '\P{^Blk:   --Adlam}', "");
    Expect(0, 125280, '\p{Blk:   --Adlam}', "");
    Expect(1, 125280, '\p{^Blk:   --Adlam}', "");
    Expect(1, 125280, '\P{Blk:   --Adlam}', "");
    Expect(0, 125280, '\P{^Blk:   --Adlam}', "");
    Error('\p{Is_Block=/a/	-Adlam}');
    Error('\P{Is_Block=/a/	-Adlam}');
    Expect(1, 125279, '\p{Is_Block=adlam}', "");
    Expect(0, 125279, '\p{^Is_Block=adlam}', "");
    Expect(0, 125279, '\P{Is_Block=adlam}', "");
    Expect(1, 125279, '\P{^Is_Block=adlam}', "");
    Expect(0, 125280, '\p{Is_Block=adlam}', "");
    Expect(1, 125280, '\p{^Is_Block=adlam}', "");
    Expect(1, 125280, '\P{Is_Block=adlam}', "");
    Expect(0, 125280, '\P{^Is_Block=adlam}', "");
    Expect(1, 125279, '\p{Is_Block=_	adlam}', "");
    Expect(0, 125279, '\p{^Is_Block=_	adlam}', "");
    Expect(0, 125279, '\P{Is_Block=_	adlam}', "");
    Expect(1, 125279, '\P{^Is_Block=_	adlam}', "");
    Expect(0, 125280, '\p{Is_Block=_	adlam}', "");
    Expect(1, 125280, '\p{^Is_Block=_	adlam}', "");
    Expect(1, 125280, '\P{Is_Block=_	adlam}', "");
    Expect(0, 125280, '\P{^Is_Block=_	adlam}', "");
    Error('\p{Is_Blk=/a/Adlam}');
    Error('\P{Is_Blk=/a/Adlam}');
    Expect(1, 125279, '\p{Is_Blk=adlam}', "");
    Expect(0, 125279, '\p{^Is_Blk=adlam}', "");
    Expect(0, 125279, '\P{Is_Blk=adlam}', "");
    Expect(1, 125279, '\P{^Is_Blk=adlam}', "");
    Expect(0, 125280, '\p{Is_Blk=adlam}', "");
    Expect(1, 125280, '\p{^Is_Blk=adlam}', "");
    Expect(1, 125280, '\P{Is_Blk=adlam}', "");
    Expect(0, 125280, '\P{^Is_Blk=adlam}', "");
    Expect(1, 125279, '\p{Is_Blk:	 -Adlam}', "");
    Expect(0, 125279, '\p{^Is_Blk:	 -Adlam}', "");
    Expect(0, 125279, '\P{Is_Blk:	 -Adlam}', "");
    Expect(1, 125279, '\P{^Is_Blk:	 -Adlam}', "");
    Expect(0, 125280, '\p{Is_Blk:	 -Adlam}', "");
    Expect(1, 125280, '\p{^Is_Blk:	 -Adlam}', "");
    Expect(1, 125280, '\P{Is_Blk:	 -Adlam}', "");
    Expect(0, 125280, '\P{^Is_Blk:	 -Adlam}', "");
    Error('\p{Block:   -/a/aegean_numbers}');
    Error('\P{Block:   -/a/aegean_numbers}');
    Expect(1, 65855, '\p{Block=:\AAegean_Numbers\z:}', "");;
    Expect(0, 65856, '\p{Block=:\AAegean_Numbers\z:}', "");;
    Expect(1, 65855, '\p{Block=aegeannumbers}', "");
    Expect(0, 65855, '\p{^Block=aegeannumbers}', "");
    Expect(0, 65855, '\P{Block=aegeannumbers}', "");
    Expect(1, 65855, '\P{^Block=aegeannumbers}', "");
    Expect(0, 65856, '\p{Block=aegeannumbers}', "");
    Expect(1, 65856, '\p{^Block=aegeannumbers}', "");
    Expect(1, 65856, '\P{Block=aegeannumbers}', "");
    Expect(0, 65856, '\P{^Block=aegeannumbers}', "");
    Expect(1, 65855, '\p{Block=:\Aaegeannumbers\z:}', "");;
    Expect(0, 65856, '\p{Block=:\Aaegeannumbers\z:}', "");;
    Expect(1, 65855, '\p{Block=_	Aegean_Numbers}', "");
    Expect(0, 65855, '\p{^Block=_	Aegean_Numbers}', "");
    Expect(0, 65855, '\P{Block=_	Aegean_Numbers}', "");
    Expect(1, 65855, '\P{^Block=_	Aegean_Numbers}', "");
    Expect(0, 65856, '\p{Block=_	Aegean_Numbers}', "");
    Expect(1, 65856, '\p{^Block=_	Aegean_Numbers}', "");
    Expect(1, 65856, '\P{Block=_	Aegean_Numbers}', "");
    Expect(0, 65856, '\P{^Block=_	Aegean_Numbers}', "");
    Error('\p{Blk=/a/aegean_Numbers}');
    Error('\P{Blk=/a/aegean_Numbers}');
    Expect(1, 65855, '\p{Blk=:\AAegean_Numbers\z:}', "");;
    Expect(0, 65856, '\p{Blk=:\AAegean_Numbers\z:}', "");;
    Expect(1, 65855, '\p{Blk=aegeannumbers}', "");
    Expect(0, 65855, '\p{^Blk=aegeannumbers}', "");
    Expect(0, 65855, '\P{Blk=aegeannumbers}', "");
    Expect(1, 65855, '\P{^Blk=aegeannumbers}', "");
    Expect(0, 65856, '\p{Blk=aegeannumbers}', "");
    Expect(1, 65856, '\p{^Blk=aegeannumbers}', "");
    Expect(1, 65856, '\P{Blk=aegeannumbers}', "");
    Expect(0, 65856, '\P{^Blk=aegeannumbers}', "");
    Expect(1, 65855, '\p{Blk=:\Aaegeannumbers\z:}', "");;
    Expect(0, 65856, '\p{Blk=:\Aaegeannumbers\z:}', "");;
    Expect(1, 65855, '\p{Blk=	Aegean_Numbers}', "");
    Expect(0, 65855, '\p{^Blk=	Aegean_Numbers}', "");
    Expect(0, 65855, '\P{Blk=	Aegean_Numbers}', "");
    Expect(1, 65855, '\P{^Blk=	Aegean_Numbers}', "");
    Expect(0, 65856, '\p{Blk=	Aegean_Numbers}', "");
    Expect(1, 65856, '\p{^Blk=	Aegean_Numbers}', "");
    Expect(1, 65856, '\P{Blk=	Aegean_Numbers}', "");
    Expect(0, 65856, '\P{^Blk=	Aegean_Numbers}', "");
    Error('\p{Is_Block=/a/__aegean_Numbers}');
    Error('\P{Is_Block=/a/__aegean_Numbers}');
    Expect(1, 65855, '\p{Is_Block=aegeannumbers}', "");
    Expect(0, 65855, '\p{^Is_Block=aegeannumbers}', "");
    Expect(0, 65855, '\P{Is_Block=aegeannumbers}', "");
    Expect(1, 65855, '\P{^Is_Block=aegeannumbers}', "");
    Expect(0, 65856, '\p{Is_Block=aegeannumbers}', "");
    Expect(1, 65856, '\p{^Is_Block=aegeannumbers}', "");
    Expect(1, 65856, '\P{Is_Block=aegeannumbers}', "");
    Expect(0, 65856, '\P{^Is_Block=aegeannumbers}', "");
    Expect(1, 65855, '\p{Is_Block=--AEGEAN_NUMBERS}', "");
    Expect(0, 65855, '\p{^Is_Block=--AEGEAN_NUMBERS}', "");
    Expect(0, 65855, '\P{Is_Block=--AEGEAN_NUMBERS}', "");
    Expect(1, 65855, '\P{^Is_Block=--AEGEAN_NUMBERS}', "");
    Expect(0, 65856, '\p{Is_Block=--AEGEAN_NUMBERS}', "");
    Expect(1, 65856, '\p{^Is_Block=--AEGEAN_NUMBERS}', "");
    Expect(1, 65856, '\P{Is_Block=--AEGEAN_NUMBERS}', "");
    Expect(0, 65856, '\P{^Is_Block=--AEGEAN_NUMBERS}', "");
    Error('\p{Is_Blk=:=	-Aegean_NUMBERS}');
    Error('\P{Is_Blk=:=	-Aegean_NUMBERS}');
    Expect(1, 65855, '\p{Is_Blk=aegeannumbers}', "");
    Expect(0, 65855, '\p{^Is_Blk=aegeannumbers}', "");
    Expect(0, 65855, '\P{Is_Blk=aegeannumbers}', "");
    Expect(1, 65855, '\P{^Is_Blk=aegeannumbers}', "");
    Expect(0, 65856, '\p{Is_Blk=aegeannumbers}', "");
    Expect(1, 65856, '\p{^Is_Blk=aegeannumbers}', "");
    Expect(1, 65856, '\P{Is_Blk=aegeannumbers}', "");
    Expect(0, 65856, '\P{^Is_Blk=aegeannumbers}', "");
    Expect(1, 65855, '\p{Is_Blk=	Aegean_numbers}', "");
    Expect(0, 65855, '\p{^Is_Blk=	Aegean_numbers}', "");
    Expect(0, 65855, '\P{Is_Blk=	Aegean_numbers}', "");
    Expect(1, 65855, '\P{^Is_Blk=	Aegean_numbers}', "");
    Expect(0, 65856, '\p{Is_Blk=	Aegean_numbers}', "");
    Expect(1, 65856, '\p{^Is_Blk=	Aegean_numbers}', "");
    Expect(1, 65856, '\P{Is_Blk=	Aegean_numbers}', "");
    Expect(0, 65856, '\P{^Is_Blk=	Aegean_numbers}', "");
    Error('\p{Block=		Ahom:=}');
    Error('\P{Block=		Ahom:=}');
    Expect(1, 71503, '\p{Block=:\AAhom\z:}', "");;
    Expect(0, 71504, '\p{Block=:\AAhom\z:}', "");;
    Expect(1, 71503, '\p{Block=ahom}', "");
    Expect(0, 71503, '\p{^Block=ahom}', "");
    Expect(0, 71503, '\P{Block=ahom}', "");
    Expect(1, 71503, '\P{^Block=ahom}', "");
    Expect(0, 71504, '\p{Block=ahom}', "");
    Expect(1, 71504, '\p{^Block=ahom}', "");
    Expect(1, 71504, '\P{Block=ahom}', "");
    Expect(0, 71504, '\P{^Block=ahom}', "");
    Expect(1, 71503, '\p{Block=:\Aahom\z:}', "");;
    Expect(0, 71504, '\p{Block=:\Aahom\z:}', "");;
    Expect(1, 71503, '\p{Block=_-AHOM}', "");
    Expect(0, 71503, '\p{^Block=_-AHOM}', "");
    Expect(0, 71503, '\P{Block=_-AHOM}', "");
    Expect(1, 71503, '\P{^Block=_-AHOM}', "");
    Expect(0, 71504, '\p{Block=_-AHOM}', "");
    Expect(1, 71504, '\p{^Block=_-AHOM}', "");
    Expect(1, 71504, '\P{Block=_-AHOM}', "");
    Expect(0, 71504, '\P{^Block=_-AHOM}', "");
    Error('\p{Blk=/a/	-Ahom}');
    Error('\P{Blk=/a/	-Ahom}');
    Expect(1, 71503, '\p{Blk=:\AAhom\z:}', "");;
    Expect(0, 71504, '\p{Blk=:\AAhom\z:}', "");;
    Expect(1, 71503, '\p{Blk=ahom}', "");
    Expect(0, 71503, '\p{^Blk=ahom}', "");
    Expect(0, 71503, '\P{Blk=ahom}', "");
    Expect(1, 71503, '\P{^Blk=ahom}', "");
    Expect(0, 71504, '\p{Blk=ahom}', "");
    Expect(1, 71504, '\p{^Blk=ahom}', "");
    Expect(1, 71504, '\P{Blk=ahom}', "");
    Expect(0, 71504, '\P{^Blk=ahom}', "");
    Expect(1, 71503, '\p{Blk=:\Aahom\z:}', "");;
    Expect(0, 71504, '\p{Blk=:\Aahom\z:}', "");;
    Expect(1, 71503, '\p{Blk=_ ahom}', "");
    Expect(0, 71503, '\p{^Blk=_ ahom}', "");
    Expect(0, 71503, '\P{Blk=_ ahom}', "");
    Expect(1, 71503, '\P{^Blk=_ ahom}', "");
    Expect(0, 71504, '\p{Blk=_ ahom}', "");
    Expect(1, 71504, '\p{^Blk=_ ahom}', "");
    Expect(1, 71504, '\P{Blk=_ ahom}', "");
    Expect(0, 71504, '\P{^Blk=_ ahom}', "");
    Error('\p{Is_Block=:= _Ahom}');
    Error('\P{Is_Block=:= _Ahom}');
    Expect(1, 71503, '\p{Is_Block=ahom}', "");
    Expect(0, 71503, '\p{^Is_Block=ahom}', "");
    Expect(0, 71503, '\P{Is_Block=ahom}', "");
    Expect(1, 71503, '\P{^Is_Block=ahom}', "");
    Expect(0, 71504, '\p{Is_Block=ahom}', "");
    Expect(1, 71504, '\p{^Is_Block=ahom}', "");
    Expect(1, 71504, '\P{Is_Block=ahom}', "");
    Expect(0, 71504, '\P{^Is_Block=ahom}', "");
    Expect(1, 71503, '\p{Is_Block:   --Ahom}', "");
    Expect(0, 71503, '\p{^Is_Block:   --Ahom}', "");
    Expect(0, 71503, '\P{Is_Block:   --Ahom}', "");
    Expect(1, 71503, '\P{^Is_Block:   --Ahom}', "");
    Expect(0, 71504, '\p{Is_Block:   --Ahom}', "");
    Expect(1, 71504, '\p{^Is_Block:   --Ahom}', "");
    Expect(1, 71504, '\P{Is_Block:   --Ahom}', "");
    Expect(0, 71504, '\P{^Is_Block:   --Ahom}', "");
    Error('\p{Is_Blk= /a/AHOM}');
    Error('\P{Is_Blk= /a/AHOM}');
    Expect(1, 71503, '\p{Is_Blk=ahom}', "");
    Expect(0, 71503, '\p{^Is_Blk=ahom}', "");
    Expect(0, 71503, '\P{Is_Blk=ahom}', "");
    Expect(1, 71503, '\P{^Is_Blk=ahom}', "");
    Expect(0, 71504, '\p{Is_Blk=ahom}', "");
    Expect(1, 71504, '\p{^Is_Blk=ahom}', "");
    Expect(1, 71504, '\P{Is_Blk=ahom}', "");
    Expect(0, 71504, '\P{^Is_Blk=ahom}', "");
    Expect(1, 71503, '\p{Is_Blk= Ahom}', "");
    Expect(0, 71503, '\p{^Is_Blk= Ahom}', "");
    Expect(0, 71503, '\P{Is_Blk= Ahom}', "");
    Expect(1, 71503, '\P{^Is_Blk= Ahom}', "");
    Expect(0, 71504, '\p{Is_Blk= Ahom}', "");
    Expect(1, 71504, '\p{^Is_Blk= Ahom}', "");
    Expect(1, 71504, '\P{Is_Blk= Ahom}', "");
    Expect(0, 71504, '\P{^Is_Blk= Ahom}', "");
    Error('\p{Block=/a/	alchemical_SYMBOLS}');
    Error('\P{Block=/a/	alchemical_SYMBOLS}');
    Expect(1, 128895, '\p{Block=:\AAlchemical_Symbols\z:}', "");;
    Expect(0, 128896, '\p{Block=:\AAlchemical_Symbols\z:}', "");;
    Expect(1, 128895, '\p{Block=alchemicalsymbols}', "");
    Expect(0, 128895, '\p{^Block=alchemicalsymbols}', "");
    Expect(0, 128895, '\P{Block=alchemicalsymbols}', "");
    Expect(1, 128895, '\P{^Block=alchemicalsymbols}', "");
    Expect(0, 128896, '\p{Block=alchemicalsymbols}', "");
    Expect(1, 128896, '\p{^Block=alchemicalsymbols}', "");
    Expect(1, 128896, '\P{Block=alchemicalsymbols}', "");
    Expect(0, 128896, '\P{^Block=alchemicalsymbols}', "");
    Expect(1, 128895, '\p{Block=:\Aalchemicalsymbols\z:}', "");;
    Expect(0, 128896, '\p{Block=:\Aalchemicalsymbols\z:}', "");;
    Expect(1, 128895, '\p{Block=_ ALCHEMICAL_Symbols}', "");
    Expect(0, 128895, '\p{^Block=_ ALCHEMICAL_Symbols}', "");
    Expect(0, 128895, '\P{Block=_ ALCHEMICAL_Symbols}', "");
    Expect(1, 128895, '\P{^Block=_ ALCHEMICAL_Symbols}', "");
    Expect(0, 128896, '\p{Block=_ ALCHEMICAL_Symbols}', "");
    Expect(1, 128896, '\p{^Block=_ ALCHEMICAL_Symbols}', "");
    Expect(1, 128896, '\P{Block=_ ALCHEMICAL_Symbols}', "");
    Expect(0, 128896, '\P{^Block=_ ALCHEMICAL_Symbols}', "");
    Error('\p{Blk::=alchemical}');
    Error('\P{Blk::=alchemical}');
    Expect(1, 128895, '\p{Blk=:\AAlchemical\z:}', "");;
    Expect(0, 128896, '\p{Blk=:\AAlchemical\z:}', "");;
    Expect(1, 128895, '\p{Blk=alchemical}', "");
    Expect(0, 128895, '\p{^Blk=alchemical}', "");
    Expect(0, 128895, '\P{Blk=alchemical}', "");
    Expect(1, 128895, '\P{^Blk=alchemical}', "");
    Expect(0, 128896, '\p{Blk=alchemical}', "");
    Expect(1, 128896, '\p{^Blk=alchemical}', "");
    Expect(1, 128896, '\P{Blk=alchemical}', "");
    Expect(0, 128896, '\P{^Blk=alchemical}', "");
    Expect(1, 128895, '\p{Blk=:\Aalchemical\z:}', "");;
    Expect(0, 128896, '\p{Blk=:\Aalchemical\z:}', "");;
    Expect(1, 128895, '\p{Blk=-Alchemical}', "");
    Expect(0, 128895, '\p{^Blk=-Alchemical}', "");
    Expect(0, 128895, '\P{Blk=-Alchemical}', "");
    Expect(1, 128895, '\P{^Blk=-Alchemical}', "");
    Expect(0, 128896, '\p{Blk=-Alchemical}', "");
    Expect(1, 128896, '\p{^Blk=-Alchemical}', "");
    Expect(1, 128896, '\P{Blk=-Alchemical}', "");
    Expect(0, 128896, '\P{^Blk=-Alchemical}', "");
    Error('\p{Is_Block=:=	_alchemical_SYMBOLS}');
    Error('\P{Is_Block=:=	_alchemical_SYMBOLS}');
    Expect(1, 128895, '\p{Is_Block=alchemicalsymbols}', "");
    Expect(0, 128895, '\p{^Is_Block=alchemicalsymbols}', "");
    Expect(0, 128895, '\P{Is_Block=alchemicalsymbols}', "");
    Expect(1, 128895, '\P{^Is_Block=alchemicalsymbols}', "");
    Expect(0, 128896, '\p{Is_Block=alchemicalsymbols}', "");
    Expect(1, 128896, '\p{^Is_Block=alchemicalsymbols}', "");
    Expect(1, 128896, '\P{Is_Block=alchemicalsymbols}', "");
    Expect(0, 128896, '\P{^Is_Block=alchemicalsymbols}', "");
    Expect(1, 128895, '\p{Is_Block= Alchemical_SYMBOLS}', "");
    Expect(0, 128895, '\p{^Is_Block= Alchemical_SYMBOLS}', "");
    Expect(0, 128895, '\P{Is_Block= Alchemical_SYMBOLS}', "");
    Expect(1, 128895, '\P{^Is_Block= Alchemical_SYMBOLS}', "");
    Expect(0, 128896, '\p{Is_Block= Alchemical_SYMBOLS}', "");
    Expect(1, 128896, '\p{^Is_Block= Alchemical_SYMBOLS}', "");
    Expect(1, 128896, '\P{Is_Block= Alchemical_SYMBOLS}', "");
    Expect(0, 128896, '\P{^Is_Block= Alchemical_SYMBOLS}', "");
    Error('\p{Is_Blk=- alchemical:=}');
    Error('\P{Is_Blk=- alchemical:=}');
    Expect(1, 128895, '\p{Is_Blk=alchemical}', "");
    Expect(0, 128895, '\p{^Is_Blk=alchemical}', "");
    Expect(0, 128895, '\P{Is_Blk=alchemical}', "");
    Expect(1, 128895, '\P{^Is_Blk=alchemical}', "");
    Expect(0, 128896, '\p{Is_Blk=alchemical}', "");
    Expect(1, 128896, '\p{^Is_Blk=alchemical}', "");
    Expect(1, 128896, '\P{Is_Blk=alchemical}', "");
    Expect(0, 128896, '\P{^Is_Blk=alchemical}', "");
    Expect(1, 128895, '\p{Is_Blk=	-Alchemical}', "");
    Expect(0, 128895, '\p{^Is_Blk=	-Alchemical}', "");
    Expect(0, 128895, '\P{Is_Blk=	-Alchemical}', "");
    Expect(1, 128895, '\P{^Is_Blk=	-Alchemical}', "");
    Expect(0, 128896, '\p{Is_Blk=	-Alchemical}', "");
    Expect(1, 128896, '\p{^Is_Blk=	-Alchemical}', "");
    Expect(1, 128896, '\P{Is_Blk=	-Alchemical}', "");
    Expect(0, 128896, '\P{^Is_Blk=	-Alchemical}', "");
    Error('\p{Block=	/a/Alphabetic_Presentation_Forms}');
    Error('\P{Block=	/a/Alphabetic_Presentation_Forms}');
    Expect(1, 64335, '\p{Block=:\AAlphabetic_Presentation_Forms\z:}', "");;
    Expect(0, 64336, '\p{Block=:\AAlphabetic_Presentation_Forms\z:}', "");;
    Expect(1, 64335, '\p{Block=alphabeticpresentationforms}', "");
    Expect(0, 64335, '\p{^Block=alphabeticpresentationforms}', "");
    Expect(0, 64335, '\P{Block=alphabeticpresentationforms}', "");
    Expect(1, 64335, '\P{^Block=alphabeticpresentationforms}', "");
    Expect(0, 64336, '\p{Block=alphabeticpresentationforms}', "");
    Expect(1, 64336, '\p{^Block=alphabeticpresentationforms}', "");
    Expect(1, 64336, '\P{Block=alphabeticpresentationforms}', "");
    Expect(0, 64336, '\P{^Block=alphabeticpresentationforms}', "");
    Expect(1, 64335, '\p{Block=:\Aalphabeticpresentationforms\z:}', "");;
    Expect(0, 64336, '\p{Block=:\Aalphabeticpresentationforms\z:}', "");;
    Expect(1, 64335, '\p{Block=	 Alphabetic_Presentation_Forms}', "");
    Expect(0, 64335, '\p{^Block=	 Alphabetic_Presentation_Forms}', "");
    Expect(0, 64335, '\P{Block=	 Alphabetic_Presentation_Forms}', "");
    Expect(1, 64335, '\P{^Block=	 Alphabetic_Presentation_Forms}', "");
    Expect(0, 64336, '\p{Block=	 Alphabetic_Presentation_Forms}', "");
    Expect(1, 64336, '\p{^Block=	 Alphabetic_Presentation_Forms}', "");
    Expect(1, 64336, '\P{Block=	 Alphabetic_Presentation_Forms}', "");
    Expect(0, 64336, '\P{^Block=	 Alphabetic_Presentation_Forms}', "");
    Error('\p{Blk=-Alphabetic_PF/a/}');
    Error('\P{Blk=-Alphabetic_PF/a/}');
    Expect(1, 64335, '\p{Blk=:\AAlphabetic_PF\z:}', "");;
    Expect(0, 64336, '\p{Blk=:\AAlphabetic_PF\z:}', "");;
    Expect(1, 64335, '\p{Blk=alphabeticpf}', "");
    Expect(0, 64335, '\p{^Blk=alphabeticpf}', "");
    Expect(0, 64335, '\P{Blk=alphabeticpf}', "");
    Expect(1, 64335, '\P{^Blk=alphabeticpf}', "");
    Expect(0, 64336, '\p{Blk=alphabeticpf}', "");
    Expect(1, 64336, '\p{^Blk=alphabeticpf}', "");
    Expect(1, 64336, '\P{Blk=alphabeticpf}', "");
    Expect(0, 64336, '\P{^Blk=alphabeticpf}', "");
    Expect(1, 64335, '\p{Blk=:\Aalphabeticpf\z:}', "");;
    Expect(0, 64336, '\p{Blk=:\Aalphabeticpf\z:}', "");;
    Expect(1, 64335, '\p{Blk=__Alphabetic_PF}', "");
    Expect(0, 64335, '\p{^Blk=__Alphabetic_PF}', "");
    Expect(0, 64335, '\P{Blk=__Alphabetic_PF}', "");
    Expect(1, 64335, '\P{^Blk=__Alphabetic_PF}', "");
    Expect(0, 64336, '\p{Blk=__Alphabetic_PF}', "");
    Expect(1, 64336, '\p{^Blk=__Alphabetic_PF}', "");
    Expect(1, 64336, '\P{Blk=__Alphabetic_PF}', "");
    Expect(0, 64336, '\P{^Blk=__Alphabetic_PF}', "");
    Error('\p{Is_Block=:=  alphabetic_Presentation_Forms}');
    Error('\P{Is_Block=:=  alphabetic_Presentation_Forms}');
    Expect(1, 64335, '\p{Is_Block=alphabeticpresentationforms}', "");
    Expect(0, 64335, '\p{^Is_Block=alphabeticpresentationforms}', "");
    Expect(0, 64335, '\P{Is_Block=alphabeticpresentationforms}', "");
    Expect(1, 64335, '\P{^Is_Block=alphabeticpresentationforms}', "");
    Expect(0, 64336, '\p{Is_Block=alphabeticpresentationforms}', "");
    Expect(1, 64336, '\p{^Is_Block=alphabeticpresentationforms}', "");
    Expect(1, 64336, '\P{Is_Block=alphabeticpresentationforms}', "");
    Expect(0, 64336, '\P{^Is_Block=alphabeticpresentationforms}', "");
    Expect(1, 64335, '\p{Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Expect(0, 64335, '\p{^Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Expect(0, 64335, '\P{Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Expect(1, 64335, '\P{^Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Expect(0, 64336, '\p{Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Expect(1, 64336, '\p{^Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Expect(1, 64336, '\P{Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Expect(0, 64336, '\P{^Is_Block=	_ALPHABETIC_PRESENTATION_forms}', "");
    Error('\p{Is_Blk=_:=ALPHABETIC_PF}');
    Error('\P{Is_Blk=_:=ALPHABETIC_PF}');
    Expect(1, 64335, '\p{Is_Blk=alphabeticpf}', "");
    Expect(0, 64335, '\p{^Is_Blk=alphabeticpf}', "");
    Expect(0, 64335, '\P{Is_Blk=alphabeticpf}', "");
    Expect(1, 64335, '\P{^Is_Blk=alphabeticpf}', "");
    Expect(0, 64336, '\p{Is_Blk=alphabeticpf}', "");
    Expect(1, 64336, '\p{^Is_Blk=alphabeticpf}', "");
    Expect(1, 64336, '\P{Is_Blk=alphabeticpf}', "");
    Expect(0, 64336, '\P{^Is_Blk=alphabeticpf}', "");
    Expect(1, 64335, '\p{Is_Blk=_	Alphabetic_PF}', "");
    Expect(0, 64335, '\p{^Is_Blk=_	Alphabetic_PF}', "");
    Expect(0, 64335, '\P{Is_Blk=_	Alphabetic_PF}', "");
    Expect(1, 64335, '\P{^Is_Blk=_	Alphabetic_PF}', "");
    Expect(0, 64336, '\p{Is_Blk=_	Alphabetic_PF}', "");
    Expect(1, 64336, '\p{^Is_Blk=_	Alphabetic_PF}', "");
    Expect(1, 64336, '\P{Is_Blk=_	Alphabetic_PF}', "");
    Expect(0, 64336, '\P{^Is_Blk=_	Alphabetic_PF}', "");
    Error('\p{Block:/a/ -Anatolian_Hieroglyphs}');
    Error('\P{Block:/a/ -Anatolian_Hieroglyphs}');
    Expect(1, 83583, '\p{Block=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(0, 83584, '\p{Block=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(1, 83583, '\p{Block=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\p{^Block=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\P{Block=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\P{^Block=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\p{Block=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\p{^Block=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\P{Block=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\P{^Block=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\p{Block=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(0, 83584, '\p{Block=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(1, 83583, '\p{Block=_Anatolian_hieroglyphs}', "");
    Expect(0, 83583, '\p{^Block=_Anatolian_hieroglyphs}', "");
    Expect(0, 83583, '\P{Block=_Anatolian_hieroglyphs}', "");
    Expect(1, 83583, '\P{^Block=_Anatolian_hieroglyphs}', "");
    Expect(0, 83584, '\p{Block=_Anatolian_hieroglyphs}', "");
    Expect(1, 83584, '\p{^Block=_Anatolian_hieroglyphs}', "");
    Expect(1, 83584, '\P{Block=_Anatolian_hieroglyphs}', "");
    Expect(0, 83584, '\P{^Block=_Anatolian_hieroglyphs}', "");
    Error('\p{Blk:		/a/anatolian_Hieroglyphs}');
    Error('\P{Blk:		/a/anatolian_Hieroglyphs}');
    Expect(1, 83583, '\p{Blk=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(0, 83584, '\p{Blk=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(1, 83583, '\p{Blk=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\p{^Blk=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\P{Blk=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\P{^Blk=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\p{Blk=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\p{^Blk=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\P{Blk=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\P{^Blk=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\p{Blk=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(0, 83584, '\p{Blk=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(1, 83583, '\p{Blk=	_Anatolian_Hieroglyphs}', "");
    Expect(0, 83583, '\p{^Blk=	_Anatolian_Hieroglyphs}', "");
    Expect(0, 83583, '\P{Blk=	_Anatolian_Hieroglyphs}', "");
    Expect(1, 83583, '\P{^Blk=	_Anatolian_Hieroglyphs}', "");
    Expect(0, 83584, '\p{Blk=	_Anatolian_Hieroglyphs}', "");
    Expect(1, 83584, '\p{^Blk=	_Anatolian_Hieroglyphs}', "");
    Expect(1, 83584, '\P{Blk=	_Anatolian_Hieroglyphs}', "");
    Expect(0, 83584, '\P{^Blk=	_Anatolian_Hieroglyphs}', "");
    Error('\p{Is_Block=_:=Anatolian_Hieroglyphs}');
    Error('\P{Is_Block=_:=Anatolian_Hieroglyphs}');
    Expect(1, 83583, '\p{Is_Block=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\p{^Is_Block=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\P{Is_Block=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\P{^Is_Block=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\p{Is_Block=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\p{^Is_Block=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\P{Is_Block=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\P{^Is_Block=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\p{Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83583, '\p{^Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83583, '\P{Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83583, '\P{^Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83584, '\p{Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83584, '\p{^Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83584, '\P{Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83584, '\P{^Is_Block=	_ANATOLIAN_Hieroglyphs}', "");
    Error('\p{Is_Blk= /a/ANATOLIAN_Hieroglyphs}');
    Error('\P{Is_Blk= /a/ANATOLIAN_Hieroglyphs}');
    Expect(1, 83583, '\p{Is_Blk=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\p{^Is_Blk=anatolianhieroglyphs}', "");
    Expect(0, 83583, '\P{Is_Blk=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\P{^Is_Blk=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\p{Is_Blk=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\p{^Is_Blk=anatolianhieroglyphs}', "");
    Expect(1, 83584, '\P{Is_Blk=anatolianhieroglyphs}', "");
    Expect(0, 83584, '\P{^Is_Blk=anatolianhieroglyphs}', "");
    Expect(1, 83583, '\p{Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Expect(0, 83583, '\p{^Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Expect(0, 83583, '\P{Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Expect(1, 83583, '\P{^Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Expect(0, 83584, '\p{Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Expect(1, 83584, '\p{^Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Expect(1, 83584, '\P{Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Expect(0, 83584, '\P{^Is_Blk=-_ANATOLIAN_hieroglyphs}', "");
    Error('\p{Block= -Ancient_Greek_musical_Notation:=}');
    Error('\P{Block= -Ancient_Greek_musical_Notation:=}');
    Expect(1, 119375, '\p{Block=:\AAncient_Greek_Musical_Notation\z:}', "");;
    Expect(0, 119376, '\p{Block=:\AAncient_Greek_Musical_Notation\z:}', "");;
    Expect(1, 119375, '\p{Block=ancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\p{^Block=ancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\P{Block=ancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\P{^Block=ancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\p{Block=ancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\p{^Block=ancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\P{Block=ancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\P{^Block=ancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\p{Block=:\Aancientgreekmusicalnotation\z:}', "");;
    Expect(0, 119376, '\p{Block=:\Aancientgreekmusicalnotation\z:}', "");;
    Expect(1, 119375, '\p{Block=__ANCIENT_greek_musical_Notation}', "");
    Expect(0, 119375, '\p{^Block=__ANCIENT_greek_musical_Notation}', "");
    Expect(0, 119375, '\P{Block=__ANCIENT_greek_musical_Notation}', "");
    Expect(1, 119375, '\P{^Block=__ANCIENT_greek_musical_Notation}', "");
    Expect(0, 119376, '\p{Block=__ANCIENT_greek_musical_Notation}', "");
    Expect(1, 119376, '\p{^Block=__ANCIENT_greek_musical_Notation}', "");
    Expect(1, 119376, '\P{Block=__ANCIENT_greek_musical_Notation}', "");
    Expect(0, 119376, '\P{^Block=__ANCIENT_greek_musical_Notation}', "");
    Error('\p{Blk=/a/_-ancient_Greek_MUSIC}');
    Error('\P{Blk=/a/_-ancient_Greek_MUSIC}');
    Expect(1, 119375, '\p{Blk=:\AAncient_Greek_Music\z:}', "");;
    Expect(0, 119376, '\p{Blk=:\AAncient_Greek_Music\z:}', "");;
    Expect(1, 119375, '\p{Blk=ancientgreekmusic}', "");
    Expect(0, 119375, '\p{^Blk=ancientgreekmusic}', "");
    Expect(0, 119375, '\P{Blk=ancientgreekmusic}', "");
    Expect(1, 119375, '\P{^Blk=ancientgreekmusic}', "");
    Expect(0, 119376, '\p{Blk=ancientgreekmusic}', "");
    Expect(1, 119376, '\p{^Blk=ancientgreekmusic}', "");
    Expect(1, 119376, '\P{Blk=ancientgreekmusic}', "");
    Expect(0, 119376, '\P{^Blk=ancientgreekmusic}', "");
    Expect(1, 119375, '\p{Blk=:\Aancientgreekmusic\z:}', "");;
    Expect(0, 119376, '\p{Blk=:\Aancientgreekmusic\z:}', "");;
    Expect(1, 119375, '\p{Blk=	_Ancient_greek_Music}', "");
    Expect(0, 119375, '\p{^Blk=	_Ancient_greek_Music}', "");
    Expect(0, 119375, '\P{Blk=	_Ancient_greek_Music}', "");
    Expect(1, 119375, '\P{^Blk=	_Ancient_greek_Music}', "");
    Expect(0, 119376, '\p{Blk=	_Ancient_greek_Music}', "");
    Expect(1, 119376, '\p{^Blk=	_Ancient_greek_Music}', "");
    Expect(1, 119376, '\P{Blk=	_Ancient_greek_Music}', "");
    Expect(0, 119376, '\P{^Blk=	_Ancient_greek_Music}', "");
    Error('\p{Is_Block=/a/-ANCIENT_greek_Musical_Notation}');
    Error('\P{Is_Block=/a/-ANCIENT_greek_Musical_Notation}');
    Expect(1, 119375, '\p{Is_Block: ancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\p{^Is_Block: ancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\P{Is_Block: ancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\P{^Is_Block: ancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\p{Is_Block: ancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\p{^Is_Block: ancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\P{Is_Block: ancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\P{^Is_Block: ancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\p{Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119375, '\p{^Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119375, '\P{Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Expect(1, 119375, '\P{^Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119376, '\p{Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Expect(1, 119376, '\p{^Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Expect(1, 119376, '\P{Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119376, '\P{^Is_Block=_Ancient_Greek_Musical_NOTATION}', "");
    Error('\p{Is_Blk=__Ancient_Greek_MUSIC/a/}');
    Error('\P{Is_Blk=__Ancient_Greek_MUSIC/a/}');
    Expect(1, 119375, '\p{Is_Blk=ancientgreekmusic}', "");
    Expect(0, 119375, '\p{^Is_Blk=ancientgreekmusic}', "");
    Expect(0, 119375, '\P{Is_Blk=ancientgreekmusic}', "");
    Expect(1, 119375, '\P{^Is_Blk=ancientgreekmusic}', "");
    Expect(0, 119376, '\p{Is_Blk=ancientgreekmusic}', "");
    Expect(1, 119376, '\p{^Is_Blk=ancientgreekmusic}', "");
    Expect(1, 119376, '\P{Is_Blk=ancientgreekmusic}', "");
    Expect(0, 119376, '\P{^Is_Blk=ancientgreekmusic}', "");
    Expect(1, 119375, '\p{Is_Blk= ancient_Greek_Music}', "");
    Expect(0, 119375, '\p{^Is_Blk= ancient_Greek_Music}', "");
    Expect(0, 119375, '\P{Is_Blk= ancient_Greek_Music}', "");
    Expect(1, 119375, '\P{^Is_Blk= ancient_Greek_Music}', "");
    Expect(0, 119376, '\p{Is_Blk= ancient_Greek_Music}', "");
    Expect(1, 119376, '\p{^Is_Blk= ancient_Greek_Music}', "");
    Expect(1, 119376, '\P{Is_Blk= ancient_Greek_Music}', "");
    Expect(0, 119376, '\P{^Is_Blk= ancient_Greek_Music}', "");
    Error('\p{Block:   _ancient_Greek_Numbers:=}');
    Error('\P{Block:   _ancient_Greek_Numbers:=}');
    Expect(1, 65935, '\p{Block=:\AAncient_Greek_Numbers\z:}', "");;
    Expect(0, 65936, '\p{Block=:\AAncient_Greek_Numbers\z:}', "");;
    Expect(1, 65935, '\p{Block=ancientgreeknumbers}', "");
    Expect(0, 65935, '\p{^Block=ancientgreeknumbers}', "");
    Expect(0, 65935, '\P{Block=ancientgreeknumbers}', "");
    Expect(1, 65935, '\P{^Block=ancientgreeknumbers}', "");
    Expect(0, 65936, '\p{Block=ancientgreeknumbers}', "");
    Expect(1, 65936, '\p{^Block=ancientgreeknumbers}', "");
    Expect(1, 65936, '\P{Block=ancientgreeknumbers}', "");
    Expect(0, 65936, '\P{^Block=ancientgreeknumbers}', "");
    Expect(1, 65935, '\p{Block=:\Aancientgreeknumbers\z:}', "");;
    Expect(0, 65936, '\p{Block=:\Aancientgreeknumbers\z:}', "");;
    Expect(1, 65935, '\p{Block=	Ancient_greek_numbers}', "");
    Expect(0, 65935, '\p{^Block=	Ancient_greek_numbers}', "");
    Expect(0, 65935, '\P{Block=	Ancient_greek_numbers}', "");
    Expect(1, 65935, '\P{^Block=	Ancient_greek_numbers}', "");
    Expect(0, 65936, '\p{Block=	Ancient_greek_numbers}', "");
    Expect(1, 65936, '\p{^Block=	Ancient_greek_numbers}', "");
    Expect(1, 65936, '\P{Block=	Ancient_greek_numbers}', "");
    Expect(0, 65936, '\P{^Block=	Ancient_greek_numbers}', "");
    Error('\p{Blk=/a/ -ancient_Greek_Numbers}');
    Error('\P{Blk=/a/ -ancient_Greek_Numbers}');
    Expect(1, 65935, '\p{Blk=:\AAncient_Greek_Numbers\z:}', "");;
    Expect(0, 65936, '\p{Blk=:\AAncient_Greek_Numbers\z:}', "");;
    Expect(1, 65935, '\p{Blk: ancientgreeknumbers}', "");
    Expect(0, 65935, '\p{^Blk: ancientgreeknumbers}', "");
    Expect(0, 65935, '\P{Blk: ancientgreeknumbers}', "");
    Expect(1, 65935, '\P{^Blk: ancientgreeknumbers}', "");
    Expect(0, 65936, '\p{Blk: ancientgreeknumbers}', "");
    Expect(1, 65936, '\p{^Blk: ancientgreeknumbers}', "");
    Expect(1, 65936, '\P{Blk: ancientgreeknumbers}', "");
    Expect(0, 65936, '\P{^Blk: ancientgreeknumbers}', "");
    Expect(1, 65935, '\p{Blk=:\Aancientgreeknumbers\z:}', "");;
    Expect(0, 65936, '\p{Blk=:\Aancientgreeknumbers\z:}', "");;
    Expect(1, 65935, '\p{Blk= ANCIENT_GREEK_numbers}', "");
    Expect(0, 65935, '\p{^Blk= ANCIENT_GREEK_numbers}', "");
    Expect(0, 65935, '\P{Blk= ANCIENT_GREEK_numbers}', "");
    Expect(1, 65935, '\P{^Blk= ANCIENT_GREEK_numbers}', "");
    Expect(0, 65936, '\p{Blk= ANCIENT_GREEK_numbers}', "");
    Expect(1, 65936, '\p{^Blk= ANCIENT_GREEK_numbers}', "");
    Expect(1, 65936, '\P{Blk= ANCIENT_GREEK_numbers}', "");
    Expect(0, 65936, '\P{^Blk= ANCIENT_GREEK_numbers}', "");
    Error('\p{Is_Block= :=ancient_Greek_Numbers}');
    Error('\P{Is_Block= :=ancient_Greek_Numbers}');
    Expect(1, 65935, '\p{Is_Block=ancientgreeknumbers}', "");
    Expect(0, 65935, '\p{^Is_Block=ancientgreeknumbers}', "");
    Expect(0, 65935, '\P{Is_Block=ancientgreeknumbers}', "");
    Expect(1, 65935, '\P{^Is_Block=ancientgreeknumbers}', "");
    Expect(0, 65936, '\p{Is_Block=ancientgreeknumbers}', "");
    Expect(1, 65936, '\p{^Is_Block=ancientgreeknumbers}', "");
    Expect(1, 65936, '\P{Is_Block=ancientgreeknumbers}', "");
    Expect(0, 65936, '\P{^Is_Block=ancientgreeknumbers}', "");
    Expect(1, 65935, '\p{Is_Block=-_ancient_GREEK_numbers}', "");
    Expect(0, 65935, '\p{^Is_Block=-_ancient_GREEK_numbers}', "");
    Expect(0, 65935, '\P{Is_Block=-_ancient_GREEK_numbers}', "");
    Expect(1, 65935, '\P{^Is_Block=-_ancient_GREEK_numbers}', "");
    Expect(0, 65936, '\p{Is_Block=-_ancient_GREEK_numbers}', "");
    Expect(1, 65936, '\p{^Is_Block=-_ancient_GREEK_numbers}', "");
    Expect(1, 65936, '\P{Is_Block=-_ancient_GREEK_numbers}', "");
    Expect(0, 65936, '\P{^Is_Block=-_ancient_GREEK_numbers}', "");
    Error('\p{Is_Blk=	/a/Ancient_Greek_numbers}');
    Error('\P{Is_Blk=	/a/Ancient_Greek_numbers}');
    Expect(1, 65935, '\p{Is_Blk:   ancientgreeknumbers}', "");
    Expect(0, 65935, '\p{^Is_Blk:   ancientgreeknumbers}', "");
    Expect(0, 65935, '\P{Is_Blk:   ancientgreeknumbers}', "");
    Expect(1, 65935, '\P{^Is_Blk:   ancientgreeknumbers}', "");
    Expect(0, 65936, '\p{Is_Blk:   ancientgreeknumbers}', "");
    Expect(1, 65936, '\p{^Is_Blk:   ancientgreeknumbers}', "");
    Expect(1, 65936, '\P{Is_Blk:   ancientgreeknumbers}', "");
    Expect(0, 65936, '\P{^Is_Blk:   ancientgreeknumbers}', "");
    Expect(1, 65935, '\p{Is_Blk=_ancient_greek_Numbers}', "");
    Expect(0, 65935, '\p{^Is_Blk=_ancient_greek_Numbers}', "");
    Expect(0, 65935, '\P{Is_Blk=_ancient_greek_Numbers}', "");
    Expect(1, 65935, '\P{^Is_Blk=_ancient_greek_Numbers}', "");
    Expect(0, 65936, '\p{Is_Blk=_ancient_greek_Numbers}', "");
    Expect(1, 65936, '\p{^Is_Blk=_ancient_greek_Numbers}', "");
    Expect(1, 65936, '\P{Is_Blk=_ancient_greek_Numbers}', "");
    Expect(0, 65936, '\P{^Is_Blk=_ancient_greek_Numbers}', "");
    Error('\p{Block=:=-Ancient_symbols}');
    Error('\P{Block=:=-Ancient_symbols}');
    Expect(1, 65999, '\p{Block=:\AAncient_Symbols\z:}', "");;
    Expect(0, 66000, '\p{Block=:\AAncient_Symbols\z:}', "");;
    Expect(1, 65999, '\p{Block:	ancientsymbols}', "");
    Expect(0, 65999, '\p{^Block:	ancientsymbols}', "");
    Expect(0, 65999, '\P{Block:	ancientsymbols}', "");
    Expect(1, 65999, '\P{^Block:	ancientsymbols}', "");
    Expect(0, 66000, '\p{Block:	ancientsymbols}', "");
    Expect(1, 66000, '\p{^Block:	ancientsymbols}', "");
    Expect(1, 66000, '\P{Block:	ancientsymbols}', "");
    Expect(0, 66000, '\P{^Block:	ancientsymbols}', "");
    Expect(1, 65999, '\p{Block=:\Aancientsymbols\z:}', "");;
    Expect(0, 66000, '\p{Block=:\Aancientsymbols\z:}', "");;
    Expect(1, 65999, '\p{Block= Ancient_Symbols}', "");
    Expect(0, 65999, '\p{^Block= Ancient_Symbols}', "");
    Expect(0, 65999, '\P{Block= Ancient_Symbols}', "");
    Expect(1, 65999, '\P{^Block= Ancient_Symbols}', "");
    Expect(0, 66000, '\p{Block= Ancient_Symbols}', "");
    Expect(1, 66000, '\p{^Block= Ancient_Symbols}', "");
    Expect(1, 66000, '\P{Block= Ancient_Symbols}', "");
    Expect(0, 66000, '\P{^Block= Ancient_Symbols}', "");
    Error('\p{Blk=	:=ANCIENT_Symbols}');
    Error('\P{Blk=	:=ANCIENT_Symbols}');
    Expect(1, 65999, '\p{Blk=:\AAncient_Symbols\z:}', "");;
    Expect(0, 66000, '\p{Blk=:\AAncient_Symbols\z:}', "");;
    Expect(1, 65999, '\p{Blk=ancientsymbols}', "");
    Expect(0, 65999, '\p{^Blk=ancientsymbols}', "");
    Expect(0, 65999, '\P{Blk=ancientsymbols}', "");
    Expect(1, 65999, '\P{^Blk=ancientsymbols}', "");
    Expect(0, 66000, '\p{Blk=ancientsymbols}', "");
    Expect(1, 66000, '\p{^Blk=ancientsymbols}', "");
    Expect(1, 66000, '\P{Blk=ancientsymbols}', "");
    Expect(0, 66000, '\P{^Blk=ancientsymbols}', "");
    Expect(1, 65999, '\p{Blk=:\Aancientsymbols\z:}', "");;
    Expect(0, 66000, '\p{Blk=:\Aancientsymbols\z:}', "");;
    Expect(1, 65999, '\p{Blk=	_Ancient_Symbols}', "");
    Expect(0, 65999, '\p{^Blk=	_Ancient_Symbols}', "");
    Expect(0, 65999, '\P{Blk=	_Ancient_Symbols}', "");
    Expect(1, 65999, '\P{^Blk=	_Ancient_Symbols}', "");
    Expect(0, 66000, '\p{Blk=	_Ancient_Symbols}', "");
    Expect(1, 66000, '\p{^Blk=	_Ancient_Symbols}', "");
    Expect(1, 66000, '\P{Blk=	_Ancient_Symbols}', "");
    Expect(0, 66000, '\P{^Blk=	_Ancient_Symbols}', "");
    Error('\p{Is_Block= /a/Ancient_SYMBOLS}');
    Error('\P{Is_Block= /a/Ancient_SYMBOLS}');
    Expect(1, 65999, '\p{Is_Block=ancientsymbols}', "");
    Expect(0, 65999, '\p{^Is_Block=ancientsymbols}', "");
    Expect(0, 65999, '\P{Is_Block=ancientsymbols}', "");
    Expect(1, 65999, '\P{^Is_Block=ancientsymbols}', "");
    Expect(0, 66000, '\p{Is_Block=ancientsymbols}', "");
    Expect(1, 66000, '\p{^Is_Block=ancientsymbols}', "");
    Expect(1, 66000, '\P{Is_Block=ancientsymbols}', "");
    Expect(0, 66000, '\P{^Is_Block=ancientsymbols}', "");
    Expect(1, 65999, '\p{Is_Block=ancient_symbols}', "");
    Expect(0, 65999, '\p{^Is_Block=ancient_symbols}', "");
    Expect(0, 65999, '\P{Is_Block=ancient_symbols}', "");
    Expect(1, 65999, '\P{^Is_Block=ancient_symbols}', "");
    Expect(0, 66000, '\p{Is_Block=ancient_symbols}', "");
    Expect(1, 66000, '\p{^Is_Block=ancient_symbols}', "");
    Expect(1, 66000, '\P{Is_Block=ancient_symbols}', "");
    Expect(0, 66000, '\P{^Is_Block=ancient_symbols}', "");
    Error('\p{Is_Blk:   /a/	Ancient_Symbols}');
    Error('\P{Is_Blk:   /a/	Ancient_Symbols}');
    Expect(1, 65999, '\p{Is_Blk=ancientsymbols}', "");
    Expect(0, 65999, '\p{^Is_Blk=ancientsymbols}', "");
    Expect(0, 65999, '\P{Is_Blk=ancientsymbols}', "");
    Expect(1, 65999, '\P{^Is_Blk=ancientsymbols}', "");
    Expect(0, 66000, '\p{Is_Blk=ancientsymbols}', "");
    Expect(1, 66000, '\p{^Is_Blk=ancientsymbols}', "");
    Expect(1, 66000, '\P{Is_Blk=ancientsymbols}', "");
    Expect(0, 66000, '\P{^Is_Blk=ancientsymbols}', "");
    Expect(1, 65999, '\p{Is_Blk=	_Ancient_Symbols}', "");
    Expect(0, 65999, '\p{^Is_Blk=	_Ancient_Symbols}', "");
    Expect(0, 65999, '\P{Is_Blk=	_Ancient_Symbols}', "");
    Expect(1, 65999, '\P{^Is_Blk=	_Ancient_Symbols}', "");
    Expect(0, 66000, '\p{Is_Blk=	_Ancient_Symbols}', "");
    Expect(1, 66000, '\p{^Is_Blk=	_Ancient_Symbols}', "");
    Expect(1, 66000, '\P{Is_Blk=	_Ancient_Symbols}', "");
    Expect(0, 66000, '\P{^Is_Blk=	_Ancient_Symbols}', "");
    Error('\p{Block=/a/	-Arabic}');
    Error('\P{Block=/a/	-Arabic}');
    Expect(1, 1791, '\p{Block=:\AArabic\z:}', "");;
    Expect(0, 1792, '\p{Block=:\AArabic\z:}', "");;
    Expect(1, 1791, '\p{Block=arabic}', "");
    Expect(0, 1791, '\p{^Block=arabic}', "");
    Expect(0, 1791, '\P{Block=arabic}', "");
    Expect(1, 1791, '\P{^Block=arabic}', "");
    Expect(0, 1792, '\p{Block=arabic}', "");
    Expect(1, 1792, '\p{^Block=arabic}', "");
    Expect(1, 1792, '\P{Block=arabic}', "");
    Expect(0, 1792, '\P{^Block=arabic}', "");
    Expect(1, 1791, '\p{Block=:\Aarabic\z:}', "");;
    Expect(0, 1792, '\p{Block=:\Aarabic\z:}', "");;
    Expect(1, 1791, '\p{Block= 	Arabic}', "");
    Expect(0, 1791, '\p{^Block= 	Arabic}', "");
    Expect(0, 1791, '\P{Block= 	Arabic}', "");
    Expect(1, 1791, '\P{^Block= 	Arabic}', "");
    Expect(0, 1792, '\p{Block= 	Arabic}', "");
    Expect(1, 1792, '\p{^Block= 	Arabic}', "");
    Expect(1, 1792, '\P{Block= 	Arabic}', "");
    Expect(0, 1792, '\P{^Block= 	Arabic}', "");
    Error('\p{Blk:   /a/__arabic}');
    Error('\P{Blk:   /a/__arabic}');
    Expect(1, 1791, '\p{Blk=:\AArabic\z:}', "");;
    Expect(0, 1792, '\p{Blk=:\AArabic\z:}', "");;
    Expect(1, 1791, '\p{Blk=arabic}', "");
    Expect(0, 1791, '\p{^Blk=arabic}', "");
    Expect(0, 1791, '\P{Blk=arabic}', "");
    Expect(1, 1791, '\P{^Blk=arabic}', "");
    Expect(0, 1792, '\p{Blk=arabic}', "");
    Expect(1, 1792, '\p{^Blk=arabic}', "");
    Expect(1, 1792, '\P{Blk=arabic}', "");
    Expect(0, 1792, '\P{^Blk=arabic}', "");
    Expect(1, 1791, '\p{Blk=:\Aarabic\z:}', "");;
    Expect(0, 1792, '\p{Blk=:\Aarabic\z:}', "");;
    Expect(1, 1791, '\p{Blk=_ Arabic}', "");
    Expect(0, 1791, '\p{^Blk=_ Arabic}', "");
    Expect(0, 1791, '\P{Blk=_ Arabic}', "");
    Expect(1, 1791, '\P{^Blk=_ Arabic}', "");
    Expect(0, 1792, '\p{Blk=_ Arabic}', "");
    Expect(1, 1792, '\p{^Blk=_ Arabic}', "");
    Expect(1, 1792, '\P{Blk=_ Arabic}', "");
    Expect(0, 1792, '\P{^Blk=_ Arabic}', "");
    Error('\p{Is_Block=:=-_Arabic}');
    Error('\P{Is_Block=:=-_Arabic}');
    Expect(1, 1791, '\p{Is_Block=arabic}', "");
    Expect(0, 1791, '\p{^Is_Block=arabic}', "");
    Expect(0, 1791, '\P{Is_Block=arabic}', "");
    Expect(1, 1791, '\P{^Is_Block=arabic}', "");
    Expect(0, 1792, '\p{Is_Block=arabic}', "");
    Expect(1, 1792, '\p{^Is_Block=arabic}', "");
    Expect(1, 1792, '\P{Is_Block=arabic}', "");
    Expect(0, 1792, '\P{^Is_Block=arabic}', "");
    Expect(1, 1791, '\p{Is_Block=_arabic}', "");
    Expect(0, 1791, '\p{^Is_Block=_arabic}', "");
    Expect(0, 1791, '\P{Is_Block=_arabic}', "");
    Expect(1, 1791, '\P{^Is_Block=_arabic}', "");
    Expect(0, 1792, '\p{Is_Block=_arabic}', "");
    Expect(1, 1792, '\p{^Is_Block=_arabic}', "");
    Expect(1, 1792, '\P{Is_Block=_arabic}', "");
    Expect(0, 1792, '\P{^Is_Block=_arabic}', "");
    Error('\p{Is_Blk=_:=arabic}');
    Error('\P{Is_Blk=_:=arabic}');
    Expect(1, 1791, '\p{Is_Blk=arabic}', "");
    Expect(0, 1791, '\p{^Is_Blk=arabic}', "");
    Expect(0, 1791, '\P{Is_Blk=arabic}', "");
    Expect(1, 1791, '\P{^Is_Blk=arabic}', "");
    Expect(0, 1792, '\p{Is_Blk=arabic}', "");
    Expect(1, 1792, '\p{^Is_Blk=arabic}', "");
    Expect(1, 1792, '\P{Is_Blk=arabic}', "");
    Expect(0, 1792, '\P{^Is_Blk=arabic}', "");
    Expect(1, 1791, '\p{Is_Blk:	-	Arabic}', "");
    Expect(0, 1791, '\p{^Is_Blk:	-	Arabic}', "");
    Expect(0, 1791, '\P{Is_Blk:	-	Arabic}', "");
    Expect(1, 1791, '\P{^Is_Blk:	-	Arabic}', "");
    Expect(0, 1792, '\p{Is_Blk:	-	Arabic}', "");
    Expect(1, 1792, '\p{^Is_Blk:	-	Arabic}', "");
    Expect(1, 1792, '\P{Is_Blk:	-	Arabic}', "");
    Expect(0, 1792, '\P{^Is_Blk:	-	Arabic}', "");
    Error('\p{Block=_:=arabic_EXTENDED_A}');
    Error('\P{Block=_:=arabic_EXTENDED_A}');
    Expect(1, 2303, '\p{Block=:\AArabic_Extended_A\z:}', "");;
    Expect(0, 2304, '\p{Block=:\AArabic_Extended_A\z:}', "");;
    Expect(1, 2303, '\p{Block=arabicextendeda}', "");
    Expect(0, 2303, '\p{^Block=arabicextendeda}', "");
    Expect(0, 2303, '\P{Block=arabicextendeda}', "");
    Expect(1, 2303, '\P{^Block=arabicextendeda}', "");
    Expect(0, 2304, '\p{Block=arabicextendeda}', "");
    Expect(1, 2304, '\p{^Block=arabicextendeda}', "");
    Expect(1, 2304, '\P{Block=arabicextendeda}', "");
    Expect(0, 2304, '\P{^Block=arabicextendeda}', "");
    Expect(1, 2303, '\p{Block=:\Aarabicextendeda\z:}', "");;
    Expect(0, 2304, '\p{Block=:\Aarabicextendeda\z:}', "");;
    Expect(1, 2303, '\p{Block=-ARABIC_EXTENDED_A}', "");
    Expect(0, 2303, '\p{^Block=-ARABIC_EXTENDED_A}', "");
    Expect(0, 2303, '\P{Block=-ARABIC_EXTENDED_A}', "");
    Expect(1, 2303, '\P{^Block=-ARABIC_EXTENDED_A}', "");
    Expect(0, 2304, '\p{Block=-ARABIC_EXTENDED_A}', "");
    Expect(1, 2304, '\p{^Block=-ARABIC_EXTENDED_A}', "");
    Expect(1, 2304, '\P{Block=-ARABIC_EXTENDED_A}', "");
    Expect(0, 2304, '\P{^Block=-ARABIC_EXTENDED_A}', "");
    Error('\p{Blk:--Arabic_EXT_A/a/}');
    Error('\P{Blk:--Arabic_EXT_A/a/}');
    Expect(1, 2303, '\p{Blk=:\AArabic_Ext_A\z:}', "");;
    Expect(0, 2304, '\p{Blk=:\AArabic_Ext_A\z:}', "");;
    Expect(1, 2303, '\p{Blk=arabicexta}', "");
    Expect(0, 2303, '\p{^Blk=arabicexta}', "");
    Expect(0, 2303, '\P{Blk=arabicexta}', "");
    Expect(1, 2303, '\P{^Blk=arabicexta}', "");
    Expect(0, 2304, '\p{Blk=arabicexta}', "");
    Expect(1, 2304, '\p{^Blk=arabicexta}', "");
    Expect(1, 2304, '\P{Blk=arabicexta}', "");
    Expect(0, 2304, '\P{^Blk=arabicexta}', "");
    Expect(1, 2303, '\p{Blk=:\Aarabicexta\z:}', "");;
    Expect(0, 2304, '\p{Blk=:\Aarabicexta\z:}', "");;
    Expect(1, 2303, '\p{Blk=--arabic_Ext_A}', "");
    Expect(0, 2303, '\p{^Blk=--arabic_Ext_A}', "");
    Expect(0, 2303, '\P{Blk=--arabic_Ext_A}', "");
    Expect(1, 2303, '\P{^Blk=--arabic_Ext_A}', "");
    Expect(0, 2304, '\p{Blk=--arabic_Ext_A}', "");
    Expect(1, 2304, '\p{^Blk=--arabic_Ext_A}', "");
    Expect(1, 2304, '\P{Blk=--arabic_Ext_A}', "");
    Expect(0, 2304, '\P{^Blk=--arabic_Ext_A}', "");
    Error('\p{Is_Block=_:=Arabic_Extended_a}');
    Error('\P{Is_Block=_:=Arabic_Extended_a}');
    Expect(1, 2303, '\p{Is_Block=arabicextendeda}', "");
    Expect(0, 2303, '\p{^Is_Block=arabicextendeda}', "");
    Expect(0, 2303, '\P{Is_Block=arabicextendeda}', "");
    Expect(1, 2303, '\P{^Is_Block=arabicextendeda}', "");
    Expect(0, 2304, '\p{Is_Block=arabicextendeda}', "");
    Expect(1, 2304, '\p{^Is_Block=arabicextendeda}', "");
    Expect(1, 2304, '\P{Is_Block=arabicextendeda}', "");
    Expect(0, 2304, '\P{^Is_Block=arabicextendeda}', "");
    Expect(1, 2303, '\p{Is_Block=__arabic_Extended_A}', "");
    Expect(0, 2303, '\p{^Is_Block=__arabic_Extended_A}', "");
    Expect(0, 2303, '\P{Is_Block=__arabic_Extended_A}', "");
    Expect(1, 2303, '\P{^Is_Block=__arabic_Extended_A}', "");
    Expect(0, 2304, '\p{Is_Block=__arabic_Extended_A}', "");
    Expect(1, 2304, '\p{^Is_Block=__arabic_Extended_A}', "");
    Expect(1, 2304, '\P{Is_Block=__arabic_Extended_A}', "");
    Expect(0, 2304, '\P{^Is_Block=__arabic_Extended_A}', "");
    Error('\p{Is_Blk=_-Arabic_Ext_A:=}');
    Error('\P{Is_Blk=_-Arabic_Ext_A:=}');
    Expect(1, 2303, '\p{Is_Blk=arabicexta}', "");
    Expect(0, 2303, '\p{^Is_Blk=arabicexta}', "");
    Expect(0, 2303, '\P{Is_Blk=arabicexta}', "");
    Expect(1, 2303, '\P{^Is_Blk=arabicexta}', "");
    Expect(0, 2304, '\p{Is_Blk=arabicexta}', "");
    Expect(1, 2304, '\p{^Is_Blk=arabicexta}', "");
    Expect(1, 2304, '\P{Is_Blk=arabicexta}', "");
    Expect(0, 2304, '\P{^Is_Blk=arabicexta}', "");
    Expect(1, 2303, '\p{Is_Blk=	_arabic_Ext_A}', "");
    Expect(0, 2303, '\p{^Is_Blk=	_arabic_Ext_A}', "");
    Expect(0, 2303, '\P{Is_Blk=	_arabic_Ext_A}', "");
    Expect(1, 2303, '\P{^Is_Blk=	_arabic_Ext_A}', "");
    Expect(0, 2304, '\p{Is_Blk=	_arabic_Ext_A}', "");
    Expect(1, 2304, '\p{^Is_Blk=	_arabic_Ext_A}', "");
    Expect(1, 2304, '\P{Is_Blk=	_arabic_Ext_A}', "");
    Expect(0, 2304, '\P{^Is_Blk=	_arabic_Ext_A}', "");
    Error('\p{Block=_-ARABIC_Extended_b:=}');
    Error('\P{Block=_-ARABIC_Extended_b:=}');
    Expect(1, 2207, '\p{Block=:\AArabic_Extended_B\z:}', "");;
    Expect(0, 2208, '\p{Block=:\AArabic_Extended_B\z:}', "");;
    Expect(1, 2207, '\p{Block=arabicextendedb}', "");
    Expect(0, 2207, '\p{^Block=arabicextendedb}', "");
    Expect(0, 2207, '\P{Block=arabicextendedb}', "");
    Expect(1, 2207, '\P{^Block=arabicextendedb}', "");
    Expect(0, 2208, '\p{Block=arabicextendedb}', "");
    Expect(1, 2208, '\p{^Block=arabicextendedb}', "");
    Expect(1, 2208, '\P{Block=arabicextendedb}', "");
    Expect(0, 2208, '\P{^Block=arabicextendedb}', "");
    Expect(1, 2207, '\p{Block=:\Aarabicextendedb\z:}', "");;
    Expect(0, 2208, '\p{Block=:\Aarabicextendedb\z:}', "");;
    Expect(1, 2207, '\p{Block=	_Arabic_Extended_B}', "");
    Expect(0, 2207, '\p{^Block=	_Arabic_Extended_B}', "");
    Expect(0, 2207, '\P{Block=	_Arabic_Extended_B}', "");
    Expect(1, 2207, '\P{^Block=	_Arabic_Extended_B}', "");
    Expect(0, 2208, '\p{Block=	_Arabic_Extended_B}', "");
    Expect(1, 2208, '\p{^Block=	_Arabic_Extended_B}', "");
    Expect(1, 2208, '\P{Block=	_Arabic_Extended_B}', "");
    Expect(0, 2208, '\P{^Block=	_Arabic_Extended_B}', "");
    Error('\p{Blk=__ARABIC_EXT_B/a/}');
    Error('\P{Blk=__ARABIC_EXT_B/a/}');
    Expect(1, 2207, '\p{Blk=:\AArabic_Ext_B\z:}', "");;
    Expect(0, 2208, '\p{Blk=:\AArabic_Ext_B\z:}', "");;
    Expect(1, 2207, '\p{Blk=arabicextb}', "");
    Expect(0, 2207, '\p{^Blk=arabicextb}', "");
    Expect(0, 2207, '\P{Blk=arabicextb}', "");
    Expect(1, 2207, '\P{^Blk=arabicextb}', "");
    Expect(0, 2208, '\p{Blk=arabicextb}', "");
    Expect(1, 2208, '\p{^Blk=arabicextb}', "");
    Expect(1, 2208, '\P{Blk=arabicextb}', "");
    Expect(0, 2208, '\P{^Blk=arabicextb}', "");
    Expect(1, 2207, '\p{Blk=:\Aarabicextb\z:}', "");;
    Expect(0, 2208, '\p{Blk=:\Aarabicextb\z:}', "");;
    Expect(1, 2207, '\p{Blk:   	 Arabic_EXT_B}', "");
    Expect(0, 2207, '\p{^Blk:   	 Arabic_EXT_B}', "");
    Expect(0, 2207, '\P{Blk:   	 Arabic_EXT_B}', "");
    Expect(1, 2207, '\P{^Blk:   	 Arabic_EXT_B}', "");
    Expect(0, 2208, '\p{Blk:   	 Arabic_EXT_B}', "");
    Expect(1, 2208, '\p{^Blk:   	 Arabic_EXT_B}', "");
    Expect(1, 2208, '\P{Blk:   	 Arabic_EXT_B}', "");
    Expect(0, 2208, '\P{^Blk:   	 Arabic_EXT_B}', "");
    Error('\p{Is_Block=- arabic_Extended_b/a/}');
    Error('\P{Is_Block=- arabic_Extended_b/a/}');
    Expect(1, 2207, '\p{Is_Block:arabicextendedb}', "");
    Expect(0, 2207, '\p{^Is_Block:arabicextendedb}', "");
    Expect(0, 2207, '\P{Is_Block:arabicextendedb}', "");
    Expect(1, 2207, '\P{^Is_Block:arabicextendedb}', "");
    Expect(0, 2208, '\p{Is_Block:arabicextendedb}', "");
    Expect(1, 2208, '\p{^Is_Block:arabicextendedb}', "");
    Expect(1, 2208, '\P{Is_Block:arabicextendedb}', "");
    Expect(0, 2208, '\P{^Is_Block:arabicextendedb}', "");
    Expect(1, 2207, '\p{Is_Block:	 -Arabic_Extended_B}', "");
    Expect(0, 2207, '\p{^Is_Block:	 -Arabic_Extended_B}', "");
    Expect(0, 2207, '\P{Is_Block:	 -Arabic_Extended_B}', "");
    Expect(1, 2207, '\P{^Is_Block:	 -Arabic_Extended_B}', "");
    Expect(0, 2208, '\p{Is_Block:	 -Arabic_Extended_B}', "");
    Expect(1, 2208, '\p{^Is_Block:	 -Arabic_Extended_B}', "");
    Expect(1, 2208, '\P{Is_Block:	 -Arabic_Extended_B}', "");
    Expect(0, 2208, '\P{^Is_Block:	 -Arabic_Extended_B}', "");
    Error('\p{Is_Blk=/a/arabic_Ext_B}');
    Error('\P{Is_Blk=/a/arabic_Ext_B}');
    Expect(1, 2207, '\p{Is_Blk=arabicextb}', "");
    Expect(0, 2207, '\p{^Is_Blk=arabicextb}', "");
    Expect(0, 2207, '\P{Is_Blk=arabicextb}', "");
    Expect(1, 2207, '\P{^Is_Blk=arabicextb}', "");
    Expect(0, 2208, '\p{Is_Blk=arabicextb}', "");
    Expect(1, 2208, '\p{^Is_Blk=arabicextb}', "");
    Expect(1, 2208, '\P{Is_Blk=arabicextb}', "");
    Expect(0, 2208, '\P{^Is_Blk=arabicextb}', "");
    Expect(1, 2207, '\p{Is_Blk:		-ARABIC_Ext_B}', "");
    Expect(0, 2207, '\p{^Is_Blk:		-ARABIC_Ext_B}', "");
    Expect(0, 2207, '\P{Is_Blk:		-ARABIC_Ext_B}', "");
    Expect(1, 2207, '\P{^Is_Blk:		-ARABIC_Ext_B}', "");
    Expect(0, 2208, '\p{Is_Blk:		-ARABIC_Ext_B}', "");
    Expect(1, 2208, '\p{^Is_Blk:		-ARABIC_Ext_B}', "");
    Expect(1, 2208, '\P{Is_Blk:		-ARABIC_Ext_B}', "");
    Expect(0, 2208, '\P{^Is_Blk:		-ARABIC_Ext_B}', "");
    Error('\p{Block:    /a/ARABIC_MATHEMATICAL_Alphabetic_symbols}');
    Error('\P{Block:    /a/ARABIC_MATHEMATICAL_Alphabetic_symbols}');
    Expect(1, 126719, '\p{Block=:\AArabic_Mathematical_Alphabetic_Symbols\z:}', "");;
    Expect(0, 126720, '\p{Block=:\AArabic_Mathematical_Alphabetic_Symbols\z:}', "");;
    Expect(1, 126719, '\p{Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\p{^Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\P{Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\P{^Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\p{Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\p{^Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\P{Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\P{^Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\p{Block=:\Aarabicmathematicalalphabeticsymbols\z:}', "");;
    Expect(0, 126720, '\p{Block=:\Aarabicmathematicalalphabeticsymbols\z:}', "");;
    Expect(1, 126719, '\p{Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Expect(0, 126719, '\p{^Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Expect(0, 126719, '\P{Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Expect(1, 126719, '\P{^Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Expect(0, 126720, '\p{Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Expect(1, 126720, '\p{^Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Expect(1, 126720, '\P{Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Expect(0, 126720, '\P{^Block:   	-ARABIC_Mathematical_ALPHABETIC_symbols}', "");
    Error('\p{Blk=/a/	_Arabic_math}');
    Error('\P{Blk=/a/	_Arabic_math}');
    Expect(1, 126719, '\p{Blk=:\AArabic_Math\z:}', "");;
    Expect(0, 126720, '\p{Blk=:\AArabic_Math\z:}', "");;
    Expect(1, 126719, '\p{Blk=arabicmath}', "");
    Expect(0, 126719, '\p{^Blk=arabicmath}', "");
    Expect(0, 126719, '\P{Blk=arabicmath}', "");
    Expect(1, 126719, '\P{^Blk=arabicmath}', "");
    Expect(0, 126720, '\p{Blk=arabicmath}', "");
    Expect(1, 126720, '\p{^Blk=arabicmath}', "");
    Expect(1, 126720, '\P{Blk=arabicmath}', "");
    Expect(0, 126720, '\P{^Blk=arabicmath}', "");
    Expect(1, 126719, '\p{Blk=:\Aarabicmath\z:}', "");;
    Expect(0, 126720, '\p{Blk=:\Aarabicmath\z:}', "");;
    Expect(1, 126719, '\p{Blk=_	Arabic_Math}', "");
    Expect(0, 126719, '\p{^Blk=_	Arabic_Math}', "");
    Expect(0, 126719, '\P{Blk=_	Arabic_Math}', "");
    Expect(1, 126719, '\P{^Blk=_	Arabic_Math}', "");
    Expect(0, 126720, '\p{Blk=_	Arabic_Math}', "");
    Expect(1, 126720, '\p{^Blk=_	Arabic_Math}', "");
    Expect(1, 126720, '\P{Blk=_	Arabic_Math}', "");
    Expect(0, 126720, '\P{^Blk=_	Arabic_Math}', "");
    Error('\p{Is_Block=:=-_Arabic_Mathematical_alphabetic_Symbols}');
    Error('\P{Is_Block=:=-_Arabic_Mathematical_alphabetic_Symbols}');
    Expect(1, 126719, '\p{Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\p{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\P{Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\P{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\p{Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\p{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\P{Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\P{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\p{Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Expect(0, 126719, '\p{^Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Expect(0, 126719, '\P{Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Expect(1, 126719, '\P{^Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Expect(0, 126720, '\p{Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Expect(1, 126720, '\p{^Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Expect(1, 126720, '\P{Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Expect(0, 126720, '\P{^Is_Block=- Arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
    Error('\p{Is_Blk=:=	-ARABIC_Math}');
    Error('\P{Is_Blk=:=	-ARABIC_Math}');
    Expect(1, 126719, '\p{Is_Blk=arabicmath}', "");
    Expect(0, 126719, '\p{^Is_Blk=arabicmath}', "");
    Expect(0, 126719, '\P{Is_Blk=arabicmath}', "");
    Expect(1, 126719, '\P{^Is_Blk=arabicmath}', "");
    Expect(0, 126720, '\p{Is_Blk=arabicmath}', "");
    Expect(1, 126720, '\p{^Is_Blk=arabicmath}', "");
    Expect(1, 126720, '\P{Is_Blk=arabicmath}', "");
    Expect(0, 126720, '\P{^Is_Blk=arabicmath}', "");
    Expect(1, 126719, '\p{Is_Blk=__arabic_Math}', "");
    Expect(0, 126719, '\p{^Is_Blk=__arabic_Math}', "");
    Expect(0, 126719, '\P{Is_Blk=__arabic_Math}', "");
    Expect(1, 126719, '\P{^Is_Blk=__arabic_Math}', "");
    Expect(0, 126720, '\p{Is_Blk=__arabic_Math}', "");
    Expect(1, 126720, '\p{^Is_Blk=__arabic_Math}', "");
    Expect(1, 126720, '\P{Is_Blk=__arabic_Math}', "");
    Expect(0, 126720, '\P{^Is_Blk=__arabic_Math}', "");
    Error('\p{Block=/a/Arabic_Presentation_FORMS_A}');
    Error('\P{Block=/a/Arabic_Presentation_FORMS_A}');
    Expect(1, 65023, '\p{Block=:\AArabic_Presentation_Forms_A\z:}', "");;
    Expect(0, 65024, '\p{Block=:\AArabic_Presentation_Forms_A\z:}', "");;
    Expect(1, 65023, '\p{Block=arabicpresentationformsa}', "");
    Expect(0, 65023, '\p{^Block=arabicpresentationformsa}', "");
    Expect(0, 65023, '\P{Block=arabicpresentationformsa}', "");
    Expect(1, 65023, '\P{^Block=arabicpresentationformsa}', "");
    Expect(0, 65024, '\p{Block=arabicpresentationformsa}', "");
    Expect(1, 65024, '\p{^Block=arabicpresentationformsa}', "");
    Expect(1, 65024, '\P{Block=arabicpresentationformsa}', "");
    Expect(0, 65024, '\P{^Block=arabicpresentationformsa}', "");
    Expect(1, 65023, '\p{Block=:\Aarabicpresentationformsa\z:}', "");;
    Expect(0, 65024, '\p{Block=:\Aarabicpresentationformsa\z:}', "");;
    Expect(1, 65023, '\p{Block:	-_ARABIC_presentation_Forms_a}', "");
    Expect(0, 65023, '\p{^Block:	-_ARABIC_presentation_Forms_a}', "");
    Expect(0, 65023, '\P{Block:	-_ARABIC_presentation_Forms_a}', "");
    Expect(1, 65023, '\P{^Block:	-_ARABIC_presentation_Forms_a}', "");
    Expect(0, 65024, '\p{Block:	-_ARABIC_presentation_Forms_a}', "");
    Expect(1, 65024, '\p{^Block:	-_ARABIC_presentation_Forms_a}', "");
    Expect(1, 65024, '\P{Block:	-_ARABIC_presentation_Forms_a}', "");
    Expect(0, 65024, '\P{^Block:	-_ARABIC_presentation_Forms_a}', "");
    Error('\p{Blk:	-Arabic_PF_A:=}');
    Error('\P{Blk:	-Arabic_PF_A:=}');
    Expect(1, 65023, '\p{Blk=:\AArabic_PF_A\z:}', "");;
    Expect(0, 65024, '\p{Blk=:\AArabic_PF_A\z:}', "");;
    Expect(1, 65023, '\p{Blk=arabicpfa}', "");
    Expect(0, 65023, '\p{^Blk=arabicpfa}', "");
    Expect(0, 65023, '\P{Blk=arabicpfa}', "");
    Expect(1, 65023, '\P{^Blk=arabicpfa}', "");
    Expect(0, 65024, '\p{Blk=arabicpfa}', "");
    Expect(1, 65024, '\p{^Blk=arabicpfa}', "");
    Expect(1, 65024, '\P{Blk=arabicpfa}', "");
    Expect(0, 65024, '\P{^Blk=arabicpfa}', "");
    Expect(1, 65023, '\p{Blk=:\Aarabicpfa\z:}', "");;
    Expect(0, 65024, '\p{Blk=:\Aarabicpfa\z:}', "");;
    Expect(1, 65023, '\p{Blk=_-Arabic_PF_A}', "");
    Expect(0, 65023, '\p{^Blk=_-Arabic_PF_A}', "");
    Expect(0, 65023, '\P{Blk=_-Arabic_PF_A}', "");
    Expect(1, 65023, '\P{^Blk=_-Arabic_PF_A}', "");
    Expect(0, 65024, '\p{Blk=_-Arabic_PF_A}', "");
    Expect(1, 65024, '\p{^Blk=_-Arabic_PF_A}', "");
    Expect(1, 65024, '\P{Blk=_-Arabic_PF_A}', "");
    Expect(0, 65024, '\P{^Blk=_-Arabic_PF_A}', "");
    Error('\p{Is_Block=/a/-ARABIC_presentation_forms_a}');
    Error('\P{Is_Block=/a/-ARABIC_presentation_forms_a}');
    Expect(1, 65023, '\p{Is_Block=arabicpresentationformsa}', "");
    Expect(0, 65023, '\p{^Is_Block=arabicpresentationformsa}', "");
    Expect(0, 65023, '\P{Is_Block=arabicpresentationformsa}', "");
    Expect(1, 65023, '\P{^Is_Block=arabicpresentationformsa}', "");
    Expect(0, 65024, '\p{Is_Block=arabicpresentationformsa}', "");
    Expect(1, 65024, '\p{^Is_Block=arabicpresentationformsa}', "");
    Expect(1, 65024, '\P{Is_Block=arabicpresentationformsa}', "");
    Expect(0, 65024, '\P{^Is_Block=arabicpresentationformsa}', "");
    Expect(1, 65023, '\p{Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Expect(0, 65023, '\p{^Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Expect(0, 65023, '\P{Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Expect(1, 65023, '\P{^Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Expect(0, 65024, '\p{Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Expect(1, 65024, '\p{^Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Expect(1, 65024, '\P{Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Expect(0, 65024, '\P{^Is_Block=	-arabic_PRESENTATION_FORMS_A}', "");
    Error('\p{Is_Blk=	/a/Arabic_PF_A}');
    Error('\P{Is_Blk=	/a/Arabic_PF_A}');
    Expect(1, 65023, '\p{Is_Blk=arabicpfa}', "");
    Expect(0, 65023, '\p{^Is_Blk=arabicpfa}', "");
    Expect(0, 65023, '\P{Is_Blk=arabicpfa}', "");
    Expect(1, 65023, '\P{^Is_Blk=arabicpfa}', "");
    Expect(0, 65024, '\p{Is_Blk=arabicpfa}', "");
    Expect(1, 65024, '\p{^Is_Blk=arabicpfa}', "");
    Expect(1, 65024, '\P{Is_Blk=arabicpfa}', "");
    Expect(0, 65024, '\P{^Is_Blk=arabicpfa}', "");
    Expect(1, 65023, '\p{Is_Blk=--Arabic_PF_A}', "");
    Expect(0, 65023, '\p{^Is_Blk=--Arabic_PF_A}', "");
    Expect(0, 65023, '\P{Is_Blk=--Arabic_PF_A}', "");
    Expect(1, 65023, '\P{^Is_Blk=--Arabic_PF_A}', "");
    Expect(0, 65024, '\p{Is_Blk=--Arabic_PF_A}', "");
    Expect(1, 65024, '\p{^Is_Blk=--Arabic_PF_A}', "");
    Expect(1, 65024, '\P{Is_Blk=--Arabic_PF_A}', "");
    Expect(0, 65024, '\P{^Is_Blk=--Arabic_PF_A}', "");
    Error('\p{Block=--ARABIC_Presentation_FORMS_B:=}');
    Error('\P{Block=--ARABIC_Presentation_FORMS_B:=}');
    Expect(1, 65279, '\p{Block=:\AArabic_Presentation_Forms_B\z:}', "");;
    Expect(0, 65280, '\p{Block=:\AArabic_Presentation_Forms_B\z:}', "");;
    Expect(1, 65279, '\p{Block=arabicpresentationformsb}', "");
    Expect(0, 65279, '\p{^Block=arabicpresentationformsb}', "");
    Expect(0, 65279, '\P{Block=arabicpresentationformsb}', "");
    Expect(1, 65279, '\P{^Block=arabicpresentationformsb}', "");
    Expect(0, 65280, '\p{Block=arabicpresentationformsb}', "");
    Expect(1, 65280, '\p{^Block=arabicpresentationformsb}', "");
    Expect(1, 65280, '\P{Block=arabicpresentationformsb}', "");
    Expect(0, 65280, '\P{^Block=arabicpresentationformsb}', "");
    Expect(1, 65279, '\p{Block=:\Aarabicpresentationformsb\z:}', "");;
    Expect(0, 65280, '\p{Block=:\Aarabicpresentationformsb\z:}', "");;
    Expect(1, 65279, '\p{Block=_	Arabic_presentation_FORMS_B}', "");
    Expect(0, 65279, '\p{^Block=_	Arabic_presentation_FORMS_B}', "");
    Expect(0, 65279, '\P{Block=_	Arabic_presentation_FORMS_B}', "");
    Expect(1, 65279, '\P{^Block=_	Arabic_presentation_FORMS_B}', "");
    Expect(0, 65280, '\p{Block=_	Arabic_presentation_FORMS_B}', "");
    Expect(1, 65280, '\p{^Block=_	Arabic_presentation_FORMS_B}', "");
    Expect(1, 65280, '\P{Block=_	Arabic_presentation_FORMS_B}', "");
    Expect(0, 65280, '\P{^Block=_	Arabic_presentation_FORMS_B}', "");
    Error('\p{Blk=:=  Arabic_PF_b}');
    Error('\P{Blk=:=  Arabic_PF_b}');
    Expect(1, 65279, '\p{Blk=:\AArabic_PF_B\z:}', "");;
    Expect(0, 65280, '\p{Blk=:\AArabic_PF_B\z:}', "");;
    Expect(1, 65279, '\p{Blk=arabicpfb}', "");
    Expect(0, 65279, '\p{^Blk=arabicpfb}', "");
    Expect(0, 65279, '\P{Blk=arabicpfb}', "");
    Expect(1, 65279, '\P{^Blk=arabicpfb}', "");
    Expect(0, 65280, '\p{Blk=arabicpfb}', "");
    Expect(1, 65280, '\p{^Blk=arabicpfb}', "");
    Expect(1, 65280, '\P{Blk=arabicpfb}', "");
    Expect(0, 65280, '\P{^Blk=arabicpfb}', "");
    Expect(1, 65279, '\p{Blk=:\Aarabicpfb\z:}', "");;
    Expect(0, 65280, '\p{Blk=:\Aarabicpfb\z:}', "");;
    Expect(1, 65279, '\p{Blk=_	Arabic_PF_B}', "");
    Expect(0, 65279, '\p{^Blk=_	Arabic_PF_B}', "");
    Expect(0, 65279, '\P{Blk=_	Arabic_PF_B}', "");
    Expect(1, 65279, '\P{^Blk=_	Arabic_PF_B}', "");
    Expect(0, 65280, '\p{Blk=_	Arabic_PF_B}', "");
    Expect(1, 65280, '\p{^Blk=_	Arabic_PF_B}', "");
    Expect(1, 65280, '\P{Blk=_	Arabic_PF_B}', "");
    Expect(0, 65280, '\P{^Blk=_	Arabic_PF_B}', "");
    Error('\p{Is_Block=:=	ARABIC_PRESENTATION_Forms_B}');
    Error('\P{Is_Block=:=	ARABIC_PRESENTATION_Forms_B}');
    Expect(1, 65279, '\p{Is_Block=arabicpresentationformsb}', "");
    Expect(0, 65279, '\p{^Is_Block=arabicpresentationformsb}', "");
    Expect(0, 65279, '\P{Is_Block=arabicpresentationformsb}', "");
    Expect(1, 65279, '\P{^Is_Block=arabicpresentationformsb}', "");
    Expect(0, 65280, '\p{Is_Block=arabicpresentationformsb}', "");
    Expect(1, 65280, '\p{^Is_Block=arabicpresentationformsb}', "");
    Expect(1, 65280, '\P{Is_Block=arabicpresentationformsb}', "");
    Expect(0, 65280, '\P{^Is_Block=arabicpresentationformsb}', "");
    Expect(1, 65279, '\p{Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Expect(0, 65279, '\p{^Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Expect(0, 65279, '\P{Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Expect(1, 65279, '\P{^Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Expect(0, 65280, '\p{Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Expect(1, 65280, '\p{^Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Expect(1, 65280, '\P{Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Expect(0, 65280, '\P{^Is_Block=- ARABIC_PRESENTATION_forms_B}', "");
    Error('\p{Is_Blk=	/a/arabic_PF_B}');
    Error('\P{Is_Blk=	/a/arabic_PF_B}');
    Expect(1, 65279, '\p{Is_Blk=arabicpfb}', "");
    Expect(0, 65279, '\p{^Is_Blk=arabicpfb}', "");
    Expect(0, 65279, '\P{Is_Blk=arabicpfb}', "");
    Expect(1, 65279, '\P{^Is_Blk=arabicpfb}', "");
    Expect(0, 65280, '\p{Is_Blk=arabicpfb}', "");
    Expect(1, 65280, '\p{^Is_Blk=arabicpfb}', "");
    Expect(1, 65280, '\P{Is_Blk=arabicpfb}', "");
    Expect(0, 65280, '\P{^Is_Blk=arabicpfb}', "");
    Expect(1, 65279, '\p{Is_Blk=_ ARABIC_PF_B}', "");
    Expect(0, 65279, '\p{^Is_Blk=_ ARABIC_PF_B}', "");
    Expect(0, 65279, '\P{Is_Blk=_ ARABIC_PF_B}', "");
    Expect(1, 65279, '\P{^Is_Blk=_ ARABIC_PF_B}', "");
    Expect(0, 65280, '\p{Is_Blk=_ ARABIC_PF_B}', "");
    Expect(1, 65280, '\p{^Is_Blk=_ ARABIC_PF_B}', "");
    Expect(1, 65280, '\P{Is_Blk=_ ARABIC_PF_B}', "");
    Expect(0, 65280, '\P{^Is_Blk=_ ARABIC_PF_B}', "");
    Error('\p{Block=:=	 Arabic_Supplement}');
    Error('\P{Block=:=	 Arabic_Supplement}');
    Expect(1, 1919, '\p{Block=:\AArabic_Supplement\z:}', "");;
    Expect(0, 1920, '\p{Block=:\AArabic_Supplement\z:}', "");;
    Expect(1, 1919, '\p{Block=arabicsupplement}', "");
    Expect(0, 1919, '\p{^Block=arabicsupplement}', "");
    Expect(0, 1919, '\P{Block=arabicsupplement}', "");
    Expect(1, 1919, '\P{^Block=arabicsupplement}', "");
    Expect(0, 1920, '\p{Block=arabicsupplement}', "");
    Expect(1, 1920, '\p{^Block=arabicsupplement}', "");
    Expect(1, 1920, '\P{Block=arabicsupplement}', "");
    Expect(0, 1920, '\P{^Block=arabicsupplement}', "");
    Expect(1, 1919, '\p{Block=:\Aarabicsupplement\z:}', "");;
    Expect(0, 1920, '\p{Block=:\Aarabicsupplement\z:}', "");;
    Expect(1, 1919, '\p{Block= _Arabic_supplement}', "");
    Expect(0, 1919, '\p{^Block= _Arabic_supplement}', "");
    Expect(0, 1919, '\P{Block= _Arabic_supplement}', "");
    Expect(1, 1919, '\P{^Block= _Arabic_supplement}', "");
    Expect(0, 1920, '\p{Block= _Arabic_supplement}', "");
    Expect(1, 1920, '\p{^Block= _Arabic_supplement}', "");
    Expect(1, 1920, '\P{Block= _Arabic_supplement}', "");
    Expect(0, 1920, '\P{^Block= _Arabic_supplement}', "");
    Error('\p{Blk=:=	-Arabic_Sup}');
    Error('\P{Blk=:=	-Arabic_Sup}');
    Expect(1, 1919, '\p{Blk=:\AArabic_Sup\z:}', "");;
    Expect(0, 1920, '\p{Blk=:\AArabic_Sup\z:}', "");;
    Expect(1, 1919, '\p{Blk=arabicsup}', "");
    Expect(0, 1919, '\p{^Blk=arabicsup}', "");
    Expect(0, 1919, '\P{Blk=arabicsup}', "");
    Expect(1, 1919, '\P{^Blk=arabicsup}', "");
    Expect(0, 1920, '\p{Blk=arabicsup}', "");
    Expect(1, 1920, '\p{^Blk=arabicsup}', "");
    Expect(1, 1920, '\P{Blk=arabicsup}', "");
    Expect(0, 1920, '\P{^Blk=arabicsup}', "");
    Expect(1, 1919, '\p{Blk=:\Aarabicsup\z:}', "");;
    Expect(0, 1920, '\p{Blk=:\Aarabicsup\z:}', "");;
    Expect(1, 1919, '\p{Blk=_ Arabic_sup}', "");
    Expect(0, 1919, '\p{^Blk=_ Arabic_sup}', "");
    Expect(0, 1919, '\P{Blk=_ Arabic_sup}', "");
    Expect(1, 1919, '\P{^Blk=_ Arabic_sup}', "");
    Expect(0, 1920, '\p{Blk=_ Arabic_sup}', "");
    Expect(1, 1920, '\p{^Blk=_ Arabic_sup}', "");
    Expect(1, 1920, '\P{Blk=_ Arabic_sup}', "");
    Expect(0, 1920, '\P{^Blk=_ Arabic_sup}', "");
    Error('\p{Is_Block=_	arabic_SUPPLEMENT/a/}');
    Error('\P{Is_Block=_	arabic_SUPPLEMENT/a/}');
    Expect(1, 1919, '\p{Is_Block=arabicsupplement}', "");
    Expect(0, 1919, '\p{^Is_Block=arabicsupplement}', "");
    Expect(0, 1919, '\P{Is_Block=arabicsupplement}', "");
    Expect(1, 1919, '\P{^Is_Block=arabicsupplement}', "");
    Expect(0, 1920, '\p{Is_Block=arabicsupplement}', "");
    Expect(1, 1920, '\p{^Is_Block=arabicsupplement}', "");
    Expect(1, 1920, '\P{Is_Block=arabicsupplement}', "");
    Expect(0, 1920, '\P{^Is_Block=arabicsupplement}', "");
    Expect(1, 1919, '\p{Is_Block=arabic_Supplement}', "");
    Expect(0, 1919, '\p{^Is_Block=arabic_Supplement}', "");
    Expect(0, 1919, '\P{Is_Block=arabic_Supplement}', "");
    Expect(1, 1919, '\P{^Is_Block=arabic_Supplement}', "");
    Expect(0, 1920, '\p{Is_Block=arabic_Supplement}', "");
    Expect(1, 1920, '\p{^Is_Block=arabic_Supplement}', "");
    Expect(1, 1920, '\P{Is_Block=arabic_Supplement}', "");
    Expect(0, 1920, '\P{^Is_Block=arabic_Supplement}', "");
    Error('\p{Is_Blk=/a/ -ARABIC_sup}');
    Error('\P{Is_Blk=/a/ -ARABIC_sup}');
    Expect(1, 1919, '\p{Is_Blk=arabicsup}', "");
    Expect(0, 1919, '\p{^Is_Blk=arabicsup}', "");
    Expect(0, 1919, '\P{Is_Blk=arabicsup}', "");
    Expect(1, 1919, '\P{^Is_Blk=arabicsup}', "");
    Expect(0, 1920, '\p{Is_Blk=arabicsup}', "");
    Expect(1, 1920, '\p{^Is_Blk=arabicsup}', "");
    Expect(1, 1920, '\P{Is_Blk=arabicsup}', "");
    Expect(0, 1920, '\P{^Is_Blk=arabicsup}', "");
    Expect(1, 1919, '\p{Is_Blk=-_ARABIC_Sup}', "");
    Expect(0, 1919, '\p{^Is_Blk=-_ARABIC_Sup}', "");
    Expect(0, 1919, '\P{Is_Blk=-_ARABIC_Sup}', "");
    Expect(1, 1919, '\P{^Is_Blk=-_ARABIC_Sup}', "");
    Expect(0, 1920, '\p{Is_Blk=-_ARABIC_Sup}', "");
    Expect(1, 1920, '\p{^Is_Blk=-_ARABIC_Sup}', "");
    Expect(1, 1920, '\P{Is_Blk=-_ARABIC_Sup}', "");
    Expect(0, 1920, '\P{^Is_Blk=-_ARABIC_Sup}', "");
    Error('\p{Block=:= armenian}');
    Error('\P{Block=:= armenian}');
    Expect(1, 1423, '\p{Block=:\AArmenian\z:}', "");;
    Expect(0, 1424, '\p{Block=:\AArmenian\z:}', "");;
    Expect(1, 1423, '\p{Block:   armenian}', "");
    Expect(0, 1423, '\p{^Block:   armenian}', "");
    Expect(0, 1423, '\P{Block:   armenian}', "");
    Expect(1, 1423, '\P{^Block:   armenian}', "");
    Expect(0, 1424, '\p{Block:   armenian}', "");
    Expect(1, 1424, '\p{^Block:   armenian}', "");
    Expect(1, 1424, '\P{Block:   armenian}', "");
    Expect(0, 1424, '\P{^Block:   armenian}', "");
    Expect(1, 1423, '\p{Block=:\Aarmenian\z:}', "");;
    Expect(0, 1424, '\p{Block=:\Aarmenian\z:}', "");;
    Expect(1, 1423, '\p{Block=	_Armenian}', "");
    Expect(0, 1423, '\p{^Block=	_Armenian}', "");
    Expect(0, 1423, '\P{Block=	_Armenian}', "");
    Expect(1, 1423, '\P{^Block=	_Armenian}', "");
    Expect(0, 1424, '\p{Block=	_Armenian}', "");
    Expect(1, 1424, '\p{^Block=	_Armenian}', "");
    Expect(1, 1424, '\P{Block=	_Armenian}', "");
    Expect(0, 1424, '\P{^Block=	_Armenian}', "");
    Error('\p{Blk=_:=Armenian}');
    Error('\P{Blk=_:=Armenian}');
    Expect(1, 1423, '\p{Blk=:\AArmenian\z:}', "");;
    Expect(0, 1424, '\p{Blk=:\AArmenian\z:}', "");;
    Expect(1, 1423, '\p{Blk=armenian}', "");
    Expect(0, 1423, '\p{^Blk=armenian}', "");
    Expect(0, 1423, '\P{Blk=armenian}', "");
    Expect(1, 1423, '\P{^Blk=armenian}', "");
    Expect(0, 1424, '\p{Blk=armenian}', "");
    Expect(1, 1424, '\p{^Blk=armenian}', "");
    Expect(1, 1424, '\P{Blk=armenian}', "");
    Expect(0, 1424, '\P{^Blk=armenian}', "");
    Expect(1, 1423, '\p{Blk=:\Aarmenian\z:}', "");;
    Expect(0, 1424, '\p{Blk=:\Aarmenian\z:}', "");;
    Expect(1, 1423, '\p{Blk=- Armenian}', "");
    Expect(0, 1423, '\p{^Blk=- Armenian}', "");
    Expect(0, 1423, '\P{Blk=- Armenian}', "");
    Expect(1, 1423, '\P{^Blk=- Armenian}', "");
    Expect(0, 1424, '\p{Blk=- Armenian}', "");
    Expect(1, 1424, '\p{^Blk=- Armenian}', "");
    Expect(1, 1424, '\P{Blk=- Armenian}', "");
    Expect(0, 1424, '\P{^Blk=- Armenian}', "");
    Error('\p{Is_Block= :=armenian}');
    Error('\P{Is_Block= :=armenian}');
    Expect(1, 1423, '\p{Is_Block=armenian}', "");
    Expect(0, 1423, '\p{^Is_Block=armenian}', "");
    Expect(0, 1423, '\P{Is_Block=armenian}', "");
    Expect(1, 1423, '\P{^Is_Block=armenian}', "");
    Expect(0, 1424, '\p{Is_Block=armenian}', "");
    Expect(1, 1424, '\p{^Is_Block=armenian}', "");
    Expect(1, 1424, '\P{Is_Block=armenian}', "");
    Expect(0, 1424, '\P{^Is_Block=armenian}', "");
    Expect(1, 1423, '\p{Is_Block=_	Armenian}', "");
    Expect(0, 1423, '\p{^Is_Block=_	Armenian}', "");
    Expect(0, 1423, '\P{Is_Block=_	Armenian}', "");
    Expect(1, 1423, '\P{^Is_Block=_	Armenian}', "");
    Expect(0, 1424, '\p{Is_Block=_	Armenian}', "");
    Expect(1, 1424, '\p{^Is_Block=_	Armenian}', "");
    Expect(1, 1424, '\P{Is_Block=_	Armenian}', "");
    Expect(0, 1424, '\P{^Is_Block=_	Armenian}', "");
    Error('\p{Is_Blk=-_Armenian/a/}');
    Error('\P{Is_Blk=-_Armenian/a/}');
    Expect(1, 1423, '\p{Is_Blk=armenian}', "");
    Expect(0, 1423, '\p{^Is_Blk=armenian}', "");
    Expect(0, 1423, '\P{Is_Blk=armenian}', "");
    Expect(1, 1423, '\P{^Is_Blk=armenian}', "");
    Expect(0, 1424, '\p{Is_Blk=armenian}', "");
    Expect(1, 1424, '\p{^Is_Blk=armenian}', "");
    Expect(1, 1424, '\P{Is_Blk=armenian}', "");
    Expect(0, 1424, '\P{^Is_Blk=armenian}', "");
    Expect(1, 1423, '\p{Is_Blk=_	ARMENIAN}', "");
    Expect(0, 1423, '\p{^Is_Blk=_	ARMENIAN}', "");
    Expect(0, 1423, '\P{Is_Blk=_	ARMENIAN}', "");
    Expect(1, 1423, '\P{^Is_Blk=_	ARMENIAN}', "");
    Expect(0, 1424, '\p{Is_Blk=_	ARMENIAN}', "");
    Expect(1, 1424, '\p{^Is_Blk=_	ARMENIAN}', "");
    Expect(1, 1424, '\P{Is_Blk=_	ARMENIAN}', "");
    Expect(0, 1424, '\P{^Is_Blk=_	ARMENIAN}', "");
    Error('\p{Block=-/a/arrows}');
    Error('\P{Block=-/a/arrows}');
    Expect(1, 8703, '\p{Block=:\AArrows\z:}', "");;
    Expect(0, 8704, '\p{Block=:\AArrows\z:}', "");;
    Expect(1, 8703, '\p{Block=arrows}', "");
    Expect(0, 8703, '\p{^Block=arrows}', "");
    Expect(0, 8703, '\P{Block=arrows}', "");
    Expect(1, 8703, '\P{^Block=arrows}', "");
    Expect(0, 8704, '\p{Block=arrows}', "");
    Expect(1, 8704, '\p{^Block=arrows}', "");
    Expect(1, 8704, '\P{Block=arrows}', "");
    Expect(0, 8704, '\P{^Block=arrows}', "");
    Expect(1, 8703, '\p{Block=:\Aarrows\z:}', "");;
    Expect(0, 8704, '\p{Block=:\Aarrows\z:}', "");;
    Expect(1, 8703, '\p{Block=- ARROWS}', "");
    Expect(0, 8703, '\p{^Block=- ARROWS}', "");
    Expect(0, 8703, '\P{Block=- ARROWS}', "");
    Expect(1, 8703, '\P{^Block=- ARROWS}', "");
    Expect(0, 8704, '\p{Block=- ARROWS}', "");
    Expect(1, 8704, '\p{^Block=- ARROWS}', "");
    Expect(1, 8704, '\P{Block=- ARROWS}', "");
    Expect(0, 8704, '\P{^Block=- ARROWS}', "");
    Error('\p{Blk=_Arrows:=}');
    Error('\P{Blk=_Arrows:=}');
    Expect(1, 8703, '\p{Blk=:\AArrows\z:}', "");;
    Expect(0, 8704, '\p{Blk=:\AArrows\z:}', "");;
    Expect(1, 8703, '\p{Blk=arrows}', "");
    Expect(0, 8703, '\p{^Blk=arrows}', "");
    Expect(0, 8703, '\P{Blk=arrows}', "");
    Expect(1, 8703, '\P{^Blk=arrows}', "");
    Expect(0, 8704, '\p{Blk=arrows}', "");
    Expect(1, 8704, '\p{^Blk=arrows}', "");
    Expect(1, 8704, '\P{Blk=arrows}', "");
    Expect(0, 8704, '\P{^Blk=arrows}', "");
    Expect(1, 8703, '\p{Blk=:\Aarrows\z:}', "");;
    Expect(0, 8704, '\p{Blk=:\Aarrows\z:}', "");;
    Expect(1, 8703, '\p{Blk=_ Arrows}', "");
    Expect(0, 8703, '\p{^Blk=_ Arrows}', "");
    Expect(0, 8703, '\P{Blk=_ Arrows}', "");
    Expect(1, 8703, '\P{^Blk=_ Arrows}', "");
    Expect(0, 8704, '\p{Blk=_ Arrows}', "");
    Expect(1, 8704, '\p{^Blk=_ Arrows}', "");
    Expect(1, 8704, '\P{Blk=_ Arrows}', "");
    Expect(0, 8704, '\P{^Blk=_ Arrows}', "");
    Error('\p{Is_Block:   :=_ Arrows}');
    Error('\P{Is_Block:   :=_ Arrows}');
    Expect(1, 8703, '\p{Is_Block=arrows}', "");
    Expect(0, 8703, '\p{^Is_Block=arrows}', "");
    Expect(0, 8703, '\P{Is_Block=arrows}', "");
    Expect(1, 8703, '\P{^Is_Block=arrows}', "");
    Expect(0, 8704, '\p{Is_Block=arrows}', "");
    Expect(1, 8704, '\p{^Is_Block=arrows}', "");
    Expect(1, 8704, '\P{Is_Block=arrows}', "");
    Expect(0, 8704, '\P{^Is_Block=arrows}', "");
    Expect(1, 8703, '\p{Is_Block=_ARROWS}', "");
    Expect(0, 8703, '\p{^Is_Block=_ARROWS}', "");
    Expect(0, 8703, '\P{Is_Block=_ARROWS}', "");
    Expect(1, 8703, '\P{^Is_Block=_ARROWS}', "");
    Expect(0, 8704, '\p{Is_Block=_ARROWS}', "");
    Expect(1, 8704, '\p{^Is_Block=_ARROWS}', "");
    Expect(1, 8704, '\P{Is_Block=_ARROWS}', "");
    Expect(0, 8704, '\P{^Is_Block=_ARROWS}', "");
    Error('\p{Is_Blk= -ARROWS:=}');
    Error('\P{Is_Blk= -ARROWS:=}');
    Expect(1, 8703, '\p{Is_Blk=arrows}', "");
    Expect(0, 8703, '\p{^Is_Blk=arrows}', "");
    Expect(0, 8703, '\P{Is_Blk=arrows}', "");
    Expect(1, 8703, '\P{^Is_Blk=arrows}', "");
    Expect(0, 8704, '\p{Is_Blk=arrows}', "");
    Expect(1, 8704, '\p{^Is_Blk=arrows}', "");
    Expect(1, 8704, '\P{Is_Blk=arrows}', "");
    Expect(0, 8704, '\P{^Is_Blk=arrows}', "");
    Expect(1, 8703, '\p{Is_Blk=	 Arrows}', "");
    Expect(0, 8703, '\p{^Is_Blk=	 Arrows}', "");
    Expect(0, 8703, '\P{Is_Blk=	 Arrows}', "");
    Expect(1, 8703, '\P{^Is_Blk=	 Arrows}', "");
    Expect(0, 8704, '\p{Is_Blk=	 Arrows}', "");
    Expect(1, 8704, '\p{^Is_Blk=	 Arrows}', "");
    Expect(1, 8704, '\P{Is_Blk=	 Arrows}', "");
    Expect(0, 8704, '\P{^Is_Blk=	 Arrows}', "");
    Error('\p{Block::=basic_LATIN}');
    Error('\P{Block::=basic_LATIN}');
    Expect(1, 127, '\p{Block=:\ABasic_Latin\z:}', "");;
    Expect(0, 128, '\p{Block=:\ABasic_Latin\z:}', "");;
    Expect(1, 127, '\p{Block=basiclatin}', "");
    Expect(0, 127, '\p{^Block=basiclatin}', "");
    Expect(0, 127, '\P{Block=basiclatin}', "");
    Expect(1, 127, '\P{^Block=basiclatin}', "");
    Expect(0, 128, '\p{Block=basiclatin}', "");
    Expect(1, 128, '\p{^Block=basiclatin}', "");
    Expect(1, 128, '\P{Block=basiclatin}', "");
    Expect(0, 128, '\P{^Block=basiclatin}', "");
    Expect(1, 127, '\p{Block=:\Abasiclatin\z:}', "");;
    Expect(0, 128, '\p{Block=:\Abasiclatin\z:}', "");;
    Expect(1, 127, '\p{Block=_	Basic_Latin}', "");
    Expect(0, 127, '\p{^Block=_	Basic_Latin}', "");
    Expect(0, 127, '\P{Block=_	Basic_Latin}', "");
    Expect(1, 127, '\P{^Block=_	Basic_Latin}', "");
    Expect(0, 128, '\p{Block=_	Basic_Latin}', "");
    Expect(1, 128, '\p{^Block=_	Basic_Latin}', "");
    Expect(1, 128, '\P{Block=_	Basic_Latin}', "");
    Expect(0, 128, '\P{^Block=_	Basic_Latin}', "");
    Error('\p{Blk:		 ascii:=}');
    Error('\P{Blk:		 ascii:=}');
    Expect(1, 127, '\p{Blk=:\AASCII\z:}', "");;
    Expect(0, 128, '\p{Blk=:\AASCII\z:}', "");;
    Expect(1, 127, '\p{Blk=ascii}', "");
    Expect(0, 127, '\p{^Blk=ascii}', "");
    Expect(0, 127, '\P{Blk=ascii}', "");
    Expect(1, 127, '\P{^Blk=ascii}', "");
    Expect(0, 128, '\p{Blk=ascii}', "");
    Expect(1, 128, '\p{^Blk=ascii}', "");
    Expect(1, 128, '\P{Blk=ascii}', "");
    Expect(0, 128, '\P{^Blk=ascii}', "");
    Expect(1, 127, '\p{Blk=:\Aascii\z:}', "");;
    Expect(0, 128, '\p{Blk=:\Aascii\z:}', "");;
    Expect(1, 127, '\p{Blk= _ascii}', "");
    Expect(0, 127, '\p{^Blk= _ascii}', "");
    Expect(0, 127, '\P{Blk= _ascii}', "");
    Expect(1, 127, '\P{^Blk= _ascii}', "");
    Expect(0, 128, '\p{Blk= _ascii}', "");
    Expect(1, 128, '\p{^Blk= _ascii}', "");
    Expect(1, 128, '\P{Blk= _ascii}', "");
    Expect(0, 128, '\P{^Blk= _ascii}', "");
    Error('\p{Is_Block:  :=Basic_Latin}');
    Error('\P{Is_Block:  :=Basic_Latin}');
    Expect(1, 127, '\p{Is_Block=basiclatin}', "");
    Expect(0, 127, '\p{^Is_Block=basiclatin}', "");
    Expect(0, 127, '\P{Is_Block=basiclatin}', "");
    Expect(1, 127, '\P{^Is_Block=basiclatin}', "");
    Expect(0, 128, '\p{Is_Block=basiclatin}', "");
    Expect(1, 128, '\p{^Is_Block=basiclatin}', "");
    Expect(1, 128, '\P{Is_Block=basiclatin}', "");
    Expect(0, 128, '\P{^Is_Block=basiclatin}', "");
    Expect(1, 127, '\p{Is_Block=-Basic_LATIN}', "");
    Expect(0, 127, '\p{^Is_Block=-Basic_LATIN}', "");
    Expect(0, 127, '\P{Is_Block=-Basic_LATIN}', "");
    Expect(1, 127, '\P{^Is_Block=-Basic_LATIN}', "");
    Expect(0, 128, '\p{Is_Block=-Basic_LATIN}', "");
    Expect(1, 128, '\p{^Is_Block=-Basic_LATIN}', "");
    Expect(1, 128, '\P{Is_Block=-Basic_LATIN}', "");
    Expect(0, 128, '\P{^Is_Block=-Basic_LATIN}', "");
    Error('\p{Is_Blk=_	ascii:=}');
    Error('\P{Is_Blk=_	ascii:=}');
    Expect(1, 127, '\p{Is_Blk=ascii}', "");
    Expect(0, 127, '\p{^Is_Blk=ascii}', "");
    Expect(0, 127, '\P{Is_Blk=ascii}', "");
    Expect(1, 127, '\P{^Is_Blk=ascii}', "");
    Expect(0, 128, '\p{Is_Blk=ascii}', "");
    Expect(1, 128, '\p{^Is_Blk=ascii}', "");
    Expect(1, 128, '\P{Is_Blk=ascii}', "");
    Expect(0, 128, '\P{^Is_Blk=ascii}', "");
    Expect(1, 127, '\p{Is_Blk=	 ASCII}', "");
    Expect(0, 127, '\p{^Is_Blk=	 ASCII}', "");
    Expect(0, 127, '\P{Is_Blk=	 ASCII}', "");
    Expect(1, 127, '\P{^Is_Blk=	 ASCII}', "");
    Expect(0, 128, '\p{Is_Blk=	 ASCII}', "");
    Expect(1, 128, '\p{^Is_Blk=	 ASCII}', "");
    Expect(1, 128, '\P{Is_Blk=	 ASCII}', "");
    Expect(0, 128, '\P{^Is_Blk=	 ASCII}', "");
    Error('\p{Block= /a/AVESTAN}');
    Error('\P{Block= /a/AVESTAN}');
    Expect(1, 68415, '\p{Block=:\AAvestan\z:}', "");;
    Expect(0, 68416, '\p{Block=:\AAvestan\z:}', "");;
    Expect(1, 68415, '\p{Block=avestan}', "");
    Expect(0, 68415, '\p{^Block=avestan}', "");
    Expect(0, 68415, '\P{Block=avestan}', "");
    Expect(1, 68415, '\P{^Block=avestan}', "");
    Expect(0, 68416, '\p{Block=avestan}', "");
    Expect(1, 68416, '\p{^Block=avestan}', "");
    Expect(1, 68416, '\P{Block=avestan}', "");
    Expect(0, 68416, '\P{^Block=avestan}', "");
    Expect(1, 68415, '\p{Block=:\Aavestan\z:}', "");;
    Expect(0, 68416, '\p{Block=:\Aavestan\z:}', "");;
    Expect(1, 68415, '\p{Block=__Avestan}', "");
    Expect(0, 68415, '\p{^Block=__Avestan}', "");
    Expect(0, 68415, '\P{Block=__Avestan}', "");
    Expect(1, 68415, '\P{^Block=__Avestan}', "");
    Expect(0, 68416, '\p{Block=__Avestan}', "");
    Expect(1, 68416, '\p{^Block=__Avestan}', "");
    Expect(1, 68416, '\P{Block=__Avestan}', "");
    Expect(0, 68416, '\P{^Block=__Avestan}', "");
    Error('\p{Blk=:=_ Avestan}');
    Error('\P{Blk=:=_ Avestan}');
    Expect(1, 68415, '\p{Blk=:\AAvestan\z:}', "");;
    Expect(0, 68416, '\p{Blk=:\AAvestan\z:}', "");;
    Expect(1, 68415, '\p{Blk=avestan}', "");
    Expect(0, 68415, '\p{^Blk=avestan}', "");
    Expect(0, 68415, '\P{Blk=avestan}', "");
    Expect(1, 68415, '\P{^Blk=avestan}', "");
    Expect(0, 68416, '\p{Blk=avestan}', "");
    Expect(1, 68416, '\p{^Blk=avestan}', "");
    Expect(1, 68416, '\P{Blk=avestan}', "");
    Expect(0, 68416, '\P{^Blk=avestan}', "");
    Expect(1, 68415, '\p{Blk=:\Aavestan\z:}', "");;
    Expect(0, 68416, '\p{Blk=:\Aavestan\z:}', "");;
    Expect(1, 68415, '\p{Blk=	_avestan}', "");
    Expect(0, 68415, '\p{^Blk=	_avestan}', "");
    Expect(0, 68415, '\P{Blk=	_avestan}', "");
    Expect(1, 68415, '\P{^Blk=	_avestan}', "");
    Expect(0, 68416, '\p{Blk=	_avestan}', "");
    Expect(1, 68416, '\p{^Blk=	_avestan}', "");
    Expect(1, 68416, '\P{Blk=	_avestan}', "");
    Expect(0, 68416, '\P{^Blk=	_avestan}', "");
    Error('\p{Is_Block=	:=Avestan}');
    Error('\P{Is_Block=	:=Avestan}');
    Expect(1, 68415, '\p{Is_Block=avestan}', "");
    Expect(0, 68415, '\p{^Is_Block=avestan}', "");
    Expect(0, 68415, '\P{Is_Block=avestan}', "");
    Expect(1, 68415, '\P{^Is_Block=avestan}', "");
    Expect(0, 68416, '\p{Is_Block=avestan}', "");
    Expect(1, 68416, '\p{^Is_Block=avestan}', "");
    Expect(1, 68416, '\P{Is_Block=avestan}', "");
    Expect(0, 68416, '\P{^Is_Block=avestan}', "");
    Expect(1, 68415, '\p{Is_Block=-_Avestan}', "");
    Expect(0, 68415, '\p{^Is_Block=-_Avestan}', "");
    Expect(0, 68415, '\P{Is_Block=-_Avestan}', "");
    Expect(1, 68415, '\P{^Is_Block=-_Avestan}', "");
    Expect(0, 68416, '\p{Is_Block=-_Avestan}', "");
    Expect(1, 68416, '\p{^Is_Block=-_Avestan}', "");
    Expect(1, 68416, '\P{Is_Block=-_Avestan}', "");
    Expect(0, 68416, '\P{^Is_Block=-_Avestan}', "");
    Error('\p{Is_Blk=/a/-_AVESTAN}');
    Error('\P{Is_Blk=/a/-_AVESTAN}');
    Expect(1, 68415, '\p{Is_Blk:avestan}', "");
    Expect(0, 68415, '\p{^Is_Blk:avestan}', "");
    Expect(0, 68415, '\P{Is_Blk:avestan}', "");
    Expect(1, 68415, '\P{^Is_Blk:avestan}', "");
    Expect(0, 68416, '\p{Is_Blk:avestan}', "");
    Expect(1, 68416, '\p{^Is_Blk:avestan}', "");
    Expect(1, 68416, '\P{Is_Blk:avestan}', "");
    Expect(0, 68416, '\P{^Is_Blk:avestan}', "");
    Expect(1, 68415, '\p{Is_Blk= Avestan}', "");
    Expect(0, 68415, '\p{^Is_Blk= Avestan}', "");
    Expect(0, 68415, '\P{Is_Blk= Avestan}', "");
    Expect(1, 68415, '\P{^Is_Blk= Avestan}', "");
    Expect(0, 68416, '\p{Is_Blk= Avestan}', "");
    Expect(1, 68416, '\p{^Is_Blk= Avestan}', "");
    Expect(1, 68416, '\P{Is_Blk= Avestan}', "");
    Expect(0, 68416, '\P{^Is_Blk= Avestan}', "");
    Error('\p{Block=-	Balinese:=}');
    Error('\P{Block=-	Balinese:=}');
    Expect(1, 7039, '\p{Block=:\ABalinese\z:}', "");;
    Expect(0, 7040, '\p{Block=:\ABalinese\z:}', "");;
    Expect(1, 7039, '\p{Block=balinese}', "");
    Expect(0, 7039, '\p{^Block=balinese}', "");
    Expect(0, 7039, '\P{Block=balinese}', "");
    Expect(1, 7039, '\P{^Block=balinese}', "");
    Expect(0, 7040, '\p{Block=balinese}', "");
    Expect(1, 7040, '\p{^Block=balinese}', "");
    Expect(1, 7040, '\P{Block=balinese}', "");
    Expect(0, 7040, '\P{^Block=balinese}', "");
    Expect(1, 7039, '\p{Block=:\Abalinese\z:}', "");;
    Expect(0, 7040, '\p{Block=:\Abalinese\z:}', "");;
    Expect(1, 7039, '\p{Block=_ Balinese}', "");
    Expect(0, 7039, '\p{^Block=_ Balinese}', "");
    Expect(0, 7039, '\P{Block=_ Balinese}', "");
    Expect(1, 7039, '\P{^Block=_ Balinese}', "");
    Expect(0, 7040, '\p{Block=_ Balinese}', "");
    Expect(1, 7040, '\p{^Block=_ Balinese}', "");
    Expect(1, 7040, '\P{Block=_ Balinese}', "");
    Expect(0, 7040, '\P{^Block=_ Balinese}', "");
    Error('\p{Blk=	:=Balinese}');
    Error('\P{Blk=	:=Balinese}');
    Expect(1, 7039, '\p{Blk=:\ABalinese\z:}', "");;
    Expect(0, 7040, '\p{Blk=:\ABalinese\z:}', "");;
    Expect(1, 7039, '\p{Blk=balinese}', "");
    Expect(0, 7039, '\p{^Blk=balinese}', "");
    Expect(0, 7039, '\P{Blk=balinese}', "");
    Expect(1, 7039, '\P{^Blk=balinese}', "");
    Expect(0, 7040, '\p{Blk=balinese}', "");
    Expect(1, 7040, '\p{^Blk=balinese}', "");
    Expect(1, 7040, '\P{Blk=balinese}', "");
    Expect(0, 7040, '\P{^Blk=balinese}', "");
    Expect(1, 7039, '\p{Blk=:\Abalinese\z:}', "");;
    Expect(0, 7040, '\p{Blk=:\Abalinese\z:}', "");;
    Expect(1, 7039, '\p{Blk=	_balinese}', "");
    Expect(0, 7039, '\p{^Blk=	_balinese}', "");
    Expect(0, 7039, '\P{Blk=	_balinese}', "");
    Expect(1, 7039, '\P{^Blk=	_balinese}', "");
    Expect(0, 7040, '\p{Blk=	_balinese}', "");
    Expect(1, 7040, '\p{^Blk=	_balinese}', "");
    Expect(1, 7040, '\P{Blk=	_balinese}', "");
    Expect(0, 7040, '\P{^Blk=	_balinese}', "");
    Error('\p{Is_Block= :=BALINESE}');
    Error('\P{Is_Block= :=BALINESE}');
    Expect(1, 7039, '\p{Is_Block=balinese}', "");
    Expect(0, 7039, '\p{^Is_Block=balinese}', "");
    Expect(0, 7039, '\P{Is_Block=balinese}', "");
    Expect(1, 7039, '\P{^Is_Block=balinese}', "");
    Expect(0, 7040, '\p{Is_Block=balinese}', "");
    Expect(1, 7040, '\p{^Is_Block=balinese}', "");
    Expect(1, 7040, '\P{Is_Block=balinese}', "");
    Expect(0, 7040, '\P{^Is_Block=balinese}', "");
    Expect(1, 7039, '\p{Is_Block= BALINESE}', "");
    Expect(0, 7039, '\p{^Is_Block= BALINESE}', "");
    Expect(0, 7039, '\P{Is_Block= BALINESE}', "");
    Expect(1, 7039, '\P{^Is_Block= BALINESE}', "");
    Expect(0, 7040, '\p{Is_Block= BALINESE}', "");
    Expect(1, 7040, '\p{^Is_Block= BALINESE}', "");
    Expect(1, 7040, '\P{Is_Block= BALINESE}', "");
    Expect(0, 7040, '\P{^Is_Block= BALINESE}', "");
    Error('\p{Is_Blk=/a/ Balinese}');
    Error('\P{Is_Blk=/a/ Balinese}');
    Expect(1, 7039, '\p{Is_Blk=balinese}', "");
    Expect(0, 7039, '\p{^Is_Blk=balinese}', "");
    Expect(0, 7039, '\P{Is_Blk=balinese}', "");
    Expect(1, 7039, '\P{^Is_Blk=balinese}', "");
    Expect(0, 7040, '\p{Is_Blk=balinese}', "");
    Expect(1, 7040, '\p{^Is_Blk=balinese}', "");
    Expect(1, 7040, '\P{Is_Blk=balinese}', "");
    Expect(0, 7040, '\P{^Is_Blk=balinese}', "");
    Expect(1, 7039, '\p{Is_Blk=_-BALINESE}', "");
    Expect(0, 7039, '\p{^Is_Blk=_-BALINESE}', "");
    Expect(0, 7039, '\P{Is_Blk=_-BALINESE}', "");
    Expect(1, 7039, '\P{^Is_Blk=_-BALINESE}', "");
    Expect(0, 7040, '\p{Is_Blk=_-BALINESE}', "");
    Expect(1, 7040, '\p{^Is_Blk=_-BALINESE}', "");
    Expect(1, 7040, '\P{Is_Blk=_-BALINESE}', "");
    Expect(0, 7040, '\P{^Is_Blk=_-BALINESE}', "");
    Error('\p{Block=/a/		bamum}');
    Error('\P{Block=/a/		bamum}');
    Expect(1, 42751, '\p{Block=:\ABamum\z:}', "");;
    Expect(0, 42752, '\p{Block=:\ABamum\z:}', "");;
    Expect(1, 42751, '\p{Block:   bamum}', "");
    Expect(0, 42751, '\p{^Block:   bamum}', "");
    Expect(0, 42751, '\P{Block:   bamum}', "");
    Expect(1, 42751, '\P{^Block:   bamum}', "");
    Expect(0, 42752, '\p{Block:   bamum}', "");
    Expect(1, 42752, '\p{^Block:   bamum}', "");
    Expect(1, 42752, '\P{Block:   bamum}', "");
    Expect(0, 42752, '\P{^Block:   bamum}', "");
    Expect(1, 42751, '\p{Block=:\Abamum\z:}', "");;
    Expect(0, 42752, '\p{Block=:\Abamum\z:}', "");;
    Expect(1, 42751, '\p{Block:    	Bamum}', "");
    Expect(0, 42751, '\p{^Block:    	Bamum}', "");
    Expect(0, 42751, '\P{Block:    	Bamum}', "");
    Expect(1, 42751, '\P{^Block:    	Bamum}', "");
    Expect(0, 42752, '\p{Block:    	Bamum}', "");
    Expect(1, 42752, '\p{^Block:    	Bamum}', "");
    Expect(1, 42752, '\P{Block:    	Bamum}', "");
    Expect(0, 42752, '\P{^Block:    	Bamum}', "");
    Error('\p{Blk:	-/a/Bamum}');
    Error('\P{Blk:	-/a/Bamum}');
    Expect(1, 42751, '\p{Blk=:\ABamum\z:}', "");;
    Expect(0, 42752, '\p{Blk=:\ABamum\z:}', "");;
    Expect(1, 42751, '\p{Blk=bamum}', "");
    Expect(0, 42751, '\p{^Blk=bamum}', "");
    Expect(0, 42751, '\P{Blk=bamum}', "");
    Expect(1, 42751, '\P{^Blk=bamum}', "");
    Expect(0, 42752, '\p{Blk=bamum}', "");
    Expect(1, 42752, '\p{^Blk=bamum}', "");
    Expect(1, 42752, '\P{Blk=bamum}', "");
    Expect(0, 42752, '\P{^Blk=bamum}', "");
    Expect(1, 42751, '\p{Blk=:\Abamum\z:}', "");;
    Expect(0, 42752, '\p{Blk=:\Abamum\z:}', "");;
    Expect(1, 42751, '\p{Blk=	Bamum}', "");
    Expect(0, 42751, '\p{^Blk=	Bamum}', "");
    Expect(0, 42751, '\P{Blk=	Bamum}', "");
    Expect(1, 42751, '\P{^Blk=	Bamum}', "");
    Expect(0, 42752, '\p{Blk=	Bamum}', "");
    Expect(1, 42752, '\p{^Blk=	Bamum}', "");
    Expect(1, 42752, '\P{Blk=	Bamum}', "");
    Expect(0, 42752, '\P{^Blk=	Bamum}', "");
    Error('\p{Is_Block=:=_	Bamum}');
    Error('\P{Is_Block=:=_	Bamum}');
    Expect(1, 42751, '\p{Is_Block=bamum}', "");
    Expect(0, 42751, '\p{^Is_Block=bamum}', "");
    Expect(0, 42751, '\P{Is_Block=bamum}', "");
    Expect(1, 42751, '\P{^Is_Block=bamum}', "");
    Expect(0, 42752, '\p{Is_Block=bamum}', "");
    Expect(1, 42752, '\p{^Is_Block=bamum}', "");
    Expect(1, 42752, '\P{Is_Block=bamum}', "");
    Expect(0, 42752, '\P{^Is_Block=bamum}', "");
    Expect(1, 42751, '\p{Is_Block: bamum}', "");
    Expect(0, 42751, '\p{^Is_Block: bamum}', "");
    Expect(0, 42751, '\P{Is_Block: bamum}', "");
    Expect(1, 42751, '\P{^Is_Block: bamum}', "");
    Expect(0, 42752, '\p{Is_Block: bamum}', "");
    Expect(1, 42752, '\p{^Is_Block: bamum}', "");
    Expect(1, 42752, '\P{Is_Block: bamum}', "");
    Expect(0, 42752, '\P{^Is_Block: bamum}', "");
    Error('\p{Is_Blk=--BAMUM/a/}');
    Error('\P{Is_Blk=--BAMUM/a/}');
    Expect(1, 42751, '\p{Is_Blk=bamum}', "");
    Expect(0, 42751, '\p{^Is_Blk=bamum}', "");
    Expect(0, 42751, '\P{Is_Blk=bamum}', "");
    Expect(1, 42751, '\P{^Is_Blk=bamum}', "");
    Expect(0, 42752, '\p{Is_Blk=bamum}', "");
    Expect(1, 42752, '\p{^Is_Blk=bamum}', "");
    Expect(1, 42752, '\P{Is_Blk=bamum}', "");
    Expect(0, 42752, '\P{^Is_Blk=bamum}', "");
    Expect(1, 42751, '\p{Is_Blk=-BAMUM}', "");
    Expect(0, 42751, '\p{^Is_Blk=-BAMUM}', "");
    Expect(0, 42751, '\P{Is_Blk=-BAMUM}', "");
    Expect(1, 42751, '\P{^Is_Blk=-BAMUM}', "");
    Expect(0, 42752, '\p{Is_Blk=-BAMUM}', "");
    Expect(1, 42752, '\p{^Is_Blk=-BAMUM}', "");
    Expect(1, 42752, '\P{Is_Blk=-BAMUM}', "");
    Expect(0, 42752, '\P{^Is_Blk=-BAMUM}', "");
    Error('\p{Block=-Bamum_supplement:=}');
    Error('\P{Block=-Bamum_supplement:=}');
    Expect(1, 92735, '\p{Block=:\ABamum_Supplement\z:}', "");;
    Expect(0, 92736, '\p{Block=:\ABamum_Supplement\z:}', "");;
    Expect(1, 92735, '\p{Block=bamumsupplement}', "");
    Expect(0, 92735, '\p{^Block=bamumsupplement}', "");
    Expect(0, 92735, '\P{Block=bamumsupplement}', "");
    Expect(1, 92735, '\P{^Block=bamumsupplement}', "");
    Expect(0, 92736, '\p{Block=bamumsupplement}', "");
    Expect(1, 92736, '\p{^Block=bamumsupplement}', "");
    Expect(1, 92736, '\P{Block=bamumsupplement}', "");
    Expect(0, 92736, '\P{^Block=bamumsupplement}', "");
    Expect(1, 92735, '\p{Block=:\Abamumsupplement\z:}', "");;
    Expect(0, 92736, '\p{Block=:\Abamumsupplement\z:}', "");;
    Expect(1, 92735, '\p{Block:  Bamum_Supplement}', "");
    Expect(0, 92735, '\p{^Block:  Bamum_Supplement}', "");
    Expect(0, 92735, '\P{Block:  Bamum_Supplement}', "");
    Expect(1, 92735, '\P{^Block:  Bamum_Supplement}', "");
    Expect(0, 92736, '\p{Block:  Bamum_Supplement}', "");
    Expect(1, 92736, '\p{^Block:  Bamum_Supplement}', "");
    Expect(1, 92736, '\P{Block:  Bamum_Supplement}', "");
    Expect(0, 92736, '\P{^Block:  Bamum_Supplement}', "");
    Error('\p{Blk= /a/Bamum_Sup}');
    Error('\P{Blk= /a/Bamum_Sup}');
    Expect(1, 92735, '\p{Blk=:\ABamum_Sup\z:}', "");;
    Expect(0, 92736, '\p{Blk=:\ABamum_Sup\z:}', "");;
    Expect(1, 92735, '\p{Blk=bamumsup}', "");
    Expect(0, 92735, '\p{^Blk=bamumsup}', "");
    Expect(0, 92735, '\P{Blk=bamumsup}', "");
    Expect(1, 92735, '\P{^Blk=bamumsup}', "");
    Expect(0, 92736, '\p{Blk=bamumsup}', "");
    Expect(1, 92736, '\p{^Blk=bamumsup}', "");
    Expect(1, 92736, '\P{Blk=bamumsup}', "");
    Expect(0, 92736, '\P{^Blk=bamumsup}', "");
    Expect(1, 92735, '\p{Blk=:\Abamumsup\z:}', "");;
    Expect(0, 92736, '\p{Blk=:\Abamumsup\z:}', "");;
    Expect(1, 92735, '\p{Blk=_-bamum_SUP}', "");
    Expect(0, 92735, '\p{^Blk=_-bamum_SUP}', "");
    Expect(0, 92735, '\P{Blk=_-bamum_SUP}', "");
    Expect(1, 92735, '\P{^Blk=_-bamum_SUP}', "");
    Expect(0, 92736, '\p{Blk=_-bamum_SUP}', "");
    Expect(1, 92736, '\p{^Blk=_-bamum_SUP}', "");
    Expect(1, 92736, '\P{Blk=_-bamum_SUP}', "");
    Expect(0, 92736, '\P{^Blk=_-bamum_SUP}', "");
    Error('\p{Is_Block=:=	-bamum_SUPPLEMENT}');
    Error('\P{Is_Block=:=	-bamum_SUPPLEMENT}');
    Expect(1, 92735, '\p{Is_Block:	bamumsupplement}', "");
    Expect(0, 92735, '\p{^Is_Block:	bamumsupplement}', "");
    Expect(0, 92735, '\P{Is_Block:	bamumsupplement}', "");
    Expect(1, 92735, '\P{^Is_Block:	bamumsupplement}', "");
    Expect(0, 92736, '\p{Is_Block:	bamumsupplement}', "");
    Expect(1, 92736, '\p{^Is_Block:	bamumsupplement}', "");
    Expect(1, 92736, '\P{Is_Block:	bamumsupplement}', "");
    Expect(0, 92736, '\P{^Is_Block:	bamumsupplement}', "");
    Expect(1, 92735, '\p{Is_Block=	 Bamum_Supplement}', "");
    Expect(0, 92735, '\p{^Is_Block=	 Bamum_Supplement}', "");
    Expect(0, 92735, '\P{Is_Block=	 Bamum_Supplement}', "");
    Expect(1, 92735, '\P{^Is_Block=	 Bamum_Supplement}', "");
    Expect(0, 92736, '\p{Is_Block=	 Bamum_Supplement}', "");
    Expect(1, 92736, '\p{^Is_Block=	 Bamum_Supplement}', "");
    Expect(1, 92736, '\P{Is_Block=	 Bamum_Supplement}', "");
    Expect(0, 92736, '\P{^Is_Block=	 Bamum_Supplement}', "");
    Error('\p{Is_Blk:	:= BAMUM_Sup}');
    Error('\P{Is_Blk:	:= BAMUM_Sup}');
    Expect(1, 92735, '\p{Is_Blk:	bamumsup}', "");
    Expect(0, 92735, '\p{^Is_Blk:	bamumsup}', "");
    Expect(0, 92735, '\P{Is_Blk:	bamumsup}', "");
    Expect(1, 92735, '\P{^Is_Blk:	bamumsup}', "");
    Expect(0, 92736, '\p{Is_Blk:	bamumsup}', "");
    Expect(1, 92736, '\p{^Is_Blk:	bamumsup}', "");
    Expect(1, 92736, '\P{Is_Blk:	bamumsup}', "");
    Expect(0, 92736, '\P{^Is_Blk:	bamumsup}', "");
    Expect(1, 92735, '\p{Is_Blk= _BAMUM_Sup}', "");
    Expect(0, 92735, '\p{^Is_Blk= _BAMUM_Sup}', "");
    Expect(0, 92735, '\P{Is_Blk= _BAMUM_Sup}', "");
    Expect(1, 92735, '\P{^Is_Blk= _BAMUM_Sup}', "");
    Expect(0, 92736, '\p{Is_Blk= _BAMUM_Sup}', "");
    Expect(1, 92736, '\p{^Is_Blk= _BAMUM_Sup}', "");
    Expect(1, 92736, '\P{Is_Blk= _BAMUM_Sup}', "");
    Expect(0, 92736, '\P{^Is_Blk= _BAMUM_Sup}', "");
    Error('\p{Block= _bassa_VAH/a/}');
    Error('\P{Block= _bassa_VAH/a/}');
    Expect(1, 92927, '\p{Block=:\ABassa_Vah\z:}', "");;
    Expect(0, 92928, '\p{Block=:\ABassa_Vah\z:}', "");;
    Expect(1, 92927, '\p{Block=bassavah}', "");
    Expect(0, 92927, '\p{^Block=bassavah}', "");
    Expect(0, 92927, '\P{Block=bassavah}', "");
    Expect(1, 92927, '\P{^Block=bassavah}', "");
    Expect(0, 92928, '\p{Block=bassavah}', "");
    Expect(1, 92928, '\p{^Block=bassavah}', "");
    Expect(1, 92928, '\P{Block=bassavah}', "");
    Expect(0, 92928, '\P{^Block=bassavah}', "");
    Expect(1, 92927, '\p{Block=:\Abassavah\z:}', "");;
    Expect(0, 92928, '\p{Block=:\Abassavah\z:}', "");;
    Expect(1, 92927, '\p{Block= bassa_VAH}', "");
    Expect(0, 92927, '\p{^Block= bassa_VAH}', "");
    Expect(0, 92927, '\P{Block= bassa_VAH}', "");
    Expect(1, 92927, '\P{^Block= bassa_VAH}', "");
    Expect(0, 92928, '\p{Block= bassa_VAH}', "");
    Expect(1, 92928, '\p{^Block= bassa_VAH}', "");
    Expect(1, 92928, '\P{Block= bassa_VAH}', "");
    Expect(0, 92928, '\P{^Block= bassa_VAH}', "");
    Error('\p{Blk=-BASSA_vah/a/}');
    Error('\P{Blk=-BASSA_vah/a/}');
    Expect(1, 92927, '\p{Blk=:\ABassa_Vah\z:}', "");;
    Expect(0, 92928, '\p{Blk=:\ABassa_Vah\z:}', "");;
    Expect(1, 92927, '\p{Blk=bassavah}', "");
    Expect(0, 92927, '\p{^Blk=bassavah}', "");
    Expect(0, 92927, '\P{Blk=bassavah}', "");
    Expect(1, 92927, '\P{^Blk=bassavah}', "");
    Expect(0, 92928, '\p{Blk=bassavah}', "");
    Expect(1, 92928, '\p{^Blk=bassavah}', "");
    Expect(1, 92928, '\P{Blk=bassavah}', "");
    Expect(0, 92928, '\P{^Blk=bassavah}', "");
    Expect(1, 92927, '\p{Blk=:\Abassavah\z:}', "");;
    Expect(0, 92928, '\p{Blk=:\Abassavah\z:}', "");;
    Expect(1, 92927, '\p{Blk:  -Bassa_Vah}', "");
    Expect(0, 92927, '\p{^Blk:  -Bassa_Vah}', "");
    Expect(0, 92927, '\P{Blk:  -Bassa_Vah}', "");
    Expect(1, 92927, '\P{^Blk:  -Bassa_Vah}', "");
    Expect(0, 92928, '\p{Blk:  -Bassa_Vah}', "");
    Expect(1, 92928, '\p{^Blk:  -Bassa_Vah}', "");
    Expect(1, 92928, '\P{Blk:  -Bassa_Vah}', "");
    Expect(0, 92928, '\P{^Blk:  -Bassa_Vah}', "");
    Error('\p{Is_Block=	:=BASSA_VAH}');
    Error('\P{Is_Block=	:=BASSA_VAH}');
    Expect(1, 92927, '\p{Is_Block=bassavah}', "");
    Expect(0, 92927, '\p{^Is_Block=bassavah}', "");
    Expect(0, 92927, '\P{Is_Block=bassavah}', "");
    Expect(1, 92927, '\P{^Is_Block=bassavah}', "");
    Expect(0, 92928, '\p{Is_Block=bassavah}', "");
    Expect(1, 92928, '\p{^Is_Block=bassavah}', "");
    Expect(1, 92928, '\P{Is_Block=bassavah}', "");
    Expect(0, 92928, '\P{^Is_Block=bassavah}', "");
    Expect(1, 92927, '\p{Is_Block=	_bassa_vah}', "");
    Expect(0, 92927, '\p{^Is_Block=	_bassa_vah}', "");
    Expect(0, 92927, '\P{Is_Block=	_bassa_vah}', "");
    Expect(1, 92927, '\P{^Is_Block=	_bassa_vah}', "");
    Expect(0, 92928, '\p{Is_Block=	_bassa_vah}', "");
    Expect(1, 92928, '\p{^Is_Block=	_bassa_vah}', "");
    Expect(1, 92928, '\P{Is_Block=	_bassa_vah}', "");
    Expect(0, 92928, '\P{^Is_Block=	_bassa_vah}', "");
    Error('\p{Is_Blk=:=_BASSA_Vah}');
    Error('\P{Is_Blk=:=_BASSA_Vah}');
    Expect(1, 92927, '\p{Is_Blk=bassavah}', "");
    Expect(0, 92927, '\p{^Is_Blk=bassavah}', "");
    Expect(0, 92927, '\P{Is_Blk=bassavah}', "");
    Expect(1, 92927, '\P{^Is_Blk=bassavah}', "");
    Expect(0, 92928, '\p{Is_Blk=bassavah}', "");
    Expect(1, 92928, '\p{^Is_Blk=bassavah}', "");
    Expect(1, 92928, '\P{Is_Blk=bassavah}', "");
    Expect(0, 92928, '\P{^Is_Blk=bassavah}', "");
    Expect(1, 92927, '\p{Is_Blk= -bassa_Vah}', "");
    Expect(0, 92927, '\p{^Is_Blk= -bassa_Vah}', "");
    Expect(0, 92927, '\P{Is_Blk= -bassa_Vah}', "");
    Expect(1, 92927, '\P{^Is_Blk= -bassa_Vah}', "");
    Expect(0, 92928, '\p{Is_Blk= -bassa_Vah}', "");
    Expect(1, 92928, '\p{^Is_Blk= -bassa_Vah}', "");
    Expect(1, 92928, '\P{Is_Blk= -bassa_Vah}', "");
    Expect(0, 92928, '\P{^Is_Blk= -bassa_Vah}', "");
    Error('\p{Block=/a/BATAK}');
    Error('\P{Block=/a/BATAK}');
    Expect(1, 7167, '\p{Block=:\ABatak\z:}', "");;
    Expect(0, 7168, '\p{Block=:\ABatak\z:}', "");;
    Expect(1, 7167, '\p{Block=batak}', "");
    Expect(0, 7167, '\p{^Block=batak}', "");
    Expect(0, 7167, '\P{Block=batak}', "");
    Expect(1, 7167, '\P{^Block=batak}', "");
    Expect(0, 7168, '\p{Block=batak}', "");
    Expect(1, 7168, '\p{^Block=batak}', "");
    Expect(1, 7168, '\P{Block=batak}', "");
    Expect(0, 7168, '\P{^Block=batak}', "");
    Expect(1, 7167, '\p{Block=:\Abatak\z:}', "");;
    Expect(0, 7168, '\p{Block=:\Abatak\z:}', "");;
    Expect(1, 7167, '\p{Block= 	batak}', "");
    Expect(0, 7167, '\p{^Block= 	batak}', "");
    Expect(0, 7167, '\P{Block= 	batak}', "");
    Expect(1, 7167, '\P{^Block= 	batak}', "");
    Expect(0, 7168, '\p{Block= 	batak}', "");
    Expect(1, 7168, '\p{^Block= 	batak}', "");
    Expect(1, 7168, '\P{Block= 	batak}', "");
    Expect(0, 7168, '\P{^Block= 	batak}', "");
    Error('\p{Blk=_/a/BATAK}');
    Error('\P{Blk=_/a/BATAK}');
    Expect(1, 7167, '\p{Blk=:\ABatak\z:}', "");;
    Expect(0, 7168, '\p{Blk=:\ABatak\z:}', "");;
    Expect(1, 7167, '\p{Blk=batak}', "");
    Expect(0, 7167, '\p{^Blk=batak}', "");
    Expect(0, 7167, '\P{Blk=batak}', "");
    Expect(1, 7167, '\P{^Blk=batak}', "");
    Expect(0, 7168, '\p{Blk=batak}', "");
    Expect(1, 7168, '\p{^Blk=batak}', "");
    Expect(1, 7168, '\P{Blk=batak}', "");
    Expect(0, 7168, '\P{^Blk=batak}', "");
    Expect(1, 7167, '\p{Blk=:\Abatak\z:}', "");;
    Expect(0, 7168, '\p{Blk=:\Abatak\z:}', "");;
    Error('\p{Is_Block=_/a/Batak}');
    Error('\P{Is_Block=_/a/Batak}');
    Expect(1, 7167, '\p{Is_Block=batak}', "");
    Expect(0, 7167, '\p{^Is_Block=batak}', "");
    Expect(0, 7167, '\P{Is_Block=batak}', "");
    Expect(1, 7167, '\P{^Is_Block=batak}', "");
    Expect(0, 7168, '\p{Is_Block=batak}', "");
    Expect(1, 7168, '\p{^Is_Block=batak}', "");
    Expect(1, 7168, '\P{Is_Block=batak}', "");
    Expect(0, 7168, '\P{^Is_Block=batak}', "");
    Expect(1, 7167, '\p{Is_Block=	_batak}', "");
    Expect(0, 7167, '\p{^Is_Block=	_batak}', "");
    Expect(0, 7167, '\P{Is_Block=	_batak}', "");
    Expect(1, 7167, '\P{^Is_Block=	_batak}', "");
    Expect(0, 7168, '\p{Is_Block=	_batak}', "");
    Expect(1, 7168, '\p{^Is_Block=	_batak}', "");
    Expect(1, 7168, '\P{Is_Block=	_batak}', "");
    Expect(0, 7168, '\P{^Is_Block=	_batak}', "");
    Error('\p{Is_Blk=- BATAK/a/}');
    Error('\P{Is_Blk=- BATAK/a/}');
    Expect(1, 7167, '\p{Is_Blk:   batak}', "");
    Expect(0, 7167, '\p{^Is_Blk:   batak}', "");
    Expect(0, 7167, '\P{Is_Blk:   batak}', "");
    Expect(1, 7167, '\P{^Is_Blk:   batak}', "");
    Expect(0, 7168, '\p{Is_Blk:   batak}', "");
    Expect(1, 7168, '\p{^Is_Blk:   batak}', "");
    Expect(1, 7168, '\P{Is_Blk:   batak}', "");
    Expect(0, 7168, '\P{^Is_Blk:   batak}', "");
    Expect(1, 7167, '\p{Is_Blk=- Batak}', "");
    Expect(0, 7167, '\p{^Is_Blk=- Batak}', "");
    Expect(0, 7167, '\P{Is_Blk=- Batak}', "");
    Expect(1, 7167, '\P{^Is_Blk=- Batak}', "");
    Expect(0, 7168, '\p{Is_Blk=- Batak}', "");
    Expect(1, 7168, '\p{^Is_Blk=- Batak}', "");
    Expect(1, 7168, '\P{Is_Blk=- Batak}', "");
    Expect(0, 7168, '\P{^Is_Blk=- Batak}', "");
    Error('\p{Block=/a/bengali}');
    Error('\P{Block=/a/bengali}');
    Expect(1, 2559, '\p{Block=:\ABengali\z:}', "");;
    Expect(0, 2560, '\p{Block=:\ABengali\z:}', "");;
    Expect(1, 2559, '\p{Block=bengali}', "");
    Expect(0, 2559, '\p{^Block=bengali}', "");
    Expect(0, 2559, '\P{Block=bengali}', "");
    Expect(1, 2559, '\P{^Block=bengali}', "");
    Expect(0, 2560, '\p{Block=bengali}', "");
    Expect(1, 2560, '\p{^Block=bengali}', "");
    Expect(1, 2560, '\P{Block=bengali}', "");
    Expect(0, 2560, '\P{^Block=bengali}', "");
    Expect(1, 2559, '\p{Block=:\Abengali\z:}', "");;
    Expect(0, 2560, '\p{Block=:\Abengali\z:}', "");;
    Expect(1, 2559, '\p{Block=	_Bengali}', "");
    Expect(0, 2559, '\p{^Block=	_Bengali}', "");
    Expect(0, 2559, '\P{Block=	_Bengali}', "");
    Expect(1, 2559, '\P{^Block=	_Bengali}', "");
    Expect(0, 2560, '\p{Block=	_Bengali}', "");
    Expect(1, 2560, '\p{^Block=	_Bengali}', "");
    Expect(1, 2560, '\P{Block=	_Bengali}', "");
    Expect(0, 2560, '\P{^Block=	_Bengali}', "");
    Error('\p{Blk=:=_	Bengali}');
    Error('\P{Blk=:=_	Bengali}');
    Expect(1, 2559, '\p{Blk=:\ABengali\z:}', "");;
    Expect(0, 2560, '\p{Blk=:\ABengali\z:}', "");;
    Expect(1, 2559, '\p{Blk=bengali}', "");
    Expect(0, 2559, '\p{^Blk=bengali}', "");
    Expect(0, 2559, '\P{Blk=bengali}', "");
    Expect(1, 2559, '\P{^Blk=bengali}', "");
    Expect(0, 2560, '\p{Blk=bengali}', "");
    Expect(1, 2560, '\p{^Blk=bengali}', "");
    Expect(1, 2560, '\P{Blk=bengali}', "");
    Expect(0, 2560, '\P{^Blk=bengali}', "");
    Expect(1, 2559, '\p{Blk=:\Abengali\z:}', "");;
    Expect(0, 2560, '\p{Blk=:\Abengali\z:}', "");;
    Expect(1, 2559, '\p{Blk=  Bengali}', "");
    Expect(0, 2559, '\p{^Blk=  Bengali}', "");
    Expect(0, 2559, '\P{Blk=  Bengali}', "");
    Expect(1, 2559, '\P{^Blk=  Bengali}', "");
    Expect(0, 2560, '\p{Blk=  Bengali}', "");
    Expect(1, 2560, '\p{^Blk=  Bengali}', "");
    Expect(1, 2560, '\P{Blk=  Bengali}', "");
    Expect(0, 2560, '\P{^Blk=  Bengali}', "");
    Error('\p{Is_Block=	:=BENGALI}');
    Error('\P{Is_Block=	:=BENGALI}');
    Expect(1, 2559, '\p{Is_Block=bengali}', "");
    Expect(0, 2559, '\p{^Is_Block=bengali}', "");
    Expect(0, 2559, '\P{Is_Block=bengali}', "");
    Expect(1, 2559, '\P{^Is_Block=bengali}', "");
    Expect(0, 2560, '\p{Is_Block=bengali}', "");
    Expect(1, 2560, '\p{^Is_Block=bengali}', "");
    Expect(1, 2560, '\P{Is_Block=bengali}', "");
    Expect(0, 2560, '\P{^Is_Block=bengali}', "");
    Expect(1, 2559, '\p{Is_Block=	bengali}', "");
    Expect(0, 2559, '\p{^Is_Block=	bengali}', "");
    Expect(0, 2559, '\P{Is_Block=	bengali}', "");
    Expect(1, 2559, '\P{^Is_Block=	bengali}', "");
    Expect(0, 2560, '\p{Is_Block=	bengali}', "");
    Expect(1, 2560, '\p{^Is_Block=	bengali}', "");
    Expect(1, 2560, '\P{Is_Block=	bengali}', "");
    Expect(0, 2560, '\P{^Is_Block=	bengali}', "");
    Error('\p{Is_Blk=Bengali/a/}');
    Error('\P{Is_Blk=Bengali/a/}');
    Expect(1, 2559, '\p{Is_Blk=bengali}', "");
    Expect(0, 2559, '\p{^Is_Blk=bengali}', "");
    Expect(0, 2559, '\P{Is_Blk=bengali}', "");
    Expect(1, 2559, '\P{^Is_Blk=bengali}', "");
    Expect(0, 2560, '\p{Is_Blk=bengali}', "");
    Expect(1, 2560, '\p{^Is_Blk=bengali}', "");
    Expect(1, 2560, '\P{Is_Blk=bengali}', "");
    Expect(0, 2560, '\P{^Is_Blk=bengali}', "");
    Expect(1, 2559, '\p{Is_Blk=-	Bengali}', "");
    Expect(0, 2559, '\p{^Is_Blk=-	Bengali}', "");
    Expect(0, 2559, '\P{Is_Blk=-	Bengali}', "");
    Expect(1, 2559, '\P{^Is_Blk=-	Bengali}', "");
    Expect(0, 2560, '\p{Is_Blk=-	Bengali}', "");
    Expect(1, 2560, '\p{^Is_Blk=-	Bengali}', "");
    Expect(1, 2560, '\P{Is_Blk=-	Bengali}', "");
    Expect(0, 2560, '\P{^Is_Blk=-	Bengali}', "");
    Error('\p{Block=	_Bhaiksuki:=}');
    Error('\P{Block=	_Bhaiksuki:=}');
    Expect(1, 72815, '\p{Block=:\ABhaiksuki\z:}', "");;
    Expect(0, 72816, '\p{Block=:\ABhaiksuki\z:}', "");;
    Expect(1, 72815, '\p{Block=bhaiksuki}', "");
    Expect(0, 72815, '\p{^Block=bhaiksuki}', "");
    Expect(0, 72815, '\P{Block=bhaiksuki}', "");
    Expect(1, 72815, '\P{^Block=bhaiksuki}', "");
    Expect(0, 72816, '\p{Block=bhaiksuki}', "");
    Expect(1, 72816, '\p{^Block=bhaiksuki}', "");
    Expect(1, 72816, '\P{Block=bhaiksuki}', "");
    Expect(0, 72816, '\P{^Block=bhaiksuki}', "");
    Expect(1, 72815, '\p{Block=:\Abhaiksuki\z:}', "");;
    Expect(0, 72816, '\p{Block=:\Abhaiksuki\z:}', "");;
    Expect(1, 72815, '\p{Block= 	bhaiksuki}', "");
    Expect(0, 72815, '\p{^Block= 	bhaiksuki}', "");
    Expect(0, 72815, '\P{Block= 	bhaiksuki}', "");
    Expect(1, 72815, '\P{^Block= 	bhaiksuki}', "");
    Expect(0, 72816, '\p{Block= 	bhaiksuki}', "");
    Expect(1, 72816, '\p{^Block= 	bhaiksuki}', "");
    Expect(1, 72816, '\P{Block= 	bhaiksuki}', "");
    Expect(0, 72816, '\P{^Block= 	bhaiksuki}', "");
    Error('\p{Blk:	:= 	Bhaiksuki}');
    Error('\P{Blk:	:= 	Bhaiksuki}');
    Expect(1, 72815, '\p{Blk=:\ABhaiksuki\z:}', "");;
    Expect(0, 72816, '\p{Blk=:\ABhaiksuki\z:}', "");;
    Expect(1, 72815, '\p{Blk=bhaiksuki}', "");
    Expect(0, 72815, '\p{^Blk=bhaiksuki}', "");
    Expect(0, 72815, '\P{Blk=bhaiksuki}', "");
    Expect(1, 72815, '\P{^Blk=bhaiksuki}', "");
    Expect(0, 72816, '\p{Blk=bhaiksuki}', "");
    Expect(1, 72816, '\p{^Blk=bhaiksuki}', "");
    Expect(1, 72816, '\P{Blk=bhaiksuki}', "");
    Expect(0, 72816, '\P{^Blk=bhaiksuki}', "");
    Expect(1, 72815, '\p{Blk=:\Abhaiksuki\z:}', "");;
    Expect(0, 72816, '\p{Blk=:\Abhaiksuki\z:}', "");;
    Expect(1, 72815, '\p{Blk=Bhaiksuki}', "");
    Expect(0, 72815, '\p{^Blk=Bhaiksuki}', "");
    Expect(0, 72815, '\P{Blk=Bhaiksuki}', "");
    Expect(1, 72815, '\P{^Blk=Bhaiksuki}', "");
    Expect(0, 72816, '\p{Blk=Bhaiksuki}', "");
    Expect(1, 72816, '\p{^Blk=Bhaiksuki}', "");
    Expect(1, 72816, '\P{Blk=Bhaiksuki}', "");
    Expect(0, 72816, '\P{^Blk=Bhaiksuki}', "");
    Error('\p{Is_Block=:=_-Bhaiksuki}');
    Error('\P{Is_Block=:=_-Bhaiksuki}');
    Expect(1, 72815, '\p{Is_Block=bhaiksuki}', "");
    Expect(0, 72815, '\p{^Is_Block=bhaiksuki}', "");
    Expect(0, 72815, '\P{Is_Block=bhaiksuki}', "");
    Expect(1, 72815, '\P{^Is_Block=bhaiksuki}', "");
    Expect(0, 72816, '\p{Is_Block=bhaiksuki}', "");
    Expect(1, 72816, '\p{^Is_Block=bhaiksuki}', "");
    Expect(1, 72816, '\P{Is_Block=bhaiksuki}', "");
    Expect(0, 72816, '\P{^Is_Block=bhaiksuki}', "");
    Expect(1, 72815, '\p{Is_Block=--Bhaiksuki}', "");
    Expect(0, 72815, '\p{^Is_Block=--Bhaiksuki}', "");
    Expect(0, 72815, '\P{Is_Block=--Bhaiksuki}', "");
    Expect(1, 72815, '\P{^Is_Block=--Bhaiksuki}', "");
    Expect(0, 72816, '\p{Is_Block=--Bhaiksuki}', "");
    Expect(1, 72816, '\p{^Is_Block=--Bhaiksuki}', "");
    Expect(1, 72816, '\P{Is_Block=--Bhaiksuki}', "");
    Expect(0, 72816, '\P{^Is_Block=--Bhaiksuki}', "");
    Error('\p{Is_Blk=_bhaiksuki/a/}');
    Error('\P{Is_Blk=_bhaiksuki/a/}');
    Expect(1, 72815, '\p{Is_Blk=bhaiksuki}', "");
    Expect(0, 72815, '\p{^Is_Blk=bhaiksuki}', "");
    Expect(0, 72815, '\P{Is_Blk=bhaiksuki}', "");
    Expect(1, 72815, '\P{^Is_Blk=bhaiksuki}', "");
    Expect(0, 72816, '\p{Is_Blk=bhaiksuki}', "");
    Expect(1, 72816, '\p{^Is_Blk=bhaiksuki}', "");
    Expect(1, 72816, '\P{Is_Blk=bhaiksuki}', "");
    Expect(0, 72816, '\P{^Is_Blk=bhaiksuki}', "");
    Expect(1, 72815, '\p{Is_Blk=	Bhaiksuki}', "");
    Expect(0, 72815, '\p{^Is_Blk=	Bhaiksuki}', "");
    Expect(0, 72815, '\P{Is_Blk=	Bhaiksuki}', "");
    Expect(1, 72815, '\P{^Is_Blk=	Bhaiksuki}', "");
    Expect(0, 72816, '\p{Is_Blk=	Bhaiksuki}', "");
    Expect(1, 72816, '\p{^Is_Blk=	Bhaiksuki}', "");
    Expect(1, 72816, '\P{Is_Blk=	Bhaiksuki}', "");
    Expect(0, 72816, '\P{^Is_Blk=	Bhaiksuki}', "");
    Error('\p{Block=:=  Block_Elements}');
    Error('\P{Block=:=  Block_Elements}');
    Expect(1, 9631, '\p{Block=:\ABlock_Elements\z:}', "");;
    Expect(0, 9632, '\p{Block=:\ABlock_Elements\z:}', "");;
    Expect(1, 9631, '\p{Block=blockelements}', "");
    Expect(0, 9631, '\p{^Block=blockelements}', "");
    Expect(0, 9631, '\P{Block=blockelements}', "");
    Expect(1, 9631, '\P{^Block=blockelements}', "");
    Expect(0, 9632, '\p{Block=blockelements}', "");
    Expect(1, 9632, '\p{^Block=blockelements}', "");
    Expect(1, 9632, '\P{Block=blockelements}', "");
    Expect(0, 9632, '\P{^Block=blockelements}', "");
    Expect(1, 9631, '\p{Block=:\Ablockelements\z:}', "");;
    Expect(0, 9632, '\p{Block=:\Ablockelements\z:}', "");;
    Expect(1, 9631, '\p{Block=_BLOCK_Elements}', "");
    Expect(0, 9631, '\p{^Block=_BLOCK_Elements}', "");
    Expect(0, 9631, '\P{Block=_BLOCK_Elements}', "");
    Expect(1, 9631, '\P{^Block=_BLOCK_Elements}', "");
    Expect(0, 9632, '\p{Block=_BLOCK_Elements}', "");
    Expect(1, 9632, '\p{^Block=_BLOCK_Elements}', "");
    Expect(1, 9632, '\P{Block=_BLOCK_Elements}', "");
    Expect(0, 9632, '\P{^Block=_BLOCK_Elements}', "");
    Error('\p{Blk=	:=block_elements}');
    Error('\P{Blk=	:=block_elements}');
    Expect(1, 9631, '\p{Blk=:\ABlock_Elements\z:}', "");;
    Expect(0, 9632, '\p{Blk=:\ABlock_Elements\z:}', "");;
    Expect(1, 9631, '\p{Blk=blockelements}', "");
    Expect(0, 9631, '\p{^Blk=blockelements}', "");
    Expect(0, 9631, '\P{Blk=blockelements}', "");
    Expect(1, 9631, '\P{^Blk=blockelements}', "");
    Expect(0, 9632, '\p{Blk=blockelements}', "");
    Expect(1, 9632, '\p{^Blk=blockelements}', "");
    Expect(1, 9632, '\P{Blk=blockelements}', "");
    Expect(0, 9632, '\P{^Blk=blockelements}', "");
    Expect(1, 9631, '\p{Blk=:\Ablockelements\z:}', "");;
    Expect(0, 9632, '\p{Blk=:\Ablockelements\z:}', "");;
    Expect(1, 9631, '\p{Blk=- block_elements}', "");
    Expect(0, 9631, '\p{^Blk=- block_elements}', "");
    Expect(0, 9631, '\P{Blk=- block_elements}', "");
    Expect(1, 9631, '\P{^Blk=- block_elements}', "");
    Expect(0, 9632, '\p{Blk=- block_elements}', "");
    Expect(1, 9632, '\p{^Blk=- block_elements}', "");
    Expect(1, 9632, '\P{Blk=- block_elements}', "");
    Expect(0, 9632, '\P{^Blk=- block_elements}', "");
    Error('\p{Is_Block=_:=Block_elements}');
    Error('\P{Is_Block=_:=Block_elements}');
    Expect(1, 9631, '\p{Is_Block=blockelements}', "");
    Expect(0, 9631, '\p{^Is_Block=blockelements}', "");
    Expect(0, 9631, '\P{Is_Block=blockelements}', "");
    Expect(1, 9631, '\P{^Is_Block=blockelements}', "");
    Expect(0, 9632, '\p{Is_Block=blockelements}', "");
    Expect(1, 9632, '\p{^Is_Block=blockelements}', "");
    Expect(1, 9632, '\P{Is_Block=blockelements}', "");
    Expect(0, 9632, '\P{^Is_Block=blockelements}', "");
    Expect(1, 9631, '\p{Is_Block:   	block_Elements}', "");
    Expect(0, 9631, '\p{^Is_Block:   	block_Elements}', "");
    Expect(0, 9631, '\P{Is_Block:   	block_Elements}', "");
    Expect(1, 9631, '\P{^Is_Block:   	block_Elements}', "");
    Expect(0, 9632, '\p{Is_Block:   	block_Elements}', "");
    Expect(1, 9632, '\p{^Is_Block:   	block_Elements}', "");
    Expect(1, 9632, '\P{Is_Block:   	block_Elements}', "");
    Expect(0, 9632, '\P{^Is_Block:   	block_Elements}', "");
    Error('\p{Is_Blk=	_BLOCK_ELEMENTS:=}');
    Error('\P{Is_Blk=	_BLOCK_ELEMENTS:=}');
    Expect(1, 9631, '\p{Is_Blk=blockelements}', "");
    Expect(0, 9631, '\p{^Is_Blk=blockelements}', "");
    Expect(0, 9631, '\P{Is_Blk=blockelements}', "");
    Expect(1, 9631, '\P{^Is_Blk=blockelements}', "");
    Expect(0, 9632, '\p{Is_Blk=blockelements}', "");
    Expect(1, 9632, '\p{^Is_Blk=blockelements}', "");
    Expect(1, 9632, '\P{Is_Blk=blockelements}', "");
    Expect(0, 9632, '\P{^Is_Blk=blockelements}', "");
    Expect(1, 9631, '\p{Is_Blk= Block_elements}', "");
    Expect(0, 9631, '\p{^Is_Blk= Block_elements}', "");
    Expect(0, 9631, '\P{Is_Blk= Block_elements}', "");
    Expect(1, 9631, '\P{^Is_Blk= Block_elements}', "");
    Expect(0, 9632, '\p{Is_Blk= Block_elements}', "");
    Expect(1, 9632, '\p{^Is_Blk= Block_elements}', "");
    Expect(1, 9632, '\P{Is_Blk= Block_elements}', "");
    Expect(0, 9632, '\P{^Is_Blk= Block_elements}', "");
    Error('\p{Block:   :=		Bopomofo}');
    Error('\P{Block:   :=		Bopomofo}');
    Expect(1, 12591, '\p{Block=:\ABopomofo\z:}', "");;
    Expect(0, 12592, '\p{Block=:\ABopomofo\z:}', "");;
    Expect(1, 12591, '\p{Block=bopomofo}', "");
    Expect(0, 12591, '\p{^Block=bopomofo}', "");
    Expect(0, 12591, '\P{Block=bopomofo}', "");
    Expect(1, 12591, '\P{^Block=bopomofo}', "");
    Expect(0, 12592, '\p{Block=bopomofo}', "");
    Expect(1, 12592, '\p{^Block=bopomofo}', "");
    Expect(1, 12592, '\P{Block=bopomofo}', "");
    Expect(0, 12592, '\P{^Block=bopomofo}', "");
    Expect(1, 12591, '\p{Block=:\Abopomofo\z:}', "");;
    Expect(0, 12592, '\p{Block=:\Abopomofo\z:}', "");;
    Expect(1, 12591, '\p{Block= 	BOPOMOFO}', "");
    Expect(0, 12591, '\p{^Block= 	BOPOMOFO}', "");
    Expect(0, 12591, '\P{Block= 	BOPOMOFO}', "");
    Expect(1, 12591, '\P{^Block= 	BOPOMOFO}', "");
    Expect(0, 12592, '\p{Block= 	BOPOMOFO}', "");
    Expect(1, 12592, '\p{^Block= 	BOPOMOFO}', "");
    Expect(1, 12592, '\P{Block= 	BOPOMOFO}', "");
    Expect(0, 12592, '\P{^Block= 	BOPOMOFO}', "");
    Error('\p{Blk=/a/_-bopomofo}');
    Error('\P{Blk=/a/_-bopomofo}');
    Expect(1, 12591, '\p{Blk=:\ABopomofo\z:}', "");;
    Expect(0, 12592, '\p{Blk=:\ABopomofo\z:}', "");;
    Expect(1, 12591, '\p{Blk=bopomofo}', "");
    Expect(0, 12591, '\p{^Blk=bopomofo}', "");
    Expect(0, 12591, '\P{Blk=bopomofo}', "");
    Expect(1, 12591, '\P{^Blk=bopomofo}', "");
    Expect(0, 12592, '\p{Blk=bopomofo}', "");
    Expect(1, 12592, '\p{^Blk=bopomofo}', "");
    Expect(1, 12592, '\P{Blk=bopomofo}', "");
    Expect(0, 12592, '\P{^Blk=bopomofo}', "");
    Expect(1, 12591, '\p{Blk=:\Abopomofo\z:}', "");;
    Expect(0, 12592, '\p{Blk=:\Abopomofo\z:}', "");;
    Expect(1, 12591, '\p{Blk=	bopomofo}', "");
    Expect(0, 12591, '\p{^Blk=	bopomofo}', "");
    Expect(0, 12591, '\P{Blk=	bopomofo}', "");
    Expect(1, 12591, '\P{^Blk=	bopomofo}', "");
    Expect(0, 12592, '\p{Blk=	bopomofo}', "");
    Expect(1, 12592, '\p{^Blk=	bopomofo}', "");
    Expect(1, 12592, '\P{Blk=	bopomofo}', "");
    Expect(0, 12592, '\P{^Blk=	bopomofo}', "");
    Error('\p{Is_Block:   /a/	Bopomofo}');
    Error('\P{Is_Block:   /a/	Bopomofo}');
    Expect(1, 12591, '\p{Is_Block:   bopomofo}', "");
    Expect(0, 12591, '\p{^Is_Block:   bopomofo}', "");
    Expect(0, 12591, '\P{Is_Block:   bopomofo}', "");
    Expect(1, 12591, '\P{^Is_Block:   bopomofo}', "");
    Expect(0, 12592, '\p{Is_Block:   bopomofo}', "");
    Expect(1, 12592, '\p{^Is_Block:   bopomofo}', "");
    Expect(1, 12592, '\P{Is_Block:   bopomofo}', "");
    Expect(0, 12592, '\P{^Is_Block:   bopomofo}', "");
    Expect(1, 12591, '\p{Is_Block=_ BOPOMOFO}', "");
    Expect(0, 12591, '\p{^Is_Block=_ BOPOMOFO}', "");
    Expect(0, 12591, '\P{Is_Block=_ BOPOMOFO}', "");
    Expect(1, 12591, '\P{^Is_Block=_ BOPOMOFO}', "");
    Expect(0, 12592, '\p{Is_Block=_ BOPOMOFO}', "");
    Expect(1, 12592, '\p{^Is_Block=_ BOPOMOFO}', "");
    Expect(1, 12592, '\P{Is_Block=_ BOPOMOFO}', "");
    Expect(0, 12592, '\P{^Is_Block=_ BOPOMOFO}', "");
    Error('\p{Is_Blk=/a/--bopomofo}');
    Error('\P{Is_Blk=/a/--bopomofo}');
    Expect(1, 12591, '\p{Is_Blk:	bopomofo}', "");
    Expect(0, 12591, '\p{^Is_Blk:	bopomofo}', "");
    Expect(0, 12591, '\P{Is_Blk:	bopomofo}', "");
    Expect(1, 12591, '\P{^Is_Blk:	bopomofo}', "");
    Expect(0, 12592, '\p{Is_Blk:	bopomofo}', "");
    Expect(1, 12592, '\p{^Is_Blk:	bopomofo}', "");
    Expect(1, 12592, '\P{Is_Blk:	bopomofo}', "");
    Expect(0, 12592, '\P{^Is_Blk:	bopomofo}', "");
    Expect(1, 12591, '\p{Is_Blk=__Bopomofo}', "");
    Expect(0, 12591, '\p{^Is_Blk=__Bopomofo}', "");
    Expect(0, 12591, '\P{Is_Blk=__Bopomofo}', "");
    Expect(1, 12591, '\P{^Is_Blk=__Bopomofo}', "");
    Expect(0, 12592, '\p{Is_Blk=__Bopomofo}', "");
    Expect(1, 12592, '\p{^Is_Blk=__Bopomofo}', "");
    Expect(1, 12592, '\P{Is_Blk=__Bopomofo}', "");
    Expect(0, 12592, '\P{^Is_Blk=__Bopomofo}', "");
    Error('\p{Block=/a/- Bopomofo_Extended}');
    Error('\P{Block=/a/- Bopomofo_Extended}');
    Expect(1, 12735, '\p{Block=:\ABopomofo_Extended\z:}', "");;
    Expect(0, 12736, '\p{Block=:\ABopomofo_Extended\z:}', "");;
    Expect(1, 12735, '\p{Block=bopomofoextended}', "");
    Expect(0, 12735, '\p{^Block=bopomofoextended}', "");
    Expect(0, 12735, '\P{Block=bopomofoextended}', "");
    Expect(1, 12735, '\P{^Block=bopomofoextended}', "");
    Expect(0, 12736, '\p{Block=bopomofoextended}', "");
    Expect(1, 12736, '\p{^Block=bopomofoextended}', "");
    Expect(1, 12736, '\P{Block=bopomofoextended}', "");
    Expect(0, 12736, '\P{^Block=bopomofoextended}', "");
    Expect(1, 12735, '\p{Block=:\Abopomofoextended\z:}', "");;
    Expect(0, 12736, '\p{Block=:\Abopomofoextended\z:}', "");;
    Expect(1, 12735, '\p{Block=-_Bopomofo_Extended}', "");
    Expect(0, 12735, '\p{^Block=-_Bopomofo_Extended}', "");
    Expect(0, 12735, '\P{Block=-_Bopomofo_Extended}', "");
    Expect(1, 12735, '\P{^Block=-_Bopomofo_Extended}', "");
    Expect(0, 12736, '\p{Block=-_Bopomofo_Extended}', "");
    Expect(1, 12736, '\p{^Block=-_Bopomofo_Extended}', "");
    Expect(1, 12736, '\P{Block=-_Bopomofo_Extended}', "");
    Expect(0, 12736, '\P{^Block=-_Bopomofo_Extended}', "");
    Error('\p{Blk=_-bopomofo_ext/a/}');
    Error('\P{Blk=_-bopomofo_ext/a/}');
    Expect(1, 12735, '\p{Blk=:\ABopomofo_Ext\z:}', "");;
    Expect(0, 12736, '\p{Blk=:\ABopomofo_Ext\z:}', "");;
    Expect(1, 12735, '\p{Blk=bopomofoext}', "");
    Expect(0, 12735, '\p{^Blk=bopomofoext}', "");
    Expect(0, 12735, '\P{Blk=bopomofoext}', "");
    Expect(1, 12735, '\P{^Blk=bopomofoext}', "");
    Expect(0, 12736, '\p{Blk=bopomofoext}', "");
    Expect(1, 12736, '\p{^Blk=bopomofoext}', "");
    Expect(1, 12736, '\P{Blk=bopomofoext}', "");
    Expect(0, 12736, '\P{^Blk=bopomofoext}', "");
    Expect(1, 12735, '\p{Blk=:\Abopomofoext\z:}', "");;
    Expect(0, 12736, '\p{Blk=:\Abopomofoext\z:}', "");;
    Expect(1, 12735, '\p{Blk= Bopomofo_Ext}', "");
    Expect(0, 12735, '\p{^Blk= Bopomofo_Ext}', "");
    Expect(0, 12735, '\P{Blk= Bopomofo_Ext}', "");
    Expect(1, 12735, '\P{^Blk= Bopomofo_Ext}', "");
    Expect(0, 12736, '\p{Blk= Bopomofo_Ext}', "");
    Expect(1, 12736, '\p{^Blk= Bopomofo_Ext}', "");
    Expect(1, 12736, '\P{Blk= Bopomofo_Ext}', "");
    Expect(0, 12736, '\P{^Blk= Bopomofo_Ext}', "");
    Error('\p{Is_Block=:=-Bopomofo_Extended}');
    Error('\P{Is_Block=:=-Bopomofo_Extended}');
    Expect(1, 12735, '\p{Is_Block:	bopomofoextended}', "");
    Expect(0, 12735, '\p{^Is_Block:	bopomofoextended}', "");
    Expect(0, 12735, '\P{Is_Block:	bopomofoextended}', "");
    Expect(1, 12735, '\P{^Is_Block:	bopomofoextended}', "");
    Expect(0, 12736, '\p{Is_Block:	bopomofoextended}', "");
    Expect(1, 12736, '\p{^Is_Block:	bopomofoextended}', "");
    Expect(1, 12736, '\P{Is_Block:	bopomofoextended}', "");
    Expect(0, 12736, '\P{^Is_Block:	bopomofoextended}', "");
    Expect(1, 12735, '\p{Is_Block= _bopomofo_Extended}', "");
    Expect(0, 12735, '\p{^Is_Block= _bopomofo_Extended}', "");
    Expect(0, 12735, '\P{Is_Block= _bopomofo_Extended}', "");
    Expect(1, 12735, '\P{^Is_Block= _bopomofo_Extended}', "");
    Expect(0, 12736, '\p{Is_Block= _bopomofo_Extended}', "");
    Expect(1, 12736, '\p{^Is_Block= _bopomofo_Extended}', "");
    Expect(1, 12736, '\P{Is_Block= _bopomofo_Extended}', "");
    Expect(0, 12736, '\P{^Is_Block= _bopomofo_Extended}', "");
    Error('\p{Is_Blk=:=_bopomofo_ext}');
    Error('\P{Is_Blk=:=_bopomofo_ext}');
    Expect(1, 12735, '\p{Is_Blk=bopomofoext}', "");
    Expect(0, 12735, '\p{^Is_Blk=bopomofoext}', "");
    Expect(0, 12735, '\P{Is_Blk=bopomofoext}', "");
    Expect(1, 12735, '\P{^Is_Blk=bopomofoext}', "");
    Expect(0, 12736, '\p{Is_Blk=bopomofoext}', "");
    Expect(1, 12736, '\p{^Is_Blk=bopomofoext}', "");
    Expect(1, 12736, '\P{Is_Blk=bopomofoext}', "");
    Expect(0, 12736, '\P{^Is_Blk=bopomofoext}', "");
    Expect(1, 12735, '\p{Is_Blk=-BOPOMOFO_Ext}', "");
    Expect(0, 12735, '\p{^Is_Blk=-BOPOMOFO_Ext}', "");
    Expect(0, 12735, '\P{Is_Blk=-BOPOMOFO_Ext}', "");
    Expect(1, 12735, '\P{^Is_Blk=-BOPOMOFO_Ext}', "");
    Expect(0, 12736, '\p{Is_Blk=-BOPOMOFO_Ext}', "");
    Expect(1, 12736, '\p{^Is_Blk=-BOPOMOFO_Ext}', "");
    Expect(1, 12736, '\P{Is_Blk=-BOPOMOFO_Ext}', "");
    Expect(0, 12736, '\P{^Is_Blk=-BOPOMOFO_Ext}', "");
    Error('\p{Block=/a/ 	Box_DRAWING}');
    Error('\P{Block=/a/ 	Box_DRAWING}');
    Expect(1, 9599, '\p{Block=:\ABox_Drawing\z:}', "");;
    Expect(0, 9600, '\p{Block=:\ABox_Drawing\z:}', "");;
    Expect(1, 9599, '\p{Block=boxdrawing}', "");
    Expect(0, 9599, '\p{^Block=boxdrawing}', "");
    Expect(0, 9599, '\P{Block=boxdrawing}', "");
    Expect(1, 9599, '\P{^Block=boxdrawing}', "");
    Expect(0, 9600, '\p{Block=boxdrawing}', "");
    Expect(1, 9600, '\p{^Block=boxdrawing}', "");
    Expect(1, 9600, '\P{Block=boxdrawing}', "");
    Expect(0, 9600, '\P{^Block=boxdrawing}', "");
    Expect(1, 9599, '\p{Block=:\Aboxdrawing\z:}', "");;
    Expect(0, 9600, '\p{Block=:\Aboxdrawing\z:}', "");;
    Expect(1, 9599, '\p{Block=	Box_drawing}', "");
    Expect(0, 9599, '\p{^Block=	Box_drawing}', "");
    Expect(0, 9599, '\P{Block=	Box_drawing}', "");
    Expect(1, 9599, '\P{^Block=	Box_drawing}', "");
    Expect(0, 9600, '\p{Block=	Box_drawing}', "");
    Expect(1, 9600, '\p{^Block=	Box_drawing}', "");
    Expect(1, 9600, '\P{Block=	Box_drawing}', "");
    Expect(0, 9600, '\P{^Block=	Box_drawing}', "");
    Error('\p{Blk:-	Box_DRAWING/a/}');
    Error('\P{Blk:-	Box_DRAWING/a/}');
    Expect(1, 9599, '\p{Blk=:\ABox_Drawing\z:}', "");;
    Expect(0, 9600, '\p{Blk=:\ABox_Drawing\z:}', "");;
    Expect(1, 9599, '\p{Blk=boxdrawing}', "");
    Expect(0, 9599, '\p{^Blk=boxdrawing}', "");
    Expect(0, 9599, '\P{Blk=boxdrawing}', "");
    Expect(1, 9599, '\P{^Blk=boxdrawing}', "");
    Expect(0, 9600, '\p{Blk=boxdrawing}', "");
    Expect(1, 9600, '\p{^Blk=boxdrawing}', "");
    Expect(1, 9600, '\P{Blk=boxdrawing}', "");
    Expect(0, 9600, '\P{^Blk=boxdrawing}', "");
    Expect(1, 9599, '\p{Blk=:\Aboxdrawing\z:}', "");;
    Expect(0, 9600, '\p{Blk=:\Aboxdrawing\z:}', "");;
    Expect(1, 9599, '\p{Blk=	-Box_DRAWING}', "");
    Expect(0, 9599, '\p{^Blk=	-Box_DRAWING}', "");
    Expect(0, 9599, '\P{Blk=	-Box_DRAWING}', "");
    Expect(1, 9599, '\P{^Blk=	-Box_DRAWING}', "");
    Expect(0, 9600, '\p{Blk=	-Box_DRAWING}', "");
    Expect(1, 9600, '\p{^Blk=	-Box_DRAWING}', "");
    Expect(1, 9600, '\P{Blk=	-Box_DRAWING}', "");
    Expect(0, 9600, '\P{^Blk=	-Box_DRAWING}', "");
    Error('\p{Is_Block=:=	_BOX_drawing}');
    Error('\P{Is_Block=:=	_BOX_drawing}');
    Expect(1, 9599, '\p{Is_Block=boxdrawing}', "");
    Expect(0, 9599, '\p{^Is_Block=boxdrawing}', "");
    Expect(0, 9599, '\P{Is_Block=boxdrawing}', "");
    Expect(1, 9599, '\P{^Is_Block=boxdrawing}', "");
    Expect(0, 9600, '\p{Is_Block=boxdrawing}', "");
    Expect(1, 9600, '\p{^Is_Block=boxdrawing}', "");
    Expect(1, 9600, '\P{Is_Block=boxdrawing}', "");
    Expect(0, 9600, '\P{^Is_Block=boxdrawing}', "");
    Expect(1, 9599, '\p{Is_Block:-box_Drawing}', "");
    Expect(0, 9599, '\p{^Is_Block:-box_Drawing}', "");
    Expect(0, 9599, '\P{Is_Block:-box_Drawing}', "");
    Expect(1, 9599, '\P{^Is_Block:-box_Drawing}', "");
    Expect(0, 9600, '\p{Is_Block:-box_Drawing}', "");
    Expect(1, 9600, '\p{^Is_Block:-box_Drawing}', "");
    Expect(1, 9600, '\P{Is_Block:-box_Drawing}', "");
    Expect(0, 9600, '\P{^Is_Block:-box_Drawing}', "");
    Error('\p{Is_Blk=/a/-_box_Drawing}');
    Error('\P{Is_Blk=/a/-_box_Drawing}');
    Expect(1, 9599, '\p{Is_Blk=boxdrawing}', "");
    Expect(0, 9599, '\p{^Is_Blk=boxdrawing}', "");
    Expect(0, 9599, '\P{Is_Blk=boxdrawing}', "");
    Expect(1, 9599, '\P{^Is_Blk=boxdrawing}', "");
    Expect(0, 9600, '\p{Is_Blk=boxdrawing}', "");
    Expect(1, 9600, '\p{^Is_Blk=boxdrawing}', "");
    Expect(1, 9600, '\P{Is_Blk=boxdrawing}', "");
    Expect(0, 9600, '\P{^Is_Blk=boxdrawing}', "");
    Expect(1, 9599, '\p{Is_Blk=  Box_Drawing}', "");
    Expect(0, 9599, '\p{^Is_Blk=  Box_Drawing}', "");
    Expect(0, 9599, '\P{Is_Blk=  Box_Drawing}', "");
    Expect(1, 9599, '\P{^Is_Blk=  Box_Drawing}', "");
    Expect(0, 9600, '\p{Is_Blk=  Box_Drawing}', "");
    Expect(1, 9600, '\p{^Is_Blk=  Box_Drawing}', "");
    Expect(1, 9600, '\P{Is_Blk=  Box_Drawing}', "");
    Expect(0, 9600, '\P{^Is_Blk=  Box_Drawing}', "");
    Error('\p{Block=/a/-Brahmi}');
    Error('\P{Block=/a/-Brahmi}');
    Expect(1, 69759, '\p{Block=:\ABrahmi\z:}', "");;
    Expect(0, 69760, '\p{Block=:\ABrahmi\z:}', "");;
    Expect(1, 69759, '\p{Block=brahmi}', "");
    Expect(0, 69759, '\p{^Block=brahmi}', "");
    Expect(0, 69759, '\P{Block=brahmi}', "");
    Expect(1, 69759, '\P{^Block=brahmi}', "");
    Expect(0, 69760, '\p{Block=brahmi}', "");
    Expect(1, 69760, '\p{^Block=brahmi}', "");
    Expect(1, 69760, '\P{Block=brahmi}', "");
    Expect(0, 69760, '\P{^Block=brahmi}', "");
    Expect(1, 69759, '\p{Block=:\Abrahmi\z:}', "");;
    Expect(0, 69760, '\p{Block=:\Abrahmi\z:}', "");;
    Expect(1, 69759, '\p{Block:   -brahmi}', "");
    Expect(0, 69759, '\p{^Block:   -brahmi}', "");
    Expect(0, 69759, '\P{Block:   -brahmi}', "");
    Expect(1, 69759, '\P{^Block:   -brahmi}', "");
    Expect(0, 69760, '\p{Block:   -brahmi}', "");
    Expect(1, 69760, '\p{^Block:   -brahmi}', "");
    Expect(1, 69760, '\P{Block:   -brahmi}', "");
    Expect(0, 69760, '\P{^Block:   -brahmi}', "");
    Error('\p{Blk= _Brahmi/a/}');
    Error('\P{Blk= _Brahmi/a/}');
    Expect(1, 69759, '\p{Blk=:\ABrahmi\z:}', "");;
    Expect(0, 69760, '\p{Blk=:\ABrahmi\z:}', "");;
    Expect(1, 69759, '\p{Blk=brahmi}', "");
    Expect(0, 69759, '\p{^Blk=brahmi}', "");
    Expect(0, 69759, '\P{Blk=brahmi}', "");
    Expect(1, 69759, '\P{^Blk=brahmi}', "");
    Expect(0, 69760, '\p{Blk=brahmi}', "");
    Expect(1, 69760, '\p{^Blk=brahmi}', "");
    Expect(1, 69760, '\P{Blk=brahmi}', "");
    Expect(0, 69760, '\P{^Blk=brahmi}', "");
    Expect(1, 69759, '\p{Blk=:\Abrahmi\z:}', "");;
    Expect(0, 69760, '\p{Blk=:\Abrahmi\z:}', "");;
    Expect(1, 69759, '\p{Blk: --brahmi}', "");
    Expect(0, 69759, '\p{^Blk: --brahmi}', "");
    Expect(0, 69759, '\P{Blk: --brahmi}', "");
    Expect(1, 69759, '\P{^Blk: --brahmi}', "");
    Expect(0, 69760, '\p{Blk: --brahmi}', "");
    Expect(1, 69760, '\p{^Blk: --brahmi}', "");
    Expect(1, 69760, '\P{Blk: --brahmi}', "");
    Expect(0, 69760, '\P{^Blk: --brahmi}', "");
    Error('\p{Is_Block=:=brahmi}');
    Error('\P{Is_Block=:=brahmi}');
    Expect(1, 69759, '\p{Is_Block=brahmi}', "");
    Expect(0, 69759, '\p{^Is_Block=brahmi}', "");
    Expect(0, 69759, '\P{Is_Block=brahmi}', "");
    Expect(1, 69759, '\P{^Is_Block=brahmi}', "");
    Expect(0, 69760, '\p{Is_Block=brahmi}', "");
    Expect(1, 69760, '\p{^Is_Block=brahmi}', "");
    Expect(1, 69760, '\P{Is_Block=brahmi}', "");
    Expect(0, 69760, '\P{^Is_Block=brahmi}', "");
    Expect(1, 69759, '\p{Is_Block=_brahmi}', "");
    Expect(0, 69759, '\p{^Is_Block=_brahmi}', "");
    Expect(0, 69759, '\P{Is_Block=_brahmi}', "");
    Expect(1, 69759, '\P{^Is_Block=_brahmi}', "");
    Expect(0, 69760, '\p{Is_Block=_brahmi}', "");
    Expect(1, 69760, '\p{^Is_Block=_brahmi}', "");
    Expect(1, 69760, '\P{Is_Block=_brahmi}', "");
    Expect(0, 69760, '\P{^Is_Block=_brahmi}', "");
    Error('\p{Is_Blk=:=-brahmi}');
    Error('\P{Is_Blk=:=-brahmi}');
    Expect(1, 69759, '\p{Is_Blk=brahmi}', "");
    Expect(0, 69759, '\p{^Is_Blk=brahmi}', "");
    Expect(0, 69759, '\P{Is_Blk=brahmi}', "");
    Expect(1, 69759, '\P{^Is_Blk=brahmi}', "");
    Expect(0, 69760, '\p{Is_Blk=brahmi}', "");
    Expect(1, 69760, '\p{^Is_Blk=brahmi}', "");
    Expect(1, 69760, '\P{Is_Blk=brahmi}', "");
    Expect(0, 69760, '\P{^Is_Blk=brahmi}', "");
    Expect(1, 69759, '\p{Is_Blk=-	Brahmi}', "");
    Expect(0, 69759, '\p{^Is_Blk=-	Brahmi}', "");
    Expect(0, 69759, '\P{Is_Blk=-	Brahmi}', "");
    Expect(1, 69759, '\P{^Is_Blk=-	Brahmi}', "");
    Expect(0, 69760, '\p{Is_Blk=-	Brahmi}', "");
    Expect(1, 69760, '\p{^Is_Blk=-	Brahmi}', "");
    Expect(1, 69760, '\P{Is_Blk=-	Brahmi}', "");
    Expect(0, 69760, '\P{^Is_Blk=-	Brahmi}', "");
    Error('\p{Block=-_Braille_Patterns:=}');
    Error('\P{Block=-_Braille_Patterns:=}');
    Expect(1, 10495, '\p{Block=:\ABraille_Patterns\z:}', "");;
    Expect(0, 10496, '\p{Block=:\ABraille_Patterns\z:}', "");;
    Expect(1, 10495, '\p{Block=braillepatterns}', "");
    Expect(0, 10495, '\p{^Block=braillepatterns}', "");
    Expect(0, 10495, '\P{Block=braillepatterns}', "");
    Expect(1, 10495, '\P{^Block=braillepatterns}', "");
    Expect(0, 10496, '\p{Block=braillepatterns}', "");
    Expect(1, 10496, '\p{^Block=braillepatterns}', "");
    Expect(1, 10496, '\P{Block=braillepatterns}', "");
    Expect(0, 10496, '\P{^Block=braillepatterns}', "");
    Expect(1, 10495, '\p{Block=:\Abraillepatterns\z:}', "");;
    Expect(0, 10496, '\p{Block=:\Abraillepatterns\z:}', "");;
    Expect(1, 10495, '\p{Block= Braille_Patterns}', "");
    Expect(0, 10495, '\p{^Block= Braille_Patterns}', "");
    Expect(0, 10495, '\P{Block= Braille_Patterns}', "");
    Expect(1, 10495, '\P{^Block= Braille_Patterns}', "");
    Expect(0, 10496, '\p{Block= Braille_Patterns}', "");
    Expect(1, 10496, '\p{^Block= Braille_Patterns}', "");
    Expect(1, 10496, '\P{Block= Braille_Patterns}', "");
    Expect(0, 10496, '\P{^Block= Braille_Patterns}', "");
    Error('\p{Blk=:=		BRAILLE}');
    Error('\P{Blk=:=		BRAILLE}');
    Expect(1, 10495, '\p{Blk=:\ABraille\z:}', "");;
    Expect(0, 10496, '\p{Blk=:\ABraille\z:}', "");;
    Expect(1, 10495, '\p{Blk=braille}', "");
    Expect(0, 10495, '\p{^Blk=braille}', "");
    Expect(0, 10495, '\P{Blk=braille}', "");
    Expect(1, 10495, '\P{^Blk=braille}', "");
    Expect(0, 10496, '\p{Blk=braille}', "");
    Expect(1, 10496, '\p{^Blk=braille}', "");
    Expect(1, 10496, '\P{Blk=braille}', "");
    Expect(0, 10496, '\P{^Blk=braille}', "");
    Expect(1, 10495, '\p{Blk=:\Abraille\z:}', "");;
    Expect(0, 10496, '\p{Blk=:\Abraille\z:}', "");;
    Expect(1, 10495, '\p{Blk=	Braille}', "");
    Expect(0, 10495, '\p{^Blk=	Braille}', "");
    Expect(0, 10495, '\P{Blk=	Braille}', "");
    Expect(1, 10495, '\P{^Blk=	Braille}', "");
    Expect(0, 10496, '\p{Blk=	Braille}', "");
    Expect(1, 10496, '\p{^Blk=	Braille}', "");
    Expect(1, 10496, '\P{Blk=	Braille}', "");
    Expect(0, 10496, '\P{^Blk=	Braille}', "");
    Error('\p{Is_Block=-:=Braille_PATTERNS}');
    Error('\P{Is_Block=-:=Braille_PATTERNS}');
    Expect(1, 10495, '\p{Is_Block=braillepatterns}', "");
    Expect(0, 10495, '\p{^Is_Block=braillepatterns}', "");
    Expect(0, 10495, '\P{Is_Block=braillepatterns}', "");
    Expect(1, 10495, '\P{^Is_Block=braillepatterns}', "");
    Expect(0, 10496, '\p{Is_Block=braillepatterns}', "");
    Expect(1, 10496, '\p{^Is_Block=braillepatterns}', "");
    Expect(1, 10496, '\P{Is_Block=braillepatterns}', "");
    Expect(0, 10496, '\P{^Is_Block=braillepatterns}', "");
    Expect(1, 10495, '\p{Is_Block=BRAILLE_Patterns}', "");
    Expect(0, 10495, '\p{^Is_Block=BRAILLE_Patterns}', "");
    Expect(0, 10495, '\P{Is_Block=BRAILLE_Patterns}', "");
    Expect(1, 10495, '\P{^Is_Block=BRAILLE_Patterns}', "");
    Expect(0, 10496, '\p{Is_Block=BRAILLE_Patterns}', "");
    Expect(1, 10496, '\p{^Is_Block=BRAILLE_Patterns}', "");
    Expect(1, 10496, '\P{Is_Block=BRAILLE_Patterns}', "");
    Expect(0, 10496, '\P{^Is_Block=BRAILLE_Patterns}', "");
    Error('\p{Is_Blk:  :=Braille}');
    Error('\P{Is_Blk:  :=Braille}');
    Expect(1, 10495, '\p{Is_Blk=braille}', "");
    Expect(0, 10495, '\p{^Is_Blk=braille}', "");
    Expect(0, 10495, '\P{Is_Blk=braille}', "");
    Expect(1, 10495, '\P{^Is_Blk=braille}', "");
    Expect(0, 10496, '\p{Is_Blk=braille}', "");
    Expect(1, 10496, '\p{^Is_Blk=braille}', "");
    Expect(1, 10496, '\P{Is_Blk=braille}', "");
    Expect(0, 10496, '\P{^Is_Blk=braille}', "");
    Expect(1, 10495, '\p{Is_Blk=-_Braille}', "");
    Expect(0, 10495, '\p{^Is_Blk=-_Braille}', "");
    Expect(0, 10495, '\P{Is_Blk=-_Braille}', "");
    Expect(1, 10495, '\P{^Is_Blk=-_Braille}', "");
    Expect(0, 10496, '\p{Is_Blk=-_Braille}', "");
    Expect(1, 10496, '\p{^Is_Blk=-_Braille}', "");
    Expect(1, 10496, '\P{Is_Blk=-_Braille}', "");
    Expect(0, 10496, '\P{^Is_Blk=-_Braille}', "");
    Error('\p{Block=:=Buginese}');
    Error('\P{Block=:=Buginese}');
    Expect(1, 6687, '\p{Block=:\ABuginese\z:}', "");;
    Expect(0, 6688, '\p{Block=:\ABuginese\z:}', "");;
    Expect(1, 6687, '\p{Block=buginese}', "");
    Expect(0, 6687, '\p{^Block=buginese}', "");
    Expect(0, 6687, '\P{Block=buginese}', "");
    Expect(1, 6687, '\P{^Block=buginese}', "");
    Expect(0, 6688, '\p{Block=buginese}', "");
    Expect(1, 6688, '\p{^Block=buginese}', "");
    Expect(1, 6688, '\P{Block=buginese}', "");
    Expect(0, 6688, '\P{^Block=buginese}', "");
    Expect(1, 6687, '\p{Block=:\Abuginese\z:}', "");;
    Expect(0, 6688, '\p{Block=:\Abuginese\z:}', "");;
    Expect(1, 6687, '\p{Block: buginese}', "");
    Expect(0, 6687, '\p{^Block: buginese}', "");
    Expect(0, 6687, '\P{Block: buginese}', "");
    Expect(1, 6687, '\P{^Block: buginese}', "");
    Expect(0, 6688, '\p{Block: buginese}', "");
    Expect(1, 6688, '\p{^Block: buginese}', "");
    Expect(1, 6688, '\P{Block: buginese}', "");
    Expect(0, 6688, '\P{^Block: buginese}', "");
    Error('\p{Blk=/a/	Buginese}');
    Error('\P{Blk=/a/	Buginese}');
    Expect(1, 6687, '\p{Blk=:\ABuginese\z:}', "");;
    Expect(0, 6688, '\p{Blk=:\ABuginese\z:}', "");;
    Expect(1, 6687, '\p{Blk=buginese}', "");
    Expect(0, 6687, '\p{^Blk=buginese}', "");
    Expect(0, 6687, '\P{Blk=buginese}', "");
    Expect(1, 6687, '\P{^Blk=buginese}', "");
    Expect(0, 6688, '\p{Blk=buginese}', "");
    Expect(1, 6688, '\p{^Blk=buginese}', "");
    Expect(1, 6688, '\P{Blk=buginese}', "");
    Expect(0, 6688, '\P{^Blk=buginese}', "");
    Expect(1, 6687, '\p{Blk=:\Abuginese\z:}', "");;
    Expect(0, 6688, '\p{Blk=:\Abuginese\z:}', "");;
    Expect(1, 6687, '\p{Blk:   	 Buginese}', "");
    Expect(0, 6687, '\p{^Blk:   	 Buginese}', "");
    Expect(0, 6687, '\P{Blk:   	 Buginese}', "");
    Expect(1, 6687, '\P{^Blk:   	 Buginese}', "");
    Expect(0, 6688, '\p{Blk:   	 Buginese}', "");
    Expect(1, 6688, '\p{^Blk:   	 Buginese}', "");
    Expect(1, 6688, '\P{Blk:   	 Buginese}', "");
    Expect(0, 6688, '\P{^Blk:   	 Buginese}', "");
    Error('\p{Is_Block= Buginese:=}');
    Error('\P{Is_Block= Buginese:=}');
    Expect(1, 6687, '\p{Is_Block=buginese}', "");
    Expect(0, 6687, '\p{^Is_Block=buginese}', "");
    Expect(0, 6687, '\P{Is_Block=buginese}', "");
    Expect(1, 6687, '\P{^Is_Block=buginese}', "");
    Expect(0, 6688, '\p{Is_Block=buginese}', "");
    Expect(1, 6688, '\p{^Is_Block=buginese}', "");
    Expect(1, 6688, '\P{Is_Block=buginese}', "");
    Expect(0, 6688, '\P{^Is_Block=buginese}', "");
    Expect(1, 6687, '\p{Is_Block=	-Buginese}', "");
    Expect(0, 6687, '\p{^Is_Block=	-Buginese}', "");
    Expect(0, 6687, '\P{Is_Block=	-Buginese}', "");
    Expect(1, 6687, '\P{^Is_Block=	-Buginese}', "");
    Expect(0, 6688, '\p{Is_Block=	-Buginese}', "");
    Expect(1, 6688, '\p{^Is_Block=	-Buginese}', "");
    Expect(1, 6688, '\P{Is_Block=	-Buginese}', "");
    Expect(0, 6688, '\P{^Is_Block=	-Buginese}', "");
    Error('\p{Is_Blk=-:=buginese}');
    Error('\P{Is_Blk=-:=buginese}');
    Expect(1, 6687, '\p{Is_Blk=buginese}', "");
    Expect(0, 6687, '\p{^Is_Blk=buginese}', "");
    Expect(0, 6687, '\P{Is_Blk=buginese}', "");
    Expect(1, 6687, '\P{^Is_Blk=buginese}', "");
    Expect(0, 6688, '\p{Is_Blk=buginese}', "");
    Expect(1, 6688, '\p{^Is_Blk=buginese}', "");
    Expect(1, 6688, '\P{Is_Blk=buginese}', "");
    Expect(0, 6688, '\P{^Is_Blk=buginese}', "");
    Expect(1, 6687, '\p{Is_Blk=_-Buginese}', "");
    Expect(0, 6687, '\p{^Is_Blk=_-Buginese}', "");
    Expect(0, 6687, '\P{Is_Blk=_-Buginese}', "");
    Expect(1, 6687, '\P{^Is_Blk=_-Buginese}', "");
    Expect(0, 6688, '\p{Is_Blk=_-Buginese}', "");
    Expect(1, 6688, '\p{^Is_Blk=_-Buginese}', "");
    Expect(1, 6688, '\P{Is_Blk=_-Buginese}', "");
    Expect(0, 6688, '\P{^Is_Blk=_-Buginese}', "");
    Error('\p{Block=/a/	-Buhid}');
    Error('\P{Block=/a/	-Buhid}');
    Expect(1, 5983, '\p{Block=:\ABuhid\z:}', "");;
    Expect(0, 5984, '\p{Block=:\ABuhid\z:}', "");;
    Expect(1, 5983, '\p{Block=buhid}', "");
    Expect(0, 5983, '\p{^Block=buhid}', "");
    Expect(0, 5983, '\P{Block=buhid}', "");
    Expect(1, 5983, '\P{^Block=buhid}', "");
    Expect(0, 5984, '\p{Block=buhid}', "");
    Expect(1, 5984, '\p{^Block=buhid}', "");
    Expect(1, 5984, '\P{Block=buhid}', "");
    Expect(0, 5984, '\P{^Block=buhid}', "");
    Expect(1, 5983, '\p{Block=:\Abuhid\z:}', "");;
    Expect(0, 5984, '\p{Block=:\Abuhid\z:}', "");;
    Expect(1, 5983, '\p{Block=_	BUHID}', "");
    Expect(0, 5983, '\p{^Block=_	BUHID}', "");
    Expect(0, 5983, '\P{Block=_	BUHID}', "");
    Expect(1, 5983, '\P{^Block=_	BUHID}', "");
    Expect(0, 5984, '\p{Block=_	BUHID}', "");
    Expect(1, 5984, '\p{^Block=_	BUHID}', "");
    Expect(1, 5984, '\P{Block=_	BUHID}', "");
    Expect(0, 5984, '\P{^Block=_	BUHID}', "");
    Error('\p{Blk=_:=Buhid}');
    Error('\P{Blk=_:=Buhid}');
    Expect(1, 5983, '\p{Blk=:\ABuhid\z:}', "");;
    Expect(0, 5984, '\p{Blk=:\ABuhid\z:}', "");;
    Expect(1, 5983, '\p{Blk=buhid}', "");
    Expect(0, 5983, '\p{^Blk=buhid}', "");
    Expect(0, 5983, '\P{Blk=buhid}', "");
    Expect(1, 5983, '\P{^Blk=buhid}', "");
    Expect(0, 5984, '\p{Blk=buhid}', "");
    Expect(1, 5984, '\p{^Blk=buhid}', "");
    Expect(1, 5984, '\P{Blk=buhid}', "");
    Expect(0, 5984, '\P{^Blk=buhid}', "");
    Expect(1, 5983, '\p{Blk=:\Abuhid\z:}', "");;
    Expect(0, 5984, '\p{Blk=:\Abuhid\z:}', "");;
    Expect(1, 5983, '\p{Blk=_	Buhid}', "");
    Expect(0, 5983, '\p{^Blk=_	Buhid}', "");
    Expect(0, 5983, '\P{Blk=_	Buhid}', "");
    Expect(1, 5983, '\P{^Blk=_	Buhid}', "");
    Expect(0, 5984, '\p{Blk=_	Buhid}', "");
    Expect(1, 5984, '\p{^Blk=_	Buhid}', "");
    Expect(1, 5984, '\P{Blk=_	Buhid}', "");
    Expect(0, 5984, '\P{^Blk=_	Buhid}', "");
    Error('\p{Is_Block=_:=buhid}');
    Error('\P{Is_Block=_:=buhid}');
    Expect(1, 5983, '\p{Is_Block=buhid}', "");
    Expect(0, 5983, '\p{^Is_Block=buhid}', "");
    Expect(0, 5983, '\P{Is_Block=buhid}', "");
    Expect(1, 5983, '\P{^Is_Block=buhid}', "");
    Expect(0, 5984, '\p{Is_Block=buhid}', "");
    Expect(1, 5984, '\p{^Is_Block=buhid}', "");
    Expect(1, 5984, '\P{Is_Block=buhid}', "");
    Expect(0, 5984, '\P{^Is_Block=buhid}', "");
    Expect(1, 5983, '\p{Is_Block=-_BUHID}', "");
    Expect(0, 5983, '\p{^Is_Block=-_BUHID}', "");
    Expect(0, 5983, '\P{Is_Block=-_BUHID}', "");
    Expect(1, 5983, '\P{^Is_Block=-_BUHID}', "");
    Expect(0, 5984, '\p{Is_Block=-_BUHID}', "");
    Expect(1, 5984, '\p{^Is_Block=-_BUHID}', "");
    Expect(1, 5984, '\P{Is_Block=-_BUHID}', "");
    Expect(0, 5984, '\P{^Is_Block=-_BUHID}', "");
    Error('\p{Is_Blk=	:=buhid}');
    Error('\P{Is_Blk=	:=buhid}');
    Expect(1, 5983, '\p{Is_Blk=buhid}', "");
    Expect(0, 5983, '\p{^Is_Blk=buhid}', "");
    Expect(0, 5983, '\P{Is_Blk=buhid}', "");
    Expect(1, 5983, '\P{^Is_Blk=buhid}', "");
    Expect(0, 5984, '\p{Is_Blk=buhid}', "");
    Expect(1, 5984, '\p{^Is_Blk=buhid}', "");
    Expect(1, 5984, '\P{Is_Blk=buhid}', "");
    Expect(0, 5984, '\P{^Is_Blk=buhid}', "");
    Expect(1, 5983, '\p{Is_Blk= BUHID}', "");
    Expect(0, 5983, '\p{^Is_Blk= BUHID}', "");
    Expect(0, 5983, '\P{Is_Blk= BUHID}', "");
    Expect(1, 5983, '\P{^Is_Blk= BUHID}', "");
    Expect(0, 5984, '\p{Is_Blk= BUHID}', "");
    Expect(1, 5984, '\p{^Is_Blk= BUHID}', "");
    Expect(1, 5984, '\P{Is_Blk= BUHID}', "");
    Expect(0, 5984, '\P{^Is_Blk= BUHID}', "");
    Error('\p{Block=:= _Byzantine_Musical_symbols}');
    Error('\P{Block=:= _Byzantine_Musical_symbols}');
    Expect(1, 119039, '\p{Block=:\AByzantine_Musical_Symbols\z:}', "");;
    Expect(0, 119040, '\p{Block=:\AByzantine_Musical_Symbols\z:}', "");;
    Expect(1, 119039, '\p{Block=byzantinemusicalsymbols}', "");
    Expect(0, 119039, '\p{^Block=byzantinemusicalsymbols}', "");
    Expect(0, 119039, '\P{Block=byzantinemusicalsymbols}', "");
    Expect(1, 119039, '\P{^Block=byzantinemusicalsymbols}', "");
    Expect(0, 119040, '\p{Block=byzantinemusicalsymbols}', "");
    Expect(1, 119040, '\p{^Block=byzantinemusicalsymbols}', "");
    Expect(1, 119040, '\P{Block=byzantinemusicalsymbols}', "");
    Expect(0, 119040, '\P{^Block=byzantinemusicalsymbols}', "");
    Expect(1, 119039, '\p{Block=:\Abyzantinemusicalsymbols\z:}', "");;
    Expect(0, 119040, '\p{Block=:\Abyzantinemusicalsymbols\z:}', "");;
    Expect(1, 119039, '\p{Block= BYZANTINE_Musical_Symbols}', "");
    Expect(0, 119039, '\p{^Block= BYZANTINE_Musical_Symbols}', "");
    Expect(0, 119039, '\P{Block= BYZANTINE_Musical_Symbols}', "");
    Expect(1, 119039, '\P{^Block= BYZANTINE_Musical_Symbols}', "");
    Expect(0, 119040, '\p{Block= BYZANTINE_Musical_Symbols}', "");
    Expect(1, 119040, '\p{^Block= BYZANTINE_Musical_Symbols}', "");
    Expect(1, 119040, '\P{Block= BYZANTINE_Musical_Symbols}', "");
    Expect(0, 119040, '\P{^Block= BYZANTINE_Musical_Symbols}', "");
    Error('\p{Blk=_:=Byzantine_Music}');
    Error('\P{Blk=_:=Byzantine_Music}');
    Expect(1, 119039, '\p{Blk=:\AByzantine_Music\z:}', "");;
    Expect(0, 119040, '\p{Blk=:\AByzantine_Music\z:}', "");;
    Expect(1, 119039, '\p{Blk=byzantinemusic}', "");
    Expect(0, 119039, '\p{^Blk=byzantinemusic}', "");
    Expect(0, 119039, '\P{Blk=byzantinemusic}', "");
    Expect(1, 119039, '\P{^Blk=byzantinemusic}', "");
    Expect(0, 119040, '\p{Blk=byzantinemusic}', "");
    Expect(1, 119040, '\p{^Blk=byzantinemusic}', "");
    Expect(1, 119040, '\P{Blk=byzantinemusic}', "");
    Expect(0, 119040, '\P{^Blk=byzantinemusic}', "");
    Expect(1, 119039, '\p{Blk=:\Abyzantinemusic\z:}', "");;
    Expect(0, 119040, '\p{Blk=:\Abyzantinemusic\z:}', "");;
    Expect(1, 119039, '\p{Blk=- Byzantine_Music}', "");
    Expect(0, 119039, '\p{^Blk=- Byzantine_Music}', "");
    Expect(0, 119039, '\P{Blk=- Byzantine_Music}', "");
    Expect(1, 119039, '\P{^Blk=- Byzantine_Music}', "");
    Expect(0, 119040, '\p{Blk=- Byzantine_Music}', "");
    Expect(1, 119040, '\p{^Blk=- Byzantine_Music}', "");
    Expect(1, 119040, '\P{Blk=- Byzantine_Music}', "");
    Expect(0, 119040, '\P{^Blk=- Byzantine_Music}', "");
    Error('\p{Is_Block=/a/ -Byzantine_musical_SYMBOLS}');
    Error('\P{Is_Block=/a/ -Byzantine_musical_SYMBOLS}');
    Expect(1, 119039, '\p{Is_Block=byzantinemusicalsymbols}', "");
    Expect(0, 119039, '\p{^Is_Block=byzantinemusicalsymbols}', "");
    Expect(0, 119039, '\P{Is_Block=byzantinemusicalsymbols}', "");
    Expect(1, 119039, '\P{^Is_Block=byzantinemusicalsymbols}', "");
    Expect(0, 119040, '\p{Is_Block=byzantinemusicalsymbols}', "");
    Expect(1, 119040, '\p{^Is_Block=byzantinemusicalsymbols}', "");
    Expect(1, 119040, '\P{Is_Block=byzantinemusicalsymbols}', "");
    Expect(0, 119040, '\P{^Is_Block=byzantinemusicalsymbols}', "");
    Expect(1, 119039, '\p{Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Expect(0, 119039, '\p{^Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Expect(0, 119039, '\P{Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Expect(1, 119039, '\P{^Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Expect(0, 119040, '\p{Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Expect(1, 119040, '\p{^Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Expect(1, 119040, '\P{Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Expect(0, 119040, '\P{^Is_Block= 	Byzantine_MUSICAL_symbols}', "");
    Error('\p{Is_Blk=		BYZANTINE_Music/a/}');
    Error('\P{Is_Blk=		BYZANTINE_Music/a/}');
    Expect(1, 119039, '\p{Is_Blk=byzantinemusic}', "");
    Expect(0, 119039, '\p{^Is_Blk=byzantinemusic}', "");
    Expect(0, 119039, '\P{Is_Blk=byzantinemusic}', "");
    Expect(1, 119039, '\P{^Is_Blk=byzantinemusic}', "");
    Expect(0, 119040, '\p{Is_Blk=byzantinemusic}', "");
    Expect(1, 119040, '\p{^Is_Blk=byzantinemusic}', "");
    Expect(1, 119040, '\P{Is_Blk=byzantinemusic}', "");
    Expect(0, 119040, '\P{^Is_Blk=byzantinemusic}', "");
    Expect(1, 119039, '\p{Is_Blk:_-BYZANTINE_Music}', "");
    Expect(0, 119039, '\p{^Is_Blk:_-BYZANTINE_Music}', "");
    Expect(0, 119039, '\P{Is_Blk:_-BYZANTINE_Music}', "");
    Expect(1, 119039, '\P{^Is_Blk:_-BYZANTINE_Music}', "");
    Expect(0, 119040, '\p{Is_Blk:_-BYZANTINE_Music}', "");
    Expect(1, 119040, '\p{^Is_Blk:_-BYZANTINE_Music}', "");
    Expect(1, 119040, '\P{Is_Blk:_-BYZANTINE_Music}', "");
    Expect(0, 119040, '\P{^Is_Blk:_-BYZANTINE_Music}', "");
    Error('\p{Block:-	CARIAN/a/}');
    Error('\P{Block:-	CARIAN/a/}');
    Expect(1, 66271, '\p{Block=:\ACarian\z:}', "");;
    Expect(0, 66272, '\p{Block=:\ACarian\z:}', "");;
    Expect(1, 66271, '\p{Block=carian}', "");
    Expect(0, 66271, '\p{^Block=carian}', "");
    Expect(0, 66271, '\P{Block=carian}', "");
    Expect(1, 66271, '\P{^Block=carian}', "");
    Expect(0, 66272, '\p{Block=carian}', "");
    Expect(1, 66272, '\p{^Block=carian}', "");
    Expect(1, 66272, '\P{Block=carian}', "");
    Expect(0, 66272, '\P{^Block=carian}', "");
    Expect(1, 66271, '\p{Block=:\Acarian\z:}', "");;
    Expect(0, 66272, '\p{Block=:\Acarian\z:}', "");;
    Expect(1, 66271, '\p{Block=-CARIAN}', "");
    Expect(0, 66271, '\p{^Block=-CARIAN}', "");
    Expect(0, 66271, '\P{Block=-CARIAN}', "");
    Expect(1, 66271, '\P{^Block=-CARIAN}', "");
    Expect(0, 66272, '\p{Block=-CARIAN}', "");
    Expect(1, 66272, '\p{^Block=-CARIAN}', "");
    Expect(1, 66272, '\P{Block=-CARIAN}', "");
    Expect(0, 66272, '\P{^Block=-CARIAN}', "");
    Error('\p{Blk=-/a/carian}');
    Error('\P{Blk=-/a/carian}');
    Expect(1, 66271, '\p{Blk=:\ACarian\z:}', "");;
    Expect(0, 66272, '\p{Blk=:\ACarian\z:}', "");;
    Expect(1, 66271, '\p{Blk=carian}', "");
    Expect(0, 66271, '\p{^Blk=carian}', "");
    Expect(0, 66271, '\P{Blk=carian}', "");
    Expect(1, 66271, '\P{^Blk=carian}', "");
    Expect(0, 66272, '\p{Blk=carian}', "");
    Expect(1, 66272, '\p{^Blk=carian}', "");
    Expect(1, 66272, '\P{Blk=carian}', "");
    Expect(0, 66272, '\P{^Blk=carian}', "");
    Expect(1, 66271, '\p{Blk=:\Acarian\z:}', "");;
    Expect(0, 66272, '\p{Blk=:\Acarian\z:}', "");;
    Expect(1, 66271, '\p{Blk= -carian}', "");
    Expect(0, 66271, '\p{^Blk= -carian}', "");
    Expect(0, 66271, '\P{Blk= -carian}', "");
    Expect(1, 66271, '\P{^Blk= -carian}', "");
    Expect(0, 66272, '\p{Blk= -carian}', "");
    Expect(1, 66272, '\p{^Blk= -carian}', "");
    Expect(1, 66272, '\P{Blk= -carian}', "");
    Expect(0, 66272, '\P{^Blk= -carian}', "");
    Error('\p{Is_Block=-	CARIAN/a/}');
    Error('\P{Is_Block=-	CARIAN/a/}');
    Expect(1, 66271, '\p{Is_Block:	carian}', "");
    Expect(0, 66271, '\p{^Is_Block:	carian}', "");
    Expect(0, 66271, '\P{Is_Block:	carian}', "");
    Expect(1, 66271, '\P{^Is_Block:	carian}', "");
    Expect(0, 66272, '\p{Is_Block:	carian}', "");
    Expect(1, 66272, '\p{^Is_Block:	carian}', "");
    Expect(1, 66272, '\P{Is_Block:	carian}', "");
    Expect(0, 66272, '\P{^Is_Block:	carian}', "");
    Expect(1, 66271, '\p{Is_Block=	-Carian}', "");
    Expect(0, 66271, '\p{^Is_Block=	-Carian}', "");
    Expect(0, 66271, '\P{Is_Block=	-Carian}', "");
    Expect(1, 66271, '\P{^Is_Block=	-Carian}', "");
    Expect(0, 66272, '\p{Is_Block=	-Carian}', "");
    Expect(1, 66272, '\p{^Is_Block=	-Carian}', "");
    Expect(1, 66272, '\P{Is_Block=	-Carian}', "");
    Expect(0, 66272, '\P{^Is_Block=	-Carian}', "");
    Error('\p{Is_Blk= Carian:=}');
    Error('\P{Is_Blk= Carian:=}');
    Expect(1, 66271, '\p{Is_Blk:   carian}', "");
    Expect(0, 66271, '\p{^Is_Blk:   carian}', "");
    Expect(0, 66271, '\P{Is_Blk:   carian}', "");
    Expect(1, 66271, '\P{^Is_Blk:   carian}', "");
    Expect(0, 66272, '\p{Is_Blk:   carian}', "");
    Expect(1, 66272, '\p{^Is_Blk:   carian}', "");
    Expect(1, 66272, '\P{Is_Blk:   carian}', "");
    Expect(0, 66272, '\P{^Is_Blk:   carian}', "");
    Expect(1, 66271, '\p{Is_Blk= 	carian}', "");
    Expect(0, 66271, '\p{^Is_Blk= 	carian}', "");
    Expect(0, 66271, '\P{Is_Blk= 	carian}', "");
    Expect(1, 66271, '\P{^Is_Blk= 	carian}', "");
    Expect(0, 66272, '\p{Is_Blk= 	carian}', "");
    Expect(1, 66272, '\p{^Is_Blk= 	carian}', "");
    Expect(1, 66272, '\P{Is_Blk= 	carian}', "");
    Expect(0, 66272, '\P{^Is_Blk= 	carian}', "");
    Error('\p{Block:   :=_Caucasian_Albanian}');
    Error('\P{Block:   :=_Caucasian_Albanian}');
    Expect(1, 66927, '\p{Block=:\ACaucasian_Albanian\z:}', "");;
    Expect(0, 66928, '\p{Block=:\ACaucasian_Albanian\z:}', "");;
    Expect(1, 66927, '\p{Block=caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Block=caucasianalbanian}', "");
    Expect(0, 66927, '\P{Block=caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Block=caucasianalbanian}', "");
    Expect(0, 66928, '\p{Block=caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Block=caucasianalbanian}', "");
    Expect(1, 66928, '\P{Block=caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Block=caucasianalbanian}', "");
    Expect(1, 66927, '\p{Block=:\Acaucasianalbanian\z:}', "");;
    Expect(0, 66928, '\p{Block=:\Acaucasianalbanian\z:}', "");;
    Expect(1, 66927, '\p{Block=	CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66927, '\p{^Block=	CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66927, '\P{Block=	CAUCASIAN_ALBANIAN}', "");
    Expect(1, 66927, '\P{^Block=	CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66928, '\p{Block=	CAUCASIAN_ALBANIAN}', "");
    Expect(1, 66928, '\p{^Block=	CAUCASIAN_ALBANIAN}', "");
    Expect(1, 66928, '\P{Block=	CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66928, '\P{^Block=	CAUCASIAN_ALBANIAN}', "");
    Error('\p{Blk=/a/	-caucasian_ALBANIAN}');
    Error('\P{Blk=/a/	-caucasian_ALBANIAN}');
    Expect(1, 66927, '\p{Blk=:\ACaucasian_Albanian\z:}', "");;
    Expect(0, 66928, '\p{Blk=:\ACaucasian_Albanian\z:}', "");;
    Expect(1, 66927, '\p{Blk=caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Blk=caucasianalbanian}', "");
    Expect(0, 66927, '\P{Blk=caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Blk=caucasianalbanian}', "");
    Expect(0, 66928, '\p{Blk=caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Blk=caucasianalbanian}', "");
    Expect(1, 66928, '\P{Blk=caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Blk=caucasianalbanian}', "");
    Expect(1, 66927, '\p{Blk=:\Acaucasianalbanian\z:}', "");;
    Expect(0, 66928, '\p{Blk=:\Acaucasianalbanian\z:}', "");;
    Expect(1, 66927, '\p{Blk=-	CAUCASIAN_albanian}', "");
    Expect(0, 66927, '\p{^Blk=-	CAUCASIAN_albanian}', "");
    Expect(0, 66927, '\P{Blk=-	CAUCASIAN_albanian}', "");
    Expect(1, 66927, '\P{^Blk=-	CAUCASIAN_albanian}', "");
    Expect(0, 66928, '\p{Blk=-	CAUCASIAN_albanian}', "");
    Expect(1, 66928, '\p{^Blk=-	CAUCASIAN_albanian}', "");
    Expect(1, 66928, '\P{Blk=-	CAUCASIAN_albanian}', "");
    Expect(0, 66928, '\P{^Blk=-	CAUCASIAN_albanian}', "");
    Error('\p{Is_Block=/a/ _caucasian_ALBANIAN}');
    Error('\P{Is_Block=/a/ _caucasian_ALBANIAN}');
    Expect(1, 66927, '\p{Is_Block:   caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Is_Block:   caucasianalbanian}', "");
    Expect(0, 66927, '\P{Is_Block:   caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Is_Block:   caucasianalbanian}', "");
    Expect(0, 66928, '\p{Is_Block:   caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Is_Block:   caucasianalbanian}', "");
    Expect(1, 66928, '\P{Is_Block:   caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Is_Block:   caucasianalbanian}', "");
    Expect(1, 66927, '\p{Is_Block=	 Caucasian_albanian}', "");
    Expect(0, 66927, '\p{^Is_Block=	 Caucasian_albanian}', "");
    Expect(0, 66927, '\P{Is_Block=	 Caucasian_albanian}', "");
    Expect(1, 66927, '\P{^Is_Block=	 Caucasian_albanian}', "");
    Expect(0, 66928, '\p{Is_Block=	 Caucasian_albanian}', "");
    Expect(1, 66928, '\p{^Is_Block=	 Caucasian_albanian}', "");
    Expect(1, 66928, '\P{Is_Block=	 Caucasian_albanian}', "");
    Expect(0, 66928, '\P{^Is_Block=	 Caucasian_albanian}', "");
    Error('\p{Is_Blk= /a/Caucasian_ALBANIAN}');
    Error('\P{Is_Blk= /a/Caucasian_ALBANIAN}');
    Expect(1, 66927, '\p{Is_Blk=caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Is_Blk=caucasianalbanian}', "");
    Expect(0, 66927, '\P{Is_Blk=caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Is_Blk=caucasianalbanian}', "");
    Expect(0, 66928, '\p{Is_Blk=caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Is_Blk=caucasianalbanian}', "");
    Expect(1, 66928, '\P{Is_Blk=caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Is_Blk=caucasianalbanian}', "");
    Expect(1, 66927, '\p{Is_Blk= Caucasian_albanian}', "");
    Expect(0, 66927, '\p{^Is_Blk= Caucasian_albanian}', "");
    Expect(0, 66927, '\P{Is_Blk= Caucasian_albanian}', "");
    Expect(1, 66927, '\P{^Is_Blk= Caucasian_albanian}', "");
    Expect(0, 66928, '\p{Is_Blk= Caucasian_albanian}', "");
    Expect(1, 66928, '\p{^Is_Blk= Caucasian_albanian}', "");
    Expect(1, 66928, '\P{Is_Blk= Caucasian_albanian}', "");
    Expect(0, 66928, '\P{^Is_Blk= Caucasian_albanian}', "");
    Error('\p{Block=--Chakma/a/}');
    Error('\P{Block=--Chakma/a/}');
    Expect(1, 69967, '\p{Block=:\AChakma\z:}', "");;
    Expect(0, 69968, '\p{Block=:\AChakma\z:}', "");;
    Expect(1, 69967, '\p{Block=chakma}', "");
    Expect(0, 69967, '\p{^Block=chakma}', "");
    Expect(0, 69967, '\P{Block=chakma}', "");
    Expect(1, 69967, '\P{^Block=chakma}', "");
    Expect(0, 69968, '\p{Block=chakma}', "");
    Expect(1, 69968, '\p{^Block=chakma}', "");
    Expect(1, 69968, '\P{Block=chakma}', "");
    Expect(0, 69968, '\P{^Block=chakma}', "");
    Expect(1, 69967, '\p{Block=:\Achakma\z:}', "");;
    Expect(0, 69968, '\p{Block=:\Achakma\z:}', "");;
    Expect(1, 69967, '\p{Block=-Chakma}', "");
    Expect(0, 69967, '\p{^Block=-Chakma}', "");
    Expect(0, 69967, '\P{Block=-Chakma}', "");
    Expect(1, 69967, '\P{^Block=-Chakma}', "");
    Expect(0, 69968, '\p{Block=-Chakma}', "");
    Expect(1, 69968, '\p{^Block=-Chakma}', "");
    Expect(1, 69968, '\P{Block=-Chakma}', "");
    Expect(0, 69968, '\P{^Block=-Chakma}', "");
    Error('\p{Blk=/a/CHAKMA}');
    Error('\P{Blk=/a/CHAKMA}');
    Expect(1, 69967, '\p{Blk=:\AChakma\z:}', "");;
    Expect(0, 69968, '\p{Blk=:\AChakma\z:}', "");;
    Expect(1, 69967, '\p{Blk=chakma}', "");
    Expect(0, 69967, '\p{^Blk=chakma}', "");
    Expect(0, 69967, '\P{Blk=chakma}', "");
    Expect(1, 69967, '\P{^Blk=chakma}', "");
    Expect(0, 69968, '\p{Blk=chakma}', "");
    Expect(1, 69968, '\p{^Blk=chakma}', "");
    Expect(1, 69968, '\P{Blk=chakma}', "");
    Expect(0, 69968, '\P{^Blk=chakma}', "");
    Expect(1, 69967, '\p{Blk=:\Achakma\z:}', "");;
    Expect(0, 69968, '\p{Blk=:\Achakma\z:}', "");;
    Expect(1, 69967, '\p{Blk= Chakma}', "");
    Expect(0, 69967, '\p{^Blk= Chakma}', "");
    Expect(0, 69967, '\P{Blk= Chakma}', "");
    Expect(1, 69967, '\P{^Blk= Chakma}', "");
    Expect(0, 69968, '\p{Blk= Chakma}', "");
    Expect(1, 69968, '\p{^Blk= Chakma}', "");
    Expect(1, 69968, '\P{Blk= Chakma}', "");
    Expect(0, 69968, '\P{^Blk= Chakma}', "");
    Error('\p{Is_Block=/a/Chakma}');
    Error('\P{Is_Block=/a/Chakma}');
    Expect(1, 69967, '\p{Is_Block=chakma}', "");
    Expect(0, 69967, '\p{^Is_Block=chakma}', "");
    Expect(0, 69967, '\P{Is_Block=chakma}', "");
    Expect(1, 69967, '\P{^Is_Block=chakma}', "");
    Expect(0, 69968, '\p{Is_Block=chakma}', "");
    Expect(1, 69968, '\p{^Is_Block=chakma}', "");
    Expect(1, 69968, '\P{Is_Block=chakma}', "");
    Expect(0, 69968, '\P{^Is_Block=chakma}', "");
    Expect(1, 69967, '\p{Is_Block=-CHAKMA}', "");
    Expect(0, 69967, '\p{^Is_Block=-CHAKMA}', "");
    Expect(0, 69967, '\P{Is_Block=-CHAKMA}', "");
    Expect(1, 69967, '\P{^Is_Block=-CHAKMA}', "");
    Expect(0, 69968, '\p{Is_Block=-CHAKMA}', "");
    Expect(1, 69968, '\p{^Is_Block=-CHAKMA}', "");
    Expect(1, 69968, '\P{Is_Block=-CHAKMA}', "");
    Expect(0, 69968, '\P{^Is_Block=-CHAKMA}', "");
    Error('\p{Is_Blk=:=_Chakma}');
    Error('\P{Is_Blk=:=_Chakma}');
    Expect(1, 69967, '\p{Is_Blk=chakma}', "");
    Expect(0, 69967, '\p{^Is_Blk=chakma}', "");
    Expect(0, 69967, '\P{Is_Blk=chakma}', "");
    Expect(1, 69967, '\P{^Is_Blk=chakma}', "");
    Expect(0, 69968, '\p{Is_Blk=chakma}', "");
    Expect(1, 69968, '\p{^Is_Blk=chakma}', "");
    Expect(1, 69968, '\P{Is_Blk=chakma}', "");
    Expect(0, 69968, '\P{^Is_Blk=chakma}', "");
    Expect(1, 69967, '\p{Is_Blk=-	Chakma}', "");
    Expect(0, 69967, '\p{^Is_Blk=-	Chakma}', "");
    Expect(0, 69967, '\P{Is_Blk=-	Chakma}', "");
    Expect(1, 69967, '\P{^Is_Blk=-	Chakma}', "");
    Expect(0, 69968, '\p{Is_Blk=-	Chakma}', "");
    Expect(1, 69968, '\p{^Is_Blk=-	Chakma}', "");
    Expect(1, 69968, '\P{Is_Blk=-	Chakma}', "");
    Expect(0, 69968, '\P{^Is_Blk=-	Chakma}', "");
    Error('\p{Block=/a/_Cham}');
    Error('\P{Block=/a/_Cham}');
    Expect(1, 43615, '\p{Block=:\ACham\z:}', "");;
    Expect(0, 43616, '\p{Block=:\ACham\z:}', "");;
    Expect(1, 43615, '\p{Block=cham}', "");
    Expect(0, 43615, '\p{^Block=cham}', "");
    Expect(0, 43615, '\P{Block=cham}', "");
    Expect(1, 43615, '\P{^Block=cham}', "");
    Expect(0, 43616, '\p{Block=cham}', "");
    Expect(1, 43616, '\p{^Block=cham}', "");
    Expect(1, 43616, '\P{Block=cham}', "");
    Expect(0, 43616, '\P{^Block=cham}', "");
    Expect(1, 43615, '\p{Block=:\Acham\z:}', "");;
    Expect(0, 43616, '\p{Block=:\Acham\z:}', "");;
    Expect(1, 43615, '\p{Block=_Cham}', "");
    Expect(0, 43615, '\p{^Block=_Cham}', "");
    Expect(0, 43615, '\P{Block=_Cham}', "");
    Expect(1, 43615, '\P{^Block=_Cham}', "");
    Expect(0, 43616, '\p{Block=_Cham}', "");
    Expect(1, 43616, '\p{^Block=_Cham}', "");
    Expect(1, 43616, '\P{Block=_Cham}', "");
    Expect(0, 43616, '\P{^Block=_Cham}', "");
    Error('\p{Blk=/a/-	CHAM}');
    Error('\P{Blk=/a/-	CHAM}');
    Expect(1, 43615, '\p{Blk=:\ACham\z:}', "");;
    Expect(0, 43616, '\p{Blk=:\ACham\z:}', "");;
    Expect(1, 43615, '\p{Blk=cham}', "");
    Expect(0, 43615, '\p{^Blk=cham}', "");
    Expect(0, 43615, '\P{Blk=cham}', "");
    Expect(1, 43615, '\P{^Blk=cham}', "");
    Expect(0, 43616, '\p{Blk=cham}', "");
    Expect(1, 43616, '\p{^Blk=cham}', "");
    Expect(1, 43616, '\P{Blk=cham}', "");
    Expect(0, 43616, '\P{^Blk=cham}', "");
    Expect(1, 43615, '\p{Blk=:\Acham\z:}', "");;
    Expect(0, 43616, '\p{Blk=:\Acham\z:}', "");;
    Expect(1, 43615, '\p{Blk=_	cham}', "");
    Expect(0, 43615, '\p{^Blk=_	cham}', "");
    Expect(0, 43615, '\P{Blk=_	cham}', "");
    Expect(1, 43615, '\P{^Blk=_	cham}', "");
    Expect(0, 43616, '\p{Blk=_	cham}', "");
    Expect(1, 43616, '\p{^Blk=_	cham}', "");
    Expect(1, 43616, '\P{Blk=_	cham}', "");
    Expect(0, 43616, '\P{^Blk=_	cham}', "");
    Error('\p{Is_Block=	CHAM/a/}');
    Error('\P{Is_Block=	CHAM/a/}');
    Expect(1, 43615, '\p{Is_Block=cham}', "");
    Expect(0, 43615, '\p{^Is_Block=cham}', "");
    Expect(0, 43615, '\P{Is_Block=cham}', "");
    Expect(1, 43615, '\P{^Is_Block=cham}', "");
    Expect(0, 43616, '\p{Is_Block=cham}', "");
    Expect(1, 43616, '\p{^Is_Block=cham}', "");
    Expect(1, 43616, '\P{Is_Block=cham}', "");
    Expect(0, 43616, '\P{^Is_Block=cham}', "");
    Expect(1, 43615, '\p{Is_Block: _ Cham}', "");
    Expect(0, 43615, '\p{^Is_Block: _ Cham}', "");
    Expect(0, 43615, '\P{Is_Block: _ Cham}', "");
    Expect(1, 43615, '\P{^Is_Block: _ Cham}', "");
    Expect(0, 43616, '\p{Is_Block: _ Cham}', "");
    Expect(1, 43616, '\p{^Is_Block: _ Cham}', "");
    Expect(1, 43616, '\P{Is_Block: _ Cham}', "");
    Expect(0, 43616, '\P{^Is_Block: _ Cham}', "");
    Error('\p{Is_Blk=:=CHAM}');
    Error('\P{Is_Blk=:=CHAM}');
    Expect(1, 43615, '\p{Is_Blk=cham}', "");
    Expect(0, 43615, '\p{^Is_Blk=cham}', "");
    Expect(0, 43615, '\P{Is_Blk=cham}', "");
    Expect(1, 43615, '\P{^Is_Blk=cham}', "");
    Expect(0, 43616, '\p{Is_Blk=cham}', "");
    Expect(1, 43616, '\p{^Is_Blk=cham}', "");
    Expect(1, 43616, '\P{Is_Blk=cham}', "");
    Expect(0, 43616, '\P{^Is_Blk=cham}', "");
    Expect(1, 43615, '\p{Is_Blk: Cham}', "");
    Expect(0, 43615, '\p{^Is_Blk: Cham}', "");
    Expect(0, 43615, '\P{Is_Blk: Cham}', "");
    Expect(1, 43615, '\P{^Is_Blk: Cham}', "");
    Expect(0, 43616, '\p{Is_Blk: Cham}', "");
    Expect(1, 43616, '\p{^Is_Blk: Cham}', "");
    Expect(1, 43616, '\P{Is_Blk: Cham}', "");
    Expect(0, 43616, '\P{^Is_Blk: Cham}', "");
    Error('\p{Block=_:=CHEROKEE}');
    Error('\P{Block=_:=CHEROKEE}');
    Expect(1, 5119, '\p{Block=:\ACherokee\z:}', "");;
    Expect(0, 5120, '\p{Block=:\ACherokee\z:}', "");;
    Expect(1, 5119, '\p{Block=cherokee}', "");
    Expect(0, 5119, '\p{^Block=cherokee}', "");
    Expect(0, 5119, '\P{Block=cherokee}', "");
    Expect(1, 5119, '\P{^Block=cherokee}', "");
    Expect(0, 5120, '\p{Block=cherokee}', "");
    Expect(1, 5120, '\p{^Block=cherokee}', "");
    Expect(1, 5120, '\P{Block=cherokee}', "");
    Expect(0, 5120, '\P{^Block=cherokee}', "");
    Expect(1, 5119, '\p{Block=:\Acherokee\z:}', "");;
    Expect(0, 5120, '\p{Block=:\Acherokee\z:}', "");;
    Expect(1, 5119, '\p{Block=_Cherokee}', "");
    Expect(0, 5119, '\p{^Block=_Cherokee}', "");
    Expect(0, 5119, '\P{Block=_Cherokee}', "");
    Expect(1, 5119, '\P{^Block=_Cherokee}', "");
    Expect(0, 5120, '\p{Block=_Cherokee}', "");
    Expect(1, 5120, '\p{^Block=_Cherokee}', "");
    Expect(1, 5120, '\P{Block=_Cherokee}', "");
    Expect(0, 5120, '\P{^Block=_Cherokee}', "");
    Error('\p{Blk=	Cherokee/a/}');
    Error('\P{Blk=	Cherokee/a/}');
    Expect(1, 5119, '\p{Blk=:\ACherokee\z:}', "");;
    Expect(0, 5120, '\p{Blk=:\ACherokee\z:}', "");;
    Expect(1, 5119, '\p{Blk=cherokee}', "");
    Expect(0, 5119, '\p{^Blk=cherokee}', "");
    Expect(0, 5119, '\P{Blk=cherokee}', "");
    Expect(1, 5119, '\P{^Blk=cherokee}', "");
    Expect(0, 5120, '\p{Blk=cherokee}', "");
    Expect(1, 5120, '\p{^Blk=cherokee}', "");
    Expect(1, 5120, '\P{Blk=cherokee}', "");
    Expect(0, 5120, '\P{^Blk=cherokee}', "");
    Expect(1, 5119, '\p{Blk=:\Acherokee\z:}', "");;
    Expect(0, 5120, '\p{Blk=:\Acherokee\z:}', "");;
    Expect(1, 5119, '\p{Blk: 		Cherokee}', "");
    Expect(0, 5119, '\p{^Blk: 		Cherokee}', "");
    Expect(0, 5119, '\P{Blk: 		Cherokee}', "");
    Expect(1, 5119, '\P{^Blk: 		Cherokee}', "");
    Expect(0, 5120, '\p{Blk: 		Cherokee}', "");
    Expect(1, 5120, '\p{^Blk: 		Cherokee}', "");
    Expect(1, 5120, '\P{Blk: 		Cherokee}', "");
    Expect(0, 5120, '\P{^Blk: 		Cherokee}', "");
    Error('\p{Is_Block=/a/ -cherokee}');
    Error('\P{Is_Block=/a/ -cherokee}');
    Expect(1, 5119, '\p{Is_Block=cherokee}', "");
    Expect(0, 5119, '\p{^Is_Block=cherokee}', "");
    Expect(0, 5119, '\P{Is_Block=cherokee}', "");
    Expect(1, 5119, '\P{^Is_Block=cherokee}', "");
    Expect(0, 5120, '\p{Is_Block=cherokee}', "");
    Expect(1, 5120, '\p{^Is_Block=cherokee}', "");
    Expect(1, 5120, '\P{Is_Block=cherokee}', "");
    Expect(0, 5120, '\P{^Is_Block=cherokee}', "");
    Expect(1, 5119, '\p{Is_Block: Cherokee}', "");
    Expect(0, 5119, '\p{^Is_Block: Cherokee}', "");
    Expect(0, 5119, '\P{Is_Block: Cherokee}', "");
    Expect(1, 5119, '\P{^Is_Block: Cherokee}', "");
    Expect(0, 5120, '\p{Is_Block: Cherokee}', "");
    Expect(1, 5120, '\p{^Is_Block: Cherokee}', "");
    Expect(1, 5120, '\P{Is_Block: Cherokee}', "");
    Expect(0, 5120, '\P{^Is_Block: Cherokee}', "");
    Error('\p{Is_Blk=	:=Cherokee}');
    Error('\P{Is_Blk=	:=Cherokee}');
    Expect(1, 5119, '\p{Is_Blk:   cherokee}', "");
    Expect(0, 5119, '\p{^Is_Blk:   cherokee}', "");
    Expect(0, 5119, '\P{Is_Blk:   cherokee}', "");
    Expect(1, 5119, '\P{^Is_Blk:   cherokee}', "");
    Expect(0, 5120, '\p{Is_Blk:   cherokee}', "");
    Expect(1, 5120, '\p{^Is_Blk:   cherokee}', "");
    Expect(1, 5120, '\P{Is_Blk:   cherokee}', "");
    Expect(0, 5120, '\P{^Is_Blk:   cherokee}', "");
    Expect(1, 5119, '\p{Is_Blk=- Cherokee}', "");
    Expect(0, 5119, '\p{^Is_Blk=- Cherokee}', "");
    Expect(0, 5119, '\P{Is_Blk=- Cherokee}', "");
    Expect(1, 5119, '\P{^Is_Blk=- Cherokee}', "");
    Expect(0, 5120, '\p{Is_Blk=- Cherokee}', "");
    Expect(1, 5120, '\p{^Is_Blk=- Cherokee}', "");
    Expect(1, 5120, '\P{Is_Blk=- Cherokee}', "");
    Expect(0, 5120, '\P{^Is_Blk=- Cherokee}', "");
    Error('\p{Block:    -Cherokee_Supplement:=}');
    Error('\P{Block:    -Cherokee_Supplement:=}');
    Expect(1, 43967, '\p{Block=:\ACherokee_Supplement\z:}', "");;
    Expect(0, 43968, '\p{Block=:\ACherokee_Supplement\z:}', "");;
    Expect(1, 43967, '\p{Block=cherokeesupplement}', "");
    Expect(0, 43967, '\p{^Block=cherokeesupplement}', "");
    Expect(0, 43967, '\P{Block=cherokeesupplement}', "");
    Expect(1, 43967, '\P{^Block=cherokeesupplement}', "");
    Expect(0, 43968, '\p{Block=cherokeesupplement}', "");
    Expect(1, 43968, '\p{^Block=cherokeesupplement}', "");
    Expect(1, 43968, '\P{Block=cherokeesupplement}', "");
    Expect(0, 43968, '\P{^Block=cherokeesupplement}', "");
    Expect(1, 43967, '\p{Block=:\Acherokeesupplement\z:}', "");;
    Expect(0, 43968, '\p{Block=:\Acherokeesupplement\z:}', "");;
    Expect(1, 43967, '\p{Block=_	cherokee_SUPPLEMENT}', "");
    Expect(0, 43967, '\p{^Block=_	cherokee_SUPPLEMENT}', "");
    Expect(0, 43967, '\P{Block=_	cherokee_SUPPLEMENT}', "");
    Expect(1, 43967, '\P{^Block=_	cherokee_SUPPLEMENT}', "");
    Expect(0, 43968, '\p{Block=_	cherokee_SUPPLEMENT}', "");
    Expect(1, 43968, '\p{^Block=_	cherokee_SUPPLEMENT}', "");
    Expect(1, 43968, '\P{Block=_	cherokee_SUPPLEMENT}', "");
    Expect(0, 43968, '\P{^Block=_	cherokee_SUPPLEMENT}', "");
    Error('\p{Blk=/a/_cherokee_Sup}');
    Error('\P{Blk=/a/_cherokee_Sup}');
    Expect(1, 43967, '\p{Blk=:\ACherokee_Sup\z:}', "");;
    Expect(0, 43968, '\p{Blk=:\ACherokee_Sup\z:}', "");;
    Expect(1, 43967, '\p{Blk=cherokeesup}', "");
    Expect(0, 43967, '\p{^Blk=cherokeesup}', "");
    Expect(0, 43967, '\P{Blk=cherokeesup}', "");
    Expect(1, 43967, '\P{^Blk=cherokeesup}', "");
    Expect(0, 43968, '\p{Blk=cherokeesup}', "");
    Expect(1, 43968, '\p{^Blk=cherokeesup}', "");
    Expect(1, 43968, '\P{Blk=cherokeesup}', "");
    Expect(0, 43968, '\P{^Blk=cherokeesup}', "");
    Expect(1, 43967, '\p{Blk=:\Acherokeesup\z:}', "");;
    Expect(0, 43968, '\p{Blk=:\Acherokeesup\z:}', "");;
    Expect(1, 43967, '\p{Blk=	_cherokee_SUP}', "");
    Expect(0, 43967, '\p{^Blk=	_cherokee_SUP}', "");
    Expect(0, 43967, '\P{Blk=	_cherokee_SUP}', "");
    Expect(1, 43967, '\P{^Blk=	_cherokee_SUP}', "");
    Expect(0, 43968, '\p{Blk=	_cherokee_SUP}', "");
    Expect(1, 43968, '\p{^Blk=	_cherokee_SUP}', "");
    Expect(1, 43968, '\P{Blk=	_cherokee_SUP}', "");
    Expect(0, 43968, '\P{^Blk=	_cherokee_SUP}', "");
    Error('\p{Is_Block=:= cherokee_Supplement}');
    Error('\P{Is_Block=:= cherokee_Supplement}');
    Expect(1, 43967, '\p{Is_Block=cherokeesupplement}', "");
    Expect(0, 43967, '\p{^Is_Block=cherokeesupplement}', "");
    Expect(0, 43967, '\P{Is_Block=cherokeesupplement}', "");
    Expect(1, 43967, '\P{^Is_Block=cherokeesupplement}', "");
    Expect(0, 43968, '\p{Is_Block=cherokeesupplement}', "");
    Expect(1, 43968, '\p{^Is_Block=cherokeesupplement}', "");
    Expect(1, 43968, '\P{Is_Block=cherokeesupplement}', "");
    Expect(0, 43968, '\P{^Is_Block=cherokeesupplement}', "");
    Expect(1, 43967, '\p{Is_Block= cherokee_Supplement}', "");
    Expect(0, 43967, '\p{^Is_Block= cherokee_Supplement}', "");
    Expect(0, 43967, '\P{Is_Block= cherokee_Supplement}', "");
    Expect(1, 43967, '\P{^Is_Block= cherokee_Supplement}', "");
    Expect(0, 43968, '\p{Is_Block= cherokee_Supplement}', "");
    Expect(1, 43968, '\p{^Is_Block= cherokee_Supplement}', "");
    Expect(1, 43968, '\P{Is_Block= cherokee_Supplement}', "");
    Expect(0, 43968, '\P{^Is_Block= cherokee_Supplement}', "");
    Error('\p{Is_Blk: 		CHEROKEE_SUP/a/}');
    Error('\P{Is_Blk: 		CHEROKEE_SUP/a/}');
    Expect(1, 43967, '\p{Is_Blk=cherokeesup}', "");
    Expect(0, 43967, '\p{^Is_Blk=cherokeesup}', "");
    Expect(0, 43967, '\P{Is_Blk=cherokeesup}', "");
    Expect(1, 43967, '\P{^Is_Blk=cherokeesup}', "");
    Expect(0, 43968, '\p{Is_Blk=cherokeesup}', "");
    Expect(1, 43968, '\p{^Is_Blk=cherokeesup}', "");
    Expect(1, 43968, '\P{Is_Blk=cherokeesup}', "");
    Expect(0, 43968, '\P{^Is_Blk=cherokeesup}', "");
    Expect(1, 43967, '\p{Is_Blk=		CHEROKEE_Sup}', "");
    Expect(0, 43967, '\p{^Is_Blk=		CHEROKEE_Sup}', "");
    Expect(0, 43967, '\P{Is_Blk=		CHEROKEE_Sup}', "");
    Expect(1, 43967, '\P{^Is_Blk=		CHEROKEE_Sup}', "");
    Expect(0, 43968, '\p{Is_Blk=		CHEROKEE_Sup}', "");
    Expect(1, 43968, '\p{^Is_Blk=		CHEROKEE_Sup}', "");
    Expect(1, 43968, '\P{Is_Blk=		CHEROKEE_Sup}', "");
    Expect(0, 43968, '\P{^Is_Blk=		CHEROKEE_Sup}', "");
    Error('\p{Block=/a/-Chess_Symbols}');
    Error('\P{Block=/a/-Chess_Symbols}');
    Expect(1, 129647, '\p{Block=:\AChess_Symbols\z:}', "");;
    Expect(0, 129648, '\p{Block=:\AChess_Symbols\z:}', "");;
    Expect(1, 129647, '\p{Block=chesssymbols}', "");
    Expect(0, 129647, '\p{^Block=chesssymbols}', "");
    Expect(0, 129647, '\P{Block=chesssymbols}', "");
    Expect(1, 129647, '\P{^Block=chesssymbols}', "");
    Expect(0, 129648, '\p{Block=chesssymbols}', "");
    Expect(1, 129648, '\p{^Block=chesssymbols}', "");
    Expect(1, 129648, '\P{Block=chesssymbols}', "");
    Expect(0, 129648, '\P{^Block=chesssymbols}', "");
    Expect(1, 129647, '\p{Block=:\Achesssymbols\z:}', "");;
    Expect(0, 129648, '\p{Block=:\Achesssymbols\z:}', "");;
    Expect(1, 129647, '\p{Block=- Chess_symbols}', "");
    Expect(0, 129647, '\p{^Block=- Chess_symbols}', "");
    Expect(0, 129647, '\P{Block=- Chess_symbols}', "");
    Expect(1, 129647, '\P{^Block=- Chess_symbols}', "");
    Expect(0, 129648, '\p{Block=- Chess_symbols}', "");
    Expect(1, 129648, '\p{^Block=- Chess_symbols}', "");
    Expect(1, 129648, '\P{Block=- Chess_symbols}', "");
    Expect(0, 129648, '\P{^Block=- Chess_symbols}', "");
    Error('\p{Blk=		Chess_Symbols:=}');
    Error('\P{Blk=		Chess_Symbols:=}');
    Expect(1, 129647, '\p{Blk=:\AChess_Symbols\z:}', "");;
    Expect(0, 129648, '\p{Blk=:\AChess_Symbols\z:}', "");;
    Expect(1, 129647, '\p{Blk: chesssymbols}', "");
    Expect(0, 129647, '\p{^Blk: chesssymbols}', "");
    Expect(0, 129647, '\P{Blk: chesssymbols}', "");
    Expect(1, 129647, '\P{^Blk: chesssymbols}', "");
    Expect(0, 129648, '\p{Blk: chesssymbols}', "");
    Expect(1, 129648, '\p{^Blk: chesssymbols}', "");
    Expect(1, 129648, '\P{Blk: chesssymbols}', "");
    Expect(0, 129648, '\P{^Blk: chesssymbols}', "");
    Expect(1, 129647, '\p{Blk=:\Achesssymbols\z:}', "");;
    Expect(0, 129648, '\p{Blk=:\Achesssymbols\z:}', "");;
    Expect(1, 129647, '\p{Blk=-	CHESS_Symbols}', "");
    Expect(0, 129647, '\p{^Blk=-	CHESS_Symbols}', "");
    Expect(0, 129647, '\P{Blk=-	CHESS_Symbols}', "");
    Expect(1, 129647, '\P{^Blk=-	CHESS_Symbols}', "");
    Expect(0, 129648, '\p{Blk=-	CHESS_Symbols}', "");
    Expect(1, 129648, '\p{^Blk=-	CHESS_Symbols}', "");
    Expect(1, 129648, '\P{Blk=-	CHESS_Symbols}', "");
    Expect(0, 129648, '\P{^Blk=-	CHESS_Symbols}', "");
    Error('\p{Is_Block=:= -Chess_symbols}');
    Error('\P{Is_Block=:= -Chess_symbols}');
    Expect(1, 129647, '\p{Is_Block:	chesssymbols}', "");
    Expect(0, 129647, '\p{^Is_Block:	chesssymbols}', "");
    Expect(0, 129647, '\P{Is_Block:	chesssymbols}', "");
    Expect(1, 129647, '\P{^Is_Block:	chesssymbols}', "");
    Expect(0, 129648, '\p{Is_Block:	chesssymbols}', "");
    Expect(1, 129648, '\p{^Is_Block:	chesssymbols}', "");
    Expect(1, 129648, '\P{Is_Block:	chesssymbols}', "");
    Expect(0, 129648, '\P{^Is_Block:	chesssymbols}', "");
    Expect(1, 129647, '\p{Is_Block=_ Chess_SYMBOLS}', "");
    Expect(0, 129647, '\p{^Is_Block=_ Chess_SYMBOLS}', "");
    Expect(0, 129647, '\P{Is_Block=_ Chess_SYMBOLS}', "");
    Expect(1, 129647, '\P{^Is_Block=_ Chess_SYMBOLS}', "");
    Expect(0, 129648, '\p{Is_Block=_ Chess_SYMBOLS}', "");
    Expect(1, 129648, '\p{^Is_Block=_ Chess_SYMBOLS}', "");
    Expect(1, 129648, '\P{Is_Block=_ Chess_SYMBOLS}', "");
    Expect(0, 129648, '\P{^Is_Block=_ Chess_SYMBOLS}', "");
    Error('\p{Is_Blk:   	 chess_SYMBOLS:=}');
    Error('\P{Is_Blk:   	 chess_SYMBOLS:=}');
    Expect(1, 129647, '\p{Is_Blk=chesssymbols}', "");
    Expect(0, 129647, '\p{^Is_Blk=chesssymbols}', "");
    Expect(0, 129647, '\P{Is_Blk=chesssymbols}', "");
    Expect(1, 129647, '\P{^Is_Blk=chesssymbols}', "");
    Expect(0, 129648, '\p{Is_Blk=chesssymbols}', "");
    Expect(1, 129648, '\p{^Is_Blk=chesssymbols}', "");
    Expect(1, 129648, '\P{Is_Blk=chesssymbols}', "");
    Expect(0, 129648, '\P{^Is_Blk=chesssymbols}', "");
    Expect(1, 129647, '\p{Is_Blk=-CHESS_Symbols}', "");
    Expect(0, 129647, '\p{^Is_Blk=-CHESS_Symbols}', "");
    Expect(0, 129647, '\P{Is_Blk=-CHESS_Symbols}', "");
    Expect(1, 129647, '\P{^Is_Blk=-CHESS_Symbols}', "");
    Expect(0, 129648, '\p{Is_Blk=-CHESS_Symbols}', "");
    Expect(1, 129648, '\p{^Is_Blk=-CHESS_Symbols}', "");
    Expect(1, 129648, '\P{Is_Blk=-CHESS_Symbols}', "");
    Expect(0, 129648, '\P{^Is_Blk=-CHESS_Symbols}', "");
    Error('\p{Block=:=- CHORASMIAN}');
    Error('\P{Block=:=- CHORASMIAN}');
    Expect(1, 69599, '\p{Block=:\AChorasmian\z:}', "");;
    Expect(0, 69600, '\p{Block=:\AChorasmian\z:}', "");;
    Expect(1, 69599, '\p{Block=chorasmian}', "");
    Expect(0, 69599, '\p{^Block=chorasmian}', "");
    Expect(0, 69599, '\P{Block=chorasmian}', "");
    Expect(1, 69599, '\P{^Block=chorasmian}', "");
    Expect(0, 69600, '\p{Block=chorasmian}', "");
    Expect(1, 69600, '\p{^Block=chorasmian}', "");
    Expect(1, 69600, '\P{Block=chorasmian}', "");
    Expect(0, 69600, '\P{^Block=chorasmian}', "");
    Expect(1, 69599, '\p{Block=:\Achorasmian\z:}', "");;
    Expect(0, 69600, '\p{Block=:\Achorasmian\z:}', "");;
    Expect(1, 69599, '\p{Block=-_CHORASMIAN}', "");
    Expect(0, 69599, '\p{^Block=-_CHORASMIAN}', "");
    Expect(0, 69599, '\P{Block=-_CHORASMIAN}', "");
    Expect(1, 69599, '\P{^Block=-_CHORASMIAN}', "");
    Expect(0, 69600, '\p{Block=-_CHORASMIAN}', "");
    Expect(1, 69600, '\p{^Block=-_CHORASMIAN}', "");
    Expect(1, 69600, '\P{Block=-_CHORASMIAN}', "");
    Expect(0, 69600, '\P{^Block=-_CHORASMIAN}', "");
    Error('\p{Blk= :=CHORASMIAN}');
    Error('\P{Blk= :=CHORASMIAN}');
    Expect(1, 69599, '\p{Blk=:\AChorasmian\z:}', "");;
    Expect(0, 69600, '\p{Blk=:\AChorasmian\z:}', "");;
    Expect(1, 69599, '\p{Blk=chorasmian}', "");
    Expect(0, 69599, '\p{^Blk=chorasmian}', "");
    Expect(0, 69599, '\P{Blk=chorasmian}', "");
    Expect(1, 69599, '\P{^Blk=chorasmian}', "");
    Expect(0, 69600, '\p{Blk=chorasmian}', "");
    Expect(1, 69600, '\p{^Blk=chorasmian}', "");
    Expect(1, 69600, '\P{Blk=chorasmian}', "");
    Expect(0, 69600, '\P{^Blk=chorasmian}', "");
    Expect(1, 69599, '\p{Blk=:\Achorasmian\z:}', "");;
    Expect(0, 69600, '\p{Blk=:\Achorasmian\z:}', "");;
    Expect(1, 69599, '\p{Blk=-_CHORASMIAN}', "");
    Expect(0, 69599, '\p{^Blk=-_CHORASMIAN}', "");
    Expect(0, 69599, '\P{Blk=-_CHORASMIAN}', "");
    Expect(1, 69599, '\P{^Blk=-_CHORASMIAN}', "");
    Expect(0, 69600, '\p{Blk=-_CHORASMIAN}', "");
    Expect(1, 69600, '\p{^Blk=-_CHORASMIAN}', "");
    Expect(1, 69600, '\P{Blk=-_CHORASMIAN}', "");
    Expect(0, 69600, '\P{^Blk=-_CHORASMIAN}', "");
    Error('\p{Is_Block: /a/chorasmian}');
    Error('\P{Is_Block: /a/chorasmian}');
    Expect(1, 69599, '\p{Is_Block=chorasmian}', "");
    Expect(0, 69599, '\p{^Is_Block=chorasmian}', "");
    Expect(0, 69599, '\P{Is_Block=chorasmian}', "");
    Expect(1, 69599, '\P{^Is_Block=chorasmian}', "");
    Expect(0, 69600, '\p{Is_Block=chorasmian}', "");
    Expect(1, 69600, '\p{^Is_Block=chorasmian}', "");
    Expect(1, 69600, '\P{Is_Block=chorasmian}', "");
    Expect(0, 69600, '\P{^Is_Block=chorasmian}', "");
    Expect(1, 69599, '\p{Is_Block=_ Chorasmian}', "");
    Expect(0, 69599, '\p{^Is_Block=_ Chorasmian}', "");
    Expect(0, 69599, '\P{Is_Block=_ Chorasmian}', "");
    Expect(1, 69599, '\P{^Is_Block=_ Chorasmian}', "");
    Expect(0, 69600, '\p{Is_Block=_ Chorasmian}', "");
    Expect(1, 69600, '\p{^Is_Block=_ Chorasmian}', "");
    Expect(1, 69600, '\P{Is_Block=_ Chorasmian}', "");
    Expect(0, 69600, '\P{^Is_Block=_ Chorasmian}', "");
    Error('\p{Is_Blk=/a/ -Chorasmian}');
    Error('\P{Is_Blk=/a/ -Chorasmian}');
    Expect(1, 69599, '\p{Is_Blk:	chorasmian}', "");
    Expect(0, 69599, '\p{^Is_Blk:	chorasmian}', "");
    Expect(0, 69599, '\P{Is_Blk:	chorasmian}', "");
    Expect(1, 69599, '\P{^Is_Blk:	chorasmian}', "");
    Expect(0, 69600, '\p{Is_Blk:	chorasmian}', "");
    Expect(1, 69600, '\p{^Is_Blk:	chorasmian}', "");
    Expect(1, 69600, '\P{Is_Blk:	chorasmian}', "");
    Expect(0, 69600, '\P{^Is_Blk:	chorasmian}', "");
    Expect(1, 69599, '\p{Is_Blk= _chorasmian}', "");
    Expect(0, 69599, '\p{^Is_Blk= _chorasmian}', "");
    Expect(0, 69599, '\P{Is_Blk= _chorasmian}', "");
    Expect(1, 69599, '\P{^Is_Blk= _chorasmian}', "");
    Expect(0, 69600, '\p{Is_Blk= _chorasmian}', "");
    Expect(1, 69600, '\p{^Is_Blk= _chorasmian}', "");
    Expect(1, 69600, '\P{Is_Blk= _chorasmian}', "");
    Expect(0, 69600, '\P{^Is_Blk= _chorasmian}', "");
    Error('\p{Block=_/a/CJK_Unified_ideographs}');
    Error('\P{Block=_/a/CJK_Unified_ideographs}');
    Expect(1, 40959, '\p{Block=:\ACJK_Unified_Ideographs\z:}', "");;
    Expect(0, 40960, '\p{Block=:\ACJK_Unified_Ideographs\z:}', "");;
    Expect(1, 40959, '\p{Block=cjkunifiedideographs}', "");
    Expect(0, 40959, '\p{^Block=cjkunifiedideographs}', "");
    Expect(0, 40959, '\P{Block=cjkunifiedideographs}', "");
    Expect(1, 40959, '\P{^Block=cjkunifiedideographs}', "");
    Expect(0, 40960, '\p{Block=cjkunifiedideographs}', "");
    Expect(1, 40960, '\p{^Block=cjkunifiedideographs}', "");
    Expect(1, 40960, '\P{Block=cjkunifiedideographs}', "");
    Expect(0, 40960, '\P{^Block=cjkunifiedideographs}', "");
    Expect(1, 40959, '\p{Block=:\Acjkunifiedideographs\z:}', "");;
    Expect(0, 40960, '\p{Block=:\Acjkunifiedideographs\z:}', "");;
    Expect(1, 40959, '\p{Block=_	cjk_UNIFIED_Ideographs}', "");
    Expect(0, 40959, '\p{^Block=_	cjk_UNIFIED_Ideographs}', "");
    Expect(0, 40959, '\P{Block=_	cjk_UNIFIED_Ideographs}', "");
    Expect(1, 40959, '\P{^Block=_	cjk_UNIFIED_Ideographs}', "");
    Expect(0, 40960, '\p{Block=_	cjk_UNIFIED_Ideographs}', "");
    Expect(1, 40960, '\p{^Block=_	cjk_UNIFIED_Ideographs}', "");
    Expect(1, 40960, '\P{Block=_	cjk_UNIFIED_Ideographs}', "");
    Expect(0, 40960, '\P{^Block=_	cjk_UNIFIED_Ideographs}', "");
    Error('\p{Blk=:= -CJK}');
    Error('\P{Blk=:= -CJK}');
    Expect(1, 40959, '\p{Blk=:\ACJK\z:}', "");;
    Expect(0, 40960, '\p{Blk=:\ACJK\z:}', "");;
    Expect(1, 40959, '\p{Blk=cjk}', "");
    Expect(0, 40959, '\p{^Blk=cjk}', "");
    Expect(0, 40959, '\P{Blk=cjk}', "");
    Expect(1, 40959, '\P{^Blk=cjk}', "");
    Expect(0, 40960, '\p{Blk=cjk}', "");
    Expect(1, 40960, '\p{^Blk=cjk}', "");
    Expect(1, 40960, '\P{Blk=cjk}', "");
    Expect(0, 40960, '\P{^Blk=cjk}', "");
    Expect(1, 40959, '\p{Blk=:\Acjk\z:}', "");;
    Expect(0, 40960, '\p{Blk=:\Acjk\z:}', "");;
    Expect(1, 40959, '\p{Blk=_ CJK}', "");
    Expect(0, 40959, '\p{^Blk=_ CJK}', "");
    Expect(0, 40959, '\P{Blk=_ CJK}', "");
    Expect(1, 40959, '\P{^Blk=_ CJK}', "");
    Expect(0, 40960, '\p{Blk=_ CJK}', "");
    Expect(1, 40960, '\p{^Blk=_ CJK}', "");
    Expect(1, 40960, '\P{Blk=_ CJK}', "");
    Expect(0, 40960, '\P{^Blk=_ CJK}', "");
    Error('\p{Is_Block=	/a/CJK_UNIFIED_ideographs}');
    Error('\P{Is_Block=	/a/CJK_UNIFIED_ideographs}');
    Expect(1, 40959, '\p{Is_Block:cjkunifiedideographs}', "");
    Expect(0, 40959, '\p{^Is_Block:cjkunifiedideographs}', "");
    Expect(0, 40959, '\P{Is_Block:cjkunifiedideographs}', "");
    Expect(1, 40959, '\P{^Is_Block:cjkunifiedideographs}', "");
    Expect(0, 40960, '\p{Is_Block:cjkunifiedideographs}', "");
    Expect(1, 40960, '\p{^Is_Block:cjkunifiedideographs}', "");
    Expect(1, 40960, '\P{Is_Block:cjkunifiedideographs}', "");
    Expect(0, 40960, '\P{^Is_Block:cjkunifiedideographs}', "");
    Expect(1, 40959, '\p{Is_Block=_ cjk_Unified_Ideographs}', "");
    Expect(0, 40959, '\p{^Is_Block=_ cjk_Unified_Ideographs}', "");
    Expect(0, 40959, '\P{Is_Block=_ cjk_Unified_Ideographs}', "");
    Expect(1, 40959, '\P{^Is_Block=_ cjk_Unified_Ideographs}', "");
    Expect(0, 40960, '\p{Is_Block=_ cjk_Unified_Ideographs}', "");
    Expect(1, 40960, '\p{^Is_Block=_ cjk_Unified_Ideographs}', "");
    Expect(1, 40960, '\P{Is_Block=_ cjk_Unified_Ideographs}', "");
    Expect(0, 40960, '\P{^Is_Block=_ cjk_Unified_Ideographs}', "");
    Error('\p{Is_Blk=_	CJK:=}');
    Error('\P{Is_Blk=_	CJK:=}');
    Expect(1, 40959, '\p{Is_Blk: cjk}', "");
    Expect(0, 40959, '\p{^Is_Blk: cjk}', "");
    Expect(0, 40959, '\P{Is_Blk: cjk}', "");
    Expect(1, 40959, '\P{^Is_Blk: cjk}', "");
    Expect(0, 40960, '\p{Is_Blk: cjk}', "");
    Expect(1, 40960, '\p{^Is_Blk: cjk}', "");
    Expect(1, 40960, '\P{Is_Blk: cjk}', "");
    Expect(0, 40960, '\P{^Is_Blk: cjk}', "");
    Expect(1, 40959, '\p{Is_Blk:   	_CJK}', "");
    Expect(0, 40959, '\p{^Is_Blk:   	_CJK}', "");
    Expect(0, 40959, '\P{Is_Blk:   	_CJK}', "");
    Expect(1, 40959, '\P{^Is_Blk:   	_CJK}', "");
    Expect(0, 40960, '\p{Is_Blk:   	_CJK}', "");
    Expect(1, 40960, '\p{^Is_Blk:   	_CJK}', "");
    Expect(1, 40960, '\P{Is_Blk:   	_CJK}', "");
    Expect(0, 40960, '\P{^Is_Blk:   	_CJK}', "");
    Error('\p{Block=/a/cjk_COMPATIBILITY}');
    Error('\P{Block=/a/cjk_COMPATIBILITY}');
    Expect(1, 13311, '\p{Block=:\ACJK_Compatibility\z:}', "");;
    Expect(0, 13312, '\p{Block=:\ACJK_Compatibility\z:}', "");;
    Expect(1, 13311, '\p{Block=cjkcompatibility}', "");
    Expect(0, 13311, '\p{^Block=cjkcompatibility}', "");
    Expect(0, 13311, '\P{Block=cjkcompatibility}', "");
    Expect(1, 13311, '\P{^Block=cjkcompatibility}', "");
    Expect(0, 13312, '\p{Block=cjkcompatibility}', "");
    Expect(1, 13312, '\p{^Block=cjkcompatibility}', "");
    Expect(1, 13312, '\P{Block=cjkcompatibility}', "");
    Expect(0, 13312, '\P{^Block=cjkcompatibility}', "");
    Expect(1, 13311, '\p{Block=:\Acjkcompatibility\z:}', "");;
    Expect(0, 13312, '\p{Block=:\Acjkcompatibility\z:}', "");;
    Expect(1, 13311, '\p{Block=	CJK_Compatibility}', "");
    Expect(0, 13311, '\p{^Block=	CJK_Compatibility}', "");
    Expect(0, 13311, '\P{Block=	CJK_Compatibility}', "");
    Expect(1, 13311, '\P{^Block=	CJK_Compatibility}', "");
    Expect(0, 13312, '\p{Block=	CJK_Compatibility}', "");
    Expect(1, 13312, '\p{^Block=	CJK_Compatibility}', "");
    Expect(1, 13312, '\P{Block=	CJK_Compatibility}', "");
    Expect(0, 13312, '\P{^Block=	CJK_Compatibility}', "");
    Error('\p{Blk=:=cjk_COMPAT}');
    Error('\P{Blk=:=cjk_COMPAT}');
    Expect(1, 13311, '\p{Blk=:\ACJK_Compat\z:}', "");;
    Expect(0, 13312, '\p{Blk=:\ACJK_Compat\z:}', "");;
    Expect(1, 13311, '\p{Blk=cjkcompat}', "");
    Expect(0, 13311, '\p{^Blk=cjkcompat}', "");
    Expect(0, 13311, '\P{Blk=cjkcompat}', "");
    Expect(1, 13311, '\P{^Blk=cjkcompat}', "");
    Expect(0, 13312, '\p{Blk=cjkcompat}', "");
    Expect(1, 13312, '\p{^Blk=cjkcompat}', "");
    Expect(1, 13312, '\P{Blk=cjkcompat}', "");
    Expect(0, 13312, '\P{^Blk=cjkcompat}', "");
    Expect(1, 13311, '\p{Blk=:\Acjkcompat\z:}', "");;
    Expect(0, 13312, '\p{Blk=:\Acjkcompat\z:}', "");;
    Expect(1, 13311, '\p{Blk=-	CJK_compat}', "");
    Expect(0, 13311, '\p{^Blk=-	CJK_compat}', "");
    Expect(0, 13311, '\P{Blk=-	CJK_compat}', "");
    Expect(1, 13311, '\P{^Blk=-	CJK_compat}', "");
    Expect(0, 13312, '\p{Blk=-	CJK_compat}', "");
    Expect(1, 13312, '\p{^Blk=-	CJK_compat}', "");
    Expect(1, 13312, '\P{Blk=-	CJK_compat}', "");
    Expect(0, 13312, '\P{^Blk=-	CJK_compat}', "");
    Error('\p{Is_Block:	:=_-CJK_compatibility}');
    Error('\P{Is_Block:	:=_-CJK_compatibility}');
    Expect(1, 13311, '\p{Is_Block=cjkcompatibility}', "");
    Expect(0, 13311, '\p{^Is_Block=cjkcompatibility}', "");
    Expect(0, 13311, '\P{Is_Block=cjkcompatibility}', "");
    Expect(1, 13311, '\P{^Is_Block=cjkcompatibility}', "");
    Expect(0, 13312, '\p{Is_Block=cjkcompatibility}', "");
    Expect(1, 13312, '\p{^Is_Block=cjkcompatibility}', "");
    Expect(1, 13312, '\P{Is_Block=cjkcompatibility}', "");
    Expect(0, 13312, '\P{^Is_Block=cjkcompatibility}', "");
    Expect(1, 13311, '\p{Is_Block= cjk_COMPATIBILITY}', "");
    Expect(0, 13311, '\p{^Is_Block= cjk_COMPATIBILITY}', "");
    Expect(0, 13311, '\P{Is_Block= cjk_COMPATIBILITY}', "");
    Expect(1, 13311, '\P{^Is_Block= cjk_COMPATIBILITY}', "");
    Expect(0, 13312, '\p{Is_Block= cjk_COMPATIBILITY}', "");
    Expect(1, 13312, '\p{^Is_Block= cjk_COMPATIBILITY}', "");
    Expect(1, 13312, '\P{Is_Block= cjk_COMPATIBILITY}', "");
    Expect(0, 13312, '\P{^Is_Block= cjk_COMPATIBILITY}', "");
    Error('\p{Is_Blk=	 CJK_compat:=}');
    Error('\P{Is_Blk=	 CJK_compat:=}');
    Expect(1, 13311, '\p{Is_Blk: cjkcompat}', "");
    Expect(0, 13311, '\p{^Is_Blk: cjkcompat}', "");
    Expect(0, 13311, '\P{Is_Blk: cjkcompat}', "");
    Expect(1, 13311, '\P{^Is_Blk: cjkcompat}', "");
    Expect(0, 13312, '\p{Is_Blk: cjkcompat}', "");
    Expect(1, 13312, '\p{^Is_Blk: cjkcompat}', "");
    Expect(1, 13312, '\P{Is_Blk: cjkcompat}', "");
    Expect(0, 13312, '\P{^Is_Blk: cjkcompat}', "");
    Expect(1, 13311, '\p{Is_Blk=		CJK_COMPAT}', "");
    Expect(0, 13311, '\p{^Is_Blk=		CJK_COMPAT}', "");
    Expect(0, 13311, '\P{Is_Blk=		CJK_COMPAT}', "");
    Expect(1, 13311, '\P{^Is_Blk=		CJK_COMPAT}', "");
    Expect(0, 13312, '\p{Is_Blk=		CJK_COMPAT}', "");
    Expect(1, 13312, '\p{^Is_Blk=		CJK_COMPAT}', "");
    Expect(1, 13312, '\P{Is_Blk=		CJK_COMPAT}', "");
    Expect(0, 13312, '\P{^Is_Blk=		CJK_COMPAT}', "");
    Error('\p{Block=-/a/cjk_COMPATIBILITY_FORMS}');
    Error('\P{Block=-/a/cjk_COMPATIBILITY_FORMS}');
    Expect(1, 65103, '\p{Block=:\ACJK_Compatibility_Forms\z:}', "");;
    Expect(0, 65104, '\p{Block=:\ACJK_Compatibility_Forms\z:}', "");;
    Expect(1, 65103, '\p{Block=cjkcompatibilityforms}', "");
    Expect(0, 65103, '\p{^Block=cjkcompatibilityforms}', "");
    Expect(0, 65103, '\P{Block=cjkcompatibilityforms}', "");
    Expect(1, 65103, '\P{^Block=cjkcompatibilityforms}', "");
    Expect(0, 65104, '\p{Block=cjkcompatibilityforms}', "");
    Expect(1, 65104, '\p{^Block=cjkcompatibilityforms}', "");
    Expect(1, 65104, '\P{Block=cjkcompatibilityforms}', "");
    Expect(0, 65104, '\P{^Block=cjkcompatibilityforms}', "");
    Expect(1, 65103, '\p{Block=:\Acjkcompatibilityforms\z:}', "");;
    Expect(0, 65104, '\p{Block=:\Acjkcompatibilityforms\z:}', "");;
    Expect(1, 65103, '\p{Block=	-CJK_Compatibility_Forms}', "");
    Expect(0, 65103, '\p{^Block=	-CJK_Compatibility_Forms}', "");
    Expect(0, 65103, '\P{Block=	-CJK_Compatibility_Forms}', "");
    Expect(1, 65103, '\P{^Block=	-CJK_Compatibility_Forms}', "");
    Expect(0, 65104, '\p{Block=	-CJK_Compatibility_Forms}', "");
    Expect(1, 65104, '\p{^Block=	-CJK_Compatibility_Forms}', "");
    Expect(1, 65104, '\P{Block=	-CJK_Compatibility_Forms}', "");
    Expect(0, 65104, '\P{^Block=	-CJK_Compatibility_Forms}', "");
    Error('\p{Blk=--cjk_compat_FORMS:=}');
    Error('\P{Blk=--cjk_compat_FORMS:=}');
    Expect(1, 65103, '\p{Blk=:\ACJK_Compat_Forms\z:}', "");;
    Expect(0, 65104, '\p{Blk=:\ACJK_Compat_Forms\z:}', "");;
    Expect(1, 65103, '\p{Blk=cjkcompatforms}', "");
    Expect(0, 65103, '\p{^Blk=cjkcompatforms}', "");
    Expect(0, 65103, '\P{Blk=cjkcompatforms}', "");
    Expect(1, 65103, '\P{^Blk=cjkcompatforms}', "");
    Expect(0, 65104, '\p{Blk=cjkcompatforms}', "");
    Expect(1, 65104, '\p{^Blk=cjkcompatforms}', "");
    Expect(1, 65104, '\P{Blk=cjkcompatforms}', "");
    Expect(0, 65104, '\P{^Blk=cjkcompatforms}', "");
    Expect(1, 65103, '\p{Blk=:\Acjkcompatforms\z:}', "");;
    Expect(0, 65104, '\p{Blk=:\Acjkcompatforms\z:}', "");;
    Expect(1, 65103, '\p{Blk= _CJK_compat_Forms}', "");
    Expect(0, 65103, '\p{^Blk= _CJK_compat_Forms}', "");
    Expect(0, 65103, '\P{Blk= _CJK_compat_Forms}', "");
    Expect(1, 65103, '\P{^Blk= _CJK_compat_Forms}', "");
    Expect(0, 65104, '\p{Blk= _CJK_compat_Forms}', "");
    Expect(1, 65104, '\p{^Blk= _CJK_compat_Forms}', "");
    Expect(1, 65104, '\P{Blk= _CJK_compat_Forms}', "");
    Expect(0, 65104, '\P{^Blk= _CJK_compat_Forms}', "");
    Error('\p{Is_Block=/a/cjk_Compatibility_Forms}');
    Error('\P{Is_Block=/a/cjk_Compatibility_Forms}');
    Expect(1, 65103, '\p{Is_Block=cjkcompatibilityforms}', "");
    Expect(0, 65103, '\p{^Is_Block=cjkcompatibilityforms}', "");
    Expect(0, 65103, '\P{Is_Block=cjkcompatibilityforms}', "");
    Expect(1, 65103, '\P{^Is_Block=cjkcompatibilityforms}', "");
    Expect(0, 65104, '\p{Is_Block=cjkcompatibilityforms}', "");
    Expect(1, 65104, '\p{^Is_Block=cjkcompatibilityforms}', "");
    Expect(1, 65104, '\P{Is_Block=cjkcompatibilityforms}', "");
    Expect(0, 65104, '\P{^Is_Block=cjkcompatibilityforms}', "");
    Expect(1, 65103, '\p{Is_Block=		CJK_compatibility_forms}', "");
    Expect(0, 65103, '\p{^Is_Block=		CJK_compatibility_forms}', "");
    Expect(0, 65103, '\P{Is_Block=		CJK_compatibility_forms}', "");
    Expect(1, 65103, '\P{^Is_Block=		CJK_compatibility_forms}', "");
    Expect(0, 65104, '\p{Is_Block=		CJK_compatibility_forms}', "");
    Expect(1, 65104, '\p{^Is_Block=		CJK_compatibility_forms}', "");
    Expect(1, 65104, '\P{Is_Block=		CJK_compatibility_forms}', "");
    Expect(0, 65104, '\P{^Is_Block=		CJK_compatibility_forms}', "");
    Error('\p{Is_Blk=	/a/CJK_Compat_Forms}');
    Error('\P{Is_Blk=	/a/CJK_Compat_Forms}');
    Expect(1, 65103, '\p{Is_Blk=cjkcompatforms}', "");
    Expect(0, 65103, '\p{^Is_Blk=cjkcompatforms}', "");
    Expect(0, 65103, '\P{Is_Blk=cjkcompatforms}', "");
    Expect(1, 65103, '\P{^Is_Blk=cjkcompatforms}', "");
    Expect(0, 65104, '\p{Is_Blk=cjkcompatforms}', "");
    Expect(1, 65104, '\p{^Is_Blk=cjkcompatforms}', "");
    Expect(1, 65104, '\P{Is_Blk=cjkcompatforms}', "");
    Expect(0, 65104, '\P{^Is_Blk=cjkcompatforms}', "");
    Expect(1, 65103, '\p{Is_Blk=	-CJK_Compat_FORMS}', "");
    Expect(0, 65103, '\p{^Is_Blk=	-CJK_Compat_FORMS}', "");
    Expect(0, 65103, '\P{Is_Blk=	-CJK_Compat_FORMS}', "");
    Expect(1, 65103, '\P{^Is_Blk=	-CJK_Compat_FORMS}', "");
    Expect(0, 65104, '\p{Is_Blk=	-CJK_Compat_FORMS}', "");
    Expect(1, 65104, '\p{^Is_Blk=	-CJK_Compat_FORMS}', "");
    Expect(1, 65104, '\P{Is_Blk=	-CJK_Compat_FORMS}', "");
    Expect(0, 65104, '\P{^Is_Blk=	-CJK_Compat_FORMS}', "");
    Error('\p{Block=	-CJK_Compatibility_IDEOGRAPHS:=}');
    Error('\P{Block=	-CJK_Compatibility_IDEOGRAPHS:=}');
    Expect(1, 64255, '\p{Block=:\ACJK_Compatibility_Ideographs\z:}', "");;
    Expect(0, 64256, '\p{Block=:\ACJK_Compatibility_Ideographs\z:}', "");;
    Expect(1, 64255, '\p{Block=cjkcompatibilityideographs}', "");
    Expect(0, 64255, '\p{^Block=cjkcompatibilityideographs}', "");
    Expect(0, 64255, '\P{Block=cjkcompatibilityideographs}', "");
    Expect(1, 64255, '\P{^Block=cjkcompatibilityideographs}', "");
    Expect(0, 64256, '\p{Block=cjkcompatibilityideographs}', "");
    Expect(1, 64256, '\p{^Block=cjkcompatibilityideographs}', "");
    Expect(1, 64256, '\P{Block=cjkcompatibilityideographs}', "");
    Expect(0, 64256, '\P{^Block=cjkcompatibilityideographs}', "");
    Expect(1, 64255, '\p{Block=:\Acjkcompatibilityideographs\z:}', "");;
    Expect(0, 64256, '\p{Block=:\Acjkcompatibilityideographs\z:}', "");;
    Expect(1, 64255, '\p{Block=_	CJK_Compatibility_Ideographs}', "");
    Expect(0, 64255, '\p{^Block=_	CJK_Compatibility_Ideographs}', "");
    Expect(0, 64255, '\P{Block=_	CJK_Compatibility_Ideographs}', "");
    Expect(1, 64255, '\P{^Block=_	CJK_Compatibility_Ideographs}', "");
    Expect(0, 64256, '\p{Block=_	CJK_Compatibility_Ideographs}', "");
    Expect(1, 64256, '\p{^Block=_	CJK_Compatibility_Ideographs}', "");
    Expect(1, 64256, '\P{Block=_	CJK_Compatibility_Ideographs}', "");
    Expect(0, 64256, '\P{^Block=_	CJK_Compatibility_Ideographs}', "");
    Error('\p{Blk=:=	 CJK_COMPAT_IDEOGRAPHS}');
    Error('\P{Blk=:=	 CJK_COMPAT_IDEOGRAPHS}');
    Expect(1, 64255, '\p{Blk=:\ACJK_Compat_Ideographs\z:}', "");;
    Expect(0, 64256, '\p{Blk=:\ACJK_Compat_Ideographs\z:}', "");;
    Expect(1, 64255, '\p{Blk=cjkcompatideographs}', "");
    Expect(0, 64255, '\p{^Blk=cjkcompatideographs}', "");
    Expect(0, 64255, '\P{Blk=cjkcompatideographs}', "");
    Expect(1, 64255, '\P{^Blk=cjkcompatideographs}', "");
    Expect(0, 64256, '\p{Blk=cjkcompatideographs}', "");
    Expect(1, 64256, '\p{^Blk=cjkcompatideographs}', "");
    Expect(1, 64256, '\P{Blk=cjkcompatideographs}', "");
    Expect(0, 64256, '\P{^Blk=cjkcompatideographs}', "");
    Expect(1, 64255, '\p{Blk=:\Acjkcompatideographs\z:}', "");;
    Expect(0, 64256, '\p{Blk=:\Acjkcompatideographs\z:}', "");;
    Expect(1, 64255, '\p{Blk=		CJK_Compat_Ideographs}', "");
    Expect(0, 64255, '\p{^Blk=		CJK_Compat_Ideographs}', "");
    Expect(0, 64255, '\P{Blk=		CJK_Compat_Ideographs}', "");
    Expect(1, 64255, '\P{^Blk=		CJK_Compat_Ideographs}', "");
    Expect(0, 64256, '\p{Blk=		CJK_Compat_Ideographs}', "");
    Expect(1, 64256, '\p{^Blk=		CJK_Compat_Ideographs}', "");
    Expect(1, 64256, '\P{Blk=		CJK_Compat_Ideographs}', "");
    Expect(0, 64256, '\P{^Blk=		CJK_Compat_Ideographs}', "");
    Error('\p{Is_Block=	cjk_Compatibility_Ideographs/a/}');
    Error('\P{Is_Block=	cjk_Compatibility_Ideographs/a/}');
    Expect(1, 64255, '\p{Is_Block=cjkcompatibilityideographs}', "");
    Expect(0, 64255, '\p{^Is_Block=cjkcompatibilityideographs}', "");
    Expect(0, 64255, '\P{Is_Block=cjkcompatibilityideographs}', "");
    Expect(1, 64255, '\P{^Is_Block=cjkcompatibilityideographs}', "");
    Expect(0, 64256, '\p{Is_Block=cjkcompatibilityideographs}', "");
    Expect(1, 64256, '\p{^Is_Block=cjkcompatibilityideographs}', "");
    Expect(1, 64256, '\P{Is_Block=cjkcompatibilityideographs}', "");
    Expect(0, 64256, '\P{^Is_Block=cjkcompatibilityideographs}', "");
    Expect(1, 64255, '\p{Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64255, '\p{^Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64255, '\P{Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(1, 64255, '\P{^Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64256, '\p{Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(1, 64256, '\p{^Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(1, 64256, '\P{Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64256, '\P{^Is_Block=		CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Error('\p{Is_Blk=:=_-CJK_Compat_IDEOGRAPHS}');
    Error('\P{Is_Blk=:=_-CJK_Compat_IDEOGRAPHS}');
    Expect(1, 64255, '\p{Is_Blk=cjkcompatideographs}', "");
    Expect(0, 64255, '\p{^Is_Blk=cjkcompatideographs}', "");
    Expect(0, 64255, '\P{Is_Blk=cjkcompatideographs}', "");
    Expect(1, 64255, '\P{^Is_Blk=cjkcompatideographs}', "");
    Expect(0, 64256, '\p{Is_Blk=cjkcompatideographs}', "");
    Expect(1, 64256, '\p{^Is_Blk=cjkcompatideographs}', "");
    Expect(1, 64256, '\P{Is_Blk=cjkcompatideographs}', "");
    Expect(0, 64256, '\P{^Is_Blk=cjkcompatideographs}', "");
    Expect(1, 64255, '\p{Is_Blk:_cjk_compat_Ideographs}', "");
    Expect(0, 64255, '\p{^Is_Blk:_cjk_compat_Ideographs}', "");
    Expect(0, 64255, '\P{Is_Blk:_cjk_compat_Ideographs}', "");
    Expect(1, 64255, '\P{^Is_Blk:_cjk_compat_Ideographs}', "");
    Expect(0, 64256, '\p{Is_Blk:_cjk_compat_Ideographs}', "");
    Expect(1, 64256, '\p{^Is_Blk:_cjk_compat_Ideographs}', "");
    Expect(1, 64256, '\P{Is_Blk:_cjk_compat_Ideographs}', "");
    Expect(0, 64256, '\P{^Is_Blk:_cjk_compat_Ideographs}', "");
    Error('\p{Block:   - CJK_COMPATIBILITY_IDEOGRAPHS_supplement/a/}');
    Error('\P{Block:   - CJK_COMPATIBILITY_IDEOGRAPHS_supplement/a/}');
    Expect(1, 195103, '\p{Block=:\ACJK_Compatibility_Ideographs_Supplement\z:}', "");;
    Expect(0, 195104, '\p{Block=:\ACJK_Compatibility_Ideographs_Supplement\z:}', "");;
    Expect(1, 195103, '\p{Block: cjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\p{^Block: cjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\P{Block: cjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\P{^Block: cjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\p{Block: cjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\p{^Block: cjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\P{Block: cjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\P{^Block: cjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\p{Block=:\Acjkcompatibilityideographssupplement\z:}', "");;
    Expect(0, 195104, '\p{Block=:\Acjkcompatibilityideographssupplement\z:}', "");;
    Expect(1, 195103, '\p{Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195103, '\p{^Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195103, '\P{Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(1, 195103, '\P{^Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195104, '\p{Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(1, 195104, '\p{^Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(1, 195104, '\P{Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195104, '\P{^Block=	CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Error('\p{Blk=_	cjk_compat_IDEOGRAPHS_sup/a/}');
    Error('\P{Blk=_	cjk_compat_IDEOGRAPHS_sup/a/}');
    Expect(1, 195103, '\p{Blk=:\ACJK_Compat_Ideographs_Sup\z:}', "");;
    Expect(0, 195104, '\p{Blk=:\ACJK_Compat_Ideographs_Sup\z:}', "");;
    Expect(1, 195103, '\p{Blk=cjkcompatideographssup}', "");
    Expect(0, 195103, '\p{^Blk=cjkcompatideographssup}', "");
    Expect(0, 195103, '\P{Blk=cjkcompatideographssup}', "");
    Expect(1, 195103, '\P{^Blk=cjkcompatideographssup}', "");
    Expect(0, 195104, '\p{Blk=cjkcompatideographssup}', "");
    Expect(1, 195104, '\p{^Blk=cjkcompatideographssup}', "");
    Expect(1, 195104, '\P{Blk=cjkcompatideographssup}', "");
    Expect(0, 195104, '\P{^Blk=cjkcompatideographssup}', "");
    Expect(1, 195103, '\p{Blk=:\Acjkcompatideographssup\z:}', "");;
    Expect(0, 195104, '\p{Blk=:\Acjkcompatideographssup\z:}', "");;
    Expect(1, 195103, '\p{Blk=  CJK_compat_ideographs_sup}', "");
    Expect(0, 195103, '\p{^Blk=  CJK_compat_ideographs_sup}', "");
    Expect(0, 195103, '\P{Blk=  CJK_compat_ideographs_sup}', "");
    Expect(1, 195103, '\P{^Blk=  CJK_compat_ideographs_sup}', "");
    Expect(0, 195104, '\p{Blk=  CJK_compat_ideographs_sup}', "");
    Expect(1, 195104, '\p{^Blk=  CJK_compat_ideographs_sup}', "");
    Expect(1, 195104, '\P{Blk=  CJK_compat_ideographs_sup}', "");
    Expect(0, 195104, '\P{^Blk=  CJK_compat_ideographs_sup}', "");
    Error('\p{Is_Block=-/a/CJK_compatibility_ideographs_SUPPLEMENT}');
    Error('\P{Is_Block=-/a/CJK_compatibility_ideographs_SUPPLEMENT}');
    Expect(1, 195103, '\p{Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\p{^Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\P{Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\P{^Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\p{Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\p{^Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\P{Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\P{^Is_Block=cjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\p{Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Expect(0, 195103, '\p{^Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Expect(0, 195103, '\P{Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Expect(1, 195103, '\P{^Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Expect(0, 195104, '\p{Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Expect(1, 195104, '\p{^Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Expect(1, 195104, '\P{Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Expect(0, 195104, '\P{^Is_Block=CJK_Compatibility_Ideographs_Supplement}', "");
    Error('\p{Is_Blk= -cjk_Compat_IDEOGRAPHS_Sup/a/}');
    Error('\P{Is_Blk= -cjk_Compat_IDEOGRAPHS_Sup/a/}');
    Expect(1, 195103, '\p{Is_Blk=cjkcompatideographssup}', "");
    Expect(0, 195103, '\p{^Is_Blk=cjkcompatideographssup}', "");
    Expect(0, 195103, '\P{Is_Blk=cjkcompatideographssup}', "");
    Expect(1, 195103, '\P{^Is_Blk=cjkcompatideographssup}', "");
    Expect(0, 195104, '\p{Is_Blk=cjkcompatideographssup}', "");
    Expect(1, 195104, '\p{^Is_Blk=cjkcompatideographssup}', "");
    Expect(1, 195104, '\P{Is_Blk=cjkcompatideographssup}', "");
    Expect(0, 195104, '\P{^Is_Blk=cjkcompatideographssup}', "");
    Expect(1, 195103, '\p{Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Expect(0, 195103, '\p{^Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Expect(0, 195103, '\P{Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Expect(1, 195103, '\P{^Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Expect(0, 195104, '\p{Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Expect(1, 195104, '\p{^Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Expect(1, 195104, '\P{Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Expect(0, 195104, '\P{^Is_Blk=- CJK_COMPAT_Ideographs_SUP}', "");
    Error('\p{Block=/a/	_CJK_UNIFIED_ideographs_extension_A}');
    Error('\P{Block=/a/	_CJK_UNIFIED_ideographs_extension_A}');
    Expect(1, 19903, '\p{Block=:\ACJK_Unified_Ideographs_Extension_A\z:}', "");;
    Expect(0, 19904, '\p{Block=:\ACJK_Unified_Ideographs_Extension_A\z:}', "");;
    Expect(1, 19903, '\p{Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\p{^Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\P{Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\P{^Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\p{Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\p{^Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\P{Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\P{^Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\p{Block=:\Acjkunifiedideographsextensiona\z:}', "");;
    Expect(0, 19904, '\p{Block=:\Acjkunifiedideographsextensiona\z:}', "");;
    Expect(1, 19903, '\p{Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Expect(0, 19903, '\p{^Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Expect(0, 19903, '\P{Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Expect(1, 19903, '\P{^Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Expect(0, 19904, '\p{Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Expect(1, 19904, '\p{^Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Expect(1, 19904, '\P{Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Expect(0, 19904, '\P{^Block=- CJK_UNIFIED_Ideographs_extension_a}', "");
    Error('\p{Blk=/a/_CJK_EXT_A}');
    Error('\P{Blk=/a/_CJK_EXT_A}');
    Expect(1, 19903, '\p{Blk=:\ACJK_Ext_A\z:}', "");;
    Expect(0, 19904, '\p{Blk=:\ACJK_Ext_A\z:}', "");;
    Expect(1, 19903, '\p{Blk:   cjkexta}', "");
    Expect(0, 19903, '\p{^Blk:   cjkexta}', "");
    Expect(0, 19903, '\P{Blk:   cjkexta}', "");
    Expect(1, 19903, '\P{^Blk:   cjkexta}', "");
    Expect(0, 19904, '\p{Blk:   cjkexta}', "");
    Expect(1, 19904, '\p{^Blk:   cjkexta}', "");
    Expect(1, 19904, '\P{Blk:   cjkexta}', "");
    Expect(0, 19904, '\P{^Blk:   cjkexta}', "");
    Expect(1, 19903, '\p{Blk=:\Acjkexta\z:}', "");;
    Expect(0, 19904, '\p{Blk=:\Acjkexta\z:}', "");;
    Expect(1, 19903, '\p{Blk=- cjk_EXT_a}', "");
    Expect(0, 19903, '\p{^Blk=- cjk_EXT_a}', "");
    Expect(0, 19903, '\P{Blk=- cjk_EXT_a}', "");
    Expect(1, 19903, '\P{^Blk=- cjk_EXT_a}', "");
    Expect(0, 19904, '\p{Blk=- cjk_EXT_a}', "");
    Expect(1, 19904, '\p{^Blk=- cjk_EXT_a}', "");
    Expect(1, 19904, '\P{Blk=- cjk_EXT_a}', "");
    Expect(0, 19904, '\P{^Blk=- cjk_EXT_a}', "");
    Error('\p{Is_Block=__CJK_UNIFIED_Ideographs_EXTENSION_A/a/}');
    Error('\P{Is_Block=__CJK_UNIFIED_Ideographs_EXTENSION_A/a/}');
    Expect(1, 19903, '\p{Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\p{^Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\P{Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\P{^Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\p{Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\p{^Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\P{Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\P{^Is_Block=cjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\p{Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Expect(0, 19903, '\p{^Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Expect(0, 19903, '\P{Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Expect(1, 19903, '\P{^Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Expect(0, 19904, '\p{Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Expect(1, 19904, '\p{^Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Expect(1, 19904, '\P{Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Expect(0, 19904, '\P{^Is_Block=-CJK_unified_Ideographs_EXTENSION_a}', "");
    Error('\p{Is_Blk=-/a/CJK_ext_a}');
    Error('\P{Is_Blk=-/a/CJK_ext_a}');
    Expect(1, 19903, '\p{Is_Blk=cjkexta}', "");
    Expect(0, 19903, '\p{^Is_Blk=cjkexta}', "");
    Expect(0, 19903, '\P{Is_Blk=cjkexta}', "");
    Expect(1, 19903, '\P{^Is_Blk=cjkexta}', "");
    Expect(0, 19904, '\p{Is_Blk=cjkexta}', "");
    Expect(1, 19904, '\p{^Is_Blk=cjkexta}', "");
    Expect(1, 19904, '\P{Is_Blk=cjkexta}', "");
    Expect(0, 19904, '\P{^Is_Blk=cjkexta}', "");
    Expect(1, 19903, '\p{Is_Blk=	 cjk_ext_a}', "");
    Expect(0, 19903, '\p{^Is_Blk=	 cjk_ext_a}', "");
    Expect(0, 19903, '\P{Is_Blk=	 cjk_ext_a}', "");
    Expect(1, 19903, '\P{^Is_Blk=	 cjk_ext_a}', "");
    Expect(0, 19904, '\p{Is_Blk=	 cjk_ext_a}', "");
    Expect(1, 19904, '\p{^Is_Blk=	 cjk_ext_a}', "");
    Expect(1, 19904, '\P{Is_Blk=	 cjk_ext_a}', "");
    Expect(0, 19904, '\P{^Is_Blk=	 cjk_ext_a}', "");
    Error('\p{Block=:=	_cjk_Unified_IDEOGRAPHS_EXTENSION_B}');
    Error('\P{Block=:=	_cjk_Unified_IDEOGRAPHS_EXTENSION_B}');
    Expect(1, 173791, '\p{Block=:\ACJK_Unified_Ideographs_Extension_B\z:}', "");;
    Expect(0, 173792, '\p{Block=:\ACJK_Unified_Ideographs_Extension_B\z:}', "");;
    Expect(1, 173791, '\p{Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\p{^Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\P{Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\P{^Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\p{Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\p{^Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\P{Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\P{^Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\p{Block=:\Acjkunifiedideographsextensionb\z:}', "");;
    Expect(0, 173792, '\p{Block=:\Acjkunifiedideographsextensionb\z:}', "");;
    Expect(1, 173791, '\p{Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173791, '\p{^Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173791, '\P{Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Expect(1, 173791, '\P{^Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173792, '\p{Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Expect(1, 173792, '\p{^Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Expect(1, 173792, '\P{Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173792, '\P{^Block=-_CJK_Unified_Ideographs_Extension_B}', "");
    Error('\p{Blk=	-CJK_EXT_b/a/}');
    Error('\P{Blk=	-CJK_EXT_b/a/}');
    Expect(1, 173791, '\p{Blk=:\ACJK_Ext_B\z:}', "");;
    Expect(0, 173792, '\p{Blk=:\ACJK_Ext_B\z:}', "");;
    Expect(1, 173791, '\p{Blk=cjkextb}', "");
    Expect(0, 173791, '\p{^Blk=cjkextb}', "");
    Expect(0, 173791, '\P{Blk=cjkextb}', "");
    Expect(1, 173791, '\P{^Blk=cjkextb}', "");
    Expect(0, 173792, '\p{Blk=cjkextb}', "");
    Expect(1, 173792, '\p{^Blk=cjkextb}', "");
    Expect(1, 173792, '\P{Blk=cjkextb}', "");
    Expect(0, 173792, '\P{^Blk=cjkextb}', "");
    Expect(1, 173791, '\p{Blk=:\Acjkextb\z:}', "");;
    Expect(0, 173792, '\p{Blk=:\Acjkextb\z:}', "");;
    Expect(1, 173791, '\p{Blk: _	CJK_Ext_B}', "");
    Expect(0, 173791, '\p{^Blk: _	CJK_Ext_B}', "");
    Expect(0, 173791, '\P{Blk: _	CJK_Ext_B}', "");
    Expect(1, 173791, '\P{^Blk: _	CJK_Ext_B}', "");
    Expect(0, 173792, '\p{Blk: _	CJK_Ext_B}', "");
    Expect(1, 173792, '\p{^Blk: _	CJK_Ext_B}', "");
    Expect(1, 173792, '\P{Blk: _	CJK_Ext_B}', "");
    Expect(0, 173792, '\P{^Blk: _	CJK_Ext_B}', "");
    Error('\p{Is_Block=/a/- CJK_unified_Ideographs_EXTENSION_B}');
    Error('\P{Is_Block=/a/- CJK_unified_Ideographs_EXTENSION_B}');
    Expect(1, 173791, '\p{Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\p{^Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\P{Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\P{^Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\p{Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\p{^Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\P{Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\P{^Is_Block=cjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\p{Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173791, '\p{^Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173791, '\P{Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Expect(1, 173791, '\P{^Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173792, '\p{Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Expect(1, 173792, '\p{^Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Expect(1, 173792, '\P{Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Expect(0, 173792, '\P{^Is_Block=_ CJK_Unified_Ideographs_Extension_B}', "");
    Error('\p{Is_Blk=	CJK_EXT_B:=}');
    Error('\P{Is_Blk=	CJK_EXT_B:=}');
    Expect(1, 173791, '\p{Is_Blk=cjkextb}', "");
    Expect(0, 173791, '\p{^Is_Blk=cjkextb}', "");
    Expect(0, 173791, '\P{Is_Blk=cjkextb}', "");
    Expect(1, 173791, '\P{^Is_Blk=cjkextb}', "");
    Expect(0, 173792, '\p{Is_Blk=cjkextb}', "");
    Expect(1, 173792, '\p{^Is_Blk=cjkextb}', "");
    Expect(1, 173792, '\P{Is_Blk=cjkextb}', "");
    Expect(0, 173792, '\P{^Is_Blk=cjkextb}', "");
    Expect(1, 173791, '\p{Is_Blk=	_CJK_EXT_B}', "");
    Expect(0, 173791, '\p{^Is_Blk=	_CJK_EXT_B}', "");
    Expect(0, 173791, '\P{Is_Blk=	_CJK_EXT_B}', "");
    Expect(1, 173791, '\P{^Is_Blk=	_CJK_EXT_B}', "");
    Expect(0, 173792, '\p{Is_Blk=	_CJK_EXT_B}', "");
    Expect(1, 173792, '\p{^Is_Blk=	_CJK_EXT_B}', "");
    Expect(1, 173792, '\P{Is_Blk=	_CJK_EXT_B}', "");
    Expect(0, 173792, '\P{^Is_Blk=	_CJK_EXT_B}', "");
    Error('\p{Block=	/a/CJK_UNIFIED_Ideographs_extension_C}');
    Error('\P{Block=	/a/CJK_UNIFIED_Ideographs_extension_C}');
    Expect(1, 177983, '\p{Block=:\ACJK_Unified_Ideographs_Extension_C\z:}', "");;
    Expect(0, 177984, '\p{Block=:\ACJK_Unified_Ideographs_Extension_C\z:}', "");;
    Expect(1, 177983, '\p{Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\p{^Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\P{Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\P{^Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\p{Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\p{^Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\P{Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\P{^Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\p{Block=:\Acjkunifiedideographsextensionc\z:}', "");;
    Expect(0, 177984, '\p{Block=:\Acjkunifiedideographsextensionc\z:}', "");;
    Expect(1, 177983, '\p{Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177983, '\p{^Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177983, '\P{Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Expect(1, 177983, '\P{^Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177984, '\p{Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Expect(1, 177984, '\p{^Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Expect(1, 177984, '\P{Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177984, '\P{^Block=CJK_unified_IDEOGRAPHS_Extension_C}', "");
    Error('\p{Blk=CJK_EXT_C:=}');
    Error('\P{Blk=CJK_EXT_C:=}');
    Expect(1, 177983, '\p{Blk=:\ACJK_Ext_C\z:}', "");;
    Expect(0, 177984, '\p{Blk=:\ACJK_Ext_C\z:}', "");;
    Expect(1, 177983, '\p{Blk=cjkextc}', "");
    Expect(0, 177983, '\p{^Blk=cjkextc}', "");
    Expect(0, 177983, '\P{Blk=cjkextc}', "");
    Expect(1, 177983, '\P{^Blk=cjkextc}', "");
    Expect(0, 177984, '\p{Blk=cjkextc}', "");
    Expect(1, 177984, '\p{^Blk=cjkextc}', "");
    Expect(1, 177984, '\P{Blk=cjkextc}', "");
    Expect(0, 177984, '\P{^Blk=cjkextc}', "");
    Expect(1, 177983, '\p{Blk=:\Acjkextc\z:}', "");;
    Expect(0, 177984, '\p{Blk=:\Acjkextc\z:}', "");;
    Expect(1, 177983, '\p{Blk=-CJK_EXT_c}', "");
    Expect(0, 177983, '\p{^Blk=-CJK_EXT_c}', "");
    Expect(0, 177983, '\P{Blk=-CJK_EXT_c}', "");
    Expect(1, 177983, '\P{^Blk=-CJK_EXT_c}', "");
    Expect(0, 177984, '\p{Blk=-CJK_EXT_c}', "");
    Expect(1, 177984, '\p{^Blk=-CJK_EXT_c}', "");
    Expect(1, 177984, '\P{Blk=-CJK_EXT_c}', "");
    Expect(0, 177984, '\P{^Blk=-CJK_EXT_c}', "");
    Error('\p{Is_Block=:= 	cjk_Unified_IDEOGRAPHS_extension_C}');
    Error('\P{Is_Block=:= 	cjk_Unified_IDEOGRAPHS_extension_C}');
    Expect(1, 177983, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\p{Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Expect(0, 177983, '\p{^Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Expect(0, 177983, '\P{Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Expect(1, 177983, '\P{^Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Expect(0, 177984, '\p{Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Expect(1, 177984, '\p{^Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Expect(1, 177984, '\P{Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Expect(0, 177984, '\P{^Is_Block=	CJK_UNIFIED_IDEOGRAPHS_Extension_c}', "");
    Error('\p{Is_Blk=/a/	 CJK_EXT_C}');
    Error('\P{Is_Blk=/a/	 CJK_EXT_C}');
    Expect(1, 177983, '\p{Is_Blk=cjkextc}', "");
    Expect(0, 177983, '\p{^Is_Blk=cjkextc}', "");
    Expect(0, 177983, '\P{Is_Blk=cjkextc}', "");
    Expect(1, 177983, '\P{^Is_Blk=cjkextc}', "");
    Expect(0, 177984, '\p{Is_Blk=cjkextc}', "");
    Expect(1, 177984, '\p{^Is_Blk=cjkextc}', "");
    Expect(1, 177984, '\P{Is_Blk=cjkextc}', "");
    Expect(0, 177984, '\P{^Is_Blk=cjkextc}', "");
    Expect(1, 177983, '\p{Is_Blk=		cjk_Ext_C}', "");
    Expect(0, 177983, '\p{^Is_Blk=		cjk_Ext_C}', "");
    Expect(0, 177983, '\P{Is_Blk=		cjk_Ext_C}', "");
    Expect(1, 177983, '\P{^Is_Blk=		cjk_Ext_C}', "");
    Expect(0, 177984, '\p{Is_Blk=		cjk_Ext_C}', "");
    Expect(1, 177984, '\p{^Is_Blk=		cjk_Ext_C}', "");
    Expect(1, 177984, '\P{Is_Blk=		cjk_Ext_C}', "");
    Expect(0, 177984, '\P{^Is_Blk=		cjk_Ext_C}', "");
    Error('\p{Block=:=  CJK_Unified_IDEOGRAPHS_Extension_D}');
    Error('\P{Block=:=  CJK_Unified_IDEOGRAPHS_Extension_D}');
    Expect(1, 178207, '\p{Block=:\ACJK_Unified_Ideographs_Extension_D\z:}', "");;
    Expect(0, 178208, '\p{Block=:\ACJK_Unified_Ideographs_Extension_D\z:}', "");;
    Expect(1, 178207, '\p{Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\p{^Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\P{Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\P{^Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\p{Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\p{^Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\P{Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\P{^Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\p{Block=:\Acjkunifiedideographsextensiond\z:}', "");;
    Expect(0, 178208, '\p{Block=:\Acjkunifiedideographsextensiond\z:}', "");;
    Expect(1, 178207, '\p{Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178207, '\p{^Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178207, '\P{Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(1, 178207, '\P{^Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178208, '\p{Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(1, 178208, '\p{^Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(1, 178208, '\P{Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178208, '\P{^Block=-_CJK_UNIFIED_ideographs_extension_D}', "");
    Error('\p{Blk=:=	CJK_ext_D}');
    Error('\P{Blk=:=	CJK_ext_D}');
    Expect(1, 178207, '\p{Blk=:\ACJK_Ext_D\z:}', "");;
    Expect(0, 178208, '\p{Blk=:\ACJK_Ext_D\z:}', "");;
    Expect(1, 178207, '\p{Blk=cjkextd}', "");
    Expect(0, 178207, '\p{^Blk=cjkextd}', "");
    Expect(0, 178207, '\P{Blk=cjkextd}', "");
    Expect(1, 178207, '\P{^Blk=cjkextd}', "");
    Expect(0, 178208, '\p{Blk=cjkextd}', "");
    Expect(1, 178208, '\p{^Blk=cjkextd}', "");
    Expect(1, 178208, '\P{Blk=cjkextd}', "");
    Expect(0, 178208, '\P{^Blk=cjkextd}', "");
    Expect(1, 178207, '\p{Blk=:\Acjkextd\z:}', "");;
    Expect(0, 178208, '\p{Blk=:\Acjkextd\z:}', "");;
    Expect(1, 178207, '\p{Blk=	CJK_ext_D}', "");
    Expect(0, 178207, '\p{^Blk=	CJK_ext_D}', "");
    Expect(0, 178207, '\P{Blk=	CJK_ext_D}', "");
    Expect(1, 178207, '\P{^Blk=	CJK_ext_D}', "");
    Expect(0, 178208, '\p{Blk=	CJK_ext_D}', "");
    Expect(1, 178208, '\p{^Blk=	CJK_ext_D}', "");
    Expect(1, 178208, '\P{Blk=	CJK_ext_D}', "");
    Expect(0, 178208, '\P{^Blk=	CJK_ext_D}', "");
    Error('\p{Is_Block=--CJK_UNIFIED_Ideographs_Extension_D/a/}');
    Error('\P{Is_Block=--CJK_UNIFIED_Ideographs_Extension_D/a/}');
    Expect(1, 178207, '\p{Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\p{^Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\P{Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\P{^Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\p{Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\p{^Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\P{Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\P{^Is_Block=cjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\p{Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Expect(0, 178207, '\p{^Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Expect(0, 178207, '\P{Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Expect(1, 178207, '\P{^Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Expect(0, 178208, '\p{Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Expect(1, 178208, '\p{^Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Expect(1, 178208, '\P{Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Expect(0, 178208, '\P{^Is_Block=_CJK_unified_IDEOGRAPHS_extension_d}', "");
    Error('\p{Is_Blk=	:=cjk_EXT_D}');
    Error('\P{Is_Blk=	:=cjk_EXT_D}');
    Expect(1, 178207, '\p{Is_Blk=cjkextd}', "");
    Expect(0, 178207, '\p{^Is_Blk=cjkextd}', "");
    Expect(0, 178207, '\P{Is_Blk=cjkextd}', "");
    Expect(1, 178207, '\P{^Is_Blk=cjkextd}', "");
    Expect(0, 178208, '\p{Is_Blk=cjkextd}', "");
    Expect(1, 178208, '\p{^Is_Blk=cjkextd}', "");
    Expect(1, 178208, '\P{Is_Blk=cjkextd}', "");
    Expect(0, 178208, '\P{^Is_Blk=cjkextd}', "");
    Expect(1, 178207, '\p{Is_Blk= -CJK_ext_D}', "");
    Expect(0, 178207, '\p{^Is_Blk= -CJK_ext_D}', "");
    Expect(0, 178207, '\P{Is_Blk= -CJK_ext_D}', "");
    Expect(1, 178207, '\P{^Is_Blk= -CJK_ext_D}', "");
    Expect(0, 178208, '\p{Is_Blk= -CJK_ext_D}', "");
    Expect(1, 178208, '\p{^Is_Blk= -CJK_ext_D}', "");
    Expect(1, 178208, '\P{Is_Blk= -CJK_ext_D}', "");
    Expect(0, 178208, '\P{^Is_Blk= -CJK_ext_D}', "");
    Error('\p{Block=	 CJK_Unified_ideographs_Extension_E/a/}');
    Error('\P{Block=	 CJK_Unified_ideographs_Extension_E/a/}');
    Expect(1, 183983, '\p{Block=:\ACJK_Unified_Ideographs_Extension_E\z:}', "");;
    Expect(0, 183984, '\p{Block=:\ACJK_Unified_Ideographs_Extension_E\z:}', "");;
    Expect(1, 183983, '\p{Block:cjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\p{^Block:cjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\P{Block:cjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\P{^Block:cjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\p{Block:cjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\p{^Block:cjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\P{Block:cjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\P{^Block:cjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\p{Block=:\Acjkunifiedideographsextensione\z:}', "");;
    Expect(0, 183984, '\p{Block=:\Acjkunifiedideographsextensione\z:}', "");;
    Expect(1, 183983, '\p{Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Expect(0, 183983, '\p{^Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Expect(0, 183983, '\P{Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Expect(1, 183983, '\P{^Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Expect(0, 183984, '\p{Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Expect(1, 183984, '\p{^Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Expect(1, 183984, '\P{Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Expect(0, 183984, '\P{^Block= 	cjk_Unified_ideographs_EXTENSION_E}', "");
    Error('\p{Blk=:=-	CJK_Ext_E}');
    Error('\P{Blk=:=-	CJK_Ext_E}');
    Expect(1, 183983, '\p{Blk=:\ACJK_Ext_E\z:}', "");;
    Expect(0, 183984, '\p{Blk=:\ACJK_Ext_E\z:}', "");;
    Expect(1, 183983, '\p{Blk=cjkexte}', "");
    Expect(0, 183983, '\p{^Blk=cjkexte}', "");
    Expect(0, 183983, '\P{Blk=cjkexte}', "");
    Expect(1, 183983, '\P{^Blk=cjkexte}', "");
    Expect(0, 183984, '\p{Blk=cjkexte}', "");
    Expect(1, 183984, '\p{^Blk=cjkexte}', "");
    Expect(1, 183984, '\P{Blk=cjkexte}', "");
    Expect(0, 183984, '\P{^Blk=cjkexte}', "");
    Expect(1, 183983, '\p{Blk=:\Acjkexte\z:}', "");;
    Expect(0, 183984, '\p{Blk=:\Acjkexte\z:}', "");;
    Expect(1, 183983, '\p{Blk=--cjk_ext_E}', "");
    Expect(0, 183983, '\p{^Blk=--cjk_ext_E}', "");
    Expect(0, 183983, '\P{Blk=--cjk_ext_E}', "");
    Expect(1, 183983, '\P{^Blk=--cjk_ext_E}', "");
    Expect(0, 183984, '\p{Blk=--cjk_ext_E}', "");
    Expect(1, 183984, '\p{^Blk=--cjk_ext_E}', "");
    Expect(1, 183984, '\P{Blk=--cjk_ext_E}', "");
    Expect(0, 183984, '\P{^Blk=--cjk_ext_E}', "");
    Error('\p{Is_Block=:= cjk_unified_Ideographs_Extension_E}');
    Error('\P{Is_Block=:= cjk_unified_Ideographs_Extension_E}');
    Expect(1, 183983, '\p{Is_Block=cjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\p{^Is_Block=cjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\P{Is_Block=cjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\P{^Is_Block=cjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\p{Is_Block=cjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\p{^Is_Block=cjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\P{Is_Block=cjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\P{^Is_Block=cjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\p{Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183983, '\p{^Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183983, '\P{Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(1, 183983, '\P{^Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183984, '\p{Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(1, 183984, '\p{^Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(1, 183984, '\P{Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183984, '\P{^Is_Block=__CJK_Unified_Ideographs_EXTENSION_E}', "");
    Error('\p{Is_Blk= 	CJK_EXT_E:=}');
    Error('\P{Is_Blk= 	CJK_EXT_E:=}');
    Expect(1, 183983, '\p{Is_Blk=cjkexte}', "");
    Expect(0, 183983, '\p{^Is_Blk=cjkexte}', "");
    Expect(0, 183983, '\P{Is_Blk=cjkexte}', "");
    Expect(1, 183983, '\P{^Is_Blk=cjkexte}', "");
    Expect(0, 183984, '\p{Is_Blk=cjkexte}', "");
    Expect(1, 183984, '\p{^Is_Blk=cjkexte}', "");
    Expect(1, 183984, '\P{Is_Blk=cjkexte}', "");
    Expect(0, 183984, '\P{^Is_Blk=cjkexte}', "");
    Expect(1, 183983, '\p{Is_Blk= 	CJK_Ext_E}', "");
    Expect(0, 183983, '\p{^Is_Blk= 	CJK_Ext_E}', "");
    Expect(0, 183983, '\P{Is_Blk= 	CJK_Ext_E}', "");
    Expect(1, 183983, '\P{^Is_Blk= 	CJK_Ext_E}', "");
    Expect(0, 183984, '\p{Is_Blk= 	CJK_Ext_E}', "");
    Expect(1, 183984, '\p{^Is_Blk= 	CJK_Ext_E}', "");
    Expect(1, 183984, '\P{Is_Blk= 	CJK_Ext_E}', "");
    Expect(0, 183984, '\P{^Is_Blk= 	CJK_Ext_E}', "");
    Error('\p{Block= CJK_Unified_Ideographs_Extension_F:=}');
    Error('\P{Block= CJK_Unified_Ideographs_Extension_F:=}');
    Expect(1, 191471, '\p{Block=:\ACJK_Unified_Ideographs_Extension_F\z:}', "");;
    Expect(0, 191472, '\p{Block=:\ACJK_Unified_Ideographs_Extension_F\z:}', "");;
    Expect(1, 191471, '\p{Block=cjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\p{^Block=cjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\P{Block=cjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\P{^Block=cjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\p{Block=cjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\p{^Block=cjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\P{Block=cjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\P{^Block=cjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\p{Block=:\Acjkunifiedideographsextensionf\z:}', "");;
    Expect(0, 191472, '\p{Block=:\Acjkunifiedideographsextensionf\z:}', "");;
    Expect(1, 191471, '\p{Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Expect(0, 191471, '\p{^Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Expect(0, 191471, '\P{Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Expect(1, 191471, '\P{^Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Expect(0, 191472, '\p{Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Expect(1, 191472, '\p{^Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Expect(1, 191472, '\P{Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Expect(0, 191472, '\P{^Block=_	CJK_Unified_Ideographs_extension_f}', "");
    Error('\p{Blk=	:=cjk_EXT_f}');
    Error('\P{Blk=	:=cjk_EXT_f}');
    Expect(1, 191471, '\p{Blk=:\ACJK_Ext_F\z:}', "");;
    Expect(0, 191472, '\p{Blk=:\ACJK_Ext_F\z:}', "");;
    Expect(1, 191471, '\p{Blk=cjkextf}', "");
    Expect(0, 191471, '\p{^Blk=cjkextf}', "");
    Expect(0, 191471, '\P{Blk=cjkextf}', "");
    Expect(1, 191471, '\P{^Blk=cjkextf}', "");
    Expect(0, 191472, '\p{Blk=cjkextf}', "");
    Expect(1, 191472, '\p{^Blk=cjkextf}', "");
    Expect(1, 191472, '\P{Blk=cjkextf}', "");
    Expect(0, 191472, '\P{^Blk=cjkextf}', "");
    Expect(1, 191471, '\p{Blk=:\Acjkextf\z:}', "");;
    Expect(0, 191472, '\p{Blk=:\Acjkextf\z:}', "");;
    Expect(1, 191471, '\p{Blk=	CJK_ext_f}', "");
    Expect(0, 191471, '\p{^Blk=	CJK_ext_f}', "");
    Expect(0, 191471, '\P{Blk=	CJK_ext_f}', "");
    Expect(1, 191471, '\P{^Blk=	CJK_ext_f}', "");
    Expect(0, 191472, '\p{Blk=	CJK_ext_f}', "");
    Expect(1, 191472, '\p{^Blk=	CJK_ext_f}', "");
    Expect(1, 191472, '\P{Blk=	CJK_ext_f}', "");
    Expect(0, 191472, '\P{^Blk=	CJK_ext_f}', "");
    Error('\p{Is_Block=:=CJK_Unified_Ideographs_Extension_F}');
    Error('\P{Is_Block=:=CJK_Unified_Ideographs_Extension_F}');
    Expect(1, 191471, '\p{Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\p{^Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\P{Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\P{^Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\p{Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\p{^Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\P{Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\P{^Is_Block: cjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\p{Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Expect(0, 191471, '\p{^Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Expect(0, 191471, '\P{Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Expect(1, 191471, '\P{^Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Expect(0, 191472, '\p{Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Expect(1, 191472, '\p{^Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Expect(1, 191472, '\P{Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Expect(0, 191472, '\P{^Is_Block=  cjk_Unified_Ideographs_extension_F}', "");
    Error('\p{Is_Blk=_ cjk_EXT_F/a/}');
    Error('\P{Is_Blk=_ cjk_EXT_F/a/}');
    Expect(1, 191471, '\p{Is_Blk=cjkextf}', "");
    Expect(0, 191471, '\p{^Is_Blk=cjkextf}', "");
    Expect(0, 191471, '\P{Is_Blk=cjkextf}', "");
    Expect(1, 191471, '\P{^Is_Blk=cjkextf}', "");
    Expect(0, 191472, '\p{Is_Blk=cjkextf}', "");
    Expect(1, 191472, '\p{^Is_Blk=cjkextf}', "");
    Expect(1, 191472, '\P{Is_Blk=cjkextf}', "");
    Expect(0, 191472, '\P{^Is_Blk=cjkextf}', "");
    Expect(1, 191471, '\p{Is_Blk= CJK_EXT_F}', "");
    Expect(0, 191471, '\p{^Is_Blk= CJK_EXT_F}', "");
    Expect(0, 191471, '\P{Is_Blk= CJK_EXT_F}', "");
    Expect(1, 191471, '\P{^Is_Blk= CJK_EXT_F}', "");
    Expect(0, 191472, '\p{Is_Blk= CJK_EXT_F}', "");
    Expect(1, 191472, '\p{^Is_Blk= CJK_EXT_F}', "");
    Expect(1, 191472, '\P{Is_Blk= CJK_EXT_F}', "");
    Expect(0, 191472, '\P{^Is_Blk= CJK_EXT_F}', "");
    Error('\p{Block=__CJK_Unified_ideographs_Extension_G:=}');
    Error('\P{Block=__CJK_Unified_ideographs_Extension_G:=}');
    Expect(1, 201551, '\p{Block=:\ACJK_Unified_Ideographs_Extension_G\z:}', "");;
    Expect(0, 201552, '\p{Block=:\ACJK_Unified_Ideographs_Extension_G\z:}', "");;
    Expect(1, 201551, '\p{Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\p{^Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\P{Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\P{^Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\p{Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\p{^Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\P{Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\P{^Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\p{Block=:\Acjkunifiedideographsextensiong\z:}', "");;
    Expect(0, 201552, '\p{Block=:\Acjkunifiedideographsextensiong\z:}', "");;
    Expect(1, 201551, '\p{Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Expect(0, 201551, '\p{^Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Expect(0, 201551, '\P{Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Expect(1, 201551, '\P{^Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Expect(0, 201552, '\p{Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Expect(1, 201552, '\p{^Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Expect(1, 201552, '\P{Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Expect(0, 201552, '\P{^Block=--CJK_Unified_IDEOGRAPHS_extension_g}', "");
    Error('\p{Blk=	 CJK_Ext_g/a/}');
    Error('\P{Blk=	 CJK_Ext_g/a/}');
    Expect(1, 201551, '\p{Blk=:\ACJK_Ext_G\z:}', "");;
    Expect(0, 201552, '\p{Blk=:\ACJK_Ext_G\z:}', "");;
    Expect(1, 201551, '\p{Blk=cjkextg}', "");
    Expect(0, 201551, '\p{^Blk=cjkextg}', "");
    Expect(0, 201551, '\P{Blk=cjkextg}', "");
    Expect(1, 201551, '\P{^Blk=cjkextg}', "");
    Expect(0, 201552, '\p{Blk=cjkextg}', "");
    Expect(1, 201552, '\p{^Blk=cjkextg}', "");
    Expect(1, 201552, '\P{Blk=cjkextg}', "");
    Expect(0, 201552, '\P{^Blk=cjkextg}', "");
    Expect(1, 201551, '\p{Blk=:\Acjkextg\z:}', "");;
    Expect(0, 201552, '\p{Blk=:\Acjkextg\z:}', "");;
    Expect(1, 201551, '\p{Blk=	 CJK_ext_G}', "");
    Expect(0, 201551, '\p{^Blk=	 CJK_ext_G}', "");
    Expect(0, 201551, '\P{Blk=	 CJK_ext_G}', "");
    Expect(1, 201551, '\P{^Blk=	 CJK_ext_G}', "");
    Expect(0, 201552, '\p{Blk=	 CJK_ext_G}', "");
    Expect(1, 201552, '\p{^Blk=	 CJK_ext_G}', "");
    Expect(1, 201552, '\P{Blk=	 CJK_ext_G}', "");
    Expect(0, 201552, '\P{^Blk=	 CJK_ext_G}', "");
    Error('\p{Is_Block=	_cjk_unified_Ideographs_EXTENSION_g:=}');
    Error('\P{Is_Block=	_cjk_unified_Ideographs_EXTENSION_g:=}');
    Expect(1, 201551, '\p{Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\p{^Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\P{Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\P{^Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\p{Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\p{^Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\P{Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\P{^Is_Block=cjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\p{Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Expect(0, 201551, '\p{^Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Expect(0, 201551, '\P{Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Expect(1, 201551, '\P{^Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Expect(0, 201552, '\p{Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Expect(1, 201552, '\p{^Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Expect(1, 201552, '\P{Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Expect(0, 201552, '\P{^Is_Block=_cjk_unified_Ideographs_EXTENSION_G}', "");
    Error('\p{Is_Blk=-CJK_EXT_G:=}');
    Error('\P{Is_Blk=-CJK_EXT_G:=}');
    Expect(1, 201551, '\p{Is_Blk=cjkextg}', "");
    Expect(0, 201551, '\p{^Is_Blk=cjkextg}', "");
    Expect(0, 201551, '\P{Is_Blk=cjkextg}', "");
    Expect(1, 201551, '\P{^Is_Blk=cjkextg}', "");
    Expect(0, 201552, '\p{Is_Blk=cjkextg}', "");
    Expect(1, 201552, '\p{^Is_Blk=cjkextg}', "");
    Expect(1, 201552, '\P{Is_Blk=cjkextg}', "");
    Expect(0, 201552, '\P{^Is_Blk=cjkextg}', "");
    Expect(1, 201551, '\p{Is_Blk=_CJK_Ext_G}', "");
    Expect(0, 201551, '\p{^Is_Blk=_CJK_Ext_G}', "");
    Expect(0, 201551, '\P{Is_Blk=_CJK_Ext_G}', "");
    Expect(1, 201551, '\P{^Is_Blk=_CJK_Ext_G}', "");
    Expect(0, 201552, '\p{Is_Blk=_CJK_Ext_G}', "");
    Expect(1, 201552, '\p{^Is_Blk=_CJK_Ext_G}', "");
    Expect(1, 201552, '\P{Is_Blk=_CJK_Ext_G}', "");
    Expect(0, 201552, '\P{^Is_Blk=_CJK_Ext_G}', "");
    Error('\p{Block=  CJK_radicals_Supplement:=}');
    Error('\P{Block=  CJK_radicals_Supplement:=}');
    Expect(1, 12031, '\p{Block=:\ACJK_Radicals_Supplement\z:}', "");;
    Expect(0, 12032, '\p{Block=:\ACJK_Radicals_Supplement\z:}', "");;
    Expect(1, 12031, '\p{Block=cjkradicalssupplement}', "");
    Expect(0, 12031, '\p{^Block=cjkradicalssupplement}', "");
    Expect(0, 12031, '\P{Block=cjkradicalssupplement}', "");
    Expect(1, 12031, '\P{^Block=cjkradicalssupplement}', "");
    Expect(0, 12032, '\p{Block=cjkradicalssupplement}', "");
    Expect(1, 12032, '\p{^Block=cjkradicalssupplement}', "");
    Expect(1, 12032, '\P{Block=cjkradicalssupplement}', "");
    Expect(0, 12032, '\P{^Block=cjkradicalssupplement}', "");
    Expect(1, 12031, '\p{Block=:\Acjkradicalssupplement\z:}', "");;
    Expect(0, 12032, '\p{Block=:\Acjkradicalssupplement\z:}', "");;
    Expect(1, 12031, '\p{Block=	CJK_RADICALS_supplement}', "");
    Expect(0, 12031, '\p{^Block=	CJK_RADICALS_supplement}', "");
    Expect(0, 12031, '\P{Block=	CJK_RADICALS_supplement}', "");
    Expect(1, 12031, '\P{^Block=	CJK_RADICALS_supplement}', "");
    Expect(0, 12032, '\p{Block=	CJK_RADICALS_supplement}', "");
    Expect(1, 12032, '\p{^Block=	CJK_RADICALS_supplement}', "");
    Expect(1, 12032, '\P{Block=	CJK_RADICALS_supplement}', "");
    Expect(0, 12032, '\P{^Block=	CJK_RADICALS_supplement}', "");
    Error('\p{Blk=/a/-CJK_RADICALS_Sup}');
    Error('\P{Blk=/a/-CJK_RADICALS_Sup}');
    Expect(1, 12031, '\p{Blk=:\ACJK_Radicals_Sup\z:}', "");;
    Expect(0, 12032, '\p{Blk=:\ACJK_Radicals_Sup\z:}', "");;
    Expect(1, 12031, '\p{Blk=cjkradicalssup}', "");
    Expect(0, 12031, '\p{^Blk=cjkradicalssup}', "");
    Expect(0, 12031, '\P{Blk=cjkradicalssup}', "");
    Expect(1, 12031, '\P{^Blk=cjkradicalssup}', "");
    Expect(0, 12032, '\p{Blk=cjkradicalssup}', "");
    Expect(1, 12032, '\p{^Blk=cjkradicalssup}', "");
    Expect(1, 12032, '\P{Blk=cjkradicalssup}', "");
    Expect(0, 12032, '\P{^Blk=cjkradicalssup}', "");
    Expect(1, 12031, '\p{Blk=:\Acjkradicalssup\z:}', "");;
    Expect(0, 12032, '\p{Blk=:\Acjkradicalssup\z:}', "");;
    Expect(1, 12031, '\p{Blk=	_CJK_RADICALS_Sup}', "");
    Expect(0, 12031, '\p{^Blk=	_CJK_RADICALS_Sup}', "");
    Expect(0, 12031, '\P{Blk=	_CJK_RADICALS_Sup}', "");
    Expect(1, 12031, '\P{^Blk=	_CJK_RADICALS_Sup}', "");
    Expect(0, 12032, '\p{Blk=	_CJK_RADICALS_Sup}', "");
    Expect(1, 12032, '\p{^Blk=	_CJK_RADICALS_Sup}', "");
    Expect(1, 12032, '\P{Blk=	_CJK_RADICALS_Sup}', "");
    Expect(0, 12032, '\P{^Blk=	_CJK_RADICALS_Sup}', "");
    Error('\p{Is_Block=	:=CJK_Radicals_supplement}');
    Error('\P{Is_Block=	:=CJK_Radicals_supplement}');
    Expect(1, 12031, '\p{Is_Block=cjkradicalssupplement}', "");
    Expect(0, 12031, '\p{^Is_Block=cjkradicalssupplement}', "");
    Expect(0, 12031, '\P{Is_Block=cjkradicalssupplement}', "");
    Expect(1, 12031, '\P{^Is_Block=cjkradicalssupplement}', "");
    Expect(0, 12032, '\p{Is_Block=cjkradicalssupplement}', "");
    Expect(1, 12032, '\p{^Is_Block=cjkradicalssupplement}', "");
    Expect(1, 12032, '\P{Is_Block=cjkradicalssupplement}', "");
    Expect(0, 12032, '\P{^Is_Block=cjkradicalssupplement}', "");
    Expect(1, 12031, '\p{Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Expect(0, 12031, '\p{^Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Expect(0, 12031, '\P{Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Expect(1, 12031, '\P{^Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Expect(0, 12032, '\p{Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Expect(1, 12032, '\p{^Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Expect(1, 12032, '\P{Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Expect(0, 12032, '\P{^Is_Block=_CJK_radicals_SUPPLEMENT}', "");
    Error('\p{Is_Blk:   	:=cjk_radicals_sup}');
    Error('\P{Is_Blk:   	:=cjk_radicals_sup}');
    Expect(1, 12031, '\p{Is_Blk=cjkradicalssup}', "");
    Expect(0, 12031, '\p{^Is_Blk=cjkradicalssup}', "");
    Expect(0, 12031, '\P{Is_Blk=cjkradicalssup}', "");
    Expect(1, 12031, '\P{^Is_Blk=cjkradicalssup}', "");
    Expect(0, 12032, '\p{Is_Blk=cjkradicalssup}', "");
    Expect(1, 12032, '\p{^Is_Blk=cjkradicalssup}', "");
    Expect(1, 12032, '\P{Is_Blk=cjkradicalssup}', "");
    Expect(0, 12032, '\P{^Is_Blk=cjkradicalssup}', "");
    Expect(1, 12031, '\p{Is_Blk=_CJK_RADICALS_Sup}', "");
    Expect(0, 12031, '\p{^Is_Blk=_CJK_RADICALS_Sup}', "");
    Expect(0, 12031, '\P{Is_Blk=_CJK_RADICALS_Sup}', "");
    Expect(1, 12031, '\P{^Is_Blk=_CJK_RADICALS_Sup}', "");
    Expect(0, 12032, '\p{Is_Blk=_CJK_RADICALS_Sup}', "");
    Expect(1, 12032, '\p{^Is_Blk=_CJK_RADICALS_Sup}', "");
    Expect(1, 12032, '\P{Is_Blk=_CJK_RADICALS_Sup}', "");
    Expect(0, 12032, '\P{^Is_Blk=_CJK_RADICALS_Sup}', "");
    Error('\p{Block=	/a/CJK_Strokes}');
    Error('\P{Block=	/a/CJK_Strokes}');
    Expect(1, 12783, '\p{Block=:\ACJK_Strokes\z:}', "");;
    Expect(0, 12784, '\p{Block=:\ACJK_Strokes\z:}', "");;
    Expect(1, 12783, '\p{Block=cjkstrokes}', "");
    Expect(0, 12783, '\p{^Block=cjkstrokes}', "");
    Expect(0, 12783, '\P{Block=cjkstrokes}', "");
    Expect(1, 12783, '\P{^Block=cjkstrokes}', "");
    Expect(0, 12784, '\p{Block=cjkstrokes}', "");
    Expect(1, 12784, '\p{^Block=cjkstrokes}', "");
    Expect(1, 12784, '\P{Block=cjkstrokes}', "");
    Expect(0, 12784, '\P{^Block=cjkstrokes}', "");
    Expect(1, 12783, '\p{Block=:\Acjkstrokes\z:}', "");;
    Expect(0, 12784, '\p{Block=:\Acjkstrokes\z:}', "");;
    Expect(1, 12783, '\p{Block=  CJK_strokes}', "");
    Expect(0, 12783, '\p{^Block=  CJK_strokes}', "");
    Expect(0, 12783, '\P{Block=  CJK_strokes}', "");
    Expect(1, 12783, '\P{^Block=  CJK_strokes}', "");
    Expect(0, 12784, '\p{Block=  CJK_strokes}', "");
    Expect(1, 12784, '\p{^Block=  CJK_strokes}', "");
    Expect(1, 12784, '\P{Block=  CJK_strokes}', "");
    Expect(0, 12784, '\P{^Block=  CJK_strokes}', "");
    Error('\p{Blk=/a/	_cjk_Strokes}');
    Error('\P{Blk=/a/	_cjk_Strokes}');
    Expect(1, 12783, '\p{Blk=:\ACJK_Strokes\z:}', "");;
    Expect(0, 12784, '\p{Blk=:\ACJK_Strokes\z:}', "");;
    Expect(1, 12783, '\p{Blk=cjkstrokes}', "");
    Expect(0, 12783, '\p{^Blk=cjkstrokes}', "");
    Expect(0, 12783, '\P{Blk=cjkstrokes}', "");
    Expect(1, 12783, '\P{^Blk=cjkstrokes}', "");
    Expect(0, 12784, '\p{Blk=cjkstrokes}', "");
    Expect(1, 12784, '\p{^Blk=cjkstrokes}', "");
    Expect(1, 12784, '\P{Blk=cjkstrokes}', "");
    Expect(0, 12784, '\P{^Blk=cjkstrokes}', "");
    Expect(1, 12783, '\p{Blk=:\Acjkstrokes\z:}', "");;
    Expect(0, 12784, '\p{Blk=:\Acjkstrokes\z:}', "");;
    Expect(1, 12783, '\p{Blk=CJK_Strokes}', "");
    Expect(0, 12783, '\p{^Blk=CJK_Strokes}', "");
    Expect(0, 12783, '\P{Blk=CJK_Strokes}', "");
    Expect(1, 12783, '\P{^Blk=CJK_Strokes}', "");
    Expect(0, 12784, '\p{Blk=CJK_Strokes}', "");
    Expect(1, 12784, '\p{^Blk=CJK_Strokes}', "");
    Expect(1, 12784, '\P{Blk=CJK_Strokes}', "");
    Expect(0, 12784, '\P{^Blk=CJK_Strokes}', "");
    Error('\p{Is_Block=	CJK_STROKES/a/}');
    Error('\P{Is_Block=	CJK_STROKES/a/}');
    Expect(1, 12783, '\p{Is_Block=cjkstrokes}', "");
    Expect(0, 12783, '\p{^Is_Block=cjkstrokes}', "");
    Expect(0, 12783, '\P{Is_Block=cjkstrokes}', "");
    Expect(1, 12783, '\P{^Is_Block=cjkstrokes}', "");
    Expect(0, 12784, '\p{Is_Block=cjkstrokes}', "");
    Expect(1, 12784, '\p{^Is_Block=cjkstrokes}', "");
    Expect(1, 12784, '\P{Is_Block=cjkstrokes}', "");
    Expect(0, 12784, '\P{^Is_Block=cjkstrokes}', "");
    Expect(1, 12783, '\p{Is_Block=-_cjk_Strokes}', "");
    Expect(0, 12783, '\p{^Is_Block=-_cjk_Strokes}', "");
    Expect(0, 12783, '\P{Is_Block=-_cjk_Strokes}', "");
    Expect(1, 12783, '\P{^Is_Block=-_cjk_Strokes}', "");
    Expect(0, 12784, '\p{Is_Block=-_cjk_Strokes}', "");
    Expect(1, 12784, '\p{^Is_Block=-_cjk_Strokes}', "");
    Expect(1, 12784, '\P{Is_Block=-_cjk_Strokes}', "");
    Expect(0, 12784, '\P{^Is_Block=-_cjk_Strokes}', "");
    Error('\p{Is_Blk=_-CJK_Strokes:=}');
    Error('\P{Is_Blk=_-CJK_Strokes:=}');
    Expect(1, 12783, '\p{Is_Blk=cjkstrokes}', "");
    Expect(0, 12783, '\p{^Is_Blk=cjkstrokes}', "");
    Expect(0, 12783, '\P{Is_Blk=cjkstrokes}', "");
    Expect(1, 12783, '\P{^Is_Blk=cjkstrokes}', "");
    Expect(0, 12784, '\p{Is_Blk=cjkstrokes}', "");
    Expect(1, 12784, '\p{^Is_Blk=cjkstrokes}', "");
    Expect(1, 12784, '\P{Is_Blk=cjkstrokes}', "");
    Expect(0, 12784, '\P{^Is_Blk=cjkstrokes}', "");
    Expect(1, 12783, '\p{Is_Blk= CJK_Strokes}', "");
    Expect(0, 12783, '\p{^Is_Blk= CJK_Strokes}', "");
    Expect(0, 12783, '\P{Is_Blk= CJK_Strokes}', "");
    Expect(1, 12783, '\P{^Is_Blk= CJK_Strokes}', "");
    Expect(0, 12784, '\p{Is_Blk= CJK_Strokes}', "");
    Expect(1, 12784, '\p{^Is_Blk= CJK_Strokes}', "");
    Expect(1, 12784, '\P{Is_Blk= CJK_Strokes}', "");
    Expect(0, 12784, '\P{^Is_Blk= CJK_Strokes}', "");
    Error('\p{Block=/a/- CJK_Symbols_AND_punctuation}');
    Error('\P{Block=/a/- CJK_Symbols_AND_punctuation}');
    Expect(1, 12351, '\p{Block=:\ACJK_Symbols_And_Punctuation\z:}', "");;
    Expect(0, 12352, '\p{Block=:\ACJK_Symbols_And_Punctuation\z:}', "");;
    Expect(1, 12351, '\p{Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\p{^Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\P{Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\P{^Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\p{Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\p{^Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\P{Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\P{^Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\p{Block=:\Acjksymbolsandpunctuation\z:}', "");;
    Expect(0, 12352, '\p{Block=:\Acjksymbolsandpunctuation\z:}', "");;
    Expect(1, 12351, '\p{Block=-CJK_symbols_AND_punctuation}', "");
    Expect(0, 12351, '\p{^Block=-CJK_symbols_AND_punctuation}', "");
    Expect(0, 12351, '\P{Block=-CJK_symbols_AND_punctuation}', "");
    Expect(1, 12351, '\P{^Block=-CJK_symbols_AND_punctuation}', "");
    Expect(0, 12352, '\p{Block=-CJK_symbols_AND_punctuation}', "");
    Expect(1, 12352, '\p{^Block=-CJK_symbols_AND_punctuation}', "");
    Expect(1, 12352, '\P{Block=-CJK_symbols_AND_punctuation}', "");
    Expect(0, 12352, '\P{^Block=-CJK_symbols_AND_punctuation}', "");
    Error('\p{Blk=-cjk_Symbols:=}');
    Error('\P{Blk=-cjk_Symbols:=}');
    Expect(1, 12351, '\p{Blk=:\ACJK_Symbols\z:}', "");;
    Expect(0, 12352, '\p{Blk=:\ACJK_Symbols\z:}', "");;
    Expect(1, 12351, '\p{Blk=cjksymbols}', "");
    Expect(0, 12351, '\p{^Blk=cjksymbols}', "");
    Expect(0, 12351, '\P{Blk=cjksymbols}', "");
    Expect(1, 12351, '\P{^Blk=cjksymbols}', "");
    Expect(0, 12352, '\p{Blk=cjksymbols}', "");
    Expect(1, 12352, '\p{^Blk=cjksymbols}', "");
    Expect(1, 12352, '\P{Blk=cjksymbols}', "");
    Expect(0, 12352, '\P{^Blk=cjksymbols}', "");
    Expect(1, 12351, '\p{Blk=:\Acjksymbols\z:}', "");;
    Expect(0, 12352, '\p{Blk=:\Acjksymbols\z:}', "");;
    Expect(1, 12351, '\p{Blk=-_cjk_symbols}', "");
    Expect(0, 12351, '\p{^Blk=-_cjk_symbols}', "");
    Expect(0, 12351, '\P{Blk=-_cjk_symbols}', "");
    Expect(1, 12351, '\P{^Blk=-_cjk_symbols}', "");
    Expect(0, 12352, '\p{Blk=-_cjk_symbols}', "");
    Expect(1, 12352, '\p{^Blk=-_cjk_symbols}', "");
    Expect(1, 12352, '\P{Blk=-_cjk_symbols}', "");
    Expect(0, 12352, '\P{^Blk=-_cjk_symbols}', "");
    Error('\p{Is_Block:/a/- cjk_Symbols_And_Punctuation}');
    Error('\P{Is_Block:/a/- cjk_Symbols_And_Punctuation}');
    Expect(1, 12351, '\p{Is_Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\P{Is_Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\p{Is_Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\P{Is_Block=cjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\p{Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12351, '\p{^Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12351, '\P{Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12351, '\P{^Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12352, '\p{Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12352, '\p{^Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12352, '\P{Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12352, '\P{^Is_Block:   		CJK_Symbols_And_Punctuation}', "");
    Error('\p{Is_Blk=-CJK_Symbols:=}');
    Error('\P{Is_Blk=-CJK_Symbols:=}');
    Expect(1, 12351, '\p{Is_Blk=cjksymbols}', "");
    Expect(0, 12351, '\p{^Is_Blk=cjksymbols}', "");
    Expect(0, 12351, '\P{Is_Blk=cjksymbols}', "");
    Expect(1, 12351, '\P{^Is_Blk=cjksymbols}', "");
    Expect(0, 12352, '\p{Is_Blk=cjksymbols}', "");
    Expect(1, 12352, '\p{^Is_Blk=cjksymbols}', "");
    Expect(1, 12352, '\P{Is_Blk=cjksymbols}', "");
    Expect(0, 12352, '\P{^Is_Blk=cjksymbols}', "");
    Expect(1, 12351, '\p{Is_Blk=__cjk_Symbols}', "");
    Expect(0, 12351, '\p{^Is_Blk=__cjk_Symbols}', "");
    Expect(0, 12351, '\P{Is_Blk=__cjk_Symbols}', "");
    Expect(1, 12351, '\P{^Is_Blk=__cjk_Symbols}', "");
    Expect(0, 12352, '\p{Is_Blk=__cjk_Symbols}', "");
    Expect(1, 12352, '\p{^Is_Blk=__cjk_Symbols}', "");
    Expect(1, 12352, '\P{Is_Blk=__cjk_Symbols}', "");
    Expect(0, 12352, '\P{^Is_Blk=__cjk_Symbols}', "");
    Error('\p{Block:    HANGUL_COMPATIBILITY_JAMO:=}');
    Error('\P{Block:    HANGUL_COMPATIBILITY_JAMO:=}');
    Expect(1, 12687, '\p{Block=:\AHangul_Compatibility_Jamo\z:}', "");;
    Expect(0, 12688, '\p{Block=:\AHangul_Compatibility_Jamo\z:}', "");;
    Expect(1, 12687, '\p{Block=hangulcompatibilityjamo}', "");
    Expect(0, 12687, '\p{^Block=hangulcompatibilityjamo}', "");
    Expect(0, 12687, '\P{Block=hangulcompatibilityjamo}', "");
    Expect(1, 12687, '\P{^Block=hangulcompatibilityjamo}', "");
    Expect(0, 12688, '\p{Block=hangulcompatibilityjamo}', "");
    Expect(1, 12688, '\p{^Block=hangulcompatibilityjamo}', "");
    Expect(1, 12688, '\P{Block=hangulcompatibilityjamo}', "");
    Expect(0, 12688, '\P{^Block=hangulcompatibilityjamo}', "");
    Expect(1, 12687, '\p{Block=:\Ahangulcompatibilityjamo\z:}', "");;
    Expect(0, 12688, '\p{Block=:\Ahangulcompatibilityjamo\z:}', "");;
    Expect(1, 12687, '\p{Block=		hangul_Compatibility_Jamo}', "");
    Expect(0, 12687, '\p{^Block=		hangul_Compatibility_Jamo}', "");
    Expect(0, 12687, '\P{Block=		hangul_Compatibility_Jamo}', "");
    Expect(1, 12687, '\P{^Block=		hangul_Compatibility_Jamo}', "");
    Expect(0, 12688, '\p{Block=		hangul_Compatibility_Jamo}', "");
    Expect(1, 12688, '\p{^Block=		hangul_Compatibility_Jamo}', "");
    Expect(1, 12688, '\P{Block=		hangul_Compatibility_Jamo}', "");
    Expect(0, 12688, '\P{^Block=		hangul_Compatibility_Jamo}', "");
    Error('\p{Blk=_	Compat_Jamo:=}');
    Error('\P{Blk=_	Compat_Jamo:=}');
    Expect(1, 12687, '\p{Blk=:\ACompat_Jamo\z:}', "");;
    Expect(0, 12688, '\p{Blk=:\ACompat_Jamo\z:}', "");;
    Expect(1, 12687, '\p{Blk=compatjamo}', "");
    Expect(0, 12687, '\p{^Blk=compatjamo}', "");
    Expect(0, 12687, '\P{Blk=compatjamo}', "");
    Expect(1, 12687, '\P{^Blk=compatjamo}', "");
    Expect(0, 12688, '\p{Blk=compatjamo}', "");
    Expect(1, 12688, '\p{^Blk=compatjamo}', "");
    Expect(1, 12688, '\P{Blk=compatjamo}', "");
    Expect(0, 12688, '\P{^Blk=compatjamo}', "");
    Expect(1, 12687, '\p{Blk=:\Acompatjamo\z:}', "");;
    Expect(0, 12688, '\p{Blk=:\Acompatjamo\z:}', "");;
    Expect(1, 12687, '\p{Blk=_ COMPAT_JAMO}', "");
    Expect(0, 12687, '\p{^Blk=_ COMPAT_JAMO}', "");
    Expect(0, 12687, '\P{Blk=_ COMPAT_JAMO}', "");
    Expect(1, 12687, '\P{^Blk=_ COMPAT_JAMO}', "");
    Expect(0, 12688, '\p{Blk=_ COMPAT_JAMO}', "");
    Expect(1, 12688, '\p{^Blk=_ COMPAT_JAMO}', "");
    Expect(1, 12688, '\P{Blk=_ COMPAT_JAMO}', "");
    Expect(0, 12688, '\P{^Blk=_ COMPAT_JAMO}', "");
    Error('\p{Is_Block=:=Hangul_Compatibility_Jamo}');
    Error('\P{Is_Block=:=Hangul_Compatibility_Jamo}');
    Expect(1, 12687, '\p{Is_Block=hangulcompatibilityjamo}', "");
    Expect(0, 12687, '\p{^Is_Block=hangulcompatibilityjamo}', "");
    Expect(0, 12687, '\P{Is_Block=hangulcompatibilityjamo}', "");
    Expect(1, 12687, '\P{^Is_Block=hangulcompatibilityjamo}', "");
    Expect(0, 12688, '\p{Is_Block=hangulcompatibilityjamo}', "");
    Expect(1, 12688, '\p{^Is_Block=hangulcompatibilityjamo}', "");
    Expect(1, 12688, '\P{Is_Block=hangulcompatibilityjamo}', "");
    Expect(0, 12688, '\P{^Is_Block=hangulcompatibilityjamo}', "");
    Expect(1, 12687, '\p{Is_Block:   -hangul_compatibility_jamo}', "");
    Expect(0, 12687, '\p{^Is_Block:   -hangul_compatibility_jamo}', "");
    Expect(0, 12687, '\P{Is_Block:   -hangul_compatibility_jamo}', "");
    Expect(1, 12687, '\P{^Is_Block:   -hangul_compatibility_jamo}', "");
    Expect(0, 12688, '\p{Is_Block:   -hangul_compatibility_jamo}', "");
    Expect(1, 12688, '\p{^Is_Block:   -hangul_compatibility_jamo}', "");
    Expect(1, 12688, '\P{Is_Block:   -hangul_compatibility_jamo}', "");
    Expect(0, 12688, '\P{^Is_Block:   -hangul_compatibility_jamo}', "");
    Error('\p{Is_Blk=	:=Compat_Jamo}');
    Error('\P{Is_Blk=	:=Compat_Jamo}');
    Expect(1, 12687, '\p{Is_Blk=compatjamo}', "");
    Expect(0, 12687, '\p{^Is_Blk=compatjamo}', "");
    Expect(0, 12687, '\P{Is_Blk=compatjamo}', "");
    Expect(1, 12687, '\P{^Is_Blk=compatjamo}', "");
    Expect(0, 12688, '\p{Is_Blk=compatjamo}', "");
    Expect(1, 12688, '\p{^Is_Blk=compatjamo}', "");
    Expect(1, 12688, '\P{Is_Blk=compatjamo}', "");
    Expect(0, 12688, '\P{^Is_Blk=compatjamo}', "");
    Expect(1, 12687, '\p{Is_Blk=__COMPAT_Jamo}', "");
    Expect(0, 12687, '\p{^Is_Blk=__COMPAT_Jamo}', "");
    Expect(0, 12687, '\P{Is_Blk=__COMPAT_Jamo}', "");
    Expect(1, 12687, '\P{^Is_Blk=__COMPAT_Jamo}', "");
    Expect(0, 12688, '\p{Is_Blk=__COMPAT_Jamo}', "");
    Expect(1, 12688, '\p{^Is_Blk=__COMPAT_Jamo}', "");
    Expect(1, 12688, '\P{Is_Blk=__COMPAT_Jamo}', "");
    Expect(0, 12688, '\P{^Is_Blk=__COMPAT_Jamo}', "");
    Error('\p{Block=_/a/CONTROL_PICTURES}');
    Error('\P{Block=_/a/CONTROL_PICTURES}');
    Expect(1, 9279, '\p{Block=:\AControl_Pictures\z:}', "");;
    Expect(0, 9280, '\p{Block=:\AControl_Pictures\z:}', "");;
    Expect(1, 9279, '\p{Block: controlpictures}', "");
    Expect(0, 9279, '\p{^Block: controlpictures}', "");
    Expect(0, 9279, '\P{Block: controlpictures}', "");
    Expect(1, 9279, '\P{^Block: controlpictures}', "");
    Expect(0, 9280, '\p{Block: controlpictures}', "");
    Expect(1, 9280, '\p{^Block: controlpictures}', "");
    Expect(1, 9280, '\P{Block: controlpictures}', "");
    Expect(0, 9280, '\P{^Block: controlpictures}', "");
    Expect(1, 9279, '\p{Block=:\Acontrolpictures\z:}', "");;
    Expect(0, 9280, '\p{Block=:\Acontrolpictures\z:}', "");;
    Expect(1, 9279, '\p{Block=_ Control_PICTURES}', "");
    Expect(0, 9279, '\p{^Block=_ Control_PICTURES}', "");
    Expect(0, 9279, '\P{Block=_ Control_PICTURES}', "");
    Expect(1, 9279, '\P{^Block=_ Control_PICTURES}', "");
    Expect(0, 9280, '\p{Block=_ Control_PICTURES}', "");
    Expect(1, 9280, '\p{^Block=_ Control_PICTURES}', "");
    Expect(1, 9280, '\P{Block=_ Control_PICTURES}', "");
    Expect(0, 9280, '\P{^Block=_ Control_PICTURES}', "");
    Error('\p{Blk= :=Control_Pictures}');
    Error('\P{Blk= :=Control_Pictures}');
    Expect(1, 9279, '\p{Blk=:\AControl_Pictures\z:}', "");;
    Expect(0, 9280, '\p{Blk=:\AControl_Pictures\z:}', "");;
    Expect(1, 9279, '\p{Blk=controlpictures}', "");
    Expect(0, 9279, '\p{^Blk=controlpictures}', "");
    Expect(0, 9279, '\P{Blk=controlpictures}', "");
    Expect(1, 9279, '\P{^Blk=controlpictures}', "");
    Expect(0, 9280, '\p{Blk=controlpictures}', "");
    Expect(1, 9280, '\p{^Blk=controlpictures}', "");
    Expect(1, 9280, '\P{Blk=controlpictures}', "");
    Expect(0, 9280, '\P{^Blk=controlpictures}', "");
    Expect(1, 9279, '\p{Blk=:\Acontrolpictures\z:}', "");;
    Expect(0, 9280, '\p{Blk=:\Acontrolpictures\z:}', "");;
    Expect(1, 9279, '\p{Blk=  Control_Pictures}', "");
    Expect(0, 9279, '\p{^Blk=  Control_Pictures}', "");
    Expect(0, 9279, '\P{Blk=  Control_Pictures}', "");
    Expect(1, 9279, '\P{^Blk=  Control_Pictures}', "");
    Expect(0, 9280, '\p{Blk=  Control_Pictures}', "");
    Expect(1, 9280, '\p{^Blk=  Control_Pictures}', "");
    Expect(1, 9280, '\P{Blk=  Control_Pictures}', "");
    Expect(0, 9280, '\P{^Blk=  Control_Pictures}', "");
    Error('\p{Is_Block:   _-Control_pictures:=}');
    Error('\P{Is_Block:   _-Control_pictures:=}');
    Expect(1, 9279, '\p{Is_Block=controlpictures}', "");
    Expect(0, 9279, '\p{^Is_Block=controlpictures}', "");
    Expect(0, 9279, '\P{Is_Block=controlpictures}', "");
    Expect(1, 9279, '\P{^Is_Block=controlpictures}', "");
    Expect(0, 9280, '\p{Is_Block=controlpictures}', "");
    Expect(1, 9280, '\p{^Is_Block=controlpictures}', "");
    Expect(1, 9280, '\P{Is_Block=controlpictures}', "");
    Expect(0, 9280, '\P{^Is_Block=controlpictures}', "");
    Expect(1, 9279, '\p{Is_Block=	_Control_Pictures}', "");
    Expect(0, 9279, '\p{^Is_Block=	_Control_Pictures}', "");
    Expect(0, 9279, '\P{Is_Block=	_Control_Pictures}', "");
    Expect(1, 9279, '\P{^Is_Block=	_Control_Pictures}', "");
    Expect(0, 9280, '\p{Is_Block=	_Control_Pictures}', "");
    Expect(1, 9280, '\p{^Is_Block=	_Control_Pictures}', "");
    Expect(1, 9280, '\P{Is_Block=	_Control_Pictures}', "");
    Expect(0, 9280, '\P{^Is_Block=	_Control_Pictures}', "");
    Error('\p{Is_Blk:   /a/ Control_PICTURES}');
    Error('\P{Is_Blk:   /a/ Control_PICTURES}');
    Expect(1, 9279, '\p{Is_Blk=controlpictures}', "");
    Expect(0, 9279, '\p{^Is_Blk=controlpictures}', "");
    Expect(0, 9279, '\P{Is_Blk=controlpictures}', "");
    Expect(1, 9279, '\P{^Is_Blk=controlpictures}', "");
    Expect(0, 9280, '\p{Is_Blk=controlpictures}', "");
    Expect(1, 9280, '\p{^Is_Blk=controlpictures}', "");
    Expect(1, 9280, '\P{Is_Blk=controlpictures}', "");
    Expect(0, 9280, '\P{^Is_Blk=controlpictures}', "");
    Expect(1, 9279, '\p{Is_Blk=_Control_pictures}', "");
    Expect(0, 9279, '\p{^Is_Blk=_Control_pictures}', "");
    Expect(0, 9279, '\P{Is_Blk=_Control_pictures}', "");
    Expect(1, 9279, '\P{^Is_Blk=_Control_pictures}', "");
    Expect(0, 9280, '\p{Is_Blk=_Control_pictures}', "");
    Expect(1, 9280, '\p{^Is_Blk=_Control_pictures}', "");
    Expect(1, 9280, '\P{Is_Blk=_Control_pictures}', "");
    Expect(0, 9280, '\P{^Is_Blk=_Control_pictures}', "");
    Error('\p{Block=:= -Coptic}');
    Error('\P{Block=:= -Coptic}');
    Expect(1, 11519, '\p{Block=:\ACoptic\z:}', "");;
    Expect(0, 11520, '\p{Block=:\ACoptic\z:}', "");;
    Expect(1, 11519, '\p{Block=coptic}', "");
    Expect(0, 11519, '\p{^Block=coptic}', "");
    Expect(0, 11519, '\P{Block=coptic}', "");
    Expect(1, 11519, '\P{^Block=coptic}', "");
    Expect(0, 11520, '\p{Block=coptic}', "");
    Expect(1, 11520, '\p{^Block=coptic}', "");
    Expect(1, 11520, '\P{Block=coptic}', "");
    Expect(0, 11520, '\P{^Block=coptic}', "");
    Expect(1, 11519, '\p{Block=:\Acoptic\z:}', "");;
    Expect(0, 11520, '\p{Block=:\Acoptic\z:}', "");;
    Expect(1, 11519, '\p{Block=-_Coptic}', "");
    Expect(0, 11519, '\p{^Block=-_Coptic}', "");
    Expect(0, 11519, '\P{Block=-_Coptic}', "");
    Expect(1, 11519, '\P{^Block=-_Coptic}', "");
    Expect(0, 11520, '\p{Block=-_Coptic}', "");
    Expect(1, 11520, '\p{^Block=-_Coptic}', "");
    Expect(1, 11520, '\P{Block=-_Coptic}', "");
    Expect(0, 11520, '\P{^Block=-_Coptic}', "");
    Error('\p{Blk=/a/Coptic}');
    Error('\P{Blk=/a/Coptic}');
    Expect(1, 11519, '\p{Blk=:\ACoptic\z:}', "");;
    Expect(0, 11520, '\p{Blk=:\ACoptic\z:}', "");;
    Expect(1, 11519, '\p{Blk=coptic}', "");
    Expect(0, 11519, '\p{^Blk=coptic}', "");
    Expect(0, 11519, '\P{Blk=coptic}', "");
    Expect(1, 11519, '\P{^Blk=coptic}', "");
    Expect(0, 11520, '\p{Blk=coptic}', "");
    Expect(1, 11520, '\p{^Blk=coptic}', "");
    Expect(1, 11520, '\P{Blk=coptic}', "");
    Expect(0, 11520, '\P{^Blk=coptic}', "");
    Expect(1, 11519, '\p{Blk=:\Acoptic\z:}', "");;
    Expect(0, 11520, '\p{Blk=:\Acoptic\z:}', "");;
    Expect(1, 11519, '\p{Blk=  COPTIC}', "");
    Expect(0, 11519, '\p{^Blk=  COPTIC}', "");
    Expect(0, 11519, '\P{Blk=  COPTIC}', "");
    Expect(1, 11519, '\P{^Blk=  COPTIC}', "");
    Expect(0, 11520, '\p{Blk=  COPTIC}', "");
    Expect(1, 11520, '\p{^Blk=  COPTIC}', "");
    Expect(1, 11520, '\P{Blk=  COPTIC}', "");
    Expect(0, 11520, '\P{^Blk=  COPTIC}', "");
    Error('\p{Is_Block=/a/--coptic}');
    Error('\P{Is_Block=/a/--coptic}');
    Expect(1, 11519, '\p{Is_Block=coptic}', "");
    Expect(0, 11519, '\p{^Is_Block=coptic}', "");
    Expect(0, 11519, '\P{Is_Block=coptic}', "");
    Expect(1, 11519, '\P{^Is_Block=coptic}', "");
    Expect(0, 11520, '\p{Is_Block=coptic}', "");
    Expect(1, 11520, '\p{^Is_Block=coptic}', "");
    Expect(1, 11520, '\P{Is_Block=coptic}', "");
    Expect(0, 11520, '\P{^Is_Block=coptic}', "");
    Expect(1, 11519, '\p{Is_Block=- Coptic}', "");
    Expect(0, 11519, '\p{^Is_Block=- Coptic}', "");
    Expect(0, 11519, '\P{Is_Block=- Coptic}', "");
    Expect(1, 11519, '\P{^Is_Block=- Coptic}', "");
    Expect(0, 11520, '\p{Is_Block=- Coptic}', "");
    Expect(1, 11520, '\p{^Is_Block=- Coptic}', "");
    Expect(1, 11520, '\P{Is_Block=- Coptic}', "");
    Expect(0, 11520, '\P{^Is_Block=- Coptic}', "");
    Error('\p{Is_Blk=:=_	Coptic}');
    Error('\P{Is_Blk=:=_	Coptic}');
    Expect(1, 11519, '\p{Is_Blk=coptic}', "");
    Expect(0, 11519, '\p{^Is_Blk=coptic}', "");
    Expect(0, 11519, '\P{Is_Blk=coptic}', "");
    Expect(1, 11519, '\P{^Is_Blk=coptic}', "");
    Expect(0, 11520, '\p{Is_Blk=coptic}', "");
    Expect(1, 11520, '\p{^Is_Blk=coptic}', "");
    Expect(1, 11520, '\P{Is_Blk=coptic}', "");
    Expect(0, 11520, '\P{^Is_Blk=coptic}', "");
    Expect(1, 11519, '\p{Is_Blk=_COPTIC}', "");
    Expect(0, 11519, '\p{^Is_Blk=_COPTIC}', "");
    Expect(0, 11519, '\P{Is_Blk=_COPTIC}', "");
    Expect(1, 11519, '\P{^Is_Blk=_COPTIC}', "");
    Expect(0, 11520, '\p{Is_Blk=_COPTIC}', "");
    Expect(1, 11520, '\p{^Is_Blk=_COPTIC}', "");
    Expect(1, 11520, '\P{Is_Blk=_COPTIC}', "");
    Expect(0, 11520, '\P{^Is_Blk=_COPTIC}', "");
    Error('\p{Block=/a/	coptic_epact_NUMBERS}');
    Error('\P{Block=/a/	coptic_epact_NUMBERS}');
    Expect(1, 66303, '\p{Block=:\ACoptic_Epact_Numbers\z:}', "");;
    Expect(0, 66304, '\p{Block=:\ACoptic_Epact_Numbers\z:}', "");;
    Expect(1, 66303, '\p{Block=copticepactnumbers}', "");
    Expect(0, 66303, '\p{^Block=copticepactnumbers}', "");
    Expect(0, 66303, '\P{Block=copticepactnumbers}', "");
    Expect(1, 66303, '\P{^Block=copticepactnumbers}', "");
    Expect(0, 66304, '\p{Block=copticepactnumbers}', "");
    Expect(1, 66304, '\p{^Block=copticepactnumbers}', "");
    Expect(1, 66304, '\P{Block=copticepactnumbers}', "");
    Expect(0, 66304, '\P{^Block=copticepactnumbers}', "");
    Expect(1, 66303, '\p{Block=:\Acopticepactnumbers\z:}', "");;
    Expect(0, 66304, '\p{Block=:\Acopticepactnumbers\z:}', "");;
    Expect(1, 66303, '\p{Block=	coptic_Epact_NUMBERS}', "");
    Expect(0, 66303, '\p{^Block=	coptic_Epact_NUMBERS}', "");
    Expect(0, 66303, '\P{Block=	coptic_Epact_NUMBERS}', "");
    Expect(1, 66303, '\P{^Block=	coptic_Epact_NUMBERS}', "");
    Expect(0, 66304, '\p{Block=	coptic_Epact_NUMBERS}', "");
    Expect(1, 66304, '\p{^Block=	coptic_Epact_NUMBERS}', "");
    Expect(1, 66304, '\P{Block=	coptic_Epact_NUMBERS}', "");
    Expect(0, 66304, '\P{^Block=	coptic_Epact_NUMBERS}', "");
    Error('\p{Blk=/a/ COPTIC_epact_numbers}');
    Error('\P{Blk=/a/ COPTIC_epact_numbers}');
    Expect(1, 66303, '\p{Blk=:\ACoptic_Epact_Numbers\z:}', "");;
    Expect(0, 66304, '\p{Blk=:\ACoptic_Epact_Numbers\z:}', "");;
    Expect(1, 66303, '\p{Blk=copticepactnumbers}', "");
    Expect(0, 66303, '\p{^Blk=copticepactnumbers}', "");
    Expect(0, 66303, '\P{Blk=copticepactnumbers}', "");
    Expect(1, 66303, '\P{^Blk=copticepactnumbers}', "");
    Expect(0, 66304, '\p{Blk=copticepactnumbers}', "");
    Expect(1, 66304, '\p{^Blk=copticepactnumbers}', "");
    Expect(1, 66304, '\P{Blk=copticepactnumbers}', "");
    Expect(0, 66304, '\P{^Blk=copticepactnumbers}', "");
    Expect(1, 66303, '\p{Blk=:\Acopticepactnumbers\z:}', "");;
    Expect(0, 66304, '\p{Blk=:\Acopticepactnumbers\z:}', "");;
    Expect(1, 66303, '\p{Blk=-Coptic_epact_Numbers}', "");
    Expect(0, 66303, '\p{^Blk=-Coptic_epact_Numbers}', "");
    Expect(0, 66303, '\P{Blk=-Coptic_epact_Numbers}', "");
    Expect(1, 66303, '\P{^Blk=-Coptic_epact_Numbers}', "");
    Expect(0, 66304, '\p{Blk=-Coptic_epact_Numbers}', "");
    Expect(1, 66304, '\p{^Blk=-Coptic_epact_Numbers}', "");
    Expect(1, 66304, '\P{Blk=-Coptic_epact_Numbers}', "");
    Expect(0, 66304, '\P{^Blk=-Coptic_epact_Numbers}', "");
    Error('\p{Is_Block=:=	 coptic_Epact_Numbers}');
    Error('\P{Is_Block=:=	 coptic_Epact_Numbers}');
    Expect(1, 66303, '\p{Is_Block=copticepactnumbers}', "");
    Expect(0, 66303, '\p{^Is_Block=copticepactnumbers}', "");
    Expect(0, 66303, '\P{Is_Block=copticepactnumbers}', "");
    Expect(1, 66303, '\P{^Is_Block=copticepactnumbers}', "");
    Expect(0, 66304, '\p{Is_Block=copticepactnumbers}', "");
    Expect(1, 66304, '\p{^Is_Block=copticepactnumbers}', "");
    Expect(1, 66304, '\P{Is_Block=copticepactnumbers}', "");
    Expect(0, 66304, '\P{^Is_Block=copticepactnumbers}', "");
    Expect(1, 66303, '\p{Is_Block: _ coptic_Epact_Numbers}', "");
    Expect(0, 66303, '\p{^Is_Block: _ coptic_Epact_Numbers}', "");
    Expect(0, 66303, '\P{Is_Block: _ coptic_Epact_Numbers}', "");
    Expect(1, 66303, '\P{^Is_Block: _ coptic_Epact_Numbers}', "");
    Expect(0, 66304, '\p{Is_Block: _ coptic_Epact_Numbers}', "");
    Expect(1, 66304, '\p{^Is_Block: _ coptic_Epact_Numbers}', "");
    Expect(1, 66304, '\P{Is_Block: _ coptic_Epact_Numbers}', "");
    Expect(0, 66304, '\P{^Is_Block: _ coptic_Epact_Numbers}', "");
    Error('\p{Is_Blk=:=-coptic_Epact_NUMBERS}');
    Error('\P{Is_Blk=:=-coptic_Epact_NUMBERS}');
    Expect(1, 66303, '\p{Is_Blk=copticepactnumbers}', "");
    Expect(0, 66303, '\p{^Is_Blk=copticepactnumbers}', "");
    Expect(0, 66303, '\P{Is_Blk=copticepactnumbers}', "");
    Expect(1, 66303, '\P{^Is_Blk=copticepactnumbers}', "");
    Expect(0, 66304, '\p{Is_Blk=copticepactnumbers}', "");
    Expect(1, 66304, '\p{^Is_Blk=copticepactnumbers}', "");
    Expect(1, 66304, '\P{Is_Blk=copticepactnumbers}', "");
    Expect(0, 66304, '\P{^Is_Blk=copticepactnumbers}', "");
    Expect(1, 66303, '\p{Is_Blk=	Coptic_Epact_Numbers}', "");
    Expect(0, 66303, '\p{^Is_Blk=	Coptic_Epact_Numbers}', "");
    Expect(0, 66303, '\P{Is_Blk=	Coptic_Epact_Numbers}', "");
    Expect(1, 66303, '\P{^Is_Blk=	Coptic_Epact_Numbers}', "");
    Expect(0, 66304, '\p{Is_Blk=	Coptic_Epact_Numbers}', "");
    Expect(1, 66304, '\p{^Is_Blk=	Coptic_Epact_Numbers}', "");
    Expect(1, 66304, '\P{Is_Blk=	Coptic_Epact_Numbers}', "");
    Expect(0, 66304, '\P{^Is_Blk=	Coptic_Epact_Numbers}', "");
    Error('\p{Block=:=- COUNTING_Rod_NUMERALS}');
    Error('\P{Block=:=- COUNTING_Rod_NUMERALS}');
    Expect(1, 119679, '\p{Block=:\ACounting_Rod_Numerals\z:}', "");;
    Expect(0, 119680, '\p{Block=:\ACounting_Rod_Numerals\z:}', "");;
    Expect(1, 119679, '\p{Block=countingrodnumerals}', "");
    Expect(0, 119679, '\p{^Block=countingrodnumerals}', "");
    Expect(0, 119679, '\P{Block=countingrodnumerals}', "");
    Expect(1, 119679, '\P{^Block=countingrodnumerals}', "");
    Expect(0, 119680, '\p{Block=countingrodnumerals}', "");
    Expect(1, 119680, '\p{^Block=countingrodnumerals}', "");
    Expect(1, 119680, '\P{Block=countingrodnumerals}', "");
    Expect(0, 119680, '\P{^Block=countingrodnumerals}', "");
    Expect(1, 119679, '\p{Block=:\Acountingrodnumerals\z:}', "");;
    Expect(0, 119680, '\p{Block=:\Acountingrodnumerals\z:}', "");;
    Expect(1, 119679, '\p{Block=	-counting_ROD_NUMERALS}', "");
    Expect(0, 119679, '\p{^Block=	-counting_ROD_NUMERALS}', "");
    Expect(0, 119679, '\P{Block=	-counting_ROD_NUMERALS}', "");
    Expect(1, 119679, '\P{^Block=	-counting_ROD_NUMERALS}', "");
    Expect(0, 119680, '\p{Block=	-counting_ROD_NUMERALS}', "");
    Expect(1, 119680, '\p{^Block=	-counting_ROD_NUMERALS}', "");
    Expect(1, 119680, '\P{Block=	-counting_ROD_NUMERALS}', "");
    Expect(0, 119680, '\P{^Block=	-counting_ROD_NUMERALS}', "");
    Error('\p{Blk: -:=counting_rod}');
    Error('\P{Blk: -:=counting_rod}');
    Expect(1, 119679, '\p{Blk=:\ACounting_Rod\z:}', "");;
    Expect(0, 119680, '\p{Blk=:\ACounting_Rod\z:}', "");;
    Expect(1, 119679, '\p{Blk=countingrod}', "");
    Expect(0, 119679, '\p{^Blk=countingrod}', "");
    Expect(0, 119679, '\P{Blk=countingrod}', "");
    Expect(1, 119679, '\P{^Blk=countingrod}', "");
    Expect(0, 119680, '\p{Blk=countingrod}', "");
    Expect(1, 119680, '\p{^Blk=countingrod}', "");
    Expect(1, 119680, '\P{Blk=countingrod}', "");
    Expect(0, 119680, '\P{^Blk=countingrod}', "");
    Expect(1, 119679, '\p{Blk=:\Acountingrod\z:}', "");;
    Expect(0, 119680, '\p{Blk=:\Acountingrod\z:}', "");;
    Expect(1, 119679, '\p{Blk=__Counting_ROD}', "");
    Expect(0, 119679, '\p{^Blk=__Counting_ROD}', "");
    Expect(0, 119679, '\P{Blk=__Counting_ROD}', "");
    Expect(1, 119679, '\P{^Blk=__Counting_ROD}', "");
    Expect(0, 119680, '\p{Blk=__Counting_ROD}', "");
    Expect(1, 119680, '\p{^Blk=__Counting_ROD}', "");
    Expect(1, 119680, '\P{Blk=__Counting_ROD}', "");
    Expect(0, 119680, '\P{^Blk=__Counting_ROD}', "");
    Error('\p{Is_Block=	/a/Counting_Rod_numerals}');
    Error('\P{Is_Block=	/a/Counting_Rod_numerals}');
    Expect(1, 119679, '\p{Is_Block=countingrodnumerals}', "");
    Expect(0, 119679, '\p{^Is_Block=countingrodnumerals}', "");
    Expect(0, 119679, '\P{Is_Block=countingrodnumerals}', "");
    Expect(1, 119679, '\P{^Is_Block=countingrodnumerals}', "");
    Expect(0, 119680, '\p{Is_Block=countingrodnumerals}', "");
    Expect(1, 119680, '\p{^Is_Block=countingrodnumerals}', "");
    Expect(1, 119680, '\P{Is_Block=countingrodnumerals}', "");
    Expect(0, 119680, '\P{^Is_Block=countingrodnumerals}', "");
    Expect(1, 119679, '\p{Is_Block=		Counting_ROD_NUMERALS}', "");
    Expect(0, 119679, '\p{^Is_Block=		Counting_ROD_NUMERALS}', "");
    Expect(0, 119679, '\P{Is_Block=		Counting_ROD_NUMERALS}', "");
    Expect(1, 119679, '\P{^Is_Block=		Counting_ROD_NUMERALS}', "");
    Expect(0, 119680, '\p{Is_Block=		Counting_ROD_NUMERALS}', "");
    Expect(1, 119680, '\p{^Is_Block=		Counting_ROD_NUMERALS}', "");
    Expect(1, 119680, '\P{Is_Block=		Counting_ROD_NUMERALS}', "");
    Expect(0, 119680, '\P{^Is_Block=		Counting_ROD_NUMERALS}', "");
    Error('\p{Is_Blk= counting_Rod/a/}');
    Error('\P{Is_Blk= counting_Rod/a/}');
    Expect(1, 119679, '\p{Is_Blk=countingrod}', "");
    Expect(0, 119679, '\p{^Is_Blk=countingrod}', "");
    Expect(0, 119679, '\P{Is_Blk=countingrod}', "");
    Expect(1, 119679, '\P{^Is_Blk=countingrod}', "");
    Expect(0, 119680, '\p{Is_Blk=countingrod}', "");
    Expect(1, 119680, '\p{^Is_Blk=countingrod}', "");
    Expect(1, 119680, '\P{Is_Blk=countingrod}', "");
    Expect(0, 119680, '\P{^Is_Blk=countingrod}', "");
    Expect(1, 119679, '\p{Is_Blk=_counting_Rod}', "");
    Expect(0, 119679, '\p{^Is_Blk=_counting_Rod}', "");
    Expect(0, 119679, '\P{Is_Blk=_counting_Rod}', "");
    Expect(1, 119679, '\P{^Is_Blk=_counting_Rod}', "");
    Expect(0, 119680, '\p{Is_Blk=_counting_Rod}', "");
    Expect(1, 119680, '\p{^Is_Blk=_counting_Rod}', "");
    Expect(1, 119680, '\P{Is_Blk=_counting_Rod}', "");
    Expect(0, 119680, '\P{^Is_Blk=_counting_Rod}', "");
    Error('\p{Block= :=Cuneiform}');
    Error('\P{Block= :=Cuneiform}');
    Expect(1, 74751, '\p{Block=:\ACuneiform\z:}', "");;
    Expect(0, 74752, '\p{Block=:\ACuneiform\z:}', "");;
    Expect(1, 74751, '\p{Block=cuneiform}', "");
    Expect(0, 74751, '\p{^Block=cuneiform}', "");
    Expect(0, 74751, '\P{Block=cuneiform}', "");
    Expect(1, 74751, '\P{^Block=cuneiform}', "");
    Expect(0, 74752, '\p{Block=cuneiform}', "");
    Expect(1, 74752, '\p{^Block=cuneiform}', "");
    Expect(1, 74752, '\P{Block=cuneiform}', "");
    Expect(0, 74752, '\P{^Block=cuneiform}', "");
    Expect(1, 74751, '\p{Block=:\Acuneiform\z:}', "");;
    Expect(0, 74752, '\p{Block=:\Acuneiform\z:}', "");;
    Expect(1, 74751, '\p{Block=		Cuneiform}', "");
    Expect(0, 74751, '\p{^Block=		Cuneiform}', "");
    Expect(0, 74751, '\P{Block=		Cuneiform}', "");
    Expect(1, 74751, '\P{^Block=		Cuneiform}', "");
    Expect(0, 74752, '\p{Block=		Cuneiform}', "");
    Expect(1, 74752, '\p{^Block=		Cuneiform}', "");
    Expect(1, 74752, '\P{Block=		Cuneiform}', "");
    Expect(0, 74752, '\P{^Block=		Cuneiform}', "");
    Error('\p{Blk=-:=Cuneiform}');
    Error('\P{Blk=-:=Cuneiform}');
    Expect(1, 74751, '\p{Blk=:\ACuneiform\z:}', "");;
    Expect(0, 74752, '\p{Blk=:\ACuneiform\z:}', "");;
    Expect(1, 74751, '\p{Blk=cuneiform}', "");
    Expect(0, 74751, '\p{^Blk=cuneiform}', "");
    Expect(0, 74751, '\P{Blk=cuneiform}', "");
    Expect(1, 74751, '\P{^Blk=cuneiform}', "");
    Expect(0, 74752, '\p{Blk=cuneiform}', "");
    Expect(1, 74752, '\p{^Blk=cuneiform}', "");
    Expect(1, 74752, '\P{Blk=cuneiform}', "");
    Expect(0, 74752, '\P{^Blk=cuneiform}', "");
    Expect(1, 74751, '\p{Blk=:\Acuneiform\z:}', "");;
    Expect(0, 74752, '\p{Blk=:\Acuneiform\z:}', "");;
    Expect(1, 74751, '\p{Blk=-Cuneiform}', "");
    Expect(0, 74751, '\p{^Blk=-Cuneiform}', "");
    Expect(0, 74751, '\P{Blk=-Cuneiform}', "");
    Expect(1, 74751, '\P{^Blk=-Cuneiform}', "");
    Expect(0, 74752, '\p{Blk=-Cuneiform}', "");
    Expect(1, 74752, '\p{^Blk=-Cuneiform}', "");
    Expect(1, 74752, '\P{Blk=-Cuneiform}', "");
    Expect(0, 74752, '\P{^Blk=-Cuneiform}', "");
    Error('\p{Is_Block= _cuneiform/a/}');
    Error('\P{Is_Block= _cuneiform/a/}');
    Expect(1, 74751, '\p{Is_Block=cuneiform}', "");
    Expect(0, 74751, '\p{^Is_Block=cuneiform}', "");
    Expect(0, 74751, '\P{Is_Block=cuneiform}', "");
    Expect(1, 74751, '\P{^Is_Block=cuneiform}', "");
    Expect(0, 74752, '\p{Is_Block=cuneiform}', "");
    Expect(1, 74752, '\p{^Is_Block=cuneiform}', "");
    Expect(1, 74752, '\P{Is_Block=cuneiform}', "");
    Expect(0, 74752, '\P{^Is_Block=cuneiform}', "");
    Expect(1, 74751, '\p{Is_Block= -Cuneiform}', "");
    Expect(0, 74751, '\p{^Is_Block= -Cuneiform}', "");
    Expect(0, 74751, '\P{Is_Block= -Cuneiform}', "");
    Expect(1, 74751, '\P{^Is_Block= -Cuneiform}', "");
    Expect(0, 74752, '\p{Is_Block= -Cuneiform}', "");
    Expect(1, 74752, '\p{^Is_Block= -Cuneiform}', "");
    Expect(1, 74752, '\P{Is_Block= -Cuneiform}', "");
    Expect(0, 74752, '\P{^Is_Block= -Cuneiform}', "");
    Error('\p{Is_Blk=/a/-cuneiform}');
    Error('\P{Is_Blk=/a/-cuneiform}');
    Expect(1, 74751, '\p{Is_Blk=cuneiform}', "");
    Expect(0, 74751, '\p{^Is_Blk=cuneiform}', "");
    Expect(0, 74751, '\P{Is_Blk=cuneiform}', "");
    Expect(1, 74751, '\P{^Is_Blk=cuneiform}', "");
    Expect(0, 74752, '\p{Is_Blk=cuneiform}', "");
    Expect(1, 74752, '\p{^Is_Blk=cuneiform}', "");
    Expect(1, 74752, '\P{Is_Blk=cuneiform}', "");
    Expect(0, 74752, '\P{^Is_Blk=cuneiform}', "");
    Expect(1, 74751, '\p{Is_Blk=_-cuneiform}', "");
    Expect(0, 74751, '\p{^Is_Blk=_-cuneiform}', "");
    Expect(0, 74751, '\P{Is_Blk=_-cuneiform}', "");
    Expect(1, 74751, '\P{^Is_Blk=_-cuneiform}', "");
    Expect(0, 74752, '\p{Is_Blk=_-cuneiform}', "");
    Expect(1, 74752, '\p{^Is_Blk=_-cuneiform}', "");
    Expect(1, 74752, '\P{Is_Blk=_-cuneiform}', "");
    Expect(0, 74752, '\P{^Is_Blk=_-cuneiform}', "");
    Error('\p{Block= _cuneiform_NUMBERS_and_Punctuation/a/}');
    Error('\P{Block= _cuneiform_NUMBERS_and_Punctuation/a/}');
    Expect(1, 74879, '\p{Block=:\ACuneiform_Numbers_And_Punctuation\z:}', "");;
    Expect(0, 74880, '\p{Block=:\ACuneiform_Numbers_And_Punctuation\z:}', "");;
    Expect(1, 74879, '\p{Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\p{^Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\P{Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\P{^Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\p{Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\p{^Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\P{Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\P{^Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\p{Block=:\Acuneiformnumbersandpunctuation\z:}', "");;
    Expect(0, 74880, '\p{Block=:\Acuneiformnumbersandpunctuation\z:}', "");;
    Expect(1, 74879, '\p{Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Expect(0, 74879, '\p{^Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Expect(0, 74879, '\P{Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Expect(1, 74879, '\P{^Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Expect(0, 74880, '\p{Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Expect(1, 74880, '\p{^Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Expect(1, 74880, '\P{Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Expect(0, 74880, '\P{^Block=	-CUNEIFORM_NUMBERS_And_Punctuation}', "");
    Error('\p{Blk:   __Cuneiform_NUMBERS/a/}');
    Error('\P{Blk:   __Cuneiform_NUMBERS/a/}');
    Expect(1, 74879, '\p{Blk=:\ACuneiform_Numbers\z:}', "");;
    Expect(0, 74880, '\p{Blk=:\ACuneiform_Numbers\z:}', "");;
    Expect(1, 74879, '\p{Blk=cuneiformnumbers}', "");
    Expect(0, 74879, '\p{^Blk=cuneiformnumbers}', "");
    Expect(0, 74879, '\P{Blk=cuneiformnumbers}', "");
    Expect(1, 74879, '\P{^Blk=cuneiformnumbers}', "");
    Expect(0, 74880, '\p{Blk=cuneiformnumbers}', "");
    Expect(1, 74880, '\p{^Blk=cuneiformnumbers}', "");
    Expect(1, 74880, '\P{Blk=cuneiformnumbers}', "");
    Expect(0, 74880, '\P{^Blk=cuneiformnumbers}', "");
    Expect(1, 74879, '\p{Blk=:\Acuneiformnumbers\z:}', "");;
    Expect(0, 74880, '\p{Blk=:\Acuneiformnumbers\z:}', "");;
    Expect(1, 74879, '\p{Blk= CUNEIFORM_Numbers}', "");
    Expect(0, 74879, '\p{^Blk= CUNEIFORM_Numbers}', "");
    Expect(0, 74879, '\P{Blk= CUNEIFORM_Numbers}', "");
    Expect(1, 74879, '\P{^Blk= CUNEIFORM_Numbers}', "");
    Expect(0, 74880, '\p{Blk= CUNEIFORM_Numbers}', "");
    Expect(1, 74880, '\p{^Blk= CUNEIFORM_Numbers}', "");
    Expect(1, 74880, '\P{Blk= CUNEIFORM_Numbers}', "");
    Expect(0, 74880, '\P{^Blk= CUNEIFORM_Numbers}', "");
    Error('\p{Is_Block=:=-_CUNEIFORM_numbers_And_Punctuation}');
    Error('\P{Is_Block=:=-_CUNEIFORM_numbers_And_Punctuation}');
    Expect(1, 74879, '\p{Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\p{^Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\P{Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\P{^Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\p{Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\p{^Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\P{Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\P{^Is_Block=cuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\p{Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Expect(0, 74879, '\p{^Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Expect(0, 74879, '\P{Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Expect(1, 74879, '\P{^Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Expect(0, 74880, '\p{Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Expect(1, 74880, '\p{^Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Expect(1, 74880, '\P{Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Expect(0, 74880, '\P{^Is_Block=_CUNEIFORM_Numbers_And_Punctuation}', "");
    Error('\p{Is_Blk=:=-CUNEIFORM_numbers}');
    Error('\P{Is_Blk=:=-CUNEIFORM_numbers}');
    Expect(1, 74879, '\p{Is_Blk=cuneiformnumbers}', "");
    Expect(0, 74879, '\p{^Is_Blk=cuneiformnumbers}', "");
    Expect(0, 74879, '\P{Is_Blk=cuneiformnumbers}', "");
    Expect(1, 74879, '\P{^Is_Blk=cuneiformnumbers}', "");
    Expect(0, 74880, '\p{Is_Blk=cuneiformnumbers}', "");
    Expect(1, 74880, '\p{^Is_Blk=cuneiformnumbers}', "");
    Expect(1, 74880, '\P{Is_Blk=cuneiformnumbers}', "");
    Expect(0, 74880, '\P{^Is_Blk=cuneiformnumbers}', "");
    Expect(1, 74879, '\p{Is_Blk=	Cuneiform_NUMBERS}', "");
    Expect(0, 74879, '\p{^Is_Blk=	Cuneiform_NUMBERS}', "");
    Expect(0, 74879, '\P{Is_Blk=	Cuneiform_NUMBERS}', "");
    Expect(1, 74879, '\P{^Is_Blk=	Cuneiform_NUMBERS}', "");
    Expect(0, 74880, '\p{Is_Blk=	Cuneiform_NUMBERS}', "");
    Expect(1, 74880, '\p{^Is_Blk=	Cuneiform_NUMBERS}', "");
    Expect(1, 74880, '\P{Is_Blk=	Cuneiform_NUMBERS}', "");
    Expect(0, 74880, '\P{^Is_Blk=	Cuneiform_NUMBERS}', "");
    Error('\p{Block=-/a/CURRENCY_Symbols}');
    Error('\P{Block=-/a/CURRENCY_Symbols}');
    Expect(1, 8399, '\p{Block=:\ACurrency_Symbols\z:}', "");;
    Expect(0, 8400, '\p{Block=:\ACurrency_Symbols\z:}', "");;
    Expect(1, 8399, '\p{Block=currencysymbols}', "");
    Expect(0, 8399, '\p{^Block=currencysymbols}', "");
    Expect(0, 8399, '\P{Block=currencysymbols}', "");
    Expect(1, 8399, '\P{^Block=currencysymbols}', "");
    Expect(0, 8400, '\p{Block=currencysymbols}', "");
    Expect(1, 8400, '\p{^Block=currencysymbols}', "");
    Expect(1, 8400, '\P{Block=currencysymbols}', "");
    Expect(0, 8400, '\P{^Block=currencysymbols}', "");
    Expect(1, 8399, '\p{Block=:\Acurrencysymbols\z:}', "");;
    Expect(0, 8400, '\p{Block=:\Acurrencysymbols\z:}', "");;
    Expect(1, 8399, '\p{Block=	-Currency_symbols}', "");
    Expect(0, 8399, '\p{^Block=	-Currency_symbols}', "");
    Expect(0, 8399, '\P{Block=	-Currency_symbols}', "");
    Expect(1, 8399, '\P{^Block=	-Currency_symbols}', "");
    Expect(0, 8400, '\p{Block=	-Currency_symbols}', "");
    Expect(1, 8400, '\p{^Block=	-Currency_symbols}', "");
    Expect(1, 8400, '\P{Block=	-Currency_symbols}', "");
    Expect(0, 8400, '\P{^Block=	-Currency_symbols}', "");
    Error('\p{Blk=__CURRENCY_SYMBOLS/a/}');
    Error('\P{Blk=__CURRENCY_SYMBOLS/a/}');
    Expect(1, 8399, '\p{Blk=:\ACurrency_Symbols\z:}', "");;
    Expect(0, 8400, '\p{Blk=:\ACurrency_Symbols\z:}', "");;
    Expect(1, 8399, '\p{Blk=currencysymbols}', "");
    Expect(0, 8399, '\p{^Blk=currencysymbols}', "");
    Expect(0, 8399, '\P{Blk=currencysymbols}', "");
    Expect(1, 8399, '\P{^Blk=currencysymbols}', "");
    Expect(0, 8400, '\p{Blk=currencysymbols}', "");
    Expect(1, 8400, '\p{^Blk=currencysymbols}', "");
    Expect(1, 8400, '\P{Blk=currencysymbols}', "");
    Expect(0, 8400, '\P{^Blk=currencysymbols}', "");
    Expect(1, 8399, '\p{Blk=:\Acurrencysymbols\z:}', "");;
    Expect(0, 8400, '\p{Blk=:\Acurrencysymbols\z:}', "");;
    Expect(1, 8399, '\p{Blk=_ Currency_symbols}', "");
    Expect(0, 8399, '\p{^Blk=_ Currency_symbols}', "");
    Expect(0, 8399, '\P{Blk=_ Currency_symbols}', "");
    Expect(1, 8399, '\P{^Blk=_ Currency_symbols}', "");
    Expect(0, 8400, '\p{Blk=_ Currency_symbols}', "");
    Expect(1, 8400, '\p{^Blk=_ Currency_symbols}', "");
    Expect(1, 8400, '\P{Blk=_ Currency_symbols}', "");
    Expect(0, 8400, '\P{^Blk=_ Currency_symbols}', "");
    Error('\p{Is_Block: CURRENCY_SYMBOLS/a/}');
    Error('\P{Is_Block: CURRENCY_SYMBOLS/a/}');
    Expect(1, 8399, '\p{Is_Block=currencysymbols}', "");
    Expect(0, 8399, '\p{^Is_Block=currencysymbols}', "");
    Expect(0, 8399, '\P{Is_Block=currencysymbols}', "");
    Expect(1, 8399, '\P{^Is_Block=currencysymbols}', "");
    Expect(0, 8400, '\p{Is_Block=currencysymbols}', "");
    Expect(1, 8400, '\p{^Is_Block=currencysymbols}', "");
    Expect(1, 8400, '\P{Is_Block=currencysymbols}', "");
    Expect(0, 8400, '\P{^Is_Block=currencysymbols}', "");
    Expect(1, 8399, '\p{Is_Block=_Currency_Symbols}', "");
    Expect(0, 8399, '\p{^Is_Block=_Currency_Symbols}', "");
    Expect(0, 8399, '\P{Is_Block=_Currency_Symbols}', "");
    Expect(1, 8399, '\P{^Is_Block=_Currency_Symbols}', "");
    Expect(0, 8400, '\p{Is_Block=_Currency_Symbols}', "");
    Expect(1, 8400, '\p{^Is_Block=_Currency_Symbols}', "");
    Expect(1, 8400, '\P{Is_Block=_Currency_Symbols}', "");
    Expect(0, 8400, '\P{^Is_Block=_Currency_Symbols}', "");
    Error('\p{Is_Blk=/a/-currency_Symbols}');
    Error('\P{Is_Blk=/a/-currency_Symbols}');
    Expect(1, 8399, '\p{Is_Blk=currencysymbols}', "");
    Expect(0, 8399, '\p{^Is_Blk=currencysymbols}', "");
    Expect(0, 8399, '\P{Is_Blk=currencysymbols}', "");
    Expect(1, 8399, '\P{^Is_Blk=currencysymbols}', "");
    Expect(0, 8400, '\p{Is_Blk=currencysymbols}', "");
    Expect(1, 8400, '\p{^Is_Blk=currencysymbols}', "");
    Expect(1, 8400, '\P{Is_Blk=currencysymbols}', "");
    Expect(0, 8400, '\P{^Is_Blk=currencysymbols}', "");
    Expect(1, 8399, '\p{Is_Blk=	-CURRENCY_Symbols}', "");
    Expect(0, 8399, '\p{^Is_Blk=	-CURRENCY_Symbols}', "");
    Expect(0, 8399, '\P{Is_Blk=	-CURRENCY_Symbols}', "");
    Expect(1, 8399, '\P{^Is_Blk=	-CURRENCY_Symbols}', "");
    Expect(0, 8400, '\p{Is_Blk=	-CURRENCY_Symbols}', "");
    Expect(1, 8400, '\p{^Is_Blk=	-CURRENCY_Symbols}', "");
    Expect(1, 8400, '\P{Is_Blk=	-CURRENCY_Symbols}', "");
    Expect(0, 8400, '\P{^Is_Blk=	-CURRENCY_Symbols}', "");
    Error('\p{Block:   :=_cypriot_syllabary}');
    Error('\P{Block:   :=_cypriot_syllabary}');
    Expect(1, 67647, '\p{Block=:\ACypriot_Syllabary\z:}', "");;
    Expect(0, 67648, '\p{Block=:\ACypriot_Syllabary\z:}', "");;
    Expect(1, 67647, '\p{Block=cypriotsyllabary}', "");
    Expect(0, 67647, '\p{^Block=cypriotsyllabary}', "");
    Expect(0, 67647, '\P{Block=cypriotsyllabary}', "");
    Expect(1, 67647, '\P{^Block=cypriotsyllabary}', "");
    Expect(0, 67648, '\p{Block=cypriotsyllabary}', "");
    Expect(1, 67648, '\p{^Block=cypriotsyllabary}', "");
    Expect(1, 67648, '\P{Block=cypriotsyllabary}', "");
    Expect(0, 67648, '\P{^Block=cypriotsyllabary}', "");
    Expect(1, 67647, '\p{Block=:\Acypriotsyllabary\z:}', "");;
    Expect(0, 67648, '\p{Block=:\Acypriotsyllabary\z:}', "");;
    Expect(1, 67647, '\p{Block=--cypriot_SYLLABARY}', "");
    Expect(0, 67647, '\p{^Block=--cypriot_SYLLABARY}', "");
    Expect(0, 67647, '\P{Block=--cypriot_SYLLABARY}', "");
    Expect(1, 67647, '\P{^Block=--cypriot_SYLLABARY}', "");
    Expect(0, 67648, '\p{Block=--cypriot_SYLLABARY}', "");
    Expect(1, 67648, '\p{^Block=--cypriot_SYLLABARY}', "");
    Expect(1, 67648, '\P{Block=--cypriot_SYLLABARY}', "");
    Expect(0, 67648, '\P{^Block=--cypriot_SYLLABARY}', "");
    Error('\p{Blk:-:=Cypriot_Syllabary}');
    Error('\P{Blk:-:=Cypriot_Syllabary}');
    Expect(1, 67647, '\p{Blk=:\ACypriot_Syllabary\z:}', "");;
    Expect(0, 67648, '\p{Blk=:\ACypriot_Syllabary\z:}', "");;
    Expect(1, 67647, '\p{Blk=cypriotsyllabary}', "");
    Expect(0, 67647, '\p{^Blk=cypriotsyllabary}', "");
    Expect(0, 67647, '\P{Blk=cypriotsyllabary}', "");
    Expect(1, 67647, '\P{^Blk=cypriotsyllabary}', "");
    Expect(0, 67648, '\p{Blk=cypriotsyllabary}', "");
    Expect(1, 67648, '\p{^Blk=cypriotsyllabary}', "");
    Expect(1, 67648, '\P{Blk=cypriotsyllabary}', "");
    Expect(0, 67648, '\P{^Blk=cypriotsyllabary}', "");
    Expect(1, 67647, '\p{Blk=:\Acypriotsyllabary\z:}', "");;
    Expect(0, 67648, '\p{Blk=:\Acypriotsyllabary\z:}', "");;
    Expect(1, 67647, '\p{Blk= _CYPRIOT_Syllabary}', "");
    Expect(0, 67647, '\p{^Blk= _CYPRIOT_Syllabary}', "");
    Expect(0, 67647, '\P{Blk= _CYPRIOT_Syllabary}', "");
    Expect(1, 67647, '\P{^Blk= _CYPRIOT_Syllabary}', "");
    Expect(0, 67648, '\p{Blk= _CYPRIOT_Syllabary}', "");
    Expect(1, 67648, '\p{^Blk= _CYPRIOT_Syllabary}', "");
    Expect(1, 67648, '\P{Blk= _CYPRIOT_Syllabary}', "");
    Expect(0, 67648, '\P{^Blk= _CYPRIOT_Syllabary}', "");
    Error('\p{Is_Block: Cypriot_syllabary:=}');
    Error('\P{Is_Block: Cypriot_syllabary:=}');
    Expect(1, 67647, '\p{Is_Block=cypriotsyllabary}', "");
    Expect(0, 67647, '\p{^Is_Block=cypriotsyllabary}', "");
    Expect(0, 67647, '\P{Is_Block=cypriotsyllabary}', "");
    Expect(1, 67647, '\P{^Is_Block=cypriotsyllabary}', "");
    Expect(0, 67648, '\p{Is_Block=cypriotsyllabary}', "");
    Expect(1, 67648, '\p{^Is_Block=cypriotsyllabary}', "");
    Expect(1, 67648, '\P{Is_Block=cypriotsyllabary}', "");
    Expect(0, 67648, '\P{^Is_Block=cypriotsyllabary}', "");
    Expect(1, 67647, '\p{Is_Block: _	Cypriot_Syllabary}', "");
    Expect(0, 67647, '\p{^Is_Block: _	Cypriot_Syllabary}', "");
    Expect(0, 67647, '\P{Is_Block: _	Cypriot_Syllabary}', "");
    Expect(1, 67647, '\P{^Is_Block: _	Cypriot_Syllabary}', "");
    Expect(0, 67648, '\p{Is_Block: _	Cypriot_Syllabary}', "");
    Expect(1, 67648, '\p{^Is_Block: _	Cypriot_Syllabary}', "");
    Expect(1, 67648, '\P{Is_Block: _	Cypriot_Syllabary}', "");
    Expect(0, 67648, '\P{^Is_Block: _	Cypriot_Syllabary}', "");
    Error('\p{Is_Blk=		Cypriot_Syllabary:=}');
    Error('\P{Is_Blk=		Cypriot_Syllabary:=}');
    Expect(1, 67647, '\p{Is_Blk=cypriotsyllabary}', "");
    Expect(0, 67647, '\p{^Is_Blk=cypriotsyllabary}', "");
    Expect(0, 67647, '\P{Is_Blk=cypriotsyllabary}', "");
    Expect(1, 67647, '\P{^Is_Blk=cypriotsyllabary}', "");
    Expect(0, 67648, '\p{Is_Blk=cypriotsyllabary}', "");
    Expect(1, 67648, '\p{^Is_Blk=cypriotsyllabary}', "");
    Expect(1, 67648, '\P{Is_Blk=cypriotsyllabary}', "");
    Expect(0, 67648, '\P{^Is_Blk=cypriotsyllabary}', "");
    Expect(1, 67647, '\p{Is_Blk= CYPRIOT_SYLLABARY}', "");
    Expect(0, 67647, '\p{^Is_Blk= CYPRIOT_SYLLABARY}', "");
    Expect(0, 67647, '\P{Is_Blk= CYPRIOT_SYLLABARY}', "");
    Expect(1, 67647, '\P{^Is_Blk= CYPRIOT_SYLLABARY}', "");
    Expect(0, 67648, '\p{Is_Blk= CYPRIOT_SYLLABARY}', "");
    Expect(1, 67648, '\p{^Is_Blk= CYPRIOT_SYLLABARY}', "");
    Expect(1, 67648, '\P{Is_Blk= CYPRIOT_SYLLABARY}', "");
    Expect(0, 67648, '\P{^Is_Blk= CYPRIOT_SYLLABARY}', "");
    Error('\p{Block=/a/-Cypro_Minoan}');
    Error('\P{Block=/a/-Cypro_Minoan}');
    Expect(1, 77823, '\p{Block=:\ACypro_Minoan\z:}', "");;
    Expect(0, 77824, '\p{Block=:\ACypro_Minoan\z:}', "");;
    Expect(1, 77823, '\p{Block=cyprominoan}', "");
    Expect(0, 77823, '\p{^Block=cyprominoan}', "");
    Expect(0, 77823, '\P{Block=cyprominoan}', "");
    Expect(1, 77823, '\P{^Block=cyprominoan}', "");
    Expect(0, 77824, '\p{Block=cyprominoan}', "");
    Expect(1, 77824, '\p{^Block=cyprominoan}', "");
    Expect(1, 77824, '\P{Block=cyprominoan}', "");
    Expect(0, 77824, '\P{^Block=cyprominoan}', "");
    Expect(1, 77823, '\p{Block=:\Acyprominoan\z:}', "");;
    Expect(0, 77824, '\p{Block=:\Acyprominoan\z:}', "");;
    Expect(1, 77823, '\p{Block=-_cypro_Minoan}', "");
    Expect(0, 77823, '\p{^Block=-_cypro_Minoan}', "");
    Expect(0, 77823, '\P{Block=-_cypro_Minoan}', "");
    Expect(1, 77823, '\P{^Block=-_cypro_Minoan}', "");
    Expect(0, 77824, '\p{Block=-_cypro_Minoan}', "");
    Expect(1, 77824, '\p{^Block=-_cypro_Minoan}', "");
    Expect(1, 77824, '\P{Block=-_cypro_Minoan}', "");
    Expect(0, 77824, '\P{^Block=-_cypro_Minoan}', "");
    Error('\p{Blk=cypro_minoan/a/}');
    Error('\P{Blk=cypro_minoan/a/}');
    Expect(1, 77823, '\p{Blk=:\ACypro_Minoan\z:}', "");;
    Expect(0, 77824, '\p{Blk=:\ACypro_Minoan\z:}', "");;
    Expect(1, 77823, '\p{Blk=cyprominoan}', "");
    Expect(0, 77823, '\p{^Blk=cyprominoan}', "");
    Expect(0, 77823, '\P{Blk=cyprominoan}', "");
    Expect(1, 77823, '\P{^Blk=cyprominoan}', "");
    Expect(0, 77824, '\p{Blk=cyprominoan}', "");
    Expect(1, 77824, '\p{^Blk=cyprominoan}', "");
    Expect(1, 77824, '\P{Blk=cyprominoan}', "");
    Expect(0, 77824, '\P{^Blk=cyprominoan}', "");
    Expect(1, 77823, '\p{Blk=:\Acyprominoan\z:}', "");;
    Expect(0, 77824, '\p{Blk=:\Acyprominoan\z:}', "");;
    Expect(1, 77823, '\p{Blk= 	CYPRO_Minoan}', "");
    Expect(0, 77823, '\p{^Blk= 	CYPRO_Minoan}', "");
    Expect(0, 77823, '\P{Blk= 	CYPRO_Minoan}', "");
    Expect(1, 77823, '\P{^Blk= 	CYPRO_Minoan}', "");
    Expect(0, 77824, '\p{Blk= 	CYPRO_Minoan}', "");
    Expect(1, 77824, '\p{^Blk= 	CYPRO_Minoan}', "");
    Expect(1, 77824, '\P{Blk= 	CYPRO_Minoan}', "");
    Expect(0, 77824, '\P{^Blk= 	CYPRO_Minoan}', "");
    Error('\p{Is_Block:   __Cypro_MINOAN:=}');
    Error('\P{Is_Block:   __Cypro_MINOAN:=}');
    Expect(1, 77823, '\p{Is_Block=cyprominoan}', "");
    Expect(0, 77823, '\p{^Is_Block=cyprominoan}', "");
    Expect(0, 77823, '\P{Is_Block=cyprominoan}', "");
    Expect(1, 77823, '\P{^Is_Block=cyprominoan}', "");
    Expect(0, 77824, '\p{Is_Block=cyprominoan}', "");
    Expect(1, 77824, '\p{^Is_Block=cyprominoan}', "");
    Expect(1, 77824, '\P{Is_Block=cyprominoan}', "");
    Expect(0, 77824, '\P{^Is_Block=cyprominoan}', "");
    Expect(1, 77823, '\p{Is_Block=_CYPRO_Minoan}', "");
    Expect(0, 77823, '\p{^Is_Block=_CYPRO_Minoan}', "");
    Expect(0, 77823, '\P{Is_Block=_CYPRO_Minoan}', "");
    Expect(1, 77823, '\P{^Is_Block=_CYPRO_Minoan}', "");
    Expect(0, 77824, '\p{Is_Block=_CYPRO_Minoan}', "");
    Expect(1, 77824, '\p{^Is_Block=_CYPRO_Minoan}', "");
    Expect(1, 77824, '\P{Is_Block=_CYPRO_Minoan}', "");
    Expect(0, 77824, '\P{^Is_Block=_CYPRO_Minoan}', "");
    Error('\p{Is_Blk= 	cypro_minoan/a/}');
    Error('\P{Is_Blk= 	cypro_minoan/a/}');
    Expect(1, 77823, '\p{Is_Blk=cyprominoan}', "");
    Expect(0, 77823, '\p{^Is_Blk=cyprominoan}', "");
    Expect(0, 77823, '\P{Is_Blk=cyprominoan}', "");
    Expect(1, 77823, '\P{^Is_Blk=cyprominoan}', "");
    Expect(0, 77824, '\p{Is_Blk=cyprominoan}', "");
    Expect(1, 77824, '\p{^Is_Blk=cyprominoan}', "");
    Expect(1, 77824, '\P{Is_Blk=cyprominoan}', "");
    Expect(0, 77824, '\P{^Is_Blk=cyprominoan}', "");
    Expect(1, 77823, '\p{Is_Blk=	Cypro_Minoan}', "");
    Expect(0, 77823, '\p{^Is_Blk=	Cypro_Minoan}', "");
    Expect(0, 77823, '\P{Is_Blk=	Cypro_Minoan}', "");
    Expect(1, 77823, '\P{^Is_Blk=	Cypro_Minoan}', "");
    Expect(0, 77824, '\p{Is_Blk=	Cypro_Minoan}', "");
    Expect(1, 77824, '\p{^Is_Blk=	Cypro_Minoan}', "");
    Expect(1, 77824, '\P{Is_Blk=	Cypro_Minoan}', "");
    Expect(0, 77824, '\P{^Is_Blk=	Cypro_Minoan}', "");
    Error('\p{Block=:=_Cyrillic}');
    Error('\P{Block=:=_Cyrillic}');
    Expect(1, 1279, '\p{Block=:\ACyrillic\z:}', "");;
    Expect(0, 1280, '\p{Block=:\ACyrillic\z:}', "");;
    Expect(1, 1279, '\p{Block=cyrillic}', "");
    Expect(0, 1279, '\p{^Block=cyrillic}', "");
    Expect(0, 1279, '\P{Block=cyrillic}', "");
    Expect(1, 1279, '\P{^Block=cyrillic}', "");
    Expect(0, 1280, '\p{Block=cyrillic}', "");
    Expect(1, 1280, '\p{^Block=cyrillic}', "");
    Expect(1, 1280, '\P{Block=cyrillic}', "");
    Expect(0, 1280, '\P{^Block=cyrillic}', "");
    Expect(1, 1279, '\p{Block=:\Acyrillic\z:}', "");;
    Expect(0, 1280, '\p{Block=:\Acyrillic\z:}', "");;
    Expect(1, 1279, '\p{Block=-_Cyrillic}', "");
    Expect(0, 1279, '\p{^Block=-_Cyrillic}', "");
    Expect(0, 1279, '\P{Block=-_Cyrillic}', "");
    Expect(1, 1279, '\P{^Block=-_Cyrillic}', "");
    Expect(0, 1280, '\p{Block=-_Cyrillic}', "");
    Expect(1, 1280, '\p{^Block=-_Cyrillic}', "");
    Expect(1, 1280, '\P{Block=-_Cyrillic}', "");
    Expect(0, 1280, '\P{^Block=-_Cyrillic}', "");
    Error('\p{Blk= Cyrillic/a/}');
    Error('\P{Blk= Cyrillic/a/}');
    Expect(1, 1279, '\p{Blk=:\ACyrillic\z:}', "");;
    Expect(0, 1280, '\p{Blk=:\ACyrillic\z:}', "");;
    Expect(1, 1279, '\p{Blk:cyrillic}', "");
    Expect(0, 1279, '\p{^Blk:cyrillic}', "");
    Expect(0, 1279, '\P{Blk:cyrillic}', "");
    Expect(1, 1279, '\P{^Blk:cyrillic}', "");
    Expect(0, 1280, '\p{Blk:cyrillic}', "");
    Expect(1, 1280, '\p{^Blk:cyrillic}', "");
    Expect(1, 1280, '\P{Blk:cyrillic}', "");
    Expect(0, 1280, '\P{^Blk:cyrillic}', "");
    Expect(1, 1279, '\p{Blk=:\Acyrillic\z:}', "");;
    Expect(0, 1280, '\p{Blk=:\Acyrillic\z:}', "");;
    Expect(1, 1279, '\p{Blk=-Cyrillic}', "");
    Expect(0, 1279, '\p{^Blk=-Cyrillic}', "");
    Expect(0, 1279, '\P{Blk=-Cyrillic}', "");
    Expect(1, 1279, '\P{^Blk=-Cyrillic}', "");
    Expect(0, 1280, '\p{Blk=-Cyrillic}', "");
    Expect(1, 1280, '\p{^Blk=-Cyrillic}', "");
    Expect(1, 1280, '\P{Blk=-Cyrillic}', "");
    Expect(0, 1280, '\P{^Blk=-Cyrillic}', "");
    Error('\p{Is_Block=		Cyrillic:=}');
    Error('\P{Is_Block=		Cyrillic:=}');
    Expect(1, 1279, '\p{Is_Block=cyrillic}', "");
    Expect(0, 1279, '\p{^Is_Block=cyrillic}', "");
    Expect(0, 1279, '\P{Is_Block=cyrillic}', "");
    Expect(1, 1279, '\P{^Is_Block=cyrillic}', "");
    Expect(0, 1280, '\p{Is_Block=cyrillic}', "");
    Expect(1, 1280, '\p{^Is_Block=cyrillic}', "");
    Expect(1, 1280, '\P{Is_Block=cyrillic}', "");
    Expect(0, 1280, '\P{^Is_Block=cyrillic}', "");
    Expect(1, 1279, '\p{Is_Block=	_CYRILLIC}', "");
    Expect(0, 1279, '\p{^Is_Block=	_CYRILLIC}', "");
    Expect(0, 1279, '\P{Is_Block=	_CYRILLIC}', "");
    Expect(1, 1279, '\P{^Is_Block=	_CYRILLIC}', "");
    Expect(0, 1280, '\p{Is_Block=	_CYRILLIC}', "");
    Expect(1, 1280, '\p{^Is_Block=	_CYRILLIC}', "");
    Expect(1, 1280, '\P{Is_Block=	_CYRILLIC}', "");
    Expect(0, 1280, '\P{^Is_Block=	_CYRILLIC}', "");
    Error('\p{Is_Blk=:=-Cyrillic}');
    Error('\P{Is_Blk=:=-Cyrillic}');
    Expect(1, 1279, '\p{Is_Blk=cyrillic}', "");
    Expect(0, 1279, '\p{^Is_Blk=cyrillic}', "");
    Expect(0, 1279, '\P{Is_Blk=cyrillic}', "");
    Expect(1, 1279, '\P{^Is_Blk=cyrillic}', "");
    Expect(0, 1280, '\p{Is_Blk=cyrillic}', "");
    Expect(1, 1280, '\p{^Is_Blk=cyrillic}', "");
    Expect(1, 1280, '\P{Is_Blk=cyrillic}', "");
    Expect(0, 1280, '\P{^Is_Blk=cyrillic}', "");
    Expect(1, 1279, '\p{Is_Blk=_	Cyrillic}', "");
    Expect(0, 1279, '\p{^Is_Blk=_	Cyrillic}', "");
    Expect(0, 1279, '\P{Is_Blk=_	Cyrillic}', "");
    Expect(1, 1279, '\P{^Is_Blk=_	Cyrillic}', "");
    Expect(0, 1280, '\p{Is_Blk=_	Cyrillic}', "");
    Expect(1, 1280, '\p{^Is_Blk=_	Cyrillic}', "");
    Expect(1, 1280, '\P{Is_Blk=_	Cyrillic}', "");
    Expect(0, 1280, '\P{^Is_Blk=_	Cyrillic}', "");
    Error('\p{Block= /a/Cyrillic_Extended_A}');
    Error('\P{Block= /a/Cyrillic_Extended_A}');
    Expect(1, 11775, '\p{Block=:\ACyrillic_Extended_A\z:}', "");;
    Expect(0, 11776, '\p{Block=:\ACyrillic_Extended_A\z:}', "");;
    Expect(1, 11775, '\p{Block=cyrillicextendeda}', "");
    Expect(0, 11775, '\p{^Block=cyrillicextendeda}', "");
    Expect(0, 11775, '\P{Block=cyrillicextendeda}', "");
    Expect(1, 11775, '\P{^Block=cyrillicextendeda}', "");
    Expect(0, 11776, '\p{Block=cyrillicextendeda}', "");
    Expect(1, 11776, '\p{^Block=cyrillicextendeda}', "");
    Expect(1, 11776, '\P{Block=cyrillicextendeda}', "");
    Expect(0, 11776, '\P{^Block=cyrillicextendeda}', "");
    Expect(1, 11775, '\p{Block=:\Acyrillicextendeda\z:}', "");;
    Expect(0, 11776, '\p{Block=:\Acyrillicextendeda\z:}', "");;
    Expect(1, 11775, '\p{Block=	Cyrillic_Extended_A}', "");
    Expect(0, 11775, '\p{^Block=	Cyrillic_Extended_A}', "");
    Expect(0, 11775, '\P{Block=	Cyrillic_Extended_A}', "");
    Expect(1, 11775, '\P{^Block=	Cyrillic_Extended_A}', "");
    Expect(0, 11776, '\p{Block=	Cyrillic_Extended_A}', "");
    Expect(1, 11776, '\p{^Block=	Cyrillic_Extended_A}', "");
    Expect(1, 11776, '\P{Block=	Cyrillic_Extended_A}', "");
    Expect(0, 11776, '\P{^Block=	Cyrillic_Extended_A}', "");
    Error('\p{Blk= CYRILLIC_EXT_A/a/}');
    Error('\P{Blk= CYRILLIC_EXT_A/a/}');
    Expect(1, 11775, '\p{Blk=:\ACyrillic_Ext_A\z:}', "");;
    Expect(0, 11776, '\p{Blk=:\ACyrillic_Ext_A\z:}', "");;
    Expect(1, 11775, '\p{Blk=cyrillicexta}', "");
    Expect(0, 11775, '\p{^Blk=cyrillicexta}', "");
    Expect(0, 11775, '\P{Blk=cyrillicexta}', "");
    Expect(1, 11775, '\P{^Blk=cyrillicexta}', "");
    Expect(0, 11776, '\p{Blk=cyrillicexta}', "");
    Expect(1, 11776, '\p{^Blk=cyrillicexta}', "");
    Expect(1, 11776, '\P{Blk=cyrillicexta}', "");
    Expect(0, 11776, '\P{^Blk=cyrillicexta}', "");
    Expect(1, 11775, '\p{Blk=:\Acyrillicexta\z:}', "");;
    Expect(0, 11776, '\p{Blk=:\Acyrillicexta\z:}', "");;
    Expect(1, 11775, '\p{Blk= _Cyrillic_Ext_A}', "");
    Expect(0, 11775, '\p{^Blk= _Cyrillic_Ext_A}', "");
    Expect(0, 11775, '\P{Blk= _Cyrillic_Ext_A}', "");
    Expect(1, 11775, '\P{^Blk= _Cyrillic_Ext_A}', "");
    Expect(0, 11776, '\p{Blk= _Cyrillic_Ext_A}', "");
    Expect(1, 11776, '\p{^Blk= _Cyrillic_Ext_A}', "");
    Expect(1, 11776, '\P{Blk= _Cyrillic_Ext_A}', "");
    Expect(0, 11776, '\P{^Blk= _Cyrillic_Ext_A}', "");
    Error('\p{Is_Block=_	cyrillic_Extended_A:=}');
    Error('\P{Is_Block=_	cyrillic_Extended_A:=}');
    Expect(1, 11775, '\p{Is_Block=cyrillicextendeda}', "");
    Expect(0, 11775, '\p{^Is_Block=cyrillicextendeda}', "");
    Expect(0, 11775, '\P{Is_Block=cyrillicextendeda}', "");
    Expect(1, 11775, '\P{^Is_Block=cyrillicextendeda}', "");
    Expect(0, 11776, '\p{Is_Block=cyrillicextendeda}', "");
    Expect(1, 11776, '\p{^Is_Block=cyrillicextendeda}', "");
    Expect(1, 11776, '\P{Is_Block=cyrillicextendeda}', "");
    Expect(0, 11776, '\P{^Is_Block=cyrillicextendeda}', "");
    Expect(1, 11775, '\p{Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Expect(0, 11775, '\p{^Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Expect(0, 11775, '\P{Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Expect(1, 11775, '\P{^Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Expect(0, 11776, '\p{Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Expect(1, 11776, '\p{^Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Expect(1, 11776, '\P{Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Expect(0, 11776, '\P{^Is_Block:	_ CYRILLIC_EXTENDED_a}', "");
    Error('\p{Is_Blk:/a/CYRILLIC_ext_a}');
    Error('\P{Is_Blk:/a/CYRILLIC_ext_a}');
    Expect(1, 11775, '\p{Is_Blk=cyrillicexta}', "");
    Expect(0, 11775, '\p{^Is_Blk=cyrillicexta}', "");
    Expect(0, 11775, '\P{Is_Blk=cyrillicexta}', "");
    Expect(1, 11775, '\P{^Is_Blk=cyrillicexta}', "");
    Expect(0, 11776, '\p{Is_Blk=cyrillicexta}', "");
    Expect(1, 11776, '\p{^Is_Blk=cyrillicexta}', "");
    Expect(1, 11776, '\P{Is_Blk=cyrillicexta}', "");
    Expect(0, 11776, '\P{^Is_Blk=cyrillicexta}', "");
    Expect(1, 11775, '\p{Is_Blk:   -_Cyrillic_ext_A}', "");
    Expect(0, 11775, '\p{^Is_Blk:   -_Cyrillic_ext_A}', "");
    Expect(0, 11775, '\P{Is_Blk:   -_Cyrillic_ext_A}', "");
    Expect(1, 11775, '\P{^Is_Blk:   -_Cyrillic_ext_A}', "");
    Expect(0, 11776, '\p{Is_Blk:   -_Cyrillic_ext_A}', "");
    Expect(1, 11776, '\p{^Is_Blk:   -_Cyrillic_ext_A}', "");
    Expect(1, 11776, '\P{Is_Blk:   -_Cyrillic_ext_A}', "");
    Expect(0, 11776, '\P{^Is_Blk:   -_Cyrillic_ext_A}', "");
    Error('\p{Block=_/a/Cyrillic_Extended_b}');
    Error('\P{Block=_/a/Cyrillic_Extended_b}');
    Expect(1, 42655, '\p{Block=:\ACyrillic_Extended_B\z:}', "");;
    Expect(0, 42656, '\p{Block=:\ACyrillic_Extended_B\z:}', "");;
    Expect(1, 42655, '\p{Block=cyrillicextendedb}', "");
    Expect(0, 42655, '\p{^Block=cyrillicextendedb}', "");
    Expect(0, 42655, '\P{Block=cyrillicextendedb}', "");
    Expect(1, 42655, '\P{^Block=cyrillicextendedb}', "");
    Expect(0, 42656, '\p{Block=cyrillicextendedb}', "");
    Expect(1, 42656, '\p{^Block=cyrillicextendedb}', "");
    Expect(1, 42656, '\P{Block=cyrillicextendedb}', "");
    Expect(0, 42656, '\P{^Block=cyrillicextendedb}', "");
    Expect(1, 42655, '\p{Block=:\Acyrillicextendedb\z:}', "");;
    Expect(0, 42656, '\p{Block=:\Acyrillicextendedb\z:}', "");;
    Expect(1, 42655, '\p{Block=-	CYRILLIC_Extended_B}', "");
    Expect(0, 42655, '\p{^Block=-	CYRILLIC_Extended_B}', "");
    Expect(0, 42655, '\P{Block=-	CYRILLIC_Extended_B}', "");
    Expect(1, 42655, '\P{^Block=-	CYRILLIC_Extended_B}', "");
    Expect(0, 42656, '\p{Block=-	CYRILLIC_Extended_B}', "");
    Expect(1, 42656, '\p{^Block=-	CYRILLIC_Extended_B}', "");
    Expect(1, 42656, '\P{Block=-	CYRILLIC_Extended_B}', "");
    Expect(0, 42656, '\P{^Block=-	CYRILLIC_Extended_B}', "");
    Error('\p{Blk=	 CYRILLIC_EXT_B/a/}');
    Error('\P{Blk=	 CYRILLIC_EXT_B/a/}');
    Expect(1, 42655, '\p{Blk=:\ACyrillic_Ext_B\z:}', "");;
    Expect(0, 42656, '\p{Blk=:\ACyrillic_Ext_B\z:}', "");;
    Expect(1, 42655, '\p{Blk=cyrillicextb}', "");
    Expect(0, 42655, '\p{^Blk=cyrillicextb}', "");
    Expect(0, 42655, '\P{Blk=cyrillicextb}', "");
    Expect(1, 42655, '\P{^Blk=cyrillicextb}', "");
    Expect(0, 42656, '\p{Blk=cyrillicextb}', "");
    Expect(1, 42656, '\p{^Blk=cyrillicextb}', "");
    Expect(1, 42656, '\P{Blk=cyrillicextb}', "");
    Expect(0, 42656, '\P{^Blk=cyrillicextb}', "");
    Expect(1, 42655, '\p{Blk=:\Acyrillicextb\z:}', "");;
    Expect(0, 42656, '\p{Blk=:\Acyrillicextb\z:}', "");;
    Expect(1, 42655, '\p{Blk:   	 cyrillic_ext_B}', "");
    Expect(0, 42655, '\p{^Blk:   	 cyrillic_ext_B}', "");
    Expect(0, 42655, '\P{Blk:   	 cyrillic_ext_B}', "");
    Expect(1, 42655, '\P{^Blk:   	 cyrillic_ext_B}', "");
    Expect(0, 42656, '\p{Blk:   	 cyrillic_ext_B}', "");
    Expect(1, 42656, '\p{^Blk:   	 cyrillic_ext_B}', "");
    Expect(1, 42656, '\P{Blk:   	 cyrillic_ext_B}', "");
    Expect(0, 42656, '\P{^Blk:   	 cyrillic_ext_B}', "");
    Error('\p{Is_Block=/a/- cyrillic_Extended_B}');
    Error('\P{Is_Block=/a/- cyrillic_Extended_B}');
    Expect(1, 42655, '\p{Is_Block=cyrillicextendedb}', "");
    Expect(0, 42655, '\p{^Is_Block=cyrillicextendedb}', "");
    Expect(0, 42655, '\P{Is_Block=cyrillicextendedb}', "");
    Expect(1, 42655, '\P{^Is_Block=cyrillicextendedb}', "");
    Expect(0, 42656, '\p{Is_Block=cyrillicextendedb}', "");
    Expect(1, 42656, '\p{^Is_Block=cyrillicextendedb}', "");
    Expect(1, 42656, '\P{Is_Block=cyrillicextendedb}', "");
    Expect(0, 42656, '\P{^Is_Block=cyrillicextendedb}', "");
    Expect(1, 42655, '\p{Is_Block=	-cyrillic_extended_b}', "");
    Expect(0, 42655, '\p{^Is_Block=	-cyrillic_extended_b}', "");
    Expect(0, 42655, '\P{Is_Block=	-cyrillic_extended_b}', "");
    Expect(1, 42655, '\P{^Is_Block=	-cyrillic_extended_b}', "");
    Expect(0, 42656, '\p{Is_Block=	-cyrillic_extended_b}', "");
    Expect(1, 42656, '\p{^Is_Block=	-cyrillic_extended_b}', "");
    Expect(1, 42656, '\P{Is_Block=	-cyrillic_extended_b}', "");
    Expect(0, 42656, '\P{^Is_Block=	-cyrillic_extended_b}', "");
    Error('\p{Is_Blk=:=CYRILLIC_Ext_B}');
    Error('\P{Is_Blk=:=CYRILLIC_Ext_B}');
    Expect(1, 42655, '\p{Is_Blk=cyrillicextb}', "");
    Expect(0, 42655, '\p{^Is_Blk=cyrillicextb}', "");
    Expect(0, 42655, '\P{Is_Blk=cyrillicextb}', "");
    Expect(1, 42655, '\P{^Is_Blk=cyrillicextb}', "");
    Expect(0, 42656, '\p{Is_Blk=cyrillicextb}', "");
    Expect(1, 42656, '\p{^Is_Blk=cyrillicextb}', "");
    Expect(1, 42656, '\P{Is_Blk=cyrillicextb}', "");
    Expect(0, 42656, '\P{^Is_Blk=cyrillicextb}', "");
    Expect(1, 42655, '\p{Is_Blk=-_cyrillic_Ext_b}', "");
    Expect(0, 42655, '\p{^Is_Blk=-_cyrillic_Ext_b}', "");
    Expect(0, 42655, '\P{Is_Blk=-_cyrillic_Ext_b}', "");
    Expect(1, 42655, '\P{^Is_Blk=-_cyrillic_Ext_b}', "");
    Expect(0, 42656, '\p{Is_Blk=-_cyrillic_Ext_b}', "");
    Expect(1, 42656, '\p{^Is_Blk=-_cyrillic_Ext_b}', "");
    Expect(1, 42656, '\P{Is_Blk=-_cyrillic_Ext_b}', "");
    Expect(0, 42656, '\P{^Is_Blk=-_cyrillic_Ext_b}', "");
    Error('\p{Block=-/a/Cyrillic_EXTENDED_C}');
    Error('\P{Block=-/a/Cyrillic_EXTENDED_C}');
    Expect(1, 7311, '\p{Block=:\ACyrillic_Extended_C\z:}', "");;
    Expect(0, 7312, '\p{Block=:\ACyrillic_Extended_C\z:}', "");;
    Expect(1, 7311, '\p{Block=cyrillicextendedc}', "");
    Expect(0, 7311, '\p{^Block=cyrillicextendedc}', "");
    Expect(0, 7311, '\P{Block=cyrillicextendedc}', "");
    Expect(1, 7311, '\P{^Block=cyrillicextendedc}', "");
    Expect(0, 7312, '\p{Block=cyrillicextendedc}', "");
    Expect(1, 7312, '\p{^Block=cyrillicextendedc}', "");
    Expect(1, 7312, '\P{Block=cyrillicextendedc}', "");
    Expect(0, 7312, '\P{^Block=cyrillicextendedc}', "");
    Expect(1, 7311, '\p{Block=:\Acyrillicextendedc\z:}', "");;
    Expect(0, 7312, '\p{Block=:\Acyrillicextendedc\z:}', "");;
    Expect(1, 7311, '\p{Block=		Cyrillic_EXTENDED_c}', "");
    Expect(0, 7311, '\p{^Block=		Cyrillic_EXTENDED_c}', "");
    Expect(0, 7311, '\P{Block=		Cyrillic_EXTENDED_c}', "");
    Expect(1, 7311, '\P{^Block=		Cyrillic_EXTENDED_c}', "");
    Expect(0, 7312, '\p{Block=		Cyrillic_EXTENDED_c}', "");
    Expect(1, 7312, '\p{^Block=		Cyrillic_EXTENDED_c}', "");
    Expect(1, 7312, '\P{Block=		Cyrillic_EXTENDED_c}', "");
    Expect(0, 7312, '\P{^Block=		Cyrillic_EXTENDED_c}', "");
    Error('\p{Blk=  cyrillic_EXT_C:=}');
    Error('\P{Blk=  cyrillic_EXT_C:=}');
    Expect(1, 7311, '\p{Blk=:\ACyrillic_Ext_C\z:}', "");;
    Expect(0, 7312, '\p{Blk=:\ACyrillic_Ext_C\z:}', "");;
    Expect(1, 7311, '\p{Blk=cyrillicextc}', "");
    Expect(0, 7311, '\p{^Blk=cyrillicextc}', "");
    Expect(0, 7311, '\P{Blk=cyrillicextc}', "");
    Expect(1, 7311, '\P{^Blk=cyrillicextc}', "");
    Expect(0, 7312, '\p{Blk=cyrillicextc}', "");
    Expect(1, 7312, '\p{^Blk=cyrillicextc}', "");
    Expect(1, 7312, '\P{Blk=cyrillicextc}', "");
    Expect(0, 7312, '\P{^Blk=cyrillicextc}', "");
    Expect(1, 7311, '\p{Blk=:\Acyrillicextc\z:}', "");;
    Expect(0, 7312, '\p{Blk=:\Acyrillicextc\z:}', "");;
    Expect(1, 7311, '\p{Blk=__CYRILLIC_EXT_C}', "");
    Expect(0, 7311, '\p{^Blk=__CYRILLIC_EXT_C}', "");
    Expect(0, 7311, '\P{Blk=__CYRILLIC_EXT_C}', "");
    Expect(1, 7311, '\P{^Blk=__CYRILLIC_EXT_C}', "");
    Expect(0, 7312, '\p{Blk=__CYRILLIC_EXT_C}', "");
    Expect(1, 7312, '\p{^Blk=__CYRILLIC_EXT_C}', "");
    Expect(1, 7312, '\P{Blk=__CYRILLIC_EXT_C}', "");
    Expect(0, 7312, '\P{^Blk=__CYRILLIC_EXT_C}', "");
    Error('\p{Is_Block= 	Cyrillic_EXTENDED_c:=}');
    Error('\P{Is_Block= 	Cyrillic_EXTENDED_c:=}');
    Expect(1, 7311, '\p{Is_Block=cyrillicextendedc}', "");
    Expect(0, 7311, '\p{^Is_Block=cyrillicextendedc}', "");
    Expect(0, 7311, '\P{Is_Block=cyrillicextendedc}', "");
    Expect(1, 7311, '\P{^Is_Block=cyrillicextendedc}', "");
    Expect(0, 7312, '\p{Is_Block=cyrillicextendedc}', "");
    Expect(1, 7312, '\p{^Is_Block=cyrillicextendedc}', "");
    Expect(1, 7312, '\P{Is_Block=cyrillicextendedc}', "");
    Expect(0, 7312, '\P{^Is_Block=cyrillicextendedc}', "");
    Expect(1, 7311, '\p{Is_Block= Cyrillic_EXTENDED_C}', "");
    Expect(0, 7311, '\p{^Is_Block= Cyrillic_EXTENDED_C}', "");
    Expect(0, 7311, '\P{Is_Block= Cyrillic_EXTENDED_C}', "");
    Expect(1, 7311, '\P{^Is_Block= Cyrillic_EXTENDED_C}', "");
    Expect(0, 7312, '\p{Is_Block= Cyrillic_EXTENDED_C}', "");
    Expect(1, 7312, '\p{^Is_Block= Cyrillic_EXTENDED_C}', "");
    Expect(1, 7312, '\P{Is_Block= Cyrillic_EXTENDED_C}', "");
    Expect(0, 7312, '\P{^Is_Block= Cyrillic_EXTENDED_C}', "");
    Error('\p{Is_Blk= :=CYRILLIC_ext_C}');
    Error('\P{Is_Blk= :=CYRILLIC_ext_C}');
    Expect(1, 7311, '\p{Is_Blk:   cyrillicextc}', "");
    Expect(0, 7311, '\p{^Is_Blk:   cyrillicextc}', "");
    Expect(0, 7311, '\P{Is_Blk:   cyrillicextc}', "");
    Expect(1, 7311, '\P{^Is_Blk:   cyrillicextc}', "");
    Expect(0, 7312, '\p{Is_Blk:   cyrillicextc}', "");
    Expect(1, 7312, '\p{^Is_Blk:   cyrillicextc}', "");
    Expect(1, 7312, '\P{Is_Blk:   cyrillicextc}', "");
    Expect(0, 7312, '\P{^Is_Blk:   cyrillicextc}', "");
    Expect(1, 7311, '\p{Is_Blk=_-cyrillic_Ext_C}', "");
    Expect(0, 7311, '\p{^Is_Blk=_-cyrillic_Ext_C}', "");
    Expect(0, 7311, '\P{Is_Blk=_-cyrillic_Ext_C}', "");
    Expect(1, 7311, '\P{^Is_Blk=_-cyrillic_Ext_C}', "");
    Expect(0, 7312, '\p{Is_Blk=_-cyrillic_Ext_C}', "");
    Expect(1, 7312, '\p{^Is_Blk=_-cyrillic_Ext_C}', "");
    Expect(1, 7312, '\P{Is_Blk=_-cyrillic_Ext_C}', "");
    Expect(0, 7312, '\P{^Is_Blk=_-cyrillic_Ext_C}', "");
    Error('\p{Block:_Cyrillic_Supplement:=}');
    Error('\P{Block:_Cyrillic_Supplement:=}');
    Expect(1, 1327, '\p{Block=:\ACyrillic_Supplement\z:}', "");;
    Expect(0, 1328, '\p{Block=:\ACyrillic_Supplement\z:}', "");;
    Expect(1, 1327, '\p{Block=cyrillicsupplement}', "");
    Expect(0, 1327, '\p{^Block=cyrillicsupplement}', "");
    Expect(0, 1327, '\P{Block=cyrillicsupplement}', "");
    Expect(1, 1327, '\P{^Block=cyrillicsupplement}', "");
    Expect(0, 1328, '\p{Block=cyrillicsupplement}', "");
    Expect(1, 1328, '\p{^Block=cyrillicsupplement}', "");
    Expect(1, 1328, '\P{Block=cyrillicsupplement}', "");
    Expect(0, 1328, '\P{^Block=cyrillicsupplement}', "");
    Expect(1, 1327, '\p{Block=:\Acyrillicsupplement\z:}', "");;
    Expect(0, 1328, '\p{Block=:\Acyrillicsupplement\z:}', "");;
    Expect(1, 1327, '\p{Block=	 CYRILLIC_Supplement}', "");
    Expect(0, 1327, '\p{^Block=	 CYRILLIC_Supplement}', "");
    Expect(0, 1327, '\P{Block=	 CYRILLIC_Supplement}', "");
    Expect(1, 1327, '\P{^Block=	 CYRILLIC_Supplement}', "");
    Expect(0, 1328, '\p{Block=	 CYRILLIC_Supplement}', "");
    Expect(1, 1328, '\p{^Block=	 CYRILLIC_Supplement}', "");
    Expect(1, 1328, '\P{Block=	 CYRILLIC_Supplement}', "");
    Expect(0, 1328, '\P{^Block=	 CYRILLIC_Supplement}', "");
    Error('\p{Blk=/a/	-Cyrillic_Sup}');
    Error('\P{Blk=/a/	-Cyrillic_Sup}');
    Expect(1, 1327, '\p{Blk=:\ACyrillic_Sup\z:}', "");;
    Expect(0, 1328, '\p{Blk=:\ACyrillic_Sup\z:}', "");;
    Expect(1, 1327, '\p{Blk=cyrillicsup}', "");
    Expect(0, 1327, '\p{^Blk=cyrillicsup}', "");
    Expect(0, 1327, '\P{Blk=cyrillicsup}', "");
    Expect(1, 1327, '\P{^Blk=cyrillicsup}', "");
    Expect(0, 1328, '\p{Blk=cyrillicsup}', "");
    Expect(1, 1328, '\p{^Blk=cyrillicsup}', "");
    Expect(1, 1328, '\P{Blk=cyrillicsup}', "");
    Expect(0, 1328, '\P{^Blk=cyrillicsup}', "");
    Expect(1, 1327, '\p{Blk=:\Acyrillicsup\z:}', "");;
    Expect(0, 1328, '\p{Blk=:\Acyrillicsup\z:}', "");;
    Expect(1, 1327, '\p{Blk: 	cyrillic_Sup}', "");
    Expect(0, 1327, '\p{^Blk: 	cyrillic_Sup}', "");
    Expect(0, 1327, '\P{Blk: 	cyrillic_Sup}', "");
    Expect(1, 1327, '\P{^Blk: 	cyrillic_Sup}', "");
    Expect(0, 1328, '\p{Blk: 	cyrillic_Sup}', "");
    Expect(1, 1328, '\p{^Blk: 	cyrillic_Sup}', "");
    Expect(1, 1328, '\P{Blk: 	cyrillic_Sup}', "");
    Expect(0, 1328, '\P{^Blk: 	cyrillic_Sup}', "");
    Error('\p{Is_Block:-_cyrillic_Supplementary/a/}');
    Error('\P{Is_Block:-_cyrillic_Supplementary/a/}');
    Expect(1, 1327, '\p{Is_Block=cyrillicsupplementary}', "");
    Expect(0, 1327, '\p{^Is_Block=cyrillicsupplementary}', "");
    Expect(0, 1327, '\P{Is_Block=cyrillicsupplementary}', "");
    Expect(1, 1327, '\P{^Is_Block=cyrillicsupplementary}', "");
    Expect(0, 1328, '\p{Is_Block=cyrillicsupplementary}', "");
    Expect(1, 1328, '\p{^Is_Block=cyrillicsupplementary}', "");
    Expect(1, 1328, '\P{Is_Block=cyrillicsupplementary}', "");
    Expect(0, 1328, '\P{^Is_Block=cyrillicsupplementary}', "");
    Expect(1, 1327, '\p{Is_Block=- Cyrillic_Supplementary}', "");
    Expect(0, 1327, '\p{^Is_Block=- Cyrillic_Supplementary}', "");
    Expect(0, 1327, '\P{Is_Block=- Cyrillic_Supplementary}', "");
    Expect(1, 1327, '\P{^Is_Block=- Cyrillic_Supplementary}', "");
    Expect(0, 1328, '\p{Is_Block=- Cyrillic_Supplementary}', "");
    Expect(1, 1328, '\p{^Is_Block=- Cyrillic_Supplementary}', "");
    Expect(1, 1328, '\P{Is_Block=- Cyrillic_Supplementary}', "");
    Expect(0, 1328, '\P{^Is_Block=- Cyrillic_Supplementary}', "");
    Error('\p{Is_Blk=  cyrillic_SUPPLEMENT:=}');
    Error('\P{Is_Blk=  cyrillic_SUPPLEMENT:=}');
    Expect(1, 1327, '\p{Is_Blk=cyrillicsupplement}', "");
    Expect(0, 1327, '\p{^Is_Blk=cyrillicsupplement}', "");
    Expect(0, 1327, '\P{Is_Blk=cyrillicsupplement}', "");
    Expect(1, 1327, '\P{^Is_Blk=cyrillicsupplement}', "");
    Expect(0, 1328, '\p{Is_Blk=cyrillicsupplement}', "");
    Expect(1, 1328, '\p{^Is_Blk=cyrillicsupplement}', "");
    Expect(1, 1328, '\P{Is_Blk=cyrillicsupplement}', "");
    Expect(0, 1328, '\P{^Is_Blk=cyrillicsupplement}', "");
    Expect(1, 1327, '\p{Is_Blk=_-cyrillic_supplement}', "");
    Expect(0, 1327, '\p{^Is_Blk=_-cyrillic_supplement}', "");
    Expect(0, 1327, '\P{Is_Blk=_-cyrillic_supplement}', "");
    Expect(1, 1327, '\P{^Is_Blk=_-cyrillic_supplement}', "");
    Expect(0, 1328, '\p{Is_Blk=_-cyrillic_supplement}', "");
    Expect(1, 1328, '\p{^Is_Blk=_-cyrillic_supplement}', "");
    Expect(1, 1328, '\P{Is_Blk=_-cyrillic_supplement}', "");
    Expect(0, 1328, '\P{^Is_Blk=_-cyrillic_supplement}', "");
    Error('\p{Block=  deseret/a/}');
    Error('\P{Block=  deseret/a/}');
    Expect(1, 66639, '\p{Block=:\ADeseret\z:}', "");;
    Expect(0, 66640, '\p{Block=:\ADeseret\z:}', "");;
    Expect(1, 66639, '\p{Block=deseret}', "");
    Expect(0, 66639, '\p{^Block=deseret}', "");
    Expect(0, 66639, '\P{Block=deseret}', "");
    Expect(1, 66639, '\P{^Block=deseret}', "");
    Expect(0, 66640, '\p{Block=deseret}', "");
    Expect(1, 66640, '\p{^Block=deseret}', "");
    Expect(1, 66640, '\P{Block=deseret}', "");
    Expect(0, 66640, '\P{^Block=deseret}', "");
    Expect(1, 66639, '\p{Block=:\Adeseret\z:}', "");;
    Expect(0, 66640, '\p{Block=:\Adeseret\z:}', "");;
    Expect(1, 66639, '\p{Block=-Deseret}', "");
    Expect(0, 66639, '\p{^Block=-Deseret}', "");
    Expect(0, 66639, '\P{Block=-Deseret}', "");
    Expect(1, 66639, '\P{^Block=-Deseret}', "");
    Expect(0, 66640, '\p{Block=-Deseret}', "");
    Expect(1, 66640, '\p{^Block=-Deseret}', "");
    Expect(1, 66640, '\P{Block=-Deseret}', "");
    Expect(0, 66640, '\P{^Block=-Deseret}', "");
    Error('\p{Blk=:=__Deseret}');
    Error('\P{Blk=:=__Deseret}');
    Expect(1, 66639, '\p{Blk=:\ADeseret\z:}', "");;
    Expect(0, 66640, '\p{Blk=:\ADeseret\z:}', "");;
    Expect(1, 66639, '\p{Blk=deseret}', "");
    Expect(0, 66639, '\p{^Blk=deseret}', "");
    Expect(0, 66639, '\P{Blk=deseret}', "");
    Expect(1, 66639, '\P{^Blk=deseret}', "");
    Expect(0, 66640, '\p{Blk=deseret}', "");
    Expect(1, 66640, '\p{^Blk=deseret}', "");
    Expect(1, 66640, '\P{Blk=deseret}', "");
    Expect(0, 66640, '\P{^Blk=deseret}', "");
    Expect(1, 66639, '\p{Blk=:\Adeseret\z:}', "");;
    Expect(0, 66640, '\p{Blk=:\Adeseret\z:}', "");;
    Expect(1, 66639, '\p{Blk=-deseret}', "");
    Expect(0, 66639, '\p{^Blk=-deseret}', "");
    Expect(0, 66639, '\P{Blk=-deseret}', "");
    Expect(1, 66639, '\P{^Blk=-deseret}', "");
    Expect(0, 66640, '\p{Blk=-deseret}', "");
    Expect(1, 66640, '\p{^Blk=-deseret}', "");
    Expect(1, 66640, '\P{Blk=-deseret}', "");
    Expect(0, 66640, '\P{^Blk=-deseret}', "");
    Error('\p{Is_Block= deseret:=}');
    Error('\P{Is_Block= deseret:=}');
    Expect(1, 66639, '\p{Is_Block=deseret}', "");
    Expect(0, 66639, '\p{^Is_Block=deseret}', "");
    Expect(0, 66639, '\P{Is_Block=deseret}', "");
    Expect(1, 66639, '\P{^Is_Block=deseret}', "");
    Expect(0, 66640, '\p{Is_Block=deseret}', "");
    Expect(1, 66640, '\p{^Is_Block=deseret}', "");
    Expect(1, 66640, '\P{Is_Block=deseret}', "");
    Expect(0, 66640, '\P{^Is_Block=deseret}', "");
    Expect(1, 66639, '\p{Is_Block=	DESERET}', "");
    Expect(0, 66639, '\p{^Is_Block=	DESERET}', "");
    Expect(0, 66639, '\P{Is_Block=	DESERET}', "");
    Expect(1, 66639, '\P{^Is_Block=	DESERET}', "");
    Expect(0, 66640, '\p{Is_Block=	DESERET}', "");
    Expect(1, 66640, '\p{^Is_Block=	DESERET}', "");
    Expect(1, 66640, '\P{Is_Block=	DESERET}', "");
    Expect(0, 66640, '\P{^Is_Block=	DESERET}', "");
    Error('\p{Is_Blk=-:=Deseret}');
    Error('\P{Is_Blk=-:=Deseret}');
    Expect(1, 66639, '\p{Is_Blk=deseret}', "");
    Expect(0, 66639, '\p{^Is_Blk=deseret}', "");
    Expect(0, 66639, '\P{Is_Blk=deseret}', "");
    Expect(1, 66639, '\P{^Is_Blk=deseret}', "");
    Expect(0, 66640, '\p{Is_Blk=deseret}', "");
    Expect(1, 66640, '\p{^Is_Blk=deseret}', "");
    Expect(1, 66640, '\P{Is_Blk=deseret}', "");
    Expect(0, 66640, '\P{^Is_Blk=deseret}', "");
    Expect(1, 66639, '\p{Is_Blk:   -Deseret}', "");
    Expect(0, 66639, '\p{^Is_Blk:   -Deseret}', "");
    Expect(0, 66639, '\P{Is_Blk:   -Deseret}', "");
    Expect(1, 66639, '\P{^Is_Blk:   -Deseret}', "");
    Expect(0, 66640, '\p{Is_Blk:   -Deseret}', "");
    Expect(1, 66640, '\p{^Is_Blk:   -Deseret}', "");
    Expect(1, 66640, '\P{Is_Blk:   -Deseret}', "");
    Expect(0, 66640, '\P{^Is_Blk:   -Deseret}', "");
    Error('\p{Block=_Devanagari:=}');
    Error('\P{Block=_Devanagari:=}');
    Expect(1, 2431, '\p{Block=:\ADevanagari\z:}', "");;
    Expect(0, 2432, '\p{Block=:\ADevanagari\z:}', "");;
    Expect(1, 2431, '\p{Block=devanagari}', "");
    Expect(0, 2431, '\p{^Block=devanagari}', "");
    Expect(0, 2431, '\P{Block=devanagari}', "");
    Expect(1, 2431, '\P{^Block=devanagari}', "");
    Expect(0, 2432, '\p{Block=devanagari}', "");
    Expect(1, 2432, '\p{^Block=devanagari}', "");
    Expect(1, 2432, '\P{Block=devanagari}', "");
    Expect(0, 2432, '\P{^Block=devanagari}', "");
    Expect(1, 2431, '\p{Block=:\Adevanagari\z:}', "");;
    Expect(0, 2432, '\p{Block=:\Adevanagari\z:}', "");;
    Expect(1, 2431, '\p{Block=		devanagari}', "");
    Expect(0, 2431, '\p{^Block=		devanagari}', "");
    Expect(0, 2431, '\P{Block=		devanagari}', "");
    Expect(1, 2431, '\P{^Block=		devanagari}', "");
    Expect(0, 2432, '\p{Block=		devanagari}', "");
    Expect(1, 2432, '\p{^Block=		devanagari}', "");
    Expect(1, 2432, '\P{Block=		devanagari}', "");
    Expect(0, 2432, '\P{^Block=		devanagari}', "");
    Error('\p{Blk=	:=Devanagari}');
    Error('\P{Blk=	:=Devanagari}');
    Expect(1, 2431, '\p{Blk=:\ADevanagari\z:}', "");;
    Expect(0, 2432, '\p{Blk=:\ADevanagari\z:}', "");;
    Expect(1, 2431, '\p{Blk=devanagari}', "");
    Expect(0, 2431, '\p{^Blk=devanagari}', "");
    Expect(0, 2431, '\P{Blk=devanagari}', "");
    Expect(1, 2431, '\P{^Blk=devanagari}', "");
    Expect(0, 2432, '\p{Blk=devanagari}', "");
    Expect(1, 2432, '\p{^Blk=devanagari}', "");
    Expect(1, 2432, '\P{Blk=devanagari}', "");
    Expect(0, 2432, '\P{^Blk=devanagari}', "");
    Expect(1, 2431, '\p{Blk=:\Adevanagari\z:}', "");;
    Expect(0, 2432, '\p{Blk=:\Adevanagari\z:}', "");;
    Expect(1, 2431, '\p{Blk= DEVANAGARI}', "");
    Expect(0, 2431, '\p{^Blk= DEVANAGARI}', "");
    Expect(0, 2431, '\P{Blk= DEVANAGARI}', "");
    Expect(1, 2431, '\P{^Blk= DEVANAGARI}', "");
    Expect(0, 2432, '\p{Blk= DEVANAGARI}', "");
    Expect(1, 2432, '\p{^Blk= DEVANAGARI}', "");
    Expect(1, 2432, '\P{Blk= DEVANAGARI}', "");
    Expect(0, 2432, '\P{^Blk= DEVANAGARI}', "");
    Error('\p{Is_Block=	/a/Devanagari}');
    Error('\P{Is_Block=	/a/Devanagari}');
    Expect(1, 2431, '\p{Is_Block=devanagari}', "");
    Expect(0, 2431, '\p{^Is_Block=devanagari}', "");
    Expect(0, 2431, '\P{Is_Block=devanagari}', "");
    Expect(1, 2431, '\P{^Is_Block=devanagari}', "");
    Expect(0, 2432, '\p{Is_Block=devanagari}', "");
    Expect(1, 2432, '\p{^Is_Block=devanagari}', "");
    Expect(1, 2432, '\P{Is_Block=devanagari}', "");
    Expect(0, 2432, '\P{^Is_Block=devanagari}', "");
    Expect(1, 2431, '\p{Is_Block=__DEVANAGARI}', "");
    Expect(0, 2431, '\p{^Is_Block=__DEVANAGARI}', "");
    Expect(0, 2431, '\P{Is_Block=__DEVANAGARI}', "");
    Expect(1, 2431, '\P{^Is_Block=__DEVANAGARI}', "");
    Expect(0, 2432, '\p{Is_Block=__DEVANAGARI}', "");
    Expect(1, 2432, '\p{^Is_Block=__DEVANAGARI}', "");
    Expect(1, 2432, '\P{Is_Block=__DEVANAGARI}', "");
    Expect(0, 2432, '\P{^Is_Block=__DEVANAGARI}', "");
    Error('\p{Is_Blk=	 devanagari:=}');
    Error('\P{Is_Blk=	 devanagari:=}');
    Expect(1, 2431, '\p{Is_Blk=devanagari}', "");
    Expect(0, 2431, '\p{^Is_Blk=devanagari}', "");
    Expect(0, 2431, '\P{Is_Blk=devanagari}', "");
    Expect(1, 2431, '\P{^Is_Blk=devanagari}', "");
    Expect(0, 2432, '\p{Is_Blk=devanagari}', "");
    Expect(1, 2432, '\p{^Is_Blk=devanagari}', "");
    Expect(1, 2432, '\P{Is_Blk=devanagari}', "");
    Expect(0, 2432, '\P{^Is_Blk=devanagari}', "");
    Expect(1, 2431, '\p{Is_Blk: _ DEVANAGARI}', "");
    Expect(0, 2431, '\p{^Is_Blk: _ DEVANAGARI}', "");
    Expect(0, 2431, '\P{Is_Blk: _ DEVANAGARI}', "");
    Expect(1, 2431, '\P{^Is_Blk: _ DEVANAGARI}', "");
    Expect(0, 2432, '\p{Is_Blk: _ DEVANAGARI}', "");
    Expect(1, 2432, '\p{^Is_Blk: _ DEVANAGARI}', "");
    Expect(1, 2432, '\P{Is_Blk: _ DEVANAGARI}', "");
    Expect(0, 2432, '\P{^Is_Blk: _ DEVANAGARI}', "");
    Error('\p{Block=	:=DEVANAGARI_extended}');
    Error('\P{Block=	:=DEVANAGARI_extended}');
    Expect(1, 43263, '\p{Block=:\ADevanagari_Extended\z:}', "");;
    Expect(0, 43264, '\p{Block=:\ADevanagari_Extended\z:}', "");;
    Expect(1, 43263, '\p{Block=devanagariextended}', "");
    Expect(0, 43263, '\p{^Block=devanagariextended}', "");
    Expect(0, 43263, '\P{Block=devanagariextended}', "");
    Expect(1, 43263, '\P{^Block=devanagariextended}', "");
    Expect(0, 43264, '\p{Block=devanagariextended}', "");
    Expect(1, 43264, '\p{^Block=devanagariextended}', "");
    Expect(1, 43264, '\P{Block=devanagariextended}', "");
    Expect(0, 43264, '\P{^Block=devanagariextended}', "");
    Expect(1, 43263, '\p{Block=:\Adevanagariextended\z:}', "");;
    Expect(0, 43264, '\p{Block=:\Adevanagariextended\z:}', "");;
    Expect(1, 43263, '\p{Block:-_Devanagari_EXTENDED}', "");
    Expect(0, 43263, '\p{^Block:-_Devanagari_EXTENDED}', "");
    Expect(0, 43263, '\P{Block:-_Devanagari_EXTENDED}', "");
    Expect(1, 43263, '\P{^Block:-_Devanagari_EXTENDED}', "");
    Expect(0, 43264, '\p{Block:-_Devanagari_EXTENDED}', "");
    Expect(1, 43264, '\p{^Block:-_Devanagari_EXTENDED}', "");
    Expect(1, 43264, '\P{Block:-_Devanagari_EXTENDED}', "");
    Expect(0, 43264, '\P{^Block:-_Devanagari_EXTENDED}', "");
    Error('\p{Blk: 	-DEVANAGARI_Ext/a/}');
    Error('\P{Blk: 	-DEVANAGARI_Ext/a/}');
    Expect(1, 43263, '\p{Blk=:\ADevanagari_Ext\z:}', "");;
    Expect(0, 43264, '\p{Blk=:\ADevanagari_Ext\z:}', "");;
    Expect(1, 43263, '\p{Blk=devanagariext}', "");
    Expect(0, 43263, '\p{^Blk=devanagariext}', "");
    Expect(0, 43263, '\P{Blk=devanagariext}', "");
    Expect(1, 43263, '\P{^Blk=devanagariext}', "");
    Expect(0, 43264, '\p{Blk=devanagariext}', "");
    Expect(1, 43264, '\p{^Blk=devanagariext}', "");
    Expect(1, 43264, '\P{Blk=devanagariext}', "");
    Expect(0, 43264, '\P{^Blk=devanagariext}', "");
    Expect(1, 43263, '\p{Blk=:\Adevanagariext\z:}', "");;
    Expect(0, 43264, '\p{Blk=:\Adevanagariext\z:}', "");;
    Expect(1, 43263, '\p{Blk=_ DEVANAGARI_Ext}', "");
    Expect(0, 43263, '\p{^Blk=_ DEVANAGARI_Ext}', "");
    Expect(0, 43263, '\P{Blk=_ DEVANAGARI_Ext}', "");
    Expect(1, 43263, '\P{^Blk=_ DEVANAGARI_Ext}', "");
    Expect(0, 43264, '\p{Blk=_ DEVANAGARI_Ext}', "");
    Expect(1, 43264, '\p{^Blk=_ DEVANAGARI_Ext}', "");
    Expect(1, 43264, '\P{Blk=_ DEVANAGARI_Ext}', "");
    Expect(0, 43264, '\P{^Blk=_ DEVANAGARI_Ext}', "");
    Error('\p{Is_Block=:= -Devanagari_extended}');
    Error('\P{Is_Block=:= -Devanagari_extended}');
    Expect(1, 43263, '\p{Is_Block=devanagariextended}', "");
    Expect(0, 43263, '\p{^Is_Block=devanagariextended}', "");
    Expect(0, 43263, '\P{Is_Block=devanagariextended}', "");
    Expect(1, 43263, '\P{^Is_Block=devanagariextended}', "");
    Expect(0, 43264, '\p{Is_Block=devanagariextended}', "");
    Expect(1, 43264, '\p{^Is_Block=devanagariextended}', "");
    Expect(1, 43264, '\P{Is_Block=devanagariextended}', "");
    Expect(0, 43264, '\P{^Is_Block=devanagariextended}', "");
    Expect(1, 43263, '\p{Is_Block=  Devanagari_Extended}', "");
    Expect(0, 43263, '\p{^Is_Block=  Devanagari_Extended}', "");
    Expect(0, 43263, '\P{Is_Block=  Devanagari_Extended}', "");
    Expect(1, 43263, '\P{^Is_Block=  Devanagari_Extended}', "");
    Expect(0, 43264, '\p{Is_Block=  Devanagari_Extended}', "");
    Expect(1, 43264, '\p{^Is_Block=  Devanagari_Extended}', "");
    Expect(1, 43264, '\P{Is_Block=  Devanagari_Extended}', "");
    Expect(0, 43264, '\P{^Is_Block=  Devanagari_Extended}', "");
    Error('\p{Is_Blk: :=Devanagari_Ext}');
    Error('\P{Is_Blk: :=Devanagari_Ext}');
    Expect(1, 43263, '\p{Is_Blk=devanagariext}', "");
    Expect(0, 43263, '\p{^Is_Blk=devanagariext}', "");
    Expect(0, 43263, '\P{Is_Blk=devanagariext}', "");
    Expect(1, 43263, '\P{^Is_Blk=devanagariext}', "");
    Expect(0, 43264, '\p{Is_Blk=devanagariext}', "");
    Expect(1, 43264, '\p{^Is_Blk=devanagariext}', "");
    Expect(1, 43264, '\P{Is_Blk=devanagariext}', "");
    Expect(0, 43264, '\P{^Is_Blk=devanagariext}', "");
    Expect(1, 43263, '\p{Is_Blk=	Devanagari_EXT}', "");
    Expect(0, 43263, '\p{^Is_Blk=	Devanagari_EXT}', "");
    Expect(0, 43263, '\P{Is_Blk=	Devanagari_EXT}', "");
    Expect(1, 43263, '\P{^Is_Blk=	Devanagari_EXT}', "");
    Expect(0, 43264, '\p{Is_Blk=	Devanagari_EXT}', "");
    Expect(1, 43264, '\p{^Is_Blk=	Devanagari_EXT}', "");
    Expect(1, 43264, '\P{Is_Blk=	Devanagari_EXT}', "");
    Expect(0, 43264, '\P{^Is_Blk=	Devanagari_EXT}', "");
    Error('\p{Block:/a/	 COMBINING_DIACRITICAL_MARKS}');
    Error('\P{Block:/a/	 COMBINING_DIACRITICAL_MARKS}');
    Expect(1, 879, '\p{Block=:\ACombining_Diacritical_Marks\z:}', "");;
    Expect(0, 880, '\p{Block=:\ACombining_Diacritical_Marks\z:}', "");;
    Expect(1, 879, '\p{Block=combiningdiacriticalmarks}', "");
    Expect(0, 879, '\p{^Block=combiningdiacriticalmarks}', "");
    Expect(0, 879, '\P{Block=combiningdiacriticalmarks}', "");
    Expect(1, 879, '\P{^Block=combiningdiacriticalmarks}', "");
    Expect(0, 880, '\p{Block=combiningdiacriticalmarks}', "");
    Expect(1, 880, '\p{^Block=combiningdiacriticalmarks}', "");
    Expect(1, 880, '\P{Block=combiningdiacriticalmarks}', "");
    Expect(0, 880, '\P{^Block=combiningdiacriticalmarks}', "");
    Expect(1, 879, '\p{Block=:\Acombiningdiacriticalmarks\z:}', "");;
    Expect(0, 880, '\p{Block=:\Acombiningdiacriticalmarks\z:}', "");;
    Expect(1, 879, '\p{Block=  combining_DIACRITICAL_MARKS}', "");
    Expect(0, 879, '\p{^Block=  combining_DIACRITICAL_MARKS}', "");
    Expect(0, 879, '\P{Block=  combining_DIACRITICAL_MARKS}', "");
    Expect(1, 879, '\P{^Block=  combining_DIACRITICAL_MARKS}', "");
    Expect(0, 880, '\p{Block=  combining_DIACRITICAL_MARKS}', "");
    Expect(1, 880, '\p{^Block=  combining_DIACRITICAL_MARKS}', "");
    Expect(1, 880, '\P{Block=  combining_DIACRITICAL_MARKS}', "");
    Expect(0, 880, '\P{^Block=  combining_DIACRITICAL_MARKS}', "");
    Error('\p{Blk=:=Diacriticals}');
    Error('\P{Blk=:=Diacriticals}');
    Expect(1, 879, '\p{Blk=:\ADiacriticals\z:}', "");;
    Expect(0, 880, '\p{Blk=:\ADiacriticals\z:}', "");;
    Expect(1, 879, '\p{Blk=diacriticals}', "");
    Expect(0, 879, '\p{^Blk=diacriticals}', "");
    Expect(0, 879, '\P{Blk=diacriticals}', "");
    Expect(1, 879, '\P{^Blk=diacriticals}', "");
    Expect(0, 880, '\p{Blk=diacriticals}', "");
    Expect(1, 880, '\p{^Blk=diacriticals}', "");
    Expect(1, 880, '\P{Blk=diacriticals}', "");
    Expect(0, 880, '\P{^Blk=diacriticals}', "");
    Expect(1, 879, '\p{Blk=:\Adiacriticals\z:}', "");;
    Expect(0, 880, '\p{Blk=:\Adiacriticals\z:}', "");;
    Expect(1, 879, '\p{Blk=_diacriticals}', "");
    Expect(0, 879, '\p{^Blk=_diacriticals}', "");
    Expect(0, 879, '\P{Blk=_diacriticals}', "");
    Expect(1, 879, '\P{^Blk=_diacriticals}', "");
    Expect(0, 880, '\p{Blk=_diacriticals}', "");
    Expect(1, 880, '\p{^Blk=_diacriticals}', "");
    Expect(1, 880, '\P{Blk=_diacriticals}', "");
    Expect(0, 880, '\P{^Blk=_diacriticals}', "");
    Error('\p{Is_Block=/a/Combining_Diacritical_Marks}');
    Error('\P{Is_Block=/a/Combining_Diacritical_Marks}');
    Expect(1, 879, '\p{Is_Block=combiningdiacriticalmarks}', "");
    Expect(0, 879, '\p{^Is_Block=combiningdiacriticalmarks}', "");
    Expect(0, 879, '\P{Is_Block=combiningdiacriticalmarks}', "");
    Expect(1, 879, '\P{^Is_Block=combiningdiacriticalmarks}', "");
    Expect(0, 880, '\p{Is_Block=combiningdiacriticalmarks}', "");
    Expect(1, 880, '\p{^Is_Block=combiningdiacriticalmarks}', "");
    Expect(1, 880, '\P{Is_Block=combiningdiacriticalmarks}', "");
    Expect(0, 880, '\P{^Is_Block=combiningdiacriticalmarks}', "");
    Expect(1, 879, '\p{Is_Block: -COMBINING_diacritical_marks}', "");
    Expect(0, 879, '\p{^Is_Block: -COMBINING_diacritical_marks}', "");
    Expect(0, 879, '\P{Is_Block: -COMBINING_diacritical_marks}', "");
    Expect(1, 879, '\P{^Is_Block: -COMBINING_diacritical_marks}', "");
    Expect(0, 880, '\p{Is_Block: -COMBINING_diacritical_marks}', "");
    Expect(1, 880, '\p{^Is_Block: -COMBINING_diacritical_marks}', "");
    Expect(1, 880, '\P{Is_Block: -COMBINING_diacritical_marks}', "");
    Expect(0, 880, '\P{^Is_Block: -COMBINING_diacritical_marks}', "");
    Error('\p{Is_Blk=/a/diacriticals}');
    Error('\P{Is_Blk=/a/diacriticals}');
    Expect(1, 879, '\p{Is_Blk=diacriticals}', "");
    Expect(0, 879, '\p{^Is_Blk=diacriticals}', "");
    Expect(0, 879, '\P{Is_Blk=diacriticals}', "");
    Expect(1, 879, '\P{^Is_Blk=diacriticals}', "");
    Expect(0, 880, '\p{Is_Blk=diacriticals}', "");
    Expect(1, 880, '\p{^Is_Blk=diacriticals}', "");
    Expect(1, 880, '\P{Is_Blk=diacriticals}', "");
    Expect(0, 880, '\P{^Is_Blk=diacriticals}', "");
    Expect(1, 879, '\p{Is_Blk= 	Diacriticals}', "");
    Expect(0, 879, '\p{^Is_Blk= 	Diacriticals}', "");
    Expect(0, 879, '\P{Is_Blk= 	Diacriticals}', "");
    Expect(1, 879, '\P{^Is_Blk= 	Diacriticals}', "");
    Expect(0, 880, '\p{Is_Blk= 	Diacriticals}', "");
    Expect(1, 880, '\p{^Is_Blk= 	Diacriticals}', "");
    Expect(1, 880, '\P{Is_Blk= 	Diacriticals}', "");
    Expect(0, 880, '\P{^Is_Blk= 	Diacriticals}', "");
    Error('\p{Block=_-COMBINING_Diacritical_Marks_Extended/a/}');
    Error('\P{Block=_-COMBINING_Diacritical_Marks_Extended/a/}');
    Expect(1, 6911, '\p{Block=:\ACombining_Diacritical_Marks_Extended\z:}', "");;
    Expect(0, 6912, '\p{Block=:\ACombining_Diacritical_Marks_Extended\z:}', "");;
    Expect(1, 6911, '\p{Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\p{^Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\P{Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\P{^Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\p{Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\p{^Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\P{Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\P{^Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\p{Block=:\Acombiningdiacriticalmarksextended\z:}', "");;
    Expect(0, 6912, '\p{Block=:\Acombiningdiacriticalmarksextended\z:}', "");;
    Expect(1, 6911, '\p{Block= combining_Diacritical_MARKS_extended}', "");
    Expect(0, 6911, '\p{^Block= combining_Diacritical_MARKS_extended}', "");
    Expect(0, 6911, '\P{Block= combining_Diacritical_MARKS_extended}', "");
    Expect(1, 6911, '\P{^Block= combining_Diacritical_MARKS_extended}', "");
    Expect(0, 6912, '\p{Block= combining_Diacritical_MARKS_extended}', "");
    Expect(1, 6912, '\p{^Block= combining_Diacritical_MARKS_extended}', "");
    Expect(1, 6912, '\P{Block= combining_Diacritical_MARKS_extended}', "");
    Expect(0, 6912, '\P{^Block= combining_Diacritical_MARKS_extended}', "");
    Error('\p{Blk=/a/-Diacriticals_ext}');
    Error('\P{Blk=/a/-Diacriticals_ext}');
    Expect(1, 6911, '\p{Blk=:\ADiacriticals_Ext\z:}', "");;
    Expect(0, 6912, '\p{Blk=:\ADiacriticals_Ext\z:}', "");;
    Expect(1, 6911, '\p{Blk:   diacriticalsext}', "");
    Expect(0, 6911, '\p{^Blk:   diacriticalsext}', "");
    Expect(0, 6911, '\P{Blk:   diacriticalsext}', "");
    Expect(1, 6911, '\P{^Blk:   diacriticalsext}', "");
    Expect(0, 6912, '\p{Blk:   diacriticalsext}', "");
    Expect(1, 6912, '\p{^Blk:   diacriticalsext}', "");
    Expect(1, 6912, '\P{Blk:   diacriticalsext}', "");
    Expect(0, 6912, '\P{^Blk:   diacriticalsext}', "");
    Expect(1, 6911, '\p{Blk=:\Adiacriticalsext\z:}', "");;
    Expect(0, 6912, '\p{Blk=:\Adiacriticalsext\z:}', "");;
    Expect(1, 6911, '\p{Blk=  Diacriticals_EXT}', "");
    Expect(0, 6911, '\p{^Blk=  Diacriticals_EXT}', "");
    Expect(0, 6911, '\P{Blk=  Diacriticals_EXT}', "");
    Expect(1, 6911, '\P{^Blk=  Diacriticals_EXT}', "");
    Expect(0, 6912, '\p{Blk=  Diacriticals_EXT}', "");
    Expect(1, 6912, '\p{^Blk=  Diacriticals_EXT}', "");
    Expect(1, 6912, '\P{Blk=  Diacriticals_EXT}', "");
    Expect(0, 6912, '\P{^Blk=  Diacriticals_EXT}', "");
    Error('\p{Is_Block=/a/_	Combining_diacritical_Marks_Extended}');
    Error('\P{Is_Block=/a/_	Combining_diacritical_Marks_Extended}');
    Expect(1, 6911, '\p{Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\p{^Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\P{Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\P{^Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\p{Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\p{^Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\P{Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\P{^Is_Block=combiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\p{Is_Block=- combining_diacritical_MARKS_extended}', "");
    Expect(0, 6911, '\p{^Is_Block=- combining_diacritical_MARKS_extended}', "");
    Expect(0, 6911, '\P{Is_Block=- combining_diacritical_MARKS_extended}', "");
    Expect(1, 6911, '\P{^Is_Block=- combining_diacritical_MARKS_extended}', "");
    Expect(0, 6912, '\p{Is_Block=- combining_diacritical_MARKS_extended}', "");
    Expect(1, 6912, '\p{^Is_Block=- combining_diacritical_MARKS_extended}', "");
    Expect(1, 6912, '\P{Is_Block=- combining_diacritical_MARKS_extended}', "");
    Expect(0, 6912, '\P{^Is_Block=- combining_diacritical_MARKS_extended}', "");
    Error('\p{Is_Blk=:=diacriticals_Ext}');
    Error('\P{Is_Blk=:=diacriticals_Ext}');
    Expect(1, 6911, '\p{Is_Blk=diacriticalsext}', "");
    Expect(0, 6911, '\p{^Is_Blk=diacriticalsext}', "");
    Expect(0, 6911, '\P{Is_Blk=diacriticalsext}', "");
    Expect(1, 6911, '\P{^Is_Blk=diacriticalsext}', "");
    Expect(0, 6912, '\p{Is_Blk=diacriticalsext}', "");
    Expect(1, 6912, '\p{^Is_Blk=diacriticalsext}', "");
    Expect(1, 6912, '\P{Is_Blk=diacriticalsext}', "");
    Expect(0, 6912, '\P{^Is_Blk=diacriticalsext}', "");
    Expect(1, 6911, '\p{Is_Blk=Diacriticals_Ext}', "");
    Expect(0, 6911, '\p{^Is_Blk=Diacriticals_Ext}', "");
    Expect(0, 6911, '\P{Is_Blk=Diacriticals_Ext}', "");
    Expect(1, 6911, '\P{^Is_Blk=Diacriticals_Ext}', "");
    Expect(0, 6912, '\p{Is_Blk=Diacriticals_Ext}', "");
    Expect(1, 6912, '\p{^Is_Blk=Diacriticals_Ext}', "");
    Expect(1, 6912, '\P{Is_Blk=Diacriticals_Ext}', "");
    Expect(0, 6912, '\P{^Is_Blk=Diacriticals_Ext}', "");
    Error('\p{Block: :=Combining_DIACRITICAL_Marks_for_Symbols}');
    Error('\P{Block: :=Combining_DIACRITICAL_Marks_for_Symbols}');
    Expect(1, 8447, '\p{Block=:\ACombining_Diacritical_Marks_For_Symbols\z:}', "");;
    Expect(0, 8448, '\p{Block=:\ACombining_Diacritical_Marks_For_Symbols\z:}', "");;
    Expect(1, 8447, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\p{Block=:\Acombiningdiacriticalmarksforsymbols\z:}', "");;
    Expect(0, 8448, '\p{Block=:\Acombiningdiacriticalmarksforsymbols\z:}', "");;
    Expect(1, 8447, '\p{Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Expect(0, 8447, '\p{^Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Expect(0, 8447, '\P{Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Expect(1, 8447, '\P{^Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Expect(0, 8448, '\p{Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Expect(1, 8448, '\p{^Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Expect(1, 8448, '\P{Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Expect(0, 8448, '\P{^Block=-Combining_DIACRITICAL_MARKS_FOR_Symbols}', "");
    Error('\p{Blk=/a/ Diacriticals_For_Symbols}');
    Error('\P{Blk=/a/ Diacriticals_For_Symbols}');
    Expect(1, 8447, '\p{Blk=:\ADiacriticals_For_Symbols\z:}', "");;
    Expect(0, 8448, '\p{Blk=:\ADiacriticals_For_Symbols\z:}', "");;
    Expect(1, 8447, '\p{Blk=diacriticalsforsymbols}', "");
    Expect(0, 8447, '\p{^Blk=diacriticalsforsymbols}', "");
    Expect(0, 8447, '\P{Blk=diacriticalsforsymbols}', "");
    Expect(1, 8447, '\P{^Blk=diacriticalsforsymbols}', "");
    Expect(0, 8448, '\p{Blk=diacriticalsforsymbols}', "");
    Expect(1, 8448, '\p{^Blk=diacriticalsforsymbols}', "");
    Expect(1, 8448, '\P{Blk=diacriticalsforsymbols}', "");
    Expect(0, 8448, '\P{^Blk=diacriticalsforsymbols}', "");
    Expect(1, 8447, '\p{Blk=:\Adiacriticalsforsymbols\z:}', "");;
    Expect(0, 8448, '\p{Blk=:\Adiacriticalsforsymbols\z:}', "");;
    Expect(1, 8447, '\p{Blk=	Diacriticals_for_Symbols}', "");
    Expect(0, 8447, '\p{^Blk=	Diacriticals_for_Symbols}', "");
    Expect(0, 8447, '\P{Blk=	Diacriticals_for_Symbols}', "");
    Expect(1, 8447, '\P{^Blk=	Diacriticals_for_Symbols}', "");
    Expect(0, 8448, '\p{Blk=	Diacriticals_for_Symbols}', "");
    Expect(1, 8448, '\p{^Blk=	Diacriticals_for_Symbols}', "");
    Expect(1, 8448, '\P{Blk=	Diacriticals_for_Symbols}', "");
    Expect(0, 8448, '\P{^Blk=	Diacriticals_for_Symbols}', "");
    Error('\p{Is_Block=/a/-Combining_Marks_FOR_Symbols}');
    Error('\P{Is_Block=/a/-Combining_Marks_FOR_Symbols}');
    Expect(1, 8447, '\p{Is_Block=combiningmarksforsymbols}', "");
    Expect(0, 8447, '\p{^Is_Block=combiningmarksforsymbols}', "");
    Expect(0, 8447, '\P{Is_Block=combiningmarksforsymbols}', "");
    Expect(1, 8447, '\P{^Is_Block=combiningmarksforsymbols}', "");
    Expect(0, 8448, '\p{Is_Block=combiningmarksforsymbols}', "");
    Expect(1, 8448, '\p{^Is_Block=combiningmarksforsymbols}', "");
    Expect(1, 8448, '\P{Is_Block=combiningmarksforsymbols}', "");
    Expect(0, 8448, '\P{^Is_Block=combiningmarksforsymbols}', "");
    Expect(1, 8447, '\p{Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Expect(0, 8447, '\p{^Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Expect(0, 8447, '\P{Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Expect(1, 8447, '\P{^Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Expect(0, 8448, '\p{Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Expect(1, 8448, '\p{^Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Expect(1, 8448, '\P{Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Expect(0, 8448, '\P{^Is_Block= _combining_Marks_for_SYMBOLS}', "");
    Error('\p{Is_Blk=-	Combining_Diacritical_Marks_FOR_Symbols/a/}');
    Error('\P{Is_Blk=-	Combining_Diacritical_Marks_FOR_Symbols/a/}');
    Expect(1, 8447, '\p{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\p{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\P{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\P{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\p{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\p{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\P{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\P{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\p{Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Expect(0, 8447, '\p{^Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Expect(0, 8447, '\P{Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Expect(1, 8447, '\P{^Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Expect(0, 8448, '\p{Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Expect(1, 8448, '\p{^Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Expect(1, 8448, '\P{Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Expect(0, 8448, '\P{^Is_Blk=_combining_Diacritical_Marks_FOR_Symbols}', "");
    Error('\p{Block:/a/  combining_Diacritical_MARKS_Supplement}');
    Error('\P{Block:/a/  combining_Diacritical_MARKS_Supplement}');
    Expect(1, 7679, '\p{Block=:\ACombining_Diacritical_Marks_Supplement\z:}', "");;
    Expect(0, 7680, '\p{Block=:\ACombining_Diacritical_Marks_Supplement\z:}', "");;
    Expect(1, 7679, '\p{Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\p{^Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\P{Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\P{^Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\p{Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\p{^Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\P{Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\P{^Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\p{Block=:\Acombiningdiacriticalmarkssupplement\z:}', "");;
    Expect(0, 7680, '\p{Block=:\Acombiningdiacriticalmarkssupplement\z:}', "");;
    Expect(1, 7679, '\p{Block=		Combining_diacritical_Marks_supplement}', "");
    Expect(0, 7679, '\p{^Block=		Combining_diacritical_Marks_supplement}', "");
    Expect(0, 7679, '\P{Block=		Combining_diacritical_Marks_supplement}', "");
    Expect(1, 7679, '\P{^Block=		Combining_diacritical_Marks_supplement}', "");
    Expect(0, 7680, '\p{Block=		Combining_diacritical_Marks_supplement}', "");
    Expect(1, 7680, '\p{^Block=		Combining_diacritical_Marks_supplement}', "");
    Expect(1, 7680, '\P{Block=		Combining_diacritical_Marks_supplement}', "");
    Expect(0, 7680, '\P{^Block=		Combining_diacritical_Marks_supplement}', "");
    Error('\p{Blk:   /a/-Diacriticals_SUP}');
    Error('\P{Blk:   /a/-Diacriticals_SUP}');
    Expect(1, 7679, '\p{Blk=:\ADiacriticals_Sup\z:}', "");;
    Expect(0, 7680, '\p{Blk=:\ADiacriticals_Sup\z:}', "");;
    Expect(1, 7679, '\p{Blk=diacriticalssup}', "");
    Expect(0, 7679, '\p{^Blk=diacriticalssup}', "");
    Expect(0, 7679, '\P{Blk=diacriticalssup}', "");
    Expect(1, 7679, '\P{^Blk=diacriticalssup}', "");
    Expect(0, 7680, '\p{Blk=diacriticalssup}', "");
    Expect(1, 7680, '\p{^Blk=diacriticalssup}', "");
    Expect(1, 7680, '\P{Blk=diacriticalssup}', "");
    Expect(0, 7680, '\P{^Blk=diacriticalssup}', "");
    Expect(1, 7679, '\p{Blk=:\Adiacriticalssup\z:}', "");;
    Expect(0, 7680, '\p{Blk=:\Adiacriticalssup\z:}', "");;
    Expect(1, 7679, '\p{Blk=- diacriticals_Sup}', "");
    Expect(0, 7679, '\p{^Blk=- diacriticals_Sup}', "");
    Expect(0, 7679, '\P{Blk=- diacriticals_Sup}', "");
    Expect(1, 7679, '\P{^Blk=- diacriticals_Sup}', "");
    Expect(0, 7680, '\p{Blk=- diacriticals_Sup}', "");
    Expect(1, 7680, '\p{^Blk=- diacriticals_Sup}', "");
    Expect(1, 7680, '\P{Blk=- diacriticals_Sup}', "");
    Expect(0, 7680, '\P{^Blk=- diacriticals_Sup}', "");
    Error('\p{Is_Block:   /a/Combining_Diacritical_Marks_Supplement}');
    Error('\P{Is_Block:   /a/Combining_Diacritical_Marks_Supplement}');
    Expect(1, 7679, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\p{Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Expect(0, 7679, '\p{^Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Expect(0, 7679, '\P{Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Expect(1, 7679, '\P{^Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Expect(0, 7680, '\p{Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Expect(1, 7680, '\p{^Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Expect(1, 7680, '\P{Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Expect(0, 7680, '\P{^Is_Block=	 COMBINING_diacritical_Marks_Supplement}', "");
    Error('\p{Is_Blk:   /a/_ Diacriticals_Sup}');
    Error('\P{Is_Blk:   /a/_ Diacriticals_Sup}');
    Expect(1, 7679, '\p{Is_Blk=diacriticalssup}', "");
    Expect(0, 7679, '\p{^Is_Blk=diacriticalssup}', "");
    Expect(0, 7679, '\P{Is_Blk=diacriticalssup}', "");
    Expect(1, 7679, '\P{^Is_Blk=diacriticalssup}', "");
    Expect(0, 7680, '\p{Is_Blk=diacriticalssup}', "");
    Expect(1, 7680, '\p{^Is_Blk=diacriticalssup}', "");
    Expect(1, 7680, '\P{Is_Blk=diacriticalssup}', "");
    Expect(0, 7680, '\P{^Is_Blk=diacriticalssup}', "");
    Expect(1, 7679, '\p{Is_Blk=  diacriticals_sup}', "");
    Expect(0, 7679, '\p{^Is_Blk=  diacriticals_sup}', "");
    Expect(0, 7679, '\P{Is_Blk=  diacriticals_sup}', "");
    Expect(1, 7679, '\P{^Is_Blk=  diacriticals_sup}', "");
    Expect(0, 7680, '\p{Is_Blk=  diacriticals_sup}', "");
    Expect(1, 7680, '\p{^Is_Blk=  diacriticals_sup}', "");
    Expect(1, 7680, '\P{Is_Blk=  diacriticals_sup}', "");
    Expect(0, 7680, '\P{^Is_Blk=  diacriticals_sup}', "");
    Error('\p{Block=-_Dingbats:=}');
    Error('\P{Block=-_Dingbats:=}');
    Expect(1, 10175, '\p{Block=:\ADingbats\z:}', "");;
    Expect(0, 10176, '\p{Block=:\ADingbats\z:}', "");;
    Expect(1, 10175, '\p{Block=dingbats}', "");
    Expect(0, 10175, '\p{^Block=dingbats}', "");
    Expect(0, 10175, '\P{Block=dingbats}', "");
    Expect(1, 10175, '\P{^Block=dingbats}', "");
    Expect(0, 10176, '\p{Block=dingbats}', "");
    Expect(1, 10176, '\p{^Block=dingbats}', "");
    Expect(1, 10176, '\P{Block=dingbats}', "");
    Expect(0, 10176, '\P{^Block=dingbats}', "");
    Expect(1, 10175, '\p{Block=:\Adingbats\z:}', "");;
    Expect(0, 10176, '\p{Block=:\Adingbats\z:}', "");;
    Expect(1, 10175, '\p{Block=- dingbats}', "");
    Expect(0, 10175, '\p{^Block=- dingbats}', "");
    Expect(0, 10175, '\P{Block=- dingbats}', "");
    Expect(1, 10175, '\P{^Block=- dingbats}', "");
    Expect(0, 10176, '\p{Block=- dingbats}', "");
    Expect(1, 10176, '\p{^Block=- dingbats}', "");
    Expect(1, 10176, '\P{Block=- dingbats}', "");
    Expect(0, 10176, '\P{^Block=- dingbats}', "");
    Error('\p{Blk=_	Dingbats:=}');
    Error('\P{Blk=_	Dingbats:=}');
    Expect(1, 10175, '\p{Blk=:\ADingbats\z:}', "");;
    Expect(0, 10176, '\p{Blk=:\ADingbats\z:}', "");;
    Expect(1, 10175, '\p{Blk=dingbats}', "");
    Expect(0, 10175, '\p{^Blk=dingbats}', "");
    Expect(0, 10175, '\P{Blk=dingbats}', "");
    Expect(1, 10175, '\P{^Blk=dingbats}', "");
    Expect(0, 10176, '\p{Blk=dingbats}', "");
    Expect(1, 10176, '\p{^Blk=dingbats}', "");
    Expect(1, 10176, '\P{Blk=dingbats}', "");
    Expect(0, 10176, '\P{^Blk=dingbats}', "");
    Expect(1, 10175, '\p{Blk=:\Adingbats\z:}', "");;
    Expect(0, 10176, '\p{Blk=:\Adingbats\z:}', "");;
    Expect(1, 10175, '\p{Blk=	DINGBATS}', "");
    Expect(0, 10175, '\p{^Blk=	DINGBATS}', "");
    Expect(0, 10175, '\P{Blk=	DINGBATS}', "");
    Expect(1, 10175, '\P{^Blk=	DINGBATS}', "");
    Expect(0, 10176, '\p{Blk=	DINGBATS}', "");
    Expect(1, 10176, '\p{^Blk=	DINGBATS}', "");
    Expect(1, 10176, '\P{Blk=	DINGBATS}', "");
    Expect(0, 10176, '\P{^Blk=	DINGBATS}', "");
    Error('\p{Is_Block:	 DINGBATS/a/}');
    Error('\P{Is_Block:	 DINGBATS/a/}');
    Expect(1, 10175, '\p{Is_Block:   dingbats}', "");
    Expect(0, 10175, '\p{^Is_Block:   dingbats}', "");
    Expect(0, 10175, '\P{Is_Block:   dingbats}', "");
    Expect(1, 10175, '\P{^Is_Block:   dingbats}', "");
    Expect(0, 10176, '\p{Is_Block:   dingbats}', "");
    Expect(1, 10176, '\p{^Is_Block:   dingbats}', "");
    Expect(1, 10176, '\P{Is_Block:   dingbats}', "");
    Expect(0, 10176, '\P{^Is_Block:   dingbats}', "");
    Expect(1, 10175, '\p{Is_Block=	 Dingbats}', "");
    Expect(0, 10175, '\p{^Is_Block=	 Dingbats}', "");
    Expect(0, 10175, '\P{Is_Block=	 Dingbats}', "");
    Expect(1, 10175, '\P{^Is_Block=	 Dingbats}', "");
    Expect(0, 10176, '\p{Is_Block=	 Dingbats}', "");
    Expect(1, 10176, '\p{^Is_Block=	 Dingbats}', "");
    Expect(1, 10176, '\P{Is_Block=	 Dingbats}', "");
    Expect(0, 10176, '\P{^Is_Block=	 Dingbats}', "");
    Error('\p{Is_Blk=	:=Dingbats}');
    Error('\P{Is_Blk=	:=Dingbats}');
    Expect(1, 10175, '\p{Is_Blk=dingbats}', "");
    Expect(0, 10175, '\p{^Is_Blk=dingbats}', "");
    Expect(0, 10175, '\P{Is_Blk=dingbats}', "");
    Expect(1, 10175, '\P{^Is_Blk=dingbats}', "");
    Expect(0, 10176, '\p{Is_Blk=dingbats}', "");
    Expect(1, 10176, '\p{^Is_Blk=dingbats}', "");
    Expect(1, 10176, '\P{Is_Blk=dingbats}', "");
    Expect(0, 10176, '\P{^Is_Blk=dingbats}', "");
    Expect(1, 10175, '\p{Is_Blk= DINGBATS}', "");
    Expect(0, 10175, '\p{^Is_Blk= DINGBATS}', "");
    Expect(0, 10175, '\P{Is_Blk= DINGBATS}', "");
    Expect(1, 10175, '\P{^Is_Blk= DINGBATS}', "");
    Expect(0, 10176, '\p{Is_Blk= DINGBATS}', "");
    Expect(1, 10176, '\p{^Is_Blk= DINGBATS}', "");
    Expect(1, 10176, '\P{Is_Blk= DINGBATS}', "");
    Expect(0, 10176, '\P{^Is_Blk= DINGBATS}', "");
    Error('\p{Block=-/a/Dives_AKURU}');
    Error('\P{Block=-/a/Dives_AKURU}');
    Expect(1, 72031, '\p{Block=:\ADives_Akuru\z:}', "");;
    Expect(0, 72032, '\p{Block=:\ADives_Akuru\z:}', "");;
    Expect(1, 72031, '\p{Block=divesakuru}', "");
    Expect(0, 72031, '\p{^Block=divesakuru}', "");
    Expect(0, 72031, '\P{Block=divesakuru}', "");
    Expect(1, 72031, '\P{^Block=divesakuru}', "");
    Expect(0, 72032, '\p{Block=divesakuru}', "");
    Expect(1, 72032, '\p{^Block=divesakuru}', "");
    Expect(1, 72032, '\P{Block=divesakuru}', "");
    Expect(0, 72032, '\P{^Block=divesakuru}', "");
    Expect(1, 72031, '\p{Block=:\Adivesakuru\z:}', "");;
    Expect(0, 72032, '\p{Block=:\Adivesakuru\z:}', "");;
    Expect(1, 72031, '\p{Block=-	dives_AKURU}', "");
    Expect(0, 72031, '\p{^Block=-	dives_AKURU}', "");
    Expect(0, 72031, '\P{Block=-	dives_AKURU}', "");
    Expect(1, 72031, '\P{^Block=-	dives_AKURU}', "");
    Expect(0, 72032, '\p{Block=-	dives_AKURU}', "");
    Expect(1, 72032, '\p{^Block=-	dives_AKURU}', "");
    Expect(1, 72032, '\P{Block=-	dives_AKURU}', "");
    Expect(0, 72032, '\P{^Block=-	dives_AKURU}', "");
    Error('\p{Blk=_/a/Dives_akuru}');
    Error('\P{Blk=_/a/Dives_akuru}');
    Expect(1, 72031, '\p{Blk=:\ADives_Akuru\z:}', "");;
    Expect(0, 72032, '\p{Blk=:\ADives_Akuru\z:}', "");;
    Expect(1, 72031, '\p{Blk=divesakuru}', "");
    Expect(0, 72031, '\p{^Blk=divesakuru}', "");
    Expect(0, 72031, '\P{Blk=divesakuru}', "");
    Expect(1, 72031, '\P{^Blk=divesakuru}', "");
    Expect(0, 72032, '\p{Blk=divesakuru}', "");
    Expect(1, 72032, '\p{^Blk=divesakuru}', "");
    Expect(1, 72032, '\P{Blk=divesakuru}', "");
    Expect(0, 72032, '\P{^Blk=divesakuru}', "");
    Expect(1, 72031, '\p{Blk=:\Adivesakuru\z:}', "");;
    Expect(0, 72032, '\p{Blk=:\Adivesakuru\z:}', "");;
    Expect(1, 72031, '\p{Blk= Dives_Akuru}', "");
    Expect(0, 72031, '\p{^Blk= Dives_Akuru}', "");
    Expect(0, 72031, '\P{Blk= Dives_Akuru}', "");
    Expect(1, 72031, '\P{^Blk= Dives_Akuru}', "");
    Expect(0, 72032, '\p{Blk= Dives_Akuru}', "");
    Expect(1, 72032, '\p{^Blk= Dives_Akuru}', "");
    Expect(1, 72032, '\P{Blk= Dives_Akuru}', "");
    Expect(0, 72032, '\P{^Blk= Dives_Akuru}', "");
    Error('\p{Is_Block=-/a/DIVES_akuru}');
    Error('\P{Is_Block=-/a/DIVES_akuru}');
    Expect(1, 72031, '\p{Is_Block=divesakuru}', "");
    Expect(0, 72031, '\p{^Is_Block=divesakuru}', "");
    Expect(0, 72031, '\P{Is_Block=divesakuru}', "");
    Expect(1, 72031, '\P{^Is_Block=divesakuru}', "");
    Expect(0, 72032, '\p{Is_Block=divesakuru}', "");
    Expect(1, 72032, '\p{^Is_Block=divesakuru}', "");
    Expect(1, 72032, '\P{Is_Block=divesakuru}', "");
    Expect(0, 72032, '\P{^Is_Block=divesakuru}', "");
    Expect(1, 72031, '\p{Is_Block=	Dives_Akuru}', "");
    Expect(0, 72031, '\p{^Is_Block=	Dives_Akuru}', "");
    Expect(0, 72031, '\P{Is_Block=	Dives_Akuru}', "");
    Expect(1, 72031, '\P{^Is_Block=	Dives_Akuru}', "");
    Expect(0, 72032, '\p{Is_Block=	Dives_Akuru}', "");
    Expect(1, 72032, '\p{^Is_Block=	Dives_Akuru}', "");
    Expect(1, 72032, '\P{Is_Block=	Dives_Akuru}', "");
    Expect(0, 72032, '\P{^Is_Block=	Dives_Akuru}', "");
    Error('\p{Is_Blk=:=_DIVES_Akuru}');
    Error('\P{Is_Blk=:=_DIVES_Akuru}');
    Expect(1, 72031, '\p{Is_Blk=divesakuru}', "");
    Expect(0, 72031, '\p{^Is_Blk=divesakuru}', "");
    Expect(0, 72031, '\P{Is_Blk=divesakuru}', "");
    Expect(1, 72031, '\P{^Is_Blk=divesakuru}', "");
    Expect(0, 72032, '\p{Is_Blk=divesakuru}', "");
    Expect(1, 72032, '\p{^Is_Blk=divesakuru}', "");
    Expect(1, 72032, '\P{Is_Blk=divesakuru}', "");
    Expect(0, 72032, '\P{^Is_Blk=divesakuru}', "");
    Expect(1, 72031, '\p{Is_Blk: DIVES_Akuru}', "");
    Expect(0, 72031, '\p{^Is_Blk: DIVES_Akuru}', "");
    Expect(0, 72031, '\P{Is_Blk: DIVES_Akuru}', "");
    Expect(1, 72031, '\P{^Is_Blk: DIVES_Akuru}', "");
    Expect(0, 72032, '\p{Is_Blk: DIVES_Akuru}', "");
    Expect(1, 72032, '\p{^Is_Blk: DIVES_Akuru}', "");
    Expect(1, 72032, '\P{Is_Blk: DIVES_Akuru}', "");
    Expect(0, 72032, '\P{^Is_Blk: DIVES_Akuru}', "");
    Error('\p{Block=:=  Dogra}');
    Error('\P{Block=:=  Dogra}');
    Expect(1, 71759, '\p{Block=:\ADogra\z:}', "");;
    Expect(0, 71760, '\p{Block=:\ADogra\z:}', "");;
    Expect(1, 71759, '\p{Block=dogra}', "");
    Expect(0, 71759, '\p{^Block=dogra}', "");
    Expect(0, 71759, '\P{Block=dogra}', "");
    Expect(1, 71759, '\P{^Block=dogra}', "");
    Expect(0, 71760, '\p{Block=dogra}', "");
    Expect(1, 71760, '\p{^Block=dogra}', "");
    Expect(1, 71760, '\P{Block=dogra}', "");
    Expect(0, 71760, '\P{^Block=dogra}', "");
    Expect(1, 71759, '\p{Block=:\Adogra\z:}', "");;
    Expect(0, 71760, '\p{Block=:\Adogra\z:}', "");;
    Expect(1, 71759, '\p{Block: _-DOGRA}', "");
    Expect(0, 71759, '\p{^Block: _-DOGRA}', "");
    Expect(0, 71759, '\P{Block: _-DOGRA}', "");
    Expect(1, 71759, '\P{^Block: _-DOGRA}', "");
    Expect(0, 71760, '\p{Block: _-DOGRA}', "");
    Expect(1, 71760, '\p{^Block: _-DOGRA}', "");
    Expect(1, 71760, '\P{Block: _-DOGRA}', "");
    Expect(0, 71760, '\P{^Block: _-DOGRA}', "");
    Error('\p{Blk=:=Dogra}');
    Error('\P{Blk=:=Dogra}');
    Expect(1, 71759, '\p{Blk=:\ADogra\z:}', "");;
    Expect(0, 71760, '\p{Blk=:\ADogra\z:}', "");;
    Expect(1, 71759, '\p{Blk=dogra}', "");
    Expect(0, 71759, '\p{^Blk=dogra}', "");
    Expect(0, 71759, '\P{Blk=dogra}', "");
    Expect(1, 71759, '\P{^Blk=dogra}', "");
    Expect(0, 71760, '\p{Blk=dogra}', "");
    Expect(1, 71760, '\p{^Blk=dogra}', "");
    Expect(1, 71760, '\P{Blk=dogra}', "");
    Expect(0, 71760, '\P{^Blk=dogra}', "");
    Expect(1, 71759, '\p{Blk=:\Adogra\z:}', "");;
    Expect(0, 71760, '\p{Blk=:\Adogra\z:}', "");;
    Expect(1, 71759, '\p{Blk=		Dogra}', "");
    Expect(0, 71759, '\p{^Blk=		Dogra}', "");
    Expect(0, 71759, '\P{Blk=		Dogra}', "");
    Expect(1, 71759, '\P{^Blk=		Dogra}', "");
    Expect(0, 71760, '\p{Blk=		Dogra}', "");
    Expect(1, 71760, '\p{^Blk=		Dogra}', "");
    Expect(1, 71760, '\P{Blk=		Dogra}', "");
    Expect(0, 71760, '\P{^Blk=		Dogra}', "");
    Error('\p{Is_Block= /a/Dogra}');
    Error('\P{Is_Block= /a/Dogra}');
    Expect(1, 71759, '\p{Is_Block=dogra}', "");
    Expect(0, 71759, '\p{^Is_Block=dogra}', "");
    Expect(0, 71759, '\P{Is_Block=dogra}', "");
    Expect(1, 71759, '\P{^Is_Block=dogra}', "");
    Expect(0, 71760, '\p{Is_Block=dogra}', "");
    Expect(1, 71760, '\p{^Is_Block=dogra}', "");
    Expect(1, 71760, '\P{Is_Block=dogra}', "");
    Expect(0, 71760, '\P{^Is_Block=dogra}', "");
    Expect(1, 71759, '\p{Is_Block=- Dogra}', "");
    Expect(0, 71759, '\p{^Is_Block=- Dogra}', "");
    Expect(0, 71759, '\P{Is_Block=- Dogra}', "");
    Expect(1, 71759, '\P{^Is_Block=- Dogra}', "");
    Expect(0, 71760, '\p{Is_Block=- Dogra}', "");
    Expect(1, 71760, '\p{^Is_Block=- Dogra}', "");
    Expect(1, 71760, '\P{Is_Block=- Dogra}', "");
    Expect(0, 71760, '\P{^Is_Block=- Dogra}', "");
    Error('\p{Is_Blk=	-DOGRA:=}');
    Error('\P{Is_Blk=	-DOGRA:=}');
    Expect(1, 71759, '\p{Is_Blk=dogra}', "");
    Expect(0, 71759, '\p{^Is_Blk=dogra}', "");
    Expect(0, 71759, '\P{Is_Blk=dogra}', "");
    Expect(1, 71759, '\P{^Is_Blk=dogra}', "");
    Expect(0, 71760, '\p{Is_Blk=dogra}', "");
    Expect(1, 71760, '\p{^Is_Blk=dogra}', "");
    Expect(1, 71760, '\P{Is_Blk=dogra}', "");
    Expect(0, 71760, '\P{^Is_Blk=dogra}', "");
    Expect(1, 71759, '\p{Is_Blk=_Dogra}', "");
    Expect(0, 71759, '\p{^Is_Blk=_Dogra}', "");
    Expect(0, 71759, '\P{Is_Blk=_Dogra}', "");
    Expect(1, 71759, '\P{^Is_Blk=_Dogra}', "");
    Expect(0, 71760, '\p{Is_Blk=_Dogra}', "");
    Expect(1, 71760, '\p{^Is_Blk=_Dogra}', "");
    Expect(1, 71760, '\P{Is_Blk=_Dogra}', "");
    Expect(0, 71760, '\P{^Is_Blk=_Dogra}', "");
    Error('\p{Block=	/a/DOMINO_TILES}');
    Error('\P{Block=	/a/DOMINO_TILES}');
    Expect(1, 127135, '\p{Block=:\ADomino_Tiles\z:}', "");;
    Expect(0, 127136, '\p{Block=:\ADomino_Tiles\z:}', "");;
    Expect(1, 127135, '\p{Block=dominotiles}', "");
    Expect(0, 127135, '\p{^Block=dominotiles}', "");
    Expect(0, 127135, '\P{Block=dominotiles}', "");
    Expect(1, 127135, '\P{^Block=dominotiles}', "");
    Expect(0, 127136, '\p{Block=dominotiles}', "");
    Expect(1, 127136, '\p{^Block=dominotiles}', "");
    Expect(1, 127136, '\P{Block=dominotiles}', "");
    Expect(0, 127136, '\P{^Block=dominotiles}', "");
    Expect(1, 127135, '\p{Block=:\Adominotiles\z:}', "");;
    Expect(0, 127136, '\p{Block=:\Adominotiles\z:}', "");;
    Expect(1, 127135, '\p{Block=	 Domino_Tiles}', "");
    Expect(0, 127135, '\p{^Block=	 Domino_Tiles}', "");
    Expect(0, 127135, '\P{Block=	 Domino_Tiles}', "");
    Expect(1, 127135, '\P{^Block=	 Domino_Tiles}', "");
    Expect(0, 127136, '\p{Block=	 Domino_Tiles}', "");
    Expect(1, 127136, '\p{^Block=	 Domino_Tiles}', "");
    Expect(1, 127136, '\P{Block=	 Domino_Tiles}', "");
    Expect(0, 127136, '\P{^Block=	 Domino_Tiles}', "");
    Error('\p{Blk=:=__Domino}');
    Error('\P{Blk=:=__Domino}');
    Expect(1, 127135, '\p{Blk=:\ADomino\z:}', "");;
    Expect(0, 127136, '\p{Blk=:\ADomino\z:}', "");;
    Expect(1, 127135, '\p{Blk: domino}', "");
    Expect(0, 127135, '\p{^Blk: domino}', "");
    Expect(0, 127135, '\P{Blk: domino}', "");
    Expect(1, 127135, '\P{^Blk: domino}', "");
    Expect(0, 127136, '\p{Blk: domino}', "");
    Expect(1, 127136, '\p{^Blk: domino}', "");
    Expect(1, 127136, '\P{Blk: domino}', "");
    Expect(0, 127136, '\P{^Blk: domino}', "");
    Expect(1, 127135, '\p{Blk=:\Adomino\z:}', "");;
    Expect(0, 127136, '\p{Blk=:\Adomino\z:}', "");;
    Expect(1, 127135, '\p{Blk= Domino}', "");
    Expect(0, 127135, '\p{^Blk= Domino}', "");
    Expect(0, 127135, '\P{Blk= Domino}', "");
    Expect(1, 127135, '\P{^Blk= Domino}', "");
    Expect(0, 127136, '\p{Blk= Domino}', "");
    Expect(1, 127136, '\p{^Blk= Domino}', "");
    Expect(1, 127136, '\P{Blk= Domino}', "");
    Expect(0, 127136, '\P{^Blk= Domino}', "");
    Error('\p{Is_Block: := -Domino_Tiles}');
    Error('\P{Is_Block: := -Domino_Tiles}');
    Expect(1, 127135, '\p{Is_Block=dominotiles}', "");
    Expect(0, 127135, '\p{^Is_Block=dominotiles}', "");
    Expect(0, 127135, '\P{Is_Block=dominotiles}', "");
    Expect(1, 127135, '\P{^Is_Block=dominotiles}', "");
    Expect(0, 127136, '\p{Is_Block=dominotiles}', "");
    Expect(1, 127136, '\p{^Is_Block=dominotiles}', "");
    Expect(1, 127136, '\P{Is_Block=dominotiles}', "");
    Expect(0, 127136, '\P{^Is_Block=dominotiles}', "");
    Expect(1, 127135, '\p{Is_Block= Domino_Tiles}', "");
    Expect(0, 127135, '\p{^Is_Block= Domino_Tiles}', "");
    Expect(0, 127135, '\P{Is_Block= Domino_Tiles}', "");
    Expect(1, 127135, '\P{^Is_Block= Domino_Tiles}', "");
    Expect(0, 127136, '\p{Is_Block= Domino_Tiles}', "");
    Expect(1, 127136, '\p{^Is_Block= Domino_Tiles}', "");
    Expect(1, 127136, '\P{Is_Block= Domino_Tiles}', "");
    Expect(0, 127136, '\P{^Is_Block= Domino_Tiles}', "");
    Error('\p{Is_Blk=-	DOMINO:=}');
    Error('\P{Is_Blk=-	DOMINO:=}');
    Expect(1, 127135, '\p{Is_Blk=domino}', "");
    Expect(0, 127135, '\p{^Is_Blk=domino}', "");
    Expect(0, 127135, '\P{Is_Blk=domino}', "");
    Expect(1, 127135, '\P{^Is_Blk=domino}', "");
    Expect(0, 127136, '\p{Is_Blk=domino}', "");
    Expect(1, 127136, '\p{^Is_Blk=domino}', "");
    Expect(1, 127136, '\P{Is_Blk=domino}', "");
    Expect(0, 127136, '\P{^Is_Blk=domino}', "");
    Expect(1, 127135, '\p{Is_Blk=-	DOMINO}', "");
    Expect(0, 127135, '\p{^Is_Blk=-	DOMINO}', "");
    Expect(0, 127135, '\P{Is_Blk=-	DOMINO}', "");
    Expect(1, 127135, '\P{^Is_Blk=-	DOMINO}', "");
    Expect(0, 127136, '\p{Is_Blk=-	DOMINO}', "");
    Expect(1, 127136, '\p{^Is_Blk=-	DOMINO}', "");
    Expect(1, 127136, '\P{Is_Blk=-	DOMINO}', "");
    Expect(0, 127136, '\P{^Is_Blk=-	DOMINO}', "");
    Error('\p{Block=_Duployan:=}');
    Error('\P{Block=_Duployan:=}');
    Expect(1, 113823, '\p{Block=:\ADuployan\z:}', "");;
    Expect(0, 113824, '\p{Block=:\ADuployan\z:}', "");;
    Expect(1, 113823, '\p{Block=duployan}', "");
    Expect(0, 113823, '\p{^Block=duployan}', "");
    Expect(0, 113823, '\P{Block=duployan}', "");
    Expect(1, 113823, '\P{^Block=duployan}', "");
    Expect(0, 113824, '\p{Block=duployan}', "");
    Expect(1, 113824, '\p{^Block=duployan}', "");
    Expect(1, 113824, '\P{Block=duployan}', "");
    Expect(0, 113824, '\P{^Block=duployan}', "");
    Expect(1, 113823, '\p{Block=:\Aduployan\z:}', "");;
    Expect(0, 113824, '\p{Block=:\Aduployan\z:}', "");;
    Expect(1, 113823, '\p{Block=-	duployan}', "");
    Expect(0, 113823, '\p{^Block=-	duployan}', "");
    Expect(0, 113823, '\P{Block=-	duployan}', "");
    Expect(1, 113823, '\P{^Block=-	duployan}', "");
    Expect(0, 113824, '\p{Block=-	duployan}', "");
    Expect(1, 113824, '\p{^Block=-	duployan}', "");
    Expect(1, 113824, '\P{Block=-	duployan}', "");
    Expect(0, 113824, '\P{^Block=-	duployan}', "");
    Error('\p{Blk=/a/ 	DUPLOYAN}');
    Error('\P{Blk=/a/ 	DUPLOYAN}');
    Expect(1, 113823, '\p{Blk=:\ADuployan\z:}', "");;
    Expect(0, 113824, '\p{Blk=:\ADuployan\z:}', "");;
    Expect(1, 113823, '\p{Blk=duployan}', "");
    Expect(0, 113823, '\p{^Blk=duployan}', "");
    Expect(0, 113823, '\P{Blk=duployan}', "");
    Expect(1, 113823, '\P{^Blk=duployan}', "");
    Expect(0, 113824, '\p{Blk=duployan}', "");
    Expect(1, 113824, '\p{^Blk=duployan}', "");
    Expect(1, 113824, '\P{Blk=duployan}', "");
    Expect(0, 113824, '\P{^Blk=duployan}', "");
    Expect(1, 113823, '\p{Blk=:\Aduployan\z:}', "");;
    Expect(0, 113824, '\p{Blk=:\Aduployan\z:}', "");;
    Expect(1, 113823, '\p{Blk=__Duployan}', "");
    Expect(0, 113823, '\p{^Blk=__Duployan}', "");
    Expect(0, 113823, '\P{Blk=__Duployan}', "");
    Expect(1, 113823, '\P{^Blk=__Duployan}', "");
    Expect(0, 113824, '\p{Blk=__Duployan}', "");
    Expect(1, 113824, '\p{^Blk=__Duployan}', "");
    Expect(1, 113824, '\P{Blk=__Duployan}', "");
    Expect(0, 113824, '\P{^Blk=__Duployan}', "");
    Error('\p{Is_Block=	/a/Duployan}');
    Error('\P{Is_Block=	/a/Duployan}');
    Expect(1, 113823, '\p{Is_Block=duployan}', "");
    Expect(0, 113823, '\p{^Is_Block=duployan}', "");
    Expect(0, 113823, '\P{Is_Block=duployan}', "");
    Expect(1, 113823, '\P{^Is_Block=duployan}', "");
    Expect(0, 113824, '\p{Is_Block=duployan}', "");
    Expect(1, 113824, '\p{^Is_Block=duployan}', "");
    Expect(1, 113824, '\P{Is_Block=duployan}', "");
    Expect(0, 113824, '\P{^Is_Block=duployan}', "");
    Expect(1, 113823, '\p{Is_Block=- Duployan}', "");
    Expect(0, 113823, '\p{^Is_Block=- Duployan}', "");
    Expect(0, 113823, '\P{Is_Block=- Duployan}', "");
    Expect(1, 113823, '\P{^Is_Block=- Duployan}', "");
    Expect(0, 113824, '\p{Is_Block=- Duployan}', "");
    Expect(1, 113824, '\p{^Is_Block=- Duployan}', "");
    Expect(1, 113824, '\P{Is_Block=- Duployan}', "");
    Expect(0, 113824, '\P{^Is_Block=- Duployan}', "");
    Error('\p{Is_Blk=_	Duployan/a/}');
    Error('\P{Is_Blk=_	Duployan/a/}');
    Expect(1, 113823, '\p{Is_Blk:   duployan}', "");
    Expect(0, 113823, '\p{^Is_Blk:   duployan}', "");
    Expect(0, 113823, '\P{Is_Blk:   duployan}', "");
    Expect(1, 113823, '\P{^Is_Blk:   duployan}', "");
    Expect(0, 113824, '\p{Is_Blk:   duployan}', "");
    Expect(1, 113824, '\p{^Is_Blk:   duployan}', "");
    Expect(1, 113824, '\P{Is_Blk:   duployan}', "");
    Expect(0, 113824, '\P{^Is_Blk:   duployan}', "");
    Expect(1, 113823, '\p{Is_Blk: -_duployan}', "");
    Expect(0, 113823, '\p{^Is_Blk: -_duployan}', "");
    Expect(0, 113823, '\P{Is_Blk: -_duployan}', "");
    Expect(1, 113823, '\P{^Is_Blk: -_duployan}', "");
    Expect(0, 113824, '\p{Is_Blk: -_duployan}', "");
    Expect(1, 113824, '\p{^Is_Blk: -_duployan}', "");
    Expect(1, 113824, '\P{Is_Blk: -_duployan}', "");
    Expect(0, 113824, '\P{^Is_Blk: -_duployan}', "");
    Error('\p{Block=	early_Dynastic_Cuneiform/a/}');
    Error('\P{Block=	early_Dynastic_Cuneiform/a/}');
    Expect(1, 75087, '\p{Block=:\AEarly_Dynastic_Cuneiform\z:}', "");;
    Expect(0, 75088, '\p{Block=:\AEarly_Dynastic_Cuneiform\z:}', "");;
    Expect(1, 75087, '\p{Block=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\p{^Block=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\P{Block=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\P{^Block=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\p{Block=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\p{^Block=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\P{Block=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\P{^Block=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\p{Block=:\Aearlydynasticcuneiform\z:}', "");;
    Expect(0, 75088, '\p{Block=:\Aearlydynasticcuneiform\z:}', "");;
    Expect(1, 75087, '\p{Block=--EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75087, '\p{^Block=--EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75087, '\P{Block=--EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75087, '\P{^Block=--EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75088, '\p{Block=--EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75088, '\p{^Block=--EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75088, '\P{Block=--EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75088, '\P{^Block=--EARLY_Dynastic_Cuneiform}', "");
    Error('\p{Blk=	Early_Dynastic_CUNEIFORM:=}');
    Error('\P{Blk=	Early_Dynastic_CUNEIFORM:=}');
    Expect(1, 75087, '\p{Blk=:\AEarly_Dynastic_Cuneiform\z:}', "");;
    Expect(0, 75088, '\p{Blk=:\AEarly_Dynastic_Cuneiform\z:}', "");;
    Expect(1, 75087, '\p{Blk=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\p{^Blk=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\P{Blk=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\P{^Blk=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\p{Blk=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\p{^Blk=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\P{Blk=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\P{^Blk=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\p{Blk=:\Aearlydynasticcuneiform\z:}', "");;
    Expect(0, 75088, '\p{Blk=:\Aearlydynasticcuneiform\z:}', "");;
    Expect(1, 75087, '\p{Blk=_EARLY_dynastic_cuneiform}', "");
    Expect(0, 75087, '\p{^Blk=_EARLY_dynastic_cuneiform}', "");
    Expect(0, 75087, '\P{Blk=_EARLY_dynastic_cuneiform}', "");
    Expect(1, 75087, '\P{^Blk=_EARLY_dynastic_cuneiform}', "");
    Expect(0, 75088, '\p{Blk=_EARLY_dynastic_cuneiform}', "");
    Expect(1, 75088, '\p{^Blk=_EARLY_dynastic_cuneiform}', "");
    Expect(1, 75088, '\P{Blk=_EARLY_dynastic_cuneiform}', "");
    Expect(0, 75088, '\P{^Blk=_EARLY_dynastic_cuneiform}', "");
    Error('\p{Is_Block:/a/ -Early_Dynastic_cuneiform}');
    Error('\P{Is_Block:/a/ -Early_Dynastic_cuneiform}');
    Expect(1, 75087, '\p{Is_Block=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\p{^Is_Block=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\P{Is_Block=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\P{^Is_Block=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\p{Is_Block=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\p{^Is_Block=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\P{Is_Block=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\P{^Is_Block=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\p{Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Expect(0, 75087, '\p{^Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Expect(0, 75087, '\P{Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Expect(1, 75087, '\P{^Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Expect(0, 75088, '\p{Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Expect(1, 75088, '\p{^Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Expect(1, 75088, '\P{Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Expect(0, 75088, '\P{^Is_Block=	 Early_DYNASTIC_Cuneiform}', "");
    Error('\p{Is_Blk=-:=Early_Dynastic_CUNEIFORM}');
    Error('\P{Is_Blk=-:=Early_Dynastic_CUNEIFORM}');
    Expect(1, 75087, '\p{Is_Blk=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\p{^Is_Blk=earlydynasticcuneiform}', "");
    Expect(0, 75087, '\P{Is_Blk=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\P{^Is_Blk=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\p{Is_Blk=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\p{^Is_Blk=earlydynasticcuneiform}', "");
    Expect(1, 75088, '\P{Is_Blk=earlydynasticcuneiform}', "");
    Expect(0, 75088, '\P{^Is_Blk=earlydynasticcuneiform}', "");
    Expect(1, 75087, '\p{Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75087, '\p{^Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75087, '\P{Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75087, '\P{^Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75088, '\p{Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75088, '\p{^Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75088, '\P{Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75088, '\P{^Is_Blk=-EARLY_Dynastic_Cuneiform}', "");
    Error('\p{Block:_egyptian_HIEROGLYPH_FORMAT_Controls:=}');
    Error('\P{Block:_egyptian_HIEROGLYPH_FORMAT_Controls:=}');
    Expect(1, 78911, '\p{Block=:\AEgyptian_Hieroglyph_Format_Controls\z:}', "");;
    Expect(0, 78912, '\p{Block=:\AEgyptian_Hieroglyph_Format_Controls\z:}', "");;
    Expect(1, 78911, '\p{Block=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\p{^Block=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\P{Block=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\P{^Block=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\p{Block=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\p{^Block=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\P{Block=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\P{^Block=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\p{Block=:\Aegyptianhieroglyphformatcontrols\z:}', "");;
    Expect(0, 78912, '\p{Block=:\Aegyptianhieroglyphformatcontrols\z:}', "");;
    Expect(1, 78911, '\p{Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Expect(0, 78911, '\p{^Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Expect(0, 78911, '\P{Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Expect(1, 78911, '\P{^Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Expect(0, 78912, '\p{Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Expect(1, 78912, '\p{^Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Expect(1, 78912, '\P{Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Expect(0, 78912, '\P{^Block= -Egyptian_Hieroglyph_FORMAT_Controls}', "");
    Error('\p{Blk=/a/--egyptian_Hieroglyph_Format_controls}');
    Error('\P{Blk=/a/--egyptian_Hieroglyph_Format_controls}');
    Expect(1, 78911, '\p{Blk=:\AEgyptian_Hieroglyph_Format_Controls\z:}', "");;
    Expect(0, 78912, '\p{Blk=:\AEgyptian_Hieroglyph_Format_Controls\z:}', "");;
    Expect(1, 78911, '\p{Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\p{^Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\P{Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\P{^Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\p{Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\p{^Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\P{Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\P{^Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\p{Blk=:\Aegyptianhieroglyphformatcontrols\z:}', "");;
    Expect(0, 78912, '\p{Blk=:\Aegyptianhieroglyphformatcontrols\z:}', "");;
    Expect(1, 78911, '\p{Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Expect(0, 78911, '\p{^Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Expect(0, 78911, '\P{Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Expect(1, 78911, '\P{^Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Expect(0, 78912, '\p{Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Expect(1, 78912, '\p{^Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Expect(1, 78912, '\P{Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Expect(0, 78912, '\P{^Blk=	 EGYPTIAN_Hieroglyph_FORMAT_CONTROLS}', "");
    Error('\p{Is_Block=-	Egyptian_hieroglyph_format_controls/a/}');
    Error('\P{Is_Block=-	Egyptian_hieroglyph_format_controls/a/}');
    Expect(1, 78911, '\p{Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\p{^Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\P{Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\P{^Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\p{Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\p{^Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\P{Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\P{^Is_Block:egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\p{Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Expect(0, 78911, '\p{^Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Expect(0, 78911, '\P{Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Expect(1, 78911, '\P{^Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Expect(0, 78912, '\p{Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Expect(1, 78912, '\p{^Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Expect(1, 78912, '\P{Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Expect(0, 78912, '\P{^Is_Block= Egyptian_Hieroglyph_Format_controls}', "");
    Error('\p{Is_Blk=:=egyptian_Hieroglyph_Format_Controls}');
    Error('\P{Is_Blk=:=egyptian_Hieroglyph_Format_Controls}');
    Expect(1, 78911, '\p{Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\p{^Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\P{Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\P{^Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\p{Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\p{^Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\P{Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\P{^Is_Blk=egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\p{Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78911, '\p{^Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78911, '\P{Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(1, 78911, '\P{^Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78912, '\p{Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(1, 78912, '\p{^Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(1, 78912, '\P{Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78912, '\P{^Is_Blk=-	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Error('\p{Block=:=EGYPTIAN_Hieroglyphs}');
    Error('\P{Block=:=EGYPTIAN_Hieroglyphs}');
    Expect(1, 78895, '\p{Block=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(0, 78896, '\p{Block=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(1, 78895, '\p{Block=egyptianhieroglyphs}', "");
    Expect(0, 78895, '\p{^Block=egyptianhieroglyphs}', "");
    Expect(0, 78895, '\P{Block=egyptianhieroglyphs}', "");
    Expect(1, 78895, '\P{^Block=egyptianhieroglyphs}', "");
    Expect(0, 78896, '\p{Block=egyptianhieroglyphs}', "");
    Expect(1, 78896, '\p{^Block=egyptianhieroglyphs}', "");
    Expect(1, 78896, '\P{Block=egyptianhieroglyphs}', "");
    Expect(0, 78896, '\P{^Block=egyptianhieroglyphs}', "");
    Expect(1, 78895, '\p{Block=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(0, 78896, '\p{Block=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(1, 78895, '\p{Block=		egyptian_HIEROGLYPHS}', "");
    Expect(0, 78895, '\p{^Block=		egyptian_HIEROGLYPHS}', "");
    Expect(0, 78895, '\P{Block=		egyptian_HIEROGLYPHS}', "");
    Expect(1, 78895, '\P{^Block=		egyptian_HIEROGLYPHS}', "");
    Expect(0, 78896, '\p{Block=		egyptian_HIEROGLYPHS}', "");
    Expect(1, 78896, '\p{^Block=		egyptian_HIEROGLYPHS}', "");
    Expect(1, 78896, '\P{Block=		egyptian_HIEROGLYPHS}', "");
    Expect(0, 78896, '\P{^Block=		egyptian_HIEROGLYPHS}', "");
    Error('\p{Blk=/a/_	Egyptian_Hieroglyphs}');
    Error('\P{Blk=/a/_	Egyptian_Hieroglyphs}');
    Expect(1, 78895, '\p{Blk=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(0, 78896, '\p{Blk=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(1, 78895, '\p{Blk=egyptianhieroglyphs}', "");
    Expect(0, 78895, '\p{^Blk=egyptianhieroglyphs}', "");
    Expect(0, 78895, '\P{Blk=egyptianhieroglyphs}', "");
    Expect(1, 78895, '\P{^Blk=egyptianhieroglyphs}', "");
    Expect(0, 78896, '\p{Blk=egyptianhieroglyphs}', "");
    Expect(1, 78896, '\p{^Blk=egyptianhieroglyphs}', "");
    Expect(1, 78896, '\P{Blk=egyptianhieroglyphs}', "");
    Expect(0, 78896, '\P{^Blk=egyptianhieroglyphs}', "");
    Expect(1, 78895, '\p{Blk=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(0, 78896, '\p{Blk=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(1, 78895, '\p{Blk=-_egyptian_hieroglyphs}', "");
    Expect(0, 78895, '\p{^Blk=-_egyptian_hieroglyphs}', "");
    Expect(0, 78895, '\P{Blk=-_egyptian_hieroglyphs}', "");
    Expect(1, 78895, '\P{^Blk=-_egyptian_hieroglyphs}', "");
    Expect(0, 78896, '\p{Blk=-_egyptian_hieroglyphs}', "");
    Expect(1, 78896, '\p{^Blk=-_egyptian_hieroglyphs}', "");
    Expect(1, 78896, '\P{Blk=-_egyptian_hieroglyphs}', "");
    Expect(0, 78896, '\P{^Blk=-_egyptian_hieroglyphs}', "");
    Error('\p{Is_Block=:=_Egyptian_Hieroglyphs}');
    Error('\P{Is_Block=:=_Egyptian_Hieroglyphs}');
    Expect(1, 78895, '\p{Is_Block=egyptianhieroglyphs}', "");
    Expect(0, 78895, '\p{^Is_Block=egyptianhieroglyphs}', "");
    Expect(0, 78895, '\P{Is_Block=egyptianhieroglyphs}', "");
    Expect(1, 78895, '\P{^Is_Block=egyptianhieroglyphs}', "");
    Expect(0, 78896, '\p{Is_Block=egyptianhieroglyphs}', "");
    Expect(1, 78896, '\p{^Is_Block=egyptianhieroglyphs}', "");
    Expect(1, 78896, '\P{Is_Block=egyptianhieroglyphs}', "");
    Expect(0, 78896, '\P{^Is_Block=egyptianhieroglyphs}', "");
    Expect(1, 78895, '\p{Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78895, '\p{^Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78895, '\P{Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78895, '\P{^Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78896, '\p{Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78896, '\p{^Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78896, '\P{Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78896, '\P{^Is_Block= EGYPTIAN_Hieroglyphs}', "");
    Error('\p{Is_Blk=:= -egyptian_HIEROGLYPHS}');
    Error('\P{Is_Blk=:= -egyptian_HIEROGLYPHS}');
    Expect(1, 78895, '\p{Is_Blk:   egyptianhieroglyphs}', "");
    Expect(0, 78895, '\p{^Is_Blk:   egyptianhieroglyphs}', "");
    Expect(0, 78895, '\P{Is_Blk:   egyptianhieroglyphs}', "");
    Expect(1, 78895, '\P{^Is_Blk:   egyptianhieroglyphs}', "");
    Expect(0, 78896, '\p{Is_Blk:   egyptianhieroglyphs}', "");
    Expect(1, 78896, '\p{^Is_Blk:   egyptianhieroglyphs}', "");
    Expect(1, 78896, '\P{Is_Blk:   egyptianhieroglyphs}', "");
    Expect(0, 78896, '\P{^Is_Blk:   egyptianhieroglyphs}', "");
    Expect(1, 78895, '\p{Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78895, '\p{^Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78895, '\P{Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78895, '\P{^Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78896, '\p{Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78896, '\p{^Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78896, '\P{Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78896, '\P{^Is_Blk=- EGYPTIAN_Hieroglyphs}', "");
    Error('\p{Block=_-Elbasan/a/}');
    Error('\P{Block=_-Elbasan/a/}');
    Expect(1, 66863, '\p{Block=:\AElbasan\z:}', "");;
    Expect(0, 66864, '\p{Block=:\AElbasan\z:}', "");;
    Expect(1, 66863, '\p{Block=elbasan}', "");
    Expect(0, 66863, '\p{^Block=elbasan}', "");
    Expect(0, 66863, '\P{Block=elbasan}', "");
    Expect(1, 66863, '\P{^Block=elbasan}', "");
    Expect(0, 66864, '\p{Block=elbasan}', "");
    Expect(1, 66864, '\p{^Block=elbasan}', "");
    Expect(1, 66864, '\P{Block=elbasan}', "");
    Expect(0, 66864, '\P{^Block=elbasan}', "");
    Expect(1, 66863, '\p{Block=:\Aelbasan\z:}', "");;
    Expect(0, 66864, '\p{Block=:\Aelbasan\z:}', "");;
    Expect(1, 66863, '\p{Block= -ELBASAN}', "");
    Expect(0, 66863, '\p{^Block= -ELBASAN}', "");
    Expect(0, 66863, '\P{Block= -ELBASAN}', "");
    Expect(1, 66863, '\P{^Block= -ELBASAN}', "");
    Expect(0, 66864, '\p{Block= -ELBASAN}', "");
    Expect(1, 66864, '\p{^Block= -ELBASAN}', "");
    Expect(1, 66864, '\P{Block= -ELBASAN}', "");
    Expect(0, 66864, '\P{^Block= -ELBASAN}', "");
    Error('\p{Blk=_:=Elbasan}');
    Error('\P{Blk=_:=Elbasan}');
    Expect(1, 66863, '\p{Blk=:\AElbasan\z:}', "");;
    Expect(0, 66864, '\p{Blk=:\AElbasan\z:}', "");;
    Expect(1, 66863, '\p{Blk=elbasan}', "");
    Expect(0, 66863, '\p{^Blk=elbasan}', "");
    Expect(0, 66863, '\P{Blk=elbasan}', "");
    Expect(1, 66863, '\P{^Blk=elbasan}', "");
    Expect(0, 66864, '\p{Blk=elbasan}', "");
    Expect(1, 66864, '\p{^Blk=elbasan}', "");
    Expect(1, 66864, '\P{Blk=elbasan}', "");
    Expect(0, 66864, '\P{^Blk=elbasan}', "");
    Expect(1, 66863, '\p{Blk=:\Aelbasan\z:}', "");;
    Expect(0, 66864, '\p{Blk=:\Aelbasan\z:}', "");;
    Expect(1, 66863, '\p{Blk=__elbasan}', "");
    Expect(0, 66863, '\p{^Blk=__elbasan}', "");
    Expect(0, 66863, '\P{Blk=__elbasan}', "");
    Expect(1, 66863, '\P{^Blk=__elbasan}', "");
    Expect(0, 66864, '\p{Blk=__elbasan}', "");
    Expect(1, 66864, '\p{^Blk=__elbasan}', "");
    Expect(1, 66864, '\P{Blk=__elbasan}', "");
    Expect(0, 66864, '\P{^Blk=__elbasan}', "");
    Error('\p{Is_Block=  Elbasan/a/}');
    Error('\P{Is_Block=  Elbasan/a/}');
    Expect(1, 66863, '\p{Is_Block=elbasan}', "");
    Expect(0, 66863, '\p{^Is_Block=elbasan}', "");
    Expect(0, 66863, '\P{Is_Block=elbasan}', "");
    Expect(1, 66863, '\P{^Is_Block=elbasan}', "");
    Expect(0, 66864, '\p{Is_Block=elbasan}', "");
    Expect(1, 66864, '\p{^Is_Block=elbasan}', "");
    Expect(1, 66864, '\P{Is_Block=elbasan}', "");
    Expect(0, 66864, '\P{^Is_Block=elbasan}', "");
    Expect(1, 66863, '\p{Is_Block= 	ELBASAN}', "");
    Expect(0, 66863, '\p{^Is_Block= 	ELBASAN}', "");
    Expect(0, 66863, '\P{Is_Block= 	ELBASAN}', "");
    Expect(1, 66863, '\P{^Is_Block= 	ELBASAN}', "");
    Expect(0, 66864, '\p{Is_Block= 	ELBASAN}', "");
    Expect(1, 66864, '\p{^Is_Block= 	ELBASAN}', "");
    Expect(1, 66864, '\P{Is_Block= 	ELBASAN}', "");
    Expect(0, 66864, '\P{^Is_Block= 	ELBASAN}', "");
    Error('\p{Is_Blk: -/a/Elbasan}');
    Error('\P{Is_Blk: -/a/Elbasan}');
    Expect(1, 66863, '\p{Is_Blk=elbasan}', "");
    Expect(0, 66863, '\p{^Is_Blk=elbasan}', "");
    Expect(0, 66863, '\P{Is_Blk=elbasan}', "");
    Expect(1, 66863, '\P{^Is_Blk=elbasan}', "");
    Expect(0, 66864, '\p{Is_Blk=elbasan}', "");
    Expect(1, 66864, '\p{^Is_Blk=elbasan}', "");
    Expect(1, 66864, '\P{Is_Blk=elbasan}', "");
    Expect(0, 66864, '\P{^Is_Blk=elbasan}', "");
    Expect(1, 66863, '\p{Is_Blk=	-Elbasan}', "");
    Expect(0, 66863, '\p{^Is_Blk=	-Elbasan}', "");
    Expect(0, 66863, '\P{Is_Blk=	-Elbasan}', "");
    Expect(1, 66863, '\P{^Is_Blk=	-Elbasan}', "");
    Expect(0, 66864, '\p{Is_Blk=	-Elbasan}', "");
    Expect(1, 66864, '\p{^Is_Blk=	-Elbasan}', "");
    Expect(1, 66864, '\P{Is_Blk=	-Elbasan}', "");
    Expect(0, 66864, '\P{^Is_Blk=	-Elbasan}', "");
    Error('\p{Block= :=Elymaic}');
    Error('\P{Block= :=Elymaic}');
    Expect(1, 69631, '\p{Block=:\AElymaic\z:}', "");;
    Expect(0, 69632, '\p{Block=:\AElymaic\z:}', "");;
    Expect(1, 69631, '\p{Block=elymaic}', "");
    Expect(0, 69631, '\p{^Block=elymaic}', "");
    Expect(0, 69631, '\P{Block=elymaic}', "");
    Expect(1, 69631, '\P{^Block=elymaic}', "");
    Expect(0, 69632, '\p{Block=elymaic}', "");
    Expect(1, 69632, '\p{^Block=elymaic}', "");
    Expect(1, 69632, '\P{Block=elymaic}', "");
    Expect(0, 69632, '\P{^Block=elymaic}', "");
    Expect(1, 69631, '\p{Block=:\Aelymaic\z:}', "");;
    Expect(0, 69632, '\p{Block=:\Aelymaic\z:}', "");;
    Expect(1, 69631, '\p{Block= Elymaic}', "");
    Expect(0, 69631, '\p{^Block= Elymaic}', "");
    Expect(0, 69631, '\P{Block= Elymaic}', "");
    Expect(1, 69631, '\P{^Block= Elymaic}', "");
    Expect(0, 69632, '\p{Block= Elymaic}', "");
    Expect(1, 69632, '\p{^Block= Elymaic}', "");
    Expect(1, 69632, '\P{Block= Elymaic}', "");
    Expect(0, 69632, '\P{^Block= Elymaic}', "");
    Error('\p{Blk:		Elymaic:=}');
    Error('\P{Blk:		Elymaic:=}');
    Expect(1, 69631, '\p{Blk=:\AElymaic\z:}', "");;
    Expect(0, 69632, '\p{Blk=:\AElymaic\z:}', "");;
    Expect(1, 69631, '\p{Blk=elymaic}', "");
    Expect(0, 69631, '\p{^Blk=elymaic}', "");
    Expect(0, 69631, '\P{Blk=elymaic}', "");
    Expect(1, 69631, '\P{^Blk=elymaic}', "");
    Expect(0, 69632, '\p{Blk=elymaic}', "");
    Expect(1, 69632, '\p{^Blk=elymaic}', "");
    Expect(1, 69632, '\P{Blk=elymaic}', "");
    Expect(0, 69632, '\P{^Blk=elymaic}', "");
    Expect(1, 69631, '\p{Blk=:\Aelymaic\z:}', "");;
    Expect(0, 69632, '\p{Blk=:\Aelymaic\z:}', "");;
    Expect(1, 69631, '\p{Blk=		ELYMAIC}', "");
    Expect(0, 69631, '\p{^Blk=		ELYMAIC}', "");
    Expect(0, 69631, '\P{Blk=		ELYMAIC}', "");
    Expect(1, 69631, '\P{^Blk=		ELYMAIC}', "");
    Expect(0, 69632, '\p{Blk=		ELYMAIC}', "");
    Expect(1, 69632, '\p{^Blk=		ELYMAIC}', "");
    Expect(1, 69632, '\P{Blk=		ELYMAIC}', "");
    Expect(0, 69632, '\P{^Blk=		ELYMAIC}', "");
    Error('\p{Is_Block=__Elymaic:=}');
    Error('\P{Is_Block=__Elymaic:=}');
    Expect(1, 69631, '\p{Is_Block=elymaic}', "");
    Expect(0, 69631, '\p{^Is_Block=elymaic}', "");
    Expect(0, 69631, '\P{Is_Block=elymaic}', "");
    Expect(1, 69631, '\P{^Is_Block=elymaic}', "");
    Expect(0, 69632, '\p{Is_Block=elymaic}', "");
    Expect(1, 69632, '\p{^Is_Block=elymaic}', "");
    Expect(1, 69632, '\P{Is_Block=elymaic}', "");
    Expect(0, 69632, '\P{^Is_Block=elymaic}', "");
    Expect(1, 69631, '\p{Is_Block= elymaic}', "");
    Expect(0, 69631, '\p{^Is_Block= elymaic}', "");
    Expect(0, 69631, '\P{Is_Block= elymaic}', "");
    Expect(1, 69631, '\P{^Is_Block= elymaic}', "");
    Expect(0, 69632, '\p{Is_Block= elymaic}', "");
    Expect(1, 69632, '\p{^Is_Block= elymaic}', "");
    Expect(1, 69632, '\P{Is_Block= elymaic}', "");
    Expect(0, 69632, '\P{^Is_Block= elymaic}', "");
    Error('\p{Is_Blk=Elymaic:=}');
    Error('\P{Is_Blk=Elymaic:=}');
    Expect(1, 69631, '\p{Is_Blk=elymaic}', "");
    Expect(0, 69631, '\p{^Is_Blk=elymaic}', "");
    Expect(0, 69631, '\P{Is_Blk=elymaic}', "");
    Expect(1, 69631, '\P{^Is_Blk=elymaic}', "");
    Expect(0, 69632, '\p{Is_Blk=elymaic}', "");
    Expect(1, 69632, '\p{^Is_Blk=elymaic}', "");
    Expect(1, 69632, '\P{Is_Blk=elymaic}', "");
    Expect(0, 69632, '\P{^Is_Blk=elymaic}', "");
    Expect(1, 69631, '\p{Is_Blk=__ELYMAIC}', "");
    Expect(0, 69631, '\p{^Is_Blk=__ELYMAIC}', "");
    Expect(0, 69631, '\P{Is_Blk=__ELYMAIC}', "");
    Expect(1, 69631, '\P{^Is_Blk=__ELYMAIC}', "");
    Expect(0, 69632, '\p{Is_Blk=__ELYMAIC}', "");
    Expect(1, 69632, '\p{^Is_Blk=__ELYMAIC}', "");
    Expect(1, 69632, '\P{Is_Blk=__ELYMAIC}', "");
    Expect(0, 69632, '\P{^Is_Blk=__ELYMAIC}', "");
    Error('\p{Block=:=_ emoticons}');
    Error('\P{Block=:=_ emoticons}');
    Expect(1, 128591, '\p{Block=:\AEmoticons\z:}', "");;
    Expect(0, 128592, '\p{Block=:\AEmoticons\z:}', "");;
    Expect(1, 128591, '\p{Block=emoticons}', "");
    Expect(0, 128591, '\p{^Block=emoticons}', "");
    Expect(0, 128591, '\P{Block=emoticons}', "");
    Expect(1, 128591, '\P{^Block=emoticons}', "");
    Expect(0, 128592, '\p{Block=emoticons}', "");
    Expect(1, 128592, '\p{^Block=emoticons}', "");
    Expect(1, 128592, '\P{Block=emoticons}', "");
    Expect(0, 128592, '\P{^Block=emoticons}', "");
    Expect(1, 128591, '\p{Block=:\Aemoticons\z:}', "");;
    Expect(0, 128592, '\p{Block=:\Aemoticons\z:}', "");;
    Expect(1, 128591, '\p{Block=_ Emoticons}', "");
    Expect(0, 128591, '\p{^Block=_ Emoticons}', "");
    Expect(0, 128591, '\P{Block=_ Emoticons}', "");
    Expect(1, 128591, '\P{^Block=_ Emoticons}', "");
    Expect(0, 128592, '\p{Block=_ Emoticons}', "");
    Expect(1, 128592, '\p{^Block=_ Emoticons}', "");
    Expect(1, 128592, '\P{Block=_ Emoticons}', "");
    Expect(0, 128592, '\P{^Block=_ Emoticons}', "");
    Error('\p{Blk=/a/-Emoticons}');
    Error('\P{Blk=/a/-Emoticons}');
    Expect(1, 128591, '\p{Blk=:\AEmoticons\z:}', "");;
    Expect(0, 128592, '\p{Blk=:\AEmoticons\z:}', "");;
    Expect(1, 128591, '\p{Blk=emoticons}', "");
    Expect(0, 128591, '\p{^Blk=emoticons}', "");
    Expect(0, 128591, '\P{Blk=emoticons}', "");
    Expect(1, 128591, '\P{^Blk=emoticons}', "");
    Expect(0, 128592, '\p{Blk=emoticons}', "");
    Expect(1, 128592, '\p{^Blk=emoticons}', "");
    Expect(1, 128592, '\P{Blk=emoticons}', "");
    Expect(0, 128592, '\P{^Blk=emoticons}', "");
    Expect(1, 128591, '\p{Blk=:\Aemoticons\z:}', "");;
    Expect(0, 128592, '\p{Blk=:\Aemoticons\z:}', "");;
    Expect(1, 128591, '\p{Blk=-emoticons}', "");
    Expect(0, 128591, '\p{^Blk=-emoticons}', "");
    Expect(0, 128591, '\P{Blk=-emoticons}', "");
    Expect(1, 128591, '\P{^Blk=-emoticons}', "");
    Expect(0, 128592, '\p{Blk=-emoticons}', "");
    Expect(1, 128592, '\p{^Blk=-emoticons}', "");
    Expect(1, 128592, '\P{Blk=-emoticons}', "");
    Expect(0, 128592, '\P{^Blk=-emoticons}', "");
    Error('\p{Is_Block=/a/ -emoticons}');
    Error('\P{Is_Block=/a/ -emoticons}');
    Expect(1, 128591, '\p{Is_Block=emoticons}', "");
    Expect(0, 128591, '\p{^Is_Block=emoticons}', "");
    Expect(0, 128591, '\P{Is_Block=emoticons}', "");
    Expect(1, 128591, '\P{^Is_Block=emoticons}', "");
    Expect(0, 128592, '\p{Is_Block=emoticons}', "");
    Expect(1, 128592, '\p{^Is_Block=emoticons}', "");
    Expect(1, 128592, '\P{Is_Block=emoticons}', "");
    Expect(0, 128592, '\P{^Is_Block=emoticons}', "");
    Expect(1, 128591, '\p{Is_Block=EMOTICONS}', "");
    Expect(0, 128591, '\p{^Is_Block=EMOTICONS}', "");
    Expect(0, 128591, '\P{Is_Block=EMOTICONS}', "");
    Expect(1, 128591, '\P{^Is_Block=EMOTICONS}', "");
    Expect(0, 128592, '\p{Is_Block=EMOTICONS}', "");
    Expect(1, 128592, '\p{^Is_Block=EMOTICONS}', "");
    Expect(1, 128592, '\P{Is_Block=EMOTICONS}', "");
    Expect(0, 128592, '\P{^Is_Block=EMOTICONS}', "");
    Error('\p{Is_Blk=-/a/Emoticons}');
    Error('\P{Is_Blk=-/a/Emoticons}');
    Expect(1, 128591, '\p{Is_Blk=emoticons}', "");
    Expect(0, 128591, '\p{^Is_Blk=emoticons}', "");
    Expect(0, 128591, '\P{Is_Blk=emoticons}', "");
    Expect(1, 128591, '\P{^Is_Blk=emoticons}', "");
    Expect(0, 128592, '\p{Is_Blk=emoticons}', "");
    Expect(1, 128592, '\p{^Is_Blk=emoticons}', "");
    Expect(1, 128592, '\P{Is_Blk=emoticons}', "");
    Expect(0, 128592, '\P{^Is_Blk=emoticons}', "");
    Expect(1, 128591, '\p{Is_Blk:   emoticons}', "");
    Expect(0, 128591, '\p{^Is_Blk:   emoticons}', "");
    Expect(0, 128591, '\P{Is_Blk:   emoticons}', "");
    Expect(1, 128591, '\P{^Is_Blk:   emoticons}', "");
    Expect(0, 128592, '\p{Is_Blk:   emoticons}', "");
    Expect(1, 128592, '\p{^Is_Blk:   emoticons}', "");
    Expect(1, 128592, '\P{Is_Blk:   emoticons}', "");
    Expect(0, 128592, '\P{^Is_Blk:   emoticons}', "");
    Error('\p{Block:   /a/ _Enclosed_Alphanumerics}');
    Error('\P{Block:   /a/ _Enclosed_Alphanumerics}');
    Expect(1, 9471, '\p{Block=:\AEnclosed_Alphanumerics\z:}', "");;
    Expect(0, 9472, '\p{Block=:\AEnclosed_Alphanumerics\z:}', "");;
    Expect(1, 9471, '\p{Block=enclosedalphanumerics}', "");
    Expect(0, 9471, '\p{^Block=enclosedalphanumerics}', "");
    Expect(0, 9471, '\P{Block=enclosedalphanumerics}', "");
    Expect(1, 9471, '\P{^Block=enclosedalphanumerics}', "");
    Expect(0, 9472, '\p{Block=enclosedalphanumerics}', "");
    Expect(1, 9472, '\p{^Block=enclosedalphanumerics}', "");
    Expect(1, 9472, '\P{Block=enclosedalphanumerics}', "");
    Expect(0, 9472, '\P{^Block=enclosedalphanumerics}', "");
    Expect(1, 9471, '\p{Block=:\Aenclosedalphanumerics\z:}', "");;
    Expect(0, 9472, '\p{Block=:\Aenclosedalphanumerics\z:}', "");;
    Expect(1, 9471, '\p{Block:	 enclosed_ALPHANUMERICS}', "");
    Expect(0, 9471, '\p{^Block:	 enclosed_ALPHANUMERICS}', "");
    Expect(0, 9471, '\P{Block:	 enclosed_ALPHANUMERICS}', "");
    Expect(1, 9471, '\P{^Block:	 enclosed_ALPHANUMERICS}', "");
    Expect(0, 9472, '\p{Block:	 enclosed_ALPHANUMERICS}', "");
    Expect(1, 9472, '\p{^Block:	 enclosed_ALPHANUMERICS}', "");
    Expect(1, 9472, '\P{Block:	 enclosed_ALPHANUMERICS}', "");
    Expect(0, 9472, '\P{^Block:	 enclosed_ALPHANUMERICS}', "");
    Error('\p{Blk=-/a/ENCLOSED_alphanum}');
    Error('\P{Blk=-/a/ENCLOSED_alphanum}');
    Expect(1, 9471, '\p{Blk=:\AEnclosed_Alphanum\z:}', "");;
    Expect(0, 9472, '\p{Blk=:\AEnclosed_Alphanum\z:}', "");;
    Expect(1, 9471, '\p{Blk=enclosedalphanum}', "");
    Expect(0, 9471, '\p{^Blk=enclosedalphanum}', "");
    Expect(0, 9471, '\P{Blk=enclosedalphanum}', "");
    Expect(1, 9471, '\P{^Blk=enclosedalphanum}', "");
    Expect(0, 9472, '\p{Blk=enclosedalphanum}', "");
    Expect(1, 9472, '\p{^Blk=enclosedalphanum}', "");
    Expect(1, 9472, '\P{Blk=enclosedalphanum}', "");
    Expect(0, 9472, '\P{^Blk=enclosedalphanum}', "");
    Expect(1, 9471, '\p{Blk=:\Aenclosedalphanum\z:}', "");;
    Expect(0, 9472, '\p{Blk=:\Aenclosedalphanum\z:}', "");;
    Expect(1, 9471, '\p{Blk=	_Enclosed_Alphanum}', "");
    Expect(0, 9471, '\p{^Blk=	_Enclosed_Alphanum}', "");
    Expect(0, 9471, '\P{Blk=	_Enclosed_Alphanum}', "");
    Expect(1, 9471, '\P{^Blk=	_Enclosed_Alphanum}', "");
    Expect(0, 9472, '\p{Blk=	_Enclosed_Alphanum}', "");
    Expect(1, 9472, '\p{^Blk=	_Enclosed_Alphanum}', "");
    Expect(1, 9472, '\P{Blk=	_Enclosed_Alphanum}', "");
    Expect(0, 9472, '\P{^Blk=	_Enclosed_Alphanum}', "");
    Error('\p{Is_Block= enclosed_ALPHANUMERICS/a/}');
    Error('\P{Is_Block= enclosed_ALPHANUMERICS/a/}');
    Expect(1, 9471, '\p{Is_Block=enclosedalphanumerics}', "");
    Expect(0, 9471, '\p{^Is_Block=enclosedalphanumerics}', "");
    Expect(0, 9471, '\P{Is_Block=enclosedalphanumerics}', "");
    Expect(1, 9471, '\P{^Is_Block=enclosedalphanumerics}', "");
    Expect(0, 9472, '\p{Is_Block=enclosedalphanumerics}', "");
    Expect(1, 9472, '\p{^Is_Block=enclosedalphanumerics}', "");
    Expect(1, 9472, '\P{Is_Block=enclosedalphanumerics}', "");
    Expect(0, 9472, '\P{^Is_Block=enclosedalphanumerics}', "");
    Expect(1, 9471, '\p{Is_Block=ENCLOSED_alphanumerics}', "");
    Expect(0, 9471, '\p{^Is_Block=ENCLOSED_alphanumerics}', "");
    Expect(0, 9471, '\P{Is_Block=ENCLOSED_alphanumerics}', "");
    Expect(1, 9471, '\P{^Is_Block=ENCLOSED_alphanumerics}', "");
    Expect(0, 9472, '\p{Is_Block=ENCLOSED_alphanumerics}', "");
    Expect(1, 9472, '\p{^Is_Block=ENCLOSED_alphanumerics}', "");
    Expect(1, 9472, '\P{Is_Block=ENCLOSED_alphanumerics}', "");
    Expect(0, 9472, '\P{^Is_Block=ENCLOSED_alphanumerics}', "");
    Error('\p{Is_Blk=	/a/ENCLOSED_Alphanum}');
    Error('\P{Is_Blk=	/a/ENCLOSED_Alphanum}');
    Expect(1, 9471, '\p{Is_Blk=enclosedalphanum}', "");
    Expect(0, 9471, '\p{^Is_Blk=enclosedalphanum}', "");
    Expect(0, 9471, '\P{Is_Blk=enclosedalphanum}', "");
    Expect(1, 9471, '\P{^Is_Blk=enclosedalphanum}', "");
    Expect(0, 9472, '\p{Is_Blk=enclosedalphanum}', "");
    Expect(1, 9472, '\p{^Is_Blk=enclosedalphanum}', "");
    Expect(1, 9472, '\P{Is_Blk=enclosedalphanum}', "");
    Expect(0, 9472, '\P{^Is_Blk=enclosedalphanum}', "");
    Expect(1, 9471, '\p{Is_Blk:   -_Enclosed_alphanum}', "");
    Expect(0, 9471, '\p{^Is_Blk:   -_Enclosed_alphanum}', "");
    Expect(0, 9471, '\P{Is_Blk:   -_Enclosed_alphanum}', "");
    Expect(1, 9471, '\P{^Is_Blk:   -_Enclosed_alphanum}', "");
    Expect(0, 9472, '\p{Is_Blk:   -_Enclosed_alphanum}', "");
    Expect(1, 9472, '\p{^Is_Blk:   -_Enclosed_alphanum}', "");
    Expect(1, 9472, '\P{Is_Blk:   -_Enclosed_alphanum}', "");
    Expect(0, 9472, '\P{^Is_Blk:   -_Enclosed_alphanum}', "");
    Error('\p{Block=/a/_	ENCLOSED_Alphanumeric_supplement}');
    Error('\P{Block=/a/_	ENCLOSED_Alphanumeric_supplement}');
    Expect(1, 127487, '\p{Block=:\AEnclosed_Alphanumeric_Supplement\z:}', "");;
    Expect(0, 127488, '\p{Block=:\AEnclosed_Alphanumeric_Supplement\z:}', "");;
    Expect(1, 127487, '\p{Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\p{^Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\P{Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\P{^Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\p{Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\p{^Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\P{Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\P{^Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\p{Block=:\Aenclosedalphanumericsupplement\z:}', "");;
    Expect(0, 127488, '\p{Block=:\Aenclosedalphanumericsupplement\z:}', "");;
    Expect(1, 127487, '\p{Block=_enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127487, '\p{^Block=_enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127487, '\P{Block=_enclosed_Alphanumeric_supplement}', "");
    Expect(1, 127487, '\P{^Block=_enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127488, '\p{Block=_enclosed_Alphanumeric_supplement}', "");
    Expect(1, 127488, '\p{^Block=_enclosed_Alphanumeric_supplement}', "");
    Expect(1, 127488, '\P{Block=_enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127488, '\P{^Block=_enclosed_Alphanumeric_supplement}', "");
    Error('\p{Blk=	:=Enclosed_alphanum_SUP}');
    Error('\P{Blk=	:=Enclosed_alphanum_SUP}');
    Expect(1, 127487, '\p{Blk=:\AEnclosed_Alphanum_Sup\z:}', "");;
    Expect(0, 127488, '\p{Blk=:\AEnclosed_Alphanum_Sup\z:}', "");;
    Expect(1, 127487, '\p{Blk=enclosedalphanumsup}', "");
    Expect(0, 127487, '\p{^Blk=enclosedalphanumsup}', "");
    Expect(0, 127487, '\P{Blk=enclosedalphanumsup}', "");
    Expect(1, 127487, '\P{^Blk=enclosedalphanumsup}', "");
    Expect(0, 127488, '\p{Blk=enclosedalphanumsup}', "");
    Expect(1, 127488, '\p{^Blk=enclosedalphanumsup}', "");
    Expect(1, 127488, '\P{Blk=enclosedalphanumsup}', "");
    Expect(0, 127488, '\P{^Blk=enclosedalphanumsup}', "");
    Expect(1, 127487, '\p{Blk=:\Aenclosedalphanumsup\z:}', "");;
    Expect(0, 127488, '\p{Blk=:\Aenclosedalphanumsup\z:}', "");;
    Expect(1, 127487, '\p{Blk=		Enclosed_alphanum_sup}', "");
    Expect(0, 127487, '\p{^Blk=		Enclosed_alphanum_sup}', "");
    Expect(0, 127487, '\P{Blk=		Enclosed_alphanum_sup}', "");
    Expect(1, 127487, '\P{^Blk=		Enclosed_alphanum_sup}', "");
    Expect(0, 127488, '\p{Blk=		Enclosed_alphanum_sup}', "");
    Expect(1, 127488, '\p{^Blk=		Enclosed_alphanum_sup}', "");
    Expect(1, 127488, '\P{Blk=		Enclosed_alphanum_sup}', "");
    Expect(0, 127488, '\P{^Blk=		Enclosed_alphanum_sup}', "");
    Error('\p{Is_Block=/a/  Enclosed_Alphanumeric_supplement}');
    Error('\P{Is_Block=/a/  Enclosed_Alphanumeric_supplement}');
    Expect(1, 127487, '\p{Is_Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\P{Is_Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\p{Is_Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\P{Is_Block=enclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\p{Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127487, '\p{^Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127487, '\P{Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Expect(1, 127487, '\P{^Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127488, '\p{Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Expect(1, 127488, '\p{^Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Expect(1, 127488, '\P{Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Expect(0, 127488, '\P{^Is_Block=-Enclosed_Alphanumeric_supplement}', "");
    Error('\p{Is_Blk=:=  Enclosed_ALPHANUM_SUP}');
    Error('\P{Is_Blk=:=  Enclosed_ALPHANUM_SUP}');
    Expect(1, 127487, '\p{Is_Blk=enclosedalphanumsup}', "");
    Expect(0, 127487, '\p{^Is_Blk=enclosedalphanumsup}', "");
    Expect(0, 127487, '\P{Is_Blk=enclosedalphanumsup}', "");
    Expect(1, 127487, '\P{^Is_Blk=enclosedalphanumsup}', "");
    Expect(0, 127488, '\p{Is_Blk=enclosedalphanumsup}', "");
    Expect(1, 127488, '\p{^Is_Blk=enclosedalphanumsup}', "");
    Expect(1, 127488, '\P{Is_Blk=enclosedalphanumsup}', "");
    Expect(0, 127488, '\P{^Is_Blk=enclosedalphanumsup}', "");
    Expect(1, 127487, '\p{Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Expect(0, 127487, '\p{^Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Expect(0, 127487, '\P{Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Expect(1, 127487, '\P{^Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Expect(0, 127488, '\p{Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Expect(1, 127488, '\p{^Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Expect(1, 127488, '\P{Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Expect(0, 127488, '\P{^Is_Blk= -ENCLOSED_Alphanum_SUP}', "");
    Error('\p{Block=_:=Enclosed_CJK_letters_And_months}');
    Error('\P{Block=_:=Enclosed_CJK_letters_And_months}');
    Expect(1, 13055, '\p{Block=:\AEnclosed_CJK_Letters_And_Months\z:}', "");;
    Expect(0, 13056, '\p{Block=:\AEnclosed_CJK_Letters_And_Months\z:}', "");;
    Expect(1, 13055, '\p{Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\p{^Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\P{Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\P{^Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\p{Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\p{^Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\P{Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\P{^Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\p{Block=:\Aenclosedcjklettersandmonths\z:}', "");;
    Expect(0, 13056, '\p{Block=:\Aenclosedcjklettersandmonths\z:}', "");;
    Expect(1, 13055, '\p{Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Expect(0, 13055, '\p{^Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Expect(0, 13055, '\P{Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Expect(1, 13055, '\P{^Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Expect(0, 13056, '\p{Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Expect(1, 13056, '\p{^Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Expect(1, 13056, '\P{Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Expect(0, 13056, '\P{^Block=  ENCLOSED_CJK_Letters_and_MONTHS}', "");
    Error('\p{Blk=-:=Enclosed_cjk}');
    Error('\P{Blk=-:=Enclosed_cjk}');
    Expect(1, 13055, '\p{Blk=:\AEnclosed_CJK\z:}', "");;
    Expect(0, 13056, '\p{Blk=:\AEnclosed_CJK\z:}', "");;
    Expect(1, 13055, '\p{Blk=enclosedcjk}', "");
    Expect(0, 13055, '\p{^Blk=enclosedcjk}', "");
    Expect(0, 13055, '\P{Blk=enclosedcjk}', "");
    Expect(1, 13055, '\P{^Blk=enclosedcjk}', "");
    Expect(0, 13056, '\p{Blk=enclosedcjk}', "");
    Expect(1, 13056, '\p{^Blk=enclosedcjk}', "");
    Expect(1, 13056, '\P{Blk=enclosedcjk}', "");
    Expect(0, 13056, '\P{^Blk=enclosedcjk}', "");
    Expect(1, 13055, '\p{Blk=:\Aenclosedcjk\z:}', "");;
    Expect(0, 13056, '\p{Blk=:\Aenclosedcjk\z:}', "");;
    Expect(1, 13055, '\p{Blk=_Enclosed_CJK}', "");
    Expect(0, 13055, '\p{^Blk=_Enclosed_CJK}', "");
    Expect(0, 13055, '\P{Blk=_Enclosed_CJK}', "");
    Expect(1, 13055, '\P{^Blk=_Enclosed_CJK}', "");
    Expect(0, 13056, '\p{Blk=_Enclosed_CJK}', "");
    Expect(1, 13056, '\p{^Blk=_Enclosed_CJK}', "");
    Expect(1, 13056, '\P{Blk=_Enclosed_CJK}', "");
    Expect(0, 13056, '\P{^Blk=_Enclosed_CJK}', "");
    Error('\p{Is_Block=--enclosed_CJK_Letters_and_Months/a/}');
    Error('\P{Is_Block=--enclosed_CJK_Letters_and_Months/a/}');
    Expect(1, 13055, '\p{Is_Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\P{Is_Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\p{Is_Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\P{Is_Block=enclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\p{Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Expect(0, 13055, '\p{^Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Expect(0, 13055, '\P{Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Expect(1, 13055, '\P{^Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Expect(0, 13056, '\p{Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Expect(1, 13056, '\p{^Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Expect(1, 13056, '\P{Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Expect(0, 13056, '\P{^Is_Block:		-ENCLOSED_cjk_Letters_and_months}', "");
    Error('\p{Is_Blk=:=-enclosed_CJK}');
    Error('\P{Is_Blk=:=-enclosed_CJK}');
    Expect(1, 13055, '\p{Is_Blk=enclosedcjk}', "");
    Expect(0, 13055, '\p{^Is_Blk=enclosedcjk}', "");
    Expect(0, 13055, '\P{Is_Blk=enclosedcjk}', "");
    Expect(1, 13055, '\P{^Is_Blk=enclosedcjk}', "");
    Expect(0, 13056, '\p{Is_Blk=enclosedcjk}', "");
    Expect(1, 13056, '\p{^Is_Blk=enclosedcjk}', "");
    Expect(1, 13056, '\P{Is_Blk=enclosedcjk}', "");
    Expect(0, 13056, '\P{^Is_Blk=enclosedcjk}', "");
    Expect(1, 13055, '\p{Is_Blk=_-enclosed_CJK}', "");
    Expect(0, 13055, '\p{^Is_Blk=_-enclosed_CJK}', "");
    Expect(0, 13055, '\P{Is_Blk=_-enclosed_CJK}', "");
    Expect(1, 13055, '\P{^Is_Blk=_-enclosed_CJK}', "");
    Expect(0, 13056, '\p{Is_Blk=_-enclosed_CJK}', "");
    Expect(1, 13056, '\p{^Is_Blk=_-enclosed_CJK}', "");
    Expect(1, 13056, '\P{Is_Blk=_-enclosed_CJK}', "");
    Expect(0, 13056, '\P{^Is_Blk=_-enclosed_CJK}', "");
    Error('\p{Block=:= _ENCLOSED_IDEOGRAPHIC_SUPPLEMENT}');
    Error('\P{Block=:= _ENCLOSED_IDEOGRAPHIC_SUPPLEMENT}');
    Expect(1, 127743, '\p{Block=:\AEnclosed_Ideographic_Supplement\z:}', "");;
    Expect(0, 127744, '\p{Block=:\AEnclosed_Ideographic_Supplement\z:}', "");;
    Expect(1, 127743, '\p{Block=enclosedideographicsupplement}', "");
    Expect(0, 127743, '\p{^Block=enclosedideographicsupplement}', "");
    Expect(0, 127743, '\P{Block=enclosedideographicsupplement}', "");
    Expect(1, 127743, '\P{^Block=enclosedideographicsupplement}', "");
    Expect(0, 127744, '\p{Block=enclosedideographicsupplement}', "");
    Expect(1, 127744, '\p{^Block=enclosedideographicsupplement}', "");
    Expect(1, 127744, '\P{Block=enclosedideographicsupplement}', "");
    Expect(0, 127744, '\P{^Block=enclosedideographicsupplement}', "");
    Expect(1, 127743, '\p{Block=:\Aenclosedideographicsupplement\z:}', "");;
    Expect(0, 127744, '\p{Block=:\Aenclosedideographicsupplement\z:}', "");;
    Expect(1, 127743, '\p{Block:    ENCLOSED_Ideographic_Supplement}', "");
    Expect(0, 127743, '\p{^Block:    ENCLOSED_Ideographic_Supplement}', "");
    Expect(0, 127743, '\P{Block:    ENCLOSED_Ideographic_Supplement}', "");
    Expect(1, 127743, '\P{^Block:    ENCLOSED_Ideographic_Supplement}', "");
    Expect(0, 127744, '\p{Block:    ENCLOSED_Ideographic_Supplement}', "");
    Expect(1, 127744, '\p{^Block:    ENCLOSED_Ideographic_Supplement}', "");
    Expect(1, 127744, '\P{Block:    ENCLOSED_Ideographic_Supplement}', "");
    Expect(0, 127744, '\P{^Block:    ENCLOSED_Ideographic_Supplement}', "");
    Error('\p{Blk=:= _ENCLOSED_Ideographic_Sup}');
    Error('\P{Blk=:= _ENCLOSED_Ideographic_Sup}');
    Expect(1, 127743, '\p{Blk=:\AEnclosed_Ideographic_Sup\z:}', "");;
    Expect(0, 127744, '\p{Blk=:\AEnclosed_Ideographic_Sup\z:}', "");;
    Expect(1, 127743, '\p{Blk=enclosedideographicsup}', "");
    Expect(0, 127743, '\p{^Blk=enclosedideographicsup}', "");
    Expect(0, 127743, '\P{Blk=enclosedideographicsup}', "");
    Expect(1, 127743, '\P{^Blk=enclosedideographicsup}', "");
    Expect(0, 127744, '\p{Blk=enclosedideographicsup}', "");
    Expect(1, 127744, '\p{^Blk=enclosedideographicsup}', "");
    Expect(1, 127744, '\P{Blk=enclosedideographicsup}', "");
    Expect(0, 127744, '\P{^Blk=enclosedideographicsup}', "");
    Expect(1, 127743, '\p{Blk=:\Aenclosedideographicsup\z:}', "");;
    Expect(0, 127744, '\p{Blk=:\Aenclosedideographicsup\z:}', "");;
    Expect(1, 127743, '\p{Blk=	ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127743, '\p{^Blk=	ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127743, '\P{Blk=	ENCLOSED_Ideographic_Sup}', "");
    Expect(1, 127743, '\P{^Blk=	ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127744, '\p{Blk=	ENCLOSED_Ideographic_Sup}', "");
    Expect(1, 127744, '\p{^Blk=	ENCLOSED_Ideographic_Sup}', "");
    Expect(1, 127744, '\P{Blk=	ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127744, '\P{^Blk=	ENCLOSED_Ideographic_Sup}', "");
    Error('\p{Is_Block::=	 ENCLOSED_Ideographic_SUPPLEMENT}');
    Error('\P{Is_Block::=	 ENCLOSED_Ideographic_SUPPLEMENT}');
    Expect(1, 127743, '\p{Is_Block: enclosedideographicsupplement}', "");
    Expect(0, 127743, '\p{^Is_Block: enclosedideographicsupplement}', "");
    Expect(0, 127743, '\P{Is_Block: enclosedideographicsupplement}', "");
    Expect(1, 127743, '\P{^Is_Block: enclosedideographicsupplement}', "");
    Expect(0, 127744, '\p{Is_Block: enclosedideographicsupplement}', "");
    Expect(1, 127744, '\p{^Is_Block: enclosedideographicsupplement}', "");
    Expect(1, 127744, '\P{Is_Block: enclosedideographicsupplement}', "");
    Expect(0, 127744, '\P{^Is_Block: enclosedideographicsupplement}', "");
    Expect(1, 127743, '\p{Is_Block=	Enclosed_ideographic_supplement}', "");
    Expect(0, 127743, '\p{^Is_Block=	Enclosed_ideographic_supplement}', "");
    Expect(0, 127743, '\P{Is_Block=	Enclosed_ideographic_supplement}', "");
    Expect(1, 127743, '\P{^Is_Block=	Enclosed_ideographic_supplement}', "");
    Expect(0, 127744, '\p{Is_Block=	Enclosed_ideographic_supplement}', "");
    Expect(1, 127744, '\p{^Is_Block=	Enclosed_ideographic_supplement}', "");
    Expect(1, 127744, '\P{Is_Block=	Enclosed_ideographic_supplement}', "");
    Expect(0, 127744, '\P{^Is_Block=	Enclosed_ideographic_supplement}', "");
    Error('\p{Is_Blk=/a/__enclosed_ideographic_Sup}');
    Error('\P{Is_Blk=/a/__enclosed_ideographic_Sup}');
    Expect(1, 127743, '\p{Is_Blk=enclosedideographicsup}', "");
    Expect(0, 127743, '\p{^Is_Blk=enclosedideographicsup}', "");
    Expect(0, 127743, '\P{Is_Blk=enclosedideographicsup}', "");
    Expect(1, 127743, '\P{^Is_Blk=enclosedideographicsup}', "");
    Expect(0, 127744, '\p{Is_Blk=enclosedideographicsup}', "");
    Expect(1, 127744, '\p{^Is_Blk=enclosedideographicsup}', "");
    Expect(1, 127744, '\P{Is_Blk=enclosedideographicsup}', "");
    Expect(0, 127744, '\P{^Is_Blk=enclosedideographicsup}', "");
    Expect(1, 127743, '\p{Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Expect(0, 127743, '\p{^Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Expect(0, 127743, '\P{Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Expect(1, 127743, '\P{^Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Expect(0, 127744, '\p{Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Expect(1, 127744, '\p{^Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Expect(1, 127744, '\P{Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Expect(0, 127744, '\P{^Is_Blk=-ENCLOSED_Ideographic_sup}', "");
    Error('\p{Block=/a/-Ethiopic}');
    Error('\P{Block=/a/-Ethiopic}');
    Expect(1, 4991, '\p{Block=:\AEthiopic\z:}', "");;
    Expect(0, 4992, '\p{Block=:\AEthiopic\z:}', "");;
    Expect(1, 4991, '\p{Block=ethiopic}', "");
    Expect(0, 4991, '\p{^Block=ethiopic}', "");
    Expect(0, 4991, '\P{Block=ethiopic}', "");
    Expect(1, 4991, '\P{^Block=ethiopic}', "");
    Expect(0, 4992, '\p{Block=ethiopic}', "");
    Expect(1, 4992, '\p{^Block=ethiopic}', "");
    Expect(1, 4992, '\P{Block=ethiopic}', "");
    Expect(0, 4992, '\P{^Block=ethiopic}', "");
    Expect(1, 4991, '\p{Block=:\Aethiopic\z:}', "");;
    Expect(0, 4992, '\p{Block=:\Aethiopic\z:}', "");;
    Expect(1, 4991, '\p{Block=-Ethiopic}', "");
    Expect(0, 4991, '\p{^Block=-Ethiopic}', "");
    Expect(0, 4991, '\P{Block=-Ethiopic}', "");
    Expect(1, 4991, '\P{^Block=-Ethiopic}', "");
    Expect(0, 4992, '\p{Block=-Ethiopic}', "");
    Expect(1, 4992, '\p{^Block=-Ethiopic}', "");
    Expect(1, 4992, '\P{Block=-Ethiopic}', "");
    Expect(0, 4992, '\P{^Block=-Ethiopic}', "");
    Error('\p{Blk=_/a/ethiopic}');
    Error('\P{Blk=_/a/ethiopic}');
    Expect(1, 4991, '\p{Blk=:\AEthiopic\z:}', "");;
    Expect(0, 4992, '\p{Blk=:\AEthiopic\z:}', "");;
    Expect(1, 4991, '\p{Blk=ethiopic}', "");
    Expect(0, 4991, '\p{^Blk=ethiopic}', "");
    Expect(0, 4991, '\P{Blk=ethiopic}', "");
    Expect(1, 4991, '\P{^Blk=ethiopic}', "");
    Expect(0, 4992, '\p{Blk=ethiopic}', "");
    Expect(1, 4992, '\p{^Blk=ethiopic}', "");
    Expect(1, 4992, '\P{Blk=ethiopic}', "");
    Expect(0, 4992, '\P{^Blk=ethiopic}', "");
    Expect(1, 4991, '\p{Blk=:\Aethiopic\z:}', "");;
    Expect(0, 4992, '\p{Blk=:\Aethiopic\z:}', "");;
    Expect(1, 4991, '\p{Blk=  ETHIOPIC}', "");
    Expect(0, 4991, '\p{^Blk=  ETHIOPIC}', "");
    Expect(0, 4991, '\P{Blk=  ETHIOPIC}', "");
    Expect(1, 4991, '\P{^Blk=  ETHIOPIC}', "");
    Expect(0, 4992, '\p{Blk=  ETHIOPIC}', "");
    Expect(1, 4992, '\p{^Blk=  ETHIOPIC}', "");
    Expect(1, 4992, '\P{Blk=  ETHIOPIC}', "");
    Expect(0, 4992, '\P{^Blk=  ETHIOPIC}', "");
    Error('\p{Is_Block=-Ethiopic:=}');
    Error('\P{Is_Block=-Ethiopic:=}');
    Expect(1, 4991, '\p{Is_Block=ethiopic}', "");
    Expect(0, 4991, '\p{^Is_Block=ethiopic}', "");
    Expect(0, 4991, '\P{Is_Block=ethiopic}', "");
    Expect(1, 4991, '\P{^Is_Block=ethiopic}', "");
    Expect(0, 4992, '\p{Is_Block=ethiopic}', "");
    Expect(1, 4992, '\p{^Is_Block=ethiopic}', "");
    Expect(1, 4992, '\P{Is_Block=ethiopic}', "");
    Expect(0, 4992, '\P{^Is_Block=ethiopic}', "");
    Expect(1, 4991, '\p{Is_Block=		Ethiopic}', "");
    Expect(0, 4991, '\p{^Is_Block=		Ethiopic}', "");
    Expect(0, 4991, '\P{Is_Block=		Ethiopic}', "");
    Expect(1, 4991, '\P{^Is_Block=		Ethiopic}', "");
    Expect(0, 4992, '\p{Is_Block=		Ethiopic}', "");
    Expect(1, 4992, '\p{^Is_Block=		Ethiopic}', "");
    Expect(1, 4992, '\P{Is_Block=		Ethiopic}', "");
    Expect(0, 4992, '\P{^Is_Block=		Ethiopic}', "");
    Error('\p{Is_Blk=/a/_Ethiopic}');
    Error('\P{Is_Blk=/a/_Ethiopic}');
    Expect(1, 4991, '\p{Is_Blk=ethiopic}', "");
    Expect(0, 4991, '\p{^Is_Blk=ethiopic}', "");
    Expect(0, 4991, '\P{Is_Blk=ethiopic}', "");
    Expect(1, 4991, '\P{^Is_Blk=ethiopic}', "");
    Expect(0, 4992, '\p{Is_Blk=ethiopic}', "");
    Expect(1, 4992, '\p{^Is_Blk=ethiopic}', "");
    Expect(1, 4992, '\P{Is_Blk=ethiopic}', "");
    Expect(0, 4992, '\P{^Is_Blk=ethiopic}', "");
    Expect(1, 4991, '\p{Is_Blk=_-Ethiopic}', "");
    Expect(0, 4991, '\p{^Is_Blk=_-Ethiopic}', "");
    Expect(0, 4991, '\P{Is_Blk=_-Ethiopic}', "");
    Expect(1, 4991, '\P{^Is_Blk=_-Ethiopic}', "");
    Expect(0, 4992, '\p{Is_Blk=_-Ethiopic}', "");
    Expect(1, 4992, '\p{^Is_Blk=_-Ethiopic}', "");
    Expect(1, 4992, '\P{Is_Blk=_-Ethiopic}', "");
    Expect(0, 4992, '\P{^Is_Blk=_-Ethiopic}', "");
    Error('\p{Block= /a/ethiopic_Extended}');
    Error('\P{Block= /a/ethiopic_Extended}');
    Expect(1, 11743, '\p{Block=:\AEthiopic_Extended\z:}', "");;
    Expect(0, 11744, '\p{Block=:\AEthiopic_Extended\z:}', "");;
    Expect(1, 11743, '\p{Block=ethiopicextended}', "");
    Expect(0, 11743, '\p{^Block=ethiopicextended}', "");
    Expect(0, 11743, '\P{Block=ethiopicextended}', "");
    Expect(1, 11743, '\P{^Block=ethiopicextended}', "");
    Expect(0, 11744, '\p{Block=ethiopicextended}', "");
    Expect(1, 11744, '\p{^Block=ethiopicextended}', "");
    Expect(1, 11744, '\P{Block=ethiopicextended}', "");
    Expect(0, 11744, '\P{^Block=ethiopicextended}', "");
    Expect(1, 11743, '\p{Block=:\Aethiopicextended\z:}', "");;
    Expect(0, 11744, '\p{Block=:\Aethiopicextended\z:}', "");;
    Expect(1, 11743, '\p{Block=-	ETHIOPIC_Extended}', "");
    Expect(0, 11743, '\p{^Block=-	ETHIOPIC_Extended}', "");
    Expect(0, 11743, '\P{Block=-	ETHIOPIC_Extended}', "");
    Expect(1, 11743, '\P{^Block=-	ETHIOPIC_Extended}', "");
    Expect(0, 11744, '\p{Block=-	ETHIOPIC_Extended}', "");
    Expect(1, 11744, '\p{^Block=-	ETHIOPIC_Extended}', "");
    Expect(1, 11744, '\P{Block=-	ETHIOPIC_Extended}', "");
    Expect(0, 11744, '\P{^Block=-	ETHIOPIC_Extended}', "");
    Error('\p{Blk=:=_ethiopic_Ext}');
    Error('\P{Blk=:=_ethiopic_Ext}');
    Expect(1, 11743, '\p{Blk=:\AEthiopic_Ext\z:}', "");;
    Expect(0, 11744, '\p{Blk=:\AEthiopic_Ext\z:}', "");;
    Expect(1, 11743, '\p{Blk=ethiopicext}', "");
    Expect(0, 11743, '\p{^Blk=ethiopicext}', "");
    Expect(0, 11743, '\P{Blk=ethiopicext}', "");
    Expect(1, 11743, '\P{^Blk=ethiopicext}', "");
    Expect(0, 11744, '\p{Blk=ethiopicext}', "");
    Expect(1, 11744, '\p{^Blk=ethiopicext}', "");
    Expect(1, 11744, '\P{Blk=ethiopicext}', "");
    Expect(0, 11744, '\P{^Blk=ethiopicext}', "");
    Expect(1, 11743, '\p{Blk=:\Aethiopicext\z:}', "");;
    Expect(0, 11744, '\p{Blk=:\Aethiopicext\z:}', "");;
    Expect(1, 11743, '\p{Blk=_ETHIOPIC_Ext}', "");
    Expect(0, 11743, '\p{^Blk=_ETHIOPIC_Ext}', "");
    Expect(0, 11743, '\P{Blk=_ETHIOPIC_Ext}', "");
    Expect(1, 11743, '\P{^Blk=_ETHIOPIC_Ext}', "");
    Expect(0, 11744, '\p{Blk=_ETHIOPIC_Ext}', "");
    Expect(1, 11744, '\p{^Blk=_ETHIOPIC_Ext}', "");
    Expect(1, 11744, '\P{Blk=_ETHIOPIC_Ext}', "");
    Expect(0, 11744, '\P{^Blk=_ETHIOPIC_Ext}', "");
    Error('\p{Is_Block=:=--ETHIOPIC_EXTENDED}');
    Error('\P{Is_Block=:=--ETHIOPIC_EXTENDED}');
    Expect(1, 11743, '\p{Is_Block=ethiopicextended}', "");
    Expect(0, 11743, '\p{^Is_Block=ethiopicextended}', "");
    Expect(0, 11743, '\P{Is_Block=ethiopicextended}', "");
    Expect(1, 11743, '\P{^Is_Block=ethiopicextended}', "");
    Expect(0, 11744, '\p{Is_Block=ethiopicextended}', "");
    Expect(1, 11744, '\p{^Is_Block=ethiopicextended}', "");
    Expect(1, 11744, '\P{Is_Block=ethiopicextended}', "");
    Expect(0, 11744, '\P{^Is_Block=ethiopicextended}', "");
    Expect(1, 11743, '\p{Is_Block:_Ethiopic_Extended}', "");
    Expect(0, 11743, '\p{^Is_Block:_Ethiopic_Extended}', "");
    Expect(0, 11743, '\P{Is_Block:_Ethiopic_Extended}', "");
    Expect(1, 11743, '\P{^Is_Block:_Ethiopic_Extended}', "");
    Expect(0, 11744, '\p{Is_Block:_Ethiopic_Extended}', "");
    Expect(1, 11744, '\p{^Is_Block:_Ethiopic_Extended}', "");
    Expect(1, 11744, '\P{Is_Block:_Ethiopic_Extended}', "");
    Expect(0, 11744, '\P{^Is_Block:_Ethiopic_Extended}', "");
    Error('\p{Is_Blk=_/a/ethiopic_Ext}');
    Error('\P{Is_Blk=_/a/ethiopic_Ext}');
    Expect(1, 11743, '\p{Is_Blk=ethiopicext}', "");
    Expect(0, 11743, '\p{^Is_Blk=ethiopicext}', "");
    Expect(0, 11743, '\P{Is_Blk=ethiopicext}', "");
    Expect(1, 11743, '\P{^Is_Blk=ethiopicext}', "");
    Expect(0, 11744, '\p{Is_Blk=ethiopicext}', "");
    Expect(1, 11744, '\p{^Is_Blk=ethiopicext}', "");
    Expect(1, 11744, '\P{Is_Blk=ethiopicext}', "");
    Expect(0, 11744, '\P{^Is_Blk=ethiopicext}', "");
    Expect(1, 11743, '\p{Is_Blk:-ethiopic_EXT}', "");
    Expect(0, 11743, '\p{^Is_Blk:-ethiopic_EXT}', "");
    Expect(0, 11743, '\P{Is_Blk:-ethiopic_EXT}', "");
    Expect(1, 11743, '\P{^Is_Blk:-ethiopic_EXT}', "");
    Expect(0, 11744, '\p{Is_Blk:-ethiopic_EXT}', "");
    Expect(1, 11744, '\p{^Is_Blk:-ethiopic_EXT}', "");
    Expect(1, 11744, '\P{Is_Blk:-ethiopic_EXT}', "");
    Expect(0, 11744, '\P{^Is_Blk:-ethiopic_EXT}', "");
    Error('\p{Block=/a/Ethiopic_EXTENDED_A}');
    Error('\P{Block=/a/Ethiopic_EXTENDED_A}');
    Expect(1, 43823, '\p{Block=:\AEthiopic_Extended_A\z:}', "");;
    Expect(0, 43824, '\p{Block=:\AEthiopic_Extended_A\z:}', "");;
    Expect(1, 43823, '\p{Block=ethiopicextendeda}', "");
    Expect(0, 43823, '\p{^Block=ethiopicextendeda}', "");
    Expect(0, 43823, '\P{Block=ethiopicextendeda}', "");
    Expect(1, 43823, '\P{^Block=ethiopicextendeda}', "");
    Expect(0, 43824, '\p{Block=ethiopicextendeda}', "");
    Expect(1, 43824, '\p{^Block=ethiopicextendeda}', "");
    Expect(1, 43824, '\P{Block=ethiopicextendeda}', "");
    Expect(0, 43824, '\P{^Block=ethiopicextendeda}', "");
    Expect(1, 43823, '\p{Block=:\Aethiopicextendeda\z:}', "");;
    Expect(0, 43824, '\p{Block=:\Aethiopicextendeda\z:}', "");;
    Expect(1, 43823, '\p{Block=-Ethiopic_extended_A}', "");
    Expect(0, 43823, '\p{^Block=-Ethiopic_extended_A}', "");
    Expect(0, 43823, '\P{Block=-Ethiopic_extended_A}', "");
    Expect(1, 43823, '\P{^Block=-Ethiopic_extended_A}', "");
    Expect(0, 43824, '\p{Block=-Ethiopic_extended_A}', "");
    Expect(1, 43824, '\p{^Block=-Ethiopic_extended_A}', "");
    Expect(1, 43824, '\P{Block=-Ethiopic_extended_A}', "");
    Expect(0, 43824, '\P{^Block=-Ethiopic_extended_A}', "");
    Error('\p{Blk=_:=Ethiopic_EXT_a}');
    Error('\P{Blk=_:=Ethiopic_EXT_a}');
    Expect(1, 43823, '\p{Blk=:\AEthiopic_Ext_A\z:}', "");;
    Expect(0, 43824, '\p{Blk=:\AEthiopic_Ext_A\z:}', "");;
    Expect(1, 43823, '\p{Blk=ethiopicexta}', "");
    Expect(0, 43823, '\p{^Blk=ethiopicexta}', "");
    Expect(0, 43823, '\P{Blk=ethiopicexta}', "");
    Expect(1, 43823, '\P{^Blk=ethiopicexta}', "");
    Expect(0, 43824, '\p{Blk=ethiopicexta}', "");
    Expect(1, 43824, '\p{^Blk=ethiopicexta}', "");
    Expect(1, 43824, '\P{Blk=ethiopicexta}', "");
    Expect(0, 43824, '\P{^Blk=ethiopicexta}', "");
    Expect(1, 43823, '\p{Blk=:\Aethiopicexta\z:}', "");;
    Expect(0, 43824, '\p{Blk=:\Aethiopicexta\z:}', "");;
    Expect(1, 43823, '\p{Blk=	-ethiopic_Ext_A}', "");
    Expect(0, 43823, '\p{^Blk=	-ethiopic_Ext_A}', "");
    Expect(0, 43823, '\P{Blk=	-ethiopic_Ext_A}', "");
    Expect(1, 43823, '\P{^Blk=	-ethiopic_Ext_A}', "");
    Expect(0, 43824, '\p{Blk=	-ethiopic_Ext_A}', "");
    Expect(1, 43824, '\p{^Blk=	-ethiopic_Ext_A}', "");
    Expect(1, 43824, '\P{Blk=	-ethiopic_Ext_A}', "");
    Expect(0, 43824, '\P{^Blk=	-ethiopic_Ext_A}', "");
    Error('\p{Is_Block=/a/ethiopic_Extended_A}');
    Error('\P{Is_Block=/a/ethiopic_Extended_A}');
    Expect(1, 43823, '\p{Is_Block=ethiopicextendeda}', "");
    Expect(0, 43823, '\p{^Is_Block=ethiopicextendeda}', "");
    Expect(0, 43823, '\P{Is_Block=ethiopicextendeda}', "");
    Expect(1, 43823, '\P{^Is_Block=ethiopicextendeda}', "");
    Expect(0, 43824, '\p{Is_Block=ethiopicextendeda}', "");
    Expect(1, 43824, '\p{^Is_Block=ethiopicextendeda}', "");
    Expect(1, 43824, '\P{Is_Block=ethiopicextendeda}', "");
    Expect(0, 43824, '\P{^Is_Block=ethiopicextendeda}', "");
    Expect(1, 43823, '\p{Is_Block: ETHIOPIC_Extended_A}', "");
    Expect(0, 43823, '\p{^Is_Block: ETHIOPIC_Extended_A}', "");
    Expect(0, 43823, '\P{Is_Block: ETHIOPIC_Extended_A}', "");
    Expect(1, 43823, '\P{^Is_Block: ETHIOPIC_Extended_A}', "");
    Expect(0, 43824, '\p{Is_Block: ETHIOPIC_Extended_A}', "");
    Expect(1, 43824, '\p{^Is_Block: ETHIOPIC_Extended_A}', "");
    Expect(1, 43824, '\P{Is_Block: ETHIOPIC_Extended_A}', "");
    Expect(0, 43824, '\P{^Is_Block: ETHIOPIC_Extended_A}', "");
    Error('\p{Is_Blk=_:=ETHIOPIC_ext_A}');
    Error('\P{Is_Blk=_:=ETHIOPIC_ext_A}');
    Expect(1, 43823, '\p{Is_Blk:   ethiopicexta}', "");
    Expect(0, 43823, '\p{^Is_Blk:   ethiopicexta}', "");
    Expect(0, 43823, '\P{Is_Blk:   ethiopicexta}', "");
    Expect(1, 43823, '\P{^Is_Blk:   ethiopicexta}', "");
    Expect(0, 43824, '\p{Is_Blk:   ethiopicexta}', "");
    Expect(1, 43824, '\p{^Is_Blk:   ethiopicexta}', "");
    Expect(1, 43824, '\P{Is_Blk:   ethiopicexta}', "");
    Expect(0, 43824, '\P{^Is_Blk:   ethiopicexta}', "");
    Expect(1, 43823, '\p{Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Expect(0, 43823, '\p{^Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Expect(0, 43823, '\P{Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Expect(1, 43823, '\P{^Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Expect(0, 43824, '\p{Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Expect(1, 43824, '\p{^Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Expect(1, 43824, '\P{Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Expect(0, 43824, '\P{^Is_Blk=_	ETHIOPIC_Ext_A}', "");
    Error('\p{Block=	Ethiopic_Extended_B:=}');
    Error('\P{Block=	Ethiopic_Extended_B:=}');
    Expect(1, 124927, '\p{Block=:\AEthiopic_Extended_B\z:}', "");;
    Expect(0, 124928, '\p{Block=:\AEthiopic_Extended_B\z:}', "");;
    Expect(1, 124927, '\p{Block:   ethiopicextendedb}', "");
    Expect(0, 124927, '\p{^Block:   ethiopicextendedb}', "");
    Expect(0, 124927, '\P{Block:   ethiopicextendedb}', "");
    Expect(1, 124927, '\P{^Block:   ethiopicextendedb}', "");
    Expect(0, 124928, '\p{Block:   ethiopicextendedb}', "");
    Expect(1, 124928, '\p{^Block:   ethiopicextendedb}', "");
    Expect(1, 124928, '\P{Block:   ethiopicextendedb}', "");
    Expect(0, 124928, '\P{^Block:   ethiopicextendedb}', "");
    Expect(1, 124927, '\p{Block=:\Aethiopicextendedb\z:}', "");;
    Expect(0, 124928, '\p{Block=:\Aethiopicextendedb\z:}', "");;
    Expect(1, 124927, '\p{Block=		Ethiopic_EXTENDED_b}', "");
    Expect(0, 124927, '\p{^Block=		Ethiopic_EXTENDED_b}', "");
    Expect(0, 124927, '\P{Block=		Ethiopic_EXTENDED_b}', "");
    Expect(1, 124927, '\P{^Block=		Ethiopic_EXTENDED_b}', "");
    Expect(0, 124928, '\p{Block=		Ethiopic_EXTENDED_b}', "");
    Expect(1, 124928, '\p{^Block=		Ethiopic_EXTENDED_b}', "");
    Expect(1, 124928, '\P{Block=		Ethiopic_EXTENDED_b}', "");
    Expect(0, 124928, '\P{^Block=		Ethiopic_EXTENDED_b}', "");
    Error('\p{Blk=:=	 ethiopic_Ext_B}');
    Error('\P{Blk=:=	 ethiopic_Ext_B}');
    Expect(1, 124927, '\p{Blk=:\AEthiopic_Ext_B\z:}', "");;
    Expect(0, 124928, '\p{Blk=:\AEthiopic_Ext_B\z:}', "");;
    Expect(1, 124927, '\p{Blk=ethiopicextb}', "");
    Expect(0, 124927, '\p{^Blk=ethiopicextb}', "");
    Expect(0, 124927, '\P{Blk=ethiopicextb}', "");
    Expect(1, 124927, '\P{^Blk=ethiopicextb}', "");
    Expect(0, 124928, '\p{Blk=ethiopicextb}', "");
    Expect(1, 124928, '\p{^Blk=ethiopicextb}', "");
    Expect(1, 124928, '\P{Blk=ethiopicextb}', "");
    Expect(0, 124928, '\P{^Blk=ethiopicextb}', "");
    Expect(1, 124927, '\p{Blk=:\Aethiopicextb\z:}', "");;
    Expect(0, 124928, '\p{Blk=:\Aethiopicextb\z:}', "");;
    Expect(1, 124927, '\p{Blk: 	_Ethiopic_Ext_B}', "");
    Expect(0, 124927, '\p{^Blk: 	_Ethiopic_Ext_B}', "");
    Expect(0, 124927, '\P{Blk: 	_Ethiopic_Ext_B}', "");
    Expect(1, 124927, '\P{^Blk: 	_Ethiopic_Ext_B}', "");
    Expect(0, 124928, '\p{Blk: 	_Ethiopic_Ext_B}', "");
    Expect(1, 124928, '\p{^Blk: 	_Ethiopic_Ext_B}', "");
    Expect(1, 124928, '\P{Blk: 	_Ethiopic_Ext_B}', "");
    Expect(0, 124928, '\P{^Blk: 	_Ethiopic_Ext_B}', "");
    Error('\p{Is_Block=		Ethiopic_Extended_b/a/}');
    Error('\P{Is_Block=		Ethiopic_Extended_b/a/}');
    Expect(1, 124927, '\p{Is_Block=ethiopicextendedb}', "");
    Expect(0, 124927, '\p{^Is_Block=ethiopicextendedb}', "");
    Expect(0, 124927, '\P{Is_Block=ethiopicextendedb}', "");
    Expect(1, 124927, '\P{^Is_Block=ethiopicextendedb}', "");
    Expect(0, 124928, '\p{Is_Block=ethiopicextendedb}', "");
    Expect(1, 124928, '\p{^Is_Block=ethiopicextendedb}', "");
    Expect(1, 124928, '\P{Is_Block=ethiopicextendedb}', "");
    Expect(0, 124928, '\P{^Is_Block=ethiopicextendedb}', "");
    Expect(1, 124927, '\p{Is_Block=_Ethiopic_Extended_B}', "");
    Expect(0, 124927, '\p{^Is_Block=_Ethiopic_Extended_B}', "");
    Expect(0, 124927, '\P{Is_Block=_Ethiopic_Extended_B}', "");
    Expect(1, 124927, '\P{^Is_Block=_Ethiopic_Extended_B}', "");
    Expect(0, 124928, '\p{Is_Block=_Ethiopic_Extended_B}', "");
    Expect(1, 124928, '\p{^Is_Block=_Ethiopic_Extended_B}', "");
    Expect(1, 124928, '\P{Is_Block=_Ethiopic_Extended_B}', "");
    Expect(0, 124928, '\P{^Is_Block=_Ethiopic_Extended_B}', "");
    Error('\p{Is_Blk=/a/__ethiopic_Ext_B}');
    Error('\P{Is_Blk=/a/__ethiopic_Ext_B}');
    Expect(1, 124927, '\p{Is_Blk=ethiopicextb}', "");
    Expect(0, 124927, '\p{^Is_Blk=ethiopicextb}', "");
    Expect(0, 124927, '\P{Is_Blk=ethiopicextb}', "");
    Expect(1, 124927, '\P{^Is_Blk=ethiopicextb}', "");
    Expect(0, 124928, '\p{Is_Blk=ethiopicextb}', "");
    Expect(1, 124928, '\p{^Is_Blk=ethiopicextb}', "");
    Expect(1, 124928, '\P{Is_Blk=ethiopicextb}', "");
    Expect(0, 124928, '\P{^Is_Blk=ethiopicextb}', "");
    Expect(1, 124927, '\p{Is_Blk=-ethiopic_Ext_b}', "");
    Expect(0, 124927, '\p{^Is_Blk=-ethiopic_Ext_b}', "");
    Expect(0, 124927, '\P{Is_Blk=-ethiopic_Ext_b}', "");
    Expect(1, 124927, '\P{^Is_Blk=-ethiopic_Ext_b}', "");
    Expect(0, 124928, '\p{Is_Blk=-ethiopic_Ext_b}', "");
    Expect(1, 124928, '\p{^Is_Blk=-ethiopic_Ext_b}', "");
    Expect(1, 124928, '\P{Is_Blk=-ethiopic_Ext_b}', "");
    Expect(0, 124928, '\P{^Is_Blk=-ethiopic_Ext_b}', "");
    Error('\p{Block=:=-_Ethiopic_supplement}');
    Error('\P{Block=:=-_Ethiopic_supplement}');
    Expect(1, 5023, '\p{Block=:\AEthiopic_Supplement\z:}', "");;
    Expect(0, 5024, '\p{Block=:\AEthiopic_Supplement\z:}', "");;
    Expect(1, 5023, '\p{Block=ethiopicsupplement}', "");
    Expect(0, 5023, '\p{^Block=ethiopicsupplement}', "");
    Expect(0, 5023, '\P{Block=ethiopicsupplement}', "");
    Expect(1, 5023, '\P{^Block=ethiopicsupplement}', "");
    Expect(0, 5024, '\p{Block=ethiopicsupplement}', "");
    Expect(1, 5024, '\p{^Block=ethiopicsupplement}', "");
    Expect(1, 5024, '\P{Block=ethiopicsupplement}', "");
    Expect(0, 5024, '\P{^Block=ethiopicsupplement}', "");
    Expect(1, 5023, '\p{Block=:\Aethiopicsupplement\z:}', "");;
    Expect(0, 5024, '\p{Block=:\Aethiopicsupplement\z:}', "");;
    Expect(1, 5023, '\p{Block=__Ethiopic_Supplement}', "");
    Expect(0, 5023, '\p{^Block=__Ethiopic_Supplement}', "");
    Expect(0, 5023, '\P{Block=__Ethiopic_Supplement}', "");
    Expect(1, 5023, '\P{^Block=__Ethiopic_Supplement}', "");
    Expect(0, 5024, '\p{Block=__Ethiopic_Supplement}', "");
    Expect(1, 5024, '\p{^Block=__Ethiopic_Supplement}', "");
    Expect(1, 5024, '\P{Block=__Ethiopic_Supplement}', "");
    Expect(0, 5024, '\P{^Block=__Ethiopic_Supplement}', "");
    Error('\p{Blk=_Ethiopic_SUP:=}');
    Error('\P{Blk=_Ethiopic_SUP:=}');
    Expect(1, 5023, '\p{Blk=:\AEthiopic_Sup\z:}', "");;
    Expect(0, 5024, '\p{Blk=:\AEthiopic_Sup\z:}', "");;
    Expect(1, 5023, '\p{Blk=ethiopicsup}', "");
    Expect(0, 5023, '\p{^Blk=ethiopicsup}', "");
    Expect(0, 5023, '\P{Blk=ethiopicsup}', "");
    Expect(1, 5023, '\P{^Blk=ethiopicsup}', "");
    Expect(0, 5024, '\p{Blk=ethiopicsup}', "");
    Expect(1, 5024, '\p{^Blk=ethiopicsup}', "");
    Expect(1, 5024, '\P{Blk=ethiopicsup}', "");
    Expect(0, 5024, '\P{^Blk=ethiopicsup}', "");
    Expect(1, 5023, '\p{Blk=:\Aethiopicsup\z:}', "");;
    Expect(0, 5024, '\p{Blk=:\Aethiopicsup\z:}', "");;
    Expect(1, 5023, '\p{Blk=- Ethiopic_Sup}', "");
    Expect(0, 5023, '\p{^Blk=- Ethiopic_Sup}', "");
    Expect(0, 5023, '\P{Blk=- Ethiopic_Sup}', "");
    Expect(1, 5023, '\P{^Blk=- Ethiopic_Sup}', "");
    Expect(0, 5024, '\p{Blk=- Ethiopic_Sup}', "");
    Expect(1, 5024, '\p{^Blk=- Ethiopic_Sup}', "");
    Expect(1, 5024, '\P{Blk=- Ethiopic_Sup}', "");
    Expect(0, 5024, '\P{^Blk=- Ethiopic_Sup}', "");
    Error('\p{Is_Block=_/a/Ethiopic_Supplement}');
    Error('\P{Is_Block=_/a/Ethiopic_Supplement}');
    Expect(1, 5023, '\p{Is_Block: ethiopicsupplement}', "");
    Expect(0, 5023, '\p{^Is_Block: ethiopicsupplement}', "");
    Expect(0, 5023, '\P{Is_Block: ethiopicsupplement}', "");
    Expect(1, 5023, '\P{^Is_Block: ethiopicsupplement}', "");
    Expect(0, 5024, '\p{Is_Block: ethiopicsupplement}', "");
    Expect(1, 5024, '\p{^Is_Block: ethiopicsupplement}', "");
    Expect(1, 5024, '\P{Is_Block: ethiopicsupplement}', "");
    Expect(0, 5024, '\P{^Is_Block: ethiopicsupplement}', "");
    Expect(1, 5023, '\p{Is_Block=Ethiopic_Supplement}', "");
    Expect(0, 5023, '\p{^Is_Block=Ethiopic_Supplement}', "");
    Expect(0, 5023, '\P{Is_Block=Ethiopic_Supplement}', "");
    Expect(1, 5023, '\P{^Is_Block=Ethiopic_Supplement}', "");
    Expect(0, 5024, '\p{Is_Block=Ethiopic_Supplement}', "");
    Expect(1, 5024, '\p{^Is_Block=Ethiopic_Supplement}', "");
    Expect(1, 5024, '\P{Is_Block=Ethiopic_Supplement}', "");
    Expect(0, 5024, '\P{^Is_Block=Ethiopic_Supplement}', "");
    Error('\p{Is_Blk=_:=Ethiopic_Sup}');
    Error('\P{Is_Blk=_:=Ethiopic_Sup}');
    Expect(1, 5023, '\p{Is_Blk=ethiopicsup}', "");
    Expect(0, 5023, '\p{^Is_Blk=ethiopicsup}', "");
    Expect(0, 5023, '\P{Is_Blk=ethiopicsup}', "");
    Expect(1, 5023, '\P{^Is_Blk=ethiopicsup}', "");
    Expect(0, 5024, '\p{Is_Blk=ethiopicsup}', "");
    Expect(1, 5024, '\p{^Is_Blk=ethiopicsup}', "");
    Expect(1, 5024, '\P{Is_Blk=ethiopicsup}', "");
    Expect(0, 5024, '\P{^Is_Blk=ethiopicsup}', "");
    Expect(1, 5023, '\p{Is_Blk:		ethiopic_Sup}', "");
    Expect(0, 5023, '\p{^Is_Blk:		ethiopic_Sup}', "");
    Expect(0, 5023, '\P{Is_Blk:		ethiopic_Sup}', "");
    Expect(1, 5023, '\P{^Is_Blk:		ethiopic_Sup}', "");
    Expect(0, 5024, '\p{Is_Blk:		ethiopic_Sup}', "");
    Expect(1, 5024, '\p{^Is_Blk:		ethiopic_Sup}', "");
    Expect(1, 5024, '\P{Is_Blk:		ethiopic_Sup}', "");
    Expect(0, 5024, '\P{^Is_Blk:		ethiopic_Sup}', "");
    Error('\p{Block=:= 	Geometric_Shapes}');
    Error('\P{Block=:= 	Geometric_Shapes}');
    Expect(1, 9727, '\p{Block=:\AGeometric_Shapes\z:}', "");;
    Expect(0, 9728, '\p{Block=:\AGeometric_Shapes\z:}', "");;
    Expect(1, 9727, '\p{Block=geometricshapes}', "");
    Expect(0, 9727, '\p{^Block=geometricshapes}', "");
    Expect(0, 9727, '\P{Block=geometricshapes}', "");
    Expect(1, 9727, '\P{^Block=geometricshapes}', "");
    Expect(0, 9728, '\p{Block=geometricshapes}', "");
    Expect(1, 9728, '\p{^Block=geometricshapes}', "");
    Expect(1, 9728, '\P{Block=geometricshapes}', "");
    Expect(0, 9728, '\P{^Block=geometricshapes}', "");
    Expect(1, 9727, '\p{Block=:\Ageometricshapes\z:}', "");;
    Expect(0, 9728, '\p{Block=:\Ageometricshapes\z:}', "");;
    Expect(1, 9727, '\p{Block=	 geometric_shapes}', "");
    Expect(0, 9727, '\p{^Block=	 geometric_shapes}', "");
    Expect(0, 9727, '\P{Block=	 geometric_shapes}', "");
    Expect(1, 9727, '\P{^Block=	 geometric_shapes}', "");
    Expect(0, 9728, '\p{Block=	 geometric_shapes}', "");
    Expect(1, 9728, '\p{^Block=	 geometric_shapes}', "");
    Expect(1, 9728, '\P{Block=	 geometric_shapes}', "");
    Expect(0, 9728, '\P{^Block=	 geometric_shapes}', "");
    Error('\p{Blk=:=geometric_Shapes}');
    Error('\P{Blk=:=geometric_Shapes}');
    Expect(1, 9727, '\p{Blk=:\AGeometric_Shapes\z:}', "");;
    Expect(0, 9728, '\p{Blk=:\AGeometric_Shapes\z:}', "");;
    Expect(1, 9727, '\p{Blk=geometricshapes}', "");
    Expect(0, 9727, '\p{^Blk=geometricshapes}', "");
    Expect(0, 9727, '\P{Blk=geometricshapes}', "");
    Expect(1, 9727, '\P{^Blk=geometricshapes}', "");
    Expect(0, 9728, '\p{Blk=geometricshapes}', "");
    Expect(1, 9728, '\p{^Blk=geometricshapes}', "");
    Expect(1, 9728, '\P{Blk=geometricshapes}', "");
    Expect(0, 9728, '\P{^Blk=geometricshapes}', "");
    Expect(1, 9727, '\p{Blk=:\Ageometricshapes\z:}', "");;
    Expect(0, 9728, '\p{Blk=:\Ageometricshapes\z:}', "");;
    Expect(1, 9727, '\p{Blk=-_Geometric_Shapes}', "");
    Expect(0, 9727, '\p{^Blk=-_Geometric_Shapes}', "");
    Expect(0, 9727, '\P{Blk=-_Geometric_Shapes}', "");
    Expect(1, 9727, '\P{^Blk=-_Geometric_Shapes}', "");
    Expect(0, 9728, '\p{Blk=-_Geometric_Shapes}', "");
    Expect(1, 9728, '\p{^Blk=-_Geometric_Shapes}', "");
    Expect(1, 9728, '\P{Blk=-_Geometric_Shapes}', "");
    Expect(0, 9728, '\P{^Blk=-_Geometric_Shapes}', "");
    Error('\p{Is_Block=	_Geometric_SHAPES:=}');
    Error('\P{Is_Block=	_Geometric_SHAPES:=}');
    Expect(1, 9727, '\p{Is_Block=geometricshapes}', "");
    Expect(0, 9727, '\p{^Is_Block=geometricshapes}', "");
    Expect(0, 9727, '\P{Is_Block=geometricshapes}', "");
    Expect(1, 9727, '\P{^Is_Block=geometricshapes}', "");
    Expect(0, 9728, '\p{Is_Block=geometricshapes}', "");
    Expect(1, 9728, '\p{^Is_Block=geometricshapes}', "");
    Expect(1, 9728, '\P{Is_Block=geometricshapes}', "");
    Expect(0, 9728, '\P{^Is_Block=geometricshapes}', "");
    Expect(1, 9727, '\p{Is_Block= _Geometric_Shapes}', "");
    Expect(0, 9727, '\p{^Is_Block= _Geometric_Shapes}', "");
    Expect(0, 9727, '\P{Is_Block= _Geometric_Shapes}', "");
    Expect(1, 9727, '\P{^Is_Block= _Geometric_Shapes}', "");
    Expect(0, 9728, '\p{Is_Block= _Geometric_Shapes}', "");
    Expect(1, 9728, '\p{^Is_Block= _Geometric_Shapes}', "");
    Expect(1, 9728, '\P{Is_Block= _Geometric_Shapes}', "");
    Expect(0, 9728, '\P{^Is_Block= _Geometric_Shapes}', "");
    Error('\p{Is_Blk=_:=GEOMETRIC_Shapes}');
    Error('\P{Is_Blk=_:=GEOMETRIC_Shapes}');
    Expect(1, 9727, '\p{Is_Blk=geometricshapes}', "");
    Expect(0, 9727, '\p{^Is_Blk=geometricshapes}', "");
    Expect(0, 9727, '\P{Is_Blk=geometricshapes}', "");
    Expect(1, 9727, '\P{^Is_Blk=geometricshapes}', "");
    Expect(0, 9728, '\p{Is_Blk=geometricshapes}', "");
    Expect(1, 9728, '\p{^Is_Blk=geometricshapes}', "");
    Expect(1, 9728, '\P{Is_Blk=geometricshapes}', "");
    Expect(0, 9728, '\P{^Is_Blk=geometricshapes}', "");
    Expect(1, 9727, '\p{Is_Blk= GEOMETRIC_Shapes}', "");
    Expect(0, 9727, '\p{^Is_Blk= GEOMETRIC_Shapes}', "");
    Expect(0, 9727, '\P{Is_Blk= GEOMETRIC_Shapes}', "");
    Expect(1, 9727, '\P{^Is_Blk= GEOMETRIC_Shapes}', "");
    Expect(0, 9728, '\p{Is_Blk= GEOMETRIC_Shapes}', "");
    Expect(1, 9728, '\p{^Is_Blk= GEOMETRIC_Shapes}', "");
    Expect(1, 9728, '\P{Is_Blk= GEOMETRIC_Shapes}', "");
    Expect(0, 9728, '\P{^Is_Blk= GEOMETRIC_Shapes}', "");
    Error('\p{Block=:=Geometric_shapes_EXTENDED}');
    Error('\P{Block=:=Geometric_shapes_EXTENDED}');
    Expect(1, 129023, '\p{Block=:\AGeometric_Shapes_Extended\z:}', "");;
    Expect(0, 129024, '\p{Block=:\AGeometric_Shapes_Extended\z:}', "");;
    Expect(1, 129023, '\p{Block=geometricshapesextended}', "");
    Expect(0, 129023, '\p{^Block=geometricshapesextended}', "");
    Expect(0, 129023, '\P{Block=geometricshapesextended}', "");
    Expect(1, 129023, '\P{^Block=geometricshapesextended}', "");
    Expect(0, 129024, '\p{Block=geometricshapesextended}', "");
    Expect(1, 129024, '\p{^Block=geometricshapesextended}', "");
    Expect(1, 129024, '\P{Block=geometricshapesextended}', "");
    Expect(0, 129024, '\P{^Block=geometricshapesextended}', "");
    Expect(1, 129023, '\p{Block=:\Ageometricshapesextended\z:}', "");;
    Expect(0, 129024, '\p{Block=:\Ageometricshapesextended\z:}', "");;
    Expect(1, 129023, '\p{Block=__GEOMETRIC_SHAPES_Extended}', "");
    Expect(0, 129023, '\p{^Block=__GEOMETRIC_SHAPES_Extended}', "");
    Expect(0, 129023, '\P{Block=__GEOMETRIC_SHAPES_Extended}', "");
    Expect(1, 129023, '\P{^Block=__GEOMETRIC_SHAPES_Extended}', "");
    Expect(0, 129024, '\p{Block=__GEOMETRIC_SHAPES_Extended}', "");
    Expect(1, 129024, '\p{^Block=__GEOMETRIC_SHAPES_Extended}', "");
    Expect(1, 129024, '\P{Block=__GEOMETRIC_SHAPES_Extended}', "");
    Expect(0, 129024, '\P{^Block=__GEOMETRIC_SHAPES_Extended}', "");
    Error('\p{Blk=:=	Geometric_SHAPES_EXT}');
    Error('\P{Blk=:=	Geometric_SHAPES_EXT}');
    Expect(1, 129023, '\p{Blk=:\AGeometric_Shapes_Ext\z:}', "");;
    Expect(0, 129024, '\p{Blk=:\AGeometric_Shapes_Ext\z:}', "");;
    Expect(1, 129023, '\p{Blk=geometricshapesext}', "");
    Expect(0, 129023, '\p{^Blk=geometricshapesext}', "");
    Expect(0, 129023, '\P{Blk=geometricshapesext}', "");
    Expect(1, 129023, '\P{^Blk=geometricshapesext}', "");
    Expect(0, 129024, '\p{Blk=geometricshapesext}', "");
    Expect(1, 129024, '\p{^Blk=geometricshapesext}', "");
    Expect(1, 129024, '\P{Blk=geometricshapesext}', "");
    Expect(0, 129024, '\P{^Blk=geometricshapesext}', "");
    Expect(1, 129023, '\p{Blk=:\Ageometricshapesext\z:}', "");;
    Expect(0, 129024, '\p{Blk=:\Ageometricshapesext\z:}', "");;
    Expect(1, 129023, '\p{Blk=	Geometric_Shapes_Ext}', "");
    Expect(0, 129023, '\p{^Blk=	Geometric_Shapes_Ext}', "");
    Expect(0, 129023, '\P{Blk=	Geometric_Shapes_Ext}', "");
    Expect(1, 129023, '\P{^Blk=	Geometric_Shapes_Ext}', "");
    Expect(0, 129024, '\p{Blk=	Geometric_Shapes_Ext}', "");
    Expect(1, 129024, '\p{^Blk=	Geometric_Shapes_Ext}', "");
    Expect(1, 129024, '\P{Blk=	Geometric_Shapes_Ext}', "");
    Expect(0, 129024, '\P{^Blk=	Geometric_Shapes_Ext}', "");
    Error('\p{Is_Block=:=- GEOMETRIC_SHAPES_Extended}');
    Error('\P{Is_Block=:=- GEOMETRIC_SHAPES_Extended}');
    Expect(1, 129023, '\p{Is_Block=geometricshapesextended}', "");
    Expect(0, 129023, '\p{^Is_Block=geometricshapesextended}', "");
    Expect(0, 129023, '\P{Is_Block=geometricshapesextended}', "");
    Expect(1, 129023, '\P{^Is_Block=geometricshapesextended}', "");
    Expect(0, 129024, '\p{Is_Block=geometricshapesextended}', "");
    Expect(1, 129024, '\p{^Is_Block=geometricshapesextended}', "");
    Expect(1, 129024, '\P{Is_Block=geometricshapesextended}', "");
    Expect(0, 129024, '\P{^Is_Block=geometricshapesextended}', "");
    Expect(1, 129023, '\p{Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129023, '\p{^Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129023, '\P{Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Expect(1, 129023, '\P{^Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129024, '\p{Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Expect(1, 129024, '\p{^Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Expect(1, 129024, '\P{Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129024, '\P{^Is_Block=	 GEOMETRIC_Shapes_Extended}', "");
    Error('\p{Is_Blk=_/a/GEOMETRIC_shapes_Ext}');
    Error('\P{Is_Blk=_/a/GEOMETRIC_shapes_Ext}');
    Expect(1, 129023, '\p{Is_Blk=geometricshapesext}', "");
    Expect(0, 129023, '\p{^Is_Blk=geometricshapesext}', "");
    Expect(0, 129023, '\P{Is_Blk=geometricshapesext}', "");
    Expect(1, 129023, '\P{^Is_Blk=geometricshapesext}', "");
    Expect(0, 129024, '\p{Is_Blk=geometricshapesext}', "");
    Expect(1, 129024, '\p{^Is_Blk=geometricshapesext}', "");
    Expect(1, 129024, '\P{Is_Blk=geometricshapesext}', "");
    Expect(0, 129024, '\P{^Is_Blk=geometricshapesext}', "");
    Expect(1, 129023, '\p{Is_Blk=	-Geometric_shapes_ext}', "");
    Expect(0, 129023, '\p{^Is_Blk=	-Geometric_shapes_ext}', "");
    Expect(0, 129023, '\P{Is_Blk=	-Geometric_shapes_ext}', "");
    Expect(1, 129023, '\P{^Is_Blk=	-Geometric_shapes_ext}', "");
    Expect(0, 129024, '\p{Is_Blk=	-Geometric_shapes_ext}', "");
    Expect(1, 129024, '\p{^Is_Blk=	-Geometric_shapes_ext}', "");
    Expect(1, 129024, '\P{Is_Blk=	-Geometric_shapes_ext}', "");
    Expect(0, 129024, '\P{^Is_Blk=	-Geometric_shapes_ext}', "");
    Error('\p{Block=	/a/Georgian}');
    Error('\P{Block=	/a/Georgian}');
    Expect(1, 4351, '\p{Block=:\AGeorgian\z:}', "");;
    Expect(0, 4352, '\p{Block=:\AGeorgian\z:}', "");;
    Expect(1, 4351, '\p{Block=georgian}', "");
    Expect(0, 4351, '\p{^Block=georgian}', "");
    Expect(0, 4351, '\P{Block=georgian}', "");
    Expect(1, 4351, '\P{^Block=georgian}', "");
    Expect(0, 4352, '\p{Block=georgian}', "");
    Expect(1, 4352, '\p{^Block=georgian}', "");
    Expect(1, 4352, '\P{Block=georgian}', "");
    Expect(0, 4352, '\P{^Block=georgian}', "");
    Expect(1, 4351, '\p{Block=:\Ageorgian\z:}', "");;
    Expect(0, 4352, '\p{Block=:\Ageorgian\z:}', "");;
    Expect(1, 4351, '\p{Block:  GEORGIAN}', "");
    Expect(0, 4351, '\p{^Block:  GEORGIAN}', "");
    Expect(0, 4351, '\P{Block:  GEORGIAN}', "");
    Expect(1, 4351, '\P{^Block:  GEORGIAN}', "");
    Expect(0, 4352, '\p{Block:  GEORGIAN}', "");
    Expect(1, 4352, '\p{^Block:  GEORGIAN}', "");
    Expect(1, 4352, '\P{Block:  GEORGIAN}', "");
    Expect(0, 4352, '\P{^Block:  GEORGIAN}', "");
    Error('\p{Blk:    :=GEORGIAN}');
    Error('\P{Blk:    :=GEORGIAN}');
    Expect(1, 4351, '\p{Blk=:\AGeorgian\z:}', "");;
    Expect(0, 4352, '\p{Blk=:\AGeorgian\z:}', "");;
    Expect(1, 4351, '\p{Blk=georgian}', "");
    Expect(0, 4351, '\p{^Blk=georgian}', "");
    Expect(0, 4351, '\P{Blk=georgian}', "");
    Expect(1, 4351, '\P{^Blk=georgian}', "");
    Expect(0, 4352, '\p{Blk=georgian}', "");
    Expect(1, 4352, '\p{^Blk=georgian}', "");
    Expect(1, 4352, '\P{Blk=georgian}', "");
    Expect(0, 4352, '\P{^Blk=georgian}', "");
    Expect(1, 4351, '\p{Blk=:\Ageorgian\z:}', "");;
    Expect(0, 4352, '\p{Blk=:\Ageorgian\z:}', "");;
    Expect(1, 4351, '\p{Blk=  georgian}', "");
    Expect(0, 4351, '\p{^Blk=  georgian}', "");
    Expect(0, 4351, '\P{Blk=  georgian}', "");
    Expect(1, 4351, '\P{^Blk=  georgian}', "");
    Expect(0, 4352, '\p{Blk=  georgian}', "");
    Expect(1, 4352, '\p{^Blk=  georgian}', "");
    Expect(1, 4352, '\P{Blk=  georgian}', "");
    Expect(0, 4352, '\P{^Blk=  georgian}', "");
    Error('\p{Is_Block:     GEORGIAN/a/}');
    Error('\P{Is_Block:     GEORGIAN/a/}');
    Expect(1, 4351, '\p{Is_Block=georgian}', "");
    Expect(0, 4351, '\p{^Is_Block=georgian}', "");
    Expect(0, 4351, '\P{Is_Block=georgian}', "");
    Expect(1, 4351, '\P{^Is_Block=georgian}', "");
    Expect(0, 4352, '\p{Is_Block=georgian}', "");
    Expect(1, 4352, '\p{^Is_Block=georgian}', "");
    Expect(1, 4352, '\P{Is_Block=georgian}', "");
    Expect(0, 4352, '\P{^Is_Block=georgian}', "");
    Expect(1, 4351, '\p{Is_Block=	-georgian}', "");
    Expect(0, 4351, '\p{^Is_Block=	-georgian}', "");
    Expect(0, 4351, '\P{Is_Block=	-georgian}', "");
    Expect(1, 4351, '\P{^Is_Block=	-georgian}', "");
    Expect(0, 4352, '\p{Is_Block=	-georgian}', "");
    Expect(1, 4352, '\p{^Is_Block=	-georgian}', "");
    Expect(1, 4352, '\P{Is_Block=	-georgian}', "");
    Expect(0, 4352, '\P{^Is_Block=	-georgian}', "");
    Error('\p{Is_Blk=__Georgian/a/}');
    Error('\P{Is_Blk=__Georgian/a/}');
    Expect(1, 4351, '\p{Is_Blk=georgian}', "");
    Expect(0, 4351, '\p{^Is_Blk=georgian}', "");
    Expect(0, 4351, '\P{Is_Blk=georgian}', "");
    Expect(1, 4351, '\P{^Is_Blk=georgian}', "");
    Expect(0, 4352, '\p{Is_Blk=georgian}', "");
    Expect(1, 4352, '\p{^Is_Blk=georgian}', "");
    Expect(1, 4352, '\P{Is_Blk=georgian}', "");
    Expect(0, 4352, '\P{^Is_Blk=georgian}', "");
    Expect(1, 4351, '\p{Is_Blk=	GEORGIAN}', "");
    Expect(0, 4351, '\p{^Is_Blk=	GEORGIAN}', "");
    Expect(0, 4351, '\P{Is_Blk=	GEORGIAN}', "");
    Expect(1, 4351, '\P{^Is_Blk=	GEORGIAN}', "");
    Expect(0, 4352, '\p{Is_Blk=	GEORGIAN}', "");
    Expect(1, 4352, '\p{^Is_Blk=	GEORGIAN}', "");
    Expect(1, 4352, '\P{Is_Blk=	GEORGIAN}', "");
    Expect(0, 4352, '\P{^Is_Blk=	GEORGIAN}', "");
    Error('\p{Block=:=__GEORGIAN_Extended}');
    Error('\P{Block=:=__GEORGIAN_Extended}');
    Expect(1, 7359, '\p{Block=:\AGeorgian_Extended\z:}', "");;
    Expect(0, 7360, '\p{Block=:\AGeorgian_Extended\z:}', "");;
    Expect(1, 7359, '\p{Block=georgianextended}', "");
    Expect(0, 7359, '\p{^Block=georgianextended}', "");
    Expect(0, 7359, '\P{Block=georgianextended}', "");
    Expect(1, 7359, '\P{^Block=georgianextended}', "");
    Expect(0, 7360, '\p{Block=georgianextended}', "");
    Expect(1, 7360, '\p{^Block=georgianextended}', "");
    Expect(1, 7360, '\P{Block=georgianextended}', "");
    Expect(0, 7360, '\P{^Block=georgianextended}', "");
    Expect(1, 7359, '\p{Block=:\Ageorgianextended\z:}', "");;
    Expect(0, 7360, '\p{Block=:\Ageorgianextended\z:}', "");;
    Expect(1, 7359, '\p{Block=- GEORGIAN_Extended}', "");
    Expect(0, 7359, '\p{^Block=- GEORGIAN_Extended}', "");
    Expect(0, 7359, '\P{Block=- GEORGIAN_Extended}', "");
    Expect(1, 7359, '\P{^Block=- GEORGIAN_Extended}', "");
    Expect(0, 7360, '\p{Block=- GEORGIAN_Extended}', "");
    Expect(1, 7360, '\p{^Block=- GEORGIAN_Extended}', "");
    Expect(1, 7360, '\P{Block=- GEORGIAN_Extended}', "");
    Expect(0, 7360, '\P{^Block=- GEORGIAN_Extended}', "");
    Error('\p{Blk=__Georgian_EXT:=}');
    Error('\P{Blk=__Georgian_EXT:=}');
    Expect(1, 7359, '\p{Blk=:\AGeorgian_Ext\z:}', "");;
    Expect(0, 7360, '\p{Blk=:\AGeorgian_Ext\z:}', "");;
    Expect(1, 7359, '\p{Blk=georgianext}', "");
    Expect(0, 7359, '\p{^Blk=georgianext}', "");
    Expect(0, 7359, '\P{Blk=georgianext}', "");
    Expect(1, 7359, '\P{^Blk=georgianext}', "");
    Expect(0, 7360, '\p{Blk=georgianext}', "");
    Expect(1, 7360, '\p{^Blk=georgianext}', "");
    Expect(1, 7360, '\P{Blk=georgianext}', "");
    Expect(0, 7360, '\P{^Blk=georgianext}', "");
    Expect(1, 7359, '\p{Blk=:\Ageorgianext\z:}', "");;
    Expect(0, 7360, '\p{Blk=:\Ageorgianext\z:}', "");;
    Expect(1, 7359, '\p{Blk= Georgian_Ext}', "");
    Expect(0, 7359, '\p{^Blk= Georgian_Ext}', "");
    Expect(0, 7359, '\P{Blk= Georgian_Ext}', "");
    Expect(1, 7359, '\P{^Blk= Georgian_Ext}', "");
    Expect(0, 7360, '\p{Blk= Georgian_Ext}', "");
    Expect(1, 7360, '\p{^Blk= Georgian_Ext}', "");
    Expect(1, 7360, '\P{Blk= Georgian_Ext}', "");
    Expect(0, 7360, '\P{^Blk= Georgian_Ext}', "");
    Error('\p{Is_Block: _/a/GEORGIAN_extended}');
    Error('\P{Is_Block: _/a/GEORGIAN_extended}');
    Expect(1, 7359, '\p{Is_Block=georgianextended}', "");
    Expect(0, 7359, '\p{^Is_Block=georgianextended}', "");
    Expect(0, 7359, '\P{Is_Block=georgianextended}', "");
    Expect(1, 7359, '\P{^Is_Block=georgianextended}', "");
    Expect(0, 7360, '\p{Is_Block=georgianextended}', "");
    Expect(1, 7360, '\p{^Is_Block=georgianextended}', "");
    Expect(1, 7360, '\P{Is_Block=georgianextended}', "");
    Expect(0, 7360, '\P{^Is_Block=georgianextended}', "");
    Expect(1, 7359, '\p{Is_Block=_ georgian_Extended}', "");
    Expect(0, 7359, '\p{^Is_Block=_ georgian_Extended}', "");
    Expect(0, 7359, '\P{Is_Block=_ georgian_Extended}', "");
    Expect(1, 7359, '\P{^Is_Block=_ georgian_Extended}', "");
    Expect(0, 7360, '\p{Is_Block=_ georgian_Extended}', "");
    Expect(1, 7360, '\p{^Is_Block=_ georgian_Extended}', "");
    Expect(1, 7360, '\P{Is_Block=_ georgian_Extended}', "");
    Expect(0, 7360, '\P{^Is_Block=_ georgian_Extended}', "");
    Error('\p{Is_Blk=:=	georgian_Ext}');
    Error('\P{Is_Blk=:=	georgian_Ext}');
    Expect(1, 7359, '\p{Is_Blk=georgianext}', "");
    Expect(0, 7359, '\p{^Is_Blk=georgianext}', "");
    Expect(0, 7359, '\P{Is_Blk=georgianext}', "");
    Expect(1, 7359, '\P{^Is_Blk=georgianext}', "");
    Expect(0, 7360, '\p{Is_Blk=georgianext}', "");
    Expect(1, 7360, '\p{^Is_Blk=georgianext}', "");
    Expect(1, 7360, '\P{Is_Blk=georgianext}', "");
    Expect(0, 7360, '\P{^Is_Blk=georgianext}', "");
    Expect(1, 7359, '\p{Is_Blk:-	georgian_Ext}', "");
    Expect(0, 7359, '\p{^Is_Blk:-	georgian_Ext}', "");
    Expect(0, 7359, '\P{Is_Blk:-	georgian_Ext}', "");
    Expect(1, 7359, '\P{^Is_Blk:-	georgian_Ext}', "");
    Expect(0, 7360, '\p{Is_Blk:-	georgian_Ext}', "");
    Expect(1, 7360, '\p{^Is_Blk:-	georgian_Ext}', "");
    Expect(1, 7360, '\P{Is_Blk:-	georgian_Ext}', "");
    Expect(0, 7360, '\P{^Is_Blk:-	georgian_Ext}', "");
    Error('\p{Block=	 Georgian_Supplement/a/}');
    Error('\P{Block=	 Georgian_Supplement/a/}');
    Expect(1, 11567, '\p{Block=:\AGeorgian_Supplement\z:}', "");;
    Expect(0, 11568, '\p{Block=:\AGeorgian_Supplement\z:}', "");;
    Expect(1, 11567, '\p{Block=georgiansupplement}', "");
    Expect(0, 11567, '\p{^Block=georgiansupplement}', "");
    Expect(0, 11567, '\P{Block=georgiansupplement}', "");
    Expect(1, 11567, '\P{^Block=georgiansupplement}', "");
    Expect(0, 11568, '\p{Block=georgiansupplement}', "");
    Expect(1, 11568, '\p{^Block=georgiansupplement}', "");
    Expect(1, 11568, '\P{Block=georgiansupplement}', "");
    Expect(0, 11568, '\P{^Block=georgiansupplement}', "");
    Expect(1, 11567, '\p{Block=:\Ageorgiansupplement\z:}', "");;
    Expect(0, 11568, '\p{Block=:\Ageorgiansupplement\z:}', "");;
    Expect(1, 11567, '\p{Block=	-Georgian_Supplement}', "");
    Expect(0, 11567, '\p{^Block=	-Georgian_Supplement}', "");
    Expect(0, 11567, '\P{Block=	-Georgian_Supplement}', "");
    Expect(1, 11567, '\P{^Block=	-Georgian_Supplement}', "");
    Expect(0, 11568, '\p{Block=	-Georgian_Supplement}', "");
    Expect(1, 11568, '\p{^Block=	-Georgian_Supplement}', "");
    Expect(1, 11568, '\P{Block=	-Georgian_Supplement}', "");
    Expect(0, 11568, '\P{^Block=	-Georgian_Supplement}', "");
    Error('\p{Blk=/a/_Georgian_Sup}');
    Error('\P{Blk=/a/_Georgian_Sup}');
    Expect(1, 11567, '\p{Blk=:\AGeorgian_Sup\z:}', "");;
    Expect(0, 11568, '\p{Blk=:\AGeorgian_Sup\z:}', "");;
    Expect(1, 11567, '\p{Blk=georgiansup}', "");
    Expect(0, 11567, '\p{^Blk=georgiansup}', "");
    Expect(0, 11567, '\P{Blk=georgiansup}', "");
    Expect(1, 11567, '\P{^Blk=georgiansup}', "");
    Expect(0, 11568, '\p{Blk=georgiansup}', "");
    Expect(1, 11568, '\p{^Blk=georgiansup}', "");
    Expect(1, 11568, '\P{Blk=georgiansup}', "");
    Expect(0, 11568, '\P{^Blk=georgiansup}', "");
    Expect(1, 11567, '\p{Blk=:\Ageorgiansup\z:}', "");;
    Expect(0, 11568, '\p{Blk=:\Ageorgiansup\z:}', "");;
    Expect(1, 11567, '\p{Blk=_-georgian_Sup}', "");
    Expect(0, 11567, '\p{^Blk=_-georgian_Sup}', "");
    Expect(0, 11567, '\P{Blk=_-georgian_Sup}', "");
    Expect(1, 11567, '\P{^Blk=_-georgian_Sup}', "");
    Expect(0, 11568, '\p{Blk=_-georgian_Sup}', "");
    Expect(1, 11568, '\p{^Blk=_-georgian_Sup}', "");
    Expect(1, 11568, '\P{Blk=_-georgian_Sup}', "");
    Expect(0, 11568, '\P{^Blk=_-georgian_Sup}', "");
    Error('\p{Is_Block=-_georgian_supplement/a/}');
    Error('\P{Is_Block=-_georgian_supplement/a/}');
    Expect(1, 11567, '\p{Is_Block=georgiansupplement}', "");
    Expect(0, 11567, '\p{^Is_Block=georgiansupplement}', "");
    Expect(0, 11567, '\P{Is_Block=georgiansupplement}', "");
    Expect(1, 11567, '\P{^Is_Block=georgiansupplement}', "");
    Expect(0, 11568, '\p{Is_Block=georgiansupplement}', "");
    Expect(1, 11568, '\p{^Is_Block=georgiansupplement}', "");
    Expect(1, 11568, '\P{Is_Block=georgiansupplement}', "");
    Expect(0, 11568, '\P{^Is_Block=georgiansupplement}', "");
    Expect(1, 11567, '\p{Is_Block=_georgian_supplement}', "");
    Expect(0, 11567, '\p{^Is_Block=_georgian_supplement}', "");
    Expect(0, 11567, '\P{Is_Block=_georgian_supplement}', "");
    Expect(1, 11567, '\P{^Is_Block=_georgian_supplement}', "");
    Expect(0, 11568, '\p{Is_Block=_georgian_supplement}', "");
    Expect(1, 11568, '\p{^Is_Block=_georgian_supplement}', "");
    Expect(1, 11568, '\P{Is_Block=_georgian_supplement}', "");
    Expect(0, 11568, '\P{^Is_Block=_georgian_supplement}', "");
    Error('\p{Is_Blk=/a/Georgian_sup}');
    Error('\P{Is_Blk=/a/Georgian_sup}');
    Expect(1, 11567, '\p{Is_Blk=georgiansup}', "");
    Expect(0, 11567, '\p{^Is_Blk=georgiansup}', "");
    Expect(0, 11567, '\P{Is_Blk=georgiansup}', "");
    Expect(1, 11567, '\P{^Is_Blk=georgiansup}', "");
    Expect(0, 11568, '\p{Is_Blk=georgiansup}', "");
    Expect(1, 11568, '\p{^Is_Blk=georgiansup}', "");
    Expect(1, 11568, '\P{Is_Blk=georgiansup}', "");
    Expect(0, 11568, '\P{^Is_Blk=georgiansup}', "");
    Expect(1, 11567, '\p{Is_Blk=__GEORGIAN_Sup}', "");
    Expect(0, 11567, '\p{^Is_Blk=__GEORGIAN_Sup}', "");
    Expect(0, 11567, '\P{Is_Blk=__GEORGIAN_Sup}', "");
    Expect(1, 11567, '\P{^Is_Blk=__GEORGIAN_Sup}', "");
    Expect(0, 11568, '\p{Is_Blk=__GEORGIAN_Sup}', "");
    Expect(1, 11568, '\p{^Is_Blk=__GEORGIAN_Sup}', "");
    Expect(1, 11568, '\P{Is_Blk=__GEORGIAN_Sup}', "");
    Expect(0, 11568, '\P{^Is_Blk=__GEORGIAN_Sup}', "");
    Error('\p{Block=-/a/glagolitic}');
    Error('\P{Block=-/a/glagolitic}');
    Expect(1, 11359, '\p{Block=:\AGlagolitic\z:}', "");;
    Expect(0, 11360, '\p{Block=:\AGlagolitic\z:}', "");;
    Expect(1, 11359, '\p{Block=glagolitic}', "");
    Expect(0, 11359, '\p{^Block=glagolitic}', "");
    Expect(0, 11359, '\P{Block=glagolitic}', "");
    Expect(1, 11359, '\P{^Block=glagolitic}', "");
    Expect(0, 11360, '\p{Block=glagolitic}', "");
    Expect(1, 11360, '\p{^Block=glagolitic}', "");
    Expect(1, 11360, '\P{Block=glagolitic}', "");
    Expect(0, 11360, '\P{^Block=glagolitic}', "");
    Expect(1, 11359, '\p{Block=:\Aglagolitic\z:}', "");;
    Expect(0, 11360, '\p{Block=:\Aglagolitic\z:}', "");;
    Expect(1, 11359, '\p{Block= _GLAGOLITIC}', "");
    Expect(0, 11359, '\p{^Block= _GLAGOLITIC}', "");
    Expect(0, 11359, '\P{Block= _GLAGOLITIC}', "");
    Expect(1, 11359, '\P{^Block= _GLAGOLITIC}', "");
    Expect(0, 11360, '\p{Block= _GLAGOLITIC}', "");
    Expect(1, 11360, '\p{^Block= _GLAGOLITIC}', "");
    Expect(1, 11360, '\P{Block= _GLAGOLITIC}', "");
    Expect(0, 11360, '\P{^Block= _GLAGOLITIC}', "");
    Error('\p{Blk=	/a/Glagolitic}');
    Error('\P{Blk=	/a/Glagolitic}');
    Expect(1, 11359, '\p{Blk=:\AGlagolitic\z:}', "");;
    Expect(0, 11360, '\p{Blk=:\AGlagolitic\z:}', "");;
    Expect(1, 11359, '\p{Blk=glagolitic}', "");
    Expect(0, 11359, '\p{^Blk=glagolitic}', "");
    Expect(0, 11359, '\P{Blk=glagolitic}', "");
    Expect(1, 11359, '\P{^Blk=glagolitic}', "");
    Expect(0, 11360, '\p{Blk=glagolitic}', "");
    Expect(1, 11360, '\p{^Blk=glagolitic}', "");
    Expect(1, 11360, '\P{Blk=glagolitic}', "");
    Expect(0, 11360, '\P{^Blk=glagolitic}', "");
    Expect(1, 11359, '\p{Blk=:\Aglagolitic\z:}', "");;
    Expect(0, 11360, '\p{Blk=:\Aglagolitic\z:}', "");;
    Expect(1, 11359, '\p{Blk=	Glagolitic}', "");
    Expect(0, 11359, '\p{^Blk=	Glagolitic}', "");
    Expect(0, 11359, '\P{Blk=	Glagolitic}', "");
    Expect(1, 11359, '\P{^Blk=	Glagolitic}', "");
    Expect(0, 11360, '\p{Blk=	Glagolitic}', "");
    Expect(1, 11360, '\p{^Blk=	Glagolitic}', "");
    Expect(1, 11360, '\P{Blk=	Glagolitic}', "");
    Expect(0, 11360, '\P{^Blk=	Glagolitic}', "");
    Error('\p{Is_Block=-/a/glagolitic}');
    Error('\P{Is_Block=-/a/glagolitic}');
    Expect(1, 11359, '\p{Is_Block=glagolitic}', "");
    Expect(0, 11359, '\p{^Is_Block=glagolitic}', "");
    Expect(0, 11359, '\P{Is_Block=glagolitic}', "");
    Expect(1, 11359, '\P{^Is_Block=glagolitic}', "");
    Expect(0, 11360, '\p{Is_Block=glagolitic}', "");
    Expect(1, 11360, '\p{^Is_Block=glagolitic}', "");
    Expect(1, 11360, '\P{Is_Block=glagolitic}', "");
    Expect(0, 11360, '\P{^Is_Block=glagolitic}', "");
    Expect(1, 11359, '\p{Is_Block=Glagolitic}', "");
    Expect(0, 11359, '\p{^Is_Block=Glagolitic}', "");
    Expect(0, 11359, '\P{Is_Block=Glagolitic}', "");
    Expect(1, 11359, '\P{^Is_Block=Glagolitic}', "");
    Expect(0, 11360, '\p{Is_Block=Glagolitic}', "");
    Expect(1, 11360, '\p{^Is_Block=Glagolitic}', "");
    Expect(1, 11360, '\P{Is_Block=Glagolitic}', "");
    Expect(0, 11360, '\P{^Is_Block=Glagolitic}', "");
    Error('\p{Is_Blk=/a/GLAGOLITIC}');
    Error('\P{Is_Blk=/a/GLAGOLITIC}');
    Expect(1, 11359, '\p{Is_Blk=glagolitic}', "");
    Expect(0, 11359, '\p{^Is_Blk=glagolitic}', "");
    Expect(0, 11359, '\P{Is_Blk=glagolitic}', "");
    Expect(1, 11359, '\P{^Is_Blk=glagolitic}', "");
    Expect(0, 11360, '\p{Is_Blk=glagolitic}', "");
    Expect(1, 11360, '\p{^Is_Blk=glagolitic}', "");
    Expect(1, 11360, '\P{Is_Blk=glagolitic}', "");
    Expect(0, 11360, '\P{^Is_Blk=glagolitic}', "");
    Expect(1, 11359, '\p{Is_Blk=_Glagolitic}', "");
    Expect(0, 11359, '\p{^Is_Blk=_Glagolitic}', "");
    Expect(0, 11359, '\P{Is_Blk=_Glagolitic}', "");
    Expect(1, 11359, '\P{^Is_Blk=_Glagolitic}', "");
    Expect(0, 11360, '\p{Is_Blk=_Glagolitic}', "");
    Expect(1, 11360, '\p{^Is_Blk=_Glagolitic}', "");
    Expect(1, 11360, '\P{Is_Blk=_Glagolitic}', "");
    Expect(0, 11360, '\P{^Is_Blk=_Glagolitic}', "");
    Error('\p{Block=_-glagolitic_Supplement/a/}');
    Error('\P{Block=_-glagolitic_Supplement/a/}');
    Expect(1, 122927, '\p{Block=:\AGlagolitic_Supplement\z:}', "");;
    Expect(0, 122928, '\p{Block=:\AGlagolitic_Supplement\z:}', "");;
    Expect(1, 122927, '\p{Block=glagoliticsupplement}', "");
    Expect(0, 122927, '\p{^Block=glagoliticsupplement}', "");
    Expect(0, 122927, '\P{Block=glagoliticsupplement}', "");
    Expect(1, 122927, '\P{^Block=glagoliticsupplement}', "");
    Expect(0, 122928, '\p{Block=glagoliticsupplement}', "");
    Expect(1, 122928, '\p{^Block=glagoliticsupplement}', "");
    Expect(1, 122928, '\P{Block=glagoliticsupplement}', "");
    Expect(0, 122928, '\P{^Block=glagoliticsupplement}', "");
    Expect(1, 122927, '\p{Block=:\Aglagoliticsupplement\z:}', "");;
    Expect(0, 122928, '\p{Block=:\Aglagoliticsupplement\z:}', "");;
    Expect(1, 122927, '\p{Block=glagolitic_supplement}', "");
    Expect(0, 122927, '\p{^Block=glagolitic_supplement}', "");
    Expect(0, 122927, '\P{Block=glagolitic_supplement}', "");
    Expect(1, 122927, '\P{^Block=glagolitic_supplement}', "");
    Expect(0, 122928, '\p{Block=glagolitic_supplement}', "");
    Expect(1, 122928, '\p{^Block=glagolitic_supplement}', "");
    Expect(1, 122928, '\P{Block=glagolitic_supplement}', "");
    Expect(0, 122928, '\P{^Block=glagolitic_supplement}', "");
    Error('\p{Blk= Glagolitic_Sup/a/}');
    Error('\P{Blk= Glagolitic_Sup/a/}');
    Expect(1, 122927, '\p{Blk=:\AGlagolitic_Sup\z:}', "");;
    Expect(0, 122928, '\p{Blk=:\AGlagolitic_Sup\z:}', "");;
    Expect(1, 122927, '\p{Blk=glagoliticsup}', "");
    Expect(0, 122927, '\p{^Blk=glagoliticsup}', "");
    Expect(0, 122927, '\P{Blk=glagoliticsup}', "");
    Expect(1, 122927, '\P{^Blk=glagoliticsup}', "");
    Expect(0, 122928, '\p{Blk=glagoliticsup}', "");
    Expect(1, 122928, '\p{^Blk=glagoliticsup}', "");
    Expect(1, 122928, '\P{Blk=glagoliticsup}', "");
    Expect(0, 122928, '\P{^Blk=glagoliticsup}', "");
    Expect(1, 122927, '\p{Blk=:\Aglagoliticsup\z:}', "");;
    Expect(0, 122928, '\p{Blk=:\Aglagoliticsup\z:}', "");;
    Expect(1, 122927, '\p{Blk=_-Glagolitic_Sup}', "");
    Expect(0, 122927, '\p{^Blk=_-Glagolitic_Sup}', "");
    Expect(0, 122927, '\P{Blk=_-Glagolitic_Sup}', "");
    Expect(1, 122927, '\P{^Blk=_-Glagolitic_Sup}', "");
    Expect(0, 122928, '\p{Blk=_-Glagolitic_Sup}', "");
    Expect(1, 122928, '\p{^Blk=_-Glagolitic_Sup}', "");
    Expect(1, 122928, '\P{Blk=_-Glagolitic_Sup}', "");
    Expect(0, 122928, '\P{^Blk=_-Glagolitic_Sup}', "");
    Error('\p{Is_Block=:=__glagolitic_Supplement}');
    Error('\P{Is_Block=:=__glagolitic_Supplement}');
    Expect(1, 122927, '\p{Is_Block=glagoliticsupplement}', "");
    Expect(0, 122927, '\p{^Is_Block=glagoliticsupplement}', "");
    Expect(0, 122927, '\P{Is_Block=glagoliticsupplement}', "");
    Expect(1, 122927, '\P{^Is_Block=glagoliticsupplement}', "");
    Expect(0, 122928, '\p{Is_Block=glagoliticsupplement}', "");
    Expect(1, 122928, '\p{^Is_Block=glagoliticsupplement}', "");
    Expect(1, 122928, '\P{Is_Block=glagoliticsupplement}', "");
    Expect(0, 122928, '\P{^Is_Block=glagoliticsupplement}', "");
    Expect(1, 122927, '\p{Is_Block=GLAGOLITIC_supplement}', "");
    Expect(0, 122927, '\p{^Is_Block=GLAGOLITIC_supplement}', "");
    Expect(0, 122927, '\P{Is_Block=GLAGOLITIC_supplement}', "");
    Expect(1, 122927, '\P{^Is_Block=GLAGOLITIC_supplement}', "");
    Expect(0, 122928, '\p{Is_Block=GLAGOLITIC_supplement}', "");
    Expect(1, 122928, '\p{^Is_Block=GLAGOLITIC_supplement}', "");
    Expect(1, 122928, '\P{Is_Block=GLAGOLITIC_supplement}', "");
    Expect(0, 122928, '\P{^Is_Block=GLAGOLITIC_supplement}', "");
    Error('\p{Is_Blk= GLAGOLITIC_Sup:=}');
    Error('\P{Is_Blk= GLAGOLITIC_Sup:=}');
    Expect(1, 122927, '\p{Is_Blk:glagoliticsup}', "");
    Expect(0, 122927, '\p{^Is_Blk:glagoliticsup}', "");
    Expect(0, 122927, '\P{Is_Blk:glagoliticsup}', "");
    Expect(1, 122927, '\P{^Is_Blk:glagoliticsup}', "");
    Expect(0, 122928, '\p{Is_Blk:glagoliticsup}', "");
    Expect(1, 122928, '\p{^Is_Blk:glagoliticsup}', "");
    Expect(1, 122928, '\P{Is_Blk:glagoliticsup}', "");
    Expect(0, 122928, '\P{^Is_Blk:glagoliticsup}', "");
    Expect(1, 122927, '\p{Is_Blk=_GLAGOLITIC_Sup}', "");
    Expect(0, 122927, '\p{^Is_Blk=_GLAGOLITIC_Sup}', "");
    Expect(0, 122927, '\P{Is_Blk=_GLAGOLITIC_Sup}', "");
    Expect(1, 122927, '\P{^Is_Blk=_GLAGOLITIC_Sup}', "");
    Expect(0, 122928, '\p{Is_Blk=_GLAGOLITIC_Sup}', "");
    Expect(1, 122928, '\p{^Is_Blk=_GLAGOLITIC_Sup}', "");
    Expect(1, 122928, '\P{Is_Blk=_GLAGOLITIC_Sup}', "");
    Expect(0, 122928, '\P{^Is_Blk=_GLAGOLITIC_Sup}', "");
    Error('\p{Block=-:=gothic}');
    Error('\P{Block=-:=gothic}');
    Expect(1, 66383, '\p{Block=:\AGothic\z:}', "");;
    Expect(0, 66384, '\p{Block=:\AGothic\z:}', "");;
    Expect(1, 66383, '\p{Block=gothic}', "");
    Expect(0, 66383, '\p{^Block=gothic}', "");
    Expect(0, 66383, '\P{Block=gothic}', "");
    Expect(1, 66383, '\P{^Block=gothic}', "");
    Expect(0, 66384, '\p{Block=gothic}', "");
    Expect(1, 66384, '\p{^Block=gothic}', "");
    Expect(1, 66384, '\P{Block=gothic}', "");
    Expect(0, 66384, '\P{^Block=gothic}', "");
    Expect(1, 66383, '\p{Block=:\Agothic\z:}', "");;
    Expect(0, 66384, '\p{Block=:\Agothic\z:}', "");;
    Expect(1, 66383, '\p{Block=	-Gothic}', "");
    Expect(0, 66383, '\p{^Block=	-Gothic}', "");
    Expect(0, 66383, '\P{Block=	-Gothic}', "");
    Expect(1, 66383, '\P{^Block=	-Gothic}', "");
    Expect(0, 66384, '\p{Block=	-Gothic}', "");
    Expect(1, 66384, '\p{^Block=	-Gothic}', "");
    Expect(1, 66384, '\P{Block=	-Gothic}', "");
    Expect(0, 66384, '\P{^Block=	-Gothic}', "");
    Error('\p{Blk=--GOTHIC:=}');
    Error('\P{Blk=--GOTHIC:=}');
    Expect(1, 66383, '\p{Blk=:\AGothic\z:}', "");;
    Expect(0, 66384, '\p{Blk=:\AGothic\z:}', "");;
    Expect(1, 66383, '\p{Blk=gothic}', "");
    Expect(0, 66383, '\p{^Blk=gothic}', "");
    Expect(0, 66383, '\P{Blk=gothic}', "");
    Expect(1, 66383, '\P{^Blk=gothic}', "");
    Expect(0, 66384, '\p{Blk=gothic}', "");
    Expect(1, 66384, '\p{^Blk=gothic}', "");
    Expect(1, 66384, '\P{Blk=gothic}', "");
    Expect(0, 66384, '\P{^Blk=gothic}', "");
    Expect(1, 66383, '\p{Blk=:\Agothic\z:}', "");;
    Expect(0, 66384, '\p{Blk=:\Agothic\z:}', "");;
    Expect(1, 66383, '\p{Blk= gothic}', "");
    Expect(0, 66383, '\p{^Blk= gothic}', "");
    Expect(0, 66383, '\P{Blk= gothic}', "");
    Expect(1, 66383, '\P{^Blk= gothic}', "");
    Expect(0, 66384, '\p{Blk= gothic}', "");
    Expect(1, 66384, '\p{^Blk= gothic}', "");
    Expect(1, 66384, '\P{Blk= gothic}', "");
    Expect(0, 66384, '\P{^Blk= gothic}', "");
    Error('\p{Is_Block=:=	-Gothic}');
    Error('\P{Is_Block=:=	-Gothic}');
    Expect(1, 66383, '\p{Is_Block=gothic}', "");
    Expect(0, 66383, '\p{^Is_Block=gothic}', "");
    Expect(0, 66383, '\P{Is_Block=gothic}', "");
    Expect(1, 66383, '\P{^Is_Block=gothic}', "");
    Expect(0, 66384, '\p{Is_Block=gothic}', "");
    Expect(1, 66384, '\p{^Is_Block=gothic}', "");
    Expect(1, 66384, '\P{Is_Block=gothic}', "");
    Expect(0, 66384, '\P{^Is_Block=gothic}', "");
    Expect(1, 66383, '\p{Is_Block=--gothic}', "");
    Expect(0, 66383, '\p{^Is_Block=--gothic}', "");
    Expect(0, 66383, '\P{Is_Block=--gothic}', "");
    Expect(1, 66383, '\P{^Is_Block=--gothic}', "");
    Expect(0, 66384, '\p{Is_Block=--gothic}', "");
    Expect(1, 66384, '\p{^Is_Block=--gothic}', "");
    Expect(1, 66384, '\P{Is_Block=--gothic}', "");
    Expect(0, 66384, '\P{^Is_Block=--gothic}', "");
    Error('\p{Is_Blk= _Gothic/a/}');
    Error('\P{Is_Blk= _Gothic/a/}');
    Expect(1, 66383, '\p{Is_Blk=gothic}', "");
    Expect(0, 66383, '\p{^Is_Blk=gothic}', "");
    Expect(0, 66383, '\P{Is_Blk=gothic}', "");
    Expect(1, 66383, '\P{^Is_Blk=gothic}', "");
    Expect(0, 66384, '\p{Is_Blk=gothic}', "");
    Expect(1, 66384, '\p{^Is_Blk=gothic}', "");
    Expect(1, 66384, '\P{Is_Blk=gothic}', "");
    Expect(0, 66384, '\P{^Is_Blk=gothic}', "");
    Expect(1, 66383, '\p{Is_Blk:		GOTHIC}', "");
    Expect(0, 66383, '\p{^Is_Blk:		GOTHIC}', "");
    Expect(0, 66383, '\P{Is_Blk:		GOTHIC}', "");
    Expect(1, 66383, '\P{^Is_Blk:		GOTHIC}', "");
    Expect(0, 66384, '\p{Is_Blk:		GOTHIC}', "");
    Expect(1, 66384, '\p{^Is_Blk:		GOTHIC}', "");
    Expect(1, 66384, '\P{Is_Blk:		GOTHIC}', "");
    Expect(0, 66384, '\P{^Is_Blk:		GOTHIC}', "");
    Error('\p{Block=/a/_Grantha}');
    Error('\P{Block=/a/_Grantha}');
    Expect(1, 70527, '\p{Block=:\AGrantha\z:}', "");;
    Expect(0, 70528, '\p{Block=:\AGrantha\z:}', "");;
    Expect(1, 70527, '\p{Block=grantha}', "");
    Expect(0, 70527, '\p{^Block=grantha}', "");
    Expect(0, 70527, '\P{Block=grantha}', "");
    Expect(1, 70527, '\P{^Block=grantha}', "");
    Expect(0, 70528, '\p{Block=grantha}', "");
    Expect(1, 70528, '\p{^Block=grantha}', "");
    Expect(1, 70528, '\P{Block=grantha}', "");
    Expect(0, 70528, '\P{^Block=grantha}', "");
    Expect(1, 70527, '\p{Block=:\Agrantha\z:}', "");;
    Expect(0, 70528, '\p{Block=:\Agrantha\z:}', "");;
    Expect(1, 70527, '\p{Block=	GRANTHA}', "");
    Expect(0, 70527, '\p{^Block=	GRANTHA}', "");
    Expect(0, 70527, '\P{Block=	GRANTHA}', "");
    Expect(1, 70527, '\P{^Block=	GRANTHA}', "");
    Expect(0, 70528, '\p{Block=	GRANTHA}', "");
    Expect(1, 70528, '\p{^Block=	GRANTHA}', "");
    Expect(1, 70528, '\P{Block=	GRANTHA}', "");
    Expect(0, 70528, '\P{^Block=	GRANTHA}', "");
    Error('\p{Blk=--GRANTHA:=}');
    Error('\P{Blk=--GRANTHA:=}');
    Expect(1, 70527, '\p{Blk=:\AGrantha\z:}', "");;
    Expect(0, 70528, '\p{Blk=:\AGrantha\z:}', "");;
    Expect(1, 70527, '\p{Blk=grantha}', "");
    Expect(0, 70527, '\p{^Blk=grantha}', "");
    Expect(0, 70527, '\P{Blk=grantha}', "");
    Expect(1, 70527, '\P{^Blk=grantha}', "");
    Expect(0, 70528, '\p{Blk=grantha}', "");
    Expect(1, 70528, '\p{^Blk=grantha}', "");
    Expect(1, 70528, '\P{Blk=grantha}', "");
    Expect(0, 70528, '\P{^Blk=grantha}', "");
    Expect(1, 70527, '\p{Blk=:\Agrantha\z:}', "");;
    Expect(0, 70528, '\p{Blk=:\Agrantha\z:}', "");;
    Expect(1, 70527, '\p{Blk= _GRANTHA}', "");
    Expect(0, 70527, '\p{^Blk= _GRANTHA}', "");
    Expect(0, 70527, '\P{Blk= _GRANTHA}', "");
    Expect(1, 70527, '\P{^Blk= _GRANTHA}', "");
    Expect(0, 70528, '\p{Blk= _GRANTHA}', "");
    Expect(1, 70528, '\p{^Blk= _GRANTHA}', "");
    Expect(1, 70528, '\P{Blk= _GRANTHA}', "");
    Expect(0, 70528, '\P{^Blk= _GRANTHA}', "");
    Error('\p{Is_Block:Grantha:=}');
    Error('\P{Is_Block:Grantha:=}');
    Expect(1, 70527, '\p{Is_Block:	grantha}', "");
    Expect(0, 70527, '\p{^Is_Block:	grantha}', "");
    Expect(0, 70527, '\P{Is_Block:	grantha}', "");
    Expect(1, 70527, '\P{^Is_Block:	grantha}', "");
    Expect(0, 70528, '\p{Is_Block:	grantha}', "");
    Expect(1, 70528, '\p{^Is_Block:	grantha}', "");
    Expect(1, 70528, '\P{Is_Block:	grantha}', "");
    Expect(0, 70528, '\P{^Is_Block:	grantha}', "");
    Expect(1, 70527, '\p{Is_Block=-Grantha}', "");
    Expect(0, 70527, '\p{^Is_Block=-Grantha}', "");
    Expect(0, 70527, '\P{Is_Block=-Grantha}', "");
    Expect(1, 70527, '\P{^Is_Block=-Grantha}', "");
    Expect(0, 70528, '\p{Is_Block=-Grantha}', "");
    Expect(1, 70528, '\p{^Is_Block=-Grantha}', "");
    Expect(1, 70528, '\P{Is_Block=-Grantha}', "");
    Expect(0, 70528, '\P{^Is_Block=-Grantha}', "");
    Error('\p{Is_Blk=-	Grantha/a/}');
    Error('\P{Is_Blk=-	Grantha/a/}');
    Expect(1, 70527, '\p{Is_Blk: grantha}', "");
    Expect(0, 70527, '\p{^Is_Blk: grantha}', "");
    Expect(0, 70527, '\P{Is_Blk: grantha}', "");
    Expect(1, 70527, '\P{^Is_Blk: grantha}', "");
    Expect(0, 70528, '\p{Is_Blk: grantha}', "");
    Expect(1, 70528, '\p{^Is_Blk: grantha}', "");
    Expect(1, 70528, '\P{Is_Blk: grantha}', "");
    Expect(0, 70528, '\P{^Is_Blk: grantha}', "");
    Expect(1, 70527, '\p{Is_Blk= Grantha}', "");
    Expect(0, 70527, '\p{^Is_Blk= Grantha}', "");
    Expect(0, 70527, '\P{Is_Blk= Grantha}', "");
    Expect(1, 70527, '\P{^Is_Blk= Grantha}', "");
    Expect(0, 70528, '\p{Is_Blk= Grantha}', "");
    Expect(1, 70528, '\p{^Is_Blk= Grantha}', "");
    Expect(1, 70528, '\P{Is_Blk= Grantha}', "");
    Expect(0, 70528, '\P{^Is_Blk= Grantha}', "");
    Error('\p{Block=/a/ GREEK_And_Coptic}');
    Error('\P{Block=/a/ GREEK_And_Coptic}');
    Expect(1, 1023, '\p{Block=:\AGreek_And_Coptic\z:}', "");;
    Expect(0, 1024, '\p{Block=:\AGreek_And_Coptic\z:}', "");;
    Expect(1, 1023, '\p{Block:greekandcoptic}', "");
    Expect(0, 1023, '\p{^Block:greekandcoptic}', "");
    Expect(0, 1023, '\P{Block:greekandcoptic}', "");
    Expect(1, 1023, '\P{^Block:greekandcoptic}', "");
    Expect(0, 1024, '\p{Block:greekandcoptic}', "");
    Expect(1, 1024, '\p{^Block:greekandcoptic}', "");
    Expect(1, 1024, '\P{Block:greekandcoptic}', "");
    Expect(0, 1024, '\P{^Block:greekandcoptic}', "");
    Expect(1, 1023, '\p{Block=:\Agreekandcoptic\z:}', "");;
    Expect(0, 1024, '\p{Block=:\Agreekandcoptic\z:}', "");;
    Expect(1, 1023, '\p{Block=_ GREEK_And_Coptic}', "");
    Expect(0, 1023, '\p{^Block=_ GREEK_And_Coptic}', "");
    Expect(0, 1023, '\P{Block=_ GREEK_And_Coptic}', "");
    Expect(1, 1023, '\P{^Block=_ GREEK_And_Coptic}', "");
    Expect(0, 1024, '\p{Block=_ GREEK_And_Coptic}', "");
    Expect(1, 1024, '\p{^Block=_ GREEK_And_Coptic}', "");
    Expect(1, 1024, '\P{Block=_ GREEK_And_Coptic}', "");
    Expect(0, 1024, '\P{^Block=_ GREEK_And_Coptic}', "");
    Error('\p{Blk=-_greek:=}');
    Error('\P{Blk=-_greek:=}');
    Expect(1, 1023, '\p{Blk=:\AGreek\z:}', "");;
    Expect(0, 1024, '\p{Blk=:\AGreek\z:}', "");;
    Expect(1, 1023, '\p{Blk=greek}', "");
    Expect(0, 1023, '\p{^Blk=greek}', "");
    Expect(0, 1023, '\P{Blk=greek}', "");
    Expect(1, 1023, '\P{^Blk=greek}', "");
    Expect(0, 1024, '\p{Blk=greek}', "");
    Expect(1, 1024, '\p{^Blk=greek}', "");
    Expect(1, 1024, '\P{Blk=greek}', "");
    Expect(0, 1024, '\P{^Blk=greek}', "");
    Expect(1, 1023, '\p{Blk=:\Agreek\z:}', "");;
    Expect(0, 1024, '\p{Blk=:\Agreek\z:}', "");;
    Expect(1, 1023, '\p{Blk=__Greek}', "");
    Expect(0, 1023, '\p{^Blk=__Greek}', "");
    Expect(0, 1023, '\P{Blk=__Greek}', "");
    Expect(1, 1023, '\P{^Blk=__Greek}', "");
    Expect(0, 1024, '\p{Blk=__Greek}', "");
    Expect(1, 1024, '\p{^Blk=__Greek}', "");
    Expect(1, 1024, '\P{Blk=__Greek}', "");
    Expect(0, 1024, '\P{^Blk=__Greek}', "");
    Error('\p{Is_Block=	_GREEK_And_Coptic:=}');
    Error('\P{Is_Block=	_GREEK_And_Coptic:=}');
    Expect(1, 1023, '\p{Is_Block:	greekandcoptic}', "");
    Expect(0, 1023, '\p{^Is_Block:	greekandcoptic}', "");
    Expect(0, 1023, '\P{Is_Block:	greekandcoptic}', "");
    Expect(1, 1023, '\P{^Is_Block:	greekandcoptic}', "");
    Expect(0, 1024, '\p{Is_Block:	greekandcoptic}', "");
    Expect(1, 1024, '\p{^Is_Block:	greekandcoptic}', "");
    Expect(1, 1024, '\P{Is_Block:	greekandcoptic}', "");
    Expect(0, 1024, '\P{^Is_Block:	greekandcoptic}', "");
    Expect(1, 1023, '\p{Is_Block=_GREEK_and_COPTIC}', "");
    Expect(0, 1023, '\p{^Is_Block=_GREEK_and_COPTIC}', "");
    Expect(0, 1023, '\P{Is_Block=_GREEK_and_COPTIC}', "");
    Expect(1, 1023, '\P{^Is_Block=_GREEK_and_COPTIC}', "");
    Expect(0, 1024, '\p{Is_Block=_GREEK_and_COPTIC}', "");
    Expect(1, 1024, '\p{^Is_Block=_GREEK_and_COPTIC}', "");
    Expect(1, 1024, '\P{Is_Block=_GREEK_and_COPTIC}', "");
    Expect(0, 1024, '\P{^Is_Block=_GREEK_and_COPTIC}', "");
    Error('\p{Is_Blk= :=Greek}');
    Error('\P{Is_Blk= :=Greek}');
    Expect(1, 1023, '\p{Is_Blk: greek}', "");
    Expect(0, 1023, '\p{^Is_Blk: greek}', "");
    Expect(0, 1023, '\P{Is_Blk: greek}', "");
    Expect(1, 1023, '\P{^Is_Blk: greek}', "");
    Expect(0, 1024, '\p{Is_Blk: greek}', "");
    Expect(1, 1024, '\p{^Is_Blk: greek}', "");
    Expect(1, 1024, '\P{Is_Blk: greek}', "");
    Expect(0, 1024, '\P{^Is_Blk: greek}', "");
    Expect(1, 1023, '\p{Is_Blk=- Greek}', "");
    Expect(0, 1023, '\p{^Is_Blk=- Greek}', "");
    Expect(0, 1023, '\P{Is_Blk=- Greek}', "");
    Expect(1, 1023, '\P{^Is_Blk=- Greek}', "");
    Expect(0, 1024, '\p{Is_Blk=- Greek}', "");
    Expect(1, 1024, '\p{^Is_Blk=- Greek}', "");
    Expect(1, 1024, '\P{Is_Blk=- Greek}', "");
    Expect(0, 1024, '\P{^Is_Blk=- Greek}', "");
    Error('\p{Block=--Greek_Extended:=}');
    Error('\P{Block=--Greek_Extended:=}');
    Expect(1, 8191, '\p{Block=:\AGreek_Extended\z:}', "");;
    Expect(0, 8192, '\p{Block=:\AGreek_Extended\z:}', "");;
    Expect(1, 8191, '\p{Block=greekextended}', "");
    Expect(0, 8191, '\p{^Block=greekextended}', "");
    Expect(0, 8191, '\P{Block=greekextended}', "");
    Expect(1, 8191, '\P{^Block=greekextended}', "");
    Expect(0, 8192, '\p{Block=greekextended}', "");
    Expect(1, 8192, '\p{^Block=greekextended}', "");
    Expect(1, 8192, '\P{Block=greekextended}', "");
    Expect(0, 8192, '\P{^Block=greekextended}', "");
    Expect(1, 8191, '\p{Block=:\Agreekextended\z:}', "");;
    Expect(0, 8192, '\p{Block=:\Agreekextended\z:}', "");;
    Expect(1, 8191, '\p{Block=-_Greek_Extended}', "");
    Expect(0, 8191, '\p{^Block=-_Greek_Extended}', "");
    Expect(0, 8191, '\P{Block=-_Greek_Extended}', "");
    Expect(1, 8191, '\P{^Block=-_Greek_Extended}', "");
    Expect(0, 8192, '\p{Block=-_Greek_Extended}', "");
    Expect(1, 8192, '\p{^Block=-_Greek_Extended}', "");
    Expect(1, 8192, '\P{Block=-_Greek_Extended}', "");
    Expect(0, 8192, '\P{^Block=-_Greek_Extended}', "");
    Error('\p{Blk= /a/GREEK_ext}');
    Error('\P{Blk= /a/GREEK_ext}');
    Expect(1, 8191, '\p{Blk=:\AGreek_Ext\z:}', "");;
    Expect(0, 8192, '\p{Blk=:\AGreek_Ext\z:}', "");;
    Expect(1, 8191, '\p{Blk=greekext}', "");
    Expect(0, 8191, '\p{^Blk=greekext}', "");
    Expect(0, 8191, '\P{Blk=greekext}', "");
    Expect(1, 8191, '\P{^Blk=greekext}', "");
    Expect(0, 8192, '\p{Blk=greekext}', "");
    Expect(1, 8192, '\p{^Blk=greekext}', "");
    Expect(1, 8192, '\P{Blk=greekext}', "");
    Expect(0, 8192, '\P{^Blk=greekext}', "");
    Expect(1, 8191, '\p{Blk=:\Agreekext\z:}', "");;
    Expect(0, 8192, '\p{Blk=:\Agreekext\z:}', "");;
    Expect(1, 8191, '\p{Blk=		GREEK_Ext}', "");
    Expect(0, 8191, '\p{^Blk=		GREEK_Ext}', "");
    Expect(0, 8191, '\P{Blk=		GREEK_Ext}', "");
    Expect(1, 8191, '\P{^Blk=		GREEK_Ext}', "");
    Expect(0, 8192, '\p{Blk=		GREEK_Ext}', "");
    Expect(1, 8192, '\p{^Blk=		GREEK_Ext}', "");
    Expect(1, 8192, '\P{Blk=		GREEK_Ext}', "");
    Expect(0, 8192, '\P{^Blk=		GREEK_Ext}', "");
    Error('\p{Is_Block=	/a/Greek_Extended}');
    Error('\P{Is_Block=	/a/Greek_Extended}');
    Expect(1, 8191, '\p{Is_Block=greekextended}', "");
    Expect(0, 8191, '\p{^Is_Block=greekextended}', "");
    Expect(0, 8191, '\P{Is_Block=greekextended}', "");
    Expect(1, 8191, '\P{^Is_Block=greekextended}', "");
    Expect(0, 8192, '\p{Is_Block=greekextended}', "");
    Expect(1, 8192, '\p{^Is_Block=greekextended}', "");
    Expect(1, 8192, '\P{Is_Block=greekextended}', "");
    Expect(0, 8192, '\P{^Is_Block=greekextended}', "");
    Expect(1, 8191, '\p{Is_Block= Greek_EXTENDED}', "");
    Expect(0, 8191, '\p{^Is_Block= Greek_EXTENDED}', "");
    Expect(0, 8191, '\P{Is_Block= Greek_EXTENDED}', "");
    Expect(1, 8191, '\P{^Is_Block= Greek_EXTENDED}', "");
    Expect(0, 8192, '\p{Is_Block= Greek_EXTENDED}', "");
    Expect(1, 8192, '\p{^Is_Block= Greek_EXTENDED}', "");
    Expect(1, 8192, '\P{Is_Block= Greek_EXTENDED}', "");
    Expect(0, 8192, '\P{^Is_Block= Greek_EXTENDED}', "");
    Error('\p{Is_Blk=:= Greek_ext}');
    Error('\P{Is_Blk=:= Greek_ext}');
    Expect(1, 8191, '\p{Is_Blk:greekext}', "");
    Expect(0, 8191, '\p{^Is_Blk:greekext}', "");
    Expect(0, 8191, '\P{Is_Blk:greekext}', "");
    Expect(1, 8191, '\P{^Is_Blk:greekext}', "");
    Expect(0, 8192, '\p{Is_Blk:greekext}', "");
    Expect(1, 8192, '\p{^Is_Blk:greekext}', "");
    Expect(1, 8192, '\P{Is_Blk:greekext}', "");
    Expect(0, 8192, '\P{^Is_Blk:greekext}', "");
    Expect(1, 8191, '\p{Is_Blk=	_Greek_Ext}', "");
    Expect(0, 8191, '\p{^Is_Blk=	_Greek_Ext}', "");
    Expect(0, 8191, '\P{Is_Blk=	_Greek_Ext}', "");
    Expect(1, 8191, '\P{^Is_Blk=	_Greek_Ext}', "");
    Expect(0, 8192, '\p{Is_Blk=	_Greek_Ext}', "");
    Expect(1, 8192, '\p{^Is_Blk=	_Greek_Ext}', "");
    Expect(1, 8192, '\P{Is_Blk=	_Greek_Ext}', "");
    Expect(0, 8192, '\P{^Is_Blk=	_Greek_Ext}', "");
    Error('\p{Block=/a/--gujarati}');
    Error('\P{Block=/a/--gujarati}');
    Expect(1, 2815, '\p{Block=:\AGujarati\z:}', "");;
    Expect(0, 2816, '\p{Block=:\AGujarati\z:}', "");;
    Expect(1, 2815, '\p{Block=gujarati}', "");
    Expect(0, 2815, '\p{^Block=gujarati}', "");
    Expect(0, 2815, '\P{Block=gujarati}', "");
    Expect(1, 2815, '\P{^Block=gujarati}', "");
    Expect(0, 2816, '\p{Block=gujarati}', "");
    Expect(1, 2816, '\p{^Block=gujarati}', "");
    Expect(1, 2816, '\P{Block=gujarati}', "");
    Expect(0, 2816, '\P{^Block=gujarati}', "");
    Expect(1, 2815, '\p{Block=:\Agujarati\z:}', "");;
    Expect(0, 2816, '\p{Block=:\Agujarati\z:}', "");;
    Expect(1, 2815, '\p{Block=	_gujarati}', "");
    Expect(0, 2815, '\p{^Block=	_gujarati}', "");
    Expect(0, 2815, '\P{Block=	_gujarati}', "");
    Expect(1, 2815, '\P{^Block=	_gujarati}', "");
    Expect(0, 2816, '\p{Block=	_gujarati}', "");
    Expect(1, 2816, '\p{^Block=	_gujarati}', "");
    Expect(1, 2816, '\P{Block=	_gujarati}', "");
    Expect(0, 2816, '\P{^Block=	_gujarati}', "");
    Error('\p{Blk=	 Gujarati/a/}');
    Error('\P{Blk=	 Gujarati/a/}');
    Expect(1, 2815, '\p{Blk=:\AGujarati\z:}', "");;
    Expect(0, 2816, '\p{Blk=:\AGujarati\z:}', "");;
    Expect(1, 2815, '\p{Blk=gujarati}', "");
    Expect(0, 2815, '\p{^Blk=gujarati}', "");
    Expect(0, 2815, '\P{Blk=gujarati}', "");
    Expect(1, 2815, '\P{^Blk=gujarati}', "");
    Expect(0, 2816, '\p{Blk=gujarati}', "");
    Expect(1, 2816, '\p{^Blk=gujarati}', "");
    Expect(1, 2816, '\P{Blk=gujarati}', "");
    Expect(0, 2816, '\P{^Blk=gujarati}', "");
    Expect(1, 2815, '\p{Blk=:\Agujarati\z:}', "");;
    Expect(0, 2816, '\p{Blk=:\Agujarati\z:}', "");;
    Expect(1, 2815, '\p{Blk=	Gujarati}', "");
    Expect(0, 2815, '\p{^Blk=	Gujarati}', "");
    Expect(0, 2815, '\P{Blk=	Gujarati}', "");
    Expect(1, 2815, '\P{^Blk=	Gujarati}', "");
    Expect(0, 2816, '\p{Blk=	Gujarati}', "");
    Expect(1, 2816, '\p{^Blk=	Gujarati}', "");
    Expect(1, 2816, '\P{Blk=	Gujarati}', "");
    Expect(0, 2816, '\P{^Blk=	Gujarati}', "");
    Error('\p{Is_Block=	gujarati:=}');
    Error('\P{Is_Block=	gujarati:=}');
    Expect(1, 2815, '\p{Is_Block=gujarati}', "");
    Expect(0, 2815, '\p{^Is_Block=gujarati}', "");
    Expect(0, 2815, '\P{Is_Block=gujarati}', "");
    Expect(1, 2815, '\P{^Is_Block=gujarati}', "");
    Expect(0, 2816, '\p{Is_Block=gujarati}', "");
    Expect(1, 2816, '\p{^Is_Block=gujarati}', "");
    Expect(1, 2816, '\P{Is_Block=gujarati}', "");
    Expect(0, 2816, '\P{^Is_Block=gujarati}', "");
    Expect(1, 2815, '\p{Is_Block= gujarati}', "");
    Expect(0, 2815, '\p{^Is_Block= gujarati}', "");
    Expect(0, 2815, '\P{Is_Block= gujarati}', "");
    Expect(1, 2815, '\P{^Is_Block= gujarati}', "");
    Expect(0, 2816, '\p{Is_Block= gujarati}', "");
    Expect(1, 2816, '\p{^Is_Block= gujarati}', "");
    Expect(1, 2816, '\P{Is_Block= gujarati}', "");
    Expect(0, 2816, '\P{^Is_Block= gujarati}', "");
    Error('\p{Is_Blk=/a/_ Gujarati}');
    Error('\P{Is_Blk=/a/_ Gujarati}');
    Expect(1, 2815, '\p{Is_Blk: gujarati}', "");
    Expect(0, 2815, '\p{^Is_Blk: gujarati}', "");
    Expect(0, 2815, '\P{Is_Blk: gujarati}', "");
    Expect(1, 2815, '\P{^Is_Blk: gujarati}', "");
    Expect(0, 2816, '\p{Is_Blk: gujarati}', "");
    Expect(1, 2816, '\p{^Is_Blk: gujarati}', "");
    Expect(1, 2816, '\P{Is_Blk: gujarati}', "");
    Expect(0, 2816, '\P{^Is_Blk: gujarati}', "");
    Expect(1, 2815, '\p{Is_Blk:     Gujarati}', "");
    Expect(0, 2815, '\p{^Is_Blk:     Gujarati}', "");
    Expect(0, 2815, '\P{Is_Blk:     Gujarati}', "");
    Expect(1, 2815, '\P{^Is_Blk:     Gujarati}', "");
    Expect(0, 2816, '\p{Is_Blk:     Gujarati}', "");
    Expect(1, 2816, '\p{^Is_Blk:     Gujarati}', "");
    Expect(1, 2816, '\P{Is_Blk:     Gujarati}', "");
    Expect(0, 2816, '\P{^Is_Blk:     Gujarati}', "");
    Error('\p{Block=:= Gunjala_gondi}');
    Error('\P{Block=:= Gunjala_gondi}');
    Expect(1, 73135, '\p{Block=:\AGunjala_Gondi\z:}', "");;
    Expect(0, 73136, '\p{Block=:\AGunjala_Gondi\z:}', "");;
    Expect(1, 73135, '\p{Block=gunjalagondi}', "");
    Expect(0, 73135, '\p{^Block=gunjalagondi}', "");
    Expect(0, 73135, '\P{Block=gunjalagondi}', "");
    Expect(1, 73135, '\P{^Block=gunjalagondi}', "");
    Expect(0, 73136, '\p{Block=gunjalagondi}', "");
    Expect(1, 73136, '\p{^Block=gunjalagondi}', "");
    Expect(1, 73136, '\P{Block=gunjalagondi}', "");
    Expect(0, 73136, '\P{^Block=gunjalagondi}', "");
    Expect(1, 73135, '\p{Block=:\Agunjalagondi\z:}', "");;
    Expect(0, 73136, '\p{Block=:\Agunjalagondi\z:}', "");;
    Expect(1, 73135, '\p{Block=_gunjala_GONDI}', "");
    Expect(0, 73135, '\p{^Block=_gunjala_GONDI}', "");
    Expect(0, 73135, '\P{Block=_gunjala_GONDI}', "");
    Expect(1, 73135, '\P{^Block=_gunjala_GONDI}', "");
    Expect(0, 73136, '\p{Block=_gunjala_GONDI}', "");
    Expect(1, 73136, '\p{^Block=_gunjala_GONDI}', "");
    Expect(1, 73136, '\P{Block=_gunjala_GONDI}', "");
    Expect(0, 73136, '\P{^Block=_gunjala_GONDI}', "");
    Error('\p{Blk=_	GUNJALA_Gondi:=}');
    Error('\P{Blk=_	GUNJALA_Gondi:=}');
    Expect(1, 73135, '\p{Blk=:\AGunjala_Gondi\z:}', "");;
    Expect(0, 73136, '\p{Blk=:\AGunjala_Gondi\z:}', "");;
    Expect(1, 73135, '\p{Blk=gunjalagondi}', "");
    Expect(0, 73135, '\p{^Blk=gunjalagondi}', "");
    Expect(0, 73135, '\P{Blk=gunjalagondi}', "");
    Expect(1, 73135, '\P{^Blk=gunjalagondi}', "");
    Expect(0, 73136, '\p{Blk=gunjalagondi}', "");
    Expect(1, 73136, '\p{^Blk=gunjalagondi}', "");
    Expect(1, 73136, '\P{Blk=gunjalagondi}', "");
    Expect(0, 73136, '\P{^Blk=gunjalagondi}', "");
    Expect(1, 73135, '\p{Blk=:\Agunjalagondi\z:}', "");;
    Expect(0, 73136, '\p{Blk=:\Agunjalagondi\z:}', "");;
    Expect(1, 73135, '\p{Blk= -GUNJALA_GONDI}', "");
    Expect(0, 73135, '\p{^Blk= -GUNJALA_GONDI}', "");
    Expect(0, 73135, '\P{Blk= -GUNJALA_GONDI}', "");
    Expect(1, 73135, '\P{^Blk= -GUNJALA_GONDI}', "");
    Expect(0, 73136, '\p{Blk= -GUNJALA_GONDI}', "");
    Expect(1, 73136, '\p{^Blk= -GUNJALA_GONDI}', "");
    Expect(1, 73136, '\P{Blk= -GUNJALA_GONDI}', "");
    Expect(0, 73136, '\P{^Blk= -GUNJALA_GONDI}', "");
    Error('\p{Is_Block=	Gunjala_Gondi:=}');
    Error('\P{Is_Block=	Gunjala_Gondi:=}');
    Expect(1, 73135, '\p{Is_Block=gunjalagondi}', "");
    Expect(0, 73135, '\p{^Is_Block=gunjalagondi}', "");
    Expect(0, 73135, '\P{Is_Block=gunjalagondi}', "");
    Expect(1, 73135, '\P{^Is_Block=gunjalagondi}', "");
    Expect(0, 73136, '\p{Is_Block=gunjalagondi}', "");
    Expect(1, 73136, '\p{^Is_Block=gunjalagondi}', "");
    Expect(1, 73136, '\P{Is_Block=gunjalagondi}', "");
    Expect(0, 73136, '\P{^Is_Block=gunjalagondi}', "");
    Expect(1, 73135, '\p{Is_Block=-	Gunjala_Gondi}', "");
    Expect(0, 73135, '\p{^Is_Block=-	Gunjala_Gondi}', "");
    Expect(0, 73135, '\P{Is_Block=-	Gunjala_Gondi}', "");
    Expect(1, 73135, '\P{^Is_Block=-	Gunjala_Gondi}', "");
    Expect(0, 73136, '\p{Is_Block=-	Gunjala_Gondi}', "");
    Expect(1, 73136, '\p{^Is_Block=-	Gunjala_Gondi}', "");
    Expect(1, 73136, '\P{Is_Block=-	Gunjala_Gondi}', "");
    Expect(0, 73136, '\P{^Is_Block=-	Gunjala_Gondi}', "");
    Error('\p{Is_Blk=/a/GUNJALA_gondi}');
    Error('\P{Is_Blk=/a/GUNJALA_gondi}');
    Expect(1, 73135, '\p{Is_Blk=gunjalagondi}', "");
    Expect(0, 73135, '\p{^Is_Blk=gunjalagondi}', "");
    Expect(0, 73135, '\P{Is_Blk=gunjalagondi}', "");
    Expect(1, 73135, '\P{^Is_Blk=gunjalagondi}', "");
    Expect(0, 73136, '\p{Is_Blk=gunjalagondi}', "");
    Expect(1, 73136, '\p{^Is_Blk=gunjalagondi}', "");
    Expect(1, 73136, '\P{Is_Blk=gunjalagondi}', "");
    Expect(0, 73136, '\P{^Is_Blk=gunjalagondi}', "");
    Expect(1, 73135, '\p{Is_Blk=	_gunjala_gondi}', "");
    Expect(0, 73135, '\p{^Is_Blk=	_gunjala_gondi}', "");
    Expect(0, 73135, '\P{Is_Blk=	_gunjala_gondi}', "");
    Expect(1, 73135, '\P{^Is_Blk=	_gunjala_gondi}', "");
    Expect(0, 73136, '\p{Is_Blk=	_gunjala_gondi}', "");
    Expect(1, 73136, '\p{^Is_Blk=	_gunjala_gondi}', "");
    Expect(1, 73136, '\P{Is_Blk=	_gunjala_gondi}', "");
    Expect(0, 73136, '\P{^Is_Blk=	_gunjala_gondi}', "");
    Error('\p{Block=/a/__Gurmukhi}');
    Error('\P{Block=/a/__Gurmukhi}');
    Expect(1, 2687, '\p{Block=:\AGurmukhi\z:}', "");;
    Expect(0, 2688, '\p{Block=:\AGurmukhi\z:}', "");;
    Expect(1, 2687, '\p{Block=gurmukhi}', "");
    Expect(0, 2687, '\p{^Block=gurmukhi}', "");
    Expect(0, 2687, '\P{Block=gurmukhi}', "");
    Expect(1, 2687, '\P{^Block=gurmukhi}', "");
    Expect(0, 2688, '\p{Block=gurmukhi}', "");
    Expect(1, 2688, '\p{^Block=gurmukhi}', "");
    Expect(1, 2688, '\P{Block=gurmukhi}', "");
    Expect(0, 2688, '\P{^Block=gurmukhi}', "");
    Expect(1, 2687, '\p{Block=:\Agurmukhi\z:}', "");;
    Expect(0, 2688, '\p{Block=:\Agurmukhi\z:}', "");;
    Expect(1, 2687, '\p{Block=-	Gurmukhi}', "");
    Expect(0, 2687, '\p{^Block=-	Gurmukhi}', "");
    Expect(0, 2687, '\P{Block=-	Gurmukhi}', "");
    Expect(1, 2687, '\P{^Block=-	Gurmukhi}', "");
    Expect(0, 2688, '\p{Block=-	Gurmukhi}', "");
    Expect(1, 2688, '\p{^Block=-	Gurmukhi}', "");
    Expect(1, 2688, '\P{Block=-	Gurmukhi}', "");
    Expect(0, 2688, '\P{^Block=-	Gurmukhi}', "");
    Error('\p{Blk=_Gurmukhi:=}');
    Error('\P{Blk=_Gurmukhi:=}');
    Expect(1, 2687, '\p{Blk=:\AGurmukhi\z:}', "");;
    Expect(0, 2688, '\p{Blk=:\AGurmukhi\z:}', "");;
    Expect(1, 2687, '\p{Blk=gurmukhi}', "");
    Expect(0, 2687, '\p{^Blk=gurmukhi}', "");
    Expect(0, 2687, '\P{Blk=gurmukhi}', "");
    Expect(1, 2687, '\P{^Blk=gurmukhi}', "");
    Expect(0, 2688, '\p{Blk=gurmukhi}', "");
    Expect(1, 2688, '\p{^Blk=gurmukhi}', "");
    Expect(1, 2688, '\P{Blk=gurmukhi}', "");
    Expect(0, 2688, '\P{^Blk=gurmukhi}', "");
    Expect(1, 2687, '\p{Blk=:\Agurmukhi\z:}', "");;
    Expect(0, 2688, '\p{Blk=:\Agurmukhi\z:}', "");;
    Expect(1, 2687, '\p{Blk=_gurmukhi}', "");
    Expect(0, 2687, '\p{^Blk=_gurmukhi}', "");
    Expect(0, 2687, '\P{Blk=_gurmukhi}', "");
    Expect(1, 2687, '\P{^Blk=_gurmukhi}', "");
    Expect(0, 2688, '\p{Blk=_gurmukhi}', "");
    Expect(1, 2688, '\p{^Blk=_gurmukhi}', "");
    Expect(1, 2688, '\P{Blk=_gurmukhi}', "");
    Expect(0, 2688, '\P{^Blk=_gurmukhi}', "");
    Error('\p{Is_Block=- GURMUKHI:=}');
    Error('\P{Is_Block=- GURMUKHI:=}');
    Expect(1, 2687, '\p{Is_Block=gurmukhi}', "");
    Expect(0, 2687, '\p{^Is_Block=gurmukhi}', "");
    Expect(0, 2687, '\P{Is_Block=gurmukhi}', "");
    Expect(1, 2687, '\P{^Is_Block=gurmukhi}', "");
    Expect(0, 2688, '\p{Is_Block=gurmukhi}', "");
    Expect(1, 2688, '\p{^Is_Block=gurmukhi}', "");
    Expect(1, 2688, '\P{Is_Block=gurmukhi}', "");
    Expect(0, 2688, '\P{^Is_Block=gurmukhi}', "");
    Expect(1, 2687, '\p{Is_Block=  gurmukhi}', "");
    Expect(0, 2687, '\p{^Is_Block=  gurmukhi}', "");
    Expect(0, 2687, '\P{Is_Block=  gurmukhi}', "");
    Expect(1, 2687, '\P{^Is_Block=  gurmukhi}', "");
    Expect(0, 2688, '\p{Is_Block=  gurmukhi}', "");
    Expect(1, 2688, '\p{^Is_Block=  gurmukhi}', "");
    Expect(1, 2688, '\P{Is_Block=  gurmukhi}', "");
    Expect(0, 2688, '\P{^Is_Block=  gurmukhi}', "");
    Error('\p{Is_Blk: _:=gurmukhi}');
    Error('\P{Is_Blk: _:=gurmukhi}');
    Expect(1, 2687, '\p{Is_Blk: gurmukhi}', "");
    Expect(0, 2687, '\p{^Is_Blk: gurmukhi}', "");
    Expect(0, 2687, '\P{Is_Blk: gurmukhi}', "");
    Expect(1, 2687, '\P{^Is_Blk: gurmukhi}', "");
    Expect(0, 2688, '\p{Is_Blk: gurmukhi}', "");
    Expect(1, 2688, '\p{^Is_Blk: gurmukhi}', "");
    Expect(1, 2688, '\P{Is_Blk: gurmukhi}', "");
    Expect(0, 2688, '\P{^Is_Blk: gurmukhi}', "");
    Expect(1, 2687, '\p{Is_Blk=-Gurmukhi}', "");
    Expect(0, 2687, '\p{^Is_Blk=-Gurmukhi}', "");
    Expect(0, 2687, '\P{Is_Blk=-Gurmukhi}', "");
    Expect(1, 2687, '\P{^Is_Blk=-Gurmukhi}', "");
    Expect(0, 2688, '\p{Is_Blk=-Gurmukhi}', "");
    Expect(1, 2688, '\p{^Is_Blk=-Gurmukhi}', "");
    Expect(1, 2688, '\P{Is_Blk=-Gurmukhi}', "");
    Expect(0, 2688, '\P{^Is_Blk=-Gurmukhi}', "");
    Error('\p{Block=:=__Halfwidth_And_Fullwidth_FORMS}');
    Error('\P{Block=:=__Halfwidth_And_Fullwidth_FORMS}');
    Expect(1, 65519, '\p{Block=:\AHalfwidth_And_Fullwidth_Forms\z:}', "");;
    Expect(0, 65520, '\p{Block=:\AHalfwidth_And_Fullwidth_Forms\z:}', "");;
    Expect(1, 65519, '\p{Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\p{^Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\P{Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\P{^Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\p{Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\p{^Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\P{Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\P{^Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\p{Block=:\Ahalfwidthandfullwidthforms\z:}', "");;
    Expect(0, 65520, '\p{Block=:\Ahalfwidthandfullwidthforms\z:}', "");;
    Expect(1, 65519, '\p{Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Expect(0, 65519, '\p{^Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Expect(0, 65519, '\P{Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Expect(1, 65519, '\P{^Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Expect(0, 65520, '\p{Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Expect(1, 65520, '\p{^Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Expect(1, 65520, '\P{Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Expect(0, 65520, '\P{^Block:  halfwidth_and_FULLWIDTH_forms}', "");
    Error('\p{Blk=-HALF_and_full_Forms/a/}');
    Error('\P{Blk=-HALF_and_full_Forms/a/}');
    Expect(1, 65519, '\p{Blk=:\AHalf_And_Full_Forms\z:}', "");;
    Expect(0, 65520, '\p{Blk=:\AHalf_And_Full_Forms\z:}', "");;
    Expect(1, 65519, '\p{Blk=halfandfullforms}', "");
    Expect(0, 65519, '\p{^Blk=halfandfullforms}', "");
    Expect(0, 65519, '\P{Blk=halfandfullforms}', "");
    Expect(1, 65519, '\P{^Blk=halfandfullforms}', "");
    Expect(0, 65520, '\p{Blk=halfandfullforms}', "");
    Expect(1, 65520, '\p{^Blk=halfandfullforms}', "");
    Expect(1, 65520, '\P{Blk=halfandfullforms}', "");
    Expect(0, 65520, '\P{^Blk=halfandfullforms}', "");
    Expect(1, 65519, '\p{Blk=:\Ahalfandfullforms\z:}', "");;
    Expect(0, 65520, '\p{Blk=:\Ahalfandfullforms\z:}', "");;
    Expect(1, 65519, '\p{Blk= 	Half_AND_Full_Forms}', "");
    Expect(0, 65519, '\p{^Blk= 	Half_AND_Full_Forms}', "");
    Expect(0, 65519, '\P{Blk= 	Half_AND_Full_Forms}', "");
    Expect(1, 65519, '\P{^Blk= 	Half_AND_Full_Forms}', "");
    Expect(0, 65520, '\p{Blk= 	Half_AND_Full_Forms}', "");
    Expect(1, 65520, '\p{^Blk= 	Half_AND_Full_Forms}', "");
    Expect(1, 65520, '\P{Blk= 	Half_AND_Full_Forms}', "");
    Expect(0, 65520, '\P{^Blk= 	Half_AND_Full_Forms}', "");
    Error('\p{Is_Block=:=- halfwidth_and_Fullwidth_FORMS}');
    Error('\P{Is_Block=:=- halfwidth_and_Fullwidth_FORMS}');
    Expect(1, 65519, '\p{Is_Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\p{^Is_Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\P{Is_Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\P{^Is_Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\p{Is_Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\p{^Is_Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\P{Is_Block=halfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\P{^Is_Block=halfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\p{Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Expect(0, 65519, '\p{^Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Expect(0, 65519, '\P{Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Expect(1, 65519, '\P{^Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Expect(0, 65520, '\p{Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Expect(1, 65520, '\p{^Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Expect(1, 65520, '\P{Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Expect(0, 65520, '\P{^Is_Block= _HALFWIDTH_And_fullwidth_Forms}', "");
    Error('\p{Is_Blk=	/a/Half_AND_Full_forms}');
    Error('\P{Is_Blk=	/a/Half_AND_Full_forms}');
    Expect(1, 65519, '\p{Is_Blk:   halfandfullforms}', "");
    Expect(0, 65519, '\p{^Is_Blk:   halfandfullforms}', "");
    Expect(0, 65519, '\P{Is_Blk:   halfandfullforms}', "");
    Expect(1, 65519, '\P{^Is_Blk:   halfandfullforms}', "");
    Expect(0, 65520, '\p{Is_Blk:   halfandfullforms}', "");
    Expect(1, 65520, '\p{^Is_Blk:   halfandfullforms}', "");
    Expect(1, 65520, '\P{Is_Blk:   halfandfullforms}', "");
    Expect(0, 65520, '\P{^Is_Blk:   halfandfullforms}', "");
    Expect(1, 65519, '\p{Is_Blk=-half_and_FULL_forms}', "");
    Expect(0, 65519, '\p{^Is_Blk=-half_and_FULL_forms}', "");
    Expect(0, 65519, '\P{Is_Blk=-half_and_FULL_forms}', "");
    Expect(1, 65519, '\P{^Is_Blk=-half_and_FULL_forms}', "");
    Expect(0, 65520, '\p{Is_Blk=-half_and_FULL_forms}', "");
    Expect(1, 65520, '\p{^Is_Blk=-half_and_FULL_forms}', "");
    Expect(1, 65520, '\P{Is_Blk=-half_and_FULL_forms}', "");
    Expect(0, 65520, '\P{^Is_Blk=-half_and_FULL_forms}', "");
    Error('\p{Block=:=	_Combining_Half_Marks}');
    Error('\P{Block=:=	_Combining_Half_Marks}');
    Expect(1, 65071, '\p{Block=:\ACombining_Half_Marks\z:}', "");;
    Expect(0, 65072, '\p{Block=:\ACombining_Half_Marks\z:}', "");;
    Expect(1, 65071, '\p{Block=combininghalfmarks}', "");
    Expect(0, 65071, '\p{^Block=combininghalfmarks}', "");
    Expect(0, 65071, '\P{Block=combininghalfmarks}', "");
    Expect(1, 65071, '\P{^Block=combininghalfmarks}', "");
    Expect(0, 65072, '\p{Block=combininghalfmarks}', "");
    Expect(1, 65072, '\p{^Block=combininghalfmarks}', "");
    Expect(1, 65072, '\P{Block=combininghalfmarks}', "");
    Expect(0, 65072, '\P{^Block=combininghalfmarks}', "");
    Expect(1, 65071, '\p{Block=:\Acombininghalfmarks\z:}', "");;
    Expect(0, 65072, '\p{Block=:\Acombininghalfmarks\z:}', "");;
    Expect(1, 65071, '\p{Block=	_COMBINING_half_Marks}', "");
    Expect(0, 65071, '\p{^Block=	_COMBINING_half_Marks}', "");
    Expect(0, 65071, '\P{Block=	_COMBINING_half_Marks}', "");
    Expect(1, 65071, '\P{^Block=	_COMBINING_half_Marks}', "");
    Expect(0, 65072, '\p{Block=	_COMBINING_half_Marks}', "");
    Expect(1, 65072, '\p{^Block=	_COMBINING_half_Marks}', "");
    Expect(1, 65072, '\P{Block=	_COMBINING_half_Marks}', "");
    Expect(0, 65072, '\P{^Block=	_COMBINING_half_Marks}', "");
    Error('\p{Blk=-	half_Marks:=}');
    Error('\P{Blk=-	half_Marks:=}');
    Expect(1, 65071, '\p{Blk=:\AHalf_Marks\z:}', "");;
    Expect(0, 65072, '\p{Blk=:\AHalf_Marks\z:}', "");;
    Expect(1, 65071, '\p{Blk=halfmarks}', "");
    Expect(0, 65071, '\p{^Blk=halfmarks}', "");
    Expect(0, 65071, '\P{Blk=halfmarks}', "");
    Expect(1, 65071, '\P{^Blk=halfmarks}', "");
    Expect(0, 65072, '\p{Blk=halfmarks}', "");
    Expect(1, 65072, '\p{^Blk=halfmarks}', "");
    Expect(1, 65072, '\P{Blk=halfmarks}', "");
    Expect(0, 65072, '\P{^Blk=halfmarks}', "");
    Expect(1, 65071, '\p{Blk=:\Ahalfmarks\z:}', "");;
    Expect(0, 65072, '\p{Blk=:\Ahalfmarks\z:}', "");;
    Expect(1, 65071, '\p{Blk=Half_MARKS}', "");
    Expect(0, 65071, '\p{^Blk=Half_MARKS}', "");
    Expect(0, 65071, '\P{Blk=Half_MARKS}', "");
    Expect(1, 65071, '\P{^Blk=Half_MARKS}', "");
    Expect(0, 65072, '\p{Blk=Half_MARKS}', "");
    Expect(1, 65072, '\p{^Blk=Half_MARKS}', "");
    Expect(1, 65072, '\P{Blk=Half_MARKS}', "");
    Expect(0, 65072, '\P{^Blk=Half_MARKS}', "");
    Error('\p{Is_Block=_combining_Half_MARKS:=}');
    Error('\P{Is_Block=_combining_Half_MARKS:=}');
    Expect(1, 65071, '\p{Is_Block: combininghalfmarks}', "");
    Expect(0, 65071, '\p{^Is_Block: combininghalfmarks}', "");
    Expect(0, 65071, '\P{Is_Block: combininghalfmarks}', "");
    Expect(1, 65071, '\P{^Is_Block: combininghalfmarks}', "");
    Expect(0, 65072, '\p{Is_Block: combininghalfmarks}', "");
    Expect(1, 65072, '\p{^Is_Block: combininghalfmarks}', "");
    Expect(1, 65072, '\P{Is_Block: combininghalfmarks}', "");
    Expect(0, 65072, '\P{^Is_Block: combininghalfmarks}', "");
    Expect(1, 65071, '\p{Is_Block=_-COMBINING_HALF_Marks}', "");
    Expect(0, 65071, '\p{^Is_Block=_-COMBINING_HALF_Marks}', "");
    Expect(0, 65071, '\P{Is_Block=_-COMBINING_HALF_Marks}', "");
    Expect(1, 65071, '\P{^Is_Block=_-COMBINING_HALF_Marks}', "");
    Expect(0, 65072, '\p{Is_Block=_-COMBINING_HALF_Marks}', "");
    Expect(1, 65072, '\p{^Is_Block=_-COMBINING_HALF_Marks}', "");
    Expect(1, 65072, '\P{Is_Block=_-COMBINING_HALF_Marks}', "");
    Expect(0, 65072, '\P{^Is_Block=_-COMBINING_HALF_Marks}', "");
    Error('\p{Is_Blk= /a/Half_Marks}');
    Error('\P{Is_Blk= /a/Half_Marks}');
    Expect(1, 65071, '\p{Is_Blk=halfmarks}', "");
    Expect(0, 65071, '\p{^Is_Blk=halfmarks}', "");
    Expect(0, 65071, '\P{Is_Blk=halfmarks}', "");
    Expect(1, 65071, '\P{^Is_Blk=halfmarks}', "");
    Expect(0, 65072, '\p{Is_Blk=halfmarks}', "");
    Expect(1, 65072, '\p{^Is_Blk=halfmarks}', "");
    Expect(1, 65072, '\P{Is_Blk=halfmarks}', "");
    Expect(0, 65072, '\P{^Is_Blk=halfmarks}', "");
    Expect(1, 65071, '\p{Is_Blk=-_Half_Marks}', "");
    Expect(0, 65071, '\p{^Is_Blk=-_Half_Marks}', "");
    Expect(0, 65071, '\P{Is_Blk=-_Half_Marks}', "");
    Expect(1, 65071, '\P{^Is_Blk=-_Half_Marks}', "");
    Expect(0, 65072, '\p{Is_Blk=-_Half_Marks}', "");
    Expect(1, 65072, '\p{^Is_Blk=-_Half_Marks}', "");
    Expect(1, 65072, '\P{Is_Blk=-_Half_Marks}', "");
    Expect(0, 65072, '\P{^Is_Blk=-_Half_Marks}', "");
    Error('\p{Block=/a/--Hangul_Syllables}');
    Error('\P{Block=/a/--Hangul_Syllables}');
    Expect(1, 55215, '\p{Block=:\AHangul_Syllables\z:}', "");;
    Expect(0, 55216, '\p{Block=:\AHangul_Syllables\z:}', "");;
    Expect(1, 55215, '\p{Block=hangulsyllables}', "");
    Expect(0, 55215, '\p{^Block=hangulsyllables}', "");
    Expect(0, 55215, '\P{Block=hangulsyllables}', "");
    Expect(1, 55215, '\P{^Block=hangulsyllables}', "");
    Expect(0, 55216, '\p{Block=hangulsyllables}', "");
    Expect(1, 55216, '\p{^Block=hangulsyllables}', "");
    Expect(1, 55216, '\P{Block=hangulsyllables}', "");
    Expect(0, 55216, '\P{^Block=hangulsyllables}', "");
    Expect(1, 55215, '\p{Block=:\Ahangulsyllables\z:}', "");;
    Expect(0, 55216, '\p{Block=:\Ahangulsyllables\z:}', "");;
    Expect(1, 55215, '\p{Block:   - Hangul_syllables}', "");
    Expect(0, 55215, '\p{^Block:   - Hangul_syllables}', "");
    Expect(0, 55215, '\P{Block:   - Hangul_syllables}', "");
    Expect(1, 55215, '\P{^Block:   - Hangul_syllables}', "");
    Expect(0, 55216, '\p{Block:   - Hangul_syllables}', "");
    Expect(1, 55216, '\p{^Block:   - Hangul_syllables}', "");
    Expect(1, 55216, '\P{Block:   - Hangul_syllables}', "");
    Expect(0, 55216, '\P{^Block:   - Hangul_syllables}', "");
    Error('\p{Blk=  Hangul:=}');
    Error('\P{Blk=  Hangul:=}');
    Expect(1, 55215, '\p{Blk=:\AHangul\z:}', "");;
    Expect(0, 55216, '\p{Blk=:\AHangul\z:}', "");;
    Expect(1, 55215, '\p{Blk=hangul}', "");
    Expect(0, 55215, '\p{^Blk=hangul}', "");
    Expect(0, 55215, '\P{Blk=hangul}', "");
    Expect(1, 55215, '\P{^Blk=hangul}', "");
    Expect(0, 55216, '\p{Blk=hangul}', "");
    Expect(1, 55216, '\p{^Blk=hangul}', "");
    Expect(1, 55216, '\P{Blk=hangul}', "");
    Expect(0, 55216, '\P{^Blk=hangul}', "");
    Expect(1, 55215, '\p{Blk=:\Ahangul\z:}', "");;
    Expect(0, 55216, '\p{Blk=:\Ahangul\z:}', "");;
    Expect(1, 55215, '\p{Blk=_-HANGUL}', "");
    Expect(0, 55215, '\p{^Blk=_-HANGUL}', "");
    Expect(0, 55215, '\P{Blk=_-HANGUL}', "");
    Expect(1, 55215, '\P{^Blk=_-HANGUL}', "");
    Expect(0, 55216, '\p{Blk=_-HANGUL}', "");
    Expect(1, 55216, '\p{^Blk=_-HANGUL}', "");
    Expect(1, 55216, '\P{Blk=_-HANGUL}', "");
    Expect(0, 55216, '\P{^Blk=_-HANGUL}', "");
    Error('\p{Is_Block=:=	_HANGUL_Syllables}');
    Error('\P{Is_Block=:=	_HANGUL_Syllables}');
    Expect(1, 55215, '\p{Is_Block=hangulsyllables}', "");
    Expect(0, 55215, '\p{^Is_Block=hangulsyllables}', "");
    Expect(0, 55215, '\P{Is_Block=hangulsyllables}', "");
    Expect(1, 55215, '\P{^Is_Block=hangulsyllables}', "");
    Expect(0, 55216, '\p{Is_Block=hangulsyllables}', "");
    Expect(1, 55216, '\p{^Is_Block=hangulsyllables}', "");
    Expect(1, 55216, '\P{Is_Block=hangulsyllables}', "");
    Expect(0, 55216, '\P{^Is_Block=hangulsyllables}', "");
    Expect(1, 55215, '\p{Is_Block: -HANGUL_SYLLABLES}', "");
    Expect(0, 55215, '\p{^Is_Block: -HANGUL_SYLLABLES}', "");
    Expect(0, 55215, '\P{Is_Block: -HANGUL_SYLLABLES}', "");
    Expect(1, 55215, '\P{^Is_Block: -HANGUL_SYLLABLES}', "");
    Expect(0, 55216, '\p{Is_Block: -HANGUL_SYLLABLES}', "");
    Expect(1, 55216, '\p{^Is_Block: -HANGUL_SYLLABLES}', "");
    Expect(1, 55216, '\P{Is_Block: -HANGUL_SYLLABLES}', "");
    Expect(0, 55216, '\P{^Is_Block: -HANGUL_SYLLABLES}', "");
    Error('\p{Is_Blk=-/a/HANGUL}');
    Error('\P{Is_Blk=-/a/HANGUL}');
    Expect(1, 55215, '\p{Is_Blk=hangul}', "");
    Expect(0, 55215, '\p{^Is_Blk=hangul}', "");
    Expect(0, 55215, '\P{Is_Blk=hangul}', "");
    Expect(1, 55215, '\P{^Is_Blk=hangul}', "");
    Expect(0, 55216, '\p{Is_Blk=hangul}', "");
    Expect(1, 55216, '\p{^Is_Blk=hangul}', "");
    Expect(1, 55216, '\P{Is_Blk=hangul}', "");
    Expect(0, 55216, '\P{^Is_Blk=hangul}', "");
    Expect(1, 55215, '\p{Is_Blk: __Hangul}', "");
    Expect(0, 55215, '\p{^Is_Blk: __Hangul}', "");
    Expect(0, 55215, '\P{Is_Blk: __Hangul}', "");
    Expect(1, 55215, '\P{^Is_Blk: __Hangul}', "");
    Expect(0, 55216, '\p{Is_Blk: __Hangul}', "");
    Expect(1, 55216, '\p{^Is_Blk: __Hangul}', "");
    Expect(1, 55216, '\P{Is_Blk: __Hangul}', "");
    Expect(0, 55216, '\P{^Is_Blk: __Hangul}', "");
    Error('\p{Block:/a/		Hanifi_Rohingya}');
    Error('\P{Block:/a/		Hanifi_Rohingya}');
    Expect(1, 68927, '\p{Block=:\AHanifi_Rohingya\z:}', "");;
    Expect(0, 68928, '\p{Block=:\AHanifi_Rohingya\z:}', "");;
    Expect(1, 68927, '\p{Block=hanifirohingya}', "");
    Expect(0, 68927, '\p{^Block=hanifirohingya}', "");
    Expect(0, 68927, '\P{Block=hanifirohingya}', "");
    Expect(1, 68927, '\P{^Block=hanifirohingya}', "");
    Expect(0, 68928, '\p{Block=hanifirohingya}', "");
    Expect(1, 68928, '\p{^Block=hanifirohingya}', "");
    Expect(1, 68928, '\P{Block=hanifirohingya}', "");
    Expect(0, 68928, '\P{^Block=hanifirohingya}', "");
    Expect(1, 68927, '\p{Block=:\Ahanifirohingya\z:}', "");;
    Expect(0, 68928, '\p{Block=:\Ahanifirohingya\z:}', "");;
    Expect(1, 68927, '\p{Block=_-Hanifi_Rohingya}', "");
    Expect(0, 68927, '\p{^Block=_-Hanifi_Rohingya}', "");
    Expect(0, 68927, '\P{Block=_-Hanifi_Rohingya}', "");
    Expect(1, 68927, '\P{^Block=_-Hanifi_Rohingya}', "");
    Expect(0, 68928, '\p{Block=_-Hanifi_Rohingya}', "");
    Expect(1, 68928, '\p{^Block=_-Hanifi_Rohingya}', "");
    Expect(1, 68928, '\P{Block=_-Hanifi_Rohingya}', "");
    Expect(0, 68928, '\P{^Block=_-Hanifi_Rohingya}', "");
    Error('\p{Blk=:=  Hanifi_Rohingya}');
    Error('\P{Blk=:=  Hanifi_Rohingya}');
    Expect(1, 68927, '\p{Blk=:\AHanifi_Rohingya\z:}', "");;
    Expect(0, 68928, '\p{Blk=:\AHanifi_Rohingya\z:}', "");;
    Expect(1, 68927, '\p{Blk=hanifirohingya}', "");
    Expect(0, 68927, '\p{^Blk=hanifirohingya}', "");
    Expect(0, 68927, '\P{Blk=hanifirohingya}', "");
    Expect(1, 68927, '\P{^Blk=hanifirohingya}', "");
    Expect(0, 68928, '\p{Blk=hanifirohingya}', "");
    Expect(1, 68928, '\p{^Blk=hanifirohingya}', "");
    Expect(1, 68928, '\P{Blk=hanifirohingya}', "");
    Expect(0, 68928, '\P{^Blk=hanifirohingya}', "");
    Expect(1, 68927, '\p{Blk=:\Ahanifirohingya\z:}', "");;
    Expect(0, 68928, '\p{Blk=:\Ahanifirohingya\z:}', "");;
    Expect(1, 68927, '\p{Blk=	-hanifi_Rohingya}', "");
    Expect(0, 68927, '\p{^Blk=	-hanifi_Rohingya}', "");
    Expect(0, 68927, '\P{Blk=	-hanifi_Rohingya}', "");
    Expect(1, 68927, '\P{^Blk=	-hanifi_Rohingya}', "");
    Expect(0, 68928, '\p{Blk=	-hanifi_Rohingya}', "");
    Expect(1, 68928, '\p{^Blk=	-hanifi_Rohingya}', "");
    Expect(1, 68928, '\P{Blk=	-hanifi_Rohingya}', "");
    Expect(0, 68928, '\P{^Blk=	-hanifi_Rohingya}', "");
    Error('\p{Is_Block:   	hanifi_Rohingya:=}');
    Error('\P{Is_Block:   	hanifi_Rohingya:=}');
    Expect(1, 68927, '\p{Is_Block:   hanifirohingya}', "");
    Expect(0, 68927, '\p{^Is_Block:   hanifirohingya}', "");
    Expect(0, 68927, '\P{Is_Block:   hanifirohingya}', "");
    Expect(1, 68927, '\P{^Is_Block:   hanifirohingya}', "");
    Expect(0, 68928, '\p{Is_Block:   hanifirohingya}', "");
    Expect(1, 68928, '\p{^Is_Block:   hanifirohingya}', "");
    Expect(1, 68928, '\P{Is_Block:   hanifirohingya}', "");
    Expect(0, 68928, '\P{^Is_Block:   hanifirohingya}', "");
    Expect(1, 68927, '\p{Is_Block=_hanifi_Rohingya}', "");
    Expect(0, 68927, '\p{^Is_Block=_hanifi_Rohingya}', "");
    Expect(0, 68927, '\P{Is_Block=_hanifi_Rohingya}', "");
    Expect(1, 68927, '\P{^Is_Block=_hanifi_Rohingya}', "");
    Expect(0, 68928, '\p{Is_Block=_hanifi_Rohingya}', "");
    Expect(1, 68928, '\p{^Is_Block=_hanifi_Rohingya}', "");
    Expect(1, 68928, '\P{Is_Block=_hanifi_Rohingya}', "");
    Expect(0, 68928, '\P{^Is_Block=_hanifi_Rohingya}', "");
    Error('\p{Is_Blk=/a/	-hanifi_Rohingya}');
    Error('\P{Is_Blk=/a/	-hanifi_Rohingya}');
    Expect(1, 68927, '\p{Is_Blk=hanifirohingya}', "");
    Expect(0, 68927, '\p{^Is_Blk=hanifirohingya}', "");
    Expect(0, 68927, '\P{Is_Blk=hanifirohingya}', "");
    Expect(1, 68927, '\P{^Is_Blk=hanifirohingya}', "");
    Expect(0, 68928, '\p{Is_Blk=hanifirohingya}', "");
    Expect(1, 68928, '\p{^Is_Blk=hanifirohingya}', "");
    Expect(1, 68928, '\P{Is_Blk=hanifirohingya}', "");
    Expect(0, 68928, '\P{^Is_Blk=hanifirohingya}', "");
    Expect(1, 68927, '\p{Is_Blk:- hanifi_Rohingya}', "");
    Expect(0, 68927, '\p{^Is_Blk:- hanifi_Rohingya}', "");
    Expect(0, 68927, '\P{Is_Blk:- hanifi_Rohingya}', "");
    Expect(1, 68927, '\P{^Is_Blk:- hanifi_Rohingya}', "");
    Expect(0, 68928, '\p{Is_Blk:- hanifi_Rohingya}', "");
    Expect(1, 68928, '\p{^Is_Blk:- hanifi_Rohingya}', "");
    Expect(1, 68928, '\P{Is_Blk:- hanifi_Rohingya}', "");
    Expect(0, 68928, '\P{^Is_Blk:- hanifi_Rohingya}', "");
    Error('\p{Block=- Hanunoo/a/}');
    Error('\P{Block=- Hanunoo/a/}');
    Expect(1, 5951, '\p{Block=:\AHanunoo\z:}', "");;
    Expect(0, 5952, '\p{Block=:\AHanunoo\z:}', "");;
    Expect(1, 5951, '\p{Block=hanunoo}', "");
    Expect(0, 5951, '\p{^Block=hanunoo}', "");
    Expect(0, 5951, '\P{Block=hanunoo}', "");
    Expect(1, 5951, '\P{^Block=hanunoo}', "");
    Expect(0, 5952, '\p{Block=hanunoo}', "");
    Expect(1, 5952, '\p{^Block=hanunoo}', "");
    Expect(1, 5952, '\P{Block=hanunoo}', "");
    Expect(0, 5952, '\P{^Block=hanunoo}', "");
    Expect(1, 5951, '\p{Block=:\Ahanunoo\z:}', "");;
    Expect(0, 5952, '\p{Block=:\Ahanunoo\z:}', "");;
    Expect(1, 5951, '\p{Block=_ HANUNOO}', "");
    Expect(0, 5951, '\p{^Block=_ HANUNOO}', "");
    Expect(0, 5951, '\P{Block=_ HANUNOO}', "");
    Expect(1, 5951, '\P{^Block=_ HANUNOO}', "");
    Expect(0, 5952, '\p{Block=_ HANUNOO}', "");
    Expect(1, 5952, '\p{^Block=_ HANUNOO}', "");
    Expect(1, 5952, '\P{Block=_ HANUNOO}', "");
    Expect(0, 5952, '\P{^Block=_ HANUNOO}', "");
    Error('\p{Blk=/a/ -Hanunoo}');
    Error('\P{Blk=/a/ -Hanunoo}');
    Expect(1, 5951, '\p{Blk=:\AHanunoo\z:}', "");;
    Expect(0, 5952, '\p{Blk=:\AHanunoo\z:}', "");;
    Expect(1, 5951, '\p{Blk=hanunoo}', "");
    Expect(0, 5951, '\p{^Blk=hanunoo}', "");
    Expect(0, 5951, '\P{Blk=hanunoo}', "");
    Expect(1, 5951, '\P{^Blk=hanunoo}', "");
    Expect(0, 5952, '\p{Blk=hanunoo}', "");
    Expect(1, 5952, '\p{^Blk=hanunoo}', "");
    Expect(1, 5952, '\P{Blk=hanunoo}', "");
    Expect(0, 5952, '\P{^Blk=hanunoo}', "");
    Expect(1, 5951, '\p{Blk=:\Ahanunoo\z:}', "");;
    Expect(0, 5952, '\p{Blk=:\Ahanunoo\z:}', "");;
    Expect(1, 5951, '\p{Blk=_-hanunoo}', "");
    Expect(0, 5951, '\p{^Blk=_-hanunoo}', "");
    Expect(0, 5951, '\P{Blk=_-hanunoo}', "");
    Expect(1, 5951, '\P{^Blk=_-hanunoo}', "");
    Expect(0, 5952, '\p{Blk=_-hanunoo}', "");
    Expect(1, 5952, '\p{^Blk=_-hanunoo}', "");
    Expect(1, 5952, '\P{Blk=_-hanunoo}', "");
    Expect(0, 5952, '\P{^Blk=_-hanunoo}', "");
    Error('\p{Is_Block=:=-	Hanunoo}');
    Error('\P{Is_Block=:=-	Hanunoo}');
    Expect(1, 5951, '\p{Is_Block:	hanunoo}', "");
    Expect(0, 5951, '\p{^Is_Block:	hanunoo}', "");
    Expect(0, 5951, '\P{Is_Block:	hanunoo}', "");
    Expect(1, 5951, '\P{^Is_Block:	hanunoo}', "");
    Expect(0, 5952, '\p{Is_Block:	hanunoo}', "");
    Expect(1, 5952, '\p{^Is_Block:	hanunoo}', "");
    Expect(1, 5952, '\P{Is_Block:	hanunoo}', "");
    Expect(0, 5952, '\P{^Is_Block:	hanunoo}', "");
    Expect(1, 5951, '\p{Is_Block:   -	Hanunoo}', "");
    Expect(0, 5951, '\p{^Is_Block:   -	Hanunoo}', "");
    Expect(0, 5951, '\P{Is_Block:   -	Hanunoo}', "");
    Expect(1, 5951, '\P{^Is_Block:   -	Hanunoo}', "");
    Expect(0, 5952, '\p{Is_Block:   -	Hanunoo}', "");
    Expect(1, 5952, '\p{^Is_Block:   -	Hanunoo}', "");
    Expect(1, 5952, '\P{Is_Block:   -	Hanunoo}', "");
    Expect(0, 5952, '\P{^Is_Block:   -	Hanunoo}', "");
    Error('\p{Is_Blk=-/a/Hanunoo}');
    Error('\P{Is_Blk=-/a/Hanunoo}');
    Expect(1, 5951, '\p{Is_Blk=hanunoo}', "");
    Expect(0, 5951, '\p{^Is_Blk=hanunoo}', "");
    Expect(0, 5951, '\P{Is_Blk=hanunoo}', "");
    Expect(1, 5951, '\P{^Is_Blk=hanunoo}', "");
    Expect(0, 5952, '\p{Is_Blk=hanunoo}', "");
    Expect(1, 5952, '\p{^Is_Blk=hanunoo}', "");
    Expect(1, 5952, '\P{Is_Blk=hanunoo}', "");
    Expect(0, 5952, '\P{^Is_Blk=hanunoo}', "");
    Expect(1, 5951, '\p{Is_Blk=_HANUNOO}', "");
    Expect(0, 5951, '\p{^Is_Blk=_HANUNOO}', "");
    Expect(0, 5951, '\P{Is_Blk=_HANUNOO}', "");
    Expect(1, 5951, '\P{^Is_Blk=_HANUNOO}', "");
    Expect(0, 5952, '\p{Is_Blk=_HANUNOO}', "");
    Expect(1, 5952, '\p{^Is_Blk=_HANUNOO}', "");
    Expect(1, 5952, '\P{Is_Blk=_HANUNOO}', "");
    Expect(0, 5952, '\P{^Is_Blk=_HANUNOO}', "");
    Error('\p{Block=:=_HATRAN}');
    Error('\P{Block=:=_HATRAN}');
    Expect(1, 67839, '\p{Block=:\AHatran\z:}', "");;
    Expect(0, 67840, '\p{Block=:\AHatran\z:}', "");;
    Expect(1, 67839, '\p{Block=hatran}', "");
    Expect(0, 67839, '\p{^Block=hatran}', "");
    Expect(0, 67839, '\P{Block=hatran}', "");
    Expect(1, 67839, '\P{^Block=hatran}', "");
    Expect(0, 67840, '\p{Block=hatran}', "");
    Expect(1, 67840, '\p{^Block=hatran}', "");
    Expect(1, 67840, '\P{Block=hatran}', "");
    Expect(0, 67840, '\P{^Block=hatran}', "");
    Expect(1, 67839, '\p{Block=:\Ahatran\z:}', "");;
    Expect(0, 67840, '\p{Block=:\Ahatran\z:}', "");;
    Expect(1, 67839, '\p{Block=--Hatran}', "");
    Expect(0, 67839, '\p{^Block=--Hatran}', "");
    Expect(0, 67839, '\P{Block=--Hatran}', "");
    Expect(1, 67839, '\P{^Block=--Hatran}', "");
    Expect(0, 67840, '\p{Block=--Hatran}', "");
    Expect(1, 67840, '\p{^Block=--Hatran}', "");
    Expect(1, 67840, '\P{Block=--Hatran}', "");
    Expect(0, 67840, '\P{^Block=--Hatran}', "");
    Error('\p{Blk: 	 hatran/a/}');
    Error('\P{Blk: 	 hatran/a/}');
    Expect(1, 67839, '\p{Blk=:\AHatran\z:}', "");;
    Expect(0, 67840, '\p{Blk=:\AHatran\z:}', "");;
    Expect(1, 67839, '\p{Blk=hatran}', "");
    Expect(0, 67839, '\p{^Blk=hatran}', "");
    Expect(0, 67839, '\P{Blk=hatran}', "");
    Expect(1, 67839, '\P{^Blk=hatran}', "");
    Expect(0, 67840, '\p{Blk=hatran}', "");
    Expect(1, 67840, '\p{^Blk=hatran}', "");
    Expect(1, 67840, '\P{Blk=hatran}', "");
    Expect(0, 67840, '\P{^Blk=hatran}', "");
    Expect(1, 67839, '\p{Blk=:\Ahatran\z:}', "");;
    Expect(0, 67840, '\p{Blk=:\Ahatran\z:}', "");;
    Expect(1, 67839, '\p{Blk=-Hatran}', "");
    Expect(0, 67839, '\p{^Blk=-Hatran}', "");
    Expect(0, 67839, '\P{Blk=-Hatran}', "");
    Expect(1, 67839, '\P{^Blk=-Hatran}', "");
    Expect(0, 67840, '\p{Blk=-Hatran}', "");
    Expect(1, 67840, '\p{^Blk=-Hatran}', "");
    Expect(1, 67840, '\P{Blk=-Hatran}', "");
    Expect(0, 67840, '\P{^Blk=-Hatran}', "");
    Error('\p{Is_Block=:=	hatran}');
    Error('\P{Is_Block=:=	hatran}');
    Expect(1, 67839, '\p{Is_Block=hatran}', "");
    Expect(0, 67839, '\p{^Is_Block=hatran}', "");
    Expect(0, 67839, '\P{Is_Block=hatran}', "");
    Expect(1, 67839, '\P{^Is_Block=hatran}', "");
    Expect(0, 67840, '\p{Is_Block=hatran}', "");
    Expect(1, 67840, '\p{^Is_Block=hatran}', "");
    Expect(1, 67840, '\P{Is_Block=hatran}', "");
    Expect(0, 67840, '\P{^Is_Block=hatran}', "");
    Expect(1, 67839, '\p{Is_Block=_hatran}', "");
    Expect(0, 67839, '\p{^Is_Block=_hatran}', "");
    Expect(0, 67839, '\P{Is_Block=_hatran}', "");
    Expect(1, 67839, '\P{^Is_Block=_hatran}', "");
    Expect(0, 67840, '\p{Is_Block=_hatran}', "");
    Expect(1, 67840, '\p{^Is_Block=_hatran}', "");
    Expect(1, 67840, '\P{Is_Block=_hatran}', "");
    Expect(0, 67840, '\P{^Is_Block=_hatran}', "");
    Error('\p{Is_Blk=-_HATRAN:=}');
    Error('\P{Is_Blk=-_HATRAN:=}');
    Expect(1, 67839, '\p{Is_Blk=hatran}', "");
    Expect(0, 67839, '\p{^Is_Blk=hatran}', "");
    Expect(0, 67839, '\P{Is_Blk=hatran}', "");
    Expect(1, 67839, '\P{^Is_Blk=hatran}', "");
    Expect(0, 67840, '\p{Is_Blk=hatran}', "");
    Expect(1, 67840, '\p{^Is_Blk=hatran}', "");
    Expect(1, 67840, '\P{Is_Blk=hatran}', "");
    Expect(0, 67840, '\P{^Is_Blk=hatran}', "");
    Expect(1, 67839, '\p{Is_Blk= 	HATRAN}', "");
    Expect(0, 67839, '\p{^Is_Blk= 	HATRAN}', "");
    Expect(0, 67839, '\P{Is_Blk= 	HATRAN}', "");
    Expect(1, 67839, '\P{^Is_Blk= 	HATRAN}', "");
    Expect(0, 67840, '\p{Is_Blk= 	HATRAN}', "");
    Expect(1, 67840, '\p{^Is_Blk= 	HATRAN}', "");
    Expect(1, 67840, '\P{Is_Blk= 	HATRAN}', "");
    Expect(0, 67840, '\P{^Is_Blk= 	HATRAN}', "");
    Error('\p{Block=/a/Hebrew}');
    Error('\P{Block=/a/Hebrew}');
    Expect(1, 1535, '\p{Block=:\AHebrew\z:}', "");;
    Expect(0, 1536, '\p{Block=:\AHebrew\z:}', "");;
    Expect(1, 1535, '\p{Block=hebrew}', "");
    Expect(0, 1535, '\p{^Block=hebrew}', "");
    Expect(0, 1535, '\P{Block=hebrew}', "");
    Expect(1, 1535, '\P{^Block=hebrew}', "");
    Expect(0, 1536, '\p{Block=hebrew}', "");
    Expect(1, 1536, '\p{^Block=hebrew}', "");
    Expect(1, 1536, '\P{Block=hebrew}', "");
    Expect(0, 1536, '\P{^Block=hebrew}', "");
    Expect(1, 1535, '\p{Block=:\Ahebrew\z:}', "");;
    Expect(0, 1536, '\p{Block=:\Ahebrew\z:}', "");;
    Expect(1, 1535, '\p{Block:	 -Hebrew}', "");
    Expect(0, 1535, '\p{^Block:	 -Hebrew}', "");
    Expect(0, 1535, '\P{Block:	 -Hebrew}', "");
    Expect(1, 1535, '\P{^Block:	 -Hebrew}', "");
    Expect(0, 1536, '\p{Block:	 -Hebrew}', "");
    Expect(1, 1536, '\p{^Block:	 -Hebrew}', "");
    Expect(1, 1536, '\P{Block:	 -Hebrew}', "");
    Expect(0, 1536, '\P{^Block:	 -Hebrew}', "");
    Error('\p{Blk=/a/_	Hebrew}');
    Error('\P{Blk=/a/_	Hebrew}');
    Expect(1, 1535, '\p{Blk=:\AHebrew\z:}', "");;
    Expect(0, 1536, '\p{Blk=:\AHebrew\z:}', "");;
    Expect(1, 1535, '\p{Blk=hebrew}', "");
    Expect(0, 1535, '\p{^Blk=hebrew}', "");
    Expect(0, 1535, '\P{Blk=hebrew}', "");
    Expect(1, 1535, '\P{^Blk=hebrew}', "");
    Expect(0, 1536, '\p{Blk=hebrew}', "");
    Expect(1, 1536, '\p{^Blk=hebrew}', "");
    Expect(1, 1536, '\P{Blk=hebrew}', "");
    Expect(0, 1536, '\P{^Blk=hebrew}', "");
    Expect(1, 1535, '\p{Blk=:\Ahebrew\z:}', "");;
    Expect(0, 1536, '\p{Blk=:\Ahebrew\z:}', "");;
    Expect(1, 1535, '\p{Blk=- HEBREW}', "");
    Expect(0, 1535, '\p{^Blk=- HEBREW}', "");
    Expect(0, 1535, '\P{Blk=- HEBREW}', "");
    Expect(1, 1535, '\P{^Blk=- HEBREW}', "");
    Expect(0, 1536, '\p{Blk=- HEBREW}', "");
    Expect(1, 1536, '\p{^Blk=- HEBREW}', "");
    Expect(1, 1536, '\P{Blk=- HEBREW}', "");
    Expect(0, 1536, '\P{^Blk=- HEBREW}', "");
    Error('\p{Is_Block=-:=Hebrew}');
    Error('\P{Is_Block=-:=Hebrew}');
    Expect(1, 1535, '\p{Is_Block=hebrew}', "");
    Expect(0, 1535, '\p{^Is_Block=hebrew}', "");
    Expect(0, 1535, '\P{Is_Block=hebrew}', "");
    Expect(1, 1535, '\P{^Is_Block=hebrew}', "");
    Expect(0, 1536, '\p{Is_Block=hebrew}', "");
    Expect(1, 1536, '\p{^Is_Block=hebrew}', "");
    Expect(1, 1536, '\P{Is_Block=hebrew}', "");
    Expect(0, 1536, '\P{^Is_Block=hebrew}', "");
    Expect(1, 1535, '\p{Is_Block=		Hebrew}', "");
    Expect(0, 1535, '\p{^Is_Block=		Hebrew}', "");
    Expect(0, 1535, '\P{Is_Block=		Hebrew}', "");
    Expect(1, 1535, '\P{^Is_Block=		Hebrew}', "");
    Expect(0, 1536, '\p{Is_Block=		Hebrew}', "");
    Expect(1, 1536, '\p{^Is_Block=		Hebrew}', "");
    Expect(1, 1536, '\P{Is_Block=		Hebrew}', "");
    Expect(0, 1536, '\P{^Is_Block=		Hebrew}', "");
    Error('\p{Is_Blk=Hebrew/a/}');
    Error('\P{Is_Blk=Hebrew/a/}');
    Expect(1, 1535, '\p{Is_Blk=hebrew}', "");
    Expect(0, 1535, '\p{^Is_Blk=hebrew}', "");
    Expect(0, 1535, '\P{Is_Blk=hebrew}', "");
    Expect(1, 1535, '\P{^Is_Blk=hebrew}', "");
    Expect(0, 1536, '\p{Is_Blk=hebrew}', "");
    Expect(1, 1536, '\p{^Is_Blk=hebrew}', "");
    Expect(1, 1536, '\P{Is_Blk=hebrew}', "");
    Expect(0, 1536, '\P{^Is_Blk=hebrew}', "");
    Expect(1, 1535, '\p{Is_Blk= Hebrew}', "");
    Expect(0, 1535, '\p{^Is_Blk= Hebrew}', "");
    Expect(0, 1535, '\P{Is_Blk= Hebrew}', "");
    Expect(1, 1535, '\P{^Is_Blk= Hebrew}', "");
    Expect(0, 1536, '\p{Is_Blk= Hebrew}', "");
    Expect(1, 1536, '\p{^Is_Blk= Hebrew}', "");
    Expect(1, 1536, '\P{Is_Blk= Hebrew}', "");
    Expect(0, 1536, '\P{^Is_Blk= Hebrew}', "");
    Error('\p{Block=high_Private_Use_Surrogates/a/}');
    Error('\P{Block=high_Private_Use_Surrogates/a/}');
    Expect(1, 56319, '\p{Block=:\AHigh_Private_Use_Surrogates\z:}', "");;
    Expect(0, 57344, '\p{Block=:\AHigh_Private_Use_Surrogates\z:}', "");;
    Expect(1, 56319, '\p{Block=highprivateusesurrogates}', "");
    Expect(0, 56319, '\p{^Block=highprivateusesurrogates}', "");
    Expect(0, 56319, '\P{Block=highprivateusesurrogates}', "");
    Expect(1, 56319, '\P{^Block=highprivateusesurrogates}', "");
    Expect(0, 57344, '\p{Block=highprivateusesurrogates}', "");
    Expect(1, 57344, '\p{^Block=highprivateusesurrogates}', "");
    Expect(1, 57344, '\P{Block=highprivateusesurrogates}', "");
    Expect(0, 57344, '\P{^Block=highprivateusesurrogates}', "");
    Expect(1, 56319, '\p{Block=:\Ahighprivateusesurrogates\z:}', "");;
    Expect(0, 57344, '\p{Block=:\Ahighprivateusesurrogates\z:}', "");;
    Expect(1, 56319, '\p{Block: high_Private_Use_Surrogates}', "");
    Expect(0, 56319, '\p{^Block: high_Private_Use_Surrogates}', "");
    Expect(0, 56319, '\P{Block: high_Private_Use_Surrogates}', "");
    Expect(1, 56319, '\P{^Block: high_Private_Use_Surrogates}', "");
    Expect(0, 57344, '\p{Block: high_Private_Use_Surrogates}', "");
    Expect(1, 57344, '\p{^Block: high_Private_Use_Surrogates}', "");
    Expect(1, 57344, '\P{Block: high_Private_Use_Surrogates}', "");
    Expect(0, 57344, '\P{^Block: high_Private_Use_Surrogates}', "");
    Error('\p{Blk=_:=HIGH_PU_Surrogates}');
    Error('\P{Blk=_:=HIGH_PU_Surrogates}');
    Expect(1, 56319, '\p{Blk=:\AHigh_PU_Surrogates\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\AHigh_PU_Surrogates\z:}', "");;
    Expect(1, 56319, '\p{Blk=highpusurrogates}', "");
    Expect(0, 56319, '\p{^Blk=highpusurrogates}', "");
    Expect(0, 56319, '\P{Blk=highpusurrogates}', "");
    Expect(1, 56319, '\P{^Blk=highpusurrogates}', "");
    Expect(0, 57344, '\p{Blk=highpusurrogates}', "");
    Expect(1, 57344, '\p{^Blk=highpusurrogates}', "");
    Expect(1, 57344, '\P{Blk=highpusurrogates}', "");
    Expect(0, 57344, '\P{^Blk=highpusurrogates}', "");
    Expect(1, 56319, '\p{Blk=:\Ahighpusurrogates\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\Ahighpusurrogates\z:}', "");;
    Expect(1, 56319, '\p{Blk=-	High_pu_Surrogates}', "");
    Expect(0, 56319, '\p{^Blk=-	High_pu_Surrogates}', "");
    Expect(0, 56319, '\P{Blk=-	High_pu_Surrogates}', "");
    Expect(1, 56319, '\P{^Blk=-	High_pu_Surrogates}', "");
    Expect(0, 57344, '\p{Blk=-	High_pu_Surrogates}', "");
    Expect(1, 57344, '\p{^Blk=-	High_pu_Surrogates}', "");
    Expect(1, 57344, '\P{Blk=-	High_pu_Surrogates}', "");
    Expect(0, 57344, '\P{^Blk=-	High_pu_Surrogates}', "");
    Error('\p{Is_Block=_	HIGH_Private_use_SURROGATES:=}');
    Error('\P{Is_Block=_	HIGH_Private_use_SURROGATES:=}');
    Expect(1, 56319, '\p{Is_Block: highprivateusesurrogates}', "");
    Expect(0, 56319, '\p{^Is_Block: highprivateusesurrogates}', "");
    Expect(0, 56319, '\P{Is_Block: highprivateusesurrogates}', "");
    Expect(1, 56319, '\P{^Is_Block: highprivateusesurrogates}', "");
    Expect(0, 57344, '\p{Is_Block: highprivateusesurrogates}', "");
    Expect(1, 57344, '\p{^Is_Block: highprivateusesurrogates}', "");
    Expect(1, 57344, '\P{Is_Block: highprivateusesurrogates}', "");
    Expect(0, 57344, '\P{^Is_Block: highprivateusesurrogates}', "");
    Expect(1, 56319, '\p{Is_Block= _High_Private_Use_SURROGATES}', "");
    Expect(0, 56319, '\p{^Is_Block= _High_Private_Use_SURROGATES}', "");
    Expect(0, 56319, '\P{Is_Block= _High_Private_Use_SURROGATES}', "");
    Expect(1, 56319, '\P{^Is_Block= _High_Private_Use_SURROGATES}', "");
    Expect(0, 57344, '\p{Is_Block= _High_Private_Use_SURROGATES}', "");
    Expect(1, 57344, '\p{^Is_Block= _High_Private_Use_SURROGATES}', "");
    Expect(1, 57344, '\P{Is_Block= _High_Private_Use_SURROGATES}', "");
    Expect(0, 57344, '\P{^Is_Block= _High_Private_Use_SURROGATES}', "");
    Error('\p{Is_Blk=/a/	-high_PU_SURROGATES}');
    Error('\P{Is_Blk=/a/	-high_PU_SURROGATES}');
    Expect(1, 56319, '\p{Is_Blk=highpusurrogates}', "");
    Expect(0, 56319, '\p{^Is_Blk=highpusurrogates}', "");
    Expect(0, 56319, '\P{Is_Blk=highpusurrogates}', "");
    Expect(1, 56319, '\P{^Is_Blk=highpusurrogates}', "");
    Expect(0, 57344, '\p{Is_Blk=highpusurrogates}', "");
    Expect(1, 57344, '\p{^Is_Blk=highpusurrogates}', "");
    Expect(1, 57344, '\P{Is_Blk=highpusurrogates}', "");
    Expect(0, 57344, '\P{^Is_Blk=highpusurrogates}', "");
    Expect(1, 56319, '\p{Is_Blk=-	HIGH_PU_Surrogates}', "");
    Expect(0, 56319, '\p{^Is_Blk=-	HIGH_PU_Surrogates}', "");
    Expect(0, 56319, '\P{Is_Blk=-	HIGH_PU_Surrogates}', "");
    Expect(1, 56319, '\P{^Is_Blk=-	HIGH_PU_Surrogates}', "");
    Expect(0, 57344, '\p{Is_Blk=-	HIGH_PU_Surrogates}', "");
    Expect(1, 57344, '\p{^Is_Blk=-	HIGH_PU_Surrogates}', "");
    Expect(1, 57344, '\P{Is_Blk=-	HIGH_PU_Surrogates}', "");
    Expect(0, 57344, '\P{^Is_Blk=-	HIGH_PU_Surrogates}', "");
    Error('\p{Block=_high_SURROGATES:=}');
    Error('\P{Block=_high_SURROGATES:=}');
    Expect(1, 56191, '\p{Block=:\AHigh_Surrogates\z:}', "");;
    Expect(0, 57344, '\p{Block=:\AHigh_Surrogates\z:}', "");;
    Expect(1, 56191, '\p{Block=highsurrogates}', "");
    Expect(0, 56191, '\p{^Block=highsurrogates}', "");
    Expect(0, 56191, '\P{Block=highsurrogates}', "");
    Expect(1, 56191, '\P{^Block=highsurrogates}', "");
    Expect(0, 57344, '\p{Block=highsurrogates}', "");
    Expect(1, 57344, '\p{^Block=highsurrogates}', "");
    Expect(1, 57344, '\P{Block=highsurrogates}', "");
    Expect(0, 57344, '\P{^Block=highsurrogates}', "");
    Expect(1, 56191, '\p{Block=:\Ahighsurrogates\z:}', "");;
    Expect(0, 57344, '\p{Block=:\Ahighsurrogates\z:}', "");;
    Expect(1, 56191, '\p{Block= -High_surrogates}', "");
    Expect(0, 56191, '\p{^Block= -High_surrogates}', "");
    Expect(0, 56191, '\P{Block= -High_surrogates}', "");
    Expect(1, 56191, '\P{^Block= -High_surrogates}', "");
    Expect(0, 57344, '\p{Block= -High_surrogates}', "");
    Expect(1, 57344, '\p{^Block= -High_surrogates}', "");
    Expect(1, 57344, '\P{Block= -High_surrogates}', "");
    Expect(0, 57344, '\P{^Block= -High_surrogates}', "");
    Error('\p{Blk= /a/High_Surrogates}');
    Error('\P{Blk= /a/High_Surrogates}');
    Expect(1, 56191, '\p{Blk=:\AHigh_Surrogates\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\AHigh_Surrogates\z:}', "");;
    Expect(1, 56191, '\p{Blk=highsurrogates}', "");
    Expect(0, 56191, '\p{^Blk=highsurrogates}', "");
    Expect(0, 56191, '\P{Blk=highsurrogates}', "");
    Expect(1, 56191, '\P{^Blk=highsurrogates}', "");
    Expect(0, 57344, '\p{Blk=highsurrogates}', "");
    Expect(1, 57344, '\p{^Blk=highsurrogates}', "");
    Expect(1, 57344, '\P{Blk=highsurrogates}', "");
    Expect(0, 57344, '\P{^Blk=highsurrogates}', "");
    Expect(1, 56191, '\p{Blk=:\Ahighsurrogates\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\Ahighsurrogates\z:}', "");;
    Expect(1, 56191, '\p{Blk=_-High_Surrogates}', "");
    Expect(0, 56191, '\p{^Blk=_-High_Surrogates}', "");
    Expect(0, 56191, '\P{Blk=_-High_Surrogates}', "");
    Expect(1, 56191, '\P{^Blk=_-High_Surrogates}', "");
    Expect(0, 57344, '\p{Blk=_-High_Surrogates}', "");
    Expect(1, 57344, '\p{^Blk=_-High_Surrogates}', "");
    Expect(1, 57344, '\P{Blk=_-High_Surrogates}', "");
    Expect(0, 57344, '\P{^Blk=_-High_Surrogates}', "");
    Error('\p{Is_Block=:=__high_SURROGATES}');
    Error('\P{Is_Block=:=__high_SURROGATES}');
    Expect(1, 56191, '\p{Is_Block=highsurrogates}', "");
    Expect(0, 56191, '\p{^Is_Block=highsurrogates}', "");
    Expect(0, 56191, '\P{Is_Block=highsurrogates}', "");
    Expect(1, 56191, '\P{^Is_Block=highsurrogates}', "");
    Expect(0, 57344, '\p{Is_Block=highsurrogates}', "");
    Expect(1, 57344, '\p{^Is_Block=highsurrogates}', "");
    Expect(1, 57344, '\P{Is_Block=highsurrogates}', "");
    Expect(0, 57344, '\P{^Is_Block=highsurrogates}', "");
    Expect(1, 56191, '\p{Is_Block= High_SURROGATES}', "");
    Expect(0, 56191, '\p{^Is_Block= High_SURROGATES}', "");
    Expect(0, 56191, '\P{Is_Block= High_SURROGATES}', "");
    Expect(1, 56191, '\P{^Is_Block= High_SURROGATES}', "");
    Expect(0, 57344, '\p{Is_Block= High_SURROGATES}', "");
    Expect(1, 57344, '\p{^Is_Block= High_SURROGATES}', "");
    Expect(1, 57344, '\P{Is_Block= High_SURROGATES}', "");
    Expect(0, 57344, '\P{^Is_Block= High_SURROGATES}', "");
    Error('\p{Is_Blk=:=_-High_Surrogates}');
    Error('\P{Is_Blk=:=_-High_Surrogates}');
    Expect(1, 56191, '\p{Is_Blk=highsurrogates}', "");
    Expect(0, 56191, '\p{^Is_Blk=highsurrogates}', "");
    Expect(0, 56191, '\P{Is_Blk=highsurrogates}', "");
    Expect(1, 56191, '\P{^Is_Blk=highsurrogates}', "");
    Expect(0, 57344, '\p{Is_Blk=highsurrogates}', "");
    Expect(1, 57344, '\p{^Is_Blk=highsurrogates}', "");
    Expect(1, 57344, '\P{Is_Blk=highsurrogates}', "");
    Expect(0, 57344, '\P{^Is_Blk=highsurrogates}', "");
    Expect(1, 56191, '\p{Is_Blk=_ high_Surrogates}', "");
    Expect(0, 56191, '\p{^Is_Blk=_ high_Surrogates}', "");
    Expect(0, 56191, '\P{Is_Blk=_ high_Surrogates}', "");
    Expect(1, 56191, '\P{^Is_Blk=_ high_Surrogates}', "");
    Expect(0, 57344, '\p{Is_Blk=_ high_Surrogates}', "");
    Expect(1, 57344, '\p{^Is_Blk=_ high_Surrogates}', "");
    Expect(1, 57344, '\P{Is_Blk=_ high_Surrogates}', "");
    Expect(0, 57344, '\P{^Is_Blk=_ high_Surrogates}', "");
    Error('\p{Block=/a/_-HIRAGANA}');
    Error('\P{Block=/a/_-HIRAGANA}');
    Expect(1, 12447, '\p{Block=:\AHiragana\z:}', "");;
    Expect(0, 12448, '\p{Block=:\AHiragana\z:}', "");;
    Expect(1, 12447, '\p{Block=hiragana}', "");
    Expect(0, 12447, '\p{^Block=hiragana}', "");
    Expect(0, 12447, '\P{Block=hiragana}', "");
    Expect(1, 12447, '\P{^Block=hiragana}', "");
    Expect(0, 12448, '\p{Block=hiragana}', "");
    Expect(1, 12448, '\p{^Block=hiragana}', "");
    Expect(1, 12448, '\P{Block=hiragana}', "");
    Expect(0, 12448, '\P{^Block=hiragana}', "");
    Expect(1, 12447, '\p{Block=:\Ahiragana\z:}', "");;
    Expect(0, 12448, '\p{Block=:\Ahiragana\z:}', "");;
    Expect(1, 12447, '\p{Block: - HIRAGANA}', "");
    Expect(0, 12447, '\p{^Block: - HIRAGANA}', "");
    Expect(0, 12447, '\P{Block: - HIRAGANA}', "");
    Expect(1, 12447, '\P{^Block: - HIRAGANA}', "");
    Expect(0, 12448, '\p{Block: - HIRAGANA}', "");
    Expect(1, 12448, '\p{^Block: - HIRAGANA}', "");
    Expect(1, 12448, '\P{Block: - HIRAGANA}', "");
    Expect(0, 12448, '\P{^Block: - HIRAGANA}', "");
    Error('\p{Blk=/a/- Hiragana}');
    Error('\P{Blk=/a/- Hiragana}');
    Expect(1, 12447, '\p{Blk=:\AHiragana\z:}', "");;
    Expect(0, 12448, '\p{Blk=:\AHiragana\z:}', "");;
    Expect(1, 12447, '\p{Blk=hiragana}', "");
    Expect(0, 12447, '\p{^Blk=hiragana}', "");
    Expect(0, 12447, '\P{Blk=hiragana}', "");
    Expect(1, 12447, '\P{^Blk=hiragana}', "");
    Expect(0, 12448, '\p{Blk=hiragana}', "");
    Expect(1, 12448, '\p{^Blk=hiragana}', "");
    Expect(1, 12448, '\P{Blk=hiragana}', "");
    Expect(0, 12448, '\P{^Blk=hiragana}', "");
    Expect(1, 12447, '\p{Blk=:\Ahiragana\z:}', "");;
    Expect(0, 12448, '\p{Blk=:\Ahiragana\z:}', "");;
    Expect(1, 12447, '\p{Blk= _Hiragana}', "");
    Expect(0, 12447, '\p{^Blk= _Hiragana}', "");
    Expect(0, 12447, '\P{Blk= _Hiragana}', "");
    Expect(1, 12447, '\P{^Blk= _Hiragana}', "");
    Expect(0, 12448, '\p{Blk= _Hiragana}', "");
    Expect(1, 12448, '\p{^Blk= _Hiragana}', "");
    Expect(1, 12448, '\P{Blk= _Hiragana}', "");
    Expect(0, 12448, '\P{^Blk= _Hiragana}', "");
    Error('\p{Is_Block=-	Hiragana:=}');
    Error('\P{Is_Block=-	Hiragana:=}');
    Expect(1, 12447, '\p{Is_Block=hiragana}', "");
    Expect(0, 12447, '\p{^Is_Block=hiragana}', "");
    Expect(0, 12447, '\P{Is_Block=hiragana}', "");
    Expect(1, 12447, '\P{^Is_Block=hiragana}', "");
    Expect(0, 12448, '\p{Is_Block=hiragana}', "");
    Expect(1, 12448, '\p{^Is_Block=hiragana}', "");
    Expect(1, 12448, '\P{Is_Block=hiragana}', "");
    Expect(0, 12448, '\P{^Is_Block=hiragana}', "");
    Expect(1, 12447, '\p{Is_Block: HIRAGANA}', "");
    Expect(0, 12447, '\p{^Is_Block: HIRAGANA}', "");
    Expect(0, 12447, '\P{Is_Block: HIRAGANA}', "");
    Expect(1, 12447, '\P{^Is_Block: HIRAGANA}', "");
    Expect(0, 12448, '\p{Is_Block: HIRAGANA}', "");
    Expect(1, 12448, '\p{^Is_Block: HIRAGANA}', "");
    Expect(1, 12448, '\P{Is_Block: HIRAGANA}', "");
    Expect(0, 12448, '\P{^Is_Block: HIRAGANA}', "");
    Error('\p{Is_Blk=-/a/Hiragana}');
    Error('\P{Is_Blk=-/a/Hiragana}');
    Expect(1, 12447, '\p{Is_Blk=hiragana}', "");
    Expect(0, 12447, '\p{^Is_Blk=hiragana}', "");
    Expect(0, 12447, '\P{Is_Blk=hiragana}', "");
    Expect(1, 12447, '\P{^Is_Blk=hiragana}', "");
    Expect(0, 12448, '\p{Is_Blk=hiragana}', "");
    Expect(1, 12448, '\p{^Is_Blk=hiragana}', "");
    Expect(1, 12448, '\P{Is_Blk=hiragana}', "");
    Expect(0, 12448, '\P{^Is_Blk=hiragana}', "");
    Expect(1, 12447, '\p{Is_Blk=- Hiragana}', "");
    Expect(0, 12447, '\p{^Is_Blk=- Hiragana}', "");
    Expect(0, 12447, '\P{Is_Blk=- Hiragana}', "");
    Expect(1, 12447, '\P{^Is_Blk=- Hiragana}', "");
    Expect(0, 12448, '\p{Is_Blk=- Hiragana}', "");
    Expect(1, 12448, '\p{^Is_Blk=- Hiragana}', "");
    Expect(1, 12448, '\P{Is_Blk=- Hiragana}', "");
    Expect(0, 12448, '\P{^Is_Blk=- Hiragana}', "");
    Error('\p{Block=_-IDEOGRAPHIC_DESCRIPTION_Characters:=}');
    Error('\P{Block=_-IDEOGRAPHIC_DESCRIPTION_Characters:=}');
    Expect(1, 12287, '\p{Block=:\AIdeographic_Description_Characters\z:}', "");;
    Expect(0, 12288, '\p{Block=:\AIdeographic_Description_Characters\z:}', "");;
    Expect(1, 12287, '\p{Block:	ideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\p{^Block:	ideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\P{Block:	ideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\P{^Block:	ideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\p{Block:	ideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\p{^Block:	ideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\P{Block:	ideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\P{^Block:	ideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\p{Block=:\Aideographicdescriptioncharacters\z:}', "");;
    Expect(0, 12288, '\p{Block=:\Aideographicdescriptioncharacters\z:}', "");;
    Expect(1, 12287, '\p{Block=	_ideographic_Description_Characters}', "");
    Expect(0, 12287, '\p{^Block=	_ideographic_Description_Characters}', "");
    Expect(0, 12287, '\P{Block=	_ideographic_Description_Characters}', "");
    Expect(1, 12287, '\P{^Block=	_ideographic_Description_Characters}', "");
    Expect(0, 12288, '\p{Block=	_ideographic_Description_Characters}', "");
    Expect(1, 12288, '\p{^Block=	_ideographic_Description_Characters}', "");
    Expect(1, 12288, '\P{Block=	_ideographic_Description_Characters}', "");
    Expect(0, 12288, '\P{^Block=	_ideographic_Description_Characters}', "");
    Error('\p{Blk=_IDC:=}');
    Error('\P{Blk=_IDC:=}');
    Expect(1, 12287, '\p{Blk=:\AIDC\z:}', "");;
    Expect(0, 12288, '\p{Blk=:\AIDC\z:}', "");;
    Expect(1, 12287, '\p{Blk=idc}', "");
    Expect(0, 12287, '\p{^Blk=idc}', "");
    Expect(0, 12287, '\P{Blk=idc}', "");
    Expect(1, 12287, '\P{^Blk=idc}', "");
    Expect(0, 12288, '\p{Blk=idc}', "");
    Expect(1, 12288, '\p{^Blk=idc}', "");
    Expect(1, 12288, '\P{Blk=idc}', "");
    Expect(0, 12288, '\P{^Blk=idc}', "");
    Expect(1, 12287, '\p{Blk=:\Aidc\z:}', "");;
    Expect(0, 12288, '\p{Blk=:\Aidc\z:}', "");;
    Expect(1, 12287, '\p{Blk= _idc}', "");
    Expect(0, 12287, '\p{^Blk= _idc}', "");
    Expect(0, 12287, '\P{Blk= _idc}', "");
    Expect(1, 12287, '\P{^Blk= _idc}', "");
    Expect(0, 12288, '\p{Blk= _idc}', "");
    Expect(1, 12288, '\p{^Blk= _idc}', "");
    Expect(1, 12288, '\P{Blk= _idc}', "");
    Expect(0, 12288, '\P{^Blk= _idc}', "");
    Error('\p{Is_Block=_Ideographic_Description_CHARACTERS/a/}');
    Error('\P{Is_Block=_Ideographic_Description_CHARACTERS/a/}');
    Expect(1, 12287, '\p{Is_Block=ideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\P{Is_Block=ideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\p{Is_Block=ideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\P{Is_Block=ideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\p{Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12287, '\p{^Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12287, '\P{Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12287, '\P{^Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12288, '\p{Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12288, '\p{^Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12288, '\P{Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12288, '\P{^Is_Block= -Ideographic_DESCRIPTION_characters}', "");
    Error('\p{Is_Blk=	IDC:=}');
    Error('\P{Is_Blk=	IDC:=}');
    Expect(1, 12287, '\p{Is_Blk=idc}', "");
    Expect(0, 12287, '\p{^Is_Blk=idc}', "");
    Expect(0, 12287, '\P{Is_Blk=idc}', "");
    Expect(1, 12287, '\P{^Is_Blk=idc}', "");
    Expect(0, 12288, '\p{Is_Blk=idc}', "");
    Expect(1, 12288, '\p{^Is_Blk=idc}', "");
    Expect(1, 12288, '\P{Is_Blk=idc}', "");
    Expect(0, 12288, '\P{^Is_Blk=idc}', "");
    Expect(1, 12287, '\p{Is_Blk=__idc}', "");
    Expect(0, 12287, '\p{^Is_Blk=__idc}', "");
    Expect(0, 12287, '\P{Is_Blk=__idc}', "");
    Expect(1, 12287, '\P{^Is_Blk=__idc}', "");
    Expect(0, 12288, '\p{Is_Blk=__idc}', "");
    Expect(1, 12288, '\p{^Is_Blk=__idc}', "");
    Expect(1, 12288, '\P{Is_Blk=__idc}', "");
    Expect(0, 12288, '\P{^Is_Blk=__idc}', "");
    Error('\p{Block=-	Ideographic_SYMBOLS_AND_Punctuation:=}');
    Error('\P{Block=-	Ideographic_SYMBOLS_AND_Punctuation:=}');
    Expect(1, 94207, '\p{Block=:\AIdeographic_Symbols_And_Punctuation\z:}', "");;
    Expect(0, 94208, '\p{Block=:\AIdeographic_Symbols_And_Punctuation\z:}', "");;
    Expect(1, 94207, '\p{Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\p{^Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\P{Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\P{^Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\p{Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\p{^Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\P{Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\P{^Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\p{Block=:\Aideographicsymbolsandpunctuation\z:}', "");;
    Expect(0, 94208, '\p{Block=:\Aideographicsymbolsandpunctuation\z:}', "");;
    Expect(1, 94207, '\p{Block=-ideographic_Symbols_AND_Punctuation}', "");
    Expect(0, 94207, '\p{^Block=-ideographic_Symbols_AND_Punctuation}', "");
    Expect(0, 94207, '\P{Block=-ideographic_Symbols_AND_Punctuation}', "");
    Expect(1, 94207, '\P{^Block=-ideographic_Symbols_AND_Punctuation}', "");
    Expect(0, 94208, '\p{Block=-ideographic_Symbols_AND_Punctuation}', "");
    Expect(1, 94208, '\p{^Block=-ideographic_Symbols_AND_Punctuation}', "");
    Expect(1, 94208, '\P{Block=-ideographic_Symbols_AND_Punctuation}', "");
    Expect(0, 94208, '\P{^Block=-ideographic_Symbols_AND_Punctuation}', "");
    Error('\p{Blk= /a/Ideographic_Symbols}');
    Error('\P{Blk= /a/Ideographic_Symbols}');
    Expect(1, 94207, '\p{Blk=:\AIdeographic_Symbols\z:}', "");;
    Expect(0, 94208, '\p{Blk=:\AIdeographic_Symbols\z:}', "");;
    Expect(1, 94207, '\p{Blk:	ideographicsymbols}', "");
    Expect(0, 94207, '\p{^Blk:	ideographicsymbols}', "");
    Expect(0, 94207, '\P{Blk:	ideographicsymbols}', "");
    Expect(1, 94207, '\P{^Blk:	ideographicsymbols}', "");
    Expect(0, 94208, '\p{Blk:	ideographicsymbols}', "");
    Expect(1, 94208, '\p{^Blk:	ideographicsymbols}', "");
    Expect(1, 94208, '\P{Blk:	ideographicsymbols}', "");
    Expect(0, 94208, '\P{^Blk:	ideographicsymbols}', "");
    Expect(1, 94207, '\p{Blk=:\Aideographicsymbols\z:}', "");;
    Expect(0, 94208, '\p{Blk=:\Aideographicsymbols\z:}', "");;
    Expect(1, 94207, '\p{Blk=	IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94207, '\p{^Blk=	IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94207, '\P{Blk=	IDEOGRAPHIC_Symbols}', "");
    Expect(1, 94207, '\P{^Blk=	IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94208, '\p{Blk=	IDEOGRAPHIC_Symbols}', "");
    Expect(1, 94208, '\p{^Blk=	IDEOGRAPHIC_Symbols}', "");
    Expect(1, 94208, '\P{Blk=	IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94208, '\P{^Blk=	IDEOGRAPHIC_Symbols}', "");
    Error('\p{Is_Block=/a/	_IDEOGRAPHIC_Symbols_AND_punctuation}');
    Error('\P{Is_Block=/a/	_IDEOGRAPHIC_Symbols_AND_punctuation}');
    Expect(1, 94207, '\p{Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\p{^Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\P{Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\P{^Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\p{Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\p{^Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\P{Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\P{^Is_Block=ideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\p{Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94207, '\p{^Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94207, '\P{Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Expect(1, 94207, '\P{^Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94208, '\p{Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Expect(1, 94208, '\p{^Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Expect(1, 94208, '\P{Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94208, '\P{^Is_Block= -ideographic_symbols_And_Punctuation}', "");
    Error('\p{Is_Blk=-	IDEOGRAPHIC_SYMBOLS:=}');
    Error('\P{Is_Blk=-	IDEOGRAPHIC_SYMBOLS:=}');
    Expect(1, 94207, '\p{Is_Blk=ideographicsymbols}', "");
    Expect(0, 94207, '\p{^Is_Blk=ideographicsymbols}', "");
    Expect(0, 94207, '\P{Is_Blk=ideographicsymbols}', "");
    Expect(1, 94207, '\P{^Is_Blk=ideographicsymbols}', "");
    Expect(0, 94208, '\p{Is_Blk=ideographicsymbols}', "");
    Expect(1, 94208, '\p{^Is_Blk=ideographicsymbols}', "");
    Expect(1, 94208, '\P{Is_Blk=ideographicsymbols}', "");
    Expect(0, 94208, '\P{^Is_Blk=ideographicsymbols}', "");
    Expect(1, 94207, '\p{Is_Blk=_-Ideographic_symbols}', "");
    Expect(0, 94207, '\p{^Is_Blk=_-Ideographic_symbols}', "");
    Expect(0, 94207, '\P{Is_Blk=_-Ideographic_symbols}', "");
    Expect(1, 94207, '\P{^Is_Blk=_-Ideographic_symbols}', "");
    Expect(0, 94208, '\p{Is_Blk=_-Ideographic_symbols}', "");
    Expect(1, 94208, '\p{^Is_Blk=_-Ideographic_symbols}', "");
    Expect(1, 94208, '\P{Is_Blk=_-Ideographic_symbols}', "");
    Expect(0, 94208, '\P{^Is_Blk=_-Ideographic_symbols}', "");
    Error('\p{Block=IMPERIAL_ARAMAIC:=}');
    Error('\P{Block=IMPERIAL_ARAMAIC:=}');
    Expect(1, 67679, '\p{Block=:\AImperial_Aramaic\z:}', "");;
    Expect(0, 67680, '\p{Block=:\AImperial_Aramaic\z:}', "");;
    Expect(1, 67679, '\p{Block=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Block=imperialaramaic}', "");
    Expect(0, 67679, '\P{Block=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Block=imperialaramaic}', "");
    Expect(0, 67680, '\p{Block=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Block=imperialaramaic}', "");
    Expect(1, 67680, '\P{Block=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Block=imperialaramaic}', "");
    Expect(1, 67679, '\p{Block=:\Aimperialaramaic\z:}', "");;
    Expect(0, 67680, '\p{Block=:\Aimperialaramaic\z:}', "");;
    Expect(1, 67679, '\p{Block= Imperial_ARAMAIC}', "");
    Expect(0, 67679, '\p{^Block= Imperial_ARAMAIC}', "");
    Expect(0, 67679, '\P{Block= Imperial_ARAMAIC}', "");
    Expect(1, 67679, '\P{^Block= Imperial_ARAMAIC}', "");
    Expect(0, 67680, '\p{Block= Imperial_ARAMAIC}', "");
    Expect(1, 67680, '\p{^Block= Imperial_ARAMAIC}', "");
    Expect(1, 67680, '\P{Block= Imperial_ARAMAIC}', "");
    Expect(0, 67680, '\P{^Block= Imperial_ARAMAIC}', "");
    Error('\p{Blk= _imperial_aramaic/a/}');
    Error('\P{Blk= _imperial_aramaic/a/}');
    Expect(1, 67679, '\p{Blk=:\AImperial_Aramaic\z:}', "");;
    Expect(0, 67680, '\p{Blk=:\AImperial_Aramaic\z:}', "");;
    Expect(1, 67679, '\p{Blk=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Blk=imperialaramaic}', "");
    Expect(0, 67679, '\P{Blk=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Blk=imperialaramaic}', "");
    Expect(0, 67680, '\p{Blk=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Blk=imperialaramaic}', "");
    Expect(1, 67680, '\P{Blk=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Blk=imperialaramaic}', "");
    Expect(1, 67679, '\p{Blk=:\Aimperialaramaic\z:}', "");;
    Expect(0, 67680, '\p{Blk=:\Aimperialaramaic\z:}', "");;
    Expect(1, 67679, '\p{Blk= _IMPERIAL_aramaic}', "");
    Expect(0, 67679, '\p{^Blk= _IMPERIAL_aramaic}', "");
    Expect(0, 67679, '\P{Blk= _IMPERIAL_aramaic}', "");
    Expect(1, 67679, '\P{^Blk= _IMPERIAL_aramaic}', "");
    Expect(0, 67680, '\p{Blk= _IMPERIAL_aramaic}', "");
    Expect(1, 67680, '\p{^Blk= _IMPERIAL_aramaic}', "");
    Expect(1, 67680, '\P{Blk= _IMPERIAL_aramaic}', "");
    Expect(0, 67680, '\P{^Blk= _IMPERIAL_aramaic}', "");
    Error('\p{Is_Block=imperial_ARAMAIC:=}');
    Error('\P{Is_Block=imperial_ARAMAIC:=}');
    Expect(1, 67679, '\p{Is_Block=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Is_Block=imperialaramaic}', "");
    Expect(0, 67679, '\P{Is_Block=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Is_Block=imperialaramaic}', "");
    Expect(0, 67680, '\p{Is_Block=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Is_Block=imperialaramaic}', "");
    Expect(1, 67680, '\P{Is_Block=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Is_Block=imperialaramaic}', "");
    Expect(1, 67679, '\p{Is_Block=	imperial_ARAMAIC}', "");
    Expect(0, 67679, '\p{^Is_Block=	imperial_ARAMAIC}', "");
    Expect(0, 67679, '\P{Is_Block=	imperial_ARAMAIC}', "");
    Expect(1, 67679, '\P{^Is_Block=	imperial_ARAMAIC}', "");
    Expect(0, 67680, '\p{Is_Block=	imperial_ARAMAIC}', "");
    Expect(1, 67680, '\p{^Is_Block=	imperial_ARAMAIC}', "");
    Expect(1, 67680, '\P{Is_Block=	imperial_ARAMAIC}', "");
    Expect(0, 67680, '\P{^Is_Block=	imperial_ARAMAIC}', "");
    Error('\p{Is_Blk=/a/-imperial_aramaic}');
    Error('\P{Is_Blk=/a/-imperial_aramaic}');
    Expect(1, 67679, '\p{Is_Blk=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Is_Blk=imperialaramaic}', "");
    Expect(0, 67679, '\P{Is_Blk=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Is_Blk=imperialaramaic}', "");
    Expect(0, 67680, '\p{Is_Blk=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Is_Blk=imperialaramaic}', "");
    Expect(1, 67680, '\P{Is_Blk=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Is_Blk=imperialaramaic}', "");
    Expect(1, 67679, '\p{Is_Blk=Imperial_ARAMAIC}', "");
    Expect(0, 67679, '\p{^Is_Blk=Imperial_ARAMAIC}', "");
    Expect(0, 67679, '\P{Is_Blk=Imperial_ARAMAIC}', "");
    Expect(1, 67679, '\P{^Is_Blk=Imperial_ARAMAIC}', "");
    Expect(0, 67680, '\p{Is_Blk=Imperial_ARAMAIC}', "");
    Expect(1, 67680, '\p{^Is_Blk=Imperial_ARAMAIC}', "");
    Expect(1, 67680, '\P{Is_Blk=Imperial_ARAMAIC}', "");
    Expect(0, 67680, '\P{^Is_Blk=Imperial_ARAMAIC}', "");
    Error('\p{Block=-/a/common_INDIC_number_forms}');
    Error('\P{Block=-/a/common_INDIC_number_forms}');
    Expect(1, 43071, '\p{Block=:\ACommon_Indic_Number_Forms\z:}', "");;
    Expect(0, 43072, '\p{Block=:\ACommon_Indic_Number_Forms\z:}', "");;
    Expect(1, 43071, '\p{Block=commonindicnumberforms}', "");
    Expect(0, 43071, '\p{^Block=commonindicnumberforms}', "");
    Expect(0, 43071, '\P{Block=commonindicnumberforms}', "");
    Expect(1, 43071, '\P{^Block=commonindicnumberforms}', "");
    Expect(0, 43072, '\p{Block=commonindicnumberforms}', "");
    Expect(1, 43072, '\p{^Block=commonindicnumberforms}', "");
    Expect(1, 43072, '\P{Block=commonindicnumberforms}', "");
    Expect(0, 43072, '\P{^Block=commonindicnumberforms}', "");
    Expect(1, 43071, '\p{Block=:\Acommonindicnumberforms\z:}', "");;
    Expect(0, 43072, '\p{Block=:\Acommonindicnumberforms\z:}', "");;
    Expect(1, 43071, '\p{Block= common_Indic_Number_FORMS}', "");
    Expect(0, 43071, '\p{^Block= common_Indic_Number_FORMS}', "");
    Expect(0, 43071, '\P{Block= common_Indic_Number_FORMS}', "");
    Expect(1, 43071, '\P{^Block= common_Indic_Number_FORMS}', "");
    Expect(0, 43072, '\p{Block= common_Indic_Number_FORMS}', "");
    Expect(1, 43072, '\p{^Block= common_Indic_Number_FORMS}', "");
    Expect(1, 43072, '\P{Block= common_Indic_Number_FORMS}', "");
    Expect(0, 43072, '\P{^Block= common_Indic_Number_FORMS}', "");
    Error('\p{Blk=	:=INDIC_number_Forms}');
    Error('\P{Blk=	:=INDIC_number_Forms}');
    Expect(1, 43071, '\p{Blk=:\AIndic_Number_Forms\z:}', "");;
    Expect(0, 43072, '\p{Blk=:\AIndic_Number_Forms\z:}', "");;
    Expect(1, 43071, '\p{Blk=indicnumberforms}', "");
    Expect(0, 43071, '\p{^Blk=indicnumberforms}', "");
    Expect(0, 43071, '\P{Blk=indicnumberforms}', "");
    Expect(1, 43071, '\P{^Blk=indicnumberforms}', "");
    Expect(0, 43072, '\p{Blk=indicnumberforms}', "");
    Expect(1, 43072, '\p{^Blk=indicnumberforms}', "");
    Expect(1, 43072, '\P{Blk=indicnumberforms}', "");
    Expect(0, 43072, '\P{^Blk=indicnumberforms}', "");
    Expect(1, 43071, '\p{Blk=:\Aindicnumberforms\z:}', "");;
    Expect(0, 43072, '\p{Blk=:\Aindicnumberforms\z:}', "");;
    Expect(1, 43071, '\p{Blk=_	INDIC_NUMBER_forms}', "");
    Expect(0, 43071, '\p{^Blk=_	INDIC_NUMBER_forms}', "");
    Expect(0, 43071, '\P{Blk=_	INDIC_NUMBER_forms}', "");
    Expect(1, 43071, '\P{^Blk=_	INDIC_NUMBER_forms}', "");
    Expect(0, 43072, '\p{Blk=_	INDIC_NUMBER_forms}', "");
    Expect(1, 43072, '\p{^Blk=_	INDIC_NUMBER_forms}', "");
    Expect(1, 43072, '\P{Blk=_	INDIC_NUMBER_forms}', "");
    Expect(0, 43072, '\P{^Blk=_	INDIC_NUMBER_forms}', "");
    Error('\p{Is_Block=/a/COMMON_Indic_NUMBER_Forms}');
    Error('\P{Is_Block=/a/COMMON_Indic_NUMBER_Forms}');
    Expect(1, 43071, '\p{Is_Block: commonindicnumberforms}', "");
    Expect(0, 43071, '\p{^Is_Block: commonindicnumberforms}', "");
    Expect(0, 43071, '\P{Is_Block: commonindicnumberforms}', "");
    Expect(1, 43071, '\P{^Is_Block: commonindicnumberforms}', "");
    Expect(0, 43072, '\p{Is_Block: commonindicnumberforms}', "");
    Expect(1, 43072, '\p{^Is_Block: commonindicnumberforms}', "");
    Expect(1, 43072, '\P{Is_Block: commonindicnumberforms}', "");
    Expect(0, 43072, '\P{^Is_Block: commonindicnumberforms}', "");
    Expect(1, 43071, '\p{Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Expect(0, 43071, '\p{^Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Expect(0, 43071, '\P{Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Expect(1, 43071, '\P{^Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Expect(0, 43072, '\p{Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Expect(1, 43072, '\p{^Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Expect(1, 43072, '\P{Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Expect(0, 43072, '\P{^Is_Block:   -Common_Indic_NUMBER_Forms}', "");
    Error('\p{Is_Blk=/a/	 INDIC_NUMBER_FORMS}');
    Error('\P{Is_Blk=/a/	 INDIC_NUMBER_FORMS}');
    Expect(1, 43071, '\p{Is_Blk:   indicnumberforms}', "");
    Expect(0, 43071, '\p{^Is_Blk:   indicnumberforms}', "");
    Expect(0, 43071, '\P{Is_Blk:   indicnumberforms}', "");
    Expect(1, 43071, '\P{^Is_Blk:   indicnumberforms}', "");
    Expect(0, 43072, '\p{Is_Blk:   indicnumberforms}', "");
    Expect(1, 43072, '\p{^Is_Blk:   indicnumberforms}', "");
    Expect(1, 43072, '\P{Is_Blk:   indicnumberforms}', "");
    Expect(0, 43072, '\P{^Is_Blk:   indicnumberforms}', "");
    Expect(1, 43071, '\p{Is_Blk=_Indic_Number_Forms}', "");
    Expect(0, 43071, '\p{^Is_Blk=_Indic_Number_Forms}', "");
    Expect(0, 43071, '\P{Is_Blk=_Indic_Number_Forms}', "");
    Expect(1, 43071, '\P{^Is_Blk=_Indic_Number_Forms}', "");
    Expect(0, 43072, '\p{Is_Blk=_Indic_Number_Forms}', "");
    Expect(1, 43072, '\p{^Is_Blk=_Indic_Number_Forms}', "");
    Expect(1, 43072, '\P{Is_Blk=_Indic_Number_Forms}', "");
    Expect(0, 43072, '\P{^Is_Blk=_Indic_Number_Forms}', "");
    Error('\p{Block=_:=Indic_Siyaq_Numbers}');
    Error('\P{Block=_:=Indic_Siyaq_Numbers}');
    Expect(1, 126143, '\p{Block=:\AIndic_Siyaq_Numbers\z:}', "");;
    Expect(0, 126144, '\p{Block=:\AIndic_Siyaq_Numbers\z:}', "");;
    Expect(1, 126143, '\p{Block=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\p{^Block=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\P{Block=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\P{^Block=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\p{Block=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\p{^Block=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\P{Block=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\P{^Block=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\p{Block=:\Aindicsiyaqnumbers\z:}', "");;
    Expect(0, 126144, '\p{Block=:\Aindicsiyaqnumbers\z:}', "");;
    Expect(1, 126143, '\p{Block= Indic_SIYAQ_numbers}', "");
    Expect(0, 126143, '\p{^Block= Indic_SIYAQ_numbers}', "");
    Expect(0, 126143, '\P{Block= Indic_SIYAQ_numbers}', "");
    Expect(1, 126143, '\P{^Block= Indic_SIYAQ_numbers}', "");
    Expect(0, 126144, '\p{Block= Indic_SIYAQ_numbers}', "");
    Expect(1, 126144, '\p{^Block= Indic_SIYAQ_numbers}', "");
    Expect(1, 126144, '\P{Block= Indic_SIYAQ_numbers}', "");
    Expect(0, 126144, '\P{^Block= Indic_SIYAQ_numbers}', "");
    Error('\p{Blk=	:=INDIC_SIYAQ_Numbers}');
    Error('\P{Blk=	:=INDIC_SIYAQ_Numbers}');
    Expect(1, 126143, '\p{Blk=:\AIndic_Siyaq_Numbers\z:}', "");;
    Expect(0, 126144, '\p{Blk=:\AIndic_Siyaq_Numbers\z:}', "");;
    Expect(1, 126143, '\p{Blk=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\p{^Blk=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\P{Blk=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\P{^Blk=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\p{Blk=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\p{^Blk=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\P{Blk=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\P{^Blk=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\p{Blk=:\Aindicsiyaqnumbers\z:}', "");;
    Expect(0, 126144, '\p{Blk=:\Aindicsiyaqnumbers\z:}', "");;
    Expect(1, 126143, '\p{Blk=- indic_Siyaq_NUMBERS}', "");
    Expect(0, 126143, '\p{^Blk=- indic_Siyaq_NUMBERS}', "");
    Expect(0, 126143, '\P{Blk=- indic_Siyaq_NUMBERS}', "");
    Expect(1, 126143, '\P{^Blk=- indic_Siyaq_NUMBERS}', "");
    Expect(0, 126144, '\p{Blk=- indic_Siyaq_NUMBERS}', "");
    Expect(1, 126144, '\p{^Blk=- indic_Siyaq_NUMBERS}', "");
    Expect(1, 126144, '\P{Blk=- indic_Siyaq_NUMBERS}', "");
    Expect(0, 126144, '\P{^Blk=- indic_Siyaq_NUMBERS}', "");
    Error('\p{Is_Block=_/a/INDIC_siyaq_numbers}');
    Error('\P{Is_Block=_/a/INDIC_siyaq_numbers}');
    Expect(1, 126143, '\p{Is_Block=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\p{^Is_Block=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\P{Is_Block=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\P{^Is_Block=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\p{Is_Block=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\p{^Is_Block=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\P{Is_Block=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\P{^Is_Block=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\p{Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126143, '\p{^Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126143, '\P{Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Expect(1, 126143, '\P{^Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126144, '\p{Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Expect(1, 126144, '\p{^Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Expect(1, 126144, '\P{Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126144, '\P{^Is_Block= Indic_SIYAQ_NUMBERS}', "");
    Error('\p{Is_Blk=__indic_siyaq_numbers:=}');
    Error('\P{Is_Blk=__indic_siyaq_numbers:=}');
    Expect(1, 126143, '\p{Is_Blk=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\p{^Is_Blk=indicsiyaqnumbers}', "");
    Expect(0, 126143, '\P{Is_Blk=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\P{^Is_Blk=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\p{Is_Blk=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\p{^Is_Blk=indicsiyaqnumbers}', "");
    Expect(1, 126144, '\P{Is_Blk=indicsiyaqnumbers}', "");
    Expect(0, 126144, '\P{^Is_Blk=indicsiyaqnumbers}', "");
    Expect(1, 126143, '\p{Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126143, '\p{^Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126143, '\P{Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Expect(1, 126143, '\P{^Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126144, '\p{Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Expect(1, 126144, '\p{^Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Expect(1, 126144, '\P{Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Expect(0, 126144, '\P{^Is_Blk=-_Indic_SIYAQ_NUMBERS}', "");
    Error('\p{Block:/a/_inscriptional_pahlavi}');
    Error('\P{Block:/a/_inscriptional_pahlavi}');
    Expect(1, 68479, '\p{Block=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(0, 68480, '\p{Block=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(1, 68479, '\p{Block=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Block=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Block=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Block=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Block=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Block=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Block=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Block=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Block=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(0, 68480, '\p{Block=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(1, 68479, '\p{Block=	-INSCRIPTIONAL_pahlavi}', "");
    Expect(0, 68479, '\p{^Block=	-INSCRIPTIONAL_pahlavi}', "");
    Expect(0, 68479, '\P{Block=	-INSCRIPTIONAL_pahlavi}', "");
    Expect(1, 68479, '\P{^Block=	-INSCRIPTIONAL_pahlavi}', "");
    Expect(0, 68480, '\p{Block=	-INSCRIPTIONAL_pahlavi}', "");
    Expect(1, 68480, '\p{^Block=	-INSCRIPTIONAL_pahlavi}', "");
    Expect(1, 68480, '\P{Block=	-INSCRIPTIONAL_pahlavi}', "");
    Expect(0, 68480, '\P{^Block=	-INSCRIPTIONAL_pahlavi}', "");
    Error('\p{Blk=__Inscriptional_pahlavi/a/}');
    Error('\P{Blk=__Inscriptional_pahlavi/a/}');
    Expect(1, 68479, '\p{Blk=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(0, 68480, '\p{Blk=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(1, 68479, '\p{Blk=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Blk=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Blk=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Blk=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Blk=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Blk=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Blk=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Blk=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Blk=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(0, 68480, '\p{Blk=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(1, 68479, '\p{Blk=-Inscriptional_PAHLAVI}', "");
    Expect(0, 68479, '\p{^Blk=-Inscriptional_PAHLAVI}', "");
    Expect(0, 68479, '\P{Blk=-Inscriptional_PAHLAVI}', "");
    Expect(1, 68479, '\P{^Blk=-Inscriptional_PAHLAVI}', "");
    Expect(0, 68480, '\p{Blk=-Inscriptional_PAHLAVI}', "");
    Expect(1, 68480, '\p{^Blk=-Inscriptional_PAHLAVI}', "");
    Expect(1, 68480, '\P{Blk=-Inscriptional_PAHLAVI}', "");
    Expect(0, 68480, '\P{^Blk=-Inscriptional_PAHLAVI}', "");
    Error('\p{Is_Block= INSCRIPTIONAL_Pahlavi/a/}');
    Error('\P{Is_Block= INSCRIPTIONAL_Pahlavi/a/}');
    Expect(1, 68479, '\p{Is_Block:inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Is_Block:inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Is_Block:inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Is_Block:inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Is_Block:inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Is_Block:inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Is_Block:inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Is_Block:inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Expect(0, 68479, '\p{^Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Expect(0, 68479, '\P{Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Expect(1, 68479, '\P{^Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Expect(0, 68480, '\p{Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Expect(1, 68480, '\p{^Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Expect(1, 68480, '\P{Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Expect(0, 68480, '\P{^Is_Block=-INSCRIPTIONAL_PAHLAVI}', "");
    Error('\p{Is_Blk=:=-INSCRIPTIONAL_Pahlavi}');
    Error('\P{Is_Blk=:=-INSCRIPTIONAL_Pahlavi}');
    Expect(1, 68479, '\p{Is_Blk:inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Is_Blk:inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Is_Blk:inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Is_Blk:inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Is_Blk:inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Is_Blk:inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Is_Blk:inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Is_Blk:inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Is_Blk=		inscriptional_pahlavi}', "");
    Expect(0, 68479, '\p{^Is_Blk=		inscriptional_pahlavi}', "");
    Expect(0, 68479, '\P{Is_Blk=		inscriptional_pahlavi}', "");
    Expect(1, 68479, '\P{^Is_Blk=		inscriptional_pahlavi}', "");
    Expect(0, 68480, '\p{Is_Blk=		inscriptional_pahlavi}', "");
    Expect(1, 68480, '\p{^Is_Blk=		inscriptional_pahlavi}', "");
    Expect(1, 68480, '\P{Is_Blk=		inscriptional_pahlavi}', "");
    Expect(0, 68480, '\P{^Is_Blk=		inscriptional_pahlavi}', "");
    Error('\p{Block:		 Inscriptional_parthian:=}');
    Error('\P{Block:		 Inscriptional_parthian:=}');
    Expect(1, 68447, '\p{Block=:\AInscriptional_Parthian\z:}', "");;
    Expect(0, 68448, '\p{Block=:\AInscriptional_Parthian\z:}', "");;
    Expect(1, 68447, '\p{Block:	inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Block:	inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Block:	inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Block:	inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Block:	inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Block:	inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Block:	inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Block:	inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Block=:\Ainscriptionalparthian\z:}', "");;
    Expect(0, 68448, '\p{Block=:\Ainscriptionalparthian\z:}', "");;
    Expect(1, 68447, '\p{Block=-Inscriptional_PARTHIAN}', "");
    Expect(0, 68447, '\p{^Block=-Inscriptional_PARTHIAN}', "");
    Expect(0, 68447, '\P{Block=-Inscriptional_PARTHIAN}', "");
    Expect(1, 68447, '\P{^Block=-Inscriptional_PARTHIAN}', "");
    Expect(0, 68448, '\p{Block=-Inscriptional_PARTHIAN}', "");
    Expect(1, 68448, '\p{^Block=-Inscriptional_PARTHIAN}', "");
    Expect(1, 68448, '\P{Block=-Inscriptional_PARTHIAN}', "");
    Expect(0, 68448, '\P{^Block=-Inscriptional_PARTHIAN}', "");
    Error('\p{Blk=:=Inscriptional_parthian}');
    Error('\P{Blk=:=Inscriptional_parthian}');
    Expect(1, 68447, '\p{Blk=:\AInscriptional_Parthian\z:}', "");;
    Expect(0, 68448, '\p{Blk=:\AInscriptional_Parthian\z:}', "");;
    Expect(1, 68447, '\p{Blk=inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Blk=inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Blk=inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Blk=inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Blk=inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Blk=inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Blk=inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Blk=inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Blk=:\Ainscriptionalparthian\z:}', "");;
    Expect(0, 68448, '\p{Blk=:\Ainscriptionalparthian\z:}', "");;
    Expect(1, 68447, '\p{Blk=	 inscriptional_parthian}', "");
    Expect(0, 68447, '\p{^Blk=	 inscriptional_parthian}', "");
    Expect(0, 68447, '\P{Blk=	 inscriptional_parthian}', "");
    Expect(1, 68447, '\P{^Blk=	 inscriptional_parthian}', "");
    Expect(0, 68448, '\p{Blk=	 inscriptional_parthian}', "");
    Expect(1, 68448, '\p{^Blk=	 inscriptional_parthian}', "");
    Expect(1, 68448, '\P{Blk=	 inscriptional_parthian}', "");
    Expect(0, 68448, '\P{^Blk=	 inscriptional_parthian}', "");
    Error('\p{Is_Block=	 Inscriptional_PARTHIAN:=}');
    Error('\P{Is_Block=	 Inscriptional_PARTHIAN:=}');
    Expect(1, 68447, '\p{Is_Block=inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Is_Block=inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Is_Block=inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Is_Block=inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Is_Block=inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Is_Block=inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Is_Block=inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Is_Block=inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Is_Block=INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68447, '\p{^Is_Block=INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68447, '\P{Is_Block=INSCRIPTIONAL_Parthian}', "");
    Expect(1, 68447, '\P{^Is_Block=INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68448, '\p{Is_Block=INSCRIPTIONAL_Parthian}', "");
    Expect(1, 68448, '\p{^Is_Block=INSCRIPTIONAL_Parthian}', "");
    Expect(1, 68448, '\P{Is_Block=INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68448, '\P{^Is_Block=INSCRIPTIONAL_Parthian}', "");
    Error('\p{Is_Blk=/a/-	inscriptional_parthian}');
    Error('\P{Is_Blk=/a/-	inscriptional_parthian}');
    Expect(1, 68447, '\p{Is_Blk=inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Is_Blk=inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Is_Blk=inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Is_Blk=inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Is_Blk=inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Is_Blk=inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Is_Blk=inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Is_Blk=inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Is_Blk= 	inscriptional_Parthian}', "");
    Expect(0, 68447, '\p{^Is_Blk= 	inscriptional_Parthian}', "");
    Expect(0, 68447, '\P{Is_Blk= 	inscriptional_Parthian}', "");
    Expect(1, 68447, '\P{^Is_Blk= 	inscriptional_Parthian}', "");
    Expect(0, 68448, '\p{Is_Blk= 	inscriptional_Parthian}', "");
    Expect(1, 68448, '\p{^Is_Blk= 	inscriptional_Parthian}', "");
    Expect(1, 68448, '\P{Is_Blk= 	inscriptional_Parthian}', "");
    Expect(0, 68448, '\P{^Is_Blk= 	inscriptional_Parthian}', "");
    Error('\p{Block=-:=IPA_Extensions}');
    Error('\P{Block=-:=IPA_Extensions}');
    Expect(1, 687, '\p{Block=:\AIPA_Extensions\z:}', "");;
    Expect(0, 688, '\p{Block=:\AIPA_Extensions\z:}', "");;
    Expect(1, 687, '\p{Block=ipaextensions}', "");
    Expect(0, 687, '\p{^Block=ipaextensions}', "");
    Expect(0, 687, '\P{Block=ipaextensions}', "");
    Expect(1, 687, '\P{^Block=ipaextensions}', "");
    Expect(0, 688, '\p{Block=ipaextensions}', "");
    Expect(1, 688, '\p{^Block=ipaextensions}', "");
    Expect(1, 688, '\P{Block=ipaextensions}', "");
    Expect(0, 688, '\P{^Block=ipaextensions}', "");
    Expect(1, 687, '\p{Block=:\Aipaextensions\z:}', "");;
    Expect(0, 688, '\p{Block=:\Aipaextensions\z:}', "");;
    Expect(1, 687, '\p{Block=-IPA_Extensions}', "");
    Expect(0, 687, '\p{^Block=-IPA_Extensions}', "");
    Expect(0, 687, '\P{Block=-IPA_Extensions}', "");
    Expect(1, 687, '\P{^Block=-IPA_Extensions}', "");
    Expect(0, 688, '\p{Block=-IPA_Extensions}', "");
    Expect(1, 688, '\p{^Block=-IPA_Extensions}', "");
    Expect(1, 688, '\P{Block=-IPA_Extensions}', "");
    Expect(0, 688, '\P{^Block=-IPA_Extensions}', "");
    Error('\p{Blk=/a/-	IPA_EXT}');
    Error('\P{Blk=/a/-	IPA_EXT}');
    Expect(1, 687, '\p{Blk=:\AIPA_Ext\z:}', "");;
    Expect(0, 688, '\p{Blk=:\AIPA_Ext\z:}', "");;
    Expect(1, 687, '\p{Blk=ipaext}', "");
    Expect(0, 687, '\p{^Blk=ipaext}', "");
    Expect(0, 687, '\P{Blk=ipaext}', "");
    Expect(1, 687, '\P{^Blk=ipaext}', "");
    Expect(0, 688, '\p{Blk=ipaext}', "");
    Expect(1, 688, '\p{^Blk=ipaext}', "");
    Expect(1, 688, '\P{Blk=ipaext}', "");
    Expect(0, 688, '\P{^Blk=ipaext}', "");
    Expect(1, 687, '\p{Blk=:\Aipaext\z:}', "");;
    Expect(0, 688, '\p{Blk=:\Aipaext\z:}', "");;
    Expect(1, 687, '\p{Blk=-ipa_EXT}', "");
    Expect(0, 687, '\p{^Blk=-ipa_EXT}', "");
    Expect(0, 687, '\P{Blk=-ipa_EXT}', "");
    Expect(1, 687, '\P{^Blk=-ipa_EXT}', "");
    Expect(0, 688, '\p{Blk=-ipa_EXT}', "");
    Expect(1, 688, '\p{^Blk=-ipa_EXT}', "");
    Expect(1, 688, '\P{Blk=-ipa_EXT}', "");
    Expect(0, 688, '\P{^Blk=-ipa_EXT}', "");
    Error('\p{Is_Block=:=_-IPA_extensions}');
    Error('\P{Is_Block=:=_-IPA_extensions}');
    Expect(1, 687, '\p{Is_Block:   ipaextensions}', "");
    Expect(0, 687, '\p{^Is_Block:   ipaextensions}', "");
    Expect(0, 687, '\P{Is_Block:   ipaextensions}', "");
    Expect(1, 687, '\P{^Is_Block:   ipaextensions}', "");
    Expect(0, 688, '\p{Is_Block:   ipaextensions}', "");
    Expect(1, 688, '\p{^Is_Block:   ipaextensions}', "");
    Expect(1, 688, '\P{Is_Block:   ipaextensions}', "");
    Expect(0, 688, '\P{^Is_Block:   ipaextensions}', "");
    Expect(1, 687, '\p{Is_Block=	-IPA_extensions}', "");
    Expect(0, 687, '\p{^Is_Block=	-IPA_extensions}', "");
    Expect(0, 687, '\P{Is_Block=	-IPA_extensions}', "");
    Expect(1, 687, '\P{^Is_Block=	-IPA_extensions}', "");
    Expect(0, 688, '\p{Is_Block=	-IPA_extensions}', "");
    Expect(1, 688, '\p{^Is_Block=	-IPA_extensions}', "");
    Expect(1, 688, '\P{Is_Block=	-IPA_extensions}', "");
    Expect(0, 688, '\P{^Is_Block=	-IPA_extensions}', "");
    Error('\p{Is_Blk=/a/_IPA_Ext}');
    Error('\P{Is_Blk=/a/_IPA_Ext}');
    Expect(1, 687, '\p{Is_Blk=ipaext}', "");
    Expect(0, 687, '\p{^Is_Blk=ipaext}', "");
    Expect(0, 687, '\P{Is_Blk=ipaext}', "");
    Expect(1, 687, '\P{^Is_Blk=ipaext}', "");
    Expect(0, 688, '\p{Is_Blk=ipaext}', "");
    Expect(1, 688, '\p{^Is_Blk=ipaext}', "");
    Expect(1, 688, '\P{Is_Blk=ipaext}', "");
    Expect(0, 688, '\P{^Is_Blk=ipaext}', "");
    Expect(1, 687, '\p{Is_Blk=-	IPA_EXT}', "");
    Expect(0, 687, '\p{^Is_Blk=-	IPA_EXT}', "");
    Expect(0, 687, '\P{Is_Blk=-	IPA_EXT}', "");
    Expect(1, 687, '\P{^Is_Blk=-	IPA_EXT}', "");
    Expect(0, 688, '\p{Is_Blk=-	IPA_EXT}', "");
    Expect(1, 688, '\p{^Is_Blk=-	IPA_EXT}', "");
    Expect(1, 688, '\P{Is_Blk=-	IPA_EXT}', "");
    Expect(0, 688, '\P{^Is_Blk=-	IPA_EXT}', "");
    Error('\p{Block=:=	Hangul_Jamo}');
    Error('\P{Block=:=	Hangul_Jamo}');
    Expect(1, 4607, '\p{Block=:\AHangul_Jamo\z:}', "");;
    Expect(0, 4608, '\p{Block=:\AHangul_Jamo\z:}', "");;
    Expect(1, 4607, '\p{Block=hanguljamo}', "");
    Expect(0, 4607, '\p{^Block=hanguljamo}', "");
    Expect(0, 4607, '\P{Block=hanguljamo}', "");
    Expect(1, 4607, '\P{^Block=hanguljamo}', "");
    Expect(0, 4608, '\p{Block=hanguljamo}', "");
    Expect(1, 4608, '\p{^Block=hanguljamo}', "");
    Expect(1, 4608, '\P{Block=hanguljamo}', "");
    Expect(0, 4608, '\P{^Block=hanguljamo}', "");
    Expect(1, 4607, '\p{Block=:\Ahanguljamo\z:}', "");;
    Expect(0, 4608, '\p{Block=:\Ahanguljamo\z:}', "");;
    Expect(1, 4607, '\p{Block= _Hangul_jamo}', "");
    Expect(0, 4607, '\p{^Block= _Hangul_jamo}', "");
    Expect(0, 4607, '\P{Block= _Hangul_jamo}', "");
    Expect(1, 4607, '\P{^Block= _Hangul_jamo}', "");
    Expect(0, 4608, '\p{Block= _Hangul_jamo}', "");
    Expect(1, 4608, '\p{^Block= _Hangul_jamo}', "");
    Expect(1, 4608, '\P{Block= _Hangul_jamo}', "");
    Expect(0, 4608, '\P{^Block= _Hangul_jamo}', "");
    Error('\p{Blk=-/a/Jamo}');
    Error('\P{Blk=-/a/Jamo}');
    Expect(1, 4607, '\p{Blk=:\AJamo\z:}', "");;
    Expect(0, 4608, '\p{Blk=:\AJamo\z:}', "");;
    Expect(1, 4607, '\p{Blk=jamo}', "");
    Expect(0, 4607, '\p{^Blk=jamo}', "");
    Expect(0, 4607, '\P{Blk=jamo}', "");
    Expect(1, 4607, '\P{^Blk=jamo}', "");
    Expect(0, 4608, '\p{Blk=jamo}', "");
    Expect(1, 4608, '\p{^Blk=jamo}', "");
    Expect(1, 4608, '\P{Blk=jamo}', "");
    Expect(0, 4608, '\P{^Blk=jamo}', "");
    Expect(1, 4607, '\p{Blk=:\Ajamo\z:}', "");;
    Expect(0, 4608, '\p{Blk=:\Ajamo\z:}', "");;
    Expect(1, 4607, '\p{Blk= _Jamo}', "");
    Expect(0, 4607, '\p{^Blk= _Jamo}', "");
    Expect(0, 4607, '\P{Blk= _Jamo}', "");
    Expect(1, 4607, '\P{^Blk= _Jamo}', "");
    Expect(0, 4608, '\p{Blk= _Jamo}', "");
    Expect(1, 4608, '\p{^Blk= _Jamo}', "");
    Expect(1, 4608, '\P{Blk= _Jamo}', "");
    Expect(0, 4608, '\P{^Blk= _Jamo}', "");
    Error('\p{Is_Block= :=hangul_JAMO}');
    Error('\P{Is_Block= :=hangul_JAMO}');
    Expect(1, 4607, '\p{Is_Block=hanguljamo}', "");
    Expect(0, 4607, '\p{^Is_Block=hanguljamo}', "");
    Expect(0, 4607, '\P{Is_Block=hanguljamo}', "");
    Expect(1, 4607, '\P{^Is_Block=hanguljamo}', "");
    Expect(0, 4608, '\p{Is_Block=hanguljamo}', "");
    Expect(1, 4608, '\p{^Is_Block=hanguljamo}', "");
    Expect(1, 4608, '\P{Is_Block=hanguljamo}', "");
    Expect(0, 4608, '\P{^Is_Block=hanguljamo}', "");
    Expect(1, 4607, '\p{Is_Block=-_hangul_jamo}', "");
    Expect(0, 4607, '\p{^Is_Block=-_hangul_jamo}', "");
    Expect(0, 4607, '\P{Is_Block=-_hangul_jamo}', "");
    Expect(1, 4607, '\P{^Is_Block=-_hangul_jamo}', "");
    Expect(0, 4608, '\p{Is_Block=-_hangul_jamo}', "");
    Expect(1, 4608, '\p{^Is_Block=-_hangul_jamo}', "");
    Expect(1, 4608, '\P{Is_Block=-_hangul_jamo}', "");
    Expect(0, 4608, '\P{^Is_Block=-_hangul_jamo}', "");
    Error('\p{Is_Blk=	:=Jamo}');
    Error('\P{Is_Blk=	:=Jamo}');
    Expect(1, 4607, '\p{Is_Blk=jamo}', "");
    Expect(0, 4607, '\p{^Is_Blk=jamo}', "");
    Expect(0, 4607, '\P{Is_Blk=jamo}', "");
    Expect(1, 4607, '\P{^Is_Blk=jamo}', "");
    Expect(0, 4608, '\p{Is_Blk=jamo}', "");
    Expect(1, 4608, '\p{^Is_Blk=jamo}', "");
    Expect(1, 4608, '\P{Is_Blk=jamo}', "");
    Expect(0, 4608, '\P{^Is_Blk=jamo}', "");
    Expect(1, 4607, '\p{Is_Blk=_-Jamo}', "");
    Expect(0, 4607, '\p{^Is_Blk=_-Jamo}', "");
    Expect(0, 4607, '\P{Is_Blk=_-Jamo}', "");
    Expect(1, 4607, '\P{^Is_Blk=_-Jamo}', "");
    Expect(0, 4608, '\p{Is_Blk=_-Jamo}', "");
    Expect(1, 4608, '\p{^Is_Blk=_-Jamo}', "");
    Expect(1, 4608, '\P{Is_Blk=_-Jamo}', "");
    Expect(0, 4608, '\P{^Is_Blk=_-Jamo}', "");
    Error('\p{Block=-Hangul_Jamo_EXTENDED_A:=}');
    Error('\P{Block=-Hangul_Jamo_EXTENDED_A:=}');
    Expect(1, 43391, '\p{Block=:\AHangul_Jamo_Extended_A\z:}', "");;
    Expect(0, 43392, '\p{Block=:\AHangul_Jamo_Extended_A\z:}', "");;
    Expect(1, 43391, '\p{Block=hanguljamoextendeda}', "");
    Expect(0, 43391, '\p{^Block=hanguljamoextendeda}', "");
    Expect(0, 43391, '\P{Block=hanguljamoextendeda}', "");
    Expect(1, 43391, '\P{^Block=hanguljamoextendeda}', "");
    Expect(0, 43392, '\p{Block=hanguljamoextendeda}', "");
    Expect(1, 43392, '\p{^Block=hanguljamoextendeda}', "");
    Expect(1, 43392, '\P{Block=hanguljamoextendeda}', "");
    Expect(0, 43392, '\P{^Block=hanguljamoextendeda}', "");
    Expect(1, 43391, '\p{Block=:\Ahanguljamoextendeda\z:}', "");;
    Expect(0, 43392, '\p{Block=:\Ahanguljamoextendeda\z:}', "");;
    Expect(1, 43391, '\p{Block= _hangul_JAMO_extended_A}', "");
    Expect(0, 43391, '\p{^Block= _hangul_JAMO_extended_A}', "");
    Expect(0, 43391, '\P{Block= _hangul_JAMO_extended_A}', "");
    Expect(1, 43391, '\P{^Block= _hangul_JAMO_extended_A}', "");
    Expect(0, 43392, '\p{Block= _hangul_JAMO_extended_A}', "");
    Expect(1, 43392, '\p{^Block= _hangul_JAMO_extended_A}', "");
    Expect(1, 43392, '\P{Block= _hangul_JAMO_extended_A}', "");
    Expect(0, 43392, '\P{^Block= _hangul_JAMO_extended_A}', "");
    Error('\p{Blk=:=	JAMO_Ext_A}');
    Error('\P{Blk=:=	JAMO_Ext_A}');
    Expect(1, 43391, '\p{Blk=:\AJamo_Ext_A\z:}', "");;
    Expect(0, 43392, '\p{Blk=:\AJamo_Ext_A\z:}', "");;
    Expect(1, 43391, '\p{Blk=jamoexta}', "");
    Expect(0, 43391, '\p{^Blk=jamoexta}', "");
    Expect(0, 43391, '\P{Blk=jamoexta}', "");
    Expect(1, 43391, '\P{^Blk=jamoexta}', "");
    Expect(0, 43392, '\p{Blk=jamoexta}', "");
    Expect(1, 43392, '\p{^Blk=jamoexta}', "");
    Expect(1, 43392, '\P{Blk=jamoexta}', "");
    Expect(0, 43392, '\P{^Blk=jamoexta}', "");
    Expect(1, 43391, '\p{Blk=:\Ajamoexta\z:}', "");;
    Expect(0, 43392, '\p{Blk=:\Ajamoexta\z:}', "");;
    Expect(1, 43391, '\p{Blk=__Jamo_Ext_a}', "");
    Expect(0, 43391, '\p{^Blk=__Jamo_Ext_a}', "");
    Expect(0, 43391, '\P{Blk=__Jamo_Ext_a}', "");
    Expect(1, 43391, '\P{^Blk=__Jamo_Ext_a}', "");
    Expect(0, 43392, '\p{Blk=__Jamo_Ext_a}', "");
    Expect(1, 43392, '\p{^Blk=__Jamo_Ext_a}', "");
    Expect(1, 43392, '\P{Blk=__Jamo_Ext_a}', "");
    Expect(0, 43392, '\P{^Blk=__Jamo_Ext_a}', "");
    Error('\p{Is_Block=/a/Hangul_JAMO_Extended_A}');
    Error('\P{Is_Block=/a/Hangul_JAMO_Extended_A}');
    Expect(1, 43391, '\p{Is_Block=hanguljamoextendeda}', "");
    Expect(0, 43391, '\p{^Is_Block=hanguljamoextendeda}', "");
    Expect(0, 43391, '\P{Is_Block=hanguljamoextendeda}', "");
    Expect(1, 43391, '\P{^Is_Block=hanguljamoextendeda}', "");
    Expect(0, 43392, '\p{Is_Block=hanguljamoextendeda}', "");
    Expect(1, 43392, '\p{^Is_Block=hanguljamoextendeda}', "");
    Expect(1, 43392, '\P{Is_Block=hanguljamoextendeda}', "");
    Expect(0, 43392, '\P{^Is_Block=hanguljamoextendeda}', "");
    Expect(1, 43391, '\p{Is_Block=_	Hangul_jamo_Extended_A}', "");
    Expect(0, 43391, '\p{^Is_Block=_	Hangul_jamo_Extended_A}', "");
    Expect(0, 43391, '\P{Is_Block=_	Hangul_jamo_Extended_A}', "");
    Expect(1, 43391, '\P{^Is_Block=_	Hangul_jamo_Extended_A}', "");
    Expect(0, 43392, '\p{Is_Block=_	Hangul_jamo_Extended_A}', "");
    Expect(1, 43392, '\p{^Is_Block=_	Hangul_jamo_Extended_A}', "");
    Expect(1, 43392, '\P{Is_Block=_	Hangul_jamo_Extended_A}', "");
    Expect(0, 43392, '\P{^Is_Block=_	Hangul_jamo_Extended_A}', "");
    Error('\p{Is_Blk:-:=Jamo_EXT_A}');
    Error('\P{Is_Blk:-:=Jamo_EXT_A}');
    Expect(1, 43391, '\p{Is_Blk=jamoexta}', "");
    Expect(0, 43391, '\p{^Is_Blk=jamoexta}', "");
    Expect(0, 43391, '\P{Is_Blk=jamoexta}', "");
    Expect(1, 43391, '\P{^Is_Blk=jamoexta}', "");
    Expect(0, 43392, '\p{Is_Blk=jamoexta}', "");
    Expect(1, 43392, '\p{^Is_Blk=jamoexta}', "");
    Expect(1, 43392, '\P{Is_Blk=jamoexta}', "");
    Expect(0, 43392, '\P{^Is_Blk=jamoexta}', "");
    Expect(1, 43391, '\p{Is_Blk=		JAMO_ext_A}', "");
    Expect(0, 43391, '\p{^Is_Blk=		JAMO_ext_A}', "");
    Expect(0, 43391, '\P{Is_Blk=		JAMO_ext_A}', "");
    Expect(1, 43391, '\P{^Is_Blk=		JAMO_ext_A}', "");
    Expect(0, 43392, '\p{Is_Blk=		JAMO_ext_A}', "");
    Expect(1, 43392, '\p{^Is_Blk=		JAMO_ext_A}', "");
    Expect(1, 43392, '\P{Is_Blk=		JAMO_ext_A}', "");
    Expect(0, 43392, '\P{^Is_Blk=		JAMO_ext_A}', "");
    Error('\p{Block=-HANGUL_Jamo_extended_b/a/}');
    Error('\P{Block=-HANGUL_Jamo_extended_b/a/}');
    Expect(1, 55295, '\p{Block=:\AHangul_Jamo_Extended_B\z:}', "");;
    Expect(0, 57344, '\p{Block=:\AHangul_Jamo_Extended_B\z:}', "");;
    Expect(1, 55295, '\p{Block=hanguljamoextendedb}', "");
    Expect(0, 55295, '\p{^Block=hanguljamoextendedb}', "");
    Expect(0, 55295, '\P{Block=hanguljamoextendedb}', "");
    Expect(1, 55295, '\P{^Block=hanguljamoextendedb}', "");
    Expect(0, 57344, '\p{Block=hanguljamoextendedb}', "");
    Expect(1, 57344, '\p{^Block=hanguljamoextendedb}', "");
    Expect(1, 57344, '\P{Block=hanguljamoextendedb}', "");
    Expect(0, 57344, '\P{^Block=hanguljamoextendedb}', "");
    Expect(1, 55295, '\p{Block=:\Ahanguljamoextendedb\z:}', "");;
    Expect(0, 57344, '\p{Block=:\Ahanguljamoextendedb\z:}', "");;
    Expect(1, 55295, '\p{Block=_ hangul_JAMO_extended_B}', "");
    Expect(0, 55295, '\p{^Block=_ hangul_JAMO_extended_B}', "");
    Expect(0, 55295, '\P{Block=_ hangul_JAMO_extended_B}', "");
    Expect(1, 55295, '\P{^Block=_ hangul_JAMO_extended_B}', "");
    Expect(0, 57344, '\p{Block=_ hangul_JAMO_extended_B}', "");
    Expect(1, 57344, '\p{^Block=_ hangul_JAMO_extended_B}', "");
    Expect(1, 57344, '\P{Block=_ hangul_JAMO_extended_B}', "");
    Expect(0, 57344, '\P{^Block=_ hangul_JAMO_extended_B}', "");
    Error('\p{Blk=:=jamo_ext_B}');
    Error('\P{Blk=:=jamo_ext_B}');
    Expect(1, 55295, '\p{Blk=:\AJamo_Ext_B\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\AJamo_Ext_B\z:}', "");;
    Expect(1, 55295, '\p{Blk=jamoextb}', "");
    Expect(0, 55295, '\p{^Blk=jamoextb}', "");
    Expect(0, 55295, '\P{Blk=jamoextb}', "");
    Expect(1, 55295, '\P{^Blk=jamoextb}', "");
    Expect(0, 57344, '\p{Blk=jamoextb}', "");
    Expect(1, 57344, '\p{^Blk=jamoextb}', "");
    Expect(1, 57344, '\P{Blk=jamoextb}', "");
    Expect(0, 57344, '\P{^Blk=jamoextb}', "");
    Expect(1, 55295, '\p{Blk=:\Ajamoextb\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\Ajamoextb\z:}', "");;
    Expect(1, 55295, '\p{Blk=_Jamo_Ext_B}', "");
    Expect(0, 55295, '\p{^Blk=_Jamo_Ext_B}', "");
    Expect(0, 55295, '\P{Blk=_Jamo_Ext_B}', "");
    Expect(1, 55295, '\P{^Blk=_Jamo_Ext_B}', "");
    Expect(0, 57344, '\p{Blk=_Jamo_Ext_B}', "");
    Expect(1, 57344, '\p{^Blk=_Jamo_Ext_B}', "");
    Expect(1, 57344, '\P{Blk=_Jamo_Ext_B}', "");
    Expect(0, 57344, '\P{^Blk=_Jamo_Ext_B}', "");
    Error('\p{Is_Block=_Hangul_JAMO_EXTENDED_B/a/}');
    Error('\P{Is_Block=_Hangul_JAMO_EXTENDED_B/a/}');
    Expect(1, 55295, '\p{Is_Block:hanguljamoextendedb}', "");
    Expect(0, 55295, '\p{^Is_Block:hanguljamoextendedb}', "");
    Expect(0, 55295, '\P{Is_Block:hanguljamoextendedb}', "");
    Expect(1, 55295, '\P{^Is_Block:hanguljamoextendedb}', "");
    Expect(0, 57344, '\p{Is_Block:hanguljamoextendedb}', "");
    Expect(1, 57344, '\p{^Is_Block:hanguljamoextendedb}', "");
    Expect(1, 57344, '\P{Is_Block:hanguljamoextendedb}', "");
    Expect(0, 57344, '\P{^Is_Block:hanguljamoextendedb}', "");
    Expect(1, 55295, '\p{Is_Block=_hangul_Jamo_Extended_B}', "");
    Expect(0, 55295, '\p{^Is_Block=_hangul_Jamo_Extended_B}', "");
    Expect(0, 55295, '\P{Is_Block=_hangul_Jamo_Extended_B}', "");
    Expect(1, 55295, '\P{^Is_Block=_hangul_Jamo_Extended_B}', "");
    Expect(0, 57344, '\p{Is_Block=_hangul_Jamo_Extended_B}', "");
    Expect(1, 57344, '\p{^Is_Block=_hangul_Jamo_Extended_B}', "");
    Expect(1, 57344, '\P{Is_Block=_hangul_Jamo_Extended_B}', "");
    Expect(0, 57344, '\P{^Is_Block=_hangul_Jamo_Extended_B}', "");
    Error('\p{Is_Blk=:=- Jamo_EXT_b}');
    Error('\P{Is_Blk=:=- Jamo_EXT_b}');
    Expect(1, 55295, '\p{Is_Blk=jamoextb}', "");
    Expect(0, 55295, '\p{^Is_Blk=jamoextb}', "");
    Expect(0, 55295, '\P{Is_Blk=jamoextb}', "");
    Expect(1, 55295, '\P{^Is_Blk=jamoextb}', "");
    Expect(0, 57344, '\p{Is_Blk=jamoextb}', "");
    Expect(1, 57344, '\p{^Is_Blk=jamoextb}', "");
    Expect(1, 57344, '\P{Is_Blk=jamoextb}', "");
    Expect(0, 57344, '\P{^Is_Blk=jamoextb}', "");
    Expect(1, 55295, '\p{Is_Blk=-	jamo_ext_B}', "");
    Expect(0, 55295, '\p{^Is_Blk=-	jamo_ext_B}', "");
    Expect(0, 55295, '\P{Is_Blk=-	jamo_ext_B}', "");
    Expect(1, 55295, '\P{^Is_Blk=-	jamo_ext_B}', "");
    Expect(0, 57344, '\p{Is_Blk=-	jamo_ext_B}', "");
    Expect(1, 57344, '\p{^Is_Blk=-	jamo_ext_B}', "");
    Expect(1, 57344, '\P{Is_Blk=-	jamo_ext_B}', "");
    Expect(0, 57344, '\P{^Is_Blk=-	jamo_ext_B}', "");
    Error('\p{Block=:=	 Javanese}');
    Error('\P{Block=:=	 Javanese}');
    Expect(1, 43487, '\p{Block=:\AJavanese\z:}', "");;
    Expect(0, 43488, '\p{Block=:\AJavanese\z:}', "");;
    Expect(1, 43487, '\p{Block=javanese}', "");
    Expect(0, 43487, '\p{^Block=javanese}', "");
    Expect(0, 43487, '\P{Block=javanese}', "");
    Expect(1, 43487, '\P{^Block=javanese}', "");
    Expect(0, 43488, '\p{Block=javanese}', "");
    Expect(1, 43488, '\p{^Block=javanese}', "");
    Expect(1, 43488, '\P{Block=javanese}', "");
    Expect(0, 43488, '\P{^Block=javanese}', "");
    Expect(1, 43487, '\p{Block=:\Ajavanese\z:}', "");;
    Expect(0, 43488, '\p{Block=:\Ajavanese\z:}', "");;
    Expect(1, 43487, '\p{Block=-Javanese}', "");
    Expect(0, 43487, '\p{^Block=-Javanese}', "");
    Expect(0, 43487, '\P{Block=-Javanese}', "");
    Expect(1, 43487, '\P{^Block=-Javanese}', "");
    Expect(0, 43488, '\p{Block=-Javanese}', "");
    Expect(1, 43488, '\p{^Block=-Javanese}', "");
    Expect(1, 43488, '\P{Block=-Javanese}', "");
    Expect(0, 43488, '\P{^Block=-Javanese}', "");
    Error('\p{Blk:	:=javanese}');
    Error('\P{Blk:	:=javanese}');
    Expect(1, 43487, '\p{Blk=:\AJavanese\z:}', "");;
    Expect(0, 43488, '\p{Blk=:\AJavanese\z:}', "");;
    Expect(1, 43487, '\p{Blk=javanese}', "");
    Expect(0, 43487, '\p{^Blk=javanese}', "");
    Expect(0, 43487, '\P{Blk=javanese}', "");
    Expect(1, 43487, '\P{^Blk=javanese}', "");
    Expect(0, 43488, '\p{Blk=javanese}', "");
    Expect(1, 43488, '\p{^Blk=javanese}', "");
    Expect(1, 43488, '\P{Blk=javanese}', "");
    Expect(0, 43488, '\P{^Blk=javanese}', "");
    Expect(1, 43487, '\p{Blk=:\Ajavanese\z:}', "");;
    Expect(0, 43488, '\p{Blk=:\Ajavanese\z:}', "");;
    Expect(1, 43487, '\p{Blk=		JAVANESE}', "");
    Expect(0, 43487, '\p{^Blk=		JAVANESE}', "");
    Expect(0, 43487, '\P{Blk=		JAVANESE}', "");
    Expect(1, 43487, '\P{^Blk=		JAVANESE}', "");
    Expect(0, 43488, '\p{Blk=		JAVANESE}', "");
    Expect(1, 43488, '\p{^Blk=		JAVANESE}', "");
    Expect(1, 43488, '\P{Blk=		JAVANESE}', "");
    Expect(0, 43488, '\P{^Blk=		JAVANESE}', "");
    Error('\p{Is_Block=_Javanese:=}');
    Error('\P{Is_Block=_Javanese:=}');
    Expect(1, 43487, '\p{Is_Block=javanese}', "");
    Expect(0, 43487, '\p{^Is_Block=javanese}', "");
    Expect(0, 43487, '\P{Is_Block=javanese}', "");
    Expect(1, 43487, '\P{^Is_Block=javanese}', "");
    Expect(0, 43488, '\p{Is_Block=javanese}', "");
    Expect(1, 43488, '\p{^Is_Block=javanese}', "");
    Expect(1, 43488, '\P{Is_Block=javanese}', "");
    Expect(0, 43488, '\P{^Is_Block=javanese}', "");
    Expect(1, 43487, '\p{Is_Block=-Javanese}', "");
    Expect(0, 43487, '\p{^Is_Block=-Javanese}', "");
    Expect(0, 43487, '\P{Is_Block=-Javanese}', "");
    Expect(1, 43487, '\P{^Is_Block=-Javanese}', "");
    Expect(0, 43488, '\p{Is_Block=-Javanese}', "");
    Expect(1, 43488, '\p{^Is_Block=-Javanese}', "");
    Expect(1, 43488, '\P{Is_Block=-Javanese}', "");
    Expect(0, 43488, '\P{^Is_Block=-Javanese}', "");
    Error('\p{Is_Blk:   _/a/JAVANESE}');
    Error('\P{Is_Blk:   _/a/JAVANESE}');
    Expect(1, 43487, '\p{Is_Blk=javanese}', "");
    Expect(0, 43487, '\p{^Is_Blk=javanese}', "");
    Expect(0, 43487, '\P{Is_Blk=javanese}', "");
    Expect(1, 43487, '\P{^Is_Blk=javanese}', "");
    Expect(0, 43488, '\p{Is_Blk=javanese}', "");
    Expect(1, 43488, '\p{^Is_Blk=javanese}', "");
    Expect(1, 43488, '\P{Is_Blk=javanese}', "");
    Expect(0, 43488, '\P{^Is_Blk=javanese}', "");
    Expect(1, 43487, '\p{Is_Blk=_javanese}', "");
    Expect(0, 43487, '\p{^Is_Blk=_javanese}', "");
    Expect(0, 43487, '\P{Is_Blk=_javanese}', "");
    Expect(1, 43487, '\P{^Is_Blk=_javanese}', "");
    Expect(0, 43488, '\p{Is_Blk=_javanese}', "");
    Expect(1, 43488, '\p{^Is_Blk=_javanese}', "");
    Expect(1, 43488, '\P{Is_Blk=_javanese}', "");
    Expect(0, 43488, '\P{^Is_Blk=_javanese}', "");
    Error('\p{Block=/a/KAITHI}');
    Error('\P{Block=/a/KAITHI}');
    Expect(1, 69839, '\p{Block=:\AKaithi\z:}', "");;
    Expect(0, 69840, '\p{Block=:\AKaithi\z:}', "");;
    Expect(1, 69839, '\p{Block=kaithi}', "");
    Expect(0, 69839, '\p{^Block=kaithi}', "");
    Expect(0, 69839, '\P{Block=kaithi}', "");
    Expect(1, 69839, '\P{^Block=kaithi}', "");
    Expect(0, 69840, '\p{Block=kaithi}', "");
    Expect(1, 69840, '\p{^Block=kaithi}', "");
    Expect(1, 69840, '\P{Block=kaithi}', "");
    Expect(0, 69840, '\P{^Block=kaithi}', "");
    Expect(1, 69839, '\p{Block=:\Akaithi\z:}', "");;
    Expect(0, 69840, '\p{Block=:\Akaithi\z:}', "");;
    Expect(1, 69839, '\p{Block=- KAITHI}', "");
    Expect(0, 69839, '\p{^Block=- KAITHI}', "");
    Expect(0, 69839, '\P{Block=- KAITHI}', "");
    Expect(1, 69839, '\P{^Block=- KAITHI}', "");
    Expect(0, 69840, '\p{Block=- KAITHI}', "");
    Expect(1, 69840, '\p{^Block=- KAITHI}', "");
    Expect(1, 69840, '\P{Block=- KAITHI}', "");
    Expect(0, 69840, '\P{^Block=- KAITHI}', "");
    Error('\p{Blk=	:=Kaithi}');
    Error('\P{Blk=	:=Kaithi}');
    Expect(1, 69839, '\p{Blk=:\AKaithi\z:}', "");;
    Expect(0, 69840, '\p{Blk=:\AKaithi\z:}', "");;
    Expect(1, 69839, '\p{Blk=kaithi}', "");
    Expect(0, 69839, '\p{^Blk=kaithi}', "");
    Expect(0, 69839, '\P{Blk=kaithi}', "");
    Expect(1, 69839, '\P{^Blk=kaithi}', "");
    Expect(0, 69840, '\p{Blk=kaithi}', "");
    Expect(1, 69840, '\p{^Blk=kaithi}', "");
    Expect(1, 69840, '\P{Blk=kaithi}', "");
    Expect(0, 69840, '\P{^Blk=kaithi}', "");
    Expect(1, 69839, '\p{Blk=:\Akaithi\z:}', "");;
    Expect(0, 69840, '\p{Blk=:\Akaithi\z:}', "");;
    Expect(1, 69839, '\p{Blk= _Kaithi}', "");
    Expect(0, 69839, '\p{^Blk= _Kaithi}', "");
    Expect(0, 69839, '\P{Blk= _Kaithi}', "");
    Expect(1, 69839, '\P{^Blk= _Kaithi}', "");
    Expect(0, 69840, '\p{Blk= _Kaithi}', "");
    Expect(1, 69840, '\p{^Blk= _Kaithi}', "");
    Expect(1, 69840, '\P{Blk= _Kaithi}', "");
    Expect(0, 69840, '\P{^Blk= _Kaithi}', "");
    Error('\p{Is_Block=:=Kaithi}');
    Error('\P{Is_Block=:=Kaithi}');
    Expect(1, 69839, '\p{Is_Block=kaithi}', "");
    Expect(0, 69839, '\p{^Is_Block=kaithi}', "");
    Expect(0, 69839, '\P{Is_Block=kaithi}', "");
    Expect(1, 69839, '\P{^Is_Block=kaithi}', "");
    Expect(0, 69840, '\p{Is_Block=kaithi}', "");
    Expect(1, 69840, '\p{^Is_Block=kaithi}', "");
    Expect(1, 69840, '\P{Is_Block=kaithi}', "");
    Expect(0, 69840, '\P{^Is_Block=kaithi}', "");
    Expect(1, 69839, '\p{Is_Block=_	kaithi}', "");
    Expect(0, 69839, '\p{^Is_Block=_	kaithi}', "");
    Expect(0, 69839, '\P{Is_Block=_	kaithi}', "");
    Expect(1, 69839, '\P{^Is_Block=_	kaithi}', "");
    Expect(0, 69840, '\p{Is_Block=_	kaithi}', "");
    Expect(1, 69840, '\p{^Is_Block=_	kaithi}', "");
    Expect(1, 69840, '\P{Is_Block=_	kaithi}', "");
    Expect(0, 69840, '\P{^Is_Block=_	kaithi}', "");
    Error('\p{Is_Blk=-:=KAITHI}');
    Error('\P{Is_Blk=-:=KAITHI}');
    Expect(1, 69839, '\p{Is_Blk=kaithi}', "");
    Expect(0, 69839, '\p{^Is_Blk=kaithi}', "");
    Expect(0, 69839, '\P{Is_Blk=kaithi}', "");
    Expect(1, 69839, '\P{^Is_Blk=kaithi}', "");
    Expect(0, 69840, '\p{Is_Blk=kaithi}', "");
    Expect(1, 69840, '\p{^Is_Blk=kaithi}', "");
    Expect(1, 69840, '\P{Is_Blk=kaithi}', "");
    Expect(0, 69840, '\P{^Is_Blk=kaithi}', "");
    Expect(1, 69839, '\p{Is_Blk=_-KAITHI}', "");
    Expect(0, 69839, '\p{^Is_Blk=_-KAITHI}', "");
    Expect(0, 69839, '\P{Is_Blk=_-KAITHI}', "");
    Expect(1, 69839, '\P{^Is_Blk=_-KAITHI}', "");
    Expect(0, 69840, '\p{Is_Blk=_-KAITHI}', "");
    Expect(1, 69840, '\p{^Is_Blk=_-KAITHI}', "");
    Expect(1, 69840, '\P{Is_Blk=_-KAITHI}', "");
    Expect(0, 69840, '\P{^Is_Blk=_-KAITHI}', "");
    Error('\p{Block=_Kana_Extended_A/a/}');
    Error('\P{Block=_Kana_Extended_A/a/}');
    Expect(1, 110895, '\p{Block=:\AKana_Extended_A\z:}', "");;
    Expect(0, 110896, '\p{Block=:\AKana_Extended_A\z:}', "");;
    Expect(1, 110895, '\p{Block=kanaextendeda}', "");
    Expect(0, 110895, '\p{^Block=kanaextendeda}', "");
    Expect(0, 110895, '\P{Block=kanaextendeda}', "");
    Expect(1, 110895, '\P{^Block=kanaextendeda}', "");
    Expect(0, 110896, '\p{Block=kanaextendeda}', "");
    Expect(1, 110896, '\p{^Block=kanaextendeda}', "");
    Expect(1, 110896, '\P{Block=kanaextendeda}', "");
    Expect(0, 110896, '\P{^Block=kanaextendeda}', "");
    Expect(1, 110895, '\p{Block=:\Akanaextendeda\z:}', "");;
    Expect(0, 110896, '\p{Block=:\Akanaextendeda\z:}', "");;
    Expect(1, 110895, '\p{Block=_Kana_extended_A}', "");
    Expect(0, 110895, '\p{^Block=_Kana_extended_A}', "");
    Expect(0, 110895, '\P{Block=_Kana_extended_A}', "");
    Expect(1, 110895, '\P{^Block=_Kana_extended_A}', "");
    Expect(0, 110896, '\p{Block=_Kana_extended_A}', "");
    Expect(1, 110896, '\p{^Block=_Kana_extended_A}', "");
    Expect(1, 110896, '\P{Block=_Kana_extended_A}', "");
    Expect(0, 110896, '\P{^Block=_Kana_extended_A}', "");
    Error('\p{Blk=--Kana_EXT_A/a/}');
    Error('\P{Blk=--Kana_EXT_A/a/}');
    Expect(1, 110895, '\p{Blk=:\AKana_Ext_A\z:}', "");;
    Expect(0, 110896, '\p{Blk=:\AKana_Ext_A\z:}', "");;
    Expect(1, 110895, '\p{Blk=kanaexta}', "");
    Expect(0, 110895, '\p{^Blk=kanaexta}', "");
    Expect(0, 110895, '\P{Blk=kanaexta}', "");
    Expect(1, 110895, '\P{^Blk=kanaexta}', "");
    Expect(0, 110896, '\p{Blk=kanaexta}', "");
    Expect(1, 110896, '\p{^Blk=kanaexta}', "");
    Expect(1, 110896, '\P{Blk=kanaexta}', "");
    Expect(0, 110896, '\P{^Blk=kanaexta}', "");
    Expect(1, 110895, '\p{Blk=:\Akanaexta\z:}', "");;
    Expect(0, 110896, '\p{Blk=:\Akanaexta\z:}', "");;
    Expect(1, 110895, '\p{Blk=-Kana_ext_A}', "");
    Expect(0, 110895, '\p{^Blk=-Kana_ext_A}', "");
    Expect(0, 110895, '\P{Blk=-Kana_ext_A}', "");
    Expect(1, 110895, '\P{^Blk=-Kana_ext_A}', "");
    Expect(0, 110896, '\p{Blk=-Kana_ext_A}', "");
    Expect(1, 110896, '\p{^Blk=-Kana_ext_A}', "");
    Expect(1, 110896, '\P{Blk=-Kana_ext_A}', "");
    Expect(0, 110896, '\P{^Blk=-Kana_ext_A}', "");
    Error('\p{Is_Block=	/a/kana_extended_A}');
    Error('\P{Is_Block=	/a/kana_extended_A}');
    Expect(1, 110895, '\p{Is_Block=kanaextendeda}', "");
    Expect(0, 110895, '\p{^Is_Block=kanaextendeda}', "");
    Expect(0, 110895, '\P{Is_Block=kanaextendeda}', "");
    Expect(1, 110895, '\P{^Is_Block=kanaextendeda}', "");
    Expect(0, 110896, '\p{Is_Block=kanaextendeda}', "");
    Expect(1, 110896, '\p{^Is_Block=kanaextendeda}', "");
    Expect(1, 110896, '\P{Is_Block=kanaextendeda}', "");
    Expect(0, 110896, '\P{^Is_Block=kanaextendeda}', "");
    Expect(1, 110895, '\p{Is_Block=_KANA_Extended_A}', "");
    Expect(0, 110895, '\p{^Is_Block=_KANA_Extended_A}', "");
    Expect(0, 110895, '\P{Is_Block=_KANA_Extended_A}', "");
    Expect(1, 110895, '\P{^Is_Block=_KANA_Extended_A}', "");
    Expect(0, 110896, '\p{Is_Block=_KANA_Extended_A}', "");
    Expect(1, 110896, '\p{^Is_Block=_KANA_Extended_A}', "");
    Expect(1, 110896, '\P{Is_Block=_KANA_Extended_A}', "");
    Expect(0, 110896, '\P{^Is_Block=_KANA_Extended_A}', "");
    Error('\p{Is_Blk= /a/Kana_EXT_A}');
    Error('\P{Is_Blk= /a/Kana_EXT_A}');
    Expect(1, 110895, '\p{Is_Blk=kanaexta}', "");
    Expect(0, 110895, '\p{^Is_Blk=kanaexta}', "");
    Expect(0, 110895, '\P{Is_Blk=kanaexta}', "");
    Expect(1, 110895, '\P{^Is_Blk=kanaexta}', "");
    Expect(0, 110896, '\p{Is_Blk=kanaexta}', "");
    Expect(1, 110896, '\p{^Is_Blk=kanaexta}', "");
    Expect(1, 110896, '\P{Is_Blk=kanaexta}', "");
    Expect(0, 110896, '\P{^Is_Blk=kanaexta}', "");
    Expect(1, 110895, '\p{Is_Blk=	Kana_Ext_A}', "");
    Expect(0, 110895, '\p{^Is_Blk=	Kana_Ext_A}', "");
    Expect(0, 110895, '\P{Is_Blk=	Kana_Ext_A}', "");
    Expect(1, 110895, '\P{^Is_Blk=	Kana_Ext_A}', "");
    Expect(0, 110896, '\p{Is_Blk=	Kana_Ext_A}', "");
    Expect(1, 110896, '\p{^Is_Blk=	Kana_Ext_A}', "");
    Expect(1, 110896, '\P{Is_Blk=	Kana_Ext_A}', "");
    Expect(0, 110896, '\P{^Is_Blk=	Kana_Ext_A}', "");
    Error('\p{Block= 	kana_Extended_B/a/}');
    Error('\P{Block= 	kana_Extended_B/a/}');
    Expect(1, 110591, '\p{Block=:\AKana_Extended_B\z:}', "");;
    Expect(0, 110592, '\p{Block=:\AKana_Extended_B\z:}', "");;
    Expect(1, 110591, '\p{Block=kanaextendedb}', "");
    Expect(0, 110591, '\p{^Block=kanaextendedb}', "");
    Expect(0, 110591, '\P{Block=kanaextendedb}', "");
    Expect(1, 110591, '\P{^Block=kanaextendedb}', "");
    Expect(0, 110592, '\p{Block=kanaextendedb}', "");
    Expect(1, 110592, '\p{^Block=kanaextendedb}', "");
    Expect(1, 110592, '\P{Block=kanaextendedb}', "");
    Expect(0, 110592, '\P{^Block=kanaextendedb}', "");
    Expect(1, 110591, '\p{Block=:\Akanaextendedb\z:}', "");;
    Expect(0, 110592, '\p{Block=:\Akanaextendedb\z:}', "");;
    Expect(1, 110591, '\p{Block=- kana_EXTENDED_B}', "");
    Expect(0, 110591, '\p{^Block=- kana_EXTENDED_B}', "");
    Expect(0, 110591, '\P{Block=- kana_EXTENDED_B}', "");
    Expect(1, 110591, '\P{^Block=- kana_EXTENDED_B}', "");
    Expect(0, 110592, '\p{Block=- kana_EXTENDED_B}', "");
    Expect(1, 110592, '\p{^Block=- kana_EXTENDED_B}', "");
    Expect(1, 110592, '\P{Block=- kana_EXTENDED_B}', "");
    Expect(0, 110592, '\P{^Block=- kana_EXTENDED_B}', "");
    Error('\p{Blk=/a/		KANA_EXT_b}');
    Error('\P{Blk=/a/		KANA_EXT_b}');
    Expect(1, 110591, '\p{Blk=:\AKana_Ext_B\z:}', "");;
    Expect(0, 110592, '\p{Blk=:\AKana_Ext_B\z:}', "");;
    Expect(1, 110591, '\p{Blk: kanaextb}', "");
    Expect(0, 110591, '\p{^Blk: kanaextb}', "");
    Expect(0, 110591, '\P{Blk: kanaextb}', "");
    Expect(1, 110591, '\P{^Blk: kanaextb}', "");
    Expect(0, 110592, '\p{Blk: kanaextb}', "");
    Expect(1, 110592, '\p{^Blk: kanaextb}', "");
    Expect(1, 110592, '\P{Blk: kanaextb}', "");
    Expect(0, 110592, '\P{^Blk: kanaextb}', "");
    Expect(1, 110591, '\p{Blk=:\Akanaextb\z:}', "");;
    Expect(0, 110592, '\p{Blk=:\Akanaextb\z:}', "");;
    Expect(1, 110591, '\p{Blk=_Kana_Ext_B}', "");
    Expect(0, 110591, '\p{^Blk=_Kana_Ext_B}', "");
    Expect(0, 110591, '\P{Blk=_Kana_Ext_B}', "");
    Expect(1, 110591, '\P{^Blk=_Kana_Ext_B}', "");
    Expect(0, 110592, '\p{Blk=_Kana_Ext_B}', "");
    Expect(1, 110592, '\p{^Blk=_Kana_Ext_B}', "");
    Expect(1, 110592, '\P{Blk=_Kana_Ext_B}', "");
    Expect(0, 110592, '\P{^Blk=_Kana_Ext_B}', "");
    Error('\p{Is_Block=-KANA_EXTENDED_B:=}');
    Error('\P{Is_Block=-KANA_EXTENDED_B:=}');
    Expect(1, 110591, '\p{Is_Block=kanaextendedb}', "");
    Expect(0, 110591, '\p{^Is_Block=kanaextendedb}', "");
    Expect(0, 110591, '\P{Is_Block=kanaextendedb}', "");
    Expect(1, 110591, '\P{^Is_Block=kanaextendedb}', "");
    Expect(0, 110592, '\p{Is_Block=kanaextendedb}', "");
    Expect(1, 110592, '\p{^Is_Block=kanaextendedb}', "");
    Expect(1, 110592, '\P{Is_Block=kanaextendedb}', "");
    Expect(0, 110592, '\P{^Is_Block=kanaextendedb}', "");
    Expect(1, 110591, '\p{Is_Block=-_kana_EXTENDED_B}', "");
    Expect(0, 110591, '\p{^Is_Block=-_kana_EXTENDED_B}', "");
    Expect(0, 110591, '\P{Is_Block=-_kana_EXTENDED_B}', "");
    Expect(1, 110591, '\P{^Is_Block=-_kana_EXTENDED_B}', "");
    Expect(0, 110592, '\p{Is_Block=-_kana_EXTENDED_B}', "");
    Expect(1, 110592, '\p{^Is_Block=-_kana_EXTENDED_B}', "");
    Expect(1, 110592, '\P{Is_Block=-_kana_EXTENDED_B}', "");
    Expect(0, 110592, '\P{^Is_Block=-_kana_EXTENDED_B}', "");
    Error('\p{Is_Blk: Kana_EXT_B/a/}');
    Error('\P{Is_Blk: Kana_EXT_B/a/}');
    Expect(1, 110591, '\p{Is_Blk=kanaextb}', "");
    Expect(0, 110591, '\p{^Is_Blk=kanaextb}', "");
    Expect(0, 110591, '\P{Is_Blk=kanaextb}', "");
    Expect(1, 110591, '\P{^Is_Blk=kanaextb}', "");
    Expect(0, 110592, '\p{Is_Blk=kanaextb}', "");
    Expect(1, 110592, '\p{^Is_Blk=kanaextb}', "");
    Expect(1, 110592, '\P{Is_Blk=kanaextb}', "");
    Expect(0, 110592, '\P{^Is_Blk=kanaextb}', "");
    Expect(1, 110591, '\p{Is_Blk=- kana_Ext_B}', "");
    Expect(0, 110591, '\p{^Is_Blk=- kana_Ext_B}', "");
    Expect(0, 110591, '\P{Is_Blk=- kana_Ext_B}', "");
    Expect(1, 110591, '\P{^Is_Blk=- kana_Ext_B}', "");
    Expect(0, 110592, '\p{Is_Blk=- kana_Ext_B}', "");
    Expect(1, 110592, '\p{^Is_Blk=- kana_Ext_B}', "");
    Expect(1, 110592, '\P{Is_Blk=- kana_Ext_B}', "");
    Expect(0, 110592, '\P{^Is_Blk=- kana_Ext_B}', "");
    Error('\p{Block=		Kana_Supplement:=}');
    Error('\P{Block=		Kana_Supplement:=}');
    Expect(1, 110847, '\p{Block=:\AKana_Supplement\z:}', "");;
    Expect(0, 110848, '\p{Block=:\AKana_Supplement\z:}', "");;
    Expect(1, 110847, '\p{Block=kanasupplement}', "");
    Expect(0, 110847, '\p{^Block=kanasupplement}', "");
    Expect(0, 110847, '\P{Block=kanasupplement}', "");
    Expect(1, 110847, '\P{^Block=kanasupplement}', "");
    Expect(0, 110848, '\p{Block=kanasupplement}', "");
    Expect(1, 110848, '\p{^Block=kanasupplement}', "");
    Expect(1, 110848, '\P{Block=kanasupplement}', "");
    Expect(0, 110848, '\P{^Block=kanasupplement}', "");
    Expect(1, 110847, '\p{Block=:\Akanasupplement\z:}', "");;
    Expect(0, 110848, '\p{Block=:\Akanasupplement\z:}', "");;
    Expect(1, 110847, '\p{Block= 	Kana_Supplement}', "");
    Expect(0, 110847, '\p{^Block= 	Kana_Supplement}', "");
    Expect(0, 110847, '\P{Block= 	Kana_Supplement}', "");
    Expect(1, 110847, '\P{^Block= 	Kana_Supplement}', "");
    Expect(0, 110848, '\p{Block= 	Kana_Supplement}', "");
    Expect(1, 110848, '\p{^Block= 	Kana_Supplement}', "");
    Expect(1, 110848, '\P{Block= 	Kana_Supplement}', "");
    Expect(0, 110848, '\P{^Block= 	Kana_Supplement}', "");
    Error('\p{Blk=	:=kana_sup}');
    Error('\P{Blk=	:=kana_sup}');
    Expect(1, 110847, '\p{Blk=:\AKana_Sup\z:}', "");;
    Expect(0, 110848, '\p{Blk=:\AKana_Sup\z:}', "");;
    Expect(1, 110847, '\p{Blk=kanasup}', "");
    Expect(0, 110847, '\p{^Blk=kanasup}', "");
    Expect(0, 110847, '\P{Blk=kanasup}', "");
    Expect(1, 110847, '\P{^Blk=kanasup}', "");
    Expect(0, 110848, '\p{Blk=kanasup}', "");
    Expect(1, 110848, '\p{^Blk=kanasup}', "");
    Expect(1, 110848, '\P{Blk=kanasup}', "");
    Expect(0, 110848, '\P{^Blk=kanasup}', "");
    Expect(1, 110847, '\p{Blk=:\Akanasup\z:}', "");;
    Expect(0, 110848, '\p{Blk=:\Akanasup\z:}', "");;
    Expect(1, 110847, '\p{Blk= _KANA_SUP}', "");
    Expect(0, 110847, '\p{^Blk= _KANA_SUP}', "");
    Expect(0, 110847, '\P{Blk= _KANA_SUP}', "");
    Expect(1, 110847, '\P{^Blk= _KANA_SUP}', "");
    Expect(0, 110848, '\p{Blk= _KANA_SUP}', "");
    Expect(1, 110848, '\p{^Blk= _KANA_SUP}', "");
    Expect(1, 110848, '\P{Blk= _KANA_SUP}', "");
    Expect(0, 110848, '\P{^Blk= _KANA_SUP}', "");
    Error('\p{Is_Block=	-Kana_SUPPLEMENT:=}');
    Error('\P{Is_Block=	-Kana_SUPPLEMENT:=}');
    Expect(1, 110847, '\p{Is_Block=kanasupplement}', "");
    Expect(0, 110847, '\p{^Is_Block=kanasupplement}', "");
    Expect(0, 110847, '\P{Is_Block=kanasupplement}', "");
    Expect(1, 110847, '\P{^Is_Block=kanasupplement}', "");
    Expect(0, 110848, '\p{Is_Block=kanasupplement}', "");
    Expect(1, 110848, '\p{^Is_Block=kanasupplement}', "");
    Expect(1, 110848, '\P{Is_Block=kanasupplement}', "");
    Expect(0, 110848, '\P{^Is_Block=kanasupplement}', "");
    Expect(1, 110847, '\p{Is_Block=	-kana_SUPPLEMENT}', "");
    Expect(0, 110847, '\p{^Is_Block=	-kana_SUPPLEMENT}', "");
    Expect(0, 110847, '\P{Is_Block=	-kana_SUPPLEMENT}', "");
    Expect(1, 110847, '\P{^Is_Block=	-kana_SUPPLEMENT}', "");
    Expect(0, 110848, '\p{Is_Block=	-kana_SUPPLEMENT}', "");
    Expect(1, 110848, '\p{^Is_Block=	-kana_SUPPLEMENT}', "");
    Expect(1, 110848, '\P{Is_Block=	-kana_SUPPLEMENT}', "");
    Expect(0, 110848, '\P{^Is_Block=	-kana_SUPPLEMENT}', "");
    Error('\p{Is_Blk= :=kana_SUP}');
    Error('\P{Is_Blk= :=kana_SUP}');
    Expect(1, 110847, '\p{Is_Blk=kanasup}', "");
    Expect(0, 110847, '\p{^Is_Blk=kanasup}', "");
    Expect(0, 110847, '\P{Is_Blk=kanasup}', "");
    Expect(1, 110847, '\P{^Is_Blk=kanasup}', "");
    Expect(0, 110848, '\p{Is_Blk=kanasup}', "");
    Expect(1, 110848, '\p{^Is_Blk=kanasup}', "");
    Expect(1, 110848, '\P{Is_Blk=kanasup}', "");
    Expect(0, 110848, '\P{^Is_Blk=kanasup}', "");
    Expect(1, 110847, '\p{Is_Blk=	KANA_SUP}', "");
    Expect(0, 110847, '\p{^Is_Blk=	KANA_SUP}', "");
    Expect(0, 110847, '\P{Is_Blk=	KANA_SUP}', "");
    Expect(1, 110847, '\P{^Is_Blk=	KANA_SUP}', "");
    Expect(0, 110848, '\p{Is_Blk=	KANA_SUP}', "");
    Expect(1, 110848, '\p{^Is_Blk=	KANA_SUP}', "");
    Expect(1, 110848, '\P{Is_Blk=	KANA_SUP}', "");
    Expect(0, 110848, '\P{^Is_Blk=	KANA_SUP}', "");
    Error('\p{Block: :=	Kanbun}');
    Error('\P{Block: :=	Kanbun}');
    Expect(1, 12703, '\p{Block=:\AKanbun\z:}', "");;
    Expect(0, 12704, '\p{Block=:\AKanbun\z:}', "");;
    Expect(1, 12703, '\p{Block=kanbun}', "");
    Expect(0, 12703, '\p{^Block=kanbun}', "");
    Expect(0, 12703, '\P{Block=kanbun}', "");
    Expect(1, 12703, '\P{^Block=kanbun}', "");
    Expect(0, 12704, '\p{Block=kanbun}', "");
    Expect(1, 12704, '\p{^Block=kanbun}', "");
    Expect(1, 12704, '\P{Block=kanbun}', "");
    Expect(0, 12704, '\P{^Block=kanbun}', "");
    Expect(1, 12703, '\p{Block=:\Akanbun\z:}', "");;
    Expect(0, 12704, '\p{Block=:\Akanbun\z:}', "");;
    Expect(1, 12703, '\p{Block= 	Kanbun}', "");
    Expect(0, 12703, '\p{^Block= 	Kanbun}', "");
    Expect(0, 12703, '\P{Block= 	Kanbun}', "");
    Expect(1, 12703, '\P{^Block= 	Kanbun}', "");
    Expect(0, 12704, '\p{Block= 	Kanbun}', "");
    Expect(1, 12704, '\p{^Block= 	Kanbun}', "");
    Expect(1, 12704, '\P{Block= 	Kanbun}', "");
    Expect(0, 12704, '\P{^Block= 	Kanbun}', "");
    Error('\p{Blk= 	kanbun/a/}');
    Error('\P{Blk= 	kanbun/a/}');
    Expect(1, 12703, '\p{Blk=:\AKanbun\z:}', "");;
    Expect(0, 12704, '\p{Blk=:\AKanbun\z:}', "");;
    Expect(1, 12703, '\p{Blk=kanbun}', "");
    Expect(0, 12703, '\p{^Blk=kanbun}', "");
    Expect(0, 12703, '\P{Blk=kanbun}', "");
    Expect(1, 12703, '\P{^Blk=kanbun}', "");
    Expect(0, 12704, '\p{Blk=kanbun}', "");
    Expect(1, 12704, '\p{^Blk=kanbun}', "");
    Expect(1, 12704, '\P{Blk=kanbun}', "");
    Expect(0, 12704, '\P{^Blk=kanbun}', "");
    Expect(1, 12703, '\p{Blk=:\Akanbun\z:}', "");;
    Expect(0, 12704, '\p{Blk=:\Akanbun\z:}', "");;
    Expect(1, 12703, '\p{Blk=Kanbun}', "");
    Expect(0, 12703, '\p{^Blk=Kanbun}', "");
    Expect(0, 12703, '\P{Blk=Kanbun}', "");
    Expect(1, 12703, '\P{^Blk=Kanbun}', "");
    Expect(0, 12704, '\p{Blk=Kanbun}', "");
    Expect(1, 12704, '\p{^Blk=Kanbun}', "");
    Expect(1, 12704, '\P{Blk=Kanbun}', "");
    Expect(0, 12704, '\P{^Blk=Kanbun}', "");
    Error('\p{Is_Block=	 Kanbun:=}');
    Error('\P{Is_Block=	 Kanbun:=}');
    Expect(1, 12703, '\p{Is_Block=kanbun}', "");
    Expect(0, 12703, '\p{^Is_Block=kanbun}', "");
    Expect(0, 12703, '\P{Is_Block=kanbun}', "");
    Expect(1, 12703, '\P{^Is_Block=kanbun}', "");
    Expect(0, 12704, '\p{Is_Block=kanbun}', "");
    Expect(1, 12704, '\p{^Is_Block=kanbun}', "");
    Expect(1, 12704, '\P{Is_Block=kanbun}', "");
    Expect(0, 12704, '\P{^Is_Block=kanbun}', "");
    Expect(1, 12703, '\p{Is_Block=_ Kanbun}', "");
    Expect(0, 12703, '\p{^Is_Block=_ Kanbun}', "");
    Expect(0, 12703, '\P{Is_Block=_ Kanbun}', "");
    Expect(1, 12703, '\P{^Is_Block=_ Kanbun}', "");
    Expect(0, 12704, '\p{Is_Block=_ Kanbun}', "");
    Expect(1, 12704, '\p{^Is_Block=_ Kanbun}', "");
    Expect(1, 12704, '\P{Is_Block=_ Kanbun}', "");
    Expect(0, 12704, '\P{^Is_Block=_ Kanbun}', "");
    Error('\p{Is_Blk=/a/_ Kanbun}');
    Error('\P{Is_Blk=/a/_ Kanbun}');
    Expect(1, 12703, '\p{Is_Blk=kanbun}', "");
    Expect(0, 12703, '\p{^Is_Blk=kanbun}', "");
    Expect(0, 12703, '\P{Is_Blk=kanbun}', "");
    Expect(1, 12703, '\P{^Is_Blk=kanbun}', "");
    Expect(0, 12704, '\p{Is_Blk=kanbun}', "");
    Expect(1, 12704, '\p{^Is_Blk=kanbun}', "");
    Expect(1, 12704, '\P{Is_Blk=kanbun}', "");
    Expect(0, 12704, '\P{^Is_Blk=kanbun}', "");
    Expect(1, 12703, '\p{Is_Blk=	Kanbun}', "");
    Expect(0, 12703, '\p{^Is_Blk=	Kanbun}', "");
    Expect(0, 12703, '\P{Is_Blk=	Kanbun}', "");
    Expect(1, 12703, '\P{^Is_Blk=	Kanbun}', "");
    Expect(0, 12704, '\p{Is_Blk=	Kanbun}', "");
    Expect(1, 12704, '\p{^Is_Blk=	Kanbun}', "");
    Expect(1, 12704, '\P{Is_Blk=	Kanbun}', "");
    Expect(0, 12704, '\P{^Is_Blk=	Kanbun}', "");
    Error('\p{Block=:=__Kangxi_RADICALS}');
    Error('\P{Block=:=__Kangxi_RADICALS}');
    Expect(1, 12255, '\p{Block=:\AKangxi_Radicals\z:}', "");;
    Expect(0, 12256, '\p{Block=:\AKangxi_Radicals\z:}', "");;
    Expect(1, 12255, '\p{Block:   kangxiradicals}', "");
    Expect(0, 12255, '\p{^Block:   kangxiradicals}', "");
    Expect(0, 12255, '\P{Block:   kangxiradicals}', "");
    Expect(1, 12255, '\P{^Block:   kangxiradicals}', "");
    Expect(0, 12256, '\p{Block:   kangxiradicals}', "");
    Expect(1, 12256, '\p{^Block:   kangxiradicals}', "");
    Expect(1, 12256, '\P{Block:   kangxiradicals}', "");
    Expect(0, 12256, '\P{^Block:   kangxiradicals}', "");
    Expect(1, 12255, '\p{Block=:\Akangxiradicals\z:}', "");;
    Expect(0, 12256, '\p{Block=:\Akangxiradicals\z:}', "");;
    Expect(1, 12255, '\p{Block=-Kangxi_Radicals}', "");
    Expect(0, 12255, '\p{^Block=-Kangxi_Radicals}', "");
    Expect(0, 12255, '\P{Block=-Kangxi_Radicals}', "");
    Expect(1, 12255, '\P{^Block=-Kangxi_Radicals}', "");
    Expect(0, 12256, '\p{Block=-Kangxi_Radicals}', "");
    Expect(1, 12256, '\p{^Block=-Kangxi_Radicals}', "");
    Expect(1, 12256, '\P{Block=-Kangxi_Radicals}', "");
    Expect(0, 12256, '\P{^Block=-Kangxi_Radicals}', "");
    Error('\p{Blk=-:=kangxi}');
    Error('\P{Blk=-:=kangxi}');
    Expect(1, 12255, '\p{Blk=:\AKangxi\z:}', "");;
    Expect(0, 12256, '\p{Blk=:\AKangxi\z:}', "");;
    Expect(1, 12255, '\p{Blk=kangxi}', "");
    Expect(0, 12255, '\p{^Blk=kangxi}', "");
    Expect(0, 12255, '\P{Blk=kangxi}', "");
    Expect(1, 12255, '\P{^Blk=kangxi}', "");
    Expect(0, 12256, '\p{Blk=kangxi}', "");
    Expect(1, 12256, '\p{^Blk=kangxi}', "");
    Expect(1, 12256, '\P{Blk=kangxi}', "");
    Expect(0, 12256, '\P{^Blk=kangxi}', "");
    Expect(1, 12255, '\p{Blk=:\Akangxi\z:}', "");;
    Expect(0, 12256, '\p{Blk=:\Akangxi\z:}', "");;
    Expect(1, 12255, '\p{Blk=	_kangxi}', "");
    Expect(0, 12255, '\p{^Blk=	_kangxi}', "");
    Expect(0, 12255, '\P{Blk=	_kangxi}', "");
    Expect(1, 12255, '\P{^Blk=	_kangxi}', "");
    Expect(0, 12256, '\p{Blk=	_kangxi}', "");
    Expect(1, 12256, '\p{^Blk=	_kangxi}', "");
    Expect(1, 12256, '\P{Blk=	_kangxi}', "");
    Expect(0, 12256, '\P{^Blk=	_kangxi}', "");
    Error('\p{Is_Block= 	Kangxi_radicals:=}');
    Error('\P{Is_Block= 	Kangxi_radicals:=}');
    Expect(1, 12255, '\p{Is_Block=kangxiradicals}', "");
    Expect(0, 12255, '\p{^Is_Block=kangxiradicals}', "");
    Expect(0, 12255, '\P{Is_Block=kangxiradicals}', "");
    Expect(1, 12255, '\P{^Is_Block=kangxiradicals}', "");
    Expect(0, 12256, '\p{Is_Block=kangxiradicals}', "");
    Expect(1, 12256, '\p{^Is_Block=kangxiradicals}', "");
    Expect(1, 12256, '\P{Is_Block=kangxiradicals}', "");
    Expect(0, 12256, '\P{^Is_Block=kangxiradicals}', "");
    Expect(1, 12255, '\p{Is_Block=-kangxi_radicals}', "");
    Expect(0, 12255, '\p{^Is_Block=-kangxi_radicals}', "");
    Expect(0, 12255, '\P{Is_Block=-kangxi_radicals}', "");
    Expect(1, 12255, '\P{^Is_Block=-kangxi_radicals}', "");
    Expect(0, 12256, '\p{Is_Block=-kangxi_radicals}', "");
    Expect(1, 12256, '\p{^Is_Block=-kangxi_radicals}', "");
    Expect(1, 12256, '\P{Is_Block=-kangxi_radicals}', "");
    Expect(0, 12256, '\P{^Is_Block=-kangxi_radicals}', "");
    Error('\p{Is_Blk= _KANGXI/a/}');
    Error('\P{Is_Blk= _KANGXI/a/}');
    Expect(1, 12255, '\p{Is_Blk=kangxi}', "");
    Expect(0, 12255, '\p{^Is_Blk=kangxi}', "");
    Expect(0, 12255, '\P{Is_Blk=kangxi}', "");
    Expect(1, 12255, '\P{^Is_Blk=kangxi}', "");
    Expect(0, 12256, '\p{Is_Blk=kangxi}', "");
    Expect(1, 12256, '\p{^Is_Blk=kangxi}', "");
    Expect(1, 12256, '\P{Is_Blk=kangxi}', "");
    Expect(0, 12256, '\P{^Is_Blk=kangxi}', "");
    Expect(1, 12255, '\p{Is_Blk=	KANGXI}', "");
    Expect(0, 12255, '\p{^Is_Blk=	KANGXI}', "");
    Expect(0, 12255, '\P{Is_Blk=	KANGXI}', "");
    Expect(1, 12255, '\P{^Is_Blk=	KANGXI}', "");
    Expect(0, 12256, '\p{Is_Blk=	KANGXI}', "");
    Expect(1, 12256, '\p{^Is_Blk=	KANGXI}', "");
    Expect(1, 12256, '\P{Is_Blk=	KANGXI}', "");
    Expect(0, 12256, '\P{^Is_Blk=	KANGXI}', "");
    Error('\p{Block=/a/kannada}');
    Error('\P{Block=/a/kannada}');
    Expect(1, 3327, '\p{Block=:\AKannada\z:}', "");;
    Expect(0, 3328, '\p{Block=:\AKannada\z:}', "");;
    Expect(1, 3327, '\p{Block=kannada}', "");
    Expect(0, 3327, '\p{^Block=kannada}', "");
    Expect(0, 3327, '\P{Block=kannada}', "");
    Expect(1, 3327, '\P{^Block=kannada}', "");
    Expect(0, 3328, '\p{Block=kannada}', "");
    Expect(1, 3328, '\p{^Block=kannada}', "");
    Expect(1, 3328, '\P{Block=kannada}', "");
    Expect(0, 3328, '\P{^Block=kannada}', "");
    Expect(1, 3327, '\p{Block=:\Akannada\z:}', "");;
    Expect(0, 3328, '\p{Block=:\Akannada\z:}', "");;
    Expect(1, 3327, '\p{Block= -Kannada}', "");
    Expect(0, 3327, '\p{^Block= -Kannada}', "");
    Expect(0, 3327, '\P{Block= -Kannada}', "");
    Expect(1, 3327, '\P{^Block= -Kannada}', "");
    Expect(0, 3328, '\p{Block= -Kannada}', "");
    Expect(1, 3328, '\p{^Block= -Kannada}', "");
    Expect(1, 3328, '\P{Block= -Kannada}', "");
    Expect(0, 3328, '\P{^Block= -Kannada}', "");
    Error('\p{Blk=_Kannada:=}');
    Error('\P{Blk=_Kannada:=}');
    Expect(1, 3327, '\p{Blk=:\AKannada\z:}', "");;
    Expect(0, 3328, '\p{Blk=:\AKannada\z:}', "");;
    Expect(1, 3327, '\p{Blk=kannada}', "");
    Expect(0, 3327, '\p{^Blk=kannada}', "");
    Expect(0, 3327, '\P{Blk=kannada}', "");
    Expect(1, 3327, '\P{^Blk=kannada}', "");
    Expect(0, 3328, '\p{Blk=kannada}', "");
    Expect(1, 3328, '\p{^Blk=kannada}', "");
    Expect(1, 3328, '\P{Blk=kannada}', "");
    Expect(0, 3328, '\P{^Blk=kannada}', "");
    Expect(1, 3327, '\p{Blk=:\Akannada\z:}', "");;
    Expect(0, 3328, '\p{Blk=:\Akannada\z:}', "");;
    Expect(1, 3327, '\p{Blk=-	kannada}', "");
    Expect(0, 3327, '\p{^Blk=-	kannada}', "");
    Expect(0, 3327, '\P{Blk=-	kannada}', "");
    Expect(1, 3327, '\P{^Blk=-	kannada}', "");
    Expect(0, 3328, '\p{Blk=-	kannada}', "");
    Expect(1, 3328, '\p{^Blk=-	kannada}', "");
    Expect(1, 3328, '\P{Blk=-	kannada}', "");
    Expect(0, 3328, '\P{^Blk=-	kannada}', "");
    Error('\p{Is_Block=/a/ _KANNADA}');
    Error('\P{Is_Block=/a/ _KANNADA}');
    Expect(1, 3327, '\p{Is_Block=kannada}', "");
    Expect(0, 3327, '\p{^Is_Block=kannada}', "");
    Expect(0, 3327, '\P{Is_Block=kannada}', "");
    Expect(1, 3327, '\P{^Is_Block=kannada}', "");
    Expect(0, 3328, '\p{Is_Block=kannada}', "");
    Expect(1, 3328, '\p{^Is_Block=kannada}', "");
    Expect(1, 3328, '\P{Is_Block=kannada}', "");
    Expect(0, 3328, '\P{^Is_Block=kannada}', "");
    Expect(1, 3327, '\p{Is_Block=--KANNADA}', "");
    Expect(0, 3327, '\p{^Is_Block=--KANNADA}', "");
    Expect(0, 3327, '\P{Is_Block=--KANNADA}', "");
    Expect(1, 3327, '\P{^Is_Block=--KANNADA}', "");
    Expect(0, 3328, '\p{Is_Block=--KANNADA}', "");
    Expect(1, 3328, '\p{^Is_Block=--KANNADA}', "");
    Expect(1, 3328, '\P{Is_Block=--KANNADA}', "");
    Expect(0, 3328, '\P{^Is_Block=--KANNADA}', "");
    Error('\p{Is_Blk=	kannada/a/}');
    Error('\P{Is_Blk=	kannada/a/}');
    Expect(1, 3327, '\p{Is_Blk=kannada}', "");
    Expect(0, 3327, '\p{^Is_Blk=kannada}', "");
    Expect(0, 3327, '\P{Is_Blk=kannada}', "");
    Expect(1, 3327, '\P{^Is_Blk=kannada}', "");
    Expect(0, 3328, '\p{Is_Blk=kannada}', "");
    Expect(1, 3328, '\p{^Is_Blk=kannada}', "");
    Expect(1, 3328, '\P{Is_Blk=kannada}', "");
    Expect(0, 3328, '\P{^Is_Blk=kannada}', "");
    Expect(1, 3327, '\p{Is_Blk:	 	Kannada}', "");
    Expect(0, 3327, '\p{^Is_Blk:	 	Kannada}', "");
    Expect(0, 3327, '\P{Is_Blk:	 	Kannada}', "");
    Expect(1, 3327, '\P{^Is_Blk:	 	Kannada}', "");
    Expect(0, 3328, '\p{Is_Blk:	 	Kannada}', "");
    Expect(1, 3328, '\p{^Is_Blk:	 	Kannada}', "");
    Expect(1, 3328, '\P{Is_Blk:	 	Kannada}', "");
    Expect(0, 3328, '\P{^Is_Blk:	 	Kannada}', "");
    Error('\p{Block=/a/katakana}');
    Error('\P{Block=/a/katakana}');
    Expect(1, 12543, '\p{Block=:\AKatakana\z:}', "");;
    Expect(0, 12544, '\p{Block=:\AKatakana\z:}', "");;
    Expect(1, 12543, '\p{Block=katakana}', "");
    Expect(0, 12543, '\p{^Block=katakana}', "");
    Expect(0, 12543, '\P{Block=katakana}', "");
    Expect(1, 12543, '\P{^Block=katakana}', "");
    Expect(0, 12544, '\p{Block=katakana}', "");
    Expect(1, 12544, '\p{^Block=katakana}', "");
    Expect(1, 12544, '\P{Block=katakana}', "");
    Expect(0, 12544, '\P{^Block=katakana}', "");
    Expect(1, 12543, '\p{Block=:\Akatakana\z:}', "");;
    Expect(0, 12544, '\p{Block=:\Akatakana\z:}', "");;
    Expect(1, 12543, '\p{Block=	_Katakana}', "");
    Expect(0, 12543, '\p{^Block=	_Katakana}', "");
    Expect(0, 12543, '\P{Block=	_Katakana}', "");
    Expect(1, 12543, '\P{^Block=	_Katakana}', "");
    Expect(0, 12544, '\p{Block=	_Katakana}', "");
    Expect(1, 12544, '\p{^Block=	_Katakana}', "");
    Expect(1, 12544, '\P{Block=	_Katakana}', "");
    Expect(0, 12544, '\P{^Block=	_Katakana}', "");
    Error('\p{Blk=katakana:=}');
    Error('\P{Blk=katakana:=}');
    Expect(1, 12543, '\p{Blk=:\AKatakana\z:}', "");;
    Expect(0, 12544, '\p{Blk=:\AKatakana\z:}', "");;
    Expect(1, 12543, '\p{Blk=katakana}', "");
    Expect(0, 12543, '\p{^Blk=katakana}', "");
    Expect(0, 12543, '\P{Blk=katakana}', "");
    Expect(1, 12543, '\P{^Blk=katakana}', "");
    Expect(0, 12544, '\p{Blk=katakana}', "");
    Expect(1, 12544, '\p{^Blk=katakana}', "");
    Expect(1, 12544, '\P{Blk=katakana}', "");
    Expect(0, 12544, '\P{^Blk=katakana}', "");
    Expect(1, 12543, '\p{Blk=:\Akatakana\z:}', "");;
    Expect(0, 12544, '\p{Blk=:\Akatakana\z:}', "");;
    Expect(1, 12543, '\p{Blk=__Katakana}', "");
    Expect(0, 12543, '\p{^Blk=__Katakana}', "");
    Expect(0, 12543, '\P{Blk=__Katakana}', "");
    Expect(1, 12543, '\P{^Blk=__Katakana}', "");
    Expect(0, 12544, '\p{Blk=__Katakana}', "");
    Expect(1, 12544, '\p{^Blk=__Katakana}', "");
    Expect(1, 12544, '\P{Blk=__Katakana}', "");
    Expect(0, 12544, '\P{^Blk=__Katakana}', "");
    Error('\p{Is_Block=/a/  KATAKANA}');
    Error('\P{Is_Block=/a/  KATAKANA}');
    Expect(1, 12543, '\p{Is_Block=katakana}', "");
    Expect(0, 12543, '\p{^Is_Block=katakana}', "");
    Expect(0, 12543, '\P{Is_Block=katakana}', "");
    Expect(1, 12543, '\P{^Is_Block=katakana}', "");
    Expect(0, 12544, '\p{Is_Block=katakana}', "");
    Expect(1, 12544, '\p{^Is_Block=katakana}', "");
    Expect(1, 12544, '\P{Is_Block=katakana}', "");
    Expect(0, 12544, '\P{^Is_Block=katakana}', "");
    Expect(1, 12543, '\p{Is_Block=  Katakana}', "");
    Expect(0, 12543, '\p{^Is_Block=  Katakana}', "");
    Expect(0, 12543, '\P{Is_Block=  Katakana}', "");
    Expect(1, 12543, '\P{^Is_Block=  Katakana}', "");
    Expect(0, 12544, '\p{Is_Block=  Katakana}', "");
    Expect(1, 12544, '\p{^Is_Block=  Katakana}', "");
    Expect(1, 12544, '\P{Is_Block=  Katakana}', "");
    Expect(0, 12544, '\P{^Is_Block=  Katakana}', "");
    Error('\p{Is_Blk=- katakana:=}');
    Error('\P{Is_Blk=- katakana:=}');
    Expect(1, 12543, '\p{Is_Blk=katakana}', "");
    Expect(0, 12543, '\p{^Is_Blk=katakana}', "");
    Expect(0, 12543, '\P{Is_Blk=katakana}', "");
    Expect(1, 12543, '\P{^Is_Blk=katakana}', "");
    Expect(0, 12544, '\p{Is_Blk=katakana}', "");
    Expect(1, 12544, '\p{^Is_Blk=katakana}', "");
    Expect(1, 12544, '\P{Is_Blk=katakana}', "");
    Expect(0, 12544, '\P{^Is_Blk=katakana}', "");
    Expect(1, 12543, '\p{Is_Blk=	_Katakana}', "");
    Expect(0, 12543, '\p{^Is_Blk=	_Katakana}', "");
    Expect(0, 12543, '\P{Is_Blk=	_Katakana}', "");
    Expect(1, 12543, '\P{^Is_Blk=	_Katakana}', "");
    Expect(0, 12544, '\p{Is_Blk=	_Katakana}', "");
    Expect(1, 12544, '\p{^Is_Blk=	_Katakana}', "");
    Expect(1, 12544, '\P{Is_Blk=	_Katakana}', "");
    Expect(0, 12544, '\P{^Is_Blk=	_Katakana}', "");
    Error('\p{Block=:=_ Katakana_Phonetic_EXTENSIONS}');
    Error('\P{Block=:=_ Katakana_Phonetic_EXTENSIONS}');
    Expect(1, 12799, '\p{Block=:\AKatakana_Phonetic_Extensions\z:}', "");;
    Expect(0, 12800, '\p{Block=:\AKatakana_Phonetic_Extensions\z:}', "");;
    Expect(1, 12799, '\p{Block=katakanaphoneticextensions}', "");
    Expect(0, 12799, '\p{^Block=katakanaphoneticextensions}', "");
    Expect(0, 12799, '\P{Block=katakanaphoneticextensions}', "");
    Expect(1, 12799, '\P{^Block=katakanaphoneticextensions}', "");
    Expect(0, 12800, '\p{Block=katakanaphoneticextensions}', "");
    Expect(1, 12800, '\p{^Block=katakanaphoneticextensions}', "");
    Expect(1, 12800, '\P{Block=katakanaphoneticextensions}', "");
    Expect(0, 12800, '\P{^Block=katakanaphoneticextensions}', "");
    Expect(1, 12799, '\p{Block=:\Akatakanaphoneticextensions\z:}', "");;
    Expect(0, 12800, '\p{Block=:\Akatakanaphoneticextensions\z:}', "");;
    Expect(1, 12799, '\p{Block=-_KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12799, '\p{^Block=-_KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12799, '\P{Block=-_KATAKANA_Phonetic_Extensions}', "");
    Expect(1, 12799, '\P{^Block=-_KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12800, '\p{Block=-_KATAKANA_Phonetic_Extensions}', "");
    Expect(1, 12800, '\p{^Block=-_KATAKANA_Phonetic_Extensions}', "");
    Expect(1, 12800, '\P{Block=-_KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12800, '\P{^Block=-_KATAKANA_Phonetic_Extensions}', "");
    Error('\p{Blk=:=-_katakana_EXT}');
    Error('\P{Blk=:=-_katakana_EXT}');
    Expect(1, 12799, '\p{Blk=:\AKatakana_Ext\z:}', "");;
    Expect(0, 12800, '\p{Blk=:\AKatakana_Ext\z:}', "");;
    Expect(1, 12799, '\p{Blk=katakanaext}', "");
    Expect(0, 12799, '\p{^Blk=katakanaext}', "");
    Expect(0, 12799, '\P{Blk=katakanaext}', "");
    Expect(1, 12799, '\P{^Blk=katakanaext}', "");
    Expect(0, 12800, '\p{Blk=katakanaext}', "");
    Expect(1, 12800, '\p{^Blk=katakanaext}', "");
    Expect(1, 12800, '\P{Blk=katakanaext}', "");
    Expect(0, 12800, '\P{^Blk=katakanaext}', "");
    Expect(1, 12799, '\p{Blk=:\Akatakanaext\z:}', "");;
    Expect(0, 12800, '\p{Blk=:\Akatakanaext\z:}', "");;
    Expect(1, 12799, '\p{Blk=	KATAKANA_Ext}', "");
    Expect(0, 12799, '\p{^Blk=	KATAKANA_Ext}', "");
    Expect(0, 12799, '\P{Blk=	KATAKANA_Ext}', "");
    Expect(1, 12799, '\P{^Blk=	KATAKANA_Ext}', "");
    Expect(0, 12800, '\p{Blk=	KATAKANA_Ext}', "");
    Expect(1, 12800, '\p{^Blk=	KATAKANA_Ext}', "");
    Expect(1, 12800, '\P{Blk=	KATAKANA_Ext}', "");
    Expect(0, 12800, '\P{^Blk=	KATAKANA_Ext}', "");
    Error('\p{Is_Block=:=- KATAKANA_phonetic_Extensions}');
    Error('\P{Is_Block=:=- KATAKANA_phonetic_Extensions}');
    Expect(1, 12799, '\p{Is_Block=katakanaphoneticextensions}', "");
    Expect(0, 12799, '\p{^Is_Block=katakanaphoneticextensions}', "");
    Expect(0, 12799, '\P{Is_Block=katakanaphoneticextensions}', "");
    Expect(1, 12799, '\P{^Is_Block=katakanaphoneticextensions}', "");
    Expect(0, 12800, '\p{Is_Block=katakanaphoneticextensions}', "");
    Expect(1, 12800, '\p{^Is_Block=katakanaphoneticextensions}', "");
    Expect(1, 12800, '\P{Is_Block=katakanaphoneticextensions}', "");
    Expect(0, 12800, '\P{^Is_Block=katakanaphoneticextensions}', "");
    Expect(1, 12799, '\p{Is_Block=--Katakana_Phonetic_Extensions}', "");
    Expect(0, 12799, '\p{^Is_Block=--Katakana_Phonetic_Extensions}', "");
    Expect(0, 12799, '\P{Is_Block=--Katakana_Phonetic_Extensions}', "");
    Expect(1, 12799, '\P{^Is_Block=--Katakana_Phonetic_Extensions}', "");
    Expect(0, 12800, '\p{Is_Block=--Katakana_Phonetic_Extensions}', "");
    Expect(1, 12800, '\p{^Is_Block=--Katakana_Phonetic_Extensions}', "");
    Expect(1, 12800, '\P{Is_Block=--Katakana_Phonetic_Extensions}', "");
    Expect(0, 12800, '\P{^Is_Block=--Katakana_Phonetic_Extensions}', "");
    Error('\p{Is_Blk=	-Katakana_EXT:=}');
    Error('\P{Is_Blk=	-Katakana_EXT:=}');
    Expect(1, 12799, '\p{Is_Blk=katakanaext}', "");
    Expect(0, 12799, '\p{^Is_Blk=katakanaext}', "");
    Expect(0, 12799, '\P{Is_Blk=katakanaext}', "");
    Expect(1, 12799, '\P{^Is_Blk=katakanaext}', "");
    Expect(0, 12800, '\p{Is_Blk=katakanaext}', "");
    Expect(1, 12800, '\p{^Is_Blk=katakanaext}', "");
    Expect(1, 12800, '\P{Is_Blk=katakanaext}', "");
    Expect(0, 12800, '\P{^Is_Blk=katakanaext}', "");
    Expect(1, 12799, '\p{Is_Blk= _KATAKANA_Ext}', "");
    Expect(0, 12799, '\p{^Is_Blk= _KATAKANA_Ext}', "");
    Expect(0, 12799, '\P{Is_Blk= _KATAKANA_Ext}', "");
    Expect(1, 12799, '\P{^Is_Blk= _KATAKANA_Ext}', "");
    Expect(0, 12800, '\p{Is_Blk= _KATAKANA_Ext}', "");
    Expect(1, 12800, '\p{^Is_Blk= _KATAKANA_Ext}', "");
    Expect(1, 12800, '\P{Is_Blk= _KATAKANA_Ext}', "");
    Expect(0, 12800, '\P{^Is_Blk= _KATAKANA_Ext}', "");
    Error('\p{Block= :=kayah_Li}');
    Error('\P{Block= :=kayah_Li}');
    Expect(1, 43311, '\p{Block=:\AKayah_Li\z:}', "");;
    Expect(0, 43312, '\p{Block=:\AKayah_Li\z:}', "");;
    Expect(1, 43311, '\p{Block=kayahli}', "");
    Expect(0, 43311, '\p{^Block=kayahli}', "");
    Expect(0, 43311, '\P{Block=kayahli}', "");
    Expect(1, 43311, '\P{^Block=kayahli}', "");
    Expect(0, 43312, '\p{Block=kayahli}', "");
    Expect(1, 43312, '\p{^Block=kayahli}', "");
    Expect(1, 43312, '\P{Block=kayahli}', "");
    Expect(0, 43312, '\P{^Block=kayahli}', "");
    Expect(1, 43311, '\p{Block=:\Akayahli\z:}', "");;
    Expect(0, 43312, '\p{Block=:\Akayahli\z:}', "");;
    Expect(1, 43311, '\p{Block=	_Kayah_li}', "");
    Expect(0, 43311, '\p{^Block=	_Kayah_li}', "");
    Expect(0, 43311, '\P{Block=	_Kayah_li}', "");
    Expect(1, 43311, '\P{^Block=	_Kayah_li}', "");
    Expect(0, 43312, '\p{Block=	_Kayah_li}', "");
    Expect(1, 43312, '\p{^Block=	_Kayah_li}', "");
    Expect(1, 43312, '\P{Block=	_Kayah_li}', "");
    Expect(0, 43312, '\P{^Block=	_Kayah_li}', "");
    Error('\p{Blk= Kayah_Li/a/}');
    Error('\P{Blk= Kayah_Li/a/}');
    Expect(1, 43311, '\p{Blk=:\AKayah_Li\z:}', "");;
    Expect(0, 43312, '\p{Blk=:\AKayah_Li\z:}', "");;
    Expect(1, 43311, '\p{Blk=kayahli}', "");
    Expect(0, 43311, '\p{^Blk=kayahli}', "");
    Expect(0, 43311, '\P{Blk=kayahli}', "");
    Expect(1, 43311, '\P{^Blk=kayahli}', "");
    Expect(0, 43312, '\p{Blk=kayahli}', "");
    Expect(1, 43312, '\p{^Blk=kayahli}', "");
    Expect(1, 43312, '\P{Blk=kayahli}', "");
    Expect(0, 43312, '\P{^Blk=kayahli}', "");
    Expect(1, 43311, '\p{Blk=:\Akayahli\z:}', "");;
    Expect(0, 43312, '\p{Blk=:\Akayahli\z:}', "");;
    Expect(1, 43311, '\p{Blk=_-kayah_Li}', "");
    Expect(0, 43311, '\p{^Blk=_-kayah_Li}', "");
    Expect(0, 43311, '\P{Blk=_-kayah_Li}', "");
    Expect(1, 43311, '\P{^Blk=_-kayah_Li}', "");
    Expect(0, 43312, '\p{Blk=_-kayah_Li}', "");
    Expect(1, 43312, '\p{^Blk=_-kayah_Li}', "");
    Expect(1, 43312, '\P{Blk=_-kayah_Li}', "");
    Expect(0, 43312, '\P{^Blk=_-kayah_Li}', "");
    Error('\p{Is_Block=:= -Kayah_li}');
    Error('\P{Is_Block=:= -Kayah_li}');
    Expect(1, 43311, '\p{Is_Block=kayahli}', "");
    Expect(0, 43311, '\p{^Is_Block=kayahli}', "");
    Expect(0, 43311, '\P{Is_Block=kayahli}', "");
    Expect(1, 43311, '\P{^Is_Block=kayahli}', "");
    Expect(0, 43312, '\p{Is_Block=kayahli}', "");
    Expect(1, 43312, '\p{^Is_Block=kayahli}', "");
    Expect(1, 43312, '\P{Is_Block=kayahli}', "");
    Expect(0, 43312, '\P{^Is_Block=kayahli}', "");
    Expect(1, 43311, '\p{Is_Block=	 Kayah_LI}', "");
    Expect(0, 43311, '\p{^Is_Block=	 Kayah_LI}', "");
    Expect(0, 43311, '\P{Is_Block=	 Kayah_LI}', "");
    Expect(1, 43311, '\P{^Is_Block=	 Kayah_LI}', "");
    Expect(0, 43312, '\p{Is_Block=	 Kayah_LI}', "");
    Expect(1, 43312, '\p{^Is_Block=	 Kayah_LI}', "");
    Expect(1, 43312, '\P{Is_Block=	 Kayah_LI}', "");
    Expect(0, 43312, '\P{^Is_Block=	 Kayah_LI}', "");
    Error('\p{Is_Blk= _KAYAH_LI:=}');
    Error('\P{Is_Blk= _KAYAH_LI:=}');
    Expect(1, 43311, '\p{Is_Blk=kayahli}', "");
    Expect(0, 43311, '\p{^Is_Blk=kayahli}', "");
    Expect(0, 43311, '\P{Is_Blk=kayahli}', "");
    Expect(1, 43311, '\P{^Is_Blk=kayahli}', "");
    Expect(0, 43312, '\p{Is_Blk=kayahli}', "");
    Expect(1, 43312, '\p{^Is_Blk=kayahli}', "");
    Expect(1, 43312, '\P{Is_Blk=kayahli}', "");
    Expect(0, 43312, '\P{^Is_Blk=kayahli}', "");
    Expect(1, 43311, '\p{Is_Blk=_Kayah_li}', "");
    Expect(0, 43311, '\p{^Is_Blk=_Kayah_li}', "");
    Expect(0, 43311, '\P{Is_Blk=_Kayah_li}', "");
    Expect(1, 43311, '\P{^Is_Blk=_Kayah_li}', "");
    Expect(0, 43312, '\p{Is_Blk=_Kayah_li}', "");
    Expect(1, 43312, '\p{^Is_Blk=_Kayah_li}', "");
    Expect(1, 43312, '\P{Is_Blk=_Kayah_li}', "");
    Expect(0, 43312, '\P{^Is_Blk=_Kayah_li}', "");
    Error('\p{Block= Kharoshthi/a/}');
    Error('\P{Block= Kharoshthi/a/}');
    Expect(1, 68191, '\p{Block=:\AKharoshthi\z:}', "");;
    Expect(0, 68192, '\p{Block=:\AKharoshthi\z:}', "");;
    Expect(1, 68191, '\p{Block=kharoshthi}', "");
    Expect(0, 68191, '\p{^Block=kharoshthi}', "");
    Expect(0, 68191, '\P{Block=kharoshthi}', "");
    Expect(1, 68191, '\P{^Block=kharoshthi}', "");
    Expect(0, 68192, '\p{Block=kharoshthi}', "");
    Expect(1, 68192, '\p{^Block=kharoshthi}', "");
    Expect(1, 68192, '\P{Block=kharoshthi}', "");
    Expect(0, 68192, '\P{^Block=kharoshthi}', "");
    Expect(1, 68191, '\p{Block=:\Akharoshthi\z:}', "");;
    Expect(0, 68192, '\p{Block=:\Akharoshthi\z:}', "");;
    Expect(1, 68191, '\p{Block:   -	Kharoshthi}', "");
    Expect(0, 68191, '\p{^Block:   -	Kharoshthi}', "");
    Expect(0, 68191, '\P{Block:   -	Kharoshthi}', "");
    Expect(1, 68191, '\P{^Block:   -	Kharoshthi}', "");
    Expect(0, 68192, '\p{Block:   -	Kharoshthi}', "");
    Expect(1, 68192, '\p{^Block:   -	Kharoshthi}', "");
    Expect(1, 68192, '\P{Block:   -	Kharoshthi}', "");
    Expect(0, 68192, '\P{^Block:   -	Kharoshthi}', "");
    Error('\p{Blk=:=-	kharoshthi}');
    Error('\P{Blk=:=-	kharoshthi}');
    Expect(1, 68191, '\p{Blk=:\AKharoshthi\z:}', "");;
    Expect(0, 68192, '\p{Blk=:\AKharoshthi\z:}', "");;
    Expect(1, 68191, '\p{Blk=kharoshthi}', "");
    Expect(0, 68191, '\p{^Blk=kharoshthi}', "");
    Expect(0, 68191, '\P{Blk=kharoshthi}', "");
    Expect(1, 68191, '\P{^Blk=kharoshthi}', "");
    Expect(0, 68192, '\p{Blk=kharoshthi}', "");
    Expect(1, 68192, '\p{^Blk=kharoshthi}', "");
    Expect(1, 68192, '\P{Blk=kharoshthi}', "");
    Expect(0, 68192, '\P{^Blk=kharoshthi}', "");
    Expect(1, 68191, '\p{Blk=:\Akharoshthi\z:}', "");;
    Expect(0, 68192, '\p{Blk=:\Akharoshthi\z:}', "");;
    Expect(1, 68191, '\p{Blk=_	kharoshthi}', "");
    Expect(0, 68191, '\p{^Blk=_	kharoshthi}', "");
    Expect(0, 68191, '\P{Blk=_	kharoshthi}', "");
    Expect(1, 68191, '\P{^Blk=_	kharoshthi}', "");
    Expect(0, 68192, '\p{Blk=_	kharoshthi}', "");
    Expect(1, 68192, '\p{^Blk=_	kharoshthi}', "");
    Expect(1, 68192, '\P{Blk=_	kharoshthi}', "");
    Expect(0, 68192, '\P{^Blk=_	kharoshthi}', "");
    Error('\p{Is_Block=/a/  kharoshthi}');
    Error('\P{Is_Block=/a/  kharoshthi}');
    Expect(1, 68191, '\p{Is_Block=kharoshthi}', "");
    Expect(0, 68191, '\p{^Is_Block=kharoshthi}', "");
    Expect(0, 68191, '\P{Is_Block=kharoshthi}', "");
    Expect(1, 68191, '\P{^Is_Block=kharoshthi}', "");
    Expect(0, 68192, '\p{Is_Block=kharoshthi}', "");
    Expect(1, 68192, '\p{^Is_Block=kharoshthi}', "");
    Expect(1, 68192, '\P{Is_Block=kharoshthi}', "");
    Expect(0, 68192, '\P{^Is_Block=kharoshthi}', "");
    Expect(1, 68191, '\p{Is_Block=- KHAROSHTHI}', "");
    Expect(0, 68191, '\p{^Is_Block=- KHAROSHTHI}', "");
    Expect(0, 68191, '\P{Is_Block=- KHAROSHTHI}', "");
    Expect(1, 68191, '\P{^Is_Block=- KHAROSHTHI}', "");
    Expect(0, 68192, '\p{Is_Block=- KHAROSHTHI}', "");
    Expect(1, 68192, '\p{^Is_Block=- KHAROSHTHI}', "");
    Expect(1, 68192, '\P{Is_Block=- KHAROSHTHI}', "");
    Expect(0, 68192, '\P{^Is_Block=- KHAROSHTHI}', "");
    Error('\p{Is_Blk=	:=KHAROSHTHI}');
    Error('\P{Is_Blk=	:=KHAROSHTHI}');
    Expect(1, 68191, '\p{Is_Blk=kharoshthi}', "");
    Expect(0, 68191, '\p{^Is_Blk=kharoshthi}', "");
    Expect(0, 68191, '\P{Is_Blk=kharoshthi}', "");
    Expect(1, 68191, '\P{^Is_Blk=kharoshthi}', "");
    Expect(0, 68192, '\p{Is_Blk=kharoshthi}', "");
    Expect(1, 68192, '\p{^Is_Blk=kharoshthi}', "");
    Expect(1, 68192, '\P{Is_Blk=kharoshthi}', "");
    Expect(0, 68192, '\P{^Is_Blk=kharoshthi}', "");
    Expect(1, 68191, '\p{Is_Blk=	 Kharoshthi}', "");
    Expect(0, 68191, '\p{^Is_Blk=	 Kharoshthi}', "");
    Expect(0, 68191, '\P{Is_Blk=	 Kharoshthi}', "");
    Expect(1, 68191, '\P{^Is_Blk=	 Kharoshthi}', "");
    Expect(0, 68192, '\p{Is_Blk=	 Kharoshthi}', "");
    Expect(1, 68192, '\p{^Is_Blk=	 Kharoshthi}', "");
    Expect(1, 68192, '\P{Is_Blk=	 Kharoshthi}', "");
    Expect(0, 68192, '\P{^Is_Blk=	 Kharoshthi}', "");
    Error('\p{Block=_/a/Khitan_Small_Script}');
    Error('\P{Block=_/a/Khitan_Small_Script}');
    Expect(1, 101631, '\p{Block=:\AKhitan_Small_Script\z:}', "");;
    Expect(0, 101632, '\p{Block=:\AKhitan_Small_Script\z:}', "");;
    Expect(1, 101631, '\p{Block=khitansmallscript}', "");
    Expect(0, 101631, '\p{^Block=khitansmallscript}', "");
    Expect(0, 101631, '\P{Block=khitansmallscript}', "");
    Expect(1, 101631, '\P{^Block=khitansmallscript}', "");
    Expect(0, 101632, '\p{Block=khitansmallscript}', "");
    Expect(1, 101632, '\p{^Block=khitansmallscript}', "");
    Expect(1, 101632, '\P{Block=khitansmallscript}', "");
    Expect(0, 101632, '\P{^Block=khitansmallscript}', "");
    Expect(1, 101631, '\p{Block=:\Akhitansmallscript\z:}', "");;
    Expect(0, 101632, '\p{Block=:\Akhitansmallscript\z:}', "");;
    Expect(1, 101631, '\p{Block=-KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101631, '\p{^Block=-KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101631, '\P{Block=-KHITAN_SMALL_SCRIPT}', "");
    Expect(1, 101631, '\P{^Block=-KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101632, '\p{Block=-KHITAN_SMALL_SCRIPT}', "");
    Expect(1, 101632, '\p{^Block=-KHITAN_SMALL_SCRIPT}', "");
    Expect(1, 101632, '\P{Block=-KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101632, '\P{^Block=-KHITAN_SMALL_SCRIPT}', "");
    Error('\p{Blk=-	KHITAN_small_SCRIPT/a/}');
    Error('\P{Blk=-	KHITAN_small_SCRIPT/a/}');
    Expect(1, 101631, '\p{Blk=:\AKhitan_Small_Script\z:}', "");;
    Expect(0, 101632, '\p{Blk=:\AKhitan_Small_Script\z:}', "");;
    Expect(1, 101631, '\p{Blk=khitansmallscript}', "");
    Expect(0, 101631, '\p{^Blk=khitansmallscript}', "");
    Expect(0, 101631, '\P{Blk=khitansmallscript}', "");
    Expect(1, 101631, '\P{^Blk=khitansmallscript}', "");
    Expect(0, 101632, '\p{Blk=khitansmallscript}', "");
    Expect(1, 101632, '\p{^Blk=khitansmallscript}', "");
    Expect(1, 101632, '\P{Blk=khitansmallscript}', "");
    Expect(0, 101632, '\P{^Blk=khitansmallscript}', "");
    Expect(1, 101631, '\p{Blk=:\Akhitansmallscript\z:}', "");;
    Expect(0, 101632, '\p{Blk=:\Akhitansmallscript\z:}', "");;
    Expect(1, 101631, '\p{Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101631, '\p{^Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101631, '\P{Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Expect(1, 101631, '\P{^Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101632, '\p{Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Expect(1, 101632, '\p{^Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Expect(1, 101632, '\P{Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Expect(0, 101632, '\P{^Blk=-_KHITAN_SMALL_SCRIPT}', "");
    Error('\p{Is_Block=:=KHITAN_Small_Script}');
    Error('\P{Is_Block=:=KHITAN_Small_Script}');
    Expect(1, 101631, '\p{Is_Block=khitansmallscript}', "");
    Expect(0, 101631, '\p{^Is_Block=khitansmallscript}', "");
    Expect(0, 101631, '\P{Is_Block=khitansmallscript}', "");
    Expect(1, 101631, '\P{^Is_Block=khitansmallscript}', "");
    Expect(0, 101632, '\p{Is_Block=khitansmallscript}', "");
    Expect(1, 101632, '\p{^Is_Block=khitansmallscript}', "");
    Expect(1, 101632, '\P{Is_Block=khitansmallscript}', "");
    Expect(0, 101632, '\P{^Is_Block=khitansmallscript}', "");
    Expect(1, 101631, '\p{Is_Block=-khitan_small_SCRIPT}', "");
    Expect(0, 101631, '\p{^Is_Block=-khitan_small_SCRIPT}', "");
    Expect(0, 101631, '\P{Is_Block=-khitan_small_SCRIPT}', "");
    Expect(1, 101631, '\P{^Is_Block=-khitan_small_SCRIPT}', "");
    Expect(0, 101632, '\p{Is_Block=-khitan_small_SCRIPT}', "");
    Expect(1, 101632, '\p{^Is_Block=-khitan_small_SCRIPT}', "");
    Expect(1, 101632, '\P{Is_Block=-khitan_small_SCRIPT}', "");
    Expect(0, 101632, '\P{^Is_Block=-khitan_small_SCRIPT}', "");
    Error('\p{Is_Blk=:=_ khitan_SMALL_Script}');
    Error('\P{Is_Blk=:=_ khitan_SMALL_Script}');
    Expect(1, 101631, '\p{Is_Blk: khitansmallscript}', "");
    Expect(0, 101631, '\p{^Is_Blk: khitansmallscript}', "");
    Expect(0, 101631, '\P{Is_Blk: khitansmallscript}', "");
    Expect(1, 101631, '\P{^Is_Blk: khitansmallscript}', "");
    Expect(0, 101632, '\p{Is_Blk: khitansmallscript}', "");
    Expect(1, 101632, '\p{^Is_Blk: khitansmallscript}', "");
    Expect(1, 101632, '\P{Is_Blk: khitansmallscript}', "");
    Expect(0, 101632, '\P{^Is_Blk: khitansmallscript}', "");
    Expect(1, 101631, '\p{Is_Blk= Khitan_Small_Script}', "");
    Expect(0, 101631, '\p{^Is_Blk= Khitan_Small_Script}', "");
    Expect(0, 101631, '\P{Is_Blk= Khitan_Small_Script}', "");
    Expect(1, 101631, '\P{^Is_Blk= Khitan_Small_Script}', "");
    Expect(0, 101632, '\p{Is_Blk= Khitan_Small_Script}', "");
    Expect(1, 101632, '\p{^Is_Blk= Khitan_Small_Script}', "");
    Expect(1, 101632, '\P{Is_Blk= Khitan_Small_Script}', "");
    Expect(0, 101632, '\P{^Is_Blk= Khitan_Small_Script}', "");
    Error('\p{Block=_khmer/a/}');
    Error('\P{Block=_khmer/a/}');
    Expect(1, 6143, '\p{Block=:\AKhmer\z:}', "");;
    Expect(0, 6144, '\p{Block=:\AKhmer\z:}', "");;
    Expect(1, 6143, '\p{Block=khmer}', "");
    Expect(0, 6143, '\p{^Block=khmer}', "");
    Expect(0, 6143, '\P{Block=khmer}', "");
    Expect(1, 6143, '\P{^Block=khmer}', "");
    Expect(0, 6144, '\p{Block=khmer}', "");
    Expect(1, 6144, '\p{^Block=khmer}', "");
    Expect(1, 6144, '\P{Block=khmer}', "");
    Expect(0, 6144, '\P{^Block=khmer}', "");
    Expect(1, 6143, '\p{Block=:\Akhmer\z:}', "");;
    Expect(0, 6144, '\p{Block=:\Akhmer\z:}', "");;
    Expect(1, 6143, '\p{Block=	-Khmer}', "");
    Expect(0, 6143, '\p{^Block=	-Khmer}', "");
    Expect(0, 6143, '\P{Block=	-Khmer}', "");
    Expect(1, 6143, '\P{^Block=	-Khmer}', "");
    Expect(0, 6144, '\p{Block=	-Khmer}', "");
    Expect(1, 6144, '\p{^Block=	-Khmer}', "");
    Expect(1, 6144, '\P{Block=	-Khmer}', "");
    Expect(0, 6144, '\P{^Block=	-Khmer}', "");
    Error('\p{Blk=/a/khmer}');
    Error('\P{Blk=/a/khmer}');
    Expect(1, 6143, '\p{Blk=:\AKhmer\z:}', "");;
    Expect(0, 6144, '\p{Blk=:\AKhmer\z:}', "");;
    Expect(1, 6143, '\p{Blk=khmer}', "");
    Expect(0, 6143, '\p{^Blk=khmer}', "");
    Expect(0, 6143, '\P{Blk=khmer}', "");
    Expect(1, 6143, '\P{^Blk=khmer}', "");
    Expect(0, 6144, '\p{Blk=khmer}', "");
    Expect(1, 6144, '\p{^Blk=khmer}', "");
    Expect(1, 6144, '\P{Blk=khmer}', "");
    Expect(0, 6144, '\P{^Blk=khmer}', "");
    Expect(1, 6143, '\p{Blk=:\Akhmer\z:}', "");;
    Expect(0, 6144, '\p{Blk=:\Akhmer\z:}', "");;
    Expect(1, 6143, '\p{Blk=	KHMER}', "");
    Expect(0, 6143, '\p{^Blk=	KHMER}', "");
    Expect(0, 6143, '\P{Blk=	KHMER}', "");
    Expect(1, 6143, '\P{^Blk=	KHMER}', "");
    Expect(0, 6144, '\p{Blk=	KHMER}', "");
    Expect(1, 6144, '\p{^Blk=	KHMER}', "");
    Expect(1, 6144, '\P{Blk=	KHMER}', "");
    Expect(0, 6144, '\P{^Blk=	KHMER}', "");
    Error('\p{Is_Block:	:= khmer}');
    Error('\P{Is_Block:	:= khmer}');
    Expect(1, 6143, '\p{Is_Block=khmer}', "");
    Expect(0, 6143, '\p{^Is_Block=khmer}', "");
    Expect(0, 6143, '\P{Is_Block=khmer}', "");
    Expect(1, 6143, '\P{^Is_Block=khmer}', "");
    Expect(0, 6144, '\p{Is_Block=khmer}', "");
    Expect(1, 6144, '\p{^Is_Block=khmer}', "");
    Expect(1, 6144, '\P{Is_Block=khmer}', "");
    Expect(0, 6144, '\P{^Is_Block=khmer}', "");
    Expect(1, 6143, '\p{Is_Block=	Khmer}', "");
    Expect(0, 6143, '\p{^Is_Block=	Khmer}', "");
    Expect(0, 6143, '\P{Is_Block=	Khmer}', "");
    Expect(1, 6143, '\P{^Is_Block=	Khmer}', "");
    Expect(0, 6144, '\p{Is_Block=	Khmer}', "");
    Expect(1, 6144, '\p{^Is_Block=	Khmer}', "");
    Expect(1, 6144, '\P{Is_Block=	Khmer}', "");
    Expect(0, 6144, '\P{^Is_Block=	Khmer}', "");
    Error('\p{Is_Blk:  /a/khmer}');
    Error('\P{Is_Blk:  /a/khmer}');
    Expect(1, 6143, '\p{Is_Blk=khmer}', "");
    Expect(0, 6143, '\p{^Is_Blk=khmer}', "");
    Expect(0, 6143, '\P{Is_Blk=khmer}', "");
    Expect(1, 6143, '\P{^Is_Blk=khmer}', "");
    Expect(0, 6144, '\p{Is_Blk=khmer}', "");
    Expect(1, 6144, '\p{^Is_Blk=khmer}', "");
    Expect(1, 6144, '\P{Is_Blk=khmer}', "");
    Expect(0, 6144, '\P{^Is_Blk=khmer}', "");
    Expect(1, 6143, '\p{Is_Blk= KHMER}', "");
    Expect(0, 6143, '\p{^Is_Blk= KHMER}', "");
    Expect(0, 6143, '\P{Is_Blk= KHMER}', "");
    Expect(1, 6143, '\P{^Is_Blk= KHMER}', "");
    Expect(0, 6144, '\p{Is_Blk= KHMER}', "");
    Expect(1, 6144, '\p{^Is_Blk= KHMER}', "");
    Expect(1, 6144, '\P{Is_Blk= KHMER}', "");
    Expect(0, 6144, '\P{^Is_Blk= KHMER}', "");
    Error('\p{Block=-:=khmer_Symbols}');
    Error('\P{Block=-:=khmer_Symbols}');
    Expect(1, 6655, '\p{Block=:\AKhmer_Symbols\z:}', "");;
    Expect(0, 6656, '\p{Block=:\AKhmer_Symbols\z:}', "");;
    Expect(1, 6655, '\p{Block=khmersymbols}', "");
    Expect(0, 6655, '\p{^Block=khmersymbols}', "");
    Expect(0, 6655, '\P{Block=khmersymbols}', "");
    Expect(1, 6655, '\P{^Block=khmersymbols}', "");
    Expect(0, 6656, '\p{Block=khmersymbols}', "");
    Expect(1, 6656, '\p{^Block=khmersymbols}', "");
    Expect(1, 6656, '\P{Block=khmersymbols}', "");
    Expect(0, 6656, '\P{^Block=khmersymbols}', "");
    Expect(1, 6655, '\p{Block=:\Akhmersymbols\z:}', "");;
    Expect(0, 6656, '\p{Block=:\Akhmersymbols\z:}', "");;
    Expect(1, 6655, '\p{Block=_ KHMER_SYMBOLS}', "");
    Expect(0, 6655, '\p{^Block=_ KHMER_SYMBOLS}', "");
    Expect(0, 6655, '\P{Block=_ KHMER_SYMBOLS}', "");
    Expect(1, 6655, '\P{^Block=_ KHMER_SYMBOLS}', "");
    Expect(0, 6656, '\p{Block=_ KHMER_SYMBOLS}', "");
    Expect(1, 6656, '\p{^Block=_ KHMER_SYMBOLS}', "");
    Expect(1, 6656, '\P{Block=_ KHMER_SYMBOLS}', "");
    Expect(0, 6656, '\P{^Block=_ KHMER_SYMBOLS}', "");
    Error('\p{Blk=:=		Khmer_Symbols}');
    Error('\P{Blk=:=		Khmer_Symbols}');
    Expect(1, 6655, '\p{Blk=:\AKhmer_Symbols\z:}', "");;
    Expect(0, 6656, '\p{Blk=:\AKhmer_Symbols\z:}', "");;
    Expect(1, 6655, '\p{Blk=khmersymbols}', "");
    Expect(0, 6655, '\p{^Blk=khmersymbols}', "");
    Expect(0, 6655, '\P{Blk=khmersymbols}', "");
    Expect(1, 6655, '\P{^Blk=khmersymbols}', "");
    Expect(0, 6656, '\p{Blk=khmersymbols}', "");
    Expect(1, 6656, '\p{^Blk=khmersymbols}', "");
    Expect(1, 6656, '\P{Blk=khmersymbols}', "");
    Expect(0, 6656, '\P{^Blk=khmersymbols}', "");
    Expect(1, 6655, '\p{Blk=:\Akhmersymbols\z:}', "");;
    Expect(0, 6656, '\p{Blk=:\Akhmersymbols\z:}', "");;
    Expect(1, 6655, '\p{Blk=_-Khmer_Symbols}', "");
    Expect(0, 6655, '\p{^Blk=_-Khmer_Symbols}', "");
    Expect(0, 6655, '\P{Blk=_-Khmer_Symbols}', "");
    Expect(1, 6655, '\P{^Blk=_-Khmer_Symbols}', "");
    Expect(0, 6656, '\p{Blk=_-Khmer_Symbols}', "");
    Expect(1, 6656, '\p{^Blk=_-Khmer_Symbols}', "");
    Expect(1, 6656, '\P{Blk=_-Khmer_Symbols}', "");
    Expect(0, 6656, '\P{^Blk=_-Khmer_Symbols}', "");
    Error('\p{Is_Block=	:=khmer_SYMBOLS}');
    Error('\P{Is_Block=	:=khmer_SYMBOLS}');
    Expect(1, 6655, '\p{Is_Block=khmersymbols}', "");
    Expect(0, 6655, '\p{^Is_Block=khmersymbols}', "");
    Expect(0, 6655, '\P{Is_Block=khmersymbols}', "");
    Expect(1, 6655, '\P{^Is_Block=khmersymbols}', "");
    Expect(0, 6656, '\p{Is_Block=khmersymbols}', "");
    Expect(1, 6656, '\p{^Is_Block=khmersymbols}', "");
    Expect(1, 6656, '\P{Is_Block=khmersymbols}', "");
    Expect(0, 6656, '\P{^Is_Block=khmersymbols}', "");
    Expect(1, 6655, '\p{Is_Block= Khmer_SYMBOLS}', "");
    Expect(0, 6655, '\p{^Is_Block= Khmer_SYMBOLS}', "");
    Expect(0, 6655, '\P{Is_Block= Khmer_SYMBOLS}', "");
    Expect(1, 6655, '\P{^Is_Block= Khmer_SYMBOLS}', "");
    Expect(0, 6656, '\p{Is_Block= Khmer_SYMBOLS}', "");
    Expect(1, 6656, '\p{^Is_Block= Khmer_SYMBOLS}', "");
    Expect(1, 6656, '\P{Is_Block= Khmer_SYMBOLS}', "");
    Expect(0, 6656, '\P{^Is_Block= Khmer_SYMBOLS}', "");
    Error('\p{Is_Blk= /a/Khmer_symbols}');
    Error('\P{Is_Blk= /a/Khmer_symbols}');
    Expect(1, 6655, '\p{Is_Blk=khmersymbols}', "");
    Expect(0, 6655, '\p{^Is_Blk=khmersymbols}', "");
    Expect(0, 6655, '\P{Is_Blk=khmersymbols}', "");
    Expect(1, 6655, '\P{^Is_Blk=khmersymbols}', "");
    Expect(0, 6656, '\p{Is_Blk=khmersymbols}', "");
    Expect(1, 6656, '\p{^Is_Blk=khmersymbols}', "");
    Expect(1, 6656, '\P{Is_Blk=khmersymbols}', "");
    Expect(0, 6656, '\P{^Is_Blk=khmersymbols}', "");
    Expect(1, 6655, '\p{Is_Blk=__KHMER_symbols}', "");
    Expect(0, 6655, '\p{^Is_Blk=__KHMER_symbols}', "");
    Expect(0, 6655, '\P{Is_Blk=__KHMER_symbols}', "");
    Expect(1, 6655, '\P{^Is_Blk=__KHMER_symbols}', "");
    Expect(0, 6656, '\p{Is_Blk=__KHMER_symbols}', "");
    Expect(1, 6656, '\p{^Is_Blk=__KHMER_symbols}', "");
    Expect(1, 6656, '\P{Is_Blk=__KHMER_symbols}', "");
    Expect(0, 6656, '\P{^Is_Blk=__KHMER_symbols}', "");
    Error('\p{Block=_:=Khojki}');
    Error('\P{Block=_:=Khojki}');
    Expect(1, 70223, '\p{Block=:\AKhojki\z:}', "");;
    Expect(0, 70224, '\p{Block=:\AKhojki\z:}', "");;
    Expect(1, 70223, '\p{Block=khojki}', "");
    Expect(0, 70223, '\p{^Block=khojki}', "");
    Expect(0, 70223, '\P{Block=khojki}', "");
    Expect(1, 70223, '\P{^Block=khojki}', "");
    Expect(0, 70224, '\p{Block=khojki}', "");
    Expect(1, 70224, '\p{^Block=khojki}', "");
    Expect(1, 70224, '\P{Block=khojki}', "");
    Expect(0, 70224, '\P{^Block=khojki}', "");
    Expect(1, 70223, '\p{Block=:\Akhojki\z:}', "");;
    Expect(0, 70224, '\p{Block=:\Akhojki\z:}', "");;
    Expect(1, 70223, '\p{Block=  Khojki}', "");
    Expect(0, 70223, '\p{^Block=  Khojki}', "");
    Expect(0, 70223, '\P{Block=  Khojki}', "");
    Expect(1, 70223, '\P{^Block=  Khojki}', "");
    Expect(0, 70224, '\p{Block=  Khojki}', "");
    Expect(1, 70224, '\p{^Block=  Khojki}', "");
    Expect(1, 70224, '\P{Block=  Khojki}', "");
    Expect(0, 70224, '\P{^Block=  Khojki}', "");
    Error('\p{Blk:   /a/  Khojki}');
    Error('\P{Blk:   /a/  Khojki}');
    Expect(1, 70223, '\p{Blk=:\AKhojki\z:}', "");;
    Expect(0, 70224, '\p{Blk=:\AKhojki\z:}', "");;
    Expect(1, 70223, '\p{Blk=khojki}', "");
    Expect(0, 70223, '\p{^Blk=khojki}', "");
    Expect(0, 70223, '\P{Blk=khojki}', "");
    Expect(1, 70223, '\P{^Blk=khojki}', "");
    Expect(0, 70224, '\p{Blk=khojki}', "");
    Expect(1, 70224, '\p{^Blk=khojki}', "");
    Expect(1, 70224, '\P{Blk=khojki}', "");
    Expect(0, 70224, '\P{^Blk=khojki}', "");
    Expect(1, 70223, '\p{Blk=:\Akhojki\z:}', "");;
    Expect(0, 70224, '\p{Blk=:\Akhojki\z:}', "");;
    Expect(1, 70223, '\p{Blk=- khojki}', "");
    Expect(0, 70223, '\p{^Blk=- khojki}', "");
    Expect(0, 70223, '\P{Blk=- khojki}', "");
    Expect(1, 70223, '\P{^Blk=- khojki}', "");
    Expect(0, 70224, '\p{Blk=- khojki}', "");
    Expect(1, 70224, '\p{^Blk=- khojki}', "");
    Expect(1, 70224, '\P{Blk=- khojki}', "");
    Expect(0, 70224, '\P{^Blk=- khojki}', "");
    Error('\p{Is_Block= -Khojki:=}');
    Error('\P{Is_Block= -Khojki:=}');
    Expect(1, 70223, '\p{Is_Block=khojki}', "");
    Expect(0, 70223, '\p{^Is_Block=khojki}', "");
    Expect(0, 70223, '\P{Is_Block=khojki}', "");
    Expect(1, 70223, '\P{^Is_Block=khojki}', "");
    Expect(0, 70224, '\p{Is_Block=khojki}', "");
    Expect(1, 70224, '\p{^Is_Block=khojki}', "");
    Expect(1, 70224, '\P{Is_Block=khojki}', "");
    Expect(0, 70224, '\P{^Is_Block=khojki}', "");
    Expect(1, 70223, '\p{Is_Block=		Khojki}', "");
    Expect(0, 70223, '\p{^Is_Block=		Khojki}', "");
    Expect(0, 70223, '\P{Is_Block=		Khojki}', "");
    Expect(1, 70223, '\P{^Is_Block=		Khojki}', "");
    Expect(0, 70224, '\p{Is_Block=		Khojki}', "");
    Expect(1, 70224, '\p{^Is_Block=		Khojki}', "");
    Expect(1, 70224, '\P{Is_Block=		Khojki}', "");
    Expect(0, 70224, '\P{^Is_Block=		Khojki}', "");
    Error('\p{Is_Blk=/a/khojki}');
    Error('\P{Is_Blk=/a/khojki}');
    Expect(1, 70223, '\p{Is_Blk=khojki}', "");
    Expect(0, 70223, '\p{^Is_Blk=khojki}', "");
    Expect(0, 70223, '\P{Is_Blk=khojki}', "");
    Expect(1, 70223, '\P{^Is_Blk=khojki}', "");
    Expect(0, 70224, '\p{Is_Blk=khojki}', "");
    Expect(1, 70224, '\p{^Is_Blk=khojki}', "");
    Expect(1, 70224, '\P{Is_Blk=khojki}', "");
    Expect(0, 70224, '\P{^Is_Blk=khojki}', "");
    Expect(1, 70223, '\p{Is_Blk= 	khojki}', "");
    Expect(0, 70223, '\p{^Is_Blk= 	khojki}', "");
    Expect(0, 70223, '\P{Is_Blk= 	khojki}', "");
    Expect(1, 70223, '\P{^Is_Blk= 	khojki}', "");
    Expect(0, 70224, '\p{Is_Blk= 	khojki}', "");
    Expect(1, 70224, '\p{^Is_Blk= 	khojki}', "");
    Expect(1, 70224, '\P{Is_Blk= 	khojki}', "");
    Expect(0, 70224, '\P{^Is_Blk= 	khojki}', "");
    Error('\p{Block= KHUDAWADI:=}');
    Error('\P{Block= KHUDAWADI:=}');
    Expect(1, 70399, '\p{Block=:\AKhudawadi\z:}', "");;
    Expect(0, 70400, '\p{Block=:\AKhudawadi\z:}', "");;
    Expect(1, 70399, '\p{Block=khudawadi}', "");
    Expect(0, 70399, '\p{^Block=khudawadi}', "");
    Expect(0, 70399, '\P{Block=khudawadi}', "");
    Expect(1, 70399, '\P{^Block=khudawadi}', "");
    Expect(0, 70400, '\p{Block=khudawadi}', "");
    Expect(1, 70400, '\p{^Block=khudawadi}', "");
    Expect(1, 70400, '\P{Block=khudawadi}', "");
    Expect(0, 70400, '\P{^Block=khudawadi}', "");
    Expect(1, 70399, '\p{Block=:\Akhudawadi\z:}', "");;
    Expect(0, 70400, '\p{Block=:\Akhudawadi\z:}', "");;
    Expect(1, 70399, '\p{Block= -KHUDAWADI}', "");
    Expect(0, 70399, '\p{^Block= -KHUDAWADI}', "");
    Expect(0, 70399, '\P{Block= -KHUDAWADI}', "");
    Expect(1, 70399, '\P{^Block= -KHUDAWADI}', "");
    Expect(0, 70400, '\p{Block= -KHUDAWADI}', "");
    Expect(1, 70400, '\p{^Block= -KHUDAWADI}', "");
    Expect(1, 70400, '\P{Block= -KHUDAWADI}', "");
    Expect(0, 70400, '\P{^Block= -KHUDAWADI}', "");
    Error('\p{Blk= :=KHUDAWADI}');
    Error('\P{Blk= :=KHUDAWADI}');
    Expect(1, 70399, '\p{Blk=:\AKhudawadi\z:}', "");;
    Expect(0, 70400, '\p{Blk=:\AKhudawadi\z:}', "");;
    Expect(1, 70399, '\p{Blk=khudawadi}', "");
    Expect(0, 70399, '\p{^Blk=khudawadi}', "");
    Expect(0, 70399, '\P{Blk=khudawadi}', "");
    Expect(1, 70399, '\P{^Blk=khudawadi}', "");
    Expect(0, 70400, '\p{Blk=khudawadi}', "");
    Expect(1, 70400, '\p{^Blk=khudawadi}', "");
    Expect(1, 70400, '\P{Blk=khudawadi}', "");
    Expect(0, 70400, '\P{^Blk=khudawadi}', "");
    Expect(1, 70399, '\p{Blk=:\Akhudawadi\z:}', "");;
    Expect(0, 70400, '\p{Blk=:\Akhudawadi\z:}', "");;
    Expect(1, 70399, '\p{Blk=-KHUDAWADI}', "");
    Expect(0, 70399, '\p{^Blk=-KHUDAWADI}', "");
    Expect(0, 70399, '\P{Blk=-KHUDAWADI}', "");
    Expect(1, 70399, '\P{^Blk=-KHUDAWADI}', "");
    Expect(0, 70400, '\p{Blk=-KHUDAWADI}', "");
    Expect(1, 70400, '\p{^Blk=-KHUDAWADI}', "");
    Expect(1, 70400, '\P{Blk=-KHUDAWADI}', "");
    Expect(0, 70400, '\P{^Blk=-KHUDAWADI}', "");
    Error('\p{Is_Block=__Khudawadi:=}');
    Error('\P{Is_Block=__Khudawadi:=}');
    Expect(1, 70399, '\p{Is_Block=khudawadi}', "");
    Expect(0, 70399, '\p{^Is_Block=khudawadi}', "");
    Expect(0, 70399, '\P{Is_Block=khudawadi}', "");
    Expect(1, 70399, '\P{^Is_Block=khudawadi}', "");
    Expect(0, 70400, '\p{Is_Block=khudawadi}', "");
    Expect(1, 70400, '\p{^Is_Block=khudawadi}', "");
    Expect(1, 70400, '\P{Is_Block=khudawadi}', "");
    Expect(0, 70400, '\P{^Is_Block=khudawadi}', "");
    Expect(1, 70399, '\p{Is_Block:   _khudawadi}', "");
    Expect(0, 70399, '\p{^Is_Block:   _khudawadi}', "");
    Expect(0, 70399, '\P{Is_Block:   _khudawadi}', "");
    Expect(1, 70399, '\P{^Is_Block:   _khudawadi}', "");
    Expect(0, 70400, '\p{Is_Block:   _khudawadi}', "");
    Expect(1, 70400, '\p{^Is_Block:   _khudawadi}', "");
    Expect(1, 70400, '\P{Is_Block:   _khudawadi}', "");
    Expect(0, 70400, '\P{^Is_Block:   _khudawadi}', "");
    Error('\p{Is_Blk=	-KHUDAWADI:=}');
    Error('\P{Is_Blk=	-KHUDAWADI:=}');
    Expect(1, 70399, '\p{Is_Blk=khudawadi}', "");
    Expect(0, 70399, '\p{^Is_Blk=khudawadi}', "");
    Expect(0, 70399, '\P{Is_Blk=khudawadi}', "");
    Expect(1, 70399, '\P{^Is_Blk=khudawadi}', "");
    Expect(0, 70400, '\p{Is_Blk=khudawadi}', "");
    Expect(1, 70400, '\p{^Is_Blk=khudawadi}', "");
    Expect(1, 70400, '\P{Is_Blk=khudawadi}', "");
    Expect(0, 70400, '\P{^Is_Blk=khudawadi}', "");
    Expect(1, 70399, '\p{Is_Blk=  KHUDAWADI}', "");
    Expect(0, 70399, '\p{^Is_Blk=  KHUDAWADI}', "");
    Expect(0, 70399, '\P{Is_Blk=  KHUDAWADI}', "");
    Expect(1, 70399, '\P{^Is_Blk=  KHUDAWADI}', "");
    Expect(0, 70400, '\p{Is_Blk=  KHUDAWADI}', "");
    Expect(1, 70400, '\p{^Is_Blk=  KHUDAWADI}', "");
    Expect(1, 70400, '\P{Is_Blk=  KHUDAWADI}', "");
    Expect(0, 70400, '\P{^Is_Blk=  KHUDAWADI}', "");
    Error('\p{Block:	:=lao}');
    Error('\P{Block:	:=lao}');
    Expect(1, 3839, '\p{Block=:\ALao\z:}', "");;
    Expect(0, 3840, '\p{Block=:\ALao\z:}', "");;
    Expect(1, 3839, '\p{Block=lao}', "");
    Expect(0, 3839, '\p{^Block=lao}', "");
    Expect(0, 3839, '\P{Block=lao}', "");
    Expect(1, 3839, '\P{^Block=lao}', "");
    Expect(0, 3840, '\p{Block=lao}', "");
    Expect(1, 3840, '\p{^Block=lao}', "");
    Expect(1, 3840, '\P{Block=lao}', "");
    Expect(0, 3840, '\P{^Block=lao}', "");
    Expect(1, 3839, '\p{Block=:\Alao\z:}', "");;
    Expect(0, 3840, '\p{Block=:\Alao\z:}', "");;
    Expect(1, 3839, '\p{Block:			Lao}', "");
    Expect(0, 3839, '\p{^Block:			Lao}', "");
    Expect(0, 3839, '\P{Block:			Lao}', "");
    Expect(1, 3839, '\P{^Block:			Lao}', "");
    Expect(0, 3840, '\p{Block:			Lao}', "");
    Expect(1, 3840, '\p{^Block:			Lao}', "");
    Expect(1, 3840, '\P{Block:			Lao}', "");
    Expect(0, 3840, '\P{^Block:			Lao}', "");
    Error('\p{Blk=-:=Lao}');
    Error('\P{Blk=-:=Lao}');
    Expect(1, 3839, '\p{Blk=:\ALao\z:}', "");;
    Expect(0, 3840, '\p{Blk=:\ALao\z:}', "");;
    Expect(1, 3839, '\p{Blk=lao}', "");
    Expect(0, 3839, '\p{^Blk=lao}', "");
    Expect(0, 3839, '\P{Blk=lao}', "");
    Expect(1, 3839, '\P{^Blk=lao}', "");
    Expect(0, 3840, '\p{Blk=lao}', "");
    Expect(1, 3840, '\p{^Blk=lao}', "");
    Expect(1, 3840, '\P{Blk=lao}', "");
    Expect(0, 3840, '\P{^Blk=lao}', "");
    Expect(1, 3839, '\p{Blk=:\Alao\z:}', "");;
    Expect(0, 3840, '\p{Blk=:\Alao\z:}', "");;
    Expect(1, 3839, '\p{Blk=  Lao}', "");
    Expect(0, 3839, '\p{^Blk=  Lao}', "");
    Expect(0, 3839, '\P{Blk=  Lao}', "");
    Expect(1, 3839, '\P{^Blk=  Lao}', "");
    Expect(0, 3840, '\p{Blk=  Lao}', "");
    Expect(1, 3840, '\p{^Blk=  Lao}', "");
    Expect(1, 3840, '\P{Blk=  Lao}', "");
    Expect(0, 3840, '\P{^Blk=  Lao}', "");
    Error('\p{Is_Block=-/a/lao}');
    Error('\P{Is_Block=-/a/lao}');
    Expect(1, 3839, '\p{Is_Block=lao}', "");
    Expect(0, 3839, '\p{^Is_Block=lao}', "");
    Expect(0, 3839, '\P{Is_Block=lao}', "");
    Expect(1, 3839, '\P{^Is_Block=lao}', "");
    Expect(0, 3840, '\p{Is_Block=lao}', "");
    Expect(1, 3840, '\p{^Is_Block=lao}', "");
    Expect(1, 3840, '\P{Is_Block=lao}', "");
    Expect(0, 3840, '\P{^Is_Block=lao}', "");
    Expect(1, 3839, '\p{Is_Block=	-lao}', "");
    Expect(0, 3839, '\p{^Is_Block=	-lao}', "");
    Expect(0, 3839, '\P{Is_Block=	-lao}', "");
    Expect(1, 3839, '\P{^Is_Block=	-lao}', "");
    Expect(0, 3840, '\p{Is_Block=	-lao}', "");
    Expect(1, 3840, '\p{^Is_Block=	-lao}', "");
    Expect(1, 3840, '\P{Is_Block=	-lao}', "");
    Expect(0, 3840, '\P{^Is_Block=	-lao}', "");
    Error('\p{Is_Blk=--Lao:=}');
    Error('\P{Is_Blk=--Lao:=}');
    Expect(1, 3839, '\p{Is_Blk=lao}', "");
    Expect(0, 3839, '\p{^Is_Blk=lao}', "");
    Expect(0, 3839, '\P{Is_Blk=lao}', "");
    Expect(1, 3839, '\P{^Is_Blk=lao}', "");
    Expect(0, 3840, '\p{Is_Blk=lao}', "");
    Expect(1, 3840, '\p{^Is_Blk=lao}', "");
    Expect(1, 3840, '\P{Is_Blk=lao}', "");
    Expect(0, 3840, '\P{^Is_Blk=lao}', "");
    Expect(1, 3839, '\p{Is_Blk=_lao}', "");
    Expect(0, 3839, '\p{^Is_Blk=_lao}', "");
    Expect(0, 3839, '\P{Is_Blk=_lao}', "");
    Expect(1, 3839, '\P{^Is_Blk=_lao}', "");
    Expect(0, 3840, '\p{Is_Blk=_lao}', "");
    Expect(1, 3840, '\p{^Is_Blk=_lao}', "");
    Expect(1, 3840, '\P{Is_Blk=_lao}', "");
    Expect(0, 3840, '\P{^Is_Blk=_lao}', "");
    Error('\p{Block=/a/-Latin_1_SUPPLEMENT}');
    Error('\P{Block=/a/-Latin_1_SUPPLEMENT}');
    Expect(1, 255, '\p{Block=:\ALatin_1_Supplement\z:}', "");;
    Expect(0, 256, '\p{Block=:\ALatin_1_Supplement\z:}', "");;
    Expect(1, 255, '\p{Block=latin1supplement}', "");
    Expect(0, 255, '\p{^Block=latin1supplement}', "");
    Expect(0, 255, '\P{Block=latin1supplement}', "");
    Expect(1, 255, '\P{^Block=latin1supplement}', "");
    Expect(0, 256, '\p{Block=latin1supplement}', "");
    Expect(1, 256, '\p{^Block=latin1supplement}', "");
    Expect(1, 256, '\P{Block=latin1supplement}', "");
    Expect(0, 256, '\P{^Block=latin1supplement}', "");
    Expect(1, 255, '\p{Block=:\Alatin1supplement\z:}', "");;
    Expect(0, 256, '\p{Block=:\Alatin1supplement\z:}', "");;
    Expect(1, 255, '\p{Block=-	LATIN_1_Supplement}', "");
    Expect(0, 255, '\p{^Block=-	LATIN_1_Supplement}', "");
    Expect(0, 255, '\P{Block=-	LATIN_1_Supplement}', "");
    Expect(1, 255, '\P{^Block=-	LATIN_1_Supplement}', "");
    Expect(0, 256, '\p{Block=-	LATIN_1_Supplement}', "");
    Expect(1, 256, '\p{^Block=-	LATIN_1_Supplement}', "");
    Expect(1, 256, '\P{Block=-	LATIN_1_Supplement}', "");
    Expect(0, 256, '\P{^Block=-	LATIN_1_Supplement}', "");
    Error('\p{Blk=_-latin_1_Sup/a/}');
    Error('\P{Blk=_-latin_1_Sup/a/}');
    Expect(1, 255, '\p{Blk=:\ALatin_1_Sup\z:}', "");;
    Expect(0, 256, '\p{Blk=:\ALatin_1_Sup\z:}', "");;
    Expect(1, 255, '\p{Blk=latin1sup}', "");
    Expect(0, 255, '\p{^Blk=latin1sup}', "");
    Expect(0, 255, '\P{Blk=latin1sup}', "");
    Expect(1, 255, '\P{^Blk=latin1sup}', "");
    Expect(0, 256, '\p{Blk=latin1sup}', "");
    Expect(1, 256, '\p{^Blk=latin1sup}', "");
    Expect(1, 256, '\P{Blk=latin1sup}', "");
    Expect(0, 256, '\P{^Blk=latin1sup}', "");
    Expect(1, 255, '\p{Blk=:\Alatin1sup\z:}', "");;
    Expect(0, 256, '\p{Blk=:\Alatin1sup\z:}', "");;
    Expect(1, 255, '\p{Blk=_latin_1_SUP}', "");
    Expect(0, 255, '\p{^Blk=_latin_1_SUP}', "");
    Expect(0, 255, '\P{Blk=_latin_1_SUP}', "");
    Expect(1, 255, '\P{^Blk=_latin_1_SUP}', "");
    Expect(0, 256, '\p{Blk=_latin_1_SUP}', "");
    Expect(1, 256, '\p{^Blk=_latin_1_SUP}', "");
    Expect(1, 256, '\P{Blk=_latin_1_SUP}', "");
    Expect(0, 256, '\P{^Blk=_latin_1_SUP}', "");
    Error('\p{Is_Block=:=Latin_1}');
    Error('\P{Is_Block=:=Latin_1}');
    Expect(1, 255, '\p{Is_Block=latin1}', "");
    Expect(0, 255, '\p{^Is_Block=latin1}', "");
    Expect(0, 255, '\P{Is_Block=latin1}', "");
    Expect(1, 255, '\P{^Is_Block=latin1}', "");
    Expect(0, 256, '\p{Is_Block=latin1}', "");
    Expect(1, 256, '\p{^Is_Block=latin1}', "");
    Expect(1, 256, '\P{Is_Block=latin1}', "");
    Expect(0, 256, '\P{^Is_Block=latin1}', "");
    Expect(1, 255, '\p{Is_Block=	 Latin_1}', "");
    Expect(0, 255, '\p{^Is_Block=	 Latin_1}', "");
    Expect(0, 255, '\P{Is_Block=	 Latin_1}', "");
    Expect(1, 255, '\P{^Is_Block=	 Latin_1}', "");
    Expect(0, 256, '\p{Is_Block=	 Latin_1}', "");
    Expect(1, 256, '\p{^Is_Block=	 Latin_1}', "");
    Expect(1, 256, '\P{Is_Block=	 Latin_1}', "");
    Expect(0, 256, '\P{^Is_Block=	 Latin_1}', "");
    Error('\p{Is_Blk=  Latin_1_SUPPLEMENT/a/}');
    Error('\P{Is_Blk=  Latin_1_SUPPLEMENT/a/}');
    Expect(1, 255, '\p{Is_Blk=latin1supplement}', "");
    Expect(0, 255, '\p{^Is_Blk=latin1supplement}', "");
    Expect(0, 255, '\P{Is_Blk=latin1supplement}', "");
    Expect(1, 255, '\P{^Is_Blk=latin1supplement}', "");
    Expect(0, 256, '\p{Is_Blk=latin1supplement}', "");
    Expect(1, 256, '\p{^Is_Blk=latin1supplement}', "");
    Expect(1, 256, '\P{Is_Blk=latin1supplement}', "");
    Expect(0, 256, '\P{^Is_Blk=latin1supplement}', "");
    Expect(1, 255, '\p{Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Expect(0, 255, '\p{^Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Expect(0, 255, '\P{Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Expect(1, 255, '\P{^Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Expect(0, 256, '\p{Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Expect(1, 256, '\p{^Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Expect(1, 256, '\P{Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Expect(0, 256, '\P{^Is_Blk=_Latin_1_SUPPLEMENT}', "");
    Error('\p{Block=/a/-_latin_extended_a}');
    Error('\P{Block=/a/-_latin_extended_a}');
    Expect(1, 383, '\p{Block=:\ALatin_Extended_A\z:}', "");;
    Expect(0, 384, '\p{Block=:\ALatin_Extended_A\z:}', "");;
    Expect(1, 383, '\p{Block=latinextendeda}', "");
    Expect(0, 383, '\p{^Block=latinextendeda}', "");
    Expect(0, 383, '\P{Block=latinextendeda}', "");
    Expect(1, 383, '\P{^Block=latinextendeda}', "");
    Expect(0, 384, '\p{Block=latinextendeda}', "");
    Expect(1, 384, '\p{^Block=latinextendeda}', "");
    Expect(1, 384, '\P{Block=latinextendeda}', "");
    Expect(0, 384, '\P{^Block=latinextendeda}', "");
    Expect(1, 383, '\p{Block=:\Alatinextendeda\z:}', "");;
    Expect(0, 384, '\p{Block=:\Alatinextendeda\z:}', "");;
    Expect(1, 383, '\p{Block= 	latin_extended_A}', "");
    Expect(0, 383, '\p{^Block= 	latin_extended_A}', "");
    Expect(0, 383, '\P{Block= 	latin_extended_A}', "");
    Expect(1, 383, '\P{^Block= 	latin_extended_A}', "");
    Expect(0, 384, '\p{Block= 	latin_extended_A}', "");
    Expect(1, 384, '\p{^Block= 	latin_extended_A}', "");
    Expect(1, 384, '\P{Block= 	latin_extended_A}', "");
    Expect(0, 384, '\P{^Block= 	latin_extended_A}', "");
    Error('\p{Blk=-latin_Ext_A:=}');
    Error('\P{Blk=-latin_Ext_A:=}');
    Expect(1, 383, '\p{Blk=:\ALatin_Ext_A\z:}', "");;
    Expect(0, 384, '\p{Blk=:\ALatin_Ext_A\z:}', "");;
    Expect(1, 383, '\p{Blk=latinexta}', "");
    Expect(0, 383, '\p{^Blk=latinexta}', "");
    Expect(0, 383, '\P{Blk=latinexta}', "");
    Expect(1, 383, '\P{^Blk=latinexta}', "");
    Expect(0, 384, '\p{Blk=latinexta}', "");
    Expect(1, 384, '\p{^Blk=latinexta}', "");
    Expect(1, 384, '\P{Blk=latinexta}', "");
    Expect(0, 384, '\P{^Blk=latinexta}', "");
    Expect(1, 383, '\p{Blk=:\Alatinexta\z:}', "");;
    Expect(0, 384, '\p{Blk=:\Alatinexta\z:}', "");;
    Expect(1, 383, '\p{Blk=	Latin_EXT_A}', "");
    Expect(0, 383, '\p{^Blk=	Latin_EXT_A}', "");
    Expect(0, 383, '\P{Blk=	Latin_EXT_A}', "");
    Expect(1, 383, '\P{^Blk=	Latin_EXT_A}', "");
    Expect(0, 384, '\p{Blk=	Latin_EXT_A}', "");
    Expect(1, 384, '\p{^Blk=	Latin_EXT_A}', "");
    Expect(1, 384, '\P{Blk=	Latin_EXT_A}', "");
    Expect(0, 384, '\P{^Blk=	Latin_EXT_A}', "");
    Error('\p{Is_Block=:=_-latin_EXTENDED_A}');
    Error('\P{Is_Block=:=_-latin_EXTENDED_A}');
    Expect(1, 383, '\p{Is_Block=latinextendeda}', "");
    Expect(0, 383, '\p{^Is_Block=latinextendeda}', "");
    Expect(0, 383, '\P{Is_Block=latinextendeda}', "");
    Expect(1, 383, '\P{^Is_Block=latinextendeda}', "");
    Expect(0, 384, '\p{Is_Block=latinextendeda}', "");
    Expect(1, 384, '\p{^Is_Block=latinextendeda}', "");
    Expect(1, 384, '\P{Is_Block=latinextendeda}', "");
    Expect(0, 384, '\P{^Is_Block=latinextendeda}', "");
    Expect(1, 383, '\p{Is_Block=__LATIN_Extended_A}', "");
    Expect(0, 383, '\p{^Is_Block=__LATIN_Extended_A}', "");
    Expect(0, 383, '\P{Is_Block=__LATIN_Extended_A}', "");
    Expect(1, 383, '\P{^Is_Block=__LATIN_Extended_A}', "");
    Expect(0, 384, '\p{Is_Block=__LATIN_Extended_A}', "");
    Expect(1, 384, '\p{^Is_Block=__LATIN_Extended_A}', "");
    Expect(1, 384, '\P{Is_Block=__LATIN_Extended_A}', "");
    Expect(0, 384, '\P{^Is_Block=__LATIN_Extended_A}', "");
    Error('\p{Is_Blk=_-latin_EXT_A/a/}');
    Error('\P{Is_Blk=_-latin_EXT_A/a/}');
    Expect(1, 383, '\p{Is_Blk=latinexta}', "");
    Expect(0, 383, '\p{^Is_Blk=latinexta}', "");
    Expect(0, 383, '\P{Is_Blk=latinexta}', "");
    Expect(1, 383, '\P{^Is_Blk=latinexta}', "");
    Expect(0, 384, '\p{Is_Blk=latinexta}', "");
    Expect(1, 384, '\p{^Is_Blk=latinexta}', "");
    Expect(1, 384, '\P{Is_Blk=latinexta}', "");
    Expect(0, 384, '\P{^Is_Blk=latinexta}', "");
    Expect(1, 383, '\p{Is_Blk:  latin_Ext_A}', "");
    Expect(0, 383, '\p{^Is_Blk:  latin_Ext_A}', "");
    Expect(0, 383, '\P{Is_Blk:  latin_Ext_A}', "");
    Expect(1, 383, '\P{^Is_Blk:  latin_Ext_A}', "");
    Expect(0, 384, '\p{Is_Blk:  latin_Ext_A}', "");
    Expect(1, 384, '\p{^Is_Blk:  latin_Ext_A}', "");
    Expect(1, 384, '\P{Is_Blk:  latin_Ext_A}', "");
    Expect(0, 384, '\P{^Is_Blk:  latin_Ext_A}', "");
    Error('\p{Block=	 Latin_EXTENDED_Additional:=}');
    Error('\P{Block=	 Latin_EXTENDED_Additional:=}');
    Expect(1, 7935, '\p{Block=:\ALatin_Extended_Additional\z:}', "");;
    Expect(0, 7936, '\p{Block=:\ALatin_Extended_Additional\z:}', "");;
    Expect(1, 7935, '\p{Block=latinextendedadditional}', "");
    Expect(0, 7935, '\p{^Block=latinextendedadditional}', "");
    Expect(0, 7935, '\P{Block=latinextendedadditional}', "");
    Expect(1, 7935, '\P{^Block=latinextendedadditional}', "");
    Expect(0, 7936, '\p{Block=latinextendedadditional}', "");
    Expect(1, 7936, '\p{^Block=latinextendedadditional}', "");
    Expect(1, 7936, '\P{Block=latinextendedadditional}', "");
    Expect(0, 7936, '\P{^Block=latinextendedadditional}', "");
    Expect(1, 7935, '\p{Block=:\Alatinextendedadditional\z:}', "");;
    Expect(0, 7936, '\p{Block=:\Alatinextendedadditional\z:}', "");;
    Expect(1, 7935, '\p{Block= Latin_EXTENDED_Additional}', "");
    Expect(0, 7935, '\p{^Block= Latin_EXTENDED_Additional}', "");
    Expect(0, 7935, '\P{Block= Latin_EXTENDED_Additional}', "");
    Expect(1, 7935, '\P{^Block= Latin_EXTENDED_Additional}', "");
    Expect(0, 7936, '\p{Block= Latin_EXTENDED_Additional}', "");
    Expect(1, 7936, '\p{^Block= Latin_EXTENDED_Additional}', "");
    Expect(1, 7936, '\P{Block= Latin_EXTENDED_Additional}', "");
    Expect(0, 7936, '\P{^Block= Latin_EXTENDED_Additional}', "");
    Error('\p{Blk:   	Latin_EXT_ADDITIONAL:=}');
    Error('\P{Blk:   	Latin_EXT_ADDITIONAL:=}');
    Expect(1, 7935, '\p{Blk=:\ALatin_Ext_Additional\z:}', "");;
    Expect(0, 7936, '\p{Blk=:\ALatin_Ext_Additional\z:}', "");;
    Expect(1, 7935, '\p{Blk=latinextadditional}', "");
    Expect(0, 7935, '\p{^Blk=latinextadditional}', "");
    Expect(0, 7935, '\P{Blk=latinextadditional}', "");
    Expect(1, 7935, '\P{^Blk=latinextadditional}', "");
    Expect(0, 7936, '\p{Blk=latinextadditional}', "");
    Expect(1, 7936, '\p{^Blk=latinextadditional}', "");
    Expect(1, 7936, '\P{Blk=latinextadditional}', "");
    Expect(0, 7936, '\P{^Blk=latinextadditional}', "");
    Expect(1, 7935, '\p{Blk=:\Alatinextadditional\z:}', "");;
    Expect(0, 7936, '\p{Blk=:\Alatinextadditional\z:}', "");;
    Expect(1, 7935, '\p{Blk=__LATIN_Ext_additional}', "");
    Expect(0, 7935, '\p{^Blk=__LATIN_Ext_additional}', "");
    Expect(0, 7935, '\P{Blk=__LATIN_Ext_additional}', "");
    Expect(1, 7935, '\P{^Blk=__LATIN_Ext_additional}', "");
    Expect(0, 7936, '\p{Blk=__LATIN_Ext_additional}', "");
    Expect(1, 7936, '\p{^Blk=__LATIN_Ext_additional}', "");
    Expect(1, 7936, '\P{Blk=__LATIN_Ext_additional}', "");
    Expect(0, 7936, '\P{^Blk=__LATIN_Ext_additional}', "");
    Error('\p{Is_Block=/a/	-Latin_Extended_ADDITIONAL}');
    Error('\P{Is_Block=/a/	-Latin_Extended_ADDITIONAL}');
    Expect(1, 7935, '\p{Is_Block:latinextendedadditional}', "");
    Expect(0, 7935, '\p{^Is_Block:latinextendedadditional}', "");
    Expect(0, 7935, '\P{Is_Block:latinextendedadditional}', "");
    Expect(1, 7935, '\P{^Is_Block:latinextendedadditional}', "");
    Expect(0, 7936, '\p{Is_Block:latinextendedadditional}', "");
    Expect(1, 7936, '\p{^Is_Block:latinextendedadditional}', "");
    Expect(1, 7936, '\P{Is_Block:latinextendedadditional}', "");
    Expect(0, 7936, '\P{^Is_Block:latinextendedadditional}', "");
    Expect(1, 7935, '\p{Is_Block= -latin_extended_ADDITIONAL}', "");
    Expect(0, 7935, '\p{^Is_Block= -latin_extended_ADDITIONAL}', "");
    Expect(0, 7935, '\P{Is_Block= -latin_extended_ADDITIONAL}', "");
    Expect(1, 7935, '\P{^Is_Block= -latin_extended_ADDITIONAL}', "");
    Expect(0, 7936, '\p{Is_Block= -latin_extended_ADDITIONAL}', "");
    Expect(1, 7936, '\p{^Is_Block= -latin_extended_ADDITIONAL}', "");
    Expect(1, 7936, '\P{Is_Block= -latin_extended_ADDITIONAL}', "");
    Expect(0, 7936, '\P{^Is_Block= -latin_extended_ADDITIONAL}', "");
    Error('\p{Is_Blk=:=- latin_ext_ADDITIONAL}');
    Error('\P{Is_Blk=:=- latin_ext_ADDITIONAL}');
    Expect(1, 7935, '\p{Is_Blk: latinextadditional}', "");
    Expect(0, 7935, '\p{^Is_Blk: latinextadditional}', "");
    Expect(0, 7935, '\P{Is_Blk: latinextadditional}', "");
    Expect(1, 7935, '\P{^Is_Blk: latinextadditional}', "");
    Expect(0, 7936, '\p{Is_Blk: latinextadditional}', "");
    Expect(1, 7936, '\p{^Is_Blk: latinextadditional}', "");
    Expect(1, 7936, '\P{Is_Blk: latinextadditional}', "");
    Expect(0, 7936, '\P{^Is_Blk: latinextadditional}', "");
    Expect(1, 7935, '\p{Is_Blk=-latin_ext_Additional}', "");
    Expect(0, 7935, '\p{^Is_Blk=-latin_ext_Additional}', "");
    Expect(0, 7935, '\P{Is_Blk=-latin_ext_Additional}', "");
    Expect(1, 7935, '\P{^Is_Blk=-latin_ext_Additional}', "");
    Expect(0, 7936, '\p{Is_Blk=-latin_ext_Additional}', "");
    Expect(1, 7936, '\p{^Is_Blk=-latin_ext_Additional}', "");
    Expect(1, 7936, '\P{Is_Blk=-latin_ext_Additional}', "");
    Expect(0, 7936, '\P{^Is_Blk=-latin_ext_Additional}', "");
    Error('\p{Block=-LATIN_Extended_B:=}');
    Error('\P{Block=-LATIN_Extended_B:=}');
    Expect(1, 591, '\p{Block=:\ALatin_Extended_B\z:}', "");;
    Expect(0, 592, '\p{Block=:\ALatin_Extended_B\z:}', "");;
    Expect(1, 591, '\p{Block=latinextendedb}', "");
    Expect(0, 591, '\p{^Block=latinextendedb}', "");
    Expect(0, 591, '\P{Block=latinextendedb}', "");
    Expect(1, 591, '\P{^Block=latinextendedb}', "");
    Expect(0, 592, '\p{Block=latinextendedb}', "");
    Expect(1, 592, '\p{^Block=latinextendedb}', "");
    Expect(1, 592, '\P{Block=latinextendedb}', "");
    Expect(0, 592, '\P{^Block=latinextendedb}', "");
    Expect(1, 591, '\p{Block=:\Alatinextendedb\z:}', "");;
    Expect(0, 592, '\p{Block=:\Alatinextendedb\z:}', "");;
    Expect(1, 591, '\p{Block=Latin_Extended_b}', "");
    Expect(0, 591, '\p{^Block=Latin_Extended_b}', "");
    Expect(0, 591, '\P{Block=Latin_Extended_b}', "");
    Expect(1, 591, '\P{^Block=Latin_Extended_b}', "");
    Expect(0, 592, '\p{Block=Latin_Extended_b}', "");
    Expect(1, 592, '\p{^Block=Latin_Extended_b}', "");
    Expect(1, 592, '\P{Block=Latin_Extended_b}', "");
    Expect(0, 592, '\P{^Block=Latin_Extended_b}', "");
    Error('\p{Blk=-Latin_EXT_B/a/}');
    Error('\P{Blk=-Latin_EXT_B/a/}');
    Expect(1, 591, '\p{Blk=:\ALatin_Ext_B\z:}', "");;
    Expect(0, 592, '\p{Blk=:\ALatin_Ext_B\z:}', "");;
    Expect(1, 591, '\p{Blk=latinextb}', "");
    Expect(0, 591, '\p{^Blk=latinextb}', "");
    Expect(0, 591, '\P{Blk=latinextb}', "");
    Expect(1, 591, '\P{^Blk=latinextb}', "");
    Expect(0, 592, '\p{Blk=latinextb}', "");
    Expect(1, 592, '\p{^Blk=latinextb}', "");
    Expect(1, 592, '\P{Blk=latinextb}', "");
    Expect(0, 592, '\P{^Blk=latinextb}', "");
    Expect(1, 591, '\p{Blk=:\Alatinextb\z:}', "");;
    Expect(0, 592, '\p{Blk=:\Alatinextb\z:}', "");;
    Expect(1, 591, '\p{Blk=_ latin_ext_B}', "");
    Expect(0, 591, '\p{^Blk=_ latin_ext_B}', "");
    Expect(0, 591, '\P{Blk=_ latin_ext_B}', "");
    Expect(1, 591, '\P{^Blk=_ latin_ext_B}', "");
    Expect(0, 592, '\p{Blk=_ latin_ext_B}', "");
    Expect(1, 592, '\p{^Blk=_ latin_ext_B}', "");
    Expect(1, 592, '\P{Blk=_ latin_ext_B}', "");
    Expect(0, 592, '\P{^Blk=_ latin_ext_B}', "");
    Error('\p{Is_Block:	-latin_extended_B/a/}');
    Error('\P{Is_Block:	-latin_extended_B/a/}');
    Expect(1, 591, '\p{Is_Block=latinextendedb}', "");
    Expect(0, 591, '\p{^Is_Block=latinextendedb}', "");
    Expect(0, 591, '\P{Is_Block=latinextendedb}', "");
    Expect(1, 591, '\P{^Is_Block=latinextendedb}', "");
    Expect(0, 592, '\p{Is_Block=latinextendedb}', "");
    Expect(1, 592, '\p{^Is_Block=latinextendedb}', "");
    Expect(1, 592, '\P{Is_Block=latinextendedb}', "");
    Expect(0, 592, '\P{^Is_Block=latinextendedb}', "");
    Expect(1, 591, '\p{Is_Block:   Latin_Extended_b}', "");
    Expect(0, 591, '\p{^Is_Block:   Latin_Extended_b}', "");
    Expect(0, 591, '\P{Is_Block:   Latin_Extended_b}', "");
    Expect(1, 591, '\P{^Is_Block:   Latin_Extended_b}', "");
    Expect(0, 592, '\p{Is_Block:   Latin_Extended_b}', "");
    Expect(1, 592, '\p{^Is_Block:   Latin_Extended_b}', "");
    Expect(1, 592, '\P{Is_Block:   Latin_Extended_b}', "");
    Expect(0, 592, '\P{^Is_Block:   Latin_Extended_b}', "");
    Error('\p{Is_Blk=-:=LATIN_ext_b}');
    Error('\P{Is_Blk=-:=LATIN_ext_b}');
    Expect(1, 591, '\p{Is_Blk=latinextb}', "");
    Expect(0, 591, '\p{^Is_Blk=latinextb}', "");
    Expect(0, 591, '\P{Is_Blk=latinextb}', "");
    Expect(1, 591, '\P{^Is_Blk=latinextb}', "");
    Expect(0, 592, '\p{Is_Blk=latinextb}', "");
    Expect(1, 592, '\p{^Is_Blk=latinextb}', "");
    Expect(1, 592, '\P{Is_Blk=latinextb}', "");
    Expect(0, 592, '\P{^Is_Blk=latinextb}', "");
    Expect(1, 591, '\p{Is_Blk=_Latin_EXT_B}', "");
    Expect(0, 591, '\p{^Is_Blk=_Latin_EXT_B}', "");
    Expect(0, 591, '\P{Is_Blk=_Latin_EXT_B}', "");
    Expect(1, 591, '\P{^Is_Blk=_Latin_EXT_B}', "");
    Expect(0, 592, '\p{Is_Blk=_Latin_EXT_B}', "");
    Expect(1, 592, '\p{^Is_Blk=_Latin_EXT_B}', "");
    Expect(1, 592, '\P{Is_Blk=_Latin_EXT_B}', "");
    Expect(0, 592, '\P{^Is_Blk=_Latin_EXT_B}', "");
    Error('\p{Block=-/a/Latin_Extended_C}');
    Error('\P{Block=-/a/Latin_Extended_C}');
    Expect(1, 11391, '\p{Block=:\ALatin_Extended_C\z:}', "");;
    Expect(0, 11392, '\p{Block=:\ALatin_Extended_C\z:}', "");;
    Expect(1, 11391, '\p{Block=latinextendedc}', "");
    Expect(0, 11391, '\p{^Block=latinextendedc}', "");
    Expect(0, 11391, '\P{Block=latinextendedc}', "");
    Expect(1, 11391, '\P{^Block=latinextendedc}', "");
    Expect(0, 11392, '\p{Block=latinextendedc}', "");
    Expect(1, 11392, '\p{^Block=latinextendedc}', "");
    Expect(1, 11392, '\P{Block=latinextendedc}', "");
    Expect(0, 11392, '\P{^Block=latinextendedc}', "");
    Expect(1, 11391, '\p{Block=:\Alatinextendedc\z:}', "");;
    Expect(0, 11392, '\p{Block=:\Alatinextendedc\z:}', "");;
    Expect(1, 11391, '\p{Block= _Latin_extended_C}', "");
    Expect(0, 11391, '\p{^Block= _Latin_extended_C}', "");
    Expect(0, 11391, '\P{Block= _Latin_extended_C}', "");
    Expect(1, 11391, '\P{^Block= _Latin_extended_C}', "");
    Expect(0, 11392, '\p{Block= _Latin_extended_C}', "");
    Expect(1, 11392, '\p{^Block= _Latin_extended_C}', "");
    Expect(1, 11392, '\P{Block= _Latin_extended_C}', "");
    Expect(0, 11392, '\P{^Block= _Latin_extended_C}', "");
    Error('\p{Blk=/a/	_Latin_Ext_C}');
    Error('\P{Blk=/a/	_Latin_Ext_C}');
    Expect(1, 11391, '\p{Blk=:\ALatin_Ext_C\z:}', "");;
    Expect(0, 11392, '\p{Blk=:\ALatin_Ext_C\z:}', "");;
    Expect(1, 11391, '\p{Blk: latinextc}', "");
    Expect(0, 11391, '\p{^Blk: latinextc}', "");
    Expect(0, 11391, '\P{Blk: latinextc}', "");
    Expect(1, 11391, '\P{^Blk: latinextc}', "");
    Expect(0, 11392, '\p{Blk: latinextc}', "");
    Expect(1, 11392, '\p{^Blk: latinextc}', "");
    Expect(1, 11392, '\P{Blk: latinextc}', "");
    Expect(0, 11392, '\P{^Blk: latinextc}', "");
    Expect(1, 11391, '\p{Blk=:\Alatinextc\z:}', "");;
    Expect(0, 11392, '\p{Blk=:\Alatinextc\z:}', "");;
    Expect(1, 11391, '\p{Blk= 	LATIN_EXT_C}', "");
    Expect(0, 11391, '\p{^Blk= 	LATIN_EXT_C}', "");
    Expect(0, 11391, '\P{Blk= 	LATIN_EXT_C}', "");
    Expect(1, 11391, '\P{^Blk= 	LATIN_EXT_C}', "");
    Expect(0, 11392, '\p{Blk= 	LATIN_EXT_C}', "");
    Expect(1, 11392, '\p{^Blk= 	LATIN_EXT_C}', "");
    Expect(1, 11392, '\P{Blk= 	LATIN_EXT_C}', "");
    Expect(0, 11392, '\P{^Blk= 	LATIN_EXT_C}', "");
    Error('\p{Is_Block=	:=latin_Extended_C}');
    Error('\P{Is_Block=	:=latin_Extended_C}');
    Expect(1, 11391, '\p{Is_Block=latinextendedc}', "");
    Expect(0, 11391, '\p{^Is_Block=latinextendedc}', "");
    Expect(0, 11391, '\P{Is_Block=latinextendedc}', "");
    Expect(1, 11391, '\P{^Is_Block=latinextendedc}', "");
    Expect(0, 11392, '\p{Is_Block=latinextendedc}', "");
    Expect(1, 11392, '\p{^Is_Block=latinextendedc}', "");
    Expect(1, 11392, '\P{Is_Block=latinextendedc}', "");
    Expect(0, 11392, '\P{^Is_Block=latinextendedc}', "");
    Expect(1, 11391, '\p{Is_Block=-	Latin_extended_C}', "");
    Expect(0, 11391, '\p{^Is_Block=-	Latin_extended_C}', "");
    Expect(0, 11391, '\P{Is_Block=-	Latin_extended_C}', "");
    Expect(1, 11391, '\P{^Is_Block=-	Latin_extended_C}', "");
    Expect(0, 11392, '\p{Is_Block=-	Latin_extended_C}', "");
    Expect(1, 11392, '\p{^Is_Block=-	Latin_extended_C}', "");
    Expect(1, 11392, '\P{Is_Block=-	Latin_extended_C}', "");
    Expect(0, 11392, '\P{^Is_Block=-	Latin_extended_C}', "");
    Error('\p{Is_Blk=:=	-latin_ext_C}');
    Error('\P{Is_Blk=:=	-latin_ext_C}');
    Expect(1, 11391, '\p{Is_Blk=latinextc}', "");
    Expect(0, 11391, '\p{^Is_Blk=latinextc}', "");
    Expect(0, 11391, '\P{Is_Blk=latinextc}', "");
    Expect(1, 11391, '\P{^Is_Blk=latinextc}', "");
    Expect(0, 11392, '\p{Is_Blk=latinextc}', "");
    Expect(1, 11392, '\p{^Is_Blk=latinextc}', "");
    Expect(1, 11392, '\P{Is_Blk=latinextc}', "");
    Expect(0, 11392, '\P{^Is_Blk=latinextc}', "");
    Expect(1, 11391, '\p{Is_Blk=	latin_Ext_C}', "");
    Expect(0, 11391, '\p{^Is_Blk=	latin_Ext_C}', "");
    Expect(0, 11391, '\P{Is_Blk=	latin_Ext_C}', "");
    Expect(1, 11391, '\P{^Is_Blk=	latin_Ext_C}', "");
    Expect(0, 11392, '\p{Is_Blk=	latin_Ext_C}', "");
    Expect(1, 11392, '\p{^Is_Blk=	latin_Ext_C}', "");
    Expect(1, 11392, '\P{Is_Blk=	latin_Ext_C}', "");
    Expect(0, 11392, '\P{^Is_Blk=	latin_Ext_C}', "");
    Error('\p{Block=/a/__latin_Extended_D}');
    Error('\P{Block=/a/__latin_Extended_D}');
    Expect(1, 43007, '\p{Block=:\ALatin_Extended_D\z:}', "");;
    Expect(0, 43008, '\p{Block=:\ALatin_Extended_D\z:}', "");;
    Expect(1, 43007, '\p{Block=latinextendedd}', "");
    Expect(0, 43007, '\p{^Block=latinextendedd}', "");
    Expect(0, 43007, '\P{Block=latinextendedd}', "");
    Expect(1, 43007, '\P{^Block=latinextendedd}', "");
    Expect(0, 43008, '\p{Block=latinextendedd}', "");
    Expect(1, 43008, '\p{^Block=latinextendedd}', "");
    Expect(1, 43008, '\P{Block=latinextendedd}', "");
    Expect(0, 43008, '\P{^Block=latinextendedd}', "");
    Expect(1, 43007, '\p{Block=:\Alatinextendedd\z:}', "");;
    Expect(0, 43008, '\p{Block=:\Alatinextendedd\z:}', "");;
    Expect(1, 43007, '\p{Block=-	Latin_Extended_D}', "");
    Expect(0, 43007, '\p{^Block=-	Latin_Extended_D}', "");
    Expect(0, 43007, '\P{Block=-	Latin_Extended_D}', "");
    Expect(1, 43007, '\P{^Block=-	Latin_Extended_D}', "");
    Expect(0, 43008, '\p{Block=-	Latin_Extended_D}', "");
    Expect(1, 43008, '\p{^Block=-	Latin_Extended_D}', "");
    Expect(1, 43008, '\P{Block=-	Latin_Extended_D}', "");
    Expect(0, 43008, '\P{^Block=-	Latin_Extended_D}', "");
    Error('\p{Blk= :=Latin_Ext_d}');
    Error('\P{Blk= :=Latin_Ext_d}');
    Expect(1, 43007, '\p{Blk=:\ALatin_Ext_D\z:}', "");;
    Expect(0, 43008, '\p{Blk=:\ALatin_Ext_D\z:}', "");;
    Expect(1, 43007, '\p{Blk=latinextd}', "");
    Expect(0, 43007, '\p{^Blk=latinextd}', "");
    Expect(0, 43007, '\P{Blk=latinextd}', "");
    Expect(1, 43007, '\P{^Blk=latinextd}', "");
    Expect(0, 43008, '\p{Blk=latinextd}', "");
    Expect(1, 43008, '\p{^Blk=latinextd}', "");
    Expect(1, 43008, '\P{Blk=latinextd}', "");
    Expect(0, 43008, '\P{^Blk=latinextd}', "");
    Expect(1, 43007, '\p{Blk=:\Alatinextd\z:}', "");;
    Expect(0, 43008, '\p{Blk=:\Alatinextd\z:}', "");;
    Expect(1, 43007, '\p{Blk=__Latin_ext_D}', "");
    Expect(0, 43007, '\p{^Blk=__Latin_ext_D}', "");
    Expect(0, 43007, '\P{Blk=__Latin_ext_D}', "");
    Expect(1, 43007, '\P{^Blk=__Latin_ext_D}', "");
    Expect(0, 43008, '\p{Blk=__Latin_ext_D}', "");
    Expect(1, 43008, '\p{^Blk=__Latin_ext_D}', "");
    Expect(1, 43008, '\P{Blk=__Latin_ext_D}', "");
    Expect(0, 43008, '\P{^Blk=__Latin_ext_D}', "");
    Error('\p{Is_Block=_:=LATIN_Extended_d}');
    Error('\P{Is_Block=_:=LATIN_Extended_d}');
    Expect(1, 43007, '\p{Is_Block=latinextendedd}', "");
    Expect(0, 43007, '\p{^Is_Block=latinextendedd}', "");
    Expect(0, 43007, '\P{Is_Block=latinextendedd}', "");
    Expect(1, 43007, '\P{^Is_Block=latinextendedd}', "");
    Expect(0, 43008, '\p{Is_Block=latinextendedd}', "");
    Expect(1, 43008, '\p{^Is_Block=latinextendedd}', "");
    Expect(1, 43008, '\P{Is_Block=latinextendedd}', "");
    Expect(0, 43008, '\P{^Is_Block=latinextendedd}', "");
    Expect(1, 43007, '\p{Is_Block=-Latin_Extended_D}', "");
    Expect(0, 43007, '\p{^Is_Block=-Latin_Extended_D}', "");
    Expect(0, 43007, '\P{Is_Block=-Latin_Extended_D}', "");
    Expect(1, 43007, '\P{^Is_Block=-Latin_Extended_D}', "");
    Expect(0, 43008, '\p{Is_Block=-Latin_Extended_D}', "");
    Expect(1, 43008, '\p{^Is_Block=-Latin_Extended_D}', "");
    Expect(1, 43008, '\P{Is_Block=-Latin_Extended_D}', "");
    Expect(0, 43008, '\P{^Is_Block=-Latin_Extended_D}', "");
    Error('\p{Is_Blk: LATIN_ext_D/a/}');
    Error('\P{Is_Blk: LATIN_ext_D/a/}');
    Expect(1, 43007, '\p{Is_Blk=latinextd}', "");
    Expect(0, 43007, '\p{^Is_Blk=latinextd}', "");
    Expect(0, 43007, '\P{Is_Blk=latinextd}', "");
    Expect(1, 43007, '\P{^Is_Blk=latinextd}', "");
    Expect(0, 43008, '\p{Is_Blk=latinextd}', "");
    Expect(1, 43008, '\p{^Is_Blk=latinextd}', "");
    Expect(1, 43008, '\P{Is_Blk=latinextd}', "");
    Expect(0, 43008, '\P{^Is_Blk=latinextd}', "");
    Expect(1, 43007, '\p{Is_Blk=	-LATIN_Ext_D}', "");
    Expect(0, 43007, '\p{^Is_Blk=	-LATIN_Ext_D}', "");
    Expect(0, 43007, '\P{Is_Blk=	-LATIN_Ext_D}', "");
    Expect(1, 43007, '\P{^Is_Blk=	-LATIN_Ext_D}', "");
    Expect(0, 43008, '\p{Is_Blk=	-LATIN_Ext_D}', "");
    Expect(1, 43008, '\p{^Is_Blk=	-LATIN_Ext_D}', "");
    Expect(1, 43008, '\P{Is_Blk=	-LATIN_Ext_D}', "");
    Expect(0, 43008, '\P{^Is_Blk=	-LATIN_Ext_D}', "");
    Error('\p{Block=:=latin_extended_e}');
    Error('\P{Block=:=latin_extended_e}');
    Expect(1, 43887, '\p{Block=:\ALatin_Extended_E\z:}', "");;
    Expect(0, 43888, '\p{Block=:\ALatin_Extended_E\z:}', "");;
    Expect(1, 43887, '\p{Block: latinextendede}', "");
    Expect(0, 43887, '\p{^Block: latinextendede}', "");
    Expect(0, 43887, '\P{Block: latinextendede}', "");
    Expect(1, 43887, '\P{^Block: latinextendede}', "");
    Expect(0, 43888, '\p{Block: latinextendede}', "");
    Expect(1, 43888, '\p{^Block: latinextendede}', "");
    Expect(1, 43888, '\P{Block: latinextendede}', "");
    Expect(0, 43888, '\P{^Block: latinextendede}', "");
    Expect(1, 43887, '\p{Block=:\Alatinextendede\z:}', "");;
    Expect(0, 43888, '\p{Block=:\Alatinextendede\z:}', "");;
    Expect(1, 43887, '\p{Block=_-Latin_Extended_E}', "");
    Expect(0, 43887, '\p{^Block=_-Latin_Extended_E}', "");
    Expect(0, 43887, '\P{Block=_-Latin_Extended_E}', "");
    Expect(1, 43887, '\P{^Block=_-Latin_Extended_E}', "");
    Expect(0, 43888, '\p{Block=_-Latin_Extended_E}', "");
    Expect(1, 43888, '\p{^Block=_-Latin_Extended_E}', "");
    Expect(1, 43888, '\P{Block=_-Latin_Extended_E}', "");
    Expect(0, 43888, '\P{^Block=_-Latin_Extended_E}', "");
    Error('\p{Blk:		/a/LATIN_EXT_E}');
    Error('\P{Blk:		/a/LATIN_EXT_E}');
    Expect(1, 43887, '\p{Blk=:\ALatin_Ext_E\z:}', "");;
    Expect(0, 43888, '\p{Blk=:\ALatin_Ext_E\z:}', "");;
    Expect(1, 43887, '\p{Blk=latinexte}', "");
    Expect(0, 43887, '\p{^Blk=latinexte}', "");
    Expect(0, 43887, '\P{Blk=latinexte}', "");
    Expect(1, 43887, '\P{^Blk=latinexte}', "");
    Expect(0, 43888, '\p{Blk=latinexte}', "");
    Expect(1, 43888, '\p{^Blk=latinexte}', "");
    Expect(1, 43888, '\P{Blk=latinexte}', "");
    Expect(0, 43888, '\P{^Blk=latinexte}', "");
    Expect(1, 43887, '\p{Blk=:\Alatinexte\z:}', "");;
    Expect(0, 43888, '\p{Blk=:\Alatinexte\z:}', "");;
    Expect(1, 43887, '\p{Blk=  Latin_ext_E}', "");
    Expect(0, 43887, '\p{^Blk=  Latin_ext_E}', "");
    Expect(0, 43887, '\P{Blk=  Latin_ext_E}', "");
    Expect(1, 43887, '\P{^Blk=  Latin_ext_E}', "");
    Expect(0, 43888, '\p{Blk=  Latin_ext_E}', "");
    Expect(1, 43888, '\p{^Blk=  Latin_ext_E}', "");
    Expect(1, 43888, '\P{Blk=  Latin_ext_E}', "");
    Expect(0, 43888, '\P{^Blk=  Latin_ext_E}', "");
    Error('\p{Is_Block= 	Latin_Extended_E:=}');
    Error('\P{Is_Block= 	Latin_Extended_E:=}');
    Expect(1, 43887, '\p{Is_Block=latinextendede}', "");
    Expect(0, 43887, '\p{^Is_Block=latinextendede}', "");
    Expect(0, 43887, '\P{Is_Block=latinextendede}', "");
    Expect(1, 43887, '\P{^Is_Block=latinextendede}', "");
    Expect(0, 43888, '\p{Is_Block=latinextendede}', "");
    Expect(1, 43888, '\p{^Is_Block=latinextendede}', "");
    Expect(1, 43888, '\P{Is_Block=latinextendede}', "");
    Expect(0, 43888, '\P{^Is_Block=latinextendede}', "");
    Expect(1, 43887, '\p{Is_Block=_-LATIN_extended_E}', "");
    Expect(0, 43887, '\p{^Is_Block=_-LATIN_extended_E}', "");
    Expect(0, 43887, '\P{Is_Block=_-LATIN_extended_E}', "");
    Expect(1, 43887, '\P{^Is_Block=_-LATIN_extended_E}', "");
    Expect(0, 43888, '\p{Is_Block=_-LATIN_extended_E}', "");
    Expect(1, 43888, '\p{^Is_Block=_-LATIN_extended_E}', "");
    Expect(1, 43888, '\P{Is_Block=_-LATIN_extended_E}', "");
    Expect(0, 43888, '\P{^Is_Block=_-LATIN_extended_E}', "");
    Error('\p{Is_Blk=-/a/Latin_EXT_E}');
    Error('\P{Is_Blk=-/a/Latin_EXT_E}');
    Expect(1, 43887, '\p{Is_Blk=latinexte}', "");
    Expect(0, 43887, '\p{^Is_Blk=latinexte}', "");
    Expect(0, 43887, '\P{Is_Blk=latinexte}', "");
    Expect(1, 43887, '\P{^Is_Blk=latinexte}', "");
    Expect(0, 43888, '\p{Is_Blk=latinexte}', "");
    Expect(1, 43888, '\p{^Is_Blk=latinexte}', "");
    Expect(1, 43888, '\P{Is_Blk=latinexte}', "");
    Expect(0, 43888, '\P{^Is_Blk=latinexte}', "");
    Expect(1, 43887, '\p{Is_Blk=_ Latin_EXT_E}', "");
    Expect(0, 43887, '\p{^Is_Blk=_ Latin_EXT_E}', "");
    Expect(0, 43887, '\P{Is_Blk=_ Latin_EXT_E}', "");
    Expect(1, 43887, '\P{^Is_Blk=_ Latin_EXT_E}', "");
    Expect(0, 43888, '\p{Is_Blk=_ Latin_EXT_E}', "");
    Expect(1, 43888, '\p{^Is_Blk=_ Latin_EXT_E}', "");
    Expect(1, 43888, '\P{Is_Blk=_ Latin_EXT_E}', "");
    Expect(0, 43888, '\P{^Is_Blk=_ Latin_EXT_E}', "");
    Error('\p{Block=:=-_Latin_Extended_F}');
    Error('\P{Block=:=-_Latin_Extended_F}');
    Expect(1, 67519, '\p{Block=:\ALatin_Extended_F\z:}', "");;
    Expect(0, 67520, '\p{Block=:\ALatin_Extended_F\z:}', "");;
    Expect(1, 67519, '\p{Block=latinextendedf}', "");
    Expect(0, 67519, '\p{^Block=latinextendedf}', "");
    Expect(0, 67519, '\P{Block=latinextendedf}', "");
    Expect(1, 67519, '\P{^Block=latinextendedf}', "");
    Expect(0, 67520, '\p{Block=latinextendedf}', "");
    Expect(1, 67520, '\p{^Block=latinextendedf}', "");
    Expect(1, 67520, '\P{Block=latinextendedf}', "");
    Expect(0, 67520, '\P{^Block=latinextendedf}', "");
    Expect(1, 67519, '\p{Block=:\Alatinextendedf\z:}', "");;
    Expect(0, 67520, '\p{Block=:\Alatinextendedf\z:}', "");;
    Expect(1, 67519, '\p{Block=_LATIN_EXTENDED_F}', "");
    Expect(0, 67519, '\p{^Block=_LATIN_EXTENDED_F}', "");
    Expect(0, 67519, '\P{Block=_LATIN_EXTENDED_F}', "");
    Expect(1, 67519, '\P{^Block=_LATIN_EXTENDED_F}', "");
    Expect(0, 67520, '\p{Block=_LATIN_EXTENDED_F}', "");
    Expect(1, 67520, '\p{^Block=_LATIN_EXTENDED_F}', "");
    Expect(1, 67520, '\P{Block=_LATIN_EXTENDED_F}', "");
    Expect(0, 67520, '\P{^Block=_LATIN_EXTENDED_F}', "");
    Error('\p{Blk: /a/- LATIN_Ext_f}');
    Error('\P{Blk: /a/- LATIN_Ext_f}');
    Expect(1, 67519, '\p{Blk=:\ALatin_Ext_F\z:}', "");;
    Expect(0, 67520, '\p{Blk=:\ALatin_Ext_F\z:}', "");;
    Expect(1, 67519, '\p{Blk=latinextf}', "");
    Expect(0, 67519, '\p{^Blk=latinextf}', "");
    Expect(0, 67519, '\P{Blk=latinextf}', "");
    Expect(1, 67519, '\P{^Blk=latinextf}', "");
    Expect(0, 67520, '\p{Blk=latinextf}', "");
    Expect(1, 67520, '\p{^Blk=latinextf}', "");
    Expect(1, 67520, '\P{Blk=latinextf}', "");
    Expect(0, 67520, '\P{^Blk=latinextf}', "");
    Expect(1, 67519, '\p{Blk=:\Alatinextf\z:}', "");;
    Expect(0, 67520, '\p{Blk=:\Alatinextf\z:}', "");;
    Expect(1, 67519, '\p{Blk= Latin_EXT_F}', "");
    Expect(0, 67519, '\p{^Blk= Latin_EXT_F}', "");
    Expect(0, 67519, '\P{Blk= Latin_EXT_F}', "");
    Expect(1, 67519, '\P{^Blk= Latin_EXT_F}', "");
    Expect(0, 67520, '\p{Blk= Latin_EXT_F}', "");
    Expect(1, 67520, '\p{^Blk= Latin_EXT_F}', "");
    Expect(1, 67520, '\P{Blk= Latin_EXT_F}', "");
    Expect(0, 67520, '\P{^Blk= Latin_EXT_F}', "");
    Error('\p{Is_Block=	-Latin_Extended_f:=}');
    Error('\P{Is_Block=	-Latin_Extended_f:=}');
    Expect(1, 67519, '\p{Is_Block=latinextendedf}', "");
    Expect(0, 67519, '\p{^Is_Block=latinextendedf}', "");
    Expect(0, 67519, '\P{Is_Block=latinextendedf}', "");
    Expect(1, 67519, '\P{^Is_Block=latinextendedf}', "");
    Expect(0, 67520, '\p{Is_Block=latinextendedf}', "");
    Expect(1, 67520, '\p{^Is_Block=latinextendedf}', "");
    Expect(1, 67520, '\P{Is_Block=latinextendedf}', "");
    Expect(0, 67520, '\P{^Is_Block=latinextendedf}', "");
    Expect(1, 67519, '\p{Is_Block=	-LATIN_extended_F}', "");
    Expect(0, 67519, '\p{^Is_Block=	-LATIN_extended_F}', "");
    Expect(0, 67519, '\P{Is_Block=	-LATIN_extended_F}', "");
    Expect(1, 67519, '\P{^Is_Block=	-LATIN_extended_F}', "");
    Expect(0, 67520, '\p{Is_Block=	-LATIN_extended_F}', "");
    Expect(1, 67520, '\p{^Is_Block=	-LATIN_extended_F}', "");
    Expect(1, 67520, '\P{Is_Block=	-LATIN_extended_F}', "");
    Expect(0, 67520, '\P{^Is_Block=	-LATIN_extended_F}', "");
    Error('\p{Is_Blk=-:=latin_EXT_F}');
    Error('\P{Is_Blk=-:=latin_EXT_F}');
    Expect(1, 67519, '\p{Is_Blk=latinextf}', "");
    Expect(0, 67519, '\p{^Is_Blk=latinextf}', "");
    Expect(0, 67519, '\P{Is_Blk=latinextf}', "");
    Expect(1, 67519, '\P{^Is_Blk=latinextf}', "");
    Expect(0, 67520, '\p{Is_Blk=latinextf}', "");
    Expect(1, 67520, '\p{^Is_Blk=latinextf}', "");
    Expect(1, 67520, '\P{Is_Blk=latinextf}', "");
    Expect(0, 67520, '\P{^Is_Blk=latinextf}', "");
    Expect(1, 67519, '\p{Is_Blk=__latin_Ext_F}', "");
    Expect(0, 67519, '\p{^Is_Blk=__latin_Ext_F}', "");
    Expect(0, 67519, '\P{Is_Blk=__latin_Ext_F}', "");
    Expect(1, 67519, '\P{^Is_Blk=__latin_Ext_F}', "");
    Expect(0, 67520, '\p{Is_Blk=__latin_Ext_F}', "");
    Expect(1, 67520, '\p{^Is_Blk=__latin_Ext_F}', "");
    Expect(1, 67520, '\P{Is_Blk=__latin_Ext_F}', "");
    Expect(0, 67520, '\P{^Is_Blk=__latin_Ext_F}', "");
    Error('\p{Block=_:=Latin_extended_G}');
    Error('\P{Block=_:=Latin_extended_G}');
    Expect(1, 122879, '\p{Block=:\ALatin_Extended_G\z:}', "");;
    Expect(0, 122880, '\p{Block=:\ALatin_Extended_G\z:}', "");;
    Expect(1, 122879, '\p{Block=latinextendedg}', "");
    Expect(0, 122879, '\p{^Block=latinextendedg}', "");
    Expect(0, 122879, '\P{Block=latinextendedg}', "");
    Expect(1, 122879, '\P{^Block=latinextendedg}', "");
    Expect(0, 122880, '\p{Block=latinextendedg}', "");
    Expect(1, 122880, '\p{^Block=latinextendedg}', "");
    Expect(1, 122880, '\P{Block=latinextendedg}', "");
    Expect(0, 122880, '\P{^Block=latinextendedg}', "");
    Expect(1, 122879, '\p{Block=:\Alatinextendedg\z:}', "");;
    Expect(0, 122880, '\p{Block=:\Alatinextendedg\z:}', "");;
    Expect(1, 122879, '\p{Block=-	LATIN_extended_g}', "");
    Expect(0, 122879, '\p{^Block=-	LATIN_extended_g}', "");
    Expect(0, 122879, '\P{Block=-	LATIN_extended_g}', "");
    Expect(1, 122879, '\P{^Block=-	LATIN_extended_g}', "");
    Expect(0, 122880, '\p{Block=-	LATIN_extended_g}', "");
    Expect(1, 122880, '\p{^Block=-	LATIN_extended_g}', "");
    Expect(1, 122880, '\P{Block=-	LATIN_extended_g}', "");
    Expect(0, 122880, '\P{^Block=-	LATIN_extended_g}', "");
    Error('\p{Blk=/a/	-latin_EXT_G}');
    Error('\P{Blk=/a/	-latin_EXT_G}');
    Expect(1, 122879, '\p{Blk=:\ALatin_Ext_G\z:}', "");;
    Expect(0, 122880, '\p{Blk=:\ALatin_Ext_G\z:}', "");;
    Expect(1, 122879, '\p{Blk=latinextg}', "");
    Expect(0, 122879, '\p{^Blk=latinextg}', "");
    Expect(0, 122879, '\P{Blk=latinextg}', "");
    Expect(1, 122879, '\P{^Blk=latinextg}', "");
    Expect(0, 122880, '\p{Blk=latinextg}', "");
    Expect(1, 122880, '\p{^Blk=latinextg}', "");
    Expect(1, 122880, '\P{Blk=latinextg}', "");
    Expect(0, 122880, '\P{^Blk=latinextg}', "");
    Expect(1, 122879, '\p{Blk=:\Alatinextg\z:}', "");;
    Expect(0, 122880, '\p{Blk=:\Alatinextg\z:}', "");;
    Expect(1, 122879, '\p{Blk=	Latin_Ext_G}', "");
    Expect(0, 122879, '\p{^Blk=	Latin_Ext_G}', "");
    Expect(0, 122879, '\P{Blk=	Latin_Ext_G}', "");
    Expect(1, 122879, '\P{^Blk=	Latin_Ext_G}', "");
    Expect(0, 122880, '\p{Blk=	Latin_Ext_G}', "");
    Expect(1, 122880, '\p{^Blk=	Latin_Ext_G}', "");
    Expect(1, 122880, '\P{Blk=	Latin_Ext_G}', "");
    Expect(0, 122880, '\P{^Blk=	Latin_Ext_G}', "");
    Error('\p{Is_Block=-/a/LATIN_extended_G}');
    Error('\P{Is_Block=-/a/LATIN_extended_G}');
    Expect(1, 122879, '\p{Is_Block=latinextendedg}', "");
    Expect(0, 122879, '\p{^Is_Block=latinextendedg}', "");
    Expect(0, 122879, '\P{Is_Block=latinextendedg}', "");
    Expect(1, 122879, '\P{^Is_Block=latinextendedg}', "");
    Expect(0, 122880, '\p{Is_Block=latinextendedg}', "");
    Expect(1, 122880, '\p{^Is_Block=latinextendedg}', "");
    Expect(1, 122880, '\P{Is_Block=latinextendedg}', "");
    Expect(0, 122880, '\P{^Is_Block=latinextendedg}', "");
    Expect(1, 122879, '\p{Is_Block= LATIN_Extended_g}', "");
    Expect(0, 122879, '\p{^Is_Block= LATIN_Extended_g}', "");
    Expect(0, 122879, '\P{Is_Block= LATIN_Extended_g}', "");
    Expect(1, 122879, '\P{^Is_Block= LATIN_Extended_g}', "");
    Expect(0, 122880, '\p{Is_Block= LATIN_Extended_g}', "");
    Expect(1, 122880, '\p{^Is_Block= LATIN_Extended_g}', "");
    Expect(1, 122880, '\P{Is_Block= LATIN_Extended_g}', "");
    Expect(0, 122880, '\P{^Is_Block= LATIN_Extended_g}', "");
    Error('\p{Is_Blk=-/a/Latin_EXT_G}');
    Error('\P{Is_Blk=-/a/Latin_EXT_G}');
    Expect(1, 122879, '\p{Is_Blk=latinextg}', "");
    Expect(0, 122879, '\p{^Is_Blk=latinextg}', "");
    Expect(0, 122879, '\P{Is_Blk=latinextg}', "");
    Expect(1, 122879, '\P{^Is_Blk=latinextg}', "");
    Expect(0, 122880, '\p{Is_Blk=latinextg}', "");
    Expect(1, 122880, '\p{^Is_Blk=latinextg}', "");
    Expect(1, 122880, '\P{Is_Blk=latinextg}', "");
    Expect(0, 122880, '\P{^Is_Blk=latinextg}', "");
    Expect(1, 122879, '\p{Is_Blk=	_LATIN_Ext_G}', "");
    Expect(0, 122879, '\p{^Is_Blk=	_LATIN_Ext_G}', "");
    Expect(0, 122879, '\P{Is_Blk=	_LATIN_Ext_G}', "");
    Expect(1, 122879, '\P{^Is_Blk=	_LATIN_Ext_G}', "");
    Expect(0, 122880, '\p{Is_Blk=	_LATIN_Ext_G}', "");
    Expect(1, 122880, '\p{^Is_Blk=	_LATIN_Ext_G}', "");
    Expect(1, 122880, '\P{Is_Blk=	_LATIN_Ext_G}', "");
    Expect(0, 122880, '\P{^Is_Blk=	_LATIN_Ext_G}', "");
    Error('\p{Block: _	LEPCHA:=}');
    Error('\P{Block: _	LEPCHA:=}');
    Expect(1, 7247, '\p{Block=:\ALepcha\z:}', "");;
    Expect(0, 7248, '\p{Block=:\ALepcha\z:}', "");;
    Expect(1, 7247, '\p{Block=lepcha}', "");
    Expect(0, 7247, '\p{^Block=lepcha}', "");
    Expect(0, 7247, '\P{Block=lepcha}', "");
    Expect(1, 7247, '\P{^Block=lepcha}', "");
    Expect(0, 7248, '\p{Block=lepcha}', "");
    Expect(1, 7248, '\p{^Block=lepcha}', "");
    Expect(1, 7248, '\P{Block=lepcha}', "");
    Expect(0, 7248, '\P{^Block=lepcha}', "");
    Expect(1, 7247, '\p{Block=:\Alepcha\z:}', "");;
    Expect(0, 7248, '\p{Block=:\Alepcha\z:}', "");;
    Expect(1, 7247, '\p{Block=_-Lepcha}', "");
    Expect(0, 7247, '\p{^Block=_-Lepcha}', "");
    Expect(0, 7247, '\P{Block=_-Lepcha}', "");
    Expect(1, 7247, '\P{^Block=_-Lepcha}', "");
    Expect(0, 7248, '\p{Block=_-Lepcha}', "");
    Expect(1, 7248, '\p{^Block=_-Lepcha}', "");
    Expect(1, 7248, '\P{Block=_-Lepcha}', "");
    Expect(0, 7248, '\P{^Block=_-Lepcha}', "");
    Error('\p{Blk=:=__lepcha}');
    Error('\P{Blk=:=__lepcha}');
    Expect(1, 7247, '\p{Blk=:\ALepcha\z:}', "");;
    Expect(0, 7248, '\p{Blk=:\ALepcha\z:}', "");;
    Expect(1, 7247, '\p{Blk=lepcha}', "");
    Expect(0, 7247, '\p{^Blk=lepcha}', "");
    Expect(0, 7247, '\P{Blk=lepcha}', "");
    Expect(1, 7247, '\P{^Blk=lepcha}', "");
    Expect(0, 7248, '\p{Blk=lepcha}', "");
    Expect(1, 7248, '\p{^Blk=lepcha}', "");
    Expect(1, 7248, '\P{Blk=lepcha}', "");
    Expect(0, 7248, '\P{^Blk=lepcha}', "");
    Expect(1, 7247, '\p{Blk=:\Alepcha\z:}', "");;
    Expect(0, 7248, '\p{Blk=:\Alepcha\z:}', "");;
    Expect(1, 7247, '\p{Blk= Lepcha}', "");
    Expect(0, 7247, '\p{^Blk= Lepcha}', "");
    Expect(0, 7247, '\P{Blk= Lepcha}', "");
    Expect(1, 7247, '\P{^Blk= Lepcha}', "");
    Expect(0, 7248, '\p{Blk= Lepcha}', "");
    Expect(1, 7248, '\p{^Blk= Lepcha}', "");
    Expect(1, 7248, '\P{Blk= Lepcha}', "");
    Expect(0, 7248, '\P{^Blk= Lepcha}', "");
    Error('\p{Is_Block=	_Lepcha:=}');
    Error('\P{Is_Block=	_Lepcha:=}');
    Expect(1, 7247, '\p{Is_Block=lepcha}', "");
    Expect(0, 7247, '\p{^Is_Block=lepcha}', "");
    Expect(0, 7247, '\P{Is_Block=lepcha}', "");
    Expect(1, 7247, '\P{^Is_Block=lepcha}', "");
    Expect(0, 7248, '\p{Is_Block=lepcha}', "");
    Expect(1, 7248, '\p{^Is_Block=lepcha}', "");
    Expect(1, 7248, '\P{Is_Block=lepcha}', "");
    Expect(0, 7248, '\P{^Is_Block=lepcha}', "");
    Expect(1, 7247, '\p{Is_Block: 	 Lepcha}', "");
    Expect(0, 7247, '\p{^Is_Block: 	 Lepcha}', "");
    Expect(0, 7247, '\P{Is_Block: 	 Lepcha}', "");
    Expect(1, 7247, '\P{^Is_Block: 	 Lepcha}', "");
    Expect(0, 7248, '\p{Is_Block: 	 Lepcha}', "");
    Expect(1, 7248, '\p{^Is_Block: 	 Lepcha}', "");
    Expect(1, 7248, '\P{Is_Block: 	 Lepcha}', "");
    Expect(0, 7248, '\P{^Is_Block: 	 Lepcha}', "");
    Error('\p{Is_Blk= :=Lepcha}');
    Error('\P{Is_Blk= :=Lepcha}');
    Expect(1, 7247, '\p{Is_Blk=lepcha}', "");
    Expect(0, 7247, '\p{^Is_Blk=lepcha}', "");
    Expect(0, 7247, '\P{Is_Blk=lepcha}', "");
    Expect(1, 7247, '\P{^Is_Blk=lepcha}', "");
    Expect(0, 7248, '\p{Is_Blk=lepcha}', "");
    Expect(1, 7248, '\p{^Is_Blk=lepcha}', "");
    Expect(1, 7248, '\P{Is_Blk=lepcha}', "");
    Expect(0, 7248, '\P{^Is_Blk=lepcha}', "");
    Expect(1, 7247, '\p{Is_Blk= 	Lepcha}', "");
    Expect(0, 7247, '\p{^Is_Blk= 	Lepcha}', "");
    Expect(0, 7247, '\P{Is_Blk= 	Lepcha}', "");
    Expect(1, 7247, '\P{^Is_Blk= 	Lepcha}', "");
    Expect(0, 7248, '\p{Is_Blk= 	Lepcha}', "");
    Expect(1, 7248, '\p{^Is_Blk= 	Lepcha}', "");
    Expect(1, 7248, '\P{Is_Blk= 	Lepcha}', "");
    Expect(0, 7248, '\P{^Is_Blk= 	Lepcha}', "");
    Error('\p{Block=-LETTERLIKE_Symbols:=}');
    Error('\P{Block=-LETTERLIKE_Symbols:=}');
    Expect(1, 8527, '\p{Block=:\ALetterlike_Symbols\z:}', "");;
    Expect(0, 8528, '\p{Block=:\ALetterlike_Symbols\z:}', "");;
    Expect(1, 8527, '\p{Block=letterlikesymbols}', "");
    Expect(0, 8527, '\p{^Block=letterlikesymbols}', "");
    Expect(0, 8527, '\P{Block=letterlikesymbols}', "");
    Expect(1, 8527, '\P{^Block=letterlikesymbols}', "");
    Expect(0, 8528, '\p{Block=letterlikesymbols}', "");
    Expect(1, 8528, '\p{^Block=letterlikesymbols}', "");
    Expect(1, 8528, '\P{Block=letterlikesymbols}', "");
    Expect(0, 8528, '\P{^Block=letterlikesymbols}', "");
    Expect(1, 8527, '\p{Block=:\Aletterlikesymbols\z:}', "");;
    Expect(0, 8528, '\p{Block=:\Aletterlikesymbols\z:}', "");;
    Expect(1, 8527, '\p{Block:   _Letterlike_symbols}', "");
    Expect(0, 8527, '\p{^Block:   _Letterlike_symbols}', "");
    Expect(0, 8527, '\P{Block:   _Letterlike_symbols}', "");
    Expect(1, 8527, '\P{^Block:   _Letterlike_symbols}', "");
    Expect(0, 8528, '\p{Block:   _Letterlike_symbols}', "");
    Expect(1, 8528, '\p{^Block:   _Letterlike_symbols}', "");
    Expect(1, 8528, '\P{Block:   _Letterlike_symbols}', "");
    Expect(0, 8528, '\P{^Block:   _Letterlike_symbols}', "");
    Error('\p{Blk:   /a/__LETTERLIKE_Symbols}');
    Error('\P{Blk:   /a/__LETTERLIKE_Symbols}');
    Expect(1, 8527, '\p{Blk=:\ALetterlike_Symbols\z:}', "");;
    Expect(0, 8528, '\p{Blk=:\ALetterlike_Symbols\z:}', "");;
    Expect(1, 8527, '\p{Blk=letterlikesymbols}', "");
    Expect(0, 8527, '\p{^Blk=letterlikesymbols}', "");
    Expect(0, 8527, '\P{Blk=letterlikesymbols}', "");
    Expect(1, 8527, '\P{^Blk=letterlikesymbols}', "");
    Expect(0, 8528, '\p{Blk=letterlikesymbols}', "");
    Expect(1, 8528, '\p{^Blk=letterlikesymbols}', "");
    Expect(1, 8528, '\P{Blk=letterlikesymbols}', "");
    Expect(0, 8528, '\P{^Blk=letterlikesymbols}', "");
    Expect(1, 8527, '\p{Blk=:\Aletterlikesymbols\z:}', "");;
    Expect(0, 8528, '\p{Blk=:\Aletterlikesymbols\z:}', "");;
    Expect(1, 8527, '\p{Blk=-LETTERLIKE_Symbols}', "");
    Expect(0, 8527, '\p{^Blk=-LETTERLIKE_Symbols}', "");
    Expect(0, 8527, '\P{Blk=-LETTERLIKE_Symbols}', "");
    Expect(1, 8527, '\P{^Blk=-LETTERLIKE_Symbols}', "");
    Expect(0, 8528, '\p{Blk=-LETTERLIKE_Symbols}', "");
    Expect(1, 8528, '\p{^Blk=-LETTERLIKE_Symbols}', "");
    Expect(1, 8528, '\P{Blk=-LETTERLIKE_Symbols}', "");
    Expect(0, 8528, '\P{^Blk=-LETTERLIKE_Symbols}', "");
    Error('\p{Is_Block= :=LETTERLIKE_Symbols}');
    Error('\P{Is_Block= :=LETTERLIKE_Symbols}');
    Expect(1, 8527, '\p{Is_Block=letterlikesymbols}', "");
    Expect(0, 8527, '\p{^Is_Block=letterlikesymbols}', "");
    Expect(0, 8527, '\P{Is_Block=letterlikesymbols}', "");
    Expect(1, 8527, '\P{^Is_Block=letterlikesymbols}', "");
    Expect(0, 8528, '\p{Is_Block=letterlikesymbols}', "");
    Expect(1, 8528, '\p{^Is_Block=letterlikesymbols}', "");
    Expect(1, 8528, '\P{Is_Block=letterlikesymbols}', "");
    Expect(0, 8528, '\P{^Is_Block=letterlikesymbols}', "");
    Expect(1, 8527, '\p{Is_Block=-_letterlike_Symbols}', "");
    Expect(0, 8527, '\p{^Is_Block=-_letterlike_Symbols}', "");
    Expect(0, 8527, '\P{Is_Block=-_letterlike_Symbols}', "");
    Expect(1, 8527, '\P{^Is_Block=-_letterlike_Symbols}', "");
    Expect(0, 8528, '\p{Is_Block=-_letterlike_Symbols}', "");
    Expect(1, 8528, '\p{^Is_Block=-_letterlike_Symbols}', "");
    Expect(1, 8528, '\P{Is_Block=-_letterlike_Symbols}', "");
    Expect(0, 8528, '\P{^Is_Block=-_letterlike_Symbols}', "");
    Error('\p{Is_Blk=	:=Letterlike_Symbols}');
    Error('\P{Is_Blk=	:=Letterlike_Symbols}');
    Expect(1, 8527, '\p{Is_Blk=letterlikesymbols}', "");
    Expect(0, 8527, '\p{^Is_Blk=letterlikesymbols}', "");
    Expect(0, 8527, '\P{Is_Blk=letterlikesymbols}', "");
    Expect(1, 8527, '\P{^Is_Blk=letterlikesymbols}', "");
    Expect(0, 8528, '\p{Is_Blk=letterlikesymbols}', "");
    Expect(1, 8528, '\p{^Is_Blk=letterlikesymbols}', "");
    Expect(1, 8528, '\P{Is_Blk=letterlikesymbols}', "");
    Expect(0, 8528, '\P{^Is_Blk=letterlikesymbols}', "");
    Expect(1, 8527, '\p{Is_Blk=-	Letterlike_symbols}', "");
    Expect(0, 8527, '\p{^Is_Blk=-	Letterlike_symbols}', "");
    Expect(0, 8527, '\P{Is_Blk=-	Letterlike_symbols}', "");
    Expect(1, 8527, '\P{^Is_Blk=-	Letterlike_symbols}', "");
    Expect(0, 8528, '\p{Is_Blk=-	Letterlike_symbols}', "");
    Expect(1, 8528, '\p{^Is_Blk=-	Letterlike_symbols}', "");
    Expect(1, 8528, '\P{Is_Blk=-	Letterlike_symbols}', "");
    Expect(0, 8528, '\P{^Is_Blk=-	Letterlike_symbols}', "");
    Error('\p{Block=/a/_LIMBU}');
    Error('\P{Block=/a/_LIMBU}');
    Expect(1, 6479, '\p{Block=:\ALimbu\z:}', "");;
    Expect(0, 6480, '\p{Block=:\ALimbu\z:}', "");;
    Expect(1, 6479, '\p{Block=limbu}', "");
    Expect(0, 6479, '\p{^Block=limbu}', "");
    Expect(0, 6479, '\P{Block=limbu}', "");
    Expect(1, 6479, '\P{^Block=limbu}', "");
    Expect(0, 6480, '\p{Block=limbu}', "");
    Expect(1, 6480, '\p{^Block=limbu}', "");
    Expect(1, 6480, '\P{Block=limbu}', "");
    Expect(0, 6480, '\P{^Block=limbu}', "");
    Expect(1, 6479, '\p{Block=:\Alimbu\z:}', "");;
    Expect(0, 6480, '\p{Block=:\Alimbu\z:}', "");;
    Expect(1, 6479, '\p{Block=_-LIMBU}', "");
    Expect(0, 6479, '\p{^Block=_-LIMBU}', "");
    Expect(0, 6479, '\P{Block=_-LIMBU}', "");
    Expect(1, 6479, '\P{^Block=_-LIMBU}', "");
    Expect(0, 6480, '\p{Block=_-LIMBU}', "");
    Expect(1, 6480, '\p{^Block=_-LIMBU}', "");
    Expect(1, 6480, '\P{Block=_-LIMBU}', "");
    Expect(0, 6480, '\P{^Block=_-LIMBU}', "");
    Error('\p{Blk=:=		Limbu}');
    Error('\P{Blk=:=		Limbu}');
    Expect(1, 6479, '\p{Blk=:\ALimbu\z:}', "");;
    Expect(0, 6480, '\p{Blk=:\ALimbu\z:}', "");;
    Expect(1, 6479, '\p{Blk=limbu}', "");
    Expect(0, 6479, '\p{^Blk=limbu}', "");
    Expect(0, 6479, '\P{Blk=limbu}', "");
    Expect(1, 6479, '\P{^Blk=limbu}', "");
    Expect(0, 6480, '\p{Blk=limbu}', "");
    Expect(1, 6480, '\p{^Blk=limbu}', "");
    Expect(1, 6480, '\P{Blk=limbu}', "");
    Expect(0, 6480, '\P{^Blk=limbu}', "");
    Expect(1, 6479, '\p{Blk=:\Alimbu\z:}', "");;
    Expect(0, 6480, '\p{Blk=:\Alimbu\z:}', "");;
    Expect(1, 6479, '\p{Blk:-limbu}', "");
    Expect(0, 6479, '\p{^Blk:-limbu}', "");
    Expect(0, 6479, '\P{Blk:-limbu}', "");
    Expect(1, 6479, '\P{^Blk:-limbu}', "");
    Expect(0, 6480, '\p{Blk:-limbu}', "");
    Expect(1, 6480, '\p{^Blk:-limbu}', "");
    Expect(1, 6480, '\P{Blk:-limbu}', "");
    Expect(0, 6480, '\P{^Blk:-limbu}', "");
    Error('\p{Is_Block=:=_Limbu}');
    Error('\P{Is_Block=:=_Limbu}');
    Expect(1, 6479, '\p{Is_Block=limbu}', "");
    Expect(0, 6479, '\p{^Is_Block=limbu}', "");
    Expect(0, 6479, '\P{Is_Block=limbu}', "");
    Expect(1, 6479, '\P{^Is_Block=limbu}', "");
    Expect(0, 6480, '\p{Is_Block=limbu}', "");
    Expect(1, 6480, '\p{^Is_Block=limbu}', "");
    Expect(1, 6480, '\P{Is_Block=limbu}', "");
    Expect(0, 6480, '\P{^Is_Block=limbu}', "");
    Error('\p{Is_Blk=:=	Limbu}');
    Error('\P{Is_Blk=:=	Limbu}');
    Expect(1, 6479, '\p{Is_Blk=limbu}', "");
    Expect(0, 6479, '\p{^Is_Blk=limbu}', "");
    Expect(0, 6479, '\P{Is_Blk=limbu}', "");
    Expect(1, 6479, '\P{^Is_Blk=limbu}', "");
    Expect(0, 6480, '\p{Is_Blk=limbu}', "");
    Expect(1, 6480, '\p{^Is_Blk=limbu}', "");
    Expect(1, 6480, '\P{Is_Blk=limbu}', "");
    Expect(0, 6480, '\P{^Is_Blk=limbu}', "");
    Expect(1, 6479, '\p{Is_Blk=	Limbu}', "");
    Expect(0, 6479, '\p{^Is_Blk=	Limbu}', "");
    Expect(0, 6479, '\P{Is_Blk=	Limbu}', "");
    Expect(1, 6479, '\P{^Is_Blk=	Limbu}', "");
    Expect(0, 6480, '\p{Is_Blk=	Limbu}', "");
    Expect(1, 6480, '\p{^Is_Blk=	Limbu}', "");
    Expect(1, 6480, '\P{Is_Blk=	Limbu}', "");
    Expect(0, 6480, '\P{^Is_Blk=	Limbu}', "");
    Error('\p{Block=:=  Linear_a}');
    Error('\P{Block=:=  Linear_a}');
    Expect(1, 67455, '\p{Block=:\ALinear_A\z:}', "");;
    Expect(0, 67456, '\p{Block=:\ALinear_A\z:}', "");;
    Expect(1, 67455, '\p{Block=lineara}', "");
    Expect(0, 67455, '\p{^Block=lineara}', "");
    Expect(0, 67455, '\P{Block=lineara}', "");
    Expect(1, 67455, '\P{^Block=lineara}', "");
    Expect(0, 67456, '\p{Block=lineara}', "");
    Expect(1, 67456, '\p{^Block=lineara}', "");
    Expect(1, 67456, '\P{Block=lineara}', "");
    Expect(0, 67456, '\P{^Block=lineara}', "");
    Expect(1, 67455, '\p{Block=:\Alineara\z:}', "");;
    Expect(0, 67456, '\p{Block=:\Alineara\z:}', "");;
    Expect(1, 67455, '\p{Block=-linear_A}', "");
    Expect(0, 67455, '\p{^Block=-linear_A}', "");
    Expect(0, 67455, '\P{Block=-linear_A}', "");
    Expect(1, 67455, '\P{^Block=-linear_A}', "");
    Expect(0, 67456, '\p{Block=-linear_A}', "");
    Expect(1, 67456, '\p{^Block=-linear_A}', "");
    Expect(1, 67456, '\P{Block=-linear_A}', "");
    Expect(0, 67456, '\P{^Block=-linear_A}', "");
    Error('\p{Blk=/a/_ linear_a}');
    Error('\P{Blk=/a/_ linear_a}');
    Expect(1, 67455, '\p{Blk=:\ALinear_A\z:}', "");;
    Expect(0, 67456, '\p{Blk=:\ALinear_A\z:}', "");;
    Expect(1, 67455, '\p{Blk=lineara}', "");
    Expect(0, 67455, '\p{^Blk=lineara}', "");
    Expect(0, 67455, '\P{Blk=lineara}', "");
    Expect(1, 67455, '\P{^Blk=lineara}', "");
    Expect(0, 67456, '\p{Blk=lineara}', "");
    Expect(1, 67456, '\p{^Blk=lineara}', "");
    Expect(1, 67456, '\P{Blk=lineara}', "");
    Expect(0, 67456, '\P{^Blk=lineara}', "");
    Expect(1, 67455, '\p{Blk=:\Alineara\z:}', "");;
    Expect(0, 67456, '\p{Blk=:\Alineara\z:}', "");;
    Expect(1, 67455, '\p{Blk=	LINEAR_A}', "");
    Expect(0, 67455, '\p{^Blk=	LINEAR_A}', "");
    Expect(0, 67455, '\P{Blk=	LINEAR_A}', "");
    Expect(1, 67455, '\P{^Blk=	LINEAR_A}', "");
    Expect(0, 67456, '\p{Blk=	LINEAR_A}', "");
    Expect(1, 67456, '\p{^Blk=	LINEAR_A}', "");
    Expect(1, 67456, '\P{Blk=	LINEAR_A}', "");
    Expect(0, 67456, '\P{^Blk=	LINEAR_A}', "");
    Error('\p{Is_Block=:= -linear_a}');
    Error('\P{Is_Block=:= -linear_a}');
    Expect(1, 67455, '\p{Is_Block=lineara}', "");
    Expect(0, 67455, '\p{^Is_Block=lineara}', "");
    Expect(0, 67455, '\P{Is_Block=lineara}', "");
    Expect(1, 67455, '\P{^Is_Block=lineara}', "");
    Expect(0, 67456, '\p{Is_Block=lineara}', "");
    Expect(1, 67456, '\p{^Is_Block=lineara}', "");
    Expect(1, 67456, '\P{Is_Block=lineara}', "");
    Expect(0, 67456, '\P{^Is_Block=lineara}', "");
    Expect(1, 67455, '\p{Is_Block=- LINEAR_A}', "");
    Expect(0, 67455, '\p{^Is_Block=- LINEAR_A}', "");
    Expect(0, 67455, '\P{Is_Block=- LINEAR_A}', "");
    Expect(1, 67455, '\P{^Is_Block=- LINEAR_A}', "");
    Expect(0, 67456, '\p{Is_Block=- LINEAR_A}', "");
    Expect(1, 67456, '\p{^Is_Block=- LINEAR_A}', "");
    Expect(1, 67456, '\P{Is_Block=- LINEAR_A}', "");
    Expect(0, 67456, '\P{^Is_Block=- LINEAR_A}', "");
    Error('\p{Is_Blk=	/a/linear_A}');
    Error('\P{Is_Blk=	/a/linear_A}');
    Expect(1, 67455, '\p{Is_Blk=lineara}', "");
    Expect(0, 67455, '\p{^Is_Blk=lineara}', "");
    Expect(0, 67455, '\P{Is_Blk=lineara}', "");
    Expect(1, 67455, '\P{^Is_Blk=lineara}', "");
    Expect(0, 67456, '\p{Is_Blk=lineara}', "");
    Expect(1, 67456, '\p{^Is_Blk=lineara}', "");
    Expect(1, 67456, '\P{Is_Blk=lineara}', "");
    Expect(0, 67456, '\P{^Is_Blk=lineara}', "");
    Expect(1, 67455, '\p{Is_Blk=-	linear_a}', "");
    Expect(0, 67455, '\p{^Is_Blk=-	linear_a}', "");
    Expect(0, 67455, '\P{Is_Blk=-	linear_a}', "");
    Expect(1, 67455, '\P{^Is_Blk=-	linear_a}', "");
    Expect(0, 67456, '\p{Is_Blk=-	linear_a}', "");
    Expect(1, 67456, '\p{^Is_Blk=-	linear_a}', "");
    Expect(1, 67456, '\P{Is_Blk=-	linear_a}', "");
    Expect(0, 67456, '\P{^Is_Blk=-	linear_a}', "");
    Error('\p{Block=:= 	LINEAR_B_Ideograms}');
    Error('\P{Block=:= 	LINEAR_B_Ideograms}');
    Expect(1, 65791, '\p{Block=:\ALinear_B_Ideograms\z:}', "");;
    Expect(0, 65792, '\p{Block=:\ALinear_B_Ideograms\z:}', "");;
    Expect(1, 65791, '\p{Block=linearbideograms}', "");
    Expect(0, 65791, '\p{^Block=linearbideograms}', "");
    Expect(0, 65791, '\P{Block=linearbideograms}', "");
    Expect(1, 65791, '\P{^Block=linearbideograms}', "");
    Expect(0, 65792, '\p{Block=linearbideograms}', "");
    Expect(1, 65792, '\p{^Block=linearbideograms}', "");
    Expect(1, 65792, '\P{Block=linearbideograms}', "");
    Expect(0, 65792, '\P{^Block=linearbideograms}', "");
    Expect(1, 65791, '\p{Block=:\Alinearbideograms\z:}', "");;
    Expect(0, 65792, '\p{Block=:\Alinearbideograms\z:}', "");;
    Expect(1, 65791, '\p{Block=-Linear_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\p{^Block=-Linear_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\P{Block=-Linear_B_IDEOGRAMS}', "");
    Expect(1, 65791, '\P{^Block=-Linear_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\p{Block=-Linear_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\p{^Block=-Linear_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\P{Block=-Linear_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\P{^Block=-Linear_B_IDEOGRAMS}', "");
    Error('\p{Blk=/a/_LINEAR_B_ideograms}');
    Error('\P{Blk=/a/_LINEAR_B_ideograms}');
    Expect(1, 65791, '\p{Blk=:\ALinear_B_Ideograms\z:}', "");;
    Expect(0, 65792, '\p{Blk=:\ALinear_B_Ideograms\z:}', "");;
    Expect(1, 65791, '\p{Blk=linearbideograms}', "");
    Expect(0, 65791, '\p{^Blk=linearbideograms}', "");
    Expect(0, 65791, '\P{Blk=linearbideograms}', "");
    Expect(1, 65791, '\P{^Blk=linearbideograms}', "");
    Expect(0, 65792, '\p{Blk=linearbideograms}', "");
    Expect(1, 65792, '\p{^Blk=linearbideograms}', "");
    Expect(1, 65792, '\P{Blk=linearbideograms}', "");
    Expect(0, 65792, '\P{^Blk=linearbideograms}', "");
    Expect(1, 65791, '\p{Blk=:\Alinearbideograms\z:}', "");;
    Expect(0, 65792, '\p{Blk=:\Alinearbideograms\z:}', "");;
    Expect(1, 65791, '\p{Blk=_LINEAR_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\p{^Blk=_LINEAR_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\P{Blk=_LINEAR_B_IDEOGRAMS}', "");
    Expect(1, 65791, '\P{^Blk=_LINEAR_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\p{Blk=_LINEAR_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\p{^Blk=_LINEAR_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\P{Blk=_LINEAR_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\P{^Blk=_LINEAR_B_IDEOGRAMS}', "");
    Error('\p{Is_Block=/a/		LINEAR_b_Ideograms}');
    Error('\P{Is_Block=/a/		LINEAR_b_Ideograms}');
    Expect(1, 65791, '\p{Is_Block=linearbideograms}', "");
    Expect(0, 65791, '\p{^Is_Block=linearbideograms}', "");
    Expect(0, 65791, '\P{Is_Block=linearbideograms}', "");
    Expect(1, 65791, '\P{^Is_Block=linearbideograms}', "");
    Expect(0, 65792, '\p{Is_Block=linearbideograms}', "");
    Expect(1, 65792, '\p{^Is_Block=linearbideograms}', "");
    Expect(1, 65792, '\P{Is_Block=linearbideograms}', "");
    Expect(0, 65792, '\P{^Is_Block=linearbideograms}', "");
    Expect(1, 65791, '\p{Is_Block=_ linear_b_Ideograms}', "");
    Expect(0, 65791, '\p{^Is_Block=_ linear_b_Ideograms}', "");
    Expect(0, 65791, '\P{Is_Block=_ linear_b_Ideograms}', "");
    Expect(1, 65791, '\P{^Is_Block=_ linear_b_Ideograms}', "");
    Expect(0, 65792, '\p{Is_Block=_ linear_b_Ideograms}', "");
    Expect(1, 65792, '\p{^Is_Block=_ linear_b_Ideograms}', "");
    Expect(1, 65792, '\P{Is_Block=_ linear_b_Ideograms}', "");
    Expect(0, 65792, '\P{^Is_Block=_ linear_b_Ideograms}', "");
    Error('\p{Is_Blk=/a/-Linear_b_Ideograms}');
    Error('\P{Is_Blk=/a/-Linear_b_Ideograms}');
    Expect(1, 65791, '\p{Is_Blk=linearbideograms}', "");
    Expect(0, 65791, '\p{^Is_Blk=linearbideograms}', "");
    Expect(0, 65791, '\P{Is_Blk=linearbideograms}', "");
    Expect(1, 65791, '\P{^Is_Blk=linearbideograms}', "");
    Expect(0, 65792, '\p{Is_Blk=linearbideograms}', "");
    Expect(1, 65792, '\p{^Is_Blk=linearbideograms}', "");
    Expect(1, 65792, '\P{Is_Blk=linearbideograms}', "");
    Expect(0, 65792, '\P{^Is_Blk=linearbideograms}', "");
    Expect(1, 65791, '\p{Is_Blk=Linear_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\p{^Is_Blk=Linear_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\P{Is_Blk=Linear_B_IDEOGRAMS}', "");
    Expect(1, 65791, '\P{^Is_Blk=Linear_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\p{Is_Blk=Linear_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\p{^Is_Blk=Linear_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\P{Is_Blk=Linear_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\P{^Is_Blk=Linear_B_IDEOGRAMS}', "");
    Error('\p{Block=/a/-	LINEAR_b_SYLLABARY}');
    Error('\P{Block=/a/-	LINEAR_b_SYLLABARY}');
    Expect(1, 65663, '\p{Block=:\ALinear_B_Syllabary\z:}', "");;
    Expect(0, 65664, '\p{Block=:\ALinear_B_Syllabary\z:}', "");;
    Expect(1, 65663, '\p{Block=linearbsyllabary}', "");
    Expect(0, 65663, '\p{^Block=linearbsyllabary}', "");
    Expect(0, 65663, '\P{Block=linearbsyllabary}', "");
    Expect(1, 65663, '\P{^Block=linearbsyllabary}', "");
    Expect(0, 65664, '\p{Block=linearbsyllabary}', "");
    Expect(1, 65664, '\p{^Block=linearbsyllabary}', "");
    Expect(1, 65664, '\P{Block=linearbsyllabary}', "");
    Expect(0, 65664, '\P{^Block=linearbsyllabary}', "");
    Expect(1, 65663, '\p{Block=:\Alinearbsyllabary\z:}', "");;
    Expect(0, 65664, '\p{Block=:\Alinearbsyllabary\z:}', "");;
    Expect(1, 65663, '\p{Block= _Linear_B_syllabary}', "");
    Expect(0, 65663, '\p{^Block= _Linear_B_syllabary}', "");
    Expect(0, 65663, '\P{Block= _Linear_B_syllabary}', "");
    Expect(1, 65663, '\P{^Block= _Linear_B_syllabary}', "");
    Expect(0, 65664, '\p{Block= _Linear_B_syllabary}', "");
    Expect(1, 65664, '\p{^Block= _Linear_B_syllabary}', "");
    Expect(1, 65664, '\P{Block= _Linear_B_syllabary}', "");
    Expect(0, 65664, '\P{^Block= _Linear_B_syllabary}', "");
    Error('\p{Blk=	_Linear_b_syllabary:=}');
    Error('\P{Blk=	_Linear_b_syllabary:=}');
    Expect(1, 65663, '\p{Blk=:\ALinear_B_Syllabary\z:}', "");;
    Expect(0, 65664, '\p{Blk=:\ALinear_B_Syllabary\z:}', "");;
    Expect(1, 65663, '\p{Blk:   linearbsyllabary}', "");
    Expect(0, 65663, '\p{^Blk:   linearbsyllabary}', "");
    Expect(0, 65663, '\P{Blk:   linearbsyllabary}', "");
    Expect(1, 65663, '\P{^Blk:   linearbsyllabary}', "");
    Expect(0, 65664, '\p{Blk:   linearbsyllabary}', "");
    Expect(1, 65664, '\p{^Blk:   linearbsyllabary}', "");
    Expect(1, 65664, '\P{Blk:   linearbsyllabary}', "");
    Expect(0, 65664, '\P{^Blk:   linearbsyllabary}', "");
    Expect(1, 65663, '\p{Blk=:\Alinearbsyllabary\z:}', "");;
    Expect(0, 65664, '\p{Blk=:\Alinearbsyllabary\z:}', "");;
    Expect(1, 65663, '\p{Blk= 	linear_B_Syllabary}', "");
    Expect(0, 65663, '\p{^Blk= 	linear_B_Syllabary}', "");
    Expect(0, 65663, '\P{Blk= 	linear_B_Syllabary}', "");
    Expect(1, 65663, '\P{^Blk= 	linear_B_Syllabary}', "");
    Expect(0, 65664, '\p{Blk= 	linear_B_Syllabary}', "");
    Expect(1, 65664, '\p{^Blk= 	linear_B_Syllabary}', "");
    Expect(1, 65664, '\P{Blk= 	linear_B_Syllabary}', "");
    Expect(0, 65664, '\P{^Blk= 	linear_B_Syllabary}', "");
    Error('\p{Is_Block: --LINEAR_B_Syllabary:=}');
    Error('\P{Is_Block: --LINEAR_B_Syllabary:=}');
    Expect(1, 65663, '\p{Is_Block=linearbsyllabary}', "");
    Expect(0, 65663, '\p{^Is_Block=linearbsyllabary}', "");
    Expect(0, 65663, '\P{Is_Block=linearbsyllabary}', "");
    Expect(1, 65663, '\P{^Is_Block=linearbsyllabary}', "");
    Expect(0, 65664, '\p{Is_Block=linearbsyllabary}', "");
    Expect(1, 65664, '\p{^Is_Block=linearbsyllabary}', "");
    Expect(1, 65664, '\P{Is_Block=linearbsyllabary}', "");
    Expect(0, 65664, '\P{^Is_Block=linearbsyllabary}', "");
    Expect(1, 65663, '\p{Is_Block= 	Linear_B_Syllabary}', "");
    Expect(0, 65663, '\p{^Is_Block= 	Linear_B_Syllabary}', "");
    Expect(0, 65663, '\P{Is_Block= 	Linear_B_Syllabary}', "");
    Expect(1, 65663, '\P{^Is_Block= 	Linear_B_Syllabary}', "");
    Expect(0, 65664, '\p{Is_Block= 	Linear_B_Syllabary}', "");
    Expect(1, 65664, '\p{^Is_Block= 	Linear_B_Syllabary}', "");
    Expect(1, 65664, '\P{Is_Block= 	Linear_B_Syllabary}', "");
    Expect(0, 65664, '\P{^Is_Block= 	Linear_B_Syllabary}', "");
    Error('\p{Is_Blk= Linear_B_Syllabary:=}');
    Error('\P{Is_Blk= Linear_B_Syllabary:=}');
    Expect(1, 65663, '\p{Is_Blk=linearbsyllabary}', "");
    Expect(0, 65663, '\p{^Is_Blk=linearbsyllabary}', "");
    Expect(0, 65663, '\P{Is_Blk=linearbsyllabary}', "");
    Expect(1, 65663, '\P{^Is_Blk=linearbsyllabary}', "");
    Expect(0, 65664, '\p{Is_Blk=linearbsyllabary}', "");
    Expect(1, 65664, '\p{^Is_Blk=linearbsyllabary}', "");
    Expect(1, 65664, '\P{Is_Blk=linearbsyllabary}', "");
    Expect(0, 65664, '\P{^Is_Blk=linearbsyllabary}', "");
    Expect(1, 65663, '\p{Is_Blk=_	Linear_B_Syllabary}', "");
    Expect(0, 65663, '\p{^Is_Blk=_	Linear_B_Syllabary}', "");
    Expect(0, 65663, '\P{Is_Blk=_	Linear_B_Syllabary}', "");
    Expect(1, 65663, '\P{^Is_Blk=_	Linear_B_Syllabary}', "");
    Expect(0, 65664, '\p{Is_Blk=_	Linear_B_Syllabary}', "");
    Expect(1, 65664, '\p{^Is_Blk=_	Linear_B_Syllabary}', "");
    Expect(1, 65664, '\P{Is_Blk=_	Linear_B_Syllabary}', "");
    Expect(0, 65664, '\P{^Is_Blk=_	Linear_B_Syllabary}', "");
    Error('\p{Block=-:=LISU}');
    Error('\P{Block=-:=LISU}');
    Expect(1, 42239, '\p{Block=:\ALisu\z:}', "");;
    Expect(0, 42240, '\p{Block=:\ALisu\z:}', "");;
    Expect(1, 42239, '\p{Block=lisu}', "");
    Expect(0, 42239, '\p{^Block=lisu}', "");
    Expect(0, 42239, '\P{Block=lisu}', "");
    Expect(1, 42239, '\P{^Block=lisu}', "");
    Expect(0, 42240, '\p{Block=lisu}', "");
    Expect(1, 42240, '\p{^Block=lisu}', "");
    Expect(1, 42240, '\P{Block=lisu}', "");
    Expect(0, 42240, '\P{^Block=lisu}', "");
    Expect(1, 42239, '\p{Block=:\Alisu\z:}', "");;
    Expect(0, 42240, '\p{Block=:\Alisu\z:}', "");;
    Error('\p{Blk=/a/- LISU}');
    Error('\P{Blk=/a/- LISU}');
    Expect(1, 42239, '\p{Blk=:\ALisu\z:}', "");;
    Expect(0, 42240, '\p{Blk=:\ALisu\z:}', "");;
    Expect(1, 42239, '\p{Blk=lisu}', "");
    Expect(0, 42239, '\p{^Blk=lisu}', "");
    Expect(0, 42239, '\P{Blk=lisu}', "");
    Expect(1, 42239, '\P{^Blk=lisu}', "");
    Expect(0, 42240, '\p{Blk=lisu}', "");
    Expect(1, 42240, '\p{^Blk=lisu}', "");
    Expect(1, 42240, '\P{Blk=lisu}', "");
    Expect(0, 42240, '\P{^Blk=lisu}', "");
    Expect(1, 42239, '\p{Blk=:\Alisu\z:}', "");;
    Expect(0, 42240, '\p{Blk=:\Alisu\z:}', "");;
    Expect(1, 42239, '\p{Blk= -lisu}', "");
    Expect(0, 42239, '\p{^Blk= -lisu}', "");
    Expect(0, 42239, '\P{Blk= -lisu}', "");
    Expect(1, 42239, '\P{^Blk= -lisu}', "");
    Expect(0, 42240, '\p{Blk= -lisu}', "");
    Expect(1, 42240, '\p{^Blk= -lisu}', "");
    Expect(1, 42240, '\P{Blk= -lisu}', "");
    Expect(0, 42240, '\P{^Blk= -lisu}', "");
    Error('\p{Is_Block=:=LISU}');
    Error('\P{Is_Block=:=LISU}');
    Expect(1, 42239, '\p{Is_Block=lisu}', "");
    Expect(0, 42239, '\p{^Is_Block=lisu}', "");
    Expect(0, 42239, '\P{Is_Block=lisu}', "");
    Expect(1, 42239, '\P{^Is_Block=lisu}', "");
    Expect(0, 42240, '\p{Is_Block=lisu}', "");
    Expect(1, 42240, '\p{^Is_Block=lisu}', "");
    Expect(1, 42240, '\P{Is_Block=lisu}', "");
    Expect(0, 42240, '\P{^Is_Block=lisu}', "");
    Expect(1, 42239, '\p{Is_Block= _Lisu}', "");
    Expect(0, 42239, '\p{^Is_Block= _Lisu}', "");
    Expect(0, 42239, '\P{Is_Block= _Lisu}', "");
    Expect(1, 42239, '\P{^Is_Block= _Lisu}', "");
    Expect(0, 42240, '\p{Is_Block= _Lisu}', "");
    Expect(1, 42240, '\p{^Is_Block= _Lisu}', "");
    Expect(1, 42240, '\P{Is_Block= _Lisu}', "");
    Expect(0, 42240, '\P{^Is_Block= _Lisu}', "");
    Error('\p{Is_Blk:/a/ 	lisu}');
    Error('\P{Is_Blk:/a/ 	lisu}');
    Expect(1, 42239, '\p{Is_Blk=lisu}', "");
    Expect(0, 42239, '\p{^Is_Blk=lisu}', "");
    Expect(0, 42239, '\P{Is_Blk=lisu}', "");
    Expect(1, 42239, '\P{^Is_Blk=lisu}', "");
    Expect(0, 42240, '\p{Is_Blk=lisu}', "");
    Expect(1, 42240, '\p{^Is_Blk=lisu}', "");
    Expect(1, 42240, '\P{Is_Blk=lisu}', "");
    Expect(0, 42240, '\P{^Is_Blk=lisu}', "");
    Expect(1, 42239, '\p{Is_Blk=-_Lisu}', "");
    Expect(0, 42239, '\p{^Is_Blk=-_Lisu}', "");
    Expect(0, 42239, '\P{Is_Blk=-_Lisu}', "");
    Expect(1, 42239, '\P{^Is_Blk=-_Lisu}', "");
    Expect(0, 42240, '\p{Is_Blk=-_Lisu}', "");
    Expect(1, 42240, '\p{^Is_Blk=-_Lisu}', "");
    Expect(1, 42240, '\P{Is_Blk=-_Lisu}', "");
    Expect(0, 42240, '\P{^Is_Blk=-_Lisu}', "");
    Error('\p{Block=-/a/Lisu_SUPPLEMENT}');
    Error('\P{Block=-/a/Lisu_SUPPLEMENT}');
    Expect(1, 73663, '\p{Block=:\ALisu_Supplement\z:}', "");;
    Expect(0, 73664, '\p{Block=:\ALisu_Supplement\z:}', "");;
    Expect(1, 73663, '\p{Block=lisusupplement}', "");
    Expect(0, 73663, '\p{^Block=lisusupplement}', "");
    Expect(0, 73663, '\P{Block=lisusupplement}', "");
    Expect(1, 73663, '\P{^Block=lisusupplement}', "");
    Expect(0, 73664, '\p{Block=lisusupplement}', "");
    Expect(1, 73664, '\p{^Block=lisusupplement}', "");
    Expect(1, 73664, '\P{Block=lisusupplement}', "");
    Expect(0, 73664, '\P{^Block=lisusupplement}', "");
    Expect(1, 73663, '\p{Block=:\Alisusupplement\z:}', "");;
    Expect(0, 73664, '\p{Block=:\Alisusupplement\z:}', "");;
    Expect(1, 73663, '\p{Block=- LISU_SUPPLEMENT}', "");
    Expect(0, 73663, '\p{^Block=- LISU_SUPPLEMENT}', "");
    Expect(0, 73663, '\P{Block=- LISU_SUPPLEMENT}', "");
    Expect(1, 73663, '\P{^Block=- LISU_SUPPLEMENT}', "");
    Expect(0, 73664, '\p{Block=- LISU_SUPPLEMENT}', "");
    Expect(1, 73664, '\p{^Block=- LISU_SUPPLEMENT}', "");
    Expect(1, 73664, '\P{Block=- LISU_SUPPLEMENT}', "");
    Expect(0, 73664, '\P{^Block=- LISU_SUPPLEMENT}', "");
    Error('\p{Blk=_	Lisu_sup:=}');
    Error('\P{Blk=_	Lisu_sup:=}');
    Expect(1, 73663, '\p{Blk=:\ALisu_Sup\z:}', "");;
    Expect(0, 73664, '\p{Blk=:\ALisu_Sup\z:}', "");;
    Expect(1, 73663, '\p{Blk:lisusup}', "");
    Expect(0, 73663, '\p{^Blk:lisusup}', "");
    Expect(0, 73663, '\P{Blk:lisusup}', "");
    Expect(1, 73663, '\P{^Blk:lisusup}', "");
    Expect(0, 73664, '\p{Blk:lisusup}', "");
    Expect(1, 73664, '\p{^Blk:lisusup}', "");
    Expect(1, 73664, '\P{Blk:lisusup}', "");
    Expect(0, 73664, '\P{^Blk:lisusup}', "");
    Expect(1, 73663, '\p{Blk=:\Alisusup\z:}', "");;
    Expect(0, 73664, '\p{Blk=:\Alisusup\z:}', "");;
    Expect(1, 73663, '\p{Blk=Lisu_sup}', "");
    Expect(0, 73663, '\p{^Blk=Lisu_sup}', "");
    Expect(0, 73663, '\P{Blk=Lisu_sup}', "");
    Expect(1, 73663, '\P{^Blk=Lisu_sup}', "");
    Expect(0, 73664, '\p{Blk=Lisu_sup}', "");
    Expect(1, 73664, '\p{^Blk=Lisu_sup}', "");
    Expect(1, 73664, '\P{Blk=Lisu_sup}', "");
    Expect(0, 73664, '\P{^Blk=Lisu_sup}', "");
    Error('\p{Is_Block=:= LISU_Supplement}');
    Error('\P{Is_Block=:= LISU_Supplement}');
    Expect(1, 73663, '\p{Is_Block=lisusupplement}', "");
    Expect(0, 73663, '\p{^Is_Block=lisusupplement}', "");
    Expect(0, 73663, '\P{Is_Block=lisusupplement}', "");
    Expect(1, 73663, '\P{^Is_Block=lisusupplement}', "");
    Expect(0, 73664, '\p{Is_Block=lisusupplement}', "");
    Expect(1, 73664, '\p{^Is_Block=lisusupplement}', "");
    Expect(1, 73664, '\P{Is_Block=lisusupplement}', "");
    Expect(0, 73664, '\P{^Is_Block=lisusupplement}', "");
    Expect(1, 73663, '\p{Is_Block=-LISU_Supplement}', "");
    Expect(0, 73663, '\p{^Is_Block=-LISU_Supplement}', "");
    Expect(0, 73663, '\P{Is_Block=-LISU_Supplement}', "");
    Expect(1, 73663, '\P{^Is_Block=-LISU_Supplement}', "");
    Expect(0, 73664, '\p{Is_Block=-LISU_Supplement}', "");
    Expect(1, 73664, '\p{^Is_Block=-LISU_Supplement}', "");
    Expect(1, 73664, '\P{Is_Block=-LISU_Supplement}', "");
    Expect(0, 73664, '\P{^Is_Block=-LISU_Supplement}', "");
    Error('\p{Is_Blk:   :=lisu_Sup}');
    Error('\P{Is_Blk:   :=lisu_Sup}');
    Expect(1, 73663, '\p{Is_Blk=lisusup}', "");
    Expect(0, 73663, '\p{^Is_Blk=lisusup}', "");
    Expect(0, 73663, '\P{Is_Blk=lisusup}', "");
    Expect(1, 73663, '\P{^Is_Blk=lisusup}', "");
    Expect(0, 73664, '\p{Is_Blk=lisusup}', "");
    Expect(1, 73664, '\p{^Is_Blk=lisusup}', "");
    Expect(1, 73664, '\P{Is_Blk=lisusup}', "");
    Expect(0, 73664, '\P{^Is_Blk=lisusup}', "");
    Expect(1, 73663, '\p{Is_Blk=_Lisu_Sup}', "");
    Expect(0, 73663, '\p{^Is_Blk=_Lisu_Sup}', "");
    Expect(0, 73663, '\P{Is_Blk=_Lisu_Sup}', "");
    Expect(1, 73663, '\P{^Is_Blk=_Lisu_Sup}', "");
    Expect(0, 73664, '\p{Is_Blk=_Lisu_Sup}', "");
    Expect(1, 73664, '\p{^Is_Blk=_Lisu_Sup}', "");
    Expect(1, 73664, '\P{Is_Blk=_Lisu_Sup}', "");
    Expect(0, 73664, '\P{^Is_Blk=_Lisu_Sup}', "");
    Error('\p{Block= :=low_Surrogates}');
    Error('\P{Block= :=low_Surrogates}');
    Expect(1, 57343, '\p{Block=:\ALow_Surrogates\z:}', "");;
    Expect(0, 57344, '\p{Block=:\ALow_Surrogates\z:}', "");;
    Expect(1, 57343, '\p{Block=lowsurrogates}', "");
    Expect(0, 57343, '\p{^Block=lowsurrogates}', "");
    Expect(0, 57343, '\P{Block=lowsurrogates}', "");
    Expect(1, 57343, '\P{^Block=lowsurrogates}', "");
    Expect(0, 57344, '\p{Block=lowsurrogates}', "");
    Expect(1, 57344, '\p{^Block=lowsurrogates}', "");
    Expect(1, 57344, '\P{Block=lowsurrogates}', "");
    Expect(0, 57344, '\P{^Block=lowsurrogates}', "");
    Expect(1, 57343, '\p{Block=:\Alowsurrogates\z:}', "");;
    Expect(0, 57344, '\p{Block=:\Alowsurrogates\z:}', "");;
    Expect(1, 57343, '\p{Block=__Low_Surrogates}', "");
    Expect(0, 57343, '\p{^Block=__Low_Surrogates}', "");
    Expect(0, 57343, '\P{Block=__Low_Surrogates}', "");
    Expect(1, 57343, '\P{^Block=__Low_Surrogates}', "");
    Expect(0, 57344, '\p{Block=__Low_Surrogates}', "");
    Expect(1, 57344, '\p{^Block=__Low_Surrogates}', "");
    Expect(1, 57344, '\P{Block=__Low_Surrogates}', "");
    Expect(0, 57344, '\P{^Block=__Low_Surrogates}', "");
    Error('\p{Blk=:=_ Low_surrogates}');
    Error('\P{Blk=:=_ Low_surrogates}');
    Expect(1, 57343, '\p{Blk=:\ALow_Surrogates\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\ALow_Surrogates\z:}', "");;
    Expect(1, 57343, '\p{Blk=lowsurrogates}', "");
    Expect(0, 57343, '\p{^Blk=lowsurrogates}', "");
    Expect(0, 57343, '\P{Blk=lowsurrogates}', "");
    Expect(1, 57343, '\P{^Blk=lowsurrogates}', "");
    Expect(0, 57344, '\p{Blk=lowsurrogates}', "");
    Expect(1, 57344, '\p{^Blk=lowsurrogates}', "");
    Expect(1, 57344, '\P{Blk=lowsurrogates}', "");
    Expect(0, 57344, '\P{^Blk=lowsurrogates}', "");
    Expect(1, 57343, '\p{Blk=:\Alowsurrogates\z:}', "");;
    Expect(0, 57344, '\p{Blk=:\Alowsurrogates\z:}', "");;
    Expect(1, 57343, '\p{Blk=_	Low_Surrogates}', "");
    Expect(0, 57343, '\p{^Blk=_	Low_Surrogates}', "");
    Expect(0, 57343, '\P{Blk=_	Low_Surrogates}', "");
    Expect(1, 57343, '\P{^Blk=_	Low_Surrogates}', "");
    Expect(0, 57344, '\p{Blk=_	Low_Surrogates}', "");
    Expect(1, 57344, '\p{^Blk=_	Low_Surrogates}', "");
    Expect(1, 57344, '\P{Blk=_	Low_Surrogates}', "");
    Expect(0, 57344, '\P{^Blk=_	Low_Surrogates}', "");
    Error('\p{Is_Block=- Low_Surrogates/a/}');
    Error('\P{Is_Block=- Low_Surrogates/a/}');
    Expect(1, 57343, '\p{Is_Block=lowsurrogates}', "");
    Expect(0, 57343, '\p{^Is_Block=lowsurrogates}', "");
    Expect(0, 57343, '\P{Is_Block=lowsurrogates}', "");
    Expect(1, 57343, '\P{^Is_Block=lowsurrogates}', "");
    Expect(0, 57344, '\p{Is_Block=lowsurrogates}', "");
    Expect(1, 57344, '\p{^Is_Block=lowsurrogates}', "");
    Expect(1, 57344, '\P{Is_Block=lowsurrogates}', "");
    Expect(0, 57344, '\P{^Is_Block=lowsurrogates}', "");
    Expect(1, 57343, '\p{Is_Block=_	Low_Surrogates}', "");
    Expect(0, 57343, '\p{^Is_Block=_	Low_Surrogates}', "");
    Expect(0, 57343, '\P{Is_Block=_	Low_Surrogates}', "");
    Expect(1, 57343, '\P{^Is_Block=_	Low_Surrogates}', "");
    Expect(0, 57344, '\p{Is_Block=_	Low_Surrogates}', "");
    Expect(1, 57344, '\p{^Is_Block=_	Low_Surrogates}', "");
    Expect(1, 57344, '\P{Is_Block=_	Low_Surrogates}', "");
    Expect(0, 57344, '\P{^Is_Block=_	Low_Surrogates}', "");
    Error('\p{Is_Blk=:=	-Low_surrogates}');
    Error('\P{Is_Blk=:=	-Low_surrogates}');
    Expect(1, 57343, '\p{Is_Blk=lowsurrogates}', "");
    Expect(0, 57343, '\p{^Is_Blk=lowsurrogates}', "");
    Expect(0, 57343, '\P{Is_Blk=lowsurrogates}', "");
    Expect(1, 57343, '\P{^Is_Blk=lowsurrogates}', "");
    Expect(0, 57344, '\p{Is_Blk=lowsurrogates}', "");
    Expect(1, 57344, '\p{^Is_Blk=lowsurrogates}', "");
    Expect(1, 57344, '\P{Is_Blk=lowsurrogates}', "");
    Expect(0, 57344, '\P{^Is_Blk=lowsurrogates}', "");
    Expect(1, 57343, '\p{Is_Blk=_ Low_Surrogates}', "");
    Expect(0, 57343, '\p{^Is_Blk=_ Low_Surrogates}', "");
    Expect(0, 57343, '\P{Is_Blk=_ Low_Surrogates}', "");
    Expect(1, 57343, '\P{^Is_Blk=_ Low_Surrogates}', "");
    Expect(0, 57344, '\p{Is_Blk=_ Low_Surrogates}', "");
    Expect(1, 57344, '\p{^Is_Blk=_ Low_Surrogates}', "");
    Expect(1, 57344, '\P{Is_Blk=_ Low_Surrogates}', "");
    Expect(0, 57344, '\P{^Is_Blk=_ Low_Surrogates}', "");
    Error('\p{Block:   := 	LYCIAN}');
    Error('\P{Block:   := 	LYCIAN}');
    Expect(1, 66207, '\p{Block=:\ALycian\z:}', "");;
    Expect(0, 66208, '\p{Block=:\ALycian\z:}', "");;
    Expect(1, 66207, '\p{Block=lycian}', "");
    Expect(0, 66207, '\p{^Block=lycian}', "");
    Expect(0, 66207, '\P{Block=lycian}', "");
    Expect(1, 66207, '\P{^Block=lycian}', "");
    Expect(0, 66208, '\p{Block=lycian}', "");
    Expect(1, 66208, '\p{^Block=lycian}', "");
    Expect(1, 66208, '\P{Block=lycian}', "");
    Expect(0, 66208, '\P{^Block=lycian}', "");
    Expect(1, 66207, '\p{Block=:\Alycian\z:}', "");;
    Expect(0, 66208, '\p{Block=:\Alycian\z:}', "");;
    Expect(1, 66207, '\p{Block=_lycian}', "");
    Expect(0, 66207, '\p{^Block=_lycian}', "");
    Expect(0, 66207, '\P{Block=_lycian}', "");
    Expect(1, 66207, '\P{^Block=_lycian}', "");
    Expect(0, 66208, '\p{Block=_lycian}', "");
    Expect(1, 66208, '\p{^Block=_lycian}', "");
    Expect(1, 66208, '\P{Block=_lycian}', "");
    Expect(0, 66208, '\P{^Block=_lycian}', "");
    Error('\p{Blk=-_LYCIAN/a/}');
    Error('\P{Blk=-_LYCIAN/a/}');
    Expect(1, 66207, '\p{Blk=:\ALycian\z:}', "");;
    Expect(0, 66208, '\p{Blk=:\ALycian\z:}', "");;
    Expect(1, 66207, '\p{Blk=lycian}', "");
    Expect(0, 66207, '\p{^Blk=lycian}', "");
    Expect(0, 66207, '\P{Blk=lycian}', "");
    Expect(1, 66207, '\P{^Blk=lycian}', "");
    Expect(0, 66208, '\p{Blk=lycian}', "");
    Expect(1, 66208, '\p{^Blk=lycian}', "");
    Expect(1, 66208, '\P{Blk=lycian}', "");
    Expect(0, 66208, '\P{^Blk=lycian}', "");
    Expect(1, 66207, '\p{Blk=:\Alycian\z:}', "");;
    Expect(0, 66208, '\p{Blk=:\Alycian\z:}', "");;
    Expect(1, 66207, '\p{Blk=_ lycian}', "");
    Expect(0, 66207, '\p{^Blk=_ lycian}', "");
    Expect(0, 66207, '\P{Blk=_ lycian}', "");
    Expect(1, 66207, '\P{^Blk=_ lycian}', "");
    Expect(0, 66208, '\p{Blk=_ lycian}', "");
    Expect(1, 66208, '\p{^Blk=_ lycian}', "");
    Expect(1, 66208, '\P{Blk=_ lycian}', "");
    Expect(0, 66208, '\P{^Blk=_ lycian}', "");
    Error('\p{Is_Block=_Lycian:=}');
    Error('\P{Is_Block=_Lycian:=}');
    Expect(1, 66207, '\p{Is_Block=lycian}', "");
    Expect(0, 66207, '\p{^Is_Block=lycian}', "");
    Expect(0, 66207, '\P{Is_Block=lycian}', "");
    Expect(1, 66207, '\P{^Is_Block=lycian}', "");
    Expect(0, 66208, '\p{Is_Block=lycian}', "");
    Expect(1, 66208, '\p{^Is_Block=lycian}', "");
    Expect(1, 66208, '\P{Is_Block=lycian}', "");
    Expect(0, 66208, '\P{^Is_Block=lycian}', "");
    Expect(1, 66207, '\p{Is_Block=_Lycian}', "");
    Expect(0, 66207, '\p{^Is_Block=_Lycian}', "");
    Expect(0, 66207, '\P{Is_Block=_Lycian}', "");
    Expect(1, 66207, '\P{^Is_Block=_Lycian}', "");
    Expect(0, 66208, '\p{Is_Block=_Lycian}', "");
    Expect(1, 66208, '\p{^Is_Block=_Lycian}', "");
    Expect(1, 66208, '\P{Is_Block=_Lycian}', "");
    Expect(0, 66208, '\P{^Is_Block=_Lycian}', "");
    Error('\p{Is_Blk:	-Lycian/a/}');
    Error('\P{Is_Blk:	-Lycian/a/}');
    Expect(1, 66207, '\p{Is_Blk=lycian}', "");
    Expect(0, 66207, '\p{^Is_Blk=lycian}', "");
    Expect(0, 66207, '\P{Is_Blk=lycian}', "");
    Expect(1, 66207, '\P{^Is_Blk=lycian}', "");
    Expect(0, 66208, '\p{Is_Blk=lycian}', "");
    Expect(1, 66208, '\p{^Is_Blk=lycian}', "");
    Expect(1, 66208, '\P{Is_Blk=lycian}', "");
    Expect(0, 66208, '\P{^Is_Blk=lycian}', "");
    Expect(1, 66207, '\p{Is_Blk=Lycian}', "");
    Expect(0, 66207, '\p{^Is_Blk=Lycian}', "");
    Expect(0, 66207, '\P{Is_Blk=Lycian}', "");
    Expect(1, 66207, '\P{^Is_Blk=Lycian}', "");
    Expect(0, 66208, '\p{Is_Blk=Lycian}', "");
    Expect(1, 66208, '\p{^Is_Blk=Lycian}', "");
    Expect(1, 66208, '\P{Is_Blk=Lycian}', "");
    Expect(0, 66208, '\P{^Is_Blk=Lycian}', "");
    Error('\p{Block=:= _Lydian}');
    Error('\P{Block=:= _Lydian}');
    Expect(1, 67903, '\p{Block=:\ALydian\z:}', "");;
    Expect(0, 67904, '\p{Block=:\ALydian\z:}', "");;
    Expect(1, 67903, '\p{Block=lydian}', "");
    Expect(0, 67903, '\p{^Block=lydian}', "");
    Expect(0, 67903, '\P{Block=lydian}', "");
    Expect(1, 67903, '\P{^Block=lydian}', "");
    Expect(0, 67904, '\p{Block=lydian}', "");
    Expect(1, 67904, '\p{^Block=lydian}', "");
    Expect(1, 67904, '\P{Block=lydian}', "");
    Expect(0, 67904, '\P{^Block=lydian}', "");
    Expect(1, 67903, '\p{Block=:\Alydian\z:}', "");;
    Expect(0, 67904, '\p{Block=:\Alydian\z:}', "");;
    Expect(1, 67903, '\p{Block=_	Lydian}', "");
    Expect(0, 67903, '\p{^Block=_	Lydian}', "");
    Expect(0, 67903, '\P{Block=_	Lydian}', "");
    Expect(1, 67903, '\P{^Block=_	Lydian}', "");
    Expect(0, 67904, '\p{Block=_	Lydian}', "");
    Expect(1, 67904, '\p{^Block=_	Lydian}', "");
    Expect(1, 67904, '\P{Block=_	Lydian}', "");
    Expect(0, 67904, '\P{^Block=_	Lydian}', "");
    Error('\p{Blk=_:=lydian}');
    Error('\P{Blk=_:=lydian}');
    Expect(1, 67903, '\p{Blk=:\ALydian\z:}', "");;
    Expect(0, 67904, '\p{Blk=:\ALydian\z:}', "");;
    Expect(1, 67903, '\p{Blk=lydian}', "");
    Expect(0, 67903, '\p{^Blk=lydian}', "");
    Expect(0, 67903, '\P{Blk=lydian}', "");
    Expect(1, 67903, '\P{^Blk=lydian}', "");
    Expect(0, 67904, '\p{Blk=lydian}', "");
    Expect(1, 67904, '\p{^Blk=lydian}', "");
    Expect(1, 67904, '\P{Blk=lydian}', "");
    Expect(0, 67904, '\P{^Blk=lydian}', "");
    Expect(1, 67903, '\p{Blk=:\Alydian\z:}', "");;
    Expect(0, 67904, '\p{Blk=:\Alydian\z:}', "");;
    Expect(1, 67903, '\p{Blk=	-lydian}', "");
    Expect(0, 67903, '\p{^Blk=	-lydian}', "");
    Expect(0, 67903, '\P{Blk=	-lydian}', "");
    Expect(1, 67903, '\P{^Blk=	-lydian}', "");
    Expect(0, 67904, '\p{Blk=	-lydian}', "");
    Expect(1, 67904, '\p{^Blk=	-lydian}', "");
    Expect(1, 67904, '\P{Blk=	-lydian}', "");
    Expect(0, 67904, '\P{^Blk=	-lydian}', "");
    Error('\p{Is_Block=_	Lydian/a/}');
    Error('\P{Is_Block=_	Lydian/a/}');
    Expect(1, 67903, '\p{Is_Block=lydian}', "");
    Expect(0, 67903, '\p{^Is_Block=lydian}', "");
    Expect(0, 67903, '\P{Is_Block=lydian}', "");
    Expect(1, 67903, '\P{^Is_Block=lydian}', "");
    Expect(0, 67904, '\p{Is_Block=lydian}', "");
    Expect(1, 67904, '\p{^Is_Block=lydian}', "");
    Expect(1, 67904, '\P{Is_Block=lydian}', "");
    Expect(0, 67904, '\P{^Is_Block=lydian}', "");
    Expect(1, 67903, '\p{Is_Block=  lydian}', "");
    Expect(0, 67903, '\p{^Is_Block=  lydian}', "");
    Expect(0, 67903, '\P{Is_Block=  lydian}', "");
    Expect(1, 67903, '\P{^Is_Block=  lydian}', "");
    Expect(0, 67904, '\p{Is_Block=  lydian}', "");
    Expect(1, 67904, '\p{^Is_Block=  lydian}', "");
    Expect(1, 67904, '\P{Is_Block=  lydian}', "");
    Expect(0, 67904, '\P{^Is_Block=  lydian}', "");
    Error('\p{Is_Blk=:=Lydian}');
    Error('\P{Is_Blk=:=Lydian}');
    Expect(1, 67903, '\p{Is_Blk=lydian}', "");
    Expect(0, 67903, '\p{^Is_Blk=lydian}', "");
    Expect(0, 67903, '\P{Is_Blk=lydian}', "");
    Expect(1, 67903, '\P{^Is_Blk=lydian}', "");
    Expect(0, 67904, '\p{Is_Blk=lydian}', "");
    Expect(1, 67904, '\p{^Is_Blk=lydian}', "");
    Expect(1, 67904, '\P{Is_Blk=lydian}', "");
    Expect(0, 67904, '\P{^Is_Blk=lydian}', "");
    Expect(1, 67903, '\p{Is_Blk: _-Lydian}', "");
    Expect(0, 67903, '\p{^Is_Blk: _-Lydian}', "");
    Expect(0, 67903, '\P{Is_Blk: _-Lydian}', "");
    Expect(1, 67903, '\P{^Is_Blk: _-Lydian}', "");
    Expect(0, 67904, '\p{Is_Blk: _-Lydian}', "");
    Expect(1, 67904, '\p{^Is_Blk: _-Lydian}', "");
    Expect(1, 67904, '\P{Is_Blk: _-Lydian}', "");
    Expect(0, 67904, '\P{^Is_Blk: _-Lydian}', "");
    Error('\p{Block:   _	Mahajani/a/}');
    Error('\P{Block:   _	Mahajani/a/}');
    Expect(1, 70015, '\p{Block=:\AMahajani\z:}', "");;
    Expect(0, 70016, '\p{Block=:\AMahajani\z:}', "");;
    Expect(1, 70015, '\p{Block=mahajani}', "");
    Expect(0, 70015, '\p{^Block=mahajani}', "");
    Expect(0, 70015, '\P{Block=mahajani}', "");
    Expect(1, 70015, '\P{^Block=mahajani}', "");
    Expect(0, 70016, '\p{Block=mahajani}', "");
    Expect(1, 70016, '\p{^Block=mahajani}', "");
    Expect(1, 70016, '\P{Block=mahajani}', "");
    Expect(0, 70016, '\P{^Block=mahajani}', "");
    Expect(1, 70015, '\p{Block=:\Amahajani\z:}', "");;
    Expect(0, 70016, '\p{Block=:\Amahajani\z:}', "");;
    Expect(1, 70015, '\p{Block=--Mahajani}', "");
    Expect(0, 70015, '\p{^Block=--Mahajani}', "");
    Expect(0, 70015, '\P{Block=--Mahajani}', "");
    Expect(1, 70015, '\P{^Block=--Mahajani}', "");
    Expect(0, 70016, '\p{Block=--Mahajani}', "");
    Expect(1, 70016, '\p{^Block=--Mahajani}', "");
    Expect(1, 70016, '\P{Block=--Mahajani}', "");
    Expect(0, 70016, '\P{^Block=--Mahajani}', "");
    Error('\p{Blk=-_Mahajani:=}');
    Error('\P{Blk=-_Mahajani:=}');
    Expect(1, 70015, '\p{Blk=:\AMahajani\z:}', "");;
    Expect(0, 70016, '\p{Blk=:\AMahajani\z:}', "");;
    Expect(1, 70015, '\p{Blk: mahajani}', "");
    Expect(0, 70015, '\p{^Blk: mahajani}', "");
    Expect(0, 70015, '\P{Blk: mahajani}', "");
    Expect(1, 70015, '\P{^Blk: mahajani}', "");
    Expect(0, 70016, '\p{Blk: mahajani}', "");
    Expect(1, 70016, '\p{^Blk: mahajani}', "");
    Expect(1, 70016, '\P{Blk: mahajani}', "");
    Expect(0, 70016, '\P{^Blk: mahajani}', "");
    Expect(1, 70015, '\p{Blk=:\Amahajani\z:}', "");;
    Expect(0, 70016, '\p{Blk=:\Amahajani\z:}', "");;
    Expect(1, 70015, '\p{Blk=_Mahajani}', "");
    Expect(0, 70015, '\p{^Blk=_Mahajani}', "");
    Expect(0, 70015, '\P{Blk=_Mahajani}', "");
    Expect(1, 70015, '\P{^Blk=_Mahajani}', "");
    Expect(0, 70016, '\p{Blk=_Mahajani}', "");
    Expect(1, 70016, '\p{^Blk=_Mahajani}', "");
    Expect(1, 70016, '\P{Blk=_Mahajani}', "");
    Expect(0, 70016, '\P{^Blk=_Mahajani}', "");
    Error('\p{Is_Block=- Mahajani:=}');
    Error('\P{Is_Block=- Mahajani:=}');
    Expect(1, 70015, '\p{Is_Block=mahajani}', "");
    Expect(0, 70015, '\p{^Is_Block=mahajani}', "");
    Expect(0, 70015, '\P{Is_Block=mahajani}', "");
    Expect(1, 70015, '\P{^Is_Block=mahajani}', "");
    Expect(0, 70016, '\p{Is_Block=mahajani}', "");
    Expect(1, 70016, '\p{^Is_Block=mahajani}', "");
    Expect(1, 70016, '\P{Is_Block=mahajani}', "");
    Expect(0, 70016, '\P{^Is_Block=mahajani}', "");
    Expect(1, 70015, '\p{Is_Block=-mahajani}', "");
    Expect(0, 70015, '\p{^Is_Block=-mahajani}', "");
    Expect(0, 70015, '\P{Is_Block=-mahajani}', "");
    Expect(1, 70015, '\P{^Is_Block=-mahajani}', "");
    Expect(0, 70016, '\p{Is_Block=-mahajani}', "");
    Expect(1, 70016, '\p{^Is_Block=-mahajani}', "");
    Expect(1, 70016, '\P{Is_Block=-mahajani}', "");
    Expect(0, 70016, '\P{^Is_Block=-mahajani}', "");
    Error('\p{Is_Blk= :=Mahajani}');
    Error('\P{Is_Blk= :=Mahajani}');
    Expect(1, 70015, '\p{Is_Blk=mahajani}', "");
    Expect(0, 70015, '\p{^Is_Blk=mahajani}', "");
    Expect(0, 70015, '\P{Is_Blk=mahajani}', "");
    Expect(1, 70015, '\P{^Is_Blk=mahajani}', "");
    Expect(0, 70016, '\p{Is_Blk=mahajani}', "");
    Expect(1, 70016, '\p{^Is_Blk=mahajani}', "");
    Expect(1, 70016, '\P{Is_Blk=mahajani}', "");
    Expect(0, 70016, '\P{^Is_Blk=mahajani}', "");
    Expect(1, 70015, '\p{Is_Blk=_ Mahajani}', "");
    Expect(0, 70015, '\p{^Is_Blk=_ Mahajani}', "");
    Expect(0, 70015, '\P{Is_Blk=_ Mahajani}', "");
    Expect(1, 70015, '\P{^Is_Blk=_ Mahajani}', "");
    Expect(0, 70016, '\p{Is_Blk=_ Mahajani}', "");
    Expect(1, 70016, '\p{^Is_Blk=_ Mahajani}', "");
    Expect(1, 70016, '\P{Is_Blk=_ Mahajani}', "");
    Expect(0, 70016, '\P{^Is_Blk=_ Mahajani}', "");
    Error('\p{Block:	:=_ MAHJONG_tiles}');
    Error('\P{Block:	:=_ MAHJONG_tiles}');
    Expect(1, 127023, '\p{Block=:\AMahjong_Tiles\z:}', "");;
    Expect(0, 127024, '\p{Block=:\AMahjong_Tiles\z:}', "");;
    Expect(1, 127023, '\p{Block=mahjongtiles}', "");
    Expect(0, 127023, '\p{^Block=mahjongtiles}', "");
    Expect(0, 127023, '\P{Block=mahjongtiles}', "");
    Expect(1, 127023, '\P{^Block=mahjongtiles}', "");
    Expect(0, 127024, '\p{Block=mahjongtiles}', "");
    Expect(1, 127024, '\p{^Block=mahjongtiles}', "");
    Expect(1, 127024, '\P{Block=mahjongtiles}', "");
    Expect(0, 127024, '\P{^Block=mahjongtiles}', "");
    Expect(1, 127023, '\p{Block=:\Amahjongtiles\z:}', "");;
    Expect(0, 127024, '\p{Block=:\Amahjongtiles\z:}', "");;
    Expect(1, 127023, '\p{Block=_	Mahjong_Tiles}', "");
    Expect(0, 127023, '\p{^Block=_	Mahjong_Tiles}', "");
    Expect(0, 127023, '\P{Block=_	Mahjong_Tiles}', "");
    Expect(1, 127023, '\P{^Block=_	Mahjong_Tiles}', "");
    Expect(0, 127024, '\p{Block=_	Mahjong_Tiles}', "");
    Expect(1, 127024, '\p{^Block=_	Mahjong_Tiles}', "");
    Expect(1, 127024, '\P{Block=_	Mahjong_Tiles}', "");
    Expect(0, 127024, '\P{^Block=_	Mahjong_Tiles}', "");
    Error('\p{Blk=_	Mahjong:=}');
    Error('\P{Blk=_	Mahjong:=}');
    Expect(1, 127023, '\p{Blk=:\AMahjong\z:}', "");;
    Expect(0, 127024, '\p{Blk=:\AMahjong\z:}', "");;
    Expect(1, 127023, '\p{Blk=mahjong}', "");
    Expect(0, 127023, '\p{^Blk=mahjong}', "");
    Expect(0, 127023, '\P{Blk=mahjong}', "");
    Expect(1, 127023, '\P{^Blk=mahjong}', "");
    Expect(0, 127024, '\p{Blk=mahjong}', "");
    Expect(1, 127024, '\p{^Blk=mahjong}', "");
    Expect(1, 127024, '\P{Blk=mahjong}', "");
    Expect(0, 127024, '\P{^Blk=mahjong}', "");
    Expect(1, 127023, '\p{Blk=:\Amahjong\z:}', "");;
    Expect(0, 127024, '\p{Blk=:\Amahjong\z:}', "");;
    Expect(1, 127023, '\p{Blk=-	Mahjong}', "");
    Expect(0, 127023, '\p{^Blk=-	Mahjong}', "");
    Expect(0, 127023, '\P{Blk=-	Mahjong}', "");
    Expect(1, 127023, '\P{^Blk=-	Mahjong}', "");
    Expect(0, 127024, '\p{Blk=-	Mahjong}', "");
    Expect(1, 127024, '\p{^Blk=-	Mahjong}', "");
    Expect(1, 127024, '\P{Blk=-	Mahjong}', "");
    Expect(0, 127024, '\P{^Blk=-	Mahjong}', "");
    Error('\p{Is_Block: 	/a/Mahjong_Tiles}');
    Error('\P{Is_Block: 	/a/Mahjong_Tiles}');
    Expect(1, 127023, '\p{Is_Block:	mahjongtiles}', "");
    Expect(0, 127023, '\p{^Is_Block:	mahjongtiles}', "");
    Expect(0, 127023, '\P{Is_Block:	mahjongtiles}', "");
    Expect(1, 127023, '\P{^Is_Block:	mahjongtiles}', "");
    Expect(0, 127024, '\p{Is_Block:	mahjongtiles}', "");
    Expect(1, 127024, '\p{^Is_Block:	mahjongtiles}', "");
    Expect(1, 127024, '\P{Is_Block:	mahjongtiles}', "");
    Expect(0, 127024, '\P{^Is_Block:	mahjongtiles}', "");
    Expect(1, 127023, '\p{Is_Block= _Mahjong_Tiles}', "");
    Expect(0, 127023, '\p{^Is_Block= _Mahjong_Tiles}', "");
    Expect(0, 127023, '\P{Is_Block= _Mahjong_Tiles}', "");
    Expect(1, 127023, '\P{^Is_Block= _Mahjong_Tiles}', "");
    Expect(0, 127024, '\p{Is_Block= _Mahjong_Tiles}', "");
    Expect(1, 127024, '\p{^Is_Block= _Mahjong_Tiles}', "");
    Expect(1, 127024, '\P{Is_Block= _Mahjong_Tiles}', "");
    Expect(0, 127024, '\P{^Is_Block= _Mahjong_Tiles}', "");
    Error('\p{Is_Blk=-_MAHJONG:=}');
    Error('\P{Is_Blk=-_MAHJONG:=}');
    Expect(1, 127023, '\p{Is_Blk=mahjong}', "");
    Expect(0, 127023, '\p{^Is_Blk=mahjong}', "");
    Expect(0, 127023, '\P{Is_Blk=mahjong}', "");
    Expect(1, 127023, '\P{^Is_Blk=mahjong}', "");
    Expect(0, 127024, '\p{Is_Blk=mahjong}', "");
    Expect(1, 127024, '\p{^Is_Blk=mahjong}', "");
    Expect(1, 127024, '\P{Is_Blk=mahjong}', "");
    Expect(0, 127024, '\P{^Is_Blk=mahjong}', "");
    Expect(1, 127023, '\p{Is_Blk= mahjong}', "");
    Expect(0, 127023, '\p{^Is_Blk= mahjong}', "");
    Expect(0, 127023, '\P{Is_Blk= mahjong}', "");
    Expect(1, 127023, '\P{^Is_Blk= mahjong}', "");
    Expect(0, 127024, '\p{Is_Blk= mahjong}', "");
    Expect(1, 127024, '\p{^Is_Blk= mahjong}', "");
    Expect(1, 127024, '\P{Is_Blk= mahjong}', "");
    Expect(0, 127024, '\P{^Is_Blk= mahjong}', "");
    Error('\p{Block=/a/Makasar}');
    Error('\P{Block=/a/Makasar}');
    Expect(1, 73471, '\p{Block=:\AMakasar\z:}', "");;
    Expect(0, 73472, '\p{Block=:\AMakasar\z:}', "");;
    Expect(1, 73471, '\p{Block=makasar}', "");
    Expect(0, 73471, '\p{^Block=makasar}', "");
    Expect(0, 73471, '\P{Block=makasar}', "");
    Expect(1, 73471, '\P{^Block=makasar}', "");
    Expect(0, 73472, '\p{Block=makasar}', "");
    Expect(1, 73472, '\p{^Block=makasar}', "");
    Expect(1, 73472, '\P{Block=makasar}', "");
    Expect(0, 73472, '\P{^Block=makasar}', "");
    Expect(1, 73471, '\p{Block=:\Amakasar\z:}', "");;
    Expect(0, 73472, '\p{Block=:\Amakasar\z:}', "");;
    Expect(1, 73471, '\p{Block=-_MAKASAR}', "");
    Expect(0, 73471, '\p{^Block=-_MAKASAR}', "");
    Expect(0, 73471, '\P{Block=-_MAKASAR}', "");
    Expect(1, 73471, '\P{^Block=-_MAKASAR}', "");
    Expect(0, 73472, '\p{Block=-_MAKASAR}', "");
    Expect(1, 73472, '\p{^Block=-_MAKASAR}', "");
    Expect(1, 73472, '\P{Block=-_MAKASAR}', "");
    Expect(0, 73472, '\P{^Block=-_MAKASAR}', "");
    Error('\p{Blk:/a/		Makasar}');
    Error('\P{Blk:/a/		Makasar}');
    Expect(1, 73471, '\p{Blk=:\AMakasar\z:}', "");;
    Expect(0, 73472, '\p{Blk=:\AMakasar\z:}', "");;
    Expect(1, 73471, '\p{Blk=makasar}', "");
    Expect(0, 73471, '\p{^Blk=makasar}', "");
    Expect(0, 73471, '\P{Blk=makasar}', "");
    Expect(1, 73471, '\P{^Blk=makasar}', "");
    Expect(0, 73472, '\p{Blk=makasar}', "");
    Expect(1, 73472, '\p{^Blk=makasar}', "");
    Expect(1, 73472, '\P{Blk=makasar}', "");
    Expect(0, 73472, '\P{^Blk=makasar}', "");
    Expect(1, 73471, '\p{Blk=:\Amakasar\z:}', "");;
    Expect(0, 73472, '\p{Blk=:\Amakasar\z:}', "");;
    Expect(1, 73471, '\p{Blk=__Makasar}', "");
    Expect(0, 73471, '\p{^Blk=__Makasar}', "");
    Expect(0, 73471, '\P{Blk=__Makasar}', "");
    Expect(1, 73471, '\P{^Blk=__Makasar}', "");
    Expect(0, 73472, '\p{Blk=__Makasar}', "");
    Expect(1, 73472, '\p{^Blk=__Makasar}', "");
    Expect(1, 73472, '\P{Blk=__Makasar}', "");
    Expect(0, 73472, '\P{^Blk=__Makasar}', "");
    Error('\p{Is_Block=	-makasar/a/}');
    Error('\P{Is_Block=	-makasar/a/}');
    Expect(1, 73471, '\p{Is_Block=makasar}', "");
    Expect(0, 73471, '\p{^Is_Block=makasar}', "");
    Expect(0, 73471, '\P{Is_Block=makasar}', "");
    Expect(1, 73471, '\P{^Is_Block=makasar}', "");
    Expect(0, 73472, '\p{Is_Block=makasar}', "");
    Expect(1, 73472, '\p{^Is_Block=makasar}', "");
    Expect(1, 73472, '\P{Is_Block=makasar}', "");
    Expect(0, 73472, '\P{^Is_Block=makasar}', "");
    Expect(1, 73471, '\p{Is_Block:	MAKASAR}', "");
    Expect(0, 73471, '\p{^Is_Block:	MAKASAR}', "");
    Expect(0, 73471, '\P{Is_Block:	MAKASAR}', "");
    Expect(1, 73471, '\P{^Is_Block:	MAKASAR}', "");
    Expect(0, 73472, '\p{Is_Block:	MAKASAR}', "");
    Expect(1, 73472, '\p{^Is_Block:	MAKASAR}', "");
    Expect(1, 73472, '\P{Is_Block:	MAKASAR}', "");
    Expect(0, 73472, '\P{^Is_Block:	MAKASAR}', "");
    Error('\p{Is_Blk=/a/Makasar}');
    Error('\P{Is_Blk=/a/Makasar}');
    Expect(1, 73471, '\p{Is_Blk=makasar}', "");
    Expect(0, 73471, '\p{^Is_Blk=makasar}', "");
    Expect(0, 73471, '\P{Is_Blk=makasar}', "");
    Expect(1, 73471, '\P{^Is_Blk=makasar}', "");
    Expect(0, 73472, '\p{Is_Blk=makasar}', "");
    Expect(1, 73472, '\p{^Is_Blk=makasar}', "");
    Expect(1, 73472, '\P{Is_Blk=makasar}', "");
    Expect(0, 73472, '\P{^Is_Blk=makasar}', "");
    Expect(1, 73471, '\p{Is_Blk:   -Makasar}', "");
    Expect(0, 73471, '\p{^Is_Blk:   -Makasar}', "");
    Expect(0, 73471, '\P{Is_Blk:   -Makasar}', "");
    Expect(1, 73471, '\P{^Is_Blk:   -Makasar}', "");
    Expect(0, 73472, '\p{Is_Blk:   -Makasar}', "");
    Expect(1, 73472, '\p{^Is_Blk:   -Makasar}', "");
    Expect(1, 73472, '\P{Is_Blk:   -Makasar}', "");
    Expect(0, 73472, '\P{^Is_Blk:   -Makasar}', "");
    Error('\p{Block= -Malayalam:=}');
    Error('\P{Block= -Malayalam:=}');
    Expect(1, 3455, '\p{Block=:\AMalayalam\z:}', "");;
    Expect(0, 3456, '\p{Block=:\AMalayalam\z:}', "");;
    Expect(1, 3455, '\p{Block=malayalam}', "");
    Expect(0, 3455, '\p{^Block=malayalam}', "");
    Expect(0, 3455, '\P{Block=malayalam}', "");
    Expect(1, 3455, '\P{^Block=malayalam}', "");
    Expect(0, 3456, '\p{Block=malayalam}', "");
    Expect(1, 3456, '\p{^Block=malayalam}', "");
    Expect(1, 3456, '\P{Block=malayalam}', "");
    Expect(0, 3456, '\P{^Block=malayalam}', "");
    Expect(1, 3455, '\p{Block=:\Amalayalam\z:}', "");;
    Expect(0, 3456, '\p{Block=:\Amalayalam\z:}', "");;
    Expect(1, 3455, '\p{Block=_	Malayalam}', "");
    Expect(0, 3455, '\p{^Block=_	Malayalam}', "");
    Expect(0, 3455, '\P{Block=_	Malayalam}', "");
    Expect(1, 3455, '\P{^Block=_	Malayalam}', "");
    Expect(0, 3456, '\p{Block=_	Malayalam}', "");
    Expect(1, 3456, '\p{^Block=_	Malayalam}', "");
    Expect(1, 3456, '\P{Block=_	Malayalam}', "");
    Expect(0, 3456, '\P{^Block=_	Malayalam}', "");
    Error('\p{Blk=	_Malayalam:=}');
    Error('\P{Blk=	_Malayalam:=}');
    Expect(1, 3455, '\p{Blk=:\AMalayalam\z:}', "");;
    Expect(0, 3456, '\p{Blk=:\AMalayalam\z:}', "");;
    Expect(1, 3455, '\p{Blk=malayalam}', "");
    Expect(0, 3455, '\p{^Blk=malayalam}', "");
    Expect(0, 3455, '\P{Blk=malayalam}', "");
    Expect(1, 3455, '\P{^Blk=malayalam}', "");
    Expect(0, 3456, '\p{Blk=malayalam}', "");
    Expect(1, 3456, '\p{^Blk=malayalam}', "");
    Expect(1, 3456, '\P{Blk=malayalam}', "");
    Expect(0, 3456, '\P{^Blk=malayalam}', "");
    Expect(1, 3455, '\p{Blk=:\Amalayalam\z:}', "");;
    Expect(0, 3456, '\p{Blk=:\Amalayalam\z:}', "");;
    Expect(1, 3455, '\p{Blk= 	Malayalam}', "");
    Expect(0, 3455, '\p{^Blk= 	Malayalam}', "");
    Expect(0, 3455, '\P{Blk= 	Malayalam}', "");
    Expect(1, 3455, '\P{^Blk= 	Malayalam}', "");
    Expect(0, 3456, '\p{Blk= 	Malayalam}', "");
    Expect(1, 3456, '\p{^Blk= 	Malayalam}', "");
    Expect(1, 3456, '\P{Blk= 	Malayalam}', "");
    Expect(0, 3456, '\P{^Blk= 	Malayalam}', "");
    Error('\p{Is_Block=	:=MALAYALAM}');
    Error('\P{Is_Block=	:=MALAYALAM}');
    Expect(1, 3455, '\p{Is_Block: malayalam}', "");
    Expect(0, 3455, '\p{^Is_Block: malayalam}', "");
    Expect(0, 3455, '\P{Is_Block: malayalam}', "");
    Expect(1, 3455, '\P{^Is_Block: malayalam}', "");
    Expect(0, 3456, '\p{Is_Block: malayalam}', "");
    Expect(1, 3456, '\p{^Is_Block: malayalam}', "");
    Expect(1, 3456, '\P{Is_Block: malayalam}', "");
    Expect(0, 3456, '\P{^Is_Block: malayalam}', "");
    Expect(1, 3455, '\p{Is_Block=		Malayalam}', "");
    Expect(0, 3455, '\p{^Is_Block=		Malayalam}', "");
    Expect(0, 3455, '\P{Is_Block=		Malayalam}', "");
    Expect(1, 3455, '\P{^Is_Block=		Malayalam}', "");
    Expect(0, 3456, '\p{Is_Block=		Malayalam}', "");
    Expect(1, 3456, '\p{^Is_Block=		Malayalam}', "");
    Expect(1, 3456, '\P{Is_Block=		Malayalam}', "");
    Expect(0, 3456, '\P{^Is_Block=		Malayalam}', "");
    Error('\p{Is_Blk= _Malayalam:=}');
    Error('\P{Is_Blk= _Malayalam:=}');
    Expect(1, 3455, '\p{Is_Blk=malayalam}', "");
    Expect(0, 3455, '\p{^Is_Blk=malayalam}', "");
    Expect(0, 3455, '\P{Is_Blk=malayalam}', "");
    Expect(1, 3455, '\P{^Is_Blk=malayalam}', "");
    Expect(0, 3456, '\p{Is_Blk=malayalam}', "");
    Expect(1, 3456, '\p{^Is_Blk=malayalam}', "");
    Expect(1, 3456, '\P{Is_Blk=malayalam}', "");
    Expect(0, 3456, '\P{^Is_Blk=malayalam}', "");
    Expect(1, 3455, '\p{Is_Blk=	 malayalam}', "");
    Expect(0, 3455, '\p{^Is_Blk=	 malayalam}', "");
    Expect(0, 3455, '\P{Is_Blk=	 malayalam}', "");
    Expect(1, 3455, '\P{^Is_Blk=	 malayalam}', "");
    Expect(0, 3456, '\p{Is_Blk=	 malayalam}', "");
    Expect(1, 3456, '\p{^Is_Blk=	 malayalam}', "");
    Expect(1, 3456, '\P{Is_Blk=	 malayalam}', "");
    Expect(0, 3456, '\P{^Is_Blk=	 malayalam}', "");
    Error('\p{Block= Mandaic/a/}');
    Error('\P{Block= Mandaic/a/}');
    Expect(1, 2143, '\p{Block=:\AMandaic\z:}', "");;
    Expect(0, 2144, '\p{Block=:\AMandaic\z:}', "");;
    Expect(1, 2143, '\p{Block=mandaic}', "");
    Expect(0, 2143, '\p{^Block=mandaic}', "");
    Expect(0, 2143, '\P{Block=mandaic}', "");
    Expect(1, 2143, '\P{^Block=mandaic}', "");
    Expect(0, 2144, '\p{Block=mandaic}', "");
    Expect(1, 2144, '\p{^Block=mandaic}', "");
    Expect(1, 2144, '\P{Block=mandaic}', "");
    Expect(0, 2144, '\P{^Block=mandaic}', "");
    Expect(1, 2143, '\p{Block=:\Amandaic\z:}', "");;
    Expect(0, 2144, '\p{Block=:\Amandaic\z:}', "");;
    Expect(1, 2143, '\p{Block=	Mandaic}', "");
    Expect(0, 2143, '\p{^Block=	Mandaic}', "");
    Expect(0, 2143, '\P{Block=	Mandaic}', "");
    Expect(1, 2143, '\P{^Block=	Mandaic}', "");
    Expect(0, 2144, '\p{Block=	Mandaic}', "");
    Expect(1, 2144, '\p{^Block=	Mandaic}', "");
    Expect(1, 2144, '\P{Block=	Mandaic}', "");
    Expect(0, 2144, '\P{^Block=	Mandaic}', "");
    Error('\p{Blk=		Mandaic/a/}');
    Error('\P{Blk=		Mandaic/a/}');
    Expect(1, 2143, '\p{Blk=:\AMandaic\z:}', "");;
    Expect(0, 2144, '\p{Blk=:\AMandaic\z:}', "");;
    Expect(1, 2143, '\p{Blk=mandaic}', "");
    Expect(0, 2143, '\p{^Blk=mandaic}', "");
    Expect(0, 2143, '\P{Blk=mandaic}', "");
    Expect(1, 2143, '\P{^Blk=mandaic}', "");
    Expect(0, 2144, '\p{Blk=mandaic}', "");
    Expect(1, 2144, '\p{^Blk=mandaic}', "");
    Expect(1, 2144, '\P{Blk=mandaic}', "");
    Expect(0, 2144, '\P{^Blk=mandaic}', "");
    Expect(1, 2143, '\p{Blk=:\Amandaic\z:}', "");;
    Expect(0, 2144, '\p{Blk=:\Amandaic\z:}', "");;
    Expect(1, 2143, '\p{Blk=	-MANDAIC}', "");
    Expect(0, 2143, '\p{^Blk=	-MANDAIC}', "");
    Expect(0, 2143, '\P{Blk=	-MANDAIC}', "");
    Expect(1, 2143, '\P{^Blk=	-MANDAIC}', "");
    Expect(0, 2144, '\p{Blk=	-MANDAIC}', "");
    Expect(1, 2144, '\p{^Blk=	-MANDAIC}', "");
    Expect(1, 2144, '\P{Blk=	-MANDAIC}', "");
    Expect(0, 2144, '\P{^Blk=	-MANDAIC}', "");
    Error('\p{Is_Block=_:=MANDAIC}');
    Error('\P{Is_Block=_:=MANDAIC}');
    Expect(1, 2143, '\p{Is_Block=mandaic}', "");
    Expect(0, 2143, '\p{^Is_Block=mandaic}', "");
    Expect(0, 2143, '\P{Is_Block=mandaic}', "");
    Expect(1, 2143, '\P{^Is_Block=mandaic}', "");
    Expect(0, 2144, '\p{Is_Block=mandaic}', "");
    Expect(1, 2144, '\p{^Is_Block=mandaic}', "");
    Expect(1, 2144, '\P{Is_Block=mandaic}', "");
    Expect(0, 2144, '\P{^Is_Block=mandaic}', "");
    Expect(1, 2143, '\p{Is_Block:    -Mandaic}', "");
    Expect(0, 2143, '\p{^Is_Block:    -Mandaic}', "");
    Expect(0, 2143, '\P{Is_Block:    -Mandaic}', "");
    Expect(1, 2143, '\P{^Is_Block:    -Mandaic}', "");
    Expect(0, 2144, '\p{Is_Block:    -Mandaic}', "");
    Expect(1, 2144, '\p{^Is_Block:    -Mandaic}', "");
    Expect(1, 2144, '\P{Is_Block:    -Mandaic}', "");
    Expect(0, 2144, '\P{^Is_Block:    -Mandaic}', "");
    Error('\p{Is_Blk:__MANDAIC:=}');
    Error('\P{Is_Blk:__MANDAIC:=}');
    Expect(1, 2143, '\p{Is_Blk=mandaic}', "");
    Expect(0, 2143, '\p{^Is_Blk=mandaic}', "");
    Expect(0, 2143, '\P{Is_Blk=mandaic}', "");
    Expect(1, 2143, '\P{^Is_Blk=mandaic}', "");
    Expect(0, 2144, '\p{Is_Blk=mandaic}', "");
    Expect(1, 2144, '\p{^Is_Blk=mandaic}', "");
    Expect(1, 2144, '\P{Is_Blk=mandaic}', "");
    Expect(0, 2144, '\P{^Is_Blk=mandaic}', "");
    Expect(1, 2143, '\p{Is_Blk= Mandaic}', "");
    Expect(0, 2143, '\p{^Is_Blk= Mandaic}', "");
    Expect(0, 2143, '\P{Is_Blk= Mandaic}', "");
    Expect(1, 2143, '\P{^Is_Blk= Mandaic}', "");
    Expect(0, 2144, '\p{Is_Blk= Mandaic}', "");
    Expect(1, 2144, '\p{^Is_Blk= Mandaic}', "");
    Expect(1, 2144, '\P{Is_Blk= Mandaic}', "");
    Expect(0, 2144, '\P{^Is_Blk= Mandaic}', "");
    Error('\p{Block= /a/manichaean}');
    Error('\P{Block= /a/manichaean}');
    Expect(1, 68351, '\p{Block=:\AManichaean\z:}', "");;
    Expect(0, 68352, '\p{Block=:\AManichaean\z:}', "");;
    Expect(1, 68351, '\p{Block=manichaean}', "");
    Expect(0, 68351, '\p{^Block=manichaean}', "");
    Expect(0, 68351, '\P{Block=manichaean}', "");
    Expect(1, 68351, '\P{^Block=manichaean}', "");
    Expect(0, 68352, '\p{Block=manichaean}', "");
    Expect(1, 68352, '\p{^Block=manichaean}', "");
    Expect(1, 68352, '\P{Block=manichaean}', "");
    Expect(0, 68352, '\P{^Block=manichaean}', "");
    Expect(1, 68351, '\p{Block=:\Amanichaean\z:}', "");;
    Expect(0, 68352, '\p{Block=:\Amanichaean\z:}', "");;
    Expect(1, 68351, '\p{Block=-_Manichaean}', "");
    Expect(0, 68351, '\p{^Block=-_Manichaean}', "");
    Expect(0, 68351, '\P{Block=-_Manichaean}', "");
    Expect(1, 68351, '\P{^Block=-_Manichaean}', "");
    Expect(0, 68352, '\p{Block=-_Manichaean}', "");
    Expect(1, 68352, '\p{^Block=-_Manichaean}', "");
    Expect(1, 68352, '\P{Block=-_Manichaean}', "");
    Expect(0, 68352, '\P{^Block=-_Manichaean}', "");
    Error('\p{Blk=_ manichaean/a/}');
    Error('\P{Blk=_ manichaean/a/}');
    Expect(1, 68351, '\p{Blk=:\AManichaean\z:}', "");;
    Expect(0, 68352, '\p{Blk=:\AManichaean\z:}', "");;
    Expect(1, 68351, '\p{Blk=manichaean}', "");
    Expect(0, 68351, '\p{^Blk=manichaean}', "");
    Expect(0, 68351, '\P{Blk=manichaean}', "");
    Expect(1, 68351, '\P{^Blk=manichaean}', "");
    Expect(0, 68352, '\p{Blk=manichaean}', "");
    Expect(1, 68352, '\p{^Blk=manichaean}', "");
    Expect(1, 68352, '\P{Blk=manichaean}', "");
    Expect(0, 68352, '\P{^Blk=manichaean}', "");
    Expect(1, 68351, '\p{Blk=:\Amanichaean\z:}', "");;
    Expect(0, 68352, '\p{Blk=:\Amanichaean\z:}', "");;
    Expect(1, 68351, '\p{Blk=  MANICHAEAN}', "");
    Expect(0, 68351, '\p{^Blk=  MANICHAEAN}', "");
    Expect(0, 68351, '\P{Blk=  MANICHAEAN}', "");
    Expect(1, 68351, '\P{^Blk=  MANICHAEAN}', "");
    Expect(0, 68352, '\p{Blk=  MANICHAEAN}', "");
    Expect(1, 68352, '\p{^Blk=  MANICHAEAN}', "");
    Expect(1, 68352, '\P{Blk=  MANICHAEAN}', "");
    Expect(0, 68352, '\P{^Blk=  MANICHAEAN}', "");
    Error('\p{Is_Block=_ Manichaean/a/}');
    Error('\P{Is_Block=_ Manichaean/a/}');
    Expect(1, 68351, '\p{Is_Block=manichaean}', "");
    Expect(0, 68351, '\p{^Is_Block=manichaean}', "");
    Expect(0, 68351, '\P{Is_Block=manichaean}', "");
    Expect(1, 68351, '\P{^Is_Block=manichaean}', "");
    Expect(0, 68352, '\p{Is_Block=manichaean}', "");
    Expect(1, 68352, '\p{^Is_Block=manichaean}', "");
    Expect(1, 68352, '\P{Is_Block=manichaean}', "");
    Expect(0, 68352, '\P{^Is_Block=manichaean}', "");
    Expect(1, 68351, '\p{Is_Block=  MANICHAEAN}', "");
    Expect(0, 68351, '\p{^Is_Block=  MANICHAEAN}', "");
    Expect(0, 68351, '\P{Is_Block=  MANICHAEAN}', "");
    Expect(1, 68351, '\P{^Is_Block=  MANICHAEAN}', "");
    Expect(0, 68352, '\p{Is_Block=  MANICHAEAN}', "");
    Expect(1, 68352, '\p{^Is_Block=  MANICHAEAN}', "");
    Expect(1, 68352, '\P{Is_Block=  MANICHAEAN}', "");
    Expect(0, 68352, '\P{^Is_Block=  MANICHAEAN}', "");
    Error('\p{Is_Blk=/a/- MANICHAEAN}');
    Error('\P{Is_Blk=/a/- MANICHAEAN}');
    Expect(1, 68351, '\p{Is_Blk=manichaean}', "");
    Expect(0, 68351, '\p{^Is_Blk=manichaean}', "");
    Expect(0, 68351, '\P{Is_Blk=manichaean}', "");
    Expect(1, 68351, '\P{^Is_Blk=manichaean}', "");
    Expect(0, 68352, '\p{Is_Blk=manichaean}', "");
    Expect(1, 68352, '\p{^Is_Blk=manichaean}', "");
    Expect(1, 68352, '\P{Is_Blk=manichaean}', "");
    Expect(0, 68352, '\P{^Is_Blk=manichaean}', "");
    Expect(1, 68351, '\p{Is_Blk= _Manichaean}', "");
    Expect(0, 68351, '\p{^Is_Blk= _Manichaean}', "");
    Expect(0, 68351, '\P{Is_Blk= _Manichaean}', "");
    Expect(1, 68351, '\P{^Is_Blk= _Manichaean}', "");
    Expect(0, 68352, '\p{Is_Blk= _Manichaean}', "");
    Expect(1, 68352, '\p{^Is_Blk= _Manichaean}', "");
    Expect(1, 68352, '\P{Is_Blk= _Manichaean}', "");
    Expect(0, 68352, '\P{^Is_Blk= _Manichaean}', "");
    Error('\p{Block=/a/ _Marchen}');
    Error('\P{Block=/a/ _Marchen}');
    Expect(1, 72895, '\p{Block=:\AMarchen\z:}', "");;
    Expect(0, 72896, '\p{Block=:\AMarchen\z:}', "");;
    Expect(1, 72895, '\p{Block:   marchen}', "");
    Expect(0, 72895, '\p{^Block:   marchen}', "");
    Expect(0, 72895, '\P{Block:   marchen}', "");
    Expect(1, 72895, '\P{^Block:   marchen}', "");
    Expect(0, 72896, '\p{Block:   marchen}', "");
    Expect(1, 72896, '\p{^Block:   marchen}', "");
    Expect(1, 72896, '\P{Block:   marchen}', "");
    Expect(0, 72896, '\P{^Block:   marchen}', "");
    Expect(1, 72895, '\p{Block=:\Amarchen\z:}', "");;
    Expect(0, 72896, '\p{Block=:\Amarchen\z:}', "");;
    Expect(1, 72895, '\p{Block=-_Marchen}', "");
    Expect(0, 72895, '\p{^Block=-_Marchen}', "");
    Expect(0, 72895, '\P{Block=-_Marchen}', "");
    Expect(1, 72895, '\P{^Block=-_Marchen}', "");
    Expect(0, 72896, '\p{Block=-_Marchen}', "");
    Expect(1, 72896, '\p{^Block=-_Marchen}', "");
    Expect(1, 72896, '\P{Block=-_Marchen}', "");
    Expect(0, 72896, '\P{^Block=-_Marchen}', "");
    Error('\p{Blk=/a/	-Marchen}');
    Error('\P{Blk=/a/	-Marchen}');
    Expect(1, 72895, '\p{Blk=:\AMarchen\z:}', "");;
    Expect(0, 72896, '\p{Blk=:\AMarchen\z:}', "");;
    Expect(1, 72895, '\p{Blk=marchen}', "");
    Expect(0, 72895, '\p{^Blk=marchen}', "");
    Expect(0, 72895, '\P{Blk=marchen}', "");
    Expect(1, 72895, '\P{^Blk=marchen}', "");
    Expect(0, 72896, '\p{Blk=marchen}', "");
    Expect(1, 72896, '\p{^Blk=marchen}', "");
    Expect(1, 72896, '\P{Blk=marchen}', "");
    Expect(0, 72896, '\P{^Blk=marchen}', "");
    Expect(1, 72895, '\p{Blk=:\Amarchen\z:}', "");;
    Expect(0, 72896, '\p{Blk=:\Amarchen\z:}', "");;
    Expect(1, 72895, '\p{Blk=_	Marchen}', "");
    Expect(0, 72895, '\p{^Blk=_	Marchen}', "");
    Expect(0, 72895, '\P{Blk=_	Marchen}', "");
    Expect(1, 72895, '\P{^Blk=_	Marchen}', "");
    Expect(0, 72896, '\p{Blk=_	Marchen}', "");
    Expect(1, 72896, '\p{^Blk=_	Marchen}', "");
    Expect(1, 72896, '\P{Blk=_	Marchen}', "");
    Expect(0, 72896, '\P{^Blk=_	Marchen}', "");
    Error('\p{Is_Block=:=_	MARCHEN}');
    Error('\P{Is_Block=:=_	MARCHEN}');
    Expect(1, 72895, '\p{Is_Block=marchen}', "");
    Expect(0, 72895, '\p{^Is_Block=marchen}', "");
    Expect(0, 72895, '\P{Is_Block=marchen}', "");
    Expect(1, 72895, '\P{^Is_Block=marchen}', "");
    Expect(0, 72896, '\p{Is_Block=marchen}', "");
    Expect(1, 72896, '\p{^Is_Block=marchen}', "");
    Expect(1, 72896, '\P{Is_Block=marchen}', "");
    Expect(0, 72896, '\P{^Is_Block=marchen}', "");
    Expect(1, 72895, '\p{Is_Block=_-MARCHEN}', "");
    Expect(0, 72895, '\p{^Is_Block=_-MARCHEN}', "");
    Expect(0, 72895, '\P{Is_Block=_-MARCHEN}', "");
    Expect(1, 72895, '\P{^Is_Block=_-MARCHEN}', "");
    Expect(0, 72896, '\p{Is_Block=_-MARCHEN}', "");
    Expect(1, 72896, '\p{^Is_Block=_-MARCHEN}', "");
    Expect(1, 72896, '\P{Is_Block=_-MARCHEN}', "");
    Expect(0, 72896, '\P{^Is_Block=_-MARCHEN}', "");
    Error('\p{Is_Blk=:=	Marchen}');
    Error('\P{Is_Blk=:=	Marchen}');
    Expect(1, 72895, '\p{Is_Blk=marchen}', "");
    Expect(0, 72895, '\p{^Is_Blk=marchen}', "");
    Expect(0, 72895, '\P{Is_Blk=marchen}', "");
    Expect(1, 72895, '\P{^Is_Blk=marchen}', "");
    Expect(0, 72896, '\p{Is_Blk=marchen}', "");
    Expect(1, 72896, '\p{^Is_Blk=marchen}', "");
    Expect(1, 72896, '\P{Is_Blk=marchen}', "");
    Expect(0, 72896, '\P{^Is_Blk=marchen}', "");
    Expect(1, 72895, '\p{Is_Blk= -Marchen}', "");
    Expect(0, 72895, '\p{^Is_Blk= -Marchen}', "");
    Expect(0, 72895, '\P{Is_Blk= -Marchen}', "");
    Expect(1, 72895, '\P{^Is_Blk= -Marchen}', "");
    Expect(0, 72896, '\p{Is_Blk= -Marchen}', "");
    Expect(1, 72896, '\p{^Is_Blk= -Marchen}', "");
    Expect(1, 72896, '\P{Is_Blk= -Marchen}', "");
    Expect(0, 72896, '\P{^Is_Blk= -Marchen}', "");
    Error('\p{Block=:= -Masaram_gondi}');
    Error('\P{Block=:= -Masaram_gondi}');
    Expect(1, 73055, '\p{Block=:\AMasaram_Gondi\z:}', "");;
    Expect(0, 73056, '\p{Block=:\AMasaram_Gondi\z:}', "");;
    Expect(1, 73055, '\p{Block=masaramgondi}', "");
    Expect(0, 73055, '\p{^Block=masaramgondi}', "");
    Expect(0, 73055, '\P{Block=masaramgondi}', "");
    Expect(1, 73055, '\P{^Block=masaramgondi}', "");
    Expect(0, 73056, '\p{Block=masaramgondi}', "");
    Expect(1, 73056, '\p{^Block=masaramgondi}', "");
    Expect(1, 73056, '\P{Block=masaramgondi}', "");
    Expect(0, 73056, '\P{^Block=masaramgondi}', "");
    Expect(1, 73055, '\p{Block=:\Amasaramgondi\z:}', "");;
    Expect(0, 73056, '\p{Block=:\Amasaramgondi\z:}', "");;
    Expect(1, 73055, '\p{Block=_-masaram_Gondi}', "");
    Expect(0, 73055, '\p{^Block=_-masaram_Gondi}', "");
    Expect(0, 73055, '\P{Block=_-masaram_Gondi}', "");
    Expect(1, 73055, '\P{^Block=_-masaram_Gondi}', "");
    Expect(0, 73056, '\p{Block=_-masaram_Gondi}', "");
    Expect(1, 73056, '\p{^Block=_-masaram_Gondi}', "");
    Expect(1, 73056, '\P{Block=_-masaram_Gondi}', "");
    Expect(0, 73056, '\P{^Block=_-masaram_Gondi}', "");
    Error('\p{Blk:   _	MASARAM_GONDI/a/}');
    Error('\P{Blk:   _	MASARAM_GONDI/a/}');
    Expect(1, 73055, '\p{Blk=:\AMasaram_Gondi\z:}', "");;
    Expect(0, 73056, '\p{Blk=:\AMasaram_Gondi\z:}', "");;
    Expect(1, 73055, '\p{Blk:   masaramgondi}', "");
    Expect(0, 73055, '\p{^Blk:   masaramgondi}', "");
    Expect(0, 73055, '\P{Blk:   masaramgondi}', "");
    Expect(1, 73055, '\P{^Blk:   masaramgondi}', "");
    Expect(0, 73056, '\p{Blk:   masaramgondi}', "");
    Expect(1, 73056, '\p{^Blk:   masaramgondi}', "");
    Expect(1, 73056, '\P{Blk:   masaramgondi}', "");
    Expect(0, 73056, '\P{^Blk:   masaramgondi}', "");
    Expect(1, 73055, '\p{Blk=:\Amasaramgondi\z:}', "");;
    Expect(0, 73056, '\p{Blk=:\Amasaramgondi\z:}', "");;
    Expect(1, 73055, '\p{Blk=-Masaram_gondi}', "");
    Expect(0, 73055, '\p{^Blk=-Masaram_gondi}', "");
    Expect(0, 73055, '\P{Blk=-Masaram_gondi}', "");
    Expect(1, 73055, '\P{^Blk=-Masaram_gondi}', "");
    Expect(0, 73056, '\p{Blk=-Masaram_gondi}', "");
    Expect(1, 73056, '\p{^Blk=-Masaram_gondi}', "");
    Expect(1, 73056, '\P{Blk=-Masaram_gondi}', "");
    Expect(0, 73056, '\P{^Blk=-Masaram_gondi}', "");
    Error('\p{Is_Block=_masaram_gondi/a/}');
    Error('\P{Is_Block=_masaram_gondi/a/}');
    Expect(1, 73055, '\p{Is_Block=masaramgondi}', "");
    Expect(0, 73055, '\p{^Is_Block=masaramgondi}', "");
    Expect(0, 73055, '\P{Is_Block=masaramgondi}', "");
    Expect(1, 73055, '\P{^Is_Block=masaramgondi}', "");
    Expect(0, 73056, '\p{Is_Block=masaramgondi}', "");
    Expect(1, 73056, '\p{^Is_Block=masaramgondi}', "");
    Expect(1, 73056, '\P{Is_Block=masaramgondi}', "");
    Expect(0, 73056, '\P{^Is_Block=masaramgondi}', "");
    Expect(1, 73055, '\p{Is_Block=	 Masaram_Gondi}', "");
    Expect(0, 73055, '\p{^Is_Block=	 Masaram_Gondi}', "");
    Expect(0, 73055, '\P{Is_Block=	 Masaram_Gondi}', "");
    Expect(1, 73055, '\P{^Is_Block=	 Masaram_Gondi}', "");
    Expect(0, 73056, '\p{Is_Block=	 Masaram_Gondi}', "");
    Expect(1, 73056, '\p{^Is_Block=	 Masaram_Gondi}', "");
    Expect(1, 73056, '\P{Is_Block=	 Masaram_Gondi}', "");
    Expect(0, 73056, '\P{^Is_Block=	 Masaram_Gondi}', "");
    Error('\p{Is_Blk:  /a/Masaram_Gondi}');
    Error('\P{Is_Blk:  /a/Masaram_Gondi}');
    Expect(1, 73055, '\p{Is_Blk=masaramgondi}', "");
    Expect(0, 73055, '\p{^Is_Blk=masaramgondi}', "");
    Expect(0, 73055, '\P{Is_Blk=masaramgondi}', "");
    Expect(1, 73055, '\P{^Is_Blk=masaramgondi}', "");
    Expect(0, 73056, '\p{Is_Blk=masaramgondi}', "");
    Expect(1, 73056, '\p{^Is_Blk=masaramgondi}', "");
    Expect(1, 73056, '\P{Is_Blk=masaramgondi}', "");
    Expect(0, 73056, '\P{^Is_Blk=masaramgondi}', "");
    Expect(1, 73055, '\p{Is_Blk:	_MASARAM_gondi}', "");
    Expect(0, 73055, '\p{^Is_Blk:	_MASARAM_gondi}', "");
    Expect(0, 73055, '\P{Is_Blk:	_MASARAM_gondi}', "");
    Expect(1, 73055, '\P{^Is_Blk:	_MASARAM_gondi}', "");
    Expect(0, 73056, '\p{Is_Blk:	_MASARAM_gondi}', "");
    Expect(1, 73056, '\p{^Is_Blk:	_MASARAM_gondi}', "");
    Expect(1, 73056, '\P{Is_Blk:	_MASARAM_gondi}', "");
    Expect(0, 73056, '\P{^Is_Blk:	_MASARAM_gondi}', "");
    Error('\p{Block=:=-mathematical_Alphanumeric_Symbols}');
    Error('\P{Block=:=-mathematical_Alphanumeric_Symbols}');
    Expect(1, 120831, '\p{Block=:\AMathematical_Alphanumeric_Symbols\z:}', "");;
    Expect(0, 120832, '\p{Block=:\AMathematical_Alphanumeric_Symbols\z:}', "");;
    Expect(1, 120831, '\p{Block:	mathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\p{^Block:	mathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\P{Block:	mathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\P{^Block:	mathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\p{Block:	mathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\p{^Block:	mathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\P{Block:	mathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\P{^Block:	mathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\p{Block=:\Amathematicalalphanumericsymbols\z:}', "");;
    Expect(0, 120832, '\p{Block=:\Amathematicalalphanumericsymbols\z:}', "");;
    Expect(1, 120831, '\p{Block= mathematical_ALPHANUMERIC_symbols}', "");
    Expect(0, 120831, '\p{^Block= mathematical_ALPHANUMERIC_symbols}', "");
    Expect(0, 120831, '\P{Block= mathematical_ALPHANUMERIC_symbols}', "");
    Expect(1, 120831, '\P{^Block= mathematical_ALPHANUMERIC_symbols}', "");
    Expect(0, 120832, '\p{Block= mathematical_ALPHANUMERIC_symbols}', "");
    Expect(1, 120832, '\p{^Block= mathematical_ALPHANUMERIC_symbols}', "");
    Expect(1, 120832, '\P{Block= mathematical_ALPHANUMERIC_symbols}', "");
    Expect(0, 120832, '\P{^Block= mathematical_ALPHANUMERIC_symbols}', "");
    Error('\p{Blk= :=Math_Alphanum}');
    Error('\P{Blk= :=Math_Alphanum}');
    Expect(1, 120831, '\p{Blk=:\AMath_Alphanum\z:}', "");;
    Expect(0, 120832, '\p{Blk=:\AMath_Alphanum\z:}', "");;
    Expect(1, 120831, '\p{Blk=mathalphanum}', "");
    Expect(0, 120831, '\p{^Blk=mathalphanum}', "");
    Expect(0, 120831, '\P{Blk=mathalphanum}', "");
    Expect(1, 120831, '\P{^Blk=mathalphanum}', "");
    Expect(0, 120832, '\p{Blk=mathalphanum}', "");
    Expect(1, 120832, '\p{^Blk=mathalphanum}', "");
    Expect(1, 120832, '\P{Blk=mathalphanum}', "");
    Expect(0, 120832, '\P{^Blk=mathalphanum}', "");
    Expect(1, 120831, '\p{Blk=:\Amathalphanum\z:}', "");;
    Expect(0, 120832, '\p{Blk=:\Amathalphanum\z:}', "");;
    Expect(1, 120831, '\p{Blk:    MATH_alphanum}', "");
    Expect(0, 120831, '\p{^Blk:    MATH_alphanum}', "");
    Expect(0, 120831, '\P{Blk:    MATH_alphanum}', "");
    Expect(1, 120831, '\P{^Blk:    MATH_alphanum}', "");
    Expect(0, 120832, '\p{Blk:    MATH_alphanum}', "");
    Expect(1, 120832, '\p{^Blk:    MATH_alphanum}', "");
    Expect(1, 120832, '\P{Blk:    MATH_alphanum}', "");
    Expect(0, 120832, '\P{^Blk:    MATH_alphanum}', "");
    Error('\p{Is_Block=:=-	mathematical_Alphanumeric_Symbols}');
    Error('\P{Is_Block=:=-	mathematical_Alphanumeric_Symbols}');
    Expect(1, 120831, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\p{Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Expect(0, 120831, '\p{^Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Expect(0, 120831, '\P{Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Expect(1, 120831, '\P{^Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Expect(0, 120832, '\p{Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Expect(1, 120832, '\p{^Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Expect(1, 120832, '\P{Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Expect(0, 120832, '\P{^Is_Block= 	Mathematical_ALPHANUMERIC_SYMBOLS}', "");
    Error('\p{Is_Blk: /a/_ MATH_alphanum}');
    Error('\P{Is_Blk: /a/_ MATH_alphanum}');
    Expect(1, 120831, '\p{Is_Blk=mathalphanum}', "");
    Expect(0, 120831, '\p{^Is_Blk=mathalphanum}', "");
    Expect(0, 120831, '\P{Is_Blk=mathalphanum}', "");
    Expect(1, 120831, '\P{^Is_Blk=mathalphanum}', "");
    Expect(0, 120832, '\p{Is_Blk=mathalphanum}', "");
    Expect(1, 120832, '\p{^Is_Blk=mathalphanum}', "");
    Expect(1, 120832, '\P{Is_Blk=mathalphanum}', "");
    Expect(0, 120832, '\P{^Is_Blk=mathalphanum}', "");
    Expect(1, 120831, '\p{Is_Blk=--Math_ALPHANUM}', "");
    Expect(0, 120831, '\p{^Is_Blk=--Math_ALPHANUM}', "");
    Expect(0, 120831, '\P{Is_Blk=--Math_ALPHANUM}', "");
    Expect(1, 120831, '\P{^Is_Blk=--Math_ALPHANUM}', "");
    Expect(0, 120832, '\p{Is_Blk=--Math_ALPHANUM}', "");
    Expect(1, 120832, '\p{^Is_Blk=--Math_ALPHANUM}', "");
    Expect(1, 120832, '\P{Is_Blk=--Math_ALPHANUM}', "");
    Expect(0, 120832, '\P{^Is_Blk=--Math_ALPHANUM}', "");
    Error('\p{Block=/a/		mathematical_Operators}');
    Error('\P{Block=/a/		mathematical_Operators}');
    Expect(1, 8959, '\p{Block=:\AMathematical_Operators\z:}', "");;
    Expect(0, 8960, '\p{Block=:\AMathematical_Operators\z:}', "");;
    Expect(1, 8959, '\p{Block=mathematicaloperators}', "");
    Expect(0, 8959, '\p{^Block=mathematicaloperators}', "");
    Expect(0, 8959, '\P{Block=mathematicaloperators}', "");
    Expect(1, 8959, '\P{^Block=mathematicaloperators}', "");
    Expect(0, 8960, '\p{Block=mathematicaloperators}', "");
    Expect(1, 8960, '\p{^Block=mathematicaloperators}', "");
    Expect(1, 8960, '\P{Block=mathematicaloperators}', "");
    Expect(0, 8960, '\P{^Block=mathematicaloperators}', "");
    Expect(1, 8959, '\p{Block=:\Amathematicaloperators\z:}', "");;
    Expect(0, 8960, '\p{Block=:\Amathematicaloperators\z:}', "");;
    Expect(1, 8959, '\p{Block=	 MATHEMATICAL_Operators}', "");
    Expect(0, 8959, '\p{^Block=	 MATHEMATICAL_Operators}', "");
    Expect(0, 8959, '\P{Block=	 MATHEMATICAL_Operators}', "");
    Expect(1, 8959, '\P{^Block=	 MATHEMATICAL_Operators}', "");
    Expect(0, 8960, '\p{Block=	 MATHEMATICAL_Operators}', "");
    Expect(1, 8960, '\p{^Block=	 MATHEMATICAL_Operators}', "");
    Expect(1, 8960, '\P{Block=	 MATHEMATICAL_Operators}', "");
    Expect(0, 8960, '\P{^Block=	 MATHEMATICAL_Operators}', "");
    Error('\p{Blk=MATH_Operators/a/}');
    Error('\P{Blk=MATH_Operators/a/}');
    Expect(1, 8959, '\p{Blk=:\AMath_Operators\z:}', "");;
    Expect(0, 8960, '\p{Blk=:\AMath_Operators\z:}', "");;
    Expect(1, 8959, '\p{Blk=mathoperators}', "");
    Expect(0, 8959, '\p{^Blk=mathoperators}', "");
    Expect(0, 8959, '\P{Blk=mathoperators}', "");
    Expect(1, 8959, '\P{^Blk=mathoperators}', "");
    Expect(0, 8960, '\p{Blk=mathoperators}', "");
    Expect(1, 8960, '\p{^Blk=mathoperators}', "");
    Expect(1, 8960, '\P{Blk=mathoperators}', "");
    Expect(0, 8960, '\P{^Blk=mathoperators}', "");
    Expect(1, 8959, '\p{Blk=:\Amathoperators\z:}', "");;
    Expect(0, 8960, '\p{Blk=:\Amathoperators\z:}', "");;
    Expect(1, 8959, '\p{Blk=	math_Operators}', "");
    Expect(0, 8959, '\p{^Blk=	math_Operators}', "");
    Expect(0, 8959, '\P{Blk=	math_Operators}', "");
    Expect(1, 8959, '\P{^Blk=	math_Operators}', "");
    Expect(0, 8960, '\p{Blk=	math_Operators}', "");
    Expect(1, 8960, '\p{^Blk=	math_Operators}', "");
    Expect(1, 8960, '\P{Blk=	math_Operators}', "");
    Expect(0, 8960, '\P{^Blk=	math_Operators}', "");
    Error('\p{Is_Block=/a/mathematical_Operators}');
    Error('\P{Is_Block=/a/mathematical_Operators}');
    Expect(1, 8959, '\p{Is_Block=mathematicaloperators}', "");
    Expect(0, 8959, '\p{^Is_Block=mathematicaloperators}', "");
    Expect(0, 8959, '\P{Is_Block=mathematicaloperators}', "");
    Expect(1, 8959, '\P{^Is_Block=mathematicaloperators}', "");
    Expect(0, 8960, '\p{Is_Block=mathematicaloperators}', "");
    Expect(1, 8960, '\p{^Is_Block=mathematicaloperators}', "");
    Expect(1, 8960, '\P{Is_Block=mathematicaloperators}', "");
    Expect(0, 8960, '\P{^Is_Block=mathematicaloperators}', "");
    Expect(1, 8959, '\p{Is_Block=_Mathematical_Operators}', "");
    Expect(0, 8959, '\p{^Is_Block=_Mathematical_Operators}', "");
    Expect(0, 8959, '\P{Is_Block=_Mathematical_Operators}', "");
    Expect(1, 8959, '\P{^Is_Block=_Mathematical_Operators}', "");
    Expect(0, 8960, '\p{Is_Block=_Mathematical_Operators}', "");
    Expect(1, 8960, '\p{^Is_Block=_Mathematical_Operators}', "");
    Expect(1, 8960, '\P{Is_Block=_Mathematical_Operators}', "");
    Expect(0, 8960, '\P{^Is_Block=_Mathematical_Operators}', "");
    Error('\p{Is_Blk=	:=math_Operators}');
    Error('\P{Is_Blk=	:=math_Operators}');
    Expect(1, 8959, '\p{Is_Blk=mathoperators}', "");
    Expect(0, 8959, '\p{^Is_Blk=mathoperators}', "");
    Expect(0, 8959, '\P{Is_Blk=mathoperators}', "");
    Expect(1, 8959, '\P{^Is_Blk=mathoperators}', "");
    Expect(0, 8960, '\p{Is_Blk=mathoperators}', "");
    Expect(1, 8960, '\p{^Is_Blk=mathoperators}', "");
    Expect(1, 8960, '\P{Is_Blk=mathoperators}', "");
    Expect(0, 8960, '\P{^Is_Blk=mathoperators}', "");
    Expect(1, 8959, '\p{Is_Blk=--Math_Operators}', "");
    Expect(0, 8959, '\p{^Is_Blk=--Math_Operators}', "");
    Expect(0, 8959, '\P{Is_Blk=--Math_Operators}', "");
    Expect(1, 8959, '\P{^Is_Blk=--Math_Operators}', "");
    Expect(0, 8960, '\p{Is_Blk=--Math_Operators}', "");
    Expect(1, 8960, '\p{^Is_Blk=--Math_Operators}', "");
    Expect(1, 8960, '\P{Is_Blk=--Math_Operators}', "");
    Expect(0, 8960, '\P{^Is_Blk=--Math_Operators}', "");
    Error('\p{Block=:= -Mayan_Numerals}');
    Error('\P{Block=:= -Mayan_Numerals}');
    Expect(1, 119551, '\p{Block=:\AMayan_Numerals\z:}', "");;
    Expect(0, 119552, '\p{Block=:\AMayan_Numerals\z:}', "");;
    Expect(1, 119551, '\p{Block=mayannumerals}', "");
    Expect(0, 119551, '\p{^Block=mayannumerals}', "");
    Expect(0, 119551, '\P{Block=mayannumerals}', "");
    Expect(1, 119551, '\P{^Block=mayannumerals}', "");
    Expect(0, 119552, '\p{Block=mayannumerals}', "");
    Expect(1, 119552, '\p{^Block=mayannumerals}', "");
    Expect(1, 119552, '\P{Block=mayannumerals}', "");
    Expect(0, 119552, '\P{^Block=mayannumerals}', "");
    Expect(1, 119551, '\p{Block=:\Amayannumerals\z:}', "");;
    Expect(0, 119552, '\p{Block=:\Amayannumerals\z:}', "");;
    Expect(1, 119551, '\p{Block= Mayan_NUMERALS}', "");
    Expect(0, 119551, '\p{^Block= Mayan_NUMERALS}', "");
    Expect(0, 119551, '\P{Block= Mayan_NUMERALS}', "");
    Expect(1, 119551, '\P{^Block= Mayan_NUMERALS}', "");
    Expect(0, 119552, '\p{Block= Mayan_NUMERALS}', "");
    Expect(1, 119552, '\p{^Block= Mayan_NUMERALS}', "");
    Expect(1, 119552, '\P{Block= Mayan_NUMERALS}', "");
    Expect(0, 119552, '\P{^Block= Mayan_NUMERALS}', "");
    Error('\p{Blk=-Mayan_NUMERALS:=}');
    Error('\P{Blk=-Mayan_NUMERALS:=}');
    Expect(1, 119551, '\p{Blk=:\AMayan_Numerals\z:}', "");;
    Expect(0, 119552, '\p{Blk=:\AMayan_Numerals\z:}', "");;
    Expect(1, 119551, '\p{Blk: mayannumerals}', "");
    Expect(0, 119551, '\p{^Blk: mayannumerals}', "");
    Expect(0, 119551, '\P{Blk: mayannumerals}', "");
    Expect(1, 119551, '\P{^Blk: mayannumerals}', "");
    Expect(0, 119552, '\p{Blk: mayannumerals}', "");
    Expect(1, 119552, '\p{^Blk: mayannumerals}', "");
    Expect(1, 119552, '\P{Blk: mayannumerals}', "");
    Expect(0, 119552, '\P{^Blk: mayannumerals}', "");
    Expect(1, 119551, '\p{Blk=:\Amayannumerals\z:}', "");;
    Expect(0, 119552, '\p{Blk=:\Amayannumerals\z:}', "");;
    Expect(1, 119551, '\p{Blk=	Mayan_NUMERALS}', "");
    Expect(0, 119551, '\p{^Blk=	Mayan_NUMERALS}', "");
    Expect(0, 119551, '\P{Blk=	Mayan_NUMERALS}', "");
    Expect(1, 119551, '\P{^Blk=	Mayan_NUMERALS}', "");
    Expect(0, 119552, '\p{Blk=	Mayan_NUMERALS}', "");
    Expect(1, 119552, '\p{^Blk=	Mayan_NUMERALS}', "");
    Expect(1, 119552, '\P{Blk=	Mayan_NUMERALS}', "");
    Expect(0, 119552, '\P{^Blk=	Mayan_NUMERALS}', "");
    Error('\p{Is_Block=/a/_MAYAN_Numerals}');
    Error('\P{Is_Block=/a/_MAYAN_Numerals}');
    Expect(1, 119551, '\p{Is_Block=mayannumerals}', "");
    Expect(0, 119551, '\p{^Is_Block=mayannumerals}', "");
    Expect(0, 119551, '\P{Is_Block=mayannumerals}', "");
    Expect(1, 119551, '\P{^Is_Block=mayannumerals}', "");
    Expect(0, 119552, '\p{Is_Block=mayannumerals}', "");
    Expect(1, 119552, '\p{^Is_Block=mayannumerals}', "");
    Expect(1, 119552, '\P{Is_Block=mayannumerals}', "");
    Expect(0, 119552, '\P{^Is_Block=mayannumerals}', "");
    Expect(1, 119551, '\p{Is_Block=		mayan_NUMERALS}', "");
    Expect(0, 119551, '\p{^Is_Block=		mayan_NUMERALS}', "");
    Expect(0, 119551, '\P{Is_Block=		mayan_NUMERALS}', "");
    Expect(1, 119551, '\P{^Is_Block=		mayan_NUMERALS}', "");
    Expect(0, 119552, '\p{Is_Block=		mayan_NUMERALS}', "");
    Expect(1, 119552, '\p{^Is_Block=		mayan_NUMERALS}', "");
    Expect(1, 119552, '\P{Is_Block=		mayan_NUMERALS}', "");
    Expect(0, 119552, '\P{^Is_Block=		mayan_NUMERALS}', "");
    Error('\p{Is_Blk=/a/	Mayan_NUMERALS}');
    Error('\P{Is_Blk=/a/	Mayan_NUMERALS}');
    Expect(1, 119551, '\p{Is_Blk=mayannumerals}', "");
    Expect(0, 119551, '\p{^Is_Blk=mayannumerals}', "");
    Expect(0, 119551, '\P{Is_Blk=mayannumerals}', "");
    Expect(1, 119551, '\P{^Is_Blk=mayannumerals}', "");
    Expect(0, 119552, '\p{Is_Blk=mayannumerals}', "");
    Expect(1, 119552, '\p{^Is_Blk=mayannumerals}', "");
    Expect(1, 119552, '\P{Is_Blk=mayannumerals}', "");
    Expect(0, 119552, '\P{^Is_Blk=mayannumerals}', "");
    Expect(1, 119551, '\p{Is_Blk=_Mayan_NUMERALS}', "");
    Expect(0, 119551, '\p{^Is_Blk=_Mayan_NUMERALS}', "");
    Expect(0, 119551, '\P{Is_Blk=_Mayan_NUMERALS}', "");
    Expect(1, 119551, '\P{^Is_Blk=_Mayan_NUMERALS}', "");
    Expect(0, 119552, '\p{Is_Blk=_Mayan_NUMERALS}', "");
    Expect(1, 119552, '\p{^Is_Blk=_Mayan_NUMERALS}', "");
    Expect(1, 119552, '\P{Is_Blk=_Mayan_NUMERALS}', "");
    Expect(0, 119552, '\P{^Is_Blk=_Mayan_NUMERALS}', "");
    Error('\p{Block=:= _Medefaidrin}');
    Error('\P{Block=:= _Medefaidrin}');
    Expect(1, 93855, '\p{Block=:\AMedefaidrin\z:}', "");;
    Expect(0, 93856, '\p{Block=:\AMedefaidrin\z:}', "");;
    Expect(1, 93855, '\p{Block=medefaidrin}', "");
    Expect(0, 93855, '\p{^Block=medefaidrin}', "");
    Expect(0, 93855, '\P{Block=medefaidrin}', "");
    Expect(1, 93855, '\P{^Block=medefaidrin}', "");
    Expect(0, 93856, '\p{Block=medefaidrin}', "");
    Expect(1, 93856, '\p{^Block=medefaidrin}', "");
    Expect(1, 93856, '\P{Block=medefaidrin}', "");
    Expect(0, 93856, '\P{^Block=medefaidrin}', "");
    Expect(1, 93855, '\p{Block=:\Amedefaidrin\z:}', "");;
    Expect(0, 93856, '\p{Block=:\Amedefaidrin\z:}', "");;
    Expect(1, 93855, '\p{Block=	Medefaidrin}', "");
    Expect(0, 93855, '\p{^Block=	Medefaidrin}', "");
    Expect(0, 93855, '\P{Block=	Medefaidrin}', "");
    Expect(1, 93855, '\P{^Block=	Medefaidrin}', "");
    Expect(0, 93856, '\p{Block=	Medefaidrin}', "");
    Expect(1, 93856, '\p{^Block=	Medefaidrin}', "");
    Expect(1, 93856, '\P{Block=	Medefaidrin}', "");
    Expect(0, 93856, '\P{^Block=	Medefaidrin}', "");
    Error('\p{Blk=/a/medefaidrin}');
    Error('\P{Blk=/a/medefaidrin}');
    Expect(1, 93855, '\p{Blk=:\AMedefaidrin\z:}', "");;
    Expect(0, 93856, '\p{Blk=:\AMedefaidrin\z:}', "");;
    Expect(1, 93855, '\p{Blk:medefaidrin}', "");
    Expect(0, 93855, '\p{^Blk:medefaidrin}', "");
    Expect(0, 93855, '\P{Blk:medefaidrin}', "");
    Expect(1, 93855, '\P{^Blk:medefaidrin}', "");
    Expect(0, 93856, '\p{Blk:medefaidrin}', "");
    Expect(1, 93856, '\p{^Blk:medefaidrin}', "");
    Expect(1, 93856, '\P{Blk:medefaidrin}', "");
    Expect(0, 93856, '\P{^Blk:medefaidrin}', "");
    Expect(1, 93855, '\p{Blk=:\Amedefaidrin\z:}', "");;
    Expect(0, 93856, '\p{Blk=:\Amedefaidrin\z:}', "");;
    Expect(1, 93855, '\p{Blk=	Medefaidrin}', "");
    Expect(0, 93855, '\p{^Blk=	Medefaidrin}', "");
    Expect(0, 93855, '\P{Blk=	Medefaidrin}', "");
    Expect(1, 93855, '\P{^Blk=	Medefaidrin}', "");
    Expect(0, 93856, '\p{Blk=	Medefaidrin}', "");
    Expect(1, 93856, '\p{^Blk=	Medefaidrin}', "");
    Expect(1, 93856, '\P{Blk=	Medefaidrin}', "");
    Expect(0, 93856, '\P{^Blk=	Medefaidrin}', "");
    Error('\p{Is_Block=:=MEDEFAIDRIN}');
    Error('\P{Is_Block=:=MEDEFAIDRIN}');
    Expect(1, 93855, '\p{Is_Block=medefaidrin}', "");
    Expect(0, 93855, '\p{^Is_Block=medefaidrin}', "");
    Expect(0, 93855, '\P{Is_Block=medefaidrin}', "");
    Expect(1, 93855, '\P{^Is_Block=medefaidrin}', "");
    Expect(0, 93856, '\p{Is_Block=medefaidrin}', "");
    Expect(1, 93856, '\p{^Is_Block=medefaidrin}', "");
    Expect(1, 93856, '\P{Is_Block=medefaidrin}', "");
    Expect(0, 93856, '\P{^Is_Block=medefaidrin}', "");
    Expect(1, 93855, '\p{Is_Block=-_medefaidrin}', "");
    Expect(0, 93855, '\p{^Is_Block=-_medefaidrin}', "");
    Expect(0, 93855, '\P{Is_Block=-_medefaidrin}', "");
    Expect(1, 93855, '\P{^Is_Block=-_medefaidrin}', "");
    Expect(0, 93856, '\p{Is_Block=-_medefaidrin}', "");
    Expect(1, 93856, '\p{^Is_Block=-_medefaidrin}', "");
    Expect(1, 93856, '\P{Is_Block=-_medefaidrin}', "");
    Expect(0, 93856, '\P{^Is_Block=-_medefaidrin}', "");
    Error('\p{Is_Blk= /a/Medefaidrin}');
    Error('\P{Is_Blk= /a/Medefaidrin}');
    Expect(1, 93855, '\p{Is_Blk:	medefaidrin}', "");
    Expect(0, 93855, '\p{^Is_Blk:	medefaidrin}', "");
    Expect(0, 93855, '\P{Is_Blk:	medefaidrin}', "");
    Expect(1, 93855, '\P{^Is_Blk:	medefaidrin}', "");
    Expect(0, 93856, '\p{Is_Blk:	medefaidrin}', "");
    Expect(1, 93856, '\p{^Is_Blk:	medefaidrin}', "");
    Expect(1, 93856, '\P{Is_Blk:	medefaidrin}', "");
    Expect(0, 93856, '\P{^Is_Blk:	medefaidrin}', "");
    Expect(1, 93855, '\p{Is_Blk=		MEDEFAIDRIN}', "");
    Expect(0, 93855, '\p{^Is_Blk=		MEDEFAIDRIN}', "");
    Expect(0, 93855, '\P{Is_Blk=		MEDEFAIDRIN}', "");
    Expect(1, 93855, '\P{^Is_Blk=		MEDEFAIDRIN}', "");
    Expect(0, 93856, '\p{Is_Blk=		MEDEFAIDRIN}', "");
    Expect(1, 93856, '\p{^Is_Blk=		MEDEFAIDRIN}', "");
    Expect(1, 93856, '\P{Is_Blk=		MEDEFAIDRIN}', "");
    Expect(0, 93856, '\P{^Is_Blk=		MEDEFAIDRIN}', "");
    Error('\p{Block=	/a/Meetei_MAYEK}');
    Error('\P{Block=	/a/Meetei_MAYEK}');
    Expect(1, 44031, '\p{Block=:\AMeetei_Mayek\z:}', "");;
    Expect(0, 44032, '\p{Block=:\AMeetei_Mayek\z:}', "");;
    Expect(1, 44031, '\p{Block=meeteimayek}', "");
    Expect(0, 44031, '\p{^Block=meeteimayek}', "");
    Expect(0, 44031, '\P{Block=meeteimayek}', "");
    Expect(1, 44031, '\P{^Block=meeteimayek}', "");
    Expect(0, 44032, '\p{Block=meeteimayek}', "");
    Expect(1, 44032, '\p{^Block=meeteimayek}', "");
    Expect(1, 44032, '\P{Block=meeteimayek}', "");
    Expect(0, 44032, '\P{^Block=meeteimayek}', "");
    Expect(1, 44031, '\p{Block=:\Ameeteimayek\z:}', "");;
    Expect(0, 44032, '\p{Block=:\Ameeteimayek\z:}', "");;
    Expect(1, 44031, '\p{Block=  Meetei_Mayek}', "");
    Expect(0, 44031, '\p{^Block=  Meetei_Mayek}', "");
    Expect(0, 44031, '\P{Block=  Meetei_Mayek}', "");
    Expect(1, 44031, '\P{^Block=  Meetei_Mayek}', "");
    Expect(0, 44032, '\p{Block=  Meetei_Mayek}', "");
    Expect(1, 44032, '\p{^Block=  Meetei_Mayek}', "");
    Expect(1, 44032, '\P{Block=  Meetei_Mayek}', "");
    Expect(0, 44032, '\P{^Block=  Meetei_Mayek}', "");
    Error('\p{Blk=MEETEI_Mayek/a/}');
    Error('\P{Blk=MEETEI_Mayek/a/}');
    Expect(1, 44031, '\p{Blk=:\AMeetei_Mayek\z:}', "");;
    Expect(0, 44032, '\p{Blk=:\AMeetei_Mayek\z:}', "");;
    Expect(1, 44031, '\p{Blk=meeteimayek}', "");
    Expect(0, 44031, '\p{^Blk=meeteimayek}', "");
    Expect(0, 44031, '\P{Blk=meeteimayek}', "");
    Expect(1, 44031, '\P{^Blk=meeteimayek}', "");
    Expect(0, 44032, '\p{Blk=meeteimayek}', "");
    Expect(1, 44032, '\p{^Blk=meeteimayek}', "");
    Expect(1, 44032, '\P{Blk=meeteimayek}', "");
    Expect(0, 44032, '\P{^Blk=meeteimayek}', "");
    Expect(1, 44031, '\p{Blk=:\Ameeteimayek\z:}', "");;
    Expect(0, 44032, '\p{Blk=:\Ameeteimayek\z:}', "");;
    Expect(1, 44031, '\p{Blk=	_Meetei_Mayek}', "");
    Expect(0, 44031, '\p{^Blk=	_Meetei_Mayek}', "");
    Expect(0, 44031, '\P{Blk=	_Meetei_Mayek}', "");
    Expect(1, 44031, '\P{^Blk=	_Meetei_Mayek}', "");
    Expect(0, 44032, '\p{Blk=	_Meetei_Mayek}', "");
    Expect(1, 44032, '\p{^Blk=	_Meetei_Mayek}', "");
    Expect(1, 44032, '\P{Blk=	_Meetei_Mayek}', "");
    Expect(0, 44032, '\P{^Blk=	_Meetei_Mayek}', "");
    Error('\p{Is_Block=__Meetei_Mayek/a/}');
    Error('\P{Is_Block=__Meetei_Mayek/a/}');
    Expect(1, 44031, '\p{Is_Block=meeteimayek}', "");
    Expect(0, 44031, '\p{^Is_Block=meeteimayek}', "");
    Expect(0, 44031, '\P{Is_Block=meeteimayek}', "");
    Expect(1, 44031, '\P{^Is_Block=meeteimayek}', "");
    Expect(0, 44032, '\p{Is_Block=meeteimayek}', "");
    Expect(1, 44032, '\p{^Is_Block=meeteimayek}', "");
    Expect(1, 44032, '\P{Is_Block=meeteimayek}', "");
    Expect(0, 44032, '\P{^Is_Block=meeteimayek}', "");
    Expect(1, 44031, '\p{Is_Block=--MEETEI_Mayek}', "");
    Expect(0, 44031, '\p{^Is_Block=--MEETEI_Mayek}', "");
    Expect(0, 44031, '\P{Is_Block=--MEETEI_Mayek}', "");
    Expect(1, 44031, '\P{^Is_Block=--MEETEI_Mayek}', "");
    Expect(0, 44032, '\p{Is_Block=--MEETEI_Mayek}', "");
    Expect(1, 44032, '\p{^Is_Block=--MEETEI_Mayek}', "");
    Expect(1, 44032, '\P{Is_Block=--MEETEI_Mayek}', "");
    Expect(0, 44032, '\P{^Is_Block=--MEETEI_Mayek}', "");
    Error('\p{Is_Blk=/a/ -MEETEI_mayek}');
    Error('\P{Is_Blk=/a/ -MEETEI_mayek}');
    Expect(1, 44031, '\p{Is_Blk=meeteimayek}', "");
    Expect(0, 44031, '\p{^Is_Blk=meeteimayek}', "");
    Expect(0, 44031, '\P{Is_Blk=meeteimayek}', "");
    Expect(1, 44031, '\P{^Is_Blk=meeteimayek}', "");
    Expect(0, 44032, '\p{Is_Blk=meeteimayek}', "");
    Expect(1, 44032, '\p{^Is_Blk=meeteimayek}', "");
    Expect(1, 44032, '\P{Is_Blk=meeteimayek}', "");
    Expect(0, 44032, '\P{^Is_Blk=meeteimayek}', "");
    Expect(1, 44031, '\p{Is_Blk=- meetei_mayek}', "");
    Expect(0, 44031, '\p{^Is_Blk=- meetei_mayek}', "");
    Expect(0, 44031, '\P{Is_Blk=- meetei_mayek}', "");
    Expect(1, 44031, '\P{^Is_Blk=- meetei_mayek}', "");
    Expect(0, 44032, '\p{Is_Blk=- meetei_mayek}', "");
    Expect(1, 44032, '\p{^Is_Blk=- meetei_mayek}', "");
    Expect(1, 44032, '\P{Is_Blk=- meetei_mayek}', "");
    Expect(0, 44032, '\P{^Is_Blk=- meetei_mayek}', "");
    Error('\p{Block=-_MEETEI_MAYEK_extensions:=}');
    Error('\P{Block=-_MEETEI_MAYEK_extensions:=}');
    Expect(1, 43775, '\p{Block=:\AMeetei_Mayek_Extensions\z:}', "");;
    Expect(0, 43776, '\p{Block=:\AMeetei_Mayek_Extensions\z:}', "");;
    Expect(1, 43775, '\p{Block=meeteimayekextensions}', "");
    Expect(0, 43775, '\p{^Block=meeteimayekextensions}', "");
    Expect(0, 43775, '\P{Block=meeteimayekextensions}', "");
    Expect(1, 43775, '\P{^Block=meeteimayekextensions}', "");
    Expect(0, 43776, '\p{Block=meeteimayekextensions}', "");
    Expect(1, 43776, '\p{^Block=meeteimayekextensions}', "");
    Expect(1, 43776, '\P{Block=meeteimayekextensions}', "");
    Expect(0, 43776, '\P{^Block=meeteimayekextensions}', "");
    Expect(1, 43775, '\p{Block=:\Ameeteimayekextensions\z:}', "");;
    Expect(0, 43776, '\p{Block=:\Ameeteimayekextensions\z:}', "");;
    Expect(1, 43775, '\p{Block=--Meetei_Mayek_EXTENSIONS}', "");
    Expect(0, 43775, '\p{^Block=--Meetei_Mayek_EXTENSIONS}', "");
    Expect(0, 43775, '\P{Block=--Meetei_Mayek_EXTENSIONS}', "");
    Expect(1, 43775, '\P{^Block=--Meetei_Mayek_EXTENSIONS}', "");
    Expect(0, 43776, '\p{Block=--Meetei_Mayek_EXTENSIONS}', "");
    Expect(1, 43776, '\p{^Block=--Meetei_Mayek_EXTENSIONS}', "");
    Expect(1, 43776, '\P{Block=--Meetei_Mayek_EXTENSIONS}', "");
    Expect(0, 43776, '\P{^Block=--Meetei_Mayek_EXTENSIONS}', "");
    Error('\p{Blk=_:=meetei_mayek_ext}');
    Error('\P{Blk=_:=meetei_mayek_ext}');
    Expect(1, 43775, '\p{Blk=:\AMeetei_Mayek_Ext\z:}', "");;
    Expect(0, 43776, '\p{Blk=:\AMeetei_Mayek_Ext\z:}', "");;
    Expect(1, 43775, '\p{Blk=meeteimayekext}', "");
    Expect(0, 43775, '\p{^Blk=meeteimayekext}', "");
    Expect(0, 43775, '\P{Blk=meeteimayekext}', "");
    Expect(1, 43775, '\P{^Blk=meeteimayekext}', "");
    Expect(0, 43776, '\p{Blk=meeteimayekext}', "");
    Expect(1, 43776, '\p{^Blk=meeteimayekext}', "");
    Expect(1, 43776, '\P{Blk=meeteimayekext}', "");
    Expect(0, 43776, '\P{^Blk=meeteimayekext}', "");
    Expect(1, 43775, '\p{Blk=:\Ameeteimayekext\z:}', "");;
    Expect(0, 43776, '\p{Blk=:\Ameeteimayekext\z:}', "");;
    Expect(1, 43775, '\p{Blk:		_MEETEI_Mayek_Ext}', "");
    Expect(0, 43775, '\p{^Blk:		_MEETEI_Mayek_Ext}', "");
    Expect(0, 43775, '\P{Blk:		_MEETEI_Mayek_Ext}', "");
    Expect(1, 43775, '\P{^Blk:		_MEETEI_Mayek_Ext}', "");
    Expect(0, 43776, '\p{Blk:		_MEETEI_Mayek_Ext}', "");
    Expect(1, 43776, '\p{^Blk:		_MEETEI_Mayek_Ext}', "");
    Expect(1, 43776, '\P{Blk:		_MEETEI_Mayek_Ext}', "");
    Expect(0, 43776, '\P{^Blk:		_MEETEI_Mayek_Ext}', "");
    Error('\p{Is_Block=/a/meetei_Mayek_Extensions}');
    Error('\P{Is_Block=/a/meetei_Mayek_Extensions}');
    Expect(1, 43775, '\p{Is_Block=meeteimayekextensions}', "");
    Expect(0, 43775, '\p{^Is_Block=meeteimayekextensions}', "");
    Expect(0, 43775, '\P{Is_Block=meeteimayekextensions}', "");
    Expect(1, 43775, '\P{^Is_Block=meeteimayekextensions}', "");
    Expect(0, 43776, '\p{Is_Block=meeteimayekextensions}', "");
    Expect(1, 43776, '\p{^Is_Block=meeteimayekextensions}', "");
    Expect(1, 43776, '\P{Is_Block=meeteimayekextensions}', "");
    Expect(0, 43776, '\P{^Is_Block=meeteimayekextensions}', "");
    Expect(1, 43775, '\p{Is_Block=--MEETEI_Mayek_extensions}', "");
    Expect(0, 43775, '\p{^Is_Block=--MEETEI_Mayek_extensions}', "");
    Expect(0, 43775, '\P{Is_Block=--MEETEI_Mayek_extensions}', "");
    Expect(1, 43775, '\P{^Is_Block=--MEETEI_Mayek_extensions}', "");
    Expect(0, 43776, '\p{Is_Block=--MEETEI_Mayek_extensions}', "");
    Expect(1, 43776, '\p{^Is_Block=--MEETEI_Mayek_extensions}', "");
    Expect(1, 43776, '\P{Is_Block=--MEETEI_Mayek_extensions}', "");
    Expect(0, 43776, '\P{^Is_Block=--MEETEI_Mayek_extensions}', "");
    Error('\p{Is_Blk= 	Meetei_mayek_ext:=}');
    Error('\P{Is_Blk= 	Meetei_mayek_ext:=}');
    Expect(1, 43775, '\p{Is_Blk=meeteimayekext}', "");
    Expect(0, 43775, '\p{^Is_Blk=meeteimayekext}', "");
    Expect(0, 43775, '\P{Is_Blk=meeteimayekext}', "");
    Expect(1, 43775, '\P{^Is_Blk=meeteimayekext}', "");
    Expect(0, 43776, '\p{Is_Blk=meeteimayekext}', "");
    Expect(1, 43776, '\p{^Is_Blk=meeteimayekext}', "");
    Expect(1, 43776, '\P{Is_Blk=meeteimayekext}', "");
    Expect(0, 43776, '\P{^Is_Blk=meeteimayekext}', "");
    Expect(1, 43775, '\p{Is_Blk:	_meetei_mayek_ext}', "");
    Expect(0, 43775, '\p{^Is_Blk:	_meetei_mayek_ext}', "");
    Expect(0, 43775, '\P{Is_Blk:	_meetei_mayek_ext}', "");
    Expect(1, 43775, '\P{^Is_Blk:	_meetei_mayek_ext}', "");
    Expect(0, 43776, '\p{Is_Blk:	_meetei_mayek_ext}', "");
    Expect(1, 43776, '\p{^Is_Blk:	_meetei_mayek_ext}', "");
    Expect(1, 43776, '\P{Is_Blk:	_meetei_mayek_ext}', "");
    Expect(0, 43776, '\P{^Is_Blk:	_meetei_mayek_ext}', "");
    Error('\p{Block=	_Mende_KIKAKUI:=}');
    Error('\P{Block=	_Mende_KIKAKUI:=}');
    Expect(1, 125151, '\p{Block=:\AMende_Kikakui\z:}', "");;
    Expect(0, 125152, '\p{Block=:\AMende_Kikakui\z:}', "");;
    Expect(1, 125151, '\p{Block=mendekikakui}', "");
    Expect(0, 125151, '\p{^Block=mendekikakui}', "");
    Expect(0, 125151, '\P{Block=mendekikakui}', "");
    Expect(1, 125151, '\P{^Block=mendekikakui}', "");
    Expect(0, 125152, '\p{Block=mendekikakui}', "");
    Expect(1, 125152, '\p{^Block=mendekikakui}', "");
    Expect(1, 125152, '\P{Block=mendekikakui}', "");
    Expect(0, 125152, '\P{^Block=mendekikakui}', "");
    Expect(1, 125151, '\p{Block=:\Amendekikakui\z:}', "");;
    Expect(0, 125152, '\p{Block=:\Amendekikakui\z:}', "");;
    Expect(1, 125151, '\p{Block= mende_Kikakui}', "");
    Expect(0, 125151, '\p{^Block= mende_Kikakui}', "");
    Expect(0, 125151, '\P{Block= mende_Kikakui}', "");
    Expect(1, 125151, '\P{^Block= mende_Kikakui}', "");
    Expect(0, 125152, '\p{Block= mende_Kikakui}', "");
    Expect(1, 125152, '\p{^Block= mende_Kikakui}', "");
    Expect(1, 125152, '\P{Block= mende_Kikakui}', "");
    Expect(0, 125152, '\P{^Block= mende_Kikakui}', "");
    Error('\p{Blk=-:=Mende_KIKAKUI}');
    Error('\P{Blk=-:=Mende_KIKAKUI}');
    Expect(1, 125151, '\p{Blk=:\AMende_Kikakui\z:}', "");;
    Expect(0, 125152, '\p{Blk=:\AMende_Kikakui\z:}', "");;
    Expect(1, 125151, '\p{Blk=mendekikakui}', "");
    Expect(0, 125151, '\p{^Blk=mendekikakui}', "");
    Expect(0, 125151, '\P{Blk=mendekikakui}', "");
    Expect(1, 125151, '\P{^Blk=mendekikakui}', "");
    Expect(0, 125152, '\p{Blk=mendekikakui}', "");
    Expect(1, 125152, '\p{^Blk=mendekikakui}', "");
    Expect(1, 125152, '\P{Blk=mendekikakui}', "");
    Expect(0, 125152, '\P{^Blk=mendekikakui}', "");
    Expect(1, 125151, '\p{Blk=:\Amendekikakui\z:}', "");;
    Expect(0, 125152, '\p{Blk=:\Amendekikakui\z:}', "");;
    Expect(1, 125151, '\p{Blk=-_mende_kikakui}', "");
    Expect(0, 125151, '\p{^Blk=-_mende_kikakui}', "");
    Expect(0, 125151, '\P{Blk=-_mende_kikakui}', "");
    Expect(1, 125151, '\P{^Blk=-_mende_kikakui}', "");
    Expect(0, 125152, '\p{Blk=-_mende_kikakui}', "");
    Expect(1, 125152, '\p{^Blk=-_mende_kikakui}', "");
    Expect(1, 125152, '\P{Blk=-_mende_kikakui}', "");
    Expect(0, 125152, '\P{^Blk=-_mende_kikakui}', "");
    Error('\p{Is_Block=:=_mende_kikakui}');
    Error('\P{Is_Block=:=_mende_kikakui}');
    Expect(1, 125151, '\p{Is_Block:   mendekikakui}', "");
    Expect(0, 125151, '\p{^Is_Block:   mendekikakui}', "");
    Expect(0, 125151, '\P{Is_Block:   mendekikakui}', "");
    Expect(1, 125151, '\P{^Is_Block:   mendekikakui}', "");
    Expect(0, 125152, '\p{Is_Block:   mendekikakui}', "");
    Expect(1, 125152, '\p{^Is_Block:   mendekikakui}', "");
    Expect(1, 125152, '\P{Is_Block:   mendekikakui}', "");
    Expect(0, 125152, '\P{^Is_Block:   mendekikakui}', "");
    Expect(1, 125151, '\p{Is_Block=_MENDE_kikakui}', "");
    Expect(0, 125151, '\p{^Is_Block=_MENDE_kikakui}', "");
    Expect(0, 125151, '\P{Is_Block=_MENDE_kikakui}', "");
    Expect(1, 125151, '\P{^Is_Block=_MENDE_kikakui}', "");
    Expect(0, 125152, '\p{Is_Block=_MENDE_kikakui}', "");
    Expect(1, 125152, '\p{^Is_Block=_MENDE_kikakui}', "");
    Expect(1, 125152, '\P{Is_Block=_MENDE_kikakui}', "");
    Expect(0, 125152, '\P{^Is_Block=_MENDE_kikakui}', "");
    Error('\p{Is_Blk=/a/mende_Kikakui}');
    Error('\P{Is_Blk=/a/mende_Kikakui}');
    Expect(1, 125151, '\p{Is_Blk=mendekikakui}', "");
    Expect(0, 125151, '\p{^Is_Blk=mendekikakui}', "");
    Expect(0, 125151, '\P{Is_Blk=mendekikakui}', "");
    Expect(1, 125151, '\P{^Is_Blk=mendekikakui}', "");
    Expect(0, 125152, '\p{Is_Blk=mendekikakui}', "");
    Expect(1, 125152, '\p{^Is_Blk=mendekikakui}', "");
    Expect(1, 125152, '\P{Is_Blk=mendekikakui}', "");
    Expect(0, 125152, '\P{^Is_Blk=mendekikakui}', "");
    Expect(1, 125151, '\p{Is_Blk=-Mende_kikakui}', "");
    Expect(0, 125151, '\p{^Is_Blk=-Mende_kikakui}', "");
    Expect(0, 125151, '\P{Is_Blk=-Mende_kikakui}', "");
    Expect(1, 125151, '\P{^Is_Blk=-Mende_kikakui}', "");
    Expect(0, 125152, '\p{Is_Blk=-Mende_kikakui}', "");
    Expect(1, 125152, '\p{^Is_Blk=-Mende_kikakui}', "");
    Expect(1, 125152, '\P{Is_Blk=-Mende_kikakui}', "");
    Expect(0, 125152, '\P{^Is_Blk=-Mende_kikakui}', "");
    Error('\p{Block:   -meroitic_Cursive:=}');
    Error('\P{Block:   -meroitic_Cursive:=}');
    Expect(1, 68095, '\p{Block=:\AMeroitic_Cursive\z:}', "");;
    Expect(0, 68096, '\p{Block=:\AMeroitic_Cursive\z:}', "");;
    Expect(1, 68095, '\p{Block=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Block=meroiticcursive}', "");
    Expect(0, 68095, '\P{Block=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Block=meroiticcursive}', "");
    Expect(0, 68096, '\p{Block=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Block=meroiticcursive}', "");
    Expect(1, 68096, '\P{Block=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Block=meroiticcursive}', "");
    Expect(1, 68095, '\p{Block=:\Ameroiticcursive\z:}', "");;
    Expect(0, 68096, '\p{Block=:\Ameroiticcursive\z:}', "");;
    Expect(1, 68095, '\p{Block=-_MEROITIC_CURSIVE}', "");
    Expect(0, 68095, '\p{^Block=-_MEROITIC_CURSIVE}', "");
    Expect(0, 68095, '\P{Block=-_MEROITIC_CURSIVE}', "");
    Expect(1, 68095, '\P{^Block=-_MEROITIC_CURSIVE}', "");
    Expect(0, 68096, '\p{Block=-_MEROITIC_CURSIVE}', "");
    Expect(1, 68096, '\p{^Block=-_MEROITIC_CURSIVE}', "");
    Expect(1, 68096, '\P{Block=-_MEROITIC_CURSIVE}', "");
    Expect(0, 68096, '\P{^Block=-_MEROITIC_CURSIVE}', "");
    Error('\p{Blk= -Meroitic_Cursive/a/}');
    Error('\P{Blk= -Meroitic_Cursive/a/}');
    Expect(1, 68095, '\p{Blk=:\AMeroitic_Cursive\z:}', "");;
    Expect(0, 68096, '\p{Blk=:\AMeroitic_Cursive\z:}', "");;
    Expect(1, 68095, '\p{Blk=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Blk=meroiticcursive}', "");
    Expect(0, 68095, '\P{Blk=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Blk=meroiticcursive}', "");
    Expect(0, 68096, '\p{Blk=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Blk=meroiticcursive}', "");
    Expect(1, 68096, '\P{Blk=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Blk=meroiticcursive}', "");
    Expect(1, 68095, '\p{Blk=:\Ameroiticcursive\z:}', "");;
    Expect(0, 68096, '\p{Blk=:\Ameroiticcursive\z:}', "");;
    Expect(1, 68095, '\p{Blk=	meroitic_Cursive}', "");
    Expect(0, 68095, '\p{^Blk=	meroitic_Cursive}', "");
    Expect(0, 68095, '\P{Blk=	meroitic_Cursive}', "");
    Expect(1, 68095, '\P{^Blk=	meroitic_Cursive}', "");
    Expect(0, 68096, '\p{Blk=	meroitic_Cursive}', "");
    Expect(1, 68096, '\p{^Blk=	meroitic_Cursive}', "");
    Expect(1, 68096, '\P{Blk=	meroitic_Cursive}', "");
    Expect(0, 68096, '\P{^Blk=	meroitic_Cursive}', "");
    Error('\p{Is_Block=-_Meroitic_cursive/a/}');
    Error('\P{Is_Block=-_Meroitic_cursive/a/}');
    Expect(1, 68095, '\p{Is_Block=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Is_Block=meroiticcursive}', "");
    Expect(0, 68095, '\P{Is_Block=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Is_Block=meroiticcursive}', "");
    Expect(0, 68096, '\p{Is_Block=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Is_Block=meroiticcursive}', "");
    Expect(1, 68096, '\P{Is_Block=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Is_Block=meroiticcursive}', "");
    Expect(1, 68095, '\p{Is_Block=__MEROITIC_Cursive}', "");
    Expect(0, 68095, '\p{^Is_Block=__MEROITIC_Cursive}', "");
    Expect(0, 68095, '\P{Is_Block=__MEROITIC_Cursive}', "");
    Expect(1, 68095, '\P{^Is_Block=__MEROITIC_Cursive}', "");
    Expect(0, 68096, '\p{Is_Block=__MEROITIC_Cursive}', "");
    Expect(1, 68096, '\p{^Is_Block=__MEROITIC_Cursive}', "");
    Expect(1, 68096, '\P{Is_Block=__MEROITIC_Cursive}', "");
    Expect(0, 68096, '\P{^Is_Block=__MEROITIC_Cursive}', "");
    Error('\p{Is_Blk=-/a/MEROITIC_Cursive}');
    Error('\P{Is_Blk=-/a/MEROITIC_Cursive}');
    Expect(1, 68095, '\p{Is_Blk=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Is_Blk=meroiticcursive}', "");
    Expect(0, 68095, '\P{Is_Blk=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Is_Blk=meroiticcursive}', "");
    Expect(0, 68096, '\p{Is_Blk=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Is_Blk=meroiticcursive}', "");
    Expect(1, 68096, '\P{Is_Blk=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Is_Blk=meroiticcursive}', "");
    Expect(1, 68095, '\p{Is_Blk=-Meroitic_cursive}', "");
    Expect(0, 68095, '\p{^Is_Blk=-Meroitic_cursive}', "");
    Expect(0, 68095, '\P{Is_Blk=-Meroitic_cursive}', "");
    Expect(1, 68095, '\P{^Is_Blk=-Meroitic_cursive}', "");
    Expect(0, 68096, '\p{Is_Blk=-Meroitic_cursive}', "");
    Expect(1, 68096, '\p{^Is_Blk=-Meroitic_cursive}', "");
    Expect(1, 68096, '\P{Is_Blk=-Meroitic_cursive}', "");
    Expect(0, 68096, '\P{^Is_Blk=-Meroitic_cursive}', "");
    Error('\p{Block=/a/	 Meroitic_hieroglyphs}');
    Error('\P{Block=/a/	 Meroitic_hieroglyphs}');
    Expect(1, 67999, '\p{Block=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Block=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Block=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Block=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Block=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Block=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Block=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Block=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Block=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Block=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Block=:\Ameroitichieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Block=:\Ameroitichieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Block=meroitic_HIEROGLYPHS}', "");
    Expect(0, 67999, '\p{^Block=meroitic_HIEROGLYPHS}', "");
    Expect(0, 67999, '\P{Block=meroitic_HIEROGLYPHS}', "");
    Expect(1, 67999, '\P{^Block=meroitic_HIEROGLYPHS}', "");
    Expect(0, 68000, '\p{Block=meroitic_HIEROGLYPHS}', "");
    Expect(1, 68000, '\p{^Block=meroitic_HIEROGLYPHS}', "");
    Expect(1, 68000, '\P{Block=meroitic_HIEROGLYPHS}', "");
    Expect(0, 68000, '\P{^Block=meroitic_HIEROGLYPHS}', "");
    Error('\p{Blk=	/a/Meroitic_Hieroglyphs}');
    Error('\P{Blk=	/a/Meroitic_Hieroglyphs}');
    Expect(1, 67999, '\p{Blk=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Blk=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Blk=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Blk=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Blk=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Blk=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Blk=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Blk=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Blk=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Blk=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Blk=:\Ameroitichieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Blk=:\Ameroitichieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Blk=-_MEROITIC_Hieroglyphs}', "");
    Expect(0, 67999, '\p{^Blk=-_MEROITIC_Hieroglyphs}', "");
    Expect(0, 67999, '\P{Blk=-_MEROITIC_Hieroglyphs}', "");
    Expect(1, 67999, '\P{^Blk=-_MEROITIC_Hieroglyphs}', "");
    Expect(0, 68000, '\p{Blk=-_MEROITIC_Hieroglyphs}', "");
    Expect(1, 68000, '\p{^Blk=-_MEROITIC_Hieroglyphs}', "");
    Expect(1, 68000, '\P{Blk=-_MEROITIC_Hieroglyphs}', "");
    Expect(0, 68000, '\P{^Blk=-_MEROITIC_Hieroglyphs}', "");
    Error('\p{Is_Block=_meroitic_HIEROGLYPHS:=}');
    Error('\P{Is_Block=_meroitic_HIEROGLYPHS:=}');
    Expect(1, 67999, '\p{Is_Block=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Is_Block=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Is_Block=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Is_Block=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Is_Block=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Is_Block=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Is_Block=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Is_Block=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Expect(0, 67999, '\p{^Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Expect(0, 67999, '\P{Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Expect(1, 67999, '\P{^Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Expect(0, 68000, '\p{Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Expect(1, 68000, '\p{^Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Expect(1, 68000, '\P{Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Expect(0, 68000, '\P{^Is_Block:   _meroitic_HIEROGLYPHS}', "");
    Error('\p{Is_Blk=		MEROITIC_hieroglyphs:=}');
    Error('\P{Is_Blk=		MEROITIC_hieroglyphs:=}');
    Expect(1, 67999, '\p{Is_Blk=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Is_Blk=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Is_Blk=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Is_Blk=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Is_Blk=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Is_Blk=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Is_Blk=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Is_Blk=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Is_Blk=_meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\p{^Is_Blk=_meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\P{Is_Blk=_meroitic_Hieroglyphs}', "");
    Expect(1, 67999, '\P{^Is_Blk=_meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\p{Is_Blk=_meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\p{^Is_Blk=_meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\P{Is_Blk=_meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\P{^Is_Blk=_meroitic_Hieroglyphs}', "");
    Error('\p{Block= :=miao}');
    Error('\P{Block= :=miao}');
    Expect(1, 94111, '\p{Block=:\AMiao\z:}', "");;
    Expect(0, 94112, '\p{Block=:\AMiao\z:}', "");;
    Expect(1, 94111, '\p{Block=miao}', "");
    Expect(0, 94111, '\p{^Block=miao}', "");
    Expect(0, 94111, '\P{Block=miao}', "");
    Expect(1, 94111, '\P{^Block=miao}', "");
    Expect(0, 94112, '\p{Block=miao}', "");
    Expect(1, 94112, '\p{^Block=miao}', "");
    Expect(1, 94112, '\P{Block=miao}', "");
    Expect(0, 94112, '\P{^Block=miao}', "");
    Expect(1, 94111, '\p{Block=:\Amiao\z:}', "");;
    Expect(0, 94112, '\p{Block=:\Amiao\z:}', "");;
    Expect(1, 94111, '\p{Block=	MIAO}', "");
    Expect(0, 94111, '\p{^Block=	MIAO}', "");
    Expect(0, 94111, '\P{Block=	MIAO}', "");
    Expect(1, 94111, '\P{^Block=	MIAO}', "");
    Expect(0, 94112, '\p{Block=	MIAO}', "");
    Expect(1, 94112, '\p{^Block=	MIAO}', "");
    Expect(1, 94112, '\P{Block=	MIAO}', "");
    Expect(0, 94112, '\P{^Block=	MIAO}', "");
    Error('\p{Blk=_	Miao:=}');
    Error('\P{Blk=_	Miao:=}');
    Expect(1, 94111, '\p{Blk=:\AMiao\z:}', "");;
    Expect(0, 94112, '\p{Blk=:\AMiao\z:}', "");;
    Expect(1, 94111, '\p{Blk=miao}', "");
    Expect(0, 94111, '\p{^Blk=miao}', "");
    Expect(0, 94111, '\P{Blk=miao}', "");
    Expect(1, 94111, '\P{^Blk=miao}', "");
    Expect(0, 94112, '\p{Blk=miao}', "");
    Expect(1, 94112, '\p{^Blk=miao}', "");
    Expect(1, 94112, '\P{Blk=miao}', "");
    Expect(0, 94112, '\P{^Blk=miao}', "");
    Expect(1, 94111, '\p{Blk=:\Amiao\z:}', "");;
    Expect(0, 94112, '\p{Blk=:\Amiao\z:}', "");;
    Expect(1, 94111, '\p{Blk=_	miao}', "");
    Expect(0, 94111, '\p{^Blk=_	miao}', "");
    Expect(0, 94111, '\P{Blk=_	miao}', "");
    Expect(1, 94111, '\P{^Blk=_	miao}', "");
    Expect(0, 94112, '\p{Blk=_	miao}', "");
    Expect(1, 94112, '\p{^Blk=_	miao}', "");
    Expect(1, 94112, '\P{Blk=_	miao}', "");
    Expect(0, 94112, '\P{^Blk=_	miao}', "");
    Error('\p{Is_Block: -:=miao}');
    Error('\P{Is_Block: -:=miao}');
    Expect(1, 94111, '\p{Is_Block=miao}', "");
    Expect(0, 94111, '\p{^Is_Block=miao}', "");
    Expect(0, 94111, '\P{Is_Block=miao}', "");
    Expect(1, 94111, '\P{^Is_Block=miao}', "");
    Expect(0, 94112, '\p{Is_Block=miao}', "");
    Expect(1, 94112, '\p{^Is_Block=miao}', "");
    Expect(1, 94112, '\P{Is_Block=miao}', "");
    Expect(0, 94112, '\P{^Is_Block=miao}', "");
    Expect(1, 94111, '\p{Is_Block:	__miao}', "");
    Expect(0, 94111, '\p{^Is_Block:	__miao}', "");
    Expect(0, 94111, '\P{Is_Block:	__miao}', "");
    Expect(1, 94111, '\P{^Is_Block:	__miao}', "");
    Expect(0, 94112, '\p{Is_Block:	__miao}', "");
    Expect(1, 94112, '\p{^Is_Block:	__miao}', "");
    Expect(1, 94112, '\P{Is_Block:	__miao}', "");
    Expect(0, 94112, '\P{^Is_Block:	__miao}', "");
    Error('\p{Is_Blk=:=	MIAO}');
    Error('\P{Is_Blk=:=	MIAO}');
    Expect(1, 94111, '\p{Is_Blk=miao}', "");
    Expect(0, 94111, '\p{^Is_Blk=miao}', "");
    Expect(0, 94111, '\P{Is_Blk=miao}', "");
    Expect(1, 94111, '\P{^Is_Blk=miao}', "");
    Expect(0, 94112, '\p{Is_Blk=miao}', "");
    Expect(1, 94112, '\p{^Is_Blk=miao}', "");
    Expect(1, 94112, '\P{Is_Blk=miao}', "");
    Expect(0, 94112, '\P{^Is_Blk=miao}', "");
    Expect(1, 94111, '\p{Is_Blk=	Miao}', "");
    Expect(0, 94111, '\p{^Is_Blk=	Miao}', "");
    Expect(0, 94111, '\P{Is_Blk=	Miao}', "");
    Expect(1, 94111, '\P{^Is_Blk=	Miao}', "");
    Expect(0, 94112, '\p{Is_Blk=	Miao}', "");
    Expect(1, 94112, '\p{^Is_Blk=	Miao}', "");
    Expect(1, 94112, '\P{Is_Blk=	Miao}', "");
    Expect(0, 94112, '\P{^Is_Blk=	Miao}', "");
    Error('\p{Block:   /a/ 	MISCELLANEOUS_symbols_AND_arrows}');
    Error('\P{Block:   /a/ 	MISCELLANEOUS_symbols_AND_arrows}');
    Expect(1, 11263, '\p{Block=:\AMiscellaneous_Symbols_And_Arrows\z:}', "");;
    Expect(0, 11264, '\p{Block=:\AMiscellaneous_Symbols_And_Arrows\z:}', "");;
    Expect(1, 11263, '\p{Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\p{^Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\P{Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\P{^Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\p{Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\p{^Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\P{Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\P{^Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\p{Block=:\Amiscellaneoussymbolsandarrows\z:}', "");;
    Expect(0, 11264, '\p{Block=:\Amiscellaneoussymbolsandarrows\z:}', "");;
    Expect(1, 11263, '\p{Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Expect(0, 11263, '\p{^Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Expect(0, 11263, '\P{Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Expect(1, 11263, '\P{^Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Expect(0, 11264, '\p{Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Expect(1, 11264, '\p{^Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Expect(1, 11264, '\P{Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Expect(0, 11264, '\P{^Block=_Miscellaneous_SYMBOLS_And_arrows}', "");
    Error('\p{Blk=:=-	MISC_arrows}');
    Error('\P{Blk=:=-	MISC_arrows}');
    Expect(1, 11263, '\p{Blk=:\AMisc_Arrows\z:}', "");;
    Expect(0, 11264, '\p{Blk=:\AMisc_Arrows\z:}', "");;
    Expect(1, 11263, '\p{Blk=miscarrows}', "");
    Expect(0, 11263, '\p{^Blk=miscarrows}', "");
    Expect(0, 11263, '\P{Blk=miscarrows}', "");
    Expect(1, 11263, '\P{^Blk=miscarrows}', "");
    Expect(0, 11264, '\p{Blk=miscarrows}', "");
    Expect(1, 11264, '\p{^Blk=miscarrows}', "");
    Expect(1, 11264, '\P{Blk=miscarrows}', "");
    Expect(0, 11264, '\P{^Blk=miscarrows}', "");
    Expect(1, 11263, '\p{Blk=:\Amiscarrows\z:}', "");;
    Expect(0, 11264, '\p{Blk=:\Amiscarrows\z:}', "");;
    Expect(1, 11263, '\p{Blk=-misc_ARROWS}', "");
    Expect(0, 11263, '\p{^Blk=-misc_ARROWS}', "");
    Expect(0, 11263, '\P{Blk=-misc_ARROWS}', "");
    Expect(1, 11263, '\P{^Blk=-misc_ARROWS}', "");
    Expect(0, 11264, '\p{Blk=-misc_ARROWS}', "");
    Expect(1, 11264, '\p{^Blk=-misc_ARROWS}', "");
    Expect(1, 11264, '\P{Blk=-misc_ARROWS}', "");
    Expect(0, 11264, '\P{^Blk=-misc_ARROWS}', "");
    Error('\p{Is_Block=_:=MISCELLANEOUS_Symbols_and_Arrows}');
    Error('\P{Is_Block=_:=MISCELLANEOUS_Symbols_and_Arrows}');
    Expect(1, 11263, '\p{Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\p{^Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\P{Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\P{^Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\p{Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\p{^Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\P{Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\P{^Is_Block: miscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\p{Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11263, '\p{^Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11263, '\P{Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(1, 11263, '\P{^Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11264, '\p{Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(1, 11264, '\p{^Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(1, 11264, '\P{Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11264, '\P{^Is_Block=-MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Error('\p{Is_Blk=	-Misc_Arrows/a/}');
    Error('\P{Is_Blk=	-Misc_Arrows/a/}');
    Expect(1, 11263, '\p{Is_Blk=miscarrows}', "");
    Expect(0, 11263, '\p{^Is_Blk=miscarrows}', "");
    Expect(0, 11263, '\P{Is_Blk=miscarrows}', "");
    Expect(1, 11263, '\P{^Is_Blk=miscarrows}', "");
    Expect(0, 11264, '\p{Is_Blk=miscarrows}', "");
    Expect(1, 11264, '\p{^Is_Blk=miscarrows}', "");
    Expect(1, 11264, '\P{Is_Blk=miscarrows}', "");
    Expect(0, 11264, '\P{^Is_Blk=miscarrows}', "");
    Expect(1, 11263, '\p{Is_Blk=	_MISC_Arrows}', "");
    Expect(0, 11263, '\p{^Is_Blk=	_MISC_Arrows}', "");
    Expect(0, 11263, '\P{Is_Blk=	_MISC_Arrows}', "");
    Expect(1, 11263, '\P{^Is_Blk=	_MISC_Arrows}', "");
    Expect(0, 11264, '\p{Is_Blk=	_MISC_Arrows}', "");
    Expect(1, 11264, '\p{^Is_Blk=	_MISC_Arrows}', "");
    Expect(1, 11264, '\P{Is_Blk=	_MISC_Arrows}', "");
    Expect(0, 11264, '\P{^Is_Blk=	_MISC_Arrows}', "");
    Error('\p{Block: -miscellaneous_Mathematical_SYMBOLS_a/a/}');
    Error('\P{Block: -miscellaneous_Mathematical_SYMBOLS_a/a/}');
    Expect(1, 10223, '\p{Block=:\AMiscellaneous_Mathematical_Symbols_A\z:}', "");;
    Expect(0, 10224, '\p{Block=:\AMiscellaneous_Mathematical_Symbols_A\z:}', "");;
    Expect(1, 10223, '\p{Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\p{^Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\P{Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\P{^Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\p{Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\p{^Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\P{Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\P{^Block: miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\p{Block=:\Amiscellaneousmathematicalsymbolsa\z:}', "");;
    Expect(0, 10224, '\p{Block=:\Amiscellaneousmathematicalsymbolsa\z:}', "");;
    Expect(1, 10223, '\p{Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10223, '\p{^Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10223, '\P{Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(1, 10223, '\P{^Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10224, '\p{Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(1, 10224, '\p{^Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(1, 10224, '\P{Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10224, '\P{^Block:   -_miscellaneous_Mathematical_SYMBOLS_A}', "");
    Error('\p{Blk= :=Misc_MATH_symbols_A}');
    Error('\P{Blk= :=Misc_MATH_symbols_A}');
    Expect(1, 10223, '\p{Blk=:\AMisc_Math_Symbols_A\z:}', "");;
    Expect(0, 10224, '\p{Blk=:\AMisc_Math_Symbols_A\z:}', "");;
    Expect(1, 10223, '\p{Blk=miscmathsymbolsa}', "");
    Expect(0, 10223, '\p{^Blk=miscmathsymbolsa}', "");
    Expect(0, 10223, '\P{Blk=miscmathsymbolsa}', "");
    Expect(1, 10223, '\P{^Blk=miscmathsymbolsa}', "");
    Expect(0, 10224, '\p{Blk=miscmathsymbolsa}', "");
    Expect(1, 10224, '\p{^Blk=miscmathsymbolsa}', "");
    Expect(1, 10224, '\P{Blk=miscmathsymbolsa}', "");
    Expect(0, 10224, '\P{^Blk=miscmathsymbolsa}', "");
    Expect(1, 10223, '\p{Blk=:\Amiscmathsymbolsa\z:}', "");;
    Expect(0, 10224, '\p{Blk=:\Amiscmathsymbolsa\z:}', "");;
    Expect(1, 10223, '\p{Blk=--Misc_math_Symbols_A}', "");
    Expect(0, 10223, '\p{^Blk=--Misc_math_Symbols_A}', "");
    Expect(0, 10223, '\P{Blk=--Misc_math_Symbols_A}', "");
    Expect(1, 10223, '\P{^Blk=--Misc_math_Symbols_A}', "");
    Expect(0, 10224, '\p{Blk=--Misc_math_Symbols_A}', "");
    Expect(1, 10224, '\p{^Blk=--Misc_math_Symbols_A}', "");
    Expect(1, 10224, '\P{Blk=--Misc_math_Symbols_A}', "");
    Expect(0, 10224, '\P{^Blk=--Misc_math_Symbols_A}', "");
    Error('\p{Is_Block=:=-Miscellaneous_MATHEMATICAL_Symbols_A}');
    Error('\P{Is_Block=:=-Miscellaneous_MATHEMATICAL_Symbols_A}');
    Expect(1, 10223, '\p{Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\p{^Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\P{Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\P{^Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\p{Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\p{^Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\P{Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\P{^Is_Block:   miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\p{Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Expect(0, 10223, '\p{^Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Expect(0, 10223, '\P{Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Expect(1, 10223, '\P{^Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Expect(0, 10224, '\p{Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Expect(1, 10224, '\p{^Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Expect(1, 10224, '\P{Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Expect(0, 10224, '\P{^Is_Block:	__Miscellaneous_Mathematical_Symbols_A}', "");
    Error('\p{Is_Blk=-Misc_Math_symbols_a/a/}');
    Error('\P{Is_Blk=-Misc_Math_symbols_a/a/}');
    Expect(1, 10223, '\p{Is_Blk=miscmathsymbolsa}', "");
    Expect(0, 10223, '\p{^Is_Blk=miscmathsymbolsa}', "");
    Expect(0, 10223, '\P{Is_Blk=miscmathsymbolsa}', "");
    Expect(1, 10223, '\P{^Is_Blk=miscmathsymbolsa}', "");
    Expect(0, 10224, '\p{Is_Blk=miscmathsymbolsa}', "");
    Expect(1, 10224, '\p{^Is_Blk=miscmathsymbolsa}', "");
    Expect(1, 10224, '\P{Is_Blk=miscmathsymbolsa}', "");
    Expect(0, 10224, '\P{^Is_Blk=miscmathsymbolsa}', "");
    Expect(1, 10223, '\p{Is_Blk= -misc_Math_Symbols_A}', "");
    Expect(0, 10223, '\p{^Is_Blk= -misc_Math_Symbols_A}', "");
    Expect(0, 10223, '\P{Is_Blk= -misc_Math_Symbols_A}', "");
    Expect(1, 10223, '\P{^Is_Blk= -misc_Math_Symbols_A}', "");
    Expect(0, 10224, '\p{Is_Blk= -misc_Math_Symbols_A}', "");
    Expect(1, 10224, '\p{^Is_Blk= -misc_Math_Symbols_A}', "");
    Expect(1, 10224, '\P{Is_Blk= -misc_Math_Symbols_A}', "");
    Expect(0, 10224, '\P{^Is_Blk= -misc_Math_Symbols_A}', "");
    Error('\p{Block=/a/ -MISCELLANEOUS_mathematical_symbols_B}');
    Error('\P{Block=/a/ -MISCELLANEOUS_mathematical_symbols_B}');
    Expect(1, 10751, '\p{Block=:\AMiscellaneous_Mathematical_Symbols_B\z:}', "");;
    Expect(0, 10752, '\p{Block=:\AMiscellaneous_Mathematical_Symbols_B\z:}', "");;
    Expect(1, 10751, '\p{Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\p{^Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\P{Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\P{^Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\p{Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\p{^Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\P{Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\P{^Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\p{Block=:\Amiscellaneousmathematicalsymbolsb\z:}', "");;
    Expect(0, 10752, '\p{Block=:\Amiscellaneousmathematicalsymbolsb\z:}', "");;
    Expect(1, 10751, '\p{Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10751, '\p{^Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10751, '\P{Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(1, 10751, '\P{^Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10752, '\p{Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(1, 10752, '\p{^Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(1, 10752, '\P{Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10752, '\P{^Block=	-Miscellaneous_Mathematical_Symbols_B}', "");
    Error('\p{Blk=_misc_Math_Symbols_B/a/}');
    Error('\P{Blk=_misc_Math_Symbols_B/a/}');
    Expect(1, 10751, '\p{Blk=:\AMisc_Math_Symbols_B\z:}', "");;
    Expect(0, 10752, '\p{Blk=:\AMisc_Math_Symbols_B\z:}', "");;
    Expect(1, 10751, '\p{Blk=miscmathsymbolsb}', "");
    Expect(0, 10751, '\p{^Blk=miscmathsymbolsb}', "");
    Expect(0, 10751, '\P{Blk=miscmathsymbolsb}', "");
    Expect(1, 10751, '\P{^Blk=miscmathsymbolsb}', "");
    Expect(0, 10752, '\p{Blk=miscmathsymbolsb}', "");
    Expect(1, 10752, '\p{^Blk=miscmathsymbolsb}', "");
    Expect(1, 10752, '\P{Blk=miscmathsymbolsb}', "");
    Expect(0, 10752, '\P{^Blk=miscmathsymbolsb}', "");
    Expect(1, 10751, '\p{Blk=:\Amiscmathsymbolsb\z:}', "");;
    Expect(0, 10752, '\p{Blk=:\Amiscmathsymbolsb\z:}', "");;
    Expect(1, 10751, '\p{Blk=_MISC_Math_symbols_B}', "");
    Expect(0, 10751, '\p{^Blk=_MISC_Math_symbols_B}', "");
    Expect(0, 10751, '\P{Blk=_MISC_Math_symbols_B}', "");
    Expect(1, 10751, '\P{^Blk=_MISC_Math_symbols_B}', "");
    Expect(0, 10752, '\p{Blk=_MISC_Math_symbols_B}', "");
    Expect(1, 10752, '\p{^Blk=_MISC_Math_symbols_B}', "");
    Expect(1, 10752, '\P{Blk=_MISC_Math_symbols_B}', "");
    Expect(0, 10752, '\P{^Blk=_MISC_Math_symbols_B}', "");
    Error('\p{Is_Block=_:=miscellaneous_Mathematical_SYMBOLS_B}');
    Error('\P{Is_Block=_:=miscellaneous_Mathematical_SYMBOLS_B}');
    Expect(1, 10751, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\p{Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Expect(0, 10751, '\p{^Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Expect(0, 10751, '\P{Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Expect(1, 10751, '\P{^Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Expect(0, 10752, '\p{Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Expect(1, 10752, '\p{^Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Expect(1, 10752, '\P{Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Expect(0, 10752, '\P{^Is_Block= 	MISCELLANEOUS_mathematical_Symbols_B}', "");
    Error('\p{Is_Blk=:=_Misc_Math_Symbols_B}');
    Error('\P{Is_Blk=:=_Misc_Math_Symbols_B}');
    Expect(1, 10751, '\p{Is_Blk=miscmathsymbolsb}', "");
    Expect(0, 10751, '\p{^Is_Blk=miscmathsymbolsb}', "");
    Expect(0, 10751, '\P{Is_Blk=miscmathsymbolsb}', "");
    Expect(1, 10751, '\P{^Is_Blk=miscmathsymbolsb}', "");
    Expect(0, 10752, '\p{Is_Blk=miscmathsymbolsb}', "");
    Expect(1, 10752, '\p{^Is_Blk=miscmathsymbolsb}', "");
    Expect(1, 10752, '\P{Is_Blk=miscmathsymbolsb}', "");
    Expect(0, 10752, '\P{^Is_Blk=miscmathsymbolsb}', "");
    Expect(1, 10751, '\p{Is_Blk=MISC_math_SYMBOLS_B}', "");
    Expect(0, 10751, '\p{^Is_Blk=MISC_math_SYMBOLS_B}', "");
    Expect(0, 10751, '\P{Is_Blk=MISC_math_SYMBOLS_B}', "");
    Expect(1, 10751, '\P{^Is_Blk=MISC_math_SYMBOLS_B}', "");
    Expect(0, 10752, '\p{Is_Blk=MISC_math_SYMBOLS_B}', "");
    Expect(1, 10752, '\p{^Is_Blk=MISC_math_SYMBOLS_B}', "");
    Expect(1, 10752, '\P{Is_Blk=MISC_math_SYMBOLS_B}', "");
    Expect(0, 10752, '\P{^Is_Blk=MISC_math_SYMBOLS_B}', "");
    Error('\p{Block= -miscellaneous_SYMBOLS_and_Pictographs:=}');
    Error('\P{Block= -miscellaneous_SYMBOLS_and_Pictographs:=}');
    Expect(1, 128511, '\p{Block=:\AMiscellaneous_Symbols_And_Pictographs\z:}', "");;
    Expect(0, 128512, '\p{Block=:\AMiscellaneous_Symbols_And_Pictographs\z:}', "");;
    Expect(1, 128511, '\p{Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\p{^Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\P{Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\P{^Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\p{Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\p{^Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\P{Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\P{^Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\p{Block=:\Amiscellaneoussymbolsandpictographs\z:}', "");;
    Expect(0, 128512, '\p{Block=:\Amiscellaneoussymbolsandpictographs\z:}', "");;
    Expect(1, 128511, '\p{Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 128511, '\p{^Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 128511, '\P{Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 128511, '\P{^Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 128512, '\p{Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 128512, '\p{^Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 128512, '\P{Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 128512, '\P{^Block=		Miscellaneous_Symbols_And_PICTOGRAPHS}', "");
    Error('\p{Blk=/a/- Misc_pictographs}');
    Error('\P{Blk=/a/- Misc_pictographs}');
    Expect(1, 128511, '\p{Blk=:\AMisc_Pictographs\z:}', "");;
    Expect(0, 128512, '\p{Blk=:\AMisc_Pictographs\z:}', "");;
    Expect(1, 128511, '\p{Blk=miscpictographs}', "");
    Expect(0, 128511, '\p{^Blk=miscpictographs}', "");
    Expect(0, 128511, '\P{Blk=miscpictographs}', "");
    Expect(1, 128511, '\P{^Blk=miscpictographs}', "");
    Expect(0, 128512, '\p{Blk=miscpictographs}', "");
    Expect(1, 128512, '\p{^Blk=miscpictographs}', "");
    Expect(1, 128512, '\P{Blk=miscpictographs}', "");
    Expect(0, 128512, '\P{^Blk=miscpictographs}', "");
    Expect(1, 128511, '\p{Blk=:\Amiscpictographs\z:}', "");;
    Expect(0, 128512, '\p{Blk=:\Amiscpictographs\z:}', "");;
    Expect(1, 128511, '\p{Blk=_ MISC_PICTOGRAPHS}', "");
    Expect(0, 128511, '\p{^Blk=_ MISC_PICTOGRAPHS}', "");
    Expect(0, 128511, '\P{Blk=_ MISC_PICTOGRAPHS}', "");
    Expect(1, 128511, '\P{^Blk=_ MISC_PICTOGRAPHS}', "");
    Expect(0, 128512, '\p{Blk=_ MISC_PICTOGRAPHS}', "");
    Expect(1, 128512, '\p{^Blk=_ MISC_PICTOGRAPHS}', "");
    Expect(1, 128512, '\P{Blk=_ MISC_PICTOGRAPHS}', "");
    Expect(0, 128512, '\P{^Blk=_ MISC_PICTOGRAPHS}', "");
    Error('\p{Is_Block=:=MISCELLANEOUS_Symbols_and_pictographs}');
    Error('\P{Is_Block=:=MISCELLANEOUS_Symbols_and_pictographs}');
    Expect(1, 128511, '\p{Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\p{^Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\P{Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\P{^Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\p{Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\p{^Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\P{Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\P{^Is_Block=miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\p{Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Expect(0, 128511, '\p{^Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Expect(0, 128511, '\P{Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Expect(1, 128511, '\P{^Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Expect(0, 128512, '\p{Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Expect(1, 128512, '\p{^Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Expect(1, 128512, '\P{Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Expect(0, 128512, '\P{^Is_Block= Miscellaneous_Symbols_And_pictographs}', "");
    Error('\p{Is_Blk=		Misc_Pictographs/a/}');
    Error('\P{Is_Blk=		Misc_Pictographs/a/}');
    Expect(1, 128511, '\p{Is_Blk=miscpictographs}', "");
    Expect(0, 128511, '\p{^Is_Blk=miscpictographs}', "");
    Expect(0, 128511, '\P{Is_Blk=miscpictographs}', "");
    Expect(1, 128511, '\P{^Is_Blk=miscpictographs}', "");
    Expect(0, 128512, '\p{Is_Blk=miscpictographs}', "");
    Expect(1, 128512, '\p{^Is_Blk=miscpictographs}', "");
    Expect(1, 128512, '\P{Is_Blk=miscpictographs}', "");
    Expect(0, 128512, '\P{^Is_Blk=miscpictographs}', "");
    Expect(1, 128511, '\p{Is_Blk=-_Misc_Pictographs}', "");
    Expect(0, 128511, '\p{^Is_Blk=-_Misc_Pictographs}', "");
    Expect(0, 128511, '\P{Is_Blk=-_Misc_Pictographs}', "");
    Expect(1, 128511, '\P{^Is_Blk=-_Misc_Pictographs}', "");
    Expect(0, 128512, '\p{Is_Blk=-_Misc_Pictographs}', "");
    Expect(1, 128512, '\p{^Is_Blk=-_Misc_Pictographs}', "");
    Expect(1, 128512, '\P{Is_Blk=-_Misc_Pictographs}', "");
    Expect(0, 128512, '\P{^Is_Blk=-_Misc_Pictographs}', "");
    Error('\p{Block=	:=miscellaneous_Symbols}');
    Error('\P{Block=	:=miscellaneous_Symbols}');
    Expect(1, 9983, '\p{Block=:\AMiscellaneous_Symbols\z:}', "");;
    Expect(0, 9984, '\p{Block=:\AMiscellaneous_Symbols\z:}', "");;
    Expect(1, 9983, '\p{Block=miscellaneoussymbols}', "");
    Expect(0, 9983, '\p{^Block=miscellaneoussymbols}', "");
    Expect(0, 9983, '\P{Block=miscellaneoussymbols}', "");
    Expect(1, 9983, '\P{^Block=miscellaneoussymbols}', "");
    Expect(0, 9984, '\p{Block=miscellaneoussymbols}', "");
    Expect(1, 9984, '\p{^Block=miscellaneoussymbols}', "");
    Expect(1, 9984, '\P{Block=miscellaneoussymbols}', "");
    Expect(0, 9984, '\P{^Block=miscellaneoussymbols}', "");
    Expect(1, 9983, '\p{Block=:\Amiscellaneoussymbols\z:}', "");;
    Expect(0, 9984, '\p{Block=:\Amiscellaneoussymbols\z:}', "");;
    Expect(1, 9983, '\p{Block= _miscellaneous_Symbols}', "");
    Expect(0, 9983, '\p{^Block= _miscellaneous_Symbols}', "");
    Expect(0, 9983, '\P{Block= _miscellaneous_Symbols}', "");
    Expect(1, 9983, '\P{^Block= _miscellaneous_Symbols}', "");
    Expect(0, 9984, '\p{Block= _miscellaneous_Symbols}', "");
    Expect(1, 9984, '\p{^Block= _miscellaneous_Symbols}', "");
    Expect(1, 9984, '\P{Block= _miscellaneous_Symbols}', "");
    Expect(0, 9984, '\P{^Block= _miscellaneous_Symbols}', "");
    Error('\p{Blk=_Misc_symbols/a/}');
    Error('\P{Blk=_Misc_symbols/a/}');
    Expect(1, 9983, '\p{Blk=:\AMisc_Symbols\z:}', "");;
    Expect(0, 9984, '\p{Blk=:\AMisc_Symbols\z:}', "");;
    Expect(1, 9983, '\p{Blk=miscsymbols}', "");
    Expect(0, 9983, '\p{^Blk=miscsymbols}', "");
    Expect(0, 9983, '\P{Blk=miscsymbols}', "");
    Expect(1, 9983, '\P{^Blk=miscsymbols}', "");
    Expect(0, 9984, '\p{Blk=miscsymbols}', "");
    Expect(1, 9984, '\p{^Blk=miscsymbols}', "");
    Expect(1, 9984, '\P{Blk=miscsymbols}', "");
    Expect(0, 9984, '\P{^Blk=miscsymbols}', "");
    Expect(1, 9983, '\p{Blk=:\Amiscsymbols\z:}', "");;
    Expect(0, 9984, '\p{Blk=:\Amiscsymbols\z:}', "");;
    Expect(1, 9983, '\p{Blk=_Misc_SYMBOLS}', "");
    Expect(0, 9983, '\p{^Blk=_Misc_SYMBOLS}', "");
    Expect(0, 9983, '\P{Blk=_Misc_SYMBOLS}', "");
    Expect(1, 9983, '\P{^Blk=_Misc_SYMBOLS}', "");
    Expect(0, 9984, '\p{Blk=_Misc_SYMBOLS}', "");
    Expect(1, 9984, '\p{^Blk=_Misc_SYMBOLS}', "");
    Expect(1, 9984, '\P{Blk=_Misc_SYMBOLS}', "");
    Expect(0, 9984, '\P{^Blk=_Misc_SYMBOLS}', "");
    Error('\p{Is_Block=:= _Miscellaneous_Symbols}');
    Error('\P{Is_Block=:= _Miscellaneous_Symbols}');
    Expect(1, 9983, '\p{Is_Block=miscellaneoussymbols}', "");
    Expect(0, 9983, '\p{^Is_Block=miscellaneoussymbols}', "");
    Expect(0, 9983, '\P{Is_Block=miscellaneoussymbols}', "");
    Expect(1, 9983, '\P{^Is_Block=miscellaneoussymbols}', "");
    Expect(0, 9984, '\p{Is_Block=miscellaneoussymbols}', "");
    Expect(1, 9984, '\p{^Is_Block=miscellaneoussymbols}', "");
    Expect(1, 9984, '\P{Is_Block=miscellaneoussymbols}', "");
    Expect(0, 9984, '\P{^Is_Block=miscellaneoussymbols}', "");
    Expect(1, 9983, '\p{Is_Block= 	miscellaneous_Symbols}', "");
    Expect(0, 9983, '\p{^Is_Block= 	miscellaneous_Symbols}', "");
    Expect(0, 9983, '\P{Is_Block= 	miscellaneous_Symbols}', "");
    Expect(1, 9983, '\P{^Is_Block= 	miscellaneous_Symbols}', "");
    Expect(0, 9984, '\p{Is_Block= 	miscellaneous_Symbols}', "");
    Expect(1, 9984, '\p{^Is_Block= 	miscellaneous_Symbols}', "");
    Expect(1, 9984, '\P{Is_Block= 	miscellaneous_Symbols}', "");
    Expect(0, 9984, '\P{^Is_Block= 	miscellaneous_Symbols}', "");
    Error('\p{Is_Blk= Misc_Symbols/a/}');
    Error('\P{Is_Blk= Misc_Symbols/a/}');
    Expect(1, 9983, '\p{Is_Blk=miscsymbols}', "");
    Expect(0, 9983, '\p{^Is_Blk=miscsymbols}', "");
    Expect(0, 9983, '\P{Is_Blk=miscsymbols}', "");
    Expect(1, 9983, '\P{^Is_Blk=miscsymbols}', "");
    Expect(0, 9984, '\p{Is_Blk=miscsymbols}', "");
    Expect(1, 9984, '\p{^Is_Blk=miscsymbols}', "");
    Expect(1, 9984, '\P{Is_Blk=miscsymbols}', "");
    Expect(0, 9984, '\P{^Is_Blk=miscsymbols}', "");
    Expect(1, 9983, '\p{Is_Blk:-	MISC_symbols}', "");
    Expect(0, 9983, '\p{^Is_Blk:-	MISC_symbols}', "");
    Expect(0, 9983, '\P{Is_Blk:-	MISC_symbols}', "");
    Expect(1, 9983, '\P{^Is_Blk:-	MISC_symbols}', "");
    Expect(0, 9984, '\p{Is_Blk:-	MISC_symbols}', "");
    Expect(1, 9984, '\p{^Is_Blk:-	MISC_symbols}', "");
    Expect(1, 9984, '\P{Is_Blk:-	MISC_symbols}', "");
    Expect(0, 9984, '\P{^Is_Blk:-	MISC_symbols}', "");
    Error('\p{Block=/a/	miscellaneous_technical}');
    Error('\P{Block=/a/	miscellaneous_technical}');
    Expect(1, 9215, '\p{Block=:\AMiscellaneous_Technical\z:}', "");;
    Expect(0, 9216, '\p{Block=:\AMiscellaneous_Technical\z:}', "");;
    Expect(1, 9215, '\p{Block=miscellaneoustechnical}', "");
    Expect(0, 9215, '\p{^Block=miscellaneoustechnical}', "");
    Expect(0, 9215, '\P{Block=miscellaneoustechnical}', "");
    Expect(1, 9215, '\P{^Block=miscellaneoustechnical}', "");
    Expect(0, 9216, '\p{Block=miscellaneoustechnical}', "");
    Expect(1, 9216, '\p{^Block=miscellaneoustechnical}', "");
    Expect(1, 9216, '\P{Block=miscellaneoustechnical}', "");
    Expect(0, 9216, '\P{^Block=miscellaneoustechnical}', "");
    Expect(1, 9215, '\p{Block=:\Amiscellaneoustechnical\z:}', "");;
    Expect(0, 9216, '\p{Block=:\Amiscellaneoustechnical\z:}', "");;
    Expect(1, 9215, '\p{Block=	 Miscellaneous_technical}', "");
    Expect(0, 9215, '\p{^Block=	 Miscellaneous_technical}', "");
    Expect(0, 9215, '\P{Block=	 Miscellaneous_technical}', "");
    Expect(1, 9215, '\P{^Block=	 Miscellaneous_technical}', "");
    Expect(0, 9216, '\p{Block=	 Miscellaneous_technical}', "");
    Expect(1, 9216, '\p{^Block=	 Miscellaneous_technical}', "");
    Expect(1, 9216, '\P{Block=	 Miscellaneous_technical}', "");
    Expect(0, 9216, '\P{^Block=	 Miscellaneous_technical}', "");
    Error('\p{Blk=__MISC_TECHNICAL:=}');
    Error('\P{Blk=__MISC_TECHNICAL:=}');
    Expect(1, 9215, '\p{Blk=:\AMisc_Technical\z:}', "");;
    Expect(0, 9216, '\p{Blk=:\AMisc_Technical\z:}', "");;
    Expect(1, 9215, '\p{Blk:   misctechnical}', "");
    Expect(0, 9215, '\p{^Blk:   misctechnical}', "");
    Expect(0, 9215, '\P{Blk:   misctechnical}', "");
    Expect(1, 9215, '\P{^Blk:   misctechnical}', "");
    Expect(0, 9216, '\p{Blk:   misctechnical}', "");
    Expect(1, 9216, '\p{^Blk:   misctechnical}', "");
    Expect(1, 9216, '\P{Blk:   misctechnical}', "");
    Expect(0, 9216, '\P{^Blk:   misctechnical}', "");
    Expect(1, 9215, '\p{Blk=:\Amisctechnical\z:}', "");;
    Expect(0, 9216, '\p{Blk=:\Amisctechnical\z:}', "");;
    Expect(1, 9215, '\p{Blk= 	Misc_Technical}', "");
    Expect(0, 9215, '\p{^Blk= 	Misc_Technical}', "");
    Expect(0, 9215, '\P{Blk= 	Misc_Technical}', "");
    Expect(1, 9215, '\P{^Blk= 	Misc_Technical}', "");
    Expect(0, 9216, '\p{Blk= 	Misc_Technical}', "");
    Expect(1, 9216, '\p{^Blk= 	Misc_Technical}', "");
    Expect(1, 9216, '\P{Blk= 	Misc_Technical}', "");
    Expect(0, 9216, '\P{^Blk= 	Misc_Technical}', "");
    Error('\p{Is_Block: 		Miscellaneous_TECHNICAL:=}');
    Error('\P{Is_Block: 		Miscellaneous_TECHNICAL:=}');
    Expect(1, 9215, '\p{Is_Block=miscellaneoustechnical}', "");
    Expect(0, 9215, '\p{^Is_Block=miscellaneoustechnical}', "");
    Expect(0, 9215, '\P{Is_Block=miscellaneoustechnical}', "");
    Expect(1, 9215, '\P{^Is_Block=miscellaneoustechnical}', "");
    Expect(0, 9216, '\p{Is_Block=miscellaneoustechnical}', "");
    Expect(1, 9216, '\p{^Is_Block=miscellaneoustechnical}', "");
    Expect(1, 9216, '\P{Is_Block=miscellaneoustechnical}', "");
    Expect(0, 9216, '\P{^Is_Block=miscellaneoustechnical}', "");
    Expect(1, 9215, '\p{Is_Block=_-MISCELLANEOUS_Technical}', "");
    Expect(0, 9215, '\p{^Is_Block=_-MISCELLANEOUS_Technical}', "");
    Expect(0, 9215, '\P{Is_Block=_-MISCELLANEOUS_Technical}', "");
    Expect(1, 9215, '\P{^Is_Block=_-MISCELLANEOUS_Technical}', "");
    Expect(0, 9216, '\p{Is_Block=_-MISCELLANEOUS_Technical}', "");
    Expect(1, 9216, '\p{^Is_Block=_-MISCELLANEOUS_Technical}', "");
    Expect(1, 9216, '\P{Is_Block=_-MISCELLANEOUS_Technical}', "");
    Expect(0, 9216, '\P{^Is_Block=_-MISCELLANEOUS_Technical}', "");
    Error('\p{Is_Blk=/a/MISC_TECHNICAL}');
    Error('\P{Is_Blk=/a/MISC_TECHNICAL}');
    Expect(1, 9215, '\p{Is_Blk=misctechnical}', "");
    Expect(0, 9215, '\p{^Is_Blk=misctechnical}', "");
    Expect(0, 9215, '\P{Is_Blk=misctechnical}', "");
    Expect(1, 9215, '\P{^Is_Blk=misctechnical}', "");
    Expect(0, 9216, '\p{Is_Blk=misctechnical}', "");
    Expect(1, 9216, '\p{^Is_Blk=misctechnical}', "");
    Expect(1, 9216, '\P{Is_Blk=misctechnical}', "");
    Expect(0, 9216, '\P{^Is_Blk=misctechnical}', "");
    Expect(1, 9215, '\p{Is_Blk= Misc_technical}', "");
    Expect(0, 9215, '\p{^Is_Blk= Misc_technical}', "");
    Expect(0, 9215, '\P{Is_Blk= Misc_technical}', "");
    Expect(1, 9215, '\P{^Is_Blk= Misc_technical}', "");
    Expect(0, 9216, '\p{Is_Blk= Misc_technical}', "");
    Expect(1, 9216, '\p{^Is_Blk= Misc_technical}', "");
    Expect(1, 9216, '\P{Is_Blk= Misc_technical}', "");
    Expect(0, 9216, '\P{^Is_Blk= Misc_technical}', "");
    Error('\p{Block:    :=Modi}');
    Error('\P{Block:    :=Modi}');
    Expect(1, 71263, '\p{Block=:\AModi\z:}', "");;
    Expect(0, 71264, '\p{Block=:\AModi\z:}', "");;
    Expect(1, 71263, '\p{Block=modi}', "");
    Expect(0, 71263, '\p{^Block=modi}', "");
    Expect(0, 71263, '\P{Block=modi}', "");
    Expect(1, 71263, '\P{^Block=modi}', "");
    Expect(0, 71264, '\p{Block=modi}', "");
    Expect(1, 71264, '\p{^Block=modi}', "");
    Expect(1, 71264, '\P{Block=modi}', "");
    Expect(0, 71264, '\P{^Block=modi}', "");
    Expect(1, 71263, '\p{Block=:\Amodi\z:}', "");;
    Expect(0, 71264, '\p{Block=:\Amodi\z:}', "");;
    Expect(1, 71263, '\p{Block=		Modi}', "");
    Expect(0, 71263, '\p{^Block=		Modi}', "");
    Expect(0, 71263, '\P{Block=		Modi}', "");
    Expect(1, 71263, '\P{^Block=		Modi}', "");
    Expect(0, 71264, '\p{Block=		Modi}', "");
    Expect(1, 71264, '\p{^Block=		Modi}', "");
    Expect(1, 71264, '\P{Block=		Modi}', "");
    Expect(0, 71264, '\P{^Block=		Modi}', "");
    Error('\p{Blk= -modi:=}');
    Error('\P{Blk= -modi:=}');
    Expect(1, 71263, '\p{Blk=:\AModi\z:}', "");;
    Expect(0, 71264, '\p{Blk=:\AModi\z:}', "");;
    Expect(1, 71263, '\p{Blk:   modi}', "");
    Expect(0, 71263, '\p{^Blk:   modi}', "");
    Expect(0, 71263, '\P{Blk:   modi}', "");
    Expect(1, 71263, '\P{^Blk:   modi}', "");
    Expect(0, 71264, '\p{Blk:   modi}', "");
    Expect(1, 71264, '\p{^Blk:   modi}', "");
    Expect(1, 71264, '\P{Blk:   modi}', "");
    Expect(0, 71264, '\P{^Blk:   modi}', "");
    Expect(1, 71263, '\p{Blk=:\Amodi\z:}', "");;
    Expect(0, 71264, '\p{Blk=:\Amodi\z:}', "");;
    Expect(1, 71263, '\p{Blk= 	modi}', "");
    Expect(0, 71263, '\p{^Blk= 	modi}', "");
    Expect(0, 71263, '\P{Blk= 	modi}', "");
    Expect(1, 71263, '\P{^Blk= 	modi}', "");
    Expect(0, 71264, '\p{Blk= 	modi}', "");
    Expect(1, 71264, '\p{^Blk= 	modi}', "");
    Expect(1, 71264, '\P{Blk= 	modi}', "");
    Expect(0, 71264, '\P{^Blk= 	modi}', "");
    Error('\p{Is_Block=/a/-_Modi}');
    Error('\P{Is_Block=/a/-_Modi}');
    Expect(1, 71263, '\p{Is_Block=modi}', "");
    Expect(0, 71263, '\p{^Is_Block=modi}', "");
    Expect(0, 71263, '\P{Is_Block=modi}', "");
    Expect(1, 71263, '\P{^Is_Block=modi}', "");
    Expect(0, 71264, '\p{Is_Block=modi}', "");
    Expect(1, 71264, '\p{^Is_Block=modi}', "");
    Expect(1, 71264, '\P{Is_Block=modi}', "");
    Expect(0, 71264, '\P{^Is_Block=modi}', "");
    Expect(1, 71263, '\p{Is_Block=_ modi}', "");
    Expect(0, 71263, '\p{^Is_Block=_ modi}', "");
    Expect(0, 71263, '\P{Is_Block=_ modi}', "");
    Expect(1, 71263, '\P{^Is_Block=_ modi}', "");
    Expect(0, 71264, '\p{Is_Block=_ modi}', "");
    Expect(1, 71264, '\p{^Is_Block=_ modi}', "");
    Expect(1, 71264, '\P{Is_Block=_ modi}', "");
    Expect(0, 71264, '\P{^Is_Block=_ modi}', "");
    Error('\p{Is_Blk=/a/- modi}');
    Error('\P{Is_Blk=/a/- modi}');
    Expect(1, 71263, '\p{Is_Blk=modi}', "");
    Expect(0, 71263, '\p{^Is_Blk=modi}', "");
    Expect(0, 71263, '\P{Is_Blk=modi}', "");
    Expect(1, 71263, '\P{^Is_Blk=modi}', "");
    Expect(0, 71264, '\p{Is_Blk=modi}', "");
    Expect(1, 71264, '\p{^Is_Blk=modi}', "");
    Expect(1, 71264, '\P{Is_Blk=modi}', "");
    Expect(0, 71264, '\P{^Is_Blk=modi}', "");
    Expect(1, 71263, '\p{Is_Blk= _Modi}', "");
    Expect(0, 71263, '\p{^Is_Blk= _Modi}', "");
    Expect(0, 71263, '\P{Is_Blk= _Modi}', "");
    Expect(1, 71263, '\P{^Is_Blk= _Modi}', "");
    Expect(0, 71264, '\p{Is_Blk= _Modi}', "");
    Expect(1, 71264, '\p{^Is_Blk= _Modi}', "");
    Expect(1, 71264, '\P{Is_Blk= _Modi}', "");
    Expect(0, 71264, '\P{^Is_Blk= _Modi}', "");
    Error('\p{Block=_:=spacing_modifier_LETTERS}');
    Error('\P{Block=_:=spacing_modifier_LETTERS}');
    Expect(1, 767, '\p{Block=:\ASpacing_Modifier_Letters\z:}', "");;
    Expect(0, 768, '\p{Block=:\ASpacing_Modifier_Letters\z:}', "");;
    Expect(1, 767, '\p{Block=spacingmodifierletters}', "");
    Expect(0, 767, '\p{^Block=spacingmodifierletters}', "");
    Expect(0, 767, '\P{Block=spacingmodifierletters}', "");
    Expect(1, 767, '\P{^Block=spacingmodifierletters}', "");
    Expect(0, 768, '\p{Block=spacingmodifierletters}', "");
    Expect(1, 768, '\p{^Block=spacingmodifierletters}', "");
    Expect(1, 768, '\P{Block=spacingmodifierletters}', "");
    Expect(0, 768, '\P{^Block=spacingmodifierletters}', "");
    Expect(1, 767, '\p{Block=:\Aspacingmodifierletters\z:}', "");;
    Expect(0, 768, '\p{Block=:\Aspacingmodifierletters\z:}', "");;
    Expect(1, 767, '\p{Block=_Spacing_Modifier_LETTERS}', "");
    Expect(0, 767, '\p{^Block=_Spacing_Modifier_LETTERS}', "");
    Expect(0, 767, '\P{Block=_Spacing_Modifier_LETTERS}', "");
    Expect(1, 767, '\P{^Block=_Spacing_Modifier_LETTERS}', "");
    Expect(0, 768, '\p{Block=_Spacing_Modifier_LETTERS}', "");
    Expect(1, 768, '\p{^Block=_Spacing_Modifier_LETTERS}', "");
    Expect(1, 768, '\P{Block=_Spacing_Modifier_LETTERS}', "");
    Expect(0, 768, '\P{^Block=_Spacing_Modifier_LETTERS}', "");
    Error('\p{Blk:   	:=Modifier_Letters}');
    Error('\P{Blk:   	:=Modifier_Letters}');
    Expect(1, 767, '\p{Blk=:\AModifier_Letters\z:}', "");;
    Expect(0, 768, '\p{Blk=:\AModifier_Letters\z:}', "");;
    Expect(1, 767, '\p{Blk: modifierletters}', "");
    Expect(0, 767, '\p{^Blk: modifierletters}', "");
    Expect(0, 767, '\P{Blk: modifierletters}', "");
    Expect(1, 767, '\P{^Blk: modifierletters}', "");
    Expect(0, 768, '\p{Blk: modifierletters}', "");
    Expect(1, 768, '\p{^Blk: modifierletters}', "");
    Expect(1, 768, '\P{Blk: modifierletters}', "");
    Expect(0, 768, '\P{^Blk: modifierletters}', "");
    Expect(1, 767, '\p{Blk=:\Amodifierletters\z:}', "");;
    Expect(0, 768, '\p{Blk=:\Amodifierletters\z:}', "");;
    Expect(1, 767, '\p{Blk=modifier_letters}', "");
    Expect(0, 767, '\p{^Blk=modifier_letters}', "");
    Expect(0, 767, '\P{Blk=modifier_letters}', "");
    Expect(1, 767, '\P{^Blk=modifier_letters}', "");
    Expect(0, 768, '\p{Blk=modifier_letters}', "");
    Expect(1, 768, '\p{^Blk=modifier_letters}', "");
    Expect(1, 768, '\P{Blk=modifier_letters}', "");
    Expect(0, 768, '\P{^Blk=modifier_letters}', "");
    Error('\p{Is_Block: :=_spacing_Modifier_LETTERS}');
    Error('\P{Is_Block: :=_spacing_Modifier_LETTERS}');
    Expect(1, 767, '\p{Is_Block=spacingmodifierletters}', "");
    Expect(0, 767, '\p{^Is_Block=spacingmodifierletters}', "");
    Expect(0, 767, '\P{Is_Block=spacingmodifierletters}', "");
    Expect(1, 767, '\P{^Is_Block=spacingmodifierletters}', "");
    Expect(0, 768, '\p{Is_Block=spacingmodifierletters}', "");
    Expect(1, 768, '\p{^Is_Block=spacingmodifierletters}', "");
    Expect(1, 768, '\P{Is_Block=spacingmodifierletters}', "");
    Expect(0, 768, '\P{^Is_Block=spacingmodifierletters}', "");
    Expect(1, 767, '\p{Is_Block=Spacing_Modifier_Letters}', "");
    Expect(0, 767, '\p{^Is_Block=Spacing_Modifier_Letters}', "");
    Expect(0, 767, '\P{Is_Block=Spacing_Modifier_Letters}', "");
    Expect(1, 767, '\P{^Is_Block=Spacing_Modifier_Letters}', "");
    Expect(0, 768, '\p{Is_Block=Spacing_Modifier_Letters}', "");
    Expect(1, 768, '\p{^Is_Block=Spacing_Modifier_Letters}', "");
    Expect(1, 768, '\P{Is_Block=Spacing_Modifier_Letters}', "");
    Expect(0, 768, '\P{^Is_Block=Spacing_Modifier_Letters}', "");
    Error('\p{Is_Blk: /a/-MODIFIER_Letters}');
    Error('\P{Is_Blk: /a/-MODIFIER_Letters}');
    Expect(1, 767, '\p{Is_Blk=modifierletters}', "");
    Expect(0, 767, '\p{^Is_Blk=modifierletters}', "");
    Expect(0, 767, '\P{Is_Blk=modifierletters}', "");
    Expect(1, 767, '\P{^Is_Blk=modifierletters}', "");
    Expect(0, 768, '\p{Is_Blk=modifierletters}', "");
    Expect(1, 768, '\p{^Is_Blk=modifierletters}', "");
    Expect(1, 768, '\P{Is_Blk=modifierletters}', "");
    Expect(0, 768, '\P{^Is_Blk=modifierletters}', "");
    Expect(1, 767, '\p{Is_Blk=		Modifier_Letters}', "");
    Expect(0, 767, '\p{^Is_Blk=		Modifier_Letters}', "");
    Expect(0, 767, '\P{Is_Blk=		Modifier_Letters}', "");
    Expect(1, 767, '\P{^Is_Blk=		Modifier_Letters}', "");
    Expect(0, 768, '\p{Is_Blk=		Modifier_Letters}', "");
    Expect(1, 768, '\p{^Is_Blk=		Modifier_Letters}', "");
    Expect(1, 768, '\P{Is_Blk=		Modifier_Letters}', "");
    Expect(0, 768, '\P{^Is_Blk=		Modifier_Letters}', "");
    Error('\p{Block=/a/	 Modifier_tone_Letters}');
    Error('\P{Block=/a/	 Modifier_tone_Letters}');
    Expect(1, 42783, '\p{Block=:\AModifier_Tone_Letters\z:}', "");;
    Expect(0, 42784, '\p{Block=:\AModifier_Tone_Letters\z:}', "");;
    Expect(1, 42783, '\p{Block=modifiertoneletters}', "");
    Expect(0, 42783, '\p{^Block=modifiertoneletters}', "");
    Expect(0, 42783, '\P{Block=modifiertoneletters}', "");
    Expect(1, 42783, '\P{^Block=modifiertoneletters}', "");
    Expect(0, 42784, '\p{Block=modifiertoneletters}', "");
    Expect(1, 42784, '\p{^Block=modifiertoneletters}', "");
    Expect(1, 42784, '\P{Block=modifiertoneletters}', "");
    Expect(0, 42784, '\P{^Block=modifiertoneletters}', "");
    Expect(1, 42783, '\p{Block=:\Amodifiertoneletters\z:}', "");;
    Expect(0, 42784, '\p{Block=:\Amodifiertoneletters\z:}', "");;
    Expect(1, 42783, '\p{Block=-MODIFIER_TONE_LETTERS}', "");
    Expect(0, 42783, '\p{^Block=-MODIFIER_TONE_LETTERS}', "");
    Expect(0, 42783, '\P{Block=-MODIFIER_TONE_LETTERS}', "");
    Expect(1, 42783, '\P{^Block=-MODIFIER_TONE_LETTERS}', "");
    Expect(0, 42784, '\p{Block=-MODIFIER_TONE_LETTERS}', "");
    Expect(1, 42784, '\p{^Block=-MODIFIER_TONE_LETTERS}', "");
    Expect(1, 42784, '\P{Block=-MODIFIER_TONE_LETTERS}', "");
    Expect(0, 42784, '\P{^Block=-MODIFIER_TONE_LETTERS}', "");
    Error('\p{Blk:	-:=Modifier_tone_letters}');
    Error('\P{Blk:	-:=Modifier_tone_letters}');
    Expect(1, 42783, '\p{Blk=:\AModifier_Tone_Letters\z:}', "");;
    Expect(0, 42784, '\p{Blk=:\AModifier_Tone_Letters\z:}', "");;
    Expect(1, 42783, '\p{Blk=modifiertoneletters}', "");
    Expect(0, 42783, '\p{^Blk=modifiertoneletters}', "");
    Expect(0, 42783, '\P{Blk=modifiertoneletters}', "");
    Expect(1, 42783, '\P{^Blk=modifiertoneletters}', "");
    Expect(0, 42784, '\p{Blk=modifiertoneletters}', "");
    Expect(1, 42784, '\p{^Blk=modifiertoneletters}', "");
    Expect(1, 42784, '\P{Blk=modifiertoneletters}', "");
    Expect(0, 42784, '\P{^Blk=modifiertoneletters}', "");
    Expect(1, 42783, '\p{Blk=:\Amodifiertoneletters\z:}', "");;
    Expect(0, 42784, '\p{Blk=:\Amodifiertoneletters\z:}', "");;
    Expect(1, 42783, '\p{Blk=	 MODIFIER_Tone_Letters}', "");
    Expect(0, 42783, '\p{^Blk=	 MODIFIER_Tone_Letters}', "");
    Expect(0, 42783, '\P{Blk=	 MODIFIER_Tone_Letters}', "");
    Expect(1, 42783, '\P{^Blk=	 MODIFIER_Tone_Letters}', "");
    Expect(0, 42784, '\p{Blk=	 MODIFIER_Tone_Letters}', "");
    Expect(1, 42784, '\p{^Blk=	 MODIFIER_Tone_Letters}', "");
    Expect(1, 42784, '\P{Blk=	 MODIFIER_Tone_Letters}', "");
    Expect(0, 42784, '\P{^Blk=	 MODIFIER_Tone_Letters}', "");
    Error('\p{Is_Block:			modifier_TONE_Letters:=}');
    Error('\P{Is_Block:			modifier_TONE_Letters:=}');
    Expect(1, 42783, '\p{Is_Block:modifiertoneletters}', "");
    Expect(0, 42783, '\p{^Is_Block:modifiertoneletters}', "");
    Expect(0, 42783, '\P{Is_Block:modifiertoneletters}', "");
    Expect(1, 42783, '\P{^Is_Block:modifiertoneletters}', "");
    Expect(0, 42784, '\p{Is_Block:modifiertoneletters}', "");
    Expect(1, 42784, '\p{^Is_Block:modifiertoneletters}', "");
    Expect(1, 42784, '\P{Is_Block:modifiertoneletters}', "");
    Expect(0, 42784, '\P{^Is_Block:modifiertoneletters}', "");
    Expect(1, 42783, '\p{Is_Block: 	Modifier_Tone_LETTERS}', "");
    Expect(0, 42783, '\p{^Is_Block: 	Modifier_Tone_LETTERS}', "");
    Expect(0, 42783, '\P{Is_Block: 	Modifier_Tone_LETTERS}', "");
    Expect(1, 42783, '\P{^Is_Block: 	Modifier_Tone_LETTERS}', "");
    Expect(0, 42784, '\p{Is_Block: 	Modifier_Tone_LETTERS}', "");
    Expect(1, 42784, '\p{^Is_Block: 	Modifier_Tone_LETTERS}', "");
    Expect(1, 42784, '\P{Is_Block: 	Modifier_Tone_LETTERS}', "");
    Expect(0, 42784, '\P{^Is_Block: 	Modifier_Tone_LETTERS}', "");
    Error('\p{Is_Blk:   :=	MODIFIER_tone_Letters}');
    Error('\P{Is_Blk:   :=	MODIFIER_tone_Letters}');
    Expect(1, 42783, '\p{Is_Blk=modifiertoneletters}', "");
    Expect(0, 42783, '\p{^Is_Blk=modifiertoneletters}', "");
    Expect(0, 42783, '\P{Is_Blk=modifiertoneletters}', "");
    Expect(1, 42783, '\P{^Is_Blk=modifiertoneletters}', "");
    Expect(0, 42784, '\p{Is_Blk=modifiertoneletters}', "");
    Expect(1, 42784, '\p{^Is_Blk=modifiertoneletters}', "");
    Expect(1, 42784, '\P{Is_Blk=modifiertoneletters}', "");
    Expect(0, 42784, '\P{^Is_Blk=modifiertoneletters}', "");
    Expect(1, 42783, '\p{Is_Blk=--Modifier_Tone_Letters}', "");
    Expect(0, 42783, '\p{^Is_Blk=--Modifier_Tone_Letters}', "");
    Expect(0, 42783, '\P{Is_Blk=--Modifier_Tone_Letters}', "");
    Expect(1, 42783, '\P{^Is_Blk=--Modifier_Tone_Letters}', "");
    Expect(0, 42784, '\p{Is_Blk=--Modifier_Tone_Letters}', "");
    Expect(1, 42784, '\p{^Is_Blk=--Modifier_Tone_Letters}', "");
    Expect(1, 42784, '\P{Is_Blk=--Modifier_Tone_Letters}', "");
    Expect(0, 42784, '\P{^Is_Blk=--Modifier_Tone_Letters}', "");
    Error('\p{Block=_ mongolian/a/}');
    Error('\P{Block=_ mongolian/a/}');
    Expect(1, 6319, '\p{Block=:\AMongolian\z:}', "");;
    Expect(0, 6320, '\p{Block=:\AMongolian\z:}', "");;
    Expect(1, 6319, '\p{Block:	mongolian}', "");
    Expect(0, 6319, '\p{^Block:	mongolian}', "");
    Expect(0, 6319, '\P{Block:	mongolian}', "");
    Expect(1, 6319, '\P{^Block:	mongolian}', "");
    Expect(0, 6320, '\p{Block:	mongolian}', "");
    Expect(1, 6320, '\p{^Block:	mongolian}', "");
    Expect(1, 6320, '\P{Block:	mongolian}', "");
    Expect(0, 6320, '\P{^Block:	mongolian}', "");
    Expect(1, 6319, '\p{Block=:\Amongolian\z:}', "");;
    Expect(0, 6320, '\p{Block=:\Amongolian\z:}', "");;
    Expect(1, 6319, '\p{Block=_mongolian}', "");
    Expect(0, 6319, '\p{^Block=_mongolian}', "");
    Expect(0, 6319, '\P{Block=_mongolian}', "");
    Expect(1, 6319, '\P{^Block=_mongolian}', "");
    Expect(0, 6320, '\p{Block=_mongolian}', "");
    Expect(1, 6320, '\p{^Block=_mongolian}', "");
    Expect(1, 6320, '\P{Block=_mongolian}', "");
    Expect(0, 6320, '\P{^Block=_mongolian}', "");
    Error('\p{Blk=:= 	Mongolian}');
    Error('\P{Blk=:= 	Mongolian}');
    Expect(1, 6319, '\p{Blk=:\AMongolian\z:}', "");;
    Expect(0, 6320, '\p{Blk=:\AMongolian\z:}', "");;
    Expect(1, 6319, '\p{Blk=mongolian}', "");
    Expect(0, 6319, '\p{^Blk=mongolian}', "");
    Expect(0, 6319, '\P{Blk=mongolian}', "");
    Expect(1, 6319, '\P{^Blk=mongolian}', "");
    Expect(0, 6320, '\p{Blk=mongolian}', "");
    Expect(1, 6320, '\p{^Blk=mongolian}', "");
    Expect(1, 6320, '\P{Blk=mongolian}', "");
    Expect(0, 6320, '\P{^Blk=mongolian}', "");
    Expect(1, 6319, '\p{Blk=:\Amongolian\z:}', "");;
    Expect(0, 6320, '\p{Blk=:\Amongolian\z:}', "");;
    Expect(1, 6319, '\p{Blk=-	mongolian}', "");
    Expect(0, 6319, '\p{^Blk=-	mongolian}', "");
    Expect(0, 6319, '\P{Blk=-	mongolian}', "");
    Expect(1, 6319, '\P{^Blk=-	mongolian}', "");
    Expect(0, 6320, '\p{Blk=-	mongolian}', "");
    Expect(1, 6320, '\p{^Blk=-	mongolian}', "");
    Expect(1, 6320, '\P{Blk=-	mongolian}', "");
    Expect(0, 6320, '\P{^Blk=-	mongolian}', "");
    Error('\p{Is_Block=:= _Mongolian}');
    Error('\P{Is_Block=:= _Mongolian}');
    Expect(1, 6319, '\p{Is_Block=mongolian}', "");
    Expect(0, 6319, '\p{^Is_Block=mongolian}', "");
    Expect(0, 6319, '\P{Is_Block=mongolian}', "");
    Expect(1, 6319, '\P{^Is_Block=mongolian}', "");
    Expect(0, 6320, '\p{Is_Block=mongolian}', "");
    Expect(1, 6320, '\p{^Is_Block=mongolian}', "");
    Expect(1, 6320, '\P{Is_Block=mongolian}', "");
    Expect(0, 6320, '\P{^Is_Block=mongolian}', "");
    Expect(1, 6319, '\p{Is_Block:   --Mongolian}', "");
    Expect(0, 6319, '\p{^Is_Block:   --Mongolian}', "");
    Expect(0, 6319, '\P{Is_Block:   --Mongolian}', "");
    Expect(1, 6319, '\P{^Is_Block:   --Mongolian}', "");
    Expect(0, 6320, '\p{Is_Block:   --Mongolian}', "");
    Expect(1, 6320, '\p{^Is_Block:   --Mongolian}', "");
    Expect(1, 6320, '\P{Is_Block:   --Mongolian}', "");
    Expect(0, 6320, '\P{^Is_Block:   --Mongolian}', "");
    Error('\p{Is_Blk:	:=-	MONGOLIAN}');
    Error('\P{Is_Blk:	:=-	MONGOLIAN}');
    Expect(1, 6319, '\p{Is_Blk=mongolian}', "");
    Expect(0, 6319, '\p{^Is_Blk=mongolian}', "");
    Expect(0, 6319, '\P{Is_Blk=mongolian}', "");
    Expect(1, 6319, '\P{^Is_Blk=mongolian}', "");
    Expect(0, 6320, '\p{Is_Blk=mongolian}', "");
    Expect(1, 6320, '\p{^Is_Blk=mongolian}', "");
    Expect(1, 6320, '\P{Is_Blk=mongolian}', "");
    Expect(0, 6320, '\P{^Is_Blk=mongolian}', "");
    Expect(1, 6319, '\p{Is_Blk:   __Mongolian}', "");
    Expect(0, 6319, '\p{^Is_Blk:   __Mongolian}', "");
    Expect(0, 6319, '\P{Is_Blk:   __Mongolian}', "");
    Expect(1, 6319, '\P{^Is_Blk:   __Mongolian}', "");
    Expect(0, 6320, '\p{Is_Blk:   __Mongolian}', "");
    Expect(1, 6320, '\p{^Is_Blk:   __Mongolian}', "");
    Expect(1, 6320, '\P{Is_Blk:   __Mongolian}', "");
    Expect(0, 6320, '\P{^Is_Blk:   __Mongolian}', "");
    Error('\p{Block=_ mongolian_SUPPLEMENT/a/}');
    Error('\P{Block=_ mongolian_SUPPLEMENT/a/}');
    Expect(1, 71295, '\p{Block=:\AMongolian_Supplement\z:}', "");;
    Expect(0, 71296, '\p{Block=:\AMongolian_Supplement\z:}', "");;
    Expect(1, 71295, '\p{Block=mongoliansupplement}', "");
    Expect(0, 71295, '\p{^Block=mongoliansupplement}', "");
    Expect(0, 71295, '\P{Block=mongoliansupplement}', "");
    Expect(1, 71295, '\P{^Block=mongoliansupplement}', "");
    Expect(0, 71296, '\p{Block=mongoliansupplement}', "");
    Expect(1, 71296, '\p{^Block=mongoliansupplement}', "");
    Expect(1, 71296, '\P{Block=mongoliansupplement}', "");
    Expect(0, 71296, '\P{^Block=mongoliansupplement}', "");
    Expect(1, 71295, '\p{Block=:\Amongoliansupplement\z:}', "");;
    Expect(0, 71296, '\p{Block=:\Amongoliansupplement\z:}', "");;
    Expect(1, 71295, '\p{Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71295, '\p{^Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71295, '\P{Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Expect(1, 71295, '\P{^Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71296, '\p{Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Expect(1, 71296, '\p{^Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Expect(1, 71296, '\P{Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71296, '\P{^Block:   -MONGOLIAN_SUPPLEMENT}', "");
    Error('\p{Blk=	/a/Mongolian_sup}');
    Error('\P{Blk=	/a/Mongolian_sup}');
    Expect(1, 71295, '\p{Blk=:\AMongolian_Sup\z:}', "");;
    Expect(0, 71296, '\p{Blk=:\AMongolian_Sup\z:}', "");;
    Expect(1, 71295, '\p{Blk=mongoliansup}', "");
    Expect(0, 71295, '\p{^Blk=mongoliansup}', "");
    Expect(0, 71295, '\P{Blk=mongoliansup}', "");
    Expect(1, 71295, '\P{^Blk=mongoliansup}', "");
    Expect(0, 71296, '\p{Blk=mongoliansup}', "");
    Expect(1, 71296, '\p{^Blk=mongoliansup}', "");
    Expect(1, 71296, '\P{Blk=mongoliansup}', "");
    Expect(0, 71296, '\P{^Blk=mongoliansup}', "");
    Expect(1, 71295, '\p{Blk=:\Amongoliansup\z:}', "");;
    Expect(0, 71296, '\p{Blk=:\Amongoliansup\z:}', "");;
    Expect(1, 71295, '\p{Blk=	-Mongolian_Sup}', "");
    Expect(0, 71295, '\p{^Blk=	-Mongolian_Sup}', "");
    Expect(0, 71295, '\P{Blk=	-Mongolian_Sup}', "");
    Expect(1, 71295, '\P{^Blk=	-Mongolian_Sup}', "");
    Expect(0, 71296, '\p{Blk=	-Mongolian_Sup}', "");
    Expect(1, 71296, '\p{^Blk=	-Mongolian_Sup}', "");
    Expect(1, 71296, '\P{Blk=	-Mongolian_Sup}', "");
    Expect(0, 71296, '\P{^Blk=	-Mongolian_Sup}', "");
    Error('\p{Is_Block:_:=MONGOLIAN_Supplement}');
    Error('\P{Is_Block:_:=MONGOLIAN_Supplement}');
    Expect(1, 71295, '\p{Is_Block=mongoliansupplement}', "");
    Expect(0, 71295, '\p{^Is_Block=mongoliansupplement}', "");
    Expect(0, 71295, '\P{Is_Block=mongoliansupplement}', "");
    Expect(1, 71295, '\P{^Is_Block=mongoliansupplement}', "");
    Expect(0, 71296, '\p{Is_Block=mongoliansupplement}', "");
    Expect(1, 71296, '\p{^Is_Block=mongoliansupplement}', "");
    Expect(1, 71296, '\P{Is_Block=mongoliansupplement}', "");
    Expect(0, 71296, '\P{^Is_Block=mongoliansupplement}', "");
    Expect(1, 71295, '\p{Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71295, '\p{^Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71295, '\P{Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Expect(1, 71295, '\P{^Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71296, '\p{Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Expect(1, 71296, '\p{^Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Expect(1, 71296, '\P{Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Expect(0, 71296, '\P{^Is_Block=_ MONGOLIAN_SUPPLEMENT}', "");
    Error('\p{Is_Blk:   /a/ Mongolian_SUP}');
    Error('\P{Is_Blk:   /a/ Mongolian_SUP}');
    Expect(1, 71295, '\p{Is_Blk=mongoliansup}', "");
    Expect(0, 71295, '\p{^Is_Blk=mongoliansup}', "");
    Expect(0, 71295, '\P{Is_Blk=mongoliansup}', "");
    Expect(1, 71295, '\P{^Is_Blk=mongoliansup}', "");
    Expect(0, 71296, '\p{Is_Blk=mongoliansup}', "");
    Expect(1, 71296, '\p{^Is_Blk=mongoliansup}', "");
    Expect(1, 71296, '\P{Is_Blk=mongoliansup}', "");
    Expect(0, 71296, '\P{^Is_Blk=mongoliansup}', "");
    Expect(1, 71295, '\p{Is_Blk=__Mongolian_Sup}', "");
    Expect(0, 71295, '\p{^Is_Blk=__Mongolian_Sup}', "");
    Expect(0, 71295, '\P{Is_Blk=__Mongolian_Sup}', "");
    Expect(1, 71295, '\P{^Is_Blk=__Mongolian_Sup}', "");
    Expect(0, 71296, '\p{Is_Blk=__Mongolian_Sup}', "");
    Expect(1, 71296, '\p{^Is_Blk=__Mongolian_Sup}', "");
    Expect(1, 71296, '\P{Is_Blk=__Mongolian_Sup}', "");
    Expect(0, 71296, '\P{^Is_Blk=__Mongolian_Sup}', "");
    Error('\p{Block=:=__Mro}');
    Error('\P{Block=:=__Mro}');
    Expect(1, 92783, '\p{Block=:\AMro\z:}', "");;
    Expect(0, 92784, '\p{Block=:\AMro\z:}', "");;
    Expect(1, 92783, '\p{Block: mro}', "");
    Expect(0, 92783, '\p{^Block: mro}', "");
    Expect(0, 92783, '\P{Block: mro}', "");
    Expect(1, 92783, '\P{^Block: mro}', "");
    Expect(0, 92784, '\p{Block: mro}', "");
    Expect(1, 92784, '\p{^Block: mro}', "");
    Expect(1, 92784, '\P{Block: mro}', "");
    Expect(0, 92784, '\P{^Block: mro}', "");
    Expect(1, 92783, '\p{Block=:\Amro\z:}', "");;
    Expect(0, 92784, '\p{Block=:\Amro\z:}', "");;
    Expect(1, 92783, '\p{Block:   _MRO}', "");
    Expect(0, 92783, '\p{^Block:   _MRO}', "");
    Expect(0, 92783, '\P{Block:   _MRO}', "");
    Expect(1, 92783, '\P{^Block:   _MRO}', "");
    Expect(0, 92784, '\p{Block:   _MRO}', "");
    Expect(1, 92784, '\p{^Block:   _MRO}', "");
    Expect(1, 92784, '\P{Block:   _MRO}', "");
    Expect(0, 92784, '\P{^Block:   _MRO}', "");
    Error('\p{Blk= -MRO:=}');
    Error('\P{Blk= -MRO:=}');
    Expect(1, 92783, '\p{Blk=:\AMro\z:}', "");;
    Expect(0, 92784, '\p{Blk=:\AMro\z:}', "");;
    Expect(1, 92783, '\p{Blk=mro}', "");
    Expect(0, 92783, '\p{^Blk=mro}', "");
    Expect(0, 92783, '\P{Blk=mro}', "");
    Expect(1, 92783, '\P{^Blk=mro}', "");
    Expect(0, 92784, '\p{Blk=mro}', "");
    Expect(1, 92784, '\p{^Blk=mro}', "");
    Expect(1, 92784, '\P{Blk=mro}', "");
    Expect(0, 92784, '\P{^Blk=mro}', "");
    Expect(1, 92783, '\p{Blk=:\Amro\z:}', "");;
    Expect(0, 92784, '\p{Blk=:\Amro\z:}', "");;
    Expect(1, 92783, '\p{Blk=  Mro}', "");
    Expect(0, 92783, '\p{^Blk=  Mro}', "");
    Expect(0, 92783, '\P{Blk=  Mro}', "");
    Expect(1, 92783, '\P{^Blk=  Mro}', "");
    Expect(0, 92784, '\p{Blk=  Mro}', "");
    Expect(1, 92784, '\p{^Blk=  Mro}', "");
    Expect(1, 92784, '\P{Blk=  Mro}', "");
    Expect(0, 92784, '\P{^Blk=  Mro}', "");
    Error('\p{Is_Block=/a/MRO}');
    Error('\P{Is_Block=/a/MRO}');
    Expect(1, 92783, '\p{Is_Block=mro}', "");
    Expect(0, 92783, '\p{^Is_Block=mro}', "");
    Expect(0, 92783, '\P{Is_Block=mro}', "");
    Expect(1, 92783, '\P{^Is_Block=mro}', "");
    Expect(0, 92784, '\p{Is_Block=mro}', "");
    Expect(1, 92784, '\p{^Is_Block=mro}', "");
    Expect(1, 92784, '\P{Is_Block=mro}', "");
    Expect(0, 92784, '\P{^Is_Block=mro}', "");
    Expect(1, 92783, '\p{Is_Block=  MRO}', "");
    Expect(0, 92783, '\p{^Is_Block=  MRO}', "");
    Expect(0, 92783, '\P{Is_Block=  MRO}', "");
    Expect(1, 92783, '\P{^Is_Block=  MRO}', "");
    Expect(0, 92784, '\p{Is_Block=  MRO}', "");
    Expect(1, 92784, '\p{^Is_Block=  MRO}', "");
    Expect(1, 92784, '\P{Is_Block=  MRO}', "");
    Expect(0, 92784, '\P{^Is_Block=  MRO}', "");
    Error('\p{Is_Blk=/a/_-MRO}');
    Error('\P{Is_Blk=/a/_-MRO}');
    Expect(1, 92783, '\p{Is_Blk=mro}', "");
    Expect(0, 92783, '\p{^Is_Blk=mro}', "");
    Expect(0, 92783, '\P{Is_Blk=mro}', "");
    Expect(1, 92783, '\P{^Is_Blk=mro}', "");
    Expect(0, 92784, '\p{Is_Blk=mro}', "");
    Expect(1, 92784, '\p{^Is_Blk=mro}', "");
    Expect(1, 92784, '\P{Is_Blk=mro}', "");
    Expect(0, 92784, '\P{^Is_Blk=mro}', "");
    Expect(1, 92783, '\p{Is_Blk=	MRO}', "");
    Expect(0, 92783, '\p{^Is_Blk=	MRO}', "");
    Expect(0, 92783, '\P{Is_Blk=	MRO}', "");
    Expect(1, 92783, '\P{^Is_Blk=	MRO}', "");
    Expect(0, 92784, '\p{Is_Blk=	MRO}', "");
    Expect(1, 92784, '\p{^Is_Blk=	MRO}', "");
    Expect(1, 92784, '\P{Is_Blk=	MRO}', "");
    Expect(0, 92784, '\P{^Is_Blk=	MRO}', "");
    Error('\p{Block=/a/Multani}');
    Error('\P{Block=/a/Multani}');
    Expect(1, 70319, '\p{Block=:\AMultani\z:}', "");;
    Expect(0, 70320, '\p{Block=:\AMultani\z:}', "");;
    Expect(1, 70319, '\p{Block=multani}', "");
    Expect(0, 70319, '\p{^Block=multani}', "");
    Expect(0, 70319, '\P{Block=multani}', "");
    Expect(1, 70319, '\P{^Block=multani}', "");
    Expect(0, 70320, '\p{Block=multani}', "");
    Expect(1, 70320, '\p{^Block=multani}', "");
    Expect(1, 70320, '\P{Block=multani}', "");
    Expect(0, 70320, '\P{^Block=multani}', "");
    Expect(1, 70319, '\p{Block=:\Amultani\z:}', "");;
    Expect(0, 70320, '\p{Block=:\Amultani\z:}', "");;
    Expect(1, 70319, '\p{Block=-Multani}', "");
    Expect(0, 70319, '\p{^Block=-Multani}', "");
    Expect(0, 70319, '\P{Block=-Multani}', "");
    Expect(1, 70319, '\P{^Block=-Multani}', "");
    Expect(0, 70320, '\p{Block=-Multani}', "");
    Expect(1, 70320, '\p{^Block=-Multani}', "");
    Expect(1, 70320, '\P{Block=-Multani}', "");
    Expect(0, 70320, '\P{^Block=-Multani}', "");
    Error('\p{Blk=	multani:=}');
    Error('\P{Blk=	multani:=}');
    Expect(1, 70319, '\p{Blk=:\AMultani\z:}', "");;
    Expect(0, 70320, '\p{Blk=:\AMultani\z:}', "");;
    Expect(1, 70319, '\p{Blk=multani}', "");
    Expect(0, 70319, '\p{^Blk=multani}', "");
    Expect(0, 70319, '\P{Blk=multani}', "");
    Expect(1, 70319, '\P{^Blk=multani}', "");
    Expect(0, 70320, '\p{Blk=multani}', "");
    Expect(1, 70320, '\p{^Blk=multani}', "");
    Expect(1, 70320, '\P{Blk=multani}', "");
    Expect(0, 70320, '\P{^Blk=multani}', "");
    Expect(1, 70319, '\p{Blk=:\Amultani\z:}', "");;
    Expect(0, 70320, '\p{Blk=:\Amultani\z:}', "");;
    Expect(1, 70319, '\p{Blk: -	multani}', "");
    Expect(0, 70319, '\p{^Blk: -	multani}', "");
    Expect(0, 70319, '\P{Blk: -	multani}', "");
    Expect(1, 70319, '\P{^Blk: -	multani}', "");
    Expect(0, 70320, '\p{Blk: -	multani}', "");
    Expect(1, 70320, '\p{^Blk: -	multani}', "");
    Expect(1, 70320, '\P{Blk: -	multani}', "");
    Expect(0, 70320, '\P{^Blk: -	multani}', "");
    Error('\p{Is_Block=_:=multani}');
    Error('\P{Is_Block=_:=multani}');
    Expect(1, 70319, '\p{Is_Block=multani}', "");
    Expect(0, 70319, '\p{^Is_Block=multani}', "");
    Expect(0, 70319, '\P{Is_Block=multani}', "");
    Expect(1, 70319, '\P{^Is_Block=multani}', "");
    Expect(0, 70320, '\p{Is_Block=multani}', "");
    Expect(1, 70320, '\p{^Is_Block=multani}', "");
    Expect(1, 70320, '\P{Is_Block=multani}', "");
    Expect(0, 70320, '\P{^Is_Block=multani}', "");
    Expect(1, 70319, '\p{Is_Block= -Multani}', "");
    Expect(0, 70319, '\p{^Is_Block= -Multani}', "");
    Expect(0, 70319, '\P{Is_Block= -Multani}', "");
    Expect(1, 70319, '\P{^Is_Block= -Multani}', "");
    Expect(0, 70320, '\p{Is_Block= -Multani}', "");
    Expect(1, 70320, '\p{^Is_Block= -Multani}', "");
    Expect(1, 70320, '\P{Is_Block= -Multani}', "");
    Expect(0, 70320, '\P{^Is_Block= -Multani}', "");
    Error('\p{Is_Blk=:=_multani}');
    Error('\P{Is_Blk=:=_multani}');
    Expect(1, 70319, '\p{Is_Blk=multani}', "");
    Expect(0, 70319, '\p{^Is_Blk=multani}', "");
    Expect(0, 70319, '\P{Is_Blk=multani}', "");
    Expect(1, 70319, '\P{^Is_Blk=multani}', "");
    Expect(0, 70320, '\p{Is_Blk=multani}', "");
    Expect(1, 70320, '\p{^Is_Blk=multani}', "");
    Expect(1, 70320, '\P{Is_Blk=multani}', "");
    Expect(0, 70320, '\P{^Is_Blk=multani}', "");
    Expect(1, 70319, '\p{Is_Blk=-MULTANI}', "");
    Expect(0, 70319, '\p{^Is_Blk=-MULTANI}', "");
    Expect(0, 70319, '\P{Is_Blk=-MULTANI}', "");
    Expect(1, 70319, '\P{^Is_Blk=-MULTANI}', "");
    Expect(0, 70320, '\p{Is_Blk=-MULTANI}', "");
    Expect(1, 70320, '\p{^Is_Blk=-MULTANI}', "");
    Expect(1, 70320, '\P{Is_Blk=-MULTANI}', "");
    Expect(0, 70320, '\P{^Is_Blk=-MULTANI}', "");
    Error('\p{Block=	Musical_SYMBOLS:=}');
    Error('\P{Block=	Musical_SYMBOLS:=}');
    Expect(1, 119295, '\p{Block=:\AMusical_Symbols\z:}', "");;
    Expect(0, 119296, '\p{Block=:\AMusical_Symbols\z:}', "");;
    Expect(1, 119295, '\p{Block=musicalsymbols}', "");
    Expect(0, 119295, '\p{^Block=musicalsymbols}', "");
    Expect(0, 119295, '\P{Block=musicalsymbols}', "");
    Expect(1, 119295, '\P{^Block=musicalsymbols}', "");
    Expect(0, 119296, '\p{Block=musicalsymbols}', "");
    Expect(1, 119296, '\p{^Block=musicalsymbols}', "");
    Expect(1, 119296, '\P{Block=musicalsymbols}', "");
    Expect(0, 119296, '\P{^Block=musicalsymbols}', "");
    Expect(1, 119295, '\p{Block=:\Amusicalsymbols\z:}', "");;
    Expect(0, 119296, '\p{Block=:\Amusicalsymbols\z:}', "");;
    Expect(1, 119295, '\p{Block= -musical_Symbols}', "");
    Expect(0, 119295, '\p{^Block= -musical_Symbols}', "");
    Expect(0, 119295, '\P{Block= -musical_Symbols}', "");
    Expect(1, 119295, '\P{^Block= -musical_Symbols}', "");
    Expect(0, 119296, '\p{Block= -musical_Symbols}', "");
    Expect(1, 119296, '\p{^Block= -musical_Symbols}', "");
    Expect(1, 119296, '\P{Block= -musical_Symbols}', "");
    Expect(0, 119296, '\P{^Block= -musical_Symbols}', "");
    Error('\p{Blk: := Music}');
    Error('\P{Blk: := Music}');
    Expect(1, 119295, '\p{Blk=:\AMusic\z:}', "");;
    Expect(0, 119296, '\p{Blk=:\AMusic\z:}', "");;
    Expect(1, 119295, '\p{Blk=music}', "");
    Expect(0, 119295, '\p{^Blk=music}', "");
    Expect(0, 119295, '\P{Blk=music}', "");
    Expect(1, 119295, '\P{^Blk=music}', "");
    Expect(0, 119296, '\p{Blk=music}', "");
    Expect(1, 119296, '\p{^Blk=music}', "");
    Expect(1, 119296, '\P{Blk=music}', "");
    Expect(0, 119296, '\P{^Blk=music}', "");
    Expect(1, 119295, '\p{Blk=:\Amusic\z:}', "");;
    Expect(0, 119296, '\p{Blk=:\Amusic\z:}', "");;
    Expect(1, 119295, '\p{Blk=	MUSIC}', "");
    Expect(0, 119295, '\p{^Blk=	MUSIC}', "");
    Expect(0, 119295, '\P{Blk=	MUSIC}', "");
    Expect(1, 119295, '\P{^Blk=	MUSIC}', "");
    Expect(0, 119296, '\p{Blk=	MUSIC}', "");
    Expect(1, 119296, '\p{^Blk=	MUSIC}', "");
    Expect(1, 119296, '\P{Blk=	MUSIC}', "");
    Expect(0, 119296, '\P{^Blk=	MUSIC}', "");
    Error('\p{Is_Block=/a/__Musical_SYMBOLS}');
    Error('\P{Is_Block=/a/__Musical_SYMBOLS}');
    Expect(1, 119295, '\p{Is_Block=musicalsymbols}', "");
    Expect(0, 119295, '\p{^Is_Block=musicalsymbols}', "");
    Expect(0, 119295, '\P{Is_Block=musicalsymbols}', "");
    Expect(1, 119295, '\P{^Is_Block=musicalsymbols}', "");
    Expect(0, 119296, '\p{Is_Block=musicalsymbols}', "");
    Expect(1, 119296, '\p{^Is_Block=musicalsymbols}', "");
    Expect(1, 119296, '\P{Is_Block=musicalsymbols}', "");
    Expect(0, 119296, '\P{^Is_Block=musicalsymbols}', "");
    Expect(1, 119295, '\p{Is_Block=__MUSICAL_SYMBOLS}', "");
    Expect(0, 119295, '\p{^Is_Block=__MUSICAL_SYMBOLS}', "");
    Expect(0, 119295, '\P{Is_Block=__MUSICAL_SYMBOLS}', "");
    Expect(1, 119295, '\P{^Is_Block=__MUSICAL_SYMBOLS}', "");
    Expect(0, 119296, '\p{Is_Block=__MUSICAL_SYMBOLS}', "");
    Expect(1, 119296, '\p{^Is_Block=__MUSICAL_SYMBOLS}', "");
    Expect(1, 119296, '\P{Is_Block=__MUSICAL_SYMBOLS}', "");
    Expect(0, 119296, '\P{^Is_Block=__MUSICAL_SYMBOLS}', "");
    Error('\p{Is_Blk=	 MUSIC:=}');
    Error('\P{Is_Blk=	 MUSIC:=}');
    Expect(1, 119295, '\p{Is_Blk: music}', "");
    Expect(0, 119295, '\p{^Is_Blk: music}', "");
    Expect(0, 119295, '\P{Is_Blk: music}', "");
    Expect(1, 119295, '\P{^Is_Blk: music}', "");
    Expect(0, 119296, '\p{Is_Blk: music}', "");
    Expect(1, 119296, '\p{^Is_Blk: music}', "");
    Expect(1, 119296, '\P{Is_Blk: music}', "");
    Expect(0, 119296, '\P{^Is_Blk: music}', "");
    Expect(1, 119295, '\p{Is_Blk=  MUSIC}', "");
    Expect(0, 119295, '\p{^Is_Blk=  MUSIC}', "");
    Expect(0, 119295, '\P{Is_Blk=  MUSIC}', "");
    Expect(1, 119295, '\P{^Is_Blk=  MUSIC}', "");
    Expect(0, 119296, '\p{Is_Blk=  MUSIC}', "");
    Expect(1, 119296, '\p{^Is_Blk=  MUSIC}', "");
    Expect(1, 119296, '\P{Is_Blk=  MUSIC}', "");
    Expect(0, 119296, '\P{^Is_Blk=  MUSIC}', "");
    Error('\p{Block=_	Myanmar:=}');
    Error('\P{Block=_	Myanmar:=}');
    Expect(1, 4255, '\p{Block=:\AMyanmar\z:}', "");;
    Expect(0, 4256, '\p{Block=:\AMyanmar\z:}', "");;
    Expect(1, 4255, '\p{Block=myanmar}', "");
    Expect(0, 4255, '\p{^Block=myanmar}', "");
    Expect(0, 4255, '\P{Block=myanmar}', "");
    Expect(1, 4255, '\P{^Block=myanmar}', "");
    Expect(0, 4256, '\p{Block=myanmar}', "");
    Expect(1, 4256, '\p{^Block=myanmar}', "");
    Expect(1, 4256, '\P{Block=myanmar}', "");
    Expect(0, 4256, '\P{^Block=myanmar}', "");
    Expect(1, 4255, '\p{Block=:\Amyanmar\z:}', "");;
    Expect(0, 4256, '\p{Block=:\Amyanmar\z:}', "");;
    Expect(1, 4255, '\p{Block=__myanmar}', "");
    Expect(0, 4255, '\p{^Block=__myanmar}', "");
    Expect(0, 4255, '\P{Block=__myanmar}', "");
    Expect(1, 4255, '\P{^Block=__myanmar}', "");
    Expect(0, 4256, '\p{Block=__myanmar}', "");
    Expect(1, 4256, '\p{^Block=__myanmar}', "");
    Expect(1, 4256, '\P{Block=__myanmar}', "");
    Expect(0, 4256, '\P{^Block=__myanmar}', "");
    Error('\p{Blk:	/a/-	MYANMAR}');
    Error('\P{Blk:	/a/-	MYANMAR}');
    Expect(1, 4255, '\p{Blk=:\AMyanmar\z:}', "");;
    Expect(0, 4256, '\p{Blk=:\AMyanmar\z:}', "");;
    Expect(1, 4255, '\p{Blk=myanmar}', "");
    Expect(0, 4255, '\p{^Blk=myanmar}', "");
    Expect(0, 4255, '\P{Blk=myanmar}', "");
    Expect(1, 4255, '\P{^Blk=myanmar}', "");
    Expect(0, 4256, '\p{Blk=myanmar}', "");
    Expect(1, 4256, '\p{^Blk=myanmar}', "");
    Expect(1, 4256, '\P{Blk=myanmar}', "");
    Expect(0, 4256, '\P{^Blk=myanmar}', "");
    Expect(1, 4255, '\p{Blk=:\Amyanmar\z:}', "");;
    Expect(0, 4256, '\p{Blk=:\Amyanmar\z:}', "");;
    Expect(1, 4255, '\p{Blk=		MYANMAR}', "");
    Expect(0, 4255, '\p{^Blk=		MYANMAR}', "");
    Expect(0, 4255, '\P{Blk=		MYANMAR}', "");
    Expect(1, 4255, '\P{^Blk=		MYANMAR}', "");
    Expect(0, 4256, '\p{Blk=		MYANMAR}', "");
    Expect(1, 4256, '\p{^Blk=		MYANMAR}', "");
    Expect(1, 4256, '\P{Blk=		MYANMAR}', "");
    Expect(0, 4256, '\P{^Blk=		MYANMAR}', "");
    Error('\p{Is_Block=__Myanmar/a/}');
    Error('\P{Is_Block=__Myanmar/a/}');
    Expect(1, 4255, '\p{Is_Block=myanmar}', "");
    Expect(0, 4255, '\p{^Is_Block=myanmar}', "");
    Expect(0, 4255, '\P{Is_Block=myanmar}', "");
    Expect(1, 4255, '\P{^Is_Block=myanmar}', "");
    Expect(0, 4256, '\p{Is_Block=myanmar}', "");
    Expect(1, 4256, '\p{^Is_Block=myanmar}', "");
    Expect(1, 4256, '\P{Is_Block=myanmar}', "");
    Expect(0, 4256, '\P{^Is_Block=myanmar}', "");
    Expect(1, 4255, '\p{Is_Block=--Myanmar}', "");
    Expect(0, 4255, '\p{^Is_Block=--Myanmar}', "");
    Expect(0, 4255, '\P{Is_Block=--Myanmar}', "");
    Expect(1, 4255, '\P{^Is_Block=--Myanmar}', "");
    Expect(0, 4256, '\p{Is_Block=--Myanmar}', "");
    Expect(1, 4256, '\p{^Is_Block=--Myanmar}', "");
    Expect(1, 4256, '\P{Is_Block=--Myanmar}', "");
    Expect(0, 4256, '\P{^Is_Block=--Myanmar}', "");
    Error('\p{Is_Blk=:=_ MYANMAR}');
    Error('\P{Is_Blk=:=_ MYANMAR}');
    Expect(1, 4255, '\p{Is_Blk=myanmar}', "");
    Expect(0, 4255, '\p{^Is_Blk=myanmar}', "");
    Expect(0, 4255, '\P{Is_Blk=myanmar}', "");
    Expect(1, 4255, '\P{^Is_Blk=myanmar}', "");
    Expect(0, 4256, '\p{Is_Blk=myanmar}', "");
    Expect(1, 4256, '\p{^Is_Blk=myanmar}', "");
    Expect(1, 4256, '\P{Is_Blk=myanmar}', "");
    Expect(0, 4256, '\P{^Is_Blk=myanmar}', "");
    Expect(1, 4255, '\p{Is_Blk: -_MYANMAR}', "");
    Expect(0, 4255, '\p{^Is_Blk: -_MYANMAR}', "");
    Expect(0, 4255, '\P{Is_Blk: -_MYANMAR}', "");
    Expect(1, 4255, '\P{^Is_Blk: -_MYANMAR}', "");
    Expect(0, 4256, '\p{Is_Blk: -_MYANMAR}', "");
    Expect(1, 4256, '\p{^Is_Blk: -_MYANMAR}', "");
    Expect(1, 4256, '\P{Is_Blk: -_MYANMAR}', "");
    Expect(0, 4256, '\P{^Is_Blk: -_MYANMAR}', "");
    Error('\p{Block= /a/Myanmar_Extended_a}');
    Error('\P{Block= /a/Myanmar_Extended_a}');
    Expect(1, 43647, '\p{Block=:\AMyanmar_Extended_A\z:}', "");;
    Expect(0, 43648, '\p{Block=:\AMyanmar_Extended_A\z:}', "");;
    Expect(1, 43647, '\p{Block=myanmarextendeda}', "");
    Expect(0, 43647, '\p{^Block=myanmarextendeda}', "");
    Expect(0, 43647, '\P{Block=myanmarextendeda}', "");
    Expect(1, 43647, '\P{^Block=myanmarextendeda}', "");
    Expect(0, 43648, '\p{Block=myanmarextendeda}', "");
    Expect(1, 43648, '\p{^Block=myanmarextendeda}', "");
    Expect(1, 43648, '\P{Block=myanmarextendeda}', "");
    Expect(0, 43648, '\P{^Block=myanmarextendeda}', "");
    Expect(1, 43647, '\p{Block=:\Amyanmarextendeda\z:}', "");;
    Expect(0, 43648, '\p{Block=:\Amyanmarextendeda\z:}', "");;
    Expect(1, 43647, '\p{Block= 	Myanmar_EXTENDED_A}', "");
    Expect(0, 43647, '\p{^Block= 	Myanmar_EXTENDED_A}', "");
    Expect(0, 43647, '\P{Block= 	Myanmar_EXTENDED_A}', "");
    Expect(1, 43647, '\P{^Block= 	Myanmar_EXTENDED_A}', "");
    Expect(0, 43648, '\p{Block= 	Myanmar_EXTENDED_A}', "");
    Expect(1, 43648, '\p{^Block= 	Myanmar_EXTENDED_A}', "");
    Expect(1, 43648, '\P{Block= 	Myanmar_EXTENDED_A}', "");
    Expect(0, 43648, '\P{^Block= 	Myanmar_EXTENDED_A}', "");
    Error('\p{Blk= MYANMAR_EXT_A:=}');
    Error('\P{Blk= MYANMAR_EXT_A:=}');
    Expect(1, 43647, '\p{Blk=:\AMyanmar_Ext_A\z:}', "");;
    Expect(0, 43648, '\p{Blk=:\AMyanmar_Ext_A\z:}', "");;
    Expect(1, 43647, '\p{Blk=myanmarexta}', "");
    Expect(0, 43647, '\p{^Blk=myanmarexta}', "");
    Expect(0, 43647, '\P{Blk=myanmarexta}', "");
    Expect(1, 43647, '\P{^Blk=myanmarexta}', "");
    Expect(0, 43648, '\p{Blk=myanmarexta}', "");
    Expect(1, 43648, '\p{^Blk=myanmarexta}', "");
    Expect(1, 43648, '\P{Blk=myanmarexta}', "");
    Expect(0, 43648, '\P{^Blk=myanmarexta}', "");
    Expect(1, 43647, '\p{Blk=:\Amyanmarexta\z:}', "");;
    Expect(0, 43648, '\p{Blk=:\Amyanmarexta\z:}', "");;
    Expect(1, 43647, '\p{Blk=- Myanmar_Ext_A}', "");
    Expect(0, 43647, '\p{^Blk=- Myanmar_Ext_A}', "");
    Expect(0, 43647, '\P{Blk=- Myanmar_Ext_A}', "");
    Expect(1, 43647, '\P{^Blk=- Myanmar_Ext_A}', "");
    Expect(0, 43648, '\p{Blk=- Myanmar_Ext_A}', "");
    Expect(1, 43648, '\p{^Blk=- Myanmar_Ext_A}', "");
    Expect(1, 43648, '\P{Blk=- Myanmar_Ext_A}', "");
    Expect(0, 43648, '\P{^Blk=- Myanmar_Ext_A}', "");
    Error('\p{Is_Block=_ MYANMAR_Extended_a/a/}');
    Error('\P{Is_Block=_ MYANMAR_Extended_a/a/}');
    Expect(1, 43647, '\p{Is_Block=myanmarextendeda}', "");
    Expect(0, 43647, '\p{^Is_Block=myanmarextendeda}', "");
    Expect(0, 43647, '\P{Is_Block=myanmarextendeda}', "");
    Expect(1, 43647, '\P{^Is_Block=myanmarextendeda}', "");
    Expect(0, 43648, '\p{Is_Block=myanmarextendeda}', "");
    Expect(1, 43648, '\p{^Is_Block=myanmarextendeda}', "");
    Expect(1, 43648, '\P{Is_Block=myanmarextendeda}', "");
    Expect(0, 43648, '\P{^Is_Block=myanmarextendeda}', "");
    Expect(1, 43647, '\p{Is_Block=	MYANMAR_extended_a}', "");
    Expect(0, 43647, '\p{^Is_Block=	MYANMAR_extended_a}', "");
    Expect(0, 43647, '\P{Is_Block=	MYANMAR_extended_a}', "");
    Expect(1, 43647, '\P{^Is_Block=	MYANMAR_extended_a}', "");
    Expect(0, 43648, '\p{Is_Block=	MYANMAR_extended_a}', "");
    Expect(1, 43648, '\p{^Is_Block=	MYANMAR_extended_a}', "");
    Expect(1, 43648, '\P{Is_Block=	MYANMAR_extended_a}', "");
    Expect(0, 43648, '\P{^Is_Block=	MYANMAR_extended_a}', "");
    Error('\p{Is_Blk=	/a/Myanmar_EXT_A}');
    Error('\P{Is_Blk=	/a/Myanmar_EXT_A}');
    Expect(1, 43647, '\p{Is_Blk=myanmarexta}', "");
    Expect(0, 43647, '\p{^Is_Blk=myanmarexta}', "");
    Expect(0, 43647, '\P{Is_Blk=myanmarexta}', "");
    Expect(1, 43647, '\P{^Is_Blk=myanmarexta}', "");
    Expect(0, 43648, '\p{Is_Blk=myanmarexta}', "");
    Expect(1, 43648, '\p{^Is_Blk=myanmarexta}', "");
    Expect(1, 43648, '\P{Is_Blk=myanmarexta}', "");
    Expect(0, 43648, '\P{^Is_Blk=myanmarexta}', "");
    Expect(1, 43647, '\p{Is_Blk=_-Myanmar_EXT_a}', "");
    Expect(0, 43647, '\p{^Is_Blk=_-Myanmar_EXT_a}', "");
    Expect(0, 43647, '\P{Is_Blk=_-Myanmar_EXT_a}', "");
    Expect(1, 43647, '\P{^Is_Blk=_-Myanmar_EXT_a}', "");
    Expect(0, 43648, '\p{Is_Blk=_-Myanmar_EXT_a}', "");
    Expect(1, 43648, '\p{^Is_Blk=_-Myanmar_EXT_a}', "");
    Expect(1, 43648, '\P{Is_Blk=_-Myanmar_EXT_a}', "");
    Expect(0, 43648, '\P{^Is_Blk=_-Myanmar_EXT_a}', "");
    Error('\p{Block=	-Myanmar_Extended_b/a/}');
    Error('\P{Block=	-Myanmar_Extended_b/a/}');
    Expect(1, 43519, '\p{Block=:\AMyanmar_Extended_B\z:}', "");;
    Expect(0, 43520, '\p{Block=:\AMyanmar_Extended_B\z:}', "");;
    Expect(1, 43519, '\p{Block=myanmarextendedb}', "");
    Expect(0, 43519, '\p{^Block=myanmarextendedb}', "");
    Expect(0, 43519, '\P{Block=myanmarextendedb}', "");
    Expect(1, 43519, '\P{^Block=myanmarextendedb}', "");
    Expect(0, 43520, '\p{Block=myanmarextendedb}', "");
    Expect(1, 43520, '\p{^Block=myanmarextendedb}', "");
    Expect(1, 43520, '\P{Block=myanmarextendedb}', "");
    Expect(0, 43520, '\P{^Block=myanmarextendedb}', "");
    Expect(1, 43519, '\p{Block=:\Amyanmarextendedb\z:}', "");;
    Expect(0, 43520, '\p{Block=:\Amyanmarextendedb\z:}', "");;
    Expect(1, 43519, '\p{Block=	Myanmar_Extended_B}', "");
    Expect(0, 43519, '\p{^Block=	Myanmar_Extended_B}', "");
    Expect(0, 43519, '\P{Block=	Myanmar_Extended_B}', "");
    Expect(1, 43519, '\P{^Block=	Myanmar_Extended_B}', "");
    Expect(0, 43520, '\p{Block=	Myanmar_Extended_B}', "");
    Expect(1, 43520, '\p{^Block=	Myanmar_Extended_B}', "");
    Expect(1, 43520, '\P{Block=	Myanmar_Extended_B}', "");
    Expect(0, 43520, '\P{^Block=	Myanmar_Extended_B}', "");
    Error('\p{Blk=:=	_Myanmar_ext_B}');
    Error('\P{Blk=:=	_Myanmar_ext_B}');
    Expect(1, 43519, '\p{Blk=:\AMyanmar_Ext_B\z:}', "");;
    Expect(0, 43520, '\p{Blk=:\AMyanmar_Ext_B\z:}', "");;
    Expect(1, 43519, '\p{Blk:myanmarextb}', "");
    Expect(0, 43519, '\p{^Blk:myanmarextb}', "");
    Expect(0, 43519, '\P{Blk:myanmarextb}', "");
    Expect(1, 43519, '\P{^Blk:myanmarextb}', "");
    Expect(0, 43520, '\p{Blk:myanmarextb}', "");
    Expect(1, 43520, '\p{^Blk:myanmarextb}', "");
    Expect(1, 43520, '\P{Blk:myanmarextb}', "");
    Expect(0, 43520, '\P{^Blk:myanmarextb}', "");
    Expect(1, 43519, '\p{Blk=:\Amyanmarextb\z:}', "");;
    Expect(0, 43520, '\p{Blk=:\Amyanmarextb\z:}', "");;
    Expect(1, 43519, '\p{Blk=_MYANMAR_Ext_B}', "");
    Expect(0, 43519, '\p{^Blk=_MYANMAR_Ext_B}', "");
    Expect(0, 43519, '\P{Blk=_MYANMAR_Ext_B}', "");
    Expect(1, 43519, '\P{^Blk=_MYANMAR_Ext_B}', "");
    Expect(0, 43520, '\p{Blk=_MYANMAR_Ext_B}', "");
    Expect(1, 43520, '\p{^Blk=_MYANMAR_Ext_B}', "");
    Expect(1, 43520, '\P{Blk=_MYANMAR_Ext_B}', "");
    Expect(0, 43520, '\P{^Blk=_MYANMAR_Ext_B}', "");
    Error('\p{Is_Block=	/a/Myanmar_Extended_B}');
    Error('\P{Is_Block=	/a/Myanmar_Extended_B}');
    Expect(1, 43519, '\p{Is_Block=myanmarextendedb}', "");
    Expect(0, 43519, '\p{^Is_Block=myanmarextendedb}', "");
    Expect(0, 43519, '\P{Is_Block=myanmarextendedb}', "");
    Expect(1, 43519, '\P{^Is_Block=myanmarextendedb}', "");
    Expect(0, 43520, '\p{Is_Block=myanmarextendedb}', "");
    Expect(1, 43520, '\p{^Is_Block=myanmarextendedb}', "");
    Expect(1, 43520, '\P{Is_Block=myanmarextendedb}', "");
    Expect(0, 43520, '\P{^Is_Block=myanmarextendedb}', "");
    Expect(1, 43519, '\p{Is_Block=	-Myanmar_EXTENDED_b}', "");
    Expect(0, 43519, '\p{^Is_Block=	-Myanmar_EXTENDED_b}', "");
    Expect(0, 43519, '\P{Is_Block=	-Myanmar_EXTENDED_b}', "");
    Expect(1, 43519, '\P{^Is_Block=	-Myanmar_EXTENDED_b}', "");
    Expect(0, 43520, '\p{Is_Block=	-Myanmar_EXTENDED_b}', "");
    Expect(1, 43520, '\p{^Is_Block=	-Myanmar_EXTENDED_b}', "");
    Expect(1, 43520, '\P{Is_Block=	-Myanmar_EXTENDED_b}', "");
    Expect(0, 43520, '\P{^Is_Block=	-Myanmar_EXTENDED_b}', "");
    Error('\p{Is_Blk= /a/Myanmar_Ext_b}');
    Error('\P{Is_Blk= /a/Myanmar_Ext_b}');
    Expect(1, 43519, '\p{Is_Blk=myanmarextb}', "");
    Expect(0, 43519, '\p{^Is_Blk=myanmarextb}', "");
    Expect(0, 43519, '\P{Is_Blk=myanmarextb}', "");
    Expect(1, 43519, '\P{^Is_Blk=myanmarextb}', "");
    Expect(0, 43520, '\p{Is_Blk=myanmarextb}', "");
    Expect(1, 43520, '\p{^Is_Blk=myanmarextb}', "");
    Expect(1, 43520, '\P{Is_Blk=myanmarextb}', "");
    Expect(0, 43520, '\P{^Is_Blk=myanmarextb}', "");
    Expect(1, 43519, '\p{Is_Blk=	Myanmar_Ext_B}', "");
    Expect(0, 43519, '\p{^Is_Blk=	Myanmar_Ext_B}', "");
    Expect(0, 43519, '\P{Is_Blk=	Myanmar_Ext_B}', "");
    Expect(1, 43519, '\P{^Is_Blk=	Myanmar_Ext_B}', "");
    Expect(0, 43520, '\p{Is_Blk=	Myanmar_Ext_B}', "");
    Expect(1, 43520, '\p{^Is_Blk=	Myanmar_Ext_B}', "");
    Expect(1, 43520, '\P{Is_Blk=	Myanmar_Ext_B}', "");
    Expect(0, 43520, '\P{^Is_Blk=	Myanmar_Ext_B}', "");
    Error('\p{Block=nabataean:=}');
    Error('\P{Block=nabataean:=}');
    Expect(1, 67759, '\p{Block=:\ANabataean\z:}', "");;
    Expect(0, 67760, '\p{Block=:\ANabataean\z:}', "");;
    Expect(1, 67759, '\p{Block=nabataean}', "");
    Expect(0, 67759, '\p{^Block=nabataean}', "");
    Expect(0, 67759, '\P{Block=nabataean}', "");
    Expect(1, 67759, '\P{^Block=nabataean}', "");
    Expect(0, 67760, '\p{Block=nabataean}', "");
    Expect(1, 67760, '\p{^Block=nabataean}', "");
    Expect(1, 67760, '\P{Block=nabataean}', "");
    Expect(0, 67760, '\P{^Block=nabataean}', "");
    Expect(1, 67759, '\p{Block=:\Anabataean\z:}', "");;
    Expect(0, 67760, '\p{Block=:\Anabataean\z:}', "");;
    Expect(1, 67759, '\p{Block=_	Nabataean}', "");
    Expect(0, 67759, '\p{^Block=_	Nabataean}', "");
    Expect(0, 67759, '\P{Block=_	Nabataean}', "");
    Expect(1, 67759, '\P{^Block=_	Nabataean}', "");
    Expect(0, 67760, '\p{Block=_	Nabataean}', "");
    Expect(1, 67760, '\p{^Block=_	Nabataean}', "");
    Expect(1, 67760, '\P{Block=_	Nabataean}', "");
    Expect(0, 67760, '\P{^Block=_	Nabataean}', "");
    Error('\p{Blk=-Nabataean/a/}');
    Error('\P{Blk=-Nabataean/a/}');
    Expect(1, 67759, '\p{Blk=:\ANabataean\z:}', "");;
    Expect(0, 67760, '\p{Blk=:\ANabataean\z:}', "");;
    Expect(1, 67759, '\p{Blk=nabataean}', "");
    Expect(0, 67759, '\p{^Blk=nabataean}', "");
    Expect(0, 67759, '\P{Blk=nabataean}', "");
    Expect(1, 67759, '\P{^Blk=nabataean}', "");
    Expect(0, 67760, '\p{Blk=nabataean}', "");
    Expect(1, 67760, '\p{^Blk=nabataean}', "");
    Expect(1, 67760, '\P{Blk=nabataean}', "");
    Expect(0, 67760, '\P{^Blk=nabataean}', "");
    Expect(1, 67759, '\p{Blk=:\Anabataean\z:}', "");;
    Expect(0, 67760, '\p{Blk=:\Anabataean\z:}', "");;
    Expect(1, 67759, '\p{Blk:	-nabataean}', "");
    Expect(0, 67759, '\p{^Blk:	-nabataean}', "");
    Expect(0, 67759, '\P{Blk:	-nabataean}', "");
    Expect(1, 67759, '\P{^Blk:	-nabataean}', "");
    Expect(0, 67760, '\p{Blk:	-nabataean}', "");
    Expect(1, 67760, '\p{^Blk:	-nabataean}', "");
    Expect(1, 67760, '\P{Blk:	-nabataean}', "");
    Expect(0, 67760, '\P{^Blk:	-nabataean}', "");
    Error('\p{Is_Block: :=-Nabataean}');
    Error('\P{Is_Block: :=-Nabataean}');
    Expect(1, 67759, '\p{Is_Block=nabataean}', "");
    Expect(0, 67759, '\p{^Is_Block=nabataean}', "");
    Expect(0, 67759, '\P{Is_Block=nabataean}', "");
    Expect(1, 67759, '\P{^Is_Block=nabataean}', "");
    Expect(0, 67760, '\p{Is_Block=nabataean}', "");
    Expect(1, 67760, '\p{^Is_Block=nabataean}', "");
    Expect(1, 67760, '\P{Is_Block=nabataean}', "");
    Expect(0, 67760, '\P{^Is_Block=nabataean}', "");
    Expect(1, 67759, '\p{Is_Block=-	Nabataean}', "");
    Expect(0, 67759, '\p{^Is_Block=-	Nabataean}', "");
    Expect(0, 67759, '\P{Is_Block=-	Nabataean}', "");
    Expect(1, 67759, '\P{^Is_Block=-	Nabataean}', "");
    Expect(0, 67760, '\p{Is_Block=-	Nabataean}', "");
    Expect(1, 67760, '\p{^Is_Block=-	Nabataean}', "");
    Expect(1, 67760, '\P{Is_Block=-	Nabataean}', "");
    Expect(0, 67760, '\P{^Is_Block=-	Nabataean}', "");
    Error('\p{Is_Blk: :=NABATAEAN}');
    Error('\P{Is_Blk: :=NABATAEAN}');
    Expect(1, 67759, '\p{Is_Blk=nabataean}', "");
    Expect(0, 67759, '\p{^Is_Blk=nabataean}', "");
    Expect(0, 67759, '\P{Is_Blk=nabataean}', "");
    Expect(1, 67759, '\P{^Is_Blk=nabataean}', "");
    Expect(0, 67760, '\p{Is_Blk=nabataean}', "");
    Expect(1, 67760, '\p{^Is_Blk=nabataean}', "");
    Expect(1, 67760, '\P{Is_Blk=nabataean}', "");
    Expect(0, 67760, '\P{^Is_Blk=nabataean}', "");
    Expect(1, 67759, '\p{Is_Blk=- nabataean}', "");
    Expect(0, 67759, '\p{^Is_Blk=- nabataean}', "");
    Expect(0, 67759, '\P{Is_Blk=- nabataean}', "");
    Expect(1, 67759, '\P{^Is_Blk=- nabataean}', "");
    Expect(0, 67760, '\p{Is_Blk=- nabataean}', "");
    Expect(1, 67760, '\p{^Is_Blk=- nabataean}', "");
    Expect(1, 67760, '\P{Is_Blk=- nabataean}', "");
    Expect(0, 67760, '\P{^Is_Blk=- nabataean}', "");
    Error('\p{Block=-/a/nandinagari}');
    Error('\P{Block=-/a/nandinagari}');
    Expect(1, 72191, '\p{Block=:\ANandinagari\z:}', "");;
    Expect(0, 72192, '\p{Block=:\ANandinagari\z:}', "");;
    Expect(1, 72191, '\p{Block:nandinagari}', "");
    Expect(0, 72191, '\p{^Block:nandinagari}', "");
    Expect(0, 72191, '\P{Block:nandinagari}', "");
    Expect(1, 72191, '\P{^Block:nandinagari}', "");
    Expect(0, 72192, '\p{Block:nandinagari}', "");
    Expect(1, 72192, '\p{^Block:nandinagari}', "");
    Expect(1, 72192, '\P{Block:nandinagari}', "");
    Expect(0, 72192, '\P{^Block:nandinagari}', "");
    Expect(1, 72191, '\p{Block=:\Anandinagari\z:}', "");;
    Expect(0, 72192, '\p{Block=:\Anandinagari\z:}', "");;
    Expect(1, 72191, '\p{Block=	_NANDINAGARI}', "");
    Expect(0, 72191, '\p{^Block=	_NANDINAGARI}', "");
    Expect(0, 72191, '\P{Block=	_NANDINAGARI}', "");
    Expect(1, 72191, '\P{^Block=	_NANDINAGARI}', "");
    Expect(0, 72192, '\p{Block=	_NANDINAGARI}', "");
    Expect(1, 72192, '\p{^Block=	_NANDINAGARI}', "");
    Expect(1, 72192, '\P{Block=	_NANDINAGARI}', "");
    Expect(0, 72192, '\P{^Block=	_NANDINAGARI}', "");
    Error('\p{Blk=/a/ nandinagari}');
    Error('\P{Blk=/a/ nandinagari}');
    Expect(1, 72191, '\p{Blk=:\ANandinagari\z:}', "");;
    Expect(0, 72192, '\p{Blk=:\ANandinagari\z:}', "");;
    Expect(1, 72191, '\p{Blk=nandinagari}', "");
    Expect(0, 72191, '\p{^Blk=nandinagari}', "");
    Expect(0, 72191, '\P{Blk=nandinagari}', "");
    Expect(1, 72191, '\P{^Blk=nandinagari}', "");
    Expect(0, 72192, '\p{Blk=nandinagari}', "");
    Expect(1, 72192, '\p{^Blk=nandinagari}', "");
    Expect(1, 72192, '\P{Blk=nandinagari}', "");
    Expect(0, 72192, '\P{^Blk=nandinagari}', "");
    Expect(1, 72191, '\p{Blk=:\Anandinagari\z:}', "");;
    Expect(0, 72192, '\p{Blk=:\Anandinagari\z:}', "");;
    Expect(1, 72191, '\p{Blk=_NANDINAGARI}', "");
    Expect(0, 72191, '\p{^Blk=_NANDINAGARI}', "");
    Expect(0, 72191, '\P{Blk=_NANDINAGARI}', "");
    Expect(1, 72191, '\P{^Blk=_NANDINAGARI}', "");
    Expect(0, 72192, '\p{Blk=_NANDINAGARI}', "");
    Expect(1, 72192, '\p{^Blk=_NANDINAGARI}', "");
    Expect(1, 72192, '\P{Blk=_NANDINAGARI}', "");
    Expect(0, 72192, '\P{^Blk=_NANDINAGARI}', "");
    Error('\p{Is_Block=/a/	NANDINAGARI}');
    Error('\P{Is_Block=/a/	NANDINAGARI}');
    Expect(1, 72191, '\p{Is_Block=nandinagari}', "");
    Expect(0, 72191, '\p{^Is_Block=nandinagari}', "");
    Expect(0, 72191, '\P{Is_Block=nandinagari}', "");
    Expect(1, 72191, '\P{^Is_Block=nandinagari}', "");
    Expect(0, 72192, '\p{Is_Block=nandinagari}', "");
    Expect(1, 72192, '\p{^Is_Block=nandinagari}', "");
    Expect(1, 72192, '\P{Is_Block=nandinagari}', "");
    Expect(0, 72192, '\P{^Is_Block=nandinagari}', "");
    Expect(1, 72191, '\p{Is_Block:--NANDINAGARI}', "");
    Expect(0, 72191, '\p{^Is_Block:--NANDINAGARI}', "");
    Expect(0, 72191, '\P{Is_Block:--NANDINAGARI}', "");
    Expect(1, 72191, '\P{^Is_Block:--NANDINAGARI}', "");
    Expect(0, 72192, '\p{Is_Block:--NANDINAGARI}', "");
    Expect(1, 72192, '\p{^Is_Block:--NANDINAGARI}', "");
    Expect(1, 72192, '\P{Is_Block:--NANDINAGARI}', "");
    Expect(0, 72192, '\P{^Is_Block:--NANDINAGARI}', "");
    Error('\p{Is_Blk=	nandinagari/a/}');
    Error('\P{Is_Blk=	nandinagari/a/}');
    Expect(1, 72191, '\p{Is_Blk=nandinagari}', "");
    Expect(0, 72191, '\p{^Is_Blk=nandinagari}', "");
    Expect(0, 72191, '\P{Is_Blk=nandinagari}', "");
    Expect(1, 72191, '\P{^Is_Blk=nandinagari}', "");
    Expect(0, 72192, '\p{Is_Blk=nandinagari}', "");
    Expect(1, 72192, '\p{^Is_Blk=nandinagari}', "");
    Expect(1, 72192, '\P{Is_Blk=nandinagari}', "");
    Expect(0, 72192, '\P{^Is_Blk=nandinagari}', "");
    Expect(1, 72191, '\p{Is_Blk= _nandinagari}', "");
    Expect(0, 72191, '\p{^Is_Blk= _nandinagari}', "");
    Expect(0, 72191, '\P{Is_Blk= _nandinagari}', "");
    Expect(1, 72191, '\P{^Is_Blk= _nandinagari}', "");
    Expect(0, 72192, '\p{Is_Blk= _nandinagari}', "");
    Expect(1, 72192, '\p{^Is_Blk= _nandinagari}', "");
    Expect(1, 72192, '\P{Is_Blk= _nandinagari}', "");
    Expect(0, 72192, '\P{^Is_Blk= _nandinagari}', "");
    Error('\p{Block=:=_No_Block}');
    Error('\P{Block=:=_No_Block}');
    Expect(1, 918000, '\p{Block=:\ANo_Block\z:}', "");;
    Expect(0, 983040, '\p{Block=:\ANo_Block\z:}', "");;
    Expect(1, 918000, '\p{Block=noblock}', "");
    Expect(0, 918000, '\p{^Block=noblock}', "");
    Expect(0, 918000, '\P{Block=noblock}', "");
    Expect(1, 918000, '\P{^Block=noblock}', "");
    Expect(0, 983040, '\p{Block=noblock}', "");
    Expect(1, 983040, '\p{^Block=noblock}', "");
    Expect(1, 983040, '\P{Block=noblock}', "");
    Expect(0, 983040, '\P{^Block=noblock}', "");
    Expect(1, 918000, '\p{Block=:\Anoblock\z:}', "");;
    Expect(0, 983040, '\p{Block=:\Anoblock\z:}', "");;
    Expect(1, 918000, '\p{Block=	No_block}', "");
    Expect(0, 918000, '\p{^Block=	No_block}', "");
    Expect(0, 918000, '\P{Block=	No_block}', "");
    Expect(1, 918000, '\P{^Block=	No_block}', "");
    Expect(0, 983040, '\p{Block=	No_block}', "");
    Expect(1, 983040, '\p{^Block=	No_block}', "");
    Expect(1, 983040, '\P{Block=	No_block}', "");
    Expect(0, 983040, '\P{^Block=	No_block}', "");
    Error('\p{Blk=__NB:=}');
    Error('\P{Blk=__NB:=}');
    Expect(1, 918000, '\p{Blk=:\ANB\z:}', "");;
    Expect(0, 983040, '\p{Blk=:\ANB\z:}', "");;
    Expect(1, 918000, '\p{Blk:   nb}', "");
    Expect(0, 918000, '\p{^Blk:   nb}', "");
    Expect(0, 918000, '\P{Blk:   nb}', "");
    Expect(1, 918000, '\P{^Blk:   nb}', "");
    Expect(0, 983040, '\p{Blk:   nb}', "");
    Expect(1, 983040, '\p{^Blk:   nb}', "");
    Expect(1, 983040, '\P{Blk:   nb}', "");
    Expect(0, 983040, '\P{^Blk:   nb}', "");
    Expect(1, 918000, '\p{Blk=:\Anb\z:}', "");;
    Expect(0, 983040, '\p{Blk=:\Anb\z:}', "");;
    Expect(1, 918000, '\p{Blk=_NB}', "");
    Expect(0, 918000, '\p{^Blk=_NB}', "");
    Expect(0, 918000, '\P{Blk=_NB}', "");
    Expect(1, 918000, '\P{^Blk=_NB}', "");
    Expect(0, 983040, '\p{Blk=_NB}', "");
    Expect(1, 983040, '\p{^Blk=_NB}', "");
    Expect(1, 983040, '\P{Blk=_NB}', "");
    Expect(0, 983040, '\P{^Blk=_NB}', "");
    Error('\p{Is_Block=-No_Block/a/}');
    Error('\P{Is_Block=-No_Block/a/}');
    Expect(1, 918000, '\p{Is_Block=noblock}', "");
    Expect(0, 918000, '\p{^Is_Block=noblock}', "");
    Expect(0, 918000, '\P{Is_Block=noblock}', "");
    Expect(1, 918000, '\P{^Is_Block=noblock}', "");
    Expect(0, 983040, '\p{Is_Block=noblock}', "");
    Expect(1, 983040, '\p{^Is_Block=noblock}', "");
    Expect(1, 983040, '\P{Is_Block=noblock}', "");
    Expect(0, 983040, '\P{^Is_Block=noblock}', "");
    Expect(1, 918000, '\p{Is_Block=-No_Block}', "");
    Expect(0, 918000, '\p{^Is_Block=-No_Block}', "");
    Expect(0, 918000, '\P{Is_Block=-No_Block}', "");
    Expect(1, 918000, '\P{^Is_Block=-No_Block}', "");
    Expect(0, 983040, '\p{Is_Block=-No_Block}', "");
    Expect(1, 983040, '\p{^Is_Block=-No_Block}', "");
    Expect(1, 983040, '\P{Is_Block=-No_Block}', "");
    Expect(0, 983040, '\P{^Is_Block=-No_Block}', "");
    Error('\p{Is_Blk=	NB/a/}');
    Error('\P{Is_Blk=	NB/a/}');
    Expect(1, 918000, '\p{Is_Blk=nb}', "");
    Expect(0, 918000, '\p{^Is_Blk=nb}', "");
    Expect(0, 918000, '\P{Is_Blk=nb}', "");
    Expect(1, 918000, '\P{^Is_Blk=nb}', "");
    Expect(0, 983040, '\p{Is_Blk=nb}', "");
    Expect(1, 983040, '\p{^Is_Blk=nb}', "");
    Expect(1, 983040, '\P{Is_Blk=nb}', "");
    Expect(0, 983040, '\P{^Is_Blk=nb}', "");
    Expect(1, 918000, '\p{Is_Blk=	 NB}', "");
    Expect(0, 918000, '\p{^Is_Blk=	 NB}', "");
    Expect(0, 918000, '\P{Is_Blk=	 NB}', "");
    Expect(1, 918000, '\P{^Is_Blk=	 NB}', "");
    Expect(0, 983040, '\p{Is_Blk=	 NB}', "");
    Expect(1, 983040, '\p{^Is_Blk=	 NB}', "");
    Expect(1, 983040, '\P{Is_Blk=	 NB}', "");
    Expect(0, 983040, '\P{^Is_Blk=	 NB}', "");
    Error('\p{Block= -New_tai_LUE/a/}');
    Error('\P{Block= -New_tai_LUE/a/}');
    Expect(1, 6623, '\p{Block=:\ANew_Tai_Lue\z:}', "");;
    Expect(0, 6624, '\p{Block=:\ANew_Tai_Lue\z:}', "");;
    Expect(1, 6623, '\p{Block=newtailue}', "");
    Expect(0, 6623, '\p{^Block=newtailue}', "");
    Expect(0, 6623, '\P{Block=newtailue}', "");
    Expect(1, 6623, '\P{^Block=newtailue}', "");
    Expect(0, 6624, '\p{Block=newtailue}', "");
    Expect(1, 6624, '\p{^Block=newtailue}', "");
    Expect(1, 6624, '\P{Block=newtailue}', "");
    Expect(0, 6624, '\P{^Block=newtailue}', "");
    Expect(1, 6623, '\p{Block=:\Anewtailue\z:}', "");;
    Expect(0, 6624, '\p{Block=:\Anewtailue\z:}', "");;
    Expect(1, 6623, '\p{Block=-	New_TAI_Lue}', "");
    Expect(0, 6623, '\p{^Block=-	New_TAI_Lue}', "");
    Expect(0, 6623, '\P{Block=-	New_TAI_Lue}', "");
    Expect(1, 6623, '\P{^Block=-	New_TAI_Lue}', "");
    Expect(0, 6624, '\p{Block=-	New_TAI_Lue}', "");
    Expect(1, 6624, '\p{^Block=-	New_TAI_Lue}', "");
    Expect(1, 6624, '\P{Block=-	New_TAI_Lue}', "");
    Expect(0, 6624, '\P{^Block=-	New_TAI_Lue}', "");
    Error('\p{Blk=/a/NEW_tai_lue}');
    Error('\P{Blk=/a/NEW_tai_lue}');
    Expect(1, 6623, '\p{Blk=:\ANew_Tai_Lue\z:}', "");;
    Expect(0, 6624, '\p{Blk=:\ANew_Tai_Lue\z:}', "");;
    Expect(1, 6623, '\p{Blk=newtailue}', "");
    Expect(0, 6623, '\p{^Blk=newtailue}', "");
    Expect(0, 6623, '\P{Blk=newtailue}', "");
    Expect(1, 6623, '\P{^Blk=newtailue}', "");
    Expect(0, 6624, '\p{Blk=newtailue}', "");
    Expect(1, 6624, '\p{^Blk=newtailue}', "");
    Expect(1, 6624, '\P{Blk=newtailue}', "");
    Expect(0, 6624, '\P{^Blk=newtailue}', "");
    Expect(1, 6623, '\p{Blk=:\Anewtailue\z:}', "");;
    Expect(0, 6624, '\p{Blk=:\Anewtailue\z:}', "");;
    Expect(1, 6623, '\p{Blk= New_TAI_lue}', "");
    Expect(0, 6623, '\p{^Blk= New_TAI_lue}', "");
    Expect(0, 6623, '\P{Blk= New_TAI_lue}', "");
    Expect(1, 6623, '\P{^Blk= New_TAI_lue}', "");
    Expect(0, 6624, '\p{Blk= New_TAI_lue}', "");
    Expect(1, 6624, '\p{^Blk= New_TAI_lue}', "");
    Expect(1, 6624, '\P{Blk= New_TAI_lue}', "");
    Expect(0, 6624, '\P{^Blk= New_TAI_lue}', "");
    Error('\p{Is_Block=:=New_Tai_Lue}');
    Error('\P{Is_Block=:=New_Tai_Lue}');
    Expect(1, 6623, '\p{Is_Block=newtailue}', "");
    Expect(0, 6623, '\p{^Is_Block=newtailue}', "");
    Expect(0, 6623, '\P{Is_Block=newtailue}', "");
    Expect(1, 6623, '\P{^Is_Block=newtailue}', "");
    Expect(0, 6624, '\p{Is_Block=newtailue}', "");
    Expect(1, 6624, '\p{^Is_Block=newtailue}', "");
    Expect(1, 6624, '\P{Is_Block=newtailue}', "");
    Expect(0, 6624, '\P{^Is_Block=newtailue}', "");
    Expect(1, 6623, '\p{Is_Block=_	new_tai_LUE}', "");
    Expect(0, 6623, '\p{^Is_Block=_	new_tai_LUE}', "");
    Expect(0, 6623, '\P{Is_Block=_	new_tai_LUE}', "");
    Expect(1, 6623, '\P{^Is_Block=_	new_tai_LUE}', "");
    Expect(0, 6624, '\p{Is_Block=_	new_tai_LUE}', "");
    Expect(1, 6624, '\p{^Is_Block=_	new_tai_LUE}', "");
    Expect(1, 6624, '\P{Is_Block=_	new_tai_LUE}', "");
    Expect(0, 6624, '\P{^Is_Block=_	new_tai_LUE}', "");
    Error('\p{Is_Blk=-:=New_tai_lue}');
    Error('\P{Is_Blk=-:=New_tai_lue}');
    Expect(1, 6623, '\p{Is_Blk=newtailue}', "");
    Expect(0, 6623, '\p{^Is_Blk=newtailue}', "");
    Expect(0, 6623, '\P{Is_Blk=newtailue}', "");
    Expect(1, 6623, '\P{^Is_Blk=newtailue}', "");
    Expect(0, 6624, '\p{Is_Blk=newtailue}', "");
    Expect(1, 6624, '\p{^Is_Blk=newtailue}', "");
    Expect(1, 6624, '\P{Is_Blk=newtailue}', "");
    Expect(0, 6624, '\P{^Is_Blk=newtailue}', "");
    Expect(1, 6623, '\p{Is_Blk=-new_Tai_Lue}', "");
    Expect(0, 6623, '\p{^Is_Blk=-new_Tai_Lue}', "");
    Expect(0, 6623, '\P{Is_Blk=-new_Tai_Lue}', "");
    Expect(1, 6623, '\P{^Is_Blk=-new_Tai_Lue}', "");
    Expect(0, 6624, '\p{Is_Blk=-new_Tai_Lue}', "");
    Expect(1, 6624, '\p{^Is_Blk=-new_Tai_Lue}', "");
    Expect(1, 6624, '\P{Is_Blk=-new_Tai_Lue}', "");
    Expect(0, 6624, '\P{^Is_Blk=-new_Tai_Lue}', "");
    Error('\p{Block=:=Newa}');
    Error('\P{Block=:=Newa}');
    Expect(1, 70783, '\p{Block=:\ANewa\z:}', "");;
    Expect(0, 70784, '\p{Block=:\ANewa\z:}', "");;
    Expect(1, 70783, '\p{Block=newa}', "");
    Expect(0, 70783, '\p{^Block=newa}', "");
    Expect(0, 70783, '\P{Block=newa}', "");
    Expect(1, 70783, '\P{^Block=newa}', "");
    Expect(0, 70784, '\p{Block=newa}', "");
    Expect(1, 70784, '\p{^Block=newa}', "");
    Expect(1, 70784, '\P{Block=newa}', "");
    Expect(0, 70784, '\P{^Block=newa}', "");
    Expect(1, 70783, '\p{Block=:\Anewa\z:}', "");;
    Expect(0, 70784, '\p{Block=:\Anewa\z:}', "");;
    Expect(1, 70783, '\p{Block:	NEWA}', "");
    Expect(0, 70783, '\p{^Block:	NEWA}', "");
    Expect(0, 70783, '\P{Block:	NEWA}', "");
    Expect(1, 70783, '\P{^Block:	NEWA}', "");
    Expect(0, 70784, '\p{Block:	NEWA}', "");
    Expect(1, 70784, '\p{^Block:	NEWA}', "");
    Expect(1, 70784, '\P{Block:	NEWA}', "");
    Expect(0, 70784, '\P{^Block:	NEWA}', "");
    Error('\p{Blk:/a/ 	NEWA}');
    Error('\P{Blk:/a/ 	NEWA}');
    Expect(1, 70783, '\p{Blk=:\ANewa\z:}', "");;
    Expect(0, 70784, '\p{Blk=:\ANewa\z:}', "");;
    Expect(1, 70783, '\p{Blk: newa}', "");
    Expect(0, 70783, '\p{^Blk: newa}', "");
    Expect(0, 70783, '\P{Blk: newa}', "");
    Expect(1, 70783, '\P{^Blk: newa}', "");
    Expect(0, 70784, '\p{Blk: newa}', "");
    Expect(1, 70784, '\p{^Blk: newa}', "");
    Expect(1, 70784, '\P{Blk: newa}', "");
    Expect(0, 70784, '\P{^Blk: newa}', "");
    Expect(1, 70783, '\p{Blk=:\Anewa\z:}', "");;
    Expect(0, 70784, '\p{Blk=:\Anewa\z:}', "");;
    Expect(1, 70783, '\p{Blk=_Newa}', "");
    Expect(0, 70783, '\p{^Blk=_Newa}', "");
    Expect(0, 70783, '\P{Blk=_Newa}', "");
    Expect(1, 70783, '\P{^Blk=_Newa}', "");
    Expect(0, 70784, '\p{Blk=_Newa}', "");
    Expect(1, 70784, '\p{^Blk=_Newa}', "");
    Expect(1, 70784, '\P{Blk=_Newa}', "");
    Expect(0, 70784, '\P{^Blk=_Newa}', "");
    Error('\p{Is_Block=:=--Newa}');
    Error('\P{Is_Block=:=--Newa}');
    Expect(1, 70783, '\p{Is_Block=newa}', "");
    Expect(0, 70783, '\p{^Is_Block=newa}', "");
    Expect(0, 70783, '\P{Is_Block=newa}', "");
    Expect(1, 70783, '\P{^Is_Block=newa}', "");
    Expect(0, 70784, '\p{Is_Block=newa}', "");
    Expect(1, 70784, '\p{^Is_Block=newa}', "");
    Expect(1, 70784, '\P{Is_Block=newa}', "");
    Expect(0, 70784, '\P{^Is_Block=newa}', "");
    Expect(1, 70783, '\p{Is_Block:	_Newa}', "");
    Expect(0, 70783, '\p{^Is_Block:	_Newa}', "");
    Expect(0, 70783, '\P{Is_Block:	_Newa}', "");
    Expect(1, 70783, '\P{^Is_Block:	_Newa}', "");
    Expect(0, 70784, '\p{Is_Block:	_Newa}', "");
    Expect(1, 70784, '\p{^Is_Block:	_Newa}', "");
    Expect(1, 70784, '\P{Is_Block:	_Newa}', "");
    Expect(0, 70784, '\P{^Is_Block:	_Newa}', "");
    Error('\p{Is_Blk=_ Newa/a/}');
    Error('\P{Is_Blk=_ Newa/a/}');
    Expect(1, 70783, '\p{Is_Blk=newa}', "");
    Expect(0, 70783, '\p{^Is_Blk=newa}', "");
    Expect(0, 70783, '\P{Is_Blk=newa}', "");
    Expect(1, 70783, '\P{^Is_Blk=newa}', "");
    Expect(0, 70784, '\p{Is_Blk=newa}', "");
    Expect(1, 70784, '\p{^Is_Blk=newa}', "");
    Expect(1, 70784, '\P{Is_Blk=newa}', "");
    Expect(0, 70784, '\P{^Is_Blk=newa}', "");
    Expect(1, 70783, '\p{Is_Blk=-	NEWA}', "");
    Expect(0, 70783, '\p{^Is_Blk=-	NEWA}', "");
    Expect(0, 70783, '\P{Is_Blk=-	NEWA}', "");
    Expect(1, 70783, '\P{^Is_Blk=-	NEWA}', "");
    Expect(0, 70784, '\p{Is_Blk=-	NEWA}', "");
    Expect(1, 70784, '\p{^Is_Blk=-	NEWA}', "");
    Expect(1, 70784, '\P{Is_Blk=-	NEWA}', "");
    Expect(0, 70784, '\P{^Is_Blk=-	NEWA}', "");
    Error('\p{Block= /a/NKo}');
    Error('\P{Block= /a/NKo}');
    Expect(1, 2047, '\p{Block=:\ANKo\z:}', "");;
    Expect(0, 2048, '\p{Block=:\ANKo\z:}', "");;
    Expect(1, 2047, '\p{Block=nko}', "");
    Expect(0, 2047, '\p{^Block=nko}', "");
    Expect(0, 2047, '\P{Block=nko}', "");
    Expect(1, 2047, '\P{^Block=nko}', "");
    Expect(0, 2048, '\p{Block=nko}', "");
    Expect(1, 2048, '\p{^Block=nko}', "");
    Expect(1, 2048, '\P{Block=nko}', "");
    Expect(0, 2048, '\P{^Block=nko}', "");
    Expect(1, 2047, '\p{Block=:\Anko\z:}', "");;
    Expect(0, 2048, '\p{Block=:\Anko\z:}', "");;
    Expect(1, 2047, '\p{Block=-NKo}', "");
    Expect(0, 2047, '\p{^Block=-NKo}', "");
    Expect(0, 2047, '\P{Block=-NKo}', "");
    Expect(1, 2047, '\P{^Block=-NKo}', "");
    Expect(0, 2048, '\p{Block=-NKo}', "");
    Expect(1, 2048, '\p{^Block=-NKo}', "");
    Expect(1, 2048, '\P{Block=-NKo}', "");
    Expect(0, 2048, '\P{^Block=-NKo}', "");
    Error('\p{Blk= /a/NKO}');
    Error('\P{Blk= /a/NKO}');
    Expect(1, 2047, '\p{Blk=:\ANKo\z:}', "");;
    Expect(0, 2048, '\p{Blk=:\ANKo\z:}', "");;
    Expect(1, 2047, '\p{Blk=nko}', "");
    Expect(0, 2047, '\p{^Blk=nko}', "");
    Expect(0, 2047, '\P{Blk=nko}', "");
    Expect(1, 2047, '\P{^Blk=nko}', "");
    Expect(0, 2048, '\p{Blk=nko}', "");
    Expect(1, 2048, '\p{^Blk=nko}', "");
    Expect(1, 2048, '\P{Blk=nko}', "");
    Expect(0, 2048, '\P{^Blk=nko}', "");
    Expect(1, 2047, '\p{Blk=:\Anko\z:}', "");;
    Expect(0, 2048, '\p{Blk=:\Anko\z:}', "");;
    Expect(1, 2047, '\p{Blk:   	NKo}', "");
    Expect(0, 2047, '\p{^Blk:   	NKo}', "");
    Expect(0, 2047, '\P{Blk:   	NKo}', "");
    Expect(1, 2047, '\P{^Blk:   	NKo}', "");
    Expect(0, 2048, '\p{Blk:   	NKo}', "");
    Expect(1, 2048, '\p{^Blk:   	NKo}', "");
    Expect(1, 2048, '\P{Blk:   	NKo}', "");
    Expect(0, 2048, '\P{^Blk:   	NKo}', "");
    Error('\p{Is_Block= 	NKO:=}');
    Error('\P{Is_Block= 	NKO:=}');
    Expect(1, 2047, '\p{Is_Block=nko}', "");
    Expect(0, 2047, '\p{^Is_Block=nko}', "");
    Expect(0, 2047, '\P{Is_Block=nko}', "");
    Expect(1, 2047, '\P{^Is_Block=nko}', "");
    Expect(0, 2048, '\p{Is_Block=nko}', "");
    Expect(1, 2048, '\p{^Is_Block=nko}', "");
    Expect(1, 2048, '\P{Is_Block=nko}', "");
    Expect(0, 2048, '\P{^Is_Block=nko}', "");
    Expect(1, 2047, '\p{Is_Block=__NKo}', "");
    Expect(0, 2047, '\p{^Is_Block=__NKo}', "");
    Expect(0, 2047, '\P{Is_Block=__NKo}', "");
    Expect(1, 2047, '\P{^Is_Block=__NKo}', "");
    Expect(0, 2048, '\p{Is_Block=__NKo}', "");
    Expect(1, 2048, '\p{^Is_Block=__NKo}', "");
    Expect(1, 2048, '\P{Is_Block=__NKo}', "");
    Expect(0, 2048, '\P{^Is_Block=__NKo}', "");
    Error('\p{Is_Blk=/a/_NKO}');
    Error('\P{Is_Blk=/a/_NKO}');
    Expect(1, 2047, '\p{Is_Blk=nko}', "");
    Expect(0, 2047, '\p{^Is_Blk=nko}', "");
    Expect(0, 2047, '\P{Is_Blk=nko}', "");
    Expect(1, 2047, '\P{^Is_Blk=nko}', "");
    Expect(0, 2048, '\p{Is_Blk=nko}', "");
    Expect(1, 2048, '\p{^Is_Blk=nko}', "");
    Expect(1, 2048, '\P{Is_Blk=nko}', "");
    Expect(0, 2048, '\P{^Is_Blk=nko}', "");
    Expect(1, 2047, '\p{Is_Blk: _NKO}', "");
    Expect(0, 2047, '\p{^Is_Blk: _NKO}', "");
    Expect(0, 2047, '\P{Is_Blk: _NKO}', "");
    Expect(1, 2047, '\P{^Is_Blk: _NKO}', "");
    Expect(0, 2048, '\p{Is_Blk: _NKO}', "");
    Expect(1, 2048, '\p{^Is_Blk: _NKO}', "");
    Expect(1, 2048, '\P{Is_Blk: _NKO}', "");
    Expect(0, 2048, '\P{^Is_Blk: _NKO}', "");
    Error('\p{Block=/a/_	NUMBER_forms}');
    Error('\P{Block=/a/_	NUMBER_forms}');
    Expect(1, 8591, '\p{Block=:\ANumber_Forms\z:}', "");;
    Expect(0, 8592, '\p{Block=:\ANumber_Forms\z:}', "");;
    Expect(1, 8591, '\p{Block=numberforms}', "");
    Expect(0, 8591, '\p{^Block=numberforms}', "");
    Expect(0, 8591, '\P{Block=numberforms}', "");
    Expect(1, 8591, '\P{^Block=numberforms}', "");
    Expect(0, 8592, '\p{Block=numberforms}', "");
    Expect(1, 8592, '\p{^Block=numberforms}', "");
    Expect(1, 8592, '\P{Block=numberforms}', "");
    Expect(0, 8592, '\P{^Block=numberforms}', "");
    Expect(1, 8591, '\p{Block=:\Anumberforms\z:}', "");;
    Expect(0, 8592, '\p{Block=:\Anumberforms\z:}', "");;
    Expect(1, 8591, '\p{Block:  -number_forms}', "");
    Expect(0, 8591, '\p{^Block:  -number_forms}', "");
    Expect(0, 8591, '\P{Block:  -number_forms}', "");
    Expect(1, 8591, '\P{^Block:  -number_forms}', "");
    Expect(0, 8592, '\p{Block:  -number_forms}', "");
    Expect(1, 8592, '\p{^Block:  -number_forms}', "");
    Expect(1, 8592, '\P{Block:  -number_forms}', "");
    Expect(0, 8592, '\P{^Block:  -number_forms}', "");
    Error('\p{Blk=:=_Number_forms}');
    Error('\P{Blk=:=_Number_forms}');
    Expect(1, 8591, '\p{Blk=:\ANumber_Forms\z:}', "");;
    Expect(0, 8592, '\p{Blk=:\ANumber_Forms\z:}', "");;
    Expect(1, 8591, '\p{Blk=numberforms}', "");
    Expect(0, 8591, '\p{^Blk=numberforms}', "");
    Expect(0, 8591, '\P{Blk=numberforms}', "");
    Expect(1, 8591, '\P{^Blk=numberforms}', "");
    Expect(0, 8592, '\p{Blk=numberforms}', "");
    Expect(1, 8592, '\p{^Blk=numberforms}', "");
    Expect(1, 8592, '\P{Blk=numberforms}', "");
    Expect(0, 8592, '\P{^Blk=numberforms}', "");
    Expect(1, 8591, '\p{Blk=:\Anumberforms\z:}', "");;
    Expect(0, 8592, '\p{Blk=:\Anumberforms\z:}', "");;
    Expect(1, 8591, '\p{Blk= 	number_FORMS}', "");
    Expect(0, 8591, '\p{^Blk= 	number_FORMS}', "");
    Expect(0, 8591, '\P{Blk= 	number_FORMS}', "");
    Expect(1, 8591, '\P{^Blk= 	number_FORMS}', "");
    Expect(0, 8592, '\p{Blk= 	number_FORMS}', "");
    Expect(1, 8592, '\p{^Blk= 	number_FORMS}', "");
    Expect(1, 8592, '\P{Blk= 	number_FORMS}', "");
    Expect(0, 8592, '\P{^Blk= 	number_FORMS}', "");
    Error('\p{Is_Block=_-Number_forms/a/}');
    Error('\P{Is_Block=_-Number_forms/a/}');
    Expect(1, 8591, '\p{Is_Block=numberforms}', "");
    Expect(0, 8591, '\p{^Is_Block=numberforms}', "");
    Expect(0, 8591, '\P{Is_Block=numberforms}', "");
    Expect(1, 8591, '\P{^Is_Block=numberforms}', "");
    Expect(0, 8592, '\p{Is_Block=numberforms}', "");
    Expect(1, 8592, '\p{^Is_Block=numberforms}', "");
    Expect(1, 8592, '\P{Is_Block=numberforms}', "");
    Expect(0, 8592, '\P{^Is_Block=numberforms}', "");
    Expect(1, 8591, '\p{Is_Block:  _NUMBER_Forms}', "");
    Expect(0, 8591, '\p{^Is_Block:  _NUMBER_Forms}', "");
    Expect(0, 8591, '\P{Is_Block:  _NUMBER_Forms}', "");
    Expect(1, 8591, '\P{^Is_Block:  _NUMBER_Forms}', "");
    Expect(0, 8592, '\p{Is_Block:  _NUMBER_Forms}', "");
    Expect(1, 8592, '\p{^Is_Block:  _NUMBER_Forms}', "");
    Expect(1, 8592, '\P{Is_Block:  _NUMBER_Forms}', "");
    Expect(0, 8592, '\P{^Is_Block:  _NUMBER_Forms}', "");
    Error('\p{Is_Blk=/a/_ Number_Forms}');
    Error('\P{Is_Blk=/a/_ Number_Forms}');
    Expect(1, 8591, '\p{Is_Blk=numberforms}', "");
    Expect(0, 8591, '\p{^Is_Blk=numberforms}', "");
    Expect(0, 8591, '\P{Is_Blk=numberforms}', "");
    Expect(1, 8591, '\P{^Is_Blk=numberforms}', "");
    Expect(0, 8592, '\p{Is_Blk=numberforms}', "");
    Expect(1, 8592, '\p{^Is_Blk=numberforms}', "");
    Expect(1, 8592, '\P{Is_Blk=numberforms}', "");
    Expect(0, 8592, '\P{^Is_Blk=numberforms}', "");
    Expect(1, 8591, '\p{Is_Blk=_ number_FORMS}', "");
    Expect(0, 8591, '\p{^Is_Blk=_ number_FORMS}', "");
    Expect(0, 8591, '\P{Is_Blk=_ number_FORMS}', "");
    Expect(1, 8591, '\P{^Is_Blk=_ number_FORMS}', "");
    Expect(0, 8592, '\p{Is_Blk=_ number_FORMS}', "");
    Expect(1, 8592, '\p{^Is_Blk=_ number_FORMS}', "");
    Expect(1, 8592, '\P{Is_Blk=_ number_FORMS}', "");
    Expect(0, 8592, '\P{^Is_Blk=_ number_FORMS}', "");
    Error('\p{Block=_:=NUSHU}');
    Error('\P{Block=_:=NUSHU}');
    Expect(1, 111359, '\p{Block=:\ANushu\z:}', "");;
    Expect(0, 111360, '\p{Block=:\ANushu\z:}', "");;
    Expect(1, 111359, '\p{Block=nushu}', "");
    Expect(0, 111359, '\p{^Block=nushu}', "");
    Expect(0, 111359, '\P{Block=nushu}', "");
    Expect(1, 111359, '\P{^Block=nushu}', "");
    Expect(0, 111360, '\p{Block=nushu}', "");
    Expect(1, 111360, '\p{^Block=nushu}', "");
    Expect(1, 111360, '\P{Block=nushu}', "");
    Expect(0, 111360, '\P{^Block=nushu}', "");
    Expect(1, 111359, '\p{Block=:\Anushu\z:}', "");;
    Expect(0, 111360, '\p{Block=:\Anushu\z:}', "");;
    Expect(1, 111359, '\p{Block=		nushu}', "");
    Expect(0, 111359, '\p{^Block=		nushu}', "");
    Expect(0, 111359, '\P{Block=		nushu}', "");
    Expect(1, 111359, '\P{^Block=		nushu}', "");
    Expect(0, 111360, '\p{Block=		nushu}', "");
    Expect(1, 111360, '\p{^Block=		nushu}', "");
    Expect(1, 111360, '\P{Block=		nushu}', "");
    Expect(0, 111360, '\P{^Block=		nushu}', "");
    Error('\p{Blk=  nushu:=}');
    Error('\P{Blk=  nushu:=}');
    Expect(1, 111359, '\p{Blk=:\ANushu\z:}', "");;
    Expect(0, 111360, '\p{Blk=:\ANushu\z:}', "");;
    Expect(1, 111359, '\p{Blk=nushu}', "");
    Expect(0, 111359, '\p{^Blk=nushu}', "");
    Expect(0, 111359, '\P{Blk=nushu}', "");
    Expect(1, 111359, '\P{^Blk=nushu}', "");
    Expect(0, 111360, '\p{Blk=nushu}', "");
    Expect(1, 111360, '\p{^Blk=nushu}', "");
    Expect(1, 111360, '\P{Blk=nushu}', "");
    Expect(0, 111360, '\P{^Blk=nushu}', "");
    Expect(1, 111359, '\p{Blk=:\Anushu\z:}', "");;
    Expect(0, 111360, '\p{Blk=:\Anushu\z:}', "");;
    Expect(1, 111359, '\p{Blk=	Nushu}', "");
    Expect(0, 111359, '\p{^Blk=	Nushu}', "");
    Expect(0, 111359, '\P{Blk=	Nushu}', "");
    Expect(1, 111359, '\P{^Blk=	Nushu}', "");
    Expect(0, 111360, '\p{Blk=	Nushu}', "");
    Expect(1, 111360, '\p{^Blk=	Nushu}', "");
    Expect(1, 111360, '\P{Blk=	Nushu}', "");
    Expect(0, 111360, '\P{^Blk=	Nushu}', "");
    Error('\p{Is_Block=:=_ NUSHU}');
    Error('\P{Is_Block=:=_ NUSHU}');
    Expect(1, 111359, '\p{Is_Block=nushu}', "");
    Expect(0, 111359, '\p{^Is_Block=nushu}', "");
    Expect(0, 111359, '\P{Is_Block=nushu}', "");
    Expect(1, 111359, '\P{^Is_Block=nushu}', "");
    Expect(0, 111360, '\p{Is_Block=nushu}', "");
    Expect(1, 111360, '\p{^Is_Block=nushu}', "");
    Expect(1, 111360, '\P{Is_Block=nushu}', "");
    Expect(0, 111360, '\P{^Is_Block=nushu}', "");
    Expect(1, 111359, '\p{Is_Block= NUSHU}', "");
    Expect(0, 111359, '\p{^Is_Block= NUSHU}', "");
    Expect(0, 111359, '\P{Is_Block= NUSHU}', "");
    Expect(1, 111359, '\P{^Is_Block= NUSHU}', "");
    Expect(0, 111360, '\p{Is_Block= NUSHU}', "");
    Expect(1, 111360, '\p{^Is_Block= NUSHU}', "");
    Expect(1, 111360, '\P{Is_Block= NUSHU}', "");
    Expect(0, 111360, '\P{^Is_Block= NUSHU}', "");
    Error('\p{Is_Blk=:=NUSHU}');
    Error('\P{Is_Blk=:=NUSHU}');
    Expect(1, 111359, '\p{Is_Blk=nushu}', "");
    Expect(0, 111359, '\p{^Is_Blk=nushu}', "");
    Expect(0, 111359, '\P{Is_Blk=nushu}', "");
    Expect(1, 111359, '\P{^Is_Blk=nushu}', "");
    Expect(0, 111360, '\p{Is_Blk=nushu}', "");
    Expect(1, 111360, '\p{^Is_Blk=nushu}', "");
    Expect(1, 111360, '\P{Is_Blk=nushu}', "");
    Expect(0, 111360, '\P{^Is_Blk=nushu}', "");
    Expect(1, 111359, '\p{Is_Blk=	-nushu}', "");
    Expect(0, 111359, '\p{^Is_Blk=	-nushu}', "");
    Expect(0, 111359, '\P{Is_Blk=	-nushu}', "");
    Expect(1, 111359, '\P{^Is_Blk=	-nushu}', "");
    Expect(0, 111360, '\p{Is_Blk=	-nushu}', "");
    Expect(1, 111360, '\p{^Is_Blk=	-nushu}', "");
    Expect(1, 111360, '\P{Is_Blk=	-nushu}', "");
    Expect(0, 111360, '\P{^Is_Blk=	-nushu}', "");
    Error('\p{Block=	-nyiakeng_PUACHUE_Hmong/a/}');
    Error('\P{Block=	-nyiakeng_PUACHUE_Hmong/a/}');
    Expect(1, 123215, '\p{Block=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(0, 123216, '\p{Block=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(1, 123215, '\p{Block=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Block=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Block=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Block=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Block=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Block=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Block=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Block=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Block=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(0, 123216, '\p{Block=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(1, 123215, '\p{Block=	nyiakeng_PUACHUE_Hmong}', "");
    Expect(0, 123215, '\p{^Block=	nyiakeng_PUACHUE_Hmong}', "");
    Expect(0, 123215, '\P{Block=	nyiakeng_PUACHUE_Hmong}', "");
    Expect(1, 123215, '\P{^Block=	nyiakeng_PUACHUE_Hmong}', "");
    Expect(0, 123216, '\p{Block=	nyiakeng_PUACHUE_Hmong}', "");
    Expect(1, 123216, '\p{^Block=	nyiakeng_PUACHUE_Hmong}', "");
    Expect(1, 123216, '\P{Block=	nyiakeng_PUACHUE_Hmong}', "");
    Expect(0, 123216, '\P{^Block=	nyiakeng_PUACHUE_Hmong}', "");
    Error('\p{Blk=	_NYIAKENG_Puachue_Hmong:=}');
    Error('\P{Blk=	_NYIAKENG_Puachue_Hmong:=}');
    Expect(1, 123215, '\p{Blk=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(0, 123216, '\p{Blk=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(1, 123215, '\p{Blk: nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Blk: nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Blk: nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Blk: nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Blk: nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Blk: nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Blk: nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Blk: nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Blk=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(0, 123216, '\p{Blk=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(1, 123215, '\p{Blk= nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\p{^Blk= nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\P{Blk= nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123215, '\P{^Blk= nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\p{Blk= nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\p{^Blk= nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\P{Blk= nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\P{^Blk= nyiakeng_Puachue_Hmong}', "");
    Error('\p{Is_Block=:=Nyiakeng_PUACHUE_Hmong}');
    Error('\P{Is_Block=:=Nyiakeng_PUACHUE_Hmong}');
    Expect(1, 123215, '\p{Is_Block=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Is_Block=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Is_Block=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Is_Block=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Is_Block=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Is_Block=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Is_Block=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Is_Block=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Expect(0, 123215, '\p{^Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Expect(0, 123215, '\P{Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Expect(1, 123215, '\P{^Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Expect(0, 123216, '\p{Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Expect(1, 123216, '\p{^Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Expect(1, 123216, '\P{Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Expect(0, 123216, '\P{^Is_Block: __Nyiakeng_Puachue_HMONG}', "");
    Error('\p{Is_Blk= Nyiakeng_puachue_Hmong:=}');
    Error('\P{Is_Blk= Nyiakeng_puachue_Hmong:=}');
    Expect(1, 123215, '\p{Is_Blk:nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Is_Blk:nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Is_Blk:nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Is_Blk:nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Is_Blk:nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Is_Blk:nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Is_Blk:nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Is_Blk:nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Expect(0, 123215, '\p{^Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Expect(0, 123215, '\P{Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Expect(1, 123215, '\P{^Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Expect(0, 123216, '\p{Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Expect(1, 123216, '\p{^Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Expect(1, 123216, '\P{Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Expect(0, 123216, '\P{^Is_Blk= 	nyiakeng_puachue_Hmong}', "");
    Error('\p{Block=/a/	OPTICAL_CHARACTER_Recognition}');
    Error('\P{Block=/a/	OPTICAL_CHARACTER_Recognition}');
    Expect(1, 9311, '\p{Block=:\AOptical_Character_Recognition\z:}', "");;
    Expect(0, 9312, '\p{Block=:\AOptical_Character_Recognition\z:}', "");;
    Expect(1, 9311, '\p{Block=opticalcharacterrecognition}', "");
    Expect(0, 9311, '\p{^Block=opticalcharacterrecognition}', "");
    Expect(0, 9311, '\P{Block=opticalcharacterrecognition}', "");
    Expect(1, 9311, '\P{^Block=opticalcharacterrecognition}', "");
    Expect(0, 9312, '\p{Block=opticalcharacterrecognition}', "");
    Expect(1, 9312, '\p{^Block=opticalcharacterrecognition}', "");
    Expect(1, 9312, '\P{Block=opticalcharacterrecognition}', "");
    Expect(0, 9312, '\P{^Block=opticalcharacterrecognition}', "");
    Expect(1, 9311, '\p{Block=:\Aopticalcharacterrecognition\z:}', "");;
    Expect(0, 9312, '\p{Block=:\Aopticalcharacterrecognition\z:}', "");;
    Expect(1, 9311, '\p{Block=		Optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9311, '\p{^Block=		Optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9311, '\P{Block=		Optical_CHARACTER_RECOGNITION}', "");
    Expect(1, 9311, '\P{^Block=		Optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9312, '\p{Block=		Optical_CHARACTER_RECOGNITION}', "");
    Expect(1, 9312, '\p{^Block=		Optical_CHARACTER_RECOGNITION}', "");
    Expect(1, 9312, '\P{Block=		Optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9312, '\P{^Block=		Optical_CHARACTER_RECOGNITION}', "");
    Error('\p{Blk=	_OCR/a/}');
    Error('\P{Blk=	_OCR/a/}');
    Expect(1, 9311, '\p{Blk=:\AOCR\z:}', "");;
    Expect(0, 9312, '\p{Blk=:\AOCR\z:}', "");;
    Expect(1, 9311, '\p{Blk=ocr}', "");
    Expect(0, 9311, '\p{^Blk=ocr}', "");
    Expect(0, 9311, '\P{Blk=ocr}', "");
    Expect(1, 9311, '\P{^Blk=ocr}', "");
    Expect(0, 9312, '\p{Blk=ocr}', "");
    Expect(1, 9312, '\p{^Blk=ocr}', "");
    Expect(1, 9312, '\P{Blk=ocr}', "");
    Expect(0, 9312, '\P{^Blk=ocr}', "");
    Expect(1, 9311, '\p{Blk=:\Aocr\z:}', "");;
    Expect(0, 9312, '\p{Blk=:\Aocr\z:}', "");;
    Expect(1, 9311, '\p{Blk=  OCR}', "");
    Expect(0, 9311, '\p{^Blk=  OCR}', "");
    Expect(0, 9311, '\P{Blk=  OCR}', "");
    Expect(1, 9311, '\P{^Blk=  OCR}', "");
    Expect(0, 9312, '\p{Blk=  OCR}', "");
    Expect(1, 9312, '\p{^Blk=  OCR}', "");
    Expect(1, 9312, '\P{Blk=  OCR}', "");
    Expect(0, 9312, '\P{^Blk=  OCR}', "");
    Error('\p{Is_Block:   	:=Optical_Character_Recognition}');
    Error('\P{Is_Block:   	:=Optical_Character_Recognition}');
    Expect(1, 9311, '\p{Is_Block=opticalcharacterrecognition}', "");
    Expect(0, 9311, '\p{^Is_Block=opticalcharacterrecognition}', "");
    Expect(0, 9311, '\P{Is_Block=opticalcharacterrecognition}', "");
    Expect(1, 9311, '\P{^Is_Block=opticalcharacterrecognition}', "");
    Expect(0, 9312, '\p{Is_Block=opticalcharacterrecognition}', "");
    Expect(1, 9312, '\p{^Is_Block=opticalcharacterrecognition}', "");
    Expect(1, 9312, '\P{Is_Block=opticalcharacterrecognition}', "");
    Expect(0, 9312, '\P{^Is_Block=opticalcharacterrecognition}', "");
    Expect(1, 9311, '\p{Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9311, '\p{^Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9311, '\P{Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Expect(1, 9311, '\P{^Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9312, '\p{Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Expect(1, 9312, '\p{^Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Expect(1, 9312, '\P{Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Expect(0, 9312, '\P{^Is_Block= 	optical_CHARACTER_RECOGNITION}', "");
    Error('\p{Is_Blk=-:=OCR}');
    Error('\P{Is_Blk=-:=OCR}');
    Expect(1, 9311, '\p{Is_Blk=ocr}', "");
    Expect(0, 9311, '\p{^Is_Blk=ocr}', "");
    Expect(0, 9311, '\P{Is_Blk=ocr}', "");
    Expect(1, 9311, '\P{^Is_Blk=ocr}', "");
    Expect(0, 9312, '\p{Is_Blk=ocr}', "");
    Expect(1, 9312, '\p{^Is_Blk=ocr}', "");
    Expect(1, 9312, '\P{Is_Blk=ocr}', "");
    Expect(0, 9312, '\P{^Is_Blk=ocr}', "");
    Expect(1, 9311, '\p{Is_Blk=_ocr}', "");
    Expect(0, 9311, '\p{^Is_Blk=_ocr}', "");
    Expect(0, 9311, '\P{Is_Blk=_ocr}', "");
    Expect(1, 9311, '\P{^Is_Blk=_ocr}', "");
    Expect(0, 9312, '\p{Is_Blk=_ocr}', "");
    Expect(1, 9312, '\p{^Is_Blk=_ocr}', "");
    Expect(1, 9312, '\P{Is_Blk=_ocr}', "");
    Expect(0, 9312, '\P{^Is_Blk=_ocr}', "");
    Error('\p{Block=_Ogham:=}');
    Error('\P{Block=_Ogham:=}');
    Expect(1, 5791, '\p{Block=:\AOgham\z:}', "");;
    Expect(0, 5792, '\p{Block=:\AOgham\z:}', "");;
    Expect(1, 5791, '\p{Block=ogham}', "");
    Expect(0, 5791, '\p{^Block=ogham}', "");
    Expect(0, 5791, '\P{Block=ogham}', "");
    Expect(1, 5791, '\P{^Block=ogham}', "");
    Expect(0, 5792, '\p{Block=ogham}', "");
    Expect(1, 5792, '\p{^Block=ogham}', "");
    Expect(1, 5792, '\P{Block=ogham}', "");
    Expect(0, 5792, '\P{^Block=ogham}', "");
    Expect(1, 5791, '\p{Block=:\Aogham\z:}', "");;
    Expect(0, 5792, '\p{Block=:\Aogham\z:}', "");;
    Expect(1, 5791, '\p{Block=_-Ogham}', "");
    Expect(0, 5791, '\p{^Block=_-Ogham}', "");
    Expect(0, 5791, '\P{Block=_-Ogham}', "");
    Expect(1, 5791, '\P{^Block=_-Ogham}', "");
    Expect(0, 5792, '\p{Block=_-Ogham}', "");
    Expect(1, 5792, '\p{^Block=_-Ogham}', "");
    Expect(1, 5792, '\P{Block=_-Ogham}', "");
    Expect(0, 5792, '\P{^Block=_-Ogham}', "");
    Error('\p{Blk=	/a/ogham}');
    Error('\P{Blk=	/a/ogham}');
    Expect(1, 5791, '\p{Blk=:\AOgham\z:}', "");;
    Expect(0, 5792, '\p{Blk=:\AOgham\z:}', "");;
    Expect(1, 5791, '\p{Blk:   ogham}', "");
    Expect(0, 5791, '\p{^Blk:   ogham}', "");
    Expect(0, 5791, '\P{Blk:   ogham}', "");
    Expect(1, 5791, '\P{^Blk:   ogham}', "");
    Expect(0, 5792, '\p{Blk:   ogham}', "");
    Expect(1, 5792, '\p{^Blk:   ogham}', "");
    Expect(1, 5792, '\P{Blk:   ogham}', "");
    Expect(0, 5792, '\P{^Blk:   ogham}', "");
    Expect(1, 5791, '\p{Blk=:\Aogham\z:}', "");;
    Expect(0, 5792, '\p{Blk=:\Aogham\z:}', "");;
    Expect(1, 5791, '\p{Blk=__Ogham}', "");
    Expect(0, 5791, '\p{^Blk=__Ogham}', "");
    Expect(0, 5791, '\P{Blk=__Ogham}', "");
    Expect(1, 5791, '\P{^Blk=__Ogham}', "");
    Expect(0, 5792, '\p{Blk=__Ogham}', "");
    Expect(1, 5792, '\p{^Blk=__Ogham}', "");
    Expect(1, 5792, '\P{Blk=__Ogham}', "");
    Expect(0, 5792, '\P{^Blk=__Ogham}', "");
    Error('\p{Is_Block=	/a/Ogham}');
    Error('\P{Is_Block=	/a/Ogham}');
    Expect(1, 5791, '\p{Is_Block=ogham}', "");
    Expect(0, 5791, '\p{^Is_Block=ogham}', "");
    Expect(0, 5791, '\P{Is_Block=ogham}', "");
    Expect(1, 5791, '\P{^Is_Block=ogham}', "");
    Expect(0, 5792, '\p{Is_Block=ogham}', "");
    Expect(1, 5792, '\p{^Is_Block=ogham}', "");
    Expect(1, 5792, '\P{Is_Block=ogham}', "");
    Expect(0, 5792, '\P{^Is_Block=ogham}', "");
    Expect(1, 5791, '\p{Is_Block: -	ogham}', "");
    Expect(0, 5791, '\p{^Is_Block: -	ogham}', "");
    Expect(0, 5791, '\P{Is_Block: -	ogham}', "");
    Expect(1, 5791, '\P{^Is_Block: -	ogham}', "");
    Expect(0, 5792, '\p{Is_Block: -	ogham}', "");
    Expect(1, 5792, '\p{^Is_Block: -	ogham}', "");
    Expect(1, 5792, '\P{Is_Block: -	ogham}', "");
    Expect(0, 5792, '\P{^Is_Block: -	ogham}', "");
    Error('\p{Is_Blk=:=Ogham}');
    Error('\P{Is_Blk=:=Ogham}');
    Expect(1, 5791, '\p{Is_Blk=ogham}', "");
    Expect(0, 5791, '\p{^Is_Blk=ogham}', "");
    Expect(0, 5791, '\P{Is_Blk=ogham}', "");
    Expect(1, 5791, '\P{^Is_Blk=ogham}', "");
    Expect(0, 5792, '\p{Is_Blk=ogham}', "");
    Expect(1, 5792, '\p{^Is_Blk=ogham}', "");
    Expect(1, 5792, '\P{Is_Blk=ogham}', "");
    Expect(0, 5792, '\P{^Is_Blk=ogham}', "");
    Expect(1, 5791, '\p{Is_Blk=_	Ogham}', "");
    Expect(0, 5791, '\p{^Is_Blk=_	Ogham}', "");
    Expect(0, 5791, '\P{Is_Blk=_	Ogham}', "");
    Expect(1, 5791, '\P{^Is_Blk=_	Ogham}', "");
    Expect(0, 5792, '\p{Is_Blk=_	Ogham}', "");
    Expect(1, 5792, '\p{^Is_Blk=_	Ogham}', "");
    Expect(1, 5792, '\P{Is_Blk=_	Ogham}', "");
    Expect(0, 5792, '\P{^Is_Blk=_	Ogham}', "");
    Error('\p{Block=_ Ol_Chiki:=}');
    Error('\P{Block=_ Ol_Chiki:=}');
    Expect(1, 7295, '\p{Block=:\AOl_Chiki\z:}', "");;
    Expect(0, 7296, '\p{Block=:\AOl_Chiki\z:}', "");;
    Expect(1, 7295, '\p{Block=olchiki}', "");
    Expect(0, 7295, '\p{^Block=olchiki}', "");
    Expect(0, 7295, '\P{Block=olchiki}', "");
    Expect(1, 7295, '\P{^Block=olchiki}', "");
    Expect(0, 7296, '\p{Block=olchiki}', "");
    Expect(1, 7296, '\p{^Block=olchiki}', "");
    Expect(1, 7296, '\P{Block=olchiki}', "");
    Expect(0, 7296, '\P{^Block=olchiki}', "");
    Expect(1, 7295, '\p{Block=:\Aolchiki\z:}', "");;
    Expect(0, 7296, '\p{Block=:\Aolchiki\z:}', "");;
    Expect(1, 7295, '\p{Block=_ Ol_Chiki}', "");
    Expect(0, 7295, '\p{^Block=_ Ol_Chiki}', "");
    Expect(0, 7295, '\P{Block=_ Ol_Chiki}', "");
    Expect(1, 7295, '\P{^Block=_ Ol_Chiki}', "");
    Expect(0, 7296, '\p{Block=_ Ol_Chiki}', "");
    Expect(1, 7296, '\p{^Block=_ Ol_Chiki}', "");
    Expect(1, 7296, '\P{Block=_ Ol_Chiki}', "");
    Expect(0, 7296, '\P{^Block=_ Ol_Chiki}', "");
    Error('\p{Blk=  Ol_CHIKI:=}');
    Error('\P{Blk=  Ol_CHIKI:=}');
    Expect(1, 7295, '\p{Blk=:\AOl_Chiki\z:}', "");;
    Expect(0, 7296, '\p{Blk=:\AOl_Chiki\z:}', "");;
    Expect(1, 7295, '\p{Blk=olchiki}', "");
    Expect(0, 7295, '\p{^Blk=olchiki}', "");
    Expect(0, 7295, '\P{Blk=olchiki}', "");
    Expect(1, 7295, '\P{^Blk=olchiki}', "");
    Expect(0, 7296, '\p{Blk=olchiki}', "");
    Expect(1, 7296, '\p{^Blk=olchiki}', "");
    Expect(1, 7296, '\P{Blk=olchiki}', "");
    Expect(0, 7296, '\P{^Blk=olchiki}', "");
    Expect(1, 7295, '\p{Blk=:\Aolchiki\z:}', "");;
    Expect(0, 7296, '\p{Blk=:\Aolchiki\z:}', "");;
    Expect(1, 7295, '\p{Blk=_Ol_chiki}', "");
    Expect(0, 7295, '\p{^Blk=_Ol_chiki}', "");
    Expect(0, 7295, '\P{Blk=_Ol_chiki}', "");
    Expect(1, 7295, '\P{^Blk=_Ol_chiki}', "");
    Expect(0, 7296, '\p{Blk=_Ol_chiki}', "");
    Expect(1, 7296, '\p{^Blk=_Ol_chiki}', "");
    Expect(1, 7296, '\P{Blk=_Ol_chiki}', "");
    Expect(0, 7296, '\P{^Blk=_Ol_chiki}', "");
    Error('\p{Is_Block=:= _ol_CHIKI}');
    Error('\P{Is_Block=:= _ol_CHIKI}');
    Expect(1, 7295, '\p{Is_Block=olchiki}', "");
    Expect(0, 7295, '\p{^Is_Block=olchiki}', "");
    Expect(0, 7295, '\P{Is_Block=olchiki}', "");
    Expect(1, 7295, '\P{^Is_Block=olchiki}', "");
    Expect(0, 7296, '\p{Is_Block=olchiki}', "");
    Expect(1, 7296, '\p{^Is_Block=olchiki}', "");
    Expect(1, 7296, '\P{Is_Block=olchiki}', "");
    Expect(0, 7296, '\P{^Is_Block=olchiki}', "");
    Expect(1, 7295, '\p{Is_Block=--ol_chiki}', "");
    Expect(0, 7295, '\p{^Is_Block=--ol_chiki}', "");
    Expect(0, 7295, '\P{Is_Block=--ol_chiki}', "");
    Expect(1, 7295, '\P{^Is_Block=--ol_chiki}', "");
    Expect(0, 7296, '\p{Is_Block=--ol_chiki}', "");
    Expect(1, 7296, '\p{^Is_Block=--ol_chiki}', "");
    Expect(1, 7296, '\P{Is_Block=--ol_chiki}', "");
    Expect(0, 7296, '\P{^Is_Block=--ol_chiki}', "");
    Error('\p{Is_Blk=_ ol_chiki:=}');
    Error('\P{Is_Blk=_ ol_chiki:=}');
    Expect(1, 7295, '\p{Is_Blk:   olchiki}', "");
    Expect(0, 7295, '\p{^Is_Blk:   olchiki}', "");
    Expect(0, 7295, '\P{Is_Blk:   olchiki}', "");
    Expect(1, 7295, '\P{^Is_Blk:   olchiki}', "");
    Expect(0, 7296, '\p{Is_Blk:   olchiki}', "");
    Expect(1, 7296, '\p{^Is_Blk:   olchiki}', "");
    Expect(1, 7296, '\P{Is_Blk:   olchiki}', "");
    Expect(0, 7296, '\P{^Is_Blk:   olchiki}', "");
    Expect(1, 7295, '\p{Is_Blk=--Ol_Chiki}', "");
    Expect(0, 7295, '\p{^Is_Blk=--Ol_Chiki}', "");
    Expect(0, 7295, '\P{Is_Blk=--Ol_Chiki}', "");
    Expect(1, 7295, '\P{^Is_Blk=--Ol_Chiki}', "");
    Expect(0, 7296, '\p{Is_Blk=--Ol_Chiki}', "");
    Expect(1, 7296, '\p{^Is_Blk=--Ol_Chiki}', "");
    Expect(1, 7296, '\P{Is_Blk=--Ol_Chiki}', "");
    Expect(0, 7296, '\P{^Is_Blk=--Ol_Chiki}', "");
    Error('\p{Block=	 Old_HUNGARIAN:=}');
    Error('\P{Block=	 Old_HUNGARIAN:=}');
    Expect(1, 68863, '\p{Block=:\AOld_Hungarian\z:}', "");;
    Expect(0, 68864, '\p{Block=:\AOld_Hungarian\z:}', "");;
    Expect(1, 68863, '\p{Block=oldhungarian}', "");
    Expect(0, 68863, '\p{^Block=oldhungarian}', "");
    Expect(0, 68863, '\P{Block=oldhungarian}', "");
    Expect(1, 68863, '\P{^Block=oldhungarian}', "");
    Expect(0, 68864, '\p{Block=oldhungarian}', "");
    Expect(1, 68864, '\p{^Block=oldhungarian}', "");
    Expect(1, 68864, '\P{Block=oldhungarian}', "");
    Expect(0, 68864, '\P{^Block=oldhungarian}', "");
    Expect(1, 68863, '\p{Block=:\Aoldhungarian\z:}', "");;
    Expect(0, 68864, '\p{Block=:\Aoldhungarian\z:}', "");;
    Expect(1, 68863, '\p{Block=--OLD_Hungarian}', "");
    Expect(0, 68863, '\p{^Block=--OLD_Hungarian}', "");
    Expect(0, 68863, '\P{Block=--OLD_Hungarian}', "");
    Expect(1, 68863, '\P{^Block=--OLD_Hungarian}', "");
    Expect(0, 68864, '\p{Block=--OLD_Hungarian}', "");
    Expect(1, 68864, '\p{^Block=--OLD_Hungarian}', "");
    Expect(1, 68864, '\P{Block=--OLD_Hungarian}', "");
    Expect(0, 68864, '\P{^Block=--OLD_Hungarian}', "");
    Error('\p{Blk=:=	 Old_Hungarian}');
    Error('\P{Blk=:=	 Old_Hungarian}');
    Expect(1, 68863, '\p{Blk=:\AOld_Hungarian\z:}', "");;
    Expect(0, 68864, '\p{Blk=:\AOld_Hungarian\z:}', "");;
    Expect(1, 68863, '\p{Blk=oldhungarian}', "");
    Expect(0, 68863, '\p{^Blk=oldhungarian}', "");
    Expect(0, 68863, '\P{Blk=oldhungarian}', "");
    Expect(1, 68863, '\P{^Blk=oldhungarian}', "");
    Expect(0, 68864, '\p{Blk=oldhungarian}', "");
    Expect(1, 68864, '\p{^Blk=oldhungarian}', "");
    Expect(1, 68864, '\P{Blk=oldhungarian}', "");
    Expect(0, 68864, '\P{^Blk=oldhungarian}', "");
    Expect(1, 68863, '\p{Blk=:\Aoldhungarian\z:}', "");;
    Expect(0, 68864, '\p{Blk=:\Aoldhungarian\z:}', "");;
    Expect(1, 68863, '\p{Blk= -old_Hungarian}', "");
    Expect(0, 68863, '\p{^Blk= -old_Hungarian}', "");
    Expect(0, 68863, '\P{Blk= -old_Hungarian}', "");
    Expect(1, 68863, '\P{^Blk= -old_Hungarian}', "");
    Expect(0, 68864, '\p{Blk= -old_Hungarian}', "");
    Expect(1, 68864, '\p{^Blk= -old_Hungarian}', "");
    Expect(1, 68864, '\P{Blk= -old_Hungarian}', "");
    Expect(0, 68864, '\P{^Blk= -old_Hungarian}', "");
    Error('\p{Is_Block= OLD_HUNGARIAN/a/}');
    Error('\P{Is_Block= OLD_HUNGARIAN/a/}');
    Expect(1, 68863, '\p{Is_Block=oldhungarian}', "");
    Expect(0, 68863, '\p{^Is_Block=oldhungarian}', "");
    Expect(0, 68863, '\P{Is_Block=oldhungarian}', "");
    Expect(1, 68863, '\P{^Is_Block=oldhungarian}', "");
    Expect(0, 68864, '\p{Is_Block=oldhungarian}', "");
    Expect(1, 68864, '\p{^Is_Block=oldhungarian}', "");
    Expect(1, 68864, '\P{Is_Block=oldhungarian}', "");
    Expect(0, 68864, '\P{^Is_Block=oldhungarian}', "");
    Expect(1, 68863, '\p{Is_Block=-_OLD_HUNGARIAN}', "");
    Expect(0, 68863, '\p{^Is_Block=-_OLD_HUNGARIAN}', "");
    Expect(0, 68863, '\P{Is_Block=-_OLD_HUNGARIAN}', "");
    Expect(1, 68863, '\P{^Is_Block=-_OLD_HUNGARIAN}', "");
    Expect(0, 68864, '\p{Is_Block=-_OLD_HUNGARIAN}', "");
    Expect(1, 68864, '\p{^Is_Block=-_OLD_HUNGARIAN}', "");
    Expect(1, 68864, '\P{Is_Block=-_OLD_HUNGARIAN}', "");
    Expect(0, 68864, '\P{^Is_Block=-_OLD_HUNGARIAN}', "");
    Error('\p{Is_Blk=	 Old_Hungarian/a/}');
    Error('\P{Is_Blk=	 Old_Hungarian/a/}');
    Expect(1, 68863, '\p{Is_Blk:oldhungarian}', "");
    Expect(0, 68863, '\p{^Is_Blk:oldhungarian}', "");
    Expect(0, 68863, '\P{Is_Blk:oldhungarian}', "");
    Expect(1, 68863, '\P{^Is_Blk:oldhungarian}', "");
    Expect(0, 68864, '\p{Is_Blk:oldhungarian}', "");
    Expect(1, 68864, '\p{^Is_Blk:oldhungarian}', "");
    Expect(1, 68864, '\P{Is_Blk:oldhungarian}', "");
    Expect(0, 68864, '\P{^Is_Blk:oldhungarian}', "");
    Expect(1, 68863, '\p{Is_Blk=--Old_Hungarian}', "");
    Expect(0, 68863, '\p{^Is_Blk=--Old_Hungarian}', "");
    Expect(0, 68863, '\P{Is_Blk=--Old_Hungarian}', "");
    Expect(1, 68863, '\P{^Is_Blk=--Old_Hungarian}', "");
    Expect(0, 68864, '\p{Is_Blk=--Old_Hungarian}', "");
    Expect(1, 68864, '\p{^Is_Blk=--Old_Hungarian}', "");
    Expect(1, 68864, '\P{Is_Blk=--Old_Hungarian}', "");
    Expect(0, 68864, '\P{^Is_Blk=--Old_Hungarian}', "");
    Error('\p{Block=:=Old_italic}');
    Error('\P{Block=:=Old_italic}');
    Expect(1, 66351, '\p{Block=:\AOld_Italic\z:}', "");;
    Expect(0, 66352, '\p{Block=:\AOld_Italic\z:}', "");;
    Expect(1, 66351, '\p{Block=olditalic}', "");
    Expect(0, 66351, '\p{^Block=olditalic}', "");
    Expect(0, 66351, '\P{Block=olditalic}', "");
    Expect(1, 66351, '\P{^Block=olditalic}', "");
    Expect(0, 66352, '\p{Block=olditalic}', "");
    Expect(1, 66352, '\p{^Block=olditalic}', "");
    Expect(1, 66352, '\P{Block=olditalic}', "");
    Expect(0, 66352, '\P{^Block=olditalic}', "");
    Expect(1, 66351, '\p{Block=:\Aolditalic\z:}', "");;
    Expect(0, 66352, '\p{Block=:\Aolditalic\z:}', "");;
    Expect(1, 66351, '\p{Block=_	old_Italic}', "");
    Expect(0, 66351, '\p{^Block=_	old_Italic}', "");
    Expect(0, 66351, '\P{Block=_	old_Italic}', "");
    Expect(1, 66351, '\P{^Block=_	old_Italic}', "");
    Expect(0, 66352, '\p{Block=_	old_Italic}', "");
    Expect(1, 66352, '\p{^Block=_	old_Italic}', "");
    Expect(1, 66352, '\P{Block=_	old_Italic}', "");
    Expect(0, 66352, '\P{^Block=_	old_Italic}', "");
    Error('\p{Blk=	/a/OLD_italic}');
    Error('\P{Blk=	/a/OLD_italic}');
    Expect(1, 66351, '\p{Blk=:\AOld_Italic\z:}', "");;
    Expect(0, 66352, '\p{Blk=:\AOld_Italic\z:}', "");;
    Expect(1, 66351, '\p{Blk=olditalic}', "");
    Expect(0, 66351, '\p{^Blk=olditalic}', "");
    Expect(0, 66351, '\P{Blk=olditalic}', "");
    Expect(1, 66351, '\P{^Blk=olditalic}', "");
    Expect(0, 66352, '\p{Blk=olditalic}', "");
    Expect(1, 66352, '\p{^Blk=olditalic}', "");
    Expect(1, 66352, '\P{Blk=olditalic}', "");
    Expect(0, 66352, '\P{^Blk=olditalic}', "");
    Expect(1, 66351, '\p{Blk=:\Aolditalic\z:}', "");;
    Expect(0, 66352, '\p{Blk=:\Aolditalic\z:}', "");;
    Expect(1, 66351, '\p{Blk=- Old_Italic}', "");
    Expect(0, 66351, '\p{^Blk=- Old_Italic}', "");
    Expect(0, 66351, '\P{Blk=- Old_Italic}', "");
    Expect(1, 66351, '\P{^Blk=- Old_Italic}', "");
    Expect(0, 66352, '\p{Blk=- Old_Italic}', "");
    Expect(1, 66352, '\p{^Blk=- Old_Italic}', "");
    Expect(1, 66352, '\P{Blk=- Old_Italic}', "");
    Expect(0, 66352, '\P{^Blk=- Old_Italic}', "");
    Error('\p{Is_Block=/a/OLD_italic}');
    Error('\P{Is_Block=/a/OLD_italic}');
    Expect(1, 66351, '\p{Is_Block=olditalic}', "");
    Expect(0, 66351, '\p{^Is_Block=olditalic}', "");
    Expect(0, 66351, '\P{Is_Block=olditalic}', "");
    Expect(1, 66351, '\P{^Is_Block=olditalic}', "");
    Expect(0, 66352, '\p{Is_Block=olditalic}', "");
    Expect(1, 66352, '\p{^Is_Block=olditalic}', "");
    Expect(1, 66352, '\P{Is_Block=olditalic}', "");
    Expect(0, 66352, '\P{^Is_Block=olditalic}', "");
    Expect(1, 66351, '\p{Is_Block=_	OLD_ITALIC}', "");
    Expect(0, 66351, '\p{^Is_Block=_	OLD_ITALIC}', "");
    Expect(0, 66351, '\P{Is_Block=_	OLD_ITALIC}', "");
    Expect(1, 66351, '\P{^Is_Block=_	OLD_ITALIC}', "");
    Expect(0, 66352, '\p{Is_Block=_	OLD_ITALIC}', "");
    Expect(1, 66352, '\p{^Is_Block=_	OLD_ITALIC}', "");
    Expect(1, 66352, '\P{Is_Block=_	OLD_ITALIC}', "");
    Expect(0, 66352, '\P{^Is_Block=_	OLD_ITALIC}', "");
    Error('\p{Is_Blk=_:=old_ITALIC}');
    Error('\P{Is_Blk=_:=old_ITALIC}');
    Expect(1, 66351, '\p{Is_Blk=olditalic}', "");
    Expect(0, 66351, '\p{^Is_Blk=olditalic}', "");
    Expect(0, 66351, '\P{Is_Blk=olditalic}', "");
    Expect(1, 66351, '\P{^Is_Blk=olditalic}', "");
    Expect(0, 66352, '\p{Is_Blk=olditalic}', "");
    Expect(1, 66352, '\p{^Is_Blk=olditalic}', "");
    Expect(1, 66352, '\P{Is_Blk=olditalic}', "");
    Expect(0, 66352, '\P{^Is_Blk=olditalic}', "");
    Expect(1, 66351, '\p{Is_Blk=	 old_Italic}', "");
    Expect(0, 66351, '\p{^Is_Blk=	 old_Italic}', "");
    Expect(0, 66351, '\P{Is_Blk=	 old_Italic}', "");
    Expect(1, 66351, '\P{^Is_Blk=	 old_Italic}', "");
    Expect(0, 66352, '\p{Is_Blk=	 old_Italic}', "");
    Expect(1, 66352, '\p{^Is_Blk=	 old_Italic}', "");
    Expect(1, 66352, '\P{Is_Blk=	 old_Italic}', "");
    Expect(0, 66352, '\P{^Is_Blk=	 old_Italic}', "");
    Error('\p{Block=:= OLD_North_Arabian}');
    Error('\P{Block=:= OLD_North_Arabian}');
    Expect(1, 68255, '\p{Block=:\AOld_North_Arabian\z:}', "");;
    Expect(0, 68256, '\p{Block=:\AOld_North_Arabian\z:}', "");;
    Expect(1, 68255, '\p{Block=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Block=oldnortharabian}', "");
    Expect(0, 68255, '\P{Block=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Block=oldnortharabian}', "");
    Expect(0, 68256, '\p{Block=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Block=oldnortharabian}', "");
    Expect(1, 68256, '\P{Block=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Block=oldnortharabian}', "");
    Expect(1, 68255, '\p{Block=:\Aoldnortharabian\z:}', "");;
    Expect(0, 68256, '\p{Block=:\Aoldnortharabian\z:}', "");;
    Expect(1, 68255, '\p{Block= _old_NORTH_Arabian}', "");
    Expect(0, 68255, '\p{^Block= _old_NORTH_Arabian}', "");
    Expect(0, 68255, '\P{Block= _old_NORTH_Arabian}', "");
    Expect(1, 68255, '\P{^Block= _old_NORTH_Arabian}', "");
    Expect(0, 68256, '\p{Block= _old_NORTH_Arabian}', "");
    Expect(1, 68256, '\p{^Block= _old_NORTH_Arabian}', "");
    Expect(1, 68256, '\P{Block= _old_NORTH_Arabian}', "");
    Expect(0, 68256, '\P{^Block= _old_NORTH_Arabian}', "");
    Error('\p{Blk=/a/	-Old_North_arabian}');
    Error('\P{Blk=/a/	-Old_North_arabian}');
    Expect(1, 68255, '\p{Blk=:\AOld_North_Arabian\z:}', "");;
    Expect(0, 68256, '\p{Blk=:\AOld_North_Arabian\z:}', "");;
    Expect(1, 68255, '\p{Blk=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Blk=oldnortharabian}', "");
    Expect(0, 68255, '\P{Blk=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Blk=oldnortharabian}', "");
    Expect(0, 68256, '\p{Blk=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Blk=oldnortharabian}', "");
    Expect(1, 68256, '\P{Blk=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Blk=oldnortharabian}', "");
    Expect(1, 68255, '\p{Blk=:\Aoldnortharabian\z:}', "");;
    Expect(0, 68256, '\p{Blk=:\Aoldnortharabian\z:}', "");;
    Expect(1, 68255, '\p{Blk=	 Old_north_Arabian}', "");
    Expect(0, 68255, '\p{^Blk=	 Old_north_Arabian}', "");
    Expect(0, 68255, '\P{Blk=	 Old_north_Arabian}', "");
    Expect(1, 68255, '\P{^Blk=	 Old_north_Arabian}', "");
    Expect(0, 68256, '\p{Blk=	 Old_north_Arabian}', "");
    Expect(1, 68256, '\p{^Blk=	 Old_north_Arabian}', "");
    Expect(1, 68256, '\P{Blk=	 Old_north_Arabian}', "");
    Expect(0, 68256, '\P{^Blk=	 Old_north_Arabian}', "");
    Error('\p{Is_Block=OLD_North_ARABIAN/a/}');
    Error('\P{Is_Block=OLD_North_ARABIAN/a/}');
    Expect(1, 68255, '\p{Is_Block=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Is_Block=oldnortharabian}', "");
    Expect(0, 68255, '\P{Is_Block=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Is_Block=oldnortharabian}', "");
    Expect(0, 68256, '\p{Is_Block=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Is_Block=oldnortharabian}', "");
    Expect(1, 68256, '\P{Is_Block=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Is_Block=oldnortharabian}', "");
    Expect(1, 68255, '\p{Is_Block=--Old_NORTH_Arabian}', "");
    Expect(0, 68255, '\p{^Is_Block=--Old_NORTH_Arabian}', "");
    Expect(0, 68255, '\P{Is_Block=--Old_NORTH_Arabian}', "");
    Expect(1, 68255, '\P{^Is_Block=--Old_NORTH_Arabian}', "");
    Expect(0, 68256, '\p{Is_Block=--Old_NORTH_Arabian}', "");
    Expect(1, 68256, '\p{^Is_Block=--Old_NORTH_Arabian}', "");
    Expect(1, 68256, '\P{Is_Block=--Old_NORTH_Arabian}', "");
    Expect(0, 68256, '\P{^Is_Block=--Old_NORTH_Arabian}', "");
    Error('\p{Is_Blk=:=	old_North_Arabian}');
    Error('\P{Is_Blk=:=	old_North_Arabian}');
    Expect(1, 68255, '\p{Is_Blk=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Is_Blk=oldnortharabian}', "");
    Expect(0, 68255, '\P{Is_Blk=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Is_Blk=oldnortharabian}', "");
    Expect(0, 68256, '\p{Is_Blk=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Is_Blk=oldnortharabian}', "");
    Expect(1, 68256, '\P{Is_Blk=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Is_Blk=oldnortharabian}', "");
    Expect(1, 68255, '\p{Is_Blk=	-Old_NORTH_Arabian}', "");
    Expect(0, 68255, '\p{^Is_Blk=	-Old_NORTH_Arabian}', "");
    Expect(0, 68255, '\P{Is_Blk=	-Old_NORTH_Arabian}', "");
    Expect(1, 68255, '\P{^Is_Blk=	-Old_NORTH_Arabian}', "");
    Expect(0, 68256, '\p{Is_Blk=	-Old_NORTH_Arabian}', "");
    Expect(1, 68256, '\p{^Is_Blk=	-Old_NORTH_Arabian}', "");
    Expect(1, 68256, '\P{Is_Blk=	-Old_NORTH_Arabian}', "");
    Expect(0, 68256, '\P{^Is_Blk=	-Old_NORTH_Arabian}', "");
    Error('\p{Block=-old_permic:=}');
    Error('\P{Block=-old_permic:=}');
    Expect(1, 66431, '\p{Block=:\AOld_Permic\z:}', "");;
    Expect(0, 66432, '\p{Block=:\AOld_Permic\z:}', "");;
    Expect(1, 66431, '\p{Block=oldpermic}', "");
    Expect(0, 66431, '\p{^Block=oldpermic}', "");
    Expect(0, 66431, '\P{Block=oldpermic}', "");
    Expect(1, 66431, '\P{^Block=oldpermic}', "");
    Expect(0, 66432, '\p{Block=oldpermic}', "");
    Expect(1, 66432, '\p{^Block=oldpermic}', "");
    Expect(1, 66432, '\P{Block=oldpermic}', "");
    Expect(0, 66432, '\P{^Block=oldpermic}', "");
    Expect(1, 66431, '\p{Block=:\Aoldpermic\z:}', "");;
    Expect(0, 66432, '\p{Block=:\Aoldpermic\z:}', "");;
    Expect(1, 66431, '\p{Block: _Old_PERMIC}', "");
    Expect(0, 66431, '\p{^Block: _Old_PERMIC}', "");
    Expect(0, 66431, '\P{Block: _Old_PERMIC}', "");
    Expect(1, 66431, '\P{^Block: _Old_PERMIC}', "");
    Expect(0, 66432, '\p{Block: _Old_PERMIC}', "");
    Expect(1, 66432, '\p{^Block: _Old_PERMIC}', "");
    Expect(1, 66432, '\P{Block: _Old_PERMIC}', "");
    Expect(0, 66432, '\P{^Block: _Old_PERMIC}', "");
    Error('\p{Blk=:=		OLD_permic}');
    Error('\P{Blk=:=		OLD_permic}');
    Expect(1, 66431, '\p{Blk=:\AOld_Permic\z:}', "");;
    Expect(0, 66432, '\p{Blk=:\AOld_Permic\z:}', "");;
    Expect(1, 66431, '\p{Blk=oldpermic}', "");
    Expect(0, 66431, '\p{^Blk=oldpermic}', "");
    Expect(0, 66431, '\P{Blk=oldpermic}', "");
    Expect(1, 66431, '\P{^Blk=oldpermic}', "");
    Expect(0, 66432, '\p{Blk=oldpermic}', "");
    Expect(1, 66432, '\p{^Blk=oldpermic}', "");
    Expect(1, 66432, '\P{Blk=oldpermic}', "");
    Expect(0, 66432, '\P{^Blk=oldpermic}', "");
    Expect(1, 66431, '\p{Blk=:\Aoldpermic\z:}', "");;
    Expect(0, 66432, '\p{Blk=:\Aoldpermic\z:}', "");;
    Expect(1, 66431, '\p{Blk=--Old_Permic}', "");
    Expect(0, 66431, '\p{^Blk=--Old_Permic}', "");
    Expect(0, 66431, '\P{Blk=--Old_Permic}', "");
    Expect(1, 66431, '\P{^Blk=--Old_Permic}', "");
    Expect(0, 66432, '\p{Blk=--Old_Permic}', "");
    Expect(1, 66432, '\p{^Blk=--Old_Permic}', "");
    Expect(1, 66432, '\P{Blk=--Old_Permic}', "");
    Expect(0, 66432, '\P{^Blk=--Old_Permic}', "");
    Error('\p{Is_Block=:=-_OLD_permic}');
    Error('\P{Is_Block=:=-_OLD_permic}');
    Expect(1, 66431, '\p{Is_Block=oldpermic}', "");
    Expect(0, 66431, '\p{^Is_Block=oldpermic}', "");
    Expect(0, 66431, '\P{Is_Block=oldpermic}', "");
    Expect(1, 66431, '\P{^Is_Block=oldpermic}', "");
    Expect(0, 66432, '\p{Is_Block=oldpermic}', "");
    Expect(1, 66432, '\p{^Is_Block=oldpermic}', "");
    Expect(1, 66432, '\P{Is_Block=oldpermic}', "");
    Expect(0, 66432, '\P{^Is_Block=oldpermic}', "");
    Expect(1, 66431, '\p{Is_Block=- old_Permic}', "");
    Expect(0, 66431, '\p{^Is_Block=- old_Permic}', "");
    Expect(0, 66431, '\P{Is_Block=- old_Permic}', "");
    Expect(1, 66431, '\P{^Is_Block=- old_Permic}', "");
    Expect(0, 66432, '\p{Is_Block=- old_Permic}', "");
    Expect(1, 66432, '\p{^Is_Block=- old_Permic}', "");
    Expect(1, 66432, '\P{Is_Block=- old_Permic}', "");
    Expect(0, 66432, '\P{^Is_Block=- old_Permic}', "");
    Error('\p{Is_Blk=--OLD_Permic:=}');
    Error('\P{Is_Blk=--OLD_Permic:=}');
    Expect(1, 66431, '\p{Is_Blk=oldpermic}', "");
    Expect(0, 66431, '\p{^Is_Blk=oldpermic}', "");
    Expect(0, 66431, '\P{Is_Blk=oldpermic}', "");
    Expect(1, 66431, '\P{^Is_Blk=oldpermic}', "");
    Expect(0, 66432, '\p{Is_Blk=oldpermic}', "");
    Expect(1, 66432, '\p{^Is_Blk=oldpermic}', "");
    Expect(1, 66432, '\P{Is_Blk=oldpermic}', "");
    Expect(0, 66432, '\P{^Is_Blk=oldpermic}', "");
    Expect(1, 66431, '\p{Is_Blk= _Old_permic}', "");
    Expect(0, 66431, '\p{^Is_Blk= _Old_permic}', "");
    Expect(0, 66431, '\P{Is_Blk= _Old_permic}', "");
    Expect(1, 66431, '\P{^Is_Blk= _Old_permic}', "");
    Expect(0, 66432, '\p{Is_Blk= _Old_permic}', "");
    Expect(1, 66432, '\p{^Is_Blk= _Old_permic}', "");
    Expect(1, 66432, '\P{Is_Blk= _Old_permic}', "");
    Expect(0, 66432, '\P{^Is_Blk= _Old_permic}', "");
    Error('\p{Block: -old_persian:=}');
    Error('\P{Block: -old_persian:=}');
    Expect(1, 66527, '\p{Block=:\AOld_Persian\z:}', "");;
    Expect(0, 66528, '\p{Block=:\AOld_Persian\z:}', "");;
    Expect(1, 66527, '\p{Block=oldpersian}', "");
    Expect(0, 66527, '\p{^Block=oldpersian}', "");
    Expect(0, 66527, '\P{Block=oldpersian}', "");
    Expect(1, 66527, '\P{^Block=oldpersian}', "");
    Expect(0, 66528, '\p{Block=oldpersian}', "");
    Expect(1, 66528, '\p{^Block=oldpersian}', "");
    Expect(1, 66528, '\P{Block=oldpersian}', "");
    Expect(0, 66528, '\P{^Block=oldpersian}', "");
    Expect(1, 66527, '\p{Block=:\Aoldpersian\z:}', "");;
    Expect(0, 66528, '\p{Block=:\Aoldpersian\z:}', "");;
    Expect(1, 66527, '\p{Block=	OLD_persian}', "");
    Expect(0, 66527, '\p{^Block=	OLD_persian}', "");
    Expect(0, 66527, '\P{Block=	OLD_persian}', "");
    Expect(1, 66527, '\P{^Block=	OLD_persian}', "");
    Expect(0, 66528, '\p{Block=	OLD_persian}', "");
    Expect(1, 66528, '\p{^Block=	OLD_persian}', "");
    Expect(1, 66528, '\P{Block=	OLD_persian}', "");
    Expect(0, 66528, '\P{^Block=	OLD_persian}', "");
    Error('\p{Blk=/a/-old_PERSIAN}');
    Error('\P{Blk=/a/-old_PERSIAN}');
    Expect(1, 66527, '\p{Blk=:\AOld_Persian\z:}', "");;
    Expect(0, 66528, '\p{Blk=:\AOld_Persian\z:}', "");;
    Expect(1, 66527, '\p{Blk=oldpersian}', "");
    Expect(0, 66527, '\p{^Blk=oldpersian}', "");
    Expect(0, 66527, '\P{Blk=oldpersian}', "");
    Expect(1, 66527, '\P{^Blk=oldpersian}', "");
    Expect(0, 66528, '\p{Blk=oldpersian}', "");
    Expect(1, 66528, '\p{^Blk=oldpersian}', "");
    Expect(1, 66528, '\P{Blk=oldpersian}', "");
    Expect(0, 66528, '\P{^Blk=oldpersian}', "");
    Expect(1, 66527, '\p{Blk=:\Aoldpersian\z:}', "");;
    Expect(0, 66528, '\p{Blk=:\Aoldpersian\z:}', "");;
    Expect(1, 66527, '\p{Blk=Old_persian}', "");
    Expect(0, 66527, '\p{^Blk=Old_persian}', "");
    Expect(0, 66527, '\P{Blk=Old_persian}', "");
    Expect(1, 66527, '\P{^Blk=Old_persian}', "");
    Expect(0, 66528, '\p{Blk=Old_persian}', "");
    Expect(1, 66528, '\p{^Blk=Old_persian}', "");
    Expect(1, 66528, '\P{Blk=Old_persian}', "");
    Expect(0, 66528, '\P{^Blk=Old_persian}', "");
    Error('\p{Is_Block=/a/-OLD_PERSIAN}');
    Error('\P{Is_Block=/a/-OLD_PERSIAN}');
    Expect(1, 66527, '\p{Is_Block=oldpersian}', "");
    Expect(0, 66527, '\p{^Is_Block=oldpersian}', "");
    Expect(0, 66527, '\P{Is_Block=oldpersian}', "");
    Expect(1, 66527, '\P{^Is_Block=oldpersian}', "");
    Expect(0, 66528, '\p{Is_Block=oldpersian}', "");
    Expect(1, 66528, '\p{^Is_Block=oldpersian}', "");
    Expect(1, 66528, '\P{Is_Block=oldpersian}', "");
    Expect(0, 66528, '\P{^Is_Block=oldpersian}', "");
    Expect(1, 66527, '\p{Is_Block= _Old_Persian}', "");
    Expect(0, 66527, '\p{^Is_Block= _Old_Persian}', "");
    Expect(0, 66527, '\P{Is_Block= _Old_Persian}', "");
    Expect(1, 66527, '\P{^Is_Block= _Old_Persian}', "");
    Expect(0, 66528, '\p{Is_Block= _Old_Persian}', "");
    Expect(1, 66528, '\p{^Is_Block= _Old_Persian}', "");
    Expect(1, 66528, '\P{Is_Block= _Old_Persian}', "");
    Expect(0, 66528, '\P{^Is_Block= _Old_Persian}', "");
    Error('\p{Is_Blk=/a/	_OLD_Persian}');
    Error('\P{Is_Blk=/a/	_OLD_Persian}');
    Expect(1, 66527, '\p{Is_Blk:oldpersian}', "");
    Expect(0, 66527, '\p{^Is_Blk:oldpersian}', "");
    Expect(0, 66527, '\P{Is_Blk:oldpersian}', "");
    Expect(1, 66527, '\P{^Is_Blk:oldpersian}', "");
    Expect(0, 66528, '\p{Is_Blk:oldpersian}', "");
    Expect(1, 66528, '\p{^Is_Blk:oldpersian}', "");
    Expect(1, 66528, '\P{Is_Blk:oldpersian}', "");
    Expect(0, 66528, '\P{^Is_Blk:oldpersian}', "");
    Expect(1, 66527, '\p{Is_Blk=_ Old_Persian}', "");
    Expect(0, 66527, '\p{^Is_Blk=_ Old_Persian}', "");
    Expect(0, 66527, '\P{Is_Blk=_ Old_Persian}', "");
    Expect(1, 66527, '\P{^Is_Blk=_ Old_Persian}', "");
    Expect(0, 66528, '\p{Is_Blk=_ Old_Persian}', "");
    Expect(1, 66528, '\p{^Is_Blk=_ Old_Persian}', "");
    Expect(1, 66528, '\P{Is_Blk=_ Old_Persian}', "");
    Expect(0, 66528, '\P{^Is_Blk=_ Old_Persian}', "");
    Error('\p{Block=/a/ -Old_sogdian}');
    Error('\P{Block=/a/ -Old_sogdian}');
    Expect(1, 69423, '\p{Block=:\AOld_Sogdian\z:}', "");;
    Expect(0, 69424, '\p{Block=:\AOld_Sogdian\z:}', "");;
    Expect(1, 69423, '\p{Block=oldsogdian}', "");
    Expect(0, 69423, '\p{^Block=oldsogdian}', "");
    Expect(0, 69423, '\P{Block=oldsogdian}', "");
    Expect(1, 69423, '\P{^Block=oldsogdian}', "");
    Expect(0, 69424, '\p{Block=oldsogdian}', "");
    Expect(1, 69424, '\p{^Block=oldsogdian}', "");
    Expect(1, 69424, '\P{Block=oldsogdian}', "");
    Expect(0, 69424, '\P{^Block=oldsogdian}', "");
    Expect(1, 69423, '\p{Block=:\Aoldsogdian\z:}', "");;
    Expect(0, 69424, '\p{Block=:\Aoldsogdian\z:}', "");;
    Expect(1, 69423, '\p{Block=_	OLD_sogdian}', "");
    Expect(0, 69423, '\p{^Block=_	OLD_sogdian}', "");
    Expect(0, 69423, '\P{Block=_	OLD_sogdian}', "");
    Expect(1, 69423, '\P{^Block=_	OLD_sogdian}', "");
    Expect(0, 69424, '\p{Block=_	OLD_sogdian}', "");
    Expect(1, 69424, '\p{^Block=_	OLD_sogdian}', "");
    Expect(1, 69424, '\P{Block=_	OLD_sogdian}', "");
    Expect(0, 69424, '\P{^Block=_	OLD_sogdian}', "");
    Error('\p{Blk=/a/	-old_sogdian}');
    Error('\P{Blk=/a/	-old_sogdian}');
    Expect(1, 69423, '\p{Blk=:\AOld_Sogdian\z:}', "");;
    Expect(0, 69424, '\p{Blk=:\AOld_Sogdian\z:}', "");;
    Expect(1, 69423, '\p{Blk=oldsogdian}', "");
    Expect(0, 69423, '\p{^Blk=oldsogdian}', "");
    Expect(0, 69423, '\P{Blk=oldsogdian}', "");
    Expect(1, 69423, '\P{^Blk=oldsogdian}', "");
    Expect(0, 69424, '\p{Blk=oldsogdian}', "");
    Expect(1, 69424, '\p{^Blk=oldsogdian}', "");
    Expect(1, 69424, '\P{Blk=oldsogdian}', "");
    Expect(0, 69424, '\P{^Blk=oldsogdian}', "");
    Expect(1, 69423, '\p{Blk=:\Aoldsogdian\z:}', "");;
    Expect(0, 69424, '\p{Blk=:\Aoldsogdian\z:}', "");;
    Expect(1, 69423, '\p{Blk=	 OLD_Sogdian}', "");
    Expect(0, 69423, '\p{^Blk=	 OLD_Sogdian}', "");
    Expect(0, 69423, '\P{Blk=	 OLD_Sogdian}', "");
    Expect(1, 69423, '\P{^Blk=	 OLD_Sogdian}', "");
    Expect(0, 69424, '\p{Blk=	 OLD_Sogdian}', "");
    Expect(1, 69424, '\p{^Blk=	 OLD_Sogdian}', "");
    Expect(1, 69424, '\P{Blk=	 OLD_Sogdian}', "");
    Expect(0, 69424, '\P{^Blk=	 OLD_Sogdian}', "");
    Error('\p{Is_Block=	OLD_SOGDIAN/a/}');
    Error('\P{Is_Block=	OLD_SOGDIAN/a/}');
    Expect(1, 69423, '\p{Is_Block=oldsogdian}', "");
    Expect(0, 69423, '\p{^Is_Block=oldsogdian}', "");
    Expect(0, 69423, '\P{Is_Block=oldsogdian}', "");
    Expect(1, 69423, '\P{^Is_Block=oldsogdian}', "");
    Expect(0, 69424, '\p{Is_Block=oldsogdian}', "");
    Expect(1, 69424, '\p{^Is_Block=oldsogdian}', "");
    Expect(1, 69424, '\P{Is_Block=oldsogdian}', "");
    Expect(0, 69424, '\P{^Is_Block=oldsogdian}', "");
    Expect(1, 69423, '\p{Is_Block: -	OLD_sogdian}', "");
    Expect(0, 69423, '\p{^Is_Block: -	OLD_sogdian}', "");
    Expect(0, 69423, '\P{Is_Block: -	OLD_sogdian}', "");
    Expect(1, 69423, '\P{^Is_Block: -	OLD_sogdian}', "");
    Expect(0, 69424, '\p{Is_Block: -	OLD_sogdian}', "");
    Expect(1, 69424, '\p{^Is_Block: -	OLD_sogdian}', "");
    Expect(1, 69424, '\P{Is_Block: -	OLD_sogdian}', "");
    Expect(0, 69424, '\P{^Is_Block: -	OLD_sogdian}', "");
    Error('\p{Is_Blk= /a/old_SOGDIAN}');
    Error('\P{Is_Blk= /a/old_SOGDIAN}');
    Expect(1, 69423, '\p{Is_Blk=oldsogdian}', "");
    Expect(0, 69423, '\p{^Is_Blk=oldsogdian}', "");
    Expect(0, 69423, '\P{Is_Blk=oldsogdian}', "");
    Expect(1, 69423, '\P{^Is_Blk=oldsogdian}', "");
    Expect(0, 69424, '\p{Is_Blk=oldsogdian}', "");
    Expect(1, 69424, '\p{^Is_Blk=oldsogdian}', "");
    Expect(1, 69424, '\P{Is_Blk=oldsogdian}', "");
    Expect(0, 69424, '\P{^Is_Blk=oldsogdian}', "");
    Expect(1, 69423, '\p{Is_Blk=_-OLD_sogdian}', "");
    Expect(0, 69423, '\p{^Is_Blk=_-OLD_sogdian}', "");
    Expect(0, 69423, '\P{Is_Blk=_-OLD_sogdian}', "");
    Expect(1, 69423, '\P{^Is_Blk=_-OLD_sogdian}', "");
    Expect(0, 69424, '\p{Is_Blk=_-OLD_sogdian}', "");
    Expect(1, 69424, '\p{^Is_Blk=_-OLD_sogdian}', "");
    Expect(1, 69424, '\P{Is_Blk=_-OLD_sogdian}', "");
    Expect(0, 69424, '\P{^Is_Blk=_-OLD_sogdian}', "");
    Error('\p{Block=/a/_ old_south_arabian}');
    Error('\P{Block=/a/_ old_south_arabian}');
    Expect(1, 68223, '\p{Block=:\AOld_South_Arabian\z:}', "");;
    Expect(0, 68224, '\p{Block=:\AOld_South_Arabian\z:}', "");;
    Expect(1, 68223, '\p{Block=oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Block=oldsoutharabian}', "");
    Expect(0, 68223, '\P{Block=oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Block=oldsoutharabian}', "");
    Expect(0, 68224, '\p{Block=oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Block=oldsoutharabian}', "");
    Expect(1, 68224, '\P{Block=oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Block=oldsoutharabian}', "");
    Expect(1, 68223, '\p{Block=:\Aoldsoutharabian\z:}', "");;
    Expect(0, 68224, '\p{Block=:\Aoldsoutharabian\z:}', "");;
    Expect(1, 68223, '\p{Block= Old_south_Arabian}', "");
    Expect(0, 68223, '\p{^Block= Old_south_Arabian}', "");
    Expect(0, 68223, '\P{Block= Old_south_Arabian}', "");
    Expect(1, 68223, '\P{^Block= Old_south_Arabian}', "");
    Expect(0, 68224, '\p{Block= Old_south_Arabian}', "");
    Expect(1, 68224, '\p{^Block= Old_south_Arabian}', "");
    Expect(1, 68224, '\P{Block= Old_south_Arabian}', "");
    Expect(0, 68224, '\P{^Block= Old_south_Arabian}', "");
    Error('\p{Blk=	 Old_South_Arabian/a/}');
    Error('\P{Blk=	 Old_South_Arabian/a/}');
    Expect(1, 68223, '\p{Blk=:\AOld_South_Arabian\z:}', "");;
    Expect(0, 68224, '\p{Blk=:\AOld_South_Arabian\z:}', "");;
    Expect(1, 68223, '\p{Blk=oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Blk=oldsoutharabian}', "");
    Expect(0, 68223, '\P{Blk=oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Blk=oldsoutharabian}', "");
    Expect(0, 68224, '\p{Blk=oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Blk=oldsoutharabian}', "");
    Expect(1, 68224, '\P{Blk=oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Blk=oldsoutharabian}', "");
    Expect(1, 68223, '\p{Blk=:\Aoldsoutharabian\z:}', "");;
    Expect(0, 68224, '\p{Blk=:\Aoldsoutharabian\z:}', "");;
    Expect(1, 68223, '\p{Blk=	 Old_South_Arabian}', "");
    Expect(0, 68223, '\p{^Blk=	 Old_South_Arabian}', "");
    Expect(0, 68223, '\P{Blk=	 Old_South_Arabian}', "");
    Expect(1, 68223, '\P{^Blk=	 Old_South_Arabian}', "");
    Expect(0, 68224, '\p{Blk=	 Old_South_Arabian}', "");
    Expect(1, 68224, '\p{^Blk=	 Old_South_Arabian}', "");
    Expect(1, 68224, '\P{Blk=	 Old_South_Arabian}', "");
    Expect(0, 68224, '\P{^Blk=	 Old_South_Arabian}', "");
    Error('\p{Is_Block= :=old_SOUTH_Arabian}');
    Error('\P{Is_Block= :=old_SOUTH_Arabian}');
    Expect(1, 68223, '\p{Is_Block=oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Is_Block=oldsoutharabian}', "");
    Expect(0, 68223, '\P{Is_Block=oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Is_Block=oldsoutharabian}', "");
    Expect(0, 68224, '\p{Is_Block=oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Is_Block=oldsoutharabian}', "");
    Expect(1, 68224, '\P{Is_Block=oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Is_Block=oldsoutharabian}', "");
    Expect(1, 68223, '\p{Is_Block= OLD_south_Arabian}', "");
    Expect(0, 68223, '\p{^Is_Block= OLD_south_Arabian}', "");
    Expect(0, 68223, '\P{Is_Block= OLD_south_Arabian}', "");
    Expect(1, 68223, '\P{^Is_Block= OLD_south_Arabian}', "");
    Expect(0, 68224, '\p{Is_Block= OLD_south_Arabian}', "");
    Expect(1, 68224, '\p{^Is_Block= OLD_south_Arabian}', "");
    Expect(1, 68224, '\P{Is_Block= OLD_south_Arabian}', "");
    Expect(0, 68224, '\P{^Is_Block= OLD_south_Arabian}', "");
    Error('\p{Is_Blk=_ Old_South_arabian:=}');
    Error('\P{Is_Blk=_ Old_South_arabian:=}');
    Expect(1, 68223, '\p{Is_Blk=oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Is_Blk=oldsoutharabian}', "");
    Expect(0, 68223, '\P{Is_Blk=oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Is_Blk=oldsoutharabian}', "");
    Expect(0, 68224, '\p{Is_Blk=oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Is_Blk=oldsoutharabian}', "");
    Expect(1, 68224, '\P{Is_Blk=oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Is_Blk=oldsoutharabian}', "");
    Expect(1, 68223, '\p{Is_Blk= _Old_South_ARABIAN}', "");
    Expect(0, 68223, '\p{^Is_Blk= _Old_South_ARABIAN}', "");
    Expect(0, 68223, '\P{Is_Blk= _Old_South_ARABIAN}', "");
    Expect(1, 68223, '\P{^Is_Blk= _Old_South_ARABIAN}', "");
    Expect(0, 68224, '\p{Is_Blk= _Old_South_ARABIAN}', "");
    Expect(1, 68224, '\p{^Is_Blk= _Old_South_ARABIAN}', "");
    Expect(1, 68224, '\P{Is_Blk= _Old_South_ARABIAN}', "");
    Expect(0, 68224, '\P{^Is_Blk= _Old_South_ARABIAN}', "");
    Error('\p{Block=--Old_turkic/a/}');
    Error('\P{Block=--Old_turkic/a/}');
    Expect(1, 68687, '\p{Block=:\AOld_Turkic\z:}', "");;
    Expect(0, 68688, '\p{Block=:\AOld_Turkic\z:}', "");;
    Expect(1, 68687, '\p{Block=oldturkic}', "");
    Expect(0, 68687, '\p{^Block=oldturkic}', "");
    Expect(0, 68687, '\P{Block=oldturkic}', "");
    Expect(1, 68687, '\P{^Block=oldturkic}', "");
    Expect(0, 68688, '\p{Block=oldturkic}', "");
    Expect(1, 68688, '\p{^Block=oldturkic}', "");
    Expect(1, 68688, '\P{Block=oldturkic}', "");
    Expect(0, 68688, '\P{^Block=oldturkic}', "");
    Expect(1, 68687, '\p{Block=:\Aoldturkic\z:}', "");;
    Expect(0, 68688, '\p{Block=:\Aoldturkic\z:}', "");;
    Expect(1, 68687, '\p{Block=__OLD_turkic}', "");
    Expect(0, 68687, '\p{^Block=__OLD_turkic}', "");
    Expect(0, 68687, '\P{Block=__OLD_turkic}', "");
    Expect(1, 68687, '\P{^Block=__OLD_turkic}', "");
    Expect(0, 68688, '\p{Block=__OLD_turkic}', "");
    Expect(1, 68688, '\p{^Block=__OLD_turkic}', "");
    Expect(1, 68688, '\P{Block=__OLD_turkic}', "");
    Expect(0, 68688, '\P{^Block=__OLD_turkic}', "");
    Error('\p{Blk=-	old_turkic:=}');
    Error('\P{Blk=-	old_turkic:=}');
    Expect(1, 68687, '\p{Blk=:\AOld_Turkic\z:}', "");;
    Expect(0, 68688, '\p{Blk=:\AOld_Turkic\z:}', "");;
    Expect(1, 68687, '\p{Blk:	oldturkic}', "");
    Expect(0, 68687, '\p{^Blk:	oldturkic}', "");
    Expect(0, 68687, '\P{Blk:	oldturkic}', "");
    Expect(1, 68687, '\P{^Blk:	oldturkic}', "");
    Expect(0, 68688, '\p{Blk:	oldturkic}', "");
    Expect(1, 68688, '\p{^Blk:	oldturkic}', "");
    Expect(1, 68688, '\P{Blk:	oldturkic}', "");
    Expect(0, 68688, '\P{^Blk:	oldturkic}', "");
    Expect(1, 68687, '\p{Blk=:\Aoldturkic\z:}', "");;
    Expect(0, 68688, '\p{Blk=:\Aoldturkic\z:}', "");;
    Expect(1, 68687, '\p{Blk: --Old_Turkic}', "");
    Expect(0, 68687, '\p{^Blk: --Old_Turkic}', "");
    Expect(0, 68687, '\P{Blk: --Old_Turkic}', "");
    Expect(1, 68687, '\P{^Blk: --Old_Turkic}', "");
    Expect(0, 68688, '\p{Blk: --Old_Turkic}', "");
    Expect(1, 68688, '\p{^Blk: --Old_Turkic}', "");
    Expect(1, 68688, '\P{Blk: --Old_Turkic}', "");
    Expect(0, 68688, '\P{^Blk: --Old_Turkic}', "");
    Error('\p{Is_Block=  OLD_turkic:=}');
    Error('\P{Is_Block=  OLD_turkic:=}');
    Expect(1, 68687, '\p{Is_Block=oldturkic}', "");
    Expect(0, 68687, '\p{^Is_Block=oldturkic}', "");
    Expect(0, 68687, '\P{Is_Block=oldturkic}', "");
    Expect(1, 68687, '\P{^Is_Block=oldturkic}', "");
    Expect(0, 68688, '\p{Is_Block=oldturkic}', "");
    Expect(1, 68688, '\p{^Is_Block=oldturkic}', "");
    Expect(1, 68688, '\P{Is_Block=oldturkic}', "");
    Expect(0, 68688, '\P{^Is_Block=oldturkic}', "");
    Expect(1, 68687, '\p{Is_Block: _	Old_turkic}', "");
    Expect(0, 68687, '\p{^Is_Block: _	Old_turkic}', "");
    Expect(0, 68687, '\P{Is_Block: _	Old_turkic}', "");
    Expect(1, 68687, '\P{^Is_Block: _	Old_turkic}', "");
    Expect(0, 68688, '\p{Is_Block: _	Old_turkic}', "");
    Expect(1, 68688, '\p{^Is_Block: _	Old_turkic}', "");
    Expect(1, 68688, '\P{Is_Block: _	Old_turkic}', "");
    Expect(0, 68688, '\P{^Is_Block: _	Old_turkic}', "");
    Error('\p{Is_Blk=_ OLD_TURKIC:=}');
    Error('\P{Is_Blk=_ OLD_TURKIC:=}');
    Expect(1, 68687, '\p{Is_Blk=oldturkic}', "");
    Expect(0, 68687, '\p{^Is_Blk=oldturkic}', "");
    Expect(0, 68687, '\P{Is_Blk=oldturkic}', "");
    Expect(1, 68687, '\P{^Is_Blk=oldturkic}', "");
    Expect(0, 68688, '\p{Is_Blk=oldturkic}', "");
    Expect(1, 68688, '\p{^Is_Blk=oldturkic}', "");
    Expect(1, 68688, '\P{Is_Blk=oldturkic}', "");
    Expect(0, 68688, '\P{^Is_Blk=oldturkic}', "");
    Expect(1, 68687, '\p{Is_Blk=	-OLD_turkic}', "");
    Expect(0, 68687, '\p{^Is_Blk=	-OLD_turkic}', "");
    Expect(0, 68687, '\P{Is_Blk=	-OLD_turkic}', "");
    Expect(1, 68687, '\P{^Is_Blk=	-OLD_turkic}', "");
    Expect(0, 68688, '\p{Is_Blk=	-OLD_turkic}', "");
    Expect(1, 68688, '\p{^Is_Blk=	-OLD_turkic}', "");
    Expect(1, 68688, '\P{Is_Blk=	-OLD_turkic}', "");
    Expect(0, 68688, '\P{^Is_Blk=	-OLD_turkic}', "");
    Error('\p{Block=/a/Old_uyghur}');
    Error('\P{Block=/a/Old_uyghur}');
    Expect(1, 69551, '\p{Block=:\AOld_Uyghur\z:}', "");;
    Expect(0, 69552, '\p{Block=:\AOld_Uyghur\z:}', "");;
    Expect(1, 69551, '\p{Block=olduyghur}', "");
    Expect(0, 69551, '\p{^Block=olduyghur}', "");
    Expect(0, 69551, '\P{Block=olduyghur}', "");
    Expect(1, 69551, '\P{^Block=olduyghur}', "");
    Expect(0, 69552, '\p{Block=olduyghur}', "");
    Expect(1, 69552, '\p{^Block=olduyghur}', "");
    Expect(1, 69552, '\P{Block=olduyghur}', "");
    Expect(0, 69552, '\P{^Block=olduyghur}', "");
    Expect(1, 69551, '\p{Block=:\Aolduyghur\z:}', "");;
    Expect(0, 69552, '\p{Block=:\Aolduyghur\z:}', "");;
    Expect(1, 69551, '\p{Block:	 Old_UYGHUR}', "");
    Expect(0, 69551, '\p{^Block:	 Old_UYGHUR}', "");
    Expect(0, 69551, '\P{Block:	 Old_UYGHUR}', "");
    Expect(1, 69551, '\P{^Block:	 Old_UYGHUR}', "");
    Expect(0, 69552, '\p{Block:	 Old_UYGHUR}', "");
    Expect(1, 69552, '\p{^Block:	 Old_UYGHUR}', "");
    Expect(1, 69552, '\P{Block:	 Old_UYGHUR}', "");
    Expect(0, 69552, '\P{^Block:	 Old_UYGHUR}', "");
    Error('\p{Blk=	/a/old_UYGHUR}');
    Error('\P{Blk=	/a/old_UYGHUR}');
    Expect(1, 69551, '\p{Blk=:\AOld_Uyghur\z:}', "");;
    Expect(0, 69552, '\p{Blk=:\AOld_Uyghur\z:}', "");;
    Expect(1, 69551, '\p{Blk=olduyghur}', "");
    Expect(0, 69551, '\p{^Blk=olduyghur}', "");
    Expect(0, 69551, '\P{Blk=olduyghur}', "");
    Expect(1, 69551, '\P{^Blk=olduyghur}', "");
    Expect(0, 69552, '\p{Blk=olduyghur}', "");
    Expect(1, 69552, '\p{^Blk=olduyghur}', "");
    Expect(1, 69552, '\P{Blk=olduyghur}', "");
    Expect(0, 69552, '\P{^Blk=olduyghur}', "");
    Expect(1, 69551, '\p{Blk=:\Aolduyghur\z:}', "");;
    Expect(0, 69552, '\p{Blk=:\Aolduyghur\z:}', "");;
    Expect(1, 69551, '\p{Blk=__Old_uyghur}', "");
    Expect(0, 69551, '\p{^Blk=__Old_uyghur}', "");
    Expect(0, 69551, '\P{Blk=__Old_uyghur}', "");
    Expect(1, 69551, '\P{^Blk=__Old_uyghur}', "");
    Expect(0, 69552, '\p{Blk=__Old_uyghur}', "");
    Expect(1, 69552, '\p{^Blk=__Old_uyghur}', "");
    Expect(1, 69552, '\P{Blk=__Old_uyghur}', "");
    Expect(0, 69552, '\P{^Blk=__Old_uyghur}', "");
    Error('\p{Is_Block=	 Old_Uyghur:=}');
    Error('\P{Is_Block=	 Old_Uyghur:=}');
    Expect(1, 69551, '\p{Is_Block=olduyghur}', "");
    Expect(0, 69551, '\p{^Is_Block=olduyghur}', "");
    Expect(0, 69551, '\P{Is_Block=olduyghur}', "");
    Expect(1, 69551, '\P{^Is_Block=olduyghur}', "");
    Expect(0, 69552, '\p{Is_Block=olduyghur}', "");
    Expect(1, 69552, '\p{^Is_Block=olduyghur}', "");
    Expect(1, 69552, '\P{Is_Block=olduyghur}', "");
    Expect(0, 69552, '\P{^Is_Block=olduyghur}', "");
    Expect(1, 69551, '\p{Is_Block:	 _Old_Uyghur}', "");
    Expect(0, 69551, '\p{^Is_Block:	 _Old_Uyghur}', "");
    Expect(0, 69551, '\P{Is_Block:	 _Old_Uyghur}', "");
    Expect(1, 69551, '\P{^Is_Block:	 _Old_Uyghur}', "");
    Expect(0, 69552, '\p{Is_Block:	 _Old_Uyghur}', "");
    Expect(1, 69552, '\p{^Is_Block:	 _Old_Uyghur}', "");
    Expect(1, 69552, '\P{Is_Block:	 _Old_Uyghur}', "");
    Expect(0, 69552, '\P{^Is_Block:	 _Old_Uyghur}', "");
    Error('\p{Is_Blk= 	old_UYGHUR:=}');
    Error('\P{Is_Blk= 	old_UYGHUR:=}');
    Expect(1, 69551, '\p{Is_Blk=olduyghur}', "");
    Expect(0, 69551, '\p{^Is_Blk=olduyghur}', "");
    Expect(0, 69551, '\P{Is_Blk=olduyghur}', "");
    Expect(1, 69551, '\P{^Is_Blk=olduyghur}', "");
    Expect(0, 69552, '\p{Is_Blk=olduyghur}', "");
    Expect(1, 69552, '\p{^Is_Blk=olduyghur}', "");
    Expect(1, 69552, '\P{Is_Blk=olduyghur}', "");
    Expect(0, 69552, '\P{^Is_Blk=olduyghur}', "");
    Expect(1, 69551, '\p{Is_Blk=OLD_Uyghur}', "");
    Expect(0, 69551, '\p{^Is_Blk=OLD_Uyghur}', "");
    Expect(0, 69551, '\P{Is_Blk=OLD_Uyghur}', "");
    Expect(1, 69551, '\P{^Is_Blk=OLD_Uyghur}', "");
    Expect(0, 69552, '\p{Is_Blk=OLD_Uyghur}', "");
    Expect(1, 69552, '\p{^Is_Blk=OLD_Uyghur}', "");
    Expect(1, 69552, '\P{Is_Blk=OLD_Uyghur}', "");
    Expect(0, 69552, '\P{^Is_Blk=OLD_Uyghur}', "");
    Error('\p{Block=/a/ oriya}');
    Error('\P{Block=/a/ oriya}');
    Expect(1, 2943, '\p{Block=:\AOriya\z:}', "");;
    Expect(0, 2944, '\p{Block=:\AOriya\z:}', "");;
    Expect(1, 2943, '\p{Block=oriya}', "");
    Expect(0, 2943, '\p{^Block=oriya}', "");
    Expect(0, 2943, '\P{Block=oriya}', "");
    Expect(1, 2943, '\P{^Block=oriya}', "");
    Expect(0, 2944, '\p{Block=oriya}', "");
    Expect(1, 2944, '\p{^Block=oriya}', "");
    Expect(1, 2944, '\P{Block=oriya}', "");
    Expect(0, 2944, '\P{^Block=oriya}', "");
    Expect(1, 2943, '\p{Block=:\Aoriya\z:}', "");;
    Expect(0, 2944, '\p{Block=:\Aoriya\z:}', "");;
    Expect(1, 2943, '\p{Block: -Oriya}', "");
    Expect(0, 2943, '\p{^Block: -Oriya}', "");
    Expect(0, 2943, '\P{Block: -Oriya}', "");
    Expect(1, 2943, '\P{^Block: -Oriya}', "");
    Expect(0, 2944, '\p{Block: -Oriya}', "");
    Expect(1, 2944, '\p{^Block: -Oriya}', "");
    Expect(1, 2944, '\P{Block: -Oriya}', "");
    Expect(0, 2944, '\P{^Block: -Oriya}', "");
    Error('\p{Blk=	/a/Oriya}');
    Error('\P{Blk=	/a/Oriya}');
    Expect(1, 2943, '\p{Blk=:\AOriya\z:}', "");;
    Expect(0, 2944, '\p{Blk=:\AOriya\z:}', "");;
    Expect(1, 2943, '\p{Blk=oriya}', "");
    Expect(0, 2943, '\p{^Blk=oriya}', "");
    Expect(0, 2943, '\P{Blk=oriya}', "");
    Expect(1, 2943, '\P{^Blk=oriya}', "");
    Expect(0, 2944, '\p{Blk=oriya}', "");
    Expect(1, 2944, '\p{^Blk=oriya}', "");
    Expect(1, 2944, '\P{Blk=oriya}', "");
    Expect(0, 2944, '\P{^Blk=oriya}', "");
    Expect(1, 2943, '\p{Blk=:\Aoriya\z:}', "");;
    Expect(0, 2944, '\p{Blk=:\Aoriya\z:}', "");;
    Expect(1, 2943, '\p{Blk=		ORIYA}', "");
    Expect(0, 2943, '\p{^Blk=		ORIYA}', "");
    Expect(0, 2943, '\P{Blk=		ORIYA}', "");
    Expect(1, 2943, '\P{^Blk=		ORIYA}', "");
    Expect(0, 2944, '\p{Blk=		ORIYA}', "");
    Expect(1, 2944, '\p{^Blk=		ORIYA}', "");
    Expect(1, 2944, '\P{Blk=		ORIYA}', "");
    Expect(0, 2944, '\P{^Blk=		ORIYA}', "");
    Error('\p{Is_Block= /a/Oriya}');
    Error('\P{Is_Block= /a/Oriya}');
    Expect(1, 2943, '\p{Is_Block:oriya}', "");
    Expect(0, 2943, '\p{^Is_Block:oriya}', "");
    Expect(0, 2943, '\P{Is_Block:oriya}', "");
    Expect(1, 2943, '\P{^Is_Block:oriya}', "");
    Expect(0, 2944, '\p{Is_Block:oriya}', "");
    Expect(1, 2944, '\p{^Is_Block:oriya}', "");
    Expect(1, 2944, '\P{Is_Block:oriya}', "");
    Expect(0, 2944, '\P{^Is_Block:oriya}', "");
    Expect(1, 2943, '\p{Is_Block=--Oriya}', "");
    Expect(0, 2943, '\p{^Is_Block=--Oriya}', "");
    Expect(0, 2943, '\P{Is_Block=--Oriya}', "");
    Expect(1, 2943, '\P{^Is_Block=--Oriya}', "");
    Expect(0, 2944, '\p{Is_Block=--Oriya}', "");
    Expect(1, 2944, '\p{^Is_Block=--Oriya}', "");
    Expect(1, 2944, '\P{Is_Block=--Oriya}', "");
    Expect(0, 2944, '\P{^Is_Block=--Oriya}', "");
    Error('\p{Is_Blk=-:=ORIYA}');
    Error('\P{Is_Blk=-:=ORIYA}');
    Expect(1, 2943, '\p{Is_Blk=oriya}', "");
    Expect(0, 2943, '\p{^Is_Blk=oriya}', "");
    Expect(0, 2943, '\P{Is_Blk=oriya}', "");
    Expect(1, 2943, '\P{^Is_Blk=oriya}', "");
    Expect(0, 2944, '\p{Is_Blk=oriya}', "");
    Expect(1, 2944, '\p{^Is_Blk=oriya}', "");
    Expect(1, 2944, '\P{Is_Blk=oriya}', "");
    Expect(0, 2944, '\P{^Is_Blk=oriya}', "");
    Expect(1, 2943, '\p{Is_Blk= _oriya}', "");
    Expect(0, 2943, '\p{^Is_Blk= _oriya}', "");
    Expect(0, 2943, '\P{Is_Blk= _oriya}', "");
    Expect(1, 2943, '\P{^Is_Blk= _oriya}', "");
    Expect(0, 2944, '\p{Is_Blk= _oriya}', "");
    Expect(1, 2944, '\p{^Is_Blk= _oriya}', "");
    Expect(1, 2944, '\P{Is_Blk= _oriya}', "");
    Expect(0, 2944, '\P{^Is_Blk= _oriya}', "");
    Error('\p{Block=_Ornamental_Dingbats:=}');
    Error('\P{Block=_Ornamental_Dingbats:=}');
    Expect(1, 128639, '\p{Block=:\AOrnamental_Dingbats\z:}', "");;
    Expect(0, 128640, '\p{Block=:\AOrnamental_Dingbats\z:}', "");;
    Expect(1, 128639, '\p{Block=ornamentaldingbats}', "");
    Expect(0, 128639, '\p{^Block=ornamentaldingbats}', "");
    Expect(0, 128639, '\P{Block=ornamentaldingbats}', "");
    Expect(1, 128639, '\P{^Block=ornamentaldingbats}', "");
    Expect(0, 128640, '\p{Block=ornamentaldingbats}', "");
    Expect(1, 128640, '\p{^Block=ornamentaldingbats}', "");
    Expect(1, 128640, '\P{Block=ornamentaldingbats}', "");
    Expect(0, 128640, '\P{^Block=ornamentaldingbats}', "");
    Expect(1, 128639, '\p{Block=:\Aornamentaldingbats\z:}', "");;
    Expect(0, 128640, '\p{Block=:\Aornamentaldingbats\z:}', "");;
    Expect(1, 128639, '\p{Block= _Ornamental_dingbats}', "");
    Expect(0, 128639, '\p{^Block= _Ornamental_dingbats}', "");
    Expect(0, 128639, '\P{Block= _Ornamental_dingbats}', "");
    Expect(1, 128639, '\P{^Block= _Ornamental_dingbats}', "");
    Expect(0, 128640, '\p{Block= _Ornamental_dingbats}', "");
    Expect(1, 128640, '\p{^Block= _Ornamental_dingbats}', "");
    Expect(1, 128640, '\P{Block= _Ornamental_dingbats}', "");
    Expect(0, 128640, '\P{^Block= _Ornamental_dingbats}', "");
    Error('\p{Blk=Ornamental_DINGBATS:=}');
    Error('\P{Blk=Ornamental_DINGBATS:=}');
    Expect(1, 128639, '\p{Blk=:\AOrnamental_Dingbats\z:}', "");;
    Expect(0, 128640, '\p{Blk=:\AOrnamental_Dingbats\z:}', "");;
    Expect(1, 128639, '\p{Blk=ornamentaldingbats}', "");
    Expect(0, 128639, '\p{^Blk=ornamentaldingbats}', "");
    Expect(0, 128639, '\P{Blk=ornamentaldingbats}', "");
    Expect(1, 128639, '\P{^Blk=ornamentaldingbats}', "");
    Expect(0, 128640, '\p{Blk=ornamentaldingbats}', "");
    Expect(1, 128640, '\p{^Blk=ornamentaldingbats}', "");
    Expect(1, 128640, '\P{Blk=ornamentaldingbats}', "");
    Expect(0, 128640, '\P{^Blk=ornamentaldingbats}', "");
    Expect(1, 128639, '\p{Blk=:\Aornamentaldingbats\z:}', "");;
    Expect(0, 128640, '\p{Blk=:\Aornamentaldingbats\z:}', "");;
    Expect(1, 128639, '\p{Blk=	_Ornamental_DINGBATS}', "");
    Expect(0, 128639, '\p{^Blk=	_Ornamental_DINGBATS}', "");
    Expect(0, 128639, '\P{Blk=	_Ornamental_DINGBATS}', "");
    Expect(1, 128639, '\P{^Blk=	_Ornamental_DINGBATS}', "");
    Expect(0, 128640, '\p{Blk=	_Ornamental_DINGBATS}', "");
    Expect(1, 128640, '\p{^Blk=	_Ornamental_DINGBATS}', "");
    Expect(1, 128640, '\P{Blk=	_Ornamental_DINGBATS}', "");
    Expect(0, 128640, '\P{^Blk=	_Ornamental_DINGBATS}', "");
    Error('\p{Is_Block=_:=ornamental_dingbats}');
    Error('\P{Is_Block=_:=ornamental_dingbats}');
    Expect(1, 128639, '\p{Is_Block=ornamentaldingbats}', "");
    Expect(0, 128639, '\p{^Is_Block=ornamentaldingbats}', "");
    Expect(0, 128639, '\P{Is_Block=ornamentaldingbats}', "");
    Expect(1, 128639, '\P{^Is_Block=ornamentaldingbats}', "");
    Expect(0, 128640, '\p{Is_Block=ornamentaldingbats}', "");
    Expect(1, 128640, '\p{^Is_Block=ornamentaldingbats}', "");
    Expect(1, 128640, '\P{Is_Block=ornamentaldingbats}', "");
    Expect(0, 128640, '\P{^Is_Block=ornamentaldingbats}', "");
    Expect(1, 128639, '\p{Is_Block=__ornamental_Dingbats}', "");
    Expect(0, 128639, '\p{^Is_Block=__ornamental_Dingbats}', "");
    Expect(0, 128639, '\P{Is_Block=__ornamental_Dingbats}', "");
    Expect(1, 128639, '\P{^Is_Block=__ornamental_Dingbats}', "");
    Expect(0, 128640, '\p{Is_Block=__ornamental_Dingbats}', "");
    Expect(1, 128640, '\p{^Is_Block=__ornamental_Dingbats}', "");
    Expect(1, 128640, '\P{Is_Block=__ornamental_Dingbats}', "");
    Expect(0, 128640, '\P{^Is_Block=__ornamental_Dingbats}', "");
    Error('\p{Is_Blk=/a/- Ornamental_dingbats}');
    Error('\P{Is_Blk=/a/- Ornamental_dingbats}');
    Expect(1, 128639, '\p{Is_Blk=ornamentaldingbats}', "");
    Expect(0, 128639, '\p{^Is_Blk=ornamentaldingbats}', "");
    Expect(0, 128639, '\P{Is_Blk=ornamentaldingbats}', "");
    Expect(1, 128639, '\P{^Is_Blk=ornamentaldingbats}', "");
    Expect(0, 128640, '\p{Is_Blk=ornamentaldingbats}', "");
    Expect(1, 128640, '\p{^Is_Blk=ornamentaldingbats}', "");
    Expect(1, 128640, '\P{Is_Blk=ornamentaldingbats}', "");
    Expect(0, 128640, '\P{^Is_Blk=ornamentaldingbats}', "");
    Expect(1, 128639, '\p{Is_Blk=		Ornamental_DINGBATS}', "");
    Expect(0, 128639, '\p{^Is_Blk=		Ornamental_DINGBATS}', "");
    Expect(0, 128639, '\P{Is_Blk=		Ornamental_DINGBATS}', "");
    Expect(1, 128639, '\P{^Is_Blk=		Ornamental_DINGBATS}', "");
    Expect(0, 128640, '\p{Is_Blk=		Ornamental_DINGBATS}', "");
    Expect(1, 128640, '\p{^Is_Blk=		Ornamental_DINGBATS}', "");
    Expect(1, 128640, '\P{Is_Blk=		Ornamental_DINGBATS}', "");
    Expect(0, 128640, '\P{^Is_Blk=		Ornamental_DINGBATS}', "");
    Error('\p{Block=_:=Osage}');
    Error('\P{Block=_:=Osage}');
    Expect(1, 66815, '\p{Block=:\AOsage\z:}', "");;
    Expect(0, 66816, '\p{Block=:\AOsage\z:}', "");;
    Expect(1, 66815, '\p{Block=osage}', "");
    Expect(0, 66815, '\p{^Block=osage}', "");
    Expect(0, 66815, '\P{Block=osage}', "");
    Expect(1, 66815, '\P{^Block=osage}', "");
    Expect(0, 66816, '\p{Block=osage}', "");
    Expect(1, 66816, '\p{^Block=osage}', "");
    Expect(1, 66816, '\P{Block=osage}', "");
    Expect(0, 66816, '\P{^Block=osage}', "");
    Expect(1, 66815, '\p{Block=:\Aosage\z:}', "");;
    Expect(0, 66816, '\p{Block=:\Aosage\z:}', "");;
    Expect(1, 66815, '\p{Block=	_Osage}', "");
    Expect(0, 66815, '\p{^Block=	_Osage}', "");
    Expect(0, 66815, '\P{Block=	_Osage}', "");
    Expect(1, 66815, '\P{^Block=	_Osage}', "");
    Expect(0, 66816, '\p{Block=	_Osage}', "");
    Expect(1, 66816, '\p{^Block=	_Osage}', "");
    Expect(1, 66816, '\P{Block=	_Osage}', "");
    Expect(0, 66816, '\P{^Block=	_Osage}', "");
    Error('\p{Blk=/a/	-Osage}');
    Error('\P{Blk=/a/	-Osage}');
    Expect(1, 66815, '\p{Blk=:\AOsage\z:}', "");;
    Expect(0, 66816, '\p{Blk=:\AOsage\z:}', "");;
    Expect(1, 66815, '\p{Blk=osage}', "");
    Expect(0, 66815, '\p{^Blk=osage}', "");
    Expect(0, 66815, '\P{Blk=osage}', "");
    Expect(1, 66815, '\P{^Blk=osage}', "");
    Expect(0, 66816, '\p{Blk=osage}', "");
    Expect(1, 66816, '\p{^Blk=osage}', "");
    Expect(1, 66816, '\P{Blk=osage}', "");
    Expect(0, 66816, '\P{^Blk=osage}', "");
    Expect(1, 66815, '\p{Blk=:\Aosage\z:}', "");;
    Expect(0, 66816, '\p{Blk=:\Aosage\z:}', "");;
    Expect(1, 66815, '\p{Blk=	Osage}', "");
    Expect(0, 66815, '\p{^Blk=	Osage}', "");
    Expect(0, 66815, '\P{Blk=	Osage}', "");
    Expect(1, 66815, '\P{^Blk=	Osage}', "");
    Expect(0, 66816, '\p{Blk=	Osage}', "");
    Expect(1, 66816, '\p{^Blk=	Osage}', "");
    Expect(1, 66816, '\P{Blk=	Osage}', "");
    Expect(0, 66816, '\P{^Blk=	Osage}', "");
    Error('\p{Is_Block: := 	osage}');
    Error('\P{Is_Block: := 	osage}');
    Expect(1, 66815, '\p{Is_Block=osage}', "");
    Expect(0, 66815, '\p{^Is_Block=osage}', "");
    Expect(0, 66815, '\P{Is_Block=osage}', "");
    Expect(1, 66815, '\P{^Is_Block=osage}', "");
    Expect(0, 66816, '\p{Is_Block=osage}', "");
    Expect(1, 66816, '\p{^Is_Block=osage}', "");
    Expect(1, 66816, '\P{Is_Block=osage}', "");
    Expect(0, 66816, '\P{^Is_Block=osage}', "");
    Expect(1, 66815, '\p{Is_Block=	 Osage}', "");
    Expect(0, 66815, '\p{^Is_Block=	 Osage}', "");
    Expect(0, 66815, '\P{Is_Block=	 Osage}', "");
    Expect(1, 66815, '\P{^Is_Block=	 Osage}', "");
    Expect(0, 66816, '\p{Is_Block=	 Osage}', "");
    Expect(1, 66816, '\p{^Is_Block=	 Osage}', "");
    Expect(1, 66816, '\P{Is_Block=	 Osage}', "");
    Expect(0, 66816, '\P{^Is_Block=	 Osage}', "");
    Error('\p{Is_Blk=-:=Osage}');
    Error('\P{Is_Blk=-:=Osage}');
    Expect(1, 66815, '\p{Is_Blk=osage}', "");
    Expect(0, 66815, '\p{^Is_Blk=osage}', "");
    Expect(0, 66815, '\P{Is_Blk=osage}', "");
    Expect(1, 66815, '\P{^Is_Blk=osage}', "");
    Expect(0, 66816, '\p{Is_Blk=osage}', "");
    Expect(1, 66816, '\p{^Is_Blk=osage}', "");
    Expect(1, 66816, '\P{Is_Blk=osage}', "");
    Expect(0, 66816, '\P{^Is_Blk=osage}', "");
    Expect(1, 66815, '\p{Is_Blk=- OSAGE}', "");
    Expect(0, 66815, '\p{^Is_Blk=- OSAGE}', "");
    Expect(0, 66815, '\P{Is_Blk=- OSAGE}', "");
    Expect(1, 66815, '\P{^Is_Blk=- OSAGE}', "");
    Expect(0, 66816, '\p{Is_Blk=- OSAGE}', "");
    Expect(1, 66816, '\p{^Is_Blk=- OSAGE}', "");
    Expect(1, 66816, '\P{Is_Blk=- OSAGE}', "");
    Expect(0, 66816, '\P{^Is_Blk=- OSAGE}', "");
    Error('\p{Block= Osmanya:=}');
    Error('\P{Block= Osmanya:=}');
    Expect(1, 66735, '\p{Block=:\AOsmanya\z:}', "");;
    Expect(0, 66736, '\p{Block=:\AOsmanya\z:}', "");;
    Expect(1, 66735, '\p{Block=osmanya}', "");
    Expect(0, 66735, '\p{^Block=osmanya}', "");
    Expect(0, 66735, '\P{Block=osmanya}', "");
    Expect(1, 66735, '\P{^Block=osmanya}', "");
    Expect(0, 66736, '\p{Block=osmanya}', "");
    Expect(1, 66736, '\p{^Block=osmanya}', "");
    Expect(1, 66736, '\P{Block=osmanya}', "");
    Expect(0, 66736, '\P{^Block=osmanya}', "");
    Expect(1, 66735, '\p{Block=:\Aosmanya\z:}', "");;
    Expect(0, 66736, '\p{Block=:\Aosmanya\z:}', "");;
    Expect(1, 66735, '\p{Block=-_osmanya}', "");
    Expect(0, 66735, '\p{^Block=-_osmanya}', "");
    Expect(0, 66735, '\P{Block=-_osmanya}', "");
    Expect(1, 66735, '\P{^Block=-_osmanya}', "");
    Expect(0, 66736, '\p{Block=-_osmanya}', "");
    Expect(1, 66736, '\p{^Block=-_osmanya}', "");
    Expect(1, 66736, '\P{Block=-_osmanya}', "");
    Expect(0, 66736, '\P{^Block=-_osmanya}', "");
    Error('\p{Blk=-:=Osmanya}');
    Error('\P{Blk=-:=Osmanya}');
    Expect(1, 66735, '\p{Blk=:\AOsmanya\z:}', "");;
    Expect(0, 66736, '\p{Blk=:\AOsmanya\z:}', "");;
    Expect(1, 66735, '\p{Blk=osmanya}', "");
    Expect(0, 66735, '\p{^Blk=osmanya}', "");
    Expect(0, 66735, '\P{Blk=osmanya}', "");
    Expect(1, 66735, '\P{^Blk=osmanya}', "");
    Expect(0, 66736, '\p{Blk=osmanya}', "");
    Expect(1, 66736, '\p{^Blk=osmanya}', "");
    Expect(1, 66736, '\P{Blk=osmanya}', "");
    Expect(0, 66736, '\P{^Blk=osmanya}', "");
    Expect(1, 66735, '\p{Blk=:\Aosmanya\z:}', "");;
    Expect(0, 66736, '\p{Blk=:\Aosmanya\z:}', "");;
    Expect(1, 66735, '\p{Blk=_osmanya}', "");
    Expect(0, 66735, '\p{^Blk=_osmanya}', "");
    Expect(0, 66735, '\P{Blk=_osmanya}', "");
    Expect(1, 66735, '\P{^Blk=_osmanya}', "");
    Expect(0, 66736, '\p{Blk=_osmanya}', "");
    Expect(1, 66736, '\p{^Blk=_osmanya}', "");
    Expect(1, 66736, '\P{Blk=_osmanya}', "");
    Expect(0, 66736, '\P{^Blk=_osmanya}', "");
    Error('\p{Is_Block= -Osmanya:=}');
    Error('\P{Is_Block= -Osmanya:=}');
    Expect(1, 66735, '\p{Is_Block=osmanya}', "");
    Expect(0, 66735, '\p{^Is_Block=osmanya}', "");
    Expect(0, 66735, '\P{Is_Block=osmanya}', "");
    Expect(1, 66735, '\P{^Is_Block=osmanya}', "");
    Expect(0, 66736, '\p{Is_Block=osmanya}', "");
    Expect(1, 66736, '\p{^Is_Block=osmanya}', "");
    Expect(1, 66736, '\P{Is_Block=osmanya}', "");
    Expect(0, 66736, '\P{^Is_Block=osmanya}', "");
    Expect(1, 66735, '\p{Is_Block=	Osmanya}', "");
    Expect(0, 66735, '\p{^Is_Block=	Osmanya}', "");
    Expect(0, 66735, '\P{Is_Block=	Osmanya}', "");
    Expect(1, 66735, '\P{^Is_Block=	Osmanya}', "");
    Expect(0, 66736, '\p{Is_Block=	Osmanya}', "");
    Expect(1, 66736, '\p{^Is_Block=	Osmanya}', "");
    Expect(1, 66736, '\P{Is_Block=	Osmanya}', "");
    Expect(0, 66736, '\P{^Is_Block=	Osmanya}', "");
    Error('\p{Is_Blk:	 OSMANYA:=}');
    Error('\P{Is_Blk:	 OSMANYA:=}');
    Expect(1, 66735, '\p{Is_Blk=osmanya}', "");
    Expect(0, 66735, '\p{^Is_Blk=osmanya}', "");
    Expect(0, 66735, '\P{Is_Blk=osmanya}', "");
    Expect(1, 66735, '\P{^Is_Blk=osmanya}', "");
    Expect(0, 66736, '\p{Is_Blk=osmanya}', "");
    Expect(1, 66736, '\p{^Is_Blk=osmanya}', "");
    Expect(1, 66736, '\P{Is_Blk=osmanya}', "");
    Expect(0, 66736, '\P{^Is_Blk=osmanya}', "");
    Expect(1, 66735, '\p{Is_Blk= -Osmanya}', "");
    Expect(0, 66735, '\p{^Is_Blk= -Osmanya}', "");
    Expect(0, 66735, '\P{Is_Blk= -Osmanya}', "");
    Expect(1, 66735, '\P{^Is_Blk= -Osmanya}', "");
    Expect(0, 66736, '\p{Is_Blk= -Osmanya}', "");
    Expect(1, 66736, '\p{^Is_Blk= -Osmanya}', "");
    Expect(1, 66736, '\P{Is_Blk= -Osmanya}', "");
    Expect(0, 66736, '\P{^Is_Blk= -Osmanya}', "");
    Error('\p{Block=_ Ottoman_siyaq_NUMBERS/a/}');
    Error('\P{Block=_ Ottoman_siyaq_NUMBERS/a/}');
    Expect(1, 126287, '\p{Block=:\AOttoman_Siyaq_Numbers\z:}', "");;
    Expect(0, 126288, '\p{Block=:\AOttoman_Siyaq_Numbers\z:}', "");;
    Expect(1, 126287, '\p{Block=ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\p{^Block=ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\P{Block=ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\P{^Block=ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\p{Block=ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\p{^Block=ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\P{Block=ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\P{^Block=ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\p{Block=:\Aottomansiyaqnumbers\z:}', "");;
    Expect(0, 126288, '\p{Block=:\Aottomansiyaqnumbers\z:}', "");;
    Expect(1, 126287, '\p{Block=		ottoman_Siyaq_Numbers}', "");
    Expect(0, 126287, '\p{^Block=		ottoman_Siyaq_Numbers}', "");
    Expect(0, 126287, '\P{Block=		ottoman_Siyaq_Numbers}', "");
    Expect(1, 126287, '\P{^Block=		ottoman_Siyaq_Numbers}', "");
    Expect(0, 126288, '\p{Block=		ottoman_Siyaq_Numbers}', "");
    Expect(1, 126288, '\p{^Block=		ottoman_Siyaq_Numbers}', "");
    Expect(1, 126288, '\P{Block=		ottoman_Siyaq_Numbers}', "");
    Expect(0, 126288, '\P{^Block=		ottoman_Siyaq_Numbers}', "");
    Error('\p{Blk=:=  OTTOMAN_Siyaq_NUMBERS}');
    Error('\P{Blk=:=  OTTOMAN_Siyaq_NUMBERS}');
    Expect(1, 126287, '\p{Blk=:\AOttoman_Siyaq_Numbers\z:}', "");;
    Expect(0, 126288, '\p{Blk=:\AOttoman_Siyaq_Numbers\z:}', "");;
    Expect(1, 126287, '\p{Blk:	ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\p{^Blk:	ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\P{Blk:	ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\P{^Blk:	ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\p{Blk:	ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\p{^Blk:	ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\P{Blk:	ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\P{^Blk:	ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\p{Blk=:\Aottomansiyaqnumbers\z:}', "");;
    Expect(0, 126288, '\p{Blk=:\Aottomansiyaqnumbers\z:}', "");;
    Expect(1, 126287, '\p{Blk=ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126287, '\p{^Blk=ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126287, '\P{Blk=ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126287, '\P{^Blk=ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126288, '\p{Blk=ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126288, '\p{^Blk=ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126288, '\P{Blk=ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126288, '\P{^Blk=ottoman_Siyaq_NUMBERS}', "");
    Error('\p{Is_Block: :=_ottoman_siyaq_numbers}');
    Error('\P{Is_Block: :=_ottoman_siyaq_numbers}');
    Expect(1, 126287, '\p{Is_Block=ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\p{^Is_Block=ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\P{Is_Block=ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\P{^Is_Block=ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\p{Is_Block=ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\p{^Is_Block=ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\P{Is_Block=ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\P{^Is_Block=ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\p{Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Expect(0, 126287, '\p{^Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Expect(0, 126287, '\P{Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Expect(1, 126287, '\P{^Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Expect(0, 126288, '\p{Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Expect(1, 126288, '\p{^Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Expect(1, 126288, '\P{Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Expect(0, 126288, '\P{^Is_Block=__Ottoman_siyaq_NUMBERS}', "");
    Error('\p{Is_Blk=- Ottoman_Siyaq_numbers/a/}');
    Error('\P{Is_Blk=- Ottoman_Siyaq_numbers/a/}');
    Expect(1, 126287, '\p{Is_Blk=ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\p{^Is_Blk=ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\P{Is_Blk=ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\P{^Is_Blk=ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\p{Is_Blk=ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\p{^Is_Blk=ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\P{Is_Blk=ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\P{^Is_Blk=ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\p{Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126287, '\p{^Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126287, '\P{Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126287, '\P{^Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126288, '\p{Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126288, '\p{^Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126288, '\P{Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126288, '\P{^Is_Blk: _Ottoman_Siyaq_NUMBERS}', "");
    Error('\p{Block=:=_Pahawh_HMONG}');
    Error('\P{Block=:=_Pahawh_HMONG}');
    Expect(1, 93071, '\p{Block=:\APahawh_Hmong\z:}', "");;
    Expect(0, 93072, '\p{Block=:\APahawh_Hmong\z:}', "");;
    Expect(1, 93071, '\p{Block=pahawhhmong}', "");
    Expect(0, 93071, '\p{^Block=pahawhhmong}', "");
    Expect(0, 93071, '\P{Block=pahawhhmong}', "");
    Expect(1, 93071, '\P{^Block=pahawhhmong}', "");
    Expect(0, 93072, '\p{Block=pahawhhmong}', "");
    Expect(1, 93072, '\p{^Block=pahawhhmong}', "");
    Expect(1, 93072, '\P{Block=pahawhhmong}', "");
    Expect(0, 93072, '\P{^Block=pahawhhmong}', "");
    Expect(1, 93071, '\p{Block=:\Apahawhhmong\z:}', "");;
    Expect(0, 93072, '\p{Block=:\Apahawhhmong\z:}', "");;
    Expect(1, 93071, '\p{Block=_-Pahawh_HMONG}', "");
    Expect(0, 93071, '\p{^Block=_-Pahawh_HMONG}', "");
    Expect(0, 93071, '\P{Block=_-Pahawh_HMONG}', "");
    Expect(1, 93071, '\P{^Block=_-Pahawh_HMONG}', "");
    Expect(0, 93072, '\p{Block=_-Pahawh_HMONG}', "");
    Expect(1, 93072, '\p{^Block=_-Pahawh_HMONG}', "");
    Expect(1, 93072, '\P{Block=_-Pahawh_HMONG}', "");
    Expect(0, 93072, '\P{^Block=_-Pahawh_HMONG}', "");
    Error('\p{Blk=/a/	pahawh_HMONG}');
    Error('\P{Blk=/a/	pahawh_HMONG}');
    Expect(1, 93071, '\p{Blk=:\APahawh_Hmong\z:}', "");;
    Expect(0, 93072, '\p{Blk=:\APahawh_Hmong\z:}', "");;
    Expect(1, 93071, '\p{Blk:   pahawhhmong}', "");
    Expect(0, 93071, '\p{^Blk:   pahawhhmong}', "");
    Expect(0, 93071, '\P{Blk:   pahawhhmong}', "");
    Expect(1, 93071, '\P{^Blk:   pahawhhmong}', "");
    Expect(0, 93072, '\p{Blk:   pahawhhmong}', "");
    Expect(1, 93072, '\p{^Blk:   pahawhhmong}', "");
    Expect(1, 93072, '\P{Blk:   pahawhhmong}', "");
    Expect(0, 93072, '\P{^Blk:   pahawhhmong}', "");
    Expect(1, 93071, '\p{Blk=:\Apahawhhmong\z:}', "");;
    Expect(0, 93072, '\p{Blk=:\Apahawhhmong\z:}', "");;
    Expect(1, 93071, '\p{Blk=- Pahawh_HMONG}', "");
    Expect(0, 93071, '\p{^Blk=- Pahawh_HMONG}', "");
    Expect(0, 93071, '\P{Blk=- Pahawh_HMONG}', "");
    Expect(1, 93071, '\P{^Blk=- Pahawh_HMONG}', "");
    Expect(0, 93072, '\p{Blk=- Pahawh_HMONG}', "");
    Expect(1, 93072, '\p{^Blk=- Pahawh_HMONG}', "");
    Expect(1, 93072, '\P{Blk=- Pahawh_HMONG}', "");
    Expect(0, 93072, '\P{^Blk=- Pahawh_HMONG}', "");
    Error('\p{Is_Block=:=_	pahawh_Hmong}');
    Error('\P{Is_Block=:=_	pahawh_Hmong}');
    Expect(1, 93071, '\p{Is_Block=pahawhhmong}', "");
    Expect(0, 93071, '\p{^Is_Block=pahawhhmong}', "");
    Expect(0, 93071, '\P{Is_Block=pahawhhmong}', "");
    Expect(1, 93071, '\P{^Is_Block=pahawhhmong}', "");
    Expect(0, 93072, '\p{Is_Block=pahawhhmong}', "");
    Expect(1, 93072, '\p{^Is_Block=pahawhhmong}', "");
    Expect(1, 93072, '\P{Is_Block=pahawhhmong}', "");
    Expect(0, 93072, '\P{^Is_Block=pahawhhmong}', "");
    Expect(1, 93071, '\p{Is_Block= _Pahawh_HMONG}', "");
    Expect(0, 93071, '\p{^Is_Block= _Pahawh_HMONG}', "");
    Expect(0, 93071, '\P{Is_Block= _Pahawh_HMONG}', "");
    Expect(1, 93071, '\P{^Is_Block= _Pahawh_HMONG}', "");
    Expect(0, 93072, '\p{Is_Block= _Pahawh_HMONG}', "");
    Expect(1, 93072, '\p{^Is_Block= _Pahawh_HMONG}', "");
    Expect(1, 93072, '\P{Is_Block= _Pahawh_HMONG}', "");
    Expect(0, 93072, '\P{^Is_Block= _Pahawh_HMONG}', "");
    Error('\p{Is_Blk=:=_ Pahawh_Hmong}');
    Error('\P{Is_Blk=:=_ Pahawh_Hmong}');
    Expect(1, 93071, '\p{Is_Blk=pahawhhmong}', "");
    Expect(0, 93071, '\p{^Is_Blk=pahawhhmong}', "");
    Expect(0, 93071, '\P{Is_Blk=pahawhhmong}', "");
    Expect(1, 93071, '\P{^Is_Blk=pahawhhmong}', "");
    Expect(0, 93072, '\p{Is_Blk=pahawhhmong}', "");
    Expect(1, 93072, '\p{^Is_Blk=pahawhhmong}', "");
    Expect(1, 93072, '\P{Is_Blk=pahawhhmong}', "");
    Expect(0, 93072, '\P{^Is_Blk=pahawhhmong}', "");
    Expect(1, 93071, '\p{Is_Blk=-_pahawh_HMONG}', "");
    Expect(0, 93071, '\p{^Is_Blk=-_pahawh_HMONG}', "");
    Expect(0, 93071, '\P{Is_Blk=-_pahawh_HMONG}', "");
    Expect(1, 93071, '\P{^Is_Blk=-_pahawh_HMONG}', "");
    Expect(0, 93072, '\p{Is_Blk=-_pahawh_HMONG}', "");
    Expect(1, 93072, '\p{^Is_Blk=-_pahawh_HMONG}', "");
    Expect(1, 93072, '\P{Is_Blk=-_pahawh_HMONG}', "");
    Expect(0, 93072, '\P{^Is_Blk=-_pahawh_HMONG}', "");
    Error('\p{Block=/a/Palmyrene}');
    Error('\P{Block=/a/Palmyrene}');
    Expect(1, 67711, '\p{Block=:\APalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Block=:\APalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Block=palmyrene}', "");
    Expect(0, 67711, '\p{^Block=palmyrene}', "");
    Expect(0, 67711, '\P{Block=palmyrene}', "");
    Expect(1, 67711, '\P{^Block=palmyrene}', "");
    Expect(0, 67712, '\p{Block=palmyrene}', "");
    Expect(1, 67712, '\p{^Block=palmyrene}', "");
    Expect(1, 67712, '\P{Block=palmyrene}', "");
    Expect(0, 67712, '\P{^Block=palmyrene}', "");
    Expect(1, 67711, '\p{Block=:\Apalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Block=:\Apalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Block=_Palmyrene}', "");
    Expect(0, 67711, '\p{^Block=_Palmyrene}', "");
    Expect(0, 67711, '\P{Block=_Palmyrene}', "");
    Expect(1, 67711, '\P{^Block=_Palmyrene}', "");
    Expect(0, 67712, '\p{Block=_Palmyrene}', "");
    Expect(1, 67712, '\p{^Block=_Palmyrene}', "");
    Expect(1, 67712, '\P{Block=_Palmyrene}', "");
    Expect(0, 67712, '\P{^Block=_Palmyrene}', "");
    Error('\p{Blk=/a/Palmyrene}');
    Error('\P{Blk=/a/Palmyrene}');
    Expect(1, 67711, '\p{Blk=:\APalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Blk=:\APalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Blk=palmyrene}', "");
    Expect(0, 67711, '\p{^Blk=palmyrene}', "");
    Expect(0, 67711, '\P{Blk=palmyrene}', "");
    Expect(1, 67711, '\P{^Blk=palmyrene}', "");
    Expect(0, 67712, '\p{Blk=palmyrene}', "");
    Expect(1, 67712, '\p{^Blk=palmyrene}', "");
    Expect(1, 67712, '\P{Blk=palmyrene}', "");
    Expect(0, 67712, '\P{^Blk=palmyrene}', "");
    Expect(1, 67711, '\p{Blk=:\Apalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Blk=:\Apalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Blk=--Palmyrene}', "");
    Expect(0, 67711, '\p{^Blk=--Palmyrene}', "");
    Expect(0, 67711, '\P{Blk=--Palmyrene}', "");
    Expect(1, 67711, '\P{^Blk=--Palmyrene}', "");
    Expect(0, 67712, '\p{Blk=--Palmyrene}', "");
    Expect(1, 67712, '\p{^Blk=--Palmyrene}', "");
    Expect(1, 67712, '\P{Blk=--Palmyrene}', "");
    Expect(0, 67712, '\P{^Blk=--Palmyrene}', "");
    Error('\p{Is_Block=	 Palmyrene/a/}');
    Error('\P{Is_Block=	 Palmyrene/a/}');
    Expect(1, 67711, '\p{Is_Block=palmyrene}', "");
    Expect(0, 67711, '\p{^Is_Block=palmyrene}', "");
    Expect(0, 67711, '\P{Is_Block=palmyrene}', "");
    Expect(1, 67711, '\P{^Is_Block=palmyrene}', "");
    Expect(0, 67712, '\p{Is_Block=palmyrene}', "");
    Expect(1, 67712, '\p{^Is_Block=palmyrene}', "");
    Expect(1, 67712, '\P{Is_Block=palmyrene}', "");
    Expect(0, 67712, '\P{^Is_Block=palmyrene}', "");
    Expect(1, 67711, '\p{Is_Block= -PALMYRENE}', "");
    Expect(0, 67711, '\p{^Is_Block= -PALMYRENE}', "");
    Expect(0, 67711, '\P{Is_Block= -PALMYRENE}', "");
    Expect(1, 67711, '\P{^Is_Block= -PALMYRENE}', "");
    Expect(0, 67712, '\p{Is_Block= -PALMYRENE}', "");
    Expect(1, 67712, '\p{^Is_Block= -PALMYRENE}', "");
    Expect(1, 67712, '\P{Is_Block= -PALMYRENE}', "");
    Expect(0, 67712, '\P{^Is_Block= -PALMYRENE}', "");
    Error('\p{Is_Blk=:=_	palmyrene}');
    Error('\P{Is_Blk=:=_	palmyrene}');
    Expect(1, 67711, '\p{Is_Blk:palmyrene}', "");
    Expect(0, 67711, '\p{^Is_Blk:palmyrene}', "");
    Expect(0, 67711, '\P{Is_Blk:palmyrene}', "");
    Expect(1, 67711, '\P{^Is_Blk:palmyrene}', "");
    Expect(0, 67712, '\p{Is_Blk:palmyrene}', "");
    Expect(1, 67712, '\p{^Is_Blk:palmyrene}', "");
    Expect(1, 67712, '\P{Is_Blk:palmyrene}', "");
    Expect(0, 67712, '\P{^Is_Blk:palmyrene}', "");
    Expect(1, 67711, '\p{Is_Blk=-	Palmyrene}', "");
    Expect(0, 67711, '\p{^Is_Blk=-	Palmyrene}', "");
    Expect(0, 67711, '\P{Is_Blk=-	Palmyrene}', "");
    Expect(1, 67711, '\P{^Is_Blk=-	Palmyrene}', "");
    Expect(0, 67712, '\p{Is_Blk=-	Palmyrene}', "");
    Expect(1, 67712, '\p{^Is_Blk=-	Palmyrene}', "");
    Expect(1, 67712, '\P{Is_Blk=-	Palmyrene}', "");
    Expect(0, 67712, '\P{^Is_Blk=-	Palmyrene}', "");
    Error('\p{Block=-PAU_CIN_Hau:=}');
    Error('\P{Block=-PAU_CIN_Hau:=}');
    Expect(1, 72447, '\p{Block=:\APau_Cin_Hau\z:}', "");;
    Expect(0, 72448, '\p{Block=:\APau_Cin_Hau\z:}', "");;
    Expect(1, 72447, '\p{Block=paucinhau}', "");
    Expect(0, 72447, '\p{^Block=paucinhau}', "");
    Expect(0, 72447, '\P{Block=paucinhau}', "");
    Expect(1, 72447, '\P{^Block=paucinhau}', "");
    Expect(0, 72448, '\p{Block=paucinhau}', "");
    Expect(1, 72448, '\p{^Block=paucinhau}', "");
    Expect(1, 72448, '\P{Block=paucinhau}', "");
    Expect(0, 72448, '\P{^Block=paucinhau}', "");
    Expect(1, 72447, '\p{Block=:\Apaucinhau\z:}', "");;
    Expect(0, 72448, '\p{Block=:\Apaucinhau\z:}', "");;
    Expect(1, 72447, '\p{Block=	Pau_Cin_Hau}', "");
    Expect(0, 72447, '\p{^Block=	Pau_Cin_Hau}', "");
    Expect(0, 72447, '\P{Block=	Pau_Cin_Hau}', "");
    Expect(1, 72447, '\P{^Block=	Pau_Cin_Hau}', "");
    Expect(0, 72448, '\p{Block=	Pau_Cin_Hau}', "");
    Expect(1, 72448, '\p{^Block=	Pau_Cin_Hau}', "");
    Expect(1, 72448, '\P{Block=	Pau_Cin_Hau}', "");
    Expect(0, 72448, '\P{^Block=	Pau_Cin_Hau}', "");
    Error('\p{Blk=/a/- Pau_Cin_Hau}');
    Error('\P{Blk=/a/- Pau_Cin_Hau}');
    Expect(1, 72447, '\p{Blk=:\APau_Cin_Hau\z:}', "");;
    Expect(0, 72448, '\p{Blk=:\APau_Cin_Hau\z:}', "");;
    Expect(1, 72447, '\p{Blk=paucinhau}', "");
    Expect(0, 72447, '\p{^Blk=paucinhau}', "");
    Expect(0, 72447, '\P{Blk=paucinhau}', "");
    Expect(1, 72447, '\P{^Blk=paucinhau}', "");
    Expect(0, 72448, '\p{Blk=paucinhau}', "");
    Expect(1, 72448, '\p{^Blk=paucinhau}', "");
    Expect(1, 72448, '\P{Blk=paucinhau}', "");
    Expect(0, 72448, '\P{^Blk=paucinhau}', "");
    Expect(1, 72447, '\p{Blk=:\Apaucinhau\z:}', "");;
    Expect(0, 72448, '\p{Blk=:\Apaucinhau\z:}', "");;
    Expect(1, 72447, '\p{Blk=-Pau_CIN_HAU}', "");
    Expect(0, 72447, '\p{^Blk=-Pau_CIN_HAU}', "");
    Expect(0, 72447, '\P{Blk=-Pau_CIN_HAU}', "");
    Expect(1, 72447, '\P{^Blk=-Pau_CIN_HAU}', "");
    Expect(0, 72448, '\p{Blk=-Pau_CIN_HAU}', "");
    Expect(1, 72448, '\p{^Blk=-Pau_CIN_HAU}', "");
    Expect(1, 72448, '\P{Blk=-Pau_CIN_HAU}', "");
    Expect(0, 72448, '\P{^Blk=-Pau_CIN_HAU}', "");
    Error('\p{Is_Block=:= pau_CIN_Hau}');
    Error('\P{Is_Block=:= pau_CIN_Hau}');
    Expect(1, 72447, '\p{Is_Block=paucinhau}', "");
    Expect(0, 72447, '\p{^Is_Block=paucinhau}', "");
    Expect(0, 72447, '\P{Is_Block=paucinhau}', "");
    Expect(1, 72447, '\P{^Is_Block=paucinhau}', "");
    Expect(0, 72448, '\p{Is_Block=paucinhau}', "");
    Expect(1, 72448, '\p{^Is_Block=paucinhau}', "");
    Expect(1, 72448, '\P{Is_Block=paucinhau}', "");
    Expect(0, 72448, '\P{^Is_Block=paucinhau}', "");
    Expect(1, 72447, '\p{Is_Block=	 pau_cin_hau}', "");
    Expect(0, 72447, '\p{^Is_Block=	 pau_cin_hau}', "");
    Expect(0, 72447, '\P{Is_Block=	 pau_cin_hau}', "");
    Expect(1, 72447, '\P{^Is_Block=	 pau_cin_hau}', "");
    Expect(0, 72448, '\p{Is_Block=	 pau_cin_hau}', "");
    Expect(1, 72448, '\p{^Is_Block=	 pau_cin_hau}', "");
    Expect(1, 72448, '\P{Is_Block=	 pau_cin_hau}', "");
    Expect(0, 72448, '\P{^Is_Block=	 pau_cin_hau}', "");
    Error('\p{Is_Blk=:=	-Pau_Cin_Hau}');
    Error('\P{Is_Blk=:=	-Pau_Cin_Hau}');
    Expect(1, 72447, '\p{Is_Blk=paucinhau}', "");
    Expect(0, 72447, '\p{^Is_Blk=paucinhau}', "");
    Expect(0, 72447, '\P{Is_Blk=paucinhau}', "");
    Expect(1, 72447, '\P{^Is_Blk=paucinhau}', "");
    Expect(0, 72448, '\p{Is_Blk=paucinhau}', "");
    Expect(1, 72448, '\p{^Is_Blk=paucinhau}', "");
    Expect(1, 72448, '\P{Is_Blk=paucinhau}', "");
    Expect(0, 72448, '\P{^Is_Blk=paucinhau}', "");
    Expect(1, 72447, '\p{Is_Blk:  _Pau_Cin_hau}', "");
    Expect(0, 72447, '\p{^Is_Blk:  _Pau_Cin_hau}', "");
    Expect(0, 72447, '\P{Is_Blk:  _Pau_Cin_hau}', "");
    Expect(1, 72447, '\P{^Is_Blk:  _Pau_Cin_hau}', "");
    Expect(0, 72448, '\p{Is_Blk:  _Pau_Cin_hau}', "");
    Expect(1, 72448, '\p{^Is_Blk:  _Pau_Cin_hau}', "");
    Expect(1, 72448, '\P{Is_Blk:  _Pau_Cin_hau}', "");
    Expect(0, 72448, '\P{^Is_Blk:  _Pau_Cin_hau}', "");
    Error('\p{Block=/a/-_Phags_Pa}');
    Error('\P{Block=/a/-_Phags_Pa}');
    Expect(1, 43135, '\p{Block=:\APhags_Pa\z:}', "");;
    Expect(0, 43136, '\p{Block=:\APhags_Pa\z:}', "");;
    Expect(1, 43135, '\p{Block=phagspa}', "");
    Expect(0, 43135, '\p{^Block=phagspa}', "");
    Expect(0, 43135, '\P{Block=phagspa}', "");
    Expect(1, 43135, '\P{^Block=phagspa}', "");
    Expect(0, 43136, '\p{Block=phagspa}', "");
    Expect(1, 43136, '\p{^Block=phagspa}', "");
    Expect(1, 43136, '\P{Block=phagspa}', "");
    Expect(0, 43136, '\P{^Block=phagspa}', "");
    Expect(1, 43135, '\p{Block=:\Aphagspa\z:}', "");;
    Expect(0, 43136, '\p{Block=:\Aphagspa\z:}', "");;
    Expect(1, 43135, '\p{Block=	Phags_pa}', "");
    Expect(0, 43135, '\p{^Block=	Phags_pa}', "");
    Expect(0, 43135, '\P{Block=	Phags_pa}', "");
    Expect(1, 43135, '\P{^Block=	Phags_pa}', "");
    Expect(0, 43136, '\p{Block=	Phags_pa}', "");
    Expect(1, 43136, '\p{^Block=	Phags_pa}', "");
    Expect(1, 43136, '\P{Block=	Phags_pa}', "");
    Expect(0, 43136, '\P{^Block=	Phags_pa}', "");
    Error('\p{Blk=	PHAGS_pa:=}');
    Error('\P{Blk=	PHAGS_pa:=}');
    Expect(1, 43135, '\p{Blk=:\APhags_Pa\z:}', "");;
    Expect(0, 43136, '\p{Blk=:\APhags_Pa\z:}', "");;
    Expect(1, 43135, '\p{Blk=phagspa}', "");
    Expect(0, 43135, '\p{^Blk=phagspa}', "");
    Expect(0, 43135, '\P{Blk=phagspa}', "");
    Expect(1, 43135, '\P{^Blk=phagspa}', "");
    Expect(0, 43136, '\p{Blk=phagspa}', "");
    Expect(1, 43136, '\p{^Blk=phagspa}', "");
    Expect(1, 43136, '\P{Blk=phagspa}', "");
    Expect(0, 43136, '\P{^Blk=phagspa}', "");
    Expect(1, 43135, '\p{Blk=:\Aphagspa\z:}', "");;
    Expect(0, 43136, '\p{Blk=:\Aphagspa\z:}', "");;
    Expect(1, 43135, '\p{Blk:	-	Phags_PA}', "");
    Expect(0, 43135, '\p{^Blk:	-	Phags_PA}', "");
    Expect(0, 43135, '\P{Blk:	-	Phags_PA}', "");
    Expect(1, 43135, '\P{^Blk:	-	Phags_PA}', "");
    Expect(0, 43136, '\p{Blk:	-	Phags_PA}', "");
    Expect(1, 43136, '\p{^Blk:	-	Phags_PA}', "");
    Expect(1, 43136, '\P{Blk:	-	Phags_PA}', "");
    Expect(0, 43136, '\P{^Blk:	-	Phags_PA}', "");
    Error('\p{Is_Block=	_Phags_pa:=}');
    Error('\P{Is_Block=	_Phags_pa:=}');
    Expect(1, 43135, '\p{Is_Block=phagspa}', "");
    Expect(0, 43135, '\p{^Is_Block=phagspa}', "");
    Expect(0, 43135, '\P{Is_Block=phagspa}', "");
    Expect(1, 43135, '\P{^Is_Block=phagspa}', "");
    Expect(0, 43136, '\p{Is_Block=phagspa}', "");
    Expect(1, 43136, '\p{^Is_Block=phagspa}', "");
    Expect(1, 43136, '\P{Is_Block=phagspa}', "");
    Expect(0, 43136, '\P{^Is_Block=phagspa}', "");
    Expect(1, 43135, '\p{Is_Block=		PHAGS_PA}', "");
    Expect(0, 43135, '\p{^Is_Block=		PHAGS_PA}', "");
    Expect(0, 43135, '\P{Is_Block=		PHAGS_PA}', "");
    Expect(1, 43135, '\P{^Is_Block=		PHAGS_PA}', "");
    Expect(0, 43136, '\p{Is_Block=		PHAGS_PA}', "");
    Expect(1, 43136, '\p{^Is_Block=		PHAGS_PA}', "");
    Expect(1, 43136, '\P{Is_Block=		PHAGS_PA}', "");
    Expect(0, 43136, '\P{^Is_Block=		PHAGS_PA}', "");
    Error('\p{Is_Blk=	_Phags_Pa:=}');
    Error('\P{Is_Blk=	_Phags_Pa:=}');
    Expect(1, 43135, '\p{Is_Blk=phagspa}', "");
    Expect(0, 43135, '\p{^Is_Blk=phagspa}', "");
    Expect(0, 43135, '\P{Is_Blk=phagspa}', "");
    Expect(1, 43135, '\P{^Is_Blk=phagspa}', "");
    Expect(0, 43136, '\p{Is_Blk=phagspa}', "");
    Expect(1, 43136, '\p{^Is_Blk=phagspa}', "");
    Expect(1, 43136, '\P{Is_Blk=phagspa}', "");
    Expect(0, 43136, '\P{^Is_Blk=phagspa}', "");
    Expect(1, 43135, '\p{Is_Blk=_-phags_pa}', "");
    Expect(0, 43135, '\p{^Is_Blk=_-phags_pa}', "");
    Expect(0, 43135, '\P{Is_Blk=_-phags_pa}', "");
    Expect(1, 43135, '\P{^Is_Blk=_-phags_pa}', "");
    Expect(0, 43136, '\p{Is_Blk=_-phags_pa}', "");
    Expect(1, 43136, '\p{^Is_Blk=_-phags_pa}', "");
    Expect(1, 43136, '\P{Is_Blk=_-phags_pa}', "");
    Expect(0, 43136, '\P{^Is_Blk=_-phags_pa}', "");
    Error('\p{Block= :=Phaistos_Disc}');
    Error('\P{Block= :=Phaistos_Disc}');
    Expect(1, 66047, '\p{Block=:\APhaistos_Disc\z:}', "");;
    Expect(0, 66048, '\p{Block=:\APhaistos_Disc\z:}', "");;
    Expect(1, 66047, '\p{Block=phaistosdisc}', "");
    Expect(0, 66047, '\p{^Block=phaistosdisc}', "");
    Expect(0, 66047, '\P{Block=phaistosdisc}', "");
    Expect(1, 66047, '\P{^Block=phaistosdisc}', "");
    Expect(0, 66048, '\p{Block=phaistosdisc}', "");
    Expect(1, 66048, '\p{^Block=phaistosdisc}', "");
    Expect(1, 66048, '\P{Block=phaistosdisc}', "");
    Expect(0, 66048, '\P{^Block=phaistosdisc}', "");
    Expect(1, 66047, '\p{Block=:\Aphaistosdisc\z:}', "");;
    Expect(0, 66048, '\p{Block=:\Aphaistosdisc\z:}', "");;
    Expect(1, 66047, '\p{Block=	-Phaistos_Disc}', "");
    Expect(0, 66047, '\p{^Block=	-Phaistos_Disc}', "");
    Expect(0, 66047, '\P{Block=	-Phaistos_Disc}', "");
    Expect(1, 66047, '\P{^Block=	-Phaistos_Disc}', "");
    Expect(0, 66048, '\p{Block=	-Phaistos_Disc}', "");
    Expect(1, 66048, '\p{^Block=	-Phaistos_Disc}', "");
    Expect(1, 66048, '\P{Block=	-Phaistos_Disc}', "");
    Expect(0, 66048, '\P{^Block=	-Phaistos_Disc}', "");
    Error('\p{Blk=:=_	Phaistos}');
    Error('\P{Blk=:=_	Phaistos}');
    Expect(1, 66047, '\p{Blk=:\APhaistos\z:}', "");;
    Expect(0, 66048, '\p{Blk=:\APhaistos\z:}', "");;
    Expect(1, 66047, '\p{Blk=phaistos}', "");
    Expect(0, 66047, '\p{^Blk=phaistos}', "");
    Expect(0, 66047, '\P{Blk=phaistos}', "");
    Expect(1, 66047, '\P{^Blk=phaistos}', "");
    Expect(0, 66048, '\p{Blk=phaistos}', "");
    Expect(1, 66048, '\p{^Blk=phaistos}', "");
    Expect(1, 66048, '\P{Blk=phaistos}', "");
    Expect(0, 66048, '\P{^Blk=phaistos}', "");
    Expect(1, 66047, '\p{Blk=:\Aphaistos\z:}', "");;
    Expect(0, 66048, '\p{Blk=:\Aphaistos\z:}', "");;
    Expect(1, 66047, '\p{Blk= Phaistos}', "");
    Expect(0, 66047, '\p{^Blk= Phaistos}', "");
    Expect(0, 66047, '\P{Blk= Phaistos}', "");
    Expect(1, 66047, '\P{^Blk= Phaistos}', "");
    Expect(0, 66048, '\p{Blk= Phaistos}', "");
    Expect(1, 66048, '\p{^Blk= Phaistos}', "");
    Expect(1, 66048, '\P{Blk= Phaistos}', "");
    Expect(0, 66048, '\P{^Blk= Phaistos}', "");
    Error('\p{Is_Block=/a/  Phaistos_disc}');
    Error('\P{Is_Block=/a/  Phaistos_disc}');
    Expect(1, 66047, '\p{Is_Block=phaistosdisc}', "");
    Expect(0, 66047, '\p{^Is_Block=phaistosdisc}', "");
    Expect(0, 66047, '\P{Is_Block=phaistosdisc}', "");
    Expect(1, 66047, '\P{^Is_Block=phaistosdisc}', "");
    Expect(0, 66048, '\p{Is_Block=phaistosdisc}', "");
    Expect(1, 66048, '\p{^Is_Block=phaistosdisc}', "");
    Expect(1, 66048, '\P{Is_Block=phaistosdisc}', "");
    Expect(0, 66048, '\P{^Is_Block=phaistosdisc}', "");
    Expect(1, 66047, '\p{Is_Block=	phaistos_DISC}', "");
    Expect(0, 66047, '\p{^Is_Block=	phaistos_DISC}', "");
    Expect(0, 66047, '\P{Is_Block=	phaistos_DISC}', "");
    Expect(1, 66047, '\P{^Is_Block=	phaistos_DISC}', "");
    Expect(0, 66048, '\p{Is_Block=	phaistos_DISC}', "");
    Expect(1, 66048, '\p{^Is_Block=	phaistos_DISC}', "");
    Expect(1, 66048, '\P{Is_Block=	phaistos_DISC}', "");
    Expect(0, 66048, '\P{^Is_Block=	phaistos_DISC}', "");
    Error('\p{Is_Blk=:=	 PHAISTOS}');
    Error('\P{Is_Blk=:=	 PHAISTOS}');
    Expect(1, 66047, '\p{Is_Blk=phaistos}', "");
    Expect(0, 66047, '\p{^Is_Blk=phaistos}', "");
    Expect(0, 66047, '\P{Is_Blk=phaistos}', "");
    Expect(1, 66047, '\P{^Is_Blk=phaistos}', "");
    Expect(0, 66048, '\p{Is_Blk=phaistos}', "");
    Expect(1, 66048, '\p{^Is_Blk=phaistos}', "");
    Expect(1, 66048, '\P{Is_Blk=phaistos}', "");
    Expect(0, 66048, '\P{^Is_Blk=phaistos}', "");
    Expect(1, 66047, '\p{Is_Blk= 	PHAISTOS}', "");
    Expect(0, 66047, '\p{^Is_Blk= 	PHAISTOS}', "");
    Expect(0, 66047, '\P{Is_Blk= 	PHAISTOS}', "");
    Expect(1, 66047, '\P{^Is_Blk= 	PHAISTOS}', "");
    Expect(0, 66048, '\p{Is_Blk= 	PHAISTOS}', "");
    Expect(1, 66048, '\p{^Is_Blk= 	PHAISTOS}', "");
    Expect(1, 66048, '\P{Is_Blk= 	PHAISTOS}', "");
    Expect(0, 66048, '\P{^Is_Blk= 	PHAISTOS}', "");
    Error('\p{Block= _Phoenician:=}');
    Error('\P{Block= _Phoenician:=}');
    Expect(1, 67871, '\p{Block=:\APhoenician\z:}', "");;
    Expect(0, 67872, '\p{Block=:\APhoenician\z:}', "");;
    Expect(1, 67871, '\p{Block=phoenician}', "");
    Expect(0, 67871, '\p{^Block=phoenician}', "");
    Expect(0, 67871, '\P{Block=phoenician}', "");
    Expect(1, 67871, '\P{^Block=phoenician}', "");
    Expect(0, 67872, '\p{Block=phoenician}', "");
    Expect(1, 67872, '\p{^Block=phoenician}', "");
    Expect(1, 67872, '\P{Block=phoenician}', "");
    Expect(0, 67872, '\P{^Block=phoenician}', "");
    Expect(1, 67871, '\p{Block=:\Aphoenician\z:}', "");;
    Expect(0, 67872, '\p{Block=:\Aphoenician\z:}', "");;
    Expect(1, 67871, '\p{Block=-phoenician}', "");
    Expect(0, 67871, '\p{^Block=-phoenician}', "");
    Expect(0, 67871, '\P{Block=-phoenician}', "");
    Expect(1, 67871, '\P{^Block=-phoenician}', "");
    Expect(0, 67872, '\p{Block=-phoenician}', "");
    Expect(1, 67872, '\p{^Block=-phoenician}', "");
    Expect(1, 67872, '\P{Block=-phoenician}', "");
    Expect(0, 67872, '\P{^Block=-phoenician}', "");
    Error('\p{Blk=_phoenician/a/}');
    Error('\P{Blk=_phoenician/a/}');
    Expect(1, 67871, '\p{Blk=:\APhoenician\z:}', "");;
    Expect(0, 67872, '\p{Blk=:\APhoenician\z:}', "");;
    Expect(1, 67871, '\p{Blk=phoenician}', "");
    Expect(0, 67871, '\p{^Blk=phoenician}', "");
    Expect(0, 67871, '\P{Blk=phoenician}', "");
    Expect(1, 67871, '\P{^Blk=phoenician}', "");
    Expect(0, 67872, '\p{Blk=phoenician}', "");
    Expect(1, 67872, '\p{^Blk=phoenician}', "");
    Expect(1, 67872, '\P{Blk=phoenician}', "");
    Expect(0, 67872, '\P{^Blk=phoenician}', "");
    Expect(1, 67871, '\p{Blk=:\Aphoenician\z:}', "");;
    Expect(0, 67872, '\p{Blk=:\Aphoenician\z:}', "");;
    Expect(1, 67871, '\p{Blk=-Phoenician}', "");
    Expect(0, 67871, '\p{^Blk=-Phoenician}', "");
    Expect(0, 67871, '\P{Blk=-Phoenician}', "");
    Expect(1, 67871, '\P{^Blk=-Phoenician}', "");
    Expect(0, 67872, '\p{Blk=-Phoenician}', "");
    Expect(1, 67872, '\p{^Blk=-Phoenician}', "");
    Expect(1, 67872, '\P{Blk=-Phoenician}', "");
    Expect(0, 67872, '\P{^Blk=-Phoenician}', "");
    Error('\p{Is_Block=:=-Phoenician}');
    Error('\P{Is_Block=:=-Phoenician}');
    Expect(1, 67871, '\p{Is_Block=phoenician}', "");
    Expect(0, 67871, '\p{^Is_Block=phoenician}', "");
    Expect(0, 67871, '\P{Is_Block=phoenician}', "");
    Expect(1, 67871, '\P{^Is_Block=phoenician}', "");
    Expect(0, 67872, '\p{Is_Block=phoenician}', "");
    Expect(1, 67872, '\p{^Is_Block=phoenician}', "");
    Expect(1, 67872, '\P{Is_Block=phoenician}', "");
    Expect(0, 67872, '\P{^Is_Block=phoenician}', "");
    Expect(1, 67871, '\p{Is_Block=--PHOENICIAN}', "");
    Expect(0, 67871, '\p{^Is_Block=--PHOENICIAN}', "");
    Expect(0, 67871, '\P{Is_Block=--PHOENICIAN}', "");
    Expect(1, 67871, '\P{^Is_Block=--PHOENICIAN}', "");
    Expect(0, 67872, '\p{Is_Block=--PHOENICIAN}', "");
    Expect(1, 67872, '\p{^Is_Block=--PHOENICIAN}', "");
    Expect(1, 67872, '\P{Is_Block=--PHOENICIAN}', "");
    Expect(0, 67872, '\P{^Is_Block=--PHOENICIAN}', "");
    Error('\p{Is_Blk=	_PHOENICIAN/a/}');
    Error('\P{Is_Blk=	_PHOENICIAN/a/}');
    Expect(1, 67871, '\p{Is_Blk=phoenician}', "");
    Expect(0, 67871, '\p{^Is_Blk=phoenician}', "");
    Expect(0, 67871, '\P{Is_Blk=phoenician}', "");
    Expect(1, 67871, '\P{^Is_Blk=phoenician}', "");
    Expect(0, 67872, '\p{Is_Blk=phoenician}', "");
    Expect(1, 67872, '\p{^Is_Blk=phoenician}', "");
    Expect(1, 67872, '\P{Is_Blk=phoenician}', "");
    Expect(0, 67872, '\P{^Is_Blk=phoenician}', "");
    Expect(1, 67871, '\p{Is_Blk: 	PHOENICIAN}', "");
    Expect(0, 67871, '\p{^Is_Blk: 	PHOENICIAN}', "");
    Expect(0, 67871, '\P{Is_Blk: 	PHOENICIAN}', "");
    Expect(1, 67871, '\P{^Is_Blk: 	PHOENICIAN}', "");
    Expect(0, 67872, '\p{Is_Blk: 	PHOENICIAN}', "");
    Expect(1, 67872, '\p{^Is_Blk: 	PHOENICIAN}', "");
    Expect(1, 67872, '\P{Is_Blk: 	PHOENICIAN}', "");
    Expect(0, 67872, '\P{^Is_Blk: 	PHOENICIAN}', "");
    Error('\p{Block: /a/Phonetic_Extensions}');
    Error('\P{Block: /a/Phonetic_Extensions}');
    Expect(1, 7551, '\p{Block=:\APhonetic_Extensions\z:}', "");;
    Expect(0, 7552, '\p{Block=:\APhonetic_Extensions\z:}', "");;
    Expect(1, 7551, '\p{Block=phoneticextensions}', "");
    Expect(0, 7551, '\p{^Block=phoneticextensions}', "");
    Expect(0, 7551, '\P{Block=phoneticextensions}', "");
    Expect(1, 7551, '\P{^Block=phoneticextensions}', "");
    Expect(0, 7552, '\p{Block=phoneticextensions}', "");
    Expect(1, 7552, '\p{^Block=phoneticextensions}', "");
    Expect(1, 7552, '\P{Block=phoneticextensions}', "");
    Expect(0, 7552, '\P{^Block=phoneticextensions}', "");
    Expect(1, 7551, '\p{Block=:\Aphoneticextensions\z:}', "");;
    Expect(0, 7552, '\p{Block=:\Aphoneticextensions\z:}', "");;
    Expect(1, 7551, '\p{Block:  	PHONETIC_extensions}', "");
    Expect(0, 7551, '\p{^Block:  	PHONETIC_extensions}', "");
    Expect(0, 7551, '\P{Block:  	PHONETIC_extensions}', "");
    Expect(1, 7551, '\P{^Block:  	PHONETIC_extensions}', "");
    Expect(0, 7552, '\p{Block:  	PHONETIC_extensions}', "");
    Expect(1, 7552, '\p{^Block:  	PHONETIC_extensions}', "");
    Expect(1, 7552, '\P{Block:  	PHONETIC_extensions}', "");
    Expect(0, 7552, '\P{^Block:  	PHONETIC_extensions}', "");
    Error('\p{Blk=	:=phonetic_ext}');
    Error('\P{Blk=	:=phonetic_ext}');
    Expect(1, 7551, '\p{Blk=:\APhonetic_Ext\z:}', "");;
    Expect(0, 7552, '\p{Blk=:\APhonetic_Ext\z:}', "");;
    Expect(1, 7551, '\p{Blk=phoneticext}', "");
    Expect(0, 7551, '\p{^Blk=phoneticext}', "");
    Expect(0, 7551, '\P{Blk=phoneticext}', "");
    Expect(1, 7551, '\P{^Blk=phoneticext}', "");
    Expect(0, 7552, '\p{Blk=phoneticext}', "");
    Expect(1, 7552, '\p{^Blk=phoneticext}', "");
    Expect(1, 7552, '\P{Blk=phoneticext}', "");
    Expect(0, 7552, '\P{^Blk=phoneticext}', "");
    Expect(1, 7551, '\p{Blk=:\Aphoneticext\z:}', "");;
    Expect(0, 7552, '\p{Blk=:\Aphoneticext\z:}', "");;
    Expect(1, 7551, '\p{Blk=	PHONETIC_EXT}', "");
    Expect(0, 7551, '\p{^Blk=	PHONETIC_EXT}', "");
    Expect(0, 7551, '\P{Blk=	PHONETIC_EXT}', "");
    Expect(1, 7551, '\P{^Blk=	PHONETIC_EXT}', "");
    Expect(0, 7552, '\p{Blk=	PHONETIC_EXT}', "");
    Expect(1, 7552, '\p{^Blk=	PHONETIC_EXT}', "");
    Expect(1, 7552, '\P{Blk=	PHONETIC_EXT}', "");
    Expect(0, 7552, '\P{^Blk=	PHONETIC_EXT}', "");
    Error('\p{Is_Block=PHONETIC_extensions/a/}');
    Error('\P{Is_Block=PHONETIC_extensions/a/}');
    Expect(1, 7551, '\p{Is_Block=phoneticextensions}', "");
    Expect(0, 7551, '\p{^Is_Block=phoneticextensions}', "");
    Expect(0, 7551, '\P{Is_Block=phoneticextensions}', "");
    Expect(1, 7551, '\P{^Is_Block=phoneticextensions}', "");
    Expect(0, 7552, '\p{Is_Block=phoneticextensions}', "");
    Expect(1, 7552, '\p{^Is_Block=phoneticextensions}', "");
    Expect(1, 7552, '\P{Is_Block=phoneticextensions}', "");
    Expect(0, 7552, '\P{^Is_Block=phoneticextensions}', "");
    Expect(1, 7551, '\p{Is_Block=_PHONETIC_extensions}', "");
    Expect(0, 7551, '\p{^Is_Block=_PHONETIC_extensions}', "");
    Expect(0, 7551, '\P{Is_Block=_PHONETIC_extensions}', "");
    Expect(1, 7551, '\P{^Is_Block=_PHONETIC_extensions}', "");
    Expect(0, 7552, '\p{Is_Block=_PHONETIC_extensions}', "");
    Expect(1, 7552, '\p{^Is_Block=_PHONETIC_extensions}', "");
    Expect(1, 7552, '\P{Is_Block=_PHONETIC_extensions}', "");
    Expect(0, 7552, '\P{^Is_Block=_PHONETIC_extensions}', "");
    Error('\p{Is_Blk=/a/ -Phonetic_ext}');
    Error('\P{Is_Blk=/a/ -Phonetic_ext}');
    Expect(1, 7551, '\p{Is_Blk=phoneticext}', "");
    Expect(0, 7551, '\p{^Is_Blk=phoneticext}', "");
    Expect(0, 7551, '\P{Is_Blk=phoneticext}', "");
    Expect(1, 7551, '\P{^Is_Blk=phoneticext}', "");
    Expect(0, 7552, '\p{Is_Blk=phoneticext}', "");
    Expect(1, 7552, '\p{^Is_Blk=phoneticext}', "");
    Expect(1, 7552, '\P{Is_Blk=phoneticext}', "");
    Expect(0, 7552, '\P{^Is_Blk=phoneticext}', "");
    Expect(1, 7551, '\p{Is_Blk=_Phonetic_Ext}', "");
    Expect(0, 7551, '\p{^Is_Blk=_Phonetic_Ext}', "");
    Expect(0, 7551, '\P{Is_Blk=_Phonetic_Ext}', "");
    Expect(1, 7551, '\P{^Is_Blk=_Phonetic_Ext}', "");
    Expect(0, 7552, '\p{Is_Blk=_Phonetic_Ext}', "");
    Expect(1, 7552, '\p{^Is_Blk=_Phonetic_Ext}', "");
    Expect(1, 7552, '\P{Is_Blk=_Phonetic_Ext}', "");
    Expect(0, 7552, '\P{^Is_Blk=_Phonetic_Ext}', "");
    Error('\p{Block: _	PHONETIC_Extensions_Supplement:=}');
    Error('\P{Block: _	PHONETIC_Extensions_Supplement:=}');
    Expect(1, 7615, '\p{Block=:\APhonetic_Extensions_Supplement\z:}', "");;
    Expect(0, 7616, '\p{Block=:\APhonetic_Extensions_Supplement\z:}', "");;
    Expect(1, 7615, '\p{Block=phoneticextensionssupplement}', "");
    Expect(0, 7615, '\p{^Block=phoneticextensionssupplement}', "");
    Expect(0, 7615, '\P{Block=phoneticextensionssupplement}', "");
    Expect(1, 7615, '\P{^Block=phoneticextensionssupplement}', "");
    Expect(0, 7616, '\p{Block=phoneticextensionssupplement}', "");
    Expect(1, 7616, '\p{^Block=phoneticextensionssupplement}', "");
    Expect(1, 7616, '\P{Block=phoneticextensionssupplement}', "");
    Expect(0, 7616, '\P{^Block=phoneticextensionssupplement}', "");
    Expect(1, 7615, '\p{Block=:\Aphoneticextensionssupplement\z:}', "");;
    Expect(0, 7616, '\p{Block=:\Aphoneticextensionssupplement\z:}', "");;
    Expect(1, 7615, '\p{Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Expect(0, 7615, '\p{^Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Expect(0, 7615, '\P{Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Expect(1, 7615, '\P{^Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Expect(0, 7616, '\p{Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Expect(1, 7616, '\p{^Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Expect(1, 7616, '\P{Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Expect(0, 7616, '\P{^Block=		Phonetic_Extensions_SUPPLEMENT}', "");
    Error('\p{Blk=/a/ _Phonetic_Ext_SUP}');
    Error('\P{Blk=/a/ _Phonetic_Ext_SUP}');
    Expect(1, 7615, '\p{Blk=:\APhonetic_Ext_Sup\z:}', "");;
    Expect(0, 7616, '\p{Blk=:\APhonetic_Ext_Sup\z:}', "");;
    Expect(1, 7615, '\p{Blk=phoneticextsup}', "");
    Expect(0, 7615, '\p{^Blk=phoneticextsup}', "");
    Expect(0, 7615, '\P{Blk=phoneticextsup}', "");
    Expect(1, 7615, '\P{^Blk=phoneticextsup}', "");
    Expect(0, 7616, '\p{Blk=phoneticextsup}', "");
    Expect(1, 7616, '\p{^Blk=phoneticextsup}', "");
    Expect(1, 7616, '\P{Blk=phoneticextsup}', "");
    Expect(0, 7616, '\P{^Blk=phoneticextsup}', "");
    Expect(1, 7615, '\p{Blk=:\Aphoneticextsup\z:}', "");;
    Expect(0, 7616, '\p{Blk=:\Aphoneticextsup\z:}', "");;
    Expect(1, 7615, '\p{Blk=-phonetic_Ext_Sup}', "");
    Expect(0, 7615, '\p{^Blk=-phonetic_Ext_Sup}', "");
    Expect(0, 7615, '\P{Blk=-phonetic_Ext_Sup}', "");
    Expect(1, 7615, '\P{^Blk=-phonetic_Ext_Sup}', "");
    Expect(0, 7616, '\p{Blk=-phonetic_Ext_Sup}', "");
    Expect(1, 7616, '\p{^Blk=-phonetic_Ext_Sup}', "");
    Expect(1, 7616, '\P{Blk=-phonetic_Ext_Sup}', "");
    Expect(0, 7616, '\P{^Blk=-phonetic_Ext_Sup}', "");
    Error('\p{Is_Block=_/a/Phonetic_Extensions_Supplement}');
    Error('\P{Is_Block=_/a/Phonetic_Extensions_Supplement}');
    Expect(1, 7615, '\p{Is_Block=phoneticextensionssupplement}', "");
    Expect(0, 7615, '\p{^Is_Block=phoneticextensionssupplement}', "");
    Expect(0, 7615, '\P{Is_Block=phoneticextensionssupplement}', "");
    Expect(1, 7615, '\P{^Is_Block=phoneticextensionssupplement}', "");
    Expect(0, 7616, '\p{Is_Block=phoneticextensionssupplement}', "");
    Expect(1, 7616, '\p{^Is_Block=phoneticextensionssupplement}', "");
    Expect(1, 7616, '\P{Is_Block=phoneticextensionssupplement}', "");
    Expect(0, 7616, '\P{^Is_Block=phoneticextensionssupplement}', "");
    Expect(1, 7615, '\p{Is_Block= _phonetic_Extensions_supplement}', "");
    Expect(0, 7615, '\p{^Is_Block= _phonetic_Extensions_supplement}', "");
    Expect(0, 7615, '\P{Is_Block= _phonetic_Extensions_supplement}', "");
    Expect(1, 7615, '\P{^Is_Block= _phonetic_Extensions_supplement}', "");
    Expect(0, 7616, '\p{Is_Block= _phonetic_Extensions_supplement}', "");
    Expect(1, 7616, '\p{^Is_Block= _phonetic_Extensions_supplement}', "");
    Expect(1, 7616, '\P{Is_Block= _phonetic_Extensions_supplement}', "");
    Expect(0, 7616, '\P{^Is_Block= _phonetic_Extensions_supplement}', "");
    Error('\p{Is_Blk=_Phonetic_Ext_Sup/a/}');
    Error('\P{Is_Blk=_Phonetic_Ext_Sup/a/}');
    Expect(1, 7615, '\p{Is_Blk=phoneticextsup}', "");
    Expect(0, 7615, '\p{^Is_Blk=phoneticextsup}', "");
    Expect(0, 7615, '\P{Is_Blk=phoneticextsup}', "");
    Expect(1, 7615, '\P{^Is_Blk=phoneticextsup}', "");
    Expect(0, 7616, '\p{Is_Blk=phoneticextsup}', "");
    Expect(1, 7616, '\p{^Is_Blk=phoneticextsup}', "");
    Expect(1, 7616, '\P{Is_Blk=phoneticextsup}', "");
    Expect(0, 7616, '\P{^Is_Blk=phoneticextsup}', "");
    Expect(1, 7615, '\p{Is_Blk=  Phonetic_EXT_Sup}', "");
    Expect(0, 7615, '\p{^Is_Blk=  Phonetic_EXT_Sup}', "");
    Expect(0, 7615, '\P{Is_Blk=  Phonetic_EXT_Sup}', "");
    Expect(1, 7615, '\P{^Is_Blk=  Phonetic_EXT_Sup}', "");
    Expect(0, 7616, '\p{Is_Blk=  Phonetic_EXT_Sup}', "");
    Expect(1, 7616, '\p{^Is_Blk=  Phonetic_EXT_Sup}', "");
    Expect(1, 7616, '\P{Is_Blk=  Phonetic_EXT_Sup}', "");
    Expect(0, 7616, '\P{^Is_Blk=  Phonetic_EXT_Sup}', "");
    Error('\p{Block=	/a/playing_Cards}');
    Error('\P{Block=	/a/playing_Cards}');
    Expect(1, 127231, '\p{Block=:\APlaying_Cards\z:}', "");;
    Expect(0, 127232, '\p{Block=:\APlaying_Cards\z:}', "");;
    Expect(1, 127231, '\p{Block:   playingcards}', "");
    Expect(0, 127231, '\p{^Block:   playingcards}', "");
    Expect(0, 127231, '\P{Block:   playingcards}', "");
    Expect(1, 127231, '\P{^Block:   playingcards}', "");
    Expect(0, 127232, '\p{Block:   playingcards}', "");
    Expect(1, 127232, '\p{^Block:   playingcards}', "");
    Expect(1, 127232, '\P{Block:   playingcards}', "");
    Expect(0, 127232, '\P{^Block:   playingcards}', "");
    Expect(1, 127231, '\p{Block=:\Aplayingcards\z:}', "");;
    Expect(0, 127232, '\p{Block=:\Aplayingcards\z:}', "");;
    Expect(1, 127231, '\p{Block: 	_playing_cards}', "");
    Expect(0, 127231, '\p{^Block: 	_playing_cards}', "");
    Expect(0, 127231, '\P{Block: 	_playing_cards}', "");
    Expect(1, 127231, '\P{^Block: 	_playing_cards}', "");
    Expect(0, 127232, '\p{Block: 	_playing_cards}', "");
    Expect(1, 127232, '\p{^Block: 	_playing_cards}', "");
    Expect(1, 127232, '\P{Block: 	_playing_cards}', "");
    Expect(0, 127232, '\P{^Block: 	_playing_cards}', "");
    Error('\p{Blk=:=Playing_cards}');
    Error('\P{Blk=:=Playing_cards}');
    Expect(1, 127231, '\p{Blk=:\APlaying_Cards\z:}', "");;
    Expect(0, 127232, '\p{Blk=:\APlaying_Cards\z:}', "");;
    Expect(1, 127231, '\p{Blk=playingcards}', "");
    Expect(0, 127231, '\p{^Blk=playingcards}', "");
    Expect(0, 127231, '\P{Blk=playingcards}', "");
    Expect(1, 127231, '\P{^Blk=playingcards}', "");
    Expect(0, 127232, '\p{Blk=playingcards}', "");
    Expect(1, 127232, '\p{^Blk=playingcards}', "");
    Expect(1, 127232, '\P{Blk=playingcards}', "");
    Expect(0, 127232, '\P{^Blk=playingcards}', "");
    Expect(1, 127231, '\p{Blk=:\Aplayingcards\z:}', "");;
    Expect(0, 127232, '\p{Blk=:\Aplayingcards\z:}', "");;
    Expect(1, 127231, '\p{Blk= -PLAYING_cards}', "");
    Expect(0, 127231, '\p{^Blk= -PLAYING_cards}', "");
    Expect(0, 127231, '\P{Blk= -PLAYING_cards}', "");
    Expect(1, 127231, '\P{^Blk= -PLAYING_cards}', "");
    Expect(0, 127232, '\p{Blk= -PLAYING_cards}', "");
    Expect(1, 127232, '\p{^Blk= -PLAYING_cards}', "");
    Expect(1, 127232, '\P{Blk= -PLAYING_cards}', "");
    Expect(0, 127232, '\P{^Blk= -PLAYING_cards}', "");
    Error('\p{Is_Block=/a/ Playing_cards}');
    Error('\P{Is_Block=/a/ Playing_cards}');
    Expect(1, 127231, '\p{Is_Block=playingcards}', "");
    Expect(0, 127231, '\p{^Is_Block=playingcards}', "");
    Expect(0, 127231, '\P{Is_Block=playingcards}', "");
    Expect(1, 127231, '\P{^Is_Block=playingcards}', "");
    Expect(0, 127232, '\p{Is_Block=playingcards}', "");
    Expect(1, 127232, '\p{^Is_Block=playingcards}', "");
    Expect(1, 127232, '\P{Is_Block=playingcards}', "");
    Expect(0, 127232, '\P{^Is_Block=playingcards}', "");
    Expect(1, 127231, '\p{Is_Block= PLAYING_Cards}', "");
    Expect(0, 127231, '\p{^Is_Block= PLAYING_Cards}', "");
    Expect(0, 127231, '\P{Is_Block= PLAYING_Cards}', "");
    Expect(1, 127231, '\P{^Is_Block= PLAYING_Cards}', "");
    Expect(0, 127232, '\p{Is_Block= PLAYING_Cards}', "");
    Expect(1, 127232, '\p{^Is_Block= PLAYING_Cards}', "");
    Expect(1, 127232, '\P{Is_Block= PLAYING_Cards}', "");
    Expect(0, 127232, '\P{^Is_Block= PLAYING_Cards}', "");
    Error('\p{Is_Blk=-/a/Playing_Cards}');
    Error('\P{Is_Blk=-/a/Playing_Cards}');
    Expect(1, 127231, '\p{Is_Blk=playingcards}', "");
    Expect(0, 127231, '\p{^Is_Blk=playingcards}', "");
    Expect(0, 127231, '\P{Is_Blk=playingcards}', "");
    Expect(1, 127231, '\P{^Is_Blk=playingcards}', "");
    Expect(0, 127232, '\p{Is_Blk=playingcards}', "");
    Expect(1, 127232, '\p{^Is_Blk=playingcards}', "");
    Expect(1, 127232, '\P{Is_Blk=playingcards}', "");
    Expect(0, 127232, '\P{^Is_Blk=playingcards}', "");
    Expect(1, 127231, '\p{Is_Blk=	PLAYING_Cards}', "");
    Expect(0, 127231, '\p{^Is_Blk=	PLAYING_Cards}', "");
    Expect(0, 127231, '\P{Is_Blk=	PLAYING_Cards}', "");
    Expect(1, 127231, '\P{^Is_Blk=	PLAYING_Cards}', "");
    Expect(0, 127232, '\p{Is_Blk=	PLAYING_Cards}', "");
    Expect(1, 127232, '\p{^Is_Blk=	PLAYING_Cards}', "");
    Expect(1, 127232, '\P{Is_Blk=	PLAYING_Cards}', "");
    Expect(0, 127232, '\P{^Is_Blk=	PLAYING_Cards}', "");
    Error('\p{Block:	 :=psalter_pahlavi}');
    Error('\P{Block:	 :=psalter_pahlavi}');
    Expect(1, 68527, '\p{Block=:\APsalter_Pahlavi\z:}', "");;
    Expect(0, 68528, '\p{Block=:\APsalter_Pahlavi\z:}', "");;
    Expect(1, 68527, '\p{Block=psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Block=psalterpahlavi}', "");
    Expect(0, 68527, '\P{Block=psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Block=psalterpahlavi}', "");
    Expect(0, 68528, '\p{Block=psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Block=psalterpahlavi}', "");
    Expect(1, 68528, '\P{Block=psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Block=psalterpahlavi}', "");
    Expect(1, 68527, '\p{Block=:\Apsalterpahlavi\z:}', "");;
    Expect(0, 68528, '\p{Block=:\Apsalterpahlavi\z:}', "");;
    Expect(1, 68527, '\p{Block=_	Psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^Block=_	Psalter_pahlavi}', "");
    Expect(0, 68527, '\P{Block=_	Psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^Block=_	Psalter_pahlavi}', "");
    Expect(0, 68528, '\p{Block=_	Psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^Block=_	Psalter_pahlavi}', "");
    Expect(1, 68528, '\P{Block=_	Psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^Block=_	Psalter_pahlavi}', "");
    Error('\p{Blk=	/a/psalter_PAHLAVI}');
    Error('\P{Blk=	/a/psalter_PAHLAVI}');
    Expect(1, 68527, '\p{Blk=:\APsalter_Pahlavi\z:}', "");;
    Expect(0, 68528, '\p{Blk=:\APsalter_Pahlavi\z:}', "");;
    Expect(1, 68527, '\p{Blk=psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Blk=psalterpahlavi}', "");
    Expect(0, 68527, '\P{Blk=psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Blk=psalterpahlavi}', "");
    Expect(0, 68528, '\p{Blk=psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Blk=psalterpahlavi}', "");
    Expect(1, 68528, '\P{Blk=psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Blk=psalterpahlavi}', "");
    Expect(1, 68527, '\p{Blk=:\Apsalterpahlavi\z:}', "");;
    Expect(0, 68528, '\p{Blk=:\Apsalterpahlavi\z:}', "");;
    Expect(1, 68527, '\p{Blk=_	Psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^Blk=_	Psalter_pahlavi}', "");
    Expect(0, 68527, '\P{Blk=_	Psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^Blk=_	Psalter_pahlavi}', "");
    Expect(0, 68528, '\p{Blk=_	Psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^Blk=_	Psalter_pahlavi}', "");
    Expect(1, 68528, '\P{Blk=_	Psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^Blk=_	Psalter_pahlavi}', "");
    Error('\p{Is_Block=_/a/Psalter_pahlavi}');
    Error('\P{Is_Block=_/a/Psalter_pahlavi}');
    Expect(1, 68527, '\p{Is_Block=psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Is_Block=psalterpahlavi}', "");
    Expect(0, 68527, '\P{Is_Block=psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Is_Block=psalterpahlavi}', "");
    Expect(0, 68528, '\p{Is_Block=psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Is_Block=psalterpahlavi}', "");
    Expect(1, 68528, '\P{Is_Block=psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Is_Block=psalterpahlavi}', "");
    Expect(1, 68527, '\p{Is_Block: psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^Is_Block: psalter_pahlavi}', "");
    Expect(0, 68527, '\P{Is_Block: psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^Is_Block: psalter_pahlavi}', "");
    Expect(0, 68528, '\p{Is_Block: psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^Is_Block: psalter_pahlavi}', "");
    Expect(1, 68528, '\P{Is_Block: psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^Is_Block: psalter_pahlavi}', "");
    Error('\p{Is_Blk=_:=PSALTER_Pahlavi}');
    Error('\P{Is_Blk=_:=PSALTER_Pahlavi}');
    Expect(1, 68527, '\p{Is_Blk=psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Is_Blk=psalterpahlavi}', "");
    Expect(0, 68527, '\P{Is_Blk=psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Is_Blk=psalterpahlavi}', "");
    Expect(0, 68528, '\p{Is_Blk=psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Is_Blk=psalterpahlavi}', "");
    Expect(1, 68528, '\P{Is_Blk=psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Is_Blk=psalterpahlavi}', "");
    Expect(1, 68527, '\p{Is_Blk=_-Psalter_PAHLAVI}', "");
    Expect(0, 68527, '\p{^Is_Blk=_-Psalter_PAHLAVI}', "");
    Expect(0, 68527, '\P{Is_Blk=_-Psalter_PAHLAVI}', "");
    Expect(1, 68527, '\P{^Is_Blk=_-Psalter_PAHLAVI}', "");
    Expect(0, 68528, '\p{Is_Blk=_-Psalter_PAHLAVI}', "");
    Expect(1, 68528, '\p{^Is_Blk=_-Psalter_PAHLAVI}', "");
    Expect(1, 68528, '\P{Is_Blk=_-Psalter_PAHLAVI}', "");
    Expect(0, 68528, '\P{^Is_Blk=_-Psalter_PAHLAVI}', "");
    Error('\p{Block=:=PRIVATE_Use_Area}');
    Error('\P{Block=:=PRIVATE_Use_Area}');
    Expect(1, 63743, '\p{Block=:\APrivate_Use_Area\z:}', "");;
    Expect(0, 63744, '\p{Block=:\APrivate_Use_Area\z:}', "");;
    Expect(1, 63743, '\p{Block=privateusearea}', "");
    Expect(0, 63743, '\p{^Block=privateusearea}', "");
    Expect(0, 63743, '\P{Block=privateusearea}', "");
    Expect(1, 63743, '\P{^Block=privateusearea}', "");
    Expect(0, 63744, '\p{Block=privateusearea}', "");
    Expect(1, 63744, '\p{^Block=privateusearea}', "");
    Expect(1, 63744, '\P{Block=privateusearea}', "");
    Expect(0, 63744, '\P{^Block=privateusearea}', "");
    Expect(1, 63743, '\p{Block=:\Aprivateusearea\z:}', "");;
    Expect(0, 63744, '\p{Block=:\Aprivateusearea\z:}', "");;
    Expect(1, 63743, '\p{Block=-_Private_use_Area}', "");
    Expect(0, 63743, '\p{^Block=-_Private_use_Area}', "");
    Expect(0, 63743, '\P{Block=-_Private_use_Area}', "");
    Expect(1, 63743, '\P{^Block=-_Private_use_Area}', "");
    Expect(0, 63744, '\p{Block=-_Private_use_Area}', "");
    Expect(1, 63744, '\p{^Block=-_Private_use_Area}', "");
    Expect(1, 63744, '\P{Block=-_Private_use_Area}', "");
    Expect(0, 63744, '\P{^Block=-_Private_use_Area}', "");
    Error('\p{Blk=/a/ PUA}');
    Error('\P{Blk=/a/ PUA}');
    Expect(1, 63743, '\p{Blk=:\APUA\z:}', "");;
    Expect(0, 63744, '\p{Blk=:\APUA\z:}', "");;
    Expect(1, 63743, '\p{Blk=pua}', "");
    Expect(0, 63743, '\p{^Blk=pua}', "");
    Expect(0, 63743, '\P{Blk=pua}', "");
    Expect(1, 63743, '\P{^Blk=pua}', "");
    Expect(0, 63744, '\p{Blk=pua}', "");
    Expect(1, 63744, '\p{^Blk=pua}', "");
    Expect(1, 63744, '\P{Blk=pua}', "");
    Expect(0, 63744, '\P{^Blk=pua}', "");
    Expect(1, 63743, '\p{Blk=:\Apua\z:}', "");;
    Expect(0, 63744, '\p{Blk=:\Apua\z:}', "");;
    Expect(1, 63743, '\p{Blk:		-PUA}', "");
    Expect(0, 63743, '\p{^Blk:		-PUA}', "");
    Expect(0, 63743, '\P{Blk:		-PUA}', "");
    Expect(1, 63743, '\P{^Blk:		-PUA}', "");
    Expect(0, 63744, '\p{Blk:		-PUA}', "");
    Expect(1, 63744, '\p{^Blk:		-PUA}', "");
    Expect(1, 63744, '\P{Blk:		-PUA}', "");
    Expect(0, 63744, '\P{^Blk:		-PUA}', "");
    Error('\p{Is_Block=	/a/private_USE}');
    Error('\P{Is_Block=	/a/private_USE}');
    Expect(1, 63743, '\p{Is_Block=privateuse}', "");
    Expect(0, 63743, '\p{^Is_Block=privateuse}', "");
    Expect(0, 63743, '\P{Is_Block=privateuse}', "");
    Expect(1, 63743, '\P{^Is_Block=privateuse}', "");
    Expect(0, 63744, '\p{Is_Block=privateuse}', "");
    Expect(1, 63744, '\p{^Is_Block=privateuse}', "");
    Expect(1, 63744, '\P{Is_Block=privateuse}', "");
    Expect(0, 63744, '\P{^Is_Block=privateuse}', "");
    Expect(1, 63743, '\p{Is_Block:_ Private_USE}', "");
    Expect(0, 63743, '\p{^Is_Block:_ Private_USE}', "");
    Expect(0, 63743, '\P{Is_Block:_ Private_USE}', "");
    Expect(1, 63743, '\P{^Is_Block:_ Private_USE}', "");
    Expect(0, 63744, '\p{Is_Block:_ Private_USE}', "");
    Expect(1, 63744, '\p{^Is_Block:_ Private_USE}', "");
    Expect(1, 63744, '\P{Is_Block:_ Private_USE}', "");
    Expect(0, 63744, '\P{^Is_Block:_ Private_USE}', "");
    Error('\p{Is_Blk=/a/-_Private_USE_Area}');
    Error('\P{Is_Blk=/a/-_Private_USE_Area}');
    Expect(1, 63743, '\p{Is_Blk=privateusearea}', "");
    Expect(0, 63743, '\p{^Is_Blk=privateusearea}', "");
    Expect(0, 63743, '\P{Is_Blk=privateusearea}', "");
    Expect(1, 63743, '\P{^Is_Blk=privateusearea}', "");
    Expect(0, 63744, '\p{Is_Blk=privateusearea}', "");
    Expect(1, 63744, '\p{^Is_Blk=privateusearea}', "");
    Expect(1, 63744, '\P{Is_Blk=privateusearea}', "");
    Expect(0, 63744, '\P{^Is_Blk=privateusearea}', "");
    Expect(1, 63743, '\p{Is_Blk=_private_Use_Area}', "");
    Expect(0, 63743, '\p{^Is_Blk=_private_Use_Area}', "");
    Expect(0, 63743, '\P{Is_Blk=_private_Use_Area}', "");
    Expect(1, 63743, '\P{^Is_Blk=_private_Use_Area}', "");
    Expect(0, 63744, '\p{Is_Blk=_private_Use_Area}', "");
    Expect(1, 63744, '\p{^Is_Blk=_private_Use_Area}', "");
    Expect(1, 63744, '\P{Is_Blk=_private_Use_Area}', "");
    Expect(0, 63744, '\P{^Is_Blk=_private_Use_Area}', "");
    Error('\p{Block=/a/general_Punctuation}');
    Error('\P{Block=/a/general_Punctuation}');
    Expect(1, 8303, '\p{Block=:\AGeneral_Punctuation\z:}', "");;
    Expect(0, 8304, '\p{Block=:\AGeneral_Punctuation\z:}', "");;
    Expect(1, 8303, '\p{Block=generalpunctuation}', "");
    Expect(0, 8303, '\p{^Block=generalpunctuation}', "");
    Expect(0, 8303, '\P{Block=generalpunctuation}', "");
    Expect(1, 8303, '\P{^Block=generalpunctuation}', "");
    Expect(0, 8304, '\p{Block=generalpunctuation}', "");
    Expect(1, 8304, '\p{^Block=generalpunctuation}', "");
    Expect(1, 8304, '\P{Block=generalpunctuation}', "");
    Expect(0, 8304, '\P{^Block=generalpunctuation}', "");
    Expect(1, 8303, '\p{Block=:\Ageneralpunctuation\z:}', "");;
    Expect(0, 8304, '\p{Block=:\Ageneralpunctuation\z:}', "");;
    Expect(1, 8303, '\p{Block=-General_punctuation}', "");
    Expect(0, 8303, '\p{^Block=-General_punctuation}', "");
    Expect(0, 8303, '\P{Block=-General_punctuation}', "");
    Expect(1, 8303, '\P{^Block=-General_punctuation}', "");
    Expect(0, 8304, '\p{Block=-General_punctuation}', "");
    Expect(1, 8304, '\p{^Block=-General_punctuation}', "");
    Expect(1, 8304, '\P{Block=-General_punctuation}', "");
    Expect(0, 8304, '\P{^Block=-General_punctuation}', "");
    Error('\p{Blk=/a/Punctuation}');
    Error('\P{Blk=/a/Punctuation}');
    Expect(1, 8303, '\p{Blk=:\APunctuation\z:}', "");;
    Expect(0, 8304, '\p{Blk=:\APunctuation\z:}', "");;
    Expect(1, 8303, '\p{Blk=punctuation}', "");
    Expect(0, 8303, '\p{^Blk=punctuation}', "");
    Expect(0, 8303, '\P{Blk=punctuation}', "");
    Expect(1, 8303, '\P{^Blk=punctuation}', "");
    Expect(0, 8304, '\p{Blk=punctuation}', "");
    Expect(1, 8304, '\p{^Blk=punctuation}', "");
    Expect(1, 8304, '\P{Blk=punctuation}', "");
    Expect(0, 8304, '\P{^Blk=punctuation}', "");
    Expect(1, 8303, '\p{Blk=:\Apunctuation\z:}', "");;
    Expect(0, 8304, '\p{Blk=:\Apunctuation\z:}', "");;
    Expect(1, 8303, '\p{Blk=	-PUNCTUATION}', "");
    Expect(0, 8303, '\p{^Blk=	-PUNCTUATION}', "");
    Expect(0, 8303, '\P{Blk=	-PUNCTUATION}', "");
    Expect(1, 8303, '\P{^Blk=	-PUNCTUATION}', "");
    Expect(0, 8304, '\p{Blk=	-PUNCTUATION}', "");
    Expect(1, 8304, '\p{^Blk=	-PUNCTUATION}', "");
    Expect(1, 8304, '\P{Blk=	-PUNCTUATION}', "");
    Expect(0, 8304, '\P{^Blk=	-PUNCTUATION}', "");
    Error('\p{Is_Block=-:=General_punctuation}');
    Error('\P{Is_Block=-:=General_punctuation}');
    Expect(1, 8303, '\p{Is_Block=generalpunctuation}', "");
    Expect(0, 8303, '\p{^Is_Block=generalpunctuation}', "");
    Expect(0, 8303, '\P{Is_Block=generalpunctuation}', "");
    Expect(1, 8303, '\P{^Is_Block=generalpunctuation}', "");
    Expect(0, 8304, '\p{Is_Block=generalpunctuation}', "");
    Expect(1, 8304, '\p{^Is_Block=generalpunctuation}', "");
    Expect(1, 8304, '\P{Is_Block=generalpunctuation}', "");
    Expect(0, 8304, '\P{^Is_Block=generalpunctuation}', "");
    Expect(1, 8303, '\p{Is_Block=_general_Punctuation}', "");
    Expect(0, 8303, '\p{^Is_Block=_general_Punctuation}', "");
    Expect(0, 8303, '\P{Is_Block=_general_Punctuation}', "");
    Expect(1, 8303, '\P{^Is_Block=_general_Punctuation}', "");
    Expect(0, 8304, '\p{Is_Block=_general_Punctuation}', "");
    Expect(1, 8304, '\p{^Is_Block=_general_Punctuation}', "");
    Expect(1, 8304, '\P{Is_Block=_general_Punctuation}', "");
    Expect(0, 8304, '\P{^Is_Block=_general_Punctuation}', "");
    Error('\p{Is_Blk=_-Punctuation/a/}');
    Error('\P{Is_Blk=_-Punctuation/a/}');
    Expect(1, 8303, '\p{Is_Blk=punctuation}', "");
    Expect(0, 8303, '\p{^Is_Blk=punctuation}', "");
    Expect(0, 8303, '\P{Is_Blk=punctuation}', "");
    Expect(1, 8303, '\P{^Is_Blk=punctuation}', "");
    Expect(0, 8304, '\p{Is_Blk=punctuation}', "");
    Expect(1, 8304, '\p{^Is_Blk=punctuation}', "");
    Expect(1, 8304, '\P{Is_Blk=punctuation}', "");
    Expect(0, 8304, '\P{^Is_Blk=punctuation}', "");
    Expect(1, 8303, '\p{Is_Blk=	PUNCTUATION}', "");
    Expect(0, 8303, '\p{^Is_Blk=	PUNCTUATION}', "");
    Expect(0, 8303, '\P{Is_Blk=	PUNCTUATION}', "");
    Expect(1, 8303, '\P{^Is_Blk=	PUNCTUATION}', "");
    Expect(0, 8304, '\p{Is_Blk=	PUNCTUATION}', "");
    Expect(1, 8304, '\p{^Is_Blk=	PUNCTUATION}', "");
    Expect(1, 8304, '\P{Is_Blk=	PUNCTUATION}', "");
    Expect(0, 8304, '\P{^Is_Blk=	PUNCTUATION}', "");
    Error('\p{Block=--Rejang:=}');
    Error('\P{Block=--Rejang:=}');
    Expect(1, 43359, '\p{Block=:\ARejang\z:}', "");;
    Expect(0, 43360, '\p{Block=:\ARejang\z:}', "");;
    Expect(1, 43359, '\p{Block=rejang}', "");
    Expect(0, 43359, '\p{^Block=rejang}', "");
    Expect(0, 43359, '\P{Block=rejang}', "");
    Expect(1, 43359, '\P{^Block=rejang}', "");
    Expect(0, 43360, '\p{Block=rejang}', "");
    Expect(1, 43360, '\p{^Block=rejang}', "");
    Expect(1, 43360, '\P{Block=rejang}', "");
    Expect(0, 43360, '\P{^Block=rejang}', "");
    Expect(1, 43359, '\p{Block=:\Arejang\z:}', "");;
    Expect(0, 43360, '\p{Block=:\Arejang\z:}', "");;
    Expect(1, 43359, '\p{Block=Rejang}', "");
    Expect(0, 43359, '\p{^Block=Rejang}', "");
    Expect(0, 43359, '\P{Block=Rejang}', "");
    Expect(1, 43359, '\P{^Block=Rejang}', "");
    Expect(0, 43360, '\p{Block=Rejang}', "");
    Expect(1, 43360, '\p{^Block=Rejang}', "");
    Expect(1, 43360, '\P{Block=Rejang}', "");
    Expect(0, 43360, '\P{^Block=Rejang}', "");
    Error('\p{Blk=__Rejang/a/}');
    Error('\P{Blk=__Rejang/a/}');
    Expect(1, 43359, '\p{Blk=:\ARejang\z:}', "");;
    Expect(0, 43360, '\p{Blk=:\ARejang\z:}', "");;
    Expect(1, 43359, '\p{Blk=rejang}', "");
    Expect(0, 43359, '\p{^Blk=rejang}', "");
    Expect(0, 43359, '\P{Blk=rejang}', "");
    Expect(1, 43359, '\P{^Blk=rejang}', "");
    Expect(0, 43360, '\p{Blk=rejang}', "");
    Expect(1, 43360, '\p{^Blk=rejang}', "");
    Expect(1, 43360, '\P{Blk=rejang}', "");
    Expect(0, 43360, '\P{^Blk=rejang}', "");
    Expect(1, 43359, '\p{Blk=:\Arejang\z:}', "");;
    Expect(0, 43360, '\p{Blk=:\Arejang\z:}', "");;
    Expect(1, 43359, '\p{Blk=	_Rejang}', "");
    Expect(0, 43359, '\p{^Blk=	_Rejang}', "");
    Expect(0, 43359, '\P{Blk=	_Rejang}', "");
    Expect(1, 43359, '\P{^Blk=	_Rejang}', "");
    Expect(0, 43360, '\p{Blk=	_Rejang}', "");
    Expect(1, 43360, '\p{^Blk=	_Rejang}', "");
    Expect(1, 43360, '\P{Blk=	_Rejang}', "");
    Expect(0, 43360, '\P{^Blk=	_Rejang}', "");
    Error('\p{Is_Block=	rejang/a/}');
    Error('\P{Is_Block=	rejang/a/}');
    Expect(1, 43359, '\p{Is_Block=rejang}', "");
    Expect(0, 43359, '\p{^Is_Block=rejang}', "");
    Expect(0, 43359, '\P{Is_Block=rejang}', "");
    Expect(1, 43359, '\P{^Is_Block=rejang}', "");
    Expect(0, 43360, '\p{Is_Block=rejang}', "");
    Expect(1, 43360, '\p{^Is_Block=rejang}', "");
    Expect(1, 43360, '\P{Is_Block=rejang}', "");
    Expect(0, 43360, '\P{^Is_Block=rejang}', "");
    Expect(1, 43359, '\p{Is_Block= -rejang}', "");
    Expect(0, 43359, '\p{^Is_Block= -rejang}', "");
    Expect(0, 43359, '\P{Is_Block= -rejang}', "");
    Expect(1, 43359, '\P{^Is_Block= -rejang}', "");
    Expect(0, 43360, '\p{Is_Block= -rejang}', "");
    Expect(1, 43360, '\p{^Is_Block= -rejang}', "");
    Expect(1, 43360, '\P{Is_Block= -rejang}', "");
    Expect(0, 43360, '\P{^Is_Block= -rejang}', "");
    Error('\p{Is_Blk=_/a/rejang}');
    Error('\P{Is_Blk=_/a/rejang}');
    Expect(1, 43359, '\p{Is_Blk:rejang}', "");
    Expect(0, 43359, '\p{^Is_Blk:rejang}', "");
    Expect(0, 43359, '\P{Is_Blk:rejang}', "");
    Expect(1, 43359, '\P{^Is_Blk:rejang}', "");
    Expect(0, 43360, '\p{Is_Blk:rejang}', "");
    Expect(1, 43360, '\p{^Is_Blk:rejang}', "");
    Expect(1, 43360, '\P{Is_Blk:rejang}', "");
    Expect(0, 43360, '\P{^Is_Blk:rejang}', "");
    Expect(1, 43359, '\p{Is_Blk=	Rejang}', "");
    Expect(0, 43359, '\p{^Is_Blk=	Rejang}', "");
    Expect(0, 43359, '\P{Is_Blk=	Rejang}', "");
    Expect(1, 43359, '\P{^Is_Blk=	Rejang}', "");
    Expect(0, 43360, '\p{Is_Blk=	Rejang}', "");
    Expect(1, 43360, '\p{^Is_Blk=	Rejang}', "");
    Expect(1, 43360, '\P{Is_Blk=	Rejang}', "");
    Expect(0, 43360, '\P{^Is_Blk=	Rejang}', "");
    Error('\p{Block: -_rumi_numeral_Symbols:=}');
    Error('\P{Block: -_rumi_numeral_Symbols:=}');
    Expect(1, 69247, '\p{Block=:\ARumi_Numeral_Symbols\z:}', "");;
    Expect(0, 69248, '\p{Block=:\ARumi_Numeral_Symbols\z:}', "");;
    Expect(1, 69247, '\p{Block=ruminumeralsymbols}', "");
    Expect(0, 69247, '\p{^Block=ruminumeralsymbols}', "");
    Expect(0, 69247, '\P{Block=ruminumeralsymbols}', "");
    Expect(1, 69247, '\P{^Block=ruminumeralsymbols}', "");
    Expect(0, 69248, '\p{Block=ruminumeralsymbols}', "");
    Expect(1, 69248, '\p{^Block=ruminumeralsymbols}', "");
    Expect(1, 69248, '\P{Block=ruminumeralsymbols}', "");
    Expect(0, 69248, '\P{^Block=ruminumeralsymbols}', "");
    Expect(1, 69247, '\p{Block=:\Aruminumeralsymbols\z:}', "");;
    Expect(0, 69248, '\p{Block=:\Aruminumeralsymbols\z:}', "");;
    Expect(1, 69247, '\p{Block=	-Rumi_Numeral_Symbols}', "");
    Expect(0, 69247, '\p{^Block=	-Rumi_Numeral_Symbols}', "");
    Expect(0, 69247, '\P{Block=	-Rumi_Numeral_Symbols}', "");
    Expect(1, 69247, '\P{^Block=	-Rumi_Numeral_Symbols}', "");
    Expect(0, 69248, '\p{Block=	-Rumi_Numeral_Symbols}', "");
    Expect(1, 69248, '\p{^Block=	-Rumi_Numeral_Symbols}', "");
    Expect(1, 69248, '\P{Block=	-Rumi_Numeral_Symbols}', "");
    Expect(0, 69248, '\P{^Block=	-Rumi_Numeral_Symbols}', "");
    Error('\p{Blk=:= _Rumi}');
    Error('\P{Blk=:= _Rumi}');
    Expect(1, 69247, '\p{Blk=:\ARumi\z:}', "");;
    Expect(0, 69248, '\p{Blk=:\ARumi\z:}', "");;
    Expect(1, 69247, '\p{Blk:   rumi}', "");
    Expect(0, 69247, '\p{^Blk:   rumi}', "");
    Expect(0, 69247, '\P{Blk:   rumi}', "");
    Expect(1, 69247, '\P{^Blk:   rumi}', "");
    Expect(0, 69248, '\p{Blk:   rumi}', "");
    Expect(1, 69248, '\p{^Blk:   rumi}', "");
    Expect(1, 69248, '\P{Blk:   rumi}', "");
    Expect(0, 69248, '\P{^Blk:   rumi}', "");
    Expect(1, 69247, '\p{Blk=:\Arumi\z:}', "");;
    Expect(0, 69248, '\p{Blk=:\Arumi\z:}', "");;
    Expect(1, 69247, '\p{Blk= -rumi}', "");
    Expect(0, 69247, '\p{^Blk= -rumi}', "");
    Expect(0, 69247, '\P{Blk= -rumi}', "");
    Expect(1, 69247, '\P{^Blk= -rumi}', "");
    Expect(0, 69248, '\p{Blk= -rumi}', "");
    Expect(1, 69248, '\p{^Blk= -rumi}', "");
    Expect(1, 69248, '\P{Blk= -rumi}', "");
    Expect(0, 69248, '\P{^Blk= -rumi}', "");
    Error('\p{Is_Block=-Rumi_Numeral_symbols:=}');
    Error('\P{Is_Block=-Rumi_Numeral_symbols:=}');
    Expect(1, 69247, '\p{Is_Block=ruminumeralsymbols}', "");
    Expect(0, 69247, '\p{^Is_Block=ruminumeralsymbols}', "");
    Expect(0, 69247, '\P{Is_Block=ruminumeralsymbols}', "");
    Expect(1, 69247, '\P{^Is_Block=ruminumeralsymbols}', "");
    Expect(0, 69248, '\p{Is_Block=ruminumeralsymbols}', "");
    Expect(1, 69248, '\p{^Is_Block=ruminumeralsymbols}', "");
    Expect(1, 69248, '\P{Is_Block=ruminumeralsymbols}', "");
    Expect(0, 69248, '\P{^Is_Block=ruminumeralsymbols}', "");
    Expect(1, 69247, '\p{Is_Block=_rumi_numeral_Symbols}', "");
    Expect(0, 69247, '\p{^Is_Block=_rumi_numeral_Symbols}', "");
    Expect(0, 69247, '\P{Is_Block=_rumi_numeral_Symbols}', "");
    Expect(1, 69247, '\P{^Is_Block=_rumi_numeral_Symbols}', "");
    Expect(0, 69248, '\p{Is_Block=_rumi_numeral_Symbols}', "");
    Expect(1, 69248, '\p{^Is_Block=_rumi_numeral_Symbols}', "");
    Expect(1, 69248, '\P{Is_Block=_rumi_numeral_Symbols}', "");
    Expect(0, 69248, '\P{^Is_Block=_rumi_numeral_Symbols}', "");
    Error('\p{Is_Blk= rumi/a/}');
    Error('\P{Is_Blk= rumi/a/}');
    Expect(1, 69247, '\p{Is_Blk=rumi}', "");
    Expect(0, 69247, '\p{^Is_Blk=rumi}', "");
    Expect(0, 69247, '\P{Is_Blk=rumi}', "");
    Expect(1, 69247, '\P{^Is_Blk=rumi}', "");
    Expect(0, 69248, '\p{Is_Blk=rumi}', "");
    Expect(1, 69248, '\p{^Is_Blk=rumi}', "");
    Expect(1, 69248, '\P{Is_Blk=rumi}', "");
    Expect(0, 69248, '\P{^Is_Blk=rumi}', "");
    Expect(1, 69247, '\p{Is_Blk: 	Rumi}', "");
    Expect(0, 69247, '\p{^Is_Blk: 	Rumi}', "");
    Expect(0, 69247, '\P{Is_Blk: 	Rumi}', "");
    Expect(1, 69247, '\P{^Is_Blk: 	Rumi}', "");
    Expect(0, 69248, '\p{Is_Blk: 	Rumi}', "");
    Expect(1, 69248, '\p{^Is_Blk: 	Rumi}', "");
    Expect(1, 69248, '\P{Is_Blk: 	Rumi}', "");
    Expect(0, 69248, '\P{^Is_Blk: 	Rumi}', "");
    Error('\p{Block=	/a/RUNIC}');
    Error('\P{Block=	/a/RUNIC}');
    Expect(1, 5887, '\p{Block=:\ARunic\z:}', "");;
    Expect(0, 5888, '\p{Block=:\ARunic\z:}', "");;
    Expect(1, 5887, '\p{Block=runic}', "");
    Expect(0, 5887, '\p{^Block=runic}', "");
    Expect(0, 5887, '\P{Block=runic}', "");
    Expect(1, 5887, '\P{^Block=runic}', "");
    Expect(0, 5888, '\p{Block=runic}', "");
    Expect(1, 5888, '\p{^Block=runic}', "");
    Expect(1, 5888, '\P{Block=runic}', "");
    Expect(0, 5888, '\P{^Block=runic}', "");
    Expect(1, 5887, '\p{Block=:\Arunic\z:}', "");;
    Expect(0, 5888, '\p{Block=:\Arunic\z:}', "");;
    Expect(1, 5887, '\p{Block=	-RUNIC}', "");
    Expect(0, 5887, '\p{^Block=	-RUNIC}', "");
    Expect(0, 5887, '\P{Block=	-RUNIC}', "");
    Expect(1, 5887, '\P{^Block=	-RUNIC}', "");
    Expect(0, 5888, '\p{Block=	-RUNIC}', "");
    Expect(1, 5888, '\p{^Block=	-RUNIC}', "");
    Expect(1, 5888, '\P{Block=	-RUNIC}', "");
    Expect(0, 5888, '\P{^Block=	-RUNIC}', "");
    Error('\p{Blk=:= Runic}');
    Error('\P{Blk=:= Runic}');
    Expect(1, 5887, '\p{Blk=:\ARunic\z:}', "");;
    Expect(0, 5888, '\p{Blk=:\ARunic\z:}', "");;
    Expect(1, 5887, '\p{Blk=runic}', "");
    Expect(0, 5887, '\p{^Blk=runic}', "");
    Expect(0, 5887, '\P{Blk=runic}', "");
    Expect(1, 5887, '\P{^Blk=runic}', "");
    Expect(0, 5888, '\p{Blk=runic}', "");
    Expect(1, 5888, '\p{^Blk=runic}', "");
    Expect(1, 5888, '\P{Blk=runic}', "");
    Expect(0, 5888, '\P{^Blk=runic}', "");
    Expect(1, 5887, '\p{Blk=:\Arunic\z:}', "");;
    Expect(0, 5888, '\p{Blk=:\Arunic\z:}', "");;
    Expect(1, 5887, '\p{Blk=	_Runic}', "");
    Expect(0, 5887, '\p{^Blk=	_Runic}', "");
    Expect(0, 5887, '\P{Blk=	_Runic}', "");
    Expect(1, 5887, '\P{^Blk=	_Runic}', "");
    Expect(0, 5888, '\p{Blk=	_Runic}', "");
    Expect(1, 5888, '\p{^Blk=	_Runic}', "");
    Expect(1, 5888, '\P{Blk=	_Runic}', "");
    Expect(0, 5888, '\P{^Blk=	_Runic}', "");
    Error('\p{Is_Block=_/a/Runic}');
    Error('\P{Is_Block=_/a/Runic}');
    Expect(1, 5887, '\p{Is_Block=runic}', "");
    Expect(0, 5887, '\p{^Is_Block=runic}', "");
    Expect(0, 5887, '\P{Is_Block=runic}', "");
    Expect(1, 5887, '\P{^Is_Block=runic}', "");
    Expect(0, 5888, '\p{Is_Block=runic}', "");
    Expect(1, 5888, '\p{^Is_Block=runic}', "");
    Expect(1, 5888, '\P{Is_Block=runic}', "");
    Expect(0, 5888, '\P{^Is_Block=runic}', "");
    Expect(1, 5887, '\p{Is_Block=- RUNIC}', "");
    Expect(0, 5887, '\p{^Is_Block=- RUNIC}', "");
    Expect(0, 5887, '\P{Is_Block=- RUNIC}', "");
    Expect(1, 5887, '\P{^Is_Block=- RUNIC}', "");
    Expect(0, 5888, '\p{Is_Block=- RUNIC}', "");
    Expect(1, 5888, '\p{^Is_Block=- RUNIC}', "");
    Expect(1, 5888, '\P{Is_Block=- RUNIC}', "");
    Expect(0, 5888, '\P{^Is_Block=- RUNIC}', "");
    Error('\p{Is_Blk=/a/_RUNIC}');
    Error('\P{Is_Blk=/a/_RUNIC}');
    Expect(1, 5887, '\p{Is_Blk: runic}', "");
    Expect(0, 5887, '\p{^Is_Blk: runic}', "");
    Expect(0, 5887, '\P{Is_Blk: runic}', "");
    Expect(1, 5887, '\P{^Is_Blk: runic}', "");
    Expect(0, 5888, '\p{Is_Blk: runic}', "");
    Expect(1, 5888, '\p{^Is_Blk: runic}', "");
    Expect(1, 5888, '\P{Is_Blk: runic}', "");
    Expect(0, 5888, '\P{^Is_Blk: runic}', "");
    Expect(1, 5887, '\p{Is_Blk= RUNIC}', "");
    Expect(0, 5887, '\p{^Is_Blk= RUNIC}', "");
    Expect(0, 5887, '\P{Is_Blk= RUNIC}', "");
    Expect(1, 5887, '\P{^Is_Blk= RUNIC}', "");
    Expect(0, 5888, '\p{Is_Blk= RUNIC}', "");
    Expect(1, 5888, '\p{^Is_Blk= RUNIC}', "");
    Expect(1, 5888, '\P{Is_Blk= RUNIC}', "");
    Expect(0, 5888, '\P{^Is_Blk= RUNIC}', "");
    Error('\p{Block:  -samaritan:=}');
    Error('\P{Block:  -samaritan:=}');
    Expect(1, 2111, '\p{Block=:\ASamaritan\z:}', "");;
    Expect(0, 2112, '\p{Block=:\ASamaritan\z:}', "");;
    Expect(1, 2111, '\p{Block=samaritan}', "");
    Expect(0, 2111, '\p{^Block=samaritan}', "");
    Expect(0, 2111, '\P{Block=samaritan}', "");
    Expect(1, 2111, '\P{^Block=samaritan}', "");
    Expect(0, 2112, '\p{Block=samaritan}', "");
    Expect(1, 2112, '\p{^Block=samaritan}', "");
    Expect(1, 2112, '\P{Block=samaritan}', "");
    Expect(0, 2112, '\P{^Block=samaritan}', "");
    Expect(1, 2111, '\p{Block=:\Asamaritan\z:}', "");;
    Expect(0, 2112, '\p{Block=:\Asamaritan\z:}', "");;
    Expect(1, 2111, '\p{Block=	 samaritan}', "");
    Expect(0, 2111, '\p{^Block=	 samaritan}', "");
    Expect(0, 2111, '\P{Block=	 samaritan}', "");
    Expect(1, 2111, '\P{^Block=	 samaritan}', "");
    Expect(0, 2112, '\p{Block=	 samaritan}', "");
    Expect(1, 2112, '\p{^Block=	 samaritan}', "");
    Expect(1, 2112, '\P{Block=	 samaritan}', "");
    Expect(0, 2112, '\P{^Block=	 samaritan}', "");
    Error('\p{Blk=	:=Samaritan}');
    Error('\P{Blk=	:=Samaritan}');
    Expect(1, 2111, '\p{Blk=:\ASamaritan\z:}', "");;
    Expect(0, 2112, '\p{Blk=:\ASamaritan\z:}', "");;
    Expect(1, 2111, '\p{Blk=samaritan}', "");
    Expect(0, 2111, '\p{^Blk=samaritan}', "");
    Expect(0, 2111, '\P{Blk=samaritan}', "");
    Expect(1, 2111, '\P{^Blk=samaritan}', "");
    Expect(0, 2112, '\p{Blk=samaritan}', "");
    Expect(1, 2112, '\p{^Blk=samaritan}', "");
    Expect(1, 2112, '\P{Blk=samaritan}', "");
    Expect(0, 2112, '\P{^Blk=samaritan}', "");
    Expect(1, 2111, '\p{Blk=:\Asamaritan\z:}', "");;
    Expect(0, 2112, '\p{Blk=:\Asamaritan\z:}', "");;
    Expect(1, 2111, '\p{Blk=-	SAMARITAN}', "");
    Expect(0, 2111, '\p{^Blk=-	SAMARITAN}', "");
    Expect(0, 2111, '\P{Blk=-	SAMARITAN}', "");
    Expect(1, 2111, '\P{^Blk=-	SAMARITAN}', "");
    Expect(0, 2112, '\p{Blk=-	SAMARITAN}', "");
    Expect(1, 2112, '\p{^Blk=-	SAMARITAN}', "");
    Expect(1, 2112, '\P{Blk=-	SAMARITAN}', "");
    Expect(0, 2112, '\P{^Blk=-	SAMARITAN}', "");
    Error('\p{Is_Block=:=_ Samaritan}');
    Error('\P{Is_Block=:=_ Samaritan}');
    Expect(1, 2111, '\p{Is_Block=samaritan}', "");
    Expect(0, 2111, '\p{^Is_Block=samaritan}', "");
    Expect(0, 2111, '\P{Is_Block=samaritan}', "");
    Expect(1, 2111, '\P{^Is_Block=samaritan}', "");
    Expect(0, 2112, '\p{Is_Block=samaritan}', "");
    Expect(1, 2112, '\p{^Is_Block=samaritan}', "");
    Expect(1, 2112, '\P{Is_Block=samaritan}', "");
    Expect(0, 2112, '\P{^Is_Block=samaritan}', "");
    Expect(1, 2111, '\p{Is_Block:	samaritan}', "");
    Expect(0, 2111, '\p{^Is_Block:	samaritan}', "");
    Expect(0, 2111, '\P{Is_Block:	samaritan}', "");
    Expect(1, 2111, '\P{^Is_Block:	samaritan}', "");
    Expect(0, 2112, '\p{Is_Block:	samaritan}', "");
    Expect(1, 2112, '\p{^Is_Block:	samaritan}', "");
    Expect(1, 2112, '\P{Is_Block:	samaritan}', "");
    Expect(0, 2112, '\P{^Is_Block:	samaritan}', "");
    Error('\p{Is_Blk=_:=SAMARITAN}');
    Error('\P{Is_Blk=_:=SAMARITAN}');
    Expect(1, 2111, '\p{Is_Blk:samaritan}', "");
    Expect(0, 2111, '\p{^Is_Blk:samaritan}', "");
    Expect(0, 2111, '\P{Is_Blk:samaritan}', "");
    Expect(1, 2111, '\P{^Is_Blk:samaritan}', "");
    Expect(0, 2112, '\p{Is_Blk:samaritan}', "");
    Expect(1, 2112, '\p{^Is_Blk:samaritan}', "");
    Expect(1, 2112, '\P{Is_Blk:samaritan}', "");
    Expect(0, 2112, '\P{^Is_Blk:samaritan}', "");
    Expect(1, 2111, '\p{Is_Blk=	 SAMARITAN}', "");
    Expect(0, 2111, '\p{^Is_Blk=	 SAMARITAN}', "");
    Expect(0, 2111, '\P{Is_Blk=	 SAMARITAN}', "");
    Expect(1, 2111, '\P{^Is_Blk=	 SAMARITAN}', "");
    Expect(0, 2112, '\p{Is_Blk=	 SAMARITAN}', "");
    Expect(1, 2112, '\p{^Is_Blk=	 SAMARITAN}', "");
    Expect(1, 2112, '\P{Is_Blk=	 SAMARITAN}', "");
    Expect(0, 2112, '\P{^Is_Blk=	 SAMARITAN}', "");
    Error('\p{Block=:= Saurashtra}');
    Error('\P{Block=:= Saurashtra}');
    Expect(1, 43231, '\p{Block=:\ASaurashtra\z:}', "");;
    Expect(0, 43232, '\p{Block=:\ASaurashtra\z:}', "");;
    Expect(1, 43231, '\p{Block=saurashtra}', "");
    Expect(0, 43231, '\p{^Block=saurashtra}', "");
    Expect(0, 43231, '\P{Block=saurashtra}', "");
    Expect(1, 43231, '\P{^Block=saurashtra}', "");
    Expect(0, 43232, '\p{Block=saurashtra}', "");
    Expect(1, 43232, '\p{^Block=saurashtra}', "");
    Expect(1, 43232, '\P{Block=saurashtra}', "");
    Expect(0, 43232, '\P{^Block=saurashtra}', "");
    Expect(1, 43231, '\p{Block=:\Asaurashtra\z:}', "");;
    Expect(0, 43232, '\p{Block=:\Asaurashtra\z:}', "");;
    Expect(1, 43231, '\p{Block=- Saurashtra}', "");
    Expect(0, 43231, '\p{^Block=- Saurashtra}', "");
    Expect(0, 43231, '\P{Block=- Saurashtra}', "");
    Expect(1, 43231, '\P{^Block=- Saurashtra}', "");
    Expect(0, 43232, '\p{Block=- Saurashtra}', "");
    Expect(1, 43232, '\p{^Block=- Saurashtra}', "");
    Expect(1, 43232, '\P{Block=- Saurashtra}', "");
    Expect(0, 43232, '\P{^Block=- Saurashtra}', "");
    Error('\p{Blk: /a/  saurashtra}');
    Error('\P{Blk: /a/  saurashtra}');
    Expect(1, 43231, '\p{Blk=:\ASaurashtra\z:}', "");;
    Expect(0, 43232, '\p{Blk=:\ASaurashtra\z:}', "");;
    Expect(1, 43231, '\p{Blk=saurashtra}', "");
    Expect(0, 43231, '\p{^Blk=saurashtra}', "");
    Expect(0, 43231, '\P{Blk=saurashtra}', "");
    Expect(1, 43231, '\P{^Blk=saurashtra}', "");
    Expect(0, 43232, '\p{Blk=saurashtra}', "");
    Expect(1, 43232, '\p{^Blk=saurashtra}', "");
    Expect(1, 43232, '\P{Blk=saurashtra}', "");
    Expect(0, 43232, '\P{^Blk=saurashtra}', "");
    Expect(1, 43231, '\p{Blk=:\Asaurashtra\z:}', "");;
    Expect(0, 43232, '\p{Blk=:\Asaurashtra\z:}', "");;
    Expect(1, 43231, '\p{Blk= SAURASHTRA}', "");
    Expect(0, 43231, '\p{^Blk= SAURASHTRA}', "");
    Expect(0, 43231, '\P{Blk= SAURASHTRA}', "");
    Expect(1, 43231, '\P{^Blk= SAURASHTRA}', "");
    Expect(0, 43232, '\p{Blk= SAURASHTRA}', "");
    Expect(1, 43232, '\p{^Blk= SAURASHTRA}', "");
    Expect(1, 43232, '\P{Blk= SAURASHTRA}', "");
    Expect(0, 43232, '\P{^Blk= SAURASHTRA}', "");
    Error('\p{Is_Block=	:=Saurashtra}');
    Error('\P{Is_Block=	:=Saurashtra}');
    Expect(1, 43231, '\p{Is_Block=saurashtra}', "");
    Expect(0, 43231, '\p{^Is_Block=saurashtra}', "");
    Expect(0, 43231, '\P{Is_Block=saurashtra}', "");
    Expect(1, 43231, '\P{^Is_Block=saurashtra}', "");
    Expect(0, 43232, '\p{Is_Block=saurashtra}', "");
    Expect(1, 43232, '\p{^Is_Block=saurashtra}', "");
    Expect(1, 43232, '\P{Is_Block=saurashtra}', "");
    Expect(0, 43232, '\P{^Is_Block=saurashtra}', "");
    Expect(1, 43231, '\p{Is_Block=-saurashtra}', "");
    Expect(0, 43231, '\p{^Is_Block=-saurashtra}', "");
    Expect(0, 43231, '\P{Is_Block=-saurashtra}', "");
    Expect(1, 43231, '\P{^Is_Block=-saurashtra}', "");
    Expect(0, 43232, '\p{Is_Block=-saurashtra}', "");
    Expect(1, 43232, '\p{^Is_Block=-saurashtra}', "");
    Expect(1, 43232, '\P{Is_Block=-saurashtra}', "");
    Expect(0, 43232, '\P{^Is_Block=-saurashtra}', "");
    Error('\p{Is_Blk=/a/_Saurashtra}');
    Error('\P{Is_Blk=/a/_Saurashtra}');
    Expect(1, 43231, '\p{Is_Blk=saurashtra}', "");
    Expect(0, 43231, '\p{^Is_Blk=saurashtra}', "");
    Expect(0, 43231, '\P{Is_Blk=saurashtra}', "");
    Expect(1, 43231, '\P{^Is_Blk=saurashtra}', "");
    Expect(0, 43232, '\p{Is_Blk=saurashtra}', "");
    Expect(1, 43232, '\p{^Is_Blk=saurashtra}', "");
    Expect(1, 43232, '\P{Is_Blk=saurashtra}', "");
    Expect(0, 43232, '\P{^Is_Blk=saurashtra}', "");
    Expect(1, 43231, '\p{Is_Blk=_ Saurashtra}', "");
    Expect(0, 43231, '\p{^Is_Blk=_ Saurashtra}', "");
    Expect(0, 43231, '\P{Is_Blk=_ Saurashtra}', "");
    Expect(1, 43231, '\P{^Is_Blk=_ Saurashtra}', "");
    Expect(0, 43232, '\p{Is_Blk=_ Saurashtra}', "");
    Expect(1, 43232, '\p{^Is_Blk=_ Saurashtra}', "");
    Expect(1, 43232, '\P{Is_Blk=_ Saurashtra}', "");
    Expect(0, 43232, '\P{^Is_Blk=_ Saurashtra}', "");
    Error('\p{Block=/a/		Sharada}');
    Error('\P{Block=/a/		Sharada}');
    Expect(1, 70111, '\p{Block=:\ASharada\z:}', "");;
    Expect(0, 70112, '\p{Block=:\ASharada\z:}', "");;
    Expect(1, 70111, '\p{Block=sharada}', "");
    Expect(0, 70111, '\p{^Block=sharada}', "");
    Expect(0, 70111, '\P{Block=sharada}', "");
    Expect(1, 70111, '\P{^Block=sharada}', "");
    Expect(0, 70112, '\p{Block=sharada}', "");
    Expect(1, 70112, '\p{^Block=sharada}', "");
    Expect(1, 70112, '\P{Block=sharada}', "");
    Expect(0, 70112, '\P{^Block=sharada}', "");
    Expect(1, 70111, '\p{Block=:\Asharada\z:}', "");;
    Expect(0, 70112, '\p{Block=:\Asharada\z:}', "");;
    Expect(1, 70111, '\p{Block=_-Sharada}', "");
    Expect(0, 70111, '\p{^Block=_-Sharada}', "");
    Expect(0, 70111, '\P{Block=_-Sharada}', "");
    Expect(1, 70111, '\P{^Block=_-Sharada}', "");
    Expect(0, 70112, '\p{Block=_-Sharada}', "");
    Expect(1, 70112, '\p{^Block=_-Sharada}', "");
    Expect(1, 70112, '\P{Block=_-Sharada}', "");
    Expect(0, 70112, '\P{^Block=_-Sharada}', "");
    Error('\p{Blk=  SHARADA/a/}');
    Error('\P{Blk=  SHARADA/a/}');
    Expect(1, 70111, '\p{Blk=:\ASharada\z:}', "");;
    Expect(0, 70112, '\p{Blk=:\ASharada\z:}', "");;
    Expect(1, 70111, '\p{Blk=sharada}', "");
    Expect(0, 70111, '\p{^Blk=sharada}', "");
    Expect(0, 70111, '\P{Blk=sharada}', "");
    Expect(1, 70111, '\P{^Blk=sharada}', "");
    Expect(0, 70112, '\p{Blk=sharada}', "");
    Expect(1, 70112, '\p{^Blk=sharada}', "");
    Expect(1, 70112, '\P{Blk=sharada}', "");
    Expect(0, 70112, '\P{^Blk=sharada}', "");
    Expect(1, 70111, '\p{Blk=:\Asharada\z:}', "");;
    Expect(0, 70112, '\p{Blk=:\Asharada\z:}', "");;
    Expect(1, 70111, '\p{Blk=	SHARADA}', "");
    Expect(0, 70111, '\p{^Blk=	SHARADA}', "");
    Expect(0, 70111, '\P{Blk=	SHARADA}', "");
    Expect(1, 70111, '\P{^Blk=	SHARADA}', "");
    Expect(0, 70112, '\p{Blk=	SHARADA}', "");
    Expect(1, 70112, '\p{^Blk=	SHARADA}', "");
    Expect(1, 70112, '\P{Blk=	SHARADA}', "");
    Expect(0, 70112, '\P{^Blk=	SHARADA}', "");
    Error('\p{Is_Block=	_sharada/a/}');
    Error('\P{Is_Block=	_sharada/a/}');
    Expect(1, 70111, '\p{Is_Block=sharada}', "");
    Expect(0, 70111, '\p{^Is_Block=sharada}', "");
    Expect(0, 70111, '\P{Is_Block=sharada}', "");
    Expect(1, 70111, '\P{^Is_Block=sharada}', "");
    Expect(0, 70112, '\p{Is_Block=sharada}', "");
    Expect(1, 70112, '\p{^Is_Block=sharada}', "");
    Expect(1, 70112, '\P{Is_Block=sharada}', "");
    Expect(0, 70112, '\P{^Is_Block=sharada}', "");
    Expect(1, 70111, '\p{Is_Block=-	SHARADA}', "");
    Expect(0, 70111, '\p{^Is_Block=-	SHARADA}', "");
    Expect(0, 70111, '\P{Is_Block=-	SHARADA}', "");
    Expect(1, 70111, '\P{^Is_Block=-	SHARADA}', "");
    Expect(0, 70112, '\p{Is_Block=-	SHARADA}', "");
    Expect(1, 70112, '\p{^Is_Block=-	SHARADA}', "");
    Expect(1, 70112, '\P{Is_Block=-	SHARADA}', "");
    Expect(0, 70112, '\P{^Is_Block=-	SHARADA}', "");
    Error('\p{Is_Blk=sharada/a/}');
    Error('\P{Is_Blk=sharada/a/}');
    Expect(1, 70111, '\p{Is_Blk=sharada}', "");
    Expect(0, 70111, '\p{^Is_Blk=sharada}', "");
    Expect(0, 70111, '\P{Is_Blk=sharada}', "");
    Expect(1, 70111, '\P{^Is_Blk=sharada}', "");
    Expect(0, 70112, '\p{Is_Blk=sharada}', "");
    Expect(1, 70112, '\p{^Is_Blk=sharada}', "");
    Expect(1, 70112, '\P{Is_Blk=sharada}', "");
    Expect(0, 70112, '\P{^Is_Blk=sharada}', "");
    Expect(1, 70111, '\p{Is_Blk=		sharada}', "");
    Expect(0, 70111, '\p{^Is_Blk=		sharada}', "");
    Expect(0, 70111, '\P{Is_Blk=		sharada}', "");
    Expect(1, 70111, '\P{^Is_Blk=		sharada}', "");
    Expect(0, 70112, '\p{Is_Blk=		sharada}', "");
    Expect(1, 70112, '\p{^Is_Blk=		sharada}', "");
    Expect(1, 70112, '\P{Is_Blk=		sharada}', "");
    Expect(0, 70112, '\P{^Is_Blk=		sharada}', "");
    Error('\p{Block= :=Shavian}');
    Error('\P{Block= :=Shavian}');
    Expect(1, 66687, '\p{Block=:\AShavian\z:}', "");;
    Expect(0, 66688, '\p{Block=:\AShavian\z:}', "");;
    Expect(1, 66687, '\p{Block=shavian}', "");
    Expect(0, 66687, '\p{^Block=shavian}', "");
    Expect(0, 66687, '\P{Block=shavian}', "");
    Expect(1, 66687, '\P{^Block=shavian}', "");
    Expect(0, 66688, '\p{Block=shavian}', "");
    Expect(1, 66688, '\p{^Block=shavian}', "");
    Expect(1, 66688, '\P{Block=shavian}', "");
    Expect(0, 66688, '\P{^Block=shavian}', "");
    Expect(1, 66687, '\p{Block=:\Ashavian\z:}', "");;
    Expect(0, 66688, '\p{Block=:\Ashavian\z:}', "");;
    Expect(1, 66687, '\p{Block=	 Shavian}', "");
    Expect(0, 66687, '\p{^Block=	 Shavian}', "");
    Expect(0, 66687, '\P{Block=	 Shavian}', "");
    Expect(1, 66687, '\P{^Block=	 Shavian}', "");
    Expect(0, 66688, '\p{Block=	 Shavian}', "");
    Expect(1, 66688, '\p{^Block=	 Shavian}', "");
    Expect(1, 66688, '\P{Block=	 Shavian}', "");
    Expect(0, 66688, '\P{^Block=	 Shavian}', "");
    Error('\p{Blk=/a/_-shavian}');
    Error('\P{Blk=/a/_-shavian}');
    Expect(1, 66687, '\p{Blk=:\AShavian\z:}', "");;
    Expect(0, 66688, '\p{Blk=:\AShavian\z:}', "");;
    Expect(1, 66687, '\p{Blk=shavian}', "");
    Expect(0, 66687, '\p{^Blk=shavian}', "");
    Expect(0, 66687, '\P{Blk=shavian}', "");
    Expect(1, 66687, '\P{^Blk=shavian}', "");
    Expect(0, 66688, '\p{Blk=shavian}', "");
    Expect(1, 66688, '\p{^Blk=shavian}', "");
    Expect(1, 66688, '\P{Blk=shavian}', "");
    Expect(0, 66688, '\P{^Blk=shavian}', "");
    Expect(1, 66687, '\p{Blk=:\Ashavian\z:}', "");;
    Expect(0, 66688, '\p{Blk=:\Ashavian\z:}', "");;
    Expect(1, 66687, '\p{Blk=  shavian}', "");
    Expect(0, 66687, '\p{^Blk=  shavian}', "");
    Expect(0, 66687, '\P{Blk=  shavian}', "");
    Expect(1, 66687, '\P{^Blk=  shavian}', "");
    Expect(0, 66688, '\p{Blk=  shavian}', "");
    Expect(1, 66688, '\p{^Blk=  shavian}', "");
    Expect(1, 66688, '\P{Blk=  shavian}', "");
    Expect(0, 66688, '\P{^Blk=  shavian}', "");
    Error('\p{Is_Block:   /a/Shavian}');
    Error('\P{Is_Block:   /a/Shavian}');
    Expect(1, 66687, '\p{Is_Block=shavian}', "");
    Expect(0, 66687, '\p{^Is_Block=shavian}', "");
    Expect(0, 66687, '\P{Is_Block=shavian}', "");
    Expect(1, 66687, '\P{^Is_Block=shavian}', "");
    Expect(0, 66688, '\p{Is_Block=shavian}', "");
    Expect(1, 66688, '\p{^Is_Block=shavian}', "");
    Expect(1, 66688, '\P{Is_Block=shavian}', "");
    Expect(0, 66688, '\P{^Is_Block=shavian}', "");
    Expect(1, 66687, '\p{Is_Block=_-Shavian}', "");
    Expect(0, 66687, '\p{^Is_Block=_-Shavian}', "");
    Expect(0, 66687, '\P{Is_Block=_-Shavian}', "");
    Expect(1, 66687, '\P{^Is_Block=_-Shavian}', "");
    Expect(0, 66688, '\p{Is_Block=_-Shavian}', "");
    Expect(1, 66688, '\p{^Is_Block=_-Shavian}', "");
    Expect(1, 66688, '\P{Is_Block=_-Shavian}', "");
    Expect(0, 66688, '\P{^Is_Block=_-Shavian}', "");
    Error('\p{Is_Blk=-/a/Shavian}');
    Error('\P{Is_Blk=-/a/Shavian}');
    Expect(1, 66687, '\p{Is_Blk=shavian}', "");
    Expect(0, 66687, '\p{^Is_Blk=shavian}', "");
    Expect(0, 66687, '\P{Is_Blk=shavian}', "");
    Expect(1, 66687, '\P{^Is_Blk=shavian}', "");
    Expect(0, 66688, '\p{Is_Blk=shavian}', "");
    Expect(1, 66688, '\p{^Is_Blk=shavian}', "");
    Expect(1, 66688, '\P{Is_Blk=shavian}', "");
    Expect(0, 66688, '\P{^Is_Blk=shavian}', "");
    Expect(1, 66687, '\p{Is_Blk=-Shavian}', "");
    Expect(0, 66687, '\p{^Is_Blk=-Shavian}', "");
    Expect(0, 66687, '\P{Is_Blk=-Shavian}', "");
    Expect(1, 66687, '\P{^Is_Blk=-Shavian}', "");
    Expect(0, 66688, '\p{Is_Blk=-Shavian}', "");
    Expect(1, 66688, '\p{^Is_Blk=-Shavian}', "");
    Expect(1, 66688, '\P{Is_Blk=-Shavian}', "");
    Expect(0, 66688, '\P{^Is_Blk=-Shavian}', "");
    Error('\p{Block=_:=SHORTHAND_Format_Controls}');
    Error('\P{Block=_:=SHORTHAND_Format_Controls}');
    Expect(1, 113839, '\p{Block=:\AShorthand_Format_Controls\z:}', "");;
    Expect(0, 113840, '\p{Block=:\AShorthand_Format_Controls\z:}', "");;
    Expect(1, 113839, '\p{Block=shorthandformatcontrols}', "");
    Expect(0, 113839, '\p{^Block=shorthandformatcontrols}', "");
    Expect(0, 113839, '\P{Block=shorthandformatcontrols}', "");
    Expect(1, 113839, '\P{^Block=shorthandformatcontrols}', "");
    Expect(0, 113840, '\p{Block=shorthandformatcontrols}', "");
    Expect(1, 113840, '\p{^Block=shorthandformatcontrols}', "");
    Expect(1, 113840, '\P{Block=shorthandformatcontrols}', "");
    Expect(0, 113840, '\P{^Block=shorthandformatcontrols}', "");
    Expect(1, 113839, '\p{Block=:\Ashorthandformatcontrols\z:}', "");;
    Expect(0, 113840, '\p{Block=:\Ashorthandformatcontrols\z:}', "");;
    Expect(1, 113839, '\p{Block=_ Shorthand_FORMAT_Controls}', "");
    Expect(0, 113839, '\p{^Block=_ Shorthand_FORMAT_Controls}', "");
    Expect(0, 113839, '\P{Block=_ Shorthand_FORMAT_Controls}', "");
    Expect(1, 113839, '\P{^Block=_ Shorthand_FORMAT_Controls}', "");
    Expect(0, 113840, '\p{Block=_ Shorthand_FORMAT_Controls}', "");
    Expect(1, 113840, '\p{^Block=_ Shorthand_FORMAT_Controls}', "");
    Expect(1, 113840, '\P{Block=_ Shorthand_FORMAT_Controls}', "");
    Expect(0, 113840, '\P{^Block=_ Shorthand_FORMAT_Controls}', "");
    Error('\p{Blk=/a/  Shorthand_Format_Controls}');
    Error('\P{Blk=/a/  Shorthand_Format_Controls}');
    Expect(1, 113839, '\p{Blk=:\AShorthand_Format_Controls\z:}', "");;
    Expect(0, 113840, '\p{Blk=:\AShorthand_Format_Controls\z:}', "");;
    Expect(1, 113839, '\p{Blk=shorthandformatcontrols}', "");
    Expect(0, 113839, '\p{^Blk=shorthandformatcontrols}', "");
    Expect(0, 113839, '\P{Blk=shorthandformatcontrols}', "");
    Expect(1, 113839, '\P{^Blk=shorthandformatcontrols}', "");
    Expect(0, 113840, '\p{Blk=shorthandformatcontrols}', "");
    Expect(1, 113840, '\p{^Blk=shorthandformatcontrols}', "");
    Expect(1, 113840, '\P{Blk=shorthandformatcontrols}', "");
    Expect(0, 113840, '\P{^Blk=shorthandformatcontrols}', "");
    Expect(1, 113839, '\p{Blk=:\Ashorthandformatcontrols\z:}', "");;
    Expect(0, 113840, '\p{Blk=:\Ashorthandformatcontrols\z:}', "");;
    Expect(1, 113839, '\p{Blk=--Shorthand_format_Controls}', "");
    Expect(0, 113839, '\p{^Blk=--Shorthand_format_Controls}', "");
    Expect(0, 113839, '\P{Blk=--Shorthand_format_Controls}', "");
    Expect(1, 113839, '\P{^Blk=--Shorthand_format_Controls}', "");
    Expect(0, 113840, '\p{Blk=--Shorthand_format_Controls}', "");
    Expect(1, 113840, '\p{^Blk=--Shorthand_format_Controls}', "");
    Expect(1, 113840, '\P{Blk=--Shorthand_format_Controls}', "");
    Expect(0, 113840, '\P{^Blk=--Shorthand_format_Controls}', "");
    Error('\p{Is_Block=-/a/shorthand_format_Controls}');
    Error('\P{Is_Block=-/a/shorthand_format_Controls}');
    Expect(1, 113839, '\p{Is_Block=shorthandformatcontrols}', "");
    Expect(0, 113839, '\p{^Is_Block=shorthandformatcontrols}', "");
    Expect(0, 113839, '\P{Is_Block=shorthandformatcontrols}', "");
    Expect(1, 113839, '\P{^Is_Block=shorthandformatcontrols}', "");
    Expect(0, 113840, '\p{Is_Block=shorthandformatcontrols}', "");
    Expect(1, 113840, '\p{^Is_Block=shorthandformatcontrols}', "");
    Expect(1, 113840, '\P{Is_Block=shorthandformatcontrols}', "");
    Expect(0, 113840, '\P{^Is_Block=shorthandformatcontrols}', "");
    Expect(1, 113839, '\p{Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Expect(0, 113839, '\p{^Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Expect(0, 113839, '\P{Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Expect(1, 113839, '\P{^Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Expect(0, 113840, '\p{Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Expect(1, 113840, '\p{^Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Expect(1, 113840, '\P{Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Expect(0, 113840, '\P{^Is_Block=	-Shorthand_Format_CONTROLS}', "");
    Error('\p{Is_Blk=:= SHORTHAND_FORMAT_Controls}');
    Error('\P{Is_Blk=:= SHORTHAND_FORMAT_Controls}');
    Expect(1, 113839, '\p{Is_Blk=shorthandformatcontrols}', "");
    Expect(0, 113839, '\p{^Is_Blk=shorthandformatcontrols}', "");
    Expect(0, 113839, '\P{Is_Blk=shorthandformatcontrols}', "");
    Expect(1, 113839, '\P{^Is_Blk=shorthandformatcontrols}', "");
    Expect(0, 113840, '\p{Is_Blk=shorthandformatcontrols}', "");
    Expect(1, 113840, '\p{^Is_Blk=shorthandformatcontrols}', "");
    Expect(1, 113840, '\P{Is_Blk=shorthandformatcontrols}', "");
    Expect(0, 113840, '\P{^Is_Blk=shorthandformatcontrols}', "");
    Expect(1, 113839, '\p{Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Expect(0, 113839, '\p{^Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Expect(0, 113839, '\P{Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Expect(1, 113839, '\P{^Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Expect(0, 113840, '\p{Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Expect(1, 113840, '\p{^Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Expect(1, 113840, '\P{Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Expect(0, 113840, '\P{^Is_Blk= -Shorthand_FORMAT_Controls}', "");
    Error('\p{Block=/a/-siddham}');
    Error('\P{Block=/a/-siddham}');
    Expect(1, 71167, '\p{Block=:\ASiddham\z:}', "");;
    Expect(0, 71168, '\p{Block=:\ASiddham\z:}', "");;
    Expect(1, 71167, '\p{Block=siddham}', "");
    Expect(0, 71167, '\p{^Block=siddham}', "");
    Expect(0, 71167, '\P{Block=siddham}', "");
    Expect(1, 71167, '\P{^Block=siddham}', "");
    Expect(0, 71168, '\p{Block=siddham}', "");
    Expect(1, 71168, '\p{^Block=siddham}', "");
    Expect(1, 71168, '\P{Block=siddham}', "");
    Expect(0, 71168, '\P{^Block=siddham}', "");
    Expect(1, 71167, '\p{Block=:\Asiddham\z:}', "");;
    Expect(0, 71168, '\p{Block=:\Asiddham\z:}', "");;
    Expect(1, 71167, '\p{Block=	Siddham}', "");
    Expect(0, 71167, '\p{^Block=	Siddham}', "");
    Expect(0, 71167, '\P{Block=	Siddham}', "");
    Expect(1, 71167, '\P{^Block=	Siddham}', "");
    Expect(0, 71168, '\p{Block=	Siddham}', "");
    Expect(1, 71168, '\p{^Block=	Siddham}', "");
    Expect(1, 71168, '\P{Block=	Siddham}', "");
    Expect(0, 71168, '\P{^Block=	Siddham}', "");
    Error('\p{Blk=	_Siddham:=}');
    Error('\P{Blk=	_Siddham:=}');
    Expect(1, 71167, '\p{Blk=:\ASiddham\z:}', "");;
    Expect(0, 71168, '\p{Blk=:\ASiddham\z:}', "");;
    Expect(1, 71167, '\p{Blk=siddham}', "");
    Expect(0, 71167, '\p{^Blk=siddham}', "");
    Expect(0, 71167, '\P{Blk=siddham}', "");
    Expect(1, 71167, '\P{^Blk=siddham}', "");
    Expect(0, 71168, '\p{Blk=siddham}', "");
    Expect(1, 71168, '\p{^Blk=siddham}', "");
    Expect(1, 71168, '\P{Blk=siddham}', "");
    Expect(0, 71168, '\P{^Blk=siddham}', "");
    Expect(1, 71167, '\p{Blk=:\Asiddham\z:}', "");;
    Expect(0, 71168, '\p{Blk=:\Asiddham\z:}', "");;
    Expect(1, 71167, '\p{Blk= 	Siddham}', "");
    Expect(0, 71167, '\p{^Blk= 	Siddham}', "");
    Expect(0, 71167, '\P{Blk= 	Siddham}', "");
    Expect(1, 71167, '\P{^Blk= 	Siddham}', "");
    Expect(0, 71168, '\p{Blk= 	Siddham}', "");
    Expect(1, 71168, '\p{^Blk= 	Siddham}', "");
    Expect(1, 71168, '\P{Blk= 	Siddham}', "");
    Expect(0, 71168, '\P{^Blk= 	Siddham}', "");
    Error('\p{Is_Block=:=_Siddham}');
    Error('\P{Is_Block=:=_Siddham}');
    Expect(1, 71167, '\p{Is_Block=siddham}', "");
    Expect(0, 71167, '\p{^Is_Block=siddham}', "");
    Expect(0, 71167, '\P{Is_Block=siddham}', "");
    Expect(1, 71167, '\P{^Is_Block=siddham}', "");
    Expect(0, 71168, '\p{Is_Block=siddham}', "");
    Expect(1, 71168, '\p{^Is_Block=siddham}', "");
    Expect(1, 71168, '\P{Is_Block=siddham}', "");
    Expect(0, 71168, '\P{^Is_Block=siddham}', "");
    Expect(1, 71167, '\p{Is_Block=-siddham}', "");
    Expect(0, 71167, '\p{^Is_Block=-siddham}', "");
    Expect(0, 71167, '\P{Is_Block=-siddham}', "");
    Expect(1, 71167, '\P{^Is_Block=-siddham}', "");
    Expect(0, 71168, '\p{Is_Block=-siddham}', "");
    Expect(1, 71168, '\p{^Is_Block=-siddham}', "");
    Expect(1, 71168, '\P{Is_Block=-siddham}', "");
    Expect(0, 71168, '\P{^Is_Block=-siddham}', "");
    Error('\p{Is_Blk=_SIDDHAM/a/}');
    Error('\P{Is_Blk=_SIDDHAM/a/}');
    Expect(1, 71167, '\p{Is_Blk=siddham}', "");
    Expect(0, 71167, '\p{^Is_Blk=siddham}', "");
    Expect(0, 71167, '\P{Is_Blk=siddham}', "");
    Expect(1, 71167, '\P{^Is_Blk=siddham}', "");
    Expect(0, 71168, '\p{Is_Blk=siddham}', "");
    Expect(1, 71168, '\p{^Is_Blk=siddham}', "");
    Expect(1, 71168, '\P{Is_Blk=siddham}', "");
    Expect(0, 71168, '\P{^Is_Blk=siddham}', "");
    Expect(1, 71167, '\p{Is_Blk=	_Siddham}', "");
    Expect(0, 71167, '\p{^Is_Blk=	_Siddham}', "");
    Expect(0, 71167, '\P{Is_Blk=	_Siddham}', "");
    Expect(1, 71167, '\P{^Is_Blk=	_Siddham}', "");
    Expect(0, 71168, '\p{Is_Blk=	_Siddham}', "");
    Expect(1, 71168, '\p{^Is_Blk=	_Siddham}', "");
    Expect(1, 71168, '\P{Is_Blk=	_Siddham}', "");
    Expect(0, 71168, '\P{^Is_Blk=	_Siddham}', "");
    Error('\p{Block=:=	sinhala}');
    Error('\P{Block=:=	sinhala}');
    Expect(1, 3583, '\p{Block=:\ASinhala\z:}', "");;
    Expect(0, 3584, '\p{Block=:\ASinhala\z:}', "");;
    Expect(1, 3583, '\p{Block=sinhala}', "");
    Expect(0, 3583, '\p{^Block=sinhala}', "");
    Expect(0, 3583, '\P{Block=sinhala}', "");
    Expect(1, 3583, '\P{^Block=sinhala}', "");
    Expect(0, 3584, '\p{Block=sinhala}', "");
    Expect(1, 3584, '\p{^Block=sinhala}', "");
    Expect(1, 3584, '\P{Block=sinhala}', "");
    Expect(0, 3584, '\P{^Block=sinhala}', "");
    Expect(1, 3583, '\p{Block=:\Asinhala\z:}', "");;
    Expect(0, 3584, '\p{Block=:\Asinhala\z:}', "");;
    Expect(1, 3583, '\p{Block= 	sinhala}', "");
    Expect(0, 3583, '\p{^Block= 	sinhala}', "");
    Expect(0, 3583, '\P{Block= 	sinhala}', "");
    Expect(1, 3583, '\P{^Block= 	sinhala}', "");
    Expect(0, 3584, '\p{Block= 	sinhala}', "");
    Expect(1, 3584, '\p{^Block= 	sinhala}', "");
    Expect(1, 3584, '\P{Block= 	sinhala}', "");
    Expect(0, 3584, '\P{^Block= 	sinhala}', "");
    Error('\p{Blk=:=_Sinhala}');
    Error('\P{Blk=:=_Sinhala}');
    Expect(1, 3583, '\p{Blk=:\ASinhala\z:}', "");;
    Expect(0, 3584, '\p{Blk=:\ASinhala\z:}', "");;
    Expect(1, 3583, '\p{Blk=sinhala}', "");
    Expect(0, 3583, '\p{^Blk=sinhala}', "");
    Expect(0, 3583, '\P{Blk=sinhala}', "");
    Expect(1, 3583, '\P{^Blk=sinhala}', "");
    Expect(0, 3584, '\p{Blk=sinhala}', "");
    Expect(1, 3584, '\p{^Blk=sinhala}', "");
    Expect(1, 3584, '\P{Blk=sinhala}', "");
    Expect(0, 3584, '\P{^Blk=sinhala}', "");
    Expect(1, 3583, '\p{Blk=:\Asinhala\z:}', "");;
    Expect(0, 3584, '\p{Blk=:\Asinhala\z:}', "");;
    Expect(1, 3583, '\p{Blk=- sinhala}', "");
    Expect(0, 3583, '\p{^Blk=- sinhala}', "");
    Expect(0, 3583, '\P{Blk=- sinhala}', "");
    Expect(1, 3583, '\P{^Blk=- sinhala}', "");
    Expect(0, 3584, '\p{Blk=- sinhala}', "");
    Expect(1, 3584, '\p{^Blk=- sinhala}', "");
    Expect(1, 3584, '\P{Blk=- sinhala}', "");
    Expect(0, 3584, '\P{^Blk=- sinhala}', "");
    Error('\p{Is_Block:_:=SINHALA}');
    Error('\P{Is_Block:_:=SINHALA}');
    Expect(1, 3583, '\p{Is_Block=sinhala}', "");
    Expect(0, 3583, '\p{^Is_Block=sinhala}', "");
    Expect(0, 3583, '\P{Is_Block=sinhala}', "");
    Expect(1, 3583, '\P{^Is_Block=sinhala}', "");
    Expect(0, 3584, '\p{Is_Block=sinhala}', "");
    Expect(1, 3584, '\p{^Is_Block=sinhala}', "");
    Expect(1, 3584, '\P{Is_Block=sinhala}', "");
    Expect(0, 3584, '\P{^Is_Block=sinhala}', "");
    Expect(1, 3583, '\p{Is_Block=	SINHALA}', "");
    Expect(0, 3583, '\p{^Is_Block=	SINHALA}', "");
    Expect(0, 3583, '\P{Is_Block=	SINHALA}', "");
    Expect(1, 3583, '\P{^Is_Block=	SINHALA}', "");
    Expect(0, 3584, '\p{Is_Block=	SINHALA}', "");
    Expect(1, 3584, '\p{^Is_Block=	SINHALA}', "");
    Expect(1, 3584, '\P{Is_Block=	SINHALA}', "");
    Expect(0, 3584, '\P{^Is_Block=	SINHALA}', "");
    Error('\p{Is_Blk=	/a/SINHALA}');
    Error('\P{Is_Blk=	/a/SINHALA}');
    Expect(1, 3583, '\p{Is_Blk=sinhala}', "");
    Expect(0, 3583, '\p{^Is_Blk=sinhala}', "");
    Expect(0, 3583, '\P{Is_Blk=sinhala}', "");
    Expect(1, 3583, '\P{^Is_Blk=sinhala}', "");
    Expect(0, 3584, '\p{Is_Blk=sinhala}', "");
    Expect(1, 3584, '\p{^Is_Blk=sinhala}', "");
    Expect(1, 3584, '\P{Is_Blk=sinhala}', "");
    Expect(0, 3584, '\P{^Is_Blk=sinhala}', "");
    Expect(1, 3583, '\p{Is_Blk=	SINHALA}', "");
    Expect(0, 3583, '\p{^Is_Blk=	SINHALA}', "");
    Expect(0, 3583, '\P{Is_Blk=	SINHALA}', "");
    Expect(1, 3583, '\P{^Is_Blk=	SINHALA}', "");
    Expect(0, 3584, '\p{Is_Blk=	SINHALA}', "");
    Expect(1, 3584, '\p{^Is_Blk=	SINHALA}', "");
    Expect(1, 3584, '\P{Is_Blk=	SINHALA}', "");
    Expect(0, 3584, '\P{^Is_Blk=	SINHALA}', "");
    Error('\p{Block=-:=Sinhala_archaic_Numbers}');
    Error('\P{Block=-:=Sinhala_archaic_Numbers}');
    Expect(1, 70143, '\p{Block=:\ASinhala_Archaic_Numbers\z:}', "");;
    Expect(0, 70144, '\p{Block=:\ASinhala_Archaic_Numbers\z:}', "");;
    Expect(1, 70143, '\p{Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\p{^Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\P{Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\P{^Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\p{Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\p{^Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\P{Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\P{^Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\p{Block=:\Asinhalaarchaicnumbers\z:}', "");;
    Expect(0, 70144, '\p{Block=:\Asinhalaarchaicnumbers\z:}', "");;
    Expect(1, 70143, '\p{Block= _sinhala_archaic_NUMBERS}', "");
    Expect(0, 70143, '\p{^Block= _sinhala_archaic_NUMBERS}', "");
    Expect(0, 70143, '\P{Block= _sinhala_archaic_NUMBERS}', "");
    Expect(1, 70143, '\P{^Block= _sinhala_archaic_NUMBERS}', "");
    Expect(0, 70144, '\p{Block= _sinhala_archaic_NUMBERS}', "");
    Expect(1, 70144, '\p{^Block= _sinhala_archaic_NUMBERS}', "");
    Expect(1, 70144, '\P{Block= _sinhala_archaic_NUMBERS}', "");
    Expect(0, 70144, '\P{^Block= _sinhala_archaic_NUMBERS}', "");
    Error('\p{Blk:/a/-SINHALA_Archaic_Numbers}');
    Error('\P{Blk:/a/-SINHALA_Archaic_Numbers}');
    Expect(1, 70143, '\p{Blk=:\ASinhala_Archaic_Numbers\z:}', "");;
    Expect(0, 70144, '\p{Blk=:\ASinhala_Archaic_Numbers\z:}', "");;
    Expect(1, 70143, '\p{Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\p{^Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\P{Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\P{^Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\p{Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\p{^Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\P{Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\P{^Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\p{Blk=:\Asinhalaarchaicnumbers\z:}', "");;
    Expect(0, 70144, '\p{Blk=:\Asinhalaarchaicnumbers\z:}', "");;
    Expect(1, 70143, '\p{Blk= 	SINHALA_Archaic_Numbers}', "");
    Expect(0, 70143, '\p{^Blk= 	SINHALA_Archaic_Numbers}', "");
    Expect(0, 70143, '\P{Blk= 	SINHALA_Archaic_Numbers}', "");
    Expect(1, 70143, '\P{^Blk= 	SINHALA_Archaic_Numbers}', "");
    Expect(0, 70144, '\p{Blk= 	SINHALA_Archaic_Numbers}', "");
    Expect(1, 70144, '\p{^Blk= 	SINHALA_Archaic_Numbers}', "");
    Expect(1, 70144, '\P{Blk= 	SINHALA_Archaic_Numbers}', "");
    Expect(0, 70144, '\P{^Blk= 	SINHALA_Archaic_Numbers}', "");
    Error('\p{Is_Block=/a/ 	sinhala_ARCHAIC_numbers}');
    Error('\P{Is_Block=/a/ 	sinhala_ARCHAIC_numbers}');
    Expect(1, 70143, '\p{Is_Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\p{^Is_Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\P{Is_Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\P{^Is_Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\p{Is_Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\p{^Is_Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\P{Is_Block=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\P{^Is_Block=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\p{Is_Block= SINHALA_archaic_numbers}', "");
    Expect(0, 70143, '\p{^Is_Block= SINHALA_archaic_numbers}', "");
    Expect(0, 70143, '\P{Is_Block= SINHALA_archaic_numbers}', "");
    Expect(1, 70143, '\P{^Is_Block= SINHALA_archaic_numbers}', "");
    Expect(0, 70144, '\p{Is_Block= SINHALA_archaic_numbers}', "");
    Expect(1, 70144, '\p{^Is_Block= SINHALA_archaic_numbers}', "");
    Expect(1, 70144, '\P{Is_Block= SINHALA_archaic_numbers}', "");
    Expect(0, 70144, '\P{^Is_Block= SINHALA_archaic_numbers}', "");
    Error('\p{Is_Blk=:=	Sinhala_Archaic_numbers}');
    Error('\P{Is_Blk=:=	Sinhala_Archaic_numbers}');
    Expect(1, 70143, '\p{Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\p{^Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\P{Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\P{^Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\p{Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\p{^Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\P{Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\P{^Is_Blk=sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\p{Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Expect(0, 70143, '\p{^Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Expect(0, 70143, '\P{Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Expect(1, 70143, '\P{^Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Expect(0, 70144, '\p{Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Expect(1, 70144, '\p{^Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Expect(1, 70144, '\P{Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Expect(0, 70144, '\P{^Is_Blk=-	Sinhala_archaic_Numbers}', "");
    Error('\p{Block=	:=Small_Form_VARIANTS}');
    Error('\P{Block=	:=Small_Form_VARIANTS}');
    Expect(1, 65135, '\p{Block=:\ASmall_Form_Variants\z:}', "");;
    Expect(0, 65136, '\p{Block=:\ASmall_Form_Variants\z:}', "");;
    Expect(1, 65135, '\p{Block=smallformvariants}', "");
    Expect(0, 65135, '\p{^Block=smallformvariants}', "");
    Expect(0, 65135, '\P{Block=smallformvariants}', "");
    Expect(1, 65135, '\P{^Block=smallformvariants}', "");
    Expect(0, 65136, '\p{Block=smallformvariants}', "");
    Expect(1, 65136, '\p{^Block=smallformvariants}', "");
    Expect(1, 65136, '\P{Block=smallformvariants}', "");
    Expect(0, 65136, '\P{^Block=smallformvariants}', "");
    Expect(1, 65135, '\p{Block=:\Asmallformvariants\z:}', "");;
    Expect(0, 65136, '\p{Block=:\Asmallformvariants\z:}', "");;
    Expect(1, 65135, '\p{Block=-Small_form_VARIANTS}', "");
    Expect(0, 65135, '\p{^Block=-Small_form_VARIANTS}', "");
    Expect(0, 65135, '\P{Block=-Small_form_VARIANTS}', "");
    Expect(1, 65135, '\P{^Block=-Small_form_VARIANTS}', "");
    Expect(0, 65136, '\p{Block=-Small_form_VARIANTS}', "");
    Expect(1, 65136, '\p{^Block=-Small_form_VARIANTS}', "");
    Expect(1, 65136, '\P{Block=-Small_form_VARIANTS}', "");
    Expect(0, 65136, '\P{^Block=-Small_form_VARIANTS}', "");
    Error('\p{Blk=	/a/SMALL_FORMS}');
    Error('\P{Blk=	/a/SMALL_FORMS}');
    Expect(1, 65135, '\p{Blk=:\ASmall_Forms\z:}', "");;
    Expect(0, 65136, '\p{Blk=:\ASmall_Forms\z:}', "");;
    Expect(1, 65135, '\p{Blk=smallforms}', "");
    Expect(0, 65135, '\p{^Blk=smallforms}', "");
    Expect(0, 65135, '\P{Blk=smallforms}', "");
    Expect(1, 65135, '\P{^Blk=smallforms}', "");
    Expect(0, 65136, '\p{Blk=smallforms}', "");
    Expect(1, 65136, '\p{^Blk=smallforms}', "");
    Expect(1, 65136, '\P{Blk=smallforms}', "");
    Expect(0, 65136, '\P{^Blk=smallforms}', "");
    Expect(1, 65135, '\p{Blk=:\Asmallforms\z:}', "");;
    Expect(0, 65136, '\p{Blk=:\Asmallforms\z:}', "");;
    Expect(1, 65135, '\p{Blk=	Small_forms}', "");
    Expect(0, 65135, '\p{^Blk=	Small_forms}', "");
    Expect(0, 65135, '\P{Blk=	Small_forms}', "");
    Expect(1, 65135, '\P{^Blk=	Small_forms}', "");
    Expect(0, 65136, '\p{Blk=	Small_forms}', "");
    Expect(1, 65136, '\p{^Blk=	Small_forms}', "");
    Expect(1, 65136, '\P{Blk=	Small_forms}', "");
    Expect(0, 65136, '\P{^Blk=	Small_forms}', "");
    Error('\p{Is_Block=/a/SMALL_form_VARIANTS}');
    Error('\P{Is_Block=/a/SMALL_form_VARIANTS}');
    Expect(1, 65135, '\p{Is_Block=smallformvariants}', "");
    Expect(0, 65135, '\p{^Is_Block=smallformvariants}', "");
    Expect(0, 65135, '\P{Is_Block=smallformvariants}', "");
    Expect(1, 65135, '\P{^Is_Block=smallformvariants}', "");
    Expect(0, 65136, '\p{Is_Block=smallformvariants}', "");
    Expect(1, 65136, '\p{^Is_Block=smallformvariants}', "");
    Expect(1, 65136, '\P{Is_Block=smallformvariants}', "");
    Expect(0, 65136, '\P{^Is_Block=smallformvariants}', "");
    Expect(1, 65135, '\p{Is_Block=	SMALL_Form_Variants}', "");
    Expect(0, 65135, '\p{^Is_Block=	SMALL_Form_Variants}', "");
    Expect(0, 65135, '\P{Is_Block=	SMALL_Form_Variants}', "");
    Expect(1, 65135, '\P{^Is_Block=	SMALL_Form_Variants}', "");
    Expect(0, 65136, '\p{Is_Block=	SMALL_Form_Variants}', "");
    Expect(1, 65136, '\p{^Is_Block=	SMALL_Form_Variants}', "");
    Expect(1, 65136, '\P{Is_Block=	SMALL_Form_Variants}', "");
    Expect(0, 65136, '\P{^Is_Block=	SMALL_Form_Variants}', "");
    Error('\p{Is_Blk=:= -Small_FORMS}');
    Error('\P{Is_Blk=:= -Small_FORMS}');
    Expect(1, 65135, '\p{Is_Blk=smallforms}', "");
    Expect(0, 65135, '\p{^Is_Blk=smallforms}', "");
    Expect(0, 65135, '\P{Is_Blk=smallforms}', "");
    Expect(1, 65135, '\P{^Is_Blk=smallforms}', "");
    Expect(0, 65136, '\p{Is_Blk=smallforms}', "");
    Expect(1, 65136, '\p{^Is_Blk=smallforms}', "");
    Expect(1, 65136, '\P{Is_Blk=smallforms}', "");
    Expect(0, 65136, '\P{^Is_Blk=smallforms}', "");
    Expect(1, 65135, '\p{Is_Blk=  small_Forms}', "");
    Expect(0, 65135, '\p{^Is_Blk=  small_Forms}', "");
    Expect(0, 65135, '\P{Is_Blk=  small_Forms}', "");
    Expect(1, 65135, '\P{^Is_Blk=  small_Forms}', "");
    Expect(0, 65136, '\p{Is_Blk=  small_Forms}', "");
    Expect(1, 65136, '\p{^Is_Blk=  small_Forms}', "");
    Expect(1, 65136, '\P{Is_Blk=  small_Forms}', "");
    Expect(0, 65136, '\P{^Is_Blk=  small_Forms}', "");
    Error('\p{Block=:=small_kana_Extension}');
    Error('\P{Block=:=small_kana_Extension}');
    Expect(1, 110959, '\p{Block=:\ASmall_Kana_Extension\z:}', "");;
    Expect(0, 110960, '\p{Block=:\ASmall_Kana_Extension\z:}', "");;
    Expect(1, 110959, '\p{Block=smallkanaextension}', "");
    Expect(0, 110959, '\p{^Block=smallkanaextension}', "");
    Expect(0, 110959, '\P{Block=smallkanaextension}', "");
    Expect(1, 110959, '\P{^Block=smallkanaextension}', "");
    Expect(0, 110960, '\p{Block=smallkanaextension}', "");
    Expect(1, 110960, '\p{^Block=smallkanaextension}', "");
    Expect(1, 110960, '\P{Block=smallkanaextension}', "");
    Expect(0, 110960, '\P{^Block=smallkanaextension}', "");
    Expect(1, 110959, '\p{Block=:\Asmallkanaextension\z:}', "");;
    Expect(0, 110960, '\p{Block=:\Asmallkanaextension\z:}', "");;
    Expect(1, 110959, '\p{Block:  _SMALL_kana_EXTENSION}', "");
    Expect(0, 110959, '\p{^Block:  _SMALL_kana_EXTENSION}', "");
    Expect(0, 110959, '\P{Block:  _SMALL_kana_EXTENSION}', "");
    Expect(1, 110959, '\P{^Block:  _SMALL_kana_EXTENSION}', "");
    Expect(0, 110960, '\p{Block:  _SMALL_kana_EXTENSION}', "");
    Expect(1, 110960, '\p{^Block:  _SMALL_kana_EXTENSION}', "");
    Expect(1, 110960, '\P{Block:  _SMALL_kana_EXTENSION}', "");
    Expect(0, 110960, '\P{^Block:  _SMALL_kana_EXTENSION}', "");
    Error('\p{Blk= :=SMALL_Kana_Ext}');
    Error('\P{Blk= :=SMALL_Kana_Ext}');
    Expect(1, 110959, '\p{Blk=:\ASmall_Kana_Ext\z:}', "");;
    Expect(0, 110960, '\p{Blk=:\ASmall_Kana_Ext\z:}', "");;
    Expect(1, 110959, '\p{Blk: smallkanaext}', "");
    Expect(0, 110959, '\p{^Blk: smallkanaext}', "");
    Expect(0, 110959, '\P{Blk: smallkanaext}', "");
    Expect(1, 110959, '\P{^Blk: smallkanaext}', "");
    Expect(0, 110960, '\p{Blk: smallkanaext}', "");
    Expect(1, 110960, '\p{^Blk: smallkanaext}', "");
    Expect(1, 110960, '\P{Blk: smallkanaext}', "");
    Expect(0, 110960, '\P{^Blk: smallkanaext}', "");
    Expect(1, 110959, '\p{Blk=:\Asmallkanaext\z:}', "");;
    Expect(0, 110960, '\p{Blk=:\Asmallkanaext\z:}', "");;
    Expect(1, 110959, '\p{Blk= SMALL_Kana_Ext}', "");
    Expect(0, 110959, '\p{^Blk= SMALL_Kana_Ext}', "");
    Expect(0, 110959, '\P{Blk= SMALL_Kana_Ext}', "");
    Expect(1, 110959, '\P{^Blk= SMALL_Kana_Ext}', "");
    Expect(0, 110960, '\p{Blk= SMALL_Kana_Ext}', "");
    Expect(1, 110960, '\p{^Blk= SMALL_Kana_Ext}', "");
    Expect(1, 110960, '\P{Blk= SMALL_Kana_Ext}', "");
    Expect(0, 110960, '\P{^Blk= SMALL_Kana_Ext}', "");
    Error('\p{Is_Block=/a/		Small_KANA_Extension}');
    Error('\P{Is_Block=/a/		Small_KANA_Extension}');
    Expect(1, 110959, '\p{Is_Block=smallkanaextension}', "");
    Expect(0, 110959, '\p{^Is_Block=smallkanaextension}', "");
    Expect(0, 110959, '\P{Is_Block=smallkanaextension}', "");
    Expect(1, 110959, '\P{^Is_Block=smallkanaextension}', "");
    Expect(0, 110960, '\p{Is_Block=smallkanaextension}', "");
    Expect(1, 110960, '\p{^Is_Block=smallkanaextension}', "");
    Expect(1, 110960, '\P{Is_Block=smallkanaextension}', "");
    Expect(0, 110960, '\P{^Is_Block=smallkanaextension}', "");
    Expect(1, 110959, '\p{Is_Block=		SMALL_Kana_Extension}', "");
    Expect(0, 110959, '\p{^Is_Block=		SMALL_Kana_Extension}', "");
    Expect(0, 110959, '\P{Is_Block=		SMALL_Kana_Extension}', "");
    Expect(1, 110959, '\P{^Is_Block=		SMALL_Kana_Extension}', "");
    Expect(0, 110960, '\p{Is_Block=		SMALL_Kana_Extension}', "");
    Expect(1, 110960, '\p{^Is_Block=		SMALL_Kana_Extension}', "");
    Expect(1, 110960, '\P{Is_Block=		SMALL_Kana_Extension}', "");
    Expect(0, 110960, '\P{^Is_Block=		SMALL_Kana_Extension}', "");
    Error('\p{Is_Blk:-/a/SMALL_KANA_Ext}');
    Error('\P{Is_Blk:-/a/SMALL_KANA_Ext}');
    Expect(1, 110959, '\p{Is_Blk=smallkanaext}', "");
    Expect(0, 110959, '\p{^Is_Blk=smallkanaext}', "");
    Expect(0, 110959, '\P{Is_Blk=smallkanaext}', "");
    Expect(1, 110959, '\P{^Is_Blk=smallkanaext}', "");
    Expect(0, 110960, '\p{Is_Blk=smallkanaext}', "");
    Expect(1, 110960, '\p{^Is_Blk=smallkanaext}', "");
    Expect(1, 110960, '\P{Is_Blk=smallkanaext}', "");
    Expect(0, 110960, '\P{^Is_Blk=smallkanaext}', "");
    Expect(1, 110959, '\p{Is_Blk= -Small_KANA_EXT}', "");
    Expect(0, 110959, '\p{^Is_Blk= -Small_KANA_EXT}', "");
    Expect(0, 110959, '\P{Is_Blk= -Small_KANA_EXT}', "");
    Expect(1, 110959, '\P{^Is_Blk= -Small_KANA_EXT}', "");
    Expect(0, 110960, '\p{Is_Blk= -Small_KANA_EXT}', "");
    Expect(1, 110960, '\p{^Is_Blk= -Small_KANA_EXT}', "");
    Expect(1, 110960, '\P{Is_Blk= -Small_KANA_EXT}', "");
    Expect(0, 110960, '\P{^Is_Blk= -Small_KANA_EXT}', "");
    Error('\p{Block=/a/-	Sogdian}');
    Error('\P{Block=/a/-	Sogdian}');
    Expect(1, 69487, '\p{Block=:\ASogdian\z:}', "");;
    Expect(0, 69488, '\p{Block=:\ASogdian\z:}', "");;
    Expect(1, 69487, '\p{Block=sogdian}', "");
    Expect(0, 69487, '\p{^Block=sogdian}', "");
    Expect(0, 69487, '\P{Block=sogdian}', "");
    Expect(1, 69487, '\P{^Block=sogdian}', "");
    Expect(0, 69488, '\p{Block=sogdian}', "");
    Expect(1, 69488, '\p{^Block=sogdian}', "");
    Expect(1, 69488, '\P{Block=sogdian}', "");
    Expect(0, 69488, '\P{^Block=sogdian}', "");
    Expect(1, 69487, '\p{Block=:\Asogdian\z:}', "");;
    Expect(0, 69488, '\p{Block=:\Asogdian\z:}', "");;
    Expect(1, 69487, '\p{Block=-_Sogdian}', "");
    Expect(0, 69487, '\p{^Block=-_Sogdian}', "");
    Expect(0, 69487, '\P{Block=-_Sogdian}', "");
    Expect(1, 69487, '\P{^Block=-_Sogdian}', "");
    Expect(0, 69488, '\p{Block=-_Sogdian}', "");
    Expect(1, 69488, '\p{^Block=-_Sogdian}', "");
    Expect(1, 69488, '\P{Block=-_Sogdian}', "");
    Expect(0, 69488, '\P{^Block=-_Sogdian}', "");
    Error('\p{Blk:	-sogdian/a/}');
    Error('\P{Blk:	-sogdian/a/}');
    Expect(1, 69487, '\p{Blk=:\ASogdian\z:}', "");;
    Expect(0, 69488, '\p{Blk=:\ASogdian\z:}', "");;
    Expect(1, 69487, '\p{Blk=sogdian}', "");
    Expect(0, 69487, '\p{^Blk=sogdian}', "");
    Expect(0, 69487, '\P{Blk=sogdian}', "");
    Expect(1, 69487, '\P{^Blk=sogdian}', "");
    Expect(0, 69488, '\p{Blk=sogdian}', "");
    Expect(1, 69488, '\p{^Blk=sogdian}', "");
    Expect(1, 69488, '\P{Blk=sogdian}', "");
    Expect(0, 69488, '\P{^Blk=sogdian}', "");
    Expect(1, 69487, '\p{Blk=:\Asogdian\z:}', "");;
    Expect(0, 69488, '\p{Blk=:\Asogdian\z:}', "");;
    Expect(1, 69487, '\p{Blk=-_Sogdian}', "");
    Expect(0, 69487, '\p{^Blk=-_Sogdian}', "");
    Expect(0, 69487, '\P{Blk=-_Sogdian}', "");
    Expect(1, 69487, '\P{^Blk=-_Sogdian}', "");
    Expect(0, 69488, '\p{Blk=-_Sogdian}', "");
    Expect(1, 69488, '\p{^Blk=-_Sogdian}', "");
    Expect(1, 69488, '\P{Blk=-_Sogdian}', "");
    Expect(0, 69488, '\P{^Blk=-_Sogdian}', "");
    Error('\p{Is_Block=:= _Sogdian}');
    Error('\P{Is_Block=:= _Sogdian}');
    Expect(1, 69487, '\p{Is_Block=sogdian}', "");
    Expect(0, 69487, '\p{^Is_Block=sogdian}', "");
    Expect(0, 69487, '\P{Is_Block=sogdian}', "");
    Expect(1, 69487, '\P{^Is_Block=sogdian}', "");
    Expect(0, 69488, '\p{Is_Block=sogdian}', "");
    Expect(1, 69488, '\p{^Is_Block=sogdian}', "");
    Expect(1, 69488, '\P{Is_Block=sogdian}', "");
    Expect(0, 69488, '\P{^Is_Block=sogdian}', "");
    Expect(1, 69487, '\p{Is_Block=Sogdian}', "");
    Expect(0, 69487, '\p{^Is_Block=Sogdian}', "");
    Expect(0, 69487, '\P{Is_Block=Sogdian}', "");
    Expect(1, 69487, '\P{^Is_Block=Sogdian}', "");
    Expect(0, 69488, '\p{Is_Block=Sogdian}', "");
    Expect(1, 69488, '\p{^Is_Block=Sogdian}', "");
    Expect(1, 69488, '\P{Is_Block=Sogdian}', "");
    Expect(0, 69488, '\P{^Is_Block=Sogdian}', "");
    Error('\p{Is_Blk=/a/ -Sogdian}');
    Error('\P{Is_Blk=/a/ -Sogdian}');
    Expect(1, 69487, '\p{Is_Blk=sogdian}', "");
    Expect(0, 69487, '\p{^Is_Blk=sogdian}', "");
    Expect(0, 69487, '\P{Is_Blk=sogdian}', "");
    Expect(1, 69487, '\P{^Is_Blk=sogdian}', "");
    Expect(0, 69488, '\p{Is_Blk=sogdian}', "");
    Expect(1, 69488, '\p{^Is_Blk=sogdian}', "");
    Expect(1, 69488, '\P{Is_Blk=sogdian}', "");
    Expect(0, 69488, '\P{^Is_Blk=sogdian}', "");
    Expect(1, 69487, '\p{Is_Blk=_Sogdian}', "");
    Expect(0, 69487, '\p{^Is_Blk=_Sogdian}', "");
    Expect(0, 69487, '\P{Is_Blk=_Sogdian}', "");
    Expect(1, 69487, '\P{^Is_Blk=_Sogdian}', "");
    Expect(0, 69488, '\p{Is_Blk=_Sogdian}', "");
    Expect(1, 69488, '\p{^Is_Blk=_Sogdian}', "");
    Expect(1, 69488, '\P{Is_Blk=_Sogdian}', "");
    Expect(0, 69488, '\P{^Is_Blk=_Sogdian}', "");
    Error('\p{Block=	-SORA_SOMPENG:=}');
    Error('\P{Block=	-SORA_SOMPENG:=}');
    Expect(1, 69887, '\p{Block=:\ASora_Sompeng\z:}', "");;
    Expect(0, 69888, '\p{Block=:\ASora_Sompeng\z:}', "");;
    Expect(1, 69887, '\p{Block=sorasompeng}', "");
    Expect(0, 69887, '\p{^Block=sorasompeng}', "");
    Expect(0, 69887, '\P{Block=sorasompeng}', "");
    Expect(1, 69887, '\P{^Block=sorasompeng}', "");
    Expect(0, 69888, '\p{Block=sorasompeng}', "");
    Expect(1, 69888, '\p{^Block=sorasompeng}', "");
    Expect(1, 69888, '\P{Block=sorasompeng}', "");
    Expect(0, 69888, '\P{^Block=sorasompeng}', "");
    Expect(1, 69887, '\p{Block=:\Asorasompeng\z:}', "");;
    Expect(0, 69888, '\p{Block=:\Asorasompeng\z:}', "");;
    Expect(1, 69887, '\p{Block=_ Sora_sompeng}', "");
    Expect(0, 69887, '\p{^Block=_ Sora_sompeng}', "");
    Expect(0, 69887, '\P{Block=_ Sora_sompeng}', "");
    Expect(1, 69887, '\P{^Block=_ Sora_sompeng}', "");
    Expect(0, 69888, '\p{Block=_ Sora_sompeng}', "");
    Expect(1, 69888, '\p{^Block=_ Sora_sompeng}', "");
    Expect(1, 69888, '\P{Block=_ Sora_sompeng}', "");
    Expect(0, 69888, '\P{^Block=_ Sora_sompeng}', "");
    Error('\p{Blk=:=--Sora_Sompeng}');
    Error('\P{Blk=:=--Sora_Sompeng}');
    Expect(1, 69887, '\p{Blk=:\ASora_Sompeng\z:}', "");;
    Expect(0, 69888, '\p{Blk=:\ASora_Sompeng\z:}', "");;
    Expect(1, 69887, '\p{Blk:sorasompeng}', "");
    Expect(0, 69887, '\p{^Blk:sorasompeng}', "");
    Expect(0, 69887, '\P{Blk:sorasompeng}', "");
    Expect(1, 69887, '\P{^Blk:sorasompeng}', "");
    Expect(0, 69888, '\p{Blk:sorasompeng}', "");
    Expect(1, 69888, '\p{^Blk:sorasompeng}', "");
    Expect(1, 69888, '\P{Blk:sorasompeng}', "");
    Expect(0, 69888, '\P{^Blk:sorasompeng}', "");
    Expect(1, 69887, '\p{Blk=:\Asorasompeng\z:}', "");;
    Expect(0, 69888, '\p{Blk=:\Asorasompeng\z:}', "");;
    Expect(1, 69887, '\p{Blk=		Sora_Sompeng}', "");
    Expect(0, 69887, '\p{^Blk=		Sora_Sompeng}', "");
    Expect(0, 69887, '\P{Blk=		Sora_Sompeng}', "");
    Expect(1, 69887, '\P{^Blk=		Sora_Sompeng}', "");
    Expect(0, 69888, '\p{Blk=		Sora_Sompeng}', "");
    Expect(1, 69888, '\p{^Blk=		Sora_Sompeng}', "");
    Expect(1, 69888, '\P{Blk=		Sora_Sompeng}', "");
    Expect(0, 69888, '\P{^Blk=		Sora_Sompeng}', "");
    Error('\p{Is_Block=-sora_sompeng/a/}');
    Error('\P{Is_Block=-sora_sompeng/a/}');
    Expect(1, 69887, '\p{Is_Block=sorasompeng}', "");
    Expect(0, 69887, '\p{^Is_Block=sorasompeng}', "");
    Expect(0, 69887, '\P{Is_Block=sorasompeng}', "");
    Expect(1, 69887, '\P{^Is_Block=sorasompeng}', "");
    Expect(0, 69888, '\p{Is_Block=sorasompeng}', "");
    Expect(1, 69888, '\p{^Is_Block=sorasompeng}', "");
    Expect(1, 69888, '\P{Is_Block=sorasompeng}', "");
    Expect(0, 69888, '\P{^Is_Block=sorasompeng}', "");
    Expect(1, 69887, '\p{Is_Block=-_Sora_Sompeng}', "");
    Expect(0, 69887, '\p{^Is_Block=-_Sora_Sompeng}', "");
    Expect(0, 69887, '\P{Is_Block=-_Sora_Sompeng}', "");
    Expect(1, 69887, '\P{^Is_Block=-_Sora_Sompeng}', "");
    Expect(0, 69888, '\p{Is_Block=-_Sora_Sompeng}', "");
    Expect(1, 69888, '\p{^Is_Block=-_Sora_Sompeng}', "");
    Expect(1, 69888, '\P{Is_Block=-_Sora_Sompeng}', "");
    Expect(0, 69888, '\P{^Is_Block=-_Sora_Sompeng}', "");
    Error('\p{Is_Blk:	/a/	-SORA_SOMPENG}');
    Error('\P{Is_Blk:	/a/	-SORA_SOMPENG}');
    Expect(1, 69887, '\p{Is_Blk=sorasompeng}', "");
    Expect(0, 69887, '\p{^Is_Blk=sorasompeng}', "");
    Expect(0, 69887, '\P{Is_Blk=sorasompeng}', "");
    Expect(1, 69887, '\P{^Is_Blk=sorasompeng}', "");
    Expect(0, 69888, '\p{Is_Blk=sorasompeng}', "");
    Expect(1, 69888, '\p{^Is_Blk=sorasompeng}', "");
    Expect(1, 69888, '\P{Is_Blk=sorasompeng}', "");
    Expect(0, 69888, '\P{^Is_Blk=sorasompeng}', "");
    Expect(1, 69887, '\p{Is_Blk=		Sora_sompeng}', "");
    Expect(0, 69887, '\p{^Is_Blk=		Sora_sompeng}', "");
    Expect(0, 69887, '\P{Is_Blk=		Sora_sompeng}', "");
    Expect(1, 69887, '\P{^Is_Blk=		Sora_sompeng}', "");
    Expect(0, 69888, '\p{Is_Blk=		Sora_sompeng}', "");
    Expect(1, 69888, '\p{^Is_Blk=		Sora_sompeng}', "");
    Expect(1, 69888, '\P{Is_Blk=		Sora_sompeng}', "");
    Expect(0, 69888, '\P{^Is_Blk=		Sora_sompeng}', "");
    Error('\p{Block= soyombo:=}');
    Error('\P{Block= soyombo:=}');
    Expect(1, 72367, '\p{Block=:\ASoyombo\z:}', "");;
    Expect(0, 72368, '\p{Block=:\ASoyombo\z:}', "");;
    Expect(1, 72367, '\p{Block=soyombo}', "");
    Expect(0, 72367, '\p{^Block=soyombo}', "");
    Expect(0, 72367, '\P{Block=soyombo}', "");
    Expect(1, 72367, '\P{^Block=soyombo}', "");
    Expect(0, 72368, '\p{Block=soyombo}', "");
    Expect(1, 72368, '\p{^Block=soyombo}', "");
    Expect(1, 72368, '\P{Block=soyombo}', "");
    Expect(0, 72368, '\P{^Block=soyombo}', "");
    Expect(1, 72367, '\p{Block=:\Asoyombo\z:}', "");;
    Expect(0, 72368, '\p{Block=:\Asoyombo\z:}', "");;
    Expect(1, 72367, '\p{Block=- soyombo}', "");
    Expect(0, 72367, '\p{^Block=- soyombo}', "");
    Expect(0, 72367, '\P{Block=- soyombo}', "");
    Expect(1, 72367, '\P{^Block=- soyombo}', "");
    Expect(0, 72368, '\p{Block=- soyombo}', "");
    Expect(1, 72368, '\p{^Block=- soyombo}', "");
    Expect(1, 72368, '\P{Block=- soyombo}', "");
    Expect(0, 72368, '\P{^Block=- soyombo}', "");
    Error('\p{Blk=/a/ 	Soyombo}');
    Error('\P{Blk=/a/ 	Soyombo}');
    Expect(1, 72367, '\p{Blk=:\ASoyombo\z:}', "");;
    Expect(0, 72368, '\p{Blk=:\ASoyombo\z:}', "");;
    Expect(1, 72367, '\p{Blk=soyombo}', "");
    Expect(0, 72367, '\p{^Blk=soyombo}', "");
    Expect(0, 72367, '\P{Blk=soyombo}', "");
    Expect(1, 72367, '\P{^Blk=soyombo}', "");
    Expect(0, 72368, '\p{Blk=soyombo}', "");
    Expect(1, 72368, '\p{^Blk=soyombo}', "");
    Expect(1, 72368, '\P{Blk=soyombo}', "");
    Expect(0, 72368, '\P{^Blk=soyombo}', "");
    Expect(1, 72367, '\p{Blk=:\Asoyombo\z:}', "");;
    Expect(0, 72368, '\p{Blk=:\Asoyombo\z:}', "");;
    Expect(1, 72367, '\p{Blk= -Soyombo}', "");
    Expect(0, 72367, '\p{^Blk= -Soyombo}', "");
    Expect(0, 72367, '\P{Blk= -Soyombo}', "");
    Expect(1, 72367, '\P{^Blk= -Soyombo}', "");
    Expect(0, 72368, '\p{Blk= -Soyombo}', "");
    Expect(1, 72368, '\p{^Blk= -Soyombo}', "");
    Expect(1, 72368, '\P{Blk= -Soyombo}', "");
    Expect(0, 72368, '\P{^Blk= -Soyombo}', "");
    Error('\p{Is_Block=:=-	soyombo}');
    Error('\P{Is_Block=:=-	soyombo}');
    Expect(1, 72367, '\p{Is_Block=soyombo}', "");
    Expect(0, 72367, '\p{^Is_Block=soyombo}', "");
    Expect(0, 72367, '\P{Is_Block=soyombo}', "");
    Expect(1, 72367, '\P{^Is_Block=soyombo}', "");
    Expect(0, 72368, '\p{Is_Block=soyombo}', "");
    Expect(1, 72368, '\p{^Is_Block=soyombo}', "");
    Expect(1, 72368, '\P{Is_Block=soyombo}', "");
    Expect(0, 72368, '\P{^Is_Block=soyombo}', "");
    Expect(1, 72367, '\p{Is_Block=_Soyombo}', "");
    Expect(0, 72367, '\p{^Is_Block=_Soyombo}', "");
    Expect(0, 72367, '\P{Is_Block=_Soyombo}', "");
    Expect(1, 72367, '\P{^Is_Block=_Soyombo}', "");
    Expect(0, 72368, '\p{Is_Block=_Soyombo}', "");
    Expect(1, 72368, '\p{^Is_Block=_Soyombo}', "");
    Expect(1, 72368, '\P{Is_Block=_Soyombo}', "");
    Expect(0, 72368, '\P{^Is_Block=_Soyombo}', "");
    Error('\p{Is_Blk=	/a/soyombo}');
    Error('\P{Is_Blk=	/a/soyombo}');
    Expect(1, 72367, '\p{Is_Blk=soyombo}', "");
    Expect(0, 72367, '\p{^Is_Blk=soyombo}', "");
    Expect(0, 72367, '\P{Is_Blk=soyombo}', "");
    Expect(1, 72367, '\P{^Is_Blk=soyombo}', "");
    Expect(0, 72368, '\p{Is_Blk=soyombo}', "");
    Expect(1, 72368, '\p{^Is_Blk=soyombo}', "");
    Expect(1, 72368, '\P{Is_Blk=soyombo}', "");
    Expect(0, 72368, '\P{^Is_Blk=soyombo}', "");
    Expect(1, 72367, '\p{Is_Blk= soyombo}', "");
    Expect(0, 72367, '\p{^Is_Blk= soyombo}', "");
    Expect(0, 72367, '\P{Is_Blk= soyombo}', "");
    Expect(1, 72367, '\P{^Is_Blk= soyombo}', "");
    Expect(0, 72368, '\p{Is_Blk= soyombo}', "");
    Expect(1, 72368, '\p{^Is_Blk= soyombo}', "");
    Expect(1, 72368, '\P{Is_Blk= soyombo}', "");
    Expect(0, 72368, '\P{^Is_Blk= soyombo}', "");
    Error('\p{Block= specials/a/}');
    Error('\P{Block= specials/a/}');
    Expect(1, 65520, '\p{Block=:\ASpecials\z:}', "");;
    Expect(0, 65536, '\p{Block=:\ASpecials\z:}', "");;
    Expect(1, 65520, '\p{Block=specials}', "");
    Expect(0, 65520, '\p{^Block=specials}', "");
    Expect(0, 65520, '\P{Block=specials}', "");
    Expect(1, 65520, '\P{^Block=specials}', "");
    Expect(0, 65536, '\p{Block=specials}', "");
    Expect(1, 65536, '\p{^Block=specials}', "");
    Expect(1, 65536, '\P{Block=specials}', "");
    Expect(0, 65536, '\P{^Block=specials}', "");
    Expect(1, 65520, '\p{Block=:\Aspecials\z:}', "");;
    Expect(0, 65536, '\p{Block=:\Aspecials\z:}', "");;
    Expect(1, 65520, '\p{Block=	_SPECIALS}', "");
    Expect(0, 65520, '\p{^Block=	_SPECIALS}', "");
    Expect(0, 65520, '\P{Block=	_SPECIALS}', "");
    Expect(1, 65520, '\P{^Block=	_SPECIALS}', "");
    Expect(0, 65536, '\p{Block=	_SPECIALS}', "");
    Expect(1, 65536, '\p{^Block=	_SPECIALS}', "");
    Expect(1, 65536, '\P{Block=	_SPECIALS}', "");
    Expect(0, 65536, '\P{^Block=	_SPECIALS}', "");
    Error('\p{Blk=  Specials:=}');
    Error('\P{Blk=  Specials:=}');
    Expect(1, 65520, '\p{Blk=:\ASpecials\z:}', "");;
    Expect(0, 65536, '\p{Blk=:\ASpecials\z:}', "");;
    Expect(1, 65520, '\p{Blk=specials}', "");
    Expect(0, 65520, '\p{^Blk=specials}', "");
    Expect(0, 65520, '\P{Blk=specials}', "");
    Expect(1, 65520, '\P{^Blk=specials}', "");
    Expect(0, 65536, '\p{Blk=specials}', "");
    Expect(1, 65536, '\p{^Blk=specials}', "");
    Expect(1, 65536, '\P{Blk=specials}', "");
    Expect(0, 65536, '\P{^Blk=specials}', "");
    Expect(1, 65520, '\p{Blk=:\Aspecials\z:}', "");;
    Expect(0, 65536, '\p{Blk=:\Aspecials\z:}', "");;
    Expect(1, 65520, '\p{Blk=_specials}', "");
    Expect(0, 65520, '\p{^Blk=_specials}', "");
    Expect(0, 65520, '\P{Blk=_specials}', "");
    Expect(1, 65520, '\P{^Blk=_specials}', "");
    Expect(0, 65536, '\p{Blk=_specials}', "");
    Expect(1, 65536, '\p{^Blk=_specials}', "");
    Expect(1, 65536, '\P{Blk=_specials}', "");
    Expect(0, 65536, '\P{^Blk=_specials}', "");
    Error('\p{Is_Block: -	specials:=}');
    Error('\P{Is_Block: -	specials:=}');
    Expect(1, 65520, '\p{Is_Block=specials}', "");
    Expect(0, 65520, '\p{^Is_Block=specials}', "");
    Expect(0, 65520, '\P{Is_Block=specials}', "");
    Expect(1, 65520, '\P{^Is_Block=specials}', "");
    Expect(0, 65536, '\p{Is_Block=specials}', "");
    Expect(1, 65536, '\p{^Is_Block=specials}', "");
    Expect(1, 65536, '\P{Is_Block=specials}', "");
    Expect(0, 65536, '\P{^Is_Block=specials}', "");
    Expect(1, 65520, '\p{Is_Block=-SPECIALS}', "");
    Expect(0, 65520, '\p{^Is_Block=-SPECIALS}', "");
    Expect(0, 65520, '\P{Is_Block=-SPECIALS}', "");
    Expect(1, 65520, '\P{^Is_Block=-SPECIALS}', "");
    Expect(0, 65536, '\p{Is_Block=-SPECIALS}', "");
    Expect(1, 65536, '\p{^Is_Block=-SPECIALS}', "");
    Expect(1, 65536, '\P{Is_Block=-SPECIALS}', "");
    Expect(0, 65536, '\P{^Is_Block=-SPECIALS}', "");
    Error('\p{Is_Blk= Specials:=}');
    Error('\P{Is_Blk= Specials:=}');
    Expect(1, 65520, '\p{Is_Blk=specials}', "");
    Expect(0, 65520, '\p{^Is_Blk=specials}', "");
    Expect(0, 65520, '\P{Is_Blk=specials}', "");
    Expect(1, 65520, '\P{^Is_Blk=specials}', "");
    Expect(0, 65536, '\p{Is_Blk=specials}', "");
    Expect(1, 65536, '\p{^Is_Blk=specials}', "");
    Expect(1, 65536, '\P{Is_Blk=specials}', "");
    Expect(0, 65536, '\P{^Is_Blk=specials}', "");
    Expect(1, 65520, '\p{Is_Blk=- Specials}', "");
    Expect(0, 65520, '\p{^Is_Blk=- Specials}', "");
    Expect(0, 65520, '\P{Is_Blk=- Specials}', "");
    Expect(1, 65520, '\P{^Is_Blk=- Specials}', "");
    Expect(0, 65536, '\p{Is_Blk=- Specials}', "");
    Expect(1, 65536, '\p{^Is_Blk=- Specials}', "");
    Expect(1, 65536, '\P{Is_Blk=- Specials}', "");
    Expect(0, 65536, '\P{^Is_Blk=- Specials}', "");
    Error('\p{Block=:=sundanese}');
    Error('\P{Block=:=sundanese}');
    Expect(1, 7103, '\p{Block=:\ASundanese\z:}', "");;
    Expect(0, 7104, '\p{Block=:\ASundanese\z:}', "");;
    Expect(1, 7103, '\p{Block=sundanese}', "");
    Expect(0, 7103, '\p{^Block=sundanese}', "");
    Expect(0, 7103, '\P{Block=sundanese}', "");
    Expect(1, 7103, '\P{^Block=sundanese}', "");
    Expect(0, 7104, '\p{Block=sundanese}', "");
    Expect(1, 7104, '\p{^Block=sundanese}', "");
    Expect(1, 7104, '\P{Block=sundanese}', "");
    Expect(0, 7104, '\P{^Block=sundanese}', "");
    Expect(1, 7103, '\p{Block=:\Asundanese\z:}', "");;
    Expect(0, 7104, '\p{Block=:\Asundanese\z:}', "");;
    Expect(1, 7103, '\p{Block=_Sundanese}', "");
    Expect(0, 7103, '\p{^Block=_Sundanese}', "");
    Expect(0, 7103, '\P{Block=_Sundanese}', "");
    Expect(1, 7103, '\P{^Block=_Sundanese}', "");
    Expect(0, 7104, '\p{Block=_Sundanese}', "");
    Expect(1, 7104, '\p{^Block=_Sundanese}', "");
    Expect(1, 7104, '\P{Block=_Sundanese}', "");
    Expect(0, 7104, '\P{^Block=_Sundanese}', "");
    Error('\p{Blk=:=Sundanese}');
    Error('\P{Blk=:=Sundanese}');
    Expect(1, 7103, '\p{Blk=:\ASundanese\z:}', "");;
    Expect(0, 7104, '\p{Blk=:\ASundanese\z:}', "");;
    Expect(1, 7103, '\p{Blk: sundanese}', "");
    Expect(0, 7103, '\p{^Blk: sundanese}', "");
    Expect(0, 7103, '\P{Blk: sundanese}', "");
    Expect(1, 7103, '\P{^Blk: sundanese}', "");
    Expect(0, 7104, '\p{Blk: sundanese}', "");
    Expect(1, 7104, '\p{^Blk: sundanese}', "");
    Expect(1, 7104, '\P{Blk: sundanese}', "");
    Expect(0, 7104, '\P{^Blk: sundanese}', "");
    Expect(1, 7103, '\p{Blk=:\Asundanese\z:}', "");;
    Expect(0, 7104, '\p{Blk=:\Asundanese\z:}', "");;
    Expect(1, 7103, '\p{Blk= _Sundanese}', "");
    Expect(0, 7103, '\p{^Blk= _Sundanese}', "");
    Expect(0, 7103, '\P{Blk= _Sundanese}', "");
    Expect(1, 7103, '\P{^Blk= _Sundanese}', "");
    Expect(0, 7104, '\p{Blk= _Sundanese}', "");
    Expect(1, 7104, '\p{^Blk= _Sundanese}', "");
    Expect(1, 7104, '\P{Blk= _Sundanese}', "");
    Expect(0, 7104, '\P{^Blk= _Sundanese}', "");
    Error('\p{Is_Block=:=-sundanese}');
    Error('\P{Is_Block=:=-sundanese}');
    Expect(1, 7103, '\p{Is_Block:   sundanese}', "");
    Expect(0, 7103, '\p{^Is_Block:   sundanese}', "");
    Expect(0, 7103, '\P{Is_Block:   sundanese}', "");
    Expect(1, 7103, '\P{^Is_Block:   sundanese}', "");
    Expect(0, 7104, '\p{Is_Block:   sundanese}', "");
    Expect(1, 7104, '\p{^Is_Block:   sundanese}', "");
    Expect(1, 7104, '\P{Is_Block:   sundanese}', "");
    Expect(0, 7104, '\P{^Is_Block:   sundanese}', "");
    Expect(1, 7103, '\p{Is_Block=	Sundanese}', "");
    Expect(0, 7103, '\p{^Is_Block=	Sundanese}', "");
    Expect(0, 7103, '\P{Is_Block=	Sundanese}', "");
    Expect(1, 7103, '\P{^Is_Block=	Sundanese}', "");
    Expect(0, 7104, '\p{Is_Block=	Sundanese}', "");
    Expect(1, 7104, '\p{^Is_Block=	Sundanese}', "");
    Expect(1, 7104, '\P{Is_Block=	Sundanese}', "");
    Expect(0, 7104, '\P{^Is_Block=	Sundanese}', "");
    Error('\p{Is_Blk=	/a/SUNDANESE}');
    Error('\P{Is_Blk=	/a/SUNDANESE}');
    Expect(1, 7103, '\p{Is_Blk=sundanese}', "");
    Expect(0, 7103, '\p{^Is_Blk=sundanese}', "");
    Expect(0, 7103, '\P{Is_Blk=sundanese}', "");
    Expect(1, 7103, '\P{^Is_Blk=sundanese}', "");
    Expect(0, 7104, '\p{Is_Blk=sundanese}', "");
    Expect(1, 7104, '\p{^Is_Blk=sundanese}', "");
    Expect(1, 7104, '\P{Is_Blk=sundanese}', "");
    Expect(0, 7104, '\P{^Is_Blk=sundanese}', "");
    Expect(1, 7103, '\p{Is_Blk=__SUNDANESE}', "");
    Expect(0, 7103, '\p{^Is_Blk=__SUNDANESE}', "");
    Expect(0, 7103, '\P{Is_Blk=__SUNDANESE}', "");
    Expect(1, 7103, '\P{^Is_Blk=__SUNDANESE}', "");
    Expect(0, 7104, '\p{Is_Blk=__SUNDANESE}', "");
    Expect(1, 7104, '\p{^Is_Blk=__SUNDANESE}', "");
    Expect(1, 7104, '\P{Is_Blk=__SUNDANESE}', "");
    Expect(0, 7104, '\P{^Is_Blk=__SUNDANESE}', "");
    Error('\p{Block=:=_ SUNDANESE_supplement}');
    Error('\P{Block=:=_ SUNDANESE_supplement}');
    Expect(1, 7375, '\p{Block=:\ASundanese_Supplement\z:}', "");;
    Expect(0, 7376, '\p{Block=:\ASundanese_Supplement\z:}', "");;
    Expect(1, 7375, '\p{Block=sundanesesupplement}', "");
    Expect(0, 7375, '\p{^Block=sundanesesupplement}', "");
    Expect(0, 7375, '\P{Block=sundanesesupplement}', "");
    Expect(1, 7375, '\P{^Block=sundanesesupplement}', "");
    Expect(0, 7376, '\p{Block=sundanesesupplement}', "");
    Expect(1, 7376, '\p{^Block=sundanesesupplement}', "");
    Expect(1, 7376, '\P{Block=sundanesesupplement}', "");
    Expect(0, 7376, '\P{^Block=sundanesesupplement}', "");
    Expect(1, 7375, '\p{Block=:\Asundanesesupplement\z:}', "");;
    Expect(0, 7376, '\p{Block=:\Asundanesesupplement\z:}', "");;
    Expect(1, 7375, '\p{Block= sundanese_supplement}', "");
    Expect(0, 7375, '\p{^Block= sundanese_supplement}', "");
    Expect(0, 7375, '\P{Block= sundanese_supplement}', "");
    Expect(1, 7375, '\P{^Block= sundanese_supplement}', "");
    Expect(0, 7376, '\p{Block= sundanese_supplement}', "");
    Expect(1, 7376, '\p{^Block= sundanese_supplement}', "");
    Expect(1, 7376, '\P{Block= sundanese_supplement}', "");
    Expect(0, 7376, '\P{^Block= sundanese_supplement}', "");
    Error('\p{Blk: 	-SUNDANESE_sup/a/}');
    Error('\P{Blk: 	-SUNDANESE_sup/a/}');
    Expect(1, 7375, '\p{Blk=:\ASundanese_Sup\z:}', "");;
    Expect(0, 7376, '\p{Blk=:\ASundanese_Sup\z:}', "");;
    Expect(1, 7375, '\p{Blk=sundanesesup}', "");
    Expect(0, 7375, '\p{^Blk=sundanesesup}', "");
    Expect(0, 7375, '\P{Blk=sundanesesup}', "");
    Expect(1, 7375, '\P{^Blk=sundanesesup}', "");
    Expect(0, 7376, '\p{Blk=sundanesesup}', "");
    Expect(1, 7376, '\p{^Blk=sundanesesup}', "");
    Expect(1, 7376, '\P{Blk=sundanesesup}', "");
    Expect(0, 7376, '\P{^Blk=sundanesesup}', "");
    Expect(1, 7375, '\p{Blk=:\Asundanesesup\z:}', "");;
    Expect(0, 7376, '\p{Blk=:\Asundanesesup\z:}', "");;
    Expect(1, 7375, '\p{Blk=- Sundanese_Sup}', "");
    Expect(0, 7375, '\p{^Blk=- Sundanese_Sup}', "");
    Expect(0, 7375, '\P{Blk=- Sundanese_Sup}', "");
    Expect(1, 7375, '\P{^Blk=- Sundanese_Sup}', "");
    Expect(0, 7376, '\p{Blk=- Sundanese_Sup}', "");
    Expect(1, 7376, '\p{^Blk=- Sundanese_Sup}', "");
    Expect(1, 7376, '\P{Blk=- Sundanese_Sup}', "");
    Expect(0, 7376, '\P{^Blk=- Sundanese_Sup}', "");
    Error('\p{Is_Block=-/a/Sundanese_Supplement}');
    Error('\P{Is_Block=-/a/Sundanese_Supplement}');
    Expect(1, 7375, '\p{Is_Block=sundanesesupplement}', "");
    Expect(0, 7375, '\p{^Is_Block=sundanesesupplement}', "");
    Expect(0, 7375, '\P{Is_Block=sundanesesupplement}', "");
    Expect(1, 7375, '\P{^Is_Block=sundanesesupplement}', "");
    Expect(0, 7376, '\p{Is_Block=sundanesesupplement}', "");
    Expect(1, 7376, '\p{^Is_Block=sundanesesupplement}', "");
    Expect(1, 7376, '\P{Is_Block=sundanesesupplement}', "");
    Expect(0, 7376, '\P{^Is_Block=sundanesesupplement}', "");
    Expect(1, 7375, '\p{Is_Block:  sundanese_Supplement}', "");
    Expect(0, 7375, '\p{^Is_Block:  sundanese_Supplement}', "");
    Expect(0, 7375, '\P{Is_Block:  sundanese_Supplement}', "");
    Expect(1, 7375, '\P{^Is_Block:  sundanese_Supplement}', "");
    Expect(0, 7376, '\p{Is_Block:  sundanese_Supplement}', "");
    Expect(1, 7376, '\p{^Is_Block:  sundanese_Supplement}', "");
    Expect(1, 7376, '\P{Is_Block:  sundanese_Supplement}', "");
    Expect(0, 7376, '\P{^Is_Block:  sundanese_Supplement}', "");
    Error('\p{Is_Blk=	:=sundanese_sup}');
    Error('\P{Is_Blk=	:=sundanese_sup}');
    Expect(1, 7375, '\p{Is_Blk:   sundanesesup}', "");
    Expect(0, 7375, '\p{^Is_Blk:   sundanesesup}', "");
    Expect(0, 7375, '\P{Is_Blk:   sundanesesup}', "");
    Expect(1, 7375, '\P{^Is_Blk:   sundanesesup}', "");
    Expect(0, 7376, '\p{Is_Blk:   sundanesesup}', "");
    Expect(1, 7376, '\p{^Is_Blk:   sundanesesup}', "");
    Expect(1, 7376, '\P{Is_Blk:   sundanesesup}', "");
    Expect(0, 7376, '\P{^Is_Blk:   sundanesesup}', "");
    Expect(1, 7375, '\p{Is_Blk:  Sundanese_Sup}', "");
    Expect(0, 7375, '\p{^Is_Blk:  Sundanese_Sup}', "");
    Expect(0, 7375, '\P{Is_Blk:  Sundanese_Sup}', "");
    Expect(1, 7375, '\P{^Is_Blk:  Sundanese_Sup}', "");
    Expect(0, 7376, '\p{Is_Blk:  Sundanese_Sup}', "");
    Expect(1, 7376, '\p{^Is_Blk:  Sundanese_Sup}', "");
    Expect(1, 7376, '\P{Is_Blk:  Sundanese_Sup}', "");
    Expect(0, 7376, '\P{^Is_Blk:  Sundanese_Sup}', "");
    Error('\p{Block=--Supplemental_Arrows_A/a/}');
    Error('\P{Block=--Supplemental_Arrows_A/a/}');
    Expect(1, 10239, '\p{Block=:\ASupplemental_Arrows_A\z:}', "");;
    Expect(0, 10240, '\p{Block=:\ASupplemental_Arrows_A\z:}', "");;
    Expect(1, 10239, '\p{Block=supplementalarrowsa}', "");
    Expect(0, 10239, '\p{^Block=supplementalarrowsa}', "");
    Expect(0, 10239, '\P{Block=supplementalarrowsa}', "");
    Expect(1, 10239, '\P{^Block=supplementalarrowsa}', "");
    Expect(0, 10240, '\p{Block=supplementalarrowsa}', "");
    Expect(1, 10240, '\p{^Block=supplementalarrowsa}', "");
    Expect(1, 10240, '\P{Block=supplementalarrowsa}', "");
    Expect(0, 10240, '\P{^Block=supplementalarrowsa}', "");
    Expect(1, 10239, '\p{Block=:\Asupplementalarrowsa\z:}', "");;
    Expect(0, 10240, '\p{Block=:\Asupplementalarrowsa\z:}', "");;
    Expect(1, 10239, '\p{Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Expect(0, 10239, '\p{^Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Expect(0, 10239, '\P{Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Expect(1, 10239, '\P{^Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Expect(0, 10240, '\p{Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Expect(1, 10240, '\p{^Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Expect(1, 10240, '\P{Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Expect(0, 10240, '\P{^Block=-	SUPPLEMENTAL_ARROWS_A}', "");
    Error('\p{Blk=-sup_ARROWS_A:=}');
    Error('\P{Blk=-sup_ARROWS_A:=}');
    Expect(1, 10239, '\p{Blk=:\ASup_Arrows_A\z:}', "");;
    Expect(0, 10240, '\p{Blk=:\ASup_Arrows_A\z:}', "");;
    Expect(1, 10239, '\p{Blk=suparrowsa}', "");
    Expect(0, 10239, '\p{^Blk=suparrowsa}', "");
    Expect(0, 10239, '\P{Blk=suparrowsa}', "");
    Expect(1, 10239, '\P{^Blk=suparrowsa}', "");
    Expect(0, 10240, '\p{Blk=suparrowsa}', "");
    Expect(1, 10240, '\p{^Blk=suparrowsa}', "");
    Expect(1, 10240, '\P{Blk=suparrowsa}', "");
    Expect(0, 10240, '\P{^Blk=suparrowsa}', "");
    Expect(1, 10239, '\p{Blk=:\Asuparrowsa\z:}', "");;
    Expect(0, 10240, '\p{Blk=:\Asuparrowsa\z:}', "");;
    Expect(1, 10239, '\p{Blk= 	Sup_Arrows_a}', "");
    Expect(0, 10239, '\p{^Blk= 	Sup_Arrows_a}', "");
    Expect(0, 10239, '\P{Blk= 	Sup_Arrows_a}', "");
    Expect(1, 10239, '\P{^Blk= 	Sup_Arrows_a}', "");
    Expect(0, 10240, '\p{Blk= 	Sup_Arrows_a}', "");
    Expect(1, 10240, '\p{^Blk= 	Sup_Arrows_a}', "");
    Expect(1, 10240, '\P{Blk= 	Sup_Arrows_a}', "");
    Expect(0, 10240, '\P{^Blk= 	Sup_Arrows_a}', "");
    Error('\p{Is_Block=/a/_Supplemental_Arrows_A}');
    Error('\P{Is_Block=/a/_Supplemental_Arrows_A}');
    Expect(1, 10239, '\p{Is_Block=supplementalarrowsa}', "");
    Expect(0, 10239, '\p{^Is_Block=supplementalarrowsa}', "");
    Expect(0, 10239, '\P{Is_Block=supplementalarrowsa}', "");
    Expect(1, 10239, '\P{^Is_Block=supplementalarrowsa}', "");
    Expect(0, 10240, '\p{Is_Block=supplementalarrowsa}', "");
    Expect(1, 10240, '\p{^Is_Block=supplementalarrowsa}', "");
    Expect(1, 10240, '\P{Is_Block=supplementalarrowsa}', "");
    Expect(0, 10240, '\P{^Is_Block=supplementalarrowsa}', "");
    Expect(1, 10239, '\p{Is_Block=- Supplemental_Arrows_A}', "");
    Expect(0, 10239, '\p{^Is_Block=- Supplemental_Arrows_A}', "");
    Expect(0, 10239, '\P{Is_Block=- Supplemental_Arrows_A}', "");
    Expect(1, 10239, '\P{^Is_Block=- Supplemental_Arrows_A}', "");
    Expect(0, 10240, '\p{Is_Block=- Supplemental_Arrows_A}', "");
    Expect(1, 10240, '\p{^Is_Block=- Supplemental_Arrows_A}', "");
    Expect(1, 10240, '\P{Is_Block=- Supplemental_Arrows_A}', "");
    Expect(0, 10240, '\P{^Is_Block=- Supplemental_Arrows_A}', "");
    Error('\p{Is_Blk=/a/ 	Sup_arrows_A}');
    Error('\P{Is_Blk=/a/ 	Sup_arrows_A}');
    Expect(1, 10239, '\p{Is_Blk=suparrowsa}', "");
    Expect(0, 10239, '\p{^Is_Blk=suparrowsa}', "");
    Expect(0, 10239, '\P{Is_Blk=suparrowsa}', "");
    Expect(1, 10239, '\P{^Is_Blk=suparrowsa}', "");
    Expect(0, 10240, '\p{Is_Blk=suparrowsa}', "");
    Expect(1, 10240, '\p{^Is_Blk=suparrowsa}', "");
    Expect(1, 10240, '\P{Is_Blk=suparrowsa}', "");
    Expect(0, 10240, '\P{^Is_Blk=suparrowsa}', "");
    Expect(1, 10239, '\p{Is_Blk= Sup_ARROWS_A}', "");
    Expect(0, 10239, '\p{^Is_Blk= Sup_ARROWS_A}', "");
    Expect(0, 10239, '\P{Is_Blk= Sup_ARROWS_A}', "");
    Expect(1, 10239, '\P{^Is_Blk= Sup_ARROWS_A}', "");
    Expect(0, 10240, '\p{Is_Blk= Sup_ARROWS_A}', "");
    Expect(1, 10240, '\p{^Is_Blk= Sup_ARROWS_A}', "");
    Expect(1, 10240, '\P{Is_Blk= Sup_ARROWS_A}', "");
    Expect(0, 10240, '\P{^Is_Blk= Sup_ARROWS_A}', "");
    Error('\p{Block:--Supplemental_Arrows_B:=}');
    Error('\P{Block:--Supplemental_Arrows_B:=}');
    Expect(1, 10623, '\p{Block=:\ASupplemental_Arrows_B\z:}', "");;
    Expect(0, 10624, '\p{Block=:\ASupplemental_Arrows_B\z:}', "");;
    Expect(1, 10623, '\p{Block=supplementalarrowsb}', "");
    Expect(0, 10623, '\p{^Block=supplementalarrowsb}', "");
    Expect(0, 10623, '\P{Block=supplementalarrowsb}', "");
    Expect(1, 10623, '\P{^Block=supplementalarrowsb}', "");
    Expect(0, 10624, '\p{Block=supplementalarrowsb}', "");
    Expect(1, 10624, '\p{^Block=supplementalarrowsb}', "");
    Expect(1, 10624, '\P{Block=supplementalarrowsb}', "");
    Expect(0, 10624, '\P{^Block=supplementalarrowsb}', "");
    Expect(1, 10623, '\p{Block=:\Asupplementalarrowsb\z:}', "");;
    Expect(0, 10624, '\p{Block=:\Asupplementalarrowsb\z:}', "");;
    Expect(1, 10623, '\p{Block=  SUPPLEMENTAL_Arrows_B}', "");
    Expect(0, 10623, '\p{^Block=  SUPPLEMENTAL_Arrows_B}', "");
    Expect(0, 10623, '\P{Block=  SUPPLEMENTAL_Arrows_B}', "");
    Expect(1, 10623, '\P{^Block=  SUPPLEMENTAL_Arrows_B}', "");
    Expect(0, 10624, '\p{Block=  SUPPLEMENTAL_Arrows_B}', "");
    Expect(1, 10624, '\p{^Block=  SUPPLEMENTAL_Arrows_B}', "");
    Expect(1, 10624, '\P{Block=  SUPPLEMENTAL_Arrows_B}', "");
    Expect(0, 10624, '\P{^Block=  SUPPLEMENTAL_Arrows_B}', "");
    Error('\p{Blk= :=Sup_arrows_B}');
    Error('\P{Blk= :=Sup_arrows_B}');
    Expect(1, 10623, '\p{Blk=:\ASup_Arrows_B\z:}', "");;
    Expect(0, 10624, '\p{Blk=:\ASup_Arrows_B\z:}', "");;
    Expect(1, 10623, '\p{Blk=suparrowsb}', "");
    Expect(0, 10623, '\p{^Blk=suparrowsb}', "");
    Expect(0, 10623, '\P{Blk=suparrowsb}', "");
    Expect(1, 10623, '\P{^Blk=suparrowsb}', "");
    Expect(0, 10624, '\p{Blk=suparrowsb}', "");
    Expect(1, 10624, '\p{^Blk=suparrowsb}', "");
    Expect(1, 10624, '\P{Blk=suparrowsb}', "");
    Expect(0, 10624, '\P{^Blk=suparrowsb}', "");
    Expect(1, 10623, '\p{Blk=:\Asuparrowsb\z:}', "");;
    Expect(0, 10624, '\p{Blk=:\Asuparrowsb\z:}', "");;
    Expect(1, 10623, '\p{Blk=-sup_ARROWS_b}', "");
    Expect(0, 10623, '\p{^Blk=-sup_ARROWS_b}', "");
    Expect(0, 10623, '\P{Blk=-sup_ARROWS_b}', "");
    Expect(1, 10623, '\P{^Blk=-sup_ARROWS_b}', "");
    Expect(0, 10624, '\p{Blk=-sup_ARROWS_b}', "");
    Expect(1, 10624, '\p{^Blk=-sup_ARROWS_b}', "");
    Expect(1, 10624, '\P{Blk=-sup_ARROWS_b}', "");
    Expect(0, 10624, '\P{^Blk=-sup_ARROWS_b}', "");
    Error('\p{Is_Block= :=SUPPLEMENTAL_Arrows_b}');
    Error('\P{Is_Block= :=SUPPLEMENTAL_Arrows_b}');
    Expect(1, 10623, '\p{Is_Block=supplementalarrowsb}', "");
    Expect(0, 10623, '\p{^Is_Block=supplementalarrowsb}', "");
    Expect(0, 10623, '\P{Is_Block=supplementalarrowsb}', "");
    Expect(1, 10623, '\P{^Is_Block=supplementalarrowsb}', "");
    Expect(0, 10624, '\p{Is_Block=supplementalarrowsb}', "");
    Expect(1, 10624, '\p{^Is_Block=supplementalarrowsb}', "");
    Expect(1, 10624, '\P{Is_Block=supplementalarrowsb}', "");
    Expect(0, 10624, '\P{^Is_Block=supplementalarrowsb}', "");
    Expect(1, 10623, '\p{Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10623, '\p{^Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10623, '\P{Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Expect(1, 10623, '\P{^Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10624, '\p{Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Expect(1, 10624, '\p{^Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Expect(1, 10624, '\P{Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10624, '\P{^Is_Block=		SUPPLEMENTAL_arrows_B}', "");
    Error('\p{Is_Blk=/a/_sup_Arrows_B}');
    Error('\P{Is_Blk=/a/_sup_Arrows_B}');
    Expect(1, 10623, '\p{Is_Blk=suparrowsb}', "");
    Expect(0, 10623, '\p{^Is_Blk=suparrowsb}', "");
    Expect(0, 10623, '\P{Is_Blk=suparrowsb}', "");
    Expect(1, 10623, '\P{^Is_Blk=suparrowsb}', "");
    Expect(0, 10624, '\p{Is_Blk=suparrowsb}', "");
    Expect(1, 10624, '\p{^Is_Blk=suparrowsb}', "");
    Expect(1, 10624, '\P{Is_Blk=suparrowsb}', "");
    Expect(0, 10624, '\P{^Is_Blk=suparrowsb}', "");
    Expect(1, 10623, '\p{Is_Blk: 	_sup_arrows_B}', "");
    Expect(0, 10623, '\p{^Is_Blk: 	_sup_arrows_B}', "");
    Expect(0, 10623, '\P{Is_Blk: 	_sup_arrows_B}', "");
    Expect(1, 10623, '\P{^Is_Blk: 	_sup_arrows_B}', "");
    Expect(0, 10624, '\p{Is_Blk: 	_sup_arrows_B}', "");
    Expect(1, 10624, '\p{^Is_Blk: 	_sup_arrows_B}', "");
    Expect(1, 10624, '\P{Is_Blk: 	_sup_arrows_B}', "");
    Expect(0, 10624, '\P{^Is_Blk: 	_sup_arrows_B}', "");
    Error('\p{Block=/a/	 SUPPLEMENTAL_arrows_c}');
    Error('\P{Block=/a/	 SUPPLEMENTAL_arrows_c}');
    Expect(1, 129279, '\p{Block=:\ASupplemental_Arrows_C\z:}', "");;
    Expect(0, 129280, '\p{Block=:\ASupplemental_Arrows_C\z:}', "");;
    Expect(1, 129279, '\p{Block:   supplementalarrowsc}', "");
    Expect(0, 129279, '\p{^Block:   supplementalarrowsc}', "");
    Expect(0, 129279, '\P{Block:   supplementalarrowsc}', "");
    Expect(1, 129279, '\P{^Block:   supplementalarrowsc}', "");
    Expect(0, 129280, '\p{Block:   supplementalarrowsc}', "");
    Expect(1, 129280, '\p{^Block:   supplementalarrowsc}', "");
    Expect(1, 129280, '\P{Block:   supplementalarrowsc}', "");
    Expect(0, 129280, '\P{^Block:   supplementalarrowsc}', "");
    Expect(1, 129279, '\p{Block=:\Asupplementalarrowsc\z:}', "");;
    Expect(0, 129280, '\p{Block=:\Asupplementalarrowsc\z:}', "");;
    Expect(1, 129279, '\p{Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Expect(0, 129279, '\p{^Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Expect(0, 129279, '\P{Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Expect(1, 129279, '\P{^Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Expect(0, 129280, '\p{Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Expect(1, 129280, '\p{^Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Expect(1, 129280, '\P{Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Expect(0, 129280, '\P{^Block=	_SUPPLEMENTAL_Arrows_c}', "");
    Error('\p{Blk=:=Sup_ARROWS_C}');
    Error('\P{Blk=:=Sup_ARROWS_C}');
    Expect(1, 129279, '\p{Blk=:\ASup_Arrows_C\z:}', "");;
    Expect(0, 129280, '\p{Blk=:\ASup_Arrows_C\z:}', "");;
    Expect(1, 129279, '\p{Blk:suparrowsc}', "");
    Expect(0, 129279, '\p{^Blk:suparrowsc}', "");
    Expect(0, 129279, '\P{Blk:suparrowsc}', "");
    Expect(1, 129279, '\P{^Blk:suparrowsc}', "");
    Expect(0, 129280, '\p{Blk:suparrowsc}', "");
    Expect(1, 129280, '\p{^Blk:suparrowsc}', "");
    Expect(1, 129280, '\P{Blk:suparrowsc}', "");
    Expect(0, 129280, '\P{^Blk:suparrowsc}', "");
    Expect(1, 129279, '\p{Blk=:\Asuparrowsc\z:}', "");;
    Expect(0, 129280, '\p{Blk=:\Asuparrowsc\z:}', "");;
    Expect(1, 129279, '\p{Blk:   	sup_ARROWS_c}', "");
    Expect(0, 129279, '\p{^Blk:   	sup_ARROWS_c}', "");
    Expect(0, 129279, '\P{Blk:   	sup_ARROWS_c}', "");
    Expect(1, 129279, '\P{^Blk:   	sup_ARROWS_c}', "");
    Expect(0, 129280, '\p{Blk:   	sup_ARROWS_c}', "");
    Expect(1, 129280, '\p{^Blk:   	sup_ARROWS_c}', "");
    Expect(1, 129280, '\P{Blk:   	sup_ARROWS_c}', "");
    Expect(0, 129280, '\P{^Blk:   	sup_ARROWS_c}', "");
    Error('\p{Is_Block=:=_ SUPPLEMENTAL_Arrows_C}');
    Error('\P{Is_Block=:=_ SUPPLEMENTAL_Arrows_C}');
    Expect(1, 129279, '\p{Is_Block=supplementalarrowsc}', "");
    Expect(0, 129279, '\p{^Is_Block=supplementalarrowsc}', "");
    Expect(0, 129279, '\P{Is_Block=supplementalarrowsc}', "");
    Expect(1, 129279, '\P{^Is_Block=supplementalarrowsc}', "");
    Expect(0, 129280, '\p{Is_Block=supplementalarrowsc}', "");
    Expect(1, 129280, '\p{^Is_Block=supplementalarrowsc}', "");
    Expect(1, 129280, '\P{Is_Block=supplementalarrowsc}', "");
    Expect(0, 129280, '\P{^Is_Block=supplementalarrowsc}', "");
    Expect(1, 129279, '\p{Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Expect(0, 129279, '\p{^Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Expect(0, 129279, '\P{Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Expect(1, 129279, '\P{^Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Expect(0, 129280, '\p{Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Expect(1, 129280, '\p{^Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Expect(1, 129280, '\P{Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Expect(0, 129280, '\P{^Is_Block=-_SUPPLEMENTAL_ARROWS_C}', "");
    Error('\p{Is_Blk=:=--Sup_ARROWS_c}');
    Error('\P{Is_Blk=:=--Sup_ARROWS_c}');
    Expect(1, 129279, '\p{Is_Blk: suparrowsc}', "");
    Expect(0, 129279, '\p{^Is_Blk: suparrowsc}', "");
    Expect(0, 129279, '\P{Is_Blk: suparrowsc}', "");
    Expect(1, 129279, '\P{^Is_Blk: suparrowsc}', "");
    Expect(0, 129280, '\p{Is_Blk: suparrowsc}', "");
    Expect(1, 129280, '\p{^Is_Blk: suparrowsc}', "");
    Expect(1, 129280, '\P{Is_Blk: suparrowsc}', "");
    Expect(0, 129280, '\P{^Is_Blk: suparrowsc}', "");
    Expect(1, 129279, '\p{Is_Blk= Sup_Arrows_C}', "");
    Expect(0, 129279, '\p{^Is_Blk= Sup_Arrows_C}', "");
    Expect(0, 129279, '\P{Is_Blk= Sup_Arrows_C}', "");
    Expect(1, 129279, '\P{^Is_Blk= Sup_Arrows_C}', "");
    Expect(0, 129280, '\p{Is_Blk= Sup_Arrows_C}', "");
    Expect(1, 129280, '\p{^Is_Blk= Sup_Arrows_C}', "");
    Expect(1, 129280, '\P{Is_Blk= Sup_Arrows_C}', "");
    Expect(0, 129280, '\P{^Is_Blk= Sup_Arrows_C}', "");
    Error('\p{Block=:= _SUPPLEMENTAL_MATHEMATICAL_Operators}');
    Error('\P{Block=:= _SUPPLEMENTAL_MATHEMATICAL_Operators}');
    Expect(1, 11007, '\p{Block=:\ASupplemental_Mathematical_Operators\z:}', "");;
    Expect(0, 11008, '\p{Block=:\ASupplemental_Mathematical_Operators\z:}', "");;
    Expect(1, 11007, '\p{Block=supplementalmathematicaloperators}', "");
    Expect(0, 11007, '\p{^Block=supplementalmathematicaloperators}', "");
    Expect(0, 11007, '\P{Block=supplementalmathematicaloperators}', "");
    Expect(1, 11007, '\P{^Block=supplementalmathematicaloperators}', "");
    Expect(0, 11008, '\p{Block=supplementalmathematicaloperators}', "");
    Expect(1, 11008, '\p{^Block=supplementalmathematicaloperators}', "");
    Expect(1, 11008, '\P{Block=supplementalmathematicaloperators}', "");
    Expect(0, 11008, '\P{^Block=supplementalmathematicaloperators}', "");
    Expect(1, 11007, '\p{Block=:\Asupplementalmathematicaloperators\z:}', "");;
    Expect(0, 11008, '\p{Block=:\Asupplementalmathematicaloperators\z:}', "");;
    Expect(1, 11007, '\p{Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\p{^Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\P{Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11007, '\P{^Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\p{Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\p{^Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\P{Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\P{^Block=_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Error('\p{Blk:   _Sup_MATH_Operators/a/}');
    Error('\P{Blk:   _Sup_MATH_Operators/a/}');
    Expect(1, 11007, '\p{Blk=:\ASup_Math_Operators\z:}', "");;
    Expect(0, 11008, '\p{Blk=:\ASup_Math_Operators\z:}', "");;
    Expect(1, 11007, '\p{Blk=supmathoperators}', "");
    Expect(0, 11007, '\p{^Blk=supmathoperators}', "");
    Expect(0, 11007, '\P{Blk=supmathoperators}', "");
    Expect(1, 11007, '\P{^Blk=supmathoperators}', "");
    Expect(0, 11008, '\p{Blk=supmathoperators}', "");
    Expect(1, 11008, '\p{^Blk=supmathoperators}', "");
    Expect(1, 11008, '\P{Blk=supmathoperators}', "");
    Expect(0, 11008, '\P{^Blk=supmathoperators}', "");
    Expect(1, 11007, '\p{Blk=:\Asupmathoperators\z:}', "");;
    Expect(0, 11008, '\p{Blk=:\Asupmathoperators\z:}', "");;
    Expect(1, 11007, '\p{Blk=	_SUP_MATH_Operators}', "");
    Expect(0, 11007, '\p{^Blk=	_SUP_MATH_Operators}', "");
    Expect(0, 11007, '\P{Blk=	_SUP_MATH_Operators}', "");
    Expect(1, 11007, '\P{^Blk=	_SUP_MATH_Operators}', "");
    Expect(0, 11008, '\p{Blk=	_SUP_MATH_Operators}', "");
    Expect(1, 11008, '\p{^Blk=	_SUP_MATH_Operators}', "");
    Expect(1, 11008, '\P{Blk=	_SUP_MATH_Operators}', "");
    Expect(0, 11008, '\P{^Blk=	_SUP_MATH_Operators}', "");
    Error('\p{Is_Block=:=--Supplemental_Mathematical_Operators}');
    Error('\P{Is_Block=:=--Supplemental_Mathematical_Operators}');
    Expect(1, 11007, '\p{Is_Block=supplementalmathematicaloperators}', "");
    Expect(0, 11007, '\p{^Is_Block=supplementalmathematicaloperators}', "");
    Expect(0, 11007, '\P{Is_Block=supplementalmathematicaloperators}', "");
    Expect(1, 11007, '\P{^Is_Block=supplementalmathematicaloperators}', "");
    Expect(0, 11008, '\p{Is_Block=supplementalmathematicaloperators}', "");
    Expect(1, 11008, '\p{^Is_Block=supplementalmathematicaloperators}', "");
    Expect(1, 11008, '\P{Is_Block=supplementalmathematicaloperators}', "");
    Expect(0, 11008, '\P{^Is_Block=supplementalmathematicaloperators}', "");
    Expect(1, 11007, '\p{Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\p{^Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\P{Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11007, '\P{^Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\p{Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\p{^Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\P{Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\P{^Is_Block= _SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Error('\p{Is_Blk= SUP_Math_operators/a/}');
    Error('\P{Is_Blk= SUP_Math_operators/a/}');
    Expect(1, 11007, '\p{Is_Blk=supmathoperators}', "");
    Expect(0, 11007, '\p{^Is_Blk=supmathoperators}', "");
    Expect(0, 11007, '\P{Is_Blk=supmathoperators}', "");
    Expect(1, 11007, '\P{^Is_Blk=supmathoperators}', "");
    Expect(0, 11008, '\p{Is_Blk=supmathoperators}', "");
    Expect(1, 11008, '\p{^Is_Blk=supmathoperators}', "");
    Expect(1, 11008, '\P{Is_Blk=supmathoperators}', "");
    Expect(0, 11008, '\P{^Is_Blk=supmathoperators}', "");
    Expect(1, 11007, '\p{Is_Blk=-	Sup_math_Operators}', "");
    Expect(0, 11007, '\p{^Is_Blk=-	Sup_math_Operators}', "");
    Expect(0, 11007, '\P{Is_Blk=-	Sup_math_Operators}', "");
    Expect(1, 11007, '\P{^Is_Blk=-	Sup_math_Operators}', "");
    Expect(0, 11008, '\p{Is_Blk=-	Sup_math_Operators}', "");
    Expect(1, 11008, '\p{^Is_Blk=-	Sup_math_Operators}', "");
    Expect(1, 11008, '\P{Is_Blk=-	Sup_math_Operators}', "");
    Expect(0, 11008, '\P{^Is_Blk=-	Sup_math_Operators}', "");
    Error('\p{Block=/a/		Supplementary_private_USE_area_a}');
    Error('\P{Block=/a/		Supplementary_private_USE_area_a}');
    Expect(1, 983040, '\p{Block=:\ASupplementary_Private_Use_Area_A\z:}', "");;
    Expect(0, 1048576, '\p{Block=:\ASupplementary_Private_Use_Area_A\z:}', "");;
    Expect(1, 983040, '\p{Block: supplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\p{^Block: supplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\P{Block: supplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\P{^Block: supplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\p{Block: supplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\p{^Block: supplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\P{Block: supplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\P{^Block: supplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\p{Block=:\Asupplementaryprivateuseareaa\z:}', "");;
    Expect(0, 1048576, '\p{Block=:\Asupplementaryprivateuseareaa\z:}', "");;
    Expect(1, 983040, '\p{Block=__supplementary_private_Use_Area_A}', "");
    Expect(0, 983040, '\p{^Block=__supplementary_private_Use_Area_A}', "");
    Expect(0, 983040, '\P{Block=__supplementary_private_Use_Area_A}', "");
    Expect(1, 983040, '\P{^Block=__supplementary_private_Use_Area_A}', "");
    Expect(0, 1048576, '\p{Block=__supplementary_private_Use_Area_A}', "");
    Expect(1, 1048576, '\p{^Block=__supplementary_private_Use_Area_A}', "");
    Expect(1, 1048576, '\P{Block=__supplementary_private_Use_Area_A}', "");
    Expect(0, 1048576, '\P{^Block=__supplementary_private_Use_Area_A}', "");
    Error('\p{Blk=_/a/Sup_pua_A}');
    Error('\P{Blk=_/a/Sup_pua_A}');
    Expect(1, 983040, '\p{Blk=:\ASup_PUA_A\z:}', "");;
    Expect(0, 1048576, '\p{Blk=:\ASup_PUA_A\z:}', "");;
    Expect(1, 983040, '\p{Blk: suppuaa}', "");
    Expect(0, 983040, '\p{^Blk: suppuaa}', "");
    Expect(0, 983040, '\P{Blk: suppuaa}', "");
    Expect(1, 983040, '\P{^Blk: suppuaa}', "");
    Expect(0, 1048576, '\p{Blk: suppuaa}', "");
    Expect(1, 1048576, '\p{^Blk: suppuaa}', "");
    Expect(1, 1048576, '\P{Blk: suppuaa}', "");
    Expect(0, 1048576, '\P{^Blk: suppuaa}', "");
    Expect(1, 983040, '\p{Blk=:\Asuppuaa\z:}', "");;
    Expect(0, 1048576, '\p{Blk=:\Asuppuaa\z:}', "");;
    Expect(1, 983040, '\p{Blk= sup_PUA_A}', "");
    Expect(0, 983040, '\p{^Blk= sup_PUA_A}', "");
    Expect(0, 983040, '\P{Blk= sup_PUA_A}', "");
    Expect(1, 983040, '\P{^Blk= sup_PUA_A}', "");
    Expect(0, 1048576, '\p{Blk= sup_PUA_A}', "");
    Expect(1, 1048576, '\p{^Blk= sup_PUA_A}', "");
    Expect(1, 1048576, '\P{Blk= sup_PUA_A}', "");
    Expect(0, 1048576, '\P{^Blk= sup_PUA_A}', "");
    Error('\p{Is_Block=_Supplementary_Private_Use_area_a/a/}');
    Error('\P{Is_Block=_Supplementary_Private_Use_area_a/a/}');
    Expect(1, 983040, '\p{Is_Block=supplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\p{^Is_Block=supplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\P{Is_Block=supplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\P{^Is_Block=supplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\p{Is_Block=supplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\p{^Is_Block=supplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\P{Is_Block=supplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\P{^Is_Block=supplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\p{Is_Block: 		supplementary_Private_USE_area_A}', "");
    Expect(0, 983040, '\p{^Is_Block: 		supplementary_Private_USE_area_A}', "");
    Expect(0, 983040, '\P{Is_Block: 		supplementary_Private_USE_area_A}', "");
    Expect(1, 983040, '\P{^Is_Block: 		supplementary_Private_USE_area_A}', "");
    Expect(0, 1048576, '\p{Is_Block: 		supplementary_Private_USE_area_A}', "");
    Expect(1, 1048576, '\p{^Is_Block: 		supplementary_Private_USE_area_A}', "");
    Expect(1, 1048576, '\P{Is_Block: 		supplementary_Private_USE_area_A}', "");
    Expect(0, 1048576, '\P{^Is_Block: 		supplementary_Private_USE_area_A}', "");
    Error('\p{Is_Blk=_/a/Sup_PUA_A}');
    Error('\P{Is_Blk=_/a/Sup_PUA_A}');
    Expect(1, 983040, '\p{Is_Blk=suppuaa}', "");
    Expect(0, 983040, '\p{^Is_Blk=suppuaa}', "");
    Expect(0, 983040, '\P{Is_Blk=suppuaa}', "");
    Expect(1, 983040, '\P{^Is_Blk=suppuaa}', "");
    Expect(0, 1048576, '\p{Is_Blk=suppuaa}', "");
    Expect(1, 1048576, '\p{^Is_Blk=suppuaa}', "");
    Expect(1, 1048576, '\P{Is_Blk=suppuaa}', "");
    Expect(0, 1048576, '\P{^Is_Blk=suppuaa}', "");
    Expect(1, 983040, '\p{Is_Blk=		sup_PUA_A}', "");
    Expect(0, 983040, '\p{^Is_Blk=		sup_PUA_A}', "");
    Expect(0, 983040, '\P{Is_Blk=		sup_PUA_A}', "");
    Expect(1, 983040, '\P{^Is_Blk=		sup_PUA_A}', "");
    Expect(0, 1048576, '\p{Is_Blk=		sup_PUA_A}', "");
    Expect(1, 1048576, '\p{^Is_Blk=		sup_PUA_A}', "");
    Expect(1, 1048576, '\P{Is_Blk=		sup_PUA_A}', "");
    Expect(0, 1048576, '\P{^Is_Blk=		sup_PUA_A}', "");
    Error('\p{Block=_SUPPLEMENTARY_PRIVATE_Use_Area_B/a/}');
    Error('\P{Block=_SUPPLEMENTARY_PRIVATE_Use_Area_B/a/}');
    Expect(1, 1048576, '\p{Block=:\ASupplementary_Private_Use_Area_B\z:}', "");;
    Expect(0, 1, '\p{Block=:\ASupplementary_Private_Use_Area_B\z:}', "");;
    Expect(1, 1048576, '\p{Block=supplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\p{^Block=supplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\P{Block=supplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\P{^Block=supplementaryprivateuseareab}', "");
    Expect(0, 1, '\p{Block=supplementaryprivateuseareab}', "");
    Expect(1, 1, '\p{^Block=supplementaryprivateuseareab}', "");
    Expect(1, 1, '\P{Block=supplementaryprivateuseareab}', "");
    Expect(0, 1, '\P{^Block=supplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\p{Block=:\Asupplementaryprivateuseareab\z:}', "");;
    Expect(0, 1, '\p{Block=:\Asupplementaryprivateuseareab\z:}', "");;
    Expect(1, 1048576, '\p{Block=_supplementary_Private_use_area_B}', "");
    Expect(0, 1048576, '\p{^Block=_supplementary_Private_use_area_B}', "");
    Expect(0, 1048576, '\P{Block=_supplementary_Private_use_area_B}', "");
    Expect(1, 1048576, '\P{^Block=_supplementary_Private_use_area_B}', "");
    Expect(0, 1, '\p{Block=_supplementary_Private_use_area_B}', "");
    Expect(1, 1, '\p{^Block=_supplementary_Private_use_area_B}', "");
    Expect(1, 1, '\P{Block=_supplementary_Private_use_area_B}', "");
    Expect(0, 1, '\P{^Block=_supplementary_Private_use_area_B}', "");
    Error('\p{Blk=/a/_SUP_PUA_B}');
    Error('\P{Blk=/a/_SUP_PUA_B}');
    Expect(1, 1048576, '\p{Blk=:\ASup_PUA_B\z:}', "");;
    Expect(0, 1, '\p{Blk=:\ASup_PUA_B\z:}', "");;
    Expect(1, 1048576, '\p{Blk=suppuab}', "");
    Expect(0, 1048576, '\p{^Blk=suppuab}', "");
    Expect(0, 1048576, '\P{Blk=suppuab}', "");
    Expect(1, 1048576, '\P{^Blk=suppuab}', "");
    Expect(0, 1, '\p{Blk=suppuab}', "");
    Expect(1, 1, '\p{^Blk=suppuab}', "");
    Expect(1, 1, '\P{Blk=suppuab}', "");
    Expect(0, 1, '\P{^Blk=suppuab}', "");
    Expect(1, 1048576, '\p{Blk=:\Asuppuab\z:}', "");;
    Expect(0, 1, '\p{Blk=:\Asuppuab\z:}', "");;
    Expect(1, 1048576, '\p{Blk=SUP_pua_b}', "");
    Expect(0, 1048576, '\p{^Blk=SUP_pua_b}', "");
    Expect(0, 1048576, '\P{Blk=SUP_pua_b}', "");
    Expect(1, 1048576, '\P{^Blk=SUP_pua_b}', "");
    Expect(0, 1, '\p{Blk=SUP_pua_b}', "");
    Expect(1, 1, '\p{^Blk=SUP_pua_b}', "");
    Expect(1, 1, '\P{Blk=SUP_pua_b}', "");
    Expect(0, 1, '\P{^Blk=SUP_pua_b}', "");
    Error('\p{Is_Block=	/a/Supplementary_Private_Use_area_B}');
    Error('\P{Is_Block=	/a/Supplementary_Private_Use_area_B}');
    Expect(1, 1048576, '\p{Is_Block=supplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\p{^Is_Block=supplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\P{Is_Block=supplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\P{^Is_Block=supplementaryprivateuseareab}', "");
    Expect(0, 1, '\p{Is_Block=supplementaryprivateuseareab}', "");
    Expect(1, 1, '\p{^Is_Block=supplementaryprivateuseareab}', "");
    Expect(1, 1, '\P{Is_Block=supplementaryprivateuseareab}', "");
    Expect(0, 1, '\P{^Is_Block=supplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\p{Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Expect(0, 1048576, '\p{^Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Expect(0, 1048576, '\P{Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Expect(1, 1048576, '\P{^Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Expect(0, 1, '\p{Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Expect(1, 1, '\p{^Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Expect(1, 1, '\P{Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Expect(0, 1, '\P{^Is_Block= 	supplementary_Private_Use_AREA_B}', "");
    Error('\p{Is_Blk: :=Sup_PUA_b}');
    Error('\P{Is_Blk: :=Sup_PUA_b}');
    Expect(1, 1048576, '\p{Is_Blk=suppuab}', "");
    Expect(0, 1048576, '\p{^Is_Blk=suppuab}', "");
    Expect(0, 1048576, '\P{Is_Blk=suppuab}', "");
    Expect(1, 1048576, '\P{^Is_Blk=suppuab}', "");
    Expect(0, 1, '\p{Is_Blk=suppuab}', "");
    Expect(1, 1, '\p{^Is_Blk=suppuab}', "");
    Expect(1, 1, '\P{Is_Blk=suppuab}', "");
    Expect(0, 1, '\P{^Is_Blk=suppuab}', "");
    Expect(1, 1048576, '\p{Is_Blk=_	SUP_PUA_B}', "");
    Expect(0, 1048576, '\p{^Is_Blk=_	SUP_PUA_B}', "");
    Expect(0, 1048576, '\P{Is_Blk=_	SUP_PUA_B}', "");
    Expect(1, 1048576, '\P{^Is_Blk=_	SUP_PUA_B}', "");
    Expect(0, 1, '\p{Is_Blk=_	SUP_PUA_B}', "");
    Expect(1, 1, '\p{^Is_Blk=_	SUP_PUA_B}', "");
    Expect(1, 1, '\P{Is_Blk=_	SUP_PUA_B}', "");
    Expect(0, 1, '\P{^Is_Blk=_	SUP_PUA_B}', "");
    Error('\p{Block=:=-supplemental_Punctuation}');
    Error('\P{Block=:=-supplemental_Punctuation}');
    Expect(1, 11903, '\p{Block=:\ASupplemental_Punctuation\z:}', "");;
    Expect(0, 11904, '\p{Block=:\ASupplemental_Punctuation\z:}', "");;
    Expect(1, 11903, '\p{Block=supplementalpunctuation}', "");
    Expect(0, 11903, '\p{^Block=supplementalpunctuation}', "");
    Expect(0, 11903, '\P{Block=supplementalpunctuation}', "");
    Expect(1, 11903, '\P{^Block=supplementalpunctuation}', "");
    Expect(0, 11904, '\p{Block=supplementalpunctuation}', "");
    Expect(1, 11904, '\p{^Block=supplementalpunctuation}', "");
    Expect(1, 11904, '\P{Block=supplementalpunctuation}', "");
    Expect(0, 11904, '\P{^Block=supplementalpunctuation}', "");
    Expect(1, 11903, '\p{Block=:\Asupplementalpunctuation\z:}', "");;
    Expect(0, 11904, '\p{Block=:\Asupplementalpunctuation\z:}', "");;
    Expect(1, 11903, '\p{Block=	 SUPPLEMENTAL_punctuation}', "");
    Expect(0, 11903, '\p{^Block=	 SUPPLEMENTAL_punctuation}', "");
    Expect(0, 11903, '\P{Block=	 SUPPLEMENTAL_punctuation}', "");
    Expect(1, 11903, '\P{^Block=	 SUPPLEMENTAL_punctuation}', "");
    Expect(0, 11904, '\p{Block=	 SUPPLEMENTAL_punctuation}', "");
    Expect(1, 11904, '\p{^Block=	 SUPPLEMENTAL_punctuation}', "");
    Expect(1, 11904, '\P{Block=	 SUPPLEMENTAL_punctuation}', "");
    Expect(0, 11904, '\P{^Block=	 SUPPLEMENTAL_punctuation}', "");
    Error('\p{Blk=/a/-_SUP_punctuation}');
    Error('\P{Blk=/a/-_SUP_punctuation}');
    Expect(1, 11903, '\p{Blk=:\ASup_Punctuation\z:}', "");;
    Expect(0, 11904, '\p{Blk=:\ASup_Punctuation\z:}', "");;
    Expect(1, 11903, '\p{Blk=suppunctuation}', "");
    Expect(0, 11903, '\p{^Blk=suppunctuation}', "");
    Expect(0, 11903, '\P{Blk=suppunctuation}', "");
    Expect(1, 11903, '\P{^Blk=suppunctuation}', "");
    Expect(0, 11904, '\p{Blk=suppunctuation}', "");
    Expect(1, 11904, '\p{^Blk=suppunctuation}', "");
    Expect(1, 11904, '\P{Blk=suppunctuation}', "");
    Expect(0, 11904, '\P{^Blk=suppunctuation}', "");
    Expect(1, 11903, '\p{Blk=:\Asuppunctuation\z:}', "");;
    Expect(0, 11904, '\p{Blk=:\Asuppunctuation\z:}', "");;
    Expect(1, 11903, '\p{Blk= Sup_punctuation}', "");
    Expect(0, 11903, '\p{^Blk= Sup_punctuation}', "");
    Expect(0, 11903, '\P{Blk= Sup_punctuation}', "");
    Expect(1, 11903, '\P{^Blk= Sup_punctuation}', "");
    Expect(0, 11904, '\p{Blk= Sup_punctuation}', "");
    Expect(1, 11904, '\p{^Blk= Sup_punctuation}', "");
    Expect(1, 11904, '\P{Blk= Sup_punctuation}', "");
    Expect(0, 11904, '\P{^Blk= Sup_punctuation}', "");
    Error('\p{Is_Block:  /a/SUPPLEMENTAL_Punctuation}');
    Error('\P{Is_Block:  /a/SUPPLEMENTAL_Punctuation}');
    Expect(1, 11903, '\p{Is_Block=supplementalpunctuation}', "");
    Expect(0, 11903, '\p{^Is_Block=supplementalpunctuation}', "");
    Expect(0, 11903, '\P{Is_Block=supplementalpunctuation}', "");
    Expect(1, 11903, '\P{^Is_Block=supplementalpunctuation}', "");
    Expect(0, 11904, '\p{Is_Block=supplementalpunctuation}', "");
    Expect(1, 11904, '\p{^Is_Block=supplementalpunctuation}', "");
    Expect(1, 11904, '\P{Is_Block=supplementalpunctuation}', "");
    Expect(0, 11904, '\P{^Is_Block=supplementalpunctuation}', "");
    Expect(1, 11903, '\p{Is_Block=-supplemental_punctuation}', "");
    Expect(0, 11903, '\p{^Is_Block=-supplemental_punctuation}', "");
    Expect(0, 11903, '\P{Is_Block=-supplemental_punctuation}', "");
    Expect(1, 11903, '\P{^Is_Block=-supplemental_punctuation}', "");
    Expect(0, 11904, '\p{Is_Block=-supplemental_punctuation}', "");
    Expect(1, 11904, '\p{^Is_Block=-supplemental_punctuation}', "");
    Expect(1, 11904, '\P{Is_Block=-supplemental_punctuation}', "");
    Expect(0, 11904, '\P{^Is_Block=-supplemental_punctuation}', "");
    Error('\p{Is_Blk=:=	_Sup_punctuation}');
    Error('\P{Is_Blk=:=	_Sup_punctuation}');
    Expect(1, 11903, '\p{Is_Blk=suppunctuation}', "");
    Expect(0, 11903, '\p{^Is_Blk=suppunctuation}', "");
    Expect(0, 11903, '\P{Is_Blk=suppunctuation}', "");
    Expect(1, 11903, '\P{^Is_Blk=suppunctuation}', "");
    Expect(0, 11904, '\p{Is_Blk=suppunctuation}', "");
    Expect(1, 11904, '\p{^Is_Blk=suppunctuation}', "");
    Expect(1, 11904, '\P{Is_Blk=suppunctuation}', "");
    Expect(0, 11904, '\P{^Is_Blk=suppunctuation}', "");
    Expect(1, 11903, '\p{Is_Blk: --SUP_Punctuation}', "");
    Expect(0, 11903, '\p{^Is_Blk: --SUP_Punctuation}', "");
    Expect(0, 11903, '\P{Is_Blk: --SUP_Punctuation}', "");
    Expect(1, 11903, '\P{^Is_Blk: --SUP_Punctuation}', "");
    Expect(0, 11904, '\p{Is_Blk: --SUP_Punctuation}', "");
    Expect(1, 11904, '\p{^Is_Blk: --SUP_Punctuation}', "");
    Expect(1, 11904, '\P{Is_Blk: --SUP_Punctuation}', "");
    Expect(0, 11904, '\P{^Is_Blk: --SUP_Punctuation}', "");
    Error('\p{Block=:= _Supplemental_Symbols_AND_PICTOGRAPHS}');
    Error('\P{Block=:= _Supplemental_Symbols_AND_PICTOGRAPHS}');
    Expect(1, 129535, '\p{Block=:\ASupplemental_Symbols_And_Pictographs\z:}', "");;
    Expect(0, 129536, '\p{Block=:\ASupplemental_Symbols_And_Pictographs\z:}', "");;
    Expect(1, 129535, '\p{Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{Block=:\Asupplementalsymbolsandpictographs\z:}', "");;
    Expect(0, 129536, '\p{Block=:\Asupplementalsymbolsandpictographs\z:}', "");;
    Expect(1, 129535, '\p{Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Expect(0, 129535, '\p{^Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Expect(0, 129535, '\P{Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Expect(1, 129535, '\P{^Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Expect(0, 129536, '\p{Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Expect(1, 129536, '\p{^Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Expect(1, 129536, '\P{Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Expect(0, 129536, '\P{^Block=- supplemental_SYMBOLS_and_PICTOGRAPHS}', "");
    Error('\p{Blk=/a/SUP_SYMBOLS_AND_pictographs}');
    Error('\P{Blk=/a/SUP_SYMBOLS_AND_pictographs}');
    Expect(1, 129535, '\p{Blk=:\ASup_Symbols_And_Pictographs\z:}', "");;
    Expect(0, 129536, '\p{Blk=:\ASup_Symbols_And_Pictographs\z:}', "");;
    Expect(1, 129535, '\p{Blk=supsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^Blk=supsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{Blk=supsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^Blk=supsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{Blk=supsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^Blk=supsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{Blk=supsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^Blk=supsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{Blk=:\Asupsymbolsandpictographs\z:}', "");;
    Expect(0, 129536, '\p{Blk=:\Asupsymbolsandpictographs\z:}', "");;
    Expect(1, 129535, '\p{Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129535, '\p{^Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129535, '\P{Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129535, '\P{^Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129536, '\p{Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129536, '\p{^Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129536, '\P{Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129536, '\P{^Blk=_Sup_Symbols_And_PICTOGRAPHS}', "");
    Error('\p{Is_Block=/a/-Supplemental_Symbols_AND_Pictographs}');
    Error('\P{Is_Block=/a/-Supplemental_Symbols_AND_Pictographs}');
    Expect(1, 129535, '\p{Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^Is_Block=supplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129535, '\p{^Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129535, '\P{Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129535, '\P{^Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129536, '\p{Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129536, '\p{^Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129536, '\P{Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129536, '\P{^Is_Block=-Supplemental_Symbols_And_PICTOGRAPHS}', "");
    Error('\p{Is_Blk= sup_symbols_and_Pictographs/a/}');
    Error('\P{Is_Blk= sup_symbols_and_Pictographs/a/}');
    Expect(1, 129535, '\p{Is_Blk=supsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^Is_Blk=supsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{Is_Blk=supsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^Is_Blk=supsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{Is_Blk=supsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^Is_Blk=supsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{Is_Blk=supsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^Is_Blk=supsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Expect(0, 129535, '\p{^Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Expect(0, 129535, '\P{Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Expect(1, 129535, '\P{^Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Expect(0, 129536, '\p{Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Expect(1, 129536, '\p{^Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Expect(1, 129536, '\P{Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Expect(0, 129536, '\P{^Is_Blk= -Sup_Symbols_And_Pictographs}', "");
    Error('\p{Block=:= superscripts_AND_Subscripts}');
    Error('\P{Block=:= superscripts_AND_Subscripts}');
    Expect(1, 8351, '\p{Block=:\ASuperscripts_And_Subscripts\z:}', "");;
    Expect(0, 8352, '\p{Block=:\ASuperscripts_And_Subscripts\z:}', "");;
    Expect(1, 8351, '\p{Block=superscriptsandsubscripts}', "");
    Expect(0, 8351, '\p{^Block=superscriptsandsubscripts}', "");
    Expect(0, 8351, '\P{Block=superscriptsandsubscripts}', "");
    Expect(1, 8351, '\P{^Block=superscriptsandsubscripts}', "");
    Expect(0, 8352, '\p{Block=superscriptsandsubscripts}', "");
    Expect(1, 8352, '\p{^Block=superscriptsandsubscripts}', "");
    Expect(1, 8352, '\P{Block=superscriptsandsubscripts}', "");
    Expect(0, 8352, '\P{^Block=superscriptsandsubscripts}', "");
    Expect(1, 8351, '\p{Block=:\Asuperscriptsandsubscripts\z:}', "");;
    Expect(0, 8352, '\p{Block=:\Asuperscriptsandsubscripts\z:}', "");;
    Expect(1, 8351, '\p{Block= Superscripts_and_Subscripts}', "");
    Expect(0, 8351, '\p{^Block= Superscripts_and_Subscripts}', "");
    Expect(0, 8351, '\P{Block= Superscripts_and_Subscripts}', "");
    Expect(1, 8351, '\P{^Block= Superscripts_and_Subscripts}', "");
    Expect(0, 8352, '\p{Block= Superscripts_and_Subscripts}', "");
    Expect(1, 8352, '\p{^Block= Superscripts_and_Subscripts}', "");
    Expect(1, 8352, '\P{Block= Superscripts_and_Subscripts}', "");
    Expect(0, 8352, '\P{^Block= Superscripts_and_Subscripts}', "");
    Error('\p{Blk=:= -SUPER_And_Sub}');
    Error('\P{Blk=:= -SUPER_And_Sub}');
    Expect(1, 8351, '\p{Blk=:\ASuper_And_Sub\z:}', "");;
    Expect(0, 8352, '\p{Blk=:\ASuper_And_Sub\z:}', "");;
    Expect(1, 8351, '\p{Blk=superandsub}', "");
    Expect(0, 8351, '\p{^Blk=superandsub}', "");
    Expect(0, 8351, '\P{Blk=superandsub}', "");
    Expect(1, 8351, '\P{^Blk=superandsub}', "");
    Expect(0, 8352, '\p{Blk=superandsub}', "");
    Expect(1, 8352, '\p{^Blk=superandsub}', "");
    Expect(1, 8352, '\P{Blk=superandsub}', "");
    Expect(0, 8352, '\P{^Blk=superandsub}', "");
    Expect(1, 8351, '\p{Blk=:\Asuperandsub\z:}', "");;
    Expect(0, 8352, '\p{Blk=:\Asuperandsub\z:}', "");;
    Expect(1, 8351, '\p{Blk:   Super_And_SUB}', "");
    Expect(0, 8351, '\p{^Blk:   Super_And_SUB}', "");
    Expect(0, 8351, '\P{Blk:   Super_And_SUB}', "");
    Expect(1, 8351, '\P{^Blk:   Super_And_SUB}', "");
    Expect(0, 8352, '\p{Blk:   Super_And_SUB}', "");
    Expect(1, 8352, '\p{^Blk:   Super_And_SUB}', "");
    Expect(1, 8352, '\P{Blk:   Super_And_SUB}', "");
    Expect(0, 8352, '\P{^Blk:   Super_And_SUB}', "");
    Error('\p{Is_Block=_/a/SUPERSCRIPTS_AND_subscripts}');
    Error('\P{Is_Block=_/a/SUPERSCRIPTS_AND_subscripts}');
    Expect(1, 8351, '\p{Is_Block=superscriptsandsubscripts}', "");
    Expect(0, 8351, '\p{^Is_Block=superscriptsandsubscripts}', "");
    Expect(0, 8351, '\P{Is_Block=superscriptsandsubscripts}', "");
    Expect(1, 8351, '\P{^Is_Block=superscriptsandsubscripts}', "");
    Expect(0, 8352, '\p{Is_Block=superscriptsandsubscripts}', "");
    Expect(1, 8352, '\p{^Is_Block=superscriptsandsubscripts}', "");
    Expect(1, 8352, '\P{Is_Block=superscriptsandsubscripts}', "");
    Expect(0, 8352, '\P{^Is_Block=superscriptsandsubscripts}', "");
    Expect(1, 8351, '\p{Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Expect(0, 8351, '\p{^Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Expect(0, 8351, '\P{Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Expect(1, 8351, '\P{^Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Expect(0, 8352, '\p{Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Expect(1, 8352, '\p{^Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Expect(1, 8352, '\P{Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Expect(0, 8352, '\P{^Is_Block= -SUPERSCRIPTS_And_subscripts}', "");
    Error('\p{Is_Blk=_Super_And_SUB:=}');
    Error('\P{Is_Blk=_Super_And_SUB:=}');
    Expect(1, 8351, '\p{Is_Blk=superandsub}', "");
    Expect(0, 8351, '\p{^Is_Blk=superandsub}', "");
    Expect(0, 8351, '\P{Is_Blk=superandsub}', "");
    Expect(1, 8351, '\P{^Is_Blk=superandsub}', "");
    Expect(0, 8352, '\p{Is_Blk=superandsub}', "");
    Expect(1, 8352, '\p{^Is_Blk=superandsub}', "");
    Expect(1, 8352, '\P{Is_Blk=superandsub}', "");
    Expect(0, 8352, '\P{^Is_Blk=superandsub}', "");
    Expect(1, 8351, '\p{Is_Blk=	-SUPER_And_sub}', "");
    Expect(0, 8351, '\p{^Is_Blk=	-SUPER_And_sub}', "");
    Expect(0, 8351, '\P{Is_Blk=	-SUPER_And_sub}', "");
    Expect(1, 8351, '\P{^Is_Blk=	-SUPER_And_sub}', "");
    Expect(0, 8352, '\p{Is_Blk=	-SUPER_And_sub}', "");
    Expect(1, 8352, '\p{^Is_Blk=	-SUPER_And_sub}', "");
    Expect(1, 8352, '\P{Is_Blk=	-SUPER_And_sub}', "");
    Expect(0, 8352, '\P{^Is_Blk=	-SUPER_And_sub}', "");
    Error('\p{Block= :=SUTTON_SIGNWRITING}');
    Error('\P{Block= :=SUTTON_SIGNWRITING}');
    Expect(1, 121519, '\p{Block=:\ASutton_SignWriting\z:}', "");;
    Expect(0, 121520, '\p{Block=:\ASutton_SignWriting\z:}', "");;
    Expect(1, 121519, '\p{Block=suttonsignwriting}', "");
    Expect(0, 121519, '\p{^Block=suttonsignwriting}', "");
    Expect(0, 121519, '\P{Block=suttonsignwriting}', "");
    Expect(1, 121519, '\P{^Block=suttonsignwriting}', "");
    Expect(0, 121520, '\p{Block=suttonsignwriting}', "");
    Expect(1, 121520, '\p{^Block=suttonsignwriting}', "");
    Expect(1, 121520, '\P{Block=suttonsignwriting}', "");
    Expect(0, 121520, '\P{^Block=suttonsignwriting}', "");
    Expect(1, 121519, '\p{Block=:\Asuttonsignwriting\z:}', "");;
    Expect(0, 121520, '\p{Block=:\Asuttonsignwriting\z:}', "");;
    Expect(1, 121519, '\p{Block=		SUTTON_signwriting}', "");
    Expect(0, 121519, '\p{^Block=		SUTTON_signwriting}', "");
    Expect(0, 121519, '\P{Block=		SUTTON_signwriting}', "");
    Expect(1, 121519, '\P{^Block=		SUTTON_signwriting}', "");
    Expect(0, 121520, '\p{Block=		SUTTON_signwriting}', "");
    Expect(1, 121520, '\p{^Block=		SUTTON_signwriting}', "");
    Expect(1, 121520, '\P{Block=		SUTTON_signwriting}', "");
    Expect(0, 121520, '\P{^Block=		SUTTON_signwriting}', "");
    Error('\p{Blk= :=sutton_SIGNWRITING}');
    Error('\P{Blk= :=sutton_SIGNWRITING}');
    Expect(1, 121519, '\p{Blk=:\ASutton_SignWriting\z:}', "");;
    Expect(0, 121520, '\p{Blk=:\ASutton_SignWriting\z:}', "");;
    Expect(1, 121519, '\p{Blk=suttonsignwriting}', "");
    Expect(0, 121519, '\p{^Blk=suttonsignwriting}', "");
    Expect(0, 121519, '\P{Blk=suttonsignwriting}', "");
    Expect(1, 121519, '\P{^Blk=suttonsignwriting}', "");
    Expect(0, 121520, '\p{Blk=suttonsignwriting}', "");
    Expect(1, 121520, '\p{^Blk=suttonsignwriting}', "");
    Expect(1, 121520, '\P{Blk=suttonsignwriting}', "");
    Expect(0, 121520, '\P{^Blk=suttonsignwriting}', "");
    Expect(1, 121519, '\p{Blk=:\Asuttonsignwriting\z:}', "");;
    Expect(0, 121520, '\p{Blk=:\Asuttonsignwriting\z:}', "");;
    Expect(1, 121519, '\p{Blk=_Sutton_SignWriting}', "");
    Expect(0, 121519, '\p{^Blk=_Sutton_SignWriting}', "");
    Expect(0, 121519, '\P{Blk=_Sutton_SignWriting}', "");
    Expect(1, 121519, '\P{^Blk=_Sutton_SignWriting}', "");
    Expect(0, 121520, '\p{Blk=_Sutton_SignWriting}', "");
    Expect(1, 121520, '\p{^Blk=_Sutton_SignWriting}', "");
    Expect(1, 121520, '\P{Blk=_Sutton_SignWriting}', "");
    Expect(0, 121520, '\P{^Blk=_Sutton_SignWriting}', "");
    Error('\p{Is_Block=-/a/Sutton_SignWriting}');
    Error('\P{Is_Block=-/a/Sutton_SignWriting}');
    Expect(1, 121519, '\p{Is_Block:suttonsignwriting}', "");
    Expect(0, 121519, '\p{^Is_Block:suttonsignwriting}', "");
    Expect(0, 121519, '\P{Is_Block:suttonsignwriting}', "");
    Expect(1, 121519, '\P{^Is_Block:suttonsignwriting}', "");
    Expect(0, 121520, '\p{Is_Block:suttonsignwriting}', "");
    Expect(1, 121520, '\p{^Is_Block:suttonsignwriting}', "");
    Expect(1, 121520, '\P{Is_Block:suttonsignwriting}', "");
    Expect(0, 121520, '\P{^Is_Block:suttonsignwriting}', "");
    Expect(1, 121519, '\p{Is_Block=	sutton_SIGNWRITING}', "");
    Expect(0, 121519, '\p{^Is_Block=	sutton_SIGNWRITING}', "");
    Expect(0, 121519, '\P{Is_Block=	sutton_SIGNWRITING}', "");
    Expect(1, 121519, '\P{^Is_Block=	sutton_SIGNWRITING}', "");
    Expect(0, 121520, '\p{Is_Block=	sutton_SIGNWRITING}', "");
    Expect(1, 121520, '\p{^Is_Block=	sutton_SIGNWRITING}', "");
    Expect(1, 121520, '\P{Is_Block=	sutton_SIGNWRITING}', "");
    Expect(0, 121520, '\P{^Is_Block=	sutton_SIGNWRITING}', "");
    Error('\p{Is_Blk=	/a/sutton_signwriting}');
    Error('\P{Is_Blk=	/a/sutton_signwriting}');
    Expect(1, 121519, '\p{Is_Blk=suttonsignwriting}', "");
    Expect(0, 121519, '\p{^Is_Blk=suttonsignwriting}', "");
    Expect(0, 121519, '\P{Is_Blk=suttonsignwriting}', "");
    Expect(1, 121519, '\P{^Is_Blk=suttonsignwriting}', "");
    Expect(0, 121520, '\p{Is_Blk=suttonsignwriting}', "");
    Expect(1, 121520, '\p{^Is_Blk=suttonsignwriting}', "");
    Expect(1, 121520, '\P{Is_Blk=suttonsignwriting}', "");
    Expect(0, 121520, '\P{^Is_Blk=suttonsignwriting}', "");
    Expect(1, 121519, '\p{Is_Blk:--Sutton_SIGNWRITING}', "");
    Expect(0, 121519, '\p{^Is_Blk:--Sutton_SIGNWRITING}', "");
    Expect(0, 121519, '\P{Is_Blk:--Sutton_SIGNWRITING}', "");
    Expect(1, 121519, '\P{^Is_Blk:--Sutton_SIGNWRITING}', "");
    Expect(0, 121520, '\p{Is_Blk:--Sutton_SIGNWRITING}', "");
    Expect(1, 121520, '\p{^Is_Blk:--Sutton_SIGNWRITING}', "");
    Expect(1, 121520, '\P{Is_Blk:--Sutton_SIGNWRITING}', "");
    Expect(0, 121520, '\P{^Is_Blk:--Sutton_SIGNWRITING}', "");
    Error('\p{Block=/a/_Syloti_NAGRI}');
    Error('\P{Block=/a/_Syloti_NAGRI}');
    Expect(1, 43055, '\p{Block=:\ASyloti_Nagri\z:}', "");;
    Expect(0, 43056, '\p{Block=:\ASyloti_Nagri\z:}', "");;
    Expect(1, 43055, '\p{Block=sylotinagri}', "");
    Expect(0, 43055, '\p{^Block=sylotinagri}', "");
    Expect(0, 43055, '\P{Block=sylotinagri}', "");
    Expect(1, 43055, '\P{^Block=sylotinagri}', "");
    Expect(0, 43056, '\p{Block=sylotinagri}', "");
    Expect(1, 43056, '\p{^Block=sylotinagri}', "");
    Expect(1, 43056, '\P{Block=sylotinagri}', "");
    Expect(0, 43056, '\P{^Block=sylotinagri}', "");
    Expect(1, 43055, '\p{Block=:\Asylotinagri\z:}', "");;
    Expect(0, 43056, '\p{Block=:\Asylotinagri\z:}', "");;
    Expect(1, 43055, '\p{Block=	-SYLOTI_nagri}', "");
    Expect(0, 43055, '\p{^Block=	-SYLOTI_nagri}', "");
    Expect(0, 43055, '\P{Block=	-SYLOTI_nagri}', "");
    Expect(1, 43055, '\P{^Block=	-SYLOTI_nagri}', "");
    Expect(0, 43056, '\p{Block=	-SYLOTI_nagri}', "");
    Expect(1, 43056, '\p{^Block=	-SYLOTI_nagri}', "");
    Expect(1, 43056, '\P{Block=	-SYLOTI_nagri}', "");
    Expect(0, 43056, '\P{^Block=	-SYLOTI_nagri}', "");
    Error('\p{Blk=	 Syloti_NAGRI:=}');
    Error('\P{Blk=	 Syloti_NAGRI:=}');
    Expect(1, 43055, '\p{Blk=:\ASyloti_Nagri\z:}', "");;
    Expect(0, 43056, '\p{Blk=:\ASyloti_Nagri\z:}', "");;
    Expect(1, 43055, '\p{Blk=sylotinagri}', "");
    Expect(0, 43055, '\p{^Blk=sylotinagri}', "");
    Expect(0, 43055, '\P{Blk=sylotinagri}', "");
    Expect(1, 43055, '\P{^Blk=sylotinagri}', "");
    Expect(0, 43056, '\p{Blk=sylotinagri}', "");
    Expect(1, 43056, '\p{^Blk=sylotinagri}', "");
    Expect(1, 43056, '\P{Blk=sylotinagri}', "");
    Expect(0, 43056, '\P{^Blk=sylotinagri}', "");
    Expect(1, 43055, '\p{Blk=:\Asylotinagri\z:}', "");;
    Expect(0, 43056, '\p{Blk=:\Asylotinagri\z:}', "");;
    Expect(1, 43055, '\p{Blk= SYLOTI_Nagri}', "");
    Expect(0, 43055, '\p{^Blk= SYLOTI_Nagri}', "");
    Expect(0, 43055, '\P{Blk= SYLOTI_Nagri}', "");
    Expect(1, 43055, '\P{^Blk= SYLOTI_Nagri}', "");
    Expect(0, 43056, '\p{Blk= SYLOTI_Nagri}', "");
    Expect(1, 43056, '\p{^Blk= SYLOTI_Nagri}', "");
    Expect(1, 43056, '\P{Blk= SYLOTI_Nagri}', "");
    Expect(0, 43056, '\P{^Blk= SYLOTI_Nagri}', "");
    Error('\p{Is_Block= Syloti_nagri:=}');
    Error('\P{Is_Block= Syloti_nagri:=}');
    Expect(1, 43055, '\p{Is_Block=sylotinagri}', "");
    Expect(0, 43055, '\p{^Is_Block=sylotinagri}', "");
    Expect(0, 43055, '\P{Is_Block=sylotinagri}', "");
    Expect(1, 43055, '\P{^Is_Block=sylotinagri}', "");
    Expect(0, 43056, '\p{Is_Block=sylotinagri}', "");
    Expect(1, 43056, '\p{^Is_Block=sylotinagri}', "");
    Expect(1, 43056, '\P{Is_Block=sylotinagri}', "");
    Expect(0, 43056, '\P{^Is_Block=sylotinagri}', "");
    Expect(1, 43055, '\p{Is_Block=-	Syloti_Nagri}', "");
    Expect(0, 43055, '\p{^Is_Block=-	Syloti_Nagri}', "");
    Expect(0, 43055, '\P{Is_Block=-	Syloti_Nagri}', "");
    Expect(1, 43055, '\P{^Is_Block=-	Syloti_Nagri}', "");
    Expect(0, 43056, '\p{Is_Block=-	Syloti_Nagri}', "");
    Expect(1, 43056, '\p{^Is_Block=-	Syloti_Nagri}', "");
    Expect(1, 43056, '\P{Is_Block=-	Syloti_Nagri}', "");
    Expect(0, 43056, '\P{^Is_Block=-	Syloti_Nagri}', "");
    Error('\p{Is_Blk=_Syloti_Nagri:=}');
    Error('\P{Is_Blk=_Syloti_Nagri:=}');
    Expect(1, 43055, '\p{Is_Blk=sylotinagri}', "");
    Expect(0, 43055, '\p{^Is_Blk=sylotinagri}', "");
    Expect(0, 43055, '\P{Is_Blk=sylotinagri}', "");
    Expect(1, 43055, '\P{^Is_Blk=sylotinagri}', "");
    Expect(0, 43056, '\p{Is_Blk=sylotinagri}', "");
    Expect(1, 43056, '\p{^Is_Blk=sylotinagri}', "");
    Expect(1, 43056, '\P{Is_Blk=sylotinagri}', "");
    Expect(0, 43056, '\P{^Is_Blk=sylotinagri}', "");
    Expect(1, 43055, '\p{Is_Blk: 	SYLOTI_nagri}', "");
    Expect(0, 43055, '\p{^Is_Blk: 	SYLOTI_nagri}', "");
    Expect(0, 43055, '\P{Is_Blk: 	SYLOTI_nagri}', "");
    Expect(1, 43055, '\P{^Is_Blk: 	SYLOTI_nagri}', "");
    Expect(0, 43056, '\p{Is_Blk: 	SYLOTI_nagri}', "");
    Expect(1, 43056, '\p{^Is_Blk: 	SYLOTI_nagri}', "");
    Expect(1, 43056, '\P{Is_Blk: 	SYLOTI_nagri}', "");
    Expect(0, 43056, '\P{^Is_Blk: 	SYLOTI_nagri}', "");
    Error('\p{Block= _symbols_and_Pictographs_Extended_A/a/}');
    Error('\P{Block= _symbols_and_Pictographs_Extended_A/a/}');
    Expect(1, 129791, '\p{Block=:\ASymbols_And_Pictographs_Extended_A\z:}', "");;
    Expect(0, 129792, '\p{Block=:\ASymbols_And_Pictographs_Extended_A\z:}', "");;
    Expect(1, 129791, '\p{Block:symbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\p{^Block:symbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\P{Block:symbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\P{^Block:symbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\p{Block:symbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\p{^Block:symbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\P{Block:symbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\P{^Block:symbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\p{Block=:\Asymbolsandpictographsextendeda\z:}', "");;
    Expect(0, 129792, '\p{Block=:\Asymbolsandpictographsextendeda\z:}', "");;
    Expect(1, 129791, '\p{Block= -Symbols_And_pictographs_Extended_a}', "");
    Expect(0, 129791, '\p{^Block= -Symbols_And_pictographs_Extended_a}', "");
    Expect(0, 129791, '\P{Block= -Symbols_And_pictographs_Extended_a}', "");
    Expect(1, 129791, '\P{^Block= -Symbols_And_pictographs_Extended_a}', "");
    Expect(0, 129792, '\p{Block= -Symbols_And_pictographs_Extended_a}', "");
    Expect(1, 129792, '\p{^Block= -Symbols_And_pictographs_Extended_a}', "");
    Expect(1, 129792, '\P{Block= -Symbols_And_pictographs_Extended_a}', "");
    Expect(0, 129792, '\P{^Block= -Symbols_And_pictographs_Extended_a}', "");
    Error('\p{Blk=:=-	symbols_And_PICTOGRAPHS_EXT_A}');
    Error('\P{Blk=:=-	symbols_And_PICTOGRAPHS_EXT_A}');
    Expect(1, 129791, '\p{Blk=:\ASymbols_And_Pictographs_Ext_A\z:}', "");;
    Expect(0, 129792, '\p{Blk=:\ASymbols_And_Pictographs_Ext_A\z:}', "");;
    Expect(1, 129791, '\p{Blk=symbolsandpictographsexta}', "");
    Expect(0, 129791, '\p{^Blk=symbolsandpictographsexta}', "");
    Expect(0, 129791, '\P{Blk=symbolsandpictographsexta}', "");
    Expect(1, 129791, '\P{^Blk=symbolsandpictographsexta}', "");
    Expect(0, 129792, '\p{Blk=symbolsandpictographsexta}', "");
    Expect(1, 129792, '\p{^Blk=symbolsandpictographsexta}', "");
    Expect(1, 129792, '\P{Blk=symbolsandpictographsexta}', "");
    Expect(0, 129792, '\P{^Blk=symbolsandpictographsexta}', "");
    Expect(1, 129791, '\p{Blk=:\Asymbolsandpictographsexta\z:}', "");;
    Expect(0, 129792, '\p{Blk=:\Asymbolsandpictographsexta\z:}', "");;
    Expect(1, 129791, '\p{Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Expect(0, 129791, '\p{^Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Expect(0, 129791, '\P{Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Expect(1, 129791, '\P{^Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Expect(0, 129792, '\p{Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Expect(1, 129792, '\p{^Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Expect(1, 129792, '\P{Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Expect(0, 129792, '\P{^Blk=-Symbols_And_PICTOGRAPHS_ext_A}', "");
    Error('\p{Is_Block=_SYMBOLS_And_PICTOGRAPHS_extended_a/a/}');
    Error('\P{Is_Block=_SYMBOLS_And_PICTOGRAPHS_extended_a/a/}');
    Expect(1, 129791, '\p{Is_Block=symbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\p{^Is_Block=symbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\P{Is_Block=symbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\P{^Is_Block=symbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\p{Is_Block=symbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\p{^Is_Block=symbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\P{Is_Block=symbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\P{^Is_Block=symbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\p{Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Expect(0, 129791, '\p{^Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Expect(0, 129791, '\P{Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Expect(1, 129791, '\P{^Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Expect(0, 129792, '\p{Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Expect(1, 129792, '\p{^Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Expect(1, 129792, '\P{Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Expect(0, 129792, '\P{^Is_Block= 	symbols_And_Pictographs_Extended_a}', "");
    Error('\p{Is_Blk=- Symbols_And_Pictographs_Ext_A/a/}');
    Error('\P{Is_Blk=- Symbols_And_Pictographs_Ext_A/a/}');
    Expect(1, 129791, '\p{Is_Blk=symbolsandpictographsexta}', "");
    Expect(0, 129791, '\p{^Is_Blk=symbolsandpictographsexta}', "");
    Expect(0, 129791, '\P{Is_Blk=symbolsandpictographsexta}', "");
    Expect(1, 129791, '\P{^Is_Blk=symbolsandpictographsexta}', "");
    Expect(0, 129792, '\p{Is_Blk=symbolsandpictographsexta}', "");
    Expect(1, 129792, '\p{^Is_Blk=symbolsandpictographsexta}', "");
    Expect(1, 129792, '\P{Is_Blk=symbolsandpictographsexta}', "");
    Expect(0, 129792, '\P{^Is_Blk=symbolsandpictographsexta}', "");
    Expect(1, 129791, '\p{Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Expect(0, 129791, '\p{^Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Expect(0, 129791, '\P{Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Expect(1, 129791, '\P{^Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Expect(0, 129792, '\p{Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Expect(1, 129792, '\p{^Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Expect(1, 129792, '\P{Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Expect(0, 129792, '\P{^Is_Blk= Symbols_And_pictographs_Ext_A}', "");
    Error('\p{Block= _Symbols_for_Legacy_Computing/a/}');
    Error('\P{Block= _Symbols_for_Legacy_Computing/a/}');
    Expect(1, 130047, '\p{Block=:\ASymbols_For_Legacy_Computing\z:}', "");;
    Expect(0, 130048, '\p{Block=:\ASymbols_For_Legacy_Computing\z:}', "");;
    Expect(1, 130047, '\p{Block=symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\p{^Block=symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\P{Block=symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\P{^Block=symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\p{Block=symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\p{^Block=symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\P{Block=symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\P{^Block=symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\p{Block=:\Asymbolsforlegacycomputing\z:}', "");;
    Expect(0, 130048, '\p{Block=:\Asymbolsforlegacycomputing\z:}', "");;
    Expect(1, 130047, '\p{Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Expect(0, 130047, '\p{^Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Expect(0, 130047, '\P{Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Expect(1, 130047, '\P{^Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Expect(0, 130048, '\p{Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Expect(1, 130048, '\p{^Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Expect(1, 130048, '\P{Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Expect(0, 130048, '\P{^Block=_SYMBOLS_For_LEGACY_Computing}', "");
    Error('\p{Blk=/a/	Symbols_for_Legacy_COMPUTING}');
    Error('\P{Blk=/a/	Symbols_for_Legacy_COMPUTING}');
    Expect(1, 130047, '\p{Blk=:\ASymbols_For_Legacy_Computing\z:}', "");;
    Expect(0, 130048, '\p{Blk=:\ASymbols_For_Legacy_Computing\z:}', "");;
    Expect(1, 130047, '\p{Blk=symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\p{^Blk=symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\P{Blk=symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\P{^Blk=symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\p{Blk=symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\p{^Blk=symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\P{Blk=symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\P{^Blk=symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\p{Blk=:\Asymbolsforlegacycomputing\z:}', "");;
    Expect(0, 130048, '\p{Blk=:\Asymbolsforlegacycomputing\z:}', "");;
    Expect(1, 130047, '\p{Blk=	 SYMBOLS_For_legacy_computing}', "");
    Expect(0, 130047, '\p{^Blk=	 SYMBOLS_For_legacy_computing}', "");
    Expect(0, 130047, '\P{Blk=	 SYMBOLS_For_legacy_computing}', "");
    Expect(1, 130047, '\P{^Blk=	 SYMBOLS_For_legacy_computing}', "");
    Expect(0, 130048, '\p{Blk=	 SYMBOLS_For_legacy_computing}', "");
    Expect(1, 130048, '\p{^Blk=	 SYMBOLS_For_legacy_computing}', "");
    Expect(1, 130048, '\P{Blk=	 SYMBOLS_For_legacy_computing}', "");
    Expect(0, 130048, '\P{^Blk=	 SYMBOLS_For_legacy_computing}', "");
    Error('\p{Is_Block=_/a/symbols_For_legacy_COMPUTING}');
    Error('\P{Is_Block=_/a/symbols_For_legacy_COMPUTING}');
    Expect(1, 130047, '\p{Is_Block=symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\p{^Is_Block=symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\P{Is_Block=symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\P{^Is_Block=symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\p{Is_Block=symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\p{^Is_Block=symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\P{Is_Block=symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\P{^Is_Block=symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\p{Is_Block=-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130047, '\p{^Is_Block=-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130047, '\P{Is_Block=-Symbols_For_Legacy_Computing}', "");
    Expect(1, 130047, '\P{^Is_Block=-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130048, '\p{Is_Block=-Symbols_For_Legacy_Computing}', "");
    Expect(1, 130048, '\p{^Is_Block=-Symbols_For_Legacy_Computing}', "");
    Expect(1, 130048, '\P{Is_Block=-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130048, '\P{^Is_Block=-Symbols_For_Legacy_Computing}', "");
    Error('\p{Is_Blk= 	SYMBOLS_FOR_Legacy_COMPUTING/a/}');
    Error('\P{Is_Blk= 	SYMBOLS_FOR_Legacy_COMPUTING/a/}');
    Expect(1, 130047, '\p{Is_Blk:symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\p{^Is_Blk:symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\P{Is_Blk:symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\P{^Is_Blk:symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\p{Is_Blk:symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\p{^Is_Blk:symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\P{Is_Blk:symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\P{^Is_Blk:symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\p{Is_Blk=  Symbols_For_legacy_computing}', "");
    Expect(0, 130047, '\p{^Is_Blk=  Symbols_For_legacy_computing}', "");
    Expect(0, 130047, '\P{Is_Blk=  Symbols_For_legacy_computing}', "");
    Expect(1, 130047, '\P{^Is_Blk=  Symbols_For_legacy_computing}', "");
    Expect(0, 130048, '\p{Is_Blk=  Symbols_For_legacy_computing}', "");
    Expect(1, 130048, '\p{^Is_Blk=  Symbols_For_legacy_computing}', "");
    Expect(1, 130048, '\P{Is_Blk=  Symbols_For_legacy_computing}', "");
    Expect(0, 130048, '\P{^Is_Blk=  Symbols_For_legacy_computing}', "");
    Error('\p{Block: -syriac:=}');
    Error('\P{Block: -syriac:=}');
    Expect(1, 1871, '\p{Block=:\ASyriac\z:}', "");;
    Expect(0, 1872, '\p{Block=:\ASyriac\z:}', "");;
    Expect(1, 1871, '\p{Block=syriac}', "");
    Expect(0, 1871, '\p{^Block=syriac}', "");
    Expect(0, 1871, '\P{Block=syriac}', "");
    Expect(1, 1871, '\P{^Block=syriac}', "");
    Expect(0, 1872, '\p{Block=syriac}', "");
    Expect(1, 1872, '\p{^Block=syriac}', "");
    Expect(1, 1872, '\P{Block=syriac}', "");
    Expect(0, 1872, '\P{^Block=syriac}', "");
    Expect(1, 1871, '\p{Block=:\Asyriac\z:}', "");;
    Expect(0, 1872, '\p{Block=:\Asyriac\z:}', "");;
    Expect(1, 1871, '\p{Block=__Syriac}', "");
    Expect(0, 1871, '\p{^Block=__Syriac}', "");
    Expect(0, 1871, '\P{Block=__Syriac}', "");
    Expect(1, 1871, '\P{^Block=__Syriac}', "");
    Expect(0, 1872, '\p{Block=__Syriac}', "");
    Expect(1, 1872, '\p{^Block=__Syriac}', "");
    Expect(1, 1872, '\P{Block=__Syriac}', "");
    Expect(0, 1872, '\P{^Block=__Syriac}', "");
    Error('\p{Blk=_/a/Syriac}');
    Error('\P{Blk=_/a/Syriac}');
    Expect(1, 1871, '\p{Blk=:\ASyriac\z:}', "");;
    Expect(0, 1872, '\p{Blk=:\ASyriac\z:}', "");;
    Expect(1, 1871, '\p{Blk:   syriac}', "");
    Expect(0, 1871, '\p{^Blk:   syriac}', "");
    Expect(0, 1871, '\P{Blk:   syriac}', "");
    Expect(1, 1871, '\P{^Blk:   syriac}', "");
    Expect(0, 1872, '\p{Blk:   syriac}', "");
    Expect(1, 1872, '\p{^Blk:   syriac}', "");
    Expect(1, 1872, '\P{Blk:   syriac}', "");
    Expect(0, 1872, '\P{^Blk:   syriac}', "");
    Expect(1, 1871, '\p{Blk=:\Asyriac\z:}', "");;
    Expect(0, 1872, '\p{Blk=:\Asyriac\z:}', "");;
    Expect(1, 1871, '\p{Blk=--syriac}', "");
    Expect(0, 1871, '\p{^Blk=--syriac}', "");
    Expect(0, 1871, '\P{Blk=--syriac}', "");
    Expect(1, 1871, '\P{^Blk=--syriac}', "");
    Expect(0, 1872, '\p{Blk=--syriac}', "");
    Expect(1, 1872, '\p{^Blk=--syriac}', "");
    Expect(1, 1872, '\P{Blk=--syriac}', "");
    Expect(0, 1872, '\P{^Blk=--syriac}', "");
    Error('\p{Is_Block=-/a/SYRIAC}');
    Error('\P{Is_Block=-/a/SYRIAC}');
    Expect(1, 1871, '\p{Is_Block=syriac}', "");
    Expect(0, 1871, '\p{^Is_Block=syriac}', "");
    Expect(0, 1871, '\P{Is_Block=syriac}', "");
    Expect(1, 1871, '\P{^Is_Block=syriac}', "");
    Expect(0, 1872, '\p{Is_Block=syriac}', "");
    Expect(1, 1872, '\p{^Is_Block=syriac}', "");
    Expect(1, 1872, '\P{Is_Block=syriac}', "");
    Expect(0, 1872, '\P{^Is_Block=syriac}', "");
    Expect(1, 1871, '\p{Is_Block=_ syriac}', "");
    Expect(0, 1871, '\p{^Is_Block=_ syriac}', "");
    Expect(0, 1871, '\P{Is_Block=_ syriac}', "");
    Expect(1, 1871, '\P{^Is_Block=_ syriac}', "");
    Expect(0, 1872, '\p{Is_Block=_ syriac}', "");
    Expect(1, 1872, '\p{^Is_Block=_ syriac}', "");
    Expect(1, 1872, '\P{Is_Block=_ syriac}', "");
    Expect(0, 1872, '\P{^Is_Block=_ syriac}', "");
    Error('\p{Is_Blk=:=	_Syriac}');
    Error('\P{Is_Blk=:=	_Syriac}');
    Expect(1, 1871, '\p{Is_Blk=syriac}', "");
    Expect(0, 1871, '\p{^Is_Blk=syriac}', "");
    Expect(0, 1871, '\P{Is_Blk=syriac}', "");
    Expect(1, 1871, '\P{^Is_Blk=syriac}', "");
    Expect(0, 1872, '\p{Is_Blk=syriac}', "");
    Expect(1, 1872, '\p{^Is_Blk=syriac}', "");
    Expect(1, 1872, '\P{Is_Blk=syriac}', "");
    Expect(0, 1872, '\P{^Is_Blk=syriac}', "");
    Expect(1, 1871, '\p{Is_Blk=_Syriac}', "");
    Expect(0, 1871, '\p{^Is_Blk=_Syriac}', "");
    Expect(0, 1871, '\P{Is_Blk=_Syriac}', "");
    Expect(1, 1871, '\P{^Is_Blk=_Syriac}', "");
    Expect(0, 1872, '\p{Is_Blk=_Syriac}', "");
    Expect(1, 1872, '\p{^Is_Blk=_Syriac}', "");
    Expect(1, 1872, '\P{Is_Blk=_Syriac}', "");
    Expect(0, 1872, '\P{^Is_Blk=_Syriac}', "");
    Error('\p{Block=/a/ 	syriac_supplement}');
    Error('\P{Block=/a/ 	syriac_supplement}');
    Expect(1, 2159, '\p{Block=:\ASyriac_Supplement\z:}', "");;
    Expect(0, 2160, '\p{Block=:\ASyriac_Supplement\z:}', "");;
    Expect(1, 2159, '\p{Block=syriacsupplement}', "");
    Expect(0, 2159, '\p{^Block=syriacsupplement}', "");
    Expect(0, 2159, '\P{Block=syriacsupplement}', "");
    Expect(1, 2159, '\P{^Block=syriacsupplement}', "");
    Expect(0, 2160, '\p{Block=syriacsupplement}', "");
    Expect(1, 2160, '\p{^Block=syriacsupplement}', "");
    Expect(1, 2160, '\P{Block=syriacsupplement}', "");
    Expect(0, 2160, '\P{^Block=syriacsupplement}', "");
    Expect(1, 2159, '\p{Block=:\Asyriacsupplement\z:}', "");;
    Expect(0, 2160, '\p{Block=:\Asyriacsupplement\z:}', "");;
    Expect(1, 2159, '\p{Block:   _syriac_Supplement}', "");
    Expect(0, 2159, '\p{^Block:   _syriac_Supplement}', "");
    Expect(0, 2159, '\P{Block:   _syriac_Supplement}', "");
    Expect(1, 2159, '\P{^Block:   _syriac_Supplement}', "");
    Expect(0, 2160, '\p{Block:   _syriac_Supplement}', "");
    Expect(1, 2160, '\p{^Block:   _syriac_Supplement}', "");
    Expect(1, 2160, '\P{Block:   _syriac_Supplement}', "");
    Expect(0, 2160, '\P{^Block:   _syriac_Supplement}', "");
    Error('\p{Blk=-/a/syriac_sup}');
    Error('\P{Blk=-/a/syriac_sup}');
    Expect(1, 2159, '\p{Blk=:\ASyriac_Sup\z:}', "");;
    Expect(0, 2160, '\p{Blk=:\ASyriac_Sup\z:}', "");;
    Expect(1, 2159, '\p{Blk=syriacsup}', "");
    Expect(0, 2159, '\p{^Blk=syriacsup}', "");
    Expect(0, 2159, '\P{Blk=syriacsup}', "");
    Expect(1, 2159, '\P{^Blk=syriacsup}', "");
    Expect(0, 2160, '\p{Blk=syriacsup}', "");
    Expect(1, 2160, '\p{^Blk=syriacsup}', "");
    Expect(1, 2160, '\P{Blk=syriacsup}', "");
    Expect(0, 2160, '\P{^Blk=syriacsup}', "");
    Expect(1, 2159, '\p{Blk=:\Asyriacsup\z:}', "");;
    Expect(0, 2160, '\p{Blk=:\Asyriacsup\z:}', "");;
    Expect(1, 2159, '\p{Blk=syriac_SUP}', "");
    Expect(0, 2159, '\p{^Blk=syriac_SUP}', "");
    Expect(0, 2159, '\P{Blk=syriac_SUP}', "");
    Expect(1, 2159, '\P{^Blk=syriac_SUP}', "");
    Expect(0, 2160, '\p{Blk=syriac_SUP}', "");
    Expect(1, 2160, '\p{^Blk=syriac_SUP}', "");
    Expect(1, 2160, '\P{Blk=syriac_SUP}', "");
    Expect(0, 2160, '\P{^Blk=syriac_SUP}', "");
    Error('\p{Is_Block=:= Syriac_SUPPLEMENT}');
    Error('\P{Is_Block=:= Syriac_SUPPLEMENT}');
    Expect(1, 2159, '\p{Is_Block=syriacsupplement}', "");
    Expect(0, 2159, '\p{^Is_Block=syriacsupplement}', "");
    Expect(0, 2159, '\P{Is_Block=syriacsupplement}', "");
    Expect(1, 2159, '\P{^Is_Block=syriacsupplement}', "");
    Expect(0, 2160, '\p{Is_Block=syriacsupplement}', "");
    Expect(1, 2160, '\p{^Is_Block=syriacsupplement}', "");
    Expect(1, 2160, '\P{Is_Block=syriacsupplement}', "");
    Expect(0, 2160, '\P{^Is_Block=syriacsupplement}', "");
    Expect(1, 2159, '\p{Is_Block=__syriac_Supplement}', "");
    Expect(0, 2159, '\p{^Is_Block=__syriac_Supplement}', "");
    Expect(0, 2159, '\P{Is_Block=__syriac_Supplement}', "");
    Expect(1, 2159, '\P{^Is_Block=__syriac_Supplement}', "");
    Expect(0, 2160, '\p{Is_Block=__syriac_Supplement}', "");
    Expect(1, 2160, '\p{^Is_Block=__syriac_Supplement}', "");
    Expect(1, 2160, '\P{Is_Block=__syriac_Supplement}', "");
    Expect(0, 2160, '\P{^Is_Block=__syriac_Supplement}', "");
    Error('\p{Is_Blk:	_/a/SYRIAC_Sup}');
    Error('\P{Is_Blk:	_/a/SYRIAC_Sup}');
    Expect(1, 2159, '\p{Is_Blk=syriacsup}', "");
    Expect(0, 2159, '\p{^Is_Blk=syriacsup}', "");
    Expect(0, 2159, '\P{Is_Blk=syriacsup}', "");
    Expect(1, 2159, '\P{^Is_Blk=syriacsup}', "");
    Expect(0, 2160, '\p{Is_Blk=syriacsup}', "");
    Expect(1, 2160, '\p{^Is_Blk=syriacsup}', "");
    Expect(1, 2160, '\P{Is_Blk=syriacsup}', "");
    Expect(0, 2160, '\P{^Is_Blk=syriacsup}', "");
    Expect(1, 2159, '\p{Is_Blk=Syriac_Sup}', "");
    Expect(0, 2159, '\p{^Is_Blk=Syriac_Sup}', "");
    Expect(0, 2159, '\P{Is_Blk=Syriac_Sup}', "");
    Expect(1, 2159, '\P{^Is_Blk=Syriac_Sup}', "");
    Expect(0, 2160, '\p{Is_Blk=Syriac_Sup}', "");
    Expect(1, 2160, '\p{^Is_Blk=Syriac_Sup}', "");
    Expect(1, 2160, '\P{Is_Blk=Syriac_Sup}', "");
    Expect(0, 2160, '\P{^Is_Blk=Syriac_Sup}', "");
    Error('\p{Block:	:=	 tagalog}');
    Error('\P{Block:	:=	 tagalog}');
    Expect(1, 5919, '\p{Block=:\ATagalog\z:}', "");;
    Expect(0, 5920, '\p{Block=:\ATagalog\z:}', "");;
    Expect(1, 5919, '\p{Block=tagalog}', "");
    Expect(0, 5919, '\p{^Block=tagalog}', "");
    Expect(0, 5919, '\P{Block=tagalog}', "");
    Expect(1, 5919, '\P{^Block=tagalog}', "");
    Expect(0, 5920, '\p{Block=tagalog}', "");
    Expect(1, 5920, '\p{^Block=tagalog}', "");
    Expect(1, 5920, '\P{Block=tagalog}', "");
    Expect(0, 5920, '\P{^Block=tagalog}', "");
    Expect(1, 5919, '\p{Block=:\Atagalog\z:}', "");;
    Expect(0, 5920, '\p{Block=:\Atagalog\z:}', "");;
    Expect(1, 5919, '\p{Block= tagalog}', "");
    Expect(0, 5919, '\p{^Block= tagalog}', "");
    Expect(0, 5919, '\P{Block= tagalog}', "");
    Expect(1, 5919, '\P{^Block= tagalog}', "");
    Expect(0, 5920, '\p{Block= tagalog}', "");
    Expect(1, 5920, '\p{^Block= tagalog}', "");
    Expect(1, 5920, '\P{Block= tagalog}', "");
    Expect(0, 5920, '\P{^Block= tagalog}', "");
    Error('\p{Blk:   /a/-TAGALOG}');
    Error('\P{Blk:   /a/-TAGALOG}');
    Expect(1, 5919, '\p{Blk=:\ATagalog\z:}', "");;
    Expect(0, 5920, '\p{Blk=:\ATagalog\z:}', "");;
    Expect(1, 5919, '\p{Blk=tagalog}', "");
    Expect(0, 5919, '\p{^Blk=tagalog}', "");
    Expect(0, 5919, '\P{Blk=tagalog}', "");
    Expect(1, 5919, '\P{^Blk=tagalog}', "");
    Expect(0, 5920, '\p{Blk=tagalog}', "");
    Expect(1, 5920, '\p{^Blk=tagalog}', "");
    Expect(1, 5920, '\P{Blk=tagalog}', "");
    Expect(0, 5920, '\P{^Blk=tagalog}', "");
    Expect(1, 5919, '\p{Blk=:\Atagalog\z:}', "");;
    Expect(0, 5920, '\p{Blk=:\Atagalog\z:}', "");;
    Expect(1, 5919, '\p{Blk= -Tagalog}', "");
    Expect(0, 5919, '\p{^Blk= -Tagalog}', "");
    Expect(0, 5919, '\P{Blk= -Tagalog}', "");
    Expect(1, 5919, '\P{^Blk= -Tagalog}', "");
    Expect(0, 5920, '\p{Blk= -Tagalog}', "");
    Expect(1, 5920, '\p{^Blk= -Tagalog}', "");
    Expect(1, 5920, '\P{Blk= -Tagalog}', "");
    Expect(0, 5920, '\P{^Blk= -Tagalog}', "");
    Error('\p{Is_Block=_ tagalog:=}');
    Error('\P{Is_Block=_ tagalog:=}');
    Expect(1, 5919, '\p{Is_Block=tagalog}', "");
    Expect(0, 5919, '\p{^Is_Block=tagalog}', "");
    Expect(0, 5919, '\P{Is_Block=tagalog}', "");
    Expect(1, 5919, '\P{^Is_Block=tagalog}', "");
    Expect(0, 5920, '\p{Is_Block=tagalog}', "");
    Expect(1, 5920, '\p{^Is_Block=tagalog}', "");
    Expect(1, 5920, '\P{Is_Block=tagalog}', "");
    Expect(0, 5920, '\P{^Is_Block=tagalog}', "");
    Expect(1, 5919, '\p{Is_Block=- TAGALOG}', "");
    Expect(0, 5919, '\p{^Is_Block=- TAGALOG}', "");
    Expect(0, 5919, '\P{Is_Block=- TAGALOG}', "");
    Expect(1, 5919, '\P{^Is_Block=- TAGALOG}', "");
    Expect(0, 5920, '\p{Is_Block=- TAGALOG}', "");
    Expect(1, 5920, '\p{^Is_Block=- TAGALOG}', "");
    Expect(1, 5920, '\P{Is_Block=- TAGALOG}', "");
    Expect(0, 5920, '\P{^Is_Block=- TAGALOG}', "");
    Error('\p{Is_Blk=		Tagalog:=}');
    Error('\P{Is_Blk=		Tagalog:=}');
    Expect(1, 5919, '\p{Is_Blk:tagalog}', "");
    Expect(0, 5919, '\p{^Is_Blk:tagalog}', "");
    Expect(0, 5919, '\P{Is_Blk:tagalog}', "");
    Expect(1, 5919, '\P{^Is_Blk:tagalog}', "");
    Expect(0, 5920, '\p{Is_Blk:tagalog}', "");
    Expect(1, 5920, '\p{^Is_Blk:tagalog}', "");
    Expect(1, 5920, '\P{Is_Blk:tagalog}', "");
    Expect(0, 5920, '\P{^Is_Blk:tagalog}', "");
    Expect(1, 5919, '\p{Is_Blk= -Tagalog}', "");
    Expect(0, 5919, '\p{^Is_Blk= -Tagalog}', "");
    Expect(0, 5919, '\P{Is_Blk= -Tagalog}', "");
    Expect(1, 5919, '\P{^Is_Blk= -Tagalog}', "");
    Expect(0, 5920, '\p{Is_Blk= -Tagalog}', "");
    Expect(1, 5920, '\p{^Is_Blk= -Tagalog}', "");
    Expect(1, 5920, '\P{Is_Blk= -Tagalog}', "");
    Expect(0, 5920, '\P{^Is_Blk= -Tagalog}', "");
    Error('\p{Block=_ Tagbanwa:=}');
    Error('\P{Block=_ Tagbanwa:=}');
    Expect(1, 6015, '\p{Block=:\ATagbanwa\z:}', "");;
    Expect(0, 6016, '\p{Block=:\ATagbanwa\z:}', "");;
    Expect(1, 6015, '\p{Block=tagbanwa}', "");
    Expect(0, 6015, '\p{^Block=tagbanwa}', "");
    Expect(0, 6015, '\P{Block=tagbanwa}', "");
    Expect(1, 6015, '\P{^Block=tagbanwa}', "");
    Expect(0, 6016, '\p{Block=tagbanwa}', "");
    Expect(1, 6016, '\p{^Block=tagbanwa}', "");
    Expect(1, 6016, '\P{Block=tagbanwa}', "");
    Expect(0, 6016, '\P{^Block=tagbanwa}', "");
    Expect(1, 6015, '\p{Block=:\Atagbanwa\z:}', "");;
    Expect(0, 6016, '\p{Block=:\Atagbanwa\z:}', "");;
    Expect(1, 6015, '\p{Block=-	TAGBANWA}', "");
    Expect(0, 6015, '\p{^Block=-	TAGBANWA}', "");
    Expect(0, 6015, '\P{Block=-	TAGBANWA}', "");
    Expect(1, 6015, '\P{^Block=-	TAGBANWA}', "");
    Expect(0, 6016, '\p{Block=-	TAGBANWA}', "");
    Expect(1, 6016, '\p{^Block=-	TAGBANWA}', "");
    Expect(1, 6016, '\P{Block=-	TAGBANWA}', "");
    Expect(0, 6016, '\P{^Block=-	TAGBANWA}', "");
    Error('\p{Blk= /a/Tagbanwa}');
    Error('\P{Blk= /a/Tagbanwa}');
    Expect(1, 6015, '\p{Blk=:\ATagbanwa\z:}', "");;
    Expect(0, 6016, '\p{Blk=:\ATagbanwa\z:}', "");;
    Expect(1, 6015, '\p{Blk=tagbanwa}', "");
    Expect(0, 6015, '\p{^Blk=tagbanwa}', "");
    Expect(0, 6015, '\P{Blk=tagbanwa}', "");
    Expect(1, 6015, '\P{^Blk=tagbanwa}', "");
    Expect(0, 6016, '\p{Blk=tagbanwa}', "");
    Expect(1, 6016, '\p{^Blk=tagbanwa}', "");
    Expect(1, 6016, '\P{Blk=tagbanwa}', "");
    Expect(0, 6016, '\P{^Blk=tagbanwa}', "");
    Expect(1, 6015, '\p{Blk=:\Atagbanwa\z:}', "");;
    Expect(0, 6016, '\p{Blk=:\Atagbanwa\z:}', "");;
    Expect(1, 6015, '\p{Blk:   -_Tagbanwa}', "");
    Expect(0, 6015, '\p{^Blk:   -_Tagbanwa}', "");
    Expect(0, 6015, '\P{Blk:   -_Tagbanwa}', "");
    Expect(1, 6015, '\P{^Blk:   -_Tagbanwa}', "");
    Expect(0, 6016, '\p{Blk:   -_Tagbanwa}', "");
    Expect(1, 6016, '\p{^Blk:   -_Tagbanwa}', "");
    Expect(1, 6016, '\P{Blk:   -_Tagbanwa}', "");
    Expect(0, 6016, '\P{^Blk:   -_Tagbanwa}', "");
    Error('\p{Is_Block= -Tagbanwa:=}');
    Error('\P{Is_Block= -Tagbanwa:=}');
    Expect(1, 6015, '\p{Is_Block=tagbanwa}', "");
    Expect(0, 6015, '\p{^Is_Block=tagbanwa}', "");
    Expect(0, 6015, '\P{Is_Block=tagbanwa}', "");
    Expect(1, 6015, '\P{^Is_Block=tagbanwa}', "");
    Expect(0, 6016, '\p{Is_Block=tagbanwa}', "");
    Expect(1, 6016, '\p{^Is_Block=tagbanwa}', "");
    Expect(1, 6016, '\P{Is_Block=tagbanwa}', "");
    Expect(0, 6016, '\P{^Is_Block=tagbanwa}', "");
    Expect(1, 6015, '\p{Is_Block:_-TAGBANWA}', "");
    Expect(0, 6015, '\p{^Is_Block:_-TAGBANWA}', "");
    Expect(0, 6015, '\P{Is_Block:_-TAGBANWA}', "");
    Expect(1, 6015, '\P{^Is_Block:_-TAGBANWA}', "");
    Expect(0, 6016, '\p{Is_Block:_-TAGBANWA}', "");
    Expect(1, 6016, '\p{^Is_Block:_-TAGBANWA}', "");
    Expect(1, 6016, '\P{Is_Block:_-TAGBANWA}', "");
    Expect(0, 6016, '\P{^Is_Block:_-TAGBANWA}', "");
    Error('\p{Is_Blk=:=- Tagbanwa}');
    Error('\P{Is_Blk=:=- Tagbanwa}');
    Expect(1, 6015, '\p{Is_Blk=tagbanwa}', "");
    Expect(0, 6015, '\p{^Is_Blk=tagbanwa}', "");
    Expect(0, 6015, '\P{Is_Blk=tagbanwa}', "");
    Expect(1, 6015, '\P{^Is_Blk=tagbanwa}', "");
    Expect(0, 6016, '\p{Is_Blk=tagbanwa}', "");
    Expect(1, 6016, '\p{^Is_Blk=tagbanwa}', "");
    Expect(1, 6016, '\P{Is_Blk=tagbanwa}', "");
    Expect(0, 6016, '\P{^Is_Blk=tagbanwa}', "");
    Error('\p{Block=	_TAGS:=}');
    Error('\P{Block=	_TAGS:=}');
    Expect(1, 917631, '\p{Block=:\ATags\z:}', "");;
    Expect(0, 917632, '\p{Block=:\ATags\z:}', "");;
    Expect(1, 917631, '\p{Block=tags}', "");
    Expect(0, 917631, '\p{^Block=tags}', "");
    Expect(0, 917631, '\P{Block=tags}', "");
    Expect(1, 917631, '\P{^Block=tags}', "");
    Expect(0, 917632, '\p{Block=tags}', "");
    Expect(1, 917632, '\p{^Block=tags}', "");
    Expect(1, 917632, '\P{Block=tags}', "");
    Expect(0, 917632, '\P{^Block=tags}', "");
    Expect(1, 917631, '\p{Block=:\Atags\z:}', "");;
    Expect(0, 917632, '\p{Block=:\Atags\z:}', "");;
    Expect(1, 917631, '\p{Block=	_TAGS}', "");
    Expect(0, 917631, '\p{^Block=	_TAGS}', "");
    Expect(0, 917631, '\P{Block=	_TAGS}', "");
    Expect(1, 917631, '\P{^Block=	_TAGS}', "");
    Expect(0, 917632, '\p{Block=	_TAGS}', "");
    Expect(1, 917632, '\p{^Block=	_TAGS}', "");
    Expect(1, 917632, '\P{Block=	_TAGS}', "");
    Expect(0, 917632, '\P{^Block=	_TAGS}', "");
    Error('\p{Blk=-/a/TAGS}');
    Error('\P{Blk=-/a/TAGS}');
    Expect(1, 917631, '\p{Blk=:\ATags\z:}', "");;
    Expect(0, 917632, '\p{Blk=:\ATags\z:}', "");;
    Expect(1, 917631, '\p{Blk=tags}', "");
    Expect(0, 917631, '\p{^Blk=tags}', "");
    Expect(0, 917631, '\P{Blk=tags}', "");
    Expect(1, 917631, '\P{^Blk=tags}', "");
    Expect(0, 917632, '\p{Blk=tags}', "");
    Expect(1, 917632, '\p{^Blk=tags}', "");
    Expect(1, 917632, '\P{Blk=tags}', "");
    Expect(0, 917632, '\P{^Blk=tags}', "");
    Expect(1, 917631, '\p{Blk=:\Atags\z:}', "");;
    Expect(0, 917632, '\p{Blk=:\Atags\z:}', "");;
    Expect(1, 917631, '\p{Blk:	-TAGS}', "");
    Expect(0, 917631, '\p{^Blk:	-TAGS}', "");
    Expect(0, 917631, '\P{Blk:	-TAGS}', "");
    Expect(1, 917631, '\P{^Blk:	-TAGS}', "");
    Expect(0, 917632, '\p{Blk:	-TAGS}', "");
    Expect(1, 917632, '\p{^Blk:	-TAGS}', "");
    Expect(1, 917632, '\P{Blk:	-TAGS}', "");
    Expect(0, 917632, '\P{^Blk:	-TAGS}', "");
    Error('\p{Is_Block=_Tags/a/}');
    Error('\P{Is_Block=_Tags/a/}');
    Expect(1, 917631, '\p{Is_Block=tags}', "");
    Expect(0, 917631, '\p{^Is_Block=tags}', "");
    Expect(0, 917631, '\P{Is_Block=tags}', "");
    Expect(1, 917631, '\P{^Is_Block=tags}', "");
    Expect(0, 917632, '\p{Is_Block=tags}', "");
    Expect(1, 917632, '\p{^Is_Block=tags}', "");
    Expect(1, 917632, '\P{Is_Block=tags}', "");
    Expect(0, 917632, '\P{^Is_Block=tags}', "");
    Expect(1, 917631, '\p{Is_Block= _Tags}', "");
    Expect(0, 917631, '\p{^Is_Block= _Tags}', "");
    Expect(0, 917631, '\P{Is_Block= _Tags}', "");
    Expect(1, 917631, '\P{^Is_Block= _Tags}', "");
    Expect(0, 917632, '\p{Is_Block= _Tags}', "");
    Expect(1, 917632, '\p{^Is_Block= _Tags}', "");
    Expect(1, 917632, '\P{Is_Block= _Tags}', "");
    Expect(0, 917632, '\P{^Is_Block= _Tags}', "");
    Error('\p{Is_Blk=/a/ _TAGS}');
    Error('\P{Is_Blk=/a/ _TAGS}');
    Expect(1, 917631, '\p{Is_Blk=tags}', "");
    Expect(0, 917631, '\p{^Is_Blk=tags}', "");
    Expect(0, 917631, '\P{Is_Blk=tags}', "");
    Expect(1, 917631, '\P{^Is_Blk=tags}', "");
    Expect(0, 917632, '\p{Is_Blk=tags}', "");
    Expect(1, 917632, '\p{^Is_Blk=tags}', "");
    Expect(1, 917632, '\P{Is_Blk=tags}', "");
    Expect(0, 917632, '\P{^Is_Blk=tags}', "");
    Expect(1, 917631, '\p{Is_Blk=__Tags}', "");
    Expect(0, 917631, '\p{^Is_Blk=__Tags}', "");
    Expect(0, 917631, '\P{Is_Blk=__Tags}', "");
    Expect(1, 917631, '\P{^Is_Blk=__Tags}', "");
    Expect(0, 917632, '\p{Is_Blk=__Tags}', "");
    Expect(1, 917632, '\p{^Is_Blk=__Tags}', "");
    Expect(1, 917632, '\P{Is_Blk=__Tags}', "");
    Expect(0, 917632, '\P{^Is_Blk=__Tags}', "");
    Error('\p{Block=:=-	Tai_le}');
    Error('\P{Block=:=-	Tai_le}');
    Expect(1, 6527, '\p{Block=:\ATai_Le\z:}', "");;
    Expect(0, 6528, '\p{Block=:\ATai_Le\z:}', "");;
    Expect(1, 6527, '\p{Block=taile}', "");
    Expect(0, 6527, '\p{^Block=taile}', "");
    Expect(0, 6527, '\P{Block=taile}', "");
    Expect(1, 6527, '\P{^Block=taile}', "");
    Expect(0, 6528, '\p{Block=taile}', "");
    Expect(1, 6528, '\p{^Block=taile}', "");
    Expect(1, 6528, '\P{Block=taile}', "");
    Expect(0, 6528, '\P{^Block=taile}', "");
    Expect(1, 6527, '\p{Block=:\Ataile\z:}', "");;
    Expect(0, 6528, '\p{Block=:\Ataile\z:}', "");;
    Expect(1, 6527, '\p{Block=-tai_Le}', "");
    Expect(0, 6527, '\p{^Block=-tai_Le}', "");
    Expect(0, 6527, '\P{Block=-tai_Le}', "");
    Expect(1, 6527, '\P{^Block=-tai_Le}', "");
    Expect(0, 6528, '\p{Block=-tai_Le}', "");
    Expect(1, 6528, '\p{^Block=-tai_Le}', "");
    Expect(1, 6528, '\P{Block=-tai_Le}', "");
    Expect(0, 6528, '\P{^Block=-tai_Le}', "");
    Error('\p{Blk=:=-	tai_Le}');
    Error('\P{Blk=:=-	tai_Le}');
    Expect(1, 6527, '\p{Blk=:\ATai_Le\z:}', "");;
    Expect(0, 6528, '\p{Blk=:\ATai_Le\z:}', "");;
    Expect(1, 6527, '\p{Blk=taile}', "");
    Expect(0, 6527, '\p{^Blk=taile}', "");
    Expect(0, 6527, '\P{Blk=taile}', "");
    Expect(1, 6527, '\P{^Blk=taile}', "");
    Expect(0, 6528, '\p{Blk=taile}', "");
    Expect(1, 6528, '\p{^Blk=taile}', "");
    Expect(1, 6528, '\P{Blk=taile}', "");
    Expect(0, 6528, '\P{^Blk=taile}', "");
    Expect(1, 6527, '\p{Blk=:\Ataile\z:}', "");;
    Expect(0, 6528, '\p{Blk=:\Ataile\z:}', "");;
    Expect(1, 6527, '\p{Blk=__TAI_Le}', "");
    Expect(0, 6527, '\p{^Blk=__TAI_Le}', "");
    Expect(0, 6527, '\P{Blk=__TAI_Le}', "");
    Expect(1, 6527, '\P{^Blk=__TAI_Le}', "");
    Expect(0, 6528, '\p{Blk=__TAI_Le}', "");
    Expect(1, 6528, '\p{^Blk=__TAI_Le}', "");
    Expect(1, 6528, '\P{Blk=__TAI_Le}', "");
    Expect(0, 6528, '\P{^Blk=__TAI_Le}', "");
    Error('\p{Is_Block=_/a/Tai_le}');
    Error('\P{Is_Block=_/a/Tai_le}');
    Expect(1, 6527, '\p{Is_Block=taile}', "");
    Expect(0, 6527, '\p{^Is_Block=taile}', "");
    Expect(0, 6527, '\P{Is_Block=taile}', "");
    Expect(1, 6527, '\P{^Is_Block=taile}', "");
    Expect(0, 6528, '\p{Is_Block=taile}', "");
    Expect(1, 6528, '\p{^Is_Block=taile}', "");
    Expect(1, 6528, '\P{Is_Block=taile}', "");
    Expect(0, 6528, '\P{^Is_Block=taile}', "");
    Expect(1, 6527, '\p{Is_Block= _tai_LE}', "");
    Expect(0, 6527, '\p{^Is_Block= _tai_LE}', "");
    Expect(0, 6527, '\P{Is_Block= _tai_LE}', "");
    Expect(1, 6527, '\P{^Is_Block= _tai_LE}', "");
    Expect(0, 6528, '\p{Is_Block= _tai_LE}', "");
    Expect(1, 6528, '\p{^Is_Block= _tai_LE}', "");
    Expect(1, 6528, '\P{Is_Block= _tai_LE}', "");
    Expect(0, 6528, '\P{^Is_Block= _tai_LE}', "");
    Error('\p{Is_Blk=/a/__Tai_Le}');
    Error('\P{Is_Blk=/a/__Tai_Le}');
    Expect(1, 6527, '\p{Is_Blk=taile}', "");
    Expect(0, 6527, '\p{^Is_Blk=taile}', "");
    Expect(0, 6527, '\P{Is_Blk=taile}', "");
    Expect(1, 6527, '\P{^Is_Blk=taile}', "");
    Expect(0, 6528, '\p{Is_Blk=taile}', "");
    Expect(1, 6528, '\p{^Is_Blk=taile}', "");
    Expect(1, 6528, '\P{Is_Blk=taile}', "");
    Expect(0, 6528, '\P{^Is_Blk=taile}', "");
    Expect(1, 6527, '\p{Is_Blk= -Tai_le}', "");
    Expect(0, 6527, '\p{^Is_Blk= -Tai_le}', "");
    Expect(0, 6527, '\P{Is_Blk= -Tai_le}', "");
    Expect(1, 6527, '\P{^Is_Blk= -Tai_le}', "");
    Expect(0, 6528, '\p{Is_Blk= -Tai_le}', "");
    Expect(1, 6528, '\p{^Is_Blk= -Tai_le}', "");
    Expect(1, 6528, '\P{Is_Blk= -Tai_le}', "");
    Expect(0, 6528, '\P{^Is_Blk= -Tai_le}', "");
    Error('\p{Block:_-TAI_tham/a/}');
    Error('\P{Block:_-TAI_tham/a/}');
    Expect(1, 6831, '\p{Block=:\ATai_Tham\z:}', "");;
    Expect(0, 6832, '\p{Block=:\ATai_Tham\z:}', "");;
    Expect(1, 6831, '\p{Block=taitham}', "");
    Expect(0, 6831, '\p{^Block=taitham}', "");
    Expect(0, 6831, '\P{Block=taitham}', "");
    Expect(1, 6831, '\P{^Block=taitham}', "");
    Expect(0, 6832, '\p{Block=taitham}', "");
    Expect(1, 6832, '\p{^Block=taitham}', "");
    Expect(1, 6832, '\P{Block=taitham}', "");
    Expect(0, 6832, '\P{^Block=taitham}', "");
    Expect(1, 6831, '\p{Block=:\Ataitham\z:}', "");;
    Expect(0, 6832, '\p{Block=:\Ataitham\z:}', "");;
    Expect(1, 6831, '\p{Block=__TAI_Tham}', "");
    Expect(0, 6831, '\p{^Block=__TAI_Tham}', "");
    Expect(0, 6831, '\P{Block=__TAI_Tham}', "");
    Expect(1, 6831, '\P{^Block=__TAI_Tham}', "");
    Expect(0, 6832, '\p{Block=__TAI_Tham}', "");
    Expect(1, 6832, '\p{^Block=__TAI_Tham}', "");
    Expect(1, 6832, '\P{Block=__TAI_Tham}', "");
    Expect(0, 6832, '\P{^Block=__TAI_Tham}', "");
    Error('\p{Blk= 	Tai_Tham/a/}');
    Error('\P{Blk= 	Tai_Tham/a/}');
    Expect(1, 6831, '\p{Blk=:\ATai_Tham\z:}', "");;
    Expect(0, 6832, '\p{Blk=:\ATai_Tham\z:}', "");;
    Expect(1, 6831, '\p{Blk=taitham}', "");
    Expect(0, 6831, '\p{^Blk=taitham}', "");
    Expect(0, 6831, '\P{Blk=taitham}', "");
    Expect(1, 6831, '\P{^Blk=taitham}', "");
    Expect(0, 6832, '\p{Blk=taitham}', "");
    Expect(1, 6832, '\p{^Blk=taitham}', "");
    Expect(1, 6832, '\P{Blk=taitham}', "");
    Expect(0, 6832, '\P{^Blk=taitham}', "");
    Expect(1, 6831, '\p{Blk=:\Ataitham\z:}', "");;
    Expect(0, 6832, '\p{Blk=:\Ataitham\z:}', "");;
    Expect(1, 6831, '\p{Blk=	-tai_tham}', "");
    Expect(0, 6831, '\p{^Blk=	-tai_tham}', "");
    Expect(0, 6831, '\P{Blk=	-tai_tham}', "");
    Expect(1, 6831, '\P{^Blk=	-tai_tham}', "");
    Expect(0, 6832, '\p{Blk=	-tai_tham}', "");
    Expect(1, 6832, '\p{^Blk=	-tai_tham}', "");
    Expect(1, 6832, '\P{Blk=	-tai_tham}', "");
    Expect(0, 6832, '\P{^Blk=	-tai_tham}', "");
    Error('\p{Is_Block= 	TAI_Tham:=}');
    Error('\P{Is_Block= 	TAI_Tham:=}');
    Expect(1, 6831, '\p{Is_Block=taitham}', "");
    Expect(0, 6831, '\p{^Is_Block=taitham}', "");
    Expect(0, 6831, '\P{Is_Block=taitham}', "");
    Expect(1, 6831, '\P{^Is_Block=taitham}', "");
    Expect(0, 6832, '\p{Is_Block=taitham}', "");
    Expect(1, 6832, '\p{^Is_Block=taitham}', "");
    Expect(1, 6832, '\P{Is_Block=taitham}', "");
    Expect(0, 6832, '\P{^Is_Block=taitham}', "");
    Expect(1, 6831, '\p{Is_Block=_	Tai_Tham}', "");
    Expect(0, 6831, '\p{^Is_Block=_	Tai_Tham}', "");
    Expect(0, 6831, '\P{Is_Block=_	Tai_Tham}', "");
    Expect(1, 6831, '\P{^Is_Block=_	Tai_Tham}', "");
    Expect(0, 6832, '\p{Is_Block=_	Tai_Tham}', "");
    Expect(1, 6832, '\p{^Is_Block=_	Tai_Tham}', "");
    Expect(1, 6832, '\P{Is_Block=_	Tai_Tham}', "");
    Expect(0, 6832, '\P{^Is_Block=_	Tai_Tham}', "");
    Error('\p{Is_Blk= :=Tai_tham}');
    Error('\P{Is_Blk= :=Tai_tham}');
    Expect(1, 6831, '\p{Is_Blk=taitham}', "");
    Expect(0, 6831, '\p{^Is_Blk=taitham}', "");
    Expect(0, 6831, '\P{Is_Blk=taitham}', "");
    Expect(1, 6831, '\P{^Is_Blk=taitham}', "");
    Expect(0, 6832, '\p{Is_Blk=taitham}', "");
    Expect(1, 6832, '\p{^Is_Blk=taitham}', "");
    Expect(1, 6832, '\P{Is_Blk=taitham}', "");
    Expect(0, 6832, '\P{^Is_Blk=taitham}', "");
    Expect(1, 6831, '\p{Is_Blk=_-TAI_Tham}', "");
    Expect(0, 6831, '\p{^Is_Blk=_-TAI_Tham}', "");
    Expect(0, 6831, '\P{Is_Blk=_-TAI_Tham}', "");
    Expect(1, 6831, '\P{^Is_Blk=_-TAI_Tham}', "");
    Expect(0, 6832, '\p{Is_Blk=_-TAI_Tham}', "");
    Expect(1, 6832, '\p{^Is_Blk=_-TAI_Tham}', "");
    Expect(1, 6832, '\P{Is_Blk=_-TAI_Tham}', "");
    Expect(0, 6832, '\P{^Is_Blk=_-TAI_Tham}', "");
    Error('\p{Block=/a/ -tai_Viet}');
    Error('\P{Block=/a/ -tai_Viet}');
    Expect(1, 43743, '\p{Block=:\ATai_Viet\z:}', "");;
    Expect(0, 43744, '\p{Block=:\ATai_Viet\z:}', "");;
    Expect(1, 43743, '\p{Block: taiviet}', "");
    Expect(0, 43743, '\p{^Block: taiviet}', "");
    Expect(0, 43743, '\P{Block: taiviet}', "");
    Expect(1, 43743, '\P{^Block: taiviet}', "");
    Expect(0, 43744, '\p{Block: taiviet}', "");
    Expect(1, 43744, '\p{^Block: taiviet}', "");
    Expect(1, 43744, '\P{Block: taiviet}', "");
    Expect(0, 43744, '\P{^Block: taiviet}', "");
    Expect(1, 43743, '\p{Block=:\Ataiviet\z:}', "");;
    Expect(0, 43744, '\p{Block=:\Ataiviet\z:}', "");;
    Expect(1, 43743, '\p{Block=-Tai_VIET}', "");
    Expect(0, 43743, '\p{^Block=-Tai_VIET}', "");
    Expect(0, 43743, '\P{Block=-Tai_VIET}', "");
    Expect(1, 43743, '\P{^Block=-Tai_VIET}', "");
    Expect(0, 43744, '\p{Block=-Tai_VIET}', "");
    Expect(1, 43744, '\p{^Block=-Tai_VIET}', "");
    Expect(1, 43744, '\P{Block=-Tai_VIET}', "");
    Expect(0, 43744, '\P{^Block=-Tai_VIET}', "");
    Error('\p{Blk=:=	 tai_Viet}');
    Error('\P{Blk=:=	 tai_Viet}');
    Expect(1, 43743, '\p{Blk=:\ATai_Viet\z:}', "");;
    Expect(0, 43744, '\p{Blk=:\ATai_Viet\z:}', "");;
    Expect(1, 43743, '\p{Blk=taiviet}', "");
    Expect(0, 43743, '\p{^Blk=taiviet}', "");
    Expect(0, 43743, '\P{Blk=taiviet}', "");
    Expect(1, 43743, '\P{^Blk=taiviet}', "");
    Expect(0, 43744, '\p{Blk=taiviet}', "");
    Expect(1, 43744, '\p{^Blk=taiviet}', "");
    Expect(1, 43744, '\P{Blk=taiviet}', "");
    Expect(0, 43744, '\P{^Blk=taiviet}', "");
    Expect(1, 43743, '\p{Blk=:\Ataiviet\z:}', "");;
    Expect(0, 43744, '\p{Blk=:\Ataiviet\z:}', "");;
    Expect(1, 43743, '\p{Blk= 	Tai_viet}', "");
    Expect(0, 43743, '\p{^Blk= 	Tai_viet}', "");
    Expect(0, 43743, '\P{Blk= 	Tai_viet}', "");
    Expect(1, 43743, '\P{^Blk= 	Tai_viet}', "");
    Expect(0, 43744, '\p{Blk= 	Tai_viet}', "");
    Expect(1, 43744, '\p{^Blk= 	Tai_viet}', "");
    Expect(1, 43744, '\P{Blk= 	Tai_viet}', "");
    Expect(0, 43744, '\P{^Blk= 	Tai_viet}', "");
    Error('\p{Is_Block=:=--Tai_Viet}');
    Error('\P{Is_Block=:=--Tai_Viet}');
    Expect(1, 43743, '\p{Is_Block=taiviet}', "");
    Expect(0, 43743, '\p{^Is_Block=taiviet}', "");
    Expect(0, 43743, '\P{Is_Block=taiviet}', "");
    Expect(1, 43743, '\P{^Is_Block=taiviet}', "");
    Expect(0, 43744, '\p{Is_Block=taiviet}', "");
    Expect(1, 43744, '\p{^Is_Block=taiviet}', "");
    Expect(1, 43744, '\P{Is_Block=taiviet}', "");
    Expect(0, 43744, '\P{^Is_Block=taiviet}', "");
    Expect(1, 43743, '\p{Is_Block= -Tai_viet}', "");
    Expect(0, 43743, '\p{^Is_Block= -Tai_viet}', "");
    Expect(0, 43743, '\P{Is_Block= -Tai_viet}', "");
    Expect(1, 43743, '\P{^Is_Block= -Tai_viet}', "");
    Expect(0, 43744, '\p{Is_Block= -Tai_viet}', "");
    Expect(1, 43744, '\p{^Is_Block= -Tai_viet}', "");
    Expect(1, 43744, '\P{Is_Block= -Tai_viet}', "");
    Expect(0, 43744, '\P{^Is_Block= -Tai_viet}', "");
    Error('\p{Is_Blk: -Tai_Viet:=}');
    Error('\P{Is_Blk: -Tai_Viet:=}');
    Expect(1, 43743, '\p{Is_Blk=taiviet}', "");
    Expect(0, 43743, '\p{^Is_Blk=taiviet}', "");
    Expect(0, 43743, '\P{Is_Blk=taiviet}', "");
    Expect(1, 43743, '\P{^Is_Blk=taiviet}', "");
    Expect(0, 43744, '\p{Is_Blk=taiviet}', "");
    Expect(1, 43744, '\p{^Is_Blk=taiviet}', "");
    Expect(1, 43744, '\P{Is_Blk=taiviet}', "");
    Expect(0, 43744, '\P{^Is_Blk=taiviet}', "");
    Expect(1, 43743, '\p{Is_Blk=_	Tai_viet}', "");
    Expect(0, 43743, '\p{^Is_Blk=_	Tai_viet}', "");
    Expect(0, 43743, '\P{Is_Blk=_	Tai_viet}', "");
    Expect(1, 43743, '\P{^Is_Blk=_	Tai_viet}', "");
    Expect(0, 43744, '\p{Is_Blk=_	Tai_viet}', "");
    Expect(1, 43744, '\p{^Is_Blk=_	Tai_viet}', "");
    Expect(1, 43744, '\P{Is_Blk=_	Tai_viet}', "");
    Expect(0, 43744, '\P{^Is_Blk=_	Tai_viet}', "");
    Error('\p{Block=/a/-tai_XUAN_JING_SYMBOLS}');
    Error('\P{Block=/a/-tai_XUAN_JING_SYMBOLS}');
    Expect(1, 119647, '\p{Block=:\ATai_Xuan_Jing_Symbols\z:}', "");;
    Expect(0, 119648, '\p{Block=:\ATai_Xuan_Jing_Symbols\z:}', "");;
    Expect(1, 119647, '\p{Block=taixuanjingsymbols}', "");
    Expect(0, 119647, '\p{^Block=taixuanjingsymbols}', "");
    Expect(0, 119647, '\P{Block=taixuanjingsymbols}', "");
    Expect(1, 119647, '\P{^Block=taixuanjingsymbols}', "");
    Expect(0, 119648, '\p{Block=taixuanjingsymbols}', "");
    Expect(1, 119648, '\p{^Block=taixuanjingsymbols}', "");
    Expect(1, 119648, '\P{Block=taixuanjingsymbols}', "");
    Expect(0, 119648, '\P{^Block=taixuanjingsymbols}', "");
    Expect(1, 119647, '\p{Block=:\Ataixuanjingsymbols\z:}', "");;
    Expect(0, 119648, '\p{Block=:\Ataixuanjingsymbols\z:}', "");;
    Expect(1, 119647, '\p{Block=_ TAI_Xuan_jing_Symbols}', "");
    Expect(0, 119647, '\p{^Block=_ TAI_Xuan_jing_Symbols}', "");
    Expect(0, 119647, '\P{Block=_ TAI_Xuan_jing_Symbols}', "");
    Expect(1, 119647, '\P{^Block=_ TAI_Xuan_jing_Symbols}', "");
    Expect(0, 119648, '\p{Block=_ TAI_Xuan_jing_Symbols}', "");
    Expect(1, 119648, '\p{^Block=_ TAI_Xuan_jing_Symbols}', "");
    Expect(1, 119648, '\P{Block=_ TAI_Xuan_jing_Symbols}', "");
    Expect(0, 119648, '\P{^Block=_ TAI_Xuan_jing_Symbols}', "");
    Error('\p{Blk=	 TAI_xuan_jing/a/}');
    Error('\P{Blk=	 TAI_xuan_jing/a/}');
    Expect(1, 119647, '\p{Blk=:\ATai_Xuan_Jing\z:}', "");;
    Expect(0, 119648, '\p{Blk=:\ATai_Xuan_Jing\z:}', "");;
    Expect(1, 119647, '\p{Blk=taixuanjing}', "");
    Expect(0, 119647, '\p{^Blk=taixuanjing}', "");
    Expect(0, 119647, '\P{Blk=taixuanjing}', "");
    Expect(1, 119647, '\P{^Blk=taixuanjing}', "");
    Expect(0, 119648, '\p{Blk=taixuanjing}', "");
    Expect(1, 119648, '\p{^Blk=taixuanjing}', "");
    Expect(1, 119648, '\P{Blk=taixuanjing}', "");
    Expect(0, 119648, '\P{^Blk=taixuanjing}', "");
    Expect(1, 119647, '\p{Blk=:\Ataixuanjing\z:}', "");;
    Expect(0, 119648, '\p{Blk=:\Ataixuanjing\z:}', "");;
    Expect(1, 119647, '\p{Blk=_tai_Xuan_Jing}', "");
    Expect(0, 119647, '\p{^Blk=_tai_Xuan_Jing}', "");
    Expect(0, 119647, '\P{Blk=_tai_Xuan_Jing}', "");
    Expect(1, 119647, '\P{^Blk=_tai_Xuan_Jing}', "");
    Expect(0, 119648, '\p{Blk=_tai_Xuan_Jing}', "");
    Expect(1, 119648, '\p{^Blk=_tai_Xuan_Jing}', "");
    Expect(1, 119648, '\P{Blk=_tai_Xuan_Jing}', "");
    Expect(0, 119648, '\P{^Blk=_tai_Xuan_Jing}', "");
    Error('\p{Is_Block=	-tai_xuan_Jing_SYMBOLS/a/}');
    Error('\P{Is_Block=	-tai_xuan_Jing_SYMBOLS/a/}');
    Expect(1, 119647, '\p{Is_Block:taixuanjingsymbols}', "");
    Expect(0, 119647, '\p{^Is_Block:taixuanjingsymbols}', "");
    Expect(0, 119647, '\P{Is_Block:taixuanjingsymbols}', "");
    Expect(1, 119647, '\P{^Is_Block:taixuanjingsymbols}', "");
    Expect(0, 119648, '\p{Is_Block:taixuanjingsymbols}', "");
    Expect(1, 119648, '\p{^Is_Block:taixuanjingsymbols}', "");
    Expect(1, 119648, '\P{Is_Block:taixuanjingsymbols}', "");
    Expect(0, 119648, '\P{^Is_Block:taixuanjingsymbols}', "");
    Expect(1, 119647, '\p{Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Expect(0, 119647, '\p{^Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Expect(0, 119647, '\P{Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Expect(1, 119647, '\P{^Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Expect(0, 119648, '\p{Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Expect(1, 119648, '\p{^Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Expect(1, 119648, '\P{Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Expect(0, 119648, '\P{^Is_Block=_TAI_Xuan_Jing_Symbols}', "");
    Error('\p{Is_Blk=		Tai_XUAN_Jing:=}');
    Error('\P{Is_Blk=		Tai_XUAN_Jing:=}');
    Expect(1, 119647, '\p{Is_Blk=taixuanjing}', "");
    Expect(0, 119647, '\p{^Is_Blk=taixuanjing}', "");
    Expect(0, 119647, '\P{Is_Blk=taixuanjing}', "");
    Expect(1, 119647, '\P{^Is_Blk=taixuanjing}', "");
    Expect(0, 119648, '\p{Is_Blk=taixuanjing}', "");
    Expect(1, 119648, '\p{^Is_Blk=taixuanjing}', "");
    Expect(1, 119648, '\P{Is_Blk=taixuanjing}', "");
    Expect(0, 119648, '\P{^Is_Blk=taixuanjing}', "");
    Expect(1, 119647, '\p{Is_Blk= Tai_XUAN_JING}', "");
    Expect(0, 119647, '\p{^Is_Blk= Tai_XUAN_JING}', "");
    Expect(0, 119647, '\P{Is_Blk= Tai_XUAN_JING}', "");
    Expect(1, 119647, '\P{^Is_Blk= Tai_XUAN_JING}', "");
    Expect(0, 119648, '\p{Is_Blk= Tai_XUAN_JING}', "");
    Expect(1, 119648, '\p{^Is_Blk= Tai_XUAN_JING}', "");
    Expect(1, 119648, '\P{Is_Blk= Tai_XUAN_JING}', "");
    Expect(0, 119648, '\P{^Is_Blk= Tai_XUAN_JING}', "");
    Error('\p{Block=  Takri:=}');
    Error('\P{Block=  Takri:=}');
    Expect(1, 71375, '\p{Block=:\ATakri\z:}', "");;
    Expect(0, 71376, '\p{Block=:\ATakri\z:}', "");;
    Expect(1, 71375, '\p{Block=takri}', "");
    Expect(0, 71375, '\p{^Block=takri}', "");
    Expect(0, 71375, '\P{Block=takri}', "");
    Expect(1, 71375, '\P{^Block=takri}', "");
    Expect(0, 71376, '\p{Block=takri}', "");
    Expect(1, 71376, '\p{^Block=takri}', "");
    Expect(1, 71376, '\P{Block=takri}', "");
    Expect(0, 71376, '\P{^Block=takri}', "");
    Expect(1, 71375, '\p{Block=:\Atakri\z:}', "");;
    Expect(0, 71376, '\p{Block=:\Atakri\z:}', "");;
    Expect(1, 71375, '\p{Block=--takri}', "");
    Expect(0, 71375, '\p{^Block=--takri}', "");
    Expect(0, 71375, '\P{Block=--takri}', "");
    Expect(1, 71375, '\P{^Block=--takri}', "");
    Expect(0, 71376, '\p{Block=--takri}', "");
    Expect(1, 71376, '\p{^Block=--takri}', "");
    Expect(1, 71376, '\P{Block=--takri}', "");
    Expect(0, 71376, '\P{^Block=--takri}', "");
    Error('\p{Blk=/a/Takri}');
    Error('\P{Blk=/a/Takri}');
    Expect(1, 71375, '\p{Blk=:\ATakri\z:}', "");;
    Expect(0, 71376, '\p{Blk=:\ATakri\z:}', "");;
    Expect(1, 71375, '\p{Blk=takri}', "");
    Expect(0, 71375, '\p{^Blk=takri}', "");
    Expect(0, 71375, '\P{Blk=takri}', "");
    Expect(1, 71375, '\P{^Blk=takri}', "");
    Expect(0, 71376, '\p{Blk=takri}', "");
    Expect(1, 71376, '\p{^Blk=takri}', "");
    Expect(1, 71376, '\P{Blk=takri}', "");
    Expect(0, 71376, '\P{^Blk=takri}', "");
    Expect(1, 71375, '\p{Blk=:\Atakri\z:}', "");;
    Expect(0, 71376, '\p{Blk=:\Atakri\z:}', "");;
    Error('\p{Is_Block=	Takri:=}');
    Error('\P{Is_Block=	Takri:=}');
    Expect(1, 71375, '\p{Is_Block=takri}', "");
    Expect(0, 71375, '\p{^Is_Block=takri}', "");
    Expect(0, 71375, '\P{Is_Block=takri}', "");
    Expect(1, 71375, '\P{^Is_Block=takri}', "");
    Expect(0, 71376, '\p{Is_Block=takri}', "");
    Expect(1, 71376, '\p{^Is_Block=takri}', "");
    Expect(1, 71376, '\P{Is_Block=takri}', "");
    Expect(0, 71376, '\P{^Is_Block=takri}', "");
    Expect(1, 71375, '\p{Is_Block=-Takri}', "");
    Expect(0, 71375, '\p{^Is_Block=-Takri}', "");
    Expect(0, 71375, '\P{Is_Block=-Takri}', "");
    Expect(1, 71375, '\P{^Is_Block=-Takri}', "");
    Expect(0, 71376, '\p{Is_Block=-Takri}', "");
    Expect(1, 71376, '\p{^Is_Block=-Takri}', "");
    Expect(1, 71376, '\P{Is_Block=-Takri}', "");
    Expect(0, 71376, '\P{^Is_Block=-Takri}', "");
    Error('\p{Is_Blk=_:=takri}');
    Error('\P{Is_Blk=_:=takri}');
    Expect(1, 71375, '\p{Is_Blk=takri}', "");
    Expect(0, 71375, '\p{^Is_Blk=takri}', "");
    Expect(0, 71375, '\P{Is_Blk=takri}', "");
    Expect(1, 71375, '\P{^Is_Blk=takri}', "");
    Expect(0, 71376, '\p{Is_Blk=takri}', "");
    Expect(1, 71376, '\p{^Is_Blk=takri}', "");
    Expect(1, 71376, '\P{Is_Blk=takri}', "");
    Expect(0, 71376, '\P{^Is_Blk=takri}', "");
    Expect(1, 71375, '\p{Is_Blk= Takri}', "");
    Expect(0, 71375, '\p{^Is_Blk= Takri}', "");
    Expect(0, 71375, '\P{Is_Blk= Takri}', "");
    Expect(1, 71375, '\P{^Is_Blk= Takri}', "");
    Expect(0, 71376, '\p{Is_Blk= Takri}', "");
    Expect(1, 71376, '\p{^Is_Blk= Takri}', "");
    Expect(1, 71376, '\P{Is_Blk= Takri}', "");
    Expect(0, 71376, '\P{^Is_Blk= Takri}', "");
    Error('\p{Block=_:=tamil}');
    Error('\P{Block=_:=tamil}');
    Expect(1, 3071, '\p{Block=:\ATamil\z:}', "");;
    Expect(0, 3072, '\p{Block=:\ATamil\z:}', "");;
    Expect(1, 3071, '\p{Block:tamil}', "");
    Expect(0, 3071, '\p{^Block:tamil}', "");
    Expect(0, 3071, '\P{Block:tamil}', "");
    Expect(1, 3071, '\P{^Block:tamil}', "");
    Expect(0, 3072, '\p{Block:tamil}', "");
    Expect(1, 3072, '\p{^Block:tamil}', "");
    Expect(1, 3072, '\P{Block:tamil}', "");
    Expect(0, 3072, '\P{^Block:tamil}', "");
    Expect(1, 3071, '\p{Block=:\Atamil\z:}', "");;
    Expect(0, 3072, '\p{Block=:\Atamil\z:}', "");;
    Expect(1, 3071, '\p{Block=		tamil}', "");
    Expect(0, 3071, '\p{^Block=		tamil}', "");
    Expect(0, 3071, '\P{Block=		tamil}', "");
    Expect(1, 3071, '\P{^Block=		tamil}', "");
    Expect(0, 3072, '\p{Block=		tamil}', "");
    Expect(1, 3072, '\p{^Block=		tamil}', "");
    Expect(1, 3072, '\P{Block=		tamil}', "");
    Expect(0, 3072, '\P{^Block=		tamil}', "");
    Error('\p{Blk=		Tamil:=}');
    Error('\P{Blk=		Tamil:=}');
    Expect(1, 3071, '\p{Blk=:\ATamil\z:}', "");;
    Expect(0, 3072, '\p{Blk=:\ATamil\z:}', "");;
    Expect(1, 3071, '\p{Blk=tamil}', "");
    Expect(0, 3071, '\p{^Blk=tamil}', "");
    Expect(0, 3071, '\P{Blk=tamil}', "");
    Expect(1, 3071, '\P{^Blk=tamil}', "");
    Expect(0, 3072, '\p{Blk=tamil}', "");
    Expect(1, 3072, '\p{^Blk=tamil}', "");
    Expect(1, 3072, '\P{Blk=tamil}', "");
    Expect(0, 3072, '\P{^Blk=tamil}', "");
    Expect(1, 3071, '\p{Blk=:\Atamil\z:}', "");;
    Expect(0, 3072, '\p{Blk=:\Atamil\z:}', "");;
    Expect(1, 3071, '\p{Blk: -_tamil}', "");
    Expect(0, 3071, '\p{^Blk: -_tamil}', "");
    Expect(0, 3071, '\P{Blk: -_tamil}', "");
    Expect(1, 3071, '\P{^Blk: -_tamil}', "");
    Expect(0, 3072, '\p{Blk: -_tamil}', "");
    Expect(1, 3072, '\p{^Blk: -_tamil}', "");
    Expect(1, 3072, '\P{Blk: -_tamil}', "");
    Expect(0, 3072, '\P{^Blk: -_tamil}', "");
    Error('\p{Is_Block:	:=	_Tamil}');
    Error('\P{Is_Block:	:=	_Tamil}');
    Expect(1, 3071, '\p{Is_Block=tamil}', "");
    Expect(0, 3071, '\p{^Is_Block=tamil}', "");
    Expect(0, 3071, '\P{Is_Block=tamil}', "");
    Expect(1, 3071, '\P{^Is_Block=tamil}', "");
    Expect(0, 3072, '\p{Is_Block=tamil}', "");
    Expect(1, 3072, '\p{^Is_Block=tamil}', "");
    Expect(1, 3072, '\P{Is_Block=tamil}', "");
    Expect(0, 3072, '\P{^Is_Block=tamil}', "");
    Expect(1, 3071, '\p{Is_Block=_-Tamil}', "");
    Expect(0, 3071, '\p{^Is_Block=_-Tamil}', "");
    Expect(0, 3071, '\P{Is_Block=_-Tamil}', "");
    Expect(1, 3071, '\P{^Is_Block=_-Tamil}', "");
    Expect(0, 3072, '\p{Is_Block=_-Tamil}', "");
    Expect(1, 3072, '\p{^Is_Block=_-Tamil}', "");
    Expect(1, 3072, '\P{Is_Block=_-Tamil}', "");
    Expect(0, 3072, '\P{^Is_Block=_-Tamil}', "");
    Error('\p{Is_Blk=:=-	TAMIL}');
    Error('\P{Is_Blk=:=-	TAMIL}');
    Expect(1, 3071, '\p{Is_Blk=tamil}', "");
    Expect(0, 3071, '\p{^Is_Blk=tamil}', "");
    Expect(0, 3071, '\P{Is_Blk=tamil}', "");
    Expect(1, 3071, '\P{^Is_Blk=tamil}', "");
    Expect(0, 3072, '\p{Is_Blk=tamil}', "");
    Expect(1, 3072, '\p{^Is_Blk=tamil}', "");
    Expect(1, 3072, '\P{Is_Blk=tamil}', "");
    Expect(0, 3072, '\P{^Is_Blk=tamil}', "");
    Expect(1, 3071, '\p{Is_Blk=_-Tamil}', "");
    Expect(0, 3071, '\p{^Is_Blk=_-Tamil}', "");
    Expect(0, 3071, '\P{Is_Blk=_-Tamil}', "");
    Expect(1, 3071, '\P{^Is_Blk=_-Tamil}', "");
    Expect(0, 3072, '\p{Is_Blk=_-Tamil}', "");
    Expect(1, 3072, '\p{^Is_Blk=_-Tamil}', "");
    Expect(1, 3072, '\P{Is_Blk=_-Tamil}', "");
    Expect(0, 3072, '\P{^Is_Blk=_-Tamil}', "");
    Error('\p{Block=/a/_TAMIL_supplement}');
    Error('\P{Block=/a/_TAMIL_supplement}');
    Expect(1, 73727, '\p{Block=:\ATamil_Supplement\z:}', "");;
    Expect(0, 73728, '\p{Block=:\ATamil_Supplement\z:}', "");;
    Expect(1, 73727, '\p{Block=tamilsupplement}', "");
    Expect(0, 73727, '\p{^Block=tamilsupplement}', "");
    Expect(0, 73727, '\P{Block=tamilsupplement}', "");
    Expect(1, 73727, '\P{^Block=tamilsupplement}', "");
    Expect(0, 73728, '\p{Block=tamilsupplement}', "");
    Expect(1, 73728, '\p{^Block=tamilsupplement}', "");
    Expect(1, 73728, '\P{Block=tamilsupplement}', "");
    Expect(0, 73728, '\P{^Block=tamilsupplement}', "");
    Expect(1, 73727, '\p{Block=:\Atamilsupplement\z:}', "");;
    Expect(0, 73728, '\p{Block=:\Atamilsupplement\z:}', "");;
    Expect(1, 73727, '\p{Block:  	tamil_Supplement}', "");
    Expect(0, 73727, '\p{^Block:  	tamil_Supplement}', "");
    Expect(0, 73727, '\P{Block:  	tamil_Supplement}', "");
    Expect(1, 73727, '\P{^Block:  	tamil_Supplement}', "");
    Expect(0, 73728, '\p{Block:  	tamil_Supplement}', "");
    Expect(1, 73728, '\p{^Block:  	tamil_Supplement}', "");
    Expect(1, 73728, '\P{Block:  	tamil_Supplement}', "");
    Expect(0, 73728, '\P{^Block:  	tamil_Supplement}', "");
    Error('\p{Blk=:=TAMIL_Sup}');
    Error('\P{Blk=:=TAMIL_Sup}');
    Expect(1, 73727, '\p{Blk=:\ATamil_Sup\z:}', "");;
    Expect(0, 73728, '\p{Blk=:\ATamil_Sup\z:}', "");;
    Expect(1, 73727, '\p{Blk=tamilsup}', "");
    Expect(0, 73727, '\p{^Blk=tamilsup}', "");
    Expect(0, 73727, '\P{Blk=tamilsup}', "");
    Expect(1, 73727, '\P{^Blk=tamilsup}', "");
    Expect(0, 73728, '\p{Blk=tamilsup}', "");
    Expect(1, 73728, '\p{^Blk=tamilsup}', "");
    Expect(1, 73728, '\P{Blk=tamilsup}', "");
    Expect(0, 73728, '\P{^Blk=tamilsup}', "");
    Expect(1, 73727, '\p{Blk=:\Atamilsup\z:}', "");;
    Expect(0, 73728, '\p{Blk=:\Atamilsup\z:}', "");;
    Expect(1, 73727, '\p{Blk= Tamil_SUP}', "");
    Expect(0, 73727, '\p{^Blk= Tamil_SUP}', "");
    Expect(0, 73727, '\P{Blk= Tamil_SUP}', "");
    Expect(1, 73727, '\P{^Blk= Tamil_SUP}', "");
    Expect(0, 73728, '\p{Blk= Tamil_SUP}', "");
    Expect(1, 73728, '\p{^Blk= Tamil_SUP}', "");
    Expect(1, 73728, '\P{Blk= Tamil_SUP}', "");
    Expect(0, 73728, '\P{^Blk= Tamil_SUP}', "");
    Error('\p{Is_Block=-:=TAMIL_SUPPLEMENT}');
    Error('\P{Is_Block=-:=TAMIL_SUPPLEMENT}');
    Expect(1, 73727, '\p{Is_Block=tamilsupplement}', "");
    Expect(0, 73727, '\p{^Is_Block=tamilsupplement}', "");
    Expect(0, 73727, '\P{Is_Block=tamilsupplement}', "");
    Expect(1, 73727, '\P{^Is_Block=tamilsupplement}', "");
    Expect(0, 73728, '\p{Is_Block=tamilsupplement}', "");
    Expect(1, 73728, '\p{^Is_Block=tamilsupplement}', "");
    Expect(1, 73728, '\P{Is_Block=tamilsupplement}', "");
    Expect(0, 73728, '\P{^Is_Block=tamilsupplement}', "");
    Expect(1, 73727, '\p{Is_Block=- TAMIL_SUPPLEMENT}', "");
    Expect(0, 73727, '\p{^Is_Block=- TAMIL_SUPPLEMENT}', "");
    Expect(0, 73727, '\P{Is_Block=- TAMIL_SUPPLEMENT}', "");
    Expect(1, 73727, '\P{^Is_Block=- TAMIL_SUPPLEMENT}', "");
    Expect(0, 73728, '\p{Is_Block=- TAMIL_SUPPLEMENT}', "");
    Expect(1, 73728, '\p{^Is_Block=- TAMIL_SUPPLEMENT}', "");
    Expect(1, 73728, '\P{Is_Block=- TAMIL_SUPPLEMENT}', "");
    Expect(0, 73728, '\P{^Is_Block=- TAMIL_SUPPLEMENT}', "");
    Error('\p{Is_Blk=--TAMIL_SUP/a/}');
    Error('\P{Is_Blk=--TAMIL_SUP/a/}');
    Expect(1, 73727, '\p{Is_Blk=tamilsup}', "");
    Expect(0, 73727, '\p{^Is_Blk=tamilsup}', "");
    Expect(0, 73727, '\P{Is_Blk=tamilsup}', "");
    Expect(1, 73727, '\P{^Is_Blk=tamilsup}', "");
    Expect(0, 73728, '\p{Is_Blk=tamilsup}', "");
    Expect(1, 73728, '\p{^Is_Blk=tamilsup}', "");
    Expect(1, 73728, '\P{Is_Blk=tamilsup}', "");
    Expect(0, 73728, '\P{^Is_Blk=tamilsup}', "");
    Expect(1, 73727, '\p{Is_Blk= 	Tamil_SUP}', "");
    Expect(0, 73727, '\p{^Is_Blk= 	Tamil_SUP}', "");
    Expect(0, 73727, '\P{Is_Blk= 	Tamil_SUP}', "");
    Expect(1, 73727, '\P{^Is_Blk= 	Tamil_SUP}', "");
    Expect(0, 73728, '\p{Is_Blk= 	Tamil_SUP}', "");
    Expect(1, 73728, '\p{^Is_Blk= 	Tamil_SUP}', "");
    Expect(1, 73728, '\P{Is_Blk= 	Tamil_SUP}', "");
    Expect(0, 73728, '\P{^Is_Blk= 	Tamil_SUP}', "");
    Error('\p{Block=_/a/TANGSA}');
    Error('\P{Block=_/a/TANGSA}');
    Expect(1, 92879, '\p{Block=:\ATangsa\z:}', "");;
    Expect(0, 92880, '\p{Block=:\ATangsa\z:}', "");;
    Expect(1, 92879, '\p{Block=tangsa}', "");
    Expect(0, 92879, '\p{^Block=tangsa}', "");
    Expect(0, 92879, '\P{Block=tangsa}', "");
    Expect(1, 92879, '\P{^Block=tangsa}', "");
    Expect(0, 92880, '\p{Block=tangsa}', "");
    Expect(1, 92880, '\p{^Block=tangsa}', "");
    Expect(1, 92880, '\P{Block=tangsa}', "");
    Expect(0, 92880, '\P{^Block=tangsa}', "");
    Expect(1, 92879, '\p{Block=:\Atangsa\z:}', "");;
    Expect(0, 92880, '\p{Block=:\Atangsa\z:}', "");;
    Expect(1, 92879, '\p{Block=--Tangsa}', "");
    Expect(0, 92879, '\p{^Block=--Tangsa}', "");
    Expect(0, 92879, '\P{Block=--Tangsa}', "");
    Expect(1, 92879, '\P{^Block=--Tangsa}', "");
    Expect(0, 92880, '\p{Block=--Tangsa}', "");
    Expect(1, 92880, '\p{^Block=--Tangsa}', "");
    Expect(1, 92880, '\P{Block=--Tangsa}', "");
    Expect(0, 92880, '\P{^Block=--Tangsa}', "");
    Error('\p{Blk=/a/	Tangsa}');
    Error('\P{Blk=/a/	Tangsa}');
    Expect(1, 92879, '\p{Blk=:\ATangsa\z:}', "");;
    Expect(0, 92880, '\p{Blk=:\ATangsa\z:}', "");;
    Expect(1, 92879, '\p{Blk=tangsa}', "");
    Expect(0, 92879, '\p{^Blk=tangsa}', "");
    Expect(0, 92879, '\P{Blk=tangsa}', "");
    Expect(1, 92879, '\P{^Blk=tangsa}', "");
    Expect(0, 92880, '\p{Blk=tangsa}', "");
    Expect(1, 92880, '\p{^Blk=tangsa}', "");
    Expect(1, 92880, '\P{Blk=tangsa}', "");
    Expect(0, 92880, '\P{^Blk=tangsa}', "");
    Expect(1, 92879, '\p{Blk=:\Atangsa\z:}', "");;
    Expect(0, 92880, '\p{Blk=:\Atangsa\z:}', "");;
    Expect(1, 92879, '\p{Blk=  tangsa}', "");
    Expect(0, 92879, '\p{^Blk=  tangsa}', "");
    Expect(0, 92879, '\P{Blk=  tangsa}', "");
    Expect(1, 92879, '\P{^Blk=  tangsa}', "");
    Expect(0, 92880, '\p{Blk=  tangsa}', "");
    Expect(1, 92880, '\p{^Blk=  tangsa}', "");
    Expect(1, 92880, '\P{Blk=  tangsa}', "");
    Expect(0, 92880, '\P{^Blk=  tangsa}', "");
    Error('\p{Is_Block=:=-	TANGSA}');
    Error('\P{Is_Block=:=-	TANGSA}');
    Expect(1, 92879, '\p{Is_Block=tangsa}', "");
    Expect(0, 92879, '\p{^Is_Block=tangsa}', "");
    Expect(0, 92879, '\P{Is_Block=tangsa}', "");
    Expect(1, 92879, '\P{^Is_Block=tangsa}', "");
    Expect(0, 92880, '\p{Is_Block=tangsa}', "");
    Expect(1, 92880, '\p{^Is_Block=tangsa}', "");
    Expect(1, 92880, '\P{Is_Block=tangsa}', "");
    Expect(0, 92880, '\P{^Is_Block=tangsa}', "");
    Expect(1, 92879, '\p{Is_Block=		Tangsa}', "");
    Expect(0, 92879, '\p{^Is_Block=		Tangsa}', "");
    Expect(0, 92879, '\P{Is_Block=		Tangsa}', "");
    Expect(1, 92879, '\P{^Is_Block=		Tangsa}', "");
    Expect(0, 92880, '\p{Is_Block=		Tangsa}', "");
    Expect(1, 92880, '\p{^Is_Block=		Tangsa}', "");
    Expect(1, 92880, '\P{Is_Block=		Tangsa}', "");
    Expect(0, 92880, '\P{^Is_Block=		Tangsa}', "");
    Error('\p{Is_Blk= Tangsa/a/}');
    Error('\P{Is_Blk= Tangsa/a/}');
    Expect(1, 92879, '\p{Is_Blk=tangsa}', "");
    Expect(0, 92879, '\p{^Is_Blk=tangsa}', "");
    Expect(0, 92879, '\P{Is_Blk=tangsa}', "");
    Expect(1, 92879, '\P{^Is_Blk=tangsa}', "");
    Expect(0, 92880, '\p{Is_Blk=tangsa}', "");
    Expect(1, 92880, '\p{^Is_Blk=tangsa}', "");
    Expect(1, 92880, '\P{Is_Blk=tangsa}', "");
    Expect(0, 92880, '\P{^Is_Blk=tangsa}', "");
    Expect(1, 92879, '\p{Is_Blk=Tangsa}', "");
    Expect(0, 92879, '\p{^Is_Blk=Tangsa}', "");
    Expect(0, 92879, '\P{Is_Blk=Tangsa}', "");
    Expect(1, 92879, '\P{^Is_Blk=Tangsa}', "");
    Expect(0, 92880, '\p{Is_Blk=Tangsa}', "");
    Expect(1, 92880, '\p{^Is_Blk=Tangsa}', "");
    Expect(1, 92880, '\P{Is_Blk=Tangsa}', "");
    Expect(0, 92880, '\P{^Is_Blk=Tangsa}', "");
    Error('\p{Block= /a/Tangut}');
    Error('\P{Block= /a/Tangut}');
    Expect(1, 100351, '\p{Block=:\ATangut\z:}', "");;
    Expect(0, 100352, '\p{Block=:\ATangut\z:}', "");;
    Expect(1, 100351, '\p{Block=tangut}', "");
    Expect(0, 100351, '\p{^Block=tangut}', "");
    Expect(0, 100351, '\P{Block=tangut}', "");
    Expect(1, 100351, '\P{^Block=tangut}', "");
    Expect(0, 100352, '\p{Block=tangut}', "");
    Expect(1, 100352, '\p{^Block=tangut}', "");
    Expect(1, 100352, '\P{Block=tangut}', "");
    Expect(0, 100352, '\P{^Block=tangut}', "");
    Expect(1, 100351, '\p{Block=:\Atangut\z:}', "");;
    Expect(0, 100352, '\p{Block=:\Atangut\z:}', "");;
    Expect(1, 100351, '\p{Block= -Tangut}', "");
    Expect(0, 100351, '\p{^Block= -Tangut}', "");
    Expect(0, 100351, '\P{Block= -Tangut}', "");
    Expect(1, 100351, '\P{^Block= -Tangut}', "");
    Expect(0, 100352, '\p{Block= -Tangut}', "");
    Expect(1, 100352, '\p{^Block= -Tangut}', "");
    Expect(1, 100352, '\P{Block= -Tangut}', "");
    Expect(0, 100352, '\P{^Block= -Tangut}', "");
    Error('\p{Blk=:=	TANGUT}');
    Error('\P{Blk=:=	TANGUT}');
    Expect(1, 100351, '\p{Blk=:\ATangut\z:}', "");;
    Expect(0, 100352, '\p{Blk=:\ATangut\z:}', "");;
    Expect(1, 100351, '\p{Blk=tangut}', "");
    Expect(0, 100351, '\p{^Blk=tangut}', "");
    Expect(0, 100351, '\P{Blk=tangut}', "");
    Expect(1, 100351, '\P{^Blk=tangut}', "");
    Expect(0, 100352, '\p{Blk=tangut}', "");
    Expect(1, 100352, '\p{^Blk=tangut}', "");
    Expect(1, 100352, '\P{Blk=tangut}', "");
    Expect(0, 100352, '\P{^Blk=tangut}', "");
    Expect(1, 100351, '\p{Blk=:\Atangut\z:}', "");;
    Expect(0, 100352, '\p{Blk=:\Atangut\z:}', "");;
    Expect(1, 100351, '\p{Blk=_ tangut}', "");
    Expect(0, 100351, '\p{^Blk=_ tangut}', "");
    Expect(0, 100351, '\P{Blk=_ tangut}', "");
    Expect(1, 100351, '\P{^Blk=_ tangut}', "");
    Expect(0, 100352, '\p{Blk=_ tangut}', "");
    Expect(1, 100352, '\p{^Blk=_ tangut}', "");
    Expect(1, 100352, '\P{Blk=_ tangut}', "");
    Expect(0, 100352, '\P{^Blk=_ tangut}', "");
    Error('\p{Is_Block=_-Tangut/a/}');
    Error('\P{Is_Block=_-Tangut/a/}');
    Expect(1, 100351, '\p{Is_Block=tangut}', "");
    Expect(0, 100351, '\p{^Is_Block=tangut}', "");
    Expect(0, 100351, '\P{Is_Block=tangut}', "");
    Expect(1, 100351, '\P{^Is_Block=tangut}', "");
    Expect(0, 100352, '\p{Is_Block=tangut}', "");
    Expect(1, 100352, '\p{^Is_Block=tangut}', "");
    Expect(1, 100352, '\P{Is_Block=tangut}', "");
    Expect(0, 100352, '\P{^Is_Block=tangut}', "");
    Expect(1, 100351, '\p{Is_Block=-	Tangut}', "");
    Expect(0, 100351, '\p{^Is_Block=-	Tangut}', "");
    Expect(0, 100351, '\P{Is_Block=-	Tangut}', "");
    Expect(1, 100351, '\P{^Is_Block=-	Tangut}', "");
    Expect(0, 100352, '\p{Is_Block=-	Tangut}', "");
    Expect(1, 100352, '\p{^Is_Block=-	Tangut}', "");
    Expect(1, 100352, '\P{Is_Block=-	Tangut}', "");
    Expect(0, 100352, '\P{^Is_Block=-	Tangut}', "");
    Error('\p{Is_Blk:  	tangut:=}');
    Error('\P{Is_Blk:  	tangut:=}');
    Expect(1, 100351, '\p{Is_Blk=tangut}', "");
    Expect(0, 100351, '\p{^Is_Blk=tangut}', "");
    Expect(0, 100351, '\P{Is_Blk=tangut}', "");
    Expect(1, 100351, '\P{^Is_Blk=tangut}', "");
    Expect(0, 100352, '\p{Is_Blk=tangut}', "");
    Expect(1, 100352, '\p{^Is_Blk=tangut}', "");
    Expect(1, 100352, '\P{Is_Blk=tangut}', "");
    Expect(0, 100352, '\P{^Is_Blk=tangut}', "");
    Expect(1, 100351, '\p{Is_Blk=		tangut}', "");
    Expect(0, 100351, '\p{^Is_Blk=		tangut}', "");
    Expect(0, 100351, '\P{Is_Blk=		tangut}', "");
    Expect(1, 100351, '\P{^Is_Blk=		tangut}', "");
    Expect(0, 100352, '\p{Is_Blk=		tangut}', "");
    Expect(1, 100352, '\p{^Is_Blk=		tangut}', "");
    Expect(1, 100352, '\P{Is_Blk=		tangut}', "");
    Expect(0, 100352, '\P{^Is_Blk=		tangut}', "");
    Error('\p{Block=	:=Tangut_Components}');
    Error('\P{Block=	:=Tangut_Components}');
    Expect(1, 101119, '\p{Block=:\ATangut_Components\z:}', "");;
    Expect(0, 101120, '\p{Block=:\ATangut_Components\z:}', "");;
    Expect(1, 101119, '\p{Block=tangutcomponents}', "");
    Expect(0, 101119, '\p{^Block=tangutcomponents}', "");
    Expect(0, 101119, '\P{Block=tangutcomponents}', "");
    Expect(1, 101119, '\P{^Block=tangutcomponents}', "");
    Expect(0, 101120, '\p{Block=tangutcomponents}', "");
    Expect(1, 101120, '\p{^Block=tangutcomponents}', "");
    Expect(1, 101120, '\P{Block=tangutcomponents}', "");
    Expect(0, 101120, '\P{^Block=tangutcomponents}', "");
    Expect(1, 101119, '\p{Block=:\Atangutcomponents\z:}', "");;
    Expect(0, 101120, '\p{Block=:\Atangutcomponents\z:}', "");;
    Expect(1, 101119, '\p{Block=_	tangut_COMPONENTS}', "");
    Expect(0, 101119, '\p{^Block=_	tangut_COMPONENTS}', "");
    Expect(0, 101119, '\P{Block=_	tangut_COMPONENTS}', "");
    Expect(1, 101119, '\P{^Block=_	tangut_COMPONENTS}', "");
    Expect(0, 101120, '\p{Block=_	tangut_COMPONENTS}', "");
    Expect(1, 101120, '\p{^Block=_	tangut_COMPONENTS}', "");
    Expect(1, 101120, '\P{Block=_	tangut_COMPONENTS}', "");
    Expect(0, 101120, '\P{^Block=_	tangut_COMPONENTS}', "");
    Error('\p{Blk= :=Tangut_Components}');
    Error('\P{Blk= :=Tangut_Components}');
    Expect(1, 101119, '\p{Blk=:\ATangut_Components\z:}', "");;
    Expect(0, 101120, '\p{Blk=:\ATangut_Components\z:}', "");;
    Expect(1, 101119, '\p{Blk=tangutcomponents}', "");
    Expect(0, 101119, '\p{^Blk=tangutcomponents}', "");
    Expect(0, 101119, '\P{Blk=tangutcomponents}', "");
    Expect(1, 101119, '\P{^Blk=tangutcomponents}', "");
    Expect(0, 101120, '\p{Blk=tangutcomponents}', "");
    Expect(1, 101120, '\p{^Blk=tangutcomponents}', "");
    Expect(1, 101120, '\P{Blk=tangutcomponents}', "");
    Expect(0, 101120, '\P{^Blk=tangutcomponents}', "");
    Expect(1, 101119, '\p{Blk=:\Atangutcomponents\z:}', "");;
    Expect(0, 101120, '\p{Blk=:\Atangutcomponents\z:}', "");;
    Expect(1, 101119, '\p{Blk=_tangut_COMPONENTS}', "");
    Expect(0, 101119, '\p{^Blk=_tangut_COMPONENTS}', "");
    Expect(0, 101119, '\P{Blk=_tangut_COMPONENTS}', "");
    Expect(1, 101119, '\P{^Blk=_tangut_COMPONENTS}', "");
    Expect(0, 101120, '\p{Blk=_tangut_COMPONENTS}', "");
    Expect(1, 101120, '\p{^Blk=_tangut_COMPONENTS}', "");
    Expect(1, 101120, '\P{Blk=_tangut_COMPONENTS}', "");
    Expect(0, 101120, '\P{^Blk=_tangut_COMPONENTS}', "");
    Error('\p{Is_Block= /a/Tangut_Components}');
    Error('\P{Is_Block= /a/Tangut_Components}');
    Expect(1, 101119, '\p{Is_Block=tangutcomponents}', "");
    Expect(0, 101119, '\p{^Is_Block=tangutcomponents}', "");
    Expect(0, 101119, '\P{Is_Block=tangutcomponents}', "");
    Expect(1, 101119, '\P{^Is_Block=tangutcomponents}', "");
    Expect(0, 101120, '\p{Is_Block=tangutcomponents}', "");
    Expect(1, 101120, '\p{^Is_Block=tangutcomponents}', "");
    Expect(1, 101120, '\P{Is_Block=tangutcomponents}', "");
    Expect(0, 101120, '\P{^Is_Block=tangutcomponents}', "");
    Expect(1, 101119, '\p{Is_Block= tangut_COMPONENTS}', "");
    Expect(0, 101119, '\p{^Is_Block= tangut_COMPONENTS}', "");
    Expect(0, 101119, '\P{Is_Block= tangut_COMPONENTS}', "");
    Expect(1, 101119, '\P{^Is_Block= tangut_COMPONENTS}', "");
    Expect(0, 101120, '\p{Is_Block= tangut_COMPONENTS}', "");
    Expect(1, 101120, '\p{^Is_Block= tangut_COMPONENTS}', "");
    Expect(1, 101120, '\P{Is_Block= tangut_COMPONENTS}', "");
    Expect(0, 101120, '\P{^Is_Block= tangut_COMPONENTS}', "");
    Error('\p{Is_Blk:   :=	_Tangut_COMPONENTS}');
    Error('\P{Is_Blk:   :=	_Tangut_COMPONENTS}');
    Expect(1, 101119, '\p{Is_Blk=tangutcomponents}', "");
    Expect(0, 101119, '\p{^Is_Blk=tangutcomponents}', "");
    Expect(0, 101119, '\P{Is_Blk=tangutcomponents}', "");
    Expect(1, 101119, '\P{^Is_Blk=tangutcomponents}', "");
    Expect(0, 101120, '\p{Is_Blk=tangutcomponents}', "");
    Expect(1, 101120, '\p{^Is_Blk=tangutcomponents}', "");
    Expect(1, 101120, '\P{Is_Blk=tangutcomponents}', "");
    Expect(0, 101120, '\P{^Is_Blk=tangutcomponents}', "");
    Expect(1, 101119, '\p{Is_Blk=_Tangut_COMPONENTS}', "");
    Expect(0, 101119, '\p{^Is_Blk=_Tangut_COMPONENTS}', "");
    Expect(0, 101119, '\P{Is_Blk=_Tangut_COMPONENTS}', "");
    Expect(1, 101119, '\P{^Is_Blk=_Tangut_COMPONENTS}', "");
    Expect(0, 101120, '\p{Is_Blk=_Tangut_COMPONENTS}', "");
    Expect(1, 101120, '\p{^Is_Blk=_Tangut_COMPONENTS}', "");
    Expect(1, 101120, '\P{Is_Blk=_Tangut_COMPONENTS}', "");
    Expect(0, 101120, '\P{^Is_Blk=_Tangut_COMPONENTS}', "");
    Error('\p{Block:	:= 	tangut_SUPPLEMENT}');
    Error('\P{Block:	:= 	tangut_SUPPLEMENT}');
    Expect(1, 101759, '\p{Block=:\ATangut_Supplement\z:}', "");;
    Expect(0, 101760, '\p{Block=:\ATangut_Supplement\z:}', "");;
    Expect(1, 101759, '\p{Block=tangutsupplement}', "");
    Expect(0, 101759, '\p{^Block=tangutsupplement}', "");
    Expect(0, 101759, '\P{Block=tangutsupplement}', "");
    Expect(1, 101759, '\P{^Block=tangutsupplement}', "");
    Expect(0, 101760, '\p{Block=tangutsupplement}', "");
    Expect(1, 101760, '\p{^Block=tangutsupplement}', "");
    Expect(1, 101760, '\P{Block=tangutsupplement}', "");
    Expect(0, 101760, '\P{^Block=tangutsupplement}', "");
    Expect(1, 101759, '\p{Block=:\Atangutsupplement\z:}', "");;
    Expect(0, 101760, '\p{Block=:\Atangutsupplement\z:}', "");;
    Expect(1, 101759, '\p{Block:  TANGUT_Supplement}', "");
    Expect(0, 101759, '\p{^Block:  TANGUT_Supplement}', "");
    Expect(0, 101759, '\P{Block:  TANGUT_Supplement}', "");
    Expect(1, 101759, '\P{^Block:  TANGUT_Supplement}', "");
    Expect(0, 101760, '\p{Block:  TANGUT_Supplement}', "");
    Expect(1, 101760, '\p{^Block:  TANGUT_Supplement}', "");
    Expect(1, 101760, '\P{Block:  TANGUT_Supplement}', "");
    Expect(0, 101760, '\P{^Block:  TANGUT_Supplement}', "");
    Error('\p{Blk=:=- tangut_Sup}');
    Error('\P{Blk=:=- tangut_Sup}');
    Expect(1, 101759, '\p{Blk=:\ATangut_Sup\z:}', "");;
    Expect(0, 101760, '\p{Blk=:\ATangut_Sup\z:}', "");;
    Expect(1, 101759, '\p{Blk=tangutsup}', "");
    Expect(0, 101759, '\p{^Blk=tangutsup}', "");
    Expect(0, 101759, '\P{Blk=tangutsup}', "");
    Expect(1, 101759, '\P{^Blk=tangutsup}', "");
    Expect(0, 101760, '\p{Blk=tangutsup}', "");
    Expect(1, 101760, '\p{^Blk=tangutsup}', "");
    Expect(1, 101760, '\P{Blk=tangutsup}', "");
    Expect(0, 101760, '\P{^Blk=tangutsup}', "");
    Expect(1, 101759, '\p{Blk=:\Atangutsup\z:}', "");;
    Expect(0, 101760, '\p{Blk=:\Atangutsup\z:}', "");;
    Expect(1, 101759, '\p{Blk=-	Tangut_sup}', "");
    Expect(0, 101759, '\p{^Blk=-	Tangut_sup}', "");
    Expect(0, 101759, '\P{Blk=-	Tangut_sup}', "");
    Expect(1, 101759, '\P{^Blk=-	Tangut_sup}', "");
    Expect(0, 101760, '\p{Blk=-	Tangut_sup}', "");
    Expect(1, 101760, '\p{^Blk=-	Tangut_sup}', "");
    Expect(1, 101760, '\P{Blk=-	Tangut_sup}', "");
    Expect(0, 101760, '\P{^Blk=-	Tangut_sup}', "");
    Error('\p{Is_Block=/a/-Tangut_supplement}');
    Error('\P{Is_Block=/a/-Tangut_supplement}');
    Expect(1, 101759, '\p{Is_Block=tangutsupplement}', "");
    Expect(0, 101759, '\p{^Is_Block=tangutsupplement}', "");
    Expect(0, 101759, '\P{Is_Block=tangutsupplement}', "");
    Expect(1, 101759, '\P{^Is_Block=tangutsupplement}', "");
    Expect(0, 101760, '\p{Is_Block=tangutsupplement}', "");
    Expect(1, 101760, '\p{^Is_Block=tangutsupplement}', "");
    Expect(1, 101760, '\P{Is_Block=tangutsupplement}', "");
    Expect(0, 101760, '\P{^Is_Block=tangutsupplement}', "");
    Expect(1, 101759, '\p{Is_Block=	 Tangut_Supplement}', "");
    Expect(0, 101759, '\p{^Is_Block=	 Tangut_Supplement}', "");
    Expect(0, 101759, '\P{Is_Block=	 Tangut_Supplement}', "");
    Expect(1, 101759, '\P{^Is_Block=	 Tangut_Supplement}', "");
    Expect(0, 101760, '\p{Is_Block=	 Tangut_Supplement}', "");
    Expect(1, 101760, '\p{^Is_Block=	 Tangut_Supplement}', "");
    Expect(1, 101760, '\P{Is_Block=	 Tangut_Supplement}', "");
    Expect(0, 101760, '\P{^Is_Block=	 Tangut_Supplement}', "");
    Error('\p{Is_Blk:--TANGUT_Sup/a/}');
    Error('\P{Is_Blk:--TANGUT_Sup/a/}');
    Expect(1, 101759, '\p{Is_Blk=tangutsup}', "");
    Expect(0, 101759, '\p{^Is_Blk=tangutsup}', "");
    Expect(0, 101759, '\P{Is_Blk=tangutsup}', "");
    Expect(1, 101759, '\P{^Is_Blk=tangutsup}', "");
    Expect(0, 101760, '\p{Is_Blk=tangutsup}', "");
    Expect(1, 101760, '\p{^Is_Blk=tangutsup}', "");
    Expect(1, 101760, '\P{Is_Blk=tangutsup}', "");
    Expect(0, 101760, '\P{^Is_Blk=tangutsup}', "");
    Expect(1, 101759, '\p{Is_Blk= Tangut_SUP}', "");
    Expect(0, 101759, '\p{^Is_Blk= Tangut_SUP}', "");
    Expect(0, 101759, '\P{Is_Blk= Tangut_SUP}', "");
    Expect(1, 101759, '\P{^Is_Blk= Tangut_SUP}', "");
    Expect(0, 101760, '\p{Is_Blk= Tangut_SUP}', "");
    Expect(1, 101760, '\p{^Is_Blk= Tangut_SUP}', "");
    Expect(1, 101760, '\P{Is_Blk= Tangut_SUP}', "");
    Expect(0, 101760, '\P{^Is_Blk= Tangut_SUP}', "");
    Error('\p{Block=:=-Telugu}');
    Error('\P{Block=:=-Telugu}');
    Expect(1, 3199, '\p{Block=:\ATelugu\z:}', "");;
    Expect(0, 3200, '\p{Block=:\ATelugu\z:}', "");;
    Expect(1, 3199, '\p{Block:	telugu}', "");
    Expect(0, 3199, '\p{^Block:	telugu}', "");
    Expect(0, 3199, '\P{Block:	telugu}', "");
    Expect(1, 3199, '\P{^Block:	telugu}', "");
    Expect(0, 3200, '\p{Block:	telugu}', "");
    Expect(1, 3200, '\p{^Block:	telugu}', "");
    Expect(1, 3200, '\P{Block:	telugu}', "");
    Expect(0, 3200, '\P{^Block:	telugu}', "");
    Expect(1, 3199, '\p{Block=:\Atelugu\z:}', "");;
    Expect(0, 3200, '\p{Block=:\Atelugu\z:}', "");;
    Expect(1, 3199, '\p{Block= _telugu}', "");
    Expect(0, 3199, '\p{^Block= _telugu}', "");
    Expect(0, 3199, '\P{Block= _telugu}', "");
    Expect(1, 3199, '\P{^Block= _telugu}', "");
    Expect(0, 3200, '\p{Block= _telugu}', "");
    Expect(1, 3200, '\p{^Block= _telugu}', "");
    Expect(1, 3200, '\P{Block= _telugu}', "");
    Expect(0, 3200, '\P{^Block= _telugu}', "");
    Error('\p{Blk=_:=TELUGU}');
    Error('\P{Blk=_:=TELUGU}');
    Expect(1, 3199, '\p{Blk=:\ATelugu\z:}', "");;
    Expect(0, 3200, '\p{Blk=:\ATelugu\z:}', "");;
    Expect(1, 3199, '\p{Blk=telugu}', "");
    Expect(0, 3199, '\p{^Blk=telugu}', "");
    Expect(0, 3199, '\P{Blk=telugu}', "");
    Expect(1, 3199, '\P{^Blk=telugu}', "");
    Expect(0, 3200, '\p{Blk=telugu}', "");
    Expect(1, 3200, '\p{^Blk=telugu}', "");
    Expect(1, 3200, '\P{Blk=telugu}', "");
    Expect(0, 3200, '\P{^Blk=telugu}', "");
    Expect(1, 3199, '\p{Blk=:\Atelugu\z:}', "");;
    Expect(0, 3200, '\p{Blk=:\Atelugu\z:}', "");;
    Error('\p{Is_Block=		telugu/a/}');
    Error('\P{Is_Block=		telugu/a/}');
    Expect(1, 3199, '\p{Is_Block:	telugu}', "");
    Expect(0, 3199, '\p{^Is_Block:	telugu}', "");
    Expect(0, 3199, '\P{Is_Block:	telugu}', "");
    Expect(1, 3199, '\P{^Is_Block:	telugu}', "");
    Expect(0, 3200, '\p{Is_Block:	telugu}', "");
    Expect(1, 3200, '\p{^Is_Block:	telugu}', "");
    Expect(1, 3200, '\P{Is_Block:	telugu}', "");
    Expect(0, 3200, '\P{^Is_Block:	telugu}', "");
    Expect(1, 3199, '\p{Is_Block= Telugu}', "");
    Expect(0, 3199, '\p{^Is_Block= Telugu}', "");
    Expect(0, 3199, '\P{Is_Block= Telugu}', "");
    Expect(1, 3199, '\P{^Is_Block= Telugu}', "");
    Expect(0, 3200, '\p{Is_Block= Telugu}', "");
    Expect(1, 3200, '\p{^Is_Block= Telugu}', "");
    Expect(1, 3200, '\P{Is_Block= Telugu}', "");
    Expect(0, 3200, '\P{^Is_Block= Telugu}', "");
    Error('\p{Is_Blk=-_Telugu/a/}');
    Error('\P{Is_Blk=-_Telugu/a/}');
    Expect(1, 3199, '\p{Is_Blk=telugu}', "");
    Expect(0, 3199, '\p{^Is_Blk=telugu}', "");
    Expect(0, 3199, '\P{Is_Blk=telugu}', "");
    Expect(1, 3199, '\P{^Is_Blk=telugu}', "");
    Expect(0, 3200, '\p{Is_Blk=telugu}', "");
    Expect(1, 3200, '\p{^Is_Blk=telugu}', "");
    Expect(1, 3200, '\P{Is_Blk=telugu}', "");
    Expect(0, 3200, '\P{^Is_Blk=telugu}', "");
    Expect(1, 3199, '\p{Is_Blk=	_Telugu}', "");
    Expect(0, 3199, '\p{^Is_Blk=	_Telugu}', "");
    Expect(0, 3199, '\P{Is_Blk=	_Telugu}', "");
    Expect(1, 3199, '\P{^Is_Blk=	_Telugu}', "");
    Expect(0, 3200, '\p{Is_Blk=	_Telugu}', "");
    Expect(1, 3200, '\p{^Is_Blk=	_Telugu}', "");
    Expect(1, 3200, '\P{Is_Blk=	_Telugu}', "");
    Expect(0, 3200, '\P{^Is_Blk=	_Telugu}', "");
    Error('\p{Block=:= -thaana}');
    Error('\P{Block=:= -thaana}');
    Expect(1, 1983, '\p{Block=:\AThaana\z:}', "");;
    Expect(0, 1984, '\p{Block=:\AThaana\z:}', "");;
    Expect(1, 1983, '\p{Block=thaana}', "");
    Expect(0, 1983, '\p{^Block=thaana}', "");
    Expect(0, 1983, '\P{Block=thaana}', "");
    Expect(1, 1983, '\P{^Block=thaana}', "");
    Expect(0, 1984, '\p{Block=thaana}', "");
    Expect(1, 1984, '\p{^Block=thaana}', "");
    Expect(1, 1984, '\P{Block=thaana}', "");
    Expect(0, 1984, '\P{^Block=thaana}', "");
    Expect(1, 1983, '\p{Block=:\Athaana\z:}', "");;
    Expect(0, 1984, '\p{Block=:\Athaana\z:}', "");;
    Expect(1, 1983, '\p{Block:   -Thaana}', "");
    Expect(0, 1983, '\p{^Block:   -Thaana}', "");
    Expect(0, 1983, '\P{Block:   -Thaana}', "");
    Expect(1, 1983, '\P{^Block:   -Thaana}', "");
    Expect(0, 1984, '\p{Block:   -Thaana}', "");
    Expect(1, 1984, '\p{^Block:   -Thaana}', "");
    Expect(1, 1984, '\P{Block:   -Thaana}', "");
    Expect(0, 1984, '\P{^Block:   -Thaana}', "");
    Error('\p{Blk: _/a/thaana}');
    Error('\P{Blk: _/a/thaana}');
    Expect(1, 1983, '\p{Blk=:\AThaana\z:}', "");;
    Expect(0, 1984, '\p{Blk=:\AThaana\z:}', "");;
    Expect(1, 1983, '\p{Blk=thaana}', "");
    Expect(0, 1983, '\p{^Blk=thaana}', "");
    Expect(0, 1983, '\P{Blk=thaana}', "");
    Expect(1, 1983, '\P{^Blk=thaana}', "");
    Expect(0, 1984, '\p{Blk=thaana}', "");
    Expect(1, 1984, '\p{^Blk=thaana}', "");
    Expect(1, 1984, '\P{Blk=thaana}', "");
    Expect(0, 1984, '\P{^Blk=thaana}', "");
    Expect(1, 1983, '\p{Blk=:\Athaana\z:}', "");;
    Expect(0, 1984, '\p{Blk=:\Athaana\z:}', "");;
    Expect(1, 1983, '\p{Blk=--THAANA}', "");
    Expect(0, 1983, '\p{^Blk=--THAANA}', "");
    Expect(0, 1983, '\P{Blk=--THAANA}', "");
    Expect(1, 1983, '\P{^Blk=--THAANA}', "");
    Expect(0, 1984, '\p{Blk=--THAANA}', "");
    Expect(1, 1984, '\p{^Blk=--THAANA}', "");
    Expect(1, 1984, '\P{Blk=--THAANA}', "");
    Expect(0, 1984, '\P{^Blk=--THAANA}', "");
    Error('\p{Is_Block=	-Thaana/a/}');
    Error('\P{Is_Block=	-Thaana/a/}');
    Expect(1, 1983, '\p{Is_Block=thaana}', "");
    Expect(0, 1983, '\p{^Is_Block=thaana}', "");
    Expect(0, 1983, '\P{Is_Block=thaana}', "");
    Expect(1, 1983, '\P{^Is_Block=thaana}', "");
    Expect(0, 1984, '\p{Is_Block=thaana}', "");
    Expect(1, 1984, '\p{^Is_Block=thaana}', "");
    Expect(1, 1984, '\P{Is_Block=thaana}', "");
    Expect(0, 1984, '\P{^Is_Block=thaana}', "");
    Expect(1, 1983, '\p{Is_Block=-THAANA}', "");
    Expect(0, 1983, '\p{^Is_Block=-THAANA}', "");
    Expect(0, 1983, '\P{Is_Block=-THAANA}', "");
    Expect(1, 1983, '\P{^Is_Block=-THAANA}', "");
    Expect(0, 1984, '\p{Is_Block=-THAANA}', "");
    Expect(1, 1984, '\p{^Is_Block=-THAANA}', "");
    Expect(1, 1984, '\P{Is_Block=-THAANA}', "");
    Expect(0, 1984, '\P{^Is_Block=-THAANA}', "");
    Error('\p{Is_Blk=/a/--THAANA}');
    Error('\P{Is_Blk=/a/--THAANA}');
    Expect(1, 1983, '\p{Is_Blk=thaana}', "");
    Expect(0, 1983, '\p{^Is_Blk=thaana}', "");
    Expect(0, 1983, '\P{Is_Blk=thaana}', "");
    Expect(1, 1983, '\P{^Is_Blk=thaana}', "");
    Expect(0, 1984, '\p{Is_Blk=thaana}', "");
    Expect(1, 1984, '\p{^Is_Blk=thaana}', "");
    Expect(1, 1984, '\P{Is_Blk=thaana}', "");
    Expect(0, 1984, '\P{^Is_Blk=thaana}', "");
    Expect(1, 1983, '\p{Is_Blk:		Thaana}', "");
    Expect(0, 1983, '\p{^Is_Blk:		Thaana}', "");
    Expect(0, 1983, '\P{Is_Blk:		Thaana}', "");
    Expect(1, 1983, '\P{^Is_Blk:		Thaana}', "");
    Expect(0, 1984, '\p{Is_Blk:		Thaana}', "");
    Expect(1, 1984, '\p{^Is_Blk:		Thaana}', "");
    Expect(1, 1984, '\P{Is_Blk:		Thaana}', "");
    Expect(0, 1984, '\P{^Is_Blk:		Thaana}', "");
    Error('\p{Block=	thai:=}');
    Error('\P{Block=	thai:=}');
    Expect(1, 3711, '\p{Block=:\AThai\z:}', "");;
    Expect(0, 3712, '\p{Block=:\AThai\z:}', "");;
    Expect(1, 3711, '\p{Block=thai}', "");
    Expect(0, 3711, '\p{^Block=thai}', "");
    Expect(0, 3711, '\P{Block=thai}', "");
    Expect(1, 3711, '\P{^Block=thai}', "");
    Expect(0, 3712, '\p{Block=thai}', "");
    Expect(1, 3712, '\p{^Block=thai}', "");
    Expect(1, 3712, '\P{Block=thai}', "");
    Expect(0, 3712, '\P{^Block=thai}', "");
    Expect(1, 3711, '\p{Block=:\Athai\z:}', "");;
    Expect(0, 3712, '\p{Block=:\Athai\z:}', "");;
    Expect(1, 3711, '\p{Block=	_Thai}', "");
    Expect(0, 3711, '\p{^Block=	_Thai}', "");
    Expect(0, 3711, '\P{Block=	_Thai}', "");
    Expect(1, 3711, '\P{^Block=	_Thai}', "");
    Expect(0, 3712, '\p{Block=	_Thai}', "");
    Expect(1, 3712, '\p{^Block=	_Thai}', "");
    Expect(1, 3712, '\P{Block=	_Thai}', "");
    Expect(0, 3712, '\P{^Block=	_Thai}', "");
    Error('\p{Blk=:=_Thai}');
    Error('\P{Blk=:=_Thai}');
    Expect(1, 3711, '\p{Blk=:\AThai\z:}', "");;
    Expect(0, 3712, '\p{Blk=:\AThai\z:}', "");;
    Expect(1, 3711, '\p{Blk=thai}', "");
    Expect(0, 3711, '\p{^Blk=thai}', "");
    Expect(0, 3711, '\P{Blk=thai}', "");
    Expect(1, 3711, '\P{^Blk=thai}', "");
    Expect(0, 3712, '\p{Blk=thai}', "");
    Expect(1, 3712, '\p{^Blk=thai}', "");
    Expect(1, 3712, '\P{Blk=thai}', "");
    Expect(0, 3712, '\P{^Blk=thai}', "");
    Expect(1, 3711, '\p{Blk=:\Athai\z:}', "");;
    Expect(0, 3712, '\p{Blk=:\Athai\z:}', "");;
    Expect(1, 3711, '\p{Blk=--THAI}', "");
    Expect(0, 3711, '\p{^Blk=--THAI}', "");
    Expect(0, 3711, '\P{Blk=--THAI}', "");
    Expect(1, 3711, '\P{^Blk=--THAI}', "");
    Expect(0, 3712, '\p{Blk=--THAI}', "");
    Expect(1, 3712, '\p{^Blk=--THAI}', "");
    Expect(1, 3712, '\P{Blk=--THAI}', "");
    Expect(0, 3712, '\P{^Blk=--THAI}', "");
    Error('\p{Is_Block=/a/thai}');
    Error('\P{Is_Block=/a/thai}');
    Expect(1, 3711, '\p{Is_Block=thai}', "");
    Expect(0, 3711, '\p{^Is_Block=thai}', "");
    Expect(0, 3711, '\P{Is_Block=thai}', "");
    Expect(1, 3711, '\P{^Is_Block=thai}', "");
    Expect(0, 3712, '\p{Is_Block=thai}', "");
    Expect(1, 3712, '\p{^Is_Block=thai}', "");
    Expect(1, 3712, '\P{Is_Block=thai}', "");
    Expect(0, 3712, '\P{^Is_Block=thai}', "");
    Expect(1, 3711, '\p{Is_Block=_-THAI}', "");
    Expect(0, 3711, '\p{^Is_Block=_-THAI}', "");
    Expect(0, 3711, '\P{Is_Block=_-THAI}', "");
    Expect(1, 3711, '\P{^Is_Block=_-THAI}', "");
    Expect(0, 3712, '\p{Is_Block=_-THAI}', "");
    Expect(1, 3712, '\p{^Is_Block=_-THAI}', "");
    Expect(1, 3712, '\P{Is_Block=_-THAI}', "");
    Expect(0, 3712, '\P{^Is_Block=_-THAI}', "");
    Error('\p{Is_Blk= /a/Thai}');
    Error('\P{Is_Blk= /a/Thai}');
    Expect(1, 3711, '\p{Is_Blk=thai}', "");
    Expect(0, 3711, '\p{^Is_Blk=thai}', "");
    Expect(0, 3711, '\P{Is_Blk=thai}', "");
    Expect(1, 3711, '\P{^Is_Blk=thai}', "");
    Expect(0, 3712, '\p{Is_Blk=thai}', "");
    Expect(1, 3712, '\p{^Is_Blk=thai}', "");
    Expect(1, 3712, '\P{Is_Blk=thai}', "");
    Expect(0, 3712, '\P{^Is_Blk=thai}', "");
    Expect(1, 3711, '\p{Is_Blk=_	THAI}', "");
    Expect(0, 3711, '\p{^Is_Blk=_	THAI}', "");
    Expect(0, 3711, '\P{Is_Blk=_	THAI}', "");
    Expect(1, 3711, '\P{^Is_Blk=_	THAI}', "");
    Expect(0, 3712, '\p{Is_Blk=_	THAI}', "");
    Expect(1, 3712, '\p{^Is_Blk=_	THAI}', "");
    Expect(1, 3712, '\P{Is_Blk=_	THAI}', "");
    Expect(0, 3712, '\P{^Is_Blk=_	THAI}', "");
    Error('\p{Block=:=tibetan}');
    Error('\P{Block=:=tibetan}');
    Expect(1, 4095, '\p{Block=:\ATibetan\z:}', "");;
    Expect(0, 4096, '\p{Block=:\ATibetan\z:}', "");;
    Expect(1, 4095, '\p{Block: tibetan}', "");
    Expect(0, 4095, '\p{^Block: tibetan}', "");
    Expect(0, 4095, '\P{Block: tibetan}', "");
    Expect(1, 4095, '\P{^Block: tibetan}', "");
    Expect(0, 4096, '\p{Block: tibetan}', "");
    Expect(1, 4096, '\p{^Block: tibetan}', "");
    Expect(1, 4096, '\P{Block: tibetan}', "");
    Expect(0, 4096, '\P{^Block: tibetan}', "");
    Expect(1, 4095, '\p{Block=:\Atibetan\z:}', "");;
    Expect(0, 4096, '\p{Block=:\Atibetan\z:}', "");;
    Expect(1, 4095, '\p{Block=- tibetan}', "");
    Expect(0, 4095, '\p{^Block=- tibetan}', "");
    Expect(0, 4095, '\P{Block=- tibetan}', "");
    Expect(1, 4095, '\P{^Block=- tibetan}', "");
    Expect(0, 4096, '\p{Block=- tibetan}', "");
    Expect(1, 4096, '\p{^Block=- tibetan}', "");
    Expect(1, 4096, '\P{Block=- tibetan}', "");
    Expect(0, 4096, '\P{^Block=- tibetan}', "");
    Error('\p{Blk=- Tibetan/a/}');
    Error('\P{Blk=- Tibetan/a/}');
    Expect(1, 4095, '\p{Blk=:\ATibetan\z:}', "");;
    Expect(0, 4096, '\p{Blk=:\ATibetan\z:}', "");;
    Expect(1, 4095, '\p{Blk=tibetan}', "");
    Expect(0, 4095, '\p{^Blk=tibetan}', "");
    Expect(0, 4095, '\P{Blk=tibetan}', "");
    Expect(1, 4095, '\P{^Blk=tibetan}', "");
    Expect(0, 4096, '\p{Blk=tibetan}', "");
    Expect(1, 4096, '\p{^Blk=tibetan}', "");
    Expect(1, 4096, '\P{Blk=tibetan}', "");
    Expect(0, 4096, '\P{^Blk=tibetan}', "");
    Expect(1, 4095, '\p{Blk=:\Atibetan\z:}', "");;
    Expect(0, 4096, '\p{Blk=:\Atibetan\z:}', "");;
    Expect(1, 4095, '\p{Blk=- tibetan}', "");
    Expect(0, 4095, '\p{^Blk=- tibetan}', "");
    Expect(0, 4095, '\P{Blk=- tibetan}', "");
    Expect(1, 4095, '\P{^Blk=- tibetan}', "");
    Expect(0, 4096, '\p{Blk=- tibetan}', "");
    Expect(1, 4096, '\p{^Blk=- tibetan}', "");
    Expect(1, 4096, '\P{Blk=- tibetan}', "");
    Expect(0, 4096, '\P{^Blk=- tibetan}', "");
    Error('\p{Is_Block=_:=Tibetan}');
    Error('\P{Is_Block=_:=Tibetan}');
    Expect(1, 4095, '\p{Is_Block=tibetan}', "");
    Expect(0, 4095, '\p{^Is_Block=tibetan}', "");
    Expect(0, 4095, '\P{Is_Block=tibetan}', "");
    Expect(1, 4095, '\P{^Is_Block=tibetan}', "");
    Expect(0, 4096, '\p{Is_Block=tibetan}', "");
    Expect(1, 4096, '\p{^Is_Block=tibetan}', "");
    Expect(1, 4096, '\P{Is_Block=tibetan}', "");
    Expect(0, 4096, '\P{^Is_Block=tibetan}', "");
    Expect(1, 4095, '\p{Is_Block=	Tibetan}', "");
    Expect(0, 4095, '\p{^Is_Block=	Tibetan}', "");
    Expect(0, 4095, '\P{Is_Block=	Tibetan}', "");
    Expect(1, 4095, '\P{^Is_Block=	Tibetan}', "");
    Expect(0, 4096, '\p{Is_Block=	Tibetan}', "");
    Expect(1, 4096, '\p{^Is_Block=	Tibetan}', "");
    Expect(1, 4096, '\P{Is_Block=	Tibetan}', "");
    Expect(0, 4096, '\P{^Is_Block=	Tibetan}', "");
    Error('\p{Is_Blk=Tibetan/a/}');
    Error('\P{Is_Blk=Tibetan/a/}');
    Expect(1, 4095, '\p{Is_Blk=tibetan}', "");
    Expect(0, 4095, '\p{^Is_Blk=tibetan}', "");
    Expect(0, 4095, '\P{Is_Blk=tibetan}', "");
    Expect(1, 4095, '\P{^Is_Blk=tibetan}', "");
    Expect(0, 4096, '\p{Is_Blk=tibetan}', "");
    Expect(1, 4096, '\p{^Is_Blk=tibetan}', "");
    Expect(1, 4096, '\P{Is_Blk=tibetan}', "");
    Expect(0, 4096, '\P{^Is_Blk=tibetan}', "");
    Expect(1, 4095, '\p{Is_Blk=-Tibetan}', "");
    Expect(0, 4095, '\p{^Is_Blk=-Tibetan}', "");
    Expect(0, 4095, '\P{Is_Blk=-Tibetan}', "");
    Expect(1, 4095, '\P{^Is_Blk=-Tibetan}', "");
    Expect(0, 4096, '\p{Is_Blk=-Tibetan}', "");
    Expect(1, 4096, '\p{^Is_Blk=-Tibetan}', "");
    Expect(1, 4096, '\P{Is_Blk=-Tibetan}', "");
    Expect(0, 4096, '\P{^Is_Blk=-Tibetan}', "");
    Error('\p{Block=tifinagh:=}');
    Error('\P{Block=tifinagh:=}');
    Expect(1, 11647, '\p{Block=:\ATifinagh\z:}', "");;
    Expect(0, 11648, '\p{Block=:\ATifinagh\z:}', "");;
    Expect(1, 11647, '\p{Block=tifinagh}', "");
    Expect(0, 11647, '\p{^Block=tifinagh}', "");
    Expect(0, 11647, '\P{Block=tifinagh}', "");
    Expect(1, 11647, '\P{^Block=tifinagh}', "");
    Expect(0, 11648, '\p{Block=tifinagh}', "");
    Expect(1, 11648, '\p{^Block=tifinagh}', "");
    Expect(1, 11648, '\P{Block=tifinagh}', "");
    Expect(0, 11648, '\P{^Block=tifinagh}', "");
    Expect(1, 11647, '\p{Block=:\Atifinagh\z:}', "");;
    Expect(0, 11648, '\p{Block=:\Atifinagh\z:}', "");;
    Expect(1, 11647, '\p{Block=-	TIFINAGH}', "");
    Expect(0, 11647, '\p{^Block=-	TIFINAGH}', "");
    Expect(0, 11647, '\P{Block=-	TIFINAGH}', "");
    Expect(1, 11647, '\P{^Block=-	TIFINAGH}', "");
    Expect(0, 11648, '\p{Block=-	TIFINAGH}', "");
    Expect(1, 11648, '\p{^Block=-	TIFINAGH}', "");
    Expect(1, 11648, '\P{Block=-	TIFINAGH}', "");
    Expect(0, 11648, '\P{^Block=-	TIFINAGH}', "");
    Error('\p{Blk=/a/_ Tifinagh}');
    Error('\P{Blk=/a/_ Tifinagh}');
    Expect(1, 11647, '\p{Blk=:\ATifinagh\z:}', "");;
    Expect(0, 11648, '\p{Blk=:\ATifinagh\z:}', "");;
    Expect(1, 11647, '\p{Blk=tifinagh}', "");
    Expect(0, 11647, '\p{^Blk=tifinagh}', "");
    Expect(0, 11647, '\P{Blk=tifinagh}', "");
    Expect(1, 11647, '\P{^Blk=tifinagh}', "");
    Expect(0, 11648, '\p{Blk=tifinagh}', "");
    Expect(1, 11648, '\p{^Blk=tifinagh}', "");
    Expect(1, 11648, '\P{Blk=tifinagh}', "");
    Expect(0, 11648, '\P{^Blk=tifinagh}', "");
    Expect(1, 11647, '\p{Blk=:\Atifinagh\z:}', "");;
    Expect(0, 11648, '\p{Blk=:\Atifinagh\z:}', "");;
    Expect(1, 11647, '\p{Blk= TIFINAGH}', "");
    Expect(0, 11647, '\p{^Blk= TIFINAGH}', "");
    Expect(0, 11647, '\P{Blk= TIFINAGH}', "");
    Expect(1, 11647, '\P{^Blk= TIFINAGH}', "");
    Expect(0, 11648, '\p{Blk= TIFINAGH}', "");
    Expect(1, 11648, '\p{^Blk= TIFINAGH}', "");
    Expect(1, 11648, '\P{Blk= TIFINAGH}', "");
    Expect(0, 11648, '\P{^Blk= TIFINAGH}', "");
    Error('\p{Is_Block=:=_-Tifinagh}');
    Error('\P{Is_Block=:=_-Tifinagh}');
    Expect(1, 11647, '\p{Is_Block=tifinagh}', "");
    Expect(0, 11647, '\p{^Is_Block=tifinagh}', "");
    Expect(0, 11647, '\P{Is_Block=tifinagh}', "");
    Expect(1, 11647, '\P{^Is_Block=tifinagh}', "");
    Expect(0, 11648, '\p{Is_Block=tifinagh}', "");
    Expect(1, 11648, '\p{^Is_Block=tifinagh}', "");
    Expect(1, 11648, '\P{Is_Block=tifinagh}', "");
    Expect(0, 11648, '\P{^Is_Block=tifinagh}', "");
    Expect(1, 11647, '\p{Is_Block=-tifinagh}', "");
    Expect(0, 11647, '\p{^Is_Block=-tifinagh}', "");
    Expect(0, 11647, '\P{Is_Block=-tifinagh}', "");
    Expect(1, 11647, '\P{^Is_Block=-tifinagh}', "");
    Expect(0, 11648, '\p{Is_Block=-tifinagh}', "");
    Expect(1, 11648, '\p{^Is_Block=-tifinagh}', "");
    Expect(1, 11648, '\P{Is_Block=-tifinagh}', "");
    Expect(0, 11648, '\P{^Is_Block=-tifinagh}', "");
    Error('\p{Is_Blk= -tifinagh:=}');
    Error('\P{Is_Blk= -tifinagh:=}');
    Expect(1, 11647, '\p{Is_Blk=tifinagh}', "");
    Expect(0, 11647, '\p{^Is_Blk=tifinagh}', "");
    Expect(0, 11647, '\P{Is_Blk=tifinagh}', "");
    Expect(1, 11647, '\P{^Is_Blk=tifinagh}', "");
    Expect(0, 11648, '\p{Is_Blk=tifinagh}', "");
    Expect(1, 11648, '\p{^Is_Blk=tifinagh}', "");
    Expect(1, 11648, '\P{Is_Blk=tifinagh}', "");
    Expect(0, 11648, '\P{^Is_Blk=tifinagh}', "");
    Error('\p{Block=:= 	Tirhuta}');
    Error('\P{Block=:= 	Tirhuta}');
    Expect(1, 70879, '\p{Block=:\ATirhuta\z:}', "");;
    Expect(0, 70880, '\p{Block=:\ATirhuta\z:}', "");;
    Expect(1, 70879, '\p{Block=tirhuta}', "");
    Expect(0, 70879, '\p{^Block=tirhuta}', "");
    Expect(0, 70879, '\P{Block=tirhuta}', "");
    Expect(1, 70879, '\P{^Block=tirhuta}', "");
    Expect(0, 70880, '\p{Block=tirhuta}', "");
    Expect(1, 70880, '\p{^Block=tirhuta}', "");
    Expect(1, 70880, '\P{Block=tirhuta}', "");
    Expect(0, 70880, '\P{^Block=tirhuta}', "");
    Expect(1, 70879, '\p{Block=:\Atirhuta\z:}', "");;
    Expect(0, 70880, '\p{Block=:\Atirhuta\z:}', "");;
    Expect(1, 70879, '\p{Block=_-Tirhuta}', "");
    Expect(0, 70879, '\p{^Block=_-Tirhuta}', "");
    Expect(0, 70879, '\P{Block=_-Tirhuta}', "");
    Expect(1, 70879, '\P{^Block=_-Tirhuta}', "");
    Expect(0, 70880, '\p{Block=_-Tirhuta}', "");
    Expect(1, 70880, '\p{^Block=_-Tirhuta}', "");
    Expect(1, 70880, '\P{Block=_-Tirhuta}', "");
    Expect(0, 70880, '\P{^Block=_-Tirhuta}', "");
    Error('\p{Blk= 	TIRHUTA:=}');
    Error('\P{Blk= 	TIRHUTA:=}');
    Expect(1, 70879, '\p{Blk=:\ATirhuta\z:}', "");;
    Expect(0, 70880, '\p{Blk=:\ATirhuta\z:}', "");;
    Expect(1, 70879, '\p{Blk=tirhuta}', "");
    Expect(0, 70879, '\p{^Blk=tirhuta}', "");
    Expect(0, 70879, '\P{Blk=tirhuta}', "");
    Expect(1, 70879, '\P{^Blk=tirhuta}', "");
    Expect(0, 70880, '\p{Blk=tirhuta}', "");
    Expect(1, 70880, '\p{^Blk=tirhuta}', "");
    Expect(1, 70880, '\P{Blk=tirhuta}', "");
    Expect(0, 70880, '\P{^Blk=tirhuta}', "");
    Expect(1, 70879, '\p{Blk=:\Atirhuta\z:}', "");;
    Expect(0, 70880, '\p{Blk=:\Atirhuta\z:}', "");;
    Expect(1, 70879, '\p{Blk:		 Tirhuta}', "");
    Expect(0, 70879, '\p{^Blk:		 Tirhuta}', "");
    Expect(0, 70879, '\P{Blk:		 Tirhuta}', "");
    Expect(1, 70879, '\P{^Blk:		 Tirhuta}', "");
    Expect(0, 70880, '\p{Blk:		 Tirhuta}', "");
    Expect(1, 70880, '\p{^Blk:		 Tirhuta}', "");
    Expect(1, 70880, '\P{Blk:		 Tirhuta}', "");
    Expect(0, 70880, '\P{^Blk:		 Tirhuta}', "");
    Error('\p{Is_Block=-_TIRHUTA:=}');
    Error('\P{Is_Block=-_TIRHUTA:=}');
    Expect(1, 70879, '\p{Is_Block=tirhuta}', "");
    Expect(0, 70879, '\p{^Is_Block=tirhuta}', "");
    Expect(0, 70879, '\P{Is_Block=tirhuta}', "");
    Expect(1, 70879, '\P{^Is_Block=tirhuta}', "");
    Expect(0, 70880, '\p{Is_Block=tirhuta}', "");
    Expect(1, 70880, '\p{^Is_Block=tirhuta}', "");
    Expect(1, 70880, '\P{Is_Block=tirhuta}', "");
    Expect(0, 70880, '\P{^Is_Block=tirhuta}', "");
    Expect(1, 70879, '\p{Is_Block:	-_Tirhuta}', "");
    Expect(0, 70879, '\p{^Is_Block:	-_Tirhuta}', "");
    Expect(0, 70879, '\P{Is_Block:	-_Tirhuta}', "");
    Expect(1, 70879, '\P{^Is_Block:	-_Tirhuta}', "");
    Expect(0, 70880, '\p{Is_Block:	-_Tirhuta}', "");
    Expect(1, 70880, '\p{^Is_Block:	-_Tirhuta}', "");
    Expect(1, 70880, '\P{Is_Block:	-_Tirhuta}', "");
    Expect(0, 70880, '\P{^Is_Block:	-_Tirhuta}', "");
    Error('\p{Is_Blk: /a/ 	Tirhuta}');
    Error('\P{Is_Blk: /a/ 	Tirhuta}');
    Expect(1, 70879, '\p{Is_Blk=tirhuta}', "");
    Expect(0, 70879, '\p{^Is_Blk=tirhuta}', "");
    Expect(0, 70879, '\P{Is_Blk=tirhuta}', "");
    Expect(1, 70879, '\P{^Is_Blk=tirhuta}', "");
    Expect(0, 70880, '\p{Is_Blk=tirhuta}', "");
    Expect(1, 70880, '\p{^Is_Blk=tirhuta}', "");
    Expect(1, 70880, '\P{Is_Blk=tirhuta}', "");
    Expect(0, 70880, '\P{^Is_Blk=tirhuta}', "");
    Expect(1, 70879, '\p{Is_Blk=	-Tirhuta}', "");
    Expect(0, 70879, '\p{^Is_Blk=	-Tirhuta}', "");
    Expect(0, 70879, '\P{Is_Blk=	-Tirhuta}', "");
    Expect(1, 70879, '\P{^Is_Blk=	-Tirhuta}', "");
    Expect(0, 70880, '\p{Is_Blk=	-Tirhuta}', "");
    Expect(1, 70880, '\p{^Is_Blk=	-Tirhuta}', "");
    Expect(1, 70880, '\P{Is_Blk=	-Tirhuta}', "");
    Expect(0, 70880, '\P{^Is_Blk=	-Tirhuta}', "");
    Error('\p{Block=	-TOTO/a/}');
    Error('\P{Block=	-TOTO/a/}');
    Expect(1, 123583, '\p{Block=:\AToto\z:}', "");;
    Expect(0, 123584, '\p{Block=:\AToto\z:}', "");;
    Expect(1, 123583, '\p{Block=toto}', "");
    Expect(0, 123583, '\p{^Block=toto}', "");
    Expect(0, 123583, '\P{Block=toto}', "");
    Expect(1, 123583, '\P{^Block=toto}', "");
    Expect(0, 123584, '\p{Block=toto}', "");
    Expect(1, 123584, '\p{^Block=toto}', "");
    Expect(1, 123584, '\P{Block=toto}', "");
    Expect(0, 123584, '\P{^Block=toto}', "");
    Expect(1, 123583, '\p{Block=:\Atoto\z:}', "");;
    Expect(0, 123584, '\p{Block=:\Atoto\z:}', "");;
    Expect(1, 123583, '\p{Block=-Toto}', "");
    Expect(0, 123583, '\p{^Block=-Toto}', "");
    Expect(0, 123583, '\P{Block=-Toto}', "");
    Expect(1, 123583, '\P{^Block=-Toto}', "");
    Expect(0, 123584, '\p{Block=-Toto}', "");
    Expect(1, 123584, '\p{^Block=-Toto}', "");
    Expect(1, 123584, '\P{Block=-Toto}', "");
    Expect(0, 123584, '\P{^Block=-Toto}', "");
    Error('\p{Blk=-/a/TOTO}');
    Error('\P{Blk=-/a/TOTO}');
    Expect(1, 123583, '\p{Blk=:\AToto\z:}', "");;
    Expect(0, 123584, '\p{Blk=:\AToto\z:}', "");;
    Expect(1, 123583, '\p{Blk=toto}', "");
    Expect(0, 123583, '\p{^Blk=toto}', "");
    Expect(0, 123583, '\P{Blk=toto}', "");
    Expect(1, 123583, '\P{^Blk=toto}', "");
    Expect(0, 123584, '\p{Blk=toto}', "");
    Expect(1, 123584, '\p{^Blk=toto}', "");
    Expect(1, 123584, '\P{Blk=toto}', "");
    Expect(0, 123584, '\P{^Blk=toto}', "");
    Expect(1, 123583, '\p{Blk=:\Atoto\z:}', "");;
    Expect(0, 123584, '\p{Blk=:\Atoto\z:}', "");;
    Expect(1, 123583, '\p{Blk:   _-toto}', "");
    Expect(0, 123583, '\p{^Blk:   _-toto}', "");
    Expect(0, 123583, '\P{Blk:   _-toto}', "");
    Expect(1, 123583, '\P{^Blk:   _-toto}', "");
    Expect(0, 123584, '\p{Blk:   _-toto}', "");
    Expect(1, 123584, '\p{^Blk:   _-toto}', "");
    Expect(1, 123584, '\P{Blk:   _-toto}', "");
    Expect(0, 123584, '\P{^Blk:   _-toto}', "");
    Error('\p{Is_Block:	 :=TOTO}');
    Error('\P{Is_Block:	 :=TOTO}');
    Expect(1, 123583, '\p{Is_Block=toto}', "");
    Expect(0, 123583, '\p{^Is_Block=toto}', "");
    Expect(0, 123583, '\P{Is_Block=toto}', "");
    Expect(1, 123583, '\P{^Is_Block=toto}', "");
    Expect(0, 123584, '\p{Is_Block=toto}', "");
    Expect(1, 123584, '\p{^Is_Block=toto}', "");
    Expect(1, 123584, '\P{Is_Block=toto}', "");
    Expect(0, 123584, '\P{^Is_Block=toto}', "");
    Expect(1, 123583, '\p{Is_Block=-Toto}', "");
    Expect(0, 123583, '\p{^Is_Block=-Toto}', "");
    Expect(0, 123583, '\P{Is_Block=-Toto}', "");
    Expect(1, 123583, '\P{^Is_Block=-Toto}', "");
    Expect(0, 123584, '\p{Is_Block=-Toto}', "");
    Expect(1, 123584, '\p{^Is_Block=-Toto}', "");
    Expect(1, 123584, '\P{Is_Block=-Toto}', "");
    Expect(0, 123584, '\P{^Is_Block=-Toto}', "");
    Error('\p{Is_Blk:		_toto/a/}');
    Error('\P{Is_Blk:		_toto/a/}');
    Expect(1, 123583, '\p{Is_Blk=toto}', "");
    Expect(0, 123583, '\p{^Is_Blk=toto}', "");
    Expect(0, 123583, '\P{Is_Blk=toto}', "");
    Expect(1, 123583, '\P{^Is_Blk=toto}', "");
    Expect(0, 123584, '\p{Is_Blk=toto}', "");
    Expect(1, 123584, '\p{^Is_Blk=toto}', "");
    Expect(1, 123584, '\P{Is_Blk=toto}', "");
    Expect(0, 123584, '\P{^Is_Blk=toto}', "");
    Expect(1, 123583, '\p{Is_Blk: Toto}', "");
    Expect(0, 123583, '\p{^Is_Blk: Toto}', "");
    Expect(0, 123583, '\P{Is_Blk: Toto}', "");
    Expect(1, 123583, '\P{^Is_Blk: Toto}', "");
    Expect(0, 123584, '\p{Is_Blk: Toto}', "");
    Expect(1, 123584, '\p{^Is_Blk: Toto}', "");
    Expect(1, 123584, '\P{Is_Blk: Toto}', "");
    Expect(0, 123584, '\P{^Is_Blk: Toto}', "");
    Error('\p{Block:	-TRANSPORT_And_MAP_symbols:=}');
    Error('\P{Block:	-TRANSPORT_And_MAP_symbols:=}');
    Expect(1, 128767, '\p{Block=:\ATransport_And_Map_Symbols\z:}', "");;
    Expect(0, 128768, '\p{Block=:\ATransport_And_Map_Symbols\z:}', "");;
    Expect(1, 128767, '\p{Block=transportandmapsymbols}', "");
    Expect(0, 128767, '\p{^Block=transportandmapsymbols}', "");
    Expect(0, 128767, '\P{Block=transportandmapsymbols}', "");
    Expect(1, 128767, '\P{^Block=transportandmapsymbols}', "");
    Expect(0, 128768, '\p{Block=transportandmapsymbols}', "");
    Expect(1, 128768, '\p{^Block=transportandmapsymbols}', "");
    Expect(1, 128768, '\P{Block=transportandmapsymbols}', "");
    Expect(0, 128768, '\P{^Block=transportandmapsymbols}', "");
    Expect(1, 128767, '\p{Block=:\Atransportandmapsymbols\z:}', "");;
    Expect(0, 128768, '\p{Block=:\Atransportandmapsymbols\z:}', "");;
    Expect(1, 128767, '\p{Block= TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128767, '\p{^Block= TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128767, '\P{Block= TRANSPORT_And_MAP_Symbols}', "");
    Expect(1, 128767, '\P{^Block= TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128768, '\p{Block= TRANSPORT_And_MAP_Symbols}', "");
    Expect(1, 128768, '\p{^Block= TRANSPORT_And_MAP_Symbols}', "");
    Expect(1, 128768, '\P{Block= TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128768, '\P{^Block= TRANSPORT_And_MAP_Symbols}', "");
    Error('\p{Blk=:=-_TRANSPORT_AND_map}');
    Error('\P{Blk=:=-_TRANSPORT_AND_map}');
    Expect(1, 128767, '\p{Blk=:\ATransport_And_Map\z:}', "");;
    Expect(0, 128768, '\p{Blk=:\ATransport_And_Map\z:}', "");;
    Expect(1, 128767, '\p{Blk=transportandmap}', "");
    Expect(0, 128767, '\p{^Blk=transportandmap}', "");
    Expect(0, 128767, '\P{Blk=transportandmap}', "");
    Expect(1, 128767, '\P{^Blk=transportandmap}', "");
    Expect(0, 128768, '\p{Blk=transportandmap}', "");
    Expect(1, 128768, '\p{^Blk=transportandmap}', "");
    Expect(1, 128768, '\P{Blk=transportandmap}', "");
    Expect(0, 128768, '\P{^Blk=transportandmap}', "");
    Expect(1, 128767, '\p{Blk=:\Atransportandmap\z:}', "");;
    Expect(0, 128768, '\p{Blk=:\Atransportandmap\z:}', "");;
    Expect(1, 128767, '\p{Blk=-_transport_and_Map}', "");
    Expect(0, 128767, '\p{^Blk=-_transport_and_Map}', "");
    Expect(0, 128767, '\P{Blk=-_transport_and_Map}', "");
    Expect(1, 128767, '\P{^Blk=-_transport_and_Map}', "");
    Expect(0, 128768, '\p{Blk=-_transport_and_Map}', "");
    Expect(1, 128768, '\p{^Blk=-_transport_and_Map}', "");
    Expect(1, 128768, '\P{Blk=-_transport_and_Map}', "");
    Expect(0, 128768, '\P{^Blk=-_transport_and_Map}', "");
    Error('\p{Is_Block=	-TRANSPORT_AND_Map_Symbols:=}');
    Error('\P{Is_Block=	-TRANSPORT_AND_Map_Symbols:=}');
    Expect(1, 128767, '\p{Is_Block=transportandmapsymbols}', "");
    Expect(0, 128767, '\p{^Is_Block=transportandmapsymbols}', "");
    Expect(0, 128767, '\P{Is_Block=transportandmapsymbols}', "");
    Expect(1, 128767, '\P{^Is_Block=transportandmapsymbols}', "");
    Expect(0, 128768, '\p{Is_Block=transportandmapsymbols}', "");
    Expect(1, 128768, '\p{^Is_Block=transportandmapsymbols}', "");
    Expect(1, 128768, '\P{Is_Block=transportandmapsymbols}', "");
    Expect(0, 128768, '\P{^Is_Block=transportandmapsymbols}', "");
    Expect(1, 128767, '\p{Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128767, '\p{^Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128767, '\P{Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Expect(1, 128767, '\P{^Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128768, '\p{Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Expect(1, 128768, '\p{^Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Expect(1, 128768, '\P{Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Expect(0, 128768, '\P{^Is_Block=_TRANSPORT_And_MAP_Symbols}', "");
    Error('\p{Is_Blk=__TRANSPORT_and_Map:=}');
    Error('\P{Is_Blk=__TRANSPORT_and_Map:=}');
    Expect(1, 128767, '\p{Is_Blk=transportandmap}', "");
    Expect(0, 128767, '\p{^Is_Blk=transportandmap}', "");
    Expect(0, 128767, '\P{Is_Blk=transportandmap}', "");
    Expect(1, 128767, '\P{^Is_Blk=transportandmap}', "");
    Expect(0, 128768, '\p{Is_Blk=transportandmap}', "");
    Expect(1, 128768, '\p{^Is_Blk=transportandmap}', "");
    Expect(1, 128768, '\P{Is_Blk=transportandmap}', "");
    Expect(0, 128768, '\P{^Is_Blk=transportandmap}', "");
    Expect(1, 128767, '\p{Is_Blk=-Transport_AND_Map}', "");
    Expect(0, 128767, '\p{^Is_Blk=-Transport_AND_Map}', "");
    Expect(0, 128767, '\P{Is_Blk=-Transport_AND_Map}', "");
    Expect(1, 128767, '\P{^Is_Blk=-Transport_AND_Map}', "");
    Expect(0, 128768, '\p{Is_Blk=-Transport_AND_Map}', "");
    Expect(1, 128768, '\p{^Is_Blk=-Transport_AND_Map}', "");
    Expect(1, 128768, '\P{Is_Blk=-Transport_AND_Map}', "");
    Expect(0, 128768, '\P{^Is_Blk=-Transport_AND_Map}', "");
    Error('\p{Block=-:=unified_canadian_ABORIGINAL_SYLLABICS}');
    Error('\P{Block=-:=unified_canadian_ABORIGINAL_SYLLABICS}');
    Expect(1, 5759, '\p{Block=:\AUnified_Canadian_Aboriginal_Syllabics\z:}', "");;
    Expect(0, 5760, '\p{Block=:\AUnified_Canadian_Aboriginal_Syllabics\z:}', "");;
    Expect(1, 5759, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\p{Block=:\Aunifiedcanadianaboriginalsyllabics\z:}', "");;
    Expect(0, 5760, '\p{Block=:\Aunifiedcanadianaboriginalsyllabics\z:}', "");;
    Expect(1, 5759, '\p{Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Expect(0, 5759, '\p{^Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Expect(0, 5759, '\P{Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Expect(1, 5759, '\P{^Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Expect(0, 5760, '\p{Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Expect(1, 5760, '\p{^Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Expect(1, 5760, '\P{Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Expect(0, 5760, '\P{^Block=	Unified_CANADIAN_ABORIGINAL_syllabics}', "");
    Error('\p{Blk:   :=UCAS}');
    Error('\P{Blk:   :=UCAS}');
    Expect(1, 5759, '\p{Blk=:\AUCAS\z:}', "");;
    Expect(0, 5760, '\p{Blk=:\AUCAS\z:}', "");;
    Expect(1, 5759, '\p{Blk=ucas}', "");
    Expect(0, 5759, '\p{^Blk=ucas}', "");
    Expect(0, 5759, '\P{Blk=ucas}', "");
    Expect(1, 5759, '\P{^Blk=ucas}', "");
    Expect(0, 5760, '\p{Blk=ucas}', "");
    Expect(1, 5760, '\p{^Blk=ucas}', "");
    Expect(1, 5760, '\P{Blk=ucas}', "");
    Expect(0, 5760, '\P{^Blk=ucas}', "");
    Expect(1, 5759, '\p{Blk=:\Aucas\z:}', "");;
    Expect(0, 5760, '\p{Blk=:\Aucas\z:}', "");;
    Expect(1, 5759, '\p{Blk:   		ucas}', "");
    Expect(0, 5759, '\p{^Blk:   		ucas}', "");
    Expect(0, 5759, '\P{Blk:   		ucas}', "");
    Expect(1, 5759, '\P{^Blk:   		ucas}', "");
    Expect(0, 5760, '\p{Blk:   		ucas}', "");
    Expect(1, 5760, '\p{^Blk:   		ucas}', "");
    Expect(1, 5760, '\P{Blk:   		ucas}', "");
    Expect(0, 5760, '\P{^Blk:   		ucas}', "");
    Error('\p{Is_Block: 	/a/Canadian_SYLLABICS}');
    Error('\P{Is_Block: 	/a/Canadian_SYLLABICS}');
    Expect(1, 5759, '\p{Is_Block=canadiansyllabics}', "");
    Expect(0, 5759, '\p{^Is_Block=canadiansyllabics}', "");
    Expect(0, 5759, '\P{Is_Block=canadiansyllabics}', "");
    Expect(1, 5759, '\P{^Is_Block=canadiansyllabics}', "");
    Expect(0, 5760, '\p{Is_Block=canadiansyllabics}', "");
    Expect(1, 5760, '\p{^Is_Block=canadiansyllabics}', "");
    Expect(1, 5760, '\P{Is_Block=canadiansyllabics}', "");
    Expect(0, 5760, '\P{^Is_Block=canadiansyllabics}', "");
    Expect(1, 5759, '\p{Is_Block=Canadian_syllabics}', "");
    Expect(0, 5759, '\p{^Is_Block=Canadian_syllabics}', "");
    Expect(0, 5759, '\P{Is_Block=Canadian_syllabics}', "");
    Expect(1, 5759, '\P{^Is_Block=Canadian_syllabics}', "");
    Expect(0, 5760, '\p{Is_Block=Canadian_syllabics}', "");
    Expect(1, 5760, '\p{^Is_Block=Canadian_syllabics}', "");
    Expect(1, 5760, '\P{Is_Block=Canadian_syllabics}', "");
    Expect(0, 5760, '\P{^Is_Block=Canadian_syllabics}', "");
    Error('\p{Is_Blk=/a/ UNIFIED_canadian_ABORIGINAL_Syllabics}');
    Error('\P{Is_Blk=/a/ UNIFIED_canadian_ABORIGINAL_Syllabics}');
    Expect(1, 5759, '\p{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\P{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\p{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\P{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\p{Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Expect(0, 5759, '\p{^Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Expect(0, 5759, '\P{Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Expect(1, 5759, '\P{^Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Expect(0, 5760, '\p{Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Expect(1, 5760, '\p{^Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Expect(1, 5760, '\P{Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Expect(0, 5760, '\P{^Is_Blk=__unified_Canadian_ABORIGINAL_syllabics}', "");
    Error('\p{Block=/a/-_Unified_canadian_Aboriginal_Syllabics_extended}');
    Error('\P{Block=/a/-_Unified_canadian_Aboriginal_Syllabics_extended}');
    Expect(1, 6399, '\p{Block=:\AUnified_Canadian_Aboriginal_Syllabics_Extended\z:}', "");;
    Expect(0, 6400, '\p{Block=:\AUnified_Canadian_Aboriginal_Syllabics_Extended\z:}', "");;
    Expect(1, 6399, '\p{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\p{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\P{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\P{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\p{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\p{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\P{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\P{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\p{Block=:\Aunifiedcanadianaboriginalsyllabicsextended\z:}', "");;
    Expect(0, 6400, '\p{Block=:\Aunifiedcanadianaboriginalsyllabicsextended\z:}', "");;
    Expect(1, 6399, '\p{Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6399, '\p{^Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6399, '\P{Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Expect(1, 6399, '\P{^Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6400, '\p{Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Expect(1, 6400, '\p{^Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Expect(1, 6400, '\P{Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6400, '\P{^Block= unified_Canadian_aboriginal_Syllabics_EXTENDED}', "");
    Error('\p{Blk=/a/		UCAS_Ext}');
    Error('\P{Blk=/a/		UCAS_Ext}');
    Expect(1, 6399, '\p{Blk=:\AUCAS_Ext\z:}', "");;
    Expect(0, 6400, '\p{Blk=:\AUCAS_Ext\z:}', "");;
    Expect(1, 6399, '\p{Blk=ucasext}', "");
    Expect(0, 6399, '\p{^Blk=ucasext}', "");
    Expect(0, 6399, '\P{Blk=ucasext}', "");
    Expect(1, 6399, '\P{^Blk=ucasext}', "");
    Expect(0, 6400, '\p{Blk=ucasext}', "");
    Expect(1, 6400, '\p{^Blk=ucasext}', "");
    Expect(1, 6400, '\P{Blk=ucasext}', "");
    Expect(0, 6400, '\P{^Blk=ucasext}', "");
    Expect(1, 6399, '\p{Blk=:\Aucasext\z:}', "");;
    Expect(0, 6400, '\p{Blk=:\Aucasext\z:}', "");;
    Expect(1, 6399, '\p{Blk=	UCAS_ext}', "");
    Expect(0, 6399, '\p{^Blk=	UCAS_ext}', "");
    Expect(0, 6399, '\P{Blk=	UCAS_ext}', "");
    Expect(1, 6399, '\P{^Blk=	UCAS_ext}', "");
    Expect(0, 6400, '\p{Blk=	UCAS_ext}', "");
    Expect(1, 6400, '\p{^Blk=	UCAS_ext}', "");
    Expect(1, 6400, '\P{Blk=	UCAS_ext}', "");
    Expect(0, 6400, '\P{^Blk=	UCAS_ext}', "");
    Error('\p{Is_Block=	/a/unified_Canadian_Aboriginal_Syllabics_Extended}');
    Error('\P{Is_Block=	/a/unified_Canadian_Aboriginal_Syllabics_Extended}');
    Expect(1, 6399, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\p{Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6399, '\p{^Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6399, '\P{Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(1, 6399, '\P{^Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6400, '\p{Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(1, 6400, '\p{^Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(1, 6400, '\P{Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6400, '\P{^Is_Block= unified_Canadian_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Error('\p{Is_Blk=/a/_-ucas_Ext}');
    Error('\P{Is_Blk=/a/_-ucas_Ext}');
    Expect(1, 6399, '\p{Is_Blk=ucasext}', "");
    Expect(0, 6399, '\p{^Is_Blk=ucasext}', "");
    Expect(0, 6399, '\P{Is_Blk=ucasext}', "");
    Expect(1, 6399, '\P{^Is_Blk=ucasext}', "");
    Expect(0, 6400, '\p{Is_Blk=ucasext}', "");
    Expect(1, 6400, '\p{^Is_Blk=ucasext}', "");
    Expect(1, 6400, '\P{Is_Blk=ucasext}', "");
    Expect(0, 6400, '\P{^Is_Blk=ucasext}', "");
    Expect(1, 6399, '\p{Is_Blk=_-UCAS_Ext}', "");
    Expect(0, 6399, '\p{^Is_Blk=_-UCAS_Ext}', "");
    Expect(0, 6399, '\P{Is_Blk=_-UCAS_Ext}', "");
    Expect(1, 6399, '\P{^Is_Blk=_-UCAS_Ext}', "");
    Expect(0, 6400, '\p{Is_Blk=_-UCAS_Ext}', "");
    Expect(1, 6400, '\p{^Is_Blk=_-UCAS_Ext}', "");
    Expect(1, 6400, '\P{Is_Blk=_-UCAS_Ext}', "");
    Expect(0, 6400, '\P{^Is_Blk=_-UCAS_Ext}', "");
    Error('\p{Block=-:=UNIFIED_Canadian_ABORIGINAL_SYLLABICS_extended_A}');
    Error('\P{Block=-:=UNIFIED_Canadian_ABORIGINAL_SYLLABICS_extended_A}');
    Expect(1, 72383, '\p{Block=:\AUnified_Canadian_Aboriginal_Syllabics_Extended_A\z:}', "");;
    Expect(0, 72384, '\p{Block=:\AUnified_Canadian_Aboriginal_Syllabics_Extended_A\z:}', "");;
    Expect(1, 72383, '\p{Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\p{^Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\P{Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\P{^Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\p{Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\p{^Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\P{Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\P{^Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\p{Block=:\Aunifiedcanadianaboriginalsyllabicsextendeda\z:}', "");;
    Expect(0, 72384, '\p{Block=:\Aunifiedcanadianaboriginalsyllabicsextendeda\z:}', "");;
    Expect(1, 72383, '\p{Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Expect(0, 72383, '\p{^Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Expect(0, 72383, '\P{Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Expect(1, 72383, '\P{^Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Expect(0, 72384, '\p{Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Expect(1, 72384, '\p{^Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Expect(1, 72384, '\P{Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Expect(0, 72384, '\P{^Block= Unified_canadian_aboriginal_syllabics_Extended_A}', "");
    Error('\p{Blk= -ucas_Ext_A/a/}');
    Error('\P{Blk= -ucas_Ext_A/a/}');
    Expect(1, 72383, '\p{Blk=:\AUCAS_Ext_A\z:}', "");;
    Expect(0, 72384, '\p{Blk=:\AUCAS_Ext_A\z:}', "");;
    Expect(1, 72383, '\p{Blk=ucasexta}', "");
    Expect(0, 72383, '\p{^Blk=ucasexta}', "");
    Expect(0, 72383, '\P{Blk=ucasexta}', "");
    Expect(1, 72383, '\P{^Blk=ucasexta}', "");
    Expect(0, 72384, '\p{Blk=ucasexta}', "");
    Expect(1, 72384, '\p{^Blk=ucasexta}', "");
    Expect(1, 72384, '\P{Blk=ucasexta}', "");
    Expect(0, 72384, '\P{^Blk=ucasexta}', "");
    Expect(1, 72383, '\p{Blk=:\Aucasexta\z:}', "");;
    Expect(0, 72384, '\p{Blk=:\Aucasexta\z:}', "");;
    Expect(1, 72383, '\p{Blk=_ UCAS_ext_A}', "");
    Expect(0, 72383, '\p{^Blk=_ UCAS_ext_A}', "");
    Expect(0, 72383, '\P{Blk=_ UCAS_ext_A}', "");
    Expect(1, 72383, '\P{^Blk=_ UCAS_ext_A}', "");
    Expect(0, 72384, '\p{Blk=_ UCAS_ext_A}', "");
    Expect(1, 72384, '\p{^Blk=_ UCAS_ext_A}', "");
    Expect(1, 72384, '\P{Blk=_ UCAS_ext_A}', "");
    Expect(0, 72384, '\P{^Blk=_ UCAS_ext_A}', "");
    Error('\p{Is_Block=_:=UNIFIED_Canadian_aboriginal_Syllabics_Extended_a}');
    Error('\P{Is_Block=_:=UNIFIED_Canadian_aboriginal_Syllabics_Extended_a}');
    Expect(1, 72383, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\p{Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Expect(0, 72383, '\p{^Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Expect(0, 72383, '\P{Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Expect(1, 72383, '\P{^Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Expect(0, 72384, '\p{Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Expect(1, 72384, '\p{^Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Expect(1, 72384, '\P{Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Expect(0, 72384, '\P{^Is_Block=-Unified_Canadian_Aboriginal_SYLLABICS_extended_A}', "");
    Error('\p{Is_Blk=	:=ucas_Ext_A}');
    Error('\P{Is_Blk=	:=ucas_Ext_A}');
    Expect(1, 72383, '\p{Is_Blk=ucasexta}', "");
    Expect(0, 72383, '\p{^Is_Blk=ucasexta}', "");
    Expect(0, 72383, '\P{Is_Blk=ucasexta}', "");
    Expect(1, 72383, '\P{^Is_Blk=ucasexta}', "");
    Expect(0, 72384, '\p{Is_Blk=ucasexta}', "");
    Expect(1, 72384, '\p{^Is_Blk=ucasexta}', "");
    Expect(1, 72384, '\P{Is_Blk=ucasexta}', "");
    Expect(0, 72384, '\P{^Is_Blk=ucasexta}', "");
    Expect(1, 72383, '\p{Is_Blk= UCAS_ext_A}', "");
    Expect(0, 72383, '\p{^Is_Blk= UCAS_ext_A}', "");
    Expect(0, 72383, '\P{Is_Blk= UCAS_ext_A}', "");
    Expect(1, 72383, '\P{^Is_Blk= UCAS_ext_A}', "");
    Expect(0, 72384, '\p{Is_Blk= UCAS_ext_A}', "");
    Expect(1, 72384, '\p{^Is_Blk= UCAS_ext_A}', "");
    Expect(1, 72384, '\P{Is_Blk= UCAS_ext_A}', "");
    Expect(0, 72384, '\P{^Is_Blk= UCAS_ext_A}', "");
    Error('\p{Block=:=	-Ugaritic}');
    Error('\P{Block=:=	-Ugaritic}');
    Expect(1, 66463, '\p{Block=:\AUgaritic\z:}', "");;
    Expect(0, 66464, '\p{Block=:\AUgaritic\z:}', "");;
    Expect(1, 66463, '\p{Block=ugaritic}', "");
    Expect(0, 66463, '\p{^Block=ugaritic}', "");
    Expect(0, 66463, '\P{Block=ugaritic}', "");
    Expect(1, 66463, '\P{^Block=ugaritic}', "");
    Expect(0, 66464, '\p{Block=ugaritic}', "");
    Expect(1, 66464, '\p{^Block=ugaritic}', "");
    Expect(1, 66464, '\P{Block=ugaritic}', "");
    Expect(0, 66464, '\P{^Block=ugaritic}', "");
    Expect(1, 66463, '\p{Block=:\Augaritic\z:}', "");;
    Expect(0, 66464, '\p{Block=:\Augaritic\z:}', "");;
    Expect(1, 66463, '\p{Block=-	Ugaritic}', "");
    Expect(0, 66463, '\p{^Block=-	Ugaritic}', "");
    Expect(0, 66463, '\P{Block=-	Ugaritic}', "");
    Expect(1, 66463, '\P{^Block=-	Ugaritic}', "");
    Expect(0, 66464, '\p{Block=-	Ugaritic}', "");
    Expect(1, 66464, '\p{^Block=-	Ugaritic}', "");
    Expect(1, 66464, '\P{Block=-	Ugaritic}', "");
    Expect(0, 66464, '\P{^Block=-	Ugaritic}', "");
    Error('\p{Blk=/a/--UGARITIC}');
    Error('\P{Blk=/a/--UGARITIC}');
    Expect(1, 66463, '\p{Blk=:\AUgaritic\z:}', "");;
    Expect(0, 66464, '\p{Blk=:\AUgaritic\z:}', "");;
    Expect(1, 66463, '\p{Blk=ugaritic}', "");
    Expect(0, 66463, '\p{^Blk=ugaritic}', "");
    Expect(0, 66463, '\P{Blk=ugaritic}', "");
    Expect(1, 66463, '\P{^Blk=ugaritic}', "");
    Expect(0, 66464, '\p{Blk=ugaritic}', "");
    Expect(1, 66464, '\p{^Blk=ugaritic}', "");
    Expect(1, 66464, '\P{Blk=ugaritic}', "");
    Expect(0, 66464, '\P{^Blk=ugaritic}', "");
    Expect(1, 66463, '\p{Blk=:\Augaritic\z:}', "");;
    Expect(0, 66464, '\p{Blk=:\Augaritic\z:}', "");;
    Expect(1, 66463, '\p{Blk=Ugaritic}', "");
    Expect(0, 66463, '\p{^Blk=Ugaritic}', "");
    Expect(0, 66463, '\P{Blk=Ugaritic}', "");
    Expect(1, 66463, '\P{^Blk=Ugaritic}', "");
    Expect(0, 66464, '\p{Blk=Ugaritic}', "");
    Expect(1, 66464, '\p{^Blk=Ugaritic}', "");
    Expect(1, 66464, '\P{Blk=Ugaritic}', "");
    Expect(0, 66464, '\P{^Blk=Ugaritic}', "");
    Error('\p{Is_Block=/a/ugaritic}');
    Error('\P{Is_Block=/a/ugaritic}');
    Expect(1, 66463, '\p{Is_Block=ugaritic}', "");
    Expect(0, 66463, '\p{^Is_Block=ugaritic}', "");
    Expect(0, 66463, '\P{Is_Block=ugaritic}', "");
    Expect(1, 66463, '\P{^Is_Block=ugaritic}', "");
    Expect(0, 66464, '\p{Is_Block=ugaritic}', "");
    Expect(1, 66464, '\p{^Is_Block=ugaritic}', "");
    Expect(1, 66464, '\P{Is_Block=ugaritic}', "");
    Expect(0, 66464, '\P{^Is_Block=ugaritic}', "");
    Expect(1, 66463, '\p{Is_Block= Ugaritic}', "");
    Expect(0, 66463, '\p{^Is_Block= Ugaritic}', "");
    Expect(0, 66463, '\P{Is_Block= Ugaritic}', "");
    Expect(1, 66463, '\P{^Is_Block= Ugaritic}', "");
    Expect(0, 66464, '\p{Is_Block= Ugaritic}', "");
    Expect(1, 66464, '\p{^Is_Block= Ugaritic}', "");
    Expect(1, 66464, '\P{Is_Block= Ugaritic}', "");
    Expect(0, 66464, '\P{^Is_Block= Ugaritic}', "");
    Error('\p{Is_Blk=	UGARITIC:=}');
    Error('\P{Is_Blk=	UGARITIC:=}');
    Expect(1, 66463, '\p{Is_Blk=ugaritic}', "");
    Expect(0, 66463, '\p{^Is_Blk=ugaritic}', "");
    Expect(0, 66463, '\P{Is_Blk=ugaritic}', "");
    Expect(1, 66463, '\P{^Is_Blk=ugaritic}', "");
    Expect(0, 66464, '\p{Is_Blk=ugaritic}', "");
    Expect(1, 66464, '\p{^Is_Blk=ugaritic}', "");
    Expect(1, 66464, '\P{Is_Blk=ugaritic}', "");
    Expect(0, 66464, '\P{^Is_Blk=ugaritic}', "");
    Expect(1, 66463, '\p{Is_Blk= _UGARITIC}', "");
    Expect(0, 66463, '\p{^Is_Blk= _UGARITIC}', "");
    Expect(0, 66463, '\P{Is_Blk= _UGARITIC}', "");
    Expect(1, 66463, '\P{^Is_Blk= _UGARITIC}', "");
    Expect(0, 66464, '\p{Is_Blk= _UGARITIC}', "");
    Expect(1, 66464, '\p{^Is_Blk= _UGARITIC}', "");
    Expect(1, 66464, '\P{Is_Blk= _UGARITIC}', "");
    Expect(0, 66464, '\P{^Is_Blk= _UGARITIC}', "");
    Error('\p{Block= Vai:=}');
    Error('\P{Block= Vai:=}');
    Expect(1, 42559, '\p{Block=:\AVai\z:}', "");;
    Expect(0, 42560, '\p{Block=:\AVai\z:}', "");;
    Expect(1, 42559, '\p{Block=vai}', "");
    Expect(0, 42559, '\p{^Block=vai}', "");
    Expect(0, 42559, '\P{Block=vai}', "");
    Expect(1, 42559, '\P{^Block=vai}', "");
    Expect(0, 42560, '\p{Block=vai}', "");
    Expect(1, 42560, '\p{^Block=vai}', "");
    Expect(1, 42560, '\P{Block=vai}', "");
    Expect(0, 42560, '\P{^Block=vai}', "");
    Expect(1, 42559, '\p{Block=:\Avai\z:}', "");;
    Expect(0, 42560, '\p{Block=:\Avai\z:}', "");;
    Expect(1, 42559, '\p{Block=_-vai}', "");
    Expect(0, 42559, '\p{^Block=_-vai}', "");
    Expect(0, 42559, '\P{Block=_-vai}', "");
    Expect(1, 42559, '\P{^Block=_-vai}', "");
    Expect(0, 42560, '\p{Block=_-vai}', "");
    Expect(1, 42560, '\p{^Block=_-vai}', "");
    Expect(1, 42560, '\P{Block=_-vai}', "");
    Expect(0, 42560, '\P{^Block=_-vai}', "");
    Error('\p{Blk=-Vai:=}');
    Error('\P{Blk=-Vai:=}');
    Expect(1, 42559, '\p{Blk=:\AVai\z:}', "");;
    Expect(0, 42560, '\p{Blk=:\AVai\z:}', "");;
    Expect(1, 42559, '\p{Blk: vai}', "");
    Expect(0, 42559, '\p{^Blk: vai}', "");
    Expect(0, 42559, '\P{Blk: vai}', "");
    Expect(1, 42559, '\P{^Blk: vai}', "");
    Expect(0, 42560, '\p{Blk: vai}', "");
    Expect(1, 42560, '\p{^Blk: vai}', "");
    Expect(1, 42560, '\P{Blk: vai}', "");
    Expect(0, 42560, '\P{^Blk: vai}', "");
    Expect(1, 42559, '\p{Blk=:\Avai\z:}', "");;
    Expect(0, 42560, '\p{Blk=:\Avai\z:}', "");;
    Expect(1, 42559, '\p{Blk=	_Vai}', "");
    Expect(0, 42559, '\p{^Blk=	_Vai}', "");
    Expect(0, 42559, '\P{Blk=	_Vai}', "");
    Expect(1, 42559, '\P{^Blk=	_Vai}', "");
    Expect(0, 42560, '\p{Blk=	_Vai}', "");
    Expect(1, 42560, '\p{^Blk=	_Vai}', "");
    Expect(1, 42560, '\P{Blk=	_Vai}', "");
    Expect(0, 42560, '\P{^Blk=	_Vai}', "");
    Error('\p{Is_Block=_ VAI/a/}');
    Error('\P{Is_Block=_ VAI/a/}');
    Expect(1, 42559, '\p{Is_Block=vai}', "");
    Expect(0, 42559, '\p{^Is_Block=vai}', "");
    Expect(0, 42559, '\P{Is_Block=vai}', "");
    Expect(1, 42559, '\P{^Is_Block=vai}', "");
    Expect(0, 42560, '\p{Is_Block=vai}', "");
    Expect(1, 42560, '\p{^Is_Block=vai}', "");
    Expect(1, 42560, '\P{Is_Block=vai}', "");
    Expect(0, 42560, '\P{^Is_Block=vai}', "");
    Expect(1, 42559, '\p{Is_Block=_ VAI}', "");
    Expect(0, 42559, '\p{^Is_Block=_ VAI}', "");
    Expect(0, 42559, '\P{Is_Block=_ VAI}', "");
    Expect(1, 42559, '\P{^Is_Block=_ VAI}', "");
    Expect(0, 42560, '\p{Is_Block=_ VAI}', "");
    Expect(1, 42560, '\p{^Is_Block=_ VAI}', "");
    Expect(1, 42560, '\P{Is_Block=_ VAI}', "");
    Expect(0, 42560, '\P{^Is_Block=_ VAI}', "");
    Error('\p{Is_Blk=/a/_	Vai}');
    Error('\P{Is_Blk=/a/_	Vai}');
    Expect(1, 42559, '\p{Is_Blk=vai}', "");
    Expect(0, 42559, '\p{^Is_Blk=vai}', "");
    Expect(0, 42559, '\P{Is_Blk=vai}', "");
    Expect(1, 42559, '\P{^Is_Blk=vai}', "");
    Expect(0, 42560, '\p{Is_Blk=vai}', "");
    Expect(1, 42560, '\p{^Is_Blk=vai}', "");
    Expect(1, 42560, '\P{Is_Blk=vai}', "");
    Expect(0, 42560, '\P{^Is_Blk=vai}', "");
    Expect(1, 42559, '\p{Is_Blk=-Vai}', "");
    Expect(0, 42559, '\p{^Is_Blk=-Vai}', "");
    Expect(0, 42559, '\P{Is_Blk=-Vai}', "");
    Expect(1, 42559, '\P{^Is_Blk=-Vai}', "");
    Expect(0, 42560, '\p{Is_Blk=-Vai}', "");
    Expect(1, 42560, '\p{^Is_Blk=-Vai}', "");
    Expect(1, 42560, '\P{Is_Blk=-Vai}', "");
    Expect(0, 42560, '\P{^Is_Blk=-Vai}', "");
    Error('\p{Block=	_vedic_EXTENSIONS:=}');
    Error('\P{Block=	_vedic_EXTENSIONS:=}');
    Expect(1, 7423, '\p{Block=:\AVedic_Extensions\z:}', "");;
    Expect(0, 7424, '\p{Block=:\AVedic_Extensions\z:}', "");;
    Expect(1, 7423, '\p{Block=vedicextensions}', "");
    Expect(0, 7423, '\p{^Block=vedicextensions}', "");
    Expect(0, 7423, '\P{Block=vedicextensions}', "");
    Expect(1, 7423, '\P{^Block=vedicextensions}', "");
    Expect(0, 7424, '\p{Block=vedicextensions}', "");
    Expect(1, 7424, '\p{^Block=vedicextensions}', "");
    Expect(1, 7424, '\P{Block=vedicextensions}', "");
    Expect(0, 7424, '\P{^Block=vedicextensions}', "");
    Expect(1, 7423, '\p{Block=:\Avedicextensions\z:}', "");;
    Expect(0, 7424, '\p{Block=:\Avedicextensions\z:}', "");;
    Expect(1, 7423, '\p{Block: _	vedic_EXTENSIONS}', "");
    Expect(0, 7423, '\p{^Block: _	vedic_EXTENSIONS}', "");
    Expect(0, 7423, '\P{Block: _	vedic_EXTENSIONS}', "");
    Expect(1, 7423, '\P{^Block: _	vedic_EXTENSIONS}', "");
    Expect(0, 7424, '\p{Block: _	vedic_EXTENSIONS}', "");
    Expect(1, 7424, '\p{^Block: _	vedic_EXTENSIONS}', "");
    Expect(1, 7424, '\P{Block: _	vedic_EXTENSIONS}', "");
    Expect(0, 7424, '\P{^Block: _	vedic_EXTENSIONS}', "");
    Error('\p{Blk=/a/_-VEDIC_ext}');
    Error('\P{Blk=/a/_-VEDIC_ext}');
    Expect(1, 7423, '\p{Blk=:\AVedic_Ext\z:}', "");;
    Expect(0, 7424, '\p{Blk=:\AVedic_Ext\z:}', "");;
    Expect(1, 7423, '\p{Blk=vedicext}', "");
    Expect(0, 7423, '\p{^Blk=vedicext}', "");
    Expect(0, 7423, '\P{Blk=vedicext}', "");
    Expect(1, 7423, '\P{^Blk=vedicext}', "");
    Expect(0, 7424, '\p{Blk=vedicext}', "");
    Expect(1, 7424, '\p{^Blk=vedicext}', "");
    Expect(1, 7424, '\P{Blk=vedicext}', "");
    Expect(0, 7424, '\P{^Blk=vedicext}', "");
    Expect(1, 7423, '\p{Blk=:\Avedicext\z:}', "");;
    Expect(0, 7424, '\p{Blk=:\Avedicext\z:}', "");;
    Expect(1, 7423, '\p{Blk=  Vedic_Ext}', "");
    Expect(0, 7423, '\p{^Blk=  Vedic_Ext}', "");
    Expect(0, 7423, '\P{Blk=  Vedic_Ext}', "");
    Expect(1, 7423, '\P{^Blk=  Vedic_Ext}', "");
    Expect(0, 7424, '\p{Blk=  Vedic_Ext}', "");
    Expect(1, 7424, '\p{^Blk=  Vedic_Ext}', "");
    Expect(1, 7424, '\P{Blk=  Vedic_Ext}', "");
    Expect(0, 7424, '\P{^Blk=  Vedic_Ext}', "");
    Error('\p{Is_Block= /a/VEDIC_Extensions}');
    Error('\P{Is_Block= /a/VEDIC_Extensions}');
    Expect(1, 7423, '\p{Is_Block=vedicextensions}', "");
    Expect(0, 7423, '\p{^Is_Block=vedicextensions}', "");
    Expect(0, 7423, '\P{Is_Block=vedicextensions}', "");
    Expect(1, 7423, '\P{^Is_Block=vedicextensions}', "");
    Expect(0, 7424, '\p{Is_Block=vedicextensions}', "");
    Expect(1, 7424, '\p{^Is_Block=vedicextensions}', "");
    Expect(1, 7424, '\P{Is_Block=vedicextensions}', "");
    Expect(0, 7424, '\P{^Is_Block=vedicextensions}', "");
    Expect(1, 7423, '\p{Is_Block:   -VEDIC_extensions}', "");
    Expect(0, 7423, '\p{^Is_Block:   -VEDIC_extensions}', "");
    Expect(0, 7423, '\P{Is_Block:   -VEDIC_extensions}', "");
    Expect(1, 7423, '\P{^Is_Block:   -VEDIC_extensions}', "");
    Expect(0, 7424, '\p{Is_Block:   -VEDIC_extensions}', "");
    Expect(1, 7424, '\p{^Is_Block:   -VEDIC_extensions}', "");
    Expect(1, 7424, '\P{Is_Block:   -VEDIC_extensions}', "");
    Expect(0, 7424, '\P{^Is_Block:   -VEDIC_extensions}', "");
    Error('\p{Is_Blk=-_Vedic_ext/a/}');
    Error('\P{Is_Blk=-_Vedic_ext/a/}');
    Expect(1, 7423, '\p{Is_Blk=vedicext}', "");
    Expect(0, 7423, '\p{^Is_Blk=vedicext}', "");
    Expect(0, 7423, '\P{Is_Blk=vedicext}', "");
    Expect(1, 7423, '\P{^Is_Blk=vedicext}', "");
    Expect(0, 7424, '\p{Is_Blk=vedicext}', "");
    Expect(1, 7424, '\p{^Is_Blk=vedicext}', "");
    Expect(1, 7424, '\P{Is_Blk=vedicext}', "");
    Expect(0, 7424, '\P{^Is_Blk=vedicext}', "");
    Expect(1, 7423, '\p{Is_Blk=_Vedic_ext}', "");
    Expect(0, 7423, '\p{^Is_Blk=_Vedic_ext}', "");
    Expect(0, 7423, '\P{Is_Blk=_Vedic_ext}', "");
    Expect(1, 7423, '\P{^Is_Blk=_Vedic_ext}', "");
    Expect(0, 7424, '\p{Is_Blk=_Vedic_ext}', "");
    Expect(1, 7424, '\p{^Is_Blk=_Vedic_ext}', "");
    Expect(1, 7424, '\P{Is_Blk=_Vedic_ext}', "");
    Expect(0, 7424, '\P{^Is_Blk=_Vedic_ext}', "");
    Error('\p{Block=:= Vertical_Forms}');
    Error('\P{Block=:= Vertical_Forms}');
    Expect(1, 65055, '\p{Block=:\AVertical_Forms\z:}', "");;
    Expect(0, 65056, '\p{Block=:\AVertical_Forms\z:}', "");;
    Expect(1, 65055, '\p{Block:   verticalforms}', "");
    Expect(0, 65055, '\p{^Block:   verticalforms}', "");
    Expect(0, 65055, '\P{Block:   verticalforms}', "");
    Expect(1, 65055, '\P{^Block:   verticalforms}', "");
    Expect(0, 65056, '\p{Block:   verticalforms}', "");
    Expect(1, 65056, '\p{^Block:   verticalforms}', "");
    Expect(1, 65056, '\P{Block:   verticalforms}', "");
    Expect(0, 65056, '\P{^Block:   verticalforms}', "");
    Expect(1, 65055, '\p{Block=:\Averticalforms\z:}', "");;
    Expect(0, 65056, '\p{Block=:\Averticalforms\z:}', "");;
    Expect(1, 65055, '\p{Block=Vertical_Forms}', "");
    Expect(0, 65055, '\p{^Block=Vertical_Forms}', "");
    Expect(0, 65055, '\P{Block=Vertical_Forms}', "");
    Expect(1, 65055, '\P{^Block=Vertical_Forms}', "");
    Expect(0, 65056, '\p{Block=Vertical_Forms}', "");
    Expect(1, 65056, '\p{^Block=Vertical_Forms}', "");
    Expect(1, 65056, '\P{Block=Vertical_Forms}', "");
    Expect(0, 65056, '\P{^Block=Vertical_Forms}', "");
    Error('\p{Blk=_:=Vertical_Forms}');
    Error('\P{Blk=_:=Vertical_Forms}');
    Expect(1, 65055, '\p{Blk=:\AVertical_Forms\z:}', "");;
    Expect(0, 65056, '\p{Blk=:\AVertical_Forms\z:}', "");;
    Expect(1, 65055, '\p{Blk=verticalforms}', "");
    Expect(0, 65055, '\p{^Blk=verticalforms}', "");
    Expect(0, 65055, '\P{Blk=verticalforms}', "");
    Expect(1, 65055, '\P{^Blk=verticalforms}', "");
    Expect(0, 65056, '\p{Blk=verticalforms}', "");
    Expect(1, 65056, '\p{^Blk=verticalforms}', "");
    Expect(1, 65056, '\P{Blk=verticalforms}', "");
    Expect(0, 65056, '\P{^Blk=verticalforms}', "");
    Expect(1, 65055, '\p{Blk=:\Averticalforms\z:}', "");;
    Expect(0, 65056, '\p{Blk=:\Averticalforms\z:}', "");;
    Expect(1, 65055, '\p{Blk=	-Vertical_forms}', "");
    Expect(0, 65055, '\p{^Blk=	-Vertical_forms}', "");
    Expect(0, 65055, '\P{Blk=	-Vertical_forms}', "");
    Expect(1, 65055, '\P{^Blk=	-Vertical_forms}', "");
    Expect(0, 65056, '\p{Blk=	-Vertical_forms}', "");
    Expect(1, 65056, '\p{^Blk=	-Vertical_forms}', "");
    Expect(1, 65056, '\P{Blk=	-Vertical_forms}', "");
    Expect(0, 65056, '\P{^Blk=	-Vertical_forms}', "");
    Error('\p{Is_Block: :=	VERTICAL_FORMS}');
    Error('\P{Is_Block: :=	VERTICAL_FORMS}');
    Expect(1, 65055, '\p{Is_Block=verticalforms}', "");
    Expect(0, 65055, '\p{^Is_Block=verticalforms}', "");
    Expect(0, 65055, '\P{Is_Block=verticalforms}', "");
    Expect(1, 65055, '\P{^Is_Block=verticalforms}', "");
    Expect(0, 65056, '\p{Is_Block=verticalforms}', "");
    Expect(1, 65056, '\p{^Is_Block=verticalforms}', "");
    Expect(1, 65056, '\P{Is_Block=verticalforms}', "");
    Expect(0, 65056, '\P{^Is_Block=verticalforms}', "");
    Expect(1, 65055, '\p{Is_Block=--Vertical_Forms}', "");
    Expect(0, 65055, '\p{^Is_Block=--Vertical_Forms}', "");
    Expect(0, 65055, '\P{Is_Block=--Vertical_Forms}', "");
    Expect(1, 65055, '\P{^Is_Block=--Vertical_Forms}', "");
    Expect(0, 65056, '\p{Is_Block=--Vertical_Forms}', "");
    Expect(1, 65056, '\p{^Is_Block=--Vertical_Forms}', "");
    Expect(1, 65056, '\P{Is_Block=--Vertical_Forms}', "");
    Expect(0, 65056, '\P{^Is_Block=--Vertical_Forms}', "");
    Error('\p{Is_Blk:   _	vertical_FORMS/a/}');
    Error('\P{Is_Blk:   _	vertical_FORMS/a/}');
    Expect(1, 65055, '\p{Is_Blk:   verticalforms}', "");
    Expect(0, 65055, '\p{^Is_Blk:   verticalforms}', "");
    Expect(0, 65055, '\P{Is_Blk:   verticalforms}', "");
    Expect(1, 65055, '\P{^Is_Blk:   verticalforms}', "");
    Expect(0, 65056, '\p{Is_Blk:   verticalforms}', "");
    Expect(1, 65056, '\p{^Is_Blk:   verticalforms}', "");
    Expect(1, 65056, '\P{Is_Blk:   verticalforms}', "");
    Expect(0, 65056, '\P{^Is_Blk:   verticalforms}', "");
    Expect(1, 65055, '\p{Is_Blk=_	Vertical_FORMS}', "");
    Expect(0, 65055, '\p{^Is_Blk=_	Vertical_FORMS}', "");
    Expect(0, 65055, '\P{Is_Blk=_	Vertical_FORMS}', "");
    Expect(1, 65055, '\P{^Is_Blk=_	Vertical_FORMS}', "");
    Expect(0, 65056, '\p{Is_Blk=_	Vertical_FORMS}', "");
    Expect(1, 65056, '\p{^Is_Blk=_	Vertical_FORMS}', "");
    Expect(1, 65056, '\P{Is_Blk=_	Vertical_FORMS}', "");
    Expect(0, 65056, '\P{^Is_Blk=_	Vertical_FORMS}', "");
    Error('\p{Block=_Vithkuqi:=}');
    Error('\P{Block=_Vithkuqi:=}');
    Expect(1, 67007, '\p{Block=:\AVithkuqi\z:}', "");;
    Expect(0, 67008, '\p{Block=:\AVithkuqi\z:}', "");;
    Expect(1, 67007, '\p{Block=vithkuqi}', "");
    Expect(0, 67007, '\p{^Block=vithkuqi}', "");
    Expect(0, 67007, '\P{Block=vithkuqi}', "");
    Expect(1, 67007, '\P{^Block=vithkuqi}', "");
    Expect(0, 67008, '\p{Block=vithkuqi}', "");
    Expect(1, 67008, '\p{^Block=vithkuqi}', "");
    Expect(1, 67008, '\P{Block=vithkuqi}', "");
    Expect(0, 67008, '\P{^Block=vithkuqi}', "");
    Expect(1, 67007, '\p{Block=:\Avithkuqi\z:}', "");;
    Expect(0, 67008, '\p{Block=:\Avithkuqi\z:}', "");;
    Expect(1, 67007, '\p{Block=	Vithkuqi}', "");
    Expect(0, 67007, '\p{^Block=	Vithkuqi}', "");
    Expect(0, 67007, '\P{Block=	Vithkuqi}', "");
    Expect(1, 67007, '\P{^Block=	Vithkuqi}', "");
    Expect(0, 67008, '\p{Block=	Vithkuqi}', "");
    Expect(1, 67008, '\p{^Block=	Vithkuqi}', "");
    Expect(1, 67008, '\P{Block=	Vithkuqi}', "");
    Expect(0, 67008, '\P{^Block=	Vithkuqi}', "");
    Error('\p{Blk:   /a/_	Vithkuqi}');
    Error('\P{Blk:   /a/_	Vithkuqi}');
    Expect(1, 67007, '\p{Blk=:\AVithkuqi\z:}', "");;
    Expect(0, 67008, '\p{Blk=:\AVithkuqi\z:}', "");;
    Expect(1, 67007, '\p{Blk=vithkuqi}', "");
    Expect(0, 67007, '\p{^Blk=vithkuqi}', "");
    Expect(0, 67007, '\P{Blk=vithkuqi}', "");
    Expect(1, 67007, '\P{^Blk=vithkuqi}', "");
    Expect(0, 67008, '\p{Blk=vithkuqi}', "");
    Expect(1, 67008, '\p{^Blk=vithkuqi}', "");
    Expect(1, 67008, '\P{Blk=vithkuqi}', "");
    Expect(0, 67008, '\P{^Blk=vithkuqi}', "");
    Expect(1, 67007, '\p{Blk=:\Avithkuqi\z:}', "");;
    Expect(0, 67008, '\p{Blk=:\Avithkuqi\z:}', "");;
    Expect(1, 67007, '\p{Blk=VITHKUQI}', "");
    Expect(0, 67007, '\p{^Blk=VITHKUQI}', "");
    Expect(0, 67007, '\P{Blk=VITHKUQI}', "");
    Expect(1, 67007, '\P{^Blk=VITHKUQI}', "");
    Expect(0, 67008, '\p{Blk=VITHKUQI}', "");
    Expect(1, 67008, '\p{^Blk=VITHKUQI}', "");
    Expect(1, 67008, '\P{Blk=VITHKUQI}', "");
    Expect(0, 67008, '\P{^Blk=VITHKUQI}', "");
    Error('\p{Is_Block= /a/VITHKUQI}');
    Error('\P{Is_Block= /a/VITHKUQI}');
    Expect(1, 67007, '\p{Is_Block=vithkuqi}', "");
    Expect(0, 67007, '\p{^Is_Block=vithkuqi}', "");
    Expect(0, 67007, '\P{Is_Block=vithkuqi}', "");
    Expect(1, 67007, '\P{^Is_Block=vithkuqi}', "");
    Expect(0, 67008, '\p{Is_Block=vithkuqi}', "");
    Expect(1, 67008, '\p{^Is_Block=vithkuqi}', "");
    Expect(1, 67008, '\P{Is_Block=vithkuqi}', "");
    Expect(0, 67008, '\P{^Is_Block=vithkuqi}', "");
    Expect(1, 67007, '\p{Is_Block=  Vithkuqi}', "");
    Expect(0, 67007, '\p{^Is_Block=  Vithkuqi}', "");
    Expect(0, 67007, '\P{Is_Block=  Vithkuqi}', "");
    Expect(1, 67007, '\P{^Is_Block=  Vithkuqi}', "");
    Expect(0, 67008, '\p{Is_Block=  Vithkuqi}', "");
    Expect(1, 67008, '\p{^Is_Block=  Vithkuqi}', "");
    Expect(1, 67008, '\P{Is_Block=  Vithkuqi}', "");
    Expect(0, 67008, '\P{^Is_Block=  Vithkuqi}', "");
    Error('\p{Is_Blk=:= vithkuqi}');
    Error('\P{Is_Blk=:= vithkuqi}');
    Expect(1, 67007, '\p{Is_Blk=vithkuqi}', "");
    Expect(0, 67007, '\p{^Is_Blk=vithkuqi}', "");
    Expect(0, 67007, '\P{Is_Blk=vithkuqi}', "");
    Expect(1, 67007, '\P{^Is_Blk=vithkuqi}', "");
    Expect(0, 67008, '\p{Is_Blk=vithkuqi}', "");
    Expect(1, 67008, '\p{^Is_Blk=vithkuqi}', "");
    Expect(1, 67008, '\P{Is_Blk=vithkuqi}', "");
    Expect(0, 67008, '\P{^Is_Blk=vithkuqi}', "");
    Expect(1, 67007, '\p{Is_Blk=	_vithkuqi}', "");
    Expect(0, 67007, '\p{^Is_Blk=	_vithkuqi}', "");
    Expect(0, 67007, '\P{Is_Blk=	_vithkuqi}', "");
    Expect(1, 67007, '\P{^Is_Blk=	_vithkuqi}', "");
    Expect(0, 67008, '\p{Is_Blk=	_vithkuqi}', "");
    Expect(1, 67008, '\p{^Is_Blk=	_vithkuqi}', "");
    Expect(1, 67008, '\P{Is_Blk=	_vithkuqi}', "");
    Expect(0, 67008, '\P{^Is_Blk=	_vithkuqi}', "");
    Error('\p{Block:   :=-_Variation_Selectors}');
    Error('\P{Block:   :=-_Variation_Selectors}');
    Expect(1, 65039, '\p{Block=:\AVariation_Selectors\z:}', "");;
    Expect(0, 65040, '\p{Block=:\AVariation_Selectors\z:}', "");;
    Expect(1, 65039, '\p{Block=variationselectors}', "");
    Expect(0, 65039, '\p{^Block=variationselectors}', "");
    Expect(0, 65039, '\P{Block=variationselectors}', "");
    Expect(1, 65039, '\P{^Block=variationselectors}', "");
    Expect(0, 65040, '\p{Block=variationselectors}', "");
    Expect(1, 65040, '\p{^Block=variationselectors}', "");
    Expect(1, 65040, '\P{Block=variationselectors}', "");
    Expect(0, 65040, '\P{^Block=variationselectors}', "");
    Expect(1, 65039, '\p{Block=:\Avariationselectors\z:}', "");;
    Expect(0, 65040, '\p{Block=:\Avariationselectors\z:}', "");;
    Expect(1, 65039, '\p{Block=- Variation_selectors}', "");
    Expect(0, 65039, '\p{^Block=- Variation_selectors}', "");
    Expect(0, 65039, '\P{Block=- Variation_selectors}', "");
    Expect(1, 65039, '\P{^Block=- Variation_selectors}', "");
    Expect(0, 65040, '\p{Block=- Variation_selectors}', "");
    Expect(1, 65040, '\p{^Block=- Variation_selectors}', "");
    Expect(1, 65040, '\P{Block=- Variation_selectors}', "");
    Expect(0, 65040, '\P{^Block=- Variation_selectors}', "");
    Error('\p{Blk=	-vs/a/}');
    Error('\P{Blk=	-vs/a/}');
    Expect(1, 65039, '\p{Blk=:\AVS\z:}', "");;
    Expect(0, 65040, '\p{Blk=:\AVS\z:}', "");;
    Expect(1, 65039, '\p{Blk=vs}', "");
    Expect(0, 65039, '\p{^Blk=vs}', "");
    Expect(0, 65039, '\P{Blk=vs}', "");
    Expect(1, 65039, '\P{^Blk=vs}', "");
    Expect(0, 65040, '\p{Blk=vs}', "");
    Expect(1, 65040, '\p{^Blk=vs}', "");
    Expect(1, 65040, '\P{Blk=vs}', "");
    Expect(0, 65040, '\P{^Blk=vs}', "");
    Expect(1, 65039, '\p{Blk=:\Avs\z:}', "");;
    Expect(0, 65040, '\p{Blk=:\Avs\z:}', "");;
    Expect(1, 65039, '\p{Blk=-VS}', "");
    Expect(0, 65039, '\p{^Blk=-VS}', "");
    Expect(0, 65039, '\P{Blk=-VS}', "");
    Expect(1, 65039, '\P{^Blk=-VS}', "");
    Expect(0, 65040, '\p{Blk=-VS}', "");
    Expect(1, 65040, '\p{^Blk=-VS}', "");
    Expect(1, 65040, '\P{Blk=-VS}', "");
    Expect(0, 65040, '\P{^Blk=-VS}', "");
    Error('\p{Is_Block=:=_ variation_Selectors}');
    Error('\P{Is_Block=:=_ variation_Selectors}');
    Expect(1, 65039, '\p{Is_Block=variationselectors}', "");
    Expect(0, 65039, '\p{^Is_Block=variationselectors}', "");
    Expect(0, 65039, '\P{Is_Block=variationselectors}', "");
    Expect(1, 65039, '\P{^Is_Block=variationselectors}', "");
    Expect(0, 65040, '\p{Is_Block=variationselectors}', "");
    Expect(1, 65040, '\p{^Is_Block=variationselectors}', "");
    Expect(1, 65040, '\P{Is_Block=variationselectors}', "");
    Expect(0, 65040, '\P{^Is_Block=variationselectors}', "");
    Expect(1, 65039, '\p{Is_Block=	 Variation_Selectors}', "");
    Expect(0, 65039, '\p{^Is_Block=	 Variation_Selectors}', "");
    Expect(0, 65039, '\P{Is_Block=	 Variation_Selectors}', "");
    Expect(1, 65039, '\P{^Is_Block=	 Variation_Selectors}', "");
    Expect(0, 65040, '\p{Is_Block=	 Variation_Selectors}', "");
    Expect(1, 65040, '\p{^Is_Block=	 Variation_Selectors}', "");
    Expect(1, 65040, '\P{Is_Block=	 Variation_Selectors}', "");
    Expect(0, 65040, '\P{^Is_Block=	 Variation_Selectors}', "");
    Error('\p{Is_Blk= /a/VS}');
    Error('\P{Is_Blk= /a/VS}');
    Expect(1, 65039, '\p{Is_Blk=vs}', "");
    Expect(0, 65039, '\p{^Is_Blk=vs}', "");
    Expect(0, 65039, '\P{Is_Blk=vs}', "");
    Expect(1, 65039, '\P{^Is_Blk=vs}', "");
    Expect(0, 65040, '\p{Is_Blk=vs}', "");
    Expect(1, 65040, '\p{^Is_Blk=vs}', "");
    Expect(1, 65040, '\P{Is_Blk=vs}', "");
    Expect(0, 65040, '\P{^Is_Blk=vs}', "");
    Expect(1, 65039, '\p{Is_Blk=-	VS}', "");
    Expect(0, 65039, '\p{^Is_Blk=-	VS}', "");
    Expect(0, 65039, '\P{Is_Blk=-	VS}', "");
    Expect(1, 65039, '\P{^Is_Blk=-	VS}', "");
    Expect(0, 65040, '\p{Is_Blk=-	VS}', "");
    Expect(1, 65040, '\p{^Is_Blk=-	VS}', "");
    Expect(1, 65040, '\P{Is_Blk=-	VS}', "");
    Expect(0, 65040, '\P{^Is_Blk=-	VS}', "");
    Error('\p{Block= 	Variation_SELECTORS_Supplement/a/}');
    Error('\P{Block= 	Variation_SELECTORS_Supplement/a/}');
    Expect(1, 917999, '\p{Block=:\AVariation_Selectors_Supplement\z:}', "");;
    Expect(0, 918000, '\p{Block=:\AVariation_Selectors_Supplement\z:}', "");;
    Expect(1, 917999, '\p{Block=variationselectorssupplement}', "");
    Expect(0, 917999, '\p{^Block=variationselectorssupplement}', "");
    Expect(0, 917999, '\P{Block=variationselectorssupplement}', "");
    Expect(1, 917999, '\P{^Block=variationselectorssupplement}', "");
    Expect(0, 918000, '\p{Block=variationselectorssupplement}', "");
    Expect(1, 918000, '\p{^Block=variationselectorssupplement}', "");
    Expect(1, 918000, '\P{Block=variationselectorssupplement}', "");
    Expect(0, 918000, '\P{^Block=variationselectorssupplement}', "");
    Expect(1, 917999, '\p{Block=:\Avariationselectorssupplement\z:}', "");;
    Expect(0, 918000, '\p{Block=:\Avariationselectorssupplement\z:}', "");;
    Expect(1, 917999, '\p{Block=  variation_SELECTORS_Supplement}', "");
    Expect(0, 917999, '\p{^Block=  variation_SELECTORS_Supplement}', "");
    Expect(0, 917999, '\P{Block=  variation_SELECTORS_Supplement}', "");
    Expect(1, 917999, '\P{^Block=  variation_SELECTORS_Supplement}', "");
    Expect(0, 918000, '\p{Block=  variation_SELECTORS_Supplement}', "");
    Expect(1, 918000, '\p{^Block=  variation_SELECTORS_Supplement}', "");
    Expect(1, 918000, '\P{Block=  variation_SELECTORS_Supplement}', "");
    Expect(0, 918000, '\P{^Block=  variation_SELECTORS_Supplement}', "");
    Error('\p{Blk=_:=vs_sup}');
    Error('\P{Blk=_:=vs_sup}');
    Expect(1, 917999, '\p{Blk=:\AVS_Sup\z:}', "");;
    Expect(0, 918000, '\p{Blk=:\AVS_Sup\z:}', "");;
    Expect(1, 917999, '\p{Blk=vssup}', "");
    Expect(0, 917999, '\p{^Blk=vssup}', "");
    Expect(0, 917999, '\P{Blk=vssup}', "");
    Expect(1, 917999, '\P{^Blk=vssup}', "");
    Expect(0, 918000, '\p{Blk=vssup}', "");
    Expect(1, 918000, '\p{^Blk=vssup}', "");
    Expect(1, 918000, '\P{Blk=vssup}', "");
    Expect(0, 918000, '\P{^Blk=vssup}', "");
    Expect(1, 917999, '\p{Blk=:\Avssup\z:}', "");;
    Expect(0, 918000, '\p{Blk=:\Avssup\z:}', "");;
    Expect(1, 917999, '\p{Blk=		VS_sup}', "");
    Expect(0, 917999, '\p{^Blk=		VS_sup}', "");
    Expect(0, 917999, '\P{Blk=		VS_sup}', "");
    Expect(1, 917999, '\P{^Blk=		VS_sup}', "");
    Expect(0, 918000, '\p{Blk=		VS_sup}', "");
    Expect(1, 918000, '\p{^Blk=		VS_sup}', "");
    Expect(1, 918000, '\P{Blk=		VS_sup}', "");
    Expect(0, 918000, '\P{^Blk=		VS_sup}', "");
    Error('\p{Is_Block=:=	_Variation_Selectors_supplement}');
    Error('\P{Is_Block=:=	_Variation_Selectors_supplement}');
    Expect(1, 917999, '\p{Is_Block=variationselectorssupplement}', "");
    Expect(0, 917999, '\p{^Is_Block=variationselectorssupplement}', "");
    Expect(0, 917999, '\P{Is_Block=variationselectorssupplement}', "");
    Expect(1, 917999, '\P{^Is_Block=variationselectorssupplement}', "");
    Expect(0, 918000, '\p{Is_Block=variationselectorssupplement}', "");
    Expect(1, 918000, '\p{^Is_Block=variationselectorssupplement}', "");
    Expect(1, 918000, '\P{Is_Block=variationselectorssupplement}', "");
    Expect(0, 918000, '\P{^Is_Block=variationselectorssupplement}', "");
    Expect(1, 917999, '\p{Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Expect(0, 917999, '\p{^Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Expect(0, 917999, '\P{Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Expect(1, 917999, '\P{^Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Expect(0, 918000, '\p{Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Expect(1, 918000, '\p{^Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Expect(1, 918000, '\P{Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Expect(0, 918000, '\P{^Is_Block=_	Variation_Selectors_SUPPLEMENT}', "");
    Error('\p{Is_Blk=vs_sup/a/}');
    Error('\P{Is_Blk=vs_sup/a/}');
    Expect(1, 917999, '\p{Is_Blk=vssup}', "");
    Expect(0, 917999, '\p{^Is_Blk=vssup}', "");
    Expect(0, 917999, '\P{Is_Blk=vssup}', "");
    Expect(1, 917999, '\P{^Is_Blk=vssup}', "");
    Expect(0, 918000, '\p{Is_Blk=vssup}', "");
    Expect(1, 918000, '\p{^Is_Blk=vssup}', "");
    Expect(1, 918000, '\P{Is_Blk=vssup}', "");
    Expect(0, 918000, '\P{^Is_Blk=vssup}', "");
    Expect(1, 917999, '\p{Is_Blk= 	VS_Sup}', "");
    Expect(0, 917999, '\p{^Is_Blk= 	VS_Sup}', "");
    Expect(0, 917999, '\P{Is_Blk= 	VS_Sup}', "");
    Expect(1, 917999, '\P{^Is_Blk= 	VS_Sup}', "");
    Expect(0, 918000, '\p{Is_Blk= 	VS_Sup}', "");
    Expect(1, 918000, '\p{^Is_Blk= 	VS_Sup}', "");
    Expect(1, 918000, '\P{Is_Blk= 	VS_Sup}', "");
    Expect(0, 918000, '\P{^Is_Blk= 	VS_Sup}', "");
    Error('\p{Block=/a/wancho}');
    Error('\P{Block=/a/wancho}');
    Expect(1, 123647, '\p{Block=:\AWancho\z:}', "");;
    Expect(0, 123648, '\p{Block=:\AWancho\z:}', "");;
    Expect(1, 123647, '\p{Block=wancho}', "");
    Expect(0, 123647, '\p{^Block=wancho}', "");
    Expect(0, 123647, '\P{Block=wancho}', "");
    Expect(1, 123647, '\P{^Block=wancho}', "");
    Expect(0, 123648, '\p{Block=wancho}', "");
    Expect(1, 123648, '\p{^Block=wancho}', "");
    Expect(1, 123648, '\P{Block=wancho}', "");
    Expect(0, 123648, '\P{^Block=wancho}', "");
    Expect(1, 123647, '\p{Block=:\Awancho\z:}', "");;
    Expect(0, 123648, '\p{Block=:\Awancho\z:}', "");;
    Expect(1, 123647, '\p{Block:	Wancho}', "");
    Expect(0, 123647, '\p{^Block:	Wancho}', "");
    Expect(0, 123647, '\P{Block:	Wancho}', "");
    Expect(1, 123647, '\P{^Block:	Wancho}', "");
    Expect(0, 123648, '\p{Block:	Wancho}', "");
    Expect(1, 123648, '\p{^Block:	Wancho}', "");
    Expect(1, 123648, '\P{Block:	Wancho}', "");
    Expect(0, 123648, '\P{^Block:	Wancho}', "");
    Error('\p{Blk=	 WANCHO/a/}');
    Error('\P{Blk=	 WANCHO/a/}');
    Expect(1, 123647, '\p{Blk=:\AWancho\z:}', "");;
    Expect(0, 123648, '\p{Blk=:\AWancho\z:}', "");;
    Expect(1, 123647, '\p{Blk=wancho}', "");
    Expect(0, 123647, '\p{^Blk=wancho}', "");
    Expect(0, 123647, '\P{Blk=wancho}', "");
    Expect(1, 123647, '\P{^Blk=wancho}', "");
    Expect(0, 123648, '\p{Blk=wancho}', "");
    Expect(1, 123648, '\p{^Blk=wancho}', "");
    Expect(1, 123648, '\P{Blk=wancho}', "");
    Expect(0, 123648, '\P{^Blk=wancho}', "");
    Expect(1, 123647, '\p{Blk=:\Awancho\z:}', "");;
    Expect(0, 123648, '\p{Blk=:\Awancho\z:}', "");;
    Expect(1, 123647, '\p{Blk=_ Wancho}', "");
    Expect(0, 123647, '\p{^Blk=_ Wancho}', "");
    Expect(0, 123647, '\P{Blk=_ Wancho}', "");
    Expect(1, 123647, '\P{^Blk=_ Wancho}', "");
    Expect(0, 123648, '\p{Blk=_ Wancho}', "");
    Expect(1, 123648, '\p{^Blk=_ Wancho}', "");
    Expect(1, 123648, '\P{Blk=_ Wancho}', "");
    Expect(0, 123648, '\P{^Blk=_ Wancho}', "");
    Error('\p{Is_Block=_Wancho:=}');
    Error('\P{Is_Block=_Wancho:=}');
    Expect(1, 123647, '\p{Is_Block=wancho}', "");
    Expect(0, 123647, '\p{^Is_Block=wancho}', "");
    Expect(0, 123647, '\P{Is_Block=wancho}', "");
    Expect(1, 123647, '\P{^Is_Block=wancho}', "");
    Expect(0, 123648, '\p{Is_Block=wancho}', "");
    Expect(1, 123648, '\p{^Is_Block=wancho}', "");
    Expect(1, 123648, '\P{Is_Block=wancho}', "");
    Expect(0, 123648, '\P{^Is_Block=wancho}', "");
    Expect(1, 123647, '\p{Is_Block:	_WANCHO}', "");
    Expect(0, 123647, '\p{^Is_Block:	_WANCHO}', "");
    Expect(0, 123647, '\P{Is_Block:	_WANCHO}', "");
    Expect(1, 123647, '\P{^Is_Block:	_WANCHO}', "");
    Expect(0, 123648, '\p{Is_Block:	_WANCHO}', "");
    Expect(1, 123648, '\p{^Is_Block:	_WANCHO}', "");
    Expect(1, 123648, '\P{Is_Block:	_WANCHO}', "");
    Expect(0, 123648, '\P{^Is_Block:	_WANCHO}', "");
    Error('\p{Is_Blk=_:=Wancho}');
    Error('\P{Is_Blk=_:=Wancho}');
    Expect(1, 123647, '\p{Is_Blk=wancho}', "");
    Expect(0, 123647, '\p{^Is_Blk=wancho}', "");
    Expect(0, 123647, '\P{Is_Blk=wancho}', "");
    Expect(1, 123647, '\P{^Is_Blk=wancho}', "");
    Expect(0, 123648, '\p{Is_Blk=wancho}', "");
    Expect(1, 123648, '\p{^Is_Blk=wancho}', "");
    Expect(1, 123648, '\P{Is_Blk=wancho}', "");
    Expect(0, 123648, '\P{^Is_Blk=wancho}', "");
    Expect(1, 123647, '\p{Is_Blk= -Wancho}', "");
    Expect(0, 123647, '\p{^Is_Blk= -Wancho}', "");
    Expect(0, 123647, '\P{Is_Blk= -Wancho}', "");
    Expect(1, 123647, '\P{^Is_Blk= -Wancho}', "");
    Expect(0, 123648, '\p{Is_Blk= -Wancho}', "");
    Expect(1, 123648, '\p{^Is_Blk= -Wancho}', "");
    Expect(1, 123648, '\P{Is_Blk= -Wancho}', "");
    Expect(0, 123648, '\P{^Is_Blk= -Wancho}', "");
    Error('\p{Block= 	Warang_Citi:=}');
    Error('\P{Block= 	Warang_Citi:=}');
    Expect(1, 71935, '\p{Block=:\AWarang_Citi\z:}', "");;
    Expect(0, 71936, '\p{Block=:\AWarang_Citi\z:}', "");;
    Expect(1, 71935, '\p{Block=warangciti}', "");
    Expect(0, 71935, '\p{^Block=warangciti}', "");
    Expect(0, 71935, '\P{Block=warangciti}', "");
    Expect(1, 71935, '\P{^Block=warangciti}', "");
    Expect(0, 71936, '\p{Block=warangciti}', "");
    Expect(1, 71936, '\p{^Block=warangciti}', "");
    Expect(1, 71936, '\P{Block=warangciti}', "");
    Expect(0, 71936, '\P{^Block=warangciti}', "");
    Expect(1, 71935, '\p{Block=:\Awarangciti\z:}', "");;
    Expect(0, 71936, '\p{Block=:\Awarangciti\z:}', "");;
    Expect(1, 71935, '\p{Block= Warang_CITI}', "");
    Expect(0, 71935, '\p{^Block= Warang_CITI}', "");
    Expect(0, 71935, '\P{Block= Warang_CITI}', "");
    Expect(1, 71935, '\P{^Block= Warang_CITI}', "");
    Expect(0, 71936, '\p{Block= Warang_CITI}', "");
    Expect(1, 71936, '\p{^Block= Warang_CITI}', "");
    Expect(1, 71936, '\P{Block= Warang_CITI}', "");
    Expect(0, 71936, '\P{^Block= Warang_CITI}', "");
    Error('\p{Blk=:=	warang_citi}');
    Error('\P{Blk=:=	warang_citi}');
    Expect(1, 71935, '\p{Blk=:\AWarang_Citi\z:}', "");;
    Expect(0, 71936, '\p{Blk=:\AWarang_Citi\z:}', "");;
    Expect(1, 71935, '\p{Blk=warangciti}', "");
    Expect(0, 71935, '\p{^Blk=warangciti}', "");
    Expect(0, 71935, '\P{Blk=warangciti}', "");
    Expect(1, 71935, '\P{^Blk=warangciti}', "");
    Expect(0, 71936, '\p{Blk=warangciti}', "");
    Expect(1, 71936, '\p{^Blk=warangciti}', "");
    Expect(1, 71936, '\P{Blk=warangciti}', "");
    Expect(0, 71936, '\P{^Blk=warangciti}', "");
    Expect(1, 71935, '\p{Blk=:\Awarangciti\z:}', "");;
    Expect(0, 71936, '\p{Blk=:\Awarangciti\z:}', "");;
    Expect(1, 71935, '\p{Blk=	-Warang_Citi}', "");
    Expect(0, 71935, '\p{^Blk=	-Warang_Citi}', "");
    Expect(0, 71935, '\P{Blk=	-Warang_Citi}', "");
    Expect(1, 71935, '\P{^Blk=	-Warang_Citi}', "");
    Expect(0, 71936, '\p{Blk=	-Warang_Citi}', "");
    Expect(1, 71936, '\p{^Blk=	-Warang_Citi}', "");
    Expect(1, 71936, '\P{Blk=	-Warang_Citi}', "");
    Expect(0, 71936, '\P{^Blk=	-Warang_Citi}', "");
    Error('\p{Is_Block=:=	warang_Citi}');
    Error('\P{Is_Block=:=	warang_Citi}');
    Expect(1, 71935, '\p{Is_Block=warangciti}', "");
    Expect(0, 71935, '\p{^Is_Block=warangciti}', "");
    Expect(0, 71935, '\P{Is_Block=warangciti}', "");
    Expect(1, 71935, '\P{^Is_Block=warangciti}', "");
    Expect(0, 71936, '\p{Is_Block=warangciti}', "");
    Expect(1, 71936, '\p{^Is_Block=warangciti}', "");
    Expect(1, 71936, '\P{Is_Block=warangciti}', "");
    Expect(0, 71936, '\P{^Is_Block=warangciti}', "");
    Expect(1, 71935, '\p{Is_Block: WARANG_Citi}', "");
    Expect(0, 71935, '\p{^Is_Block: WARANG_Citi}', "");
    Expect(0, 71935, '\P{Is_Block: WARANG_Citi}', "");
    Expect(1, 71935, '\P{^Is_Block: WARANG_Citi}', "");
    Expect(0, 71936, '\p{Is_Block: WARANG_Citi}', "");
    Expect(1, 71936, '\p{^Is_Block: WARANG_Citi}', "");
    Expect(1, 71936, '\P{Is_Block: WARANG_Citi}', "");
    Expect(0, 71936, '\P{^Is_Block: WARANG_Citi}', "");
    Error('\p{Is_Blk= :=Warang_Citi}');
    Error('\P{Is_Blk= :=Warang_Citi}');
    Expect(1, 71935, '\p{Is_Blk=warangciti}', "");
    Expect(0, 71935, '\p{^Is_Blk=warangciti}', "");
    Expect(0, 71935, '\P{Is_Blk=warangciti}', "");
    Expect(1, 71935, '\P{^Is_Blk=warangciti}', "");
    Expect(0, 71936, '\p{Is_Blk=warangciti}', "");
    Expect(1, 71936, '\p{^Is_Blk=warangciti}', "");
    Expect(1, 71936, '\P{Is_Blk=warangciti}', "");
    Expect(0, 71936, '\P{^Is_Blk=warangciti}', "");
    Expect(1, 71935, '\p{Is_Blk=	-Warang_Citi}', "");
    Expect(0, 71935, '\p{^Is_Blk=	-Warang_Citi}', "");
    Expect(0, 71935, '\P{Is_Blk=	-Warang_Citi}', "");
    Expect(1, 71935, '\P{^Is_Blk=	-Warang_Citi}', "");
    Expect(0, 71936, '\p{Is_Blk=	-Warang_Citi}', "");
    Expect(1, 71936, '\p{^Is_Blk=	-Warang_Citi}', "");
    Expect(1, 71936, '\P{Is_Blk=	-Warang_Citi}', "");
    Expect(0, 71936, '\P{^Is_Blk=	-Warang_Citi}', "");
    Error('\p{Block=__Yezidi:=}');
    Error('\P{Block=__Yezidi:=}');
    Expect(1, 69311, '\p{Block=:\AYezidi\z:}', "");;
    Expect(0, 69312, '\p{Block=:\AYezidi\z:}', "");;
    Expect(1, 69311, '\p{Block=yezidi}', "");
    Expect(0, 69311, '\p{^Block=yezidi}', "");
    Expect(0, 69311, '\P{Block=yezidi}', "");
    Expect(1, 69311, '\P{^Block=yezidi}', "");
    Expect(0, 69312, '\p{Block=yezidi}', "");
    Expect(1, 69312, '\p{^Block=yezidi}', "");
    Expect(1, 69312, '\P{Block=yezidi}', "");
    Expect(0, 69312, '\P{^Block=yezidi}', "");
    Expect(1, 69311, '\p{Block=:\Ayezidi\z:}', "");;
    Expect(0, 69312, '\p{Block=:\Ayezidi\z:}', "");;
    Expect(1, 69311, '\p{Block=_-yezidi}', "");
    Expect(0, 69311, '\p{^Block=_-yezidi}', "");
    Expect(0, 69311, '\P{Block=_-yezidi}', "");
    Expect(1, 69311, '\P{^Block=_-yezidi}', "");
    Expect(0, 69312, '\p{Block=_-yezidi}', "");
    Expect(1, 69312, '\p{^Block=_-yezidi}', "");
    Expect(1, 69312, '\P{Block=_-yezidi}', "");
    Expect(0, 69312, '\P{^Block=_-yezidi}', "");
    Error('\p{Blk=/a/YEZIDI}');
    Error('\P{Blk=/a/YEZIDI}');
    Expect(1, 69311, '\p{Blk=:\AYezidi\z:}', "");;
    Expect(0, 69312, '\p{Blk=:\AYezidi\z:}', "");;
    Expect(1, 69311, '\p{Blk=yezidi}', "");
    Expect(0, 69311, '\p{^Blk=yezidi}', "");
    Expect(0, 69311, '\P{Blk=yezidi}', "");
    Expect(1, 69311, '\P{^Blk=yezidi}', "");
    Expect(0, 69312, '\p{Blk=yezidi}', "");
    Expect(1, 69312, '\p{^Blk=yezidi}', "");
    Expect(1, 69312, '\P{Blk=yezidi}', "");
    Expect(0, 69312, '\P{^Blk=yezidi}', "");
    Expect(1, 69311, '\p{Blk=:\Ayezidi\z:}', "");;
    Expect(0, 69312, '\p{Blk=:\Ayezidi\z:}', "");;
    Expect(1, 69311, '\p{Blk:	-YEZIDI}', "");
    Expect(0, 69311, '\p{^Blk:	-YEZIDI}', "");
    Expect(0, 69311, '\P{Blk:	-YEZIDI}', "");
    Expect(1, 69311, '\P{^Blk:	-YEZIDI}', "");
    Expect(0, 69312, '\p{Blk:	-YEZIDI}', "");
    Expect(1, 69312, '\p{^Blk:	-YEZIDI}', "");
    Expect(1, 69312, '\P{Blk:	-YEZIDI}', "");
    Expect(0, 69312, '\P{^Blk:	-YEZIDI}', "");
    Error('\p{Is_Block=:=_ yezidi}');
    Error('\P{Is_Block=:=_ yezidi}');
    Expect(1, 69311, '\p{Is_Block=yezidi}', "");
    Expect(0, 69311, '\p{^Is_Block=yezidi}', "");
    Expect(0, 69311, '\P{Is_Block=yezidi}', "");
    Expect(1, 69311, '\P{^Is_Block=yezidi}', "");
    Expect(0, 69312, '\p{Is_Block=yezidi}', "");
    Expect(1, 69312, '\p{^Is_Block=yezidi}', "");
    Expect(1, 69312, '\P{Is_Block=yezidi}', "");
    Expect(0, 69312, '\P{^Is_Block=yezidi}', "");
    Expect(1, 69311, '\p{Is_Block=_yezidi}', "");
    Expect(0, 69311, '\p{^Is_Block=_yezidi}', "");
    Expect(0, 69311, '\P{Is_Block=_yezidi}', "");
    Expect(1, 69311, '\P{^Is_Block=_yezidi}', "");
    Expect(0, 69312, '\p{Is_Block=_yezidi}', "");
    Expect(1, 69312, '\p{^Is_Block=_yezidi}', "");
    Expect(1, 69312, '\P{Is_Block=_yezidi}', "");
    Expect(0, 69312, '\P{^Is_Block=_yezidi}', "");
    Error('\p{Is_Blk=:=- YEZIDI}');
    Error('\P{Is_Blk=:=- YEZIDI}');
    Expect(1, 69311, '\p{Is_Blk=yezidi}', "");
    Expect(0, 69311, '\p{^Is_Blk=yezidi}', "");
    Expect(0, 69311, '\P{Is_Blk=yezidi}', "");
    Expect(1, 69311, '\P{^Is_Blk=yezidi}', "");
    Expect(0, 69312, '\p{Is_Blk=yezidi}', "");
    Expect(1, 69312, '\p{^Is_Blk=yezidi}', "");
    Expect(1, 69312, '\P{Is_Blk=yezidi}', "");
    Expect(0, 69312, '\P{^Is_Blk=yezidi}', "");
    Expect(1, 69311, '\p{Is_Blk:	--Yezidi}', "");
    Expect(0, 69311, '\p{^Is_Blk:	--Yezidi}', "");
    Expect(0, 69311, '\P{Is_Blk:	--Yezidi}', "");
    Expect(1, 69311, '\P{^Is_Blk:	--Yezidi}', "");
    Expect(0, 69312, '\p{Is_Blk:	--Yezidi}', "");
    Expect(1, 69312, '\p{^Is_Blk:	--Yezidi}', "");
    Expect(1, 69312, '\P{Is_Blk:	--Yezidi}', "");
    Expect(0, 69312, '\P{^Is_Blk:	--Yezidi}', "");
    Error('\p{Block=_/a/yi_RADICALS}');
    Error('\P{Block=_/a/yi_RADICALS}');
    Expect(1, 42191, '\p{Block=:\AYi_Radicals\z:}', "");;
    Expect(0, 42192, '\p{Block=:\AYi_Radicals\z:}', "");;
    Expect(1, 42191, '\p{Block=yiradicals}', "");
    Expect(0, 42191, '\p{^Block=yiradicals}', "");
    Expect(0, 42191, '\P{Block=yiradicals}', "");
    Expect(1, 42191, '\P{^Block=yiradicals}', "");
    Expect(0, 42192, '\p{Block=yiradicals}', "");
    Expect(1, 42192, '\p{^Block=yiradicals}', "");
    Expect(1, 42192, '\P{Block=yiradicals}', "");
    Expect(0, 42192, '\P{^Block=yiradicals}', "");
    Expect(1, 42191, '\p{Block=:\Ayiradicals\z:}', "");;
    Expect(0, 42192, '\p{Block=:\Ayiradicals\z:}', "");;
    Expect(1, 42191, '\p{Block:   -_Yi_Radicals}', "");
    Expect(0, 42191, '\p{^Block:   -_Yi_Radicals}', "");
    Expect(0, 42191, '\P{Block:   -_Yi_Radicals}', "");
    Expect(1, 42191, '\P{^Block:   -_Yi_Radicals}', "");
    Expect(0, 42192, '\p{Block:   -_Yi_Radicals}', "");
    Expect(1, 42192, '\p{^Block:   -_Yi_Radicals}', "");
    Expect(1, 42192, '\P{Block:   -_Yi_Radicals}', "");
    Expect(0, 42192, '\P{^Block:   -_Yi_Radicals}', "");
    Error('\p{Blk=:=	-YI_Radicals}');
    Error('\P{Blk=:=	-YI_Radicals}');
    Expect(1, 42191, '\p{Blk=:\AYi_Radicals\z:}', "");;
    Expect(0, 42192, '\p{Blk=:\AYi_Radicals\z:}', "");;
    Expect(1, 42191, '\p{Blk=yiradicals}', "");
    Expect(0, 42191, '\p{^Blk=yiradicals}', "");
    Expect(0, 42191, '\P{Blk=yiradicals}', "");
    Expect(1, 42191, '\P{^Blk=yiradicals}', "");
    Expect(0, 42192, '\p{Blk=yiradicals}', "");
    Expect(1, 42192, '\p{^Blk=yiradicals}', "");
    Expect(1, 42192, '\P{Blk=yiradicals}', "");
    Expect(0, 42192, '\P{^Blk=yiradicals}', "");
    Expect(1, 42191, '\p{Blk=:\Ayiradicals\z:}', "");;
    Expect(0, 42192, '\p{Blk=:\Ayiradicals\z:}', "");;
    Expect(1, 42191, '\p{Blk=	yi_Radicals}', "");
    Expect(0, 42191, '\p{^Blk=	yi_Radicals}', "");
    Expect(0, 42191, '\P{Blk=	yi_Radicals}', "");
    Expect(1, 42191, '\P{^Blk=	yi_Radicals}', "");
    Expect(0, 42192, '\p{Blk=	yi_Radicals}', "");
    Expect(1, 42192, '\p{^Blk=	yi_Radicals}', "");
    Expect(1, 42192, '\P{Blk=	yi_Radicals}', "");
    Expect(0, 42192, '\P{^Blk=	yi_Radicals}', "");
    Error('\p{Is_Block=/a/--Yi_Radicals}');
    Error('\P{Is_Block=/a/--Yi_Radicals}');
    Expect(1, 42191, '\p{Is_Block=yiradicals}', "");
    Expect(0, 42191, '\p{^Is_Block=yiradicals}', "");
    Expect(0, 42191, '\P{Is_Block=yiradicals}', "");
    Expect(1, 42191, '\P{^Is_Block=yiradicals}', "");
    Expect(0, 42192, '\p{Is_Block=yiradicals}', "");
    Expect(1, 42192, '\p{^Is_Block=yiradicals}', "");
    Expect(1, 42192, '\P{Is_Block=yiradicals}', "");
    Expect(0, 42192, '\P{^Is_Block=yiradicals}', "");
    Expect(1, 42191, '\p{Is_Block: --Yi_radicals}', "");
    Expect(0, 42191, '\p{^Is_Block: --Yi_radicals}', "");
    Expect(0, 42191, '\P{Is_Block: --Yi_radicals}', "");
    Expect(1, 42191, '\P{^Is_Block: --Yi_radicals}', "");
    Expect(0, 42192, '\p{Is_Block: --Yi_radicals}', "");
    Expect(1, 42192, '\p{^Is_Block: --Yi_radicals}', "");
    Expect(1, 42192, '\P{Is_Block: --Yi_radicals}', "");
    Expect(0, 42192, '\P{^Is_Block: --Yi_radicals}', "");
    Error('\p{Is_Blk=:=Yi_Radicals}');
    Error('\P{Is_Blk=:=Yi_Radicals}');
    Expect(1, 42191, '\p{Is_Blk=yiradicals}', "");
    Expect(0, 42191, '\p{^Is_Blk=yiradicals}', "");
    Expect(0, 42191, '\P{Is_Blk=yiradicals}', "");
    Expect(1, 42191, '\P{^Is_Blk=yiradicals}', "");
    Expect(0, 42192, '\p{Is_Blk=yiradicals}', "");
    Expect(1, 42192, '\p{^Is_Blk=yiradicals}', "");
    Expect(1, 42192, '\P{Is_Blk=yiradicals}', "");
    Expect(0, 42192, '\P{^Is_Blk=yiradicals}', "");
    Expect(1, 42191, '\p{Is_Blk=	 YI_RADICALS}', "");
    Expect(0, 42191, '\p{^Is_Blk=	 YI_RADICALS}', "");
    Expect(0, 42191, '\P{Is_Blk=	 YI_RADICALS}', "");
    Expect(1, 42191, '\P{^Is_Blk=	 YI_RADICALS}', "");
    Expect(0, 42192, '\p{Is_Blk=	 YI_RADICALS}', "");
    Expect(1, 42192, '\p{^Is_Blk=	 YI_RADICALS}', "");
    Expect(1, 42192, '\P{Is_Blk=	 YI_RADICALS}', "");
    Expect(0, 42192, '\P{^Is_Blk=	 YI_RADICALS}', "");
    Error('\p{Block=	yi_SYLLABLES:=}');
    Error('\P{Block=	yi_SYLLABLES:=}');
    Expect(1, 42127, '\p{Block=:\AYi_Syllables\z:}', "");;
    Expect(0, 42128, '\p{Block=:\AYi_Syllables\z:}', "");;
    Expect(1, 42127, '\p{Block=yisyllables}', "");
    Expect(0, 42127, '\p{^Block=yisyllables}', "");
    Expect(0, 42127, '\P{Block=yisyllables}', "");
    Expect(1, 42127, '\P{^Block=yisyllables}', "");
    Expect(0, 42128, '\p{Block=yisyllables}', "");
    Expect(1, 42128, '\p{^Block=yisyllables}', "");
    Expect(1, 42128, '\P{Block=yisyllables}', "");
    Expect(0, 42128, '\P{^Block=yisyllables}', "");
    Expect(1, 42127, '\p{Block=:\Ayisyllables\z:}', "");;
    Expect(0, 42128, '\p{Block=:\Ayisyllables\z:}', "");;
    Expect(1, 42127, '\p{Block=-Yi_syllables}', "");
    Expect(0, 42127, '\p{^Block=-Yi_syllables}', "");
    Expect(0, 42127, '\P{Block=-Yi_syllables}', "");
    Expect(1, 42127, '\P{^Block=-Yi_syllables}', "");
    Expect(0, 42128, '\p{Block=-Yi_syllables}', "");
    Expect(1, 42128, '\p{^Block=-Yi_syllables}', "");
    Expect(1, 42128, '\P{Block=-Yi_syllables}', "");
    Expect(0, 42128, '\P{^Block=-Yi_syllables}', "");
    Error('\p{Blk=_:=Yi_SYLLABLES}');
    Error('\P{Blk=_:=Yi_SYLLABLES}');
    Expect(1, 42127, '\p{Blk=:\AYi_Syllables\z:}', "");;
    Expect(0, 42128, '\p{Blk=:\AYi_Syllables\z:}', "");;
    Expect(1, 42127, '\p{Blk: yisyllables}', "");
    Expect(0, 42127, '\p{^Blk: yisyllables}', "");
    Expect(0, 42127, '\P{Blk: yisyllables}', "");
    Expect(1, 42127, '\P{^Blk: yisyllables}', "");
    Expect(0, 42128, '\p{Blk: yisyllables}', "");
    Expect(1, 42128, '\p{^Blk: yisyllables}', "");
    Expect(1, 42128, '\P{Blk: yisyllables}', "");
    Expect(0, 42128, '\P{^Blk: yisyllables}', "");
    Expect(1, 42127, '\p{Blk=:\Ayisyllables\z:}', "");;
    Expect(0, 42128, '\p{Blk=:\Ayisyllables\z:}', "");;
    Expect(1, 42127, '\p{Blk=_Yi_SYLLABLES}', "");
    Expect(0, 42127, '\p{^Blk=_Yi_SYLLABLES}', "");
    Expect(0, 42127, '\P{Blk=_Yi_SYLLABLES}', "");
    Expect(1, 42127, '\P{^Blk=_Yi_SYLLABLES}', "");
    Expect(0, 42128, '\p{Blk=_Yi_SYLLABLES}', "");
    Expect(1, 42128, '\p{^Blk=_Yi_SYLLABLES}', "");
    Expect(1, 42128, '\P{Blk=_Yi_SYLLABLES}', "");
    Expect(0, 42128, '\P{^Blk=_Yi_SYLLABLES}', "");
    Error('\p{Is_Block=:=-	Yi_Syllables}');
    Error('\P{Is_Block=:=-	Yi_Syllables}');
    Expect(1, 42127, '\p{Is_Block=yisyllables}', "");
    Expect(0, 42127, '\p{^Is_Block=yisyllables}', "");
    Expect(0, 42127, '\P{Is_Block=yisyllables}', "");
    Expect(1, 42127, '\P{^Is_Block=yisyllables}', "");
    Expect(0, 42128, '\p{Is_Block=yisyllables}', "");
    Expect(1, 42128, '\p{^Is_Block=yisyllables}', "");
    Expect(1, 42128, '\P{Is_Block=yisyllables}', "");
    Expect(0, 42128, '\P{^Is_Block=yisyllables}', "");
    Expect(1, 42127, '\p{Is_Block= yi_Syllables}', "");
    Expect(0, 42127, '\p{^Is_Block= yi_Syllables}', "");
    Expect(0, 42127, '\P{Is_Block= yi_Syllables}', "");
    Expect(1, 42127, '\P{^Is_Block= yi_Syllables}', "");
    Expect(0, 42128, '\p{Is_Block= yi_Syllables}', "");
    Expect(1, 42128, '\p{^Is_Block= yi_Syllables}', "");
    Expect(1, 42128, '\P{Is_Block= yi_Syllables}', "");
    Expect(0, 42128, '\P{^Is_Block= yi_Syllables}', "");
    Error('\p{Is_Blk=_:=Yi_Syllables}');
    Error('\P{Is_Blk=_:=Yi_Syllables}');
    Expect(1, 42127, '\p{Is_Blk:	yisyllables}', "");
    Expect(0, 42127, '\p{^Is_Blk:	yisyllables}', "");
    Expect(0, 42127, '\P{Is_Blk:	yisyllables}', "");
    Expect(1, 42127, '\P{^Is_Blk:	yisyllables}', "");
    Expect(0, 42128, '\p{Is_Blk:	yisyllables}', "");
    Expect(1, 42128, '\p{^Is_Blk:	yisyllables}', "");
    Expect(1, 42128, '\P{Is_Blk:	yisyllables}', "");
    Expect(0, 42128, '\P{^Is_Blk:	yisyllables}', "");
    Expect(1, 42127, '\p{Is_Blk= YI_Syllables}', "");
    Expect(0, 42127, '\p{^Is_Blk= YI_Syllables}', "");
    Expect(0, 42127, '\P{Is_Blk= YI_Syllables}', "");
    Expect(1, 42127, '\P{^Is_Blk= YI_Syllables}', "");
    Expect(0, 42128, '\p{Is_Blk= YI_Syllables}', "");
    Expect(1, 42128, '\p{^Is_Blk= YI_Syllables}', "");
    Expect(1, 42128, '\P{Is_Blk= YI_Syllables}', "");
    Expect(0, 42128, '\P{^Is_Blk= YI_Syllables}', "");
    Error('\p{Block:   := YIJING_hexagram_Symbols}');
    Error('\P{Block:   := YIJING_hexagram_Symbols}');
    Expect(1, 19967, '\p{Block=:\AYijing_Hexagram_Symbols\z:}', "");;
    Expect(0, 19968, '\p{Block=:\AYijing_Hexagram_Symbols\z:}', "");;
    Expect(1, 19967, '\p{Block=yijinghexagramsymbols}', "");
    Expect(0, 19967, '\p{^Block=yijinghexagramsymbols}', "");
    Expect(0, 19967, '\P{Block=yijinghexagramsymbols}', "");
    Expect(1, 19967, '\P{^Block=yijinghexagramsymbols}', "");
    Expect(0, 19968, '\p{Block=yijinghexagramsymbols}', "");
    Expect(1, 19968, '\p{^Block=yijinghexagramsymbols}', "");
    Expect(1, 19968, '\P{Block=yijinghexagramsymbols}', "");
    Expect(0, 19968, '\P{^Block=yijinghexagramsymbols}', "");
    Expect(1, 19967, '\p{Block=:\Ayijinghexagramsymbols\z:}', "");;
    Expect(0, 19968, '\p{Block=:\Ayijinghexagramsymbols\z:}', "");;
    Expect(1, 19967, '\p{Block=--Yijing_Hexagram_Symbols}', "");
    Expect(0, 19967, '\p{^Block=--Yijing_Hexagram_Symbols}', "");
    Expect(0, 19967, '\P{Block=--Yijing_Hexagram_Symbols}', "");
    Expect(1, 19967, '\P{^Block=--Yijing_Hexagram_Symbols}', "");
    Expect(0, 19968, '\p{Block=--Yijing_Hexagram_Symbols}', "");
    Expect(1, 19968, '\p{^Block=--Yijing_Hexagram_Symbols}', "");
    Expect(1, 19968, '\P{Block=--Yijing_Hexagram_Symbols}', "");
    Expect(0, 19968, '\P{^Block=--Yijing_Hexagram_Symbols}', "");
    Error('\p{Blk=:=Yijing}');
    Error('\P{Blk=:=Yijing}');
    Expect(1, 19967, '\p{Blk=:\AYijing\z:}', "");;
    Expect(0, 19968, '\p{Blk=:\AYijing\z:}', "");;
    Expect(1, 19967, '\p{Blk:	yijing}', "");
    Expect(0, 19967, '\p{^Blk:	yijing}', "");
    Expect(0, 19967, '\P{Blk:	yijing}', "");
    Expect(1, 19967, '\P{^Blk:	yijing}', "");
    Expect(0, 19968, '\p{Blk:	yijing}', "");
    Expect(1, 19968, '\p{^Blk:	yijing}', "");
    Expect(1, 19968, '\P{Blk:	yijing}', "");
    Expect(0, 19968, '\P{^Blk:	yijing}', "");
    Expect(1, 19967, '\p{Blk=:\Ayijing\z:}', "");;
    Expect(0, 19968, '\p{Blk=:\Ayijing\z:}', "");;
    Expect(1, 19967, '\p{Blk= YIJING}', "");
    Expect(0, 19967, '\p{^Blk= YIJING}', "");
    Expect(0, 19967, '\P{Blk= YIJING}', "");
    Expect(1, 19967, '\P{^Blk= YIJING}', "");
    Expect(0, 19968, '\p{Blk= YIJING}', "");
    Expect(1, 19968, '\p{^Blk= YIJING}', "");
    Expect(1, 19968, '\P{Blk= YIJING}', "");
    Expect(0, 19968, '\P{^Blk= YIJING}', "");
    Error('\p{Is_Block=:=  YIJING_Hexagram_SYMBOLS}');
    Error('\P{Is_Block=:=  YIJING_Hexagram_SYMBOLS}');
    Expect(1, 19967, '\p{Is_Block=yijinghexagramsymbols}', "");
    Expect(0, 19967, '\p{^Is_Block=yijinghexagramsymbols}', "");
    Expect(0, 19967, '\P{Is_Block=yijinghexagramsymbols}', "");
    Expect(1, 19967, '\P{^Is_Block=yijinghexagramsymbols}', "");
    Expect(0, 19968, '\p{Is_Block=yijinghexagramsymbols}', "");
    Expect(1, 19968, '\p{^Is_Block=yijinghexagramsymbols}', "");
    Expect(1, 19968, '\P{Is_Block=yijinghexagramsymbols}', "");
    Expect(0, 19968, '\P{^Is_Block=yijinghexagramsymbols}', "");
    Expect(1, 19967, '\p{Is_Block=_yijing_hexagram_Symbols}', "");
    Expect(0, 19967, '\p{^Is_Block=_yijing_hexagram_Symbols}', "");
    Expect(0, 19967, '\P{Is_Block=_yijing_hexagram_Symbols}', "");
    Expect(1, 19967, '\P{^Is_Block=_yijing_hexagram_Symbols}', "");
    Expect(0, 19968, '\p{Is_Block=_yijing_hexagram_Symbols}', "");
    Expect(1, 19968, '\p{^Is_Block=_yijing_hexagram_Symbols}', "");
    Expect(1, 19968, '\P{Is_Block=_yijing_hexagram_Symbols}', "");
    Expect(0, 19968, '\P{^Is_Block=_yijing_hexagram_Symbols}', "");
    Error('\p{Is_Blk=:= 	yijing}');
    Error('\P{Is_Blk=:= 	yijing}');
    Expect(1, 19967, '\p{Is_Blk=yijing}', "");
    Expect(0, 19967, '\p{^Is_Blk=yijing}', "");
    Expect(0, 19967, '\P{Is_Blk=yijing}', "");
    Expect(1, 19967, '\P{^Is_Blk=yijing}', "");
    Expect(0, 19968, '\p{Is_Blk=yijing}', "");
    Expect(1, 19968, '\p{^Is_Blk=yijing}', "");
    Expect(1, 19968, '\P{Is_Blk=yijing}', "");
    Expect(0, 19968, '\P{^Is_Blk=yijing}', "");
    Expect(1, 19967, '\p{Is_Blk: -	yijing}', "");
    Expect(0, 19967, '\p{^Is_Blk: -	yijing}', "");
    Expect(0, 19967, '\P{Is_Blk: -	yijing}', "");
    Expect(1, 19967, '\P{^Is_Blk: -	yijing}', "");
    Expect(0, 19968, '\p{Is_Blk: -	yijing}', "");
    Expect(1, 19968, '\p{^Is_Blk: -	yijing}', "");
    Expect(1, 19968, '\P{Is_Blk: -	yijing}', "");
    Expect(0, 19968, '\P{^Is_Blk: -	yijing}', "");
    Error('\p{Block= _Zanabazar_SQUARE/a/}');
    Error('\P{Block= _Zanabazar_SQUARE/a/}');
    Expect(1, 72271, '\p{Block=:\AZanabazar_Square\z:}', "");;
    Expect(0, 72272, '\p{Block=:\AZanabazar_Square\z:}', "");;
    Expect(1, 72271, '\p{Block=zanabazarsquare}', "");
    Expect(0, 72271, '\p{^Block=zanabazarsquare}', "");
    Expect(0, 72271, '\P{Block=zanabazarsquare}', "");
    Expect(1, 72271, '\P{^Block=zanabazarsquare}', "");
    Expect(0, 72272, '\p{Block=zanabazarsquare}', "");
    Expect(1, 72272, '\p{^Block=zanabazarsquare}', "");
    Expect(1, 72272, '\P{Block=zanabazarsquare}', "");
    Expect(0, 72272, '\P{^Block=zanabazarsquare}', "");
    Expect(1, 72271, '\p{Block=:\Azanabazarsquare\z:}', "");;
    Expect(0, 72272, '\p{Block=:\Azanabazarsquare\z:}', "");;
    Expect(1, 72271, '\p{Block= -ZANABAZAR_square}', "");
    Expect(0, 72271, '\p{^Block= -ZANABAZAR_square}', "");
    Expect(0, 72271, '\P{Block= -ZANABAZAR_square}', "");
    Expect(1, 72271, '\P{^Block= -ZANABAZAR_square}', "");
    Expect(0, 72272, '\p{Block= -ZANABAZAR_square}', "");
    Expect(1, 72272, '\p{^Block= -ZANABAZAR_square}', "");
    Expect(1, 72272, '\P{Block= -ZANABAZAR_square}', "");
    Expect(0, 72272, '\P{^Block= -ZANABAZAR_square}', "");
    Error('\p{Blk=/a/		zanabazar_square}');
    Error('\P{Blk=/a/		zanabazar_square}');
    Expect(1, 72271, '\p{Blk=:\AZanabazar_Square\z:}', "");;
    Expect(0, 72272, '\p{Blk=:\AZanabazar_Square\z:}', "");;
    Expect(1, 72271, '\p{Blk=zanabazarsquare}', "");
    Expect(0, 72271, '\p{^Blk=zanabazarsquare}', "");
    Expect(0, 72271, '\P{Blk=zanabazarsquare}', "");
    Expect(1, 72271, '\P{^Blk=zanabazarsquare}', "");
    Expect(0, 72272, '\p{Blk=zanabazarsquare}', "");
    Expect(1, 72272, '\p{^Blk=zanabazarsquare}', "");
    Expect(1, 72272, '\P{Blk=zanabazarsquare}', "");
    Expect(0, 72272, '\P{^Blk=zanabazarsquare}', "");
    Expect(1, 72271, '\p{Blk=:\Azanabazarsquare\z:}', "");;
    Expect(0, 72272, '\p{Blk=:\Azanabazarsquare\z:}', "");;
    Expect(1, 72271, '\p{Blk=-zanabazar_Square}', "");
    Expect(0, 72271, '\p{^Blk=-zanabazar_Square}', "");
    Expect(0, 72271, '\P{Blk=-zanabazar_Square}', "");
    Expect(1, 72271, '\P{^Blk=-zanabazar_Square}', "");
    Expect(0, 72272, '\p{Blk=-zanabazar_Square}', "");
    Expect(1, 72272, '\p{^Blk=-zanabazar_Square}', "");
    Expect(1, 72272, '\P{Blk=-zanabazar_Square}', "");
    Expect(0, 72272, '\P{^Blk=-zanabazar_Square}', "");
    Error('\p{Is_Block=-:=ZANABAZAR_SQUARE}');
    Error('\P{Is_Block=-:=ZANABAZAR_SQUARE}');
    Expect(1, 72271, '\p{Is_Block=zanabazarsquare}', "");
    Expect(0, 72271, '\p{^Is_Block=zanabazarsquare}', "");
    Expect(0, 72271, '\P{Is_Block=zanabazarsquare}', "");
    Expect(1, 72271, '\P{^Is_Block=zanabazarsquare}', "");
    Expect(0, 72272, '\p{Is_Block=zanabazarsquare}', "");
    Expect(1, 72272, '\p{^Is_Block=zanabazarsquare}', "");
    Expect(1, 72272, '\P{Is_Block=zanabazarsquare}', "");
    Expect(0, 72272, '\P{^Is_Block=zanabazarsquare}', "");
    Expect(1, 72271, '\p{Is_Block= zanabazar_SQUARE}', "");
    Expect(0, 72271, '\p{^Is_Block= zanabazar_SQUARE}', "");
    Expect(0, 72271, '\P{Is_Block= zanabazar_SQUARE}', "");
    Expect(1, 72271, '\P{^Is_Block= zanabazar_SQUARE}', "");
    Expect(0, 72272, '\p{Is_Block= zanabazar_SQUARE}', "");
    Expect(1, 72272, '\p{^Is_Block= zanabazar_SQUARE}', "");
    Expect(1, 72272, '\P{Is_Block= zanabazar_SQUARE}', "");
    Expect(0, 72272, '\P{^Is_Block= zanabazar_SQUARE}', "");
    Error('\p{Is_Blk=	Zanabazar_square/a/}');
    Error('\P{Is_Blk=	Zanabazar_square/a/}');
    Expect(1, 72271, '\p{Is_Blk:   zanabazarsquare}', "");
    Expect(0, 72271, '\p{^Is_Blk:   zanabazarsquare}', "");
    Expect(0, 72271, '\P{Is_Blk:   zanabazarsquare}', "");
    Expect(1, 72271, '\P{^Is_Blk:   zanabazarsquare}', "");
    Expect(0, 72272, '\p{Is_Blk:   zanabazarsquare}', "");
    Expect(1, 72272, '\p{^Is_Blk:   zanabazarsquare}', "");
    Expect(1, 72272, '\P{Is_Blk:   zanabazarsquare}', "");
    Expect(0, 72272, '\P{^Is_Blk:   zanabazarsquare}', "");
    Expect(1, 72271, '\p{Is_Blk=--Zanabazar_Square}', "");
    Expect(0, 72271, '\p{^Is_Blk=--Zanabazar_Square}', "");
    Expect(0, 72271, '\P{Is_Blk=--Zanabazar_Square}', "");
    Expect(1, 72271, '\P{^Is_Blk=--Zanabazar_Square}', "");
    Expect(0, 72272, '\p{Is_Blk=--Zanabazar_Square}', "");
    Expect(1, 72272, '\p{^Is_Blk=--Zanabazar_Square}', "");
    Expect(1, 72272, '\P{Is_Blk=--Zanabazar_Square}', "");
    Expect(0, 72272, '\P{^Is_Blk=--Zanabazar_Square}', "");
    Error('\p{Block=:=_Znamenny_Musical_Notation}');
    Error('\P{Block=:=_Znamenny_Musical_Notation}');
    Expect(1, 118735, '\p{Block=:\AZnamenny_Musical_Notation\z:}', "");;
    Expect(0, 118736, '\p{Block=:\AZnamenny_Musical_Notation\z:}', "");;
    Expect(1, 118735, '\p{Block=znamennymusicalnotation}', "");
    Expect(0, 118735, '\p{^Block=znamennymusicalnotation}', "");
    Expect(0, 118735, '\P{Block=znamennymusicalnotation}', "");
    Expect(1, 118735, '\P{^Block=znamennymusicalnotation}', "");
    Expect(0, 118736, '\p{Block=znamennymusicalnotation}', "");
    Expect(1, 118736, '\p{^Block=znamennymusicalnotation}', "");
    Expect(1, 118736, '\P{Block=znamennymusicalnotation}', "");
    Expect(0, 118736, '\P{^Block=znamennymusicalnotation}', "");
    Expect(1, 118735, '\p{Block=:\Aznamennymusicalnotation\z:}', "");;
    Expect(0, 118736, '\p{Block=:\Aznamennymusicalnotation\z:}', "");;
    Expect(1, 118735, '\p{Block=-	Znamenny_Musical_notation}', "");
    Expect(0, 118735, '\p{^Block=-	Znamenny_Musical_notation}', "");
    Expect(0, 118735, '\P{Block=-	Znamenny_Musical_notation}', "");
    Expect(1, 118735, '\P{^Block=-	Znamenny_Musical_notation}', "");
    Expect(0, 118736, '\p{Block=-	Znamenny_Musical_notation}', "");
    Expect(1, 118736, '\p{^Block=-	Znamenny_Musical_notation}', "");
    Expect(1, 118736, '\P{Block=-	Znamenny_Musical_notation}', "");
    Expect(0, 118736, '\P{^Block=-	Znamenny_Musical_notation}', "");
    Error('\p{Blk=:=	Znamenny_Music}');
    Error('\P{Blk=:=	Znamenny_Music}');
    Expect(1, 118735, '\p{Blk=:\AZnamenny_Music\z:}', "");;
    Expect(0, 118736, '\p{Blk=:\AZnamenny_Music\z:}', "");;
    Expect(1, 118735, '\p{Blk=znamennymusic}', "");
    Expect(0, 118735, '\p{^Blk=znamennymusic}', "");
    Expect(0, 118735, '\P{Blk=znamennymusic}', "");
    Expect(1, 118735, '\P{^Blk=znamennymusic}', "");
    Expect(0, 118736, '\p{Blk=znamennymusic}', "");
    Expect(1, 118736, '\p{^Blk=znamennymusic}', "");
    Expect(1, 118736, '\P{Blk=znamennymusic}', "");
    Expect(0, 118736, '\P{^Blk=znamennymusic}', "");
    Expect(1, 118735, '\p{Blk=:\Aznamennymusic\z:}', "");;
    Expect(0, 118736, '\p{Blk=:\Aznamennymusic\z:}', "");;
    Expect(1, 118735, '\p{Blk=	znamenny_Music}', "");
    Expect(0, 118735, '\p{^Blk=	znamenny_Music}', "");
    Expect(0, 118735, '\P{Blk=	znamenny_Music}', "");
    Expect(1, 118735, '\P{^Blk=	znamenny_Music}', "");
    Expect(0, 118736, '\p{Blk=	znamenny_Music}', "");
    Expect(1, 118736, '\p{^Blk=	znamenny_Music}', "");
    Expect(1, 118736, '\P{Blk=	znamenny_Music}', "");
    Expect(0, 118736, '\P{^Blk=	znamenny_Music}', "");
    Error('\p{Is_Block=/a/znamenny_musical_notation}');
    Error('\P{Is_Block=/a/znamenny_musical_notation}');
    Expect(1, 118735, '\p{Is_Block:	znamennymusicalnotation}', "");
    Expect(0, 118735, '\p{^Is_Block:	znamennymusicalnotation}', "");
    Expect(0, 118735, '\P{Is_Block:	znamennymusicalnotation}', "");
    Expect(1, 118735, '\P{^Is_Block:	znamennymusicalnotation}', "");
    Expect(0, 118736, '\p{Is_Block:	znamennymusicalnotation}', "");
    Expect(1, 118736, '\p{^Is_Block:	znamennymusicalnotation}', "");
    Expect(1, 118736, '\P{Is_Block:	znamennymusicalnotation}', "");
    Expect(0, 118736, '\P{^Is_Block:	znamennymusicalnotation}', "");
    Expect(1, 118735, '\p{Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Expect(0, 118735, '\p{^Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Expect(0, 118735, '\P{Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Expect(1, 118735, '\P{^Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Expect(0, 118736, '\p{Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Expect(1, 118736, '\p{^Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Expect(1, 118736, '\P{Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Expect(0, 118736, '\P{^Is_Block=_ZNAMENNY_MUSICAL_NOTATION}', "");
    Error('\p{Is_Blk= Znamenny_Music/a/}');
    Error('\P{Is_Blk= Znamenny_Music/a/}');
    Expect(1, 118735, '\p{Is_Blk=znamennymusic}', "");
    Expect(0, 118735, '\p{^Is_Blk=znamennymusic}', "");
    Expect(0, 118735, '\P{Is_Blk=znamennymusic}', "");
    Expect(1, 118735, '\P{^Is_Blk=znamennymusic}', "");
    Expect(0, 118736, '\p{Is_Blk=znamennymusic}', "");
    Expect(1, 118736, '\p{^Is_Blk=znamennymusic}', "");
    Expect(1, 118736, '\P{Is_Blk=znamennymusic}', "");
    Expect(0, 118736, '\P{^Is_Blk=znamennymusic}', "");
    Expect(1, 118735, '\p{Is_Blk=_-Znamenny_Music}', "");
    Expect(0, 118735, '\p{^Is_Blk=_-Znamenny_Music}', "");
    Expect(0, 118735, '\P{Is_Blk=_-Znamenny_Music}', "");
    Expect(1, 118735, '\P{^Is_Blk=_-Znamenny_Music}', "");
    Expect(0, 118736, '\p{Is_Blk=_-Znamenny_Music}', "");
    Expect(1, 118736, '\p{^Is_Blk=_-Znamenny_Music}', "");
    Expect(1, 118736, '\P{Is_Blk=_-Znamenny_Music}', "");
    Expect(0, 118736, '\P{^Is_Blk=_-Znamenny_Music}', "");
    Error('\p{bidimirroringglyph}');
    Error('\P{bidimirroringglyph}');
    Error('\p{bmg}');
    Error('\P{bmg}');
    Error('\p{bidipairedbracket}');
    Error('\P{bidipairedbracket}');
    Error('\p{bpb}');
    Error('\P{bpb}');
    Error('\p{bidipairedbrackettype}');
    Error('\P{bidipairedbrackettype}');
    Error('\p{bpt}');
    Error('\P{bpt}');
    Error('\p{Bidi_Paired_Bracket_Type=	CLOSE/a/}');
    Error('\P{Bidi_Paired_Bracket_Type=	CLOSE/a/}');
    Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type=:\AClose\z:}', "");;
    Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type=:\AClose\z:}', "");;
    Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65379, '\p{^Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65379, '\P{Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65379, '\P{^Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65380, '\p{^Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65380, '\P{Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65380, '\P{^Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type=:\Aclose\z:}', "");;
    Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type=:\Aclose\z:}', "");;
    Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type= close}', "");
    Expect(0, 65379, '\p{^Bidi_Paired_Bracket_Type= close}', "");
    Expect(0, 65379, '\P{Bidi_Paired_Bracket_Type= close}', "");
    Expect(1, 65379, '\P{^Bidi_Paired_Bracket_Type= close}', "");
    Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type= close}', "");
    Expect(1, 65380, '\p{^Bidi_Paired_Bracket_Type= close}', "");
    Expect(1, 65380, '\P{Bidi_Paired_Bracket_Type= close}', "");
    Expect(0, 65380, '\P{^Bidi_Paired_Bracket_Type= close}', "");
    Error('\p{Bpt=:=-_C}');
    Error('\P{Bpt=:=-_C}');
    Expect(1, 65379, '\p{Bpt=:\AC\z:}', "");;
    Expect(0, 65380, '\p{Bpt=:\AC\z:}', "");;
    Expect(1, 65379, '\p{Bpt=c}', "");
    Expect(0, 65379, '\p{^Bpt=c}', "");
    Expect(0, 65379, '\P{Bpt=c}', "");
    Expect(1, 65379, '\P{^Bpt=c}', "");
    Expect(0, 65380, '\p{Bpt=c}', "");
    Expect(1, 65380, '\p{^Bpt=c}', "");
    Expect(1, 65380, '\P{Bpt=c}', "");
    Expect(0, 65380, '\P{^Bpt=c}', "");
    Expect(1, 65379, '\p{Bpt=:\Ac\z:}', "");;
    Expect(0, 65380, '\p{Bpt=:\Ac\z:}', "");;
    Expect(1, 65379, '\p{Bpt=_C}', "");
    Expect(0, 65379, '\p{^Bpt=_C}', "");
    Expect(0, 65379, '\P{Bpt=_C}', "");
    Expect(1, 65379, '\P{^Bpt=_C}', "");
    Expect(0, 65380, '\p{Bpt=_C}', "");
    Expect(1, 65380, '\p{^Bpt=_C}', "");
    Expect(1, 65380, '\P{Bpt=_C}', "");
    Expect(0, 65380, '\P{^Bpt=_C}', "");
    Error('\p{Is_Bidi_Paired_Bracket_Type=/a/CLOSE}');
    Error('\P{Is_Bidi_Paired_Bracket_Type=/a/CLOSE}');
    Expect(1, 65379, '\p{Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65379, '\P{Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65380, '\p{Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65380, '\p{^Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65380, '\P{Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(0, 65380, '\P{^Is_Bidi_Paired_Bracket_Type=close}', "");
    Expect(1, 65379, '\p{Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Expect(0, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Expect(0, 65379, '\P{Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Expect(1, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Expect(0, 65380, '\p{Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Expect(1, 65380, '\p{^Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Expect(1, 65380, '\P{Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Expect(0, 65380, '\P{^Is_Bidi_Paired_Bracket_Type=  CLOSE}', "");
    Error('\p{Is_Bpt:   _-C:=}');
    Error('\P{Is_Bpt:   _-C:=}');
    Expect(1, 65379, '\p{Is_Bpt=c}', "");
    Expect(0, 65379, '\p{^Is_Bpt=c}', "");
    Expect(0, 65379, '\P{Is_Bpt=c}', "");
    Expect(1, 65379, '\P{^Is_Bpt=c}', "");
    Expect(0, 65380, '\p{Is_Bpt=c}', "");
    Expect(1, 65380, '\p{^Is_Bpt=c}', "");
    Expect(1, 65380, '\P{Is_Bpt=c}', "");
    Expect(0, 65380, '\P{^Is_Bpt=c}', "");
    Expect(1, 65379, '\p{Is_Bpt=	 C}', "");
    Expect(0, 65379, '\p{^Is_Bpt=	 C}', "");
    Expect(0, 65379, '\P{Is_Bpt=	 C}', "");
    Expect(1, 65379, '\P{^Is_Bpt=	 C}', "");
    Expect(0, 65380, '\p{Is_Bpt=	 C}', "");
    Expect(1, 65380, '\p{^Is_Bpt=	 C}', "");
    Expect(1, 65380, '\P{Is_Bpt=	 C}', "");
    Expect(0, 65380, '\P{^Is_Bpt=	 C}', "");
    Error('\p{Bidi_Paired_Bracket_Type=_none/a/}');
    Error('\P{Bidi_Paired_Bracket_Type=_none/a/}');
    Expect(1, 65380, '\p{Bidi_Paired_Bracket_Type=:\ANone\z:}', "");;
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=:\ANone\z:}', "");;
    Expect(1, 65380, '\p{Bidi_Paired_Bracket_Type=none}', "");
    Expect(0, 65380, '\p{^Bidi_Paired_Bracket_Type=none}', "");
    Expect(0, 65380, '\P{Bidi_Paired_Bracket_Type=none}', "");
    Expect(1, 65380, '\P{^Bidi_Paired_Bracket_Type=none}', "");
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=none}', "");
    Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=none}', "");
    Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=none}', "");
    Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=none}', "");
    Expect(1, 65380, '\p{Bidi_Paired_Bracket_Type=:\Anone\z:}', "");;
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=:\Anone\z:}', "");;
    Expect(1, 65380, '\p{Bidi_Paired_Bracket_Type=		NONE}', "");
    Expect(0, 65380, '\p{^Bidi_Paired_Bracket_Type=		NONE}', "");
    Expect(0, 65380, '\P{Bidi_Paired_Bracket_Type=		NONE}', "");
    Expect(1, 65380, '\P{^Bidi_Paired_Bracket_Type=		NONE}', "");
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=		NONE}', "");
    Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=		NONE}', "");
    Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=		NONE}', "");
    Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=		NONE}', "");
    Error('\p{Bpt=-:=n}');
    Error('\P{Bpt=-:=n}');
    Expect(1, 65380, '\p{Bpt=:\AN\z:}', "");;
    Expect(0, 65379, '\p{Bpt=:\AN\z:}', "");;
    Expect(1, 65380, '\p{Bpt=n}', "");
    Expect(0, 65380, '\p{^Bpt=n}', "");
    Expect(0, 65380, '\P{Bpt=n}', "");
    Expect(1, 65380, '\P{^Bpt=n}', "");
    Expect(0, 65379, '\p{Bpt=n}', "");
    Expect(1, 65379, '\p{^Bpt=n}', "");
    Expect(1, 65379, '\P{Bpt=n}', "");
    Expect(0, 65379, '\P{^Bpt=n}', "");
    Expect(1, 65380, '\p{Bpt=:\An\z:}', "");;
    Expect(0, 65379, '\p{Bpt=:\An\z:}', "");;
    Expect(1, 65380, '\p{Bpt=- N}', "");
    Expect(0, 65380, '\p{^Bpt=- N}', "");
    Expect(0, 65380, '\P{Bpt=- N}', "");
    Expect(1, 65380, '\P{^Bpt=- N}', "");
    Expect(0, 65379, '\p{Bpt=- N}', "");
    Expect(1, 65379, '\p{^Bpt=- N}', "");
    Expect(1, 65379, '\P{Bpt=- N}', "");
    Expect(0, 65379, '\P{^Bpt=- N}', "");
    Error('\p{Is_Bidi_Paired_Bracket_Type=	/a/None}');
    Error('\P{Is_Bidi_Paired_Bracket_Type=	/a/None}');
    Expect(1, 65380, '\p{Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(0, 65380, '\p{^Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(0, 65380, '\P{Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(1, 65380, '\P{^Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type:	none}', "");
    Expect(1, 65380, '\p{Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Expect(0, 65380, '\p{^Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Expect(0, 65380, '\P{Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Expect(1, 65380, '\P{^Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=_NONE}', "");
    Error('\p{Is_Bpt=-/a/N}');
    Error('\P{Is_Bpt=-/a/N}');
    Expect(1, 65380, '\p{Is_Bpt=n}', "");
    Expect(0, 65380, '\p{^Is_Bpt=n}', "");
    Expect(0, 65380, '\P{Is_Bpt=n}', "");
    Expect(1, 65380, '\P{^Is_Bpt=n}', "");
    Expect(0, 65379, '\p{Is_Bpt=n}', "");
    Expect(1, 65379, '\p{^Is_Bpt=n}', "");
    Expect(1, 65379, '\P{Is_Bpt=n}', "");
    Expect(0, 65379, '\P{^Is_Bpt=n}', "");
    Expect(1, 65380, '\p{Is_Bpt=--N}', "");
    Expect(0, 65380, '\p{^Is_Bpt=--N}', "");
    Expect(0, 65380, '\P{Is_Bpt=--N}', "");
    Expect(1, 65380, '\P{^Is_Bpt=--N}', "");
    Expect(0, 65379, '\p{Is_Bpt=--N}', "");
    Expect(1, 65379, '\p{^Is_Bpt=--N}', "");
    Expect(1, 65379, '\P{Is_Bpt=--N}', "");
    Expect(0, 65379, '\P{^Is_Bpt=--N}', "");
    Error('\p{Bidi_Paired_Bracket_Type=	:=Open}');
    Error('\P{Bidi_Paired_Bracket_Type=	:=Open}');
    Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=:\AOpen\z:}', "");;
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=:\AOpen\z:}', "");;
    Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65378, '\p{^Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65378, '\P{Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65378, '\P{^Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=:\Aopen\z:}', "");;
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=:\Aopen\z:}', "");;
    Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=Open}', "");
    Expect(0, 65378, '\p{^Bidi_Paired_Bracket_Type=Open}', "");
    Expect(0, 65378, '\P{Bidi_Paired_Bracket_Type=Open}', "");
    Expect(1, 65378, '\P{^Bidi_Paired_Bracket_Type=Open}', "");
    Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=Open}', "");
    Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=Open}', "");
    Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=Open}', "");
    Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=Open}', "");
    Error('\p{Bpt=:=_-o}');
    Error('\P{Bpt=:=_-o}');
    Expect(1, 65378, '\p{Bpt=:\AO\z:}', "");;
    Expect(0, 65379, '\p{Bpt=:\AO\z:}', "");;
    Expect(1, 65378, '\p{Bpt=o}', "");
    Expect(0, 65378, '\p{^Bpt=o}', "");
    Expect(0, 65378, '\P{Bpt=o}', "");
    Expect(1, 65378, '\P{^Bpt=o}', "");
    Expect(0, 65379, '\p{Bpt=o}', "");
    Expect(1, 65379, '\p{^Bpt=o}', "");
    Expect(1, 65379, '\P{Bpt=o}', "");
    Expect(0, 65379, '\P{^Bpt=o}', "");
    Expect(1, 65378, '\p{Bpt=:\Ao\z:}', "");;
    Expect(0, 65379, '\p{Bpt=:\Ao\z:}', "");;
    Expect(1, 65378, '\p{Bpt=O}', "");
    Expect(0, 65378, '\p{^Bpt=O}', "");
    Expect(0, 65378, '\P{Bpt=O}', "");
    Expect(1, 65378, '\P{^Bpt=O}', "");
    Expect(0, 65379, '\p{Bpt=O}', "");
    Expect(1, 65379, '\p{^Bpt=O}', "");
    Expect(1, 65379, '\P{Bpt=O}', "");
    Expect(0, 65379, '\P{^Bpt=O}', "");
    Error('\p{Is_Bidi_Paired_Bracket_Type=/a/_open}');
    Error('\P{Is_Bidi_Paired_Bracket_Type=/a/_open}');
    Expect(1, 65378, '\p{Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65378, '\p{^Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65378, '\P{Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65378, '\P{^Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=open}', "");
    Expect(1, 65378, '\p{Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Expect(0, 65378, '\p{^Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Expect(0, 65378, '\P{Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Expect(1, 65378, '\P{^Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type= -Open}', "");
    Error('\p{Is_Bpt=	O:=}');
    Error('\P{Is_Bpt=	O:=}');
    Expect(1, 65378, '\p{Is_Bpt:   o}', "");
    Expect(0, 65378, '\p{^Is_Bpt:   o}', "");
    Expect(0, 65378, '\P{Is_Bpt:   o}', "");
    Expect(1, 65378, '\P{^Is_Bpt:   o}', "");
    Expect(0, 65379, '\p{Is_Bpt:   o}', "");
    Expect(1, 65379, '\p{^Is_Bpt:   o}', "");
    Expect(1, 65379, '\P{Is_Bpt:   o}', "");
    Expect(0, 65379, '\P{^Is_Bpt:   o}', "");
    Expect(1, 65378, '\p{Is_Bpt=	O}', "");
    Expect(0, 65378, '\p{^Is_Bpt=	O}', "");
    Expect(0, 65378, '\P{Is_Bpt=	O}', "");
    Expect(1, 65378, '\P{^Is_Bpt=	O}', "");
    Expect(0, 65379, '\p{Is_Bpt=	O}', "");
    Expect(1, 65379, '\p{^Is_Bpt=	O}', "");
    Expect(1, 65379, '\P{Is_Bpt=	O}', "");
    Expect(0, 65379, '\P{^Is_Bpt=	O}', "");
    Error('\p{Cased=_	No/a/}');
    Error('\P{Cased=_	No/a/}');
    Expect(1, 127370, '\p{Cased=:\ANo\z:}', "");;
    Expect(0, 127369, '\p{Cased=:\ANo\z:}', "");;
    Expect(1, 127370, '\p{Cased=no}', "");
    Expect(0, 127370, '\p{^Cased=no}', "");
    Expect(0, 127370, '\P{Cased=no}', "");
    Expect(1, 127370, '\P{^Cased=no}', "");
    Expect(0, 127369, '\p{Cased=no}', "");
    Expect(1, 127369, '\p{^Cased=no}', "");
    Expect(1, 127369, '\P{Cased=no}', "");
    Expect(0, 127369, '\P{^Cased=no}', "");
    Expect(1, 127370, '\p{Cased=:\Ano\z:}', "");;
    Expect(0, 127369, '\p{Cased=:\Ano\z:}', "");;
    Expect(1, 127370, '\p{Cased=	No}', "");
    Expect(0, 127370, '\p{^Cased=	No}', "");
    Expect(0, 127370, '\P{Cased=	No}', "");
    Expect(1, 127370, '\P{^Cased=	No}', "");
    Expect(0, 127369, '\p{Cased=	No}', "");
    Expect(1, 127369, '\p{^Cased=	No}', "");
    Expect(1, 127369, '\P{Cased=	No}', "");
    Expect(0, 127369, '\P{^Cased=	No}', "");
    Error('\p{Is_Cased=_n/a/}');
    Error('\P{Is_Cased=_n/a/}');
    Expect(1, 127370, '\p{Is_Cased=n}', "");
    Expect(0, 127370, '\p{^Is_Cased=n}', "");
    Expect(0, 127370, '\P{Is_Cased=n}', "");
    Expect(1, 127370, '\P{^Is_Cased=n}', "");
    Expect(0, 127369, '\p{Is_Cased=n}', "");
    Expect(1, 127369, '\p{^Is_Cased=n}', "");
    Expect(1, 127369, '\P{Is_Cased=n}', "");
    Expect(0, 127369, '\P{^Is_Cased=n}', "");
    Expect(1, 127370, '\p{Is_Cased= N}', "");
    Expect(0, 127370, '\p{^Is_Cased= N}', "");
    Expect(0, 127370, '\P{Is_Cased= N}', "");
    Expect(1, 127370, '\P{^Is_Cased= N}', "");
    Expect(0, 127369, '\p{Is_Cased= N}', "");
    Expect(1, 127369, '\p{^Is_Cased= N}', "");
    Expect(1, 127369, '\P{Is_Cased= N}', "");
    Expect(0, 127369, '\P{^Is_Cased= N}', "");
    Error('\p{Cased=-/a/F}');
    Error('\P{Cased=-/a/F}');
    Expect(1, 127370, '\p{Cased=:\AF\z:}', "");;
    Expect(0, 127369, '\p{Cased=:\AF\z:}', "");;
    Expect(1, 127370, '\p{Cased=f}', "");
    Expect(0, 127370, '\p{^Cased=f}', "");
    Expect(0, 127370, '\P{Cased=f}', "");
    Expect(1, 127370, '\P{^Cased=f}', "");
    Expect(0, 127369, '\p{Cased=f}', "");
    Expect(1, 127369, '\p{^Cased=f}', "");
    Expect(1, 127369, '\P{Cased=f}', "");
    Expect(0, 127369, '\P{^Cased=f}', "");
    Expect(1, 127370, '\p{Cased=:\Af\z:}', "");;
    Expect(0, 127369, '\p{Cased=:\Af\z:}', "");;
    Expect(1, 127370, '\p{Cased:-_f}', "");
    Expect(0, 127370, '\p{^Cased:-_f}', "");
    Expect(0, 127370, '\P{Cased:-_f}', "");
    Expect(1, 127370, '\P{^Cased:-_f}', "");
    Expect(0, 127369, '\p{Cased:-_f}', "");
    Expect(1, 127369, '\p{^Cased:-_f}', "");
    Expect(1, 127369, '\P{Cased:-_f}', "");
    Expect(0, 127369, '\P{^Cased:-_f}', "");
    Error('\p{Is_Cased=/a/False}');
    Error('\P{Is_Cased=/a/False}');
    Expect(1, 127370, '\p{Is_Cased=false}', "");
    Expect(0, 127370, '\p{^Is_Cased=false}', "");
    Expect(0, 127370, '\P{Is_Cased=false}', "");
    Expect(1, 127370, '\P{^Is_Cased=false}', "");
    Expect(0, 127369, '\p{Is_Cased=false}', "");
    Expect(1, 127369, '\p{^Is_Cased=false}', "");
    Expect(1, 127369, '\P{Is_Cased=false}', "");
    Expect(0, 127369, '\P{^Is_Cased=false}', "");
    Expect(1, 127370, '\p{Is_Cased= False}', "");
    Expect(0, 127370, '\p{^Is_Cased= False}', "");
    Expect(0, 127370, '\P{Is_Cased= False}', "");
    Expect(1, 127370, '\P{^Is_Cased= False}', "");
    Expect(0, 127369, '\p{Is_Cased= False}', "");
    Expect(1, 127369, '\p{^Is_Cased= False}', "");
    Expect(1, 127369, '\P{Is_Cased= False}', "");
    Expect(0, 127369, '\P{^Is_Cased= False}', "");
    Error('\p{Cased= /a/Yes}');
    Error('\P{Cased= /a/Yes}');
    Expect(1, 127369, '\p{Cased=:\AYes\z:}', "");;
    Expect(0, 127370, '\p{Cased=:\AYes\z:}', "");;
    Expect(1, 127369, '\p{Cased=yes}', "");
    Expect(0, 127369, '\p{^Cased=yes}', "");
    Expect(0, 127369, '\P{Cased=yes}', "");
    Expect(1, 127369, '\P{^Cased=yes}', "");
    Expect(0, 127370, '\p{Cased=yes}', "");
    Expect(1, 127370, '\p{^Cased=yes}', "");
    Expect(1, 127370, '\P{Cased=yes}', "");
    Expect(0, 127370, '\P{^Cased=yes}', "");
    Expect(1, 127369, '\p{Cased=:\Ayes\z:}', "");;
    Expect(0, 127370, '\p{Cased=:\Ayes\z:}', "");;
    Expect(1, 127369, '\p{Cased=_Yes}', "");
    Expect(0, 127369, '\p{^Cased=_Yes}', "");
    Expect(0, 127369, '\P{Cased=_Yes}', "");
    Expect(1, 127369, '\P{^Cased=_Yes}', "");
    Expect(0, 127370, '\p{Cased=_Yes}', "");
    Expect(1, 127370, '\p{^Cased=_Yes}', "");
    Expect(1, 127370, '\P{Cased=_Yes}', "");
    Expect(0, 127370, '\P{^Cased=_Yes}', "");
    Error('\p{Is_Cased=	_y/a/}');
    Error('\P{Is_Cased=	_y/a/}');
    Expect(1, 127369, '\p{Is_Cased=y}', "");
    Expect(0, 127369, '\p{^Is_Cased=y}', "");
    Expect(0, 127369, '\P{Is_Cased=y}', "");
    Expect(1, 127369, '\P{^Is_Cased=y}', "");
    Expect(0, 127370, '\p{Is_Cased=y}', "");
    Expect(1, 127370, '\p{^Is_Cased=y}', "");
    Expect(1, 127370, '\P{Is_Cased=y}', "");
    Expect(0, 127370, '\P{^Is_Cased=y}', "");
    Expect(1, 127369, '\p{Is_Cased=-Y}', "");
    Expect(0, 127369, '\p{^Is_Cased=-Y}', "");
    Expect(0, 127369, '\P{Is_Cased=-Y}', "");
    Expect(1, 127369, '\P{^Is_Cased=-Y}', "");
    Expect(0, 127370, '\p{Is_Cased=-Y}', "");
    Expect(1, 127370, '\p{^Is_Cased=-Y}', "");
    Expect(1, 127370, '\P{Is_Cased=-Y}', "");
    Expect(0, 127370, '\P{^Is_Cased=-Y}', "");
    Error('\p{Cased= :=T}');
    Error('\P{Cased= :=T}');
    Expect(1, 127369, '\p{Cased=:\AT\z:}', "");;
    Expect(0, 127370, '\p{Cased=:\AT\z:}', "");;
    Expect(1, 127369, '\p{Cased=t}', "");
    Expect(0, 127369, '\p{^Cased=t}', "");
    Expect(0, 127369, '\P{Cased=t}', "");
    Expect(1, 127369, '\P{^Cased=t}', "");
    Expect(0, 127370, '\p{Cased=t}', "");
    Expect(1, 127370, '\p{^Cased=t}', "");
    Expect(1, 127370, '\P{Cased=t}', "");
    Expect(0, 127370, '\P{^Cased=t}', "");
    Expect(1, 127369, '\p{Cased=:\At\z:}', "");;
    Expect(0, 127370, '\p{Cased=:\At\z:}', "");;
    Expect(1, 127369, '\p{Cased=_ T}', "");
    Expect(0, 127369, '\p{^Cased=_ T}', "");
    Expect(0, 127369, '\P{Cased=_ T}', "");
    Expect(1, 127369, '\P{^Cased=_ T}', "");
    Expect(0, 127370, '\p{Cased=_ T}', "");
    Expect(1, 127370, '\p{^Cased=_ T}', "");
    Expect(1, 127370, '\P{Cased=_ T}', "");
    Expect(0, 127370, '\P{^Cased=_ T}', "");
    Error('\p{Is_Cased=:=-	True}');
    Error('\P{Is_Cased=:=-	True}');
    Expect(1, 127369, '\p{Is_Cased=true}', "");
    Expect(0, 127369, '\p{^Is_Cased=true}', "");
    Expect(0, 127369, '\P{Is_Cased=true}', "");
    Expect(1, 127369, '\P{^Is_Cased=true}', "");
    Expect(0, 127370, '\p{Is_Cased=true}', "");
    Expect(1, 127370, '\p{^Is_Cased=true}', "");
    Expect(1, 127370, '\P{Is_Cased=true}', "");
    Expect(0, 127370, '\P{^Is_Cased=true}', "");
    Expect(1, 127369, '\p{Is_Cased=		True}', "");
    Expect(0, 127369, '\p{^Is_Cased=		True}', "");
    Expect(0, 127369, '\P{Is_Cased=		True}', "");
    Expect(1, 127369, '\P{^Is_Cased=		True}', "");
    Expect(0, 127370, '\p{Is_Cased=		True}', "");
    Expect(1, 127370, '\p{^Is_Cased=		True}', "");
    Expect(1, 127370, '\P{Is_Cased=		True}', "");
    Expect(0, 127370, '\P{^Is_Cased=		True}', "");
    Error('\p{canonicalcombiningclass}');
    Error('\P{canonicalcombiningclass}');
    Error('\p{ccc}');
    Error('\P{ccc}');
    Error('\p{Canonical_Combining_Class=-ABOVE/a/}');
    Error('\P{Canonical_Combining_Class=-ABOVE/a/}');
    Expect(1, 125257, '\p{Canonical_Combining_Class=:\AAbove\z:}', "");;
    Expect(0, 125258, '\p{Canonical_Combining_Class=:\AAbove\z:}', "");;
    Expect(1, 125257, '\p{Canonical_Combining_Class=above}', "");
    Expect(0, 125257, '\p{^Canonical_Combining_Class=above}', "");
    Expect(0, 125257, '\P{Canonical_Combining_Class=above}', "");
    Expect(1, 125257, '\P{^Canonical_Combining_Class=above}', "");
    Expect(0, 125258, '\p{Canonical_Combining_Class=above}', "");
    Expect(1, 125258, '\p{^Canonical_Combining_Class=above}', "");
    Expect(1, 125258, '\P{Canonical_Combining_Class=above}', "");
    Expect(0, 125258, '\P{^Canonical_Combining_Class=above}', "");
    Expect(1, 125257, '\p{Canonical_Combining_Class=:\Aabove\z:}', "");;
    Expect(0, 125258, '\p{Canonical_Combining_Class=:\Aabove\z:}', "");;
    Expect(1, 125257, '\p{Canonical_Combining_Class=_Above}', "");
    Expect(0, 125257, '\p{^Canonical_Combining_Class=_Above}', "");
    Expect(0, 125257, '\P{Canonical_Combining_Class=_Above}', "");
    Expect(1, 125257, '\P{^Canonical_Combining_Class=_Above}', "");
    Expect(0, 125258, '\p{Canonical_Combining_Class=_Above}', "");
    Expect(1, 125258, '\p{^Canonical_Combining_Class=_Above}', "");
    Expect(1, 125258, '\P{Canonical_Combining_Class=_Above}', "");
    Expect(0, 125258, '\P{^Canonical_Combining_Class=_Above}', "");
    Error('\p{Ccc= :=A}');
    Error('\P{Ccc= :=A}');
    Expect(1, 125257, '\p{Ccc=:\AA\z:}', "");;
    Expect(0, 125258, '\p{Ccc=:\AA\z:}', "");;
    Expect(1, 125257, '\p{Ccc=a}', "");
    Expect(0, 125257, '\p{^Ccc=a}', "");
    Expect(0, 125257, '\P{Ccc=a}', "");
    Expect(1, 125257, '\P{^Ccc=a}', "");
    Expect(0, 125258, '\p{Ccc=a}', "");
    Expect(1, 125258, '\p{^Ccc=a}', "");
    Expect(1, 125258, '\P{Ccc=a}', "");
    Expect(0, 125258, '\P{^Ccc=a}', "");
    Expect(1, 125257, '\p{Ccc=:\Aa\z:}', "");;
    Expect(0, 125258, '\p{Ccc=:\Aa\z:}', "");;
    Expect(1, 125257, '\p{Ccc=_	A}', "");
    Expect(0, 125257, '\p{^Ccc=_	A}', "");
    Expect(0, 125257, '\P{Ccc=_	A}', "");
    Expect(1, 125257, '\P{^Ccc=_	A}', "");
    Expect(0, 125258, '\p{Ccc=_	A}', "");
    Expect(1, 125258, '\p{^Ccc=_	A}', "");
    Expect(1, 125258, '\P{Ccc=_	A}', "");
    Expect(0, 125258, '\P{^Ccc=_	A}', "");
    Error('\p{Is_Canonical_Combining_Class:   /a/-_+0_0_0_0_0_230}');
    Error('\P{Is_Canonical_Combining_Class:   /a/-_+0_0_0_0_0_230}');
    Expect(1, 125257, '\p{Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Expect(0, 125257, '\p{^Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Expect(0, 125257, '\P{Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Expect(1, 125257, '\P{^Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Expect(0, 125258, '\p{Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Expect(1, 125258, '\p{^Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Expect(1, 125258, '\P{Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Expect(0, 125258, '\P{^Is_Canonical_Combining_Class=+0000_0002_30}', "");
    Error('\p{Is_Ccc=  Above/a/}');
    Error('\P{Is_Ccc=  Above/a/}');
    Expect(1, 125257, '\p{Is_Ccc=above}', "");
    Expect(0, 125257, '\p{^Is_Ccc=above}', "");
    Expect(0, 125257, '\P{Is_Ccc=above}', "");
    Expect(1, 125257, '\P{^Is_Ccc=above}', "");
    Expect(0, 125258, '\p{Is_Ccc=above}', "");
    Expect(1, 125258, '\p{^Is_Ccc=above}', "");
    Expect(1, 125258, '\P{Is_Ccc=above}', "");
    Expect(0, 125258, '\P{^Is_Ccc=above}', "");
    Expect(1, 125257, '\p{Is_Ccc:_above}', "");
    Expect(0, 125257, '\p{^Is_Ccc:_above}', "");
    Expect(0, 125257, '\P{Is_Ccc:_above}', "");
    Expect(1, 125257, '\P{^Is_Ccc:_above}', "");
    Expect(0, 125258, '\p{Is_Ccc:_above}', "");
    Expect(1, 125258, '\p{^Is_Ccc:_above}', "");
    Expect(1, 125258, '\P{Is_Ccc:_above}', "");
    Expect(0, 125258, '\P{^Is_Ccc:_above}', "");
    Error('\p{Canonical_Combining_Class=-:=above_Left}');
    Error('\P{Canonical_Combining_Class=-:=above_Left}');
    Expect(1, 12331, '\p{Canonical_Combining_Class=:\AAbove_Left\z:}', "");;
    Expect(0, 12332, '\p{Canonical_Combining_Class=:\AAbove_Left\z:}', "");;
    Expect(1, 12331, '\p{Canonical_Combining_Class=aboveleft}', "");
    Expect(0, 12331, '\p{^Canonical_Combining_Class=aboveleft}', "");
    Expect(0, 12331, '\P{Canonical_Combining_Class=aboveleft}', "");
    Expect(1, 12331, '\P{^Canonical_Combining_Class=aboveleft}', "");
    Expect(0, 12332, '\p{Canonical_Combining_Class=aboveleft}', "");
    Expect(1, 12332, '\p{^Canonical_Combining_Class=aboveleft}', "");
    Expect(1, 12332, '\P{Canonical_Combining_Class=aboveleft}', "");
    Expect(0, 12332, '\P{^Canonical_Combining_Class=aboveleft}', "");
    Expect(1, 12331, '\p{Canonical_Combining_Class=:\Aaboveleft\z:}', "");;
    Expect(0, 12332, '\p{Canonical_Combining_Class=:\Aaboveleft\z:}', "");;
    Expect(1, 12331, '\p{Canonical_Combining_Class=	_Above_LEFT}', "");
    Expect(0, 12331, '\p{^Canonical_Combining_Class=	_Above_LEFT}', "");
    Expect(0, 12331, '\P{Canonical_Combining_Class=	_Above_LEFT}', "");
    Expect(1, 12331, '\P{^Canonical_Combining_Class=	_Above_LEFT}', "");
    Expect(0, 12332, '\p{Canonical_Combining_Class=	_Above_LEFT}', "");
    Expect(1, 12332, '\p{^Canonical_Combining_Class=	_Above_LEFT}', "");
    Expect(1, 12332, '\P{Canonical_Combining_Class=	_Above_LEFT}', "");
    Expect(0, 12332, '\P{^Canonical_Combining_Class=	_Above_LEFT}', "");
    Error('\p{Ccc=- al:=}');
    Error('\P{Ccc=- al:=}');
    Expect(1, 12331, '\p{Ccc=:\AAL\z:}', "");;
    Expect(0, 12332, '\p{Ccc=:\AAL\z:}', "");;
    Expect(1, 12331, '\p{Ccc=al}', "");
    Expect(0, 12331, '\p{^Ccc=al}', "");
    Expect(0, 12331, '\P{Ccc=al}', "");
    Expect(1, 12331, '\P{^Ccc=al}', "");
    Expect(0, 12332, '\p{Ccc=al}', "");
    Expect(1, 12332, '\p{^Ccc=al}', "");
    Expect(1, 12332, '\P{Ccc=al}', "");
    Expect(0, 12332, '\P{^Ccc=al}', "");
    Expect(1, 12331, '\p{Ccc=:\Aal\z:}', "");;
    Expect(0, 12332, '\p{Ccc=:\Aal\z:}', "");;
    Expect(1, 12331, '\p{Ccc=_	AL}', "");
    Expect(0, 12331, '\p{^Ccc=_	AL}', "");
    Expect(0, 12331, '\P{Ccc=_	AL}', "");
    Expect(1, 12331, '\P{^Ccc=_	AL}', "");
    Expect(0, 12332, '\p{Ccc=_	AL}', "");
    Expect(1, 12332, '\p{^Ccc=_	AL}', "");
    Expect(1, 12332, '\P{Ccc=_	AL}', "");
    Expect(0, 12332, '\P{^Ccc=_	AL}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/		000022_8}');
    Error('\P{Is_Canonical_Combining_Class=/a/		000022_8}');
    Expect(1, 12331, '\p{Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Expect(0, 12331, '\p{^Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Expect(0, 12331, '\P{Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Expect(1, 12331, '\P{^Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Expect(0, 12332, '\p{Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Expect(1, 12332, '\p{^Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Expect(1, 12332, '\P{Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Expect(0, 12332, '\P{^Is_Canonical_Combining_Class=+000_000_022_8}', "");
    Error('\p{Is_Ccc=-:=above_Left}');
    Error('\P{Is_Ccc=-:=above_Left}');
    Expect(1, 12331, '\p{Is_Ccc:   aboveleft}', "");
    Expect(0, 12331, '\p{^Is_Ccc:   aboveleft}', "");
    Expect(0, 12331, '\P{Is_Ccc:   aboveleft}', "");
    Expect(1, 12331, '\P{^Is_Ccc:   aboveleft}', "");
    Expect(0, 12332, '\p{Is_Ccc:   aboveleft}', "");
    Expect(1, 12332, '\p{^Is_Ccc:   aboveleft}', "");
    Expect(1, 12332, '\P{Is_Ccc:   aboveleft}', "");
    Expect(0, 12332, '\P{^Is_Ccc:   aboveleft}', "");
    Expect(1, 12331, '\p{Is_Ccc:		above_Left}', "");
    Expect(0, 12331, '\p{^Is_Ccc:		above_Left}', "");
    Expect(0, 12331, '\P{Is_Ccc:		above_Left}', "");
    Expect(1, 12331, '\P{^Is_Ccc:		above_Left}', "");
    Expect(0, 12332, '\p{Is_Ccc:		above_Left}', "");
    Expect(1, 12332, '\p{^Is_Ccc:		above_Left}', "");
    Expect(1, 12332, '\P{Is_Ccc:		above_Left}', "");
    Expect(0, 12332, '\P{^Is_Ccc:		above_Left}', "");
    Error('\p{Canonical_Combining_Class=-/a/Above_right}');
    Error('\P{Canonical_Combining_Class=-/a/Above_right}');
    Expect(1, 12332, '\p{Canonical_Combining_Class=:\AAbove_Right\z:}', "");;
    Expect(0, 12333, '\p{Canonical_Combining_Class=:\AAbove_Right\z:}', "");;
    Expect(1, 12332, '\p{Canonical_Combining_Class=aboveright}', "");
    Expect(0, 12332, '\p{^Canonical_Combining_Class=aboveright}', "");
    Expect(0, 12332, '\P{Canonical_Combining_Class=aboveright}', "");
    Expect(1, 12332, '\P{^Canonical_Combining_Class=aboveright}', "");
    Expect(0, 12333, '\p{Canonical_Combining_Class=aboveright}', "");
    Expect(1, 12333, '\p{^Canonical_Combining_Class=aboveright}', "");
    Expect(1, 12333, '\P{Canonical_Combining_Class=aboveright}', "");
    Expect(0, 12333, '\P{^Canonical_Combining_Class=aboveright}', "");
    Expect(1, 12332, '\p{Canonical_Combining_Class=:\Aaboveright\z:}', "");;
    Expect(0, 12333, '\p{Canonical_Combining_Class=:\Aaboveright\z:}', "");;
    Expect(1, 12332, '\p{Canonical_Combining_Class=-	ABOVE_Right}', "");
    Expect(0, 12332, '\p{^Canonical_Combining_Class=-	ABOVE_Right}', "");
    Expect(0, 12332, '\P{Canonical_Combining_Class=-	ABOVE_Right}', "");
    Expect(1, 12332, '\P{^Canonical_Combining_Class=-	ABOVE_Right}', "");
    Expect(0, 12333, '\p{Canonical_Combining_Class=-	ABOVE_Right}', "");
    Expect(1, 12333, '\p{^Canonical_Combining_Class=-	ABOVE_Right}', "");
    Expect(1, 12333, '\P{Canonical_Combining_Class=-	ABOVE_Right}', "");
    Expect(0, 12333, '\P{^Canonical_Combining_Class=-	ABOVE_Right}', "");
    Error('\p{Ccc=/a/ar}');
    Error('\P{Ccc=/a/ar}');
    Expect(1, 12332, '\p{Ccc=:\AAR\z:}', "");;
    Expect(0, 12333, '\p{Ccc=:\AAR\z:}', "");;
    Expect(1, 12332, '\p{Ccc=ar}', "");
    Expect(0, 12332, '\p{^Ccc=ar}', "");
    Expect(0, 12332, '\P{Ccc=ar}', "");
    Expect(1, 12332, '\P{^Ccc=ar}', "");
    Expect(0, 12333, '\p{Ccc=ar}', "");
    Expect(1, 12333, '\p{^Ccc=ar}', "");
    Expect(1, 12333, '\P{Ccc=ar}', "");
    Expect(0, 12333, '\P{^Ccc=ar}', "");
    Expect(1, 12332, '\p{Ccc=:\Aar\z:}', "");;
    Expect(0, 12333, '\p{Ccc=:\Aar\z:}', "");;
    Expect(1, 12332, '\p{Ccc= -AR}', "");
    Expect(0, 12332, '\p{^Ccc= -AR}', "");
    Expect(0, 12332, '\P{Ccc= -AR}', "");
    Expect(1, 12332, '\P{^Ccc= -AR}', "");
    Expect(0, 12333, '\p{Ccc= -AR}', "");
    Expect(1, 12333, '\p{^Ccc= -AR}', "");
    Expect(1, 12333, '\P{Ccc= -AR}', "");
    Expect(0, 12333, '\P{^Ccc= -AR}', "");
    Error('\p{Is_Canonical_Combining_Class=  0000000232/a/}');
    Error('\P{Is_Canonical_Combining_Class=  0000000232/a/}');
    Expect(1, 12332, '\p{Is_Canonical_Combining_Class=000232}', "");
    Expect(0, 12332, '\p{^Is_Canonical_Combining_Class=000232}', "");
    Expect(0, 12332, '\P{Is_Canonical_Combining_Class=000232}', "");
    Expect(1, 12332, '\P{^Is_Canonical_Combining_Class=000232}', "");
    Expect(0, 12333, '\p{Is_Canonical_Combining_Class=000232}', "");
    Expect(1, 12333, '\p{^Is_Canonical_Combining_Class=000232}', "");
    Expect(1, 12333, '\P{Is_Canonical_Combining_Class=000232}', "");
    Expect(0, 12333, '\P{^Is_Canonical_Combining_Class=000232}', "");
    Error('\p{Is_Ccc=-_Above_Right/a/}');
    Error('\P{Is_Ccc=-_Above_Right/a/}');
    Expect(1, 12332, '\p{Is_Ccc=aboveright}', "");
    Expect(0, 12332, '\p{^Is_Ccc=aboveright}', "");
    Expect(0, 12332, '\P{Is_Ccc=aboveright}', "");
    Expect(1, 12332, '\P{^Is_Ccc=aboveright}', "");
    Expect(0, 12333, '\p{Is_Ccc=aboveright}', "");
    Expect(1, 12333, '\p{^Is_Ccc=aboveright}', "");
    Expect(1, 12333, '\P{Is_Ccc=aboveright}', "");
    Expect(0, 12333, '\P{^Is_Ccc=aboveright}', "");
    Expect(1, 12332, '\p{Is_Ccc=- Above_Right}', "");
    Expect(0, 12332, '\p{^Is_Ccc=- Above_Right}', "");
    Expect(0, 12332, '\P{Is_Ccc=- Above_Right}', "");
    Expect(1, 12332, '\P{^Is_Ccc=- Above_Right}', "");
    Expect(0, 12333, '\p{Is_Ccc=- Above_Right}', "");
    Expect(1, 12333, '\p{^Is_Ccc=- Above_Right}', "");
    Expect(1, 12333, '\P{Is_Ccc=- Above_Right}', "");
    Expect(0, 12333, '\P{^Is_Ccc=- Above_Right}', "");
    Error('\p{Canonical_Combining_Class=/a/_-ATTACHED_above}');
    Error('\P{Canonical_Combining_Class=/a/_-ATTACHED_above}');
    Expect(1, 7630, '\p{Canonical_Combining_Class=:\AAttached_Above\z:}', "");;
    Expect(0, 7631, '\p{Canonical_Combining_Class=:\AAttached_Above\z:}', "");;
    Expect(1, 7630, '\p{Canonical_Combining_Class:	attachedabove}', "");
    Expect(0, 7630, '\p{^Canonical_Combining_Class:	attachedabove}', "");
    Expect(0, 7630, '\P{Canonical_Combining_Class:	attachedabove}', "");
    Expect(1, 7630, '\P{^Canonical_Combining_Class:	attachedabove}', "");
    Expect(0, 7631, '\p{Canonical_Combining_Class:	attachedabove}', "");
    Expect(1, 7631, '\p{^Canonical_Combining_Class:	attachedabove}', "");
    Expect(1, 7631, '\P{Canonical_Combining_Class:	attachedabove}', "");
    Expect(0, 7631, '\P{^Canonical_Combining_Class:	attachedabove}', "");
    Expect(1, 7630, '\p{Canonical_Combining_Class=:\Aattachedabove\z:}', "");;
    Expect(0, 7631, '\p{Canonical_Combining_Class=:\Aattachedabove\z:}', "");;
    Expect(1, 7630, '\p{Canonical_Combining_Class=- Attached_Above}', "");
    Expect(0, 7630, '\p{^Canonical_Combining_Class=- Attached_Above}', "");
    Expect(0, 7630, '\P{Canonical_Combining_Class=- Attached_Above}', "");
    Expect(1, 7630, '\P{^Canonical_Combining_Class=- Attached_Above}', "");
    Expect(0, 7631, '\p{Canonical_Combining_Class=- Attached_Above}', "");
    Expect(1, 7631, '\p{^Canonical_Combining_Class=- Attached_Above}', "");
    Expect(1, 7631, '\P{Canonical_Combining_Class=- Attached_Above}', "");
    Expect(0, 7631, '\P{^Canonical_Combining_Class=- Attached_Above}', "");
    Error('\p{Ccc:	:=_	ata}');
    Error('\P{Ccc:	:=_	ata}');
    Expect(1, 7630, '\p{Ccc=:\AATA\z:}', "");;
    Expect(0, 7631, '\p{Ccc=:\AATA\z:}', "");;
    Expect(1, 7630, '\p{Ccc=ata}', "");
    Expect(0, 7630, '\p{^Ccc=ata}', "");
    Expect(0, 7630, '\P{Ccc=ata}', "");
    Expect(1, 7630, '\P{^Ccc=ata}', "");
    Expect(0, 7631, '\p{Ccc=ata}', "");
    Expect(1, 7631, '\p{^Ccc=ata}', "");
    Expect(1, 7631, '\P{Ccc=ata}', "");
    Expect(0, 7631, '\P{^Ccc=ata}', "");
    Expect(1, 7630, '\p{Ccc=:\Aata\z:}', "");;
    Expect(0, 7631, '\p{Ccc=:\Aata\z:}', "");;
    Expect(1, 7630, '\p{Ccc=		ATA}', "");
    Expect(0, 7630, '\p{^Ccc=		ATA}', "");
    Expect(0, 7630, '\P{Ccc=		ATA}', "");
    Expect(1, 7630, '\P{^Ccc=		ATA}', "");
    Expect(0, 7631, '\p{Ccc=		ATA}', "");
    Expect(1, 7631, '\p{^Ccc=		ATA}', "");
    Expect(1, 7631, '\P{Ccc=		ATA}', "");
    Expect(0, 7631, '\P{^Ccc=		ATA}', "");
    Error('\p{Is_Canonical_Combining_Class=:=	_0000214}');
    Error('\P{Is_Canonical_Combining_Class=:=	_0000214}');
    Expect(1, 7630, '\p{Is_Canonical_Combining_Class: 00000000214}', "");
    Expect(0, 7630, '\p{^Is_Canonical_Combining_Class: 00000000214}', "");
    Expect(0, 7630, '\P{Is_Canonical_Combining_Class: 00000000214}', "");
    Expect(1, 7630, '\P{^Is_Canonical_Combining_Class: 00000000214}', "");
    Expect(0, 7631, '\p{Is_Canonical_Combining_Class: 00000000214}', "");
    Expect(1, 7631, '\p{^Is_Canonical_Combining_Class: 00000000214}', "");
    Expect(1, 7631, '\P{Is_Canonical_Combining_Class: 00000000214}', "");
    Expect(0, 7631, '\P{^Is_Canonical_Combining_Class: 00000000214}', "");
    Error('\p{Is_Ccc=	/a/Attached_ABOVE}');
    Error('\P{Is_Ccc=	/a/Attached_ABOVE}');
    Expect(1, 7630, '\p{Is_Ccc=attachedabove}', "");
    Expect(0, 7630, '\p{^Is_Ccc=attachedabove}', "");
    Expect(0, 7630, '\P{Is_Ccc=attachedabove}', "");
    Expect(1, 7630, '\P{^Is_Ccc=attachedabove}', "");
    Expect(0, 7631, '\p{Is_Ccc=attachedabove}', "");
    Expect(1, 7631, '\p{^Is_Ccc=attachedabove}', "");
    Expect(1, 7631, '\P{Is_Ccc=attachedabove}', "");
    Expect(0, 7631, '\P{^Is_Ccc=attachedabove}', "");
    Expect(1, 7630, '\p{Is_Ccc=	_ATTACHED_Above}', "");
    Expect(0, 7630, '\p{^Is_Ccc=	_ATTACHED_Above}', "");
    Expect(0, 7630, '\P{Is_Ccc=	_ATTACHED_Above}', "");
    Expect(1, 7630, '\P{^Is_Ccc=	_ATTACHED_Above}', "");
    Expect(0, 7631, '\p{Is_Ccc=	_ATTACHED_Above}', "");
    Expect(1, 7631, '\p{^Is_Ccc=	_ATTACHED_Above}', "");
    Expect(1, 7631, '\P{Is_Ccc=	_ATTACHED_Above}', "");
    Expect(0, 7631, '\P{^Is_Ccc=	_ATTACHED_Above}', "");
    Error('\p{Canonical_Combining_Class=_:=Attached_Above_Right}');
    Error('\P{Canonical_Combining_Class=_:=Attached_Above_Right}');
    Expect(1, 119154, '\p{Canonical_Combining_Class=:\AAttached_Above_Right\z:}', "");;
    Expect(0, 119155, '\p{Canonical_Combining_Class=:\AAttached_Above_Right\z:}', "");;
    Expect(1, 119154, '\p{Canonical_Combining_Class=attachedaboveright}', "");
    Expect(0, 119154, '\p{^Canonical_Combining_Class=attachedaboveright}', "");
    Expect(0, 119154, '\P{Canonical_Combining_Class=attachedaboveright}', "");
    Expect(1, 119154, '\P{^Canonical_Combining_Class=attachedaboveright}', "");
    Expect(0, 119155, '\p{Canonical_Combining_Class=attachedaboveright}', "");
    Expect(1, 119155, '\p{^Canonical_Combining_Class=attachedaboveright}', "");
    Expect(1, 119155, '\P{Canonical_Combining_Class=attachedaboveright}', "");
    Expect(0, 119155, '\P{^Canonical_Combining_Class=attachedaboveright}', "");
    Expect(1, 119154, '\p{Canonical_Combining_Class=:\Aattachedaboveright\z:}', "");;
    Expect(0, 119155, '\p{Canonical_Combining_Class=:\Aattachedaboveright\z:}', "");;
    Expect(1, 119154, '\p{Canonical_Combining_Class=-_attached_Above_Right}', "");
    Expect(0, 119154, '\p{^Canonical_Combining_Class=-_attached_Above_Right}', "");
    Expect(0, 119154, '\P{Canonical_Combining_Class=-_attached_Above_Right}', "");
    Expect(1, 119154, '\P{^Canonical_Combining_Class=-_attached_Above_Right}', "");
    Expect(0, 119155, '\p{Canonical_Combining_Class=-_attached_Above_Right}', "");
    Expect(1, 119155, '\p{^Canonical_Combining_Class=-_attached_Above_Right}', "");
    Expect(1, 119155, '\P{Canonical_Combining_Class=-_attached_Above_Right}', "");
    Expect(0, 119155, '\P{^Canonical_Combining_Class=-_attached_Above_Right}', "");
    Error('\p{Ccc=:=	ATAR}');
    Error('\P{Ccc=:=	ATAR}');
    Expect(1, 119154, '\p{Ccc=:\AATAR\z:}', "");;
    Expect(0, 119155, '\p{Ccc=:\AATAR\z:}', "");;
    Expect(1, 119154, '\p{Ccc=atar}', "");
    Expect(0, 119154, '\p{^Ccc=atar}', "");
    Expect(0, 119154, '\P{Ccc=atar}', "");
    Expect(1, 119154, '\P{^Ccc=atar}', "");
    Expect(0, 119155, '\p{Ccc=atar}', "");
    Expect(1, 119155, '\p{^Ccc=atar}', "");
    Expect(1, 119155, '\P{Ccc=atar}', "");
    Expect(0, 119155, '\P{^Ccc=atar}', "");
    Expect(1, 119154, '\p{Ccc=:\Aatar\z:}', "");;
    Expect(0, 119155, '\p{Ccc=:\Aatar\z:}', "");;
    Expect(1, 119154, '\p{Ccc:   	-ATAR}', "");
    Expect(0, 119154, '\p{^Ccc:   	-ATAR}', "");
    Expect(0, 119154, '\P{Ccc:   	-ATAR}', "");
    Expect(1, 119154, '\P{^Ccc:   	-ATAR}', "");
    Expect(0, 119155, '\p{Ccc:   	-ATAR}', "");
    Expect(1, 119155, '\p{^Ccc:   	-ATAR}', "");
    Expect(1, 119155, '\P{Ccc:   	-ATAR}', "");
    Expect(0, 119155, '\P{^Ccc:   	-ATAR}', "");
    Error('\p{Is_Canonical_Combining_Class:		:=+00000_00021_6}');
    Error('\P{Is_Canonical_Combining_Class:		:=+00000_00021_6}');
    Expect(1, 119154, '\p{Is_Canonical_Combining_Class=021_6}', "");
    Expect(0, 119154, '\p{^Is_Canonical_Combining_Class=021_6}', "");
    Expect(0, 119154, '\P{Is_Canonical_Combining_Class=021_6}', "");
    Expect(1, 119154, '\P{^Is_Canonical_Combining_Class=021_6}', "");
    Expect(0, 119155, '\p{Is_Canonical_Combining_Class=021_6}', "");
    Expect(1, 119155, '\p{^Is_Canonical_Combining_Class=021_6}', "");
    Expect(1, 119155, '\P{Is_Canonical_Combining_Class=021_6}', "");
    Expect(0, 119155, '\P{^Is_Canonical_Combining_Class=021_6}', "");
    Error('\p{Is_Ccc=/a/  Attached_ABOVE_RIGHT}');
    Error('\P{Is_Ccc=/a/  Attached_ABOVE_RIGHT}');
    Expect(1, 119154, '\p{Is_Ccc=attachedaboveright}', "");
    Expect(0, 119154, '\p{^Is_Ccc=attachedaboveright}', "");
    Expect(0, 119154, '\P{Is_Ccc=attachedaboveright}', "");
    Expect(1, 119154, '\P{^Is_Ccc=attachedaboveright}', "");
    Expect(0, 119155, '\p{Is_Ccc=attachedaboveright}', "");
    Expect(1, 119155, '\p{^Is_Ccc=attachedaboveright}', "");
    Expect(1, 119155, '\P{Is_Ccc=attachedaboveright}', "");
    Expect(0, 119155, '\P{^Is_Ccc=attachedaboveright}', "");
    Expect(1, 119154, '\p{Is_Ccc=	attached_ABOVE_Right}', "");
    Expect(0, 119154, '\p{^Is_Ccc=	attached_ABOVE_Right}', "");
    Expect(0, 119154, '\P{Is_Ccc=	attached_ABOVE_Right}', "");
    Expect(1, 119154, '\P{^Is_Ccc=	attached_ABOVE_Right}', "");
    Expect(0, 119155, '\p{Is_Ccc=	attached_ABOVE_Right}', "");
    Expect(1, 119155, '\p{^Is_Ccc=	attached_ABOVE_Right}', "");
    Expect(1, 119155, '\P{Is_Ccc=	attached_ABOVE_Right}', "");
    Expect(0, 119155, '\P{^Is_Ccc=	attached_ABOVE_Right}', "");
    Error('\p{Canonical_Combining_Class= ATTACHED_below:=}');
    Error('\P{Canonical_Combining_Class= ATTACHED_below:=}');
    Expect(1, 7632, '\p{Canonical_Combining_Class=:\AAttached_Below\z:}', "");;
    Expect(0, 7633, '\p{Canonical_Combining_Class=:\AAttached_Below\z:}', "");;
    Expect(1, 7632, '\p{Canonical_Combining_Class=attachedbelow}', "");
    Expect(0, 7632, '\p{^Canonical_Combining_Class=attachedbelow}', "");
    Expect(0, 7632, '\P{Canonical_Combining_Class=attachedbelow}', "");
    Expect(1, 7632, '\P{^Canonical_Combining_Class=attachedbelow}', "");
    Expect(0, 7633, '\p{Canonical_Combining_Class=attachedbelow}', "");
    Expect(1, 7633, '\p{^Canonical_Combining_Class=attachedbelow}', "");
    Expect(1, 7633, '\P{Canonical_Combining_Class=attachedbelow}', "");
    Expect(0, 7633, '\P{^Canonical_Combining_Class=attachedbelow}', "");
    Expect(1, 7632, '\p{Canonical_Combining_Class=:\Aattachedbelow\z:}', "");;
    Expect(0, 7633, '\p{Canonical_Combining_Class=:\Aattachedbelow\z:}', "");;
    Expect(1, 7632, '\p{Canonical_Combining_Class= attached_Below}', "");
    Expect(0, 7632, '\p{^Canonical_Combining_Class= attached_Below}', "");
    Expect(0, 7632, '\P{Canonical_Combining_Class= attached_Below}', "");
    Expect(1, 7632, '\P{^Canonical_Combining_Class= attached_Below}', "");
    Expect(0, 7633, '\p{Canonical_Combining_Class= attached_Below}', "");
    Expect(1, 7633, '\p{^Canonical_Combining_Class= attached_Below}', "");
    Expect(1, 7633, '\P{Canonical_Combining_Class= attached_Below}', "");
    Expect(0, 7633, '\P{^Canonical_Combining_Class= attached_Below}', "");
    Error('\p{Ccc=/a/_ATB}');
    Error('\P{Ccc=/a/_ATB}');
    Expect(1, 7632, '\p{Ccc=:\AATB\z:}', "");;
    Expect(0, 7633, '\p{Ccc=:\AATB\z:}', "");;
    Expect(1, 7632, '\p{Ccc=atb}', "");
    Expect(0, 7632, '\p{^Ccc=atb}', "");
    Expect(0, 7632, '\P{Ccc=atb}', "");
    Expect(1, 7632, '\P{^Ccc=atb}', "");
    Expect(0, 7633, '\p{Ccc=atb}', "");
    Expect(1, 7633, '\p{^Ccc=atb}', "");
    Expect(1, 7633, '\P{Ccc=atb}', "");
    Expect(0, 7633, '\P{^Ccc=atb}', "");
    Expect(1, 7632, '\p{Ccc=:\Aatb\z:}', "");;
    Expect(0, 7633, '\p{Ccc=:\Aatb\z:}', "");;
    Expect(1, 7632, '\p{Ccc= 	atb}', "");
    Expect(0, 7632, '\p{^Ccc= 	atb}', "");
    Expect(0, 7632, '\P{Ccc= 	atb}', "");
    Expect(1, 7632, '\P{^Ccc= 	atb}', "");
    Expect(0, 7633, '\p{Ccc= 	atb}', "");
    Expect(1, 7633, '\p{^Ccc= 	atb}', "");
    Expect(1, 7633, '\P{Ccc= 	atb}', "");
    Expect(0, 7633, '\P{^Ccc= 	atb}', "");
    Error('\p{Is_Canonical_Combining_Class= :=+000000202}');
    Error('\P{Is_Canonical_Combining_Class= :=+000000202}');
    Expect(1, 7632, '\p{Is_Canonical_Combining_Class=+000000000202}', "");
    Expect(0, 7632, '\p{^Is_Canonical_Combining_Class=+000000000202}', "");
    Expect(0, 7632, '\P{Is_Canonical_Combining_Class=+000000000202}', "");
    Expect(1, 7632, '\P{^Is_Canonical_Combining_Class=+000000000202}', "");
    Expect(0, 7633, '\p{Is_Canonical_Combining_Class=+000000000202}', "");
    Expect(1, 7633, '\p{^Is_Canonical_Combining_Class=+000000000202}', "");
    Expect(1, 7633, '\P{Is_Canonical_Combining_Class=+000000000202}', "");
    Expect(0, 7633, '\P{^Is_Canonical_Combining_Class=+000000000202}', "");
    Error('\p{Is_Ccc=-	attached_below:=}');
    Error('\P{Is_Ccc=-	attached_below:=}');
    Expect(1, 7632, '\p{Is_Ccc=attachedbelow}', "");
    Expect(0, 7632, '\p{^Is_Ccc=attachedbelow}', "");
    Expect(0, 7632, '\P{Is_Ccc=attachedbelow}', "");
    Expect(1, 7632, '\P{^Is_Ccc=attachedbelow}', "");
    Expect(0, 7633, '\p{Is_Ccc=attachedbelow}', "");
    Expect(1, 7633, '\p{^Is_Ccc=attachedbelow}', "");
    Expect(1, 7633, '\P{Is_Ccc=attachedbelow}', "");
    Expect(0, 7633, '\P{^Is_Ccc=attachedbelow}', "");
    Expect(1, 7632, '\p{Is_Ccc:   - ATTACHED_Below}', "");
    Expect(0, 7632, '\p{^Is_Ccc:   - ATTACHED_Below}', "");
    Expect(0, 7632, '\P{Is_Ccc:   - ATTACHED_Below}', "");
    Expect(1, 7632, '\P{^Is_Ccc:   - ATTACHED_Below}', "");
    Expect(0, 7633, '\p{Is_Ccc:   - ATTACHED_Below}', "");
    Expect(1, 7633, '\p{^Is_Ccc:   - ATTACHED_Below}', "");
    Expect(1, 7633, '\P{Is_Ccc:   - ATTACHED_Below}', "");
    Expect(0, 7633, '\P{^Is_Ccc:   - ATTACHED_Below}', "");
    Error('\p{Canonical_Combining_Class=/a/ Attached_BELOW_left}');
    Error('\P{Canonical_Combining_Class=/a/ Attached_BELOW_left}');
    Expect(0, 1, '\p{Canonical_Combining_Class=:\AAttached_Below_Left\z:}', "");;
    Expect(0, 1, '\p{Canonical_Combining_Class=attachedbelowleft}', "");
    Expect(1, 1, '\p{^Canonical_Combining_Class=attachedbelowleft}', "");
    Expect(1, 1, '\P{Canonical_Combining_Class=attachedbelowleft}', "");
    Expect(0, 1, '\P{^Canonical_Combining_Class=attachedbelowleft}', "");
    Expect(0, 1, '\p{Canonical_Combining_Class=:\Aattachedbelowleft\z:}', "");;
    Expect(0, 1, '\p{Canonical_Combining_Class=- ATTACHED_below_Left}', "");
    Expect(1, 1, '\p{^Canonical_Combining_Class=- ATTACHED_below_Left}', "");
    Expect(1, 1, '\P{Canonical_Combining_Class=- ATTACHED_below_Left}', "");
    Expect(0, 1, '\P{^Canonical_Combining_Class=- ATTACHED_below_Left}', "");
    Error('\p{Ccc=:=_-atbl}');
    Error('\P{Ccc=:=_-atbl}');
    Expect(0, 1, '\p{Ccc=:\AATBL\z:}', "");;
    Expect(0, 1, '\p{Ccc:atbl}', "");
    Expect(1, 1, '\p{^Ccc:atbl}', "");
    Expect(1, 1, '\P{Ccc:atbl}', "");
    Expect(0, 1, '\P{^Ccc:atbl}', "");
    Expect(0, 1, '\p{Ccc=:\Aatbl\z:}', "");;
    Expect(0, 1, '\p{Ccc:   --ATBL}', "");
    Expect(1, 1, '\p{^Ccc:   --ATBL}', "");
    Expect(1, 1, '\P{Ccc:   --ATBL}', "");
    Expect(0, 1, '\P{^Ccc:   --ATBL}', "");
    Error('\p{Is_Canonical_Combining_Class= 0000200/a/}');
    Error('\P{Is_Canonical_Combining_Class= 0000200/a/}');
    Expect(0, 1, '\p{Is_Canonical_Combining_Class=0000200}', "");
    Expect(1, 1, '\p{^Is_Canonical_Combining_Class=0000200}', "");
    Expect(1, 1, '\P{Is_Canonical_Combining_Class=0000200}', "");
    Expect(0, 1, '\P{^Is_Canonical_Combining_Class=0000200}', "");
    Error('\p{Is_Ccc=_	attached_below_Left:=}');
    Error('\P{Is_Ccc=_	attached_below_Left:=}');
    Expect(0, 1, '\p{Is_Ccc=attachedbelowleft}', "");
    Expect(1, 1, '\p{^Is_Ccc=attachedbelowleft}', "");
    Expect(1, 1, '\P{Is_Ccc=attachedbelowleft}', "");
    Expect(0, 1, '\P{^Is_Ccc=attachedbelowleft}', "");
    Expect(0, 1, '\p{Is_Ccc= -Attached_Below_Left}', "");
    Expect(1, 1, '\p{^Is_Ccc= -Attached_Below_Left}', "");
    Expect(1, 1, '\P{Is_Ccc= -Attached_Below_Left}', "");
    Expect(0, 1, '\P{^Is_Ccc= -Attached_Below_Left}', "");
    Error('\p{Canonical_Combining_Class=_Below:=}');
    Error('\P{Canonical_Combining_Class=_Below:=}');
    Expect(1, 125142, '\p{Canonical_Combining_Class=:\ABelow\z:}', "");;
    Expect(0, 125143, '\p{Canonical_Combining_Class=:\ABelow\z:}', "");;
    Expect(1, 125142, '\p{Canonical_Combining_Class=below}', "");
    Expect(0, 125142, '\p{^Canonical_Combining_Class=below}', "");
    Expect(0, 125142, '\P{Canonical_Combining_Class=below}', "");
    Expect(1, 125142, '\P{^Canonical_Combining_Class=below}', "");
    Expect(0, 125143, '\p{Canonical_Combining_Class=below}', "");
    Expect(1, 125143, '\p{^Canonical_Combining_Class=below}', "");
    Expect(1, 125143, '\P{Canonical_Combining_Class=below}', "");
    Expect(0, 125143, '\P{^Canonical_Combining_Class=below}', "");
    Expect(1, 125142, '\p{Canonical_Combining_Class=:\Abelow\z:}', "");;
    Expect(0, 125143, '\p{Canonical_Combining_Class=:\Abelow\z:}', "");;
    Expect(1, 125142, '\p{Canonical_Combining_Class=__Below}', "");
    Expect(0, 125142, '\p{^Canonical_Combining_Class=__Below}', "");
    Expect(0, 125142, '\P{Canonical_Combining_Class=__Below}', "");
    Expect(1, 125142, '\P{^Canonical_Combining_Class=__Below}', "");
    Expect(0, 125143, '\p{Canonical_Combining_Class=__Below}', "");
    Expect(1, 125143, '\p{^Canonical_Combining_Class=__Below}', "");
    Expect(1, 125143, '\P{Canonical_Combining_Class=__Below}', "");
    Expect(0, 125143, '\P{^Canonical_Combining_Class=__Below}', "");
    Error('\p{Ccc=:=B}');
    Error('\P{Ccc=:=B}');
    Expect(1, 125142, '\p{Ccc=:\AB\z:}', "");;
    Expect(0, 125143, '\p{Ccc=:\AB\z:}', "");;
    Expect(1, 125142, '\p{Ccc=b}', "");
    Expect(0, 125142, '\p{^Ccc=b}', "");
    Expect(0, 125142, '\P{Ccc=b}', "");
    Expect(1, 125142, '\P{^Ccc=b}', "");
    Expect(0, 125143, '\p{Ccc=b}', "");
    Expect(1, 125143, '\p{^Ccc=b}', "");
    Expect(1, 125143, '\P{Ccc=b}', "");
    Expect(0, 125143, '\P{^Ccc=b}', "");
    Expect(1, 125142, '\p{Ccc=:\Ab\z:}', "");;
    Expect(0, 125143, '\p{Ccc=:\Ab\z:}', "");;
    Expect(1, 125142, '\p{Ccc=_	B}', "");
    Expect(0, 125142, '\p{^Ccc=_	B}', "");
    Expect(0, 125142, '\P{Ccc=_	B}', "");
    Expect(1, 125142, '\P{^Ccc=_	B}', "");
    Expect(0, 125143, '\p{Ccc=_	B}', "");
    Expect(1, 125143, '\p{^Ccc=_	B}', "");
    Expect(1, 125143, '\P{Ccc=_	B}', "");
    Expect(0, 125143, '\P{^Ccc=_	B}', "");
    Error('\p{Is_Canonical_Combining_Class=:= _00000000220}');
    Error('\P{Is_Canonical_Combining_Class=:= _00000000220}');
    Expect(1, 125142, '\p{Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Expect(0, 125142, '\p{^Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Expect(0, 125142, '\P{Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Expect(1, 125142, '\P{^Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Expect(0, 125143, '\p{Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Expect(1, 125143, '\p{^Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Expect(1, 125143, '\P{Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Expect(0, 125143, '\P{^Is_Canonical_Combining_Class:	00_00_00_220}', "");
    Error('\p{Is_Ccc: -_BELOW:=}');
    Error('\P{Is_Ccc: -_BELOW:=}');
    Expect(1, 125142, '\p{Is_Ccc: below}', "");
    Expect(0, 125142, '\p{^Is_Ccc: below}', "");
    Expect(0, 125142, '\P{Is_Ccc: below}', "");
    Expect(1, 125142, '\P{^Is_Ccc: below}', "");
    Expect(0, 125143, '\p{Is_Ccc: below}', "");
    Expect(1, 125143, '\p{^Is_Ccc: below}', "");
    Expect(1, 125143, '\P{Is_Ccc: below}', "");
    Expect(0, 125143, '\P{^Is_Ccc: below}', "");
    Expect(1, 125142, '\p{Is_Ccc=		Below}', "");
    Expect(0, 125142, '\p{^Is_Ccc=		Below}', "");
    Expect(0, 125142, '\P{Is_Ccc=		Below}', "");
    Expect(1, 125142, '\P{^Is_Ccc=		Below}', "");
    Expect(0, 125143, '\p{Is_Ccc=		Below}', "");
    Expect(1, 125143, '\p{^Is_Ccc=		Below}', "");
    Expect(1, 125143, '\P{Is_Ccc=		Below}', "");
    Expect(0, 125143, '\P{^Is_Ccc=		Below}', "");
    Error('\p{Canonical_Combining_Class=_ Below_Left/a/}');
    Error('\P{Canonical_Combining_Class=_ Below_Left/a/}');
    Expect(1, 12330, '\p{Canonical_Combining_Class=:\ABelow_Left\z:}', "");;
    Expect(0, 12331, '\p{Canonical_Combining_Class=:\ABelow_Left\z:}', "");;
    Expect(1, 12330, '\p{Canonical_Combining_Class:belowleft}', "");
    Expect(0, 12330, '\p{^Canonical_Combining_Class:belowleft}', "");
    Expect(0, 12330, '\P{Canonical_Combining_Class:belowleft}', "");
    Expect(1, 12330, '\P{^Canonical_Combining_Class:belowleft}', "");
    Expect(0, 12331, '\p{Canonical_Combining_Class:belowleft}', "");
    Expect(1, 12331, '\p{^Canonical_Combining_Class:belowleft}', "");
    Expect(1, 12331, '\P{Canonical_Combining_Class:belowleft}', "");
    Expect(0, 12331, '\P{^Canonical_Combining_Class:belowleft}', "");
    Expect(1, 12330, '\p{Canonical_Combining_Class=:\Abelowleft\z:}', "");;
    Expect(0, 12331, '\p{Canonical_Combining_Class=:\Abelowleft\z:}', "");;
    Expect(1, 12330, '\p{Canonical_Combining_Class=-BELOW_Left}', "");
    Expect(0, 12330, '\p{^Canonical_Combining_Class=-BELOW_Left}', "");
    Expect(0, 12330, '\P{Canonical_Combining_Class=-BELOW_Left}', "");
    Expect(1, 12330, '\P{^Canonical_Combining_Class=-BELOW_Left}', "");
    Expect(0, 12331, '\p{Canonical_Combining_Class=-BELOW_Left}', "");
    Expect(1, 12331, '\p{^Canonical_Combining_Class=-BELOW_Left}', "");
    Expect(1, 12331, '\P{Canonical_Combining_Class=-BELOW_Left}', "");
    Expect(0, 12331, '\P{^Canonical_Combining_Class=-BELOW_Left}', "");
    Error('\p{Ccc=/a/-BL}');
    Error('\P{Ccc=/a/-BL}');
    Expect(1, 12330, '\p{Ccc=:\ABL\z:}', "");;
    Expect(0, 12331, '\p{Ccc=:\ABL\z:}', "");;
    Expect(1, 12330, '\p{Ccc=bl}', "");
    Expect(0, 12330, '\p{^Ccc=bl}', "");
    Expect(0, 12330, '\P{Ccc=bl}', "");
    Expect(1, 12330, '\P{^Ccc=bl}', "");
    Expect(0, 12331, '\p{Ccc=bl}', "");
    Expect(1, 12331, '\p{^Ccc=bl}', "");
    Expect(1, 12331, '\P{Ccc=bl}', "");
    Expect(0, 12331, '\P{^Ccc=bl}', "");
    Expect(1, 12330, '\p{Ccc=:\Abl\z:}', "");;
    Expect(0, 12331, '\p{Ccc=:\Abl\z:}', "");;
    Expect(1, 12330, '\p{Ccc= -BL}', "");
    Expect(0, 12330, '\p{^Ccc= -BL}', "");
    Expect(0, 12330, '\P{Ccc= -BL}', "");
    Expect(1, 12330, '\P{^Ccc= -BL}', "");
    Expect(0, 12331, '\p{Ccc= -BL}', "");
    Expect(1, 12331, '\p{^Ccc= -BL}', "");
    Expect(1, 12331, '\P{Ccc= -BL}', "");
    Expect(0, 12331, '\P{^Ccc= -BL}', "");
    Error('\p{Is_Canonical_Combining_Class=:=00218}');
    Error('\P{Is_Canonical_Combining_Class=:=00218}');
    Expect(1, 12330, '\p{Is_Canonical_Combining_Class=000000021_8}', "");
    Expect(0, 12330, '\p{^Is_Canonical_Combining_Class=000000021_8}', "");
    Expect(0, 12330, '\P{Is_Canonical_Combining_Class=000000021_8}', "");
    Expect(1, 12330, '\P{^Is_Canonical_Combining_Class=000000021_8}', "");
    Expect(0, 12331, '\p{Is_Canonical_Combining_Class=000000021_8}', "");
    Expect(1, 12331, '\p{^Is_Canonical_Combining_Class=000000021_8}', "");
    Expect(1, 12331, '\P{Is_Canonical_Combining_Class=000000021_8}', "");
    Expect(0, 12331, '\P{^Is_Canonical_Combining_Class=000000021_8}', "");
    Error('\p{Is_Ccc:    Below_LEFT:=}');
    Error('\P{Is_Ccc:    Below_LEFT:=}');
    Expect(1, 12330, '\p{Is_Ccc=belowleft}', "");
    Expect(0, 12330, '\p{^Is_Ccc=belowleft}', "");
    Expect(0, 12330, '\P{Is_Ccc=belowleft}', "");
    Expect(1, 12330, '\P{^Is_Ccc=belowleft}', "");
    Expect(0, 12331, '\p{Is_Ccc=belowleft}', "");
    Expect(1, 12331, '\p{^Is_Ccc=belowleft}', "");
    Expect(1, 12331, '\P{Is_Ccc=belowleft}', "");
    Expect(0, 12331, '\P{^Is_Ccc=belowleft}', "");
    Expect(1, 12330, '\p{Is_Ccc=--BELOW_Left}', "");
    Expect(0, 12330, '\p{^Is_Ccc=--BELOW_Left}', "");
    Expect(0, 12330, '\P{Is_Ccc=--BELOW_Left}', "");
    Expect(1, 12330, '\P{^Is_Ccc=--BELOW_Left}', "");
    Expect(0, 12331, '\p{Is_Ccc=--BELOW_Left}', "");
    Expect(1, 12331, '\p{^Is_Ccc=--BELOW_Left}', "");
    Expect(1, 12331, '\P{Is_Ccc=--BELOW_Left}', "");
    Expect(0, 12331, '\P{^Is_Ccc=--BELOW_Left}', "");
    Error('\p{Canonical_Combining_Class=/a/  Below_RIGHT}');
    Error('\P{Canonical_Combining_Class=/a/  Below_RIGHT}');
    Expect(1, 12333, '\p{Canonical_Combining_Class=:\ABelow_Right\z:}', "");;
    Expect(0, 12334, '\p{Canonical_Combining_Class=:\ABelow_Right\z:}', "");;
    Expect(1, 12333, '\p{Canonical_Combining_Class:belowright}', "");
    Expect(0, 12333, '\p{^Canonical_Combining_Class:belowright}', "");
    Expect(0, 12333, '\P{Canonical_Combining_Class:belowright}', "");
    Expect(1, 12333, '\P{^Canonical_Combining_Class:belowright}', "");
    Expect(0, 12334, '\p{Canonical_Combining_Class:belowright}', "");
    Expect(1, 12334, '\p{^Canonical_Combining_Class:belowright}', "");
    Expect(1, 12334, '\P{Canonical_Combining_Class:belowright}', "");
    Expect(0, 12334, '\P{^Canonical_Combining_Class:belowright}', "");
    Expect(1, 12333, '\p{Canonical_Combining_Class=:\Abelowright\z:}', "");;
    Expect(0, 12334, '\p{Canonical_Combining_Class=:\Abelowright\z:}', "");;
    Expect(1, 12333, '\p{Canonical_Combining_Class=	below_right}', "");
    Expect(0, 12333, '\p{^Canonical_Combining_Class=	below_right}', "");
    Expect(0, 12333, '\P{Canonical_Combining_Class=	below_right}', "");
    Expect(1, 12333, '\P{^Canonical_Combining_Class=	below_right}', "");
    Expect(0, 12334, '\p{Canonical_Combining_Class=	below_right}', "");
    Expect(1, 12334, '\p{^Canonical_Combining_Class=	below_right}', "");
    Expect(1, 12334, '\P{Canonical_Combining_Class=	below_right}', "");
    Expect(0, 12334, '\P{^Canonical_Combining_Class=	below_right}', "");
    Error('\p{Ccc= _BR/a/}');
    Error('\P{Ccc= _BR/a/}');
    Expect(1, 12333, '\p{Ccc=:\ABR\z:}', "");;
    Expect(0, 12334, '\p{Ccc=:\ABR\z:}', "");;
    Expect(1, 12333, '\p{Ccc:   br}', "");
    Expect(0, 12333, '\p{^Ccc:   br}', "");
    Expect(0, 12333, '\P{Ccc:   br}', "");
    Expect(1, 12333, '\P{^Ccc:   br}', "");
    Expect(0, 12334, '\p{Ccc:   br}', "");
    Expect(1, 12334, '\p{^Ccc:   br}', "");
    Expect(1, 12334, '\P{Ccc:   br}', "");
    Expect(0, 12334, '\P{^Ccc:   br}', "");
    Expect(1, 12333, '\p{Ccc=:\Abr\z:}', "");;
    Expect(0, 12334, '\p{Ccc=:\Abr\z:}', "");;
    Expect(1, 12333, '\p{Ccc=	 br}', "");
    Expect(0, 12333, '\p{^Ccc=	 br}', "");
    Expect(0, 12333, '\P{Ccc=	 br}', "");
    Expect(1, 12333, '\P{^Ccc=	 br}', "");
    Expect(0, 12334, '\p{Ccc=	 br}', "");
    Expect(1, 12334, '\p{^Ccc=	 br}', "");
    Expect(1, 12334, '\P{Ccc=	 br}', "");
    Expect(0, 12334, '\P{^Ccc=	 br}', "");
    Error('\p{Is_Canonical_Combining_Class=:=-0222}');
    Error('\P{Is_Canonical_Combining_Class=:=-0222}');
    Expect(1, 12333, '\p{Is_Canonical_Combining_Class=0000000222}', "");
    Expect(0, 12333, '\p{^Is_Canonical_Combining_Class=0000000222}', "");
    Expect(0, 12333, '\P{Is_Canonical_Combining_Class=0000000222}', "");
    Expect(1, 12333, '\P{^Is_Canonical_Combining_Class=0000000222}', "");
    Expect(0, 12334, '\p{Is_Canonical_Combining_Class=0000000222}', "");
    Expect(1, 12334, '\p{^Is_Canonical_Combining_Class=0000000222}', "");
    Expect(1, 12334, '\P{Is_Canonical_Combining_Class=0000000222}', "");
    Expect(0, 12334, '\P{^Is_Canonical_Combining_Class=0000000222}', "");
    Error('\p{Is_Ccc=:=		BELOW_Right}');
    Error('\P{Is_Ccc=:=		BELOW_Right}');
    Expect(1, 12333, '\p{Is_Ccc=belowright}', "");
    Expect(0, 12333, '\p{^Is_Ccc=belowright}', "");
    Expect(0, 12333, '\P{Is_Ccc=belowright}', "");
    Expect(1, 12333, '\P{^Is_Ccc=belowright}', "");
    Expect(0, 12334, '\p{Is_Ccc=belowright}', "");
    Expect(1, 12334, '\p{^Is_Ccc=belowright}', "");
    Expect(1, 12334, '\P{Is_Ccc=belowright}', "");
    Expect(0, 12334, '\P{^Is_Ccc=belowright}', "");
    Expect(1, 12333, '\p{Is_Ccc=BELOW_RIGHT}', "");
    Expect(0, 12333, '\p{^Is_Ccc=BELOW_RIGHT}', "");
    Expect(0, 12333, '\P{Is_Ccc=BELOW_RIGHT}', "");
    Expect(1, 12333, '\P{^Is_Ccc=BELOW_RIGHT}', "");
    Expect(0, 12334, '\p{Is_Ccc=BELOW_RIGHT}', "");
    Expect(1, 12334, '\p{^Is_Ccc=BELOW_RIGHT}', "");
    Expect(1, 12334, '\P{Is_Ccc=BELOW_RIGHT}', "");
    Expect(0, 12334, '\P{^Is_Ccc=BELOW_RIGHT}', "");
    Error('\p{Canonical_Combining_Class= _CCC10:=}');
    Error('\P{Canonical_Combining_Class= _CCC10:=}');
    Expect(1, 1456, '\p{Canonical_Combining_Class=:\ACCC10\z:}', "");;
    Expect(0, 1457, '\p{Canonical_Combining_Class=:\ACCC10\z:}', "");;
    Expect(1, 1456, '\p{Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1456, '\p{^Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1456, '\P{Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1456, '\P{^Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1457, '\p{Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1457, '\p{^Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1457, '\P{Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1457, '\P{^Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1456, '\p{Canonical_Combining_Class=:\Accc10\z:}', "");;
    Expect(0, 1457, '\p{Canonical_Combining_Class=:\Accc10\z:}', "");;
    Expect(1, 1456, '\p{Canonical_Combining_Class=_CCC10}', "");
    Expect(0, 1456, '\p{^Canonical_Combining_Class=_CCC10}', "");
    Expect(0, 1456, '\P{Canonical_Combining_Class=_CCC10}', "");
    Expect(1, 1456, '\P{^Canonical_Combining_Class=_CCC10}', "");
    Expect(0, 1457, '\p{Canonical_Combining_Class=_CCC10}', "");
    Expect(1, 1457, '\p{^Canonical_Combining_Class=_CCC10}', "");
    Expect(1, 1457, '\P{Canonical_Combining_Class=_CCC10}', "");
    Expect(0, 1457, '\P{^Canonical_Combining_Class=_CCC10}', "");
    Error('\p{Ccc=/a/ 010}');
    Error('\P{Ccc=/a/ 010}');
    Expect(1, 1456, '\p{Ccc=:\A10\z:}', "");;
    Expect(0, 1457, '\p{Ccc=:\A10\z:}', "");;
    Expect(1, 1456, '\p{Ccc=+00000000010}', "");
    Expect(0, 1456, '\p{^Ccc=+00000000010}', "");
    Expect(0, 1456, '\P{Ccc=+00000000010}', "");
    Expect(1, 1456, '\P{^Ccc=+00000000010}', "");
    Expect(0, 1457, '\p{Ccc=+00000000010}', "");
    Expect(1, 1457, '\p{^Ccc=+00000000010}', "");
    Expect(1, 1457, '\P{Ccc=+00000000010}', "");
    Expect(0, 1457, '\P{^Ccc=+00000000010}', "");
    Error('\p{Is_Canonical_Combining_Class=_ CCC10:=}');
    Error('\P{Is_Canonical_Combining_Class=_ CCC10:=}');
    Expect(1, 1456, '\p{Is_Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1456, '\p{^Is_Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1456, '\P{Is_Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1456, '\P{^Is_Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1457, '\p{Is_Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1457, '\p{^Is_Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1457, '\P{Is_Canonical_Combining_Class=ccc10}', "");
    Expect(0, 1457, '\P{^Is_Canonical_Combining_Class=ccc10}', "");
    Expect(1, 1456, '\p{Is_Canonical_Combining_Class:	_CCC10}', "");
    Expect(0, 1456, '\p{^Is_Canonical_Combining_Class:	_CCC10}', "");
    Expect(0, 1456, '\P{Is_Canonical_Combining_Class:	_CCC10}', "");
    Expect(1, 1456, '\P{^Is_Canonical_Combining_Class:	_CCC10}', "");
    Expect(0, 1457, '\p{Is_Canonical_Combining_Class:	_CCC10}', "");
    Expect(1, 1457, '\p{^Is_Canonical_Combining_Class:	_CCC10}', "");
    Expect(1, 1457, '\P{Is_Canonical_Combining_Class:	_CCC10}', "");
    Expect(0, 1457, '\P{^Is_Canonical_Combining_Class:	_CCC10}', "");
    Error('\p{Is_Ccc=:=0000010}');
    Error('\P{Is_Ccc=:=0000010}');
    Expect(1, 1456, '\p{Is_Ccc:	10}', "");
    Expect(0, 1456, '\p{^Is_Ccc:	10}', "");
    Expect(0, 1456, '\P{Is_Ccc:	10}', "");
    Expect(1, 1456, '\P{^Is_Ccc:	10}', "");
    Expect(0, 1457, '\p{Is_Ccc:	10}', "");
    Expect(1, 1457, '\p{^Is_Ccc:	10}', "");
    Expect(1, 1457, '\P{Is_Ccc:	10}', "");
    Expect(0, 1457, '\P{^Is_Ccc:	10}', "");
    Error('\p{Canonical_Combining_Class=- CCC103:=}');
    Error('\P{Canonical_Combining_Class=- CCC103:=}');
    Expect(1, 3641, '\p{Canonical_Combining_Class=:\ACCC103\z:}', "");;
    Expect(0, 3642, '\p{Canonical_Combining_Class=:\ACCC103\z:}', "");;
    Expect(1, 3641, '\p{Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3641, '\p{^Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3641, '\P{Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3641, '\P{^Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3642, '\p{Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3642, '\p{^Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3642, '\P{Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3642, '\P{^Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3641, '\p{Canonical_Combining_Class=:\Accc103\z:}', "");;
    Expect(0, 3642, '\p{Canonical_Combining_Class=:\Accc103\z:}', "");;
    Expect(1, 3641, '\p{Canonical_Combining_Class=-	CCC103}', "");
    Expect(0, 3641, '\p{^Canonical_Combining_Class=-	CCC103}', "");
    Expect(0, 3641, '\P{Canonical_Combining_Class=-	CCC103}', "");
    Expect(1, 3641, '\P{^Canonical_Combining_Class=-	CCC103}', "");
    Expect(0, 3642, '\p{Canonical_Combining_Class=-	CCC103}', "");
    Expect(1, 3642, '\p{^Canonical_Combining_Class=-	CCC103}', "");
    Expect(1, 3642, '\P{Canonical_Combining_Class=-	CCC103}', "");
    Expect(0, 3642, '\P{^Canonical_Combining_Class=-	CCC103}', "");
    Error('\p{Ccc=_	0_0_0_0_0_0_0_0_1_03/a/}');
    Error('\P{Ccc=_	0_0_0_0_0_0_0_0_1_03/a/}');
    Expect(1, 3641, '\p{Ccc=:\A103\z:}', "");;
    Expect(0, 3642, '\p{Ccc=:\A103\z:}', "");;
    Expect(1, 3641, '\p{Ccc=000_010_3}', "");
    Expect(0, 3641, '\p{^Ccc=000_010_3}', "");
    Expect(0, 3641, '\P{Ccc=000_010_3}', "");
    Expect(1, 3641, '\P{^Ccc=000_010_3}', "");
    Expect(0, 3642, '\p{Ccc=000_010_3}', "");
    Expect(1, 3642, '\p{^Ccc=000_010_3}', "");
    Expect(1, 3642, '\P{Ccc=000_010_3}', "");
    Expect(0, 3642, '\P{^Ccc=000_010_3}', "");
    Error('\p{Is_Canonical_Combining_Class=:=	CCC103}');
    Error('\P{Is_Canonical_Combining_Class=:=	CCC103}');
    Expect(1, 3641, '\p{Is_Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3641, '\p{^Is_Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3641, '\P{Is_Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3641, '\P{^Is_Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3642, '\p{Is_Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3642, '\p{^Is_Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3642, '\P{Is_Canonical_Combining_Class=ccc103}', "");
    Expect(0, 3642, '\P{^Is_Canonical_Combining_Class=ccc103}', "");
    Expect(1, 3641, '\p{Is_Canonical_Combining_Class= CCC103}', "");
    Expect(0, 3641, '\p{^Is_Canonical_Combining_Class= CCC103}', "");
    Expect(0, 3641, '\P{Is_Canonical_Combining_Class= CCC103}', "");
    Expect(1, 3641, '\P{^Is_Canonical_Combining_Class= CCC103}', "");
    Expect(0, 3642, '\p{Is_Canonical_Combining_Class= CCC103}', "");
    Expect(1, 3642, '\p{^Is_Canonical_Combining_Class= CCC103}', "");
    Expect(1, 3642, '\P{Is_Canonical_Combining_Class= CCC103}', "");
    Expect(0, 3642, '\P{^Is_Canonical_Combining_Class= CCC103}', "");
    Error('\p{Is_Ccc=_/a/0000103}');
    Error('\P{Is_Ccc=_/a/0000103}');
    Expect(1, 3641, '\p{Is_Ccc=00000_00010_3}', "");
    Expect(0, 3641, '\p{^Is_Ccc=00000_00010_3}', "");
    Expect(0, 3641, '\P{Is_Ccc=00000_00010_3}', "");
    Expect(1, 3641, '\P{^Is_Ccc=00000_00010_3}', "");
    Expect(0, 3642, '\p{Is_Ccc=00000_00010_3}', "");
    Expect(1, 3642, '\p{^Is_Ccc=00000_00010_3}', "");
    Expect(1, 3642, '\P{Is_Ccc=00000_00010_3}', "");
    Expect(0, 3642, '\P{^Is_Ccc=00000_00010_3}', "");
    Error('\p{Canonical_Combining_Class=_ CCC107:=}');
    Error('\P{Canonical_Combining_Class=_ CCC107:=}');
    Expect(1, 3659, '\p{Canonical_Combining_Class=:\ACCC107\z:}', "");;
    Expect(0, 3660, '\p{Canonical_Combining_Class=:\ACCC107\z:}', "");;
    Expect(1, 3659, '\p{Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3659, '\p{^Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3659, '\P{Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3659, '\P{^Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3660, '\p{Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3660, '\p{^Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3660, '\P{Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3660, '\P{^Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3659, '\p{Canonical_Combining_Class=:\Accc107\z:}', "");;
    Expect(0, 3660, '\p{Canonical_Combining_Class=:\Accc107\z:}', "");;
    Expect(1, 3659, '\p{Canonical_Combining_Class= CCC107}', "");
    Expect(0, 3659, '\p{^Canonical_Combining_Class= CCC107}', "");
    Expect(0, 3659, '\P{Canonical_Combining_Class= CCC107}', "");
    Expect(1, 3659, '\P{^Canonical_Combining_Class= CCC107}', "");
    Expect(0, 3660, '\p{Canonical_Combining_Class= CCC107}', "");
    Expect(1, 3660, '\p{^Canonical_Combining_Class= CCC107}', "");
    Expect(1, 3660, '\P{Canonical_Combining_Class= CCC107}', "");
    Expect(0, 3660, '\P{^Canonical_Combining_Class= CCC107}', "");
    Error('\p{Ccc=  000000000107/a/}');
    Error('\P{Ccc=  000000000107/a/}');
    Expect(1, 3659, '\p{Ccc=:\A107\z:}', "");;
    Expect(0, 3660, '\p{Ccc=:\A107\z:}', "");;
    Expect(1, 3659, '\p{Ccc=00107}', "");
    Expect(0, 3659, '\p{^Ccc=00107}', "");
    Expect(0, 3659, '\P{Ccc=00107}', "");
    Expect(1, 3659, '\P{^Ccc=00107}', "");
    Expect(0, 3660, '\p{Ccc=00107}', "");
    Expect(1, 3660, '\p{^Ccc=00107}', "");
    Expect(1, 3660, '\P{Ccc=00107}', "");
    Expect(0, 3660, '\P{^Ccc=00107}', "");
    Error('\p{Is_Canonical_Combining_Class=_:=ccc107}');
    Error('\P{Is_Canonical_Combining_Class=_:=ccc107}');
    Expect(1, 3659, '\p{Is_Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3659, '\p{^Is_Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3659, '\P{Is_Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3659, '\P{^Is_Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3660, '\p{Is_Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3660, '\p{^Is_Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3660, '\P{Is_Canonical_Combining_Class=ccc107}', "");
    Expect(0, 3660, '\P{^Is_Canonical_Combining_Class=ccc107}', "");
    Expect(1, 3659, '\p{Is_Canonical_Combining_Class=__CCC107}', "");
    Expect(0, 3659, '\p{^Is_Canonical_Combining_Class=__CCC107}', "");
    Expect(0, 3659, '\P{Is_Canonical_Combining_Class=__CCC107}', "");
    Expect(1, 3659, '\P{^Is_Canonical_Combining_Class=__CCC107}', "");
    Expect(0, 3660, '\p{Is_Canonical_Combining_Class=__CCC107}', "");
    Expect(1, 3660, '\p{^Is_Canonical_Combining_Class=__CCC107}', "");
    Expect(1, 3660, '\P{Is_Canonical_Combining_Class=__CCC107}', "");
    Expect(0, 3660, '\P{^Is_Canonical_Combining_Class=__CCC107}', "");
    Error('\p{Is_Ccc=--+00000000107/a/}');
    Error('\P{Is_Ccc=--+00000000107/a/}');
    Expect(1, 3659, '\p{Is_Ccc: +0000107}', "");
    Expect(0, 3659, '\p{^Is_Ccc: +0000107}', "");
    Expect(0, 3659, '\P{Is_Ccc: +0000107}', "");
    Expect(1, 3659, '\P{^Is_Ccc: +0000107}', "");
    Expect(0, 3660, '\p{Is_Ccc: +0000107}', "");
    Expect(1, 3660, '\p{^Is_Ccc: +0000107}', "");
    Expect(1, 3660, '\P{Is_Ccc: +0000107}', "");
    Expect(0, 3660, '\P{^Is_Ccc: +0000107}', "");
    Error('\p{Canonical_Combining_Class=:=_ccc11}');
    Error('\P{Canonical_Combining_Class=:=_ccc11}');
    Expect(1, 1457, '\p{Canonical_Combining_Class=:\ACCC11\z:}', "");;
    Expect(0, 1458, '\p{Canonical_Combining_Class=:\ACCC11\z:}', "");;
    Expect(1, 1457, '\p{Canonical_Combining_Class=ccc11}', "");
    Expect(0, 1457, '\p{^Canonical_Combining_Class=ccc11}', "");
    Expect(0, 1457, '\P{Canonical_Combining_Class=ccc11}', "");
    Expect(1, 1457, '\P{^Canonical_Combining_Class=ccc11}', "");
    Expect(0, 1458, '\p{Canonical_Combining_Class=ccc11}', "");
    Expect(1, 1458, '\p{^Canonical_Combining_Class=ccc11}', "");
    Expect(1, 1458, '\P{Canonical_Combining_Class=ccc11}', "");
    Expect(0, 1458, '\P{^Canonical_Combining_Class=ccc11}', "");
    Expect(1, 1457, '\p{Canonical_Combining_Class=:\Accc11\z:}', "");;
    Expect(0, 1458, '\p{Canonical_Combining_Class=:\Accc11\z:}', "");;
    Expect(1, 1457, '\p{Canonical_Combining_Class=  ccc11}', "");
    Expect(0, 1457, '\p{^Canonical_Combining_Class=  ccc11}', "");
    Expect(0, 1457, '\P{Canonical_Combining_Class=  ccc11}', "");
    Expect(1, 1457, '\P{^Canonical_Combining_Class=  ccc11}', "");
    Expect(0, 1458, '\p{Canonical_Combining_Class=  ccc11}', "");
    Expect(1, 1458, '\p{^Canonical_Combining_Class=  ccc11}', "");
    Expect(1, 1458, '\P{Canonical_Combining_Class=  ccc11}', "");
    Expect(0, 1458, '\P{^Canonical_Combining_Class=  ccc11}', "");
    Error('\p{Ccc=/a/	 0_0_11}');
    Error('\P{Ccc=/a/	 0_0_11}');
    Expect(1, 1457, '\p{Ccc=:\A11\z:}', "");;
    Expect(0, 1458, '\p{Ccc=:\A11\z:}', "");;
    Expect(1, 1457, '\p{Ccc=1_1}', "");
    Expect(0, 1457, '\p{^Ccc=1_1}', "");
    Expect(0, 1457, '\P{Ccc=1_1}', "");
    Expect(1, 1457, '\P{^Ccc=1_1}', "");
    Expect(0, 1458, '\p{Ccc=1_1}', "");
    Expect(1, 1458, '\p{^Ccc=1_1}', "");
    Expect(1, 1458, '\P{Ccc=1_1}', "");
    Expect(0, 1458, '\P{^Ccc=1_1}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/__CCC11}');
    Error('\P{Is_Canonical_Combining_Class=/a/__CCC11}');
    Expect(1, 1457, '\p{Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(0, 1457, '\p{^Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(0, 1457, '\P{Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(1, 1457, '\P{^Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(0, 1458, '\p{Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(1, 1458, '\p{^Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(1, 1458, '\P{Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(0, 1458, '\P{^Is_Canonical_Combining_Class:   ccc11}', "");
    Expect(1, 1457, '\p{Is_Canonical_Combining_Class=	ccc11}', "");
    Expect(0, 1457, '\p{^Is_Canonical_Combining_Class=	ccc11}', "");
    Expect(0, 1457, '\P{Is_Canonical_Combining_Class=	ccc11}', "");
    Expect(1, 1457, '\P{^Is_Canonical_Combining_Class=	ccc11}', "");
    Expect(0, 1458, '\p{Is_Canonical_Combining_Class=	ccc11}', "");
    Expect(1, 1458, '\p{^Is_Canonical_Combining_Class=	ccc11}', "");
    Expect(1, 1458, '\P{Is_Canonical_Combining_Class=	ccc11}', "");
    Expect(0, 1458, '\P{^Is_Canonical_Combining_Class=	ccc11}', "");
    Error('\p{Is_Ccc=__011:=}');
    Error('\P{Is_Ccc=__011:=}');
    Expect(1, 1457, '\p{Is_Ccc:01_1}', "");
    Expect(0, 1457, '\p{^Is_Ccc:01_1}', "");
    Expect(0, 1457, '\P{Is_Ccc:01_1}', "");
    Expect(1, 1457, '\P{^Is_Ccc:01_1}', "");
    Expect(0, 1458, '\p{Is_Ccc:01_1}', "");
    Expect(1, 1458, '\p{^Is_Ccc:01_1}', "");
    Expect(1, 1458, '\P{Is_Ccc:01_1}', "");
    Expect(0, 1458, '\P{^Is_Ccc:01_1}', "");
    Error('\p{Canonical_Combining_Class=	:=CCC118}');
    Error('\P{Canonical_Combining_Class=	:=CCC118}');
    Expect(1, 3769, '\p{Canonical_Combining_Class=:\ACCC118\z:}', "");;
    Expect(0, 3770, '\p{Canonical_Combining_Class=:\ACCC118\z:}', "");;
    Expect(1, 3769, '\p{Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3769, '\p{^Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3769, '\P{Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3769, '\P{^Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3770, '\p{Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3770, '\p{^Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3770, '\P{Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3770, '\P{^Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3769, '\p{Canonical_Combining_Class=:\Accc118\z:}', "");;
    Expect(0, 3770, '\p{Canonical_Combining_Class=:\Accc118\z:}', "");;
    Expect(1, 3769, '\p{Canonical_Combining_Class=	CCC118}', "");
    Expect(0, 3769, '\p{^Canonical_Combining_Class=	CCC118}', "");
    Expect(0, 3769, '\P{Canonical_Combining_Class=	CCC118}', "");
    Expect(1, 3769, '\P{^Canonical_Combining_Class=	CCC118}', "");
    Expect(0, 3770, '\p{Canonical_Combining_Class=	CCC118}', "");
    Expect(1, 3770, '\p{^Canonical_Combining_Class=	CCC118}', "");
    Expect(1, 3770, '\P{Canonical_Combining_Class=	CCC118}', "");
    Expect(0, 3770, '\P{^Canonical_Combining_Class=	CCC118}', "");
    Error('\p{Ccc=+0_0_0_0_0_0118:=}');
    Error('\P{Ccc=+0_0_0_0_0_0118:=}');
    Expect(1, 3769, '\p{Ccc=:\A118\z:}', "");;
    Expect(0, 3770, '\p{Ccc=:\A118\z:}', "");;
    Expect(1, 3769, '\p{Ccc=000000000118}', "");
    Expect(0, 3769, '\p{^Ccc=000000000118}', "");
    Expect(0, 3769, '\P{Ccc=000000000118}', "");
    Expect(1, 3769, '\P{^Ccc=000000000118}', "");
    Expect(0, 3770, '\p{Ccc=000000000118}', "");
    Expect(1, 3770, '\p{^Ccc=000000000118}', "");
    Expect(1, 3770, '\P{Ccc=000000000118}', "");
    Expect(0, 3770, '\P{^Ccc=000000000118}', "");
    Error('\p{Is_Canonical_Combining_Class:	/a/ ccc118}');
    Error('\P{Is_Canonical_Combining_Class:	/a/ ccc118}');
    Expect(1, 3769, '\p{Is_Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3769, '\p{^Is_Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3769, '\P{Is_Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3769, '\P{^Is_Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3770, '\p{Is_Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3770, '\p{^Is_Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3770, '\P{Is_Canonical_Combining_Class=ccc118}', "");
    Expect(0, 3770, '\P{^Is_Canonical_Combining_Class=ccc118}', "");
    Expect(1, 3769, '\p{Is_Canonical_Combining_Class=_	CCC118}', "");
    Expect(0, 3769, '\p{^Is_Canonical_Combining_Class=_	CCC118}', "");
    Expect(0, 3769, '\P{Is_Canonical_Combining_Class=_	CCC118}', "");
    Expect(1, 3769, '\P{^Is_Canonical_Combining_Class=_	CCC118}', "");
    Expect(0, 3770, '\p{Is_Canonical_Combining_Class=_	CCC118}', "");
    Expect(1, 3770, '\p{^Is_Canonical_Combining_Class=_	CCC118}', "");
    Expect(1, 3770, '\P{Is_Canonical_Combining_Class=_	CCC118}', "");
    Expect(0, 3770, '\P{^Is_Canonical_Combining_Class=_	CCC118}', "");
    Error('\p{Is_Ccc=/a/00000000118}');
    Error('\P{Is_Ccc=/a/00000000118}');
    Expect(1, 3769, '\p{Is_Ccc=000118}', "");
    Expect(0, 3769, '\p{^Is_Ccc=000118}', "");
    Expect(0, 3769, '\P{Is_Ccc=000118}', "");
    Expect(1, 3769, '\P{^Is_Ccc=000118}', "");
    Expect(0, 3770, '\p{Is_Ccc=000118}', "");
    Expect(1, 3770, '\p{^Is_Ccc=000118}', "");
    Expect(1, 3770, '\P{Is_Ccc=000118}', "");
    Expect(0, 3770, '\P{^Is_Ccc=000118}', "");
    Error('\p{Canonical_Combining_Class= 	CCC12:=}');
    Error('\P{Canonical_Combining_Class= 	CCC12:=}');
    Expect(1, 1458, '\p{Canonical_Combining_Class=:\ACCC12\z:}', "");;
    Expect(0, 1459, '\p{Canonical_Combining_Class=:\ACCC12\z:}', "");;
    Expect(1, 1458, '\p{Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1458, '\p{^Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1458, '\P{Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1458, '\P{^Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1459, '\p{Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1459, '\p{^Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1459, '\P{Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1459, '\P{^Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1458, '\p{Canonical_Combining_Class=:\Accc12\z:}', "");;
    Expect(0, 1459, '\p{Canonical_Combining_Class=:\Accc12\z:}', "");;
    Expect(1, 1458, '\p{Canonical_Combining_Class= _CCC12}', "");
    Expect(0, 1458, '\p{^Canonical_Combining_Class= _CCC12}', "");
    Expect(0, 1458, '\P{Canonical_Combining_Class= _CCC12}', "");
    Expect(1, 1458, '\P{^Canonical_Combining_Class= _CCC12}', "");
    Expect(0, 1459, '\p{Canonical_Combining_Class= _CCC12}', "");
    Expect(1, 1459, '\p{^Canonical_Combining_Class= _CCC12}', "");
    Expect(1, 1459, '\P{Canonical_Combining_Class= _CCC12}', "");
    Expect(0, 1459, '\P{^Canonical_Combining_Class= _CCC12}', "");
    Error('\p{Ccc:   :=	0000000012}');
    Error('\P{Ccc:   :=	0000000012}');
    Expect(1, 1458, '\p{Ccc=:\A12\z:}', "");;
    Expect(0, 1459, '\p{Ccc=:\A12\z:}', "");;
    Expect(1, 1458, '\p{Ccc=000001_2}', "");
    Expect(0, 1458, '\p{^Ccc=000001_2}', "");
    Expect(0, 1458, '\P{Ccc=000001_2}', "");
    Expect(1, 1458, '\P{^Ccc=000001_2}', "");
    Expect(0, 1459, '\p{Ccc=000001_2}', "");
    Expect(1, 1459, '\p{^Ccc=000001_2}', "");
    Expect(1, 1459, '\P{Ccc=000001_2}', "");
    Expect(0, 1459, '\P{^Ccc=000001_2}', "");
    Error('\p{Is_Canonical_Combining_Class=_/a/CCC12}');
    Error('\P{Is_Canonical_Combining_Class=_/a/CCC12}');
    Expect(1, 1458, '\p{Is_Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1458, '\p{^Is_Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1458, '\P{Is_Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1458, '\P{^Is_Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1459, '\p{Is_Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1459, '\p{^Is_Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1459, '\P{Is_Canonical_Combining_Class=ccc12}', "");
    Expect(0, 1459, '\P{^Is_Canonical_Combining_Class=ccc12}', "");
    Expect(1, 1458, '\p{Is_Canonical_Combining_Class= 	ccc12}', "");
    Expect(0, 1458, '\p{^Is_Canonical_Combining_Class= 	ccc12}', "");
    Expect(0, 1458, '\P{Is_Canonical_Combining_Class= 	ccc12}', "");
    Expect(1, 1458, '\P{^Is_Canonical_Combining_Class= 	ccc12}', "");
    Expect(0, 1459, '\p{Is_Canonical_Combining_Class= 	ccc12}', "");
    Expect(1, 1459, '\p{^Is_Canonical_Combining_Class= 	ccc12}', "");
    Expect(1, 1459, '\P{Is_Canonical_Combining_Class= 	ccc12}', "");
    Expect(0, 1459, '\P{^Is_Canonical_Combining_Class= 	ccc12}', "");
    Error('\p{Is_Ccc=_/a/00_00_00_12}');
    Error('\P{Is_Ccc=_/a/00_00_00_12}');
    Expect(1, 1458, '\p{Is_Ccc=0000000012}', "");
    Expect(0, 1458, '\p{^Is_Ccc=0000000012}', "");
    Expect(0, 1458, '\P{Is_Ccc=0000000012}', "");
    Expect(1, 1458, '\P{^Is_Ccc=0000000012}', "");
    Expect(0, 1459, '\p{Is_Ccc=0000000012}', "");
    Expect(1, 1459, '\p{^Is_Ccc=0000000012}', "");
    Expect(1, 1459, '\P{Is_Ccc=0000000012}', "");
    Expect(0, 1459, '\P{^Is_Ccc=0000000012}', "");
    Error('\p{Canonical_Combining_Class= CCC122:=}');
    Error('\P{Canonical_Combining_Class= CCC122:=}');
    Expect(1, 3787, '\p{Canonical_Combining_Class=:\ACCC122\z:}', "");;
    Expect(0, 3788, '\p{Canonical_Combining_Class=:\ACCC122\z:}', "");;
    Expect(1, 3787, '\p{Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3787, '\p{^Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3787, '\P{Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3787, '\P{^Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3788, '\p{Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3788, '\p{^Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3788, '\P{Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3788, '\P{^Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3787, '\p{Canonical_Combining_Class=:\Accc122\z:}', "");;
    Expect(0, 3788, '\p{Canonical_Combining_Class=:\Accc122\z:}', "");;
    Expect(1, 3787, '\p{Canonical_Combining_Class:   	_ccc122}', "");
    Expect(0, 3787, '\p{^Canonical_Combining_Class:   	_ccc122}', "");
    Expect(0, 3787, '\P{Canonical_Combining_Class:   	_ccc122}', "");
    Expect(1, 3787, '\P{^Canonical_Combining_Class:   	_ccc122}', "");
    Expect(0, 3788, '\p{Canonical_Combining_Class:   	_ccc122}', "");
    Expect(1, 3788, '\p{^Canonical_Combining_Class:   	_ccc122}', "");
    Expect(1, 3788, '\P{Canonical_Combining_Class:   	_ccc122}', "");
    Expect(0, 3788, '\P{^Canonical_Combining_Class:   	_ccc122}', "");
    Error('\p{Ccc=__00_00_01_22/a/}');
    Error('\P{Ccc=__00_00_01_22/a/}');
    Expect(1, 3787, '\p{Ccc=:\A122\z:}', "");;
    Expect(0, 3788, '\p{Ccc=:\A122\z:}', "");;
    Expect(1, 3787, '\p{Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Expect(0, 3787, '\p{^Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Expect(0, 3787, '\P{Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Expect(1, 3787, '\P{^Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Expect(0, 3788, '\p{Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Expect(1, 3788, '\p{^Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Expect(1, 3788, '\P{Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Expect(0, 3788, '\P{^Ccc: +0_0_0_0_0_0_0_1_22}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/_ CCC122}');
    Error('\P{Is_Canonical_Combining_Class=/a/_ CCC122}');
    Expect(1, 3787, '\p{Is_Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3787, '\p{^Is_Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3787, '\P{Is_Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3787, '\P{^Is_Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3788, '\p{Is_Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3788, '\p{^Is_Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3788, '\P{Is_Canonical_Combining_Class=ccc122}', "");
    Expect(0, 3788, '\P{^Is_Canonical_Combining_Class=ccc122}', "");
    Expect(1, 3787, '\p{Is_Canonical_Combining_Class: -_CCC122}', "");
    Expect(0, 3787, '\p{^Is_Canonical_Combining_Class: -_CCC122}', "");
    Expect(0, 3787, '\P{Is_Canonical_Combining_Class: -_CCC122}', "");
    Expect(1, 3787, '\P{^Is_Canonical_Combining_Class: -_CCC122}', "");
    Expect(0, 3788, '\p{Is_Canonical_Combining_Class: -_CCC122}', "");
    Expect(1, 3788, '\p{^Is_Canonical_Combining_Class: -_CCC122}', "");
    Expect(1, 3788, '\P{Is_Canonical_Combining_Class: -_CCC122}', "");
    Expect(0, 3788, '\P{^Is_Canonical_Combining_Class: -_CCC122}', "");
    Error('\p{Is_Ccc=/a/ +000122}');
    Error('\P{Is_Ccc=/a/ +000122}');
    Expect(1, 3787, '\p{Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Expect(0, 3787, '\p{^Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Expect(0, 3787, '\P{Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Expect(1, 3787, '\P{^Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Expect(0, 3788, '\p{Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Expect(1, 3788, '\p{^Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Expect(1, 3788, '\P{Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Expect(0, 3788, '\P{^Is_Ccc: 0_0_0_0_0_0_000122}', "");
    Error('\p{Canonical_Combining_Class=_	ccc129:=}');
    Error('\P{Canonical_Combining_Class=_	ccc129:=}');
    Expect(1, 3953, '\p{Canonical_Combining_Class=:\ACCC129\z:}', "");;
    Expect(0, 3954, '\p{Canonical_Combining_Class=:\ACCC129\z:}', "");;
    Expect(1, 3953, '\p{Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3953, '\p{^Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3953, '\P{Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3953, '\P{^Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3954, '\p{Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3954, '\p{^Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3954, '\P{Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3954, '\P{^Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3953, '\p{Canonical_Combining_Class=:\Accc129\z:}', "");;
    Expect(0, 3954, '\p{Canonical_Combining_Class=:\Accc129\z:}', "");;
    Expect(1, 3953, '\p{Canonical_Combining_Class=	CCC129}', "");
    Expect(0, 3953, '\p{^Canonical_Combining_Class=	CCC129}', "");
    Expect(0, 3953, '\P{Canonical_Combining_Class=	CCC129}', "");
    Expect(1, 3953, '\P{^Canonical_Combining_Class=	CCC129}', "");
    Expect(0, 3954, '\p{Canonical_Combining_Class=	CCC129}', "");
    Expect(1, 3954, '\p{^Canonical_Combining_Class=	CCC129}', "");
    Expect(1, 3954, '\P{Canonical_Combining_Class=	CCC129}', "");
    Expect(0, 3954, '\P{^Canonical_Combining_Class=	CCC129}', "");
    Error('\p{Ccc=	012_9/a/}');
    Error('\P{Ccc=	012_9/a/}');
    Expect(1, 3953, '\p{Ccc=:\A129\z:}', "");;
    Expect(0, 3954, '\p{Ccc=:\A129\z:}', "");;
    Expect(1, 3953, '\p{Ccc=0000_0001_29}', "");
    Expect(0, 3953, '\p{^Ccc=0000_0001_29}', "");
    Expect(0, 3953, '\P{Ccc=0000_0001_29}', "");
    Expect(1, 3953, '\P{^Ccc=0000_0001_29}', "");
    Expect(0, 3954, '\p{Ccc=0000_0001_29}', "");
    Expect(1, 3954, '\p{^Ccc=0000_0001_29}', "");
    Expect(1, 3954, '\P{Ccc=0000_0001_29}', "");
    Expect(0, 3954, '\P{^Ccc=0000_0001_29}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/_CCC129}');
    Error('\P{Is_Canonical_Combining_Class=/a/_CCC129}');
    Expect(1, 3953, '\p{Is_Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3953, '\p{^Is_Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3953, '\P{Is_Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3953, '\P{^Is_Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3954, '\p{Is_Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3954, '\p{^Is_Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3954, '\P{Is_Canonical_Combining_Class=ccc129}', "");
    Expect(0, 3954, '\P{^Is_Canonical_Combining_Class=ccc129}', "");
    Expect(1, 3953, '\p{Is_Canonical_Combining_Class=	_ccc129}', "");
    Expect(0, 3953, '\p{^Is_Canonical_Combining_Class=	_ccc129}', "");
    Expect(0, 3953, '\P{Is_Canonical_Combining_Class=	_ccc129}', "");
    Expect(1, 3953, '\P{^Is_Canonical_Combining_Class=	_ccc129}', "");
    Expect(0, 3954, '\p{Is_Canonical_Combining_Class=	_ccc129}', "");
    Expect(1, 3954, '\p{^Is_Canonical_Combining_Class=	_ccc129}', "");
    Expect(1, 3954, '\P{Is_Canonical_Combining_Class=	_ccc129}', "");
    Expect(0, 3954, '\P{^Is_Canonical_Combining_Class=	_ccc129}', "");
    Error('\p{Is_Ccc=_/a/+00129}');
    Error('\P{Is_Ccc=_/a/+00129}');
    Expect(1, 3953, '\p{Is_Ccc=12_9}', "");
    Expect(0, 3953, '\p{^Is_Ccc=12_9}', "");
    Expect(0, 3953, '\P{Is_Ccc=12_9}', "");
    Expect(1, 3953, '\P{^Is_Ccc=12_9}', "");
    Expect(0, 3954, '\p{Is_Ccc=12_9}', "");
    Expect(1, 3954, '\p{^Is_Ccc=12_9}', "");
    Expect(1, 3954, '\P{Is_Ccc=12_9}', "");
    Expect(0, 3954, '\P{^Is_Ccc=12_9}', "");
    Error('\p{Canonical_Combining_Class=/a/CCC13}');
    Error('\P{Canonical_Combining_Class=/a/CCC13}');
    Expect(1, 1459, '\p{Canonical_Combining_Class=:\ACCC13\z:}', "");;
    Expect(0, 1460, '\p{Canonical_Combining_Class=:\ACCC13\z:}', "");;
    Expect(1, 1459, '\p{Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1459, '\p{^Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1459, '\P{Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1459, '\P{^Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1460, '\p{Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1460, '\p{^Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1460, '\P{Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1460, '\P{^Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1459, '\p{Canonical_Combining_Class=:\Accc13\z:}', "");;
    Expect(0, 1460, '\p{Canonical_Combining_Class=:\Accc13\z:}', "");;
    Expect(1, 1459, '\p{Canonical_Combining_Class=	CCC13}', "");
    Expect(0, 1459, '\p{^Canonical_Combining_Class=	CCC13}', "");
    Expect(0, 1459, '\P{Canonical_Combining_Class=	CCC13}', "");
    Expect(1, 1459, '\P{^Canonical_Combining_Class=	CCC13}', "");
    Expect(0, 1460, '\p{Canonical_Combining_Class=	CCC13}', "");
    Expect(1, 1460, '\p{^Canonical_Combining_Class=	CCC13}', "");
    Expect(1, 1460, '\P{Canonical_Combining_Class=	CCC13}', "");
    Expect(0, 1460, '\P{^Canonical_Combining_Class=	CCC13}', "");
    Error('\p{Ccc= -+0000013:=}');
    Error('\P{Ccc= -+0000013:=}');
    Expect(1, 1459, '\p{Ccc=:\A13\z:}', "");;
    Expect(0, 1460, '\p{Ccc=:\A13\z:}', "");;
    Expect(1, 1459, '\p{Ccc=+0_0_0_013}', "");
    Expect(0, 1459, '\p{^Ccc=+0_0_0_013}', "");
    Expect(0, 1459, '\P{Ccc=+0_0_0_013}', "");
    Expect(1, 1459, '\P{^Ccc=+0_0_0_013}', "");
    Expect(0, 1460, '\p{Ccc=+0_0_0_013}', "");
    Expect(1, 1460, '\p{^Ccc=+0_0_0_013}', "");
    Expect(1, 1460, '\P{Ccc=+0_0_0_013}', "");
    Expect(0, 1460, '\P{^Ccc=+0_0_0_013}', "");
    Error('\p{Is_Canonical_Combining_Class=-/a/CCC13}');
    Error('\P{Is_Canonical_Combining_Class=-/a/CCC13}');
    Expect(1, 1459, '\p{Is_Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1459, '\p{^Is_Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1459, '\P{Is_Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1459, '\P{^Is_Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1460, '\p{Is_Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1460, '\p{^Is_Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1460, '\P{Is_Canonical_Combining_Class=ccc13}', "");
    Expect(0, 1460, '\P{^Is_Canonical_Combining_Class=ccc13}', "");
    Expect(1, 1459, '\p{Is_Canonical_Combining_Class: 	-CCC13}', "");
    Expect(0, 1459, '\p{^Is_Canonical_Combining_Class: 	-CCC13}', "");
    Expect(0, 1459, '\P{Is_Canonical_Combining_Class: 	-CCC13}', "");
    Expect(1, 1459, '\P{^Is_Canonical_Combining_Class: 	-CCC13}', "");
    Expect(0, 1460, '\p{Is_Canonical_Combining_Class: 	-CCC13}', "");
    Expect(1, 1460, '\p{^Is_Canonical_Combining_Class: 	-CCC13}', "");
    Expect(1, 1460, '\P{Is_Canonical_Combining_Class: 	-CCC13}', "");
    Expect(0, 1460, '\P{^Is_Canonical_Combining_Class: 	-CCC13}', "");
    Error('\p{Is_Ccc=:= 01_3}');
    Error('\P{Is_Ccc=:= 01_3}');
    Expect(1, 1459, '\p{Is_Ccc=0_0_0_13}', "");
    Expect(0, 1459, '\p{^Is_Ccc=0_0_0_13}', "");
    Expect(0, 1459, '\P{Is_Ccc=0_0_0_13}', "");
    Expect(1, 1459, '\P{^Is_Ccc=0_0_0_13}', "");
    Expect(0, 1460, '\p{Is_Ccc=0_0_0_13}', "");
    Expect(1, 1460, '\p{^Is_Ccc=0_0_0_13}', "");
    Expect(1, 1460, '\P{Is_Ccc=0_0_0_13}', "");
    Expect(0, 1460, '\P{^Is_Ccc=0_0_0_13}', "");
    Error('\p{Canonical_Combining_Class=	CCC130:=}');
    Error('\P{Canonical_Combining_Class=	CCC130:=}');
    Expect(1, 3968, '\p{Canonical_Combining_Class=:\ACCC130\z:}', "");;
    Expect(0, 3969, '\p{Canonical_Combining_Class=:\ACCC130\z:}', "");;
    Expect(1, 3968, '\p{Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3968, '\p{^Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3968, '\P{Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3968, '\P{^Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3969, '\p{Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3969, '\p{^Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3969, '\P{Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3969, '\P{^Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3968, '\p{Canonical_Combining_Class=:\Accc130\z:}', "");;
    Expect(0, 3969, '\p{Canonical_Combining_Class=:\Accc130\z:}', "");;
    Expect(1, 3968, '\p{Canonical_Combining_Class:   _CCC130}', "");
    Expect(0, 3968, '\p{^Canonical_Combining_Class:   _CCC130}', "");
    Expect(0, 3968, '\P{Canonical_Combining_Class:   _CCC130}', "");
    Expect(1, 3968, '\P{^Canonical_Combining_Class:   _CCC130}', "");
    Expect(0, 3969, '\p{Canonical_Combining_Class:   _CCC130}', "");
    Expect(1, 3969, '\p{^Canonical_Combining_Class:   _CCC130}', "");
    Expect(1, 3969, '\P{Canonical_Combining_Class:   _CCC130}', "");
    Expect(0, 3969, '\P{^Canonical_Combining_Class:   _CCC130}', "");
    Error('\p{Ccc:_0_0_0_0_0_0_0_0_0_130:=}');
    Error('\P{Ccc:_0_0_0_0_0_0_0_0_0_130:=}');
    Expect(1, 3968, '\p{Ccc=:\A130\z:}', "");;
    Expect(0, 3969, '\p{Ccc=:\A130\z:}', "");;
    Expect(1, 3968, '\p{Ccc=00000000130}', "");
    Expect(0, 3968, '\p{^Ccc=00000000130}', "");
    Expect(0, 3968, '\P{Ccc=00000000130}', "");
    Expect(1, 3968, '\P{^Ccc=00000000130}', "");
    Expect(0, 3969, '\p{Ccc=00000000130}', "");
    Expect(1, 3969, '\p{^Ccc=00000000130}', "");
    Expect(1, 3969, '\P{Ccc=00000000130}', "");
    Expect(0, 3969, '\P{^Ccc=00000000130}', "");
    Error('\p{Is_Canonical_Combining_Class=-:=CCC130}');
    Error('\P{Is_Canonical_Combining_Class=-:=CCC130}');
    Expect(1, 3968, '\p{Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3968, '\p{^Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3968, '\P{Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3968, '\P{^Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3969, '\p{Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3969, '\p{^Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3969, '\P{Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(0, 3969, '\P{^Is_Canonical_Combining_Class:	ccc130}', "");
    Expect(1, 3968, '\p{Is_Canonical_Combining_Class=-	CCC130}', "");
    Expect(0, 3968, '\p{^Is_Canonical_Combining_Class=-	CCC130}', "");
    Expect(0, 3968, '\P{Is_Canonical_Combining_Class=-	CCC130}', "");
    Expect(1, 3968, '\P{^Is_Canonical_Combining_Class=-	CCC130}', "");
    Expect(0, 3969, '\p{Is_Canonical_Combining_Class=-	CCC130}', "");
    Expect(1, 3969, '\p{^Is_Canonical_Combining_Class=-	CCC130}', "");
    Expect(1, 3969, '\P{Is_Canonical_Combining_Class=-	CCC130}', "");
    Expect(0, 3969, '\P{^Is_Canonical_Combining_Class=-	CCC130}', "");
    Error('\p{Is_Ccc=:=--13_0}');
    Error('\P{Is_Ccc=:=--13_0}');
    Expect(1, 3968, '\p{Is_Ccc=0_0_1_30}', "");
    Expect(0, 3968, '\p{^Is_Ccc=0_0_1_30}', "");
    Expect(0, 3968, '\P{Is_Ccc=0_0_1_30}', "");
    Expect(1, 3968, '\P{^Is_Ccc=0_0_1_30}', "");
    Expect(0, 3969, '\p{Is_Ccc=0_0_1_30}', "");
    Expect(1, 3969, '\p{^Is_Ccc=0_0_1_30}', "");
    Expect(1, 3969, '\P{Is_Ccc=0_0_1_30}', "");
    Expect(0, 3969, '\P{^Is_Ccc=0_0_1_30}', "");
    Error('\p{Canonical_Combining_Class:  :=CCC132}');
    Error('\P{Canonical_Combining_Class:  :=CCC132}');
    Expect(1, 3956, '\p{Canonical_Combining_Class=:\ACCC132\z:}', "");;
    Expect(0, 3957, '\p{Canonical_Combining_Class=:\ACCC132\z:}', "");;
    Expect(1, 3956, '\p{Canonical_Combining_Class:   ccc132}', "");
    Expect(0, 3956, '\p{^Canonical_Combining_Class:   ccc132}', "");
    Expect(0, 3956, '\P{Canonical_Combining_Class:   ccc132}', "");
    Expect(1, 3956, '\P{^Canonical_Combining_Class:   ccc132}', "");
    Expect(0, 3957, '\p{Canonical_Combining_Class:   ccc132}', "");
    Expect(1, 3957, '\p{^Canonical_Combining_Class:   ccc132}', "");
    Expect(1, 3957, '\P{Canonical_Combining_Class:   ccc132}', "");
    Expect(0, 3957, '\P{^Canonical_Combining_Class:   ccc132}', "");
    Expect(1, 3956, '\p{Canonical_Combining_Class=:\Accc132\z:}', "");;
    Expect(0, 3957, '\p{Canonical_Combining_Class=:\Accc132\z:}', "");;
    Expect(1, 3956, '\p{Canonical_Combining_Class=	 CCC132}', "");
    Expect(0, 3956, '\p{^Canonical_Combining_Class=	 CCC132}', "");
    Expect(0, 3956, '\P{Canonical_Combining_Class=	 CCC132}', "");
    Expect(1, 3956, '\P{^Canonical_Combining_Class=	 CCC132}', "");
    Expect(0, 3957, '\p{Canonical_Combining_Class=	 CCC132}', "");
    Expect(1, 3957, '\p{^Canonical_Combining_Class=	 CCC132}', "");
    Expect(1, 3957, '\P{Canonical_Combining_Class=	 CCC132}', "");
    Expect(0, 3957, '\P{^Canonical_Combining_Class=	 CCC132}', "");
    Error('\p{Ccc:   /a/+013_2}');
    Error('\P{Ccc:   /a/+013_2}');
    Expect(1, 3956, '\p{Ccc=:\A132\z:}', "");;
    Expect(0, 3957, '\p{Ccc=:\A132\z:}', "");;
    Expect(1, 3956, '\p{Ccc=+000000000132}', "");
    Expect(0, 3956, '\p{^Ccc=+000000000132}', "");
    Expect(0, 3956, '\P{Ccc=+000000000132}', "");
    Expect(1, 3956, '\P{^Ccc=+000000000132}', "");
    Expect(0, 3957, '\p{Ccc=+000000000132}', "");
    Expect(1, 3957, '\p{^Ccc=+000000000132}', "");
    Expect(1, 3957, '\P{Ccc=+000000000132}', "");
    Expect(0, 3957, '\P{^Ccc=+000000000132}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/ _CCC132}');
    Error('\P{Is_Canonical_Combining_Class=/a/ _CCC132}');
    Expect(1, 3956, '\p{Is_Canonical_Combining_Class=ccc132}', "");
    Expect(0, 3956, '\p{^Is_Canonical_Combining_Class=ccc132}', "");
    Expect(0, 3956, '\P{Is_Canonical_Combining_Class=ccc132}', "");
    Expect(1, 3956, '\P{^Is_Canonical_Combining_Class=ccc132}', "");
    Expect(0, 3957, '\p{Is_Canonical_Combining_Class=ccc132}', "");
    Expect(1, 3957, '\p{^Is_Canonical_Combining_Class=ccc132}', "");
    Expect(1, 3957, '\P{Is_Canonical_Combining_Class=ccc132}', "");
    Expect(0, 3957, '\P{^Is_Canonical_Combining_Class=ccc132}', "");
    Expect(1, 3956, '\p{Is_Canonical_Combining_Class=_-CCC132}', "");
    Expect(0, 3956, '\p{^Is_Canonical_Combining_Class=_-CCC132}', "");
    Expect(0, 3956, '\P{Is_Canonical_Combining_Class=_-CCC132}', "");
    Expect(1, 3956, '\P{^Is_Canonical_Combining_Class=_-CCC132}', "");
    Expect(0, 3957, '\p{Is_Canonical_Combining_Class=_-CCC132}', "");
    Expect(1, 3957, '\p{^Is_Canonical_Combining_Class=_-CCC132}', "");
    Expect(1, 3957, '\P{Is_Canonical_Combining_Class=_-CCC132}', "");
    Expect(0, 3957, '\P{^Is_Canonical_Combining_Class=_-CCC132}', "");
    Error('\p{Is_Ccc=/a/_000013_2}');
    Error('\P{Is_Ccc=/a/_000013_2}');
    Expect(1, 3956, '\p{Is_Ccc=+000000132}', "");
    Expect(0, 3956, '\p{^Is_Ccc=+000000132}', "");
    Expect(0, 3956, '\P{Is_Ccc=+000000132}', "");
    Expect(1, 3956, '\P{^Is_Ccc=+000000132}', "");
    Expect(0, 3957, '\p{Is_Ccc=+000000132}', "");
    Expect(1, 3957, '\p{^Is_Ccc=+000000132}', "");
    Expect(1, 3957, '\P{Is_Ccc=+000000132}', "");
    Expect(0, 3957, '\P{^Is_Ccc=+000000132}', "");
    Error('\p{Canonical_Combining_Class=:= CCC133}');
    Error('\P{Canonical_Combining_Class=:= CCC133}');
    Expect(0, 1, '\p{Canonical_Combining_Class=:\ACCC133\z:}', "");;
    Expect(0, 1, '\p{Canonical_Combining_Class=ccc133}', "");
    Expect(1, 1, '\p{^Canonical_Combining_Class=ccc133}', "");
    Expect(1, 1, '\P{Canonical_Combining_Class=ccc133}', "");
    Expect(0, 1, '\P{^Canonical_Combining_Class=ccc133}', "");
    Expect(0, 1, '\p{Canonical_Combining_Class=:\Accc133\z:}', "");;
    Expect(0, 1, '\p{Canonical_Combining_Class=	ccc133}', "");
    Expect(1, 1, '\p{^Canonical_Combining_Class=	ccc133}', "");
    Expect(1, 1, '\P{Canonical_Combining_Class=	ccc133}', "");
    Expect(0, 1, '\P{^Canonical_Combining_Class=	ccc133}', "");
    Error('\p{Ccc= 	13_3/a/}');
    Error('\P{Ccc= 	13_3/a/}');
    Expect(0, 1, '\p{Ccc=:\A133\z:}', "");;
    Expect(0, 1, '\p{Ccc=0_0_0_0_0_00133}', "");
    Expect(1, 1, '\p{^Ccc=0_0_0_0_0_00133}', "");
    Expect(1, 1, '\P{Ccc=0_0_0_0_0_00133}', "");
    Expect(0, 1, '\P{^Ccc=0_0_0_0_0_00133}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/_-CCC133}');
    Error('\P{Is_Canonical_Combining_Class=/a/_-CCC133}');
    Expect(0, 1, '\p{Is_Canonical_Combining_Class=ccc133}', "");
    Expect(1, 1, '\p{^Is_Canonical_Combining_Class=ccc133}', "");
    Expect(1, 1, '\P{Is_Canonical_Combining_Class=ccc133}', "");
    Expect(0, 1, '\P{^Is_Canonical_Combining_Class=ccc133}', "");
    Expect(0, 1, '\p{Is_Canonical_Combining_Class=	CCC133}', "");
    Expect(1, 1, '\p{^Is_Canonical_Combining_Class=	CCC133}', "");
    Expect(1, 1, '\P{Is_Canonical_Combining_Class=	CCC133}', "");
    Expect(0, 1, '\P{^Is_Canonical_Combining_Class=	CCC133}', "");
    Error('\p{Is_Ccc=_:=000_001_33}');
    Error('\P{Is_Ccc=_:=000_001_33}');
    Expect(0, 1, '\p{Is_Ccc=00000_00001_33}', "");
    Expect(1, 1, '\p{^Is_Ccc=00000_00001_33}', "");
    Expect(1, 1, '\P{Is_Ccc=00000_00001_33}', "");
    Expect(0, 1, '\P{^Is_Ccc=00000_00001_33}', "");
    Error('\p{Canonical_Combining_Class=- CCC14/a/}');
    Error('\P{Canonical_Combining_Class=- CCC14/a/}');
    Expect(1, 1460, '\p{Canonical_Combining_Class=:\ACCC14\z:}', "");;
    Expect(0, 1461, '\p{Canonical_Combining_Class=:\ACCC14\z:}', "");;
    Expect(1, 1460, '\p{Canonical_Combining_Class:ccc14}', "");
    Expect(0, 1460, '\p{^Canonical_Combining_Class:ccc14}', "");
    Expect(0, 1460, '\P{Canonical_Combining_Class:ccc14}', "");
    Expect(1, 1460, '\P{^Canonical_Combining_Class:ccc14}', "");
    Expect(0, 1461, '\p{Canonical_Combining_Class:ccc14}', "");
    Expect(1, 1461, '\p{^Canonical_Combining_Class:ccc14}', "");
    Expect(1, 1461, '\P{Canonical_Combining_Class:ccc14}', "");
    Expect(0, 1461, '\P{^Canonical_Combining_Class:ccc14}', "");
    Expect(1, 1460, '\p{Canonical_Combining_Class=:\Accc14\z:}', "");;
    Expect(0, 1461, '\p{Canonical_Combining_Class=:\Accc14\z:}', "");;
    Expect(1, 1460, '\p{Canonical_Combining_Class: ccc14}', "");
    Expect(0, 1460, '\p{^Canonical_Combining_Class: ccc14}', "");
    Expect(0, 1460, '\P{Canonical_Combining_Class: ccc14}', "");
    Expect(1, 1460, '\P{^Canonical_Combining_Class: ccc14}', "");
    Expect(0, 1461, '\p{Canonical_Combining_Class: ccc14}', "");
    Expect(1, 1461, '\p{^Canonical_Combining_Class: ccc14}', "");
    Expect(1, 1461, '\P{Canonical_Combining_Class: ccc14}', "");
    Expect(0, 1461, '\P{^Canonical_Combining_Class: ccc14}', "");
    Error('\p{Ccc=	_0014:=}');
    Error('\P{Ccc=	_0014:=}');
    Expect(1, 1460, '\p{Ccc=:\A14\z:}', "");;
    Expect(0, 1461, '\p{Ccc=:\A14\z:}', "");;
    Expect(1, 1460, '\p{Ccc: 0014}', "");
    Expect(0, 1460, '\p{^Ccc: 0014}', "");
    Expect(0, 1460, '\P{Ccc: 0014}', "");
    Expect(1, 1460, '\P{^Ccc: 0014}', "");
    Expect(0, 1461, '\p{Ccc: 0014}', "");
    Expect(1, 1461, '\p{^Ccc: 0014}', "");
    Expect(1, 1461, '\P{Ccc: 0014}', "");
    Expect(0, 1461, '\P{^Ccc: 0014}', "");
    Error('\p{Is_Canonical_Combining_Class= :=ccc14}');
    Error('\P{Is_Canonical_Combining_Class= :=ccc14}');
    Expect(1, 1460, '\p{Is_Canonical_Combining_Class=ccc14}', "");
    Expect(0, 1460, '\p{^Is_Canonical_Combining_Class=ccc14}', "");
    Expect(0, 1460, '\P{Is_Canonical_Combining_Class=ccc14}', "");
    Expect(1, 1460, '\P{^Is_Canonical_Combining_Class=ccc14}', "");
    Expect(0, 1461, '\p{Is_Canonical_Combining_Class=ccc14}', "");
    Expect(1, 1461, '\p{^Is_Canonical_Combining_Class=ccc14}', "");
    Expect(1, 1461, '\P{Is_Canonical_Combining_Class=ccc14}', "");
    Expect(0, 1461, '\P{^Is_Canonical_Combining_Class=ccc14}', "");
    Expect(1, 1460, '\p{Is_Canonical_Combining_Class=_ccc14}', "");
    Expect(0, 1460, '\p{^Is_Canonical_Combining_Class=_ccc14}', "");
    Expect(0, 1460, '\P{Is_Canonical_Combining_Class=_ccc14}', "");
    Expect(1, 1460, '\P{^Is_Canonical_Combining_Class=_ccc14}', "");
    Expect(0, 1461, '\p{Is_Canonical_Combining_Class=_ccc14}', "");
    Expect(1, 1461, '\p{^Is_Canonical_Combining_Class=_ccc14}', "");
    Expect(1, 1461, '\P{Is_Canonical_Combining_Class=_ccc14}', "");
    Expect(0, 1461, '\P{^Is_Canonical_Combining_Class=_ccc14}', "");
    Error('\p{Is_Ccc=/a/ 001_4}');
    Error('\P{Is_Ccc=/a/ 001_4}');
    Expect(1, 1460, '\p{Is_Ccc=00000014}', "");
    Expect(0, 1460, '\p{^Is_Ccc=00000014}', "");
    Expect(0, 1460, '\P{Is_Ccc=00000014}', "");
    Expect(1, 1460, '\P{^Is_Ccc=00000014}', "");
    Expect(0, 1461, '\p{Is_Ccc=00000014}', "");
    Expect(1, 1461, '\p{^Is_Ccc=00000014}', "");
    Expect(1, 1461, '\P{Is_Ccc=00000014}', "");
    Expect(0, 1461, '\P{^Is_Ccc=00000014}', "");
    Error('\p{Canonical_Combining_Class=	ccc15:=}');
    Error('\P{Canonical_Combining_Class=	ccc15:=}');
    Expect(1, 1461, '\p{Canonical_Combining_Class=:\ACCC15\z:}', "");;
    Expect(0, 1462, '\p{Canonical_Combining_Class=:\ACCC15\z:}', "");;
    Expect(1, 1461, '\p{Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1461, '\p{^Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1461, '\P{Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1461, '\P{^Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1462, '\p{Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1462, '\p{^Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1462, '\P{Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1462, '\P{^Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1461, '\p{Canonical_Combining_Class=:\Accc15\z:}', "");;
    Expect(0, 1462, '\p{Canonical_Combining_Class=:\Accc15\z:}', "");;
    Expect(1, 1461, '\p{Canonical_Combining_Class: 	CCC15}', "");
    Expect(0, 1461, '\p{^Canonical_Combining_Class: 	CCC15}', "");
    Expect(0, 1461, '\P{Canonical_Combining_Class: 	CCC15}', "");
    Expect(1, 1461, '\P{^Canonical_Combining_Class: 	CCC15}', "");
    Expect(0, 1462, '\p{Canonical_Combining_Class: 	CCC15}', "");
    Expect(1, 1462, '\p{^Canonical_Combining_Class: 	CCC15}', "");
    Expect(1, 1462, '\P{Canonical_Combining_Class: 	CCC15}', "");
    Expect(0, 1462, '\P{^Canonical_Combining_Class: 	CCC15}', "");
    Error('\p{Ccc=- 00_01_5/a/}');
    Error('\P{Ccc=- 00_01_5/a/}');
    Expect(1, 1461, '\p{Ccc=:\A15\z:}', "");;
    Expect(0, 1462, '\p{Ccc=:\A15\z:}', "");;
    Expect(1, 1461, '\p{Ccc=00000015}', "");
    Expect(0, 1461, '\p{^Ccc=00000015}', "");
    Expect(0, 1461, '\P{Ccc=00000015}', "");
    Expect(1, 1461, '\P{^Ccc=00000015}', "");
    Expect(0, 1462, '\p{Ccc=00000015}', "");
    Expect(1, 1462, '\p{^Ccc=00000015}', "");
    Expect(1, 1462, '\P{Ccc=00000015}', "");
    Expect(0, 1462, '\P{^Ccc=00000015}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/- CCC15}');
    Error('\P{Is_Canonical_Combining_Class=/a/- CCC15}');
    Expect(1, 1461, '\p{Is_Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1461, '\p{^Is_Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1461, '\P{Is_Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1461, '\P{^Is_Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1462, '\p{Is_Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1462, '\p{^Is_Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1462, '\P{Is_Canonical_Combining_Class=ccc15}', "");
    Expect(0, 1462, '\P{^Is_Canonical_Combining_Class=ccc15}', "");
    Expect(1, 1461, '\p{Is_Canonical_Combining_Class= _ccc15}', "");
    Expect(0, 1461, '\p{^Is_Canonical_Combining_Class= _ccc15}', "");
    Expect(0, 1461, '\P{Is_Canonical_Combining_Class= _ccc15}', "");
    Expect(1, 1461, '\P{^Is_Canonical_Combining_Class= _ccc15}', "");
    Expect(0, 1462, '\p{Is_Canonical_Combining_Class= _ccc15}', "");
    Expect(1, 1462, '\p{^Is_Canonical_Combining_Class= _ccc15}', "");
    Expect(1, 1462, '\P{Is_Canonical_Combining_Class= _ccc15}', "");
    Expect(0, 1462, '\P{^Is_Canonical_Combining_Class= _ccc15}', "");
    Error('\p{Is_Ccc:/a/_	+1_5}');
    Error('\P{Is_Ccc:/a/_	+1_5}');
    Expect(1, 1461, '\p{Is_Ccc=00015}', "");
    Expect(0, 1461, '\p{^Is_Ccc=00015}', "");
    Expect(0, 1461, '\P{Is_Ccc=00015}', "");
    Expect(1, 1461, '\P{^Is_Ccc=00015}', "");
    Expect(0, 1462, '\p{Is_Ccc=00015}', "");
    Expect(1, 1462, '\p{^Is_Ccc=00015}', "");
    Expect(1, 1462, '\P{Is_Ccc=00015}', "");
    Expect(0, 1462, '\P{^Is_Ccc=00015}', "");
    Error('\p{Canonical_Combining_Class=	 CCC16/a/}');
    Error('\P{Canonical_Combining_Class=	 CCC16/a/}');
    Expect(1, 1462, '\p{Canonical_Combining_Class=:\ACCC16\z:}', "");;
    Expect(0, 1463, '\p{Canonical_Combining_Class=:\ACCC16\z:}', "");;
    Expect(1, 1462, '\p{Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1462, '\p{^Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1462, '\P{Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1462, '\P{^Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1463, '\p{Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1463, '\p{^Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1463, '\P{Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1463, '\P{^Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1462, '\p{Canonical_Combining_Class=:\Accc16\z:}', "");;
    Expect(0, 1463, '\p{Canonical_Combining_Class=:\Accc16\z:}', "");;
    Expect(1, 1462, '\p{Canonical_Combining_Class:		-ccc16}', "");
    Expect(0, 1462, '\p{^Canonical_Combining_Class:		-ccc16}', "");
    Expect(0, 1462, '\P{Canonical_Combining_Class:		-ccc16}', "");
    Expect(1, 1462, '\P{^Canonical_Combining_Class:		-ccc16}', "");
    Expect(0, 1463, '\p{Canonical_Combining_Class:		-ccc16}', "");
    Expect(1, 1463, '\p{^Canonical_Combining_Class:		-ccc16}', "");
    Expect(1, 1463, '\P{Canonical_Combining_Class:		-ccc16}', "");
    Expect(0, 1463, '\P{^Canonical_Combining_Class:		-ccc16}', "");
    Error('\p{Ccc= 00000016:=}');
    Error('\P{Ccc= 00000016:=}');
    Expect(1, 1462, '\p{Ccc=:\A16\z:}', "");;
    Expect(0, 1463, '\p{Ccc=:\A16\z:}', "");;
    Expect(1, 1462, '\p{Ccc=0000000016}', "");
    Expect(0, 1462, '\p{^Ccc=0000000016}', "");
    Expect(0, 1462, '\P{Ccc=0000000016}', "");
    Expect(1, 1462, '\P{^Ccc=0000000016}', "");
    Expect(0, 1463, '\p{Ccc=0000000016}', "");
    Expect(1, 1463, '\p{^Ccc=0000000016}', "");
    Expect(1, 1463, '\P{Ccc=0000000016}', "");
    Expect(0, 1463, '\P{^Ccc=0000000016}', "");
    Error('\p{Is_Canonical_Combining_Class=--ccc16/a/}');
    Error('\P{Is_Canonical_Combining_Class=--ccc16/a/}');
    Expect(1, 1462, '\p{Is_Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1462, '\p{^Is_Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1462, '\P{Is_Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1462, '\P{^Is_Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1463, '\p{Is_Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1463, '\p{^Is_Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1463, '\P{Is_Canonical_Combining_Class=ccc16}', "");
    Expect(0, 1463, '\P{^Is_Canonical_Combining_Class=ccc16}', "");
    Expect(1, 1462, '\p{Is_Canonical_Combining_Class= CCC16}', "");
    Expect(0, 1462, '\p{^Is_Canonical_Combining_Class= CCC16}', "");
    Expect(0, 1462, '\P{Is_Canonical_Combining_Class= CCC16}', "");
    Expect(1, 1462, '\P{^Is_Canonical_Combining_Class= CCC16}', "");
    Expect(0, 1463, '\p{Is_Canonical_Combining_Class= CCC16}', "");
    Expect(1, 1463, '\p{^Is_Canonical_Combining_Class= CCC16}', "");
    Expect(1, 1463, '\P{Is_Canonical_Combining_Class= CCC16}', "");
    Expect(0, 1463, '\P{^Is_Canonical_Combining_Class= CCC16}', "");
    Error('\p{Is_Ccc=	:=+0_0_0_0_0016}');
    Error('\P{Is_Ccc=	:=+0_0_0_0_0016}');
    Expect(1, 1462, '\p{Is_Ccc=+001_6}', "");
    Expect(0, 1462, '\p{^Is_Ccc=+001_6}', "");
    Expect(0, 1462, '\P{Is_Ccc=+001_6}', "");
    Expect(1, 1462, '\P{^Is_Ccc=+001_6}', "");
    Expect(0, 1463, '\p{Is_Ccc=+001_6}', "");
    Expect(1, 1463, '\p{^Is_Ccc=+001_6}', "");
    Expect(1, 1463, '\P{Is_Ccc=+001_6}', "");
    Expect(0, 1463, '\P{^Is_Ccc=+001_6}', "");
    Error('\p{Canonical_Combining_Class=:=_	CCC17}');
    Error('\P{Canonical_Combining_Class=:=_	CCC17}');
    Expect(1, 1463, '\p{Canonical_Combining_Class=:\ACCC17\z:}', "");;
    Expect(0, 1464, '\p{Canonical_Combining_Class=:\ACCC17\z:}', "");;
    Expect(1, 1463, '\p{Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1463, '\p{^Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1463, '\P{Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1463, '\P{^Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1464, '\p{Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1464, '\p{^Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1464, '\P{Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1464, '\P{^Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1463, '\p{Canonical_Combining_Class=:\Accc17\z:}', "");;
    Expect(0, 1464, '\p{Canonical_Combining_Class=:\Accc17\z:}', "");;
    Expect(1, 1463, '\p{Canonical_Combining_Class=_CCC17}', "");
    Expect(0, 1463, '\p{^Canonical_Combining_Class=_CCC17}', "");
    Expect(0, 1463, '\P{Canonical_Combining_Class=_CCC17}', "");
    Expect(1, 1463, '\P{^Canonical_Combining_Class=_CCC17}', "");
    Expect(0, 1464, '\p{Canonical_Combining_Class=_CCC17}', "");
    Expect(1, 1464, '\p{^Canonical_Combining_Class=_CCC17}', "");
    Expect(1, 1464, '\P{Canonical_Combining_Class=_CCC17}', "");
    Expect(0, 1464, '\P{^Canonical_Combining_Class=_CCC17}', "");
    Error('\p{Ccc=-+00_00_00_01_7:=}');
    Error('\P{Ccc=-+00_00_00_01_7:=}');
    Expect(1, 1463, '\p{Ccc=:\A17\z:}', "");;
    Expect(0, 1464, '\p{Ccc=:\A17\z:}', "");;
    Expect(1, 1463, '\p{Ccc=+0_0_17}', "");
    Expect(0, 1463, '\p{^Ccc=+0_0_17}', "");
    Expect(0, 1463, '\P{Ccc=+0_0_17}', "");
    Expect(1, 1463, '\P{^Ccc=+0_0_17}', "");
    Expect(0, 1464, '\p{Ccc=+0_0_17}', "");
    Expect(1, 1464, '\p{^Ccc=+0_0_17}', "");
    Expect(1, 1464, '\P{Ccc=+0_0_17}', "");
    Expect(0, 1464, '\P{^Ccc=+0_0_17}', "");
    Error('\p{Is_Canonical_Combining_Class= :=CCC17}');
    Error('\P{Is_Canonical_Combining_Class= :=CCC17}');
    Expect(1, 1463, '\p{Is_Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1463, '\p{^Is_Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1463, '\P{Is_Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1463, '\P{^Is_Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1464, '\p{Is_Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1464, '\p{^Is_Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1464, '\P{Is_Canonical_Combining_Class=ccc17}', "");
    Expect(0, 1464, '\P{^Is_Canonical_Combining_Class=ccc17}', "");
    Expect(1, 1463, '\p{Is_Canonical_Combining_Class=	 CCC17}', "");
    Expect(0, 1463, '\p{^Is_Canonical_Combining_Class=	 CCC17}', "");
    Expect(0, 1463, '\P{Is_Canonical_Combining_Class=	 CCC17}', "");
    Expect(1, 1463, '\P{^Is_Canonical_Combining_Class=	 CCC17}', "");
    Expect(0, 1464, '\p{Is_Canonical_Combining_Class=	 CCC17}', "");
    Expect(1, 1464, '\p{^Is_Canonical_Combining_Class=	 CCC17}', "");
    Expect(1, 1464, '\P{Is_Canonical_Combining_Class=	 CCC17}', "");
    Expect(0, 1464, '\P{^Is_Canonical_Combining_Class=	 CCC17}', "");
    Error('\p{Is_Ccc=:=_-00017}');
    Error('\P{Is_Ccc=:=_-00017}');
    Expect(1, 1463, '\p{Is_Ccc=+17}', "");
    Expect(0, 1463, '\p{^Is_Ccc=+17}', "");
    Expect(0, 1463, '\P{Is_Ccc=+17}', "");
    Expect(1, 1463, '\P{^Is_Ccc=+17}', "");
    Expect(0, 1464, '\p{Is_Ccc=+17}', "");
    Expect(1, 1464, '\p{^Is_Ccc=+17}', "");
    Expect(1, 1464, '\P{Is_Ccc=+17}', "");
    Expect(0, 1464, '\P{^Is_Ccc=+17}', "");
    Error('\p{Canonical_Combining_Class=_/a/CCC18}');
    Error('\P{Canonical_Combining_Class=_/a/CCC18}');
    Expect(1, 1479, '\p{Canonical_Combining_Class=:\ACCC18\z:}', "");;
    Expect(0, 1480, '\p{Canonical_Combining_Class=:\ACCC18\z:}', "");;
    Expect(1, 1479, '\p{Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1479, '\p{^Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1479, '\P{Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1479, '\P{^Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1480, '\p{Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1480, '\p{^Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1480, '\P{Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1480, '\P{^Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1479, '\p{Canonical_Combining_Class=:\Accc18\z:}', "");;
    Expect(0, 1480, '\p{Canonical_Combining_Class=:\Accc18\z:}', "");;
    Expect(1, 1479, '\p{Canonical_Combining_Class= _CCC18}', "");
    Expect(0, 1479, '\p{^Canonical_Combining_Class= _CCC18}', "");
    Expect(0, 1479, '\P{Canonical_Combining_Class= _CCC18}', "");
    Expect(1, 1479, '\P{^Canonical_Combining_Class= _CCC18}', "");
    Expect(0, 1480, '\p{Canonical_Combining_Class= _CCC18}', "");
    Expect(1, 1480, '\p{^Canonical_Combining_Class= _CCC18}', "");
    Expect(1, 1480, '\P{Canonical_Combining_Class= _CCC18}', "");
    Expect(0, 1480, '\P{^Canonical_Combining_Class= _CCC18}', "");
    Error('\p{Ccc=/a/ -0018}');
    Error('\P{Ccc=/a/ -0018}');
    Expect(1, 1479, '\p{Ccc=:\A18\z:}', "");;
    Expect(0, 1480, '\p{Ccc=:\A18\z:}', "");;
    Expect(1, 1479, '\p{Ccc=00000018}', "");
    Expect(0, 1479, '\p{^Ccc=00000018}', "");
    Expect(0, 1479, '\P{Ccc=00000018}', "");
    Expect(1, 1479, '\P{^Ccc=00000018}', "");
    Expect(0, 1480, '\p{Ccc=00000018}', "");
    Expect(1, 1480, '\p{^Ccc=00000018}', "");
    Expect(1, 1480, '\P{Ccc=00000018}', "");
    Expect(0, 1480, '\P{^Ccc=00000018}', "");
    Error('\p{Is_Canonical_Combining_Class=--CCC18:=}');
    Error('\P{Is_Canonical_Combining_Class=--CCC18:=}');
    Expect(1, 1479, '\p{Is_Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1479, '\p{^Is_Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1479, '\P{Is_Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1479, '\P{^Is_Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1480, '\p{Is_Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1480, '\p{^Is_Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1480, '\P{Is_Canonical_Combining_Class=ccc18}', "");
    Expect(0, 1480, '\P{^Is_Canonical_Combining_Class=ccc18}', "");
    Expect(1, 1479, '\p{Is_Canonical_Combining_Class:  CCC18}', "");
    Expect(0, 1479, '\p{^Is_Canonical_Combining_Class:  CCC18}', "");
    Expect(0, 1479, '\P{Is_Canonical_Combining_Class:  CCC18}', "");
    Expect(1, 1479, '\P{^Is_Canonical_Combining_Class:  CCC18}', "");
    Expect(0, 1480, '\p{Is_Canonical_Combining_Class:  CCC18}', "");
    Expect(1, 1480, '\p{^Is_Canonical_Combining_Class:  CCC18}', "");
    Expect(1, 1480, '\P{Is_Canonical_Combining_Class:  CCC18}', "");
    Expect(0, 1480, '\P{^Is_Canonical_Combining_Class:  CCC18}', "");
    Error('\p{Is_Ccc=-:=000018}');
    Error('\P{Is_Ccc=-:=000018}');
    Expect(1, 1479, '\p{Is_Ccc=1_8}', "");
    Expect(0, 1479, '\p{^Is_Ccc=1_8}', "");
    Expect(0, 1479, '\P{Is_Ccc=1_8}', "");
    Expect(1, 1479, '\P{^Is_Ccc=1_8}', "");
    Expect(0, 1480, '\p{Is_Ccc=1_8}', "");
    Expect(1, 1480, '\p{^Is_Ccc=1_8}', "");
    Expect(1, 1480, '\P{Is_Ccc=1_8}', "");
    Expect(0, 1480, '\P{^Is_Ccc=1_8}', "");
    Error('\p{Canonical_Combining_Class=/a/	CCC19}');
    Error('\P{Canonical_Combining_Class=/a/	CCC19}');
    Expect(1, 1466, '\p{Canonical_Combining_Class=:\ACCC19\z:}', "");;
    Expect(0, 1467, '\p{Canonical_Combining_Class=:\ACCC19\z:}', "");;
    Expect(1, 1466, '\p{Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1466, '\p{^Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1466, '\P{Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1466, '\P{^Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1467, '\p{Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1467, '\p{^Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1467, '\P{Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1467, '\P{^Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1466, '\p{Canonical_Combining_Class=:\Accc19\z:}', "");;
    Expect(0, 1467, '\p{Canonical_Combining_Class=:\Accc19\z:}', "");;
    Expect(1, 1466, '\p{Canonical_Combining_Class=	 CCC19}', "");
    Expect(0, 1466, '\p{^Canonical_Combining_Class=	 CCC19}', "");
    Expect(0, 1466, '\P{Canonical_Combining_Class=	 CCC19}', "");
    Expect(1, 1466, '\P{^Canonical_Combining_Class=	 CCC19}', "");
    Expect(0, 1467, '\p{Canonical_Combining_Class=	 CCC19}', "");
    Expect(1, 1467, '\p{^Canonical_Combining_Class=	 CCC19}', "");
    Expect(1, 1467, '\P{Canonical_Combining_Class=	 CCC19}', "");
    Expect(0, 1467, '\P{^Canonical_Combining_Class=	 CCC19}', "");
    Error('\p{Ccc=-:=19}');
    Error('\P{Ccc=-:=19}');
    Expect(1, 1466, '\p{Ccc=:\A19\z:}', "");;
    Expect(0, 1467, '\p{Ccc=:\A19\z:}', "");;
    Expect(1, 1466, '\p{Ccc=00000000019}', "");
    Expect(0, 1466, '\p{^Ccc=00000000019}', "");
    Expect(0, 1466, '\P{Ccc=00000000019}', "");
    Expect(1, 1466, '\P{^Ccc=00000000019}', "");
    Expect(0, 1467, '\p{Ccc=00000000019}', "");
    Expect(1, 1467, '\p{^Ccc=00000000019}', "");
    Expect(1, 1467, '\P{Ccc=00000000019}', "");
    Expect(0, 1467, '\P{^Ccc=00000000019}', "");
    Error('\p{Is_Canonical_Combining_Class= CCC19:=}');
    Error('\P{Is_Canonical_Combining_Class= CCC19:=}');
    Expect(1, 1466, '\p{Is_Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1466, '\p{^Is_Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1466, '\P{Is_Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1466, '\P{^Is_Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1467, '\p{Is_Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1467, '\p{^Is_Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1467, '\P{Is_Canonical_Combining_Class=ccc19}', "");
    Expect(0, 1467, '\P{^Is_Canonical_Combining_Class=ccc19}', "");
    Expect(1, 1466, '\p{Is_Canonical_Combining_Class= CCC19}', "");
    Expect(0, 1466, '\p{^Is_Canonical_Combining_Class= CCC19}', "");
    Expect(0, 1466, '\P{Is_Canonical_Combining_Class= CCC19}', "");
    Expect(1, 1466, '\P{^Is_Canonical_Combining_Class= CCC19}', "");
    Expect(0, 1467, '\p{Is_Canonical_Combining_Class= CCC19}', "");
    Expect(1, 1467, '\p{^Is_Canonical_Combining_Class= CCC19}', "");
    Expect(1, 1467, '\P{Is_Canonical_Combining_Class= CCC19}', "");
    Expect(0, 1467, '\P{^Is_Canonical_Combining_Class= CCC19}', "");
    Error('\p{Is_Ccc=  019:=}');
    Error('\P{Is_Ccc=  019:=}');
    Expect(1, 1466, '\p{Is_Ccc=0_0_0_019}', "");
    Expect(0, 1466, '\p{^Is_Ccc=0_0_0_019}', "");
    Expect(0, 1466, '\P{Is_Ccc=0_0_0_019}', "");
    Expect(1, 1466, '\P{^Is_Ccc=0_0_0_019}', "");
    Expect(0, 1467, '\p{Is_Ccc=0_0_0_019}', "");
    Expect(1, 1467, '\p{^Is_Ccc=0_0_0_019}', "");
    Expect(1, 1467, '\P{Is_Ccc=0_0_0_019}', "");
    Expect(0, 1467, '\P{^Is_Ccc=0_0_0_019}', "");
    Error('\p{Canonical_Combining_Class=_-CCC20:=}');
    Error('\P{Canonical_Combining_Class=_-CCC20:=}');
    Expect(1, 1467, '\p{Canonical_Combining_Class=:\ACCC20\z:}', "");;
    Expect(0, 1468, '\p{Canonical_Combining_Class=:\ACCC20\z:}', "");;
    Expect(1, 1467, '\p{Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1467, '\p{^Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1467, '\P{Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1467, '\P{^Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1468, '\p{Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1468, '\p{^Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1468, '\P{Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1468, '\P{^Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1467, '\p{Canonical_Combining_Class=:\Accc20\z:}', "");;
    Expect(0, 1468, '\p{Canonical_Combining_Class=:\Accc20\z:}', "");;
    Expect(1, 1467, '\p{Canonical_Combining_Class=_ CCC20}', "");
    Expect(0, 1467, '\p{^Canonical_Combining_Class=_ CCC20}', "");
    Expect(0, 1467, '\P{Canonical_Combining_Class=_ CCC20}', "");
    Expect(1, 1467, '\P{^Canonical_Combining_Class=_ CCC20}', "");
    Expect(0, 1468, '\p{Canonical_Combining_Class=_ CCC20}', "");
    Expect(1, 1468, '\p{^Canonical_Combining_Class=_ CCC20}', "");
    Expect(1, 1468, '\P{Canonical_Combining_Class=_ CCC20}', "");
    Expect(0, 1468, '\P{^Canonical_Combining_Class=_ CCC20}', "");
    Error('\p{Ccc=  0000000020:=}');
    Error('\P{Ccc=  0000000020:=}');
    Expect(1, 1467, '\p{Ccc=:\A20\z:}', "");;
    Expect(0, 1468, '\p{Ccc=:\A20\z:}', "");;
    Expect(1, 1467, '\p{Ccc=000_002_0}', "");
    Expect(0, 1467, '\p{^Ccc=000_002_0}', "");
    Expect(0, 1467, '\P{Ccc=000_002_0}', "");
    Expect(1, 1467, '\P{^Ccc=000_002_0}', "");
    Expect(0, 1468, '\p{Ccc=000_002_0}', "");
    Expect(1, 1468, '\p{^Ccc=000_002_0}', "");
    Expect(1, 1468, '\P{Ccc=000_002_0}', "");
    Expect(0, 1468, '\P{^Ccc=000_002_0}', "");
    Error('\p{Is_Canonical_Combining_Class=--CCC20:=}');
    Error('\P{Is_Canonical_Combining_Class=--CCC20:=}');
    Expect(1, 1467, '\p{Is_Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1467, '\p{^Is_Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1467, '\P{Is_Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1467, '\P{^Is_Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1468, '\p{Is_Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1468, '\p{^Is_Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1468, '\P{Is_Canonical_Combining_Class=ccc20}', "");
    Expect(0, 1468, '\P{^Is_Canonical_Combining_Class=ccc20}', "");
    Expect(1, 1467, '\p{Is_Canonical_Combining_Class=_	CCC20}', "");
    Expect(0, 1467, '\p{^Is_Canonical_Combining_Class=_	CCC20}', "");
    Expect(0, 1467, '\P{Is_Canonical_Combining_Class=_	CCC20}', "");
    Expect(1, 1467, '\P{^Is_Canonical_Combining_Class=_	CCC20}', "");
    Expect(0, 1468, '\p{Is_Canonical_Combining_Class=_	CCC20}', "");
    Expect(1, 1468, '\p{^Is_Canonical_Combining_Class=_	CCC20}', "");
    Expect(1, 1468, '\P{Is_Canonical_Combining_Class=_	CCC20}', "");
    Expect(0, 1468, '\P{^Is_Canonical_Combining_Class=_	CCC20}', "");
    Error('\p{Is_Ccc=	:=02_0}');
    Error('\P{Is_Ccc=	:=02_0}');
    Expect(1, 1467, '\p{Is_Ccc=000002_0}', "");
    Expect(0, 1467, '\p{^Is_Ccc=000002_0}', "");
    Expect(0, 1467, '\P{Is_Ccc=000002_0}', "");
    Expect(1, 1467, '\P{^Is_Ccc=000002_0}', "");
    Expect(0, 1468, '\p{Is_Ccc=000002_0}', "");
    Expect(1, 1468, '\p{^Is_Ccc=000002_0}', "");
    Expect(1, 1468, '\P{Is_Ccc=000002_0}', "");
    Expect(0, 1468, '\P{^Is_Ccc=000002_0}', "");
    Error('\p{Canonical_Combining_Class= -CCC21:=}');
    Error('\P{Canonical_Combining_Class= -CCC21:=}');
    Expect(1, 1468, '\p{Canonical_Combining_Class=:\ACCC21\z:}', "");;
    Expect(0, 1469, '\p{Canonical_Combining_Class=:\ACCC21\z:}', "");;
    Expect(1, 1468, '\p{Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1468, '\p{^Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1468, '\P{Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1468, '\P{^Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1469, '\p{Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1469, '\p{^Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1469, '\P{Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1469, '\P{^Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1468, '\p{Canonical_Combining_Class=:\Accc21\z:}', "");;
    Expect(0, 1469, '\p{Canonical_Combining_Class=:\Accc21\z:}', "");;
    Expect(1, 1468, '\p{Canonical_Combining_Class=- ccc21}', "");
    Expect(0, 1468, '\p{^Canonical_Combining_Class=- ccc21}', "");
    Expect(0, 1468, '\P{Canonical_Combining_Class=- ccc21}', "");
    Expect(1, 1468, '\P{^Canonical_Combining_Class=- ccc21}', "");
    Expect(0, 1469, '\p{Canonical_Combining_Class=- ccc21}', "");
    Expect(1, 1469, '\p{^Canonical_Combining_Class=- ccc21}', "");
    Expect(1, 1469, '\P{Canonical_Combining_Class=- ccc21}', "");
    Expect(0, 1469, '\P{^Canonical_Combining_Class=- ccc21}', "");
    Error('\p{Ccc=-:=02_1}');
    Error('\P{Ccc=-:=02_1}');
    Expect(1, 1468, '\p{Ccc=:\A21\z:}', "");;
    Expect(0, 1469, '\p{Ccc=:\A21\z:}', "");;
    Expect(1, 1468, '\p{Ccc=00000021}', "");
    Expect(0, 1468, '\p{^Ccc=00000021}', "");
    Expect(0, 1468, '\P{Ccc=00000021}', "");
    Expect(1, 1468, '\P{^Ccc=00000021}', "");
    Expect(0, 1469, '\p{Ccc=00000021}', "");
    Expect(1, 1469, '\p{^Ccc=00000021}', "");
    Expect(1, 1469, '\P{Ccc=00000021}', "");
    Expect(0, 1469, '\P{^Ccc=00000021}', "");
    Error('\p{Is_Canonical_Combining_Class=	:=CCC21}');
    Error('\P{Is_Canonical_Combining_Class=	:=CCC21}');
    Expect(1, 1468, '\p{Is_Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1468, '\p{^Is_Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1468, '\P{Is_Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1468, '\P{^Is_Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1469, '\p{Is_Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1469, '\p{^Is_Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1469, '\P{Is_Canonical_Combining_Class=ccc21}', "");
    Expect(0, 1469, '\P{^Is_Canonical_Combining_Class=ccc21}', "");
    Expect(1, 1468, '\p{Is_Canonical_Combining_Class=--CCC21}', "");
    Expect(0, 1468, '\p{^Is_Canonical_Combining_Class=--CCC21}', "");
    Expect(0, 1468, '\P{Is_Canonical_Combining_Class=--CCC21}', "");
    Expect(1, 1468, '\P{^Is_Canonical_Combining_Class=--CCC21}', "");
    Expect(0, 1469, '\p{Is_Canonical_Combining_Class=--CCC21}', "");
    Expect(1, 1469, '\p{^Is_Canonical_Combining_Class=--CCC21}', "");
    Expect(1, 1469, '\P{Is_Canonical_Combining_Class=--CCC21}', "");
    Expect(0, 1469, '\P{^Is_Canonical_Combining_Class=--CCC21}', "");
    Error('\p{Is_Ccc=  0_0_0_0_0_0_0_0021/a/}');
    Error('\P{Is_Ccc=  0_0_0_0_0_0_0_0021/a/}');
    Expect(1, 1468, '\p{Is_Ccc=+000021}', "");
    Expect(0, 1468, '\p{^Is_Ccc=+000021}', "");
    Expect(0, 1468, '\P{Is_Ccc=+000021}', "");
    Expect(1, 1468, '\P{^Is_Ccc=+000021}', "");
    Expect(0, 1469, '\p{Is_Ccc=+000021}', "");
    Expect(1, 1469, '\p{^Is_Ccc=+000021}', "");
    Expect(1, 1469, '\P{Is_Ccc=+000021}', "");
    Expect(0, 1469, '\P{^Is_Ccc=+000021}', "");
    Error('\p{Canonical_Combining_Class:    /a/ccc22}');
    Error('\P{Canonical_Combining_Class:    /a/ccc22}');
    Expect(1, 1469, '\p{Canonical_Combining_Class=:\ACCC22\z:}', "");;
    Expect(0, 1470, '\p{Canonical_Combining_Class=:\ACCC22\z:}', "");;
    Expect(1, 1469, '\p{Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1469, '\p{^Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1469, '\P{Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1469, '\P{^Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1470, '\p{Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1470, '\p{^Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1470, '\P{Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1470, '\P{^Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1469, '\p{Canonical_Combining_Class=:\Accc22\z:}', "");;
    Expect(0, 1470, '\p{Canonical_Combining_Class=:\Accc22\z:}', "");;
    Expect(1, 1469, '\p{Canonical_Combining_Class= _ccc22}', "");
    Expect(0, 1469, '\p{^Canonical_Combining_Class= _ccc22}', "");
    Expect(0, 1469, '\P{Canonical_Combining_Class= _ccc22}', "");
    Expect(1, 1469, '\P{^Canonical_Combining_Class= _ccc22}', "");
    Expect(0, 1470, '\p{Canonical_Combining_Class= _ccc22}', "");
    Expect(1, 1470, '\p{^Canonical_Combining_Class= _ccc22}', "");
    Expect(1, 1470, '\P{Canonical_Combining_Class= _ccc22}', "");
    Expect(0, 1470, '\P{^Canonical_Combining_Class= _ccc22}', "");
    Error('\p{Ccc=:=- 00_00_00_02_2}');
    Error('\P{Ccc=:=- 00_00_00_02_2}');
    Expect(1, 1469, '\p{Ccc=:\A22\z:}', "");;
    Expect(0, 1470, '\p{Ccc=:\A22\z:}', "");;
    Expect(1, 1469, '\p{Ccc=2_2}', "");
    Expect(0, 1469, '\p{^Ccc=2_2}', "");
    Expect(0, 1469, '\P{Ccc=2_2}', "");
    Expect(1, 1469, '\P{^Ccc=2_2}', "");
    Expect(0, 1470, '\p{Ccc=2_2}', "");
    Expect(1, 1470, '\p{^Ccc=2_2}', "");
    Expect(1, 1470, '\P{Ccc=2_2}', "");
    Expect(0, 1470, '\P{^Ccc=2_2}', "");
    Error('\p{Is_Canonical_Combining_Class=- CCC22/a/}');
    Error('\P{Is_Canonical_Combining_Class=- CCC22/a/}');
    Expect(1, 1469, '\p{Is_Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1469, '\p{^Is_Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1469, '\P{Is_Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1469, '\P{^Is_Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1470, '\p{Is_Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1470, '\p{^Is_Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1470, '\P{Is_Canonical_Combining_Class=ccc22}', "");
    Expect(0, 1470, '\P{^Is_Canonical_Combining_Class=ccc22}', "");
    Expect(1, 1469, '\p{Is_Canonical_Combining_Class=	_ccc22}', "");
    Expect(0, 1469, '\p{^Is_Canonical_Combining_Class=	_ccc22}', "");
    Expect(0, 1469, '\P{Is_Canonical_Combining_Class=	_ccc22}', "");
    Expect(1, 1469, '\P{^Is_Canonical_Combining_Class=	_ccc22}', "");
    Expect(0, 1470, '\p{Is_Canonical_Combining_Class=	_ccc22}', "");
    Expect(1, 1470, '\p{^Is_Canonical_Combining_Class=	_ccc22}', "");
    Expect(1, 1470, '\P{Is_Canonical_Combining_Class=	_ccc22}', "");
    Expect(0, 1470, '\P{^Is_Canonical_Combining_Class=	_ccc22}', "");
    Error('\p{Is_Ccc= /a/0000022}');
    Error('\P{Is_Ccc= /a/0000022}');
    Expect(1, 1469, '\p{Is_Ccc=+00022}', "");
    Expect(0, 1469, '\p{^Is_Ccc=+00022}', "");
    Expect(0, 1469, '\P{Is_Ccc=+00022}', "");
    Expect(1, 1469, '\P{^Is_Ccc=+00022}', "");
    Expect(0, 1470, '\p{Is_Ccc=+00022}', "");
    Expect(1, 1470, '\p{^Is_Ccc=+00022}', "");
    Expect(1, 1470, '\P{Is_Ccc=+00022}', "");
    Expect(0, 1470, '\P{^Is_Ccc=+00022}', "");
    Error('\p{Canonical_Combining_Class= CCC23/a/}');
    Error('\P{Canonical_Combining_Class= CCC23/a/}');
    Expect(1, 1471, '\p{Canonical_Combining_Class=:\ACCC23\z:}', "");;
    Expect(0, 1472, '\p{Canonical_Combining_Class=:\ACCC23\z:}', "");;
    Expect(1, 1471, '\p{Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1471, '\p{^Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1471, '\P{Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1471, '\P{^Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1472, '\p{Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1472, '\p{^Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1472, '\P{Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1472, '\P{^Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1471, '\p{Canonical_Combining_Class=:\Accc23\z:}', "");;
    Expect(0, 1472, '\p{Canonical_Combining_Class=:\Accc23\z:}', "");;
    Expect(1, 1471, '\p{Canonical_Combining_Class=--CCC23}', "");
    Expect(0, 1471, '\p{^Canonical_Combining_Class=--CCC23}', "");
    Expect(0, 1471, '\P{Canonical_Combining_Class=--CCC23}', "");
    Expect(1, 1471, '\P{^Canonical_Combining_Class=--CCC23}', "");
    Expect(0, 1472, '\p{Canonical_Combining_Class=--CCC23}', "");
    Expect(1, 1472, '\p{^Canonical_Combining_Class=--CCC23}', "");
    Expect(1, 1472, '\P{Canonical_Combining_Class=--CCC23}', "");
    Expect(0, 1472, '\P{^Canonical_Combining_Class=--CCC23}', "");
    Error('\p{Ccc=-+000023/a/}');
    Error('\P{Ccc=-+000023/a/}');
    Expect(1, 1471, '\p{Ccc=:\A23\z:}', "");;
    Expect(0, 1472, '\p{Ccc=:\A23\z:}', "");;
    Expect(1, 1471, '\p{Ccc=00000000023}', "");
    Expect(0, 1471, '\p{^Ccc=00000000023}', "");
    Expect(0, 1471, '\P{Ccc=00000000023}', "");
    Expect(1, 1471, '\P{^Ccc=00000000023}', "");
    Expect(0, 1472, '\p{Ccc=00000000023}', "");
    Expect(1, 1472, '\p{^Ccc=00000000023}', "");
    Expect(1, 1472, '\P{Ccc=00000000023}', "");
    Expect(0, 1472, '\P{^Ccc=00000000023}', "");
    Error('\p{Is_Canonical_Combining_Class= -CCC23:=}');
    Error('\P{Is_Canonical_Combining_Class= -CCC23:=}');
    Expect(1, 1471, '\p{Is_Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1471, '\p{^Is_Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1471, '\P{Is_Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1471, '\P{^Is_Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1472, '\p{Is_Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1472, '\p{^Is_Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1472, '\P{Is_Canonical_Combining_Class=ccc23}', "");
    Expect(0, 1472, '\P{^Is_Canonical_Combining_Class=ccc23}', "");
    Expect(1, 1471, '\p{Is_Canonical_Combining_Class=_ CCC23}', "");
    Expect(0, 1471, '\p{^Is_Canonical_Combining_Class=_ CCC23}', "");
    Expect(0, 1471, '\P{Is_Canonical_Combining_Class=_ CCC23}', "");
    Expect(1, 1471, '\P{^Is_Canonical_Combining_Class=_ CCC23}', "");
    Expect(0, 1472, '\p{Is_Canonical_Combining_Class=_ CCC23}', "");
    Expect(1, 1472, '\p{^Is_Canonical_Combining_Class=_ CCC23}', "");
    Expect(1, 1472, '\P{Is_Canonical_Combining_Class=_ CCC23}', "");
    Expect(0, 1472, '\P{^Is_Canonical_Combining_Class=_ CCC23}', "");
    Error('\p{Is_Ccc=_2_3:=}');
    Error('\P{Is_Ccc=_2_3:=}');
    Expect(1, 1471, '\p{Is_Ccc=000023}', "");
    Expect(0, 1471, '\p{^Is_Ccc=000023}', "");
    Expect(0, 1471, '\P{Is_Ccc=000023}', "");
    Expect(1, 1471, '\P{^Is_Ccc=000023}', "");
    Expect(0, 1472, '\p{Is_Ccc=000023}', "");
    Expect(1, 1472, '\p{^Is_Ccc=000023}', "");
    Expect(1, 1472, '\P{Is_Ccc=000023}', "");
    Expect(0, 1472, '\P{^Is_Ccc=000023}', "");
    Error('\p{Canonical_Combining_Class=_	CCC24/a/}');
    Error('\P{Canonical_Combining_Class=_	CCC24/a/}');
    Expect(1, 1473, '\p{Canonical_Combining_Class=:\ACCC24\z:}', "");;
    Expect(0, 1474, '\p{Canonical_Combining_Class=:\ACCC24\z:}', "");;
    Expect(1, 1473, '\p{Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1473, '\p{^Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1473, '\P{Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1473, '\P{^Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1474, '\p{Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1474, '\p{^Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1474, '\P{Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1474, '\P{^Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1473, '\p{Canonical_Combining_Class=:\Accc24\z:}', "");;
    Expect(0, 1474, '\p{Canonical_Combining_Class=:\Accc24\z:}', "");;
    Expect(1, 1473, '\p{Canonical_Combining_Class=_CCC24}', "");
    Expect(0, 1473, '\p{^Canonical_Combining_Class=_CCC24}', "");
    Expect(0, 1473, '\P{Canonical_Combining_Class=_CCC24}', "");
    Expect(1, 1473, '\P{^Canonical_Combining_Class=_CCC24}', "");
    Expect(0, 1474, '\p{Canonical_Combining_Class=_CCC24}', "");
    Expect(1, 1474, '\p{^Canonical_Combining_Class=_CCC24}', "");
    Expect(1, 1474, '\P{Canonical_Combining_Class=_CCC24}', "");
    Expect(0, 1474, '\P{^Canonical_Combining_Class=_CCC24}', "");
    Error('\p{Ccc: _:=0_0_0_0_0_0_0_0024}');
    Error('\P{Ccc: _:=0_0_0_0_0_0_0_0024}');
    Expect(1, 1473, '\p{Ccc=:\A24\z:}', "");;
    Expect(0, 1474, '\p{Ccc=:\A24\z:}', "");;
    Expect(1, 1473, '\p{Ccc=000000024}', "");
    Expect(0, 1473, '\p{^Ccc=000000024}', "");
    Expect(0, 1473, '\P{Ccc=000000024}', "");
    Expect(1, 1473, '\P{^Ccc=000000024}', "");
    Expect(0, 1474, '\p{Ccc=000000024}', "");
    Expect(1, 1474, '\p{^Ccc=000000024}', "");
    Expect(1, 1474, '\P{Ccc=000000024}', "");
    Expect(0, 1474, '\P{^Ccc=000000024}', "");
    Error('\p{Is_Canonical_Combining_Class=:=CCC24}');
    Error('\P{Is_Canonical_Combining_Class=:=CCC24}');
    Expect(1, 1473, '\p{Is_Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1473, '\p{^Is_Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1473, '\P{Is_Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1473, '\P{^Is_Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1474, '\p{Is_Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1474, '\p{^Is_Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1474, '\P{Is_Canonical_Combining_Class=ccc24}', "");
    Expect(0, 1474, '\P{^Is_Canonical_Combining_Class=ccc24}', "");
    Expect(1, 1473, '\p{Is_Canonical_Combining_Class= -ccc24}', "");
    Expect(0, 1473, '\p{^Is_Canonical_Combining_Class= -ccc24}', "");
    Expect(0, 1473, '\P{Is_Canonical_Combining_Class= -ccc24}', "");
    Expect(1, 1473, '\P{^Is_Canonical_Combining_Class= -ccc24}', "");
    Expect(0, 1474, '\p{Is_Canonical_Combining_Class= -ccc24}', "");
    Expect(1, 1474, '\p{^Is_Canonical_Combining_Class= -ccc24}', "");
    Expect(1, 1474, '\P{Is_Canonical_Combining_Class= -ccc24}', "");
    Expect(0, 1474, '\P{^Is_Canonical_Combining_Class= -ccc24}', "");
    Error('\p{Is_Ccc=_:=2_4}');
    Error('\P{Is_Ccc=_:=2_4}');
    Expect(1, 1473, '\p{Is_Ccc=0000024}', "");
    Expect(0, 1473, '\p{^Is_Ccc=0000024}', "");
    Expect(0, 1473, '\P{Is_Ccc=0000024}', "");
    Expect(1, 1473, '\P{^Is_Ccc=0000024}', "");
    Expect(0, 1474, '\p{Is_Ccc=0000024}', "");
    Expect(1, 1474, '\p{^Is_Ccc=0000024}', "");
    Expect(1, 1474, '\P{Is_Ccc=0000024}', "");
    Expect(0, 1474, '\P{^Is_Ccc=0000024}', "");
    Error('\p{Canonical_Combining_Class=/a/- CCC25}');
    Error('\P{Canonical_Combining_Class=/a/- CCC25}');
    Expect(1, 1474, '\p{Canonical_Combining_Class=:\ACCC25\z:}', "");;
    Expect(0, 1475, '\p{Canonical_Combining_Class=:\ACCC25\z:}', "");;
    Expect(1, 1474, '\p{Canonical_Combining_Class=ccc25}', "");
    Expect(0, 1474, '\p{^Canonical_Combining_Class=ccc25}', "");
    Expect(0, 1474, '\P{Canonical_Combining_Class=ccc25}', "");
    Expect(1, 1474, '\P{^Canonical_Combining_Class=ccc25}', "");
    Expect(0, 1475, '\p{Canonical_Combining_Class=ccc25}', "");
    Expect(1, 1475, '\p{^Canonical_Combining_Class=ccc25}', "");
    Expect(1, 1475, '\P{Canonical_Combining_Class=ccc25}', "");
    Expect(0, 1475, '\P{^Canonical_Combining_Class=ccc25}', "");
    Expect(1, 1474, '\p{Canonical_Combining_Class=:\Accc25\z:}', "");;
    Expect(0, 1475, '\p{Canonical_Combining_Class=:\Accc25\z:}', "");;
    Expect(1, 1474, '\p{Canonical_Combining_Class=	CCC25}', "");
    Expect(0, 1474, '\p{^Canonical_Combining_Class=	CCC25}', "");
    Expect(0, 1474, '\P{Canonical_Combining_Class=	CCC25}', "");
    Expect(1, 1474, '\P{^Canonical_Combining_Class=	CCC25}', "");
    Expect(0, 1475, '\p{Canonical_Combining_Class=	CCC25}', "");
    Expect(1, 1475, '\p{^Canonical_Combining_Class=	CCC25}', "");
    Expect(1, 1475, '\P{Canonical_Combining_Class=	CCC25}', "");
    Expect(0, 1475, '\P{^Canonical_Combining_Class=	CCC25}', "");
    Error('\p{Ccc=	:=00_02_5}');
    Error('\P{Ccc=	:=00_02_5}');
    Expect(1, 1474, '\p{Ccc=:\A25\z:}', "");;
    Expect(0, 1475, '\p{Ccc=:\A25\z:}', "");;
    Expect(1, 1474, '\p{Ccc: 00000025}', "");
    Expect(0, 1474, '\p{^Ccc: 00000025}', "");
    Expect(0, 1474, '\P{Ccc: 00000025}', "");
    Expect(1, 1474, '\P{^Ccc: 00000025}', "");
    Expect(0, 1475, '\p{Ccc: 00000025}', "");
    Expect(1, 1475, '\p{^Ccc: 00000025}', "");
    Expect(1, 1475, '\P{Ccc: 00000025}', "");
    Expect(0, 1475, '\P{^Ccc: 00000025}', "");
    Error('\p{Is_Canonical_Combining_Class=_CCC25:=}');
    Error('\P{Is_Canonical_Combining_Class=_CCC25:=}');
    Expect(1, 1474, '\p{Is_Canonical_Combining_Class: ccc25}', "");
    Expect(0, 1474, '\p{^Is_Canonical_Combining_Class: ccc25}', "");
    Expect(0, 1474, '\P{Is_Canonical_Combining_Class: ccc25}', "");
    Expect(1, 1474, '\P{^Is_Canonical_Combining_Class: ccc25}', "");
    Expect(0, 1475, '\p{Is_Canonical_Combining_Class: ccc25}', "");
    Expect(1, 1475, '\p{^Is_Canonical_Combining_Class: ccc25}', "");
    Expect(1, 1475, '\P{Is_Canonical_Combining_Class: ccc25}', "");
    Expect(0, 1475, '\P{^Is_Canonical_Combining_Class: ccc25}', "");
    Expect(1, 1474, '\p{Is_Canonical_Combining_Class=-_CCC25}', "");
    Expect(0, 1474, '\p{^Is_Canonical_Combining_Class=-_CCC25}', "");
    Expect(0, 1474, '\P{Is_Canonical_Combining_Class=-_CCC25}', "");
    Expect(1, 1474, '\P{^Is_Canonical_Combining_Class=-_CCC25}', "");
    Expect(0, 1475, '\p{Is_Canonical_Combining_Class=-_CCC25}', "");
    Expect(1, 1475, '\p{^Is_Canonical_Combining_Class=-_CCC25}', "");
    Expect(1, 1475, '\P{Is_Canonical_Combining_Class=-_CCC25}', "");
    Expect(0, 1475, '\P{^Is_Canonical_Combining_Class=-_CCC25}', "");
    Error('\p{Is_Ccc=:=	-25}');
    Error('\P{Is_Ccc=:=	-25}');
    Expect(1, 1474, '\p{Is_Ccc=00000025}', "");
    Expect(0, 1474, '\p{^Is_Ccc=00000025}', "");
    Expect(0, 1474, '\P{Is_Ccc=00000025}', "");
    Expect(1, 1474, '\P{^Is_Ccc=00000025}', "");
    Expect(0, 1475, '\p{Is_Ccc=00000025}', "");
    Expect(1, 1475, '\p{^Is_Ccc=00000025}', "");
    Expect(1, 1475, '\P{Is_Ccc=00000025}', "");
    Expect(0, 1475, '\P{^Is_Ccc=00000025}', "");
    Error('\p{Canonical_Combining_Class=_:=CCC26}');
    Error('\P{Canonical_Combining_Class=_:=CCC26}');
    Expect(1, 64286, '\p{Canonical_Combining_Class=:\ACCC26\z:}', "");;
    Expect(0, 64287, '\p{Canonical_Combining_Class=:\ACCC26\z:}', "");;
    Expect(1, 64286, '\p{Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64286, '\p{^Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64286, '\P{Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64286, '\P{^Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64287, '\p{Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64287, '\p{^Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64287, '\P{Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64287, '\P{^Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64286, '\p{Canonical_Combining_Class=:\Accc26\z:}', "");;
    Expect(0, 64287, '\p{Canonical_Combining_Class=:\Accc26\z:}', "");;
    Expect(1, 64286, '\p{Canonical_Combining_Class=_CCC26}', "");
    Expect(0, 64286, '\p{^Canonical_Combining_Class=_CCC26}', "");
    Expect(0, 64286, '\P{Canonical_Combining_Class=_CCC26}', "");
    Expect(1, 64286, '\P{^Canonical_Combining_Class=_CCC26}', "");
    Expect(0, 64287, '\p{Canonical_Combining_Class=_CCC26}', "");
    Expect(1, 64287, '\p{^Canonical_Combining_Class=_CCC26}', "");
    Expect(1, 64287, '\P{Canonical_Combining_Class=_CCC26}', "");
    Expect(0, 64287, '\P{^Canonical_Combining_Class=_CCC26}', "");
    Error('\p{Ccc= 000_002_6/a/}');
    Error('\P{Ccc= 000_002_6/a/}');
    Expect(1, 64286, '\p{Ccc=:\A26\z:}', "");;
    Expect(0, 64287, '\p{Ccc=:\A26\z:}', "");;
    Expect(1, 64286, '\p{Ccc=0_0_0_0_0_0_0_26}', "");
    Expect(0, 64286, '\p{^Ccc=0_0_0_0_0_0_0_26}', "");
    Expect(0, 64286, '\P{Ccc=0_0_0_0_0_0_0_26}', "");
    Expect(1, 64286, '\P{^Ccc=0_0_0_0_0_0_0_26}', "");
    Expect(0, 64287, '\p{Ccc=0_0_0_0_0_0_0_26}', "");
    Expect(1, 64287, '\p{^Ccc=0_0_0_0_0_0_0_26}', "");
    Expect(1, 64287, '\P{Ccc=0_0_0_0_0_0_0_26}', "");
    Expect(0, 64287, '\P{^Ccc=0_0_0_0_0_0_0_26}', "");
    Error('\p{Is_Canonical_Combining_Class=_/a/CCC26}');
    Error('\P{Is_Canonical_Combining_Class=_/a/CCC26}');
    Expect(1, 64286, '\p{Is_Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64286, '\p{^Is_Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64286, '\P{Is_Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64286, '\P{^Is_Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64287, '\p{Is_Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64287, '\p{^Is_Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64287, '\P{Is_Canonical_Combining_Class=ccc26}', "");
    Expect(0, 64287, '\P{^Is_Canonical_Combining_Class=ccc26}', "");
    Expect(1, 64286, '\p{Is_Canonical_Combining_Class= CCC26}', "");
    Expect(0, 64286, '\p{^Is_Canonical_Combining_Class= CCC26}', "");
    Expect(0, 64286, '\P{Is_Canonical_Combining_Class= CCC26}', "");
    Expect(1, 64286, '\P{^Is_Canonical_Combining_Class= CCC26}', "");
    Expect(0, 64287, '\p{Is_Canonical_Combining_Class= CCC26}', "");
    Expect(1, 64287, '\p{^Is_Canonical_Combining_Class= CCC26}', "");
    Expect(1, 64287, '\P{Is_Canonical_Combining_Class= CCC26}', "");
    Expect(0, 64287, '\P{^Is_Canonical_Combining_Class= CCC26}', "");
    Error('\p{Is_Ccc=:= -+0000_0002_6}');
    Error('\P{Is_Ccc=:= -+0000_0002_6}');
    Expect(1, 64286, '\p{Is_Ccc=00000000026}', "");
    Expect(0, 64286, '\p{^Is_Ccc=00000000026}', "");
    Expect(0, 64286, '\P{Is_Ccc=00000000026}', "");
    Expect(1, 64286, '\P{^Is_Ccc=00000000026}', "");
    Expect(0, 64287, '\p{Is_Ccc=00000000026}', "");
    Expect(1, 64287, '\p{^Is_Ccc=00000000026}', "");
    Expect(1, 64287, '\P{Is_Ccc=00000000026}', "");
    Expect(0, 64287, '\P{^Is_Ccc=00000000026}', "");
    Error('\p{Canonical_Combining_Class:--CCC27:=}');
    Error('\P{Canonical_Combining_Class:--CCC27:=}');
    Expect(1, 2288, '\p{Canonical_Combining_Class=:\ACCC27\z:}', "");;
    Expect(0, 2289, '\p{Canonical_Combining_Class=:\ACCC27\z:}', "");;
    Expect(1, 2288, '\p{Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2288, '\p{^Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2288, '\P{Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2288, '\P{^Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2289, '\p{Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2289, '\p{^Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2289, '\P{Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2289, '\P{^Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2288, '\p{Canonical_Combining_Class=:\Accc27\z:}', "");;
    Expect(0, 2289, '\p{Canonical_Combining_Class=:\Accc27\z:}', "");;
    Expect(1, 2288, '\p{Canonical_Combining_Class=__ccc27}', "");
    Expect(0, 2288, '\p{^Canonical_Combining_Class=__ccc27}', "");
    Expect(0, 2288, '\P{Canonical_Combining_Class=__ccc27}', "");
    Expect(1, 2288, '\P{^Canonical_Combining_Class=__ccc27}', "");
    Expect(0, 2289, '\p{Canonical_Combining_Class=__ccc27}', "");
    Expect(1, 2289, '\p{^Canonical_Combining_Class=__ccc27}', "");
    Expect(1, 2289, '\P{Canonical_Combining_Class=__ccc27}', "");
    Expect(0, 2289, '\P{^Canonical_Combining_Class=__ccc27}', "");
    Error('\p{Ccc=-	000000027:=}');
    Error('\P{Ccc=-	000000027:=}');
    Expect(1, 2288, '\p{Ccc=:\A27\z:}', "");;
    Expect(0, 2289, '\p{Ccc=:\A27\z:}', "");;
    Expect(1, 2288, '\p{Ccc=0000027}', "");
    Expect(0, 2288, '\p{^Ccc=0000027}', "");
    Expect(0, 2288, '\P{Ccc=0000027}', "");
    Expect(1, 2288, '\P{^Ccc=0000027}', "");
    Expect(0, 2289, '\p{Ccc=0000027}', "");
    Expect(1, 2289, '\p{^Ccc=0000027}', "");
    Expect(1, 2289, '\P{Ccc=0000027}', "");
    Expect(0, 2289, '\P{^Ccc=0000027}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/_	CCC27}');
    Error('\P{Is_Canonical_Combining_Class=/a/_	CCC27}');
    Expect(1, 2288, '\p{Is_Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2288, '\p{^Is_Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2288, '\P{Is_Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2288, '\P{^Is_Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2289, '\p{Is_Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2289, '\p{^Is_Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2289, '\P{Is_Canonical_Combining_Class=ccc27}', "");
    Expect(0, 2289, '\P{^Is_Canonical_Combining_Class=ccc27}', "");
    Expect(1, 2288, '\p{Is_Canonical_Combining_Class= CCC27}', "");
    Expect(0, 2288, '\p{^Is_Canonical_Combining_Class= CCC27}', "");
    Expect(0, 2288, '\P{Is_Canonical_Combining_Class= CCC27}', "");
    Expect(1, 2288, '\P{^Is_Canonical_Combining_Class= CCC27}', "");
    Expect(0, 2289, '\p{Is_Canonical_Combining_Class= CCC27}', "");
    Expect(1, 2289, '\p{^Is_Canonical_Combining_Class= CCC27}', "");
    Expect(1, 2289, '\P{Is_Canonical_Combining_Class= CCC27}', "");
    Expect(0, 2289, '\P{^Is_Canonical_Combining_Class= CCC27}', "");
    Error('\p{Is_Ccc=	/a/0_0_0_0_0_0_0027}');
    Error('\P{Is_Ccc=	/a/0_0_0_0_0_0_0027}');
    Expect(1, 2288, '\p{Is_Ccc=+2_7}', "");
    Expect(0, 2288, '\p{^Is_Ccc=+2_7}', "");
    Expect(0, 2288, '\P{Is_Ccc=+2_7}', "");
    Expect(1, 2288, '\P{^Is_Ccc=+2_7}', "");
    Expect(0, 2289, '\p{Is_Ccc=+2_7}', "");
    Expect(1, 2289, '\p{^Is_Ccc=+2_7}', "");
    Expect(1, 2289, '\P{Is_Ccc=+2_7}', "");
    Expect(0, 2289, '\P{^Is_Ccc=+2_7}', "");
    Error('\p{Canonical_Combining_Class=_-ccc28/a/}');
    Error('\P{Canonical_Combining_Class=_-ccc28/a/}');
    Expect(1, 2289, '\p{Canonical_Combining_Class=:\ACCC28\z:}', "");;
    Expect(0, 2290, '\p{Canonical_Combining_Class=:\ACCC28\z:}', "");;
    Expect(1, 2289, '\p{Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2289, '\p{^Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2289, '\P{Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2289, '\P{^Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2290, '\p{Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2290, '\p{^Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2290, '\P{Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2290, '\P{^Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2289, '\p{Canonical_Combining_Class=:\Accc28\z:}', "");;
    Expect(0, 2290, '\p{Canonical_Combining_Class=:\Accc28\z:}', "");;
    Expect(1, 2289, '\p{Canonical_Combining_Class=-	ccc28}', "");
    Expect(0, 2289, '\p{^Canonical_Combining_Class=-	ccc28}', "");
    Expect(0, 2289, '\P{Canonical_Combining_Class=-	ccc28}', "");
    Expect(1, 2289, '\P{^Canonical_Combining_Class=-	ccc28}', "");
    Expect(0, 2290, '\p{Canonical_Combining_Class=-	ccc28}', "");
    Expect(1, 2290, '\p{^Canonical_Combining_Class=-	ccc28}', "");
    Expect(1, 2290, '\P{Canonical_Combining_Class=-	ccc28}', "");
    Expect(0, 2290, '\P{^Canonical_Combining_Class=-	ccc28}', "");
    Error('\p{Ccc=/a/  000_000_002_8}');
    Error('\P{Ccc=/a/  000_000_002_8}');
    Expect(1, 2289, '\p{Ccc=:\A28\z:}', "");;
    Expect(0, 2290, '\p{Ccc=:\A28\z:}', "");;
    Expect(1, 2289, '\p{Ccc=000_002_8}', "");
    Expect(0, 2289, '\p{^Ccc=000_002_8}', "");
    Expect(0, 2289, '\P{Ccc=000_002_8}', "");
    Expect(1, 2289, '\P{^Ccc=000_002_8}', "");
    Expect(0, 2290, '\p{Ccc=000_002_8}', "");
    Expect(1, 2290, '\p{^Ccc=000_002_8}', "");
    Expect(1, 2290, '\P{Ccc=000_002_8}', "");
    Expect(0, 2290, '\P{^Ccc=000_002_8}', "");
    Error('\p{Is_Canonical_Combining_Class=:=  CCC28}');
    Error('\P{Is_Canonical_Combining_Class=:=  CCC28}');
    Expect(1, 2289, '\p{Is_Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2289, '\p{^Is_Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2289, '\P{Is_Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2289, '\P{^Is_Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2290, '\p{Is_Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2290, '\p{^Is_Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2290, '\P{Is_Canonical_Combining_Class=ccc28}', "");
    Expect(0, 2290, '\P{^Is_Canonical_Combining_Class=ccc28}', "");
    Expect(1, 2289, '\p{Is_Canonical_Combining_Class=	-CCC28}', "");
    Expect(0, 2289, '\p{^Is_Canonical_Combining_Class=	-CCC28}', "");
    Expect(0, 2289, '\P{Is_Canonical_Combining_Class=	-CCC28}', "");
    Expect(1, 2289, '\P{^Is_Canonical_Combining_Class=	-CCC28}', "");
    Expect(0, 2290, '\p{Is_Canonical_Combining_Class=	-CCC28}', "");
    Expect(1, 2290, '\p{^Is_Canonical_Combining_Class=	-CCC28}', "");
    Expect(1, 2290, '\P{Is_Canonical_Combining_Class=	-CCC28}', "");
    Expect(0, 2290, '\P{^Is_Canonical_Combining_Class=	-CCC28}', "");
    Error('\p{Is_Ccc=_/a/+0_0_0_28}');
    Error('\P{Is_Ccc=_/a/+0_0_0_28}');
    Expect(1, 2289, '\p{Is_Ccc=0_0_28}', "");
    Expect(0, 2289, '\p{^Is_Ccc=0_0_28}', "");
    Expect(0, 2289, '\P{Is_Ccc=0_0_28}', "");
    Expect(1, 2289, '\P{^Is_Ccc=0_0_28}', "");
    Expect(0, 2290, '\p{Is_Ccc=0_0_28}', "");
    Expect(1, 2290, '\p{^Is_Ccc=0_0_28}', "");
    Expect(1, 2290, '\P{Is_Ccc=0_0_28}', "");
    Expect(0, 2290, '\P{^Is_Ccc=0_0_28}', "");
    Error('\p{Canonical_Combining_Class=_CCC29:=}');
    Error('\P{Canonical_Combining_Class=_CCC29:=}');
    Expect(1, 2290, '\p{Canonical_Combining_Class=:\ACCC29\z:}', "");;
    Expect(0, 2291, '\p{Canonical_Combining_Class=:\ACCC29\z:}', "");;
    Expect(1, 2290, '\p{Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2290, '\p{^Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2290, '\P{Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2290, '\P{^Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2291, '\p{Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2291, '\p{^Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2291, '\P{Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2291, '\P{^Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2290, '\p{Canonical_Combining_Class=:\Accc29\z:}', "");;
    Expect(0, 2291, '\p{Canonical_Combining_Class=:\Accc29\z:}', "");;
    Expect(1, 2290, '\p{Canonical_Combining_Class=	-CCC29}', "");
    Expect(0, 2290, '\p{^Canonical_Combining_Class=	-CCC29}', "");
    Expect(0, 2290, '\P{Canonical_Combining_Class=	-CCC29}', "");
    Expect(1, 2290, '\P{^Canonical_Combining_Class=	-CCC29}', "");
    Expect(0, 2291, '\p{Canonical_Combining_Class=	-CCC29}', "");
    Expect(1, 2291, '\p{^Canonical_Combining_Class=	-CCC29}', "");
    Expect(1, 2291, '\P{Canonical_Combining_Class=	-CCC29}', "");
    Expect(0, 2291, '\P{^Canonical_Combining_Class=	-CCC29}', "");
    Error('\p{Ccc=/a/+0000029}');
    Error('\P{Ccc=/a/+0000029}');
    Expect(1, 2290, '\p{Ccc=:\A29\z:}', "");;
    Expect(0, 2291, '\p{Ccc=:\A29\z:}', "");;
    Expect(1, 2290, '\p{Ccc: 00000000029}', "");
    Expect(0, 2290, '\p{^Ccc: 00000000029}', "");
    Expect(0, 2290, '\P{Ccc: 00000000029}', "");
    Expect(1, 2290, '\P{^Ccc: 00000000029}', "");
    Expect(0, 2291, '\p{Ccc: 00000000029}', "");
    Expect(1, 2291, '\p{^Ccc: 00000000029}', "");
    Expect(1, 2291, '\P{Ccc: 00000000029}', "");
    Expect(0, 2291, '\P{^Ccc: 00000000029}', "");
    Error('\p{Is_Canonical_Combining_Class=:=-_CCC29}');
    Error('\P{Is_Canonical_Combining_Class=:=-_CCC29}');
    Expect(1, 2290, '\p{Is_Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2290, '\p{^Is_Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2290, '\P{Is_Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2290, '\P{^Is_Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2291, '\p{Is_Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2291, '\p{^Is_Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2291, '\P{Is_Canonical_Combining_Class=ccc29}', "");
    Expect(0, 2291, '\P{^Is_Canonical_Combining_Class=ccc29}', "");
    Expect(1, 2290, '\p{Is_Canonical_Combining_Class= -CCC29}', "");
    Expect(0, 2290, '\p{^Is_Canonical_Combining_Class= -CCC29}', "");
    Expect(0, 2290, '\P{Is_Canonical_Combining_Class= -CCC29}', "");
    Expect(1, 2290, '\P{^Is_Canonical_Combining_Class= -CCC29}', "");
    Expect(0, 2291, '\p{Is_Canonical_Combining_Class= -CCC29}', "");
    Expect(1, 2291, '\p{^Is_Canonical_Combining_Class= -CCC29}', "");
    Expect(1, 2291, '\P{Is_Canonical_Combining_Class= -CCC29}', "");
    Expect(0, 2291, '\P{^Is_Canonical_Combining_Class= -CCC29}', "");
    Error('\p{Is_Ccc=--+0000000029/a/}');
    Error('\P{Is_Ccc=--+0000000029/a/}');
    Expect(1, 2290, '\p{Is_Ccc=00000002_9}', "");
    Expect(0, 2290, '\p{^Is_Ccc=00000002_9}', "");
    Expect(0, 2290, '\P{Is_Ccc=00000002_9}', "");
    Expect(1, 2290, '\P{^Is_Ccc=00000002_9}', "");
    Expect(0, 2291, '\p{Is_Ccc=00000002_9}', "");
    Expect(1, 2291, '\p{^Is_Ccc=00000002_9}', "");
    Expect(1, 2291, '\P{Is_Ccc=00000002_9}', "");
    Expect(0, 2291, '\P{^Is_Ccc=00000002_9}', "");
    Error('\p{Canonical_Combining_Class= _CCC30:=}');
    Error('\P{Canonical_Combining_Class= _CCC30:=}');
    Expect(1, 1614, '\p{Canonical_Combining_Class=:\ACCC30\z:}', "");;
    Expect(0, 1615, '\p{Canonical_Combining_Class=:\ACCC30\z:}', "");;
    Expect(1, 1614, '\p{Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1614, '\p{^Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1614, '\P{Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1614, '\P{^Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1615, '\p{Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1615, '\p{^Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1615, '\P{Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1615, '\P{^Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1614, '\p{Canonical_Combining_Class=:\Accc30\z:}', "");;
    Expect(0, 1615, '\p{Canonical_Combining_Class=:\Accc30\z:}', "");;
    Expect(1, 1614, '\p{Canonical_Combining_Class=-	CCC30}', "");
    Expect(0, 1614, '\p{^Canonical_Combining_Class=-	CCC30}', "");
    Expect(0, 1614, '\P{Canonical_Combining_Class=-	CCC30}', "");
    Expect(1, 1614, '\P{^Canonical_Combining_Class=-	CCC30}', "");
    Expect(0, 1615, '\p{Canonical_Combining_Class=-	CCC30}', "");
    Expect(1, 1615, '\p{^Canonical_Combining_Class=-	CCC30}', "");
    Expect(1, 1615, '\P{Canonical_Combining_Class=-	CCC30}', "");
    Expect(0, 1615, '\P{^Canonical_Combining_Class=-	CCC30}', "");
    Error('\p{Ccc=  0_0_0_0_30/a/}');
    Error('\P{Ccc=  0_0_0_0_30/a/}');
    Expect(1, 1614, '\p{Ccc=:\A30\z:}', "");;
    Expect(0, 1615, '\p{Ccc=:\A30\z:}', "");;
    Expect(1, 1614, '\p{Ccc=+003_0}', "");
    Expect(0, 1614, '\p{^Ccc=+003_0}', "");
    Expect(0, 1614, '\P{Ccc=+003_0}', "");
    Expect(1, 1614, '\P{^Ccc=+003_0}', "");
    Expect(0, 1615, '\p{Ccc=+003_0}', "");
    Expect(1, 1615, '\p{^Ccc=+003_0}', "");
    Expect(1, 1615, '\P{Ccc=+003_0}', "");
    Expect(0, 1615, '\P{^Ccc=+003_0}', "");
    Error('\p{Is_Canonical_Combining_Class=:=-CCC30}');
    Error('\P{Is_Canonical_Combining_Class=:=-CCC30}');
    Expect(1, 1614, '\p{Is_Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1614, '\p{^Is_Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1614, '\P{Is_Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1614, '\P{^Is_Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1615, '\p{Is_Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1615, '\p{^Is_Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1615, '\P{Is_Canonical_Combining_Class=ccc30}', "");
    Expect(0, 1615, '\P{^Is_Canonical_Combining_Class=ccc30}', "");
    Expect(1, 1614, '\p{Is_Canonical_Combining_Class=-CCC30}', "");
    Expect(0, 1614, '\p{^Is_Canonical_Combining_Class=-CCC30}', "");
    Expect(0, 1614, '\P{Is_Canonical_Combining_Class=-CCC30}', "");
    Expect(1, 1614, '\P{^Is_Canonical_Combining_Class=-CCC30}', "");
    Expect(0, 1615, '\p{Is_Canonical_Combining_Class=-CCC30}', "");
    Expect(1, 1615, '\p{^Is_Canonical_Combining_Class=-CCC30}', "");
    Expect(1, 1615, '\P{Is_Canonical_Combining_Class=-CCC30}', "");
    Expect(0, 1615, '\P{^Is_Canonical_Combining_Class=-CCC30}', "");
    Error('\p{Is_Ccc=_+00_00_03_0:=}');
    Error('\P{Is_Ccc=_+00_00_03_0:=}');
    Expect(1, 1614, '\p{Is_Ccc=0_0_0_0_30}', "");
    Expect(0, 1614, '\p{^Is_Ccc=0_0_0_0_30}', "");
    Expect(0, 1614, '\P{Is_Ccc=0_0_0_0_30}', "");
    Expect(1, 1614, '\P{^Is_Ccc=0_0_0_0_30}', "");
    Expect(0, 1615, '\p{Is_Ccc=0_0_0_0_30}', "");
    Expect(1, 1615, '\p{^Is_Ccc=0_0_0_0_30}', "");
    Expect(1, 1615, '\P{Is_Ccc=0_0_0_0_30}', "");
    Expect(0, 1615, '\P{^Is_Ccc=0_0_0_0_30}', "");
    Error('\p{Canonical_Combining_Class=	CCC31:=}');
    Error('\P{Canonical_Combining_Class=	CCC31:=}');
    Expect(1, 1615, '\p{Canonical_Combining_Class=:\ACCC31\z:}', "");;
    Expect(0, 1616, '\p{Canonical_Combining_Class=:\ACCC31\z:}', "");;
    Expect(1, 1615, '\p{Canonical_Combining_Class:ccc31}', "");
    Expect(0, 1615, '\p{^Canonical_Combining_Class:ccc31}', "");
    Expect(0, 1615, '\P{Canonical_Combining_Class:ccc31}', "");
    Expect(1, 1615, '\P{^Canonical_Combining_Class:ccc31}', "");
    Expect(0, 1616, '\p{Canonical_Combining_Class:ccc31}', "");
    Expect(1, 1616, '\p{^Canonical_Combining_Class:ccc31}', "");
    Expect(1, 1616, '\P{Canonical_Combining_Class:ccc31}', "");
    Expect(0, 1616, '\P{^Canonical_Combining_Class:ccc31}', "");
    Expect(1, 1615, '\p{Canonical_Combining_Class=:\Accc31\z:}', "");;
    Expect(0, 1616, '\p{Canonical_Combining_Class=:\Accc31\z:}', "");;
    Expect(1, 1615, '\p{Canonical_Combining_Class=	_CCC31}', "");
    Expect(0, 1615, '\p{^Canonical_Combining_Class=	_CCC31}', "");
    Expect(0, 1615, '\P{Canonical_Combining_Class=	_CCC31}', "");
    Expect(1, 1615, '\P{^Canonical_Combining_Class=	_CCC31}', "");
    Expect(0, 1616, '\p{Canonical_Combining_Class=	_CCC31}', "");
    Expect(1, 1616, '\p{^Canonical_Combining_Class=	_CCC31}', "");
    Expect(1, 1616, '\P{Canonical_Combining_Class=	_CCC31}', "");
    Expect(0, 1616, '\P{^Canonical_Combining_Class=	_CCC31}', "");
    Error('\p{Ccc=+000_000_000_31:=}');
    Error('\P{Ccc=+000_000_000_31:=}');
    Expect(1, 1615, '\p{Ccc=:\A31\z:}', "");;
    Expect(0, 1616, '\p{Ccc=:\A31\z:}', "");;
    Expect(1, 1615, '\p{Ccc=+00_00_03_1}', "");
    Expect(0, 1615, '\p{^Ccc=+00_00_03_1}', "");
    Expect(0, 1615, '\P{Ccc=+00_00_03_1}', "");
    Expect(1, 1615, '\P{^Ccc=+00_00_03_1}', "");
    Expect(0, 1616, '\p{Ccc=+00_00_03_1}', "");
    Expect(1, 1616, '\p{^Ccc=+00_00_03_1}', "");
    Expect(1, 1616, '\P{Ccc=+00_00_03_1}', "");
    Expect(0, 1616, '\P{^Ccc=+00_00_03_1}', "");
    Error('\p{Is_Canonical_Combining_Class=- ccc31:=}');
    Error('\P{Is_Canonical_Combining_Class=- ccc31:=}');
    Expect(1, 1615, '\p{Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(0, 1615, '\p{^Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(0, 1615, '\P{Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(1, 1615, '\P{^Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(0, 1616, '\p{Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(1, 1616, '\p{^Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(1, 1616, '\P{Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(0, 1616, '\P{^Is_Canonical_Combining_Class:   ccc31}', "");
    Expect(1, 1615, '\p{Is_Canonical_Combining_Class:    CCC31}', "");
    Expect(0, 1615, '\p{^Is_Canonical_Combining_Class:    CCC31}', "");
    Expect(0, 1615, '\P{Is_Canonical_Combining_Class:    CCC31}', "");
    Expect(1, 1615, '\P{^Is_Canonical_Combining_Class:    CCC31}', "");
    Expect(0, 1616, '\p{Is_Canonical_Combining_Class:    CCC31}', "");
    Expect(1, 1616, '\p{^Is_Canonical_Combining_Class:    CCC31}', "");
    Expect(1, 1616, '\P{Is_Canonical_Combining_Class:    CCC31}', "");
    Expect(0, 1616, '\P{^Is_Canonical_Combining_Class:    CCC31}', "");
    Error('\p{Is_Ccc=/a/-	+3_1}');
    Error('\P{Is_Ccc=/a/-	+3_1}');
    Expect(1, 1615, '\p{Is_Ccc=00000000031}', "");
    Expect(0, 1615, '\p{^Is_Ccc=00000000031}', "");
    Expect(0, 1615, '\P{Is_Ccc=00000000031}', "");
    Expect(1, 1615, '\P{^Is_Ccc=00000000031}', "");
    Expect(0, 1616, '\p{Is_Ccc=00000000031}', "");
    Expect(1, 1616, '\p{^Is_Ccc=00000000031}', "");
    Expect(1, 1616, '\P{Is_Ccc=00000000031}', "");
    Expect(0, 1616, '\P{^Is_Ccc=00000000031}', "");
    Error('\p{Canonical_Combining_Class=:= CCC32}');
    Error('\P{Canonical_Combining_Class=:= CCC32}');
    Expect(1, 1616, '\p{Canonical_Combining_Class=:\ACCC32\z:}', "");;
    Expect(0, 1617, '\p{Canonical_Combining_Class=:\ACCC32\z:}', "");;
    Expect(1, 1616, '\p{Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1616, '\p{^Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1616, '\P{Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1616, '\P{^Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1617, '\p{Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1617, '\p{^Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1617, '\P{Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1617, '\P{^Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1616, '\p{Canonical_Combining_Class=:\Accc32\z:}', "");;
    Expect(0, 1617, '\p{Canonical_Combining_Class=:\Accc32\z:}', "");;
    Expect(1, 1616, '\p{Canonical_Combining_Class=_CCC32}', "");
    Expect(0, 1616, '\p{^Canonical_Combining_Class=_CCC32}', "");
    Expect(0, 1616, '\P{Canonical_Combining_Class=_CCC32}', "");
    Expect(1, 1616, '\P{^Canonical_Combining_Class=_CCC32}', "");
    Expect(0, 1617, '\p{Canonical_Combining_Class=_CCC32}', "");
    Expect(1, 1617, '\p{^Canonical_Combining_Class=_CCC32}', "");
    Expect(1, 1617, '\P{Canonical_Combining_Class=_CCC32}', "");
    Expect(0, 1617, '\P{^Canonical_Combining_Class=_CCC32}', "");
    Error('\p{Ccc:	-000_003_2/a/}');
    Error('\P{Ccc:	-000_003_2/a/}');
    Expect(1, 1616, '\p{Ccc=:\A32\z:}', "");;
    Expect(0, 1617, '\p{Ccc=:\A32\z:}', "");;
    Expect(1, 1616, '\p{Ccc=00000000032}', "");
    Expect(0, 1616, '\p{^Ccc=00000000032}', "");
    Expect(0, 1616, '\P{Ccc=00000000032}', "");
    Expect(1, 1616, '\P{^Ccc=00000000032}', "");
    Expect(0, 1617, '\p{Ccc=00000000032}', "");
    Expect(1, 1617, '\p{^Ccc=00000000032}', "");
    Expect(1, 1617, '\P{Ccc=00000000032}', "");
    Expect(0, 1617, '\P{^Ccc=00000000032}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/CCC32}');
    Error('\P{Is_Canonical_Combining_Class=/a/CCC32}');
    Expect(1, 1616, '\p{Is_Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1616, '\p{^Is_Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1616, '\P{Is_Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1616, '\P{^Is_Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1617, '\p{Is_Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1617, '\p{^Is_Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1617, '\P{Is_Canonical_Combining_Class=ccc32}', "");
    Expect(0, 1617, '\P{^Is_Canonical_Combining_Class=ccc32}', "");
    Expect(1, 1616, '\p{Is_Canonical_Combining_Class=	-CCC32}', "");
    Expect(0, 1616, '\p{^Is_Canonical_Combining_Class=	-CCC32}', "");
    Expect(0, 1616, '\P{Is_Canonical_Combining_Class=	-CCC32}', "");
    Expect(1, 1616, '\P{^Is_Canonical_Combining_Class=	-CCC32}', "");
    Expect(0, 1617, '\p{Is_Canonical_Combining_Class=	-CCC32}', "");
    Expect(1, 1617, '\p{^Is_Canonical_Combining_Class=	-CCC32}', "");
    Expect(1, 1617, '\P{Is_Canonical_Combining_Class=	-CCC32}', "");
    Expect(0, 1617, '\P{^Is_Canonical_Combining_Class=	-CCC32}', "");
    Error('\p{Is_Ccc=_+0000000032/a/}');
    Error('\P{Is_Ccc=_+0000000032/a/}');
    Expect(1, 1616, '\p{Is_Ccc=032}', "");
    Expect(0, 1616, '\p{^Is_Ccc=032}', "");
    Expect(0, 1616, '\P{Is_Ccc=032}', "");
    Expect(1, 1616, '\P{^Is_Ccc=032}', "");
    Expect(0, 1617, '\p{Is_Ccc=032}', "");
    Expect(1, 1617, '\p{^Is_Ccc=032}', "");
    Expect(1, 1617, '\P{Is_Ccc=032}', "");
    Expect(0, 1617, '\P{^Is_Ccc=032}', "");
    Error('\p{Canonical_Combining_Class=	ccc33:=}');
    Error('\P{Canonical_Combining_Class=	ccc33:=}');
    Expect(1, 1617, '\p{Canonical_Combining_Class=:\ACCC33\z:}', "");;
    Expect(0, 1618, '\p{Canonical_Combining_Class=:\ACCC33\z:}', "");;
    Expect(1, 1617, '\p{Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1617, '\p{^Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1617, '\P{Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1617, '\P{^Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1618, '\p{Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1618, '\p{^Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1618, '\P{Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1618, '\P{^Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1617, '\p{Canonical_Combining_Class=:\Accc33\z:}', "");;
    Expect(0, 1618, '\p{Canonical_Combining_Class=:\Accc33\z:}', "");;
    Expect(1, 1617, '\p{Canonical_Combining_Class=__ccc33}', "");
    Expect(0, 1617, '\p{^Canonical_Combining_Class=__ccc33}', "");
    Expect(0, 1617, '\P{Canonical_Combining_Class=__ccc33}', "");
    Expect(1, 1617, '\P{^Canonical_Combining_Class=__ccc33}', "");
    Expect(0, 1618, '\p{Canonical_Combining_Class=__ccc33}', "");
    Expect(1, 1618, '\p{^Canonical_Combining_Class=__ccc33}', "");
    Expect(1, 1618, '\P{Canonical_Combining_Class=__ccc33}', "");
    Expect(0, 1618, '\P{^Canonical_Combining_Class=__ccc33}', "");
    Error('\p{Ccc=_ +00_03_3:=}');
    Error('\P{Ccc=_ +00_03_3:=}');
    Expect(1, 1617, '\p{Ccc=:\A33\z:}', "");;
    Expect(0, 1618, '\p{Ccc=:\A33\z:}', "");;
    Expect(1, 1617, '\p{Ccc=33}', "");
    Expect(0, 1617, '\p{^Ccc=33}', "");
    Expect(0, 1617, '\P{Ccc=33}', "");
    Expect(1, 1617, '\P{^Ccc=33}', "");
    Expect(0, 1618, '\p{Ccc=33}', "");
    Expect(1, 1618, '\p{^Ccc=33}', "");
    Expect(1, 1618, '\P{Ccc=33}', "");
    Expect(0, 1618, '\P{^Ccc=33}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/__CCC33}');
    Error('\P{Is_Canonical_Combining_Class=/a/__CCC33}');
    Expect(1, 1617, '\p{Is_Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1617, '\p{^Is_Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1617, '\P{Is_Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1617, '\P{^Is_Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1618, '\p{Is_Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1618, '\p{^Is_Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1618, '\P{Is_Canonical_Combining_Class=ccc33}', "");
    Expect(0, 1618, '\P{^Is_Canonical_Combining_Class=ccc33}', "");
    Expect(1, 1617, '\p{Is_Canonical_Combining_Class=_ ccc33}', "");
    Expect(0, 1617, '\p{^Is_Canonical_Combining_Class=_ ccc33}', "");
    Expect(0, 1617, '\P{Is_Canonical_Combining_Class=_ ccc33}', "");
    Expect(1, 1617, '\P{^Is_Canonical_Combining_Class=_ ccc33}', "");
    Expect(0, 1618, '\p{Is_Canonical_Combining_Class=_ ccc33}', "");
    Expect(1, 1618, '\p{^Is_Canonical_Combining_Class=_ ccc33}', "");
    Expect(1, 1618, '\P{Is_Canonical_Combining_Class=_ ccc33}', "");
    Expect(0, 1618, '\P{^Is_Canonical_Combining_Class=_ ccc33}', "");
    Error('\p{Is_Ccc: _/a/0000_0003_3}');
    Error('\P{Is_Ccc: _/a/0000_0003_3}');
    Expect(1, 1617, '\p{Is_Ccc=+0_0_0_0_0_0_33}', "");
    Expect(0, 1617, '\p{^Is_Ccc=+0_0_0_0_0_0_33}', "");
    Expect(0, 1617, '\P{Is_Ccc=+0_0_0_0_0_0_33}', "");
    Expect(1, 1617, '\P{^Is_Ccc=+0_0_0_0_0_0_33}', "");
    Expect(0, 1618, '\p{Is_Ccc=+0_0_0_0_0_0_33}', "");
    Expect(1, 1618, '\p{^Is_Ccc=+0_0_0_0_0_0_33}', "");
    Expect(1, 1618, '\P{Is_Ccc=+0_0_0_0_0_0_33}', "");
    Expect(0, 1618, '\P{^Is_Ccc=+0_0_0_0_0_0_33}', "");
    Error('\p{Canonical_Combining_Class=:=CCC34}');
    Error('\P{Canonical_Combining_Class=:=CCC34}');
    Expect(1, 1618, '\p{Canonical_Combining_Class=:\ACCC34\z:}', "");;
    Expect(0, 1619, '\p{Canonical_Combining_Class=:\ACCC34\z:}', "");;
    Expect(1, 1618, '\p{Canonical_Combining_Class=ccc34}', "");
    Expect(0, 1618, '\p{^Canonical_Combining_Class=ccc34}', "");
    Expect(0, 1618, '\P{Canonical_Combining_Class=ccc34}', "");
    Expect(1, 1618, '\P{^Canonical_Combining_Class=ccc34}', "");
    Expect(0, 1619, '\p{Canonical_Combining_Class=ccc34}', "");
    Expect(1, 1619, '\p{^Canonical_Combining_Class=ccc34}', "");
    Expect(1, 1619, '\P{Canonical_Combining_Class=ccc34}', "");
    Expect(0, 1619, '\P{^Canonical_Combining_Class=ccc34}', "");
    Expect(1, 1618, '\p{Canonical_Combining_Class=:\Accc34\z:}', "");;
    Expect(0, 1619, '\p{Canonical_Combining_Class=:\Accc34\z:}', "");;
    Expect(1, 1618, '\p{Canonical_Combining_Class=	CCC34}', "");
    Expect(0, 1618, '\p{^Canonical_Combining_Class=	CCC34}', "");
    Expect(0, 1618, '\P{Canonical_Combining_Class=	CCC34}', "");
    Expect(1, 1618, '\P{^Canonical_Combining_Class=	CCC34}', "");
    Expect(0, 1619, '\p{Canonical_Combining_Class=	CCC34}', "");
    Expect(1, 1619, '\p{^Canonical_Combining_Class=	CCC34}', "");
    Expect(1, 1619, '\P{Canonical_Combining_Class=	CCC34}', "");
    Expect(0, 1619, '\P{^Canonical_Combining_Class=	CCC34}', "");
    Error('\p{Ccc= _000000003_4/a/}');
    Error('\P{Ccc= _000000003_4/a/}');
    Expect(1, 1618, '\p{Ccc=:\A34\z:}', "");;
    Expect(0, 1619, '\p{Ccc=:\A34\z:}', "");;
    Expect(1, 1618, '\p{Ccc: 0_0_0_0_34}', "");
    Expect(0, 1618, '\p{^Ccc: 0_0_0_0_34}', "");
    Expect(0, 1618, '\P{Ccc: 0_0_0_0_34}', "");
    Expect(1, 1618, '\P{^Ccc: 0_0_0_0_34}', "");
    Expect(0, 1619, '\p{Ccc: 0_0_0_0_34}', "");
    Expect(1, 1619, '\p{^Ccc: 0_0_0_0_34}', "");
    Expect(1, 1619, '\P{Ccc: 0_0_0_0_34}', "");
    Expect(0, 1619, '\P{^Ccc: 0_0_0_0_34}', "");
    Error('\p{Is_Canonical_Combining_Class=--CCC34:=}');
    Error('\P{Is_Canonical_Combining_Class=--CCC34:=}');
    Expect(1, 1618, '\p{Is_Canonical_Combining_Class: ccc34}', "");
    Expect(0, 1618, '\p{^Is_Canonical_Combining_Class: ccc34}', "");
    Expect(0, 1618, '\P{Is_Canonical_Combining_Class: ccc34}', "");
    Expect(1, 1618, '\P{^Is_Canonical_Combining_Class: ccc34}', "");
    Expect(0, 1619, '\p{Is_Canonical_Combining_Class: ccc34}', "");
    Expect(1, 1619, '\p{^Is_Canonical_Combining_Class: ccc34}', "");
    Expect(1, 1619, '\P{Is_Canonical_Combining_Class: ccc34}', "");
    Expect(0, 1619, '\P{^Is_Canonical_Combining_Class: ccc34}', "");
    Expect(1, 1618, '\p{Is_Canonical_Combining_Class=_	ccc34}', "");
    Expect(0, 1618, '\p{^Is_Canonical_Combining_Class=_	ccc34}', "");
    Expect(0, 1618, '\P{Is_Canonical_Combining_Class=_	ccc34}', "");
    Expect(1, 1618, '\P{^Is_Canonical_Combining_Class=_	ccc34}', "");
    Expect(0, 1619, '\p{Is_Canonical_Combining_Class=_	ccc34}', "");
    Expect(1, 1619, '\p{^Is_Canonical_Combining_Class=_	ccc34}', "");
    Expect(1, 1619, '\P{Is_Canonical_Combining_Class=_	ccc34}', "");
    Expect(0, 1619, '\P{^Is_Canonical_Combining_Class=_	ccc34}', "");
    Error('\p{Is_Ccc=:=		00000034}');
    Error('\P{Is_Ccc=:=		00000034}');
    Expect(1, 1618, '\p{Is_Ccc=00_00_00_34}', "");
    Expect(0, 1618, '\p{^Is_Ccc=00_00_00_34}', "");
    Expect(0, 1618, '\P{Is_Ccc=00_00_00_34}', "");
    Expect(1, 1618, '\P{^Is_Ccc=00_00_00_34}', "");
    Expect(0, 1619, '\p{Is_Ccc=00_00_00_34}', "");
    Expect(1, 1619, '\p{^Is_Ccc=00_00_00_34}', "");
    Expect(1, 1619, '\P{Is_Ccc=00_00_00_34}', "");
    Expect(0, 1619, '\P{^Is_Ccc=00_00_00_34}', "");
    Error('\p{Canonical_Combining_Class=/a/  CCC35}');
    Error('\P{Canonical_Combining_Class=/a/  CCC35}');
    Expect(1, 1648, '\p{Canonical_Combining_Class=:\ACCC35\z:}', "");;
    Expect(0, 1649, '\p{Canonical_Combining_Class=:\ACCC35\z:}', "");;
    Expect(1, 1648, '\p{Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1648, '\p{^Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1648, '\P{Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1648, '\P{^Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1649, '\p{Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1649, '\p{^Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1649, '\P{Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1649, '\P{^Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1648, '\p{Canonical_Combining_Class=:\Accc35\z:}', "");;
    Expect(0, 1649, '\p{Canonical_Combining_Class=:\Accc35\z:}', "");;
    Expect(1, 1648, '\p{Canonical_Combining_Class=-CCC35}', "");
    Expect(0, 1648, '\p{^Canonical_Combining_Class=-CCC35}', "");
    Expect(0, 1648, '\P{Canonical_Combining_Class=-CCC35}', "");
    Expect(1, 1648, '\P{^Canonical_Combining_Class=-CCC35}', "");
    Expect(0, 1649, '\p{Canonical_Combining_Class=-CCC35}', "");
    Expect(1, 1649, '\p{^Canonical_Combining_Class=-CCC35}', "");
    Expect(1, 1649, '\P{Canonical_Combining_Class=-CCC35}', "");
    Expect(0, 1649, '\P{^Canonical_Combining_Class=-CCC35}', "");
    Error('\p{Ccc= :=+03_5}');
    Error('\P{Ccc= :=+03_5}');
    Expect(1, 1648, '\p{Ccc=:\A35\z:}', "");;
    Expect(0, 1649, '\p{Ccc=:\A35\z:}', "");;
    Expect(1, 1648, '\p{Ccc=0_0_0_0_35}', "");
    Expect(0, 1648, '\p{^Ccc=0_0_0_0_35}', "");
    Expect(0, 1648, '\P{Ccc=0_0_0_0_35}', "");
    Expect(1, 1648, '\P{^Ccc=0_0_0_0_35}', "");
    Expect(0, 1649, '\p{Ccc=0_0_0_0_35}', "");
    Expect(1, 1649, '\p{^Ccc=0_0_0_0_35}', "");
    Expect(1, 1649, '\P{Ccc=0_0_0_0_35}', "");
    Expect(0, 1649, '\P{^Ccc=0_0_0_0_35}', "");
    Error('\p{Is_Canonical_Combining_Class=/a/_ccc35}');
    Error('\P{Is_Canonical_Combining_Class=/a/_ccc35}');
    Expect(1, 1648, '\p{Is_Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1648, '\p{^Is_Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1648, '\P{Is_Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1648, '\P{^Is_Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1649, '\p{Is_Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1649, '\p{^Is_Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1649, '\P{Is_Canonical_Combining_Class=ccc35}', "");
    Expect(0, 1649, '\P{^Is_Canonical_Combining_Class=ccc35}', "");
    Expect(1, 1648, '\p{Is_Canonical_Combining_Class=_	CCC35}', "");
    Expect(0, 1648, '\p{^Is_Canonical_Combining_Class=_	CCC35}', "");
    Expect(0, 1648, '\P{Is_Canonical_Combining_Class=_	CCC35}', "");
    Expect(1, 1648, '\P{^Is_Canonical_Combining_Class=_	CCC35}', "");
    Expect(0, 1649, '\p{Is_Canonical_Combining_Class=_	CCC35}', "");
    Expect(1, 1649, '\p{^Is_Canonical_Combining_Class=_	CCC35}', "");
    Expect(1, 1649, '\P{Is_Canonical_Combining_Class=_	CCC35}', "");
    Expect(0, 1649, '\P{^Is_Canonical_Combining_Class=_	CCC35}', "");
    Error('\p{Is_Ccc:	-	0000000035/a/}');
    Error('\P{Is_Ccc:	-	0000000035/a/}');
    Expect(1, 1648, '\p{Is_Ccc=+0_0_35}', "");
    Expect(0, 1648, '\p{^Is_Ccc=+0_0_35}', "");
    Expect(0, 1648, '\P{Is_Ccc=+0_0_35}', "");
    Expect(1, 1648, '\P{^Is_Ccc=+0_0_35}', "");
    Expect(0, 1649, '\p{Is_Ccc=+0_0_35}', "");
    Expect(1, 1649, '\p{^Is_Ccc=+0_0_35}', "");
    Expect(1, 1649, '\P{Is_Ccc=+0_0_35}', "");
    Expect(0, 1649, '\P{^Is_Ccc=+0_0_35}', "");
    Error('\p{Canonical_Combining_Class=	CCC36:=}');
    Error('\P{Canonical_Combining_Class=	CCC36:=}');
    Expect(1, 1809, '\p{Canonical_Combining_Class=:\ACCC36\z:}', "");;
    Expect(0, 1810, '\p{Canonical_Combining_Class=:\ACCC36\z:}', "");;
    Expect(1, 1809, '\p{Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1809, '\p{^Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1809, '\P{Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1809, '\P{^Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1810, '\p{Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1810, '\p{^Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1810, '\P{Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1810, '\P{^Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1809, '\p{Canonical_Combining_Class=:\Accc36\z:}', "");;
    Expect(0, 1810, '\p{Canonical_Combining_Class=:\Accc36\z:}', "");;
    Expect(1, 1809, '\p{Canonical_Combining_Class=-_CCC36}', "");
    Expect(0, 1809, '\p{^Canonical_Combining_Class=-_CCC36}', "");
    Expect(0, 1809, '\P{Canonical_Combining_Class=-_CCC36}', "");
    Expect(1, 1809, '\P{^Canonical_Combining_Class=-_CCC36}', "");
    Expect(0, 1810, '\p{Canonical_Combining_Class=-_CCC36}', "");
    Expect(1, 1810, '\p{^Canonical_Combining_Class=-_CCC36}', "");
    Expect(1, 1810, '\P{Canonical_Combining_Class=-_CCC36}', "");
    Expect(0, 1810, '\P{^Canonical_Combining_Class=-_CCC36}', "");
    Error('\p{Ccc=/a/_0_0_0_036}');
    Error('\P{Ccc=/a/_0_0_0_036}');
    Expect(1, 1809, '\p{Ccc=:\A36\z:}', "");;
    Expect(0, 1810, '\p{Ccc=:\A36\z:}', "");;
    Expect(1, 1809, '\p{Ccc=+0036}', "");
    Expect(0, 1809, '\p{^Ccc=+0036}', "");
    Expect(0, 1809, '\P{Ccc=+0036}', "");
    Expect(1, 1809, '\P{^Ccc=+0036}', "");
    Expect(0, 1810, '\p{Ccc=+0036}', "");
    Expect(1, 1810, '\p{^Ccc=+0036}', "");
    Expect(1, 1810, '\P{Ccc=+0036}', "");
    Expect(0, 1810, '\P{^Ccc=+0036}', "");
    Error('\p{Is_Canonical_Combining_Class=_/a/ccc36}');
    Error('\P{Is_Canonical_Combining_Class=_/a/ccc36}');
    Expect(1, 1809, '\p{Is_Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1809, '\p{^Is_Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1809, '\P{Is_Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1809, '\P{^Is_Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1810, '\p{Is_Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1810, '\p{^Is_Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1810, '\P{Is_Canonical_Combining_Class=ccc36}', "");
    Expect(0, 1810, '\P{^Is_Canonical_Combining_Class=ccc36}', "");
    Expect(1, 1809, '\p{Is_Canonical_Combining_Class= 	CCC36}', "");
    Expect(0, 1809, '\p{^Is_Canonical_Combining_Class= 	CCC36}', "");
    Expect(0, 1809, '\P{Is_Canonical_Combining_Class= 	CCC36}', "");
    Expect(1, 1809, '\P{^Is_Canonical_Combining_Class= 	CCC36}', "");
    Expect(0, 1810, '\p{Is_Canonical_Combining_Class= 	CCC36}', "");
    Expect(1, 1810, '\p{^Is_Canonical_Combining_Class= 	CCC36}', "");
    Expect(1, 1810, '\P{Is_Canonical_Combining_Class= 	CCC36}', "");
    Expect(0, 1810, '\P{^Is_Canonical_Combining_Class= 	CCC36}', "");
    Error('\p{Is_Ccc=:=__0_0_0_0_0_00036}');
    Error('\P{Is_Ccc=:=__0_0_0_0_0_00036}');
    Expect(1, 1809, '\p{Is_Ccc=+0036}', "");
    Expect(0, 1809, '\p{^Is_Ccc=+0036}', "");
    Expect(0, 1809, '\P{Is_Ccc=+0036}', "");
    Expect(1, 1809, '\P{^Is_Ccc=+0036}', "");
    Expect(0, 1810, '\p{Is_Ccc=+0036}', "");
    Expect(1, 1810, '\p{^Is_Ccc=+0036}', "");
    Expect(1, 1810, '\P{Is_Ccc=+0036}', "");
    Expect(0, 1810, '\P{^Is_Ccc=+0036}', "");
    Error('\p{Canonical_Combining_Class=:= -CCC84}');
    Error('\P{Canonical_Combining_Class=:= -CCC84}');
    Expect(1, 3157, '\p{Canonical_Combining_Class=:\ACCC84\z:}', "");;
    Expect(0, 3158, '\p{Canonical_Combining_Class=:\ACCC84\z:}', "");;
    Expect(1, 3157, '\p{Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3157, '\p{^Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3157, '\P{Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3157, '\P{^Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3158, '\p{Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3158, '\p{^Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3158, '\P{Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3158, '\P{^Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3157, '\p{Canonical_Combining_Class=:\Accc84\z:}', "");;
    Expect(0, 3158, '\p{Canonical_Combining_Class=:\Accc84\z:}', "");;
    Expect(1, 3157, '\p{Canonical_Combining_Class=-CCC84}', "");
    Expect(0, 3157, '\p{^Canonical_Combining_Class=-CCC84}', "");
    Expect(0, 3157, '\P{Canonical_Combining_Class=-CCC84}', "");
    Expect(1, 3157, '\P{^Canonical_Combining_Class=-CCC84}', "");
    Expect(0, 3158, '\p{Canonical_Combining_Class=-CCC84}', "");
    Expect(1, 3158, '\p{^Canonical_Combining_Class=-CCC84}', "");
    Expect(1, 3158, '\P{Canonical_Combining_Class=-CCC84}', "");
    Expect(0, 3158, '\P{^Canonical_Combining_Class=-CCC84}', "");
    Error('\p{Ccc=/a/	-08_4}');
    Error('\P{Ccc=/a/	-08_4}');
    Expect(1, 3157, '\p{Ccc=:\A84\z:}', "");;
    Expect(0, 3158, '\p{Ccc=:\A84\z:}', "");;
    Expect(1, 3157, '\p{Ccc=0_0_0_0_0_0_0_0_084}', "");
    Expect(0, 3157, '\p{^Ccc=0_0_0_0_0_0_0_0_084}', "");
    Expect(0, 3157, '\P{Ccc=0_0_0_0_0_0_0_0_084}', "");
    Expect(1, 3157, '\P{^Ccc=0_0_0_0_0_0_0_0_084}', "");
    Expect(0, 3158, '\p{Ccc=0_0_0_0_0_0_0_0_084}', "");
    Expect(1, 3158, '\p{^Ccc=0_0_0_0_0_0_0_0_084}', "");
    Expect(1, 3158, '\P{Ccc=0_0_0_0_0_0_0_0_084}', "");
    Expect(0, 3158, '\P{^Ccc=0_0_0_0_0_0_0_0_084}', "");
    Error('\p{Is_Canonical_Combining_Class=:=	-CCC84}');
    Error('\P{Is_Canonical_Combining_Class=:=	-CCC84}');
    Expect(1, 3157, '\p{Is_Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3157, '\p{^Is_Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3157, '\P{Is_Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3157, '\P{^Is_Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3158, '\p{Is_Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3158, '\p{^Is_Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3158, '\P{Is_Canonical_Combining_Class=ccc84}', "");
    Expect(0, 3158, '\P{^Is_Canonical_Combining_Class=ccc84}', "");
    Expect(1, 3157, '\p{Is_Canonical_Combining_Class=	 CCC84}', "");
    Expect(0, 3157, '\p{^Is_Canonical_Combining_Class=	 CCC84}', "");
    Expect(0, 3157, '\P{Is_Canonical_Combining_Class=	 CCC84}', "");
    Expect(1, 3157, '\P{^Is_Canonical_Combining_Class=	 CCC84}', "");
    Expect(0, 3158, '\p{Is_Canonical_Combining_Class=	 CCC84}', "");
    Expect(1, 3158, '\p{^Is_Canonical_Combining_Class=	 CCC84}', "");
    Expect(1, 3158, '\P{Is_Canonical_Combining_Class=	 CCC84}', "");
    Expect(0, 3158, '\P{^Is_Canonical_Combining_Class=	 CCC84}', "");
    Error('\p{Is_Ccc=-_0_0_0_0_0_0_0_084/a/}');
    Error('\P{Is_Ccc=-_0_0_0_0_0_0_0_084/a/}');
    Expect(1, 3157, '\p{Is_Ccc=0000000084}', "");
    Expect(0, 3157, '\p{^Is_Ccc=0000000084}', "");
    Expect(0, 3157, '\P{Is_Ccc=0000000084}', "");
    Expect(1, 3157, '\P{^Is_Ccc=0000000084}', "");
    Expect(0, 3158, '\p{Is_Ccc=0000000084}', "");
    Expect(1, 3158, '\p{^Is_Ccc=0000000084}', "");
    Expect(1, 3158, '\P{Is_Ccc=0000000084}', "");
    Expect(0, 3158, '\P{^Is_Ccc=0000000084}', "");
    Error('\p{Canonical_Combining_Class=/a/ccc91}');
    Error('\P{Canonical_Combining_Class=/a/ccc91}');
    Expect(1, 3158, '\p{Canonical_Combining_Class=:\ACCC91\z:}', "");;
    Expect(0, 3159, '\p{Canonical_Combining_Class=:\ACCC91\z:}', "");;
    Expect(1, 3158, '\p{Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3158, '\p{^Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3158, '\P{Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3158, '\P{^Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3159, '\p{Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3159, '\p{^Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3159, '\P{Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3159, '\P{^Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3158, '\p{Canonical_Combining_Class=:\Accc91\z:}', "");;
    Expect(0, 3159, '\p{Canonical_Combining_Class=:\Accc91\z:}', "");;
    Expect(1, 3158, '\p{Canonical_Combining_Class=	CCC91}', "");
    Expect(0, 3158, '\p{^Canonical_Combining_Class=	CCC91}', "");
    Expect(0, 3158, '\P{Canonical_Combining_Class=	CCC91}', "");
    Expect(1, 3158, '\P{^Canonical_Combining_Class=	CCC91}', "");
    Expect(0, 3159, '\p{Canonical_Combining_Class=	CCC91}', "");
    Expect(1, 3159, '\p{^Canonical_Combining_Class=	CCC91}', "");
    Expect(1, 3159, '\P{Canonical_Combining_Class=	CCC91}', "");
    Expect(0, 3159, '\P{^Canonical_Combining_Class=	CCC91}', "");
    Error('\p{Ccc=/a/__00000091}');
    Error('\P{Ccc=/a/__00000091}');
    Expect(1, 3158, '\p{Ccc=:\A91\z:}', "");;
    Expect(0, 3159, '\p{Ccc=:\A91\z:}', "");;
    Expect(1, 3158, '\p{Ccc:   +0000000091}', "");
    Expect(0, 3158, '\p{^Ccc:   +0000000091}', "");
    Expect(0, 3158, '\P{Ccc:   +0000000091}', "");
    Expect(1, 3158, '\P{^Ccc:   +0000000091}', "");
    Expect(0, 3159, '\p{Ccc:   +0000000091}', "");
    Expect(1, 3159, '\p{^Ccc:   +0000000091}', "");
    Expect(1, 3159, '\P{Ccc:   +0000000091}', "");
    Expect(0, 3159, '\P{^Ccc:   +0000000091}', "");
    Error('\p{Is_Canonical_Combining_Class:   :=ccc91}');
    Error('\P{Is_Canonical_Combining_Class:   :=ccc91}');
    Expect(1, 3158, '\p{Is_Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3158, '\p{^Is_Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3158, '\P{Is_Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3158, '\P{^Is_Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3159, '\p{Is_Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3159, '\p{^Is_Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3159, '\P{Is_Canonical_Combining_Class=ccc91}', "");
    Expect(0, 3159, '\P{^Is_Canonical_Combining_Class=ccc91}', "");
    Expect(1, 3158, '\p{Is_Canonical_Combining_Class:   _ccc91}', "");
    Expect(0, 3158, '\p{^Is_Canonical_Combining_Class:   _ccc91}', "");
    Expect(0, 3158, '\P{Is_Canonical_Combining_Class:   _ccc91}', "");
    Expect(1, 3158, '\P{^Is_Canonical_Combining_Class:   _ccc91}', "");
    Expect(0, 3159, '\p{Is_Canonical_Combining_Class:   _ccc91}', "");
    Expect(1, 3159, '\p{^Is_Canonical_Combining_Class:   _ccc91}', "");
    Expect(1, 3159, '\P{Is_Canonical_Combining_Class:   _ccc91}', "");
    Expect(0, 3159, '\P{^Is_Canonical_Combining_Class:   _ccc91}', "");
    Error('\p{Is_Ccc=	/a/+09_1}');
    Error('\P{Is_Ccc=	/a/+09_1}');
    Expect(1, 3158, '\p{Is_Ccc=00_09_1}', "");
    Expect(0, 3158, '\p{^Is_Ccc=00_09_1}', "");
    Expect(0, 3158, '\P{Is_Ccc=00_09_1}', "");
    Expect(1, 3158, '\P{^Is_Ccc=00_09_1}', "");
    Expect(0, 3159, '\p{Is_Ccc=00_09_1}', "");
    Expect(1, 3159, '\p{^Is_Ccc=00_09_1}', "");
    Expect(1, 3159, '\P{Is_Ccc=00_09_1}', "");
    Expect(0, 3159, '\P{^Is_Ccc=00_09_1}', "");
    Error('\p{Canonical_Combining_Class=:=		Double_ABOVE}');
    Error('\P{Canonical_Combining_Class=:=		Double_ABOVE}');
    Expect(1, 7629, '\p{Canonical_Combining_Class=:\ADouble_Above\z:}', "");;
    Expect(0, 7630, '\p{Canonical_Combining_Class=:\ADouble_Above\z:}', "");;
    Expect(1, 7629, '\p{Canonical_Combining_Class=doubleabove}', "");
    Expect(0, 7629, '\p{^Canonical_Combining_Class=doubleabove}', "");
    Expect(0, 7629, '\P{Canonical_Combining_Class=doubleabove}', "");
    Expect(1, 7629, '\P{^Canonical_Combining_Class=doubleabove}', "");
    Expect(0, 7630, '\p{Canonical_Combining_Class=doubleabove}', "");
    Expect(1, 7630, '\p{^Canonical_Combining_Class=doubleabove}', "");
    Expect(1, 7630, '\P{Canonical_Combining_Class=doubleabove}', "");
    Expect(0, 7630, '\P{^Canonical_Combining_Class=doubleabove}', "");
    Expect(1, 7629, '\p{Canonical_Combining_Class=:\Adoubleabove\z:}', "");;
    Expect(0, 7630, '\p{Canonical_Combining_Class=:\Adoubleabove\z:}', "");;
    Expect(1, 7629, '\p{Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Expect(0, 7629, '\p{^Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Expect(0, 7629, '\P{Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Expect(1, 7629, '\P{^Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Expect(0, 7630, '\p{Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Expect(1, 7630, '\p{^Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Expect(1, 7630, '\P{Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Expect(0, 7630, '\P{^Canonical_Combining_Class=--DOUBLE_ABOVE}', "");
    Error('\p{Ccc=-:=DA}');
    Error('\P{Ccc=-:=DA}');
    Expect(1, 7629, '\p{Ccc=:\ADA\z:}', "");;
    Expect(0, 7630, '\p{Ccc=:\ADA\z:}', "");;
    Expect(1, 7629, '\p{Ccc=da}', "");
    Expect(0, 7629, '\p{^Ccc=da}', "");
    Expect(0, 7629, '\P{Ccc=da}', "");
    Expect(1, 7629, '\P{^Ccc=da}', "");
    Expect(0, 7630, '\p{Ccc=da}', "");
    Expect(1, 7630, '\p{^Ccc=da}', "");
    Expect(1, 7630, '\P{Ccc=da}', "");
    Expect(0, 7630, '\P{^Ccc=da}', "");
    Expect(1, 7629, '\p{Ccc=:\Ada\z:}', "");;
    Expect(0, 7630, '\p{Ccc=:\Ada\z:}', "");;
    Expect(1, 7629, '\p{Ccc= da}', "");
    Expect(0, 7629, '\p{^Ccc= da}', "");
    Expect(0, 7629, '\P{Ccc= da}', "");
    Expect(1, 7629, '\P{^Ccc= da}', "");
    Expect(0, 7630, '\p{Ccc= da}', "");
    Expect(1, 7630, '\p{^Ccc= da}', "");
    Expect(1, 7630, '\P{Ccc= da}', "");
    Expect(0, 7630, '\P{^Ccc= da}', "");
    Error('\p{Is_Canonical_Combining_Class=	+000234/a/}');
    Error('\P{Is_Canonical_Combining_Class=	+000234/a/}');
    Expect(1, 7629, '\p{Is_Canonical_Combining_Class=0000234}', "");
    Expect(0, 7629, '\p{^Is_Canonical_Combining_Class=0000234}', "");
    Expect(0, 7629, '\P{Is_Canonical_Combining_Class=0000234}', "");
    Expect(1, 7629, '\P{^Is_Canonical_Combining_Class=0000234}', "");
    Expect(0, 7630, '\p{Is_Canonical_Combining_Class=0000234}', "");
    Expect(1, 7630, '\p{^Is_Canonical_Combining_Class=0000234}', "");
    Expect(1, 7630, '\P{Is_Canonical_Combining_Class=0000234}', "");
    Expect(0, 7630, '\P{^Is_Canonical_Combining_Class=0000234}', "");
    Error('\p{Is_Ccc=- DOUBLE_Above/a/}');
    Error('\P{Is_Ccc=- DOUBLE_Above/a/}');
    Expect(1, 7629, '\p{Is_Ccc=doubleabove}', "");
    Expect(0, 7629, '\p{^Is_Ccc=doubleabove}', "");
    Expect(0, 7629, '\P{Is_Ccc=doubleabove}', "");
    Expect(1, 7629, '\P{^Is_Ccc=doubleabove}', "");
    Expect(0, 7630, '\p{Is_Ccc=doubleabove}', "");
    Expect(1, 7630, '\p{^Is_Ccc=doubleabove}', "");
    Expect(1, 7630, '\P{Is_Ccc=doubleabove}', "");
    Expect(0, 7630, '\P{^Is_Ccc=doubleabove}', "");
    Expect(1, 7629, '\p{Is_Ccc=_	DOUBLE_Above}', "");
    Expect(0, 7629, '\p{^Is_Ccc=_	DOUBLE_Above}', "");
    Expect(0, 7629, '\P{Is_Ccc=_	DOUBLE_Above}', "");
    Expect(1, 7629, '\P{^Is_Ccc=_	DOUBLE_Above}', "");
    Expect(0, 7630, '\p{Is_Ccc=_	DOUBLE_Above}', "");
    Expect(1, 7630, '\p{^Is_Ccc=_	DOUBLE_Above}', "");
    Expect(1, 7630, '\P{Is_Ccc=_	DOUBLE_Above}', "");
    Expect(0, 7630, '\P{^Is_Ccc=_	DOUBLE_Above}', "");
    Error('\p{Canonical_Combining_Class=_/a/Double_Below}');
    Error('\P{Canonical_Combining_Class=_/a/Double_Below}');
    Expect(1, 7676, '\p{Canonical_Combining_Class=:\ADouble_Below\z:}', "");;
    Expect(0, 7677, '\p{Canonical_Combining_Class=:\ADouble_Below\z:}', "");;
    Expect(1, 7676, '\p{Canonical_Combining_Class=doublebelow}', "");
    Expect(0, 7676, '\p{^Canonical_Combining_Class=doublebelow}', "");
    Expect(0, 7676, '\P{Canonical_Combining_Class=doublebelow}', "");
    Expect(1, 7676, '\P{^Canonical_Combining_Class=doublebelow}', "");
    Expect(0, 7677, '\p{Canonical_Combining_Class=doublebelow}', "");
    Expect(1, 7677, '\p{^Canonical_Combining_Class=doublebelow}', "");
    Expect(1, 7677, '\P{Canonical_Combining_Class=doublebelow}', "");
    Expect(0, 7677, '\P{^Canonical_Combining_Class=doublebelow}', "");
    Expect(1, 7676, '\p{Canonical_Combining_Class=:\Adoublebelow\z:}', "");;
    Expect(0, 7677, '\p{Canonical_Combining_Class=:\Adoublebelow\z:}', "");;
    Expect(1, 7676, '\p{Canonical_Combining_Class=__double_BELOW}', "");
    Expect(0, 7676, '\p{^Canonical_Combining_Class=__double_BELOW}', "");
    Expect(0, 7676, '\P{Canonical_Combining_Class=__double_BELOW}', "");
    Expect(1, 7676, '\P{^Canonical_Combining_Class=__double_BELOW}', "");
    Expect(0, 7677, '\p{Canonical_Combining_Class=__double_BELOW}', "");
    Expect(1, 7677, '\p{^Canonical_Combining_Class=__double_BELOW}', "");
    Expect(1, 7677, '\P{Canonical_Combining_Class=__double_BELOW}', "");
    Expect(0, 7677, '\P{^Canonical_Combining_Class=__double_BELOW}', "");
    Error('\p{Ccc=_	DB/a/}');
    Error('\P{Ccc=_	DB/a/}');
    Expect(1, 7676, '\p{Ccc=:\ADB\z:}', "");;
    Expect(0, 7677, '\p{Ccc=:\ADB\z:}', "");;
    Expect(1, 7676, '\p{Ccc=db}', "");
    Expect(0, 7676, '\p{^Ccc=db}', "");
    Expect(0, 7676, '\P{Ccc=db}', "");
    Expect(1, 7676, '\P{^Ccc=db}', "");
    Expect(0, 7677, '\p{Ccc=db}', "");
    Expect(1, 7677, '\p{^Ccc=db}', "");
    Expect(1, 7677, '\P{Ccc=db}', "");
    Expect(0, 7677, '\P{^Ccc=db}', "");
    Expect(1, 7676, '\p{Ccc=:\Adb\z:}', "");;
    Expect(0, 7677, '\p{Ccc=:\Adb\z:}', "");;
    Expect(1, 7676, '\p{Ccc=DB}', "");
    Expect(0, 7676, '\p{^Ccc=DB}', "");
    Expect(0, 7676, '\P{Ccc=DB}', "");
    Expect(1, 7676, '\P{^Ccc=DB}', "");
    Expect(0, 7677, '\p{Ccc=DB}', "");
    Expect(1, 7677, '\p{^Ccc=DB}', "");
    Expect(1, 7677, '\P{Ccc=DB}', "");
    Expect(0, 7677, '\P{^Ccc=DB}', "");
    Error('\p{Is_Canonical_Combining_Class=-/a/0_2_33}');
    Error('\P{Is_Canonical_Combining_Class=-/a/0_2_33}');
    Expect(1, 7676, '\p{Is_Canonical_Combining_Class=+233}', "");
    Expect(0, 7676, '\p{^Is_Canonical_Combining_Class=+233}', "");
    Expect(0, 7676, '\P{Is_Canonical_Combining_Class=+233}', "");
    Expect(1, 7676, '\P{^Is_Canonical_Combining_Class=+233}', "");
    Expect(0, 7677, '\p{Is_Canonical_Combining_Class=+233}', "");
    Expect(1, 7677, '\p{^Is_Canonical_Combining_Class=+233}', "");
    Expect(1, 7677, '\P{Is_Canonical_Combining_Class=+233}', "");
    Expect(0, 7677, '\P{^Is_Canonical_Combining_Class=+233}', "");
    Error('\p{Is_Ccc=_ DOUBLE_BELOW/a/}');
    Error('\P{Is_Ccc=_ DOUBLE_BELOW/a/}');
    Expect(1, 7676, '\p{Is_Ccc=doublebelow}', "");
    Expect(0, 7676, '\p{^Is_Ccc=doublebelow}', "");
    Expect(0, 7676, '\P{Is_Ccc=doublebelow}', "");
    Expect(1, 7676, '\P{^Is_Ccc=doublebelow}', "");
    Expect(0, 7677, '\p{Is_Ccc=doublebelow}', "");
    Expect(1, 7677, '\p{^Is_Ccc=doublebelow}', "");
    Expect(1, 7677, '\P{Is_Ccc=doublebelow}', "");
    Expect(0, 7677, '\P{^Is_Ccc=doublebelow}', "");
    Expect(1, 7676, '\p{Is_Ccc=-_Double_below}', "");
    Expect(0, 7676, '\p{^Is_Ccc=-_Double_below}', "");
    Expect(0, 7676, '\P{Is_Ccc=-_Double_below}', "");
    Expect(1, 7676, '\P{^Is_Ccc=-_Double_below}', "");
    Expect(0, 7677, '\p{Is_Ccc=-_Double_below}', "");
    Expect(1, 7677, '\p{^Is_Ccc=-_Double_below}', "");
    Expect(1, 7677, '\P{Is_Ccc=-_Double_below}', "");
    Expect(0, 7677, '\P{^Is_Ccc=-_Double_below}', "");
    Error('\p{Canonical_Combining_Class: :=	 Han_reading}');
    Error('\P{Canonical_Combining_Class: :=	 Han_reading}');
    Expect(1, 94193, '\p{Canonical_Combining_Class=:\AHan_Reading\z:}', "");;
    Expect(0, 94194, '\p{Canonical_Combining_Class=:\AHan_Reading\z:}', "");;
    Expect(1, 94193, '\p{Canonical_Combining_Class=hanreading}', "");
    Expect(0, 94193, '\p{^Canonical_Combining_Class=hanreading}', "");
    Expect(0, 94193, '\P{Canonical_Combining_Class=hanreading}', "");
    Expect(1, 94193, '\P{^Canonical_Combining_Class=hanreading}', "");
    Expect(0, 94194, '\p{Canonical_Combining_Class=hanreading}', "");
    Expect(1, 94194, '\p{^Canonical_Combining_Class=hanreading}', "");
    Expect(1, 94194, '\P{Canonical_Combining_Class=hanreading}', "");
    Expect(0, 94194, '\P{^Canonical_Combining_Class=hanreading}', "");
    Expect(1, 94193, '\p{Canonical_Combining_Class=:\Ahanreading\z:}', "");;
    Expect(0, 94194, '\p{Canonical_Combining_Class=:\Ahanreading\z:}', "");;
    Expect(1, 94193, '\p{Canonical_Combining_Class=_ Han_Reading}', "");
    Expect(0, 94193, '\p{^Canonical_Combining_Class=_ Han_Reading}', "");
    Expect(0, 94193, '\P{Canonical_Combining_Class=_ Han_Reading}', "");
    Expect(1, 94193, '\P{^Canonical_Combining_Class=_ Han_Reading}', "");
    Expect(0, 94194, '\p{Canonical_Combining_Class=_ Han_Reading}', "");
    Expect(1, 94194, '\p{^Canonical_Combining_Class=_ Han_Reading}', "");
    Expect(1, 94194, '\P{Canonical_Combining_Class=_ Han_Reading}', "");
    Expect(0, 94194, '\P{^Canonical_Combining_Class=_ Han_Reading}', "");
    Error('\p{Ccc:/a/HANR}');
    Error('\P{Ccc:/a/HANR}');
    Expect(1, 94193, '\p{Ccc=:\AHANR\z:}', "");;
    Expect(0, 94194, '\p{Ccc=:\AHANR\z:}', "");;
    Expect(1, 94193, '\p{Ccc: hanr}', "");
    Expect(0, 94193, '\p{^Ccc: hanr}', "");
    Expect(0, 94193, '\P{Ccc: hanr}', "");
    Expect(1, 94193, '\P{^Ccc: hanr}', "");
    Expect(0, 94194, '\p{Ccc: hanr}', "");
    Expect(1, 94194, '\p{^Ccc: hanr}', "");
    Expect(1, 94194, '\P{Ccc: hanr}', "");
    Expect(0, 94194, '\P{^Ccc: hanr}', "");
    Expect(1, 94193, '\p{Ccc=:\Ahanr\z:}', "");;
    Expect(0, 94194, '\p{Ccc=:\Ahanr\z:}', "");;
    Expect(1, 94193, '\p{Ccc: _ HANR}', "");
    Expect(0, 94193, '\p{^Ccc: _ HANR}', "");
    Expect(0, 94193, '\P{Ccc: _ HANR}', "");
    Expect(1, 94193, '\P{^Ccc: _ HANR}', "");
    Expect(0, 94194, '\p{Ccc: _ HANR}', "");
    Expect(1, 94194, '\p{^Ccc: _ HANR}', "");
    Expect(1, 94194, '\P{Ccc: _ HANR}', "");
    Expect(0, 94194, '\P{^Ccc: _ HANR}', "");
    Error('\p{Is_Canonical_Combining_Class=-:=06}');
    Error('\P{Is_Canonical_Combining_Class=-:=06}');
    Expect(1, 94193, '\p{Is_Canonical_Combining_Class:	0000000006}', "");
    Expect(0, 94193, '\p{^Is_Canonical_Combining_Class:	0000000006}', "");
    Expect(0, 94193, '\P{Is_Canonical_Combining_Class:	0000000006}', "");
    Expect(1, 94193, '\P{^Is_Canonical_Combining_Class:	0000000006}', "");
    Expect(0, 94194, '\p{Is_Canonical_Combining_Class:	0000000006}', "");
    Expect(1, 94194, '\p{^Is_Canonical_Combining_Class:	0000000006}', "");
    Expect(1, 94194, '\P{Is_Canonical_Combining_Class:	0000000006}', "");
    Expect(0, 94194, '\P{^Is_Canonical_Combining_Class:	0000000006}', "");
    Error('\p{Is_Ccc=_/a/Han_Reading}');
    Error('\P{Is_Ccc=_/a/Han_Reading}');
    Expect(1, 94193, '\p{Is_Ccc=hanreading}', "");
    Expect(0, 94193, '\p{^Is_Ccc=hanreading}', "");
    Expect(0, 94193, '\P{Is_Ccc=hanreading}', "");
    Expect(1, 94193, '\P{^Is_Ccc=hanreading}', "");
    Expect(0, 94194, '\p{Is_Ccc=hanreading}', "");
    Expect(1, 94194, '\p{^Is_Ccc=hanreading}', "");
    Expect(1, 94194, '\P{Is_Ccc=hanreading}', "");
    Expect(0, 94194, '\P{^Is_Ccc=hanreading}', "");
    Expect(1, 94193, '\p{Is_Ccc=_han_READING}', "");
    Expect(0, 94193, '\p{^Is_Ccc=_han_READING}', "");
    Expect(0, 94193, '\P{Is_Ccc=_han_READING}', "");
    Expect(1, 94193, '\P{^Is_Ccc=_han_READING}', "");
    Expect(0, 94194, '\p{Is_Ccc=_han_READING}', "");
    Expect(1, 94194, '\p{^Is_Ccc=_han_READING}', "");
    Expect(1, 94194, '\P{Is_Ccc=_han_READING}', "");
    Expect(0, 94194, '\P{^Is_Ccc=_han_READING}', "");
    Error('\p{Canonical_Combining_Class:   		Iota_subscript/a/}');
    Error('\P{Canonical_Combining_Class:   		Iota_subscript/a/}');
    Expect(1, 837, '\p{Canonical_Combining_Class=:\AIota_Subscript\z:}', "");;
    Expect(0, 838, '\p{Canonical_Combining_Class=:\AIota_Subscript\z:}', "");;
    Expect(1, 837, '\p{Canonical_Combining_Class=iotasubscript}', "");
    Expect(0, 837, '\p{^Canonical_Combining_Class=iotasubscript}', "");
    Expect(0, 837, '\P{Canonical_Combining_Class=iotasubscript}', "");
    Expect(1, 837, '\P{^Canonical_Combining_Class=iotasubscript}', "");
    Expect(0, 838, '\p{Canonical_Combining_Class=iotasubscript}', "");
    Expect(1, 838, '\p{^Canonical_Combining_Class=iotasubscript}', "");
    Expect(1, 838, '\P{Canonical_Combining_Class=iotasubscript}', "");
    Expect(0, 838, '\P{^Canonical_Combining_Class=iotasubscript}', "");
    Expect(1, 837, '\p{Canonical_Combining_Class=:\Aiotasubscript\z:}', "");;
    Expect(0, 838, '\p{Canonical_Combining_Class=:\Aiotasubscript\z:}', "");;
    Expect(1, 837, '\p{Canonical_Combining_Class= 	iota_subscript}', "");
    Expect(0, 837, '\p{^Canonical_Combining_Class= 	iota_subscript}', "");
    Expect(0, 837, '\P{Canonical_Combining_Class= 	iota_subscript}', "");
    Expect(1, 837, '\P{^Canonical_Combining_Class= 	iota_subscript}', "");
    Expect(0, 838, '\p{Canonical_Combining_Class= 	iota_subscript}', "");
    Expect(1, 838, '\p{^Canonical_Combining_Class= 	iota_subscript}', "");
    Expect(1, 838, '\P{Canonical_Combining_Class= 	iota_subscript}', "");
    Expect(0, 838, '\P{^Canonical_Combining_Class= 	iota_subscript}', "");
    Error('\p{Ccc=:=  IS}');
    Error('\P{Ccc=:=  IS}');
    Expect(1, 837, '\p{Ccc=:\AIS\z:}', "");;
    Expect(0, 838, '\p{Ccc=:\AIS\z:}', "");;
    Expect(1, 837, '\p{Ccc=is}', "");
    Expect(0, 837, '\p{^Ccc=is}', "");
    Expect(0, 837, '\P{Ccc=is}', "");
    Expect(1, 837, '\P{^Ccc=is}', "");
    Expect(0, 838, '\p{Ccc=is}', "");
    Expect(1, 838, '\p{^Ccc=is}', "");
    Expect(1, 838, '\P{Ccc=is}', "");
    Expect(0, 838, '\P{^Ccc=is}', "");
    Expect(1, 837, '\p{Ccc=:\Ais\z:}', "");;
    Expect(0, 838, '\p{Ccc=:\Ais\z:}', "");;
    Expect(1, 837, '\p{Ccc=IS}', "");
    Expect(0, 837, '\p{^Ccc=IS}', "");
    Expect(0, 837, '\P{Ccc=IS}', "");
    Expect(1, 837, '\P{^Ccc=IS}', "");
    Expect(0, 838, '\p{Ccc=IS}', "");
    Expect(1, 838, '\p{^Ccc=IS}', "");
    Expect(1, 838, '\P{Ccc=IS}', "");
    Expect(0, 838, '\P{^Ccc=IS}', "");
    Error('\p{Is_Canonical_Combining_Class= :=0_0_0_0_0_0_0_0240}');
    Error('\P{Is_Canonical_Combining_Class= :=0_0_0_0_0_0_0_0240}');
    Expect(1, 837, '\p{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Expect(0, 837, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Expect(0, 837, '\P{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Expect(1, 837, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Expect(0, 838, '\p{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Expect(1, 838, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Expect(1, 838, '\P{Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Expect(0, 838, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_0_0_0_0_2_40}', "");
    Error('\p{Is_Ccc=/a/Iota_Subscript}');
    Error('\P{Is_Ccc=/a/Iota_Subscript}');
    Expect(1, 837, '\p{Is_Ccc=iotasubscript}', "");
    Expect(0, 837, '\p{^Is_Ccc=iotasubscript}', "");
    Expect(0, 837, '\P{Is_Ccc=iotasubscript}', "");
    Expect(1, 837, '\P{^Is_Ccc=iotasubscript}', "");
    Expect(0, 838, '\p{Is_Ccc=iotasubscript}', "");
    Expect(1, 838, '\p{^Is_Ccc=iotasubscript}', "");
    Expect(1, 838, '\P{Is_Ccc=iotasubscript}', "");
    Expect(0, 838, '\P{^Is_Ccc=iotasubscript}', "");
    Expect(1, 837, '\p{Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Expect(0, 837, '\p{^Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Expect(0, 837, '\P{Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Expect(1, 837, '\P{^Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Expect(0, 838, '\p{Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Expect(1, 838, '\p{^Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Expect(1, 838, '\P{Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Expect(0, 838, '\P{^Is_Ccc=_-Iota_SUBSCRIPT}', "");
    Error('\p{Canonical_Combining_Class=	/a/kana_Voicing}');
    Error('\P{Canonical_Combining_Class=	/a/kana_Voicing}');
    Expect(1, 12442, '\p{Canonical_Combining_Class=:\AKana_Voicing\z:}', "");;
    Expect(0, 12443, '\p{Canonical_Combining_Class=:\AKana_Voicing\z:}', "");;
    Expect(1, 12442, '\p{Canonical_Combining_Class=kanavoicing}', "");
    Expect(0, 12442, '\p{^Canonical_Combining_Class=kanavoicing}', "");
    Expect(0, 12442, '\P{Canonical_Combining_Class=kanavoicing}', "");
    Expect(1, 12442, '\P{^Canonical_Combining_Class=kanavoicing}', "");
    Expect(0, 12443, '\p{Canonical_Combining_Class=kanavoicing}', "");
    Expect(1, 12443, '\p{^Canonical_Combining_Class=kanavoicing}', "");
    Expect(1, 12443, '\P{Canonical_Combining_Class=kanavoicing}', "");
    Expect(0, 12443, '\P{^Canonical_Combining_Class=kanavoicing}', "");
    Expect(1, 12442, '\p{Canonical_Combining_Class=:\Akanavoicing\z:}', "");;
    Expect(0, 12443, '\p{Canonical_Combining_Class=:\Akanavoicing\z:}', "");;
    Expect(1, 12442, '\p{Canonical_Combining_Class=KANA_Voicing}', "");
    Expect(0, 12442, '\p{^Canonical_Combining_Class=KANA_Voicing}', "");
    Expect(0, 12442, '\P{Canonical_Combining_Class=KANA_Voicing}', "");
    Expect(1, 12442, '\P{^Canonical_Combining_Class=KANA_Voicing}', "");
    Expect(0, 12443, '\p{Canonical_Combining_Class=KANA_Voicing}', "");
    Expect(1, 12443, '\p{^Canonical_Combining_Class=KANA_Voicing}', "");
    Expect(1, 12443, '\P{Canonical_Combining_Class=KANA_Voicing}', "");
    Expect(0, 12443, '\P{^Canonical_Combining_Class=KANA_Voicing}', "");
    Error('\p{Ccc=	:=KV}');
    Error('\P{Ccc=	:=KV}');
    Expect(1, 12442, '\p{Ccc=:\AKV\z:}', "");;
    Expect(0, 12443, '\p{Ccc=:\AKV\z:}', "");;
    Expect(1, 12442, '\p{Ccc=kv}', "");
    Expect(0, 12442, '\p{^Ccc=kv}', "");
    Expect(0, 12442, '\P{Ccc=kv}', "");
    Expect(1, 12442, '\P{^Ccc=kv}', "");
    Expect(0, 12443, '\p{Ccc=kv}', "");
    Expect(1, 12443, '\p{^Ccc=kv}', "");
    Expect(1, 12443, '\P{Ccc=kv}', "");
    Expect(0, 12443, '\P{^Ccc=kv}', "");
    Expect(1, 12442, '\p{Ccc=:\Akv\z:}', "");;
    Expect(0, 12443, '\p{Ccc=:\Akv\z:}', "");;
    Expect(1, 12442, '\p{Ccc:  KV}', "");
    Expect(0, 12442, '\p{^Ccc:  KV}', "");
    Expect(0, 12442, '\P{Ccc:  KV}', "");
    Expect(1, 12442, '\P{^Ccc:  KV}', "");
    Expect(0, 12443, '\p{Ccc:  KV}', "");
    Expect(1, 12443, '\p{^Ccc:  KV}', "");
    Expect(1, 12443, '\P{Ccc:  KV}', "");
    Expect(0, 12443, '\P{^Ccc:  KV}', "");
    Error('\p{Is_Canonical_Combining_Class=:=0008}');
    Error('\P{Is_Canonical_Combining_Class=:=0008}');
    Expect(1, 12442, '\p{Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Expect(0, 12442, '\p{^Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Expect(0, 12442, '\P{Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Expect(1, 12442, '\P{^Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Expect(0, 12443, '\p{Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Expect(1, 12443, '\p{^Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Expect(1, 12443, '\P{Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Expect(0, 12443, '\P{^Is_Canonical_Combining_Class=0_0_0_0_08}', "");
    Error('\p{Is_Ccc:	_Kana_VOICING/a/}');
    Error('\P{Is_Ccc:	_Kana_VOICING/a/}');
    Expect(1, 12442, '\p{Is_Ccc=kanavoicing}', "");
    Expect(0, 12442, '\p{^Is_Ccc=kanavoicing}', "");
    Expect(0, 12442, '\P{Is_Ccc=kanavoicing}', "");
    Expect(1, 12442, '\P{^Is_Ccc=kanavoicing}', "");
    Expect(0, 12443, '\p{Is_Ccc=kanavoicing}', "");
    Expect(1, 12443, '\p{^Is_Ccc=kanavoicing}', "");
    Expect(1, 12443, '\P{Is_Ccc=kanavoicing}', "");
    Expect(0, 12443, '\P{^Is_Ccc=kanavoicing}', "");
    Expect(1, 12442, '\p{Is_Ccc= -Kana_Voicing}', "");
    Expect(0, 12442, '\p{^Is_Ccc= -Kana_Voicing}', "");
    Expect(0, 12442, '\P{Is_Ccc= -Kana_Voicing}', "");
    Expect(1, 12442, '\P{^Is_Ccc= -Kana_Voicing}', "");
    Expect(0, 12443, '\p{Is_Ccc= -Kana_Voicing}', "");
    Expect(1, 12443, '\p{^Is_Ccc= -Kana_Voicing}', "");
    Expect(1, 12443, '\P{Is_Ccc= -Kana_Voicing}', "");
    Expect(0, 12443, '\P{^Is_Ccc= -Kana_Voicing}', "");
    Error('\p{Canonical_Combining_Class=/a/ Left}');
    Error('\P{Canonical_Combining_Class=/a/ Left}');
    Expect(1, 12335, '\p{Canonical_Combining_Class=:\ALeft\z:}', "");;
    Expect(0, 12336, '\p{Canonical_Combining_Class=:\ALeft\z:}', "");;
    Expect(1, 12335, '\p{Canonical_Combining_Class=left}', "");
    Expect(0, 12335, '\p{^Canonical_Combining_Class=left}', "");
    Expect(0, 12335, '\P{Canonical_Combining_Class=left}', "");
    Expect(1, 12335, '\P{^Canonical_Combining_Class=left}', "");
    Expect(0, 12336, '\p{Canonical_Combining_Class=left}', "");
    Expect(1, 12336, '\p{^Canonical_Combining_Class=left}', "");
    Expect(1, 12336, '\P{Canonical_Combining_Class=left}', "");
    Expect(0, 12336, '\P{^Canonical_Combining_Class=left}', "");
    Expect(1, 12335, '\p{Canonical_Combining_Class=:\Aleft\z:}', "");;
    Expect(0, 12336, '\p{Canonical_Combining_Class=:\Aleft\z:}', "");;
    Expect(1, 12335, '\p{Canonical_Combining_Class=_	Left}', "");
    Expect(0, 12335, '\p{^Canonical_Combining_Class=_	Left}', "");
    Expect(0, 12335, '\P{Canonical_Combining_Class=_	Left}', "");
    Expect(1, 12335, '\P{^Canonical_Combining_Class=_	Left}', "");
    Expect(0, 12336, '\p{Canonical_Combining_Class=_	Left}', "");
    Expect(1, 12336, '\p{^Canonical_Combining_Class=_	Left}', "");
    Expect(1, 12336, '\P{Canonical_Combining_Class=_	Left}', "");
    Expect(0, 12336, '\P{^Canonical_Combining_Class=_	Left}', "");
    Error('\p{Ccc=:=	 L}');
    Error('\P{Ccc=:=	 L}');
    Expect(1, 12335, '\p{Ccc=:\AL\z:}', "");;
    Expect(0, 12336, '\p{Ccc=:\AL\z:}', "");;
    Expect(1, 12335, '\p{Ccc=l}', "");
    Expect(0, 12335, '\p{^Ccc=l}', "");
    Expect(0, 12335, '\P{Ccc=l}', "");
    Expect(1, 12335, '\P{^Ccc=l}', "");
    Expect(0, 12336, '\p{Ccc=l}', "");
    Expect(1, 12336, '\p{^Ccc=l}', "");
    Expect(1, 12336, '\P{Ccc=l}', "");
    Expect(0, 12336, '\P{^Ccc=l}', "");
    Expect(1, 12335, '\p{Ccc=:\Al\z:}', "");;
    Expect(0, 12336, '\p{Ccc=:\Al\z:}', "");;
    Expect(1, 12335, '\p{Ccc=- L}', "");
    Expect(0, 12335, '\p{^Ccc=- L}', "");
    Expect(0, 12335, '\P{Ccc=- L}', "");
    Expect(1, 12335, '\P{^Ccc=- L}', "");
    Expect(0, 12336, '\p{Ccc=- L}', "");
    Expect(1, 12336, '\p{^Ccc=- L}', "");
    Expect(1, 12336, '\P{Ccc=- L}', "");
    Expect(0, 12336, '\P{^Ccc=- L}', "");
    Error('\p{Is_Canonical_Combining_Class=:=__+0022_4}');
    Error('\P{Is_Canonical_Combining_Class=:=__+0022_4}');
    Expect(1, 12335, '\p{Is_Canonical_Combining_Class:000_000_022_4}', "");
    Expect(0, 12335, '\p{^Is_Canonical_Combining_Class:000_000_022_4}', "");
    Expect(0, 12335, '\P{Is_Canonical_Combining_Class:000_000_022_4}', "");
    Expect(1, 12335, '\P{^Is_Canonical_Combining_Class:000_000_022_4}', "");
    Expect(0, 12336, '\p{Is_Canonical_Combining_Class:000_000_022_4}', "");
    Expect(1, 12336, '\p{^Is_Canonical_Combining_Class:000_000_022_4}', "");
    Expect(1, 12336, '\P{Is_Canonical_Combining_Class:000_000_022_4}', "");
    Expect(0, 12336, '\P{^Is_Canonical_Combining_Class:000_000_022_4}', "");
    Error('\p{Is_Ccc=/a/	_LEFT}');
    Error('\P{Is_Ccc=/a/	_LEFT}');
    Expect(1, 12335, '\p{Is_Ccc:left}', "");
    Expect(0, 12335, '\p{^Is_Ccc:left}', "");
    Expect(0, 12335, '\P{Is_Ccc:left}', "");
    Expect(1, 12335, '\P{^Is_Ccc:left}', "");
    Expect(0, 12336, '\p{Is_Ccc:left}', "");
    Expect(1, 12336, '\p{^Is_Ccc:left}', "");
    Expect(1, 12336, '\P{Is_Ccc:left}', "");
    Expect(0, 12336, '\P{^Is_Ccc:left}', "");
    Expect(1, 12335, '\p{Is_Ccc=		left}', "");
    Expect(0, 12335, '\p{^Is_Ccc=		left}', "");
    Expect(0, 12335, '\P{Is_Ccc=		left}', "");
    Expect(1, 12335, '\P{^Is_Ccc=		left}', "");
    Expect(0, 12336, '\p{Is_Ccc=		left}', "");
    Expect(1, 12336, '\p{^Is_Ccc=		left}', "");
    Expect(1, 12336, '\P{Is_Ccc=		left}', "");
    Expect(0, 12336, '\P{^Is_Ccc=		left}', "");
    Error('\p{Canonical_Combining_Class= :=Nukta}');
    Error('\P{Canonical_Combining_Class= :=Nukta}');
    Expect(1, 125258, '\p{Canonical_Combining_Class=:\ANukta\z:}', "");;
    Expect(0, 125259, '\p{Canonical_Combining_Class=:\ANukta\z:}', "");;
    Expect(1, 125258, '\p{Canonical_Combining_Class=nukta}', "");
    Expect(0, 125258, '\p{^Canonical_Combining_Class=nukta}', "");
    Expect(0, 125258, '\P{Canonical_Combining_Class=nukta}', "");
    Expect(1, 125258, '\P{^Canonical_Combining_Class=nukta}', "");
    Expect(0, 125259, '\p{Canonical_Combining_Class=nukta}', "");
    Expect(1, 125259, '\p{^Canonical_Combining_Class=nukta}', "");
    Expect(1, 125259, '\P{Canonical_Combining_Class=nukta}', "");
    Expect(0, 125259, '\P{^Canonical_Combining_Class=nukta}', "");
    Expect(1, 125258, '\p{Canonical_Combining_Class=:\Anukta\z:}', "");;
    Expect(0, 125259, '\p{Canonical_Combining_Class=:\Anukta\z:}', "");;
    Expect(1, 125258, '\p{Canonical_Combining_Class=__Nukta}', "");
    Expect(0, 125258, '\p{^Canonical_Combining_Class=__Nukta}', "");
    Expect(0, 125258, '\P{Canonical_Combining_Class=__Nukta}', "");
    Expect(1, 125258, '\P{^Canonical_Combining_Class=__Nukta}', "");
    Expect(0, 125259, '\p{Canonical_Combining_Class=__Nukta}', "");
    Expect(1, 125259, '\p{^Canonical_Combining_Class=__Nukta}', "");
    Expect(1, 125259, '\P{Canonical_Combining_Class=__Nukta}', "");
    Expect(0, 125259, '\P{^Canonical_Combining_Class=__Nukta}', "");
    Error('\p{Ccc=_:=NK}');
    Error('\P{Ccc=_:=NK}');
    Expect(1, 125258, '\p{Ccc=:\ANK\z:}', "");;
    Expect(0, 125259, '\p{Ccc=:\ANK\z:}', "");;
    Expect(1, 125258, '\p{Ccc: nk}', "");
    Expect(0, 125258, '\p{^Ccc: nk}', "");
    Expect(0, 125258, '\P{Ccc: nk}', "");
    Expect(1, 125258, '\P{^Ccc: nk}', "");
    Expect(0, 125259, '\p{Ccc: nk}', "");
    Expect(1, 125259, '\p{^Ccc: nk}', "");
    Expect(1, 125259, '\P{Ccc: nk}', "");
    Expect(0, 125259, '\P{^Ccc: nk}', "");
    Expect(1, 125258, '\p{Ccc=:\Ank\z:}', "");;
    Expect(0, 125259, '\p{Ccc=:\Ank\z:}', "");;
    Expect(1, 125258, '\p{Ccc=		nk}', "");
    Expect(0, 125258, '\p{^Ccc=		nk}', "");
    Expect(0, 125258, '\P{Ccc=		nk}', "");
    Expect(1, 125258, '\P{^Ccc=		nk}', "");
    Expect(0, 125259, '\p{Ccc=		nk}', "");
    Expect(1, 125259, '\p{^Ccc=		nk}', "");
    Expect(1, 125259, '\P{Ccc=		nk}', "");
    Expect(0, 125259, '\P{^Ccc=		nk}', "");
    Error('\p{Is_Canonical_Combining_Class:  	0007/a/}');
    Error('\P{Is_Canonical_Combining_Class:  	0007/a/}');
    Expect(1, 125258, '\p{Is_Canonical_Combining_Class=0000000007}', "");
    Expect(0, 125258, '\p{^Is_Canonical_Combining_Class=0000000007}', "");
    Expect(0, 125258, '\P{Is_Canonical_Combining_Class=0000000007}', "");
    Expect(1, 125258, '\P{^Is_Canonical_Combining_Class=0000000007}', "");
    Expect(0, 125259, '\p{Is_Canonical_Combining_Class=0000000007}', "");
    Expect(1, 125259, '\p{^Is_Canonical_Combining_Class=0000000007}', "");
    Expect(1, 125259, '\P{Is_Canonical_Combining_Class=0000000007}', "");
    Expect(0, 125259, '\P{^Is_Canonical_Combining_Class=0000000007}', "");
    Error('\p{Is_Ccc=  nukta/a/}');
    Error('\P{Is_Ccc=  nukta/a/}');
    Expect(1, 125258, '\p{Is_Ccc=nukta}', "");
    Expect(0, 125258, '\p{^Is_Ccc=nukta}', "");
    Expect(0, 125258, '\P{Is_Ccc=nukta}', "");
    Expect(1, 125258, '\P{^Is_Ccc=nukta}', "");
    Expect(0, 125259, '\p{Is_Ccc=nukta}', "");
    Expect(1, 125259, '\p{^Is_Ccc=nukta}', "");
    Expect(1, 125259, '\P{Is_Ccc=nukta}', "");
    Expect(0, 125259, '\P{^Is_Ccc=nukta}', "");
    Expect(1, 125258, '\p{Is_Ccc=	NUKTA}', "");
    Expect(0, 125258, '\p{^Is_Ccc=	NUKTA}', "");
    Expect(0, 125258, '\P{Is_Ccc=	NUKTA}', "");
    Expect(1, 125258, '\P{^Is_Ccc=	NUKTA}', "");
    Expect(0, 125259, '\p{Is_Ccc=	NUKTA}', "");
    Expect(1, 125259, '\p{^Is_Ccc=	NUKTA}', "");
    Expect(1, 125259, '\P{Is_Ccc=	NUKTA}', "");
    Expect(0, 125259, '\P{^Is_Ccc=	NUKTA}', "");
    Error('\p{Canonical_Combining_Class=- Not_REORDERED:=}');
    Error('\P{Canonical_Combining_Class=- Not_REORDERED:=}');
    Expect(1, 125259, '\p{Canonical_Combining_Class=:\ANot_Reordered\z:}', "");;
    Expect(0, 125258, '\p{Canonical_Combining_Class=:\ANot_Reordered\z:}', "");;
    Expect(1, 125259, '\p{Canonical_Combining_Class=notreordered}', "");
    Expect(0, 125259, '\p{^Canonical_Combining_Class=notreordered}', "");
    Expect(0, 125259, '\P{Canonical_Combining_Class=notreordered}', "");
    Expect(1, 125259, '\P{^Canonical_Combining_Class=notreordered}', "");
    Expect(0, 125258, '\p{Canonical_Combining_Class=notreordered}', "");
    Expect(1, 125258, '\p{^Canonical_Combining_Class=notreordered}', "");
    Expect(1, 125258, '\P{Canonical_Combining_Class=notreordered}', "");
    Expect(0, 125258, '\P{^Canonical_Combining_Class=notreordered}', "");
    Expect(1, 125259, '\p{Canonical_Combining_Class=:\Anotreordered\z:}', "");;
    Expect(0, 125258, '\p{Canonical_Combining_Class=:\Anotreordered\z:}', "");;
    Expect(1, 125259, '\p{Canonical_Combining_Class= not_REORDERED}', "");
    Expect(0, 125259, '\p{^Canonical_Combining_Class= not_REORDERED}', "");
    Expect(0, 125259, '\P{Canonical_Combining_Class= not_REORDERED}', "");
    Expect(1, 125259, '\P{^Canonical_Combining_Class= not_REORDERED}', "");
    Expect(0, 125258, '\p{Canonical_Combining_Class= not_REORDERED}', "");
    Expect(1, 125258, '\p{^Canonical_Combining_Class= not_REORDERED}', "");
    Expect(1, 125258, '\P{Canonical_Combining_Class= not_REORDERED}', "");
    Expect(0, 125258, '\P{^Canonical_Combining_Class= not_REORDERED}', "");
    Error('\p{Ccc=_:=nr}');
    Error('\P{Ccc=_:=nr}');
    Expect(1, 125259, '\p{Ccc=:\ANR\z:}', "");;
    Expect(0, 125258, '\p{Ccc=:\ANR\z:}', "");;
    Expect(1, 125259, '\p{Ccc=nr}', "");
    Expect(0, 125259, '\p{^Ccc=nr}', "");
    Expect(0, 125259, '\P{Ccc=nr}', "");
    Expect(1, 125259, '\P{^Ccc=nr}', "");
    Expect(0, 125258, '\p{Ccc=nr}', "");
    Expect(1, 125258, '\p{^Ccc=nr}', "");
    Expect(1, 125258, '\P{Ccc=nr}', "");
    Expect(0, 125258, '\P{^Ccc=nr}', "");
    Expect(1, 125259, '\p{Ccc=:\Anr\z:}', "");;
    Expect(0, 125258, '\p{Ccc=:\Anr\z:}', "");;
    Expect(1, 125259, '\p{Ccc:	 NR}', "");
    Expect(0, 125259, '\p{^Ccc:	 NR}', "");
    Expect(0, 125259, '\P{Ccc:	 NR}', "");
    Expect(1, 125259, '\P{^Ccc:	 NR}', "");
    Expect(0, 125258, '\p{Ccc:	 NR}', "");
    Expect(1, 125258, '\p{^Ccc:	 NR}', "");
    Expect(1, 125258, '\P{Ccc:	 NR}', "");
    Expect(0, 125258, '\P{^Ccc:	 NR}', "");
    Error('\p{Is_Canonical_Combining_Class=_000000/a/}');
    Error('\P{Is_Canonical_Combining_Class=_000000/a/}');
    Expect(1, 125259, '\p{Is_Canonical_Combining_Class=+00}', "");
    Expect(0, 125259, '\p{^Is_Canonical_Combining_Class=+00}', "");
    Expect(0, 125259, '\P{Is_Canonical_Combining_Class=+00}', "");
    Expect(1, 125259, '\P{^Is_Canonical_Combining_Class=+00}', "");
    Expect(0, 125258, '\p{Is_Canonical_Combining_Class=+00}', "");
    Expect(1, 125258, '\p{^Is_Canonical_Combining_Class=+00}', "");
    Expect(1, 125258, '\P{Is_Canonical_Combining_Class=+00}', "");
    Expect(0, 125258, '\P{^Is_Canonical_Combining_Class=+00}', "");
    Error('\p{Is_Ccc=:=_NOT_REORDERED}');
    Error('\P{Is_Ccc=:=_NOT_REORDERED}');
    Expect(1, 125259, '\p{Is_Ccc=notreordered}', "");
    Expect(0, 125259, '\p{^Is_Ccc=notreordered}', "");
    Expect(0, 125259, '\P{Is_Ccc=notreordered}', "");
    Expect(1, 125259, '\P{^Is_Ccc=notreordered}', "");
    Expect(0, 125258, '\p{Is_Ccc=notreordered}', "");
    Expect(1, 125258, '\p{^Is_Ccc=notreordered}', "");
    Expect(1, 125258, '\P{Is_Ccc=notreordered}', "");
    Expect(0, 125258, '\P{^Is_Ccc=notreordered}', "");
    Expect(1, 125259, '\p{Is_Ccc=- Not_Reordered}', "");
    Expect(0, 125259, '\p{^Is_Ccc=- Not_Reordered}', "");
    Expect(0, 125259, '\P{Is_Ccc=- Not_Reordered}', "");
    Expect(1, 125259, '\P{^Is_Ccc=- Not_Reordered}', "");
    Expect(0, 125258, '\p{Is_Ccc=- Not_Reordered}', "");
    Expect(1, 125258, '\p{^Is_Ccc=- Not_Reordered}', "");
    Expect(1, 125258, '\P{Is_Ccc=- Not_Reordered}', "");
    Expect(0, 125258, '\P{^Is_Ccc=- Not_Reordered}', "");
    Error('\p{Canonical_Combining_Class=	_overlay:=}');
    Error('\P{Canonical_Combining_Class=	_overlay:=}');
    Expect(1, 119145, '\p{Canonical_Combining_Class=:\AOverlay\z:}', "");;
    Expect(0, 119146, '\p{Canonical_Combining_Class=:\AOverlay\z:}', "");;
    Expect(1, 119145, '\p{Canonical_Combining_Class=overlay}', "");
    Expect(0, 119145, '\p{^Canonical_Combining_Class=overlay}', "");
    Expect(0, 119145, '\P{Canonical_Combining_Class=overlay}', "");
    Expect(1, 119145, '\P{^Canonical_Combining_Class=overlay}', "");
    Expect(0, 119146, '\p{Canonical_Combining_Class=overlay}', "");
    Expect(1, 119146, '\p{^Canonical_Combining_Class=overlay}', "");
    Expect(1, 119146, '\P{Canonical_Combining_Class=overlay}', "");
    Expect(0, 119146, '\P{^Canonical_Combining_Class=overlay}', "");
    Expect(1, 119145, '\p{Canonical_Combining_Class=:\Aoverlay\z:}', "");;
    Expect(0, 119146, '\p{Canonical_Combining_Class=:\Aoverlay\z:}', "");;
    Expect(1, 119145, '\p{Canonical_Combining_Class=_Overlay}', "");
    Expect(0, 119145, '\p{^Canonical_Combining_Class=_Overlay}', "");
    Expect(0, 119145, '\P{Canonical_Combining_Class=_Overlay}', "");
    Expect(1, 119145, '\P{^Canonical_Combining_Class=_Overlay}', "");
    Expect(0, 119146, '\p{Canonical_Combining_Class=_Overlay}', "");
    Expect(1, 119146, '\p{^Canonical_Combining_Class=_Overlay}', "");
    Expect(1, 119146, '\P{Canonical_Combining_Class=_Overlay}', "");
    Expect(0, 119146, '\P{^Canonical_Combining_Class=_Overlay}', "");
    Error('\p{Ccc=-/a/ov}');
    Error('\P{Ccc=-/a/ov}');
    Expect(1, 119145, '\p{Ccc=:\AOV\z:}', "");;
    Expect(0, 119146, '\p{Ccc=:\AOV\z:}', "");;
    Expect(1, 119145, '\p{Ccc=ov}', "");
    Expect(0, 119145, '\p{^Ccc=ov}', "");
    Expect(0, 119145, '\P{Ccc=ov}', "");
    Expect(1, 119145, '\P{^Ccc=ov}', "");
    Expect(0, 119146, '\p{Ccc=ov}', "");
    Expect(1, 119146, '\p{^Ccc=ov}', "");
    Expect(1, 119146, '\P{Ccc=ov}', "");
    Expect(0, 119146, '\P{^Ccc=ov}', "");
    Expect(1, 119145, '\p{Ccc=:\Aov\z:}', "");;
    Expect(0, 119146, '\p{Ccc=:\Aov\z:}', "");;
    Expect(1, 119145, '\p{Ccc=-OV}', "");
    Expect(0, 119145, '\p{^Ccc=-OV}', "");
    Expect(0, 119145, '\P{Ccc=-OV}', "");
    Expect(1, 119145, '\P{^Ccc=-OV}', "");
    Expect(0, 119146, '\p{Ccc=-OV}', "");
    Expect(1, 119146, '\p{^Ccc=-OV}', "");
    Expect(1, 119146, '\P{Ccc=-OV}', "");
    Expect(0, 119146, '\P{^Ccc=-OV}', "");
    Error('\p{Is_Canonical_Combining_Class= -00_00_00_1/a/}');
    Error('\P{Is_Canonical_Combining_Class= -00_00_00_1/a/}');
    Expect(1, 119145, '\p{Is_Canonical_Combining_Class=+00_1}', "");
    Expect(0, 119145, '\p{^Is_Canonical_Combining_Class=+00_1}', "");
    Expect(0, 119145, '\P{Is_Canonical_Combining_Class=+00_1}', "");
    Expect(1, 119145, '\P{^Is_Canonical_Combining_Class=+00_1}', "");
    Expect(0, 119146, '\p{Is_Canonical_Combining_Class=+00_1}', "");
    Expect(1, 119146, '\p{^Is_Canonical_Combining_Class=+00_1}', "");
    Expect(1, 119146, '\P{Is_Canonical_Combining_Class=+00_1}', "");
    Expect(0, 119146, '\P{^Is_Canonical_Combining_Class=+00_1}', "");
    Error('\p{Is_Ccc= OVERLAY:=}');
    Error('\P{Is_Ccc= OVERLAY:=}');
    Expect(1, 119145, '\p{Is_Ccc=overlay}', "");
    Expect(0, 119145, '\p{^Is_Ccc=overlay}', "");
    Expect(0, 119145, '\P{Is_Ccc=overlay}', "");
    Expect(1, 119145, '\P{^Is_Ccc=overlay}', "");
    Expect(0, 119146, '\p{Is_Ccc=overlay}', "");
    Expect(1, 119146, '\p{^Is_Ccc=overlay}', "");
    Expect(1, 119146, '\P{Is_Ccc=overlay}', "");
    Expect(0, 119146, '\P{^Is_Ccc=overlay}', "");
    Expect(1, 119145, '\p{Is_Ccc=	OVERLAY}', "");
    Expect(0, 119145, '\p{^Is_Ccc=	OVERLAY}', "");
    Expect(0, 119145, '\P{Is_Ccc=	OVERLAY}', "");
    Expect(1, 119145, '\P{^Is_Ccc=	OVERLAY}', "");
    Expect(0, 119146, '\p{Is_Ccc=	OVERLAY}', "");
    Expect(1, 119146, '\p{^Is_Ccc=	OVERLAY}', "");
    Expect(1, 119146, '\P{Is_Ccc=	OVERLAY}', "");
    Expect(0, 119146, '\P{^Is_Ccc=	OVERLAY}', "");
    Error('\p{Canonical_Combining_Class=/a/	RIGHT}');
    Error('\P{Canonical_Combining_Class=/a/	RIGHT}');
    Expect(1, 119149, '\p{Canonical_Combining_Class=:\ARight\z:}', "");;
    Expect(0, 119150, '\p{Canonical_Combining_Class=:\ARight\z:}', "");;
    Expect(1, 119149, '\p{Canonical_Combining_Class=right}', "");
    Expect(0, 119149, '\p{^Canonical_Combining_Class=right}', "");
    Expect(0, 119149, '\P{Canonical_Combining_Class=right}', "");
    Expect(1, 119149, '\P{^Canonical_Combining_Class=right}', "");
    Expect(0, 119150, '\p{Canonical_Combining_Class=right}', "");
    Expect(1, 119150, '\p{^Canonical_Combining_Class=right}', "");
    Expect(1, 119150, '\P{Canonical_Combining_Class=right}', "");
    Expect(0, 119150, '\P{^Canonical_Combining_Class=right}', "");
    Expect(1, 119149, '\p{Canonical_Combining_Class=:\Aright\z:}', "");;
    Expect(0, 119150, '\p{Canonical_Combining_Class=:\Aright\z:}', "");;
    Expect(1, 119149, '\p{Canonical_Combining_Class: - RIGHT}', "");
    Expect(0, 119149, '\p{^Canonical_Combining_Class: - RIGHT}', "");
    Expect(0, 119149, '\P{Canonical_Combining_Class: - RIGHT}', "");
    Expect(1, 119149, '\P{^Canonical_Combining_Class: - RIGHT}', "");
    Expect(0, 119150, '\p{Canonical_Combining_Class: - RIGHT}', "");
    Expect(1, 119150, '\p{^Canonical_Combining_Class: - RIGHT}', "");
    Expect(1, 119150, '\P{Canonical_Combining_Class: - RIGHT}', "");
    Expect(0, 119150, '\P{^Canonical_Combining_Class: - RIGHT}', "");
    Error('\p{Ccc=/a/	R}');
    Error('\P{Ccc=/a/	R}');
    Expect(1, 119149, '\p{Ccc=:\AR\z:}', "");;
    Expect(0, 119150, '\p{Ccc=:\AR\z:}', "");;
    Expect(1, 119149, '\p{Ccc=r}', "");
    Expect(0, 119149, '\p{^Ccc=r}', "");
    Expect(0, 119149, '\P{Ccc=r}', "");
    Expect(1, 119149, '\P{^Ccc=r}', "");
    Expect(0, 119150, '\p{Ccc=r}', "");
    Expect(1, 119150, '\p{^Ccc=r}', "");
    Expect(1, 119150, '\P{Ccc=r}', "");
    Expect(0, 119150, '\P{^Ccc=r}', "");
    Expect(1, 119149, '\p{Ccc=:\Ar\z:}', "");;
    Expect(0, 119150, '\p{Ccc=:\Ar\z:}', "");;
    Expect(1, 119149, '\p{Ccc=_	r}', "");
    Expect(0, 119149, '\p{^Ccc=_	r}', "");
    Expect(0, 119149, '\P{Ccc=_	r}', "");
    Expect(1, 119149, '\P{^Ccc=_	r}', "");
    Expect(0, 119150, '\p{Ccc=_	r}', "");
    Expect(1, 119150, '\p{^Ccc=_	r}', "");
    Expect(1, 119150, '\P{Ccc=_	r}', "");
    Expect(0, 119150, '\P{^Ccc=_	r}', "");
    Error('\p{Is_Canonical_Combining_Class=:=0226}');
    Error('\P{Is_Canonical_Combining_Class=:=0226}');
    Expect(1, 119149, '\p{Is_Canonical_Combining_Class=00000000226}', "");
    Expect(0, 119149, '\p{^Is_Canonical_Combining_Class=00000000226}', "");
    Expect(0, 119149, '\P{Is_Canonical_Combining_Class=00000000226}', "");
    Expect(1, 119149, '\P{^Is_Canonical_Combining_Class=00000000226}', "");
    Expect(0, 119150, '\p{Is_Canonical_Combining_Class=00000000226}', "");
    Expect(1, 119150, '\p{^Is_Canonical_Combining_Class=00000000226}', "");
    Expect(1, 119150, '\P{Is_Canonical_Combining_Class=00000000226}', "");
    Expect(0, 119150, '\P{^Is_Canonical_Combining_Class=00000000226}', "");
    Error('\p{Is_Ccc= _RIGHT:=}');
    Error('\P{Is_Ccc= _RIGHT:=}');
    Expect(1, 119149, '\p{Is_Ccc=right}', "");
    Expect(0, 119149, '\p{^Is_Ccc=right}', "");
    Expect(0, 119149, '\P{Is_Ccc=right}', "");
    Expect(1, 119149, '\P{^Is_Ccc=right}', "");
    Expect(0, 119150, '\p{Is_Ccc=right}', "");
    Expect(1, 119150, '\p{^Is_Ccc=right}', "");
    Expect(1, 119150, '\P{Is_Ccc=right}', "");
    Expect(0, 119150, '\P{^Is_Ccc=right}', "");
    Expect(1, 119149, '\p{Is_Ccc= 	right}', "");
    Expect(0, 119149, '\p{^Is_Ccc= 	right}', "");
    Expect(0, 119149, '\P{Is_Ccc= 	right}', "");
    Expect(1, 119149, '\P{^Is_Ccc= 	right}', "");
    Expect(0, 119150, '\p{Is_Ccc= 	right}', "");
    Expect(1, 119150, '\p{^Is_Ccc= 	right}', "");
    Expect(1, 119150, '\P{Is_Ccc= 	right}', "");
    Expect(0, 119150, '\P{^Is_Ccc= 	right}', "");
    Error('\p{Canonical_Combining_Class=:=-	virama}');
    Error('\P{Canonical_Combining_Class=:=-	virama}');
    Expect(1, 73111, '\p{Canonical_Combining_Class=:\AVirama\z:}', "");;
    Expect(0, 73112, '\p{Canonical_Combining_Class=:\AVirama\z:}', "");;
    Expect(1, 73111, '\p{Canonical_Combining_Class=virama}', "");
    Expect(0, 73111, '\p{^Canonical_Combining_Class=virama}', "");
    Expect(0, 73111, '\P{Canonical_Combining_Class=virama}', "");
    Expect(1, 73111, '\P{^Canonical_Combining_Class=virama}', "");
    Expect(0, 73112, '\p{Canonical_Combining_Class=virama}', "");
    Expect(1, 73112, '\p{^Canonical_Combining_Class=virama}', "");
    Expect(1, 73112, '\P{Canonical_Combining_Class=virama}', "");
    Expect(0, 73112, '\P{^Canonical_Combining_Class=virama}', "");
    Expect(1, 73111, '\p{Canonical_Combining_Class=:\Avirama\z:}', "");;
    Expect(0, 73112, '\p{Canonical_Combining_Class=:\Avirama\z:}', "");;
    Expect(1, 73111, '\p{Canonical_Combining_Class=		virama}', "");
    Expect(0, 73111, '\p{^Canonical_Combining_Class=		virama}', "");
    Expect(0, 73111, '\P{Canonical_Combining_Class=		virama}', "");
    Expect(1, 73111, '\P{^Canonical_Combining_Class=		virama}', "");
    Expect(0, 73112, '\p{Canonical_Combining_Class=		virama}', "");
    Expect(1, 73112, '\p{^Canonical_Combining_Class=		virama}', "");
    Expect(1, 73112, '\P{Canonical_Combining_Class=		virama}', "");
    Expect(0, 73112, '\P{^Canonical_Combining_Class=		virama}', "");
    Error('\p{Ccc: _/a/VR}');
    Error('\P{Ccc: _/a/VR}');
    Expect(1, 73111, '\p{Ccc=:\AVR\z:}', "");;
    Expect(0, 73112, '\p{Ccc=:\AVR\z:}', "");;
    Expect(1, 73111, '\p{Ccc:	vr}', "");
    Expect(0, 73111, '\p{^Ccc:	vr}', "");
    Expect(0, 73111, '\P{Ccc:	vr}', "");
    Expect(1, 73111, '\P{^Ccc:	vr}', "");
    Expect(0, 73112, '\p{Ccc:	vr}', "");
    Expect(1, 73112, '\p{^Ccc:	vr}', "");
    Expect(1, 73112, '\P{Ccc:	vr}', "");
    Expect(0, 73112, '\P{^Ccc:	vr}', "");
    Expect(1, 73111, '\p{Ccc=:\Avr\z:}', "");;
    Expect(0, 73112, '\p{Ccc=:\Avr\z:}', "");;
    Expect(1, 73111, '\p{Ccc:	VR}', "");
    Expect(0, 73111, '\p{^Ccc:	VR}', "");
    Expect(0, 73111, '\P{Ccc:	VR}', "");
    Expect(1, 73111, '\P{^Ccc:	VR}', "");
    Expect(0, 73112, '\p{Ccc:	VR}', "");
    Expect(1, 73112, '\p{^Ccc:	VR}', "");
    Expect(1, 73112, '\P{Ccc:	VR}', "");
    Expect(0, 73112, '\P{^Ccc:	VR}', "");
    Error('\p{Is_Canonical_Combining_Class=_/a/0_0_09}');
    Error('\P{Is_Canonical_Combining_Class=_/a/0_0_09}');
    Expect(1, 73111, '\p{Is_Canonical_Combining_Class: 000_9}', "");
    Expect(0, 73111, '\p{^Is_Canonical_Combining_Class: 000_9}', "");
    Expect(0, 73111, '\P{Is_Canonical_Combining_Class: 000_9}', "");
    Expect(1, 73111, '\P{^Is_Canonical_Combining_Class: 000_9}', "");
    Expect(0, 73112, '\p{Is_Canonical_Combining_Class: 000_9}', "");
    Expect(1, 73112, '\p{^Is_Canonical_Combining_Class: 000_9}', "");
    Expect(1, 73112, '\P{Is_Canonical_Combining_Class: 000_9}', "");
    Expect(0, 73112, '\P{^Is_Canonical_Combining_Class: 000_9}', "");
    Error('\p{Is_Ccc=/a/VIRAMA}');
    Error('\P{Is_Ccc=/a/VIRAMA}');
    Expect(1, 73111, '\p{Is_Ccc=virama}', "");
    Expect(0, 73111, '\p{^Is_Ccc=virama}', "");
    Expect(0, 73111, '\P{Is_Ccc=virama}', "");
    Expect(1, 73111, '\P{^Is_Ccc=virama}', "");
    Expect(0, 73112, '\p{Is_Ccc=virama}', "");
    Expect(1, 73112, '\p{^Is_Ccc=virama}', "");
    Expect(1, 73112, '\P{Is_Ccc=virama}', "");
    Expect(0, 73112, '\P{^Is_Ccc=virama}', "");
    Expect(1, 73111, '\p{Is_Ccc=-Virama}', "");
    Expect(0, 73111, '\p{^Is_Ccc=-Virama}', "");
    Expect(0, 73111, '\P{Is_Ccc=-Virama}', "");
    Expect(1, 73111, '\P{^Is_Ccc=-Virama}', "");
    Expect(0, 73112, '\p{Is_Ccc=-Virama}', "");
    Expect(1, 73112, '\p{^Is_Ccc=-Virama}', "");
    Expect(1, 73112, '\P{Is_Ccc=-Virama}', "");
    Expect(0, 73112, '\P{^Is_Ccc=-Virama}', "");
    Error('\p{Composition_Exclusion:	 No:=}');
    Error('\P{Composition_Exclusion:	 No:=}');
    Expect(1, 119233, '\p{Composition_Exclusion=:\ANo\z:}', "");;
    Expect(0, 119232, '\p{Composition_Exclusion=:\ANo\z:}', "");;
    Expect(1, 119233, '\p{Composition_Exclusion=no}', "");
    Expect(0, 119233, '\p{^Composition_Exclusion=no}', "");
    Expect(0, 119233, '\P{Composition_Exclusion=no}', "");
    Expect(1, 119233, '\P{^Composition_Exclusion=no}', "");
    Expect(0, 119232, '\p{Composition_Exclusion=no}', "");
    Expect(1, 119232, '\p{^Composition_Exclusion=no}', "");
    Expect(1, 119232, '\P{Composition_Exclusion=no}', "");
    Expect(0, 119232, '\P{^Composition_Exclusion=no}', "");
    Expect(1, 119233, '\p{Composition_Exclusion=:\Ano\z:}', "");;
    Expect(0, 119232, '\p{Composition_Exclusion=:\Ano\z:}', "");;
    Expect(1, 119233, '\p{Composition_Exclusion=-NO}', "");
    Expect(0, 119233, '\p{^Composition_Exclusion=-NO}', "");
    Expect(0, 119233, '\P{Composition_Exclusion=-NO}', "");
    Expect(1, 119233, '\P{^Composition_Exclusion=-NO}', "");
    Expect(0, 119232, '\p{Composition_Exclusion=-NO}', "");
    Expect(1, 119232, '\p{^Composition_Exclusion=-NO}', "");
    Expect(1, 119232, '\P{Composition_Exclusion=-NO}', "");
    Expect(0, 119232, '\P{^Composition_Exclusion=-NO}', "");
    Error('\p{CE=/a/n}');
    Error('\P{CE=/a/n}');
    Expect(1, 119233, '\p{CE=:\AN\z:}', "");;
    Expect(0, 119232, '\p{CE=:\AN\z:}', "");;
    Expect(1, 119233, '\p{CE=n}', "");
    Expect(0, 119233, '\p{^CE=n}', "");
    Expect(0, 119233, '\P{CE=n}', "");
    Expect(1, 119233, '\P{^CE=n}', "");
    Expect(0, 119232, '\p{CE=n}', "");
    Expect(1, 119232, '\p{^CE=n}', "");
    Expect(1, 119232, '\P{CE=n}', "");
    Expect(0, 119232, '\P{^CE=n}', "");
    Expect(1, 119233, '\p{CE=:\An\z:}', "");;
    Expect(0, 119232, '\p{CE=:\An\z:}', "");;
    Expect(1, 119233, '\p{CE= 	n}', "");
    Expect(0, 119233, '\p{^CE= 	n}', "");
    Expect(0, 119233, '\P{CE= 	n}', "");
    Expect(1, 119233, '\P{^CE= 	n}', "");
    Expect(0, 119232, '\p{CE= 	n}', "");
    Expect(1, 119232, '\p{^CE= 	n}', "");
    Expect(1, 119232, '\P{CE= 	n}', "");
    Expect(0, 119232, '\P{^CE= 	n}', "");
    Error('\p{Is_Composition_Exclusion=	_f/a/}');
    Error('\P{Is_Composition_Exclusion=	_f/a/}');
    Expect(1, 119233, '\p{Is_Composition_Exclusion=f}', "");
    Expect(0, 119233, '\p{^Is_Composition_Exclusion=f}', "");
    Expect(0, 119233, '\P{Is_Composition_Exclusion=f}', "");
    Expect(1, 119233, '\P{^Is_Composition_Exclusion=f}', "");
    Expect(0, 119232, '\p{Is_Composition_Exclusion=f}', "");
    Expect(1, 119232, '\p{^Is_Composition_Exclusion=f}', "");
    Expect(1, 119232, '\P{Is_Composition_Exclusion=f}', "");
    Expect(0, 119232, '\P{^Is_Composition_Exclusion=f}', "");
    Expect(1, 119233, '\p{Is_Composition_Exclusion=	_F}', "");
    Expect(0, 119233, '\p{^Is_Composition_Exclusion=	_F}', "");
    Expect(0, 119233, '\P{Is_Composition_Exclusion=	_F}', "");
    Expect(1, 119233, '\P{^Is_Composition_Exclusion=	_F}', "");
    Expect(0, 119232, '\p{Is_Composition_Exclusion=	_F}', "");
    Expect(1, 119232, '\p{^Is_Composition_Exclusion=	_F}', "");
    Expect(1, 119232, '\P{Is_Composition_Exclusion=	_F}', "");
    Expect(0, 119232, '\P{^Is_Composition_Exclusion=	_F}', "");
    Error('\p{Is_CE=-_false/a/}');
    Error('\P{Is_CE=-_false/a/}');
    Expect(1, 119233, '\p{Is_CE:   false}', "");
    Expect(0, 119233, '\p{^Is_CE:   false}', "");
    Expect(0, 119233, '\P{Is_CE:   false}', "");
    Expect(1, 119233, '\P{^Is_CE:   false}', "");
    Expect(0, 119232, '\p{Is_CE:   false}', "");
    Expect(1, 119232, '\p{^Is_CE:   false}', "");
    Expect(1, 119232, '\P{Is_CE:   false}', "");
    Expect(0, 119232, '\P{^Is_CE:   false}', "");
    Expect(1, 119233, '\p{Is_CE=  False}', "");
    Expect(0, 119233, '\p{^Is_CE=  False}', "");
    Expect(0, 119233, '\P{Is_CE=  False}', "");
    Expect(1, 119233, '\P{^Is_CE=  False}', "");
    Expect(0, 119232, '\p{Is_CE=  False}', "");
    Expect(1, 119232, '\p{^Is_CE=  False}', "");
    Expect(1, 119232, '\P{Is_CE=  False}', "");
    Expect(0, 119232, '\P{^Is_CE=  False}', "");
    Error('\p{Composition_Exclusion= -YES/a/}');
    Error('\P{Composition_Exclusion= -YES/a/}');
    Expect(1, 119232, '\p{Composition_Exclusion=:\AYes\z:}', "");;
    Expect(0, 119233, '\p{Composition_Exclusion=:\AYes\z:}', "");;
    Expect(1, 119232, '\p{Composition_Exclusion=yes}', "");
    Expect(0, 119232, '\p{^Composition_Exclusion=yes}', "");
    Expect(0, 119232, '\P{Composition_Exclusion=yes}', "");
    Expect(1, 119232, '\P{^Composition_Exclusion=yes}', "");
    Expect(0, 119233, '\p{Composition_Exclusion=yes}', "");
    Expect(1, 119233, '\p{^Composition_Exclusion=yes}', "");
    Expect(1, 119233, '\P{Composition_Exclusion=yes}', "");
    Expect(0, 119233, '\P{^Composition_Exclusion=yes}', "");
    Expect(1, 119232, '\p{Composition_Exclusion=:\Ayes\z:}', "");;
    Expect(0, 119233, '\p{Composition_Exclusion=:\Ayes\z:}', "");;
    Expect(1, 119232, '\p{Composition_Exclusion=		YES}', "");
    Expect(0, 119232, '\p{^Composition_Exclusion=		YES}', "");
    Expect(0, 119232, '\P{Composition_Exclusion=		YES}', "");
    Expect(1, 119232, '\P{^Composition_Exclusion=		YES}', "");
    Expect(0, 119233, '\p{Composition_Exclusion=		YES}', "");
    Expect(1, 119233, '\p{^Composition_Exclusion=		YES}', "");
    Expect(1, 119233, '\P{Composition_Exclusion=		YES}', "");
    Expect(0, 119233, '\P{^Composition_Exclusion=		YES}', "");
    Error('\p{CE=- Y:=}');
    Error('\P{CE=- Y:=}');
    Expect(1, 119232, '\p{CE=:\AY\z:}', "");;
    Expect(0, 119233, '\p{CE=:\AY\z:}', "");;
    Expect(1, 119232, '\p{CE=y}', "");
    Expect(0, 119232, '\p{^CE=y}', "");
    Expect(0, 119232, '\P{CE=y}', "");
    Expect(1, 119232, '\P{^CE=y}', "");
    Expect(0, 119233, '\p{CE=y}', "");
    Expect(1, 119233, '\p{^CE=y}', "");
    Expect(1, 119233, '\P{CE=y}', "");
    Expect(0, 119233, '\P{^CE=y}', "");
    Expect(1, 119232, '\p{CE=:\Ay\z:}', "");;
    Expect(0, 119233, '\p{CE=:\Ay\z:}', "");;
    Expect(1, 119232, '\p{CE=-Y}', "");
    Expect(0, 119232, '\p{^CE=-Y}', "");
    Expect(0, 119232, '\P{CE=-Y}', "");
    Expect(1, 119232, '\P{^CE=-Y}', "");
    Expect(0, 119233, '\p{CE=-Y}', "");
    Expect(1, 119233, '\p{^CE=-Y}', "");
    Expect(1, 119233, '\P{CE=-Y}', "");
    Expect(0, 119233, '\P{^CE=-Y}', "");
    Error('\p{Is_Composition_Exclusion=	/a/T}');
    Error('\P{Is_Composition_Exclusion=	/a/T}');
    Expect(1, 119232, '\p{Is_Composition_Exclusion=t}', "");
    Expect(0, 119232, '\p{^Is_Composition_Exclusion=t}', "");
    Expect(0, 119232, '\P{Is_Composition_Exclusion=t}', "");
    Expect(1, 119232, '\P{^Is_Composition_Exclusion=t}', "");
    Expect(0, 119233, '\p{Is_Composition_Exclusion=t}', "");
    Expect(1, 119233, '\p{^Is_Composition_Exclusion=t}', "");
    Expect(1, 119233, '\P{Is_Composition_Exclusion=t}', "");
    Expect(0, 119233, '\P{^Is_Composition_Exclusion=t}', "");
    Expect(1, 119232, '\p{Is_Composition_Exclusion:   -_T}', "");
    Expect(0, 119232, '\p{^Is_Composition_Exclusion:   -_T}', "");
    Expect(0, 119232, '\P{Is_Composition_Exclusion:   -_T}', "");
    Expect(1, 119232, '\P{^Is_Composition_Exclusion:   -_T}', "");
    Expect(0, 119233, '\p{Is_Composition_Exclusion:   -_T}', "");
    Expect(1, 119233, '\p{^Is_Composition_Exclusion:   -_T}', "");
    Expect(1, 119233, '\P{Is_Composition_Exclusion:   -_T}', "");
    Expect(0, 119233, '\P{^Is_Composition_Exclusion:   -_T}', "");
    Error('\p{Is_CE=:= -True}');
    Error('\P{Is_CE=:= -True}');
    Expect(1, 119232, '\p{Is_CE=true}', "");
    Expect(0, 119232, '\p{^Is_CE=true}', "");
    Expect(0, 119232, '\P{Is_CE=true}', "");
    Expect(1, 119232, '\P{^Is_CE=true}', "");
    Expect(0, 119233, '\p{Is_CE=true}', "");
    Expect(1, 119233, '\p{^Is_CE=true}', "");
    Expect(1, 119233, '\P{Is_CE=true}', "");
    Expect(0, 119233, '\P{^Is_CE=true}', "");
    Expect(1, 119232, '\p{Is_CE:	-True}', "");
    Expect(0, 119232, '\p{^Is_CE:	-True}', "");
    Expect(0, 119232, '\P{Is_CE:	-True}', "");
    Expect(1, 119232, '\P{^Is_CE:	-True}', "");
    Expect(0, 119233, '\p{Is_CE:	-True}', "");
    Expect(1, 119233, '\p{^Is_CE:	-True}', "");
    Expect(1, 119233, '\P{Is_CE:	-True}', "");
    Expect(0, 119233, '\P{^Is_CE:	-True}', "");
    Error('\p{casefolding}');
    Error('\P{casefolding}');
    Error('\p{Case_Ignorable=-NO:=}');
    Error('\P{Case_Ignorable=-NO:=}');
    Expect(1, 918000, '\p{Case_Ignorable=:\ANo\z:}', "");;
    Expect(0, 917999, '\p{Case_Ignorable=:\ANo\z:}', "");;
    Expect(1, 918000, '\p{Case_Ignorable: no}', "");
    Expect(0, 918000, '\p{^Case_Ignorable: no}', "");
    Expect(0, 918000, '\P{Case_Ignorable: no}', "");
    Expect(1, 918000, '\P{^Case_Ignorable: no}', "");
    Expect(0, 917999, '\p{Case_Ignorable: no}', "");
    Expect(1, 917999, '\p{^Case_Ignorable: no}', "");
    Expect(1, 917999, '\P{Case_Ignorable: no}', "");
    Expect(0, 917999, '\P{^Case_Ignorable: no}', "");
    Expect(1, 918000, '\p{Case_Ignorable=:\Ano\z:}', "");;
    Expect(0, 917999, '\p{Case_Ignorable=:\Ano\z:}', "");;
    Expect(1, 918000, '\p{Case_Ignorable=_NO}', "");
    Expect(0, 918000, '\p{^Case_Ignorable=_NO}', "");
    Expect(0, 918000, '\P{Case_Ignorable=_NO}', "");
    Expect(1, 918000, '\P{^Case_Ignorable=_NO}', "");
    Expect(0, 917999, '\p{Case_Ignorable=_NO}', "");
    Expect(1, 917999, '\p{^Case_Ignorable=_NO}', "");
    Expect(1, 917999, '\P{Case_Ignorable=_NO}', "");
    Expect(0, 917999, '\P{^Case_Ignorable=_NO}', "");
    Error('\p{CI= :=n}');
    Error('\P{CI= :=n}');
    Expect(1, 918000, '\p{CI=:\AN\z:}', "");;
    Expect(0, 917999, '\p{CI=:\AN\z:}', "");;
    Expect(1, 918000, '\p{CI=n}', "");
    Expect(0, 918000, '\p{^CI=n}', "");
    Expect(0, 918000, '\P{CI=n}', "");
    Expect(1, 918000, '\P{^CI=n}', "");
    Expect(0, 917999, '\p{CI=n}', "");
    Expect(1, 917999, '\p{^CI=n}', "");
    Expect(1, 917999, '\P{CI=n}', "");
    Expect(0, 917999, '\P{^CI=n}', "");
    Expect(1, 918000, '\p{CI=:\An\z:}', "");;
    Expect(0, 917999, '\p{CI=:\An\z:}', "");;
    Expect(1, 918000, '\p{CI=-N}', "");
    Expect(0, 918000, '\p{^CI=-N}', "");
    Expect(0, 918000, '\P{CI=-N}', "");
    Expect(1, 918000, '\P{^CI=-N}', "");
    Expect(0, 917999, '\p{CI=-N}', "");
    Expect(1, 917999, '\p{^CI=-N}', "");
    Expect(1, 917999, '\P{CI=-N}', "");
    Expect(0, 917999, '\P{^CI=-N}', "");
    Error('\p{Is_Case_Ignorable=-	f:=}');
    Error('\P{Is_Case_Ignorable=-	f:=}');
    Expect(1, 918000, '\p{Is_Case_Ignorable=f}', "");
    Expect(0, 918000, '\p{^Is_Case_Ignorable=f}', "");
    Expect(0, 918000, '\P{Is_Case_Ignorable=f}', "");
    Expect(1, 918000, '\P{^Is_Case_Ignorable=f}', "");
    Expect(0, 917999, '\p{Is_Case_Ignorable=f}', "");
    Expect(1, 917999, '\p{^Is_Case_Ignorable=f}', "");
    Expect(1, 917999, '\P{Is_Case_Ignorable=f}', "");
    Expect(0, 917999, '\P{^Is_Case_Ignorable=f}', "");
    Expect(1, 918000, '\p{Is_Case_Ignorable=_F}', "");
    Expect(0, 918000, '\p{^Is_Case_Ignorable=_F}', "");
    Expect(0, 918000, '\P{Is_Case_Ignorable=_F}', "");
    Expect(1, 918000, '\P{^Is_Case_Ignorable=_F}', "");
    Expect(0, 917999, '\p{Is_Case_Ignorable=_F}', "");
    Expect(1, 917999, '\p{^Is_Case_Ignorable=_F}', "");
    Expect(1, 917999, '\P{Is_Case_Ignorable=_F}', "");
    Expect(0, 917999, '\P{^Is_Case_Ignorable=_F}', "");
    Error('\p{Is_CI:		/a/FALSE}');
    Error('\P{Is_CI:		/a/FALSE}');
    Expect(1, 918000, '\p{Is_CI=false}', "");
    Expect(0, 918000, '\p{^Is_CI=false}', "");
    Expect(0, 918000, '\P{Is_CI=false}', "");
    Expect(1, 918000, '\P{^Is_CI=false}', "");
    Expect(0, 917999, '\p{Is_CI=false}', "");
    Expect(1, 917999, '\p{^Is_CI=false}', "");
    Expect(1, 917999, '\P{Is_CI=false}', "");
    Expect(0, 917999, '\P{^Is_CI=false}', "");
    Expect(1, 918000, '\p{Is_CI=_False}', "");
    Expect(0, 918000, '\p{^Is_CI=_False}', "");
    Expect(0, 918000, '\P{Is_CI=_False}', "");
    Expect(1, 918000, '\P{^Is_CI=_False}', "");
    Expect(0, 917999, '\p{Is_CI=_False}', "");
    Expect(1, 917999, '\p{^Is_CI=_False}', "");
    Expect(1, 917999, '\P{Is_CI=_False}', "");
    Expect(0, 917999, '\P{^Is_CI=_False}', "");
    Error('\p{Case_Ignorable=:=Yes}');
    Error('\P{Case_Ignorable=:=Yes}');
    Expect(1, 917999, '\p{Case_Ignorable=:\AYes\z:}', "");;
    Expect(0, 918000, '\p{Case_Ignorable=:\AYes\z:}', "");;
    Expect(1, 917999, '\p{Case_Ignorable:   yes}', "");
    Expect(0, 917999, '\p{^Case_Ignorable:   yes}', "");
    Expect(0, 917999, '\P{Case_Ignorable:   yes}', "");
    Expect(1, 917999, '\P{^Case_Ignorable:   yes}', "");
    Expect(0, 918000, '\p{Case_Ignorable:   yes}', "");
    Expect(1, 918000, '\p{^Case_Ignorable:   yes}', "");
    Expect(1, 918000, '\P{Case_Ignorable:   yes}', "");
    Expect(0, 918000, '\P{^Case_Ignorable:   yes}', "");
    Expect(1, 917999, '\p{Case_Ignorable=:\Ayes\z:}', "");;
    Expect(0, 918000, '\p{Case_Ignorable=:\Ayes\z:}', "");;
    Expect(1, 917999, '\p{Case_Ignorable: YES}', "");
    Expect(0, 917999, '\p{^Case_Ignorable: YES}', "");
    Expect(0, 917999, '\P{Case_Ignorable: YES}', "");
    Expect(1, 917999, '\P{^Case_Ignorable: YES}', "");
    Expect(0, 918000, '\p{Case_Ignorable: YES}', "");
    Expect(1, 918000, '\p{^Case_Ignorable: YES}', "");
    Expect(1, 918000, '\P{Case_Ignorable: YES}', "");
    Expect(0, 918000, '\P{^Case_Ignorable: YES}', "");
    Error('\p{CI= /a/Y}');
    Error('\P{CI= /a/Y}');
    Expect(1, 917999, '\p{CI=:\AY\z:}', "");;
    Expect(0, 918000, '\p{CI=:\AY\z:}', "");;
    Expect(1, 917999, '\p{CI=y}', "");
    Expect(0, 917999, '\p{^CI=y}', "");
    Expect(0, 917999, '\P{CI=y}', "");
    Expect(1, 917999, '\P{^CI=y}', "");
    Expect(0, 918000, '\p{CI=y}', "");
    Expect(1, 918000, '\p{^CI=y}', "");
    Expect(1, 918000, '\P{CI=y}', "");
    Expect(0, 918000, '\P{^CI=y}', "");
    Expect(1, 917999, '\p{CI=:\Ay\z:}', "");;
    Expect(0, 918000, '\p{CI=:\Ay\z:}', "");;
    Expect(1, 917999, '\p{CI=		Y}', "");
    Expect(0, 917999, '\p{^CI=		Y}', "");
    Expect(0, 917999, '\P{CI=		Y}', "");
    Expect(1, 917999, '\P{^CI=		Y}', "");
    Expect(0, 918000, '\p{CI=		Y}', "");
    Expect(1, 918000, '\p{^CI=		Y}', "");
    Expect(1, 918000, '\P{CI=		Y}', "");
    Expect(0, 918000, '\P{^CI=		Y}', "");
    Error('\p{Is_Case_Ignorable=	_T/a/}');
    Error('\P{Is_Case_Ignorable=	_T/a/}');
    Expect(1, 917999, '\p{Is_Case_Ignorable=t}', "");
    Expect(0, 917999, '\p{^Is_Case_Ignorable=t}', "");
    Expect(0, 917999, '\P{Is_Case_Ignorable=t}', "");
    Expect(1, 917999, '\P{^Is_Case_Ignorable=t}', "");
    Expect(0, 918000, '\p{Is_Case_Ignorable=t}', "");
    Expect(1, 918000, '\p{^Is_Case_Ignorable=t}', "");
    Expect(1, 918000, '\P{Is_Case_Ignorable=t}', "");
    Expect(0, 918000, '\P{^Is_Case_Ignorable=t}', "");
    Expect(1, 917999, '\p{Is_Case_Ignorable=_t}', "");
    Expect(0, 917999, '\p{^Is_Case_Ignorable=_t}', "");
    Expect(0, 917999, '\P{Is_Case_Ignorable=_t}', "");
    Expect(1, 917999, '\P{^Is_Case_Ignorable=_t}', "");
    Expect(0, 918000, '\p{Is_Case_Ignorable=_t}', "");
    Expect(1, 918000, '\p{^Is_Case_Ignorable=_t}', "");
    Expect(1, 918000, '\P{Is_Case_Ignorable=_t}', "");
    Expect(0, 918000, '\P{^Is_Case_Ignorable=_t}', "");
    Error('\p{Is_CI=	true/a/}');
    Error('\P{Is_CI=	true/a/}');
    Expect(1, 917999, '\p{Is_CI=true}', "");
    Expect(0, 917999, '\p{^Is_CI=true}', "");
    Expect(0, 917999, '\P{Is_CI=true}', "");
    Expect(1, 917999, '\P{^Is_CI=true}', "");
    Expect(0, 918000, '\p{Is_CI=true}', "");
    Expect(1, 918000, '\p{^Is_CI=true}', "");
    Expect(1, 918000, '\P{Is_CI=true}', "");
    Expect(0, 918000, '\P{^Is_CI=true}', "");
    Expect(1, 917999, '\p{Is_CI=	-True}', "");
    Expect(0, 917999, '\p{^Is_CI=	-True}', "");
    Expect(0, 917999, '\P{Is_CI=	-True}', "");
    Expect(1, 917999, '\P{^Is_CI=	-True}', "");
    Expect(0, 918000, '\p{Is_CI=	-True}', "");
    Expect(1, 918000, '\p{^Is_CI=	-True}', "");
    Expect(1, 918000, '\P{Is_CI=	-True}', "");
    Expect(0, 918000, '\P{^Is_CI=	-True}', "");
    Error('\p{kaccountingnumeric}');
    Error('\P{kaccountingnumeric}');
    Error('\p{cjkaccountingnumeric}');
    Error('\P{cjkaccountingnumeric}');
    Error('\p{kcompatibilityvariant}');
    Error('\P{kcompatibilityvariant}');
    Error('\p{cjkcompatibilityvariant}');
    Error('\P{cjkcompatibilityvariant}');
    Error('\p{kiicore}');
    Error('\P{kiicore}');
    Error('\p{cjkiicore}');
    Error('\P{cjkiicore}');
    Error('\p{kirggsource}');
    Error('\P{kirggsource}');
    Error('\p{cjkirggsource}');
    Error('\P{cjkirggsource}');
    Error('\p{kirghsource}');
    Error('\P{kirghsource}');
    Error('\p{cjkirghsource}');
    Error('\P{cjkirghsource}');
    Error('\p{kirgjsource}');
    Error('\P{kirgjsource}');
    Error('\p{cjkirgjsource}');
    Error('\P{cjkirgjsource}');
    Error('\p{kirgkpsource}');
    Error('\P{kirgkpsource}');
    Error('\p{cjkirgkpsource}');
    Error('\P{cjkirgkpsource}');
    Error('\p{kirgksource}');
    Error('\P{kirgksource}');
    Error('\p{cjkirgksource}');
    Error('\P{cjkirgksource}');
    Error('\p{kirgmsource}');
    Error('\P{kirgmsource}');
    Error('\p{cjkirgmsource}');
    Error('\P{cjkirgmsource}');
    Error('\p{kirgssource}');
    Error('\P{kirgssource}');
    Error('\p{cjkirgssource}');
    Error('\P{cjkirgssource}');
    Error('\p{kirgtsource}');
    Error('\P{kirgtsource}');
    Error('\p{cjkirgtsource}');
    Error('\P{cjkirgtsource}');
    Error('\p{kirguksource}');
    Error('\P{kirguksource}');
    Error('\p{cjkirguksource}');
    Error('\P{cjkirguksource}');
    Error('\p{kirgusource}');
    Error('\P{kirgusource}');
    Error('\p{cjkirgusource}');
    Error('\P{cjkirgusource}');
    Error('\p{kirgvsource}');
    Error('\P{kirgvsource}');
    Error('\p{cjkirgvsource}');
    Error('\P{cjkirgvsource}');
    Error('\p{kothernumeric}');
    Error('\P{kothernumeric}');
    Error('\p{cjkothernumeric}');
    Error('\P{cjkothernumeric}');
    Error('\p{kprimarynumeric}');
    Error('\P{kprimarynumeric}');
    Error('\p{cjkprimarynumeric}');
    Error('\P{cjkprimarynumeric}');
    Error('\p{krsunicode}');
    Error('\P{krsunicode}');
    Error('\p{cjkrsunicode}');
    Error('\P{cjkrsunicode}');
    Error('\p{unicoderadicalstroke}');
    Error('\P{unicoderadicalstroke}');
    Error('\p{urs}');
    Error('\P{urs}');
    Error('\p{Full_Composition_Exclusion=_:=No}');
    Error('\P{Full_Composition_Exclusion=_:=No}');
    Expect(1, 195102, '\p{Full_Composition_Exclusion=:\ANo\z:}', "");;
    Expect(0, 195101, '\p{Full_Composition_Exclusion=:\ANo\z:}', "");;
    Expect(1, 195102, '\p{Full_Composition_Exclusion:	no}', "");
    Expect(0, 195102, '\p{^Full_Composition_Exclusion:	no}', "");
    Expect(0, 195102, '\P{Full_Composition_Exclusion:	no}', "");
    Expect(1, 195102, '\P{^Full_Composition_Exclusion:	no}', "");
    Expect(0, 195101, '\p{Full_Composition_Exclusion:	no}', "");
    Expect(1, 195101, '\p{^Full_Composition_Exclusion:	no}', "");
    Expect(1, 195101, '\P{Full_Composition_Exclusion:	no}', "");
    Expect(0, 195101, '\P{^Full_Composition_Exclusion:	no}', "");
    Expect(1, 195102, '\p{Full_Composition_Exclusion=:\Ano\z:}', "");;
    Expect(0, 195101, '\p{Full_Composition_Exclusion=:\Ano\z:}', "");;
    Expect(1, 195102, '\p{Full_Composition_Exclusion= no}', "");
    Expect(0, 195102, '\p{^Full_Composition_Exclusion= no}', "");
    Expect(0, 195102, '\P{Full_Composition_Exclusion= no}', "");
    Expect(1, 195102, '\P{^Full_Composition_Exclusion= no}', "");
    Expect(0, 195101, '\p{Full_Composition_Exclusion= no}', "");
    Expect(1, 195101, '\p{^Full_Composition_Exclusion= no}', "");
    Expect(1, 195101, '\P{Full_Composition_Exclusion= no}', "");
    Expect(0, 195101, '\P{^Full_Composition_Exclusion= no}', "");
    Error('\p{Comp_Ex=/a/n}');
    Error('\P{Comp_Ex=/a/n}');
    Expect(1, 195102, '\p{Comp_Ex=:\AN\z:}', "");;
    Expect(0, 195101, '\p{Comp_Ex=:\AN\z:}', "");;
    Expect(1, 195102, '\p{Comp_Ex=n}', "");
    Expect(0, 195102, '\p{^Comp_Ex=n}', "");
    Expect(0, 195102, '\P{Comp_Ex=n}', "");
    Expect(1, 195102, '\P{^Comp_Ex=n}', "");
    Expect(0, 195101, '\p{Comp_Ex=n}', "");
    Expect(1, 195101, '\p{^Comp_Ex=n}', "");
    Expect(1, 195101, '\P{Comp_Ex=n}', "");
    Expect(0, 195101, '\P{^Comp_Ex=n}', "");
    Expect(1, 195102, '\p{Comp_Ex=:\An\z:}', "");;
    Expect(0, 195101, '\p{Comp_Ex=:\An\z:}', "");;
    Expect(1, 195102, '\p{Comp_Ex=__N}', "");
    Expect(0, 195102, '\p{^Comp_Ex=__N}', "");
    Expect(0, 195102, '\P{Comp_Ex=__N}', "");
    Expect(1, 195102, '\P{^Comp_Ex=__N}', "");
    Expect(0, 195101, '\p{Comp_Ex=__N}', "");
    Expect(1, 195101, '\p{^Comp_Ex=__N}', "");
    Expect(1, 195101, '\P{Comp_Ex=__N}', "");
    Expect(0, 195101, '\P{^Comp_Ex=__N}', "");
    Error('\p{Is_Full_Composition_Exclusion=-/a/F}');
    Error('\P{Is_Full_Composition_Exclusion=-/a/F}');
    Expect(1, 195102, '\p{Is_Full_Composition_Exclusion=f}', "");
    Expect(0, 195102, '\p{^Is_Full_Composition_Exclusion=f}', "");
    Expect(0, 195102, '\P{Is_Full_Composition_Exclusion=f}', "");
    Expect(1, 195102, '\P{^Is_Full_Composition_Exclusion=f}', "");
    Expect(0, 195101, '\p{Is_Full_Composition_Exclusion=f}', "");
    Expect(1, 195101, '\p{^Is_Full_Composition_Exclusion=f}', "");
    Expect(1, 195101, '\P{Is_Full_Composition_Exclusion=f}', "");
    Expect(0, 195101, '\P{^Is_Full_Composition_Exclusion=f}', "");
    Expect(1, 195102, '\p{Is_Full_Composition_Exclusion= _F}', "");
    Expect(0, 195102, '\p{^Is_Full_Composition_Exclusion= _F}', "");
    Expect(0, 195102, '\P{Is_Full_Composition_Exclusion= _F}', "");
    Expect(1, 195102, '\P{^Is_Full_Composition_Exclusion= _F}', "");
    Expect(0, 195101, '\p{Is_Full_Composition_Exclusion= _F}', "");
    Expect(1, 195101, '\p{^Is_Full_Composition_Exclusion= _F}', "");
    Expect(1, 195101, '\P{Is_Full_Composition_Exclusion= _F}', "");
    Expect(0, 195101, '\P{^Is_Full_Composition_Exclusion= _F}', "");
    Error('\p{Is_Comp_Ex=/a/_False}');
    Error('\P{Is_Comp_Ex=/a/_False}');
    Expect(1, 195102, '\p{Is_Comp_Ex=false}', "");
    Expect(0, 195102, '\p{^Is_Comp_Ex=false}', "");
    Expect(0, 195102, '\P{Is_Comp_Ex=false}', "");
    Expect(1, 195102, '\P{^Is_Comp_Ex=false}', "");
    Expect(0, 195101, '\p{Is_Comp_Ex=false}', "");
    Expect(1, 195101, '\p{^Is_Comp_Ex=false}', "");
    Expect(1, 195101, '\P{Is_Comp_Ex=false}', "");
    Expect(0, 195101, '\P{^Is_Comp_Ex=false}', "");
    Expect(1, 195102, '\p{Is_Comp_Ex=-_False}', "");
    Expect(0, 195102, '\p{^Is_Comp_Ex=-_False}', "");
    Expect(0, 195102, '\P{Is_Comp_Ex=-_False}', "");
    Expect(1, 195102, '\P{^Is_Comp_Ex=-_False}', "");
    Expect(0, 195101, '\p{Is_Comp_Ex=-_False}', "");
    Expect(1, 195101, '\p{^Is_Comp_Ex=-_False}', "");
    Expect(1, 195101, '\P{Is_Comp_Ex=-_False}', "");
    Expect(0, 195101, '\P{^Is_Comp_Ex=-_False}', "");
    Error('\p{Full_Composition_Exclusion=	Yes/a/}');
    Error('\P{Full_Composition_Exclusion=	Yes/a/}');
    Expect(1, 195101, '\p{Full_Composition_Exclusion=:\AYes\z:}', "");;
    Expect(0, 195102, '\p{Full_Composition_Exclusion=:\AYes\z:}', "");;
    Expect(1, 195101, '\p{Full_Composition_Exclusion=yes}', "");
    Expect(0, 195101, '\p{^Full_Composition_Exclusion=yes}', "");
    Expect(0, 195101, '\P{Full_Composition_Exclusion=yes}', "");
    Expect(1, 195101, '\P{^Full_Composition_Exclusion=yes}', "");
    Expect(0, 195102, '\p{Full_Composition_Exclusion=yes}', "");
    Expect(1, 195102, '\p{^Full_Composition_Exclusion=yes}', "");
    Expect(1, 195102, '\P{Full_Composition_Exclusion=yes}', "");
    Expect(0, 195102, '\P{^Full_Composition_Exclusion=yes}', "");
    Expect(1, 195101, '\p{Full_Composition_Exclusion=:\Ayes\z:}', "");;
    Expect(0, 195102, '\p{Full_Composition_Exclusion=:\Ayes\z:}', "");;
    Expect(1, 195101, '\p{Full_Composition_Exclusion=_-Yes}', "");
    Expect(0, 195101, '\p{^Full_Composition_Exclusion=_-Yes}', "");
    Expect(0, 195101, '\P{Full_Composition_Exclusion=_-Yes}', "");
    Expect(1, 195101, '\P{^Full_Composition_Exclusion=_-Yes}', "");
    Expect(0, 195102, '\p{Full_Composition_Exclusion=_-Yes}', "");
    Expect(1, 195102, '\p{^Full_Composition_Exclusion=_-Yes}', "");
    Expect(1, 195102, '\P{Full_Composition_Exclusion=_-Yes}', "");
    Expect(0, 195102, '\P{^Full_Composition_Exclusion=_-Yes}', "");
    Error('\p{Comp_Ex= /a/Y}');
    Error('\P{Comp_Ex= /a/Y}');
    Expect(1, 195101, '\p{Comp_Ex=:\AY\z:}', "");;
    Expect(0, 195102, '\p{Comp_Ex=:\AY\z:}', "");;
    Expect(1, 195101, '\p{Comp_Ex=y}', "");
    Expect(0, 195101, '\p{^Comp_Ex=y}', "");
    Expect(0, 195101, '\P{Comp_Ex=y}', "");
    Expect(1, 195101, '\P{^Comp_Ex=y}', "");
    Expect(0, 195102, '\p{Comp_Ex=y}', "");
    Expect(1, 195102, '\p{^Comp_Ex=y}', "");
    Expect(1, 195102, '\P{Comp_Ex=y}', "");
    Expect(0, 195102, '\P{^Comp_Ex=y}', "");
    Expect(1, 195101, '\p{Comp_Ex=:\Ay\z:}', "");;
    Expect(0, 195102, '\p{Comp_Ex=:\Ay\z:}', "");;
    Expect(1, 195101, '\p{Comp_Ex=_y}', "");
    Expect(0, 195101, '\p{^Comp_Ex=_y}', "");
    Expect(0, 195101, '\P{Comp_Ex=_y}', "");
    Expect(1, 195101, '\P{^Comp_Ex=_y}', "");
    Expect(0, 195102, '\p{Comp_Ex=_y}', "");
    Expect(1, 195102, '\p{^Comp_Ex=_y}', "");
    Expect(1, 195102, '\P{Comp_Ex=_y}', "");
    Expect(0, 195102, '\P{^Comp_Ex=_y}', "");
    Error('\p{Is_Full_Composition_Exclusion=-_T:=}');
    Error('\P{Is_Full_Composition_Exclusion=-_T:=}');
    Expect(1, 195101, '\p{Is_Full_Composition_Exclusion:	t}', "");
    Expect(0, 195101, '\p{^Is_Full_Composition_Exclusion:	t}', "");
    Expect(0, 195101, '\P{Is_Full_Composition_Exclusion:	t}', "");
    Expect(1, 195101, '\P{^Is_Full_Composition_Exclusion:	t}', "");
    Expect(0, 195102, '\p{Is_Full_Composition_Exclusion:	t}', "");
    Expect(1, 195102, '\p{^Is_Full_Composition_Exclusion:	t}', "");
    Expect(1, 195102, '\P{Is_Full_Composition_Exclusion:	t}', "");
    Expect(0, 195102, '\P{^Is_Full_Composition_Exclusion:	t}', "");
    Expect(1, 195101, '\p{Is_Full_Composition_Exclusion= 	T}', "");
    Expect(0, 195101, '\p{^Is_Full_Composition_Exclusion= 	T}', "");
    Expect(0, 195101, '\P{Is_Full_Composition_Exclusion= 	T}', "");
    Expect(1, 195101, '\P{^Is_Full_Composition_Exclusion= 	T}', "");
    Expect(0, 195102, '\p{Is_Full_Composition_Exclusion= 	T}', "");
    Expect(1, 195102, '\p{^Is_Full_Composition_Exclusion= 	T}', "");
    Expect(1, 195102, '\P{Is_Full_Composition_Exclusion= 	T}', "");
    Expect(0, 195102, '\P{^Is_Full_Composition_Exclusion= 	T}', "");
    Error('\p{Is_Comp_Ex=__TRUE/a/}');
    Error('\P{Is_Comp_Ex=__TRUE/a/}');
    Expect(1, 195101, '\p{Is_Comp_Ex=true}', "");
    Expect(0, 195101, '\p{^Is_Comp_Ex=true}', "");
    Expect(0, 195101, '\P{Is_Comp_Ex=true}', "");
    Expect(1, 195101, '\P{^Is_Comp_Ex=true}', "");
    Expect(0, 195102, '\p{Is_Comp_Ex=true}', "");
    Expect(1, 195102, '\p{^Is_Comp_Ex=true}', "");
    Expect(1, 195102, '\P{Is_Comp_Ex=true}', "");
    Expect(0, 195102, '\P{^Is_Comp_Ex=true}', "");
    Expect(1, 195101, '\p{Is_Comp_Ex= -True}', "");
    Expect(0, 195101, '\p{^Is_Comp_Ex= -True}', "");
    Expect(0, 195101, '\P{Is_Comp_Ex= -True}', "");
    Expect(1, 195101, '\P{^Is_Comp_Ex= -True}', "");
    Expect(0, 195102, '\p{Is_Comp_Ex= -True}', "");
    Expect(1, 195102, '\p{^Is_Comp_Ex= -True}', "");
    Expect(1, 195102, '\P{Is_Comp_Ex= -True}', "");
    Expect(0, 195102, '\P{^Is_Comp_Ex= -True}', "");
    Error('\p{Changes_When_Casefolded=__No:=}');
    Error('\P{Changes_When_Casefolded=__No:=}');
    Expect(1, 125218, '\p{Changes_When_Casefolded=:\ANo\z:}', "");;
    Expect(0, 125217, '\p{Changes_When_Casefolded=:\ANo\z:}', "");;
    Expect(1, 125218, '\p{Changes_When_Casefolded=no}', "");
    Expect(0, 125218, '\p{^Changes_When_Casefolded=no}', "");
    Expect(0, 125218, '\P{Changes_When_Casefolded=no}', "");
    Expect(1, 125218, '\P{^Changes_When_Casefolded=no}', "");
    Expect(0, 125217, '\p{Changes_When_Casefolded=no}', "");
    Expect(1, 125217, '\p{^Changes_When_Casefolded=no}', "");
    Expect(1, 125217, '\P{Changes_When_Casefolded=no}', "");
    Expect(0, 125217, '\P{^Changes_When_Casefolded=no}', "");
    Expect(1, 125218, '\p{Changes_When_Casefolded=:\Ano\z:}', "");;
    Expect(0, 125217, '\p{Changes_When_Casefolded=:\Ano\z:}', "");;
    Expect(1, 125218, '\p{Changes_When_Casefolded=	NO}', "");
    Expect(0, 125218, '\p{^Changes_When_Casefolded=	NO}', "");
    Expect(0, 125218, '\P{Changes_When_Casefolded=	NO}', "");
    Expect(1, 125218, '\P{^Changes_When_Casefolded=	NO}', "");
    Expect(0, 125217, '\p{Changes_When_Casefolded=	NO}', "");
    Expect(1, 125217, '\p{^Changes_When_Casefolded=	NO}', "");
    Expect(1, 125217, '\P{Changes_When_Casefolded=	NO}', "");
    Expect(0, 125217, '\P{^Changes_When_Casefolded=	NO}', "");
    Error('\p{CWCF= N/a/}');
    Error('\P{CWCF= N/a/}');
    Expect(1, 125218, '\p{CWCF=:\AN\z:}', "");;
    Expect(0, 125217, '\p{CWCF=:\AN\z:}', "");;
    Expect(1, 125218, '\p{CWCF:	n}', "");
    Expect(0, 125218, '\p{^CWCF:	n}', "");
    Expect(0, 125218, '\P{CWCF:	n}', "");
    Expect(1, 125218, '\P{^CWCF:	n}', "");
    Expect(0, 125217, '\p{CWCF:	n}', "");
    Expect(1, 125217, '\p{^CWCF:	n}', "");
    Expect(1, 125217, '\P{CWCF:	n}', "");
    Expect(0, 125217, '\P{^CWCF:	n}', "");
    Expect(1, 125218, '\p{CWCF=:\An\z:}', "");;
    Expect(0, 125217, '\p{CWCF=:\An\z:}', "");;
    Expect(1, 125218, '\p{CWCF=N}', "");
    Expect(0, 125218, '\p{^CWCF=N}', "");
    Expect(0, 125218, '\P{CWCF=N}', "");
    Expect(1, 125218, '\P{^CWCF=N}', "");
    Expect(0, 125217, '\p{CWCF=N}', "");
    Expect(1, 125217, '\p{^CWCF=N}', "");
    Expect(1, 125217, '\P{CWCF=N}', "");
    Expect(0, 125217, '\P{^CWCF=N}', "");
    Error('\p{Is_Changes_When_Casefolded:   		F:=}');
    Error('\P{Is_Changes_When_Casefolded:   		F:=}');
    Expect(1, 125218, '\p{Is_Changes_When_Casefolded:   f}', "");
    Expect(0, 125218, '\p{^Is_Changes_When_Casefolded:   f}', "");
    Expect(0, 125218, '\P{Is_Changes_When_Casefolded:   f}', "");
    Expect(1, 125218, '\P{^Is_Changes_When_Casefolded:   f}', "");
    Expect(0, 125217, '\p{Is_Changes_When_Casefolded:   f}', "");
    Expect(1, 125217, '\p{^Is_Changes_When_Casefolded:   f}', "");
    Expect(1, 125217, '\P{Is_Changes_When_Casefolded:   f}', "");
    Expect(0, 125217, '\P{^Is_Changes_When_Casefolded:   f}', "");
    Expect(1, 125218, '\p{Is_Changes_When_Casefolded=	f}', "");
    Expect(0, 125218, '\p{^Is_Changes_When_Casefolded=	f}', "");
    Expect(0, 125218, '\P{Is_Changes_When_Casefolded=	f}', "");
    Expect(1, 125218, '\P{^Is_Changes_When_Casefolded=	f}', "");
    Expect(0, 125217, '\p{Is_Changes_When_Casefolded=	f}', "");
    Expect(1, 125217, '\p{^Is_Changes_When_Casefolded=	f}', "");
    Expect(1, 125217, '\P{Is_Changes_When_Casefolded=	f}', "");
    Expect(0, 125217, '\P{^Is_Changes_When_Casefolded=	f}', "");
    Error('\p{Is_CWCF=		false/a/}');
    Error('\P{Is_CWCF=		false/a/}');
    Expect(1, 125218, '\p{Is_CWCF=false}', "");
    Expect(0, 125218, '\p{^Is_CWCF=false}', "");
    Expect(0, 125218, '\P{Is_CWCF=false}', "");
    Expect(1, 125218, '\P{^Is_CWCF=false}', "");
    Expect(0, 125217, '\p{Is_CWCF=false}', "");
    Expect(1, 125217, '\p{^Is_CWCF=false}', "");
    Expect(1, 125217, '\P{Is_CWCF=false}', "");
    Expect(0, 125217, '\P{^Is_CWCF=false}', "");
    Expect(1, 125218, '\p{Is_CWCF=-_False}', "");
    Expect(0, 125218, '\p{^Is_CWCF=-_False}', "");
    Expect(0, 125218, '\P{Is_CWCF=-_False}', "");
    Expect(1, 125218, '\P{^Is_CWCF=-_False}', "");
    Expect(0, 125217, '\p{Is_CWCF=-_False}', "");
    Expect(1, 125217, '\p{^Is_CWCF=-_False}', "");
    Expect(1, 125217, '\P{Is_CWCF=-_False}', "");
    Expect(0, 125217, '\P{^Is_CWCF=-_False}', "");
    Error('\p{Changes_When_Casefolded=:=	-Yes}');
    Error('\P{Changes_When_Casefolded=:=	-Yes}');
    Expect(1, 125217, '\p{Changes_When_Casefolded=:\AYes\z:}', "");;
    Expect(0, 125218, '\p{Changes_When_Casefolded=:\AYes\z:}', "");;
    Expect(1, 125217, '\p{Changes_When_Casefolded=yes}', "");
    Expect(0, 125217, '\p{^Changes_When_Casefolded=yes}', "");
    Expect(0, 125217, '\P{Changes_When_Casefolded=yes}', "");
    Expect(1, 125217, '\P{^Changes_When_Casefolded=yes}', "");
    Expect(0, 125218, '\p{Changes_When_Casefolded=yes}', "");
    Expect(1, 125218, '\p{^Changes_When_Casefolded=yes}', "");
    Expect(1, 125218, '\P{Changes_When_Casefolded=yes}', "");
    Expect(0, 125218, '\P{^Changes_When_Casefolded=yes}', "");
    Expect(1, 125217, '\p{Changes_When_Casefolded=:\Ayes\z:}', "");;
    Expect(0, 125218, '\p{Changes_When_Casefolded=:\Ayes\z:}', "");;
    Expect(1, 125217, '\p{Changes_When_Casefolded=_yes}', "");
    Expect(0, 125217, '\p{^Changes_When_Casefolded=_yes}', "");
    Expect(0, 125217, '\P{Changes_When_Casefolded=_yes}', "");
    Expect(1, 125217, '\P{^Changes_When_Casefolded=_yes}', "");
    Expect(0, 125218, '\p{Changes_When_Casefolded=_yes}', "");
    Expect(1, 125218, '\p{^Changes_When_Casefolded=_yes}', "");
    Expect(1, 125218, '\P{Changes_When_Casefolded=_yes}', "");
    Expect(0, 125218, '\P{^Changes_When_Casefolded=_yes}', "");
    Error('\p{CWCF=:=_-y}');
    Error('\P{CWCF=:=_-y}');
    Expect(1, 125217, '\p{CWCF=:\AY\z:}', "");;
    Expect(0, 125218, '\p{CWCF=:\AY\z:}', "");;
    Expect(1, 125217, '\p{CWCF=y}', "");
    Expect(0, 125217, '\p{^CWCF=y}', "");
    Expect(0, 125217, '\P{CWCF=y}', "");
    Expect(1, 125217, '\P{^CWCF=y}', "");
    Expect(0, 125218, '\p{CWCF=y}', "");
    Expect(1, 125218, '\p{^CWCF=y}', "");
    Expect(1, 125218, '\P{CWCF=y}', "");
    Expect(0, 125218, '\P{^CWCF=y}', "");
    Expect(1, 125217, '\p{CWCF=:\Ay\z:}', "");;
    Expect(0, 125218, '\p{CWCF=:\Ay\z:}', "");;
    Expect(1, 125217, '\p{CWCF=	-Y}', "");
    Expect(0, 125217, '\p{^CWCF=	-Y}', "");
    Expect(0, 125217, '\P{CWCF=	-Y}', "");
    Expect(1, 125217, '\P{^CWCF=	-Y}', "");
    Expect(0, 125218, '\p{CWCF=	-Y}', "");
    Expect(1, 125218, '\p{^CWCF=	-Y}', "");
    Expect(1, 125218, '\P{CWCF=	-Y}', "");
    Expect(0, 125218, '\P{^CWCF=	-Y}', "");
    Error('\p{Is_Changes_When_Casefolded= _T/a/}');
    Error('\P{Is_Changes_When_Casefolded= _T/a/}');
    Expect(1, 125217, '\p{Is_Changes_When_Casefolded=t}', "");
    Expect(0, 125217, '\p{^Is_Changes_When_Casefolded=t}', "");
    Expect(0, 125217, '\P{Is_Changes_When_Casefolded=t}', "");
    Expect(1, 125217, '\P{^Is_Changes_When_Casefolded=t}', "");
    Expect(0, 125218, '\p{Is_Changes_When_Casefolded=t}', "");
    Expect(1, 125218, '\p{^Is_Changes_When_Casefolded=t}', "");
    Expect(1, 125218, '\P{Is_Changes_When_Casefolded=t}', "");
    Expect(0, 125218, '\P{^Is_Changes_When_Casefolded=t}', "");
    Expect(1, 125217, '\p{Is_Changes_When_Casefolded=_t}', "");
    Expect(0, 125217, '\p{^Is_Changes_When_Casefolded=_t}', "");
    Expect(0, 125217, '\P{Is_Changes_When_Casefolded=_t}', "");
    Expect(1, 125217, '\P{^Is_Changes_When_Casefolded=_t}', "");
    Expect(0, 125218, '\p{Is_Changes_When_Casefolded=_t}', "");
    Expect(1, 125218, '\p{^Is_Changes_When_Casefolded=_t}', "");
    Expect(1, 125218, '\P{Is_Changes_When_Casefolded=_t}', "");
    Expect(0, 125218, '\P{^Is_Changes_When_Casefolded=_t}', "");
    Error('\p{Is_CWCF=/a/	 True}');
    Error('\P{Is_CWCF=/a/	 True}');
    Expect(1, 125217, '\p{Is_CWCF=true}', "");
    Expect(0, 125217, '\p{^Is_CWCF=true}', "");
    Expect(0, 125217, '\P{Is_CWCF=true}', "");
    Expect(1, 125217, '\P{^Is_CWCF=true}', "");
    Expect(0, 125218, '\p{Is_CWCF=true}', "");
    Expect(1, 125218, '\p{^Is_CWCF=true}', "");
    Expect(1, 125218, '\P{Is_CWCF=true}', "");
    Expect(0, 125218, '\P{^Is_CWCF=true}', "");
    Expect(1, 125217, '\p{Is_CWCF= _true}', "");
    Expect(0, 125217, '\p{^Is_CWCF= _true}', "");
    Expect(0, 125217, '\P{Is_CWCF= _true}', "");
    Expect(1, 125217, '\P{^Is_CWCF= _true}', "");
    Expect(0, 125218, '\p{Is_CWCF= _true}', "");
    Expect(1, 125218, '\p{^Is_CWCF= _true}', "");
    Expect(1, 125218, '\P{Is_CWCF= _true}', "");
    Expect(0, 125218, '\P{^Is_CWCF= _true}', "");
    Error('\p{Changes_When_Casemapped:/a/	 no}');
    Error('\P{Changes_When_Casemapped:/a/	 no}');
    Expect(1, 125252, '\p{Changes_When_Casemapped=:\ANo\z:}', "");;
    Expect(0, 125251, '\p{Changes_When_Casemapped=:\ANo\z:}', "");;
    Expect(1, 125252, '\p{Changes_When_Casemapped:no}', "");
    Expect(0, 125252, '\p{^Changes_When_Casemapped:no}', "");
    Expect(0, 125252, '\P{Changes_When_Casemapped:no}', "");
    Expect(1, 125252, '\P{^Changes_When_Casemapped:no}', "");
    Expect(0, 125251, '\p{Changes_When_Casemapped:no}', "");
    Expect(1, 125251, '\p{^Changes_When_Casemapped:no}', "");
    Expect(1, 125251, '\P{Changes_When_Casemapped:no}', "");
    Expect(0, 125251, '\P{^Changes_When_Casemapped:no}', "");
    Expect(1, 125252, '\p{Changes_When_Casemapped=:\Ano\z:}', "");;
    Expect(0, 125251, '\p{Changes_When_Casemapped=:\Ano\z:}', "");;
    Expect(1, 125252, '\p{Changes_When_Casemapped=	_No}', "");
    Expect(0, 125252, '\p{^Changes_When_Casemapped=	_No}', "");
    Expect(0, 125252, '\P{Changes_When_Casemapped=	_No}', "");
    Expect(1, 125252, '\P{^Changes_When_Casemapped=	_No}', "");
    Expect(0, 125251, '\p{Changes_When_Casemapped=	_No}', "");
    Expect(1, 125251, '\p{^Changes_When_Casemapped=	_No}', "");
    Expect(1, 125251, '\P{Changes_When_Casemapped=	_No}', "");
    Expect(0, 125251, '\P{^Changes_When_Casemapped=	_No}', "");
    Error('\p{CWCM=-_n/a/}');
    Error('\P{CWCM=-_n/a/}');
    Expect(1, 125252, '\p{CWCM=:\AN\z:}', "");;
    Expect(0, 125251, '\p{CWCM=:\AN\z:}', "");;
    Expect(1, 125252, '\p{CWCM=n}', "");
    Expect(0, 125252, '\p{^CWCM=n}', "");
    Expect(0, 125252, '\P{CWCM=n}', "");
    Expect(1, 125252, '\P{^CWCM=n}', "");
    Expect(0, 125251, '\p{CWCM=n}', "");
    Expect(1, 125251, '\p{^CWCM=n}', "");
    Expect(1, 125251, '\P{CWCM=n}', "");
    Expect(0, 125251, '\P{^CWCM=n}', "");
    Expect(1, 125252, '\p{CWCM=:\An\z:}', "");;
    Expect(0, 125251, '\p{CWCM=:\An\z:}', "");;
    Expect(1, 125252, '\p{CWCM=-N}', "");
    Expect(0, 125252, '\p{^CWCM=-N}', "");
    Expect(0, 125252, '\P{CWCM=-N}', "");
    Expect(1, 125252, '\P{^CWCM=-N}', "");
    Expect(0, 125251, '\p{CWCM=-N}', "");
    Expect(1, 125251, '\p{^CWCM=-N}', "");
    Expect(1, 125251, '\P{CWCM=-N}', "");
    Expect(0, 125251, '\P{^CWCM=-N}', "");
    Error('\p{Is_Changes_When_Casemapped=:=_-F}');
    Error('\P{Is_Changes_When_Casemapped=:=_-F}');
    Expect(1, 125252, '\p{Is_Changes_When_Casemapped=f}', "");
    Expect(0, 125252, '\p{^Is_Changes_When_Casemapped=f}', "");
    Expect(0, 125252, '\P{Is_Changes_When_Casemapped=f}', "");
    Expect(1, 125252, '\P{^Is_Changes_When_Casemapped=f}', "");
    Expect(0, 125251, '\p{Is_Changes_When_Casemapped=f}', "");
    Expect(1, 125251, '\p{^Is_Changes_When_Casemapped=f}', "");
    Expect(1, 125251, '\P{Is_Changes_When_Casemapped=f}', "");
    Expect(0, 125251, '\P{^Is_Changes_When_Casemapped=f}', "");
    Expect(1, 125252, '\p{Is_Changes_When_Casemapped=-	F}', "");
    Expect(0, 125252, '\p{^Is_Changes_When_Casemapped=-	F}', "");
    Expect(0, 125252, '\P{Is_Changes_When_Casemapped=-	F}', "");
    Expect(1, 125252, '\P{^Is_Changes_When_Casemapped=-	F}', "");
    Expect(0, 125251, '\p{Is_Changes_When_Casemapped=-	F}', "");
    Expect(1, 125251, '\p{^Is_Changes_When_Casemapped=-	F}', "");
    Expect(1, 125251, '\P{Is_Changes_When_Casemapped=-	F}', "");
    Expect(0, 125251, '\P{^Is_Changes_When_Casemapped=-	F}', "");
    Error('\p{Is_CWCM=/a/	-False}');
    Error('\P{Is_CWCM=/a/	-False}');
    Expect(1, 125252, '\p{Is_CWCM=false}', "");
    Expect(0, 125252, '\p{^Is_CWCM=false}', "");
    Expect(0, 125252, '\P{Is_CWCM=false}', "");
    Expect(1, 125252, '\P{^Is_CWCM=false}', "");
    Expect(0, 125251, '\p{Is_CWCM=false}', "");
    Expect(1, 125251, '\p{^Is_CWCM=false}', "");
    Expect(1, 125251, '\P{Is_CWCM=false}', "");
    Expect(0, 125251, '\P{^Is_CWCM=false}', "");
    Expect(1, 125252, '\p{Is_CWCM=	False}', "");
    Expect(0, 125252, '\p{^Is_CWCM=	False}', "");
    Expect(0, 125252, '\P{Is_CWCM=	False}', "");
    Expect(1, 125252, '\P{^Is_CWCM=	False}', "");
    Expect(0, 125251, '\p{Is_CWCM=	False}', "");
    Expect(1, 125251, '\p{^Is_CWCM=	False}', "");
    Expect(1, 125251, '\P{Is_CWCM=	False}', "");
    Expect(0, 125251, '\P{^Is_CWCM=	False}', "");
    Error('\p{Changes_When_Casemapped=_YES:=}');
    Error('\P{Changes_When_Casemapped=_YES:=}');
    Expect(1, 125251, '\p{Changes_When_Casemapped=:\AYes\z:}', "");;
    Expect(0, 125252, '\p{Changes_When_Casemapped=:\AYes\z:}', "");;
    Expect(1, 125251, '\p{Changes_When_Casemapped=yes}', "");
    Expect(0, 125251, '\p{^Changes_When_Casemapped=yes}', "");
    Expect(0, 125251, '\P{Changes_When_Casemapped=yes}', "");
    Expect(1, 125251, '\P{^Changes_When_Casemapped=yes}', "");
    Expect(0, 125252, '\p{Changes_When_Casemapped=yes}', "");
    Expect(1, 125252, '\p{^Changes_When_Casemapped=yes}', "");
    Expect(1, 125252, '\P{Changes_When_Casemapped=yes}', "");
    Expect(0, 125252, '\P{^Changes_When_Casemapped=yes}', "");
    Expect(1, 125251, '\p{Changes_When_Casemapped=:\Ayes\z:}', "");;
    Expect(0, 125252, '\p{Changes_When_Casemapped=:\Ayes\z:}', "");;
    Expect(1, 125251, '\p{Changes_When_Casemapped=	 yes}', "");
    Expect(0, 125251, '\p{^Changes_When_Casemapped=	 yes}', "");
    Expect(0, 125251, '\P{Changes_When_Casemapped=	 yes}', "");
    Expect(1, 125251, '\P{^Changes_When_Casemapped=	 yes}', "");
    Expect(0, 125252, '\p{Changes_When_Casemapped=	 yes}', "");
    Expect(1, 125252, '\p{^Changes_When_Casemapped=	 yes}', "");
    Expect(1, 125252, '\P{Changes_When_Casemapped=	 yes}', "");
    Expect(0, 125252, '\P{^Changes_When_Casemapped=	 yes}', "");
    Error('\p{CWCM=_ Y:=}');
    Error('\P{CWCM=_ Y:=}');
    Expect(1, 125251, '\p{CWCM=:\AY\z:}', "");;
    Expect(0, 125252, '\p{CWCM=:\AY\z:}', "");;
    Expect(1, 125251, '\p{CWCM=y}', "");
    Expect(0, 125251, '\p{^CWCM=y}', "");
    Expect(0, 125251, '\P{CWCM=y}', "");
    Expect(1, 125251, '\P{^CWCM=y}', "");
    Expect(0, 125252, '\p{CWCM=y}', "");
    Expect(1, 125252, '\p{^CWCM=y}', "");
    Expect(1, 125252, '\P{CWCM=y}', "");
    Expect(0, 125252, '\P{^CWCM=y}', "");
    Expect(1, 125251, '\p{CWCM=:\Ay\z:}', "");;
    Expect(0, 125252, '\p{CWCM=:\Ay\z:}', "");;
    Expect(1, 125251, '\p{CWCM=--Y}', "");
    Expect(0, 125251, '\p{^CWCM=--Y}', "");
    Expect(0, 125251, '\P{CWCM=--Y}', "");
    Expect(1, 125251, '\P{^CWCM=--Y}', "");
    Expect(0, 125252, '\p{CWCM=--Y}', "");
    Expect(1, 125252, '\p{^CWCM=--Y}', "");
    Expect(1, 125252, '\P{CWCM=--Y}', "");
    Expect(0, 125252, '\P{^CWCM=--Y}', "");
    Error('\p{Is_Changes_When_Casemapped: /a/_T}');
    Error('\P{Is_Changes_When_Casemapped: /a/_T}');
    Expect(1, 125251, '\p{Is_Changes_When_Casemapped=t}', "");
    Expect(0, 125251, '\p{^Is_Changes_When_Casemapped=t}', "");
    Expect(0, 125251, '\P{Is_Changes_When_Casemapped=t}', "");
    Expect(1, 125251, '\P{^Is_Changes_When_Casemapped=t}', "");
    Expect(0, 125252, '\p{Is_Changes_When_Casemapped=t}', "");
    Expect(1, 125252, '\p{^Is_Changes_When_Casemapped=t}', "");
    Expect(1, 125252, '\P{Is_Changes_When_Casemapped=t}', "");
    Expect(0, 125252, '\P{^Is_Changes_When_Casemapped=t}', "");
    Expect(1, 125251, '\p{Is_Changes_When_Casemapped= T}', "");
    Expect(0, 125251, '\p{^Is_Changes_When_Casemapped= T}', "");
    Expect(0, 125251, '\P{Is_Changes_When_Casemapped= T}', "");
    Expect(1, 125251, '\P{^Is_Changes_When_Casemapped= T}', "");
    Expect(0, 125252, '\p{Is_Changes_When_Casemapped= T}', "");
    Expect(1, 125252, '\p{^Is_Changes_When_Casemapped= T}', "");
    Expect(1, 125252, '\P{Is_Changes_When_Casemapped= T}', "");
    Expect(0, 125252, '\P{^Is_Changes_When_Casemapped= T}', "");
    Error('\p{Is_CWCM=-:=true}');
    Error('\P{Is_CWCM=-:=true}');
    Expect(1, 125251, '\p{Is_CWCM=true}', "");
    Expect(0, 125251, '\p{^Is_CWCM=true}', "");
    Expect(0, 125251, '\P{Is_CWCM=true}', "");
    Expect(1, 125251, '\P{^Is_CWCM=true}', "");
    Expect(0, 125252, '\p{Is_CWCM=true}', "");
    Expect(1, 125252, '\p{^Is_CWCM=true}', "");
    Expect(1, 125252, '\P{Is_CWCM=true}', "");
    Expect(0, 125252, '\P{^Is_CWCM=true}', "");
    Expect(1, 125251, '\p{Is_CWCM=_ TRUE}', "");
    Expect(0, 125251, '\p{^Is_CWCM=_ TRUE}', "");
    Expect(0, 125251, '\P{Is_CWCM=_ TRUE}', "");
    Expect(1, 125251, '\P{^Is_CWCM=_ TRUE}', "");
    Expect(0, 125252, '\p{Is_CWCM=_ TRUE}', "");
    Expect(1, 125252, '\p{^Is_CWCM=_ TRUE}', "");
    Expect(1, 125252, '\P{Is_CWCM=_ TRUE}', "");
    Expect(0, 125252, '\P{^Is_CWCM=_ TRUE}', "");
    Error('\p{Changes_When_NFKC_Casefolded=_No/a/}');
    Error('\P{Changes_When_NFKC_Casefolded=_No/a/}');
    Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded=:\ANo\z:}', "");;
    Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded=:\ANo\z:}', "");;
    Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded=no}', "");
    Expect(0, 921600, '\p{^Changes_When_NFKC_Casefolded=no}', "");
    Expect(0, 921600, '\P{Changes_When_NFKC_Casefolded=no}', "");
    Expect(1, 921600, '\P{^Changes_When_NFKC_Casefolded=no}', "");
    Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded=no}', "");
    Expect(1, 921599, '\p{^Changes_When_NFKC_Casefolded=no}', "");
    Expect(1, 921599, '\P{Changes_When_NFKC_Casefolded=no}', "");
    Expect(0, 921599, '\P{^Changes_When_NFKC_Casefolded=no}', "");
    Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded=:\Ano\z:}', "");;
    Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded=:\Ano\z:}', "");;
    Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded=_-no}', "");
    Expect(0, 921600, '\p{^Changes_When_NFKC_Casefolded=_-no}', "");
    Expect(0, 921600, '\P{Changes_When_NFKC_Casefolded=_-no}', "");
    Expect(1, 921600, '\P{^Changes_When_NFKC_Casefolded=_-no}', "");
    Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded=_-no}', "");
    Expect(1, 921599, '\p{^Changes_When_NFKC_Casefolded=_-no}', "");
    Expect(1, 921599, '\P{Changes_When_NFKC_Casefolded=_-no}', "");
    Expect(0, 921599, '\P{^Changes_When_NFKC_Casefolded=_-no}', "");
    Error('\p{CWKCF=_:=N}');
    Error('\P{CWKCF=_:=N}');
    Expect(1, 921600, '\p{CWKCF=:\AN\z:}', "");;
    Expect(0, 921599, '\p{CWKCF=:\AN\z:}', "");;
    Expect(1, 921600, '\p{CWKCF=n}', "");
    Expect(0, 921600, '\p{^CWKCF=n}', "");
    Expect(0, 921600, '\P{CWKCF=n}', "");
    Expect(1, 921600, '\P{^CWKCF=n}', "");
    Expect(0, 921599, '\p{CWKCF=n}', "");
    Expect(1, 921599, '\p{^CWKCF=n}', "");
    Expect(1, 921599, '\P{CWKCF=n}', "");
    Expect(0, 921599, '\P{^CWKCF=n}', "");
    Expect(1, 921600, '\p{CWKCF=:\An\z:}', "");;
    Expect(0, 921599, '\p{CWKCF=:\An\z:}', "");;
    Expect(1, 921600, '\p{CWKCF=-n}', "");
    Expect(0, 921600, '\p{^CWKCF=-n}', "");
    Expect(0, 921600, '\P{CWKCF=-n}', "");
    Expect(1, 921600, '\P{^CWKCF=-n}', "");
    Expect(0, 921599, '\p{CWKCF=-n}', "");
    Expect(1, 921599, '\p{^CWKCF=-n}', "");
    Expect(1, 921599, '\P{CWKCF=-n}', "");
    Expect(0, 921599, '\P{^CWKCF=-n}', "");
    Error('\p{Is_Changes_When_NFKC_Casefolded=/a/F}');
    Error('\P{Is_Changes_When_NFKC_Casefolded=/a/F}');
    Expect(1, 921600, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(0, 921600, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(0, 921600, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(1, 921600, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(0, 921599, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(1, 921599, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(1, 921599, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(0, 921599, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
    Expect(1, 921600, '\p{Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Expect(0, 921600, '\p{^Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Expect(0, 921600, '\P{Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Expect(1, 921600, '\P{^Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Expect(0, 921599, '\p{Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Expect(1, 921599, '\p{^Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Expect(1, 921599, '\P{Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Expect(0, 921599, '\P{^Is_Changes_When_NFKC_Casefolded= 	F}', "");
    Error('\p{Is_CWKCF=/a/_false}');
    Error('\P{Is_CWKCF=/a/_false}');
    Expect(1, 921600, '\p{Is_CWKCF=false}', "");
    Expect(0, 921600, '\p{^Is_CWKCF=false}', "");
    Expect(0, 921600, '\P{Is_CWKCF=false}', "");
    Expect(1, 921600, '\P{^Is_CWKCF=false}', "");
    Expect(0, 921599, '\p{Is_CWKCF=false}', "");
    Expect(1, 921599, '\p{^Is_CWKCF=false}', "");
    Expect(1, 921599, '\P{Is_CWKCF=false}', "");
    Expect(0, 921599, '\P{^Is_CWKCF=false}', "");
    Expect(1, 921600, '\p{Is_CWKCF=__False}', "");
    Expect(0, 921600, '\p{^Is_CWKCF=__False}', "");
    Expect(0, 921600, '\P{Is_CWKCF=__False}', "");
    Expect(1, 921600, '\P{^Is_CWKCF=__False}', "");
    Expect(0, 921599, '\p{Is_CWKCF=__False}', "");
    Expect(1, 921599, '\p{^Is_CWKCF=__False}', "");
    Expect(1, 921599, '\P{Is_CWKCF=__False}', "");
    Expect(0, 921599, '\P{^Is_CWKCF=__False}', "");
    Error('\p{Changes_When_NFKC_Casefolded:	:=Yes}');
    Error('\P{Changes_When_NFKC_Casefolded:	:=Yes}');
    Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=:\AYes\z:}', "");;
    Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=:\AYes\z:}', "");;
    Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=yes}', "");
    Expect(0, 921599, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
    Expect(0, 921599, '\P{Changes_When_NFKC_Casefolded=yes}', "");
    Expect(1, 921599, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
    Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=yes}', "");
    Expect(1, 921600, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
    Expect(1, 921600, '\P{Changes_When_NFKC_Casefolded=yes}', "");
    Expect(0, 921600, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
    Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=:\Ayes\z:}', "");;
    Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=:\Ayes\z:}', "");;
    Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=-YES}', "");
    Expect(0, 921599, '\p{^Changes_When_NFKC_Casefolded=-YES}', "");
    Expect(0, 921599, '\P{Changes_When_NFKC_Casefolded=-YES}', "");
    Expect(1, 921599, '\P{^Changes_When_NFKC_Casefolded=-YES}', "");
    Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=-YES}', "");
    Expect(1, 921600, '\p{^Changes_When_NFKC_Casefolded=-YES}', "");
    Expect(1, 921600, '\P{Changes_When_NFKC_Casefolded=-YES}', "");
    Expect(0, 921600, '\P{^Changes_When_NFKC_Casefolded=-YES}', "");
    Error('\p{CWKCF=_-Y:=}');
    Error('\P{CWKCF=_-Y:=}');
    Expect(1, 921599, '\p{CWKCF=:\AY\z:}', "");;
    Expect(0, 921600, '\p{CWKCF=:\AY\z:}', "");;
    Expect(1, 921599, '\p{CWKCF=y}', "");
    Expect(0, 921599, '\p{^CWKCF=y}', "");
    Expect(0, 921599, '\P{CWKCF=y}', "");
    Expect(1, 921599, '\P{^CWKCF=y}', "");
    Expect(0, 921600, '\p{CWKCF=y}', "");
    Expect(1, 921600, '\p{^CWKCF=y}', "");
    Expect(1, 921600, '\P{CWKCF=y}', "");
    Expect(0, 921600, '\P{^CWKCF=y}', "");
    Expect(1, 921599, '\p{CWKCF=:\Ay\z:}', "");;
    Expect(0, 921600, '\p{CWKCF=:\Ay\z:}', "");;
    Expect(1, 921599, '\p{CWKCF=-_Y}', "");
    Expect(0, 921599, '\p{^CWKCF=-_Y}', "");
    Expect(0, 921599, '\P{CWKCF=-_Y}', "");
    Expect(1, 921599, '\P{^CWKCF=-_Y}', "");
    Expect(0, 921600, '\p{CWKCF=-_Y}', "");
    Expect(1, 921600, '\p{^CWKCF=-_Y}', "");
    Expect(1, 921600, '\P{CWKCF=-_Y}', "");
    Expect(0, 921600, '\P{^CWKCF=-_Y}', "");
    Error('\p{Is_Changes_When_NFKC_Casefolded=:=_ T}');
    Error('\P{Is_Changes_When_NFKC_Casefolded=:=_ T}');
    Expect(1, 921599, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(0, 921599, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(0, 921599, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(1, 921599, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(0, 921600, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(1, 921600, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(1, 921600, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(0, 921600, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
    Expect(1, 921599, '\p{Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Expect(0, 921599, '\p{^Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Expect(0, 921599, '\P{Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Expect(1, 921599, '\P{^Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Expect(0, 921600, '\p{Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Expect(1, 921600, '\p{^Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Expect(1, 921600, '\P{Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Expect(0, 921600, '\P{^Is_Changes_When_NFKC_Casefolded=-_T}', "");
    Error('\p{Is_CWKCF=		TRUE/a/}');
    Error('\P{Is_CWKCF=		TRUE/a/}');
    Expect(1, 921599, '\p{Is_CWKCF=true}', "");
    Expect(0, 921599, '\p{^Is_CWKCF=true}', "");
    Expect(0, 921599, '\P{Is_CWKCF=true}', "");
    Expect(1, 921599, '\P{^Is_CWKCF=true}', "");
    Expect(0, 921600, '\p{Is_CWKCF=true}', "");
    Expect(1, 921600, '\p{^Is_CWKCF=true}', "");
    Expect(1, 921600, '\P{Is_CWKCF=true}', "");
    Expect(0, 921600, '\P{^Is_CWKCF=true}', "");
    Expect(1, 921599, '\p{Is_CWKCF=		true}', "");
    Expect(0, 921599, '\p{^Is_CWKCF=		true}', "");
    Expect(0, 921599, '\P{Is_CWKCF=		true}', "");
    Expect(1, 921599, '\P{^Is_CWKCF=		true}', "");
    Expect(0, 921600, '\p{Is_CWKCF=		true}', "");
    Expect(1, 921600, '\p{^Is_CWKCF=		true}', "");
    Expect(1, 921600, '\P{Is_CWKCF=		true}', "");
    Expect(0, 921600, '\P{^Is_CWKCF=		true}', "");
    Error('\p{Changes_When_Lowercased=-:=no}');
    Error('\P{Changes_When_Lowercased=-:=no}');
    Expect(1, 125218, '\p{Changes_When_Lowercased=:\ANo\z:}', "");;
    Expect(0, 125217, '\p{Changes_When_Lowercased=:\ANo\z:}', "");;
    Expect(1, 125218, '\p{Changes_When_Lowercased=no}', "");
    Expect(0, 125218, '\p{^Changes_When_Lowercased=no}', "");
    Expect(0, 125218, '\P{Changes_When_Lowercased=no}', "");
    Expect(1, 125218, '\P{^Changes_When_Lowercased=no}', "");
    Expect(0, 125217, '\p{Changes_When_Lowercased=no}', "");
    Expect(1, 125217, '\p{^Changes_When_Lowercased=no}', "");
    Expect(1, 125217, '\P{Changes_When_Lowercased=no}', "");
    Expect(0, 125217, '\P{^Changes_When_Lowercased=no}', "");
    Expect(1, 125218, '\p{Changes_When_Lowercased=:\Ano\z:}', "");;
    Expect(0, 125217, '\p{Changes_When_Lowercased=:\Ano\z:}', "");;
    Expect(1, 125218, '\p{Changes_When_Lowercased=-NO}', "");
    Expect(0, 125218, '\p{^Changes_When_Lowercased=-NO}', "");
    Expect(0, 125218, '\P{Changes_When_Lowercased=-NO}', "");
    Expect(1, 125218, '\P{^Changes_When_Lowercased=-NO}', "");
    Expect(0, 125217, '\p{Changes_When_Lowercased=-NO}', "");
    Expect(1, 125217, '\p{^Changes_When_Lowercased=-NO}', "");
    Expect(1, 125217, '\P{Changes_When_Lowercased=-NO}', "");
    Expect(0, 125217, '\P{^Changes_When_Lowercased=-NO}', "");
    Error('\p{CWL=:=_N}');
    Error('\P{CWL=:=_N}');
    Expect(1, 125218, '\p{CWL=:\AN\z:}', "");;
    Expect(0, 125217, '\p{CWL=:\AN\z:}', "");;
    Expect(1, 125218, '\p{CWL=n}', "");
    Expect(0, 125218, '\p{^CWL=n}', "");
    Expect(0, 125218, '\P{CWL=n}', "");
    Expect(1, 125218, '\P{^CWL=n}', "");
    Expect(0, 125217, '\p{CWL=n}', "");
    Expect(1, 125217, '\p{^CWL=n}', "");
    Expect(1, 125217, '\P{CWL=n}', "");
    Expect(0, 125217, '\P{^CWL=n}', "");
    Expect(1, 125218, '\p{CWL=:\An\z:}', "");;
    Expect(0, 125217, '\p{CWL=:\An\z:}', "");;
    Expect(1, 125218, '\p{CWL=	N}', "");
    Expect(0, 125218, '\p{^CWL=	N}', "");
    Expect(0, 125218, '\P{CWL=	N}', "");
    Expect(1, 125218, '\P{^CWL=	N}', "");
    Expect(0, 125217, '\p{CWL=	N}', "");
    Expect(1, 125217, '\p{^CWL=	N}', "");
    Expect(1, 125217, '\P{CWL=	N}', "");
    Expect(0, 125217, '\P{^CWL=	N}', "");
    Error('\p{Is_Changes_When_Lowercased:	/a/  f}');
    Error('\P{Is_Changes_When_Lowercased:	/a/  f}');
    Expect(1, 125218, '\p{Is_Changes_When_Lowercased=f}', "");
    Expect(0, 125218, '\p{^Is_Changes_When_Lowercased=f}', "");
    Expect(0, 125218, '\P{Is_Changes_When_Lowercased=f}', "");
    Expect(1, 125218, '\P{^Is_Changes_When_Lowercased=f}', "");
    Expect(0, 125217, '\p{Is_Changes_When_Lowercased=f}', "");
    Expect(1, 125217, '\p{^Is_Changes_When_Lowercased=f}', "");
    Expect(1, 125217, '\P{Is_Changes_When_Lowercased=f}', "");
    Expect(0, 125217, '\P{^Is_Changes_When_Lowercased=f}', "");
    Expect(1, 125218, '\p{Is_Changes_When_Lowercased=_f}', "");
    Expect(0, 125218, '\p{^Is_Changes_When_Lowercased=_f}', "");
    Expect(0, 125218, '\P{Is_Changes_When_Lowercased=_f}', "");
    Expect(1, 125218, '\P{^Is_Changes_When_Lowercased=_f}', "");
    Expect(0, 125217, '\p{Is_Changes_When_Lowercased=_f}', "");
    Expect(1, 125217, '\p{^Is_Changes_When_Lowercased=_f}', "");
    Expect(1, 125217, '\P{Is_Changes_When_Lowercased=_f}', "");
    Expect(0, 125217, '\P{^Is_Changes_When_Lowercased=_f}', "");
    Error('\p{Is_CWL=_	false/a/}');
    Error('\P{Is_CWL=_	false/a/}');
    Expect(1, 125218, '\p{Is_CWL=false}', "");
    Expect(0, 125218, '\p{^Is_CWL=false}', "");
    Expect(0, 125218, '\P{Is_CWL=false}', "");
    Expect(1, 125218, '\P{^Is_CWL=false}', "");
    Expect(0, 125217, '\p{Is_CWL=false}', "");
    Expect(1, 125217, '\p{^Is_CWL=false}', "");
    Expect(1, 125217, '\P{Is_CWL=false}', "");
    Expect(0, 125217, '\P{^Is_CWL=false}', "");
    Expect(1, 125218, '\p{Is_CWL=	_FALSE}', "");
    Expect(0, 125218, '\p{^Is_CWL=	_FALSE}', "");
    Expect(0, 125218, '\P{Is_CWL=	_FALSE}', "");
    Expect(1, 125218, '\P{^Is_CWL=	_FALSE}', "");
    Expect(0, 125217, '\p{Is_CWL=	_FALSE}', "");
    Expect(1, 125217, '\p{^Is_CWL=	_FALSE}', "");
    Expect(1, 125217, '\P{Is_CWL=	_FALSE}', "");
    Expect(0, 125217, '\P{^Is_CWL=	_FALSE}', "");
    Error('\p{Changes_When_Lowercased=_/a/yes}');
    Error('\P{Changes_When_Lowercased=_/a/yes}');
    Expect(1, 125217, '\p{Changes_When_Lowercased=:\AYes\z:}', "");;
    Expect(0, 125218, '\p{Changes_When_Lowercased=:\AYes\z:}', "");;
    Expect(1, 125217, '\p{Changes_When_Lowercased=yes}', "");
    Expect(0, 125217, '\p{^Changes_When_Lowercased=yes}', "");
    Expect(0, 125217, '\P{Changes_When_Lowercased=yes}', "");
    Expect(1, 125217, '\P{^Changes_When_Lowercased=yes}', "");
    Expect(0, 125218, '\p{Changes_When_Lowercased=yes}', "");
    Expect(1, 125218, '\p{^Changes_When_Lowercased=yes}', "");
    Expect(1, 125218, '\P{Changes_When_Lowercased=yes}', "");
    Expect(0, 125218, '\P{^Changes_When_Lowercased=yes}', "");
    Expect(1, 125217, '\p{Changes_When_Lowercased=:\Ayes\z:}', "");;
    Expect(0, 125218, '\p{Changes_When_Lowercased=:\Ayes\z:}', "");;
    Expect(1, 125217, '\p{Changes_When_Lowercased= Yes}', "");
    Expect(0, 125217, '\p{^Changes_When_Lowercased= Yes}', "");
    Expect(0, 125217, '\P{Changes_When_Lowercased= Yes}', "");
    Expect(1, 125217, '\P{^Changes_When_Lowercased= Yes}', "");
    Expect(0, 125218, '\p{Changes_When_Lowercased= Yes}', "");
    Expect(1, 125218, '\p{^Changes_When_Lowercased= Yes}', "");
    Expect(1, 125218, '\P{Changes_When_Lowercased= Yes}', "");
    Expect(0, 125218, '\P{^Changes_When_Lowercased= Yes}', "");
    Error('\p{CWL=:=-y}');
    Error('\P{CWL=:=-y}');
    Expect(1, 125217, '\p{CWL=:\AY\z:}', "");;
    Expect(0, 125218, '\p{CWL=:\AY\z:}', "");;
    Expect(1, 125217, '\p{CWL:	y}', "");
    Expect(0, 125217, '\p{^CWL:	y}', "");
    Expect(0, 125217, '\P{CWL:	y}', "");
    Expect(1, 125217, '\P{^CWL:	y}', "");
    Expect(0, 125218, '\p{CWL:	y}', "");
    Expect(1, 125218, '\p{^CWL:	y}', "");
    Expect(1, 125218, '\P{CWL:	y}', "");
    Expect(0, 125218, '\P{^CWL:	y}', "");
    Expect(1, 125217, '\p{CWL=:\Ay\z:}', "");;
    Expect(0, 125218, '\p{CWL=:\Ay\z:}', "");;
    Expect(1, 125217, '\p{CWL=__Y}', "");
    Expect(0, 125217, '\p{^CWL=__Y}', "");
    Expect(0, 125217, '\P{CWL=__Y}', "");
    Expect(1, 125217, '\P{^CWL=__Y}', "");
    Expect(0, 125218, '\p{CWL=__Y}', "");
    Expect(1, 125218, '\p{^CWL=__Y}', "");
    Expect(1, 125218, '\P{CWL=__Y}', "");
    Expect(0, 125218, '\P{^CWL=__Y}', "");
    Error('\p{Is_Changes_When_Lowercased=	/a/T}');
    Error('\P{Is_Changes_When_Lowercased=	/a/T}');
    Expect(1, 125217, '\p{Is_Changes_When_Lowercased=t}', "");
    Expect(0, 125217, '\p{^Is_Changes_When_Lowercased=t}', "");
    Expect(0, 125217, '\P{Is_Changes_When_Lowercased=t}', "");
    Expect(1, 125217, '\P{^Is_Changes_When_Lowercased=t}', "");
    Expect(0, 125218, '\p{Is_Changes_When_Lowercased=t}', "");
    Expect(1, 125218, '\p{^Is_Changes_When_Lowercased=t}', "");
    Expect(1, 125218, '\P{Is_Changes_When_Lowercased=t}', "");
    Expect(0, 125218, '\P{^Is_Changes_When_Lowercased=t}', "");
    Expect(1, 125217, '\p{Is_Changes_When_Lowercased:	T}', "");
    Expect(0, 125217, '\p{^Is_Changes_When_Lowercased:	T}', "");
    Expect(0, 125217, '\P{Is_Changes_When_Lowercased:	T}', "");
    Expect(1, 125217, '\P{^Is_Changes_When_Lowercased:	T}', "");
    Expect(0, 125218, '\p{Is_Changes_When_Lowercased:	T}', "");
    Expect(1, 125218, '\p{^Is_Changes_When_Lowercased:	T}', "");
    Expect(1, 125218, '\P{Is_Changes_When_Lowercased:	T}', "");
    Expect(0, 125218, '\P{^Is_Changes_When_Lowercased:	T}', "");
    Error('\p{Is_CWL=  True:=}');
    Error('\P{Is_CWL=  True:=}');
    Expect(1, 125217, '\p{Is_CWL=true}', "");
    Expect(0, 125217, '\p{^Is_CWL=true}', "");
    Expect(0, 125217, '\P{Is_CWL=true}', "");
    Expect(1, 125217, '\P{^Is_CWL=true}', "");
    Expect(0, 125218, '\p{Is_CWL=true}', "");
    Expect(1, 125218, '\p{^Is_CWL=true}', "");
    Expect(1, 125218, '\P{Is_CWL=true}', "");
    Expect(0, 125218, '\P{^Is_CWL=true}', "");
    Expect(1, 125217, '\p{Is_CWL=-	TRUE}', "");
    Expect(0, 125217, '\p{^Is_CWL=-	TRUE}', "");
    Expect(0, 125217, '\P{Is_CWL=-	TRUE}', "");
    Expect(1, 125217, '\P{^Is_CWL=-	TRUE}', "");
    Expect(0, 125218, '\p{Is_CWL=-	TRUE}', "");
    Expect(1, 125218, '\p{^Is_CWL=-	TRUE}', "");
    Expect(1, 125218, '\P{Is_CWL=-	TRUE}', "");
    Expect(0, 125218, '\P{^Is_CWL=-	TRUE}', "");
    Error('\p{Changes_When_Titlecased= _No:=}');
    Error('\P{Changes_When_Titlecased= _No:=}');
    Expect(1, 125252, '\p{Changes_When_Titlecased=:\ANo\z:}', "");;
    Expect(0, 125251, '\p{Changes_When_Titlecased=:\ANo\z:}', "");;
    Expect(1, 125252, '\p{Changes_When_Titlecased=no}', "");
    Expect(0, 125252, '\p{^Changes_When_Titlecased=no}', "");
    Expect(0, 125252, '\P{Changes_When_Titlecased=no}', "");
    Expect(1, 125252, '\P{^Changes_When_Titlecased=no}', "");
    Expect(0, 125251, '\p{Changes_When_Titlecased=no}', "");
    Expect(1, 125251, '\p{^Changes_When_Titlecased=no}', "");
    Expect(1, 125251, '\P{Changes_When_Titlecased=no}', "");
    Expect(0, 125251, '\P{^Changes_When_Titlecased=no}', "");
    Expect(1, 125252, '\p{Changes_When_Titlecased=:\Ano\z:}', "");;
    Expect(0, 125251, '\p{Changes_When_Titlecased=:\Ano\z:}', "");;
    Expect(1, 125252, '\p{Changes_When_Titlecased=	-No}', "");
    Expect(0, 125252, '\p{^Changes_When_Titlecased=	-No}', "");
    Expect(0, 125252, '\P{Changes_When_Titlecased=	-No}', "");
    Expect(1, 125252, '\P{^Changes_When_Titlecased=	-No}', "");
    Expect(0, 125251, '\p{Changes_When_Titlecased=	-No}', "");
    Expect(1, 125251, '\p{^Changes_When_Titlecased=	-No}', "");
    Expect(1, 125251, '\P{Changes_When_Titlecased=	-No}', "");
    Expect(0, 125251, '\P{^Changes_When_Titlecased=	-No}', "");
    Error('\p{CWT=-:=n}');
    Error('\P{CWT=-:=n}');
    Expect(1, 125252, '\p{CWT=:\AN\z:}', "");;
    Expect(0, 125251, '\p{CWT=:\AN\z:}', "");;
    Expect(1, 125252, '\p{CWT=n}', "");
    Expect(0, 125252, '\p{^CWT=n}', "");
    Expect(0, 125252, '\P{CWT=n}', "");
    Expect(1, 125252, '\P{^CWT=n}', "");
    Expect(0, 125251, '\p{CWT=n}', "");
    Expect(1, 125251, '\p{^CWT=n}', "");
    Expect(1, 125251, '\P{CWT=n}', "");
    Expect(0, 125251, '\P{^CWT=n}', "");
    Expect(1, 125252, '\p{CWT=:\An\z:}', "");;
    Expect(0, 125251, '\p{CWT=:\An\z:}', "");;
    Expect(1, 125252, '\p{CWT=_N}', "");
    Expect(0, 125252, '\p{^CWT=_N}', "");
    Expect(0, 125252, '\P{CWT=_N}', "");
    Expect(1, 125252, '\P{^CWT=_N}', "");
    Expect(0, 125251, '\p{CWT=_N}', "");
    Expect(1, 125251, '\p{^CWT=_N}', "");
    Expect(1, 125251, '\P{CWT=_N}', "");
    Expect(0, 125251, '\P{^CWT=_N}', "");
    Error('\p{Is_Changes_When_Titlecased=:=F}');
    Error('\P{Is_Changes_When_Titlecased=:=F}');
    Expect(1, 125252, '\p{Is_Changes_When_Titlecased=f}', "");
    Expect(0, 125252, '\p{^Is_Changes_When_Titlecased=f}', "");
    Expect(0, 125252, '\P{Is_Changes_When_Titlecased=f}', "");
    Expect(1, 125252, '\P{^Is_Changes_When_Titlecased=f}', "");
    Expect(0, 125251, '\p{Is_Changes_When_Titlecased=f}', "");
    Expect(1, 125251, '\p{^Is_Changes_When_Titlecased=f}', "");
    Expect(1, 125251, '\P{Is_Changes_When_Titlecased=f}', "");
    Expect(0, 125251, '\P{^Is_Changes_When_Titlecased=f}', "");
    Expect(1, 125252, '\p{Is_Changes_When_Titlecased:	F}', "");
    Expect(0, 125252, '\p{^Is_Changes_When_Titlecased:	F}', "");
    Expect(0, 125252, '\P{Is_Changes_When_Titlecased:	F}', "");
    Expect(1, 125252, '\P{^Is_Changes_When_Titlecased:	F}', "");
    Expect(0, 125251, '\p{Is_Changes_When_Titlecased:	F}', "");
    Expect(1, 125251, '\p{^Is_Changes_When_Titlecased:	F}', "");
    Expect(1, 125251, '\P{Is_Changes_When_Titlecased:	F}', "");
    Expect(0, 125251, '\P{^Is_Changes_When_Titlecased:	F}', "");
    Error('\p{Is_CWT=:= -false}');
    Error('\P{Is_CWT=:= -false}');
    Expect(1, 125252, '\p{Is_CWT=false}', "");
    Expect(0, 125252, '\p{^Is_CWT=false}', "");
    Expect(0, 125252, '\P{Is_CWT=false}', "");
    Expect(1, 125252, '\P{^Is_CWT=false}', "");
    Expect(0, 125251, '\p{Is_CWT=false}', "");
    Expect(1, 125251, '\p{^Is_CWT=false}', "");
    Expect(1, 125251, '\P{Is_CWT=false}', "");
    Expect(0, 125251, '\P{^Is_CWT=false}', "");
    Expect(1, 125252, '\p{Is_CWT=_ False}', "");
    Expect(0, 125252, '\p{^Is_CWT=_ False}', "");
    Expect(0, 125252, '\P{Is_CWT=_ False}', "");
    Expect(1, 125252, '\P{^Is_CWT=_ False}', "");
    Expect(0, 125251, '\p{Is_CWT=_ False}', "");
    Expect(1, 125251, '\p{^Is_CWT=_ False}', "");
    Expect(1, 125251, '\P{Is_CWT=_ False}', "");
    Expect(0, 125251, '\P{^Is_CWT=_ False}', "");
    Error('\p{Changes_When_Titlecased::=--YES}');
    Error('\P{Changes_When_Titlecased::=--YES}');
    Expect(1, 125251, '\p{Changes_When_Titlecased=:\AYes\z:}', "");;
    Expect(0, 125252, '\p{Changes_When_Titlecased=:\AYes\z:}', "");;
    Expect(1, 125251, '\p{Changes_When_Titlecased=yes}', "");
    Expect(0, 125251, '\p{^Changes_When_Titlecased=yes}', "");
    Expect(0, 125251, '\P{Changes_When_Titlecased=yes}', "");
    Expect(1, 125251, '\P{^Changes_When_Titlecased=yes}', "");
    Expect(0, 125252, '\p{Changes_When_Titlecased=yes}', "");
    Expect(1, 125252, '\p{^Changes_When_Titlecased=yes}', "");
    Expect(1, 125252, '\P{Changes_When_Titlecased=yes}', "");
    Expect(0, 125252, '\P{^Changes_When_Titlecased=yes}', "");
    Expect(1, 125251, '\p{Changes_When_Titlecased=:\Ayes\z:}', "");;
    Expect(0, 125252, '\p{Changes_When_Titlecased=:\Ayes\z:}', "");;
    Error('\p{CWT= /a/Y}');
    Error('\P{CWT= /a/Y}');
    Expect(1, 125251, '\p{CWT=:\AY\z:}', "");;
    Expect(0, 125252, '\p{CWT=:\AY\z:}', "");;
    Expect(1, 125251, '\p{CWT=y}', "");
    Expect(0, 125251, '\p{^CWT=y}', "");
    Expect(0, 125251, '\P{CWT=y}', "");
    Expect(1, 125251, '\P{^CWT=y}', "");
    Expect(0, 125252, '\p{CWT=y}', "");
    Expect(1, 125252, '\p{^CWT=y}', "");
    Expect(1, 125252, '\P{CWT=y}', "");
    Expect(0, 125252, '\P{^CWT=y}', "");
    Expect(1, 125251, '\p{CWT=:\Ay\z:}', "");;
    Expect(0, 125252, '\p{CWT=:\Ay\z:}', "");;
    Expect(1, 125251, '\p{CWT=_Y}', "");
    Expect(0, 125251, '\p{^CWT=_Y}', "");
    Expect(0, 125251, '\P{CWT=_Y}', "");
    Expect(1, 125251, '\P{^CWT=_Y}', "");
    Expect(0, 125252, '\p{CWT=_Y}', "");
    Expect(1, 125252, '\p{^CWT=_Y}', "");
    Expect(1, 125252, '\P{CWT=_Y}', "");
    Expect(0, 125252, '\P{^CWT=_Y}', "");
    Error('\p{Is_Changes_When_Titlecased=	-T/a/}');
    Error('\P{Is_Changes_When_Titlecased=	-T/a/}');
    Expect(1, 125251, '\p{Is_Changes_When_Titlecased=t}', "");
    Expect(0, 125251, '\p{^Is_Changes_When_Titlecased=t}', "");
    Expect(0, 125251, '\P{Is_Changes_When_Titlecased=t}', "");
    Expect(1, 125251, '\P{^Is_Changes_When_Titlecased=t}', "");
    Expect(0, 125252, '\p{Is_Changes_When_Titlecased=t}', "");
    Expect(1, 125252, '\p{^Is_Changes_When_Titlecased=t}', "");
    Expect(1, 125252, '\P{Is_Changes_When_Titlecased=t}', "");
    Expect(0, 125252, '\P{^Is_Changes_When_Titlecased=t}', "");
    Expect(1, 125251, '\p{Is_Changes_When_Titlecased=	_T}', "");
    Expect(0, 125251, '\p{^Is_Changes_When_Titlecased=	_T}', "");
    Expect(0, 125251, '\P{Is_Changes_When_Titlecased=	_T}', "");
    Expect(1, 125251, '\P{^Is_Changes_When_Titlecased=	_T}', "");
    Expect(0, 125252, '\p{Is_Changes_When_Titlecased=	_T}', "");
    Expect(1, 125252, '\p{^Is_Changes_When_Titlecased=	_T}', "");
    Expect(1, 125252, '\P{Is_Changes_When_Titlecased=	_T}', "");
    Expect(0, 125252, '\P{^Is_Changes_When_Titlecased=	_T}', "");
    Error('\p{Is_CWT:	 True:=}');
    Error('\P{Is_CWT:	 True:=}');
    Expect(1, 125251, '\p{Is_CWT=true}', "");
    Expect(0, 125251, '\p{^Is_CWT=true}', "");
    Expect(0, 125251, '\P{Is_CWT=true}', "");
    Expect(1, 125251, '\P{^Is_CWT=true}', "");
    Expect(0, 125252, '\p{Is_CWT=true}', "");
    Expect(1, 125252, '\p{^Is_CWT=true}', "");
    Expect(1, 125252, '\P{Is_CWT=true}', "");
    Expect(0, 125252, '\P{^Is_CWT=true}', "");
    Expect(1, 125251, '\p{Is_CWT=	-True}', "");
    Expect(0, 125251, '\p{^Is_CWT=	-True}', "");
    Expect(0, 125251, '\P{Is_CWT=	-True}', "");
    Expect(1, 125251, '\P{^Is_CWT=	-True}', "");
    Expect(0, 125252, '\p{Is_CWT=	-True}', "");
    Expect(1, 125252, '\p{^Is_CWT=	-True}', "");
    Expect(1, 125252, '\P{Is_CWT=	-True}', "");
    Expect(0, 125252, '\P{^Is_CWT=	-True}', "");
    Error('\p{Changes_When_Uppercased= -NO/a/}');
    Error('\P{Changes_When_Uppercased= -NO/a/}');
    Expect(1, 125252, '\p{Changes_When_Uppercased=:\ANo\z:}', "");;
    Expect(0, 125251, '\p{Changes_When_Uppercased=:\ANo\z:}', "");;
    Expect(1, 125252, '\p{Changes_When_Uppercased=no}', "");
    Expect(0, 125252, '\p{^Changes_When_Uppercased=no}', "");
    Expect(0, 125252, '\P{Changes_When_Uppercased=no}', "");
    Expect(1, 125252, '\P{^Changes_When_Uppercased=no}', "");
    Expect(0, 125251, '\p{Changes_When_Uppercased=no}', "");
    Expect(1, 125251, '\p{^Changes_When_Uppercased=no}', "");
    Expect(1, 125251, '\P{Changes_When_Uppercased=no}', "");
    Expect(0, 125251, '\P{^Changes_When_Uppercased=no}', "");
    Expect(1, 125252, '\p{Changes_When_Uppercased=:\Ano\z:}', "");;
    Expect(0, 125251, '\p{Changes_When_Uppercased=:\Ano\z:}', "");;
    Expect(1, 125252, '\p{Changes_When_Uppercased=_no}', "");
    Expect(0, 125252, '\p{^Changes_When_Uppercased=_no}', "");
    Expect(0, 125252, '\P{Changes_When_Uppercased=_no}', "");
    Expect(1, 125252, '\P{^Changes_When_Uppercased=_no}', "");
    Expect(0, 125251, '\p{Changes_When_Uppercased=_no}', "");
    Expect(1, 125251, '\p{^Changes_When_Uppercased=_no}', "");
    Expect(1, 125251, '\P{Changes_When_Uppercased=_no}', "");
    Expect(0, 125251, '\P{^Changes_When_Uppercased=_no}', "");
    Error('\p{CWU=	n:=}');
    Error('\P{CWU=	n:=}');
    Expect(1, 125252, '\p{CWU=:\AN\z:}', "");;
    Expect(0, 125251, '\p{CWU=:\AN\z:}', "");;
    Expect(1, 125252, '\p{CWU=n}', "");
    Expect(0, 125252, '\p{^CWU=n}', "");
    Expect(0, 125252, '\P{CWU=n}', "");
    Expect(1, 125252, '\P{^CWU=n}', "");
    Expect(0, 125251, '\p{CWU=n}', "");
    Expect(1, 125251, '\p{^CWU=n}', "");
    Expect(1, 125251, '\P{CWU=n}', "");
    Expect(0, 125251, '\P{^CWU=n}', "");
    Expect(1, 125252, '\p{CWU=:\An\z:}', "");;
    Expect(0, 125251, '\p{CWU=:\An\z:}', "");;
    Expect(1, 125252, '\p{CWU= _n}', "");
    Expect(0, 125252, '\p{^CWU= _n}', "");
    Expect(0, 125252, '\P{CWU= _n}', "");
    Expect(1, 125252, '\P{^CWU= _n}', "");
    Expect(0, 125251, '\p{CWU= _n}', "");
    Expect(1, 125251, '\p{^CWU= _n}', "");
    Expect(1, 125251, '\P{CWU= _n}', "");
    Expect(0, 125251, '\P{^CWU= _n}', "");
    Error('\p{Is_Changes_When_Uppercased= F/a/}');
    Error('\P{Is_Changes_When_Uppercased= F/a/}');
    Expect(1, 125252, '\p{Is_Changes_When_Uppercased=f}', "");
    Expect(0, 125252, '\p{^Is_Changes_When_Uppercased=f}', "");
    Expect(0, 125252, '\P{Is_Changes_When_Uppercased=f}', "");
    Expect(1, 125252, '\P{^Is_Changes_When_Uppercased=f}', "");
    Expect(0, 125251, '\p{Is_Changes_When_Uppercased=f}', "");
    Expect(1, 125251, '\p{^Is_Changes_When_Uppercased=f}', "");
    Expect(1, 125251, '\P{Is_Changes_When_Uppercased=f}', "");
    Expect(0, 125251, '\P{^Is_Changes_When_Uppercased=f}', "");
    Expect(1, 125252, '\p{Is_Changes_When_Uppercased=F}', "");
    Expect(0, 125252, '\p{^Is_Changes_When_Uppercased=F}', "");
    Expect(0, 125252, '\P{Is_Changes_When_Uppercased=F}', "");
    Expect(1, 125252, '\P{^Is_Changes_When_Uppercased=F}', "");
    Expect(0, 125251, '\p{Is_Changes_When_Uppercased=F}', "");
    Expect(1, 125251, '\p{^Is_Changes_When_Uppercased=F}', "");
    Expect(1, 125251, '\P{Is_Changes_When_Uppercased=F}', "");
    Expect(0, 125251, '\P{^Is_Changes_When_Uppercased=F}', "");
    Error('\p{Is_CWU=_FALSE/a/}');
    Error('\P{Is_CWU=_FALSE/a/}');
    Expect(1, 125252, '\p{Is_CWU=false}', "");
    Expect(0, 125252, '\p{^Is_CWU=false}', "");
    Expect(0, 125252, '\P{Is_CWU=false}', "");
    Expect(1, 125252, '\P{^Is_CWU=false}', "");
    Expect(0, 125251, '\p{Is_CWU=false}', "");
    Expect(1, 125251, '\p{^Is_CWU=false}', "");
    Expect(1, 125251, '\P{Is_CWU=false}', "");
    Expect(0, 125251, '\P{^Is_CWU=false}', "");
    Expect(1, 125252, '\p{Is_CWU=_FALSE}', "");
    Expect(0, 125252, '\p{^Is_CWU=_FALSE}', "");
    Expect(0, 125252, '\P{Is_CWU=_FALSE}', "");
    Expect(1, 125252, '\P{^Is_CWU=_FALSE}', "");
    Expect(0, 125251, '\p{Is_CWU=_FALSE}', "");
    Expect(1, 125251, '\p{^Is_CWU=_FALSE}', "");
    Expect(1, 125251, '\P{Is_CWU=_FALSE}', "");
    Expect(0, 125251, '\P{^Is_CWU=_FALSE}', "");
    Error('\p{Changes_When_Uppercased= _YES/a/}');
    Error('\P{Changes_When_Uppercased= _YES/a/}');
    Expect(1, 125251, '\p{Changes_When_Uppercased=:\AYes\z:}', "");;
    Expect(0, 125252, '\p{Changes_When_Uppercased=:\AYes\z:}', "");;
    Expect(1, 125251, '\p{Changes_When_Uppercased=yes}', "");
    Expect(0, 125251, '\p{^Changes_When_Uppercased=yes}', "");
    Expect(0, 125251, '\P{Changes_When_Uppercased=yes}', "");
    Expect(1, 125251, '\P{^Changes_When_Uppercased=yes}', "");
    Expect(0, 125252, '\p{Changes_When_Uppercased=yes}', "");
    Expect(1, 125252, '\p{^Changes_When_Uppercased=yes}', "");
    Expect(1, 125252, '\P{Changes_When_Uppercased=yes}', "");
    Expect(0, 125252, '\P{^Changes_When_Uppercased=yes}', "");
    Expect(1, 125251, '\p{Changes_When_Uppercased=:\Ayes\z:}', "");;
    Expect(0, 125252, '\p{Changes_When_Uppercased=:\Ayes\z:}', "");;
    Expect(1, 125251, '\p{Changes_When_Uppercased: Yes}', "");
    Expect(0, 125251, '\p{^Changes_When_Uppercased: Yes}', "");
    Expect(0, 125251, '\P{Changes_When_Uppercased: Yes}', "");
    Expect(1, 125251, '\P{^Changes_When_Uppercased: Yes}', "");
    Expect(0, 125252, '\p{Changes_When_Uppercased: Yes}', "");
    Expect(1, 125252, '\p{^Changes_When_Uppercased: Yes}', "");
    Expect(1, 125252, '\P{Changes_When_Uppercased: Yes}', "");
    Expect(0, 125252, '\P{^Changes_When_Uppercased: Yes}', "");
    Error('\p{CWU=:= -Y}');
    Error('\P{CWU=:= -Y}');
    Expect(1, 125251, '\p{CWU=:\AY\z:}', "");;
    Expect(0, 125252, '\p{CWU=:\AY\z:}', "");;
    Expect(1, 125251, '\p{CWU=y}', "");
    Expect(0, 125251, '\p{^CWU=y}', "");
    Expect(0, 125251, '\P{CWU=y}', "");
    Expect(1, 125251, '\P{^CWU=y}', "");
    Expect(0, 125252, '\p{CWU=y}', "");
    Expect(1, 125252, '\p{^CWU=y}', "");
    Expect(1, 125252, '\P{CWU=y}', "");
    Expect(0, 125252, '\P{^CWU=y}', "");
    Expect(1, 125251, '\p{CWU=:\Ay\z:}', "");;
    Expect(0, 125252, '\p{CWU=:\Ay\z:}', "");;
    Expect(1, 125251, '\p{CWU=-y}', "");
    Expect(0, 125251, '\p{^CWU=-y}', "");
    Expect(0, 125251, '\P{CWU=-y}', "");
    Expect(1, 125251, '\P{^CWU=-y}', "");
    Expect(0, 125252, '\p{CWU=-y}', "");
    Expect(1, 125252, '\p{^CWU=-y}', "");
    Expect(1, 125252, '\P{CWU=-y}', "");
    Expect(0, 125252, '\P{^CWU=-y}', "");
    Error('\p{Is_Changes_When_Uppercased=_	T:=}');
    Error('\P{Is_Changes_When_Uppercased=_	T:=}');
    Expect(1, 125251, '\p{Is_Changes_When_Uppercased=t}', "");
    Expect(0, 125251, '\p{^Is_Changes_When_Uppercased=t}', "");
    Expect(0, 125251, '\P{Is_Changes_When_Uppercased=t}', "");
    Expect(1, 125251, '\P{^Is_Changes_When_Uppercased=t}', "");
    Expect(0, 125252, '\p{Is_Changes_When_Uppercased=t}', "");
    Expect(1, 125252, '\p{^Is_Changes_When_Uppercased=t}', "");
    Expect(1, 125252, '\P{Is_Changes_When_Uppercased=t}', "");
    Expect(0, 125252, '\P{^Is_Changes_When_Uppercased=t}', "");
    Expect(1, 125251, '\p{Is_Changes_When_Uppercased=-	T}', "");
    Expect(0, 125251, '\p{^Is_Changes_When_Uppercased=-	T}', "");
    Expect(0, 125251, '\P{Is_Changes_When_Uppercased=-	T}', "");
    Expect(1, 125251, '\P{^Is_Changes_When_Uppercased=-	T}', "");
    Expect(0, 125252, '\p{Is_Changes_When_Uppercased=-	T}', "");
    Expect(1, 125252, '\p{^Is_Changes_When_Uppercased=-	T}', "");
    Expect(1, 125252, '\P{Is_Changes_When_Uppercased=-	T}', "");
    Expect(0, 125252, '\P{^Is_Changes_When_Uppercased=-	T}', "");
    Error('\p{Is_CWU=/a/ -true}');
    Error('\P{Is_CWU=/a/ -true}');
    Expect(1, 125251, '\p{Is_CWU=true}', "");
    Expect(0, 125251, '\p{^Is_CWU=true}', "");
    Expect(0, 125251, '\P{Is_CWU=true}', "");
    Expect(1, 125251, '\P{^Is_CWU=true}', "");
    Expect(0, 125252, '\p{Is_CWU=true}', "");
    Expect(1, 125252, '\p{^Is_CWU=true}', "");
    Expect(1, 125252, '\P{Is_CWU=true}', "");
    Expect(0, 125252, '\P{^Is_CWU=true}', "");
    Expect(1, 125251, '\p{Is_CWU=__True}', "");
    Expect(0, 125251, '\p{^Is_CWU=__True}', "");
    Expect(0, 125251, '\P{Is_CWU=__True}', "");
    Expect(1, 125251, '\P{^Is_CWU=__True}', "");
    Expect(0, 125252, '\p{Is_CWU=__True}', "");
    Expect(1, 125252, '\p{^Is_CWU=__True}', "");
    Expect(1, 125252, '\P{Is_CWU=__True}', "");
    Expect(0, 125252, '\P{^Is_CWU=__True}', "");
    Error('\p{Dash=_-no:=}');
    Error('\P{Dash=_-no:=}');
    Expect(1, 69294, '\p{Dash=:\ANo\z:}', "");;
    Expect(0, 69293, '\p{Dash=:\ANo\z:}', "");;
    Expect(1, 69294, '\p{Dash=no}', "");
    Expect(0, 69294, '\p{^Dash=no}', "");
    Expect(0, 69294, '\P{Dash=no}', "");
    Expect(1, 69294, '\P{^Dash=no}', "");
    Expect(0, 69293, '\p{Dash=no}', "");
    Expect(1, 69293, '\p{^Dash=no}', "");
    Expect(1, 69293, '\P{Dash=no}', "");
    Expect(0, 69293, '\P{^Dash=no}', "");
    Expect(1, 69294, '\p{Dash=:\Ano\z:}', "");;
    Expect(0, 69293, '\p{Dash=:\Ano\z:}', "");;
    Expect(1, 69294, '\p{Dash=-No}', "");
    Expect(0, 69294, '\p{^Dash=-No}', "");
    Expect(0, 69294, '\P{Dash=-No}', "");
    Expect(1, 69294, '\P{^Dash=-No}', "");
    Expect(0, 69293, '\p{Dash=-No}', "");
    Expect(1, 69293, '\p{^Dash=-No}', "");
    Expect(1, 69293, '\P{Dash=-No}', "");
    Expect(0, 69293, '\P{^Dash=-No}', "");
    Error('\p{Is_Dash=- N:=}');
    Error('\P{Is_Dash=- N:=}');
    Expect(1, 69294, '\p{Is_Dash:   n}', "");
    Expect(0, 69294, '\p{^Is_Dash:   n}', "");
    Expect(0, 69294, '\P{Is_Dash:   n}', "");
    Expect(1, 69294, '\P{^Is_Dash:   n}', "");
    Expect(0, 69293, '\p{Is_Dash:   n}', "");
    Expect(1, 69293, '\p{^Is_Dash:   n}', "");
    Expect(1, 69293, '\P{Is_Dash:   n}', "");
    Expect(0, 69293, '\P{^Is_Dash:   n}', "");
    Expect(1, 69294, '\p{Is_Dash=	 N}', "");
    Expect(0, 69294, '\p{^Is_Dash=	 N}', "");
    Expect(0, 69294, '\P{Is_Dash=	 N}', "");
    Expect(1, 69294, '\P{^Is_Dash=	 N}', "");
    Expect(0, 69293, '\p{Is_Dash=	 N}', "");
    Expect(1, 69293, '\p{^Is_Dash=	 N}', "");
    Expect(1, 69293, '\P{Is_Dash=	 N}', "");
    Expect(0, 69293, '\P{^Is_Dash=	 N}', "");
    Error('\p{Dash=/a/-_F}');
    Error('\P{Dash=/a/-_F}');
    Expect(1, 69294, '\p{Dash=:\AF\z:}', "");;
    Expect(0, 69293, '\p{Dash=:\AF\z:}', "");;
    Expect(1, 69294, '\p{Dash=f}', "");
    Expect(0, 69294, '\p{^Dash=f}', "");
    Expect(0, 69294, '\P{Dash=f}', "");
    Expect(1, 69294, '\P{^Dash=f}', "");
    Expect(0, 69293, '\p{Dash=f}', "");
    Expect(1, 69293, '\p{^Dash=f}', "");
    Expect(1, 69293, '\P{Dash=f}', "");
    Expect(0, 69293, '\P{^Dash=f}', "");
    Expect(1, 69294, '\p{Dash=:\Af\z:}', "");;
    Expect(0, 69293, '\p{Dash=:\Af\z:}', "");;
    Expect(1, 69294, '\p{Dash=-F}', "");
    Expect(0, 69294, '\p{^Dash=-F}', "");
    Expect(0, 69294, '\P{Dash=-F}', "");
    Expect(1, 69294, '\P{^Dash=-F}', "");
    Expect(0, 69293, '\p{Dash=-F}', "");
    Expect(1, 69293, '\p{^Dash=-F}', "");
    Expect(1, 69293, '\P{Dash=-F}', "");
    Expect(0, 69293, '\P{^Dash=-F}', "");
    Error('\p{Is_Dash:    /a/false}');
    Error('\P{Is_Dash:    /a/false}');
    Expect(1, 69294, '\p{Is_Dash=false}', "");
    Expect(0, 69294, '\p{^Is_Dash=false}', "");
    Expect(0, 69294, '\P{Is_Dash=false}', "");
    Expect(1, 69294, '\P{^Is_Dash=false}', "");
    Expect(0, 69293, '\p{Is_Dash=false}', "");
    Expect(1, 69293, '\p{^Is_Dash=false}', "");
    Expect(1, 69293, '\P{Is_Dash=false}', "");
    Expect(0, 69293, '\P{^Is_Dash=false}', "");
    Expect(1, 69294, '\p{Is_Dash=-FALSE}', "");
    Expect(0, 69294, '\p{^Is_Dash=-FALSE}', "");
    Expect(0, 69294, '\P{Is_Dash=-FALSE}', "");
    Expect(1, 69294, '\P{^Is_Dash=-FALSE}', "");
    Expect(0, 69293, '\p{Is_Dash=-FALSE}', "");
    Expect(1, 69293, '\p{^Is_Dash=-FALSE}', "");
    Expect(1, 69293, '\P{Is_Dash=-FALSE}', "");
    Expect(0, 69293, '\P{^Is_Dash=-FALSE}', "");
    Error('\p{Dash=		Yes/a/}');
    Error('\P{Dash=		Yes/a/}');
    Expect(1, 69293, '\p{Dash=:\AYes\z:}', "");;
    Expect(0, 69294, '\p{Dash=:\AYes\z:}', "");;
    Expect(1, 69293, '\p{Dash=yes}', "");
    Expect(0, 69293, '\p{^Dash=yes}', "");
    Expect(0, 69293, '\P{Dash=yes}', "");
    Expect(1, 69293, '\P{^Dash=yes}', "");
    Expect(0, 69294, '\p{Dash=yes}', "");
    Expect(1, 69294, '\p{^Dash=yes}', "");
    Expect(1, 69294, '\P{Dash=yes}', "");
    Expect(0, 69294, '\P{^Dash=yes}', "");
    Expect(1, 69293, '\p{Dash=:\Ayes\z:}', "");;
    Expect(0, 69294, '\p{Dash=:\Ayes\z:}', "");;
    Expect(1, 69293, '\p{Dash=  Yes}', "");
    Expect(0, 69293, '\p{^Dash=  Yes}', "");
    Expect(0, 69293, '\P{Dash=  Yes}', "");
    Expect(1, 69293, '\P{^Dash=  Yes}', "");
    Expect(0, 69294, '\p{Dash=  Yes}', "");
    Expect(1, 69294, '\p{^Dash=  Yes}', "");
    Expect(1, 69294, '\P{Dash=  Yes}', "");
    Expect(0, 69294, '\P{^Dash=  Yes}', "");
    Error('\p{Is_Dash=		Y:=}');
    Error('\P{Is_Dash=		Y:=}');
    Expect(1, 69293, '\p{Is_Dash=y}', "");
    Expect(0, 69293, '\p{^Is_Dash=y}', "");
    Expect(0, 69293, '\P{Is_Dash=y}', "");
    Expect(1, 69293, '\P{^Is_Dash=y}', "");
    Expect(0, 69294, '\p{Is_Dash=y}', "");
    Expect(1, 69294, '\p{^Is_Dash=y}', "");
    Expect(1, 69294, '\P{Is_Dash=y}', "");
    Expect(0, 69294, '\P{^Is_Dash=y}', "");
    Expect(1, 69293, '\p{Is_Dash=Y}', "");
    Expect(0, 69293, '\p{^Is_Dash=Y}', "");
    Expect(0, 69293, '\P{Is_Dash=Y}', "");
    Expect(1, 69293, '\P{^Is_Dash=Y}', "");
    Expect(0, 69294, '\p{Is_Dash=Y}', "");
    Expect(1, 69294, '\p{^Is_Dash=Y}', "");
    Expect(1, 69294, '\P{Is_Dash=Y}', "");
    Expect(0, 69294, '\P{^Is_Dash=Y}', "");
    Error('\p{Dash= _T:=}');
    Error('\P{Dash= _T:=}');
    Expect(1, 69293, '\p{Dash=:\AT\z:}', "");;
    Expect(0, 69294, '\p{Dash=:\AT\z:}', "");;
    Expect(1, 69293, '\p{Dash=t}', "");
    Expect(0, 69293, '\p{^Dash=t}', "");
    Expect(0, 69293, '\P{Dash=t}', "");
    Expect(1, 69293, '\P{^Dash=t}', "");
    Expect(0, 69294, '\p{Dash=t}', "");
    Expect(1, 69294, '\p{^Dash=t}', "");
    Expect(1, 69294, '\P{Dash=t}', "");
    Expect(0, 69294, '\P{^Dash=t}', "");
    Expect(1, 69293, '\p{Dash=:\At\z:}', "");;
    Expect(0, 69294, '\p{Dash=:\At\z:}', "");;
    Expect(1, 69293, '\p{Dash= T}', "");
    Expect(0, 69293, '\p{^Dash= T}', "");
    Expect(0, 69293, '\P{Dash= T}', "");
    Expect(1, 69293, '\P{^Dash= T}', "");
    Expect(0, 69294, '\p{Dash= T}', "");
    Expect(1, 69294, '\p{^Dash= T}', "");
    Expect(1, 69294, '\P{Dash= T}', "");
    Expect(0, 69294, '\P{^Dash= T}', "");
    Error('\p{Is_Dash=	_True/a/}');
    Error('\P{Is_Dash=	_True/a/}');
    Expect(1, 69293, '\p{Is_Dash=true}', "");
    Expect(0, 69293, '\p{^Is_Dash=true}', "");
    Expect(0, 69293, '\P{Is_Dash=true}', "");
    Expect(1, 69293, '\P{^Is_Dash=true}', "");
    Expect(0, 69294, '\p{Is_Dash=true}', "");
    Expect(1, 69294, '\p{^Is_Dash=true}', "");
    Expect(1, 69294, '\P{Is_Dash=true}', "");
    Expect(0, 69294, '\P{^Is_Dash=true}', "");
    Expect(1, 69293, '\p{Is_Dash=-	TRUE}', "");
    Expect(0, 69293, '\p{^Is_Dash=-	TRUE}', "");
    Expect(0, 69293, '\P{Is_Dash=-	TRUE}', "");
    Expect(1, 69293, '\P{^Is_Dash=-	TRUE}', "");
    Expect(0, 69294, '\p{Is_Dash=-	TRUE}', "");
    Expect(1, 69294, '\p{^Is_Dash=-	TRUE}', "");
    Expect(1, 69294, '\P{Is_Dash=-	TRUE}', "");
    Expect(0, 69294, '\P{^Is_Dash=-	TRUE}', "");
    Error('\p{Deprecated= _No/a/}');
    Error('\P{Deprecated= _No/a/}');
    Expect(1, 917506, '\p{Deprecated=:\ANo\z:}', "");;
    Expect(0, 917505, '\p{Deprecated=:\ANo\z:}', "");;
    Expect(1, 917506, '\p{Deprecated=no}', "");
    Expect(0, 917506, '\p{^Deprecated=no}', "");
    Expect(0, 917506, '\P{Deprecated=no}', "");
    Expect(1, 917506, '\P{^Deprecated=no}', "");
    Expect(0, 917505, '\p{Deprecated=no}', "");
    Expect(1, 917505, '\p{^Deprecated=no}', "");
    Expect(1, 917505, '\P{Deprecated=no}', "");
    Expect(0, 917505, '\P{^Deprecated=no}', "");
    Expect(1, 917506, '\p{Deprecated=:\Ano\z:}', "");;
    Expect(0, 917505, '\p{Deprecated=:\Ano\z:}', "");;
    Expect(1, 917506, '\p{Deprecated=	No}', "");
    Expect(0, 917506, '\p{^Deprecated=	No}', "");
    Expect(0, 917506, '\P{Deprecated=	No}', "");
    Expect(1, 917506, '\P{^Deprecated=	No}', "");
    Expect(0, 917505, '\p{Deprecated=	No}', "");
    Expect(1, 917505, '\p{^Deprecated=	No}', "");
    Expect(1, 917505, '\P{Deprecated=	No}', "");
    Expect(0, 917505, '\P{^Deprecated=	No}', "");
    Error('\p{Dep=_:=n}');
    Error('\P{Dep=_:=n}');
    Expect(1, 917506, '\p{Dep=:\AN\z:}', "");;
    Expect(0, 917505, '\p{Dep=:\AN\z:}', "");;
    Expect(1, 917506, '\p{Dep:n}', "");
    Expect(0, 917506, '\p{^Dep:n}', "");
    Expect(0, 917506, '\P{Dep:n}', "");
    Expect(1, 917506, '\P{^Dep:n}', "");
    Expect(0, 917505, '\p{Dep:n}', "");
    Expect(1, 917505, '\p{^Dep:n}', "");
    Expect(1, 917505, '\P{Dep:n}', "");
    Expect(0, 917505, '\P{^Dep:n}', "");
    Expect(1, 917506, '\p{Dep=:\An\z:}', "");;
    Expect(0, 917505, '\p{Dep=:\An\z:}', "");;
    Expect(1, 917506, '\p{Dep=-N}', "");
    Expect(0, 917506, '\p{^Dep=-N}', "");
    Expect(0, 917506, '\P{Dep=-N}', "");
    Expect(1, 917506, '\P{^Dep=-N}', "");
    Expect(0, 917505, '\p{Dep=-N}', "");
    Expect(1, 917505, '\p{^Dep=-N}', "");
    Expect(1, 917505, '\P{Dep=-N}', "");
    Expect(0, 917505, '\P{^Dep=-N}', "");
    Error('\p{Is_Deprecated=:=	-F}');
    Error('\P{Is_Deprecated=:=	-F}');
    Expect(1, 917506, '\p{Is_Deprecated:f}', "");
    Expect(0, 917506, '\p{^Is_Deprecated:f}', "");
    Expect(0, 917506, '\P{Is_Deprecated:f}', "");
    Expect(1, 917506, '\P{^Is_Deprecated:f}', "");
    Expect(0, 917505, '\p{Is_Deprecated:f}', "");
    Expect(1, 917505, '\p{^Is_Deprecated:f}', "");
    Expect(1, 917505, '\P{Is_Deprecated:f}', "");
    Expect(0, 917505, '\P{^Is_Deprecated:f}', "");
    Expect(1, 917506, '\p{Is_Deprecated=_F}', "");
    Expect(0, 917506, '\p{^Is_Deprecated=_F}', "");
    Expect(0, 917506, '\P{Is_Deprecated=_F}', "");
    Expect(1, 917506, '\P{^Is_Deprecated=_F}', "");
    Expect(0, 917505, '\p{Is_Deprecated=_F}', "");
    Expect(1, 917505, '\p{^Is_Deprecated=_F}', "");
    Expect(1, 917505, '\P{Is_Deprecated=_F}', "");
    Expect(0, 917505, '\P{^Is_Deprecated=_F}', "");
    Error('\p{Is_Dep:		false/a/}');
    Error('\P{Is_Dep:		false/a/}');
    Expect(1, 917506, '\p{Is_Dep:   false}', "");
    Expect(0, 917506, '\p{^Is_Dep:   false}', "");
    Expect(0, 917506, '\P{Is_Dep:   false}', "");
    Expect(1, 917506, '\P{^Is_Dep:   false}', "");
    Expect(0, 917505, '\p{Is_Dep:   false}', "");
    Expect(1, 917505, '\p{^Is_Dep:   false}', "");
    Expect(1, 917505, '\P{Is_Dep:   false}', "");
    Expect(0, 917505, '\P{^Is_Dep:   false}', "");
    Expect(1, 917506, '\p{Is_Dep=-False}', "");
    Expect(0, 917506, '\p{^Is_Dep=-False}', "");
    Expect(0, 917506, '\P{Is_Dep=-False}', "");
    Expect(1, 917506, '\P{^Is_Dep=-False}', "");
    Expect(0, 917505, '\p{Is_Dep=-False}', "");
    Expect(1, 917505, '\p{^Is_Dep=-False}', "");
    Expect(1, 917505, '\P{Is_Dep=-False}', "");
    Expect(0, 917505, '\P{^Is_Dep=-False}', "");
    Error('\p{Deprecated=_Yes/a/}');
    Error('\P{Deprecated=_Yes/a/}');
    Expect(1, 917505, '\p{Deprecated=:\AYes\z:}', "");;
    Expect(0, 917506, '\p{Deprecated=:\AYes\z:}', "");;
    Expect(1, 917505, '\p{Deprecated=yes}', "");
    Expect(0, 917505, '\p{^Deprecated=yes}', "");
    Expect(0, 917505, '\P{Deprecated=yes}', "");
    Expect(1, 917505, '\P{^Deprecated=yes}', "");
    Expect(0, 917506, '\p{Deprecated=yes}', "");
    Expect(1, 917506, '\p{^Deprecated=yes}', "");
    Expect(1, 917506, '\P{Deprecated=yes}', "");
    Expect(0, 917506, '\P{^Deprecated=yes}', "");
    Expect(1, 917505, '\p{Deprecated=:\Ayes\z:}', "");;
    Expect(0, 917506, '\p{Deprecated=:\Ayes\z:}', "");;
    Expect(1, 917505, '\p{Deprecated=_ Yes}', "");
    Expect(0, 917505, '\p{^Deprecated=_ Yes}', "");
    Expect(0, 917505, '\P{Deprecated=_ Yes}', "");
    Expect(1, 917505, '\P{^Deprecated=_ Yes}', "");
    Expect(0, 917506, '\p{Deprecated=_ Yes}', "");
    Expect(1, 917506, '\p{^Deprecated=_ Yes}', "");
    Expect(1, 917506, '\P{Deprecated=_ Yes}', "");
    Expect(0, 917506, '\P{^Deprecated=_ Yes}', "");
    Error('\p{Dep=/a/y}');
    Error('\P{Dep=/a/y}');
    Expect(1, 917505, '\p{Dep=:\AY\z:}', "");;
    Expect(0, 917506, '\p{Dep=:\AY\z:}', "");;
    Expect(1, 917505, '\p{Dep=y}', "");
    Expect(0, 917505, '\p{^Dep=y}', "");
    Expect(0, 917505, '\P{Dep=y}', "");
    Expect(1, 917505, '\P{^Dep=y}', "");
    Expect(0, 917506, '\p{Dep=y}', "");
    Expect(1, 917506, '\p{^Dep=y}', "");
    Expect(1, 917506, '\P{Dep=y}', "");
    Expect(0, 917506, '\P{^Dep=y}', "");
    Expect(1, 917505, '\p{Dep=:\Ay\z:}', "");;
    Expect(0, 917506, '\p{Dep=:\Ay\z:}', "");;
    Expect(1, 917505, '\p{Dep=-Y}', "");
    Expect(0, 917505, '\p{^Dep=-Y}', "");
    Expect(0, 917505, '\P{Dep=-Y}', "");
    Expect(1, 917505, '\P{^Dep=-Y}', "");
    Expect(0, 917506, '\p{Dep=-Y}', "");
    Expect(1, 917506, '\p{^Dep=-Y}', "");
    Expect(1, 917506, '\P{Dep=-Y}', "");
    Expect(0, 917506, '\P{^Dep=-Y}', "");
    Error('\p{Is_Deprecated=_T/a/}');
    Error('\P{Is_Deprecated=_T/a/}');
    Expect(1, 917505, '\p{Is_Deprecated=t}', "");
    Expect(0, 917505, '\p{^Is_Deprecated=t}', "");
    Expect(0, 917505, '\P{Is_Deprecated=t}', "");
    Expect(1, 917505, '\P{^Is_Deprecated=t}', "");
    Expect(0, 917506, '\p{Is_Deprecated=t}', "");
    Expect(1, 917506, '\p{^Is_Deprecated=t}', "");
    Expect(1, 917506, '\P{Is_Deprecated=t}', "");
    Expect(0, 917506, '\P{^Is_Deprecated=t}', "");
    Expect(1, 917505, '\p{Is_Deprecated= T}', "");
    Expect(0, 917505, '\p{^Is_Deprecated= T}', "");
    Expect(0, 917505, '\P{Is_Deprecated= T}', "");
    Expect(1, 917505, '\P{^Is_Deprecated= T}', "");
    Expect(0, 917506, '\p{Is_Deprecated= T}', "");
    Expect(1, 917506, '\p{^Is_Deprecated= T}', "");
    Expect(1, 917506, '\P{Is_Deprecated= T}', "");
    Expect(0, 917506, '\P{^Is_Deprecated= T}', "");
    Error('\p{Is_Dep:	/a/ True}');
    Error('\P{Is_Dep:	/a/ True}');
    Expect(1, 917505, '\p{Is_Dep=true}', "");
    Expect(0, 917505, '\p{^Is_Dep=true}', "");
    Expect(0, 917505, '\P{Is_Dep=true}', "");
    Expect(1, 917505, '\P{^Is_Dep=true}', "");
    Expect(0, 917506, '\p{Is_Dep=true}', "");
    Expect(1, 917506, '\p{^Is_Dep=true}', "");
    Expect(1, 917506, '\P{Is_Dep=true}', "");
    Expect(0, 917506, '\P{^Is_Dep=true}', "");
    Expect(1, 917505, '\p{Is_Dep= _TRUE}', "");
    Expect(0, 917505, '\p{^Is_Dep= _TRUE}', "");
    Expect(0, 917505, '\P{Is_Dep= _TRUE}', "");
    Expect(1, 917505, '\P{^Is_Dep= _TRUE}', "");
    Expect(0, 917506, '\p{Is_Dep= _TRUE}', "");
    Expect(1, 917506, '\p{^Is_Dep= _TRUE}', "");
    Expect(1, 917506, '\P{Is_Dep= _TRUE}', "");
    Expect(0, 917506, '\P{^Is_Dep= _TRUE}', "");
    Error('\p{Default_Ignorable_Code_Point=	:=NO}');
    Error('\P{Default_Ignorable_Code_Point=	:=NO}');
    Expect(1, 921600, '\p{Default_Ignorable_Code_Point=:\ANo\z:}', "");;
    Expect(0, 921599, '\p{Default_Ignorable_Code_Point=:\ANo\z:}', "");;
    Expect(1, 921600, '\p{Default_Ignorable_Code_Point=no}', "");
    Expect(0, 921600, '\p{^Default_Ignorable_Code_Point=no}', "");
    Expect(0, 921600, '\P{Default_Ignorable_Code_Point=no}', "");
    Expect(1, 921600, '\P{^Default_Ignorable_Code_Point=no}', "");
    Expect(0, 921599, '\p{Default_Ignorable_Code_Point=no}', "");
    Expect(1, 921599, '\p{^Default_Ignorable_Code_Point=no}', "");
    Expect(1, 921599, '\P{Default_Ignorable_Code_Point=no}', "");
    Expect(0, 921599, '\P{^Default_Ignorable_Code_Point=no}', "");
    Expect(1, 921600, '\p{Default_Ignorable_Code_Point=:\Ano\z:}', "");;
    Expect(0, 921599, '\p{Default_Ignorable_Code_Point=:\Ano\z:}', "");;
    Expect(1, 921600, '\p{Default_Ignorable_Code_Point=--NO}', "");
    Expect(0, 921600, '\p{^Default_Ignorable_Code_Point=--NO}', "");
    Expect(0, 921600, '\P{Default_Ignorable_Code_Point=--NO}', "");
    Expect(1, 921600, '\P{^Default_Ignorable_Code_Point=--NO}', "");
    Expect(0, 921599, '\p{Default_Ignorable_Code_Point=--NO}', "");
    Expect(1, 921599, '\p{^Default_Ignorable_Code_Point=--NO}', "");
    Expect(1, 921599, '\P{Default_Ignorable_Code_Point=--NO}', "");
    Expect(0, 921599, '\P{^Default_Ignorable_Code_Point=--NO}', "");
    Error('\p{DI=/a/N}');
    Error('\P{DI=/a/N}');
    Expect(1, 921600, '\p{DI=:\AN\z:}', "");;
    Expect(0, 921599, '\p{DI=:\AN\z:}', "");;
    Expect(1, 921600, '\p{DI=n}', "");
    Expect(0, 921600, '\p{^DI=n}', "");
    Expect(0, 921600, '\P{DI=n}', "");
    Expect(1, 921600, '\P{^DI=n}', "");
    Expect(0, 921599, '\p{DI=n}', "");
    Expect(1, 921599, '\p{^DI=n}', "");
    Expect(1, 921599, '\P{DI=n}', "");
    Expect(0, 921599, '\P{^DI=n}', "");
    Expect(1, 921600, '\p{DI=:\An\z:}', "");;
    Expect(0, 921599, '\p{DI=:\An\z:}', "");;
    Expect(1, 921600, '\p{DI=-	N}', "");
    Expect(0, 921600, '\p{^DI=-	N}', "");
    Expect(0, 921600, '\P{DI=-	N}', "");
    Expect(1, 921600, '\P{^DI=-	N}', "");
    Expect(0, 921599, '\p{DI=-	N}', "");
    Expect(1, 921599, '\p{^DI=-	N}', "");
    Expect(1, 921599, '\P{DI=-	N}', "");
    Expect(0, 921599, '\P{^DI=-	N}', "");
    Error('\p{Is_Default_Ignorable_Code_Point=_F:=}');
    Error('\P{Is_Default_Ignorable_Code_Point=_F:=}');
    Expect(1, 921600, '\p{Is_Default_Ignorable_Code_Point=f}', "");
    Expect(0, 921600, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
    Expect(0, 921600, '\P{Is_Default_Ignorable_Code_Point=f}', "");
    Expect(1, 921600, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
    Expect(0, 921599, '\p{Is_Default_Ignorable_Code_Point=f}', "");
    Expect(1, 921599, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
    Expect(1, 921599, '\P{Is_Default_Ignorable_Code_Point=f}', "");
    Expect(0, 921599, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
    Expect(1, 921600, '\p{Is_Default_Ignorable_Code_Point:	_ f}', "");
    Expect(0, 921600, '\p{^Is_Default_Ignorable_Code_Point:	_ f}', "");
    Expect(0, 921600, '\P{Is_Default_Ignorable_Code_Point:	_ f}', "");
    Expect(1, 921600, '\P{^Is_Default_Ignorable_Code_Point:	_ f}', "");
    Expect(0, 921599, '\p{Is_Default_Ignorable_Code_Point:	_ f}', "");
    Expect(1, 921599, '\p{^Is_Default_Ignorable_Code_Point:	_ f}', "");
    Expect(1, 921599, '\P{Is_Default_Ignorable_Code_Point:	_ f}', "");
    Expect(0, 921599, '\P{^Is_Default_Ignorable_Code_Point:	_ f}', "");
    Error('\p{Is_DI:   :=	_false}');
    Error('\P{Is_DI:   :=	_false}');
    Expect(1, 921600, '\p{Is_DI=false}', "");
    Expect(0, 921600, '\p{^Is_DI=false}', "");
    Expect(0, 921600, '\P{Is_DI=false}', "");
    Expect(1, 921600, '\P{^Is_DI=false}', "");
    Expect(0, 921599, '\p{Is_DI=false}', "");
    Expect(1, 921599, '\p{^Is_DI=false}', "");
    Expect(1, 921599, '\P{Is_DI=false}', "");
    Expect(0, 921599, '\P{^Is_DI=false}', "");
    Expect(1, 921600, '\p{Is_DI= False}', "");
    Expect(0, 921600, '\p{^Is_DI= False}', "");
    Expect(0, 921600, '\P{Is_DI= False}', "");
    Expect(1, 921600, '\P{^Is_DI= False}', "");
    Expect(0, 921599, '\p{Is_DI= False}', "");
    Expect(1, 921599, '\p{^Is_DI= False}', "");
    Expect(1, 921599, '\P{Is_DI= False}', "");
    Expect(0, 921599, '\P{^Is_DI= False}', "");
    Error('\p{Default_Ignorable_Code_Point=_	YES:=}');
    Error('\P{Default_Ignorable_Code_Point=_	YES:=}');
    Expect(1, 921599, '\p{Default_Ignorable_Code_Point=:\AYes\z:}', "");;
    Expect(0, 921600, '\p{Default_Ignorable_Code_Point=:\AYes\z:}', "");;
    Expect(1, 921599, '\p{Default_Ignorable_Code_Point=yes}', "");
    Expect(0, 921599, '\p{^Default_Ignorable_Code_Point=yes}', "");
    Expect(0, 921599, '\P{Default_Ignorable_Code_Point=yes}', "");
    Expect(1, 921599, '\P{^Default_Ignorable_Code_Point=yes}', "");
    Expect(0, 921600, '\p{Default_Ignorable_Code_Point=yes}', "");
    Expect(1, 921600, '\p{^Default_Ignorable_Code_Point=yes}', "");
    Expect(1, 921600, '\P{Default_Ignorable_Code_Point=yes}', "");
    Expect(0, 921600, '\P{^Default_Ignorable_Code_Point=yes}', "");
    Expect(1, 921599, '\p{Default_Ignorable_Code_Point=:\Ayes\z:}', "");;
    Expect(0, 921600, '\p{Default_Ignorable_Code_Point=:\Ayes\z:}', "");;
    Expect(1, 921599, '\p{Default_Ignorable_Code_Point:	 -Yes}', "");
    Expect(0, 921599, '\p{^Default_Ignorable_Code_Point:	 -Yes}', "");
    Expect(0, 921599, '\P{Default_Ignorable_Code_Point:	 -Yes}', "");
    Expect(1, 921599, '\P{^Default_Ignorable_Code_Point:	 -Yes}', "");
    Expect(0, 921600, '\p{Default_Ignorable_Code_Point:	 -Yes}', "");
    Expect(1, 921600, '\p{^Default_Ignorable_Code_Point:	 -Yes}', "");
    Expect(1, 921600, '\P{Default_Ignorable_Code_Point:	 -Yes}', "");
    Expect(0, 921600, '\P{^Default_Ignorable_Code_Point:	 -Yes}', "");
    Error('\p{DI=_ Y/a/}');
    Error('\P{DI=_ Y/a/}');
    Expect(1, 921599, '\p{DI=:\AY\z:}', "");;
    Expect(0, 921600, '\p{DI=:\AY\z:}', "");;
    Expect(1, 921599, '\p{DI:y}', "");
    Expect(0, 921599, '\p{^DI:y}', "");
    Expect(0, 921599, '\P{DI:y}', "");
    Expect(1, 921599, '\P{^DI:y}', "");
    Expect(0, 921600, '\p{DI:y}', "");
    Expect(1, 921600, '\p{^DI:y}', "");
    Expect(1, 921600, '\P{DI:y}', "");
    Expect(0, 921600, '\P{^DI:y}', "");
    Expect(1, 921599, '\p{DI=:\Ay\z:}', "");;
    Expect(0, 921600, '\p{DI=:\Ay\z:}', "");;
    Expect(1, 921599, '\p{DI=-Y}', "");
    Expect(0, 921599, '\p{^DI=-Y}', "");
    Expect(0, 921599, '\P{DI=-Y}', "");
    Expect(1, 921599, '\P{^DI=-Y}', "");
    Expect(0, 921600, '\p{DI=-Y}', "");
    Expect(1, 921600, '\p{^DI=-Y}', "");
    Expect(1, 921600, '\P{DI=-Y}', "");
    Expect(0, 921600, '\P{^DI=-Y}', "");
    Error('\p{Is_Default_Ignorable_Code_Point=-/a/t}');
    Error('\P{Is_Default_Ignorable_Code_Point=-/a/t}');
    Expect(1, 921599, '\p{Is_Default_Ignorable_Code_Point=t}', "");
    Expect(0, 921599, '\p{^Is_Default_Ignorable_Code_Point=t}', "");
    Expect(0, 921599, '\P{Is_Default_Ignorable_Code_Point=t}', "");
    Expect(1, 921599, '\P{^Is_Default_Ignorable_Code_Point=t}', "");
    Expect(0, 921600, '\p{Is_Default_Ignorable_Code_Point=t}', "");
    Expect(1, 921600, '\p{^Is_Default_Ignorable_Code_Point=t}', "");
    Expect(1, 921600, '\P{Is_Default_Ignorable_Code_Point=t}', "");
    Expect(0, 921600, '\P{^Is_Default_Ignorable_Code_Point=t}', "");
    Expect(1, 921599, '\p{Is_Default_Ignorable_Code_Point=	T}', "");
    Expect(0, 921599, '\p{^Is_Default_Ignorable_Code_Point=	T}', "");
    Expect(0, 921599, '\P{Is_Default_Ignorable_Code_Point=	T}', "");
    Expect(1, 921599, '\P{^Is_Default_Ignorable_Code_Point=	T}', "");
    Expect(0, 921600, '\p{Is_Default_Ignorable_Code_Point=	T}', "");
    Expect(1, 921600, '\p{^Is_Default_Ignorable_Code_Point=	T}', "");
    Expect(1, 921600, '\P{Is_Default_Ignorable_Code_Point=	T}', "");
    Expect(0, 921600, '\P{^Is_Default_Ignorable_Code_Point=	T}', "");
    Error('\p{Is_DI= 	TRUE/a/}');
    Error('\P{Is_DI= 	TRUE/a/}');
    Expect(1, 921599, '\p{Is_DI: true}', "");
    Expect(0, 921599, '\p{^Is_DI: true}', "");
    Expect(0, 921599, '\P{Is_DI: true}', "");
    Expect(1, 921599, '\P{^Is_DI: true}', "");
    Expect(0, 921600, '\p{Is_DI: true}', "");
    Expect(1, 921600, '\p{^Is_DI: true}', "");
    Expect(1, 921600, '\P{Is_DI: true}', "");
    Expect(0, 921600, '\P{^Is_DI: true}', "");
    Expect(1, 921599, '\p{Is_DI=- True}', "");
    Expect(0, 921599, '\p{^Is_DI=- True}', "");
    Expect(0, 921599, '\P{Is_DI=- True}', "");
    Expect(1, 921599, '\P{^Is_DI=- True}', "");
    Expect(0, 921600, '\p{Is_DI=- True}', "");
    Expect(1, 921600, '\p{^Is_DI=- True}', "");
    Expect(1, 921600, '\P{Is_DI=- True}', "");
    Expect(0, 921600, '\P{^Is_DI=- True}', "");
    Error('\p{Diacritic=	_no/a/}');
    Error('\P{Diacritic=	_no/a/}');
    Expect(1, 125259, '\p{Diacritic=:\ANo\z:}', "");;
    Expect(0, 125258, '\p{Diacritic=:\ANo\z:}', "");;
    Expect(1, 125259, '\p{Diacritic=no}', "");
    Expect(0, 125259, '\p{^Diacritic=no}', "");
    Expect(0, 125259, '\P{Diacritic=no}', "");
    Expect(1, 125259, '\P{^Diacritic=no}', "");
    Expect(0, 125258, '\p{Diacritic=no}', "");
    Expect(1, 125258, '\p{^Diacritic=no}', "");
    Expect(1, 125258, '\P{Diacritic=no}', "");
    Expect(0, 125258, '\P{^Diacritic=no}', "");
    Expect(1, 125259, '\p{Diacritic=:\Ano\z:}', "");;
    Expect(0, 125258, '\p{Diacritic=:\Ano\z:}', "");;
    Expect(1, 125259, '\p{Diacritic=__No}', "");
    Expect(0, 125259, '\p{^Diacritic=__No}', "");
    Expect(0, 125259, '\P{Diacritic=__No}', "");
    Expect(1, 125259, '\P{^Diacritic=__No}', "");
    Expect(0, 125258, '\p{Diacritic=__No}', "");
    Expect(1, 125258, '\p{^Diacritic=__No}', "");
    Expect(1, 125258, '\P{Diacritic=__No}', "");
    Expect(0, 125258, '\P{^Diacritic=__No}', "");
    Error('\p{Dia:   	/a/N}');
    Error('\P{Dia:   	/a/N}');
    Expect(1, 125259, '\p{Dia=:\AN\z:}', "");;
    Expect(0, 125258, '\p{Dia=:\AN\z:}', "");;
    Expect(1, 125259, '\p{Dia=n}', "");
    Expect(0, 125259, '\p{^Dia=n}', "");
    Expect(0, 125259, '\P{Dia=n}', "");
    Expect(1, 125259, '\P{^Dia=n}', "");
    Expect(0, 125258, '\p{Dia=n}', "");
    Expect(1, 125258, '\p{^Dia=n}', "");
    Expect(1, 125258, '\P{Dia=n}', "");
    Expect(0, 125258, '\P{^Dia=n}', "");
    Expect(1, 125259, '\p{Dia=:\An\z:}', "");;
    Expect(0, 125258, '\p{Dia=:\An\z:}', "");;
    Expect(1, 125259, '\p{Dia:    N}', "");
    Expect(0, 125259, '\p{^Dia:    N}', "");
    Expect(0, 125259, '\P{Dia:    N}', "");
    Expect(1, 125259, '\P{^Dia:    N}', "");
    Expect(0, 125258, '\p{Dia:    N}', "");
    Expect(1, 125258, '\p{^Dia:    N}', "");
    Expect(1, 125258, '\P{Dia:    N}', "");
    Expect(0, 125258, '\P{^Dia:    N}', "");
    Error('\p{Is_Diacritic=:=F}');
    Error('\P{Is_Diacritic=:=F}');
    Expect(1, 125259, '\p{Is_Diacritic=f}', "");
    Expect(0, 125259, '\p{^Is_Diacritic=f}', "");
    Expect(0, 125259, '\P{Is_Diacritic=f}', "");
    Expect(1, 125259, '\P{^Is_Diacritic=f}', "");
    Expect(0, 125258, '\p{Is_Diacritic=f}', "");
    Expect(1, 125258, '\p{^Is_Diacritic=f}', "");
    Expect(1, 125258, '\P{Is_Diacritic=f}', "");
    Expect(0, 125258, '\P{^Is_Diacritic=f}', "");
    Expect(1, 125259, '\p{Is_Diacritic:   -F}', "");
    Expect(0, 125259, '\p{^Is_Diacritic:   -F}', "");
    Expect(0, 125259, '\P{Is_Diacritic:   -F}', "");
    Expect(1, 125259, '\P{^Is_Diacritic:   -F}', "");
    Expect(0, 125258, '\p{Is_Diacritic:   -F}', "");
    Expect(1, 125258, '\p{^Is_Diacritic:   -F}', "");
    Expect(1, 125258, '\P{Is_Diacritic:   -F}', "");
    Expect(0, 125258, '\P{^Is_Diacritic:   -F}', "");
    Error('\p{Is_Dia=	-false/a/}');
    Error('\P{Is_Dia=	-false/a/}');
    Expect(1, 125259, '\p{Is_Dia=false}', "");
    Expect(0, 125259, '\p{^Is_Dia=false}', "");
    Expect(0, 125259, '\P{Is_Dia=false}', "");
    Expect(1, 125259, '\P{^Is_Dia=false}', "");
    Expect(0, 125258, '\p{Is_Dia=false}', "");
    Expect(1, 125258, '\p{^Is_Dia=false}', "");
    Expect(1, 125258, '\P{Is_Dia=false}', "");
    Expect(0, 125258, '\P{^Is_Dia=false}', "");
    Expect(1, 125259, '\p{Is_Dia=	false}', "");
    Expect(0, 125259, '\p{^Is_Dia=	false}', "");
    Expect(0, 125259, '\P{Is_Dia=	false}', "");
    Expect(1, 125259, '\P{^Is_Dia=	false}', "");
    Expect(0, 125258, '\p{Is_Dia=	false}', "");
    Expect(1, 125258, '\p{^Is_Dia=	false}', "");
    Expect(1, 125258, '\P{Is_Dia=	false}', "");
    Expect(0, 125258, '\P{^Is_Dia=	false}', "");
    Error('\p{Diacritic: 	:=YES}');
    Error('\P{Diacritic: 	:=YES}');
    Expect(1, 125258, '\p{Diacritic=:\AYes\z:}', "");;
    Expect(0, 125259, '\p{Diacritic=:\AYes\z:}', "");;
    Expect(1, 125258, '\p{Diacritic=yes}', "");
    Expect(0, 125258, '\p{^Diacritic=yes}', "");
    Expect(0, 125258, '\P{Diacritic=yes}', "");
    Expect(1, 125258, '\P{^Diacritic=yes}', "");
    Expect(0, 125259, '\p{Diacritic=yes}', "");
    Expect(1, 125259, '\p{^Diacritic=yes}', "");
    Expect(1, 125259, '\P{Diacritic=yes}', "");
    Expect(0, 125259, '\P{^Diacritic=yes}', "");
    Expect(1, 125258, '\p{Diacritic=:\Ayes\z:}', "");;
    Expect(0, 125259, '\p{Diacritic=:\Ayes\z:}', "");;
    Expect(1, 125258, '\p{Diacritic=- YES}', "");
    Expect(0, 125258, '\p{^Diacritic=- YES}', "");
    Expect(0, 125258, '\P{Diacritic=- YES}', "");
    Expect(1, 125258, '\P{^Diacritic=- YES}', "");
    Expect(0, 125259, '\p{Diacritic=- YES}', "");
    Expect(1, 125259, '\p{^Diacritic=- YES}', "");
    Expect(1, 125259, '\P{Diacritic=- YES}', "");
    Expect(0, 125259, '\P{^Diacritic=- YES}', "");
    Error('\p{Dia=_ y:=}');
    Error('\P{Dia=_ y:=}');
    Expect(1, 125258, '\p{Dia=:\AY\z:}', "");;
    Expect(0, 125259, '\p{Dia=:\AY\z:}', "");;
    Expect(1, 125258, '\p{Dia=y}', "");
    Expect(0, 125258, '\p{^Dia=y}', "");
    Expect(0, 125258, '\P{Dia=y}', "");
    Expect(1, 125258, '\P{^Dia=y}', "");
    Expect(0, 125259, '\p{Dia=y}', "");
    Expect(1, 125259, '\p{^Dia=y}', "");
    Expect(1, 125259, '\P{Dia=y}', "");
    Expect(0, 125259, '\P{^Dia=y}', "");
    Expect(1, 125258, '\p{Dia=:\Ay\z:}', "");;
    Expect(0, 125259, '\p{Dia=:\Ay\z:}', "");;
    Expect(1, 125258, '\p{Dia: 	y}', "");
    Expect(0, 125258, '\p{^Dia: 	y}', "");
    Expect(0, 125258, '\P{Dia: 	y}', "");
    Expect(1, 125258, '\P{^Dia: 	y}', "");
    Expect(0, 125259, '\p{Dia: 	y}', "");
    Expect(1, 125259, '\p{^Dia: 	y}', "");
    Expect(1, 125259, '\P{Dia: 	y}', "");
    Expect(0, 125259, '\P{^Dia: 	y}', "");
    Error('\p{Is_Diacritic=--T/a/}');
    Error('\P{Is_Diacritic=--T/a/}');
    Expect(1, 125258, '\p{Is_Diacritic=t}', "");
    Expect(0, 125258, '\p{^Is_Diacritic=t}', "");
    Expect(0, 125258, '\P{Is_Diacritic=t}', "");
    Expect(1, 125258, '\P{^Is_Diacritic=t}', "");
    Expect(0, 125259, '\p{Is_Diacritic=t}', "");
    Expect(1, 125259, '\p{^Is_Diacritic=t}', "");
    Expect(1, 125259, '\P{Is_Diacritic=t}', "");
    Expect(0, 125259, '\P{^Is_Diacritic=t}', "");
    Expect(1, 125258, '\p{Is_Diacritic=_t}', "");
    Expect(0, 125258, '\p{^Is_Diacritic=_t}', "");
    Expect(0, 125258, '\P{Is_Diacritic=_t}', "");
    Expect(1, 125258, '\P{^Is_Diacritic=_t}', "");
    Expect(0, 125259, '\p{Is_Diacritic=_t}', "");
    Expect(1, 125259, '\p{^Is_Diacritic=_t}', "");
    Expect(1, 125259, '\P{Is_Diacritic=_t}', "");
    Expect(0, 125259, '\P{^Is_Diacritic=_t}', "");
    Error('\p{Is_Dia=_True:=}');
    Error('\P{Is_Dia=_True:=}');
    Expect(1, 125258, '\p{Is_Dia=true}', "");
    Expect(0, 125258, '\p{^Is_Dia=true}', "");
    Expect(0, 125258, '\P{Is_Dia=true}', "");
    Expect(1, 125258, '\P{^Is_Dia=true}', "");
    Expect(0, 125259, '\p{Is_Dia=true}', "");
    Expect(1, 125259, '\p{^Is_Dia=true}', "");
    Expect(1, 125259, '\P{Is_Dia=true}', "");
    Expect(0, 125259, '\P{^Is_Dia=true}', "");
    Expect(1, 125258, '\p{Is_Dia=--True}', "");
    Expect(0, 125258, '\p{^Is_Dia=--True}', "");
    Expect(0, 125258, '\P{Is_Dia=--True}', "");
    Expect(1, 125258, '\P{^Is_Dia=--True}', "");
    Expect(0, 125259, '\p{Is_Dia=--True}', "");
    Expect(1, 125259, '\p{^Is_Dia=--True}', "");
    Expect(1, 125259, '\P{Is_Dia=--True}', "");
    Expect(0, 125259, '\P{^Is_Dia=--True}', "");
    Error('\p{decompositionmapping}');
    Error('\P{decompositionmapping}');
    Error('\p{dm}');
    Error('\P{dm}');
    Error('\p{decompositiontype}');
    Error('\P{decompositiontype}');
    Error('\p{dt}');
    Error('\P{dt}');
    Error('\p{Decomposition_Type=-_Canonical/a/}');
    Error('\P{Decomposition_Type=-_Canonical/a/}');
    Expect(1, 195101, '\p{Decomposition_Type=:\ACanonical\z:}', "");;
    Expect(0, 195102, '\p{Decomposition_Type=:\ACanonical\z:}', "");;
    Expect(1, 195101, '\p{Decomposition_Type=canonical}', "");
    Expect(0, 195101, '\p{^Decomposition_Type=canonical}', "");
    Expect(0, 195101, '\P{Decomposition_Type=canonical}', "");
    Expect(1, 195101, '\P{^Decomposition_Type=canonical}', "");
    Expect(0, 195102, '\p{Decomposition_Type=canonical}', "");
    Expect(1, 195102, '\p{^Decomposition_Type=canonical}', "");
    Expect(1, 195102, '\P{Decomposition_Type=canonical}', "");
    Expect(0, 195102, '\P{^Decomposition_Type=canonical}', "");
    Expect(1, 195101, '\p{Decomposition_Type=:\Acanonical\z:}', "");;
    Expect(0, 195102, '\p{Decomposition_Type=:\Acanonical\z:}', "");;
    Expect(1, 195101, '\p{Decomposition_Type=	_CANONICAL}', "");
    Expect(0, 195101, '\p{^Decomposition_Type=	_CANONICAL}', "");
    Expect(0, 195101, '\P{Decomposition_Type=	_CANONICAL}', "");
    Expect(1, 195101, '\P{^Decomposition_Type=	_CANONICAL}', "");
    Expect(0, 195102, '\p{Decomposition_Type=	_CANONICAL}', "");
    Expect(1, 195102, '\p{^Decomposition_Type=	_CANONICAL}', "");
    Expect(1, 195102, '\P{Decomposition_Type=	_CANONICAL}', "");
    Expect(0, 195102, '\P{^Decomposition_Type=	_CANONICAL}', "");
    Error('\p{Dt=_ Can:=}');
    Error('\P{Dt=_ Can:=}');
    Expect(1, 195101, '\p{Dt=:\ACan\z:}', "");;
    Expect(0, 195102, '\p{Dt=:\ACan\z:}', "");;
    Expect(1, 195101, '\p{Dt=can}', "");
    Expect(0, 195101, '\p{^Dt=can}', "");
    Expect(0, 195101, '\P{Dt=can}', "");
    Expect(1, 195101, '\P{^Dt=can}', "");
    Expect(0, 195102, '\p{Dt=can}', "");
    Expect(1, 195102, '\p{^Dt=can}', "");
    Expect(1, 195102, '\P{Dt=can}', "");
    Expect(0, 195102, '\P{^Dt=can}', "");
    Expect(1, 195101, '\p{Dt=:\Acan\z:}', "");;
    Expect(0, 195102, '\p{Dt=:\Acan\z:}', "");;
    Expect(1, 195101, '\p{Dt=-	Can}', "");
    Expect(0, 195101, '\p{^Dt=-	Can}', "");
    Expect(0, 195101, '\P{Dt=-	Can}', "");
    Expect(1, 195101, '\P{^Dt=-	Can}', "");
    Expect(0, 195102, '\p{Dt=-	Can}', "");
    Expect(1, 195102, '\p{^Dt=-	Can}', "");
    Expect(1, 195102, '\P{Dt=-	Can}', "");
    Expect(0, 195102, '\P{^Dt=-	Can}', "");
    Error('\p{Is_Decomposition_Type=CANONICAL/a/}');
    Error('\P{Is_Decomposition_Type=CANONICAL/a/}');
    Expect(1, 195101, '\p{Is_Decomposition_Type=canonical}', "");
    Expect(0, 195101, '\p{^Is_Decomposition_Type=canonical}', "");
    Expect(0, 195101, '\P{Is_Decomposition_Type=canonical}', "");
    Expect(1, 195101, '\P{^Is_Decomposition_Type=canonical}', "");
    Expect(0, 195102, '\p{Is_Decomposition_Type=canonical}', "");
    Expect(1, 195102, '\p{^Is_Decomposition_Type=canonical}', "");
    Expect(1, 195102, '\P{Is_Decomposition_Type=canonical}', "");
    Expect(0, 195102, '\P{^Is_Decomposition_Type=canonical}', "");
    Expect(1, 195101, '\p{Is_Decomposition_Type=  Canonical}', "");
    Expect(0, 195101, '\p{^Is_Decomposition_Type=  Canonical}', "");
    Expect(0, 195101, '\P{Is_Decomposition_Type=  Canonical}', "");
    Expect(1, 195101, '\P{^Is_Decomposition_Type=  Canonical}', "");
    Expect(0, 195102, '\p{Is_Decomposition_Type=  Canonical}', "");
    Expect(1, 195102, '\p{^Is_Decomposition_Type=  Canonical}', "");
    Expect(1, 195102, '\P{Is_Decomposition_Type=  Canonical}', "");
    Expect(0, 195102, '\P{^Is_Decomposition_Type=  Canonical}', "");
    Error('\p{Is_Dt=/a/_Can}');
    Error('\P{Is_Dt=/a/_Can}');
    Expect(1, 195101, '\p{Is_Dt: can}', "");
    Expect(0, 195101, '\p{^Is_Dt: can}', "");
    Expect(0, 195101, '\P{Is_Dt: can}', "");
    Expect(1, 195101, '\P{^Is_Dt: can}', "");
    Expect(0, 195102, '\p{Is_Dt: can}', "");
    Expect(1, 195102, '\p{^Is_Dt: can}', "");
    Expect(1, 195102, '\P{Is_Dt: can}', "");
    Expect(0, 195102, '\P{^Is_Dt: can}', "");
    Expect(1, 195101, '\p{Is_Dt= _can}', "");
    Expect(0, 195101, '\p{^Is_Dt= _can}', "");
    Expect(0, 195101, '\P{Is_Dt= _can}', "");
    Expect(1, 195101, '\P{^Is_Dt= _can}', "");
    Expect(0, 195102, '\p{Is_Dt= _can}', "");
    Expect(1, 195102, '\p{^Is_Dt= _can}', "");
    Expect(1, 195102, '\P{Is_Dt= _can}', "");
    Expect(0, 195102, '\P{^Is_Dt= _can}', "");
    Error('\p{Decomposition_Type=/a/ _COMPAT}');
    Error('\P{Decomposition_Type=/a/ _COMPAT}');
    Expect(1, 127560, '\p{Decomposition_Type=:\ACompat\z:}', "");;
    Expect(0, 127561, '\p{Decomposition_Type=:\ACompat\z:}', "");;
    Expect(1, 127560, '\p{Decomposition_Type=compat}', "");
    Expect(0, 127560, '\p{^Decomposition_Type=compat}', "");
    Expect(0, 127560, '\P{Decomposition_Type=compat}', "");
    Expect(1, 127560, '\P{^Decomposition_Type=compat}', "");
    Expect(0, 127561, '\p{Decomposition_Type=compat}', "");
    Expect(1, 127561, '\p{^Decomposition_Type=compat}', "");
    Expect(1, 127561, '\P{Decomposition_Type=compat}', "");
    Expect(0, 127561, '\P{^Decomposition_Type=compat}', "");
    Expect(1, 127560, '\p{Decomposition_Type=:\Acompat\z:}', "");;
    Expect(0, 127561, '\p{Decomposition_Type=:\Acompat\z:}', "");;
    Expect(1, 127560, '\p{Decomposition_Type= Compat}', "");
    Expect(0, 127560, '\p{^Decomposition_Type= Compat}', "");
    Expect(0, 127560, '\P{Decomposition_Type= Compat}', "");
    Expect(1, 127560, '\P{^Decomposition_Type= Compat}', "");
    Expect(0, 127561, '\p{Decomposition_Type= Compat}', "");
    Expect(1, 127561, '\p{^Decomposition_Type= Compat}', "");
    Expect(1, 127561, '\P{Decomposition_Type= Compat}', "");
    Expect(0, 127561, '\P{^Decomposition_Type= Compat}', "");
    Error('\p{Dt:   /a/com}');
    Error('\P{Dt:   /a/com}');
    Expect(1, 127560, '\p{Dt=:\ACom\z:}', "");;
    Expect(0, 127561, '\p{Dt=:\ACom\z:}', "");;
    Expect(1, 127560, '\p{Dt=com}', "");
    Expect(0, 127560, '\p{^Dt=com}', "");
    Expect(0, 127560, '\P{Dt=com}', "");
    Expect(1, 127560, '\P{^Dt=com}', "");
    Expect(0, 127561, '\p{Dt=com}', "");
    Expect(1, 127561, '\p{^Dt=com}', "");
    Expect(1, 127561, '\P{Dt=com}', "");
    Expect(0, 127561, '\P{^Dt=com}', "");
    Expect(1, 127560, '\p{Dt=:\Acom\z:}', "");;
    Expect(0, 127561, '\p{Dt=:\Acom\z:}', "");;
    Expect(1, 127560, '\p{Dt= _com}', "");
    Expect(0, 127560, '\p{^Dt= _com}', "");
    Expect(0, 127560, '\P{Dt= _com}', "");
    Expect(1, 127560, '\P{^Dt= _com}', "");
    Expect(0, 127561, '\p{Dt= _com}', "");
    Expect(1, 127561, '\p{^Dt= _com}', "");
    Expect(1, 127561, '\P{Dt= _com}', "");
    Expect(0, 127561, '\P{^Dt= _com}', "");
    Error('\p{Is_Decomposition_Type=_compat:=}');
    Error('\P{Is_Decomposition_Type=_compat:=}');
    Expect(1, 127560, '\p{Is_Decomposition_Type=compat}', "");
    Expect(0, 127560, '\p{^Is_Decomposition_Type=compat}', "");
    Expect(0, 127560, '\P{Is_Decomposition_Type=compat}', "");
    Expect(1, 127560, '\P{^Is_Decomposition_Type=compat}', "");
    Expect(0, 127561, '\p{Is_Decomposition_Type=compat}', "");
    Expect(1, 127561, '\p{^Is_Decomposition_Type=compat}', "");
    Expect(1, 127561, '\P{Is_Decomposition_Type=compat}', "");
    Expect(0, 127561, '\P{^Is_Decomposition_Type=compat}', "");
    Expect(1, 127560, '\p{Is_Decomposition_Type= Compat}', "");
    Expect(0, 127560, '\p{^Is_Decomposition_Type= Compat}', "");
    Expect(0, 127560, '\P{Is_Decomposition_Type= Compat}', "");
    Expect(1, 127560, '\P{^Is_Decomposition_Type= Compat}', "");
    Expect(0, 127561, '\p{Is_Decomposition_Type= Compat}', "");
    Expect(1, 127561, '\p{^Is_Decomposition_Type= Compat}', "");
    Expect(1, 127561, '\P{Is_Decomposition_Type= Compat}', "");
    Expect(0, 127561, '\P{^Is_Decomposition_Type= Compat}', "");
    Error('\p{Is_Dt=:=-_com}');
    Error('\P{Is_Dt=:=-_com}');
    Expect(1, 127560, '\p{Is_Dt=com}', "");
    Expect(0, 127560, '\p{^Is_Dt=com}', "");
    Expect(0, 127560, '\P{Is_Dt=com}', "");
    Expect(1, 127560, '\P{^Is_Dt=com}', "");
    Expect(0, 127561, '\p{Is_Dt=com}', "");
    Expect(1, 127561, '\p{^Is_Dt=com}', "");
    Expect(1, 127561, '\P{Is_Dt=com}', "");
    Expect(0, 127561, '\P{^Is_Dt=com}', "");
    Expect(1, 127560, '\p{Is_Dt= 	Com}', "");
    Expect(0, 127560, '\p{^Is_Dt= 	Com}', "");
    Expect(0, 127560, '\P{Is_Dt= 	Com}', "");
    Expect(1, 127560, '\P{^Is_Dt= 	Com}', "");
    Expect(0, 127561, '\p{Is_Dt= 	Com}', "");
    Expect(1, 127561, '\p{^Is_Dt= 	Com}', "");
    Expect(1, 127561, '\P{Is_Dt= 	Com}', "");
    Expect(0, 127561, '\P{^Is_Dt= 	Com}', "");
    Error('\p{Decomposition_Type=-_Circle:=}');
    Error('\P{Decomposition_Type=-_Circle:=}');
    Expect(1, 127569, '\p{Decomposition_Type=:\ACircle\z:}', "");;
    Expect(0, 127570, '\p{Decomposition_Type=:\ACircle\z:}', "");;
    Expect(1, 127569, '\p{Decomposition_Type=circle}', "");
    Expect(0, 127569, '\p{^Decomposition_Type=circle}', "");
    Expect(0, 127569, '\P{Decomposition_Type=circle}', "");
    Expect(1, 127569, '\P{^Decomposition_Type=circle}', "");
    Expect(0, 127570, '\p{Decomposition_Type=circle}', "");
    Expect(1, 127570, '\p{^Decomposition_Type=circle}', "");
    Expect(1, 127570, '\P{Decomposition_Type=circle}', "");
    Expect(0, 127570, '\P{^Decomposition_Type=circle}', "");
    Expect(1, 127569, '\p{Decomposition_Type=:\Acircle\z:}', "");;
    Expect(0, 127570, '\p{Decomposition_Type=:\Acircle\z:}', "");;
    Expect(1, 127569, '\p{Decomposition_Type=_	Circle}', "");
    Expect(0, 127569, '\p{^Decomposition_Type=_	Circle}', "");
    Expect(0, 127569, '\P{Decomposition_Type=_	Circle}', "");
    Expect(1, 127569, '\P{^Decomposition_Type=_	Circle}', "");
    Expect(0, 127570, '\p{Decomposition_Type=_	Circle}', "");
    Expect(1, 127570, '\p{^Decomposition_Type=_	Circle}', "");
    Expect(1, 127570, '\P{Decomposition_Type=_	Circle}', "");
    Expect(0, 127570, '\P{^Decomposition_Type=_	Circle}', "");
    Error('\p{Dt=	/a/Enc}');
    Error('\P{Dt=	/a/Enc}');
    Expect(1, 127569, '\p{Dt=:\AEnc\z:}', "");;
    Expect(0, 127570, '\p{Dt=:\AEnc\z:}', "");;
    Expect(1, 127569, '\p{Dt=enc}', "");
    Expect(0, 127569, '\p{^Dt=enc}', "");
    Expect(0, 127569, '\P{Dt=enc}', "");
    Expect(1, 127569, '\P{^Dt=enc}', "");
    Expect(0, 127570, '\p{Dt=enc}', "");
    Expect(1, 127570, '\p{^Dt=enc}', "");
    Expect(1, 127570, '\P{Dt=enc}', "");
    Expect(0, 127570, '\P{^Dt=enc}', "");
    Expect(1, 127569, '\p{Dt=:\Aenc\z:}', "");;
    Expect(0, 127570, '\p{Dt=:\Aenc\z:}', "");;
    Expect(1, 127569, '\p{Dt: 	 Enc}', "");
    Expect(0, 127569, '\p{^Dt: 	 Enc}', "");
    Expect(0, 127569, '\P{Dt: 	 Enc}', "");
    Expect(1, 127569, '\P{^Dt: 	 Enc}', "");
    Expect(0, 127570, '\p{Dt: 	 Enc}', "");
    Expect(1, 127570, '\p{^Dt: 	 Enc}', "");
    Expect(1, 127570, '\P{Dt: 	 Enc}', "");
    Expect(0, 127570, '\P{^Dt: 	 Enc}', "");
    Error('\p{Is_Decomposition_Type=:=-_circle}');
    Error('\P{Is_Decomposition_Type=:=-_circle}');
    Expect(1, 127569, '\p{Is_Decomposition_Type:	circle}', "");
    Expect(0, 127569, '\p{^Is_Decomposition_Type:	circle}', "");
    Expect(0, 127569, '\P{Is_Decomposition_Type:	circle}', "");
    Expect(1, 127569, '\P{^Is_Decomposition_Type:	circle}', "");
    Expect(0, 127570, '\p{Is_Decomposition_Type:	circle}', "");
    Expect(1, 127570, '\p{^Is_Decomposition_Type:	circle}', "");
    Expect(1, 127570, '\P{Is_Decomposition_Type:	circle}', "");
    Expect(0, 127570, '\P{^Is_Decomposition_Type:	circle}', "");
    Expect(1, 127569, '\p{Is_Decomposition_Type= 	circle}', "");
    Expect(0, 127569, '\p{^Is_Decomposition_Type= 	circle}', "");
    Expect(0, 127569, '\P{Is_Decomposition_Type= 	circle}', "");
    Expect(1, 127569, '\P{^Is_Decomposition_Type= 	circle}', "");
    Expect(0, 127570, '\p{Is_Decomposition_Type= 	circle}', "");
    Expect(1, 127570, '\p{^Is_Decomposition_Type= 	circle}', "");
    Expect(1, 127570, '\P{Is_Decomposition_Type= 	circle}', "");
    Expect(0, 127570, '\P{^Is_Decomposition_Type= 	circle}', "");
    Error('\p{Is_Dt:	 Enc/a/}');
    Error('\P{Is_Dt:	 Enc/a/}');
    Expect(1, 127569, '\p{Is_Dt=enc}', "");
    Expect(0, 127569, '\p{^Is_Dt=enc}', "");
    Expect(0, 127569, '\P{Is_Dt=enc}', "");
    Expect(1, 127569, '\P{^Is_Dt=enc}', "");
    Expect(0, 127570, '\p{Is_Dt=enc}', "");
    Expect(1, 127570, '\p{^Is_Dt=enc}', "");
    Expect(1, 127570, '\P{Is_Dt=enc}', "");
    Expect(0, 127570, '\P{^Is_Dt=enc}', "");
    Expect(1, 127569, '\p{Is_Dt=_ENC}', "");
    Expect(0, 127569, '\p{^Is_Dt=_ENC}', "");
    Expect(0, 127569, '\P{Is_Dt=_ENC}', "");
    Expect(1, 127569, '\P{^Is_Dt=_ENC}', "");
    Expect(0, 127570, '\p{Is_Dt=_ENC}', "");
    Expect(1, 127570, '\p{^Is_Dt=_ENC}', "");
    Expect(1, 127570, '\P{Is_Dt=_ENC}', "");
    Expect(0, 127570, '\P{^Is_Dt=_ENC}', "");
    Error('\p{Decomposition_Type=/a/Final}');
    Error('\P{Decomposition_Type=/a/Final}');
    Expect(1, 65276, '\p{Decomposition_Type=:\AFinal\z:}', "");;
    Expect(0, 65277, '\p{Decomposition_Type=:\AFinal\z:}', "");;
    Expect(1, 65276, '\p{Decomposition_Type=final}', "");
    Expect(0, 65276, '\p{^Decomposition_Type=final}', "");
    Expect(0, 65276, '\P{Decomposition_Type=final}', "");
    Expect(1, 65276, '\P{^Decomposition_Type=final}', "");
    Expect(0, 65277, '\p{Decomposition_Type=final}', "");
    Expect(1, 65277, '\p{^Decomposition_Type=final}', "");
    Expect(1, 65277, '\P{Decomposition_Type=final}', "");
    Expect(0, 65277, '\P{^Decomposition_Type=final}', "");
    Expect(1, 65276, '\p{Decomposition_Type=:\Afinal\z:}', "");;
    Expect(0, 65277, '\p{Decomposition_Type=:\Afinal\z:}', "");;
    Expect(1, 65276, '\p{Decomposition_Type=	 final}', "");
    Expect(0, 65276, '\p{^Decomposition_Type=	 final}', "");
    Expect(0, 65276, '\P{Decomposition_Type=	 final}', "");
    Expect(1, 65276, '\P{^Decomposition_Type=	 final}', "");
    Expect(0, 65277, '\p{Decomposition_Type=	 final}', "");
    Expect(1, 65277, '\p{^Decomposition_Type=	 final}', "");
    Expect(1, 65277, '\P{Decomposition_Type=	 final}', "");
    Expect(0, 65277, '\P{^Decomposition_Type=	 final}', "");
    Error('\p{Dt=_/a/Fin}');
    Error('\P{Dt=_/a/Fin}');
    Expect(1, 65276, '\p{Dt=:\AFin\z:}', "");;
    Expect(0, 65277, '\p{Dt=:\AFin\z:}', "");;
    Expect(1, 65276, '\p{Dt:   fin}', "");
    Expect(0, 65276, '\p{^Dt:   fin}', "");
    Expect(0, 65276, '\P{Dt:   fin}', "");
    Expect(1, 65276, '\P{^Dt:   fin}', "");
    Expect(0, 65277, '\p{Dt:   fin}', "");
    Expect(1, 65277, '\p{^Dt:   fin}', "");
    Expect(1, 65277, '\P{Dt:   fin}', "");
    Expect(0, 65277, '\P{^Dt:   fin}', "");
    Expect(1, 65276, '\p{Dt=:\Afin\z:}', "");;
    Expect(0, 65277, '\p{Dt=:\Afin\z:}', "");;
    Expect(1, 65276, '\p{Dt=-_FIN}', "");
    Expect(0, 65276, '\p{^Dt=-_FIN}', "");
    Expect(0, 65276, '\P{Dt=-_FIN}', "");
    Expect(1, 65276, '\P{^Dt=-_FIN}', "");
    Expect(0, 65277, '\p{Dt=-_FIN}', "");
    Expect(1, 65277, '\p{^Dt=-_FIN}', "");
    Expect(1, 65277, '\P{Dt=-_FIN}', "");
    Expect(0, 65277, '\P{^Dt=-_FIN}', "");
    Error('\p{Is_Decomposition_Type=/a/__FINAL}');
    Error('\P{Is_Decomposition_Type=/a/__FINAL}');
    Expect(1, 65276, '\p{Is_Decomposition_Type:	final}', "");
    Expect(0, 65276, '\p{^Is_Decomposition_Type:	final}', "");
    Expect(0, 65276, '\P{Is_Decomposition_Type:	final}', "");
    Expect(1, 65276, '\P{^Is_Decomposition_Type:	final}', "");
    Expect(0, 65277, '\p{Is_Decomposition_Type:	final}', "");
    Expect(1, 65277, '\p{^Is_Decomposition_Type:	final}', "");
    Expect(1, 65277, '\P{Is_Decomposition_Type:	final}', "");
    Expect(0, 65277, '\P{^Is_Decomposition_Type:	final}', "");
    Expect(1, 65276, '\p{Is_Decomposition_Type=  final}', "");
    Expect(0, 65276, '\p{^Is_Decomposition_Type=  final}', "");
    Expect(0, 65276, '\P{Is_Decomposition_Type=  final}', "");
    Expect(1, 65276, '\P{^Is_Decomposition_Type=  final}', "");
    Expect(0, 65277, '\p{Is_Decomposition_Type=  final}', "");
    Expect(1, 65277, '\p{^Is_Decomposition_Type=  final}', "");
    Expect(1, 65277, '\P{Is_Decomposition_Type=  final}', "");
    Expect(0, 65277, '\P{^Is_Decomposition_Type=  final}', "");
    Error('\p{Is_Dt=:=-Fin}');
    Error('\P{Is_Dt=:=-Fin}');
    Expect(1, 65276, '\p{Is_Dt=fin}', "");
    Expect(0, 65276, '\p{^Is_Dt=fin}', "");
    Expect(0, 65276, '\P{Is_Dt=fin}', "");
    Expect(1, 65276, '\P{^Is_Dt=fin}', "");
    Expect(0, 65277, '\p{Is_Dt=fin}', "");
    Expect(1, 65277, '\p{^Is_Dt=fin}', "");
    Expect(1, 65277, '\P{Is_Dt=fin}', "");
    Expect(0, 65277, '\P{^Is_Dt=fin}', "");
    Expect(1, 65276, '\p{Is_Dt:	  FIN}', "");
    Expect(0, 65276, '\p{^Is_Dt:	  FIN}', "");
    Expect(0, 65276, '\P{Is_Dt:	  FIN}', "");
    Expect(1, 65276, '\P{^Is_Dt:	  FIN}', "");
    Expect(0, 65277, '\p{Is_Dt:	  FIN}', "");
    Expect(1, 65277, '\p{^Is_Dt:	  FIN}', "");
    Expect(1, 65277, '\P{Is_Dt:	  FIN}', "");
    Expect(0, 65277, '\P{^Is_Dt:	  FIN}', "");
    Error('\p{Decomposition_Type=--font:=}');
    Error('\P{Decomposition_Type=--font:=}');
    Expect(1, 130041, '\p{Decomposition_Type=:\AFont\z:}', "");;
    Expect(0, 130042, '\p{Decomposition_Type=:\AFont\z:}', "");;
    Expect(1, 130041, '\p{Decomposition_Type=font}', "");
    Expect(0, 130041, '\p{^Decomposition_Type=font}', "");
    Expect(0, 130041, '\P{Decomposition_Type=font}', "");
    Expect(1, 130041, '\P{^Decomposition_Type=font}', "");
    Expect(0, 130042, '\p{Decomposition_Type=font}', "");
    Expect(1, 130042, '\p{^Decomposition_Type=font}', "");
    Expect(1, 130042, '\P{Decomposition_Type=font}', "");
    Expect(0, 130042, '\P{^Decomposition_Type=font}', "");
    Expect(1, 130041, '\p{Decomposition_Type=:\Afont\z:}', "");;
    Expect(0, 130042, '\p{Decomposition_Type=:\Afont\z:}', "");;
    Expect(1, 130041, '\p{Decomposition_Type=--font}', "");
    Expect(0, 130041, '\p{^Decomposition_Type=--font}', "");
    Expect(0, 130041, '\P{Decomposition_Type=--font}', "");
    Expect(1, 130041, '\P{^Decomposition_Type=--font}', "");
    Expect(0, 130042, '\p{Decomposition_Type=--font}', "");
    Expect(1, 130042, '\p{^Decomposition_Type=--font}', "");
    Expect(1, 130042, '\P{Decomposition_Type=--font}', "");
    Expect(0, 130042, '\P{^Decomposition_Type=--font}', "");
    Error('\p{Dt=	Font/a/}');
    Error('\P{Dt=	Font/a/}');
    Expect(1, 130041, '\p{Dt=:\AFont\z:}', "");;
    Expect(0, 130042, '\p{Dt=:\AFont\z:}', "");;
    Expect(1, 130041, '\p{Dt=font}', "");
    Expect(0, 130041, '\p{^Dt=font}', "");
    Expect(0, 130041, '\P{Dt=font}', "");
    Expect(1, 130041, '\P{^Dt=font}', "");
    Expect(0, 130042, '\p{Dt=font}', "");
    Expect(1, 130042, '\p{^Dt=font}', "");
    Expect(1, 130042, '\P{Dt=font}', "");
    Expect(0, 130042, '\P{^Dt=font}', "");
    Expect(1, 130041, '\p{Dt=:\Afont\z:}', "");;
    Expect(0, 130042, '\p{Dt=:\Afont\z:}', "");;
    Expect(1, 130041, '\p{Dt=	Font}', "");
    Expect(0, 130041, '\p{^Dt=	Font}', "");
    Expect(0, 130041, '\P{Dt=	Font}', "");
    Expect(1, 130041, '\P{^Dt=	Font}', "");
    Expect(0, 130042, '\p{Dt=	Font}', "");
    Expect(1, 130042, '\p{^Dt=	Font}', "");
    Expect(1, 130042, '\P{Dt=	Font}', "");
    Expect(0, 130042, '\P{^Dt=	Font}', "");
    Error('\p{Is_Decomposition_Type= -Font/a/}');
    Error('\P{Is_Decomposition_Type= -Font/a/}');
    Expect(1, 130041, '\p{Is_Decomposition_Type=font}', "");
    Expect(0, 130041, '\p{^Is_Decomposition_Type=font}', "");
    Expect(0, 130041, '\P{Is_Decomposition_Type=font}', "");
    Expect(1, 130041, '\P{^Is_Decomposition_Type=font}', "");
    Expect(0, 130042, '\p{Is_Decomposition_Type=font}', "");
    Expect(1, 130042, '\p{^Is_Decomposition_Type=font}', "");
    Expect(1, 130042, '\P{Is_Decomposition_Type=font}', "");
    Expect(0, 130042, '\P{^Is_Decomposition_Type=font}', "");
    Expect(1, 130041, '\p{Is_Decomposition_Type=	font}', "");
    Expect(0, 130041, '\p{^Is_Decomposition_Type=	font}', "");
    Expect(0, 130041, '\P{Is_Decomposition_Type=	font}', "");
    Expect(1, 130041, '\P{^Is_Decomposition_Type=	font}', "");
    Expect(0, 130042, '\p{Is_Decomposition_Type=	font}', "");
    Expect(1, 130042, '\p{^Is_Decomposition_Type=	font}', "");
    Expect(1, 130042, '\P{Is_Decomposition_Type=	font}', "");
    Expect(0, 130042, '\P{^Is_Decomposition_Type=	font}', "");
    Error('\p{Is_Dt:	:=  font}');
    Error('\P{Is_Dt:	:=  font}');
    Expect(1, 130041, '\p{Is_Dt=font}', "");
    Expect(0, 130041, '\p{^Is_Dt=font}', "");
    Expect(0, 130041, '\P{Is_Dt=font}', "");
    Expect(1, 130041, '\P{^Is_Dt=font}', "");
    Expect(0, 130042, '\p{Is_Dt=font}', "");
    Expect(1, 130042, '\p{^Is_Dt=font}', "");
    Expect(1, 130042, '\P{Is_Dt=font}', "");
    Expect(0, 130042, '\P{^Is_Dt=font}', "");
    Expect(1, 130041, '\p{Is_Dt=-_font}', "");
    Expect(0, 130041, '\p{^Is_Dt=-_font}', "");
    Expect(0, 130041, '\P{Is_Dt=-_font}', "");
    Expect(1, 130041, '\P{^Is_Dt=-_font}', "");
    Expect(0, 130042, '\p{Is_Dt=-_font}', "");
    Expect(1, 130042, '\p{^Is_Dt=-_font}', "");
    Expect(1, 130042, '\P{Is_Dt=-_font}', "");
    Expect(0, 130042, '\P{^Is_Dt=-_font}', "");
    Error('\p{Decomposition_Type=/a/_FRACTION}');
    Error('\P{Decomposition_Type=/a/_FRACTION}');
    Expect(1, 8585, '\p{Decomposition_Type=:\AFraction\z:}', "");;
    Expect(0, 8586, '\p{Decomposition_Type=:\AFraction\z:}', "");;
    Expect(1, 8585, '\p{Decomposition_Type=fraction}', "");
    Expect(0, 8585, '\p{^Decomposition_Type=fraction}', "");
    Expect(0, 8585, '\P{Decomposition_Type=fraction}', "");
    Expect(1, 8585, '\P{^Decomposition_Type=fraction}', "");
    Expect(0, 8586, '\p{Decomposition_Type=fraction}', "");
    Expect(1, 8586, '\p{^Decomposition_Type=fraction}', "");
    Expect(1, 8586, '\P{Decomposition_Type=fraction}', "");
    Expect(0, 8586, '\P{^Decomposition_Type=fraction}', "");
    Expect(1, 8585, '\p{Decomposition_Type=:\Afraction\z:}', "");;
    Expect(0, 8586, '\p{Decomposition_Type=:\Afraction\z:}', "");;
    Expect(1, 8585, '\p{Decomposition_Type=		FRACTION}', "");
    Expect(0, 8585, '\p{^Decomposition_Type=		FRACTION}', "");
    Expect(0, 8585, '\P{Decomposition_Type=		FRACTION}', "");
    Expect(1, 8585, '\P{^Decomposition_Type=		FRACTION}', "");
    Expect(0, 8586, '\p{Decomposition_Type=		FRACTION}', "");
    Expect(1, 8586, '\p{^Decomposition_Type=		FRACTION}', "");
    Expect(1, 8586, '\P{Decomposition_Type=		FRACTION}', "");
    Expect(0, 8586, '\P{^Decomposition_Type=		FRACTION}', "");
    Error('\p{Dt=/a/_Fra}');
    Error('\P{Dt=/a/_Fra}');
    Expect(1, 8585, '\p{Dt=:\AFra\z:}', "");;
    Expect(0, 8586, '\p{Dt=:\AFra\z:}', "");;
    Expect(1, 8585, '\p{Dt=fra}', "");
    Expect(0, 8585, '\p{^Dt=fra}', "");
    Expect(0, 8585, '\P{Dt=fra}', "");
    Expect(1, 8585, '\P{^Dt=fra}', "");
    Expect(0, 8586, '\p{Dt=fra}', "");
    Expect(1, 8586, '\p{^Dt=fra}', "");
    Expect(1, 8586, '\P{Dt=fra}', "");
    Expect(0, 8586, '\P{^Dt=fra}', "");
    Expect(1, 8585, '\p{Dt=:\Afra\z:}', "");;
    Expect(0, 8586, '\p{Dt=:\Afra\z:}', "");;
    Expect(1, 8585, '\p{Dt: -Fra}', "");
    Expect(0, 8585, '\p{^Dt: -Fra}', "");
    Expect(0, 8585, '\P{Dt: -Fra}', "");
    Expect(1, 8585, '\P{^Dt: -Fra}', "");
    Expect(0, 8586, '\p{Dt: -Fra}', "");
    Expect(1, 8586, '\p{^Dt: -Fra}', "");
    Expect(1, 8586, '\P{Dt: -Fra}', "");
    Expect(0, 8586, '\P{^Dt: -Fra}', "");
    Error('\p{Is_Decomposition_Type=_	fraction:=}');
    Error('\P{Is_Decomposition_Type=_	fraction:=}');
    Expect(1, 8585, '\p{Is_Decomposition_Type=fraction}', "");
    Expect(0, 8585, '\p{^Is_Decomposition_Type=fraction}', "");
    Expect(0, 8585, '\P{Is_Decomposition_Type=fraction}', "");
    Expect(1, 8585, '\P{^Is_Decomposition_Type=fraction}', "");
    Expect(0, 8586, '\p{Is_Decomposition_Type=fraction}', "");
    Expect(1, 8586, '\p{^Is_Decomposition_Type=fraction}', "");
    Expect(1, 8586, '\P{Is_Decomposition_Type=fraction}', "");
    Expect(0, 8586, '\P{^Is_Decomposition_Type=fraction}', "");
    Expect(1, 8585, '\p{Is_Decomposition_Type:   _fraction}', "");
    Expect(0, 8585, '\p{^Is_Decomposition_Type:   _fraction}', "");
    Expect(0, 8585, '\P{Is_Decomposition_Type:   _fraction}', "");
    Expect(1, 8585, '\P{^Is_Decomposition_Type:   _fraction}', "");
    Expect(0, 8586, '\p{Is_Decomposition_Type:   _fraction}', "");
    Expect(1, 8586, '\p{^Is_Decomposition_Type:   _fraction}', "");
    Expect(1, 8586, '\P{Is_Decomposition_Type:   _fraction}', "");
    Expect(0, 8586, '\P{^Is_Decomposition_Type:   _fraction}', "");
    Error('\p{Is_Dt=:= 	Fra}');
    Error('\P{Is_Dt=:= 	Fra}');
    Expect(1, 8585, '\p{Is_Dt=fra}', "");
    Expect(0, 8585, '\p{^Is_Dt=fra}', "");
    Expect(0, 8585, '\P{Is_Dt=fra}', "");
    Expect(1, 8585, '\P{^Is_Dt=fra}', "");
    Expect(0, 8586, '\p{Is_Dt=fra}', "");
    Expect(1, 8586, '\p{^Is_Dt=fra}', "");
    Expect(1, 8586, '\P{Is_Dt=fra}', "");
    Expect(0, 8586, '\P{^Is_Dt=fra}', "");
    Expect(1, 8585, '\p{Is_Dt:   - fra}', "");
    Expect(0, 8585, '\p{^Is_Dt:   - fra}', "");
    Expect(0, 8585, '\P{Is_Dt:   - fra}', "");
    Expect(1, 8585, '\P{^Is_Dt:   - fra}', "");
    Expect(0, 8586, '\p{Is_Dt:   - fra}', "");
    Expect(1, 8586, '\p{^Is_Dt:   - fra}', "");
    Expect(1, 8586, '\P{Is_Dt:   - fra}', "");
    Expect(0, 8586, '\P{^Is_Dt:   - fra}', "");
    Error('\p{Decomposition_Type=/a/-_initial}');
    Error('\P{Decomposition_Type=/a/-_initial}');
    Expect(1, 65267, '\p{Decomposition_Type=:\AInitial\z:}', "");;
    Expect(0, 65268, '\p{Decomposition_Type=:\AInitial\z:}', "");;
    Expect(1, 65267, '\p{Decomposition_Type=initial}', "");
    Expect(0, 65267, '\p{^Decomposition_Type=initial}', "");
    Expect(0, 65267, '\P{Decomposition_Type=initial}', "");
    Expect(1, 65267, '\P{^Decomposition_Type=initial}', "");
    Expect(0, 65268, '\p{Decomposition_Type=initial}', "");
    Expect(1, 65268, '\p{^Decomposition_Type=initial}', "");
    Expect(1, 65268, '\P{Decomposition_Type=initial}', "");
    Expect(0, 65268, '\P{^Decomposition_Type=initial}', "");
    Expect(1, 65267, '\p{Decomposition_Type=:\Ainitial\z:}', "");;
    Expect(0, 65268, '\p{Decomposition_Type=:\Ainitial\z:}', "");;
    Expect(1, 65267, '\p{Decomposition_Type=  INITIAL}', "");
    Expect(0, 65267, '\p{^Decomposition_Type=  INITIAL}', "");
    Expect(0, 65267, '\P{Decomposition_Type=  INITIAL}', "");
    Expect(1, 65267, '\P{^Decomposition_Type=  INITIAL}', "");
    Expect(0, 65268, '\p{Decomposition_Type=  INITIAL}', "");
    Expect(1, 65268, '\p{^Decomposition_Type=  INITIAL}', "");
    Expect(1, 65268, '\P{Decomposition_Type=  INITIAL}', "");
    Expect(0, 65268, '\P{^Decomposition_Type=  INITIAL}', "");
    Error('\p{Dt=--Init:=}');
    Error('\P{Dt=--Init:=}');
    Expect(1, 65267, '\p{Dt=:\AInit\z:}', "");;
    Expect(0, 65268, '\p{Dt=:\AInit\z:}', "");;
    Expect(1, 65267, '\p{Dt:   init}', "");
    Expect(0, 65267, '\p{^Dt:   init}', "");
    Expect(0, 65267, '\P{Dt:   init}', "");
    Expect(1, 65267, '\P{^Dt:   init}', "");
    Expect(0, 65268, '\p{Dt:   init}', "");
    Expect(1, 65268, '\p{^Dt:   init}', "");
    Expect(1, 65268, '\P{Dt:   init}', "");
    Expect(0, 65268, '\P{^Dt:   init}', "");
    Expect(1, 65267, '\p{Dt=:\Ainit\z:}', "");;
    Expect(0, 65268, '\p{Dt=:\Ainit\z:}', "");;
    Expect(1, 65267, '\p{Dt=	Init}', "");
    Expect(0, 65267, '\p{^Dt=	Init}', "");
    Expect(0, 65267, '\P{Dt=	Init}', "");
    Expect(1, 65267, '\P{^Dt=	Init}', "");
    Expect(0, 65268, '\p{Dt=	Init}', "");
    Expect(1, 65268, '\p{^Dt=	Init}', "");
    Expect(1, 65268, '\P{Dt=	Init}', "");
    Expect(0, 65268, '\P{^Dt=	Init}', "");
    Error('\p{Is_Decomposition_Type=/a/ initial}');
    Error('\P{Is_Decomposition_Type=/a/ initial}');
    Expect(1, 65267, '\p{Is_Decomposition_Type=initial}', "");
    Expect(0, 65267, '\p{^Is_Decomposition_Type=initial}', "");
    Expect(0, 65267, '\P{Is_Decomposition_Type=initial}', "");
    Expect(1, 65267, '\P{^Is_Decomposition_Type=initial}', "");
    Expect(0, 65268, '\p{Is_Decomposition_Type=initial}', "");
    Expect(1, 65268, '\p{^Is_Decomposition_Type=initial}', "");
    Expect(1, 65268, '\P{Is_Decomposition_Type=initial}', "");
    Expect(0, 65268, '\P{^Is_Decomposition_Type=initial}', "");
    Expect(1, 65267, '\p{Is_Decomposition_Type=	-Initial}', "");
    Expect(0, 65267, '\p{^Is_Decomposition_Type=	-Initial}', "");
    Expect(0, 65267, '\P{Is_Decomposition_Type=	-Initial}', "");
    Expect(1, 65267, '\P{^Is_Decomposition_Type=	-Initial}', "");
    Expect(0, 65268, '\p{Is_Decomposition_Type=	-Initial}', "");
    Expect(1, 65268, '\p{^Is_Decomposition_Type=	-Initial}', "");
    Expect(1, 65268, '\P{Is_Decomposition_Type=	-Initial}', "");
    Expect(0, 65268, '\P{^Is_Decomposition_Type=	-Initial}', "");
    Error('\p{Is_Dt:   := 	Init}');
    Error('\P{Is_Dt:   := 	Init}');
    Expect(1, 65267, '\p{Is_Dt=init}', "");
    Expect(0, 65267, '\p{^Is_Dt=init}', "");
    Expect(0, 65267, '\P{Is_Dt=init}', "");
    Expect(1, 65267, '\P{^Is_Dt=init}', "");
    Expect(0, 65268, '\p{Is_Dt=init}', "");
    Expect(1, 65268, '\p{^Is_Dt=init}', "");
    Expect(1, 65268, '\P{Is_Dt=init}', "");
    Expect(0, 65268, '\P{^Is_Dt=init}', "");
    Expect(1, 65267, '\p{Is_Dt=-	Init}', "");
    Expect(0, 65267, '\p{^Is_Dt=-	Init}', "");
    Expect(0, 65267, '\P{Is_Dt=-	Init}', "");
    Expect(1, 65267, '\P{^Is_Dt=-	Init}', "");
    Expect(0, 65268, '\p{Is_Dt=-	Init}', "");
    Expect(1, 65268, '\p{^Is_Dt=-	Init}', "");
    Expect(1, 65268, '\P{Is_Dt=-	Init}', "");
    Expect(0, 65268, '\P{^Is_Dt=-	Init}', "");
    Error('\p{Decomposition_Type=-/a/Isolated}');
    Error('\P{Decomposition_Type=-/a/Isolated}');
    Expect(1, 65275, '\p{Decomposition_Type=:\AIsolated\z:}', "");;
    Expect(0, 65276, '\p{Decomposition_Type=:\AIsolated\z:}', "");;
    Expect(1, 65275, '\p{Decomposition_Type=isolated}', "");
    Expect(0, 65275, '\p{^Decomposition_Type=isolated}', "");
    Expect(0, 65275, '\P{Decomposition_Type=isolated}', "");
    Expect(1, 65275, '\P{^Decomposition_Type=isolated}', "");
    Expect(0, 65276, '\p{Decomposition_Type=isolated}', "");
    Expect(1, 65276, '\p{^Decomposition_Type=isolated}', "");
    Expect(1, 65276, '\P{Decomposition_Type=isolated}', "");
    Expect(0, 65276, '\P{^Decomposition_Type=isolated}', "");
    Expect(1, 65275, '\p{Decomposition_Type=:\Aisolated\z:}', "");;
    Expect(0, 65276, '\p{Decomposition_Type=:\Aisolated\z:}', "");;
    Expect(1, 65275, '\p{Decomposition_Type=- isolated}', "");
    Expect(0, 65275, '\p{^Decomposition_Type=- isolated}', "");
    Expect(0, 65275, '\P{Decomposition_Type=- isolated}', "");
    Expect(1, 65275, '\P{^Decomposition_Type=- isolated}', "");
    Expect(0, 65276, '\p{Decomposition_Type=- isolated}', "");
    Expect(1, 65276, '\p{^Decomposition_Type=- isolated}', "");
    Expect(1, 65276, '\P{Decomposition_Type=- isolated}', "");
    Expect(0, 65276, '\P{^Decomposition_Type=- isolated}', "");
    Error('\p{Dt:	_-Iso:=}');
    Error('\P{Dt:	_-Iso:=}');
    Expect(1, 65275, '\p{Dt=:\AIso\z:}', "");;
    Expect(0, 65276, '\p{Dt=:\AIso\z:}', "");;
    Expect(1, 65275, '\p{Dt=iso}', "");
    Expect(0, 65275, '\p{^Dt=iso}', "");
    Expect(0, 65275, '\P{Dt=iso}', "");
    Expect(1, 65275, '\P{^Dt=iso}', "");
    Expect(0, 65276, '\p{Dt=iso}', "");
    Expect(1, 65276, '\p{^Dt=iso}', "");
    Expect(1, 65276, '\P{Dt=iso}', "");
    Expect(0, 65276, '\P{^Dt=iso}', "");
    Expect(1, 65275, '\p{Dt=:\Aiso\z:}', "");;
    Expect(0, 65276, '\p{Dt=:\Aiso\z:}', "");;
    Expect(1, 65275, '\p{Dt:	_Iso}', "");
    Expect(0, 65275, '\p{^Dt:	_Iso}', "");
    Expect(0, 65275, '\P{Dt:	_Iso}', "");
    Expect(1, 65275, '\P{^Dt:	_Iso}', "");
    Expect(0, 65276, '\p{Dt:	_Iso}', "");
    Expect(1, 65276, '\p{^Dt:	_Iso}', "");
    Expect(1, 65276, '\P{Dt:	_Iso}', "");
    Expect(0, 65276, '\P{^Dt:	_Iso}', "");
    Error('\p{Is_Decomposition_Type: 	Isolated/a/}');
    Error('\P{Is_Decomposition_Type: 	Isolated/a/}');
    Expect(1, 65275, '\p{Is_Decomposition_Type:isolated}', "");
    Expect(0, 65275, '\p{^Is_Decomposition_Type:isolated}', "");
    Expect(0, 65275, '\P{Is_Decomposition_Type:isolated}', "");
    Expect(1, 65275, '\P{^Is_Decomposition_Type:isolated}', "");
    Expect(0, 65276, '\p{Is_Decomposition_Type:isolated}', "");
    Expect(1, 65276, '\p{^Is_Decomposition_Type:isolated}', "");
    Expect(1, 65276, '\P{Is_Decomposition_Type:isolated}', "");
    Expect(0, 65276, '\P{^Is_Decomposition_Type:isolated}', "");
    Expect(1, 65275, '\p{Is_Decomposition_Type=	isolated}', "");
    Expect(0, 65275, '\p{^Is_Decomposition_Type=	isolated}', "");
    Expect(0, 65275, '\P{Is_Decomposition_Type=	isolated}', "");
    Expect(1, 65275, '\P{^Is_Decomposition_Type=	isolated}', "");
    Expect(0, 65276, '\p{Is_Decomposition_Type=	isolated}', "");
    Expect(1, 65276, '\p{^Is_Decomposition_Type=	isolated}', "");
    Expect(1, 65276, '\P{Is_Decomposition_Type=	isolated}', "");
    Expect(0, 65276, '\P{^Is_Decomposition_Type=	isolated}', "");
    Error('\p{Is_Dt:	:=	ISO}');
    Error('\P{Is_Dt:	:=	ISO}');
    Expect(1, 65275, '\p{Is_Dt: iso}', "");
    Expect(0, 65275, '\p{^Is_Dt: iso}', "");
    Expect(0, 65275, '\P{Is_Dt: iso}', "");
    Expect(1, 65275, '\P{^Is_Dt: iso}', "");
    Expect(0, 65276, '\p{Is_Dt: iso}', "");
    Expect(1, 65276, '\p{^Is_Dt: iso}', "");
    Expect(1, 65276, '\P{Is_Dt: iso}', "");
    Expect(0, 65276, '\P{^Is_Dt: iso}', "");
    Expect(1, 65275, '\p{Is_Dt=_	Iso}', "");
    Expect(0, 65275, '\p{^Is_Dt=_	Iso}', "");
    Expect(0, 65275, '\P{Is_Dt=_	Iso}', "");
    Expect(1, 65275, '\P{^Is_Dt=_	Iso}', "");
    Expect(0, 65276, '\p{Is_Dt=_	Iso}', "");
    Expect(1, 65276, '\p{^Is_Dt=_	Iso}', "");
    Expect(1, 65276, '\P{Is_Dt=_	Iso}', "");
    Expect(0, 65276, '\P{^Is_Dt=_	Iso}', "");
    Error('\p{Decomposition_Type:		medial/a/}');
    Error('\P{Decomposition_Type:		medial/a/}');
    Expect(1, 65268, '\p{Decomposition_Type=:\AMedial\z:}', "");;
    Expect(0, 65269, '\p{Decomposition_Type=:\AMedial\z:}', "");;
    Expect(1, 65268, '\p{Decomposition_Type: medial}', "");
    Expect(0, 65268, '\p{^Decomposition_Type: medial}', "");
    Expect(0, 65268, '\P{Decomposition_Type: medial}', "");
    Expect(1, 65268, '\P{^Decomposition_Type: medial}', "");
    Expect(0, 65269, '\p{Decomposition_Type: medial}', "");
    Expect(1, 65269, '\p{^Decomposition_Type: medial}', "");
    Expect(1, 65269, '\P{Decomposition_Type: medial}', "");
    Expect(0, 65269, '\P{^Decomposition_Type: medial}', "");
    Expect(1, 65268, '\p{Decomposition_Type=:\Amedial\z:}', "");;
    Expect(0, 65269, '\p{Decomposition_Type=:\Amedial\z:}', "");;
    Expect(1, 65268, '\p{Decomposition_Type= Medial}', "");
    Expect(0, 65268, '\p{^Decomposition_Type= Medial}', "");
    Expect(0, 65268, '\P{Decomposition_Type= Medial}', "");
    Expect(1, 65268, '\P{^Decomposition_Type= Medial}', "");
    Expect(0, 65269, '\p{Decomposition_Type= Medial}', "");
    Expect(1, 65269, '\p{^Decomposition_Type= Medial}', "");
    Expect(1, 65269, '\P{Decomposition_Type= Medial}', "");
    Expect(0, 65269, '\P{^Decomposition_Type= Medial}', "");
    Error('\p{Dt=:=	Med}');
    Error('\P{Dt=:=	Med}');
    Expect(1, 65268, '\p{Dt=:\AMed\z:}', "");;
    Expect(0, 65269, '\p{Dt=:\AMed\z:}', "");;
    Expect(1, 65268, '\p{Dt=med}', "");
    Expect(0, 65268, '\p{^Dt=med}', "");
    Expect(0, 65268, '\P{Dt=med}', "");
    Expect(1, 65268, '\P{^Dt=med}', "");
    Expect(0, 65269, '\p{Dt=med}', "");
    Expect(1, 65269, '\p{^Dt=med}', "");
    Expect(1, 65269, '\P{Dt=med}', "");
    Expect(0, 65269, '\P{^Dt=med}', "");
    Expect(1, 65268, '\p{Dt=:\Amed\z:}', "");;
    Expect(0, 65269, '\p{Dt=:\Amed\z:}', "");;
    Expect(1, 65268, '\p{Dt=-MED}', "");
    Expect(0, 65268, '\p{^Dt=-MED}', "");
    Expect(0, 65268, '\P{Dt=-MED}', "");
    Expect(1, 65268, '\P{^Dt=-MED}', "");
    Expect(0, 65269, '\p{Dt=-MED}', "");
    Expect(1, 65269, '\p{^Dt=-MED}', "");
    Expect(1, 65269, '\P{Dt=-MED}', "");
    Expect(0, 65269, '\P{^Dt=-MED}', "");
    Error('\p{Is_Decomposition_Type=/a/-Medial}');
    Error('\P{Is_Decomposition_Type=/a/-Medial}');
    Expect(1, 65268, '\p{Is_Decomposition_Type=medial}', "");
    Expect(0, 65268, '\p{^Is_Decomposition_Type=medial}', "");
    Expect(0, 65268, '\P{Is_Decomposition_Type=medial}', "");
    Expect(1, 65268, '\P{^Is_Decomposition_Type=medial}', "");
    Expect(0, 65269, '\p{Is_Decomposition_Type=medial}', "");
    Expect(1, 65269, '\p{^Is_Decomposition_Type=medial}', "");
    Expect(1, 65269, '\P{Is_Decomposition_Type=medial}', "");
    Expect(0, 65269, '\P{^Is_Decomposition_Type=medial}', "");
    Expect(1, 65268, '\p{Is_Decomposition_Type:    _Medial}', "");
    Expect(0, 65268, '\p{^Is_Decomposition_Type:    _Medial}', "");
    Expect(0, 65268, '\P{Is_Decomposition_Type:    _Medial}', "");
    Expect(1, 65268, '\P{^Is_Decomposition_Type:    _Medial}', "");
    Expect(0, 65269, '\p{Is_Decomposition_Type:    _Medial}', "");
    Expect(1, 65269, '\p{^Is_Decomposition_Type:    _Medial}', "");
    Expect(1, 65269, '\P{Is_Decomposition_Type:    _Medial}', "");
    Expect(0, 65269, '\P{^Is_Decomposition_Type:    _Medial}', "");
    Error('\p{Is_Dt= :=MED}');
    Error('\P{Is_Dt= :=MED}');
    Expect(1, 65268, '\p{Is_Dt=med}', "");
    Expect(0, 65268, '\p{^Is_Dt=med}', "");
    Expect(0, 65268, '\P{Is_Dt=med}', "");
    Expect(1, 65268, '\P{^Is_Dt=med}', "");
    Expect(0, 65269, '\p{Is_Dt=med}', "");
    Expect(1, 65269, '\p{^Is_Dt=med}', "");
    Expect(1, 65269, '\P{Is_Dt=med}', "");
    Expect(0, 65269, '\P{^Is_Dt=med}', "");
    Expect(1, 65268, '\p{Is_Dt=	Med}', "");
    Expect(0, 65268, '\p{^Is_Dt=	Med}', "");
    Expect(0, 65268, '\P{Is_Dt=	Med}', "");
    Expect(1, 65268, '\P{^Is_Dt=	Med}', "");
    Expect(0, 65269, '\p{Is_Dt=	Med}', "");
    Expect(1, 65269, '\p{^Is_Dt=	Med}', "");
    Expect(1, 65269, '\P{Is_Dt=	Med}', "");
    Expect(0, 65269, '\P{^Is_Dt=	Med}', "");
    Error('\p{Decomposition_Type=_ narrow:=}');
    Error('\P{Decomposition_Type=_ narrow:=}');
    Expect(1, 65518, '\p{Decomposition_Type=:\ANarrow\z:}', "");;
    Expect(0, 65519, '\p{Decomposition_Type=:\ANarrow\z:}', "");;
    Expect(1, 65518, '\p{Decomposition_Type=narrow}', "");
    Expect(0, 65518, '\p{^Decomposition_Type=narrow}', "");
    Expect(0, 65518, '\P{Decomposition_Type=narrow}', "");
    Expect(1, 65518, '\P{^Decomposition_Type=narrow}', "");
    Expect(0, 65519, '\p{Decomposition_Type=narrow}', "");
    Expect(1, 65519, '\p{^Decomposition_Type=narrow}', "");
    Expect(1, 65519, '\P{Decomposition_Type=narrow}', "");
    Expect(0, 65519, '\P{^Decomposition_Type=narrow}', "");
    Expect(1, 65518, '\p{Decomposition_Type=:\Anarrow\z:}', "");;
    Expect(0, 65519, '\p{Decomposition_Type=:\Anarrow\z:}', "");;
    Expect(1, 65518, '\p{Decomposition_Type= narrow}', "");
    Expect(0, 65518, '\p{^Decomposition_Type= narrow}', "");
    Expect(0, 65518, '\P{Decomposition_Type= narrow}', "");
    Expect(1, 65518, '\P{^Decomposition_Type= narrow}', "");
    Expect(0, 65519, '\p{Decomposition_Type= narrow}', "");
    Expect(1, 65519, '\p{^Decomposition_Type= narrow}', "");
    Expect(1, 65519, '\P{Decomposition_Type= narrow}', "");
    Expect(0, 65519, '\P{^Decomposition_Type= narrow}', "");
    Error('\p{Dt=	 Nar/a/}');
    Error('\P{Dt=	 Nar/a/}');
    Expect(1, 65518, '\p{Dt=:\ANar\z:}', "");;
    Expect(0, 65519, '\p{Dt=:\ANar\z:}', "");;
    Expect(1, 65518, '\p{Dt=nar}', "");
    Expect(0, 65518, '\p{^Dt=nar}', "");
    Expect(0, 65518, '\P{Dt=nar}', "");
    Expect(1, 65518, '\P{^Dt=nar}', "");
    Expect(0, 65519, '\p{Dt=nar}', "");
    Expect(1, 65519, '\p{^Dt=nar}', "");
    Expect(1, 65519, '\P{Dt=nar}', "");
    Expect(0, 65519, '\P{^Dt=nar}', "");
    Expect(1, 65518, '\p{Dt=:\Anar\z:}', "");;
    Expect(0, 65519, '\p{Dt=:\Anar\z:}', "");;
    Expect(1, 65518, '\p{Dt=_ NAR}', "");
    Expect(0, 65518, '\p{^Dt=_ NAR}', "");
    Expect(0, 65518, '\P{Dt=_ NAR}', "");
    Expect(1, 65518, '\P{^Dt=_ NAR}', "");
    Expect(0, 65519, '\p{Dt=_ NAR}', "");
    Expect(1, 65519, '\p{^Dt=_ NAR}', "");
    Expect(1, 65519, '\P{Dt=_ NAR}', "");
    Expect(0, 65519, '\P{^Dt=_ NAR}', "");
    Error('\p{Is_Decomposition_Type= Narrow:=}');
    Error('\P{Is_Decomposition_Type= Narrow:=}');
    Expect(1, 65518, '\p{Is_Decomposition_Type: narrow}', "");
    Expect(0, 65518, '\p{^Is_Decomposition_Type: narrow}', "");
    Expect(0, 65518, '\P{Is_Decomposition_Type: narrow}', "");
    Expect(1, 65518, '\P{^Is_Decomposition_Type: narrow}', "");
    Expect(0, 65519, '\p{Is_Decomposition_Type: narrow}', "");
    Expect(1, 65519, '\p{^Is_Decomposition_Type: narrow}', "");
    Expect(1, 65519, '\P{Is_Decomposition_Type: narrow}', "");
    Expect(0, 65519, '\P{^Is_Decomposition_Type: narrow}', "");
    Expect(1, 65518, '\p{Is_Decomposition_Type=__Narrow}', "");
    Expect(0, 65518, '\p{^Is_Decomposition_Type=__Narrow}', "");
    Expect(0, 65518, '\P{Is_Decomposition_Type=__Narrow}', "");
    Expect(1, 65518, '\P{^Is_Decomposition_Type=__Narrow}', "");
    Expect(0, 65519, '\p{Is_Decomposition_Type=__Narrow}', "");
    Expect(1, 65519, '\p{^Is_Decomposition_Type=__Narrow}', "");
    Expect(1, 65519, '\P{Is_Decomposition_Type=__Narrow}', "");
    Expect(0, 65519, '\P{^Is_Decomposition_Type=__Narrow}', "");
    Error('\p{Is_Dt=:=  Nar}');
    Error('\P{Is_Dt=:=  Nar}');
    Expect(1, 65518, '\p{Is_Dt=nar}', "");
    Expect(0, 65518, '\p{^Is_Dt=nar}', "");
    Expect(0, 65518, '\P{Is_Dt=nar}', "");
    Expect(1, 65518, '\P{^Is_Dt=nar}', "");
    Expect(0, 65519, '\p{Is_Dt=nar}', "");
    Expect(1, 65519, '\p{^Is_Dt=nar}', "");
    Expect(1, 65519, '\P{Is_Dt=nar}', "");
    Expect(0, 65519, '\P{^Is_Dt=nar}', "");
    Expect(1, 65518, '\p{Is_Dt=Nar}', "");
    Expect(0, 65518, '\p{^Is_Dt=Nar}', "");
    Expect(0, 65518, '\P{Is_Dt=Nar}', "");
    Expect(1, 65518, '\P{^Is_Dt=Nar}', "");
    Expect(0, 65519, '\p{Is_Dt=Nar}', "");
    Expect(1, 65519, '\p{^Is_Dt=Nar}', "");
    Expect(1, 65519, '\P{Is_Dt=Nar}', "");
    Expect(0, 65519, '\P{^Is_Dt=Nar}', "");
    Error('\p{Decomposition_Type:	:=nobreak}');
    Error('\P{Decomposition_Type:	:=nobreak}');
    Expect(1, 8239, '\p{Decomposition_Type=:\ANobreak\z:}', "");;
    Expect(0, 8240, '\p{Decomposition_Type=:\ANobreak\z:}', "");;
    Expect(1, 8239, '\p{Decomposition_Type=nobreak}', "");
    Expect(0, 8239, '\p{^Decomposition_Type=nobreak}', "");
    Expect(0, 8239, '\P{Decomposition_Type=nobreak}', "");
    Expect(1, 8239, '\P{^Decomposition_Type=nobreak}', "");
    Expect(0, 8240, '\p{Decomposition_Type=nobreak}', "");
    Expect(1, 8240, '\p{^Decomposition_Type=nobreak}', "");
    Expect(1, 8240, '\P{Decomposition_Type=nobreak}', "");
    Expect(0, 8240, '\P{^Decomposition_Type=nobreak}', "");
    Expect(1, 8239, '\p{Decomposition_Type=:\Anobreak\z:}', "");;
    Expect(0, 8240, '\p{Decomposition_Type=:\Anobreak\z:}', "");;
    Expect(1, 8239, '\p{Decomposition_Type=_Nobreak}', "");
    Expect(0, 8239, '\p{^Decomposition_Type=_Nobreak}', "");
    Expect(0, 8239, '\P{Decomposition_Type=_Nobreak}', "");
    Expect(1, 8239, '\P{^Decomposition_Type=_Nobreak}', "");
    Expect(0, 8240, '\p{Decomposition_Type=_Nobreak}', "");
    Expect(1, 8240, '\p{^Decomposition_Type=_Nobreak}', "");
    Expect(1, 8240, '\P{Decomposition_Type=_Nobreak}', "");
    Expect(0, 8240, '\P{^Decomposition_Type=_Nobreak}', "");
    Error('\p{Dt=	_Nb/a/}');
    Error('\P{Dt=	_Nb/a/}');
    Expect(1, 8239, '\p{Dt=:\ANb\z:}', "");;
    Expect(0, 8240, '\p{Dt=:\ANb\z:}', "");;
    Expect(1, 8239, '\p{Dt=nb}', "");
    Expect(0, 8239, '\p{^Dt=nb}', "");
    Expect(0, 8239, '\P{Dt=nb}', "");
    Expect(1, 8239, '\P{^Dt=nb}', "");
    Expect(0, 8240, '\p{Dt=nb}', "");
    Expect(1, 8240, '\p{^Dt=nb}', "");
    Expect(1, 8240, '\P{Dt=nb}', "");
    Expect(0, 8240, '\P{^Dt=nb}', "");
    Expect(1, 8239, '\p{Dt=:\Anb\z:}', "");;
    Expect(0, 8240, '\p{Dt=:\Anb\z:}', "");;
    Expect(1, 8239, '\p{Dt= NB}', "");
    Expect(0, 8239, '\p{^Dt= NB}', "");
    Expect(0, 8239, '\P{Dt= NB}', "");
    Expect(1, 8239, '\P{^Dt= NB}', "");
    Expect(0, 8240, '\p{Dt= NB}', "");
    Expect(1, 8240, '\p{^Dt= NB}', "");
    Expect(1, 8240, '\P{Dt= NB}', "");
    Expect(0, 8240, '\P{^Dt= NB}', "");
    Error('\p{Is_Decomposition_Type:   /a/		Nobreak}');
    Error('\P{Is_Decomposition_Type:   /a/		Nobreak}');
    Expect(1, 8239, '\p{Is_Decomposition_Type=nobreak}', "");
    Expect(0, 8239, '\p{^Is_Decomposition_Type=nobreak}', "");
    Expect(0, 8239, '\P{Is_Decomposition_Type=nobreak}', "");
    Expect(1, 8239, '\P{^Is_Decomposition_Type=nobreak}', "");
    Expect(0, 8240, '\p{Is_Decomposition_Type=nobreak}', "");
    Expect(1, 8240, '\p{^Is_Decomposition_Type=nobreak}', "");
    Expect(1, 8240, '\P{Is_Decomposition_Type=nobreak}', "");
    Expect(0, 8240, '\P{^Is_Decomposition_Type=nobreak}', "");
    Expect(1, 8239, '\p{Is_Decomposition_Type= _NOBREAK}', "");
    Expect(0, 8239, '\p{^Is_Decomposition_Type= _NOBREAK}', "");
    Expect(0, 8239, '\P{Is_Decomposition_Type= _NOBREAK}', "");
    Expect(1, 8239, '\P{^Is_Decomposition_Type= _NOBREAK}', "");
    Expect(0, 8240, '\p{Is_Decomposition_Type= _NOBREAK}', "");
    Expect(1, 8240, '\p{^Is_Decomposition_Type= _NOBREAK}', "");
    Expect(1, 8240, '\P{Is_Decomposition_Type= _NOBREAK}', "");
    Expect(0, 8240, '\P{^Is_Decomposition_Type= _NOBREAK}', "");
    Error('\p{Is_Dt=	_NB:=}');
    Error('\P{Is_Dt=	_NB:=}');
    Expect(1, 8239, '\p{Is_Dt:	nb}', "");
    Expect(0, 8239, '\p{^Is_Dt:	nb}', "");
    Expect(0, 8239, '\P{Is_Dt:	nb}', "");
    Expect(1, 8239, '\P{^Is_Dt:	nb}', "");
    Expect(0, 8240, '\p{Is_Dt:	nb}', "");
    Expect(1, 8240, '\p{^Is_Dt:	nb}', "");
    Expect(1, 8240, '\P{Is_Dt:	nb}', "");
    Expect(0, 8240, '\P{^Is_Dt:	nb}', "");
    Expect(1, 8239, '\p{Is_Dt= 	NB}', "");
    Expect(0, 8239, '\p{^Is_Dt= 	NB}', "");
    Expect(0, 8239, '\P{Is_Dt= 	NB}', "");
    Expect(1, 8239, '\P{^Is_Dt= 	NB}', "");
    Expect(0, 8240, '\p{Is_Dt= 	NB}', "");
    Expect(1, 8240, '\p{^Is_Dt= 	NB}', "");
    Expect(1, 8240, '\P{Is_Dt= 	NB}', "");
    Expect(0, 8240, '\P{^Is_Dt= 	NB}', "");
    Error('\p{Decomposition_Type=/a/- non_canonical}');
    Error('\P{Decomposition_Type=/a/- non_canonical}');
    Expect(1, 130041, '\p{Decomposition_Type=:\ANon_Canonical\z:}', "");;
    Expect(0, 130042, '\p{Decomposition_Type=:\ANon_Canonical\z:}', "");;
    Expect(1, 130041, '\p{Decomposition_Type=noncanonical}', "");
    Expect(0, 130041, '\p{^Decomposition_Type=noncanonical}', "");
    Expect(0, 130041, '\P{Decomposition_Type=noncanonical}', "");
    Expect(1, 130041, '\P{^Decomposition_Type=noncanonical}', "");
    Expect(0, 130042, '\p{Decomposition_Type=noncanonical}', "");
    Expect(1, 130042, '\p{^Decomposition_Type=noncanonical}', "");
    Expect(1, 130042, '\P{Decomposition_Type=noncanonical}', "");
    Expect(0, 130042, '\P{^Decomposition_Type=noncanonical}', "");
    Expect(1, 130041, '\p{Decomposition_Type=:\Anoncanonical\z:}', "");;
    Expect(0, 130042, '\p{Decomposition_Type=:\Anoncanonical\z:}', "");;
    Expect(1, 130041, '\p{Decomposition_Type=	non_canonical}', "");
    Expect(0, 130041, '\p{^Decomposition_Type=	non_canonical}', "");
    Expect(0, 130041, '\P{Decomposition_Type=	non_canonical}', "");
    Expect(1, 130041, '\P{^Decomposition_Type=	non_canonical}', "");
    Expect(0, 130042, '\p{Decomposition_Type=	non_canonical}', "");
    Expect(1, 130042, '\p{^Decomposition_Type=	non_canonical}', "");
    Expect(1, 130042, '\P{Decomposition_Type=	non_canonical}', "");
    Expect(0, 130042, '\P{^Decomposition_Type=	non_canonical}', "");
    Error('\p{Dt=:=	 NON_Canon}');
    Error('\P{Dt=:=	 NON_Canon}');
    Expect(1, 130041, '\p{Dt=:\ANon_Canon\z:}', "");;
    Expect(0, 130042, '\p{Dt=:\ANon_Canon\z:}', "");;
    Expect(1, 130041, '\p{Dt=noncanon}', "");
    Expect(0, 130041, '\p{^Dt=noncanon}', "");
    Expect(0, 130041, '\P{Dt=noncanon}', "");
    Expect(1, 130041, '\P{^Dt=noncanon}', "");
    Expect(0, 130042, '\p{Dt=noncanon}', "");
    Expect(1, 130042, '\p{^Dt=noncanon}', "");
    Expect(1, 130042, '\P{Dt=noncanon}', "");
    Expect(0, 130042, '\P{^Dt=noncanon}', "");
    Expect(1, 130041, '\p{Dt=:\Anoncanon\z:}', "");;
    Expect(0, 130042, '\p{Dt=:\Anoncanon\z:}', "");;
    Expect(1, 130041, '\p{Dt: _Non_Canon}', "");
    Expect(0, 130041, '\p{^Dt: _Non_Canon}', "");
    Expect(0, 130041, '\P{Dt: _Non_Canon}', "");
    Expect(1, 130041, '\P{^Dt: _Non_Canon}', "");
    Expect(0, 130042, '\p{Dt: _Non_Canon}', "");
    Expect(1, 130042, '\p{^Dt: _Non_Canon}', "");
    Expect(1, 130042, '\P{Dt: _Non_Canon}', "");
    Expect(0, 130042, '\P{^Dt: _Non_Canon}', "");
    Error('\p{Is_Decomposition_Type=- NON_Canonical/a/}');
    Error('\P{Is_Decomposition_Type=- NON_Canonical/a/}');
    Expect(1, 130041, '\p{Is_Decomposition_Type=noncanonical}', "");
    Expect(0, 130041, '\p{^Is_Decomposition_Type=noncanonical}', "");
    Expect(0, 130041, '\P{Is_Decomposition_Type=noncanonical}', "");
    Expect(1, 130041, '\P{^Is_Decomposition_Type=noncanonical}', "");
    Expect(0, 130042, '\p{Is_Decomposition_Type=noncanonical}', "");
    Expect(1, 130042, '\p{^Is_Decomposition_Type=noncanonical}', "");
    Expect(1, 130042, '\P{Is_Decomposition_Type=noncanonical}', "");
    Expect(0, 130042, '\P{^Is_Decomposition_Type=noncanonical}', "");
    Expect(1, 130041, '\p{Is_Decomposition_Type=_ Non_Canonical}', "");
    Expect(0, 130041, '\p{^Is_Decomposition_Type=_ Non_Canonical}', "");
    Expect(0, 130041, '\P{Is_Decomposition_Type=_ Non_Canonical}', "");
    Expect(1, 130041, '\P{^Is_Decomposition_Type=_ Non_Canonical}', "");
    Expect(0, 130042, '\p{Is_Decomposition_Type=_ Non_Canonical}', "");
    Expect(1, 130042, '\p{^Is_Decomposition_Type=_ Non_Canonical}', "");
    Expect(1, 130042, '\P{Is_Decomposition_Type=_ Non_Canonical}', "");
    Expect(0, 130042, '\P{^Is_Decomposition_Type=_ Non_Canonical}', "");
    Error('\p{Is_Dt=	:=NON_canon}');
    Error('\P{Is_Dt=	:=NON_canon}');
    Expect(1, 130041, '\p{Is_Dt=noncanon}', "");
    Expect(0, 130041, '\p{^Is_Dt=noncanon}', "");
    Expect(0, 130041, '\P{Is_Dt=noncanon}', "");
    Expect(1, 130041, '\P{^Is_Dt=noncanon}', "");
    Expect(0, 130042, '\p{Is_Dt=noncanon}', "");
    Expect(1, 130042, '\p{^Is_Dt=noncanon}', "");
    Expect(1, 130042, '\P{Is_Dt=noncanon}', "");
    Expect(0, 130042, '\P{^Is_Dt=noncanon}', "");
    Expect(1, 130041, '\p{Is_Dt=	Non_canon}', "");
    Expect(0, 130041, '\p{^Is_Dt=	Non_canon}', "");
    Expect(0, 130041, '\P{Is_Dt=	Non_canon}', "");
    Expect(1, 130041, '\P{^Is_Dt=	Non_canon}', "");
    Expect(0, 130042, '\p{Is_Dt=	Non_canon}', "");
    Expect(1, 130042, '\p{^Is_Dt=	Non_canon}', "");
    Expect(1, 130042, '\P{Is_Dt=	Non_canon}', "");
    Expect(0, 130042, '\P{^Is_Dt=	Non_canon}', "");
    Error('\p{Decomposition_Type=-_None:=}');
    Error('\P{Decomposition_Type=-_None:=}');
    Expect(1, 195102, '\p{Decomposition_Type=:\ANone\z:}', "");;
    Expect(0, 195101, '\p{Decomposition_Type=:\ANone\z:}', "");;
    Expect(1, 195102, '\p{Decomposition_Type:none}', "");
    Expect(0, 195102, '\p{^Decomposition_Type:none}', "");
    Expect(0, 195102, '\P{Decomposition_Type:none}', "");
    Expect(1, 195102, '\P{^Decomposition_Type:none}', "");
    Expect(0, 195101, '\p{Decomposition_Type:none}', "");
    Expect(1, 195101, '\p{^Decomposition_Type:none}', "");
    Expect(1, 195101, '\P{Decomposition_Type:none}', "");
    Expect(0, 195101, '\P{^Decomposition_Type:none}', "");
    Expect(1, 195102, '\p{Decomposition_Type=:\Anone\z:}', "");;
    Expect(0, 195101, '\p{Decomposition_Type=:\Anone\z:}', "");;
    Expect(1, 195102, '\p{Decomposition_Type=_ NONE}', "");
    Expect(0, 195102, '\p{^Decomposition_Type=_ NONE}', "");
    Expect(0, 195102, '\P{Decomposition_Type=_ NONE}', "");
    Expect(1, 195102, '\P{^Decomposition_Type=_ NONE}', "");
    Expect(0, 195101, '\p{Decomposition_Type=_ NONE}', "");
    Expect(1, 195101, '\p{^Decomposition_Type=_ NONE}', "");
    Expect(1, 195101, '\P{Decomposition_Type=_ NONE}', "");
    Expect(0, 195101, '\P{^Decomposition_Type=_ NONE}', "");
    Error('\p{Dt=:=__None}');
    Error('\P{Dt=:=__None}');
    Expect(1, 195102, '\p{Dt=:\ANone\z:}', "");;
    Expect(0, 195101, '\p{Dt=:\ANone\z:}', "");;
    Expect(1, 195102, '\p{Dt=none}', "");
    Expect(0, 195102, '\p{^Dt=none}', "");
    Expect(0, 195102, '\P{Dt=none}', "");
    Expect(1, 195102, '\P{^Dt=none}', "");
    Expect(0, 195101, '\p{Dt=none}', "");
    Expect(1, 195101, '\p{^Dt=none}', "");
    Expect(1, 195101, '\P{Dt=none}', "");
    Expect(0, 195101, '\P{^Dt=none}', "");
    Expect(1, 195102, '\p{Dt=:\Anone\z:}', "");;
    Expect(0, 195101, '\p{Dt=:\Anone\z:}', "");;
    Expect(1, 195102, '\p{Dt= NONE}', "");
    Expect(0, 195102, '\p{^Dt= NONE}', "");
    Expect(0, 195102, '\P{Dt= NONE}', "");
    Expect(1, 195102, '\P{^Dt= NONE}', "");
    Expect(0, 195101, '\p{Dt= NONE}', "");
    Expect(1, 195101, '\p{^Dt= NONE}', "");
    Expect(1, 195101, '\P{Dt= NONE}', "");
    Expect(0, 195101, '\P{^Dt= NONE}', "");
    Error('\p{Is_Decomposition_Type=_ none/a/}');
    Error('\P{Is_Decomposition_Type=_ none/a/}');
    Expect(1, 195102, '\p{Is_Decomposition_Type=none}', "");
    Expect(0, 195102, '\p{^Is_Decomposition_Type=none}', "");
    Expect(0, 195102, '\P{Is_Decomposition_Type=none}', "");
    Expect(1, 195102, '\P{^Is_Decomposition_Type=none}', "");
    Expect(0, 195101, '\p{Is_Decomposition_Type=none}', "");
    Expect(1, 195101, '\p{^Is_Decomposition_Type=none}', "");
    Expect(1, 195101, '\P{Is_Decomposition_Type=none}', "");
    Expect(0, 195101, '\P{^Is_Decomposition_Type=none}', "");
    Expect(1, 195102, '\p{Is_Decomposition_Type=--none}', "");
    Expect(0, 195102, '\p{^Is_Decomposition_Type=--none}', "");
    Expect(0, 195102, '\P{Is_Decomposition_Type=--none}', "");
    Expect(1, 195102, '\P{^Is_Decomposition_Type=--none}', "");
    Expect(0, 195101, '\p{Is_Decomposition_Type=--none}', "");
    Expect(1, 195101, '\p{^Is_Decomposition_Type=--none}', "");
    Expect(1, 195101, '\P{Is_Decomposition_Type=--none}', "");
    Expect(0, 195101, '\P{^Is_Decomposition_Type=--none}', "");
    Error('\p{Is_Dt=/a/-NONE}');
    Error('\P{Is_Dt=/a/-NONE}');
    Expect(1, 195102, '\p{Is_Dt=none}', "");
    Expect(0, 195102, '\p{^Is_Dt=none}', "");
    Expect(0, 195102, '\P{Is_Dt=none}', "");
    Expect(1, 195102, '\P{^Is_Dt=none}', "");
    Expect(0, 195101, '\p{Is_Dt=none}', "");
    Expect(1, 195101, '\p{^Is_Dt=none}', "");
    Expect(1, 195101, '\P{Is_Dt=none}', "");
    Expect(0, 195101, '\P{^Is_Dt=none}', "");
    Expect(1, 195102, '\p{Is_Dt: NONE}', "");
    Expect(0, 195102, '\p{^Is_Dt: NONE}', "");
    Expect(0, 195102, '\P{Is_Dt: NONE}', "");
    Expect(1, 195102, '\P{^Is_Dt: NONE}', "");
    Expect(0, 195101, '\p{Is_Dt: NONE}', "");
    Expect(1, 195101, '\p{^Is_Dt: NONE}', "");
    Expect(1, 195101, '\P{Is_Dt: NONE}', "");
    Expect(0, 195101, '\P{^Is_Dt: NONE}', "");
    Error('\p{Decomposition_Type=:= _Small}');
    Error('\P{Decomposition_Type=:= _Small}');
    Expect(1, 65131, '\p{Decomposition_Type=:\ASmall\z:}', "");;
    Expect(0, 65132, '\p{Decomposition_Type=:\ASmall\z:}', "");;
    Expect(1, 65131, '\p{Decomposition_Type=small}', "");
    Expect(0, 65131, '\p{^Decomposition_Type=small}', "");
    Expect(0, 65131, '\P{Decomposition_Type=small}', "");
    Expect(1, 65131, '\P{^Decomposition_Type=small}', "");
    Expect(0, 65132, '\p{Decomposition_Type=small}', "");
    Expect(1, 65132, '\p{^Decomposition_Type=small}', "");
    Expect(1, 65132, '\P{Decomposition_Type=small}', "");
    Expect(0, 65132, '\P{^Decomposition_Type=small}', "");
    Expect(1, 65131, '\p{Decomposition_Type=:\Asmall\z:}', "");;
    Expect(0, 65132, '\p{Decomposition_Type=:\Asmall\z:}', "");;
    Expect(1, 65131, '\p{Decomposition_Type=	-Small}', "");
    Expect(0, 65131, '\p{^Decomposition_Type=	-Small}', "");
    Expect(0, 65131, '\P{Decomposition_Type=	-Small}', "");
    Expect(1, 65131, '\P{^Decomposition_Type=	-Small}', "");
    Expect(0, 65132, '\p{Decomposition_Type=	-Small}', "");
    Expect(1, 65132, '\p{^Decomposition_Type=	-Small}', "");
    Expect(1, 65132, '\P{Decomposition_Type=	-Small}', "");
    Expect(0, 65132, '\P{^Decomposition_Type=	-Small}', "");
    Error('\p{Dt=_/a/sml}');
    Error('\P{Dt=_/a/sml}');
    Expect(1, 65131, '\p{Dt=:\ASml\z:}', "");;
    Expect(0, 65132, '\p{Dt=:\ASml\z:}', "");;
    Expect(1, 65131, '\p{Dt=sml}', "");
    Expect(0, 65131, '\p{^Dt=sml}', "");
    Expect(0, 65131, '\P{Dt=sml}', "");
    Expect(1, 65131, '\P{^Dt=sml}', "");
    Expect(0, 65132, '\p{Dt=sml}', "");
    Expect(1, 65132, '\p{^Dt=sml}', "");
    Expect(1, 65132, '\P{Dt=sml}', "");
    Expect(0, 65132, '\P{^Dt=sml}', "");
    Expect(1, 65131, '\p{Dt=:\Asml\z:}', "");;
    Expect(0, 65132, '\p{Dt=:\Asml\z:}', "");;
    Expect(1, 65131, '\p{Dt=	 Sml}', "");
    Expect(0, 65131, '\p{^Dt=	 Sml}', "");
    Expect(0, 65131, '\P{Dt=	 Sml}', "");
    Expect(1, 65131, '\P{^Dt=	 Sml}', "");
    Expect(0, 65132, '\p{Dt=	 Sml}', "");
    Expect(1, 65132, '\p{^Dt=	 Sml}', "");
    Expect(1, 65132, '\P{Dt=	 Sml}', "");
    Expect(0, 65132, '\P{^Dt=	 Sml}', "");
    Error('\p{Is_Decomposition_Type=	small:=}');
    Error('\P{Is_Decomposition_Type=	small:=}');
    Expect(1, 65131, '\p{Is_Decomposition_Type=small}', "");
    Expect(0, 65131, '\p{^Is_Decomposition_Type=small}', "");
    Expect(0, 65131, '\P{Is_Decomposition_Type=small}', "");
    Expect(1, 65131, '\P{^Is_Decomposition_Type=small}', "");
    Expect(0, 65132, '\p{Is_Decomposition_Type=small}', "");
    Expect(1, 65132, '\p{^Is_Decomposition_Type=small}', "");
    Expect(1, 65132, '\P{Is_Decomposition_Type=small}', "");
    Expect(0, 65132, '\P{^Is_Decomposition_Type=small}', "");
    Expect(1, 65131, '\p{Is_Decomposition_Type:    -Small}', "");
    Expect(0, 65131, '\p{^Is_Decomposition_Type:    -Small}', "");
    Expect(0, 65131, '\P{Is_Decomposition_Type:    -Small}', "");
    Expect(1, 65131, '\P{^Is_Decomposition_Type:    -Small}', "");
    Expect(0, 65132, '\p{Is_Decomposition_Type:    -Small}', "");
    Expect(1, 65132, '\p{^Is_Decomposition_Type:    -Small}', "");
    Expect(1, 65132, '\P{Is_Decomposition_Type:    -Small}', "");
    Expect(0, 65132, '\P{^Is_Decomposition_Type:    -Small}', "");
    Error('\p{Is_Dt= _sml:=}');
    Error('\P{Is_Dt= _sml:=}');
    Expect(1, 65131, '\p{Is_Dt=sml}', "");
    Expect(0, 65131, '\p{^Is_Dt=sml}', "");
    Expect(0, 65131, '\P{Is_Dt=sml}', "");
    Expect(1, 65131, '\P{^Is_Dt=sml}', "");
    Expect(0, 65132, '\p{Is_Dt=sml}', "");
    Expect(1, 65132, '\p{^Is_Dt=sml}', "");
    Expect(1, 65132, '\P{Is_Dt=sml}', "");
    Expect(0, 65132, '\P{^Is_Dt=sml}', "");
    Expect(1, 65131, '\p{Is_Dt=_Sml}', "");
    Expect(0, 65131, '\p{^Is_Dt=_Sml}', "");
    Expect(0, 65131, '\P{Is_Dt=_Sml}', "");
    Expect(1, 65131, '\P{^Is_Dt=_Sml}', "");
    Expect(0, 65132, '\p{Is_Dt=_Sml}', "");
    Expect(1, 65132, '\p{^Is_Dt=_Sml}', "");
    Expect(1, 65132, '\P{Is_Dt=_Sml}', "");
    Expect(0, 65132, '\P{^Is_Dt=_Sml}', "");
    Error('\p{Decomposition_Type=-:=Square}');
    Error('\P{Decomposition_Type=-:=Square}');
    Expect(1, 127547, '\p{Decomposition_Type=:\ASquare\z:}', "");;
    Expect(0, 127548, '\p{Decomposition_Type=:\ASquare\z:}', "");;
    Expect(1, 127547, '\p{Decomposition_Type=square}', "");
    Expect(0, 127547, '\p{^Decomposition_Type=square}', "");
    Expect(0, 127547, '\P{Decomposition_Type=square}', "");
    Expect(1, 127547, '\P{^Decomposition_Type=square}', "");
    Expect(0, 127548, '\p{Decomposition_Type=square}', "");
    Expect(1, 127548, '\p{^Decomposition_Type=square}', "");
    Expect(1, 127548, '\P{Decomposition_Type=square}', "");
    Expect(0, 127548, '\P{^Decomposition_Type=square}', "");
    Expect(1, 127547, '\p{Decomposition_Type=:\Asquare\z:}', "");;
    Expect(0, 127548, '\p{Decomposition_Type=:\Asquare\z:}', "");;
    Expect(1, 127547, '\p{Decomposition_Type=_ Square}', "");
    Expect(0, 127547, '\p{^Decomposition_Type=_ Square}', "");
    Expect(0, 127547, '\P{Decomposition_Type=_ Square}', "");
    Expect(1, 127547, '\P{^Decomposition_Type=_ Square}', "");
    Expect(0, 127548, '\p{Decomposition_Type=_ Square}', "");
    Expect(1, 127548, '\p{^Decomposition_Type=_ Square}', "");
    Expect(1, 127548, '\P{Decomposition_Type=_ Square}', "");
    Expect(0, 127548, '\P{^Decomposition_Type=_ Square}', "");
    Error('\p{Dt=/a/-_sqr}');
    Error('\P{Dt=/a/-_sqr}');
    Expect(1, 127547, '\p{Dt=:\ASqr\z:}', "");;
    Expect(0, 127548, '\p{Dt=:\ASqr\z:}', "");;
    Expect(1, 127547, '\p{Dt=sqr}', "");
    Expect(0, 127547, '\p{^Dt=sqr}', "");
    Expect(0, 127547, '\P{Dt=sqr}', "");
    Expect(1, 127547, '\P{^Dt=sqr}', "");
    Expect(0, 127548, '\p{Dt=sqr}', "");
    Expect(1, 127548, '\p{^Dt=sqr}', "");
    Expect(1, 127548, '\P{Dt=sqr}', "");
    Expect(0, 127548, '\P{^Dt=sqr}', "");
    Expect(1, 127547, '\p{Dt=:\Asqr\z:}', "");;
    Expect(0, 127548, '\p{Dt=:\Asqr\z:}', "");;
    Expect(1, 127547, '\p{Dt= Sqr}', "");
    Expect(0, 127547, '\p{^Dt= Sqr}', "");
    Expect(0, 127547, '\P{Dt= Sqr}', "");
    Expect(1, 127547, '\P{^Dt= Sqr}', "");
    Expect(0, 127548, '\p{Dt= Sqr}', "");
    Expect(1, 127548, '\p{^Dt= Sqr}', "");
    Expect(1, 127548, '\P{Dt= Sqr}', "");
    Expect(0, 127548, '\P{^Dt= Sqr}', "");
    Error('\p{Is_Decomposition_Type=/a/_square}');
    Error('\P{Is_Decomposition_Type=/a/_square}');
    Expect(1, 127547, '\p{Is_Decomposition_Type=square}', "");
    Expect(0, 127547, '\p{^Is_Decomposition_Type=square}', "");
    Expect(0, 127547, '\P{Is_Decomposition_Type=square}', "");
    Expect(1, 127547, '\P{^Is_Decomposition_Type=square}', "");
    Expect(0, 127548, '\p{Is_Decomposition_Type=square}', "");
    Expect(1, 127548, '\p{^Is_Decomposition_Type=square}', "");
    Expect(1, 127548, '\P{Is_Decomposition_Type=square}', "");
    Expect(0, 127548, '\P{^Is_Decomposition_Type=square}', "");
    Expect(1, 127547, '\p{Is_Decomposition_Type=	Square}', "");
    Expect(0, 127547, '\p{^Is_Decomposition_Type=	Square}', "");
    Expect(0, 127547, '\P{Is_Decomposition_Type=	Square}', "");
    Expect(1, 127547, '\P{^Is_Decomposition_Type=	Square}', "");
    Expect(0, 127548, '\p{Is_Decomposition_Type=	Square}', "");
    Expect(1, 127548, '\p{^Is_Decomposition_Type=	Square}', "");
    Expect(1, 127548, '\P{Is_Decomposition_Type=	Square}', "");
    Expect(0, 127548, '\P{^Is_Decomposition_Type=	Square}', "");
    Error('\p{Is_Dt=:=	_Sqr}');
    Error('\P{Is_Dt=:=	_Sqr}');
    Expect(1, 127547, '\p{Is_Dt=sqr}', "");
    Expect(0, 127547, '\p{^Is_Dt=sqr}', "");
    Expect(0, 127547, '\P{Is_Dt=sqr}', "");
    Expect(1, 127547, '\P{^Is_Dt=sqr}', "");
    Expect(0, 127548, '\p{Is_Dt=sqr}', "");
    Expect(1, 127548, '\p{^Is_Dt=sqr}', "");
    Expect(1, 127548, '\P{Is_Dt=sqr}', "");
    Expect(0, 127548, '\P{^Is_Dt=sqr}', "");
    Expect(1, 127547, '\p{Is_Dt:		 sqr}', "");
    Expect(0, 127547, '\p{^Is_Dt:		 sqr}', "");
    Expect(0, 127547, '\P{Is_Dt:		 sqr}', "");
    Expect(1, 127547, '\P{^Is_Dt:		 sqr}', "");
    Expect(0, 127548, '\p{Is_Dt:		 sqr}', "");
    Expect(1, 127548, '\p{^Is_Dt:		 sqr}', "");
    Expect(1, 127548, '\P{Is_Dt:		 sqr}', "");
    Expect(0, 127548, '\P{^Is_Dt:		 sqr}', "");
    Error('\p{Decomposition_Type=/a/	sub}');
    Error('\P{Decomposition_Type=/a/	sub}');
    Expect(1, 11388, '\p{Decomposition_Type=:\ASub\z:}', "");;
    Expect(0, 11389, '\p{Decomposition_Type=:\ASub\z:}', "");;
    Expect(1, 11388, '\p{Decomposition_Type=sub}', "");
    Expect(0, 11388, '\p{^Decomposition_Type=sub}', "");
    Expect(0, 11388, '\P{Decomposition_Type=sub}', "");
    Expect(1, 11388, '\P{^Decomposition_Type=sub}', "");
    Expect(0, 11389, '\p{Decomposition_Type=sub}', "");
    Expect(1, 11389, '\p{^Decomposition_Type=sub}', "");
    Expect(1, 11389, '\P{Decomposition_Type=sub}', "");
    Expect(0, 11389, '\P{^Decomposition_Type=sub}', "");
    Expect(1, 11388, '\p{Decomposition_Type=:\Asub\z:}', "");;
    Expect(0, 11389, '\p{Decomposition_Type=:\Asub\z:}', "");;
    Expect(1, 11388, '\p{Decomposition_Type=_SUB}', "");
    Expect(0, 11388, '\p{^Decomposition_Type=_SUB}', "");
    Expect(0, 11388, '\P{Decomposition_Type=_SUB}', "");
    Expect(1, 11388, '\P{^Decomposition_Type=_SUB}', "");
    Expect(0, 11389, '\p{Decomposition_Type=_SUB}', "");
    Expect(1, 11389, '\p{^Decomposition_Type=_SUB}', "");
    Expect(1, 11389, '\P{Decomposition_Type=_SUB}', "");
    Expect(0, 11389, '\P{^Decomposition_Type=_SUB}', "");
    Error('\p{Dt=/a/ SUB}');
    Error('\P{Dt=/a/ SUB}');
    Expect(1, 11388, '\p{Dt=:\ASub\z:}', "");;
    Expect(0, 11389, '\p{Dt=:\ASub\z:}', "");;
    Expect(1, 11388, '\p{Dt=sub}', "");
    Expect(0, 11388, '\p{^Dt=sub}', "");
    Expect(0, 11388, '\P{Dt=sub}', "");
    Expect(1, 11388, '\P{^Dt=sub}', "");
    Expect(0, 11389, '\p{Dt=sub}', "");
    Expect(1, 11389, '\p{^Dt=sub}', "");
    Expect(1, 11389, '\P{Dt=sub}', "");
    Expect(0, 11389, '\P{^Dt=sub}', "");
    Expect(1, 11388, '\p{Dt=:\Asub\z:}', "");;
    Expect(0, 11389, '\p{Dt=:\Asub\z:}', "");;
    Expect(1, 11388, '\p{Dt=	-SUB}', "");
    Expect(0, 11388, '\p{^Dt=	-SUB}', "");
    Expect(0, 11388, '\P{Dt=	-SUB}', "");
    Expect(1, 11388, '\P{^Dt=	-SUB}', "");
    Expect(0, 11389, '\p{Dt=	-SUB}', "");
    Expect(1, 11389, '\p{^Dt=	-SUB}', "");
    Expect(1, 11389, '\P{Dt=	-SUB}', "");
    Expect(0, 11389, '\P{^Dt=	-SUB}', "");
    Error('\p{Is_Decomposition_Type= Sub:=}');
    Error('\P{Is_Decomposition_Type= Sub:=}');
    Expect(1, 11388, '\p{Is_Decomposition_Type=sub}', "");
    Expect(0, 11388, '\p{^Is_Decomposition_Type=sub}', "");
    Expect(0, 11388, '\P{Is_Decomposition_Type=sub}', "");
    Expect(1, 11388, '\P{^Is_Decomposition_Type=sub}', "");
    Expect(0, 11389, '\p{Is_Decomposition_Type=sub}', "");
    Expect(1, 11389, '\p{^Is_Decomposition_Type=sub}', "");
    Expect(1, 11389, '\P{Is_Decomposition_Type=sub}', "");
    Expect(0, 11389, '\P{^Is_Decomposition_Type=sub}', "");
    Expect(1, 11388, '\p{Is_Decomposition_Type= -Sub}', "");
    Expect(0, 11388, '\p{^Is_Decomposition_Type= -Sub}', "");
    Expect(0, 11388, '\P{Is_Decomposition_Type= -Sub}', "");
    Expect(1, 11388, '\P{^Is_Decomposition_Type= -Sub}', "");
    Expect(0, 11389, '\p{Is_Decomposition_Type= -Sub}', "");
    Expect(1, 11389, '\p{^Is_Decomposition_Type= -Sub}', "");
    Expect(1, 11389, '\P{Is_Decomposition_Type= -Sub}', "");
    Expect(0, 11389, '\P{^Is_Decomposition_Type= -Sub}', "");
    Error('\p{Is_Dt=/a/		Sub}');
    Error('\P{Is_Dt=/a/		Sub}');
    Expect(1, 11388, '\p{Is_Dt=sub}', "");
    Expect(0, 11388, '\p{^Is_Dt=sub}', "");
    Expect(0, 11388, '\P{Is_Dt=sub}', "");
    Expect(1, 11388, '\P{^Is_Dt=sub}', "");
    Expect(0, 11389, '\p{Is_Dt=sub}', "");
    Expect(1, 11389, '\p{^Is_Dt=sub}', "");
    Expect(1, 11389, '\P{Is_Dt=sub}', "");
    Expect(0, 11389, '\P{^Is_Dt=sub}', "");
    Expect(1, 11388, '\p{Is_Dt=--Sub}', "");
    Expect(0, 11388, '\p{^Is_Dt=--Sub}', "");
    Expect(0, 11388, '\P{Is_Dt=--Sub}', "");
    Expect(1, 11388, '\P{^Is_Dt=--Sub}', "");
    Expect(0, 11389, '\p{Is_Dt=--Sub}', "");
    Expect(1, 11389, '\p{^Is_Dt=--Sub}', "");
    Expect(1, 11389, '\P{Is_Dt=--Sub}', "");
    Expect(0, 11389, '\P{^Is_Dt=--Sub}', "");
    Error('\p{Decomposition_Type=/a/  SUPER}');
    Error('\P{Decomposition_Type=/a/  SUPER}');
    Expect(1, 127340, '\p{Decomposition_Type=:\ASuper\z:}', "");;
    Expect(0, 127341, '\p{Decomposition_Type=:\ASuper\z:}', "");;
    Expect(1, 127340, '\p{Decomposition_Type=super}', "");
    Expect(0, 127340, '\p{^Decomposition_Type=super}', "");
    Expect(0, 127340, '\P{Decomposition_Type=super}', "");
    Expect(1, 127340, '\P{^Decomposition_Type=super}', "");
    Expect(0, 127341, '\p{Decomposition_Type=super}', "");
    Expect(1, 127341, '\p{^Decomposition_Type=super}', "");
    Expect(1, 127341, '\P{Decomposition_Type=super}', "");
    Expect(0, 127341, '\P{^Decomposition_Type=super}', "");
    Expect(1, 127340, '\p{Decomposition_Type=:\Asuper\z:}', "");;
    Expect(0, 127341, '\p{Decomposition_Type=:\Asuper\z:}', "");;
    Expect(1, 127340, '\p{Decomposition_Type=	-super}', "");
    Expect(0, 127340, '\p{^Decomposition_Type=	-super}', "");
    Expect(0, 127340, '\P{Decomposition_Type=	-super}', "");
    Expect(1, 127340, '\P{^Decomposition_Type=	-super}', "");
    Expect(0, 127341, '\p{Decomposition_Type=	-super}', "");
    Expect(1, 127341, '\p{^Decomposition_Type=	-super}', "");
    Expect(1, 127341, '\P{Decomposition_Type=	-super}', "");
    Expect(0, 127341, '\P{^Decomposition_Type=	-super}', "");
    Error('\p{Dt=SUP:=}');
    Error('\P{Dt=SUP:=}');
    Expect(1, 127340, '\p{Dt=:\ASup\z:}', "");;
    Expect(0, 127341, '\p{Dt=:\ASup\z:}', "");;
    Expect(1, 127340, '\p{Dt:	sup}', "");
    Expect(0, 127340, '\p{^Dt:	sup}', "");
    Expect(0, 127340, '\P{Dt:	sup}', "");
    Expect(1, 127340, '\P{^Dt:	sup}', "");
    Expect(0, 127341, '\p{Dt:	sup}', "");
    Expect(1, 127341, '\p{^Dt:	sup}', "");
    Expect(1, 127341, '\P{Dt:	sup}', "");
    Expect(0, 127341, '\P{^Dt:	sup}', "");
    Expect(1, 127340, '\p{Dt=:\Asup\z:}', "");;
    Expect(0, 127341, '\p{Dt=:\Asup\z:}', "");;
    Expect(1, 127340, '\p{Dt=	Sup}', "");
    Expect(0, 127340, '\p{^Dt=	Sup}', "");
    Expect(0, 127340, '\P{Dt=	Sup}', "");
    Expect(1, 127340, '\P{^Dt=	Sup}', "");
    Expect(0, 127341, '\p{Dt=	Sup}', "");
    Expect(1, 127341, '\p{^Dt=	Sup}', "");
    Expect(1, 127341, '\P{Dt=	Sup}', "");
    Expect(0, 127341, '\P{^Dt=	Sup}', "");
    Error('\p{Is_Decomposition_Type=/a/_super}');
    Error('\P{Is_Decomposition_Type=/a/_super}');
    Expect(1, 127340, '\p{Is_Decomposition_Type=super}', "");
    Expect(0, 127340, '\p{^Is_Decomposition_Type=super}', "");
    Expect(0, 127340, '\P{Is_Decomposition_Type=super}', "");
    Expect(1, 127340, '\P{^Is_Decomposition_Type=super}', "");
    Expect(0, 127341, '\p{Is_Decomposition_Type=super}', "");
    Expect(1, 127341, '\p{^Is_Decomposition_Type=super}', "");
    Expect(1, 127341, '\P{Is_Decomposition_Type=super}', "");
    Expect(0, 127341, '\P{^Is_Decomposition_Type=super}', "");
    Expect(1, 127340, '\p{Is_Decomposition_Type=--Super}', "");
    Expect(0, 127340, '\p{^Is_Decomposition_Type=--Super}', "");
    Expect(0, 127340, '\P{Is_Decomposition_Type=--Super}', "");
    Expect(1, 127340, '\P{^Is_Decomposition_Type=--Super}', "");
    Expect(0, 127341, '\p{Is_Decomposition_Type=--Super}', "");
    Expect(1, 127341, '\p{^Is_Decomposition_Type=--Super}', "");
    Expect(1, 127341, '\P{Is_Decomposition_Type=--Super}', "");
    Expect(0, 127341, '\P{^Is_Decomposition_Type=--Super}', "");
    Error('\p{Is_Dt:   	-Sup:=}');
    Error('\P{Is_Dt:   	-Sup:=}');
    Expect(1, 127340, '\p{Is_Dt=sup}', "");
    Expect(0, 127340, '\p{^Is_Dt=sup}', "");
    Expect(0, 127340, '\P{Is_Dt=sup}', "");
    Expect(1, 127340, '\P{^Is_Dt=sup}', "");
    Expect(0, 127341, '\p{Is_Dt=sup}', "");
    Expect(1, 127341, '\p{^Is_Dt=sup}', "");
    Expect(1, 127341, '\P{Is_Dt=sup}', "");
    Expect(0, 127341, '\P{^Is_Dt=sup}', "");
    Expect(1, 127340, '\p{Is_Dt= sup}', "");
    Expect(0, 127340, '\p{^Is_Dt= sup}', "");
    Expect(0, 127340, '\P{Is_Dt= sup}', "");
    Expect(1, 127340, '\P{^Is_Dt= sup}', "");
    Expect(0, 127341, '\p{Is_Dt= sup}', "");
    Expect(1, 127341, '\p{^Is_Dt= sup}', "");
    Expect(1, 127341, '\P{Is_Dt= sup}', "");
    Expect(0, 127341, '\P{^Is_Dt= sup}', "");
    Error('\p{Decomposition_Type:   -:=vertical}');
    Error('\P{Decomposition_Type:   -:=vertical}');
    Expect(1, 65096, '\p{Decomposition_Type=:\AVertical\z:}', "");;
    Expect(0, 65097, '\p{Decomposition_Type=:\AVertical\z:}', "");;
    Expect(1, 65096, '\p{Decomposition_Type=vertical}', "");
    Expect(0, 65096, '\p{^Decomposition_Type=vertical}', "");
    Expect(0, 65096, '\P{Decomposition_Type=vertical}', "");
    Expect(1, 65096, '\P{^Decomposition_Type=vertical}', "");
    Expect(0, 65097, '\p{Decomposition_Type=vertical}', "");
    Expect(1, 65097, '\p{^Decomposition_Type=vertical}', "");
    Expect(1, 65097, '\P{Decomposition_Type=vertical}', "");
    Expect(0, 65097, '\P{^Decomposition_Type=vertical}', "");
    Expect(1, 65096, '\p{Decomposition_Type=:\Avertical\z:}', "");;
    Expect(0, 65097, '\p{Decomposition_Type=:\Avertical\z:}', "");;
    Expect(1, 65096, '\p{Decomposition_Type=_VERTICAL}', "");
    Expect(0, 65096, '\p{^Decomposition_Type=_VERTICAL}', "");
    Expect(0, 65096, '\P{Decomposition_Type=_VERTICAL}', "");
    Expect(1, 65096, '\P{^Decomposition_Type=_VERTICAL}', "");
    Expect(0, 65097, '\p{Decomposition_Type=_VERTICAL}', "");
    Expect(1, 65097, '\p{^Decomposition_Type=_VERTICAL}', "");
    Expect(1, 65097, '\P{Decomposition_Type=_VERTICAL}', "");
    Expect(0, 65097, '\P{^Decomposition_Type=_VERTICAL}', "");
    Error('\p{Dt= :=Vert}');
    Error('\P{Dt= :=Vert}');
    Expect(1, 65096, '\p{Dt=:\AVert\z:}', "");;
    Expect(0, 65097, '\p{Dt=:\AVert\z:}', "");;
    Expect(1, 65096, '\p{Dt=vert}', "");
    Expect(0, 65096, '\p{^Dt=vert}', "");
    Expect(0, 65096, '\P{Dt=vert}', "");
    Expect(1, 65096, '\P{^Dt=vert}', "");
    Expect(0, 65097, '\p{Dt=vert}', "");
    Expect(1, 65097, '\p{^Dt=vert}', "");
    Expect(1, 65097, '\P{Dt=vert}', "");
    Expect(0, 65097, '\P{^Dt=vert}', "");
    Expect(1, 65096, '\p{Dt=:\Avert\z:}', "");;
    Expect(0, 65097, '\p{Dt=:\Avert\z:}', "");;
    Expect(1, 65096, '\p{Dt=	-Vert}', "");
    Expect(0, 65096, '\p{^Dt=	-Vert}', "");
    Expect(0, 65096, '\P{Dt=	-Vert}', "");
    Expect(1, 65096, '\P{^Dt=	-Vert}', "");
    Expect(0, 65097, '\p{Dt=	-Vert}', "");
    Expect(1, 65097, '\p{^Dt=	-Vert}', "");
    Expect(1, 65097, '\P{Dt=	-Vert}', "");
    Expect(0, 65097, '\P{^Dt=	-Vert}', "");
    Error('\p{Is_Decomposition_Type=/a/_ vertical}');
    Error('\P{Is_Decomposition_Type=/a/_ vertical}');
    Expect(1, 65096, '\p{Is_Decomposition_Type=vertical}', "");
    Expect(0, 65096, '\p{^Is_Decomposition_Type=vertical}', "");
    Expect(0, 65096, '\P{Is_Decomposition_Type=vertical}', "");
    Expect(1, 65096, '\P{^Is_Decomposition_Type=vertical}', "");
    Expect(0, 65097, '\p{Is_Decomposition_Type=vertical}', "");
    Expect(1, 65097, '\p{^Is_Decomposition_Type=vertical}', "");
    Expect(1, 65097, '\P{Is_Decomposition_Type=vertical}', "");
    Expect(0, 65097, '\P{^Is_Decomposition_Type=vertical}', "");
    Expect(1, 65096, '\p{Is_Decomposition_Type=_Vertical}', "");
    Expect(0, 65096, '\p{^Is_Decomposition_Type=_Vertical}', "");
    Expect(0, 65096, '\P{Is_Decomposition_Type=_Vertical}', "");
    Expect(1, 65096, '\P{^Is_Decomposition_Type=_Vertical}', "");
    Expect(0, 65097, '\p{Is_Decomposition_Type=_Vertical}', "");
    Expect(1, 65097, '\p{^Is_Decomposition_Type=_Vertical}', "");
    Expect(1, 65097, '\P{Is_Decomposition_Type=_Vertical}', "");
    Expect(0, 65097, '\P{^Is_Decomposition_Type=_Vertical}', "");
    Error('\p{Is_Dt=	/a/vert}');
    Error('\P{Is_Dt=	/a/vert}');
    Expect(1, 65096, '\p{Is_Dt=vert}', "");
    Expect(0, 65096, '\p{^Is_Dt=vert}', "");
    Expect(0, 65096, '\P{Is_Dt=vert}', "");
    Expect(1, 65096, '\P{^Is_Dt=vert}', "");
    Expect(0, 65097, '\p{Is_Dt=vert}', "");
    Expect(1, 65097, '\p{^Is_Dt=vert}', "");
    Expect(1, 65097, '\P{Is_Dt=vert}', "");
    Expect(0, 65097, '\P{^Is_Dt=vert}', "");
    Expect(1, 65096, '\p{Is_Dt=  Vert}', "");
    Expect(0, 65096, '\p{^Is_Dt=  Vert}', "");
    Expect(0, 65096, '\P{Is_Dt=  Vert}', "");
    Expect(1, 65096, '\P{^Is_Dt=  Vert}', "");
    Expect(0, 65097, '\p{Is_Dt=  Vert}', "");
    Expect(1, 65097, '\p{^Is_Dt=  Vert}', "");
    Expect(1, 65097, '\P{Is_Dt=  Vert}', "");
    Expect(0, 65097, '\P{^Is_Dt=  Vert}', "");
    Error('\p{Decomposition_Type=:=__Wide}');
    Error('\P{Decomposition_Type=:=__Wide}');
    Expect(1, 65510, '\p{Decomposition_Type=:\AWide\z:}', "");;
    Expect(0, 65511, '\p{Decomposition_Type=:\AWide\z:}', "");;
    Expect(1, 65510, '\p{Decomposition_Type=wide}', "");
    Expect(0, 65510, '\p{^Decomposition_Type=wide}', "");
    Expect(0, 65510, '\P{Decomposition_Type=wide}', "");
    Expect(1, 65510, '\P{^Decomposition_Type=wide}', "");
    Expect(0, 65511, '\p{Decomposition_Type=wide}', "");
    Expect(1, 65511, '\p{^Decomposition_Type=wide}', "");
    Expect(1, 65511, '\P{Decomposition_Type=wide}', "");
    Expect(0, 65511, '\P{^Decomposition_Type=wide}', "");
    Expect(1, 65510, '\p{Decomposition_Type=:\Awide\z:}', "");;
    Expect(0, 65511, '\p{Decomposition_Type=:\Awide\z:}', "");;
    Expect(1, 65510, '\p{Decomposition_Type:	 Wide}', "");
    Expect(0, 65510, '\p{^Decomposition_Type:	 Wide}', "");
    Expect(0, 65510, '\P{Decomposition_Type:	 Wide}', "");
    Expect(1, 65510, '\P{^Decomposition_Type:	 Wide}', "");
    Expect(0, 65511, '\p{Decomposition_Type:	 Wide}', "");
    Expect(1, 65511, '\p{^Decomposition_Type:	 Wide}', "");
    Expect(1, 65511, '\P{Decomposition_Type:	 Wide}', "");
    Expect(0, 65511, '\P{^Decomposition_Type:	 Wide}', "");
    Error('\p{Dt=/a/-	Wide}');
    Error('\P{Dt=/a/-	Wide}');
    Expect(1, 65510, '\p{Dt=:\AWide\z:}', "");;
    Expect(0, 65511, '\p{Dt=:\AWide\z:}', "");;
    Expect(1, 65510, '\p{Dt=wide}', "");
    Expect(0, 65510, '\p{^Dt=wide}', "");
    Expect(0, 65510, '\P{Dt=wide}', "");
    Expect(1, 65510, '\P{^Dt=wide}', "");
    Expect(0, 65511, '\p{Dt=wide}', "");
    Expect(1, 65511, '\p{^Dt=wide}', "");
    Expect(1, 65511, '\P{Dt=wide}', "");
    Expect(0, 65511, '\P{^Dt=wide}', "");
    Expect(1, 65510, '\p{Dt=:\Awide\z:}', "");;
    Expect(0, 65511, '\p{Dt=:\Awide\z:}', "");;
    Expect(1, 65510, '\p{Dt=	wide}', "");
    Expect(0, 65510, '\p{^Dt=	wide}', "");
    Expect(0, 65510, '\P{Dt=	wide}', "");
    Expect(1, 65510, '\P{^Dt=	wide}', "");
    Expect(0, 65511, '\p{Dt=	wide}', "");
    Expect(1, 65511, '\p{^Dt=	wide}', "");
    Expect(1, 65511, '\P{Dt=	wide}', "");
    Expect(0, 65511, '\P{^Dt=	wide}', "");
    Error('\p{Is_Decomposition_Type=:=Wide}');
    Error('\P{Is_Decomposition_Type=:=Wide}');
    Expect(1, 65510, '\p{Is_Decomposition_Type=wide}', "");
    Expect(0, 65510, '\p{^Is_Decomposition_Type=wide}', "");
    Expect(0, 65510, '\P{Is_Decomposition_Type=wide}', "");
    Expect(1, 65510, '\P{^Is_Decomposition_Type=wide}', "");
    Expect(0, 65511, '\p{Is_Decomposition_Type=wide}', "");
    Expect(1, 65511, '\p{^Is_Decomposition_Type=wide}', "");
    Expect(1, 65511, '\P{Is_Decomposition_Type=wide}', "");
    Expect(0, 65511, '\P{^Is_Decomposition_Type=wide}', "");
    Expect(1, 65510, '\p{Is_Decomposition_Type= wide}', "");
    Expect(0, 65510, '\p{^Is_Decomposition_Type= wide}', "");
    Expect(0, 65510, '\P{Is_Decomposition_Type= wide}', "");
    Expect(1, 65510, '\P{^Is_Decomposition_Type= wide}', "");
    Expect(0, 65511, '\p{Is_Decomposition_Type= wide}', "");
    Expect(1, 65511, '\p{^Is_Decomposition_Type= wide}', "");
    Expect(1, 65511, '\P{Is_Decomposition_Type= wide}', "");
    Expect(0, 65511, '\P{^Is_Decomposition_Type= wide}', "");
    Error('\p{Is_Dt=:=__Wide}');
    Error('\P{Is_Dt=:=__Wide}');
    Expect(1, 65510, '\p{Is_Dt=wide}', "");
    Expect(0, 65510, '\p{^Is_Dt=wide}', "");
    Expect(0, 65510, '\P{Is_Dt=wide}', "");
    Expect(1, 65510, '\P{^Is_Dt=wide}', "");
    Expect(0, 65511, '\p{Is_Dt=wide}', "");
    Expect(1, 65511, '\p{^Is_Dt=wide}', "");
    Expect(1, 65511, '\P{Is_Dt=wide}', "");
    Expect(0, 65511, '\P{^Is_Dt=wide}', "");
    Expect(1, 65510, '\p{Is_Dt:	_wide}', "");
    Expect(0, 65510, '\p{^Is_Dt:	_wide}', "");
    Expect(0, 65510, '\P{Is_Dt:	_wide}', "");
    Expect(1, 65510, '\P{^Is_Dt:	_wide}', "");
    Expect(0, 65511, '\p{Is_Dt:	_wide}', "");
    Expect(1, 65511, '\p{^Is_Dt:	_wide}', "");
    Expect(1, 65511, '\P{Is_Dt:	_wide}', "");
    Expect(0, 65511, '\P{^Is_Dt:	_wide}', "");
    Error('\p{eastasianwidth}');
    Error('\P{eastasianwidth}');
    Error('\p{ea}');
    Error('\P{ea}');
    Error('\p{East_Asian_Width=/a/ambiguous}');
    Error('\P{East_Asian_Width=/a/ambiguous}');
    Expect(1, 1114109, '\p{East_Asian_Width=:\AAmbiguous\z:}', "");;
    Expect(0, 918000, '\p{East_Asian_Width=:\AAmbiguous\z:}', "");;
    Expect(1, 1114109, '\p{East_Asian_Width=ambiguous}', "");
    Expect(0, 1114109, '\p{^East_Asian_Width=ambiguous}', "");
    Expect(0, 1114109, '\P{East_Asian_Width=ambiguous}', "");
    Expect(1, 1114109, '\P{^East_Asian_Width=ambiguous}', "");
    Expect(0, 918000, '\p{East_Asian_Width=ambiguous}', "");
    Expect(1, 918000, '\p{^East_Asian_Width=ambiguous}', "");
    Expect(1, 918000, '\P{East_Asian_Width=ambiguous}', "");
    Expect(0, 918000, '\P{^East_Asian_Width=ambiguous}', "");
    Expect(1, 1114109, '\p{East_Asian_Width=:\Aambiguous\z:}', "");;
    Expect(0, 918000, '\p{East_Asian_Width=:\Aambiguous\z:}', "");;
    Expect(1, 1114109, '\p{East_Asian_Width=	AMBIGUOUS}', "");
    Expect(0, 1114109, '\p{^East_Asian_Width=	AMBIGUOUS}', "");
    Expect(0, 1114109, '\P{East_Asian_Width=	AMBIGUOUS}', "");
    Expect(1, 1114109, '\P{^East_Asian_Width=	AMBIGUOUS}', "");
    Expect(0, 918000, '\p{East_Asian_Width=	AMBIGUOUS}', "");
    Expect(1, 918000, '\p{^East_Asian_Width=	AMBIGUOUS}', "");
    Expect(1, 918000, '\P{East_Asian_Width=	AMBIGUOUS}', "");
    Expect(0, 918000, '\P{^East_Asian_Width=	AMBIGUOUS}', "");
    Error('\p{Ea= A:=}');
    Error('\P{Ea= A:=}');
    Expect(1, 1114109, '\p{Ea=:\AA\z:}', "");;
    Expect(0, 918000, '\p{Ea=:\AA\z:}', "");;
    Expect(1, 1114109, '\p{Ea=a}', "");
    Expect(0, 1114109, '\p{^Ea=a}', "");
    Expect(0, 1114109, '\P{Ea=a}', "");
    Expect(1, 1114109, '\P{^Ea=a}', "");
    Expect(0, 918000, '\p{Ea=a}', "");
    Expect(1, 918000, '\p{^Ea=a}', "");
    Expect(1, 918000, '\P{Ea=a}', "");
    Expect(0, 918000, '\P{^Ea=a}', "");
    Expect(1, 1114109, '\p{Ea=:\Aa\z:}', "");;
    Expect(0, 918000, '\p{Ea=:\Aa\z:}', "");;
    Expect(1, 1114109, '\p{Ea:   _a}', "");
    Expect(0, 1114109, '\p{^Ea:   _a}', "");
    Expect(0, 1114109, '\P{Ea:   _a}', "");
    Expect(1, 1114109, '\P{^Ea:   _a}', "");
    Expect(0, 918000, '\p{Ea:   _a}', "");
    Expect(1, 918000, '\p{^Ea:   _a}', "");
    Expect(1, 918000, '\P{Ea:   _a}', "");
    Expect(0, 918000, '\P{^Ea:   _a}', "");
    Error('\p{Is_East_Asian_Width=	-Ambiguous:=}');
    Error('\P{Is_East_Asian_Width=	-Ambiguous:=}');
    Expect(1, 1114109, '\p{Is_East_Asian_Width=ambiguous}', "");
    Expect(0, 1114109, '\p{^Is_East_Asian_Width=ambiguous}', "");
    Expect(0, 1114109, '\P{Is_East_Asian_Width=ambiguous}', "");
    Expect(1, 1114109, '\P{^Is_East_Asian_Width=ambiguous}', "");
    Expect(0, 918000, '\p{Is_East_Asian_Width=ambiguous}', "");
    Expect(1, 918000, '\p{^Is_East_Asian_Width=ambiguous}', "");
    Expect(1, 918000, '\P{Is_East_Asian_Width=ambiguous}', "");
    Expect(0, 918000, '\P{^Is_East_Asian_Width=ambiguous}', "");
    Expect(1, 1114109, '\p{Is_East_Asian_Width=_	Ambiguous}', "");
    Expect(0, 1114109, '\p{^Is_East_Asian_Width=_	Ambiguous}', "");
    Expect(0, 1114109, '\P{Is_East_Asian_Width=_	Ambiguous}', "");
    Expect(1, 1114109, '\P{^Is_East_Asian_Width=_	Ambiguous}', "");
    Expect(0, 918000, '\p{Is_East_Asian_Width=_	Ambiguous}', "");
    Expect(1, 918000, '\p{^Is_East_Asian_Width=_	Ambiguous}', "");
    Expect(1, 918000, '\P{Is_East_Asian_Width=_	Ambiguous}', "");
    Expect(0, 918000, '\P{^Is_East_Asian_Width=_	Ambiguous}', "");
    Error('\p{Is_Ea=-/a/a}');
    Error('\P{Is_Ea=-/a/a}');
    Expect(1, 1114109, '\p{Is_Ea=a}', "");
    Expect(0, 1114109, '\p{^Is_Ea=a}', "");
    Expect(0, 1114109, '\P{Is_Ea=a}', "");
    Expect(1, 1114109, '\P{^Is_Ea=a}', "");
    Expect(0, 918000, '\p{Is_Ea=a}', "");
    Expect(1, 918000, '\p{^Is_Ea=a}', "");
    Expect(1, 918000, '\P{Is_Ea=a}', "");
    Expect(0, 918000, '\P{^Is_Ea=a}', "");
    Expect(1, 1114109, '\p{Is_Ea:_ A}', "");
    Expect(0, 1114109, '\p{^Is_Ea:_ A}', "");
    Expect(0, 1114109, '\P{Is_Ea:_ A}', "");
    Expect(1, 1114109, '\P{^Is_Ea:_ A}', "");
    Expect(0, 918000, '\p{Is_Ea:_ A}', "");
    Expect(1, 918000, '\p{^Is_Ea:_ A}', "");
    Expect(1, 918000, '\P{Is_Ea:_ A}', "");
    Expect(0, 918000, '\P{^Is_Ea:_ A}', "");
    Error('\p{East_Asian_Width=_/a/fullwidth}');
    Error('\P{East_Asian_Width=_/a/fullwidth}');
    Expect(1, 65510, '\p{East_Asian_Width=:\AFullwidth\z:}', "");;
    Expect(0, 65511, '\p{East_Asian_Width=:\AFullwidth\z:}', "");;
    Expect(1, 65510, '\p{East_Asian_Width=fullwidth}', "");
    Expect(0, 65510, '\p{^East_Asian_Width=fullwidth}', "");
    Expect(0, 65510, '\P{East_Asian_Width=fullwidth}', "");
    Expect(1, 65510, '\P{^East_Asian_Width=fullwidth}', "");
    Expect(0, 65511, '\p{East_Asian_Width=fullwidth}', "");
    Expect(1, 65511, '\p{^East_Asian_Width=fullwidth}', "");
    Expect(1, 65511, '\P{East_Asian_Width=fullwidth}', "");
    Expect(0, 65511, '\P{^East_Asian_Width=fullwidth}', "");
    Expect(1, 65510, '\p{East_Asian_Width=:\Afullwidth\z:}', "");;
    Expect(0, 65511, '\p{East_Asian_Width=:\Afullwidth\z:}', "");;
    Expect(1, 65510, '\p{East_Asian_Width:	-Fullwidth}', "");
    Expect(0, 65510, '\p{^East_Asian_Width:	-Fullwidth}', "");
    Expect(0, 65510, '\P{East_Asian_Width:	-Fullwidth}', "");
    Expect(1, 65510, '\P{^East_Asian_Width:	-Fullwidth}', "");
    Expect(0, 65511, '\p{East_Asian_Width:	-Fullwidth}', "");
    Expect(1, 65511, '\p{^East_Asian_Width:	-Fullwidth}', "");
    Expect(1, 65511, '\P{East_Asian_Width:	-Fullwidth}', "");
    Expect(0, 65511, '\P{^East_Asian_Width:	-Fullwidth}', "");
    Error('\p{Ea=_-F/a/}');
    Error('\P{Ea=_-F/a/}');
    Expect(1, 65510, '\p{Ea=:\AF\z:}', "");;
    Expect(0, 65511, '\p{Ea=:\AF\z:}', "");;
    Expect(1, 65510, '\p{Ea=f}', "");
    Expect(0, 65510, '\p{^Ea=f}', "");
    Expect(0, 65510, '\P{Ea=f}', "");
    Expect(1, 65510, '\P{^Ea=f}', "");
    Expect(0, 65511, '\p{Ea=f}', "");
    Expect(1, 65511, '\p{^Ea=f}', "");
    Expect(1, 65511, '\P{Ea=f}', "");
    Expect(0, 65511, '\P{^Ea=f}', "");
    Expect(1, 65510, '\p{Ea=:\Af\z:}', "");;
    Expect(0, 65511, '\p{Ea=:\Af\z:}', "");;
    Expect(1, 65510, '\p{Ea=	F}', "");
    Expect(0, 65510, '\p{^Ea=	F}', "");
    Expect(0, 65510, '\P{Ea=	F}', "");
    Expect(1, 65510, '\P{^Ea=	F}', "");
    Expect(0, 65511, '\p{Ea=	F}', "");
    Expect(1, 65511, '\p{^Ea=	F}', "");
    Expect(1, 65511, '\P{Ea=	F}', "");
    Expect(0, 65511, '\P{^Ea=	F}', "");
    Error('\p{Is_East_Asian_Width= 	fullwidth/a/}');
    Error('\P{Is_East_Asian_Width= 	fullwidth/a/}');
    Expect(1, 65510, '\p{Is_East_Asian_Width=fullwidth}', "");
    Expect(0, 65510, '\p{^Is_East_Asian_Width=fullwidth}', "");
    Expect(0, 65510, '\P{Is_East_Asian_Width=fullwidth}', "");
    Expect(1, 65510, '\P{^Is_East_Asian_Width=fullwidth}', "");
    Expect(0, 65511, '\p{Is_East_Asian_Width=fullwidth}', "");
    Expect(1, 65511, '\p{^Is_East_Asian_Width=fullwidth}', "");
    Expect(1, 65511, '\P{Is_East_Asian_Width=fullwidth}', "");
    Expect(0, 65511, '\P{^Is_East_Asian_Width=fullwidth}', "");
    Expect(1, 65510, '\p{Is_East_Asian_Width=Fullwidth}', "");
    Expect(0, 65510, '\p{^Is_East_Asian_Width=Fullwidth}', "");
    Expect(0, 65510, '\P{Is_East_Asian_Width=Fullwidth}', "");
    Expect(1, 65510, '\P{^Is_East_Asian_Width=Fullwidth}', "");
    Expect(0, 65511, '\p{Is_East_Asian_Width=Fullwidth}', "");
    Expect(1, 65511, '\p{^Is_East_Asian_Width=Fullwidth}', "");
    Expect(1, 65511, '\P{Is_East_Asian_Width=Fullwidth}', "");
    Expect(0, 65511, '\P{^Is_East_Asian_Width=Fullwidth}', "");
    Error('\p{Is_Ea:-/a/f}');
    Error('\P{Is_Ea:-/a/f}');
    Expect(1, 65510, '\p{Is_Ea=f}', "");
    Expect(0, 65510, '\p{^Is_Ea=f}', "");
    Expect(0, 65510, '\P{Is_Ea=f}', "");
    Expect(1, 65510, '\P{^Is_Ea=f}', "");
    Expect(0, 65511, '\p{Is_Ea=f}', "");
    Expect(1, 65511, '\p{^Is_Ea=f}', "");
    Expect(1, 65511, '\P{Is_Ea=f}', "");
    Expect(0, 65511, '\P{^Is_Ea=f}', "");
    Expect(1, 65510, '\p{Is_Ea= _F}', "");
    Expect(0, 65510, '\p{^Is_Ea= _F}', "");
    Expect(0, 65510, '\P{Is_Ea= _F}', "");
    Expect(1, 65510, '\P{^Is_Ea= _F}', "");
    Expect(0, 65511, '\p{Is_Ea= _F}', "");
    Expect(1, 65511, '\p{^Is_Ea= _F}', "");
    Expect(1, 65511, '\P{Is_Ea= _F}', "");
    Expect(0, 65511, '\P{^Is_Ea= _F}', "");
    Error('\p{East_Asian_Width=_/a/Halfwidth}');
    Error('\P{East_Asian_Width=_/a/Halfwidth}');
    Expect(1, 65518, '\p{East_Asian_Width=:\AHalfwidth\z:}', "");;
    Expect(0, 65519, '\p{East_Asian_Width=:\AHalfwidth\z:}', "");;
    Expect(1, 65518, '\p{East_Asian_Width=halfwidth}', "");
    Expect(0, 65518, '\p{^East_Asian_Width=halfwidth}', "");
    Expect(0, 65518, '\P{East_Asian_Width=halfwidth}', "");
    Expect(1, 65518, '\P{^East_Asian_Width=halfwidth}', "");
    Expect(0, 65519, '\p{East_Asian_Width=halfwidth}', "");
    Expect(1, 65519, '\p{^East_Asian_Width=halfwidth}', "");
    Expect(1, 65519, '\P{East_Asian_Width=halfwidth}', "");
    Expect(0, 65519, '\P{^East_Asian_Width=halfwidth}', "");
    Expect(1, 65518, '\p{East_Asian_Width=:\Ahalfwidth\z:}', "");;
    Expect(0, 65519, '\p{East_Asian_Width=:\Ahalfwidth\z:}', "");;
    Expect(1, 65518, '\p{East_Asian_Width= -Halfwidth}', "");
    Expect(0, 65518, '\p{^East_Asian_Width= -Halfwidth}', "");
    Expect(0, 65518, '\P{East_Asian_Width= -Halfwidth}', "");
    Expect(1, 65518, '\P{^East_Asian_Width= -Halfwidth}', "");
    Expect(0, 65519, '\p{East_Asian_Width= -Halfwidth}', "");
    Expect(1, 65519, '\p{^East_Asian_Width= -Halfwidth}', "");
    Expect(1, 65519, '\P{East_Asian_Width= -Halfwidth}', "");
    Expect(0, 65519, '\P{^East_Asian_Width= -Halfwidth}', "");
    Error('\p{Ea=_/a/H}');
    Error('\P{Ea=_/a/H}');
    Expect(1, 65518, '\p{Ea=:\AH\z:}', "");;
    Expect(0, 65519, '\p{Ea=:\AH\z:}', "");;
    Expect(1, 65518, '\p{Ea=h}', "");
    Expect(0, 65518, '\p{^Ea=h}', "");
    Expect(0, 65518, '\P{Ea=h}', "");
    Expect(1, 65518, '\P{^Ea=h}', "");
    Expect(0, 65519, '\p{Ea=h}', "");
    Expect(1, 65519, '\p{^Ea=h}', "");
    Expect(1, 65519, '\P{Ea=h}', "");
    Expect(0, 65519, '\P{^Ea=h}', "");
    Expect(1, 65518, '\p{Ea=:\Ah\z:}', "");;
    Expect(0, 65519, '\p{Ea=:\Ah\z:}', "");;
    Expect(1, 65518, '\p{Ea=	_H}', "");
    Expect(0, 65518, '\p{^Ea=	_H}', "");
    Expect(0, 65518, '\P{Ea=	_H}', "");
    Expect(1, 65518, '\P{^Ea=	_H}', "");
    Expect(0, 65519, '\p{Ea=	_H}', "");
    Expect(1, 65519, '\p{^Ea=	_H}', "");
    Expect(1, 65519, '\P{Ea=	_H}', "");
    Expect(0, 65519, '\P{^Ea=	_H}', "");
    Error('\p{Is_East_Asian_Width=:= _HALFWIDTH}');
    Error('\P{Is_East_Asian_Width=:= _HALFWIDTH}');
    Expect(1, 65518, '\p{Is_East_Asian_Width=halfwidth}', "");
    Expect(0, 65518, '\p{^Is_East_Asian_Width=halfwidth}', "");
    Expect(0, 65518, '\P{Is_East_Asian_Width=halfwidth}', "");
    Expect(1, 65518, '\P{^Is_East_Asian_Width=halfwidth}', "");
    Expect(0, 65519, '\p{Is_East_Asian_Width=halfwidth}', "");
    Expect(1, 65519, '\p{^Is_East_Asian_Width=halfwidth}', "");
    Expect(1, 65519, '\P{Is_East_Asian_Width=halfwidth}', "");
    Expect(0, 65519, '\P{^Is_East_Asian_Width=halfwidth}', "");
    Expect(1, 65518, '\p{Is_East_Asian_Width=	Halfwidth}', "");
    Expect(0, 65518, '\p{^Is_East_Asian_Width=	Halfwidth}', "");
    Expect(0, 65518, '\P{Is_East_Asian_Width=	Halfwidth}', "");
    Expect(1, 65518, '\P{^Is_East_Asian_Width=	Halfwidth}', "");
    Expect(0, 65519, '\p{Is_East_Asian_Width=	Halfwidth}', "");
    Expect(1, 65519, '\p{^Is_East_Asian_Width=	Halfwidth}', "");
    Expect(1, 65519, '\P{Is_East_Asian_Width=	Halfwidth}', "");
    Expect(0, 65519, '\P{^Is_East_Asian_Width=	Halfwidth}', "");
    Error('\p{Is_Ea=-_h/a/}');
    Error('\P{Is_Ea=-_h/a/}');
    Expect(1, 65518, '\p{Is_Ea=h}', "");
    Expect(0, 65518, '\p{^Is_Ea=h}', "");
    Expect(0, 65518, '\P{Is_Ea=h}', "");
    Expect(1, 65518, '\P{^Is_Ea=h}', "");
    Expect(0, 65519, '\p{Is_Ea=h}', "");
    Expect(1, 65519, '\p{^Is_Ea=h}', "");
    Expect(1, 65519, '\P{Is_Ea=h}', "");
    Expect(0, 65519, '\P{^Is_Ea=h}', "");
    Expect(1, 65518, '\p{Is_Ea=_H}', "");
    Expect(0, 65518, '\p{^Is_Ea=_H}', "");
    Expect(0, 65518, '\P{Is_Ea=_H}', "");
    Expect(1, 65518, '\P{^Is_Ea=_H}', "");
    Expect(0, 65519, '\p{Is_Ea=_H}', "");
    Expect(1, 65519, '\p{^Is_Ea=_H}', "");
    Expect(1, 65519, '\P{Is_Ea=_H}', "");
    Expect(0, 65519, '\P{^Is_Ea=_H}', "");
    Error('\p{East_Asian_Width=_:=NEUTRAL}');
    Error('\P{East_Asian_Width=_:=NEUTRAL}');
    Expect(1, 918000, '\p{East_Asian_Width=:\ANeutral\z:}', "");;
    Expect(0, 1114109, '\p{East_Asian_Width=:\ANeutral\z:}', "");;
    Expect(1, 918000, '\p{East_Asian_Width=neutral}', "");
    Expect(0, 918000, '\p{^East_Asian_Width=neutral}', "");
    Expect(0, 918000, '\P{East_Asian_Width=neutral}', "");
    Expect(1, 918000, '\P{^East_Asian_Width=neutral}', "");
    Expect(0, 1114109, '\p{East_Asian_Width=neutral}', "");
    Expect(1, 1114109, '\p{^East_Asian_Width=neutral}', "");
    Expect(1, 1114109, '\P{East_Asian_Width=neutral}', "");
    Expect(0, 1114109, '\P{^East_Asian_Width=neutral}', "");
    Expect(1, 918000, '\p{East_Asian_Width=:\Aneutral\z:}', "");;
    Expect(0, 1114109, '\p{East_Asian_Width=:\Aneutral\z:}', "");;
    Expect(1, 918000, '\p{East_Asian_Width=- NEUTRAL}', "");
    Expect(0, 918000, '\p{^East_Asian_Width=- NEUTRAL}', "");
    Expect(0, 918000, '\P{East_Asian_Width=- NEUTRAL}', "");
    Expect(1, 918000, '\P{^East_Asian_Width=- NEUTRAL}', "");
    Expect(0, 1114109, '\p{East_Asian_Width=- NEUTRAL}', "");
    Expect(1, 1114109, '\p{^East_Asian_Width=- NEUTRAL}', "");
    Expect(1, 1114109, '\P{East_Asian_Width=- NEUTRAL}', "");
    Expect(0, 1114109, '\P{^East_Asian_Width=- NEUTRAL}', "");
    Error('\p{Ea=-N/a/}');
    Error('\P{Ea=-N/a/}');
    Expect(1, 918000, '\p{Ea=:\AN\z:}', "");;
    Expect(0, 1114109, '\p{Ea=:\AN\z:}', "");;
    Expect(1, 918000, '\p{Ea=n}', "");
    Expect(0, 918000, '\p{^Ea=n}', "");
    Expect(0, 918000, '\P{Ea=n}', "");
    Expect(1, 918000, '\P{^Ea=n}', "");
    Expect(0, 1114109, '\p{Ea=n}', "");
    Expect(1, 1114109, '\p{^Ea=n}', "");
    Expect(1, 1114109, '\P{Ea=n}', "");
    Expect(0, 1114109, '\P{^Ea=n}', "");
    Expect(1, 918000, '\p{Ea=:\An\z:}', "");;
    Expect(0, 1114109, '\p{Ea=:\An\z:}', "");;
    Expect(1, 918000, '\p{Ea=	-N}', "");
    Expect(0, 918000, '\p{^Ea=	-N}', "");
    Expect(0, 918000, '\P{Ea=	-N}', "");
    Expect(1, 918000, '\P{^Ea=	-N}', "");
    Expect(0, 1114109, '\p{Ea=	-N}', "");
    Expect(1, 1114109, '\p{^Ea=	-N}', "");
    Expect(1, 1114109, '\P{Ea=	-N}', "");
    Expect(0, 1114109, '\P{^Ea=	-N}', "");
    Error('\p{Is_East_Asian_Width:    	NEUTRAL/a/}');
    Error('\P{Is_East_Asian_Width:    	NEUTRAL/a/}');
    Expect(1, 918000, '\p{Is_East_Asian_Width=neutral}', "");
    Expect(0, 918000, '\p{^Is_East_Asian_Width=neutral}', "");
    Expect(0, 918000, '\P{Is_East_Asian_Width=neutral}', "");
    Expect(1, 918000, '\P{^Is_East_Asian_Width=neutral}', "");
    Expect(0, 1114109, '\p{Is_East_Asian_Width=neutral}', "");
    Expect(1, 1114109, '\p{^Is_East_Asian_Width=neutral}', "");
    Expect(1, 1114109, '\P{Is_East_Asian_Width=neutral}', "");
    Expect(0, 1114109, '\P{^Is_East_Asian_Width=neutral}', "");
    Expect(1, 918000, '\p{Is_East_Asian_Width=	_NEUTRAL}', "");
    Expect(0, 918000, '\p{^Is_East_Asian_Width=	_NEUTRAL}', "");
    Expect(0, 918000, '\P{Is_East_Asian_Width=	_NEUTRAL}', "");
    Expect(1, 918000, '\P{^Is_East_Asian_Width=	_NEUTRAL}', "");
    Expect(0, 1114109, '\p{Is_East_Asian_Width=	_NEUTRAL}', "");
    Expect(1, 1114109, '\p{^Is_East_Asian_Width=	_NEUTRAL}', "");
    Expect(1, 1114109, '\P{Is_East_Asian_Width=	_NEUTRAL}', "");
    Expect(0, 1114109, '\P{^Is_East_Asian_Width=	_NEUTRAL}', "");
    Error('\p{Is_Ea= N/a/}');
    Error('\P{Is_Ea= N/a/}');
    Expect(1, 918000, '\p{Is_Ea=n}', "");
    Expect(0, 918000, '\p{^Is_Ea=n}', "");
    Expect(0, 918000, '\P{Is_Ea=n}', "");
    Expect(1, 918000, '\P{^Is_Ea=n}', "");
    Expect(0, 1114109, '\p{Is_Ea=n}', "");
    Expect(1, 1114109, '\p{^Is_Ea=n}', "");
    Expect(1, 1114109, '\P{Is_Ea=n}', "");
    Expect(0, 1114109, '\P{^Is_Ea=n}', "");
    Error('\p{East_Asian_Width=	NARROW/a/}');
    Error('\P{East_Asian_Width=	NARROW/a/}');
    Expect(1, 10630, '\p{East_Asian_Width=:\ANarrow\z:}', "");;
    Expect(0, 10631, '\p{East_Asian_Width=:\ANarrow\z:}', "");;
    Expect(1, 10630, '\p{East_Asian_Width=narrow}', "");
    Expect(0, 10630, '\p{^East_Asian_Width=narrow}', "");
    Expect(0, 10630, '\P{East_Asian_Width=narrow}', "");
    Expect(1, 10630, '\P{^East_Asian_Width=narrow}', "");
    Expect(0, 10631, '\p{East_Asian_Width=narrow}', "");
    Expect(1, 10631, '\p{^East_Asian_Width=narrow}', "");
    Expect(1, 10631, '\P{East_Asian_Width=narrow}', "");
    Expect(0, 10631, '\P{^East_Asian_Width=narrow}', "");
    Expect(1, 10630, '\p{East_Asian_Width=:\Anarrow\z:}', "");;
    Expect(0, 10631, '\p{East_Asian_Width=:\Anarrow\z:}', "");;
    Expect(1, 10630, '\p{East_Asian_Width=_narrow}', "");
    Expect(0, 10630, '\p{^East_Asian_Width=_narrow}', "");
    Expect(0, 10630, '\P{East_Asian_Width=_narrow}', "");
    Expect(1, 10630, '\P{^East_Asian_Width=_narrow}', "");
    Expect(0, 10631, '\p{East_Asian_Width=_narrow}', "");
    Expect(1, 10631, '\p{^East_Asian_Width=_narrow}', "");
    Expect(1, 10631, '\P{East_Asian_Width=_narrow}', "");
    Expect(0, 10631, '\P{^East_Asian_Width=_narrow}', "");
    Error('\p{Ea=/a/_-na}');
    Error('\P{Ea=/a/_-na}');
    Expect(1, 10630, '\p{Ea=:\ANa\z:}', "");;
    Expect(0, 10631, '\p{Ea=:\ANa\z:}', "");;
    Expect(1, 10630, '\p{Ea:na}', "");
    Expect(0, 10630, '\p{^Ea:na}', "");
    Expect(0, 10630, '\P{Ea:na}', "");
    Expect(1, 10630, '\P{^Ea:na}', "");
    Expect(0, 10631, '\p{Ea:na}', "");
    Expect(1, 10631, '\p{^Ea:na}', "");
    Expect(1, 10631, '\P{Ea:na}', "");
    Expect(0, 10631, '\P{^Ea:na}', "");
    Expect(1, 10630, '\p{Ea=:\Ana\z:}', "");;
    Expect(0, 10631, '\p{Ea=:\Ana\z:}', "");;
    Expect(1, 10630, '\p{Ea= -Na}', "");
    Expect(0, 10630, '\p{^Ea= -Na}', "");
    Expect(0, 10630, '\P{Ea= -Na}', "");
    Expect(1, 10630, '\P{^Ea= -Na}', "");
    Expect(0, 10631, '\p{Ea= -Na}', "");
    Expect(1, 10631, '\p{^Ea= -Na}', "");
    Expect(1, 10631, '\P{Ea= -Na}', "");
    Expect(0, 10631, '\P{^Ea= -Na}', "");
    Error('\p{Is_East_Asian_Width=-_Narrow/a/}');
    Error('\P{Is_East_Asian_Width=-_Narrow/a/}');
    Expect(1, 10630, '\p{Is_East_Asian_Width=narrow}', "");
    Expect(0, 10630, '\p{^Is_East_Asian_Width=narrow}', "");
    Expect(0, 10630, '\P{Is_East_Asian_Width=narrow}', "");
    Expect(1, 10630, '\P{^Is_East_Asian_Width=narrow}', "");
    Expect(0, 10631, '\p{Is_East_Asian_Width=narrow}', "");
    Expect(1, 10631, '\p{^Is_East_Asian_Width=narrow}', "");
    Expect(1, 10631, '\P{Is_East_Asian_Width=narrow}', "");
    Expect(0, 10631, '\P{^Is_East_Asian_Width=narrow}', "");
    Expect(1, 10630, '\p{Is_East_Asian_Width= 	Narrow}', "");
    Expect(0, 10630, '\p{^Is_East_Asian_Width= 	Narrow}', "");
    Expect(0, 10630, '\P{Is_East_Asian_Width= 	Narrow}', "");
    Expect(1, 10630, '\P{^Is_East_Asian_Width= 	Narrow}', "");
    Expect(0, 10631, '\p{Is_East_Asian_Width= 	Narrow}', "");
    Expect(1, 10631, '\p{^Is_East_Asian_Width= 	Narrow}', "");
    Expect(1, 10631, '\P{Is_East_Asian_Width= 	Narrow}', "");
    Expect(0, 10631, '\P{^Is_East_Asian_Width= 	Narrow}', "");
    Error('\p{Is_Ea=/a/-Na}');
    Error('\P{Is_Ea=/a/-Na}');
    Expect(1, 10630, '\p{Is_Ea=na}', "");
    Expect(0, 10630, '\p{^Is_Ea=na}', "");
    Expect(0, 10630, '\P{Is_Ea=na}', "");
    Expect(1, 10630, '\P{^Is_Ea=na}', "");
    Expect(0, 10631, '\p{Is_Ea=na}', "");
    Expect(1, 10631, '\p{^Is_Ea=na}', "");
    Expect(1, 10631, '\P{Is_Ea=na}', "");
    Expect(0, 10631, '\P{^Is_Ea=na}', "");
    Expect(1, 10630, '\p{Is_Ea=	Na}', "");
    Expect(0, 10630, '\p{^Is_Ea=	Na}', "");
    Expect(0, 10630, '\P{Is_Ea=	Na}', "");
    Expect(1, 10630, '\P{^Is_Ea=	Na}', "");
    Expect(0, 10631, '\p{Is_Ea=	Na}', "");
    Expect(1, 10631, '\p{^Is_Ea=	Na}', "");
    Expect(1, 10631, '\P{Is_Ea=	Na}', "");
    Expect(0, 10631, '\P{^Is_Ea=	Na}', "");
    Error('\p{East_Asian_Width:   /a/ 	WIDE}');
    Error('\P{East_Asian_Width:   /a/ 	WIDE}');
    Expect(1, 262141, '\p{East_Asian_Width=:\AWide\z:}', "");;
    Expect(0, 262144, '\p{East_Asian_Width=:\AWide\z:}', "");;
    Expect(1, 262141, '\p{East_Asian_Width=wide}', "");
    Expect(0, 262141, '\p{^East_Asian_Width=wide}', "");
    Expect(0, 262141, '\P{East_Asian_Width=wide}', "");
    Expect(1, 262141, '\P{^East_Asian_Width=wide}', "");
    Expect(0, 262144, '\p{East_Asian_Width=wide}', "");
    Expect(1, 262144, '\p{^East_Asian_Width=wide}', "");
    Expect(1, 262144, '\P{East_Asian_Width=wide}', "");
    Expect(0, 262144, '\P{^East_Asian_Width=wide}', "");
    Expect(1, 262141, '\p{East_Asian_Width=:\Awide\z:}', "");;
    Expect(0, 262144, '\p{East_Asian_Width=:\Awide\z:}', "");;
    Expect(1, 262141, '\p{East_Asian_Width= wide}', "");
    Expect(0, 262141, '\p{^East_Asian_Width= wide}', "");
    Expect(0, 262141, '\P{East_Asian_Width= wide}', "");
    Expect(1, 262141, '\P{^East_Asian_Width= wide}', "");
    Expect(0, 262144, '\p{East_Asian_Width= wide}', "");
    Expect(1, 262144, '\p{^East_Asian_Width= wide}', "");
    Expect(1, 262144, '\P{East_Asian_Width= wide}', "");
    Expect(0, 262144, '\P{^East_Asian_Width= wide}', "");
    Error('\p{Ea=:= W}');
    Error('\P{Ea=:= W}');
    Expect(1, 262141, '\p{Ea=:\AW\z:}', "");;
    Expect(0, 262144, '\p{Ea=:\AW\z:}', "");;
    Expect(1, 262141, '\p{Ea=w}', "");
    Expect(0, 262141, '\p{^Ea=w}', "");
    Expect(0, 262141, '\P{Ea=w}', "");
    Expect(1, 262141, '\P{^Ea=w}', "");
    Expect(0, 262144, '\p{Ea=w}', "");
    Expect(1, 262144, '\p{^Ea=w}', "");
    Expect(1, 262144, '\P{Ea=w}', "");
    Expect(0, 262144, '\P{^Ea=w}', "");
    Expect(1, 262141, '\p{Ea=:\Aw\z:}', "");;
    Expect(0, 262144, '\p{Ea=:\Aw\z:}', "");;
    Expect(1, 262141, '\p{Ea=	-W}', "");
    Expect(0, 262141, '\p{^Ea=	-W}', "");
    Expect(0, 262141, '\P{Ea=	-W}', "");
    Expect(1, 262141, '\P{^Ea=	-W}', "");
    Expect(0, 262144, '\p{Ea=	-W}', "");
    Expect(1, 262144, '\p{^Ea=	-W}', "");
    Expect(1, 262144, '\P{Ea=	-W}', "");
    Expect(0, 262144, '\P{^Ea=	-W}', "");
    Error('\p{Is_East_Asian_Width=/a/ WIDE}');
    Error('\P{Is_East_Asian_Width=/a/ WIDE}');
    Expect(1, 262141, '\p{Is_East_Asian_Width=wide}', "");
    Expect(0, 262141, '\p{^Is_East_Asian_Width=wide}', "");
    Expect(0, 262141, '\P{Is_East_Asian_Width=wide}', "");
    Expect(1, 262141, '\P{^Is_East_Asian_Width=wide}', "");
    Expect(0, 262144, '\p{Is_East_Asian_Width=wide}', "");
    Expect(1, 262144, '\p{^Is_East_Asian_Width=wide}', "");
    Expect(1, 262144, '\P{Is_East_Asian_Width=wide}', "");
    Expect(0, 262144, '\P{^Is_East_Asian_Width=wide}', "");
    Expect(1, 262141, '\p{Is_East_Asian_Width=-Wide}', "");
    Expect(0, 262141, '\p{^Is_East_Asian_Width=-Wide}', "");
    Expect(0, 262141, '\P{Is_East_Asian_Width=-Wide}', "");
    Expect(1, 262141, '\P{^Is_East_Asian_Width=-Wide}', "");
    Expect(0, 262144, '\p{Is_East_Asian_Width=-Wide}', "");
    Expect(1, 262144, '\p{^Is_East_Asian_Width=-Wide}', "");
    Expect(1, 262144, '\P{Is_East_Asian_Width=-Wide}', "");
    Expect(0, 262144, '\P{^Is_East_Asian_Width=-Wide}', "");
    Error('\p{Is_Ea: 	W/a/}');
    Error('\P{Is_Ea: 	W/a/}');
    Expect(1, 262141, '\p{Is_Ea=w}', "");
    Expect(0, 262141, '\p{^Is_Ea=w}', "");
    Expect(0, 262141, '\P{Is_Ea=w}', "");
    Expect(1, 262141, '\P{^Is_Ea=w}', "");
    Expect(0, 262144, '\p{Is_Ea=w}', "");
    Expect(1, 262144, '\p{^Is_Ea=w}', "");
    Expect(1, 262144, '\P{Is_Ea=w}', "");
    Expect(0, 262144, '\P{^Is_Ea=w}', "");
    Expect(1, 262141, '\p{Is_Ea:	w}', "");
    Expect(0, 262141, '\p{^Is_Ea:	w}', "");
    Expect(0, 262141, '\P{Is_Ea:	w}', "");
    Expect(1, 262141, '\P{^Is_Ea:	w}', "");
    Expect(0, 262144, '\p{Is_Ea:	w}', "");
    Expect(1, 262144, '\p{^Is_Ea:	w}', "");
    Expect(1, 262144, '\P{Is_Ea:	w}', "");
    Expect(0, 262144, '\P{^Is_Ea:	w}', "");
    Error('\p{Emoji_Modifier_Base=_/a/NO}');
    Error('\P{Emoji_Modifier_Base=_/a/NO}');
    Expect(1, 129783, '\p{Emoji_Modifier_Base=:\ANo\z:}', "");;
    Expect(0, 129782, '\p{Emoji_Modifier_Base=:\ANo\z:}', "");;
    Expect(1, 129783, '\p{Emoji_Modifier_Base=no}', "");
    Expect(0, 129783, '\p{^Emoji_Modifier_Base=no}', "");
    Expect(0, 129783, '\P{Emoji_Modifier_Base=no}', "");
    Expect(1, 129783, '\P{^Emoji_Modifier_Base=no}', "");
    Expect(0, 129782, '\p{Emoji_Modifier_Base=no}', "");
    Expect(1, 129782, '\p{^Emoji_Modifier_Base=no}', "");
    Expect(1, 129782, '\P{Emoji_Modifier_Base=no}', "");
    Expect(0, 129782, '\P{^Emoji_Modifier_Base=no}', "");
    Expect(1, 129783, '\p{Emoji_Modifier_Base=:\Ano\z:}', "");;
    Expect(0, 129782, '\p{Emoji_Modifier_Base=:\Ano\z:}', "");;
    Expect(1, 129783, '\p{Emoji_Modifier_Base=-No}', "");
    Expect(0, 129783, '\p{^Emoji_Modifier_Base=-No}', "");
    Expect(0, 129783, '\P{Emoji_Modifier_Base=-No}', "");
    Expect(1, 129783, '\P{^Emoji_Modifier_Base=-No}', "");
    Expect(0, 129782, '\p{Emoji_Modifier_Base=-No}', "");
    Expect(1, 129782, '\p{^Emoji_Modifier_Base=-No}', "");
    Expect(1, 129782, '\P{Emoji_Modifier_Base=-No}', "");
    Expect(0, 129782, '\P{^Emoji_Modifier_Base=-No}', "");
    Error('\p{EBase=/a/_N}');
    Error('\P{EBase=/a/_N}');
    Expect(1, 129783, '\p{EBase=:\AN\z:}', "");;
    Expect(0, 129782, '\p{EBase=:\AN\z:}', "");;
    Expect(1, 129783, '\p{EBase=n}', "");
    Expect(0, 129783, '\p{^EBase=n}', "");
    Expect(0, 129783, '\P{EBase=n}', "");
    Expect(1, 129783, '\P{^EBase=n}', "");
    Expect(0, 129782, '\p{EBase=n}', "");
    Expect(1, 129782, '\p{^EBase=n}', "");
    Expect(1, 129782, '\P{EBase=n}', "");
    Expect(0, 129782, '\P{^EBase=n}', "");
    Expect(1, 129783, '\p{EBase=:\An\z:}', "");;
    Expect(0, 129782, '\p{EBase=:\An\z:}', "");;
    Expect(1, 129783, '\p{EBase=		N}', "");
    Expect(0, 129783, '\p{^EBase=		N}', "");
    Expect(0, 129783, '\P{EBase=		N}', "");
    Expect(1, 129783, '\P{^EBase=		N}', "");
    Expect(0, 129782, '\p{EBase=		N}', "");
    Expect(1, 129782, '\p{^EBase=		N}', "");
    Expect(1, 129782, '\P{EBase=		N}', "");
    Expect(0, 129782, '\P{^EBase=		N}', "");
    Error('\p{Is_Emoji_Modifier_Base=-	f:=}');
    Error('\P{Is_Emoji_Modifier_Base=-	f:=}');
    Expect(1, 129783, '\p{Is_Emoji_Modifier_Base=f}', "");
    Expect(0, 129783, '\p{^Is_Emoji_Modifier_Base=f}', "");
    Expect(0, 129783, '\P{Is_Emoji_Modifier_Base=f}', "");
    Expect(1, 129783, '\P{^Is_Emoji_Modifier_Base=f}', "");
    Expect(0, 129782, '\p{Is_Emoji_Modifier_Base=f}', "");
    Expect(1, 129782, '\p{^Is_Emoji_Modifier_Base=f}', "");
    Expect(1, 129782, '\P{Is_Emoji_Modifier_Base=f}', "");
    Expect(0, 129782, '\P{^Is_Emoji_Modifier_Base=f}', "");
    Expect(1, 129783, '\p{Is_Emoji_Modifier_Base=__F}', "");
    Expect(0, 129783, '\p{^Is_Emoji_Modifier_Base=__F}', "");
    Expect(0, 129783, '\P{Is_Emoji_Modifier_Base=__F}', "");
    Expect(1, 129783, '\P{^Is_Emoji_Modifier_Base=__F}', "");
    Expect(0, 129782, '\p{Is_Emoji_Modifier_Base=__F}', "");
    Expect(1, 129782, '\p{^Is_Emoji_Modifier_Base=__F}', "");
    Expect(1, 129782, '\P{Is_Emoji_Modifier_Base=__F}', "");
    Expect(0, 129782, '\P{^Is_Emoji_Modifier_Base=__F}', "");
    Error('\p{Is_EBase=	false/a/}');
    Error('\P{Is_EBase=	false/a/}');
    Expect(1, 129783, '\p{Is_EBase=false}', "");
    Expect(0, 129783, '\p{^Is_EBase=false}', "");
    Expect(0, 129783, '\P{Is_EBase=false}', "");
    Expect(1, 129783, '\P{^Is_EBase=false}', "");
    Expect(0, 129782, '\p{Is_EBase=false}', "");
    Expect(1, 129782, '\p{^Is_EBase=false}', "");
    Expect(1, 129782, '\P{Is_EBase=false}', "");
    Expect(0, 129782, '\P{^Is_EBase=false}', "");
    Expect(1, 129783, '\p{Is_EBase=	_FALSE}', "");
    Expect(0, 129783, '\p{^Is_EBase=	_FALSE}', "");
    Expect(0, 129783, '\P{Is_EBase=	_FALSE}', "");
    Expect(1, 129783, '\P{^Is_EBase=	_FALSE}', "");
    Expect(0, 129782, '\p{Is_EBase=	_FALSE}', "");
    Expect(1, 129782, '\p{^Is_EBase=	_FALSE}', "");
    Expect(1, 129782, '\P{Is_EBase=	_FALSE}', "");
    Expect(0, 129782, '\P{^Is_EBase=	_FALSE}', "");
    Error('\p{Emoji_Modifier_Base=/a/-Yes}');
    Error('\P{Emoji_Modifier_Base=/a/-Yes}');
    Expect(1, 129782, '\p{Emoji_Modifier_Base=:\AYes\z:}', "");;
    Expect(0, 129783, '\p{Emoji_Modifier_Base=:\AYes\z:}', "");;
    Expect(1, 129782, '\p{Emoji_Modifier_Base=yes}', "");
    Expect(0, 129782, '\p{^Emoji_Modifier_Base=yes}', "");
    Expect(0, 129782, '\P{Emoji_Modifier_Base=yes}', "");
    Expect(1, 129782, '\P{^Emoji_Modifier_Base=yes}', "");
    Expect(0, 129783, '\p{Emoji_Modifier_Base=yes}', "");
    Expect(1, 129783, '\p{^Emoji_Modifier_Base=yes}', "");
    Expect(1, 129783, '\P{Emoji_Modifier_Base=yes}', "");
    Expect(0, 129783, '\P{^Emoji_Modifier_Base=yes}', "");
    Expect(1, 129782, '\p{Emoji_Modifier_Base=:\Ayes\z:}', "");;
    Expect(0, 129783, '\p{Emoji_Modifier_Base=:\Ayes\z:}', "");;
    Expect(1, 129782, '\p{Emoji_Modifier_Base=	_YES}', "");
    Expect(0, 129782, '\p{^Emoji_Modifier_Base=	_YES}', "");
    Expect(0, 129782, '\P{Emoji_Modifier_Base=	_YES}', "");
    Expect(1, 129782, '\P{^Emoji_Modifier_Base=	_YES}', "");
    Expect(0, 129783, '\p{Emoji_Modifier_Base=	_YES}', "");
    Expect(1, 129783, '\p{^Emoji_Modifier_Base=	_YES}', "");
    Expect(1, 129783, '\P{Emoji_Modifier_Base=	_YES}', "");
    Expect(0, 129783, '\P{^Emoji_Modifier_Base=	_YES}', "");
    Error('\p{EBase=	_y:=}');
    Error('\P{EBase=	_y:=}');
    Expect(1, 129782, '\p{EBase=:\AY\z:}', "");;
    Expect(0, 129783, '\p{EBase=:\AY\z:}', "");;
    Expect(1, 129782, '\p{EBase=y}', "");
    Expect(0, 129782, '\p{^EBase=y}', "");
    Expect(0, 129782, '\P{EBase=y}', "");
    Expect(1, 129782, '\P{^EBase=y}', "");
    Expect(0, 129783, '\p{EBase=y}', "");
    Expect(1, 129783, '\p{^EBase=y}', "");
    Expect(1, 129783, '\P{EBase=y}', "");
    Expect(0, 129783, '\P{^EBase=y}', "");
    Expect(1, 129782, '\p{EBase=:\Ay\z:}', "");;
    Expect(0, 129783, '\p{EBase=:\Ay\z:}', "");;
    Expect(1, 129782, '\p{EBase: 		Y}', "");
    Expect(0, 129782, '\p{^EBase: 		Y}', "");
    Expect(0, 129782, '\P{EBase: 		Y}', "");
    Expect(1, 129782, '\P{^EBase: 		Y}', "");
    Expect(0, 129783, '\p{EBase: 		Y}', "");
    Expect(1, 129783, '\p{^EBase: 		Y}', "");
    Expect(1, 129783, '\P{EBase: 		Y}', "");
    Expect(0, 129783, '\P{^EBase: 		Y}', "");
    Error('\p{Is_Emoji_Modifier_Base=	:=t}');
    Error('\P{Is_Emoji_Modifier_Base=	:=t}');
    Expect(1, 129782, '\p{Is_Emoji_Modifier_Base=t}', "");
    Expect(0, 129782, '\p{^Is_Emoji_Modifier_Base=t}', "");
    Expect(0, 129782, '\P{Is_Emoji_Modifier_Base=t}', "");
    Expect(1, 129782, '\P{^Is_Emoji_Modifier_Base=t}', "");
    Expect(0, 129783, '\p{Is_Emoji_Modifier_Base=t}', "");
    Expect(1, 129783, '\p{^Is_Emoji_Modifier_Base=t}', "");
    Expect(1, 129783, '\P{Is_Emoji_Modifier_Base=t}', "");
    Expect(0, 129783, '\P{^Is_Emoji_Modifier_Base=t}', "");
    Expect(1, 129782, '\p{Is_Emoji_Modifier_Base=	_t}', "");
    Expect(0, 129782, '\p{^Is_Emoji_Modifier_Base=	_t}', "");
    Expect(0, 129782, '\P{Is_Emoji_Modifier_Base=	_t}', "");
    Expect(1, 129782, '\P{^Is_Emoji_Modifier_Base=	_t}', "");
    Expect(0, 129783, '\p{Is_Emoji_Modifier_Base=	_t}', "");
    Expect(1, 129783, '\p{^Is_Emoji_Modifier_Base=	_t}', "");
    Expect(1, 129783, '\P{Is_Emoji_Modifier_Base=	_t}', "");
    Expect(0, 129783, '\P{^Is_Emoji_Modifier_Base=	_t}', "");
    Error('\p{Is_EBase=_/a/True}');
    Error('\P{Is_EBase=_/a/True}');
    Expect(1, 129782, '\p{Is_EBase=true}', "");
    Expect(0, 129782, '\p{^Is_EBase=true}', "");
    Expect(0, 129782, '\P{Is_EBase=true}', "");
    Expect(1, 129782, '\P{^Is_EBase=true}', "");
    Expect(0, 129783, '\p{Is_EBase=true}', "");
    Expect(1, 129783, '\p{^Is_EBase=true}', "");
    Expect(1, 129783, '\P{Is_EBase=true}', "");
    Expect(0, 129783, '\P{^Is_EBase=true}', "");
    Expect(1, 129782, '\p{Is_EBase=	true}', "");
    Expect(0, 129782, '\p{^Is_EBase=	true}', "");
    Expect(0, 129782, '\P{Is_EBase=	true}', "");
    Expect(1, 129782, '\P{^Is_EBase=	true}', "");
    Expect(0, 129783, '\p{Is_EBase=	true}', "");
    Expect(1, 129783, '\p{^Is_EBase=	true}', "");
    Expect(1, 129783, '\P{Is_EBase=	true}', "");
    Expect(0, 129783, '\P{^Is_EBase=	true}', "");
    Error('\p{Emoji_Component=_/a/no}');
    Error('\P{Emoji_Component=_/a/no}');
    Expect(1, 917632, '\p{Emoji_Component=:\ANo\z:}', "");;
    Expect(0, 917631, '\p{Emoji_Component=:\ANo\z:}', "");;
    Expect(1, 917632, '\p{Emoji_Component:	no}', "");
    Expect(0, 917632, '\p{^Emoji_Component:	no}', "");
    Expect(0, 917632, '\P{Emoji_Component:	no}', "");
    Expect(1, 917632, '\P{^Emoji_Component:	no}', "");
    Expect(0, 917631, '\p{Emoji_Component:	no}', "");
    Expect(1, 917631, '\p{^Emoji_Component:	no}', "");
    Expect(1, 917631, '\P{Emoji_Component:	no}', "");
    Expect(0, 917631, '\P{^Emoji_Component:	no}', "");
    Expect(1, 917632, '\p{Emoji_Component=:\Ano\z:}', "");;
    Expect(0, 917631, '\p{Emoji_Component=:\Ano\z:}', "");;
    Expect(1, 917632, '\p{Emoji_Component=-_NO}', "");
    Expect(0, 917632, '\p{^Emoji_Component=-_NO}', "");
    Expect(0, 917632, '\P{Emoji_Component=-_NO}', "");
    Expect(1, 917632, '\P{^Emoji_Component=-_NO}', "");
    Expect(0, 917631, '\p{Emoji_Component=-_NO}', "");
    Expect(1, 917631, '\p{^Emoji_Component=-_NO}', "");
    Expect(1, 917631, '\P{Emoji_Component=-_NO}', "");
    Expect(0, 917631, '\P{^Emoji_Component=-_NO}', "");
    Error('\p{EComp=:=	_N}');
    Error('\P{EComp=:=	_N}');
    Expect(1, 917632, '\p{EComp=:\AN\z:}', "");;
    Expect(0, 917631, '\p{EComp=:\AN\z:}', "");;
    Expect(1, 917632, '\p{EComp=n}', "");
    Expect(0, 917632, '\p{^EComp=n}', "");
    Expect(0, 917632, '\P{EComp=n}', "");
    Expect(1, 917632, '\P{^EComp=n}', "");
    Expect(0, 917631, '\p{EComp=n}', "");
    Expect(1, 917631, '\p{^EComp=n}', "");
    Expect(1, 917631, '\P{EComp=n}', "");
    Expect(0, 917631, '\P{^EComp=n}', "");
    Expect(1, 917632, '\p{EComp=:\An\z:}', "");;
    Expect(0, 917631, '\p{EComp=:\An\z:}', "");;
    Expect(1, 917632, '\p{EComp=_N}', "");
    Expect(0, 917632, '\p{^EComp=_N}', "");
    Expect(0, 917632, '\P{EComp=_N}', "");
    Expect(1, 917632, '\P{^EComp=_N}', "");
    Expect(0, 917631, '\p{EComp=_N}', "");
    Expect(1, 917631, '\p{^EComp=_N}', "");
    Expect(1, 917631, '\P{EComp=_N}', "");
    Expect(0, 917631, '\P{^EComp=_N}', "");
    Error('\p{Is_Emoji_Component=:=  F}');
    Error('\P{Is_Emoji_Component=:=  F}');
    Expect(1, 917632, '\p{Is_Emoji_Component=f}', "");
    Expect(0, 917632, '\p{^Is_Emoji_Component=f}', "");
    Expect(0, 917632, '\P{Is_Emoji_Component=f}', "");
    Expect(1, 917632, '\P{^Is_Emoji_Component=f}', "");
    Expect(0, 917631, '\p{Is_Emoji_Component=f}', "");
    Expect(1, 917631, '\p{^Is_Emoji_Component=f}', "");
    Expect(1, 917631, '\P{Is_Emoji_Component=f}', "");
    Expect(0, 917631, '\P{^Is_Emoji_Component=f}', "");
    Expect(1, 917632, '\p{Is_Emoji_Component= -F}', "");
    Expect(0, 917632, '\p{^Is_Emoji_Component= -F}', "");
    Expect(0, 917632, '\P{Is_Emoji_Component= -F}', "");
    Expect(1, 917632, '\P{^Is_Emoji_Component= -F}', "");
    Expect(0, 917631, '\p{Is_Emoji_Component= -F}', "");
    Expect(1, 917631, '\p{^Is_Emoji_Component= -F}', "");
    Expect(1, 917631, '\P{Is_Emoji_Component= -F}', "");
    Expect(0, 917631, '\P{^Is_Emoji_Component= -F}', "");
    Error('\p{Is_EComp=/a/	false}');
    Error('\P{Is_EComp=/a/	false}');
    Expect(1, 917632, '\p{Is_EComp=false}', "");
    Expect(0, 917632, '\p{^Is_EComp=false}', "");
    Expect(0, 917632, '\P{Is_EComp=false}', "");
    Expect(1, 917632, '\P{^Is_EComp=false}', "");
    Expect(0, 917631, '\p{Is_EComp=false}', "");
    Expect(1, 917631, '\p{^Is_EComp=false}', "");
    Expect(1, 917631, '\P{Is_EComp=false}', "");
    Expect(0, 917631, '\P{^Is_EComp=false}', "");
    Expect(1, 917632, '\p{Is_EComp= FALSE}', "");
    Expect(0, 917632, '\p{^Is_EComp= FALSE}', "");
    Expect(0, 917632, '\P{Is_EComp= FALSE}', "");
    Expect(1, 917632, '\P{^Is_EComp= FALSE}', "");
    Expect(0, 917631, '\p{Is_EComp= FALSE}', "");
    Expect(1, 917631, '\p{^Is_EComp= FALSE}', "");
    Expect(1, 917631, '\P{Is_EComp= FALSE}', "");
    Expect(0, 917631, '\P{^Is_EComp= FALSE}', "");
    Error('\p{Emoji_Component=/a/_yes}');
    Error('\P{Emoji_Component=/a/_yes}');
    Expect(1, 917631, '\p{Emoji_Component=:\AYes\z:}', "");;
    Expect(0, 917632, '\p{Emoji_Component=:\AYes\z:}', "");;
    Expect(1, 917631, '\p{Emoji_Component=yes}', "");
    Expect(0, 917631, '\p{^Emoji_Component=yes}', "");
    Expect(0, 917631, '\P{Emoji_Component=yes}', "");
    Expect(1, 917631, '\P{^Emoji_Component=yes}', "");
    Expect(0, 917632, '\p{Emoji_Component=yes}', "");
    Expect(1, 917632, '\p{^Emoji_Component=yes}', "");
    Expect(1, 917632, '\P{Emoji_Component=yes}', "");
    Expect(0, 917632, '\P{^Emoji_Component=yes}', "");
    Expect(1, 917631, '\p{Emoji_Component=:\Ayes\z:}', "");;
    Expect(0, 917632, '\p{Emoji_Component=:\Ayes\z:}', "");;
    Expect(1, 917631, '\p{Emoji_Component= YES}', "");
    Expect(0, 917631, '\p{^Emoji_Component= YES}', "");
    Expect(0, 917631, '\P{Emoji_Component= YES}', "");
    Expect(1, 917631, '\P{^Emoji_Component= YES}', "");
    Expect(0, 917632, '\p{Emoji_Component= YES}', "");
    Expect(1, 917632, '\p{^Emoji_Component= YES}', "");
    Expect(1, 917632, '\P{Emoji_Component= YES}', "");
    Expect(0, 917632, '\P{^Emoji_Component= YES}', "");
    Error('\p{EComp=:= Y}');
    Error('\P{EComp=:= Y}');
    Expect(1, 917631, '\p{EComp=:\AY\z:}', "");;
    Expect(0, 917632, '\p{EComp=:\AY\z:}', "");;
    Expect(1, 917631, '\p{EComp=y}', "");
    Expect(0, 917631, '\p{^EComp=y}', "");
    Expect(0, 917631, '\P{EComp=y}', "");
    Expect(1, 917631, '\P{^EComp=y}', "");
    Expect(0, 917632, '\p{EComp=y}', "");
    Expect(1, 917632, '\p{^EComp=y}', "");
    Expect(1, 917632, '\P{EComp=y}', "");
    Expect(0, 917632, '\P{^EComp=y}', "");
    Expect(1, 917631, '\p{EComp=:\Ay\z:}', "");;
    Expect(0, 917632, '\p{EComp=:\Ay\z:}', "");;
    Expect(1, 917631, '\p{EComp=_-Y}', "");
    Expect(0, 917631, '\p{^EComp=_-Y}', "");
    Expect(0, 917631, '\P{EComp=_-Y}', "");
    Expect(1, 917631, '\P{^EComp=_-Y}', "");
    Expect(0, 917632, '\p{EComp=_-Y}', "");
    Expect(1, 917632, '\p{^EComp=_-Y}', "");
    Expect(1, 917632, '\P{EComp=_-Y}', "");
    Expect(0, 917632, '\P{^EComp=_-Y}', "");
    Error('\p{Is_Emoji_Component=_-t:=}');
    Error('\P{Is_Emoji_Component=_-t:=}');
    Expect(1, 917631, '\p{Is_Emoji_Component=t}', "");
    Expect(0, 917631, '\p{^Is_Emoji_Component=t}', "");
    Expect(0, 917631, '\P{Is_Emoji_Component=t}', "");
    Expect(1, 917631, '\P{^Is_Emoji_Component=t}', "");
    Expect(0, 917632, '\p{Is_Emoji_Component=t}', "");
    Expect(1, 917632, '\p{^Is_Emoji_Component=t}', "");
    Expect(1, 917632, '\P{Is_Emoji_Component=t}', "");
    Expect(0, 917632, '\P{^Is_Emoji_Component=t}', "");
    Expect(1, 917631, '\p{Is_Emoji_Component:	__T}', "");
    Expect(0, 917631, '\p{^Is_Emoji_Component:	__T}', "");
    Expect(0, 917631, '\P{Is_Emoji_Component:	__T}', "");
    Expect(1, 917631, '\P{^Is_Emoji_Component:	__T}', "");
    Expect(0, 917632, '\p{Is_Emoji_Component:	__T}', "");
    Expect(1, 917632, '\p{^Is_Emoji_Component:	__T}', "");
    Expect(1, 917632, '\P{Is_Emoji_Component:	__T}', "");
    Expect(0, 917632, '\P{^Is_Emoji_Component:	__T}', "");
    Error('\p{Is_EComp=_/a/TRUE}');
    Error('\P{Is_EComp=_/a/TRUE}');
    Expect(1, 917631, '\p{Is_EComp=true}', "");
    Expect(0, 917631, '\p{^Is_EComp=true}', "");
    Expect(0, 917631, '\P{Is_EComp=true}', "");
    Expect(1, 917631, '\P{^Is_EComp=true}', "");
    Expect(0, 917632, '\p{Is_EComp=true}', "");
    Expect(1, 917632, '\p{^Is_EComp=true}', "");
    Expect(1, 917632, '\P{Is_EComp=true}', "");
    Expect(0, 917632, '\P{^Is_EComp=true}', "");
    Expect(1, 917631, '\p{Is_EComp: 	true}', "");
    Expect(0, 917631, '\p{^Is_EComp: 	true}', "");
    Expect(0, 917631, '\P{Is_EComp: 	true}', "");
    Expect(1, 917631, '\P{^Is_EComp: 	true}', "");
    Expect(0, 917632, '\p{Is_EComp: 	true}', "");
    Expect(1, 917632, '\p{^Is_EComp: 	true}', "");
    Expect(1, 917632, '\P{Is_EComp: 	true}', "");
    Expect(0, 917632, '\P{^Is_EComp: 	true}', "");
    Error('\p{Emoji_Modifier=/a/_No}');
    Error('\P{Emoji_Modifier=/a/_No}');
    Expect(1, 128000, '\p{Emoji_Modifier=:\ANo\z:}', "");;
    Expect(0, 127999, '\p{Emoji_Modifier=:\ANo\z:}', "");;
    Expect(1, 128000, '\p{Emoji_Modifier=no}', "");
    Expect(0, 128000, '\p{^Emoji_Modifier=no}', "");
    Expect(0, 128000, '\P{Emoji_Modifier=no}', "");
    Expect(1, 128000, '\P{^Emoji_Modifier=no}', "");
    Expect(0, 127999, '\p{Emoji_Modifier=no}', "");
    Expect(1, 127999, '\p{^Emoji_Modifier=no}', "");
    Expect(1, 127999, '\P{Emoji_Modifier=no}', "");
    Expect(0, 127999, '\P{^Emoji_Modifier=no}', "");
    Expect(1, 128000, '\p{Emoji_Modifier=:\Ano\z:}', "");;
    Expect(0, 127999, '\p{Emoji_Modifier=:\Ano\z:}', "");;
    Expect(1, 128000, '\p{Emoji_Modifier=--No}', "");
    Expect(0, 128000, '\p{^Emoji_Modifier=--No}', "");
    Expect(0, 128000, '\P{Emoji_Modifier=--No}', "");
    Expect(1, 128000, '\P{^Emoji_Modifier=--No}', "");
    Expect(0, 127999, '\p{Emoji_Modifier=--No}', "");
    Expect(1, 127999, '\p{^Emoji_Modifier=--No}', "");
    Expect(1, 127999, '\P{Emoji_Modifier=--No}', "");
    Expect(0, 127999, '\P{^Emoji_Modifier=--No}', "");
    Error('\p{EMod=:=--N}');
    Error('\P{EMod=:=--N}');
    Expect(1, 128000, '\p{EMod=:\AN\z:}', "");;
    Expect(0, 127999, '\p{EMod=:\AN\z:}', "");;
    Expect(1, 128000, '\p{EMod=n}', "");
    Expect(0, 128000, '\p{^EMod=n}', "");
    Expect(0, 128000, '\P{EMod=n}', "");
    Expect(1, 128000, '\P{^EMod=n}', "");
    Expect(0, 127999, '\p{EMod=n}', "");
    Expect(1, 127999, '\p{^EMod=n}', "");
    Expect(1, 127999, '\P{EMod=n}', "");
    Expect(0, 127999, '\P{^EMod=n}', "");
    Expect(1, 128000, '\p{EMod=:\An\z:}', "");;
    Expect(0, 127999, '\p{EMod=:\An\z:}', "");;
    Expect(1, 128000, '\p{EMod=_ N}', "");
    Expect(0, 128000, '\p{^EMod=_ N}', "");
    Expect(0, 128000, '\P{EMod=_ N}', "");
    Expect(1, 128000, '\P{^EMod=_ N}', "");
    Expect(0, 127999, '\p{EMod=_ N}', "");
    Expect(1, 127999, '\p{^EMod=_ N}', "");
    Expect(1, 127999, '\P{EMod=_ N}', "");
    Expect(0, 127999, '\P{^EMod=_ N}', "");
    Error('\p{Is_Emoji_Modifier=:= 	F}');
    Error('\P{Is_Emoji_Modifier=:= 	F}');
    Expect(1, 128000, '\p{Is_Emoji_Modifier=f}', "");
    Expect(0, 128000, '\p{^Is_Emoji_Modifier=f}', "");
    Expect(0, 128000, '\P{Is_Emoji_Modifier=f}', "");
    Expect(1, 128000, '\P{^Is_Emoji_Modifier=f}', "");
    Expect(0, 127999, '\p{Is_Emoji_Modifier=f}', "");
    Expect(1, 127999, '\p{^Is_Emoji_Modifier=f}', "");
    Expect(1, 127999, '\P{Is_Emoji_Modifier=f}', "");
    Expect(0, 127999, '\P{^Is_Emoji_Modifier=f}', "");
    Expect(1, 128000, '\p{Is_Emoji_Modifier=_ F}', "");
    Expect(0, 128000, '\p{^Is_Emoji_Modifier=_ F}', "");
    Expect(0, 128000, '\P{Is_Emoji_Modifier=_ F}', "");
    Expect(1, 128000, '\P{^Is_Emoji_Modifier=_ F}', "");
    Expect(0, 127999, '\p{Is_Emoji_Modifier=_ F}', "");
    Expect(1, 127999, '\p{^Is_Emoji_Modifier=_ F}', "");
    Expect(1, 127999, '\P{Is_Emoji_Modifier=_ F}', "");
    Expect(0, 127999, '\P{^Is_Emoji_Modifier=_ F}', "");
    Error('\p{Is_EMod=/a/-False}');
    Error('\P{Is_EMod=/a/-False}');
    Expect(1, 128000, '\p{Is_EMod:false}', "");
    Expect(0, 128000, '\p{^Is_EMod:false}', "");
    Expect(0, 128000, '\P{Is_EMod:false}', "");
    Expect(1, 128000, '\P{^Is_EMod:false}', "");
    Expect(0, 127999, '\p{Is_EMod:false}', "");
    Expect(1, 127999, '\p{^Is_EMod:false}', "");
    Expect(1, 127999, '\P{Is_EMod:false}', "");
    Expect(0, 127999, '\P{^Is_EMod:false}', "");
    Expect(1, 128000, '\p{Is_EMod=	 false}', "");
    Expect(0, 128000, '\p{^Is_EMod=	 false}', "");
    Expect(0, 128000, '\P{Is_EMod=	 false}', "");
    Expect(1, 128000, '\P{^Is_EMod=	 false}', "");
    Expect(0, 127999, '\p{Is_EMod=	 false}', "");
    Expect(1, 127999, '\p{^Is_EMod=	 false}', "");
    Expect(1, 127999, '\P{Is_EMod=	 false}', "");
    Expect(0, 127999, '\P{^Is_EMod=	 false}', "");
    Error('\p{Emoji_Modifier:_-YES:=}');
    Error('\P{Emoji_Modifier:_-YES:=}');
    Expect(1, 127999, '\p{Emoji_Modifier=:\AYes\z:}', "");;
    Expect(0, 128000, '\p{Emoji_Modifier=:\AYes\z:}', "");;
    Expect(1, 127999, '\p{Emoji_Modifier=yes}', "");
    Expect(0, 127999, '\p{^Emoji_Modifier=yes}', "");
    Expect(0, 127999, '\P{Emoji_Modifier=yes}', "");
    Expect(1, 127999, '\P{^Emoji_Modifier=yes}', "");
    Expect(0, 128000, '\p{Emoji_Modifier=yes}', "");
    Expect(1, 128000, '\p{^Emoji_Modifier=yes}', "");
    Expect(1, 128000, '\P{Emoji_Modifier=yes}', "");
    Expect(0, 128000, '\P{^Emoji_Modifier=yes}', "");
    Expect(1, 127999, '\p{Emoji_Modifier=:\Ayes\z:}', "");;
    Expect(0, 128000, '\p{Emoji_Modifier=:\Ayes\z:}', "");;
    Expect(1, 127999, '\p{Emoji_Modifier=_Yes}', "");
    Expect(0, 127999, '\p{^Emoji_Modifier=_Yes}', "");
    Expect(0, 127999, '\P{Emoji_Modifier=_Yes}', "");
    Expect(1, 127999, '\P{^Emoji_Modifier=_Yes}', "");
    Expect(0, 128000, '\p{Emoji_Modifier=_Yes}', "");
    Expect(1, 128000, '\p{^Emoji_Modifier=_Yes}', "");
    Expect(1, 128000, '\P{Emoji_Modifier=_Yes}', "");
    Expect(0, 128000, '\P{^Emoji_Modifier=_Yes}', "");
    Error('\p{EMod=-Y:=}');
    Error('\P{EMod=-Y:=}');
    Expect(1, 127999, '\p{EMod=:\AY\z:}', "");;
    Expect(0, 128000, '\p{EMod=:\AY\z:}', "");;
    Expect(1, 127999, '\p{EMod=y}', "");
    Expect(0, 127999, '\p{^EMod=y}', "");
    Expect(0, 127999, '\P{EMod=y}', "");
    Expect(1, 127999, '\P{^EMod=y}', "");
    Expect(0, 128000, '\p{EMod=y}', "");
    Expect(1, 128000, '\p{^EMod=y}', "");
    Expect(1, 128000, '\P{EMod=y}', "");
    Expect(0, 128000, '\P{^EMod=y}', "");
    Expect(1, 127999, '\p{EMod=:\Ay\z:}', "");;
    Expect(0, 128000, '\p{EMod=:\Ay\z:}', "");;
    Expect(1, 127999, '\p{EMod=-_Y}', "");
    Expect(0, 127999, '\p{^EMod=-_Y}', "");
    Expect(0, 127999, '\P{EMod=-_Y}', "");
    Expect(1, 127999, '\P{^EMod=-_Y}', "");
    Expect(0, 128000, '\p{EMod=-_Y}', "");
    Expect(1, 128000, '\p{^EMod=-_Y}', "");
    Expect(1, 128000, '\P{EMod=-_Y}', "");
    Expect(0, 128000, '\P{^EMod=-_Y}', "");
    Error('\p{Is_Emoji_Modifier=:= _T}');
    Error('\P{Is_Emoji_Modifier=:= _T}');
    Expect(1, 127999, '\p{Is_Emoji_Modifier=t}', "");
    Expect(0, 127999, '\p{^Is_Emoji_Modifier=t}', "");
    Expect(0, 127999, '\P{Is_Emoji_Modifier=t}', "");
    Expect(1, 127999, '\P{^Is_Emoji_Modifier=t}', "");
    Expect(0, 128000, '\p{Is_Emoji_Modifier=t}', "");
    Expect(1, 128000, '\p{^Is_Emoji_Modifier=t}', "");
    Expect(1, 128000, '\P{Is_Emoji_Modifier=t}', "");
    Expect(0, 128000, '\P{^Is_Emoji_Modifier=t}', "");
    Expect(1, 127999, '\p{Is_Emoji_Modifier=--T}', "");
    Expect(0, 127999, '\p{^Is_Emoji_Modifier=--T}', "");
    Expect(0, 127999, '\P{Is_Emoji_Modifier=--T}', "");
    Expect(1, 127999, '\P{^Is_Emoji_Modifier=--T}', "");
    Expect(0, 128000, '\p{Is_Emoji_Modifier=--T}', "");
    Expect(1, 128000, '\p{^Is_Emoji_Modifier=--T}', "");
    Expect(1, 128000, '\P{Is_Emoji_Modifier=--T}', "");
    Expect(0, 128000, '\P{^Is_Emoji_Modifier=--T}', "");
    Error('\p{Is_EMod=/a/ -true}');
    Error('\P{Is_EMod=/a/ -true}');
    Expect(1, 127999, '\p{Is_EMod=true}', "");
    Expect(0, 127999, '\p{^Is_EMod=true}', "");
    Expect(0, 127999, '\P{Is_EMod=true}', "");
    Expect(1, 127999, '\P{^Is_EMod=true}', "");
    Expect(0, 128000, '\p{Is_EMod=true}', "");
    Expect(1, 128000, '\p{^Is_EMod=true}', "");
    Expect(1, 128000, '\P{Is_EMod=true}', "");
    Expect(0, 128000, '\P{^Is_EMod=true}', "");
    Expect(1, 127999, '\p{Is_EMod=_	TRUE}', "");
    Expect(0, 127999, '\p{^Is_EMod=_	TRUE}', "");
    Expect(0, 127999, '\P{Is_EMod=_	TRUE}', "");
    Expect(1, 127999, '\P{^Is_EMod=_	TRUE}', "");
    Expect(0, 128000, '\p{Is_EMod=_	TRUE}', "");
    Expect(1, 128000, '\p{^Is_EMod=_	TRUE}', "");
    Expect(1, 128000, '\P{Is_EMod=_	TRUE}', "");
    Expect(0, 128000, '\P{^Is_EMod=_	TRUE}', "");
    Error('\p{Emoji=:=No}');
    Error('\P{Emoji=:=No}');
    Expect(1, 129783, '\p{Emoji=:\ANo\z:}', "");;
    Expect(0, 129782, '\p{Emoji=:\ANo\z:}', "");;
    Expect(1, 129783, '\p{Emoji=no}', "");
    Expect(0, 129783, '\p{^Emoji=no}', "");
    Expect(0, 129783, '\P{Emoji=no}', "");
    Expect(1, 129783, '\P{^Emoji=no}', "");
    Expect(0, 129782, '\p{Emoji=no}', "");
    Expect(1, 129782, '\p{^Emoji=no}', "");
    Expect(1, 129782, '\P{Emoji=no}', "");
    Expect(0, 129782, '\P{^Emoji=no}', "");
    Expect(1, 129783, '\p{Emoji=:\Ano\z:}', "");;
    Expect(0, 129782, '\p{Emoji=:\Ano\z:}', "");;
    Expect(1, 129783, '\p{Emoji= no}', "");
    Expect(0, 129783, '\p{^Emoji= no}', "");
    Expect(0, 129783, '\P{Emoji= no}', "");
    Expect(1, 129783, '\P{^Emoji= no}', "");
    Expect(0, 129782, '\p{Emoji= no}', "");
    Expect(1, 129782, '\p{^Emoji= no}', "");
    Expect(1, 129782, '\P{Emoji= no}', "");
    Expect(0, 129782, '\P{^Emoji= no}', "");
    Error('\p{Is_Emoji= n/a/}');
    Error('\P{Is_Emoji= n/a/}');
    Expect(1, 129783, '\p{Is_Emoji:n}', "");
    Expect(0, 129783, '\p{^Is_Emoji:n}', "");
    Expect(0, 129783, '\P{Is_Emoji:n}', "");
    Expect(1, 129783, '\P{^Is_Emoji:n}', "");
    Expect(0, 129782, '\p{Is_Emoji:n}', "");
    Expect(1, 129782, '\p{^Is_Emoji:n}', "");
    Expect(1, 129782, '\P{Is_Emoji:n}', "");
    Expect(0, 129782, '\P{^Is_Emoji:n}', "");
    Expect(1, 129783, '\p{Is_Emoji=_	N}', "");
    Expect(0, 129783, '\p{^Is_Emoji=_	N}', "");
    Expect(0, 129783, '\P{Is_Emoji=_	N}', "");
    Expect(1, 129783, '\P{^Is_Emoji=_	N}', "");
    Expect(0, 129782, '\p{Is_Emoji=_	N}', "");
    Expect(1, 129782, '\p{^Is_Emoji=_	N}', "");
    Expect(1, 129782, '\P{Is_Emoji=_	N}', "");
    Expect(0, 129782, '\P{^Is_Emoji=_	N}', "");
    Error('\p{Emoji=-_f/a/}');
    Error('\P{Emoji=-_f/a/}');
    Expect(1, 129783, '\p{Emoji=:\AF\z:}', "");;
    Expect(0, 129782, '\p{Emoji=:\AF\z:}', "");;
    Expect(1, 129783, '\p{Emoji=f}', "");
    Expect(0, 129783, '\p{^Emoji=f}', "");
    Expect(0, 129783, '\P{Emoji=f}', "");
    Expect(1, 129783, '\P{^Emoji=f}', "");
    Expect(0, 129782, '\p{Emoji=f}', "");
    Expect(1, 129782, '\p{^Emoji=f}', "");
    Expect(1, 129782, '\P{Emoji=f}', "");
    Expect(0, 129782, '\P{^Emoji=f}', "");
    Expect(1, 129783, '\p{Emoji=:\Af\z:}', "");;
    Expect(0, 129782, '\p{Emoji=:\Af\z:}', "");;
    Expect(1, 129783, '\p{Emoji=	-F}', "");
    Expect(0, 129783, '\p{^Emoji=	-F}', "");
    Expect(0, 129783, '\P{Emoji=	-F}', "");
    Expect(1, 129783, '\P{^Emoji=	-F}', "");
    Expect(0, 129782, '\p{Emoji=	-F}', "");
    Expect(1, 129782, '\p{^Emoji=	-F}', "");
    Expect(1, 129782, '\P{Emoji=	-F}', "");
    Expect(0, 129782, '\P{^Emoji=	-F}', "");
    Error('\p{Is_Emoji=  false/a/}');
    Error('\P{Is_Emoji=  false/a/}');
    Expect(1, 129783, '\p{Is_Emoji=false}', "");
    Expect(0, 129783, '\p{^Is_Emoji=false}', "");
    Expect(0, 129783, '\P{Is_Emoji=false}', "");
    Expect(1, 129783, '\P{^Is_Emoji=false}', "");
    Expect(0, 129782, '\p{Is_Emoji=false}', "");
    Expect(1, 129782, '\p{^Is_Emoji=false}', "");
    Expect(1, 129782, '\P{Is_Emoji=false}', "");
    Expect(0, 129782, '\P{^Is_Emoji=false}', "");
    Expect(1, 129783, '\p{Is_Emoji=	_false}', "");
    Expect(0, 129783, '\p{^Is_Emoji=	_false}', "");
    Expect(0, 129783, '\P{Is_Emoji=	_false}', "");
    Expect(1, 129783, '\P{^Is_Emoji=	_false}', "");
    Expect(0, 129782, '\p{Is_Emoji=	_false}', "");
    Expect(1, 129782, '\p{^Is_Emoji=	_false}', "");
    Expect(1, 129782, '\P{Is_Emoji=	_false}', "");
    Expect(0, 129782, '\P{^Is_Emoji=	_false}', "");
    Error('\p{Emoji=:= -YES}');
    Error('\P{Emoji=:= -YES}');
    Expect(1, 129782, '\p{Emoji=:\AYes\z:}', "");;
    Expect(0, 129783, '\p{Emoji=:\AYes\z:}', "");;
    Expect(1, 129782, '\p{Emoji=yes}', "");
    Expect(0, 129782, '\p{^Emoji=yes}', "");
    Expect(0, 129782, '\P{Emoji=yes}', "");
    Expect(1, 129782, '\P{^Emoji=yes}', "");
    Expect(0, 129783, '\p{Emoji=yes}', "");
    Expect(1, 129783, '\p{^Emoji=yes}', "");
    Expect(1, 129783, '\P{Emoji=yes}', "");
    Expect(0, 129783, '\P{^Emoji=yes}', "");
    Expect(1, 129782, '\p{Emoji=:\Ayes\z:}', "");;
    Expect(0, 129783, '\p{Emoji=:\Ayes\z:}', "");;
    Expect(1, 129782, '\p{Emoji=  Yes}', "");
    Expect(0, 129782, '\p{^Emoji=  Yes}', "");
    Expect(0, 129782, '\P{Emoji=  Yes}', "");
    Expect(1, 129782, '\P{^Emoji=  Yes}', "");
    Expect(0, 129783, '\p{Emoji=  Yes}', "");
    Expect(1, 129783, '\p{^Emoji=  Yes}', "");
    Expect(1, 129783, '\P{Emoji=  Yes}', "");
    Expect(0, 129783, '\P{^Emoji=  Yes}', "");
    Error('\p{Is_Emoji=/a/ -Y}');
    Error('\P{Is_Emoji=/a/ -Y}');
    Expect(1, 129782, '\p{Is_Emoji=y}', "");
    Expect(0, 129782, '\p{^Is_Emoji=y}', "");
    Expect(0, 129782, '\P{Is_Emoji=y}', "");
    Expect(1, 129782, '\P{^Is_Emoji=y}', "");
    Expect(0, 129783, '\p{Is_Emoji=y}', "");
    Expect(1, 129783, '\p{^Is_Emoji=y}', "");
    Expect(1, 129783, '\P{Is_Emoji=y}', "");
    Expect(0, 129783, '\P{^Is_Emoji=y}', "");
    Expect(1, 129782, '\p{Is_Emoji=_y}', "");
    Expect(0, 129782, '\p{^Is_Emoji=_y}', "");
    Expect(0, 129782, '\P{Is_Emoji=_y}', "");
    Expect(1, 129782, '\P{^Is_Emoji=_y}', "");
    Expect(0, 129783, '\p{Is_Emoji=_y}', "");
    Expect(1, 129783, '\p{^Is_Emoji=_y}', "");
    Expect(1, 129783, '\P{Is_Emoji=_y}', "");
    Expect(0, 129783, '\P{^Is_Emoji=_y}', "");
    Error('\p{Emoji=	t:=}');
    Error('\P{Emoji=	t:=}');
    Expect(1, 129782, '\p{Emoji=:\AT\z:}', "");;
    Expect(0, 129783, '\p{Emoji=:\AT\z:}', "");;
    Expect(1, 129782, '\p{Emoji=t}', "");
    Expect(0, 129782, '\p{^Emoji=t}', "");
    Expect(0, 129782, '\P{Emoji=t}', "");
    Expect(1, 129782, '\P{^Emoji=t}', "");
    Expect(0, 129783, '\p{Emoji=t}', "");
    Expect(1, 129783, '\p{^Emoji=t}', "");
    Expect(1, 129783, '\P{Emoji=t}', "");
    Expect(0, 129783, '\P{^Emoji=t}', "");
    Expect(1, 129782, '\p{Emoji=:\At\z:}', "");;
    Expect(0, 129783, '\p{Emoji=:\At\z:}', "");;
    Expect(1, 129782, '\p{Emoji=--T}', "");
    Expect(0, 129782, '\p{^Emoji=--T}', "");
    Expect(0, 129782, '\P{Emoji=--T}', "");
    Expect(1, 129782, '\P{^Emoji=--T}', "");
    Expect(0, 129783, '\p{Emoji=--T}', "");
    Expect(1, 129783, '\p{^Emoji=--T}', "");
    Expect(1, 129783, '\P{Emoji=--T}', "");
    Expect(0, 129783, '\P{^Emoji=--T}', "");
    Error('\p{Is_Emoji= :=True}');
    Error('\P{Is_Emoji= :=True}');
    Expect(1, 129782, '\p{Is_Emoji=true}', "");
    Expect(0, 129782, '\p{^Is_Emoji=true}', "");
    Expect(0, 129782, '\P{Is_Emoji=true}', "");
    Expect(1, 129782, '\P{^Is_Emoji=true}', "");
    Expect(0, 129783, '\p{Is_Emoji=true}', "");
    Expect(1, 129783, '\p{^Is_Emoji=true}', "");
    Expect(1, 129783, '\P{Is_Emoji=true}', "");
    Expect(0, 129783, '\P{^Is_Emoji=true}', "");
    Expect(1, 129782, '\p{Is_Emoji=__True}', "");
    Expect(0, 129782, '\p{^Is_Emoji=__True}', "");
    Expect(0, 129782, '\P{Is_Emoji=__True}', "");
    Expect(1, 129782, '\P{^Is_Emoji=__True}', "");
    Expect(0, 129783, '\p{Is_Emoji=__True}', "");
    Expect(1, 129783, '\p{^Is_Emoji=__True}', "");
    Expect(1, 129783, '\P{Is_Emoji=__True}', "");
    Expect(0, 129783, '\P{^Is_Emoji=__True}', "");
    Error('\p{Emoji_Presentation=_	no/a/}');
    Error('\P{Emoji_Presentation=_	no/a/}');
    Expect(1, 129783, '\p{Emoji_Presentation=:\ANo\z:}', "");;
    Expect(0, 129782, '\p{Emoji_Presentation=:\ANo\z:}', "");;
    Expect(1, 129783, '\p{Emoji_Presentation=no}', "");
    Expect(0, 129783, '\p{^Emoji_Presentation=no}', "");
    Expect(0, 129783, '\P{Emoji_Presentation=no}', "");
    Expect(1, 129783, '\P{^Emoji_Presentation=no}', "");
    Expect(0, 129782, '\p{Emoji_Presentation=no}', "");
    Expect(1, 129782, '\p{^Emoji_Presentation=no}', "");
    Expect(1, 129782, '\P{Emoji_Presentation=no}', "");
    Expect(0, 129782, '\P{^Emoji_Presentation=no}', "");
    Expect(1, 129783, '\p{Emoji_Presentation=:\Ano\z:}', "");;
    Expect(0, 129782, '\p{Emoji_Presentation=:\Ano\z:}', "");;
    Expect(1, 129783, '\p{Emoji_Presentation=_ NO}', "");
    Expect(0, 129783, '\p{^Emoji_Presentation=_ NO}', "");
    Expect(0, 129783, '\P{Emoji_Presentation=_ NO}', "");
    Expect(1, 129783, '\P{^Emoji_Presentation=_ NO}', "");
    Expect(0, 129782, '\p{Emoji_Presentation=_ NO}', "");
    Expect(1, 129782, '\p{^Emoji_Presentation=_ NO}', "");
    Expect(1, 129782, '\P{Emoji_Presentation=_ NO}', "");
    Expect(0, 129782, '\P{^Emoji_Presentation=_ NO}', "");
    Error('\p{EPres= :=N}');
    Error('\P{EPres= :=N}');
    Expect(1, 129783, '\p{EPres=:\AN\z:}', "");;
    Expect(0, 129782, '\p{EPres=:\AN\z:}', "");;
    Expect(1, 129783, '\p{EPres=n}', "");
    Expect(0, 129783, '\p{^EPres=n}', "");
    Expect(0, 129783, '\P{EPres=n}', "");
    Expect(1, 129783, '\P{^EPres=n}', "");
    Expect(0, 129782, '\p{EPres=n}', "");
    Expect(1, 129782, '\p{^EPres=n}', "");
    Expect(1, 129782, '\P{EPres=n}', "");
    Expect(0, 129782, '\P{^EPres=n}', "");
    Expect(1, 129783, '\p{EPres=:\An\z:}', "");;
    Expect(0, 129782, '\p{EPres=:\An\z:}', "");;
    Expect(1, 129783, '\p{EPres=_	N}', "");
    Expect(0, 129783, '\p{^EPres=_	N}', "");
    Expect(0, 129783, '\P{EPres=_	N}', "");
    Expect(1, 129783, '\P{^EPres=_	N}', "");
    Expect(0, 129782, '\p{EPres=_	N}', "");
    Expect(1, 129782, '\p{^EPres=_	N}', "");
    Expect(1, 129782, '\P{EPres=_	N}', "");
    Expect(0, 129782, '\P{^EPres=_	N}', "");
    Error('\p{Is_Emoji_Presentation=:=	_f}');
    Error('\P{Is_Emoji_Presentation=:=	_f}');
    Expect(1, 129783, '\p{Is_Emoji_Presentation=f}', "");
    Expect(0, 129783, '\p{^Is_Emoji_Presentation=f}', "");
    Expect(0, 129783, '\P{Is_Emoji_Presentation=f}', "");
    Expect(1, 129783, '\P{^Is_Emoji_Presentation=f}', "");
    Expect(0, 129782, '\p{Is_Emoji_Presentation=f}', "");
    Expect(1, 129782, '\p{^Is_Emoji_Presentation=f}', "");
    Expect(1, 129782, '\P{Is_Emoji_Presentation=f}', "");
    Expect(0, 129782, '\P{^Is_Emoji_Presentation=f}', "");
    Expect(1, 129783, '\p{Is_Emoji_Presentation=_F}', "");
    Expect(0, 129783, '\p{^Is_Emoji_Presentation=_F}', "");
    Expect(0, 129783, '\P{Is_Emoji_Presentation=_F}', "");
    Expect(1, 129783, '\P{^Is_Emoji_Presentation=_F}', "");
    Expect(0, 129782, '\p{Is_Emoji_Presentation=_F}', "");
    Expect(1, 129782, '\p{^Is_Emoji_Presentation=_F}', "");
    Expect(1, 129782, '\P{Is_Emoji_Presentation=_F}', "");
    Expect(0, 129782, '\P{^Is_Emoji_Presentation=_F}', "");
    Error('\p{Is_EPres=_-false/a/}');
    Error('\P{Is_EPres=_-false/a/}');
    Expect(1, 129783, '\p{Is_EPres=false}', "");
    Expect(0, 129783, '\p{^Is_EPres=false}', "");
    Expect(0, 129783, '\P{Is_EPres=false}', "");
    Expect(1, 129783, '\P{^Is_EPres=false}', "");
    Expect(0, 129782, '\p{Is_EPres=false}', "");
    Expect(1, 129782, '\p{^Is_EPres=false}', "");
    Expect(1, 129782, '\P{Is_EPres=false}', "");
    Expect(0, 129782, '\P{^Is_EPres=false}', "");
    Expect(1, 129783, '\p{Is_EPres=	_false}', "");
    Expect(0, 129783, '\p{^Is_EPres=	_false}', "");
    Expect(0, 129783, '\P{Is_EPres=	_false}', "");
    Expect(1, 129783, '\P{^Is_EPres=	_false}', "");
    Expect(0, 129782, '\p{Is_EPres=	_false}', "");
    Expect(1, 129782, '\p{^Is_EPres=	_false}', "");
    Expect(1, 129782, '\P{Is_EPres=	_false}', "");
    Expect(0, 129782, '\P{^Is_EPres=	_false}', "");
    Error('\p{Emoji_Presentation= /a/Yes}');
    Error('\P{Emoji_Presentation= /a/Yes}');
    Expect(1, 129782, '\p{Emoji_Presentation=:\AYes\z:}', "");;
    Expect(0, 129783, '\p{Emoji_Presentation=:\AYes\z:}', "");;
    Expect(1, 129782, '\p{Emoji_Presentation=yes}', "");
    Expect(0, 129782, '\p{^Emoji_Presentation=yes}', "");
    Expect(0, 129782, '\P{Emoji_Presentation=yes}', "");
    Expect(1, 129782, '\P{^Emoji_Presentation=yes}', "");
    Expect(0, 129783, '\p{Emoji_Presentation=yes}', "");
    Expect(1, 129783, '\p{^Emoji_Presentation=yes}', "");
    Expect(1, 129783, '\P{Emoji_Presentation=yes}', "");
    Expect(0, 129783, '\P{^Emoji_Presentation=yes}', "");
    Expect(1, 129782, '\p{Emoji_Presentation=:\Ayes\z:}', "");;
    Expect(0, 129783, '\p{Emoji_Presentation=:\Ayes\z:}', "");;
    Expect(1, 129782, '\p{Emoji_Presentation=_Yes}', "");
    Expect(0, 129782, '\p{^Emoji_Presentation=_Yes}', "");
    Expect(0, 129782, '\P{Emoji_Presentation=_Yes}', "");
    Expect(1, 129782, '\P{^Emoji_Presentation=_Yes}', "");
    Expect(0, 129783, '\p{Emoji_Presentation=_Yes}', "");
    Expect(1, 129783, '\p{^Emoji_Presentation=_Yes}', "");
    Expect(1, 129783, '\P{Emoji_Presentation=_Yes}', "");
    Expect(0, 129783, '\P{^Emoji_Presentation=_Yes}', "");
    Error('\p{EPres=/a/	_Y}');
    Error('\P{EPres=/a/	_Y}');
    Expect(1, 129782, '\p{EPres=:\AY\z:}', "");;
    Expect(0, 129783, '\p{EPres=:\AY\z:}', "");;
    Expect(1, 129782, '\p{EPres=y}', "");
    Expect(0, 129782, '\p{^EPres=y}', "");
    Expect(0, 129782, '\P{EPres=y}', "");
    Expect(1, 129782, '\P{^EPres=y}', "");
    Expect(0, 129783, '\p{EPres=y}', "");
    Expect(1, 129783, '\p{^EPres=y}', "");
    Expect(1, 129783, '\P{EPres=y}', "");
    Expect(0, 129783, '\P{^EPres=y}', "");
    Expect(1, 129782, '\p{EPres=:\Ay\z:}', "");;
    Expect(0, 129783, '\p{EPres=:\Ay\z:}', "");;
    Expect(1, 129782, '\p{EPres= 	Y}', "");
    Expect(0, 129782, '\p{^EPres= 	Y}', "");
    Expect(0, 129782, '\P{EPres= 	Y}', "");
    Expect(1, 129782, '\P{^EPres= 	Y}', "");
    Expect(0, 129783, '\p{EPres= 	Y}', "");
    Expect(1, 129783, '\p{^EPres= 	Y}', "");
    Expect(1, 129783, '\P{EPres= 	Y}', "");
    Expect(0, 129783, '\P{^EPres= 	Y}', "");
    Error('\p{Is_Emoji_Presentation=:=-T}');
    Error('\P{Is_Emoji_Presentation=:=-T}');
    Expect(1, 129782, '\p{Is_Emoji_Presentation=t}', "");
    Expect(0, 129782, '\p{^Is_Emoji_Presentation=t}', "");
    Expect(0, 129782, '\P{Is_Emoji_Presentation=t}', "");
    Expect(1, 129782, '\P{^Is_Emoji_Presentation=t}', "");
    Expect(0, 129783, '\p{Is_Emoji_Presentation=t}', "");
    Expect(1, 129783, '\p{^Is_Emoji_Presentation=t}', "");
    Expect(1, 129783, '\P{Is_Emoji_Presentation=t}', "");
    Expect(0, 129783, '\P{^Is_Emoji_Presentation=t}', "");
    Expect(1, 129782, '\p{Is_Emoji_Presentation=--t}', "");
    Expect(0, 129782, '\p{^Is_Emoji_Presentation=--t}', "");
    Expect(0, 129782, '\P{Is_Emoji_Presentation=--t}', "");
    Expect(1, 129782, '\P{^Is_Emoji_Presentation=--t}', "");
    Expect(0, 129783, '\p{Is_Emoji_Presentation=--t}', "");
    Expect(1, 129783, '\p{^Is_Emoji_Presentation=--t}', "");
    Expect(1, 129783, '\P{Is_Emoji_Presentation=--t}', "");
    Expect(0, 129783, '\P{^Is_Emoji_Presentation=--t}', "");
    Error('\p{Is_EPres= /a/True}');
    Error('\P{Is_EPres= /a/True}');
    Expect(1, 129782, '\p{Is_EPres=true}', "");
    Expect(0, 129782, '\p{^Is_EPres=true}', "");
    Expect(0, 129782, '\P{Is_EPres=true}', "");
    Expect(1, 129782, '\P{^Is_EPres=true}', "");
    Expect(0, 129783, '\p{Is_EPres=true}', "");
    Expect(1, 129783, '\p{^Is_EPres=true}', "");
    Expect(1, 129783, '\P{Is_EPres=true}', "");
    Expect(0, 129783, '\P{^Is_EPres=true}', "");
    Expect(1, 129782, '\p{Is_EPres=_	true}', "");
    Expect(0, 129782, '\p{^Is_EPres=_	true}', "");
    Expect(0, 129782, '\P{Is_EPres=_	true}', "");
    Expect(1, 129782, '\P{^Is_EPres=_	true}', "");
    Expect(0, 129783, '\p{Is_EPres=_	true}', "");
    Expect(1, 129783, '\p{^Is_EPres=_	true}', "");
    Expect(1, 129783, '\P{Is_EPres=_	true}', "");
    Expect(0, 129783, '\P{^Is_EPres=_	true}', "");
    Error('\p{equivalentunifiedideograph}');
    Error('\P{equivalentunifiedideograph}');
    Error('\p{equideo}');
    Error('\P{equideo}');
    Error('\p{Extender= :=no}');
    Error('\P{Extender= :=no}');
    Expect(1, 125255, '\p{Extender=:\ANo\z:}', "");;
    Expect(0, 125254, '\p{Extender=:\ANo\z:}', "");;
    Expect(1, 125255, '\p{Extender: no}', "");
    Expect(0, 125255, '\p{^Extender: no}', "");
    Expect(0, 125255, '\P{Extender: no}', "");
    Expect(1, 125255, '\P{^Extender: no}', "");
    Expect(0, 125254, '\p{Extender: no}', "");
    Expect(1, 125254, '\p{^Extender: no}', "");
    Expect(1, 125254, '\P{Extender: no}', "");
    Expect(0, 125254, '\P{^Extender: no}', "");
    Expect(1, 125255, '\p{Extender=:\Ano\z:}', "");;
    Expect(0, 125254, '\p{Extender=:\Ano\z:}', "");;
    Expect(1, 125255, '\p{Extender=-_No}', "");
    Expect(0, 125255, '\p{^Extender=-_No}', "");
    Expect(0, 125255, '\P{Extender=-_No}', "");
    Expect(1, 125255, '\P{^Extender=-_No}', "");
    Expect(0, 125254, '\p{Extender=-_No}', "");
    Expect(1, 125254, '\p{^Extender=-_No}', "");
    Expect(1, 125254, '\P{Extender=-_No}', "");
    Expect(0, 125254, '\P{^Extender=-_No}', "");
    Error('\p{Ext=-:=n}');
    Error('\P{Ext=-:=n}');
    Expect(1, 125255, '\p{Ext=:\AN\z:}', "");;
    Expect(0, 125254, '\p{Ext=:\AN\z:}', "");;
    Expect(1, 125255, '\p{Ext=n}', "");
    Expect(0, 125255, '\p{^Ext=n}', "");
    Expect(0, 125255, '\P{Ext=n}', "");
    Expect(1, 125255, '\P{^Ext=n}', "");
    Expect(0, 125254, '\p{Ext=n}', "");
    Expect(1, 125254, '\p{^Ext=n}', "");
    Expect(1, 125254, '\P{Ext=n}', "");
    Expect(0, 125254, '\P{^Ext=n}', "");
    Expect(1, 125255, '\p{Ext=:\An\z:}', "");;
    Expect(0, 125254, '\p{Ext=:\An\z:}', "");;
    Expect(1, 125255, '\p{Ext=-N}', "");
    Expect(0, 125255, '\p{^Ext=-N}', "");
    Expect(0, 125255, '\P{Ext=-N}', "");
    Expect(1, 125255, '\P{^Ext=-N}', "");
    Expect(0, 125254, '\p{Ext=-N}', "");
    Expect(1, 125254, '\p{^Ext=-N}', "");
    Expect(1, 125254, '\P{Ext=-N}', "");
    Expect(0, 125254, '\P{^Ext=-N}', "");
    Error('\p{Is_Extender=/a/__F}');
    Error('\P{Is_Extender=/a/__F}');
    Expect(1, 125255, '\p{Is_Extender:   f}', "");
    Expect(0, 125255, '\p{^Is_Extender:   f}', "");
    Expect(0, 125255, '\P{Is_Extender:   f}', "");
    Expect(1, 125255, '\P{^Is_Extender:   f}', "");
    Expect(0, 125254, '\p{Is_Extender:   f}', "");
    Expect(1, 125254, '\p{^Is_Extender:   f}', "");
    Expect(1, 125254, '\P{Is_Extender:   f}', "");
    Expect(0, 125254, '\P{^Is_Extender:   f}', "");
    Expect(1, 125255, '\p{Is_Extender=		F}', "");
    Expect(0, 125255, '\p{^Is_Extender=		F}', "");
    Expect(0, 125255, '\P{Is_Extender=		F}', "");
    Expect(1, 125255, '\P{^Is_Extender=		F}', "");
    Expect(0, 125254, '\p{Is_Extender=		F}', "");
    Expect(1, 125254, '\p{^Is_Extender=		F}', "");
    Expect(1, 125254, '\P{Is_Extender=		F}', "");
    Expect(0, 125254, '\P{^Is_Extender=		F}', "");
    Error('\p{Is_Ext=/a/	False}');
    Error('\P{Is_Ext=/a/	False}');
    Expect(1, 125255, '\p{Is_Ext=false}', "");
    Expect(0, 125255, '\p{^Is_Ext=false}', "");
    Expect(0, 125255, '\P{Is_Ext=false}', "");
    Expect(1, 125255, '\P{^Is_Ext=false}', "");
    Expect(0, 125254, '\p{Is_Ext=false}', "");
    Expect(1, 125254, '\p{^Is_Ext=false}', "");
    Expect(1, 125254, '\P{Is_Ext=false}', "");
    Expect(0, 125254, '\P{^Is_Ext=false}', "");
    Expect(1, 125255, '\p{Is_Ext= _false}', "");
    Expect(0, 125255, '\p{^Is_Ext= _false}', "");
    Expect(0, 125255, '\P{Is_Ext= _false}', "");
    Expect(1, 125255, '\P{^Is_Ext= _false}', "");
    Expect(0, 125254, '\p{Is_Ext= _false}', "");
    Expect(1, 125254, '\p{^Is_Ext= _false}', "");
    Expect(1, 125254, '\P{Is_Ext= _false}', "");
    Expect(0, 125254, '\P{^Is_Ext= _false}', "");
    Error('\p{Extender=	:=Yes}');
    Error('\P{Extender=	:=Yes}');
    Expect(1, 125254, '\p{Extender=:\AYes\z:}', "");;
    Expect(0, 125255, '\p{Extender=:\AYes\z:}', "");;
    Expect(1, 125254, '\p{Extender=yes}', "");
    Expect(0, 125254, '\p{^Extender=yes}', "");
    Expect(0, 125254, '\P{Extender=yes}', "");
    Expect(1, 125254, '\P{^Extender=yes}', "");
    Expect(0, 125255, '\p{Extender=yes}', "");
    Expect(1, 125255, '\p{^Extender=yes}', "");
    Expect(1, 125255, '\P{Extender=yes}', "");
    Expect(0, 125255, '\P{^Extender=yes}', "");
    Expect(1, 125254, '\p{Extender=:\Ayes\z:}', "");;
    Expect(0, 125255, '\p{Extender=:\Ayes\z:}', "");;
    Expect(1, 125254, '\p{Extender=--Yes}', "");
    Expect(0, 125254, '\p{^Extender=--Yes}', "");
    Expect(0, 125254, '\P{Extender=--Yes}', "");
    Expect(1, 125254, '\P{^Extender=--Yes}', "");
    Expect(0, 125255, '\p{Extender=--Yes}', "");
    Expect(1, 125255, '\p{^Extender=--Yes}', "");
    Expect(1, 125255, '\P{Extender=--Yes}', "");
    Expect(0, 125255, '\P{^Extender=--Yes}', "");
    Error('\p{Ext=		Y/a/}');
    Error('\P{Ext=		Y/a/}');
    Expect(1, 125254, '\p{Ext=:\AY\z:}', "");;
    Expect(0, 125255, '\p{Ext=:\AY\z:}', "");;
    Expect(1, 125254, '\p{Ext:   y}', "");
    Expect(0, 125254, '\p{^Ext:   y}', "");
    Expect(0, 125254, '\P{Ext:   y}', "");
    Expect(1, 125254, '\P{^Ext:   y}', "");
    Expect(0, 125255, '\p{Ext:   y}', "");
    Expect(1, 125255, '\p{^Ext:   y}', "");
    Expect(1, 125255, '\P{Ext:   y}', "");
    Expect(0, 125255, '\P{^Ext:   y}', "");
    Expect(1, 125254, '\p{Ext=:\Ay\z:}', "");;
    Expect(0, 125255, '\p{Ext=:\Ay\z:}', "");;
    Expect(1, 125254, '\p{Ext: 	Y}', "");
    Expect(0, 125254, '\p{^Ext: 	Y}', "");
    Expect(0, 125254, '\P{Ext: 	Y}', "");
    Expect(1, 125254, '\P{^Ext: 	Y}', "");
    Expect(0, 125255, '\p{Ext: 	Y}', "");
    Expect(1, 125255, '\p{^Ext: 	Y}', "");
    Expect(1, 125255, '\P{Ext: 	Y}', "");
    Expect(0, 125255, '\P{^Ext: 	Y}', "");
    Error('\p{Is_Extender:	-:=t}');
    Error('\P{Is_Extender:	-:=t}');
    Expect(1, 125254, '\p{Is_Extender=t}', "");
    Expect(0, 125254, '\p{^Is_Extender=t}', "");
    Expect(0, 125254, '\P{Is_Extender=t}', "");
    Expect(1, 125254, '\P{^Is_Extender=t}', "");
    Expect(0, 125255, '\p{Is_Extender=t}', "");
    Expect(1, 125255, '\p{^Is_Extender=t}', "");
    Expect(1, 125255, '\P{Is_Extender=t}', "");
    Expect(0, 125255, '\P{^Is_Extender=t}', "");
    Expect(1, 125254, '\p{Is_Extender=-t}', "");
    Expect(0, 125254, '\p{^Is_Extender=-t}', "");
    Expect(0, 125254, '\P{Is_Extender=-t}', "");
    Expect(1, 125254, '\P{^Is_Extender=-t}', "");
    Expect(0, 125255, '\p{Is_Extender=-t}', "");
    Expect(1, 125255, '\p{^Is_Extender=-t}', "");
    Expect(1, 125255, '\P{Is_Extender=-t}', "");
    Expect(0, 125255, '\P{^Is_Extender=-t}', "");
    Error('\p{Is_Ext=_-TRUE:=}');
    Error('\P{Is_Ext=_-TRUE:=}');
    Expect(1, 125254, '\p{Is_Ext=true}', "");
    Expect(0, 125254, '\p{^Is_Ext=true}', "");
    Expect(0, 125254, '\P{Is_Ext=true}', "");
    Expect(1, 125254, '\P{^Is_Ext=true}', "");
    Expect(0, 125255, '\p{Is_Ext=true}', "");
    Expect(1, 125255, '\p{^Is_Ext=true}', "");
    Expect(1, 125255, '\P{Is_Ext=true}', "");
    Expect(0, 125255, '\P{^Is_Ext=true}', "");
    Expect(1, 125254, '\p{Is_Ext=	True}', "");
    Expect(0, 125254, '\p{^Is_Ext=	True}', "");
    Expect(0, 125254, '\P{Is_Ext=	True}', "");
    Expect(1, 125254, '\P{^Is_Ext=	True}', "");
    Expect(0, 125255, '\p{Is_Ext=	True}', "");
    Expect(1, 125255, '\p{^Is_Ext=	True}', "");
    Expect(1, 125255, '\P{Is_Ext=	True}', "");
    Expect(0, 125255, '\P{^Is_Ext=	True}', "");
    Error('\p{Extended_Pictographic=_/a/No}');
    Error('\P{Extended_Pictographic=_/a/No}');
    Expect(1, 131072, '\p{Extended_Pictographic=:\ANo\z:}', "");;
    Expect(0, 131069, '\p{Extended_Pictographic=:\ANo\z:}', "");;
    Expect(1, 131072, '\p{Extended_Pictographic=no}', "");
    Expect(0, 131072, '\p{^Extended_Pictographic=no}', "");
    Expect(0, 131072, '\P{Extended_Pictographic=no}', "");
    Expect(1, 131072, '\P{^Extended_Pictographic=no}', "");
    Expect(0, 131069, '\p{Extended_Pictographic=no}', "");
    Expect(1, 131069, '\p{^Extended_Pictographic=no}', "");
    Expect(1, 131069, '\P{Extended_Pictographic=no}', "");
    Expect(0, 131069, '\P{^Extended_Pictographic=no}', "");
    Expect(1, 131072, '\p{Extended_Pictographic=:\Ano\z:}', "");;
    Expect(0, 131069, '\p{Extended_Pictographic=:\Ano\z:}', "");;
    Expect(1, 131072, '\p{Extended_Pictographic=_	NO}', "");
    Expect(0, 131072, '\p{^Extended_Pictographic=_	NO}', "");
    Expect(0, 131072, '\P{Extended_Pictographic=_	NO}', "");
    Expect(1, 131072, '\P{^Extended_Pictographic=_	NO}', "");
    Expect(0, 131069, '\p{Extended_Pictographic=_	NO}', "");
    Expect(1, 131069, '\p{^Extended_Pictographic=_	NO}', "");
    Expect(1, 131069, '\P{Extended_Pictographic=_	NO}', "");
    Expect(0, 131069, '\P{^Extended_Pictographic=_	NO}', "");
    Error('\p{ExtPict:-:=n}');
    Error('\P{ExtPict:-:=n}');
    Expect(1, 131072, '\p{ExtPict=:\AN\z:}', "");;
    Expect(0, 131069, '\p{ExtPict=:\AN\z:}', "");;
    Expect(1, 131072, '\p{ExtPict=n}', "");
    Expect(0, 131072, '\p{^ExtPict=n}', "");
    Expect(0, 131072, '\P{ExtPict=n}', "");
    Expect(1, 131072, '\P{^ExtPict=n}', "");
    Expect(0, 131069, '\p{ExtPict=n}', "");
    Expect(1, 131069, '\p{^ExtPict=n}', "");
    Expect(1, 131069, '\P{ExtPict=n}', "");
    Expect(0, 131069, '\P{^ExtPict=n}', "");
    Expect(1, 131072, '\p{ExtPict=:\An\z:}', "");;
    Expect(0, 131069, '\p{ExtPict=:\An\z:}', "");;
    Expect(1, 131072, '\p{ExtPict= 	N}', "");
    Expect(0, 131072, '\p{^ExtPict= 	N}', "");
    Expect(0, 131072, '\P{ExtPict= 	N}', "");
    Expect(1, 131072, '\P{^ExtPict= 	N}', "");
    Expect(0, 131069, '\p{ExtPict= 	N}', "");
    Expect(1, 131069, '\p{^ExtPict= 	N}', "");
    Expect(1, 131069, '\P{ExtPict= 	N}', "");
    Expect(0, 131069, '\P{^ExtPict= 	N}', "");
    Error('\p{Is_Extended_Pictographic=_:=F}');
    Error('\P{Is_Extended_Pictographic=_:=F}');
    Expect(1, 131072, '\p{Is_Extended_Pictographic=f}', "");
    Expect(0, 131072, '\p{^Is_Extended_Pictographic=f}', "");
    Expect(0, 131072, '\P{Is_Extended_Pictographic=f}', "");
    Expect(1, 131072, '\P{^Is_Extended_Pictographic=f}', "");
    Expect(0, 131069, '\p{Is_Extended_Pictographic=f}', "");
    Expect(1, 131069, '\p{^Is_Extended_Pictographic=f}', "");
    Expect(1, 131069, '\P{Is_Extended_Pictographic=f}', "");
    Expect(0, 131069, '\P{^Is_Extended_Pictographic=f}', "");
    Expect(1, 131072, '\p{Is_Extended_Pictographic=__F}', "");
    Expect(0, 131072, '\p{^Is_Extended_Pictographic=__F}', "");
    Expect(0, 131072, '\P{Is_Extended_Pictographic=__F}', "");
    Expect(1, 131072, '\P{^Is_Extended_Pictographic=__F}', "");
    Expect(0, 131069, '\p{Is_Extended_Pictographic=__F}', "");
    Expect(1, 131069, '\p{^Is_Extended_Pictographic=__F}', "");
    Expect(1, 131069, '\P{Is_Extended_Pictographic=__F}', "");
    Expect(0, 131069, '\P{^Is_Extended_Pictographic=__F}', "");
    Error('\p{Is_ExtPict=:= 	False}');
    Error('\P{Is_ExtPict=:= 	False}');
    Expect(1, 131072, '\p{Is_ExtPict=false}', "");
    Expect(0, 131072, '\p{^Is_ExtPict=false}', "");
    Expect(0, 131072, '\P{Is_ExtPict=false}', "");
    Expect(1, 131072, '\P{^Is_ExtPict=false}', "");
    Expect(0, 131069, '\p{Is_ExtPict=false}', "");
    Expect(1, 131069, '\p{^Is_ExtPict=false}', "");
    Expect(1, 131069, '\P{Is_ExtPict=false}', "");
    Expect(0, 131069, '\P{^Is_ExtPict=false}', "");
    Expect(1, 131072, '\p{Is_ExtPict= False}', "");
    Expect(0, 131072, '\p{^Is_ExtPict= False}', "");
    Expect(0, 131072, '\P{Is_ExtPict= False}', "");
    Expect(1, 131072, '\P{^Is_ExtPict= False}', "");
    Expect(0, 131069, '\p{Is_ExtPict= False}', "");
    Expect(1, 131069, '\p{^Is_ExtPict= False}', "");
    Expect(1, 131069, '\P{Is_ExtPict= False}', "");
    Expect(0, 131069, '\P{^Is_ExtPict= False}', "");
    Error('\p{Extended_Pictographic=/a/_-yes}');
    Error('\P{Extended_Pictographic=/a/_-yes}');
    Expect(1, 131069, '\p{Extended_Pictographic=:\AYes\z:}', "");;
    Expect(0, 131072, '\p{Extended_Pictographic=:\AYes\z:}', "");;
    Expect(1, 131069, '\p{Extended_Pictographic=yes}', "");
    Expect(0, 131069, '\p{^Extended_Pictographic=yes}', "");
    Expect(0, 131069, '\P{Extended_Pictographic=yes}', "");
    Expect(1, 131069, '\P{^Extended_Pictographic=yes}', "");
    Expect(0, 131072, '\p{Extended_Pictographic=yes}', "");
    Expect(1, 131072, '\p{^Extended_Pictographic=yes}', "");
    Expect(1, 131072, '\P{Extended_Pictographic=yes}', "");
    Expect(0, 131072, '\P{^Extended_Pictographic=yes}', "");
    Expect(1, 131069, '\p{Extended_Pictographic=:\Ayes\z:}', "");;
    Expect(0, 131072, '\p{Extended_Pictographic=:\Ayes\z:}', "");;
    Expect(1, 131069, '\p{Extended_Pictographic=-_yes}', "");
    Expect(0, 131069, '\p{^Extended_Pictographic=-_yes}', "");
    Expect(0, 131069, '\P{Extended_Pictographic=-_yes}', "");
    Expect(1, 131069, '\P{^Extended_Pictographic=-_yes}', "");
    Expect(0, 131072, '\p{Extended_Pictographic=-_yes}', "");
    Expect(1, 131072, '\p{^Extended_Pictographic=-_yes}', "");
    Expect(1, 131072, '\P{Extended_Pictographic=-_yes}', "");
    Expect(0, 131072, '\P{^Extended_Pictographic=-_yes}', "");
    Error('\p{ExtPict:   :=_	Y}');
    Error('\P{ExtPict:   :=_	Y}');
    Expect(1, 131069, '\p{ExtPict=:\AY\z:}', "");;
    Expect(0, 131072, '\p{ExtPict=:\AY\z:}', "");;
    Expect(1, 131069, '\p{ExtPict=y}', "");
    Expect(0, 131069, '\p{^ExtPict=y}', "");
    Expect(0, 131069, '\P{ExtPict=y}', "");
    Expect(1, 131069, '\P{^ExtPict=y}', "");
    Expect(0, 131072, '\p{ExtPict=y}', "");
    Expect(1, 131072, '\p{^ExtPict=y}', "");
    Expect(1, 131072, '\P{ExtPict=y}', "");
    Expect(0, 131072, '\P{^ExtPict=y}', "");
    Expect(1, 131069, '\p{ExtPict=:\Ay\z:}', "");;
    Expect(0, 131072, '\p{ExtPict=:\Ay\z:}', "");;
    Expect(1, 131069, '\p{ExtPict= _Y}', "");
    Expect(0, 131069, '\p{^ExtPict= _Y}', "");
    Expect(0, 131069, '\P{ExtPict= _Y}', "");
    Expect(1, 131069, '\P{^ExtPict= _Y}', "");
    Expect(0, 131072, '\p{ExtPict= _Y}', "");
    Expect(1, 131072, '\p{^ExtPict= _Y}', "");
    Expect(1, 131072, '\P{ExtPict= _Y}', "");
    Expect(0, 131072, '\P{^ExtPict= _Y}', "");
    Error('\p{Is_Extended_Pictographic=-:=t}');
    Error('\P{Is_Extended_Pictographic=-:=t}');
    Expect(1, 131069, '\p{Is_Extended_Pictographic=t}', "");
    Expect(0, 131069, '\p{^Is_Extended_Pictographic=t}', "");
    Expect(0, 131069, '\P{Is_Extended_Pictographic=t}', "");
    Expect(1, 131069, '\P{^Is_Extended_Pictographic=t}', "");
    Expect(0, 131072, '\p{Is_Extended_Pictographic=t}', "");
    Expect(1, 131072, '\p{^Is_Extended_Pictographic=t}', "");
    Expect(1, 131072, '\P{Is_Extended_Pictographic=t}', "");
    Expect(0, 131072, '\P{^Is_Extended_Pictographic=t}', "");
    Expect(1, 131069, '\p{Is_Extended_Pictographic=	_t}', "");
    Expect(0, 131069, '\p{^Is_Extended_Pictographic=	_t}', "");
    Expect(0, 131069, '\P{Is_Extended_Pictographic=	_t}', "");
    Expect(1, 131069, '\P{^Is_Extended_Pictographic=	_t}', "");
    Expect(0, 131072, '\p{Is_Extended_Pictographic=	_t}', "");
    Expect(1, 131072, '\p{^Is_Extended_Pictographic=	_t}', "");
    Expect(1, 131072, '\P{Is_Extended_Pictographic=	_t}', "");
    Expect(0, 131072, '\P{^Is_Extended_Pictographic=	_t}', "");
    Error('\p{Is_ExtPict: 	_true:=}');
    Error('\P{Is_ExtPict: 	_true:=}');
    Expect(1, 131069, '\p{Is_ExtPict=true}', "");
    Expect(0, 131069, '\p{^Is_ExtPict=true}', "");
    Expect(0, 131069, '\P{Is_ExtPict=true}', "");
    Expect(1, 131069, '\P{^Is_ExtPict=true}', "");
    Expect(0, 131072, '\p{Is_ExtPict=true}', "");
    Expect(1, 131072, '\p{^Is_ExtPict=true}', "");
    Expect(1, 131072, '\P{Is_ExtPict=true}', "");
    Expect(0, 131072, '\P{^Is_ExtPict=true}', "");
    Expect(1, 131069, '\p{Is_ExtPict=-_true}', "");
    Expect(0, 131069, '\p{^Is_ExtPict=-_true}', "");
    Expect(0, 131069, '\P{Is_ExtPict=-_true}', "");
    Expect(1, 131069, '\P{^Is_ExtPict=-_true}', "");
    Expect(0, 131072, '\p{Is_ExtPict=-_true}', "");
    Expect(1, 131072, '\p{^Is_ExtPict=-_true}', "");
    Expect(1, 131072, '\P{Is_ExtPict=-_true}', "");
    Expect(0, 131072, '\P{^Is_ExtPict=-_true}', "");
    Error('\p{fcnfkcclosure}');
    Error('\P{fcnfkcclosure}');
    Error('\p{fcnfkc}');
    Error('\P{fcnfkc}');
    Error('\p{generalcategory}');
    Error('\P{generalcategory}');
    Error('\p{gc}');
    Error('\P{gc}');
    Error('\p{category}');
    Error('\P{category}');
    Error('\p{General_Category=	:=OTHER}');
    Error('\P{General_Category=	:=OTHER}');
    Expect(1, 918000, '\p{General_Category=:\AOther\z:}', "");;
    Expect(0, 917999, '\p{General_Category=:\AOther\z:}', "");;
    Expect(1, 918000, '\p{General_Category=other}', "");
    Expect(0, 918000, '\p{^General_Category=other}', "");
    Expect(0, 918000, '\P{General_Category=other}', "");
    Expect(1, 918000, '\P{^General_Category=other}', "");
    Expect(0, 917999, '\p{General_Category=other}', "");
    Expect(1, 917999, '\p{^General_Category=other}', "");
    Expect(1, 917999, '\P{General_Category=other}', "");
    Expect(0, 917999, '\P{^General_Category=other}', "");
    Expect(1, 918000, '\p{General_Category=:\Aother\z:}', "");;
    Expect(0, 917999, '\p{General_Category=:\Aother\z:}', "");;
    Expect(1, 918000, '\p{General_Category=-Other}', "");
    Expect(0, 918000, '\p{^General_Category=-Other}', "");
    Expect(0, 918000, '\P{General_Category=-Other}', "");
    Expect(1, 918000, '\P{^General_Category=-Other}', "");
    Expect(0, 917999, '\p{General_Category=-Other}', "");
    Expect(1, 917999, '\p{^General_Category=-Other}', "");
    Expect(1, 917999, '\P{General_Category=-Other}', "");
    Expect(0, 917999, '\P{^General_Category=-Other}', "");
    Error('\p{Gc= c:=}');
    Error('\P{Gc= c:=}');
    Expect(1, 918000, '\p{Gc=:\AC\z:}', "");;
    Expect(0, 917999, '\p{Gc=:\AC\z:}', "");;
    Expect(1, 918000, '\p{Gc=c}', "");
    Expect(0, 918000, '\p{^Gc=c}', "");
    Expect(0, 918000, '\P{Gc=c}', "");
    Expect(1, 918000, '\P{^Gc=c}', "");
    Expect(0, 917999, '\p{Gc=c}', "");
    Expect(1, 917999, '\p{^Gc=c}', "");
    Expect(1, 917999, '\P{Gc=c}', "");
    Expect(0, 917999, '\P{^Gc=c}', "");
    Expect(1, 918000, '\p{Gc=:\Ac\z:}', "");;
    Expect(0, 917999, '\p{Gc=:\Ac\z:}', "");;
    Expect(1, 918000, '\p{Gc=		c}', "");
    Expect(0, 918000, '\p{^Gc=		c}', "");
    Expect(0, 918000, '\P{Gc=		c}', "");
    Expect(1, 918000, '\P{^Gc=		c}', "");
    Expect(0, 917999, '\p{Gc=		c}', "");
    Expect(1, 917999, '\p{^Gc=		c}', "");
    Expect(1, 917999, '\P{Gc=		c}', "");
    Expect(0, 917999, '\P{^Gc=		c}', "");
    Error('\p{Category=_:=Other}');
    Error('\P{Category=_:=Other}');
    Expect(1, 918000, '\p{Category=:\AOther\z:}', "");;
    Expect(0, 917999, '\p{Category=:\AOther\z:}', "");;
    Expect(1, 918000, '\p{Category:	other}', "");
    Expect(0, 918000, '\p{^Category:	other}', "");
    Expect(0, 918000, '\P{Category:	other}', "");
    Expect(1, 918000, '\P{^Category:	other}', "");
    Expect(0, 917999, '\p{Category:	other}', "");
    Expect(1, 917999, '\p{^Category:	other}', "");
    Expect(1, 917999, '\P{Category:	other}', "");
    Expect(0, 917999, '\P{^Category:	other}', "");
    Expect(1, 918000, '\p{Category=:\Aother\z:}', "");;
    Expect(0, 917999, '\p{Category=:\Aother\z:}', "");;
    Expect(1, 918000, '\p{Category=-_other}', "");
    Expect(0, 918000, '\p{^Category=-_other}', "");
    Expect(0, 918000, '\P{Category=-_other}', "");
    Expect(1, 918000, '\P{^Category=-_other}', "");
    Expect(0, 917999, '\p{Category=-_other}', "");
    Expect(1, 917999, '\p{^Category=-_other}', "");
    Expect(1, 917999, '\P{Category=-_other}', "");
    Expect(0, 917999, '\P{^Category=-_other}', "");
    Error('\p{Is_General_Category=- c:=}');
    Error('\P{Is_General_Category=- c:=}');
    Expect(1, 918000, '\p{Is_General_Category=c}', "");
    Expect(0, 918000, '\p{^Is_General_Category=c}', "");
    Expect(0, 918000, '\P{Is_General_Category=c}', "");
    Expect(1, 918000, '\P{^Is_General_Category=c}', "");
    Expect(0, 917999, '\p{Is_General_Category=c}', "");
    Expect(1, 917999, '\p{^Is_General_Category=c}', "");
    Expect(1, 917999, '\P{Is_General_Category=c}', "");
    Expect(0, 917999, '\P{^Is_General_Category=c}', "");
    Expect(1, 918000, '\p{Is_General_Category=--c}', "");
    Expect(0, 918000, '\p{^Is_General_Category=--c}', "");
    Expect(0, 918000, '\P{Is_General_Category=--c}', "");
    Expect(1, 918000, '\P{^Is_General_Category=--c}', "");
    Expect(0, 917999, '\p{Is_General_Category=--c}', "");
    Expect(1, 917999, '\p{^Is_General_Category=--c}', "");
    Expect(1, 917999, '\P{Is_General_Category=--c}', "");
    Expect(0, 917999, '\P{^Is_General_Category=--c}', "");
    Error('\p{Is_Gc=-Other:=}');
    Error('\P{Is_Gc=-Other:=}');
    Expect(1, 918000, '\p{Is_Gc=other}', "");
    Expect(0, 918000, '\p{^Is_Gc=other}', "");
    Expect(0, 918000, '\P{Is_Gc=other}', "");
    Expect(1, 918000, '\P{^Is_Gc=other}', "");
    Expect(0, 917999, '\p{Is_Gc=other}', "");
    Expect(1, 917999, '\p{^Is_Gc=other}', "");
    Expect(1, 917999, '\P{Is_Gc=other}', "");
    Expect(0, 917999, '\P{^Is_Gc=other}', "");
    Expect(1, 918000, '\p{Is_Gc= 	Other}', "");
    Expect(0, 918000, '\p{^Is_Gc= 	Other}', "");
    Expect(0, 918000, '\P{Is_Gc= 	Other}', "");
    Expect(1, 918000, '\P{^Is_Gc= 	Other}', "");
    Expect(0, 917999, '\p{Is_Gc= 	Other}', "");
    Expect(1, 917999, '\p{^Is_Gc= 	Other}', "");
    Expect(1, 917999, '\P{Is_Gc= 	Other}', "");
    Expect(0, 917999, '\P{^Is_Gc= 	Other}', "");
    Error('\p{Is_Category=	/a/C}');
    Error('\P{Is_Category=	/a/C}');
    Expect(1, 918000, '\p{Is_Category=c}', "");
    Expect(0, 918000, '\p{^Is_Category=c}', "");
    Expect(0, 918000, '\P{Is_Category=c}', "");
    Expect(1, 918000, '\P{^Is_Category=c}', "");
    Expect(0, 917999, '\p{Is_Category=c}', "");
    Expect(1, 917999, '\p{^Is_Category=c}', "");
    Expect(1, 917999, '\P{Is_Category=c}', "");
    Expect(0, 917999, '\P{^Is_Category=c}', "");
    Expect(1, 918000, '\p{Is_Category=	 C}', "");
    Expect(0, 918000, '\p{^Is_Category=	 C}', "");
    Expect(0, 918000, '\P{Is_Category=	 C}', "");
    Expect(1, 918000, '\P{^Is_Category=	 C}', "");
    Expect(0, 917999, '\p{Is_Category=	 C}', "");
    Expect(1, 917999, '\p{^Is_Category=	 C}', "");
    Expect(1, 917999, '\P{Is_Category=	 C}', "");
    Expect(0, 917999, '\P{^Is_Category=	 C}', "");
    Error('\p{General_Category=	/a/CONTROL}');
    Error('\P{General_Category=	/a/CONTROL}');
    Expect(1, 159, '\p{General_Category=:\AControl\z:}', "");;
    Expect(0, 160, '\p{General_Category=:\AControl\z:}', "");;
    Expect(1, 159, '\p{General_Category:	control}', "");
    Expect(0, 159, '\p{^General_Category:	control}', "");
    Expect(0, 159, '\P{General_Category:	control}', "");
    Expect(1, 159, '\P{^General_Category:	control}', "");
    Expect(0, 160, '\p{General_Category:	control}', "");
    Expect(1, 160, '\p{^General_Category:	control}', "");
    Expect(1, 160, '\P{General_Category:	control}', "");
    Expect(0, 160, '\P{^General_Category:	control}', "");
    Expect(1, 159, '\p{General_Category=:\Acontrol\z:}', "");;
    Expect(0, 160, '\p{General_Category=:\Acontrol\z:}', "");;
    Expect(1, 159, '\p{General_Category=-	Control}', "");
    Expect(0, 159, '\p{^General_Category=-	Control}', "");
    Expect(0, 159, '\P{General_Category=-	Control}', "");
    Expect(1, 159, '\P{^General_Category=-	Control}', "");
    Expect(0, 160, '\p{General_Category=-	Control}', "");
    Expect(1, 160, '\p{^General_Category=-	Control}', "");
    Expect(1, 160, '\P{General_Category=-	Control}', "");
    Expect(0, 160, '\P{^General_Category=-	Control}', "");
    Error('\p{Gc:/a/	-Cc}');
    Error('\P{Gc:/a/	-Cc}');
    Expect(1, 159, '\p{Gc=:\ACc\z:}', "");;
    Expect(0, 160, '\p{Gc=:\ACc\z:}', "");;
    Expect(1, 159, '\p{Gc=cc}', "");
    Expect(0, 159, '\p{^Gc=cc}', "");
    Expect(0, 159, '\P{Gc=cc}', "");
    Expect(1, 159, '\P{^Gc=cc}', "");
    Expect(0, 160, '\p{Gc=cc}', "");
    Expect(1, 160, '\p{^Gc=cc}', "");
    Expect(1, 160, '\P{Gc=cc}', "");
    Expect(0, 160, '\P{^Gc=cc}', "");
    Expect(1, 159, '\p{Gc=:\Acc\z:}', "");;
    Expect(0, 160, '\p{Gc=:\Acc\z:}', "");;
    Expect(1, 159, '\p{Gc:_ Cc}', "");
    Expect(0, 159, '\p{^Gc:_ Cc}', "");
    Expect(0, 159, '\P{Gc:_ Cc}', "");
    Expect(1, 159, '\P{^Gc:_ Cc}', "");
    Expect(0, 160, '\p{Gc:_ Cc}', "");
    Expect(1, 160, '\p{^Gc:_ Cc}', "");
    Expect(1, 160, '\P{Gc:_ Cc}', "");
    Expect(0, 160, '\P{^Gc:_ Cc}', "");
    Error('\p{Category:    /a/cntrl}');
    Error('\P{Category:    /a/cntrl}');
    Expect(1, 159, '\p{Category=:\ACntrl\z:}', "");;
    Expect(0, 160, '\p{Category=:\ACntrl\z:}', "");;
    Expect(1, 159, '\p{Category=cntrl}', "");
    Expect(0, 159, '\p{^Category=cntrl}', "");
    Expect(0, 159, '\P{Category=cntrl}', "");
    Expect(1, 159, '\P{^Category=cntrl}', "");
    Expect(0, 160, '\p{Category=cntrl}', "");
    Expect(1, 160, '\p{^Category=cntrl}', "");
    Expect(1, 160, '\P{Category=cntrl}', "");
    Expect(0, 160, '\P{^Category=cntrl}', "");
    Expect(1, 159, '\p{Category=:\Acntrl\z:}', "");;
    Expect(0, 160, '\p{Category=:\Acntrl\z:}', "");;
    Expect(1, 159, '\p{Category= -Cntrl}', "");
    Expect(0, 159, '\p{^Category= -Cntrl}', "");
    Expect(0, 159, '\P{Category= -Cntrl}', "");
    Expect(1, 159, '\P{^Category= -Cntrl}', "");
    Expect(0, 160, '\p{Category= -Cntrl}', "");
    Expect(1, 160, '\p{^Category= -Cntrl}', "");
    Expect(1, 160, '\P{Category= -Cntrl}', "");
    Expect(0, 160, '\P{^Category= -Cntrl}', "");
    Error('\p{Is_General_Category: -:=Control}');
    Error('\P{Is_General_Category: -:=Control}');
    Expect(1, 159, '\p{Is_General_Category=control}', "");
    Expect(0, 159, '\p{^Is_General_Category=control}', "");
    Expect(0, 159, '\P{Is_General_Category=control}', "");
    Expect(1, 159, '\P{^Is_General_Category=control}', "");
    Expect(0, 160, '\p{Is_General_Category=control}', "");
    Expect(1, 160, '\p{^Is_General_Category=control}', "");
    Expect(1, 160, '\P{Is_General_Category=control}', "");
    Expect(0, 160, '\P{^Is_General_Category=control}', "");
    Expect(1, 159, '\p{Is_General_Category=	 CONTROL}', "");
    Expect(0, 159, '\p{^Is_General_Category=	 CONTROL}', "");
    Expect(0, 159, '\P{Is_General_Category=	 CONTROL}', "");
    Expect(1, 159, '\P{^Is_General_Category=	 CONTROL}', "");
    Expect(0, 160, '\p{Is_General_Category=	 CONTROL}', "");
    Expect(1, 160, '\p{^Is_General_Category=	 CONTROL}', "");
    Expect(1, 160, '\P{Is_General_Category=	 CONTROL}', "");
    Expect(0, 160, '\P{^Is_General_Category=	 CONTROL}', "");
    Error('\p{Is_Gc=_/a/cc}');
    Error('\P{Is_Gc=_/a/cc}');
    Expect(1, 159, '\p{Is_Gc=cc}', "");
    Expect(0, 159, '\p{^Is_Gc=cc}', "");
    Expect(0, 159, '\P{Is_Gc=cc}', "");
    Expect(1, 159, '\P{^Is_Gc=cc}', "");
    Expect(0, 160, '\p{Is_Gc=cc}', "");
    Expect(1, 160, '\p{^Is_Gc=cc}', "");
    Expect(1, 160, '\P{Is_Gc=cc}', "");
    Expect(0, 160, '\P{^Is_Gc=cc}', "");
    Expect(1, 159, '\p{Is_Gc=_-Cc}', "");
    Expect(0, 159, '\p{^Is_Gc=_-Cc}', "");
    Expect(0, 159, '\P{Is_Gc=_-Cc}', "");
    Expect(1, 159, '\P{^Is_Gc=_-Cc}', "");
    Expect(0, 160, '\p{Is_Gc=_-Cc}', "");
    Expect(1, 160, '\p{^Is_Gc=_-Cc}', "");
    Expect(1, 160, '\P{Is_Gc=_-Cc}', "");
    Expect(0, 160, '\P{^Is_Gc=_-Cc}', "");
    Error('\p{Is_Category=_/a/Cntrl}');
    Error('\P{Is_Category=_/a/Cntrl}');
    Expect(1, 159, '\p{Is_Category=cntrl}', "");
    Expect(0, 159, '\p{^Is_Category=cntrl}', "");
    Expect(0, 159, '\P{Is_Category=cntrl}', "");
    Expect(1, 159, '\P{^Is_Category=cntrl}', "");
    Expect(0, 160, '\p{Is_Category=cntrl}', "");
    Expect(1, 160, '\p{^Is_Category=cntrl}', "");
    Expect(1, 160, '\P{Is_Category=cntrl}', "");
    Expect(0, 160, '\P{^Is_Category=cntrl}', "");
    Expect(1, 159, '\p{Is_Category=-_Cntrl}', "");
    Expect(0, 159, '\p{^Is_Category=-_Cntrl}', "");
    Expect(0, 159, '\P{Is_Category=-_Cntrl}', "");
    Expect(1, 159, '\P{^Is_Category=-_Cntrl}', "");
    Expect(0, 160, '\p{Is_Category=-_Cntrl}', "");
    Expect(1, 160, '\p{^Is_Category=-_Cntrl}', "");
    Expect(1, 160, '\P{Is_Category=-_Cntrl}', "");
    Expect(0, 160, '\P{^Is_Category=-_Cntrl}', "");
    Error('\p{General_Category=_FORMAT:=}');
    Error('\P{General_Category=_FORMAT:=}');
    Expect(1, 917631, '\p{General_Category=:\AFormat\z:}', "");;
    Expect(0, 917632, '\p{General_Category=:\AFormat\z:}', "");;
    Expect(1, 917631, '\p{General_Category=format}', "");
    Expect(0, 917631, '\p{^General_Category=format}', "");
    Expect(0, 917631, '\P{General_Category=format}', "");
    Expect(1, 917631, '\P{^General_Category=format}', "");
    Expect(0, 917632, '\p{General_Category=format}', "");
    Expect(1, 917632, '\p{^General_Category=format}', "");
    Expect(1, 917632, '\P{General_Category=format}', "");
    Expect(0, 917632, '\P{^General_Category=format}', "");
    Expect(1, 917631, '\p{General_Category=:\Aformat\z:}', "");;
    Expect(0, 917632, '\p{General_Category=:\Aformat\z:}', "");;
    Expect(1, 917631, '\p{General_Category= Format}', "");
    Expect(0, 917631, '\p{^General_Category= Format}', "");
    Expect(0, 917631, '\P{General_Category= Format}', "");
    Expect(1, 917631, '\P{^General_Category= Format}', "");
    Expect(0, 917632, '\p{General_Category= Format}', "");
    Expect(1, 917632, '\p{^General_Category= Format}', "");
    Expect(1, 917632, '\P{General_Category= Format}', "");
    Expect(0, 917632, '\P{^General_Category= Format}', "");
    Error('\p{Gc=-:=Cf}');
    Error('\P{Gc=-:=Cf}');
    Expect(1, 917631, '\p{Gc=:\ACf\z:}', "");;
    Expect(0, 917632, '\p{Gc=:\ACf\z:}', "");;
    Expect(1, 917631, '\p{Gc=cf}', "");
    Expect(0, 917631, '\p{^Gc=cf}', "");
    Expect(0, 917631, '\P{Gc=cf}', "");
    Expect(1, 917631, '\P{^Gc=cf}', "");
    Expect(0, 917632, '\p{Gc=cf}', "");
    Expect(1, 917632, '\p{^Gc=cf}', "");
    Expect(1, 917632, '\P{Gc=cf}', "");
    Expect(0, 917632, '\P{^Gc=cf}', "");
    Expect(1, 917631, '\p{Gc=:\Acf\z:}', "");;
    Expect(0, 917632, '\p{Gc=:\Acf\z:}', "");;
    Expect(1, 917631, '\p{Gc:	- CF}', "");
    Expect(0, 917631, '\p{^Gc:	- CF}', "");
    Expect(0, 917631, '\P{Gc:	- CF}', "");
    Expect(1, 917631, '\P{^Gc:	- CF}', "");
    Expect(0, 917632, '\p{Gc:	- CF}', "");
    Expect(1, 917632, '\p{^Gc:	- CF}', "");
    Expect(1, 917632, '\P{Gc:	- CF}', "");
    Expect(0, 917632, '\P{^Gc:	- CF}', "");
    Error('\p{Category=/a/FORMAT}');
    Error('\P{Category=/a/FORMAT}');
    Expect(1, 917631, '\p{Category=:\AFormat\z:}', "");;
    Expect(0, 917632, '\p{Category=:\AFormat\z:}', "");;
    Expect(1, 917631, '\p{Category=format}', "");
    Expect(0, 917631, '\p{^Category=format}', "");
    Expect(0, 917631, '\P{Category=format}', "");
    Expect(1, 917631, '\P{^Category=format}', "");
    Expect(0, 917632, '\p{Category=format}', "");
    Expect(1, 917632, '\p{^Category=format}', "");
    Expect(1, 917632, '\P{Category=format}', "");
    Expect(0, 917632, '\P{^Category=format}', "");
    Expect(1, 917631, '\p{Category=:\Aformat\z:}', "");;
    Expect(0, 917632, '\p{Category=:\Aformat\z:}', "");;
    Expect(1, 917631, '\p{Category=_format}', "");
    Expect(0, 917631, '\p{^Category=_format}', "");
    Expect(0, 917631, '\P{Category=_format}', "");
    Expect(1, 917631, '\P{^Category=_format}', "");
    Expect(0, 917632, '\p{Category=_format}', "");
    Expect(1, 917632, '\p{^Category=_format}', "");
    Expect(1, 917632, '\P{Category=_format}', "");
    Expect(0, 917632, '\P{^Category=_format}', "");
    Error('\p{Is_General_Category= :=Cf}');
    Error('\P{Is_General_Category= :=Cf}');
    Expect(1, 917631, '\p{Is_General_Category=cf}', "");
    Expect(0, 917631, '\p{^Is_General_Category=cf}', "");
    Expect(0, 917631, '\P{Is_General_Category=cf}', "");
    Expect(1, 917631, '\P{^Is_General_Category=cf}', "");
    Expect(0, 917632, '\p{Is_General_Category=cf}', "");
    Expect(1, 917632, '\p{^Is_General_Category=cf}', "");
    Expect(1, 917632, '\P{Is_General_Category=cf}', "");
    Expect(0, 917632, '\P{^Is_General_Category=cf}', "");
    Expect(1, 917631, '\p{Is_General_Category= _cf}', "");
    Expect(0, 917631, '\p{^Is_General_Category= _cf}', "");
    Expect(0, 917631, '\P{Is_General_Category= _cf}', "");
    Expect(1, 917631, '\P{^Is_General_Category= _cf}', "");
    Expect(0, 917632, '\p{Is_General_Category= _cf}', "");
    Expect(1, 917632, '\p{^Is_General_Category= _cf}', "");
    Expect(1, 917632, '\P{Is_General_Category= _cf}', "");
    Expect(0, 917632, '\P{^Is_General_Category= _cf}', "");
    Error('\p{Is_Gc=:=	-FORMAT}');
    Error('\P{Is_Gc=:=	-FORMAT}');
    Expect(1, 917631, '\p{Is_Gc=format}', "");
    Expect(0, 917631, '\p{^Is_Gc=format}', "");
    Expect(0, 917631, '\P{Is_Gc=format}', "");
    Expect(1, 917631, '\P{^Is_Gc=format}', "");
    Expect(0, 917632, '\p{Is_Gc=format}', "");
    Expect(1, 917632, '\p{^Is_Gc=format}', "");
    Expect(1, 917632, '\P{Is_Gc=format}', "");
    Expect(0, 917632, '\P{^Is_Gc=format}', "");
    Expect(1, 917631, '\p{Is_Gc=	Format}', "");
    Expect(0, 917631, '\p{^Is_Gc=	Format}', "");
    Expect(0, 917631, '\P{Is_Gc=	Format}', "");
    Expect(1, 917631, '\P{^Is_Gc=	Format}', "");
    Expect(0, 917632, '\p{Is_Gc=	Format}', "");
    Expect(1, 917632, '\p{^Is_Gc=	Format}', "");
    Expect(1, 917632, '\P{Is_Gc=	Format}', "");
    Expect(0, 917632, '\P{^Is_Gc=	Format}', "");
    Error('\p{Is_Category: :=	_cf}');
    Error('\P{Is_Category: :=	_cf}');
    Expect(1, 917631, '\p{Is_Category=cf}', "");
    Expect(0, 917631, '\p{^Is_Category=cf}', "");
    Expect(0, 917631, '\P{Is_Category=cf}', "");
    Expect(1, 917631, '\P{^Is_Category=cf}', "");
    Expect(0, 917632, '\p{Is_Category=cf}', "");
    Expect(1, 917632, '\p{^Is_Category=cf}', "");
    Expect(1, 917632, '\P{Is_Category=cf}', "");
    Expect(0, 917632, '\P{^Is_Category=cf}', "");
    Expect(1, 917631, '\p{Is_Category:   -Cf}', "");
    Expect(0, 917631, '\p{^Is_Category:   -Cf}', "");
    Expect(0, 917631, '\P{Is_Category:   -Cf}', "");
    Expect(1, 917631, '\P{^Is_Category:   -Cf}', "");
    Expect(0, 917632, '\p{Is_Category:   -Cf}', "");
    Expect(1, 917632, '\p{^Is_Category:   -Cf}', "");
    Expect(1, 917632, '\P{Is_Category:   -Cf}', "");
    Expect(0, 917632, '\P{^Is_Category:   -Cf}', "");
    Error('\p{General_Category=:=_unassigned}');
    Error('\P{General_Category=:=_unassigned}');
    Expect(1, 918000, '\p{General_Category=:\AUnassigned\z:}', "");;
    Expect(0, 1114109, '\p{General_Category=:\AUnassigned\z:}', "");;
    Expect(1, 918000, '\p{General_Category=unassigned}', "");
    Expect(0, 918000, '\p{^General_Category=unassigned}', "");
    Expect(0, 918000, '\P{General_Category=unassigned}', "");
    Expect(1, 918000, '\P{^General_Category=unassigned}', "");
    Expect(0, 1114109, '\p{General_Category=unassigned}', "");
    Expect(1, 1114109, '\p{^General_Category=unassigned}', "");
    Expect(1, 1114109, '\P{General_Category=unassigned}', "");
    Expect(0, 1114109, '\P{^General_Category=unassigned}', "");
    Expect(1, 918000, '\p{General_Category=:\Aunassigned\z:}', "");;
    Expect(0, 1114109, '\p{General_Category=:\Aunassigned\z:}', "");;
    Expect(1, 918000, '\p{General_Category=- Unassigned}', "");
    Expect(0, 918000, '\p{^General_Category=- Unassigned}', "");
    Expect(0, 918000, '\P{General_Category=- Unassigned}', "");
    Expect(1, 918000, '\P{^General_Category=- Unassigned}', "");
    Expect(0, 1114109, '\p{General_Category=- Unassigned}', "");
    Expect(1, 1114109, '\p{^General_Category=- Unassigned}', "");
    Expect(1, 1114109, '\P{General_Category=- Unassigned}', "");
    Expect(0, 1114109, '\P{^General_Category=- Unassigned}', "");
    Error('\p{Gc=	_cn/a/}');
    Error('\P{Gc=	_cn/a/}');
    Expect(1, 918000, '\p{Gc=:\ACn\z:}', "");;
    Expect(0, 1114109, '\p{Gc=:\ACn\z:}', "");;
    Expect(1, 918000, '\p{Gc=cn}', "");
    Expect(0, 918000, '\p{^Gc=cn}', "");
    Expect(0, 918000, '\P{Gc=cn}', "");
    Expect(1, 918000, '\P{^Gc=cn}', "");
    Expect(0, 1114109, '\p{Gc=cn}', "");
    Expect(1, 1114109, '\p{^Gc=cn}', "");
    Expect(1, 1114109, '\P{Gc=cn}', "");
    Expect(0, 1114109, '\P{^Gc=cn}', "");
    Expect(1, 918000, '\p{Gc=:\Acn\z:}', "");;
    Expect(0, 1114109, '\p{Gc=:\Acn\z:}', "");;
    Expect(1, 918000, '\p{Gc= -cn}', "");
    Expect(0, 918000, '\p{^Gc= -cn}', "");
    Expect(0, 918000, '\P{Gc= -cn}', "");
    Expect(1, 918000, '\P{^Gc= -cn}', "");
    Expect(0, 1114109, '\p{Gc= -cn}', "");
    Expect(1, 1114109, '\p{^Gc= -cn}', "");
    Expect(1, 1114109, '\P{Gc= -cn}', "");
    Expect(0, 1114109, '\P{^Gc= -cn}', "");
    Error('\p{Category=:= 	UNASSIGNED}');
    Error('\P{Category=:= 	UNASSIGNED}');
    Expect(1, 918000, '\p{Category=:\AUnassigned\z:}', "");;
    Expect(0, 1114109, '\p{Category=:\AUnassigned\z:}', "");;
    Expect(1, 918000, '\p{Category=unassigned}', "");
    Expect(0, 918000, '\p{^Category=unassigned}', "");
    Expect(0, 918000, '\P{Category=unassigned}', "");
    Expect(1, 918000, '\P{^Category=unassigned}', "");
    Expect(0, 1114109, '\p{Category=unassigned}', "");
    Expect(1, 1114109, '\p{^Category=unassigned}', "");
    Expect(1, 1114109, '\P{Category=unassigned}', "");
    Expect(0, 1114109, '\P{^Category=unassigned}', "");
    Expect(1, 918000, '\p{Category=:\Aunassigned\z:}', "");;
    Expect(0, 1114109, '\p{Category=:\Aunassigned\z:}', "");;
    Expect(1, 918000, '\p{Category=--UNASSIGNED}', "");
    Expect(0, 918000, '\p{^Category=--UNASSIGNED}', "");
    Expect(0, 918000, '\P{Category=--UNASSIGNED}', "");
    Expect(1, 918000, '\P{^Category=--UNASSIGNED}', "");
    Expect(0, 1114109, '\p{Category=--UNASSIGNED}', "");
    Expect(1, 1114109, '\p{^Category=--UNASSIGNED}', "");
    Expect(1, 1114109, '\P{Category=--UNASSIGNED}', "");
    Expect(0, 1114109, '\P{^Category=--UNASSIGNED}', "");
    Error('\p{Is_General_Category=/a/  CN}');
    Error('\P{Is_General_Category=/a/  CN}');
    Expect(1, 918000, '\p{Is_General_Category:   cn}', "");
    Expect(0, 918000, '\p{^Is_General_Category:   cn}', "");
    Expect(0, 918000, '\P{Is_General_Category:   cn}', "");
    Expect(1, 918000, '\P{^Is_General_Category:   cn}', "");
    Expect(0, 1114109, '\p{Is_General_Category:   cn}', "");
    Expect(1, 1114109, '\p{^Is_General_Category:   cn}', "");
    Expect(1, 1114109, '\P{Is_General_Category:   cn}', "");
    Expect(0, 1114109, '\P{^Is_General_Category:   cn}', "");
    Expect(1, 918000, '\p{Is_General_Category=_-cn}', "");
    Expect(0, 918000, '\p{^Is_General_Category=_-cn}', "");
    Expect(0, 918000, '\P{Is_General_Category=_-cn}', "");
    Expect(1, 918000, '\P{^Is_General_Category=_-cn}', "");
    Expect(0, 1114109, '\p{Is_General_Category=_-cn}', "");
    Expect(1, 1114109, '\p{^Is_General_Category=_-cn}', "");
    Expect(1, 1114109, '\P{Is_General_Category=_-cn}', "");
    Expect(0, 1114109, '\P{^Is_General_Category=_-cn}', "");
    Error('\p{Is_Gc=:=- UNASSIGNED}');
    Error('\P{Is_Gc=:=- UNASSIGNED}');
    Expect(1, 918000, '\p{Is_Gc:unassigned}', "");
    Expect(0, 918000, '\p{^Is_Gc:unassigned}', "");
    Expect(0, 918000, '\P{Is_Gc:unassigned}', "");
    Expect(1, 918000, '\P{^Is_Gc:unassigned}', "");
    Expect(0, 1114109, '\p{Is_Gc:unassigned}', "");
    Expect(1, 1114109, '\p{^Is_Gc:unassigned}', "");
    Expect(1, 1114109, '\P{Is_Gc:unassigned}', "");
    Expect(0, 1114109, '\P{^Is_Gc:unassigned}', "");
    Expect(1, 918000, '\p{Is_Gc=_	unassigned}', "");
    Expect(0, 918000, '\p{^Is_Gc=_	unassigned}', "");
    Expect(0, 918000, '\P{Is_Gc=_	unassigned}', "");
    Expect(1, 918000, '\P{^Is_Gc=_	unassigned}', "");
    Expect(0, 1114109, '\p{Is_Gc=_	unassigned}', "");
    Expect(1, 1114109, '\p{^Is_Gc=_	unassigned}', "");
    Expect(1, 1114109, '\P{Is_Gc=_	unassigned}', "");
    Expect(0, 1114109, '\P{^Is_Gc=_	unassigned}', "");
    Error('\p{Is_Category=_cn/a/}');
    Error('\P{Is_Category=_cn/a/}');
    Expect(1, 918000, '\p{Is_Category=cn}', "");
    Expect(0, 918000, '\p{^Is_Category=cn}', "");
    Expect(0, 918000, '\P{Is_Category=cn}', "");
    Expect(1, 918000, '\P{^Is_Category=cn}', "");
    Expect(0, 1114109, '\p{Is_Category=cn}', "");
    Expect(1, 1114109, '\p{^Is_Category=cn}', "");
    Expect(1, 1114109, '\P{Is_Category=cn}', "");
    Expect(0, 1114109, '\P{^Is_Category=cn}', "");
    Expect(1, 918000, '\p{Is_Category=-cn}', "");
    Expect(0, 918000, '\p{^Is_Category=-cn}', "");
    Expect(0, 918000, '\P{Is_Category=-cn}', "");
    Expect(1, 918000, '\P{^Is_Category=-cn}', "");
    Expect(0, 1114109, '\p{Is_Category=-cn}', "");
    Expect(1, 1114109, '\p{^Is_Category=-cn}', "");
    Expect(1, 1114109, '\P{Is_Category=-cn}', "");
    Expect(0, 1114109, '\P{^Is_Category=-cn}', "");
    Error('\p{General_Category=:= Private_use}');
    Error('\P{General_Category=:= Private_use}');
    Expect(1, 1114109, '\p{General_Category=:\APrivate_Use\z:}', "");;
    Expect(0, 63744, '\p{General_Category=:\APrivate_Use\z:}', "");;
    Expect(1, 1114109, '\p{General_Category=privateuse}', "");
    Expect(0, 1114109, '\p{^General_Category=privateuse}', "");
    Expect(0, 1114109, '\P{General_Category=privateuse}', "");
    Expect(1, 1114109, '\P{^General_Category=privateuse}', "");
    Expect(0, 63744, '\p{General_Category=privateuse}', "");
    Expect(1, 63744, '\p{^General_Category=privateuse}', "");
    Expect(1, 63744, '\P{General_Category=privateuse}', "");
    Expect(0, 63744, '\P{^General_Category=privateuse}', "");
    Expect(1, 1114109, '\p{General_Category=:\Aprivateuse\z:}', "");;
    Expect(0, 63744, '\p{General_Category=:\Aprivateuse\z:}', "");;
    Expect(1, 1114109, '\p{General_Category=  PRIVATE_use}', "");
    Expect(0, 1114109, '\p{^General_Category=  PRIVATE_use}', "");
    Expect(0, 1114109, '\P{General_Category=  PRIVATE_use}', "");
    Expect(1, 1114109, '\P{^General_Category=  PRIVATE_use}', "");
    Expect(0, 63744, '\p{General_Category=  PRIVATE_use}', "");
    Expect(1, 63744, '\p{^General_Category=  PRIVATE_use}', "");
    Expect(1, 63744, '\P{General_Category=  PRIVATE_use}', "");
    Expect(0, 63744, '\P{^General_Category=  PRIVATE_use}', "");
    Error('\p{Gc=	CO/a/}');
    Error('\P{Gc=	CO/a/}');
    Expect(1, 1114109, '\p{Gc=:\ACo\z:}', "");;
    Expect(0, 63744, '\p{Gc=:\ACo\z:}', "");;
    Expect(1, 1114109, '\p{Gc=co}', "");
    Expect(0, 1114109, '\p{^Gc=co}', "");
    Expect(0, 1114109, '\P{Gc=co}', "");
    Expect(1, 1114109, '\P{^Gc=co}', "");
    Expect(0, 63744, '\p{Gc=co}', "");
    Expect(1, 63744, '\p{^Gc=co}', "");
    Expect(1, 63744, '\P{Gc=co}', "");
    Expect(0, 63744, '\P{^Gc=co}', "");
    Expect(1, 1114109, '\p{Gc=:\Aco\z:}', "");;
    Expect(0, 63744, '\p{Gc=:\Aco\z:}', "");;
    Expect(1, 1114109, '\p{Gc= Co}', "");
    Expect(0, 1114109, '\p{^Gc= Co}', "");
    Expect(0, 1114109, '\P{Gc= Co}', "");
    Expect(1, 1114109, '\P{^Gc= Co}', "");
    Expect(0, 63744, '\p{Gc= Co}', "");
    Expect(1, 63744, '\p{^Gc= Co}', "");
    Expect(1, 63744, '\P{Gc= Co}', "");
    Expect(0, 63744, '\P{^Gc= Co}', "");
    Error('\p{Category=  Private_Use/a/}');
    Error('\P{Category=  Private_Use/a/}');
    Expect(1, 1114109, '\p{Category=:\APrivate_Use\z:}', "");;
    Expect(0, 63744, '\p{Category=:\APrivate_Use\z:}', "");;
    Expect(1, 1114109, '\p{Category:   privateuse}', "");
    Expect(0, 1114109, '\p{^Category:   privateuse}', "");
    Expect(0, 1114109, '\P{Category:   privateuse}', "");
    Expect(1, 1114109, '\P{^Category:   privateuse}', "");
    Expect(0, 63744, '\p{Category:   privateuse}', "");
    Expect(1, 63744, '\p{^Category:   privateuse}', "");
    Expect(1, 63744, '\P{Category:   privateuse}', "");
    Expect(0, 63744, '\P{^Category:   privateuse}', "");
    Expect(1, 1114109, '\p{Category=:\Aprivateuse\z:}', "");;
    Expect(0, 63744, '\p{Category=:\Aprivateuse\z:}', "");;
    Expect(1, 1114109, '\p{Category=	_Private_USE}', "");
    Expect(0, 1114109, '\p{^Category=	_Private_USE}', "");
    Expect(0, 1114109, '\P{Category=	_Private_USE}', "");
    Expect(1, 1114109, '\P{^Category=	_Private_USE}', "");
    Expect(0, 63744, '\p{Category=	_Private_USE}', "");
    Expect(1, 63744, '\p{^Category=	_Private_USE}', "");
    Expect(1, 63744, '\P{Category=	_Private_USE}', "");
    Expect(0, 63744, '\P{^Category=	_Private_USE}', "");
    Error('\p{Is_General_Category:	:= _CO}');
    Error('\P{Is_General_Category:	:= _CO}');
    Expect(1, 1114109, '\p{Is_General_Category=co}', "");
    Expect(0, 1114109, '\p{^Is_General_Category=co}', "");
    Expect(0, 1114109, '\P{Is_General_Category=co}', "");
    Expect(1, 1114109, '\P{^Is_General_Category=co}', "");
    Expect(0, 63744, '\p{Is_General_Category=co}', "");
    Expect(1, 63744, '\p{^Is_General_Category=co}', "");
    Expect(1, 63744, '\P{Is_General_Category=co}', "");
    Expect(0, 63744, '\P{^Is_General_Category=co}', "");
    Expect(1, 1114109, '\p{Is_General_Category=- Co}', "");
    Expect(0, 1114109, '\p{^Is_General_Category=- Co}', "");
    Expect(0, 1114109, '\P{Is_General_Category=- Co}', "");
    Expect(1, 1114109, '\P{^Is_General_Category=- Co}', "");
    Expect(0, 63744, '\p{Is_General_Category=- Co}', "");
    Expect(1, 63744, '\p{^Is_General_Category=- Co}', "");
    Expect(1, 63744, '\P{Is_General_Category=- Co}', "");
    Expect(0, 63744, '\P{^Is_General_Category=- Co}', "");
    Error('\p{Is_Gc=/a/ PRIVATE_USE}');
    Error('\P{Is_Gc=/a/ PRIVATE_USE}');
    Expect(1, 1114109, '\p{Is_Gc:privateuse}', "");
    Expect(0, 1114109, '\p{^Is_Gc:privateuse}', "");
    Expect(0, 1114109, '\P{Is_Gc:privateuse}', "");
    Expect(1, 1114109, '\P{^Is_Gc:privateuse}', "");
    Expect(0, 63744, '\p{Is_Gc:privateuse}', "");
    Expect(1, 63744, '\p{^Is_Gc:privateuse}', "");
    Expect(1, 63744, '\P{Is_Gc:privateuse}', "");
    Expect(0, 63744, '\P{^Is_Gc:privateuse}', "");
    Expect(1, 1114109, '\p{Is_Gc=	_private_USE}', "");
    Expect(0, 1114109, '\p{^Is_Gc=	_private_USE}', "");
    Expect(0, 1114109, '\P{Is_Gc=	_private_USE}', "");
    Expect(1, 1114109, '\P{^Is_Gc=	_private_USE}', "");
    Expect(0, 63744, '\p{Is_Gc=	_private_USE}', "");
    Expect(1, 63744, '\p{^Is_Gc=	_private_USE}', "");
    Expect(1, 63744, '\P{Is_Gc=	_private_USE}', "");
    Expect(0, 63744, '\P{^Is_Gc=	_private_USE}', "");
    Error('\p{Is_Category=	:=Co}');
    Error('\P{Is_Category=	:=Co}');
    Expect(1, 1114109, '\p{Is_Category=co}', "");
    Expect(0, 1114109, '\p{^Is_Category=co}', "");
    Expect(0, 1114109, '\P{Is_Category=co}', "");
    Expect(1, 1114109, '\P{^Is_Category=co}', "");
    Expect(0, 63744, '\p{Is_Category=co}', "");
    Expect(1, 63744, '\p{^Is_Category=co}', "");
    Expect(1, 63744, '\P{Is_Category=co}', "");
    Expect(0, 63744, '\P{^Is_Category=co}', "");
    Expect(1, 1114109, '\p{Is_Category=	Co}', "");
    Expect(0, 1114109, '\p{^Is_Category=	Co}', "");
    Expect(0, 1114109, '\P{Is_Category=	Co}', "");
    Expect(1, 1114109, '\P{^Is_Category=	Co}', "");
    Expect(0, 63744, '\p{Is_Category=	Co}', "");
    Expect(1, 63744, '\p{^Is_Category=	Co}', "");
    Expect(1, 63744, '\P{Is_Category=	Co}', "");
    Expect(0, 63744, '\P{^Is_Category=	Co}', "");
    Error('\p{General_Category=:=	 Surrogate}');
    Error('\P{General_Category=:=	 Surrogate}');
    Expect(1, 57343, '\p{General_Category=:\ASurrogate\z:}', "");;
    Expect(0, 57344, '\p{General_Category=:\ASurrogate\z:}', "");;
    Expect(1, 57343, '\p{General_Category=surrogate}', "");
    Expect(0, 57343, '\p{^General_Category=surrogate}', "");
    Expect(0, 57343, '\P{General_Category=surrogate}', "");
    Expect(1, 57343, '\P{^General_Category=surrogate}', "");
    Expect(0, 57344, '\p{General_Category=surrogate}', "");
    Expect(1, 57344, '\p{^General_Category=surrogate}', "");
    Expect(1, 57344, '\P{General_Category=surrogate}', "");
    Expect(0, 57344, '\P{^General_Category=surrogate}', "");
    Expect(1, 57343, '\p{General_Category=:\Asurrogate\z:}', "");;
    Expect(0, 57344, '\p{General_Category=:\Asurrogate\z:}', "");;
    Expect(1, 57343, '\p{General_Category:	surrogate}', "");
    Expect(0, 57343, '\p{^General_Category:	surrogate}', "");
    Expect(0, 57343, '\P{General_Category:	surrogate}', "");
    Expect(1, 57343, '\P{^General_Category:	surrogate}', "");
    Expect(0, 57344, '\p{General_Category:	surrogate}', "");
    Expect(1, 57344, '\p{^General_Category:	surrogate}', "");
    Expect(1, 57344, '\P{General_Category:	surrogate}', "");
    Expect(0, 57344, '\P{^General_Category:	surrogate}', "");
    Error('\p{Gc=/a/_Cs}');
    Error('\P{Gc=/a/_Cs}');
    Expect(1, 57343, '\p{Gc=:\ACs\z:}', "");;
    Expect(0, 57344, '\p{Gc=:\ACs\z:}', "");;
    Expect(1, 57343, '\p{Gc=cs}', "");
    Expect(0, 57343, '\p{^Gc=cs}', "");
    Expect(0, 57343, '\P{Gc=cs}', "");
    Expect(1, 57343, '\P{^Gc=cs}', "");
    Expect(0, 57344, '\p{Gc=cs}', "");
    Expect(1, 57344, '\p{^Gc=cs}', "");
    Expect(1, 57344, '\P{Gc=cs}', "");
    Expect(0, 57344, '\P{^Gc=cs}', "");
    Expect(1, 57343, '\p{Gc=:\Acs\z:}', "");;
    Expect(0, 57344, '\p{Gc=:\Acs\z:}', "");;
    Expect(1, 57343, '\p{Gc=__Cs}', "");
    Expect(0, 57343, '\p{^Gc=__Cs}', "");
    Expect(0, 57343, '\P{Gc=__Cs}', "");
    Expect(1, 57343, '\P{^Gc=__Cs}', "");
    Expect(0, 57344, '\p{Gc=__Cs}', "");
    Expect(1, 57344, '\p{^Gc=__Cs}', "");
    Expect(1, 57344, '\P{Gc=__Cs}', "");
    Expect(0, 57344, '\P{^Gc=__Cs}', "");
    Error('\p{Category=	_SURROGATE:=}');
    Error('\P{Category=	_SURROGATE:=}');
    Expect(1, 57343, '\p{Category=:\ASurrogate\z:}', "");;
    Expect(0, 57344, '\p{Category=:\ASurrogate\z:}', "");;
    Expect(1, 57343, '\p{Category=surrogate}', "");
    Expect(0, 57343, '\p{^Category=surrogate}', "");
    Expect(0, 57343, '\P{Category=surrogate}', "");
    Expect(1, 57343, '\P{^Category=surrogate}', "");
    Expect(0, 57344, '\p{Category=surrogate}', "");
    Expect(1, 57344, '\p{^Category=surrogate}', "");
    Expect(1, 57344, '\P{Category=surrogate}', "");
    Expect(0, 57344, '\P{^Category=surrogate}', "");
    Expect(1, 57343, '\p{Category=:\Asurrogate\z:}', "");;
    Expect(0, 57344, '\p{Category=:\Asurrogate\z:}', "");;
    Expect(1, 57343, '\p{Category=  SURROGATE}', "");
    Expect(0, 57343, '\p{^Category=  SURROGATE}', "");
    Expect(0, 57343, '\P{Category=  SURROGATE}', "");
    Expect(1, 57343, '\P{^Category=  SURROGATE}', "");
    Expect(0, 57344, '\p{Category=  SURROGATE}', "");
    Expect(1, 57344, '\p{^Category=  SURROGATE}', "");
    Expect(1, 57344, '\P{Category=  SURROGATE}', "");
    Expect(0, 57344, '\P{^Category=  SURROGATE}', "");
    Error('\p{Is_General_Category= -cs:=}');
    Error('\P{Is_General_Category= -cs:=}');
    Expect(1, 57343, '\p{Is_General_Category=cs}', "");
    Expect(0, 57343, '\p{^Is_General_Category=cs}', "");
    Expect(0, 57343, '\P{Is_General_Category=cs}', "");
    Expect(1, 57343, '\P{^Is_General_Category=cs}', "");
    Expect(0, 57344, '\p{Is_General_Category=cs}', "");
    Expect(1, 57344, '\p{^Is_General_Category=cs}', "");
    Expect(1, 57344, '\P{Is_General_Category=cs}', "");
    Expect(0, 57344, '\P{^Is_General_Category=cs}', "");
    Expect(1, 57343, '\p{Is_General_Category=	Cs}', "");
    Expect(0, 57343, '\p{^Is_General_Category=	Cs}', "");
    Expect(0, 57343, '\P{Is_General_Category=	Cs}', "");
    Expect(1, 57343, '\P{^Is_General_Category=	Cs}', "");
    Expect(0, 57344, '\p{Is_General_Category=	Cs}', "");
    Expect(1, 57344, '\p{^Is_General_Category=	Cs}', "");
    Expect(1, 57344, '\P{Is_General_Category=	Cs}', "");
    Expect(0, 57344, '\P{^Is_General_Category=	Cs}', "");
    Error('\p{Is_Gc=/a/Surrogate}');
    Error('\P{Is_Gc=/a/Surrogate}');
    Expect(1, 57343, '\p{Is_Gc=surrogate}', "");
    Expect(0, 57343, '\p{^Is_Gc=surrogate}', "");
    Expect(0, 57343, '\P{Is_Gc=surrogate}', "");
    Expect(1, 57343, '\P{^Is_Gc=surrogate}', "");
    Expect(0, 57344, '\p{Is_Gc=surrogate}', "");
    Expect(1, 57344, '\p{^Is_Gc=surrogate}', "");
    Expect(1, 57344, '\P{Is_Gc=surrogate}', "");
    Expect(0, 57344, '\P{^Is_Gc=surrogate}', "");
    Expect(1, 57343, '\p{Is_Gc: SURROGATE}', "");
    Expect(0, 57343, '\p{^Is_Gc: SURROGATE}', "");
    Expect(0, 57343, '\P{Is_Gc: SURROGATE}', "");
    Expect(1, 57343, '\P{^Is_Gc: SURROGATE}', "");
    Expect(0, 57344, '\p{Is_Gc: SURROGATE}', "");
    Expect(1, 57344, '\p{^Is_Gc: SURROGATE}', "");
    Expect(1, 57344, '\P{Is_Gc: SURROGATE}', "");
    Expect(0, 57344, '\P{^Is_Gc: SURROGATE}', "");
    Error('\p{Is_Category=:=_Cs}');
    Error('\P{Is_Category=:=_Cs}');
    Expect(1, 57343, '\p{Is_Category=cs}', "");
    Expect(0, 57343, '\p{^Is_Category=cs}', "");
    Expect(0, 57343, '\P{Is_Category=cs}', "");
    Expect(1, 57343, '\P{^Is_Category=cs}', "");
    Expect(0, 57344, '\p{Is_Category=cs}', "");
    Expect(1, 57344, '\p{^Is_Category=cs}', "");
    Expect(1, 57344, '\P{Is_Category=cs}', "");
    Expect(0, 57344, '\P{^Is_Category=cs}', "");
    Expect(1, 57343, '\p{Is_Category=	_Cs}', "");
    Expect(0, 57343, '\p{^Is_Category=	_Cs}', "");
    Expect(0, 57343, '\P{Is_Category=	_Cs}', "");
    Expect(1, 57343, '\P{^Is_Category=	_Cs}', "");
    Expect(0, 57344, '\p{Is_Category=	_Cs}', "");
    Expect(1, 57344, '\p{^Is_Category=	_Cs}', "");
    Expect(1, 57344, '\P{Is_Category=	_Cs}', "");
    Expect(0, 57344, '\P{^Is_Category=	_Cs}', "");
    Error('\p{General_Category=-_LETTER/a/}');
    Error('\P{General_Category=-_LETTER/a/}');
    Expect(1, 201546, '\p{General_Category=:\ALetter\z:}', "");;
    Expect(0, 201547, '\p{General_Category=:\ALetter\z:}', "");;
    Expect(1, 201546, '\p{General_Category=letter}', "");
    Expect(0, 201546, '\p{^General_Category=letter}', "");
    Expect(0, 201546, '\P{General_Category=letter}', "");
    Expect(1, 201546, '\P{^General_Category=letter}', "");
    Expect(0, 201547, '\p{General_Category=letter}', "");
    Expect(1, 201547, '\p{^General_Category=letter}', "");
    Expect(1, 201547, '\P{General_Category=letter}', "");
    Expect(0, 201547, '\P{^General_Category=letter}', "");
    Expect(1, 201546, '\p{General_Category=:\Aletter\z:}', "");;
    Expect(0, 201547, '\p{General_Category=:\Aletter\z:}', "");;
    Expect(1, 201546, '\p{General_Category=	Letter}', "");
    Expect(0, 201546, '\p{^General_Category=	Letter}', "");
    Expect(0, 201546, '\P{General_Category=	Letter}', "");
    Expect(1, 201546, '\P{^General_Category=	Letter}', "");
    Expect(0, 201547, '\p{General_Category=	Letter}', "");
    Expect(1, 201547, '\p{^General_Category=	Letter}', "");
    Expect(1, 201547, '\P{General_Category=	Letter}', "");
    Expect(0, 201547, '\P{^General_Category=	Letter}', "");
    Error('\p{Gc=:=	L}');
    Error('\P{Gc=:=	L}');
    Expect(1, 201546, '\p{Gc=:\AL\z:}', "");;
    Expect(0, 201547, '\p{Gc=:\AL\z:}', "");;
    Expect(1, 201546, '\p{Gc=l}', "");
    Expect(0, 201546, '\p{^Gc=l}', "");
    Expect(0, 201546, '\P{Gc=l}', "");
    Expect(1, 201546, '\P{^Gc=l}', "");
    Expect(0, 201547, '\p{Gc=l}', "");
    Expect(1, 201547, '\p{^Gc=l}', "");
    Expect(1, 201547, '\P{Gc=l}', "");
    Expect(0, 201547, '\P{^Gc=l}', "");
    Expect(1, 201546, '\p{Gc=:\Al\z:}', "");;
    Expect(0, 201547, '\p{Gc=:\Al\z:}', "");;
    Expect(1, 201546, '\p{Gc= 	L}', "");
    Expect(0, 201546, '\p{^Gc= 	L}', "");
    Expect(0, 201546, '\P{Gc= 	L}', "");
    Expect(1, 201546, '\P{^Gc= 	L}', "");
    Expect(0, 201547, '\p{Gc= 	L}', "");
    Expect(1, 201547, '\p{^Gc= 	L}', "");
    Expect(1, 201547, '\P{Gc= 	L}', "");
    Expect(0, 201547, '\P{^Gc= 	L}', "");
    Error('\p{Category=/a/_ LETTER}');
    Error('\P{Category=/a/_ LETTER}');
    Expect(1, 201546, '\p{Category=:\ALetter\z:}', "");;
    Expect(0, 201547, '\p{Category=:\ALetter\z:}', "");;
    Expect(1, 201546, '\p{Category:   letter}', "");
    Expect(0, 201546, '\p{^Category:   letter}', "");
    Expect(0, 201546, '\P{Category:   letter}', "");
    Expect(1, 201546, '\P{^Category:   letter}', "");
    Expect(0, 201547, '\p{Category:   letter}', "");
    Expect(1, 201547, '\p{^Category:   letter}', "");
    Expect(1, 201547, '\P{Category:   letter}', "");
    Expect(0, 201547, '\P{^Category:   letter}', "");
    Expect(1, 201546, '\p{Category=:\Aletter\z:}', "");;
    Expect(0, 201547, '\p{Category=:\Aletter\z:}', "");;
    Expect(1, 201546, '\p{Category=--Letter}', "");
    Expect(0, 201546, '\p{^Category=--Letter}', "");
    Expect(0, 201546, '\P{Category=--Letter}', "");
    Expect(1, 201546, '\P{^Category=--Letter}', "");
    Expect(0, 201547, '\p{Category=--Letter}', "");
    Expect(1, 201547, '\p{^Category=--Letter}', "");
    Expect(1, 201547, '\P{Category=--Letter}', "");
    Expect(0, 201547, '\P{^Category=--Letter}', "");
    Error('\p{Is_General_Category=_:=L}');
    Error('\P{Is_General_Category=_:=L}');
    Expect(1, 201546, '\p{Is_General_Category=l}', "");
    Expect(0, 201546, '\p{^Is_General_Category=l}', "");
    Expect(0, 201546, '\P{Is_General_Category=l}', "");
    Expect(1, 201546, '\P{^Is_General_Category=l}', "");
    Expect(0, 201547, '\p{Is_General_Category=l}', "");
    Expect(1, 201547, '\p{^Is_General_Category=l}', "");
    Expect(1, 201547, '\P{Is_General_Category=l}', "");
    Expect(0, 201547, '\P{^Is_General_Category=l}', "");
    Expect(1, 201546, '\p{Is_General_Category=--L}', "");
    Expect(0, 201546, '\p{^Is_General_Category=--L}', "");
    Expect(0, 201546, '\P{Is_General_Category=--L}', "");
    Expect(1, 201546, '\P{^Is_General_Category=--L}', "");
    Expect(0, 201547, '\p{Is_General_Category=--L}', "");
    Expect(1, 201547, '\p{^Is_General_Category=--L}', "");
    Expect(1, 201547, '\P{Is_General_Category=--L}', "");
    Expect(0, 201547, '\P{^Is_General_Category=--L}', "");
    Error('\p{Is_Gc=	:=letter}');
    Error('\P{Is_Gc=	:=letter}');
    Expect(1, 201546, '\p{Is_Gc=letter}', "");
    Expect(0, 201546, '\p{^Is_Gc=letter}', "");
    Expect(0, 201546, '\P{Is_Gc=letter}', "");
    Expect(1, 201546, '\P{^Is_Gc=letter}', "");
    Expect(0, 201547, '\p{Is_Gc=letter}', "");
    Expect(1, 201547, '\p{^Is_Gc=letter}', "");
    Expect(1, 201547, '\P{Is_Gc=letter}', "");
    Expect(0, 201547, '\P{^Is_Gc=letter}', "");
    Expect(1, 201546, '\p{Is_Gc=_LETTER}', "");
    Expect(0, 201546, '\p{^Is_Gc=_LETTER}', "");
    Expect(0, 201546, '\P{Is_Gc=_LETTER}', "");
    Expect(1, 201546, '\P{^Is_Gc=_LETTER}', "");
    Expect(0, 201547, '\p{Is_Gc=_LETTER}', "");
    Expect(1, 201547, '\p{^Is_Gc=_LETTER}', "");
    Expect(1, 201547, '\P{Is_Gc=_LETTER}', "");
    Expect(0, 201547, '\P{^Is_Gc=_LETTER}', "");
    Error('\p{Is_Category=:=L}');
    Error('\P{Is_Category=:=L}');
    Expect(1, 201546, '\p{Is_Category=l}', "");
    Expect(0, 201546, '\p{^Is_Category=l}', "");
    Expect(0, 201546, '\P{Is_Category=l}', "");
    Expect(1, 201546, '\P{^Is_Category=l}', "");
    Expect(0, 201547, '\p{Is_Category=l}', "");
    Expect(1, 201547, '\p{^Is_Category=l}', "");
    Expect(1, 201547, '\P{Is_Category=l}', "");
    Expect(0, 201547, '\P{^Is_Category=l}', "");
    Expect(1, 201546, '\p{Is_Category=L}', "");
    Expect(0, 201546, '\p{^Is_Category=L}', "");
    Expect(0, 201546, '\P{Is_Category=L}', "");
    Expect(1, 201546, '\P{^Is_Category=L}', "");
    Expect(0, 201547, '\p{Is_Category=L}', "");
    Expect(1, 201547, '\p{^Is_Category=L}', "");
    Expect(1, 201547, '\P{Is_Category=L}', "");
    Expect(0, 201547, '\P{^Is_Category=L}', "");
    Error('\p{General_Category= _CASED_letter/a/}');
    Error('\P{General_Category= _CASED_letter/a/}');
    Expect(1, 125251, '\p{General_Category=:\ACased_Letter\z:}', "");;
    Expect(0, 125252, '\p{General_Category=:\ACased_Letter\z:}', "");;
    Expect(1, 125251, '\p{General_Category=casedletter}', "");
    Expect(0, 125251, '\p{^General_Category=casedletter}', "");
    Expect(0, 125251, '\P{General_Category=casedletter}', "");
    Expect(1, 125251, '\P{^General_Category=casedletter}', "");
    Expect(0, 125252, '\p{General_Category=casedletter}', "");
    Expect(1, 125252, '\p{^General_Category=casedletter}', "");
    Expect(1, 125252, '\P{General_Category=casedletter}', "");
    Expect(0, 125252, '\P{^General_Category=casedletter}', "");
    Expect(1, 125251, '\p{General_Category=:\Acasedletter\z:}', "");;
    Expect(0, 125252, '\p{General_Category=:\Acasedletter\z:}', "");;
    Expect(1, 125251, '\p{General_Category=	_CASED_Letter}', "");
    Expect(0, 125251, '\p{^General_Category=	_CASED_Letter}', "");
    Expect(0, 125251, '\P{General_Category=	_CASED_Letter}', "");
    Expect(1, 125251, '\P{^General_Category=	_CASED_Letter}', "");
    Expect(0, 125252, '\p{General_Category=	_CASED_Letter}', "");
    Expect(1, 125252, '\p{^General_Category=	_CASED_Letter}', "");
    Expect(1, 125252, '\P{General_Category=	_CASED_Letter}', "");
    Expect(0, 125252, '\P{^General_Category=	_CASED_Letter}', "");
    Error('\p{Gc= /a/lc}');
    Error('\P{Gc= /a/lc}');
    Expect(1, 125251, '\p{Gc=:\ALC\z:}', "");;
    Expect(0, 125252, '\p{Gc=:\ALC\z:}', "");;
    Expect(1, 125251, '\p{Gc:	lc}', "");
    Expect(0, 125251, '\p{^Gc:	lc}', "");
    Expect(0, 125251, '\P{Gc:	lc}', "");
    Expect(1, 125251, '\P{^Gc:	lc}', "");
    Expect(0, 125252, '\p{Gc:	lc}', "");
    Expect(1, 125252, '\p{^Gc:	lc}', "");
    Expect(1, 125252, '\P{Gc:	lc}', "");
    Expect(0, 125252, '\P{^Gc:	lc}', "");
    Expect(1, 125251, '\p{Gc=:\Alc\z:}', "");;
    Expect(0, 125252, '\p{Gc=:\Alc\z:}', "");;
    Expect(1, 125251, '\p{Gc=		lc}', "");
    Expect(0, 125251, '\p{^Gc=		lc}', "");
    Expect(0, 125251, '\P{Gc=		lc}', "");
    Expect(1, 125251, '\P{^Gc=		lc}', "");
    Expect(0, 125252, '\p{Gc=		lc}', "");
    Expect(1, 125252, '\p{^Gc=		lc}', "");
    Expect(1, 125252, '\P{Gc=		lc}', "");
    Expect(0, 125252, '\P{^Gc=		lc}', "");
    Error('\p{Category=	-L_:=}');
    Error('\P{Category=	-L_:=}');
    Expect(1, 125251, '\p{Category=l_}', "");
    Expect(0, 125251, '\p{^Category=l_}', "");
    Expect(0, 125251, '\P{Category=l_}', "");
    Expect(1, 125251, '\P{^Category=l_}', "");
    Expect(0, 125252, '\p{Category=l_}', "");
    Expect(1, 125252, '\p{^Category=l_}', "");
    Expect(1, 125252, '\P{Category=l_}', "");
    Expect(0, 125252, '\P{^Category=l_}', "");
    Expect(1, 125251, '\p{Category= l_}', "");
    Expect(0, 125251, '\p{^Category= l_}', "");
    Expect(0, 125251, '\P{Category= l_}', "");
    Expect(1, 125251, '\P{^Category= l_}', "");
    Expect(0, 125252, '\p{Category= l_}', "");
    Expect(1, 125252, '\p{^Category= l_}', "");
    Expect(1, 125252, '\P{Category= l_}', "");
    Expect(0, 125252, '\P{^Category= l_}', "");
    Error('\p{Is_General_Category=-	L&/a/}');
    Error('\P{Is_General_Category=-	L&/a/}');
    Expect(1, 125251, '\p{Is_General_Category=l&}', "");
    Expect(0, 125251, '\p{^Is_General_Category=l&}', "");
    Expect(0, 125251, '\P{Is_General_Category=l&}', "");
    Expect(1, 125251, '\P{^Is_General_Category=l&}', "");
    Expect(0, 125252, '\p{Is_General_Category=l&}', "");
    Expect(1, 125252, '\p{^Is_General_Category=l&}', "");
    Expect(1, 125252, '\P{Is_General_Category=l&}', "");
    Expect(0, 125252, '\P{^Is_General_Category=l&}', "");
    Expect(1, 125251, '\p{Is_General_Category=	-L&}', "");
    Expect(0, 125251, '\p{^Is_General_Category=	-L&}', "");
    Expect(0, 125251, '\P{Is_General_Category=	-L&}', "");
    Expect(1, 125251, '\P{^Is_General_Category=	-L&}', "");
    Expect(0, 125252, '\p{Is_General_Category=	-L&}', "");
    Expect(1, 125252, '\p{^Is_General_Category=	-L&}', "");
    Expect(1, 125252, '\P{Is_General_Category=	-L&}', "");
    Expect(0, 125252, '\P{^Is_General_Category=	-L&}', "");
    Error('\p{Is_Gc=-_CASED_LETTER/a/}');
    Error('\P{Is_Gc=-_CASED_LETTER/a/}');
    Expect(1, 125251, '\p{Is_Gc:casedletter}', "");
    Expect(0, 125251, '\p{^Is_Gc:casedletter}', "");
    Expect(0, 125251, '\P{Is_Gc:casedletter}', "");
    Expect(1, 125251, '\P{^Is_Gc:casedletter}', "");
    Expect(0, 125252, '\p{Is_Gc:casedletter}', "");
    Expect(1, 125252, '\p{^Is_Gc:casedletter}', "");
    Expect(1, 125252, '\P{Is_Gc:casedletter}', "");
    Expect(0, 125252, '\P{^Is_Gc:casedletter}', "");
    Expect(1, 125251, '\p{Is_Gc=_	Cased_Letter}', "");
    Expect(0, 125251, '\p{^Is_Gc=_	Cased_Letter}', "");
    Expect(0, 125251, '\P{Is_Gc=_	Cased_Letter}', "");
    Expect(1, 125251, '\P{^Is_Gc=_	Cased_Letter}', "");
    Expect(0, 125252, '\p{Is_Gc=_	Cased_Letter}', "");
    Expect(1, 125252, '\p{^Is_Gc=_	Cased_Letter}', "");
    Expect(1, 125252, '\P{Is_Gc=_	Cased_Letter}', "");
    Expect(0, 125252, '\P{^Is_Gc=_	Cased_Letter}', "");
    Error('\p{Is_Category=/a/- LC}');
    Error('\P{Is_Category=/a/- LC}');
    Expect(1, 125251, '\p{Is_Category=lc}', "");
    Expect(0, 125251, '\p{^Is_Category=lc}', "");
    Expect(0, 125251, '\P{Is_Category=lc}', "");
    Expect(1, 125251, '\P{^Is_Category=lc}', "");
    Expect(0, 125252, '\p{Is_Category=lc}', "");
    Expect(1, 125252, '\p{^Is_Category=lc}', "");
    Expect(1, 125252, '\P{Is_Category=lc}', "");
    Expect(0, 125252, '\P{^Is_Category=lc}', "");
    Expect(1, 125251, '\p{Is_Category=		LC}', "");
    Expect(0, 125251, '\p{^Is_Category=		LC}', "");
    Expect(0, 125251, '\P{Is_Category=		LC}', "");
    Expect(1, 125251, '\P{^Is_Category=		LC}', "");
    Expect(0, 125252, '\p{Is_Category=		LC}', "");
    Expect(1, 125252, '\p{^Is_Category=		LC}', "");
    Expect(1, 125252, '\P{Is_Category=		LC}', "");
    Expect(0, 125252, '\P{^Is_Category=		LC}', "");
    Error('\p{General_Category=/a/ lowercase_Letter}');
    Error('\P{General_Category=/a/ lowercase_Letter}');
    Expect(1, 125251, '\p{General_Category=:\ALowercase_Letter\z:}', "");;
    Expect(0, 125252, '\p{General_Category=:\ALowercase_Letter\z:}', "");;
    Expect(1, 125251, '\p{General_Category=lowercaseletter}', "");
    Expect(0, 125251, '\p{^General_Category=lowercaseletter}', "");
    Expect(0, 125251, '\P{General_Category=lowercaseletter}', "");
    Expect(1, 125251, '\P{^General_Category=lowercaseletter}', "");
    Expect(0, 125252, '\p{General_Category=lowercaseletter}', "");
    Expect(1, 125252, '\p{^General_Category=lowercaseletter}', "");
    Expect(1, 125252, '\P{General_Category=lowercaseletter}', "");
    Expect(0, 125252, '\P{^General_Category=lowercaseletter}', "");
    Expect(1, 125251, '\p{General_Category=:\Alowercaseletter\z:}', "");;
    Expect(0, 125252, '\p{General_Category=:\Alowercaseletter\z:}', "");;
    Expect(1, 125251, '\p{General_Category=_-Lowercase_Letter}', "");
    Expect(0, 125251, '\p{^General_Category=_-Lowercase_Letter}', "");
    Expect(0, 125251, '\P{General_Category=_-Lowercase_Letter}', "");
    Expect(1, 125251, '\P{^General_Category=_-Lowercase_Letter}', "");
    Expect(0, 125252, '\p{General_Category=_-Lowercase_Letter}', "");
    Expect(1, 125252, '\p{^General_Category=_-Lowercase_Letter}', "");
    Expect(1, 125252, '\P{General_Category=_-Lowercase_Letter}', "");
    Expect(0, 125252, '\P{^General_Category=_-Lowercase_Letter}', "");
    Error('\p{Gc=	 Ll:=}');
    Error('\P{Gc=	 Ll:=}');
    Expect(1, 125251, '\p{Gc=:\ALl\z:}', "");;
    Expect(0, 125252, '\p{Gc=:\ALl\z:}', "");;
    Expect(1, 125251, '\p{Gc=ll}', "");
    Expect(0, 125251, '\p{^Gc=ll}', "");
    Expect(0, 125251, '\P{Gc=ll}', "");
    Expect(1, 125251, '\P{^Gc=ll}', "");
    Expect(0, 125252, '\p{Gc=ll}', "");
    Expect(1, 125252, '\p{^Gc=ll}', "");
    Expect(1, 125252, '\P{Gc=ll}', "");
    Expect(0, 125252, '\P{^Gc=ll}', "");
    Expect(1, 125251, '\p{Gc=:\All\z:}', "");;
    Expect(0, 125252, '\p{Gc=:\All\z:}', "");;
    Expect(1, 125251, '\p{Gc=_	LL}', "");
    Expect(0, 125251, '\p{^Gc=_	LL}', "");
    Expect(0, 125251, '\P{Gc=_	LL}', "");
    Expect(1, 125251, '\P{^Gc=_	LL}', "");
    Expect(0, 125252, '\p{Gc=_	LL}', "");
    Expect(1, 125252, '\p{^Gc=_	LL}', "");
    Expect(1, 125252, '\P{Gc=_	LL}', "");
    Expect(0, 125252, '\P{^Gc=_	LL}', "");
    Error('\p{Category=/a/- LOWERCASE_letter}');
    Error('\P{Category=/a/- LOWERCASE_letter}');
    Expect(1, 125251, '\p{Category=:\ALowercase_Letter\z:}', "");;
    Expect(0, 125252, '\p{Category=:\ALowercase_Letter\z:}', "");;
    Expect(1, 125251, '\p{Category:   lowercaseletter}', "");
    Expect(0, 125251, '\p{^Category:   lowercaseletter}', "");
    Expect(0, 125251, '\P{Category:   lowercaseletter}', "");
    Expect(1, 125251, '\P{^Category:   lowercaseletter}', "");
    Expect(0, 125252, '\p{Category:   lowercaseletter}', "");
    Expect(1, 125252, '\p{^Category:   lowercaseletter}', "");
    Expect(1, 125252, '\P{Category:   lowercaseletter}', "");
    Expect(0, 125252, '\P{^Category:   lowercaseletter}', "");
    Expect(1, 125251, '\p{Category=:\Alowercaseletter\z:}', "");;
    Expect(0, 125252, '\p{Category=:\Alowercaseletter\z:}', "");;
    Expect(1, 125251, '\p{Category=	_Lowercase_Letter}', "");
    Expect(0, 125251, '\p{^Category=	_Lowercase_Letter}', "");
    Expect(0, 125251, '\P{Category=	_Lowercase_Letter}', "");
    Expect(1, 125251, '\P{^Category=	_Lowercase_Letter}', "");
    Expect(0, 125252, '\p{Category=	_Lowercase_Letter}', "");
    Expect(1, 125252, '\p{^Category=	_Lowercase_Letter}', "");
    Expect(1, 125252, '\P{Category=	_Lowercase_Letter}', "");
}
if (!$::TESTCHUNK or $::TESTCHUNK == 2) {
    Expect(0, 125252, '\P{^Category=	_Lowercase_Letter}', "");
    Error('\p{Is_General_Category=:=	Ll}');
    Error('\P{Is_General_Category=:=	Ll}');
    Expect(1, 125251, '\p{Is_General_Category=ll}', "");
    Expect(0, 125251, '\p{^Is_General_Category=ll}', "");
    Expect(0, 125251, '\P{Is_General_Category=ll}', "");
    Expect(1, 125251, '\P{^Is_General_Category=ll}', "");
    Expect(0, 125252, '\p{Is_General_Category=ll}', "");
    Expect(1, 125252, '\p{^Is_General_Category=ll}', "");
    Expect(1, 125252, '\P{Is_General_Category=ll}', "");
    Expect(0, 125252, '\P{^Is_General_Category=ll}', "");
    Expect(1, 125251, '\p{Is_General_Category=-Ll}', "");
    Expect(0, 125251, '\p{^Is_General_Category=-Ll}', "");
    Expect(0, 125251, '\P{Is_General_Category=-Ll}', "");
    Expect(1, 125251, '\P{^Is_General_Category=-Ll}', "");
    Expect(0, 125252, '\p{Is_General_Category=-Ll}', "");
    Expect(1, 125252, '\p{^Is_General_Category=-Ll}', "");
    Expect(1, 125252, '\P{Is_General_Category=-Ll}', "");
    Expect(0, 125252, '\P{^Is_General_Category=-Ll}', "");
    Error('\p{Is_Gc=_:=Lowercase_Letter}');
    Error('\P{Is_Gc=_:=Lowercase_Letter}');
    Expect(1, 125251, '\p{Is_Gc:   lowercaseletter}', "");
    Expect(0, 125251, '\p{^Is_Gc:   lowercaseletter}', "");
    Expect(0, 125251, '\P{Is_Gc:   lowercaseletter}', "");
    Expect(1, 125251, '\P{^Is_Gc:   lowercaseletter}', "");
    Expect(0, 125252, '\p{Is_Gc:   lowercaseletter}', "");
    Expect(1, 125252, '\p{^Is_Gc:   lowercaseletter}', "");
    Expect(1, 125252, '\P{Is_Gc:   lowercaseletter}', "");
    Expect(0, 125252, '\P{^Is_Gc:   lowercaseletter}', "");
    Expect(1, 125251, '\p{Is_Gc=__Lowercase_LETTER}', "");
    Expect(0, 125251, '\p{^Is_Gc=__Lowercase_LETTER}', "");
    Expect(0, 125251, '\P{Is_Gc=__Lowercase_LETTER}', "");
    Expect(1, 125251, '\P{^Is_Gc=__Lowercase_LETTER}', "");
    Expect(0, 125252, '\p{Is_Gc=__Lowercase_LETTER}', "");
    Expect(1, 125252, '\p{^Is_Gc=__Lowercase_LETTER}', "");
    Expect(1, 125252, '\P{Is_Gc=__Lowercase_LETTER}', "");
    Expect(0, 125252, '\P{^Is_Gc=__Lowercase_LETTER}', "");
    Error('\p{Is_Category=:=	Ll}');
    Error('\P{Is_Category=:=	Ll}');
    Expect(1, 125251, '\p{Is_Category=ll}', "");
    Expect(0, 125251, '\p{^Is_Category=ll}', "");
    Expect(0, 125251, '\P{Is_Category=ll}', "");
    Expect(1, 125251, '\P{^Is_Category=ll}', "");
    Expect(0, 125252, '\p{Is_Category=ll}', "");
    Expect(1, 125252, '\p{^Is_Category=ll}', "");
    Expect(1, 125252, '\P{Is_Category=ll}', "");
    Expect(0, 125252, '\P{^Is_Category=ll}', "");
    Expect(1, 125251, '\p{Is_Category=	LL}', "");
    Expect(0, 125251, '\p{^Is_Category=	LL}', "");
    Expect(0, 125251, '\P{Is_Category=	LL}', "");
    Expect(1, 125251, '\P{^Is_Category=	LL}', "");
    Expect(0, 125252, '\p{Is_Category=	LL}', "");
    Expect(1, 125252, '\p{^Is_Category=	LL}', "");
    Expect(1, 125252, '\P{Is_Category=	LL}', "");
    Expect(0, 125252, '\P{^Is_Category=	LL}', "");
    Error('\p{General_Category= Modifier_Letter:=}');
    Error('\P{General_Category= Modifier_Letter:=}');
    Expect(1, 125259, '\p{General_Category=:\AModifier_Letter\z:}', "");;
    Expect(0, 125260, '\p{General_Category=:\AModifier_Letter\z:}', "");;
    Expect(1, 125259, '\p{General_Category=modifierletter}', "");
    Expect(0, 125259, '\p{^General_Category=modifierletter}', "");
    Expect(0, 125259, '\P{General_Category=modifierletter}', "");
    Expect(1, 125259, '\P{^General_Category=modifierletter}', "");
    Expect(0, 125260, '\p{General_Category=modifierletter}', "");
    Expect(1, 125260, '\p{^General_Category=modifierletter}', "");
    Expect(1, 125260, '\P{General_Category=modifierletter}', "");
    Expect(0, 125260, '\P{^General_Category=modifierletter}', "");
    Expect(1, 125259, '\p{General_Category=:\Amodifierletter\z:}', "");;
    Expect(0, 125260, '\p{General_Category=:\Amodifierletter\z:}', "");;
    Expect(1, 125259, '\p{General_Category=	Modifier_LETTER}', "");
    Expect(0, 125259, '\p{^General_Category=	Modifier_LETTER}', "");
    Expect(0, 125259, '\P{General_Category=	Modifier_LETTER}', "");
    Expect(1, 125259, '\P{^General_Category=	Modifier_LETTER}', "");
    Expect(0, 125260, '\p{General_Category=	Modifier_LETTER}', "");
    Expect(1, 125260, '\p{^General_Category=	Modifier_LETTER}', "");
    Expect(1, 125260, '\P{General_Category=	Modifier_LETTER}', "");
    Expect(0, 125260, '\P{^General_Category=	Modifier_LETTER}', "");
    Error('\p{Gc=/a/--Lm}');
    Error('\P{Gc=/a/--Lm}');
    Expect(1, 125259, '\p{Gc=:\ALm\z:}', "");;
    Expect(0, 125260, '\p{Gc=:\ALm\z:}', "");;
    Expect(1, 125259, '\p{Gc=lm}', "");
    Expect(0, 125259, '\p{^Gc=lm}', "");
    Expect(0, 125259, '\P{Gc=lm}', "");
    Expect(1, 125259, '\P{^Gc=lm}', "");
    Expect(0, 125260, '\p{Gc=lm}', "");
    Expect(1, 125260, '\p{^Gc=lm}', "");
    Expect(1, 125260, '\P{Gc=lm}', "");
    Expect(0, 125260, '\P{^Gc=lm}', "");
    Expect(1, 125259, '\p{Gc=:\Alm\z:}', "");;
    Expect(0, 125260, '\p{Gc=:\Alm\z:}', "");;
    Expect(1, 125259, '\p{Gc= -Lm}', "");
    Expect(0, 125259, '\p{^Gc= -Lm}', "");
    Expect(0, 125259, '\P{Gc= -Lm}', "");
    Expect(1, 125259, '\P{^Gc= -Lm}', "");
    Expect(0, 125260, '\p{Gc= -Lm}', "");
    Expect(1, 125260, '\p{^Gc= -Lm}', "");
    Expect(1, 125260, '\P{Gc= -Lm}', "");
    Expect(0, 125260, '\P{^Gc= -Lm}', "");
    Error('\p{Category=/a/ Modifier_LETTER}');
    Error('\P{Category=/a/ Modifier_LETTER}');
    Expect(1, 125259, '\p{Category=:\AModifier_Letter\z:}', "");;
    Expect(0, 125260, '\p{Category=:\AModifier_Letter\z:}', "");;
    Expect(1, 125259, '\p{Category=modifierletter}', "");
    Expect(0, 125259, '\p{^Category=modifierletter}', "");
    Expect(0, 125259, '\P{Category=modifierletter}', "");
    Expect(1, 125259, '\P{^Category=modifierletter}', "");
    Expect(0, 125260, '\p{Category=modifierletter}', "");
    Expect(1, 125260, '\p{^Category=modifierletter}', "");
    Expect(1, 125260, '\P{Category=modifierletter}', "");
    Expect(0, 125260, '\P{^Category=modifierletter}', "");
    Expect(1, 125259, '\p{Category=:\Amodifierletter\z:}', "");;
    Expect(0, 125260, '\p{Category=:\Amodifierletter\z:}', "");;
    Expect(1, 125259, '\p{Category=	_Modifier_Letter}', "");
    Expect(0, 125259, '\p{^Category=	_Modifier_Letter}', "");
    Expect(0, 125259, '\P{Category=	_Modifier_Letter}', "");
    Expect(1, 125259, '\P{^Category=	_Modifier_Letter}', "");
    Expect(0, 125260, '\p{Category=	_Modifier_Letter}', "");
    Expect(1, 125260, '\p{^Category=	_Modifier_Letter}', "");
    Expect(1, 125260, '\P{Category=	_Modifier_Letter}', "");
    Expect(0, 125260, '\P{^Category=	_Modifier_Letter}', "");
    Error('\p{Is_General_Category=_ Lm:=}');
    Error('\P{Is_General_Category=_ Lm:=}');
    Expect(1, 125259, '\p{Is_General_Category=lm}', "");
    Expect(0, 125259, '\p{^Is_General_Category=lm}', "");
    Expect(0, 125259, '\P{Is_General_Category=lm}', "");
    Expect(1, 125259, '\P{^Is_General_Category=lm}', "");
    Expect(0, 125260, '\p{Is_General_Category=lm}', "");
    Expect(1, 125260, '\p{^Is_General_Category=lm}', "");
    Expect(1, 125260, '\P{Is_General_Category=lm}', "");
    Expect(0, 125260, '\P{^Is_General_Category=lm}', "");
    Expect(1, 125259, '\p{Is_General_Category=Lm}', "");
    Expect(0, 125259, '\p{^Is_General_Category=Lm}', "");
    Expect(0, 125259, '\P{Is_General_Category=Lm}', "");
    Expect(1, 125259, '\P{^Is_General_Category=Lm}', "");
    Expect(0, 125260, '\p{Is_General_Category=Lm}', "");
    Expect(1, 125260, '\p{^Is_General_Category=Lm}', "");
    Expect(1, 125260, '\P{Is_General_Category=Lm}', "");
    Expect(0, 125260, '\P{^Is_General_Category=Lm}', "");
    Error('\p{Is_Gc=/a/	MODIFIER_Letter}');
    Error('\P{Is_Gc=/a/	MODIFIER_Letter}');
    Expect(1, 125259, '\p{Is_Gc=modifierletter}', "");
    Expect(0, 125259, '\p{^Is_Gc=modifierletter}', "");
    Expect(0, 125259, '\P{Is_Gc=modifierletter}', "");
    Expect(1, 125259, '\P{^Is_Gc=modifierletter}', "");
    Expect(0, 125260, '\p{Is_Gc=modifierletter}', "");
    Expect(1, 125260, '\p{^Is_Gc=modifierletter}', "");
    Expect(1, 125260, '\P{Is_Gc=modifierletter}', "");
    Expect(0, 125260, '\P{^Is_Gc=modifierletter}', "");
    Expect(1, 125259, '\p{Is_Gc=_Modifier_LETTER}', "");
    Expect(0, 125259, '\p{^Is_Gc=_Modifier_LETTER}', "");
    Expect(0, 125259, '\P{Is_Gc=_Modifier_LETTER}', "");
    Expect(1, 125259, '\P{^Is_Gc=_Modifier_LETTER}', "");
    Expect(0, 125260, '\p{Is_Gc=_Modifier_LETTER}', "");
    Expect(1, 125260, '\p{^Is_Gc=_Modifier_LETTER}', "");
    Expect(1, 125260, '\P{Is_Gc=_Modifier_LETTER}', "");
    Expect(0, 125260, '\P{^Is_Gc=_Modifier_LETTER}', "");
    Error('\p{Is_Category=_/a/lm}');
    Error('\P{Is_Category=_/a/lm}');
    Expect(1, 125259, '\p{Is_Category=lm}', "");
    Expect(0, 125259, '\p{^Is_Category=lm}', "");
    Expect(0, 125259, '\P{Is_Category=lm}', "");
    Expect(1, 125259, '\P{^Is_Category=lm}', "");
    Expect(0, 125260, '\p{Is_Category=lm}', "");
    Expect(1, 125260, '\p{^Is_Category=lm}', "");
    Expect(1, 125260, '\P{Is_Category=lm}', "");
    Expect(0, 125260, '\P{^Is_Category=lm}', "");
    Expect(1, 125259, '\p{Is_Category=	-Lm}', "");
    Expect(0, 125259, '\p{^Is_Category=	-Lm}', "");
    Expect(0, 125259, '\P{Is_Category=	-Lm}', "");
    Expect(1, 125259, '\P{^Is_Category=	-Lm}', "");
    Expect(0, 125260, '\p{Is_Category=	-Lm}', "");
    Expect(1, 125260, '\p{^Is_Category=	-Lm}', "");
    Expect(1, 125260, '\P{Is_Category=	-Lm}', "");
    Expect(0, 125260, '\P{^Is_Category=	-Lm}', "");
    Error('\p{General_Category=:=-_other_LETTER}');
    Error('\P{General_Category=:=-_other_LETTER}');
    Expect(1, 201546, '\p{General_Category=:\AOther_Letter\z:}', "");;
    Expect(0, 201547, '\p{General_Category=:\AOther_Letter\z:}', "");;
    Expect(1, 201546, '\p{General_Category:   otherletter}', "");
    Expect(0, 201546, '\p{^General_Category:   otherletter}', "");
    Expect(0, 201546, '\P{General_Category:   otherletter}', "");
    Expect(1, 201546, '\P{^General_Category:   otherletter}', "");
    Expect(0, 201547, '\p{General_Category:   otherletter}', "");
    Expect(1, 201547, '\p{^General_Category:   otherletter}', "");
    Expect(1, 201547, '\P{General_Category:   otherletter}', "");
    Expect(0, 201547, '\P{^General_Category:   otherletter}', "");
    Expect(1, 201546, '\p{General_Category=:\Aotherletter\z:}', "");;
    Expect(0, 201547, '\p{General_Category=:\Aotherletter\z:}', "");;
    Expect(1, 201546, '\p{General_Category=	-OTHER_LETTER}', "");
    Expect(0, 201546, '\p{^General_Category=	-OTHER_LETTER}', "");
    Expect(0, 201546, '\P{General_Category=	-OTHER_LETTER}', "");
    Expect(1, 201546, '\P{^General_Category=	-OTHER_LETTER}', "");
    Expect(0, 201547, '\p{General_Category=	-OTHER_LETTER}', "");
    Expect(1, 201547, '\p{^General_Category=	-OTHER_LETTER}', "");
    Expect(1, 201547, '\P{General_Category=	-OTHER_LETTER}', "");
    Expect(0, 201547, '\P{^General_Category=	-OTHER_LETTER}', "");
    Error('\p{Gc=_:=Lo}');
    Error('\P{Gc=_:=Lo}');
    Expect(1, 201546, '\p{Gc=:\ALo\z:}', "");;
    Expect(0, 201547, '\p{Gc=:\ALo\z:}', "");;
    Expect(1, 201546, '\p{Gc=lo}', "");
    Expect(0, 201546, '\p{^Gc=lo}', "");
    Expect(0, 201546, '\P{Gc=lo}', "");
    Expect(1, 201546, '\P{^Gc=lo}', "");
    Expect(0, 201547, '\p{Gc=lo}', "");
    Expect(1, 201547, '\p{^Gc=lo}', "");
    Expect(1, 201547, '\P{Gc=lo}', "");
    Expect(0, 201547, '\P{^Gc=lo}', "");
    Expect(1, 201546, '\p{Gc=:\Alo\z:}', "");;
    Expect(0, 201547, '\p{Gc=:\Alo\z:}', "");;
    Expect(1, 201546, '\p{Gc=	Lo}', "");
    Expect(0, 201546, '\p{^Gc=	Lo}', "");
    Expect(0, 201546, '\P{Gc=	Lo}', "");
    Expect(1, 201546, '\P{^Gc=	Lo}', "");
    Expect(0, 201547, '\p{Gc=	Lo}', "");
    Expect(1, 201547, '\p{^Gc=	Lo}', "");
    Expect(1, 201547, '\P{Gc=	Lo}', "");
    Expect(0, 201547, '\P{^Gc=	Lo}', "");
    Error('\p{Category= :=OTHER_Letter}');
    Error('\P{Category= :=OTHER_Letter}');
    Expect(1, 201546, '\p{Category=:\AOther_Letter\z:}', "");;
    Expect(0, 201547, '\p{Category=:\AOther_Letter\z:}', "");;
    Expect(1, 201546, '\p{Category=otherletter}', "");
    Expect(0, 201546, '\p{^Category=otherletter}', "");
    Expect(0, 201546, '\P{Category=otherletter}', "");
    Expect(1, 201546, '\P{^Category=otherletter}', "");
    Expect(0, 201547, '\p{Category=otherletter}', "");
    Expect(1, 201547, '\p{^Category=otherletter}', "");
    Expect(1, 201547, '\P{Category=otherletter}', "");
    Expect(0, 201547, '\P{^Category=otherletter}', "");
    Expect(1, 201546, '\p{Category=:\Aotherletter\z:}', "");;
    Expect(0, 201547, '\p{Category=:\Aotherletter\z:}', "");;
    Expect(1, 201546, '\p{Category=-Other_letter}', "");
    Expect(0, 201546, '\p{^Category=-Other_letter}', "");
    Expect(0, 201546, '\P{Category=-Other_letter}', "");
    Expect(1, 201546, '\P{^Category=-Other_letter}', "");
    Expect(0, 201547, '\p{Category=-Other_letter}', "");
    Expect(1, 201547, '\p{^Category=-Other_letter}', "");
    Expect(1, 201547, '\P{Category=-Other_letter}', "");
    Expect(0, 201547, '\P{^Category=-Other_letter}', "");
    Error('\p{Is_General_Category=:= -Lo}');
    Error('\P{Is_General_Category=:= -Lo}');
    Expect(1, 201546, '\p{Is_General_Category=lo}', "");
    Expect(0, 201546, '\p{^Is_General_Category=lo}', "");
    Expect(0, 201546, '\P{Is_General_Category=lo}', "");
    Expect(1, 201546, '\P{^Is_General_Category=lo}', "");
    Expect(0, 201547, '\p{Is_General_Category=lo}', "");
    Expect(1, 201547, '\p{^Is_General_Category=lo}', "");
    Expect(1, 201547, '\P{Is_General_Category=lo}', "");
    Expect(0, 201547, '\P{^Is_General_Category=lo}', "");
    Expect(1, 201546, '\p{Is_General_Category=_ LO}', "");
    Expect(0, 201546, '\p{^Is_General_Category=_ LO}', "");
    Expect(0, 201546, '\P{Is_General_Category=_ LO}', "");
    Expect(1, 201546, '\P{^Is_General_Category=_ LO}', "");
    Expect(0, 201547, '\p{Is_General_Category=_ LO}', "");
    Expect(1, 201547, '\p{^Is_General_Category=_ LO}', "");
    Expect(1, 201547, '\P{Is_General_Category=_ LO}', "");
    Expect(0, 201547, '\P{^Is_General_Category=_ LO}', "");
    Error('\p{Is_Gc=/a/  Other_letter}');
    Error('\P{Is_Gc=/a/  Other_letter}');
    Expect(1, 201546, '\p{Is_Gc=otherletter}', "");
    Expect(0, 201546, '\p{^Is_Gc=otherletter}', "");
    Expect(0, 201546, '\P{Is_Gc=otherletter}', "");
    Expect(1, 201546, '\P{^Is_Gc=otherletter}', "");
    Expect(0, 201547, '\p{Is_Gc=otherletter}', "");
    Expect(1, 201547, '\p{^Is_Gc=otherletter}', "");
    Expect(1, 201547, '\P{Is_Gc=otherletter}', "");
    Expect(0, 201547, '\P{^Is_Gc=otherletter}', "");
    Expect(1, 201546, '\p{Is_Gc=__Other_Letter}', "");
    Expect(0, 201546, '\p{^Is_Gc=__Other_Letter}', "");
    Expect(0, 201546, '\P{Is_Gc=__Other_Letter}', "");
    Expect(1, 201546, '\P{^Is_Gc=__Other_Letter}', "");
    Expect(0, 201547, '\p{Is_Gc=__Other_Letter}', "");
    Expect(1, 201547, '\p{^Is_Gc=__Other_Letter}', "");
    Expect(1, 201547, '\P{Is_Gc=__Other_Letter}', "");
    Expect(0, 201547, '\P{^Is_Gc=__Other_Letter}', "");
    Error('\p{Is_Category=_	LO/a/}');
    Error('\P{Is_Category=_	LO/a/}');
    Expect(1, 201546, '\p{Is_Category=lo}', "");
    Expect(0, 201546, '\p{^Is_Category=lo}', "");
    Expect(0, 201546, '\P{Is_Category=lo}', "");
    Expect(1, 201546, '\P{^Is_Category=lo}', "");
    Expect(0, 201547, '\p{Is_Category=lo}', "");
    Expect(1, 201547, '\p{^Is_Category=lo}', "");
    Expect(1, 201547, '\P{Is_Category=lo}', "");
    Expect(0, 201547, '\P{^Is_Category=lo}', "");
    Expect(1, 201546, '\p{Is_Category=Lo}', "");
    Expect(0, 201546, '\p{^Is_Category=Lo}', "");
    Expect(0, 201546, '\P{Is_Category=Lo}', "");
    Expect(1, 201546, '\P{^Is_Category=Lo}', "");
    Expect(0, 201547, '\p{Is_Category=Lo}', "");
    Expect(1, 201547, '\p{^Is_Category=Lo}', "");
    Expect(1, 201547, '\P{Is_Category=Lo}', "");
    Expect(0, 201547, '\P{^Is_Category=Lo}', "");
    Error('\p{General_Category=_:=titlecase_Letter}');
    Error('\P{General_Category=_:=titlecase_Letter}');
    Expect(1, 8188, '\p{General_Category=:\ATitlecase_Letter\z:}', "");;
    Expect(0, 8189, '\p{General_Category=:\ATitlecase_Letter\z:}', "");;
    Expect(1, 8188, '\p{General_Category: titlecaseletter}', "");
    Expect(0, 8188, '\p{^General_Category: titlecaseletter}', "");
    Expect(0, 8188, '\P{General_Category: titlecaseletter}', "");
    Expect(1, 8188, '\P{^General_Category: titlecaseletter}', "");
    Expect(0, 8189, '\p{General_Category: titlecaseletter}', "");
    Expect(1, 8189, '\p{^General_Category: titlecaseletter}', "");
    Expect(1, 8189, '\P{General_Category: titlecaseletter}', "");
    Expect(0, 8189, '\P{^General_Category: titlecaseletter}', "");
    Expect(1, 8188, '\p{General_Category=:\Atitlecaseletter\z:}', "");;
    Expect(0, 8189, '\p{General_Category=:\Atitlecaseletter\z:}', "");;
    Expect(1, 8188, '\p{General_Category=	-titlecase_Letter}', "");
    Expect(0, 8188, '\p{^General_Category=	-titlecase_Letter}', "");
    Expect(0, 8188, '\P{General_Category=	-titlecase_Letter}', "");
    Expect(1, 8188, '\P{^General_Category=	-titlecase_Letter}', "");
    Expect(0, 8189, '\p{General_Category=	-titlecase_Letter}', "");
    Expect(1, 8189, '\p{^General_Category=	-titlecase_Letter}', "");
    Expect(1, 8189, '\P{General_Category=	-titlecase_Letter}', "");
    Expect(0, 8189, '\P{^General_Category=	-titlecase_Letter}', "");
    Error('\p{Gc=/a/_-Lt}');
    Error('\P{Gc=/a/_-Lt}');
    Expect(1, 8188, '\p{Gc=:\ALt\z:}', "");;
    Expect(0, 8189, '\p{Gc=:\ALt\z:}', "");;
    Expect(1, 8188, '\p{Gc=lt}', "");
    Expect(0, 8188, '\p{^Gc=lt}', "");
    Expect(0, 8188, '\P{Gc=lt}', "");
    Expect(1, 8188, '\P{^Gc=lt}', "");
    Expect(0, 8189, '\p{Gc=lt}', "");
    Expect(1, 8189, '\p{^Gc=lt}', "");
    Expect(1, 8189, '\P{Gc=lt}', "");
    Expect(0, 8189, '\P{^Gc=lt}', "");
    Expect(1, 8188, '\p{Gc=:\Alt\z:}', "");;
    Expect(0, 8189, '\p{Gc=:\Alt\z:}', "");;
    Expect(1, 8188, '\p{Gc=-_Lt}', "");
    Expect(0, 8188, '\p{^Gc=-_Lt}', "");
    Expect(0, 8188, '\P{Gc=-_Lt}', "");
    Expect(1, 8188, '\P{^Gc=-_Lt}', "");
    Expect(0, 8189, '\p{Gc=-_Lt}', "");
    Expect(1, 8189, '\p{^Gc=-_Lt}', "");
    Expect(1, 8189, '\P{Gc=-_Lt}', "");
    Expect(0, 8189, '\P{^Gc=-_Lt}', "");
    Error('\p{Category=-Titlecase_LETTER:=}');
    Error('\P{Category=-Titlecase_LETTER:=}');
    Expect(1, 8188, '\p{Category=:\ATitlecase_Letter\z:}', "");;
    Expect(0, 8189, '\p{Category=:\ATitlecase_Letter\z:}', "");;
    Expect(1, 8188, '\p{Category=titlecaseletter}', "");
    Expect(0, 8188, '\p{^Category=titlecaseletter}', "");
    Expect(0, 8188, '\P{Category=titlecaseletter}', "");
    Expect(1, 8188, '\P{^Category=titlecaseletter}', "");
    Expect(0, 8189, '\p{Category=titlecaseletter}', "");
    Expect(1, 8189, '\p{^Category=titlecaseletter}', "");
    Expect(1, 8189, '\P{Category=titlecaseletter}', "");
    Expect(0, 8189, '\P{^Category=titlecaseletter}', "");
    Expect(1, 8188, '\p{Category=:\Atitlecaseletter\z:}', "");;
    Expect(0, 8189, '\p{Category=:\Atitlecaseletter\z:}', "");;
    Expect(1, 8188, '\p{Category=_Titlecase_LETTER}', "");
    Expect(0, 8188, '\p{^Category=_Titlecase_LETTER}', "");
    Expect(0, 8188, '\P{Category=_Titlecase_LETTER}', "");
    Expect(1, 8188, '\P{^Category=_Titlecase_LETTER}', "");
    Expect(0, 8189, '\p{Category=_Titlecase_LETTER}', "");
    Expect(1, 8189, '\p{^Category=_Titlecase_LETTER}', "");
    Expect(1, 8189, '\P{Category=_Titlecase_LETTER}', "");
    Expect(0, 8189, '\P{^Category=_Titlecase_LETTER}', "");
    Error('\p{Is_General_Category=_:=Lt}');
    Error('\P{Is_General_Category=_:=Lt}');
    Expect(1, 8188, '\p{Is_General_Category:   lt}', "");
    Expect(0, 8188, '\p{^Is_General_Category:   lt}', "");
    Expect(0, 8188, '\P{Is_General_Category:   lt}', "");
    Expect(1, 8188, '\P{^Is_General_Category:   lt}', "");
    Expect(0, 8189, '\p{Is_General_Category:   lt}', "");
    Expect(1, 8189, '\p{^Is_General_Category:   lt}', "");
    Expect(1, 8189, '\P{Is_General_Category:   lt}', "");
    Expect(0, 8189, '\P{^Is_General_Category:   lt}', "");
    Expect(1, 8188, '\p{Is_General_Category=	lt}', "");
    Expect(0, 8188, '\p{^Is_General_Category=	lt}', "");
    Expect(0, 8188, '\P{Is_General_Category=	lt}', "");
    Expect(1, 8188, '\P{^Is_General_Category=	lt}', "");
    Expect(0, 8189, '\p{Is_General_Category=	lt}', "");
    Expect(1, 8189, '\p{^Is_General_Category=	lt}', "");
    Expect(1, 8189, '\P{Is_General_Category=	lt}', "");
    Expect(0, 8189, '\P{^Is_General_Category=	lt}', "");
    Error('\p{Is_Gc=_ Titlecase_letter/a/}');
    Error('\P{Is_Gc=_ Titlecase_letter/a/}');
    Expect(1, 8188, '\p{Is_Gc=titlecaseletter}', "");
    Expect(0, 8188, '\p{^Is_Gc=titlecaseletter}', "");
    Expect(0, 8188, '\P{Is_Gc=titlecaseletter}', "");
    Expect(1, 8188, '\P{^Is_Gc=titlecaseletter}', "");
    Expect(0, 8189, '\p{Is_Gc=titlecaseletter}', "");
    Expect(1, 8189, '\p{^Is_Gc=titlecaseletter}', "");
    Expect(1, 8189, '\P{Is_Gc=titlecaseletter}', "");
    Expect(0, 8189, '\P{^Is_Gc=titlecaseletter}', "");
    Expect(1, 8188, '\p{Is_Gc= titlecase_Letter}', "");
    Expect(0, 8188, '\p{^Is_Gc= titlecase_Letter}', "");
    Expect(0, 8188, '\P{Is_Gc= titlecase_Letter}', "");
    Expect(1, 8188, '\P{^Is_Gc= titlecase_Letter}', "");
    Expect(0, 8189, '\p{Is_Gc= titlecase_Letter}', "");
    Expect(1, 8189, '\p{^Is_Gc= titlecase_Letter}', "");
    Expect(1, 8189, '\P{Is_Gc= titlecase_Letter}', "");
    Expect(0, 8189, '\P{^Is_Gc= titlecase_Letter}', "");
    Error('\p{Is_Category:	LT/a/}');
    Error('\P{Is_Category:	LT/a/}');
    Expect(1, 8188, '\p{Is_Category=lt}', "");
    Expect(0, 8188, '\p{^Is_Category=lt}', "");
    Expect(0, 8188, '\P{Is_Category=lt}', "");
    Expect(1, 8188, '\P{^Is_Category=lt}', "");
    Expect(0, 8189, '\p{Is_Category=lt}', "");
    Expect(1, 8189, '\p{^Is_Category=lt}', "");
    Expect(1, 8189, '\P{Is_Category=lt}', "");
    Expect(0, 8189, '\P{^Is_Category=lt}', "");
    Expect(1, 8188, '\p{Is_Category=_-lt}', "");
    Expect(0, 8188, '\p{^Is_Category=_-lt}', "");
    Expect(0, 8188, '\P{Is_Category=_-lt}', "");
    Expect(1, 8188, '\P{^Is_Category=_-lt}', "");
    Expect(0, 8189, '\p{Is_Category=_-lt}', "");
    Expect(1, 8189, '\p{^Is_Category=_-lt}', "");
    Expect(1, 8189, '\P{Is_Category=_-lt}', "");
    Expect(0, 8189, '\P{^Is_Category=_-lt}', "");
    Error('\p{General_Category=:= -UPPERCASE_Letter}');
    Error('\P{General_Category=:= -UPPERCASE_Letter}');
    Expect(1, 125217, '\p{General_Category=:\AUppercase_Letter\z:}', "");;
    Expect(0, 125218, '\p{General_Category=:\AUppercase_Letter\z:}', "");;
    Expect(1, 125217, '\p{General_Category=uppercaseletter}', "");
    Expect(0, 125217, '\p{^General_Category=uppercaseletter}', "");
    Expect(0, 125217, '\P{General_Category=uppercaseletter}', "");
    Expect(1, 125217, '\P{^General_Category=uppercaseletter}', "");
    Expect(0, 125218, '\p{General_Category=uppercaseletter}', "");
    Expect(1, 125218, '\p{^General_Category=uppercaseletter}', "");
    Expect(1, 125218, '\P{General_Category=uppercaseletter}', "");
    Expect(0, 125218, '\P{^General_Category=uppercaseletter}', "");
    Expect(1, 125217, '\p{General_Category=:\Auppercaseletter\z:}', "");;
    Expect(0, 125218, '\p{General_Category=:\Auppercaseletter\z:}', "");;
    Expect(1, 125217, '\p{General_Category=--Uppercase_LETTER}', "");
    Expect(0, 125217, '\p{^General_Category=--Uppercase_LETTER}', "");
    Expect(0, 125217, '\P{General_Category=--Uppercase_LETTER}', "");
    Expect(1, 125217, '\P{^General_Category=--Uppercase_LETTER}', "");
    Expect(0, 125218, '\p{General_Category=--Uppercase_LETTER}', "");
    Expect(1, 125218, '\p{^General_Category=--Uppercase_LETTER}', "");
    Expect(1, 125218, '\P{General_Category=--Uppercase_LETTER}', "");
    Expect(0, 125218, '\P{^General_Category=--Uppercase_LETTER}', "");
    Error('\p{Gc=-/a/lu}');
    Error('\P{Gc=-/a/lu}');
    Expect(1, 125217, '\p{Gc=:\ALu\z:}', "");;
    Expect(0, 125218, '\p{Gc=:\ALu\z:}', "");;
    Expect(1, 125217, '\p{Gc=lu}', "");
    Expect(0, 125217, '\p{^Gc=lu}', "");
    Expect(0, 125217, '\P{Gc=lu}', "");
    Expect(1, 125217, '\P{^Gc=lu}', "");
    Expect(0, 125218, '\p{Gc=lu}', "");
    Expect(1, 125218, '\p{^Gc=lu}', "");
    Expect(1, 125218, '\P{Gc=lu}', "");
    Expect(0, 125218, '\P{^Gc=lu}', "");
    Expect(1, 125217, '\p{Gc=:\Alu\z:}', "");;
    Expect(0, 125218, '\p{Gc=:\Alu\z:}', "");;
    Expect(1, 125217, '\p{Gc=-	Lu}', "");
    Expect(0, 125217, '\p{^Gc=-	Lu}', "");
    Expect(0, 125217, '\P{Gc=-	Lu}', "");
    Expect(1, 125217, '\P{^Gc=-	Lu}', "");
    Expect(0, 125218, '\p{Gc=-	Lu}', "");
    Expect(1, 125218, '\p{^Gc=-	Lu}', "");
    Expect(1, 125218, '\P{Gc=-	Lu}', "");
    Expect(0, 125218, '\P{^Gc=-	Lu}', "");
    Error('\p{Category=/a/-	UPPERCASE_Letter}');
    Error('\P{Category=/a/-	UPPERCASE_Letter}');
    Expect(1, 125217, '\p{Category=:\AUppercase_Letter\z:}', "");;
    Expect(0, 125218, '\p{Category=:\AUppercase_Letter\z:}', "");;
    Expect(1, 125217, '\p{Category=uppercaseletter}', "");
    Expect(0, 125217, '\p{^Category=uppercaseletter}', "");
    Expect(0, 125217, '\P{Category=uppercaseletter}', "");
    Expect(1, 125217, '\P{^Category=uppercaseletter}', "");
    Expect(0, 125218, '\p{Category=uppercaseletter}', "");
    Expect(1, 125218, '\p{^Category=uppercaseletter}', "");
    Expect(1, 125218, '\P{Category=uppercaseletter}', "");
    Expect(0, 125218, '\P{^Category=uppercaseletter}', "");
    Expect(1, 125217, '\p{Category=:\Auppercaseletter\z:}', "");;
    Expect(0, 125218, '\p{Category=:\Auppercaseletter\z:}', "");;
    Expect(1, 125217, '\p{Category=_-Uppercase_LETTER}', "");
    Expect(0, 125217, '\p{^Category=_-Uppercase_LETTER}', "");
    Expect(0, 125217, '\P{Category=_-Uppercase_LETTER}', "");
    Expect(1, 125217, '\P{^Category=_-Uppercase_LETTER}', "");
    Expect(0, 125218, '\p{Category=_-Uppercase_LETTER}', "");
    Expect(1, 125218, '\p{^Category=_-Uppercase_LETTER}', "");
    Expect(1, 125218, '\P{Category=_-Uppercase_LETTER}', "");
    Expect(0, 125218, '\P{^Category=_-Uppercase_LETTER}', "");
    Error('\p{Is_General_Category=--lu:=}');
    Error('\P{Is_General_Category=--lu:=}');
    Expect(1, 125217, '\p{Is_General_Category=lu}', "");
    Expect(0, 125217, '\p{^Is_General_Category=lu}', "");
    Expect(0, 125217, '\P{Is_General_Category=lu}', "");
    Expect(1, 125217, '\P{^Is_General_Category=lu}', "");
    Expect(0, 125218, '\p{Is_General_Category=lu}', "");
    Expect(1, 125218, '\p{^Is_General_Category=lu}', "");
    Expect(1, 125218, '\P{Is_General_Category=lu}', "");
    Expect(0, 125218, '\P{^Is_General_Category=lu}', "");
    Expect(1, 125217, '\p{Is_General_Category:		-Lu}', "");
    Expect(0, 125217, '\p{^Is_General_Category:		-Lu}', "");
    Expect(0, 125217, '\P{Is_General_Category:		-Lu}', "");
    Expect(1, 125217, '\P{^Is_General_Category:		-Lu}', "");
    Expect(0, 125218, '\p{Is_General_Category:		-Lu}', "");
    Expect(1, 125218, '\p{^Is_General_Category:		-Lu}', "");
    Expect(1, 125218, '\P{Is_General_Category:		-Lu}', "");
    Expect(0, 125218, '\P{^Is_General_Category:		-Lu}', "");
    Error('\p{Is_Gc=_ Uppercase_LETTER:=}');
    Error('\P{Is_Gc=_ Uppercase_LETTER:=}');
    Expect(1, 125217, '\p{Is_Gc:   uppercaseletter}', "");
    Expect(0, 125217, '\p{^Is_Gc:   uppercaseletter}', "");
    Expect(0, 125217, '\P{Is_Gc:   uppercaseletter}', "");
    Expect(1, 125217, '\P{^Is_Gc:   uppercaseletter}', "");
    Expect(0, 125218, '\p{Is_Gc:   uppercaseletter}', "");
    Expect(1, 125218, '\p{^Is_Gc:   uppercaseletter}', "");
    Expect(1, 125218, '\P{Is_Gc:   uppercaseletter}', "");
    Expect(0, 125218, '\P{^Is_Gc:   uppercaseletter}', "");
    Expect(1, 125217, '\p{Is_Gc=-	Uppercase_LETTER}', "");
    Expect(0, 125217, '\p{^Is_Gc=-	Uppercase_LETTER}', "");
    Expect(0, 125217, '\P{Is_Gc=-	Uppercase_LETTER}', "");
    Expect(1, 125217, '\P{^Is_Gc=-	Uppercase_LETTER}', "");
    Expect(0, 125218, '\p{Is_Gc=-	Uppercase_LETTER}', "");
    Expect(1, 125218, '\p{^Is_Gc=-	Uppercase_LETTER}', "");
    Expect(1, 125218, '\P{Is_Gc=-	Uppercase_LETTER}', "");
    Expect(0, 125218, '\P{^Is_Gc=-	Uppercase_LETTER}', "");
    Error('\p{Is_Category=/a/_ Lu}');
    Error('\P{Is_Category=/a/_ Lu}');
    Expect(1, 125217, '\p{Is_Category=lu}', "");
    Expect(0, 125217, '\p{^Is_Category=lu}', "");
    Expect(0, 125217, '\P{Is_Category=lu}', "");
    Expect(1, 125217, '\P{^Is_Category=lu}', "");
    Expect(0, 125218, '\p{Is_Category=lu}', "");
    Expect(1, 125218, '\p{^Is_Category=lu}', "");
    Expect(1, 125218, '\P{Is_Category=lu}', "");
    Expect(0, 125218, '\P{^Is_Category=lu}', "");
    Expect(1, 125217, '\p{Is_Category= -LU}', "");
    Expect(0, 125217, '\p{^Is_Category= -LU}', "");
    Expect(0, 125217, '\P{Is_Category= -LU}', "");
    Expect(1, 125217, '\P{^Is_Category= -LU}', "");
    Expect(0, 125218, '\p{Is_Category= -LU}', "");
    Expect(1, 125218, '\p{^Is_Category= -LU}', "");
    Expect(1, 125218, '\P{Is_Category= -LU}', "");
    Expect(0, 125218, '\P{^Is_Category= -LU}', "");
    Error('\p{General_Category=:=__Mark}');
    Error('\P{General_Category=:=__Mark}');
    Expect(1, 917999, '\p{General_Category=:\AMark\z:}', "");;
    Expect(0, 918000, '\p{General_Category=:\AMark\z:}', "");;
    Expect(1, 917999, '\p{General_Category:mark}', "");
    Expect(0, 917999, '\p{^General_Category:mark}', "");
    Expect(0, 917999, '\P{General_Category:mark}', "");
    Expect(1, 917999, '\P{^General_Category:mark}', "");
    Expect(0, 918000, '\p{General_Category:mark}', "");
    Expect(1, 918000, '\p{^General_Category:mark}', "");
    Expect(1, 918000, '\P{General_Category:mark}', "");
    Expect(0, 918000, '\P{^General_Category:mark}', "");
    Expect(1, 917999, '\p{General_Category=:\Amark\z:}', "");;
    Expect(0, 918000, '\p{General_Category=:\Amark\z:}', "");;
    Expect(1, 917999, '\p{General_Category=		MARK}', "");
    Expect(0, 917999, '\p{^General_Category=		MARK}', "");
    Expect(0, 917999, '\P{General_Category=		MARK}', "");
    Expect(1, 917999, '\P{^General_Category=		MARK}', "");
    Expect(0, 918000, '\p{General_Category=		MARK}', "");
    Expect(1, 918000, '\p{^General_Category=		MARK}', "");
    Expect(1, 918000, '\P{General_Category=		MARK}', "");
    Expect(0, 918000, '\P{^General_Category=		MARK}', "");
    Error('\p{Gc=:=-	M}');
    Error('\P{Gc=:=-	M}');
    Expect(1, 917999, '\p{Gc=:\AM\z:}', "");;
    Expect(0, 918000, '\p{Gc=:\AM\z:}', "");;
    Expect(1, 917999, '\p{Gc=m}', "");
    Expect(0, 917999, '\p{^Gc=m}', "");
    Expect(0, 917999, '\P{Gc=m}', "");
    Expect(1, 917999, '\P{^Gc=m}', "");
    Expect(0, 918000, '\p{Gc=m}', "");
    Expect(1, 918000, '\p{^Gc=m}', "");
    Expect(1, 918000, '\P{Gc=m}', "");
    Expect(0, 918000, '\P{^Gc=m}', "");
    Expect(1, 917999, '\p{Gc=:\Am\z:}', "");;
    Expect(0, 918000, '\p{Gc=:\Am\z:}', "");;
    Expect(1, 917999, '\p{Gc=	_M}', "");
    Expect(0, 917999, '\p{^Gc=	_M}', "");
    Expect(0, 917999, '\P{Gc=	_M}', "");
    Expect(1, 917999, '\P{^Gc=	_M}', "");
    Expect(0, 918000, '\p{Gc=	_M}', "");
    Expect(1, 918000, '\p{^Gc=	_M}', "");
    Expect(1, 918000, '\P{Gc=	_M}', "");
    Expect(0, 918000, '\P{^Gc=	_M}', "");
    Error('\p{Category=	 COMBINING_Mark:=}');
    Error('\P{Category=	 COMBINING_Mark:=}');
    Expect(1, 917999, '\p{Category=:\ACombining_Mark\z:}', "");;
    Expect(0, 918000, '\p{Category=:\ACombining_Mark\z:}', "");;
    Expect(1, 917999, '\p{Category=combiningmark}', "");
    Expect(0, 917999, '\p{^Category=combiningmark}', "");
    Expect(0, 917999, '\P{Category=combiningmark}', "");
    Expect(1, 917999, '\P{^Category=combiningmark}', "");
    Expect(0, 918000, '\p{Category=combiningmark}', "");
    Expect(1, 918000, '\p{^Category=combiningmark}', "");
    Expect(1, 918000, '\P{Category=combiningmark}', "");
    Expect(0, 918000, '\P{^Category=combiningmark}', "");
    Expect(1, 917999, '\p{Category=:\Acombiningmark\z:}', "");;
    Expect(0, 918000, '\p{Category=:\Acombiningmark\z:}', "");;
    Expect(1, 917999, '\p{Category:	_-COMBINING_Mark}', "");
    Expect(0, 917999, '\p{^Category:	_-COMBINING_Mark}', "");
    Expect(0, 917999, '\P{Category:	_-COMBINING_Mark}', "");
    Expect(1, 917999, '\P{^Category:	_-COMBINING_Mark}', "");
    Expect(0, 918000, '\p{Category:	_-COMBINING_Mark}', "");
    Expect(1, 918000, '\p{^Category:	_-COMBINING_Mark}', "");
    Expect(1, 918000, '\P{Category:	_-COMBINING_Mark}', "");
    Expect(0, 918000, '\P{^Category:	_-COMBINING_Mark}', "");
    Error('\p{Is_General_Category=_/a/mark}');
    Error('\P{Is_General_Category=_/a/mark}');
    Expect(1, 917999, '\p{Is_General_Category=mark}', "");
    Expect(0, 917999, '\p{^Is_General_Category=mark}', "");
    Expect(0, 917999, '\P{Is_General_Category=mark}', "");
    Expect(1, 917999, '\P{^Is_General_Category=mark}', "");
    Expect(0, 918000, '\p{Is_General_Category=mark}', "");
    Expect(1, 918000, '\p{^Is_General_Category=mark}', "");
    Expect(1, 918000, '\P{Is_General_Category=mark}', "");
    Expect(0, 918000, '\P{^Is_General_Category=mark}', "");
    Expect(1, 917999, '\p{Is_General_Category=-_Mark}', "");
    Expect(0, 917999, '\p{^Is_General_Category=-_Mark}', "");
    Expect(0, 917999, '\P{Is_General_Category=-_Mark}', "");
    Expect(1, 917999, '\P{^Is_General_Category=-_Mark}', "");
    Expect(0, 918000, '\p{Is_General_Category=-_Mark}', "");
    Expect(1, 918000, '\p{^Is_General_Category=-_Mark}', "");
    Expect(1, 918000, '\P{Is_General_Category=-_Mark}', "");
    Expect(0, 918000, '\P{^Is_General_Category=-_Mark}', "");
    Error('\p{Is_Gc=/a/-M}');
    Error('\P{Is_Gc=/a/-M}');
    Expect(1, 917999, '\p{Is_Gc=m}', "");
    Expect(0, 917999, '\p{^Is_Gc=m}', "");
    Expect(0, 917999, '\P{Is_Gc=m}', "");
    Expect(1, 917999, '\P{^Is_Gc=m}', "");
    Expect(0, 918000, '\p{Is_Gc=m}', "");
    Expect(1, 918000, '\p{^Is_Gc=m}', "");
    Expect(1, 918000, '\P{Is_Gc=m}', "");
    Expect(0, 918000, '\P{^Is_Gc=m}', "");
    Expect(1, 917999, '\p{Is_Gc=	-M}', "");
    Expect(0, 917999, '\p{^Is_Gc=	-M}', "");
    Expect(0, 917999, '\P{Is_Gc=	-M}', "");
    Expect(1, 917999, '\P{^Is_Gc=	-M}', "");
    Expect(0, 918000, '\p{Is_Gc=	-M}', "");
    Expect(1, 918000, '\p{^Is_Gc=	-M}', "");
    Expect(1, 918000, '\P{Is_Gc=	-M}', "");
    Expect(0, 918000, '\P{^Is_Gc=	-M}', "");
    Error('\p{Is_Category=_Combining_mark:=}');
    Error('\P{Is_Category=_Combining_mark:=}');
    Expect(1, 917999, '\p{Is_Category:combiningmark}', "");
    Expect(0, 917999, '\p{^Is_Category:combiningmark}', "");
    Expect(0, 917999, '\P{Is_Category:combiningmark}', "");
    Expect(1, 917999, '\P{^Is_Category:combiningmark}', "");
    Expect(0, 918000, '\p{Is_Category:combiningmark}', "");
    Expect(1, 918000, '\p{^Is_Category:combiningmark}', "");
    Expect(1, 918000, '\P{Is_Category:combiningmark}', "");
    Expect(0, 918000, '\P{^Is_Category:combiningmark}', "");
    Expect(1, 917999, '\p{Is_Category:	 COMBINING_Mark}', "");
    Expect(0, 917999, '\p{^Is_Category:	 COMBINING_Mark}', "");
    Expect(0, 917999, '\P{Is_Category:	 COMBINING_Mark}', "");
    Expect(1, 917999, '\P{^Is_Category:	 COMBINING_Mark}', "");
    Expect(0, 918000, '\p{Is_Category:	 COMBINING_Mark}', "");
    Expect(1, 918000, '\p{^Is_Category:	 COMBINING_Mark}', "");
    Expect(1, 918000, '\P{Is_Category:	 COMBINING_Mark}', "");
    Expect(0, 918000, '\P{^Is_Category:	 COMBINING_Mark}', "");
    Error('\p{General_Category=/a/_-SPACING_Mark}');
    Error('\P{General_Category=/a/_-SPACING_Mark}');
    Expect(1, 119154, '\p{General_Category=:\ASpacing_Mark\z:}', "");;
    Expect(0, 119155, '\p{General_Category=:\ASpacing_Mark\z:}', "");;
    Expect(1, 119154, '\p{General_Category=spacingmark}', "");
    Expect(0, 119154, '\p{^General_Category=spacingmark}', "");
    Expect(0, 119154, '\P{General_Category=spacingmark}', "");
    Expect(1, 119154, '\P{^General_Category=spacingmark}', "");
    Expect(0, 119155, '\p{General_Category=spacingmark}', "");
    Expect(1, 119155, '\p{^General_Category=spacingmark}', "");
    Expect(1, 119155, '\P{General_Category=spacingmark}', "");
    Expect(0, 119155, '\P{^General_Category=spacingmark}', "");
    Expect(1, 119154, '\p{General_Category=:\Aspacingmark\z:}', "");;
    Expect(0, 119155, '\p{General_Category=:\Aspacingmark\z:}', "");;
    Expect(1, 119154, '\p{General_Category= 	Spacing_Mark}', "");
    Expect(0, 119154, '\p{^General_Category= 	Spacing_Mark}', "");
    Expect(0, 119154, '\P{General_Category= 	Spacing_Mark}', "");
    Expect(1, 119154, '\P{^General_Category= 	Spacing_Mark}', "");
    Expect(0, 119155, '\p{General_Category= 	Spacing_Mark}', "");
    Expect(1, 119155, '\p{^General_Category= 	Spacing_Mark}', "");
    Expect(1, 119155, '\P{General_Category= 	Spacing_Mark}', "");
    Expect(0, 119155, '\P{^General_Category= 	Spacing_Mark}', "");
    Error('\p{Gc=	-mc:=}');
    Error('\P{Gc=	-mc:=}');
    Expect(1, 119154, '\p{Gc=:\AMc\z:}', "");;
    Expect(0, 119155, '\p{Gc=:\AMc\z:}', "");;
    Expect(1, 119154, '\p{Gc=mc}', "");
    Expect(0, 119154, '\p{^Gc=mc}', "");
    Expect(0, 119154, '\P{Gc=mc}', "");
    Expect(1, 119154, '\P{^Gc=mc}', "");
    Expect(0, 119155, '\p{Gc=mc}', "");
    Expect(1, 119155, '\p{^Gc=mc}', "");
    Expect(1, 119155, '\P{Gc=mc}', "");
    Expect(0, 119155, '\P{^Gc=mc}', "");
    Expect(1, 119154, '\p{Gc=:\Amc\z:}', "");;
    Expect(0, 119155, '\p{Gc=:\Amc\z:}', "");;
    Expect(1, 119154, '\p{Gc=-	mc}', "");
    Expect(0, 119154, '\p{^Gc=-	mc}', "");
    Expect(0, 119154, '\P{Gc=-	mc}', "");
    Expect(1, 119154, '\P{^Gc=-	mc}', "");
    Expect(0, 119155, '\p{Gc=-	mc}', "");
    Expect(1, 119155, '\p{^Gc=-	mc}', "");
    Expect(1, 119155, '\P{Gc=-	mc}', "");
    Expect(0, 119155, '\P{^Gc=-	mc}', "");
    Error('\p{Category=	:=SPACING_Mark}');
    Error('\P{Category=	:=SPACING_Mark}');
    Expect(1, 119154, '\p{Category=:\ASpacing_Mark\z:}', "");;
    Expect(0, 119155, '\p{Category=:\ASpacing_Mark\z:}', "");;
    Expect(1, 119154, '\p{Category=spacingmark}', "");
    Expect(0, 119154, '\p{^Category=spacingmark}', "");
    Expect(0, 119154, '\P{Category=spacingmark}', "");
    Expect(1, 119154, '\P{^Category=spacingmark}', "");
    Expect(0, 119155, '\p{Category=spacingmark}', "");
    Expect(1, 119155, '\p{^Category=spacingmark}', "");
    Expect(1, 119155, '\P{Category=spacingmark}', "");
    Expect(0, 119155, '\P{^Category=spacingmark}', "");
    Expect(1, 119154, '\p{Category=:\Aspacingmark\z:}', "");;
    Expect(0, 119155, '\p{Category=:\Aspacingmark\z:}', "");;
    Expect(1, 119154, '\p{Category=	Spacing_MARK}', "");
    Expect(0, 119154, '\p{^Category=	Spacing_MARK}', "");
    Expect(0, 119154, '\P{Category=	Spacing_MARK}', "");
    Expect(1, 119154, '\P{^Category=	Spacing_MARK}', "");
    Expect(0, 119155, '\p{Category=	Spacing_MARK}', "");
    Expect(1, 119155, '\p{^Category=	Spacing_MARK}', "");
    Expect(1, 119155, '\P{Category=	Spacing_MARK}', "");
    Expect(0, 119155, '\P{^Category=	Spacing_MARK}', "");
    Error('\p{Is_General_Category=:=_	mc}');
    Error('\P{Is_General_Category=:=_	mc}');
    Expect(1, 119154, '\p{Is_General_Category=mc}', "");
    Expect(0, 119154, '\p{^Is_General_Category=mc}', "");
    Expect(0, 119154, '\P{Is_General_Category=mc}', "");
    Expect(1, 119154, '\P{^Is_General_Category=mc}', "");
    Expect(0, 119155, '\p{Is_General_Category=mc}', "");
    Expect(1, 119155, '\p{^Is_General_Category=mc}', "");
    Expect(1, 119155, '\P{Is_General_Category=mc}', "");
    Expect(0, 119155, '\P{^Is_General_Category=mc}', "");
    Expect(1, 119154, '\p{Is_General_Category=	 Mc}', "");
    Expect(0, 119154, '\p{^Is_General_Category=	 Mc}', "");
    Expect(0, 119154, '\P{Is_General_Category=	 Mc}', "");
    Expect(1, 119154, '\P{^Is_General_Category=	 Mc}', "");
    Expect(0, 119155, '\p{Is_General_Category=	 Mc}', "");
    Expect(1, 119155, '\p{^Is_General_Category=	 Mc}', "");
    Expect(1, 119155, '\P{Is_General_Category=	 Mc}', "");
    Expect(0, 119155, '\P{^Is_General_Category=	 Mc}', "");
    Error('\p{Is_Gc=_ spacing_Mark:=}');
    Error('\P{Is_Gc=_ spacing_Mark:=}');
    Expect(1, 119154, '\p{Is_Gc=spacingmark}', "");
    Expect(0, 119154, '\p{^Is_Gc=spacingmark}', "");
    Expect(0, 119154, '\P{Is_Gc=spacingmark}', "");
    Expect(1, 119154, '\P{^Is_Gc=spacingmark}', "");
    Expect(0, 119155, '\p{Is_Gc=spacingmark}', "");
    Expect(1, 119155, '\p{^Is_Gc=spacingmark}', "");
    Expect(1, 119155, '\P{Is_Gc=spacingmark}', "");
    Expect(0, 119155, '\P{^Is_Gc=spacingmark}', "");
    Expect(1, 119154, '\p{Is_Gc=_-SPACING_MARK}', "");
    Expect(0, 119154, '\p{^Is_Gc=_-SPACING_MARK}', "");
    Expect(0, 119154, '\P{Is_Gc=_-SPACING_MARK}', "");
    Expect(1, 119154, '\P{^Is_Gc=_-SPACING_MARK}', "");
    Expect(0, 119155, '\p{Is_Gc=_-SPACING_MARK}', "");
    Expect(1, 119155, '\p{^Is_Gc=_-SPACING_MARK}', "");
    Expect(1, 119155, '\P{Is_Gc=_-SPACING_MARK}', "");
    Expect(0, 119155, '\P{^Is_Gc=_-SPACING_MARK}', "");
    Error('\p{Is_Category=-/a/Mc}');
    Error('\P{Is_Category=-/a/Mc}');
    Expect(1, 119154, '\p{Is_Category=mc}', "");
    Expect(0, 119154, '\p{^Is_Category=mc}', "");
    Expect(0, 119154, '\P{Is_Category=mc}', "");
    Expect(1, 119154, '\P{^Is_Category=mc}', "");
    Expect(0, 119155, '\p{Is_Category=mc}', "");
    Expect(1, 119155, '\p{^Is_Category=mc}', "");
    Expect(1, 119155, '\P{Is_Category=mc}', "");
    Expect(0, 119155, '\P{^Is_Category=mc}', "");
    Expect(1, 119154, '\p{Is_Category=_	Mc}', "");
    Expect(0, 119154, '\p{^Is_Category=_	Mc}', "");
    Expect(0, 119154, '\P{Is_Category=_	Mc}', "");
    Expect(1, 119154, '\P{^Is_Category=_	Mc}', "");
    Expect(0, 119155, '\p{Is_Category=_	Mc}', "");
    Expect(1, 119155, '\p{^Is_Category=_	Mc}', "");
    Expect(1, 119155, '\P{Is_Category=_	Mc}', "");
    Expect(0, 119155, '\P{^Is_Category=_	Mc}', "");
    Error('\p{General_Category= :=ENCLOSING_Mark}');
    Error('\P{General_Category= :=ENCLOSING_Mark}');
    Expect(1, 42610, '\p{General_Category=:\AEnclosing_Mark\z:}', "");;
    Expect(0, 42611, '\p{General_Category=:\AEnclosing_Mark\z:}', "");;
    Expect(1, 42610, '\p{General_Category=enclosingmark}', "");
    Expect(0, 42610, '\p{^General_Category=enclosingmark}', "");
    Expect(0, 42610, '\P{General_Category=enclosingmark}', "");
    Expect(1, 42610, '\P{^General_Category=enclosingmark}', "");
    Expect(0, 42611, '\p{General_Category=enclosingmark}', "");
    Expect(1, 42611, '\p{^General_Category=enclosingmark}', "");
    Expect(1, 42611, '\P{General_Category=enclosingmark}', "");
    Expect(0, 42611, '\P{^General_Category=enclosingmark}', "");
    Expect(1, 42610, '\p{General_Category=:\Aenclosingmark\z:}', "");;
    Expect(0, 42611, '\p{General_Category=:\Aenclosingmark\z:}', "");;
    Expect(1, 42610, '\p{General_Category=	-ENCLOSING_MARK}', "");
    Expect(0, 42610, '\p{^General_Category=	-ENCLOSING_MARK}', "");
    Expect(0, 42610, '\P{General_Category=	-ENCLOSING_MARK}', "");
    Expect(1, 42610, '\P{^General_Category=	-ENCLOSING_MARK}', "");
    Expect(0, 42611, '\p{General_Category=	-ENCLOSING_MARK}', "");
    Expect(1, 42611, '\p{^General_Category=	-ENCLOSING_MARK}', "");
    Expect(1, 42611, '\P{General_Category=	-ENCLOSING_MARK}', "");
    Expect(0, 42611, '\P{^General_Category=	-ENCLOSING_MARK}', "");
    Error('\p{Gc=/a/	-Me}');
    Error('\P{Gc=/a/	-Me}');
    Expect(1, 42610, '\p{Gc=:\AMe\z:}', "");;
    Expect(0, 42611, '\p{Gc=:\AMe\z:}', "");;
    Expect(1, 42610, '\p{Gc=me}', "");
    Expect(0, 42610, '\p{^Gc=me}', "");
    Expect(0, 42610, '\P{Gc=me}', "");
    Expect(1, 42610, '\P{^Gc=me}', "");
    Expect(0, 42611, '\p{Gc=me}', "");
    Expect(1, 42611, '\p{^Gc=me}', "");
    Expect(1, 42611, '\P{Gc=me}', "");
    Expect(0, 42611, '\P{^Gc=me}', "");
    Expect(1, 42610, '\p{Gc=:\Ame\z:}', "");;
    Expect(0, 42611, '\p{Gc=:\Ame\z:}', "");;
    Expect(1, 42610, '\p{Gc= 	Me}', "");
    Expect(0, 42610, '\p{^Gc= 	Me}', "");
    Expect(0, 42610, '\P{Gc= 	Me}', "");
    Expect(1, 42610, '\P{^Gc= 	Me}', "");
    Expect(0, 42611, '\p{Gc= 	Me}', "");
    Expect(1, 42611, '\p{^Gc= 	Me}', "");
    Expect(1, 42611, '\P{Gc= 	Me}', "");
    Expect(0, 42611, '\P{^Gc= 	Me}', "");
    Error('\p{Category=:= Enclosing_Mark}');
    Error('\P{Category=:= Enclosing_Mark}');
    Expect(1, 42610, '\p{Category=:\AEnclosing_Mark\z:}', "");;
    Expect(0, 42611, '\p{Category=:\AEnclosing_Mark\z:}', "");;
    Expect(1, 42610, '\p{Category=enclosingmark}', "");
    Expect(0, 42610, '\p{^Category=enclosingmark}', "");
    Expect(0, 42610, '\P{Category=enclosingmark}', "");
    Expect(1, 42610, '\P{^Category=enclosingmark}', "");
    Expect(0, 42611, '\p{Category=enclosingmark}', "");
    Expect(1, 42611, '\p{^Category=enclosingmark}', "");
    Expect(1, 42611, '\P{Category=enclosingmark}', "");
    Expect(0, 42611, '\P{^Category=enclosingmark}', "");
    Expect(1, 42610, '\p{Category=:\Aenclosingmark\z:}', "");;
    Expect(0, 42611, '\p{Category=:\Aenclosingmark\z:}', "");;
    Expect(1, 42610, '\p{Category=_	ENCLOSING_MARK}', "");
    Expect(0, 42610, '\p{^Category=_	ENCLOSING_MARK}', "");
    Expect(0, 42610, '\P{Category=_	ENCLOSING_MARK}', "");
    Expect(1, 42610, '\P{^Category=_	ENCLOSING_MARK}', "");
    Expect(0, 42611, '\p{Category=_	ENCLOSING_MARK}', "");
    Expect(1, 42611, '\p{^Category=_	ENCLOSING_MARK}', "");
    Expect(1, 42611, '\P{Category=_	ENCLOSING_MARK}', "");
    Expect(0, 42611, '\P{^Category=_	ENCLOSING_MARK}', "");
    Error('\p{Is_General_Category=-/a/ME}');
    Error('\P{Is_General_Category=-/a/ME}');
    Expect(1, 42610, '\p{Is_General_Category:me}', "");
    Expect(0, 42610, '\p{^Is_General_Category:me}', "");
    Expect(0, 42610, '\P{Is_General_Category:me}', "");
    Expect(1, 42610, '\P{^Is_General_Category:me}', "");
    Expect(0, 42611, '\p{Is_General_Category:me}', "");
    Expect(1, 42611, '\p{^Is_General_Category:me}', "");
    Expect(1, 42611, '\P{Is_General_Category:me}', "");
    Expect(0, 42611, '\P{^Is_General_Category:me}', "");
    Expect(1, 42610, '\p{Is_General_Category=_ ME}', "");
    Expect(0, 42610, '\p{^Is_General_Category=_ ME}', "");
    Expect(0, 42610, '\P{Is_General_Category=_ ME}', "");
    Expect(1, 42610, '\P{^Is_General_Category=_ ME}', "");
    Expect(0, 42611, '\p{Is_General_Category=_ ME}', "");
    Expect(1, 42611, '\p{^Is_General_Category=_ ME}', "");
    Expect(1, 42611, '\P{Is_General_Category=_ ME}', "");
    Expect(0, 42611, '\P{^Is_General_Category=_ ME}', "");
    Error('\p{Is_Gc=:= _Enclosing_MARK}');
    Error('\P{Is_Gc=:= _Enclosing_MARK}');
    Expect(1, 42610, '\p{Is_Gc=enclosingmark}', "");
    Expect(0, 42610, '\p{^Is_Gc=enclosingmark}', "");
    Expect(0, 42610, '\P{Is_Gc=enclosingmark}', "");
    Expect(1, 42610, '\P{^Is_Gc=enclosingmark}', "");
    Expect(0, 42611, '\p{Is_Gc=enclosingmark}', "");
    Expect(1, 42611, '\p{^Is_Gc=enclosingmark}', "");
    Expect(1, 42611, '\P{Is_Gc=enclosingmark}', "");
    Expect(0, 42611, '\P{^Is_Gc=enclosingmark}', "");
    Expect(1, 42610, '\p{Is_Gc: 	enclosing_MARK}', "");
    Expect(0, 42610, '\p{^Is_Gc: 	enclosing_MARK}', "");
    Expect(0, 42610, '\P{Is_Gc: 	enclosing_MARK}', "");
    Expect(1, 42610, '\P{^Is_Gc: 	enclosing_MARK}', "");
    Expect(0, 42611, '\p{Is_Gc: 	enclosing_MARK}', "");
    Expect(1, 42611, '\p{^Is_Gc: 	enclosing_MARK}', "");
    Expect(1, 42611, '\P{Is_Gc: 	enclosing_MARK}', "");
    Expect(0, 42611, '\P{^Is_Gc: 	enclosing_MARK}', "");
    Error('\p{Is_Category=_Me/a/}');
    Error('\P{Is_Category=_Me/a/}');
    Expect(1, 42610, '\p{Is_Category=me}', "");
    Expect(0, 42610, '\p{^Is_Category=me}', "");
    Expect(0, 42610, '\P{Is_Category=me}', "");
    Expect(1, 42610, '\P{^Is_Category=me}', "");
    Expect(0, 42611, '\p{Is_Category=me}', "");
    Expect(1, 42611, '\p{^Is_Category=me}', "");
    Expect(1, 42611, '\P{Is_Category=me}', "");
    Expect(0, 42611, '\P{^Is_Category=me}', "");
    Expect(1, 42610, '\p{Is_Category= -me}', "");
    Expect(0, 42610, '\p{^Is_Category= -me}', "");
    Expect(0, 42610, '\P{Is_Category= -me}', "");
    Expect(1, 42610, '\P{^Is_Category= -me}', "");
    Expect(0, 42611, '\p{Is_Category= -me}', "");
    Expect(1, 42611, '\p{^Is_Category= -me}', "");
    Expect(1, 42611, '\P{Is_Category= -me}', "");
    Expect(0, 42611, '\P{^Is_Category= -me}', "");
    Error('\p{General_Category=	 Nonspacing_MARK/a/}');
    Error('\P{General_Category=	 Nonspacing_MARK/a/}');
    Expect(1, 917999, '\p{General_Category=:\ANonspacing_Mark\z:}', "");;
    Expect(0, 918000, '\p{General_Category=:\ANonspacing_Mark\z:}', "");;
    Expect(1, 917999, '\p{General_Category=nonspacingmark}', "");
    Expect(0, 917999, '\p{^General_Category=nonspacingmark}', "");
    Expect(0, 917999, '\P{General_Category=nonspacingmark}', "");
    Expect(1, 917999, '\P{^General_Category=nonspacingmark}', "");
    Expect(0, 918000, '\p{General_Category=nonspacingmark}', "");
    Expect(1, 918000, '\p{^General_Category=nonspacingmark}', "");
    Expect(1, 918000, '\P{General_Category=nonspacingmark}', "");
    Expect(0, 918000, '\P{^General_Category=nonspacingmark}', "");
    Expect(1, 917999, '\p{General_Category=:\Anonspacingmark\z:}', "");;
    Expect(0, 918000, '\p{General_Category=:\Anonspacingmark\z:}', "");;
    Expect(1, 917999, '\p{General_Category=	 Nonspacing_Mark}', "");
    Expect(0, 917999, '\p{^General_Category=	 Nonspacing_Mark}', "");
    Expect(0, 917999, '\P{General_Category=	 Nonspacing_Mark}', "");
    Expect(1, 917999, '\P{^General_Category=	 Nonspacing_Mark}', "");
    Expect(0, 918000, '\p{General_Category=	 Nonspacing_Mark}', "");
    Expect(1, 918000, '\p{^General_Category=	 Nonspacing_Mark}', "");
    Expect(1, 918000, '\P{General_Category=	 Nonspacing_Mark}', "");
    Expect(0, 918000, '\P{^General_Category=	 Nonspacing_Mark}', "");
    Error('\p{Gc=/a/MN}');
    Error('\P{Gc=/a/MN}');
    Expect(1, 917999, '\p{Gc=:\AMn\z:}', "");;
    Expect(0, 918000, '\p{Gc=:\AMn\z:}', "");;
    Expect(1, 917999, '\p{Gc=mn}', "");
    Expect(0, 917999, '\p{^Gc=mn}', "");
    Expect(0, 917999, '\P{Gc=mn}', "");
    Expect(1, 917999, '\P{^Gc=mn}', "");
    Expect(0, 918000, '\p{Gc=mn}', "");
    Expect(1, 918000, '\p{^Gc=mn}', "");
    Expect(1, 918000, '\P{Gc=mn}', "");
    Expect(0, 918000, '\P{^Gc=mn}', "");
    Expect(1, 917999, '\p{Gc=:\Amn\z:}', "");;
    Expect(0, 918000, '\p{Gc=:\Amn\z:}', "");;
    Expect(1, 917999, '\p{Gc=-	Mn}', "");
    Expect(0, 917999, '\p{^Gc=-	Mn}', "");
    Expect(0, 917999, '\P{Gc=-	Mn}', "");
    Expect(1, 917999, '\P{^Gc=-	Mn}', "");
    Expect(0, 918000, '\p{Gc=-	Mn}', "");
    Expect(1, 918000, '\p{^Gc=-	Mn}', "");
    Expect(1, 918000, '\P{Gc=-	Mn}', "");
    Expect(0, 918000, '\P{^Gc=-	Mn}', "");
    Error('\p{Category=/a/ Nonspacing_Mark}');
    Error('\P{Category=/a/ Nonspacing_Mark}');
    Expect(1, 917999, '\p{Category=:\ANonspacing_Mark\z:}', "");;
    Expect(0, 918000, '\p{Category=:\ANonspacing_Mark\z:}', "");;
    Expect(1, 917999, '\p{Category=nonspacingmark}', "");
    Expect(0, 917999, '\p{^Category=nonspacingmark}', "");
    Expect(0, 917999, '\P{Category=nonspacingmark}', "");
    Expect(1, 917999, '\P{^Category=nonspacingmark}', "");
    Expect(0, 918000, '\p{Category=nonspacingmark}', "");
    Expect(1, 918000, '\p{^Category=nonspacingmark}', "");
    Expect(1, 918000, '\P{Category=nonspacingmark}', "");
    Expect(0, 918000, '\P{^Category=nonspacingmark}', "");
    Expect(1, 917999, '\p{Category=:\Anonspacingmark\z:}', "");;
    Expect(0, 918000, '\p{Category=:\Anonspacingmark\z:}', "");;
    Expect(1, 917999, '\p{Category:	-	Nonspacing_Mark}', "");
    Expect(0, 917999, '\p{^Category:	-	Nonspacing_Mark}', "");
    Expect(0, 917999, '\P{Category:	-	Nonspacing_Mark}', "");
    Expect(1, 917999, '\P{^Category:	-	Nonspacing_Mark}', "");
    Expect(0, 918000, '\p{Category:	-	Nonspacing_Mark}', "");
    Expect(1, 918000, '\p{^Category:	-	Nonspacing_Mark}', "");
    Expect(1, 918000, '\P{Category:	-	Nonspacing_Mark}', "");
    Expect(0, 918000, '\P{^Category:	-	Nonspacing_Mark}', "");
    Error('\p{Is_General_Category:	:= _mn}');
    Error('\P{Is_General_Category:	:= _mn}');
    Expect(1, 917999, '\p{Is_General_Category=mn}', "");
    Expect(0, 917999, '\p{^Is_General_Category=mn}', "");
    Expect(0, 917999, '\P{Is_General_Category=mn}', "");
    Expect(1, 917999, '\P{^Is_General_Category=mn}', "");
    Expect(0, 918000, '\p{Is_General_Category=mn}', "");
    Expect(1, 918000, '\p{^Is_General_Category=mn}', "");
    Expect(1, 918000, '\P{Is_General_Category=mn}', "");
    Expect(0, 918000, '\P{^Is_General_Category=mn}', "");
    Expect(1, 917999, '\p{Is_General_Category: _ Mn}', "");
    Expect(0, 917999, '\p{^Is_General_Category: _ Mn}', "");
    Expect(0, 917999, '\P{Is_General_Category: _ Mn}', "");
    Expect(1, 917999, '\P{^Is_General_Category: _ Mn}', "");
    Expect(0, 918000, '\p{Is_General_Category: _ Mn}', "");
    Expect(1, 918000, '\p{^Is_General_Category: _ Mn}', "");
    Expect(1, 918000, '\P{Is_General_Category: _ Mn}', "");
    Expect(0, 918000, '\P{^Is_General_Category: _ Mn}', "");
    Error('\p{Is_Gc=:= Nonspacing_mark}');
    Error('\P{Is_Gc=:= Nonspacing_mark}');
    Expect(1, 917999, '\p{Is_Gc=nonspacingmark}', "");
    Expect(0, 917999, '\p{^Is_Gc=nonspacingmark}', "");
    Expect(0, 917999, '\P{Is_Gc=nonspacingmark}', "");
    Expect(1, 917999, '\P{^Is_Gc=nonspacingmark}', "");
    Expect(0, 918000, '\p{Is_Gc=nonspacingmark}', "");
    Expect(1, 918000, '\p{^Is_Gc=nonspacingmark}', "");
    Expect(1, 918000, '\P{Is_Gc=nonspacingmark}', "");
    Expect(0, 918000, '\P{^Is_Gc=nonspacingmark}', "");
    Expect(1, 917999, '\p{Is_Gc=	_NONSPACING_Mark}', "");
    Expect(0, 917999, '\p{^Is_Gc=	_NONSPACING_Mark}', "");
    Expect(0, 917999, '\P{Is_Gc=	_NONSPACING_Mark}', "");
    Expect(1, 917999, '\P{^Is_Gc=	_NONSPACING_Mark}', "");
    Expect(0, 918000, '\p{Is_Gc=	_NONSPACING_Mark}', "");
    Expect(1, 918000, '\p{^Is_Gc=	_NONSPACING_Mark}', "");
    Expect(1, 918000, '\P{Is_Gc=	_NONSPACING_Mark}', "");
    Expect(0, 918000, '\P{^Is_Gc=	_NONSPACING_Mark}', "");
    Error('\p{Is_Category=/a/-MN}');
    Error('\P{Is_Category=/a/-MN}');
    Expect(1, 917999, '\p{Is_Category=mn}', "");
    Expect(0, 917999, '\p{^Is_Category=mn}', "");
    Expect(0, 917999, '\P{Is_Category=mn}', "");
    Expect(1, 917999, '\P{^Is_Category=mn}', "");
    Expect(0, 918000, '\p{Is_Category=mn}', "");
    Expect(1, 918000, '\p{^Is_Category=mn}', "");
    Expect(1, 918000, '\P{Is_Category=mn}', "");
    Expect(0, 918000, '\P{^Is_Category=mn}', "");
    Expect(1, 917999, '\p{Is_Category=- Mn}', "");
    Expect(0, 917999, '\p{^Is_Category=- Mn}', "");
    Expect(0, 917999, '\P{Is_Category=- Mn}', "");
    Expect(1, 917999, '\P{^Is_Category=- Mn}', "");
    Expect(0, 918000, '\p{Is_Category=- Mn}', "");
    Expect(1, 918000, '\p{^Is_Category=- Mn}', "");
    Expect(1, 918000, '\P{Is_Category=- Mn}', "");
    Expect(0, 918000, '\P{^Is_Category=- Mn}', "");
    Error('\p{General_Category=_:=Number}');
    Error('\P{General_Category=_:=Number}');
    Expect(1, 130041, '\p{General_Category=:\ANumber\z:}', "");;
    Expect(0, 130042, '\p{General_Category=:\ANumber\z:}', "");;
    Expect(1, 130041, '\p{General_Category:   number}', "");
    Expect(0, 130041, '\p{^General_Category:   number}', "");
    Expect(0, 130041, '\P{General_Category:   number}', "");
    Expect(1, 130041, '\P{^General_Category:   number}', "");
    Expect(0, 130042, '\p{General_Category:   number}', "");
    Expect(1, 130042, '\p{^General_Category:   number}', "");
    Expect(1, 130042, '\P{General_Category:   number}', "");
    Expect(0, 130042, '\P{^General_Category:   number}', "");
    Expect(1, 130041, '\p{General_Category=:\Anumber\z:}', "");;
    Expect(0, 130042, '\p{General_Category=:\Anumber\z:}', "");;
    Expect(1, 130041, '\p{General_Category:   	Number}', "");
    Expect(0, 130041, '\p{^General_Category:   	Number}', "");
    Expect(0, 130041, '\P{General_Category:   	Number}', "");
    Expect(1, 130041, '\P{^General_Category:   	Number}', "");
    Expect(0, 130042, '\p{General_Category:   	Number}', "");
    Expect(1, 130042, '\p{^General_Category:   	Number}', "");
    Expect(1, 130042, '\P{General_Category:   	Number}', "");
    Expect(0, 130042, '\P{^General_Category:   	Number}', "");
    Error('\p{Gc=	_n:=}');
    Error('\P{Gc=	_n:=}');
    Expect(1, 130041, '\p{Gc=:\AN\z:}', "");;
    Expect(0, 130042, '\p{Gc=:\AN\z:}', "");;
    Expect(1, 130041, '\p{Gc=n}', "");
    Expect(0, 130041, '\p{^Gc=n}', "");
    Expect(0, 130041, '\P{Gc=n}', "");
    Expect(1, 130041, '\P{^Gc=n}', "");
    Expect(0, 130042, '\p{Gc=n}', "");
    Expect(1, 130042, '\p{^Gc=n}', "");
    Expect(1, 130042, '\P{Gc=n}', "");
    Expect(0, 130042, '\P{^Gc=n}', "");
    Expect(1, 130041, '\p{Gc=:\An\z:}', "");;
    Expect(0, 130042, '\p{Gc=:\An\z:}', "");;
    Expect(1, 130041, '\p{Gc= 	N}', "");
    Expect(0, 130041, '\p{^Gc= 	N}', "");
    Expect(0, 130041, '\P{Gc= 	N}', "");
    Expect(1, 130041, '\P{^Gc= 	N}', "");
    Expect(0, 130042, '\p{Gc= 	N}', "");
    Expect(1, 130042, '\p{^Gc= 	N}', "");
    Expect(1, 130042, '\P{Gc= 	N}', "");
    Expect(0, 130042, '\P{^Gc= 	N}', "");
    Error('\p{Category=- number:=}');
    Error('\P{Category=- number:=}');
    Expect(1, 130041, '\p{Category=:\ANumber\z:}', "");;
    Expect(0, 130042, '\p{Category=:\ANumber\z:}', "");;
    Expect(1, 130041, '\p{Category=number}', "");
    Expect(0, 130041, '\p{^Category=number}', "");
    Expect(0, 130041, '\P{Category=number}', "");
    Expect(1, 130041, '\P{^Category=number}', "");
    Expect(0, 130042, '\p{Category=number}', "");
    Expect(1, 130042, '\p{^Category=number}', "");
    Expect(1, 130042, '\P{Category=number}', "");
    Expect(0, 130042, '\P{^Category=number}', "");
    Expect(1, 130041, '\p{Category=:\Anumber\z:}', "");;
    Expect(0, 130042, '\p{Category=:\Anumber\z:}', "");;
    Expect(1, 130041, '\p{Category= -Number}', "");
    Expect(0, 130041, '\p{^Category= -Number}', "");
    Expect(0, 130041, '\P{Category= -Number}', "");
    Expect(1, 130041, '\P{^Category= -Number}', "");
    Expect(0, 130042, '\p{Category= -Number}', "");
    Expect(1, 130042, '\p{^Category= -Number}', "");
    Expect(1, 130042, '\P{Category= -Number}', "");
    Expect(0, 130042, '\P{^Category= -Number}', "");
    Error('\p{Is_General_Category:/a/-N}');
    Error('\P{Is_General_Category:/a/-N}');
    Expect(1, 130041, '\p{Is_General_Category=n}', "");
    Expect(0, 130041, '\p{^Is_General_Category=n}', "");
    Expect(0, 130041, '\P{Is_General_Category=n}', "");
    Expect(1, 130041, '\P{^Is_General_Category=n}', "");
    Expect(0, 130042, '\p{Is_General_Category=n}', "");
    Expect(1, 130042, '\p{^Is_General_Category=n}', "");
    Expect(1, 130042, '\P{Is_General_Category=n}', "");
    Expect(0, 130042, '\P{^Is_General_Category=n}', "");
    Expect(1, 130041, '\p{Is_General_Category= N}', "");
    Expect(0, 130041, '\p{^Is_General_Category= N}', "");
    Expect(0, 130041, '\P{Is_General_Category= N}', "");
    Expect(1, 130041, '\P{^Is_General_Category= N}', "");
    Expect(0, 130042, '\p{Is_General_Category= N}', "");
    Expect(1, 130042, '\p{^Is_General_Category= N}', "");
    Expect(1, 130042, '\P{Is_General_Category= N}', "");
    Expect(0, 130042, '\P{^Is_General_Category= N}', "");
    Error('\p{Is_Gc: /a/NUMBER}');
    Error('\P{Is_Gc: /a/NUMBER}');
    Expect(1, 130041, '\p{Is_Gc=number}', "");
    Expect(0, 130041, '\p{^Is_Gc=number}', "");
    Expect(0, 130041, '\P{Is_Gc=number}', "");
    Expect(1, 130041, '\P{^Is_Gc=number}', "");
    Expect(0, 130042, '\p{Is_Gc=number}', "");
    Expect(1, 130042, '\p{^Is_Gc=number}', "");
    Expect(1, 130042, '\P{Is_Gc=number}', "");
    Expect(0, 130042, '\P{^Is_Gc=number}', "");
    Expect(1, 130041, '\p{Is_Gc:    Number}', "");
    Expect(0, 130041, '\p{^Is_Gc:    Number}', "");
    Expect(0, 130041, '\P{Is_Gc:    Number}', "");
    Expect(1, 130041, '\P{^Is_Gc:    Number}', "");
    Expect(0, 130042, '\p{Is_Gc:    Number}', "");
    Expect(1, 130042, '\p{^Is_Gc:    Number}', "");
    Expect(1, 130042, '\P{Is_Gc:    Number}', "");
    Expect(0, 130042, '\P{^Is_Gc:    Number}', "");
    Error('\p{Is_Category=:=		N}');
    Error('\P{Is_Category=:=		N}');
    Expect(1, 130041, '\p{Is_Category:	n}', "");
    Expect(0, 130041, '\p{^Is_Category:	n}', "");
    Expect(0, 130041, '\P{Is_Category:	n}', "");
    Expect(1, 130041, '\P{^Is_Category:	n}', "");
    Expect(0, 130042, '\p{Is_Category:	n}', "");
    Expect(1, 130042, '\p{^Is_Category:	n}', "");
    Expect(1, 130042, '\P{Is_Category:	n}', "");
    Expect(0, 130042, '\P{^Is_Category:	n}', "");
    Expect(1, 130041, '\p{Is_Category=-_n}', "");
    Expect(0, 130041, '\p{^Is_Category=-_n}', "");
    Expect(0, 130041, '\P{Is_Category=-_n}', "");
    Expect(1, 130041, '\P{^Is_Category=-_n}', "");
    Expect(0, 130042, '\p{Is_Category=-_n}', "");
    Expect(1, 130042, '\p{^Is_Category=-_n}', "");
    Expect(1, 130042, '\P{Is_Category=-_n}', "");
    Expect(0, 130042, '\P{^Is_Category=-_n}', "");
    Error('\p{General_Category=/a/_	DECIMAL_NUMBER}');
    Error('\P{General_Category=/a/_	DECIMAL_NUMBER}');
    Expect(1, 130041, '\p{General_Category=:\ADecimal_Number\z:}', "");;
    Expect(0, 130042, '\p{General_Category=:\ADecimal_Number\z:}', "");;
    Expect(1, 130041, '\p{General_Category=decimalnumber}', "");
    Expect(0, 130041, '\p{^General_Category=decimalnumber}', "");
    Expect(0, 130041, '\P{General_Category=decimalnumber}', "");
    Expect(1, 130041, '\P{^General_Category=decimalnumber}', "");
    Expect(0, 130042, '\p{General_Category=decimalnumber}', "");
    Expect(1, 130042, '\p{^General_Category=decimalnumber}', "");
    Expect(1, 130042, '\P{General_Category=decimalnumber}', "");
    Expect(0, 130042, '\P{^General_Category=decimalnumber}', "");
    Expect(1, 130041, '\p{General_Category=:\Adecimalnumber\z:}', "");;
    Expect(0, 130042, '\p{General_Category=:\Adecimalnumber\z:}', "");;
    Expect(1, 130041, '\p{General_Category=_ Decimal_number}', "");
    Expect(0, 130041, '\p{^General_Category=_ Decimal_number}', "");
    Expect(0, 130041, '\P{General_Category=_ Decimal_number}', "");
    Expect(1, 130041, '\P{^General_Category=_ Decimal_number}', "");
    Expect(0, 130042, '\p{General_Category=_ Decimal_number}', "");
    Expect(1, 130042, '\p{^General_Category=_ Decimal_number}', "");
    Expect(1, 130042, '\P{General_Category=_ Decimal_number}', "");
    Expect(0, 130042, '\P{^General_Category=_ Decimal_number}', "");
    Error('\p{Gc= _Nd/a/}');
    Error('\P{Gc= _Nd/a/}');
    Expect(1, 130041, '\p{Gc=:\ANd\z:}', "");;
    Expect(0, 130042, '\p{Gc=:\ANd\z:}', "");;
    Expect(1, 130041, '\p{Gc=nd}', "");
    Expect(0, 130041, '\p{^Gc=nd}', "");
    Expect(0, 130041, '\P{Gc=nd}', "");
    Expect(1, 130041, '\P{^Gc=nd}', "");
    Expect(0, 130042, '\p{Gc=nd}', "");
    Expect(1, 130042, '\p{^Gc=nd}', "");
    Expect(1, 130042, '\P{Gc=nd}', "");
    Expect(0, 130042, '\P{^Gc=nd}', "");
    Expect(1, 130041, '\p{Gc=:\And\z:}', "");;
    Expect(0, 130042, '\p{Gc=:\And\z:}', "");;
    Expect(1, 130041, '\p{Gc=Nd}', "");
    Expect(0, 130041, '\p{^Gc=Nd}', "");
    Expect(0, 130041, '\P{Gc=Nd}', "");
    Expect(1, 130041, '\P{^Gc=Nd}', "");
    Expect(0, 130042, '\p{Gc=Nd}', "");
    Expect(1, 130042, '\p{^Gc=Nd}', "");
    Expect(1, 130042, '\P{Gc=Nd}', "");
    Expect(0, 130042, '\P{^Gc=Nd}', "");
    Error('\p{Category=/a/DIGIT}');
    Error('\P{Category=/a/DIGIT}');
    Expect(1, 130041, '\p{Category=:\ADigit\z:}', "");;
    Expect(0, 130042, '\p{Category=:\ADigit\z:}', "");;
    Expect(1, 130041, '\p{Category=digit}', "");
    Expect(0, 130041, '\p{^Category=digit}', "");
    Expect(0, 130041, '\P{Category=digit}', "");
    Expect(1, 130041, '\P{^Category=digit}', "");
    Expect(0, 130042, '\p{Category=digit}', "");
    Expect(1, 130042, '\p{^Category=digit}', "");
    Expect(1, 130042, '\P{Category=digit}', "");
    Expect(0, 130042, '\P{^Category=digit}', "");
    Expect(1, 130041, '\p{Category=:\Adigit\z:}', "");;
    Expect(0, 130042, '\p{Category=:\Adigit\z:}', "");;
    Expect(1, 130041, '\p{Category=_-digit}', "");
    Expect(0, 130041, '\p{^Category=_-digit}', "");
    Expect(0, 130041, '\P{Category=_-digit}', "");
    Expect(1, 130041, '\P{^Category=_-digit}', "");
    Expect(0, 130042, '\p{Category=_-digit}', "");
    Expect(1, 130042, '\p{^Category=_-digit}', "");
    Expect(1, 130042, '\P{Category=_-digit}', "");
    Expect(0, 130042, '\P{^Category=_-digit}', "");
    Error('\p{Is_General_Category=	-decimal_Number/a/}');
    Error('\P{Is_General_Category=	-decimal_Number/a/}');
    Expect(1, 130041, '\p{Is_General_Category=decimalnumber}', "");
    Expect(0, 130041, '\p{^Is_General_Category=decimalnumber}', "");
    Expect(0, 130041, '\P{Is_General_Category=decimalnumber}', "");
    Expect(1, 130041, '\P{^Is_General_Category=decimalnumber}', "");
    Expect(0, 130042, '\p{Is_General_Category=decimalnumber}', "");
    Expect(1, 130042, '\p{^Is_General_Category=decimalnumber}', "");
    Expect(1, 130042, '\P{Is_General_Category=decimalnumber}', "");
    Expect(0, 130042, '\P{^Is_General_Category=decimalnumber}', "");
    Expect(1, 130041, '\p{Is_General_Category=	_Decimal_number}', "");
    Expect(0, 130041, '\p{^Is_General_Category=	_Decimal_number}', "");
    Expect(0, 130041, '\P{Is_General_Category=	_Decimal_number}', "");
    Expect(1, 130041, '\P{^Is_General_Category=	_Decimal_number}', "");
    Expect(0, 130042, '\p{Is_General_Category=	_Decimal_number}', "");
    Expect(1, 130042, '\p{^Is_General_Category=	_Decimal_number}', "");
    Expect(1, 130042, '\P{Is_General_Category=	_Decimal_number}', "");
    Expect(0, 130042, '\P{^Is_General_Category=	_Decimal_number}', "");
    Error('\p{Is_Gc=:=	ND}');
    Error('\P{Is_Gc=:=	ND}');
    Expect(1, 130041, '\p{Is_Gc=nd}', "");
    Expect(0, 130041, '\p{^Is_Gc=nd}', "");
    Expect(0, 130041, '\P{Is_Gc=nd}', "");
    Expect(1, 130041, '\P{^Is_Gc=nd}', "");
    Expect(0, 130042, '\p{Is_Gc=nd}', "");
    Expect(1, 130042, '\p{^Is_Gc=nd}', "");
    Expect(1, 130042, '\P{Is_Gc=nd}', "");
    Expect(0, 130042, '\P{^Is_Gc=nd}', "");
    Expect(1, 130041, '\p{Is_Gc=  nd}', "");
    Expect(0, 130041, '\p{^Is_Gc=  nd}', "");
    Expect(0, 130041, '\P{Is_Gc=  nd}', "");
    Expect(1, 130041, '\P{^Is_Gc=  nd}', "");
    Expect(0, 130042, '\p{Is_Gc=  nd}', "");
    Expect(1, 130042, '\p{^Is_Gc=  nd}', "");
    Expect(1, 130042, '\P{Is_Gc=  nd}', "");
    Expect(0, 130042, '\P{^Is_Gc=  nd}', "");
    Error('\p{Is_Category=	/a/digit}');
    Error('\P{Is_Category=	/a/digit}');
    Expect(1, 130041, '\p{Is_Category=digit}', "");
    Expect(0, 130041, '\p{^Is_Category=digit}', "");
    Expect(0, 130041, '\P{Is_Category=digit}', "");
    Expect(1, 130041, '\P{^Is_Category=digit}', "");
    Expect(0, 130042, '\p{Is_Category=digit}', "");
    Expect(1, 130042, '\p{^Is_Category=digit}', "");
    Expect(1, 130042, '\P{Is_Category=digit}', "");
    Expect(0, 130042, '\P{^Is_Category=digit}', "");
    Expect(1, 130041, '\p{Is_Category:_-digit}', "");
    Expect(0, 130041, '\p{^Is_Category:_-digit}', "");
    Expect(0, 130041, '\P{Is_Category:_-digit}', "");
    Expect(1, 130041, '\P{^Is_Category:_-digit}', "");
    Expect(0, 130042, '\p{Is_Category:_-digit}', "");
    Expect(1, 130042, '\p{^Is_Category:_-digit}', "");
    Expect(1, 130042, '\P{Is_Category:_-digit}', "");
    Expect(0, 130042, '\P{^Is_Category:_-digit}', "");
    Error('\p{General_Category=:=--LETTER_number}');
    Error('\P{General_Category=:=--LETTER_number}');
    Expect(1, 74862, '\p{General_Category=:\ALetter_Number\z:}', "");;
    Expect(0, 74863, '\p{General_Category=:\ALetter_Number\z:}', "");;
    Expect(1, 74862, '\p{General_Category=letternumber}', "");
    Expect(0, 74862, '\p{^General_Category=letternumber}', "");
    Expect(0, 74862, '\P{General_Category=letternumber}', "");
    Expect(1, 74862, '\P{^General_Category=letternumber}', "");
    Expect(0, 74863, '\p{General_Category=letternumber}', "");
    Expect(1, 74863, '\p{^General_Category=letternumber}', "");
    Expect(1, 74863, '\P{General_Category=letternumber}', "");
    Expect(0, 74863, '\P{^General_Category=letternumber}', "");
    Expect(1, 74862, '\p{General_Category=:\Aletternumber\z:}', "");;
    Expect(0, 74863, '\p{General_Category=:\Aletternumber\z:}', "");;
    Expect(1, 74862, '\p{General_Category=__LETTER_number}', "");
    Expect(0, 74862, '\p{^General_Category=__LETTER_number}', "");
    Expect(0, 74862, '\P{General_Category=__LETTER_number}', "");
    Expect(1, 74862, '\P{^General_Category=__LETTER_number}', "");
    Expect(0, 74863, '\p{General_Category=__LETTER_number}', "");
    Expect(1, 74863, '\p{^General_Category=__LETTER_number}', "");
    Expect(1, 74863, '\P{General_Category=__LETTER_number}', "");
    Expect(0, 74863, '\P{^General_Category=__LETTER_number}', "");
    Error('\p{Gc:   _NL:=}');
    Error('\P{Gc:   _NL:=}');
    Expect(1, 74862, '\p{Gc=:\ANl\z:}', "");;
    Expect(0, 74863, '\p{Gc=:\ANl\z:}', "");;
    Expect(1, 74862, '\p{Gc:	nl}', "");
    Expect(0, 74862, '\p{^Gc:	nl}', "");
    Expect(0, 74862, '\P{Gc:	nl}', "");
    Expect(1, 74862, '\P{^Gc:	nl}', "");
    Expect(0, 74863, '\p{Gc:	nl}', "");
    Expect(1, 74863, '\p{^Gc:	nl}', "");
    Expect(1, 74863, '\P{Gc:	nl}', "");
    Expect(0, 74863, '\P{^Gc:	nl}', "");
    Expect(1, 74862, '\p{Gc=:\Anl\z:}', "");;
    Expect(0, 74863, '\p{Gc=:\Anl\z:}', "");;
    Expect(1, 74862, '\p{Gc=_Nl}', "");
    Expect(0, 74862, '\p{^Gc=_Nl}', "");
    Expect(0, 74862, '\P{Gc=_Nl}', "");
    Expect(1, 74862, '\P{^Gc=_Nl}', "");
    Expect(0, 74863, '\p{Gc=_Nl}', "");
    Expect(1, 74863, '\p{^Gc=_Nl}', "");
    Expect(1, 74863, '\P{Gc=_Nl}', "");
    Expect(0, 74863, '\P{^Gc=_Nl}', "");
    Error('\p{Category=:=	 letter_number}');
    Error('\P{Category=:=	 letter_number}');
    Expect(1, 74862, '\p{Category=:\ALetter_Number\z:}', "");;
    Expect(0, 74863, '\p{Category=:\ALetter_Number\z:}', "");;
    Expect(1, 74862, '\p{Category=letternumber}', "");
    Expect(0, 74862, '\p{^Category=letternumber}', "");
    Expect(0, 74862, '\P{Category=letternumber}', "");
    Expect(1, 74862, '\P{^Category=letternumber}', "");
    Expect(0, 74863, '\p{Category=letternumber}', "");
    Expect(1, 74863, '\p{^Category=letternumber}', "");
    Expect(1, 74863, '\P{Category=letternumber}', "");
    Expect(0, 74863, '\P{^Category=letternumber}', "");
    Expect(1, 74862, '\p{Category=:\Aletternumber\z:}', "");;
    Expect(0, 74863, '\p{Category=:\Aletternumber\z:}', "");;
    Expect(1, 74862, '\p{Category=LETTER_Number}', "");
    Expect(0, 74862, '\p{^Category=LETTER_Number}', "");
    Expect(0, 74862, '\P{Category=LETTER_Number}', "");
    Expect(1, 74862, '\P{^Category=LETTER_Number}', "");
    Expect(0, 74863, '\p{Category=LETTER_Number}', "");
    Expect(1, 74863, '\p{^Category=LETTER_Number}', "");
    Expect(1, 74863, '\P{Category=LETTER_Number}', "");
    Expect(0, 74863, '\P{^Category=LETTER_Number}', "");
    Error('\p{Is_General_Category=:= _NL}');
    Error('\P{Is_General_Category=:= _NL}');
    Expect(1, 74862, '\p{Is_General_Category=nl}', "");
    Expect(0, 74862, '\p{^Is_General_Category=nl}', "");
    Expect(0, 74862, '\P{Is_General_Category=nl}', "");
    Expect(1, 74862, '\P{^Is_General_Category=nl}', "");
    Expect(0, 74863, '\p{Is_General_Category=nl}', "");
    Expect(1, 74863, '\p{^Is_General_Category=nl}', "");
    Expect(1, 74863, '\P{Is_General_Category=nl}', "");
    Expect(0, 74863, '\P{^Is_General_Category=nl}', "");
    Expect(1, 74862, '\p{Is_General_Category=	 NL}', "");
    Expect(0, 74862, '\p{^Is_General_Category=	 NL}', "");
    Expect(0, 74862, '\P{Is_General_Category=	 NL}', "");
    Expect(1, 74862, '\P{^Is_General_Category=	 NL}', "");
    Expect(0, 74863, '\p{Is_General_Category=	 NL}', "");
    Expect(1, 74863, '\p{^Is_General_Category=	 NL}', "");
    Expect(1, 74863, '\P{Is_General_Category=	 NL}', "");
    Expect(0, 74863, '\P{^Is_General_Category=	 NL}', "");
    Error('\p{Is_Gc=:=-LETTER_number}');
    Error('\P{Is_Gc=:=-LETTER_number}');
    Expect(1, 74862, '\p{Is_Gc=letternumber}', "");
    Expect(0, 74862, '\p{^Is_Gc=letternumber}', "");
    Expect(0, 74862, '\P{Is_Gc=letternumber}', "");
    Expect(1, 74862, '\P{^Is_Gc=letternumber}', "");
    Expect(0, 74863, '\p{Is_Gc=letternumber}', "");
    Expect(1, 74863, '\p{^Is_Gc=letternumber}', "");
    Expect(1, 74863, '\P{Is_Gc=letternumber}', "");
    Expect(0, 74863, '\P{^Is_Gc=letternumber}', "");
    Expect(1, 74862, '\p{Is_Gc= _Letter_Number}', "");
    Expect(0, 74862, '\p{^Is_Gc= _Letter_Number}', "");
    Expect(0, 74862, '\P{Is_Gc= _Letter_Number}', "");
    Expect(1, 74862, '\P{^Is_Gc= _Letter_Number}', "");
    Expect(0, 74863, '\p{Is_Gc= _Letter_Number}', "");
    Expect(1, 74863, '\p{^Is_Gc= _Letter_Number}', "");
    Expect(1, 74863, '\P{Is_Gc= _Letter_Number}', "");
    Expect(0, 74863, '\P{^Is_Gc= _Letter_Number}', "");
    Error('\p{Is_Category=/a/_NL}');
    Error('\P{Is_Category=/a/_NL}');
    Expect(1, 74862, '\p{Is_Category:   nl}', "");
    Expect(0, 74862, '\p{^Is_Category:   nl}', "");
    Expect(0, 74862, '\P{Is_Category:   nl}', "");
    Expect(1, 74862, '\P{^Is_Category:   nl}', "");
    Expect(0, 74863, '\p{Is_Category:   nl}', "");
    Expect(1, 74863, '\p{^Is_Category:   nl}', "");
    Expect(1, 74863, '\P{Is_Category:   nl}', "");
    Expect(0, 74863, '\P{^Is_Category:   nl}', "");
    Expect(1, 74862, '\p{Is_Category=_Nl}', "");
    Expect(0, 74862, '\p{^Is_Category=_Nl}', "");
    Expect(0, 74862, '\P{Is_Category=_Nl}', "");
    Expect(1, 74862, '\P{^Is_Category=_Nl}', "");
    Expect(0, 74863, '\p{Is_Category=_Nl}', "");
    Expect(1, 74863, '\p{^Is_Category=_Nl}', "");
    Expect(1, 74863, '\P{Is_Category=_Nl}', "");
    Expect(0, 74863, '\P{^Is_Category=_Nl}', "");
    Error('\p{General_Category=/a/ 	other_number}');
    Error('\P{General_Category=/a/ 	other_number}');
    Expect(1, 127244, '\p{General_Category=:\AOther_Number\z:}', "");;
    Expect(0, 127245, '\p{General_Category=:\AOther_Number\z:}', "");;
    Expect(1, 127244, '\p{General_Category=othernumber}', "");
    Expect(0, 127244, '\p{^General_Category=othernumber}', "");
    Expect(0, 127244, '\P{General_Category=othernumber}', "");
    Expect(1, 127244, '\P{^General_Category=othernumber}', "");
    Expect(0, 127245, '\p{General_Category=othernumber}', "");
    Expect(1, 127245, '\p{^General_Category=othernumber}', "");
    Expect(1, 127245, '\P{General_Category=othernumber}', "");
    Expect(0, 127245, '\P{^General_Category=othernumber}', "");
    Expect(1, 127244, '\p{General_Category=:\Aothernumber\z:}', "");;
    Expect(0, 127245, '\p{General_Category=:\Aothernumber\z:}', "");;
    Expect(1, 127244, '\p{General_Category=	-OTHER_Number}', "");
    Expect(0, 127244, '\p{^General_Category=	-OTHER_Number}', "");
    Expect(0, 127244, '\P{General_Category=	-OTHER_Number}', "");
    Expect(1, 127244, '\P{^General_Category=	-OTHER_Number}', "");
    Expect(0, 127245, '\p{General_Category=	-OTHER_Number}', "");
    Expect(1, 127245, '\p{^General_Category=	-OTHER_Number}', "");
    Expect(1, 127245, '\P{General_Category=	-OTHER_Number}', "");
    Expect(0, 127245, '\P{^General_Category=	-OTHER_Number}', "");
    Error('\p{Gc:	_No/a/}');
    Error('\P{Gc:	_No/a/}');
    Expect(1, 127244, '\p{Gc=:\ANo\z:}', "");;
    Expect(0, 127245, '\p{Gc=:\ANo\z:}', "");;
    Expect(1, 127244, '\p{Gc=no}', "");
    Expect(0, 127244, '\p{^Gc=no}', "");
    Expect(0, 127244, '\P{Gc=no}', "");
    Expect(1, 127244, '\P{^Gc=no}', "");
    Expect(0, 127245, '\p{Gc=no}', "");
    Expect(1, 127245, '\p{^Gc=no}', "");
    Expect(1, 127245, '\P{Gc=no}', "");
    Expect(0, 127245, '\P{^Gc=no}', "");
    Expect(1, 127244, '\p{Gc=:\Ano\z:}', "");;
    Expect(0, 127245, '\p{Gc=:\Ano\z:}', "");;
    Expect(1, 127244, '\p{Gc=-_No}', "");
    Expect(0, 127244, '\p{^Gc=-_No}', "");
    Expect(0, 127244, '\P{Gc=-_No}', "");
    Expect(1, 127244, '\P{^Gc=-_No}', "");
    Expect(0, 127245, '\p{Gc=-_No}', "");
    Expect(1, 127245, '\p{^Gc=-_No}', "");
    Expect(1, 127245, '\P{Gc=-_No}', "");
    Expect(0, 127245, '\P{^Gc=-_No}', "");
    Error('\p{Category= /a/Other_number}');
    Error('\P{Category= /a/Other_number}');
    Expect(1, 127244, '\p{Category=:\AOther_Number\z:}', "");;
    Expect(0, 127245, '\p{Category=:\AOther_Number\z:}', "");;
    Expect(1, 127244, '\p{Category:othernumber}', "");
    Expect(0, 127244, '\p{^Category:othernumber}', "");
    Expect(0, 127244, '\P{Category:othernumber}', "");
    Expect(1, 127244, '\P{^Category:othernumber}', "");
    Expect(0, 127245, '\p{Category:othernumber}', "");
    Expect(1, 127245, '\p{^Category:othernumber}', "");
    Expect(1, 127245, '\P{Category:othernumber}', "");
    Expect(0, 127245, '\P{^Category:othernumber}', "");
    Expect(1, 127244, '\p{Category=:\Aothernumber\z:}', "");;
    Expect(0, 127245, '\p{Category=:\Aothernumber\z:}', "");;
    Expect(1, 127244, '\p{Category=_-other_number}', "");
    Expect(0, 127244, '\p{^Category=_-other_number}', "");
    Expect(0, 127244, '\P{Category=_-other_number}', "");
    Expect(1, 127244, '\P{^Category=_-other_number}', "");
    Expect(0, 127245, '\p{Category=_-other_number}', "");
    Expect(1, 127245, '\p{^Category=_-other_number}', "");
    Expect(1, 127245, '\P{Category=_-other_number}', "");
    Expect(0, 127245, '\P{^Category=_-other_number}', "");
    Error('\p{Is_General_Category=/a/_-no}');
    Error('\P{Is_General_Category=/a/_-no}');
    Expect(1, 127244, '\p{Is_General_Category=no}', "");
    Expect(0, 127244, '\p{^Is_General_Category=no}', "");
    Expect(0, 127244, '\P{Is_General_Category=no}', "");
    Expect(1, 127244, '\P{^Is_General_Category=no}', "");
    Expect(0, 127245, '\p{Is_General_Category=no}', "");
    Expect(1, 127245, '\p{^Is_General_Category=no}', "");
    Expect(1, 127245, '\P{Is_General_Category=no}', "");
    Expect(0, 127245, '\P{^Is_General_Category=no}', "");
    Expect(1, 127244, '\p{Is_General_Category=-no}', "");
    Expect(0, 127244, '\p{^Is_General_Category=-no}', "");
    Expect(0, 127244, '\P{Is_General_Category=-no}', "");
    Expect(1, 127244, '\P{^Is_General_Category=-no}', "");
    Expect(0, 127245, '\p{Is_General_Category=-no}', "");
    Expect(1, 127245, '\p{^Is_General_Category=-no}', "");
    Expect(1, 127245, '\P{Is_General_Category=-no}', "");
    Expect(0, 127245, '\P{^Is_General_Category=-no}', "");
    Error('\p{Is_Gc= /a/Other_Number}');
    Error('\P{Is_Gc= /a/Other_Number}');
    Expect(1, 127244, '\p{Is_Gc=othernumber}', "");
    Expect(0, 127244, '\p{^Is_Gc=othernumber}', "");
    Expect(0, 127244, '\P{Is_Gc=othernumber}', "");
    Expect(1, 127244, '\P{^Is_Gc=othernumber}', "");
    Expect(0, 127245, '\p{Is_Gc=othernumber}', "");
    Expect(1, 127245, '\p{^Is_Gc=othernumber}', "");
    Expect(1, 127245, '\P{Is_Gc=othernumber}', "");
    Expect(0, 127245, '\P{^Is_Gc=othernumber}', "");
    Expect(1, 127244, '\p{Is_Gc:	OTHER_number}', "");
    Expect(0, 127244, '\p{^Is_Gc:	OTHER_number}', "");
    Expect(0, 127244, '\P{Is_Gc:	OTHER_number}', "");
    Expect(1, 127244, '\P{^Is_Gc:	OTHER_number}', "");
    Expect(0, 127245, '\p{Is_Gc:	OTHER_number}', "");
    Expect(1, 127245, '\p{^Is_Gc:	OTHER_number}', "");
    Expect(1, 127245, '\P{Is_Gc:	OTHER_number}', "");
    Expect(0, 127245, '\P{^Is_Gc:	OTHER_number}', "");
    Error('\p{Is_Category= No/a/}');
    Error('\P{Is_Category= No/a/}');
    Expect(1, 127244, '\p{Is_Category=no}', "");
    Expect(0, 127244, '\p{^Is_Category=no}', "");
    Expect(0, 127244, '\P{Is_Category=no}', "");
    Expect(1, 127244, '\P{^Is_Category=no}', "");
    Expect(0, 127245, '\p{Is_Category=no}', "");
    Expect(1, 127245, '\p{^Is_Category=no}', "");
    Expect(1, 127245, '\P{Is_Category=no}', "");
    Expect(0, 127245, '\P{^Is_Category=no}', "");
    Expect(1, 127244, '\p{Is_Category: 	_No}', "");
    Expect(0, 127244, '\p{^Is_Category: 	_No}', "");
    Expect(0, 127244, '\P{Is_Category: 	_No}', "");
    Expect(1, 127244, '\P{^Is_Category: 	_No}', "");
    Expect(0, 127245, '\p{Is_Category: 	_No}', "");
    Expect(1, 127245, '\p{^Is_Category: 	_No}', "");
    Expect(1, 127245, '\P{Is_Category: 	_No}', "");
    Expect(0, 127245, '\P{^Is_Category: 	_No}', "");
    Error('\p{General_Category=-:=punctuation}');
    Error('\P{General_Category=-:=punctuation}');
    Expect(1, 125279, '\p{General_Category=:\APunctuation\z:}', "");;
    Expect(0, 125280, '\p{General_Category=:\APunctuation\z:}', "");;
    Expect(1, 125279, '\p{General_Category=punctuation}', "");
    Expect(0, 125279, '\p{^General_Category=punctuation}', "");
    Expect(0, 125279, '\P{General_Category=punctuation}', "");
    Expect(1, 125279, '\P{^General_Category=punctuation}', "");
    Expect(0, 125280, '\p{General_Category=punctuation}', "");
    Expect(1, 125280, '\p{^General_Category=punctuation}', "");
    Expect(1, 125280, '\P{General_Category=punctuation}', "");
    Expect(0, 125280, '\P{^General_Category=punctuation}', "");
    Expect(1, 125279, '\p{General_Category=:\Apunctuation\z:}', "");;
    Expect(0, 125280, '\p{General_Category=:\Apunctuation\z:}', "");;
    Expect(1, 125279, '\p{General_Category=_punctuation}', "");
    Expect(0, 125279, '\p{^General_Category=_punctuation}', "");
    Expect(0, 125279, '\P{General_Category=_punctuation}', "");
    Expect(1, 125279, '\P{^General_Category=_punctuation}', "");
    Expect(0, 125280, '\p{General_Category=_punctuation}', "");
    Expect(1, 125280, '\p{^General_Category=_punctuation}', "");
    Expect(1, 125280, '\P{General_Category=_punctuation}', "");
    Expect(0, 125280, '\P{^General_Category=_punctuation}', "");
    Error('\p{Gc=:= P}');
    Error('\P{Gc=:= P}');
    Expect(1, 125279, '\p{Gc=:\AP\z:}', "");;
    Expect(0, 125280, '\p{Gc=:\AP\z:}', "");;
    Expect(1, 125279, '\p{Gc=p}', "");
    Expect(0, 125279, '\p{^Gc=p}', "");
    Expect(0, 125279, '\P{Gc=p}', "");
    Expect(1, 125279, '\P{^Gc=p}', "");
    Expect(0, 125280, '\p{Gc=p}', "");
    Expect(1, 125280, '\p{^Gc=p}', "");
    Expect(1, 125280, '\P{Gc=p}', "");
    Expect(0, 125280, '\P{^Gc=p}', "");
    Expect(1, 125279, '\p{Gc=:\Ap\z:}', "");;
    Expect(0, 125280, '\p{Gc=:\Ap\z:}', "");;
    Expect(1, 125279, '\p{Gc=_	P}', "");
    Expect(0, 125279, '\p{^Gc=_	P}', "");
    Expect(0, 125279, '\P{Gc=_	P}', "");
    Expect(1, 125279, '\P{^Gc=_	P}', "");
    Expect(0, 125280, '\p{Gc=_	P}', "");
    Expect(1, 125280, '\p{^Gc=_	P}', "");
    Expect(1, 125280, '\P{Gc=_	P}', "");
    Expect(0, 125280, '\P{^Gc=_	P}', "");
    Error('\p{Category=-/a/PUNCT}');
    Error('\P{Category=-/a/PUNCT}');
    Expect(1, 125279, '\p{Category=:\APunct\z:}', "");;
    Expect(0, 125280, '\p{Category=:\APunct\z:}', "");;
    Expect(1, 125279, '\p{Category=punct}', "");
    Expect(0, 125279, '\p{^Category=punct}', "");
    Expect(0, 125279, '\P{Category=punct}', "");
    Expect(1, 125279, '\P{^Category=punct}', "");
    Expect(0, 125280, '\p{Category=punct}', "");
    Expect(1, 125280, '\p{^Category=punct}', "");
    Expect(1, 125280, '\P{Category=punct}', "");
    Expect(0, 125280, '\P{^Category=punct}', "");
    Expect(1, 125279, '\p{Category=:\Apunct\z:}', "");;
    Expect(0, 125280, '\p{Category=:\Apunct\z:}', "");;
    Expect(1, 125279, '\p{Category= -punct}', "");
    Expect(0, 125279, '\p{^Category= -punct}', "");
    Expect(0, 125279, '\P{Category= -punct}', "");
    Expect(1, 125279, '\P{^Category= -punct}', "");
    Expect(0, 125280, '\p{Category= -punct}', "");
    Expect(1, 125280, '\p{^Category= -punct}', "");
    Expect(1, 125280, '\P{Category= -punct}', "");
    Expect(0, 125280, '\P{^Category= -punct}', "");
    Error('\p{Is_General_Category=-:=PUNCTUATION}');
    Error('\P{Is_General_Category=-:=PUNCTUATION}');
    Expect(1, 125279, '\p{Is_General_Category=punctuation}', "");
    Expect(0, 125279, '\p{^Is_General_Category=punctuation}', "");
    Expect(0, 125279, '\P{Is_General_Category=punctuation}', "");
    Expect(1, 125279, '\P{^Is_General_Category=punctuation}', "");
    Expect(0, 125280, '\p{Is_General_Category=punctuation}', "");
    Expect(1, 125280, '\p{^Is_General_Category=punctuation}', "");
    Expect(1, 125280, '\P{Is_General_Category=punctuation}', "");
    Expect(0, 125280, '\P{^Is_General_Category=punctuation}', "");
    Expect(1, 125279, '\p{Is_General_Category=_ Punctuation}', "");
    Expect(0, 125279, '\p{^Is_General_Category=_ Punctuation}', "");
    Expect(0, 125279, '\P{Is_General_Category=_ Punctuation}', "");
    Expect(1, 125279, '\P{^Is_General_Category=_ Punctuation}', "");
    Expect(0, 125280, '\p{Is_General_Category=_ Punctuation}', "");
    Expect(1, 125280, '\p{^Is_General_Category=_ Punctuation}', "");
    Expect(1, 125280, '\P{Is_General_Category=_ Punctuation}', "");
    Expect(0, 125280, '\P{^Is_General_Category=_ Punctuation}', "");
    Error('\p{Is_Gc:   p/a/}');
    Error('\P{Is_Gc:   p/a/}');
    Expect(1, 125279, '\p{Is_Gc=p}', "");
    Expect(0, 125279, '\p{^Is_Gc=p}', "");
    Expect(0, 125279, '\P{Is_Gc=p}', "");
    Expect(1, 125279, '\P{^Is_Gc=p}', "");
    Expect(0, 125280, '\p{Is_Gc=p}', "");
    Expect(1, 125280, '\p{^Is_Gc=p}', "");
    Expect(1, 125280, '\P{Is_Gc=p}', "");
    Expect(0, 125280, '\P{^Is_Gc=p}', "");
    Expect(1, 125279, '\p{Is_Gc:    	P}', "");
    Expect(0, 125279, '\p{^Is_Gc:    	P}', "");
    Expect(0, 125279, '\P{Is_Gc:    	P}', "");
    Expect(1, 125279, '\P{^Is_Gc:    	P}', "");
    Expect(0, 125280, '\p{Is_Gc:    	P}', "");
    Expect(1, 125280, '\p{^Is_Gc:    	P}', "");
    Expect(1, 125280, '\P{Is_Gc:    	P}', "");
    Expect(0, 125280, '\P{^Is_Gc:    	P}', "");
    Error('\p{Is_Category=:=	-Punct}');
    Error('\P{Is_Category=:=	-Punct}');
    Expect(1, 125279, '\p{Is_Category=punct}', "");
    Expect(0, 125279, '\p{^Is_Category=punct}', "");
    Expect(0, 125279, '\P{Is_Category=punct}', "");
    Expect(1, 125279, '\P{^Is_Category=punct}', "");
    Expect(0, 125280, '\p{Is_Category=punct}', "");
    Expect(1, 125280, '\p{^Is_Category=punct}', "");
    Expect(1, 125280, '\P{Is_Category=punct}', "");
    Expect(0, 125280, '\P{^Is_Category=punct}', "");
    Expect(1, 125279, '\p{Is_Category=_	Punct}', "");
    Expect(0, 125279, '\p{^Is_Category=_	Punct}', "");
    Expect(0, 125279, '\P{Is_Category=_	Punct}', "");
    Expect(1, 125279, '\P{^Is_Category=_	Punct}', "");
    Expect(0, 125280, '\p{Is_Category=_	Punct}', "");
    Expect(1, 125280, '\p{^Is_Category=_	Punct}', "");
    Expect(1, 125280, '\P{Is_Category=_	Punct}', "");
    Expect(0, 125280, '\P{^Is_Category=_	Punct}', "");
    Error('\p{General_Category=/a/Connector_PUNCTUATION}');
    Error('\P{General_Category=/a/Connector_PUNCTUATION}');
    Expect(1, 65343, '\p{General_Category=:\AConnector_Punctuation\z:}', "");;
    Expect(0, 65344, '\p{General_Category=:\AConnector_Punctuation\z:}', "");;
    Expect(1, 65343, '\p{General_Category=connectorpunctuation}', "");
    Expect(0, 65343, '\p{^General_Category=connectorpunctuation}', "");
    Expect(0, 65343, '\P{General_Category=connectorpunctuation}', "");
    Expect(1, 65343, '\P{^General_Category=connectorpunctuation}', "");
    Expect(0, 65344, '\p{General_Category=connectorpunctuation}', "");
    Expect(1, 65344, '\p{^General_Category=connectorpunctuation}', "");
    Expect(1, 65344, '\P{General_Category=connectorpunctuation}', "");
    Expect(0, 65344, '\P{^General_Category=connectorpunctuation}', "");
    Expect(1, 65343, '\p{General_Category=:\Aconnectorpunctuation\z:}', "");;
    Expect(0, 65344, '\p{General_Category=:\Aconnectorpunctuation\z:}', "");;
    Expect(1, 65343, '\p{General_Category=__Connector_Punctuation}', "");
    Expect(0, 65343, '\p{^General_Category=__Connector_Punctuation}', "");
    Expect(0, 65343, '\P{General_Category=__Connector_Punctuation}', "");
    Expect(1, 65343, '\P{^General_Category=__Connector_Punctuation}', "");
    Expect(0, 65344, '\p{General_Category=__Connector_Punctuation}', "");
    Expect(1, 65344, '\p{^General_Category=__Connector_Punctuation}', "");
    Expect(1, 65344, '\P{General_Category=__Connector_Punctuation}', "");
    Expect(0, 65344, '\P{^General_Category=__Connector_Punctuation}', "");
    Error('\p{Gc=  Pc:=}');
    Error('\P{Gc=  Pc:=}');
    Expect(1, 65343, '\p{Gc=:\APc\z:}', "");;
    Expect(0, 65344, '\p{Gc=:\APc\z:}', "");;
    Expect(1, 65343, '\p{Gc=pc}', "");
    Expect(0, 65343, '\p{^Gc=pc}', "");
    Expect(0, 65343, '\P{Gc=pc}', "");
    Expect(1, 65343, '\P{^Gc=pc}', "");
    Expect(0, 65344, '\p{Gc=pc}', "");
    Expect(1, 65344, '\p{^Gc=pc}', "");
    Expect(1, 65344, '\P{Gc=pc}', "");
    Expect(0, 65344, '\P{^Gc=pc}', "");
    Expect(1, 65343, '\p{Gc=:\Apc\z:}', "");;
    Expect(0, 65344, '\p{Gc=:\Apc\z:}', "");;
    Expect(1, 65343, '\p{Gc=		pc}', "");
    Expect(0, 65343, '\p{^Gc=		pc}', "");
    Expect(0, 65343, '\P{Gc=		pc}', "");
    Expect(1, 65343, '\P{^Gc=		pc}', "");
    Expect(0, 65344, '\p{Gc=		pc}', "");
    Expect(1, 65344, '\p{^Gc=		pc}', "");
    Expect(1, 65344, '\P{Gc=		pc}', "");
    Expect(0, 65344, '\P{^Gc=		pc}', "");
    Error('\p{Category:  -Connector_Punctuation:=}');
    Error('\P{Category:  -Connector_Punctuation:=}');
    Expect(1, 65343, '\p{Category=:\AConnector_Punctuation\z:}', "");;
    Expect(0, 65344, '\p{Category=:\AConnector_Punctuation\z:}', "");;
    Expect(1, 65343, '\p{Category=connectorpunctuation}', "");
    Expect(0, 65343, '\p{^Category=connectorpunctuation}', "");
    Expect(0, 65343, '\P{Category=connectorpunctuation}', "");
    Expect(1, 65343, '\P{^Category=connectorpunctuation}', "");
    Expect(0, 65344, '\p{Category=connectorpunctuation}', "");
    Expect(1, 65344, '\p{^Category=connectorpunctuation}', "");
    Expect(1, 65344, '\P{Category=connectorpunctuation}', "");
    Expect(0, 65344, '\P{^Category=connectorpunctuation}', "");
    Expect(1, 65343, '\p{Category=:\Aconnectorpunctuation\z:}', "");;
    Expect(0, 65344, '\p{Category=:\Aconnectorpunctuation\z:}', "");;
    Expect(1, 65343, '\p{Category=-_Connector_Punctuation}', "");
    Expect(0, 65343, '\p{^Category=-_Connector_Punctuation}', "");
    Expect(0, 65343, '\P{Category=-_Connector_Punctuation}', "");
    Expect(1, 65343, '\P{^Category=-_Connector_Punctuation}', "");
    Expect(0, 65344, '\p{Category=-_Connector_Punctuation}', "");
    Expect(1, 65344, '\p{^Category=-_Connector_Punctuation}', "");
    Expect(1, 65344, '\P{Category=-_Connector_Punctuation}', "");
    Expect(0, 65344, '\P{^Category=-_Connector_Punctuation}', "");
    Error('\p{Is_General_Category=:=Pc}');
    Error('\P{Is_General_Category=:=Pc}');
    Expect(1, 65343, '\p{Is_General_Category=pc}', "");
    Expect(0, 65343, '\p{^Is_General_Category=pc}', "");
    Expect(0, 65343, '\P{Is_General_Category=pc}', "");
    Expect(1, 65343, '\P{^Is_General_Category=pc}', "");
    Expect(0, 65344, '\p{Is_General_Category=pc}', "");
    Expect(1, 65344, '\p{^Is_General_Category=pc}', "");
    Expect(1, 65344, '\P{Is_General_Category=pc}', "");
    Expect(0, 65344, '\P{^Is_General_Category=pc}', "");
    Expect(1, 65343, '\p{Is_General_Category=  pc}', "");
    Expect(0, 65343, '\p{^Is_General_Category=  pc}', "");
    Expect(0, 65343, '\P{Is_General_Category=  pc}', "");
    Expect(1, 65343, '\P{^Is_General_Category=  pc}', "");
    Expect(0, 65344, '\p{Is_General_Category=  pc}', "");
    Expect(1, 65344, '\p{^Is_General_Category=  pc}', "");
    Expect(1, 65344, '\P{Is_General_Category=  pc}', "");
    Expect(0, 65344, '\P{^Is_General_Category=  pc}', "");
    Error('\p{Is_Gc=:=_Connector_PUNCTUATION}');
    Error('\P{Is_Gc=:=_Connector_PUNCTUATION}');
    Expect(1, 65343, '\p{Is_Gc=connectorpunctuation}', "");
    Expect(0, 65343, '\p{^Is_Gc=connectorpunctuation}', "");
    Expect(0, 65343, '\P{Is_Gc=connectorpunctuation}', "");
    Expect(1, 65343, '\P{^Is_Gc=connectorpunctuation}', "");
    Expect(0, 65344, '\p{Is_Gc=connectorpunctuation}', "");
    Expect(1, 65344, '\p{^Is_Gc=connectorpunctuation}', "");
    Expect(1, 65344, '\P{Is_Gc=connectorpunctuation}', "");
    Expect(0, 65344, '\P{^Is_Gc=connectorpunctuation}', "");
    Expect(1, 65343, '\p{Is_Gc=_ Connector_Punctuation}', "");
    Expect(0, 65343, '\p{^Is_Gc=_ Connector_Punctuation}', "");
    Expect(0, 65343, '\P{Is_Gc=_ Connector_Punctuation}', "");
    Expect(1, 65343, '\P{^Is_Gc=_ Connector_Punctuation}', "");
    Expect(0, 65344, '\p{Is_Gc=_ Connector_Punctuation}', "");
    Expect(1, 65344, '\p{^Is_Gc=_ Connector_Punctuation}', "");
    Expect(1, 65344, '\P{Is_Gc=_ Connector_Punctuation}', "");
    Expect(0, 65344, '\P{^Is_Gc=_ Connector_Punctuation}', "");
    Error('\p{Is_Category=:=_	Pc}');
    Error('\P{Is_Category=:=_	Pc}');
    Expect(1, 65343, '\p{Is_Category=pc}', "");
    Expect(0, 65343, '\p{^Is_Category=pc}', "");
    Expect(0, 65343, '\P{Is_Category=pc}', "");
    Expect(1, 65343, '\P{^Is_Category=pc}', "");
    Expect(0, 65344, '\p{Is_Category=pc}', "");
    Expect(1, 65344, '\p{^Is_Category=pc}', "");
    Expect(1, 65344, '\P{Is_Category=pc}', "");
    Expect(0, 65344, '\P{^Is_Category=pc}', "");
    Expect(1, 65343, '\p{Is_Category=_pc}', "");
    Expect(0, 65343, '\p{^Is_Category=_pc}', "");
    Expect(0, 65343, '\P{Is_Category=_pc}', "");
    Expect(1, 65343, '\P{^Is_Category=_pc}', "");
    Expect(0, 65344, '\p{Is_Category=_pc}', "");
    Expect(1, 65344, '\p{^Is_Category=_pc}', "");
    Expect(1, 65344, '\P{Is_Category=_pc}', "");
    Expect(0, 65344, '\P{^Is_Category=_pc}', "");
    Error('\p{General_Category=_	dash_PUNCTUATION/a/}');
    Error('\P{General_Category=_	dash_PUNCTUATION/a/}');
    Expect(1, 69293, '\p{General_Category=:\ADash_Punctuation\z:}', "");;
    Expect(0, 69294, '\p{General_Category=:\ADash_Punctuation\z:}', "");;
    Expect(1, 69293, '\p{General_Category=dashpunctuation}', "");
    Expect(0, 69293, '\p{^General_Category=dashpunctuation}', "");
    Expect(0, 69293, '\P{General_Category=dashpunctuation}', "");
    Expect(1, 69293, '\P{^General_Category=dashpunctuation}', "");
    Expect(0, 69294, '\p{General_Category=dashpunctuation}', "");
    Expect(1, 69294, '\p{^General_Category=dashpunctuation}', "");
    Expect(1, 69294, '\P{General_Category=dashpunctuation}', "");
    Expect(0, 69294, '\P{^General_Category=dashpunctuation}', "");
    Expect(1, 69293, '\p{General_Category=:\Adashpunctuation\z:}', "");;
    Expect(0, 69294, '\p{General_Category=:\Adashpunctuation\z:}', "");;
    Expect(1, 69293, '\p{General_Category=_-dash_PUNCTUATION}', "");
    Expect(0, 69293, '\p{^General_Category=_-dash_PUNCTUATION}', "");
    Expect(0, 69293, '\P{General_Category=_-dash_PUNCTUATION}', "");
    Expect(1, 69293, '\P{^General_Category=_-dash_PUNCTUATION}', "");
    Expect(0, 69294, '\p{General_Category=_-dash_PUNCTUATION}', "");
    Expect(1, 69294, '\p{^General_Category=_-dash_PUNCTUATION}', "");
    Expect(1, 69294, '\P{General_Category=_-dash_PUNCTUATION}', "");
    Expect(0, 69294, '\P{^General_Category=_-dash_PUNCTUATION}', "");
    Error('\p{Gc=		PD:=}');
    Error('\P{Gc=		PD:=}');
    Expect(1, 69293, '\p{Gc=:\APd\z:}', "");;
    Expect(0, 69294, '\p{Gc=:\APd\z:}', "");;
    Expect(1, 69293, '\p{Gc=pd}', "");
    Expect(0, 69293, '\p{^Gc=pd}', "");
    Expect(0, 69293, '\P{Gc=pd}', "");
    Expect(1, 69293, '\P{^Gc=pd}', "");
    Expect(0, 69294, '\p{Gc=pd}', "");
    Expect(1, 69294, '\p{^Gc=pd}', "");
    Expect(1, 69294, '\P{Gc=pd}', "");
    Expect(0, 69294, '\P{^Gc=pd}', "");
    Expect(1, 69293, '\p{Gc=:\Apd\z:}', "");;
    Expect(0, 69294, '\p{Gc=:\Apd\z:}', "");;
    Expect(1, 69293, '\p{Gc=- PD}', "");
    Expect(0, 69293, '\p{^Gc=- PD}', "");
    Expect(0, 69293, '\P{Gc=- PD}', "");
    Expect(1, 69293, '\P{^Gc=- PD}', "");
    Expect(0, 69294, '\p{Gc=- PD}', "");
    Expect(1, 69294, '\p{^Gc=- PD}', "");
    Expect(1, 69294, '\P{Gc=- PD}', "");
    Expect(0, 69294, '\P{^Gc=- PD}', "");
    Error('\p{Category=:=	-Dash_PUNCTUATION}');
    Error('\P{Category=:=	-Dash_PUNCTUATION}');
    Expect(1, 69293, '\p{Category=:\ADash_Punctuation\z:}', "");;
    Expect(0, 69294, '\p{Category=:\ADash_Punctuation\z:}', "");;
    Expect(1, 69293, '\p{Category=dashpunctuation}', "");
    Expect(0, 69293, '\p{^Category=dashpunctuation}', "");
    Expect(0, 69293, '\P{Category=dashpunctuation}', "");
    Expect(1, 69293, '\P{^Category=dashpunctuation}', "");
    Expect(0, 69294, '\p{Category=dashpunctuation}', "");
    Expect(1, 69294, '\p{^Category=dashpunctuation}', "");
    Expect(1, 69294, '\P{Category=dashpunctuation}', "");
    Expect(0, 69294, '\P{^Category=dashpunctuation}', "");
    Expect(1, 69293, '\p{Category=:\Adashpunctuation\z:}', "");;
    Expect(0, 69294, '\p{Category=:\Adashpunctuation\z:}', "");;
    Expect(1, 69293, '\p{Category=	 Dash_Punctuation}', "");
    Expect(0, 69293, '\p{^Category=	 Dash_Punctuation}', "");
    Expect(0, 69293, '\P{Category=	 Dash_Punctuation}', "");
    Expect(1, 69293, '\P{^Category=	 Dash_Punctuation}', "");
    Expect(0, 69294, '\p{Category=	 Dash_Punctuation}', "");
    Expect(1, 69294, '\p{^Category=	 Dash_Punctuation}', "");
    Expect(1, 69294, '\P{Category=	 Dash_Punctuation}', "");
    Expect(0, 69294, '\P{^Category=	 Dash_Punctuation}', "");
    Error('\p{Is_General_Category=:=	-pd}');
    Error('\P{Is_General_Category=:=	-pd}');
    Expect(1, 69293, '\p{Is_General_Category=pd}', "");
    Expect(0, 69293, '\p{^Is_General_Category=pd}', "");
    Expect(0, 69293, '\P{Is_General_Category=pd}', "");
    Expect(1, 69293, '\P{^Is_General_Category=pd}', "");
    Expect(0, 69294, '\p{Is_General_Category=pd}', "");
    Expect(1, 69294, '\p{^Is_General_Category=pd}', "");
    Expect(1, 69294, '\P{Is_General_Category=pd}', "");
    Expect(0, 69294, '\P{^Is_General_Category=pd}', "");
    Expect(1, 69293, '\p{Is_General_Category=_Pd}', "");
    Expect(0, 69293, '\p{^Is_General_Category=_Pd}', "");
    Expect(0, 69293, '\P{Is_General_Category=_Pd}', "");
    Expect(1, 69293, '\P{^Is_General_Category=_Pd}', "");
    Expect(0, 69294, '\p{Is_General_Category=_Pd}', "");
    Expect(1, 69294, '\p{^Is_General_Category=_Pd}', "");
    Expect(1, 69294, '\P{Is_General_Category=_Pd}', "");
    Expect(0, 69294, '\P{^Is_General_Category=_Pd}', "");
    Error('\p{Is_Gc=/a/DASH_punctuation}');
    Error('\P{Is_Gc=/a/DASH_punctuation}');
    Expect(1, 69293, '\p{Is_Gc=dashpunctuation}', "");
    Expect(0, 69293, '\p{^Is_Gc=dashpunctuation}', "");
    Expect(0, 69293, '\P{Is_Gc=dashpunctuation}', "");
    Expect(1, 69293, '\P{^Is_Gc=dashpunctuation}', "");
    Expect(0, 69294, '\p{Is_Gc=dashpunctuation}', "");
    Expect(1, 69294, '\p{^Is_Gc=dashpunctuation}', "");
    Expect(1, 69294, '\P{Is_Gc=dashpunctuation}', "");
    Expect(0, 69294, '\P{^Is_Gc=dashpunctuation}', "");
    Expect(1, 69293, '\p{Is_Gc=-	DASH_Punctuation}', "");
    Expect(0, 69293, '\p{^Is_Gc=-	DASH_Punctuation}', "");
    Expect(0, 69293, '\P{Is_Gc=-	DASH_Punctuation}', "");
    Expect(1, 69293, '\P{^Is_Gc=-	DASH_Punctuation}', "");
    Expect(0, 69294, '\p{Is_Gc=-	DASH_Punctuation}', "");
    Expect(1, 69294, '\p{^Is_Gc=-	DASH_Punctuation}', "");
    Expect(1, 69294, '\P{Is_Gc=-	DASH_Punctuation}', "");
    Expect(0, 69294, '\P{^Is_Gc=-	DASH_Punctuation}', "");
    Error('\p{Is_Category:_	pd/a/}');
    Error('\P{Is_Category:_	pd/a/}');
    Expect(1, 69293, '\p{Is_Category=pd}', "");
    Expect(0, 69293, '\p{^Is_Category=pd}', "");
    Expect(0, 69293, '\P{Is_Category=pd}', "");
    Expect(1, 69293, '\P{^Is_Category=pd}', "");
    Expect(0, 69294, '\p{Is_Category=pd}', "");
    Expect(1, 69294, '\p{^Is_Category=pd}', "");
    Expect(1, 69294, '\P{Is_Category=pd}', "");
    Expect(0, 69294, '\P{^Is_Category=pd}', "");
    Expect(1, 69293, '\p{Is_Category=_ Pd}', "");
    Expect(0, 69293, '\p{^Is_Category=_ Pd}', "");
    Expect(0, 69293, '\P{Is_Category=_ Pd}', "");
    Expect(1, 69293, '\P{^Is_Category=_ Pd}', "");
    Expect(0, 69294, '\p{Is_Category=_ Pd}', "");
    Expect(1, 69294, '\p{^Is_Category=_ Pd}', "");
    Expect(1, 69294, '\P{Is_Category=_ Pd}', "");
    Expect(0, 69294, '\P{^Is_Category=_ Pd}', "");
    Error('\p{General_Category=_ CLOSE_Punctuation/a/}');
    Error('\P{General_Category=_ CLOSE_Punctuation/a/}');
    Expect(1, 65379, '\p{General_Category=:\AClose_Punctuation\z:}', "");;
    Expect(0, 65380, '\p{General_Category=:\AClose_Punctuation\z:}', "");;
    Expect(1, 65379, '\p{General_Category=closepunctuation}', "");
    Expect(0, 65379, '\p{^General_Category=closepunctuation}', "");
    Expect(0, 65379, '\P{General_Category=closepunctuation}', "");
    Expect(1, 65379, '\P{^General_Category=closepunctuation}', "");
    Expect(0, 65380, '\p{General_Category=closepunctuation}', "");
    Expect(1, 65380, '\p{^General_Category=closepunctuation}', "");
    Expect(1, 65380, '\P{General_Category=closepunctuation}', "");
    Expect(0, 65380, '\P{^General_Category=closepunctuation}', "");
    Expect(1, 65379, '\p{General_Category=:\Aclosepunctuation\z:}', "");;
    Expect(0, 65380, '\p{General_Category=:\Aclosepunctuation\z:}', "");;
    Expect(1, 65379, '\p{General_Category=_close_PUNCTUATION}', "");
    Expect(0, 65379, '\p{^General_Category=_close_PUNCTUATION}', "");
    Expect(0, 65379, '\P{General_Category=_close_PUNCTUATION}', "");
    Expect(1, 65379, '\P{^General_Category=_close_PUNCTUATION}', "");
    Expect(0, 65380, '\p{General_Category=_close_PUNCTUATION}', "");
    Expect(1, 65380, '\p{^General_Category=_close_PUNCTUATION}', "");
    Expect(1, 65380, '\P{General_Category=_close_PUNCTUATION}', "");
    Expect(0, 65380, '\P{^General_Category=_close_PUNCTUATION}', "");
    Error('\p{Gc= _Pe/a/}');
    Error('\P{Gc= _Pe/a/}');
    Expect(1, 65379, '\p{Gc=:\APe\z:}', "");;
    Expect(0, 65380, '\p{Gc=:\APe\z:}', "");;
    Expect(1, 65379, '\p{Gc=pe}', "");
    Expect(0, 65379, '\p{^Gc=pe}', "");
    Expect(0, 65379, '\P{Gc=pe}', "");
    Expect(1, 65379, '\P{^Gc=pe}', "");
    Expect(0, 65380, '\p{Gc=pe}', "");
    Expect(1, 65380, '\p{^Gc=pe}', "");
    Expect(1, 65380, '\P{Gc=pe}', "");
    Expect(0, 65380, '\P{^Gc=pe}', "");
    Expect(1, 65379, '\p{Gc=:\Ape\z:}', "");;
    Expect(0, 65380, '\p{Gc=:\Ape\z:}', "");;
    Expect(1, 65379, '\p{Gc= Pe}', "");
    Expect(0, 65379, '\p{^Gc= Pe}', "");
    Expect(0, 65379, '\P{Gc= Pe}', "");
    Expect(1, 65379, '\P{^Gc= Pe}', "");
    Expect(0, 65380, '\p{Gc= Pe}', "");
    Expect(1, 65380, '\p{^Gc= Pe}', "");
    Expect(1, 65380, '\P{Gc= Pe}', "");
    Expect(0, 65380, '\P{^Gc= Pe}', "");
    Error('\p{Category=-_close_punctuation/a/}');
    Error('\P{Category=-_close_punctuation/a/}');
    Expect(1, 65379, '\p{Category=:\AClose_Punctuation\z:}', "");;
    Expect(0, 65380, '\p{Category=:\AClose_Punctuation\z:}', "");;
    Expect(1, 65379, '\p{Category=closepunctuation}', "");
    Expect(0, 65379, '\p{^Category=closepunctuation}', "");
    Expect(0, 65379, '\P{Category=closepunctuation}', "");
    Expect(1, 65379, '\P{^Category=closepunctuation}', "");
    Expect(0, 65380, '\p{Category=closepunctuation}', "");
    Expect(1, 65380, '\p{^Category=closepunctuation}', "");
    Expect(1, 65380, '\P{Category=closepunctuation}', "");
    Expect(0, 65380, '\P{^Category=closepunctuation}', "");
    Expect(1, 65379, '\p{Category=:\Aclosepunctuation\z:}', "");;
    Expect(0, 65380, '\p{Category=:\Aclosepunctuation\z:}', "");;
    Expect(1, 65379, '\p{Category=-Close_Punctuation}', "");
    Expect(0, 65379, '\p{^Category=-Close_Punctuation}', "");
    Expect(0, 65379, '\P{Category=-Close_Punctuation}', "");
    Expect(1, 65379, '\P{^Category=-Close_Punctuation}', "");
    Expect(0, 65380, '\p{Category=-Close_Punctuation}', "");
    Expect(1, 65380, '\p{^Category=-Close_Punctuation}', "");
    Expect(1, 65380, '\P{Category=-Close_Punctuation}', "");
    Expect(0, 65380, '\P{^Category=-Close_Punctuation}', "");
    Error('\p{Is_General_Category=/a/Pe}');
    Error('\P{Is_General_Category=/a/Pe}');
    Expect(1, 65379, '\p{Is_General_Category=pe}', "");
    Expect(0, 65379, '\p{^Is_General_Category=pe}', "");
    Expect(0, 65379, '\P{Is_General_Category=pe}', "");
    Expect(1, 65379, '\P{^Is_General_Category=pe}', "");
    Expect(0, 65380, '\p{Is_General_Category=pe}', "");
    Expect(1, 65380, '\p{^Is_General_Category=pe}', "");
    Expect(1, 65380, '\P{Is_General_Category=pe}', "");
    Expect(0, 65380, '\P{^Is_General_Category=pe}', "");
    Expect(1, 65379, '\p{Is_General_Category=-	Pe}', "");
    Expect(0, 65379, '\p{^Is_General_Category=-	Pe}', "");
    Expect(0, 65379, '\P{Is_General_Category=-	Pe}', "");
    Expect(1, 65379, '\P{^Is_General_Category=-	Pe}', "");
    Expect(0, 65380, '\p{Is_General_Category=-	Pe}', "");
    Expect(1, 65380, '\p{^Is_General_Category=-	Pe}', "");
    Expect(1, 65380, '\P{Is_General_Category=-	Pe}', "");
    Expect(0, 65380, '\P{^Is_General_Category=-	Pe}', "");
    Error('\p{Is_Gc:_/a/Close_punctuation}');
    Error('\P{Is_Gc:_/a/Close_punctuation}');
    Expect(1, 65379, '\p{Is_Gc=closepunctuation}', "");
    Expect(0, 65379, '\p{^Is_Gc=closepunctuation}', "");
    Expect(0, 65379, '\P{Is_Gc=closepunctuation}', "");
    Expect(1, 65379, '\P{^Is_Gc=closepunctuation}', "");
    Expect(0, 65380, '\p{Is_Gc=closepunctuation}', "");
    Expect(1, 65380, '\p{^Is_Gc=closepunctuation}', "");
    Expect(1, 65380, '\P{Is_Gc=closepunctuation}', "");
    Expect(0, 65380, '\P{^Is_Gc=closepunctuation}', "");
    Expect(1, 65379, '\p{Is_Gc=-_Close_Punctuation}', "");
    Expect(0, 65379, '\p{^Is_Gc=-_Close_Punctuation}', "");
    Expect(0, 65379, '\P{Is_Gc=-_Close_Punctuation}', "");
    Expect(1, 65379, '\P{^Is_Gc=-_Close_Punctuation}', "");
    Expect(0, 65380, '\p{Is_Gc=-_Close_Punctuation}', "");
    Expect(1, 65380, '\p{^Is_Gc=-_Close_Punctuation}', "");
    Expect(1, 65380, '\P{Is_Gc=-_Close_Punctuation}', "");
    Expect(0, 65380, '\P{^Is_Gc=-_Close_Punctuation}', "");
    Error('\p{Is_Category=:=	PE}');
    Error('\P{Is_Category=:=	PE}');
    Expect(1, 65379, '\p{Is_Category:	pe}', "");
    Expect(0, 65379, '\p{^Is_Category:	pe}', "");
    Expect(0, 65379, '\P{Is_Category:	pe}', "");
    Expect(1, 65379, '\P{^Is_Category:	pe}', "");
    Expect(0, 65380, '\p{Is_Category:	pe}', "");
    Expect(1, 65380, '\p{^Is_Category:	pe}', "");
    Expect(1, 65380, '\P{Is_Category:	pe}', "");
    Expect(0, 65380, '\P{^Is_Category:	pe}', "");
    Expect(1, 65379, '\p{Is_Category:	Pe}', "");
    Expect(0, 65379, '\p{^Is_Category:	Pe}', "");
    Expect(0, 65379, '\P{Is_Category:	Pe}', "");
    Expect(1, 65379, '\P{^Is_Category:	Pe}', "");
    Expect(0, 65380, '\p{Is_Category:	Pe}', "");
    Expect(1, 65380, '\p{^Is_Category:	Pe}', "");
    Expect(1, 65380, '\P{Is_Category:	Pe}', "");
    Expect(0, 65380, '\P{^Is_Category:	Pe}', "");
    Error('\p{General_Category= _Final_punctuation/a/}');
    Error('\P{General_Category= _Final_punctuation/a/}');
    Expect(1, 11809, '\p{General_Category=:\AFinal_Punctuation\z:}', "");;
    Expect(0, 11810, '\p{General_Category=:\AFinal_Punctuation\z:}', "");;
    Expect(1, 11809, '\p{General_Category=finalpunctuation}', "");
    Expect(0, 11809, '\p{^General_Category=finalpunctuation}', "");
    Expect(0, 11809, '\P{General_Category=finalpunctuation}', "");
    Expect(1, 11809, '\P{^General_Category=finalpunctuation}', "");
    Expect(0, 11810, '\p{General_Category=finalpunctuation}', "");
    Expect(1, 11810, '\p{^General_Category=finalpunctuation}', "");
    Expect(1, 11810, '\P{General_Category=finalpunctuation}', "");
    Expect(0, 11810, '\P{^General_Category=finalpunctuation}', "");
    Expect(1, 11809, '\p{General_Category=:\Afinalpunctuation\z:}', "");;
    Expect(0, 11810, '\p{General_Category=:\Afinalpunctuation\z:}', "");;
    Expect(1, 11809, '\p{General_Category= Final_Punctuation}', "");
    Expect(0, 11809, '\p{^General_Category= Final_Punctuation}', "");
    Expect(0, 11809, '\P{General_Category= Final_Punctuation}', "");
    Expect(1, 11809, '\P{^General_Category= Final_Punctuation}', "");
    Expect(0, 11810, '\p{General_Category= Final_Punctuation}', "");
    Expect(1, 11810, '\p{^General_Category= Final_Punctuation}', "");
    Expect(1, 11810, '\P{General_Category= Final_Punctuation}', "");
    Expect(0, 11810, '\P{^General_Category= Final_Punctuation}', "");
    Error('\p{Gc=_-Pf:=}');
    Error('\P{Gc=_-Pf:=}');
    Expect(1, 11809, '\p{Gc=:\APf\z:}', "");;
    Expect(0, 11810, '\p{Gc=:\APf\z:}', "");;
    Expect(1, 11809, '\p{Gc=pf}', "");
    Expect(0, 11809, '\p{^Gc=pf}', "");
    Expect(0, 11809, '\P{Gc=pf}', "");
    Expect(1, 11809, '\P{^Gc=pf}', "");
    Expect(0, 11810, '\p{Gc=pf}', "");
    Expect(1, 11810, '\p{^Gc=pf}', "");
    Expect(1, 11810, '\P{Gc=pf}', "");
    Expect(0, 11810, '\P{^Gc=pf}', "");
    Expect(1, 11809, '\p{Gc=:\Apf\z:}', "");;
    Expect(0, 11810, '\p{Gc=:\Apf\z:}', "");;
    Expect(1, 11809, '\p{Gc= PF}', "");
    Expect(0, 11809, '\p{^Gc= PF}', "");
    Expect(0, 11809, '\P{Gc= PF}', "");
    Expect(1, 11809, '\P{^Gc= PF}', "");
    Expect(0, 11810, '\p{Gc= PF}', "");
    Expect(1, 11810, '\p{^Gc= PF}', "");
    Expect(1, 11810, '\P{Gc= PF}', "");
    Expect(0, 11810, '\P{^Gc= PF}', "");
    Error('\p{Category=:= FINAL_PUNCTUATION}');
    Error('\P{Category=:= FINAL_PUNCTUATION}');
    Expect(1, 11809, '\p{Category=:\AFinal_Punctuation\z:}', "");;
    Expect(0, 11810, '\p{Category=:\AFinal_Punctuation\z:}', "");;
    Expect(1, 11809, '\p{Category=finalpunctuation}', "");
    Expect(0, 11809, '\p{^Category=finalpunctuation}', "");
    Expect(0, 11809, '\P{Category=finalpunctuation}', "");
    Expect(1, 11809, '\P{^Category=finalpunctuation}', "");
    Expect(0, 11810, '\p{Category=finalpunctuation}', "");
    Expect(1, 11810, '\p{^Category=finalpunctuation}', "");
    Expect(1, 11810, '\P{Category=finalpunctuation}', "");
    Expect(0, 11810, '\P{^Category=finalpunctuation}', "");
    Expect(1, 11809, '\p{Category=:\Afinalpunctuation\z:}', "");;
    Expect(0, 11810, '\p{Category=:\Afinalpunctuation\z:}', "");;
    Expect(1, 11809, '\p{Category=--final_Punctuation}', "");
    Expect(0, 11809, '\p{^Category=--final_Punctuation}', "");
    Expect(0, 11809, '\P{Category=--final_Punctuation}', "");
    Expect(1, 11809, '\P{^Category=--final_Punctuation}', "");
    Expect(0, 11810, '\p{Category=--final_Punctuation}', "");
    Expect(1, 11810, '\p{^Category=--final_Punctuation}', "");
    Expect(1, 11810, '\P{Category=--final_Punctuation}', "");
    Expect(0, 11810, '\P{^Category=--final_Punctuation}', "");
    Error('\p{Is_General_Category=/a/-_pf}');
    Error('\P{Is_General_Category=/a/-_pf}');
    Expect(1, 11809, '\p{Is_General_Category=pf}', "");
    Expect(0, 11809, '\p{^Is_General_Category=pf}', "");
    Expect(0, 11809, '\P{Is_General_Category=pf}', "");
    Expect(1, 11809, '\P{^Is_General_Category=pf}', "");
    Expect(0, 11810, '\p{Is_General_Category=pf}', "");
    Expect(1, 11810, '\p{^Is_General_Category=pf}', "");
    Expect(1, 11810, '\P{Is_General_Category=pf}', "");
    Expect(0, 11810, '\P{^Is_General_Category=pf}', "");
    Expect(1, 11809, '\p{Is_General_Category=	 pf}', "");
    Expect(0, 11809, '\p{^Is_General_Category=	 pf}', "");
    Expect(0, 11809, '\P{Is_General_Category=	 pf}', "");
    Expect(1, 11809, '\P{^Is_General_Category=	 pf}', "");
    Expect(0, 11810, '\p{Is_General_Category=	 pf}', "");
    Expect(1, 11810, '\p{^Is_General_Category=	 pf}', "");
    Expect(1, 11810, '\P{Is_General_Category=	 pf}', "");
    Expect(0, 11810, '\P{^Is_General_Category=	 pf}', "");
    Error('\p{Is_Gc=_:=FINAL_punctuation}');
    Error('\P{Is_Gc=_:=FINAL_punctuation}');
    Expect(1, 11809, '\p{Is_Gc=finalpunctuation}', "");
    Expect(0, 11809, '\p{^Is_Gc=finalpunctuation}', "");
    Expect(0, 11809, '\P{Is_Gc=finalpunctuation}', "");
    Expect(1, 11809, '\P{^Is_Gc=finalpunctuation}', "");
    Expect(0, 11810, '\p{Is_Gc=finalpunctuation}', "");
    Expect(1, 11810, '\p{^Is_Gc=finalpunctuation}', "");
    Expect(1, 11810, '\P{Is_Gc=finalpunctuation}', "");
    Expect(0, 11810, '\P{^Is_Gc=finalpunctuation}', "");
    Expect(1, 11809, '\p{Is_Gc=_Final_Punctuation}', "");
    Expect(0, 11809, '\p{^Is_Gc=_Final_Punctuation}', "");
    Expect(0, 11809, '\P{Is_Gc=_Final_Punctuation}', "");
    Expect(1, 11809, '\P{^Is_Gc=_Final_Punctuation}', "");
    Expect(0, 11810, '\p{Is_Gc=_Final_Punctuation}', "");
    Expect(1, 11810, '\p{^Is_Gc=_Final_Punctuation}', "");
    Expect(1, 11810, '\P{Is_Gc=_Final_Punctuation}', "");
    Expect(0, 11810, '\P{^Is_Gc=_Final_Punctuation}', "");
    Error('\p{Is_Category= /a/pf}');
    Error('\P{Is_Category= /a/pf}');
    Expect(1, 11809, '\p{Is_Category=pf}', "");
    Expect(0, 11809, '\p{^Is_Category=pf}', "");
    Expect(0, 11809, '\P{Is_Category=pf}', "");
    Expect(1, 11809, '\P{^Is_Category=pf}', "");
    Expect(0, 11810, '\p{Is_Category=pf}', "");
    Expect(1, 11810, '\p{^Is_Category=pf}', "");
    Expect(1, 11810, '\P{Is_Category=pf}', "");
    Expect(0, 11810, '\P{^Is_Category=pf}', "");
    Expect(1, 11809, '\p{Is_Category= _Pf}', "");
    Expect(0, 11809, '\p{^Is_Category= _Pf}', "");
    Expect(0, 11809, '\P{Is_Category= _Pf}', "");
    Expect(1, 11809, '\P{^Is_Category= _Pf}', "");
    Expect(0, 11810, '\p{Is_Category= _Pf}', "");
    Expect(1, 11810, '\p{^Is_Category= _Pf}', "");
    Expect(1, 11810, '\P{Is_Category= _Pf}', "");
    Expect(0, 11810, '\P{^Is_Category= _Pf}', "");
    Error('\p{General_Category=:=initial_PUNCTUATION}');
    Error('\P{General_Category=:=initial_PUNCTUATION}');
    Expect(1, 11808, '\p{General_Category=:\AInitial_Punctuation\z:}', "");;
    Expect(0, 11809, '\p{General_Category=:\AInitial_Punctuation\z:}', "");;
    Expect(1, 11808, '\p{General_Category=initialpunctuation}', "");
    Expect(0, 11808, '\p{^General_Category=initialpunctuation}', "");
    Expect(0, 11808, '\P{General_Category=initialpunctuation}', "");
    Expect(1, 11808, '\P{^General_Category=initialpunctuation}', "");
    Expect(0, 11809, '\p{General_Category=initialpunctuation}', "");
    Expect(1, 11809, '\p{^General_Category=initialpunctuation}', "");
    Expect(1, 11809, '\P{General_Category=initialpunctuation}', "");
    Expect(0, 11809, '\P{^General_Category=initialpunctuation}', "");
    Expect(1, 11808, '\p{General_Category=:\Ainitialpunctuation\z:}', "");;
    Expect(0, 11809, '\p{General_Category=:\Ainitialpunctuation\z:}', "");;
    Expect(1, 11808, '\p{General_Category= Initial_punctuation}', "");
    Expect(0, 11808, '\p{^General_Category= Initial_punctuation}', "");
    Expect(0, 11808, '\P{General_Category= Initial_punctuation}', "");
    Expect(1, 11808, '\P{^General_Category= Initial_punctuation}', "");
    Expect(0, 11809, '\p{General_Category= Initial_punctuation}', "");
    Expect(1, 11809, '\p{^General_Category= Initial_punctuation}', "");
    Expect(1, 11809, '\P{General_Category= Initial_punctuation}', "");
    Expect(0, 11809, '\P{^General_Category= Initial_punctuation}', "");
    Error('\p{Gc=:= PI}');
    Error('\P{Gc=:= PI}');
    Expect(1, 11808, '\p{Gc=:\APi\z:}', "");;
    Expect(0, 11809, '\p{Gc=:\APi\z:}', "");;
    Expect(1, 11808, '\p{Gc=pi}', "");
    Expect(0, 11808, '\p{^Gc=pi}', "");
    Expect(0, 11808, '\P{Gc=pi}', "");
    Expect(1, 11808, '\P{^Gc=pi}', "");
    Expect(0, 11809, '\p{Gc=pi}', "");
    Expect(1, 11809, '\p{^Gc=pi}', "");
    Expect(1, 11809, '\P{Gc=pi}', "");
    Expect(0, 11809, '\P{^Gc=pi}', "");
    Expect(1, 11808, '\p{Gc=:\Api\z:}', "");;
    Expect(0, 11809, '\p{Gc=:\Api\z:}', "");;
    Expect(1, 11808, '\p{Gc=-Pi}', "");
    Expect(0, 11808, '\p{^Gc=-Pi}', "");
    Expect(0, 11808, '\P{Gc=-Pi}', "");
    Expect(1, 11808, '\P{^Gc=-Pi}', "");
    Expect(0, 11809, '\p{Gc=-Pi}', "");
    Expect(1, 11809, '\p{^Gc=-Pi}', "");
    Expect(1, 11809, '\P{Gc=-Pi}', "");
    Expect(0, 11809, '\P{^Gc=-Pi}', "");
    Error('\p{Category=_-INITIAL_Punctuation:=}');
    Error('\P{Category=_-INITIAL_Punctuation:=}');
    Expect(1, 11808, '\p{Category=:\AInitial_Punctuation\z:}', "");;
    Expect(0, 11809, '\p{Category=:\AInitial_Punctuation\z:}', "");;
    Expect(1, 11808, '\p{Category=initialpunctuation}', "");
    Expect(0, 11808, '\p{^Category=initialpunctuation}', "");
    Expect(0, 11808, '\P{Category=initialpunctuation}', "");
    Expect(1, 11808, '\P{^Category=initialpunctuation}', "");
    Expect(0, 11809, '\p{Category=initialpunctuation}', "");
    Expect(1, 11809, '\p{^Category=initialpunctuation}', "");
    Expect(1, 11809, '\P{Category=initialpunctuation}', "");
    Expect(0, 11809, '\P{^Category=initialpunctuation}', "");
    Expect(1, 11808, '\p{Category=:\Ainitialpunctuation\z:}', "");;
    Expect(0, 11809, '\p{Category=:\Ainitialpunctuation\z:}', "");;
    Expect(1, 11808, '\p{Category=	Initial_PUNCTUATION}', "");
    Expect(0, 11808, '\p{^Category=	Initial_PUNCTUATION}', "");
    Expect(0, 11808, '\P{Category=	Initial_PUNCTUATION}', "");
    Expect(1, 11808, '\P{^Category=	Initial_PUNCTUATION}', "");
    Expect(0, 11809, '\p{Category=	Initial_PUNCTUATION}', "");
    Expect(1, 11809, '\p{^Category=	Initial_PUNCTUATION}', "");
    Expect(1, 11809, '\P{Category=	Initial_PUNCTUATION}', "");
    Expect(0, 11809, '\P{^Category=	Initial_PUNCTUATION}', "");
    Error('\p{Is_General_Category=_:=Pi}');
    Error('\P{Is_General_Category=_:=Pi}');
    Expect(1, 11808, '\p{Is_General_Category=pi}', "");
    Expect(0, 11808, '\p{^Is_General_Category=pi}', "");
    Expect(0, 11808, '\P{Is_General_Category=pi}', "");
    Expect(1, 11808, '\P{^Is_General_Category=pi}', "");
    Expect(0, 11809, '\p{Is_General_Category=pi}', "");
    Expect(1, 11809, '\p{^Is_General_Category=pi}', "");
    Expect(1, 11809, '\P{Is_General_Category=pi}', "");
    Expect(0, 11809, '\P{^Is_General_Category=pi}', "");
    Expect(1, 11808, '\p{Is_General_Category=_-Pi}', "");
    Expect(0, 11808, '\p{^Is_General_Category=_-Pi}', "");
    Expect(0, 11808, '\P{Is_General_Category=_-Pi}', "");
    Expect(1, 11808, '\P{^Is_General_Category=_-Pi}', "");
    Expect(0, 11809, '\p{Is_General_Category=_-Pi}', "");
    Expect(1, 11809, '\p{^Is_General_Category=_-Pi}', "");
    Expect(1, 11809, '\P{Is_General_Category=_-Pi}', "");
    Expect(0, 11809, '\P{^Is_General_Category=_-Pi}', "");
    Error('\p{Is_Gc=:= initial_Punctuation}');
    Error('\P{Is_Gc=:= initial_Punctuation}');
    Expect(1, 11808, '\p{Is_Gc=initialpunctuation}', "");
    Expect(0, 11808, '\p{^Is_Gc=initialpunctuation}', "");
    Expect(0, 11808, '\P{Is_Gc=initialpunctuation}', "");
    Expect(1, 11808, '\P{^Is_Gc=initialpunctuation}', "");
    Expect(0, 11809, '\p{Is_Gc=initialpunctuation}', "");
    Expect(1, 11809, '\p{^Is_Gc=initialpunctuation}', "");
    Expect(1, 11809, '\P{Is_Gc=initialpunctuation}', "");
    Expect(0, 11809, '\P{^Is_Gc=initialpunctuation}', "");
    Expect(1, 11808, '\p{Is_Gc=	initial_punctuation}', "");
    Expect(0, 11808, '\p{^Is_Gc=	initial_punctuation}', "");
    Expect(0, 11808, '\P{Is_Gc=	initial_punctuation}', "");
    Expect(1, 11808, '\P{^Is_Gc=	initial_punctuation}', "");
    Expect(0, 11809, '\p{Is_Gc=	initial_punctuation}', "");
    Expect(1, 11809, '\p{^Is_Gc=	initial_punctuation}', "");
    Expect(1, 11809, '\P{Is_Gc=	initial_punctuation}', "");
    Expect(0, 11809, '\P{^Is_Gc=	initial_punctuation}', "");
    Error('\p{Is_Category=/a/-_Pi}');
    Error('\P{Is_Category=/a/-_Pi}');
    Expect(1, 11808, '\p{Is_Category=pi}', "");
    Expect(0, 11808, '\p{^Is_Category=pi}', "");
    Expect(0, 11808, '\P{Is_Category=pi}', "");
    Expect(1, 11808, '\P{^Is_Category=pi}', "");
    Expect(0, 11809, '\p{Is_Category=pi}', "");
    Expect(1, 11809, '\p{^Is_Category=pi}', "");
    Expect(1, 11809, '\P{Is_Category=pi}', "");
    Expect(0, 11809, '\P{^Is_Category=pi}', "");
    Expect(1, 11808, '\p{Is_Category=_-Pi}', "");
    Expect(0, 11808, '\p{^Is_Category=_-Pi}', "");
    Expect(0, 11808, '\P{Is_Category=_-Pi}', "");
    Expect(1, 11808, '\P{^Is_Category=_-Pi}', "");
    Expect(0, 11809, '\p{Is_Category=_-Pi}', "");
    Expect(1, 11809, '\p{^Is_Category=_-Pi}', "");
    Expect(1, 11809, '\P{Is_Category=_-Pi}', "");
    Expect(0, 11809, '\P{^Is_Category=_-Pi}', "");
    Error('\p{General_Category=/a/	_Other_PUNCTUATION}');
    Error('\P{General_Category=/a/	_Other_PUNCTUATION}');
    Expect(1, 125279, '\p{General_Category=:\AOther_Punctuation\z:}', "");;
    Expect(0, 125280, '\p{General_Category=:\AOther_Punctuation\z:}', "");;
    Expect(1, 125279, '\p{General_Category:otherpunctuation}', "");
    Expect(0, 125279, '\p{^General_Category:otherpunctuation}', "");
    Expect(0, 125279, '\P{General_Category:otherpunctuation}', "");
    Expect(1, 125279, '\P{^General_Category:otherpunctuation}', "");
    Expect(0, 125280, '\p{General_Category:otherpunctuation}', "");
    Expect(1, 125280, '\p{^General_Category:otherpunctuation}', "");
    Expect(1, 125280, '\P{General_Category:otherpunctuation}', "");
    Expect(0, 125280, '\P{^General_Category:otherpunctuation}', "");
    Expect(1, 125279, '\p{General_Category=:\Aotherpunctuation\z:}', "");;
    Expect(0, 125280, '\p{General_Category=:\Aotherpunctuation\z:}', "");;
    Expect(1, 125279, '\p{General_Category=-	OTHER_Punctuation}', "");
    Expect(0, 125279, '\p{^General_Category=-	OTHER_Punctuation}', "");
    Expect(0, 125279, '\P{General_Category=-	OTHER_Punctuation}', "");
    Expect(1, 125279, '\P{^General_Category=-	OTHER_Punctuation}', "");
    Expect(0, 125280, '\p{General_Category=-	OTHER_Punctuation}', "");
    Expect(1, 125280, '\p{^General_Category=-	OTHER_Punctuation}', "");
    Expect(1, 125280, '\P{General_Category=-	OTHER_Punctuation}', "");
    Expect(0, 125280, '\P{^General_Category=-	OTHER_Punctuation}', "");
    Error('\p{Gc=	:=Po}');
    Error('\P{Gc=	:=Po}');
    Expect(1, 125279, '\p{Gc=:\APo\z:}', "");;
    Expect(0, 125280, '\p{Gc=:\APo\z:}', "");;
    Expect(1, 125279, '\p{Gc=po}', "");
    Expect(0, 125279, '\p{^Gc=po}', "");
    Expect(0, 125279, '\P{Gc=po}', "");
    Expect(1, 125279, '\P{^Gc=po}', "");
    Expect(0, 125280, '\p{Gc=po}', "");
    Expect(1, 125280, '\p{^Gc=po}', "");
    Expect(1, 125280, '\P{Gc=po}', "");
    Expect(0, 125280, '\P{^Gc=po}', "");
    Expect(1, 125279, '\p{Gc=:\Apo\z:}', "");;
    Expect(0, 125280, '\p{Gc=:\Apo\z:}', "");;
    Expect(1, 125279, '\p{Gc=-po}', "");
    Expect(0, 125279, '\p{^Gc=-po}', "");
    Expect(0, 125279, '\P{Gc=-po}', "");
    Expect(1, 125279, '\P{^Gc=-po}', "");
    Expect(0, 125280, '\p{Gc=-po}', "");
    Expect(1, 125280, '\p{^Gc=-po}', "");
    Expect(1, 125280, '\P{Gc=-po}', "");
    Expect(0, 125280, '\P{^Gc=-po}', "");
    Error('\p{Category=-/a/OTHER_punctuation}');
    Error('\P{Category=-/a/OTHER_punctuation}');
    Expect(1, 125279, '\p{Category=:\AOther_Punctuation\z:}', "");;
    Expect(0, 125280, '\p{Category=:\AOther_Punctuation\z:}', "");;
    Expect(1, 125279, '\p{Category=otherpunctuation}', "");
    Expect(0, 125279, '\p{^Category=otherpunctuation}', "");
    Expect(0, 125279, '\P{Category=otherpunctuation}', "");
    Expect(1, 125279, '\P{^Category=otherpunctuation}', "");
    Expect(0, 125280, '\p{Category=otherpunctuation}', "");
    Expect(1, 125280, '\p{^Category=otherpunctuation}', "");
    Expect(1, 125280, '\P{Category=otherpunctuation}', "");
    Expect(0, 125280, '\P{^Category=otherpunctuation}', "");
    Expect(1, 125279, '\p{Category=:\Aotherpunctuation\z:}', "");;
    Expect(0, 125280, '\p{Category=:\Aotherpunctuation\z:}', "");;
    Expect(1, 125279, '\p{Category:   _ other_Punctuation}', "");
    Expect(0, 125279, '\p{^Category:   _ other_Punctuation}', "");
    Expect(0, 125279, '\P{Category:   _ other_Punctuation}', "");
    Expect(1, 125279, '\P{^Category:   _ other_Punctuation}', "");
    Expect(0, 125280, '\p{Category:   _ other_Punctuation}', "");
    Expect(1, 125280, '\p{^Category:   _ other_Punctuation}', "");
    Expect(1, 125280, '\P{Category:   _ other_Punctuation}', "");
    Expect(0, 125280, '\P{^Category:   _ other_Punctuation}', "");
    Error('\p{Is_General_Category=_/a/PO}');
    Error('\P{Is_General_Category=_/a/PO}');
    Expect(1, 125279, '\p{Is_General_Category=po}', "");
    Expect(0, 125279, '\p{^Is_General_Category=po}', "");
    Expect(0, 125279, '\P{Is_General_Category=po}', "");
    Expect(1, 125279, '\P{^Is_General_Category=po}', "");
    Expect(0, 125280, '\p{Is_General_Category=po}', "");
    Expect(1, 125280, '\p{^Is_General_Category=po}', "");
    Expect(1, 125280, '\P{Is_General_Category=po}', "");
    Expect(0, 125280, '\P{^Is_General_Category=po}', "");
    Expect(1, 125279, '\p{Is_General_Category=-PO}', "");
    Expect(0, 125279, '\p{^Is_General_Category=-PO}', "");
    Expect(0, 125279, '\P{Is_General_Category=-PO}', "");
    Expect(1, 125279, '\P{^Is_General_Category=-PO}', "");
    Expect(0, 125280, '\p{Is_General_Category=-PO}', "");
    Expect(1, 125280, '\p{^Is_General_Category=-PO}', "");
    Expect(1, 125280, '\P{Is_General_Category=-PO}', "");
    Expect(0, 125280, '\P{^Is_General_Category=-PO}', "");
    Error('\p{Is_Gc=_Other_punctuation:=}');
    Error('\P{Is_Gc=_Other_punctuation:=}');
    Expect(1, 125279, '\p{Is_Gc:   otherpunctuation}', "");
    Expect(0, 125279, '\p{^Is_Gc:   otherpunctuation}', "");
    Expect(0, 125279, '\P{Is_Gc:   otherpunctuation}', "");
    Expect(1, 125279, '\P{^Is_Gc:   otherpunctuation}', "");
    Expect(0, 125280, '\p{Is_Gc:   otherpunctuation}', "");
    Expect(1, 125280, '\p{^Is_Gc:   otherpunctuation}', "");
    Expect(1, 125280, '\P{Is_Gc:   otherpunctuation}', "");
    Expect(0, 125280, '\P{^Is_Gc:   otherpunctuation}', "");
    Expect(1, 125279, '\p{Is_Gc=  Other_Punctuation}', "");
    Expect(0, 125279, '\p{^Is_Gc=  Other_Punctuation}', "");
    Expect(0, 125279, '\P{Is_Gc=  Other_Punctuation}', "");
    Expect(1, 125279, '\P{^Is_Gc=  Other_Punctuation}', "");
    Expect(0, 125280, '\p{Is_Gc=  Other_Punctuation}', "");
    Expect(1, 125280, '\p{^Is_Gc=  Other_Punctuation}', "");
    Expect(1, 125280, '\P{Is_Gc=  Other_Punctuation}', "");
    Expect(0, 125280, '\P{^Is_Gc=  Other_Punctuation}', "");
    Error('\p{Is_Category=/a/_	Po}');
    Error('\P{Is_Category=/a/_	Po}');
    Expect(1, 125279, '\p{Is_Category=po}', "");
    Expect(0, 125279, '\p{^Is_Category=po}', "");
    Expect(0, 125279, '\P{Is_Category=po}', "");
    Expect(1, 125279, '\P{^Is_Category=po}', "");
    Expect(0, 125280, '\p{Is_Category=po}', "");
    Expect(1, 125280, '\p{^Is_Category=po}', "");
    Expect(1, 125280, '\P{Is_Category=po}', "");
    Expect(0, 125280, '\P{^Is_Category=po}', "");
    Expect(1, 125279, '\p{Is_Category=_	Po}', "");
    Expect(0, 125279, '\p{^Is_Category=_	Po}', "");
    Expect(0, 125279, '\P{Is_Category=_	Po}', "");
    Expect(1, 125279, '\P{^Is_Category=_	Po}', "");
    Expect(0, 125280, '\p{Is_Category=_	Po}', "");
    Expect(1, 125280, '\p{^Is_Category=_	Po}', "");
    Expect(1, 125280, '\P{Is_Category=_	Po}', "");
    Expect(0, 125280, '\P{^Is_Category=_	Po}', "");
    Error('\p{General_Category=:=open_Punctuation}');
    Error('\P{General_Category=:=open_Punctuation}');
    Expect(1, 65378, '\p{General_Category=:\AOpen_Punctuation\z:}', "");;
    Expect(0, 65379, '\p{General_Category=:\AOpen_Punctuation\z:}', "");;
    Expect(1, 65378, '\p{General_Category=openpunctuation}', "");
    Expect(0, 65378, '\p{^General_Category=openpunctuation}', "");
    Expect(0, 65378, '\P{General_Category=openpunctuation}', "");
    Expect(1, 65378, '\P{^General_Category=openpunctuation}', "");
    Expect(0, 65379, '\p{General_Category=openpunctuation}', "");
    Expect(1, 65379, '\p{^General_Category=openpunctuation}', "");
    Expect(1, 65379, '\P{General_Category=openpunctuation}', "");
    Expect(0, 65379, '\P{^General_Category=openpunctuation}', "");
    Expect(1, 65378, '\p{General_Category=:\Aopenpunctuation\z:}', "");;
    Expect(0, 65379, '\p{General_Category=:\Aopenpunctuation\z:}', "");;
    Expect(1, 65378, '\p{General_Category=_ OPEN_Punctuation}', "");
    Expect(0, 65378, '\p{^General_Category=_ OPEN_Punctuation}', "");
    Expect(0, 65378, '\P{General_Category=_ OPEN_Punctuation}', "");
    Expect(1, 65378, '\P{^General_Category=_ OPEN_Punctuation}', "");
    Expect(0, 65379, '\p{General_Category=_ OPEN_Punctuation}', "");
    Expect(1, 65379, '\p{^General_Category=_ OPEN_Punctuation}', "");
    Expect(1, 65379, '\P{General_Category=_ OPEN_Punctuation}', "");
    Expect(0, 65379, '\P{^General_Category=_ OPEN_Punctuation}', "");
    Error('\p{Gc= :=PS}');
    Error('\P{Gc= :=PS}');
    Expect(1, 65378, '\p{Gc=:\APs\z:}', "");;
    Expect(0, 65379, '\p{Gc=:\APs\z:}', "");;
    Expect(1, 65378, '\p{Gc:ps}', "");
    Expect(0, 65378, '\p{^Gc:ps}', "");
    Expect(0, 65378, '\P{Gc:ps}', "");
    Expect(1, 65378, '\P{^Gc:ps}', "");
    Expect(0, 65379, '\p{Gc:ps}', "");
    Expect(1, 65379, '\p{^Gc:ps}', "");
    Expect(1, 65379, '\P{Gc:ps}', "");
    Expect(0, 65379, '\P{^Gc:ps}', "");
    Expect(1, 65378, '\p{Gc=:\Aps\z:}', "");;
    Expect(0, 65379, '\p{Gc=:\Aps\z:}', "");;
    Expect(1, 65378, '\p{Gc=- PS}', "");
    Expect(0, 65378, '\p{^Gc=- PS}', "");
    Expect(0, 65378, '\P{Gc=- PS}', "");
    Expect(1, 65378, '\P{^Gc=- PS}', "");
    Expect(0, 65379, '\p{Gc=- PS}', "");
    Expect(1, 65379, '\p{^Gc=- PS}', "");
    Expect(1, 65379, '\P{Gc=- PS}', "");
    Expect(0, 65379, '\P{^Gc=- PS}', "");
    Error('\p{Category=_-OPEN_punctuation/a/}');
    Error('\P{Category=_-OPEN_punctuation/a/}');
    Expect(1, 65378, '\p{Category=:\AOpen_Punctuation\z:}', "");;
    Expect(0, 65379, '\p{Category=:\AOpen_Punctuation\z:}', "");;
    Expect(1, 65378, '\p{Category=openpunctuation}', "");
    Expect(0, 65378, '\p{^Category=openpunctuation}', "");
    Expect(0, 65378, '\P{Category=openpunctuation}', "");
    Expect(1, 65378, '\P{^Category=openpunctuation}', "");
    Expect(0, 65379, '\p{Category=openpunctuation}', "");
    Expect(1, 65379, '\p{^Category=openpunctuation}', "");
    Expect(1, 65379, '\P{Category=openpunctuation}', "");
    Expect(0, 65379, '\P{^Category=openpunctuation}', "");
    Expect(1, 65378, '\p{Category=:\Aopenpunctuation\z:}', "");;
    Expect(0, 65379, '\p{Category=:\Aopenpunctuation\z:}', "");;
    Expect(1, 65378, '\p{Category= -Open_Punctuation}', "");
    Expect(0, 65378, '\p{^Category= -Open_Punctuation}', "");
    Expect(0, 65378, '\P{Category= -Open_Punctuation}', "");
    Expect(1, 65378, '\P{^Category= -Open_Punctuation}', "");
    Expect(0, 65379, '\p{Category= -Open_Punctuation}', "");
    Expect(1, 65379, '\p{^Category= -Open_Punctuation}', "");
    Expect(1, 65379, '\P{Category= -Open_Punctuation}', "");
    Expect(0, 65379, '\P{^Category= -Open_Punctuation}', "");
    Error('\p{Is_General_Category= /a/Ps}');
    Error('\P{Is_General_Category= /a/Ps}');
    Expect(1, 65378, '\p{Is_General_Category=ps}', "");
    Expect(0, 65378, '\p{^Is_General_Category=ps}', "");
    Expect(0, 65378, '\P{Is_General_Category=ps}', "");
    Expect(1, 65378, '\P{^Is_General_Category=ps}', "");
    Expect(0, 65379, '\p{Is_General_Category=ps}', "");
    Expect(1, 65379, '\p{^Is_General_Category=ps}', "");
    Expect(1, 65379, '\P{Is_General_Category=ps}', "");
    Expect(0, 65379, '\P{^Is_General_Category=ps}', "");
    Expect(1, 65378, '\p{Is_General_Category= _Ps}', "");
    Expect(0, 65378, '\p{^Is_General_Category= _Ps}', "");
    Expect(0, 65378, '\P{Is_General_Category= _Ps}', "");
    Expect(1, 65378, '\P{^Is_General_Category= _Ps}', "");
    Expect(0, 65379, '\p{Is_General_Category= _Ps}', "");
    Expect(1, 65379, '\p{^Is_General_Category= _Ps}', "");
    Expect(1, 65379, '\P{Is_General_Category= _Ps}', "");
    Expect(0, 65379, '\P{^Is_General_Category= _Ps}', "");
    Error('\p{Is_Gc=:=	Open_punctuation}');
    Error('\P{Is_Gc=:=	Open_punctuation}');
    Expect(1, 65378, '\p{Is_Gc=openpunctuation}', "");
    Expect(0, 65378, '\p{^Is_Gc=openpunctuation}', "");
    Expect(0, 65378, '\P{Is_Gc=openpunctuation}', "");
    Expect(1, 65378, '\P{^Is_Gc=openpunctuation}', "");
    Expect(0, 65379, '\p{Is_Gc=openpunctuation}', "");
    Expect(1, 65379, '\p{^Is_Gc=openpunctuation}', "");
    Expect(1, 65379, '\P{Is_Gc=openpunctuation}', "");
    Expect(0, 65379, '\P{^Is_Gc=openpunctuation}', "");
    Expect(1, 65378, '\p{Is_Gc=_Open_Punctuation}', "");
    Expect(0, 65378, '\p{^Is_Gc=_Open_Punctuation}', "");
    Expect(0, 65378, '\P{Is_Gc=_Open_Punctuation}', "");
    Expect(1, 65378, '\P{^Is_Gc=_Open_Punctuation}', "");
    Expect(0, 65379, '\p{Is_Gc=_Open_Punctuation}', "");
    Expect(1, 65379, '\p{^Is_Gc=_Open_Punctuation}', "");
    Expect(1, 65379, '\P{Is_Gc=_Open_Punctuation}', "");
    Expect(0, 65379, '\P{^Is_Gc=_Open_Punctuation}', "");
    Error('\p{Is_Category=/a/__PS}');
    Error('\P{Is_Category=/a/__PS}');
    Expect(1, 65378, '\p{Is_Category=ps}', "");
    Expect(0, 65378, '\p{^Is_Category=ps}', "");
    Expect(0, 65378, '\P{Is_Category=ps}', "");
    Expect(1, 65378, '\P{^Is_Category=ps}', "");
    Expect(0, 65379, '\p{Is_Category=ps}', "");
    Expect(1, 65379, '\p{^Is_Category=ps}', "");
    Expect(1, 65379, '\P{Is_Category=ps}', "");
    Expect(0, 65379, '\P{^Is_Category=ps}', "");
    Expect(1, 65378, '\p{Is_Category=	 PS}', "");
    Expect(0, 65378, '\p{^Is_Category=	 PS}', "");
    Expect(0, 65378, '\P{Is_Category=	 PS}', "");
    Expect(1, 65378, '\P{^Is_Category=	 PS}', "");
    Expect(0, 65379, '\p{Is_Category=	 PS}', "");
    Expect(1, 65379, '\p{^Is_Category=	 PS}', "");
    Expect(1, 65379, '\P{Is_Category=	 PS}', "");
    Expect(0, 65379, '\P{^Is_Category=	 PS}', "");
    Error('\p{General_Category=-:=Symbol}');
    Error('\P{General_Category=-:=Symbol}');
    Expect(1, 129994, '\p{General_Category=:\ASymbol\z:}', "");;
    Expect(0, 129995, '\p{General_Category=:\ASymbol\z:}', "");;
    Expect(1, 129994, '\p{General_Category=symbol}', "");
    Expect(0, 129994, '\p{^General_Category=symbol}', "");
    Expect(0, 129994, '\P{General_Category=symbol}', "");
    Expect(1, 129994, '\P{^General_Category=symbol}', "");
    Expect(0, 129995, '\p{General_Category=symbol}', "");
    Expect(1, 129995, '\p{^General_Category=symbol}', "");
    Expect(1, 129995, '\P{General_Category=symbol}', "");
    Expect(0, 129995, '\P{^General_Category=symbol}', "");
    Expect(1, 129994, '\p{General_Category=:\Asymbol\z:}', "");;
    Expect(0, 129995, '\p{General_Category=:\Asymbol\z:}', "");;
    Expect(1, 129994, '\p{General_Category= _Symbol}', "");
    Expect(0, 129994, '\p{^General_Category= _Symbol}', "");
    Expect(0, 129994, '\P{General_Category= _Symbol}', "");
    Expect(1, 129994, '\P{^General_Category= _Symbol}', "");
    Expect(0, 129995, '\p{General_Category= _Symbol}', "");
    Expect(1, 129995, '\p{^General_Category= _Symbol}', "");
    Expect(1, 129995, '\P{General_Category= _Symbol}', "");
    Expect(0, 129995, '\P{^General_Category= _Symbol}', "");
    Error('\p{Gc= -S/a/}');
    Error('\P{Gc= -S/a/}');
    Expect(1, 129994, '\p{Gc=:\AS\z:}', "");;
    Expect(0, 129995, '\p{Gc=:\AS\z:}', "");;
    Expect(1, 129994, '\p{Gc=s}', "");
    Expect(0, 129994, '\p{^Gc=s}', "");
    Expect(0, 129994, '\P{Gc=s}', "");
    Expect(1, 129994, '\P{^Gc=s}', "");
    Expect(0, 129995, '\p{Gc=s}', "");
    Expect(1, 129995, '\p{^Gc=s}', "");
    Expect(1, 129995, '\P{Gc=s}', "");
    Expect(0, 129995, '\P{^Gc=s}', "");
    Expect(1, 129994, '\p{Gc=:\As\z:}', "");;
    Expect(0, 129995, '\p{Gc=:\As\z:}', "");;
    Expect(1, 129994, '\p{Gc:-_s}', "");
    Expect(0, 129994, '\p{^Gc:-_s}', "");
    Expect(0, 129994, '\P{Gc:-_s}', "");
    Expect(1, 129994, '\P{^Gc:-_s}', "");
    Expect(0, 129995, '\p{Gc:-_s}', "");
    Expect(1, 129995, '\p{^Gc:-_s}', "");
    Expect(1, 129995, '\P{Gc:-_s}', "");
    Expect(0, 129995, '\P{^Gc:-_s}', "");
    Error('\p{Category=	-SYMBOL:=}');
    Error('\P{Category=	-SYMBOL:=}');
    Expect(1, 129994, '\p{Category=:\ASymbol\z:}', "");;
    Expect(0, 129995, '\p{Category=:\ASymbol\z:}', "");;
    Expect(1, 129994, '\p{Category=symbol}', "");
    Expect(0, 129994, '\p{^Category=symbol}', "");
    Expect(0, 129994, '\P{Category=symbol}', "");
    Expect(1, 129994, '\P{^Category=symbol}', "");
    Expect(0, 129995, '\p{Category=symbol}', "");
    Expect(1, 129995, '\p{^Category=symbol}', "");
    Expect(1, 129995, '\P{Category=symbol}', "");
    Expect(0, 129995, '\P{^Category=symbol}', "");
    Expect(1, 129994, '\p{Category=:\Asymbol\z:}', "");;
    Expect(0, 129995, '\p{Category=:\Asymbol\z:}', "");;
    Expect(1, 129994, '\p{Category: 	 symbol}', "");
    Expect(0, 129994, '\p{^Category: 	 symbol}', "");
    Expect(0, 129994, '\P{Category: 	 symbol}', "");
    Expect(1, 129994, '\P{^Category: 	 symbol}', "");
    Expect(0, 129995, '\p{Category: 	 symbol}', "");
    Expect(1, 129995, '\p{^Category: 	 symbol}', "");
    Expect(1, 129995, '\P{Category: 	 symbol}', "");
    Expect(0, 129995, '\P{^Category: 	 symbol}', "");
    Error('\p{Is_General_Category=/a/-s}');
    Error('\P{Is_General_Category=/a/-s}');
    Expect(1, 129994, '\p{Is_General_Category:s}', "");
    Expect(0, 129994, '\p{^Is_General_Category:s}', "");
    Expect(0, 129994, '\P{Is_General_Category:s}', "");
    Expect(1, 129994, '\P{^Is_General_Category:s}', "");
    Expect(0, 129995, '\p{Is_General_Category:s}', "");
    Expect(1, 129995, '\p{^Is_General_Category:s}', "");
    Expect(1, 129995, '\P{Is_General_Category:s}', "");
    Expect(0, 129995, '\P{^Is_General_Category:s}', "");
    Expect(1, 129994, '\p{Is_General_Category=-	S}', "");
    Expect(0, 129994, '\p{^Is_General_Category=-	S}', "");
    Expect(0, 129994, '\P{Is_General_Category=-	S}', "");
    Expect(1, 129994, '\P{^Is_General_Category=-	S}', "");
    Expect(0, 129995, '\p{Is_General_Category=-	S}', "");
    Expect(1, 129995, '\p{^Is_General_Category=-	S}', "");
    Expect(1, 129995, '\P{Is_General_Category=-	S}', "");
    Expect(0, 129995, '\P{^Is_General_Category=-	S}', "");
    Error('\p{Is_Gc=/a/symbol}');
    Error('\P{Is_Gc=/a/symbol}');
    Expect(1, 129994, '\p{Is_Gc=symbol}', "");
    Expect(0, 129994, '\p{^Is_Gc=symbol}', "");
    Expect(0, 129994, '\P{Is_Gc=symbol}', "");
    Expect(1, 129994, '\P{^Is_Gc=symbol}', "");
    Expect(0, 129995, '\p{Is_Gc=symbol}', "");
    Expect(1, 129995, '\p{^Is_Gc=symbol}', "");
    Expect(1, 129995, '\P{Is_Gc=symbol}', "");
    Expect(0, 129995, '\P{^Is_Gc=symbol}', "");
    Expect(1, 129994, '\p{Is_Gc=	symbol}', "");
    Expect(0, 129994, '\p{^Is_Gc=	symbol}', "");
    Expect(0, 129994, '\P{Is_Gc=	symbol}', "");
    Expect(1, 129994, '\P{^Is_Gc=	symbol}', "");
    Expect(0, 129995, '\p{Is_Gc=	symbol}', "");
    Expect(1, 129995, '\p{^Is_Gc=	symbol}', "");
    Expect(1, 129995, '\P{Is_Gc=	symbol}', "");
    Expect(0, 129995, '\P{^Is_Gc=	symbol}', "");
    Error('\p{Is_Category=_:=S}');
    Error('\P{Is_Category=_:=S}');
    Expect(1, 129994, '\p{Is_Category=s}', "");
    Expect(0, 129994, '\p{^Is_Category=s}', "");
    Expect(0, 129994, '\P{Is_Category=s}', "");
    Expect(1, 129994, '\P{^Is_Category=s}', "");
    Expect(0, 129995, '\p{Is_Category=s}', "");
    Expect(1, 129995, '\p{^Is_Category=s}', "");
    Expect(1, 129995, '\P{Is_Category=s}', "");
    Expect(0, 129995, '\P{^Is_Category=s}', "");
    Expect(1, 129994, '\p{Is_Category:  S}', "");
    Expect(0, 129994, '\p{^Is_Category:  S}', "");
    Expect(0, 129994, '\P{Is_Category:  S}', "");
    Expect(1, 129994, '\P{^Is_Category:  S}', "");
    Expect(0, 129995, '\p{Is_Category:  S}', "");
    Expect(1, 129995, '\p{^Is_Category:  S}', "");
    Expect(1, 129995, '\P{Is_Category:  S}', "");
    Expect(0, 129995, '\P{^Is_Category:  S}', "");
    Error('\p{General_Category:_Currency_Symbol/a/}');
    Error('\P{General_Category:_Currency_Symbol/a/}');
    Expect(1, 126128, '\p{General_Category=:\ACurrency_Symbol\z:}', "");;
    Expect(0, 126129, '\p{General_Category=:\ACurrency_Symbol\z:}', "");;
    Expect(1, 126128, '\p{General_Category: currencysymbol}', "");
    Expect(0, 126128, '\p{^General_Category: currencysymbol}', "");
    Expect(0, 126128, '\P{General_Category: currencysymbol}', "");
    Expect(1, 126128, '\P{^General_Category: currencysymbol}', "");
    Expect(0, 126129, '\p{General_Category: currencysymbol}', "");
    Expect(1, 126129, '\p{^General_Category: currencysymbol}', "");
    Expect(1, 126129, '\P{General_Category: currencysymbol}', "");
    Expect(0, 126129, '\P{^General_Category: currencysymbol}', "");
    Expect(1, 126128, '\p{General_Category=:\Acurrencysymbol\z:}', "");;
    Expect(0, 126129, '\p{General_Category=:\Acurrencysymbol\z:}', "");;
    Expect(1, 126128, '\p{General_Category=_Currency_Symbol}', "");
    Expect(0, 126128, '\p{^General_Category=_Currency_Symbol}', "");
    Expect(0, 126128, '\P{General_Category=_Currency_Symbol}', "");
    Expect(1, 126128, '\P{^General_Category=_Currency_Symbol}', "");
    Expect(0, 126129, '\p{General_Category=_Currency_Symbol}', "");
    Expect(1, 126129, '\p{^General_Category=_Currency_Symbol}', "");
    Expect(1, 126129, '\P{General_Category=_Currency_Symbol}', "");
    Expect(0, 126129, '\P{^General_Category=_Currency_Symbol}', "");
    Error('\p{Gc=	:=SC}');
    Error('\P{Gc=	:=SC}');
    Expect(1, 126128, '\p{Gc=:\ASc\z:}', "");;
    Expect(0, 126129, '\p{Gc=:\ASc\z:}', "");;
    Expect(1, 126128, '\p{Gc=sc}', "");
    Expect(0, 126128, '\p{^Gc=sc}', "");
    Expect(0, 126128, '\P{Gc=sc}', "");
    Expect(1, 126128, '\P{^Gc=sc}', "");
    Expect(0, 126129, '\p{Gc=sc}', "");
    Expect(1, 126129, '\p{^Gc=sc}', "");
    Expect(1, 126129, '\P{Gc=sc}', "");
    Expect(0, 126129, '\P{^Gc=sc}', "");
    Expect(1, 126128, '\p{Gc=:\Asc\z:}', "");;
    Expect(0, 126129, '\p{Gc=:\Asc\z:}', "");;
    Expect(1, 126128, '\p{Gc= SC}', "");
    Expect(0, 126128, '\p{^Gc= SC}', "");
    Expect(0, 126128, '\P{Gc= SC}', "");
    Expect(1, 126128, '\P{^Gc= SC}', "");
    Expect(0, 126129, '\p{Gc= SC}', "");
    Expect(1, 126129, '\p{^Gc= SC}', "");
    Expect(1, 126129, '\P{Gc= SC}', "");
    Expect(0, 126129, '\P{^Gc= SC}', "");
    Error('\p{Category=-	Currency_symbol/a/}');
    Error('\P{Category=-	Currency_symbol/a/}');
    Expect(1, 126128, '\p{Category=:\ACurrency_Symbol\z:}', "");;
    Expect(0, 126129, '\p{Category=:\ACurrency_Symbol\z:}', "");;
    Expect(1, 126128, '\p{Category=currencysymbol}', "");
    Expect(0, 126128, '\p{^Category=currencysymbol}', "");
    Expect(0, 126128, '\P{Category=currencysymbol}', "");
    Expect(1, 126128, '\P{^Category=currencysymbol}', "");
    Expect(0, 126129, '\p{Category=currencysymbol}', "");
    Expect(1, 126129, '\p{^Category=currencysymbol}', "");
    Expect(1, 126129, '\P{Category=currencysymbol}', "");
    Expect(0, 126129, '\P{^Category=currencysymbol}', "");
    Expect(1, 126128, '\p{Category=:\Acurrencysymbol\z:}', "");;
    Expect(0, 126129, '\p{Category=:\Acurrencysymbol\z:}', "");;
    Expect(1, 126128, '\p{Category=	currency_Symbol}', "");
    Expect(0, 126128, '\p{^Category=	currency_Symbol}', "");
    Expect(0, 126128, '\P{Category=	currency_Symbol}', "");
    Expect(1, 126128, '\P{^Category=	currency_Symbol}', "");
    Expect(0, 126129, '\p{Category=	currency_Symbol}', "");
    Expect(1, 126129, '\p{^Category=	currency_Symbol}', "");
    Expect(1, 126129, '\P{Category=	currency_Symbol}', "");
    Expect(0, 126129, '\P{^Category=	currency_Symbol}', "");
    Error('\p{Is_General_Category=/a/  SC}');
    Error('\P{Is_General_Category=/a/  SC}');
    Expect(1, 126128, '\p{Is_General_Category=sc}', "");
    Expect(0, 126128, '\p{^Is_General_Category=sc}', "");
    Expect(0, 126128, '\P{Is_General_Category=sc}', "");
    Expect(1, 126128, '\P{^Is_General_Category=sc}', "");
    Expect(0, 126129, '\p{Is_General_Category=sc}', "");
    Expect(1, 126129, '\p{^Is_General_Category=sc}', "");
    Expect(1, 126129, '\P{Is_General_Category=sc}', "");
    Expect(0, 126129, '\P{^Is_General_Category=sc}', "");
    Expect(1, 126128, '\p{Is_General_Category=-	sc}', "");
    Expect(0, 126128, '\p{^Is_General_Category=-	sc}', "");
    Expect(0, 126128, '\P{Is_General_Category=-	sc}', "");
    Expect(1, 126128, '\P{^Is_General_Category=-	sc}', "");
    Expect(0, 126129, '\p{Is_General_Category=-	sc}', "");
    Expect(1, 126129, '\p{^Is_General_Category=-	sc}', "");
    Expect(1, 126129, '\P{Is_General_Category=-	sc}', "");
    Expect(0, 126129, '\P{^Is_General_Category=-	sc}', "");
    Error('\p{Is_Gc=Currency_symbol/a/}');
    Error('\P{Is_Gc=Currency_symbol/a/}');
    Expect(1, 126128, '\p{Is_Gc=currencysymbol}', "");
    Expect(0, 126128, '\p{^Is_Gc=currencysymbol}', "");
    Expect(0, 126128, '\P{Is_Gc=currencysymbol}', "");
    Expect(1, 126128, '\P{^Is_Gc=currencysymbol}', "");
    Expect(0, 126129, '\p{Is_Gc=currencysymbol}', "");
    Expect(1, 126129, '\p{^Is_Gc=currencysymbol}', "");
    Expect(1, 126129, '\P{Is_Gc=currencysymbol}', "");
    Expect(0, 126129, '\P{^Is_Gc=currencysymbol}', "");
    Expect(1, 126128, '\p{Is_Gc: 	 Currency_Symbol}', "");
    Expect(0, 126128, '\p{^Is_Gc: 	 Currency_Symbol}', "");
    Expect(0, 126128, '\P{Is_Gc: 	 Currency_Symbol}', "");
    Expect(1, 126128, '\P{^Is_Gc: 	 Currency_Symbol}', "");
    Expect(0, 126129, '\p{Is_Gc: 	 Currency_Symbol}', "");
    Expect(1, 126129, '\p{^Is_Gc: 	 Currency_Symbol}', "");
    Expect(1, 126129, '\P{Is_Gc: 	 Currency_Symbol}', "");
    Expect(0, 126129, '\P{^Is_Gc: 	 Currency_Symbol}', "");
    Error('\p{Is_Category=_/a/Sc}');
    Error('\P{Is_Category=_/a/Sc}');
    Expect(1, 126128, '\p{Is_Category=sc}', "");
    Expect(0, 126128, '\p{^Is_Category=sc}', "");
    Expect(0, 126128, '\P{Is_Category=sc}', "");
    Expect(1, 126128, '\P{^Is_Category=sc}', "");
    Expect(0, 126129, '\p{Is_Category=sc}', "");
    Expect(1, 126129, '\p{^Is_Category=sc}', "");
    Expect(1, 126129, '\P{Is_Category=sc}', "");
    Expect(0, 126129, '\P{^Is_Category=sc}', "");
    Expect(1, 126128, '\p{Is_Category=		Sc}', "");
    Expect(0, 126128, '\p{^Is_Category=		Sc}', "");
    Expect(0, 126128, '\P{Is_Category=		Sc}', "");
    Expect(1, 126128, '\P{^Is_Category=		Sc}', "");
    Expect(0, 126129, '\p{Is_Category=		Sc}', "");
    Expect(1, 126129, '\p{^Is_Category=		Sc}', "");
    Expect(1, 126129, '\P{Is_Category=		Sc}', "");
    Expect(0, 126129, '\P{^Is_Category=		Sc}', "");
    Error('\p{General_Category= :=MODIFIER_Symbol}');
    Error('\P{General_Category= :=MODIFIER_Symbol}');
    Expect(1, 127999, '\p{General_Category=:\AModifier_Symbol\z:}', "");;
    Expect(0, 128000, '\p{General_Category=:\AModifier_Symbol\z:}', "");;
    Expect(1, 127999, '\p{General_Category=modifiersymbol}', "");
    Expect(0, 127999, '\p{^General_Category=modifiersymbol}', "");
    Expect(0, 127999, '\P{General_Category=modifiersymbol}', "");
    Expect(1, 127999, '\P{^General_Category=modifiersymbol}', "");
    Expect(0, 128000, '\p{General_Category=modifiersymbol}', "");
    Expect(1, 128000, '\p{^General_Category=modifiersymbol}', "");
    Expect(1, 128000, '\P{General_Category=modifiersymbol}', "");
    Expect(0, 128000, '\P{^General_Category=modifiersymbol}', "");
    Expect(1, 127999, '\p{General_Category=:\Amodifiersymbol\z:}', "");;
    Expect(0, 128000, '\p{General_Category=:\Amodifiersymbol\z:}', "");;
    Expect(1, 127999, '\p{General_Category= _MODIFIER_symbol}', "");
    Expect(0, 127999, '\p{^General_Category= _MODIFIER_symbol}', "");
    Expect(0, 127999, '\P{General_Category= _MODIFIER_symbol}', "");
    Expect(1, 127999, '\P{^General_Category= _MODIFIER_symbol}', "");
    Expect(0, 128000, '\p{General_Category= _MODIFIER_symbol}', "");
    Expect(1, 128000, '\p{^General_Category= _MODIFIER_symbol}', "");
    Expect(1, 128000, '\P{General_Category= _MODIFIER_symbol}', "");
    Expect(0, 128000, '\P{^General_Category= _MODIFIER_symbol}', "");
    Error('\p{Gc=_SK:=}');
    Error('\P{Gc=_SK:=}');
    Expect(1, 127999, '\p{Gc=:\ASk\z:}', "");;
    Expect(0, 128000, '\p{Gc=:\ASk\z:}', "");;
    Expect(1, 127999, '\p{Gc=sk}', "");
    Expect(0, 127999, '\p{^Gc=sk}', "");
    Expect(0, 127999, '\P{Gc=sk}', "");
    Expect(1, 127999, '\P{^Gc=sk}', "");
    Expect(0, 128000, '\p{Gc=sk}', "");
    Expect(1, 128000, '\p{^Gc=sk}', "");
    Expect(1, 128000, '\P{Gc=sk}', "");
    Expect(0, 128000, '\P{^Gc=sk}', "");
    Expect(1, 127999, '\p{Gc=:\Ask\z:}', "");;
    Expect(0, 128000, '\p{Gc=:\Ask\z:}', "");;
    Expect(1, 127999, '\p{Gc=- Sk}', "");
    Expect(0, 127999, '\p{^Gc=- Sk}', "");
    Expect(0, 127999, '\P{Gc=- Sk}', "");
    Expect(1, 127999, '\P{^Gc=- Sk}', "");
    Expect(0, 128000, '\p{Gc=- Sk}', "");
    Expect(1, 128000, '\p{^Gc=- Sk}', "");
    Expect(1, 128000, '\P{Gc=- Sk}', "");
    Expect(0, 128000, '\P{^Gc=- Sk}', "");
    Error('\p{Category= MODIFIER_Symbol:=}');
    Error('\P{Category= MODIFIER_Symbol:=}');
    Expect(1, 127999, '\p{Category=:\AModifier_Symbol\z:}', "");;
    Expect(0, 128000, '\p{Category=:\AModifier_Symbol\z:}', "");;
    Expect(1, 127999, '\p{Category=modifiersymbol}', "");
    Expect(0, 127999, '\p{^Category=modifiersymbol}', "");
    Expect(0, 127999, '\P{Category=modifiersymbol}', "");
    Expect(1, 127999, '\P{^Category=modifiersymbol}', "");
    Expect(0, 128000, '\p{Category=modifiersymbol}', "");
    Expect(1, 128000, '\p{^Category=modifiersymbol}', "");
    Expect(1, 128000, '\P{Category=modifiersymbol}', "");
    Expect(0, 128000, '\P{^Category=modifiersymbol}', "");
    Expect(1, 127999, '\p{Category=:\Amodifiersymbol\z:}', "");;
    Expect(0, 128000, '\p{Category=:\Amodifiersymbol\z:}', "");;
    Expect(1, 127999, '\p{Category=	 Modifier_symbol}', "");
    Expect(0, 127999, '\p{^Category=	 Modifier_symbol}', "");
    Expect(0, 127999, '\P{Category=	 Modifier_symbol}', "");
    Expect(1, 127999, '\P{^Category=	 Modifier_symbol}', "");
    Expect(0, 128000, '\p{Category=	 Modifier_symbol}', "");
    Expect(1, 128000, '\p{^Category=	 Modifier_symbol}', "");
    Expect(1, 128000, '\P{Category=	 Modifier_symbol}', "");
    Expect(0, 128000, '\P{^Category=	 Modifier_symbol}', "");
    Error('\p{Is_General_Category:   :=sk}');
    Error('\P{Is_General_Category:   :=sk}');
    Expect(1, 127999, '\p{Is_General_Category=sk}', "");
    Expect(0, 127999, '\p{^Is_General_Category=sk}', "");
    Expect(0, 127999, '\P{Is_General_Category=sk}', "");
    Expect(1, 127999, '\P{^Is_General_Category=sk}', "");
    Expect(0, 128000, '\p{Is_General_Category=sk}', "");
    Expect(1, 128000, '\p{^Is_General_Category=sk}', "");
    Expect(1, 128000, '\P{Is_General_Category=sk}', "");
    Expect(0, 128000, '\P{^Is_General_Category=sk}', "");
    Expect(1, 127999, '\p{Is_General_Category=_Sk}', "");
    Expect(0, 127999, '\p{^Is_General_Category=_Sk}', "");
    Expect(0, 127999, '\P{Is_General_Category=_Sk}', "");
    Expect(1, 127999, '\P{^Is_General_Category=_Sk}', "");
    Expect(0, 128000, '\p{Is_General_Category=_Sk}', "");
    Expect(1, 128000, '\p{^Is_General_Category=_Sk}', "");
    Expect(1, 128000, '\P{Is_General_Category=_Sk}', "");
    Expect(0, 128000, '\P{^Is_General_Category=_Sk}', "");
    Error('\p{Is_Gc=	/a/Modifier_symbol}');
    Error('\P{Is_Gc=	/a/Modifier_symbol}');
    Expect(1, 127999, '\p{Is_Gc=modifiersymbol}', "");
    Expect(0, 127999, '\p{^Is_Gc=modifiersymbol}', "");
    Expect(0, 127999, '\P{Is_Gc=modifiersymbol}', "");
    Expect(1, 127999, '\P{^Is_Gc=modifiersymbol}', "");
    Expect(0, 128000, '\p{Is_Gc=modifiersymbol}', "");
    Expect(1, 128000, '\p{^Is_Gc=modifiersymbol}', "");
    Expect(1, 128000, '\P{Is_Gc=modifiersymbol}', "");
    Expect(0, 128000, '\P{^Is_Gc=modifiersymbol}', "");
    Expect(1, 127999, '\p{Is_Gc=-Modifier_Symbol}', "");
    Expect(0, 127999, '\p{^Is_Gc=-Modifier_Symbol}', "");
    Expect(0, 127999, '\P{Is_Gc=-Modifier_Symbol}', "");
    Expect(1, 127999, '\P{^Is_Gc=-Modifier_Symbol}', "");
    Expect(0, 128000, '\p{Is_Gc=-Modifier_Symbol}', "");
    Expect(1, 128000, '\p{^Is_Gc=-Modifier_Symbol}', "");
    Expect(1, 128000, '\P{Is_Gc=-Modifier_Symbol}', "");
    Expect(0, 128000, '\P{^Is_Gc=-Modifier_Symbol}', "");
    Error('\p{Is_Category= :=Sk}');
    Error('\P{Is_Category= :=Sk}');
    Expect(1, 127999, '\p{Is_Category=sk}', "");
    Expect(0, 127999, '\p{^Is_Category=sk}', "");
    Expect(0, 127999, '\P{Is_Category=sk}', "");
    Expect(1, 127999, '\P{^Is_Category=sk}', "");
    Expect(0, 128000, '\p{Is_Category=sk}', "");
    Expect(1, 128000, '\p{^Is_Category=sk}', "");
    Expect(1, 128000, '\P{Is_Category=sk}', "");
    Expect(0, 128000, '\P{^Is_Category=sk}', "");
    Expect(1, 127999, '\p{Is_Category:  _sk}', "");
    Expect(0, 127999, '\p{^Is_Category:  _sk}', "");
    Expect(0, 127999, '\P{Is_Category:  _sk}', "");
    Expect(1, 127999, '\P{^Is_Category:  _sk}', "");
    Expect(0, 128000, '\p{Is_Category:  _sk}', "");
    Expect(1, 128000, '\p{^Is_Category:  _sk}', "");
    Expect(1, 128000, '\P{Is_Category:  _sk}', "");
    Expect(0, 128000, '\P{^Is_Category:  _sk}', "");
    Error('\p{General_Category= /a/MATH_Symbol}');
    Error('\P{General_Category= /a/MATH_Symbol}');
    Expect(1, 126705, '\p{General_Category=:\AMath_Symbol\z:}', "");;
    Expect(0, 126706, '\p{General_Category=:\AMath_Symbol\z:}', "");;
    Expect(1, 126705, '\p{General_Category=mathsymbol}', "");
    Expect(0, 126705, '\p{^General_Category=mathsymbol}', "");
    Expect(0, 126705, '\P{General_Category=mathsymbol}', "");
    Expect(1, 126705, '\P{^General_Category=mathsymbol}', "");
    Expect(0, 126706, '\p{General_Category=mathsymbol}', "");
    Expect(1, 126706, '\p{^General_Category=mathsymbol}', "");
    Expect(1, 126706, '\P{General_Category=mathsymbol}', "");
    Expect(0, 126706, '\P{^General_Category=mathsymbol}', "");
    Expect(1, 126705, '\p{General_Category=:\Amathsymbol\z:}', "");;
    Expect(0, 126706, '\p{General_Category=:\Amathsymbol\z:}', "");;
    Expect(1, 126705, '\p{General_Category: __math_Symbol}', "");
    Expect(0, 126705, '\p{^General_Category: __math_Symbol}', "");
    Expect(0, 126705, '\P{General_Category: __math_Symbol}', "");
    Expect(1, 126705, '\P{^General_Category: __math_Symbol}', "");
    Expect(0, 126706, '\p{General_Category: __math_Symbol}', "");
    Expect(1, 126706, '\p{^General_Category: __math_Symbol}', "");
    Expect(1, 126706, '\P{General_Category: __math_Symbol}', "");
    Expect(0, 126706, '\P{^General_Category: __math_Symbol}', "");
    Error('\p{Gc=/a/--Sm}');
    Error('\P{Gc=/a/--Sm}');
    Expect(1, 126705, '\p{Gc=:\ASm\z:}', "");;
    Expect(0, 126706, '\p{Gc=:\ASm\z:}', "");;
    Expect(1, 126705, '\p{Gc=sm}', "");
    Expect(0, 126705, '\p{^Gc=sm}', "");
    Expect(0, 126705, '\P{Gc=sm}', "");
    Expect(1, 126705, '\P{^Gc=sm}', "");
    Expect(0, 126706, '\p{Gc=sm}', "");
    Expect(1, 126706, '\p{^Gc=sm}', "");
    Expect(1, 126706, '\P{Gc=sm}', "");
    Expect(0, 126706, '\P{^Gc=sm}', "");
    Expect(1, 126705, '\p{Gc=:\Asm\z:}', "");;
    Expect(0, 126706, '\p{Gc=:\Asm\z:}', "");;
    Expect(1, 126705, '\p{Gc=	sm}', "");
    Expect(0, 126705, '\p{^Gc=	sm}', "");
    Expect(0, 126705, '\P{Gc=	sm}', "");
    Expect(1, 126705, '\P{^Gc=	sm}', "");
    Expect(0, 126706, '\p{Gc=	sm}', "");
    Expect(1, 126706, '\p{^Gc=	sm}', "");
    Expect(1, 126706, '\P{Gc=	sm}', "");
    Expect(0, 126706, '\P{^Gc=	sm}', "");
    Error('\p{Category=/a/	-MATH_Symbol}');
    Error('\P{Category=/a/	-MATH_Symbol}');
    Expect(1, 126705, '\p{Category=:\AMath_Symbol\z:}', "");;
    Expect(0, 126706, '\p{Category=:\AMath_Symbol\z:}', "");;
    Expect(1, 126705, '\p{Category=mathsymbol}', "");
    Expect(0, 126705, '\p{^Category=mathsymbol}', "");
    Expect(0, 126705, '\P{Category=mathsymbol}', "");
    Expect(1, 126705, '\P{^Category=mathsymbol}', "");
    Expect(0, 126706, '\p{Category=mathsymbol}', "");
    Expect(1, 126706, '\p{^Category=mathsymbol}', "");
    Expect(1, 126706, '\P{Category=mathsymbol}', "");
    Expect(0, 126706, '\P{^Category=mathsymbol}', "");
    Expect(1, 126705, '\p{Category=:\Amathsymbol\z:}', "");;
    Expect(0, 126706, '\p{Category=:\Amathsymbol\z:}', "");;
    Expect(1, 126705, '\p{Category:   _MATH_Symbol}', "");
    Expect(0, 126705, '\p{^Category:   _MATH_Symbol}', "");
    Expect(0, 126705, '\P{Category:   _MATH_Symbol}', "");
    Expect(1, 126705, '\P{^Category:   _MATH_Symbol}', "");
    Expect(0, 126706, '\p{Category:   _MATH_Symbol}', "");
    Expect(1, 126706, '\p{^Category:   _MATH_Symbol}', "");
    Expect(1, 126706, '\P{Category:   _MATH_Symbol}', "");
    Expect(0, 126706, '\P{^Category:   _MATH_Symbol}', "");
    Error('\p{Is_General_Category=:=SM}');
    Error('\P{Is_General_Category=:=SM}');
    Expect(1, 126705, '\p{Is_General_Category=sm}', "");
    Expect(0, 126705, '\p{^Is_General_Category=sm}', "");
    Expect(0, 126705, '\P{Is_General_Category=sm}', "");
    Expect(1, 126705, '\P{^Is_General_Category=sm}', "");
    Expect(0, 126706, '\p{Is_General_Category=sm}', "");
    Expect(1, 126706, '\p{^Is_General_Category=sm}', "");
    Expect(1, 126706, '\P{Is_General_Category=sm}', "");
    Expect(0, 126706, '\P{^Is_General_Category=sm}', "");
    Expect(1, 126705, '\p{Is_General_Category=	-SM}', "");
    Expect(0, 126705, '\p{^Is_General_Category=	-SM}', "");
    Expect(0, 126705, '\P{Is_General_Category=	-SM}', "");
    Expect(1, 126705, '\P{^Is_General_Category=	-SM}', "");
    Expect(0, 126706, '\p{Is_General_Category=	-SM}', "");
    Expect(1, 126706, '\p{^Is_General_Category=	-SM}', "");
    Expect(1, 126706, '\P{Is_General_Category=	-SM}', "");
    Expect(0, 126706, '\P{^Is_General_Category=	-SM}', "");
    Error('\p{Is_Gc=:=_ Math_Symbol}');
    Error('\P{Is_Gc=:=_ Math_Symbol}');
    Expect(1, 126705, '\p{Is_Gc=mathsymbol}', "");
    Expect(0, 126705, '\p{^Is_Gc=mathsymbol}', "");
    Expect(0, 126705, '\P{Is_Gc=mathsymbol}', "");
    Expect(1, 126705, '\P{^Is_Gc=mathsymbol}', "");
    Expect(0, 126706, '\p{Is_Gc=mathsymbol}', "");
    Expect(1, 126706, '\p{^Is_Gc=mathsymbol}', "");
    Expect(1, 126706, '\P{Is_Gc=mathsymbol}', "");
    Expect(0, 126706, '\P{^Is_Gc=mathsymbol}', "");
    Expect(1, 126705, '\p{Is_Gc=-Math_symbol}', "");
    Expect(0, 126705, '\p{^Is_Gc=-Math_symbol}', "");
    Expect(0, 126705, '\P{Is_Gc=-Math_symbol}', "");
    Expect(1, 126705, '\P{^Is_Gc=-Math_symbol}', "");
    Expect(0, 126706, '\p{Is_Gc=-Math_symbol}', "");
    Expect(1, 126706, '\p{^Is_Gc=-Math_symbol}', "");
    Expect(1, 126706, '\P{Is_Gc=-Math_symbol}', "");
    Expect(0, 126706, '\P{^Is_Gc=-Math_symbol}', "");
    Error('\p{Is_Category=- sm/a/}');
    Error('\P{Is_Category=- sm/a/}');
    Expect(1, 126705, '\p{Is_Category=sm}', "");
    Expect(0, 126705, '\p{^Is_Category=sm}', "");
    Expect(0, 126705, '\P{Is_Category=sm}', "");
    Expect(1, 126705, '\P{^Is_Category=sm}', "");
    Expect(0, 126706, '\p{Is_Category=sm}', "");
    Expect(1, 126706, '\p{^Is_Category=sm}', "");
    Expect(1, 126706, '\P{Is_Category=sm}', "");
    Expect(0, 126706, '\P{^Is_Category=sm}', "");
    Expect(1, 126705, '\p{Is_Category= -sm}', "");
    Expect(0, 126705, '\p{^Is_Category= -sm}', "");
    Expect(0, 126705, '\P{Is_Category= -sm}', "");
    Expect(1, 126705, '\P{^Is_Category= -sm}', "");
    Expect(0, 126706, '\p{Is_Category= -sm}', "");
    Expect(1, 126706, '\p{^Is_Category= -sm}', "");
    Expect(1, 126706, '\P{Is_Category= -sm}', "");
    Expect(0, 126706, '\P{^Is_Category= -sm}', "");
    Error('\p{General_Category=	 other_Symbol:=}');
    Error('\P{General_Category=	 other_Symbol:=}');
    Expect(1, 129994, '\p{General_Category=:\AOther_Symbol\z:}', "");;
    Expect(0, 129995, '\p{General_Category=:\AOther_Symbol\z:}', "");;
    Expect(1, 129994, '\p{General_Category=othersymbol}', "");
    Expect(0, 129994, '\p{^General_Category=othersymbol}', "");
    Expect(0, 129994, '\P{General_Category=othersymbol}', "");
    Expect(1, 129994, '\P{^General_Category=othersymbol}', "");
    Expect(0, 129995, '\p{General_Category=othersymbol}', "");
    Expect(1, 129995, '\p{^General_Category=othersymbol}', "");
    Expect(1, 129995, '\P{General_Category=othersymbol}', "");
    Expect(0, 129995, '\P{^General_Category=othersymbol}', "");
    Expect(1, 129994, '\p{General_Category=:\Aothersymbol\z:}', "");;
    Expect(0, 129995, '\p{General_Category=:\Aothersymbol\z:}', "");;
    Expect(1, 129994, '\p{General_Category=	_other_Symbol}', "");
    Expect(0, 129994, '\p{^General_Category=	_other_Symbol}', "");
    Expect(0, 129994, '\P{General_Category=	_other_Symbol}', "");
    Expect(1, 129994, '\P{^General_Category=	_other_Symbol}', "");
    Expect(0, 129995, '\p{General_Category=	_other_Symbol}', "");
    Expect(1, 129995, '\p{^General_Category=	_other_Symbol}', "");
    Expect(1, 129995, '\P{General_Category=	_other_Symbol}', "");
    Expect(0, 129995, '\P{^General_Category=	_other_Symbol}', "");
    Error('\p{Gc: /a/_ SO}');
    Error('\P{Gc: /a/_ SO}');
    Expect(1, 129994, '\p{Gc=:\ASo\z:}', "");;
    Expect(0, 129995, '\p{Gc=:\ASo\z:}', "");;
    Expect(1, 129994, '\p{Gc=so}', "");
    Expect(0, 129994, '\p{^Gc=so}', "");
    Expect(0, 129994, '\P{Gc=so}', "");
    Expect(1, 129994, '\P{^Gc=so}', "");
    Expect(0, 129995, '\p{Gc=so}', "");
    Expect(1, 129995, '\p{^Gc=so}', "");
    Expect(1, 129995, '\P{Gc=so}', "");
    Expect(0, 129995, '\P{^Gc=so}', "");
    Expect(1, 129994, '\p{Gc=:\Aso\z:}', "");;
    Expect(0, 129995, '\p{Gc=:\Aso\z:}', "");;
    Expect(1, 129994, '\p{Gc=--so}', "");
    Expect(0, 129994, '\p{^Gc=--so}', "");
    Expect(0, 129994, '\P{Gc=--so}', "");
    Expect(1, 129994, '\P{^Gc=--so}', "");
    Expect(0, 129995, '\p{Gc=--so}', "");
    Expect(1, 129995, '\p{^Gc=--so}', "");
    Expect(1, 129995, '\P{Gc=--so}', "");
    Expect(0, 129995, '\P{^Gc=--so}', "");
    Error('\p{Category=_/a/other_symbol}');
    Error('\P{Category=_/a/other_symbol}');
    Expect(1, 129994, '\p{Category=:\AOther_Symbol\z:}', "");;
    Expect(0, 129995, '\p{Category=:\AOther_Symbol\z:}', "");;
    Expect(1, 129994, '\p{Category=othersymbol}', "");
    Expect(0, 129994, '\p{^Category=othersymbol}', "");
    Expect(0, 129994, '\P{Category=othersymbol}', "");
    Expect(1, 129994, '\P{^Category=othersymbol}', "");
    Expect(0, 129995, '\p{Category=othersymbol}', "");
    Expect(1, 129995, '\p{^Category=othersymbol}', "");
    Expect(1, 129995, '\P{Category=othersymbol}', "");
    Expect(0, 129995, '\P{^Category=othersymbol}', "");
    Expect(1, 129994, '\p{Category=:\Aothersymbol\z:}', "");;
    Expect(0, 129995, '\p{Category=:\Aothersymbol\z:}', "");;
    Expect(1, 129994, '\p{Category=	Other_SYMBOL}', "");
    Expect(0, 129994, '\p{^Category=	Other_SYMBOL}', "");
    Expect(0, 129994, '\P{Category=	Other_SYMBOL}', "");
    Expect(1, 129994, '\P{^Category=	Other_SYMBOL}', "");
    Expect(0, 129995, '\p{Category=	Other_SYMBOL}', "");
    Expect(1, 129995, '\p{^Category=	Other_SYMBOL}', "");
    Expect(1, 129995, '\P{Category=	Other_SYMBOL}', "");
    Expect(0, 129995, '\P{^Category=	Other_SYMBOL}', "");
    Error('\p{Is_General_Category=-:=so}');
    Error('\P{Is_General_Category=-:=so}');
    Expect(1, 129994, '\p{Is_General_Category=so}', "");
    Expect(0, 129994, '\p{^Is_General_Category=so}', "");
    Expect(0, 129994, '\P{Is_General_Category=so}', "");
    Expect(1, 129994, '\P{^Is_General_Category=so}', "");
    Expect(0, 129995, '\p{Is_General_Category=so}', "");
    Expect(1, 129995, '\p{^Is_General_Category=so}', "");
    Expect(1, 129995, '\P{Is_General_Category=so}', "");
    Expect(0, 129995, '\P{^Is_General_Category=so}', "");
    Expect(1, 129994, '\p{Is_General_Category=-so}', "");
    Expect(0, 129994, '\p{^Is_General_Category=-so}', "");
    Expect(0, 129994, '\P{Is_General_Category=-so}', "");
    Expect(1, 129994, '\P{^Is_General_Category=-so}', "");
    Expect(0, 129995, '\p{Is_General_Category=-so}', "");
    Expect(1, 129995, '\p{^Is_General_Category=-so}', "");
    Expect(1, 129995, '\P{Is_General_Category=-so}', "");
    Expect(0, 129995, '\P{^Is_General_Category=-so}', "");
    Error('\p{Is_Gc=__OTHER_SYMBOL:=}');
    Error('\P{Is_Gc=__OTHER_SYMBOL:=}');
    Expect(1, 129994, '\p{Is_Gc=othersymbol}', "");
    Expect(0, 129994, '\p{^Is_Gc=othersymbol}', "");
    Expect(0, 129994, '\P{Is_Gc=othersymbol}', "");
    Expect(1, 129994, '\P{^Is_Gc=othersymbol}', "");
    Expect(0, 129995, '\p{Is_Gc=othersymbol}', "");
    Expect(1, 129995, '\p{^Is_Gc=othersymbol}', "");
    Expect(1, 129995, '\P{Is_Gc=othersymbol}', "");
    Expect(0, 129995, '\P{^Is_Gc=othersymbol}', "");
    Expect(1, 129994, '\p{Is_Gc=	other_symbol}', "");
    Expect(0, 129994, '\p{^Is_Gc=	other_symbol}', "");
    Expect(0, 129994, '\P{Is_Gc=	other_symbol}', "");
    Expect(1, 129994, '\P{^Is_Gc=	other_symbol}', "");
    Expect(0, 129995, '\p{Is_Gc=	other_symbol}', "");
    Expect(1, 129995, '\p{^Is_Gc=	other_symbol}', "");
    Expect(1, 129995, '\P{Is_Gc=	other_symbol}', "");
    Expect(0, 129995, '\P{^Is_Gc=	other_symbol}', "");
    Error('\p{Is_Category=_/a/So}');
    Error('\P{Is_Category=_/a/So}');
    Expect(1, 129994, '\p{Is_Category=so}', "");
    Expect(0, 129994, '\p{^Is_Category=so}', "");
    Expect(0, 129994, '\P{Is_Category=so}', "");
    Expect(1, 129994, '\P{^Is_Category=so}', "");
    Expect(0, 129995, '\p{Is_Category=so}', "");
    Expect(1, 129995, '\p{^Is_Category=so}', "");
    Expect(1, 129995, '\P{Is_Category=so}', "");
    Expect(0, 129995, '\P{^Is_Category=so}', "");
    Expect(1, 129994, '\p{Is_Category=	So}', "");
    Expect(0, 129994, '\p{^Is_Category=	So}', "");
    Expect(0, 129994, '\P{Is_Category=	So}', "");
    Expect(1, 129994, '\P{^Is_Category=	So}', "");
    Expect(0, 129995, '\p{Is_Category=	So}', "");
    Expect(1, 129995, '\p{^Is_Category=	So}', "");
    Expect(1, 129995, '\P{Is_Category=	So}', "");
    Expect(0, 129995, '\P{^Is_Category=	So}', "");
    Error('\p{General_Category=/a/separator}');
    Error('\P{General_Category=/a/separator}');
    Expect(1, 12288, '\p{General_Category=:\ASeparator\z:}', "");;
    Expect(0, 12289, '\p{General_Category=:\ASeparator\z:}', "");;
    Expect(1, 12288, '\p{General_Category=separator}', "");
    Expect(0, 12288, '\p{^General_Category=separator}', "");
    Expect(0, 12288, '\P{General_Category=separator}', "");
    Expect(1, 12288, '\P{^General_Category=separator}', "");
    Expect(0, 12289, '\p{General_Category=separator}', "");
    Expect(1, 12289, '\p{^General_Category=separator}', "");
    Expect(1, 12289, '\P{General_Category=separator}', "");
    Expect(0, 12289, '\P{^General_Category=separator}', "");
    Expect(1, 12288, '\p{General_Category=:\Aseparator\z:}', "");;
    Expect(0, 12289, '\p{General_Category=:\Aseparator\z:}', "");;
    Expect(1, 12288, '\p{General_Category=	-Separator}', "");
    Expect(0, 12288, '\p{^General_Category=	-Separator}', "");
    Expect(0, 12288, '\P{General_Category=	-Separator}', "");
    Expect(1, 12288, '\P{^General_Category=	-Separator}', "");
    Expect(0, 12289, '\p{General_Category=	-Separator}', "");
    Expect(1, 12289, '\p{^General_Category=	-Separator}', "");
    Expect(1, 12289, '\P{General_Category=	-Separator}', "");
    Expect(0, 12289, '\P{^General_Category=	-Separator}', "");
    Error('\p{Gc=/a/z}');
    Error('\P{Gc=/a/z}');
    Expect(1, 12288, '\p{Gc=:\AZ\z:}', "");;
    Expect(0, 12289, '\p{Gc=:\AZ\z:}', "");;
    Expect(1, 12288, '\p{Gc=z}', "");
    Expect(0, 12288, '\p{^Gc=z}', "");
    Expect(0, 12288, '\P{Gc=z}', "");
    Expect(1, 12288, '\P{^Gc=z}', "");
    Expect(0, 12289, '\p{Gc=z}', "");
    Expect(1, 12289, '\p{^Gc=z}', "");
    Expect(1, 12289, '\P{Gc=z}', "");
    Expect(0, 12289, '\P{^Gc=z}', "");
    Expect(1, 12288, '\p{Gc=:\Az\z:}', "");;
    Expect(0, 12289, '\p{Gc=:\Az\z:}', "");;
    Expect(1, 12288, '\p{Gc=__Z}', "");
    Expect(0, 12288, '\p{^Gc=__Z}', "");
    Expect(0, 12288, '\P{Gc=__Z}', "");
    Expect(1, 12288, '\P{^Gc=__Z}', "");
    Expect(0, 12289, '\p{Gc=__Z}', "");
    Expect(1, 12289, '\p{^Gc=__Z}', "");
    Expect(1, 12289, '\P{Gc=__Z}', "");
    Expect(0, 12289, '\P{^Gc=__Z}', "");
    Error('\p{Category=-Separator:=}');
    Error('\P{Category=-Separator:=}');
    Expect(1, 12288, '\p{Category=:\ASeparator\z:}', "");;
    Expect(0, 12289, '\p{Category=:\ASeparator\z:}', "");;
    Expect(1, 12288, '\p{Category=separator}', "");
    Expect(0, 12288, '\p{^Category=separator}', "");
    Expect(0, 12288, '\P{Category=separator}', "");
    Expect(1, 12288, '\P{^Category=separator}', "");
    Expect(0, 12289, '\p{Category=separator}', "");
    Expect(1, 12289, '\p{^Category=separator}', "");
    Expect(1, 12289, '\P{Category=separator}', "");
    Expect(0, 12289, '\P{^Category=separator}', "");
    Expect(1, 12288, '\p{Category=:\Aseparator\z:}', "");;
    Expect(0, 12289, '\p{Category=:\Aseparator\z:}', "");;
    Expect(1, 12288, '\p{Category=  Separator}', "");
    Expect(0, 12288, '\p{^Category=  Separator}', "");
    Expect(0, 12288, '\P{Category=  Separator}', "");
    Expect(1, 12288, '\P{^Category=  Separator}', "");
    Expect(0, 12289, '\p{Category=  Separator}', "");
    Expect(1, 12289, '\p{^Category=  Separator}', "");
    Expect(1, 12289, '\P{Category=  Separator}', "");
    Expect(0, 12289, '\P{^Category=  Separator}', "");
    Error('\p{Is_General_Category:	 :=Z}');
    Error('\P{Is_General_Category:	 :=Z}');
    Expect(1, 12288, '\p{Is_General_Category=z}', "");
    Expect(0, 12288, '\p{^Is_General_Category=z}', "");
    Expect(0, 12288, '\P{Is_General_Category=z}', "");
    Expect(1, 12288, '\P{^Is_General_Category=z}', "");
    Expect(0, 12289, '\p{Is_General_Category=z}', "");
    Expect(1, 12289, '\p{^Is_General_Category=z}', "");
    Expect(1, 12289, '\P{Is_General_Category=z}', "");
    Expect(0, 12289, '\P{^Is_General_Category=z}', "");
    Expect(1, 12288, '\p{Is_General_Category=--Z}', "");
    Expect(0, 12288, '\p{^Is_General_Category=--Z}', "");
    Expect(0, 12288, '\P{Is_General_Category=--Z}', "");
    Expect(1, 12288, '\P{^Is_General_Category=--Z}', "");
    Expect(0, 12289, '\p{Is_General_Category=--Z}', "");
    Expect(1, 12289, '\p{^Is_General_Category=--Z}', "");
    Expect(1, 12289, '\P{Is_General_Category=--Z}', "");
    Expect(0, 12289, '\P{^Is_General_Category=--Z}', "");
    Error('\p{Is_Gc=_	Separator:=}');
    Error('\P{Is_Gc=_	Separator:=}');
    Expect(1, 12288, '\p{Is_Gc: separator}', "");
    Expect(0, 12288, '\p{^Is_Gc: separator}', "");
    Expect(0, 12288, '\P{Is_Gc: separator}', "");
    Expect(1, 12288, '\P{^Is_Gc: separator}', "");
    Expect(0, 12289, '\p{Is_Gc: separator}', "");
    Expect(1, 12289, '\p{^Is_Gc: separator}', "");
    Expect(1, 12289, '\P{Is_Gc: separator}', "");
    Expect(0, 12289, '\P{^Is_Gc: separator}', "");
    Expect(1, 12288, '\p{Is_Gc:_Separator}', "");
    Expect(0, 12288, '\p{^Is_Gc:_Separator}', "");
    Expect(0, 12288, '\P{Is_Gc:_Separator}', "");
    Expect(1, 12288, '\P{^Is_Gc:_Separator}', "");
    Expect(0, 12289, '\p{Is_Gc:_Separator}', "");
    Expect(1, 12289, '\p{^Is_Gc:_Separator}', "");
    Expect(1, 12289, '\P{Is_Gc:_Separator}', "");
    Expect(0, 12289, '\P{^Is_Gc:_Separator}', "");
    Error('\p{Is_Category=	:=Z}');
    Error('\P{Is_Category=	:=Z}');
    Expect(1, 12288, '\p{Is_Category=z}', "");
    Expect(0, 12288, '\p{^Is_Category=z}', "");
    Expect(0, 12288, '\P{Is_Category=z}', "");
    Expect(1, 12288, '\P{^Is_Category=z}', "");
    Expect(0, 12289, '\p{Is_Category=z}', "");
    Expect(1, 12289, '\p{^Is_Category=z}', "");
    Expect(1, 12289, '\P{Is_Category=z}', "");
    Expect(0, 12289, '\P{^Is_Category=z}', "");
    Expect(1, 12288, '\p{Is_Category= Z}', "");
    Expect(0, 12288, '\p{^Is_Category= Z}', "");
    Expect(0, 12288, '\P{Is_Category= Z}', "");
    Expect(1, 12288, '\P{^Is_Category= Z}', "");
    Expect(0, 12289, '\p{Is_Category= Z}', "");
    Expect(1, 12289, '\p{^Is_Category= Z}', "");
    Expect(1, 12289, '\P{Is_Category= Z}', "");
    Expect(0, 12289, '\P{^Is_Category= Z}', "");
    Error('\p{General_Category=_ line_Separator:=}');
    Error('\P{General_Category=_ line_Separator:=}');
    Expect(1, 8232, '\p{General_Category=:\ALine_Separator\z:}', "");;
    Expect(0, 8233, '\p{General_Category=:\ALine_Separator\z:}', "");;
    Expect(1, 8232, '\p{General_Category=lineseparator}', "");
    Expect(0, 8232, '\p{^General_Category=lineseparator}', "");
    Expect(0, 8232, '\P{General_Category=lineseparator}', "");
    Expect(1, 8232, '\P{^General_Category=lineseparator}', "");
    Expect(0, 8233, '\p{General_Category=lineseparator}', "");
    Expect(1, 8233, '\p{^General_Category=lineseparator}', "");
    Expect(1, 8233, '\P{General_Category=lineseparator}', "");
    Expect(0, 8233, '\P{^General_Category=lineseparator}', "");
    Expect(1, 8232, '\p{General_Category=:\Alineseparator\z:}', "");;
    Expect(0, 8233, '\p{General_Category=:\Alineseparator\z:}', "");;
    Expect(1, 8232, '\p{General_Category=--Line_Separator}', "");
    Expect(0, 8232, '\p{^General_Category=--Line_Separator}', "");
    Expect(0, 8232, '\P{General_Category=--Line_Separator}', "");
    Expect(1, 8232, '\P{^General_Category=--Line_Separator}', "");
    Expect(0, 8233, '\p{General_Category=--Line_Separator}', "");
    Expect(1, 8233, '\p{^General_Category=--Line_Separator}', "");
    Expect(1, 8233, '\P{General_Category=--Line_Separator}', "");
    Expect(0, 8233, '\P{^General_Category=--Line_Separator}', "");
    Error('\p{Gc=/a/__Zl}');
    Error('\P{Gc=/a/__Zl}');
    Expect(1, 8232, '\p{Gc=:\AZl\z:}', "");;
    Expect(0, 8233, '\p{Gc=:\AZl\z:}', "");;
    Expect(1, 8232, '\p{Gc=zl}', "");
    Expect(0, 8232, '\p{^Gc=zl}', "");
    Expect(0, 8232, '\P{Gc=zl}', "");
    Expect(1, 8232, '\P{^Gc=zl}', "");
    Expect(0, 8233, '\p{Gc=zl}', "");
    Expect(1, 8233, '\p{^Gc=zl}', "");
    Expect(1, 8233, '\P{Gc=zl}', "");
    Expect(0, 8233, '\P{^Gc=zl}', "");
    Expect(1, 8232, '\p{Gc=:\Azl\z:}', "");;
    Expect(0, 8233, '\p{Gc=:\Azl\z:}', "");;
    Expect(1, 8232, '\p{Gc=	Zl}', "");
    Expect(0, 8232, '\p{^Gc=	Zl}', "");
    Expect(0, 8232, '\P{Gc=	Zl}', "");
    Expect(1, 8232, '\P{^Gc=	Zl}', "");
    Expect(0, 8233, '\p{Gc=	Zl}', "");
    Expect(1, 8233, '\p{^Gc=	Zl}', "");
    Expect(1, 8233, '\P{Gc=	Zl}', "");
    Expect(0, 8233, '\P{^Gc=	Zl}', "");
    Error('\p{Category=:=	 line_Separator}');
    Error('\P{Category=:=	 line_Separator}');
    Expect(1, 8232, '\p{Category=:\ALine_Separator\z:}', "");;
    Expect(0, 8233, '\p{Category=:\ALine_Separator\z:}', "");;
    Expect(1, 8232, '\p{Category=lineseparator}', "");
    Expect(0, 8232, '\p{^Category=lineseparator}', "");
    Expect(0, 8232, '\P{Category=lineseparator}', "");
    Expect(1, 8232, '\P{^Category=lineseparator}', "");
    Expect(0, 8233, '\p{Category=lineseparator}', "");
    Expect(1, 8233, '\p{^Category=lineseparator}', "");
    Expect(1, 8233, '\P{Category=lineseparator}', "");
    Expect(0, 8233, '\P{^Category=lineseparator}', "");
    Expect(1, 8232, '\p{Category=:\Alineseparator\z:}', "");;
    Expect(0, 8233, '\p{Category=:\Alineseparator\z:}', "");;
    Expect(1, 8232, '\p{Category:	 Line_separator}', "");
    Expect(0, 8232, '\p{^Category:	 Line_separator}', "");
    Expect(0, 8232, '\P{Category:	 Line_separator}', "");
    Expect(1, 8232, '\P{^Category:	 Line_separator}', "");
    Expect(0, 8233, '\p{Category:	 Line_separator}', "");
    Expect(1, 8233, '\p{^Category:	 Line_separator}', "");
    Expect(1, 8233, '\P{Category:	 Line_separator}', "");
    Expect(0, 8233, '\P{^Category:	 Line_separator}', "");
    Error('\p{Is_General_Category= 	Zl/a/}');
    Error('\P{Is_General_Category= 	Zl/a/}');
    Expect(1, 8232, '\p{Is_General_Category=zl}', "");
    Expect(0, 8232, '\p{^Is_General_Category=zl}', "");
    Expect(0, 8232, '\P{Is_General_Category=zl}', "");
    Expect(1, 8232, '\P{^Is_General_Category=zl}', "");
    Expect(0, 8233, '\p{Is_General_Category=zl}', "");
    Expect(1, 8233, '\p{^Is_General_Category=zl}', "");
    Expect(1, 8233, '\P{Is_General_Category=zl}', "");
    Expect(0, 8233, '\P{^Is_General_Category=zl}', "");
    Expect(1, 8232, '\p{Is_General_Category=--ZL}', "");
    Expect(0, 8232, '\p{^Is_General_Category=--ZL}', "");
    Expect(0, 8232, '\P{Is_General_Category=--ZL}', "");
    Expect(1, 8232, '\P{^Is_General_Category=--ZL}', "");
    Expect(0, 8233, '\p{Is_General_Category=--ZL}', "");
    Expect(1, 8233, '\p{^Is_General_Category=--ZL}', "");
    Expect(1, 8233, '\P{Is_General_Category=--ZL}', "");
    Expect(0, 8233, '\P{^Is_General_Category=--ZL}', "");
    Error('\p{Is_Gc:   _Line_SEPARATOR/a/}');
    Error('\P{Is_Gc:   _Line_SEPARATOR/a/}');
    Expect(1, 8232, '\p{Is_Gc=lineseparator}', "");
    Expect(0, 8232, '\p{^Is_Gc=lineseparator}', "");
    Expect(0, 8232, '\P{Is_Gc=lineseparator}', "");
    Expect(1, 8232, '\P{^Is_Gc=lineseparator}', "");
    Expect(0, 8233, '\p{Is_Gc=lineseparator}', "");
    Expect(1, 8233, '\p{^Is_Gc=lineseparator}', "");
    Expect(1, 8233, '\P{Is_Gc=lineseparator}', "");
    Expect(0, 8233, '\P{^Is_Gc=lineseparator}', "");
    Expect(1, 8232, '\p{Is_Gc=_	Line_Separator}', "");
    Expect(0, 8232, '\p{^Is_Gc=_	Line_Separator}', "");
    Expect(0, 8232, '\P{Is_Gc=_	Line_Separator}', "");
    Expect(1, 8232, '\P{^Is_Gc=_	Line_Separator}', "");
    Expect(0, 8233, '\p{Is_Gc=_	Line_Separator}', "");
    Expect(1, 8233, '\p{^Is_Gc=_	Line_Separator}', "");
    Expect(1, 8233, '\P{Is_Gc=_	Line_Separator}', "");
    Expect(0, 8233, '\P{^Is_Gc=_	Line_Separator}', "");
    Error('\p{Is_Category=/a/_zl}');
    Error('\P{Is_Category=/a/_zl}');
    Expect(1, 8232, '\p{Is_Category=zl}', "");
    Expect(0, 8232, '\p{^Is_Category=zl}', "");
    Expect(0, 8232, '\P{Is_Category=zl}', "");
    Expect(1, 8232, '\P{^Is_Category=zl}', "");
    Expect(0, 8233, '\p{Is_Category=zl}', "");
    Expect(1, 8233, '\p{^Is_Category=zl}', "");
    Expect(1, 8233, '\P{Is_Category=zl}', "");
    Expect(0, 8233, '\P{^Is_Category=zl}', "");
    Expect(1, 8232, '\p{Is_Category=		ZL}', "");
    Expect(0, 8232, '\p{^Is_Category=		ZL}', "");
    Expect(0, 8232, '\P{Is_Category=		ZL}', "");
    Expect(1, 8232, '\P{^Is_Category=		ZL}', "");
    Expect(0, 8233, '\p{Is_Category=		ZL}', "");
    Expect(1, 8233, '\p{^Is_Category=		ZL}', "");
    Expect(1, 8233, '\P{Is_Category=		ZL}', "");
    Expect(0, 8233, '\P{^Is_Category=		ZL}', "");
    Error('\p{General_Category:    _Paragraph_SEPARATOR/a/}');
    Error('\P{General_Category:    _Paragraph_SEPARATOR/a/}');
    Expect(1, 8233, '\p{General_Category=:\AParagraph_Separator\z:}', "");;
    Expect(0, 8234, '\p{General_Category=:\AParagraph_Separator\z:}', "");;
    Expect(1, 8233, '\p{General_Category=paragraphseparator}', "");
    Expect(0, 8233, '\p{^General_Category=paragraphseparator}', "");
    Expect(0, 8233, '\P{General_Category=paragraphseparator}', "");
    Expect(1, 8233, '\P{^General_Category=paragraphseparator}', "");
    Expect(0, 8234, '\p{General_Category=paragraphseparator}', "");
    Expect(1, 8234, '\p{^General_Category=paragraphseparator}', "");
    Expect(1, 8234, '\P{General_Category=paragraphseparator}', "");
    Expect(0, 8234, '\P{^General_Category=paragraphseparator}', "");
    Expect(1, 8233, '\p{General_Category=:\Aparagraphseparator\z:}', "");;
    Expect(0, 8234, '\p{General_Category=:\Aparagraphseparator\z:}', "");;
    Expect(1, 8233, '\p{General_Category=__Paragraph_Separator}', "");
    Expect(0, 8233, '\p{^General_Category=__Paragraph_Separator}', "");
    Expect(0, 8233, '\P{General_Category=__Paragraph_Separator}', "");
    Expect(1, 8233, '\P{^General_Category=__Paragraph_Separator}', "");
    Expect(0, 8234, '\p{General_Category=__Paragraph_Separator}', "");
    Expect(1, 8234, '\p{^General_Category=__Paragraph_Separator}', "");
    Expect(1, 8234, '\P{General_Category=__Paragraph_Separator}', "");
    Expect(0, 8234, '\P{^General_Category=__Paragraph_Separator}', "");
    Error('\p{Gc=-:=zp}');
    Error('\P{Gc=-:=zp}');
    Expect(1, 8233, '\p{Gc=:\AZp\z:}', "");;
    Expect(0, 8234, '\p{Gc=:\AZp\z:}', "");;
    Expect(1, 8233, '\p{Gc=zp}', "");
    Expect(0, 8233, '\p{^Gc=zp}', "");
    Expect(0, 8233, '\P{Gc=zp}', "");
    Expect(1, 8233, '\P{^Gc=zp}', "");
    Expect(0, 8234, '\p{Gc=zp}', "");
    Expect(1, 8234, '\p{^Gc=zp}', "");
    Expect(1, 8234, '\P{Gc=zp}', "");
    Expect(0, 8234, '\P{^Gc=zp}', "");
    Expect(1, 8233, '\p{Gc=:\Azp\z:}', "");;
    Expect(0, 8234, '\p{Gc=:\Azp\z:}', "");;
    Expect(1, 8233, '\p{Gc= 	Zp}', "");
    Expect(0, 8233, '\p{^Gc= 	Zp}', "");
    Expect(0, 8233, '\P{Gc= 	Zp}', "");
    Expect(1, 8233, '\P{^Gc= 	Zp}', "");
    Expect(0, 8234, '\p{Gc= 	Zp}', "");
    Expect(1, 8234, '\p{^Gc= 	Zp}', "");
    Expect(1, 8234, '\P{Gc= 	Zp}', "");
    Expect(0, 8234, '\P{^Gc= 	Zp}', "");
    Error('\p{Category=/a/_-Paragraph_Separator}');
    Error('\P{Category=/a/_-Paragraph_Separator}');
    Expect(1, 8233, '\p{Category=:\AParagraph_Separator\z:}', "");;
    Expect(0, 8234, '\p{Category=:\AParagraph_Separator\z:}', "");;
    Expect(1, 8233, '\p{Category=paragraphseparator}', "");
    Expect(0, 8233, '\p{^Category=paragraphseparator}', "");
    Expect(0, 8233, '\P{Category=paragraphseparator}', "");
    Expect(1, 8233, '\P{^Category=paragraphseparator}', "");
    Expect(0, 8234, '\p{Category=paragraphseparator}', "");
    Expect(1, 8234, '\p{^Category=paragraphseparator}', "");
    Expect(1, 8234, '\P{Category=paragraphseparator}', "");
    Expect(0, 8234, '\P{^Category=paragraphseparator}', "");
    Expect(1, 8233, '\p{Category=:\Aparagraphseparator\z:}', "");;
    Expect(0, 8234, '\p{Category=:\Aparagraphseparator\z:}', "");;
    Expect(1, 8233, '\p{Category=_Paragraph_SEPARATOR}', "");
    Expect(0, 8233, '\p{^Category=_Paragraph_SEPARATOR}', "");
    Expect(0, 8233, '\P{Category=_Paragraph_SEPARATOR}', "");
    Expect(1, 8233, '\P{^Category=_Paragraph_SEPARATOR}', "");
    Expect(0, 8234, '\p{Category=_Paragraph_SEPARATOR}', "");
    Expect(1, 8234, '\p{^Category=_Paragraph_SEPARATOR}', "");
    Expect(1, 8234, '\P{Category=_Paragraph_SEPARATOR}', "");
    Expect(0, 8234, '\P{^Category=_Paragraph_SEPARATOR}', "");
    Error('\p{Is_General_Category:   /a/ zp}');
    Error('\P{Is_General_Category:   /a/ zp}');
    Expect(1, 8233, '\p{Is_General_Category=zp}', "");
    Expect(0, 8233, '\p{^Is_General_Category=zp}', "");
    Expect(0, 8233, '\P{Is_General_Category=zp}', "");
    Expect(1, 8233, '\P{^Is_General_Category=zp}', "");
    Expect(0, 8234, '\p{Is_General_Category=zp}', "");
    Expect(1, 8234, '\p{^Is_General_Category=zp}', "");
    Expect(1, 8234, '\P{Is_General_Category=zp}', "");
    Expect(0, 8234, '\P{^Is_General_Category=zp}', "");
    Expect(1, 8233, '\p{Is_General_Category=	Zp}', "");
    Expect(0, 8233, '\p{^Is_General_Category=	Zp}', "");
    Expect(0, 8233, '\P{Is_General_Category=	Zp}', "");
    Expect(1, 8233, '\P{^Is_General_Category=	Zp}', "");
    Expect(0, 8234, '\p{Is_General_Category=	Zp}', "");
    Expect(1, 8234, '\p{^Is_General_Category=	Zp}', "");
    Expect(1, 8234, '\P{Is_General_Category=	Zp}', "");
    Expect(0, 8234, '\P{^Is_General_Category=	Zp}', "");
    Error('\p{Is_Gc=/a/__Paragraph_Separator}');
    Error('\P{Is_Gc=/a/__Paragraph_Separator}');
    Expect(1, 8233, '\p{Is_Gc=paragraphseparator}', "");
    Expect(0, 8233, '\p{^Is_Gc=paragraphseparator}', "");
    Expect(0, 8233, '\P{Is_Gc=paragraphseparator}', "");
    Expect(1, 8233, '\P{^Is_Gc=paragraphseparator}', "");
    Expect(0, 8234, '\p{Is_Gc=paragraphseparator}', "");
    Expect(1, 8234, '\p{^Is_Gc=paragraphseparator}', "");
    Expect(1, 8234, '\P{Is_Gc=paragraphseparator}', "");
    Expect(0, 8234, '\P{^Is_Gc=paragraphseparator}', "");
    Expect(1, 8233, '\p{Is_Gc: 	 PARAGRAPH_Separator}', "");
    Expect(0, 8233, '\p{^Is_Gc: 	 PARAGRAPH_Separator}', "");
    Expect(0, 8233, '\P{Is_Gc: 	 PARAGRAPH_Separator}', "");
    Expect(1, 8233, '\P{^Is_Gc: 	 PARAGRAPH_Separator}', "");
    Expect(0, 8234, '\p{Is_Gc: 	 PARAGRAPH_Separator}', "");
    Expect(1, 8234, '\p{^Is_Gc: 	 PARAGRAPH_Separator}', "");
    Expect(1, 8234, '\P{Is_Gc: 	 PARAGRAPH_Separator}', "");
    Expect(0, 8234, '\P{^Is_Gc: 	 PARAGRAPH_Separator}', "");
    Error('\p{Is_Category=/a/__Zp}');
    Error('\P{Is_Category=/a/__Zp}');
    Expect(1, 8233, '\p{Is_Category=zp}', "");
    Expect(0, 8233, '\p{^Is_Category=zp}', "");
    Expect(0, 8233, '\P{Is_Category=zp}', "");
    Expect(1, 8233, '\P{^Is_Category=zp}', "");
    Expect(0, 8234, '\p{Is_Category=zp}', "");
    Expect(1, 8234, '\p{^Is_Category=zp}', "");
    Expect(1, 8234, '\P{Is_Category=zp}', "");
    Expect(0, 8234, '\P{^Is_Category=zp}', "");
    Expect(1, 8233, '\p{Is_Category=-Zp}', "");
    Expect(0, 8233, '\p{^Is_Category=-Zp}', "");
    Expect(0, 8233, '\P{Is_Category=-Zp}', "");
    Expect(1, 8233, '\P{^Is_Category=-Zp}', "");
    Expect(0, 8234, '\p{Is_Category=-Zp}', "");
    Expect(1, 8234, '\p{^Is_Category=-Zp}', "");
    Expect(1, 8234, '\P{Is_Category=-Zp}', "");
    Expect(0, 8234, '\P{^Is_Category=-Zp}', "");
    Error('\p{General_Category=-:=Space_Separator}');
    Error('\P{General_Category=-:=Space_Separator}');
    Expect(1, 12288, '\p{General_Category=:\ASpace_Separator\z:}', "");;
    Expect(0, 12289, '\p{General_Category=:\ASpace_Separator\z:}', "");;
    Expect(1, 12288, '\p{General_Category:   spaceseparator}', "");
    Expect(0, 12288, '\p{^General_Category:   spaceseparator}', "");
    Expect(0, 12288, '\P{General_Category:   spaceseparator}', "");
    Expect(1, 12288, '\P{^General_Category:   spaceseparator}', "");
    Expect(0, 12289, '\p{General_Category:   spaceseparator}', "");
    Expect(1, 12289, '\p{^General_Category:   spaceseparator}', "");
    Expect(1, 12289, '\P{General_Category:   spaceseparator}', "");
    Expect(0, 12289, '\P{^General_Category:   spaceseparator}', "");
    Expect(1, 12288, '\p{General_Category=:\Aspaceseparator\z:}', "");;
    Expect(0, 12289, '\p{General_Category=:\Aspaceseparator\z:}', "");;
    Expect(1, 12288, '\p{General_Category= _Space_Separator}', "");
    Expect(0, 12288, '\p{^General_Category= _Space_Separator}', "");
    Expect(0, 12288, '\P{General_Category= _Space_Separator}', "");
    Expect(1, 12288, '\P{^General_Category= _Space_Separator}', "");
    Expect(0, 12289, '\p{General_Category= _Space_Separator}', "");
    Expect(1, 12289, '\p{^General_Category= _Space_Separator}', "");
    Expect(1, 12289, '\P{General_Category= _Space_Separator}', "");
    Expect(0, 12289, '\P{^General_Category= _Space_Separator}', "");
    Error('\p{Gc= Zs/a/}');
    Error('\P{Gc= Zs/a/}');
    Expect(1, 12288, '\p{Gc=:\AZs\z:}', "");;
    Expect(0, 12289, '\p{Gc=:\AZs\z:}', "");;
    Expect(1, 12288, '\p{Gc:	zs}', "");
    Expect(0, 12288, '\p{^Gc:	zs}', "");
    Expect(0, 12288, '\P{Gc:	zs}', "");
    Expect(1, 12288, '\P{^Gc:	zs}', "");
    Expect(0, 12289, '\p{Gc:	zs}', "");
    Expect(1, 12289, '\p{^Gc:	zs}', "");
    Expect(1, 12289, '\P{Gc:	zs}', "");
    Expect(0, 12289, '\P{^Gc:	zs}', "");
    Expect(1, 12288, '\p{Gc=:\Azs\z:}', "");;
    Expect(0, 12289, '\p{Gc=:\Azs\z:}', "");;
    Expect(1, 12288, '\p{Gc= 	zs}', "");
    Expect(0, 12288, '\p{^Gc= 	zs}', "");
    Expect(0, 12288, '\P{Gc= 	zs}', "");
    Expect(1, 12288, '\P{^Gc= 	zs}', "");
    Expect(0, 12289, '\p{Gc= 	zs}', "");
    Expect(1, 12289, '\p{^Gc= 	zs}', "");
    Expect(1, 12289, '\P{Gc= 	zs}', "");
    Expect(0, 12289, '\P{^Gc= 	zs}', "");
    Error('\p{Category=/a/ SPACE_Separator}');
    Error('\P{Category=/a/ SPACE_Separator}');
    Expect(1, 12288, '\p{Category=:\ASpace_Separator\z:}', "");;
    Expect(0, 12289, '\p{Category=:\ASpace_Separator\z:}', "");;
    Expect(1, 12288, '\p{Category=spaceseparator}', "");
    Expect(0, 12288, '\p{^Category=spaceseparator}', "");
    Expect(0, 12288, '\P{Category=spaceseparator}', "");
    Expect(1, 12288, '\P{^Category=spaceseparator}', "");
    Expect(0, 12289, '\p{Category=spaceseparator}', "");
    Expect(1, 12289, '\p{^Category=spaceseparator}', "");
    Expect(1, 12289, '\P{Category=spaceseparator}', "");
    Expect(0, 12289, '\P{^Category=spaceseparator}', "");
    Expect(1, 12288, '\p{Category=:\Aspaceseparator\z:}', "");;
    Expect(0, 12289, '\p{Category=:\Aspaceseparator\z:}', "");;
    Expect(1, 12288, '\p{Category=		SPACE_SEPARATOR}', "");
    Expect(0, 12288, '\p{^Category=		SPACE_SEPARATOR}', "");
    Expect(0, 12288, '\P{Category=		SPACE_SEPARATOR}', "");
    Expect(1, 12288, '\P{^Category=		SPACE_SEPARATOR}', "");
    Expect(0, 12289, '\p{Category=		SPACE_SEPARATOR}', "");
    Expect(1, 12289, '\p{^Category=		SPACE_SEPARATOR}', "");
    Expect(1, 12289, '\P{Category=		SPACE_SEPARATOR}', "");
    Expect(0, 12289, '\P{^Category=		SPACE_SEPARATOR}', "");
    Error('\p{Is_General_Category:_/a/Zs}');
    Error('\P{Is_General_Category:_/a/Zs}');
    Expect(1, 12288, '\p{Is_General_Category=zs}', "");
    Expect(0, 12288, '\p{^Is_General_Category=zs}', "");
    Expect(0, 12288, '\P{Is_General_Category=zs}', "");
    Expect(1, 12288, '\P{^Is_General_Category=zs}', "");
    Expect(0, 12289, '\p{Is_General_Category=zs}', "");
    Expect(1, 12289, '\p{^Is_General_Category=zs}', "");
    Expect(1, 12289, '\P{Is_General_Category=zs}', "");
    Expect(0, 12289, '\P{^Is_General_Category=zs}', "");
    Expect(1, 12288, '\p{Is_General_Category=  zs}', "");
    Expect(0, 12288, '\p{^Is_General_Category=  zs}', "");
    Expect(0, 12288, '\P{Is_General_Category=  zs}', "");
    Expect(1, 12288, '\P{^Is_General_Category=  zs}', "");
    Expect(0, 12289, '\p{Is_General_Category=  zs}', "");
    Expect(1, 12289, '\p{^Is_General_Category=  zs}', "");
    Expect(1, 12289, '\P{Is_General_Category=  zs}', "");
    Expect(0, 12289, '\P{^Is_General_Category=  zs}', "");
    Error('\p{Is_Gc=/a/	Space_separator}');
    Error('\P{Is_Gc=/a/	Space_separator}');
    Expect(1, 12288, '\p{Is_Gc:spaceseparator}', "");
    Expect(0, 12288, '\p{^Is_Gc:spaceseparator}', "");
    Expect(0, 12288, '\P{Is_Gc:spaceseparator}', "");
    Expect(1, 12288, '\P{^Is_Gc:spaceseparator}', "");
    Expect(0, 12289, '\p{Is_Gc:spaceseparator}', "");
    Expect(1, 12289, '\p{^Is_Gc:spaceseparator}', "");
    Expect(1, 12289, '\P{Is_Gc:spaceseparator}', "");
    Expect(0, 12289, '\P{^Is_Gc:spaceseparator}', "");
    Expect(1, 12288, '\p{Is_Gc= -Space_SEPARATOR}', "");
    Expect(0, 12288, '\p{^Is_Gc= -Space_SEPARATOR}', "");
    Expect(0, 12288, '\P{Is_Gc= -Space_SEPARATOR}', "");
    Expect(1, 12288, '\P{^Is_Gc= -Space_SEPARATOR}', "");
    Expect(0, 12289, '\p{Is_Gc= -Space_SEPARATOR}', "");
    Expect(1, 12289, '\p{^Is_Gc= -Space_SEPARATOR}', "");
    Expect(1, 12289, '\P{Is_Gc= -Space_SEPARATOR}', "");
    Expect(0, 12289, '\P{^Is_Gc= -Space_SEPARATOR}', "");
    Error('\p{Is_Category=	_Zs:=}');
    Error('\P{Is_Category=	_Zs:=}');
    Expect(1, 12288, '\p{Is_Category=zs}', "");
    Expect(0, 12288, '\p{^Is_Category=zs}', "");
    Expect(0, 12288, '\P{Is_Category=zs}', "");
    Expect(1, 12288, '\P{^Is_Category=zs}', "");
    Expect(0, 12289, '\p{Is_Category=zs}', "");
    Expect(1, 12289, '\p{^Is_Category=zs}', "");
    Expect(1, 12289, '\P{Is_Category=zs}', "");
    Expect(0, 12289, '\P{^Is_Category=zs}', "");
    Expect(1, 12288, '\p{Is_Category=- zs}', "");
    Expect(0, 12288, '\p{^Is_Category=- zs}', "");
    Expect(0, 12288, '\P{Is_Category=- zs}', "");
    Expect(1, 12288, '\P{^Is_Category=- zs}', "");
    Expect(0, 12289, '\p{Is_Category=- zs}', "");
    Expect(1, 12289, '\p{^Is_Category=- zs}', "");
    Expect(1, 12289, '\P{Is_Category=- zs}', "");
    Expect(0, 12289, '\P{^Is_Category=- zs}', "");
    Error('\p{graphemeclusterbreak}');
    Error('\P{graphemeclusterbreak}');
    Error('\p{gcb}');
    Error('\P{gcb}');
    Error('\p{_perlgcb}');
    Error('\P{_perlgcb}');
    Error('\p{Grapheme_Cluster_Break=-/a/Control}');
    Error('\P{Grapheme_Cluster_Break=-/a/Control}');
    Expect(1, 921599, '\p{Grapheme_Cluster_Break=:\AControl\z:}', "");;
    Expect(0, 921600, '\p{Grapheme_Cluster_Break=:\AControl\z:}', "");;
    Expect(1, 921599, '\p{Grapheme_Cluster_Break=control}', "");
    Expect(0, 921599, '\p{^Grapheme_Cluster_Break=control}', "");
    Expect(0, 921599, '\P{Grapheme_Cluster_Break=control}', "");
    Expect(1, 921599, '\P{^Grapheme_Cluster_Break=control}', "");
    Expect(0, 921600, '\p{Grapheme_Cluster_Break=control}', "");
    Expect(1, 921600, '\p{^Grapheme_Cluster_Break=control}', "");
    Expect(1, 921600, '\P{Grapheme_Cluster_Break=control}', "");
    Expect(0, 921600, '\P{^Grapheme_Cluster_Break=control}', "");
    Expect(1, 921599, '\p{Grapheme_Cluster_Break=:\Acontrol\z:}', "");;
    Expect(0, 921600, '\p{Grapheme_Cluster_Break=:\Acontrol\z:}', "");;
    Expect(1, 921599, '\p{Grapheme_Cluster_Break= control}', "");
    Expect(0, 921599, '\p{^Grapheme_Cluster_Break= control}', "");
    Expect(0, 921599, '\P{Grapheme_Cluster_Break= control}', "");
    Expect(1, 921599, '\P{^Grapheme_Cluster_Break= control}', "");
    Expect(0, 921600, '\p{Grapheme_Cluster_Break= control}', "");
    Expect(1, 921600, '\p{^Grapheme_Cluster_Break= control}', "");
    Expect(1, 921600, '\P{Grapheme_Cluster_Break= control}', "");
    Expect(0, 921600, '\P{^Grapheme_Cluster_Break= control}', "");
    Error('\p{GCB=/a/_	CN}');
    Error('\P{GCB=/a/_	CN}');
    Expect(1, 921599, '\p{GCB=:\ACN\z:}', "");;
    Expect(0, 921600, '\p{GCB=:\ACN\z:}', "");;
    Expect(1, 921599, '\p{GCB:	cn}', "");
    Expect(0, 921599, '\p{^GCB:	cn}', "");
    Expect(0, 921599, '\P{GCB:	cn}', "");
    Expect(1, 921599, '\P{^GCB:	cn}', "");
    Expect(0, 921600, '\p{GCB:	cn}', "");
    Expect(1, 921600, '\p{^GCB:	cn}', "");
    Expect(1, 921600, '\P{GCB:	cn}', "");
    Expect(0, 921600, '\P{^GCB:	cn}', "");
    Expect(1, 921599, '\p{GCB=:\Acn\z:}', "");;
    Expect(0, 921600, '\p{GCB=:\Acn\z:}', "");;
    Expect(1, 921599, '\p{GCB=-CN}', "");
    Expect(0, 921599, '\p{^GCB=-CN}', "");
    Expect(0, 921599, '\P{GCB=-CN}', "");
    Expect(1, 921599, '\P{^GCB=-CN}', "");
    Expect(0, 921600, '\p{GCB=-CN}', "");
    Expect(1, 921600, '\p{^GCB=-CN}', "");
    Expect(1, 921600, '\P{GCB=-CN}', "");
    Expect(0, 921600, '\P{^GCB=-CN}', "");
    Error('\p{Is_Grapheme_Cluster_Break= /a/CONTROL}');
    Error('\P{Is_Grapheme_Cluster_Break= /a/CONTROL}');
    Expect(1, 921599, '\p{Is_Grapheme_Cluster_Break=control}', "");
    Expect(0, 921599, '\p{^Is_Grapheme_Cluster_Break=control}', "");
    Expect(0, 921599, '\P{Is_Grapheme_Cluster_Break=control}', "");
    Expect(1, 921599, '\P{^Is_Grapheme_Cluster_Break=control}', "");
    Expect(0, 921600, '\p{Is_Grapheme_Cluster_Break=control}', "");
    Expect(1, 921600, '\p{^Is_Grapheme_Cluster_Break=control}', "");
    Expect(1, 921600, '\P{Is_Grapheme_Cluster_Break=control}', "");
    Expect(0, 921600, '\P{^Is_Grapheme_Cluster_Break=control}', "");
    Expect(1, 921599, '\p{Is_Grapheme_Cluster_Break=	-control}', "");
    Expect(0, 921599, '\p{^Is_Grapheme_Cluster_Break=	-control}', "");
    Expect(0, 921599, '\P{Is_Grapheme_Cluster_Break=	-control}', "");
    Expect(1, 921599, '\P{^Is_Grapheme_Cluster_Break=	-control}', "");
    Expect(0, 921600, '\p{Is_Grapheme_Cluster_Break=	-control}', "");
    Expect(1, 921600, '\p{^Is_Grapheme_Cluster_Break=	-control}', "");
    Expect(1, 921600, '\P{Is_Grapheme_Cluster_Break=	-control}', "");
    Expect(0, 921600, '\P{^Is_Grapheme_Cluster_Break=	-control}', "");
    Error('\p{Is_GCB=/a/-_CN}');
    Error('\P{Is_GCB=/a/-_CN}');
    Expect(1, 921599, '\p{Is_GCB=cn}', "");
    Expect(0, 921599, '\p{^Is_GCB=cn}', "");
    Expect(0, 921599, '\P{Is_GCB=cn}', "");
    Expect(1, 921599, '\P{^Is_GCB=cn}', "");
    Expect(0, 921600, '\p{Is_GCB=cn}', "");
    Expect(1, 921600, '\p{^Is_GCB=cn}', "");
    Expect(1, 921600, '\P{Is_GCB=cn}', "");
    Expect(0, 921600, '\P{^Is_GCB=cn}', "");
    Expect(1, 921599, '\p{Is_GCB=-_CN}', "");
    Expect(0, 921599, '\p{^Is_GCB=-_CN}', "");
    Expect(0, 921599, '\P{Is_GCB=-_CN}', "");
    Expect(1, 921599, '\P{^Is_GCB=-_CN}', "");
    Expect(0, 921600, '\p{Is_GCB=-_CN}', "");
    Expect(1, 921600, '\p{^Is_GCB=-_CN}', "");
    Expect(1, 921600, '\P{Is_GCB=-_CN}', "");
    Expect(0, 921600, '\P{^Is_GCB=-_CN}', "");
    Error('\p{Grapheme_Cluster_Break:	:=CR}');
    Error('\P{Grapheme_Cluster_Break:	:=CR}');
    Expect(1, 13, '\p{Grapheme_Cluster_Break=:\ACR\z:}', "");;
    Expect(0, 14, '\p{Grapheme_Cluster_Break=:\ACR\z:}', "");;
    Expect(1, 13, '\p{Grapheme_Cluster_Break=cr}', "");
    Expect(0, 13, '\p{^Grapheme_Cluster_Break=cr}', "");
    Expect(0, 13, '\P{Grapheme_Cluster_Break=cr}', "");
    Expect(1, 13, '\P{^Grapheme_Cluster_Break=cr}', "");
    Expect(0, 14, '\p{Grapheme_Cluster_Break=cr}', "");
    Expect(1, 14, '\p{^Grapheme_Cluster_Break=cr}', "");
    Expect(1, 14, '\P{Grapheme_Cluster_Break=cr}', "");
    Expect(0, 14, '\P{^Grapheme_Cluster_Break=cr}', "");
    Expect(1, 13, '\p{Grapheme_Cluster_Break=:\Acr\z:}', "");;
    Expect(0, 14, '\p{Grapheme_Cluster_Break=:\Acr\z:}', "");;
    Expect(1, 13, '\p{Grapheme_Cluster_Break=_CR}', "");
    Expect(0, 13, '\p{^Grapheme_Cluster_Break=_CR}', "");
    Expect(0, 13, '\P{Grapheme_Cluster_Break=_CR}', "");
    Expect(1, 13, '\P{^Grapheme_Cluster_Break=_CR}', "");
    Expect(0, 14, '\p{Grapheme_Cluster_Break=_CR}', "");
    Expect(1, 14, '\p{^Grapheme_Cluster_Break=_CR}', "");
    Expect(1, 14, '\P{Grapheme_Cluster_Break=_CR}', "");
    Expect(0, 14, '\P{^Grapheme_Cluster_Break=_CR}', "");
    Error('\p{GCB=:=_-CR}');
    Error('\P{GCB=:=_-CR}');
    Expect(1, 13, '\p{GCB=:\ACR\z:}', "");;
    Expect(0, 14, '\p{GCB=:\ACR\z:}', "");;
    Expect(1, 13, '\p{GCB=cr}', "");
    Expect(0, 13, '\p{^GCB=cr}', "");
    Expect(0, 13, '\P{GCB=cr}', "");
    Expect(1, 13, '\P{^GCB=cr}', "");
    Expect(0, 14, '\p{GCB=cr}', "");
    Expect(1, 14, '\p{^GCB=cr}', "");
    Expect(1, 14, '\P{GCB=cr}', "");
    Expect(0, 14, '\P{^GCB=cr}', "");
    Expect(1, 13, '\p{GCB=:\Acr\z:}', "");;
    Expect(0, 14, '\p{GCB=:\Acr\z:}', "");;
    Expect(1, 13, '\p{GCB=-CR}', "");
    Expect(0, 13, '\p{^GCB=-CR}', "");
    Expect(0, 13, '\P{GCB=-CR}', "");
    Expect(1, 13, '\P{^GCB=-CR}', "");
    Expect(0, 14, '\p{GCB=-CR}', "");
    Expect(1, 14, '\p{^GCB=-CR}', "");
    Expect(1, 14, '\P{GCB=-CR}', "");
    Expect(0, 14, '\P{^GCB=-CR}', "");
    Error('\p{Is_Grapheme_Cluster_Break=	/a/cr}');
    Error('\P{Is_Grapheme_Cluster_Break=	/a/cr}');
    Expect(1, 13, '\p{Is_Grapheme_Cluster_Break: cr}', "");
    Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break: cr}', "");
    Expect(0, 13, '\P{Is_Grapheme_Cluster_Break: cr}', "");
    Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break: cr}', "");
    Expect(0, 14, '\p{Is_Grapheme_Cluster_Break: cr}', "");
    Expect(1, 14, '\p{^Is_Grapheme_Cluster_Break: cr}', "");
    Expect(1, 14, '\P{Is_Grapheme_Cluster_Break: cr}', "");
    Expect(0, 14, '\P{^Is_Grapheme_Cluster_Break: cr}', "");
    Expect(1, 13, '\p{Is_Grapheme_Cluster_Break=- CR}', "");
    Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break=- CR}', "");
    Expect(0, 13, '\P{Is_Grapheme_Cluster_Break=- CR}', "");
    Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break=- CR}', "");
    Expect(0, 14, '\p{Is_Grapheme_Cluster_Break=- CR}', "");
    Expect(1, 14, '\p{^Is_Grapheme_Cluster_Break=- CR}', "");
    Expect(1, 14, '\P{Is_Grapheme_Cluster_Break=- CR}', "");
    Expect(0, 14, '\P{^Is_Grapheme_Cluster_Break=- CR}', "");
    Error('\p{Is_GCB=-/a/CR}');
    Error('\P{Is_GCB=-/a/CR}');
    Expect(1, 13, '\p{Is_GCB=cr}', "");
    Expect(0, 13, '\p{^Is_GCB=cr}', "");
    Expect(0, 13, '\P{Is_GCB=cr}', "");
    Expect(1, 13, '\P{^Is_GCB=cr}', "");
    Expect(0, 14, '\p{Is_GCB=cr}', "");
    Expect(1, 14, '\p{^Is_GCB=cr}', "");
    Expect(1, 14, '\P{Is_GCB=cr}', "");
    Expect(0, 14, '\P{^Is_GCB=cr}', "");
    Expect(1, 13, '\p{Is_GCB=	CR}', "");
    Expect(0, 13, '\p{^Is_GCB=	CR}', "");
    Expect(0, 13, '\P{Is_GCB=	CR}', "");
    Expect(1, 13, '\P{^Is_GCB=	CR}', "");
    Expect(0, 14, '\p{Is_GCB=	CR}', "");
    Expect(1, 14, '\p{^Is_GCB=	CR}', "");
    Expect(1, 14, '\P{Is_GCB=	CR}', "");
    Expect(0, 14, '\P{^Is_GCB=	CR}', "");
    Error('\p{Grapheme_Cluster_Break=:=	E_base}');
    Error('\P{Grapheme_Cluster_Break=:=	E_base}');
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\AE_Base\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break=ebase}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break=ebase}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break=ebase}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break=ebase}', "");
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\Aebase\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break= E_Base}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break= E_Base}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break= E_Base}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break= E_Base}', "");
    Error('\p{GCB=/a/EB}');
    Error('\P{GCB=/a/EB}');
    Expect(0, 1, '\p{GCB=:\AEB\z:}', "");;
    Expect(0, 1, '\p{GCB=eb}', "");
    Expect(1, 1, '\p{^GCB=eb}', "");
    Expect(1, 1, '\P{GCB=eb}', "");
    Expect(0, 1, '\P{^GCB=eb}', "");
    Expect(0, 1, '\p{GCB=:\Aeb\z:}', "");;
    Expect(0, 1, '\p{GCB:    	EB}', "");
    Expect(1, 1, '\p{^GCB:    	EB}', "");
    Expect(1, 1, '\P{GCB:    	EB}', "");
    Expect(0, 1, '\P{^GCB:    	EB}', "");
    Error('\p{Is_Grapheme_Cluster_Break=:=_E_BASE}');
    Error('\P{Is_Grapheme_Cluster_Break=:=_E_BASE}');
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=ebase}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=ebase}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=ebase}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=ebase}', "");
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=	-E_Base}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=	-E_Base}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=	-E_Base}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=	-E_Base}', "");
    Error('\p{Is_GCB=/a/	-eb}');
    Error('\P{Is_GCB=/a/	-eb}');
    Expect(0, 1, '\p{Is_GCB=eb}', "");
    Expect(1, 1, '\p{^Is_GCB=eb}', "");
    Expect(1, 1, '\P{Is_GCB=eb}', "");
    Expect(0, 1, '\P{^Is_GCB=eb}', "");
    Expect(0, 1, '\p{Is_GCB=_	eb}', "");
    Expect(1, 1, '\p{^Is_GCB=_	eb}', "");
    Expect(1, 1, '\P{Is_GCB=_	eb}', "");
    Expect(0, 1, '\P{^Is_GCB=_	eb}', "");
    Error('\p{Grapheme_Cluster_Break=- E_Base_GAZ/a/}');
    Error('\P{Grapheme_Cluster_Break=- E_Base_GAZ/a/}');
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\AE_Base_GAZ\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\Aebasegaz\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break=-E_BASE_GAZ}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break=-E_BASE_GAZ}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break=-E_BASE_GAZ}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break=-E_BASE_GAZ}', "");
    Error('\p{GCB=/a/ _ebg}');
    Error('\P{GCB=/a/ _ebg}');
    Expect(0, 1, '\p{GCB=:\AEBG\z:}', "");;
    Expect(0, 1, '\p{GCB=ebg}', "");
    Expect(1, 1, '\p{^GCB=ebg}', "");
    Expect(1, 1, '\P{GCB=ebg}', "");
    Expect(0, 1, '\P{^GCB=ebg}', "");
    Expect(0, 1, '\p{GCB=:\Aebg\z:}', "");;
    Expect(0, 1, '\p{GCB=-ebg}', "");
    Expect(1, 1, '\p{^GCB=-ebg}', "");
    Expect(1, 1, '\P{GCB=-ebg}', "");
    Expect(0, 1, '\P{^GCB=-ebg}', "");
    Error('\p{Is_Grapheme_Cluster_Break=/a/ _E_Base_GAZ}');
    Error('\P{Is_Grapheme_Cluster_Break=/a/ _E_Base_GAZ}');
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=ebasegaz}', "");
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=	-E_Base_GAZ}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=	-E_Base_GAZ}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=	-E_Base_GAZ}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=	-E_Base_GAZ}', "");
    Error('\p{Is_GCB=_:=EBG}');
    Error('\P{Is_GCB=_:=EBG}');
    Expect(0, 1, '\p{Is_GCB=ebg}', "");
    Expect(1, 1, '\p{^Is_GCB=ebg}', "");
    Expect(1, 1, '\P{Is_GCB=ebg}', "");
    Expect(0, 1, '\P{^Is_GCB=ebg}', "");
    Expect(0, 1, '\p{Is_GCB=	ebg}', "");
    Expect(1, 1, '\p{^Is_GCB=	ebg}', "");
    Expect(1, 1, '\P{Is_GCB=	ebg}', "");
    Expect(0, 1, '\P{^Is_GCB=	ebg}', "");
    Error('\p{Grapheme_Cluster_Break:	-E_MODIFIER/a/}');
    Error('\P{Grapheme_Cluster_Break:	-E_MODIFIER/a/}');
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\AE_Modifier\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break=emodifier}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break=emodifier}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break=emodifier}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break=emodifier}', "");
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\Aemodifier\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break=	 E_Modifier}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break=	 E_Modifier}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break=	 E_Modifier}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break=	 E_Modifier}', "");
    Error('\p{GCB=-EM/a/}');
    Error('\P{GCB=-EM/a/}');
    Expect(0, 1, '\p{GCB=:\AEM\z:}', "");;
    Expect(0, 1, '\p{GCB=em}', "");
    Expect(1, 1, '\p{^GCB=em}', "");
    Expect(1, 1, '\P{GCB=em}', "");
    Expect(0, 1, '\P{^GCB=em}', "");
    Expect(0, 1, '\p{GCB=:\Aem\z:}', "");;
    Expect(0, 1, '\p{GCB=-EM}', "");
    Expect(1, 1, '\p{^GCB=-EM}', "");
    Expect(1, 1, '\P{GCB=-EM}', "");
    Expect(0, 1, '\P{^GCB=-EM}', "");
    Error('\p{Is_Grapheme_Cluster_Break=	/a/E_Modifier}');
    Error('\P{Is_Grapheme_Cluster_Break=	/a/E_Modifier}');
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=emodifier}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=emodifier}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=emodifier}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=emodifier}', "");
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=-_E_MODIFIER}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=-_E_MODIFIER}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=-_E_MODIFIER}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=-_E_MODIFIER}', "");
    Error('\p{Is_GCB=-	EM:=}');
    Error('\P{Is_GCB=-	EM:=}');
    Expect(0, 1, '\p{Is_GCB=em}', "");
    Expect(1, 1, '\p{^Is_GCB=em}', "");
    Expect(1, 1, '\P{Is_GCB=em}', "");
    Expect(0, 1, '\P{^Is_GCB=em}', "");
    Expect(0, 1, '\p{Is_GCB=_EM}', "");
    Expect(1, 1, '\p{^Is_GCB=_EM}', "");
    Expect(1, 1, '\P{Is_GCB=_EM}', "");
    Expect(0, 1, '\P{^Is_GCB=_EM}', "");
    Error('\p{Grapheme_Cluster_Break=:=-Extend}');
    Error('\P{Grapheme_Cluster_Break=:=-Extend}');
    Expect(1, 917999, '\p{Grapheme_Cluster_Break=:\AExtend\z:}', "");;
    Expect(0, 918000, '\p{Grapheme_Cluster_Break=:\AExtend\z:}', "");;
    Expect(1, 917999, '\p{Grapheme_Cluster_Break:	extend}', "");
    Expect(0, 917999, '\p{^Grapheme_Cluster_Break:	extend}', "");
    Expect(0, 917999, '\P{Grapheme_Cluster_Break:	extend}', "");
    Expect(1, 917999, '\P{^Grapheme_Cluster_Break:	extend}', "");
    Expect(0, 918000, '\p{Grapheme_Cluster_Break:	extend}', "");
    Expect(1, 918000, '\p{^Grapheme_Cluster_Break:	extend}', "");
    Expect(1, 918000, '\P{Grapheme_Cluster_Break:	extend}', "");
    Expect(0, 918000, '\P{^Grapheme_Cluster_Break:	extend}', "");
    Expect(1, 917999, '\p{Grapheme_Cluster_Break=:\Aextend\z:}', "");;
    Expect(0, 918000, '\p{Grapheme_Cluster_Break=:\Aextend\z:}', "");;
    Expect(1, 917999, '\p{Grapheme_Cluster_Break=-_Extend}', "");
    Expect(0, 917999, '\p{^Grapheme_Cluster_Break=-_Extend}', "");
    Expect(0, 917999, '\P{Grapheme_Cluster_Break=-_Extend}', "");
    Expect(1, 917999, '\P{^Grapheme_Cluster_Break=-_Extend}', "");
    Expect(0, 918000, '\p{Grapheme_Cluster_Break=-_Extend}', "");
    Expect(1, 918000, '\p{^Grapheme_Cluster_Break=-_Extend}', "");
    Expect(1, 918000, '\P{Grapheme_Cluster_Break=-_Extend}', "");
    Expect(0, 918000, '\P{^Grapheme_Cluster_Break=-_Extend}', "");
    Error('\p{GCB=	_EX:=}');
    Error('\P{GCB=	_EX:=}');
    Expect(1, 917999, '\p{GCB=:\AEX\z:}', "");;
    Expect(0, 918000, '\p{GCB=:\AEX\z:}', "");;
    Expect(1, 917999, '\p{GCB=ex}', "");
    Expect(0, 917999, '\p{^GCB=ex}', "");
    Expect(0, 917999, '\P{GCB=ex}', "");
    Expect(1, 917999, '\P{^GCB=ex}', "");
    Expect(0, 918000, '\p{GCB=ex}', "");
    Expect(1, 918000, '\p{^GCB=ex}', "");
    Expect(1, 918000, '\P{GCB=ex}', "");
    Expect(0, 918000, '\P{^GCB=ex}', "");
    Expect(1, 917999, '\p{GCB=:\Aex\z:}', "");;
    Expect(0, 918000, '\p{GCB=:\Aex\z:}', "");;
    Expect(1, 917999, '\p{GCB=-	EX}', "");
    Expect(0, 917999, '\p{^GCB=-	EX}', "");
    Expect(0, 917999, '\P{GCB=-	EX}', "");
    Expect(1, 917999, '\P{^GCB=-	EX}', "");
    Expect(0, 918000, '\p{GCB=-	EX}', "");
    Expect(1, 918000, '\p{^GCB=-	EX}', "");
    Expect(1, 918000, '\P{GCB=-	EX}', "");
    Expect(0, 918000, '\P{^GCB=-	EX}', "");
    Error('\p{Is_Grapheme_Cluster_Break=__EXTEND/a/}');
    Error('\P{Is_Grapheme_Cluster_Break=__EXTEND/a/}');
    Expect(1, 917999, '\p{Is_Grapheme_Cluster_Break=extend}', "");
    Expect(0, 917999, '\p{^Is_Grapheme_Cluster_Break=extend}', "");
    Expect(0, 917999, '\P{Is_Grapheme_Cluster_Break=extend}', "");
    Expect(1, 917999, '\P{^Is_Grapheme_Cluster_Break=extend}', "");
    Expect(0, 918000, '\p{Is_Grapheme_Cluster_Break=extend}', "");
    Expect(1, 918000, '\p{^Is_Grapheme_Cluster_Break=extend}', "");
    Expect(1, 918000, '\P{Is_Grapheme_Cluster_Break=extend}', "");
    Expect(0, 918000, '\P{^Is_Grapheme_Cluster_Break=extend}', "");
    Expect(1, 917999, '\p{Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Expect(0, 917999, '\p{^Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Expect(0, 917999, '\P{Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Expect(1, 917999, '\P{^Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Expect(0, 918000, '\p{Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Expect(1, 918000, '\p{^Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Expect(1, 918000, '\P{Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Expect(0, 918000, '\P{^Is_Grapheme_Cluster_Break=-EXTEND}', "");
    Error('\p{Is_GCB=	EX:=}');
    Error('\P{Is_GCB=	EX:=}');
    Expect(1, 917999, '\p{Is_GCB=ex}', "");
    Expect(0, 917999, '\p{^Is_GCB=ex}', "");
    Expect(0, 917999, '\P{Is_GCB=ex}', "");
    Expect(1, 917999, '\P{^Is_GCB=ex}', "");
    Expect(0, 918000, '\p{Is_GCB=ex}', "");
    Expect(1, 918000, '\p{^Is_GCB=ex}', "");
    Expect(1, 918000, '\P{Is_GCB=ex}', "");
    Expect(0, 918000, '\P{^Is_GCB=ex}', "");
    Expect(1, 917999, '\p{Is_GCB:   -	ex}', "");
    Expect(0, 917999, '\p{^Is_GCB:   -	ex}', "");
    Expect(0, 917999, '\P{Is_GCB:   -	ex}', "");
    Expect(1, 917999, '\P{^Is_GCB:   -	ex}', "");
    Expect(0, 918000, '\p{Is_GCB:   -	ex}', "");
    Expect(1, 918000, '\p{^Is_GCB:   -	ex}', "");
    Expect(1, 918000, '\P{Is_GCB:   -	ex}', "");
    Expect(0, 918000, '\P{^Is_GCB:   -	ex}', "");
    Error('\p{Grapheme_Cluster_Break=-_glue_After_ZWJ:=}');
    Error('\P{Grapheme_Cluster_Break=-_glue_After_ZWJ:=}');
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\AGlue_After_Zwj\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break=glueafterzwj}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break=glueafterzwj}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break=glueafterzwj}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break=glueafterzwj}', "");
    Expect(0, 1, '\p{Grapheme_Cluster_Break=:\Aglueafterzwj\z:}', "");;
    Expect(0, 1, '\p{Grapheme_Cluster_Break=	glue_AFTER_ZWJ}', "");
    Expect(1, 1, '\p{^Grapheme_Cluster_Break=	glue_AFTER_ZWJ}', "");
    Expect(1, 1, '\P{Grapheme_Cluster_Break=	glue_AFTER_ZWJ}', "");
    Expect(0, 1, '\P{^Grapheme_Cluster_Break=	glue_AFTER_ZWJ}', "");
    Error('\p{GCB=:= 	gaz}');
    Error('\P{GCB=:= 	gaz}');
    Expect(0, 1, '\p{GCB=:\AGAZ\z:}', "");;
    Expect(0, 1, '\p{GCB=gaz}', "");
    Expect(1, 1, '\p{^GCB=gaz}', "");
    Expect(1, 1, '\P{GCB=gaz}', "");
    Expect(0, 1, '\P{^GCB=gaz}', "");
    Expect(0, 1, '\p{GCB=:\Agaz\z:}', "");;
    Expect(0, 1, '\p{GCB=__GAZ}', "");
    Expect(1, 1, '\p{^GCB=__GAZ}', "");
    Expect(1, 1, '\P{GCB=__GAZ}', "");
    Expect(0, 1, '\P{^GCB=__GAZ}', "");
    Error('\p{Is_Grapheme_Cluster_Break=-/a/Glue_AFTER_Zwj}');
    Error('\P{Is_Grapheme_Cluster_Break=-/a/Glue_AFTER_Zwj}');
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break:glueafterzwj}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break:glueafterzwj}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break:glueafterzwj}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break:glueafterzwj}', "");
    Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=  glue_after_ZWJ}', "");
    Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=  glue_after_ZWJ}', "");
    Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=  glue_after_ZWJ}', "");
    Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=  glue_after_ZWJ}', "");
    Error('\p{Is_GCB=:=gaz}');
    Error('\P{Is_GCB=:=gaz}');
    Expect(0, 1, '\p{Is_GCB=gaz}', "");
    Expect(1, 1, '\p{^Is_GCB=gaz}', "");
    Expect(1, 1, '\P{Is_GCB=gaz}', "");
    Expect(0, 1, '\P{^Is_GCB=gaz}', "");
    Expect(0, 1, '\p{Is_GCB=--GAZ}', "");
    Expect(1, 1, '\p{^Is_GCB=--GAZ}', "");
    Expect(1, 1, '\P{Is_GCB=--GAZ}', "");
    Expect(0, 1, '\P{^Is_GCB=--GAZ}', "");
    Error('\p{Grapheme_Cluster_Break=/a/--l}');
    Error('\P{Grapheme_Cluster_Break=/a/--l}');
    Expect(1, 43388, '\p{Grapheme_Cluster_Break=:\AL\z:}', "");;
    Expect(0, 43389, '\p{Grapheme_Cluster_Break=:\AL\z:}', "");;
    Expect(1, 43388, '\p{Grapheme_Cluster_Break=l}', "");
    Expect(0, 43388, '\p{^Grapheme_Cluster_Break=l}', "");
    Expect(0, 43388, '\P{Grapheme_Cluster_Break=l}', "");
    Expect(1, 43388, '\P{^Grapheme_Cluster_Break=l}', "");
    Expect(0, 43389, '\p{Grapheme_Cluster_Break=l}', "");
    Expect(1, 43389, '\p{^Grapheme_Cluster_Break=l}', "");
    Expect(1, 43389, '\P{Grapheme_Cluster_Break=l}', "");
    Expect(0, 43389, '\P{^Grapheme_Cluster_Break=l}', "");
    Expect(1, 43388, '\p{Grapheme_Cluster_Break=:\Al\z:}', "");;
    Expect(0, 43389, '\p{Grapheme_Cluster_Break=:\Al\z:}', "");;
    Expect(1, 43388, '\p{Grapheme_Cluster_Break= L}', "");
    Expect(0, 43388, '\p{^Grapheme_Cluster_Break= L}', "");
    Expect(0, 43388, '\P{Grapheme_Cluster_Break= L}', "");
    Expect(1, 43388, '\P{^Grapheme_Cluster_Break= L}', "");
    Expect(0, 43389, '\p{Grapheme_Cluster_Break= L}', "");
    Expect(1, 43389, '\p{^Grapheme_Cluster_Break= L}', "");
    Expect(1, 43389, '\P{Grapheme_Cluster_Break= L}', "");
    Expect(0, 43389, '\P{^Grapheme_Cluster_Break= L}', "");
    Error('\p{GCB=/a/ 	l}');
    Error('\P{GCB=/a/ 	l}');
    Expect(1, 43388, '\p{GCB=:\AL\z:}', "");;
    Expect(0, 43389, '\p{GCB=:\AL\z:}', "");;
    Expect(1, 43388, '\p{GCB=l}', "");
    Expect(0, 43388, '\p{^GCB=l}', "");
    Expect(0, 43388, '\P{GCB=l}', "");
    Expect(1, 43388, '\P{^GCB=l}', "");
    Expect(0, 43389, '\p{GCB=l}', "");
    Expect(1, 43389, '\p{^GCB=l}', "");
    Expect(1, 43389, '\P{GCB=l}', "");
    Expect(0, 43389, '\P{^GCB=l}', "");
    Expect(1, 43388, '\p{GCB=:\Al\z:}', "");;
    Expect(0, 43389, '\p{GCB=:\Al\z:}', "");;
    Expect(1, 43388, '\p{GCB=_-L}', "");
    Expect(0, 43388, '\p{^GCB=_-L}', "");
    Expect(0, 43388, '\P{GCB=_-L}', "");
    Expect(1, 43388, '\P{^GCB=_-L}', "");
    Expect(0, 43389, '\p{GCB=_-L}', "");
    Expect(1, 43389, '\p{^GCB=_-L}', "");
    Expect(1, 43389, '\P{GCB=_-L}', "");
    Expect(0, 43389, '\P{^GCB=_-L}', "");
    Error('\p{Is_Grapheme_Cluster_Break:	- L:=}');
    Error('\P{Is_Grapheme_Cluster_Break:	- L:=}');
    Expect(1, 43388, '\p{Is_Grapheme_Cluster_Break=l}', "");
    Expect(0, 43388, '\p{^Is_Grapheme_Cluster_Break=l}', "");
    Expect(0, 43388, '\P{Is_Grapheme_Cluster_Break=l}', "");
    Expect(1, 43388, '\P{^Is_Grapheme_Cluster_Break=l}', "");
    Expect(0, 43389, '\p{Is_Grapheme_Cluster_Break=l}', "");
    Expect(1, 43389, '\p{^Is_Grapheme_Cluster_Break=l}', "");
    Expect(1, 43389, '\P{Is_Grapheme_Cluster_Break=l}', "");
    Expect(0, 43389, '\P{^Is_Grapheme_Cluster_Break=l}', "");
    Expect(1, 43388, '\p{Is_Grapheme_Cluster_Break=	L}', "");
    Expect(0, 43388, '\p{^Is_Grapheme_Cluster_Break=	L}', "");
    Expect(0, 43388, '\P{Is_Grapheme_Cluster_Break=	L}', "");
    Expect(1, 43388, '\P{^Is_Grapheme_Cluster_Break=	L}', "");
    Expect(0, 43389, '\p{Is_Grapheme_Cluster_Break=	L}', "");
    Expect(1, 43389, '\p{^Is_Grapheme_Cluster_Break=	L}', "");
    Expect(1, 43389, '\P{Is_Grapheme_Cluster_Break=	L}', "");
    Expect(0, 43389, '\P{^Is_Grapheme_Cluster_Break=	L}', "");
    Error('\p{Is_GCB: :=_ L}');
    Error('\P{Is_GCB: :=_ L}');
    Expect(1, 43388, '\p{Is_GCB:	l}', "");
    Expect(0, 43388, '\p{^Is_GCB:	l}', "");
    Expect(0, 43388, '\P{Is_GCB:	l}', "");
    Expect(1, 43388, '\P{^Is_GCB:	l}', "");
    Expect(0, 43389, '\p{Is_GCB:	l}', "");
    Expect(1, 43389, '\p{^Is_GCB:	l}', "");
    Expect(1, 43389, '\P{Is_GCB:	l}', "");
    Expect(0, 43389, '\P{^Is_GCB:	l}', "");
    Expect(1, 43388, '\p{Is_GCB=_l}', "");
    Expect(0, 43388, '\p{^Is_GCB=_l}', "");
    Expect(0, 43388, '\P{Is_GCB=_l}', "");
    Expect(1, 43388, '\P{^Is_GCB=_l}', "");
    Expect(0, 43389, '\p{Is_GCB=_l}', "");
    Expect(1, 43389, '\p{^Is_GCB=_l}', "");
    Expect(1, 43389, '\P{Is_GCB=_l}', "");
    Expect(0, 43389, '\P{^Is_GCB=_l}', "");
    Error('\p{Grapheme_Cluster_Break:	:=LF}');
    Error('\P{Grapheme_Cluster_Break:	:=LF}');
    Expect(1, 10, '\p{Grapheme_Cluster_Break=:\ALF\z:}', "");;
    Expect(0, 11, '\p{Grapheme_Cluster_Break=:\ALF\z:}', "");;
    Expect(1, 10, '\p{Grapheme_Cluster_Break=lf}', "");
    Expect(0, 10, '\p{^Grapheme_Cluster_Break=lf}', "");
    Expect(0, 10, '\P{Grapheme_Cluster_Break=lf}', "");
    Expect(1, 10, '\P{^Grapheme_Cluster_Break=lf}', "");
    Expect(0, 11, '\p{Grapheme_Cluster_Break=lf}', "");
    Expect(1, 11, '\p{^Grapheme_Cluster_Break=lf}', "");
    Expect(1, 11, '\P{Grapheme_Cluster_Break=lf}', "");
    Expect(0, 11, '\P{^Grapheme_Cluster_Break=lf}', "");
    Expect(1, 10, '\p{Grapheme_Cluster_Break=:\Alf\z:}', "");;
    Expect(0, 11, '\p{Grapheme_Cluster_Break=:\Alf\z:}', "");;
    Expect(1, 10, '\p{Grapheme_Cluster_Break=_ LF}', "");
    Expect(0, 10, '\p{^Grapheme_Cluster_Break=_ LF}', "");
    Expect(0, 10, '\P{Grapheme_Cluster_Break=_ LF}', "");
    Expect(1, 10, '\P{^Grapheme_Cluster_Break=_ LF}', "");
    Expect(0, 11, '\p{Grapheme_Cluster_Break=_ LF}', "");
    Expect(1, 11, '\p{^Grapheme_Cluster_Break=_ LF}', "");
    Expect(1, 11, '\P{Grapheme_Cluster_Break=_ LF}', "");
    Expect(0, 11, '\P{^Grapheme_Cluster_Break=_ LF}', "");
    Error('\p{GCB= -LF/a/}');
    Error('\P{GCB= -LF/a/}');
    Expect(1, 10, '\p{GCB=:\ALF\z:}', "");;
    Expect(0, 11, '\p{GCB=:\ALF\z:}', "");;
    Expect(1, 10, '\p{GCB=lf}', "");
    Expect(0, 10, '\p{^GCB=lf}', "");
    Expect(0, 10, '\P{GCB=lf}', "");
    Expect(1, 10, '\P{^GCB=lf}', "");
    Expect(0, 11, '\p{GCB=lf}', "");
    Expect(1, 11, '\p{^GCB=lf}', "");
    Expect(1, 11, '\P{GCB=lf}', "");
    Expect(0, 11, '\P{^GCB=lf}', "");
    Expect(1, 10, '\p{GCB=:\Alf\z:}', "");;
    Expect(0, 11, '\p{GCB=:\Alf\z:}', "");;
    Expect(1, 10, '\p{GCB:	 LF}', "");
    Expect(0, 10, '\p{^GCB:	 LF}', "");
    Expect(0, 10, '\P{GCB:	 LF}', "");
    Expect(1, 10, '\P{^GCB:	 LF}', "");
    Expect(0, 11, '\p{GCB:	 LF}', "");
    Expect(1, 11, '\p{^GCB:	 LF}', "");
    Expect(1, 11, '\P{GCB:	 LF}', "");
    Expect(0, 11, '\P{^GCB:	 LF}', "");
    Error('\p{Is_Grapheme_Cluster_Break=/a/- LF}');
    Error('\P{Is_Grapheme_Cluster_Break=/a/- LF}');
    Expect(1, 10, '\p{Is_Grapheme_Cluster_Break=lf}', "");
    Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
    Expect(0, 10, '\P{Is_Grapheme_Cluster_Break=lf}', "");
    Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
    Expect(0, 11, '\p{Is_Grapheme_Cluster_Break=lf}', "");
    Expect(1, 11, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
    Expect(1, 11, '\P{Is_Grapheme_Cluster_Break=lf}', "");
    Expect(0, 11, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
    Expect(1, 10, '\p{Is_Grapheme_Cluster_Break=	 LF}', "");
    Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break=	 LF}', "");
    Expect(0, 10, '\P{Is_Grapheme_Cluster_Break=	 LF}', "");
    Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break=	 LF}', "");
    Expect(0, 11, '\p{Is_Grapheme_Cluster_Break=	 LF}', "");
    Expect(1, 11, '\p{^Is_Grapheme_Cluster_Break=	 LF}', "");
    Expect(1, 11, '\P{Is_Grapheme_Cluster_Break=	 LF}', "");
    Expect(0, 11, '\P{^Is_Grapheme_Cluster_Break=	 LF}', "");
    Error('\p{Is_GCB=-LF:=}');
    Error('\P{Is_GCB=-LF:=}');
    Expect(1, 10, '\p{Is_GCB=lf}', "");
    Expect(0, 10, '\p{^Is_GCB=lf}', "");
    Expect(0, 10, '\P{Is_GCB=lf}', "");
    Expect(1, 10, '\P{^Is_GCB=lf}', "");
    Expect(0, 11, '\p{Is_GCB=lf}', "");
    Expect(1, 11, '\p{^Is_GCB=lf}', "");
    Expect(1, 11, '\P{Is_GCB=lf}', "");
    Expect(0, 11, '\P{^Is_GCB=lf}', "");
    Expect(1, 10, '\p{Is_GCB= 	lf}', "");
    Expect(0, 10, '\p{^Is_GCB= 	lf}', "");
    Expect(0, 10, '\P{Is_GCB= 	lf}', "");
    Expect(1, 10, '\P{^Is_GCB= 	lf}', "");
    Expect(0, 11, '\p{Is_GCB= 	lf}', "");
    Expect(1, 11, '\p{^Is_GCB= 	lf}', "");
    Expect(1, 11, '\P{Is_GCB= 	lf}', "");
    Expect(0, 11, '\P{^Is_GCB= 	lf}', "");
    Error('\p{Grapheme_Cluster_Break=_LV/a/}');
    Error('\P{Grapheme_Cluster_Break=_LV/a/}');
    Expect(1, 55176, '\p{Grapheme_Cluster_Break=:\ALV\z:}', "");;
    Expect(0, 55177, '\p{Grapheme_Cluster_Break=:\ALV\z:}', "");;
    Expect(1, 55176, '\p{Grapheme_Cluster_Break: lv}', "");
    Expect(0, 55176, '\p{^Grapheme_Cluster_Break: lv}', "");
    Expect(0, 55176, '\P{Grapheme_Cluster_Break: lv}', "");
    Expect(1, 55176, '\P{^Grapheme_Cluster_Break: lv}', "");
    Expect(0, 55177, '\p{Grapheme_Cluster_Break: lv}', "");
    Expect(1, 55177, '\p{^Grapheme_Cluster_Break: lv}', "");
    Expect(1, 55177, '\P{Grapheme_Cluster_Break: lv}', "");
    Expect(0, 55177, '\P{^Grapheme_Cluster_Break: lv}', "");
    Expect(1, 55176, '\p{Grapheme_Cluster_Break=:\Alv\z:}', "");;
    Expect(0, 55177, '\p{Grapheme_Cluster_Break=:\Alv\z:}', "");;
    Expect(1, 55176, '\p{Grapheme_Cluster_Break= -lv}', "");
    Expect(0, 55176, '\p{^Grapheme_Cluster_Break= -lv}', "");
    Expect(0, 55176, '\P{Grapheme_Cluster_Break= -lv}', "");
    Expect(1, 55176, '\P{^Grapheme_Cluster_Break= -lv}', "");
    Expect(0, 55177, '\p{Grapheme_Cluster_Break= -lv}', "");
    Expect(1, 55177, '\p{^Grapheme_Cluster_Break= -lv}', "");
    Expect(1, 55177, '\P{Grapheme_Cluster_Break= -lv}', "");
    Expect(0, 55177, '\P{^Grapheme_Cluster_Break= -lv}', "");
    Error('\p{GCB=:=lv}');
    Error('\P{GCB=:=lv}');
    Expect(1, 55176, '\p{GCB=:\ALV\z:}', "");;
    Expect(0, 55177, '\p{GCB=:\ALV\z:}', "");;
    Expect(1, 55176, '\p{GCB=lv}', "");
    Expect(0, 55176, '\p{^GCB=lv}', "");
    Expect(0, 55176, '\P{GCB=lv}', "");
    Expect(1, 55176, '\P{^GCB=lv}', "");
    Expect(0, 55177, '\p{GCB=lv}', "");
    Expect(1, 55177, '\p{^GCB=lv}', "");
    Expect(1, 55177, '\P{GCB=lv}', "");
    Expect(0, 55177, '\P{^GCB=lv}', "");
    Expect(1, 55176, '\p{GCB=:\Alv\z:}', "");;
    Expect(0, 55177, '\p{GCB=:\Alv\z:}', "");;
    Expect(1, 55176, '\p{GCB=	LV}', "");
    Expect(0, 55176, '\p{^GCB=	LV}', "");
    Expect(0, 55176, '\P{GCB=	LV}', "");
    Expect(1, 55176, '\P{^GCB=	LV}', "");
    Expect(0, 55177, '\p{GCB=	LV}', "");
    Expect(1, 55177, '\p{^GCB=	LV}', "");
    Expect(1, 55177, '\P{GCB=	LV}', "");
    Expect(0, 55177, '\P{^GCB=	LV}', "");
    Error('\p{Is_Grapheme_Cluster_Break=-lv/a/}');
    Error('\P{Is_Grapheme_Cluster_Break=-lv/a/}');
    Expect(1, 55176, '\p{Is_Grapheme_Cluster_Break=lv}', "");
    Expect(0, 55176, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
    Expect(0, 55176, '\P{Is_Grapheme_Cluster_Break=lv}', "");
    Expect(1, 55176, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
    Expect(0, 55177, '\p{Is_Grapheme_Cluster_Break=lv}', "");
    Expect(1, 55177, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
    Expect(1, 55177, '\P{Is_Grapheme_Cluster_Break=lv}', "");
    Expect(0, 55177, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
    Expect(1, 55176, '\p{Is_Grapheme_Cluster_Break=-	lv}', "");
    Expect(0, 55176, '\p{^Is_Grapheme_Cluster_Break=-	lv}', "");
    Expect(0, 55176, '\P{Is_Grapheme_Cluster_Break=-	lv}', "");
    Expect(1, 55176, '\P{^Is_Grapheme_Cluster_Break=-	lv}', "");
    Expect(0, 55177, '\p{Is_Grapheme_Cluster_Break=-	lv}', "");
    Expect(1, 55177, '\p{^Is_Grapheme_Cluster_Break=-	lv}', "");
    Expect(1, 55177, '\P{Is_Grapheme_Cluster_Break=-	lv}', "");
    Expect(0, 55177, '\P{^Is_Grapheme_Cluster_Break=-	lv}', "");
    Error('\p{Is_GCB:/a/-	LV}');
    Error('\P{Is_GCB:/a/-	LV}');
    Expect(1, 55176, '\p{Is_GCB=lv}', "");
    Expect(0, 55176, '\p{^Is_GCB=lv}', "");
    Expect(0, 55176, '\P{Is_GCB=lv}', "");
    Expect(1, 55176, '\P{^Is_GCB=lv}', "");
    Expect(0, 55177, '\p{Is_GCB=lv}', "");
    Expect(1, 55177, '\p{^Is_GCB=lv}', "");
    Expect(1, 55177, '\P{Is_GCB=lv}', "");
    Expect(0, 55177, '\P{^Is_GCB=lv}', "");
    Expect(1, 55176, '\p{Is_GCB=_LV}', "");
    Expect(0, 55176, '\p{^Is_GCB=_LV}', "");
    Expect(0, 55176, '\P{Is_GCB=_LV}', "");
    Expect(1, 55176, '\P{^Is_GCB=_LV}', "");
    Expect(0, 55177, '\p{Is_GCB=_LV}', "");
    Expect(1, 55177, '\p{^Is_GCB=_LV}', "");
    Expect(1, 55177, '\P{Is_GCB=_LV}', "");
    Expect(0, 55177, '\P{^Is_GCB=_LV}', "");
    Error('\p{Grapheme_Cluster_Break=_:=LVT}');
    Error('\P{Grapheme_Cluster_Break=_:=LVT}');
    Expect(1, 55203, '\p{Grapheme_Cluster_Break=:\ALVT\z:}', "");;
    Expect(0, 55204, '\p{Grapheme_Cluster_Break=:\ALVT\z:}', "");;
    Expect(1, 55203, '\p{Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55203, '\p{^Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55203, '\P{Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55203, '\P{^Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55204, '\p{Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55204, '\p{^Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55204, '\P{Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55204, '\P{^Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55203, '\p{Grapheme_Cluster_Break=:\Alvt\z:}', "");;
    Expect(0, 55204, '\p{Grapheme_Cluster_Break=:\Alvt\z:}', "");;
    Expect(1, 55203, '\p{Grapheme_Cluster_Break=_lvt}', "");
    Expect(0, 55203, '\p{^Grapheme_Cluster_Break=_lvt}', "");
    Expect(0, 55203, '\P{Grapheme_Cluster_Break=_lvt}', "");
    Expect(1, 55203, '\P{^Grapheme_Cluster_Break=_lvt}', "");
    Expect(0, 55204, '\p{Grapheme_Cluster_Break=_lvt}', "");
    Expect(1, 55204, '\p{^Grapheme_Cluster_Break=_lvt}', "");
    Expect(1, 55204, '\P{Grapheme_Cluster_Break=_lvt}', "");
    Expect(0, 55204, '\P{^Grapheme_Cluster_Break=_lvt}', "");
    Error('\p{GCB=:=LVT}');
    Error('\P{GCB=:=LVT}');
    Expect(1, 55203, '\p{GCB=:\ALVT\z:}', "");;
    Expect(0, 55204, '\p{GCB=:\ALVT\z:}', "");;
    Expect(1, 55203, '\p{GCB=lvt}', "");
    Expect(0, 55203, '\p{^GCB=lvt}', "");
    Expect(0, 55203, '\P{GCB=lvt}', "");
    Expect(1, 55203, '\P{^GCB=lvt}', "");
    Expect(0, 55204, '\p{GCB=lvt}', "");
    Expect(1, 55204, '\p{^GCB=lvt}', "");
    Expect(1, 55204, '\P{GCB=lvt}', "");
    Expect(0, 55204, '\P{^GCB=lvt}', "");
    Expect(1, 55203, '\p{GCB=:\Alvt\z:}', "");;
    Expect(0, 55204, '\p{GCB=:\Alvt\z:}', "");;
    Expect(1, 55203, '\p{GCB=LVT}', "");
    Expect(0, 55203, '\p{^GCB=LVT}', "");
    Expect(0, 55203, '\P{GCB=LVT}', "");
    Expect(1, 55203, '\P{^GCB=LVT}', "");
    Expect(0, 55204, '\p{GCB=LVT}', "");
    Expect(1, 55204, '\p{^GCB=LVT}', "");
    Expect(1, 55204, '\P{GCB=LVT}', "");
    Expect(0, 55204, '\P{^GCB=LVT}', "");
    Error('\p{Is_Grapheme_Cluster_Break=/a/LVT}');
    Error('\P{Is_Grapheme_Cluster_Break=/a/LVT}');
    Expect(1, 55203, '\p{Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55203, '\p{^Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55203, '\P{Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55203, '\P{^Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55204, '\p{Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55204, '\p{^Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55204, '\P{Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(0, 55204, '\P{^Is_Grapheme_Cluster_Break=lvt}', "");
    Expect(1, 55203, '\p{Is_Grapheme_Cluster_Break= LVT}', "");
    Expect(0, 55203, '\p{^Is_Grapheme_Cluster_Break= LVT}', "");
    Expect(0, 55203, '\P{Is_Grapheme_Cluster_Break= LVT}', "");
    Expect(1, 55203, '\P{^Is_Grapheme_Cluster_Break= LVT}', "");
    Expect(0, 55204, '\p{Is_Grapheme_Cluster_Break= LVT}', "");
    Expect(1, 55204, '\p{^Is_Grapheme_Cluster_Break= LVT}', "");
    Expect(1, 55204, '\P{Is_Grapheme_Cluster_Break= LVT}', "");
    Expect(0, 55204, '\P{^Is_Grapheme_Cluster_Break= LVT}', "");
    Error('\p{Is_GCB=	/a/LVT}');
    Error('\P{Is_GCB=	/a/LVT}');
    Expect(1, 55203, '\p{Is_GCB:   lvt}', "");
    Expect(0, 55203, '\p{^Is_GCB:   lvt}', "");
    Expect(0, 55203, '\P{Is_GCB:   lvt}', "");
    Expect(1, 55203, '\P{^Is_GCB:   lvt}', "");
    Expect(0, 55204, '\p{Is_GCB:   lvt}', "");
    Expect(1, 55204, '\p{^Is_GCB:   lvt}', "");
    Expect(1, 55204, '\P{Is_GCB:   lvt}', "");
    Expect(0, 55204, '\P{^Is_GCB:   lvt}', "");
    Expect(1, 55203, '\p{Is_GCB= -LVT}', "");
    Expect(0, 55203, '\p{^Is_GCB= -LVT}', "");
    Expect(0, 55203, '\P{Is_GCB= -LVT}', "");
    Expect(1, 55203, '\P{^Is_GCB= -LVT}', "");
    Expect(0, 55204, '\p{Is_GCB= -LVT}', "");
    Expect(1, 55204, '\p{^Is_GCB= -LVT}', "");
    Expect(1, 55204, '\P{Is_GCB= -LVT}', "");
    Expect(0, 55204, '\P{^Is_GCB= -LVT}', "");
    Error('\p{Grapheme_Cluster_Break=-/a/Prepend}');
    Error('\P{Grapheme_Cluster_Break=-/a/Prepend}');
    Expect(1, 73030, '\p{Grapheme_Cluster_Break=:\APrepend\z:}', "");;
    Expect(0, 73031, '\p{Grapheme_Cluster_Break=:\APrepend\z:}', "");;
    Expect(1, 73030, '\p{Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73030, '\p{^Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73030, '\P{Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73030, '\P{^Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73031, '\p{Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73031, '\p{^Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73031, '\P{Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73031, '\P{^Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73030, '\p{Grapheme_Cluster_Break=:\Aprepend\z:}', "");;
    Expect(0, 73031, '\p{Grapheme_Cluster_Break=:\Aprepend\z:}', "");;
    Expect(1, 73030, '\p{Grapheme_Cluster_Break= PREPEND}', "");
    Expect(0, 73030, '\p{^Grapheme_Cluster_Break= PREPEND}', "");
    Expect(0, 73030, '\P{Grapheme_Cluster_Break= PREPEND}', "");
    Expect(1, 73030, '\P{^Grapheme_Cluster_Break= PREPEND}', "");
    Expect(0, 73031, '\p{Grapheme_Cluster_Break= PREPEND}', "");
    Expect(1, 73031, '\p{^Grapheme_Cluster_Break= PREPEND}', "");
    Expect(1, 73031, '\P{Grapheme_Cluster_Break= PREPEND}', "");
    Expect(0, 73031, '\P{^Grapheme_Cluster_Break= PREPEND}', "");
    Error('\p{GCB=:=_PP}');
    Error('\P{GCB=:=_PP}');
    Expect(1, 73030, '\p{GCB=:\APP\z:}', "");;
    Expect(0, 73031, '\p{GCB=:\APP\z:}', "");;
    Expect(1, 73030, '\p{GCB:   pp}', "");
    Expect(0, 73030, '\p{^GCB:   pp}', "");
    Expect(0, 73030, '\P{GCB:   pp}', "");
    Expect(1, 73030, '\P{^GCB:   pp}', "");
    Expect(0, 73031, '\p{GCB:   pp}', "");
    Expect(1, 73031, '\p{^GCB:   pp}', "");
    Expect(1, 73031, '\P{GCB:   pp}', "");
    Expect(0, 73031, '\P{^GCB:   pp}', "");
    Expect(1, 73030, '\p{GCB=:\App\z:}', "");;
    Expect(0, 73031, '\p{GCB=:\App\z:}', "");;
    Expect(1, 73030, '\p{GCB= -PP}', "");
    Expect(0, 73030, '\p{^GCB= -PP}', "");
    Expect(0, 73030, '\P{GCB= -PP}', "");
    Expect(1, 73030, '\P{^GCB= -PP}', "");
    Expect(0, 73031, '\p{GCB= -PP}', "");
    Expect(1, 73031, '\p{^GCB= -PP}', "");
    Expect(1, 73031, '\P{GCB= -PP}', "");
    Expect(0, 73031, '\P{^GCB= -PP}', "");
    Error('\p{Is_Grapheme_Cluster_Break= /a/Prepend}');
    Error('\P{Is_Grapheme_Cluster_Break= /a/Prepend}');
    Expect(1, 73030, '\p{Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73030, '\p{^Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73030, '\P{Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73030, '\P{^Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73031, '\p{Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73031, '\p{^Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73031, '\P{Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(0, 73031, '\P{^Is_Grapheme_Cluster_Break=prepend}', "");
    Expect(1, 73030, '\p{Is_Grapheme_Cluster_Break=	prepend}', "");
    Expect(0, 73030, '\p{^Is_Grapheme_Cluster_Break=	prepend}', "");
    Expect(0, 73030, '\P{Is_Grapheme_Cluster_Break=	prepend}', "");
    Expect(1, 73030, '\P{^Is_Grapheme_Cluster_Break=	prepend}', "");
    Expect(0, 73031, '\p{Is_Grapheme_Cluster_Break=	prepend}', "");
    Expect(1, 73031, '\p{^Is_Grapheme_Cluster_Break=	prepend}', "");
    Expect(1, 73031, '\P{Is_Grapheme_Cluster_Break=	prepend}', "");
    Expect(0, 73031, '\P{^Is_Grapheme_Cluster_Break=	prepend}', "");
    Error('\p{Is_GCB=/a/-PP}');
    Error('\P{Is_GCB=/a/-PP}');
    Expect(1, 73030, '\p{Is_GCB=pp}', "");
    Expect(0, 73030, '\p{^Is_GCB=pp}', "");
    Expect(0, 73030, '\P{Is_GCB=pp}', "");
    Expect(1, 73030, '\P{^Is_GCB=pp}', "");
    Expect(0, 73031, '\p{Is_GCB=pp}', "");
    Expect(1, 73031, '\p{^Is_GCB=pp}', "");
    Expect(1, 73031, '\P{Is_GCB=pp}', "");
    Expect(0, 73031, '\P{^Is_GCB=pp}', "");
    Expect(1, 73030, '\p{Is_GCB=- PP}', "");
    Expect(0, 73030, '\p{^Is_GCB=- PP}', "");
    Expect(0, 73030, '\P{Is_GCB=- PP}', "");
    Expect(1, 73030, '\P{^Is_GCB=- PP}', "");
    Expect(0, 73031, '\p{Is_GCB=- PP}', "");
    Expect(1, 73031, '\p{^Is_GCB=- PP}', "");
    Expect(1, 73031, '\P{Is_GCB=- PP}', "");
    Expect(0, 73031, '\P{^Is_GCB=- PP}', "");
    Error('\p{Grapheme_Cluster_Break=Regional_indicator:=}');
    Error('\P{Grapheme_Cluster_Break=Regional_indicator:=}');
    Expect(1, 127487, '\p{Grapheme_Cluster_Break=:\ARegional_Indicator\z:}', "");;
    Expect(0, 127488, '\p{Grapheme_Cluster_Break=:\ARegional_Indicator\z:}', "");;
    Expect(1, 127487, '\p{Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127487, '\p{^Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127487, '\P{Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127487, '\P{^Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127488, '\p{Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127488, '\p{^Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127488, '\P{Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127488, '\P{^Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127487, '\p{Grapheme_Cluster_Break=:\Aregionalindicator\z:}', "");;
    Expect(0, 127488, '\p{Grapheme_Cluster_Break=:\Aregionalindicator\z:}', "");;
    Expect(1, 127487, '\p{Grapheme_Cluster_Break=- Regional_indicator}', "");
    Expect(0, 127487, '\p{^Grapheme_Cluster_Break=- Regional_indicator}', "");
    Expect(0, 127487, '\P{Grapheme_Cluster_Break=- Regional_indicator}', "");
    Expect(1, 127487, '\P{^Grapheme_Cluster_Break=- Regional_indicator}', "");
    Expect(0, 127488, '\p{Grapheme_Cluster_Break=- Regional_indicator}', "");
    Expect(1, 127488, '\p{^Grapheme_Cluster_Break=- Regional_indicator}', "");
    Expect(1, 127488, '\P{Grapheme_Cluster_Break=- Regional_indicator}', "");
    Expect(0, 127488, '\P{^Grapheme_Cluster_Break=- Regional_indicator}', "");
    Error('\p{GCB:	:=	RI}');
    Error('\P{GCB:	:=	RI}');
    Expect(1, 127487, '\p{GCB=:\ARI\z:}', "");;
    Expect(0, 127488, '\p{GCB=:\ARI\z:}', "");;
    Expect(1, 127487, '\p{GCB=ri}', "");
    Expect(0, 127487, '\p{^GCB=ri}', "");
    Expect(0, 127487, '\P{GCB=ri}', "");
    Expect(1, 127487, '\P{^GCB=ri}', "");
    Expect(0, 127488, '\p{GCB=ri}', "");
    Expect(1, 127488, '\p{^GCB=ri}', "");
    Expect(1, 127488, '\P{GCB=ri}', "");
    Expect(0, 127488, '\P{^GCB=ri}', "");
    Expect(1, 127487, '\p{GCB=:\Ari\z:}', "");;
    Expect(0, 127488, '\p{GCB=:\Ari\z:}', "");;
    Expect(1, 127487, '\p{GCB=_RI}', "");
    Expect(0, 127487, '\p{^GCB=_RI}', "");
    Expect(0, 127487, '\P{GCB=_RI}', "");
    Expect(1, 127487, '\P{^GCB=_RI}', "");
    Expect(0, 127488, '\p{GCB=_RI}', "");
    Expect(1, 127488, '\p{^GCB=_RI}', "");
    Expect(1, 127488, '\P{GCB=_RI}', "");
    Expect(0, 127488, '\P{^GCB=_RI}', "");
    Error('\p{Is_Grapheme_Cluster_Break: 	/a/Regional_indicator}');
    Error('\P{Is_Grapheme_Cluster_Break: 	/a/Regional_indicator}');
    Expect(1, 127487, '\p{Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127487, '\p{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127487, '\P{Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127487, '\P{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127488, '\p{Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127488, '\p{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127488, '\P{Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(0, 127488, '\P{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
    Expect(1, 127487, '\p{Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Expect(0, 127487, '\p{^Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Expect(0, 127487, '\P{Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Expect(1, 127487, '\P{^Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Expect(0, 127488, '\p{Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Expect(1, 127488, '\p{^Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Expect(1, 127488, '\P{Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Expect(0, 127488, '\P{^Is_Grapheme_Cluster_Break=  Regional_indicator}', "");
    Error('\p{Is_GCB=/a/	ri}');
    Error('\P{Is_GCB=/a/	ri}');
    Expect(1, 127487, '\p{Is_GCB=ri}', "");
    Expect(0, 127487, '\p{^Is_GCB=ri}', "");
    Expect(0, 127487, '\P{Is_GCB=ri}', "");
    Expect(1, 127487, '\P{^Is_GCB=ri}', "");
    Expect(0, 127488, '\p{Is_GCB=ri}', "");
    Expect(1, 127488, '\p{^Is_GCB=ri}', "");
    Expect(1, 127488, '\P{Is_GCB=ri}', "");
    Expect(0, 127488, '\P{^Is_GCB=ri}', "");
    Expect(1, 127487, '\p{Is_GCB=_ri}', "");
    Expect(0, 127487, '\p{^Is_GCB=_ri}', "");
    Expect(0, 127487, '\P{Is_GCB=_ri}', "");
    Expect(1, 127487, '\P{^Is_GCB=_ri}', "");
    Expect(0, 127488, '\p{Is_GCB=_ri}', "");
    Expect(1, 127488, '\p{^Is_GCB=_ri}', "");
    Expect(1, 127488, '\P{Is_GCB=_ri}', "");
    Expect(0, 127488, '\P{^Is_GCB=_ri}', "");
    Error('\p{Grapheme_Cluster_Break=-/a/SpacingMark}');
    Error('\P{Grapheme_Cluster_Break=-/a/SpacingMark}');
    Expect(1, 119149, '\p{Grapheme_Cluster_Break=:\ASpacingMark\z:}', "");;
    Expect(0, 119150, '\p{Grapheme_Cluster_Break=:\ASpacingMark\z:}', "");;
    Expect(1, 119149, '\p{Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119149, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119149, '\P{Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119149, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119150, '\p{Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119150, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119150, '\P{Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119150, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119149, '\p{Grapheme_Cluster_Break=:\Aspacingmark\z:}', "");;
    Expect(0, 119150, '\p{Grapheme_Cluster_Break=:\Aspacingmark\z:}', "");;
    Expect(1, 119149, '\p{Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119149, '\p{^Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119149, '\P{Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(1, 119149, '\P{^Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119150, '\p{Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(1, 119150, '\p{^Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(1, 119150, '\P{Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119150, '\P{^Grapheme_Cluster_Break=_spacingmark}', "");
    Error('\p{GCB=_SM:=}');
    Error('\P{GCB=_SM:=}');
    Expect(1, 119149, '\p{GCB=:\ASM\z:}', "");;
    Expect(0, 119150, '\p{GCB=:\ASM\z:}', "");;
    Expect(1, 119149, '\p{GCB=sm}', "");
    Expect(0, 119149, '\p{^GCB=sm}', "");
    Expect(0, 119149, '\P{GCB=sm}', "");
    Expect(1, 119149, '\P{^GCB=sm}', "");
    Expect(0, 119150, '\p{GCB=sm}', "");
    Expect(1, 119150, '\p{^GCB=sm}', "");
    Expect(1, 119150, '\P{GCB=sm}', "");
    Expect(0, 119150, '\P{^GCB=sm}', "");
    Expect(1, 119149, '\p{GCB=:\Asm\z:}', "");;
    Expect(0, 119150, '\p{GCB=:\Asm\z:}', "");;
    Expect(1, 119149, '\p{GCB=		sm}', "");
    Expect(0, 119149, '\p{^GCB=		sm}', "");
    Expect(0, 119149, '\P{GCB=		sm}', "");
    Expect(1, 119149, '\P{^GCB=		sm}', "");
    Expect(0, 119150, '\p{GCB=		sm}', "");
    Expect(1, 119150, '\p{^GCB=		sm}', "");
    Expect(1, 119150, '\P{GCB=		sm}', "");
    Expect(0, 119150, '\P{^GCB=		sm}', "");
    Error('\p{Is_Grapheme_Cluster_Break=-_SpacingMark:=}');
    Error('\P{Is_Grapheme_Cluster_Break=-_SpacingMark:=}');
    Expect(1, 119149, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119149, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119149, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119149, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119150, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119150, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119150, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(0, 119150, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
    Expect(1, 119149, '\p{Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119149, '\p{^Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119149, '\P{Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(1, 119149, '\P{^Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119150, '\p{Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(1, 119150, '\p{^Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(1, 119150, '\P{Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Expect(0, 119150, '\P{^Is_Grapheme_Cluster_Break=_spacingmark}', "");
    Error('\p{Is_GCB=	:=sm}');
    Error('\P{Is_GCB=	:=sm}');
    Expect(1, 119149, '\p{Is_GCB=sm}', "");
    Expect(0, 119149, '\p{^Is_GCB=sm}', "");
    Expect(0, 119149, '\P{Is_GCB=sm}', "");
    Expect(1, 119149, '\P{^Is_GCB=sm}', "");
    Expect(0, 119150, '\p{Is_GCB=sm}', "");
    Expect(1, 119150, '\p{^Is_GCB=sm}', "");
    Expect(1, 119150, '\P{Is_GCB=sm}', "");
    Expect(0, 119150, '\P{^Is_GCB=sm}', "");
    Expect(1, 119149, '\p{Is_GCB=--sm}', "");
    Expect(0, 119149, '\p{^Is_GCB=--sm}', "");
    Expect(0, 119149, '\P{Is_GCB=--sm}', "");
    Expect(1, 119149, '\P{^Is_GCB=--sm}', "");
    Expect(0, 119150, '\p{Is_GCB=--sm}', "");
    Expect(1, 119150, '\p{^Is_GCB=--sm}', "");
    Expect(1, 119150, '\P{Is_GCB=--sm}', "");
    Expect(0, 119150, '\P{^Is_GCB=--sm}', "");
    Error('\p{Grapheme_Cluster_Break=_t/a/}');
    Error('\P{Grapheme_Cluster_Break=_t/a/}');
    Expect(1, 55291, '\p{Grapheme_Cluster_Break=:\AT\z:}', "");;
    Expect(0, 55292, '\p{Grapheme_Cluster_Break=:\AT\z:}', "");;
    Expect(1, 55291, '\p{Grapheme_Cluster_Break=t}', "");
    Expect(0, 55291, '\p{^Grapheme_Cluster_Break=t}', "");
    Expect(0, 55291, '\P{Grapheme_Cluster_Break=t}', "");
    Expect(1, 55291, '\P{^Grapheme_Cluster_Break=t}', "");
    Expect(0, 55292, '\p{Grapheme_Cluster_Break=t}', "");
    Expect(1, 55292, '\p{^Grapheme_Cluster_Break=t}', "");
    Expect(1, 55292, '\P{Grapheme_Cluster_Break=t}', "");
    Expect(0, 55292, '\P{^Grapheme_Cluster_Break=t}', "");
    Expect(1, 55291, '\p{Grapheme_Cluster_Break=:\At\z:}', "");;
    Expect(0, 55292, '\p{Grapheme_Cluster_Break=:\At\z:}', "");;
    Expect(1, 55291, '\p{Grapheme_Cluster_Break=		T}', "");
    Expect(0, 55291, '\p{^Grapheme_Cluster_Break=		T}', "");
    Expect(0, 55291, '\P{Grapheme_Cluster_Break=		T}', "");
    Expect(1, 55291, '\P{^Grapheme_Cluster_Break=		T}', "");
    Expect(0, 55292, '\p{Grapheme_Cluster_Break=		T}', "");
    Expect(1, 55292, '\p{^Grapheme_Cluster_Break=		T}', "");
    Expect(1, 55292, '\P{Grapheme_Cluster_Break=		T}', "");
    Expect(0, 55292, '\P{^Grapheme_Cluster_Break=		T}', "");
    Error('\p{GCB=:=__T}');
    Error('\P{GCB=:=__T}');
    Expect(1, 55291, '\p{GCB=:\AT\z:}', "");;
    Expect(0, 55292, '\p{GCB=:\AT\z:}', "");;
    Expect(1, 55291, '\p{GCB=t}', "");
    Expect(0, 55291, '\p{^GCB=t}', "");
    Expect(0, 55291, '\P{GCB=t}', "");
    Expect(1, 55291, '\P{^GCB=t}', "");
    Expect(0, 55292, '\p{GCB=t}', "");
    Expect(1, 55292, '\p{^GCB=t}', "");
    Expect(1, 55292, '\P{GCB=t}', "");
    Expect(0, 55292, '\P{^GCB=t}', "");
    Expect(1, 55291, '\p{GCB=:\At\z:}', "");;
    Expect(0, 55292, '\p{GCB=:\At\z:}', "");;
    Expect(1, 55291, '\p{GCB=_t}', "");
    Expect(0, 55291, '\p{^GCB=_t}', "");
    Expect(0, 55291, '\P{GCB=_t}', "");
    Expect(1, 55291, '\P{^GCB=_t}', "");
    Expect(0, 55292, '\p{GCB=_t}', "");
    Expect(1, 55292, '\p{^GCB=_t}', "");
    Expect(1, 55292, '\P{GCB=_t}', "");
    Expect(0, 55292, '\P{^GCB=_t}', "");
    Error('\p{Is_Grapheme_Cluster_Break=/a/-_T}');
    Error('\P{Is_Grapheme_Cluster_Break=/a/-_T}');
    Expect(1, 55291, '\p{Is_Grapheme_Cluster_Break=t}', "");
    Expect(0, 55291, '\p{^Is_Grapheme_Cluster_Break=t}', "");
    Expect(0, 55291, '\P{Is_Grapheme_Cluster_Break=t}', "");
    Expect(1, 55291, '\P{^Is_Grapheme_Cluster_Break=t}', "");
    Expect(0, 55292, '\p{Is_Grapheme_Cluster_Break=t}', "");
    Expect(1, 55292, '\p{^Is_Grapheme_Cluster_Break=t}', "");
    Expect(1, 55292, '\P{Is_Grapheme_Cluster_Break=t}', "");
    Expect(0, 55292, '\P{^Is_Grapheme_Cluster_Break=t}', "");
    Expect(1, 55291, '\p{Is_Grapheme_Cluster_Break=	T}', "");
    Expect(0, 55291, '\p{^Is_Grapheme_Cluster_Break=	T}', "");
    Expect(0, 55291, '\P{Is_Grapheme_Cluster_Break=	T}', "");
    Expect(1, 55291, '\P{^Is_Grapheme_Cluster_Break=	T}', "");
    Expect(0, 55292, '\p{Is_Grapheme_Cluster_Break=	T}', "");
    Expect(1, 55292, '\p{^Is_Grapheme_Cluster_Break=	T}', "");
    Expect(1, 55292, '\P{Is_Grapheme_Cluster_Break=	T}', "");
    Expect(0, 55292, '\P{^Is_Grapheme_Cluster_Break=	T}', "");
    Error('\p{Is_GCB=	T/a/}');
    Error('\P{Is_GCB=	T/a/}');
    Expect(1, 55291, '\p{Is_GCB=t}', "");
    Expect(0, 55291, '\p{^Is_GCB=t}', "");
    Expect(0, 55291, '\P{Is_GCB=t}', "");
    Expect(1, 55291, '\P{^Is_GCB=t}', "");
    Expect(0, 55292, '\p{Is_GCB=t}', "");
    Expect(1, 55292, '\p{^Is_GCB=t}', "");
    Expect(1, 55292, '\P{Is_GCB=t}', "");
    Expect(0, 55292, '\P{^Is_GCB=t}', "");
    Expect(1, 55291, '\p{Is_GCB: 	T}', "");
    Expect(0, 55291, '\p{^Is_GCB: 	T}', "");
    Expect(0, 55291, '\P{Is_GCB: 	T}', "");
    Expect(1, 55291, '\P{^Is_GCB: 	T}', "");
    Expect(0, 55292, '\p{Is_GCB: 	T}', "");
    Expect(1, 55292, '\p{^Is_GCB: 	T}', "");
    Expect(1, 55292, '\P{Is_GCB: 	T}', "");
    Expect(0, 55292, '\P{^Is_GCB: 	T}', "");
    Error('\p{Grapheme_Cluster_Break= /a/V}');
    Error('\P{Grapheme_Cluster_Break= /a/V}');
    Expect(1, 55238, '\p{Grapheme_Cluster_Break=:\AV\z:}', "");;
    Expect(0, 55239, '\p{Grapheme_Cluster_Break=:\AV\z:}', "");;
    Expect(1, 55238, '\p{Grapheme_Cluster_Break=v}', "");
    Expect(0, 55238, '\p{^Grapheme_Cluster_Break=v}', "");
    Expect(0, 55238, '\P{Grapheme_Cluster_Break=v}', "");
    Expect(1, 55238, '\P{^Grapheme_Cluster_Break=v}', "");
    Expect(0, 55239, '\p{Grapheme_Cluster_Break=v}', "");
    Expect(1, 55239, '\p{^Grapheme_Cluster_Break=v}', "");
    Expect(1, 55239, '\P{Grapheme_Cluster_Break=v}', "");
    Expect(0, 55239, '\P{^Grapheme_Cluster_Break=v}', "");
    Expect(1, 55238, '\p{Grapheme_Cluster_Break=:\Av\z:}', "");;
    Expect(0, 55239, '\p{Grapheme_Cluster_Break=:\Av\z:}', "");;
    Expect(1, 55238, '\p{Grapheme_Cluster_Break:   - V}', "");
    Expect(0, 55238, '\p{^Grapheme_Cluster_Break:   - V}', "");
    Expect(0, 55238, '\P{Grapheme_Cluster_Break:   - V}', "");
    Expect(1, 55238, '\P{^Grapheme_Cluster_Break:   - V}', "");
    Expect(0, 55239, '\p{Grapheme_Cluster_Break:   - V}', "");
    Expect(1, 55239, '\p{^Grapheme_Cluster_Break:   - V}', "");
    Expect(1, 55239, '\P{Grapheme_Cluster_Break:   - V}', "");
    Expect(0, 55239, '\P{^Grapheme_Cluster_Break:   - V}', "");
    Error('\p{GCB=_ v:=}');
    Error('\P{GCB=_ v:=}');
    Expect(1, 55238, '\p{GCB=:\AV\z:}', "");;
    Expect(0, 55239, '\p{GCB=:\AV\z:}', "");;
    Expect(1, 55238, '\p{GCB=v}', "");
    Expect(0, 55238, '\p{^GCB=v}', "");
    Expect(0, 55238, '\P{GCB=v}', "");
    Expect(1, 55238, '\P{^GCB=v}', "");
    Expect(0, 55239, '\p{GCB=v}', "");
    Expect(1, 55239, '\p{^GCB=v}', "");
    Expect(1, 55239, '\P{GCB=v}', "");
    Expect(0, 55239, '\P{^GCB=v}', "");
    Expect(1, 55238, '\p{GCB=:\Av\z:}', "");;
    Expect(0, 55239, '\p{GCB=:\Av\z:}', "");;
    Expect(1, 55238, '\p{GCB:	-V}', "");
    Expect(0, 55238, '\p{^GCB:	-V}', "");
    Expect(0, 55238, '\P{GCB:	-V}', "");
    Expect(1, 55238, '\P{^GCB:	-V}', "");
    Expect(0, 55239, '\p{GCB:	-V}', "");
    Expect(1, 55239, '\p{^GCB:	-V}', "");
    Expect(1, 55239, '\P{GCB:	-V}', "");
    Expect(0, 55239, '\P{^GCB:	-V}', "");
    Error('\p{Is_Grapheme_Cluster_Break=_	V/a/}');
    Error('\P{Is_Grapheme_Cluster_Break=_	V/a/}');
    Expect(1, 55238, '\p{Is_Grapheme_Cluster_Break=v}', "");
    Expect(0, 55238, '\p{^Is_Grapheme_Cluster_Break=v}', "");
    Expect(0, 55238, '\P{Is_Grapheme_Cluster_Break=v}', "");
    Expect(1, 55238, '\P{^Is_Grapheme_Cluster_Break=v}', "");
    Expect(0, 55239, '\p{Is_Grapheme_Cluster_Break=v}', "");
    Expect(1, 55239, '\p{^Is_Grapheme_Cluster_Break=v}', "");
    Expect(1, 55239, '\P{Is_Grapheme_Cluster_Break=v}', "");
    Expect(0, 55239, '\P{^Is_Grapheme_Cluster_Break=v}', "");
    Expect(1, 55238, '\p{Is_Grapheme_Cluster_Break=	V}', "");
    Expect(0, 55238, '\p{^Is_Grapheme_Cluster_Break=	V}', "");
    Expect(0, 55238, '\P{Is_Grapheme_Cluster_Break=	V}', "");
    Expect(1, 55238, '\P{^Is_Grapheme_Cluster_Break=	V}', "");
    Expect(0, 55239, '\p{Is_Grapheme_Cluster_Break=	V}', "");
    Expect(1, 55239, '\p{^Is_Grapheme_Cluster_Break=	V}', "");
    Expect(1, 55239, '\P{Is_Grapheme_Cluster_Break=	V}', "");
    Expect(0, 55239, '\P{^Is_Grapheme_Cluster_Break=	V}', "");
    Error('\p{Is_GCB=/a/_V}');
    Error('\P{Is_GCB=/a/_V}');
    Expect(1, 55238, '\p{Is_GCB=v}', "");
    Expect(0, 55238, '\p{^Is_GCB=v}', "");
    Expect(0, 55238, '\P{Is_GCB=v}', "");
    Expect(1, 55238, '\P{^Is_GCB=v}', "");
    Expect(0, 55239, '\p{Is_GCB=v}', "");
    Expect(1, 55239, '\p{^Is_GCB=v}', "");
    Expect(1, 55239, '\P{Is_GCB=v}', "");
    Expect(0, 55239, '\P{^Is_GCB=v}', "");
    Expect(1, 55238, '\p{Is_GCB=_ V}', "");
    Expect(0, 55238, '\p{^Is_GCB=_ V}', "");
    Expect(0, 55238, '\P{Is_GCB=_ V}', "");
    Expect(1, 55238, '\P{^Is_GCB=_ V}', "");
    Expect(0, 55239, '\p{Is_GCB=_ V}', "");
    Expect(1, 55239, '\p{^Is_GCB=_ V}', "");
    Expect(1, 55239, '\P{Is_GCB=_ V}', "");
    Expect(0, 55239, '\P{^Is_GCB=_ V}', "");
    Error('\p{Grapheme_Cluster_Break=/a/		Other}');
    Error('\P{Grapheme_Cluster_Break=/a/		Other}');
    Expect(1, 921600, '\p{Grapheme_Cluster_Break=:\AOther\z:}', "");;
    Expect(0, 921599, '\p{Grapheme_Cluster_Break=:\AOther\z:}', "");;
    Expect(1, 921600, '\p{Grapheme_Cluster_Break=other}', "");
    Expect(0, 921600, '\p{^Grapheme_Cluster_Break=other}', "");
    Expect(0, 921600, '\P{Grapheme_Cluster_Break=other}', "");
    Expect(1, 921600, '\P{^Grapheme_Cluster_Break=other}', "");
    Expect(0, 921599, '\p{Grapheme_Cluster_Break=other}', "");
    Expect(1, 921599, '\p{^Grapheme_Cluster_Break=other}', "");
    Expect(1, 921599, '\P{Grapheme_Cluster_Break=other}', "");
    Expect(0, 921599, '\P{^Grapheme_Cluster_Break=other}', "");
    Expect(1, 921600, '\p{Grapheme_Cluster_Break=:\Aother\z:}', "");;
    Expect(0, 921599, '\p{Grapheme_Cluster_Break=:\Aother\z:}', "");;
    Expect(1, 921600, '\p{Grapheme_Cluster_Break=	-other}', "");
    Expect(0, 921600, '\p{^Grapheme_Cluster_Break=	-other}', "");
    Expect(0, 921600, '\P{Grapheme_Cluster_Break=	-other}', "");
    Expect(1, 921600, '\P{^Grapheme_Cluster_Break=	-other}', "");
    Expect(0, 921599, '\p{Grapheme_Cluster_Break=	-other}', "");
    Expect(1, 921599, '\p{^Grapheme_Cluster_Break=	-other}', "");
    Expect(1, 921599, '\P{Grapheme_Cluster_Break=	-other}', "");
    Expect(0, 921599, '\P{^Grapheme_Cluster_Break=	-other}', "");
    Error('\p{GCB=/a/XX}');
    Error('\P{GCB=/a/XX}');
    Expect(1, 921600, '\p{GCB=:\AXX\z:}', "");;
    Expect(0, 921599, '\p{GCB=:\AXX\z:}', "");;
    Expect(1, 921600, '\p{GCB=xx}', "");
    Expect(0, 921600, '\p{^GCB=xx}', "");
    Expect(0, 921600, '\P{GCB=xx}', "");
    Expect(1, 921600, '\P{^GCB=xx}', "");
    Expect(0, 921599, '\p{GCB=xx}', "");
    Expect(1, 921599, '\p{^GCB=xx}', "");
    Expect(1, 921599, '\P{GCB=xx}', "");
    Expect(0, 921599, '\P{^GCB=xx}', "");
    Expect(1, 921600, '\p{GCB=:\Axx\z:}', "");;
    Expect(0, 921599, '\p{GCB=:\Axx\z:}', "");;
    Expect(1, 921600, '\p{GCB=_-XX}', "");
    Expect(0, 921600, '\p{^GCB=_-XX}', "");
    Expect(0, 921600, '\P{GCB=_-XX}', "");
    Expect(1, 921600, '\P{^GCB=_-XX}', "");
    Expect(0, 921599, '\p{GCB=_-XX}', "");
    Expect(1, 921599, '\p{^GCB=_-XX}', "");
    Expect(1, 921599, '\P{GCB=_-XX}', "");
    Expect(0, 921599, '\P{^GCB=_-XX}', "");
    Error('\p{Is_Grapheme_Cluster_Break=:=-Other}');
    Error('\P{Is_Grapheme_Cluster_Break=:=-Other}');
    Expect(1, 921600, '\p{Is_Grapheme_Cluster_Break=other}', "");
    Expect(0, 921600, '\p{^Is_Grapheme_Cluster_Break=other}', "");
    Expect(0, 921600, '\P{Is_Grapheme_Cluster_Break=other}', "");
    Expect(1, 921600, '\P{^Is_Grapheme_Cluster_Break=other}', "");
    Expect(0, 921599, '\p{Is_Grapheme_Cluster_Break=other}', "");
    Expect(1, 921599, '\p{^Is_Grapheme_Cluster_Break=other}', "");
    Expect(1, 921599, '\P{Is_Grapheme_Cluster_Break=other}', "");
    Expect(0, 921599, '\P{^Is_Grapheme_Cluster_Break=other}', "");
    Expect(1, 921600, '\p{Is_Grapheme_Cluster_Break:-other}', "");
    Expect(0, 921600, '\p{^Is_Grapheme_Cluster_Break:-other}', "");
    Expect(0, 921600, '\P{Is_Grapheme_Cluster_Break:-other}', "");
    Expect(1, 921600, '\P{^Is_Grapheme_Cluster_Break:-other}', "");
    Expect(0, 921599, '\p{Is_Grapheme_Cluster_Break:-other}', "");
    Expect(1, 921599, '\p{^Is_Grapheme_Cluster_Break:-other}', "");
    Expect(1, 921599, '\P{Is_Grapheme_Cluster_Break:-other}', "");
    Expect(0, 921599, '\P{^Is_Grapheme_Cluster_Break:-other}', "");
    Error('\p{Is_GCB=-_XX:=}');
    Error('\P{Is_GCB=-_XX:=}');
    Expect(1, 921600, '\p{Is_GCB=xx}', "");
    Expect(0, 921600, '\p{^Is_GCB=xx}', "");
    Expect(0, 921600, '\P{Is_GCB=xx}', "");
    Expect(1, 921600, '\P{^Is_GCB=xx}', "");
    Expect(0, 921599, '\p{Is_GCB=xx}', "");
    Expect(1, 921599, '\p{^Is_GCB=xx}', "");
    Expect(1, 921599, '\P{Is_GCB=xx}', "");
    Expect(0, 921599, '\P{^Is_GCB=xx}', "");
    Expect(1, 921600, '\p{Is_GCB=_	XX}', "");
    Expect(0, 921600, '\p{^Is_GCB=_	XX}', "");
    Expect(0, 921600, '\P{Is_GCB=_	XX}', "");
    Expect(1, 921600, '\P{^Is_GCB=_	XX}', "");
    Expect(0, 921599, '\p{Is_GCB=_	XX}', "");
    Expect(1, 921599, '\p{^Is_GCB=_	XX}', "");
    Expect(1, 921599, '\P{Is_GCB=_	XX}', "");
    Expect(0, 921599, '\P{^Is_GCB=_	XX}', "");
    Error('\p{Grapheme_Cluster_Break=-:=zwj}');
    Error('\P{Grapheme_Cluster_Break=-:=zwj}');
    Expect(1, 8205, '\p{Grapheme_Cluster_Break=:\AZWJ\z:}', "");;
    Expect(0, 8206, '\p{Grapheme_Cluster_Break=:\AZWJ\z:}', "");;
    Expect(1, 8205, '\p{Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8205, '\p{^Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8205, '\P{Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8205, '\P{^Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8206, '\p{Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8206, '\p{^Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8206, '\P{Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8206, '\P{^Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8205, '\p{Grapheme_Cluster_Break=:\Azwj\z:}', "");;
    Expect(0, 8206, '\p{Grapheme_Cluster_Break=:\Azwj\z:}', "");;
    Expect(1, 8205, '\p{Grapheme_Cluster_Break=-ZWJ}', "");
    Expect(0, 8205, '\p{^Grapheme_Cluster_Break=-ZWJ}', "");
    Expect(0, 8205, '\P{Grapheme_Cluster_Break=-ZWJ}', "");
    Expect(1, 8205, '\P{^Grapheme_Cluster_Break=-ZWJ}', "");
    Expect(0, 8206, '\p{Grapheme_Cluster_Break=-ZWJ}', "");
    Expect(1, 8206, '\p{^Grapheme_Cluster_Break=-ZWJ}', "");
    Expect(1, 8206, '\P{Grapheme_Cluster_Break=-ZWJ}', "");
    Expect(0, 8206, '\P{^Grapheme_Cluster_Break=-ZWJ}', "");
    Error('\p{GCB=  zwj:=}');
    Error('\P{GCB=  zwj:=}');
    Expect(1, 8205, '\p{GCB=:\AZWJ\z:}', "");;
    Expect(0, 8206, '\p{GCB=:\AZWJ\z:}', "");;
    Expect(1, 8205, '\p{GCB=zwj}', "");
    Expect(0, 8205, '\p{^GCB=zwj}', "");
    Expect(0, 8205, '\P{GCB=zwj}', "");
    Expect(1, 8205, '\P{^GCB=zwj}', "");
    Expect(0, 8206, '\p{GCB=zwj}', "");
    Expect(1, 8206, '\p{^GCB=zwj}', "");
    Expect(1, 8206, '\P{GCB=zwj}', "");
    Expect(0, 8206, '\P{^GCB=zwj}', "");
    Expect(1, 8205, '\p{GCB=:\Azwj\z:}', "");;
    Expect(0, 8206, '\p{GCB=:\Azwj\z:}', "");;
    Expect(1, 8205, '\p{GCB=_-ZWJ}', "");
    Expect(0, 8205, '\p{^GCB=_-ZWJ}', "");
    Expect(0, 8205, '\P{GCB=_-ZWJ}', "");
    Expect(1, 8205, '\P{^GCB=_-ZWJ}', "");
    Expect(0, 8206, '\p{GCB=_-ZWJ}', "");
    Expect(1, 8206, '\p{^GCB=_-ZWJ}', "");
    Expect(1, 8206, '\P{GCB=_-ZWJ}', "");
    Expect(0, 8206, '\P{^GCB=_-ZWJ}', "");
    Error('\p{Is_Grapheme_Cluster_Break=  zwj:=}');
    Error('\P{Is_Grapheme_Cluster_Break=  zwj:=}');
    Expect(1, 8205, '\p{Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8205, '\p{^Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8205, '\P{Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8205, '\P{^Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8206, '\p{Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8206, '\p{^Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8206, '\P{Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(0, 8206, '\P{^Is_Grapheme_Cluster_Break=zwj}', "");
    Expect(1, 8205, '\p{Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Expect(0, 8205, '\p{^Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Expect(0, 8205, '\P{Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Expect(1, 8205, '\P{^Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Expect(0, 8206, '\p{Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Expect(1, 8206, '\p{^Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Expect(1, 8206, '\P{Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Expect(0, 8206, '\P{^Is_Grapheme_Cluster_Break= -ZWJ}', "");
    Error('\p{Is_GCB=-:=ZWJ}');
    Error('\P{Is_GCB=-:=ZWJ}');
    Expect(1, 8205, '\p{Is_GCB=zwj}', "");
    Expect(0, 8205, '\p{^Is_GCB=zwj}', "");
    Expect(0, 8205, '\P{Is_GCB=zwj}', "");
    Expect(1, 8205, '\P{^Is_GCB=zwj}', "");
    Expect(0, 8206, '\p{Is_GCB=zwj}', "");
    Expect(1, 8206, '\p{^Is_GCB=zwj}', "");
    Expect(1, 8206, '\P{Is_GCB=zwj}', "");
    Expect(0, 8206, '\P{^Is_GCB=zwj}', "");
    Expect(1, 8205, '\p{Is_GCB=_ZWJ}', "");
    Expect(0, 8205, '\p{^Is_GCB=_ZWJ}', "");
    Expect(0, 8205, '\P{Is_GCB=_ZWJ}', "");
    Expect(1, 8205, '\P{^Is_GCB=_ZWJ}', "");
    Expect(0, 8206, '\p{Is_GCB=_ZWJ}', "");
    Expect(1, 8206, '\p{^Is_GCB=_ZWJ}', "");
    Expect(1, 8206, '\P{Is_GCB=_ZWJ}', "");
    Expect(0, 8206, '\P{^Is_GCB=_ZWJ}', "");
    Error('\p{Grapheme_Base=/a/ No}');
    Error('\P{Grapheme_Base=/a/ No}');
    Expect(1, 201547, '\p{Grapheme_Base=:\ANo\z:}', "");;
    Expect(0, 201546, '\p{Grapheme_Base=:\ANo\z:}', "");;
    Expect(1, 201547, '\p{Grapheme_Base=no}', "");
    Expect(0, 201547, '\p{^Grapheme_Base=no}', "");
    Expect(0, 201547, '\P{Grapheme_Base=no}', "");
    Expect(1, 201547, '\P{^Grapheme_Base=no}', "");
    Expect(0, 201546, '\p{Grapheme_Base=no}', "");
    Expect(1, 201546, '\p{^Grapheme_Base=no}', "");
    Expect(1, 201546, '\P{Grapheme_Base=no}', "");
    Expect(0, 201546, '\P{^Grapheme_Base=no}', "");
    Expect(1, 201547, '\p{Grapheme_Base=:\Ano\z:}', "");;
    Expect(0, 201546, '\p{Grapheme_Base=:\Ano\z:}', "");;
    Expect(1, 201547, '\p{Grapheme_Base=  No}', "");
    Expect(0, 201547, '\p{^Grapheme_Base=  No}', "");
    Expect(0, 201547, '\P{Grapheme_Base=  No}', "");
    Expect(1, 201547, '\P{^Grapheme_Base=  No}', "");
    Expect(0, 201546, '\p{Grapheme_Base=  No}', "");
    Expect(1, 201546, '\p{^Grapheme_Base=  No}', "");
    Expect(1, 201546, '\P{Grapheme_Base=  No}', "");
    Expect(0, 201546, '\P{^Grapheme_Base=  No}', "");
    Error('\p{Gr_Base=	n:=}');
    Error('\P{Gr_Base=	n:=}');
    Expect(1, 201547, '\p{Gr_Base=:\AN\z:}', "");;
    Expect(0, 201546, '\p{Gr_Base=:\AN\z:}', "");;
    Expect(1, 201547, '\p{Gr_Base=n}', "");
    Expect(0, 201547, '\p{^Gr_Base=n}', "");
    Expect(0, 201547, '\P{Gr_Base=n}', "");
    Expect(1, 201547, '\P{^Gr_Base=n}', "");
    Expect(0, 201546, '\p{Gr_Base=n}', "");
    Expect(1, 201546, '\p{^Gr_Base=n}', "");
    Expect(1, 201546, '\P{Gr_Base=n}', "");
    Expect(0, 201546, '\P{^Gr_Base=n}', "");
    Expect(1, 201547, '\p{Gr_Base=:\An\z:}', "");;
    Expect(0, 201546, '\p{Gr_Base=:\An\z:}', "");;
    Expect(1, 201547, '\p{Gr_Base=_-n}', "");
    Expect(0, 201547, '\p{^Gr_Base=_-n}', "");
    Expect(0, 201547, '\P{Gr_Base=_-n}', "");
    Expect(1, 201547, '\P{^Gr_Base=_-n}', "");
    Expect(0, 201546, '\p{Gr_Base=_-n}', "");
    Expect(1, 201546, '\p{^Gr_Base=_-n}', "");
    Expect(1, 201546, '\P{Gr_Base=_-n}', "");
    Expect(0, 201546, '\P{^Gr_Base=_-n}', "");
    Error('\p{Is_Grapheme_Base:   :=-F}');
    Error('\P{Is_Grapheme_Base:   :=-F}');
    Expect(1, 201547, '\p{Is_Grapheme_Base=f}', "");
    Expect(0, 201547, '\p{^Is_Grapheme_Base=f}', "");
    Expect(0, 201547, '\P{Is_Grapheme_Base=f}', "");
    Expect(1, 201547, '\P{^Is_Grapheme_Base=f}', "");
    Expect(0, 201546, '\p{Is_Grapheme_Base=f}', "");
    Expect(1, 201546, '\p{^Is_Grapheme_Base=f}', "");
    Expect(1, 201546, '\P{Is_Grapheme_Base=f}', "");
    Expect(0, 201546, '\P{^Is_Grapheme_Base=f}', "");
    Expect(1, 201547, '\p{Is_Grapheme_Base:	 F}', "");
    Expect(0, 201547, '\p{^Is_Grapheme_Base:	 F}', "");
    Expect(0, 201547, '\P{Is_Grapheme_Base:	 F}', "");
    Expect(1, 201547, '\P{^Is_Grapheme_Base:	 F}', "");
    Expect(0, 201546, '\p{Is_Grapheme_Base:	 F}', "");
    Expect(1, 201546, '\p{^Is_Grapheme_Base:	 F}', "");
    Expect(1, 201546, '\P{Is_Grapheme_Base:	 F}', "");
    Expect(0, 201546, '\P{^Is_Grapheme_Base:	 F}', "");
    Error('\p{Is_Gr_Base: :=False}');
    Error('\P{Is_Gr_Base: :=False}');
    Expect(1, 201547, '\p{Is_Gr_Base=false}', "");
    Expect(0, 201547, '\p{^Is_Gr_Base=false}', "");
    Expect(0, 201547, '\P{Is_Gr_Base=false}', "");
    Expect(1, 201547, '\P{^Is_Gr_Base=false}', "");
    Expect(0, 201546, '\p{Is_Gr_Base=false}', "");
    Expect(1, 201546, '\p{^Is_Gr_Base=false}', "");
    Expect(1, 201546, '\P{Is_Gr_Base=false}', "");
    Expect(0, 201546, '\P{^Is_Gr_Base=false}', "");
    Expect(1, 201547, '\p{Is_Gr_Base= 	False}', "");
    Expect(0, 201547, '\p{^Is_Gr_Base= 	False}', "");
    Expect(0, 201547, '\P{Is_Gr_Base= 	False}', "");
    Expect(1, 201547, '\P{^Is_Gr_Base= 	False}', "");
    Expect(0, 201546, '\p{Is_Gr_Base= 	False}', "");
    Expect(1, 201546, '\p{^Is_Gr_Base= 	False}', "");
    Expect(1, 201546, '\P{Is_Gr_Base= 	False}', "");
    Expect(0, 201546, '\P{^Is_Gr_Base= 	False}', "");
    Error('\p{Grapheme_Base=/a/yes}');
    Error('\P{Grapheme_Base=/a/yes}');
    Expect(1, 201546, '\p{Grapheme_Base=:\AYes\z:}', "");;
    Expect(0, 201547, '\p{Grapheme_Base=:\AYes\z:}', "");;
    Expect(1, 201546, '\p{Grapheme_Base=yes}', "");
    Expect(0, 201546, '\p{^Grapheme_Base=yes}', "");
    Expect(0, 201546, '\P{Grapheme_Base=yes}', "");
    Expect(1, 201546, '\P{^Grapheme_Base=yes}', "");
    Expect(0, 201547, '\p{Grapheme_Base=yes}', "");
    Expect(1, 201547, '\p{^Grapheme_Base=yes}', "");
    Expect(1, 201547, '\P{Grapheme_Base=yes}', "");
    Expect(0, 201547, '\P{^Grapheme_Base=yes}', "");
    Expect(1, 201546, '\p{Grapheme_Base=:\Ayes\z:}', "");;
    Expect(0, 201547, '\p{Grapheme_Base=:\Ayes\z:}', "");;
    Expect(1, 201546, '\p{Grapheme_Base:   _	Yes}', "");
    Expect(0, 201546, '\p{^Grapheme_Base:   _	Yes}', "");
    Expect(0, 201546, '\P{Grapheme_Base:   _	Yes}', "");
    Expect(1, 201546, '\P{^Grapheme_Base:   _	Yes}', "");
    Expect(0, 201547, '\p{Grapheme_Base:   _	Yes}', "");
    Expect(1, 201547, '\p{^Grapheme_Base:   _	Yes}', "");
    Expect(1, 201547, '\P{Grapheme_Base:   _	Yes}', "");
    Expect(0, 201547, '\P{^Grapheme_Base:   _	Yes}', "");
    Error('\p{Gr_Base=_:=Y}');
    Error('\P{Gr_Base=_:=Y}');
    Expect(1, 201546, '\p{Gr_Base=:\AY\z:}', "");;
    Expect(0, 201547, '\p{Gr_Base=:\AY\z:}', "");;
    Expect(1, 201546, '\p{Gr_Base=y}', "");
    Expect(0, 201546, '\p{^Gr_Base=y}', "");
    Expect(0, 201546, '\P{Gr_Base=y}', "");
    Expect(1, 201546, '\P{^Gr_Base=y}', "");
    Expect(0, 201547, '\p{Gr_Base=y}', "");
    Expect(1, 201547, '\p{^Gr_Base=y}', "");
    Expect(1, 201547, '\P{Gr_Base=y}', "");
    Expect(0, 201547, '\P{^Gr_Base=y}', "");
    Expect(1, 201546, '\p{Gr_Base=:\Ay\z:}', "");;
    Expect(0, 201547, '\p{Gr_Base=:\Ay\z:}', "");;
    Expect(1, 201546, '\p{Gr_Base=--Y}', "");
    Expect(0, 201546, '\p{^Gr_Base=--Y}', "");
    Expect(0, 201546, '\P{Gr_Base=--Y}', "");
    Expect(1, 201546, '\P{^Gr_Base=--Y}', "");
    Expect(0, 201547, '\p{Gr_Base=--Y}', "");
    Expect(1, 201547, '\p{^Gr_Base=--Y}', "");
    Expect(1, 201547, '\P{Gr_Base=--Y}', "");
    Expect(0, 201547, '\P{^Gr_Base=--Y}', "");
    Error('\p{Is_Grapheme_Base= t:=}');
    Error('\P{Is_Grapheme_Base= t:=}');
    Expect(1, 201546, '\p{Is_Grapheme_Base=t}', "");
    Expect(0, 201546, '\p{^Is_Grapheme_Base=t}', "");
    Expect(0, 201546, '\P{Is_Grapheme_Base=t}', "");
    Expect(1, 201546, '\P{^Is_Grapheme_Base=t}', "");
    Expect(0, 201547, '\p{Is_Grapheme_Base=t}', "");
    Expect(1, 201547, '\p{^Is_Grapheme_Base=t}', "");
    Expect(1, 201547, '\P{Is_Grapheme_Base=t}', "");
    Expect(0, 201547, '\P{^Is_Grapheme_Base=t}', "");
    Expect(1, 201546, '\p{Is_Grapheme_Base= -T}', "");
    Expect(0, 201546, '\p{^Is_Grapheme_Base= -T}', "");
    Expect(0, 201546, '\P{Is_Grapheme_Base= -T}', "");
    Expect(1, 201546, '\P{^Is_Grapheme_Base= -T}', "");
    Expect(0, 201547, '\p{Is_Grapheme_Base= -T}', "");
    Expect(1, 201547, '\p{^Is_Grapheme_Base= -T}', "");
    Expect(1, 201547, '\P{Is_Grapheme_Base= -T}', "");
    Expect(0, 201547, '\P{^Is_Grapheme_Base= -T}', "");
    Error('\p{Is_Gr_Base=		true/a/}');
    Error('\P{Is_Gr_Base=		true/a/}');
    Expect(1, 201546, '\p{Is_Gr_Base=true}', "");
    Expect(0, 201546, '\p{^Is_Gr_Base=true}', "");
    Expect(0, 201546, '\P{Is_Gr_Base=true}', "");
    Expect(1, 201546, '\P{^Is_Gr_Base=true}', "");
    Expect(0, 201547, '\p{Is_Gr_Base=true}', "");
    Expect(1, 201547, '\p{^Is_Gr_Base=true}', "");
    Expect(1, 201547, '\P{Is_Gr_Base=true}', "");
    Expect(0, 201547, '\P{^Is_Gr_Base=true}', "");
    Expect(1, 201546, '\p{Is_Gr_Base=_ True}', "");
    Expect(0, 201546, '\p{^Is_Gr_Base=_ True}', "");
    Expect(0, 201546, '\P{Is_Gr_Base=_ True}', "");
    Expect(1, 201546, '\P{^Is_Gr_Base=_ True}', "");
    Expect(0, 201547, '\p{Is_Gr_Base=_ True}', "");
    Expect(1, 201547, '\p{^Is_Gr_Base=_ True}', "");
    Expect(1, 201547, '\P{Is_Gr_Base=_ True}', "");
    Expect(0, 201547, '\P{^Is_Gr_Base=_ True}', "");
    Error('\p{Grapheme_Extend=-:=no}');
    Error('\P{Grapheme_Extend=-:=no}');
    Expect(1, 918000, '\p{Grapheme_Extend=:\ANo\z:}', "");;
    Expect(0, 917999, '\p{Grapheme_Extend=:\ANo\z:}', "");;
    Expect(1, 918000, '\p{Grapheme_Extend=no}', "");
    Expect(0, 918000, '\p{^Grapheme_Extend=no}', "");
    Expect(0, 918000, '\P{Grapheme_Extend=no}', "");
    Expect(1, 918000, '\P{^Grapheme_Extend=no}', "");
    Expect(0, 917999, '\p{Grapheme_Extend=no}', "");
    Expect(1, 917999, '\p{^Grapheme_Extend=no}', "");
    Expect(1, 917999, '\P{Grapheme_Extend=no}', "");
    Expect(0, 917999, '\P{^Grapheme_Extend=no}', "");
    Expect(1, 918000, '\p{Grapheme_Extend=:\Ano\z:}', "");;
    Expect(0, 917999, '\p{Grapheme_Extend=:\Ano\z:}', "");;
    Expect(1, 918000, '\p{Grapheme_Extend=--NO}', "");
    Expect(0, 918000, '\p{^Grapheme_Extend=--NO}', "");
    Expect(0, 918000, '\P{Grapheme_Extend=--NO}', "");
    Expect(1, 918000, '\P{^Grapheme_Extend=--NO}', "");
    Expect(0, 917999, '\p{Grapheme_Extend=--NO}', "");
    Expect(1, 917999, '\p{^Grapheme_Extend=--NO}', "");
    Expect(1, 917999, '\P{Grapheme_Extend=--NO}', "");
    Expect(0, 917999, '\P{^Grapheme_Extend=--NO}', "");
    Error('\p{Gr_Ext= n/a/}');
    Error('\P{Gr_Ext= n/a/}');
    Expect(1, 918000, '\p{Gr_Ext=:\AN\z:}', "");;
    Expect(0, 917999, '\p{Gr_Ext=:\AN\z:}', "");;
    Expect(1, 918000, '\p{Gr_Ext=n}', "");
    Expect(0, 918000, '\p{^Gr_Ext=n}', "");
    Expect(0, 918000, '\P{Gr_Ext=n}', "");
    Expect(1, 918000, '\P{^Gr_Ext=n}', "");
    Expect(0, 917999, '\p{Gr_Ext=n}', "");
    Expect(1, 917999, '\p{^Gr_Ext=n}', "");
    Expect(1, 917999, '\P{Gr_Ext=n}', "");
    Expect(0, 917999, '\P{^Gr_Ext=n}', "");
    Expect(1, 918000, '\p{Gr_Ext=:\An\z:}', "");;
    Expect(0, 917999, '\p{Gr_Ext=:\An\z:}', "");;
    Expect(1, 918000, '\p{Gr_Ext:   _-N}', "");
    Expect(0, 918000, '\p{^Gr_Ext:   _-N}', "");
    Expect(0, 918000, '\P{Gr_Ext:   _-N}', "");
    Expect(1, 918000, '\P{^Gr_Ext:   _-N}', "");
    Expect(0, 917999, '\p{Gr_Ext:   _-N}', "");
    Expect(1, 917999, '\p{^Gr_Ext:   _-N}', "");
    Expect(1, 917999, '\P{Gr_Ext:   _-N}', "");
    Expect(0, 917999, '\P{^Gr_Ext:   _-N}', "");
    Error('\p{Is_Grapheme_Extend=-	F:=}');
    Error('\P{Is_Grapheme_Extend=-	F:=}');
    Expect(1, 918000, '\p{Is_Grapheme_Extend=f}', "");
    Expect(0, 918000, '\p{^Is_Grapheme_Extend=f}', "");
    Expect(0, 918000, '\P{Is_Grapheme_Extend=f}', "");
    Expect(1, 918000, '\P{^Is_Grapheme_Extend=f}', "");
    Expect(0, 917999, '\p{Is_Grapheme_Extend=f}', "");
    Expect(1, 917999, '\p{^Is_Grapheme_Extend=f}', "");
    Expect(1, 917999, '\P{Is_Grapheme_Extend=f}', "");
    Expect(0, 917999, '\P{^Is_Grapheme_Extend=f}', "");
    Expect(1, 918000, '\p{Is_Grapheme_Extend=_F}', "");
    Expect(0, 918000, '\p{^Is_Grapheme_Extend=_F}', "");
    Expect(0, 918000, '\P{Is_Grapheme_Extend=_F}', "");
    Expect(1, 918000, '\P{^Is_Grapheme_Extend=_F}', "");
    Expect(0, 917999, '\p{Is_Grapheme_Extend=_F}', "");
    Expect(1, 917999, '\p{^Is_Grapheme_Extend=_F}', "");
    Expect(1, 917999, '\P{Is_Grapheme_Extend=_F}', "");
    Expect(0, 917999, '\P{^Is_Grapheme_Extend=_F}', "");
    Error('\p{Is_Gr_Ext=-:=False}');
    Error('\P{Is_Gr_Ext=-:=False}');
    Expect(1, 918000, '\p{Is_Gr_Ext=false}', "");
    Expect(0, 918000, '\p{^Is_Gr_Ext=false}', "");
    Expect(0, 918000, '\P{Is_Gr_Ext=false}', "");
    Expect(1, 918000, '\P{^Is_Gr_Ext=false}', "");
    Expect(0, 917999, '\p{Is_Gr_Ext=false}', "");
    Expect(1, 917999, '\p{^Is_Gr_Ext=false}', "");
    Expect(1, 917999, '\P{Is_Gr_Ext=false}', "");
    Expect(0, 917999, '\P{^Is_Gr_Ext=false}', "");
    Expect(1, 918000, '\p{Is_Gr_Ext=-_False}', "");
    Expect(0, 918000, '\p{^Is_Gr_Ext=-_False}', "");
    Expect(0, 918000, '\P{Is_Gr_Ext=-_False}', "");
    Expect(1, 918000, '\P{^Is_Gr_Ext=-_False}', "");
    Expect(0, 917999, '\p{Is_Gr_Ext=-_False}', "");
    Expect(1, 917999, '\p{^Is_Gr_Ext=-_False}', "");
    Expect(1, 917999, '\P{Is_Gr_Ext=-_False}', "");
    Expect(0, 917999, '\P{^Is_Gr_Ext=-_False}', "");
    Error('\p{Grapheme_Extend: /a/YES}');
    Error('\P{Grapheme_Extend: /a/YES}');
    Expect(1, 917999, '\p{Grapheme_Extend=:\AYes\z:}', "");;
    Expect(0, 918000, '\p{Grapheme_Extend=:\AYes\z:}', "");;
    Expect(1, 917999, '\p{Grapheme_Extend=yes}', "");
    Expect(0, 917999, '\p{^Grapheme_Extend=yes}', "");
    Expect(0, 917999, '\P{Grapheme_Extend=yes}', "");
    Expect(1, 917999, '\P{^Grapheme_Extend=yes}', "");
    Expect(0, 918000, '\p{Grapheme_Extend=yes}', "");
    Expect(1, 918000, '\p{^Grapheme_Extend=yes}', "");
    Expect(1, 918000, '\P{Grapheme_Extend=yes}', "");
    Expect(0, 918000, '\P{^Grapheme_Extend=yes}', "");
    Expect(1, 917999, '\p{Grapheme_Extend=:\Ayes\z:}', "");;
    Expect(0, 918000, '\p{Grapheme_Extend=:\Ayes\z:}', "");;
    Expect(1, 917999, '\p{Grapheme_Extend=-yes}', "");
    Expect(0, 917999, '\p{^Grapheme_Extend=-yes}', "");
    Expect(0, 917999, '\P{Grapheme_Extend=-yes}', "");
    Expect(1, 917999, '\P{^Grapheme_Extend=-yes}', "");
    Expect(0, 918000, '\p{Grapheme_Extend=-yes}', "");
    Expect(1, 918000, '\p{^Grapheme_Extend=-yes}', "");
    Expect(1, 918000, '\P{Grapheme_Extend=-yes}', "");
    Expect(0, 918000, '\P{^Grapheme_Extend=-yes}', "");
    Error('\p{Gr_Ext=-/a/Y}');
    Error('\P{Gr_Ext=-/a/Y}');
    Expect(1, 917999, '\p{Gr_Ext=:\AY\z:}', "");;
    Expect(0, 918000, '\p{Gr_Ext=:\AY\z:}', "");;
    Expect(1, 917999, '\p{Gr_Ext=y}', "");
    Expect(0, 917999, '\p{^Gr_Ext=y}', "");
    Expect(0, 917999, '\P{Gr_Ext=y}', "");
    Expect(1, 917999, '\P{^Gr_Ext=y}', "");
    Expect(0, 918000, '\p{Gr_Ext=y}', "");
    Expect(1, 918000, '\p{^Gr_Ext=y}', "");
    Expect(1, 918000, '\P{Gr_Ext=y}', "");
    Expect(0, 918000, '\P{^Gr_Ext=y}', "");
    Expect(1, 917999, '\p{Gr_Ext=:\Ay\z:}', "");;
    Expect(0, 918000, '\p{Gr_Ext=:\Ay\z:}', "");;
    Expect(1, 917999, '\p{Gr_Ext= _Y}', "");
    Expect(0, 917999, '\p{^Gr_Ext= _Y}', "");
    Expect(0, 917999, '\P{Gr_Ext= _Y}', "");
    Expect(1, 917999, '\P{^Gr_Ext= _Y}', "");
    Expect(0, 918000, '\p{Gr_Ext= _Y}', "");
    Expect(1, 918000, '\p{^Gr_Ext= _Y}', "");
    Expect(1, 918000, '\P{Gr_Ext= _Y}', "");
    Expect(0, 918000, '\P{^Gr_Ext= _Y}', "");
    Error('\p{Is_Grapheme_Extend=:=T}');
    Error('\P{Is_Grapheme_Extend=:=T}');
    Expect(1, 917999, '\p{Is_Grapheme_Extend=t}', "");
    Expect(0, 917999, '\p{^Is_Grapheme_Extend=t}', "");
    Expect(0, 917999, '\P{Is_Grapheme_Extend=t}', "");
    Expect(1, 917999, '\P{^Is_Grapheme_Extend=t}', "");
    Expect(0, 918000, '\p{Is_Grapheme_Extend=t}', "");
    Expect(1, 918000, '\p{^Is_Grapheme_Extend=t}', "");
    Expect(1, 918000, '\P{Is_Grapheme_Extend=t}', "");
    Expect(0, 918000, '\P{^Is_Grapheme_Extend=t}', "");
    Expect(1, 917999, '\p{Is_Grapheme_Extend=- T}', "");
    Expect(0, 917999, '\p{^Is_Grapheme_Extend=- T}', "");
    Expect(0, 917999, '\P{Is_Grapheme_Extend=- T}', "");
    Expect(1, 917999, '\P{^Is_Grapheme_Extend=- T}', "");
    Expect(0, 918000, '\p{Is_Grapheme_Extend=- T}', "");
    Expect(1, 918000, '\p{^Is_Grapheme_Extend=- T}', "");
    Expect(1, 918000, '\P{Is_Grapheme_Extend=- T}', "");
    Expect(0, 918000, '\P{^Is_Grapheme_Extend=- T}', "");
    Error('\p{Is_Gr_Ext= _True:=}');
    Error('\P{Is_Gr_Ext= _True:=}');
    Expect(1, 917999, '\p{Is_Gr_Ext=true}', "");
    Expect(0, 917999, '\p{^Is_Gr_Ext=true}', "");
    Expect(0, 917999, '\P{Is_Gr_Ext=true}', "");
    Expect(1, 917999, '\P{^Is_Gr_Ext=true}', "");
    Expect(0, 918000, '\p{Is_Gr_Ext=true}', "");
    Expect(1, 918000, '\p{^Is_Gr_Ext=true}', "");
    Expect(1, 918000, '\P{Is_Gr_Ext=true}', "");
    Expect(0, 918000, '\P{^Is_Gr_Ext=true}', "");
    Expect(1, 917999, '\p{Is_Gr_Ext=__true}', "");
    Expect(0, 917999, '\p{^Is_Gr_Ext=__true}', "");
    Expect(0, 917999, '\P{Is_Gr_Ext=__true}', "");
    Expect(1, 917999, '\P{^Is_Gr_Ext=__true}', "");
    Expect(0, 918000, '\p{Is_Gr_Ext=__true}', "");
    Expect(1, 918000, '\p{^Is_Gr_Ext=__true}', "");
    Expect(1, 918000, '\P{Is_Gr_Ext=__true}', "");
    Expect(0, 918000, '\P{^Is_Gr_Ext=__true}', "");
    Error('\p{Grapheme_Link=No}');
    Error('\P{Grapheme_Link=No}');
    Error('\p{Gr_Link=N}');
    Error('\P{Gr_Link=N}');
    Error('\p{Is_Grapheme_Link=F}');
    Error('\P{Is_Grapheme_Link=F}');
    Error('\p{Is_Gr_Link=False}');
    Error('\P{Is_Gr_Link=False}');
    Error('\p{Grapheme_Link=Yes}');
    Error('\P{Grapheme_Link=Yes}');
    Error('\p{Gr_Link=Y}');
    Error('\P{Gr_Link=Y}');
    Error('\p{Is_Grapheme_Link:	T}');
    Error('\P{Is_Grapheme_Link:	T}');
    Error('\p{Is_Gr_Link=True}');
    Error('\P{Is_Gr_Link=True}');
    Error('\p{Hex_Digit=-/a/NO}');
    Error('\P{Hex_Digit=-/a/NO}');
    Expect(1, 65351, '\p{Hex_Digit=:\ANo\z:}', "");;
    Expect(0, 65350, '\p{Hex_Digit=:\ANo\z:}', "");;
    Expect(1, 65351, '\p{Hex_Digit: no}', "");
    Expect(0, 65351, '\p{^Hex_Digit: no}', "");
    Expect(0, 65351, '\P{Hex_Digit: no}', "");
    Expect(1, 65351, '\P{^Hex_Digit: no}', "");
    Expect(0, 65350, '\p{Hex_Digit: no}', "");
    Expect(1, 65350, '\p{^Hex_Digit: no}', "");
    Expect(1, 65350, '\P{Hex_Digit: no}', "");
    Expect(0, 65350, '\P{^Hex_Digit: no}', "");
    Expect(1, 65351, '\p{Hex_Digit=:\Ano\z:}', "");;
    Expect(0, 65350, '\p{Hex_Digit=:\Ano\z:}', "");;
    Expect(1, 65351, '\p{Hex_Digit=_	no}', "");
    Expect(0, 65351, '\p{^Hex_Digit=_	no}', "");
    Expect(0, 65351, '\P{Hex_Digit=_	no}', "");
    Expect(1, 65351, '\P{^Hex_Digit=_	no}', "");
    Expect(0, 65350, '\p{Hex_Digit=_	no}', "");
    Expect(1, 65350, '\p{^Hex_Digit=_	no}', "");
    Expect(1, 65350, '\P{Hex_Digit=_	no}', "");
    Expect(0, 65350, '\P{^Hex_Digit=_	no}', "");
    Error('\p{Hex= -N/a/}');
    Error('\P{Hex= -N/a/}');
    Expect(1, 65351, '\p{Hex=:\AN\z:}', "");;
    Expect(0, 65350, '\p{Hex=:\AN\z:}', "");;
    Expect(1, 65351, '\p{Hex:   n}', "");
    Expect(0, 65351, '\p{^Hex:   n}', "");
    Expect(0, 65351, '\P{Hex:   n}', "");
    Expect(1, 65351, '\P{^Hex:   n}', "");
    Expect(0, 65350, '\p{Hex:   n}', "");
    Expect(1, 65350, '\p{^Hex:   n}', "");
    Expect(1, 65350, '\P{Hex:   n}', "");
    Expect(0, 65350, '\P{^Hex:   n}', "");
    Expect(1, 65351, '\p{Hex=:\An\z:}', "");;
    Expect(0, 65350, '\p{Hex=:\An\z:}', "");;
    Expect(1, 65351, '\p{Hex=  n}', "");
    Expect(0, 65351, '\p{^Hex=  n}', "");
    Expect(0, 65351, '\P{Hex=  n}', "");
    Expect(1, 65351, '\P{^Hex=  n}', "");
    Expect(0, 65350, '\p{Hex=  n}', "");
    Expect(1, 65350, '\p{^Hex=  n}', "");
    Expect(1, 65350, '\P{Hex=  n}', "");
    Expect(0, 65350, '\P{^Hex=  n}', "");
    Error('\p{Is_Hex_Digit=	-F/a/}');
    Error('\P{Is_Hex_Digit=	-F/a/}');
    Expect(1, 65351, '\p{Is_Hex_Digit=f}', "");
    Expect(0, 65351, '\p{^Is_Hex_Digit=f}', "");
    Expect(0, 65351, '\P{Is_Hex_Digit=f}', "");
    Expect(1, 65351, '\P{^Is_Hex_Digit=f}', "");
    Expect(0, 65350, '\p{Is_Hex_Digit=f}', "");
    Expect(1, 65350, '\p{^Is_Hex_Digit=f}', "");
    Expect(1, 65350, '\P{Is_Hex_Digit=f}', "");
    Expect(0, 65350, '\P{^Is_Hex_Digit=f}', "");
    Expect(1, 65351, '\p{Is_Hex_Digit= 	F}', "");
    Expect(0, 65351, '\p{^Is_Hex_Digit= 	F}', "");
    Expect(0, 65351, '\P{Is_Hex_Digit= 	F}', "");
    Expect(1, 65351, '\P{^Is_Hex_Digit= 	F}', "");
    Expect(0, 65350, '\p{Is_Hex_Digit= 	F}', "");
    Expect(1, 65350, '\p{^Is_Hex_Digit= 	F}', "");
    Expect(1, 65350, '\P{Is_Hex_Digit= 	F}', "");
    Expect(0, 65350, '\P{^Is_Hex_Digit= 	F}', "");
    Error('\p{Is_Hex=:=		False}');
    Error('\P{Is_Hex=:=		False}');
    Expect(1, 65351, '\p{Is_Hex=false}', "");
    Expect(0, 65351, '\p{^Is_Hex=false}', "");
    Expect(0, 65351, '\P{Is_Hex=false}', "");
    Expect(1, 65351, '\P{^Is_Hex=false}', "");
    Expect(0, 65350, '\p{Is_Hex=false}', "");
    Expect(1, 65350, '\p{^Is_Hex=false}', "");
    Expect(1, 65350, '\P{Is_Hex=false}', "");
    Expect(0, 65350, '\P{^Is_Hex=false}', "");
    Expect(1, 65351, '\p{Is_Hex=_ false}', "");
    Expect(0, 65351, '\p{^Is_Hex=_ false}', "");
    Expect(0, 65351, '\P{Is_Hex=_ false}', "");
    Expect(1, 65351, '\P{^Is_Hex=_ false}', "");
    Expect(0, 65350, '\p{Is_Hex=_ false}', "");
    Expect(1, 65350, '\p{^Is_Hex=_ false}', "");
    Expect(1, 65350, '\P{Is_Hex=_ false}', "");
    Expect(0, 65350, '\P{^Is_Hex=_ false}', "");
    Error('\p{Hex_Digit: -Yes:=}');
    Error('\P{Hex_Digit: -Yes:=}');
    Expect(1, 65350, '\p{Hex_Digit=:\AYes\z:}', "");;
    Expect(0, 65351, '\p{Hex_Digit=:\AYes\z:}', "");;
    Expect(1, 65350, '\p{Hex_Digit=yes}', "");
    Expect(0, 65350, '\p{^Hex_Digit=yes}', "");
    Expect(0, 65350, '\P{Hex_Digit=yes}', "");
    Expect(1, 65350, '\P{^Hex_Digit=yes}', "");
    Expect(0, 65351, '\p{Hex_Digit=yes}', "");
    Expect(1, 65351, '\p{^Hex_Digit=yes}', "");
    Expect(1, 65351, '\P{Hex_Digit=yes}', "");
    Expect(0, 65351, '\P{^Hex_Digit=yes}', "");
    Expect(1, 65350, '\p{Hex_Digit=:\Ayes\z:}', "");;
    Expect(0, 65351, '\p{Hex_Digit=:\Ayes\z:}', "");;
    Expect(1, 65350, '\p{Hex_Digit=_YES}', "");
    Expect(0, 65350, '\p{^Hex_Digit=_YES}', "");
    Expect(0, 65350, '\P{Hex_Digit=_YES}', "");
    Expect(1, 65350, '\P{^Hex_Digit=_YES}', "");
    Expect(0, 65351, '\p{Hex_Digit=_YES}', "");
    Expect(1, 65351, '\p{^Hex_Digit=_YES}', "");
    Expect(1, 65351, '\P{Hex_Digit=_YES}', "");
    Expect(0, 65351, '\P{^Hex_Digit=_YES}', "");
    Error('\p{Hex:-:=y}');
    Error('\P{Hex:-:=y}');
    Expect(1, 65350, '\p{Hex=:\AY\z:}', "");;
    Expect(0, 65351, '\p{Hex=:\AY\z:}', "");;
    Expect(1, 65350, '\p{Hex=y}', "");
    Expect(0, 65350, '\p{^Hex=y}', "");
    Expect(0, 65350, '\P{Hex=y}', "");
    Expect(1, 65350, '\P{^Hex=y}', "");
    Expect(0, 65351, '\p{Hex=y}', "");
    Expect(1, 65351, '\p{^Hex=y}', "");
    Expect(1, 65351, '\P{Hex=y}', "");
    Expect(0, 65351, '\P{^Hex=y}', "");
    Expect(1, 65350, '\p{Hex=:\Ay\z:}', "");;
    Expect(0, 65351, '\p{Hex=:\Ay\z:}', "");;
    Expect(1, 65350, '\p{Hex=_	Y}', "");
    Expect(0, 65350, '\p{^Hex=_	Y}', "");
    Expect(0, 65350, '\P{Hex=_	Y}', "");
    Expect(1, 65350, '\P{^Hex=_	Y}', "");
    Expect(0, 65351, '\p{Hex=_	Y}', "");
    Expect(1, 65351, '\p{^Hex=_	Y}', "");
    Expect(1, 65351, '\P{Hex=_	Y}', "");
    Expect(0, 65351, '\P{^Hex=_	Y}', "");
    Error('\p{Is_Hex_Digit=	/a/t}');
    Error('\P{Is_Hex_Digit=	/a/t}');
    Expect(1, 65350, '\p{Is_Hex_Digit=t}', "");
    Expect(0, 65350, '\p{^Is_Hex_Digit=t}', "");
    Expect(0, 65350, '\P{Is_Hex_Digit=t}', "");
    Expect(1, 65350, '\P{^Is_Hex_Digit=t}', "");
    Expect(0, 65351, '\p{Is_Hex_Digit=t}', "");
    Expect(1, 65351, '\p{^Is_Hex_Digit=t}', "");
    Expect(1, 65351, '\P{Is_Hex_Digit=t}', "");
    Expect(0, 65351, '\P{^Is_Hex_Digit=t}', "");
    Expect(1, 65350, '\p{Is_Hex_Digit=		T}', "");
    Expect(0, 65350, '\p{^Is_Hex_Digit=		T}', "");
    Expect(0, 65350, '\P{Is_Hex_Digit=		T}', "");
    Expect(1, 65350, '\P{^Is_Hex_Digit=		T}', "");
    Expect(0, 65351, '\p{Is_Hex_Digit=		T}', "");
    Expect(1, 65351, '\p{^Is_Hex_Digit=		T}', "");
    Expect(1, 65351, '\P{Is_Hex_Digit=		T}', "");
    Expect(0, 65351, '\P{^Is_Hex_Digit=		T}', "");
    Error('\p{Is_Hex= True/a/}');
    Error('\P{Is_Hex= True/a/}');
    Expect(1, 65350, '\p{Is_Hex=true}', "");
    Expect(0, 65350, '\p{^Is_Hex=true}', "");
    Expect(0, 65350, '\P{Is_Hex=true}', "");
    Expect(1, 65350, '\P{^Is_Hex=true}', "");
    Expect(0, 65351, '\p{Is_Hex=true}', "");
    Expect(1, 65351, '\p{^Is_Hex=true}', "");
    Expect(1, 65351, '\P{Is_Hex=true}', "");
    Expect(0, 65351, '\P{^Is_Hex=true}', "");
    Expect(1, 65350, '\p{Is_Hex=- True}', "");
    Expect(0, 65350, '\p{^Is_Hex=- True}', "");
    Expect(0, 65350, '\P{Is_Hex=- True}', "");
    Expect(1, 65350, '\P{^Is_Hex=- True}', "");
    Expect(0, 65351, '\p{Is_Hex=- True}', "");
    Expect(1, 65351, '\p{^Is_Hex=- True}', "");
    Expect(1, 65351, '\P{Is_Hex=- True}', "");
    Expect(0, 65351, '\P{^Is_Hex=- True}', "");
    Error('\p{hangulsyllabletype}');
    Error('\P{hangulsyllabletype}');
    Error('\p{hst}');
    Error('\P{hst}');
    Error('\p{Hangul_Syllable_Type= /a/Leading_jamo}');
    Error('\P{Hangul_Syllable_Type= /a/Leading_jamo}');
    Expect(1, 43388, '\p{Hangul_Syllable_Type=:\ALeading_Jamo\z:}', "");;
    Expect(0, 43389, '\p{Hangul_Syllable_Type=:\ALeading_Jamo\z:}', "");;
    Expect(1, 43388, '\p{Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43388, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43388, '\P{Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43388, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43389, '\p{Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43389, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43389, '\P{Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43389, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43388, '\p{Hangul_Syllable_Type=:\Aleadingjamo\z:}', "");;
    Expect(0, 43389, '\p{Hangul_Syllable_Type=:\Aleadingjamo\z:}', "");;
    Expect(1, 43388, '\p{Hangul_Syllable_Type=--Leading_Jamo}', "");
    Expect(0, 43388, '\p{^Hangul_Syllable_Type=--Leading_Jamo}', "");
    Expect(0, 43388, '\P{Hangul_Syllable_Type=--Leading_Jamo}', "");
    Expect(1, 43388, '\P{^Hangul_Syllable_Type=--Leading_Jamo}', "");
    Expect(0, 43389, '\p{Hangul_Syllable_Type=--Leading_Jamo}', "");
    Expect(1, 43389, '\p{^Hangul_Syllable_Type=--Leading_Jamo}', "");
    Expect(1, 43389, '\P{Hangul_Syllable_Type=--Leading_Jamo}', "");
    Expect(0, 43389, '\P{^Hangul_Syllable_Type=--Leading_Jamo}', "");
    Error('\p{Hst=:=L}');
    Error('\P{Hst=:=L}');
    Expect(1, 43388, '\p{Hst=:\AL\z:}', "");;
    Expect(0, 43389, '\p{Hst=:\AL\z:}', "");;
    Expect(1, 43388, '\p{Hst:   l}', "");
    Expect(0, 43388, '\p{^Hst:   l}', "");
    Expect(0, 43388, '\P{Hst:   l}', "");
    Expect(1, 43388, '\P{^Hst:   l}', "");
    Expect(0, 43389, '\p{Hst:   l}', "");
    Expect(1, 43389, '\p{^Hst:   l}', "");
    Expect(1, 43389, '\P{Hst:   l}', "");
    Expect(0, 43389, '\P{^Hst:   l}', "");
    Expect(1, 43388, '\p{Hst=:\Al\z:}', "");;
    Expect(0, 43389, '\p{Hst=:\Al\z:}', "");;
    Expect(1, 43388, '\p{Hst= -l}', "");
    Expect(0, 43388, '\p{^Hst= -l}', "");
    Expect(0, 43388, '\P{Hst= -l}', "");
    Expect(1, 43388, '\P{^Hst= -l}', "");
    Expect(0, 43389, '\p{Hst= -l}', "");
    Expect(1, 43389, '\p{^Hst= -l}', "");
    Expect(1, 43389, '\P{Hst= -l}', "");
    Expect(0, 43389, '\P{^Hst= -l}', "");
    Error('\p{Is_Hangul_Syllable_Type=/a/ 	Leading_Jamo}');
    Error('\P{Is_Hangul_Syllable_Type=/a/ 	Leading_Jamo}');
    Expect(1, 43388, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43388, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43388, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43388, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43389, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43389, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43389, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(0, 43389, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
    Expect(1, 43388, '\p{Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Expect(0, 43388, '\p{^Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Expect(0, 43388, '\P{Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Expect(1, 43388, '\P{^Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Expect(0, 43389, '\p{Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Expect(1, 43389, '\p{^Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Expect(1, 43389, '\P{Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Expect(0, 43389, '\P{^Is_Hangul_Syllable_Type=- Leading_Jamo}', "");
    Error('\p{Is_Hst=/a/ _l}');
    Error('\P{Is_Hst=/a/ _l}');
    Expect(1, 43388, '\p{Is_Hst=l}', "");
    Expect(0, 43388, '\p{^Is_Hst=l}', "");
    Expect(0, 43388, '\P{Is_Hst=l}', "");
    Expect(1, 43388, '\P{^Is_Hst=l}', "");
    Expect(0, 43389, '\p{Is_Hst=l}', "");
    Expect(1, 43389, '\p{^Is_Hst=l}', "");
    Expect(1, 43389, '\P{Is_Hst=l}', "");
    Expect(0, 43389, '\P{^Is_Hst=l}', "");
    Expect(1, 43388, '\p{Is_Hst:_L}', "");
    Expect(0, 43388, '\p{^Is_Hst:_L}', "");
    Expect(0, 43388, '\P{Is_Hst:_L}', "");
    Expect(1, 43388, '\P{^Is_Hst:_L}', "");
    Expect(0, 43389, '\p{Is_Hst:_L}', "");
    Expect(1, 43389, '\p{^Is_Hst:_L}', "");
    Expect(1, 43389, '\P{Is_Hst:_L}', "");
    Expect(0, 43389, '\P{^Is_Hst:_L}', "");
    Error('\p{Hangul_Syllable_Type=-LV_Syllable/a/}');
    Error('\P{Hangul_Syllable_Type=-LV_Syllable/a/}');
    Expect(1, 55176, '\p{Hangul_Syllable_Type=:\ALV_Syllable\z:}', "");;
    Expect(0, 55177, '\p{Hangul_Syllable_Type=:\ALV_Syllable\z:}', "");;
    Expect(1, 55176, '\p{Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55176, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55176, '\P{Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55176, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55177, '\p{Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55177, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55177, '\P{Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55177, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55176, '\p{Hangul_Syllable_Type=:\Alvsyllable\z:}', "");;
    Expect(0, 55177, '\p{Hangul_Syllable_Type=:\Alvsyllable\z:}', "");;
    Expect(1, 55176, '\p{Hangul_Syllable_Type=_-lv_Syllable}', "");
    Expect(0, 55176, '\p{^Hangul_Syllable_Type=_-lv_Syllable}', "");
    Expect(0, 55176, '\P{Hangul_Syllable_Type=_-lv_Syllable}', "");
    Expect(1, 55176, '\P{^Hangul_Syllable_Type=_-lv_Syllable}', "");
    Expect(0, 55177, '\p{Hangul_Syllable_Type=_-lv_Syllable}', "");
    Expect(1, 55177, '\p{^Hangul_Syllable_Type=_-lv_Syllable}', "");
    Expect(1, 55177, '\P{Hangul_Syllable_Type=_-lv_Syllable}', "");
    Expect(0, 55177, '\P{^Hangul_Syllable_Type=_-lv_Syllable}', "");
    Error('\p{Hst=	_LV:=}');
    Error('\P{Hst=	_LV:=}');
    Expect(1, 55176, '\p{Hst=:\ALV\z:}', "");;
    Expect(0, 55177, '\p{Hst=:\ALV\z:}', "");;
    Expect(1, 55176, '\p{Hst=lv}', "");
    Expect(0, 55176, '\p{^Hst=lv}', "");
    Expect(0, 55176, '\P{Hst=lv}', "");
    Expect(1, 55176, '\P{^Hst=lv}', "");
    Expect(0, 55177, '\p{Hst=lv}', "");
    Expect(1, 55177, '\p{^Hst=lv}', "");
    Expect(1, 55177, '\P{Hst=lv}', "");
    Expect(0, 55177, '\P{^Hst=lv}', "");
    Expect(1, 55176, '\p{Hst=:\Alv\z:}', "");;
    Expect(0, 55177, '\p{Hst=:\Alv\z:}', "");;
    Expect(1, 55176, '\p{Hst=-LV}', "");
    Expect(0, 55176, '\p{^Hst=-LV}', "");
    Expect(0, 55176, '\P{Hst=-LV}', "");
    Expect(1, 55176, '\P{^Hst=-LV}', "");
    Expect(0, 55177, '\p{Hst=-LV}', "");
    Expect(1, 55177, '\p{^Hst=-LV}', "");
    Expect(1, 55177, '\P{Hst=-LV}', "");
    Expect(0, 55177, '\P{^Hst=-LV}', "");
    Error('\p{Is_Hangul_Syllable_Type=:=  LV_syllable}');
    Error('\P{Is_Hangul_Syllable_Type=:=  LV_syllable}');
    Expect(1, 55176, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55176, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55176, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55176, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55177, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55177, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55177, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(0, 55177, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
    Expect(1, 55176, '\p{Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Expect(0, 55176, '\p{^Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Expect(0, 55176, '\P{Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Expect(1, 55176, '\P{^Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Expect(0, 55177, '\p{Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Expect(1, 55177, '\p{^Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Expect(1, 55177, '\P{Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Expect(0, 55177, '\P{^Is_Hangul_Syllable_Type=_	LV_Syllable}', "");
    Error('\p{Is_Hst=-/a/LV}');
    Error('\P{Is_Hst=-/a/LV}');
    Expect(1, 55176, '\p{Is_Hst=lv}', "");
    Expect(0, 55176, '\p{^Is_Hst=lv}', "");
    Expect(0, 55176, '\P{Is_Hst=lv}', "");
    Expect(1, 55176, '\P{^Is_Hst=lv}', "");
    Expect(0, 55177, '\p{Is_Hst=lv}', "");
    Expect(1, 55177, '\p{^Is_Hst=lv}', "");
    Expect(1, 55177, '\P{Is_Hst=lv}', "");
    Expect(0, 55177, '\P{^Is_Hst=lv}', "");
    Expect(1, 55176, '\p{Is_Hst=_LV}', "");
    Expect(0, 55176, '\p{^Is_Hst=_LV}', "");
    Expect(0, 55176, '\P{Is_Hst=_LV}', "");
    Expect(1, 55176, '\P{^Is_Hst=_LV}', "");
    Expect(0, 55177, '\p{Is_Hst=_LV}', "");
    Expect(1, 55177, '\p{^Is_Hst=_LV}', "");
    Expect(1, 55177, '\P{Is_Hst=_LV}', "");
    Expect(0, 55177, '\P{^Is_Hst=_LV}', "");
    Error('\p{Hangul_Syllable_Type= LVT_SYLLABLE:=}');
    Error('\P{Hangul_Syllable_Type= LVT_SYLLABLE:=}');
    Expect(1, 55203, '\p{Hangul_Syllable_Type=:\ALVT_Syllable\z:}', "");;
    Expect(0, 55204, '\p{Hangul_Syllable_Type=:\ALVT_Syllable\z:}', "");;
    Expect(1, 55203, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55203, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55203, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55203, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55204, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55204, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55204, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55204, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55203, '\p{Hangul_Syllable_Type=:\Alvtsyllable\z:}', "");;
    Expect(0, 55204, '\p{Hangul_Syllable_Type=:\Alvtsyllable\z:}', "");;
    Expect(1, 55203, '\p{Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Expect(0, 55203, '\p{^Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Expect(0, 55203, '\P{Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Expect(1, 55203, '\P{^Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Expect(0, 55204, '\p{Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Expect(1, 55204, '\p{^Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Expect(1, 55204, '\P{Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Expect(0, 55204, '\P{^Hangul_Syllable_Type=_ LVT_Syllable}', "");
    Error('\p{Hst=-_lvt:=}');
    Error('\P{Hst=-_lvt:=}');
    Expect(1, 55203, '\p{Hst=:\ALVT\z:}', "");;
    Expect(0, 55204, '\p{Hst=:\ALVT\z:}', "");;
    Expect(1, 55203, '\p{Hst=lvt}', "");
    Expect(0, 55203, '\p{^Hst=lvt}', "");
    Expect(0, 55203, '\P{Hst=lvt}', "");
    Expect(1, 55203, '\P{^Hst=lvt}', "");
    Expect(0, 55204, '\p{Hst=lvt}', "");
    Expect(1, 55204, '\p{^Hst=lvt}', "");
    Expect(1, 55204, '\P{Hst=lvt}', "");
    Expect(0, 55204, '\P{^Hst=lvt}', "");
    Expect(1, 55203, '\p{Hst=:\Alvt\z:}', "");;
    Expect(0, 55204, '\p{Hst=:\Alvt\z:}', "");;
    Expect(1, 55203, '\p{Hst=	LVT}', "");
    Expect(0, 55203, '\p{^Hst=	LVT}', "");
    Expect(0, 55203, '\P{Hst=	LVT}', "");
    Expect(1, 55203, '\P{^Hst=	LVT}', "");
    Expect(0, 55204, '\p{Hst=	LVT}', "");
    Expect(1, 55204, '\p{^Hst=	LVT}', "");
    Expect(1, 55204, '\P{Hst=	LVT}', "");
    Expect(0, 55204, '\P{^Hst=	LVT}', "");
    Error('\p{Is_Hangul_Syllable_Type=/a/LVT_Syllable}');
    Error('\P{Is_Hangul_Syllable_Type=/a/LVT_Syllable}');
    Expect(1, 55203, '\p{Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55203, '\p{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55203, '\P{Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55203, '\P{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55204, '\p{Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55204, '\p{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55204, '\P{Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(0, 55204, '\P{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
    Expect(1, 55203, '\p{Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Expect(0, 55203, '\p{^Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Expect(0, 55203, '\P{Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Expect(1, 55203, '\P{^Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Expect(0, 55204, '\p{Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Expect(1, 55204, '\p{^Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Expect(1, 55204, '\P{Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Expect(0, 55204, '\P{^Is_Hangul_Syllable_Type=-LVT_SYLLABLE}', "");
    Error('\p{Is_Hst=--lvt:=}');
    Error('\P{Is_Hst=--lvt:=}');
    Expect(1, 55203, '\p{Is_Hst=lvt}', "");
    Expect(0, 55203, '\p{^Is_Hst=lvt}', "");
    Expect(0, 55203, '\P{Is_Hst=lvt}', "");
    Expect(1, 55203, '\P{^Is_Hst=lvt}', "");
    Expect(0, 55204, '\p{Is_Hst=lvt}', "");
    Expect(1, 55204, '\p{^Is_Hst=lvt}', "");
    Expect(1, 55204, '\P{Is_Hst=lvt}', "");
    Expect(0, 55204, '\P{^Is_Hst=lvt}', "");
    Expect(1, 55203, '\p{Is_Hst=_lvt}', "");
    Expect(0, 55203, '\p{^Is_Hst=_lvt}', "");
    Expect(0, 55203, '\P{Is_Hst=_lvt}', "");
    Expect(1, 55203, '\P{^Is_Hst=_lvt}', "");
    Expect(0, 55204, '\p{Is_Hst=_lvt}', "");
    Expect(1, 55204, '\p{^Is_Hst=_lvt}', "");
    Expect(1, 55204, '\P{Is_Hst=_lvt}', "");
    Expect(0, 55204, '\P{^Is_Hst=_lvt}', "");
    Error('\p{Hangul_Syllable_Type:   	:=Not_Applicable}');
    Error('\P{Hangul_Syllable_Type:   	:=Not_Applicable}');
    Expect(1, 55292, '\p{Hangul_Syllable_Type=:\ANot_Applicable\z:}', "");;
    Expect(0, 55291, '\p{Hangul_Syllable_Type=:\ANot_Applicable\z:}', "");;
    Expect(1, 55292, '\p{Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55292, '\p{^Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55292, '\P{Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55292, '\P{^Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55291, '\p{Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55291, '\p{^Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55291, '\P{Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55291, '\P{^Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55292, '\p{Hangul_Syllable_Type=:\Anotapplicable\z:}', "");;
    Expect(0, 55291, '\p{Hangul_Syllable_Type=:\Anotapplicable\z:}', "");;
    Expect(1, 55292, '\p{Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Expect(0, 55292, '\p{^Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Expect(0, 55292, '\P{Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Expect(1, 55292, '\P{^Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Expect(0, 55291, '\p{Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Expect(1, 55291, '\p{^Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Expect(1, 55291, '\P{Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Expect(0, 55291, '\P{^Hangul_Syllable_Type=	not_APPLICABLE}', "");
    Error('\p{Hst=_ NA/a/}');
    Error('\P{Hst=_ NA/a/}');
    Expect(1, 55292, '\p{Hst=:\ANA\z:}', "");;
    Expect(0, 55291, '\p{Hst=:\ANA\z:}', "");;
    Expect(1, 55292, '\p{Hst=na}', "");
    Expect(0, 55292, '\p{^Hst=na}', "");
    Expect(0, 55292, '\P{Hst=na}', "");
    Expect(1, 55292, '\P{^Hst=na}', "");
    Expect(0, 55291, '\p{Hst=na}', "");
    Expect(1, 55291, '\p{^Hst=na}', "");
    Expect(1, 55291, '\P{Hst=na}', "");
    Expect(0, 55291, '\P{^Hst=na}', "");
    Expect(1, 55292, '\p{Hst=:\Ana\z:}', "");;
    Expect(0, 55291, '\p{Hst=:\Ana\z:}', "");;
    Expect(1, 55292, '\p{Hst= -NA}', "");
    Expect(0, 55292, '\p{^Hst= -NA}', "");
    Expect(0, 55292, '\P{Hst= -NA}', "");
    Expect(1, 55292, '\P{^Hst= -NA}', "");
    Expect(0, 55291, '\p{Hst= -NA}', "");
    Expect(1, 55291, '\p{^Hst= -NA}', "");
    Expect(1, 55291, '\P{Hst= -NA}', "");
    Expect(0, 55291, '\P{^Hst= -NA}', "");
    Error('\p{Is_Hangul_Syllable_Type=/a/ _Not_applicable}');
    Error('\P{Is_Hangul_Syllable_Type=/a/ _Not_applicable}');
    Expect(1, 55292, '\p{Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55292, '\p{^Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55292, '\P{Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55292, '\P{^Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55291, '\p{Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55291, '\p{^Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55291, '\P{Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(0, 55291, '\P{^Is_Hangul_Syllable_Type=notapplicable}', "");
    Expect(1, 55292, '\p{Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Expect(0, 55292, '\p{^Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Expect(0, 55292, '\P{Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Expect(1, 55292, '\P{^Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Expect(0, 55291, '\p{Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Expect(1, 55291, '\p{^Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Expect(1, 55291, '\P{Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Expect(0, 55291, '\P{^Is_Hangul_Syllable_Type=-_not_applicable}', "");
    Error('\p{Is_Hst=	/a/na}');
    Error('\P{Is_Hst=	/a/na}');
    Expect(1, 55292, '\p{Is_Hst=na}', "");
    Expect(0, 55292, '\p{^Is_Hst=na}', "");
    Expect(0, 55292, '\P{Is_Hst=na}', "");
    Expect(1, 55292, '\P{^Is_Hst=na}', "");
    Expect(0, 55291, '\p{Is_Hst=na}', "");
    Expect(1, 55291, '\p{^Is_Hst=na}', "");
    Expect(1, 55291, '\P{Is_Hst=na}', "");
    Expect(0, 55291, '\P{^Is_Hst=na}', "");
    Expect(1, 55292, '\p{Is_Hst=  NA}', "");
    Expect(0, 55292, '\p{^Is_Hst=  NA}', "");
    Expect(0, 55292, '\P{Is_Hst=  NA}', "");
    Expect(1, 55292, '\P{^Is_Hst=  NA}', "");
    Expect(0, 55291, '\p{Is_Hst=  NA}', "");
    Expect(1, 55291, '\p{^Is_Hst=  NA}', "");
    Expect(1, 55291, '\P{Is_Hst=  NA}', "");
    Expect(0, 55291, '\P{^Is_Hst=  NA}', "");
    Error('\p{Hangul_Syllable_Type=	/a/Trailing_JAMO}');
    Error('\P{Hangul_Syllable_Type=	/a/Trailing_JAMO}');
    Expect(1, 55291, '\p{Hangul_Syllable_Type=:\ATrailing_Jamo\z:}', "");;
    Expect(0, 55292, '\p{Hangul_Syllable_Type=:\ATrailing_Jamo\z:}', "");;
    Expect(1, 55291, '\p{Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55291, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55291, '\P{Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55291, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55292, '\p{Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55292, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55292, '\P{Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55292, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55291, '\p{Hangul_Syllable_Type=:\Atrailingjamo\z:}', "");;
    Expect(0, 55292, '\p{Hangul_Syllable_Type=:\Atrailingjamo\z:}', "");;
    Expect(1, 55291, '\p{Hangul_Syllable_Type= trailing_jamo}', "");
    Expect(0, 55291, '\p{^Hangul_Syllable_Type= trailing_jamo}', "");
    Expect(0, 55291, '\P{Hangul_Syllable_Type= trailing_jamo}', "");
    Expect(1, 55291, '\P{^Hangul_Syllable_Type= trailing_jamo}', "");
    Expect(0, 55292, '\p{Hangul_Syllable_Type= trailing_jamo}', "");
    Expect(1, 55292, '\p{^Hangul_Syllable_Type= trailing_jamo}', "");
    Expect(1, 55292, '\P{Hangul_Syllable_Type= trailing_jamo}', "");
    Expect(0, 55292, '\P{^Hangul_Syllable_Type= trailing_jamo}', "");
    Error('\p{Hst=:=--T}');
    Error('\P{Hst=:=--T}');
    Expect(1, 55291, '\p{Hst=:\AT\z:}', "");;
    Expect(0, 55292, '\p{Hst=:\AT\z:}', "");;
    Expect(1, 55291, '\p{Hst=t}', "");
    Expect(0, 55291, '\p{^Hst=t}', "");
    Expect(0, 55291, '\P{Hst=t}', "");
    Expect(1, 55291, '\P{^Hst=t}', "");
    Expect(0, 55292, '\p{Hst=t}', "");
    Expect(1, 55292, '\p{^Hst=t}', "");
    Expect(1, 55292, '\P{Hst=t}', "");
    Expect(0, 55292, '\P{^Hst=t}', "");
    Expect(1, 55291, '\p{Hst=:\At\z:}', "");;
    Expect(0, 55292, '\p{Hst=:\At\z:}', "");;
    Expect(1, 55291, '\p{Hst=-T}', "");
    Expect(0, 55291, '\p{^Hst=-T}', "");
    Expect(0, 55291, '\P{Hst=-T}', "");
    Expect(1, 55291, '\P{^Hst=-T}', "");
    Expect(0, 55292, '\p{Hst=-T}', "");
    Expect(1, 55292, '\p{^Hst=-T}', "");
    Expect(1, 55292, '\P{Hst=-T}', "");
    Expect(0, 55292, '\P{^Hst=-T}', "");
    Error('\p{Is_Hangul_Syllable_Type: -Trailing_JAMO:=}');
    Error('\P{Is_Hangul_Syllable_Type: -Trailing_JAMO:=}');
    Expect(1, 55291, '\p{Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55291, '\p{^Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55291, '\P{Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55291, '\P{^Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55292, '\p{Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55292, '\p{^Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55292, '\P{Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(0, 55292, '\P{^Is_Hangul_Syllable_Type=trailingjamo}', "");
    Expect(1, 55291, '\p{Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Expect(0, 55291, '\p{^Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Expect(0, 55291, '\P{Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Expect(1, 55291, '\P{^Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Expect(0, 55292, '\p{Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Expect(1, 55292, '\p{^Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Expect(1, 55292, '\P{Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Expect(0, 55292, '\P{^Is_Hangul_Syllable_Type=	-Trailing_Jamo}', "");
    Error('\p{Is_Hst:   _/a/T}');
    Error('\P{Is_Hst:   _/a/T}');
    Expect(1, 55291, '\p{Is_Hst=t}', "");
    Expect(0, 55291, '\p{^Is_Hst=t}', "");
    Expect(0, 55291, '\P{Is_Hst=t}', "");
    Expect(1, 55291, '\P{^Is_Hst=t}', "");
    Expect(0, 55292, '\p{Is_Hst=t}', "");
    Expect(1, 55292, '\p{^Is_Hst=t}', "");
    Expect(1, 55292, '\P{Is_Hst=t}', "");
    Expect(0, 55292, '\P{^Is_Hst=t}', "");
    Expect(1, 55291, '\p{Is_Hst=	t}', "");
    Expect(0, 55291, '\p{^Is_Hst=	t}', "");
    Expect(0, 55291, '\P{Is_Hst=	t}', "");
    Expect(1, 55291, '\P{^Is_Hst=	t}', "");
    Expect(0, 55292, '\p{Is_Hst=	t}', "");
    Expect(1, 55292, '\p{^Is_Hst=	t}', "");
    Expect(1, 55292, '\P{Is_Hst=	t}', "");
    Expect(0, 55292, '\P{^Is_Hst=	t}', "");
    Error('\p{Hangul_Syllable_Type=:=Vowel_Jamo}');
    Error('\P{Hangul_Syllable_Type=:=Vowel_Jamo}');
    Expect(1, 55238, '\p{Hangul_Syllable_Type=:\AVowel_Jamo\z:}', "");;
    Expect(0, 55239, '\p{Hangul_Syllable_Type=:\AVowel_Jamo\z:}', "");;
    Expect(1, 55238, '\p{Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55238, '\p{^Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55238, '\P{Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55238, '\P{^Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55239, '\p{Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55239, '\p{^Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55239, '\P{Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55239, '\P{^Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55238, '\p{Hangul_Syllable_Type=:\Avoweljamo\z:}', "");;
    Expect(0, 55239, '\p{Hangul_Syllable_Type=:\Avoweljamo\z:}', "");;
    Expect(1, 55238, '\p{Hangul_Syllable_Type=Vowel_Jamo}', "");
    Expect(0, 55238, '\p{^Hangul_Syllable_Type=Vowel_Jamo}', "");
    Expect(0, 55238, '\P{Hangul_Syllable_Type=Vowel_Jamo}', "");
    Expect(1, 55238, '\P{^Hangul_Syllable_Type=Vowel_Jamo}', "");
    Expect(0, 55239, '\p{Hangul_Syllable_Type=Vowel_Jamo}', "");
    Expect(1, 55239, '\p{^Hangul_Syllable_Type=Vowel_Jamo}', "");
    Expect(1, 55239, '\P{Hangul_Syllable_Type=Vowel_Jamo}', "");
    Expect(0, 55239, '\P{^Hangul_Syllable_Type=Vowel_Jamo}', "");
    Error('\p{Hst=_:=V}');
    Error('\P{Hst=_:=V}');
    Expect(1, 55238, '\p{Hst=:\AV\z:}', "");;
    Expect(0, 55239, '\p{Hst=:\AV\z:}', "");;
    Expect(1, 55238, '\p{Hst=v}', "");
    Expect(0, 55238, '\p{^Hst=v}', "");
    Expect(0, 55238, '\P{Hst=v}', "");
    Expect(1, 55238, '\P{^Hst=v}', "");
    Expect(0, 55239, '\p{Hst=v}', "");
    Expect(1, 55239, '\p{^Hst=v}', "");
    Expect(1, 55239, '\P{Hst=v}', "");
    Expect(0, 55239, '\P{^Hst=v}', "");
    Expect(1, 55238, '\p{Hst=:\Av\z:}', "");;
    Expect(0, 55239, '\p{Hst=:\Av\z:}', "");;
    Expect(1, 55238, '\p{Hst:	 	V}', "");
    Expect(0, 55238, '\p{^Hst:	 	V}', "");
    Expect(0, 55238, '\P{Hst:	 	V}', "");
    Expect(1, 55238, '\P{^Hst:	 	V}', "");
    Expect(0, 55239, '\p{Hst:	 	V}', "");
    Expect(1, 55239, '\p{^Hst:	 	V}', "");
    Expect(1, 55239, '\P{Hst:	 	V}', "");
    Expect(0, 55239, '\P{^Hst:	 	V}', "");
    Error('\p{Is_Hangul_Syllable_Type=_-VOWEL_JAMO/a/}');
    Error('\P{Is_Hangul_Syllable_Type=_-VOWEL_JAMO/a/}');
    Expect(1, 55238, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55238, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55238, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55238, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55239, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55239, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55239, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(0, 55239, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
    Expect(1, 55238, '\p{Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Expect(0, 55238, '\p{^Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Expect(0, 55238, '\P{Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Expect(1, 55238, '\P{^Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Expect(0, 55239, '\p{Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Expect(1, 55239, '\p{^Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Expect(1, 55239, '\P{Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Expect(0, 55239, '\P{^Is_Hangul_Syllable_Type:__Vowel_JAMO}', "");
    Error('\p{Is_Hst=	:=v}');
    Error('\P{Is_Hst=	:=v}');
    Expect(1, 55238, '\p{Is_Hst=v}', "");
    Expect(0, 55238, '\p{^Is_Hst=v}', "");
    Expect(0, 55238, '\P{Is_Hst=v}', "");
    Expect(1, 55238, '\P{^Is_Hst=v}', "");
    Expect(0, 55239, '\p{Is_Hst=v}', "");
    Expect(1, 55239, '\p{^Is_Hst=v}', "");
    Expect(1, 55239, '\P{Is_Hst=v}', "");
    Expect(0, 55239, '\P{^Is_Hst=v}', "");
    Expect(1, 55238, '\p{Is_Hst=-_V}', "");
    Expect(0, 55238, '\p{^Is_Hst=-_V}', "");
    Expect(0, 55238, '\P{Is_Hst=-_V}', "");
    Expect(1, 55238, '\P{^Is_Hst=-_V}', "");
    Expect(0, 55239, '\p{Is_Hst=-_V}', "");
    Expect(1, 55239, '\p{^Is_Hst=-_V}', "");
    Expect(1, 55239, '\P{Is_Hst=-_V}', "");
    Expect(0, 55239, '\P{^Is_Hst=-_V}', "");
    Error('\p{Hyphen=-NO:=}');
    Error('\P{Hyphen=-NO:=}');
    Expect(1, 65382, '\p{Hyphen=no}', 'deprecated');
    Expect(0, 65382, '\p{^Hyphen=no}', 'deprecated');
    Expect(0, 65382, '\P{Hyphen=no}', 'deprecated');
    Expect(1, 65382, '\P{^Hyphen=no}', 'deprecated');
    Expect(0, 65381, '\p{Hyphen=no}', 'deprecated');
    Expect(1, 65381, '\p{^Hyphen=no}', 'deprecated');
    Expect(1, 65381, '\P{Hyphen=no}', 'deprecated');
    Expect(0, 65381, '\P{^Hyphen=no}', 'deprecated');
    Expect(1, 65382, '\p{Hyphen= _no}', 'deprecated');
    Expect(0, 65382, '\p{^Hyphen= _no}', 'deprecated');
    Expect(0, 65382, '\P{Hyphen= _no}', 'deprecated');
    Expect(1, 65382, '\P{^Hyphen= _no}', 'deprecated');
    Expect(0, 65381, '\p{Hyphen= _no}', 'deprecated');
    Expect(1, 65381, '\p{^Hyphen= _no}', 'deprecated');
    Expect(1, 65381, '\P{Hyphen= _no}', 'deprecated');
    Expect(0, 65381, '\P{^Hyphen= _no}', 'deprecated');
    Error('\p{Is_Hyphen=/a/		N}');
    Error('\P{Is_Hyphen=/a/		N}');
    Expect(1, 65382, '\p{Is_Hyphen=n}', 'deprecated');
    Expect(0, 65382, '\p{^Is_Hyphen=n}', 'deprecated');
    Expect(0, 65382, '\P{Is_Hyphen=n}', 'deprecated');
    Expect(1, 65382, '\P{^Is_Hyphen=n}', 'deprecated');
    Expect(0, 65381, '\p{Is_Hyphen=n}', 'deprecated');
    Expect(1, 65381, '\p{^Is_Hyphen=n}', 'deprecated');
    Expect(1, 65381, '\P{Is_Hyphen=n}', 'deprecated');
    Expect(0, 65381, '\P{^Is_Hyphen=n}', 'deprecated');
    Error('\p{Hyphen=:= 	f}');
    Error('\P{Hyphen=:= 	f}');
    Expect(1, 65382, '\p{Hyphen=:\AF\z:}', 'deprecated');;
    Expect(0, 65381, '\p{Hyphen=:\AF\z:}', 'deprecated');;
    Expect(1, 65382, '\p{Hyphen=f}', 'deprecated');
    Expect(0, 65382, '\p{^Hyphen=f}', 'deprecated');
    Expect(0, 65382, '\P{Hyphen=f}', 'deprecated');
    Expect(1, 65382, '\P{^Hyphen=f}', 'deprecated');
    Expect(0, 65381, '\p{Hyphen=f}', 'deprecated');
    Expect(1, 65381, '\p{^Hyphen=f}', 'deprecated');
    Expect(1, 65381, '\P{Hyphen=f}', 'deprecated');
    Expect(0, 65381, '\P{^Hyphen=f}', 'deprecated');
    Expect(1, 65382, '\p{Hyphen=:\Af\z:}', 'deprecated');;
    Expect(0, 65381, '\p{Hyphen=:\Af\z:}', 'deprecated');;
    Expect(1, 65382, '\p{Hyphen=  F}', 'deprecated');
    Expect(0, 65382, '\p{^Hyphen=  F}', 'deprecated');
    Expect(0, 65382, '\P{Hyphen=  F}', 'deprecated');
    Expect(1, 65382, '\P{^Hyphen=  F}', 'deprecated');
    Expect(0, 65381, '\p{Hyphen=  F}', 'deprecated');
    Expect(1, 65381, '\p{^Hyphen=  F}', 'deprecated');
    Expect(1, 65381, '\P{Hyphen=  F}', 'deprecated');
    Expect(0, 65381, '\P{^Hyphen=  F}', 'deprecated');
    Error('\p{Is_Hyphen=:=	FALSE}');
    Error('\P{Is_Hyphen=:=	FALSE}');
    Expect(1, 65382, '\p{Is_Hyphen=false}', 'deprecated');
    Expect(0, 65382, '\p{^Is_Hyphen=false}', 'deprecated');
    Expect(0, 65382, '\P{Is_Hyphen=false}', 'deprecated');
    Expect(1, 65382, '\P{^Is_Hyphen=false}', 'deprecated');
    Expect(0, 65381, '\p{Is_Hyphen=false}', 'deprecated');
    Expect(1, 65381, '\p{^Is_Hyphen=false}', 'deprecated');
    Expect(1, 65381, '\P{Is_Hyphen=false}', 'deprecated');
    Expect(0, 65381, '\P{^Is_Hyphen=false}', 'deprecated');
    Expect(1, 65382, '\p{Is_Hyphen=_-False}', 'deprecated');
    Expect(0, 65382, '\p{^Is_Hyphen=_-False}', 'deprecated');
    Expect(0, 65382, '\P{Is_Hyphen=_-False}', 'deprecated');
    Expect(1, 65382, '\P{^Is_Hyphen=_-False}', 'deprecated');
    Expect(0, 65381, '\p{Is_Hyphen=_-False}', 'deprecated');
    Expect(1, 65381, '\p{^Is_Hyphen=_-False}', 'deprecated');
    Expect(1, 65381, '\P{Is_Hyphen=_-False}', 'deprecated');
    Expect(0, 65381, '\P{^Is_Hyphen=_-False}', 'deprecated');
    Error('\p{Hyphen=	:=Yes}');
    Error('\P{Hyphen=	:=Yes}');
    Expect(1, 65381, '\p{Hyphen=yes}', 'deprecated');
    Expect(0, 65381, '\p{^Hyphen=yes}', 'deprecated');
    Expect(0, 65381, '\P{Hyphen=yes}', 'deprecated');
    Expect(1, 65381, '\P{^Hyphen=yes}', 'deprecated');
    Expect(0, 65382, '\p{Hyphen=yes}', 'deprecated');
    Expect(1, 65382, '\p{^Hyphen=yes}', 'deprecated');
    Expect(1, 65382, '\P{Hyphen=yes}', 'deprecated');
    Expect(0, 65382, '\P{^Hyphen=yes}', 'deprecated');
    Expect(1, 65381, '\p{Hyphen=  Yes}', 'deprecated');
    Expect(0, 65381, '\p{^Hyphen=  Yes}', 'deprecated');
    Expect(0, 65381, '\P{Hyphen=  Yes}', 'deprecated');
    Expect(1, 65381, '\P{^Hyphen=  Yes}', 'deprecated');
    Expect(0, 65382, '\p{Hyphen=  Yes}', 'deprecated');
    Expect(1, 65382, '\p{^Hyphen=  Yes}', 'deprecated');
    Expect(1, 65382, '\P{Hyphen=  Yes}', 'deprecated');
    Expect(0, 65382, '\P{^Hyphen=  Yes}', 'deprecated');
    Error('\p{Is_Hyphen=/a/	-Y}');
    Error('\P{Is_Hyphen=/a/	-Y}');
    Expect(1, 65381, '\p{Is_Hyphen=y}', 'deprecated');
    Expect(0, 65381, '\p{^Is_Hyphen=y}', 'deprecated');
    Expect(0, 65381, '\P{Is_Hyphen=y}', 'deprecated');
    Expect(1, 65381, '\P{^Is_Hyphen=y}', 'deprecated');
    Expect(0, 65382, '\p{Is_Hyphen=y}', 'deprecated');
    Expect(1, 65382, '\p{^Is_Hyphen=y}', 'deprecated');
    Expect(1, 65382, '\P{Is_Hyphen=y}', 'deprecated');
    Expect(0, 65382, '\P{^Is_Hyphen=y}', 'deprecated');
    Expect(1, 65381, '\p{Is_Hyphen= y}', 'deprecated');
    Expect(0, 65381, '\p{^Is_Hyphen= y}', 'deprecated');
    Expect(0, 65381, '\P{Is_Hyphen= y}', 'deprecated');
    Expect(1, 65381, '\P{^Is_Hyphen= y}', 'deprecated');
    Expect(0, 65382, '\p{Is_Hyphen= y}', 'deprecated');
    Expect(1, 65382, '\p{^Is_Hyphen= y}', 'deprecated');
    Expect(1, 65382, '\P{Is_Hyphen= y}', 'deprecated');
    Expect(0, 65382, '\P{^Is_Hyphen= y}', 'deprecated');
    Error('\p{Hyphen:   :=T}');
    Error('\P{Hyphen:   :=T}');
    Expect(1, 65381, '\p{Hyphen=:\AT\z:}', 'deprecated');;
    Expect(0, 65382, '\p{Hyphen=:\AT\z:}', 'deprecated');;
    Expect(1, 65381, '\p{Hyphen=t}', 'deprecated');
    Expect(0, 65381, '\p{^Hyphen=t}', 'deprecated');
    Expect(0, 65381, '\P{Hyphen=t}', 'deprecated');
    Expect(1, 65381, '\P{^Hyphen=t}', 'deprecated');
    Expect(0, 65382, '\p{Hyphen=t}', 'deprecated');
    Expect(1, 65382, '\p{^Hyphen=t}', 'deprecated');
    Expect(1, 65382, '\P{Hyphen=t}', 'deprecated');
    Expect(0, 65382, '\P{^Hyphen=t}', 'deprecated');
    Expect(1, 65381, '\p{Hyphen=:\At\z:}', 'deprecated');;
    Expect(0, 65382, '\p{Hyphen=:\At\z:}', 'deprecated');;
    Expect(1, 65381, '\p{Hyphen=-_T}', 'deprecated');
    Expect(0, 65381, '\p{^Hyphen=-_T}', 'deprecated');
    Expect(0, 65381, '\P{Hyphen=-_T}', 'deprecated');
    Expect(1, 65381, '\P{^Hyphen=-_T}', 'deprecated');
    Expect(0, 65382, '\p{Hyphen=-_T}', 'deprecated');
    Expect(1, 65382, '\p{^Hyphen=-_T}', 'deprecated');
    Expect(1, 65382, '\P{Hyphen=-_T}', 'deprecated');
    Expect(0, 65382, '\P{^Hyphen=-_T}', 'deprecated');
    Error('\p{Is_Hyphen= :=true}');
    Error('\P{Is_Hyphen= :=true}');
    Expect(1, 65381, '\p{Is_Hyphen=true}', 'deprecated');
    Expect(0, 65381, '\p{^Is_Hyphen=true}', 'deprecated');
    Expect(0, 65381, '\P{Is_Hyphen=true}', 'deprecated');
    Expect(1, 65381, '\P{^Is_Hyphen=true}', 'deprecated');
    Expect(0, 65382, '\p{Is_Hyphen=true}', 'deprecated');
    Expect(1, 65382, '\p{^Is_Hyphen=true}', 'deprecated');
    Expect(1, 65382, '\P{Is_Hyphen=true}', 'deprecated');
    Expect(0, 65382, '\P{^Is_Hyphen=true}', 'deprecated');
    Expect(1, 65381, '\p{Is_Hyphen=_-TRUE}', 'deprecated');
    Expect(0, 65381, '\p{^Is_Hyphen=_-TRUE}', 'deprecated');
    Expect(0, 65381, '\P{Is_Hyphen=_-TRUE}', 'deprecated');
    Expect(1, 65381, '\P{^Is_Hyphen=_-TRUE}', 'deprecated');
    Expect(0, 65382, '\p{Is_Hyphen=_-TRUE}', 'deprecated');
    Expect(1, 65382, '\p{^Is_Hyphen=_-TRUE}', 'deprecated');
    Expect(1, 65382, '\P{Is_Hyphen=_-TRUE}', 'deprecated');
    Expect(0, 65382, '\P{^Is_Hyphen=_-TRUE}', 'deprecated');
    Error('\p{ID_Continue=-	no/a/}');
    Error('\P{ID_Continue=-	no/a/}');
    Expect(1, 918000, '\p{ID_Continue=:\ANo\z:}', "");;
    Expect(0, 917999, '\p{ID_Continue=:\ANo\z:}', "");;
    Expect(1, 918000, '\p{ID_Continue=no}', "");
    Expect(0, 918000, '\p{^ID_Continue=no}', "");
    Expect(0, 918000, '\P{ID_Continue=no}', "");
    Expect(1, 918000, '\P{^ID_Continue=no}', "");
    Expect(0, 917999, '\p{ID_Continue=no}', "");
    Expect(1, 917999, '\p{^ID_Continue=no}', "");
    Expect(1, 917999, '\P{ID_Continue=no}', "");
    Expect(0, 917999, '\P{^ID_Continue=no}', "");
    Expect(1, 918000, '\p{ID_Continue=:\Ano\z:}', "");;
    Expect(0, 917999, '\p{ID_Continue=:\Ano\z:}', "");;
    Expect(1, 918000, '\p{ID_Continue=-	no}', "");
    Expect(0, 918000, '\p{^ID_Continue=-	no}', "");
    Expect(0, 918000, '\P{ID_Continue=-	no}', "");
    Expect(1, 918000, '\P{^ID_Continue=-	no}', "");
    Expect(0, 917999, '\p{ID_Continue=-	no}', "");
    Expect(1, 917999, '\p{^ID_Continue=-	no}', "");
    Expect(1, 917999, '\P{ID_Continue=-	no}', "");
    Expect(0, 917999, '\P{^ID_Continue=-	no}', "");
    Error('\p{IDC=:=	 N}');
    Error('\P{IDC=:=	 N}');
    Expect(1, 918000, '\p{IDC=:\AN\z:}', "");;
    Expect(0, 917999, '\p{IDC=:\AN\z:}', "");;
    Expect(1, 918000, '\p{IDC=n}', "");
    Expect(0, 918000, '\p{^IDC=n}', "");
    Expect(0, 918000, '\P{IDC=n}', "");
    Expect(1, 918000, '\P{^IDC=n}', "");
    Expect(0, 917999, '\p{IDC=n}', "");
    Expect(1, 917999, '\p{^IDC=n}', "");
    Expect(1, 917999, '\P{IDC=n}', "");
    Expect(0, 917999, '\P{^IDC=n}', "");
    Expect(1, 918000, '\p{IDC=:\An\z:}', "");;
    Expect(0, 917999, '\p{IDC=:\An\z:}', "");;
    Expect(1, 918000, '\p{IDC=--N}', "");
    Expect(0, 918000, '\p{^IDC=--N}', "");
    Expect(0, 918000, '\P{IDC=--N}', "");
    Expect(1, 918000, '\P{^IDC=--N}', "");
    Expect(0, 917999, '\p{IDC=--N}', "");
    Expect(1, 917999, '\p{^IDC=--N}', "");
    Expect(1, 917999, '\P{IDC=--N}', "");
    Expect(0, 917999, '\P{^IDC=--N}', "");
    Error('\p{Is_ID_Continue=:=- F}');
    Error('\P{Is_ID_Continue=:=- F}');
    Expect(1, 918000, '\p{Is_ID_Continue=f}', "");
    Expect(0, 918000, '\p{^Is_ID_Continue=f}', "");
    Expect(0, 918000, '\P{Is_ID_Continue=f}', "");
    Expect(1, 918000, '\P{^Is_ID_Continue=f}', "");
    Expect(0, 917999, '\p{Is_ID_Continue=f}', "");
    Expect(1, 917999, '\p{^Is_ID_Continue=f}', "");
    Expect(1, 917999, '\P{Is_ID_Continue=f}', "");
    Expect(0, 917999, '\P{^Is_ID_Continue=f}', "");
    Expect(1, 918000, '\p{Is_ID_Continue=F}', "");
    Expect(0, 918000, '\p{^Is_ID_Continue=F}', "");
    Expect(0, 918000, '\P{Is_ID_Continue=F}', "");
    Expect(1, 918000, '\P{^Is_ID_Continue=F}', "");
    Expect(0, 917999, '\p{Is_ID_Continue=F}', "");
    Expect(1, 917999, '\p{^Is_ID_Continue=F}', "");
    Expect(1, 917999, '\P{Is_ID_Continue=F}', "");
    Expect(0, 917999, '\P{^Is_ID_Continue=F}', "");
    Error('\p{Is_IDC=-/a/false}');
    Error('\P{Is_IDC=-/a/false}');
    Expect(1, 918000, '\p{Is_IDC=false}', "");
    Expect(0, 918000, '\p{^Is_IDC=false}', "");
    Expect(0, 918000, '\P{Is_IDC=false}', "");
    Expect(1, 918000, '\P{^Is_IDC=false}', "");
    Expect(0, 917999, '\p{Is_IDC=false}', "");
    Expect(1, 917999, '\p{^Is_IDC=false}', "");
    Expect(1, 917999, '\P{Is_IDC=false}', "");
    Expect(0, 917999, '\P{^Is_IDC=false}', "");
    Expect(1, 918000, '\p{Is_IDC=_-FALSE}', "");
    Expect(0, 918000, '\p{^Is_IDC=_-FALSE}', "");
    Expect(0, 918000, '\P{Is_IDC=_-FALSE}', "");
    Expect(1, 918000, '\P{^Is_IDC=_-FALSE}', "");
    Expect(0, 917999, '\p{Is_IDC=_-FALSE}', "");
    Expect(1, 917999, '\p{^Is_IDC=_-FALSE}', "");
    Expect(1, 917999, '\P{Is_IDC=_-FALSE}', "");
    Expect(0, 917999, '\P{^Is_IDC=_-FALSE}', "");
    Error('\p{ID_Continue=_:=YES}');
    Error('\P{ID_Continue=_:=YES}');
    Expect(1, 917999, '\p{ID_Continue=:\AYes\z:}', "");;
    Expect(0, 918000, '\p{ID_Continue=:\AYes\z:}', "");;
    Expect(1, 917999, '\p{ID_Continue=yes}', "");
    Expect(0, 917999, '\p{^ID_Continue=yes}', "");
    Expect(0, 917999, '\P{ID_Continue=yes}', "");
    Expect(1, 917999, '\P{^ID_Continue=yes}', "");
    Expect(0, 918000, '\p{ID_Continue=yes}', "");
    Expect(1, 918000, '\p{^ID_Continue=yes}', "");
    Expect(1, 918000, '\P{ID_Continue=yes}', "");
    Expect(0, 918000, '\P{^ID_Continue=yes}', "");
    Expect(1, 917999, '\p{ID_Continue=:\Ayes\z:}', "");;
    Expect(0, 918000, '\p{ID_Continue=:\Ayes\z:}', "");;
    Expect(1, 917999, '\p{ID_Continue=	-Yes}', "");
    Expect(0, 917999, '\p{^ID_Continue=	-Yes}', "");
    Expect(0, 917999, '\P{ID_Continue=	-Yes}', "");
    Expect(1, 917999, '\P{^ID_Continue=	-Yes}', "");
    Expect(0, 918000, '\p{ID_Continue=	-Yes}', "");
    Expect(1, 918000, '\p{^ID_Continue=	-Yes}', "");
    Expect(1, 918000, '\P{ID_Continue=	-Yes}', "");
    Expect(0, 918000, '\P{^ID_Continue=	-Yes}', "");
    Error('\p{IDC=:= y}');
    Error('\P{IDC=:= y}');
    Expect(1, 917999, '\p{IDC=:\AY\z:}', "");;
    Expect(0, 918000, '\p{IDC=:\AY\z:}', "");;
    Expect(1, 917999, '\p{IDC: y}', "");
    Expect(0, 917999, '\p{^IDC: y}', "");
    Expect(0, 917999, '\P{IDC: y}', "");
    Expect(1, 917999, '\P{^IDC: y}', "");
    Expect(0, 918000, '\p{IDC: y}', "");
    Expect(1, 918000, '\p{^IDC: y}', "");
    Expect(1, 918000, '\P{IDC: y}', "");
    Expect(0, 918000, '\P{^IDC: y}', "");
    Expect(1, 917999, '\p{IDC=:\Ay\z:}', "");;
    Expect(0, 918000, '\p{IDC=:\Ay\z:}', "");;
    Expect(1, 917999, '\p{IDC=- y}', "");
    Expect(0, 917999, '\p{^IDC=- y}', "");
    Expect(0, 917999, '\P{IDC=- y}', "");
    Expect(1, 917999, '\P{^IDC=- y}', "");
    Expect(0, 918000, '\p{IDC=- y}', "");
    Expect(1, 918000, '\p{^IDC=- y}', "");
    Expect(1, 918000, '\P{IDC=- y}', "");
    Expect(0, 918000, '\P{^IDC=- y}', "");
    Error('\p{Is_ID_Continue=  t/a/}');
    Error('\P{Is_ID_Continue=  t/a/}');
    Expect(1, 917999, '\p{Is_ID_Continue=t}', "");
    Expect(0, 917999, '\p{^Is_ID_Continue=t}', "");
    Expect(0, 917999, '\P{Is_ID_Continue=t}', "");
    Expect(1, 917999, '\P{^Is_ID_Continue=t}', "");
    Expect(0, 918000, '\p{Is_ID_Continue=t}', "");
    Expect(1, 918000, '\p{^Is_ID_Continue=t}', "");
    Expect(1, 918000, '\P{Is_ID_Continue=t}', "");
    Expect(0, 918000, '\P{^Is_ID_Continue=t}', "");
    Expect(1, 917999, '\p{Is_ID_Continue=__T}', "");
    Expect(0, 917999, '\p{^Is_ID_Continue=__T}', "");
    Expect(0, 917999, '\P{Is_ID_Continue=__T}', "");
    Expect(1, 917999, '\P{^Is_ID_Continue=__T}', "");
    Expect(0, 918000, '\p{Is_ID_Continue=__T}', "");
    Expect(1, 918000, '\p{^Is_ID_Continue=__T}', "");
    Expect(1, 918000, '\P{Is_ID_Continue=__T}', "");
    Expect(0, 918000, '\P{^Is_ID_Continue=__T}', "");
    Error('\p{Is_IDC=/a/	true}');
    Error('\P{Is_IDC=/a/	true}');
    Expect(1, 917999, '\p{Is_IDC=true}', "");
    Expect(0, 917999, '\p{^Is_IDC=true}', "");
    Expect(0, 917999, '\P{Is_IDC=true}', "");
    Expect(1, 917999, '\P{^Is_IDC=true}', "");
    Expect(0, 918000, '\p{Is_IDC=true}', "");
    Expect(1, 918000, '\p{^Is_IDC=true}', "");
    Expect(1, 918000, '\P{Is_IDC=true}', "");
    Expect(0, 918000, '\P{^Is_IDC=true}', "");
    Expect(1, 917999, '\p{Is_IDC= True}', "");
    Expect(0, 917999, '\p{^Is_IDC= True}', "");
    Expect(0, 917999, '\P{Is_IDC= True}', "");
    Expect(1, 917999, '\P{^Is_IDC= True}', "");
    Expect(0, 918000, '\p{Is_IDC= True}', "");
    Expect(1, 918000, '\p{^Is_IDC= True}', "");
    Expect(1, 918000, '\P{Is_IDC= True}', "");
    Expect(0, 918000, '\P{^Is_IDC= True}', "");
    Error('\p{identifierstatus}');
    Error('\P{identifierstatus}');
    Error('\p{Identifier_Status=	-allowed:=}');
    Error('\P{Identifier_Status=	-allowed:=}');
    Expect(1, 201546, '\p{Identifier_Status=:\AAllowed\z:}', "");;
    Expect(0, 201547, '\p{Identifier_Status=:\AAllowed\z:}', "");;
    Expect(1, 201546, '\p{Identifier_Status=allowed}', "");
    Expect(0, 201546, '\p{^Identifier_Status=allowed}', "");
    Expect(0, 201546, '\P{Identifier_Status=allowed}', "");
    Expect(1, 201546, '\P{^Identifier_Status=allowed}', "");
    Expect(0, 201547, '\p{Identifier_Status=allowed}', "");
    Expect(1, 201547, '\p{^Identifier_Status=allowed}', "");
    Expect(1, 201547, '\P{Identifier_Status=allowed}', "");
    Expect(0, 201547, '\P{^Identifier_Status=allowed}', "");
    Expect(1, 201546, '\p{Identifier_Status=:\Aallowed\z:}', "");;
    Expect(0, 201547, '\p{Identifier_Status=:\Aallowed\z:}', "");;
    Expect(1, 201546, '\p{Identifier_Status=--Allowed}', "");
    Expect(0, 201546, '\p{^Identifier_Status=--Allowed}', "");
    Expect(0, 201546, '\P{Identifier_Status=--Allowed}', "");
    Expect(1, 201546, '\P{^Identifier_Status=--Allowed}', "");
    Expect(0, 201547, '\p{Identifier_Status=--Allowed}', "");
    Expect(1, 201547, '\p{^Identifier_Status=--Allowed}', "");
    Expect(1, 201547, '\P{Identifier_Status=--Allowed}', "");
    Expect(0, 201547, '\P{^Identifier_Status=--Allowed}', "");
    Error('\p{Is_Identifier_Status=/a/_ allowed}');
    Error('\P{Is_Identifier_Status=/a/_ allowed}');
    Expect(1, 201546, '\p{Is_Identifier_Status=allowed}', "");
    Expect(0, 201546, '\p{^Is_Identifier_Status=allowed}', "");
    Expect(0, 201546, '\P{Is_Identifier_Status=allowed}', "");
    Expect(1, 201546, '\P{^Is_Identifier_Status=allowed}', "");
    Expect(0, 201547, '\p{Is_Identifier_Status=allowed}', "");
    Expect(1, 201547, '\p{^Is_Identifier_Status=allowed}', "");
    Expect(1, 201547, '\P{Is_Identifier_Status=allowed}', "");
    Expect(0, 201547, '\P{^Is_Identifier_Status=allowed}', "");
    Expect(1, 201546, '\p{Is_Identifier_Status=__ALLOWED}', "");
    Expect(0, 201546, '\p{^Is_Identifier_Status=__ALLOWED}', "");
    Expect(0, 201546, '\P{Is_Identifier_Status=__ALLOWED}', "");
    Expect(1, 201546, '\P{^Is_Identifier_Status=__ALLOWED}', "");
    Expect(0, 201547, '\p{Is_Identifier_Status=__ALLOWED}', "");
    Expect(1, 201547, '\p{^Is_Identifier_Status=__ALLOWED}', "");
    Expect(1, 201547, '\P{Is_Identifier_Status=__ALLOWED}', "");
    Expect(0, 201547, '\P{^Is_Identifier_Status=__ALLOWED}', "");
    Error('\p{Identifier_Status: 	/a/restricted}');
    Error('\P{Identifier_Status: 	/a/restricted}');
    Expect(1, 201547, '\p{Identifier_Status=:\ARestricted\z:}', "");;
    Expect(0, 201546, '\p{Identifier_Status=:\ARestricted\z:}', "");;
    Expect(1, 201547, '\p{Identifier_Status=restricted}', "");
    Expect(0, 201547, '\p{^Identifier_Status=restricted}', "");
    Expect(0, 201547, '\P{Identifier_Status=restricted}', "");
    Expect(1, 201547, '\P{^Identifier_Status=restricted}', "");
    Expect(0, 201546, '\p{Identifier_Status=restricted}', "");
    Expect(1, 201546, '\p{^Identifier_Status=restricted}', "");
    Expect(1, 201546, '\P{Identifier_Status=restricted}', "");
    Expect(0, 201546, '\P{^Identifier_Status=restricted}', "");
    Expect(1, 201547, '\p{Identifier_Status=:\Arestricted\z:}', "");;
    Expect(0, 201546, '\p{Identifier_Status=:\Arestricted\z:}', "");;
    Expect(1, 201547, '\p{Identifier_Status=_-Restricted}', "");
    Expect(0, 201547, '\p{^Identifier_Status=_-Restricted}', "");
    Expect(0, 201547, '\P{Identifier_Status=_-Restricted}', "");
    Expect(1, 201547, '\P{^Identifier_Status=_-Restricted}', "");
    Expect(0, 201546, '\p{Identifier_Status=_-Restricted}', "");
    Expect(1, 201546, '\p{^Identifier_Status=_-Restricted}', "");
    Expect(1, 201546, '\P{Identifier_Status=_-Restricted}', "");
    Expect(0, 201546, '\P{^Identifier_Status=_-Restricted}', "");
    Error('\p{Is_Identifier_Status=-_RESTRICTED:=}');
    Error('\P{Is_Identifier_Status=-_RESTRICTED:=}');
    Expect(1, 201547, '\p{Is_Identifier_Status: restricted}', "");
    Expect(0, 201547, '\p{^Is_Identifier_Status: restricted}', "");
    Expect(0, 201547, '\P{Is_Identifier_Status: restricted}', "");
    Expect(1, 201547, '\P{^Is_Identifier_Status: restricted}', "");
    Expect(0, 201546, '\p{Is_Identifier_Status: restricted}', "");
    Expect(1, 201546, '\p{^Is_Identifier_Status: restricted}', "");
    Expect(1, 201546, '\P{Is_Identifier_Status: restricted}', "");
    Expect(0, 201546, '\P{^Is_Identifier_Status: restricted}', "");
    Expect(1, 201547, '\p{Is_Identifier_Status=	_Restricted}', "");
    Expect(0, 201547, '\p{^Is_Identifier_Status=	_Restricted}', "");
    Expect(0, 201547, '\P{Is_Identifier_Status=	_Restricted}', "");
    Expect(1, 201547, '\P{^Is_Identifier_Status=	_Restricted}', "");
    Expect(0, 201546, '\p{Is_Identifier_Status=	_Restricted}', "");
    Expect(1, 201546, '\p{^Is_Identifier_Status=	_Restricted}', "");
    Expect(1, 201546, '\P{Is_Identifier_Status=	_Restricted}', "");
    Expect(0, 201546, '\P{^Is_Identifier_Status=	_Restricted}', "");
    Error('\p{identifiertype}');
    Error('\P{identifiertype}');
    Error('\p{Identifier_Type= Default_IGNORABLE:=}');
    Error('\P{Identifier_Type= Default_IGNORABLE:=}');
    Expect(1, 917999, '\p{Identifier_Type=:\ADefault_Ignorable\z:}', "");;
    Expect(0, 918000, '\p{Identifier_Type=:\ADefault_Ignorable\z:}', "");;
    Expect(1, 917999, '\p{Identifier_Type=defaultignorable}', "");
    Expect(0, 917999, '\p{^Identifier_Type=defaultignorable}', "");
    Expect(0, 917999, '\P{Identifier_Type=defaultignorable}', "");
    Expect(1, 917999, '\P{^Identifier_Type=defaultignorable}', "");
    Expect(0, 918000, '\p{Identifier_Type=defaultignorable}', "");
    Expect(1, 918000, '\p{^Identifier_Type=defaultignorable}', "");
    Expect(1, 918000, '\P{Identifier_Type=defaultignorable}', "");
    Expect(0, 918000, '\P{^Identifier_Type=defaultignorable}', "");
    Expect(1, 917999, '\p{Identifier_Type=:\Adefaultignorable\z:}', "");;
    Expect(0, 918000, '\p{Identifier_Type=:\Adefaultignorable\z:}', "");;
    Expect(1, 917999, '\p{Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Expect(0, 917999, '\p{^Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Expect(0, 917999, '\P{Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Expect(1, 917999, '\P{^Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Expect(0, 918000, '\p{Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Expect(1, 918000, '\p{^Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Expect(1, 918000, '\P{Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Expect(0, 918000, '\P{^Identifier_Type=	-DEFAULT_IGNORABLE}', "");
    Error('\p{Is_Identifier_Type=- default_ignorable:=}');
    Error('\P{Is_Identifier_Type=- default_ignorable:=}');
    Expect(1, 917999, '\p{Is_Identifier_Type:   defaultignorable}', "");
    Expect(0, 917999, '\p{^Is_Identifier_Type:   defaultignorable}', "");
    Expect(0, 917999, '\P{Is_Identifier_Type:   defaultignorable}', "");
    Expect(1, 917999, '\P{^Is_Identifier_Type:   defaultignorable}', "");
    Expect(0, 918000, '\p{Is_Identifier_Type:   defaultignorable}', "");
    Expect(1, 918000, '\p{^Is_Identifier_Type:   defaultignorable}', "");
    Expect(1, 918000, '\P{Is_Identifier_Type:   defaultignorable}', "");
    Expect(0, 918000, '\P{^Is_Identifier_Type:   defaultignorable}', "");
    Expect(1, 917999, '\p{Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Expect(0, 917999, '\p{^Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Expect(0, 917999, '\P{Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Expect(1, 917999, '\P{^Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Expect(0, 918000, '\p{Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Expect(1, 918000, '\p{^Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Expect(1, 918000, '\P{Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Expect(0, 918000, '\P{^Is_Identifier_Type=-_DEFAULT_ignorable}', "");
    Error('\p{Identifier_Type=:=  deprecated}');
    Error('\P{Identifier_Type=:=  deprecated}');
    Expect(1, 917505, '\p{Identifier_Type=:\ADeprecated\z:}', "");;
    Expect(0, 917506, '\p{Identifier_Type=:\ADeprecated\z:}', "");;
    Expect(1, 917505, '\p{Identifier_Type=deprecated}', "");
    Expect(0, 917505, '\p{^Identifier_Type=deprecated}', "");
    Expect(0, 917505, '\P{Identifier_Type=deprecated}', "");
    Expect(1, 917505, '\P{^Identifier_Type=deprecated}', "");
    Expect(0, 917506, '\p{Identifier_Type=deprecated}', "");
    Expect(1, 917506, '\p{^Identifier_Type=deprecated}', "");
    Expect(1, 917506, '\P{Identifier_Type=deprecated}', "");
    Expect(0, 917506, '\P{^Identifier_Type=deprecated}', "");
    Expect(1, 917505, '\p{Identifier_Type=:\Adeprecated\z:}', "");;
    Expect(0, 917506, '\p{Identifier_Type=:\Adeprecated\z:}', "");;
    Expect(1, 917505, '\p{Identifier_Type=-_DEPRECATED}', "");
    Expect(0, 917505, '\p{^Identifier_Type=-_DEPRECATED}', "");
    Expect(0, 917505, '\P{Identifier_Type=-_DEPRECATED}', "");
    Expect(1, 917505, '\P{^Identifier_Type=-_DEPRECATED}', "");
    Expect(0, 917506, '\p{Identifier_Type=-_DEPRECATED}', "");
    Expect(1, 917506, '\p{^Identifier_Type=-_DEPRECATED}', "");
    Expect(1, 917506, '\P{Identifier_Type=-_DEPRECATED}', "");
    Expect(0, 917506, '\P{^Identifier_Type=-_DEPRECATED}', "");
    Error('\p{Is_Identifier_Type=-/a/Deprecated}');
    Error('\P{Is_Identifier_Type=-/a/Deprecated}');
    Expect(1, 917505, '\p{Is_Identifier_Type=deprecated}', "");
    Expect(0, 917505, '\p{^Is_Identifier_Type=deprecated}', "");
    Expect(0, 917505, '\P{Is_Identifier_Type=deprecated}', "");
    Expect(1, 917505, '\P{^Is_Identifier_Type=deprecated}', "");
    Expect(0, 917506, '\p{Is_Identifier_Type=deprecated}', "");
    Expect(1, 917506, '\p{^Is_Identifier_Type=deprecated}', "");
    Expect(1, 917506, '\P{Is_Identifier_Type=deprecated}', "");
    Expect(0, 917506, '\P{^Is_Identifier_Type=deprecated}', "");
    Expect(1, 917505, '\p{Is_Identifier_Type=	-deprecated}', "");
    Expect(0, 917505, '\p{^Is_Identifier_Type=	-deprecated}', "");
    Expect(0, 917505, '\P{Is_Identifier_Type=	-deprecated}', "");
    Expect(1, 917505, '\P{^Is_Identifier_Type=	-deprecated}', "");
    Expect(0, 917506, '\p{Is_Identifier_Type=	-deprecated}', "");
    Expect(1, 917506, '\p{^Is_Identifier_Type=	-deprecated}', "");
    Expect(1, 917506, '\P{Is_Identifier_Type=	-deprecated}', "");
    Expect(0, 917506, '\P{^Is_Identifier_Type=	-deprecated}', "");
    Error('\p{Identifier_Type=/a/exclusion}');
    Error('\P{Identifier_Type=/a/exclusion}');
    Expect(1, 125142, '\p{Identifier_Type=:\AExclusion\z:}', "");;
    Expect(0, 125143, '\p{Identifier_Type=:\AExclusion\z:}', "");;
    Expect(1, 125142, '\p{Identifier_Type=exclusion}', "");
    Expect(0, 125142, '\p{^Identifier_Type=exclusion}', "");
    Expect(0, 125142, '\P{Identifier_Type=exclusion}', "");
    Expect(1, 125142, '\P{^Identifier_Type=exclusion}', "");
    Expect(0, 125143, '\p{Identifier_Type=exclusion}', "");
    Expect(1, 125143, '\p{^Identifier_Type=exclusion}', "");
    Expect(1, 125143, '\P{Identifier_Type=exclusion}', "");
    Expect(0, 125143, '\P{^Identifier_Type=exclusion}', "");
    Expect(1, 125142, '\p{Identifier_Type=:\Aexclusion\z:}', "");;
    Expect(0, 125143, '\p{Identifier_Type=:\Aexclusion\z:}', "");;
    Expect(1, 125142, '\p{Identifier_Type=	 Exclusion}', "");
    Expect(0, 125142, '\p{^Identifier_Type=	 Exclusion}', "");
    Expect(0, 125142, '\P{Identifier_Type=	 Exclusion}', "");
    Expect(1, 125142, '\P{^Identifier_Type=	 Exclusion}', "");
    Expect(0, 125143, '\p{Identifier_Type=	 Exclusion}', "");
    Expect(1, 125143, '\p{^Identifier_Type=	 Exclusion}', "");
    Expect(1, 125143, '\P{Identifier_Type=	 Exclusion}', "");
    Expect(0, 125143, '\P{^Identifier_Type=	 Exclusion}', "");
    Error('\p{Is_Identifier_Type=		Exclusion:=}');
    Error('\P{Is_Identifier_Type=		Exclusion:=}');
    Expect(1, 125142, '\p{Is_Identifier_Type=exclusion}', "");
    Expect(0, 125142, '\p{^Is_Identifier_Type=exclusion}', "");
    Expect(0, 125142, '\P{Is_Identifier_Type=exclusion}', "");
    Expect(1, 125142, '\P{^Is_Identifier_Type=exclusion}', "");
    Expect(0, 125143, '\p{Is_Identifier_Type=exclusion}', "");
    Expect(1, 125143, '\p{^Is_Identifier_Type=exclusion}', "");
    Expect(1, 125143, '\P{Is_Identifier_Type=exclusion}', "");
    Expect(0, 125143, '\P{^Is_Identifier_Type=exclusion}', "");
    Expect(1, 125142, '\p{Is_Identifier_Type=_	Exclusion}', "");
    Expect(0, 125142, '\p{^Is_Identifier_Type=_	Exclusion}', "");
    Expect(0, 125142, '\P{Is_Identifier_Type=_	Exclusion}', "");
    Expect(1, 125142, '\P{^Is_Identifier_Type=_	Exclusion}', "");
    Expect(0, 125143, '\p{Is_Identifier_Type=_	Exclusion}', "");
    Expect(1, 125143, '\p{^Is_Identifier_Type=_	Exclusion}', "");
    Expect(1, 125143, '\P{Is_Identifier_Type=_	Exclusion}', "");
    Expect(0, 125143, '\P{^Is_Identifier_Type=_	Exclusion}', "");
    Error('\p{Identifier_Type=  Inclusion/a/}');
    Error('\P{Identifier_Type=  Inclusion/a/}');
    Expect(1, 12539, '\p{Identifier_Type=:\AInclusion\z:}', "");;
    Expect(0, 12540, '\p{Identifier_Type=:\AInclusion\z:}', "");;
    Expect(1, 12539, '\p{Identifier_Type=inclusion}', "");
    Expect(0, 12539, '\p{^Identifier_Type=inclusion}', "");
    Expect(0, 12539, '\P{Identifier_Type=inclusion}', "");
    Expect(1, 12539, '\P{^Identifier_Type=inclusion}', "");
    Expect(0, 12540, '\p{Identifier_Type=inclusion}', "");
    Expect(1, 12540, '\p{^Identifier_Type=inclusion}', "");
    Expect(1, 12540, '\P{Identifier_Type=inclusion}', "");
    Expect(0, 12540, '\P{^Identifier_Type=inclusion}', "");
    Expect(1, 12539, '\p{Identifier_Type=:\Ainclusion\z:}', "");;
    Expect(0, 12540, '\p{Identifier_Type=:\Ainclusion\z:}', "");;
    Expect(1, 12539, '\p{Identifier_Type= inclusion}', "");
    Expect(0, 12539, '\p{^Identifier_Type= inclusion}', "");
    Expect(0, 12539, '\P{Identifier_Type= inclusion}', "");
    Expect(1, 12539, '\P{^Identifier_Type= inclusion}', "");
    Expect(0, 12540, '\p{Identifier_Type= inclusion}', "");
    Expect(1, 12540, '\p{^Identifier_Type= inclusion}', "");
    Expect(1, 12540, '\P{Identifier_Type= inclusion}', "");
    Expect(0, 12540, '\P{^Identifier_Type= inclusion}', "");
    Error('\p{Is_Identifier_Type=/a/_	Inclusion}');
    Error('\P{Is_Identifier_Type=/a/_	Inclusion}');
    Expect(1, 12539, '\p{Is_Identifier_Type=inclusion}', "");
    Expect(0, 12539, '\p{^Is_Identifier_Type=inclusion}', "");
    Expect(0, 12539, '\P{Is_Identifier_Type=inclusion}', "");
    Expect(1, 12539, '\P{^Is_Identifier_Type=inclusion}', "");
    Expect(0, 12540, '\p{Is_Identifier_Type=inclusion}', "");
    Expect(1, 12540, '\p{^Is_Identifier_Type=inclusion}', "");
    Expect(1, 12540, '\P{Is_Identifier_Type=inclusion}', "");
    Expect(0, 12540, '\P{^Is_Identifier_Type=inclusion}', "");
    Expect(1, 12539, '\p{Is_Identifier_Type= 	INCLUSION}', "");
    Expect(0, 12539, '\p{^Is_Identifier_Type= 	INCLUSION}', "");
    Expect(0, 12539, '\P{Is_Identifier_Type= 	INCLUSION}', "");
    Expect(1, 12539, '\P{^Is_Identifier_Type= 	INCLUSION}', "");
    Expect(0, 12540, '\p{Is_Identifier_Type= 	INCLUSION}', "");
    Expect(1, 12540, '\p{^Is_Identifier_Type= 	INCLUSION}', "");
    Expect(1, 12540, '\P{Is_Identifier_Type= 	INCLUSION}', "");
    Expect(0, 12540, '\P{^Is_Identifier_Type= 	INCLUSION}', "");
    Error('\p{Identifier_Type=__limited_Use:=}');
    Error('\P{Identifier_Type=__limited_Use:=}');
    Expect(1, 125279, '\p{Identifier_Type=:\ALimited_Use\z:}', "");;
    Expect(0, 125280, '\p{Identifier_Type=:\ALimited_Use\z:}', "");;
    Expect(1, 125279, '\p{Identifier_Type=limiteduse}', "");
    Expect(0, 125279, '\p{^Identifier_Type=limiteduse}', "");
    Expect(0, 125279, '\P{Identifier_Type=limiteduse}', "");
    Expect(1, 125279, '\P{^Identifier_Type=limiteduse}', "");
    Expect(0, 125280, '\p{Identifier_Type=limiteduse}', "");
    Expect(1, 125280, '\p{^Identifier_Type=limiteduse}', "");
    Expect(1, 125280, '\P{Identifier_Type=limiteduse}', "");
    Expect(0, 125280, '\P{^Identifier_Type=limiteduse}', "");
    Expect(1, 125279, '\p{Identifier_Type=:\Alimiteduse\z:}', "");;
    Expect(0, 125280, '\p{Identifier_Type=:\Alimiteduse\z:}', "");;
    Expect(1, 125279, '\p{Identifier_Type=-limited_Use}', "");
    Expect(0, 125279, '\p{^Identifier_Type=-limited_Use}', "");
    Expect(0, 125279, '\P{Identifier_Type=-limited_Use}', "");
    Expect(1, 125279, '\P{^Identifier_Type=-limited_Use}', "");
    Expect(0, 125280, '\p{Identifier_Type=-limited_Use}', "");
    Expect(1, 125280, '\p{^Identifier_Type=-limited_Use}', "");
    Expect(1, 125280, '\P{Identifier_Type=-limited_Use}', "");
    Expect(0, 125280, '\P{^Identifier_Type=-limited_Use}', "");
    Error('\p{Is_Identifier_Type=:=- LIMITED_Use}');
    Error('\P{Is_Identifier_Type=:=- LIMITED_Use}');
    Expect(1, 125279, '\p{Is_Identifier_Type=limiteduse}', "");
    Expect(0, 125279, '\p{^Is_Identifier_Type=limiteduse}', "");
    Expect(0, 125279, '\P{Is_Identifier_Type=limiteduse}', "");
    Expect(1, 125279, '\P{^Is_Identifier_Type=limiteduse}', "");
    Expect(0, 125280, '\p{Is_Identifier_Type=limiteduse}', "");
    Expect(1, 125280, '\p{^Is_Identifier_Type=limiteduse}', "");
    Expect(1, 125280, '\P{Is_Identifier_Type=limiteduse}', "");
    Expect(0, 125280, '\P{^Is_Identifier_Type=limiteduse}', "");
    Expect(1, 125279, '\p{Is_Identifier_Type: _	limited_USE}', "");
    Expect(0, 125279, '\p{^Is_Identifier_Type: _	limited_USE}', "");
    Expect(0, 125279, '\P{Is_Identifier_Type: _	limited_USE}', "");
    Expect(1, 125279, '\P{^Is_Identifier_Type: _	limited_USE}', "");
    Expect(0, 125280, '\p{Is_Identifier_Type: _	limited_USE}', "");
    Expect(1, 125280, '\p{^Is_Identifier_Type: _	limited_USE}', "");
    Expect(1, 125280, '\P{Is_Identifier_Type: _	limited_USE}', "");
    Expect(0, 125280, '\P{^Is_Identifier_Type: _	limited_USE}', "");
    Error('\p{Identifier_Type=:= _NOT_character}');
    Error('\P{Identifier_Type=:= _NOT_character}');
    Expect(1, 918000, '\p{Identifier_Type=:\ANot_Character\z:}', "");;
    Expect(0, 917999, '\p{Identifier_Type=:\ANot_Character\z:}', "");;
    Expect(1, 918000, '\p{Identifier_Type=notcharacter}', "");
    Expect(0, 918000, '\p{^Identifier_Type=notcharacter}', "");
    Expect(0, 918000, '\P{Identifier_Type=notcharacter}', "");
    Expect(1, 918000, '\P{^Identifier_Type=notcharacter}', "");
    Expect(0, 917999, '\p{Identifier_Type=notcharacter}', "");
    Expect(1, 917999, '\p{^Identifier_Type=notcharacter}', "");
    Expect(1, 917999, '\P{Identifier_Type=notcharacter}', "");
    Expect(0, 917999, '\P{^Identifier_Type=notcharacter}', "");
    Expect(1, 918000, '\p{Identifier_Type=:\Anotcharacter\z:}', "");;
    Expect(0, 917999, '\p{Identifier_Type=:\Anotcharacter\z:}', "");;
    Expect(1, 918000, '\p{Identifier_Type=_ Not_Character}', "");
    Expect(0, 918000, '\p{^Identifier_Type=_ Not_Character}', "");
    Expect(0, 918000, '\P{Identifier_Type=_ Not_Character}', "");
    Expect(1, 918000, '\P{^Identifier_Type=_ Not_Character}', "");
    Expect(0, 917999, '\p{Identifier_Type=_ Not_Character}', "");
    Expect(1, 917999, '\p{^Identifier_Type=_ Not_Character}', "");
    Expect(1, 917999, '\P{Identifier_Type=_ Not_Character}', "");
    Expect(0, 917999, '\P{^Identifier_Type=_ Not_Character}', "");
    Error('\p{Is_Identifier_Type=/a/_ Not_Character}');
    Error('\P{Is_Identifier_Type=/a/_ Not_Character}');
    Expect(1, 918000, '\p{Is_Identifier_Type=notcharacter}', "");
    Expect(0, 918000, '\p{^Is_Identifier_Type=notcharacter}', "");
    Expect(0, 918000, '\P{Is_Identifier_Type=notcharacter}', "");
    Expect(1, 918000, '\P{^Is_Identifier_Type=notcharacter}', "");
    Expect(0, 917999, '\p{Is_Identifier_Type=notcharacter}', "");
    Expect(1, 917999, '\p{^Is_Identifier_Type=notcharacter}', "");
    Expect(1, 917999, '\P{Is_Identifier_Type=notcharacter}', "");
    Expect(0, 917999, '\P{^Is_Identifier_Type=notcharacter}', "");
    Expect(1, 918000, '\p{Is_Identifier_Type=	 Not_Character}', "");
    Expect(0, 918000, '\p{^Is_Identifier_Type=	 Not_Character}', "");
    Expect(0, 918000, '\P{Is_Identifier_Type=	 Not_Character}', "");
    Expect(1, 918000, '\P{^Is_Identifier_Type=	 Not_Character}', "");
    Expect(0, 917999, '\p{Is_Identifier_Type=	 Not_Character}', "");
    Expect(1, 917999, '\p{^Is_Identifier_Type=	 Not_Character}', "");
    Expect(1, 917999, '\P{Is_Identifier_Type=	 Not_Character}', "");
    Expect(0, 917999, '\P{^Is_Identifier_Type=	 Not_Character}', "");
    Error('\p{Identifier_Type=__not_NFKC:=}');
    Error('\P{Identifier_Type=__not_NFKC:=}');
    Expect(1, 195101, '\p{Identifier_Type=:\ANot_NFKC\z:}', "");;
    Expect(0, 195102, '\p{Identifier_Type=:\ANot_NFKC\z:}', "");;
    Expect(1, 195101, '\p{Identifier_Type=notnfkc}', "");
    Expect(0, 195101, '\p{^Identifier_Type=notnfkc}', "");
    Expect(0, 195101, '\P{Identifier_Type=notnfkc}', "");
    Expect(1, 195101, '\P{^Identifier_Type=notnfkc}', "");
    Expect(0, 195102, '\p{Identifier_Type=notnfkc}', "");
    Expect(1, 195102, '\p{^Identifier_Type=notnfkc}', "");
    Expect(1, 195102, '\P{Identifier_Type=notnfkc}', "");
    Expect(0, 195102, '\P{^Identifier_Type=notnfkc}', "");
    Expect(1, 195101, '\p{Identifier_Type=:\Anotnfkc\z:}', "");;
    Expect(0, 195102, '\p{Identifier_Type=:\Anotnfkc\z:}', "");;
    Expect(1, 195101, '\p{Identifier_Type= Not_NFKC}', "");
    Expect(0, 195101, '\p{^Identifier_Type= Not_NFKC}', "");
    Expect(0, 195101, '\P{Identifier_Type= Not_NFKC}', "");
    Expect(1, 195101, '\P{^Identifier_Type= Not_NFKC}', "");
    Expect(0, 195102, '\p{Identifier_Type= Not_NFKC}', "");
    Expect(1, 195102, '\p{^Identifier_Type= Not_NFKC}', "");
    Expect(1, 195102, '\P{Identifier_Type= Not_NFKC}', "");
    Expect(0, 195102, '\P{^Identifier_Type= Not_NFKC}', "");
    Error('\p{Is_Identifier_Type=/a/Not_NFKC}');
    Error('\P{Is_Identifier_Type=/a/Not_NFKC}');
    Expect(1, 195101, '\p{Is_Identifier_Type=notnfkc}', "");
    Expect(0, 195101, '\p{^Is_Identifier_Type=notnfkc}', "");
    Expect(0, 195101, '\P{Is_Identifier_Type=notnfkc}', "");
    Expect(1, 195101, '\P{^Is_Identifier_Type=notnfkc}', "");
    Expect(0, 195102, '\p{Is_Identifier_Type=notnfkc}', "");
    Expect(1, 195102, '\p{^Is_Identifier_Type=notnfkc}', "");
    Expect(1, 195102, '\P{Is_Identifier_Type=notnfkc}', "");
    Expect(0, 195102, '\P{^Is_Identifier_Type=notnfkc}', "");
    Expect(1, 195101, '\p{Is_Identifier_Type=_not_nfkc}', "");
    Expect(0, 195101, '\p{^Is_Identifier_Type=_not_nfkc}', "");
    Expect(0, 195101, '\P{Is_Identifier_Type=_not_nfkc}', "");
    Expect(1, 195101, '\P{^Is_Identifier_Type=_not_nfkc}', "");
    Expect(0, 195102, '\p{Is_Identifier_Type=_not_nfkc}', "");
    Expect(1, 195102, '\p{^Is_Identifier_Type=_not_nfkc}', "");
    Expect(1, 195102, '\P{Is_Identifier_Type=_not_nfkc}', "");
    Expect(0, 195102, '\P{^Is_Identifier_Type=_not_nfkc}', "");
    Error('\p{Identifier_Type=/a/ _Not_XID}');
    Error('\P{Identifier_Type=/a/ _Not_XID}');
    Expect(1, 129994, '\p{Identifier_Type=:\ANot_XID\z:}', "");;
    Expect(0, 129995, '\p{Identifier_Type=:\ANot_XID\z:}', "");;
    Expect(1, 129994, '\p{Identifier_Type=notxid}', "");
    Expect(0, 129994, '\p{^Identifier_Type=notxid}', "");
    Expect(0, 129994, '\P{Identifier_Type=notxid}', "");
    Expect(1, 129994, '\P{^Identifier_Type=notxid}', "");
    Expect(0, 129995, '\p{Identifier_Type=notxid}', "");
    Expect(1, 129995, '\p{^Identifier_Type=notxid}', "");
    Expect(1, 129995, '\P{Identifier_Type=notxid}', "");
    Expect(0, 129995, '\P{^Identifier_Type=notxid}', "");
    Expect(1, 129994, '\p{Identifier_Type=:\Anotxid\z:}', "");;
    Expect(0, 129995, '\p{Identifier_Type=:\Anotxid\z:}', "");;
    Expect(1, 129994, '\p{Identifier_Type=Not_XID}', "");
    Expect(0, 129994, '\p{^Identifier_Type=Not_XID}', "");
    Expect(0, 129994, '\P{Identifier_Type=Not_XID}', "");
    Expect(1, 129994, '\P{^Identifier_Type=Not_XID}', "");
    Expect(0, 129995, '\p{Identifier_Type=Not_XID}', "");
    Expect(1, 129995, '\p{^Identifier_Type=Not_XID}', "");
    Expect(1, 129995, '\P{Identifier_Type=Not_XID}', "");
    Expect(0, 129995, '\P{^Identifier_Type=Not_XID}', "");
    Error('\p{Is_Identifier_Type:	:=		not_xid}');
    Error('\P{Is_Identifier_Type:	:=		not_xid}');
    Expect(1, 129994, '\p{Is_Identifier_Type=notxid}', "");
    Expect(0, 129994, '\p{^Is_Identifier_Type=notxid}', "");
    Expect(0, 129994, '\P{Is_Identifier_Type=notxid}', "");
    Expect(1, 129994, '\P{^Is_Identifier_Type=notxid}', "");
    Expect(0, 129995, '\p{Is_Identifier_Type=notxid}', "");
    Expect(1, 129995, '\p{^Is_Identifier_Type=notxid}', "");
    Expect(1, 129995, '\P{Is_Identifier_Type=notxid}', "");
    Expect(0, 129995, '\P{^Is_Identifier_Type=notxid}', "");
    Expect(1, 129994, '\p{Is_Identifier_Type=  NOT_xid}', "");
    Expect(0, 129994, '\p{^Is_Identifier_Type=  NOT_xid}', "");
    Expect(0, 129994, '\P{Is_Identifier_Type=  NOT_xid}', "");
    Expect(1, 129994, '\P{^Is_Identifier_Type=  NOT_xid}', "");
    Expect(0, 129995, '\p{Is_Identifier_Type=  NOT_xid}', "");
    Expect(1, 129995, '\p{^Is_Identifier_Type=  NOT_xid}', "");
    Expect(1, 129995, '\P{Is_Identifier_Type=  NOT_xid}', "");
    Expect(0, 129995, '\P{^Is_Identifier_Type=  NOT_xid}', "");
    Error('\p{Identifier_Type=/a/	_obsolete}');
    Error('\P{Identifier_Type=/a/	_obsolete}');
    Expect(1, 119365, '\p{Identifier_Type=:\AObsolete\z:}', "");;
    Expect(0, 119366, '\p{Identifier_Type=:\AObsolete\z:}', "");;
    Expect(1, 119365, '\p{Identifier_Type=obsolete}', "");
    Expect(0, 119365, '\p{^Identifier_Type=obsolete}', "");
    Expect(0, 119365, '\P{Identifier_Type=obsolete}', "");
    Expect(1, 119365, '\P{^Identifier_Type=obsolete}', "");
    Expect(0, 119366, '\p{Identifier_Type=obsolete}', "");
    Expect(1, 119366, '\p{^Identifier_Type=obsolete}', "");
    Expect(1, 119366, '\P{Identifier_Type=obsolete}', "");
    Expect(0, 119366, '\P{^Identifier_Type=obsolete}', "");
    Expect(1, 119365, '\p{Identifier_Type=:\Aobsolete\z:}', "");;
    Expect(0, 119366, '\p{Identifier_Type=:\Aobsolete\z:}', "");;
    Expect(1, 119365, '\p{Identifier_Type=-Obsolete}', "");
    Expect(0, 119365, '\p{^Identifier_Type=-Obsolete}', "");
    Expect(0, 119365, '\P{Identifier_Type=-Obsolete}', "");
    Expect(1, 119365, '\P{^Identifier_Type=-Obsolete}', "");
    Expect(0, 119366, '\p{Identifier_Type=-Obsolete}', "");
    Expect(1, 119366, '\p{^Identifier_Type=-Obsolete}', "");
    Expect(1, 119366, '\P{Identifier_Type=-Obsolete}', "");
    Expect(0, 119366, '\P{^Identifier_Type=-Obsolete}', "");
    Error('\p{Is_Identifier_Type= OBSOLETE/a/}');
    Error('\P{Is_Identifier_Type= OBSOLETE/a/}');
    Expect(1, 119365, '\p{Is_Identifier_Type=obsolete}', "");
    Expect(0, 119365, '\p{^Is_Identifier_Type=obsolete}', "");
    Expect(0, 119365, '\P{Is_Identifier_Type=obsolete}', "");
    Expect(1, 119365, '\P{^Is_Identifier_Type=obsolete}', "");
    Expect(0, 119366, '\p{Is_Identifier_Type=obsolete}', "");
    Expect(1, 119366, '\p{^Is_Identifier_Type=obsolete}', "");
    Expect(1, 119366, '\P{Is_Identifier_Type=obsolete}', "");
    Expect(0, 119366, '\P{^Is_Identifier_Type=obsolete}', "");
    Expect(1, 119365, '\p{Is_Identifier_Type=-OBSOLETE}', "");
    Expect(0, 119365, '\p{^Is_Identifier_Type=-OBSOLETE}', "");
    Expect(0, 119365, '\P{Is_Identifier_Type=-OBSOLETE}', "");
    Expect(1, 119365, '\P{^Is_Identifier_Type=-OBSOLETE}', "");
    Expect(0, 119366, '\p{Is_Identifier_Type=-OBSOLETE}', "");
    Expect(1, 119366, '\p{^Is_Identifier_Type=-OBSOLETE}', "");
    Expect(1, 119366, '\P{Is_Identifier_Type=-OBSOLETE}', "");
    Expect(0, 119366, '\P{^Is_Identifier_Type=-OBSOLETE}', "");
    Error('\p{Identifier_Type=/a/	Recommended}');
    Error('\P{Identifier_Type=/a/	Recommended}');
    Expect(1, 201546, '\p{Identifier_Type=:\ARecommended\z:}', "");;
    Expect(0, 201547, '\p{Identifier_Type=:\ARecommended\z:}', "");;
    Expect(1, 201546, '\p{Identifier_Type=recommended}', "");
    Expect(0, 201546, '\p{^Identifier_Type=recommended}', "");
    Expect(0, 201546, '\P{Identifier_Type=recommended}', "");
    Expect(1, 201546, '\P{^Identifier_Type=recommended}', "");
    Expect(0, 201547, '\p{Identifier_Type=recommended}', "");
    Expect(1, 201547, '\p{^Identifier_Type=recommended}', "");
    Expect(1, 201547, '\P{Identifier_Type=recommended}', "");
    Expect(0, 201547, '\P{^Identifier_Type=recommended}', "");
    Expect(1, 201546, '\p{Identifier_Type=:\Arecommended\z:}', "");;
    Expect(0, 201547, '\p{Identifier_Type=:\Arecommended\z:}', "");;
    Expect(1, 201546, '\p{Identifier_Type=_	Recommended}', "");
    Expect(0, 201546, '\p{^Identifier_Type=_	Recommended}', "");
    Expect(0, 201546, '\P{Identifier_Type=_	Recommended}', "");
    Expect(1, 201546, '\P{^Identifier_Type=_	Recommended}', "");
    Expect(0, 201547, '\p{Identifier_Type=_	Recommended}', "");
    Expect(1, 201547, '\p{^Identifier_Type=_	Recommended}', "");
    Expect(1, 201547, '\P{Identifier_Type=_	Recommended}', "");
    Expect(0, 201547, '\P{^Identifier_Type=_	Recommended}', "");
    Error('\p{Is_Identifier_Type=recommended:=}');
    Error('\P{Is_Identifier_Type=recommended:=}');
    Expect(1, 201546, '\p{Is_Identifier_Type=recommended}', "");
    Expect(0, 201546, '\p{^Is_Identifier_Type=recommended}', "");
    Expect(0, 201546, '\P{Is_Identifier_Type=recommended}', "");
    Expect(1, 201546, '\P{^Is_Identifier_Type=recommended}', "");
    Expect(0, 201547, '\p{Is_Identifier_Type=recommended}', "");
    Expect(1, 201547, '\p{^Is_Identifier_Type=recommended}', "");
    Expect(1, 201547, '\P{Is_Identifier_Type=recommended}', "");
    Expect(0, 201547, '\P{^Is_Identifier_Type=recommended}', "");
    Expect(1, 201546, '\p{Is_Identifier_Type=--RECOMMENDED}', "");
    Expect(0, 201546, '\p{^Is_Identifier_Type=--RECOMMENDED}', "");
    Expect(0, 201546, '\P{Is_Identifier_Type=--RECOMMENDED}', "");
    Expect(1, 201546, '\P{^Is_Identifier_Type=--RECOMMENDED}', "");
    Expect(0, 201547, '\p{Is_Identifier_Type=--RECOMMENDED}', "");
    Expect(1, 201547, '\p{^Is_Identifier_Type=--RECOMMENDED}', "");
    Expect(1, 201547, '\P{Is_Identifier_Type=--RECOMMENDED}', "");
    Expect(0, 201547, '\P{^Is_Identifier_Type=--RECOMMENDED}', "");
    Error('\p{Identifier_Type=- Technical/a/}');
    Error('\P{Identifier_Type=- Technical/a/}');
    Expect(1, 119638, '\p{Identifier_Type=:\ATechnical\z:}', "");;
    Expect(0, 119639, '\p{Identifier_Type=:\ATechnical\z:}', "");;
    Expect(1, 119638, '\p{Identifier_Type=technical}', "");
    Expect(0, 119638, '\p{^Identifier_Type=technical}', "");
    Expect(0, 119638, '\P{Identifier_Type=technical}', "");
    Expect(1, 119638, '\P{^Identifier_Type=technical}', "");
    Expect(0, 119639, '\p{Identifier_Type=technical}', "");
    Expect(1, 119639, '\p{^Identifier_Type=technical}', "");
    Expect(1, 119639, '\P{Identifier_Type=technical}', "");
    Expect(0, 119639, '\P{^Identifier_Type=technical}', "");
    Expect(1, 119638, '\p{Identifier_Type=:\Atechnical\z:}', "");;
    Expect(0, 119639, '\p{Identifier_Type=:\Atechnical\z:}', "");;
    Expect(1, 119638, '\p{Identifier_Type:	 -technical}', "");
    Expect(0, 119638, '\p{^Identifier_Type:	 -technical}', "");
    Expect(0, 119638, '\P{Identifier_Type:	 -technical}', "");
    Expect(1, 119638, '\P{^Identifier_Type:	 -technical}', "");
    Expect(0, 119639, '\p{Identifier_Type:	 -technical}', "");
    Expect(1, 119639, '\p{^Identifier_Type:	 -technical}', "");
    Expect(1, 119639, '\P{Identifier_Type:	 -technical}', "");
    Expect(0, 119639, '\P{^Identifier_Type:	 -technical}', "");
    Error('\p{Is_Identifier_Type=	 Technical:=}');
    Error('\P{Is_Identifier_Type=	 Technical:=}');
    Expect(1, 119638, '\p{Is_Identifier_Type=technical}', "");
    Expect(0, 119638, '\p{^Is_Identifier_Type=technical}', "");
    Expect(0, 119638, '\P{Is_Identifier_Type=technical}', "");
    Expect(1, 119638, '\P{^Is_Identifier_Type=technical}', "");
    Expect(0, 119639, '\p{Is_Identifier_Type=technical}', "");
    Expect(1, 119639, '\p{^Is_Identifier_Type=technical}', "");
    Expect(1, 119639, '\P{Is_Identifier_Type=technical}', "");
    Expect(0, 119639, '\P{^Is_Identifier_Type=technical}', "");
    Expect(1, 119638, '\p{Is_Identifier_Type=_-TECHNICAL}', "");
    Expect(0, 119638, '\p{^Is_Identifier_Type=_-TECHNICAL}', "");
    Expect(0, 119638, '\P{Is_Identifier_Type=_-TECHNICAL}', "");
    Expect(1, 119638, '\P{^Is_Identifier_Type=_-TECHNICAL}', "");
    Expect(0, 119639, '\p{Is_Identifier_Type=_-TECHNICAL}', "");
    Expect(1, 119639, '\p{^Is_Identifier_Type=_-TECHNICAL}', "");
    Expect(1, 119639, '\P{Is_Identifier_Type=_-TECHNICAL}', "");
    Expect(0, 119639, '\P{^Is_Identifier_Type=_-TECHNICAL}', "");
    Error('\p{Identifier_Type=_-Uncommon_USE:=}');
    Error('\P{Identifier_Type=_-Uncommon_USE:=}');
    Expect(1, 128335, '\p{Identifier_Type=:\AUncommon_Use\z:}', "");;
    Expect(0, 128336, '\p{Identifier_Type=:\AUncommon_Use\z:}', "");;
    Expect(1, 128335, '\p{Identifier_Type=uncommonuse}', "");
    Expect(0, 128335, '\p{^Identifier_Type=uncommonuse}', "");
    Expect(0, 128335, '\P{Identifier_Type=uncommonuse}', "");
    Expect(1, 128335, '\P{^Identifier_Type=uncommonuse}', "");
    Expect(0, 128336, '\p{Identifier_Type=uncommonuse}', "");
    Expect(1, 128336, '\p{^Identifier_Type=uncommonuse}', "");
    Expect(1, 128336, '\P{Identifier_Type=uncommonuse}', "");
    Expect(0, 128336, '\P{^Identifier_Type=uncommonuse}', "");
    Expect(1, 128335, '\p{Identifier_Type=:\Auncommonuse\z:}', "");;
    Expect(0, 128336, '\p{Identifier_Type=:\Auncommonuse\z:}', "");;
    Expect(1, 128335, '\p{Identifier_Type=_uncommon_Use}', "");
    Expect(0, 128335, '\p{^Identifier_Type=_uncommon_Use}', "");
    Expect(0, 128335, '\P{Identifier_Type=_uncommon_Use}', "");
    Expect(1, 128335, '\P{^Identifier_Type=_uncommon_Use}', "");
    Expect(0, 128336, '\p{Identifier_Type=_uncommon_Use}', "");
    Expect(1, 128336, '\p{^Identifier_Type=_uncommon_Use}', "");
    Expect(1, 128336, '\P{Identifier_Type=_uncommon_Use}', "");
    Expect(0, 128336, '\P{^Identifier_Type=_uncommon_Use}', "");
    Error('\p{Is_Identifier_Type=/a/	Uncommon_Use}');
    Error('\P{Is_Identifier_Type=/a/	Uncommon_Use}');
    Expect(1, 128335, '\p{Is_Identifier_Type=uncommonuse}', "");
    Expect(0, 128335, '\p{^Is_Identifier_Type=uncommonuse}', "");
    Expect(0, 128335, '\P{Is_Identifier_Type=uncommonuse}', "");
    Expect(1, 128335, '\P{^Is_Identifier_Type=uncommonuse}', "");
    Expect(0, 128336, '\p{Is_Identifier_Type=uncommonuse}', "");
    Expect(1, 128336, '\p{^Is_Identifier_Type=uncommonuse}', "");
    Expect(1, 128336, '\P{Is_Identifier_Type=uncommonuse}', "");
    Expect(0, 128336, '\P{^Is_Identifier_Type=uncommonuse}', "");
    Expect(1, 128335, '\p{Is_Identifier_Type= -Uncommon_Use}', "");
    Expect(0, 128335, '\p{^Is_Identifier_Type= -Uncommon_Use}', "");
    Expect(0, 128335, '\P{Is_Identifier_Type= -Uncommon_Use}', "");
    Expect(1, 128335, '\P{^Is_Identifier_Type= -Uncommon_Use}', "");
    Expect(0, 128336, '\p{Is_Identifier_Type= -Uncommon_Use}', "");
    Expect(1, 128336, '\p{^Is_Identifier_Type= -Uncommon_Use}', "");
    Expect(1, 128336, '\P{Is_Identifier_Type= -Uncommon_Use}', "");
    Expect(0, 128336, '\P{^Is_Identifier_Type= -Uncommon_Use}', "");
    Error('\p{Ideographic= No/a/}');
    Error('\P{Ideographic= No/a/}');
    Expect(1, 201547, '\p{Ideographic=:\ANo\z:}', "");;
    Expect(0, 201546, '\p{Ideographic=:\ANo\z:}', "");;
    Expect(1, 201547, '\p{Ideographic=no}', "");
    Expect(0, 201547, '\p{^Ideographic=no}', "");
    Expect(0, 201547, '\P{Ideographic=no}', "");
    Expect(1, 201547, '\P{^Ideographic=no}', "");
    Expect(0, 201546, '\p{Ideographic=no}', "");
    Expect(1, 201546, '\p{^Ideographic=no}', "");
    Expect(1, 201546, '\P{Ideographic=no}', "");
    Expect(0, 201546, '\P{^Ideographic=no}', "");
    Expect(1, 201547, '\p{Ideographic=:\Ano\z:}', "");;
    Expect(0, 201546, '\p{Ideographic=:\Ano\z:}', "");;
    Expect(1, 201547, '\p{Ideographic= -No}', "");
    Expect(0, 201547, '\p{^Ideographic= -No}', "");
    Expect(0, 201547, '\P{Ideographic= -No}', "");
    Expect(1, 201547, '\P{^Ideographic= -No}', "");
    Expect(0, 201546, '\p{Ideographic= -No}', "");
    Expect(1, 201546, '\p{^Ideographic= -No}', "");
    Expect(1, 201546, '\P{Ideographic= -No}', "");
    Expect(0, 201546, '\P{^Ideographic= -No}', "");
    Error('\p{Ideo= :=N}');
    Error('\P{Ideo= :=N}');
    Expect(1, 201547, '\p{Ideo=:\AN\z:}', "");;
    Expect(0, 201546, '\p{Ideo=:\AN\z:}', "");;
    Expect(1, 201547, '\p{Ideo=n}', "");
    Expect(0, 201547, '\p{^Ideo=n}', "");
    Expect(0, 201547, '\P{Ideo=n}', "");
    Expect(1, 201547, '\P{^Ideo=n}', "");
    Expect(0, 201546, '\p{Ideo=n}', "");
    Expect(1, 201546, '\p{^Ideo=n}', "");
    Expect(1, 201546, '\P{Ideo=n}', "");
    Expect(0, 201546, '\P{^Ideo=n}', "");
    Expect(1, 201547, '\p{Ideo=:\An\z:}', "");;
    Expect(0, 201546, '\p{Ideo=:\An\z:}', "");;
    Expect(1, 201547, '\p{Ideo= 	n}', "");
    Expect(0, 201547, '\p{^Ideo= 	n}', "");
    Expect(0, 201547, '\P{Ideo= 	n}', "");
    Expect(1, 201547, '\P{^Ideo= 	n}', "");
    Expect(0, 201546, '\p{Ideo= 	n}', "");
    Expect(1, 201546, '\p{^Ideo= 	n}', "");
    Expect(1, 201546, '\P{Ideo= 	n}', "");
    Expect(0, 201546, '\P{^Ideo= 	n}', "");
    Error('\p{Is_Ideographic=	:=F}');
    Error('\P{Is_Ideographic=	:=F}');
    Expect(1, 201547, '\p{Is_Ideographic:f}', "");
    Expect(0, 201547, '\p{^Is_Ideographic:f}', "");
    Expect(0, 201547, '\P{Is_Ideographic:f}', "");
    Expect(1, 201547, '\P{^Is_Ideographic:f}', "");
    Expect(0, 201546, '\p{Is_Ideographic:f}', "");
    Expect(1, 201546, '\p{^Is_Ideographic:f}', "");
    Expect(1, 201546, '\P{Is_Ideographic:f}', "");
    Expect(0, 201546, '\P{^Is_Ideographic:f}', "");
    Expect(1, 201547, '\p{Is_Ideographic=-_f}', "");
    Expect(0, 201547, '\p{^Is_Ideographic=-_f}', "");
    Expect(0, 201547, '\P{Is_Ideographic=-_f}', "");
    Expect(1, 201547, '\P{^Is_Ideographic=-_f}', "");
    Expect(0, 201546, '\p{Is_Ideographic=-_f}', "");
    Expect(1, 201546, '\p{^Is_Ideographic=-_f}', "");
    Expect(1, 201546, '\P{Is_Ideographic=-_f}', "");
    Expect(0, 201546, '\P{^Is_Ideographic=-_f}', "");
    Error('\p{Is_Ideo=/a/ 	FALSE}');
    Error('\P{Is_Ideo=/a/ 	FALSE}');
    Expect(1, 201547, '\p{Is_Ideo=false}', "");
    Expect(0, 201547, '\p{^Is_Ideo=false}', "");
    Expect(0, 201547, '\P{Is_Ideo=false}', "");
    Expect(1, 201547, '\P{^Is_Ideo=false}', "");
    Expect(0, 201546, '\p{Is_Ideo=false}', "");
    Expect(1, 201546, '\p{^Is_Ideo=false}', "");
    Expect(1, 201546, '\P{Is_Ideo=false}', "");
    Expect(0, 201546, '\P{^Is_Ideo=false}', "");
    Expect(1, 201547, '\p{Is_Ideo=-	False}', "");
    Expect(0, 201547, '\p{^Is_Ideo=-	False}', "");
    Expect(0, 201547, '\P{Is_Ideo=-	False}', "");
    Expect(1, 201547, '\P{^Is_Ideo=-	False}', "");
    Expect(0, 201546, '\p{Is_Ideo=-	False}', "");
    Expect(1, 201546, '\p{^Is_Ideo=-	False}', "");
    Expect(1, 201546, '\P{Is_Ideo=-	False}', "");
    Expect(0, 201546, '\P{^Is_Ideo=-	False}', "");
    Error('\p{Ideographic= :=yes}');
    Error('\P{Ideographic= :=yes}');
    Expect(1, 201546, '\p{Ideographic=:\AYes\z:}', "");;
    Expect(0, 201547, '\p{Ideographic=:\AYes\z:}', "");;
    Expect(1, 201546, '\p{Ideographic=yes}', "");
    Expect(0, 201546, '\p{^Ideographic=yes}', "");
    Expect(0, 201546, '\P{Ideographic=yes}', "");
    Expect(1, 201546, '\P{^Ideographic=yes}', "");
    Expect(0, 201547, '\p{Ideographic=yes}', "");
    Expect(1, 201547, '\p{^Ideographic=yes}', "");
    Expect(1, 201547, '\P{Ideographic=yes}', "");
    Expect(0, 201547, '\P{^Ideographic=yes}', "");
    Expect(1, 201546, '\p{Ideographic=:\Ayes\z:}', "");;
    Expect(0, 201547, '\p{Ideographic=:\Ayes\z:}', "");;
    Expect(1, 201546, '\p{Ideographic=-	Yes}', "");
    Expect(0, 201546, '\p{^Ideographic=-	Yes}', "");
    Expect(0, 201546, '\P{Ideographic=-	Yes}', "");
    Expect(1, 201546, '\P{^Ideographic=-	Yes}', "");
    Expect(0, 201547, '\p{Ideographic=-	Yes}', "");
    Expect(1, 201547, '\p{^Ideographic=-	Yes}', "");
    Expect(1, 201547, '\P{Ideographic=-	Yes}', "");
    Expect(0, 201547, '\P{^Ideographic=-	Yes}', "");
    Error('\p{Ideo:  y/a/}');
    Error('\P{Ideo:  y/a/}');
    Expect(1, 201546, '\p{Ideo=:\AY\z:}', "");;
    Expect(0, 201547, '\p{Ideo=:\AY\z:}', "");;
    Expect(1, 201546, '\p{Ideo=y}', "");
    Expect(0, 201546, '\p{^Ideo=y}', "");
    Expect(0, 201546, '\P{Ideo=y}', "");
    Expect(1, 201546, '\P{^Ideo=y}', "");
    Expect(0, 201547, '\p{Ideo=y}', "");
    Expect(1, 201547, '\p{^Ideo=y}', "");
    Expect(1, 201547, '\P{Ideo=y}', "");
    Expect(0, 201547, '\P{^Ideo=y}', "");
    Expect(1, 201546, '\p{Ideo=:\Ay\z:}', "");;
    Expect(0, 201547, '\p{Ideo=:\Ay\z:}', "");;
    Expect(1, 201546, '\p{Ideo=	 Y}', "");
    Expect(0, 201546, '\p{^Ideo=	 Y}', "");
    Expect(0, 201546, '\P{Ideo=	 Y}', "");
    Expect(1, 201546, '\P{^Ideo=	 Y}', "");
    Expect(0, 201547, '\p{Ideo=	 Y}', "");
    Expect(1, 201547, '\p{^Ideo=	 Y}', "");
    Expect(1, 201547, '\P{Ideo=	 Y}', "");
    Expect(0, 201547, '\P{^Ideo=	 Y}', "");
    Error('\p{Is_Ideographic=	:=T}');
    Error('\P{Is_Ideographic=	:=T}');
    Expect(1, 201546, '\p{Is_Ideographic=t}', "");
    Expect(0, 201546, '\p{^Is_Ideographic=t}', "");
    Expect(0, 201546, '\P{Is_Ideographic=t}', "");
    Expect(1, 201546, '\P{^Is_Ideographic=t}', "");
    Expect(0, 201547, '\p{Is_Ideographic=t}', "");
    Expect(1, 201547, '\p{^Is_Ideographic=t}', "");
    Expect(1, 201547, '\P{Is_Ideographic=t}', "");
    Expect(0, 201547, '\P{^Is_Ideographic=t}', "");
    Expect(1, 201546, '\p{Is_Ideographic=T}', "");
    Expect(0, 201546, '\p{^Is_Ideographic=T}', "");
    Expect(0, 201546, '\P{Is_Ideographic=T}', "");
    Expect(1, 201546, '\P{^Is_Ideographic=T}', "");
    Expect(0, 201547, '\p{Is_Ideographic=T}', "");
    Expect(1, 201547, '\p{^Is_Ideographic=T}', "");
    Expect(1, 201547, '\P{Is_Ideographic=T}', "");
    Expect(0, 201547, '\P{^Is_Ideographic=T}', "");
    Error('\p{Is_Ideo=	-TRUE:=}');
    Error('\P{Is_Ideo=	-TRUE:=}');
    Expect(1, 201546, '\p{Is_Ideo=true}', "");
    Expect(0, 201546, '\p{^Is_Ideo=true}', "");
    Expect(0, 201546, '\P{Is_Ideo=true}', "");
    Expect(1, 201546, '\P{^Is_Ideo=true}', "");
    Expect(0, 201547, '\p{Is_Ideo=true}', "");
    Expect(1, 201547, '\p{^Is_Ideo=true}', "");
    Expect(1, 201547, '\P{Is_Ideo=true}', "");
    Expect(0, 201547, '\P{^Is_Ideo=true}', "");
    Expect(1, 201546, '\p{Is_Ideo=TRUE}', "");
    Expect(0, 201546, '\p{^Is_Ideo=TRUE}', "");
    Expect(0, 201546, '\P{Is_Ideo=TRUE}', "");
    Expect(1, 201546, '\P{^Is_Ideo=TRUE}', "");
    Expect(0, 201547, '\p{Is_Ideo=TRUE}', "");
    Expect(1, 201547, '\p{^Is_Ideo=TRUE}', "");
    Expect(1, 201547, '\P{Is_Ideo=TRUE}', "");
    Expect(0, 201547, '\P{^Is_Ideo=TRUE}', "");
    Error('\p{ID_Start=:=_ No}');
    Error('\P{ID_Start=:=_ No}');
    Expect(1, 201547, '\p{ID_Start=:\ANo\z:}', "");;
    Expect(0, 201546, '\p{ID_Start=:\ANo\z:}', "");;
    Expect(1, 201547, '\p{ID_Start: no}', "");
    Expect(0, 201547, '\p{^ID_Start: no}', "");
    Expect(0, 201547, '\P{ID_Start: no}', "");
    Expect(1, 201547, '\P{^ID_Start: no}', "");
    Expect(0, 201546, '\p{ID_Start: no}', "");
    Expect(1, 201546, '\p{^ID_Start: no}', "");
    Expect(1, 201546, '\P{ID_Start: no}', "");
    Expect(0, 201546, '\P{^ID_Start: no}', "");
    Expect(1, 201547, '\p{ID_Start=:\Ano\z:}', "");;
    Expect(0, 201546, '\p{ID_Start=:\Ano\z:}', "");;
    Expect(1, 201547, '\p{ID_Start=	-no}', "");
    Expect(0, 201547, '\p{^ID_Start=	-no}', "");
    Expect(0, 201547, '\P{ID_Start=	-no}', "");
    Expect(1, 201547, '\P{^ID_Start=	-no}', "");
    Expect(0, 201546, '\p{ID_Start=	-no}', "");
    Expect(1, 201546, '\p{^ID_Start=	-no}', "");
    Expect(1, 201546, '\P{ID_Start=	-no}', "");
    Expect(0, 201546, '\P{^ID_Start=	-no}', "");
    Error('\p{IDS= N:=}');
    Error('\P{IDS= N:=}');
    Expect(1, 201547, '\p{IDS=:\AN\z:}', "");;
    Expect(0, 201546, '\p{IDS=:\AN\z:}', "");;
    Expect(1, 201547, '\p{IDS=n}', "");
    Expect(0, 201547, '\p{^IDS=n}', "");
    Expect(0, 201547, '\P{IDS=n}', "");
    Expect(1, 201547, '\P{^IDS=n}', "");
    Expect(0, 201546, '\p{IDS=n}', "");
    Expect(1, 201546, '\p{^IDS=n}', "");
    Expect(1, 201546, '\P{IDS=n}', "");
    Expect(0, 201546, '\P{^IDS=n}', "");
    Expect(1, 201547, '\p{IDS=:\An\z:}', "");;
    Expect(0, 201546, '\p{IDS=:\An\z:}', "");;
    Expect(1, 201547, '\p{IDS=	 N}', "");
    Expect(0, 201547, '\p{^IDS=	 N}', "");
    Expect(0, 201547, '\P{IDS=	 N}', "");
    Expect(1, 201547, '\P{^IDS=	 N}', "");
    Expect(0, 201546, '\p{IDS=	 N}', "");
    Expect(1, 201546, '\p{^IDS=	 N}', "");
    Expect(1, 201546, '\P{IDS=	 N}', "");
    Expect(0, 201546, '\P{^IDS=	 N}', "");
    Error('\p{Is_ID_Start=	F:=}');
    Error('\P{Is_ID_Start=	F:=}');
    Expect(1, 201547, '\p{Is_ID_Start=f}', "");
    Expect(0, 201547, '\p{^Is_ID_Start=f}', "");
    Expect(0, 201547, '\P{Is_ID_Start=f}', "");
    Expect(1, 201547, '\P{^Is_ID_Start=f}', "");
    Expect(0, 201546, '\p{Is_ID_Start=f}', "");
    Expect(1, 201546, '\p{^Is_ID_Start=f}', "");
    Expect(1, 201546, '\P{Is_ID_Start=f}', "");
    Expect(0, 201546, '\P{^Is_ID_Start=f}', "");
    Expect(1, 201547, '\p{Is_ID_Start=  F}', "");
    Expect(0, 201547, '\p{^Is_ID_Start=  F}', "");
    Expect(0, 201547, '\P{Is_ID_Start=  F}', "");
    Expect(1, 201547, '\P{^Is_ID_Start=  F}', "");
    Expect(0, 201546, '\p{Is_ID_Start=  F}', "");
    Expect(1, 201546, '\p{^Is_ID_Start=  F}', "");
    Expect(1, 201546, '\P{Is_ID_Start=  F}', "");
    Expect(0, 201546, '\P{^Is_ID_Start=  F}', "");
    Error('\p{Is_IDS=/a/_	False}');
    Error('\P{Is_IDS=/a/_	False}');
    Expect(1, 201547, '\p{Is_IDS=false}', "");
    Expect(0, 201547, '\p{^Is_IDS=false}', "");
    Expect(0, 201547, '\P{Is_IDS=false}', "");
    Expect(1, 201547, '\P{^Is_IDS=false}', "");
    Expect(0, 201546, '\p{Is_IDS=false}', "");
    Expect(1, 201546, '\p{^Is_IDS=false}', "");
    Expect(1, 201546, '\P{Is_IDS=false}', "");
    Expect(0, 201546, '\P{^Is_IDS=false}', "");
    Expect(1, 201547, '\p{Is_IDS=_ False}', "");
    Expect(0, 201547, '\p{^Is_IDS=_ False}', "");
    Expect(0, 201547, '\P{Is_IDS=_ False}', "");
    Expect(1, 201547, '\P{^Is_IDS=_ False}', "");
    Expect(0, 201546, '\p{Is_IDS=_ False}', "");
    Expect(1, 201546, '\p{^Is_IDS=_ False}', "");
    Expect(1, 201546, '\P{Is_IDS=_ False}', "");
    Expect(0, 201546, '\P{^Is_IDS=_ False}', "");
    Error('\p{ID_Start=_-yes:=}');
    Error('\P{ID_Start=_-yes:=}');
    Expect(1, 201546, '\p{ID_Start=:\AYes\z:}', "");;
    Expect(0, 201547, '\p{ID_Start=:\AYes\z:}', "");;
    Expect(1, 201546, '\p{ID_Start=yes}', "");
    Expect(0, 201546, '\p{^ID_Start=yes}', "");
    Expect(0, 201546, '\P{ID_Start=yes}', "");
    Expect(1, 201546, '\P{^ID_Start=yes}', "");
    Expect(0, 201547, '\p{ID_Start=yes}', "");
    Expect(1, 201547, '\p{^ID_Start=yes}', "");
    Expect(1, 201547, '\P{ID_Start=yes}', "");
    Expect(0, 201547, '\P{^ID_Start=yes}', "");
    Expect(1, 201546, '\p{ID_Start=:\Ayes\z:}', "");;
    Expect(0, 201547, '\p{ID_Start=:\Ayes\z:}', "");;
    Expect(1, 201546, '\p{ID_Start=_ Yes}', "");
    Expect(0, 201546, '\p{^ID_Start=_ Yes}', "");
    Expect(0, 201546, '\P{ID_Start=_ Yes}', "");
    Expect(1, 201546, '\P{^ID_Start=_ Yes}', "");
    Expect(0, 201547, '\p{ID_Start=_ Yes}', "");
    Expect(1, 201547, '\p{^ID_Start=_ Yes}', "");
    Expect(1, 201547, '\P{ID_Start=_ Yes}', "");
    Expect(0, 201547, '\P{^ID_Start=_ Yes}', "");
    Error('\p{IDS=:=-	Y}');
    Error('\P{IDS=:=-	Y}');
    Expect(1, 201546, '\p{IDS=:\AY\z:}', "");;
    Expect(0, 201547, '\p{IDS=:\AY\z:}', "");;
    Expect(1, 201546, '\p{IDS=y}', "");
    Expect(0, 201546, '\p{^IDS=y}', "");
    Expect(0, 201546, '\P{IDS=y}', "");
    Expect(1, 201546, '\P{^IDS=y}', "");
    Expect(0, 201547, '\p{IDS=y}', "");
    Expect(1, 201547, '\p{^IDS=y}', "");
    Expect(1, 201547, '\P{IDS=y}', "");
    Expect(0, 201547, '\P{^IDS=y}', "");
    Expect(1, 201546, '\p{IDS=:\Ay\z:}', "");;
    Expect(0, 201547, '\p{IDS=:\Ay\z:}', "");;
    Expect(1, 201546, '\p{IDS=--Y}', "");
    Expect(0, 201546, '\p{^IDS=--Y}', "");
    Expect(0, 201546, '\P{IDS=--Y}', "");
    Expect(1, 201546, '\P{^IDS=--Y}', "");
    Expect(0, 201547, '\p{IDS=--Y}', "");
    Expect(1, 201547, '\p{^IDS=--Y}', "");
    Expect(1, 201547, '\P{IDS=--Y}', "");
    Expect(0, 201547, '\P{^IDS=--Y}', "");
    Error('\p{Is_ID_Start=/a/	-T}');
    Error('\P{Is_ID_Start=/a/	-T}');
    Expect(1, 201546, '\p{Is_ID_Start=t}', "");
    Expect(0, 201546, '\p{^Is_ID_Start=t}', "");
    Expect(0, 201546, '\P{Is_ID_Start=t}', "");
    Expect(1, 201546, '\P{^Is_ID_Start=t}', "");
    Expect(0, 201547, '\p{Is_ID_Start=t}', "");
    Expect(1, 201547, '\p{^Is_ID_Start=t}', "");
    Expect(1, 201547, '\P{Is_ID_Start=t}', "");
    Expect(0, 201547, '\P{^Is_ID_Start=t}', "");
    Expect(1, 201546, '\p{Is_ID_Start=__T}', "");
    Expect(0, 201546, '\p{^Is_ID_Start=__T}', "");
    Expect(0, 201546, '\P{Is_ID_Start=__T}', "");
    Expect(1, 201546, '\P{^Is_ID_Start=__T}', "");
    Expect(0, 201547, '\p{Is_ID_Start=__T}', "");
    Expect(1, 201547, '\p{^Is_ID_Start=__T}', "");
    Expect(1, 201547, '\P{Is_ID_Start=__T}', "");
    Expect(0, 201547, '\P{^Is_ID_Start=__T}', "");
    Error('\p{Is_IDS=/a/-	True}');
    Error('\P{Is_IDS=/a/-	True}');
    Expect(1, 201546, '\p{Is_IDS=true}', "");
    Expect(0, 201546, '\p{^Is_IDS=true}', "");
    Expect(0, 201546, '\P{Is_IDS=true}', "");
    Expect(1, 201546, '\P{^Is_IDS=true}', "");
    Expect(0, 201547, '\p{Is_IDS=true}', "");
    Expect(1, 201547, '\p{^Is_IDS=true}', "");
    Expect(1, 201547, '\P{Is_IDS=true}', "");
    Expect(0, 201547, '\P{^Is_IDS=true}', "");
    Expect(1, 201546, '\p{Is_IDS=  True}', "");
    Expect(0, 201546, '\p{^Is_IDS=  True}', "");
    Expect(0, 201546, '\P{Is_IDS=  True}', "");
    Expect(1, 201546, '\P{^Is_IDS=  True}', "");
    Expect(0, 201547, '\p{Is_IDS=  True}', "");
    Expect(1, 201547, '\p{^Is_IDS=  True}', "");
    Expect(1, 201547, '\P{Is_IDS=  True}', "");
    Expect(0, 201547, '\P{^Is_IDS=  True}', "");
    Error('\p{IDS_Binary_Operator:   No/a/}');
    Error('\P{IDS_Binary_Operator:   No/a/}');
    Expect(1, 12284, '\p{IDS_Binary_Operator=:\ANo\z:}', "");;
    Expect(0, 12283, '\p{IDS_Binary_Operator=:\ANo\z:}', "");;
    Expect(1, 12284, '\p{IDS_Binary_Operator=no}', "");
    Expect(0, 12284, '\p{^IDS_Binary_Operator=no}', "");
    Expect(0, 12284, '\P{IDS_Binary_Operator=no}', "");
    Expect(1, 12284, '\P{^IDS_Binary_Operator=no}', "");
    Expect(0, 12283, '\p{IDS_Binary_Operator=no}', "");
    Expect(1, 12283, '\p{^IDS_Binary_Operator=no}', "");
    Expect(1, 12283, '\P{IDS_Binary_Operator=no}', "");
    Expect(0, 12283, '\P{^IDS_Binary_Operator=no}', "");
    Expect(1, 12284, '\p{IDS_Binary_Operator=:\Ano\z:}', "");;
    Expect(0, 12283, '\p{IDS_Binary_Operator=:\Ano\z:}', "");;
    Expect(1, 12284, '\p{IDS_Binary_Operator:  NO}', "");
    Expect(0, 12284, '\p{^IDS_Binary_Operator:  NO}', "");
    Expect(0, 12284, '\P{IDS_Binary_Operator:  NO}', "");
    Expect(1, 12284, '\P{^IDS_Binary_Operator:  NO}', "");
    Expect(0, 12283, '\p{IDS_Binary_Operator:  NO}', "");
    Expect(1, 12283, '\p{^IDS_Binary_Operator:  NO}', "");
    Expect(1, 12283, '\P{IDS_Binary_Operator:  NO}', "");
    Expect(0, 12283, '\P{^IDS_Binary_Operator:  NO}', "");
    Error('\p{IDSB=/a/N}');
    Error('\P{IDSB=/a/N}');
    Expect(1, 12284, '\p{IDSB=:\AN\z:}', "");;
    Expect(0, 12283, '\p{IDSB=:\AN\z:}', "");;
    Expect(1, 12284, '\p{IDSB=n}', "");
    Expect(0, 12284, '\p{^IDSB=n}', "");
    Expect(0, 12284, '\P{IDSB=n}', "");
    Expect(1, 12284, '\P{^IDSB=n}', "");
    Expect(0, 12283, '\p{IDSB=n}', "");
    Expect(1, 12283, '\p{^IDSB=n}', "");
    Expect(1, 12283, '\P{IDSB=n}', "");
    Expect(0, 12283, '\P{^IDSB=n}', "");
    Expect(1, 12284, '\p{IDSB=:\An\z:}', "");;
    Expect(0, 12283, '\p{IDSB=:\An\z:}', "");;
    Expect(1, 12284, '\p{IDSB=	 N}', "");
    Expect(0, 12284, '\p{^IDSB=	 N}', "");
    Expect(0, 12284, '\P{IDSB=	 N}', "");
    Expect(1, 12284, '\P{^IDSB=	 N}', "");
    Expect(0, 12283, '\p{IDSB=	 N}', "");
    Expect(1, 12283, '\p{^IDSB=	 N}', "");
    Expect(1, 12283, '\P{IDSB=	 N}', "");
    Expect(0, 12283, '\P{^IDSB=	 N}', "");
    Error('\p{Is_IDS_Binary_Operator=-F:=}');
    Error('\P{Is_IDS_Binary_Operator=-F:=}');
    Expect(1, 12284, '\p{Is_IDS_Binary_Operator=f}', "");
    Expect(0, 12284, '\p{^Is_IDS_Binary_Operator=f}', "");
    Expect(0, 12284, '\P{Is_IDS_Binary_Operator=f}', "");
    Expect(1, 12284, '\P{^Is_IDS_Binary_Operator=f}', "");
    Expect(0, 12283, '\p{Is_IDS_Binary_Operator=f}', "");
    Expect(1, 12283, '\p{^Is_IDS_Binary_Operator=f}', "");
    Expect(1, 12283, '\P{Is_IDS_Binary_Operator=f}', "");
    Expect(0, 12283, '\P{^Is_IDS_Binary_Operator=f}', "");
    Expect(1, 12284, '\p{Is_IDS_Binary_Operator=	-F}', "");
    Expect(0, 12284, '\p{^Is_IDS_Binary_Operator=	-F}', "");
    Expect(0, 12284, '\P{Is_IDS_Binary_Operator=	-F}', "");
    Expect(1, 12284, '\P{^Is_IDS_Binary_Operator=	-F}', "");
    Expect(0, 12283, '\p{Is_IDS_Binary_Operator=	-F}', "");
    Expect(1, 12283, '\p{^Is_IDS_Binary_Operator=	-F}', "");
    Expect(1, 12283, '\P{Is_IDS_Binary_Operator=	-F}', "");
    Expect(0, 12283, '\P{^Is_IDS_Binary_Operator=	-F}', "");
    Error('\p{Is_IDSB=_:=FALSE}');
    Error('\P{Is_IDSB=_:=FALSE}');
    Expect(1, 12284, '\p{Is_IDSB=false}', "");
    Expect(0, 12284, '\p{^Is_IDSB=false}', "");
    Expect(0, 12284, '\P{Is_IDSB=false}', "");
    Expect(1, 12284, '\P{^Is_IDSB=false}', "");
    Expect(0, 12283, '\p{Is_IDSB=false}', "");
    Expect(1, 12283, '\p{^Is_IDSB=false}', "");
    Expect(1, 12283, '\P{Is_IDSB=false}', "");
    Expect(0, 12283, '\P{^Is_IDSB=false}', "");
    Expect(1, 12284, '\p{Is_IDSB=__FALSE}', "");
    Expect(0, 12284, '\p{^Is_IDSB=__FALSE}', "");
    Expect(0, 12284, '\P{Is_IDSB=__FALSE}', "");
    Expect(1, 12284, '\P{^Is_IDSB=__FALSE}', "");
    Expect(0, 12283, '\p{Is_IDSB=__FALSE}', "");
    Expect(1, 12283, '\p{^Is_IDSB=__FALSE}', "");
    Expect(1, 12283, '\P{Is_IDSB=__FALSE}', "");
    Expect(0, 12283, '\P{^Is_IDSB=__FALSE}', "");
    Error('\p{IDS_Binary_Operator=_	Yes/a/}');
    Error('\P{IDS_Binary_Operator=_	Yes/a/}');
    Expect(1, 12283, '\p{IDS_Binary_Operator=:\AYes\z:}', "");;
    Expect(0, 12284, '\p{IDS_Binary_Operator=:\AYes\z:}', "");;
    Expect(1, 12283, '\p{IDS_Binary_Operator=yes}', "");
    Expect(0, 12283, '\p{^IDS_Binary_Operator=yes}', "");
    Expect(0, 12283, '\P{IDS_Binary_Operator=yes}', "");
    Expect(1, 12283, '\P{^IDS_Binary_Operator=yes}', "");
    Expect(0, 12284, '\p{IDS_Binary_Operator=yes}', "");
    Expect(1, 12284, '\p{^IDS_Binary_Operator=yes}', "");
    Expect(1, 12284, '\P{IDS_Binary_Operator=yes}', "");
    Expect(0, 12284, '\P{^IDS_Binary_Operator=yes}', "");
    Expect(1, 12283, '\p{IDS_Binary_Operator=:\Ayes\z:}', "");;
    Expect(0, 12284, '\p{IDS_Binary_Operator=:\Ayes\z:}', "");;
    Expect(1, 12283, '\p{IDS_Binary_Operator=_-yes}', "");
    Expect(0, 12283, '\p{^IDS_Binary_Operator=_-yes}', "");
    Expect(0, 12283, '\P{IDS_Binary_Operator=_-yes}', "");
    Expect(1, 12283, '\P{^IDS_Binary_Operator=_-yes}', "");
    Expect(0, 12284, '\p{IDS_Binary_Operator=_-yes}', "");
    Expect(1, 12284, '\p{^IDS_Binary_Operator=_-yes}', "");
    Expect(1, 12284, '\P{IDS_Binary_Operator=_-yes}', "");
    Expect(0, 12284, '\P{^IDS_Binary_Operator=_-yes}', "");
    Error('\p{IDSB=:=	_y}');
    Error('\P{IDSB=:=	_y}');
    Expect(1, 12283, '\p{IDSB=:\AY\z:}', "");;
    Expect(0, 12284, '\p{IDSB=:\AY\z:}', "");;
    Expect(1, 12283, '\p{IDSB=y}', "");
    Expect(0, 12283, '\p{^IDSB=y}', "");
    Expect(0, 12283, '\P{IDSB=y}', "");
    Expect(1, 12283, '\P{^IDSB=y}', "");
    Expect(0, 12284, '\p{IDSB=y}', "");
    Expect(1, 12284, '\p{^IDSB=y}', "");
    Expect(1, 12284, '\P{IDSB=y}', "");
    Expect(0, 12284, '\P{^IDSB=y}', "");
    Expect(1, 12283, '\p{IDSB=:\Ay\z:}', "");;
    Expect(0, 12284, '\p{IDSB=:\Ay\z:}', "");;
    Expect(1, 12283, '\p{IDSB=	-Y}', "");
    Expect(0, 12283, '\p{^IDSB=	-Y}', "");
    Expect(0, 12283, '\P{IDSB=	-Y}', "");
    Expect(1, 12283, '\P{^IDSB=	-Y}', "");
    Expect(0, 12284, '\p{IDSB=	-Y}', "");
    Expect(1, 12284, '\p{^IDSB=	-Y}', "");
    Expect(1, 12284, '\P{IDSB=	-Y}', "");
    Expect(0, 12284, '\P{^IDSB=	-Y}', "");
    Error('\p{Is_IDS_Binary_Operator=:= -t}');
    Error('\P{Is_IDS_Binary_Operator=:= -t}');
    Expect(1, 12283, '\p{Is_IDS_Binary_Operator=t}', "");
    Expect(0, 12283, '\p{^Is_IDS_Binary_Operator=t}', "");
    Expect(0, 12283, '\P{Is_IDS_Binary_Operator=t}', "");
    Expect(1, 12283, '\P{^Is_IDS_Binary_Operator=t}', "");
    Expect(0, 12284, '\p{Is_IDS_Binary_Operator=t}', "");
    Expect(1, 12284, '\p{^Is_IDS_Binary_Operator=t}', "");
    Expect(1, 12284, '\P{Is_IDS_Binary_Operator=t}', "");
    Expect(0, 12284, '\P{^Is_IDS_Binary_Operator=t}', "");
    Expect(1, 12283, '\p{Is_IDS_Binary_Operator: _T}', "");
    Expect(0, 12283, '\p{^Is_IDS_Binary_Operator: _T}', "");
    Expect(0, 12283, '\P{Is_IDS_Binary_Operator: _T}', "");
    Expect(1, 12283, '\P{^Is_IDS_Binary_Operator: _T}', "");
    Expect(0, 12284, '\p{Is_IDS_Binary_Operator: _T}', "");
    Expect(1, 12284, '\p{^Is_IDS_Binary_Operator: _T}', "");
    Expect(1, 12284, '\P{Is_IDS_Binary_Operator: _T}', "");
    Expect(0, 12284, '\P{^Is_IDS_Binary_Operator: _T}', "");
    Error('\p{Is_IDSB= -True:=}');
    Error('\P{Is_IDSB= -True:=}');
    Expect(1, 12283, '\p{Is_IDSB=true}', "");
    Expect(0, 12283, '\p{^Is_IDSB=true}', "");
    Expect(0, 12283, '\P{Is_IDSB=true}', "");
    Expect(1, 12283, '\P{^Is_IDSB=true}', "");
    Expect(0, 12284, '\p{Is_IDSB=true}', "");
    Expect(1, 12284, '\p{^Is_IDSB=true}', "");
    Expect(1, 12284, '\P{Is_IDSB=true}', "");
    Expect(0, 12284, '\P{^Is_IDSB=true}', "");
    Expect(1, 12283, '\p{Is_IDSB=-	True}', "");
    Expect(0, 12283, '\p{^Is_IDSB=-	True}', "");
    Expect(0, 12283, '\P{Is_IDSB=-	True}', "");
    Expect(1, 12283, '\P{^Is_IDSB=-	True}', "");
    Expect(0, 12284, '\p{Is_IDSB=-	True}', "");
    Expect(1, 12284, '\p{^Is_IDSB=-	True}', "");
    Expect(1, 12284, '\P{Is_IDSB=-	True}', "");
    Expect(0, 12284, '\P{^Is_IDSB=-	True}', "");
    Error('\p{IDS_Trinary_Operator=:=_ no}');
    Error('\P{IDS_Trinary_Operator=:=_ no}');
    Expect(1, 12276, '\p{IDS_Trinary_Operator=:\ANo\z:}', "");;
    Expect(0, 12275, '\p{IDS_Trinary_Operator=:\ANo\z:}', "");;
    Expect(1, 12276, '\p{IDS_Trinary_Operator=no}', "");
    Expect(0, 12276, '\p{^IDS_Trinary_Operator=no}', "");
    Expect(0, 12276, '\P{IDS_Trinary_Operator=no}', "");
    Expect(1, 12276, '\P{^IDS_Trinary_Operator=no}', "");
    Expect(0, 12275, '\p{IDS_Trinary_Operator=no}', "");
    Expect(1, 12275, '\p{^IDS_Trinary_Operator=no}', "");
    Expect(1, 12275, '\P{IDS_Trinary_Operator=no}', "");
    Expect(0, 12275, '\P{^IDS_Trinary_Operator=no}', "");
    Expect(1, 12276, '\p{IDS_Trinary_Operator=:\Ano\z:}', "");;
    Expect(0, 12275, '\p{IDS_Trinary_Operator=:\Ano\z:}', "");;
    Expect(1, 12276, '\p{IDS_Trinary_Operator=__No}', "");
    Expect(0, 12276, '\p{^IDS_Trinary_Operator=__No}', "");
    Expect(0, 12276, '\P{IDS_Trinary_Operator=__No}', "");
    Expect(1, 12276, '\P{^IDS_Trinary_Operator=__No}', "");
    Expect(0, 12275, '\p{IDS_Trinary_Operator=__No}', "");
    Expect(1, 12275, '\p{^IDS_Trinary_Operator=__No}', "");
    Expect(1, 12275, '\P{IDS_Trinary_Operator=__No}', "");
    Expect(0, 12275, '\P{^IDS_Trinary_Operator=__No}', "");
    Error('\p{IDST: __N:=}');
    Error('\P{IDST: __N:=}');
    Expect(1, 12276, '\p{IDST=:\AN\z:}', "");;
    Expect(0, 12275, '\p{IDST=:\AN\z:}', "");;
    Expect(1, 12276, '\p{IDST=n}', "");
    Expect(0, 12276, '\p{^IDST=n}', "");
    Expect(0, 12276, '\P{IDST=n}', "");
    Expect(1, 12276, '\P{^IDST=n}', "");
    Expect(0, 12275, '\p{IDST=n}', "");
    Expect(1, 12275, '\p{^IDST=n}', "");
    Expect(1, 12275, '\P{IDST=n}', "");
    Expect(0, 12275, '\P{^IDST=n}', "");
    Expect(1, 12276, '\p{IDST=:\An\z:}', "");;
    Expect(0, 12275, '\p{IDST=:\An\z:}', "");;
    Expect(1, 12276, '\p{IDST= -n}', "");
    Expect(0, 12276, '\p{^IDST= -n}', "");
    Expect(0, 12276, '\P{IDST= -n}', "");
    Expect(1, 12276, '\P{^IDST= -n}', "");
    Expect(0, 12275, '\p{IDST= -n}', "");
    Expect(1, 12275, '\p{^IDST= -n}', "");
    Expect(1, 12275, '\P{IDST= -n}', "");
    Expect(0, 12275, '\P{^IDST= -n}', "");
    Error('\p{Is_IDS_Trinary_Operator=/a/  F}');
    Error('\P{Is_IDS_Trinary_Operator=/a/  F}');
    Expect(1, 12276, '\p{Is_IDS_Trinary_Operator=f}', "");
    Expect(0, 12276, '\p{^Is_IDS_Trinary_Operator=f}', "");
    Expect(0, 12276, '\P{Is_IDS_Trinary_Operator=f}', "");
    Expect(1, 12276, '\P{^Is_IDS_Trinary_Operator=f}', "");
    Expect(0, 12275, '\p{Is_IDS_Trinary_Operator=f}', "");
    Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator=f}', "");
    Expect(1, 12275, '\P{Is_IDS_Trinary_Operator=f}', "");
    Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator=f}', "");
    Expect(1, 12276, '\p{Is_IDS_Trinary_Operator= -f}', "");
    Expect(0, 12276, '\p{^Is_IDS_Trinary_Operator= -f}', "");
    Expect(0, 12276, '\P{Is_IDS_Trinary_Operator= -f}', "");
    Expect(1, 12276, '\P{^Is_IDS_Trinary_Operator= -f}', "");
    Expect(0, 12275, '\p{Is_IDS_Trinary_Operator= -f}', "");
    Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator= -f}', "");
    Expect(1, 12275, '\P{Is_IDS_Trinary_Operator= -f}', "");
    Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator= -f}', "");
    Error('\p{Is_IDST=:=False}');
    Error('\P{Is_IDST=:=False}');
    Expect(1, 12276, '\p{Is_IDST=false}', "");
    Expect(0, 12276, '\p{^Is_IDST=false}', "");
    Expect(0, 12276, '\P{Is_IDST=false}', "");
    Expect(1, 12276, '\P{^Is_IDST=false}', "");
    Expect(0, 12275, '\p{Is_IDST=false}', "");
    Expect(1, 12275, '\p{^Is_IDST=false}', "");
    Expect(1, 12275, '\P{Is_IDST=false}', "");
    Expect(0, 12275, '\P{^Is_IDST=false}', "");
    Expect(1, 12276, '\p{Is_IDST= False}', "");
    Expect(0, 12276, '\p{^Is_IDST= False}', "");
    Expect(0, 12276, '\P{Is_IDST= False}', "");
    Expect(1, 12276, '\P{^Is_IDST= False}', "");
    Expect(0, 12275, '\p{Is_IDST= False}', "");
    Expect(1, 12275, '\p{^Is_IDST= False}', "");
    Expect(1, 12275, '\P{Is_IDST= False}', "");
    Expect(0, 12275, '\P{^Is_IDST= False}', "");
    Error('\p{IDS_Trinary_Operator=_/a/Yes}');
    Error('\P{IDS_Trinary_Operator=_/a/Yes}');
    Expect(1, 12275, '\p{IDS_Trinary_Operator=:\AYes\z:}', "");;
    Expect(0, 12276, '\p{IDS_Trinary_Operator=:\AYes\z:}', "");;
    Expect(1, 12275, '\p{IDS_Trinary_Operator=yes}', "");
    Expect(0, 12275, '\p{^IDS_Trinary_Operator=yes}', "");
    Expect(0, 12275, '\P{IDS_Trinary_Operator=yes}', "");
    Expect(1, 12275, '\P{^IDS_Trinary_Operator=yes}', "");
    Expect(0, 12276, '\p{IDS_Trinary_Operator=yes}', "");
    Expect(1, 12276, '\p{^IDS_Trinary_Operator=yes}', "");
    Expect(1, 12276, '\P{IDS_Trinary_Operator=yes}', "");
    Expect(0, 12276, '\P{^IDS_Trinary_Operator=yes}', "");
    Expect(1, 12275, '\p{IDS_Trinary_Operator=:\Ayes\z:}', "");;
    Expect(0, 12276, '\p{IDS_Trinary_Operator=:\Ayes\z:}', "");;
    Expect(1, 12275, '\p{IDS_Trinary_Operator=_Yes}', "");
    Expect(0, 12275, '\p{^IDS_Trinary_Operator=_Yes}', "");
    Expect(0, 12275, '\P{IDS_Trinary_Operator=_Yes}', "");
    Expect(1, 12275, '\P{^IDS_Trinary_Operator=_Yes}', "");
    Expect(0, 12276, '\p{IDS_Trinary_Operator=_Yes}', "");
    Expect(1, 12276, '\p{^IDS_Trinary_Operator=_Yes}', "");
    Expect(1, 12276, '\P{IDS_Trinary_Operator=_Yes}', "");
    Expect(0, 12276, '\P{^IDS_Trinary_Operator=_Yes}', "");
    Error('\p{IDST=/a/__Y}');
    Error('\P{IDST=/a/__Y}');
    Expect(1, 12275, '\p{IDST=:\AY\z:}', "");;
    Expect(0, 12276, '\p{IDST=:\AY\z:}', "");;
    Expect(1, 12275, '\p{IDST=y}', "");
    Expect(0, 12275, '\p{^IDST=y}', "");
    Expect(0, 12275, '\P{IDST=y}', "");
    Expect(1, 12275, '\P{^IDST=y}', "");
    Expect(0, 12276, '\p{IDST=y}', "");
    Expect(1, 12276, '\p{^IDST=y}', "");
    Expect(1, 12276, '\P{IDST=y}', "");
    Expect(0, 12276, '\P{^IDST=y}', "");
    Expect(1, 12275, '\p{IDST=:\Ay\z:}', "");;
    Expect(0, 12276, '\p{IDST=:\Ay\z:}', "");;
    Expect(1, 12275, '\p{IDST=	_Y}', "");
    Expect(0, 12275, '\p{^IDST=	_Y}', "");
    Expect(0, 12275, '\P{IDST=	_Y}', "");
    Expect(1, 12275, '\P{^IDST=	_Y}', "");
    Expect(0, 12276, '\p{IDST=	_Y}', "");
    Expect(1, 12276, '\p{^IDST=	_Y}', "");
    Expect(1, 12276, '\P{IDST=	_Y}', "");
    Expect(0, 12276, '\P{^IDST=	_Y}', "");
    Error('\p{Is_IDS_Trinary_Operator=_/a/T}');
    Error('\P{Is_IDS_Trinary_Operator=_/a/T}');
    Expect(1, 12275, '\p{Is_IDS_Trinary_Operator=t}', "");
    Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator=t}', "");
    Expect(0, 12275, '\P{Is_IDS_Trinary_Operator=t}', "");
    Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator=t}', "");
    Expect(0, 12276, '\p{Is_IDS_Trinary_Operator=t}', "");
    Expect(1, 12276, '\p{^Is_IDS_Trinary_Operator=t}', "");
    Expect(1, 12276, '\P{Is_IDS_Trinary_Operator=t}', "");
    Expect(0, 12276, '\P{^Is_IDS_Trinary_Operator=t}', "");
    Expect(1, 12275, '\p{Is_IDS_Trinary_Operator:	 	T}', "");
    Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator:	 	T}', "");
    Expect(0, 12275, '\P{Is_IDS_Trinary_Operator:	 	T}', "");
    Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator:	 	T}', "");
    Expect(0, 12276, '\p{Is_IDS_Trinary_Operator:	 	T}', "");
    Expect(1, 12276, '\p{^Is_IDS_Trinary_Operator:	 	T}', "");
    Expect(1, 12276, '\P{Is_IDS_Trinary_Operator:	 	T}', "");
    Expect(0, 12276, '\P{^Is_IDS_Trinary_Operator:	 	T}', "");
    Error('\p{Is_IDST=	_True/a/}');
    Error('\P{Is_IDST=	_True/a/}');
    Expect(1, 12275, '\p{Is_IDST: true}', "");
    Expect(0, 12275, '\p{^Is_IDST: true}', "");
    Expect(0, 12275, '\P{Is_IDST: true}', "");
    Expect(1, 12275, '\P{^Is_IDST: true}', "");
    Expect(0, 12276, '\p{Is_IDST: true}', "");
    Expect(1, 12276, '\p{^Is_IDST: true}', "");
    Expect(1, 12276, '\P{Is_IDST: true}', "");
    Expect(0, 12276, '\P{^Is_IDST: true}', "");
    Expect(1, 12275, '\p{Is_IDST=  TRUE}', "");
    Expect(0, 12275, '\p{^Is_IDST=  TRUE}', "");
    Expect(0, 12275, '\P{Is_IDST=  TRUE}', "");
    Expect(1, 12275, '\P{^Is_IDST=  TRUE}', "");
    Expect(0, 12276, '\p{Is_IDST=  TRUE}', "");
    Expect(1, 12276, '\p{^Is_IDST=  TRUE}', "");
    Expect(1, 12276, '\P{Is_IDST=  TRUE}', "");
    Expect(0, 12276, '\P{^Is_IDST=  TRUE}', "");
    Error('\p{presentin}');
    Error('\P{presentin}');
    Error('\p{in}');
    Error('\P{in}');
    Error('\p{Present_In=_/a/00_00_1.1}');
    Error('\P{Present_In=_/a/00_00_1.1}');
    Expect(1, 65533, '\p{Present_In=:\A1.1\z:}', "");;
    Expect(0, 65536, '\p{Present_In=:\A1.1\z:}', "");;
    Expect(1, 65533, '\p{Present_In=+1.1}', "");
    Expect(0, 65533, '\p{^Present_In=+1.1}', "");
    Expect(0, 65533, '\P{Present_In=+1.1}', "");
    Expect(1, 65533, '\P{^Present_In=+1.1}', "");
    Expect(0, 65536, '\p{Present_In=+1.1}', "");
    Expect(1, 65536, '\p{^Present_In=+1.1}', "");
    Expect(1, 65536, '\P{Present_In=+1.1}', "");
    Expect(0, 65536, '\P{^Present_In=+1.1}', "");
    Error('\p{In= 	V1_1/a/}');
    Error('\P{In= 	V1_1/a/}');
    Expect(1, 65533, '\p{In=:\AV1_1\z:}', "");;
    Expect(0, 65536, '\p{In=:\AV1_1\z:}', "");;
    Expect(1, 65533, '\p{In=v11}', "");
    Expect(0, 65533, '\p{^In=v11}', "");
    Expect(0, 65533, '\P{In=v11}', "");
    Expect(1, 65533, '\P{^In=v11}', "");
    Expect(0, 65536, '\p{In=v11}', "");
    Expect(1, 65536, '\p{^In=v11}', "");
    Expect(1, 65536, '\P{In=v11}', "");
    Expect(0, 65536, '\P{^In=v11}', "");
    Expect(1, 65533, '\p{In=:\Av11\z:}', "");;
    Expect(0, 65536, '\p{In=:\Av11\z:}', "");;
    Expect(1, 65533, '\p{In= v1_1}', "");
    Expect(0, 65533, '\p{^In= v1_1}', "");
    Expect(0, 65533, '\P{In= v1_1}', "");
    Expect(1, 65533, '\P{^In= v1_1}', "");
    Expect(0, 65536, '\p{In= v1_1}', "");
    Expect(1, 65536, '\p{^In= v1_1}', "");
    Expect(1, 65536, '\P{In= v1_1}', "");
    Expect(0, 65536, '\P{^In= v1_1}', "");
    Error('\p{Is_Present_In=		0001.1/a/}');
    Error('\P{Is_Present_In=		0001.1/a/}');
    Expect(1, 65533, '\p{Is_Present_In=000_000_01.1}', "");
    Expect(0, 65533, '\p{^Is_Present_In=000_000_01.1}', "");
    Expect(0, 65533, '\P{Is_Present_In=000_000_01.1}', "");
    Expect(1, 65533, '\P{^Is_Present_In=000_000_01.1}', "");
    Expect(0, 65536, '\p{Is_Present_In=000_000_01.1}', "");
    Expect(1, 65536, '\p{^Is_Present_In=000_000_01.1}', "");
    Expect(1, 65536, '\P{Is_Present_In=000_000_01.1}', "");
    Expect(0, 65536, '\P{^Is_Present_In=000_000_01.1}', "");
    Error('\p{Is_In=_/a/V1_1}');
    Error('\P{Is_In=_/a/V1_1}');
    Expect(1, 65533, '\p{Is_In=v11}', "");
    Expect(0, 65533, '\p{^Is_In=v11}', "");
    Expect(0, 65533, '\P{Is_In=v11}', "");
    Expect(1, 65533, '\P{^Is_In=v11}', "");
    Expect(0, 65536, '\p{Is_In=v11}', "");
    Expect(1, 65536, '\p{^Is_In=v11}', "");
    Expect(1, 65536, '\P{Is_In=v11}', "");
    Expect(0, 65536, '\P{^Is_In=v11}', "");
    Expect(1, 65533, '\p{Is_In=__v1_1}', "");
    Expect(0, 65533, '\p{^Is_In=__v1_1}', "");
    Expect(0, 65533, '\P{Is_In=__v1_1}', "");
    Expect(1, 65533, '\P{^Is_In=__v1_1}', "");
    Expect(0, 65536, '\p{Is_In=__v1_1}', "");
    Expect(1, 65536, '\p{^Is_In=__v1_1}', "");
    Expect(1, 65536, '\P{Is_In=__v1_1}', "");
    Expect(0, 65536, '\P{^Is_In=__v1_1}', "");
    Error('\p{Present_In=/a/--00_00_00_00_01_0.0}');
    Error('\P{Present_In=/a/--00_00_00_00_01_0.0}');
    Expect(1, 983040, '\p{Present_In=:\A10.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A10.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=+00_00_01_0.0}', "");
    Expect(0, 983040, '\p{^Present_In=+00_00_01_0.0}', "");
    Expect(0, 983040, '\P{Present_In=+00_00_01_0.0}', "");
    Expect(1, 983040, '\P{^Present_In=+00_00_01_0.0}', "");
    Expect(0, 983037, '\p{Present_In=+00_00_01_0.0}', "");
    Expect(1, 983037, '\p{^Present_In=+00_00_01_0.0}', "");
    Expect(1, 983037, '\P{Present_In=+00_00_01_0.0}', "");
    Expect(0, 983037, '\P{^Present_In=+00_00_01_0.0}', "");
    Error('\p{In=/a/ _V10_0}');
    Error('\P{In=/a/ _V10_0}');
    Expect(1, 983040, '\p{In=:\AV10_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV10_0\z:}', "");;
    Expect(1, 983040, '\p{In=v100}', "");
    Expect(0, 983040, '\p{^In=v100}', "");
    Expect(0, 983040, '\P{In=v100}', "");
    Expect(1, 983040, '\P{^In=v100}', "");
    Expect(0, 983037, '\p{In=v100}', "");
    Expect(1, 983037, '\p{^In=v100}', "");
    Expect(1, 983037, '\P{In=v100}', "");
    Expect(0, 983037, '\P{^In=v100}', "");
    Expect(1, 983040, '\p{In=:\Av100\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av100\z:}', "");;
    Expect(1, 983040, '\p{In=-_V10_0}', "");
    Expect(0, 983040, '\p{^In=-_V10_0}', "");
    Expect(0, 983040, '\P{In=-_V10_0}', "");
    Expect(1, 983040, '\P{^In=-_V10_0}', "");
    Expect(0, 983037, '\p{In=-_V10_0}', "");
    Expect(1, 983037, '\p{^In=-_V10_0}', "");
    Expect(1, 983037, '\P{In=-_V10_0}', "");
    Expect(0, 983037, '\P{^In=-_V10_0}', "");
    Error('\p{Is_Present_In=-010.0/a/}');
    Error('\P{Is_Present_In=-010.0/a/}');
    Expect(1, 983040, '\p{Is_Present_In=000_000_000_10.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=000_000_000_10.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=000_000_000_10.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=000_000_000_10.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=000_000_000_10.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=000_000_000_10.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=000_000_000_10.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=000_000_000_10.0}', "");
    Error('\p{Is_In=/a/- v10_0}');
    Error('\P{Is_In=/a/- v10_0}');
    Expect(1, 983040, '\p{Is_In=v100}', "");
    Expect(0, 983040, '\p{^Is_In=v100}', "");
    Expect(0, 983040, '\P{Is_In=v100}', "");
    Expect(1, 983040, '\P{^Is_In=v100}', "");
    Expect(0, 983037, '\p{Is_In=v100}', "");
    Expect(1, 983037, '\p{^Is_In=v100}', "");
    Expect(1, 983037, '\P{Is_In=v100}', "");
    Expect(0, 983037, '\P{^Is_In=v100}', "");
    Expect(1, 983040, '\p{Is_In:			V10_0}', "");
    Expect(0, 983040, '\p{^Is_In:			V10_0}', "");
    Expect(0, 983040, '\P{Is_In:			V10_0}', "");
    Expect(1, 983040, '\P{^Is_In:			V10_0}', "");
    Expect(0, 983037, '\p{Is_In:			V10_0}', "");
    Expect(1, 983037, '\p{^Is_In:			V10_0}', "");
    Expect(1, 983037, '\P{Is_In:			V10_0}', "");
    Expect(0, 983037, '\P{^Is_In:			V10_0}', "");
    Error('\p{Present_In= +00000011.0/a/}');
    Error('\P{Present_In= +00000011.0/a/}');
    Expect(1, 983040, '\p{Present_In=:\A11.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A11.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=0000000011.0}', "");
    Expect(0, 983040, '\p{^Present_In=0000000011.0}', "");
    Expect(0, 983040, '\P{Present_In=0000000011.0}', "");
    Expect(1, 983040, '\P{^Present_In=0000000011.0}', "");
    Expect(0, 983037, '\p{Present_In=0000000011.0}', "");
    Expect(1, 983037, '\p{^Present_In=0000000011.0}', "");
    Expect(1, 983037, '\P{Present_In=0000000011.0}', "");
    Expect(0, 983037, '\P{^Present_In=0000000011.0}', "");
    Error('\p{In=-	V11_0:=}');
    Error('\P{In=-	V11_0:=}');
    Expect(1, 983040, '\p{In=:\AV11_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV11_0\z:}', "");;
    Expect(1, 983040, '\p{In=v110}', "");
    Expect(0, 983040, '\p{^In=v110}', "");
    Expect(0, 983040, '\P{In=v110}', "");
    Expect(1, 983040, '\P{^In=v110}', "");
    Expect(0, 983037, '\p{In=v110}', "");
    Expect(1, 983037, '\p{^In=v110}', "");
    Expect(1, 983037, '\P{In=v110}', "");
    Expect(0, 983037, '\P{^In=v110}', "");
    Expect(1, 983040, '\p{In=:\Av110\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av110\z:}', "");;
    Expect(1, 983040, '\p{In=__V11_0}', "");
    Expect(0, 983040, '\p{^In=__V11_0}', "");
    Expect(0, 983040, '\P{In=__V11_0}', "");
    Expect(1, 983040, '\P{^In=__V11_0}', "");
    Expect(0, 983037, '\p{In=__V11_0}', "");
    Expect(1, 983037, '\p{^In=__V11_0}', "");
    Expect(1, 983037, '\P{In=__V11_0}', "");
    Expect(0, 983037, '\P{^In=__V11_0}', "");
    Error('\p{Is_Present_In=-+0_0_0_0_011.0/a/}');
    Error('\P{Is_Present_In=-+0_0_0_0_011.0/a/}');
    Expect(1, 983040, '\p{Is_Present_In=+11.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=+11.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=+11.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=+11.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=+11.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=+11.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=+11.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=+11.0}', "");
    Error('\p{Is_In=	v11_0/a/}');
    Error('\P{Is_In=	v11_0/a/}');
    Expect(1, 983040, '\p{Is_In=v110}', "");
    Expect(0, 983040, '\p{^Is_In=v110}', "");
    Expect(0, 983040, '\P{Is_In=v110}', "");
    Expect(1, 983040, '\P{^Is_In=v110}', "");
    Expect(0, 983037, '\p{Is_In=v110}', "");
    Expect(1, 983037, '\p{^Is_In=v110}', "");
    Expect(1, 983037, '\P{Is_In=v110}', "");
    Expect(0, 983037, '\P{^Is_In=v110}', "");
    Expect(1, 983040, '\p{Is_In= 	V11_0}', "");
    Expect(0, 983040, '\p{^Is_In= 	V11_0}', "");
    Expect(0, 983040, '\P{Is_In= 	V11_0}', "");
    Expect(1, 983040, '\P{^Is_In= 	V11_0}', "");
    Expect(0, 983037, '\p{Is_In= 	V11_0}', "");
    Expect(1, 983037, '\p{^Is_In= 	V11_0}', "");
    Expect(1, 983037, '\P{Is_In= 	V11_0}', "");
    Expect(0, 983037, '\P{^Is_In= 	V11_0}', "");
    Error('\p{Present_In:  000_000_12.0:=}');
    Error('\P{Present_In:  000_000_12.0:=}');
    Expect(1, 983040, '\p{Present_In=:\A12.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A12.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In:0_0_0_0_0_0_12.0}', "");
    Expect(0, 983040, '\p{^Present_In:0_0_0_0_0_0_12.0}', "");
    Expect(0, 983040, '\P{Present_In:0_0_0_0_0_0_12.0}', "");
    Expect(1, 983040, '\P{^Present_In:0_0_0_0_0_0_12.0}', "");
    Expect(0, 983037, '\p{Present_In:0_0_0_0_0_0_12.0}', "");
    Expect(1, 983037, '\p{^Present_In:0_0_0_0_0_0_12.0}', "");
    Expect(1, 983037, '\P{Present_In:0_0_0_0_0_0_12.0}', "");
    Expect(0, 983037, '\P{^Present_In:0_0_0_0_0_0_12.0}', "");
    Error('\p{In=-v12_0/a/}');
    Error('\P{In=-v12_0/a/}');
    Expect(1, 983040, '\p{In=:\AV12_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV12_0\z:}', "");;
    Expect(1, 983040, '\p{In=v120}', "");
    Expect(0, 983040, '\p{^In=v120}', "");
    Expect(0, 983040, '\P{In=v120}', "");
    Expect(1, 983040, '\P{^In=v120}', "");
    Expect(0, 983037, '\p{In=v120}', "");
    Expect(1, 983037, '\p{^In=v120}', "");
    Expect(1, 983037, '\P{In=v120}', "");
    Expect(0, 983037, '\P{^In=v120}', "");
    Expect(1, 983040, '\p{In=:\Av120\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av120\z:}', "");;
    Expect(1, 983040, '\p{In=	 V12_0}', "");
    Expect(0, 983040, '\p{^In=	 V12_0}', "");
    Expect(0, 983040, '\P{In=	 V12_0}', "");
    Expect(1, 983040, '\P{^In=	 V12_0}', "");
    Expect(0, 983037, '\p{In=	 V12_0}', "");
    Expect(1, 983037, '\p{^In=	 V12_0}', "");
    Expect(1, 983037, '\P{In=	 V12_0}', "");
    Expect(0, 983037, '\P{^In=	 V12_0}', "");
    Error('\p{Is_Present_In=-	+00000012.0:=}');
    Error('\P{Is_Present_In=-	+00000012.0:=}');
    Expect(1, 983040, '\p{Is_Present_In=+00012.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=+00012.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=+00012.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=+00012.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=+00012.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=+00012.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=+00012.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=+00012.0}', "");
    Error('\p{Is_In=:=-V12_0}');
    Error('\P{Is_In=:=-V12_0}');
    Expect(1, 983040, '\p{Is_In=v120}', "");
    Expect(0, 983040, '\p{^Is_In=v120}', "");
    Expect(0, 983040, '\P{Is_In=v120}', "");
    Expect(1, 983040, '\P{^Is_In=v120}', "");
    Expect(0, 983037, '\p{Is_In=v120}', "");
    Expect(1, 983037, '\p{^Is_In=v120}', "");
    Expect(1, 983037, '\P{Is_In=v120}', "");
    Expect(0, 983037, '\P{^Is_In=v120}', "");
    Expect(1, 983040, '\p{Is_In=-v12_0}', "");
    Expect(0, 983040, '\p{^Is_In=-v12_0}', "");
    Expect(0, 983040, '\P{Is_In=-v12_0}', "");
    Expect(1, 983040, '\P{^Is_In=-v12_0}', "");
    Expect(0, 983037, '\p{Is_In=-v12_0}', "");
    Expect(1, 983037, '\p{^Is_In=-v12_0}', "");
    Expect(1, 983037, '\P{Is_In=-v12_0}', "");
    Expect(0, 983037, '\P{^Is_In=-v12_0}', "");
    Error('\p{Present_In=:=-+0_0_0_0_12.1}');
    Error('\P{Present_In=:=-+0_0_0_0_12.1}');
    Expect(1, 983040, '\p{Present_In=:\A12.1\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A12.1\z:}', "");;
    Expect(1, 983040, '\p{Present_In=00000_00001_2.1}', "");
    Expect(0, 983040, '\p{^Present_In=00000_00001_2.1}', "");
    Expect(0, 983040, '\P{Present_In=00000_00001_2.1}', "");
    Expect(1, 983040, '\P{^Present_In=00000_00001_2.1}', "");
    Expect(0, 983037, '\p{Present_In=00000_00001_2.1}', "");
    Expect(1, 983037, '\p{^Present_In=00000_00001_2.1}', "");
    Expect(1, 983037, '\P{Present_In=00000_00001_2.1}', "");
    Expect(0, 983037, '\P{^Present_In=00000_00001_2.1}', "");
    Error('\p{In=-/a/V12_1}');
    Error('\P{In=-/a/V12_1}');
    Expect(1, 983040, '\p{In=:\AV12_1\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV12_1\z:}', "");;
    Expect(1, 983040, '\p{In=v121}', "");
    Expect(0, 983040, '\p{^In=v121}', "");
    Expect(0, 983040, '\P{In=v121}', "");
    Expect(1, 983040, '\P{^In=v121}', "");
    Expect(0, 983037, '\p{In=v121}', "");
    Expect(1, 983037, '\p{^In=v121}', "");
    Expect(1, 983037, '\P{In=v121}', "");
    Expect(0, 983037, '\P{^In=v121}', "");
    Expect(1, 983040, '\p{In=:\Av121\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av121\z:}', "");;
    Expect(1, 983040, '\p{In:		_V12_1}', "");
    Expect(0, 983040, '\p{^In:		_V12_1}', "");
    Expect(0, 983040, '\P{In:		_V12_1}', "");
    Expect(1, 983040, '\P{^In:		_V12_1}', "");
    Expect(0, 983037, '\p{In:		_V12_1}', "");
    Expect(1, 983037, '\p{^In:		_V12_1}', "");
    Expect(1, 983037, '\P{In:		_V12_1}', "");
    Expect(0, 983037, '\P{^In:		_V12_1}', "");
    Error('\p{Is_Present_In=--+012.1/a/}');
    Error('\P{Is_Present_In=--+012.1/a/}');
    Expect(1, 983040, '\p{Is_Present_In=00_00_12.1}', "");
    Expect(0, 983040, '\p{^Is_Present_In=00_00_12.1}', "");
    Expect(0, 983040, '\P{Is_Present_In=00_00_12.1}', "");
    Expect(1, 983040, '\P{^Is_Present_In=00_00_12.1}', "");
    Expect(0, 983037, '\p{Is_Present_In=00_00_12.1}', "");
    Expect(1, 983037, '\p{^Is_Present_In=00_00_12.1}', "");
    Expect(1, 983037, '\P{Is_Present_In=00_00_12.1}', "");
    Expect(0, 983037, '\P{^Is_Present_In=00_00_12.1}', "");
    Error('\p{Is_In=:=v12_1}');
    Error('\P{Is_In=:=v12_1}');
    Expect(1, 983040, '\p{Is_In=v121}', "");
    Expect(0, 983040, '\p{^Is_In=v121}', "");
    Expect(0, 983040, '\P{Is_In=v121}', "");
    Expect(1, 983040, '\P{^Is_In=v121}', "");
    Expect(0, 983037, '\p{Is_In=v121}', "");
    Expect(1, 983037, '\p{^Is_In=v121}', "");
    Expect(1, 983037, '\P{Is_In=v121}', "");
    Expect(0, 983037, '\P{^Is_In=v121}', "");
    Expect(1, 983040, '\p{Is_In=		V12_1}', "");
    Expect(0, 983040, '\p{^Is_In=		V12_1}', "");
    Expect(0, 983040, '\P{Is_In=		V12_1}', "");
    Expect(1, 983040, '\P{^Is_In=		V12_1}', "");
    Expect(0, 983037, '\p{Is_In=		V12_1}', "");
    Expect(1, 983037, '\p{^Is_In=		V12_1}', "");
    Expect(1, 983037, '\P{Is_In=		V12_1}', "");
    Expect(0, 983037, '\P{^Is_In=		V12_1}', "");
    Error('\p{Present_In=	000013.0:=}');
    Error('\P{Present_In=	000013.0:=}');
    Expect(1, 983040, '\p{Present_In=:\A13.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A13.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=13.0}', "");
    Expect(0, 983040, '\p{^Present_In=13.0}', "");
    Expect(0, 983040, '\P{Present_In=13.0}', "");
    Expect(1, 983040, '\P{^Present_In=13.0}', "");
    Expect(0, 983037, '\p{Present_In=13.0}', "");
    Expect(1, 983037, '\p{^Present_In=13.0}', "");
    Expect(1, 983037, '\P{Present_In=13.0}', "");
    Expect(0, 983037, '\P{^Present_In=13.0}', "");
    Error('\p{In=_:=V13_0}');
    Error('\P{In=_:=V13_0}');
    Expect(1, 983040, '\p{In=:\AV13_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV13_0\z:}', "");;
    Expect(1, 983040, '\p{In:	v130}', "");
    Expect(0, 983040, '\p{^In:	v130}', "");
    Expect(0, 983040, '\P{In:	v130}', "");
    Expect(1, 983040, '\P{^In:	v130}', "");
    Expect(0, 983037, '\p{In:	v130}', "");
    Expect(1, 983037, '\p{^In:	v130}', "");
    Expect(1, 983037, '\P{In:	v130}', "");
    Expect(0, 983037, '\P{^In:	v130}', "");
    Expect(1, 983040, '\p{In=:\Av130\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av130\z:}', "");;
    Expect(1, 983040, '\p{In=	-V13_0}', "");
    Expect(0, 983040, '\p{^In=	-V13_0}', "");
    Expect(0, 983040, '\P{In=	-V13_0}', "");
    Expect(1, 983040, '\P{^In=	-V13_0}', "");
    Expect(0, 983037, '\p{In=	-V13_0}', "");
    Expect(1, 983037, '\p{^In=	-V13_0}', "");
    Expect(1, 983037, '\P{In=	-V13_0}', "");
    Expect(0, 983037, '\P{^In=	-V13_0}', "");
    Error('\p{Is_Present_In= 0000000013.0/a/}');
    Error('\P{Is_Present_In= 0000000013.0/a/}');
    Expect(1, 983040, '\p{Is_Present_In=00000013.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=00000013.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=00000013.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=00000013.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=00000013.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=00000013.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=00000013.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=00000013.0}', "");
    Error('\p{Is_In=/a/	V13_0}');
    Error('\P{Is_In=/a/	V13_0}');
    Expect(1, 983040, '\p{Is_In=v130}', "");
    Expect(0, 983040, '\p{^Is_In=v130}', "");
    Expect(0, 983040, '\P{Is_In=v130}', "");
    Expect(1, 983040, '\P{^Is_In=v130}', "");
    Expect(0, 983037, '\p{Is_In=v130}', "");
    Expect(1, 983037, '\p{^Is_In=v130}', "");
    Expect(1, 983037, '\P{Is_In=v130}', "");
    Expect(0, 983037, '\P{^Is_In=v130}', "");
    Expect(1, 983040, '\p{Is_In=	 v13_0}', "");
    Expect(0, 983040, '\p{^Is_In=	 v13_0}', "");
    Expect(0, 983040, '\P{Is_In=	 v13_0}', "");
    Expect(1, 983040, '\P{^Is_In=	 v13_0}', "");
    Expect(0, 983037, '\p{Is_In=	 v13_0}', "");
    Expect(1, 983037, '\p{^Is_In=	 v13_0}', "");
    Expect(1, 983037, '\P{Is_In=	 v13_0}', "");
    Expect(0, 983037, '\P{^Is_In=	 v13_0}', "");
    Error('\p{Present_In=	:=0_0_0_0_0_0_0_0014.0}');
    Error('\P{Present_In=	:=0_0_0_0_0_0_0_0014.0}');
    Expect(1, 983040, '\p{Present_In=:\A14.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A14.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=+0_0_0_14.0}', "");
    Expect(0, 983040, '\p{^Present_In=+0_0_0_14.0}', "");
    Expect(0, 983040, '\P{Present_In=+0_0_0_14.0}', "");
    Expect(1, 983040, '\P{^Present_In=+0_0_0_14.0}', "");
    Expect(0, 983037, '\p{Present_In=+0_0_0_14.0}', "");
    Expect(1, 983037, '\p{^Present_In=+0_0_0_14.0}', "");
    Expect(1, 983037, '\P{Present_In=+0_0_0_14.0}', "");
    Expect(0, 983037, '\P{^Present_In=+0_0_0_14.0}', "");
    Error('\p{In=-	V14_0:=}');
    Error('\P{In=-	V14_0:=}');
    Expect(1, 983040, '\p{In=:\AV14_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV14_0\z:}', "");;
    Expect(1, 983040, '\p{In: v140}', "");
    Expect(0, 983040, '\p{^In: v140}', "");
    Expect(0, 983040, '\P{In: v140}', "");
    Expect(1, 983040, '\P{^In: v140}', "");
    Expect(0, 983037, '\p{In: v140}', "");
    Expect(1, 983037, '\p{^In: v140}', "");
    Expect(1, 983037, '\P{In: v140}', "");
    Expect(0, 983037, '\P{^In: v140}', "");
    Expect(1, 983040, '\p{In=:\Av140\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av140\z:}', "");;
    Expect(1, 983040, '\p{In=_	V14_0}', "");
    Expect(0, 983040, '\p{^In=_	V14_0}', "");
    Expect(0, 983040, '\P{In=_	V14_0}', "");
    Expect(1, 983040, '\P{^In=_	V14_0}', "");
    Expect(0, 983037, '\p{In=_	V14_0}', "");
    Expect(1, 983037, '\p{^In=_	V14_0}', "");
    Expect(1, 983037, '\P{In=_	V14_0}', "");
    Expect(0, 983037, '\P{^In=_	V14_0}', "");
    Error('\p{Is_Present_In:/a/--00_00_14.0}');
    Error('\P{Is_Present_In:/a/--00_00_14.0}');
    Expect(1, 983040, '\p{Is_Present_In=00014.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=00014.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=00014.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=00014.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=00014.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=00014.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=00014.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=00014.0}', "");
    Error('\p{Is_In=	:=V14_0}');
    Error('\P{Is_In=	:=V14_0}');
    Expect(1, 983040, '\p{Is_In=v140}', "");
    Expect(0, 983040, '\p{^Is_In=v140}', "");
    Expect(0, 983040, '\P{Is_In=v140}', "");
    Expect(1, 983040, '\P{^Is_In=v140}', "");
    Expect(0, 983037, '\p{Is_In=v140}', "");
    Expect(1, 983037, '\p{^Is_In=v140}', "");
    Expect(1, 983037, '\P{Is_In=v140}', "");
    Expect(0, 983037, '\P{^Is_In=v140}', "");
    Expect(1, 983040, '\p{Is_In=V14_0}', "");
    Expect(0, 983040, '\p{^Is_In=V14_0}', "");
    Expect(0, 983040, '\P{Is_In=V14_0}', "");
    Expect(1, 983040, '\P{^Is_In=V14_0}', "");
    Expect(0, 983037, '\p{Is_In=V14_0}', "");
    Expect(1, 983037, '\p{^Is_In=V14_0}', "");
    Expect(1, 983037, '\P{Is_In=V14_0}', "");
    Expect(0, 983037, '\P{^Is_In=V14_0}', "");
    Error('\p{Present_In=	_2.0/a/}');
    Error('\P{Present_In=	_2.0/a/}');
    Expect(1, 983040, '\p{Present_In=:\A2.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A2.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=0000_2.0}', "");
    Expect(0, 983040, '\p{^Present_In=0000_2.0}', "");
    Expect(0, 983040, '\P{Present_In=0000_2.0}', "");
    Expect(1, 983040, '\P{^Present_In=0000_2.0}', "");
    Expect(0, 983037, '\p{Present_In=0000_2.0}', "");
    Expect(1, 983037, '\p{^Present_In=0000_2.0}', "");
    Expect(1, 983037, '\P{Present_In=0000_2.0}', "");
    Expect(0, 983037, '\P{^Present_In=0000_2.0}', "");
    Error('\p{In=/a/V2_0}');
    Error('\P{In=/a/V2_0}');
    Expect(1, 983040, '\p{In=:\AV2_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV2_0\z:}', "");;
    Expect(1, 983040, '\p{In=v20}', "");
    Expect(0, 983040, '\p{^In=v20}', "");
    Expect(0, 983040, '\P{In=v20}', "");
    Expect(1, 983040, '\P{^In=v20}', "");
    Expect(0, 983037, '\p{In=v20}', "");
    Expect(1, 983037, '\p{^In=v20}', "");
    Expect(1, 983037, '\P{In=v20}', "");
    Expect(0, 983037, '\P{^In=v20}', "");
    Expect(1, 983040, '\p{In=:\Av20\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av20\z:}', "");;
    Expect(1, 983040, '\p{In=		v2_0}', "");
    Expect(0, 983040, '\p{^In=		v2_0}', "");
    Expect(0, 983040, '\P{In=		v2_0}', "");
    Expect(1, 983040, '\P{^In=		v2_0}', "");
    Expect(0, 983037, '\p{In=		v2_0}', "");
    Expect(1, 983037, '\p{^In=		v2_0}', "");
    Expect(1, 983037, '\P{In=		v2_0}', "");
    Expect(0, 983037, '\P{^In=		v2_0}', "");
    Error('\p{Is_Present_In= :=0002.0}');
    Error('\P{Is_Present_In= :=0002.0}');
    Expect(1, 983040, '\p{Is_Present_In=00000002.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=00000002.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=00000002.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=00000002.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=00000002.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=00000002.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=00000002.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=00000002.0}', "");
    Error('\p{Is_In= -v2_0:=}');
    Error('\P{Is_In= -v2_0:=}');
    Expect(1, 983040, '\p{Is_In=v20}', "");
    Expect(0, 983040, '\p{^Is_In=v20}', "");
    Expect(0, 983040, '\P{Is_In=v20}', "");
    Expect(1, 983040, '\P{^Is_In=v20}', "");
    Expect(0, 983037, '\p{Is_In=v20}', "");
    Expect(1, 983037, '\p{^Is_In=v20}', "");
    Expect(1, 983037, '\P{Is_In=v20}', "");
    Expect(0, 983037, '\P{^Is_In=v20}', "");
    Expect(1, 983040, '\p{Is_In:   - v2_0}', "");
    Expect(0, 983040, '\p{^Is_In:   - v2_0}', "");
    Expect(0, 983040, '\P{Is_In:   - v2_0}', "");
    Expect(1, 983040, '\P{^Is_In:   - v2_0}', "");
    Expect(0, 983037, '\p{Is_In:   - v2_0}', "");
    Expect(1, 983037, '\p{^Is_In:   - v2_0}', "");
    Expect(1, 983037, '\P{Is_In:   - v2_0}', "");
    Expect(0, 983037, '\P{^Is_In:   - v2_0}', "");
    Error('\p{Present_In: -:=2.1}');
    Error('\P{Present_In: -:=2.1}');
    Expect(1, 983040, '\p{Present_In=:\A2.1\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A2.1\z:}', "");;
    Expect(1, 983040, '\p{Present_In=00_00_02.1}', "");
    Expect(0, 983040, '\p{^Present_In=00_00_02.1}', "");
    Expect(0, 983040, '\P{Present_In=00_00_02.1}', "");
    Expect(1, 983040, '\P{^Present_In=00_00_02.1}', "");
    Expect(0, 983037, '\p{Present_In=00_00_02.1}', "");
    Expect(1, 983037, '\p{^Present_In=00_00_02.1}', "");
    Expect(1, 983037, '\P{Present_In=00_00_02.1}', "");
    Expect(0, 983037, '\P{^Present_In=00_00_02.1}', "");
    Error('\p{In:   -/a/V2_1}');
    Error('\P{In:   -/a/V2_1}');
    Expect(1, 983040, '\p{In=:\AV2_1\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV2_1\z:}', "");;
    Expect(1, 983040, '\p{In=v21}', "");
    Expect(0, 983040, '\p{^In=v21}', "");
    Expect(0, 983040, '\P{In=v21}', "");
    Expect(1, 983040, '\P{^In=v21}', "");
    Expect(0, 983037, '\p{In=v21}', "");
    Expect(1, 983037, '\p{^In=v21}', "");
    Expect(1, 983037, '\P{In=v21}', "");
    Expect(0, 983037, '\P{^In=v21}', "");
    Expect(1, 983040, '\p{In=:\Av21\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av21\z:}', "");;
    Expect(1, 983040, '\p{In=-V2_1}', "");
    Expect(0, 983040, '\p{^In=-V2_1}', "");
    Expect(0, 983040, '\P{In=-V2_1}', "");
    Expect(1, 983040, '\P{^In=-V2_1}', "");
    Expect(0, 983037, '\p{In=-V2_1}', "");
    Expect(1, 983037, '\p{^In=-V2_1}', "");
    Expect(1, 983037, '\P{In=-V2_1}', "");
    Expect(0, 983037, '\P{^In=-V2_1}', "");
    Error('\p{Is_Present_In=/a/-	00000000_2.1}');
    Error('\P{Is_Present_In=/a/-	00000000_2.1}');
    Expect(1, 983040, '\p{Is_Present_In=000000002.1}', "");
    Expect(0, 983040, '\p{^Is_Present_In=000000002.1}', "");
    Expect(0, 983040, '\P{Is_Present_In=000000002.1}', "");
    Expect(1, 983040, '\P{^Is_Present_In=000000002.1}', "");
    Expect(0, 983037, '\p{Is_Present_In=000000002.1}', "");
    Expect(1, 983037, '\p{^Is_Present_In=000000002.1}', "");
    Expect(1, 983037, '\P{Is_Present_In=000000002.1}', "");
    Expect(0, 983037, '\P{^Is_Present_In=000000002.1}', "");
    Error('\p{Is_In=:=V2_1}');
    Error('\P{Is_In=:=V2_1}');
    Expect(1, 983040, '\p{Is_In=v21}', "");
    Expect(0, 983040, '\p{^Is_In=v21}', "");
    Expect(0, 983040, '\P{Is_In=v21}', "");
    Expect(1, 983040, '\P{^Is_In=v21}', "");
    Expect(0, 983037, '\p{Is_In=v21}', "");
    Expect(1, 983037, '\p{^Is_In=v21}', "");
    Expect(1, 983037, '\P{Is_In=v21}', "");
    Expect(0, 983037, '\P{^Is_In=v21}', "");
    Expect(1, 983040, '\p{Is_In= V2_1}', "");
    Expect(0, 983040, '\p{^Is_In= V2_1}', "");
    Expect(0, 983040, '\P{Is_In= V2_1}', "");
    Expect(1, 983040, '\P{^Is_In= V2_1}', "");
    Expect(0, 983037, '\p{Is_In= V2_1}', "");
    Expect(1, 983037, '\p{^Is_In= V2_1}', "");
    Expect(1, 983037, '\P{Is_In= V2_1}', "");
    Expect(0, 983037, '\P{^Is_In= V2_1}', "");
    Error('\p{Present_In::=-00003.0}');
    Error('\P{Present_In::=-00003.0}');
    Expect(1, 983040, '\p{Present_In=:\A3.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A3.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=+003.0}', "");
    Expect(0, 983040, '\p{^Present_In=+003.0}', "");
    Expect(0, 983040, '\P{Present_In=+003.0}', "");
    Expect(1, 983040, '\P{^Present_In=+003.0}', "");
    Expect(0, 983037, '\p{Present_In=+003.0}', "");
    Expect(1, 983037, '\p{^Present_In=+003.0}', "");
    Expect(1, 983037, '\P{Present_In=+003.0}', "");
    Expect(0, 983037, '\P{^Present_In=+003.0}', "");
    Error('\p{In=:=-_V3_0}');
    Error('\P{In=:=-_V3_0}');
    Expect(1, 983040, '\p{In=:\AV3_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV3_0\z:}', "");;
    Expect(1, 983040, '\p{In=v30}', "");
    Expect(0, 983040, '\p{^In=v30}', "");
    Expect(0, 983040, '\P{In=v30}', "");
    Expect(1, 983040, '\P{^In=v30}', "");
    Expect(0, 983037, '\p{In=v30}', "");
    Expect(1, 983037, '\p{^In=v30}', "");
    Expect(1, 983037, '\P{In=v30}', "");
    Expect(0, 983037, '\P{^In=v30}', "");
    Expect(1, 983040, '\p{In=:\Av30\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av30\z:}', "");;
    Expect(1, 983040, '\p{In: -V3_0}', "");
    Expect(0, 983040, '\p{^In: -V3_0}', "");
    Expect(0, 983040, '\P{In: -V3_0}', "");
    Expect(1, 983040, '\P{^In: -V3_0}', "");
    Expect(0, 983037, '\p{In: -V3_0}', "");
    Expect(1, 983037, '\p{^In: -V3_0}', "");
    Expect(1, 983037, '\P{In: -V3_0}', "");
    Expect(0, 983037, '\P{^In: -V3_0}', "");
    Error('\p{Is_Present_In:	_:=00000000_3.0}');
    Error('\P{Is_Present_In:	_:=00000000_3.0}');
    Expect(1, 983040, '\p{Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=0_0_0_0_0_0_0_003.0}', "");
    Error('\p{Is_In=	V3_0/a/}');
    Error('\P{Is_In=	V3_0/a/}');
    Expect(1, 983040, '\p{Is_In: v30}', "");
    Expect(0, 983040, '\p{^Is_In: v30}', "");
    Expect(0, 983040, '\P{Is_In: v30}', "");
    Expect(1, 983040, '\P{^Is_In: v30}', "");
    Expect(0, 983037, '\p{Is_In: v30}', "");
    Expect(1, 983037, '\p{^Is_In: v30}', "");
    Expect(1, 983037, '\P{Is_In: v30}', "");
    Expect(0, 983037, '\P{^Is_In: v30}', "");
    Expect(1, 983040, '\p{Is_In=-v3_0}', "");
    Expect(0, 983040, '\p{^Is_In=-v3_0}', "");
    Expect(0, 983040, '\P{Is_In=-v3_0}', "");
    Expect(1, 983040, '\P{^Is_In=-v3_0}', "");
    Expect(0, 983037, '\p{Is_In=-v3_0}', "");
    Expect(1, 983037, '\p{^Is_In=-v3_0}', "");
    Expect(1, 983037, '\P{Is_In=-v3_0}', "");
    Expect(0, 983037, '\P{^Is_In=-v3_0}', "");
    Error('\p{Present_In=-/a/3.1}');
    Error('\P{Present_In=-/a/3.1}');
    Expect(1, 983040, '\p{Present_In=:\A3.1\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A3.1\z:}', "");;
    Expect(1, 983040, '\p{Present_In=00_3.1}', "");
    Expect(0, 983040, '\p{^Present_In=00_3.1}', "");
    Expect(0, 983040, '\P{Present_In=00_3.1}', "");
    Expect(1, 983040, '\P{^Present_In=00_3.1}', "");
    Expect(0, 983037, '\p{Present_In=00_3.1}', "");
    Expect(1, 983037, '\p{^Present_In=00_3.1}', "");
    Expect(1, 983037, '\P{Present_In=00_3.1}', "");
    Expect(0, 983037, '\P{^Present_In=00_3.1}', "");
    Error('\p{In= 	v3_1:=}');
    Error('\P{In= 	v3_1:=}');
    Expect(1, 983040, '\p{In=:\AV3_1\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV3_1\z:}', "");;
    Expect(1, 983040, '\p{In=v31}', "");
    Expect(0, 983040, '\p{^In=v31}', "");
    Expect(0, 983040, '\P{In=v31}', "");
    Expect(1, 983040, '\P{^In=v31}', "");
    Expect(0, 983037, '\p{In=v31}', "");
    Expect(1, 983037, '\p{^In=v31}', "");
    Expect(1, 983037, '\P{In=v31}', "");
    Expect(0, 983037, '\P{^In=v31}', "");
    Expect(1, 983040, '\p{In=:\Av31\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av31\z:}', "");;
    Expect(1, 983040, '\p{In=__V3_1}', "");
    Expect(0, 983040, '\p{^In=__V3_1}', "");
    Expect(0, 983040, '\P{In=__V3_1}', "");
    Expect(1, 983040, '\P{^In=__V3_1}', "");
    Expect(0, 983037, '\p{In=__V3_1}', "");
    Expect(1, 983037, '\p{^In=__V3_1}', "");
    Expect(1, 983037, '\P{In=__V3_1}', "");
    Expect(0, 983037, '\P{^In=__V3_1}', "");
    Error('\p{Is_Present_In=/a/- 0_0_0_0_0_0_0_03.1}');
    Error('\P{Is_Present_In=/a/- 0_0_0_0_0_0_0_03.1}');
    Expect(1, 983040, '\p{Is_Present_In=00003.1}', "");
    Expect(0, 983040, '\p{^Is_Present_In=00003.1}', "");
    Expect(0, 983040, '\P{Is_Present_In=00003.1}', "");
    Expect(1, 983040, '\P{^Is_Present_In=00003.1}', "");
    Expect(0, 983037, '\p{Is_Present_In=00003.1}', "");
    Expect(1, 983037, '\p{^Is_Present_In=00003.1}', "");
    Expect(1, 983037, '\P{Is_Present_In=00003.1}', "");
    Expect(0, 983037, '\P{^Is_Present_In=00003.1}', "");
    Error('\p{Is_In=:=- v3_1}');
    Error('\P{Is_In=:=- v3_1}');
    Expect(1, 983040, '\p{Is_In=v31}', "");
    Expect(0, 983040, '\p{^Is_In=v31}', "");
    Expect(0, 983040, '\P{Is_In=v31}', "");
    Expect(1, 983040, '\P{^Is_In=v31}', "");
    Expect(0, 983037, '\p{Is_In=v31}', "");
    Expect(1, 983037, '\p{^Is_In=v31}', "");
    Expect(1, 983037, '\P{Is_In=v31}', "");
    Expect(0, 983037, '\P{^Is_In=v31}', "");
    Expect(1, 983040, '\p{Is_In=- V3_1}', "");
    Expect(0, 983040, '\p{^Is_In=- V3_1}', "");
    Expect(0, 983040, '\P{Is_In=- V3_1}', "");
    Expect(1, 983040, '\P{^Is_In=- V3_1}', "");
    Expect(0, 983037, '\p{Is_In=- V3_1}', "");
    Expect(1, 983037, '\p{^Is_In=- V3_1}', "");
    Expect(1, 983037, '\P{Is_In=- V3_1}', "");
    Expect(0, 983037, '\P{^Is_In=- V3_1}', "");
    Error('\p{Present_In=/a/-00_00_03.2}');
    Error('\P{Present_In=/a/-00_00_03.2}');
    Expect(1, 983040, '\p{Present_In=:\A3.2\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A3.2\z:}', "");;
    Expect(1, 983040, '\p{Present_In=000_000_03.2}', "");
    Expect(0, 983040, '\p{^Present_In=000_000_03.2}', "");
    Expect(0, 983040, '\P{Present_In=000_000_03.2}', "");
    Expect(1, 983040, '\P{^Present_In=000_000_03.2}', "");
    Expect(0, 983037, '\p{Present_In=000_000_03.2}', "");
    Expect(1, 983037, '\p{^Present_In=000_000_03.2}', "");
    Expect(1, 983037, '\P{Present_In=000_000_03.2}', "");
    Expect(0, 983037, '\P{^Present_In=000_000_03.2}', "");
    Error('\p{In= :=V3_2}');
    Error('\P{In= :=V3_2}');
    Expect(1, 983040, '\p{In=:\AV3_2\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV3_2\z:}', "");;
    Expect(1, 983040, '\p{In=v32}', "");
    Expect(0, 983040, '\p{^In=v32}', "");
    Expect(0, 983040, '\P{In=v32}', "");
    Expect(1, 983040, '\P{^In=v32}', "");
    Expect(0, 983037, '\p{In=v32}', "");
    Expect(1, 983037, '\p{^In=v32}', "");
    Expect(1, 983037, '\P{In=v32}', "");
    Expect(0, 983037, '\P{^In=v32}', "");
    Expect(1, 983040, '\p{In=:\Av32\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av32\z:}', "");;
    Expect(1, 983040, '\p{In=  v3_2}', "");
    Expect(0, 983040, '\p{^In=  v3_2}', "");
    Expect(0, 983040, '\P{In=  v3_2}', "");
    Expect(1, 983040, '\P{^In=  v3_2}', "");
    Expect(0, 983037, '\p{In=  v3_2}', "");
    Expect(1, 983037, '\p{^In=  v3_2}', "");
    Expect(1, 983037, '\P{In=  v3_2}', "");
    Expect(0, 983037, '\P{^In=  v3_2}', "");
    Error('\p{Is_Present_In=:=	00000_3.2}');
    Error('\P{Is_Present_In=:=	00000_3.2}');
    Expect(1, 983040, '\p{Is_Present_In=000_000_03.2}', "");
    Expect(0, 983040, '\p{^Is_Present_In=000_000_03.2}', "");
    Expect(0, 983040, '\P{Is_Present_In=000_000_03.2}', "");
    Expect(1, 983040, '\P{^Is_Present_In=000_000_03.2}', "");
    Expect(0, 983037, '\p{Is_Present_In=000_000_03.2}', "");
    Expect(1, 983037, '\p{^Is_Present_In=000_000_03.2}', "");
    Expect(1, 983037, '\P{Is_Present_In=000_000_03.2}', "");
    Expect(0, 983037, '\P{^Is_Present_In=000_000_03.2}', "");
    Error('\p{Is_In=/a/--V3_2}');
    Error('\P{Is_In=/a/--V3_2}');
    Expect(1, 983040, '\p{Is_In=v32}', "");
    Expect(0, 983040, '\p{^Is_In=v32}', "");
    Expect(0, 983040, '\P{Is_In=v32}', "");
    Expect(1, 983040, '\P{^Is_In=v32}', "");
    Expect(0, 983037, '\p{Is_In=v32}', "");
    Expect(1, 983037, '\p{^Is_In=v32}', "");
    Expect(1, 983037, '\P{Is_In=v32}', "");
    Expect(0, 983037, '\P{^Is_In=v32}', "");
    Expect(1, 983040, '\p{Is_In= 	V3_2}', "");
    Expect(0, 983040, '\p{^Is_In= 	V3_2}', "");
    Expect(0, 983040, '\P{Is_In= 	V3_2}', "");
    Expect(1, 983040, '\P{^Is_In= 	V3_2}', "");
    Expect(0, 983037, '\p{Is_In= 	V3_2}', "");
    Expect(1, 983037, '\p{^Is_In= 	V3_2}', "");
    Expect(1, 983037, '\P{Is_In= 	V3_2}', "");
    Expect(0, 983037, '\P{^Is_In= 	V3_2}', "");
    Error('\p{Present_In= -+0_0_0_0_0_0_0_04.0:=}');
    Error('\P{Present_In= -+0_0_0_0_0_0_0_04.0:=}');
    Expect(1, 983040, '\p{Present_In=:\A4.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A4.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In:	+004.0}', "");
    Expect(0, 983040, '\p{^Present_In:	+004.0}', "");
    Expect(0, 983040, '\P{Present_In:	+004.0}', "");
    Expect(1, 983040, '\P{^Present_In:	+004.0}', "");
    Expect(0, 983037, '\p{Present_In:	+004.0}', "");
    Expect(1, 983037, '\p{^Present_In:	+004.0}', "");
    Expect(1, 983037, '\P{Present_In:	+004.0}', "");
    Expect(0, 983037, '\P{^Present_In:	+004.0}', "");
    Error('\p{In= /a/V4_0}');
    Error('\P{In= /a/V4_0}');
    Expect(1, 983040, '\p{In=:\AV4_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV4_0\z:}', "");;
    Expect(1, 983040, '\p{In=v40}', "");
    Expect(0, 983040, '\p{^In=v40}', "");
    Expect(0, 983040, '\P{In=v40}', "");
    Expect(1, 983040, '\P{^In=v40}', "");
    Expect(0, 983037, '\p{In=v40}', "");
    Expect(1, 983037, '\p{^In=v40}', "");
    Expect(1, 983037, '\P{In=v40}', "");
    Expect(0, 983037, '\P{^In=v40}', "");
    Expect(1, 983040, '\p{In=:\Av40\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av40\z:}', "");;
    Expect(1, 983040, '\p{In:	-_V4_0}', "");
    Expect(0, 983040, '\p{^In:	-_V4_0}', "");
    Expect(0, 983040, '\P{In:	-_V4_0}', "");
    Expect(1, 983040, '\P{^In:	-_V4_0}', "");
    Expect(0, 983037, '\p{In:	-_V4_0}', "");
    Expect(1, 983037, '\p{^In:	-_V4_0}', "");
    Expect(1, 983037, '\P{In:	-_V4_0}', "");
    Expect(0, 983037, '\P{^In:	-_V4_0}', "");
    Error('\p{Is_Present_In=:=0_0_0_0_04.0}');
    Error('\P{Is_Present_In=:=0_0_0_0_04.0}');
    Expect(1, 983040, '\p{Is_Present_In:0_0_0_0_04.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In:0_0_0_0_04.0}', "");
    Expect(0, 983040, '\P{Is_Present_In:0_0_0_0_04.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In:0_0_0_0_04.0}', "");
    Expect(0, 983037, '\p{Is_Present_In:0_0_0_0_04.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In:0_0_0_0_04.0}', "");
    Expect(1, 983037, '\P{Is_Present_In:0_0_0_0_04.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In:0_0_0_0_04.0}', "");
    Error('\p{Is_In=	-V4_0/a/}');
    Error('\P{Is_In=	-V4_0/a/}');
    Expect(1, 983040, '\p{Is_In=v40}', "");
    Expect(0, 983040, '\p{^Is_In=v40}', "");
    Expect(0, 983040, '\P{Is_In=v40}', "");
    Expect(1, 983040, '\P{^Is_In=v40}', "");
    Expect(0, 983037, '\p{Is_In=v40}', "");
    Expect(1, 983037, '\p{^Is_In=v40}', "");
    Expect(1, 983037, '\P{Is_In=v40}', "");
    Expect(0, 983037, '\P{^Is_In=v40}', "");
    Expect(1, 983040, '\p{Is_In= V4_0}', "");
    Expect(0, 983040, '\p{^Is_In= V4_0}', "");
    Expect(0, 983040, '\P{Is_In= V4_0}', "");
    Expect(1, 983040, '\P{^Is_In= V4_0}', "");
    Expect(0, 983037, '\p{Is_In= V4_0}', "");
    Expect(1, 983037, '\p{^Is_In= V4_0}', "");
    Expect(1, 983037, '\P{Is_In= V4_0}', "");
    Expect(0, 983037, '\P{^Is_In= V4_0}', "");
    Error('\p{Present_In=/a/-_+0_0_04.1}');
    Error('\P{Present_In=/a/-_+0_0_04.1}');
    Expect(1, 983040, '\p{Present_In=:\A4.1\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A4.1\z:}', "");;
    Expect(1, 983040, '\p{Present_In=+000_4.1}', "");
    Expect(0, 983040, '\p{^Present_In=+000_4.1}', "");
    Expect(0, 983040, '\P{Present_In=+000_4.1}', "");
    Expect(1, 983040, '\P{^Present_In=+000_4.1}', "");
    Expect(0, 983037, '\p{Present_In=+000_4.1}', "");
    Expect(1, 983037, '\p{^Present_In=+000_4.1}', "");
    Expect(1, 983037, '\P{Present_In=+000_4.1}', "");
    Expect(0, 983037, '\P{^Present_In=+000_4.1}', "");
    Error('\p{In=:=	V4_1}');
    Error('\P{In=:=	V4_1}');
    Expect(1, 983040, '\p{In=:\AV4_1\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV4_1\z:}', "");;
    Expect(1, 983040, '\p{In=v41}', "");
    Expect(0, 983040, '\p{^In=v41}', "");
    Expect(0, 983040, '\P{In=v41}', "");
    Expect(1, 983040, '\P{^In=v41}', "");
    Expect(0, 983037, '\p{In=v41}', "");
    Expect(1, 983037, '\p{^In=v41}', "");
    Expect(1, 983037, '\P{In=v41}', "");
    Expect(0, 983037, '\P{^In=v41}', "");
    Expect(1, 983040, '\p{In=:\Av41\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av41\z:}', "");;
    Expect(1, 983040, '\p{In= -V4_1}', "");
    Expect(0, 983040, '\p{^In= -V4_1}', "");
    Expect(0, 983040, '\P{In= -V4_1}', "");
    Expect(1, 983040, '\P{^In= -V4_1}', "");
    Expect(0, 983037, '\p{In= -V4_1}', "");
    Expect(1, 983037, '\p{^In= -V4_1}', "");
    Expect(1, 983037, '\P{In= -V4_1}', "");
    Expect(0, 983037, '\P{^In= -V4_1}', "");
    Error('\p{Is_Present_In: 	/a/04.1}');
    Error('\P{Is_Present_In: 	/a/04.1}');
    Expect(1, 983040, '\p{Is_Present_In: 000000000_4.1}', "");
    Expect(0, 983040, '\p{^Is_Present_In: 000000000_4.1}', "");
    Expect(0, 983040, '\P{Is_Present_In: 000000000_4.1}', "");
    Expect(1, 983040, '\P{^Is_Present_In: 000000000_4.1}', "");
    Expect(0, 983037, '\p{Is_Present_In: 000000000_4.1}', "");
    Expect(1, 983037, '\p{^Is_Present_In: 000000000_4.1}', "");
    Expect(1, 983037, '\P{Is_Present_In: 000000000_4.1}', "");
    Expect(0, 983037, '\P{^Is_Present_In: 000000000_4.1}', "");
    Error('\p{Is_In=:=  V4_1}');
    Error('\P{Is_In=:=  V4_1}');
    Expect(1, 983040, '\p{Is_In=v41}', "");
    Expect(0, 983040, '\p{^Is_In=v41}', "");
    Expect(0, 983040, '\P{Is_In=v41}', "");
    Expect(1, 983040, '\P{^Is_In=v41}', "");
    Expect(0, 983037, '\p{Is_In=v41}', "");
    Expect(1, 983037, '\p{^Is_In=v41}', "");
    Expect(1, 983037, '\P{Is_In=v41}', "");
    Expect(0, 983037, '\P{^Is_In=v41}', "");
    Expect(1, 983040, '\p{Is_In=V4_1}', "");
    Expect(0, 983040, '\p{^Is_In=V4_1}', "");
    Expect(0, 983040, '\P{Is_In=V4_1}', "");
    Expect(1, 983040, '\P{^Is_In=V4_1}', "");
    Expect(0, 983037, '\p{Is_In=V4_1}', "");
    Expect(1, 983037, '\p{^Is_In=V4_1}', "");
    Expect(1, 983037, '\P{Is_In=V4_1}', "");
    Expect(0, 983037, '\P{^Is_In=V4_1}', "");
    Error('\p{Present_In=/a/- +00005.0}');
    Error('\P{Present_In=/a/- +00005.0}');
    Expect(1, 983040, '\p{Present_In=:\A5.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A5.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=00000005.0}', "");
    Expect(0, 983040, '\p{^Present_In=00000005.0}', "");
    Expect(0, 983040, '\P{Present_In=00000005.0}', "");
    Expect(1, 983040, '\P{^Present_In=00000005.0}', "");
    Expect(0, 983037, '\p{Present_In=00000005.0}', "");
    Expect(1, 983037, '\p{^Present_In=00000005.0}', "");
    Expect(1, 983037, '\P{Present_In=00000005.0}', "");
    Expect(0, 983037, '\P{^Present_In=00000005.0}', "");
    Error('\p{In=/a/-V5_0}');
    Error('\P{In=/a/-V5_0}');
    Expect(1, 983040, '\p{In=:\AV5_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV5_0\z:}', "");;
    Expect(1, 983040, '\p{In=v50}', "");
    Expect(0, 983040, '\p{^In=v50}', "");
    Expect(0, 983040, '\P{In=v50}', "");
    Expect(1, 983040, '\P{^In=v50}', "");
    Expect(0, 983037, '\p{In=v50}', "");
    Expect(1, 983037, '\p{^In=v50}', "");
    Expect(1, 983037, '\P{In=v50}', "");
    Expect(0, 983037, '\P{^In=v50}', "");
    Expect(1, 983040, '\p{In=:\Av50\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av50\z:}', "");;
    Expect(1, 983040, '\p{In:   _ v5_0}', "");
    Expect(0, 983040, '\p{^In:   _ v5_0}', "");
    Expect(0, 983040, '\P{In:   _ v5_0}', "");
    Expect(1, 983040, '\P{^In:   _ v5_0}', "");
    Expect(0, 983037, '\p{In:   _ v5_0}', "");
    Expect(1, 983037, '\p{^In:   _ v5_0}', "");
    Expect(1, 983037, '\P{In:   _ v5_0}', "");
    Expect(0, 983037, '\P{^In:   _ v5_0}', "");
    Error('\p{Is_Present_In=	0000005.0:=}');
    Error('\P{Is_Present_In=	0000005.0:=}');
    Expect(1, 983040, '\p{Is_Present_In=000000005.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=000000005.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=000000005.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=000000005.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=000000005.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=000000005.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=000000005.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=000000005.0}', "");
    Error('\p{Is_In=/a/v5_0}');
    Error('\P{Is_In=/a/v5_0}');
    Expect(1, 983040, '\p{Is_In=v50}', "");
    Expect(0, 983040, '\p{^Is_In=v50}', "");
    Expect(0, 983040, '\P{Is_In=v50}', "");
    Expect(1, 983040, '\P{^Is_In=v50}', "");
    Expect(0, 983037, '\p{Is_In=v50}', "");
    Expect(1, 983037, '\p{^Is_In=v50}', "");
    Expect(1, 983037, '\P{Is_In=v50}', "");
    Expect(0, 983037, '\P{^Is_In=v50}', "");
    Expect(1, 983040, '\p{Is_In=	 V5_0}', "");
    Expect(0, 983040, '\p{^Is_In=	 V5_0}', "");
    Expect(0, 983040, '\P{Is_In=	 V5_0}', "");
    Expect(1, 983040, '\P{^Is_In=	 V5_0}', "");
    Expect(0, 983037, '\p{Is_In=	 V5_0}', "");
    Expect(1, 983037, '\p{^Is_In=	 V5_0}', "");
    Expect(1, 983037, '\P{Is_In=	 V5_0}', "");
    Expect(0, 983037, '\P{^Is_In=	 V5_0}', "");
    Error('\p{Present_In=:=_	+0_5.1}');
    Error('\P{Present_In=:=_	+0_5.1}');
    Expect(1, 983040, '\p{Present_In=:\A5.1\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A5.1\z:}', "");;
    Expect(1, 983040, '\p{Present_In:   0_0_0_0_0_005.1}', "");
    Expect(0, 983040, '\p{^Present_In:   0_0_0_0_0_005.1}', "");
    Expect(0, 983040, '\P{Present_In:   0_0_0_0_0_005.1}', "");
    Expect(1, 983040, '\P{^Present_In:   0_0_0_0_0_005.1}', "");
    Expect(0, 983037, '\p{Present_In:   0_0_0_0_0_005.1}', "");
    Expect(1, 983037, '\p{^Present_In:   0_0_0_0_0_005.1}', "");
    Expect(1, 983037, '\P{Present_In:   0_0_0_0_0_005.1}', "");
    Expect(0, 983037, '\P{^Present_In:   0_0_0_0_0_005.1}', "");
    Error('\p{In=_:=V5_1}');
    Error('\P{In=_:=V5_1}');
    Expect(1, 983040, '\p{In=:\AV5_1\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV5_1\z:}', "");;
    Expect(1, 983040, '\p{In:	v51}', "");
    Expect(0, 983040, '\p{^In:	v51}', "");
    Expect(0, 983040, '\P{In:	v51}', "");
    Expect(1, 983040, '\P{^In:	v51}', "");
    Expect(0, 983037, '\p{In:	v51}', "");
    Expect(1, 983037, '\p{^In:	v51}', "");
    Expect(1, 983037, '\P{In:	v51}', "");
    Expect(0, 983037, '\P{^In:	v51}', "");
    Expect(1, 983040, '\p{In=:\Av51\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av51\z:}', "");;
    Expect(1, 983040, '\p{In= -V5_1}', "");
    Expect(0, 983040, '\p{^In= -V5_1}', "");
    Expect(0, 983040, '\P{In= -V5_1}', "");
    Expect(1, 983040, '\P{^In= -V5_1}', "");
    Expect(0, 983037, '\p{In= -V5_1}', "");
    Expect(1, 983037, '\p{^In= -V5_1}', "");
    Expect(1, 983037, '\P{In= -V5_1}', "");
    Expect(0, 983037, '\P{^In= -V5_1}', "");
    Error('\p{Is_Present_In=:=	_+000005.1}');
    Error('\P{Is_Present_In=:=	_+000005.1}');
    Expect(1, 983040, '\p{Is_Present_In=0000000005.1}', "");
    Expect(0, 983040, '\p{^Is_Present_In=0000000005.1}', "");
    Expect(0, 983040, '\P{Is_Present_In=0000000005.1}', "");
    Expect(1, 983040, '\P{^Is_Present_In=0000000005.1}', "");
    Expect(0, 983037, '\p{Is_Present_In=0000000005.1}', "");
    Expect(1, 983037, '\p{^Is_Present_In=0000000005.1}', "");
    Expect(1, 983037, '\P{Is_Present_In=0000000005.1}', "");
    Expect(0, 983037, '\P{^Is_Present_In=0000000005.1}', "");
    Error('\p{Is_In=/a/V5_1}');
    Error('\P{Is_In=/a/V5_1}');
    Expect(1, 983040, '\p{Is_In=v51}', "");
    Expect(0, 983040, '\p{^Is_In=v51}', "");
    Expect(0, 983040, '\P{Is_In=v51}', "");
    Expect(1, 983040, '\P{^Is_In=v51}', "");
    Expect(0, 983037, '\p{Is_In=v51}', "");
    Expect(1, 983037, '\p{^Is_In=v51}', "");
    Expect(1, 983037, '\P{Is_In=v51}', "");
    Expect(0, 983037, '\P{^Is_In=v51}', "");
    Expect(1, 983040, '\p{Is_In=	V5_1}', "");
    Expect(0, 983040, '\p{^Is_In=	V5_1}', "");
    Expect(0, 983040, '\P{Is_In=	V5_1}', "");
    Expect(1, 983040, '\P{^Is_In=	V5_1}', "");
    Expect(0, 983037, '\p{Is_In=	V5_1}', "");
    Expect(1, 983037, '\p{^Is_In=	V5_1}', "");
    Expect(1, 983037, '\P{Is_In=	V5_1}', "");
    Expect(0, 983037, '\P{^Is_In=	V5_1}', "");
    Error('\p{Present_In=_:=00_5.2}');
    Error('\P{Present_In=_:=00_5.2}');
    Expect(1, 983040, '\p{Present_In=:\A5.2\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A5.2\z:}', "");;
    Expect(1, 983040, '\p{Present_In=00000005.2}', "");
    Expect(0, 983040, '\p{^Present_In=00000005.2}', "");
    Expect(0, 983040, '\P{Present_In=00000005.2}', "");
    Expect(1, 983040, '\P{^Present_In=00000005.2}', "");
    Expect(0, 983037, '\p{Present_In=00000005.2}', "");
    Expect(1, 983037, '\p{^Present_In=00000005.2}', "");
    Expect(1, 983037, '\P{Present_In=00000005.2}', "");
    Expect(0, 983037, '\P{^Present_In=00000005.2}', "");
    Error('\p{In=-/a/V5_2}');
    Error('\P{In=-/a/V5_2}');
    Expect(1, 983040, '\p{In=:\AV5_2\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV5_2\z:}', "");;
    Expect(1, 983040, '\p{In=v52}', "");
    Expect(0, 983040, '\p{^In=v52}', "");
    Expect(0, 983040, '\P{In=v52}', "");
    Expect(1, 983040, '\P{^In=v52}', "");
    Expect(0, 983037, '\p{In=v52}', "");
    Expect(1, 983037, '\p{^In=v52}', "");
    Expect(1, 983037, '\P{In=v52}', "");
    Expect(0, 983037, '\P{^In=v52}', "");
    Expect(1, 983040, '\p{In=:\Av52\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av52\z:}', "");;
    Expect(1, 983040, '\p{In=V5_2}', "");
    Expect(0, 983040, '\p{^In=V5_2}', "");
    Expect(0, 983040, '\P{In=V5_2}', "");
    Expect(1, 983040, '\P{^In=V5_2}', "");
    Expect(0, 983037, '\p{In=V5_2}', "");
    Expect(1, 983037, '\p{^In=V5_2}', "");
    Expect(1, 983037, '\P{In=V5_2}', "");
    Expect(0, 983037, '\P{^In=V5_2}', "");
    Error('\p{Is_Present_In=	-5.2/a/}');
    Error('\P{Is_Present_In=	-5.2/a/}');
    Expect(1, 983040, '\p{Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Expect(0, 983040, '\p{^Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Expect(0, 983040, '\P{Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Expect(1, 983040, '\P{^Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Expect(0, 983037, '\p{Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Expect(1, 983037, '\p{^Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Expect(1, 983037, '\P{Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Expect(0, 983037, '\P{^Is_Present_In=0_0_0_0_0_0_0005.2}', "");
    Error('\p{Is_In=/a/_-V5_2}');
    Error('\P{Is_In=/a/_-V5_2}');
    Expect(1, 983040, '\p{Is_In=v52}', "");
    Expect(0, 983040, '\p{^Is_In=v52}', "");
    Expect(0, 983040, '\P{Is_In=v52}', "");
    Expect(1, 983040, '\P{^Is_In=v52}', "");
    Expect(0, 983037, '\p{Is_In=v52}', "");
    Expect(1, 983037, '\p{^Is_In=v52}', "");
    Expect(1, 983037, '\P{Is_In=v52}', "");
    Expect(0, 983037, '\P{^Is_In=v52}', "");
    Expect(1, 983040, '\p{Is_In= 	v5_2}', "");
    Expect(0, 983040, '\p{^Is_In= 	v5_2}', "");
    Expect(0, 983040, '\P{Is_In= 	v5_2}', "");
    Expect(1, 983040, '\P{^Is_In= 	v5_2}', "");
    Expect(0, 983037, '\p{Is_In= 	v5_2}', "");
    Expect(1, 983037, '\p{^Is_In= 	v5_2}', "");
    Expect(1, 983037, '\P{Is_In= 	v5_2}', "");
    Expect(0, 983037, '\P{^Is_In= 	v5_2}', "");
    Error('\p{Present_In=/a/+000_000_6.0}');
    Error('\P{Present_In=/a/+000_000_6.0}');
    Expect(1, 983040, '\p{Present_In=:\A6.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A6.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=00000006.0}', "");
    Expect(0, 983040, '\p{^Present_In=00000006.0}', "");
    Expect(0, 983040, '\P{Present_In=00000006.0}', "");
    Expect(1, 983040, '\P{^Present_In=00000006.0}', "");
    Expect(0, 983037, '\p{Present_In=00000006.0}', "");
    Expect(1, 983037, '\p{^Present_In=00000006.0}', "");
    Expect(1, 983037, '\P{Present_In=00000006.0}', "");
    Expect(0, 983037, '\P{^Present_In=00000006.0}', "");
    Error('\p{In=/a/_V6_0}');
    Error('\P{In=/a/_V6_0}');
    Expect(1, 983040, '\p{In=:\AV6_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV6_0\z:}', "");;
    Expect(1, 983040, '\p{In: v60}', "");
    Expect(0, 983040, '\p{^In: v60}', "");
    Expect(0, 983040, '\P{In: v60}', "");
    Expect(1, 983040, '\P{^In: v60}', "");
    Expect(0, 983037, '\p{In: v60}', "");
    Expect(1, 983037, '\p{^In: v60}', "");
    Expect(1, 983037, '\P{In: v60}', "");
    Expect(0, 983037, '\P{^In: v60}', "");
    Expect(1, 983040, '\p{In=:\Av60\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av60\z:}', "");;
    Expect(1, 983040, '\p{In=_-V6_0}', "");
    Expect(0, 983040, '\p{^In=_-V6_0}', "");
    Expect(0, 983040, '\P{In=_-V6_0}', "");
    Expect(1, 983040, '\P{^In=_-V6_0}', "");
    Expect(0, 983037, '\p{In=_-V6_0}', "");
    Expect(1, 983037, '\p{^In=_-V6_0}', "");
    Expect(1, 983037, '\P{In=_-V6_0}', "");
    Expect(0, 983037, '\P{^In=_-V6_0}', "");
    Error('\p{Is_Present_In= _6.0:=}');
    Error('\P{Is_Present_In= _6.0:=}');
    Expect(1, 983040, '\p{Is_Present_In=0000_6.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=0000_6.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=0000_6.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=0000_6.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=0000_6.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=0000_6.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=0000_6.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=0000_6.0}', "");
    Error('\p{Is_In=_/a/V6_0}');
    Error('\P{Is_In=_/a/V6_0}');
    Expect(1, 983040, '\p{Is_In=v60}', "");
    Expect(0, 983040, '\p{^Is_In=v60}', "");
    Expect(0, 983040, '\P{Is_In=v60}', "");
    Expect(1, 983040, '\P{^Is_In=v60}', "");
    Expect(0, 983037, '\p{Is_In=v60}', "");
    Expect(1, 983037, '\p{^Is_In=v60}', "");
    Expect(1, 983037, '\P{Is_In=v60}', "");
    Expect(0, 983037, '\P{^Is_In=v60}', "");
    Expect(1, 983040, '\p{Is_In=	 V6_0}', "");
    Expect(0, 983040, '\p{^Is_In=	 V6_0}', "");
    Expect(0, 983040, '\P{Is_In=	 V6_0}', "");
    Expect(1, 983040, '\P{^Is_In=	 V6_0}', "");
    Expect(0, 983037, '\p{Is_In=	 V6_0}', "");
    Expect(1, 983037, '\p{^Is_In=	 V6_0}', "");
    Expect(1, 983037, '\P{Is_In=	 V6_0}', "");
    Expect(0, 983037, '\P{^Is_In=	 V6_0}', "");
    Error('\p{Present_In=_6.1/a/}');
    Error('\P{Present_In=_6.1/a/}');
    Expect(1, 983040, '\p{Present_In=:\A6.1\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A6.1\z:}', "");;
    Expect(1, 983040, '\p{Present_In: 000000006.1}', "");
    Expect(0, 983040, '\p{^Present_In: 000000006.1}', "");
    Expect(0, 983040, '\P{Present_In: 000000006.1}', "");
    Expect(1, 983040, '\P{^Present_In: 000000006.1}', "");
    Expect(0, 983037, '\p{Present_In: 000000006.1}', "");
    Expect(1, 983037, '\p{^Present_In: 000000006.1}', "");
    Expect(1, 983037, '\P{Present_In: 000000006.1}', "");
    Expect(0, 983037, '\P{^Present_In: 000000006.1}', "");
    Error('\p{In=-/a/V6_1}');
    Error('\P{In=-/a/V6_1}');
    Expect(1, 983040, '\p{In=:\AV6_1\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV6_1\z:}', "");;
    Expect(1, 983040, '\p{In=v61}', "");
    Expect(0, 983040, '\p{^In=v61}', "");
    Expect(0, 983040, '\P{In=v61}', "");
    Expect(1, 983040, '\P{^In=v61}', "");
    Expect(0, 983037, '\p{In=v61}', "");
    Expect(1, 983037, '\p{^In=v61}', "");
    Expect(1, 983037, '\P{In=v61}', "");
    Expect(0, 983037, '\P{^In=v61}', "");
    Expect(1, 983040, '\p{In=:\Av61\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av61\z:}', "");;
    Expect(1, 983040, '\p{In= -v6_1}', "");
    Expect(0, 983040, '\p{^In= -v6_1}', "");
    Expect(0, 983040, '\P{In= -v6_1}', "");
    Expect(1, 983040, '\P{^In= -v6_1}', "");
    Expect(0, 983037, '\p{In= -v6_1}', "");
    Expect(1, 983037, '\p{^In= -v6_1}', "");
    Expect(1, 983037, '\P{In= -v6_1}', "");
    Expect(0, 983037, '\P{^In= -v6_1}', "");
    Error('\p{Is_Present_In=:=	_00006.1}');
    Error('\P{Is_Present_In=:=	_00006.1}');
    Expect(1, 983040, '\p{Is_Present_In=0000000006.1}', "");
    Expect(0, 983040, '\p{^Is_Present_In=0000000006.1}', "");
    Expect(0, 983040, '\P{Is_Present_In=0000000006.1}', "");
    Expect(1, 983040, '\P{^Is_Present_In=0000000006.1}', "");
    Expect(0, 983037, '\p{Is_Present_In=0000000006.1}', "");
    Expect(1, 983037, '\p{^Is_Present_In=0000000006.1}', "");
    Expect(1, 983037, '\P{Is_Present_In=0000000006.1}', "");
    Expect(0, 983037, '\P{^Is_Present_In=0000000006.1}', "");
    Error('\p{Is_In=	:=V6_1}');
    Error('\P{Is_In=	:=V6_1}');
    Expect(1, 983040, '\p{Is_In:v61}', "");
    Expect(0, 983040, '\p{^Is_In:v61}', "");
    Expect(0, 983040, '\P{Is_In:v61}', "");
    Expect(1, 983040, '\P{^Is_In:v61}', "");
    Expect(0, 983037, '\p{Is_In:v61}', "");
    Expect(1, 983037, '\p{^Is_In:v61}', "");
    Expect(1, 983037, '\P{Is_In:v61}', "");
    Expect(0, 983037, '\P{^Is_In:v61}', "");
    Expect(1, 983040, '\p{Is_In:    v6_1}', "");
    Expect(0, 983040, '\p{^Is_In:    v6_1}', "");
    Expect(0, 983040, '\P{Is_In:    v6_1}', "");
    Expect(1, 983040, '\P{^Is_In:    v6_1}', "");
    Expect(0, 983037, '\p{Is_In:    v6_1}', "");
    Expect(1, 983037, '\p{^Is_In:    v6_1}', "");
    Expect(1, 983037, '\P{Is_In:    v6_1}', "");
    Expect(0, 983037, '\P{^Is_In:    v6_1}', "");
    Error('\p{Present_In=/a/_-00006.2}');
    Error('\P{Present_In=/a/_-00006.2}');
    Expect(1, 983040, '\p{Present_In=:\A6.2\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A6.2\z:}', "");;
    Expect(1, 983040, '\p{Present_In=0_6.2}', "");
    Expect(0, 983040, '\p{^Present_In=0_6.2}', "");
    Expect(0, 983040, '\P{Present_In=0_6.2}', "");
    Expect(1, 983040, '\P{^Present_In=0_6.2}', "");
    Expect(0, 983037, '\p{Present_In=0_6.2}', "");
    Expect(1, 983037, '\p{^Present_In=0_6.2}', "");
    Expect(1, 983037, '\P{Present_In=0_6.2}', "");
    Expect(0, 983037, '\P{^Present_In=0_6.2}', "");
    Error('\p{In=	 V6_2/a/}');
    Error('\P{In=	 V6_2/a/}');
    Expect(1, 983040, '\p{In=:\AV6_2\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV6_2\z:}', "");;
    Expect(1, 983040, '\p{In=v62}', "");
    Expect(0, 983040, '\p{^In=v62}', "");
    Expect(0, 983040, '\P{In=v62}', "");
    Expect(1, 983040, '\P{^In=v62}', "");
    Expect(0, 983037, '\p{In=v62}', "");
    Expect(1, 983037, '\p{^In=v62}', "");
    Expect(1, 983037, '\P{In=v62}', "");
    Expect(0, 983037, '\P{^In=v62}', "");
    Expect(1, 983040, '\p{In=:\Av62\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av62\z:}', "");;
    Expect(1, 983040, '\p{In=__V6_2}', "");
    Expect(0, 983040, '\p{^In=__V6_2}', "");
    Expect(0, 983040, '\P{In=__V6_2}', "");
    Expect(1, 983040, '\P{^In=__V6_2}', "");
    Expect(0, 983037, '\p{In=__V6_2}', "");
    Expect(1, 983037, '\p{^In=__V6_2}', "");
    Expect(1, 983037, '\P{In=__V6_2}', "");
    Expect(0, 983037, '\P{^In=__V6_2}', "");
    Error('\p{Is_Present_In=/a/_	0000006.2}');
    Error('\P{Is_Present_In=/a/_	0000006.2}');
    Expect(1, 983040, '\p{Is_Present_In=0_0_0_0_0_06.2}', "");
    Expect(0, 983040, '\p{^Is_Present_In=0_0_0_0_0_06.2}', "");
    Expect(0, 983040, '\P{Is_Present_In=0_0_0_0_0_06.2}', "");
    Expect(1, 983040, '\P{^Is_Present_In=0_0_0_0_0_06.2}', "");
    Expect(0, 983037, '\p{Is_Present_In=0_0_0_0_0_06.2}', "");
    Expect(1, 983037, '\p{^Is_Present_In=0_0_0_0_0_06.2}', "");
    Expect(1, 983037, '\P{Is_Present_In=0_0_0_0_0_06.2}', "");
    Expect(0, 983037, '\P{^Is_Present_In=0_0_0_0_0_06.2}', "");
    Error('\p{Is_In=_/a/V6_2}');
    Error('\P{Is_In=_/a/V6_2}');
    Expect(1, 983040, '\p{Is_In=v62}', "");
    Expect(0, 983040, '\p{^Is_In=v62}', "");
    Expect(0, 983040, '\P{Is_In=v62}', "");
    Expect(1, 983040, '\P{^Is_In=v62}', "");
    Expect(0, 983037, '\p{Is_In=v62}', "");
    Expect(1, 983037, '\p{^Is_In=v62}', "");
    Expect(1, 983037, '\P{Is_In=v62}', "");
    Expect(0, 983037, '\P{^Is_In=v62}', "");
    Expect(1, 983040, '\p{Is_In=- v6_2}', "");
    Expect(0, 983040, '\p{^Is_In=- v6_2}', "");
    Expect(0, 983040, '\P{Is_In=- v6_2}', "");
    Expect(1, 983040, '\P{^Is_In=- v6_2}', "");
    Expect(0, 983037, '\p{Is_In=- v6_2}', "");
    Expect(1, 983037, '\p{^Is_In=- v6_2}', "");
    Expect(1, 983037, '\P{Is_In=- v6_2}', "");
    Expect(0, 983037, '\P{^Is_In=- v6_2}', "");
    Error('\p{Present_In=	-00006.3/a/}');
    Error('\P{Present_In=	-00006.3/a/}');
    Expect(1, 983040, '\p{Present_In=:\A6.3\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A6.3\z:}', "");;
    Expect(1, 983040, '\p{Present_In=+00_00_00_06.3}', "");
    Expect(0, 983040, '\p{^Present_In=+00_00_00_06.3}', "");
    Expect(0, 983040, '\P{Present_In=+00_00_00_06.3}', "");
    Expect(1, 983040, '\P{^Present_In=+00_00_00_06.3}', "");
    Expect(0, 983037, '\p{Present_In=+00_00_00_06.3}', "");
    Expect(1, 983037, '\p{^Present_In=+00_00_00_06.3}', "");
    Expect(1, 983037, '\P{Present_In=+00_00_00_06.3}', "");
    Expect(0, 983037, '\P{^Present_In=+00_00_00_06.3}', "");
    Error('\p{In=	 V6_3/a/}');
    Error('\P{In=	 V6_3/a/}');
    Expect(1, 983040, '\p{In=:\AV6_3\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV6_3\z:}', "");;
    Expect(1, 983040, '\p{In:   v63}', "");
    Expect(0, 983040, '\p{^In:   v63}', "");
    Expect(0, 983040, '\P{In:   v63}', "");
    Expect(1, 983040, '\P{^In:   v63}', "");
    Expect(0, 983037, '\p{In:   v63}', "");
    Expect(1, 983037, '\p{^In:   v63}', "");
    Expect(1, 983037, '\P{In:   v63}', "");
    Expect(0, 983037, '\P{^In:   v63}', "");
    Expect(1, 983040, '\p{In=:\Av63\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av63\z:}', "");;
    Expect(1, 983040, '\p{In=		V6_3}', "");
    Expect(0, 983040, '\p{^In=		V6_3}', "");
    Expect(0, 983040, '\P{In=		V6_3}', "");
    Expect(1, 983040, '\P{^In=		V6_3}', "");
    Expect(0, 983037, '\p{In=		V6_3}', "");
    Expect(1, 983037, '\p{^In=		V6_3}', "");
    Expect(1, 983037, '\P{In=		V6_3}', "");
    Expect(0, 983037, '\P{^In=		V6_3}', "");
    Error('\p{Is_Present_In=-_00_00_00_06.3/a/}');
    Error('\P{Is_Present_In=-_00_00_00_06.3/a/}');
    Expect(1, 983040, '\p{Is_Present_In=+0_6.3}', "");
    Expect(0, 983040, '\p{^Is_Present_In=+0_6.3}', "");
    Expect(0, 983040, '\P{Is_Present_In=+0_6.3}', "");
    Expect(1, 983040, '\P{^Is_Present_In=+0_6.3}', "");
    Expect(0, 983037, '\p{Is_Present_In=+0_6.3}', "");
    Expect(1, 983037, '\p{^Is_Present_In=+0_6.3}', "");
    Expect(1, 983037, '\P{Is_Present_In=+0_6.3}', "");
    Expect(0, 983037, '\P{^Is_Present_In=+0_6.3}', "");
    Error('\p{Is_In=:=_V6_3}');
    Error('\P{Is_In=:=_V6_3}');
    Expect(1, 983040, '\p{Is_In=v63}', "");
    Expect(0, 983040, '\p{^Is_In=v63}', "");
    Expect(0, 983040, '\P{Is_In=v63}', "");
    Expect(1, 983040, '\P{^Is_In=v63}', "");
    Expect(0, 983037, '\p{Is_In=v63}', "");
    Expect(1, 983037, '\p{^Is_In=v63}', "");
    Expect(1, 983037, '\P{Is_In=v63}', "");
    Expect(0, 983037, '\P{^Is_In=v63}', "");
    Expect(1, 983040, '\p{Is_In=_v6_3}', "");
    Expect(0, 983040, '\p{^Is_In=_v6_3}', "");
    Expect(0, 983040, '\P{Is_In=_v6_3}', "");
    Expect(1, 983040, '\P{^Is_In=_v6_3}', "");
    Expect(0, 983037, '\p{Is_In=_v6_3}', "");
    Expect(1, 983037, '\p{^Is_In=_v6_3}', "");
    Expect(1, 983037, '\P{Is_In=_v6_3}', "");
    Expect(0, 983037, '\P{^Is_In=_v6_3}', "");
    Error('\p{Present_In= -+07.0/a/}');
    Error('\P{Present_In= -+07.0/a/}');
    Expect(1, 983040, '\p{Present_In=:\A7.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A7.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=00_7.0}', "");
    Expect(0, 983040, '\p{^Present_In=00_7.0}', "");
    Expect(0, 983040, '\P{Present_In=00_7.0}', "");
    Expect(1, 983040, '\P{^Present_In=00_7.0}', "");
    Expect(0, 983037, '\p{Present_In=00_7.0}', "");
    Expect(1, 983037, '\p{^Present_In=00_7.0}', "");
    Expect(1, 983037, '\P{Present_In=00_7.0}', "");
    Expect(0, 983037, '\P{^Present_In=00_7.0}', "");
    Error('\p{In=	-V7_0:=}');
    Error('\P{In=	-V7_0:=}');
    Expect(1, 983040, '\p{In=:\AV7_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV7_0\z:}', "");;
    Expect(1, 983040, '\p{In=v70}', "");
    Expect(0, 983040, '\p{^In=v70}', "");
    Expect(0, 983040, '\P{In=v70}', "");
    Expect(1, 983040, '\P{^In=v70}', "");
    Expect(0, 983037, '\p{In=v70}', "");
    Expect(1, 983037, '\p{^In=v70}', "");
    Expect(1, 983037, '\P{In=v70}', "");
    Expect(0, 983037, '\P{^In=v70}', "");
    Expect(1, 983040, '\p{In=:\Av70\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av70\z:}', "");;
    Expect(1, 983040, '\p{In=__V7_0}', "");
    Expect(0, 983040, '\p{^In=__V7_0}', "");
    Expect(0, 983040, '\P{In=__V7_0}', "");
    Expect(1, 983040, '\P{^In=__V7_0}', "");
    Expect(0, 983037, '\p{In=__V7_0}', "");
    Expect(1, 983037, '\p{^In=__V7_0}', "");
    Expect(1, 983037, '\P{In=__V7_0}', "");
    Expect(0, 983037, '\P{^In=__V7_0}', "");
    Error('\p{Is_Present_In=/a/-_+0_0_0_0_0007.0}');
    Error('\P{Is_Present_In=/a/-_+0_0_0_0_0007.0}');
    Expect(1, 983040, '\p{Is_Present_In=0_0_0_0_007.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=0_0_0_0_007.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=0_0_0_0_007.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=0_0_0_0_007.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=0_0_0_0_007.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=0_0_0_0_007.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=0_0_0_0_007.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=0_0_0_0_007.0}', "");
    Error('\p{Is_In= /a/V7_0}');
    Error('\P{Is_In= /a/V7_0}');
    Expect(1, 983040, '\p{Is_In=v70}', "");
    Expect(0, 983040, '\p{^Is_In=v70}', "");
    Expect(0, 983040, '\P{Is_In=v70}', "");
    Expect(1, 983040, '\P{^Is_In=v70}', "");
    Expect(0, 983037, '\p{Is_In=v70}', "");
    Expect(1, 983037, '\p{^Is_In=v70}', "");
    Expect(1, 983037, '\P{Is_In=v70}', "");
    Expect(0, 983037, '\P{^Is_In=v70}', "");
    Expect(1, 983040, '\p{Is_In:-	V7_0}', "");
    Expect(0, 983040, '\p{^Is_In:-	V7_0}', "");
    Expect(0, 983040, '\P{Is_In:-	V7_0}', "");
    Expect(1, 983040, '\P{^Is_In:-	V7_0}', "");
    Expect(0, 983037, '\p{Is_In:-	V7_0}', "");
    Expect(1, 983037, '\p{^Is_In:-	V7_0}', "");
    Expect(1, 983037, '\P{Is_In:-	V7_0}', "");
    Expect(0, 983037, '\P{^Is_In:-	V7_0}', "");
    Error('\p{Present_In:   :=000000008.0}');
    Error('\P{Present_In:   :=000000008.0}');
    Expect(1, 983040, '\p{Present_In=:\A8.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A8.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=0000000008.0}', "");
    Expect(0, 983040, '\p{^Present_In=0000000008.0}', "");
    Expect(0, 983040, '\P{Present_In=0000000008.0}', "");
    Expect(1, 983040, '\P{^Present_In=0000000008.0}', "");
    Expect(0, 983037, '\p{Present_In=0000000008.0}', "");
    Expect(1, 983037, '\p{^Present_In=0000000008.0}', "");
    Expect(1, 983037, '\P{Present_In=0000000008.0}', "");
    Expect(0, 983037, '\P{^Present_In=0000000008.0}', "");
    Error('\p{In:   -/a/V8_0}');
    Error('\P{In:   -/a/V8_0}');
    Expect(1, 983040, '\p{In=:\AV8_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV8_0\z:}', "");;
    Expect(1, 983040, '\p{In=v80}', "");
    Expect(0, 983040, '\p{^In=v80}', "");
    Expect(0, 983040, '\P{In=v80}', "");
    Expect(1, 983040, '\P{^In=v80}', "");
    Expect(0, 983037, '\p{In=v80}', "");
    Expect(1, 983037, '\p{^In=v80}', "");
    Expect(1, 983037, '\P{In=v80}', "");
    Expect(0, 983037, '\P{^In=v80}', "");
    Expect(1, 983040, '\p{In=:\Av80\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av80\z:}', "");;
    Expect(1, 983040, '\p{In=_ v8_0}', "");
    Expect(0, 983040, '\p{^In=_ v8_0}', "");
    Expect(0, 983040, '\P{In=_ v8_0}', "");
    Expect(1, 983040, '\P{^In=_ v8_0}', "");
    Expect(0, 983037, '\p{In=_ v8_0}', "");
    Expect(1, 983037, '\p{^In=_ v8_0}', "");
    Expect(1, 983037, '\P{In=_ v8_0}', "");
    Expect(0, 983037, '\P{^In=_ v8_0}', "");
    Error('\p{Is_Present_In=_0008.0:=}');
    Error('\P{Is_Present_In=_0008.0:=}');
    Expect(1, 983040, '\p{Is_Present_In=000008.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=000008.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=000008.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=000008.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=000008.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=000008.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=000008.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=000008.0}', "");
    Error('\p{Is_In= V8_0/a/}');
    Error('\P{Is_In= V8_0/a/}');
    Expect(1, 983040, '\p{Is_In=v80}', "");
    Expect(0, 983040, '\p{^Is_In=v80}', "");
    Expect(0, 983040, '\P{Is_In=v80}', "");
    Expect(1, 983040, '\P{^Is_In=v80}', "");
    Expect(0, 983037, '\p{Is_In=v80}', "");
    Expect(1, 983037, '\p{^Is_In=v80}', "");
    Expect(1, 983037, '\P{Is_In=v80}', "");
    Expect(0, 983037, '\P{^Is_In=v80}', "");
    Expect(1, 983040, '\p{Is_In=_V8_0}', "");
    Expect(0, 983040, '\p{^Is_In=_V8_0}', "");
    Expect(0, 983040, '\P{Is_In=_V8_0}', "");
    Expect(1, 983040, '\P{^Is_In=_V8_0}', "");
    Expect(0, 983037, '\p{Is_In=_V8_0}', "");
    Expect(1, 983037, '\p{^Is_In=_V8_0}', "");
    Expect(1, 983037, '\P{Is_In=_V8_0}', "");
    Expect(0, 983037, '\P{^Is_In=_V8_0}', "");
    Error('\p{Present_In=:=--000009.0}');
    Error('\P{Present_In=:=--000009.0}');
    Expect(1, 983040, '\p{Present_In=:\A9.0\z:}', "");;
    Expect(0, 983037, '\p{Present_In=:\A9.0\z:}', "");;
    Expect(1, 983040, '\p{Present_In=+0_0_0_0_009.0}', "");
    Expect(0, 983040, '\p{^Present_In=+0_0_0_0_009.0}', "");
    Expect(0, 983040, '\P{Present_In=+0_0_0_0_009.0}', "");
    Expect(1, 983040, '\P{^Present_In=+0_0_0_0_009.0}', "");
    Expect(0, 983037, '\p{Present_In=+0_0_0_0_009.0}', "");
    Expect(1, 983037, '\p{^Present_In=+0_0_0_0_009.0}', "");
    Expect(1, 983037, '\P{Present_In=+0_0_0_0_009.0}', "");
    Expect(0, 983037, '\P{^Present_In=+0_0_0_0_009.0}', "");
    Error('\p{In= :=v9_0}');
    Error('\P{In= :=v9_0}');
    Expect(1, 983040, '\p{In=:\AV9_0\z:}', "");;
    Expect(0, 983037, '\p{In=:\AV9_0\z:}', "");;
    Expect(1, 983040, '\p{In=v90}', "");
    Expect(0, 983040, '\p{^In=v90}', "");
    Expect(0, 983040, '\P{In=v90}', "");
    Expect(1, 983040, '\P{^In=v90}', "");
    Expect(0, 983037, '\p{In=v90}', "");
    Expect(1, 983037, '\p{^In=v90}', "");
    Expect(1, 983037, '\P{In=v90}', "");
    Expect(0, 983037, '\P{^In=v90}', "");
    Expect(1, 983040, '\p{In=:\Av90\z:}', "");;
    Expect(0, 983037, '\p{In=:\Av90\z:}', "");;
    Expect(1, 983040, '\p{In: _ v9_0}', "");
    Expect(0, 983040, '\p{^In: _ v9_0}', "");
    Expect(0, 983040, '\P{In: _ v9_0}', "");
    Expect(1, 983040, '\P{^In: _ v9_0}', "");
    Expect(0, 983037, '\p{In: _ v9_0}', "");
    Expect(1, 983037, '\p{^In: _ v9_0}', "");
    Expect(1, 983037, '\P{In: _ v9_0}', "");
    Expect(0, 983037, '\P{^In: _ v9_0}', "");
    Error('\p{Is_Present_In=/a/-_0009.0}');
    Error('\P{Is_Present_In=/a/-_0009.0}');
    Expect(1, 983040, '\p{Is_Present_In=000000009.0}', "");
    Expect(0, 983040, '\p{^Is_Present_In=000000009.0}', "");
    Expect(0, 983040, '\P{Is_Present_In=000000009.0}', "");
    Expect(1, 983040, '\P{^Is_Present_In=000000009.0}', "");
    Expect(0, 983037, '\p{Is_Present_In=000000009.0}', "");
    Expect(1, 983037, '\p{^Is_Present_In=000000009.0}', "");
    Expect(1, 983037, '\P{Is_Present_In=000000009.0}', "");
    Expect(0, 983037, '\P{^Is_Present_In=000000009.0}', "");
    Error('\p{Is_In=/a/V9_0}');
    Error('\P{Is_In=/a/V9_0}');
    Expect(1, 983040, '\p{Is_In=v90}', "");
    Expect(0, 983040, '\p{^Is_In=v90}', "");
    Expect(0, 983040, '\P{Is_In=v90}', "");
    Expect(1, 983040, '\P{^Is_In=v90}', "");
    Expect(0, 983037, '\p{Is_In=v90}', "");
    Expect(1, 983037, '\p{^Is_In=v90}', "");
    Expect(1, 983037, '\P{Is_In=v90}', "");
    Expect(0, 983037, '\P{^Is_In=v90}', "");
    Expect(1, 983040, '\p{Is_In=_	V9_0}', "");
    Expect(0, 983040, '\p{^Is_In=_	V9_0}', "");
    Expect(0, 983040, '\P{Is_In=_	V9_0}', "");
    Expect(1, 983040, '\P{^Is_In=_	V9_0}', "");
    Expect(0, 983037, '\p{Is_In=_	V9_0}', "");
    Expect(1, 983037, '\p{^Is_In=_	V9_0}', "");
    Expect(1, 983037, '\P{Is_In=_	V9_0}', "");
    Expect(0, 983037, '\P{^Is_In=_	V9_0}', "");
    Error('\p{Present_In=-:=UNASSIGNED}');
    Error('\P{Present_In=-:=UNASSIGNED}');
    Expect(1, 983037, '\p{Present_In=:\AUnassigned\z:}', "");;
    Expect(0, 983040, '\p{Present_In=:\AUnassigned\z:}', "");;
    Expect(1, 983037, '\p{Present_In=unassigned}', "");
    Expect(0, 983037, '\p{^Present_In=unassigned}', "");
    Expect(0, 983037, '\P{Present_In=unassigned}', "");
    Expect(1, 983037, '\P{^Present_In=unassigned}', "");
    Expect(0, 983040, '\p{Present_In=unassigned}', "");
    Expect(1, 983040, '\p{^Present_In=unassigned}', "");
    Expect(1, 983040, '\P{Present_In=unassigned}', "");
    Expect(0, 983040, '\P{^Present_In=unassigned}', "");
    Expect(1, 983037, '\p{Present_In=:\Aunassigned\z:}', "");;
    Expect(0, 983040, '\p{Present_In=:\Aunassigned\z:}', "");;
    Expect(1, 983037, '\p{Present_In=--Unassigned}', "");
    Expect(0, 983037, '\p{^Present_In=--Unassigned}', "");
    Expect(0, 983037, '\P{Present_In=--Unassigned}', "");
    Expect(1, 983037, '\P{^Present_In=--Unassigned}', "");
    Expect(0, 983040, '\p{Present_In=--Unassigned}', "");
    Expect(1, 983040, '\p{^Present_In=--Unassigned}', "");
    Expect(1, 983040, '\P{Present_In=--Unassigned}', "");
    Expect(0, 983040, '\P{^Present_In=--Unassigned}', "");
    Error('\p{In=/a/- NA}');
    Error('\P{In=/a/- NA}');
    Expect(1, 983037, '\p{In=:\ANA\z:}', "");;
    Expect(0, 983040, '\p{In=:\ANA\z:}', "");;
    Expect(1, 983037, '\p{In=na}', "");
    Expect(0, 983037, '\p{^In=na}', "");
    Expect(0, 983037, '\P{In=na}', "");
    Expect(1, 983037, '\P{^In=na}', "");
    Expect(0, 983040, '\p{In=na}', "");
    Expect(1, 983040, '\p{^In=na}', "");
    Expect(1, 983040, '\P{In=na}', "");
    Expect(0, 983040, '\P{^In=na}', "");
    Expect(1, 983037, '\p{In=:\Ana\z:}', "");;
    Expect(0, 983040, '\p{In=:\Ana\z:}', "");;
    Expect(1, 983037, '\p{In:__NA}', "");
    Expect(0, 983037, '\p{^In:__NA}', "");
    Expect(0, 983037, '\P{In:__NA}', "");
    Expect(1, 983037, '\P{^In:__NA}', "");
    Expect(0, 983040, '\p{In:__NA}', "");
    Expect(1, 983040, '\p{^In:__NA}', "");
    Expect(1, 983040, '\P{In:__NA}', "");
    Expect(0, 983040, '\P{^In:__NA}', "");
    Error('\p{Is_Present_In=/a/UNASSIGNED}');
    Error('\P{Is_Present_In=/a/UNASSIGNED}');
    Expect(1, 983037, '\p{Is_Present_In=unassigned}', "");
    Expect(0, 983037, '\p{^Is_Present_In=unassigned}', "");
    Expect(0, 983037, '\P{Is_Present_In=unassigned}', "");
    Expect(1, 983037, '\P{^Is_Present_In=unassigned}', "");
    Expect(0, 983040, '\p{Is_Present_In=unassigned}', "");
    Expect(1, 983040, '\p{^Is_Present_In=unassigned}', "");
    Expect(1, 983040, '\P{Is_Present_In=unassigned}', "");
    Expect(0, 983040, '\P{^Is_Present_In=unassigned}', "");
    Expect(1, 983037, '\p{Is_Present_In:   --unassigned}', "");
    Expect(0, 983037, '\p{^Is_Present_In:   --unassigned}', "");
    Expect(0, 983037, '\P{Is_Present_In:   --unassigned}', "");
    Expect(1, 983037, '\P{^Is_Present_In:   --unassigned}', "");
    Expect(0, 983040, '\p{Is_Present_In:   --unassigned}', "");
    Expect(1, 983040, '\p{^Is_Present_In:   --unassigned}', "");
    Expect(1, 983040, '\P{Is_Present_In:   --unassigned}', "");
    Expect(0, 983040, '\P{^Is_Present_In:   --unassigned}', "");
    Error('\p{Is_In=-na/a/}');
    Error('\P{Is_In=-na/a/}');
    Expect(1, 983037, '\p{Is_In=na}', "");
    Expect(0, 983037, '\p{^Is_In=na}', "");
    Expect(0, 983037, '\P{Is_In=na}', "");
    Expect(1, 983037, '\P{^Is_In=na}', "");
    Expect(0, 983040, '\p{Is_In=na}', "");
    Expect(1, 983040, '\p{^Is_In=na}', "");
    Expect(1, 983040, '\P{Is_In=na}', "");
    Expect(0, 983040, '\P{^Is_In=na}', "");
    Expect(1, 983037, '\p{Is_In=__NA}', "");
    Expect(0, 983037, '\p{^Is_In=__NA}', "");
    Expect(0, 983037, '\P{Is_In=__NA}', "");
    Expect(1, 983037, '\P{^Is_In=__NA}', "");
    Expect(0, 983040, '\p{Is_In=__NA}', "");
    Expect(1, 983040, '\p{^Is_In=__NA}', "");
    Expect(1, 983040, '\P{Is_In=__NA}', "");
    Expect(0, 983040, '\P{^Is_In=__NA}', "");
    Error('\p{indicpositionalcategory}');
    Error('\P{indicpositionalcategory}');
    Error('\p{inpc}');
    Error('\P{inpc}');
    Error('\p{Indic_Positional_Category=/a/		Bottom}');
    Error('\P{Indic_Positional_Category=/a/		Bottom}');
    Expect(1, 73460, '\p{Indic_Positional_Category=:\ABottom\z:}', "");;
    Expect(0, 73461, '\p{Indic_Positional_Category=:\ABottom\z:}', "");;
    Expect(1, 73460, '\p{Indic_Positional_Category=bottom}', "");
    Expect(0, 73460, '\p{^Indic_Positional_Category=bottom}', "");
    Expect(0, 73460, '\P{Indic_Positional_Category=bottom}', "");
    Expect(1, 73460, '\P{^Indic_Positional_Category=bottom}', "");
    Expect(0, 73461, '\p{Indic_Positional_Category=bottom}', "");
    Expect(1, 73461, '\p{^Indic_Positional_Category=bottom}', "");
    Expect(1, 73461, '\P{Indic_Positional_Category=bottom}', "");
    Expect(0, 73461, '\P{^Indic_Positional_Category=bottom}', "");
    Expect(1, 73460, '\p{Indic_Positional_Category=:\Abottom\z:}', "");;
    Expect(0, 73461, '\p{Indic_Positional_Category=:\Abottom\z:}', "");;
    Expect(1, 73460, '\p{Indic_Positional_Category=		bottom}', "");
    Expect(0, 73460, '\p{^Indic_Positional_Category=		bottom}', "");
    Expect(0, 73460, '\P{Indic_Positional_Category=		bottom}', "");
    Expect(1, 73460, '\P{^Indic_Positional_Category=		bottom}', "");
    Expect(0, 73461, '\p{Indic_Positional_Category=		bottom}', "");
    Expect(1, 73461, '\p{^Indic_Positional_Category=		bottom}', "");
    Expect(1, 73461, '\P{Indic_Positional_Category=		bottom}', "");
    Expect(0, 73461, '\P{^Indic_Positional_Category=		bottom}', "");
    Error('\p{InPC=	BOTTOM/a/}');
    Error('\P{InPC=	BOTTOM/a/}');
    Expect(1, 73460, '\p{InPC=:\ABottom\z:}', "");;
    Expect(0, 73461, '\p{InPC=:\ABottom\z:}', "");;
    Expect(1, 73460, '\p{InPC=bottom}', "");
    Expect(0, 73460, '\p{^InPC=bottom}', "");
    Expect(0, 73460, '\P{InPC=bottom}', "");
    Expect(1, 73460, '\P{^InPC=bottom}', "");
    Expect(0, 73461, '\p{InPC=bottom}', "");
    Expect(1, 73461, '\p{^InPC=bottom}', "");
    Expect(1, 73461, '\P{InPC=bottom}', "");
    Expect(0, 73461, '\P{^InPC=bottom}', "");
    Expect(1, 73460, '\p{InPC=:\Abottom\z:}', "");;
    Expect(0, 73461, '\p{InPC=:\Abottom\z:}', "");;
    Expect(1, 73460, '\p{InPC=  Bottom}', "");
    Expect(0, 73460, '\p{^InPC=  Bottom}', "");
    Expect(0, 73460, '\P{InPC=  Bottom}', "");
    Expect(1, 73460, '\P{^InPC=  Bottom}', "");
    Expect(0, 73461, '\p{InPC=  Bottom}', "");
    Expect(1, 73461, '\p{^InPC=  Bottom}', "");
    Expect(1, 73461, '\P{InPC=  Bottom}', "");
    Expect(0, 73461, '\P{^InPC=  Bottom}', "");
    Error('\p{Is_Indic_Positional_Category=	 Bottom/a/}');
    Error('\P{Is_Indic_Positional_Category=	 Bottom/a/}');
    Expect(1, 73460, '\p{Is_Indic_Positional_Category=bottom}', "");
    Expect(0, 73460, '\p{^Is_Indic_Positional_Category=bottom}', "");
    Expect(0, 73460, '\P{Is_Indic_Positional_Category=bottom}', "");
    Expect(1, 73460, '\P{^Is_Indic_Positional_Category=bottom}', "");
    Expect(0, 73461, '\p{Is_Indic_Positional_Category=bottom}', "");
    Expect(1, 73461, '\p{^Is_Indic_Positional_Category=bottom}', "");
    Expect(1, 73461, '\P{Is_Indic_Positional_Category=bottom}', "");
    Expect(0, 73461, '\P{^Is_Indic_Positional_Category=bottom}', "");
    Expect(1, 73460, '\p{Is_Indic_Positional_Category=- Bottom}', "");
    Expect(0, 73460, '\p{^Is_Indic_Positional_Category=- Bottom}', "");
    Expect(0, 73460, '\P{Is_Indic_Positional_Category=- Bottom}', "");
    Expect(1, 73460, '\P{^Is_Indic_Positional_Category=- Bottom}', "");
    Expect(0, 73461, '\p{Is_Indic_Positional_Category=- Bottom}', "");
    Expect(1, 73461, '\p{^Is_Indic_Positional_Category=- Bottom}', "");
    Expect(1, 73461, '\P{Is_Indic_Positional_Category=- Bottom}', "");
    Expect(0, 73461, '\P{^Is_Indic_Positional_Category=- Bottom}', "");
    Error('\p{Is_InPC=:=	_bottom}');
    Error('\P{Is_InPC=:=	_bottom}');
    Expect(1, 73460, '\p{Is_InPC=bottom}', "");
    Expect(0, 73460, '\p{^Is_InPC=bottom}', "");
    Expect(0, 73460, '\P{Is_InPC=bottom}', "");
    Expect(1, 73460, '\P{^Is_InPC=bottom}', "");
    Expect(0, 73461, '\p{Is_InPC=bottom}', "");
    Expect(1, 73461, '\p{^Is_InPC=bottom}', "");
    Expect(1, 73461, '\P{Is_InPC=bottom}', "");
    Expect(0, 73461, '\P{^Is_InPC=bottom}', "");
    Expect(1, 73460, '\p{Is_InPC=  Bottom}', "");
    Expect(0, 73460, '\p{^Is_InPC=  Bottom}', "");
    Expect(0, 73460, '\P{Is_InPC=  Bottom}', "");
    Expect(1, 73460, '\P{^Is_InPC=  Bottom}', "");
    Expect(0, 73461, '\p{Is_InPC=  Bottom}', "");
    Expect(1, 73461, '\p{^Is_InPC=  Bottom}', "");
    Expect(1, 73461, '\P{Is_InPC=  Bottom}', "");
    Expect(0, 73461, '\P{^Is_InPC=  Bottom}', "");
    Error('\p{Indic_Positional_Category:    :=Bottom_AND_left}');
    Error('\P{Indic_Positional_Category:    :=Bottom_AND_left}');
    Expect(1, 43455, '\p{Indic_Positional_Category=:\ABottom_And_Left\z:}', "");;
    Expect(0, 43456, '\p{Indic_Positional_Category=:\ABottom_And_Left\z:}', "");;
    Expect(1, 43455, '\p{Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43455, '\p{^Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43455, '\P{Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43455, '\P{^Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43456, '\p{Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43456, '\p{^Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43456, '\P{Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43456, '\P{^Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43455, '\p{Indic_Positional_Category=:\Abottomandleft\z:}', "");;
    Expect(0, 43456, '\p{Indic_Positional_Category=:\Abottomandleft\z:}', "");;
    Expect(1, 43455, '\p{Indic_Positional_Category=	 Bottom_And_Left}', "");
    Expect(0, 43455, '\p{^Indic_Positional_Category=	 Bottom_And_Left}', "");
    Expect(0, 43455, '\P{Indic_Positional_Category=	 Bottom_And_Left}', "");
    Expect(1, 43455, '\P{^Indic_Positional_Category=	 Bottom_And_Left}', "");
    Expect(0, 43456, '\p{Indic_Positional_Category=	 Bottom_And_Left}', "");
    Expect(1, 43456, '\p{^Indic_Positional_Category=	 Bottom_And_Left}', "");
    Expect(1, 43456, '\P{Indic_Positional_Category=	 Bottom_And_Left}', "");
    Expect(0, 43456, '\P{^Indic_Positional_Category=	 Bottom_And_Left}', "");
    Error('\p{InPC=-:=BOTTOM_And_LEFT}');
    Error('\P{InPC=-:=BOTTOM_And_LEFT}');
    Expect(1, 43455, '\p{InPC=:\ABottom_And_Left\z:}', "");;
    Expect(0, 43456, '\p{InPC=:\ABottom_And_Left\z:}', "");;
    Expect(1, 43455, '\p{InPC:bottomandleft}', "");
    Expect(0, 43455, '\p{^InPC:bottomandleft}', "");
    Expect(0, 43455, '\P{InPC:bottomandleft}', "");
    Expect(1, 43455, '\P{^InPC:bottomandleft}', "");
    Expect(0, 43456, '\p{InPC:bottomandleft}', "");
    Expect(1, 43456, '\p{^InPC:bottomandleft}', "");
    Expect(1, 43456, '\P{InPC:bottomandleft}', "");
    Expect(0, 43456, '\P{^InPC:bottomandleft}', "");
    Expect(1, 43455, '\p{InPC=:\Abottomandleft\z:}', "");;
    Expect(0, 43456, '\p{InPC=:\Abottomandleft\z:}', "");;
    Expect(1, 43455, '\p{InPC=_ Bottom_And_Left}', "");
    Expect(0, 43455, '\p{^InPC=_ Bottom_And_Left}', "");
    Expect(0, 43455, '\P{InPC=_ Bottom_And_Left}', "");
    Expect(1, 43455, '\P{^InPC=_ Bottom_And_Left}', "");
    Expect(0, 43456, '\p{InPC=_ Bottom_And_Left}', "");
    Expect(1, 43456, '\p{^InPC=_ Bottom_And_Left}', "");
    Expect(1, 43456, '\P{InPC=_ Bottom_And_Left}', "");
    Expect(0, 43456, '\P{^InPC=_ Bottom_And_Left}', "");
    Error('\p{Is_Indic_Positional_Category=:=		Bottom_AND_left}');
    Error('\P{Is_Indic_Positional_Category=:=		Bottom_AND_left}');
    Expect(1, 43455, '\p{Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43455, '\p{^Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43455, '\P{Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43455, '\P{^Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43456, '\p{Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43456, '\p{^Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43456, '\P{Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(0, 43456, '\P{^Is_Indic_Positional_Category=bottomandleft}', "");
    Expect(1, 43455, '\p{Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Expect(0, 43455, '\p{^Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Expect(0, 43455, '\P{Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Expect(1, 43455, '\P{^Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Expect(0, 43456, '\p{Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Expect(1, 43456, '\p{^Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Expect(1, 43456, '\P{Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Expect(0, 43456, '\P{^Is_Indic_Positional_Category=	 bottom_And_LEFT}', "");
    Error('\p{Is_InPC=/a/	Bottom_And_Left}');
    Error('\P{Is_InPC=/a/	Bottom_And_Left}');
    Expect(1, 43455, '\p{Is_InPC=bottomandleft}', "");
    Expect(0, 43455, '\p{^Is_InPC=bottomandleft}', "");
    Expect(0, 43455, '\P{Is_InPC=bottomandleft}', "");
    Expect(1, 43455, '\P{^Is_InPC=bottomandleft}', "");
    Expect(0, 43456, '\p{Is_InPC=bottomandleft}', "");
    Expect(1, 43456, '\p{^Is_InPC=bottomandleft}', "");
    Expect(1, 43456, '\P{Is_InPC=bottomandleft}', "");
    Expect(0, 43456, '\P{^Is_InPC=bottomandleft}', "");
    Expect(1, 43455, '\p{Is_InPC=_-Bottom_And_LEFT}', "");
    Expect(0, 43455, '\p{^Is_InPC=_-Bottom_And_LEFT}', "");
    Expect(0, 43455, '\P{Is_InPC=_-Bottom_And_LEFT}', "");
    Expect(1, 43455, '\P{^Is_InPC=_-Bottom_And_LEFT}', "");
    Expect(0, 43456, '\p{Is_InPC=_-Bottom_And_LEFT}', "");
    Expect(1, 43456, '\p{^Is_InPC=_-Bottom_And_LEFT}', "");
    Expect(1, 43456, '\P{Is_InPC=_-Bottom_And_LEFT}', "");
    Expect(0, 43456, '\P{^Is_InPC=_-Bottom_And_LEFT}', "");
    Error('\p{Indic_Positional_Category=	Bottom_And_RIGHT:=}');
    Error('\P{Indic_Positional_Category=	Bottom_And_RIGHT:=}');
    Expect(1, 72002, '\p{Indic_Positional_Category=:\ABottom_And_Right\z:}', "");;
    Expect(0, 72003, '\p{Indic_Positional_Category=:\ABottom_And_Right\z:}', "");;
    Expect(1, 72002, '\p{Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72002, '\p{^Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72002, '\P{Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72002, '\P{^Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72003, '\p{Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72003, '\p{^Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72003, '\P{Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72003, '\P{^Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72002, '\p{Indic_Positional_Category=:\Abottomandright\z:}', "");;
    Expect(0, 72003, '\p{Indic_Positional_Category=:\Abottomandright\z:}', "");;
    Expect(1, 72002, '\p{Indic_Positional_Category:   	Bottom_And_Right}', "");
    Expect(0, 72002, '\p{^Indic_Positional_Category:   	Bottom_And_Right}', "");
    Expect(0, 72002, '\P{Indic_Positional_Category:   	Bottom_And_Right}', "");
    Expect(1, 72002, '\P{^Indic_Positional_Category:   	Bottom_And_Right}', "");
    Expect(0, 72003, '\p{Indic_Positional_Category:   	Bottom_And_Right}', "");
    Expect(1, 72003, '\p{^Indic_Positional_Category:   	Bottom_And_Right}', "");
    Expect(1, 72003, '\P{Indic_Positional_Category:   	Bottom_And_Right}', "");
    Expect(0, 72003, '\P{^Indic_Positional_Category:   	Bottom_And_Right}', "");
    Error('\p{InPC:   -/a/Bottom_And_Right}');
    Error('\P{InPC:   -/a/Bottom_And_Right}');
    Expect(1, 72002, '\p{InPC=:\ABottom_And_Right\z:}', "");;
    Expect(0, 72003, '\p{InPC=:\ABottom_And_Right\z:}', "");;
    Expect(1, 72002, '\p{InPC: bottomandright}', "");
    Expect(0, 72002, '\p{^InPC: bottomandright}', "");
    Expect(0, 72002, '\P{InPC: bottomandright}', "");
    Expect(1, 72002, '\P{^InPC: bottomandright}', "");
    Expect(0, 72003, '\p{InPC: bottomandright}', "");
    Expect(1, 72003, '\p{^InPC: bottomandright}', "");
    Expect(1, 72003, '\P{InPC: bottomandright}', "");
    Expect(0, 72003, '\P{^InPC: bottomandright}', "");
    Expect(1, 72002, '\p{InPC=:\Abottomandright\z:}', "");;
    Expect(0, 72003, '\p{InPC=:\Abottomandright\z:}', "");;
    Expect(1, 72002, '\p{InPC= BOTTOM_and_RIGHT}', "");
    Expect(0, 72002, '\p{^InPC= BOTTOM_and_RIGHT}', "");
    Expect(0, 72002, '\P{InPC= BOTTOM_and_RIGHT}', "");
    Expect(1, 72002, '\P{^InPC= BOTTOM_and_RIGHT}', "");
    Expect(0, 72003, '\p{InPC= BOTTOM_and_RIGHT}', "");
    Expect(1, 72003, '\p{^InPC= BOTTOM_and_RIGHT}', "");
    Expect(1, 72003, '\P{InPC= BOTTOM_and_RIGHT}', "");
    Expect(0, 72003, '\P{^InPC= BOTTOM_and_RIGHT}', "");
    Error('\p{Is_Indic_Positional_Category=	-Bottom_and_right/a/}');
    Error('\P{Is_Indic_Positional_Category=	-Bottom_and_right/a/}');
    Expect(1, 72002, '\p{Is_Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72002, '\p{^Is_Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72002, '\P{Is_Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72002, '\P{^Is_Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72003, '\p{Is_Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72003, '\p{^Is_Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72003, '\P{Is_Indic_Positional_Category=bottomandright}', "");
    Expect(0, 72003, '\P{^Is_Indic_Positional_Category=bottomandright}', "");
    Expect(1, 72002, '\p{Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Expect(0, 72002, '\p{^Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Expect(0, 72002, '\P{Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Expect(1, 72002, '\P{^Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Expect(0, 72003, '\p{Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Expect(1, 72003, '\p{^Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Expect(1, 72003, '\P{Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Expect(0, 72003, '\P{^Is_Indic_Positional_Category=	-BOTTOM_And_Right}', "");
    Error('\p{Is_InPC=:=	_BOTTOM_And_Right}');
    Error('\P{Is_InPC=:=	_BOTTOM_And_Right}');
    Expect(1, 72002, '\p{Is_InPC=bottomandright}', "");
    Expect(0, 72002, '\p{^Is_InPC=bottomandright}', "");
    Expect(0, 72002, '\P{Is_InPC=bottomandright}', "");
    Expect(1, 72002, '\P{^Is_InPC=bottomandright}', "");
    Expect(0, 72003, '\p{Is_InPC=bottomandright}', "");
    Expect(1, 72003, '\p{^Is_InPC=bottomandright}', "");
    Expect(1, 72003, '\P{Is_InPC=bottomandright}', "");
    Expect(0, 72003, '\P{^Is_InPC=bottomandright}', "");
    Expect(1, 72002, '\p{Is_InPC= BOTTOM_AND_Right}', "");
    Expect(0, 72002, '\p{^Is_InPC= BOTTOM_AND_Right}', "");
    Expect(0, 72002, '\P{Is_InPC= BOTTOM_AND_Right}', "");
    Expect(1, 72002, '\P{^Is_InPC= BOTTOM_AND_Right}', "");
    Expect(0, 72003, '\p{Is_InPC= BOTTOM_AND_Right}', "");
    Expect(1, 72003, '\p{^Is_InPC= BOTTOM_AND_Right}', "");
    Expect(1, 72003, '\P{Is_InPC= BOTTOM_AND_Right}', "");
    Expect(0, 72003, '\P{^Is_InPC= BOTTOM_AND_Right}', "");
    Error('\p{Indic_Positional_Category=:=	-LEFT}');
    Error('\P{Indic_Positional_Category=:=	-LEFT}');
    Expect(1, 73461, '\p{Indic_Positional_Category=:\ALeft\z:}', "");;
    Expect(0, 73462, '\p{Indic_Positional_Category=:\ALeft\z:}', "");;
    Expect(1, 73461, '\p{Indic_Positional_Category=left}', "");
    Expect(0, 73461, '\p{^Indic_Positional_Category=left}', "");
    Expect(0, 73461, '\P{Indic_Positional_Category=left}', "");
    Expect(1, 73461, '\P{^Indic_Positional_Category=left}', "");
    Expect(0, 73462, '\p{Indic_Positional_Category=left}', "");
    Expect(1, 73462, '\p{^Indic_Positional_Category=left}', "");
    Expect(1, 73462, '\P{Indic_Positional_Category=left}', "");
    Expect(0, 73462, '\P{^Indic_Positional_Category=left}', "");
    Expect(1, 73461, '\p{Indic_Positional_Category=:\Aleft\z:}', "");;
    Expect(0, 73462, '\p{Indic_Positional_Category=:\Aleft\z:}', "");;
    Expect(1, 73461, '\p{Indic_Positional_Category=	left}', "");
    Expect(0, 73461, '\p{^Indic_Positional_Category=	left}', "");
    Expect(0, 73461, '\P{Indic_Positional_Category=	left}', "");
    Expect(1, 73461, '\P{^Indic_Positional_Category=	left}', "");
    Expect(0, 73462, '\p{Indic_Positional_Category=	left}', "");
    Expect(1, 73462, '\p{^Indic_Positional_Category=	left}', "");
    Expect(1, 73462, '\P{Indic_Positional_Category=	left}', "");
    Expect(0, 73462, '\P{^Indic_Positional_Category=	left}', "");
    Error('\p{InPC=/a/Left}');
    Error('\P{InPC=/a/Left}');
    Expect(1, 73461, '\p{InPC=:\ALeft\z:}', "");;
    Expect(0, 73462, '\p{InPC=:\ALeft\z:}', "");;
    Expect(1, 73461, '\p{InPC=left}', "");
    Expect(0, 73461, '\p{^InPC=left}', "");
    Expect(0, 73461, '\P{InPC=left}', "");
    Expect(1, 73461, '\P{^InPC=left}', "");
    Expect(0, 73462, '\p{InPC=left}', "");
    Expect(1, 73462, '\p{^InPC=left}', "");
    Expect(1, 73462, '\P{InPC=left}', "");
    Expect(0, 73462, '\P{^InPC=left}', "");
    Expect(1, 73461, '\p{InPC=:\Aleft\z:}', "");;
    Expect(0, 73462, '\p{InPC=:\Aleft\z:}', "");;
    Expect(1, 73461, '\p{InPC=	_left}', "");
    Expect(0, 73461, '\p{^InPC=	_left}', "");
    Expect(0, 73461, '\P{InPC=	_left}', "");
    Expect(1, 73461, '\P{^InPC=	_left}', "");
    Expect(0, 73462, '\p{InPC=	_left}', "");
    Expect(1, 73462, '\p{^InPC=	_left}', "");
    Expect(1, 73462, '\P{InPC=	_left}', "");
    Expect(0, 73462, '\P{^InPC=	_left}', "");
    Error('\p{Is_Indic_Positional_Category= _Left:=}');
    Error('\P{Is_Indic_Positional_Category= _Left:=}');
    Expect(1, 73461, '\p{Is_Indic_Positional_Category:	left}', "");
    Expect(0, 73461, '\p{^Is_Indic_Positional_Category:	left}', "");
    Expect(0, 73461, '\P{Is_Indic_Positional_Category:	left}', "");
    Expect(1, 73461, '\P{^Is_Indic_Positional_Category:	left}', "");
    Expect(0, 73462, '\p{Is_Indic_Positional_Category:	left}', "");
    Expect(1, 73462, '\p{^Is_Indic_Positional_Category:	left}', "");
    Expect(1, 73462, '\P{Is_Indic_Positional_Category:	left}', "");
    Expect(0, 73462, '\P{^Is_Indic_Positional_Category:	left}', "");
    Expect(1, 73461, '\p{Is_Indic_Positional_Category=-LEFT}', "");
    Expect(0, 73461, '\p{^Is_Indic_Positional_Category=-LEFT}', "");
    Expect(0, 73461, '\P{Is_Indic_Positional_Category=-LEFT}', "");
    Expect(1, 73461, '\P{^Is_Indic_Positional_Category=-LEFT}', "");
    Expect(0, 73462, '\p{Is_Indic_Positional_Category=-LEFT}', "");
    Expect(1, 73462, '\p{^Is_Indic_Positional_Category=-LEFT}', "");
    Expect(1, 73462, '\P{Is_Indic_Positional_Category=-LEFT}', "");
    Expect(0, 73462, '\P{^Is_Indic_Positional_Category=-LEFT}', "");
    Error('\p{Is_InPC=  LEFT/a/}');
    Error('\P{Is_InPC=  LEFT/a/}');
    Expect(1, 73461, '\p{Is_InPC=left}', "");
    Expect(0, 73461, '\p{^Is_InPC=left}', "");
    Expect(0, 73461, '\P{Is_InPC=left}', "");
    Expect(1, 73461, '\P{^Is_InPC=left}', "");
    Expect(0, 73462, '\p{Is_InPC=left}', "");
    Expect(1, 73462, '\p{^Is_InPC=left}', "");
    Expect(1, 73462, '\P{Is_InPC=left}', "");
    Expect(0, 73462, '\P{^Is_InPC=left}', "");
    Expect(1, 73461, '\p{Is_InPC= Left}', "");
    Expect(0, 73461, '\p{^Is_InPC= Left}', "");
    Expect(0, 73461, '\P{Is_InPC= Left}', "");
    Expect(1, 73461, '\P{^Is_InPC= Left}', "");
    Expect(0, 73462, '\p{Is_InPC= Left}', "");
    Expect(1, 73462, '\p{^Is_InPC= Left}', "");
    Expect(1, 73462, '\P{Is_InPC= Left}', "");
    Expect(0, 73462, '\P{^Is_InPC= Left}', "");
    Error('\p{Indic_Positional_Category:	 Left_and_Right/a/}');
    Error('\P{Indic_Positional_Category:	 Left_and_Right/a/}');
    Expect(1, 71992, '\p{Indic_Positional_Category=:\ALeft_And_Right\z:}', "");;
    Expect(0, 71993, '\p{Indic_Positional_Category=:\ALeft_And_Right\z:}', "");;
    Expect(1, 71992, '\p{Indic_Positional_Category=leftandright}', "");
    Expect(0, 71992, '\p{^Indic_Positional_Category=leftandright}', "");
    Expect(0, 71992, '\P{Indic_Positional_Category=leftandright}', "");
    Expect(1, 71992, '\P{^Indic_Positional_Category=leftandright}', "");
    Expect(0, 71993, '\p{Indic_Positional_Category=leftandright}', "");
    Expect(1, 71993, '\p{^Indic_Positional_Category=leftandright}', "");
    Expect(1, 71993, '\P{Indic_Positional_Category=leftandright}', "");
    Expect(0, 71993, '\P{^Indic_Positional_Category=leftandright}', "");
    Expect(1, 71992, '\p{Indic_Positional_Category=:\Aleftandright\z:}', "");;
    Expect(0, 71993, '\p{Indic_Positional_Category=:\Aleftandright\z:}', "");;
    Expect(1, 71992, '\p{Indic_Positional_Category=_-LEFT_and_right}', "");
    Expect(0, 71992, '\p{^Indic_Positional_Category=_-LEFT_and_right}', "");
    Expect(0, 71992, '\P{Indic_Positional_Category=_-LEFT_and_right}', "");
    Expect(1, 71992, '\P{^Indic_Positional_Category=_-LEFT_and_right}', "");
    Expect(0, 71993, '\p{Indic_Positional_Category=_-LEFT_and_right}', "");
    Expect(1, 71993, '\p{^Indic_Positional_Category=_-LEFT_and_right}', "");
    Expect(1, 71993, '\P{Indic_Positional_Category=_-LEFT_and_right}', "");
    Expect(0, 71993, '\P{^Indic_Positional_Category=_-LEFT_and_right}', "");
    Error('\p{InPC=-Left_AND_Right/a/}');
    Error('\P{InPC=-Left_AND_Right/a/}');
    Expect(1, 71992, '\p{InPC=:\ALeft_And_Right\z:}', "");;
    Expect(0, 71993, '\p{InPC=:\ALeft_And_Right\z:}', "");;
    Expect(1, 71992, '\p{InPC=leftandright}', "");
    Expect(0, 71992, '\p{^InPC=leftandright}', "");
    Expect(0, 71992, '\P{InPC=leftandright}', "");
    Expect(1, 71992, '\P{^InPC=leftandright}', "");
    Expect(0, 71993, '\p{InPC=leftandright}', "");
    Expect(1, 71993, '\p{^InPC=leftandright}', "");
    Expect(1, 71993, '\P{InPC=leftandright}', "");
    Expect(0, 71993, '\P{^InPC=leftandright}', "");
    Expect(1, 71992, '\p{InPC=:\Aleftandright\z:}', "");;
    Expect(0, 71993, '\p{InPC=:\Aleftandright\z:}', "");;
    Expect(1, 71992, '\p{InPC= -left_AND_Right}', "");
    Expect(0, 71992, '\p{^InPC= -left_AND_Right}', "");
    Expect(0, 71992, '\P{InPC= -left_AND_Right}', "");
    Expect(1, 71992, '\P{^InPC= -left_AND_Right}', "");
    Expect(0, 71993, '\p{InPC= -left_AND_Right}', "");
    Expect(1, 71993, '\p{^InPC= -left_AND_Right}', "");
    Expect(1, 71993, '\P{InPC= -left_AND_Right}', "");
    Expect(0, 71993, '\P{^InPC= -left_AND_Right}', "");
    Error('\p{Is_Indic_Positional_Category=:=-LEFT_AND_RIGHT}');
    Error('\P{Is_Indic_Positional_Category=:=-LEFT_AND_RIGHT}');
    Expect(1, 71992, '\p{Is_Indic_Positional_Category=leftandright}', "");
    Expect(0, 71992, '\p{^Is_Indic_Positional_Category=leftandright}', "");
    Expect(0, 71992, '\P{Is_Indic_Positional_Category=leftandright}', "");
    Expect(1, 71992, '\P{^Is_Indic_Positional_Category=leftandright}', "");
    Expect(0, 71993, '\p{Is_Indic_Positional_Category=leftandright}', "");
    Expect(1, 71993, '\p{^Is_Indic_Positional_Category=leftandright}', "");
    Expect(1, 71993, '\P{Is_Indic_Positional_Category=leftandright}', "");
    Expect(0, 71993, '\P{^Is_Indic_Positional_Category=leftandright}', "");
    Expect(1, 71992, '\p{Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Expect(0, 71992, '\p{^Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Expect(0, 71992, '\P{Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Expect(1, 71992, '\P{^Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Expect(0, 71993, '\p{Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Expect(1, 71993, '\p{^Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Expect(1, 71993, '\P{Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Expect(0, 71993, '\P{^Is_Indic_Positional_Category=_-left_AND_Right}', "");
    Error('\p{Is_InPC=/a/	-left_And_right}');
    Error('\P{Is_InPC=/a/	-left_And_right}');
    Expect(1, 71992, '\p{Is_InPC=leftandright}', "");
    Expect(0, 71992, '\p{^Is_InPC=leftandright}', "");
    Expect(0, 71992, '\P{Is_InPC=leftandright}', "");
    Expect(1, 71992, '\P{^Is_InPC=leftandright}', "");
    Expect(0, 71993, '\p{Is_InPC=leftandright}', "");
    Expect(1, 71993, '\p{^Is_InPC=leftandright}', "");
    Expect(1, 71993, '\P{Is_InPC=leftandright}', "");
    Expect(0, 71993, '\P{^Is_InPC=leftandright}', "");
    Expect(1, 71992, '\p{Is_InPC=  left_and_Right}', "");
    Expect(0, 71992, '\p{^Is_InPC=  left_and_Right}', "");
    Expect(0, 71992, '\P{Is_InPC=  left_and_Right}', "");
    Expect(1, 71992, '\P{^Is_InPC=  left_and_Right}', "");
    Expect(0, 71993, '\p{Is_InPC=  left_and_Right}', "");
    Expect(1, 71993, '\p{^Is_InPC=  left_and_Right}', "");
    Expect(1, 71993, '\P{Is_InPC=  left_and_Right}', "");
    Expect(0, 71993, '\P{^Is_InPC=  left_and_Right}', "");
    Error('\p{Indic_Positional_Category=/a/_	NA}');
    Error('\P{Indic_Positional_Category=/a/_	NA}');
    Expect(1, 73463, '\p{Indic_Positional_Category=:\ANA\z:}', "");;
    Expect(0, 73462, '\p{Indic_Positional_Category=:\ANA\z:}', "");;
    Expect(1, 73463, '\p{Indic_Positional_Category=na}', "");
    Expect(0, 73463, '\p{^Indic_Positional_Category=na}', "");
    Expect(0, 73463, '\P{Indic_Positional_Category=na}', "");
    Expect(1, 73463, '\P{^Indic_Positional_Category=na}', "");
    Expect(0, 73462, '\p{Indic_Positional_Category=na}', "");
    Expect(1, 73462, '\p{^Indic_Positional_Category=na}', "");
    Expect(1, 73462, '\P{Indic_Positional_Category=na}', "");
    Expect(0, 73462, '\P{^Indic_Positional_Category=na}', "");
    Expect(1, 73463, '\p{Indic_Positional_Category=:\Ana\z:}', "");;
    Expect(0, 73462, '\p{Indic_Positional_Category=:\Ana\z:}', "");;
    Expect(1, 73463, '\p{Indic_Positional_Category=	-NA}', "");
    Expect(0, 73463, '\p{^Indic_Positional_Category=	-NA}', "");
    Expect(0, 73463, '\P{Indic_Positional_Category=	-NA}', "");
    Expect(1, 73463, '\P{^Indic_Positional_Category=	-NA}', "");
    Expect(0, 73462, '\p{Indic_Positional_Category=	-NA}', "");
    Expect(1, 73462, '\p{^Indic_Positional_Category=	-NA}', "");
    Expect(1, 73462, '\P{Indic_Positional_Category=	-NA}', "");
    Expect(0, 73462, '\P{^Indic_Positional_Category=	-NA}', "");
    Error('\p{InPC=:=NA}');
    Error('\P{InPC=:=NA}');
    Expect(1, 73463, '\p{InPC=:\ANA\z:}', "");;
    Expect(0, 73462, '\p{InPC=:\ANA\z:}', "");;
    Expect(1, 73463, '\p{InPC=na}', "");
    Expect(0, 73463, '\p{^InPC=na}', "");
    Expect(0, 73463, '\P{InPC=na}', "");
    Expect(1, 73463, '\P{^InPC=na}', "");
    Expect(0, 73462, '\p{InPC=na}', "");
    Expect(1, 73462, '\p{^InPC=na}', "");
    Expect(1, 73462, '\P{InPC=na}', "");
    Expect(0, 73462, '\P{^InPC=na}', "");
    Expect(1, 73463, '\p{InPC=:\Ana\z:}', "");;
    Expect(0, 73462, '\p{InPC=:\Ana\z:}', "");;
    Expect(1, 73463, '\p{InPC=--na}', "");
    Expect(0, 73463, '\p{^InPC=--na}', "");
    Expect(0, 73463, '\P{InPC=--na}', "");
    Expect(1, 73463, '\P{^InPC=--na}', "");
    Expect(0, 73462, '\p{InPC=--na}', "");
    Expect(1, 73462, '\p{^InPC=--na}', "");
    Expect(1, 73462, '\P{InPC=--na}', "");
    Expect(0, 73462, '\P{^InPC=--na}', "");
    Error('\p{Is_Indic_Positional_Category=:= NA}');
    Error('\P{Is_Indic_Positional_Category=:= NA}');
    Expect(1, 73463, '\p{Is_Indic_Positional_Category=na}', "");
    Expect(0, 73463, '\p{^Is_Indic_Positional_Category=na}', "");
    Expect(0, 73463, '\P{Is_Indic_Positional_Category=na}', "");
    Expect(1, 73463, '\P{^Is_Indic_Positional_Category=na}', "");
    Expect(0, 73462, '\p{Is_Indic_Positional_Category=na}', "");
    Expect(1, 73462, '\p{^Is_Indic_Positional_Category=na}', "");
    Expect(1, 73462, '\P{Is_Indic_Positional_Category=na}', "");
    Expect(0, 73462, '\P{^Is_Indic_Positional_Category=na}', "");
    Expect(1, 73463, '\p{Is_Indic_Positional_Category=	_NA}', "");
    Expect(0, 73463, '\p{^Is_Indic_Positional_Category=	_NA}', "");
    Expect(0, 73463, '\P{Is_Indic_Positional_Category=	_NA}', "");
    Expect(1, 73463, '\P{^Is_Indic_Positional_Category=	_NA}', "");
    Expect(0, 73462, '\p{Is_Indic_Positional_Category=	_NA}', "");
    Expect(1, 73462, '\p{^Is_Indic_Positional_Category=	_NA}', "");
    Expect(1, 73462, '\P{Is_Indic_Positional_Category=	_NA}', "");
    Expect(0, 73462, '\P{^Is_Indic_Positional_Category=	_NA}', "");
    Error('\p{Is_InPC=/a/_	NA}');
    Error('\P{Is_InPC=/a/_	NA}');
    Expect(1, 73463, '\p{Is_InPC=na}', "");
    Expect(0, 73463, '\p{^Is_InPC=na}', "");
    Expect(0, 73463, '\P{Is_InPC=na}', "");
    Expect(1, 73463, '\P{^Is_InPC=na}', "");
    Expect(0, 73462, '\p{Is_InPC=na}', "");
    Expect(1, 73462, '\p{^Is_InPC=na}', "");
    Expect(1, 73462, '\P{Is_InPC=na}', "");
    Expect(0, 73462, '\P{^Is_InPC=na}', "");
    Expect(1, 73463, '\p{Is_InPC:__NA}', "");
    Expect(0, 73463, '\p{^Is_InPC:__NA}', "");
    Expect(0, 73463, '\P{Is_InPC:__NA}', "");
    Expect(1, 73463, '\P{^Is_InPC:__NA}', "");
    Expect(0, 73462, '\p{Is_InPC:__NA}', "");
    Expect(1, 73462, '\p{^Is_InPC:__NA}', "");
    Expect(1, 73462, '\P{Is_InPC:__NA}', "");
    Expect(0, 73462, '\P{^Is_InPC:__NA}', "");
    Error('\p{Indic_Positional_Category=:=	Overstruck}');
    Error('\P{Indic_Positional_Category=:=	Overstruck}');
    Expect(1, 68102, '\p{Indic_Positional_Category=:\AOverstruck\z:}', "");;
    Expect(0, 68103, '\p{Indic_Positional_Category=:\AOverstruck\z:}', "");;
    Expect(1, 68102, '\p{Indic_Positional_Category=overstruck}', "");
    Expect(0, 68102, '\p{^Indic_Positional_Category=overstruck}', "");
    Expect(0, 68102, '\P{Indic_Positional_Category=overstruck}', "");
    Expect(1, 68102, '\P{^Indic_Positional_Category=overstruck}', "");
    Expect(0, 68103, '\p{Indic_Positional_Category=overstruck}', "");
    Expect(1, 68103, '\p{^Indic_Positional_Category=overstruck}', "");
    Expect(1, 68103, '\P{Indic_Positional_Category=overstruck}', "");
    Expect(0, 68103, '\P{^Indic_Positional_Category=overstruck}', "");
    Expect(1, 68102, '\p{Indic_Positional_Category=:\Aoverstruck\z:}', "");;
    Expect(0, 68103, '\p{Indic_Positional_Category=:\Aoverstruck\z:}', "");;
    Expect(1, 68102, '\p{Indic_Positional_Category=-OVERSTRUCK}', "");
    Expect(0, 68102, '\p{^Indic_Positional_Category=-OVERSTRUCK}', "");
    Expect(0, 68102, '\P{Indic_Positional_Category=-OVERSTRUCK}', "");
    Expect(1, 68102, '\P{^Indic_Positional_Category=-OVERSTRUCK}', "");
    Expect(0, 68103, '\p{Indic_Positional_Category=-OVERSTRUCK}', "");
    Expect(1, 68103, '\p{^Indic_Positional_Category=-OVERSTRUCK}', "");
    Expect(1, 68103, '\P{Indic_Positional_Category=-OVERSTRUCK}', "");
    Expect(0, 68103, '\P{^Indic_Positional_Category=-OVERSTRUCK}', "");
    Error('\p{InPC=:=	OVERSTRUCK}');
    Error('\P{InPC=:=	OVERSTRUCK}');
    Expect(1, 68102, '\p{InPC=:\AOverstruck\z:}', "");;
    Expect(0, 68103, '\p{InPC=:\AOverstruck\z:}', "");;
    Expect(1, 68102, '\p{InPC=overstruck}', "");
    Expect(0, 68102, '\p{^InPC=overstruck}', "");
    Expect(0, 68102, '\P{InPC=overstruck}', "");
    Expect(1, 68102, '\P{^InPC=overstruck}', "");
    Expect(0, 68103, '\p{InPC=overstruck}', "");
    Expect(1, 68103, '\p{^InPC=overstruck}', "");
    Expect(1, 68103, '\P{InPC=overstruck}', "");
    Expect(0, 68103, '\P{^InPC=overstruck}', "");
    Expect(1, 68102, '\p{InPC=:\Aoverstruck\z:}', "");;
    Expect(0, 68103, '\p{InPC=:\Aoverstruck\z:}', "");;
    Expect(1, 68102, '\p{InPC=	 Overstruck}', "");
    Expect(0, 68102, '\p{^InPC=	 Overstruck}', "");
    Expect(0, 68102, '\P{InPC=	 Overstruck}', "");
    Expect(1, 68102, '\P{^InPC=	 Overstruck}', "");
    Expect(0, 68103, '\p{InPC=	 Overstruck}', "");
    Expect(1, 68103, '\p{^InPC=	 Overstruck}', "");
    Expect(1, 68103, '\P{InPC=	 Overstruck}', "");
    Expect(0, 68103, '\P{^InPC=	 Overstruck}', "");
    Error('\p{Is_Indic_Positional_Category=:=Overstruck}');
    Error('\P{Is_Indic_Positional_Category=:=Overstruck}');
    Expect(1, 68102, '\p{Is_Indic_Positional_Category:overstruck}', "");
    Expect(0, 68102, '\p{^Is_Indic_Positional_Category:overstruck}', "");
    Expect(0, 68102, '\P{Is_Indic_Positional_Category:overstruck}', "");
    Expect(1, 68102, '\P{^Is_Indic_Positional_Category:overstruck}', "");
    Expect(0, 68103, '\p{Is_Indic_Positional_Category:overstruck}', "");
    Expect(1, 68103, '\p{^Is_Indic_Positional_Category:overstruck}', "");
    Expect(1, 68103, '\P{Is_Indic_Positional_Category:overstruck}', "");
    Expect(0, 68103, '\P{^Is_Indic_Positional_Category:overstruck}', "");
    Expect(1, 68102, '\p{Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Expect(0, 68102, '\p{^Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Expect(0, 68102, '\P{Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Expect(1, 68102, '\P{^Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Expect(0, 68103, '\p{Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Expect(1, 68103, '\p{^Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Expect(1, 68103, '\P{Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Expect(0, 68103, '\P{^Is_Indic_Positional_Category: _OVERSTRUCK}', "");
    Error('\p{Is_InPC:   - OVERSTRUCK/a/}');
    Error('\P{Is_InPC:   - OVERSTRUCK/a/}');
    Expect(1, 68102, '\p{Is_InPC=overstruck}', "");
    Expect(0, 68102, '\p{^Is_InPC=overstruck}', "");
    Expect(0, 68102, '\P{Is_InPC=overstruck}', "");
    Expect(1, 68102, '\P{^Is_InPC=overstruck}', "");
    Expect(0, 68103, '\p{Is_InPC=overstruck}', "");
    Expect(1, 68103, '\p{^Is_InPC=overstruck}', "");
    Expect(1, 68103, '\P{Is_InPC=overstruck}', "");
    Expect(0, 68103, '\P{^Is_InPC=overstruck}', "");
    Expect(1, 68102, '\p{Is_InPC=-	Overstruck}', "");
    Expect(0, 68102, '\p{^Is_InPC=-	Overstruck}', "");
    Expect(0, 68102, '\P{Is_InPC=-	Overstruck}', "");
    Expect(1, 68102, '\P{^Is_InPC=-	Overstruck}', "");
    Expect(0, 68103, '\p{Is_InPC=-	Overstruck}', "");
    Expect(1, 68103, '\p{^Is_InPC=-	Overstruck}', "");
    Expect(1, 68103, '\P{Is_InPC=-	Overstruck}', "");
    Expect(0, 68103, '\P{^Is_InPC=-	Overstruck}', "");
    Error('\p{Indic_Positional_Category=/a/		Right}');
    Error('\P{Indic_Positional_Category=/a/		Right}');
    Expect(1, 73462, '\p{Indic_Positional_Category=:\ARight\z:}', "");;
    Expect(0, 73463, '\p{Indic_Positional_Category=:\ARight\z:}', "");;
    Expect(1, 73462, '\p{Indic_Positional_Category=right}', "");
    Expect(0, 73462, '\p{^Indic_Positional_Category=right}', "");
    Expect(0, 73462, '\P{Indic_Positional_Category=right}', "");
    Expect(1, 73462, '\P{^Indic_Positional_Category=right}', "");
    Expect(0, 73463, '\p{Indic_Positional_Category=right}', "");
    Expect(1, 73463, '\p{^Indic_Positional_Category=right}', "");
    Expect(1, 73463, '\P{Indic_Positional_Category=right}', "");
    Expect(0, 73463, '\P{^Indic_Positional_Category=right}', "");
    Expect(1, 73462, '\p{Indic_Positional_Category=:\Aright\z:}', "");;
    Expect(0, 73463, '\p{Indic_Positional_Category=:\Aright\z:}', "");;
    Expect(1, 73462, '\p{Indic_Positional_Category= right}', "");
    Expect(0, 73462, '\p{^Indic_Positional_Category= right}', "");
    Expect(0, 73462, '\P{Indic_Positional_Category= right}', "");
    Expect(1, 73462, '\P{^Indic_Positional_Category= right}', "");
    Expect(0, 73463, '\p{Indic_Positional_Category= right}', "");
    Expect(1, 73463, '\p{^Indic_Positional_Category= right}', "");
    Expect(1, 73463, '\P{Indic_Positional_Category= right}', "");
    Expect(0, 73463, '\P{^Indic_Positional_Category= right}', "");
    Error('\p{InPC=:= Right}');
    Error('\P{InPC=:= Right}');
    Expect(1, 73462, '\p{InPC=:\ARight\z:}', "");;
    Expect(0, 73463, '\p{InPC=:\ARight\z:}', "");;
    Expect(1, 73462, '\p{InPC=right}', "");
    Expect(0, 73462, '\p{^InPC=right}', "");
    Expect(0, 73462, '\P{InPC=right}', "");
    Expect(1, 73462, '\P{^InPC=right}', "");
    Expect(0, 73463, '\p{InPC=right}', "");
    Expect(1, 73463, '\p{^InPC=right}', "");
    Expect(1, 73463, '\P{InPC=right}', "");
    Expect(0, 73463, '\P{^InPC=right}', "");
    Expect(1, 73462, '\p{InPC=:\Aright\z:}', "");;
    Expect(0, 73463, '\p{InPC=:\Aright\z:}', "");;
    Expect(1, 73462, '\p{InPC=	-right}', "");
    Expect(0, 73462, '\p{^InPC=	-right}', "");
    Expect(0, 73462, '\P{InPC=	-right}', "");
    Expect(1, 73462, '\P{^InPC=	-right}', "");
    Expect(0, 73463, '\p{InPC=	-right}', "");
    Expect(1, 73463, '\p{^InPC=	-right}', "");
    Expect(1, 73463, '\P{InPC=	-right}', "");
    Expect(0, 73463, '\P{^InPC=	-right}', "");
    Error('\p{Is_Indic_Positional_Category=_/a/Right}');
    Error('\P{Is_Indic_Positional_Category=_/a/Right}');
    Expect(1, 73462, '\p{Is_Indic_Positional_Category=right}', "");
    Expect(0, 73462, '\p{^Is_Indic_Positional_Category=right}', "");
    Expect(0, 73462, '\P{Is_Indic_Positional_Category=right}', "");
    Expect(1, 73462, '\P{^Is_Indic_Positional_Category=right}', "");
    Expect(0, 73463, '\p{Is_Indic_Positional_Category=right}', "");
    Expect(1, 73463, '\p{^Is_Indic_Positional_Category=right}', "");
    Expect(1, 73463, '\P{Is_Indic_Positional_Category=right}', "");
    Expect(0, 73463, '\P{^Is_Indic_Positional_Category=right}', "");
    Expect(1, 73462, '\p{Is_Indic_Positional_Category=_-RIGHT}', "");
    Expect(0, 73462, '\p{^Is_Indic_Positional_Category=_-RIGHT}', "");
    Expect(0, 73462, '\P{Is_Indic_Positional_Category=_-RIGHT}', "");
    Expect(1, 73462, '\P{^Is_Indic_Positional_Category=_-RIGHT}', "");
    Expect(0, 73463, '\p{Is_Indic_Positional_Category=_-RIGHT}', "");
    Expect(1, 73463, '\p{^Is_Indic_Positional_Category=_-RIGHT}', "");
    Expect(1, 73463, '\P{Is_Indic_Positional_Category=_-RIGHT}', "");
    Expect(0, 73463, '\P{^Is_Indic_Positional_Category=_-RIGHT}', "");
    Error('\p{Is_InPC=	-right:=}');
    Error('\P{Is_InPC=	-right:=}');
    Expect(1, 73462, '\p{Is_InPC:right}', "");
    Expect(0, 73462, '\p{^Is_InPC:right}', "");
    Expect(0, 73462, '\P{Is_InPC:right}', "");
    Expect(1, 73462, '\P{^Is_InPC:right}', "");
    Expect(0, 73463, '\p{Is_InPC:right}', "");
    Expect(1, 73463, '\p{^Is_InPC:right}', "");
    Expect(1, 73463, '\P{Is_InPC:right}', "");
    Expect(0, 73463, '\P{^Is_InPC:right}', "");
    Expect(1, 73462, '\p{Is_InPC= Right}', "");
    Expect(0, 73462, '\p{^Is_InPC= Right}', "");
    Expect(0, 73462, '\P{Is_InPC= Right}', "");
    Expect(1, 73462, '\P{^Is_InPC= Right}', "");
    Expect(0, 73463, '\p{Is_InPC= Right}', "");
    Expect(1, 73463, '\p{^Is_InPC= Right}', "");
    Expect(1, 73463, '\P{Is_InPC= Right}', "");
    Expect(0, 73463, '\P{^Is_InPC= Right}', "");
    Error('\p{Indic_Positional_Category=/a/TOP}');
    Error('\P{Indic_Positional_Category=/a/TOP}');
    Expect(1, 73459, '\p{Indic_Positional_Category=:\ATop\z:}', "");;
    Expect(0, 73460, '\p{Indic_Positional_Category=:\ATop\z:}', "");;
    Expect(1, 73459, '\p{Indic_Positional_Category:   top}', "");
    Expect(0, 73459, '\p{^Indic_Positional_Category:   top}', "");
    Expect(0, 73459, '\P{Indic_Positional_Category:   top}', "");
    Expect(1, 73459, '\P{^Indic_Positional_Category:   top}', "");
    Expect(0, 73460, '\p{Indic_Positional_Category:   top}', "");
    Expect(1, 73460, '\p{^Indic_Positional_Category:   top}', "");
    Expect(1, 73460, '\P{Indic_Positional_Category:   top}', "");
    Expect(0, 73460, '\P{^Indic_Positional_Category:   top}', "");
    Expect(1, 73459, '\p{Indic_Positional_Category=:\Atop\z:}', "");;
    Expect(0, 73460, '\p{Indic_Positional_Category=:\Atop\z:}', "");;
    Expect(1, 73459, '\p{Indic_Positional_Category=-TOP}', "");
    Expect(0, 73459, '\p{^Indic_Positional_Category=-TOP}', "");
    Expect(0, 73459, '\P{Indic_Positional_Category=-TOP}', "");
    Expect(1, 73459, '\P{^Indic_Positional_Category=-TOP}', "");
    Expect(0, 73460, '\p{Indic_Positional_Category=-TOP}', "");
    Expect(1, 73460, '\p{^Indic_Positional_Category=-TOP}', "");
    Expect(1, 73460, '\P{Indic_Positional_Category=-TOP}', "");
    Expect(0, 73460, '\P{^Indic_Positional_Category=-TOP}', "");
    Error('\p{InPC:   -:=Top}');
    Error('\P{InPC:   -:=Top}');
    Expect(1, 73459, '\p{InPC=:\ATop\z:}', "");;
    Expect(0, 73460, '\p{InPC=:\ATop\z:}', "");;
    Expect(1, 73459, '\p{InPC=top}', "");
    Expect(0, 73459, '\p{^InPC=top}', "");
    Expect(0, 73459, '\P{InPC=top}', "");
    Expect(1, 73459, '\P{^InPC=top}', "");
    Expect(0, 73460, '\p{InPC=top}', "");
    Expect(1, 73460, '\p{^InPC=top}', "");
    Expect(1, 73460, '\P{InPC=top}', "");
    Expect(0, 73460, '\P{^InPC=top}', "");
    Expect(1, 73459, '\p{InPC=:\Atop\z:}', "");;
    Expect(0, 73460, '\p{InPC=:\Atop\z:}', "");;
    Expect(1, 73459, '\p{InPC=		top}', "");
    Expect(0, 73459, '\p{^InPC=		top}', "");
    Expect(0, 73459, '\P{InPC=		top}', "");
    Expect(1, 73459, '\P{^InPC=		top}', "");
    Expect(0, 73460, '\p{InPC=		top}', "");
    Expect(1, 73460, '\p{^InPC=		top}', "");
    Expect(1, 73460, '\P{InPC=		top}', "");
    Expect(0, 73460, '\P{^InPC=		top}', "");
    Error('\p{Is_Indic_Positional_Category=:=	_Top}');
    Error('\P{Is_Indic_Positional_Category=:=	_Top}');
    Expect(1, 73459, '\p{Is_Indic_Positional_Category=top}', "");
    Expect(0, 73459, '\p{^Is_Indic_Positional_Category=top}', "");
    Expect(0, 73459, '\P{Is_Indic_Positional_Category=top}', "");
    Expect(1, 73459, '\P{^Is_Indic_Positional_Category=top}', "");
    Expect(0, 73460, '\p{Is_Indic_Positional_Category=top}', "");
    Expect(1, 73460, '\p{^Is_Indic_Positional_Category=top}', "");
    Expect(1, 73460, '\P{Is_Indic_Positional_Category=top}', "");
    Expect(0, 73460, '\P{^Is_Indic_Positional_Category=top}', "");
    Expect(1, 73459, '\p{Is_Indic_Positional_Category=- Top}', "");
    Expect(0, 73459, '\p{^Is_Indic_Positional_Category=- Top}', "");
    Expect(0, 73459, '\P{Is_Indic_Positional_Category=- Top}', "");
    Expect(1, 73459, '\P{^Is_Indic_Positional_Category=- Top}', "");
    Expect(0, 73460, '\p{Is_Indic_Positional_Category=- Top}', "");
    Expect(1, 73460, '\p{^Is_Indic_Positional_Category=- Top}', "");
    Expect(1, 73460, '\P{Is_Indic_Positional_Category=- Top}', "");
    Expect(0, 73460, '\P{^Is_Indic_Positional_Category=- Top}', "");
    Error('\p{Is_InPC:   := Top}');
    Error('\P{Is_InPC:   := Top}');
    Expect(1, 73459, '\p{Is_InPC=top}', "");
    Expect(0, 73459, '\p{^Is_InPC=top}', "");
    Expect(0, 73459, '\P{Is_InPC=top}', "");
    Expect(1, 73459, '\P{^Is_InPC=top}', "");
    Expect(0, 73460, '\p{Is_InPC=top}', "");
    Expect(1, 73460, '\p{^Is_InPC=top}', "");
    Expect(1, 73460, '\P{Is_InPC=top}', "");
    Expect(0, 73460, '\P{^Is_InPC=top}', "");
    Expect(1, 73459, '\p{Is_InPC=	TOP}', "");
    Expect(0, 73459, '\p{^Is_InPC=	TOP}', "");
    Expect(0, 73459, '\P{Is_InPC=	TOP}', "");
    Expect(1, 73459, '\P{^Is_InPC=	TOP}', "");
    Expect(0, 73460, '\p{Is_InPC=	TOP}', "");
    Expect(1, 73460, '\p{^Is_InPC=	TOP}', "");
    Expect(1, 73460, '\P{Is_InPC=	TOP}', "");
    Expect(0, 73460, '\P{^Is_InPC=	TOP}', "");
    Error('\p{Indic_Positional_Category= _Top_And_Bottom:=}');
    Error('\P{Indic_Positional_Category= _Top_And_Bottom:=}');
    Expect(1, 69935, '\p{Indic_Positional_Category=:\ATop_And_Bottom\z:}', "");;
    Expect(0, 69936, '\p{Indic_Positional_Category=:\ATop_And_Bottom\z:}', "");;
    Expect(1, 69935, '\p{Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69935, '\p{^Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69935, '\P{Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69935, '\P{^Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69936, '\p{Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69936, '\p{^Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69936, '\P{Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69936, '\P{^Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69935, '\p{Indic_Positional_Category=:\Atopandbottom\z:}', "");;
    Expect(0, 69936, '\p{Indic_Positional_Category=:\Atopandbottom\z:}', "");;
    Expect(1, 69935, '\p{Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Expect(0, 69935, '\p{^Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Expect(0, 69935, '\P{Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Expect(1, 69935, '\P{^Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Expect(0, 69936, '\p{Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Expect(1, 69936, '\p{^Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Expect(1, 69936, '\P{Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Expect(0, 69936, '\P{^Indic_Positional_Category=  Top_And_BOTTOM}', "");
    Error('\p{InPC=/a/_ Top_And_Bottom}');
    Error('\P{InPC=/a/_ Top_And_Bottom}');
    Expect(1, 69935, '\p{InPC=:\ATop_And_Bottom\z:}', "");;
    Expect(0, 69936, '\p{InPC=:\ATop_And_Bottom\z:}', "");;
    Expect(1, 69935, '\p{InPC=topandbottom}', "");
    Expect(0, 69935, '\p{^InPC=topandbottom}', "");
    Expect(0, 69935, '\P{InPC=topandbottom}', "");
    Expect(1, 69935, '\P{^InPC=topandbottom}', "");
    Expect(0, 69936, '\p{InPC=topandbottom}', "");
    Expect(1, 69936, '\p{^InPC=topandbottom}', "");
    Expect(1, 69936, '\P{InPC=topandbottom}', "");
    Expect(0, 69936, '\P{^InPC=topandbottom}', "");
    Expect(1, 69935, '\p{InPC=:\Atopandbottom\z:}', "");;
    Expect(0, 69936, '\p{InPC=:\Atopandbottom\z:}', "");;
    Expect(1, 69935, '\p{InPC=_-TOP_AND_bottom}', "");
    Expect(0, 69935, '\p{^InPC=_-TOP_AND_bottom}', "");
    Expect(0, 69935, '\P{InPC=_-TOP_AND_bottom}', "");
    Expect(1, 69935, '\P{^InPC=_-TOP_AND_bottom}', "");
    Expect(0, 69936, '\p{InPC=_-TOP_AND_bottom}', "");
    Expect(1, 69936, '\p{^InPC=_-TOP_AND_bottom}', "");
    Expect(1, 69936, '\P{InPC=_-TOP_AND_bottom}', "");
    Expect(0, 69936, '\P{^InPC=_-TOP_AND_bottom}', "");
    Error('\p{Is_Indic_Positional_Category=_-TOP_and_Bottom/a/}');
    Error('\P{Is_Indic_Positional_Category=_-TOP_and_Bottom/a/}');
    Expect(1, 69935, '\p{Is_Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69935, '\p{^Is_Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69935, '\P{Is_Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69935, '\P{^Is_Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69936, '\p{Is_Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69936, '\p{^Is_Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69936, '\P{Is_Indic_Positional_Category=topandbottom}', "");
    Expect(0, 69936, '\P{^Is_Indic_Positional_Category=topandbottom}', "");
    Expect(1, 69935, '\p{Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Expect(0, 69935, '\p{^Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Expect(0, 69935, '\P{Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Expect(1, 69935, '\P{^Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Expect(0, 69936, '\p{Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Expect(1, 69936, '\p{^Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Expect(1, 69936, '\P{Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Expect(0, 69936, '\P{^Is_Indic_Positional_Category:_-Top_And_Bottom}', "");
    Error('\p{Is_InPC=:=	_Top_And_BOTTOM}');
    Error('\P{Is_InPC=:=	_Top_And_BOTTOM}');
    Expect(1, 69935, '\p{Is_InPC=topandbottom}', "");
    Expect(0, 69935, '\p{^Is_InPC=topandbottom}', "");
    Expect(0, 69935, '\P{Is_InPC=topandbottom}', "");
    Expect(1, 69935, '\P{^Is_InPC=topandbottom}', "");
    Expect(0, 69936, '\p{Is_InPC=topandbottom}', "");
    Expect(1, 69936, '\p{^Is_InPC=topandbottom}', "");
    Expect(1, 69936, '\P{Is_InPC=topandbottom}', "");
    Expect(0, 69936, '\P{^Is_InPC=topandbottom}', "");
    Expect(1, 69935, '\p{Is_InPC=_-Top_and_BOTTOM}', "");
    Expect(0, 69935, '\p{^Is_InPC=_-Top_and_BOTTOM}', "");
    Expect(0, 69935, '\P{Is_InPC=_-Top_and_BOTTOM}', "");
    Expect(1, 69935, '\P{^Is_InPC=_-Top_and_BOTTOM}', "");
    Expect(0, 69936, '\p{Is_InPC=_-Top_and_BOTTOM}', "");
    Expect(1, 69936, '\p{^Is_InPC=_-Top_and_BOTTOM}', "");
    Expect(1, 69936, '\P{Is_InPC=_-Top_and_BOTTOM}', "");
    Expect(0, 69936, '\P{^Is_InPC=_-Top_and_BOTTOM}', "");
    Error('\p{Indic_Positional_Category:   	top_And_bottom_and_LEFT:=}');
    Error('\P{Indic_Positional_Category:   	top_And_bottom_and_LEFT:=}');
    Expect(1, 71454, '\p{Indic_Positional_Category=:\ATop_And_Bottom_And_Left\z:}', "");;
    Expect(0, 71455, '\p{Indic_Positional_Category=:\ATop_And_Bottom_And_Left\z:}', "");;
    Expect(1, 71454, '\p{Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71454, '\p{^Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71454, '\P{Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71454, '\P{^Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71455, '\p{Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71455, '\p{^Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71455, '\P{Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71455, '\P{^Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71454, '\p{Indic_Positional_Category=:\Atopandbottomandleft\z:}', "");;
    Expect(0, 71455, '\p{Indic_Positional_Category=:\Atopandbottomandleft\z:}', "");;
    Expect(1, 71454, '\p{Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Expect(0, 71454, '\p{^Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Expect(0, 71454, '\P{Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Expect(1, 71454, '\P{^Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Expect(0, 71455, '\p{Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Expect(1, 71455, '\p{^Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Expect(1, 71455, '\P{Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Expect(0, 71455, '\P{^Indic_Positional_Category=-	TOP_And_Bottom_AND_Left}', "");
    Error('\p{InPC:	:=  top_AND_bottom_And_Left}');
    Error('\P{InPC:	:=  top_AND_bottom_And_Left}');
    Expect(1, 71454, '\p{InPC=:\ATop_And_Bottom_And_Left\z:}', "");;
    Expect(0, 71455, '\p{InPC=:\ATop_And_Bottom_And_Left\z:}', "");;
    Expect(1, 71454, '\p{InPC:	topandbottomandleft}', "");
    Expect(0, 71454, '\p{^InPC:	topandbottomandleft}', "");
    Expect(0, 71454, '\P{InPC:	topandbottomandleft}', "");
    Expect(1, 71454, '\P{^InPC:	topandbottomandleft}', "");
    Expect(0, 71455, '\p{InPC:	topandbottomandleft}', "");
    Expect(1, 71455, '\p{^InPC:	topandbottomandleft}', "");
    Expect(1, 71455, '\P{InPC:	topandbottomandleft}', "");
    Expect(0, 71455, '\P{^InPC:	topandbottomandleft}', "");
    Expect(1, 71454, '\p{InPC=:\Atopandbottomandleft\z:}', "");;
    Expect(0, 71455, '\p{InPC=:\Atopandbottomandleft\z:}', "");;
    Expect(1, 71454, '\p{InPC=--Top_and_Bottom_and_Left}', "");
    Expect(0, 71454, '\p{^InPC=--Top_and_Bottom_and_Left}', "");
    Expect(0, 71454, '\P{InPC=--Top_and_Bottom_and_Left}', "");
    Expect(1, 71454, '\P{^InPC=--Top_and_Bottom_and_Left}', "");
    Expect(0, 71455, '\p{InPC=--Top_and_Bottom_and_Left}', "");
    Expect(1, 71455, '\p{^InPC=--Top_and_Bottom_and_Left}', "");
    Expect(1, 71455, '\P{InPC=--Top_and_Bottom_and_Left}', "");
    Expect(0, 71455, '\P{^InPC=--Top_and_Bottom_and_Left}', "");
    Error('\p{Is_Indic_Positional_Category=/a/-Top_and_Bottom_And_left}');
    Error('\P{Is_Indic_Positional_Category=/a/-Top_and_Bottom_And_left}');
    Expect(1, 71454, '\p{Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71454, '\p{^Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71454, '\P{Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71454, '\P{^Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71455, '\p{Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71455, '\p{^Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71455, '\P{Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(0, 71455, '\P{^Is_Indic_Positional_Category=topandbottomandleft}', "");
    Expect(1, 71454, '\p{Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Expect(0, 71454, '\p{^Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Expect(0, 71454, '\P{Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Expect(1, 71454, '\P{^Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Expect(0, 71455, '\p{Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Expect(1, 71455, '\p{^Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Expect(1, 71455, '\P{Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Expect(0, 71455, '\P{^Is_Indic_Positional_Category=		top_and_bottom_and_Left}', "");
    Error('\p{Is_InPC=-:=Top_And_BOTTOM_And_Left}');
    Error('\P{Is_InPC=-:=Top_And_BOTTOM_And_Left}');
    Expect(1, 71454, '\p{Is_InPC=topandbottomandleft}', "");
    Expect(0, 71454, '\p{^Is_InPC=topandbottomandleft}', "");
    Expect(0, 71454, '\P{Is_InPC=topandbottomandleft}', "");
    Expect(1, 71454, '\P{^Is_InPC=topandbottomandleft}', "");
    Expect(0, 71455, '\p{Is_InPC=topandbottomandleft}', "");
    Expect(1, 71455, '\p{^Is_InPC=topandbottomandleft}', "");
    Expect(1, 71455, '\P{Is_InPC=topandbottomandleft}', "");
    Expect(0, 71455, '\P{^Is_InPC=topandbottomandleft}', "");
    Expect(1, 71454, '\p{Is_InPC= _Top_AND_bottom_And_left}', "");
    Expect(0, 71454, '\p{^Is_InPC= _Top_AND_bottom_And_left}', "");
    Expect(0, 71454, '\P{Is_InPC= _Top_AND_bottom_And_left}', "");
    Expect(1, 71454, '\P{^Is_InPC= _Top_AND_bottom_And_left}', "");
    Expect(0, 71455, '\p{Is_InPC= _Top_AND_bottom_And_left}', "");
    Expect(1, 71455, '\p{^Is_InPC= _Top_AND_bottom_And_left}', "");
    Expect(1, 71455, '\P{Is_InPC= _Top_AND_bottom_And_left}', "");
    Expect(0, 71455, '\P{^Is_InPC= _Top_AND_bottom_And_left}', "");
    Error('\p{Indic_Positional_Category=-/a/Top_And_BOTTOM_And_Right}');
    Error('\P{Indic_Positional_Category=-/a/Top_And_BOTTOM_And_Right}');
    Expect(1, 6973, '\p{Indic_Positional_Category=:\ATop_And_Bottom_And_Right\z:}', "");;
    Expect(0, 6974, '\p{Indic_Positional_Category=:\ATop_And_Bottom_And_Right\z:}', "");;
    Expect(1, 6973, '\p{Indic_Positional_Category=topandbottomandright}', "");
    Expect(0, 6973, '\p{^Indic_Positional_Category=topandbottomandright}', "");
    Expect(0, 6973, '\P{Indic_Positional_Category=topandbottomandright}', "");
    Expect(1, 6973, '\P{^Indic_Positional_Category=topandbottomandright}', "");
    Expect(0, 6974, '\p{Indic_Positional_Category=topandbottomandright}', "");
    Expect(1, 6974, '\p{^Indic_Positional_Category=topandbottomandright}', "");
    Expect(1, 6974, '\P{Indic_Positional_Category=topandbottomandright}', "");
    Expect(0, 6974, '\P{^Indic_Positional_Category=topandbottomandright}', "");
    Expect(1, 6973, '\p{Indic_Positional_Category=:\Atopandbottomandright\z:}', "");;
    Expect(0, 6974, '\p{Indic_Positional_Category=:\Atopandbottomandright\z:}', "");;
    Expect(1, 6973, '\p{Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Expect(0, 6973, '\p{^Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Expect(0, 6973, '\P{Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Expect(1, 6973, '\P{^Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Expect(0, 6974, '\p{Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Expect(1, 6974, '\p{^Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Expect(1, 6974, '\P{Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Expect(0, 6974, '\P{^Indic_Positional_Category: __top_And_Bottom_AND_RIGHT}', "");
    Error('\p{InPC= :=Top_AND_Bottom_And_Right}');
    Error('\P{InPC= :=Top_AND_Bottom_And_Right}');
    Expect(1, 6973, '\p{InPC=:\ATop_And_Bottom_And_Right\z:}', "");;
    Expect(0, 6974, '\p{InPC=:\ATop_And_Bottom_And_Right\z:}', "");;
    Expect(1, 6973, '\p{InPC=topandbottomandright}', "");
    Expect(0, 6973, '\p{^InPC=topandbottomandright}', "");
    Expect(0, 6973, '\P{InPC=topandbottomandright}', "");
    Expect(1, 6973, '\P{^InPC=topandbottomandright}', "");
    Expect(0, 6974, '\p{InPC=topandbottomandright}', "");
    Expect(1, 6974, '\p{^InPC=topandbottomandright}', "");
    Expect(1, 6974, '\P{InPC=topandbottomandright}', "");
    Expect(0, 6974, '\P{^InPC=topandbottomandright}', "");
    Expect(1, 6973, '\p{InPC=:\Atopandbottomandright\z:}', "");;
    Expect(0, 6974, '\p{InPC=:\Atopandbottomandright\z:}', "");;
    Expect(1, 6973, '\p{InPC:   - Top_And_BOTTOM_And_right}', "");
    Expect(0, 6973, '\p{^InPC:   - Top_And_BOTTOM_And_right}', "");
    Expect(0, 6973, '\P{InPC:   - Top_And_BOTTOM_And_right}', "");
    Expect(1, 6973, '\P{^InPC:   - Top_And_BOTTOM_And_right}', "");
    Expect(0, 6974, '\p{InPC:   - Top_And_BOTTOM_And_right}', "");
    Expect(1, 6974, '\p{^InPC:   - Top_And_BOTTOM_And_right}', "");
    Expect(1, 6974, '\P{InPC:   - Top_And_BOTTOM_And_right}', "");
    Expect(0, 6974, '\P{^InPC:   - Top_And_BOTTOM_And_right}', "");
    Error('\p{Is_Indic_Positional_Category= -top_And_bottom_And_right/a/}');
    Error('\P{Is_Indic_Positional_Category= -top_And_bottom_And_right/a/}');
    Expect(1, 6973, '\p{Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(0, 6973, '\p{^Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(0, 6973, '\P{Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(1, 6973, '\P{^Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(0, 6974, '\p{Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(1, 6974, '\p{^Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(1, 6974, '\P{Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(0, 6974, '\P{^Is_Indic_Positional_Category:topandbottomandright}', "");
    Expect(1, 6973, '\p{Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Expect(0, 6973, '\p{^Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Expect(0, 6973, '\P{Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Expect(1, 6973, '\P{^Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Expect(0, 6974, '\p{Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Expect(1, 6974, '\p{^Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Expect(1, 6974, '\P{Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Expect(0, 6974, '\P{^Is_Indic_Positional_Category= _Top_And_Bottom_And_Right}', "");
    Error('\p{Is_InPC=	_Top_And_Bottom_AND_RIGHT/a/}');
    Error('\P{Is_InPC=	_Top_And_Bottom_AND_RIGHT/a/}');
    Expect(1, 6973, '\p{Is_InPC:topandbottomandright}', "");
    Expect(0, 6973, '\p{^Is_InPC:topandbottomandright}', "");
    Expect(0, 6973, '\P{Is_InPC:topandbottomandright}', "");
    Expect(1, 6973, '\P{^Is_InPC:topandbottomandright}', "");
    Expect(0, 6974, '\p{Is_InPC:topandbottomandright}', "");
    Expect(1, 6974, '\p{^Is_InPC:topandbottomandright}', "");
    Expect(1, 6974, '\P{Is_InPC:topandbottomandright}', "");
    Expect(0, 6974, '\P{^Is_InPC:topandbottomandright}', "");
    Expect(1, 6973, '\p{Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Expect(0, 6973, '\p{^Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Expect(0, 6973, '\P{Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Expect(1, 6973, '\P{^Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Expect(0, 6974, '\p{Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Expect(1, 6974, '\p{^Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Expect(1, 6974, '\P{Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Expect(0, 6974, '\P{^Is_InPC=__TOP_And_Bottom_AND_Right}', "");
    Error('\p{Indic_Positional_Category=:=-Top_And_left}');
    Error('\P{Indic_Positional_Category=:=-Top_And_left}');
    Expect(1, 71097, '\p{Indic_Positional_Category=:\ATop_And_Left\z:}', "");;
    Expect(0, 71098, '\p{Indic_Positional_Category=:\ATop_And_Left\z:}', "");;
    Expect(1, 71097, '\p{Indic_Positional_Category=topandleft}', "");
    Expect(0, 71097, '\p{^Indic_Positional_Category=topandleft}', "");
    Expect(0, 71097, '\P{Indic_Positional_Category=topandleft}', "");
    Expect(1, 71097, '\P{^Indic_Positional_Category=topandleft}', "");
    Expect(0, 71098, '\p{Indic_Positional_Category=topandleft}', "");
    Expect(1, 71098, '\p{^Indic_Positional_Category=topandleft}', "");
    Expect(1, 71098, '\P{Indic_Positional_Category=topandleft}', "");
    Expect(0, 71098, '\P{^Indic_Positional_Category=topandleft}', "");
    Expect(1, 71097, '\p{Indic_Positional_Category=:\Atopandleft\z:}', "");;
    Expect(0, 71098, '\p{Indic_Positional_Category=:\Atopandleft\z:}', "");;
    Expect(1, 71097, '\p{Indic_Positional_Category=	_Top_And_Left}', "");
    Expect(0, 71097, '\p{^Indic_Positional_Category=	_Top_And_Left}', "");
    Expect(0, 71097, '\P{Indic_Positional_Category=	_Top_And_Left}', "");
    Expect(1, 71097, '\P{^Indic_Positional_Category=	_Top_And_Left}', "");
    Expect(0, 71098, '\p{Indic_Positional_Category=	_Top_And_Left}', "");
    Expect(1, 71098, '\p{^Indic_Positional_Category=	_Top_And_Left}', "");
    Expect(1, 71098, '\P{Indic_Positional_Category=	_Top_And_Left}', "");
    Expect(0, 71098, '\P{^Indic_Positional_Category=	_Top_And_Left}', "");
    Error('\p{InPC:   /a/-Top_and_Left}');
    Error('\P{InPC:   /a/-Top_and_Left}');
    Expect(1, 71097, '\p{InPC=:\ATop_And_Left\z:}', "");;
    Expect(0, 71098, '\p{InPC=:\ATop_And_Left\z:}', "");;
    Expect(1, 71097, '\p{InPC=topandleft}', "");
    Expect(0, 71097, '\p{^InPC=topandleft}', "");
    Expect(0, 71097, '\P{InPC=topandleft}', "");
    Expect(1, 71097, '\P{^InPC=topandleft}', "");
    Expect(0, 71098, '\p{InPC=topandleft}', "");
    Expect(1, 71098, '\p{^InPC=topandleft}', "");
    Expect(1, 71098, '\P{InPC=topandleft}', "");
    Expect(0, 71098, '\P{^InPC=topandleft}', "");
    Expect(1, 71097, '\p{InPC=:\Atopandleft\z:}', "");;
    Expect(0, 71098, '\p{InPC=:\Atopandleft\z:}', "");;
    Expect(1, 71097, '\p{InPC= TOP_And_Left}', "");
    Expect(0, 71097, '\p{^InPC= TOP_And_Left}', "");
    Expect(0, 71097, '\P{InPC= TOP_And_Left}', "");
    Expect(1, 71097, '\P{^InPC= TOP_And_Left}', "");
    Expect(0, 71098, '\p{InPC= TOP_And_Left}', "");
    Expect(1, 71098, '\p{^InPC= TOP_And_Left}', "");
    Expect(1, 71098, '\P{InPC= TOP_And_Left}', "");
    Expect(0, 71098, '\P{^InPC= TOP_And_Left}', "");
    Error('\p{Is_Indic_Positional_Category:/a/ 	Top_AND_Left}');
    Error('\P{Is_Indic_Positional_Category:/a/ 	Top_AND_Left}');
    Expect(1, 71097, '\p{Is_Indic_Positional_Category: topandleft}', "");
    Expect(0, 71097, '\p{^Is_Indic_Positional_Category: topandleft}', "");
    Expect(0, 71097, '\P{Is_Indic_Positional_Category: topandleft}', "");
    Expect(1, 71097, '\P{^Is_Indic_Positional_Category: topandleft}', "");
    Expect(0, 71098, '\p{Is_Indic_Positional_Category: topandleft}', "");
    Expect(1, 71098, '\p{^Is_Indic_Positional_Category: topandleft}', "");
    Expect(1, 71098, '\P{Is_Indic_Positional_Category: topandleft}', "");
    Expect(0, 71098, '\P{^Is_Indic_Positional_Category: topandleft}', "");
    Expect(1, 71097, '\p{Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Expect(0, 71097, '\p{^Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Expect(0, 71097, '\P{Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Expect(1, 71097, '\P{^Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Expect(0, 71098, '\p{Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Expect(1, 71098, '\p{^Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Expect(1, 71098, '\P{Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Expect(0, 71098, '\P{^Is_Indic_Positional_Category=TOP_AND_Left}', "");
    Error('\p{Is_InPC=_/a/top_And_left}');
    Error('\P{Is_InPC=_/a/top_And_left}');
    Expect(1, 71097, '\p{Is_InPC:	topandleft}', "");
    Expect(0, 71097, '\p{^Is_InPC:	topandleft}', "");
    Expect(0, 71097, '\P{Is_InPC:	topandleft}', "");
    Expect(1, 71097, '\P{^Is_InPC:	topandleft}', "");
    Expect(0, 71098, '\p{Is_InPC:	topandleft}', "");
    Expect(1, 71098, '\p{^Is_InPC:	topandleft}', "");
    Expect(1, 71098, '\P{Is_InPC:	topandleft}', "");
    Expect(0, 71098, '\P{^Is_InPC:	topandleft}', "");
    Expect(1, 71097, '\p{Is_InPC=--TOP_and_LEFT}', "");
    Expect(0, 71097, '\p{^Is_InPC=--TOP_and_LEFT}', "");
    Expect(0, 71097, '\P{Is_InPC=--TOP_and_LEFT}', "");
    Expect(1, 71097, '\P{^Is_InPC=--TOP_and_LEFT}', "");
    Expect(0, 71098, '\p{Is_InPC=--TOP_and_LEFT}', "");
    Expect(1, 71098, '\p{^Is_InPC=--TOP_and_LEFT}', "");
    Expect(1, 71098, '\P{Is_InPC=--TOP_and_LEFT}', "");
    Expect(0, 71098, '\P{^Is_InPC=--TOP_and_LEFT}', "");
    Error('\p{Indic_Positional_Category=:=_	top_and_Left_and_Right}');
    Error('\P{Indic_Positional_Category=:=_	top_and_Left_and_Right}');
    Expect(1, 71099, '\p{Indic_Positional_Category=:\ATop_And_Left_And_Right\z:}', "");;
    Expect(0, 71100, '\p{Indic_Positional_Category=:\ATop_And_Left_And_Right\z:}', "");;
    Expect(1, 71099, '\p{Indic_Positional_Category: topandleftandright}', "");
    Expect(0, 71099, '\p{^Indic_Positional_Category: topandleftandright}', "");
    Expect(0, 71099, '\P{Indic_Positional_Category: topandleftandright}', "");
    Expect(1, 71099, '\P{^Indic_Positional_Category: topandleftandright}', "");
    Expect(0, 71100, '\p{Indic_Positional_Category: topandleftandright}', "");
    Expect(1, 71100, '\p{^Indic_Positional_Category: topandleftandright}', "");
    Expect(1, 71100, '\P{Indic_Positional_Category: topandleftandright}', "");
    Expect(0, 71100, '\P{^Indic_Positional_Category: topandleftandright}', "");
    Expect(1, 71099, '\p{Indic_Positional_Category=:\Atopandleftandright\z:}', "");;
    Expect(0, 71100, '\p{Indic_Positional_Category=:\Atopandleftandright\z:}', "");;
    Expect(1, 71099, '\p{Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Expect(0, 71099, '\p{^Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Expect(0, 71099, '\P{Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Expect(1, 71099, '\P{^Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Expect(0, 71100, '\p{Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Expect(1, 71100, '\p{^Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Expect(1, 71100, '\P{Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Expect(0, 71100, '\P{^Indic_Positional_Category=-Top_And_Left_And_Right}', "");
    Error('\p{InPC=	/a/top_And_Left_and_Right}');
    Error('\P{InPC=	/a/top_And_Left_and_Right}');
    Expect(1, 71099, '\p{InPC=:\ATop_And_Left_And_Right\z:}', "");;
    Expect(0, 71100, '\p{InPC=:\ATop_And_Left_And_Right\z:}', "");;
    Expect(1, 71099, '\p{InPC=topandleftandright}', "");
    Expect(0, 71099, '\p{^InPC=topandleftandright}', "");
    Expect(0, 71099, '\P{InPC=topandleftandright}', "");
    Expect(1, 71099, '\P{^InPC=topandleftandright}', "");
    Expect(0, 71100, '\p{InPC=topandleftandright}', "");
    Expect(1, 71100, '\p{^InPC=topandleftandright}', "");
    Expect(1, 71100, '\P{InPC=topandleftandright}', "");
    Expect(0, 71100, '\P{^InPC=topandleftandright}', "");
    Expect(1, 71099, '\p{InPC=:\Atopandleftandright\z:}', "");;
    Expect(0, 71100, '\p{InPC=:\Atopandleftandright\z:}', "");;
    Expect(1, 71099, '\p{InPC= _TOP_AND_Left_and_RIGHT}', "");
    Expect(0, 71099, '\p{^InPC= _TOP_AND_Left_and_RIGHT}', "");
    Expect(0, 71099, '\P{InPC= _TOP_AND_Left_and_RIGHT}', "");
    Expect(1, 71099, '\P{^InPC= _TOP_AND_Left_and_RIGHT}', "");
    Expect(0, 71100, '\p{InPC= _TOP_AND_Left_and_RIGHT}', "");
    Expect(1, 71100, '\p{^InPC= _TOP_AND_Left_and_RIGHT}', "");
    Expect(1, 71100, '\P{InPC= _TOP_AND_Left_and_RIGHT}', "");
    Expect(0, 71100, '\P{^InPC= _TOP_AND_Left_and_RIGHT}', "");
    Error('\p{Is_Indic_Positional_Category=-	top_AND_Left_And_RIGHT:=}');
    Error('\P{Is_Indic_Positional_Category=-	top_AND_Left_And_RIGHT:=}');
    Expect(1, 71099, '\p{Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(0, 71099, '\p{^Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(0, 71099, '\P{Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(1, 71099, '\P{^Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(0, 71100, '\p{Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(1, 71100, '\p{^Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(1, 71100, '\P{Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(0, 71100, '\P{^Is_Indic_Positional_Category=topandleftandright}', "");
    Expect(1, 71099, '\p{Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Expect(0, 71099, '\p{^Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Expect(0, 71099, '\P{Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Expect(1, 71099, '\P{^Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Expect(0, 71100, '\p{Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Expect(1, 71100, '\p{^Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Expect(1, 71100, '\P{Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Expect(0, 71100, '\P{^Is_Indic_Positional_Category=  Top_And_LEFT_And_right}', "");
    Error('\p{Is_InPC=:=	top_AND_Left_And_Right}');
    Error('\P{Is_InPC=:=	top_AND_Left_And_Right}');
    Expect(1, 71099, '\p{Is_InPC:	topandleftandright}', "");
    Expect(0, 71099, '\p{^Is_InPC:	topandleftandright}', "");
    Expect(0, 71099, '\P{Is_InPC:	topandleftandright}', "");
    Expect(1, 71099, '\P{^Is_InPC:	topandleftandright}', "");
    Expect(0, 71100, '\p{Is_InPC:	topandleftandright}', "");
    Expect(1, 71100, '\p{^Is_InPC:	topandleftandright}', "");
    Expect(1, 71100, '\P{Is_InPC:	topandleftandright}', "");
    Expect(0, 71100, '\P{^Is_InPC:	topandleftandright}', "");
    Expect(1, 71099, '\p{Is_InPC=-_top_AND_left_And_Right}', "");
    Expect(0, 71099, '\p{^Is_InPC=-_top_AND_left_And_Right}', "");
    Expect(0, 71099, '\P{Is_InPC=-_top_AND_left_And_Right}', "");
    Expect(1, 71099, '\P{^Is_InPC=-_top_AND_left_And_Right}', "");
    Expect(0, 71100, '\p{Is_InPC=-_top_AND_left_And_Right}', "");
    Expect(1, 71100, '\p{^Is_InPC=-_top_AND_left_And_Right}', "");
    Expect(1, 71100, '\P{Is_InPC=-_top_AND_left_And_Right}', "");
    Expect(0, 71100, '\P{^Is_InPC=-_top_AND_left_And_Right}', "");
    Error('\p{Indic_Positional_Category:   	Top_AND_RIGHT:=}');
    Error('\P{Indic_Positional_Category:   	Top_AND_RIGHT:=}');
    Expect(1, 70195, '\p{Indic_Positional_Category=:\ATop_And_Right\z:}', "");;
    Expect(0, 70196, '\p{Indic_Positional_Category=:\ATop_And_Right\z:}', "");;
    Expect(1, 70195, '\p{Indic_Positional_Category=topandright}', "");
    Expect(0, 70195, '\p{^Indic_Positional_Category=topandright}', "");
    Expect(0, 70195, '\P{Indic_Positional_Category=topandright}', "");
    Expect(1, 70195, '\P{^Indic_Positional_Category=topandright}', "");
    Expect(0, 70196, '\p{Indic_Positional_Category=topandright}', "");
    Expect(1, 70196, '\p{^Indic_Positional_Category=topandright}', "");
    Expect(1, 70196, '\P{Indic_Positional_Category=topandright}', "");
    Expect(0, 70196, '\P{^Indic_Positional_Category=topandright}', "");
    Expect(1, 70195, '\p{Indic_Positional_Category=:\Atopandright\z:}', "");;
    Expect(0, 70196, '\p{Indic_Positional_Category=:\Atopandright\z:}', "");;
    Expect(1, 70195, '\p{Indic_Positional_Category=	top_And_Right}', "");
    Expect(0, 70195, '\p{^Indic_Positional_Category=	top_And_Right}', "");
    Expect(0, 70195, '\P{Indic_Positional_Category=	top_And_Right}', "");
    Expect(1, 70195, '\P{^Indic_Positional_Category=	top_And_Right}', "");
    Expect(0, 70196, '\p{Indic_Positional_Category=	top_And_Right}', "");
    Expect(1, 70196, '\p{^Indic_Positional_Category=	top_And_Right}', "");
    Expect(1, 70196, '\P{Indic_Positional_Category=	top_And_Right}', "");
    Expect(0, 70196, '\P{^Indic_Positional_Category=	top_And_Right}', "");
    Error('\p{InPC=	top_and_Right:=}');
    Error('\P{InPC=	top_and_Right:=}');
    Expect(1, 70195, '\p{InPC=:\ATop_And_Right\z:}', "");;
    Expect(0, 70196, '\p{InPC=:\ATop_And_Right\z:}', "");;
    Expect(1, 70195, '\p{InPC=topandright}', "");
    Expect(0, 70195, '\p{^InPC=topandright}', "");
    Expect(0, 70195, '\P{InPC=topandright}', "");
    Expect(1, 70195, '\P{^InPC=topandright}', "");
    Expect(0, 70196, '\p{InPC=topandright}', "");
    Expect(1, 70196, '\p{^InPC=topandright}', "");
    Expect(1, 70196, '\P{InPC=topandright}', "");
    Expect(0, 70196, '\P{^InPC=topandright}', "");
    Expect(1, 70195, '\p{InPC=:\Atopandright\z:}', "");;
    Expect(0, 70196, '\p{InPC=:\Atopandright\z:}', "");;
    Expect(1, 70195, '\p{InPC=-	top_And_Right}', "");
    Expect(0, 70195, '\p{^InPC=-	top_And_Right}', "");
    Expect(0, 70195, '\P{InPC=-	top_And_Right}', "");
    Expect(1, 70195, '\P{^InPC=-	top_And_Right}', "");
    Expect(0, 70196, '\p{InPC=-	top_And_Right}', "");
    Expect(1, 70196, '\p{^InPC=-	top_And_Right}', "");
    Expect(1, 70196, '\P{InPC=-	top_And_Right}', "");
    Expect(0, 70196, '\P{^InPC=-	top_And_Right}', "");
    Error('\p{Is_Indic_Positional_Category=_/a/Top_and_Right}');
    Error('\P{Is_Indic_Positional_Category=_/a/Top_and_Right}');
    Expect(1, 70195, '\p{Is_Indic_Positional_Category=topandright}', "");
    Expect(0, 70195, '\p{^Is_Indic_Positional_Category=topandright}', "");
    Expect(0, 70195, '\P{Is_Indic_Positional_Category=topandright}', "");
    Expect(1, 70195, '\P{^Is_Indic_Positional_Category=topandright}', "");
    Expect(0, 70196, '\p{Is_Indic_Positional_Category=topandright}', "");
    Expect(1, 70196, '\p{^Is_Indic_Positional_Category=topandright}', "");
    Expect(1, 70196, '\P{Is_Indic_Positional_Category=topandright}', "");
    Expect(0, 70196, '\P{^Is_Indic_Positional_Category=topandright}', "");
    Expect(1, 70195, '\p{Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Expect(0, 70195, '\p{^Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Expect(0, 70195, '\P{Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Expect(1, 70195, '\P{^Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Expect(0, 70196, '\p{Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Expect(1, 70196, '\p{^Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Expect(1, 70196, '\P{Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Expect(0, 70196, '\P{^Is_Indic_Positional_Category=	 Top_And_Right}', "");
    Error('\p{Is_InPC=-:=Top_And_right}');
    Error('\P{Is_InPC=-:=Top_And_right}');
    Expect(1, 70195, '\p{Is_InPC=topandright}', "");
    Expect(0, 70195, '\p{^Is_InPC=topandright}', "");
    Expect(0, 70195, '\P{Is_InPC=topandright}', "");
    Expect(1, 70195, '\P{^Is_InPC=topandright}', "");
    Expect(0, 70196, '\p{Is_InPC=topandright}', "");
    Expect(1, 70196, '\p{^Is_InPC=topandright}', "");
    Expect(1, 70196, '\P{Is_InPC=topandright}', "");
    Expect(0, 70196, '\P{^Is_InPC=topandright}', "");
    Expect(1, 70195, '\p{Is_InPC=__Top_and_Right}', "");
    Expect(0, 70195, '\p{^Is_InPC=__Top_and_Right}', "");
    Expect(0, 70195, '\P{Is_InPC=__Top_and_Right}', "");
    Expect(1, 70195, '\P{^Is_InPC=__Top_and_Right}', "");
    Expect(0, 70196, '\p{Is_InPC=__Top_and_Right}', "");
    Expect(1, 70196, '\p{^Is_InPC=__Top_and_Right}', "");
    Expect(1, 70196, '\P{Is_InPC=__Top_and_Right}', "");
    Expect(0, 70196, '\P{^Is_InPC=__Top_and_Right}', "");
    Error('\p{Indic_Positional_Category= -VISUAL_ORDER_Left/a/}');
    Error('\P{Indic_Positional_Category= -VISUAL_ORDER_Left/a/}');
    Expect(1, 43708, '\p{Indic_Positional_Category=:\AVisual_Order_Left\z:}', "");;
    Expect(0, 43709, '\p{Indic_Positional_Category=:\AVisual_Order_Left\z:}', "");;
    Expect(1, 43708, '\p{Indic_Positional_Category: visualorderleft}', "");
    Expect(0, 43708, '\p{^Indic_Positional_Category: visualorderleft}', "");
    Expect(0, 43708, '\P{Indic_Positional_Category: visualorderleft}', "");
    Expect(1, 43708, '\P{^Indic_Positional_Category: visualorderleft}', "");
    Expect(0, 43709, '\p{Indic_Positional_Category: visualorderleft}', "");
    Expect(1, 43709, '\p{^Indic_Positional_Category: visualorderleft}', "");
    Expect(1, 43709, '\P{Indic_Positional_Category: visualorderleft}', "");
    Expect(0, 43709, '\P{^Indic_Positional_Category: visualorderleft}', "");
    Expect(1, 43708, '\p{Indic_Positional_Category=:\Avisualorderleft\z:}', "");;
    Expect(0, 43709, '\p{Indic_Positional_Category=:\Avisualorderleft\z:}', "");;
    Expect(1, 43708, '\p{Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Expect(0, 43708, '\p{^Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Expect(0, 43708, '\P{Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Expect(1, 43708, '\P{^Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Expect(0, 43709, '\p{Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Expect(1, 43709, '\p{^Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Expect(1, 43709, '\P{Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Expect(0, 43709, '\P{^Indic_Positional_Category=-Visual_ORDER_Left}', "");
    Error('\p{InPC=	-Visual_ORDER_LEFT/a/}');
    Error('\P{InPC=	-Visual_ORDER_LEFT/a/}');
    Expect(1, 43708, '\p{InPC=:\AVisual_Order_Left\z:}', "");;
    Expect(0, 43709, '\p{InPC=:\AVisual_Order_Left\z:}', "");;
    Expect(1, 43708, '\p{InPC:   visualorderleft}', "");
    Expect(0, 43708, '\p{^InPC:   visualorderleft}', "");
    Expect(0, 43708, '\P{InPC:   visualorderleft}', "");
    Expect(1, 43708, '\P{^InPC:   visualorderleft}', "");
    Expect(0, 43709, '\p{InPC:   visualorderleft}', "");
    Expect(1, 43709, '\p{^InPC:   visualorderleft}', "");
    Expect(1, 43709, '\P{InPC:   visualorderleft}', "");
    Expect(0, 43709, '\P{^InPC:   visualorderleft}', "");
    Expect(1, 43708, '\p{InPC=:\Avisualorderleft\z:}', "");;
    Expect(0, 43709, '\p{InPC=:\Avisualorderleft\z:}', "");;
    Expect(1, 43708, '\p{InPC=_visual_Order_Left}', "");
    Expect(0, 43708, '\p{^InPC=_visual_Order_Left}', "");
    Expect(0, 43708, '\P{InPC=_visual_Order_Left}', "");
    Expect(1, 43708, '\P{^InPC=_visual_Order_Left}', "");
    Expect(0, 43709, '\p{InPC=_visual_Order_Left}', "");
    Expect(1, 43709, '\p{^InPC=_visual_Order_Left}', "");
    Expect(1, 43709, '\P{InPC=_visual_Order_Left}', "");
    Expect(0, 43709, '\P{^InPC=_visual_Order_Left}', "");
    Error('\p{Is_Indic_Positional_Category=-_visual_Order_Left:=}');
    Error('\P{Is_Indic_Positional_Category=-_visual_Order_Left:=}');
    Expect(1, 43708, '\p{Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(0, 43708, '\p{^Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(0, 43708, '\P{Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(1, 43708, '\P{^Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(0, 43709, '\p{Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(1, 43709, '\p{^Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(1, 43709, '\P{Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(0, 43709, '\P{^Is_Indic_Positional_Category=visualorderleft}', "");
    Expect(1, 43708, '\p{Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Expect(0, 43708, '\p{^Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Expect(0, 43708, '\P{Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Expect(1, 43708, '\P{^Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Expect(0, 43709, '\p{Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Expect(1, 43709, '\p{^Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Expect(1, 43709, '\P{Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Expect(0, 43709, '\P{^Is_Indic_Positional_Category=	_VISUAL_ORDER_LEFT}', "");
    Error('\p{Is_InPC=-visual_order_LEFT:=}');
    Error('\P{Is_InPC=-visual_order_LEFT:=}');
    Expect(1, 43708, '\p{Is_InPC=visualorderleft}', "");
    Expect(0, 43708, '\p{^Is_InPC=visualorderleft}', "");
    Expect(0, 43708, '\P{Is_InPC=visualorderleft}', "");
    Expect(1, 43708, '\P{^Is_InPC=visualorderleft}', "");
    Expect(0, 43709, '\p{Is_InPC=visualorderleft}', "");
    Expect(1, 43709, '\p{^Is_InPC=visualorderleft}', "");
    Expect(1, 43709, '\P{Is_InPC=visualorderleft}', "");
    Expect(0, 43709, '\P{^Is_InPC=visualorderleft}', "");
    Expect(1, 43708, '\p{Is_InPC=_-Visual_Order_left}', "");
    Expect(0, 43708, '\p{^Is_InPC=_-Visual_Order_left}', "");
    Expect(0, 43708, '\P{Is_InPC=_-Visual_Order_left}', "");
    Expect(1, 43708, '\P{^Is_InPC=_-Visual_Order_left}', "");
    Expect(0, 43709, '\p{Is_InPC=_-Visual_Order_left}', "");
    Expect(1, 43709, '\p{^Is_InPC=_-Visual_Order_left}', "");
    Expect(1, 43709, '\P{Is_InPC=_-Visual_Order_left}', "");
    Expect(0, 43709, '\P{^Is_InPC=_-Visual_Order_left}', "");
    Error('\p{indicsyllabiccategory}');
    Error('\P{indicsyllabiccategory}');
    Error('\p{insc}');
    Error('\P{insc}');
    Error('\p{Indic_Syllabic_Category=-Avagraha:=}');
    Error('\P{Indic_Syllabic_Category=-Avagraha:=}');
    Expect(1, 72768, '\p{Indic_Syllabic_Category=:\AAvagraha\z:}', "");;
    Expect(0, 72769, '\p{Indic_Syllabic_Category=:\AAvagraha\z:}', "");;
    Expect(1, 72768, '\p{Indic_Syllabic_Category=avagraha}', "");
    Expect(0, 72768, '\p{^Indic_Syllabic_Category=avagraha}', "");
    Expect(0, 72768, '\P{Indic_Syllabic_Category=avagraha}', "");
    Expect(1, 72768, '\P{^Indic_Syllabic_Category=avagraha}', "");
    Expect(0, 72769, '\p{Indic_Syllabic_Category=avagraha}', "");
    Expect(1, 72769, '\p{^Indic_Syllabic_Category=avagraha}', "");
    Expect(1, 72769, '\P{Indic_Syllabic_Category=avagraha}', "");
    Expect(0, 72769, '\P{^Indic_Syllabic_Category=avagraha}', "");
    Expect(1, 72768, '\p{Indic_Syllabic_Category=:\Aavagraha\z:}', "");;
    Expect(0, 72769, '\p{Indic_Syllabic_Category=:\Aavagraha\z:}', "");;
    Expect(1, 72768, '\p{Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72768, '\p{^Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72768, '\P{Indic_Syllabic_Category=-Avagraha}', "");
    Expect(1, 72768, '\P{^Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72769, '\p{Indic_Syllabic_Category=-Avagraha}', "");
    Expect(1, 72769, '\p{^Indic_Syllabic_Category=-Avagraha}', "");
    Expect(1, 72769, '\P{Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72769, '\P{^Indic_Syllabic_Category=-Avagraha}', "");
    Error('\p{InSC=  avagraha/a/}');
    Error('\P{InSC=  avagraha/a/}');
    Expect(1, 72768, '\p{InSC=:\AAvagraha\z:}', "");;
    Expect(0, 72769, '\p{InSC=:\AAvagraha\z:}', "");;
    Expect(1, 72768, '\p{InSC:   avagraha}', "");
    Expect(0, 72768, '\p{^InSC:   avagraha}', "");
    Expect(0, 72768, '\P{InSC:   avagraha}', "");
    Expect(1, 72768, '\P{^InSC:   avagraha}', "");
    Expect(0, 72769, '\p{InSC:   avagraha}', "");
    Expect(1, 72769, '\p{^InSC:   avagraha}', "");
    Expect(1, 72769, '\P{InSC:   avagraha}', "");
    Expect(0, 72769, '\P{^InSC:   avagraha}', "");
    Expect(1, 72768, '\p{InSC=:\Aavagraha\z:}', "");;
    Expect(0, 72769, '\p{InSC=:\Aavagraha\z:}', "");;
    Expect(1, 72768, '\p{InSC=	_avagraha}', "");
    Expect(0, 72768, '\p{^InSC=	_avagraha}', "");
    Expect(0, 72768, '\P{InSC=	_avagraha}', "");
    Expect(1, 72768, '\P{^InSC=	_avagraha}', "");
    Expect(0, 72769, '\p{InSC=	_avagraha}', "");
    Expect(1, 72769, '\p{^InSC=	_avagraha}', "");
    Expect(1, 72769, '\P{InSC=	_avagraha}', "");
    Expect(0, 72769, '\P{^InSC=	_avagraha}', "");
    Error('\p{Is_Indic_Syllabic_Category=_ Avagraha/a/}');
    Error('\P{Is_Indic_Syllabic_Category=_ Avagraha/a/}');
    Expect(1, 72768, '\p{Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(0, 72768, '\p{^Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(0, 72768, '\P{Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(1, 72768, '\P{^Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(0, 72769, '\p{Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(1, 72769, '\p{^Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(1, 72769, '\P{Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(0, 72769, '\P{^Is_Indic_Syllabic_Category: avagraha}', "");
    Expect(1, 72768, '\p{Is_Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72768, '\p{^Is_Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72768, '\P{Is_Indic_Syllabic_Category=-Avagraha}', "");
    Expect(1, 72768, '\P{^Is_Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72769, '\p{Is_Indic_Syllabic_Category=-Avagraha}', "");
    Expect(1, 72769, '\p{^Is_Indic_Syllabic_Category=-Avagraha}', "");
    Expect(1, 72769, '\P{Is_Indic_Syllabic_Category=-Avagraha}', "");
    Expect(0, 72769, '\P{^Is_Indic_Syllabic_Category=-Avagraha}', "");
    Error('\p{Is_InSC=/a/		AVAGRAHA}');
    Error('\P{Is_InSC=/a/		AVAGRAHA}');
    Expect(1, 72768, '\p{Is_InSC=avagraha}', "");
    Expect(0, 72768, '\p{^Is_InSC=avagraha}', "");
    Expect(0, 72768, '\P{Is_InSC=avagraha}', "");
    Expect(1, 72768, '\P{^Is_InSC=avagraha}', "");
    Expect(0, 72769, '\p{Is_InSC=avagraha}', "");
    Expect(1, 72769, '\p{^Is_InSC=avagraha}', "");
    Expect(1, 72769, '\P{Is_InSC=avagraha}', "");
    Expect(0, 72769, '\P{^Is_InSC=avagraha}', "");
    Expect(1, 72768, '\p{Is_InSC=		AVAGRAHA}', "");
    Expect(0, 72768, '\p{^Is_InSC=		AVAGRAHA}', "");
    Expect(0, 72768, '\P{Is_InSC=		AVAGRAHA}', "");
    Expect(1, 72768, '\P{^Is_InSC=		AVAGRAHA}', "");
    Expect(0, 72769, '\p{Is_InSC=		AVAGRAHA}', "");
    Expect(1, 72769, '\p{^Is_InSC=		AVAGRAHA}', "");
    Expect(1, 72769, '\P{Is_InSC=		AVAGRAHA}', "");
    Expect(0, 72769, '\P{^Is_InSC=		AVAGRAHA}', "");
    Error('\p{Indic_Syllabic_Category=-	BINDU:=}');
    Error('\P{Indic_Syllabic_Category=-	BINDU:=}');
    Expect(1, 73109, '\p{Indic_Syllabic_Category=:\ABindu\z:}', "");;
    Expect(0, 73110, '\p{Indic_Syllabic_Category=:\ABindu\z:}', "");;
    Expect(1, 73109, '\p{Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73109, '\p{^Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73109, '\P{Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73109, '\P{^Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73110, '\p{Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73110, '\p{^Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73110, '\P{Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73110, '\P{^Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73109, '\p{Indic_Syllabic_Category=:\Abindu\z:}', "");;
    Expect(0, 73110, '\p{Indic_Syllabic_Category=:\Abindu\z:}', "");;
    Expect(1, 73109, '\p{Indic_Syllabic_Category=	-bindu}', "");
    Expect(0, 73109, '\p{^Indic_Syllabic_Category=	-bindu}', "");
    Expect(0, 73109, '\P{Indic_Syllabic_Category=	-bindu}', "");
    Expect(1, 73109, '\P{^Indic_Syllabic_Category=	-bindu}', "");
    Expect(0, 73110, '\p{Indic_Syllabic_Category=	-bindu}', "");
    Expect(1, 73110, '\p{^Indic_Syllabic_Category=	-bindu}', "");
    Expect(1, 73110, '\P{Indic_Syllabic_Category=	-bindu}', "");
    Expect(0, 73110, '\P{^Indic_Syllabic_Category=	-bindu}', "");
    Error('\p{InSC= /a/BINDU}');
    Error('\P{InSC= /a/BINDU}');
    Expect(1, 73109, '\p{InSC=:\ABindu\z:}', "");;
    Expect(0, 73110, '\p{InSC=:\ABindu\z:}', "");;
    Expect(1, 73109, '\p{InSC=bindu}', "");
    Expect(0, 73109, '\p{^InSC=bindu}', "");
    Expect(0, 73109, '\P{InSC=bindu}', "");
    Expect(1, 73109, '\P{^InSC=bindu}', "");
    Expect(0, 73110, '\p{InSC=bindu}', "");
    Expect(1, 73110, '\p{^InSC=bindu}', "");
    Expect(1, 73110, '\P{InSC=bindu}', "");
    Expect(0, 73110, '\P{^InSC=bindu}', "");
    Expect(1, 73109, '\p{InSC=:\Abindu\z:}', "");;
    Expect(0, 73110, '\p{InSC=:\Abindu\z:}', "");;
    Expect(1, 73109, '\p{InSC=	_Bindu}', "");
    Expect(0, 73109, '\p{^InSC=	_Bindu}', "");
    Expect(0, 73109, '\P{InSC=	_Bindu}', "");
    Expect(1, 73109, '\P{^InSC=	_Bindu}', "");
    Expect(0, 73110, '\p{InSC=	_Bindu}', "");
    Expect(1, 73110, '\p{^InSC=	_Bindu}', "");
    Expect(1, 73110, '\P{InSC=	_Bindu}', "");
    Expect(0, 73110, '\P{^InSC=	_Bindu}', "");
    Error('\p{Is_Indic_Syllabic_Category=:=--Bindu}');
    Error('\P{Is_Indic_Syllabic_Category=:=--Bindu}');
    Expect(1, 73109, '\p{Is_Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73109, '\p{^Is_Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73109, '\P{Is_Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73109, '\P{^Is_Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73110, '\p{Is_Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73110, '\p{^Is_Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73110, '\P{Is_Indic_Syllabic_Category=bindu}', "");
    Expect(0, 73110, '\P{^Is_Indic_Syllabic_Category=bindu}', "");
    Expect(1, 73109, '\p{Is_Indic_Syllabic_Category=_	Bindu}', "");
    Expect(0, 73109, '\p{^Is_Indic_Syllabic_Category=_	Bindu}', "");
    Expect(0, 73109, '\P{Is_Indic_Syllabic_Category=_	Bindu}', "");
    Expect(1, 73109, '\P{^Is_Indic_Syllabic_Category=_	Bindu}', "");
    Expect(0, 73110, '\p{Is_Indic_Syllabic_Category=_	Bindu}', "");
    Expect(1, 73110, '\p{^Is_Indic_Syllabic_Category=_	Bindu}', "");
    Expect(1, 73110, '\P{Is_Indic_Syllabic_Category=_	Bindu}', "");
    Expect(0, 73110, '\P{^Is_Indic_Syllabic_Category=_	Bindu}', "");
    Error('\p{Is_InSC=-Bindu/a/}');
    Error('\P{Is_InSC=-Bindu/a/}');
    Expect(1, 73109, '\p{Is_InSC=bindu}', "");
    Expect(0, 73109, '\p{^Is_InSC=bindu}', "");
    Expect(0, 73109, '\P{Is_InSC=bindu}', "");
    Expect(1, 73109, '\P{^Is_InSC=bindu}', "");
    Expect(0, 73110, '\p{Is_InSC=bindu}', "");
    Expect(1, 73110, '\p{^Is_InSC=bindu}', "");
    Expect(1, 73110, '\P{Is_InSC=bindu}', "");
    Expect(0, 73110, '\P{^Is_InSC=bindu}', "");
    Expect(1, 73109, '\p{Is_InSC= 	bindu}', "");
    Expect(0, 73109, '\p{^Is_InSC= 	bindu}', "");
    Expect(0, 73109, '\P{Is_InSC= 	bindu}', "");
    Expect(1, 73109, '\P{^Is_InSC= 	bindu}', "");
    Expect(0, 73110, '\p{Is_InSC= 	bindu}', "");
    Expect(1, 73110, '\p{^Is_InSC= 	bindu}', "");
    Expect(1, 73110, '\P{Is_InSC= 	bindu}', "");
    Expect(0, 73110, '\P{^Is_InSC= 	bindu}', "");
    Error('\p{Indic_Syllabic_Category:	/a/Brahmi_Joining_NUMBER}');
    Error('\P{Indic_Syllabic_Category:	/a/Brahmi_Joining_NUMBER}');
    Expect(1, 69733, '\p{Indic_Syllabic_Category=:\ABrahmi_Joining_Number\z:}', "");;
    Expect(0, 69734, '\p{Indic_Syllabic_Category=:\ABrahmi_Joining_Number\z:}', "");;
    Expect(1, 69733, '\p{Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(0, 69733, '\p{^Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(0, 69733, '\P{Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(1, 69733, '\P{^Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(0, 69734, '\p{Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(1, 69734, '\p{^Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(1, 69734, '\P{Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(0, 69734, '\P{^Indic_Syllabic_Category:	brahmijoiningnumber}', "");
    Expect(1, 69733, '\p{Indic_Syllabic_Category=:\Abrahmijoiningnumber\z:}', "");;
    Expect(0, 69734, '\p{Indic_Syllabic_Category=:\Abrahmijoiningnumber\z:}', "");;
    Expect(1, 69733, '\p{Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Expect(0, 69733, '\p{^Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Expect(0, 69733, '\P{Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Expect(1, 69733, '\P{^Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Expect(0, 69734, '\p{Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Expect(1, 69734, '\p{^Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Expect(1, 69734, '\P{Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Expect(0, 69734, '\P{^Indic_Syllabic_Category= -Brahmi_Joining_Number}', "");
    Error('\p{InSC=	/a/brahmi_Joining_NUMBER}');
    Error('\P{InSC=	/a/brahmi_Joining_NUMBER}');
    Expect(1, 69733, '\p{InSC=:\ABrahmi_Joining_Number\z:}', "");;
    Expect(0, 69734, '\p{InSC=:\ABrahmi_Joining_Number\z:}', "");;
    Expect(1, 69733, '\p{InSC=brahmijoiningnumber}', "");
    Expect(0, 69733, '\p{^InSC=brahmijoiningnumber}', "");
    Expect(0, 69733, '\P{InSC=brahmijoiningnumber}', "");
    Expect(1, 69733, '\P{^InSC=brahmijoiningnumber}', "");
    Expect(0, 69734, '\p{InSC=brahmijoiningnumber}', "");
    Expect(1, 69734, '\p{^InSC=brahmijoiningnumber}', "");
    Expect(1, 69734, '\P{InSC=brahmijoiningnumber}', "");
    Expect(0, 69734, '\P{^InSC=brahmijoiningnumber}', "");
    Expect(1, 69733, '\p{InSC=:\Abrahmijoiningnumber\z:}', "");;
    Expect(0, 69734, '\p{InSC=:\Abrahmijoiningnumber\z:}', "");;
    Expect(1, 69733, '\p{InSC=-_BRAHMI_Joining_number}', "");
    Expect(0, 69733, '\p{^InSC=-_BRAHMI_Joining_number}', "");
    Expect(0, 69733, '\P{InSC=-_BRAHMI_Joining_number}', "");
    Expect(1, 69733, '\P{^InSC=-_BRAHMI_Joining_number}', "");
    Expect(0, 69734, '\p{InSC=-_BRAHMI_Joining_number}', "");
    Expect(1, 69734, '\p{^InSC=-_BRAHMI_Joining_number}', "");
    Expect(1, 69734, '\P{InSC=-_BRAHMI_Joining_number}', "");
    Expect(0, 69734, '\P{^InSC=-_BRAHMI_Joining_number}', "");
    Error('\p{Is_Indic_Syllabic_Category=	Brahmi_Joining_number/a/}');
    Error('\P{Is_Indic_Syllabic_Category=	Brahmi_Joining_number/a/}');
    Expect(1, 69733, '\p{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(0, 69733, '\p{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(0, 69733, '\P{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(1, 69733, '\P{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(0, 69734, '\p{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(1, 69734, '\p{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(1, 69734, '\P{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(0, 69734, '\P{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
    Expect(1, 69733, '\p{Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Expect(0, 69733, '\p{^Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Expect(0, 69733, '\P{Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Expect(1, 69733, '\P{^Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Expect(0, 69734, '\p{Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Expect(1, 69734, '\p{^Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Expect(1, 69734, '\P{Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Expect(0, 69734, '\P{^Is_Indic_Syllabic_Category=BRAHMI_JOINING_Number}', "");
    Error('\p{Is_InSC=:=Brahmi_Joining_number}');
    Error('\P{Is_InSC=:=Brahmi_Joining_number}');
    Expect(1, 69733, '\p{Is_InSC=brahmijoiningnumber}', "");
    Expect(0, 69733, '\p{^Is_InSC=brahmijoiningnumber}', "");
    Expect(0, 69733, '\P{Is_InSC=brahmijoiningnumber}', "");
    Expect(1, 69733, '\P{^Is_InSC=brahmijoiningnumber}', "");
    Expect(0, 69734, '\p{Is_InSC=brahmijoiningnumber}', "");
    Expect(1, 69734, '\p{^Is_InSC=brahmijoiningnumber}', "");
    Expect(1, 69734, '\P{Is_InSC=brahmijoiningnumber}', "");
    Expect(0, 69734, '\P{^Is_InSC=brahmijoiningnumber}', "");
    Expect(1, 69733, '\p{Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Expect(0, 69733, '\p{^Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Expect(0, 69733, '\P{Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Expect(1, 69733, '\P{^Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Expect(0, 69734, '\p{Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Expect(1, 69734, '\p{^Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Expect(1, 69734, '\P{Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Expect(0, 69734, '\P{^Is_InSC=_-BRAHMI_Joining_NUMBER}', "");
    Error('\p{Indic_Syllabic_Category=/a/_CANTILLATION_MARK}');
    Error('\P{Indic_Syllabic_Category=/a/_CANTILLATION_MARK}');
    Expect(1, 70516, '\p{Indic_Syllabic_Category=:\ACantillation_Mark\z:}', "");;
    Expect(0, 70517, '\p{Indic_Syllabic_Category=:\ACantillation_Mark\z:}', "");;
    Expect(1, 70516, '\p{Indic_Syllabic_Category=cantillationmark}', "");
    Expect(0, 70516, '\p{^Indic_Syllabic_Category=cantillationmark}', "");
    Expect(0, 70516, '\P{Indic_Syllabic_Category=cantillationmark}', "");
    Expect(1, 70516, '\P{^Indic_Syllabic_Category=cantillationmark}', "");
    Expect(0, 70517, '\p{Indic_Syllabic_Category=cantillationmark}', "");
    Expect(1, 70517, '\p{^Indic_Syllabic_Category=cantillationmark}', "");
    Expect(1, 70517, '\P{Indic_Syllabic_Category=cantillationmark}', "");
    Expect(0, 70517, '\P{^Indic_Syllabic_Category=cantillationmark}', "");
    Expect(1, 70516, '\p{Indic_Syllabic_Category=:\Acantillationmark\z:}', "");;
    Expect(0, 70517, '\p{Indic_Syllabic_Category=:\Acantillationmark\z:}', "");;
    Expect(1, 70516, '\p{Indic_Syllabic_Category= Cantillation_MARK}', "");
    Expect(0, 70516, '\p{^Indic_Syllabic_Category= Cantillation_MARK}', "");
    Expect(0, 70516, '\P{Indic_Syllabic_Category= Cantillation_MARK}', "");
    Expect(1, 70516, '\P{^Indic_Syllabic_Category= Cantillation_MARK}', "");
    Expect(0, 70517, '\p{Indic_Syllabic_Category= Cantillation_MARK}', "");
    Expect(1, 70517, '\p{^Indic_Syllabic_Category= Cantillation_MARK}', "");
    Expect(1, 70517, '\P{Indic_Syllabic_Category= Cantillation_MARK}', "");
    Expect(0, 70517, '\P{^Indic_Syllabic_Category= Cantillation_MARK}', "");
    Error('\p{InSC= :=Cantillation_MARK}');
    Error('\P{InSC= :=Cantillation_MARK}');
    Expect(1, 70516, '\p{InSC=:\ACantillation_Mark\z:}', "");;
    Expect(0, 70517, '\p{InSC=:\ACantillation_Mark\z:}', "");;
    Expect(1, 70516, '\p{InSC=cantillationmark}', "");
    Expect(0, 70516, '\p{^InSC=cantillationmark}', "");
    Expect(0, 70516, '\P{InSC=cantillationmark}', "");
    Expect(1, 70516, '\P{^InSC=cantillationmark}', "");
    Expect(0, 70517, '\p{InSC=cantillationmark}', "");
    Expect(1, 70517, '\p{^InSC=cantillationmark}', "");
    Expect(1, 70517, '\P{InSC=cantillationmark}', "");
    Expect(0, 70517, '\P{^InSC=cantillationmark}', "");
    Expect(1, 70516, '\p{InSC=:\Acantillationmark\z:}', "");;
    Expect(0, 70517, '\p{InSC=:\Acantillationmark\z:}', "");;
    Expect(1, 70516, '\p{InSC=- Cantillation_Mark}', "");
    Expect(0, 70516, '\p{^InSC=- Cantillation_Mark}', "");
    Expect(0, 70516, '\P{InSC=- Cantillation_Mark}', "");
    Expect(1, 70516, '\P{^InSC=- Cantillation_Mark}', "");
    Expect(0, 70517, '\p{InSC=- Cantillation_Mark}', "");
    Expect(1, 70517, '\p{^InSC=- Cantillation_Mark}', "");
    Expect(1, 70517, '\P{InSC=- Cantillation_Mark}', "");
    Expect(0, 70517, '\P{^InSC=- Cantillation_Mark}', "");
    Error('\p{Is_Indic_Syllabic_Category=:= CANTILLATION_Mark}');
    Error('\P{Is_Indic_Syllabic_Category=:= CANTILLATION_Mark}');
    Expect(1, 70516, '\p{Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(0, 70516, '\p{^Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(0, 70516, '\P{Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(1, 70516, '\P{^Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(0, 70517, '\p{Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(1, 70517, '\p{^Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(1, 70517, '\P{Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(0, 70517, '\P{^Is_Indic_Syllabic_Category: cantillationmark}', "");
    Expect(1, 70516, '\p{Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Expect(0, 70516, '\p{^Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Expect(0, 70516, '\P{Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Expect(1, 70516, '\P{^Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Expect(0, 70517, '\p{Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Expect(1, 70517, '\p{^Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Expect(1, 70517, '\P{Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Expect(0, 70517, '\P{^Is_Indic_Syllabic_Category=	 Cantillation_Mark}', "");
    Error('\p{Is_InSC:-Cantillation_Mark:=}');
    Error('\P{Is_InSC:-Cantillation_Mark:=}');
    Expect(1, 70516, '\p{Is_InSC=cantillationmark}', "");
    Expect(0, 70516, '\p{^Is_InSC=cantillationmark}', "");
    Expect(0, 70516, '\P{Is_InSC=cantillationmark}', "");
    Expect(1, 70516, '\P{^Is_InSC=cantillationmark}', "");
    Expect(0, 70517, '\p{Is_InSC=cantillationmark}', "");
    Expect(1, 70517, '\p{^Is_InSC=cantillationmark}', "");
    Expect(1, 70517, '\P{Is_InSC=cantillationmark}', "");
    Expect(0, 70517, '\P{^Is_InSC=cantillationmark}', "");
    Expect(1, 70516, '\p{Is_InSC=		Cantillation_Mark}', "");
    Expect(0, 70516, '\p{^Is_InSC=		Cantillation_Mark}', "");
    Expect(0, 70516, '\P{Is_InSC=		Cantillation_Mark}', "");
    Expect(1, 70516, '\P{^Is_InSC=		Cantillation_Mark}', "");
    Expect(0, 70517, '\p{Is_InSC=		Cantillation_Mark}', "");
    Expect(1, 70517, '\p{^Is_InSC=		Cantillation_Mark}', "");
    Expect(1, 70517, '\P{Is_InSC=		Cantillation_Mark}', "");
    Expect(0, 70517, '\P{^Is_InSC=		Cantillation_Mark}', "");
    Error('\p{Indic_Syllabic_Category=:=-Consonant}');
    Error('\P{Indic_Syllabic_Category=:=-Consonant}');
    Expect(1, 73457, '\p{Indic_Syllabic_Category=:\AConsonant\z:}', "");;
    Expect(0, 73458, '\p{Indic_Syllabic_Category=:\AConsonant\z:}', "");;
    Expect(1, 73457, '\p{Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73457, '\p{^Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73457, '\P{Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73457, '\P{^Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73458, '\p{Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73458, '\p{^Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73458, '\P{Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73458, '\P{^Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73457, '\p{Indic_Syllabic_Category=:\Aconsonant\z:}', "");;
    Expect(0, 73458, '\p{Indic_Syllabic_Category=:\Aconsonant\z:}', "");;
    Expect(1, 73457, '\p{Indic_Syllabic_Category=-Consonant}', "");
    Expect(0, 73457, '\p{^Indic_Syllabic_Category=-Consonant}', "");
    Expect(0, 73457, '\P{Indic_Syllabic_Category=-Consonant}', "");
    Expect(1, 73457, '\P{^Indic_Syllabic_Category=-Consonant}', "");
    Expect(0, 73458, '\p{Indic_Syllabic_Category=-Consonant}', "");
    Expect(1, 73458, '\p{^Indic_Syllabic_Category=-Consonant}', "");
    Expect(1, 73458, '\P{Indic_Syllabic_Category=-Consonant}', "");
    Expect(0, 73458, '\P{^Indic_Syllabic_Category=-Consonant}', "");
    Error('\p{InSC=		consonant/a/}');
    Error('\P{InSC=		consonant/a/}');
    Expect(1, 73457, '\p{InSC=:\AConsonant\z:}', "");;
    Expect(0, 73458, '\p{InSC=:\AConsonant\z:}', "");;
    Expect(1, 73457, '\p{InSC=consonant}', "");
    Expect(0, 73457, '\p{^InSC=consonant}', "");
    Expect(0, 73457, '\P{InSC=consonant}', "");
    Expect(1, 73457, '\P{^InSC=consonant}', "");
    Expect(0, 73458, '\p{InSC=consonant}', "");
    Expect(1, 73458, '\p{^InSC=consonant}', "");
    Expect(1, 73458, '\P{InSC=consonant}', "");
    Expect(0, 73458, '\P{^InSC=consonant}', "");
    Expect(1, 73457, '\p{InSC=:\Aconsonant\z:}', "");;
    Expect(0, 73458, '\p{InSC=:\Aconsonant\z:}', "");;
    Expect(1, 73457, '\p{InSC= _consonant}', "");
    Expect(0, 73457, '\p{^InSC= _consonant}', "");
    Expect(0, 73457, '\P{InSC= _consonant}', "");
    Expect(1, 73457, '\P{^InSC= _consonant}', "");
    Expect(0, 73458, '\p{InSC= _consonant}', "");
    Expect(1, 73458, '\p{^InSC= _consonant}', "");
    Expect(1, 73458, '\P{InSC= _consonant}', "");
    Expect(0, 73458, '\P{^InSC= _consonant}', "");
    Error('\p{Is_Indic_Syllabic_Category= -Consonant/a/}');
    Error('\P{Is_Indic_Syllabic_Category= -Consonant/a/}');
    Expect(1, 73457, '\p{Is_Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73457, '\p{^Is_Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73457, '\P{Is_Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73457, '\P{^Is_Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73458, '\p{Is_Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73458, '\p{^Is_Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73458, '\P{Is_Indic_Syllabic_Category=consonant}', "");
    Expect(0, 73458, '\P{^Is_Indic_Syllabic_Category=consonant}', "");
    Expect(1, 73457, '\p{Is_Indic_Syllabic_Category= consonant}', "");
    Expect(0, 73457, '\p{^Is_Indic_Syllabic_Category= consonant}', "");
    Expect(0, 73457, '\P{Is_Indic_Syllabic_Category= consonant}', "");
    Expect(1, 73457, '\P{^Is_Indic_Syllabic_Category= consonant}', "");
    Expect(0, 73458, '\p{Is_Indic_Syllabic_Category= consonant}', "");
    Expect(1, 73458, '\p{^Is_Indic_Syllabic_Category= consonant}', "");
    Expect(1, 73458, '\P{Is_Indic_Syllabic_Category= consonant}', "");
    Expect(0, 73458, '\P{^Is_Indic_Syllabic_Category= consonant}', "");
    Error('\p{Is_InSC=:=	-consonant}');
    Error('\P{Is_InSC=:=	-consonant}');
    Expect(1, 73457, '\p{Is_InSC=consonant}', "");
    Expect(0, 73457, '\p{^Is_InSC=consonant}', "");
    Expect(0, 73457, '\P{Is_InSC=consonant}', "");
    Expect(1, 73457, '\P{^Is_InSC=consonant}', "");
    Expect(0, 73458, '\p{Is_InSC=consonant}', "");
    Expect(1, 73458, '\p{^Is_InSC=consonant}', "");
    Expect(1, 73458, '\P{Is_InSC=consonant}', "");
    Expect(0, 73458, '\P{^Is_InSC=consonant}', "");
    Expect(1, 73457, '\p{Is_InSC=--consonant}', "");
    Expect(0, 73457, '\p{^Is_InSC=--consonant}', "");
    Expect(0, 73457, '\P{Is_InSC=--consonant}', "");
    Expect(1, 73457, '\P{^Is_InSC=--consonant}', "");
    Expect(0, 73458, '\p{Is_InSC=--consonant}', "");
    Expect(1, 73458, '\p{^Is_InSC=--consonant}', "");
    Expect(1, 73458, '\P{Is_InSC=--consonant}', "");
    Expect(0, 73458, '\P{^Is_InSC=--consonant}', "");
    Error('\p{Indic_Syllabic_Category= 	Consonant_dead/a/}');
    Error('\P{Indic_Syllabic_Category= 	Consonant_dead/a/}');
    Expect(1, 7411, '\p{Indic_Syllabic_Category=:\AConsonant_Dead\z:}', "");;
    Expect(0, 7412, '\p{Indic_Syllabic_Category=:\AConsonant_Dead\z:}', "");;
    Expect(1, 7411, '\p{Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7411, '\p{^Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7411, '\P{Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7411, '\P{^Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7412, '\p{Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7412, '\p{^Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7412, '\P{Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7412, '\P{^Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7411, '\p{Indic_Syllabic_Category=:\Aconsonantdead\z:}', "");;
    Expect(0, 7412, '\p{Indic_Syllabic_Category=:\Aconsonantdead\z:}', "");;
    Expect(1, 7411, '\p{Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Expect(0, 7411, '\p{^Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Expect(0, 7411, '\P{Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Expect(1, 7411, '\P{^Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Expect(0, 7412, '\p{Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Expect(1, 7412, '\p{^Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Expect(1, 7412, '\P{Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Expect(0, 7412, '\P{^Indic_Syllabic_Category=-_CONSONANT_Dead}', "");
    Error('\p{InSC=--Consonant_Dead/a/}');
    Error('\P{InSC=--Consonant_Dead/a/}');
    Expect(1, 7411, '\p{InSC=:\AConsonant_Dead\z:}', "");;
    Expect(0, 7412, '\p{InSC=:\AConsonant_Dead\z:}', "");;
    Expect(1, 7411, '\p{InSC=consonantdead}', "");
    Expect(0, 7411, '\p{^InSC=consonantdead}', "");
    Expect(0, 7411, '\P{InSC=consonantdead}', "");
    Expect(1, 7411, '\P{^InSC=consonantdead}', "");
    Expect(0, 7412, '\p{InSC=consonantdead}', "");
    Expect(1, 7412, '\p{^InSC=consonantdead}', "");
    Expect(1, 7412, '\P{InSC=consonantdead}', "");
    Expect(0, 7412, '\P{^InSC=consonantdead}', "");
    Expect(1, 7411, '\p{InSC=:\Aconsonantdead\z:}', "");;
    Expect(0, 7412, '\p{InSC=:\Aconsonantdead\z:}', "");;
    Expect(1, 7411, '\p{InSC=	CONSONANT_Dead}', "");
    Expect(0, 7411, '\p{^InSC=	CONSONANT_Dead}', "");
    Expect(0, 7411, '\P{InSC=	CONSONANT_Dead}', "");
    Expect(1, 7411, '\P{^InSC=	CONSONANT_Dead}', "");
    Expect(0, 7412, '\p{InSC=	CONSONANT_Dead}', "");
    Expect(1, 7412, '\p{^InSC=	CONSONANT_Dead}', "");
    Expect(1, 7412, '\P{InSC=	CONSONANT_Dead}', "");
    Expect(0, 7412, '\P{^InSC=	CONSONANT_Dead}', "");
    Error('\p{Is_Indic_Syllabic_Category=	consonant_dead:=}');
    Error('\P{Is_Indic_Syllabic_Category=	consonant_dead:=}');
    Expect(1, 7411, '\p{Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7411, '\p{^Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7411, '\P{Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7411, '\P{^Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7412, '\p{Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7412, '\p{^Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7412, '\P{Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(0, 7412, '\P{^Is_Indic_Syllabic_Category=consonantdead}', "");
    Expect(1, 7411, '\p{Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Expect(0, 7411, '\p{^Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Expect(0, 7411, '\P{Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Expect(1, 7411, '\P{^Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Expect(0, 7412, '\p{Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Expect(1, 7412, '\p{^Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Expect(1, 7412, '\P{Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Expect(0, 7412, '\P{^Is_Indic_Syllabic_Category=_-Consonant_Dead}', "");
    Error('\p{Is_InSC=:=-CONSONANT_Dead}');
    Error('\P{Is_InSC=:=-CONSONANT_Dead}');
    Expect(1, 7411, '\p{Is_InSC=consonantdead}', "");
    Expect(0, 7411, '\p{^Is_InSC=consonantdead}', "");
    Expect(0, 7411, '\P{Is_InSC=consonantdead}', "");
    Expect(1, 7411, '\P{^Is_InSC=consonantdead}', "");
    Expect(0, 7412, '\p{Is_InSC=consonantdead}', "");
    Expect(1, 7412, '\p{^Is_InSC=consonantdead}', "");
    Expect(1, 7412, '\P{Is_InSC=consonantdead}', "");
    Expect(0, 7412, '\P{^Is_InSC=consonantdead}', "");
    Expect(1, 7411, '\p{Is_InSC=- CONSONANT_Dead}', "");
    Expect(0, 7411, '\p{^Is_InSC=- CONSONANT_Dead}', "");
    Expect(0, 7411, '\P{Is_InSC=- CONSONANT_Dead}', "");
    Expect(1, 7411, '\P{^Is_InSC=- CONSONANT_Dead}', "");
    Expect(0, 7412, '\p{Is_InSC=- CONSONANT_Dead}', "");
    Expect(1, 7412, '\p{^Is_InSC=- CONSONANT_Dead}', "");
    Expect(1, 7412, '\P{Is_InSC=- CONSONANT_Dead}', "");
    Expect(0, 7412, '\P{^Is_InSC=- CONSONANT_Dead}', "");
    Error('\p{Indic_Syllabic_Category=-_CONSONANT_FINAL:=}');
    Error('\P{Indic_Syllabic_Category=-_CONSONANT_FINAL:=}');
    Expect(1, 72341, '\p{Indic_Syllabic_Category=:\AConsonant_Final\z:}', "");;
    Expect(0, 72342, '\p{Indic_Syllabic_Category=:\AConsonant_Final\z:}', "");;
    Expect(1, 72341, '\p{Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72341, '\p{^Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72341, '\P{Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72341, '\P{^Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72342, '\p{Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72342, '\p{^Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72342, '\P{Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72342, '\P{^Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72341, '\p{Indic_Syllabic_Category=:\Aconsonantfinal\z:}', "");;
    Expect(0, 72342, '\p{Indic_Syllabic_Category=:\Aconsonantfinal\z:}', "");;
    Expect(1, 72341, '\p{Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Expect(0, 72341, '\p{^Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Expect(0, 72341, '\P{Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Expect(1, 72341, '\P{^Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Expect(0, 72342, '\p{Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Expect(1, 72342, '\p{^Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Expect(1, 72342, '\P{Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Expect(0, 72342, '\P{^Indic_Syllabic_Category:	__CONSONANT_Final}', "");
    Error('\p{InSC=:=CONSONANT_Final}');
    Error('\P{InSC=:=CONSONANT_Final}');
    Expect(1, 72341, '\p{InSC=:\AConsonant_Final\z:}', "");;
    Expect(0, 72342, '\p{InSC=:\AConsonant_Final\z:}', "");;
    Expect(1, 72341, '\p{InSC=consonantfinal}', "");
    Expect(0, 72341, '\p{^InSC=consonantfinal}', "");
    Expect(0, 72341, '\P{InSC=consonantfinal}', "");
    Expect(1, 72341, '\P{^InSC=consonantfinal}', "");
    Expect(0, 72342, '\p{InSC=consonantfinal}', "");
    Expect(1, 72342, '\p{^InSC=consonantfinal}', "");
    Expect(1, 72342, '\P{InSC=consonantfinal}', "");
    Expect(0, 72342, '\P{^InSC=consonantfinal}', "");
    Expect(1, 72341, '\p{InSC=:\Aconsonantfinal\z:}', "");;
    Expect(0, 72342, '\p{InSC=:\Aconsonantfinal\z:}', "");;
    Expect(1, 72341, '\p{InSC=_	CONSONANT_Final}', "");
    Expect(0, 72341, '\p{^InSC=_	CONSONANT_Final}', "");
    Expect(0, 72341, '\P{InSC=_	CONSONANT_Final}', "");
    Expect(1, 72341, '\P{^InSC=_	CONSONANT_Final}', "");
    Expect(0, 72342, '\p{InSC=_	CONSONANT_Final}', "");
    Expect(1, 72342, '\p{^InSC=_	CONSONANT_Final}', "");
    Expect(1, 72342, '\P{InSC=_	CONSONANT_Final}', "");
    Expect(0, 72342, '\P{^InSC=_	CONSONANT_Final}', "");
    Error('\p{Is_Indic_Syllabic_Category= :=Consonant_FINAL}');
    Error('\P{Is_Indic_Syllabic_Category= :=Consonant_FINAL}');
    Expect(1, 72341, '\p{Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72341, '\p{^Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72341, '\P{Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72341, '\P{^Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72342, '\p{Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72342, '\p{^Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72342, '\P{Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(0, 72342, '\P{^Is_Indic_Syllabic_Category=consonantfinal}', "");
    Expect(1, 72341, '\p{Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Expect(0, 72341, '\p{^Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Expect(0, 72341, '\P{Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Expect(1, 72341, '\P{^Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Expect(0, 72342, '\p{Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Expect(1, 72342, '\p{^Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Expect(1, 72342, '\P{Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Expect(0, 72342, '\P{^Is_Indic_Syllabic_Category=- Consonant_FINAL}', "");
    Error('\p{Is_InSC=/a/-_CONSONANT_final}');
    Error('\P{Is_InSC=/a/-_CONSONANT_final}');
    Expect(1, 72341, '\p{Is_InSC=consonantfinal}', "");
    Expect(0, 72341, '\p{^Is_InSC=consonantfinal}', "");
    Expect(0, 72341, '\P{Is_InSC=consonantfinal}', "");
    Expect(1, 72341, '\P{^Is_InSC=consonantfinal}', "");
    Expect(0, 72342, '\p{Is_InSC=consonantfinal}', "");
    Expect(1, 72342, '\p{^Is_InSC=consonantfinal}', "");
    Expect(1, 72342, '\P{Is_InSC=consonantfinal}', "");
    Expect(0, 72342, '\P{^Is_InSC=consonantfinal}', "");
    Expect(1, 72341, '\p{Is_InSC=-_Consonant_final}', "");
    Expect(0, 72341, '\p{^Is_InSC=-_Consonant_final}', "");
    Expect(0, 72341, '\P{Is_InSC=-_Consonant_final}', "");
    Expect(1, 72341, '\P{^Is_InSC=-_Consonant_final}', "");
    Expect(0, 72342, '\p{Is_InSC=-_Consonant_final}', "");
    Expect(1, 72342, '\p{^Is_InSC=-_Consonant_final}', "");
    Expect(1, 72342, '\P{Is_InSC=-_Consonant_final}', "");
    Expect(0, 72342, '\P{^Is_InSC=-_Consonant_final}', "");
    Error('\p{Indic_Syllabic_Category=/a/	 Consonant_HEAD_Letter}');
    Error('\P{Indic_Syllabic_Category=/a/	 Consonant_HEAD_Letter}');
    Expect(1, 3980, '\p{Indic_Syllabic_Category=:\AConsonant_Head_Letter\z:}', "");;
    Expect(0, 3981, '\p{Indic_Syllabic_Category=:\AConsonant_Head_Letter\z:}', "");;
    Expect(1, 3980, '\p{Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(0, 3980, '\p{^Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(0, 3980, '\P{Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(1, 3980, '\P{^Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(0, 3981, '\p{Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(1, 3981, '\p{^Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(1, 3981, '\P{Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(0, 3981, '\P{^Indic_Syllabic_Category: consonantheadletter}', "");
    Expect(1, 3980, '\p{Indic_Syllabic_Category=:\Aconsonantheadletter\z:}', "");;
    Expect(0, 3981, '\p{Indic_Syllabic_Category=:\Aconsonantheadletter\z:}', "");;
    Expect(1, 3980, '\p{Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Expect(0, 3980, '\p{^Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Expect(0, 3980, '\P{Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Expect(1, 3980, '\P{^Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Expect(0, 3981, '\p{Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Expect(1, 3981, '\p{^Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Expect(1, 3981, '\P{Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Expect(0, 3981, '\P{^Indic_Syllabic_Category=- CONSONANT_Head_Letter}', "");
    Error('\p{InSC:   /a/CONSONANT_head_letter}');
    Error('\P{InSC:   /a/CONSONANT_head_letter}');
    Expect(1, 3980, '\p{InSC=:\AConsonant_Head_Letter\z:}', "");;
    Expect(0, 3981, '\p{InSC=:\AConsonant_Head_Letter\z:}', "");;
    Expect(1, 3980, '\p{InSC=consonantheadletter}', "");
    Expect(0, 3980, '\p{^InSC=consonantheadletter}', "");
    Expect(0, 3980, '\P{InSC=consonantheadletter}', "");
    Expect(1, 3980, '\P{^InSC=consonantheadletter}', "");
    Expect(0, 3981, '\p{InSC=consonantheadletter}', "");
    Expect(1, 3981, '\p{^InSC=consonantheadletter}', "");
    Expect(1, 3981, '\P{InSC=consonantheadletter}', "");
    Expect(0, 3981, '\P{^InSC=consonantheadletter}', "");
    Expect(1, 3980, '\p{InSC=:\Aconsonantheadletter\z:}', "");;
    Expect(0, 3981, '\p{InSC=:\Aconsonantheadletter\z:}', "");;
    Expect(1, 3980, '\p{InSC=-CONSONANT_HEAD_LETTER}', "");
    Expect(0, 3980, '\p{^InSC=-CONSONANT_HEAD_LETTER}', "");
    Expect(0, 3980, '\P{InSC=-CONSONANT_HEAD_LETTER}', "");
    Expect(1, 3980, '\P{^InSC=-CONSONANT_HEAD_LETTER}', "");
    Expect(0, 3981, '\p{InSC=-CONSONANT_HEAD_LETTER}', "");
    Expect(1, 3981, '\p{^InSC=-CONSONANT_HEAD_LETTER}', "");
    Expect(1, 3981, '\P{InSC=-CONSONANT_HEAD_LETTER}', "");
    Expect(0, 3981, '\P{^InSC=-CONSONANT_HEAD_LETTER}', "");
    Error('\p{Is_Indic_Syllabic_Category=-:=Consonant_HEAD_LETTER}');
    Error('\P{Is_Indic_Syllabic_Category=-:=Consonant_HEAD_LETTER}');
    Expect(1, 3980, '\p{Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(0, 3980, '\p{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(0, 3980, '\P{Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(1, 3980, '\P{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(0, 3981, '\p{Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(1, 3981, '\p{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(1, 3981, '\P{Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(0, 3981, '\P{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
    Expect(1, 3980, '\p{Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Expect(0, 3980, '\p{^Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Expect(0, 3980, '\P{Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Expect(1, 3980, '\P{^Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Expect(0, 3981, '\p{Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Expect(1, 3981, '\p{^Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Expect(1, 3981, '\P{Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Expect(0, 3981, '\P{^Is_Indic_Syllabic_Category:CONSONANT_Head_Letter}', "");
    Error('\p{Is_InSC=/a/ -consonant_Head_Letter}');
    Error('\P{Is_InSC=/a/ -consonant_Head_Letter}');
    Expect(1, 3980, '\p{Is_InSC=consonantheadletter}', "");
    Expect(0, 3980, '\p{^Is_InSC=consonantheadletter}', "");
    Expect(0, 3980, '\P{Is_InSC=consonantheadletter}', "");
    Expect(1, 3980, '\P{^Is_InSC=consonantheadletter}', "");
    Expect(0, 3981, '\p{Is_InSC=consonantheadletter}', "");
    Expect(1, 3981, '\p{^Is_InSC=consonantheadletter}', "");
    Expect(1, 3981, '\P{Is_InSC=consonantheadletter}', "");
    Expect(0, 3981, '\P{^Is_InSC=consonantheadletter}', "");
    Expect(1, 3980, '\p{Is_InSC: -	consonant_HEAD_Letter}', "");
    Expect(0, 3980, '\p{^Is_InSC: -	consonant_HEAD_Letter}', "");
    Expect(0, 3980, '\P{Is_InSC: -	consonant_HEAD_Letter}', "");
    Expect(1, 3980, '\P{^Is_InSC: -	consonant_HEAD_Letter}', "");
    Expect(0, 3981, '\p{Is_InSC: -	consonant_HEAD_Letter}', "");
    Expect(1, 3981, '\p{^Is_InSC: -	consonant_HEAD_Letter}', "");
    Expect(1, 3981, '\P{Is_InSC: -	consonant_HEAD_Letter}', "");
    Expect(0, 3981, '\P{^Is_InSC: -	consonant_HEAD_Letter}', "");
    Error('\p{Indic_Syllabic_Category:   -Consonant_INITIAL_Postfixed:=}');
    Error('\P{Indic_Syllabic_Category:   -Consonant_INITIAL_Postfixed:=}');
    Expect(1, 6746, '\p{Indic_Syllabic_Category=:\AConsonant_Initial_Postfixed\z:}', "");;
    Expect(0, 6747, '\p{Indic_Syllabic_Category=:\AConsonant_Initial_Postfixed\z:}', "");;
    Expect(1, 6746, '\p{Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\p{^Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\P{Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\P{^Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\p{Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\p{^Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\P{Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\P{^Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\p{Indic_Syllabic_Category=:\Aconsonantinitialpostfixed\z:}', "");;
    Expect(0, 6747, '\p{Indic_Syllabic_Category=:\Aconsonantinitialpostfixed\z:}', "");;
    Expect(1, 6746, '\p{Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Expect(0, 6746, '\p{^Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Expect(0, 6746, '\P{Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Expect(1, 6746, '\P{^Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Expect(0, 6747, '\p{Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Expect(1, 6747, '\p{^Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Expect(1, 6747, '\P{Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Expect(0, 6747, '\P{^Indic_Syllabic_Category=- Consonant_Initial_Postfixed}', "");
    Error('\p{InSC=/a/Consonant_Initial_POSTFIXED}');
    Error('\P{InSC=/a/Consonant_Initial_POSTFIXED}');
    Expect(1, 6746, '\p{InSC=:\AConsonant_Initial_Postfixed\z:}', "");;
    Expect(0, 6747, '\p{InSC=:\AConsonant_Initial_Postfixed\z:}', "");;
    Expect(1, 6746, '\p{InSC=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\p{^InSC=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\P{InSC=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\P{^InSC=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\p{InSC=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\p{^InSC=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\P{InSC=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\P{^InSC=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\p{InSC=:\Aconsonantinitialpostfixed\z:}', "");;
    Expect(0, 6747, '\p{InSC=:\Aconsonantinitialpostfixed\z:}', "");;
    Expect(1, 6746, '\p{InSC=- Consonant_Initial_POSTFIXED}', "");
    Expect(0, 6746, '\p{^InSC=- Consonant_Initial_POSTFIXED}', "");
    Expect(0, 6746, '\P{InSC=- Consonant_Initial_POSTFIXED}', "");
    Expect(1, 6746, '\P{^InSC=- Consonant_Initial_POSTFIXED}', "");
    Expect(0, 6747, '\p{InSC=- Consonant_Initial_POSTFIXED}', "");
    Expect(1, 6747, '\p{^InSC=- Consonant_Initial_POSTFIXED}', "");
    Expect(1, 6747, '\P{InSC=- Consonant_Initial_POSTFIXED}', "");
    Expect(0, 6747, '\P{^InSC=- Consonant_Initial_POSTFIXED}', "");
    Error('\p{Is_Indic_Syllabic_Category=:=	Consonant_initial_postfixed}');
    Error('\P{Is_Indic_Syllabic_Category=:=	Consonant_initial_postfixed}');
    Expect(1, 6746, '\p{Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\p{^Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\P{Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\P{^Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\p{Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\p{^Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\P{Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\P{^Is_Indic_Syllabic_Category=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\p{Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Expect(0, 6746, '\p{^Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Expect(0, 6746, '\P{Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Expect(1, 6746, '\P{^Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Expect(0, 6747, '\p{Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Expect(1, 6747, '\p{^Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Expect(1, 6747, '\P{Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Expect(0, 6747, '\P{^Is_Indic_Syllabic_Category=_	consonant_INITIAL_Postfixed}', "");
    Error('\p{Is_InSC=	CONSONANT_initial_Postfixed/a/}');
    Error('\P{Is_InSC=	CONSONANT_initial_Postfixed/a/}');
    Expect(1, 6746, '\p{Is_InSC=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\p{^Is_InSC=consonantinitialpostfixed}', "");
    Expect(0, 6746, '\P{Is_InSC=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\P{^Is_InSC=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\p{Is_InSC=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\p{^Is_InSC=consonantinitialpostfixed}', "");
    Expect(1, 6747, '\P{Is_InSC=consonantinitialpostfixed}', "");
    Expect(0, 6747, '\P{^Is_InSC=consonantinitialpostfixed}', "");
    Expect(1, 6746, '\p{Is_InSC:_consonant_initial_postfixed}', "");
    Expect(0, 6746, '\p{^Is_InSC:_consonant_initial_postfixed}', "");
    Expect(0, 6746, '\P{Is_InSC:_consonant_initial_postfixed}', "");
    Expect(1, 6746, '\P{^Is_InSC:_consonant_initial_postfixed}', "");
    Expect(0, 6747, '\p{Is_InSC:_consonant_initial_postfixed}', "");
    Expect(1, 6747, '\p{^Is_InSC:_consonant_initial_postfixed}', "");
    Expect(1, 6747, '\P{Is_InSC:_consonant_initial_postfixed}', "");
    Expect(0, 6747, '\P{^Is_InSC:_consonant_initial_postfixed}', "");
    Error('\p{Indic_Syllabic_Category=:=CONSONANT_KILLER}');
    Error('\P{Indic_Syllabic_Category=:=CONSONANT_KILLER}');
    Expect(1, 6093, '\p{Indic_Syllabic_Category=:\AConsonant_Killer\z:}', "");;
    Expect(0, 6094, '\p{Indic_Syllabic_Category=:\AConsonant_Killer\z:}', "");;
    Expect(1, 6093, '\p{Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6093, '\p{^Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6093, '\P{Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6093, '\P{^Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6094, '\p{Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6094, '\p{^Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6094, '\P{Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6094, '\P{^Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6093, '\p{Indic_Syllabic_Category=:\Aconsonantkiller\z:}', "");;
    Expect(0, 6094, '\p{Indic_Syllabic_Category=:\Aconsonantkiller\z:}', "");;
    Expect(1, 6093, '\p{Indic_Syllabic_Category= -Consonant_Killer}', "");
    Expect(0, 6093, '\p{^Indic_Syllabic_Category= -Consonant_Killer}', "");
    Expect(0, 6093, '\P{Indic_Syllabic_Category= -Consonant_Killer}', "");
    Expect(1, 6093, '\P{^Indic_Syllabic_Category= -Consonant_Killer}', "");
    Expect(0, 6094, '\p{Indic_Syllabic_Category= -Consonant_Killer}', "");
    Expect(1, 6094, '\p{^Indic_Syllabic_Category= -Consonant_Killer}', "");
    Expect(1, 6094, '\P{Indic_Syllabic_Category= -Consonant_Killer}', "");
    Expect(0, 6094, '\P{^Indic_Syllabic_Category= -Consonant_Killer}', "");
    Error('\p{InSC=_:=consonant_KILLER}');
    Error('\P{InSC=_:=consonant_KILLER}');
    Expect(1, 6093, '\p{InSC=:\AConsonant_Killer\z:}', "");;
    Expect(0, 6094, '\p{InSC=:\AConsonant_Killer\z:}', "");;
    Expect(1, 6093, '\p{InSC=consonantkiller}', "");
    Expect(0, 6093, '\p{^InSC=consonantkiller}', "");
    Expect(0, 6093, '\P{InSC=consonantkiller}', "");
    Expect(1, 6093, '\P{^InSC=consonantkiller}', "");
    Expect(0, 6094, '\p{InSC=consonantkiller}', "");
    Expect(1, 6094, '\p{^InSC=consonantkiller}', "");
    Expect(1, 6094, '\P{InSC=consonantkiller}', "");
    Expect(0, 6094, '\P{^InSC=consonantkiller}', "");
    Expect(1, 6093, '\p{InSC=:\Aconsonantkiller\z:}', "");;
    Expect(0, 6094, '\p{InSC=:\Aconsonantkiller\z:}', "");;
    Expect(1, 6093, '\p{InSC= Consonant_killer}', "");
    Expect(0, 6093, '\p{^InSC= Consonant_killer}', "");
    Expect(0, 6093, '\P{InSC= Consonant_killer}', "");
    Expect(1, 6093, '\P{^InSC= Consonant_killer}', "");
    Expect(0, 6094, '\p{InSC= Consonant_killer}', "");
    Expect(1, 6094, '\p{^InSC= Consonant_killer}', "");
    Expect(1, 6094, '\P{InSC= Consonant_killer}', "");
    Expect(0, 6094, '\P{^InSC= Consonant_killer}', "");
    Error('\p{Is_Indic_Syllabic_Category=	-Consonant_Killer:=}');
    Error('\P{Is_Indic_Syllabic_Category=	-Consonant_Killer:=}');
    Expect(1, 6093, '\p{Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6093, '\p{^Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6093, '\P{Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6093, '\P{^Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6094, '\p{Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6094, '\p{^Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6094, '\P{Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(0, 6094, '\P{^Is_Indic_Syllabic_Category=consonantkiller}', "");
    Expect(1, 6093, '\p{Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Expect(0, 6093, '\p{^Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Expect(0, 6093, '\P{Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Expect(1, 6093, '\P{^Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Expect(0, 6094, '\p{Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Expect(1, 6094, '\p{^Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Expect(1, 6094, '\P{Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Expect(0, 6094, '\P{^Is_Indic_Syllabic_Category=-CONSONANT_Killer}', "");
    Error('\p{Is_InSC=		consonant_killer/a/}');
    Error('\P{Is_InSC=		consonant_killer/a/}');
    Expect(1, 6093, '\p{Is_InSC=consonantkiller}', "");
    Expect(0, 6093, '\p{^Is_InSC=consonantkiller}', "");
    Expect(0, 6093, '\P{Is_InSC=consonantkiller}', "");
    Expect(1, 6093, '\P{^Is_InSC=consonantkiller}', "");
    Expect(0, 6094, '\p{Is_InSC=consonantkiller}', "");
    Expect(1, 6094, '\p{^Is_InSC=consonantkiller}', "");
    Expect(1, 6094, '\P{Is_InSC=consonantkiller}', "");
    Expect(0, 6094, '\P{^Is_InSC=consonantkiller}', "");
    Expect(1, 6093, '\p{Is_InSC:    consonant_Killer}', "");
    Expect(0, 6093, '\p{^Is_InSC:    consonant_Killer}', "");
    Expect(0, 6093, '\P{Is_InSC:    consonant_Killer}', "");
    Expect(1, 6093, '\P{^Is_InSC:    consonant_Killer}', "");
    Expect(0, 6094, '\p{Is_InSC:    consonant_Killer}', "");
    Expect(1, 6094, '\p{^Is_InSC:    consonant_Killer}', "");
    Expect(1, 6094, '\P{Is_InSC:    consonant_Killer}', "");
    Expect(0, 6094, '\P{^Is_InSC:    consonant_Killer}', "");
    Error('\p{Indic_Syllabic_Category=:=- Consonant_MEDIAL}');
    Error('\P{Indic_Syllabic_Category=:=- Consonant_MEDIAL}');
    Expect(1, 73031, '\p{Indic_Syllabic_Category=:\AConsonant_Medial\z:}', "");;
    Expect(0, 73032, '\p{Indic_Syllabic_Category=:\AConsonant_Medial\z:}', "");;
    Expect(1, 73031, '\p{Indic_Syllabic_Category=consonantmedial}', "");
    Expect(0, 73031, '\p{^Indic_Syllabic_Category=consonantmedial}', "");
    Expect(0, 73031, '\P{Indic_Syllabic_Category=consonantmedial}', "");
    Expect(1, 73031, '\P{^Indic_Syllabic_Category=consonantmedial}', "");
    Expect(0, 73032, '\p{Indic_Syllabic_Category=consonantmedial}', "");
    Expect(1, 73032, '\p{^Indic_Syllabic_Category=consonantmedial}', "");
    Expect(1, 73032, '\P{Indic_Syllabic_Category=consonantmedial}', "");
    Expect(0, 73032, '\P{^Indic_Syllabic_Category=consonantmedial}', "");
    Expect(1, 73031, '\p{Indic_Syllabic_Category=:\Aconsonantmedial\z:}', "");;
    Expect(0, 73032, '\p{Indic_Syllabic_Category=:\Aconsonantmedial\z:}', "");;
    Expect(1, 73031, '\p{Indic_Syllabic_Category=	Consonant_Medial}', "");
    Expect(0, 73031, '\p{^Indic_Syllabic_Category=	Consonant_Medial}', "");
    Expect(0, 73031, '\P{Indic_Syllabic_Category=	Consonant_Medial}', "");
    Expect(1, 73031, '\P{^Indic_Syllabic_Category=	Consonant_Medial}', "");
    Expect(0, 73032, '\p{Indic_Syllabic_Category=	Consonant_Medial}', "");
    Expect(1, 73032, '\p{^Indic_Syllabic_Category=	Consonant_Medial}', "");
    Expect(1, 73032, '\P{Indic_Syllabic_Category=	Consonant_Medial}', "");
    Expect(0, 73032, '\P{^Indic_Syllabic_Category=	Consonant_Medial}', "");
    Error('\p{InSC=/a/	-consonant_Medial}');
    Error('\P{InSC=/a/	-consonant_Medial}');
    Expect(1, 73031, '\p{InSC=:\AConsonant_Medial\z:}', "");;
    Expect(0, 73032, '\p{InSC=:\AConsonant_Medial\z:}', "");;
    Expect(1, 73031, '\p{InSC=consonantmedial}', "");
    Expect(0, 73031, '\p{^InSC=consonantmedial}', "");
    Expect(0, 73031, '\P{InSC=consonantmedial}', "");
    Expect(1, 73031, '\P{^InSC=consonantmedial}', "");
    Expect(0, 73032, '\p{InSC=consonantmedial}', "");
    Expect(1, 73032, '\p{^InSC=consonantmedial}', "");
    Expect(1, 73032, '\P{InSC=consonantmedial}', "");
    Expect(0, 73032, '\P{^InSC=consonantmedial}', "");
    Expect(1, 73031, '\p{InSC=:\Aconsonantmedial\z:}', "");;
    Expect(0, 73032, '\p{InSC=:\Aconsonantmedial\z:}', "");;
    Expect(1, 73031, '\p{InSC=_-consonant_MEDIAL}', "");
    Expect(0, 73031, '\p{^InSC=_-consonant_MEDIAL}', "");
    Expect(0, 73031, '\P{InSC=_-consonant_MEDIAL}', "");
    Expect(1, 73031, '\P{^InSC=_-consonant_MEDIAL}', "");
    Expect(0, 73032, '\p{InSC=_-consonant_MEDIAL}', "");
    Expect(1, 73032, '\p{^InSC=_-consonant_MEDIAL}', "");
    Expect(1, 73032, '\P{InSC=_-consonant_MEDIAL}', "");
    Expect(0, 73032, '\P{^InSC=_-consonant_MEDIAL}', "");
    Error('\p{Is_Indic_Syllabic_Category=_/a/Consonant_Medial}');
    Error('\P{Is_Indic_Syllabic_Category=_/a/Consonant_Medial}');
    Expect(1, 73031, '\p{Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(0, 73031, '\p{^Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(0, 73031, '\P{Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(1, 73031, '\P{^Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(0, 73032, '\p{Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(1, 73032, '\p{^Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(1, 73032, '\P{Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(0, 73032, '\P{^Is_Indic_Syllabic_Category:	consonantmedial}', "");
    Expect(1, 73031, '\p{Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Expect(0, 73031, '\p{^Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Expect(0, 73031, '\P{Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Expect(1, 73031, '\P{^Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Expect(0, 73032, '\p{Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Expect(1, 73032, '\p{^Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Expect(1, 73032, '\P{Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Expect(0, 73032, '\P{^Is_Indic_Syllabic_Category=-_Consonant_MEDIAL}', "");
    Error('\p{Is_InSC= /a/consonant_Medial}');
    Error('\P{Is_InSC= /a/consonant_Medial}');
    Expect(1, 73031, '\p{Is_InSC=consonantmedial}', "");
    Expect(0, 73031, '\p{^Is_InSC=consonantmedial}', "");
    Expect(0, 73031, '\P{Is_InSC=consonantmedial}', "");
    Expect(1, 73031, '\P{^Is_InSC=consonantmedial}', "");
    Expect(0, 73032, '\p{Is_InSC=consonantmedial}', "");
    Expect(1, 73032, '\p{^Is_InSC=consonantmedial}', "");
    Expect(1, 73032, '\P{Is_InSC=consonantmedial}', "");
    Expect(0, 73032, '\P{^Is_InSC=consonantmedial}', "");
    Expect(1, 73031, '\p{Is_InSC=_	Consonant_MEDIAL}', "");
    Expect(0, 73031, '\p{^Is_InSC=_	Consonant_MEDIAL}', "");
    Expect(0, 73031, '\P{Is_InSC=_	Consonant_MEDIAL}', "");
    Expect(1, 73031, '\P{^Is_InSC=_	Consonant_MEDIAL}', "");
    Expect(0, 73032, '\p{Is_InSC=_	Consonant_MEDIAL}', "");
    Expect(1, 73032, '\p{^Is_InSC=_	Consonant_MEDIAL}', "");
    Expect(1, 73032, '\P{Is_InSC=_	Consonant_MEDIAL}', "");
    Expect(0, 73032, '\P{^Is_InSC=_	Consonant_MEDIAL}', "");
    Error('\p{Indic_Syllabic_Category=	_consonant_placeholder/a/}');
    Error('\P{Indic_Syllabic_Category=	_consonant_placeholder/a/}');
    Expect(1, 73458, '\p{Indic_Syllabic_Category=:\AConsonant_Placeholder\z:}', "");;
    Expect(0, 73459, '\p{Indic_Syllabic_Category=:\AConsonant_Placeholder\z:}', "");;
    Expect(1, 73458, '\p{Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73458, '\p{^Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73458, '\P{Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73458, '\P{^Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73459, '\p{Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73459, '\p{^Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73459, '\P{Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73459, '\P{^Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73458, '\p{Indic_Syllabic_Category=:\Aconsonantplaceholder\z:}', "");;
    Expect(0, 73459, '\p{Indic_Syllabic_Category=:\Aconsonantplaceholder\z:}', "");;
    Expect(1, 73458, '\p{Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Expect(0, 73458, '\p{^Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Expect(0, 73458, '\P{Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Expect(1, 73458, '\P{^Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Expect(0, 73459, '\p{Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Expect(1, 73459, '\p{^Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Expect(1, 73459, '\P{Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Expect(0, 73459, '\P{^Indic_Syllabic_Category= _consonant_PLACEHOLDER}', "");
    Error('\p{InSC=:=- Consonant_placeholder}');
    Error('\P{InSC=:=- Consonant_placeholder}');
    Expect(1, 73458, '\p{InSC=:\AConsonant_Placeholder\z:}', "");;
    Expect(0, 73459, '\p{InSC=:\AConsonant_Placeholder\z:}', "");;
    Expect(1, 73458, '\p{InSC=consonantplaceholder}', "");
    Expect(0, 73458, '\p{^InSC=consonantplaceholder}', "");
    Expect(0, 73458, '\P{InSC=consonantplaceholder}', "");
    Expect(1, 73458, '\P{^InSC=consonantplaceholder}', "");
    Expect(0, 73459, '\p{InSC=consonantplaceholder}', "");
    Expect(1, 73459, '\p{^InSC=consonantplaceholder}', "");
    Expect(1, 73459, '\P{InSC=consonantplaceholder}', "");
    Expect(0, 73459, '\P{^InSC=consonantplaceholder}', "");
    Expect(1, 73458, '\p{InSC=:\Aconsonantplaceholder\z:}', "");;
    Expect(0, 73459, '\p{InSC=:\Aconsonantplaceholder\z:}', "");;
    Expect(1, 73458, '\p{InSC=	 consonant_placeholder}', "");
    Expect(0, 73458, '\p{^InSC=	 consonant_placeholder}', "");
    Expect(0, 73458, '\P{InSC=	 consonant_placeholder}', "");
    Expect(1, 73458, '\P{^InSC=	 consonant_placeholder}', "");
    Expect(0, 73459, '\p{InSC=	 consonant_placeholder}', "");
    Expect(1, 73459, '\p{^InSC=	 consonant_placeholder}', "");
    Expect(1, 73459, '\P{InSC=	 consonant_placeholder}', "");
    Expect(0, 73459, '\P{^InSC=	 consonant_placeholder}', "");
    Error('\p{Is_Indic_Syllabic_Category=	_CONSONANT_Placeholder/a/}');
    Error('\P{Is_Indic_Syllabic_Category=	_CONSONANT_Placeholder/a/}');
    Expect(1, 73458, '\p{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73458, '\p{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73458, '\P{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73458, '\P{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73459, '\p{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73459, '\p{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73459, '\P{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(0, 73459, '\P{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
    Expect(1, 73458, '\p{Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Expect(0, 73458, '\p{^Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Expect(0, 73458, '\P{Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Expect(1, 73458, '\P{^Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Expect(0, 73459, '\p{Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Expect(1, 73459, '\p{^Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Expect(1, 73459, '\P{Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Expect(0, 73459, '\P{^Is_Indic_Syllabic_Category=-CONSONANT_Placeholder}', "");
    Error('\p{Is_InSC=__Consonant_PLACEHOLDER/a/}');
    Error('\P{Is_InSC=__Consonant_PLACEHOLDER/a/}');
    Expect(1, 73458, '\p{Is_InSC=consonantplaceholder}', "");
    Expect(0, 73458, '\p{^Is_InSC=consonantplaceholder}', "");
    Expect(0, 73458, '\P{Is_InSC=consonantplaceholder}', "");
    Expect(1, 73458, '\P{^Is_InSC=consonantplaceholder}', "");
    Expect(0, 73459, '\p{Is_InSC=consonantplaceholder}', "");
    Expect(1, 73459, '\p{^Is_InSC=consonantplaceholder}', "");
    Expect(1, 73459, '\P{Is_InSC=consonantplaceholder}', "");
    Expect(0, 73459, '\P{^Is_InSC=consonantplaceholder}', "");
    Expect(1, 73458, '\p{Is_InSC=_consonant_PLACEHOLDER}', "");
    Expect(0, 73458, '\p{^Is_InSC=_consonant_PLACEHOLDER}', "");
    Expect(0, 73458, '\P{Is_InSC=_consonant_PLACEHOLDER}', "");
    Expect(1, 73458, '\P{^Is_InSC=_consonant_PLACEHOLDER}', "");
    Expect(0, 73459, '\p{Is_InSC=_consonant_PLACEHOLDER}', "");
    Expect(1, 73459, '\p{^Is_InSC=_consonant_PLACEHOLDER}', "");
    Expect(1, 73459, '\P{Is_InSC=_consonant_PLACEHOLDER}', "");
    Expect(0, 73459, '\P{^Is_InSC=_consonant_PLACEHOLDER}', "");
    Error('\p{Indic_Syllabic_Category=-/a/Consonant_Preceding_Repha}');
    Error('\P{Indic_Syllabic_Category=-/a/Consonant_Preceding_Repha}');
    Expect(1, 73030, '\p{Indic_Syllabic_Category=:\AConsonant_Preceding_Repha\z:}', "");;
    Expect(0, 73031, '\p{Indic_Syllabic_Category=:\AConsonant_Preceding_Repha\z:}', "");;
    Expect(1, 73030, '\p{Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73030, '\p{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73030, '\P{Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73030, '\P{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73031, '\p{Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73031, '\p{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73031, '\P{Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73031, '\P{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73030, '\p{Indic_Syllabic_Category=:\Aconsonantprecedingrepha\z:}', "");;
    Expect(0, 73031, '\p{Indic_Syllabic_Category=:\Aconsonantprecedingrepha\z:}', "");;
    Expect(1, 73030, '\p{Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Expect(0, 73030, '\p{^Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Expect(0, 73030, '\P{Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Expect(1, 73030, '\P{^Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Expect(0, 73031, '\p{Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Expect(1, 73031, '\p{^Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Expect(1, 73031, '\P{Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Expect(0, 73031, '\P{^Indic_Syllabic_Category=_consonant_preceding_Repha}', "");
    Error('\p{InSC= :=consonant_Preceding_Repha}');
    Error('\P{InSC= :=consonant_Preceding_Repha}');
    Expect(1, 73030, '\p{InSC=:\AConsonant_Preceding_Repha\z:}', "");;
    Expect(0, 73031, '\p{InSC=:\AConsonant_Preceding_Repha\z:}', "");;
    Expect(1, 73030, '\p{InSC=consonantprecedingrepha}', "");
    Expect(0, 73030, '\p{^InSC=consonantprecedingrepha}', "");
    Expect(0, 73030, '\P{InSC=consonantprecedingrepha}', "");
    Expect(1, 73030, '\P{^InSC=consonantprecedingrepha}', "");
    Expect(0, 73031, '\p{InSC=consonantprecedingrepha}', "");
    Expect(1, 73031, '\p{^InSC=consonantprecedingrepha}', "");
    Expect(1, 73031, '\P{InSC=consonantprecedingrepha}', "");
    Expect(0, 73031, '\P{^InSC=consonantprecedingrepha}', "");
    Expect(1, 73030, '\p{InSC=:\Aconsonantprecedingrepha\z:}', "");;
    Expect(0, 73031, '\p{InSC=:\Aconsonantprecedingrepha\z:}', "");;
    Expect(1, 73030, '\p{InSC= -consonant_PRECEDING_repha}', "");
    Expect(0, 73030, '\p{^InSC= -consonant_PRECEDING_repha}', "");
    Expect(0, 73030, '\P{InSC= -consonant_PRECEDING_repha}', "");
    Expect(1, 73030, '\P{^InSC= -consonant_PRECEDING_repha}', "");
    Expect(0, 73031, '\p{InSC= -consonant_PRECEDING_repha}', "");
    Expect(1, 73031, '\p{^InSC= -consonant_PRECEDING_repha}', "");
    Expect(1, 73031, '\P{InSC= -consonant_PRECEDING_repha}', "");
    Expect(0, 73031, '\P{^InSC= -consonant_PRECEDING_repha}', "");
    Error('\p{Is_Indic_Syllabic_Category=-/a/Consonant_Preceding_REPHA}');
    Error('\P{Is_Indic_Syllabic_Category=-/a/Consonant_Preceding_REPHA}');
    Expect(1, 73030, '\p{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73030, '\p{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73030, '\P{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73030, '\P{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73031, '\p{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73031, '\p{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73031, '\P{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(0, 73031, '\P{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
    Expect(1, 73030, '\p{Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Expect(0, 73030, '\p{^Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Expect(0, 73030, '\P{Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Expect(1, 73030, '\P{^Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Expect(0, 73031, '\p{Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Expect(1, 73031, '\p{^Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Expect(1, 73031, '\P{Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Expect(0, 73031, '\P{^Is_Indic_Syllabic_Category=_	CONSONANT_PRECEDING_Repha}', "");
    Error('\p{Is_InSC=:=_	Consonant_preceding_repha}');
    Error('\P{Is_InSC=:=_	Consonant_preceding_repha}');
    Expect(1, 73030, '\p{Is_InSC=consonantprecedingrepha}', "");
    Expect(0, 73030, '\p{^Is_InSC=consonantprecedingrepha}', "");
    Expect(0, 73030, '\P{Is_InSC=consonantprecedingrepha}', "");
    Expect(1, 73030, '\P{^Is_InSC=consonantprecedingrepha}', "");
    Expect(0, 73031, '\p{Is_InSC=consonantprecedingrepha}', "");
    Expect(1, 73031, '\p{^Is_InSC=consonantprecedingrepha}', "");
    Expect(1, 73031, '\P{Is_InSC=consonantprecedingrepha}', "");
    Expect(0, 73031, '\P{^Is_InSC=consonantprecedingrepha}', "");
    Expect(1, 73030, '\p{Is_InSC=	Consonant_Preceding_REPHA}', "");
    Expect(0, 73030, '\p{^Is_InSC=	Consonant_Preceding_REPHA}', "");
    Expect(0, 73030, '\P{Is_InSC=	Consonant_Preceding_REPHA}', "");
    Expect(1, 73030, '\P{^Is_InSC=	Consonant_Preceding_REPHA}', "");
    Expect(0, 73031, '\p{Is_InSC=	Consonant_Preceding_REPHA}', "");
    Expect(1, 73031, '\p{^Is_InSC=	Consonant_Preceding_REPHA}', "");
    Expect(1, 73031, '\P{Is_InSC=	Consonant_Preceding_REPHA}', "");
    Expect(0, 73031, '\P{^Is_InSC=	Consonant_Preceding_REPHA}', "");
    Error('\p{Indic_Syllabic_Category:   := Consonant_prefixed}');
    Error('\P{Indic_Syllabic_Category:   := Consonant_prefixed}');
    Expect(1, 72329, '\p{Indic_Syllabic_Category=:\AConsonant_Prefixed\z:}', "");;
    Expect(0, 72330, '\p{Indic_Syllabic_Category=:\AConsonant_Prefixed\z:}', "");;
    Expect(1, 72329, '\p{Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72329, '\p{^Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72329, '\P{Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72329, '\P{^Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72330, '\p{Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72330, '\p{^Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72330, '\P{Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72330, '\P{^Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72329, '\p{Indic_Syllabic_Category=:\Aconsonantprefixed\z:}', "");;
    Expect(0, 72330, '\p{Indic_Syllabic_Category=:\Aconsonantprefixed\z:}', "");;
    Expect(1, 72329, '\p{Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Expect(0, 72329, '\p{^Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Expect(0, 72329, '\P{Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Expect(1, 72329, '\P{^Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Expect(0, 72330, '\p{Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Expect(1, 72330, '\p{^Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Expect(1, 72330, '\P{Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Expect(0, 72330, '\P{^Indic_Syllabic_Category=	CONSONANT_Prefixed}', "");
    Error('\p{InSC: _:=CONSONANT_Prefixed}');
    Error('\P{InSC: _:=CONSONANT_Prefixed}');
    Expect(1, 72329, '\p{InSC=:\AConsonant_Prefixed\z:}', "");;
    Expect(0, 72330, '\p{InSC=:\AConsonant_Prefixed\z:}', "");;
    Expect(1, 72329, '\p{InSC=consonantprefixed}', "");
    Expect(0, 72329, '\p{^InSC=consonantprefixed}', "");
    Expect(0, 72329, '\P{InSC=consonantprefixed}', "");
    Expect(1, 72329, '\P{^InSC=consonantprefixed}', "");
    Expect(0, 72330, '\p{InSC=consonantprefixed}', "");
    Expect(1, 72330, '\p{^InSC=consonantprefixed}', "");
    Expect(1, 72330, '\P{InSC=consonantprefixed}', "");
    Expect(0, 72330, '\P{^InSC=consonantprefixed}', "");
    Expect(1, 72329, '\p{InSC=:\Aconsonantprefixed\z:}', "");;
    Expect(0, 72330, '\p{InSC=:\Aconsonantprefixed\z:}', "");;
    Expect(1, 72329, '\p{InSC:    -Consonant_prefixed}', "");
    Expect(0, 72329, '\p{^InSC:    -Consonant_prefixed}', "");
    Expect(0, 72329, '\P{InSC:    -Consonant_prefixed}', "");
    Expect(1, 72329, '\P{^InSC:    -Consonant_prefixed}', "");
    Expect(0, 72330, '\p{InSC:    -Consonant_prefixed}', "");
    Expect(1, 72330, '\p{^InSC:    -Consonant_prefixed}', "");
    Expect(1, 72330, '\P{InSC:    -Consonant_prefixed}', "");
    Expect(0, 72330, '\P{^InSC:    -Consonant_prefixed}', "");
    Error('\p{Is_Indic_Syllabic_Category=:=Consonant_prefixed}');
    Error('\P{Is_Indic_Syllabic_Category=:=Consonant_prefixed}');
    Expect(1, 72329, '\p{Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72329, '\p{^Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72329, '\P{Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72329, '\P{^Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72330, '\p{Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72330, '\p{^Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72330, '\P{Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(0, 72330, '\P{^Is_Indic_Syllabic_Category=consonantprefixed}', "");
    Expect(1, 72329, '\p{Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Expect(0, 72329, '\p{^Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Expect(0, 72329, '\P{Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Expect(1, 72329, '\P{^Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Expect(0, 72330, '\p{Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Expect(1, 72330, '\p{^Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Expect(1, 72330, '\P{Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Expect(0, 72330, '\P{^Is_Indic_Syllabic_Category=- CONSONANT_PREFIXED}', "");
    Error('\p{Is_InSC=-_CONSONANT_Prefixed:=}');
    Error('\P{Is_InSC=-_CONSONANT_Prefixed:=}');
    Expect(1, 72329, '\p{Is_InSC=consonantprefixed}', "");
    Expect(0, 72329, '\p{^Is_InSC=consonantprefixed}', "");
    Expect(0, 72329, '\P{Is_InSC=consonantprefixed}', "");
    Expect(1, 72329, '\P{^Is_InSC=consonantprefixed}', "");
    Expect(0, 72330, '\p{Is_InSC=consonantprefixed}', "");
    Expect(1, 72330, '\p{^Is_InSC=consonantprefixed}', "");
    Expect(1, 72330, '\P{Is_InSC=consonantprefixed}', "");
    Expect(0, 72330, '\P{^Is_InSC=consonantprefixed}', "");
    Expect(1, 72329, '\p{Is_InSC=__Consonant_PREFIXED}', "");
    Expect(0, 72329, '\p{^Is_InSC=__Consonant_PREFIXED}', "");
    Expect(0, 72329, '\P{Is_InSC=__Consonant_PREFIXED}', "");
    Expect(1, 72329, '\P{^Is_InSC=__Consonant_PREFIXED}', "");
    Expect(0, 72330, '\p{Is_InSC=__Consonant_PREFIXED}', "");
    Expect(1, 72330, '\p{^Is_InSC=__Consonant_PREFIXED}', "");
    Expect(1, 72330, '\P{Is_InSC=__Consonant_PREFIXED}', "");
    Expect(0, 72330, '\P{^Is_InSC=__Consonant_PREFIXED}', "");
    Error('\p{Indic_Syllabic_Category: :=_ consonant_subjoined}');
    Error('\P{Indic_Syllabic_Category: :=_ consonant_subjoined}');
    Expect(1, 72879, '\p{Indic_Syllabic_Category=:\AConsonant_Subjoined\z:}', "");;
    Expect(0, 72880, '\p{Indic_Syllabic_Category=:\AConsonant_Subjoined\z:}', "");;
    Expect(1, 72879, '\p{Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72879, '\p{^Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72879, '\P{Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72879, '\P{^Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72880, '\p{Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72880, '\p{^Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72880, '\P{Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72880, '\P{^Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72879, '\p{Indic_Syllabic_Category=:\Aconsonantsubjoined\z:}', "");;
    Expect(0, 72880, '\p{Indic_Syllabic_Category=:\Aconsonantsubjoined\z:}', "");;
    Expect(1, 72879, '\p{Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Expect(0, 72879, '\p{^Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Expect(0, 72879, '\P{Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Expect(1, 72879, '\P{^Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Expect(0, 72880, '\p{Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Expect(1, 72880, '\p{^Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Expect(1, 72880, '\P{Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Expect(0, 72880, '\P{^Indic_Syllabic_Category=	Consonant_SUBJOINED}', "");
    Error('\p{InSC=/a/--Consonant_Subjoined}');
    Error('\P{InSC=/a/--Consonant_Subjoined}');
    Expect(1, 72879, '\p{InSC=:\AConsonant_Subjoined\z:}', "");;
    Expect(0, 72880, '\p{InSC=:\AConsonant_Subjoined\z:}', "");;
    Expect(1, 72879, '\p{InSC=consonantsubjoined}', "");
    Expect(0, 72879, '\p{^InSC=consonantsubjoined}', "");
    Expect(0, 72879, '\P{InSC=consonantsubjoined}', "");
    Expect(1, 72879, '\P{^InSC=consonantsubjoined}', "");
    Expect(0, 72880, '\p{InSC=consonantsubjoined}', "");
    Expect(1, 72880, '\p{^InSC=consonantsubjoined}', "");
    Expect(1, 72880, '\P{InSC=consonantsubjoined}', "");
    Expect(0, 72880, '\P{^InSC=consonantsubjoined}', "");
    Expect(1, 72879, '\p{InSC=:\Aconsonantsubjoined\z:}', "");;
    Expect(0, 72880, '\p{InSC=:\Aconsonantsubjoined\z:}', "");;
    Expect(1, 72879, '\p{InSC:__Consonant_subjoined}', "");
    Expect(0, 72879, '\p{^InSC:__Consonant_subjoined}', "");
    Expect(0, 72879, '\P{InSC:__Consonant_subjoined}', "");
    Expect(1, 72879, '\P{^InSC:__Consonant_subjoined}', "");
    Expect(0, 72880, '\p{InSC:__Consonant_subjoined}', "");
    Expect(1, 72880, '\p{^InSC:__Consonant_subjoined}', "");
    Expect(1, 72880, '\P{InSC:__Consonant_subjoined}', "");
    Expect(0, 72880, '\P{^InSC:__Consonant_subjoined}', "");
    Error('\p{Is_Indic_Syllabic_Category=-/a/Consonant_subjoined}');
    Error('\P{Is_Indic_Syllabic_Category=-/a/Consonant_subjoined}');
    Expect(1, 72879, '\p{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72879, '\p{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72879, '\P{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72879, '\P{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72880, '\p{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72880, '\p{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72880, '\P{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(0, 72880, '\P{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
    Expect(1, 72879, '\p{Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Expect(0, 72879, '\p{^Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Expect(0, 72879, '\P{Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Expect(1, 72879, '\P{^Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Expect(0, 72880, '\p{Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Expect(1, 72880, '\p{^Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Expect(1, 72880, '\P{Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Expect(0, 72880, '\P{^Is_Indic_Syllabic_Category= consonant_Subjoined}', "");
    Error('\p{Is_InSC= :=Consonant_subjoined}');
    Error('\P{Is_InSC= :=Consonant_subjoined}');
    Expect(1, 72879, '\p{Is_InSC=consonantsubjoined}', "");
    Expect(0, 72879, '\p{^Is_InSC=consonantsubjoined}', "");
    Expect(0, 72879, '\P{Is_InSC=consonantsubjoined}', "");
    Expect(1, 72879, '\P{^Is_InSC=consonantsubjoined}', "");
    Expect(0, 72880, '\p{Is_InSC=consonantsubjoined}', "");
    Expect(1, 72880, '\p{^Is_InSC=consonantsubjoined}', "");
    Expect(1, 72880, '\P{Is_InSC=consonantsubjoined}', "");
    Expect(0, 72880, '\P{^Is_InSC=consonantsubjoined}', "");
    Expect(1, 72879, '\p{Is_InSC:   _CONSONANT_Subjoined}', "");
    Expect(0, 72879, '\p{^Is_InSC:   _CONSONANT_Subjoined}', "");
    Expect(0, 72879, '\P{Is_InSC:   _CONSONANT_Subjoined}', "");
    Expect(1, 72879, '\P{^Is_InSC:   _CONSONANT_Subjoined}', "");
    Expect(0, 72880, '\p{Is_InSC:   _CONSONANT_Subjoined}', "");
    Expect(1, 72880, '\p{^Is_InSC:   _CONSONANT_Subjoined}', "");
    Expect(1, 72880, '\P{Is_InSC:   _CONSONANT_Subjoined}', "");
    Expect(0, 72880, '\P{^Is_InSC:   _CONSONANT_Subjoined}', "");
    Error('\p{Indic_Syllabic_Category=_Consonant_Succeeding_REPHA:=}');
    Error('\P{Indic_Syllabic_Category=_Consonant_Succeeding_REPHA:=}');
    Expect(1, 6092, '\p{Indic_Syllabic_Category=:\AConsonant_Succeeding_Repha\z:}', "");;
    Expect(0, 6093, '\p{Indic_Syllabic_Category=:\AConsonant_Succeeding_Repha\z:}', "");;
    Expect(1, 6092, '\p{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(0, 6092, '\p{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(0, 6092, '\P{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(1, 6092, '\P{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(0, 6093, '\p{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(1, 6093, '\p{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(1, 6093, '\P{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(0, 6093, '\P{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
    Expect(1, 6092, '\p{Indic_Syllabic_Category=:\Aconsonantsucceedingrepha\z:}', "");;
    Expect(0, 6093, '\p{Indic_Syllabic_Category=:\Aconsonantsucceedingrepha\z:}', "");;
    Expect(1, 6092, '\p{Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Expect(0, 6092, '\p{^Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Expect(0, 6092, '\P{Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Expect(1, 6092, '\P{^Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Expect(0, 6093, '\p{Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Expect(1, 6093, '\p{^Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Expect(1, 6093, '\P{Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Expect(0, 6093, '\P{^Indic_Syllabic_Category=__Consonant_Succeeding_repha}', "");
    Error('\p{InSC=-:=Consonant_Succeeding_repha}');
    Error('\P{InSC=-:=Consonant_Succeeding_repha}');
    Expect(1, 6092, '\p{InSC=:\AConsonant_Succeeding_Repha\z:}', "");;
    Expect(0, 6093, '\p{InSC=:\AConsonant_Succeeding_Repha\z:}', "");;
    Expect(1, 6092, '\p{InSC=consonantsucceedingrepha}', "");
    Expect(0, 6092, '\p{^InSC=consonantsucceedingrepha}', "");
    Expect(0, 6092, '\P{InSC=consonantsucceedingrepha}', "");
    Expect(1, 6092, '\P{^InSC=consonantsucceedingrepha}', "");
    Expect(0, 6093, '\p{InSC=consonantsucceedingrepha}', "");
    Expect(1, 6093, '\p{^InSC=consonantsucceedingrepha}', "");
    Expect(1, 6093, '\P{InSC=consonantsucceedingrepha}', "");
    Expect(0, 6093, '\P{^InSC=consonantsucceedingrepha}', "");
    Expect(1, 6092, '\p{InSC=:\Aconsonantsucceedingrepha\z:}', "");;
    Expect(0, 6093, '\p{InSC=:\Aconsonantsucceedingrepha\z:}', "");;
    Expect(1, 6092, '\p{InSC=	-Consonant_Succeeding_repha}', "");
    Expect(0, 6092, '\p{^InSC=	-Consonant_Succeeding_repha}', "");
    Expect(0, 6092, '\P{InSC=	-Consonant_Succeeding_repha}', "");
    Expect(1, 6092, '\P{^InSC=	-Consonant_Succeeding_repha}', "");
    Expect(0, 6093, '\p{InSC=	-Consonant_Succeeding_repha}', "");
    Expect(1, 6093, '\p{^InSC=	-Consonant_Succeeding_repha}', "");
    Expect(1, 6093, '\P{InSC=	-Consonant_Succeeding_repha}', "");
    Expect(0, 6093, '\P{^InSC=	-Consonant_Succeeding_repha}', "");
    Error('\p{Is_Indic_Syllabic_Category=/a/_Consonant_succeeding_Repha}');
    Error('\P{Is_Indic_Syllabic_Category=/a/_Consonant_succeeding_Repha}');
    Expect(1, 6092, '\p{Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(0, 6092, '\p{^Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(0, 6092, '\P{Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(1, 6092, '\P{^Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(0, 6093, '\p{Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(1, 6093, '\p{^Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(1, 6093, '\P{Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(0, 6093, '\P{^Is_Indic_Syllabic_Category: consonantsucceedingrepha}', "");
    Expect(1, 6092, '\p{Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Expect(0, 6092, '\p{^Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Expect(0, 6092, '\P{Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Expect(1, 6092, '\P{^Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Expect(0, 6093, '\p{Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Expect(1, 6093, '\p{^Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Expect(1, 6093, '\P{Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Expect(0, 6093, '\P{^Is_Indic_Syllabic_Category=	Consonant_Succeeding_Repha}', "");
    Error('\p{Is_InSC=_/a/Consonant_SUCCEEDING_REPHA}');
    Error('\P{Is_InSC=_/a/Consonant_SUCCEEDING_REPHA}');
    Expect(1, 6092, '\p{Is_InSC=consonantsucceedingrepha}', "");
    Expect(0, 6092, '\p{^Is_InSC=consonantsucceedingrepha}', "");
    Expect(0, 6092, '\P{Is_InSC=consonantsucceedingrepha}', "");
    Expect(1, 6092, '\P{^Is_InSC=consonantsucceedingrepha}', "");
    Expect(0, 6093, '\p{Is_InSC=consonantsucceedingrepha}', "");
    Expect(1, 6093, '\p{^Is_InSC=consonantsucceedingrepha}', "");
    Expect(1, 6093, '\P{Is_InSC=consonantsucceedingrepha}', "");
    Expect(0, 6093, '\P{^Is_InSC=consonantsucceedingrepha}', "");
    Expect(1, 6092, '\p{Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Expect(0, 6092, '\p{^Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Expect(0, 6092, '\P{Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Expect(1, 6092, '\P{^Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Expect(0, 6093, '\p{Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Expect(1, 6093, '\p{^Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Expect(1, 6093, '\P{Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Expect(0, 6093, '\P{^Is_InSC=	_Consonant_Succeeding_REPHA}', "");
    Error('\p{Indic_Syllabic_Category=/a/-Consonant_With_Stacker}');
    Error('\P{Indic_Syllabic_Category=/a/-Consonant_With_Stacker}');
    Expect(1, 70753, '\p{Indic_Syllabic_Category=:\AConsonant_With_Stacker\z:}', "");;
    Expect(0, 70754, '\p{Indic_Syllabic_Category=:\AConsonant_With_Stacker\z:}', "");;
    Expect(1, 70753, '\p{Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70753, '\p{^Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70753, '\P{Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70753, '\P{^Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70754, '\p{Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70754, '\p{^Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70754, '\P{Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70754, '\P{^Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70753, '\p{Indic_Syllabic_Category=:\Aconsonantwithstacker\z:}', "");;
    Expect(0, 70754, '\p{Indic_Syllabic_Category=:\Aconsonantwithstacker\z:}', "");;
    Expect(1, 70753, '\p{Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Expect(0, 70753, '\p{^Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Expect(0, 70753, '\P{Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Expect(1, 70753, '\P{^Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Expect(0, 70754, '\p{Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Expect(1, 70754, '\p{^Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Expect(1, 70754, '\P{Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Expect(0, 70754, '\P{^Indic_Syllabic_Category=	Consonant_With_STACKER}', "");
    Error('\p{InSC=	/a/Consonant_With_Stacker}');
    Error('\P{InSC=	/a/Consonant_With_Stacker}');
    Expect(1, 70753, '\p{InSC=:\AConsonant_With_Stacker\z:}', "");;
    Expect(0, 70754, '\p{InSC=:\AConsonant_With_Stacker\z:}', "");;
    Expect(1, 70753, '\p{InSC=consonantwithstacker}', "");
    Expect(0, 70753, '\p{^InSC=consonantwithstacker}', "");
    Expect(0, 70753, '\P{InSC=consonantwithstacker}', "");
    Expect(1, 70753, '\P{^InSC=consonantwithstacker}', "");
    Expect(0, 70754, '\p{InSC=consonantwithstacker}', "");
    Expect(1, 70754, '\p{^InSC=consonantwithstacker}', "");
    Expect(1, 70754, '\P{InSC=consonantwithstacker}', "");
    Expect(0, 70754, '\P{^InSC=consonantwithstacker}', "");
    Expect(1, 70753, '\p{InSC=:\Aconsonantwithstacker\z:}', "");;
    Expect(0, 70754, '\p{InSC=:\Aconsonantwithstacker\z:}', "");;
    Expect(1, 70753, '\p{InSC=-	Consonant_with_Stacker}', "");
    Expect(0, 70753, '\p{^InSC=-	Consonant_with_Stacker}', "");
    Expect(0, 70753, '\P{InSC=-	Consonant_with_Stacker}', "");
    Expect(1, 70753, '\P{^InSC=-	Consonant_with_Stacker}', "");
    Expect(0, 70754, '\p{InSC=-	Consonant_with_Stacker}', "");
    Expect(1, 70754, '\p{^InSC=-	Consonant_with_Stacker}', "");
    Expect(1, 70754, '\P{InSC=-	Consonant_with_Stacker}', "");
    Expect(0, 70754, '\P{^InSC=-	Consonant_with_Stacker}', "");
    Error('\p{Is_Indic_Syllabic_Category=/a/ Consonant_WITH_STACKER}');
    Error('\P{Is_Indic_Syllabic_Category=/a/ Consonant_WITH_STACKER}');
    Expect(1, 70753, '\p{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70753, '\p{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70753, '\P{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70753, '\P{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70754, '\p{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70754, '\p{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70754, '\P{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(0, 70754, '\P{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
    Expect(1, 70753, '\p{Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Expect(0, 70753, '\p{^Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Expect(0, 70753, '\P{Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Expect(1, 70753, '\P{^Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Expect(0, 70754, '\p{Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Expect(1, 70754, '\p{^Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Expect(1, 70754, '\P{Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Expect(0, 70754, '\P{^Is_Indic_Syllabic_Category:	CONSONANT_With_Stacker}', "");
    Error('\p{Is_InSC=/a/_-Consonant_With_Stacker}');
    Error('\P{Is_InSC=/a/_-Consonant_With_Stacker}');
    Expect(1, 70753, '\p{Is_InSC=consonantwithstacker}', "");
    Expect(0, 70753, '\p{^Is_InSC=consonantwithstacker}', "");
    Expect(0, 70753, '\P{Is_InSC=consonantwithstacker}', "");
    Expect(1, 70753, '\P{^Is_InSC=consonantwithstacker}', "");
    Expect(0, 70754, '\p{Is_InSC=consonantwithstacker}', "");
    Expect(1, 70754, '\p{^Is_InSC=consonantwithstacker}', "");
    Expect(1, 70754, '\P{Is_InSC=consonantwithstacker}', "");
    Expect(0, 70754, '\P{^Is_InSC=consonantwithstacker}', "");
    Expect(1, 70753, '\p{Is_InSC=-Consonant_With_stacker}', "");
    Expect(0, 70753, '\p{^Is_InSC=-Consonant_With_stacker}', "");
    Expect(0, 70753, '\P{Is_InSC=-Consonant_With_stacker}', "");
    Expect(1, 70753, '\P{^Is_InSC=-Consonant_With_stacker}', "");
    Expect(0, 70754, '\p{Is_InSC=-Consonant_With_stacker}', "");
    Expect(1, 70754, '\p{^Is_InSC=-Consonant_With_stacker}', "");
    Expect(1, 70754, '\P{Is_InSC=-Consonant_With_stacker}', "");
    Expect(0, 70754, '\P{^Is_InSC=-Consonant_With_stacker}', "");
    Error('\p{Indic_Syllabic_Category= Gemination_MARK:=}');
    Error('\P{Indic_Syllabic_Category= Gemination_MARK:=}');
    Expect(1, 72344, '\p{Indic_Syllabic_Category=:\AGemination_Mark\z:}', "");;
    Expect(0, 72345, '\p{Indic_Syllabic_Category=:\AGemination_Mark\z:}', "");;
    Expect(1, 72344, '\p{Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72344, '\p{^Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72344, '\P{Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72344, '\P{^Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72345, '\p{Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72345, '\p{^Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72345, '\P{Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72345, '\P{^Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72344, '\p{Indic_Syllabic_Category=:\Ageminationmark\z:}', "");;
    Expect(0, 72345, '\p{Indic_Syllabic_Category=:\Ageminationmark\z:}', "");;
    Expect(1, 72344, '\p{Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Expect(0, 72344, '\p{^Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Expect(0, 72344, '\P{Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Expect(1, 72344, '\P{^Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Expect(0, 72345, '\p{Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Expect(1, 72345, '\p{^Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Expect(1, 72345, '\P{Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Expect(0, 72345, '\P{^Indic_Syllabic_Category= _GEMINATION_Mark}', "");
    Error('\p{InSC=:= gemination_mark}');
    Error('\P{InSC=:= gemination_mark}');
    Expect(1, 72344, '\p{InSC=:\AGemination_Mark\z:}', "");;
    Expect(0, 72345, '\p{InSC=:\AGemination_Mark\z:}', "");;
    Expect(1, 72344, '\p{InSC=geminationmark}', "");
    Expect(0, 72344, '\p{^InSC=geminationmark}', "");
    Expect(0, 72344, '\P{InSC=geminationmark}', "");
    Expect(1, 72344, '\P{^InSC=geminationmark}', "");
    Expect(0, 72345, '\p{InSC=geminationmark}', "");
    Expect(1, 72345, '\p{^InSC=geminationmark}', "");
    Expect(1, 72345, '\P{InSC=geminationmark}', "");
    Expect(0, 72345, '\P{^InSC=geminationmark}', "");
    Expect(1, 72344, '\p{InSC=:\Ageminationmark\z:}', "");;
    Expect(0, 72345, '\p{InSC=:\Ageminationmark\z:}', "");;
    Expect(1, 72344, '\p{InSC=	Gemination_Mark}', "");
    Expect(0, 72344, '\p{^InSC=	Gemination_Mark}', "");
    Expect(0, 72344, '\P{InSC=	Gemination_Mark}', "");
    Expect(1, 72344, '\P{^InSC=	Gemination_Mark}', "");
    Expect(0, 72345, '\p{InSC=	Gemination_Mark}', "");
    Expect(1, 72345, '\p{^InSC=	Gemination_Mark}', "");
    Expect(1, 72345, '\P{InSC=	Gemination_Mark}', "");
    Expect(0, 72345, '\P{^InSC=	Gemination_Mark}', "");
    Error('\p{Is_Indic_Syllabic_Category= gemination_Mark/a/}');
    Error('\P{Is_Indic_Syllabic_Category= gemination_Mark/a/}');
    Expect(1, 72344, '\p{Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72344, '\p{^Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72344, '\P{Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72344, '\P{^Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72345, '\p{Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72345, '\p{^Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72345, '\P{Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(0, 72345, '\P{^Is_Indic_Syllabic_Category=geminationmark}', "");
    Expect(1, 72344, '\p{Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Expect(0, 72344, '\p{^Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Expect(0, 72344, '\P{Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Expect(1, 72344, '\P{^Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Expect(0, 72345, '\p{Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Expect(1, 72345, '\p{^Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Expect(1, 72345, '\P{Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Expect(0, 72345, '\P{^Is_Indic_Syllabic_Category=-_GEMINATION_Mark}', "");
    Error('\p{Is_InSC=_:=GEMINATION_MARK}');
    Error('\P{Is_InSC=_:=GEMINATION_MARK}');
    Expect(1, 72344, '\p{Is_InSC: geminationmark}', "");
    Expect(0, 72344, '\p{^Is_InSC: geminationmark}', "");
    Expect(0, 72344, '\P{Is_InSC: geminationmark}', "");
    Expect(1, 72344, '\P{^Is_InSC: geminationmark}', "");
    Expect(0, 72345, '\p{Is_InSC: geminationmark}', "");
    Expect(1, 72345, '\p{^Is_InSC: geminationmark}', "");
    Expect(1, 72345, '\P{Is_InSC: geminationmark}', "");
    Expect(0, 72345, '\P{^Is_InSC: geminationmark}', "");
    Expect(1, 72344, '\p{Is_InSC=-_Gemination_Mark}', "");
    Expect(0, 72344, '\p{^Is_InSC=-_Gemination_Mark}', "");
    Expect(0, 72344, '\P{Is_InSC=-_Gemination_Mark}', "");
    Expect(1, 72344, '\P{^Is_InSC=-_Gemination_Mark}', "");
    Expect(0, 72345, '\p{Is_InSC=-_Gemination_Mark}', "");
    Expect(1, 72345, '\p{^Is_InSC=-_Gemination_Mark}', "");
    Expect(1, 72345, '\P{Is_InSC=-_Gemination_Mark}', "");
    Expect(0, 72345, '\P{^Is_InSC=-_Gemination_Mark}', "");
    Error('\p{Indic_Syllabic_Category=:=	invisible_STACKER}');
    Error('\P{Indic_Syllabic_Category=:=	invisible_STACKER}');
    Expect(1, 73111, '\p{Indic_Syllabic_Category=:\AInvisible_Stacker\z:}', "");;
    Expect(0, 73112, '\p{Indic_Syllabic_Category=:\AInvisible_Stacker\z:}', "");;
    Expect(1, 73111, '\p{Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73111, '\p{^Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73111, '\P{Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73111, '\P{^Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73112, '\p{Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73112, '\p{^Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73112, '\P{Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73112, '\P{^Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73111, '\p{Indic_Syllabic_Category=:\Ainvisiblestacker\z:}', "");;
    Expect(0, 73112, '\p{Indic_Syllabic_Category=:\Ainvisiblestacker\z:}', "");;
    Expect(1, 73111, '\p{Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Expect(0, 73111, '\p{^Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Expect(0, 73111, '\P{Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Expect(1, 73111, '\P{^Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Expect(0, 73112, '\p{Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Expect(1, 73112, '\p{^Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Expect(1, 73112, '\P{Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Expect(0, 73112, '\P{^Indic_Syllabic_Category:		 INVISIBLE_STACKER}', "");
    Error('\p{InSC=_:=Invisible_stacker}');
    Error('\P{InSC=_:=Invisible_stacker}');
    Expect(1, 73111, '\p{InSC=:\AInvisible_Stacker\z:}', "");;
    Expect(0, 73112, '\p{InSC=:\AInvisible_Stacker\z:}', "");;
    Expect(1, 73111, '\p{InSC=invisiblestacker}', "");
    Expect(0, 73111, '\p{^InSC=invisiblestacker}', "");
    Expect(0, 73111, '\P{InSC=invisiblestacker}', "");
    Expect(1, 73111, '\P{^InSC=invisiblestacker}', "");
    Expect(0, 73112, '\p{InSC=invisiblestacker}', "");
    Expect(1, 73112, '\p{^InSC=invisiblestacker}', "");
    Expect(1, 73112, '\P{InSC=invisiblestacker}', "");
    Expect(0, 73112, '\P{^InSC=invisiblestacker}', "");
    Expect(1, 73111, '\p{InSC=:\Ainvisiblestacker\z:}', "");;
    Expect(0, 73112, '\p{InSC=:\Ainvisiblestacker\z:}', "");;
    Expect(1, 73111, '\p{InSC=	 Invisible_stacker}', "");
    Expect(0, 73111, '\p{^InSC=	 Invisible_stacker}', "");
    Expect(0, 73111, '\P{InSC=	 Invisible_stacker}', "");
    Expect(1, 73111, '\P{^InSC=	 Invisible_stacker}', "");
    Expect(0, 73112, '\p{InSC=	 Invisible_stacker}', "");
    Expect(1, 73112, '\p{^InSC=	 Invisible_stacker}', "");
    Expect(1, 73112, '\P{InSC=	 Invisible_stacker}', "");
    Expect(0, 73112, '\P{^InSC=	 Invisible_stacker}', "");
    Error('\p{Is_Indic_Syllabic_Category=_Invisible_STACKER/a/}');
    Error('\P{Is_Indic_Syllabic_Category=_Invisible_STACKER/a/}');
    Expect(1, 73111, '\p{Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73111, '\p{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73111, '\P{Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73111, '\P{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73112, '\p{Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73112, '\p{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73112, '\P{Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(0, 73112, '\P{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
    Expect(1, 73111, '\p{Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Expect(0, 73111, '\p{^Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Expect(0, 73111, '\P{Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Expect(1, 73111, '\P{^Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Expect(0, 73112, '\p{Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Expect(1, 73112, '\p{^Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Expect(1, 73112, '\P{Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Expect(0, 73112, '\P{^Is_Indic_Syllabic_Category= invisible_Stacker}', "");
    Error('\p{Is_InSC= invisible_stacker:=}');
    Error('\P{Is_InSC= invisible_stacker:=}');
    Expect(1, 73111, '\p{Is_InSC=invisiblestacker}', "");
    Expect(0, 73111, '\p{^Is_InSC=invisiblestacker}', "");
    Expect(0, 73111, '\P{Is_InSC=invisiblestacker}', "");
    Expect(1, 73111, '\P{^Is_InSC=invisiblestacker}', "");
    Expect(0, 73112, '\p{Is_InSC=invisiblestacker}', "");
    Expect(1, 73112, '\p{^Is_InSC=invisiblestacker}', "");
    Expect(1, 73112, '\P{Is_InSC=invisiblestacker}', "");
    Expect(0, 73112, '\P{^Is_InSC=invisiblestacker}', "");
    Expect(1, 73111, '\p{Is_InSC=_ Invisible_Stacker}', "");
    Expect(0, 73111, '\p{^Is_InSC=_ Invisible_Stacker}', "");
    Expect(0, 73111, '\P{Is_InSC=_ Invisible_Stacker}', "");
    Expect(1, 73111, '\P{^Is_InSC=_ Invisible_Stacker}', "");
    Expect(0, 73112, '\p{Is_InSC=_ Invisible_Stacker}', "");
    Expect(1, 73112, '\p{^Is_InSC=_ Invisible_Stacker}', "");
    Expect(1, 73112, '\P{Is_InSC=_ Invisible_Stacker}', "");
    Expect(0, 73112, '\P{^Is_InSC=_ Invisible_Stacker}', "");
    Error('\p{Indic_Syllabic_Category:   _/a/joiner}');
    Error('\P{Indic_Syllabic_Category:   _/a/joiner}');
    Expect(1, 8205, '\p{Indic_Syllabic_Category=:\AJoiner\z:}', "");;
    Expect(0, 8206, '\p{Indic_Syllabic_Category=:\AJoiner\z:}', "");;
    Expect(1, 8205, '\p{Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8205, '\p{^Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8205, '\P{Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8205, '\P{^Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8206, '\p{Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8206, '\p{^Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8206, '\P{Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8206, '\P{^Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8205, '\p{Indic_Syllabic_Category=:\Ajoiner\z:}', "");;
    Expect(0, 8206, '\p{Indic_Syllabic_Category=:\Ajoiner\z:}', "");;
    Expect(1, 8205, '\p{Indic_Syllabic_Category=	-joiner}', "");
    Expect(0, 8205, '\p{^Indic_Syllabic_Category=	-joiner}', "");
    Expect(0, 8205, '\P{Indic_Syllabic_Category=	-joiner}', "");
    Expect(1, 8205, '\P{^Indic_Syllabic_Category=	-joiner}', "");
    Expect(0, 8206, '\p{Indic_Syllabic_Category=	-joiner}', "");
    Expect(1, 8206, '\p{^Indic_Syllabic_Category=	-joiner}', "");
    Expect(1, 8206, '\P{Indic_Syllabic_Category=	-joiner}', "");
    Expect(0, 8206, '\P{^Indic_Syllabic_Category=	-joiner}', "");
    Error('\p{InSC:	/a/	-JOINER}');
    Error('\P{InSC:	/a/	-JOINER}');
    Expect(1, 8205, '\p{InSC=:\AJoiner\z:}', "");;
    Expect(0, 8206, '\p{InSC=:\AJoiner\z:}', "");;
    Expect(1, 8205, '\p{InSC=joiner}', "");
    Expect(0, 8205, '\p{^InSC=joiner}', "");
    Expect(0, 8205, '\P{InSC=joiner}', "");
    Expect(1, 8205, '\P{^InSC=joiner}', "");
    Expect(0, 8206, '\p{InSC=joiner}', "");
    Expect(1, 8206, '\p{^InSC=joiner}', "");
    Expect(1, 8206, '\P{InSC=joiner}', "");
    Expect(0, 8206, '\P{^InSC=joiner}', "");
    Expect(1, 8205, '\p{InSC=:\Ajoiner\z:}', "");;
    Expect(0, 8206, '\p{InSC=:\Ajoiner\z:}', "");;
    Expect(1, 8205, '\p{InSC=	Joiner}', "");
    Expect(0, 8205, '\p{^InSC=	Joiner}', "");
    Expect(0, 8205, '\P{InSC=	Joiner}', "");
    Expect(1, 8205, '\P{^InSC=	Joiner}', "");
    Expect(0, 8206, '\p{InSC=	Joiner}', "");
    Expect(1, 8206, '\p{^InSC=	Joiner}', "");
    Expect(1, 8206, '\P{InSC=	Joiner}', "");
    Expect(0, 8206, '\P{^InSC=	Joiner}', "");
    Error('\p{Is_Indic_Syllabic_Category:-:=Joiner}');
    Error('\P{Is_Indic_Syllabic_Category:-:=Joiner}');
    Expect(1, 8205, '\p{Is_Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8205, '\p{^Is_Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8205, '\P{Is_Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8205, '\P{^Is_Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8206, '\p{Is_Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8206, '\p{^Is_Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8206, '\P{Is_Indic_Syllabic_Category=joiner}', "");
    Expect(0, 8206, '\P{^Is_Indic_Syllabic_Category=joiner}', "");
    Expect(1, 8205, '\p{Is_Indic_Syllabic_Category=	 joiner}', "");
    Expect(0, 8205, '\p{^Is_Indic_Syllabic_Category=	 joiner}', "");
    Expect(0, 8205, '\P{Is_Indic_Syllabic_Category=	 joiner}', "");
    Expect(1, 8205, '\P{^Is_Indic_Syllabic_Category=	 joiner}', "");
    Expect(0, 8206, '\p{Is_Indic_Syllabic_Category=	 joiner}', "");
    Expect(1, 8206, '\p{^Is_Indic_Syllabic_Category=	 joiner}', "");
    Expect(1, 8206, '\P{Is_Indic_Syllabic_Category=	 joiner}', "");
    Expect(0, 8206, '\P{^Is_Indic_Syllabic_Category=	 joiner}', "");
    Error('\p{Is_InSC=_	Joiner/a/}');
    Error('\P{Is_InSC=_	Joiner/a/}');
    Expect(1, 8205, '\p{Is_InSC=joiner}', "");
    Expect(0, 8205, '\p{^Is_InSC=joiner}', "");
    Expect(0, 8205, '\P{Is_InSC=joiner}', "");
    Expect(1, 8205, '\P{^Is_InSC=joiner}', "");
    Expect(0, 8206, '\p{Is_InSC=joiner}', "");
    Expect(1, 8206, '\p{^Is_InSC=joiner}', "");
    Expect(1, 8206, '\P{Is_InSC=joiner}', "");
    Expect(0, 8206, '\P{^Is_InSC=joiner}', "");
    Expect(1, 8205, '\p{Is_InSC=_JOINER}', "");
    Expect(0, 8205, '\p{^Is_InSC=_JOINER}', "");
    Expect(0, 8205, '\P{Is_InSC=_JOINER}', "");
    Expect(1, 8205, '\P{^Is_InSC=_JOINER}', "");
    Expect(0, 8206, '\p{Is_InSC=_JOINER}', "");
    Expect(1, 8206, '\p{^Is_InSC=_JOINER}', "");
    Expect(1, 8206, '\P{Is_InSC=_JOINER}', "");
    Expect(0, 8206, '\P{^Is_InSC=_JOINER}', "");
    Error('\p{Indic_Syllabic_Category=_:=modifying_Letter}');
    Error('\P{Indic_Syllabic_Category=_:=modifying_Letter}');
    Expect(1, 2947, '\p{Indic_Syllabic_Category=:\AModifying_Letter\z:}', "");;
    Expect(0, 2948, '\p{Indic_Syllabic_Category=:\AModifying_Letter\z:}', "");;
    Expect(1, 2947, '\p{Indic_Syllabic_Category=modifyingletter}', "");
    Expect(0, 2947, '\p{^Indic_Syllabic_Category=modifyingletter}', "");
    Expect(0, 2947, '\P{Indic_Syllabic_Category=modifyingletter}', "");
    Expect(1, 2947, '\P{^Indic_Syllabic_Category=modifyingletter}', "");
    Expect(0, 2948, '\p{Indic_Syllabic_Category=modifyingletter}', "");
    Expect(1, 2948, '\p{^Indic_Syllabic_Category=modifyingletter}', "");
    Expect(1, 2948, '\P{Indic_Syllabic_Category=modifyingletter}', "");
    Expect(0, 2948, '\P{^Indic_Syllabic_Category=modifyingletter}', "");
    Expect(1, 2947, '\p{Indic_Syllabic_Category=:\Amodifyingletter\z:}', "");;
    Expect(0, 2948, '\p{Indic_Syllabic_Category=:\Amodifyingletter\z:}', "");;
    Expect(1, 2947, '\p{Indic_Syllabic_Category=		modifying_Letter}', "");
    Expect(0, 2947, '\p{^Indic_Syllabic_Category=		modifying_Letter}', "");
    Expect(0, 2947, '\P{Indic_Syllabic_Category=		modifying_Letter}', "");
    Expect(1, 2947, '\P{^Indic_Syllabic_Category=		modifying_Letter}', "");
    Expect(0, 2948, '\p{Indic_Syllabic_Category=		modifying_Letter}', "");
    Expect(1, 2948, '\p{^Indic_Syllabic_Category=		modifying_Letter}', "");
    Expect(1, 2948, '\P{Indic_Syllabic_Category=		modifying_Letter}', "");
    Expect(0, 2948, '\P{^Indic_Syllabic_Category=		modifying_Letter}', "");
    Error('\p{InSC= :=Modifying_letter}');
    Error('\P{InSC= :=Modifying_letter}');
    Expect(1, 2947, '\p{InSC=:\AModifying_Letter\z:}', "");;
    Expect(0, 2948, '\p{InSC=:\AModifying_Letter\z:}', "");;
    Expect(1, 2947, '\p{InSC=modifyingletter}', "");
    Expect(0, 2947, '\p{^InSC=modifyingletter}', "");
    Expect(0, 2947, '\P{InSC=modifyingletter}', "");
    Expect(1, 2947, '\P{^InSC=modifyingletter}', "");
    Expect(0, 2948, '\p{InSC=modifyingletter}', "");
    Expect(1, 2948, '\p{^InSC=modifyingletter}', "");
    Expect(1, 2948, '\P{InSC=modifyingletter}', "");
    Expect(0, 2948, '\P{^InSC=modifyingletter}', "");
    Expect(1, 2947, '\p{InSC=:\Amodifyingletter\z:}', "");;
    Expect(0, 2948, '\p{InSC=:\Amodifyingletter\z:}', "");;
    Expect(1, 2947, '\p{InSC=	-MODIFYING_LETTER}', "");
    Expect(0, 2947, '\p{^InSC=	-MODIFYING_LETTER}', "");
    Expect(0, 2947, '\P{InSC=	-MODIFYING_LETTER}', "");
    Expect(1, 2947, '\P{^InSC=	-MODIFYING_LETTER}', "");
    Expect(0, 2948, '\p{InSC=	-MODIFYING_LETTER}', "");
    Expect(1, 2948, '\p{^InSC=	-MODIFYING_LETTER}', "");
    Expect(1, 2948, '\P{InSC=	-MODIFYING_LETTER}', "");
    Expect(0, 2948, '\P{^InSC=	-MODIFYING_LETTER}', "");
    Error('\p{Is_Indic_Syllabic_Category= 	Modifying_Letter:=}');
    Error('\P{Is_Indic_Syllabic_Category= 	Modifying_Letter:=}');
    Expect(1, 2947, '\p{Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(0, 2947, '\p{^Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(0, 2947, '\P{Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(1, 2947, '\P{^Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(0, 2948, '\p{Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(1, 2948, '\p{^Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(1, 2948, '\P{Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(0, 2948, '\P{^Is_Indic_Syllabic_Category:   modifyingletter}', "");
    Expect(1, 2947, '\p{Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Expect(0, 2947, '\p{^Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Expect(0, 2947, '\P{Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Expect(1, 2947, '\P{^Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Expect(0, 2948, '\p{Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Expect(1, 2948, '\p{^Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Expect(1, 2948, '\P{Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Expect(0, 2948, '\P{^Is_Indic_Syllabic_Category=__Modifying_Letter}', "");
    Error('\p{Is_InSC=_	Modifying_LETTER/a/}');
    Error('\P{Is_InSC=_	Modifying_LETTER/a/}');
    Expect(1, 2947, '\p{Is_InSC=modifyingletter}', "");
    Expect(0, 2947, '\p{^Is_InSC=modifyingletter}', "");
    Expect(0, 2947, '\P{Is_InSC=modifyingletter}', "");
    Expect(1, 2947, '\P{^Is_InSC=modifyingletter}', "");
    Expect(0, 2948, '\p{Is_InSC=modifyingletter}', "");
    Expect(1, 2948, '\p{^Is_InSC=modifyingletter}', "");
    Expect(1, 2948, '\P{Is_InSC=modifyingletter}', "");
    Expect(0, 2948, '\P{^Is_InSC=modifyingletter}', "");
    Expect(1, 2947, '\p{Is_InSC=-MODIFYING_LETTER}', "");
    Expect(0, 2947, '\p{^Is_InSC=-MODIFYING_LETTER}', "");
    Expect(0, 2947, '\P{Is_InSC=-MODIFYING_LETTER}', "");
    Expect(1, 2947, '\P{^Is_InSC=-MODIFYING_LETTER}', "");
    Expect(0, 2948, '\p{Is_InSC=-MODIFYING_LETTER}', "");
    Expect(1, 2948, '\p{^Is_InSC=-MODIFYING_LETTER}', "");
    Expect(1, 2948, '\P{Is_InSC=-MODIFYING_LETTER}', "");
    Expect(0, 2948, '\P{^Is_InSC=-MODIFYING_LETTER}', "");
    Error('\p{Indic_Syllabic_Category: _Non_Joiner:=}');
    Error('\P{Indic_Syllabic_Category: _Non_Joiner:=}');
    Expect(1, 8204, '\p{Indic_Syllabic_Category=:\ANon_Joiner\z:}', "");;
    Expect(0, 8205, '\p{Indic_Syllabic_Category=:\ANon_Joiner\z:}', "");;
    Expect(1, 8204, '\p{Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8204, '\p{^Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8204, '\P{Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8204, '\P{^Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8205, '\p{Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8205, '\p{^Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8205, '\P{Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8205, '\P{^Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8204, '\p{Indic_Syllabic_Category=:\Anonjoiner\z:}', "");;
    Expect(0, 8205, '\p{Indic_Syllabic_Category=:\Anonjoiner\z:}', "");;
    Expect(1, 8204, '\p{Indic_Syllabic_Category=	 non_Joiner}', "");
    Expect(0, 8204, '\p{^Indic_Syllabic_Category=	 non_Joiner}', "");
    Expect(0, 8204, '\P{Indic_Syllabic_Category=	 non_Joiner}', "");
    Expect(1, 8204, '\P{^Indic_Syllabic_Category=	 non_Joiner}', "");
    Expect(0, 8205, '\p{Indic_Syllabic_Category=	 non_Joiner}', "");
    Expect(1, 8205, '\p{^Indic_Syllabic_Category=	 non_Joiner}', "");
    Expect(1, 8205, '\P{Indic_Syllabic_Category=	 non_Joiner}', "");
    Expect(0, 8205, '\P{^Indic_Syllabic_Category=	 non_Joiner}', "");
    Error('\p{InSC=:=	-Non_Joiner}');
    Error('\P{InSC=:=	-Non_Joiner}');
    Expect(1, 8204, '\p{InSC=:\ANon_Joiner\z:}', "");;
    Expect(0, 8205, '\p{InSC=:\ANon_Joiner\z:}', "");;
    Expect(1, 8204, '\p{InSC=nonjoiner}', "");
    Expect(0, 8204, '\p{^InSC=nonjoiner}', "");
    Expect(0, 8204, '\P{InSC=nonjoiner}', "");
    Expect(1, 8204, '\P{^InSC=nonjoiner}', "");
    Expect(0, 8205, '\p{InSC=nonjoiner}', "");
    Expect(1, 8205, '\p{^InSC=nonjoiner}', "");
    Expect(1, 8205, '\P{InSC=nonjoiner}', "");
    Expect(0, 8205, '\P{^InSC=nonjoiner}', "");
    Expect(1, 8204, '\p{InSC=:\Anonjoiner\z:}', "");;
    Expect(0, 8205, '\p{InSC=:\Anonjoiner\z:}', "");;
    Expect(1, 8204, '\p{InSC= NON_Joiner}', "");
    Expect(0, 8204, '\p{^InSC= NON_Joiner}', "");
    Expect(0, 8204, '\P{InSC= NON_Joiner}', "");
    Expect(1, 8204, '\P{^InSC= NON_Joiner}', "");
    Expect(0, 8205, '\p{InSC= NON_Joiner}', "");
    Expect(1, 8205, '\p{^InSC= NON_Joiner}', "");
    Expect(1, 8205, '\P{InSC= NON_Joiner}', "");
    Expect(0, 8205, '\P{^InSC= NON_Joiner}', "");
    Error('\p{Is_Indic_Syllabic_Category:   _non_joiner:=}');
    Error('\P{Is_Indic_Syllabic_Category:   _non_joiner:=}');
    Expect(1, 8204, '\p{Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8204, '\p{^Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8204, '\P{Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8204, '\P{^Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8205, '\p{Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8205, '\p{^Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8205, '\P{Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(0, 8205, '\P{^Is_Indic_Syllabic_Category=nonjoiner}', "");
    Expect(1, 8204, '\p{Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Expect(0, 8204, '\p{^Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Expect(0, 8204, '\P{Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Expect(1, 8204, '\P{^Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Expect(0, 8205, '\p{Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Expect(1, 8205, '\p{^Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Expect(1, 8205, '\P{Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Expect(0, 8205, '\P{^Is_Indic_Syllabic_Category:	-_NON_Joiner}', "");
    Error('\p{Is_InSC=_ NON_Joiner/a/}');
    Error('\P{Is_InSC=_ NON_Joiner/a/}');
    Expect(1, 8204, '\p{Is_InSC=nonjoiner}', "");
    Expect(0, 8204, '\p{^Is_InSC=nonjoiner}', "");
    Expect(0, 8204, '\P{Is_InSC=nonjoiner}', "");
    Expect(1, 8204, '\P{^Is_InSC=nonjoiner}', "");
    Expect(0, 8205, '\p{Is_InSC=nonjoiner}', "");
    Expect(1, 8205, '\p{^Is_InSC=nonjoiner}', "");
    Expect(1, 8205, '\P{Is_InSC=nonjoiner}', "");
    Expect(0, 8205, '\P{^Is_InSC=nonjoiner}', "");
    Expect(1, 8204, '\p{Is_InSC=- non_JOINER}', "");
    Expect(0, 8204, '\p{^Is_InSC=- non_JOINER}', "");
    Expect(0, 8204, '\P{Is_InSC=- non_JOINER}', "");
    Expect(1, 8204, '\P{^Is_InSC=- non_JOINER}', "");
    Expect(0, 8205, '\p{Is_InSC=- non_JOINER}', "");
    Expect(1, 8205, '\p{^Is_InSC=- non_JOINER}', "");
    Expect(1, 8205, '\P{Is_InSC=- non_JOINER}', "");
    Expect(0, 8205, '\P{^Is_InSC=- non_JOINER}', "");
    Error('\p{Indic_Syllabic_Category=:= nukta}');
    Error('\P{Indic_Syllabic_Category=:= nukta}');
    Expect(1, 73026, '\p{Indic_Syllabic_Category=:\ANukta\z:}', "");;
    Expect(0, 73027, '\p{Indic_Syllabic_Category=:\ANukta\z:}', "");;
    Expect(1, 73026, '\p{Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73026, '\p{^Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73026, '\P{Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73026, '\P{^Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73027, '\p{Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73027, '\p{^Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73027, '\P{Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73027, '\P{^Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73026, '\p{Indic_Syllabic_Category=:\Anukta\z:}', "");;
    Expect(0, 73027, '\p{Indic_Syllabic_Category=:\Anukta\z:}', "");;
    Expect(1, 73026, '\p{Indic_Syllabic_Category=	Nukta}', "");
    Expect(0, 73026, '\p{^Indic_Syllabic_Category=	Nukta}', "");
    Expect(0, 73026, '\P{Indic_Syllabic_Category=	Nukta}', "");
    Expect(1, 73026, '\P{^Indic_Syllabic_Category=	Nukta}', "");
    Expect(0, 73027, '\p{Indic_Syllabic_Category=	Nukta}', "");
    Expect(1, 73027, '\p{^Indic_Syllabic_Category=	Nukta}', "");
    Expect(1, 73027, '\P{Indic_Syllabic_Category=	Nukta}', "");
    Expect(0, 73027, '\P{^Indic_Syllabic_Category=	Nukta}', "");
    Error('\p{InSC=/a/_	Nukta}');
    Error('\P{InSC=/a/_	Nukta}');
    Expect(1, 73026, '\p{InSC=:\ANukta\z:}', "");;
    Expect(0, 73027, '\p{InSC=:\ANukta\z:}', "");;
    Expect(1, 73026, '\p{InSC=nukta}', "");
    Expect(0, 73026, '\p{^InSC=nukta}', "");
    Expect(0, 73026, '\P{InSC=nukta}', "");
    Expect(1, 73026, '\P{^InSC=nukta}', "");
    Expect(0, 73027, '\p{InSC=nukta}', "");
    Expect(1, 73027, '\p{^InSC=nukta}', "");
    Expect(1, 73027, '\P{InSC=nukta}', "");
    Expect(0, 73027, '\P{^InSC=nukta}', "");
    Expect(1, 73026, '\p{InSC=:\Anukta\z:}', "");;
    Expect(0, 73027, '\p{InSC=:\Anukta\z:}', "");;
    Expect(1, 73026, '\p{InSC=_	Nukta}', "");
    Expect(0, 73026, '\p{^InSC=_	Nukta}', "");
    Expect(0, 73026, '\P{InSC=_	Nukta}', "");
    Expect(1, 73026, '\P{^InSC=_	Nukta}', "");
    Expect(0, 73027, '\p{InSC=_	Nukta}', "");
    Expect(1, 73027, '\p{^InSC=_	Nukta}', "");
    Expect(1, 73027, '\P{InSC=_	Nukta}', "");
    Expect(0, 73027, '\P{^InSC=_	Nukta}', "");
    Error('\p{Is_Indic_Syllabic_Category=:=		NUKTA}');
    Error('\P{Is_Indic_Syllabic_Category=:=		NUKTA}');
    Expect(1, 73026, '\p{Is_Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73026, '\p{^Is_Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73026, '\P{Is_Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73026, '\P{^Is_Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73027, '\p{Is_Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73027, '\p{^Is_Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73027, '\P{Is_Indic_Syllabic_Category=nukta}', "");
    Expect(0, 73027, '\P{^Is_Indic_Syllabic_Category=nukta}', "");
    Expect(1, 73026, '\p{Is_Indic_Syllabic_Category:	-Nukta}', "");
    Expect(0, 73026, '\p{^Is_Indic_Syllabic_Category:	-Nukta}', "");
    Expect(0, 73026, '\P{Is_Indic_Syllabic_Category:	-Nukta}', "");
    Expect(1, 73026, '\P{^Is_Indic_Syllabic_Category:	-Nukta}', "");
    Expect(0, 73027, '\p{Is_Indic_Syllabic_Category:	-Nukta}', "");
    Expect(1, 73027, '\p{^Is_Indic_Syllabic_Category:	-Nukta}', "");
    Expect(1, 73027, '\P{Is_Indic_Syllabic_Category:	-Nukta}', "");
    Expect(0, 73027, '\P{^Is_Indic_Syllabic_Category:	-Nukta}', "");
    Error('\p{Is_InSC:	-Nukta:=}');
    Error('\P{Is_InSC:	-Nukta:=}');
    Expect(1, 73026, '\p{Is_InSC=nukta}', "");
    Expect(0, 73026, '\p{^Is_InSC=nukta}', "");
    Expect(0, 73026, '\P{Is_InSC=nukta}', "");
    Expect(1, 73026, '\P{^Is_InSC=nukta}', "");
    Expect(0, 73027, '\p{Is_InSC=nukta}', "");
    Expect(1, 73027, '\p{^Is_InSC=nukta}', "");
    Expect(1, 73027, '\P{Is_InSC=nukta}', "");
    Expect(0, 73027, '\P{^Is_InSC=nukta}', "");
    Expect(1, 73026, '\p{Is_InSC: -	Nukta}', "");
    Expect(0, 73026, '\p{^Is_InSC: -	Nukta}', "");
    Expect(0, 73026, '\P{Is_InSC: -	Nukta}', "");
    Expect(1, 73026, '\P{^Is_InSC: -	Nukta}', "");
    Expect(0, 73027, '\p{Is_InSC: -	Nukta}', "");
    Expect(1, 73027, '\p{^Is_InSC: -	Nukta}', "");
    Expect(1, 73027, '\P{Is_InSC: -	Nukta}', "");
    Expect(0, 73027, '\P{^Is_InSC: -	Nukta}', "");
    Error('\p{Indic_Syllabic_Category:	/a/- Number}');
    Error('\P{Indic_Syllabic_Category:	/a/- Number}');
    Expect(1, 73129, '\p{Indic_Syllabic_Category=:\ANumber\z:}', "");;
    Expect(0, 73130, '\p{Indic_Syllabic_Category=:\ANumber\z:}', "");;
    Expect(1, 73129, '\p{Indic_Syllabic_Category=number}', "");
    Expect(0, 73129, '\p{^Indic_Syllabic_Category=number}', "");
    Expect(0, 73129, '\P{Indic_Syllabic_Category=number}', "");
    Expect(1, 73129, '\P{^Indic_Syllabic_Category=number}', "");
    Expect(0, 73130, '\p{Indic_Syllabic_Category=number}', "");
    Expect(1, 73130, '\p{^Indic_Syllabic_Category=number}', "");
    Expect(1, 73130, '\P{Indic_Syllabic_Category=number}', "");
    Expect(0, 73130, '\P{^Indic_Syllabic_Category=number}', "");
    Expect(1, 73129, '\p{Indic_Syllabic_Category=:\Anumber\z:}', "");;
    Expect(0, 73130, '\p{Indic_Syllabic_Category=:\Anumber\z:}', "");;
    Expect(1, 73129, '\p{Indic_Syllabic_Category=-number}', "");
    Expect(0, 73129, '\p{^Indic_Syllabic_Category=-number}', "");
    Expect(0, 73129, '\P{Indic_Syllabic_Category=-number}', "");
    Expect(1, 73129, '\P{^Indic_Syllabic_Category=-number}', "");
    Expect(0, 73130, '\p{Indic_Syllabic_Category=-number}', "");
    Expect(1, 73130, '\p{^Indic_Syllabic_Category=-number}', "");
    Expect(1, 73130, '\P{Indic_Syllabic_Category=-number}', "");
    Expect(0, 73130, '\P{^Indic_Syllabic_Category=-number}', "");
    Error('\p{InSC=	/a/number}');
    Error('\P{InSC=	/a/number}');
    Expect(1, 73129, '\p{InSC=:\ANumber\z:}', "");;
    Expect(0, 73130, '\p{InSC=:\ANumber\z:}', "");;
    Expect(1, 73129, '\p{InSC:   number}', "");
    Expect(0, 73129, '\p{^InSC:   number}', "");
    Expect(0, 73129, '\P{InSC:   number}', "");
    Expect(1, 73129, '\P{^InSC:   number}', "");
    Expect(0, 73130, '\p{InSC:   number}', "");
    Expect(1, 73130, '\p{^InSC:   number}', "");
    Expect(1, 73130, '\P{InSC:   number}', "");
    Expect(0, 73130, '\P{^InSC:   number}', "");
    Expect(1, 73129, '\p{InSC=:\Anumber\z:}', "");;
    Expect(0, 73130, '\p{InSC=:\Anumber\z:}', "");;
    Expect(1, 73129, '\p{InSC:	_	Number}', "");
    Expect(0, 73129, '\p{^InSC:	_	Number}', "");
    Expect(0, 73129, '\P{InSC:	_	Number}', "");
    Expect(1, 73129, '\P{^InSC:	_	Number}', "");
    Expect(0, 73130, '\p{InSC:	_	Number}', "");
    Expect(1, 73130, '\p{^InSC:	_	Number}', "");
    Expect(1, 73130, '\P{InSC:	_	Number}', "");
    Expect(0, 73130, '\P{^InSC:	_	Number}', "");
    Error('\p{Is_Indic_Syllabic_Category= /a/Number}');
    Error('\P{Is_Indic_Syllabic_Category= /a/Number}');
    Expect(1, 73129, '\p{Is_Indic_Syllabic_Category=number}', "");
    Expect(0, 73129, '\p{^Is_Indic_Syllabic_Category=number}', "");
    Expect(0, 73129, '\P{Is_Indic_Syllabic_Category=number}', "");
    Expect(1, 73129, '\P{^Is_Indic_Syllabic_Category=number}', "");
    Expect(0, 73130, '\p{Is_Indic_Syllabic_Category=number}', "");
    Expect(1, 73130, '\p{^Is_Indic_Syllabic_Category=number}', "");
    Expect(1, 73130, '\P{Is_Indic_Syllabic_Category=number}', "");
    Expect(0, 73130, '\P{^Is_Indic_Syllabic_Category=number}', "");
    Expect(1, 73129, '\p{Is_Indic_Syllabic_Category=_	Number}', "");
    Expect(0, 73129, '\p{^Is_Indic_Syllabic_Category=_	Number}', "");
    Expect(0, 73129, '\P{Is_Indic_Syllabic_Category=_	Number}', "");
    Expect(1, 73129, '\P{^Is_Indic_Syllabic_Category=_	Number}', "");
    Expect(0, 73130, '\p{Is_Indic_Syllabic_Category=_	Number}', "");
    Expect(1, 73130, '\p{^Is_Indic_Syllabic_Category=_	Number}', "");
    Expect(1, 73130, '\P{Is_Indic_Syllabic_Category=_	Number}', "");
    Expect(0, 73130, '\P{^Is_Indic_Syllabic_Category=_	Number}', "");
    Error('\p{Is_InSC=/a/-	Number}');
    Error('\P{Is_InSC=/a/-	Number}');
    Expect(1, 73129, '\p{Is_InSC=number}', "");
    Expect(0, 73129, '\p{^Is_InSC=number}', "");
    Expect(0, 73129, '\P{Is_InSC=number}', "");
    Expect(1, 73129, '\P{^Is_InSC=number}', "");
    Expect(0, 73130, '\p{Is_InSC=number}', "");
    Expect(1, 73130, '\p{^Is_InSC=number}', "");
    Expect(1, 73130, '\P{Is_InSC=number}', "");
    Expect(0, 73130, '\P{^Is_InSC=number}', "");
    Expect(1, 73129, '\p{Is_InSC=	number}', "");
    Expect(0, 73129, '\p{^Is_InSC=	number}', "");
    Expect(0, 73129, '\P{Is_InSC=	number}', "");
    Expect(1, 73129, '\P{^Is_InSC=	number}', "");
    Expect(0, 73130, '\p{Is_InSC=	number}', "");
    Expect(1, 73130, '\p{^Is_InSC=	number}', "");
    Expect(1, 73130, '\P{Is_InSC=	number}', "");
    Expect(0, 73130, '\P{^Is_InSC=	number}', "");
    Error('\p{Indic_Syllabic_Category=	Number_JOINER:=}');
    Error('\P{Indic_Syllabic_Category=	Number_JOINER:=}');
    Expect(1, 69759, '\p{Indic_Syllabic_Category=:\ANumber_Joiner\z:}', "");;
    Expect(0, 69760, '\p{Indic_Syllabic_Category=:\ANumber_Joiner\z:}', "");;
    Expect(1, 69759, '\p{Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69759, '\p{^Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69759, '\P{Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69759, '\P{^Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69760, '\p{Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69760, '\p{^Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69760, '\P{Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69760, '\P{^Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69759, '\p{Indic_Syllabic_Category=:\Anumberjoiner\z:}', "");;
    Expect(0, 69760, '\p{Indic_Syllabic_Category=:\Anumberjoiner\z:}', "");;
    Expect(1, 69759, '\p{Indic_Syllabic_Category:	_Number_JOINER}', "");
    Expect(0, 69759, '\p{^Indic_Syllabic_Category:	_Number_JOINER}', "");
    Expect(0, 69759, '\P{Indic_Syllabic_Category:	_Number_JOINER}', "");
    Expect(1, 69759, '\P{^Indic_Syllabic_Category:	_Number_JOINER}', "");
    Expect(0, 69760, '\p{Indic_Syllabic_Category:	_Number_JOINER}', "");
    Expect(1, 69760, '\p{^Indic_Syllabic_Category:	_Number_JOINER}', "");
    Expect(1, 69760, '\P{Indic_Syllabic_Category:	_Number_JOINER}', "");
    Expect(0, 69760, '\P{^Indic_Syllabic_Category:	_Number_JOINER}', "");
    Error('\p{InSC=:=NUMBER_Joiner}');
    Error('\P{InSC=:=NUMBER_Joiner}');
    Expect(1, 69759, '\p{InSC=:\ANumber_Joiner\z:}', "");;
    Expect(0, 69760, '\p{InSC=:\ANumber_Joiner\z:}', "");;
    Expect(1, 69759, '\p{InSC=numberjoiner}', "");
    Expect(0, 69759, '\p{^InSC=numberjoiner}', "");
    Expect(0, 69759, '\P{InSC=numberjoiner}', "");
    Expect(1, 69759, '\P{^InSC=numberjoiner}', "");
    Expect(0, 69760, '\p{InSC=numberjoiner}', "");
    Expect(1, 69760, '\p{^InSC=numberjoiner}', "");
    Expect(1, 69760, '\P{InSC=numberjoiner}', "");
    Expect(0, 69760, '\P{^InSC=numberjoiner}', "");
    Expect(1, 69759, '\p{InSC=:\Anumberjoiner\z:}', "");;
    Expect(0, 69760, '\p{InSC=:\Anumberjoiner\z:}', "");;
    Expect(1, 69759, '\p{InSC:  _number_JOINER}', "");
    Expect(0, 69759, '\p{^InSC:  _number_JOINER}', "");
    Expect(0, 69759, '\P{InSC:  _number_JOINER}', "");
    Expect(1, 69759, '\P{^InSC:  _number_JOINER}', "");
    Expect(0, 69760, '\p{InSC:  _number_JOINER}', "");
    Expect(1, 69760, '\p{^InSC:  _number_JOINER}', "");
    Expect(1, 69760, '\P{InSC:  _number_JOINER}', "");
    Expect(0, 69760, '\P{^InSC:  _number_JOINER}', "");
    Error('\p{Is_Indic_Syllabic_Category=:=	NUMBER_JOINER}');
    Error('\P{Is_Indic_Syllabic_Category=:=	NUMBER_JOINER}');
    Expect(1, 69759, '\p{Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69759, '\p{^Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69759, '\P{Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69759, '\P{^Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69760, '\p{Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69760, '\p{^Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69760, '\P{Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(0, 69760, '\P{^Is_Indic_Syllabic_Category=numberjoiner}', "");
    Expect(1, 69759, '\p{Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Expect(0, 69759, '\p{^Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Expect(0, 69759, '\P{Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Expect(1, 69759, '\P{^Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Expect(0, 69760, '\p{Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Expect(1, 69760, '\p{^Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Expect(1, 69760, '\P{Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Expect(0, 69760, '\P{^Is_Indic_Syllabic_Category: 	-number_Joiner}', "");
    Error('\p{Is_InSC=:=- Number_joiner}');
    Error('\P{Is_InSC=:=- Number_joiner}');
    Expect(1, 69759, '\p{Is_InSC=numberjoiner}', "");
    Expect(0, 69759, '\p{^Is_InSC=numberjoiner}', "");
    Expect(0, 69759, '\P{Is_InSC=numberjoiner}', "");
    Expect(1, 69759, '\P{^Is_InSC=numberjoiner}', "");
    Expect(0, 69760, '\p{Is_InSC=numberjoiner}', "");
    Expect(1, 69760, '\p{^Is_InSC=numberjoiner}', "");
    Expect(1, 69760, '\P{Is_InSC=numberjoiner}', "");
    Expect(0, 69760, '\P{^Is_InSC=numberjoiner}', "");
    Expect(1, 69759, '\p{Is_InSC=--number_Joiner}', "");
    Expect(0, 69759, '\p{^Is_InSC=--number_Joiner}', "");
    Expect(0, 69759, '\P{Is_InSC=--number_Joiner}', "");
    Expect(1, 69759, '\P{^Is_InSC=--number_Joiner}', "");
    Expect(0, 69760, '\p{Is_InSC=--number_Joiner}', "");
    Expect(1, 69760, '\p{^Is_InSC=--number_Joiner}', "");
    Expect(1, 69760, '\P{Is_InSC=--number_Joiner}', "");
    Expect(0, 69760, '\P{^Is_InSC=--number_Joiner}', "");
    Error('\p{Indic_Syllabic_Category=-OTHER:=}');
    Error('\P{Indic_Syllabic_Category=-OTHER:=}');
    Expect(1, 73463, '\p{Indic_Syllabic_Category=:\AOther\z:}', "");;
    Expect(0, 73462, '\p{Indic_Syllabic_Category=:\AOther\z:}', "");;
    Expect(1, 73463, '\p{Indic_Syllabic_Category=other}', "");
    Expect(0, 73463, '\p{^Indic_Syllabic_Category=other}', "");
    Expect(0, 73463, '\P{Indic_Syllabic_Category=other}', "");
    Expect(1, 73463, '\P{^Indic_Syllabic_Category=other}', "");
    Expect(0, 73462, '\p{Indic_Syllabic_Category=other}', "");
    Expect(1, 73462, '\p{^Indic_Syllabic_Category=other}', "");
    Expect(1, 73462, '\P{Indic_Syllabic_Category=other}', "");
    Expect(0, 73462, '\P{^Indic_Syllabic_Category=other}', "");
    Expect(1, 73463, '\p{Indic_Syllabic_Category=:\Aother\z:}', "");;
    Expect(0, 73462, '\p{Indic_Syllabic_Category=:\Aother\z:}', "");;
    Expect(1, 73463, '\p{Indic_Syllabic_Category=__other}', "");
    Expect(0, 73463, '\p{^Indic_Syllabic_Category=__other}', "");
    Expect(0, 73463, '\P{Indic_Syllabic_Category=__other}', "");
    Expect(1, 73463, '\P{^Indic_Syllabic_Category=__other}', "");
    Expect(0, 73462, '\p{Indic_Syllabic_Category=__other}', "");
    Expect(1, 73462, '\p{^Indic_Syllabic_Category=__other}', "");
    Expect(1, 73462, '\P{Indic_Syllabic_Category=__other}', "");
    Expect(0, 73462, '\P{^Indic_Syllabic_Category=__other}', "");
    Error('\p{InSC=/a/Other}');
    Error('\P{InSC=/a/Other}');
    Expect(1, 73463, '\p{InSC=:\AOther\z:}', "");;
    Expect(0, 73462, '\p{InSC=:\AOther\z:}', "");;
    Expect(1, 73463, '\p{InSC=other}', "");
    Expect(0, 73463, '\p{^InSC=other}', "");
    Expect(0, 73463, '\P{InSC=other}', "");
    Expect(1, 73463, '\P{^InSC=other}', "");
    Expect(0, 73462, '\p{InSC=other}', "");
    Expect(1, 73462, '\p{^InSC=other}', "");
    Expect(1, 73462, '\P{InSC=other}', "");
    Expect(0, 73462, '\P{^InSC=other}', "");
    Expect(1, 73463, '\p{InSC=:\Aother\z:}', "");;
    Expect(0, 73462, '\p{InSC=:\Aother\z:}', "");;
    Expect(1, 73463, '\p{InSC=-Other}', "");
    Expect(0, 73463, '\p{^InSC=-Other}', "");
    Expect(0, 73463, '\P{InSC=-Other}', "");
    Expect(1, 73463, '\P{^InSC=-Other}', "");
    Expect(0, 73462, '\p{InSC=-Other}', "");
    Expect(1, 73462, '\p{^InSC=-Other}', "");
    Expect(1, 73462, '\P{InSC=-Other}', "");
    Expect(0, 73462, '\P{^InSC=-Other}', "");
    Error('\p{Is_Indic_Syllabic_Category=	/a/Other}');
    Error('\P{Is_Indic_Syllabic_Category=	/a/Other}');
    Expect(1, 73463, '\p{Is_Indic_Syllabic_Category=other}', "");
    Expect(0, 73463, '\p{^Is_Indic_Syllabic_Category=other}', "");
    Expect(0, 73463, '\P{Is_Indic_Syllabic_Category=other}', "");
    Expect(1, 73463, '\P{^Is_Indic_Syllabic_Category=other}', "");
    Expect(0, 73462, '\p{Is_Indic_Syllabic_Category=other}', "");
    Expect(1, 73462, '\p{^Is_Indic_Syllabic_Category=other}', "");
    Expect(1, 73462, '\P{Is_Indic_Syllabic_Category=other}', "");
    Expect(0, 73462, '\P{^Is_Indic_Syllabic_Category=other}', "");
    Expect(1, 73463, '\p{Is_Indic_Syllabic_Category=-other}', "");
    Expect(0, 73463, '\p{^Is_Indic_Syllabic_Category=-other}', "");
    Expect(0, 73463, '\P{Is_Indic_Syllabic_Category=-other}', "");
    Expect(1, 73463, '\P{^Is_Indic_Syllabic_Category=-other}', "");
    Expect(0, 73462, '\p{Is_Indic_Syllabic_Category=-other}', "");
    Expect(1, 73462, '\p{^Is_Indic_Syllabic_Category=-other}', "");
    Expect(1, 73462, '\P{Is_Indic_Syllabic_Category=-other}', "");
    Expect(0, 73462, '\P{^Is_Indic_Syllabic_Category=-other}', "");
    Error('\p{Is_InSC=-:=Other}');
    Error('\P{Is_InSC=-:=Other}');
    Expect(1, 73463, '\p{Is_InSC=other}', "");
    Expect(0, 73463, '\p{^Is_InSC=other}', "");
    Expect(0, 73463, '\P{Is_InSC=other}', "");
    Expect(1, 73463, '\P{^Is_InSC=other}', "");
    Expect(0, 73462, '\p{Is_InSC=other}', "");
    Expect(1, 73462, '\p{^Is_InSC=other}', "");
    Expect(1, 73462, '\P{Is_InSC=other}', "");
    Expect(0, 73462, '\P{^Is_InSC=other}', "");
    Expect(1, 73463, '\p{Is_InSC=-OTHER}', "");
    Expect(0, 73463, '\p{^Is_InSC=-OTHER}', "");
    Expect(0, 73463, '\P{Is_InSC=-OTHER}', "");
    Expect(1, 73463, '\P{^Is_InSC=-OTHER}', "");
    Expect(0, 73462, '\p{Is_InSC=-OTHER}', "");
    Expect(1, 73462, '\p{^Is_InSC=-OTHER}', "");
    Expect(1, 73462, '\P{Is_InSC=-OTHER}', "");
    Expect(0, 73462, '\P{^Is_InSC=-OTHER}', "");
    Error('\p{Indic_Syllabic_Category=__pure_Killer:=}');
    Error('\P{Indic_Syllabic_Category=__pure_Killer:=}');
    Expect(1, 73028, '\p{Indic_Syllabic_Category=:\APure_Killer\z:}', "");;
    Expect(0, 73029, '\p{Indic_Syllabic_Category=:\APure_Killer\z:}', "");;
    Expect(1, 73028, '\p{Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73028, '\p{^Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73028, '\P{Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73028, '\P{^Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73029, '\p{Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73029, '\p{^Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73029, '\P{Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73029, '\P{^Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73028, '\p{Indic_Syllabic_Category=:\Apurekiller\z:}', "");;
    Expect(0, 73029, '\p{Indic_Syllabic_Category=:\Apurekiller\z:}', "");;
    Expect(1, 73028, '\p{Indic_Syllabic_Category: -_Pure_killer}', "");
    Expect(0, 73028, '\p{^Indic_Syllabic_Category: -_Pure_killer}', "");
    Expect(0, 73028, '\P{Indic_Syllabic_Category: -_Pure_killer}', "");
    Expect(1, 73028, '\P{^Indic_Syllabic_Category: -_Pure_killer}', "");
    Expect(0, 73029, '\p{Indic_Syllabic_Category: -_Pure_killer}', "");
    Expect(1, 73029, '\p{^Indic_Syllabic_Category: -_Pure_killer}', "");
    Expect(1, 73029, '\P{Indic_Syllabic_Category: -_Pure_killer}', "");
    Expect(0, 73029, '\P{^Indic_Syllabic_Category: -_Pure_killer}', "");
    Error('\p{InSC=- Pure_KILLER:=}');
    Error('\P{InSC=- Pure_KILLER:=}');
    Expect(1, 73028, '\p{InSC=:\APure_Killer\z:}', "");;
    Expect(0, 73029, '\p{InSC=:\APure_Killer\z:}', "");;
    Expect(1, 73028, '\p{InSC=purekiller}', "");
    Expect(0, 73028, '\p{^InSC=purekiller}', "");
    Expect(0, 73028, '\P{InSC=purekiller}', "");
    Expect(1, 73028, '\P{^InSC=purekiller}', "");
    Expect(0, 73029, '\p{InSC=purekiller}', "");
    Expect(1, 73029, '\p{^InSC=purekiller}', "");
    Expect(1, 73029, '\P{InSC=purekiller}', "");
    Expect(0, 73029, '\P{^InSC=purekiller}', "");
    Expect(1, 73028, '\p{InSC=:\Apurekiller\z:}', "");;
    Expect(0, 73029, '\p{InSC=:\Apurekiller\z:}', "");;
    Expect(1, 73028, '\p{InSC=-_PURE_killer}', "");
    Expect(0, 73028, '\p{^InSC=-_PURE_killer}', "");
    Expect(0, 73028, '\P{InSC=-_PURE_killer}', "");
    Expect(1, 73028, '\P{^InSC=-_PURE_killer}', "");
    Expect(0, 73029, '\p{InSC=-_PURE_killer}', "");
    Expect(1, 73029, '\p{^InSC=-_PURE_killer}', "");
    Expect(1, 73029, '\P{InSC=-_PURE_killer}', "");
    Expect(0, 73029, '\P{^InSC=-_PURE_killer}', "");
    Error('\p{Is_Indic_Syllabic_Category=	/a/PURE_KILLER}');
    Error('\P{Is_Indic_Syllabic_Category=	/a/PURE_KILLER}');
    Expect(1, 73028, '\p{Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73028, '\p{^Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73028, '\P{Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73028, '\P{^Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73029, '\p{Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73029, '\p{^Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73029, '\P{Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(0, 73029, '\P{^Is_Indic_Syllabic_Category=purekiller}', "");
    Expect(1, 73028, '\p{Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Expect(0, 73028, '\p{^Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Expect(0, 73028, '\P{Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Expect(1, 73028, '\P{^Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Expect(0, 73029, '\p{Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Expect(1, 73029, '\p{^Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Expect(1, 73029, '\P{Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Expect(0, 73029, '\P{^Is_Indic_Syllabic_Category=	pure_Killer}', "");
    Error('\p{Is_InSC=	 Pure_killer:=}');
    Error('\P{Is_InSC=	 Pure_killer:=}');
    Expect(1, 73028, '\p{Is_InSC=purekiller}', "");
    Expect(0, 73028, '\p{^Is_InSC=purekiller}', "");
    Expect(0, 73028, '\P{Is_InSC=purekiller}', "");
    Expect(1, 73028, '\P{^Is_InSC=purekiller}', "");
    Expect(0, 73029, '\p{Is_InSC=purekiller}', "");
    Expect(1, 73029, '\p{^Is_InSC=purekiller}', "");
    Expect(1, 73029, '\P{Is_InSC=purekiller}', "");
    Expect(0, 73029, '\P{^Is_InSC=purekiller}', "");
    Expect(1, 73028, '\p{Is_InSC= -pure_killer}', "");
    Expect(0, 73028, '\p{^Is_InSC= -pure_killer}', "");
    Expect(0, 73028, '\P{Is_InSC= -pure_killer}', "");
    Expect(1, 73028, '\P{^Is_InSC= -pure_killer}', "");
    Expect(0, 73029, '\p{Is_InSC= -pure_killer}', "");
    Expect(1, 73029, '\p{^Is_InSC= -pure_killer}', "");
    Expect(1, 73029, '\P{Is_InSC= -pure_killer}', "");
    Expect(0, 73029, '\P{^Is_InSC= -pure_killer}', "");
    Error('\p{Indic_Syllabic_Category=-	REGISTER_Shifter/a/}');
    Error('\P{Indic_Syllabic_Category=-	REGISTER_Shifter/a/}');
    Expect(1, 6090, '\p{Indic_Syllabic_Category=:\ARegister_Shifter\z:}', "");;
    Expect(0, 6091, '\p{Indic_Syllabic_Category=:\ARegister_Shifter\z:}', "");;
    Expect(1, 6090, '\p{Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6090, '\p{^Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6090, '\P{Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6090, '\P{^Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6091, '\p{Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6091, '\p{^Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6091, '\P{Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6091, '\P{^Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6090, '\p{Indic_Syllabic_Category=:\Aregistershifter\z:}', "");;
    Expect(0, 6091, '\p{Indic_Syllabic_Category=:\Aregistershifter\z:}', "");;
    Expect(1, 6090, '\p{Indic_Syllabic_Category=	_register_Shifter}', "");
    Expect(0, 6090, '\p{^Indic_Syllabic_Category=	_register_Shifter}', "");
    Expect(0, 6090, '\P{Indic_Syllabic_Category=	_register_Shifter}', "");
    Expect(1, 6090, '\P{^Indic_Syllabic_Category=	_register_Shifter}', "");
    Expect(0, 6091, '\p{Indic_Syllabic_Category=	_register_Shifter}', "");
    Expect(1, 6091, '\p{^Indic_Syllabic_Category=	_register_Shifter}', "");
    Expect(1, 6091, '\P{Indic_Syllabic_Category=	_register_Shifter}', "");
    Expect(0, 6091, '\P{^Indic_Syllabic_Category=	_register_Shifter}', "");
    Error('\p{InSC=- register_Shifter/a/}');
    Error('\P{InSC=- register_Shifter/a/}');
    Expect(1, 6090, '\p{InSC=:\ARegister_Shifter\z:}', "");;
    Expect(0, 6091, '\p{InSC=:\ARegister_Shifter\z:}', "");;
    Expect(1, 6090, '\p{InSC=registershifter}', "");
    Expect(0, 6090, '\p{^InSC=registershifter}', "");
    Expect(0, 6090, '\P{InSC=registershifter}', "");
    Expect(1, 6090, '\P{^InSC=registershifter}', "");
    Expect(0, 6091, '\p{InSC=registershifter}', "");
    Expect(1, 6091, '\p{^InSC=registershifter}', "");
    Expect(1, 6091, '\P{InSC=registershifter}', "");
    Expect(0, 6091, '\P{^InSC=registershifter}', "");
    Expect(1, 6090, '\p{InSC=:\Aregistershifter\z:}', "");;
    Expect(0, 6091, '\p{InSC=:\Aregistershifter\z:}', "");;
    Expect(1, 6090, '\p{InSC=	-Register_Shifter}', "");
    Expect(0, 6090, '\p{^InSC=	-Register_Shifter}', "");
    Expect(0, 6090, '\P{InSC=	-Register_Shifter}', "");
    Expect(1, 6090, '\P{^InSC=	-Register_Shifter}', "");
    Expect(0, 6091, '\p{InSC=	-Register_Shifter}', "");
    Expect(1, 6091, '\p{^InSC=	-Register_Shifter}', "");
    Expect(1, 6091, '\P{InSC=	-Register_Shifter}', "");
    Expect(0, 6091, '\P{^InSC=	-Register_Shifter}', "");
    Error('\p{Is_Indic_Syllabic_Category:    /a/Register_shifter}');
    Error('\P{Is_Indic_Syllabic_Category:    /a/Register_shifter}');
    Expect(1, 6090, '\p{Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6090, '\p{^Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6090, '\P{Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6090, '\P{^Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6091, '\p{Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6091, '\p{^Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6091, '\P{Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(0, 6091, '\P{^Is_Indic_Syllabic_Category=registershifter}', "");
    Expect(1, 6090, '\p{Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Expect(0, 6090, '\p{^Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Expect(0, 6090, '\P{Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Expect(1, 6090, '\P{^Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Expect(0, 6091, '\p{Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Expect(1, 6091, '\p{^Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Expect(1, 6091, '\P{Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Expect(0, 6091, '\P{^Is_Indic_Syllabic_Category=-_register_SHIFTER}', "");
    Error('\p{Is_InSC= /a/register_SHIFTER}');
    Error('\P{Is_InSC= /a/register_SHIFTER}');
    Expect(1, 6090, '\p{Is_InSC=registershifter}', "");
    Expect(0, 6090, '\p{^Is_InSC=registershifter}', "");
    Expect(0, 6090, '\P{Is_InSC=registershifter}', "");
    Expect(1, 6090, '\P{^Is_InSC=registershifter}', "");
    Expect(0, 6091, '\p{Is_InSC=registershifter}', "");
    Expect(1, 6091, '\p{^Is_InSC=registershifter}', "");
    Expect(1, 6091, '\P{Is_InSC=registershifter}', "");
    Expect(0, 6091, '\P{^Is_InSC=registershifter}', "");
    Expect(1, 6090, '\p{Is_InSC=_-REGISTER_shifter}', "");
    Expect(0, 6090, '\p{^Is_InSC=_-REGISTER_shifter}', "");
    Expect(0, 6090, '\P{Is_InSC=_-REGISTER_shifter}', "");
    Expect(1, 6090, '\P{^Is_InSC=_-REGISTER_shifter}', "");
    Expect(0, 6091, '\p{Is_InSC=_-REGISTER_shifter}', "");
    Expect(1, 6091, '\p{^Is_InSC=_-REGISTER_shifter}', "");
    Expect(1, 6091, '\P{Is_InSC=_-REGISTER_shifter}', "");
    Expect(0, 6091, '\P{^Is_InSC=_-REGISTER_shifter}', "");
    Error('\p{Indic_Syllabic_Category=	:=Syllable_Modifier}');
    Error('\P{Indic_Syllabic_Category=	:=Syllable_Modifier}');
    Expect(1, 72243, '\p{Indic_Syllabic_Category=:\ASyllable_Modifier\z:}', "");;
    Expect(0, 72244, '\p{Indic_Syllabic_Category=:\ASyllable_Modifier\z:}', "");;
    Expect(1, 72243, '\p{Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72243, '\p{^Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72243, '\P{Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72243, '\P{^Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72244, '\p{Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72244, '\p{^Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72244, '\P{Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72244, '\P{^Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72243, '\p{Indic_Syllabic_Category=:\Asyllablemodifier\z:}', "");;
    Expect(0, 72244, '\p{Indic_Syllabic_Category=:\Asyllablemodifier\z:}', "");;
    Expect(1, 72243, '\p{Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Expect(0, 72243, '\p{^Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Expect(0, 72243, '\P{Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Expect(1, 72243, '\P{^Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Expect(0, 72244, '\p{Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Expect(1, 72244, '\p{^Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Expect(1, 72244, '\P{Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Expect(0, 72244, '\P{^Indic_Syllabic_Category=	Syllable_MODIFIER}', "");
    Error('\p{InSC=/a/		Syllable_MODIFIER}');
    Error('\P{InSC=/a/		Syllable_MODIFIER}');
    Expect(1, 72243, '\p{InSC=:\ASyllable_Modifier\z:}', "");;
    Expect(0, 72244, '\p{InSC=:\ASyllable_Modifier\z:}', "");;
    Expect(1, 72243, '\p{InSC:	syllablemodifier}', "");
    Expect(0, 72243, '\p{^InSC:	syllablemodifier}', "");
    Expect(0, 72243, '\P{InSC:	syllablemodifier}', "");
    Expect(1, 72243, '\P{^InSC:	syllablemodifier}', "");
    Expect(0, 72244, '\p{InSC:	syllablemodifier}', "");
    Expect(1, 72244, '\p{^InSC:	syllablemodifier}', "");
    Expect(1, 72244, '\P{InSC:	syllablemodifier}', "");
    Expect(0, 72244, '\P{^InSC:	syllablemodifier}', "");
    Expect(1, 72243, '\p{InSC=:\Asyllablemodifier\z:}', "");;
    Expect(0, 72244, '\p{InSC=:\Asyllablemodifier\z:}', "");;
    Expect(1, 72243, '\p{InSC=	Syllable_Modifier}', "");
    Expect(0, 72243, '\p{^InSC=	Syllable_Modifier}', "");
    Expect(0, 72243, '\P{InSC=	Syllable_Modifier}', "");
    Expect(1, 72243, '\P{^InSC=	Syllable_Modifier}', "");
    Expect(0, 72244, '\p{InSC=	Syllable_Modifier}', "");
    Expect(1, 72244, '\p{^InSC=	Syllable_Modifier}', "");
    Expect(1, 72244, '\P{InSC=	Syllable_Modifier}', "");
    Expect(0, 72244, '\P{^InSC=	Syllable_Modifier}', "");
    Error('\p{Is_Indic_Syllabic_Category=:=-	syllable_Modifier}');
    Error('\P{Is_Indic_Syllabic_Category=:=-	syllable_Modifier}');
    Expect(1, 72243, '\p{Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72243, '\p{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72243, '\P{Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72243, '\P{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72244, '\p{Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72244, '\p{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72244, '\P{Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(0, 72244, '\P{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
    Expect(1, 72243, '\p{Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Expect(0, 72243, '\p{^Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Expect(0, 72243, '\P{Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Expect(1, 72243, '\P{^Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Expect(0, 72244, '\p{Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Expect(1, 72244, '\p{^Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Expect(1, 72244, '\P{Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Expect(0, 72244, '\P{^Is_Indic_Syllabic_Category= -syllable_MODIFIER}', "");
    Error('\p{Is_InSC=_-Syllable_Modifier/a/}');
    Error('\P{Is_InSC=_-Syllable_Modifier/a/}');
    Expect(1, 72243, '\p{Is_InSC=syllablemodifier}', "");
    Expect(0, 72243, '\p{^Is_InSC=syllablemodifier}', "");
    Expect(0, 72243, '\P{Is_InSC=syllablemodifier}', "");
    Expect(1, 72243, '\P{^Is_InSC=syllablemodifier}', "");
    Expect(0, 72244, '\p{Is_InSC=syllablemodifier}', "");
    Expect(1, 72244, '\p{^Is_InSC=syllablemodifier}', "");
    Expect(1, 72244, '\P{Is_InSC=syllablemodifier}', "");
    Expect(0, 72244, '\P{^Is_InSC=syllablemodifier}', "");
    Expect(1, 72243, '\p{Is_InSC=-_syllable_modifier}', "");
    Expect(0, 72243, '\p{^Is_InSC=-_syllable_modifier}', "");
    Expect(0, 72243, '\P{Is_InSC=-_syllable_modifier}', "");
    Expect(1, 72243, '\P{^Is_InSC=-_syllable_modifier}', "");
    Expect(0, 72244, '\p{Is_InSC=-_syllable_modifier}', "");
    Expect(1, 72244, '\p{^Is_InSC=-_syllable_modifier}', "");
    Expect(1, 72244, '\P{Is_InSC=-_syllable_modifier}', "");
    Expect(0, 72244, '\P{^Is_InSC=-_syllable_modifier}', "");
    Error('\p{Indic_Syllabic_Category= _TONE_Letter:=}');
    Error('\P{Indic_Syllabic_Category= _TONE_Letter:=}');
    Expect(1, 43714, '\p{Indic_Syllabic_Category=:\ATone_Letter\z:}', "");;
    Expect(0, 43715, '\p{Indic_Syllabic_Category=:\ATone_Letter\z:}', "");;
    Expect(1, 43714, '\p{Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43714, '\p{^Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43714, '\P{Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43714, '\P{^Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43715, '\p{Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43715, '\p{^Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43715, '\P{Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43715, '\P{^Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43714, '\p{Indic_Syllabic_Category=:\Atoneletter\z:}', "");;
    Expect(0, 43715, '\p{Indic_Syllabic_Category=:\Atoneletter\z:}', "");;
    Expect(1, 43714, '\p{Indic_Syllabic_Category=_ tone_Letter}', "");
    Expect(0, 43714, '\p{^Indic_Syllabic_Category=_ tone_Letter}', "");
    Expect(0, 43714, '\P{Indic_Syllabic_Category=_ tone_Letter}', "");
    Expect(1, 43714, '\P{^Indic_Syllabic_Category=_ tone_Letter}', "");
    Expect(0, 43715, '\p{Indic_Syllabic_Category=_ tone_Letter}', "");
    Expect(1, 43715, '\p{^Indic_Syllabic_Category=_ tone_Letter}', "");
    Expect(1, 43715, '\P{Indic_Syllabic_Category=_ tone_Letter}', "");
    Expect(0, 43715, '\P{^Indic_Syllabic_Category=_ tone_Letter}', "");
    Error('\p{InSC=Tone_letter/a/}');
    Error('\P{InSC=Tone_letter/a/}');
    Expect(1, 43714, '\p{InSC=:\ATone_Letter\z:}', "");;
    Expect(0, 43715, '\p{InSC=:\ATone_Letter\z:}', "");;
    Expect(1, 43714, '\p{InSC=toneletter}', "");
    Expect(0, 43714, '\p{^InSC=toneletter}', "");
    Expect(0, 43714, '\P{InSC=toneletter}', "");
    Expect(1, 43714, '\P{^InSC=toneletter}', "");
    Expect(0, 43715, '\p{InSC=toneletter}', "");
    Expect(1, 43715, '\p{^InSC=toneletter}', "");
    Expect(1, 43715, '\P{InSC=toneletter}', "");
    Expect(0, 43715, '\P{^InSC=toneletter}', "");
    Expect(1, 43714, '\p{InSC=:\Atoneletter\z:}', "");;
    Expect(0, 43715, '\p{InSC=:\Atoneletter\z:}', "");;
    Expect(1, 43714, '\p{InSC=_	Tone_LETTER}', "");
    Expect(0, 43714, '\p{^InSC=_	Tone_LETTER}', "");
    Expect(0, 43714, '\P{InSC=_	Tone_LETTER}', "");
    Expect(1, 43714, '\P{^InSC=_	Tone_LETTER}', "");
    Expect(0, 43715, '\p{InSC=_	Tone_LETTER}', "");
    Expect(1, 43715, '\p{^InSC=_	Tone_LETTER}', "");
    Expect(1, 43715, '\P{InSC=_	Tone_LETTER}', "");
    Expect(0, 43715, '\P{^InSC=_	Tone_LETTER}', "");
    Error('\p{Is_Indic_Syllabic_Category=TONE_LETTER/a/}');
    Error('\P{Is_Indic_Syllabic_Category=TONE_LETTER/a/}');
    Expect(1, 43714, '\p{Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43714, '\p{^Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43714, '\P{Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43714, '\P{^Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43715, '\p{Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43715, '\p{^Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43715, '\P{Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(0, 43715, '\P{^Is_Indic_Syllabic_Category=toneletter}', "");
    Expect(1, 43714, '\p{Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Expect(0, 43714, '\p{^Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Expect(0, 43714, '\P{Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Expect(1, 43714, '\P{^Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Expect(0, 43715, '\p{Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Expect(1, 43715, '\p{^Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Expect(1, 43715, '\P{Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Expect(0, 43715, '\P{^Is_Indic_Syllabic_Category= 	Tone_Letter}', "");
    Error('\p{Is_InSC=:=TONE_Letter}');
    Error('\P{Is_InSC=:=TONE_Letter}');
    Expect(1, 43714, '\p{Is_InSC:	toneletter}', "");
    Expect(0, 43714, '\p{^Is_InSC:	toneletter}', "");
    Expect(0, 43714, '\P{Is_InSC:	toneletter}', "");
    Expect(1, 43714, '\P{^Is_InSC:	toneletter}', "");
    Expect(0, 43715, '\p{Is_InSC:	toneletter}', "");
    Expect(1, 43715, '\p{^Is_InSC:	toneletter}', "");
    Expect(1, 43715, '\P{Is_InSC:	toneletter}', "");
    Expect(0, 43715, '\P{^Is_InSC:	toneletter}', "");
    Expect(1, 43714, '\p{Is_InSC=	_Tone_Letter}', "");
    Expect(0, 43714, '\p{^Is_InSC=	_Tone_Letter}', "");
    Expect(0, 43714, '\P{Is_InSC=	_Tone_Letter}', "");
    Expect(1, 43714, '\P{^Is_InSC=	_Tone_Letter}', "");
    Expect(0, 43715, '\p{Is_InSC=	_Tone_Letter}', "");
    Expect(1, 43715, '\p{^Is_InSC=	_Tone_Letter}', "");
    Expect(1, 43715, '\P{Is_InSC=	_Tone_Letter}', "");
    Expect(0, 43715, '\P{^Is_InSC=	_Tone_Letter}', "");
    Error('\p{Indic_Syllabic_Category=__Tone_MARK:=}');
    Error('\P{Indic_Syllabic_Category=__Tone_MARK:=}');
    Expect(1, 44012, '\p{Indic_Syllabic_Category=:\ATone_Mark\z:}', "");;
    Expect(0, 44013, '\p{Indic_Syllabic_Category=:\ATone_Mark\z:}', "");;
    Expect(1, 44012, '\p{Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44012, '\p{^Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44012, '\P{Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44012, '\P{^Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44013, '\p{Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44013, '\p{^Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44013, '\P{Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44013, '\P{^Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44012, '\p{Indic_Syllabic_Category=:\Atonemark\z:}', "");;
    Expect(0, 44013, '\p{Indic_Syllabic_Category=:\Atonemark\z:}', "");;
    Expect(1, 44012, '\p{Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Expect(0, 44012, '\p{^Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Expect(0, 44012, '\P{Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Expect(1, 44012, '\P{^Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Expect(0, 44013, '\p{Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Expect(1, 44013, '\p{^Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Expect(1, 44013, '\P{Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Expect(0, 44013, '\P{^Indic_Syllabic_Category:	_ TONE_Mark}', "");
    Error('\p{InSC=-:=Tone_mark}');
    Error('\P{InSC=-:=Tone_mark}');
    Expect(1, 44012, '\p{InSC=:\ATone_Mark\z:}', "");;
    Expect(0, 44013, '\p{InSC=:\ATone_Mark\z:}', "");;
    Expect(1, 44012, '\p{InSC=tonemark}', "");
    Expect(0, 44012, '\p{^InSC=tonemark}', "");
    Expect(0, 44012, '\P{InSC=tonemark}', "");
    Expect(1, 44012, '\P{^InSC=tonemark}', "");
    Expect(0, 44013, '\p{InSC=tonemark}', "");
    Expect(1, 44013, '\p{^InSC=tonemark}', "");
    Expect(1, 44013, '\P{InSC=tonemark}', "");
    Expect(0, 44013, '\P{^InSC=tonemark}', "");
    Expect(1, 44012, '\p{InSC=:\Atonemark\z:}', "");;
    Expect(0, 44013, '\p{InSC=:\Atonemark\z:}', "");;
    Expect(1, 44012, '\p{InSC: _Tone_MARK}', "");
    Expect(0, 44012, '\p{^InSC: _Tone_MARK}', "");
    Expect(0, 44012, '\P{InSC: _Tone_MARK}', "");
    Expect(1, 44012, '\P{^InSC: _Tone_MARK}', "");
    Expect(0, 44013, '\p{InSC: _Tone_MARK}', "");
    Expect(1, 44013, '\p{^InSC: _Tone_MARK}', "");
    Expect(1, 44013, '\P{InSC: _Tone_MARK}', "");
    Expect(0, 44013, '\P{^InSC: _Tone_MARK}', "");
    Error('\p{Is_Indic_Syllabic_Category=	Tone_Mark:=}');
    Error('\P{Is_Indic_Syllabic_Category=	Tone_Mark:=}');
    Expect(1, 44012, '\p{Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44012, '\p{^Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44012, '\P{Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44012, '\P{^Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44013, '\p{Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44013, '\p{^Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44013, '\P{Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(0, 44013, '\P{^Is_Indic_Syllabic_Category=tonemark}', "");
    Expect(1, 44012, '\p{Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Expect(0, 44012, '\p{^Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Expect(0, 44012, '\P{Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Expect(1, 44012, '\P{^Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Expect(0, 44013, '\p{Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Expect(1, 44013, '\p{^Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Expect(1, 44013, '\P{Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Expect(0, 44013, '\P{^Is_Indic_Syllabic_Category=	-TONE_MARK}', "");
    Error('\p{Is_InSC= :=Tone_mark}');
    Error('\P{Is_InSC= :=Tone_mark}');
    Expect(1, 44012, '\p{Is_InSC=tonemark}', "");
    Expect(0, 44012, '\p{^Is_InSC=tonemark}', "");
    Expect(0, 44012, '\P{Is_InSC=tonemark}', "");
    Expect(1, 44012, '\P{^Is_InSC=tonemark}', "");
    Expect(0, 44013, '\p{Is_InSC=tonemark}', "");
    Expect(1, 44013, '\p{^Is_InSC=tonemark}', "");
    Expect(1, 44013, '\P{Is_InSC=tonemark}', "");
    Expect(0, 44013, '\P{^Is_InSC=tonemark}', "");
    Expect(1, 44012, '\p{Is_InSC=	TONE_Mark}', "");
    Expect(0, 44012, '\p{^Is_InSC=	TONE_Mark}', "");
    Expect(0, 44012, '\P{Is_InSC=	TONE_Mark}', "");
    Expect(1, 44012, '\P{^Is_InSC=	TONE_Mark}', "");
    Expect(0, 44013, '\p{Is_InSC=	TONE_Mark}', "");
    Expect(1, 44013, '\p{^Is_InSC=	TONE_Mark}', "");
    Expect(1, 44013, '\P{Is_InSC=	TONE_Mark}', "");
    Expect(0, 44013, '\P{^Is_InSC=	TONE_Mark}', "");
    Error('\p{Indic_Syllabic_Category=_/a/virama}');
    Error('\P{Indic_Syllabic_Category=_/a/virama}');
    Expect(1, 72767, '\p{Indic_Syllabic_Category=:\AVirama\z:}', "");;
    Expect(0, 72768, '\p{Indic_Syllabic_Category=:\AVirama\z:}', "");;
    Expect(1, 72767, '\p{Indic_Syllabic_Category:	virama}', "");
    Expect(0, 72767, '\p{^Indic_Syllabic_Category:	virama}', "");
    Expect(0, 72767, '\P{Indic_Syllabic_Category:	virama}', "");
    Expect(1, 72767, '\P{^Indic_Syllabic_Category:	virama}', "");
    Expect(0, 72768, '\p{Indic_Syllabic_Category:	virama}', "");
    Expect(1, 72768, '\p{^Indic_Syllabic_Category:	virama}', "");
    Expect(1, 72768, '\P{Indic_Syllabic_Category:	virama}', "");
    Expect(0, 72768, '\P{^Indic_Syllabic_Category:	virama}', "");
    Expect(1, 72767, '\p{Indic_Syllabic_Category=:\Avirama\z:}', "");;
    Expect(0, 72768, '\p{Indic_Syllabic_Category=:\Avirama\z:}', "");;
    Expect(1, 72767, '\p{Indic_Syllabic_Category=	-Virama}', "");
    Expect(0, 72767, '\p{^Indic_Syllabic_Category=	-Virama}', "");
    Expect(0, 72767, '\P{Indic_Syllabic_Category=	-Virama}', "");
    Expect(1, 72767, '\P{^Indic_Syllabic_Category=	-Virama}', "");
    Expect(0, 72768, '\p{Indic_Syllabic_Category=	-Virama}', "");
    Expect(1, 72768, '\p{^Indic_Syllabic_Category=	-Virama}', "");
    Expect(1, 72768, '\P{Indic_Syllabic_Category=	-Virama}', "");
    Expect(0, 72768, '\P{^Indic_Syllabic_Category=	-Virama}', "");
    Error('\p{InSC=/a/  virama}');
    Error('\P{InSC=/a/  virama}');
    Expect(1, 72767, '\p{InSC=:\AVirama\z:}', "");;
    Expect(0, 72768, '\p{InSC=:\AVirama\z:}', "");;
    Expect(1, 72767, '\p{InSC=virama}', "");
    Expect(0, 72767, '\p{^InSC=virama}', "");
    Expect(0, 72767, '\P{InSC=virama}', "");
    Expect(1, 72767, '\P{^InSC=virama}', "");
    Expect(0, 72768, '\p{InSC=virama}', "");
    Expect(1, 72768, '\p{^InSC=virama}', "");
    Expect(1, 72768, '\P{InSC=virama}', "");
    Expect(0, 72768, '\P{^InSC=virama}', "");
    Expect(1, 72767, '\p{InSC=:\Avirama\z:}', "");;
    Expect(0, 72768, '\p{InSC=:\Avirama\z:}', "");;
    Expect(1, 72767, '\p{InSC:_ Virama}', "");
    Expect(0, 72767, '\p{^InSC:_ Virama}', "");
    Expect(0, 72767, '\P{InSC:_ Virama}', "");
    Expect(1, 72767, '\P{^InSC:_ Virama}', "");
    Expect(0, 72768, '\p{InSC:_ Virama}', "");
    Expect(1, 72768, '\p{^InSC:_ Virama}', "");
    Expect(1, 72768, '\P{InSC:_ Virama}', "");
    Expect(0, 72768, '\P{^InSC:_ Virama}', "");
    Error('\p{Is_Indic_Syllabic_Category=-VIRAMA:=}');
    Error('\P{Is_Indic_Syllabic_Category=-VIRAMA:=}');
    Expect(1, 72767, '\p{Is_Indic_Syllabic_Category=virama}', "");
    Expect(0, 72767, '\p{^Is_Indic_Syllabic_Category=virama}', "");
    Expect(0, 72767, '\P{Is_Indic_Syllabic_Category=virama}', "");
    Expect(1, 72767, '\P{^Is_Indic_Syllabic_Category=virama}', "");
    Expect(0, 72768, '\p{Is_Indic_Syllabic_Category=virama}', "");
    Expect(1, 72768, '\p{^Is_Indic_Syllabic_Category=virama}', "");
    Expect(1, 72768, '\P{Is_Indic_Syllabic_Category=virama}', "");
    Expect(0, 72768, '\P{^Is_Indic_Syllabic_Category=virama}', "");
    Expect(1, 72767, '\p{Is_Indic_Syllabic_Category=-virama}', "");
    Expect(0, 72767, '\p{^Is_Indic_Syllabic_Category=-virama}', "");
    Expect(0, 72767, '\P{Is_Indic_Syllabic_Category=-virama}', "");
    Expect(1, 72767, '\P{^Is_Indic_Syllabic_Category=-virama}', "");
    Expect(0, 72768, '\p{Is_Indic_Syllabic_Category=-virama}', "");
    Expect(1, 72768, '\p{^Is_Indic_Syllabic_Category=-virama}', "");
    Expect(1, 72768, '\P{Is_Indic_Syllabic_Category=-virama}', "");
    Expect(0, 72768, '\P{^Is_Indic_Syllabic_Category=-virama}', "");
    Error('\p{Is_InSC=-:=Virama}');
    Error('\P{Is_InSC=-:=Virama}');
    Expect(1, 72767, '\p{Is_InSC=virama}', "");
    Expect(0, 72767, '\p{^Is_InSC=virama}', "");
    Expect(0, 72767, '\P{Is_InSC=virama}', "");
    Expect(1, 72767, '\P{^Is_InSC=virama}', "");
    Expect(0, 72768, '\p{Is_InSC=virama}', "");
    Expect(1, 72768, '\p{^Is_InSC=virama}', "");
    Expect(1, 72768, '\P{Is_InSC=virama}', "");
    Expect(0, 72768, '\P{^Is_InSC=virama}', "");
    Expect(1, 72767, '\p{Is_InSC= Virama}', "");
    Expect(0, 72767, '\p{^Is_InSC= Virama}', "");
    Expect(0, 72767, '\P{Is_InSC= Virama}', "");
    Expect(1, 72767, '\P{^Is_InSC= Virama}', "");
    Expect(0, 72768, '\p{Is_InSC= Virama}', "");
    Expect(1, 72768, '\p{^Is_InSC= Virama}', "");
    Expect(1, 72768, '\P{Is_InSC= Virama}', "");
    Expect(0, 72768, '\P{^Is_InSC= Virama}', "");
    Error('\p{Indic_Syllabic_Category=/a/ -Visarga}');
    Error('\P{Indic_Syllabic_Category=/a/ -Visarga}');
    Expect(1, 73110, '\p{Indic_Syllabic_Category=:\AVisarga\z:}', "");;
    Expect(0, 73111, '\p{Indic_Syllabic_Category=:\AVisarga\z:}', "");;
    Expect(1, 73110, '\p{Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73110, '\p{^Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73110, '\P{Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73110, '\P{^Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73111, '\p{Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73111, '\p{^Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73111, '\P{Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73111, '\P{^Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73110, '\p{Indic_Syllabic_Category=:\Avisarga\z:}', "");;
    Expect(0, 73111, '\p{Indic_Syllabic_Category=:\Avisarga\z:}', "");;
    Expect(1, 73110, '\p{Indic_Syllabic_Category=- visarga}', "");
    Expect(0, 73110, '\p{^Indic_Syllabic_Category=- visarga}', "");
    Expect(0, 73110, '\P{Indic_Syllabic_Category=- visarga}', "");
    Expect(1, 73110, '\P{^Indic_Syllabic_Category=- visarga}', "");
    Expect(0, 73111, '\p{Indic_Syllabic_Category=- visarga}', "");
    Expect(1, 73111, '\p{^Indic_Syllabic_Category=- visarga}', "");
    Expect(1, 73111, '\P{Indic_Syllabic_Category=- visarga}', "");
    Expect(0, 73111, '\P{^Indic_Syllabic_Category=- visarga}', "");
    Error('\p{InSC=/a/	-Visarga}');
    Error('\P{InSC=/a/	-Visarga}');
    Expect(1, 73110, '\p{InSC=:\AVisarga\z:}', "");;
    Expect(0, 73111, '\p{InSC=:\AVisarga\z:}', "");;
    Expect(1, 73110, '\p{InSC=visarga}', "");
    Expect(0, 73110, '\p{^InSC=visarga}', "");
    Expect(0, 73110, '\P{InSC=visarga}', "");
    Expect(1, 73110, '\P{^InSC=visarga}', "");
    Expect(0, 73111, '\p{InSC=visarga}', "");
    Expect(1, 73111, '\p{^InSC=visarga}', "");
    Expect(1, 73111, '\P{InSC=visarga}', "");
    Expect(0, 73111, '\P{^InSC=visarga}', "");
    Expect(1, 73110, '\p{InSC=:\Avisarga\z:}', "");;
    Expect(0, 73111, '\p{InSC=:\Avisarga\z:}', "");;
    Expect(1, 73110, '\p{InSC=__Visarga}', "");
    Expect(0, 73110, '\p{^InSC=__Visarga}', "");
    Expect(0, 73110, '\P{InSC=__Visarga}', "");
    Expect(1, 73110, '\P{^InSC=__Visarga}', "");
    Expect(0, 73111, '\p{InSC=__Visarga}', "");
    Expect(1, 73111, '\p{^InSC=__Visarga}', "");
    Expect(1, 73111, '\P{InSC=__Visarga}', "");
    Expect(0, 73111, '\P{^InSC=__Visarga}', "");
    Error('\p{Is_Indic_Syllabic_Category=_	Visarga/a/}');
    Error('\P{Is_Indic_Syllabic_Category=_	Visarga/a/}');
    Expect(1, 73110, '\p{Is_Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73110, '\p{^Is_Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73110, '\P{Is_Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73110, '\P{^Is_Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73111, '\p{Is_Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73111, '\p{^Is_Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73111, '\P{Is_Indic_Syllabic_Category=visarga}', "");
    Expect(0, 73111, '\P{^Is_Indic_Syllabic_Category=visarga}', "");
    Expect(1, 73110, '\p{Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Expect(0, 73110, '\p{^Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Expect(0, 73110, '\P{Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Expect(1, 73110, '\P{^Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Expect(0, 73111, '\p{Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Expect(1, 73111, '\p{^Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Expect(1, 73111, '\P{Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Expect(0, 73111, '\P{^Is_Indic_Syllabic_Category:   __VISARGA}', "");
    Error('\p{Is_InSC=	Visarga:=}');
    Error('\P{Is_InSC=	Visarga:=}');
    Expect(1, 73110, '\p{Is_InSC=visarga}', "");
    Expect(0, 73110, '\p{^Is_InSC=visarga}', "");
    Expect(0, 73110, '\P{Is_InSC=visarga}', "");
    Expect(1, 73110, '\P{^Is_InSC=visarga}', "");
    Expect(0, 73111, '\p{Is_InSC=visarga}', "");
    Expect(1, 73111, '\p{^Is_InSC=visarga}', "");
    Expect(1, 73111, '\P{Is_InSC=visarga}', "");
    Expect(0, 73111, '\P{^Is_InSC=visarga}', "");
    Expect(1, 73110, '\p{Is_InSC= 	Visarga}', "");
    Expect(0, 73110, '\p{^Is_InSC= 	Visarga}', "");
    Expect(0, 73110, '\P{Is_InSC= 	Visarga}', "");
    Expect(1, 73110, '\P{^Is_InSC= 	Visarga}', "");
    Expect(0, 73111, '\p{Is_InSC= 	Visarga}', "");
    Expect(1, 73111, '\p{^Is_InSC= 	Visarga}', "");
    Expect(1, 73111, '\P{Is_InSC= 	Visarga}', "");
    Expect(0, 73111, '\P{^Is_InSC= 	Visarga}', "");
    Error('\p{Indic_Syllabic_Category=		Vowel:=}');
    Error('\P{Indic_Syllabic_Category=		Vowel:=}');
    Expect(1, 69972, '\p{Indic_Syllabic_Category=:\AVowel\z:}', "");;
    Expect(0, 69973, '\p{Indic_Syllabic_Category=:\AVowel\z:}', "");;
    Expect(1, 69972, '\p{Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69972, '\p{^Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69972, '\P{Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69972, '\P{^Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69973, '\p{Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69973, '\p{^Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69973, '\P{Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69973, '\P{^Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69972, '\p{Indic_Syllabic_Category=:\Avowel\z:}', "");;
    Expect(0, 69973, '\p{Indic_Syllabic_Category=:\Avowel\z:}', "");;
    Expect(1, 69972, '\p{Indic_Syllabic_Category=	_Vowel}', "");
    Expect(0, 69972, '\p{^Indic_Syllabic_Category=	_Vowel}', "");
    Expect(0, 69972, '\P{Indic_Syllabic_Category=	_Vowel}', "");
    Expect(1, 69972, '\P{^Indic_Syllabic_Category=	_Vowel}', "");
    Expect(0, 69973, '\p{Indic_Syllabic_Category=	_Vowel}', "");
    Expect(1, 69973, '\p{^Indic_Syllabic_Category=	_Vowel}', "");
    Expect(1, 69973, '\P{Indic_Syllabic_Category=	_Vowel}', "");
    Expect(0, 69973, '\P{^Indic_Syllabic_Category=	_Vowel}', "");
    Error('\p{InSC=-:=Vowel}');
    Error('\P{InSC=-:=Vowel}');
    Expect(1, 69972, '\p{InSC=:\AVowel\z:}', "");;
    Expect(0, 69973, '\p{InSC=:\AVowel\z:}', "");;
    Expect(1, 69972, '\p{InSC=vowel}', "");
    Expect(0, 69972, '\p{^InSC=vowel}', "");
    Expect(0, 69972, '\P{InSC=vowel}', "");
    Expect(1, 69972, '\P{^InSC=vowel}', "");
    Expect(0, 69973, '\p{InSC=vowel}', "");
    Expect(1, 69973, '\p{^InSC=vowel}', "");
    Expect(1, 69973, '\P{InSC=vowel}', "");
    Expect(0, 69973, '\P{^InSC=vowel}', "");
    Expect(1, 69972, '\p{InSC=:\Avowel\z:}', "");;
    Expect(0, 69973, '\p{InSC=:\Avowel\z:}', "");;
    Expect(1, 69972, '\p{InSC= Vowel}', "");
    Expect(0, 69972, '\p{^InSC= Vowel}', "");
    Expect(0, 69972, '\P{InSC= Vowel}', "");
    Expect(1, 69972, '\P{^InSC= Vowel}', "");
    Expect(0, 69973, '\p{InSC= Vowel}', "");
    Expect(1, 69973, '\p{^InSC= Vowel}', "");
    Expect(1, 69973, '\P{InSC= Vowel}', "");
    Expect(0, 69973, '\P{^InSC= Vowel}', "");
    Error('\p{Is_Indic_Syllabic_Category=- Vowel:=}');
    Error('\P{Is_Indic_Syllabic_Category=- Vowel:=}');
    Expect(1, 69972, '\p{Is_Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69972, '\p{^Is_Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69972, '\P{Is_Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69972, '\P{^Is_Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69973, '\p{Is_Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69973, '\p{^Is_Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69973, '\P{Is_Indic_Syllabic_Category=vowel}', "");
    Expect(0, 69973, '\P{^Is_Indic_Syllabic_Category=vowel}', "");
    Expect(1, 69972, '\p{Is_Indic_Syllabic_Category=_ Vowel}', "");
    Expect(0, 69972, '\p{^Is_Indic_Syllabic_Category=_ Vowel}', "");
    Expect(0, 69972, '\P{Is_Indic_Syllabic_Category=_ Vowel}', "");
    Expect(1, 69972, '\P{^Is_Indic_Syllabic_Category=_ Vowel}', "");
    Expect(0, 69973, '\p{Is_Indic_Syllabic_Category=_ Vowel}', "");
    Expect(1, 69973, '\p{^Is_Indic_Syllabic_Category=_ Vowel}', "");
    Expect(1, 69973, '\P{Is_Indic_Syllabic_Category=_ Vowel}', "");
    Expect(0, 69973, '\P{^Is_Indic_Syllabic_Category=_ Vowel}', "");
    Error('\p{Is_InSC=:=	_Vowel}');
    Error('\P{Is_InSC=:=	_Vowel}');
    Expect(1, 69972, '\p{Is_InSC=vowel}', "");
    Expect(0, 69972, '\p{^Is_InSC=vowel}', "");
    Expect(0, 69972, '\P{Is_InSC=vowel}', "");
    Expect(1, 69972, '\P{^Is_InSC=vowel}', "");
    Expect(0, 69973, '\p{Is_InSC=vowel}', "");
    Expect(1, 69973, '\p{^Is_InSC=vowel}', "");
    Expect(1, 69973, '\P{Is_InSC=vowel}', "");
    Expect(0, 69973, '\P{^Is_InSC=vowel}', "");
    Expect(1, 69972, '\p{Is_InSC=_VOWEL}', "");
    Expect(0, 69972, '\p{^Is_InSC=_VOWEL}', "");
    Expect(0, 69972, '\P{Is_InSC=_VOWEL}', "");
    Expect(1, 69972, '\P{^Is_InSC=_VOWEL}', "");
    Expect(0, 69973, '\p{Is_InSC=_VOWEL}', "");
    Expect(1, 69973, '\p{^Is_InSC=_VOWEL}', "");
    Expect(1, 69973, '\P{Is_InSC=_VOWEL}', "");
    Expect(0, 69973, '\P{^Is_InSC=_VOWEL}', "");
    Error('\p{Indic_Syllabic_Category=:=-_vowel_dependent}');
    Error('\P{Indic_Syllabic_Category=:=-_vowel_dependent}');
    Expect(1, 73462, '\p{Indic_Syllabic_Category=:\AVowel_Dependent\z:}', "");;
    Expect(0, 73463, '\p{Indic_Syllabic_Category=:\AVowel_Dependent\z:}', "");;
    Expect(1, 73462, '\p{Indic_Syllabic_Category:	voweldependent}', "");
    Expect(0, 73462, '\p{^Indic_Syllabic_Category:	voweldependent}', "");
    Expect(0, 73462, '\P{Indic_Syllabic_Category:	voweldependent}', "");
    Expect(1, 73462, '\P{^Indic_Syllabic_Category:	voweldependent}', "");
    Expect(0, 73463, '\p{Indic_Syllabic_Category:	voweldependent}', "");
    Expect(1, 73463, '\p{^Indic_Syllabic_Category:	voweldependent}', "");
    Expect(1, 73463, '\P{Indic_Syllabic_Category:	voweldependent}', "");
    Expect(0, 73463, '\P{^Indic_Syllabic_Category:	voweldependent}', "");
    Expect(1, 73462, '\p{Indic_Syllabic_Category=:\Avoweldependent\z:}', "");;
    Expect(0, 73463, '\p{Indic_Syllabic_Category=:\Avoweldependent\z:}', "");;
    Expect(1, 73462, '\p{Indic_Syllabic_Category=_vowel_dependent}', "");
    Expect(0, 73462, '\p{^Indic_Syllabic_Category=_vowel_dependent}', "");
    Expect(0, 73462, '\P{Indic_Syllabic_Category=_vowel_dependent}', "");
    Expect(1, 73462, '\P{^Indic_Syllabic_Category=_vowel_dependent}', "");
    Expect(0, 73463, '\p{Indic_Syllabic_Category=_vowel_dependent}', "");
    Expect(1, 73463, '\p{^Indic_Syllabic_Category=_vowel_dependent}', "");
    Expect(1, 73463, '\P{Indic_Syllabic_Category=_vowel_dependent}', "");
    Expect(0, 73463, '\P{^Indic_Syllabic_Category=_vowel_dependent}', "");
    Error('\p{InSC:   _vowel_Dependent/a/}');
    Error('\P{InSC:   _vowel_Dependent/a/}');
    Expect(1, 73462, '\p{InSC=:\AVowel_Dependent\z:}', "");;
    Expect(0, 73463, '\p{InSC=:\AVowel_Dependent\z:}', "");;
    Expect(1, 73462, '\p{InSC:voweldependent}', "");
    Expect(0, 73462, '\p{^InSC:voweldependent}', "");
    Expect(0, 73462, '\P{InSC:voweldependent}', "");
    Expect(1, 73462, '\P{^InSC:voweldependent}', "");
    Expect(0, 73463, '\p{InSC:voweldependent}', "");
    Expect(1, 73463, '\p{^InSC:voweldependent}', "");
    Expect(1, 73463, '\P{InSC:voweldependent}', "");
    Expect(0, 73463, '\P{^InSC:voweldependent}', "");
    Expect(1, 73462, '\p{InSC=:\Avoweldependent\z:}', "");;
    Expect(0, 73463, '\p{InSC=:\Avoweldependent\z:}', "");;
    Expect(1, 73462, '\p{InSC=-_Vowel_Dependent}', "");
    Expect(0, 73462, '\p{^InSC=-_Vowel_Dependent}', "");
    Expect(0, 73462, '\P{InSC=-_Vowel_Dependent}', "");
    Expect(1, 73462, '\P{^InSC=-_Vowel_Dependent}', "");
    Expect(0, 73463, '\p{InSC=-_Vowel_Dependent}', "");
    Expect(1, 73463, '\p{^InSC=-_Vowel_Dependent}', "");
    Expect(1, 73463, '\P{InSC=-_Vowel_Dependent}', "");
    Expect(0, 73463, '\P{^InSC=-_Vowel_Dependent}', "");
    Error('\p{Is_Indic_Syllabic_Category= 	Vowel_DEPENDENT:=}');
    Error('\P{Is_Indic_Syllabic_Category= 	Vowel_DEPENDENT:=}');
    Expect(1, 73462, '\p{Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(0, 73462, '\p{^Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(0, 73462, '\P{Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(1, 73462, '\P{^Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(0, 73463, '\p{Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(1, 73463, '\p{^Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(1, 73463, '\P{Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(0, 73463, '\P{^Is_Indic_Syllabic_Category:voweldependent}', "");
    Expect(1, 73462, '\p{Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Expect(0, 73462, '\p{^Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Expect(0, 73462, '\P{Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Expect(1, 73462, '\P{^Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Expect(0, 73463, '\p{Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Expect(1, 73463, '\p{^Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Expect(1, 73463, '\P{Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Expect(0, 73463, '\P{^Is_Indic_Syllabic_Category= _VOWEL_Dependent}', "");
    Error('\p{Is_InSC=:= 	vowel_Dependent}');
    Error('\P{Is_InSC=:= 	vowel_Dependent}');
    Expect(1, 73462, '\p{Is_InSC=voweldependent}', "");
    Expect(0, 73462, '\p{^Is_InSC=voweldependent}', "");
    Expect(0, 73462, '\P{Is_InSC=voweldependent}', "");
    Expect(1, 73462, '\P{^Is_InSC=voweldependent}', "");
    Expect(0, 73463, '\p{Is_InSC=voweldependent}', "");
    Expect(1, 73463, '\p{^Is_InSC=voweldependent}', "");
    Expect(1, 73463, '\P{Is_InSC=voweldependent}', "");
    Expect(0, 73463, '\P{^Is_InSC=voweldependent}', "");
    Expect(1, 73462, '\p{Is_InSC=vowel_dependent}', "");
    Expect(0, 73462, '\p{^Is_InSC=vowel_dependent}', "");
    Expect(0, 73462, '\P{Is_InSC=vowel_dependent}', "");
    Expect(1, 73462, '\P{^Is_InSC=vowel_dependent}', "");
    Expect(0, 73463, '\p{Is_InSC=vowel_dependent}', "");
    Expect(1, 73463, '\p{^Is_InSC=vowel_dependent}', "");
    Expect(1, 73463, '\P{Is_InSC=vowel_dependent}', "");
    Expect(0, 73463, '\P{^Is_InSC=vowel_dependent}', "");
    Error('\p{Indic_Syllabic_Category=-:=VOWEL_Independent}');
    Error('\P{Indic_Syllabic_Category=-:=VOWEL_Independent}');
    Expect(1, 73067, '\p{Indic_Syllabic_Category=:\AVowel_Independent\z:}', "");;
    Expect(0, 73068, '\p{Indic_Syllabic_Category=:\AVowel_Independent\z:}', "");;
    Expect(1, 73067, '\p{Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73067, '\p{^Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73067, '\P{Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73067, '\P{^Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73068, '\p{Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73068, '\p{^Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73068, '\P{Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73068, '\P{^Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73067, '\p{Indic_Syllabic_Category=:\Avowelindependent\z:}', "");;
    Expect(0, 73068, '\p{Indic_Syllabic_Category=:\Avowelindependent\z:}', "");;
    Expect(1, 73067, '\p{Indic_Syllabic_Category= vowel_Independent}', "");
    Expect(0, 73067, '\p{^Indic_Syllabic_Category= vowel_Independent}', "");
    Expect(0, 73067, '\P{Indic_Syllabic_Category= vowel_Independent}', "");
    Expect(1, 73067, '\P{^Indic_Syllabic_Category= vowel_Independent}', "");
    Expect(0, 73068, '\p{Indic_Syllabic_Category= vowel_Independent}', "");
    Expect(1, 73068, '\p{^Indic_Syllabic_Category= vowel_Independent}', "");
    Expect(1, 73068, '\P{Indic_Syllabic_Category= vowel_Independent}', "");
    Expect(0, 73068, '\P{^Indic_Syllabic_Category= vowel_Independent}', "");
    Error('\p{InSC=:=-VOWEL_INDEPENDENT}');
    Error('\P{InSC=:=-VOWEL_INDEPENDENT}');
    Expect(1, 73067, '\p{InSC=:\AVowel_Independent\z:}', "");;
    Expect(0, 73068, '\p{InSC=:\AVowel_Independent\z:}', "");;
    Expect(1, 73067, '\p{InSC:   vowelindependent}', "");
    Expect(0, 73067, '\p{^InSC:   vowelindependent}', "");
    Expect(0, 73067, '\P{InSC:   vowelindependent}', "");
    Expect(1, 73067, '\P{^InSC:   vowelindependent}', "");
    Expect(0, 73068, '\p{InSC:   vowelindependent}', "");
    Expect(1, 73068, '\p{^InSC:   vowelindependent}', "");
    Expect(1, 73068, '\P{InSC:   vowelindependent}', "");
    Expect(0, 73068, '\P{^InSC:   vowelindependent}', "");
    Expect(1, 73067, '\p{InSC=:\Avowelindependent\z:}', "");;
    Expect(0, 73068, '\p{InSC=:\Avowelindependent\z:}', "");;
    Expect(1, 73067, '\p{InSC= 	Vowel_INDEPENDENT}', "");
    Expect(0, 73067, '\p{^InSC= 	Vowel_INDEPENDENT}', "");
    Expect(0, 73067, '\P{InSC= 	Vowel_INDEPENDENT}', "");
    Expect(1, 73067, '\P{^InSC= 	Vowel_INDEPENDENT}', "");
    Expect(0, 73068, '\p{InSC= 	Vowel_INDEPENDENT}', "");
    Expect(1, 73068, '\p{^InSC= 	Vowel_INDEPENDENT}', "");
    Expect(1, 73068, '\P{InSC= 	Vowel_INDEPENDENT}', "");
    Expect(0, 73068, '\P{^InSC= 	Vowel_INDEPENDENT}', "");
    Error('\p{Is_Indic_Syllabic_Category=	:=vowel_independent}');
    Error('\P{Is_Indic_Syllabic_Category=	:=vowel_independent}');
    Expect(1, 73067, '\p{Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73067, '\p{^Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73067, '\P{Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73067, '\P{^Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73068, '\p{Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73068, '\p{^Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73068, '\P{Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(0, 73068, '\P{^Is_Indic_Syllabic_Category=vowelindependent}', "");
    Expect(1, 73067, '\p{Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Expect(0, 73067, '\p{^Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Expect(0, 73067, '\P{Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Expect(1, 73067, '\P{^Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Expect(0, 73068, '\p{Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Expect(1, 73068, '\p{^Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Expect(1, 73068, '\P{Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Expect(0, 73068, '\P{^Is_Indic_Syllabic_Category= _vowel_independent}', "");
    Error('\p{Is_InSC:		-vowel_INDEPENDENT:=}');
    Error('\P{Is_InSC:		-vowel_INDEPENDENT:=}');
    Expect(1, 73067, '\p{Is_InSC=vowelindependent}', "");
    Expect(0, 73067, '\p{^Is_InSC=vowelindependent}', "");
    Expect(0, 73067, '\P{Is_InSC=vowelindependent}', "");
    Expect(1, 73067, '\P{^Is_InSC=vowelindependent}', "");
    Expect(0, 73068, '\p{Is_InSC=vowelindependent}', "");
    Expect(1, 73068, '\p{^Is_InSC=vowelindependent}', "");
    Expect(1, 73068, '\P{Is_InSC=vowelindependent}', "");
    Expect(0, 73068, '\P{^Is_InSC=vowelindependent}', "");
    Expect(1, 73067, '\p{Is_InSC=_ vowel_independent}', "");
    Expect(0, 73067, '\p{^Is_InSC=_ vowel_independent}', "");
    Expect(0, 73067, '\P{Is_InSC=_ vowel_independent}', "");
    Expect(1, 73067, '\P{^Is_InSC=_ vowel_independent}', "");
    Expect(0, 73068, '\p{Is_InSC=_ vowel_independent}', "");
    Expect(1, 73068, '\p{^Is_InSC=_ vowel_independent}', "");
    Expect(1, 73068, '\P{Is_InSC=_ vowel_independent}', "");
    Expect(0, 73068, '\P{^Is_InSC=_ vowel_independent}', "");
    Error('\p{isocomment}');
    Error('\P{isocomment}');
    Error('\p{joininggroup}');
    Error('\P{joininggroup}');
    Error('\p{jg}');
    Error('\P{jg}');
    Error('\p{Joining_Group=	:=African_feh}');
    Error('\P{Joining_Group=	:=African_feh}');
    Expect(1, 2235, '\p{Joining_Group=:\AAfrican_Feh\z:}', "");;
    Expect(0, 2236, '\p{Joining_Group=:\AAfrican_Feh\z:}', "");;
    Expect(1, 2235, '\p{Joining_Group=africanfeh}', "");
    Expect(0, 2235, '\p{^Joining_Group=africanfeh}', "");
    Expect(0, 2235, '\P{Joining_Group=africanfeh}', "");
    Expect(1, 2235, '\P{^Joining_Group=africanfeh}', "");
    Expect(0, 2236, '\p{Joining_Group=africanfeh}', "");
    Expect(1, 2236, '\p{^Joining_Group=africanfeh}', "");
    Expect(1, 2236, '\P{Joining_Group=africanfeh}', "");
    Expect(0, 2236, '\P{^Joining_Group=africanfeh}', "");
    Expect(1, 2235, '\p{Joining_Group=:\Aafricanfeh\z:}', "");;
    Expect(0, 2236, '\p{Joining_Group=:\Aafricanfeh\z:}', "");;
    Expect(1, 2235, '\p{Joining_Group= 	African_FEH}', "");
    Expect(0, 2235, '\p{^Joining_Group= 	African_FEH}', "");
    Expect(0, 2235, '\P{Joining_Group= 	African_FEH}', "");
    Expect(1, 2235, '\P{^Joining_Group= 	African_FEH}', "");
    Expect(0, 2236, '\p{Joining_Group= 	African_FEH}', "");
    Expect(1, 2236, '\p{^Joining_Group= 	African_FEH}', "");
    Expect(1, 2236, '\P{Joining_Group= 	African_FEH}', "");
    Expect(0, 2236, '\P{^Joining_Group= 	African_FEH}', "");
    Error('\p{Jg=-_african_Feh:=}');
    Error('\P{Jg=-_african_Feh:=}');
    Expect(1, 2235, '\p{Jg=:\AAfrican_Feh\z:}', "");;
    Expect(0, 2236, '\p{Jg=:\AAfrican_Feh\z:}', "");;
    Expect(1, 2235, '\p{Jg=africanfeh}', "");
    Expect(0, 2235, '\p{^Jg=africanfeh}', "");
    Expect(0, 2235, '\P{Jg=africanfeh}', "");
    Expect(1, 2235, '\P{^Jg=africanfeh}', "");
    Expect(0, 2236, '\p{Jg=africanfeh}', "");
    Expect(1, 2236, '\p{^Jg=africanfeh}', "");
    Expect(1, 2236, '\P{Jg=africanfeh}', "");
    Expect(0, 2236, '\P{^Jg=africanfeh}', "");
    Expect(1, 2235, '\p{Jg=:\Aafricanfeh\z:}', "");;
    Expect(0, 2236, '\p{Jg=:\Aafricanfeh\z:}', "");;
    Expect(1, 2235, '\p{Jg=	African_Feh}', "");
    Expect(0, 2235, '\p{^Jg=	African_Feh}', "");
    Expect(0, 2235, '\P{Jg=	African_Feh}', "");
    Expect(1, 2235, '\P{^Jg=	African_Feh}', "");
    Expect(0, 2236, '\p{Jg=	African_Feh}', "");
    Expect(1, 2236, '\p{^Jg=	African_Feh}', "");
    Expect(1, 2236, '\P{Jg=	African_Feh}', "");
    Expect(0, 2236, '\P{^Jg=	African_Feh}', "");
    Error('\p{Is_Joining_Group=-:=african_feh}');
    Error('\P{Is_Joining_Group=-:=african_feh}');
    Expect(1, 2235, '\p{Is_Joining_Group=africanfeh}', "");
    Expect(0, 2235, '\p{^Is_Joining_Group=africanfeh}', "");
    Expect(0, 2235, '\P{Is_Joining_Group=africanfeh}', "");
    Expect(1, 2235, '\P{^Is_Joining_Group=africanfeh}', "");
    Expect(0, 2236, '\p{Is_Joining_Group=africanfeh}', "");
    Expect(1, 2236, '\p{^Is_Joining_Group=africanfeh}', "");
    Expect(1, 2236, '\P{Is_Joining_Group=africanfeh}', "");
    Expect(0, 2236, '\P{^Is_Joining_Group=africanfeh}', "");
    Expect(1, 2235, '\p{Is_Joining_Group=	-African_FEH}', "");
    Expect(0, 2235, '\p{^Is_Joining_Group=	-African_FEH}', "");
    Expect(0, 2235, '\P{Is_Joining_Group=	-African_FEH}', "");
    Expect(1, 2235, '\P{^Is_Joining_Group=	-African_FEH}', "");
    Expect(0, 2236, '\p{Is_Joining_Group=	-African_FEH}', "");
    Expect(1, 2236, '\p{^Is_Joining_Group=	-African_FEH}', "");
    Expect(1, 2236, '\P{Is_Joining_Group=	-African_FEH}', "");
    Expect(0, 2236, '\P{^Is_Joining_Group=	-African_FEH}', "");
    Error('\p{Is_Jg=/a/African_feh}');
    Error('\P{Is_Jg=/a/African_feh}');
    Expect(1, 2235, '\p{Is_Jg=africanfeh}', "");
    Expect(0, 2235, '\p{^Is_Jg=africanfeh}', "");
    Expect(0, 2235, '\P{Is_Jg=africanfeh}', "");
    Expect(1, 2235, '\P{^Is_Jg=africanfeh}', "");
    Expect(0, 2236, '\p{Is_Jg=africanfeh}', "");
    Expect(1, 2236, '\p{^Is_Jg=africanfeh}', "");
    Expect(1, 2236, '\P{Is_Jg=africanfeh}', "");
    Expect(0, 2236, '\P{^Is_Jg=africanfeh}', "");
    Expect(1, 2235, '\p{Is_Jg=_african_Feh}', "");
    Expect(0, 2235, '\p{^Is_Jg=_african_Feh}', "");
    Expect(0, 2235, '\P{Is_Jg=_african_Feh}', "");
    Expect(1, 2235, '\P{^Is_Jg=_african_Feh}', "");
    Expect(0, 2236, '\p{Is_Jg=_african_Feh}', "");
    Expect(1, 2236, '\p{^Is_Jg=_african_Feh}', "");
    Expect(1, 2236, '\P{Is_Jg=_african_Feh}', "");
    Expect(0, 2236, '\P{^Is_Jg=_african_Feh}', "");
    Error('\p{Joining_Group=_ African_Noon/a/}');
    Error('\P{Joining_Group=_ African_Noon/a/}');
    Expect(1, 2237, '\p{Joining_Group=:\AAfrican_Noon\z:}', "");;
    Expect(0, 2238, '\p{Joining_Group=:\AAfrican_Noon\z:}', "");;
    Expect(1, 2237, '\p{Joining_Group=africannoon}', "");
    Expect(0, 2237, '\p{^Joining_Group=africannoon}', "");
    Expect(0, 2237, '\P{Joining_Group=africannoon}', "");
    Expect(1, 2237, '\P{^Joining_Group=africannoon}', "");
    Expect(0, 2238, '\p{Joining_Group=africannoon}', "");
    Expect(1, 2238, '\p{^Joining_Group=africannoon}', "");
    Expect(1, 2238, '\P{Joining_Group=africannoon}', "");
    Expect(0, 2238, '\P{^Joining_Group=africannoon}', "");
    Expect(1, 2237, '\p{Joining_Group=:\Aafricannoon\z:}', "");;
    Expect(0, 2238, '\p{Joining_Group=:\Aafricannoon\z:}', "");;
    Expect(1, 2237, '\p{Joining_Group=AFRICAN_Noon}', "");
    Expect(0, 2237, '\p{^Joining_Group=AFRICAN_Noon}', "");
    Expect(0, 2237, '\P{Joining_Group=AFRICAN_Noon}', "");
    Expect(1, 2237, '\P{^Joining_Group=AFRICAN_Noon}', "");
    Expect(0, 2238, '\p{Joining_Group=AFRICAN_Noon}', "");
    Expect(1, 2238, '\p{^Joining_Group=AFRICAN_Noon}', "");
    Expect(1, 2238, '\P{Joining_Group=AFRICAN_Noon}', "");
    Expect(0, 2238, '\P{^Joining_Group=AFRICAN_Noon}', "");
    Error('\p{Jg=:=		AFRICAN_NOON}');
    Error('\P{Jg=:=		AFRICAN_NOON}');
    Expect(1, 2237, '\p{Jg=:\AAfrican_Noon\z:}', "");;
    Expect(0, 2238, '\p{Jg=:\AAfrican_Noon\z:}', "");;
    Expect(1, 2237, '\p{Jg=africannoon}', "");
    Expect(0, 2237, '\p{^Jg=africannoon}', "");
    Expect(0, 2237, '\P{Jg=africannoon}', "");
    Expect(1, 2237, '\P{^Jg=africannoon}', "");
    Expect(0, 2238, '\p{Jg=africannoon}', "");
    Expect(1, 2238, '\p{^Jg=africannoon}', "");
    Expect(1, 2238, '\P{Jg=africannoon}', "");
    Expect(0, 2238, '\P{^Jg=africannoon}', "");
    Expect(1, 2237, '\p{Jg=:\Aafricannoon\z:}', "");;
    Expect(0, 2238, '\p{Jg=:\Aafricannoon\z:}', "");;
    Expect(1, 2237, '\p{Jg=	African_noon}', "");
    Expect(0, 2237, '\p{^Jg=	African_noon}', "");
    Expect(0, 2237, '\P{Jg=	African_noon}', "");
    Expect(1, 2237, '\P{^Jg=	African_noon}', "");
    Expect(0, 2238, '\p{Jg=	African_noon}', "");
    Expect(1, 2238, '\p{^Jg=	African_noon}', "");
    Expect(1, 2238, '\P{Jg=	African_noon}', "");
    Expect(0, 2238, '\P{^Jg=	African_noon}', "");
    Error('\p{Is_Joining_Group=  African_Noon:=}');
    Error('\P{Is_Joining_Group=  African_Noon:=}');
    Expect(1, 2237, '\p{Is_Joining_Group=africannoon}', "");
    Expect(0, 2237, '\p{^Is_Joining_Group=africannoon}', "");
    Expect(0, 2237, '\P{Is_Joining_Group=africannoon}', "");
    Expect(1, 2237, '\P{^Is_Joining_Group=africannoon}', "");
    Expect(0, 2238, '\p{Is_Joining_Group=africannoon}', "");
    Expect(1, 2238, '\p{^Is_Joining_Group=africannoon}', "");
    Expect(1, 2238, '\P{Is_Joining_Group=africannoon}', "");
    Expect(0, 2238, '\P{^Is_Joining_Group=africannoon}', "");
    Expect(1, 2237, '\p{Is_Joining_Group=-	african_NOON}', "");
    Expect(0, 2237, '\p{^Is_Joining_Group=-	african_NOON}', "");
    Expect(0, 2237, '\P{Is_Joining_Group=-	african_NOON}', "");
    Expect(1, 2237, '\P{^Is_Joining_Group=-	african_NOON}', "");
    Expect(0, 2238, '\p{Is_Joining_Group=-	african_NOON}', "");
    Expect(1, 2238, '\p{^Is_Joining_Group=-	african_NOON}', "");
    Expect(1, 2238, '\P{Is_Joining_Group=-	african_NOON}', "");
    Expect(0, 2238, '\P{^Is_Joining_Group=-	african_NOON}', "");
    Error('\p{Is_Jg=	African_Noon:=}');
    Error('\P{Is_Jg=	African_Noon:=}');
    Expect(1, 2237, '\p{Is_Jg=africannoon}', "");
    Expect(0, 2237, '\p{^Is_Jg=africannoon}', "");
    Expect(0, 2237, '\P{Is_Jg=africannoon}', "");
    Expect(1, 2237, '\P{^Is_Jg=africannoon}', "");
    Expect(0, 2238, '\p{Is_Jg=africannoon}', "");
    Expect(1, 2238, '\p{^Is_Jg=africannoon}', "");
    Expect(1, 2238, '\P{Is_Jg=africannoon}', "");
    Expect(0, 2238, '\P{^Is_Jg=africannoon}', "");
    Expect(1, 2237, '\p{Is_Jg=African_NOON}', "");
    Expect(0, 2237, '\p{^Is_Jg=African_NOON}', "");
    Expect(0, 2237, '\P{Is_Jg=African_NOON}', "");
    Expect(1, 2237, '\P{^Is_Jg=African_NOON}', "");
    Expect(0, 2238, '\p{Is_Jg=African_NOON}', "");
    Expect(1, 2238, '\p{^Is_Jg=African_NOON}', "");
    Expect(1, 2238, '\P{Is_Jg=African_NOON}', "");
    Expect(0, 2238, '\P{^Is_Jg=African_NOON}', "");
    Error('\p{Joining_Group= :=AFRICAN_QAF}');
    Error('\P{Joining_Group= :=AFRICAN_QAF}');
    Expect(1, 2244, '\p{Joining_Group=:\AAfrican_Qaf\z:}', "");;
    Expect(0, 2245, '\p{Joining_Group=:\AAfrican_Qaf\z:}', "");;
    Expect(1, 2244, '\p{Joining_Group=africanqaf}', "");
    Expect(0, 2244, '\p{^Joining_Group=africanqaf}', "");
    Expect(0, 2244, '\P{Joining_Group=africanqaf}', "");
    Expect(1, 2244, '\P{^Joining_Group=africanqaf}', "");
    Expect(0, 2245, '\p{Joining_Group=africanqaf}', "");
    Expect(1, 2245, '\p{^Joining_Group=africanqaf}', "");
    Expect(1, 2245, '\P{Joining_Group=africanqaf}', "");
    Expect(0, 2245, '\P{^Joining_Group=africanqaf}', "");
    Expect(1, 2244, '\p{Joining_Group=:\Aafricanqaf\z:}', "");;
    Expect(0, 2245, '\p{Joining_Group=:\Aafricanqaf\z:}', "");;
    Expect(1, 2244, '\p{Joining_Group=-	african_QAF}', "");
    Expect(0, 2244, '\p{^Joining_Group=-	african_QAF}', "");
    Expect(0, 2244, '\P{Joining_Group=-	african_QAF}', "");
    Expect(1, 2244, '\P{^Joining_Group=-	african_QAF}', "");
    Expect(0, 2245, '\p{Joining_Group=-	african_QAF}', "");
    Expect(1, 2245, '\p{^Joining_Group=-	african_QAF}', "");
    Expect(1, 2245, '\P{Joining_Group=-	african_QAF}', "");
    Expect(0, 2245, '\P{^Joining_Group=-	african_QAF}', "");
    Error('\p{Jg=:=African_qaf}');
    Error('\P{Jg=:=African_qaf}');
    Expect(1, 2244, '\p{Jg=:\AAfrican_Qaf\z:}', "");;
    Expect(0, 2245, '\p{Jg=:\AAfrican_Qaf\z:}', "");;
    Expect(1, 2244, '\p{Jg=africanqaf}', "");
    Expect(0, 2244, '\p{^Jg=africanqaf}', "");
    Expect(0, 2244, '\P{Jg=africanqaf}', "");
    Expect(1, 2244, '\P{^Jg=africanqaf}', "");
    Expect(0, 2245, '\p{Jg=africanqaf}', "");
    Expect(1, 2245, '\p{^Jg=africanqaf}', "");
    Expect(1, 2245, '\P{Jg=africanqaf}', "");
    Expect(0, 2245, '\P{^Jg=africanqaf}', "");
    Expect(1, 2244, '\p{Jg=:\Aafricanqaf\z:}', "");;
    Expect(0, 2245, '\p{Jg=:\Aafricanqaf\z:}', "");;
    Expect(1, 2244, '\p{Jg=_African_qaf}', "");
    Expect(0, 2244, '\p{^Jg=_African_qaf}', "");
    Expect(0, 2244, '\P{Jg=_African_qaf}', "");
    Expect(1, 2244, '\P{^Jg=_African_qaf}', "");
    Expect(0, 2245, '\p{Jg=_African_qaf}', "");
    Expect(1, 2245, '\p{^Jg=_African_qaf}', "");
    Expect(1, 2245, '\P{Jg=_African_qaf}', "");
    Expect(0, 2245, '\P{^Jg=_African_qaf}', "");
    Error('\p{Is_Joining_Group=	-AFRICAN_QAF/a/}');
    Error('\P{Is_Joining_Group=	-AFRICAN_QAF/a/}');
    Expect(1, 2244, '\p{Is_Joining_Group=africanqaf}', "");
    Expect(0, 2244, '\p{^Is_Joining_Group=africanqaf}', "");
    Expect(0, 2244, '\P{Is_Joining_Group=africanqaf}', "");
    Expect(1, 2244, '\P{^Is_Joining_Group=africanqaf}', "");
    Expect(0, 2245, '\p{Is_Joining_Group=africanqaf}', "");
    Expect(1, 2245, '\p{^Is_Joining_Group=africanqaf}', "");
    Expect(1, 2245, '\P{Is_Joining_Group=africanqaf}', "");
    Expect(0, 2245, '\P{^Is_Joining_Group=africanqaf}', "");
    Expect(1, 2244, '\p{Is_Joining_Group:   -AFRICAN_QAF}', "");
    Expect(0, 2244, '\p{^Is_Joining_Group:   -AFRICAN_QAF}', "");
    Expect(0, 2244, '\P{Is_Joining_Group:   -AFRICAN_QAF}', "");
    Expect(1, 2244, '\P{^Is_Joining_Group:   -AFRICAN_QAF}', "");
    Expect(0, 2245, '\p{Is_Joining_Group:   -AFRICAN_QAF}', "");
    Expect(1, 2245, '\p{^Is_Joining_Group:   -AFRICAN_QAF}', "");
    Expect(1, 2245, '\P{Is_Joining_Group:   -AFRICAN_QAF}', "");
    Expect(0, 2245, '\P{^Is_Joining_Group:   -AFRICAN_QAF}', "");
    Error('\p{Is_Jg=	/a/African_Qaf}');
    Error('\P{Is_Jg=	/a/African_Qaf}');
    Expect(1, 2244, '\p{Is_Jg=africanqaf}', "");
    Expect(0, 2244, '\p{^Is_Jg=africanqaf}', "");
    Expect(0, 2244, '\P{Is_Jg=africanqaf}', "");
    Expect(1, 2244, '\P{^Is_Jg=africanqaf}', "");
    Expect(0, 2245, '\p{Is_Jg=africanqaf}', "");
    Expect(1, 2245, '\p{^Is_Jg=africanqaf}', "");
    Expect(1, 2245, '\P{Is_Jg=africanqaf}', "");
    Expect(0, 2245, '\P{^Is_Jg=africanqaf}', "");
    Expect(1, 2244, '\p{Is_Jg=	African_QAF}', "");
    Expect(0, 2244, '\p{^Is_Jg=	African_QAF}', "");
    Expect(0, 2244, '\P{Is_Jg=	African_QAF}', "");
    Expect(1, 2244, '\P{^Is_Jg=	African_QAF}', "");
    Expect(0, 2245, '\p{Is_Jg=	African_QAF}', "");
    Expect(1, 2245, '\p{^Is_Jg=	African_QAF}', "");
    Expect(1, 2245, '\P{Is_Jg=	African_QAF}', "");
    Expect(0, 2245, '\P{^Is_Jg=	African_QAF}', "");
    Error('\p{Joining_Group=	_AIN/a/}');
    Error('\P{Joining_Group=	_AIN/a/}');
    Expect(1, 2243, '\p{Joining_Group=:\AAin\z:}', "");;
    Expect(0, 2244, '\p{Joining_Group=:\AAin\z:}', "");;
    Expect(1, 2243, '\p{Joining_Group=ain}', "");
    Expect(0, 2243, '\p{^Joining_Group=ain}', "");
    Expect(0, 2243, '\P{Joining_Group=ain}', "");
    Expect(1, 2243, '\P{^Joining_Group=ain}', "");
    Expect(0, 2244, '\p{Joining_Group=ain}', "");
    Expect(1, 2244, '\p{^Joining_Group=ain}', "");
    Expect(1, 2244, '\P{Joining_Group=ain}', "");
    Expect(0, 2244, '\P{^Joining_Group=ain}', "");
    Expect(1, 2243, '\p{Joining_Group=:\Aain\z:}', "");;
    Expect(0, 2244, '\p{Joining_Group=:\Aain\z:}', "");;
    Expect(1, 2243, '\p{Joining_Group=- AIN}', "");
    Expect(0, 2243, '\p{^Joining_Group=- AIN}', "");
    Expect(0, 2243, '\P{Joining_Group=- AIN}', "");
    Expect(1, 2243, '\P{^Joining_Group=- AIN}', "");
    Expect(0, 2244, '\p{Joining_Group=- AIN}', "");
    Expect(1, 2244, '\p{^Joining_Group=- AIN}', "");
    Expect(1, 2244, '\P{Joining_Group=- AIN}', "");
    Expect(0, 2244, '\P{^Joining_Group=- AIN}', "");
    Error('\p{Jg= /a/Ain}');
    Error('\P{Jg= /a/Ain}');
    Expect(1, 2243, '\p{Jg=:\AAin\z:}', "");;
    Expect(0, 2244, '\p{Jg=:\AAin\z:}', "");;
    Expect(1, 2243, '\p{Jg=ain}', "");
    Expect(0, 2243, '\p{^Jg=ain}', "");
    Expect(0, 2243, '\P{Jg=ain}', "");
    Expect(1, 2243, '\P{^Jg=ain}', "");
    Expect(0, 2244, '\p{Jg=ain}', "");
    Expect(1, 2244, '\p{^Jg=ain}', "");
    Expect(1, 2244, '\P{Jg=ain}', "");
    Expect(0, 2244, '\P{^Jg=ain}', "");
    Expect(1, 2243, '\p{Jg=:\Aain\z:}', "");;
    Expect(0, 2244, '\p{Jg=:\Aain\z:}', "");;
    Expect(1, 2243, '\p{Jg=-	Ain}', "");
    Expect(0, 2243, '\p{^Jg=-	Ain}', "");
    Expect(0, 2243, '\P{Jg=-	Ain}', "");
    Expect(1, 2243, '\P{^Jg=-	Ain}', "");
    Expect(0, 2244, '\p{Jg=-	Ain}', "");
    Expect(1, 2244, '\p{^Jg=-	Ain}', "");
    Expect(1, 2244, '\P{Jg=-	Ain}', "");
    Expect(0, 2244, '\P{^Jg=-	Ain}', "");
    Error('\p{Is_Joining_Group: -Ain/a/}');
    Error('\P{Is_Joining_Group: -Ain/a/}');
    Expect(1, 2243, '\p{Is_Joining_Group=ain}', "");
    Expect(0, 2243, '\p{^Is_Joining_Group=ain}', "");
    Expect(0, 2243, '\P{Is_Joining_Group=ain}', "");
    Expect(1, 2243, '\P{^Is_Joining_Group=ain}', "");
    Expect(0, 2244, '\p{Is_Joining_Group=ain}', "");
    Expect(1, 2244, '\p{^Is_Joining_Group=ain}', "");
    Expect(1, 2244, '\P{Is_Joining_Group=ain}', "");
    Expect(0, 2244, '\P{^Is_Joining_Group=ain}', "");
    Expect(1, 2243, '\p{Is_Joining_Group=_AIN}', "");
    Expect(0, 2243, '\p{^Is_Joining_Group=_AIN}', "");
    Expect(0, 2243, '\P{Is_Joining_Group=_AIN}', "");
    Expect(1, 2243, '\P{^Is_Joining_Group=_AIN}', "");
    Expect(0, 2244, '\p{Is_Joining_Group=_AIN}', "");
    Expect(1, 2244, '\p{^Is_Joining_Group=_AIN}', "");
    Expect(1, 2244, '\P{Is_Joining_Group=_AIN}', "");
    Expect(0, 2244, '\P{^Is_Joining_Group=_AIN}', "");
    Error('\p{Is_Jg=/a/-ain}');
    Error('\P{Is_Jg=/a/-ain}');
    Expect(1, 2243, '\p{Is_Jg:	ain}', "");
    Expect(0, 2243, '\p{^Is_Jg:	ain}', "");
    Expect(0, 2243, '\P{Is_Jg:	ain}', "");
    Expect(1, 2243, '\P{^Is_Jg:	ain}', "");
    Expect(0, 2244, '\p{Is_Jg:	ain}', "");
    Expect(1, 2244, '\p{^Is_Jg:	ain}', "");
    Expect(1, 2244, '\P{Is_Jg:	ain}', "");
    Expect(0, 2244, '\P{^Is_Jg:	ain}', "");
    Expect(1, 2243, '\p{Is_Jg=_AIN}', "");
    Expect(0, 2243, '\p{^Is_Jg=_AIN}', "");
    Expect(0, 2243, '\P{Is_Jg=_AIN}', "");
    Expect(1, 2243, '\P{^Is_Jg=_AIN}', "");
    Expect(0, 2244, '\p{Is_Jg=_AIN}', "");
    Expect(1, 2244, '\p{^Is_Jg=_AIN}', "");
    Expect(1, 2244, '\P{Is_Jg=_AIN}', "");
    Expect(0, 2244, '\P{^Is_Jg=_AIN}', "");
    Error('\p{Joining_Group=_ALAPH/a/}');
    Error('\P{Joining_Group=_ALAPH/a/}');
    Expect(1, 1808, '\p{Joining_Group=:\AAlaph\z:}', "");;
    Expect(0, 1809, '\p{Joining_Group=:\AAlaph\z:}', "");;
    Expect(1, 1808, '\p{Joining_Group=alaph}', "");
    Expect(0, 1808, '\p{^Joining_Group=alaph}', "");
    Expect(0, 1808, '\P{Joining_Group=alaph}', "");
    Expect(1, 1808, '\P{^Joining_Group=alaph}', "");
    Expect(0, 1809, '\p{Joining_Group=alaph}', "");
    Expect(1, 1809, '\p{^Joining_Group=alaph}', "");
    Expect(1, 1809, '\P{Joining_Group=alaph}', "");
    Expect(0, 1809, '\P{^Joining_Group=alaph}', "");
    Expect(1, 1808, '\p{Joining_Group=:\Aalaph\z:}', "");;
    Expect(0, 1809, '\p{Joining_Group=:\Aalaph\z:}', "");;
    Expect(1, 1808, '\p{Joining_Group=	_Alaph}', "");
    Expect(0, 1808, '\p{^Joining_Group=	_Alaph}', "");
    Expect(0, 1808, '\P{Joining_Group=	_Alaph}', "");
    Expect(1, 1808, '\P{^Joining_Group=	_Alaph}', "");
    Expect(0, 1809, '\p{Joining_Group=	_Alaph}', "");
    Expect(1, 1809, '\p{^Joining_Group=	_Alaph}', "");
    Expect(1, 1809, '\P{Joining_Group=	_Alaph}', "");
    Expect(0, 1809, '\P{^Joining_Group=	_Alaph}', "");
    Error('\p{Jg=- ALAPH/a/}');
    Error('\P{Jg=- ALAPH/a/}');
    Expect(1, 1808, '\p{Jg=:\AAlaph\z:}', "");;
    Expect(0, 1809, '\p{Jg=:\AAlaph\z:}', "");;
    Expect(1, 1808, '\p{Jg=alaph}', "");
    Expect(0, 1808, '\p{^Jg=alaph}', "");
    Expect(0, 1808, '\P{Jg=alaph}', "");
    Expect(1, 1808, '\P{^Jg=alaph}', "");
    Expect(0, 1809, '\p{Jg=alaph}', "");
    Expect(1, 1809, '\p{^Jg=alaph}', "");
    Expect(1, 1809, '\P{Jg=alaph}', "");
    Expect(0, 1809, '\P{^Jg=alaph}', "");
    Expect(1, 1808, '\p{Jg=:\Aalaph\z:}', "");;
    Expect(0, 1809, '\p{Jg=:\Aalaph\z:}', "");;
    Expect(1, 1808, '\p{Jg=_-Alaph}', "");
    Expect(0, 1808, '\p{^Jg=_-Alaph}', "");
    Expect(0, 1808, '\P{Jg=_-Alaph}', "");
    Expect(1, 1808, '\P{^Jg=_-Alaph}', "");
    Expect(0, 1809, '\p{Jg=_-Alaph}', "");
    Expect(1, 1809, '\p{^Jg=_-Alaph}', "");
    Expect(1, 1809, '\P{Jg=_-Alaph}', "");
    Expect(0, 1809, '\P{^Jg=_-Alaph}', "");
    Error('\p{Is_Joining_Group=_:=Alaph}');
    Error('\P{Is_Joining_Group=_:=Alaph}');
    Expect(1, 1808, '\p{Is_Joining_Group=alaph}', "");
    Expect(0, 1808, '\p{^Is_Joining_Group=alaph}', "");
    Expect(0, 1808, '\P{Is_Joining_Group=alaph}', "");
    Expect(1, 1808, '\P{^Is_Joining_Group=alaph}', "");
    Expect(0, 1809, '\p{Is_Joining_Group=alaph}', "");
    Expect(1, 1809, '\p{^Is_Joining_Group=alaph}', "");
    Expect(1, 1809, '\P{Is_Joining_Group=alaph}', "");
    Expect(0, 1809, '\P{^Is_Joining_Group=alaph}', "");
    Expect(1, 1808, '\p{Is_Joining_Group=-ALAPH}', "");
    Expect(0, 1808, '\p{^Is_Joining_Group=-ALAPH}', "");
    Expect(0, 1808, '\P{Is_Joining_Group=-ALAPH}', "");
    Expect(1, 1808, '\P{^Is_Joining_Group=-ALAPH}', "");
    Expect(0, 1809, '\p{Is_Joining_Group=-ALAPH}', "");
    Expect(1, 1809, '\p{^Is_Joining_Group=-ALAPH}', "");
    Expect(1, 1809, '\P{Is_Joining_Group=-ALAPH}', "");
    Expect(0, 1809, '\P{^Is_Joining_Group=-ALAPH}', "");
    Error('\p{Is_Jg=/a/_ALAPH}');
    Error('\P{Is_Jg=/a/_ALAPH}');
    Expect(1, 1808, '\p{Is_Jg:   alaph}', "");
    Expect(0, 1808, '\p{^Is_Jg:   alaph}', "");
    Expect(0, 1808, '\P{Is_Jg:   alaph}', "");
    Expect(1, 1808, '\P{^Is_Jg:   alaph}', "");
    Expect(0, 1809, '\p{Is_Jg:   alaph}', "");
    Expect(1, 1809, '\p{^Is_Jg:   alaph}', "");
    Expect(1, 1809, '\P{Is_Jg:   alaph}', "");
    Expect(0, 1809, '\P{^Is_Jg:   alaph}', "");
    Expect(1, 1808, '\p{Is_Jg=-alaph}', "");
    Expect(0, 1808, '\p{^Is_Jg=-alaph}', "");
    Expect(0, 1808, '\P{Is_Jg=-alaph}', "");
    Expect(1, 1808, '\P{^Is_Jg=-alaph}', "");
    Expect(0, 1809, '\p{Is_Jg=-alaph}', "");
    Expect(1, 1809, '\p{^Is_Jg=-alaph}', "");
    Expect(1, 1809, '\P{Is_Jg=-alaph}', "");
    Expect(0, 1809, '\P{^Is_Jg=-alaph}', "");
    Error('\p{Joining_Group:   := _Alef}');
    Error('\P{Joining_Group:   := _Alef}');
    Expect(1, 2178, '\p{Joining_Group=:\AAlef\z:}', "");;
    Expect(0, 2179, '\p{Joining_Group=:\AAlef\z:}', "");;
    Expect(1, 2178, '\p{Joining_Group=alef}', "");
    Expect(0, 2178, '\p{^Joining_Group=alef}', "");
    Expect(0, 2178, '\P{Joining_Group=alef}', "");
    Expect(1, 2178, '\P{^Joining_Group=alef}', "");
    Expect(0, 2179, '\p{Joining_Group=alef}', "");
    Expect(1, 2179, '\p{^Joining_Group=alef}', "");
    Expect(1, 2179, '\P{Joining_Group=alef}', "");
    Expect(0, 2179, '\P{^Joining_Group=alef}', "");
    Expect(1, 2178, '\p{Joining_Group=:\Aalef\z:}', "");;
    Expect(0, 2179, '\p{Joining_Group=:\Aalef\z:}', "");;
    Expect(1, 2178, '\p{Joining_Group= -alef}', "");
    Expect(0, 2178, '\p{^Joining_Group= -alef}', "");
    Expect(0, 2178, '\P{Joining_Group= -alef}', "");
    Expect(1, 2178, '\P{^Joining_Group= -alef}', "");
    Expect(0, 2179, '\p{Joining_Group= -alef}', "");
    Expect(1, 2179, '\p{^Joining_Group= -alef}', "");
    Expect(1, 2179, '\P{Joining_Group= -alef}', "");
    Expect(0, 2179, '\P{^Joining_Group= -alef}', "");
    Error('\p{Jg= ALEF/a/}');
    Error('\P{Jg= ALEF/a/}');
    Expect(1, 2178, '\p{Jg=:\AAlef\z:}', "");;
    Expect(0, 2179, '\p{Jg=:\AAlef\z:}', "");;
    Expect(1, 2178, '\p{Jg=alef}', "");
    Expect(0, 2178, '\p{^Jg=alef}', "");
    Expect(0, 2178, '\P{Jg=alef}', "");
    Expect(1, 2178, '\P{^Jg=alef}', "");
    Expect(0, 2179, '\p{Jg=alef}', "");
    Expect(1, 2179, '\p{^Jg=alef}', "");
    Expect(1, 2179, '\P{Jg=alef}', "");
    Expect(0, 2179, '\P{^Jg=alef}', "");
    Expect(1, 2178, '\p{Jg=:\Aalef\z:}', "");;
    Expect(0, 2179, '\p{Jg=:\Aalef\z:}', "");;
    Expect(1, 2178, '\p{Jg=- Alef}', "");
    Expect(0, 2178, '\p{^Jg=- Alef}', "");
    Expect(0, 2178, '\P{Jg=- Alef}', "");
    Expect(1, 2178, '\P{^Jg=- Alef}', "");
    Expect(0, 2179, '\p{Jg=- Alef}', "");
    Expect(1, 2179, '\p{^Jg=- Alef}', "");
    Expect(1, 2179, '\P{Jg=- Alef}', "");
    Expect(0, 2179, '\P{^Jg=- Alef}', "");
    Error('\p{Is_Joining_Group:/a/__Alef}');
    Error('\P{Is_Joining_Group:/a/__Alef}');
    Expect(1, 2178, '\p{Is_Joining_Group=alef}', "");
    Expect(0, 2178, '\p{^Is_Joining_Group=alef}', "");
    Expect(0, 2178, '\P{Is_Joining_Group=alef}', "");
    Expect(1, 2178, '\P{^Is_Joining_Group=alef}', "");
    Expect(0, 2179, '\p{Is_Joining_Group=alef}', "");
    Expect(1, 2179, '\p{^Is_Joining_Group=alef}', "");
    Expect(1, 2179, '\P{Is_Joining_Group=alef}', "");
    Expect(0, 2179, '\P{^Is_Joining_Group=alef}', "");
    Expect(1, 2178, '\p{Is_Joining_Group= _ALEF}', "");
    Expect(0, 2178, '\p{^Is_Joining_Group= _ALEF}', "");
    Expect(0, 2178, '\P{Is_Joining_Group= _ALEF}', "");
    Expect(1, 2178, '\P{^Is_Joining_Group= _ALEF}', "");
    Expect(0, 2179, '\p{Is_Joining_Group= _ALEF}', "");
    Expect(1, 2179, '\p{^Is_Joining_Group= _ALEF}', "");
    Expect(1, 2179, '\P{Is_Joining_Group= _ALEF}', "");
    Expect(0, 2179, '\P{^Is_Joining_Group= _ALEF}', "");
    Error('\p{Is_Jg=alef:=}');
    Error('\P{Is_Jg=alef:=}');
    Expect(1, 2178, '\p{Is_Jg=alef}', "");
    Expect(0, 2178, '\p{^Is_Jg=alef}', "");
    Expect(0, 2178, '\P{Is_Jg=alef}', "");
    Expect(1, 2178, '\P{^Is_Jg=alef}', "");
    Expect(0, 2179, '\p{Is_Jg=alef}', "");
    Expect(1, 2179, '\p{^Is_Jg=alef}', "");
    Expect(1, 2179, '\P{Is_Jg=alef}', "");
    Expect(0, 2179, '\P{^Is_Jg=alef}', "");
    Expect(1, 2178, '\p{Is_Jg=_Alef}', "");
    Expect(0, 2178, '\p{^Is_Jg=_Alef}', "");
    Expect(0, 2178, '\P{Is_Jg=_Alef}', "");
    Expect(1, 2178, '\P{^Is_Jg=_Alef}', "");
    Expect(0, 2179, '\p{Is_Jg=_Alef}', "");
    Expect(1, 2179, '\p{^Is_Jg=_Alef}', "");
    Expect(1, 2179, '\P{Is_Jg=_Alef}', "");
    Expect(0, 2179, '\P{^Is_Jg=_Alef}', "");
    Error('\p{Joining_Group=:= _Beh}');
    Error('\P{Joining_Group=:= _Beh}');
    Expect(1, 2240, '\p{Joining_Group=:\ABeh\z:}', "");;
    Expect(0, 2241, '\p{Joining_Group=:\ABeh\z:}', "");;
    Expect(1, 2240, '\p{Joining_Group=beh}', "");
    Expect(0, 2240, '\p{^Joining_Group=beh}', "");
    Expect(0, 2240, '\P{Joining_Group=beh}', "");
    Expect(1, 2240, '\P{^Joining_Group=beh}', "");
    Expect(0, 2241, '\p{Joining_Group=beh}', "");
    Expect(1, 2241, '\p{^Joining_Group=beh}', "");
    Expect(1, 2241, '\P{Joining_Group=beh}', "");
    Expect(0, 2241, '\P{^Joining_Group=beh}', "");
    Expect(1, 2240, '\p{Joining_Group=:\Abeh\z:}', "");;
    Expect(0, 2241, '\p{Joining_Group=:\Abeh\z:}', "");;
    Expect(1, 2240, '\p{Joining_Group=_	BEH}', "");
    Expect(0, 2240, '\p{^Joining_Group=_	BEH}', "");
    Expect(0, 2240, '\P{Joining_Group=_	BEH}', "");
    Expect(1, 2240, '\P{^Joining_Group=_	BEH}', "");
    Expect(0, 2241, '\p{Joining_Group=_	BEH}', "");
    Expect(1, 2241, '\p{^Joining_Group=_	BEH}', "");
    Expect(1, 2241, '\P{Joining_Group=_	BEH}', "");
    Expect(0, 2241, '\P{^Joining_Group=_	BEH}', "");
    Error('\p{Jg=- BEH/a/}');
    Error('\P{Jg=- BEH/a/}');
    Expect(1, 2240, '\p{Jg=:\ABeh\z:}', "");;
    Expect(0, 2241, '\p{Jg=:\ABeh\z:}', "");;
    Expect(1, 2240, '\p{Jg=beh}', "");
    Expect(0, 2240, '\p{^Jg=beh}', "");
    Expect(0, 2240, '\P{Jg=beh}', "");
    Expect(1, 2240, '\P{^Jg=beh}', "");
    Expect(0, 2241, '\p{Jg=beh}', "");
    Expect(1, 2241, '\p{^Jg=beh}', "");
    Expect(1, 2241, '\P{Jg=beh}', "");
    Expect(0, 2241, '\P{^Jg=beh}', "");
    Expect(1, 2240, '\p{Jg=:\Abeh\z:}', "");;
    Expect(0, 2241, '\p{Jg=:\Abeh\z:}', "");;
    Expect(1, 2240, '\p{Jg=	Beh}', "");
    Expect(0, 2240, '\p{^Jg=	Beh}', "");
    Expect(0, 2240, '\P{Jg=	Beh}', "");
    Expect(1, 2240, '\P{^Jg=	Beh}', "");
    Expect(0, 2241, '\p{Jg=	Beh}', "");
    Expect(1, 2241, '\p{^Jg=	Beh}', "");
    Expect(1, 2241, '\P{Jg=	Beh}', "");
    Expect(0, 2241, '\P{^Jg=	Beh}', "");
    Error('\p{Is_Joining_Group=:=	_Beh}');
    Error('\P{Is_Joining_Group=:=	_Beh}');
    Expect(1, 2240, '\p{Is_Joining_Group=beh}', "");
    Expect(0, 2240, '\p{^Is_Joining_Group=beh}', "");
    Expect(0, 2240, '\P{Is_Joining_Group=beh}', "");
    Expect(1, 2240, '\P{^Is_Joining_Group=beh}', "");
    Expect(0, 2241, '\p{Is_Joining_Group=beh}', "");
    Expect(1, 2241, '\p{^Is_Joining_Group=beh}', "");
    Expect(1, 2241, '\P{Is_Joining_Group=beh}', "");
    Expect(0, 2241, '\P{^Is_Joining_Group=beh}', "");
    Expect(1, 2240, '\p{Is_Joining_Group=- BEH}', "");
    Expect(0, 2240, '\p{^Is_Joining_Group=- BEH}', "");
    Expect(0, 2240, '\P{Is_Joining_Group=- BEH}', "");
    Expect(1, 2240, '\P{^Is_Joining_Group=- BEH}', "");
    Expect(0, 2241, '\p{Is_Joining_Group=- BEH}', "");
    Expect(1, 2241, '\p{^Is_Joining_Group=- BEH}', "");
    Expect(1, 2241, '\P{Is_Joining_Group=- BEH}', "");
    Expect(0, 2241, '\P{^Is_Joining_Group=- BEH}', "");
    Error('\p{Is_Jg=-Beh/a/}');
    Error('\P{Is_Jg=-Beh/a/}');
    Expect(1, 2240, '\p{Is_Jg=beh}', "");
    Expect(0, 2240, '\p{^Is_Jg=beh}', "");
    Expect(0, 2240, '\P{Is_Jg=beh}', "");
    Expect(1, 2240, '\P{^Is_Jg=beh}', "");
    Expect(0, 2241, '\p{Is_Jg=beh}', "");
    Expect(1, 2241, '\p{^Is_Jg=beh}', "");
    Expect(1, 2241, '\P{Is_Jg=beh}', "");
    Expect(0, 2241, '\P{^Is_Jg=beh}', "");
    Error('\p{Joining_Group=/a/_Beth}');
    Error('\P{Joining_Group=/a/_Beth}');
    Expect(1, 1837, '\p{Joining_Group=:\ABeth\z:}', "");;
    Expect(0, 1838, '\p{Joining_Group=:\ABeth\z:}', "");;
    Expect(1, 1837, '\p{Joining_Group=beth}', "");
    Expect(0, 1837, '\p{^Joining_Group=beth}', "");
    Expect(0, 1837, '\P{Joining_Group=beth}', "");
    Expect(1, 1837, '\P{^Joining_Group=beth}', "");
    Expect(0, 1838, '\p{Joining_Group=beth}', "");
    Expect(1, 1838, '\p{^Joining_Group=beth}', "");
    Expect(1, 1838, '\P{Joining_Group=beth}', "");
    Expect(0, 1838, '\P{^Joining_Group=beth}', "");
    Expect(1, 1837, '\p{Joining_Group=:\Abeth\z:}', "");;
    Expect(0, 1838, '\p{Joining_Group=:\Abeth\z:}', "");;
    Expect(1, 1837, '\p{Joining_Group=__Beth}', "");
    Expect(0, 1837, '\p{^Joining_Group=__Beth}', "");
    Expect(0, 1837, '\P{Joining_Group=__Beth}', "");
    Expect(1, 1837, '\P{^Joining_Group=__Beth}', "");
    Expect(0, 1838, '\p{Joining_Group=__Beth}', "");
    Expect(1, 1838, '\p{^Joining_Group=__Beth}', "");
    Expect(1, 1838, '\P{Joining_Group=__Beth}', "");
    Expect(0, 1838, '\P{^Joining_Group=__Beth}', "");
    Error('\p{Jg=:=--BETH}');
    Error('\P{Jg=:=--BETH}');
    Expect(1, 1837, '\p{Jg=:\ABeth\z:}', "");;
    Expect(0, 1838, '\p{Jg=:\ABeth\z:}', "");;
    Expect(1, 1837, '\p{Jg=beth}', "");
    Expect(0, 1837, '\p{^Jg=beth}', "");
    Expect(0, 1837, '\P{Jg=beth}', "");
    Expect(1, 1837, '\P{^Jg=beth}', "");
    Expect(0, 1838, '\p{Jg=beth}', "");
    Expect(1, 1838, '\p{^Jg=beth}', "");
    Expect(1, 1838, '\P{Jg=beth}', "");
    Expect(0, 1838, '\P{^Jg=beth}', "");
    Expect(1, 1837, '\p{Jg=:\Abeth\z:}', "");;
    Expect(0, 1838, '\p{Jg=:\Abeth\z:}', "");;
    Expect(1, 1837, '\p{Jg=-Beth}', "");
    Expect(0, 1837, '\p{^Jg=-Beth}', "");
    Expect(0, 1837, '\P{Jg=-Beth}', "");
    Expect(1, 1837, '\P{^Jg=-Beth}', "");
    Expect(0, 1838, '\p{Jg=-Beth}', "");
    Expect(1, 1838, '\p{^Jg=-Beth}', "");
    Expect(1, 1838, '\P{Jg=-Beth}', "");
    Expect(0, 1838, '\P{^Jg=-Beth}', "");
    Error('\p{Is_Joining_Group= BETH:=}');
    Error('\P{Is_Joining_Group= BETH:=}');
    Expect(1, 1837, '\p{Is_Joining_Group=beth}', "");
    Expect(0, 1837, '\p{^Is_Joining_Group=beth}', "");
    Expect(0, 1837, '\P{Is_Joining_Group=beth}', "");
    Expect(1, 1837, '\P{^Is_Joining_Group=beth}', "");
    Expect(0, 1838, '\p{Is_Joining_Group=beth}', "");
    Expect(1, 1838, '\p{^Is_Joining_Group=beth}', "");
    Expect(1, 1838, '\P{Is_Joining_Group=beth}', "");
    Expect(0, 1838, '\P{^Is_Joining_Group=beth}', "");
    Expect(1, 1837, '\p{Is_Joining_Group=_ Beth}', "");
    Expect(0, 1837, '\p{^Is_Joining_Group=_ Beth}', "");
    Expect(0, 1837, '\P{Is_Joining_Group=_ Beth}', "");
    Expect(1, 1837, '\P{^Is_Joining_Group=_ Beth}', "");
    Expect(0, 1838, '\p{Is_Joining_Group=_ Beth}', "");
    Expect(1, 1838, '\p{^Is_Joining_Group=_ Beth}', "");
    Expect(1, 1838, '\P{Is_Joining_Group=_ Beth}', "");
    Expect(0, 1838, '\P{^Is_Joining_Group=_ Beth}', "");
    Error('\p{Is_Jg=	beth:=}');
    Error('\P{Is_Jg=	beth:=}');
    Expect(1, 1837, '\p{Is_Jg:beth}', "");
    Expect(0, 1837, '\p{^Is_Jg:beth}', "");
    Expect(0, 1837, '\P{Is_Jg:beth}', "");
    Expect(1, 1837, '\P{^Is_Jg:beth}', "");
    Expect(0, 1838, '\p{Is_Jg:beth}', "");
    Expect(1, 1838, '\p{^Is_Jg:beth}', "");
    Expect(1, 1838, '\P{Is_Jg:beth}', "");
    Expect(0, 1838, '\P{^Is_Jg:beth}', "");
    Expect(1, 1837, '\p{Is_Jg=_ BETH}', "");
    Expect(0, 1837, '\p{^Is_Jg=_ BETH}', "");
    Expect(0, 1837, '\P{Is_Jg=_ BETH}', "");
    Expect(1, 1837, '\P{^Is_Jg=_ BETH}', "");
    Expect(0, 1838, '\p{Is_Jg=_ BETH}', "");
    Expect(1, 1838, '\p{^Is_Jg=_ BETH}', "");
    Expect(1, 1838, '\P{Is_Jg=_ BETH}', "");
    Expect(0, 1838, '\P{^Is_Jg=_ BETH}', "");
    Error('\p{Joining_Group=- Burushaski_Yeh_Barree:=}');
    Error('\P{Joining_Group=- Burushaski_Yeh_Barree:=}');
    Expect(1, 1915, '\p{Joining_Group=:\ABurushaski_Yeh_Barree\z:}', "");;
    Expect(0, 1916, '\p{Joining_Group=:\ABurushaski_Yeh_Barree\z:}', "");;
    Expect(1, 1915, '\p{Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1915, '\p{^Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1915, '\P{Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1915, '\P{^Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1916, '\p{Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1916, '\p{^Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1916, '\P{Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1916, '\P{^Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1915, '\p{Joining_Group=:\Aburushaskiyehbarree\z:}', "");;
    Expect(0, 1916, '\p{Joining_Group=:\Aburushaskiyehbarree\z:}', "");;
    Expect(1, 1915, '\p{Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Expect(0, 1915, '\p{^Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Expect(0, 1915, '\P{Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Expect(1, 1915, '\P{^Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Expect(0, 1916, '\p{Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Expect(1, 1916, '\p{^Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Expect(1, 1916, '\P{Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Expect(0, 1916, '\P{^Joining_Group=-_Burushaski_Yeh_Barree}', "");
    Error('\p{Jg=  Burushaski_yeh_Barree:=}');
    Error('\P{Jg=  Burushaski_yeh_Barree:=}');
    Expect(1, 1915, '\p{Jg=:\ABurushaski_Yeh_Barree\z:}', "");;
    Expect(0, 1916, '\p{Jg=:\ABurushaski_Yeh_Barree\z:}', "");;
    Expect(1, 1915, '\p{Jg=burushaskiyehbarree}', "");
    Expect(0, 1915, '\p{^Jg=burushaskiyehbarree}', "");
    Expect(0, 1915, '\P{Jg=burushaskiyehbarree}', "");
    Expect(1, 1915, '\P{^Jg=burushaskiyehbarree}', "");
    Expect(0, 1916, '\p{Jg=burushaskiyehbarree}', "");
    Expect(1, 1916, '\p{^Jg=burushaskiyehbarree}', "");
    Expect(1, 1916, '\P{Jg=burushaskiyehbarree}', "");
    Expect(0, 1916, '\P{^Jg=burushaskiyehbarree}', "");
    Expect(1, 1915, '\p{Jg=:\Aburushaskiyehbarree\z:}', "");;
    Expect(0, 1916, '\p{Jg=:\Aburushaskiyehbarree\z:}', "");;
    Expect(1, 1915, '\p{Jg= Burushaski_Yeh_barree}', "");
    Expect(0, 1915, '\p{^Jg= Burushaski_Yeh_barree}', "");
    Expect(0, 1915, '\P{Jg= Burushaski_Yeh_barree}', "");
    Expect(1, 1915, '\P{^Jg= Burushaski_Yeh_barree}', "");
    Expect(0, 1916, '\p{Jg= Burushaski_Yeh_barree}', "");
    Expect(1, 1916, '\p{^Jg= Burushaski_Yeh_barree}', "");
    Expect(1, 1916, '\P{Jg= Burushaski_Yeh_barree}', "");
    Expect(0, 1916, '\P{^Jg= Burushaski_Yeh_barree}', "");
    Error('\p{Is_Joining_Group=/a/_-burushaski_YEH_Barree}');
    Error('\P{Is_Joining_Group=/a/_-burushaski_YEH_Barree}');
    Expect(1, 1915, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1915, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1915, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1915, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1916, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1916, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1916, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(0, 1916, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
    Expect(1, 1915, '\p{Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Expect(0, 1915, '\p{^Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Expect(0, 1915, '\P{Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Expect(1, 1915, '\P{^Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Expect(0, 1916, '\p{Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Expect(1, 1916, '\p{^Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Expect(1, 1916, '\P{Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Expect(0, 1916, '\P{^Is_Joining_Group=	 Burushaski_yeh_barree}', "");
    Error('\p{Is_Jg= Burushaski_yeh_barree:=}');
    Error('\P{Is_Jg= Burushaski_yeh_barree:=}');
    Expect(1, 1915, '\p{Is_Jg=burushaskiyehbarree}', "");
    Expect(0, 1915, '\p{^Is_Jg=burushaskiyehbarree}', "");
    Expect(0, 1915, '\P{Is_Jg=burushaskiyehbarree}', "");
    Expect(1, 1915, '\P{^Is_Jg=burushaskiyehbarree}', "");
    Expect(0, 1916, '\p{Is_Jg=burushaskiyehbarree}', "");
    Expect(1, 1916, '\p{^Is_Jg=burushaskiyehbarree}', "");
    Expect(1, 1916, '\P{Is_Jg=burushaskiyehbarree}', "");
    Expect(0, 1916, '\P{^Is_Jg=burushaskiyehbarree}', "");
    Expect(1, 1915, '\p{Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Expect(0, 1915, '\p{^Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Expect(0, 1915, '\P{Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Expect(1, 1915, '\P{^Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Expect(0, 1916, '\p{Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Expect(1, 1916, '\p{^Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Expect(1, 1916, '\P{Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Expect(0, 1916, '\P{^Is_Jg:__BURUSHASKI_YEH_barree}', "");
    Error('\p{Joining_Group=/a/ _Dal}');
    Error('\P{Joining_Group=/a/ _Dal}');
    Expect(1, 2222, '\p{Joining_Group=:\ADal\z:}', "");;
    Expect(0, 2223, '\p{Joining_Group=:\ADal\z:}', "");;
    Expect(1, 2222, '\p{Joining_Group=dal}', "");
    Expect(0, 2222, '\p{^Joining_Group=dal}', "");
    Expect(0, 2222, '\P{Joining_Group=dal}', "");
    Expect(1, 2222, '\P{^Joining_Group=dal}', "");
    Expect(0, 2223, '\p{Joining_Group=dal}', "");
    Expect(1, 2223, '\p{^Joining_Group=dal}', "");
    Expect(1, 2223, '\P{Joining_Group=dal}', "");
    Expect(0, 2223, '\P{^Joining_Group=dal}', "");
    Expect(1, 2222, '\p{Joining_Group=:\Adal\z:}', "");;
    Expect(0, 2223, '\p{Joining_Group=:\Adal\z:}', "");;
    Expect(1, 2222, '\p{Joining_Group:	--Dal}', "");
    Expect(0, 2222, '\p{^Joining_Group:	--Dal}', "");
    Expect(0, 2222, '\P{Joining_Group:	--Dal}', "");
    Expect(1, 2222, '\P{^Joining_Group:	--Dal}', "");
    Expect(0, 2223, '\p{Joining_Group:	--Dal}', "");
    Expect(1, 2223, '\p{^Joining_Group:	--Dal}', "");
    Expect(1, 2223, '\P{Joining_Group:	--Dal}', "");
    Expect(0, 2223, '\P{^Joining_Group:	--Dal}', "");
    Error('\p{Jg=__DAL/a/}');
    Error('\P{Jg=__DAL/a/}');
    Expect(1, 2222, '\p{Jg=:\ADal\z:}', "");;
    Expect(0, 2223, '\p{Jg=:\ADal\z:}', "");;
    Expect(1, 2222, '\p{Jg=dal}', "");
    Expect(0, 2222, '\p{^Jg=dal}', "");
    Expect(0, 2222, '\P{Jg=dal}', "");
    Expect(1, 2222, '\P{^Jg=dal}', "");
    Expect(0, 2223, '\p{Jg=dal}', "");
    Expect(1, 2223, '\p{^Jg=dal}', "");
    Expect(1, 2223, '\P{Jg=dal}', "");
    Expect(0, 2223, '\P{^Jg=dal}', "");
    Expect(1, 2222, '\p{Jg=:\Adal\z:}', "");;
    Expect(0, 2223, '\p{Jg=:\Adal\z:}', "");;
    Expect(1, 2222, '\p{Jg=	DAL}', "");
    Expect(0, 2222, '\p{^Jg=	DAL}', "");
    Expect(0, 2222, '\P{Jg=	DAL}', "");
    Expect(1, 2222, '\P{^Jg=	DAL}', "");
    Expect(0, 2223, '\p{Jg=	DAL}', "");
    Expect(1, 2223, '\p{^Jg=	DAL}', "");
    Expect(1, 2223, '\P{Jg=	DAL}', "");
    Expect(0, 2223, '\P{^Jg=	DAL}', "");
    Error('\p{Is_Joining_Group=	_Dal:=}');
    Error('\P{Is_Joining_Group=	_Dal:=}');
    Expect(1, 2222, '\p{Is_Joining_Group=dal}', "");
    Expect(0, 2222, '\p{^Is_Joining_Group=dal}', "");
    Expect(0, 2222, '\P{Is_Joining_Group=dal}', "");
    Expect(1, 2222, '\P{^Is_Joining_Group=dal}', "");
    Expect(0, 2223, '\p{Is_Joining_Group=dal}', "");
    Expect(1, 2223, '\p{^Is_Joining_Group=dal}', "");
    Expect(1, 2223, '\P{Is_Joining_Group=dal}', "");
    Expect(0, 2223, '\P{^Is_Joining_Group=dal}', "");
    Expect(1, 2222, '\p{Is_Joining_Group=-Dal}', "");
    Expect(0, 2222, '\p{^Is_Joining_Group=-Dal}', "");
    Expect(0, 2222, '\P{Is_Joining_Group=-Dal}', "");
    Expect(1, 2222, '\P{^Is_Joining_Group=-Dal}', "");
    Expect(0, 2223, '\p{Is_Joining_Group=-Dal}', "");
    Expect(1, 2223, '\p{^Is_Joining_Group=-Dal}', "");
    Expect(1, 2223, '\P{Is_Joining_Group=-Dal}', "");
    Expect(0, 2223, '\P{^Is_Joining_Group=-Dal}', "");
    Error('\p{Is_Jg=_-Dal:=}');
    Error('\P{Is_Jg=_-Dal:=}');
    Expect(1, 2222, '\p{Is_Jg=dal}', "");
    Expect(0, 2222, '\p{^Is_Jg=dal}', "");
    Expect(0, 2222, '\P{Is_Jg=dal}', "");
    Expect(1, 2222, '\P{^Is_Jg=dal}', "");
    Expect(0, 2223, '\p{Is_Jg=dal}', "");
    Expect(1, 2223, '\p{^Is_Jg=dal}', "");
    Expect(1, 2223, '\P{Is_Jg=dal}', "");
    Expect(0, 2223, '\P{^Is_Jg=dal}', "");
    Expect(1, 2222, '\p{Is_Jg=Dal}', "");
    Expect(0, 2222, '\p{^Is_Jg=Dal}', "");
    Expect(0, 2222, '\P{Is_Jg=Dal}', "");
    Expect(1, 2222, '\P{^Is_Jg=Dal}', "");
    Expect(0, 2223, '\p{Is_Jg=Dal}', "");
    Expect(1, 2223, '\p{^Is_Jg=Dal}', "");
    Expect(1, 2223, '\P{Is_Jg=Dal}', "");
    Expect(0, 2223, '\P{^Is_Jg=Dal}', "");
    Error('\p{Joining_Group: /a/-_DALATH_Rish}');
    Error('\P{Joining_Group: /a/-_DALATH_Rish}');
    Expect(1, 1839, '\p{Joining_Group=:\ADalath_Rish\z:}', "");;
    Expect(0, 1840, '\p{Joining_Group=:\ADalath_Rish\z:}', "");;
    Expect(1, 1839, '\p{Joining_Group=dalathrish}', "");
    Expect(0, 1839, '\p{^Joining_Group=dalathrish}', "");
    Expect(0, 1839, '\P{Joining_Group=dalathrish}', "");
    Expect(1, 1839, '\P{^Joining_Group=dalathrish}', "");
    Expect(0, 1840, '\p{Joining_Group=dalathrish}', "");
    Expect(1, 1840, '\p{^Joining_Group=dalathrish}', "");
    Expect(1, 1840, '\P{Joining_Group=dalathrish}', "");
    Expect(0, 1840, '\P{^Joining_Group=dalathrish}', "");
    Expect(1, 1839, '\p{Joining_Group=:\Adalathrish\z:}', "");;
    Expect(0, 1840, '\p{Joining_Group=:\Adalathrish\z:}', "");;
    Expect(1, 1839, '\p{Joining_Group=_	Dalath_Rish}', "");
    Expect(0, 1839, '\p{^Joining_Group=_	Dalath_Rish}', "");
    Expect(0, 1839, '\P{Joining_Group=_	Dalath_Rish}', "");
    Expect(1, 1839, '\P{^Joining_Group=_	Dalath_Rish}', "");
    Expect(0, 1840, '\p{Joining_Group=_	Dalath_Rish}', "");
    Expect(1, 1840, '\p{^Joining_Group=_	Dalath_Rish}', "");
    Expect(1, 1840, '\P{Joining_Group=_	Dalath_Rish}', "");
    Expect(0, 1840, '\P{^Joining_Group=_	Dalath_Rish}', "");
    Error('\p{Jg=:=DALATH_Rish}');
    Error('\P{Jg=:=DALATH_Rish}');
    Expect(1, 1839, '\p{Jg=:\ADalath_Rish\z:}', "");;
    Expect(0, 1840, '\p{Jg=:\ADalath_Rish\z:}', "");;
    Expect(1, 1839, '\p{Jg=dalathrish}', "");
    Expect(0, 1839, '\p{^Jg=dalathrish}', "");
    Expect(0, 1839, '\P{Jg=dalathrish}', "");
    Expect(1, 1839, '\P{^Jg=dalathrish}', "");
    Expect(0, 1840, '\p{Jg=dalathrish}', "");
    Expect(1, 1840, '\p{^Jg=dalathrish}', "");
    Expect(1, 1840, '\P{Jg=dalathrish}', "");
    Expect(0, 1840, '\P{^Jg=dalathrish}', "");
    Expect(1, 1839, '\p{Jg=:\Adalathrish\z:}', "");;
    Expect(0, 1840, '\p{Jg=:\Adalathrish\z:}', "");;
    Expect(1, 1839, '\p{Jg:	-	Dalath_Rish}', "");
    Expect(0, 1839, '\p{^Jg:	-	Dalath_Rish}', "");
    Expect(0, 1839, '\P{Jg:	-	Dalath_Rish}', "");
    Expect(1, 1839, '\P{^Jg:	-	Dalath_Rish}', "");
    Expect(0, 1840, '\p{Jg:	-	Dalath_Rish}', "");
    Expect(1, 1840, '\p{^Jg:	-	Dalath_Rish}', "");
    Expect(1, 1840, '\P{Jg:	-	Dalath_Rish}', "");
    Expect(0, 1840, '\P{^Jg:	-	Dalath_Rish}', "");
    Error('\p{Is_Joining_Group=	 Dalath_rish:=}');
    Error('\P{Is_Joining_Group=	 Dalath_rish:=}');
    Expect(1, 1839, '\p{Is_Joining_Group=dalathrish}', "");
    Expect(0, 1839, '\p{^Is_Joining_Group=dalathrish}', "");
    Expect(0, 1839, '\P{Is_Joining_Group=dalathrish}', "");
    Expect(1, 1839, '\P{^Is_Joining_Group=dalathrish}', "");
    Expect(0, 1840, '\p{Is_Joining_Group=dalathrish}', "");
    Expect(1, 1840, '\p{^Is_Joining_Group=dalathrish}', "");
    Expect(1, 1840, '\P{Is_Joining_Group=dalathrish}', "");
    Expect(0, 1840, '\P{^Is_Joining_Group=dalathrish}', "");
    Expect(1, 1839, '\p{Is_Joining_Group=-	DALATH_rish}', "");
    Expect(0, 1839, '\p{^Is_Joining_Group=-	DALATH_rish}', "");
    Expect(0, 1839, '\P{Is_Joining_Group=-	DALATH_rish}', "");
    Expect(1, 1839, '\P{^Is_Joining_Group=-	DALATH_rish}', "");
    Expect(0, 1840, '\p{Is_Joining_Group=-	DALATH_rish}', "");
    Expect(1, 1840, '\p{^Is_Joining_Group=-	DALATH_rish}', "");
    Expect(1, 1840, '\P{Is_Joining_Group=-	DALATH_rish}', "");
    Expect(0, 1840, '\P{^Is_Joining_Group=-	DALATH_rish}', "");
    Error('\p{Is_Jg=:= -Dalath_rish}');
    Error('\P{Is_Jg=:= -Dalath_rish}');
    Expect(1, 1839, '\p{Is_Jg=dalathrish}', "");
    Expect(0, 1839, '\p{^Is_Jg=dalathrish}', "");
    Expect(0, 1839, '\P{Is_Jg=dalathrish}', "");
    Expect(1, 1839, '\P{^Is_Jg=dalathrish}', "");
    Expect(0, 1840, '\p{Is_Jg=dalathrish}', "");
    Expect(1, 1840, '\p{^Is_Jg=dalathrish}', "");
    Expect(1, 1840, '\P{Is_Jg=dalathrish}', "");
    Expect(0, 1840, '\P{^Is_Jg=dalathrish}', "");
    Expect(1, 1839, '\p{Is_Jg=-_dalath_RISH}', "");
    Expect(0, 1839, '\p{^Is_Jg=-_dalath_RISH}', "");
    Expect(0, 1839, '\P{Is_Jg=-_dalath_RISH}', "");
    Expect(1, 1839, '\P{^Is_Jg=-_dalath_RISH}', "");
    Expect(0, 1840, '\p{Is_Jg=-_dalath_RISH}', "");
    Expect(1, 1840, '\p{^Is_Jg=-_dalath_RISH}', "");
    Expect(1, 1840, '\P{Is_Jg=-_dalath_RISH}', "");
    Expect(0, 1840, '\P{^Is_Jg=-_dalath_RISH}', "");
    Error('\p{Joining_Group=/a/-	E}');
    Error('\P{Joining_Group=/a/-	E}');
    Expect(1, 1829, '\p{Joining_Group=:\AE\z:}', "");;
    Expect(0, 1830, '\p{Joining_Group=:\AE\z:}', "");;
    Expect(1, 1829, '\p{Joining_Group=e}', "");
    Expect(0, 1829, '\p{^Joining_Group=e}', "");
    Expect(0, 1829, '\P{Joining_Group=e}', "");
    Expect(1, 1829, '\P{^Joining_Group=e}', "");
    Expect(0, 1830, '\p{Joining_Group=e}', "");
    Expect(1, 1830, '\p{^Joining_Group=e}', "");
    Expect(1, 1830, '\P{Joining_Group=e}', "");
    Expect(0, 1830, '\P{^Joining_Group=e}', "");
    Expect(1, 1829, '\p{Joining_Group=:\Ae\z:}', "");;
    Expect(0, 1830, '\p{Joining_Group=:\Ae\z:}', "");;
    Expect(1, 1829, '\p{Joining_Group= _e}', "");
    Expect(0, 1829, '\p{^Joining_Group= _e}', "");
    Expect(0, 1829, '\P{Joining_Group= _e}', "");
    Expect(1, 1829, '\P{^Joining_Group= _e}', "");
    Expect(0, 1830, '\p{Joining_Group= _e}', "");
    Expect(1, 1830, '\p{^Joining_Group= _e}', "");
    Expect(1, 1830, '\P{Joining_Group= _e}', "");
    Expect(0, 1830, '\P{^Joining_Group= _e}', "");
    Error('\p{Jg: /a/E}');
    Error('\P{Jg: /a/E}');
    Expect(1, 1829, '\p{Jg=:\AE\z:}', "");;
    Expect(0, 1830, '\p{Jg=:\AE\z:}', "");;
    Expect(1, 1829, '\p{Jg=e}', "");
    Expect(0, 1829, '\p{^Jg=e}', "");
    Expect(0, 1829, '\P{Jg=e}', "");
    Expect(1, 1829, '\P{^Jg=e}', "");
    Expect(0, 1830, '\p{Jg=e}', "");
    Expect(1, 1830, '\p{^Jg=e}', "");
    Expect(1, 1830, '\P{Jg=e}', "");
    Expect(0, 1830, '\P{^Jg=e}', "");
    Expect(1, 1829, '\p{Jg=:\Ae\z:}', "");;
    Expect(0, 1830, '\p{Jg=:\Ae\z:}', "");;
    Expect(1, 1829, '\p{Jg=  E}', "");
    Expect(0, 1829, '\p{^Jg=  E}', "");
    Expect(0, 1829, '\P{Jg=  E}', "");
    Expect(1, 1829, '\P{^Jg=  E}', "");
    Expect(0, 1830, '\p{Jg=  E}', "");
    Expect(1, 1830, '\p{^Jg=  E}', "");
    Expect(1, 1830, '\P{Jg=  E}', "");
    Expect(0, 1830, '\P{^Jg=  E}', "");
    Error('\p{Is_Joining_Group=-E:=}');
    Error('\P{Is_Joining_Group=-E:=}');
    Expect(1, 1829, '\p{Is_Joining_Group=e}', "");
    Expect(0, 1829, '\p{^Is_Joining_Group=e}', "");
    Expect(0, 1829, '\P{Is_Joining_Group=e}', "");
    Expect(1, 1829, '\P{^Is_Joining_Group=e}', "");
    Expect(0, 1830, '\p{Is_Joining_Group=e}', "");
    Expect(1, 1830, '\p{^Is_Joining_Group=e}', "");
    Expect(1, 1830, '\P{Is_Joining_Group=e}', "");
    Expect(0, 1830, '\P{^Is_Joining_Group=e}', "");
    Expect(1, 1829, '\p{Is_Joining_Group=__E}', "");
    Expect(0, 1829, '\p{^Is_Joining_Group=__E}', "");
    Expect(0, 1829, '\P{Is_Joining_Group=__E}', "");
    Expect(1, 1829, '\P{^Is_Joining_Group=__E}', "");
    Expect(0, 1830, '\p{Is_Joining_Group=__E}', "");
    Expect(1, 1830, '\p{^Is_Joining_Group=__E}', "");
    Expect(1, 1830, '\P{Is_Joining_Group=__E}', "");
    Expect(0, 1830, '\P{^Is_Joining_Group=__E}', "");
    Error('\p{Is_Jg=/a/_ E}');
    Error('\P{Is_Jg=/a/_ E}');
    Expect(1, 1829, '\p{Is_Jg=e}', "");
    Expect(0, 1829, '\p{^Is_Jg=e}', "");
    Expect(0, 1829, '\P{Is_Jg=e}', "");
    Expect(1, 1829, '\P{^Is_Jg=e}', "");
    Expect(0, 1830, '\p{Is_Jg=e}', "");
    Expect(1, 1830, '\p{^Is_Jg=e}', "");
    Expect(1, 1830, '\P{Is_Jg=e}', "");
    Expect(0, 1830, '\P{^Is_Jg=e}', "");
    Expect(1, 1829, '\p{Is_Jg=E}', "");
    Expect(0, 1829, '\p{^Is_Jg=E}', "");
    Expect(0, 1829, '\P{Is_Jg=E}', "");
    Expect(1, 1829, '\P{^Is_Jg=E}', "");
    Expect(0, 1830, '\p{Is_Jg=E}', "");
    Expect(1, 1830, '\p{^Is_Jg=E}', "");
    Expect(1, 1830, '\P{Is_Jg=E}', "");
    Expect(0, 1830, '\P{^Is_Jg=E}', "");
    Error('\p{Joining_Group=_Farsi_yeh/a/}');
    Error('\P{Joining_Group=_Farsi_yeh/a/}');
    Expect(1, 1910, '\p{Joining_Group=:\AFarsi_Yeh\z:}', "");;
    Expect(0, 1911, '\p{Joining_Group=:\AFarsi_Yeh\z:}', "");;
    Expect(1, 1910, '\p{Joining_Group=farsiyeh}', "");
    Expect(0, 1910, '\p{^Joining_Group=farsiyeh}', "");
    Expect(0, 1910, '\P{Joining_Group=farsiyeh}', "");
    Expect(1, 1910, '\P{^Joining_Group=farsiyeh}', "");
    Expect(0, 1911, '\p{Joining_Group=farsiyeh}', "");
    Expect(1, 1911, '\p{^Joining_Group=farsiyeh}', "");
    Expect(1, 1911, '\P{Joining_Group=farsiyeh}', "");
    Expect(0, 1911, '\P{^Joining_Group=farsiyeh}', "");
    Expect(1, 1910, '\p{Joining_Group=:\Afarsiyeh\z:}', "");;
    Expect(0, 1911, '\p{Joining_Group=:\Afarsiyeh\z:}', "");;
    Expect(1, 1910, '\p{Joining_Group= -FARSI_YEH}', "");
    Expect(0, 1910, '\p{^Joining_Group= -FARSI_YEH}', "");
    Expect(0, 1910, '\P{Joining_Group= -FARSI_YEH}', "");
    Expect(1, 1910, '\P{^Joining_Group= -FARSI_YEH}', "");
    Expect(0, 1911, '\p{Joining_Group= -FARSI_YEH}', "");
    Expect(1, 1911, '\p{^Joining_Group= -FARSI_YEH}', "");
    Expect(1, 1911, '\P{Joining_Group= -FARSI_YEH}', "");
    Expect(0, 1911, '\P{^Joining_Group= -FARSI_YEH}', "");
    Error('\p{Jg=/a/ -farsi_YEH}');
    Error('\P{Jg=/a/ -farsi_YEH}');
    Expect(1, 1910, '\p{Jg=:\AFarsi_Yeh\z:}', "");;
    Expect(0, 1911, '\p{Jg=:\AFarsi_Yeh\z:}', "");;
    Expect(1, 1910, '\p{Jg=farsiyeh}', "");
    Expect(0, 1910, '\p{^Jg=farsiyeh}', "");
    Expect(0, 1910, '\P{Jg=farsiyeh}', "");
    Expect(1, 1910, '\P{^Jg=farsiyeh}', "");
    Expect(0, 1911, '\p{Jg=farsiyeh}', "");
    Expect(1, 1911, '\p{^Jg=farsiyeh}', "");
    Expect(1, 1911, '\P{Jg=farsiyeh}', "");
    Expect(0, 1911, '\P{^Jg=farsiyeh}', "");
    Expect(1, 1910, '\p{Jg=:\Afarsiyeh\z:}', "");;
    Expect(0, 1911, '\p{Jg=:\Afarsiyeh\z:}', "");;
    Expect(1, 1910, '\p{Jg=	Farsi_yeh}', "");
    Expect(0, 1910, '\p{^Jg=	Farsi_yeh}', "");
    Expect(0, 1910, '\P{Jg=	Farsi_yeh}', "");
    Expect(1, 1910, '\P{^Jg=	Farsi_yeh}', "");
    Expect(0, 1911, '\p{Jg=	Farsi_yeh}', "");
    Expect(1, 1911, '\p{^Jg=	Farsi_yeh}', "");
    Expect(1, 1911, '\P{Jg=	Farsi_yeh}', "");
    Expect(0, 1911, '\P{^Jg=	Farsi_yeh}', "");
    Error('\p{Is_Joining_Group=_/a/Farsi_YEH}');
    Error('\P{Is_Joining_Group=_/a/Farsi_YEH}');
    Expect(1, 1910, '\p{Is_Joining_Group=farsiyeh}', "");
    Expect(0, 1910, '\p{^Is_Joining_Group=farsiyeh}', "");
    Expect(0, 1910, '\P{Is_Joining_Group=farsiyeh}', "");
    Expect(1, 1910, '\P{^Is_Joining_Group=farsiyeh}', "");
    Expect(0, 1911, '\p{Is_Joining_Group=farsiyeh}', "");
    Expect(1, 1911, '\p{^Is_Joining_Group=farsiyeh}', "");
    Expect(1, 1911, '\P{Is_Joining_Group=farsiyeh}', "");
    Expect(0, 1911, '\P{^Is_Joining_Group=farsiyeh}', "");
    Expect(1, 1910, '\p{Is_Joining_Group=	Farsi_yeh}', "");
    Expect(0, 1910, '\p{^Is_Joining_Group=	Farsi_yeh}', "");
    Expect(0, 1910, '\P{Is_Joining_Group=	Farsi_yeh}', "");
    Expect(1, 1910, '\P{^Is_Joining_Group=	Farsi_yeh}', "");
    Expect(0, 1911, '\p{Is_Joining_Group=	Farsi_yeh}', "");
    Expect(1, 1911, '\p{^Is_Joining_Group=	Farsi_yeh}', "");
    Expect(1, 1911, '\P{Is_Joining_Group=	Farsi_yeh}', "");
    Expect(0, 1911, '\P{^Is_Joining_Group=	Farsi_yeh}', "");
    Error('\p{Is_Jg:	/a/ _FARSI_yeh}');
    Error('\P{Is_Jg:	/a/ _FARSI_yeh}');
    Expect(1, 1910, '\p{Is_Jg=farsiyeh}', "");
    Expect(0, 1910, '\p{^Is_Jg=farsiyeh}', "");
    Expect(0, 1910, '\P{Is_Jg=farsiyeh}', "");
    Expect(1, 1910, '\P{^Is_Jg=farsiyeh}', "");
    Expect(0, 1911, '\p{Is_Jg=farsiyeh}', "");
    Expect(1, 1911, '\p{^Is_Jg=farsiyeh}', "");
    Expect(1, 1911, '\P{Is_Jg=farsiyeh}', "");
    Expect(0, 1911, '\P{^Is_Jg=farsiyeh}', "");
    Expect(1, 1910, '\p{Is_Jg=_Farsi_Yeh}', "");
    Expect(0, 1910, '\p{^Is_Jg=_Farsi_Yeh}', "");
    Expect(0, 1910, '\P{Is_Jg=_Farsi_Yeh}', "");
    Expect(1, 1910, '\P{^Is_Jg=_Farsi_Yeh}', "");
    Expect(0, 1911, '\p{Is_Jg=_Farsi_Yeh}', "");
    Expect(1, 1911, '\p{^Is_Jg=_Farsi_Yeh}', "");
    Expect(1, 1911, '\P{Is_Jg=_Farsi_Yeh}', "");
    Expect(0, 1911, '\P{^Is_Jg=_Farsi_Yeh}', "");
    Error('\p{Joining_Group:	 	fe/a/}');
    Error('\P{Joining_Group:	 	fe/a/}');
    Expect(1, 1871, '\p{Joining_Group=:\AFe\z:}', "");;
    Expect(0, 1872, '\p{Joining_Group=:\AFe\z:}', "");;
    Expect(1, 1871, '\p{Joining_Group=fe}', "");
    Expect(0, 1871, '\p{^Joining_Group=fe}', "");
    Expect(0, 1871, '\P{Joining_Group=fe}', "");
    Expect(1, 1871, '\P{^Joining_Group=fe}', "");
    Expect(0, 1872, '\p{Joining_Group=fe}', "");
    Expect(1, 1872, '\p{^Joining_Group=fe}', "");
    Expect(1, 1872, '\P{Joining_Group=fe}', "");
    Expect(0, 1872, '\P{^Joining_Group=fe}', "");
    Expect(1, 1871, '\p{Joining_Group=:\Afe\z:}', "");;
    Expect(0, 1872, '\p{Joining_Group=:\Afe\z:}', "");;
    Expect(1, 1871, '\p{Joining_Group=  Fe}', "");
    Expect(0, 1871, '\p{^Joining_Group=  Fe}', "");
    Expect(0, 1871, '\P{Joining_Group=  Fe}', "");
    Expect(1, 1871, '\P{^Joining_Group=  Fe}', "");
    Expect(0, 1872, '\p{Joining_Group=  Fe}', "");
    Expect(1, 1872, '\p{^Joining_Group=  Fe}', "");
    Expect(1, 1872, '\P{Joining_Group=  Fe}', "");
    Expect(0, 1872, '\P{^Joining_Group=  Fe}', "");
    Error('\p{Jg=/a/FE}');
    Error('\P{Jg=/a/FE}');
    Expect(1, 1871, '\p{Jg=:\AFe\z:}', "");;
    Expect(0, 1872, '\p{Jg=:\AFe\z:}', "");;
    Expect(1, 1871, '\p{Jg=fe}', "");
    Expect(0, 1871, '\p{^Jg=fe}', "");
    Expect(0, 1871, '\P{Jg=fe}', "");
    Expect(1, 1871, '\P{^Jg=fe}', "");
    Expect(0, 1872, '\p{Jg=fe}', "");
    Expect(1, 1872, '\p{^Jg=fe}', "");
    Expect(1, 1872, '\P{Jg=fe}', "");
    Expect(0, 1872, '\P{^Jg=fe}', "");
    Expect(1, 1871, '\p{Jg=:\Afe\z:}', "");;
    Expect(0, 1872, '\p{Jg=:\Afe\z:}', "");;
    Expect(1, 1871, '\p{Jg=--fe}', "");
    Expect(0, 1871, '\p{^Jg=--fe}', "");
    Expect(0, 1871, '\P{Jg=--fe}', "");
    Expect(1, 1871, '\P{^Jg=--fe}', "");
    Expect(0, 1872, '\p{Jg=--fe}', "");
    Expect(1, 1872, '\p{^Jg=--fe}', "");
    Expect(1, 1872, '\P{Jg=--fe}', "");
    Expect(0, 1872, '\P{^Jg=--fe}', "");
    Error('\p{Is_Joining_Group=/a/_-fe}');
    Error('\P{Is_Joining_Group=/a/_-fe}');
    Expect(1, 1871, '\p{Is_Joining_Group=fe}', "");
    Expect(0, 1871, '\p{^Is_Joining_Group=fe}', "");
    Expect(0, 1871, '\P{Is_Joining_Group=fe}', "");
    Expect(1, 1871, '\P{^Is_Joining_Group=fe}', "");
    Expect(0, 1872, '\p{Is_Joining_Group=fe}', "");
    Expect(1, 1872, '\p{^Is_Joining_Group=fe}', "");
    Expect(1, 1872, '\P{Is_Joining_Group=fe}', "");
    Expect(0, 1872, '\P{^Is_Joining_Group=fe}', "");
    Expect(1, 1871, '\p{Is_Joining_Group=__Fe}', "");
    Expect(0, 1871, '\p{^Is_Joining_Group=__Fe}', "");
    Expect(0, 1871, '\P{Is_Joining_Group=__Fe}', "");
    Expect(1, 1871, '\P{^Is_Joining_Group=__Fe}', "");
    Expect(0, 1872, '\p{Is_Joining_Group=__Fe}', "");
    Expect(1, 1872, '\p{^Is_Joining_Group=__Fe}', "");
    Expect(1, 1872, '\P{Is_Joining_Group=__Fe}', "");
    Expect(0, 1872, '\P{^Is_Joining_Group=__Fe}', "");
    Error('\p{Is_Jg=:=-Fe}');
    Error('\P{Is_Jg=:=-Fe}');
    Expect(1, 1871, '\p{Is_Jg: fe}', "");
    Expect(0, 1871, '\p{^Is_Jg: fe}', "");
    Expect(0, 1871, '\P{Is_Jg: fe}', "");
    Expect(1, 1871, '\P{^Is_Jg: fe}', "");
    Expect(0, 1872, '\p{Is_Jg: fe}', "");
    Expect(1, 1872, '\p{^Is_Jg: fe}', "");
    Expect(1, 1872, '\P{Is_Jg: fe}', "");
    Expect(0, 1872, '\P{^Is_Jg: fe}', "");
    Expect(1, 1871, '\p{Is_Jg= Fe}', "");
    Expect(0, 1871, '\p{^Is_Jg= Fe}', "");
    Expect(0, 1871, '\P{Is_Jg= Fe}', "");
    Expect(1, 1871, '\P{^Is_Jg= Fe}', "");
    Expect(0, 1872, '\p{Is_Jg= Fe}', "");
    Expect(1, 1872, '\p{^Is_Jg= Fe}', "");
    Expect(1, 1872, '\P{Is_Jg= Fe}', "");
    Expect(0, 1872, '\P{^Is_Jg= Fe}', "");
    Error('\p{Joining_Group=:=feh}');
    Error('\P{Joining_Group=:=feh}');
    Expect(1, 2212, '\p{Joining_Group=:\AFeh\z:}', "");;
    Expect(0, 2213, '\p{Joining_Group=:\AFeh\z:}', "");;
    Expect(1, 2212, '\p{Joining_Group=feh}', "");
    Expect(0, 2212, '\p{^Joining_Group=feh}', "");
    Expect(0, 2212, '\P{Joining_Group=feh}', "");
    Expect(1, 2212, '\P{^Joining_Group=feh}', "");
    Expect(0, 2213, '\p{Joining_Group=feh}', "");
    Expect(1, 2213, '\p{^Joining_Group=feh}', "");
    Expect(1, 2213, '\P{Joining_Group=feh}', "");
    Expect(0, 2213, '\P{^Joining_Group=feh}', "");
    Expect(1, 2212, '\p{Joining_Group=:\Afeh\z:}', "");;
    Expect(0, 2213, '\p{Joining_Group=:\Afeh\z:}', "");;
    Expect(1, 2212, '\p{Joining_Group=Feh}', "");
    Expect(0, 2212, '\p{^Joining_Group=Feh}', "");
    Expect(0, 2212, '\P{Joining_Group=Feh}', "");
    Expect(1, 2212, '\P{^Joining_Group=Feh}', "");
    Expect(0, 2213, '\p{Joining_Group=Feh}', "");
    Expect(1, 2213, '\p{^Joining_Group=Feh}', "");
    Expect(1, 2213, '\P{Joining_Group=Feh}', "");
    Expect(0, 2213, '\P{^Joining_Group=Feh}', "");
    Error('\p{Jg= /a/Feh}');
    Error('\P{Jg= /a/Feh}');
    Expect(1, 2212, '\p{Jg=:\AFeh\z:}', "");;
    Expect(0, 2213, '\p{Jg=:\AFeh\z:}', "");;
    Expect(1, 2212, '\p{Jg:	feh}', "");
    Expect(0, 2212, '\p{^Jg:	feh}', "");
    Expect(0, 2212, '\P{Jg:	feh}', "");
    Expect(1, 2212, '\P{^Jg:	feh}', "");
    Expect(0, 2213, '\p{Jg:	feh}', "");
    Expect(1, 2213, '\p{^Jg:	feh}', "");
    Expect(1, 2213, '\P{Jg:	feh}', "");
    Expect(0, 2213, '\P{^Jg:	feh}', "");
    Expect(1, 2212, '\p{Jg=:\Afeh\z:}', "");;
    Expect(0, 2213, '\p{Jg=:\Afeh\z:}', "");;
    Expect(1, 2212, '\p{Jg=_FEH}', "");
    Expect(0, 2212, '\p{^Jg=_FEH}', "");
    Expect(0, 2212, '\P{Jg=_FEH}', "");
    Expect(1, 2212, '\P{^Jg=_FEH}', "");
    Expect(0, 2213, '\p{Jg=_FEH}', "");
    Expect(1, 2213, '\p{^Jg=_FEH}', "");
    Expect(1, 2213, '\P{Jg=_FEH}', "");
    Expect(0, 2213, '\P{^Jg=_FEH}', "");
    Error('\p{Is_Joining_Group=__feh:=}');
    Error('\P{Is_Joining_Group=__feh:=}');
    Expect(1, 2212, '\p{Is_Joining_Group=feh}', "");
    Expect(0, 2212, '\p{^Is_Joining_Group=feh}', "");
    Expect(0, 2212, '\P{Is_Joining_Group=feh}', "");
    Expect(1, 2212, '\P{^Is_Joining_Group=feh}', "");
    Expect(0, 2213, '\p{Is_Joining_Group=feh}', "");
    Expect(1, 2213, '\p{^Is_Joining_Group=feh}', "");
    Expect(1, 2213, '\P{Is_Joining_Group=feh}', "");
    Expect(0, 2213, '\P{^Is_Joining_Group=feh}', "");
    Expect(1, 2212, '\p{Is_Joining_Group= _Feh}', "");
    Expect(0, 2212, '\p{^Is_Joining_Group= _Feh}', "");
    Expect(0, 2212, '\P{Is_Joining_Group= _Feh}', "");
    Expect(1, 2212, '\P{^Is_Joining_Group= _Feh}', "");
    Expect(0, 2213, '\p{Is_Joining_Group= _Feh}', "");
    Expect(1, 2213, '\p{^Is_Joining_Group= _Feh}', "");
    Expect(1, 2213, '\P{Is_Joining_Group= _Feh}', "");
    Expect(0, 2213, '\P{^Is_Joining_Group= _Feh}', "");
    Error('\p{Is_Jg=/a/	_FEH}');
    Error('\P{Is_Jg=/a/	_FEH}');
    Expect(1, 2212, '\p{Is_Jg=feh}', "");
    Expect(0, 2212, '\p{^Is_Jg=feh}', "");
    Expect(0, 2212, '\P{Is_Jg=feh}', "");
    Expect(1, 2212, '\P{^Is_Jg=feh}', "");
    Expect(0, 2213, '\p{Is_Jg=feh}', "");
    Expect(1, 2213, '\p{^Is_Jg=feh}', "");
    Expect(1, 2213, '\P{Is_Jg=feh}', "");
    Expect(0, 2213, '\P{^Is_Jg=feh}', "");
    Expect(1, 2212, '\p{Is_Jg=FEH}', "");
    Expect(0, 2212, '\p{^Is_Jg=FEH}', "");
    Expect(0, 2212, '\P{Is_Jg=FEH}', "");
    Expect(1, 2212, '\P{^Is_Jg=FEH}', "");
    Expect(0, 2213, '\p{Is_Jg=FEH}', "");
    Expect(1, 2213, '\p{^Is_Jg=FEH}', "");
    Expect(1, 2213, '\P{Is_Jg=FEH}', "");
    Expect(0, 2213, '\P{^Is_Jg=FEH}', "");
    Error('\p{Joining_Group=_ FINAL_SEMKATH:=}');
    Error('\P{Joining_Group=_ FINAL_SEMKATH:=}');
    Expect(1, 1828, '\p{Joining_Group=:\AFinal_Semkath\z:}', "");;
    Expect(0, 1829, '\p{Joining_Group=:\AFinal_Semkath\z:}', "");;
    Expect(1, 1828, '\p{Joining_Group=finalsemkath}', "");
    Expect(0, 1828, '\p{^Joining_Group=finalsemkath}', "");
    Expect(0, 1828, '\P{Joining_Group=finalsemkath}', "");
    Expect(1, 1828, '\P{^Joining_Group=finalsemkath}', "");
    Expect(0, 1829, '\p{Joining_Group=finalsemkath}', "");
    Expect(1, 1829, '\p{^Joining_Group=finalsemkath}', "");
    Expect(1, 1829, '\P{Joining_Group=finalsemkath}', "");
    Expect(0, 1829, '\P{^Joining_Group=finalsemkath}', "");
    Expect(1, 1828, '\p{Joining_Group=:\Afinalsemkath\z:}', "");;
    Expect(0, 1829, '\p{Joining_Group=:\Afinalsemkath\z:}', "");;
    Expect(1, 1828, '\p{Joining_Group=		Final_SEMKATH}', "");
    Expect(0, 1828, '\p{^Joining_Group=		Final_SEMKATH}', "");
    Expect(0, 1828, '\P{Joining_Group=		Final_SEMKATH}', "");
    Expect(1, 1828, '\P{^Joining_Group=		Final_SEMKATH}', "");
    Expect(0, 1829, '\p{Joining_Group=		Final_SEMKATH}', "");
    Expect(1, 1829, '\p{^Joining_Group=		Final_SEMKATH}', "");
    Expect(1, 1829, '\P{Joining_Group=		Final_SEMKATH}', "");
    Expect(0, 1829, '\P{^Joining_Group=		Final_SEMKATH}', "");
    Error('\p{Jg=/a/ -Final_semkath}');
    Error('\P{Jg=/a/ -Final_semkath}');
    Expect(1, 1828, '\p{Jg=:\AFinal_Semkath\z:}', "");;
    Expect(0, 1829, '\p{Jg=:\AFinal_Semkath\z:}', "");;
    Expect(1, 1828, '\p{Jg:	finalsemkath}', "");
    Expect(0, 1828, '\p{^Jg:	finalsemkath}', "");
    Expect(0, 1828, '\P{Jg:	finalsemkath}', "");
    Expect(1, 1828, '\P{^Jg:	finalsemkath}', "");
    Expect(0, 1829, '\p{Jg:	finalsemkath}', "");
    Expect(1, 1829, '\p{^Jg:	finalsemkath}', "");
    Expect(1, 1829, '\P{Jg:	finalsemkath}', "");
    Expect(0, 1829, '\P{^Jg:	finalsemkath}', "");
    Expect(1, 1828, '\p{Jg=:\Afinalsemkath\z:}', "");;
    Expect(0, 1829, '\p{Jg=:\Afinalsemkath\z:}', "");;
    Expect(1, 1828, '\p{Jg=_	Final_Semkath}', "");
    Expect(0, 1828, '\p{^Jg=_	Final_Semkath}', "");
    Expect(0, 1828, '\P{Jg=_	Final_Semkath}', "");
    Expect(1, 1828, '\P{^Jg=_	Final_Semkath}', "");
    Expect(0, 1829, '\p{Jg=_	Final_Semkath}', "");
    Expect(1, 1829, '\p{^Jg=_	Final_Semkath}', "");
    Expect(1, 1829, '\P{Jg=_	Final_Semkath}', "");
    Expect(0, 1829, '\P{^Jg=_	Final_Semkath}', "");
    Error('\p{Is_Joining_Group=	Final_semkath:=}');
    Error('\P{Is_Joining_Group=	Final_semkath:=}');
    Expect(1, 1828, '\p{Is_Joining_Group=finalsemkath}', "");
    Expect(0, 1828, '\p{^Is_Joining_Group=finalsemkath}', "");
    Expect(0, 1828, '\P{Is_Joining_Group=finalsemkath}', "");
    Expect(1, 1828, '\P{^Is_Joining_Group=finalsemkath}', "");
    Expect(0, 1829, '\p{Is_Joining_Group=finalsemkath}', "");
    Expect(1, 1829, '\p{^Is_Joining_Group=finalsemkath}', "");
    Expect(1, 1829, '\P{Is_Joining_Group=finalsemkath}', "");
    Expect(0, 1829, '\P{^Is_Joining_Group=finalsemkath}', "");
    Expect(1, 1828, '\p{Is_Joining_Group=_Final_SEMKATH}', "");
    Expect(0, 1828, '\p{^Is_Joining_Group=_Final_SEMKATH}', "");
    Expect(0, 1828, '\P{Is_Joining_Group=_Final_SEMKATH}', "");
    Expect(1, 1828, '\P{^Is_Joining_Group=_Final_SEMKATH}', "");
    Expect(0, 1829, '\p{Is_Joining_Group=_Final_SEMKATH}', "");
    Expect(1, 1829, '\p{^Is_Joining_Group=_Final_SEMKATH}', "");
    Expect(1, 1829, '\P{Is_Joining_Group=_Final_SEMKATH}', "");
    Expect(0, 1829, '\P{^Is_Joining_Group=_Final_SEMKATH}', "");
    Error('\p{Is_Jg=:=Final_Semkath}');
    Error('\P{Is_Jg=:=Final_Semkath}');
    Expect(1, 1828, '\p{Is_Jg=finalsemkath}', "");
    Expect(0, 1828, '\p{^Is_Jg=finalsemkath}', "");
    Expect(0, 1828, '\P{Is_Jg=finalsemkath}', "");
    Expect(1, 1828, '\P{^Is_Jg=finalsemkath}', "");
    Expect(0, 1829, '\p{Is_Jg=finalsemkath}', "");
    Expect(1, 1829, '\p{^Is_Jg=finalsemkath}', "");
    Expect(1, 1829, '\P{Is_Jg=finalsemkath}', "");
    Expect(0, 1829, '\P{^Is_Jg=finalsemkath}', "");
    Expect(1, 1828, '\p{Is_Jg=- final_SEMKATH}', "");
    Expect(0, 1828, '\p{^Is_Jg=- final_SEMKATH}', "");
    Expect(0, 1828, '\P{Is_Jg=- final_SEMKATH}', "");
    Expect(1, 1828, '\P{^Is_Jg=- final_SEMKATH}', "");
    Expect(0, 1829, '\p{Is_Jg=- final_SEMKATH}', "");
    Expect(1, 1829, '\p{^Is_Jg=- final_SEMKATH}', "");
    Expect(1, 1829, '\P{Is_Jg=- final_SEMKATH}', "");
    Expect(0, 1829, '\P{^Is_Jg=- final_SEMKATH}', "");
    Error('\p{Joining_Group: - Gaf/a/}');
    Error('\P{Joining_Group: - Gaf/a/}');
    Expect(1, 2248, '\p{Joining_Group=:\AGaf\z:}', "");;
    Expect(0, 2249, '\p{Joining_Group=:\AGaf\z:}', "");;
    Expect(1, 2248, '\p{Joining_Group=gaf}', "");
    Expect(0, 2248, '\p{^Joining_Group=gaf}', "");
    Expect(0, 2248, '\P{Joining_Group=gaf}', "");
    Expect(1, 2248, '\P{^Joining_Group=gaf}', "");
    Expect(0, 2249, '\p{Joining_Group=gaf}', "");
    Expect(1, 2249, '\p{^Joining_Group=gaf}', "");
    Expect(1, 2249, '\P{Joining_Group=gaf}', "");
    Expect(0, 2249, '\P{^Joining_Group=gaf}', "");
    Expect(1, 2248, '\p{Joining_Group=:\Agaf\z:}', "");;
    Expect(0, 2249, '\p{Joining_Group=:\Agaf\z:}', "");;
    Expect(1, 2248, '\p{Joining_Group=_GAF}', "");
    Expect(0, 2248, '\p{^Joining_Group=_GAF}', "");
    Expect(0, 2248, '\P{Joining_Group=_GAF}', "");
    Expect(1, 2248, '\P{^Joining_Group=_GAF}', "");
    Expect(0, 2249, '\p{Joining_Group=_GAF}', "");
    Expect(1, 2249, '\p{^Joining_Group=_GAF}', "");
    Expect(1, 2249, '\P{Joining_Group=_GAF}', "");
    Expect(0, 2249, '\P{^Joining_Group=_GAF}', "");
    Error('\p{Jg=/a/-GAF}');
    Error('\P{Jg=/a/-GAF}');
    Expect(1, 2248, '\p{Jg=:\AGaf\z:}', "");;
    Expect(0, 2249, '\p{Jg=:\AGaf\z:}', "");;
    Expect(1, 2248, '\p{Jg=gaf}', "");
    Expect(0, 2248, '\p{^Jg=gaf}', "");
    Expect(0, 2248, '\P{Jg=gaf}', "");
    Expect(1, 2248, '\P{^Jg=gaf}', "");
    Expect(0, 2249, '\p{Jg=gaf}', "");
    Expect(1, 2249, '\p{^Jg=gaf}', "");
    Expect(1, 2249, '\P{Jg=gaf}', "");
    Expect(0, 2249, '\P{^Jg=gaf}', "");
    Expect(1, 2248, '\p{Jg=:\Agaf\z:}', "");;
    Expect(0, 2249, '\p{Jg=:\Agaf\z:}', "");;
    Expect(1, 2248, '\p{Jg=_	Gaf}', "");
    Expect(0, 2248, '\p{^Jg=_	Gaf}', "");
    Expect(0, 2248, '\P{Jg=_	Gaf}', "");
    Expect(1, 2248, '\P{^Jg=_	Gaf}', "");
    Expect(0, 2249, '\p{Jg=_	Gaf}', "");
    Expect(1, 2249, '\p{^Jg=_	Gaf}', "");
    Expect(1, 2249, '\P{Jg=_	Gaf}', "");
    Expect(0, 2249, '\P{^Jg=_	Gaf}', "");
    Error('\p{Is_Joining_Group=-/a/GAF}');
    Error('\P{Is_Joining_Group=-/a/GAF}');
    Expect(1, 2248, '\p{Is_Joining_Group:   gaf}', "");
    Expect(0, 2248, '\p{^Is_Joining_Group:   gaf}', "");
    Expect(0, 2248, '\P{Is_Joining_Group:   gaf}', "");
    Expect(1, 2248, '\P{^Is_Joining_Group:   gaf}', "");
    Expect(0, 2249, '\p{Is_Joining_Group:   gaf}', "");
    Expect(1, 2249, '\p{^Is_Joining_Group:   gaf}', "");
    Expect(1, 2249, '\P{Is_Joining_Group:   gaf}', "");
    Expect(0, 2249, '\P{^Is_Joining_Group:   gaf}', "");
    Expect(1, 2248, '\p{Is_Joining_Group=- Gaf}', "");
    Expect(0, 2248, '\p{^Is_Joining_Group=- Gaf}', "");
    Expect(0, 2248, '\P{Is_Joining_Group=- Gaf}', "");
    Expect(1, 2248, '\P{^Is_Joining_Group=- Gaf}', "");
    Expect(0, 2249, '\p{Is_Joining_Group=- Gaf}', "");
    Expect(1, 2249, '\p{^Is_Joining_Group=- Gaf}', "");
    Expect(1, 2249, '\P{Is_Joining_Group=- Gaf}', "");
    Expect(0, 2249, '\P{^Is_Joining_Group=- Gaf}', "");
    Error('\p{Is_Jg=_ gaf:=}');
    Error('\P{Is_Jg=_ gaf:=}');
    Expect(1, 2248, '\p{Is_Jg=gaf}', "");
    Expect(0, 2248, '\p{^Is_Jg=gaf}', "");
    Expect(0, 2248, '\P{Is_Jg=gaf}', "");
    Expect(1, 2248, '\P{^Is_Jg=gaf}', "");
    Expect(0, 2249, '\p{Is_Jg=gaf}', "");
    Expect(1, 2249, '\p{^Is_Jg=gaf}', "");
    Expect(1, 2249, '\P{Is_Jg=gaf}', "");
    Expect(0, 2249, '\P{^Is_Jg=gaf}', "");
    Expect(1, 2248, '\p{Is_Jg= -GAF}', "");
    Expect(0, 2248, '\p{^Is_Jg= -GAF}', "");
    Expect(0, 2248, '\P{Is_Jg= -GAF}', "");
    Expect(1, 2248, '\P{^Is_Jg= -GAF}', "");
    Expect(0, 2249, '\p{Is_Jg= -GAF}', "");
    Expect(1, 2249, '\p{^Is_Jg= -GAF}', "");
    Expect(1, 2249, '\P{Is_Jg= -GAF}', "");
    Expect(0, 2249, '\P{^Is_Jg= -GAF}', "");
    Error('\p{Joining_Group=	Gamal/a/}');
    Error('\P{Joining_Group=	Gamal/a/}');
    Expect(1, 1838, '\p{Joining_Group=:\AGamal\z:}', "");;
    Expect(0, 1839, '\p{Joining_Group=:\AGamal\z:}', "");;
    Expect(1, 1838, '\p{Joining_Group=gamal}', "");
    Expect(0, 1838, '\p{^Joining_Group=gamal}', "");
    Expect(0, 1838, '\P{Joining_Group=gamal}', "");
    Expect(1, 1838, '\P{^Joining_Group=gamal}', "");
    Expect(0, 1839, '\p{Joining_Group=gamal}', "");
    Expect(1, 1839, '\p{^Joining_Group=gamal}', "");
    Expect(1, 1839, '\P{Joining_Group=gamal}', "");
    Expect(0, 1839, '\P{^Joining_Group=gamal}', "");
    Expect(1, 1838, '\p{Joining_Group=:\Agamal\z:}', "");;
    Expect(0, 1839, '\p{Joining_Group=:\Agamal\z:}', "");;
    Expect(1, 1838, '\p{Joining_Group=	_gamal}', "");
    Expect(0, 1838, '\p{^Joining_Group=	_gamal}', "");
    Expect(0, 1838, '\P{Joining_Group=	_gamal}', "");
    Expect(1, 1838, '\P{^Joining_Group=	_gamal}', "");
    Expect(0, 1839, '\p{Joining_Group=	_gamal}', "");
    Expect(1, 1839, '\p{^Joining_Group=	_gamal}', "");
    Expect(1, 1839, '\P{Joining_Group=	_gamal}', "");
    Expect(0, 1839, '\P{^Joining_Group=	_gamal}', "");
    Error('\p{Jg=:= 	Gamal}');
    Error('\P{Jg=:= 	Gamal}');
    Expect(1, 1838, '\p{Jg=:\AGamal\z:}', "");;
    Expect(0, 1839, '\p{Jg=:\AGamal\z:}', "");;
    Expect(1, 1838, '\p{Jg=gamal}', "");
    Expect(0, 1838, '\p{^Jg=gamal}', "");
    Expect(0, 1838, '\P{Jg=gamal}', "");
    Expect(1, 1838, '\P{^Jg=gamal}', "");
    Expect(0, 1839, '\p{Jg=gamal}', "");
    Expect(1, 1839, '\p{^Jg=gamal}', "");
    Expect(1, 1839, '\P{Jg=gamal}', "");
    Expect(0, 1839, '\P{^Jg=gamal}', "");
    Expect(1, 1838, '\p{Jg=:\Agamal\z:}', "");;
    Expect(0, 1839, '\p{Jg=:\Agamal\z:}', "");;
    Expect(1, 1838, '\p{Jg=	 Gamal}', "");
    Expect(0, 1838, '\p{^Jg=	 Gamal}', "");
    Expect(0, 1838, '\P{Jg=	 Gamal}', "");
    Expect(1, 1838, '\P{^Jg=	 Gamal}', "");
    Expect(0, 1839, '\p{Jg=	 Gamal}', "");
    Expect(1, 1839, '\p{^Jg=	 Gamal}', "");
    Expect(1, 1839, '\P{Jg=	 Gamal}', "");
    Expect(0, 1839, '\P{^Jg=	 Gamal}', "");
    Error('\p{Is_Joining_Group=:=gamal}');
    Error('\P{Is_Joining_Group=:=gamal}');
    Expect(1, 1838, '\p{Is_Joining_Group=gamal}', "");
    Expect(0, 1838, '\p{^Is_Joining_Group=gamal}', "");
    Expect(0, 1838, '\P{Is_Joining_Group=gamal}', "");
    Expect(1, 1838, '\P{^Is_Joining_Group=gamal}', "");
    Expect(0, 1839, '\p{Is_Joining_Group=gamal}', "");
    Expect(1, 1839, '\p{^Is_Joining_Group=gamal}', "");
    Expect(1, 1839, '\P{Is_Joining_Group=gamal}', "");
    Expect(0, 1839, '\P{^Is_Joining_Group=gamal}', "");
    Expect(1, 1838, '\p{Is_Joining_Group=-_Gamal}', "");
    Expect(0, 1838, '\p{^Is_Joining_Group=-_Gamal}', "");
    Expect(0, 1838, '\P{Is_Joining_Group=-_Gamal}', "");
    Expect(1, 1838, '\P{^Is_Joining_Group=-_Gamal}', "");
    Expect(0, 1839, '\p{Is_Joining_Group=-_Gamal}', "");
    Expect(1, 1839, '\p{^Is_Joining_Group=-_Gamal}', "");
    Expect(1, 1839, '\P{Is_Joining_Group=-_Gamal}', "");
    Expect(0, 1839, '\P{^Is_Joining_Group=-_Gamal}', "");
    Error('\p{Is_Jg= gamal/a/}');
    Error('\P{Is_Jg= gamal/a/}');
    Expect(1, 1838, '\p{Is_Jg:   gamal}', "");
    Expect(0, 1838, '\p{^Is_Jg:   gamal}', "");
    Expect(0, 1838, '\P{Is_Jg:   gamal}', "");
    Expect(1, 1838, '\P{^Is_Jg:   gamal}', "");
    Expect(0, 1839, '\p{Is_Jg:   gamal}', "");
    Expect(1, 1839, '\p{^Is_Jg:   gamal}', "");
    Expect(1, 1839, '\P{Is_Jg:   gamal}', "");
    Expect(0, 1839, '\P{^Is_Jg:   gamal}', "");
    Expect(1, 1838, '\p{Is_Jg=- gamal}', "");
    Expect(0, 1838, '\p{^Is_Jg=- gamal}', "");
    Expect(0, 1838, '\P{Is_Jg=- gamal}', "");
    Expect(1, 1838, '\P{^Is_Jg=- gamal}', "");
    Expect(0, 1839, '\p{Is_Jg=- gamal}', "");
    Expect(1, 1839, '\p{^Is_Jg=- gamal}', "");
    Expect(1, 1839, '\P{Is_Jg=- gamal}', "");
    Expect(0, 1839, '\P{^Is_Jg=- gamal}', "");
    Error('\p{Joining_Group=/a/__hah}');
    Error('\P{Joining_Group=/a/__hah}');
    Expect(1, 2246, '\p{Joining_Group=:\AHah\z:}', "");;
    Expect(0, 2247, '\p{Joining_Group=:\AHah\z:}', "");;
    Expect(1, 2246, '\p{Joining_Group=hah}', "");
    Expect(0, 2246, '\p{^Joining_Group=hah}', "");
    Expect(0, 2246, '\P{Joining_Group=hah}', "");
    Expect(1, 2246, '\P{^Joining_Group=hah}', "");
    Expect(0, 2247, '\p{Joining_Group=hah}', "");
    Expect(1, 2247, '\p{^Joining_Group=hah}', "");
    Expect(1, 2247, '\P{Joining_Group=hah}', "");
    Expect(0, 2247, '\P{^Joining_Group=hah}', "");
    Expect(1, 2246, '\p{Joining_Group=:\Ahah\z:}', "");;
    Expect(0, 2247, '\p{Joining_Group=:\Ahah\z:}', "");;
    Expect(1, 2246, '\p{Joining_Group=_-Hah}', "");
    Expect(0, 2246, '\p{^Joining_Group=_-Hah}', "");
    Expect(0, 2246, '\P{Joining_Group=_-Hah}', "");
    Expect(1, 2246, '\P{^Joining_Group=_-Hah}', "");
    Expect(0, 2247, '\p{Joining_Group=_-Hah}', "");
    Expect(1, 2247, '\p{^Joining_Group=_-Hah}', "");
    Expect(1, 2247, '\P{Joining_Group=_-Hah}', "");
    Expect(0, 2247, '\P{^Joining_Group=_-Hah}', "");
    Error('\p{Jg:-_hah:=}');
    Error('\P{Jg:-_hah:=}');
    Expect(1, 2246, '\p{Jg=:\AHah\z:}', "");;
    Expect(0, 2247, '\p{Jg=:\AHah\z:}', "");;
    Expect(1, 2246, '\p{Jg:	hah}', "");
    Expect(0, 2246, '\p{^Jg:	hah}', "");
    Expect(0, 2246, '\P{Jg:	hah}', "");
    Expect(1, 2246, '\P{^Jg:	hah}', "");
    Expect(0, 2247, '\p{Jg:	hah}', "");
    Expect(1, 2247, '\p{^Jg:	hah}', "");
    Expect(1, 2247, '\P{Jg:	hah}', "");
    Expect(0, 2247, '\P{^Jg:	hah}', "");
    Expect(1, 2246, '\p{Jg=:\Ahah\z:}', "");;
    Expect(0, 2247, '\p{Jg=:\Ahah\z:}', "");;
    Expect(1, 2246, '\p{Jg=-Hah}', "");
    Expect(0, 2246, '\p{^Jg=-Hah}', "");
    Expect(0, 2246, '\P{Jg=-Hah}', "");
    Expect(1, 2246, '\P{^Jg=-Hah}', "");
    Expect(0, 2247, '\p{Jg=-Hah}', "");
    Expect(1, 2247, '\p{^Jg=-Hah}', "");
    Expect(1, 2247, '\P{Jg=-Hah}', "");
    Expect(0, 2247, '\P{^Jg=-Hah}', "");
    Error('\p{Is_Joining_Group=_ Hah/a/}');
    Error('\P{Is_Joining_Group=_ Hah/a/}');
    Expect(1, 2246, '\p{Is_Joining_Group=hah}', "");
    Expect(0, 2246, '\p{^Is_Joining_Group=hah}', "");
    Expect(0, 2246, '\P{Is_Joining_Group=hah}', "");
    Expect(1, 2246, '\P{^Is_Joining_Group=hah}', "");
    Expect(0, 2247, '\p{Is_Joining_Group=hah}', "");
    Expect(1, 2247, '\p{^Is_Joining_Group=hah}', "");
    Expect(1, 2247, '\P{Is_Joining_Group=hah}', "");
    Expect(0, 2247, '\P{^Is_Joining_Group=hah}', "");
    Expect(1, 2246, '\p{Is_Joining_Group= -Hah}', "");
    Expect(0, 2246, '\p{^Is_Joining_Group= -Hah}', "");
    Expect(0, 2246, '\P{Is_Joining_Group= -Hah}', "");
    Expect(1, 2246, '\P{^Is_Joining_Group= -Hah}', "");
    Expect(0, 2247, '\p{Is_Joining_Group= -Hah}', "");
    Expect(1, 2247, '\p{^Is_Joining_Group= -Hah}', "");
    Expect(1, 2247, '\P{Is_Joining_Group= -Hah}', "");
    Expect(0, 2247, '\P{^Is_Joining_Group= -Hah}', "");
    Error('\p{Is_Jg= :=HAH}');
    Error('\P{Is_Jg= :=HAH}');
    Expect(1, 2246, '\p{Is_Jg:	hah}', "");
    Expect(0, 2246, '\p{^Is_Jg:	hah}', "");
    Expect(0, 2246, '\P{Is_Jg:	hah}', "");
    Expect(1, 2246, '\P{^Is_Jg:	hah}', "");
    Expect(0, 2247, '\p{Is_Jg:	hah}', "");
    Expect(1, 2247, '\p{^Is_Jg:	hah}', "");
    Expect(1, 2247, '\P{Is_Jg:	hah}', "");
    Expect(0, 2247, '\P{^Is_Jg:	hah}', "");
    Expect(1, 2246, '\p{Is_Jg=_Hah}', "");
    Expect(0, 2246, '\p{^Is_Jg=_Hah}', "");
    Expect(0, 2246, '\P{Is_Jg=_Hah}', "");
    Expect(1, 2246, '\P{^Is_Jg=_Hah}', "");
    Expect(0, 2247, '\p{Is_Jg=_Hah}', "");
    Expect(1, 2247, '\p{^Is_Jg=_Hah}', "");
    Expect(1, 2247, '\P{Is_Jg=_Hah}', "");
    Expect(0, 2247, '\P{^Is_Jg=_Hah}', "");
    Error('\p{Joining_Group=:= 	Hanifi_rohingya_kinna_ya}');
    Error('\P{Joining_Group=:= 	Hanifi_rohingya_kinna_ya}');
    Expect(1, 68899, '\p{Joining_Group=:\AHanifi_Rohingya_Kinna_Ya\z:}', "");;
    Expect(0, 68900, '\p{Joining_Group=:\AHanifi_Rohingya_Kinna_Ya\z:}', "");;
    Expect(1, 68899, '\p{Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\p{^Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\P{Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\P{^Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\p{Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\p{^Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\P{Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\P{^Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\p{Joining_Group=:\Ahanifirohingyakinnaya\z:}', "");;
    Expect(0, 68900, '\p{Joining_Group=:\Ahanifirohingyakinnaya\z:}', "");;
    Expect(1, 68899, '\p{Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Expect(0, 68899, '\p{^Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Expect(0, 68899, '\P{Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Expect(1, 68899, '\P{^Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Expect(0, 68900, '\p{Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Expect(1, 68900, '\p{^Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Expect(1, 68900, '\P{Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Expect(0, 68900, '\P{^Joining_Group= 	Hanifi_Rohingya_Kinna_ya}', "");
    Error('\p{Jg=:= 	Hanifi_Rohingya_Kinna_YA}');
    Error('\P{Jg=:= 	Hanifi_Rohingya_Kinna_YA}');
    Expect(1, 68899, '\p{Jg=:\AHanifi_Rohingya_Kinna_Ya\z:}', "");;
    Expect(0, 68900, '\p{Jg=:\AHanifi_Rohingya_Kinna_Ya\z:}', "");;
    Expect(1, 68899, '\p{Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\p{^Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\P{Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\P{^Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\p{Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\p{^Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\P{Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\P{^Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\p{Jg=:\Ahanifirohingyakinnaya\z:}', "");;
    Expect(0, 68900, '\p{Jg=:\Ahanifirohingyakinnaya\z:}', "");;
    Expect(1, 68899, '\p{Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Expect(0, 68899, '\p{^Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Expect(0, 68899, '\P{Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Expect(1, 68899, '\P{^Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Expect(0, 68900, '\p{Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Expect(1, 68900, '\p{^Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Expect(1, 68900, '\P{Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Expect(0, 68900, '\P{^Jg=  Hanifi_Rohingya_KINNA_ya}', "");
    Error('\p{Is_Joining_Group=/a/ 	HANIFI_Rohingya_Kinna_ya}');
    Error('\P{Is_Joining_Group=/a/ 	HANIFI_Rohingya_Kinna_ya}');
    Expect(1, 68899, '\p{Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\p{^Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\P{Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\P{^Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\p{Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\p{^Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\P{Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\P{^Is_Joining_Group=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\p{Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Expect(0, 68899, '\p{^Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Expect(0, 68899, '\P{Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Expect(1, 68899, '\P{^Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Expect(0, 68900, '\p{Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Expect(1, 68900, '\p{^Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Expect(1, 68900, '\P{Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Expect(0, 68900, '\P{^Is_Joining_Group= hanifi_Rohingya_kinna_YA}', "");
    Error('\p{Is_Jg=	 Hanifi_Rohingya_Kinna_Ya/a/}');
    Error('\P{Is_Jg=	 Hanifi_Rohingya_Kinna_Ya/a/}');
    Expect(1, 68899, '\p{Is_Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\p{^Is_Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68899, '\P{Is_Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\P{^Is_Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\p{Is_Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\p{^Is_Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68900, '\P{Is_Jg=hanifirohingyakinnaya}', "");
    Expect(0, 68900, '\P{^Is_Jg=hanifirohingyakinnaya}', "");
    Expect(1, 68899, '\p{Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Expect(0, 68899, '\p{^Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Expect(0, 68899, '\P{Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Expect(1, 68899, '\P{^Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Expect(0, 68900, '\p{Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Expect(1, 68900, '\p{^Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Expect(1, 68900, '\P{Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Expect(0, 68900, '\P{^Is_Jg=	 Hanifi_ROHINGYA_Kinna_ya}', "");
    Error('\p{Joining_Group:	_/a/HANIFI_Rohingya_Pa}');
    Error('\P{Joining_Group:	_/a/HANIFI_Rohingya_Pa}');
    Expect(1, 68892, '\p{Joining_Group=:\AHanifi_Rohingya_Pa\z:}', "");;
    Expect(0, 68893, '\p{Joining_Group=:\AHanifi_Rohingya_Pa\z:}', "");;
    Expect(1, 68892, '\p{Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68892, '\p{^Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68892, '\P{Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68892, '\P{^Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68893, '\p{Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68893, '\p{^Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68893, '\P{Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68893, '\P{^Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68892, '\p{Joining_Group=:\Ahanifirohingyapa\z:}', "");;
    Expect(0, 68893, '\p{Joining_Group=:\Ahanifirohingyapa\z:}', "");;
    Expect(1, 68892, '\p{Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Expect(0, 68892, '\p{^Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Expect(0, 68892, '\P{Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Expect(1, 68892, '\P{^Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Expect(0, 68893, '\p{Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Expect(1, 68893, '\p{^Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Expect(1, 68893, '\P{Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Expect(0, 68893, '\P{^Joining_Group=	 HANIFI_Rohingya_PA}', "");
    Error('\p{Jg:   -:=Hanifi_ROHINGYA_pa}');
    Error('\P{Jg:   -:=Hanifi_ROHINGYA_pa}');
    Expect(1, 68892, '\p{Jg=:\AHanifi_Rohingya_Pa\z:}', "");;
    Expect(0, 68893, '\p{Jg=:\AHanifi_Rohingya_Pa\z:}', "");;
    Expect(1, 68892, '\p{Jg=hanifirohingyapa}', "");
    Expect(0, 68892, '\p{^Jg=hanifirohingyapa}', "");
    Expect(0, 68892, '\P{Jg=hanifirohingyapa}', "");
    Expect(1, 68892, '\P{^Jg=hanifirohingyapa}', "");
    Expect(0, 68893, '\p{Jg=hanifirohingyapa}', "");
    Expect(1, 68893, '\p{^Jg=hanifirohingyapa}', "");
    Expect(1, 68893, '\P{Jg=hanifirohingyapa}', "");
    Expect(0, 68893, '\P{^Jg=hanifirohingyapa}', "");
    Expect(1, 68892, '\p{Jg=:\Ahanifirohingyapa\z:}', "");;
    Expect(0, 68893, '\p{Jg=:\Ahanifirohingyapa\z:}', "");;
    Expect(1, 68892, '\p{Jg: hanifi_Rohingya_Pa}', "");
    Expect(0, 68892, '\p{^Jg: hanifi_Rohingya_Pa}', "");
    Expect(0, 68892, '\P{Jg: hanifi_Rohingya_Pa}', "");
    Expect(1, 68892, '\P{^Jg: hanifi_Rohingya_Pa}', "");
    Expect(0, 68893, '\p{Jg: hanifi_Rohingya_Pa}', "");
    Expect(1, 68893, '\p{^Jg: hanifi_Rohingya_Pa}', "");
    Expect(1, 68893, '\P{Jg: hanifi_Rohingya_Pa}', "");
    Expect(0, 68893, '\P{^Jg: hanifi_Rohingya_Pa}', "");
    Error('\p{Is_Joining_Group=:=	_hanifi_ROHINGYA_Pa}');
    Error('\P{Is_Joining_Group=:=	_hanifi_ROHINGYA_Pa}');
    Expect(1, 68892, '\p{Is_Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68892, '\p{^Is_Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68892, '\P{Is_Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68892, '\P{^Is_Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68893, '\p{Is_Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68893, '\p{^Is_Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68893, '\P{Is_Joining_Group=hanifirohingyapa}', "");
    Expect(0, 68893, '\P{^Is_Joining_Group=hanifirohingyapa}', "");
    Expect(1, 68892, '\p{Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Expect(0, 68892, '\p{^Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Expect(0, 68892, '\P{Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Expect(1, 68892, '\P{^Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Expect(0, 68893, '\p{Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Expect(1, 68893, '\p{^Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Expect(1, 68893, '\P{Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Expect(0, 68893, '\P{^Is_Joining_Group=_Hanifi_Rohingya_Pa}', "");
    Error('\p{Is_Jg:   :=Hanifi_Rohingya_Pa}');
    Error('\P{Is_Jg:   :=Hanifi_Rohingya_Pa}');
    Expect(1, 68892, '\p{Is_Jg=hanifirohingyapa}', "");
    Expect(0, 68892, '\p{^Is_Jg=hanifirohingyapa}', "");
    Expect(0, 68892, '\P{Is_Jg=hanifirohingyapa}', "");
    Expect(1, 68892, '\P{^Is_Jg=hanifirohingyapa}', "");
    Expect(0, 68893, '\p{Is_Jg=hanifirohingyapa}', "");
    Expect(1, 68893, '\p{^Is_Jg=hanifirohingyapa}', "");
    Expect(1, 68893, '\P{Is_Jg=hanifirohingyapa}', "");
    Expect(0, 68893, '\P{^Is_Jg=hanifirohingyapa}', "");
    Expect(1, 68892, '\p{Is_Jg=-_hanifi_rohingya_Pa}', "");
    Expect(0, 68892, '\p{^Is_Jg=-_hanifi_rohingya_Pa}', "");
    Expect(0, 68892, '\P{Is_Jg=-_hanifi_rohingya_Pa}', "");
    Expect(1, 68892, '\P{^Is_Jg=-_hanifi_rohingya_Pa}', "");
    Expect(0, 68893, '\p{Is_Jg=-_hanifi_rohingya_Pa}', "");
    Expect(1, 68893, '\p{^Is_Jg=-_hanifi_rohingya_Pa}', "");
    Expect(1, 68893, '\P{Is_Jg=-_hanifi_rohingya_Pa}', "");
    Expect(0, 68893, '\P{^Is_Jg=-_hanifi_rohingya_Pa}', "");
    Error('\p{Joining_Group=/a/HE}');
    Error('\P{Joining_Group=/a/HE}');
    Expect(1, 1815, '\p{Joining_Group=:\AHe\z:}', "");;
    Expect(0, 1816, '\p{Joining_Group=:\AHe\z:}', "");;
    Expect(1, 1815, '\p{Joining_Group=he}', "");
    Expect(0, 1815, '\p{^Joining_Group=he}', "");
    Expect(0, 1815, '\P{Joining_Group=he}', "");
    Expect(1, 1815, '\P{^Joining_Group=he}', "");
    Expect(0, 1816, '\p{Joining_Group=he}', "");
    Expect(1, 1816, '\p{^Joining_Group=he}', "");
    Expect(1, 1816, '\P{Joining_Group=he}', "");
    Expect(0, 1816, '\P{^Joining_Group=he}', "");
    Expect(1, 1815, '\p{Joining_Group=:\Ahe\z:}', "");;
    Expect(0, 1816, '\p{Joining_Group=:\Ahe\z:}', "");;
    Expect(1, 1815, '\p{Joining_Group=	-he}', "");
    Expect(0, 1815, '\p{^Joining_Group=	-he}', "");
    Expect(0, 1815, '\P{Joining_Group=	-he}', "");
    Expect(1, 1815, '\P{^Joining_Group=	-he}', "");
    Expect(0, 1816, '\p{Joining_Group=	-he}', "");
    Expect(1, 1816, '\p{^Joining_Group=	-he}', "");
    Expect(1, 1816, '\P{Joining_Group=	-he}', "");
    Expect(0, 1816, '\P{^Joining_Group=	-he}', "");
    Error('\p{Jg= -HE:=}');
    Error('\P{Jg= -HE:=}');
    Expect(1, 1815, '\p{Jg=:\AHe\z:}', "");;
    Expect(0, 1816, '\p{Jg=:\AHe\z:}', "");;
    Expect(1, 1815, '\p{Jg=he}', "");
    Expect(0, 1815, '\p{^Jg=he}', "");
    Expect(0, 1815, '\P{Jg=he}', "");
    Expect(1, 1815, '\P{^Jg=he}', "");
    Expect(0, 1816, '\p{Jg=he}', "");
    Expect(1, 1816, '\p{^Jg=he}', "");
    Expect(1, 1816, '\P{Jg=he}', "");
    Expect(0, 1816, '\P{^Jg=he}', "");
    Expect(1, 1815, '\p{Jg=:\Ahe\z:}', "");;
    Expect(0, 1816, '\p{Jg=:\Ahe\z:}', "");;
    Expect(1, 1815, '\p{Jg=-	he}', "");
    Expect(0, 1815, '\p{^Jg=-	he}', "");
    Expect(0, 1815, '\P{Jg=-	he}', "");
    Expect(1, 1815, '\P{^Jg=-	he}', "");
    Expect(0, 1816, '\p{Jg=-	he}', "");
    Expect(1, 1816, '\p{^Jg=-	he}', "");
    Expect(1, 1816, '\P{Jg=-	he}', "");
    Expect(0, 1816, '\P{^Jg=-	he}', "");
    Error('\p{Is_Joining_Group: /a/He}');
    Error('\P{Is_Joining_Group: /a/He}');
    Expect(1, 1815, '\p{Is_Joining_Group=he}', "");
    Expect(0, 1815, '\p{^Is_Joining_Group=he}', "");
    Expect(0, 1815, '\P{Is_Joining_Group=he}', "");
    Expect(1, 1815, '\P{^Is_Joining_Group=he}', "");
    Expect(0, 1816, '\p{Is_Joining_Group=he}', "");
    Expect(1, 1816, '\p{^Is_Joining_Group=he}', "");
    Expect(1, 1816, '\P{Is_Joining_Group=he}', "");
    Expect(0, 1816, '\P{^Is_Joining_Group=he}', "");
    Expect(1, 1815, '\p{Is_Joining_Group=	_He}', "");
    Expect(0, 1815, '\p{^Is_Joining_Group=	_He}', "");
    Expect(0, 1815, '\P{Is_Joining_Group=	_He}', "");
    Expect(1, 1815, '\P{^Is_Joining_Group=	_He}', "");
    Expect(0, 1816, '\p{Is_Joining_Group=	_He}', "");
    Expect(1, 1816, '\p{^Is_Joining_Group=	_He}', "");
    Expect(1, 1816, '\P{Is_Joining_Group=	_He}', "");
    Expect(0, 1816, '\P{^Is_Joining_Group=	_He}', "");
    Error('\p{Is_Jg=/a/	_He}');
    Error('\P{Is_Jg=/a/	_He}');
    Expect(1, 1815, '\p{Is_Jg=he}', "");
    Expect(0, 1815, '\p{^Is_Jg=he}', "");
    Expect(0, 1815, '\P{Is_Jg=he}', "");
    Expect(1, 1815, '\P{^Is_Jg=he}', "");
    Expect(0, 1816, '\p{Is_Jg=he}', "");
    Expect(1, 1816, '\p{^Is_Jg=he}', "");
    Expect(1, 1816, '\P{Is_Jg=he}', "");
    Expect(0, 1816, '\P{^Is_Jg=he}', "");
    Expect(1, 1815, '\p{Is_Jg=_HE}', "");
    Expect(0, 1815, '\p{^Is_Jg=_HE}', "");
    Expect(0, 1815, '\P{Is_Jg=_HE}', "");
    Expect(1, 1815, '\P{^Is_Jg=_HE}', "");
    Expect(0, 1816, '\p{Is_Jg=_HE}', "");
    Expect(1, 1816, '\p{^Is_Jg=_HE}', "");
    Expect(1, 1816, '\P{Is_Jg=_HE}', "");
    Expect(0, 1816, '\P{^Is_Jg=_HE}', "");
    Error('\p{Joining_Group=_ HEH/a/}');
    Error('\P{Joining_Group=_ HEH/a/}');
    Expect(1, 1607, '\p{Joining_Group=:\AHeh\z:}', "");;
    Expect(0, 1608, '\p{Joining_Group=:\AHeh\z:}', "");;
    Expect(1, 1607, '\p{Joining_Group=heh}', "");
    Expect(0, 1607, '\p{^Joining_Group=heh}', "");
    Expect(0, 1607, '\P{Joining_Group=heh}', "");
    Expect(1, 1607, '\P{^Joining_Group=heh}', "");
    Expect(0, 1608, '\p{Joining_Group=heh}', "");
    Expect(1, 1608, '\p{^Joining_Group=heh}', "");
    Expect(1, 1608, '\P{Joining_Group=heh}', "");
    Expect(0, 1608, '\P{^Joining_Group=heh}', "");
    Expect(1, 1607, '\p{Joining_Group=:\Aheh\z:}', "");;
    Expect(0, 1608, '\p{Joining_Group=:\Aheh\z:}', "");;
    Expect(1, 1607, '\p{Joining_Group=_Heh}', "");
    Expect(0, 1607, '\p{^Joining_Group=_Heh}', "");
    Expect(0, 1607, '\P{Joining_Group=_Heh}', "");
    Expect(1, 1607, '\P{^Joining_Group=_Heh}', "");
    Expect(0, 1608, '\p{Joining_Group=_Heh}', "");
    Expect(1, 1608, '\p{^Joining_Group=_Heh}', "");
    Expect(1, 1608, '\P{Joining_Group=_Heh}', "");
    Expect(0, 1608, '\P{^Joining_Group=_Heh}', "");
    Error('\p{Jg= :=heh}');
    Error('\P{Jg= :=heh}');
    Expect(1, 1607, '\p{Jg=:\AHeh\z:}', "");;
    Expect(0, 1608, '\p{Jg=:\AHeh\z:}', "");;
    Expect(1, 1607, '\p{Jg=heh}', "");
    Expect(0, 1607, '\p{^Jg=heh}', "");
    Expect(0, 1607, '\P{Jg=heh}', "");
    Expect(1, 1607, '\P{^Jg=heh}', "");
    Expect(0, 1608, '\p{Jg=heh}', "");
    Expect(1, 1608, '\p{^Jg=heh}', "");
    Expect(1, 1608, '\P{Jg=heh}', "");
    Expect(0, 1608, '\P{^Jg=heh}', "");
    Expect(1, 1607, '\p{Jg=:\Aheh\z:}', "");;
    Expect(0, 1608, '\p{Jg=:\Aheh\z:}', "");;
    Expect(1, 1607, '\p{Jg=	 HEH}', "");
    Expect(0, 1607, '\p{^Jg=	 HEH}', "");
    Expect(0, 1607, '\P{Jg=	 HEH}', "");
    Expect(1, 1607, '\P{^Jg=	 HEH}', "");
    Expect(0, 1608, '\p{Jg=	 HEH}', "");
    Expect(1, 1608, '\p{^Jg=	 HEH}', "");
    Expect(1, 1608, '\P{Jg=	 HEH}', "");
    Expect(0, 1608, '\P{^Jg=	 HEH}', "");
    Error('\p{Is_Joining_Group=_:=heh}');
    Error('\P{Is_Joining_Group=_:=heh}');
    Expect(1, 1607, '\p{Is_Joining_Group=heh}', "");
    Expect(0, 1607, '\p{^Is_Joining_Group=heh}', "");
    Expect(0, 1607, '\P{Is_Joining_Group=heh}', "");
    Expect(1, 1607, '\P{^Is_Joining_Group=heh}', "");
    Expect(0, 1608, '\p{Is_Joining_Group=heh}', "");
    Expect(1, 1608, '\p{^Is_Joining_Group=heh}', "");
    Expect(1, 1608, '\P{Is_Joining_Group=heh}', "");
    Expect(0, 1608, '\P{^Is_Joining_Group=heh}', "");
    Expect(1, 1607, '\p{Is_Joining_Group=	_HEH}', "");
    Expect(0, 1607, '\p{^Is_Joining_Group=	_HEH}', "");
    Expect(0, 1607, '\P{Is_Joining_Group=	_HEH}', "");
    Expect(1, 1607, '\P{^Is_Joining_Group=	_HEH}', "");
    Expect(0, 1608, '\p{Is_Joining_Group=	_HEH}', "");
    Expect(1, 1608, '\p{^Is_Joining_Group=	_HEH}', "");
    Expect(1, 1608, '\P{Is_Joining_Group=	_HEH}', "");
    Expect(0, 1608, '\P{^Is_Joining_Group=	_HEH}', "");
    Error('\p{Is_Jg=/a/-	Heh}');
    Error('\P{Is_Jg=/a/-	Heh}');
    Expect(1, 1607, '\p{Is_Jg=heh}', "");
    Expect(0, 1607, '\p{^Is_Jg=heh}', "");
    Expect(0, 1607, '\P{Is_Jg=heh}', "");
    Expect(1, 1607, '\P{^Is_Jg=heh}', "");
    Expect(0, 1608, '\p{Is_Jg=heh}', "");
    Expect(1, 1608, '\p{^Is_Jg=heh}', "");
    Expect(1, 1608, '\P{Is_Jg=heh}', "");
    Expect(0, 1608, '\P{^Is_Jg=heh}', "");
    Expect(1, 1607, '\p{Is_Jg= 	HEH}', "");
    Expect(0, 1607, '\p{^Is_Jg= 	HEH}', "");
    Expect(0, 1607, '\P{Is_Jg= 	HEH}', "");
    Expect(1, 1607, '\P{^Is_Jg= 	HEH}', "");
    Expect(0, 1608, '\p{Is_Jg= 	HEH}', "");
    Expect(1, 1608, '\p{^Is_Jg= 	HEH}', "");
    Expect(1, 1608, '\P{Is_Jg= 	HEH}', "");
    Expect(0, 1608, '\P{^Is_Jg= 	HEH}', "");
    Error('\p{Joining_Group=	 HEH_Goal:=}');
    Error('\P{Joining_Group=	 HEH_Goal:=}');
    Expect(1, 1730, '\p{Joining_Group=:\AHeh_Goal\z:}', "");;
    Expect(0, 1731, '\p{Joining_Group=:\AHeh_Goal\z:}', "");;
    Expect(1, 1730, '\p{Joining_Group=hehgoal}', "");
    Expect(0, 1730, '\p{^Joining_Group=hehgoal}', "");
    Expect(0, 1730, '\P{Joining_Group=hehgoal}', "");
    Expect(1, 1730, '\P{^Joining_Group=hehgoal}', "");
    Expect(0, 1731, '\p{Joining_Group=hehgoal}', "");
    Expect(1, 1731, '\p{^Joining_Group=hehgoal}', "");
    Expect(1, 1731, '\P{Joining_Group=hehgoal}', "");
    Expect(0, 1731, '\P{^Joining_Group=hehgoal}', "");
    Expect(1, 1730, '\p{Joining_Group=:\Ahehgoal\z:}', "");;
    Expect(0, 1731, '\p{Joining_Group=:\Ahehgoal\z:}', "");;
    Expect(1, 1730, '\p{Joining_Group=_	HEH_Goal}', "");
    Expect(0, 1730, '\p{^Joining_Group=_	HEH_Goal}', "");
    Expect(0, 1730, '\P{Joining_Group=_	HEH_Goal}', "");
    Expect(1, 1730, '\P{^Joining_Group=_	HEH_Goal}', "");
    Expect(0, 1731, '\p{Joining_Group=_	HEH_Goal}', "");
    Expect(1, 1731, '\p{^Joining_Group=_	HEH_Goal}', "");
    Expect(1, 1731, '\P{Joining_Group=_	HEH_Goal}', "");
    Expect(0, 1731, '\P{^Joining_Group=_	HEH_Goal}', "");
    Error('\p{Jg=- heh_Goal/a/}');
    Error('\P{Jg=- heh_Goal/a/}');
    Expect(1, 1730, '\p{Jg=:\AHeh_Goal\z:}', "");;
    Expect(0, 1731, '\p{Jg=:\AHeh_Goal\z:}', "");;
    Expect(1, 1730, '\p{Jg=hehgoal}', "");
    Expect(0, 1730, '\p{^Jg=hehgoal}', "");
    Expect(0, 1730, '\P{Jg=hehgoal}', "");
    Expect(1, 1730, '\P{^Jg=hehgoal}', "");
    Expect(0, 1731, '\p{Jg=hehgoal}', "");
    Expect(1, 1731, '\p{^Jg=hehgoal}', "");
    Expect(1, 1731, '\P{Jg=hehgoal}', "");
    Expect(0, 1731, '\P{^Jg=hehgoal}', "");
    Expect(1, 1730, '\p{Jg=:\Ahehgoal\z:}', "");;
    Expect(0, 1731, '\p{Jg=:\Ahehgoal\z:}', "");;
    Expect(1, 1730, '\p{Jg= 	HEH_goal}', "");
    Expect(0, 1730, '\p{^Jg= 	HEH_goal}', "");
    Expect(0, 1730, '\P{Jg= 	HEH_goal}', "");
    Expect(1, 1730, '\P{^Jg= 	HEH_goal}', "");
    Expect(0, 1731, '\p{Jg= 	HEH_goal}', "");
    Expect(1, 1731, '\p{^Jg= 	HEH_goal}', "");
    Expect(1, 1731, '\P{Jg= 	HEH_goal}', "");
    Expect(0, 1731, '\P{^Jg= 	HEH_goal}', "");
    Error('\p{Is_Joining_Group=:= _heh_GOAL}');
    Error('\P{Is_Joining_Group=:= _heh_GOAL}');
    Expect(1, 1730, '\p{Is_Joining_Group=hehgoal}', "");
    Expect(0, 1730, '\p{^Is_Joining_Group=hehgoal}', "");
    Expect(0, 1730, '\P{Is_Joining_Group=hehgoal}', "");
    Expect(1, 1730, '\P{^Is_Joining_Group=hehgoal}', "");
    Expect(0, 1731, '\p{Is_Joining_Group=hehgoal}', "");
    Expect(1, 1731, '\p{^Is_Joining_Group=hehgoal}', "");
    Expect(1, 1731, '\P{Is_Joining_Group=hehgoal}', "");
    Expect(0, 1731, '\P{^Is_Joining_Group=hehgoal}', "");
    Expect(1, 1730, '\p{Is_Joining_Group=	Heh_GOAL}', "");
    Expect(0, 1730, '\p{^Is_Joining_Group=	Heh_GOAL}', "");
    Expect(0, 1730, '\P{Is_Joining_Group=	Heh_GOAL}', "");
    Expect(1, 1730, '\P{^Is_Joining_Group=	Heh_GOAL}', "");
    Expect(0, 1731, '\p{Is_Joining_Group=	Heh_GOAL}', "");
    Expect(1, 1731, '\p{^Is_Joining_Group=	Heh_GOAL}', "");
    Expect(1, 1731, '\P{Is_Joining_Group=	Heh_GOAL}', "");
    Expect(0, 1731, '\P{^Is_Joining_Group=	Heh_GOAL}', "");
    Error('\p{Is_Jg=_:=HEH_goal}');
    Error('\P{Is_Jg=_:=HEH_goal}');
    Expect(1, 1730, '\p{Is_Jg:   hehgoal}', "");
    Expect(0, 1730, '\p{^Is_Jg:   hehgoal}', "");
    Expect(0, 1730, '\P{Is_Jg:   hehgoal}', "");
    Expect(1, 1730, '\P{^Is_Jg:   hehgoal}', "");
    Expect(0, 1731, '\p{Is_Jg:   hehgoal}', "");
    Expect(1, 1731, '\p{^Is_Jg:   hehgoal}', "");
    Expect(1, 1731, '\P{Is_Jg:   hehgoal}', "");
    Expect(0, 1731, '\P{^Is_Jg:   hehgoal}', "");
    Expect(1, 1730, '\p{Is_Jg=-Heh_Goal}', "");
    Expect(0, 1730, '\p{^Is_Jg=-Heh_Goal}', "");
    Expect(0, 1730, '\P{Is_Jg=-Heh_Goal}', "");
    Expect(1, 1730, '\P{^Is_Jg=-Heh_Goal}', "");
    Expect(0, 1731, '\p{Is_Jg=-Heh_Goal}', "");
    Expect(1, 1731, '\p{^Is_Jg=-Heh_Goal}', "");
    Expect(1, 1731, '\P{Is_Jg=-Heh_Goal}', "");
    Expect(0, 1731, '\P{^Is_Jg=-Heh_Goal}', "");
    Error('\p{Joining_Group=	/a/Heth}');
    Error('\P{Joining_Group=	/a/Heth}');
    Expect(1, 1818, '\p{Joining_Group=:\AHeth\z:}', "");;
    Expect(0, 1819, '\p{Joining_Group=:\AHeth\z:}', "");;
    Expect(1, 1818, '\p{Joining_Group=heth}', "");
    Expect(0, 1818, '\p{^Joining_Group=heth}', "");
    Expect(0, 1818, '\P{Joining_Group=heth}', "");
    Expect(1, 1818, '\P{^Joining_Group=heth}', "");
    Expect(0, 1819, '\p{Joining_Group=heth}', "");
    Expect(1, 1819, '\p{^Joining_Group=heth}', "");
    Expect(1, 1819, '\P{Joining_Group=heth}', "");
    Expect(0, 1819, '\P{^Joining_Group=heth}', "");
    Expect(1, 1818, '\p{Joining_Group=:\Aheth\z:}', "");;
    Expect(0, 1819, '\p{Joining_Group=:\Aheth\z:}', "");;
    Expect(1, 1818, '\p{Joining_Group=	-Heth}', "");
    Expect(0, 1818, '\p{^Joining_Group=	-Heth}', "");
    Expect(0, 1818, '\P{Joining_Group=	-Heth}', "");
    Expect(1, 1818, '\P{^Joining_Group=	-Heth}', "");
    Expect(0, 1819, '\p{Joining_Group=	-Heth}', "");
    Expect(1, 1819, '\p{^Joining_Group=	-Heth}', "");
    Expect(1, 1819, '\P{Joining_Group=	-Heth}', "");
    Expect(0, 1819, '\P{^Joining_Group=	-Heth}', "");
    Error('\p{Jg=_Heth:=}');
    Error('\P{Jg=_Heth:=}');
    Expect(1, 1818, '\p{Jg=:\AHeth\z:}', "");;
    Expect(0, 1819, '\p{Jg=:\AHeth\z:}', "");;
    Expect(1, 1818, '\p{Jg=heth}', "");
    Expect(0, 1818, '\p{^Jg=heth}', "");
    Expect(0, 1818, '\P{Jg=heth}', "");
    Expect(1, 1818, '\P{^Jg=heth}', "");
    Expect(0, 1819, '\p{Jg=heth}', "");
    Expect(1, 1819, '\p{^Jg=heth}', "");
    Expect(1, 1819, '\P{Jg=heth}', "");
    Expect(0, 1819, '\P{^Jg=heth}', "");
    Expect(1, 1818, '\p{Jg=:\Aheth\z:}', "");;
    Expect(0, 1819, '\p{Jg=:\Aheth\z:}', "");;
    Expect(1, 1818, '\p{Jg:- heth}', "");
    Expect(0, 1818, '\p{^Jg:- heth}', "");
    Expect(0, 1818, '\P{Jg:- heth}', "");
    Expect(1, 1818, '\P{^Jg:- heth}', "");
    Expect(0, 1819, '\p{Jg:- heth}', "");
    Expect(1, 1819, '\p{^Jg:- heth}', "");
    Expect(1, 1819, '\P{Jg:- heth}', "");
    Expect(0, 1819, '\P{^Jg:- heth}', "");
    Error('\p{Is_Joining_Group=:=_Heth}');
    Error('\P{Is_Joining_Group=:=_Heth}');
    Expect(1, 1818, '\p{Is_Joining_Group:heth}', "");
    Expect(0, 1818, '\p{^Is_Joining_Group:heth}', "");
    Expect(0, 1818, '\P{Is_Joining_Group:heth}', "");
    Expect(1, 1818, '\P{^Is_Joining_Group:heth}', "");
    Expect(0, 1819, '\p{Is_Joining_Group:heth}', "");
    Expect(1, 1819, '\p{^Is_Joining_Group:heth}', "");
    Expect(1, 1819, '\P{Is_Joining_Group:heth}', "");
    Expect(0, 1819, '\P{^Is_Joining_Group:heth}', "");
    Expect(1, 1818, '\p{Is_Joining_Group=-HETH}', "");
    Expect(0, 1818, '\p{^Is_Joining_Group=-HETH}', "");
    Expect(0, 1818, '\P{Is_Joining_Group=-HETH}', "");
    Expect(1, 1818, '\P{^Is_Joining_Group=-HETH}', "");
    Expect(0, 1819, '\p{Is_Joining_Group=-HETH}', "");
    Expect(1, 1819, '\p{^Is_Joining_Group=-HETH}', "");
    Expect(1, 1819, '\P{Is_Joining_Group=-HETH}', "");
    Expect(0, 1819, '\P{^Is_Joining_Group=-HETH}', "");
    Error('\p{Is_Jg:/a/	Heth}');
    Error('\P{Is_Jg:/a/	Heth}');
    Expect(1, 1818, '\p{Is_Jg=heth}', "");
    Expect(0, 1818, '\p{^Is_Jg=heth}', "");
    Expect(0, 1818, '\P{Is_Jg=heth}', "");
    Expect(1, 1818, '\P{^Is_Jg=heth}', "");
    Expect(0, 1819, '\p{Is_Jg=heth}', "");
    Expect(1, 1819, '\p{^Is_Jg=heth}', "");
    Expect(1, 1819, '\P{Is_Jg=heth}', "");
    Expect(0, 1819, '\P{^Is_Jg=heth}', "");
    Expect(1, 1818, '\p{Is_Jg=	Heth}', "");
    Expect(0, 1818, '\p{^Is_Jg=	Heth}', "");
    Expect(0, 1818, '\P{Is_Jg=	Heth}', "");
    Expect(1, 1818, '\P{^Is_Jg=	Heth}', "");
    Expect(0, 1819, '\p{Is_Jg=	Heth}', "");
    Expect(1, 1819, '\p{^Is_Jg=	Heth}', "");
    Expect(1, 1819, '\P{Is_Jg=	Heth}', "");
    Expect(0, 1819, '\P{^Is_Jg=	Heth}', "");
    Error('\p{Joining_Group:   _	Kaf:=}');
    Error('\P{Joining_Group:   _	Kaf:=}');
    Expect(1, 2228, '\p{Joining_Group=:\AKaf\z:}', "");;
    Expect(0, 2229, '\p{Joining_Group=:\AKaf\z:}', "");;
    Expect(1, 2228, '\p{Joining_Group: kaf}', "");
    Expect(0, 2228, '\p{^Joining_Group: kaf}', "");
    Expect(0, 2228, '\P{Joining_Group: kaf}', "");
    Expect(1, 2228, '\P{^Joining_Group: kaf}', "");
    Expect(0, 2229, '\p{Joining_Group: kaf}', "");
    Expect(1, 2229, '\p{^Joining_Group: kaf}', "");
    Expect(1, 2229, '\P{Joining_Group: kaf}', "");
    Expect(0, 2229, '\P{^Joining_Group: kaf}', "");
    Expect(1, 2228, '\p{Joining_Group=:\Akaf\z:}', "");;
    Expect(0, 2229, '\p{Joining_Group=:\Akaf\z:}', "");;
    Expect(1, 2228, '\p{Joining_Group= KAF}', "");
    Expect(0, 2228, '\p{^Joining_Group= KAF}', "");
    Expect(0, 2228, '\P{Joining_Group= KAF}', "");
    Expect(1, 2228, '\P{^Joining_Group= KAF}', "");
    Expect(0, 2229, '\p{Joining_Group= KAF}', "");
    Expect(1, 2229, '\p{^Joining_Group= KAF}', "");
    Expect(1, 2229, '\P{Joining_Group= KAF}', "");
    Expect(0, 2229, '\P{^Joining_Group= KAF}', "");
    Error('\p{Jg=/a/_kaf}');
    Error('\P{Jg=/a/_kaf}');
    Expect(1, 2228, '\p{Jg=:\AKaf\z:}', "");;
    Expect(0, 2229, '\p{Jg=:\AKaf\z:}', "");;
    Expect(1, 2228, '\p{Jg=kaf}', "");
    Expect(0, 2228, '\p{^Jg=kaf}', "");
    Expect(0, 2228, '\P{Jg=kaf}', "");
    Expect(1, 2228, '\P{^Jg=kaf}', "");
    Expect(0, 2229, '\p{Jg=kaf}', "");
    Expect(1, 2229, '\p{^Jg=kaf}', "");
    Expect(1, 2229, '\P{Jg=kaf}', "");
    Expect(0, 2229, '\P{^Jg=kaf}', "");
    Expect(1, 2228, '\p{Jg=:\Akaf\z:}', "");;
    Expect(0, 2229, '\p{Jg=:\Akaf\z:}', "");;
    Expect(1, 2228, '\p{Jg= -kaf}', "");
    Expect(0, 2228, '\p{^Jg= -kaf}', "");
    Expect(0, 2228, '\P{Jg= -kaf}', "");
    Expect(1, 2228, '\P{^Jg= -kaf}', "");
    Expect(0, 2229, '\p{Jg= -kaf}', "");
    Expect(1, 2229, '\p{^Jg= -kaf}', "");
    Expect(1, 2229, '\P{Jg= -kaf}', "");
    Expect(0, 2229, '\P{^Jg= -kaf}', "");
    Error('\p{Is_Joining_Group= /a/Kaf}');
    Error('\P{Is_Joining_Group= /a/Kaf}');
    Expect(1, 2228, '\p{Is_Joining_Group=kaf}', "");
    Expect(0, 2228, '\p{^Is_Joining_Group=kaf}', "");
    Expect(0, 2228, '\P{Is_Joining_Group=kaf}', "");
    Expect(1, 2228, '\P{^Is_Joining_Group=kaf}', "");
    Expect(0, 2229, '\p{Is_Joining_Group=kaf}', "");
    Expect(1, 2229, '\p{^Is_Joining_Group=kaf}', "");
    Expect(1, 2229, '\P{Is_Joining_Group=kaf}', "");
    Expect(0, 2229, '\P{^Is_Joining_Group=kaf}', "");
    Expect(1, 2228, '\p{Is_Joining_Group= Kaf}', "");
    Expect(0, 2228, '\p{^Is_Joining_Group= Kaf}', "");
    Expect(0, 2228, '\P{Is_Joining_Group= Kaf}', "");
    Expect(1, 2228, '\P{^Is_Joining_Group= Kaf}', "");
    Expect(0, 2229, '\p{Is_Joining_Group= Kaf}', "");
    Expect(1, 2229, '\p{^Is_Joining_Group= Kaf}', "");
    Expect(1, 2229, '\P{Is_Joining_Group= Kaf}', "");
    Expect(0, 2229, '\P{^Is_Joining_Group= Kaf}', "");
    Error('\p{Is_Jg=_ kaf/a/}');
    Error('\P{Is_Jg=_ kaf/a/}');
    Expect(1, 2228, '\p{Is_Jg=kaf}', "");
    Expect(0, 2228, '\p{^Is_Jg=kaf}', "");
    Expect(0, 2228, '\P{Is_Jg=kaf}', "");
    Expect(1, 2228, '\P{^Is_Jg=kaf}', "");
    Expect(0, 2229, '\p{Is_Jg=kaf}', "");
    Expect(1, 2229, '\p{^Is_Jg=kaf}', "");
    Expect(1, 2229, '\P{Is_Jg=kaf}', "");
    Expect(0, 2229, '\P{^Is_Jg=kaf}', "");
    Expect(1, 2228, '\p{Is_Jg=_ Kaf}', "");
    Expect(0, 2228, '\p{^Is_Jg=_ Kaf}', "");
    Expect(0, 2228, '\P{Is_Jg=_ Kaf}', "");
    Expect(1, 2228, '\P{^Is_Jg=_ Kaf}', "");
    Expect(0, 2229, '\p{Is_Jg=_ Kaf}', "");
    Expect(1, 2229, '\p{^Is_Jg=_ Kaf}', "");
    Expect(1, 2229, '\P{Is_Jg=_ Kaf}', "");
    Expect(0, 2229, '\P{^Is_Jg=_ Kaf}', "");
    Error('\p{Joining_Group=/a/	 KAPH}');
    Error('\P{Joining_Group=/a/	 KAPH}');
    Expect(1, 1823, '\p{Joining_Group=:\AKaph\z:}', "");;
    Expect(0, 1824, '\p{Joining_Group=:\AKaph\z:}', "");;
    Expect(1, 1823, '\p{Joining_Group=kaph}', "");
    Expect(0, 1823, '\p{^Joining_Group=kaph}', "");
    Expect(0, 1823, '\P{Joining_Group=kaph}', "");
    Expect(1, 1823, '\P{^Joining_Group=kaph}', "");
    Expect(0, 1824, '\p{Joining_Group=kaph}', "");
    Expect(1, 1824, '\p{^Joining_Group=kaph}', "");
    Expect(1, 1824, '\P{Joining_Group=kaph}', "");
    Expect(0, 1824, '\P{^Joining_Group=kaph}', "");
    Expect(1, 1823, '\p{Joining_Group=:\Akaph\z:}', "");;
    Expect(0, 1824, '\p{Joining_Group=:\Akaph\z:}', "");;
    Expect(1, 1823, '\p{Joining_Group= 	kaph}', "");
    Expect(0, 1823, '\p{^Joining_Group= 	kaph}', "");
    Expect(0, 1823, '\P{Joining_Group= 	kaph}', "");
    Expect(1, 1823, '\P{^Joining_Group= 	kaph}', "");
    Expect(0, 1824, '\p{Joining_Group= 	kaph}', "");
    Expect(1, 1824, '\p{^Joining_Group= 	kaph}', "");
    Expect(1, 1824, '\P{Joining_Group= 	kaph}', "");
    Expect(0, 1824, '\P{^Joining_Group= 	kaph}', "");
    Error('\p{Jg= Kaph:=}');
    Error('\P{Jg= Kaph:=}');
    Expect(1, 1823, '\p{Jg=:\AKaph\z:}', "");;
    Expect(0, 1824, '\p{Jg=:\AKaph\z:}', "");;
    Expect(1, 1823, '\p{Jg=kaph}', "");
    Expect(0, 1823, '\p{^Jg=kaph}', "");
    Expect(0, 1823, '\P{Jg=kaph}', "");
    Expect(1, 1823, '\P{^Jg=kaph}', "");
    Expect(0, 1824, '\p{Jg=kaph}', "");
    Expect(1, 1824, '\p{^Jg=kaph}', "");
    Expect(1, 1824, '\P{Jg=kaph}', "");
    Expect(0, 1824, '\P{^Jg=kaph}', "");
    Expect(1, 1823, '\p{Jg=:\Akaph\z:}', "");;
    Expect(0, 1824, '\p{Jg=:\Akaph\z:}', "");;
    Expect(1, 1823, '\p{Jg=	Kaph}', "");
    Expect(0, 1823, '\p{^Jg=	Kaph}', "");
    Expect(0, 1823, '\P{Jg=	Kaph}', "");
    Expect(1, 1823, '\P{^Jg=	Kaph}', "");
    Expect(0, 1824, '\p{Jg=	Kaph}', "");
    Expect(1, 1824, '\p{^Jg=	Kaph}', "");
    Expect(1, 1824, '\P{Jg=	Kaph}', "");
    Expect(0, 1824, '\P{^Jg=	Kaph}', "");
    Error('\p{Is_Joining_Group=-:=kaph}');
    Error('\P{Is_Joining_Group=-:=kaph}');
    Expect(1, 1823, '\p{Is_Joining_Group: kaph}', "");
    Expect(0, 1823, '\p{^Is_Joining_Group: kaph}', "");
    Expect(0, 1823, '\P{Is_Joining_Group: kaph}', "");
    Expect(1, 1823, '\P{^Is_Joining_Group: kaph}', "");
    Expect(0, 1824, '\p{Is_Joining_Group: kaph}', "");
    Expect(1, 1824, '\p{^Is_Joining_Group: kaph}', "");
    Expect(1, 1824, '\P{Is_Joining_Group: kaph}', "");
    Expect(0, 1824, '\P{^Is_Joining_Group: kaph}', "");
    Expect(1, 1823, '\p{Is_Joining_Group= Kaph}', "");
    Expect(0, 1823, '\p{^Is_Joining_Group= Kaph}', "");
    Expect(0, 1823, '\P{Is_Joining_Group= Kaph}', "");
    Expect(1, 1823, '\P{^Is_Joining_Group= Kaph}', "");
    Expect(0, 1824, '\p{Is_Joining_Group= Kaph}', "");
    Expect(1, 1824, '\p{^Is_Joining_Group= Kaph}', "");
    Expect(1, 1824, '\P{Is_Joining_Group= Kaph}', "");
    Expect(0, 1824, '\P{^Is_Joining_Group= Kaph}', "");
    Error('\p{Is_Jg=/a/_Kaph}');
    Error('\P{Is_Jg=/a/_Kaph}');
    Expect(1, 1823, '\p{Is_Jg=kaph}', "");
    Expect(0, 1823, '\p{^Is_Jg=kaph}', "");
    Expect(0, 1823, '\P{Is_Jg=kaph}', "");
    Expect(1, 1823, '\P{^Is_Jg=kaph}', "");
    Expect(0, 1824, '\p{Is_Jg=kaph}', "");
    Expect(1, 1824, '\p{^Is_Jg=kaph}', "");
    Expect(1, 1824, '\P{Is_Jg=kaph}', "");
    Expect(0, 1824, '\P{^Is_Jg=kaph}', "");
    Expect(1, 1823, '\p{Is_Jg=-Kaph}', "");
    Expect(0, 1823, '\p{^Is_Jg=-Kaph}', "");
    Expect(0, 1823, '\P{Is_Jg=-Kaph}', "");
    Expect(1, 1823, '\P{^Is_Jg=-Kaph}', "");
    Expect(0, 1824, '\p{Is_Jg=-Kaph}', "");
    Expect(1, 1824, '\p{^Is_Jg=-Kaph}', "");
    Expect(1, 1824, '\P{Is_Jg=-Kaph}', "");
    Expect(0, 1824, '\P{^Is_Jg=-Kaph}', "");
    Error('\p{Joining_Group= -Khaph/a/}');
    Error('\P{Joining_Group= -Khaph/a/}');
    Expect(1, 1870, '\p{Joining_Group=:\AKhaph\z:}', "");;
    Expect(0, 1871, '\p{Joining_Group=:\AKhaph\z:}', "");;
    Expect(1, 1870, '\p{Joining_Group=khaph}', "");
    Expect(0, 1870, '\p{^Joining_Group=khaph}', "");
    Expect(0, 1870, '\P{Joining_Group=khaph}', "");
    Expect(1, 1870, '\P{^Joining_Group=khaph}', "");
    Expect(0, 1871, '\p{Joining_Group=khaph}', "");
    Expect(1, 1871, '\p{^Joining_Group=khaph}', "");
    Expect(1, 1871, '\P{Joining_Group=khaph}', "");
    Expect(0, 1871, '\P{^Joining_Group=khaph}', "");
    Expect(1, 1870, '\p{Joining_Group=:\Akhaph\z:}', "");;
    Expect(0, 1871, '\p{Joining_Group=:\Akhaph\z:}', "");;
    Expect(1, 1870, '\p{Joining_Group=--KHAPH}', "");
    Expect(0, 1870, '\p{^Joining_Group=--KHAPH}', "");
    Expect(0, 1870, '\P{Joining_Group=--KHAPH}', "");
    Expect(1, 1870, '\P{^Joining_Group=--KHAPH}', "");
    Expect(0, 1871, '\p{Joining_Group=--KHAPH}', "");
    Expect(1, 1871, '\p{^Joining_Group=--KHAPH}', "");
    Expect(1, 1871, '\P{Joining_Group=--KHAPH}', "");
    Expect(0, 1871, '\P{^Joining_Group=--KHAPH}', "");
    Error('\p{Jg=- Khaph/a/}');
    Error('\P{Jg=- Khaph/a/}');
    Expect(1, 1870, '\p{Jg=:\AKhaph\z:}', "");;
    Expect(0, 1871, '\p{Jg=:\AKhaph\z:}', "");;
    Expect(1, 1870, '\p{Jg=khaph}', "");
    Expect(0, 1870, '\p{^Jg=khaph}', "");
    Expect(0, 1870, '\P{Jg=khaph}', "");
    Expect(1, 1870, '\P{^Jg=khaph}', "");
    Expect(0, 1871, '\p{Jg=khaph}', "");
    Expect(1, 1871, '\p{^Jg=khaph}', "");
    Expect(1, 1871, '\P{Jg=khaph}', "");
    Expect(0, 1871, '\P{^Jg=khaph}', "");
    Expect(1, 1870, '\p{Jg=:\Akhaph\z:}', "");;
    Expect(0, 1871, '\p{Jg=:\Akhaph\z:}', "");;
    Expect(1, 1870, '\p{Jg= 	KHAPH}', "");
    Expect(0, 1870, '\p{^Jg= 	KHAPH}', "");
    Expect(0, 1870, '\P{Jg= 	KHAPH}', "");
    Expect(1, 1870, '\P{^Jg= 	KHAPH}', "");
    Expect(0, 1871, '\p{Jg= 	KHAPH}', "");
    Expect(1, 1871, '\p{^Jg= 	KHAPH}', "");
    Expect(1, 1871, '\P{Jg= 	KHAPH}', "");
    Expect(0, 1871, '\P{^Jg= 	KHAPH}', "");
    Error('\p{Is_Joining_Group=	_khaph/a/}');
    Error('\P{Is_Joining_Group=	_khaph/a/}');
    Expect(1, 1870, '\p{Is_Joining_Group=khaph}', "");
    Expect(0, 1870, '\p{^Is_Joining_Group=khaph}', "");
    Expect(0, 1870, '\P{Is_Joining_Group=khaph}', "");
    Expect(1, 1870, '\P{^Is_Joining_Group=khaph}', "");
    Expect(0, 1871, '\p{Is_Joining_Group=khaph}', "");
    Expect(1, 1871, '\p{^Is_Joining_Group=khaph}', "");
    Expect(1, 1871, '\P{Is_Joining_Group=khaph}', "");
    Expect(0, 1871, '\P{^Is_Joining_Group=khaph}', "");
    Expect(1, 1870, '\p{Is_Joining_Group=	_khaph}', "");
    Expect(0, 1870, '\p{^Is_Joining_Group=	_khaph}', "");
    Expect(0, 1870, '\P{Is_Joining_Group=	_khaph}', "");
    Expect(1, 1870, '\P{^Is_Joining_Group=	_khaph}', "");
    Expect(0, 1871, '\p{Is_Joining_Group=	_khaph}', "");
    Expect(1, 1871, '\p{^Is_Joining_Group=	_khaph}', "");
    Expect(1, 1871, '\P{Is_Joining_Group=	_khaph}', "");
    Expect(0, 1871, '\P{^Is_Joining_Group=	_khaph}', "");
    Error('\p{Is_Jg= khaph:=}');
    Error('\P{Is_Jg= khaph:=}');
    Expect(1, 1870, '\p{Is_Jg:khaph}', "");
    Expect(0, 1870, '\p{^Is_Jg:khaph}', "");
    Expect(0, 1870, '\P{Is_Jg:khaph}', "");
    Expect(1, 1870, '\P{^Is_Jg:khaph}', "");
    Expect(0, 1871, '\p{Is_Jg:khaph}', "");
    Expect(1, 1871, '\p{^Is_Jg:khaph}', "");
    Expect(1, 1871, '\P{Is_Jg:khaph}', "");
    Expect(0, 1871, '\P{^Is_Jg:khaph}', "");
    Expect(1, 1870, '\p{Is_Jg=	_Khaph}', "");
    Expect(0, 1870, '\p{^Is_Jg=	_Khaph}', "");
    Expect(0, 1870, '\P{Is_Jg=	_Khaph}', "");
    Expect(1, 1870, '\P{^Is_Jg=	_Khaph}', "");
    Expect(0, 1871, '\p{Is_Jg=	_Khaph}', "");
    Expect(1, 1871, '\p{^Is_Jg=	_Khaph}', "");
    Expect(1, 1871, '\P{Is_Jg=	_Khaph}', "");
    Expect(0, 1871, '\P{^Is_Jg=	_Khaph}', "");
    Error('\p{Joining_Group=	:=Knotted_heh}');
    Error('\P{Joining_Group=	:=Knotted_heh}');
    Expect(1, 1791, '\p{Joining_Group=:\AKnotted_Heh\z:}', "");;
    Expect(0, 1792, '\p{Joining_Group=:\AKnotted_Heh\z:}', "");;
    Expect(1, 1791, '\p{Joining_Group=knottedheh}', "");
    Expect(0, 1791, '\p{^Joining_Group=knottedheh}', "");
    Expect(0, 1791, '\P{Joining_Group=knottedheh}', "");
    Expect(1, 1791, '\P{^Joining_Group=knottedheh}', "");
    Expect(0, 1792, '\p{Joining_Group=knottedheh}', "");
    Expect(1, 1792, '\p{^Joining_Group=knottedheh}', "");
    Expect(1, 1792, '\P{Joining_Group=knottedheh}', "");
    Expect(0, 1792, '\P{^Joining_Group=knottedheh}', "");
    Expect(1, 1791, '\p{Joining_Group=:\Aknottedheh\z:}', "");;
    Expect(0, 1792, '\p{Joining_Group=:\Aknottedheh\z:}', "");;
    Expect(1, 1791, '\p{Joining_Group=-	KNOTTED_Heh}', "");
    Expect(0, 1791, '\p{^Joining_Group=-	KNOTTED_Heh}', "");
    Expect(0, 1791, '\P{Joining_Group=-	KNOTTED_Heh}', "");
    Expect(1, 1791, '\P{^Joining_Group=-	KNOTTED_Heh}', "");
    Expect(0, 1792, '\p{Joining_Group=-	KNOTTED_Heh}', "");
    Expect(1, 1792, '\p{^Joining_Group=-	KNOTTED_Heh}', "");
    Expect(1, 1792, '\P{Joining_Group=-	KNOTTED_Heh}', "");
    Expect(0, 1792, '\P{^Joining_Group=-	KNOTTED_Heh}', "");
    Error('\p{Jg=:=- knotted_Heh}');
    Error('\P{Jg=:=- knotted_Heh}');
    Expect(1, 1791, '\p{Jg=:\AKnotted_Heh\z:}', "");;
    Expect(0, 1792, '\p{Jg=:\AKnotted_Heh\z:}', "");;
    Expect(1, 1791, '\p{Jg=knottedheh}', "");
    Expect(0, 1791, '\p{^Jg=knottedheh}', "");
    Expect(0, 1791, '\P{Jg=knottedheh}', "");
    Expect(1, 1791, '\P{^Jg=knottedheh}', "");
    Expect(0, 1792, '\p{Jg=knottedheh}', "");
    Expect(1, 1792, '\p{^Jg=knottedheh}', "");
    Expect(1, 1792, '\P{Jg=knottedheh}', "");
    Expect(0, 1792, '\P{^Jg=knottedheh}', "");
    Expect(1, 1791, '\p{Jg=:\Aknottedheh\z:}', "");;
    Expect(0, 1792, '\p{Jg=:\Aknottedheh\z:}', "");;
    Expect(1, 1791, '\p{Jg= KNOTTED_Heh}', "");
    Expect(0, 1791, '\p{^Jg= KNOTTED_Heh}', "");
    Expect(0, 1791, '\P{Jg= KNOTTED_Heh}', "");
    Expect(1, 1791, '\P{^Jg= KNOTTED_Heh}', "");
    Expect(0, 1792, '\p{Jg= KNOTTED_Heh}', "");
    Expect(1, 1792, '\p{^Jg= KNOTTED_Heh}', "");
    Expect(1, 1792, '\P{Jg= KNOTTED_Heh}', "");
    Expect(0, 1792, '\P{^Jg= KNOTTED_Heh}', "");
    Error('\p{Is_Joining_Group=:=Knotted_HEH}');
    Error('\P{Is_Joining_Group=:=Knotted_HEH}');
    Expect(1, 1791, '\p{Is_Joining_Group=knottedheh}', "");
    Expect(0, 1791, '\p{^Is_Joining_Group=knottedheh}', "");
    Expect(0, 1791, '\P{Is_Joining_Group=knottedheh}', "");
    Expect(1, 1791, '\P{^Is_Joining_Group=knottedheh}', "");
    Expect(0, 1792, '\p{Is_Joining_Group=knottedheh}', "");
    Expect(1, 1792, '\p{^Is_Joining_Group=knottedheh}', "");
    Expect(1, 1792, '\P{Is_Joining_Group=knottedheh}', "");
    Expect(0, 1792, '\P{^Is_Joining_Group=knottedheh}', "");
    Expect(1, 1791, '\p{Is_Joining_Group=_	Knotted_HEH}', "");
    Expect(0, 1791, '\p{^Is_Joining_Group=_	Knotted_HEH}', "");
    Expect(0, 1791, '\P{Is_Joining_Group=_	Knotted_HEH}', "");
    Expect(1, 1791, '\P{^Is_Joining_Group=_	Knotted_HEH}', "");
    Expect(0, 1792, '\p{Is_Joining_Group=_	Knotted_HEH}', "");
    Expect(1, 1792, '\p{^Is_Joining_Group=_	Knotted_HEH}', "");
    Expect(1, 1792, '\P{Is_Joining_Group=_	Knotted_HEH}', "");
    Expect(0, 1792, '\P{^Is_Joining_Group=_	Knotted_HEH}', "");
    Error('\p{Is_Jg=-KNOTTED_Heh/a/}');
    Error('\P{Is_Jg=-KNOTTED_Heh/a/}');
    Expect(1, 1791, '\p{Is_Jg=knottedheh}', "");
    Expect(0, 1791, '\p{^Is_Jg=knottedheh}', "");
    Expect(0, 1791, '\P{Is_Jg=knottedheh}', "");
    Expect(1, 1791, '\P{^Is_Jg=knottedheh}', "");
    Expect(0, 1792, '\p{Is_Jg=knottedheh}', "");
    Expect(1, 1792, '\p{^Is_Jg=knottedheh}', "");
    Expect(1, 1792, '\P{Is_Jg=knottedheh}', "");
    Expect(0, 1792, '\P{^Is_Jg=knottedheh}', "");
    Expect(1, 1791, '\p{Is_Jg=	knotted_Heh}', "");
    Expect(0, 1791, '\p{^Is_Jg=	knotted_Heh}', "");
    Expect(0, 1791, '\P{Is_Jg=	knotted_Heh}', "");
    Expect(1, 1791, '\P{^Is_Jg=	knotted_Heh}', "");
    Expect(0, 1792, '\p{Is_Jg=	knotted_Heh}', "");
    Expect(1, 1792, '\p{^Is_Jg=	knotted_Heh}', "");
    Expect(1, 1792, '\P{Is_Jg=	knotted_Heh}', "");
    Expect(0, 1792, '\P{^Is_Jg=	knotted_Heh}', "");
    Error('\p{Joining_Group=/a/lam}');
    Error('\P{Joining_Group=/a/lam}');
    Expect(1, 2247, '\p{Joining_Group=:\ALam\z:}', "");;
    Expect(0, 2248, '\p{Joining_Group=:\ALam\z:}', "");;
    Expect(1, 2247, '\p{Joining_Group=lam}', "");
    Expect(0, 2247, '\p{^Joining_Group=lam}', "");
    Expect(0, 2247, '\P{Joining_Group=lam}', "");
    Expect(1, 2247, '\P{^Joining_Group=lam}', "");
    Expect(0, 2248, '\p{Joining_Group=lam}', "");
    Expect(1, 2248, '\p{^Joining_Group=lam}', "");
    Expect(1, 2248, '\P{Joining_Group=lam}', "");
    Expect(0, 2248, '\P{^Joining_Group=lam}', "");
    Expect(1, 2247, '\p{Joining_Group=:\Alam\z:}', "");;
    Expect(0, 2248, '\p{Joining_Group=:\Alam\z:}', "");;
    Expect(1, 2247, '\p{Joining_Group=-Lam}', "");
    Expect(0, 2247, '\p{^Joining_Group=-Lam}', "");
    Expect(0, 2247, '\P{Joining_Group=-Lam}', "");
    Expect(1, 2247, '\P{^Joining_Group=-Lam}', "");
    Expect(0, 2248, '\p{Joining_Group=-Lam}', "");
    Expect(1, 2248, '\p{^Joining_Group=-Lam}', "");
    Expect(1, 2248, '\P{Joining_Group=-Lam}', "");
    Expect(0, 2248, '\P{^Joining_Group=-Lam}', "");
    Error('\p{Jg=_	LAM/a/}');
    Error('\P{Jg=_	LAM/a/}');
    Expect(1, 2247, '\p{Jg=:\ALam\z:}', "");;
    Expect(0, 2248, '\p{Jg=:\ALam\z:}', "");;
    Expect(1, 2247, '\p{Jg=lam}', "");
    Expect(0, 2247, '\p{^Jg=lam}', "");
    Expect(0, 2247, '\P{Jg=lam}', "");
    Expect(1, 2247, '\P{^Jg=lam}', "");
    Expect(0, 2248, '\p{Jg=lam}', "");
    Expect(1, 2248, '\p{^Jg=lam}', "");
    Expect(1, 2248, '\P{Jg=lam}', "");
    Expect(0, 2248, '\P{^Jg=lam}', "");
    Expect(1, 2247, '\p{Jg=:\Alam\z:}', "");;
    Expect(0, 2248, '\p{Jg=:\Alam\z:}', "");;
    Expect(1, 2247, '\p{Jg: _Lam}', "");
    Expect(0, 2247, '\p{^Jg: _Lam}', "");
    Expect(0, 2247, '\P{Jg: _Lam}', "");
    Expect(1, 2247, '\P{^Jg: _Lam}', "");
    Expect(0, 2248, '\p{Jg: _Lam}', "");
    Expect(1, 2248, '\p{^Jg: _Lam}', "");
    Expect(1, 2248, '\P{Jg: _Lam}', "");
    Expect(0, 2248, '\P{^Jg: _Lam}', "");
    Error('\p{Is_Joining_Group=/a/lam}');
    Error('\P{Is_Joining_Group=/a/lam}');
    Expect(1, 2247, '\p{Is_Joining_Group=lam}', "");
    Expect(0, 2247, '\p{^Is_Joining_Group=lam}', "");
    Expect(0, 2247, '\P{Is_Joining_Group=lam}', "");
    Expect(1, 2247, '\P{^Is_Joining_Group=lam}', "");
    Expect(0, 2248, '\p{Is_Joining_Group=lam}', "");
    Expect(1, 2248, '\p{^Is_Joining_Group=lam}', "");
    Expect(1, 2248, '\P{Is_Joining_Group=lam}', "");
    Expect(0, 2248, '\P{^Is_Joining_Group=lam}', "");
    Expect(1, 2247, '\p{Is_Joining_Group=- Lam}', "");
    Expect(0, 2247, '\p{^Is_Joining_Group=- Lam}', "");
    Expect(0, 2247, '\P{Is_Joining_Group=- Lam}', "");
    Expect(1, 2247, '\P{^Is_Joining_Group=- Lam}', "");
    Expect(0, 2248, '\p{Is_Joining_Group=- Lam}', "");
    Expect(1, 2248, '\p{^Is_Joining_Group=- Lam}', "");
    Expect(1, 2248, '\P{Is_Joining_Group=- Lam}', "");
    Expect(0, 2248, '\P{^Is_Joining_Group=- Lam}', "");
    Error('\p{Is_Jg=:=LAM}');
    Error('\P{Is_Jg=:=LAM}');
    Expect(1, 2247, '\p{Is_Jg=lam}', "");
    Expect(0, 2247, '\p{^Is_Jg=lam}', "");
    Expect(0, 2247, '\P{Is_Jg=lam}', "");
    Expect(1, 2247, '\P{^Is_Jg=lam}', "");
    Expect(0, 2248, '\p{Is_Jg=lam}', "");
    Expect(1, 2248, '\p{^Is_Jg=lam}', "");
    Expect(1, 2248, '\P{Is_Jg=lam}', "");
    Expect(0, 2248, '\P{^Is_Jg=lam}', "");
    Expect(1, 2247, '\p{Is_Jg=-Lam}', "");
    Expect(0, 2247, '\p{^Is_Jg=-Lam}', "");
    Expect(0, 2247, '\P{Is_Jg=-Lam}', "");
    Expect(1, 2247, '\P{^Is_Jg=-Lam}', "");
    Expect(0, 2248, '\p{Is_Jg=-Lam}', "");
    Expect(1, 2248, '\p{^Is_Jg=-Lam}', "");
    Expect(1, 2248, '\P{Is_Jg=-Lam}', "");
    Expect(0, 2248, '\P{^Is_Jg=-Lam}', "");
    Error('\p{Joining_Group=_/a/LAMADH}');
    Error('\P{Joining_Group=_/a/LAMADH}');
    Expect(1, 1824, '\p{Joining_Group=:\ALamadh\z:}', "");;
    Expect(0, 1825, '\p{Joining_Group=:\ALamadh\z:}', "");;
    Expect(1, 1824, '\p{Joining_Group=lamadh}', "");
    Expect(0, 1824, '\p{^Joining_Group=lamadh}', "");
    Expect(0, 1824, '\P{Joining_Group=lamadh}', "");
    Expect(1, 1824, '\P{^Joining_Group=lamadh}', "");
    Expect(0, 1825, '\p{Joining_Group=lamadh}', "");
    Expect(1, 1825, '\p{^Joining_Group=lamadh}', "");
    Expect(1, 1825, '\P{Joining_Group=lamadh}', "");
    Expect(0, 1825, '\P{^Joining_Group=lamadh}', "");
    Expect(1, 1824, '\p{Joining_Group=:\Alamadh\z:}', "");;
    Expect(0, 1825, '\p{Joining_Group=:\Alamadh\z:}', "");;
    Expect(1, 1824, '\p{Joining_Group= Lamadh}', "");
    Expect(0, 1824, '\p{^Joining_Group= Lamadh}', "");
    Expect(0, 1824, '\P{Joining_Group= Lamadh}', "");
    Expect(1, 1824, '\P{^Joining_Group= Lamadh}', "");
    Expect(0, 1825, '\p{Joining_Group= Lamadh}', "");
    Expect(1, 1825, '\p{^Joining_Group= Lamadh}', "");
    Expect(1, 1825, '\P{Joining_Group= Lamadh}', "");
    Expect(0, 1825, '\P{^Joining_Group= Lamadh}', "");
    Error('\p{Jg:   - lamadh/a/}');
    Error('\P{Jg:   - lamadh/a/}');
    Expect(1, 1824, '\p{Jg=:\ALamadh\z:}', "");;
    Expect(0, 1825, '\p{Jg=:\ALamadh\z:}', "");;
    Expect(1, 1824, '\p{Jg=lamadh}', "");
    Expect(0, 1824, '\p{^Jg=lamadh}', "");
    Expect(0, 1824, '\P{Jg=lamadh}', "");
    Expect(1, 1824, '\P{^Jg=lamadh}', "");
    Expect(0, 1825, '\p{Jg=lamadh}', "");
    Expect(1, 1825, '\p{^Jg=lamadh}', "");
    Expect(1, 1825, '\P{Jg=lamadh}', "");
    Expect(0, 1825, '\P{^Jg=lamadh}', "");
    Expect(1, 1824, '\p{Jg=:\Alamadh\z:}', "");;
    Expect(0, 1825, '\p{Jg=:\Alamadh\z:}', "");;
    Expect(1, 1824, '\p{Jg=_	lamadh}', "");
    Expect(0, 1824, '\p{^Jg=_	lamadh}', "");
    Expect(0, 1824, '\P{Jg=_	lamadh}', "");
    Expect(1, 1824, '\P{^Jg=_	lamadh}', "");
    Expect(0, 1825, '\p{Jg=_	lamadh}', "");
    Expect(1, 1825, '\p{^Jg=_	lamadh}', "");
    Expect(1, 1825, '\P{Jg=_	lamadh}', "");
    Expect(0, 1825, '\P{^Jg=_	lamadh}', "");
    Error('\p{Is_Joining_Group=_/a/LAMADH}');
    Error('\P{Is_Joining_Group=_/a/LAMADH}');
    Expect(1, 1824, '\p{Is_Joining_Group=lamadh}', "");
    Expect(0, 1824, '\p{^Is_Joining_Group=lamadh}', "");
    Expect(0, 1824, '\P{Is_Joining_Group=lamadh}', "");
    Expect(1, 1824, '\P{^Is_Joining_Group=lamadh}', "");
    Expect(0, 1825, '\p{Is_Joining_Group=lamadh}', "");
    Expect(1, 1825, '\p{^Is_Joining_Group=lamadh}', "");
    Expect(1, 1825, '\P{Is_Joining_Group=lamadh}', "");
    Expect(0, 1825, '\P{^Is_Joining_Group=lamadh}', "");
    Expect(1, 1824, '\p{Is_Joining_Group=_	lamadh}', "");
    Expect(0, 1824, '\p{^Is_Joining_Group=_	lamadh}', "");
    Expect(0, 1824, '\P{Is_Joining_Group=_	lamadh}', "");
    Expect(1, 1824, '\P{^Is_Joining_Group=_	lamadh}', "");
    Expect(0, 1825, '\p{Is_Joining_Group=_	lamadh}', "");
    Expect(1, 1825, '\p{^Is_Joining_Group=_	lamadh}', "");
    Expect(1, 1825, '\P{Is_Joining_Group=_	lamadh}', "");
    Expect(0, 1825, '\P{^Is_Joining_Group=_	lamadh}', "");
    Error('\p{Is_Jg=/a/	_lamadh}');
    Error('\P{Is_Jg=/a/	_lamadh}');
    Expect(1, 1824, '\p{Is_Jg=lamadh}', "");
    Expect(0, 1824, '\p{^Is_Jg=lamadh}', "");
    Expect(0, 1824, '\P{Is_Jg=lamadh}', "");
    Expect(1, 1824, '\P{^Is_Jg=lamadh}', "");
    Expect(0, 1825, '\p{Is_Jg=lamadh}', "");
    Expect(1, 1825, '\p{^Is_Jg=lamadh}', "");
    Expect(1, 1825, '\P{Is_Jg=lamadh}', "");
    Expect(0, 1825, '\P{^Is_Jg=lamadh}', "");
    Expect(1, 1824, '\p{Is_Jg=  LAMADH}', "");
    Expect(0, 1824, '\p{^Is_Jg=  LAMADH}', "");
    Expect(0, 1824, '\P{Is_Jg=  LAMADH}', "");
    Expect(1, 1824, '\P{^Is_Jg=  LAMADH}', "");
    Expect(0, 1825, '\p{Is_Jg=  LAMADH}', "");
    Expect(1, 1825, '\p{^Is_Jg=  LAMADH}', "");
    Expect(1, 1825, '\P{Is_Jg=  LAMADH}', "");
    Expect(0, 1825, '\P{^Is_Jg=  LAMADH}', "");
    Error('\p{Joining_Group=:=-malayalam_bha}');
    Error('\P{Joining_Group=:=-malayalam_bha}');
    Expect(1, 2150, '\p{Joining_Group=:\AMalayalam_Bha\z:}', "");;
    Expect(0, 2151, '\p{Joining_Group=:\AMalayalam_Bha\z:}', "");;
    Expect(1, 2150, '\p{Joining_Group=malayalambha}', "");
    Expect(0, 2150, '\p{^Joining_Group=malayalambha}', "");
    Expect(0, 2150, '\P{Joining_Group=malayalambha}', "");
    Expect(1, 2150, '\P{^Joining_Group=malayalambha}', "");
    Expect(0, 2151, '\p{Joining_Group=malayalambha}', "");
    Expect(1, 2151, '\p{^Joining_Group=malayalambha}', "");
    Expect(1, 2151, '\P{Joining_Group=malayalambha}', "");
    Expect(0, 2151, '\P{^Joining_Group=malayalambha}', "");
    Expect(1, 2150, '\p{Joining_Group=:\Amalayalambha\z:}', "");;
    Expect(0, 2151, '\p{Joining_Group=:\Amalayalambha\z:}', "");;
    Expect(1, 2150, '\p{Joining_Group= _malayalam_Bha}', "");
    Expect(0, 2150, '\p{^Joining_Group= _malayalam_Bha}', "");
    Expect(0, 2150, '\P{Joining_Group= _malayalam_Bha}', "");
    Expect(1, 2150, '\P{^Joining_Group= _malayalam_Bha}', "");
    Expect(0, 2151, '\p{Joining_Group= _malayalam_Bha}', "");
    Expect(1, 2151, '\p{^Joining_Group= _malayalam_Bha}', "");
    Expect(1, 2151, '\P{Joining_Group= _malayalam_Bha}', "");
    Expect(0, 2151, '\P{^Joining_Group= _malayalam_Bha}', "");
    Error('\p{Jg=_-MALAYALAM_BHA:=}');
    Error('\P{Jg=_-MALAYALAM_BHA:=}');
    Expect(1, 2150, '\p{Jg=:\AMalayalam_Bha\z:}', "");;
    Expect(0, 2151, '\p{Jg=:\AMalayalam_Bha\z:}', "");;
    Expect(1, 2150, '\p{Jg=malayalambha}', "");
    Expect(0, 2150, '\p{^Jg=malayalambha}', "");
    Expect(0, 2150, '\P{Jg=malayalambha}', "");
    Expect(1, 2150, '\P{^Jg=malayalambha}', "");
    Expect(0, 2151, '\p{Jg=malayalambha}', "");
    Expect(1, 2151, '\p{^Jg=malayalambha}', "");
    Expect(1, 2151, '\P{Jg=malayalambha}', "");
    Expect(0, 2151, '\P{^Jg=malayalambha}', "");
    Expect(1, 2150, '\p{Jg=:\Amalayalambha\z:}', "");;
    Expect(0, 2151, '\p{Jg=:\Amalayalambha\z:}', "");;
    Expect(1, 2150, '\p{Jg=- Malayalam_bha}', "");
    Expect(0, 2150, '\p{^Jg=- Malayalam_bha}', "");
    Expect(0, 2150, '\P{Jg=- Malayalam_bha}', "");
    Expect(1, 2150, '\P{^Jg=- Malayalam_bha}', "");
    Expect(0, 2151, '\p{Jg=- Malayalam_bha}', "");
    Expect(1, 2151, '\p{^Jg=- Malayalam_bha}', "");
    Expect(1, 2151, '\P{Jg=- Malayalam_bha}', "");
    Expect(0, 2151, '\P{^Jg=- Malayalam_bha}', "");
    Error('\p{Is_Joining_Group= malayalam_Bha:=}');
    Error('\P{Is_Joining_Group= malayalam_Bha:=}');
    Expect(1, 2150, '\p{Is_Joining_Group=malayalambha}', "");
    Expect(0, 2150, '\p{^Is_Joining_Group=malayalambha}', "");
    Expect(0, 2150, '\P{Is_Joining_Group=malayalambha}', "");
    Expect(1, 2150, '\P{^Is_Joining_Group=malayalambha}', "");
    Expect(0, 2151, '\p{Is_Joining_Group=malayalambha}', "");
    Expect(1, 2151, '\p{^Is_Joining_Group=malayalambha}', "");
    Expect(1, 2151, '\P{Is_Joining_Group=malayalambha}', "");
    Expect(0, 2151, '\P{^Is_Joining_Group=malayalambha}', "");
    Expect(1, 2150, '\p{Is_Joining_Group=__Malayalam_Bha}', "");
    Expect(0, 2150, '\p{^Is_Joining_Group=__Malayalam_Bha}', "");
    Expect(0, 2150, '\P{Is_Joining_Group=__Malayalam_Bha}', "");
    Expect(1, 2150, '\P{^Is_Joining_Group=__Malayalam_Bha}', "");
    Expect(0, 2151, '\p{Is_Joining_Group=__Malayalam_Bha}', "");
    Expect(1, 2151, '\p{^Is_Joining_Group=__Malayalam_Bha}', "");
    Expect(1, 2151, '\P{Is_Joining_Group=__Malayalam_Bha}', "");
    Expect(0, 2151, '\P{^Is_Joining_Group=__Malayalam_Bha}', "");
    Error('\p{Is_Jg=--Malayalam_Bha/a/}');
    Error('\P{Is_Jg=--Malayalam_Bha/a/}');
    Expect(1, 2150, '\p{Is_Jg:	malayalambha}', "");
    Expect(0, 2150, '\p{^Is_Jg:	malayalambha}', "");
    Expect(0, 2150, '\P{Is_Jg:	malayalambha}', "");
    Expect(1, 2150, '\P{^Is_Jg:	malayalambha}', "");
    Expect(0, 2151, '\p{Is_Jg:	malayalambha}', "");
    Expect(1, 2151, '\p{^Is_Jg:	malayalambha}', "");
    Expect(1, 2151, '\P{Is_Jg:	malayalambha}', "");
    Expect(0, 2151, '\P{^Is_Jg:	malayalambha}', "");
    Expect(1, 2150, '\p{Is_Jg=	malayalam_Bha}', "");
    Expect(0, 2150, '\p{^Is_Jg=	malayalam_Bha}', "");
    Expect(0, 2150, '\P{Is_Jg=	malayalam_Bha}', "");
    Expect(1, 2150, '\P{^Is_Jg=	malayalam_Bha}', "");
    Expect(0, 2151, '\p{Is_Jg=	malayalam_Bha}', "");
    Expect(1, 2151, '\p{^Is_Jg=	malayalam_Bha}', "");
    Expect(1, 2151, '\P{Is_Jg=	malayalam_Bha}', "");
    Expect(0, 2151, '\P{^Is_Jg=	malayalam_Bha}', "");
    Error('\p{Joining_Group=-_malayalam_JA/a/}');
    Error('\P{Joining_Group=-_malayalam_JA/a/}');
    Expect(1, 2145, '\p{Joining_Group=:\AMalayalam_Ja\z:}', "");;
    Expect(0, 2146, '\p{Joining_Group=:\AMalayalam_Ja\z:}', "");;
    Expect(1, 2145, '\p{Joining_Group=malayalamja}', "");
    Expect(0, 2145, '\p{^Joining_Group=malayalamja}', "");
    Expect(0, 2145, '\P{Joining_Group=malayalamja}', "");
    Expect(1, 2145, '\P{^Joining_Group=malayalamja}', "");
    Expect(0, 2146, '\p{Joining_Group=malayalamja}', "");
    Expect(1, 2146, '\p{^Joining_Group=malayalamja}', "");
    Expect(1, 2146, '\P{Joining_Group=malayalamja}', "");
    Expect(0, 2146, '\P{^Joining_Group=malayalamja}', "");
    Expect(1, 2145, '\p{Joining_Group=:\Amalayalamja\z:}', "");;
    Expect(0, 2146, '\p{Joining_Group=:\Amalayalamja\z:}', "");;
    Expect(1, 2145, '\p{Joining_Group:   -	malayalam_Ja}', "");
    Expect(0, 2145, '\p{^Joining_Group:   -	malayalam_Ja}', "");
    Expect(0, 2145, '\P{Joining_Group:   -	malayalam_Ja}', "");
    Expect(1, 2145, '\P{^Joining_Group:   -	malayalam_Ja}', "");
    Expect(0, 2146, '\p{Joining_Group:   -	malayalam_Ja}', "");
    Expect(1, 2146, '\p{^Joining_Group:   -	malayalam_Ja}', "");
    Expect(1, 2146, '\P{Joining_Group:   -	malayalam_Ja}', "");
    Expect(0, 2146, '\P{^Joining_Group:   -	malayalam_Ja}', "");
    Error('\p{Jg=- malayalam_Ja:=}');
    Error('\P{Jg=- malayalam_Ja:=}');
    Expect(1, 2145, '\p{Jg=:\AMalayalam_Ja\z:}', "");;
    Expect(0, 2146, '\p{Jg=:\AMalayalam_Ja\z:}', "");;
    Expect(1, 2145, '\p{Jg=malayalamja}', "");
    Expect(0, 2145, '\p{^Jg=malayalamja}', "");
    Expect(0, 2145, '\P{Jg=malayalamja}', "");
    Expect(1, 2145, '\P{^Jg=malayalamja}', "");
    Expect(0, 2146, '\p{Jg=malayalamja}', "");
    Expect(1, 2146, '\p{^Jg=malayalamja}', "");
    Expect(1, 2146, '\P{Jg=malayalamja}', "");
    Expect(0, 2146, '\P{^Jg=malayalamja}', "");
    Expect(1, 2145, '\p{Jg=:\Amalayalamja\z:}', "");;
    Expect(0, 2146, '\p{Jg=:\Amalayalamja\z:}', "");;
    Expect(1, 2145, '\p{Jg=_Malayalam_Ja}', "");
    Expect(0, 2145, '\p{^Jg=_Malayalam_Ja}', "");
    Expect(0, 2145, '\P{Jg=_Malayalam_Ja}', "");
    Expect(1, 2145, '\P{^Jg=_Malayalam_Ja}', "");
    Expect(0, 2146, '\p{Jg=_Malayalam_Ja}', "");
    Expect(1, 2146, '\p{^Jg=_Malayalam_Ja}', "");
    Expect(1, 2146, '\P{Jg=_Malayalam_Ja}', "");
    Expect(0, 2146, '\P{^Jg=_Malayalam_Ja}', "");
    Error('\p{Is_Joining_Group=_ Malayalam_ja/a/}');
    Error('\P{Is_Joining_Group=_ Malayalam_ja/a/}');
    Expect(1, 2145, '\p{Is_Joining_Group=malayalamja}', "");
    Expect(0, 2145, '\p{^Is_Joining_Group=malayalamja}', "");
    Expect(0, 2145, '\P{Is_Joining_Group=malayalamja}', "");
    Expect(1, 2145, '\P{^Is_Joining_Group=malayalamja}', "");
    Expect(0, 2146, '\p{Is_Joining_Group=malayalamja}', "");
    Expect(1, 2146, '\p{^Is_Joining_Group=malayalamja}', "");
    Expect(1, 2146, '\P{Is_Joining_Group=malayalamja}', "");
    Expect(0, 2146, '\P{^Is_Joining_Group=malayalamja}', "");
    Expect(1, 2145, '\p{Is_Joining_Group=-_Malayalam_ja}', "");
    Expect(0, 2145, '\p{^Is_Joining_Group=-_Malayalam_ja}', "");
    Expect(0, 2145, '\P{Is_Joining_Group=-_Malayalam_ja}', "");
    Expect(1, 2145, '\P{^Is_Joining_Group=-_Malayalam_ja}', "");
    Expect(0, 2146, '\p{Is_Joining_Group=-_Malayalam_ja}', "");
    Expect(1, 2146, '\p{^Is_Joining_Group=-_Malayalam_ja}', "");
    Expect(1, 2146, '\P{Is_Joining_Group=-_Malayalam_ja}', "");
    Expect(0, 2146, '\P{^Is_Joining_Group=-_Malayalam_ja}', "");
    Error('\p{Is_Jg= :=MALAYALAM_JA}');
    Error('\P{Is_Jg= :=MALAYALAM_JA}');
    Expect(1, 2145, '\p{Is_Jg=malayalamja}', "");
    Expect(0, 2145, '\p{^Is_Jg=malayalamja}', "");
    Expect(0, 2145, '\P{Is_Jg=malayalamja}', "");
    Expect(1, 2145, '\P{^Is_Jg=malayalamja}', "");
    Expect(0, 2146, '\p{Is_Jg=malayalamja}', "");
    Expect(1, 2146, '\p{^Is_Jg=malayalamja}', "");
    Expect(1, 2146, '\P{Is_Jg=malayalamja}', "");
    Expect(0, 2146, '\P{^Is_Jg=malayalamja}', "");
    Expect(1, 2145, '\p{Is_Jg=--Malayalam_Ja}', "");
    Expect(0, 2145, '\p{^Is_Jg=--Malayalam_Ja}', "");
    Expect(0, 2145, '\P{Is_Jg=--Malayalam_Ja}', "");
    Expect(1, 2145, '\P{^Is_Jg=--Malayalam_Ja}', "");
    Expect(0, 2146, '\p{Is_Jg=--Malayalam_Ja}', "");
    Expect(1, 2146, '\p{^Is_Jg=--Malayalam_Ja}', "");
    Expect(1, 2146, '\P{Is_Jg=--Malayalam_Ja}', "");
    Expect(0, 2146, '\P{^Is_Jg=--Malayalam_Ja}', "");
    Error('\p{Joining_Group=/a/	Malayalam_lla}');
    Error('\P{Joining_Group=/a/	Malayalam_lla}');
    Expect(1, 2152, '\p{Joining_Group=:\AMalayalam_Lla\z:}', "");;
    Expect(0, 2153, '\p{Joining_Group=:\AMalayalam_Lla\z:}', "");;
    Expect(1, 2152, '\p{Joining_Group=malayalamlla}', "");
    Expect(0, 2152, '\p{^Joining_Group=malayalamlla}', "");
    Expect(0, 2152, '\P{Joining_Group=malayalamlla}', "");
    Expect(1, 2152, '\P{^Joining_Group=malayalamlla}', "");
    Expect(0, 2153, '\p{Joining_Group=malayalamlla}', "");
    Expect(1, 2153, '\p{^Joining_Group=malayalamlla}', "");
    Expect(1, 2153, '\P{Joining_Group=malayalamlla}', "");
    Expect(0, 2153, '\P{^Joining_Group=malayalamlla}', "");
    Expect(1, 2152, '\p{Joining_Group=:\Amalayalamlla\z:}', "");;
    Expect(0, 2153, '\p{Joining_Group=:\Amalayalamlla\z:}', "");;
    Expect(1, 2152, '\p{Joining_Group= _malayalam_Lla}', "");
    Expect(0, 2152, '\p{^Joining_Group= _malayalam_Lla}', "");
    Expect(0, 2152, '\P{Joining_Group= _malayalam_Lla}', "");
    Expect(1, 2152, '\P{^Joining_Group= _malayalam_Lla}', "");
    Expect(0, 2153, '\p{Joining_Group= _malayalam_Lla}', "");
    Expect(1, 2153, '\p{^Joining_Group= _malayalam_Lla}', "");
    Expect(1, 2153, '\P{Joining_Group= _malayalam_Lla}', "");
    Expect(0, 2153, '\P{^Joining_Group= _malayalam_Lla}', "");
    Error('\p{Jg=- Malayalam_lla/a/}');
    Error('\P{Jg=- Malayalam_lla/a/}');
    Expect(1, 2152, '\p{Jg=:\AMalayalam_Lla\z:}', "");;
    Expect(0, 2153, '\p{Jg=:\AMalayalam_Lla\z:}', "");;
    Expect(1, 2152, '\p{Jg:   malayalamlla}', "");
    Expect(0, 2152, '\p{^Jg:   malayalamlla}', "");
    Expect(0, 2152, '\P{Jg:   malayalamlla}', "");
    Expect(1, 2152, '\P{^Jg:   malayalamlla}', "");
    Expect(0, 2153, '\p{Jg:   malayalamlla}', "");
    Expect(1, 2153, '\p{^Jg:   malayalamlla}', "");
    Expect(1, 2153, '\P{Jg:   malayalamlla}', "");
    Expect(0, 2153, '\P{^Jg:   malayalamlla}', "");
    Expect(1, 2152, '\p{Jg=:\Amalayalamlla\z:}', "");;
    Expect(0, 2153, '\p{Jg=:\Amalayalamlla\z:}', "");;
    Expect(1, 2152, '\p{Jg=	MALAYALAM_Lla}', "");
    Expect(0, 2152, '\p{^Jg=	MALAYALAM_Lla}', "");
    Expect(0, 2152, '\P{Jg=	MALAYALAM_Lla}', "");
    Expect(1, 2152, '\P{^Jg=	MALAYALAM_Lla}', "");
    Expect(0, 2153, '\p{Jg=	MALAYALAM_Lla}', "");
    Expect(1, 2153, '\p{^Jg=	MALAYALAM_Lla}', "");
    Expect(1, 2153, '\P{Jg=	MALAYALAM_Lla}', "");
    Expect(0, 2153, '\P{^Jg=	MALAYALAM_Lla}', "");
    Error('\p{Is_Joining_Group=_/a/Malayalam_LLA}');
    Error('\P{Is_Joining_Group=_/a/Malayalam_LLA}');
    Expect(1, 2152, '\p{Is_Joining_Group=malayalamlla}', "");
    Expect(0, 2152, '\p{^Is_Joining_Group=malayalamlla}', "");
    Expect(0, 2152, '\P{Is_Joining_Group=malayalamlla}', "");
    Expect(1, 2152, '\P{^Is_Joining_Group=malayalamlla}', "");
    Expect(0, 2153, '\p{Is_Joining_Group=malayalamlla}', "");
    Expect(1, 2153, '\p{^Is_Joining_Group=malayalamlla}', "");
    Expect(1, 2153, '\P{Is_Joining_Group=malayalamlla}', "");
    Expect(0, 2153, '\P{^Is_Joining_Group=malayalamlla}', "");
    Expect(1, 2152, '\p{Is_Joining_Group=_Malayalam_lla}', "");
    Expect(0, 2152, '\p{^Is_Joining_Group=_Malayalam_lla}', "");
    Expect(0, 2152, '\P{Is_Joining_Group=_Malayalam_lla}', "");
    Expect(1, 2152, '\P{^Is_Joining_Group=_Malayalam_lla}', "");
    Expect(0, 2153, '\p{Is_Joining_Group=_Malayalam_lla}', "");
    Expect(1, 2153, '\p{^Is_Joining_Group=_Malayalam_lla}', "");
    Expect(1, 2153, '\P{Is_Joining_Group=_Malayalam_lla}', "");
    Expect(0, 2153, '\P{^Is_Joining_Group=_Malayalam_lla}', "");
    Error('\p{Is_Jg=	_malayalam_LLA:=}');
    Error('\P{Is_Jg=	_malayalam_LLA:=}');
    Expect(1, 2152, '\p{Is_Jg=malayalamlla}', "");
    Expect(0, 2152, '\p{^Is_Jg=malayalamlla}', "");
    Expect(0, 2152, '\P{Is_Jg=malayalamlla}', "");
    Expect(1, 2152, '\P{^Is_Jg=malayalamlla}', "");
    Expect(0, 2153, '\p{Is_Jg=malayalamlla}', "");
    Expect(1, 2153, '\p{^Is_Jg=malayalamlla}', "");
    Expect(1, 2153, '\P{Is_Jg=malayalamlla}', "");
    Expect(0, 2153, '\P{^Is_Jg=malayalamlla}', "");
    Expect(1, 2152, '\p{Is_Jg= -Malayalam_Lla}', "");
    Expect(0, 2152, '\p{^Is_Jg= -Malayalam_Lla}', "");
    Expect(0, 2152, '\P{Is_Jg= -Malayalam_Lla}', "");
    Expect(1, 2152, '\P{^Is_Jg= -Malayalam_Lla}', "");
    Expect(0, 2153, '\p{Is_Jg= -Malayalam_Lla}', "");
    Expect(1, 2153, '\p{^Is_Jg= -Malayalam_Lla}', "");
    Expect(1, 2153, '\P{Is_Jg= -Malayalam_Lla}', "");
    Expect(0, 2153, '\P{^Is_Jg= -Malayalam_Lla}', "");
    Error('\p{Joining_Group=		MALAYALAM_Llla/a/}');
    Error('\P{Joining_Group=		MALAYALAM_Llla/a/}');
    Expect(1, 2153, '\p{Joining_Group=:\AMalayalam_Llla\z:}', "");;
    Expect(0, 2154, '\p{Joining_Group=:\AMalayalam_Llla\z:}', "");;
    Expect(1, 2153, '\p{Joining_Group=malayalamllla}', "");
    Expect(0, 2153, '\p{^Joining_Group=malayalamllla}', "");
    Expect(0, 2153, '\P{Joining_Group=malayalamllla}', "");
    Expect(1, 2153, '\P{^Joining_Group=malayalamllla}', "");
    Expect(0, 2154, '\p{Joining_Group=malayalamllla}', "");
    Expect(1, 2154, '\p{^Joining_Group=malayalamllla}', "");
    Expect(1, 2154, '\P{Joining_Group=malayalamllla}', "");
    Expect(0, 2154, '\P{^Joining_Group=malayalamllla}', "");
    Expect(1, 2153, '\p{Joining_Group=:\Amalayalamllla\z:}', "");;
    Expect(0, 2154, '\p{Joining_Group=:\Amalayalamllla\z:}', "");;
    Expect(1, 2153, '\p{Joining_Group=	-Malayalam_LLLA}', "");
    Expect(0, 2153, '\p{^Joining_Group=	-Malayalam_LLLA}', "");
    Expect(0, 2153, '\P{Joining_Group=	-Malayalam_LLLA}', "");
    Expect(1, 2153, '\P{^Joining_Group=	-Malayalam_LLLA}', "");
    Expect(0, 2154, '\p{Joining_Group=	-Malayalam_LLLA}', "");
    Expect(1, 2154, '\p{^Joining_Group=	-Malayalam_LLLA}', "");
    Expect(1, 2154, '\P{Joining_Group=	-Malayalam_LLLA}', "");
    Expect(0, 2154, '\P{^Joining_Group=	-Malayalam_LLLA}', "");
    Error('\p{Jg=/a/--MALAYALAM_Llla}');
    Error('\P{Jg=/a/--MALAYALAM_Llla}');
    Expect(1, 2153, '\p{Jg=:\AMalayalam_Llla\z:}', "");;
    Expect(0, 2154, '\p{Jg=:\AMalayalam_Llla\z:}', "");;
    Expect(1, 2153, '\p{Jg=malayalamllla}', "");
    Expect(0, 2153, '\p{^Jg=malayalamllla}', "");
    Expect(0, 2153, '\P{Jg=malayalamllla}', "");
    Expect(1, 2153, '\P{^Jg=malayalamllla}', "");
    Expect(0, 2154, '\p{Jg=malayalamllla}', "");
    Expect(1, 2154, '\p{^Jg=malayalamllla}', "");
    Expect(1, 2154, '\P{Jg=malayalamllla}', "");
    Expect(0, 2154, '\P{^Jg=malayalamllla}', "");
    Expect(1, 2153, '\p{Jg=:\Amalayalamllla\z:}', "");;
    Expect(0, 2154, '\p{Jg=:\Amalayalamllla\z:}', "");;
    Expect(1, 2153, '\p{Jg=Malayalam_LLLA}', "");
    Expect(0, 2153, '\p{^Jg=Malayalam_LLLA}', "");
    Expect(0, 2153, '\P{Jg=Malayalam_LLLA}', "");
    Expect(1, 2153, '\P{^Jg=Malayalam_LLLA}', "");
    Expect(0, 2154, '\p{Jg=Malayalam_LLLA}', "");
    Expect(1, 2154, '\p{^Jg=Malayalam_LLLA}', "");
    Expect(1, 2154, '\P{Jg=Malayalam_LLLA}', "");
    Expect(0, 2154, '\P{^Jg=Malayalam_LLLA}', "");
    Error('\p{Is_Joining_Group=_ MALAYALAM_Llla:=}');
    Error('\P{Is_Joining_Group=_ MALAYALAM_Llla:=}');
    Expect(1, 2153, '\p{Is_Joining_Group=malayalamllla}', "");
    Expect(0, 2153, '\p{^Is_Joining_Group=malayalamllla}', "");
    Expect(0, 2153, '\P{Is_Joining_Group=malayalamllla}', "");
    Expect(1, 2153, '\P{^Is_Joining_Group=malayalamllla}', "");
    Expect(0, 2154, '\p{Is_Joining_Group=malayalamllla}', "");
    Expect(1, 2154, '\p{^Is_Joining_Group=malayalamllla}', "");
    Expect(1, 2154, '\P{Is_Joining_Group=malayalamllla}', "");
    Expect(0, 2154, '\P{^Is_Joining_Group=malayalamllla}', "");
    Expect(1, 2153, '\p{Is_Joining_Group=-_Malayalam_Llla}', "");
    Expect(0, 2153, '\p{^Is_Joining_Group=-_Malayalam_Llla}', "");
    Expect(0, 2153, '\P{Is_Joining_Group=-_Malayalam_Llla}', "");
    Expect(1, 2153, '\P{^Is_Joining_Group=-_Malayalam_Llla}', "");
    Expect(0, 2154, '\p{Is_Joining_Group=-_Malayalam_Llla}', "");
    Expect(1, 2154, '\p{^Is_Joining_Group=-_Malayalam_Llla}', "");
    Expect(1, 2154, '\P{Is_Joining_Group=-_Malayalam_Llla}', "");
    Expect(0, 2154, '\P{^Is_Joining_Group=-_Malayalam_Llla}', "");
    Error('\p{Is_Jg=/a/-_Malayalam_LLLA}');
    Error('\P{Is_Jg=/a/-_Malayalam_LLLA}');
    Expect(1, 2153, '\p{Is_Jg=malayalamllla}', "");
    Expect(0, 2153, '\p{^Is_Jg=malayalamllla}', "");
    Expect(0, 2153, '\P{Is_Jg=malayalamllla}', "");
    Expect(1, 2153, '\P{^Is_Jg=malayalamllla}', "");
    Expect(0, 2154, '\p{Is_Jg=malayalamllla}', "");
    Expect(1, 2154, '\p{^Is_Jg=malayalamllla}', "");
    Expect(1, 2154, '\P{Is_Jg=malayalamllla}', "");
    Expect(0, 2154, '\P{^Is_Jg=malayalamllla}', "");
    Expect(1, 2153, '\p{Is_Jg:   	malayalam_Llla}', "");
    Expect(0, 2153, '\p{^Is_Jg:   	malayalam_Llla}', "");
    Expect(0, 2153, '\P{Is_Jg:   	malayalam_Llla}', "");
    Expect(1, 2153, '\P{^Is_Jg:   	malayalam_Llla}', "");
    Expect(0, 2154, '\p{Is_Jg:   	malayalam_Llla}', "");
    Expect(1, 2154, '\p{^Is_Jg:   	malayalam_Llla}', "");
    Expect(1, 2154, '\P{Is_Jg:   	malayalam_Llla}', "");
    Expect(0, 2154, '\P{^Is_Jg:   	malayalam_Llla}', "");
    Error('\p{Joining_Group=:=	Malayalam_NGA}');
    Error('\P{Joining_Group=:=	Malayalam_NGA}');
    Expect(1, 2144, '\p{Joining_Group=:\AMalayalam_Nga\z:}', "");;
    Expect(0, 2145, '\p{Joining_Group=:\AMalayalam_Nga\z:}', "");;
    Expect(1, 2144, '\p{Joining_Group=malayalamnga}', "");
    Expect(0, 2144, '\p{^Joining_Group=malayalamnga}', "");
    Expect(0, 2144, '\P{Joining_Group=malayalamnga}', "");
    Expect(1, 2144, '\P{^Joining_Group=malayalamnga}', "");
    Expect(0, 2145, '\p{Joining_Group=malayalamnga}', "");
    Expect(1, 2145, '\p{^Joining_Group=malayalamnga}', "");
    Expect(1, 2145, '\P{Joining_Group=malayalamnga}', "");
    Expect(0, 2145, '\P{^Joining_Group=malayalamnga}', "");
    Expect(1, 2144, '\p{Joining_Group=:\Amalayalamnga\z:}', "");;
    Expect(0, 2145, '\p{Joining_Group=:\Amalayalamnga\z:}', "");;
    Expect(1, 2144, '\p{Joining_Group=  Malayalam_NGA}', "");
    Expect(0, 2144, '\p{^Joining_Group=  Malayalam_NGA}', "");
    Expect(0, 2144, '\P{Joining_Group=  Malayalam_NGA}', "");
    Expect(1, 2144, '\P{^Joining_Group=  Malayalam_NGA}', "");
    Expect(0, 2145, '\p{Joining_Group=  Malayalam_NGA}', "");
    Expect(1, 2145, '\p{^Joining_Group=  Malayalam_NGA}', "");
    Expect(1, 2145, '\P{Joining_Group=  Malayalam_NGA}', "");
    Expect(0, 2145, '\P{^Joining_Group=  Malayalam_NGA}', "");
    Error('\p{Jg=-	malayalam_nga:=}');
    Error('\P{Jg=-	malayalam_nga:=}');
    Expect(1, 2144, '\p{Jg=:\AMalayalam_Nga\z:}', "");;
    Expect(0, 2145, '\p{Jg=:\AMalayalam_Nga\z:}', "");;
    Expect(1, 2144, '\p{Jg=malayalamnga}', "");
    Expect(0, 2144, '\p{^Jg=malayalamnga}', "");
    Expect(0, 2144, '\P{Jg=malayalamnga}', "");
    Expect(1, 2144, '\P{^Jg=malayalamnga}', "");
    Expect(0, 2145, '\p{Jg=malayalamnga}', "");
    Expect(1, 2145, '\p{^Jg=malayalamnga}', "");
    Expect(1, 2145, '\P{Jg=malayalamnga}', "");
    Expect(0, 2145, '\P{^Jg=malayalamnga}', "");
    Expect(1, 2144, '\p{Jg=:\Amalayalamnga\z:}', "");;
    Expect(0, 2145, '\p{Jg=:\Amalayalamnga\z:}', "");;
    Expect(1, 2144, '\p{Jg=-MALAYALAM_Nga}', "");
    Expect(0, 2144, '\p{^Jg=-MALAYALAM_Nga}', "");
    Expect(0, 2144, '\P{Jg=-MALAYALAM_Nga}', "");
    Expect(1, 2144, '\P{^Jg=-MALAYALAM_Nga}', "");
    Expect(0, 2145, '\p{Jg=-MALAYALAM_Nga}', "");
    Expect(1, 2145, '\p{^Jg=-MALAYALAM_Nga}', "");
    Expect(1, 2145, '\P{Jg=-MALAYALAM_Nga}', "");
    Expect(0, 2145, '\P{^Jg=-MALAYALAM_Nga}', "");
    Error('\p{Is_Joining_Group=	malayalam_NGA:=}');
    Error('\P{Is_Joining_Group=	malayalam_NGA:=}');
    Expect(1, 2144, '\p{Is_Joining_Group=malayalamnga}', "");
    Expect(0, 2144, '\p{^Is_Joining_Group=malayalamnga}', "");
    Expect(0, 2144, '\P{Is_Joining_Group=malayalamnga}', "");
    Expect(1, 2144, '\P{^Is_Joining_Group=malayalamnga}', "");
    Expect(0, 2145, '\p{Is_Joining_Group=malayalamnga}', "");
    Expect(1, 2145, '\p{^Is_Joining_Group=malayalamnga}', "");
    Expect(1, 2145, '\P{Is_Joining_Group=malayalamnga}', "");
    Expect(0, 2145, '\P{^Is_Joining_Group=malayalamnga}', "");
    Expect(1, 2144, '\p{Is_Joining_Group=  MALAYALAM_nga}', "");
    Expect(0, 2144, '\p{^Is_Joining_Group=  MALAYALAM_nga}', "");
    Expect(0, 2144, '\P{Is_Joining_Group=  MALAYALAM_nga}', "");
    Expect(1, 2144, '\P{^Is_Joining_Group=  MALAYALAM_nga}', "");
    Expect(0, 2145, '\p{Is_Joining_Group=  MALAYALAM_nga}', "");
    Expect(1, 2145, '\p{^Is_Joining_Group=  MALAYALAM_nga}', "");
    Expect(1, 2145, '\P{Is_Joining_Group=  MALAYALAM_nga}', "");
    Expect(0, 2145, '\P{^Is_Joining_Group=  MALAYALAM_nga}', "");
    Error('\p{Is_Jg=/a/	_Malayalam_NGA}');
    Error('\P{Is_Jg=/a/	_Malayalam_NGA}');
    Expect(1, 2144, '\p{Is_Jg=malayalamnga}', "");
    Expect(0, 2144, '\p{^Is_Jg=malayalamnga}', "");
    Expect(0, 2144, '\P{Is_Jg=malayalamnga}', "");
    Expect(1, 2144, '\P{^Is_Jg=malayalamnga}', "");
    Expect(0, 2145, '\p{Is_Jg=malayalamnga}', "");
    Expect(1, 2145, '\p{^Is_Jg=malayalamnga}', "");
    Expect(1, 2145, '\P{Is_Jg=malayalamnga}', "");
    Expect(0, 2145, '\P{^Is_Jg=malayalamnga}', "");
    Expect(1, 2144, '\p{Is_Jg=--Malayalam_Nga}', "");
    Expect(0, 2144, '\p{^Is_Jg=--Malayalam_Nga}', "");
    Expect(0, 2144, '\P{Is_Jg=--Malayalam_Nga}', "");
    Expect(1, 2144, '\P{^Is_Jg=--Malayalam_Nga}', "");
    Expect(0, 2145, '\p{Is_Jg=--Malayalam_Nga}', "");
    Expect(1, 2145, '\p{^Is_Jg=--Malayalam_Nga}', "");
    Expect(1, 2145, '\P{Is_Jg=--Malayalam_Nga}', "");
    Expect(0, 2145, '\P{^Is_Jg=--Malayalam_Nga}', "");
    Error('\p{Joining_Group=/a/_malayalam_NNA}');
    Error('\P{Joining_Group=/a/_malayalam_NNA}');
    Expect(1, 2148, '\p{Joining_Group=:\AMalayalam_Nna\z:}', "");;
    Expect(0, 2149, '\p{Joining_Group=:\AMalayalam_Nna\z:}', "");;
    Expect(1, 2148, '\p{Joining_Group=malayalamnna}', "");
    Expect(0, 2148, '\p{^Joining_Group=malayalamnna}', "");
    Expect(0, 2148, '\P{Joining_Group=malayalamnna}', "");
    Expect(1, 2148, '\P{^Joining_Group=malayalamnna}', "");
    Expect(0, 2149, '\p{Joining_Group=malayalamnna}', "");
    Expect(1, 2149, '\p{^Joining_Group=malayalamnna}', "");
    Expect(1, 2149, '\P{Joining_Group=malayalamnna}', "");
    Expect(0, 2149, '\P{^Joining_Group=malayalamnna}', "");
    Expect(1, 2148, '\p{Joining_Group=:\Amalayalamnna\z:}', "");;
    Expect(0, 2149, '\p{Joining_Group=:\Amalayalamnna\z:}', "");;
    Expect(1, 2148, '\p{Joining_Group= malayalam_NNA}', "");
    Expect(0, 2148, '\p{^Joining_Group= malayalam_NNA}', "");
    Expect(0, 2148, '\P{Joining_Group= malayalam_NNA}', "");
    Expect(1, 2148, '\P{^Joining_Group= malayalam_NNA}', "");
    Expect(0, 2149, '\p{Joining_Group= malayalam_NNA}', "");
    Expect(1, 2149, '\p{^Joining_Group= malayalam_NNA}', "");
    Expect(1, 2149, '\P{Joining_Group= malayalam_NNA}', "");
    Expect(0, 2149, '\P{^Joining_Group= malayalam_NNA}', "");
    Error('\p{Jg=malayalam_Nna:=}');
    Error('\P{Jg=malayalam_Nna:=}');
    Expect(1, 2148, '\p{Jg=:\AMalayalam_Nna\z:}', "");;
    Expect(0, 2149, '\p{Jg=:\AMalayalam_Nna\z:}', "");;
    Expect(1, 2148, '\p{Jg: malayalamnna}', "");
    Expect(0, 2148, '\p{^Jg: malayalamnna}', "");
    Expect(0, 2148, '\P{Jg: malayalamnna}', "");
    Expect(1, 2148, '\P{^Jg: malayalamnna}', "");
    Expect(0, 2149, '\p{Jg: malayalamnna}', "");
    Expect(1, 2149, '\p{^Jg: malayalamnna}', "");
    Expect(1, 2149, '\P{Jg: malayalamnna}', "");
    Expect(0, 2149, '\P{^Jg: malayalamnna}', "");
    Expect(1, 2148, '\p{Jg=:\Amalayalamnna\z:}', "");;
    Expect(0, 2149, '\p{Jg=:\Amalayalamnna\z:}', "");;
    Expect(1, 2148, '\p{Jg=- Malayalam_NNA}', "");
    Expect(0, 2148, '\p{^Jg=- Malayalam_NNA}', "");
    Expect(0, 2148, '\P{Jg=- Malayalam_NNA}', "");
    Expect(1, 2148, '\P{^Jg=- Malayalam_NNA}', "");
    Expect(0, 2149, '\p{Jg=- Malayalam_NNA}', "");
    Expect(1, 2149, '\p{^Jg=- Malayalam_NNA}', "");
    Expect(1, 2149, '\P{Jg=- Malayalam_NNA}', "");
    Expect(0, 2149, '\P{^Jg=- Malayalam_NNA}', "");
    Error('\p{Is_Joining_Group=:=- malayalam_Nna}');
    Error('\P{Is_Joining_Group=:=- malayalam_Nna}');
    Expect(1, 2148, '\p{Is_Joining_Group=malayalamnna}', "");
    Expect(0, 2148, '\p{^Is_Joining_Group=malayalamnna}', "");
    Expect(0, 2148, '\P{Is_Joining_Group=malayalamnna}', "");
    Expect(1, 2148, '\P{^Is_Joining_Group=malayalamnna}', "");
    Expect(0, 2149, '\p{Is_Joining_Group=malayalamnna}', "");
    Expect(1, 2149, '\p{^Is_Joining_Group=malayalamnna}', "");
    Expect(1, 2149, '\P{Is_Joining_Group=malayalamnna}', "");
    Expect(0, 2149, '\P{^Is_Joining_Group=malayalamnna}', "");
    Expect(1, 2148, '\p{Is_Joining_Group: __Malayalam_nna}', "");
    Expect(0, 2148, '\p{^Is_Joining_Group: __Malayalam_nna}', "");
    Expect(0, 2148, '\P{Is_Joining_Group: __Malayalam_nna}', "");
    Expect(1, 2148, '\P{^Is_Joining_Group: __Malayalam_nna}', "");
    Expect(0, 2149, '\p{Is_Joining_Group: __Malayalam_nna}', "");
    Expect(1, 2149, '\p{^Is_Joining_Group: __Malayalam_nna}', "");
    Expect(1, 2149, '\P{Is_Joining_Group: __Malayalam_nna}', "");
    Expect(0, 2149, '\P{^Is_Joining_Group: __Malayalam_nna}', "");
    Error('\p{Is_Jg=-_Malayalam_nna:=}');
    Error('\P{Is_Jg=-_Malayalam_nna:=}');
    Expect(1, 2148, '\p{Is_Jg=malayalamnna}', "");
    Expect(0, 2148, '\p{^Is_Jg=malayalamnna}', "");
    Expect(0, 2148, '\P{Is_Jg=malayalamnna}', "");
    Expect(1, 2148, '\P{^Is_Jg=malayalamnna}', "");
    Expect(0, 2149, '\p{Is_Jg=malayalamnna}', "");
    Expect(1, 2149, '\p{^Is_Jg=malayalamnna}', "");
    Expect(1, 2149, '\P{Is_Jg=malayalamnna}', "");
    Expect(0, 2149, '\P{^Is_Jg=malayalamnna}', "");
    Expect(1, 2148, '\p{Is_Jg=-	malayalam_nna}', "");
    Expect(0, 2148, '\p{^Is_Jg=-	malayalam_nna}', "");
    Expect(0, 2148, '\P{Is_Jg=-	malayalam_nna}', "");
    Expect(1, 2148, '\P{^Is_Jg=-	malayalam_nna}', "");
    Expect(0, 2149, '\p{Is_Jg=-	malayalam_nna}', "");
    Expect(1, 2149, '\p{^Is_Jg=-	malayalam_nna}', "");
    Expect(1, 2149, '\P{Is_Jg=-	malayalam_nna}', "");
    Expect(0, 2149, '\P{^Is_Jg=-	malayalam_nna}', "");
    Error('\p{Joining_Group=_	malayalam_nnna:=}');
    Error('\P{Joining_Group=_	malayalam_nnna:=}');
    Expect(1, 2149, '\p{Joining_Group=:\AMalayalam_Nnna\z:}', "");;
    Expect(0, 2150, '\p{Joining_Group=:\AMalayalam_Nnna\z:}', "");;
    Expect(1, 2149, '\p{Joining_Group=malayalamnnna}', "");
    Expect(0, 2149, '\p{^Joining_Group=malayalamnnna}', "");
    Expect(0, 2149, '\P{Joining_Group=malayalamnnna}', "");
    Expect(1, 2149, '\P{^Joining_Group=malayalamnnna}', "");
    Expect(0, 2150, '\p{Joining_Group=malayalamnnna}', "");
    Expect(1, 2150, '\p{^Joining_Group=malayalamnnna}', "");
    Expect(1, 2150, '\P{Joining_Group=malayalamnnna}', "");
    Expect(0, 2150, '\P{^Joining_Group=malayalamnnna}', "");
    Expect(1, 2149, '\p{Joining_Group=:\Amalayalamnnna\z:}', "");;
    Expect(0, 2150, '\p{Joining_Group=:\Amalayalamnnna\z:}', "");;
    Expect(1, 2149, '\p{Joining_Group= -Malayalam_NNNA}', "");
    Expect(0, 2149, '\p{^Joining_Group= -Malayalam_NNNA}', "");
    Expect(0, 2149, '\P{Joining_Group= -Malayalam_NNNA}', "");
    Expect(1, 2149, '\P{^Joining_Group= -Malayalam_NNNA}', "");
    Expect(0, 2150, '\p{Joining_Group= -Malayalam_NNNA}', "");
    Expect(1, 2150, '\p{^Joining_Group= -Malayalam_NNNA}', "");
    Expect(1, 2150, '\P{Joining_Group= -Malayalam_NNNA}', "");
    Expect(0, 2150, '\P{^Joining_Group= -Malayalam_NNNA}', "");
    Error('\p{Jg= :=malayalam_nnna}');
    Error('\P{Jg= :=malayalam_nnna}');
    Expect(1, 2149, '\p{Jg=:\AMalayalam_Nnna\z:}', "");;
    Expect(0, 2150, '\p{Jg=:\AMalayalam_Nnna\z:}', "");;
    Expect(1, 2149, '\p{Jg=malayalamnnna}', "");
    Expect(0, 2149, '\p{^Jg=malayalamnnna}', "");
    Expect(0, 2149, '\P{Jg=malayalamnnna}', "");
    Expect(1, 2149, '\P{^Jg=malayalamnnna}', "");
    Expect(0, 2150, '\p{Jg=malayalamnnna}', "");
    Expect(1, 2150, '\p{^Jg=malayalamnnna}', "");
    Expect(1, 2150, '\P{Jg=malayalamnnna}', "");
    Expect(0, 2150, '\P{^Jg=malayalamnnna}', "");
    Expect(1, 2149, '\p{Jg=:\Amalayalamnnna\z:}', "");;
    Expect(0, 2150, '\p{Jg=:\Amalayalamnnna\z:}', "");;
    Expect(1, 2149, '\p{Jg=_MALAYALAM_Nnna}', "");
    Expect(0, 2149, '\p{^Jg=_MALAYALAM_Nnna}', "");
    Expect(0, 2149, '\P{Jg=_MALAYALAM_Nnna}', "");
    Expect(1, 2149, '\P{^Jg=_MALAYALAM_Nnna}', "");
    Expect(0, 2150, '\p{Jg=_MALAYALAM_Nnna}', "");
    Expect(1, 2150, '\p{^Jg=_MALAYALAM_Nnna}', "");
    Expect(1, 2150, '\P{Jg=_MALAYALAM_Nnna}', "");
    Expect(0, 2150, '\P{^Jg=_MALAYALAM_Nnna}', "");
    Error('\p{Is_Joining_Group:	/a/ malayalam_Nnna}');
    Error('\P{Is_Joining_Group:	/a/ malayalam_Nnna}');
    Expect(1, 2149, '\p{Is_Joining_Group=malayalamnnna}', "");
    Expect(0, 2149, '\p{^Is_Joining_Group=malayalamnnna}', "");
    Expect(0, 2149, '\P{Is_Joining_Group=malayalamnnna}', "");
    Expect(1, 2149, '\P{^Is_Joining_Group=malayalamnnna}', "");
    Expect(0, 2150, '\p{Is_Joining_Group=malayalamnnna}', "");
    Expect(1, 2150, '\p{^Is_Joining_Group=malayalamnnna}', "");
    Expect(1, 2150, '\P{Is_Joining_Group=malayalamnnna}', "");
    Expect(0, 2150, '\P{^Is_Joining_Group=malayalamnnna}', "");
    Expect(1, 2149, '\p{Is_Joining_Group:		malayalam_nnna}', "");
    Expect(0, 2149, '\p{^Is_Joining_Group:		malayalam_nnna}', "");
    Expect(0, 2149, '\P{Is_Joining_Group:		malayalam_nnna}', "");
    Expect(1, 2149, '\P{^Is_Joining_Group:		malayalam_nnna}', "");
    Expect(0, 2150, '\p{Is_Joining_Group:		malayalam_nnna}', "");
    Expect(1, 2150, '\p{^Is_Joining_Group:		malayalam_nnna}', "");
    Expect(1, 2150, '\P{Is_Joining_Group:		malayalam_nnna}', "");
    Expect(0, 2150, '\P{^Is_Joining_Group:		malayalam_nnna}', "");
    Error('\p{Is_Jg=	Malayalam_Nnna:=}');
    Error('\P{Is_Jg=	Malayalam_Nnna:=}');
    Expect(1, 2149, '\p{Is_Jg=malayalamnnna}', "");
    Expect(0, 2149, '\p{^Is_Jg=malayalamnnna}', "");
    Expect(0, 2149, '\P{Is_Jg=malayalamnnna}', "");
    Expect(1, 2149, '\P{^Is_Jg=malayalamnnna}', "");
    Expect(0, 2150, '\p{Is_Jg=malayalamnnna}', "");
    Expect(1, 2150, '\p{^Is_Jg=malayalamnnna}', "");
    Expect(1, 2150, '\P{Is_Jg=malayalamnnna}', "");
    Expect(0, 2150, '\P{^Is_Jg=malayalamnnna}', "");
    Expect(1, 2149, '\p{Is_Jg:	--Malayalam_nnna}', "");
    Expect(0, 2149, '\p{^Is_Jg:	--Malayalam_nnna}', "");
    Expect(0, 2149, '\P{Is_Jg:	--Malayalam_nnna}', "");
    Expect(1, 2149, '\P{^Is_Jg:	--Malayalam_nnna}', "");
    Expect(0, 2150, '\p{Is_Jg:	--Malayalam_nnna}', "");
    Expect(1, 2150, '\p{^Is_Jg:	--Malayalam_nnna}', "");
    Expect(1, 2150, '\P{Is_Jg:	--Malayalam_nnna}', "");
    Expect(0, 2150, '\P{^Is_Jg:	--Malayalam_nnna}', "");
    Error('\p{Joining_Group=/a/ malayalam_nya}');
    Error('\P{Joining_Group=/a/ malayalam_nya}');
    Expect(1, 2146, '\p{Joining_Group=:\AMalayalam_Nya\z:}', "");;
    Expect(0, 2147, '\p{Joining_Group=:\AMalayalam_Nya\z:}', "");;
    Expect(1, 2146, '\p{Joining_Group=malayalamnya}', "");
    Expect(0, 2146, '\p{^Joining_Group=malayalamnya}', "");
    Expect(0, 2146, '\P{Joining_Group=malayalamnya}', "");
    Expect(1, 2146, '\P{^Joining_Group=malayalamnya}', "");
    Expect(0, 2147, '\p{Joining_Group=malayalamnya}', "");
    Expect(1, 2147, '\p{^Joining_Group=malayalamnya}', "");
    Expect(1, 2147, '\P{Joining_Group=malayalamnya}', "");
    Expect(0, 2147, '\P{^Joining_Group=malayalamnya}', "");
    Expect(1, 2146, '\p{Joining_Group=:\Amalayalamnya\z:}', "");;
    Expect(0, 2147, '\p{Joining_Group=:\Amalayalamnya\z:}', "");;
    Expect(1, 2146, '\p{Joining_Group=_Malayalam_Nya}', "");
    Expect(0, 2146, '\p{^Joining_Group=_Malayalam_Nya}', "");
    Expect(0, 2146, '\P{Joining_Group=_Malayalam_Nya}', "");
    Expect(1, 2146, '\P{^Joining_Group=_Malayalam_Nya}', "");
    Expect(0, 2147, '\p{Joining_Group=_Malayalam_Nya}', "");
    Expect(1, 2147, '\p{^Joining_Group=_Malayalam_Nya}', "");
    Expect(1, 2147, '\P{Joining_Group=_Malayalam_Nya}', "");
    Expect(0, 2147, '\P{^Joining_Group=_Malayalam_Nya}', "");
    Error('\p{Jg=:=		MALAYALAM_Nya}');
    Error('\P{Jg=:=		MALAYALAM_Nya}');
    Expect(1, 2146, '\p{Jg=:\AMalayalam_Nya\z:}', "");;
    Expect(0, 2147, '\p{Jg=:\AMalayalam_Nya\z:}', "");;
    Expect(1, 2146, '\p{Jg=malayalamnya}', "");
    Expect(0, 2146, '\p{^Jg=malayalamnya}', "");
    Expect(0, 2146, '\P{Jg=malayalamnya}', "");
    Expect(1, 2146, '\P{^Jg=malayalamnya}', "");
    Expect(0, 2147, '\p{Jg=malayalamnya}', "");
    Expect(1, 2147, '\p{^Jg=malayalamnya}', "");
    Expect(1, 2147, '\P{Jg=malayalamnya}', "");
    Expect(0, 2147, '\P{^Jg=malayalamnya}', "");
    Expect(1, 2146, '\p{Jg=:\Amalayalamnya\z:}', "");;
    Expect(0, 2147, '\p{Jg=:\Amalayalamnya\z:}', "");;
    Expect(1, 2146, '\p{Jg= MALAYALAM_nya}', "");
    Expect(0, 2146, '\p{^Jg= MALAYALAM_nya}', "");
    Expect(0, 2146, '\P{Jg= MALAYALAM_nya}', "");
    Expect(1, 2146, '\P{^Jg= MALAYALAM_nya}', "");
    Expect(0, 2147, '\p{Jg= MALAYALAM_nya}', "");
    Expect(1, 2147, '\p{^Jg= MALAYALAM_nya}', "");
    Expect(1, 2147, '\P{Jg= MALAYALAM_nya}', "");
    Expect(0, 2147, '\P{^Jg= MALAYALAM_nya}', "");
    Error('\p{Is_Joining_Group: :=_	Malayalam_Nya}');
    Error('\P{Is_Joining_Group: :=_	Malayalam_Nya}');
    Expect(1, 2146, '\p{Is_Joining_Group=malayalamnya}', "");
    Expect(0, 2146, '\p{^Is_Joining_Group=malayalamnya}', "");
    Expect(0, 2146, '\P{Is_Joining_Group=malayalamnya}', "");
    Expect(1, 2146, '\P{^Is_Joining_Group=malayalamnya}', "");
    Expect(0, 2147, '\p{Is_Joining_Group=malayalamnya}', "");
    Expect(1, 2147, '\p{^Is_Joining_Group=malayalamnya}', "");
    Expect(1, 2147, '\P{Is_Joining_Group=malayalamnya}', "");
    Expect(0, 2147, '\P{^Is_Joining_Group=malayalamnya}', "");
    Expect(1, 2146, '\p{Is_Joining_Group=	-malayalam_nya}', "");
    Expect(0, 2146, '\p{^Is_Joining_Group=	-malayalam_nya}', "");
    Expect(0, 2146, '\P{Is_Joining_Group=	-malayalam_nya}', "");
    Expect(1, 2146, '\P{^Is_Joining_Group=	-malayalam_nya}', "");
    Expect(0, 2147, '\p{Is_Joining_Group=	-malayalam_nya}', "");
    Expect(1, 2147, '\p{^Is_Joining_Group=	-malayalam_nya}', "");
    Expect(1, 2147, '\P{Is_Joining_Group=	-malayalam_nya}', "");
    Expect(0, 2147, '\P{^Is_Joining_Group=	-malayalam_nya}', "");
    Error('\p{Is_Jg=:=	Malayalam_Nya}');
    Error('\P{Is_Jg=:=	Malayalam_Nya}');
    Expect(1, 2146, '\p{Is_Jg=malayalamnya}', "");
    Expect(0, 2146, '\p{^Is_Jg=malayalamnya}', "");
    Expect(0, 2146, '\P{Is_Jg=malayalamnya}', "");
    Expect(1, 2146, '\P{^Is_Jg=malayalamnya}', "");
    Expect(0, 2147, '\p{Is_Jg=malayalamnya}', "");
    Expect(1, 2147, '\p{^Is_Jg=malayalamnya}', "");
    Expect(1, 2147, '\P{Is_Jg=malayalamnya}', "");
    Expect(0, 2147, '\P{^Is_Jg=malayalamnya}', "");
    Expect(1, 2146, '\p{Is_Jg=malayalam_nya}', "");
    Expect(0, 2146, '\p{^Is_Jg=malayalam_nya}', "");
    Expect(0, 2146, '\P{Is_Jg=malayalam_nya}', "");
    Expect(1, 2146, '\P{^Is_Jg=malayalam_nya}', "");
    Expect(0, 2147, '\p{Is_Jg=malayalam_nya}', "");
    Expect(1, 2147, '\p{^Is_Jg=malayalam_nya}', "");
    Expect(1, 2147, '\P{Is_Jg=malayalam_nya}', "");
    Expect(0, 2147, '\P{^Is_Jg=malayalam_nya}', "");
    Error('\p{Joining_Group=/a/MALAYALAM_ra}');
    Error('\P{Joining_Group=/a/MALAYALAM_ra}');
    Expect(1, 2151, '\p{Joining_Group=:\AMalayalam_Ra\z:}', "");;
    Expect(0, 2152, '\p{Joining_Group=:\AMalayalam_Ra\z:}', "");;
    Expect(1, 2151, '\p{Joining_Group:malayalamra}', "");
    Expect(0, 2151, '\p{^Joining_Group:malayalamra}', "");
    Expect(0, 2151, '\P{Joining_Group:malayalamra}', "");
    Expect(1, 2151, '\P{^Joining_Group:malayalamra}', "");
    Expect(0, 2152, '\p{Joining_Group:malayalamra}', "");
    Expect(1, 2152, '\p{^Joining_Group:malayalamra}', "");
    Expect(1, 2152, '\P{Joining_Group:malayalamra}', "");
    Expect(0, 2152, '\P{^Joining_Group:malayalamra}', "");
    Expect(1, 2151, '\p{Joining_Group=:\Amalayalamra\z:}', "");;
    Expect(0, 2152, '\p{Joining_Group=:\Amalayalamra\z:}', "");;
    Expect(1, 2151, '\p{Joining_Group=_ malayalam_ra}', "");
    Expect(0, 2151, '\p{^Joining_Group=_ malayalam_ra}', "");
    Expect(0, 2151, '\P{Joining_Group=_ malayalam_ra}', "");
    Expect(1, 2151, '\P{^Joining_Group=_ malayalam_ra}', "");
    Expect(0, 2152, '\p{Joining_Group=_ malayalam_ra}', "");
    Expect(1, 2152, '\p{^Joining_Group=_ malayalam_ra}', "");
    Expect(1, 2152, '\P{Joining_Group=_ malayalam_ra}', "");
    Expect(0, 2152, '\P{^Joining_Group=_ malayalam_ra}', "");
    Error('\p{Jg=	:=Malayalam_ra}');
    Error('\P{Jg=	:=Malayalam_ra}');
    Expect(1, 2151, '\p{Jg=:\AMalayalam_Ra\z:}', "");;
    Expect(0, 2152, '\p{Jg=:\AMalayalam_Ra\z:}', "");;
    Expect(1, 2151, '\p{Jg=malayalamra}', "");
    Expect(0, 2151, '\p{^Jg=malayalamra}', "");
    Expect(0, 2151, '\P{Jg=malayalamra}', "");
    Expect(1, 2151, '\P{^Jg=malayalamra}', "");
    Expect(0, 2152, '\p{Jg=malayalamra}', "");
    Expect(1, 2152, '\p{^Jg=malayalamra}', "");
    Expect(1, 2152, '\P{Jg=malayalamra}', "");
    Expect(0, 2152, '\P{^Jg=malayalamra}', "");
    Expect(1, 2151, '\p{Jg=:\Amalayalamra\z:}', "");;
    Expect(0, 2152, '\p{Jg=:\Amalayalamra\z:}', "");;
    Expect(1, 2151, '\p{Jg= 	Malayalam_ra}', "");
    Expect(0, 2151, '\p{^Jg= 	Malayalam_ra}', "");
    Expect(0, 2151, '\P{Jg= 	Malayalam_ra}', "");
    Expect(1, 2151, '\P{^Jg= 	Malayalam_ra}', "");
    Expect(0, 2152, '\p{Jg= 	Malayalam_ra}', "");
    Expect(1, 2152, '\p{^Jg= 	Malayalam_ra}', "");
    Expect(1, 2152, '\P{Jg= 	Malayalam_ra}', "");
    Expect(0, 2152, '\P{^Jg= 	Malayalam_ra}', "");
    Error('\p{Is_Joining_Group=	 malayalam_Ra/a/}');
    Error('\P{Is_Joining_Group=	 malayalam_Ra/a/}');
    Expect(1, 2151, '\p{Is_Joining_Group=malayalamra}', "");
    Expect(0, 2151, '\p{^Is_Joining_Group=malayalamra}', "");
    Expect(0, 2151, '\P{Is_Joining_Group=malayalamra}', "");
    Expect(1, 2151, '\P{^Is_Joining_Group=malayalamra}', "");
    Expect(0, 2152, '\p{Is_Joining_Group=malayalamra}', "");
    Expect(1, 2152, '\p{^Is_Joining_Group=malayalamra}', "");
    Expect(1, 2152, '\P{Is_Joining_Group=malayalamra}', "");
    Expect(0, 2152, '\P{^Is_Joining_Group=malayalamra}', "");
    Expect(1, 2151, '\p{Is_Joining_Group=	_malayalam_RA}', "");
    Expect(0, 2151, '\p{^Is_Joining_Group=	_malayalam_RA}', "");
    Expect(0, 2151, '\P{Is_Joining_Group=	_malayalam_RA}', "");
    Expect(1, 2151, '\P{^Is_Joining_Group=	_malayalam_RA}', "");
    Expect(0, 2152, '\p{Is_Joining_Group=	_malayalam_RA}', "");
    Expect(1, 2152, '\p{^Is_Joining_Group=	_malayalam_RA}', "");
    Expect(1, 2152, '\P{Is_Joining_Group=	_malayalam_RA}', "");
    Expect(0, 2152, '\P{^Is_Joining_Group=	_malayalam_RA}', "");
    Error('\p{Is_Jg=/a/ _MALAYALAM_ra}');
    Error('\P{Is_Jg=/a/ _MALAYALAM_ra}');
    Expect(1, 2151, '\p{Is_Jg=malayalamra}', "");
    Expect(0, 2151, '\p{^Is_Jg=malayalamra}', "");
    Expect(0, 2151, '\P{Is_Jg=malayalamra}', "");
    Expect(1, 2151, '\P{^Is_Jg=malayalamra}', "");
    Expect(0, 2152, '\p{Is_Jg=malayalamra}', "");
    Expect(1, 2152, '\p{^Is_Jg=malayalamra}', "");
    Expect(1, 2152, '\P{Is_Jg=malayalamra}', "");
    Expect(0, 2152, '\P{^Is_Jg=malayalamra}', "");
    Expect(1, 2151, '\p{Is_Jg=-	malayalam_RA}', "");
    Expect(0, 2151, '\p{^Is_Jg=-	malayalam_RA}', "");
    Expect(0, 2151, '\P{Is_Jg=-	malayalam_RA}', "");
    Expect(1, 2151, '\P{^Is_Jg=-	malayalam_RA}', "");
    Expect(0, 2152, '\p{Is_Jg=-	malayalam_RA}', "");
    Expect(1, 2152, '\p{^Is_Jg=-	malayalam_RA}', "");
    Expect(1, 2152, '\P{Is_Jg=-	malayalam_RA}', "");
    Expect(0, 2152, '\P{^Is_Jg=-	malayalam_RA}', "");
    Error('\p{Joining_Group:-/a/Malayalam_SSA}');
    Error('\P{Joining_Group:-/a/Malayalam_SSA}');
    Expect(1, 2154, '\p{Joining_Group=:\AMalayalam_Ssa\z:}', "");;
    Expect(0, 2155, '\p{Joining_Group=:\AMalayalam_Ssa\z:}', "");;
    Expect(1, 2154, '\p{Joining_Group: malayalamssa}', "");
    Expect(0, 2154, '\p{^Joining_Group: malayalamssa}', "");
    Expect(0, 2154, '\P{Joining_Group: malayalamssa}', "");
    Expect(1, 2154, '\P{^Joining_Group: malayalamssa}', "");
    Expect(0, 2155, '\p{Joining_Group: malayalamssa}', "");
    Expect(1, 2155, '\p{^Joining_Group: malayalamssa}', "");
    Expect(1, 2155, '\P{Joining_Group: malayalamssa}', "");
    Expect(0, 2155, '\P{^Joining_Group: malayalamssa}', "");
    Expect(1, 2154, '\p{Joining_Group=:\Amalayalamssa\z:}', "");;
    Expect(0, 2155, '\p{Joining_Group=:\Amalayalamssa\z:}', "");;
    Expect(1, 2154, '\p{Joining_Group:	-Malayalam_Ssa}', "");
    Expect(0, 2154, '\p{^Joining_Group:	-Malayalam_Ssa}', "");
    Expect(0, 2154, '\P{Joining_Group:	-Malayalam_Ssa}', "");
    Expect(1, 2154, '\P{^Joining_Group:	-Malayalam_Ssa}', "");
    Expect(0, 2155, '\p{Joining_Group:	-Malayalam_Ssa}', "");
    Expect(1, 2155, '\p{^Joining_Group:	-Malayalam_Ssa}', "");
    Expect(1, 2155, '\P{Joining_Group:	-Malayalam_Ssa}', "");
    Expect(0, 2155, '\P{^Joining_Group:	-Malayalam_Ssa}', "");
    Error('\p{Jg=	 MALAYALAM_SSA/a/}');
    Error('\P{Jg=	 MALAYALAM_SSA/a/}');
    Expect(1, 2154, '\p{Jg=:\AMalayalam_Ssa\z:}', "");;
    Expect(0, 2155, '\p{Jg=:\AMalayalam_Ssa\z:}', "");;
    Expect(1, 2154, '\p{Jg:   malayalamssa}', "");
    Expect(0, 2154, '\p{^Jg:   malayalamssa}', "");
    Expect(0, 2154, '\P{Jg:   malayalamssa}', "");
    Expect(1, 2154, '\P{^Jg:   malayalamssa}', "");
    Expect(0, 2155, '\p{Jg:   malayalamssa}', "");
    Expect(1, 2155, '\p{^Jg:   malayalamssa}', "");
    Expect(1, 2155, '\P{Jg:   malayalamssa}', "");
    Expect(0, 2155, '\P{^Jg:   malayalamssa}', "");
    Expect(1, 2154, '\p{Jg=:\Amalayalamssa\z:}', "");;
    Expect(0, 2155, '\p{Jg=:\Amalayalamssa\z:}', "");;
    Expect(1, 2154, '\p{Jg=	malayalam_Ssa}', "");
    Expect(0, 2154, '\p{^Jg=	malayalam_Ssa}', "");
    Expect(0, 2154, '\P{Jg=	malayalam_Ssa}', "");
    Expect(1, 2154, '\P{^Jg=	malayalam_Ssa}', "");
    Expect(0, 2155, '\p{Jg=	malayalam_Ssa}', "");
    Expect(1, 2155, '\p{^Jg=	malayalam_Ssa}', "");
    Expect(1, 2155, '\P{Jg=	malayalam_Ssa}', "");
    Expect(0, 2155, '\P{^Jg=	malayalam_Ssa}', "");
    Error('\p{Is_Joining_Group= -Malayalam_ssa:=}');
    Error('\P{Is_Joining_Group= -Malayalam_ssa:=}');
    Expect(1, 2154, '\p{Is_Joining_Group=malayalamssa}', "");
    Expect(0, 2154, '\p{^Is_Joining_Group=malayalamssa}', "");
    Expect(0, 2154, '\P{Is_Joining_Group=malayalamssa}', "");
    Expect(1, 2154, '\P{^Is_Joining_Group=malayalamssa}', "");
    Expect(0, 2155, '\p{Is_Joining_Group=malayalamssa}', "");
    Expect(1, 2155, '\p{^Is_Joining_Group=malayalamssa}', "");
    Expect(1, 2155, '\P{Is_Joining_Group=malayalamssa}', "");
    Expect(0, 2155, '\P{^Is_Joining_Group=malayalamssa}', "");
    Expect(1, 2154, '\p{Is_Joining_Group=- Malayalam_Ssa}', "");
    Expect(0, 2154, '\p{^Is_Joining_Group=- Malayalam_Ssa}', "");
    Expect(0, 2154, '\P{Is_Joining_Group=- Malayalam_Ssa}', "");
    Expect(1, 2154, '\P{^Is_Joining_Group=- Malayalam_Ssa}', "");
    Expect(0, 2155, '\p{Is_Joining_Group=- Malayalam_Ssa}', "");
    Expect(1, 2155, '\p{^Is_Joining_Group=- Malayalam_Ssa}', "");
    Expect(1, 2155, '\P{Is_Joining_Group=- Malayalam_Ssa}', "");
    Expect(0, 2155, '\P{^Is_Joining_Group=- Malayalam_Ssa}', "");
    Error('\p{Is_Jg=		Malayalam_SSA/a/}');
    Error('\P{Is_Jg=		Malayalam_SSA/a/}');
    Expect(1, 2154, '\p{Is_Jg=malayalamssa}', "");
    Expect(0, 2154, '\p{^Is_Jg=malayalamssa}', "");
    Expect(0, 2154, '\P{Is_Jg=malayalamssa}', "");
    Expect(1, 2154, '\P{^Is_Jg=malayalamssa}', "");
    Expect(0, 2155, '\p{Is_Jg=malayalamssa}', "");
    Expect(1, 2155, '\p{^Is_Jg=malayalamssa}', "");
    Expect(1, 2155, '\P{Is_Jg=malayalamssa}', "");
    Expect(0, 2155, '\P{^Is_Jg=malayalamssa}', "");
    Expect(1, 2154, '\p{Is_Jg=	MALAYALAM_SSA}', "");
    Expect(0, 2154, '\p{^Is_Jg=	MALAYALAM_SSA}', "");
    Expect(0, 2154, '\P{Is_Jg=	MALAYALAM_SSA}', "");
    Expect(1, 2154, '\P{^Is_Jg=	MALAYALAM_SSA}', "");
    Expect(0, 2155, '\p{Is_Jg=	MALAYALAM_SSA}', "");
    Expect(1, 2155, '\p{^Is_Jg=	MALAYALAM_SSA}', "");
    Expect(1, 2155, '\P{Is_Jg=	MALAYALAM_SSA}', "");
    Expect(0, 2155, '\P{^Is_Jg=	MALAYALAM_SSA}', "");
    Error('\p{Joining_Group=	_Malayalam_tta/a/}');
    Error('\P{Joining_Group=	_Malayalam_tta/a/}');
    Expect(1, 2147, '\p{Joining_Group=:\AMalayalam_Tta\z:}', "");;
    Expect(0, 2148, '\p{Joining_Group=:\AMalayalam_Tta\z:}', "");;
    Expect(1, 2147, '\p{Joining_Group=malayalamtta}', "");
    Expect(0, 2147, '\p{^Joining_Group=malayalamtta}', "");
    Expect(0, 2147, '\P{Joining_Group=malayalamtta}', "");
    Expect(1, 2147, '\P{^Joining_Group=malayalamtta}', "");
    Expect(0, 2148, '\p{Joining_Group=malayalamtta}', "");
    Expect(1, 2148, '\p{^Joining_Group=malayalamtta}', "");
    Expect(1, 2148, '\P{Joining_Group=malayalamtta}', "");
    Expect(0, 2148, '\P{^Joining_Group=malayalamtta}', "");
    Expect(1, 2147, '\p{Joining_Group=:\Amalayalamtta\z:}', "");;
    Expect(0, 2148, '\p{Joining_Group=:\Amalayalamtta\z:}', "");;
    Expect(1, 2147, '\p{Joining_Group=	_Malayalam_Tta}', "");
    Expect(0, 2147, '\p{^Joining_Group=	_Malayalam_Tta}', "");
    Expect(0, 2147, '\P{Joining_Group=	_Malayalam_Tta}', "");
    Expect(1, 2147, '\P{^Joining_Group=	_Malayalam_Tta}', "");
    Expect(0, 2148, '\p{Joining_Group=	_Malayalam_Tta}', "");
    Expect(1, 2148, '\p{^Joining_Group=	_Malayalam_Tta}', "");
    Expect(1, 2148, '\P{Joining_Group=	_Malayalam_Tta}', "");
    Expect(0, 2148, '\P{^Joining_Group=	_Malayalam_Tta}', "");
    Error('\p{Jg=:=_ malayalam_tta}');
    Error('\P{Jg=:=_ malayalam_tta}');
    Expect(1, 2147, '\p{Jg=:\AMalayalam_Tta\z:}', "");;
    Expect(0, 2148, '\p{Jg=:\AMalayalam_Tta\z:}', "");;
    Expect(1, 2147, '\p{Jg=malayalamtta}', "");
    Expect(0, 2147, '\p{^Jg=malayalamtta}', "");
    Expect(0, 2147, '\P{Jg=malayalamtta}', "");
    Expect(1, 2147, '\P{^Jg=malayalamtta}', "");
    Expect(0, 2148, '\p{Jg=malayalamtta}', "");
    Expect(1, 2148, '\p{^Jg=malayalamtta}', "");
    Expect(1, 2148, '\P{Jg=malayalamtta}', "");
    Expect(0, 2148, '\P{^Jg=malayalamtta}', "");
    Expect(1, 2147, '\p{Jg=:\Amalayalamtta\z:}', "");;
    Expect(0, 2148, '\p{Jg=:\Amalayalamtta\z:}', "");;
    Expect(1, 2147, '\p{Jg:   	malayalam_tta}', "");
    Expect(0, 2147, '\p{^Jg:   	malayalam_tta}', "");
    Expect(0, 2147, '\P{Jg:   	malayalam_tta}', "");
    Expect(1, 2147, '\P{^Jg:   	malayalam_tta}', "");
    Expect(0, 2148, '\p{Jg:   	malayalam_tta}', "");
    Expect(1, 2148, '\p{^Jg:   	malayalam_tta}', "");
    Expect(1, 2148, '\P{Jg:   	malayalam_tta}', "");
    Expect(0, 2148, '\P{^Jg:   	malayalam_tta}', "");
    Error('\p{Is_Joining_Group=_-Malayalam_TTA/a/}');
    Error('\P{Is_Joining_Group=_-Malayalam_TTA/a/}');
    Expect(1, 2147, '\p{Is_Joining_Group=malayalamtta}', "");
    Expect(0, 2147, '\p{^Is_Joining_Group=malayalamtta}', "");
    Expect(0, 2147, '\P{Is_Joining_Group=malayalamtta}', "");
    Expect(1, 2147, '\P{^Is_Joining_Group=malayalamtta}', "");
    Expect(0, 2148, '\p{Is_Joining_Group=malayalamtta}', "");
    Expect(1, 2148, '\p{^Is_Joining_Group=malayalamtta}', "");
    Expect(1, 2148, '\P{Is_Joining_Group=malayalamtta}', "");
    Expect(0, 2148, '\P{^Is_Joining_Group=malayalamtta}', "");
    Expect(1, 2147, '\p{Is_Joining_Group=	-Malayalam_Tta}', "");
    Expect(0, 2147, '\p{^Is_Joining_Group=	-Malayalam_Tta}', "");
    Expect(0, 2147, '\P{Is_Joining_Group=	-Malayalam_Tta}', "");
    Expect(1, 2147, '\P{^Is_Joining_Group=	-Malayalam_Tta}', "");
    Expect(0, 2148, '\p{Is_Joining_Group=	-Malayalam_Tta}', "");
    Expect(1, 2148, '\p{^Is_Joining_Group=	-Malayalam_Tta}', "");
    Expect(1, 2148, '\P{Is_Joining_Group=	-Malayalam_Tta}', "");
    Expect(0, 2148, '\P{^Is_Joining_Group=	-Malayalam_Tta}', "");
    Error('\p{Is_Jg=:=	Malayalam_tta}');
    Error('\P{Is_Jg=:=	Malayalam_tta}');
    Expect(1, 2147, '\p{Is_Jg=malayalamtta}', "");
    Expect(0, 2147, '\p{^Is_Jg=malayalamtta}', "");
    Expect(0, 2147, '\P{Is_Jg=malayalamtta}', "");
    Expect(1, 2147, '\P{^Is_Jg=malayalamtta}', "");
    Expect(0, 2148, '\p{Is_Jg=malayalamtta}', "");
    Expect(1, 2148, '\p{^Is_Jg=malayalamtta}', "");
    Expect(1, 2148, '\P{Is_Jg=malayalamtta}', "");
    Expect(0, 2148, '\P{^Is_Jg=malayalamtta}', "");
    Expect(1, 2147, '\p{Is_Jg:   Malayalam_tta}', "");
    Expect(0, 2147, '\p{^Is_Jg:   Malayalam_tta}', "");
    Expect(0, 2147, '\P{Is_Jg:   Malayalam_tta}', "");
    Expect(1, 2147, '\P{^Is_Jg:   Malayalam_tta}', "");
    Expect(0, 2148, '\p{Is_Jg:   Malayalam_tta}', "");
    Expect(1, 2148, '\p{^Is_Jg:   Malayalam_tta}', "");
    Expect(1, 2148, '\P{Is_Jg:   Malayalam_tta}', "");
    Expect(0, 2148, '\P{^Is_Jg:   Malayalam_tta}', "");
    Error('\p{Joining_Group:/a/-MANICHAEAN_ALEPH}');
    Error('\P{Joining_Group:/a/-MANICHAEAN_ALEPH}');
    Expect(1, 68288, '\p{Joining_Group=:\AManichaean_Aleph\z:}', "");;
    Expect(0, 68289, '\p{Joining_Group=:\AManichaean_Aleph\z:}', "");;
    Expect(1, 68288, '\p{Joining_Group=manichaeanaleph}', "");
    Expect(0, 68288, '\p{^Joining_Group=manichaeanaleph}', "");
    Expect(0, 68288, '\P{Joining_Group=manichaeanaleph}', "");
    Expect(1, 68288, '\P{^Joining_Group=manichaeanaleph}', "");
    Expect(0, 68289, '\p{Joining_Group=manichaeanaleph}', "");
    Expect(1, 68289, '\p{^Joining_Group=manichaeanaleph}', "");
    Expect(1, 68289, '\P{Joining_Group=manichaeanaleph}', "");
    Expect(0, 68289, '\P{^Joining_Group=manichaeanaleph}', "");
    Expect(1, 68288, '\p{Joining_Group=:\Amanichaeanaleph\z:}', "");;
    Expect(0, 68289, '\p{Joining_Group=:\Amanichaeanaleph\z:}', "");;
    Expect(1, 68288, '\p{Joining_Group=-Manichaean_ALEPH}', "");
    Expect(0, 68288, '\p{^Joining_Group=-Manichaean_ALEPH}', "");
    Expect(0, 68288, '\P{Joining_Group=-Manichaean_ALEPH}', "");
    Expect(1, 68288, '\P{^Joining_Group=-Manichaean_ALEPH}', "");
    Expect(0, 68289, '\p{Joining_Group=-Manichaean_ALEPH}', "");
    Expect(1, 68289, '\p{^Joining_Group=-Manichaean_ALEPH}', "");
    Expect(1, 68289, '\P{Joining_Group=-Manichaean_ALEPH}', "");
    Expect(0, 68289, '\P{^Joining_Group=-Manichaean_ALEPH}', "");
    Error('\p{Jg=	:=manichaean_Aleph}');
    Error('\P{Jg=	:=manichaean_Aleph}');
    Expect(1, 68288, '\p{Jg=:\AManichaean_Aleph\z:}', "");;
    Expect(0, 68289, '\p{Jg=:\AManichaean_Aleph\z:}', "");;
    Expect(1, 68288, '\p{Jg=manichaeanaleph}', "");
    Expect(0, 68288, '\p{^Jg=manichaeanaleph}', "");
    Expect(0, 68288, '\P{Jg=manichaeanaleph}', "");
    Expect(1, 68288, '\P{^Jg=manichaeanaleph}', "");
    Expect(0, 68289, '\p{Jg=manichaeanaleph}', "");
    Expect(1, 68289, '\p{^Jg=manichaeanaleph}', "");
    Expect(1, 68289, '\P{Jg=manichaeanaleph}', "");
    Expect(0, 68289, '\P{^Jg=manichaeanaleph}', "");
    Expect(1, 68288, '\p{Jg=:\Amanichaeanaleph\z:}', "");;
    Expect(0, 68289, '\p{Jg=:\Amanichaeanaleph\z:}', "");;
    Expect(1, 68288, '\p{Jg=- Manichaean_ALEPH}', "");
    Expect(0, 68288, '\p{^Jg=- Manichaean_ALEPH}', "");
    Expect(0, 68288, '\P{Jg=- Manichaean_ALEPH}', "");
    Expect(1, 68288, '\P{^Jg=- Manichaean_ALEPH}', "");
    Expect(0, 68289, '\p{Jg=- Manichaean_ALEPH}', "");
    Expect(1, 68289, '\p{^Jg=- Manichaean_ALEPH}', "");
    Expect(1, 68289, '\P{Jg=- Manichaean_ALEPH}', "");
    Expect(0, 68289, '\P{^Jg=- Manichaean_ALEPH}', "");
    Error('\p{Is_Joining_Group=	 Manichaean_aleph/a/}');
    Error('\P{Is_Joining_Group=	 Manichaean_aleph/a/}');
    Expect(1, 68288, '\p{Is_Joining_Group=manichaeanaleph}', "");
    Expect(0, 68288, '\p{^Is_Joining_Group=manichaeanaleph}', "");
    Expect(0, 68288, '\P{Is_Joining_Group=manichaeanaleph}', "");
    Expect(1, 68288, '\P{^Is_Joining_Group=manichaeanaleph}', "");
    Expect(0, 68289, '\p{Is_Joining_Group=manichaeanaleph}', "");
    Expect(1, 68289, '\p{^Is_Joining_Group=manichaeanaleph}', "");
    Expect(1, 68289, '\P{Is_Joining_Group=manichaeanaleph}', "");
    Expect(0, 68289, '\P{^Is_Joining_Group=manichaeanaleph}', "");
    Expect(1, 68288, '\p{Is_Joining_Group=_	Manichaean_Aleph}', "");
    Expect(0, 68288, '\p{^Is_Joining_Group=_	Manichaean_Aleph}', "");
    Expect(0, 68288, '\P{Is_Joining_Group=_	Manichaean_Aleph}', "");
    Expect(1, 68288, '\P{^Is_Joining_Group=_	Manichaean_Aleph}', "");
    Expect(0, 68289, '\p{Is_Joining_Group=_	Manichaean_Aleph}', "");
    Expect(1, 68289, '\p{^Is_Joining_Group=_	Manichaean_Aleph}', "");
    Expect(1, 68289, '\P{Is_Joining_Group=_	Manichaean_Aleph}', "");
    Expect(0, 68289, '\P{^Is_Joining_Group=_	Manichaean_Aleph}', "");
    Error('\p{Is_Jg=	-manichaean_Aleph:=}');
    Error('\P{Is_Jg=	-manichaean_Aleph:=}');
    Expect(1, 68288, '\p{Is_Jg=manichaeanaleph}', "");
    Expect(0, 68288, '\p{^Is_Jg=manichaeanaleph}', "");
    Expect(0, 68288, '\P{Is_Jg=manichaeanaleph}', "");
    Expect(1, 68288, '\P{^Is_Jg=manichaeanaleph}', "");
    Expect(0, 68289, '\p{Is_Jg=manichaeanaleph}', "");
    Expect(1, 68289, '\p{^Is_Jg=manichaeanaleph}', "");
    Expect(1, 68289, '\P{Is_Jg=manichaeanaleph}', "");
    Expect(0, 68289, '\P{^Is_Jg=manichaeanaleph}', "");
    Expect(1, 68288, '\p{Is_Jg=MANICHAEAN_Aleph}', "");
    Expect(0, 68288, '\p{^Is_Jg=MANICHAEAN_Aleph}', "");
    Expect(0, 68288, '\P{Is_Jg=MANICHAEAN_Aleph}', "");
    Expect(1, 68288, '\P{^Is_Jg=MANICHAEAN_Aleph}', "");
    Expect(0, 68289, '\p{Is_Jg=MANICHAEAN_Aleph}', "");
    Expect(1, 68289, '\p{^Is_Jg=MANICHAEAN_Aleph}', "");
    Expect(1, 68289, '\P{Is_Jg=MANICHAEAN_Aleph}', "");
    Expect(0, 68289, '\P{^Is_Jg=MANICHAEAN_Aleph}', "");
    Error('\p{Joining_Group:- Manichaean_ayin:=}');
    Error('\P{Joining_Group:- Manichaean_ayin:=}');
    Expect(1, 68314, '\p{Joining_Group=:\AManichaean_Ayin\z:}', "");;
    Expect(0, 68315, '\p{Joining_Group=:\AManichaean_Ayin\z:}', "");;
    Expect(1, 68314, '\p{Joining_Group=manichaeanayin}', "");
    Expect(0, 68314, '\p{^Joining_Group=manichaeanayin}', "");
    Expect(0, 68314, '\P{Joining_Group=manichaeanayin}', "");
    Expect(1, 68314, '\P{^Joining_Group=manichaeanayin}', "");
    Expect(0, 68315, '\p{Joining_Group=manichaeanayin}', "");
    Expect(1, 68315, '\p{^Joining_Group=manichaeanayin}', "");
    Expect(1, 68315, '\P{Joining_Group=manichaeanayin}', "");
    Expect(0, 68315, '\P{^Joining_Group=manichaeanayin}', "");
    Expect(1, 68314, '\p{Joining_Group=:\Amanichaeanayin\z:}', "");;
    Expect(0, 68315, '\p{Joining_Group=:\Amanichaeanayin\z:}', "");;
    Expect(1, 68314, '\p{Joining_Group=_-MANICHAEAN_Ayin}', "");
    Expect(0, 68314, '\p{^Joining_Group=_-MANICHAEAN_Ayin}', "");
    Expect(0, 68314, '\P{Joining_Group=_-MANICHAEAN_Ayin}', "");
    Expect(1, 68314, '\P{^Joining_Group=_-MANICHAEAN_Ayin}', "");
    Expect(0, 68315, '\p{Joining_Group=_-MANICHAEAN_Ayin}', "");
    Expect(1, 68315, '\p{^Joining_Group=_-MANICHAEAN_Ayin}', "");
    Expect(1, 68315, '\P{Joining_Group=_-MANICHAEAN_Ayin}', "");
    Expect(0, 68315, '\P{^Joining_Group=_-MANICHAEAN_Ayin}', "");
    Error('\p{Jg=	/a/MANICHAEAN_Ayin}');
    Error('\P{Jg=	/a/MANICHAEAN_Ayin}');
    Expect(1, 68314, '\p{Jg=:\AManichaean_Ayin\z:}', "");;
    Expect(0, 68315, '\p{Jg=:\AManichaean_Ayin\z:}', "");;
    Expect(1, 68314, '\p{Jg=manichaeanayin}', "");
    Expect(0, 68314, '\p{^Jg=manichaeanayin}', "");
    Expect(0, 68314, '\P{Jg=manichaeanayin}', "");
    Expect(1, 68314, '\P{^Jg=manichaeanayin}', "");
    Expect(0, 68315, '\p{Jg=manichaeanayin}', "");
    Expect(1, 68315, '\p{^Jg=manichaeanayin}', "");
    Expect(1, 68315, '\P{Jg=manichaeanayin}', "");
    Expect(0, 68315, '\P{^Jg=manichaeanayin}', "");
    Expect(1, 68314, '\p{Jg=:\Amanichaeanayin\z:}', "");;
    Expect(0, 68315, '\p{Jg=:\Amanichaeanayin\z:}', "");;
    Expect(1, 68314, '\p{Jg=-Manichaean_AYIN}', "");
    Expect(0, 68314, '\p{^Jg=-Manichaean_AYIN}', "");
    Expect(0, 68314, '\P{Jg=-Manichaean_AYIN}', "");
    Expect(1, 68314, '\P{^Jg=-Manichaean_AYIN}', "");
    Expect(0, 68315, '\p{Jg=-Manichaean_AYIN}', "");
    Expect(1, 68315, '\p{^Jg=-Manichaean_AYIN}', "");
    Expect(1, 68315, '\P{Jg=-Manichaean_AYIN}', "");
    Expect(0, 68315, '\P{^Jg=-Manichaean_AYIN}', "");
    Error('\p{Is_Joining_Group=	/a/manichaean_AYIN}');
    Error('\P{Is_Joining_Group=	/a/manichaean_AYIN}');
    Expect(1, 68314, '\p{Is_Joining_Group=manichaeanayin}', "");
    Expect(0, 68314, '\p{^Is_Joining_Group=manichaeanayin}', "");
    Expect(0, 68314, '\P{Is_Joining_Group=manichaeanayin}', "");
    Expect(1, 68314, '\P{^Is_Joining_Group=manichaeanayin}', "");
    Expect(0, 68315, '\p{Is_Joining_Group=manichaeanayin}', "");
    Expect(1, 68315, '\p{^Is_Joining_Group=manichaeanayin}', "");
    Expect(1, 68315, '\P{Is_Joining_Group=manichaeanayin}', "");
    Expect(0, 68315, '\P{^Is_Joining_Group=manichaeanayin}', "");
    Expect(1, 68314, '\p{Is_Joining_Group=		Manichaean_AYIN}', "");
    Expect(0, 68314, '\p{^Is_Joining_Group=		Manichaean_AYIN}', "");
    Expect(0, 68314, '\P{Is_Joining_Group=		Manichaean_AYIN}', "");
    Expect(1, 68314, '\P{^Is_Joining_Group=		Manichaean_AYIN}', "");
    Expect(0, 68315, '\p{Is_Joining_Group=		Manichaean_AYIN}', "");
    Expect(1, 68315, '\p{^Is_Joining_Group=		Manichaean_AYIN}', "");
    Expect(1, 68315, '\P{Is_Joining_Group=		Manichaean_AYIN}', "");
    Expect(0, 68315, '\P{^Is_Joining_Group=		Manichaean_AYIN}', "");
    Error('\p{Is_Jg=:=  Manichaean_Ayin}');
    Error('\P{Is_Jg=:=  Manichaean_Ayin}');
    Expect(1, 68314, '\p{Is_Jg=manichaeanayin}', "");
    Expect(0, 68314, '\p{^Is_Jg=manichaeanayin}', "");
    Expect(0, 68314, '\P{Is_Jg=manichaeanayin}', "");
    Expect(1, 68314, '\P{^Is_Jg=manichaeanayin}', "");
    Expect(0, 68315, '\p{Is_Jg=manichaeanayin}', "");
    Expect(1, 68315, '\p{^Is_Jg=manichaeanayin}', "");
    Expect(1, 68315, '\P{Is_Jg=manichaeanayin}', "");
    Expect(0, 68315, '\P{^Is_Jg=manichaeanayin}', "");
    Expect(1, 68314, '\p{Is_Jg=Manichaean_AYIN}', "");
    Expect(0, 68314, '\p{^Is_Jg=Manichaean_AYIN}', "");
    Expect(0, 68314, '\P{Is_Jg=Manichaean_AYIN}', "");
    Expect(1, 68314, '\P{^Is_Jg=Manichaean_AYIN}', "");
    Expect(0, 68315, '\p{Is_Jg=Manichaean_AYIN}', "");
    Expect(1, 68315, '\p{^Is_Jg=Manichaean_AYIN}', "");
    Expect(1, 68315, '\P{Is_Jg=Manichaean_AYIN}', "");
    Expect(0, 68315, '\P{^Is_Jg=Manichaean_AYIN}', "");
    Error('\p{Joining_Group=__MANICHAEAN_Beth/a/}');
    Error('\P{Joining_Group=__MANICHAEAN_Beth/a/}');
    Expect(1, 68290, '\p{Joining_Group=:\AManichaean_Beth\z:}', "");;
    Expect(0, 68291, '\p{Joining_Group=:\AManichaean_Beth\z:}', "");;
    Expect(1, 68290, '\p{Joining_Group:manichaeanbeth}', "");
    Expect(0, 68290, '\p{^Joining_Group:manichaeanbeth}', "");
    Expect(0, 68290, '\P{Joining_Group:manichaeanbeth}', "");
    Expect(1, 68290, '\P{^Joining_Group:manichaeanbeth}', "");
    Expect(0, 68291, '\p{Joining_Group:manichaeanbeth}', "");
    Expect(1, 68291, '\p{^Joining_Group:manichaeanbeth}', "");
    Expect(1, 68291, '\P{Joining_Group:manichaeanbeth}', "");
    Expect(0, 68291, '\P{^Joining_Group:manichaeanbeth}', "");
    Expect(1, 68290, '\p{Joining_Group=:\Amanichaeanbeth\z:}', "");;
    Expect(0, 68291, '\p{Joining_Group=:\Amanichaeanbeth\z:}', "");;
    Expect(1, 68290, '\p{Joining_Group=_manichaean_beth}', "");
    Expect(0, 68290, '\p{^Joining_Group=_manichaean_beth}', "");
    Expect(0, 68290, '\P{Joining_Group=_manichaean_beth}', "");
    Expect(1, 68290, '\P{^Joining_Group=_manichaean_beth}', "");
    Expect(0, 68291, '\p{Joining_Group=_manichaean_beth}', "");
    Expect(1, 68291, '\p{^Joining_Group=_manichaean_beth}', "");
    Expect(1, 68291, '\P{Joining_Group=_manichaean_beth}', "");
    Expect(0, 68291, '\P{^Joining_Group=_manichaean_beth}', "");
    Error('\p{Jg=-/a/Manichaean_BETH}');
    Error('\P{Jg=-/a/Manichaean_BETH}');
    Expect(1, 68290, '\p{Jg=:\AManichaean_Beth\z:}', "");;
    Expect(0, 68291, '\p{Jg=:\AManichaean_Beth\z:}', "");;
    Expect(1, 68290, '\p{Jg=manichaeanbeth}', "");
    Expect(0, 68290, '\p{^Jg=manichaeanbeth}', "");
    Expect(0, 68290, '\P{Jg=manichaeanbeth}', "");
    Expect(1, 68290, '\P{^Jg=manichaeanbeth}', "");
    Expect(0, 68291, '\p{Jg=manichaeanbeth}', "");
    Expect(1, 68291, '\p{^Jg=manichaeanbeth}', "");
    Expect(1, 68291, '\P{Jg=manichaeanbeth}', "");
    Expect(0, 68291, '\P{^Jg=manichaeanbeth}', "");
    Expect(1, 68290, '\p{Jg=:\Amanichaeanbeth\z:}', "");;
    Expect(0, 68291, '\p{Jg=:\Amanichaeanbeth\z:}', "");;
    Expect(1, 68290, '\p{Jg=  Manichaean_Beth}', "");
    Expect(0, 68290, '\p{^Jg=  Manichaean_Beth}', "");
    Expect(0, 68290, '\P{Jg=  Manichaean_Beth}', "");
    Expect(1, 68290, '\P{^Jg=  Manichaean_Beth}', "");
    Expect(0, 68291, '\p{Jg=  Manichaean_Beth}', "");
    Expect(1, 68291, '\p{^Jg=  Manichaean_Beth}', "");
    Expect(1, 68291, '\P{Jg=  Manichaean_Beth}', "");
    Expect(0, 68291, '\P{^Jg=  Manichaean_Beth}', "");
    Error('\p{Is_Joining_Group=:=Manichaean_Beth}');
    Error('\P{Is_Joining_Group=:=Manichaean_Beth}');
    Expect(1, 68290, '\p{Is_Joining_Group: manichaeanbeth}', "");
    Expect(0, 68290, '\p{^Is_Joining_Group: manichaeanbeth}', "");
    Expect(0, 68290, '\P{Is_Joining_Group: manichaeanbeth}', "");
    Expect(1, 68290, '\P{^Is_Joining_Group: manichaeanbeth}', "");
    Expect(0, 68291, '\p{Is_Joining_Group: manichaeanbeth}', "");
    Expect(1, 68291, '\p{^Is_Joining_Group: manichaeanbeth}', "");
    Expect(1, 68291, '\P{Is_Joining_Group: manichaeanbeth}', "");
    Expect(0, 68291, '\P{^Is_Joining_Group: manichaeanbeth}', "");
    Expect(1, 68290, '\p{Is_Joining_Group=_Manichaean_Beth}', "");
    Expect(0, 68290, '\p{^Is_Joining_Group=_Manichaean_Beth}', "");
    Expect(0, 68290, '\P{Is_Joining_Group=_Manichaean_Beth}', "");
    Expect(1, 68290, '\P{^Is_Joining_Group=_Manichaean_Beth}', "");
    Expect(0, 68291, '\p{Is_Joining_Group=_Manichaean_Beth}', "");
    Expect(1, 68291, '\p{^Is_Joining_Group=_Manichaean_Beth}', "");
    Expect(1, 68291, '\P{Is_Joining_Group=_Manichaean_Beth}', "");
    Expect(0, 68291, '\P{^Is_Joining_Group=_Manichaean_Beth}', "");
    Error('\p{Is_Jg=/a/- MANICHAEAN_Beth}');
    Error('\P{Is_Jg=/a/- MANICHAEAN_Beth}');
    Expect(1, 68290, '\p{Is_Jg=manichaeanbeth}', "");
    Expect(0, 68290, '\p{^Is_Jg=manichaeanbeth}', "");
    Expect(0, 68290, '\P{Is_Jg=manichaeanbeth}', "");
    Expect(1, 68290, '\P{^Is_Jg=manichaeanbeth}', "");
    Expect(0, 68291, '\p{Is_Jg=manichaeanbeth}', "");
    Expect(1, 68291, '\p{^Is_Jg=manichaeanbeth}', "");
    Expect(1, 68291, '\P{Is_Jg=manichaeanbeth}', "");
    Expect(0, 68291, '\P{^Is_Jg=manichaeanbeth}', "");
    Expect(1, 68290, '\p{Is_Jg=_ manichaean_Beth}', "");
    Expect(0, 68290, '\p{^Is_Jg=_ manichaean_Beth}', "");
    Expect(0, 68290, '\P{Is_Jg=_ manichaean_Beth}', "");
    Expect(1, 68290, '\P{^Is_Jg=_ manichaean_Beth}', "");
    Expect(0, 68291, '\p{Is_Jg=_ manichaean_Beth}', "");
    Expect(1, 68291, '\p{^Is_Jg=_ manichaean_Beth}', "");
    Expect(1, 68291, '\P{Is_Jg=_ manichaean_Beth}', "");
    Expect(0, 68291, '\P{^Is_Jg=_ manichaean_Beth}', "");
    Error('\p{Joining_Group=-_manichaean_Daleth:=}');
    Error('\P{Joining_Group=-_manichaean_Daleth:=}');
    Expect(1, 68293, '\p{Joining_Group=:\AManichaean_Daleth\z:}', "");;
    Expect(0, 68294, '\p{Joining_Group=:\AManichaean_Daleth\z:}', "");;
    Expect(1, 68293, '\p{Joining_Group=manichaeandaleth}', "");
    Expect(0, 68293, '\p{^Joining_Group=manichaeandaleth}', "");
    Expect(0, 68293, '\P{Joining_Group=manichaeandaleth}', "");
    Expect(1, 68293, '\P{^Joining_Group=manichaeandaleth}', "");
    Expect(0, 68294, '\p{Joining_Group=manichaeandaleth}', "");
    Expect(1, 68294, '\p{^Joining_Group=manichaeandaleth}', "");
    Expect(1, 68294, '\P{Joining_Group=manichaeandaleth}', "");
    Expect(0, 68294, '\P{^Joining_Group=manichaeandaleth}', "");
    Expect(1, 68293, '\p{Joining_Group=:\Amanichaeandaleth\z:}', "");;
    Expect(0, 68294, '\p{Joining_Group=:\Amanichaeandaleth\z:}', "");;
    Expect(1, 68293, '\p{Joining_Group=_-manichaean_Daleth}', "");
    Expect(0, 68293, '\p{^Joining_Group=_-manichaean_Daleth}', "");
    Expect(0, 68293, '\P{Joining_Group=_-manichaean_Daleth}', "");
    Expect(1, 68293, '\P{^Joining_Group=_-manichaean_Daleth}', "");
    Expect(0, 68294, '\p{Joining_Group=_-manichaean_Daleth}', "");
    Expect(1, 68294, '\p{^Joining_Group=_-manichaean_Daleth}', "");
    Expect(1, 68294, '\P{Joining_Group=_-manichaean_Daleth}', "");
    Expect(0, 68294, '\P{^Joining_Group=_-manichaean_Daleth}', "");
    Error('\p{Jg=_-Manichaean_DALETH/a/}');
    Error('\P{Jg=_-Manichaean_DALETH/a/}');
    Expect(1, 68293, '\p{Jg=:\AManichaean_Daleth\z:}', "");;
    Expect(0, 68294, '\p{Jg=:\AManichaean_Daleth\z:}', "");;
    Expect(1, 68293, '\p{Jg=manichaeandaleth}', "");
    Expect(0, 68293, '\p{^Jg=manichaeandaleth}', "");
    Expect(0, 68293, '\P{Jg=manichaeandaleth}', "");
    Expect(1, 68293, '\P{^Jg=manichaeandaleth}', "");
    Expect(0, 68294, '\p{Jg=manichaeandaleth}', "");
    Expect(1, 68294, '\p{^Jg=manichaeandaleth}', "");
    Expect(1, 68294, '\P{Jg=manichaeandaleth}', "");
    Expect(0, 68294, '\P{^Jg=manichaeandaleth}', "");
    Expect(1, 68293, '\p{Jg=:\Amanichaeandaleth\z:}', "");;
    Expect(0, 68294, '\p{Jg=:\Amanichaeandaleth\z:}', "");;
    Expect(1, 68293, '\p{Jg=_Manichaean_Daleth}', "");
    Expect(0, 68293, '\p{^Jg=_Manichaean_Daleth}', "");
    Expect(0, 68293, '\P{Jg=_Manichaean_Daleth}', "");
    Expect(1, 68293, '\P{^Jg=_Manichaean_Daleth}', "");
    Expect(0, 68294, '\p{Jg=_Manichaean_Daleth}', "");
    Expect(1, 68294, '\p{^Jg=_Manichaean_Daleth}', "");
    Expect(1, 68294, '\P{Jg=_Manichaean_Daleth}', "");
    Expect(0, 68294, '\P{^Jg=_Manichaean_Daleth}', "");
    Error('\p{Is_Joining_Group=/a/-_manichaean_daleth}');
    Error('\P{Is_Joining_Group=/a/-_manichaean_daleth}');
    Expect(1, 68293, '\p{Is_Joining_Group: manichaeandaleth}', "");
    Expect(0, 68293, '\p{^Is_Joining_Group: manichaeandaleth}', "");
    Expect(0, 68293, '\P{Is_Joining_Group: manichaeandaleth}', "");
    Expect(1, 68293, '\P{^Is_Joining_Group: manichaeandaleth}', "");
    Expect(0, 68294, '\p{Is_Joining_Group: manichaeandaleth}', "");
    Expect(1, 68294, '\p{^Is_Joining_Group: manichaeandaleth}', "");
    Expect(1, 68294, '\P{Is_Joining_Group: manichaeandaleth}', "");
    Expect(0, 68294, '\P{^Is_Joining_Group: manichaeandaleth}', "");
    Expect(1, 68293, '\p{Is_Joining_Group=--manichaean_Daleth}', "");
    Expect(0, 68293, '\p{^Is_Joining_Group=--manichaean_Daleth}', "");
    Expect(0, 68293, '\P{Is_Joining_Group=--manichaean_Daleth}', "");
    Expect(1, 68293, '\P{^Is_Joining_Group=--manichaean_Daleth}', "");
    Expect(0, 68294, '\p{Is_Joining_Group=--manichaean_Daleth}', "");
    Expect(1, 68294, '\p{^Is_Joining_Group=--manichaean_Daleth}', "");
    Expect(1, 68294, '\P{Is_Joining_Group=--manichaean_Daleth}', "");
    Expect(0, 68294, '\P{^Is_Joining_Group=--manichaean_Daleth}', "");
    Error('\p{Is_Jg=:=-MANICHAEAN_daleth}');
    Error('\P{Is_Jg=:=-MANICHAEAN_daleth}');
    Expect(1, 68293, '\p{Is_Jg=manichaeandaleth}', "");
    Expect(0, 68293, '\p{^Is_Jg=manichaeandaleth}', "");
    Expect(0, 68293, '\P{Is_Jg=manichaeandaleth}', "");
    Expect(1, 68293, '\P{^Is_Jg=manichaeandaleth}', "");
    Expect(0, 68294, '\p{Is_Jg=manichaeandaleth}', "");
    Expect(1, 68294, '\p{^Is_Jg=manichaeandaleth}', "");
    Expect(1, 68294, '\P{Is_Jg=manichaeandaleth}', "");
    Expect(0, 68294, '\P{^Is_Jg=manichaeandaleth}', "");
    Expect(1, 68293, '\p{Is_Jg=- manichaean_DALETH}', "");
    Expect(0, 68293, '\p{^Is_Jg=- manichaean_DALETH}', "");
    Expect(0, 68293, '\P{Is_Jg=- manichaean_DALETH}', "");
    Expect(1, 68293, '\P{^Is_Jg=- manichaean_DALETH}', "");
    Expect(0, 68294, '\p{Is_Jg=- manichaean_DALETH}', "");
    Expect(1, 68294, '\p{^Is_Jg=- manichaean_DALETH}', "");
    Expect(1, 68294, '\P{Is_Jg=- manichaean_DALETH}', "");
    Expect(0, 68294, '\P{^Is_Jg=- manichaean_DALETH}', "");
    Error('\p{Joining_Group=_/a/Manichaean_DHAMEDH}');
    Error('\P{Joining_Group=_/a/Manichaean_DHAMEDH}');
    Expect(1, 68308, '\p{Joining_Group=:\AManichaean_Dhamedh\z:}', "");;
    Expect(0, 68309, '\p{Joining_Group=:\AManichaean_Dhamedh\z:}', "");;
    Expect(1, 68308, '\p{Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68308, '\p{^Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68308, '\P{Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68308, '\P{^Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68309, '\p{Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68309, '\p{^Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68309, '\P{Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68309, '\P{^Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68308, '\p{Joining_Group=:\Amanichaeandhamedh\z:}', "");;
    Expect(0, 68309, '\p{Joining_Group=:\Amanichaeandhamedh\z:}', "");;
    Expect(1, 68308, '\p{Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Expect(0, 68308, '\p{^Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Expect(0, 68308, '\P{Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Expect(1, 68308, '\P{^Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Expect(0, 68309, '\p{Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Expect(1, 68309, '\p{^Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Expect(1, 68309, '\P{Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Expect(0, 68309, '\P{^Joining_Group=	_MANICHAEAN_Dhamedh}', "");
    Error('\p{Jg=:=-	manichaean_dhamedh}');
    Error('\P{Jg=:=-	manichaean_dhamedh}');
    Expect(1, 68308, '\p{Jg=:\AManichaean_Dhamedh\z:}', "");;
    Expect(0, 68309, '\p{Jg=:\AManichaean_Dhamedh\z:}', "");;
    Expect(1, 68308, '\p{Jg=manichaeandhamedh}', "");
    Expect(0, 68308, '\p{^Jg=manichaeandhamedh}', "");
    Expect(0, 68308, '\P{Jg=manichaeandhamedh}', "");
    Expect(1, 68308, '\P{^Jg=manichaeandhamedh}', "");
    Expect(0, 68309, '\p{Jg=manichaeandhamedh}', "");
    Expect(1, 68309, '\p{^Jg=manichaeandhamedh}', "");
    Expect(1, 68309, '\P{Jg=manichaeandhamedh}', "");
    Expect(0, 68309, '\P{^Jg=manichaeandhamedh}', "");
    Expect(1, 68308, '\p{Jg=:\Amanichaeandhamedh\z:}', "");;
    Expect(0, 68309, '\p{Jg=:\Amanichaeandhamedh\z:}', "");;
    Expect(1, 68308, '\p{Jg=		MANICHAEAN_dhamedh}', "");
    Expect(0, 68308, '\p{^Jg=		MANICHAEAN_dhamedh}', "");
    Expect(0, 68308, '\P{Jg=		MANICHAEAN_dhamedh}', "");
    Expect(1, 68308, '\P{^Jg=		MANICHAEAN_dhamedh}', "");
    Expect(0, 68309, '\p{Jg=		MANICHAEAN_dhamedh}', "");
    Expect(1, 68309, '\p{^Jg=		MANICHAEAN_dhamedh}', "");
    Expect(1, 68309, '\P{Jg=		MANICHAEAN_dhamedh}', "");
    Expect(0, 68309, '\P{^Jg=		MANICHAEAN_dhamedh}', "");
    Error('\p{Is_Joining_Group=/a/-MANICHAEAN_Dhamedh}');
    Error('\P{Is_Joining_Group=/a/-MANICHAEAN_Dhamedh}');
    Expect(1, 68308, '\p{Is_Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68308, '\p{^Is_Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68308, '\P{Is_Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68308, '\P{^Is_Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68309, '\p{Is_Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68309, '\p{^Is_Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68309, '\P{Is_Joining_Group=manichaeandhamedh}', "");
    Expect(0, 68309, '\P{^Is_Joining_Group=manichaeandhamedh}', "");
    Expect(1, 68308, '\p{Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Expect(0, 68308, '\p{^Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Expect(0, 68308, '\P{Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Expect(1, 68308, '\P{^Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Expect(0, 68309, '\p{Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Expect(1, 68309, '\p{^Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Expect(1, 68309, '\P{Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Expect(0, 68309, '\P{^Is_Joining_Group=	_Manichaean_dhamedh}', "");
    Error('\p{Is_Jg=	MANICHAEAN_dhamedh/a/}');
    Error('\P{Is_Jg=	MANICHAEAN_dhamedh/a/}');
    Expect(1, 68308, '\p{Is_Jg=manichaeandhamedh}', "");
    Expect(0, 68308, '\p{^Is_Jg=manichaeandhamedh}', "");
    Expect(0, 68308, '\P{Is_Jg=manichaeandhamedh}', "");
    Expect(1, 68308, '\P{^Is_Jg=manichaeandhamedh}', "");
    Expect(0, 68309, '\p{Is_Jg=manichaeandhamedh}', "");
    Expect(1, 68309, '\p{^Is_Jg=manichaeandhamedh}', "");
    Expect(1, 68309, '\P{Is_Jg=manichaeandhamedh}', "");
    Expect(0, 68309, '\P{^Is_Jg=manichaeandhamedh}', "");
    Expect(1, 68308, '\p{Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Expect(0, 68308, '\p{^Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Expect(0, 68308, '\P{Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Expect(1, 68308, '\P{^Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Expect(0, 68309, '\p{Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Expect(1, 68309, '\p{^Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Expect(1, 68309, '\P{Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Expect(0, 68309, '\P{^Is_Jg: _MANICHAEAN_Dhamedh}', "");
    Error('\p{Joining_Group:		/a/manichaean_Five}');
    Error('\P{Joining_Group:		/a/manichaean_Five}');
    Expect(1, 68332, '\p{Joining_Group=:\AManichaean_Five\z:}', "");;
    Expect(0, 68333, '\p{Joining_Group=:\AManichaean_Five\z:}', "");;
    Expect(1, 68332, '\p{Joining_Group=manichaeanfive}', "");
    Expect(0, 68332, '\p{^Joining_Group=manichaeanfive}', "");
    Expect(0, 68332, '\P{Joining_Group=manichaeanfive}', "");
    Expect(1, 68332, '\P{^Joining_Group=manichaeanfive}', "");
    Expect(0, 68333, '\p{Joining_Group=manichaeanfive}', "");
    Expect(1, 68333, '\p{^Joining_Group=manichaeanfive}', "");
    Expect(1, 68333, '\P{Joining_Group=manichaeanfive}', "");
    Expect(0, 68333, '\P{^Joining_Group=manichaeanfive}', "");
    Expect(1, 68332, '\p{Joining_Group=:\Amanichaeanfive\z:}', "");;
    Expect(0, 68333, '\p{Joining_Group=:\Amanichaeanfive\z:}', "");;
    Expect(1, 68332, '\p{Joining_Group=	manichaean_Five}', "");
    Expect(0, 68332, '\p{^Joining_Group=	manichaean_Five}', "");
    Expect(0, 68332, '\P{Joining_Group=	manichaean_Five}', "");
    Expect(1, 68332, '\P{^Joining_Group=	manichaean_Five}', "");
    Expect(0, 68333, '\p{Joining_Group=	manichaean_Five}', "");
    Expect(1, 68333, '\p{^Joining_Group=	manichaean_Five}', "");
    Expect(1, 68333, '\P{Joining_Group=	manichaean_Five}', "");
    Expect(0, 68333, '\P{^Joining_Group=	manichaean_Five}', "");
    Error('\p{Jg=	:=Manichaean_FIVE}');
    Error('\P{Jg=	:=Manichaean_FIVE}');
    Expect(1, 68332, '\p{Jg=:\AManichaean_Five\z:}', "");;
    Expect(0, 68333, '\p{Jg=:\AManichaean_Five\z:}', "");;
    Expect(1, 68332, '\p{Jg=manichaeanfive}', "");
    Expect(0, 68332, '\p{^Jg=manichaeanfive}', "");
    Expect(0, 68332, '\P{Jg=manichaeanfive}', "");
    Expect(1, 68332, '\P{^Jg=manichaeanfive}', "");
    Expect(0, 68333, '\p{Jg=manichaeanfive}', "");
    Expect(1, 68333, '\p{^Jg=manichaeanfive}', "");
    Expect(1, 68333, '\P{Jg=manichaeanfive}', "");
    Expect(0, 68333, '\P{^Jg=manichaeanfive}', "");
    Expect(1, 68332, '\p{Jg=:\Amanichaeanfive\z:}', "");;
    Expect(0, 68333, '\p{Jg=:\Amanichaeanfive\z:}', "");;
    Expect(1, 68332, '\p{Jg: 	Manichaean_Five}', "");
    Expect(0, 68332, '\p{^Jg: 	Manichaean_Five}', "");
    Expect(0, 68332, '\P{Jg: 	Manichaean_Five}', "");
    Expect(1, 68332, '\P{^Jg: 	Manichaean_Five}', "");
    Expect(0, 68333, '\p{Jg: 	Manichaean_Five}', "");
    Expect(1, 68333, '\p{^Jg: 	Manichaean_Five}', "");
    Expect(1, 68333, '\P{Jg: 	Manichaean_Five}', "");
    Expect(0, 68333, '\P{^Jg: 	Manichaean_Five}', "");
    Error('\p{Is_Joining_Group=:=	MANICHAEAN_Five}');
    Error('\P{Is_Joining_Group=:=	MANICHAEAN_Five}');
    Expect(1, 68332, '\p{Is_Joining_Group=manichaeanfive}', "");
    Expect(0, 68332, '\p{^Is_Joining_Group=manichaeanfive}', "");
    Expect(0, 68332, '\P{Is_Joining_Group=manichaeanfive}', "");
    Expect(1, 68332, '\P{^Is_Joining_Group=manichaeanfive}', "");
    Expect(0, 68333, '\p{Is_Joining_Group=manichaeanfive}', "");
    Expect(1, 68333, '\p{^Is_Joining_Group=manichaeanfive}', "");
    Expect(1, 68333, '\P{Is_Joining_Group=manichaeanfive}', "");
    Expect(0, 68333, '\P{^Is_Joining_Group=manichaeanfive}', "");
    Expect(1, 68332, '\p{Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Expect(0, 68332, '\p{^Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Expect(0, 68332, '\P{Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Expect(1, 68332, '\P{^Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Expect(0, 68333, '\p{Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Expect(1, 68333, '\p{^Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Expect(1, 68333, '\P{Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Expect(0, 68333, '\P{^Is_Joining_Group= MANICHAEAN_FIVE}', "");
    Error('\p{Is_Jg: manichaean_five/a/}');
    Error('\P{Is_Jg: manichaean_five/a/}');
    Expect(1, 68332, '\p{Is_Jg=manichaeanfive}', "");
    Expect(0, 68332, '\p{^Is_Jg=manichaeanfive}', "");
    Expect(0, 68332, '\P{Is_Jg=manichaeanfive}', "");
    Expect(1, 68332, '\P{^Is_Jg=manichaeanfive}', "");
    Expect(0, 68333, '\p{Is_Jg=manichaeanfive}', "");
    Expect(1, 68333, '\p{^Is_Jg=manichaeanfive}', "");
    Expect(1, 68333, '\P{Is_Jg=manichaeanfive}', "");
    Expect(0, 68333, '\P{^Is_Jg=manichaeanfive}', "");
    Expect(1, 68332, '\p{Is_Jg=__Manichaean_Five}', "");
    Expect(0, 68332, '\p{^Is_Jg=__Manichaean_Five}', "");
    Expect(0, 68332, '\P{Is_Jg=__Manichaean_Five}', "");
    Expect(1, 68332, '\P{^Is_Jg=__Manichaean_Five}', "");
    Expect(0, 68333, '\p{Is_Jg=__Manichaean_Five}', "");
    Expect(1, 68333, '\p{^Is_Jg=__Manichaean_Five}', "");
    Expect(1, 68333, '\P{Is_Jg=__Manichaean_Five}', "");
    Expect(0, 68333, '\P{^Is_Jg=__Manichaean_Five}', "");
    Error('\p{Joining_Group:   _	manichaean_GIMEL/a/}');
    Error('\P{Joining_Group:   _	manichaean_GIMEL/a/}');
    Expect(1, 68292, '\p{Joining_Group=:\AManichaean_Gimel\z:}', "");;
    Expect(0, 68293, '\p{Joining_Group=:\AManichaean_Gimel\z:}', "");;
    Expect(1, 68292, '\p{Joining_Group=manichaeangimel}', "");
    Expect(0, 68292, '\p{^Joining_Group=manichaeangimel}', "");
    Expect(0, 68292, '\P{Joining_Group=manichaeangimel}', "");
    Expect(1, 68292, '\P{^Joining_Group=manichaeangimel}', "");
    Expect(0, 68293, '\p{Joining_Group=manichaeangimel}', "");
    Expect(1, 68293, '\p{^Joining_Group=manichaeangimel}', "");
    Expect(1, 68293, '\P{Joining_Group=manichaeangimel}', "");
    Expect(0, 68293, '\P{^Joining_Group=manichaeangimel}', "");
    Expect(1, 68292, '\p{Joining_Group=:\Amanichaeangimel\z:}', "");;
    Expect(0, 68293, '\p{Joining_Group=:\Amanichaeangimel\z:}', "");;
    Expect(1, 68292, '\p{Joining_Group=	 Manichaean_Gimel}', "");
    Expect(0, 68292, '\p{^Joining_Group=	 Manichaean_Gimel}', "");
    Expect(0, 68292, '\P{Joining_Group=	 Manichaean_Gimel}', "");
    Expect(1, 68292, '\P{^Joining_Group=	 Manichaean_Gimel}', "");
    Expect(0, 68293, '\p{Joining_Group=	 Manichaean_Gimel}', "");
    Expect(1, 68293, '\p{^Joining_Group=	 Manichaean_Gimel}', "");
    Expect(1, 68293, '\P{Joining_Group=	 Manichaean_Gimel}', "");
    Expect(0, 68293, '\P{^Joining_Group=	 Manichaean_Gimel}', "");
    Error('\p{Jg=-/a/Manichaean_gimel}');
    Error('\P{Jg=-/a/Manichaean_gimel}');
    Expect(1, 68292, '\p{Jg=:\AManichaean_Gimel\z:}', "");;
    Expect(0, 68293, '\p{Jg=:\AManichaean_Gimel\z:}', "");;
    Expect(1, 68292, '\p{Jg: manichaeangimel}', "");
    Expect(0, 68292, '\p{^Jg: manichaeangimel}', "");
    Expect(0, 68292, '\P{Jg: manichaeangimel}', "");
    Expect(1, 68292, '\P{^Jg: manichaeangimel}', "");
    Expect(0, 68293, '\p{Jg: manichaeangimel}', "");
    Expect(1, 68293, '\p{^Jg: manichaeangimel}', "");
    Expect(1, 68293, '\P{Jg: manichaeangimel}', "");
    Expect(0, 68293, '\P{^Jg: manichaeangimel}', "");
    Expect(1, 68292, '\p{Jg=:\Amanichaeangimel\z:}', "");;
    Expect(0, 68293, '\p{Jg=:\Amanichaeangimel\z:}', "");;
    Expect(1, 68292, '\p{Jg=manichaean_GIMEL}', "");
    Expect(0, 68292, '\p{^Jg=manichaean_GIMEL}', "");
    Expect(0, 68292, '\P{Jg=manichaean_GIMEL}', "");
    Expect(1, 68292, '\P{^Jg=manichaean_GIMEL}', "");
    Expect(0, 68293, '\p{Jg=manichaean_GIMEL}', "");
    Expect(1, 68293, '\p{^Jg=manichaean_GIMEL}', "");
    Expect(1, 68293, '\P{Jg=manichaean_GIMEL}', "");
    Expect(0, 68293, '\P{^Jg=manichaean_GIMEL}', "");
    Error('\p{Is_Joining_Group=	:=MANICHAEAN_gimel}');
    Error('\P{Is_Joining_Group=	:=MANICHAEAN_gimel}');
    Expect(1, 68292, '\p{Is_Joining_Group=manichaeangimel}', "");
    Expect(0, 68292, '\p{^Is_Joining_Group=manichaeangimel}', "");
    Expect(0, 68292, '\P{Is_Joining_Group=manichaeangimel}', "");
    Expect(1, 68292, '\P{^Is_Joining_Group=manichaeangimel}', "");
    Expect(0, 68293, '\p{Is_Joining_Group=manichaeangimel}', "");
    Expect(1, 68293, '\p{^Is_Joining_Group=manichaeangimel}', "");
    Expect(1, 68293, '\P{Is_Joining_Group=manichaeangimel}', "");
    Expect(0, 68293, '\P{^Is_Joining_Group=manichaeangimel}', "");
    Expect(1, 68292, '\p{Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Expect(0, 68292, '\p{^Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Expect(0, 68292, '\P{Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Expect(1, 68292, '\P{^Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Expect(0, 68293, '\p{Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Expect(1, 68293, '\p{^Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Expect(1, 68293, '\P{Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Expect(0, 68293, '\P{^Is_Joining_Group=	-Manichaean_GIMEL}', "");
    Error('\p{Is_Jg=:=_	manichaean_GIMEL}');
    Error('\P{Is_Jg=:=_	manichaean_GIMEL}');
    Expect(1, 68292, '\p{Is_Jg=manichaeangimel}', "");
    Expect(0, 68292, '\p{^Is_Jg=manichaeangimel}', "");
    Expect(0, 68292, '\P{Is_Jg=manichaeangimel}', "");
    Expect(1, 68292, '\P{^Is_Jg=manichaeangimel}', "");
    Expect(0, 68293, '\p{Is_Jg=manichaeangimel}', "");
    Expect(1, 68293, '\p{^Is_Jg=manichaeangimel}', "");
    Expect(1, 68293, '\P{Is_Jg=manichaeangimel}', "");
    Expect(0, 68293, '\P{^Is_Jg=manichaeangimel}', "");
    Expect(1, 68292, '\p{Is_Jg=-Manichaean_Gimel}', "");
    Expect(0, 68292, '\p{^Is_Jg=-Manichaean_Gimel}', "");
    Expect(0, 68292, '\P{Is_Jg=-Manichaean_Gimel}', "");
    Expect(1, 68292, '\P{^Is_Jg=-Manichaean_Gimel}', "");
    Expect(0, 68293, '\p{Is_Jg=-Manichaean_Gimel}', "");
    Expect(1, 68293, '\p{^Is_Jg=-Manichaean_Gimel}', "");
    Expect(1, 68293, '\P{Is_Jg=-Manichaean_Gimel}', "");
    Expect(0, 68293, '\P{^Is_Jg=-Manichaean_Gimel}', "");
    Error('\p{Joining_Group= :=Manichaean_Heth}');
    Error('\P{Joining_Group= :=Manichaean_Heth}');
    Expect(1, 68301, '\p{Joining_Group=:\AManichaean_Heth\z:}', "");;
    Expect(0, 68302, '\p{Joining_Group=:\AManichaean_Heth\z:}', "");;
    Expect(1, 68301, '\p{Joining_Group=manichaeanheth}', "");
    Expect(0, 68301, '\p{^Joining_Group=manichaeanheth}', "");
    Expect(0, 68301, '\P{Joining_Group=manichaeanheth}', "");
    Expect(1, 68301, '\P{^Joining_Group=manichaeanheth}', "");
    Expect(0, 68302, '\p{Joining_Group=manichaeanheth}', "");
    Expect(1, 68302, '\p{^Joining_Group=manichaeanheth}', "");
    Expect(1, 68302, '\P{Joining_Group=manichaeanheth}', "");
    Expect(0, 68302, '\P{^Joining_Group=manichaeanheth}', "");
    Expect(1, 68301, '\p{Joining_Group=:\Amanichaeanheth\z:}', "");;
    Expect(0, 68302, '\p{Joining_Group=:\Amanichaeanheth\z:}', "");;
    Expect(1, 68301, '\p{Joining_Group=-manichaean_heth}', "");
    Expect(0, 68301, '\p{^Joining_Group=-manichaean_heth}', "");
    Expect(0, 68301, '\P{Joining_Group=-manichaean_heth}', "");
    Expect(1, 68301, '\P{^Joining_Group=-manichaean_heth}', "");
    Expect(0, 68302, '\p{Joining_Group=-manichaean_heth}', "");
    Expect(1, 68302, '\p{^Joining_Group=-manichaean_heth}', "");
    Expect(1, 68302, '\P{Joining_Group=-manichaean_heth}', "");
    Expect(0, 68302, '\P{^Joining_Group=-manichaean_heth}', "");
    Error('\p{Jg=/a/	-manichaean_heth}');
    Error('\P{Jg=/a/	-manichaean_heth}');
    Expect(1, 68301, '\p{Jg=:\AManichaean_Heth\z:}', "");;
    Expect(0, 68302, '\p{Jg=:\AManichaean_Heth\z:}', "");;
    Expect(1, 68301, '\p{Jg=manichaeanheth}', "");
    Expect(0, 68301, '\p{^Jg=manichaeanheth}', "");
    Expect(0, 68301, '\P{Jg=manichaeanheth}', "");
    Expect(1, 68301, '\P{^Jg=manichaeanheth}', "");
    Expect(0, 68302, '\p{Jg=manichaeanheth}', "");
    Expect(1, 68302, '\p{^Jg=manichaeanheth}', "");
    Expect(1, 68302, '\P{Jg=manichaeanheth}', "");
    Expect(0, 68302, '\P{^Jg=manichaeanheth}', "");
    Expect(1, 68301, '\p{Jg=:\Amanichaeanheth\z:}', "");;
    Expect(0, 68302, '\p{Jg=:\Amanichaeanheth\z:}', "");;
    Expect(1, 68301, '\p{Jg=__manichaean_heth}', "");
    Expect(0, 68301, '\p{^Jg=__manichaean_heth}', "");
    Expect(0, 68301, '\P{Jg=__manichaean_heth}', "");
    Expect(1, 68301, '\P{^Jg=__manichaean_heth}', "");
    Expect(0, 68302, '\p{Jg=__manichaean_heth}', "");
    Expect(1, 68302, '\p{^Jg=__manichaean_heth}', "");
    Expect(1, 68302, '\P{Jg=__manichaean_heth}', "");
    Expect(0, 68302, '\P{^Jg=__manichaean_heth}', "");
    Error('\p{Is_Joining_Group=-/a/Manichaean_Heth}');
    Error('\P{Is_Joining_Group=-/a/Manichaean_Heth}');
    Expect(1, 68301, '\p{Is_Joining_Group=manichaeanheth}', "");
    Expect(0, 68301, '\p{^Is_Joining_Group=manichaeanheth}', "");
    Expect(0, 68301, '\P{Is_Joining_Group=manichaeanheth}', "");
    Expect(1, 68301, '\P{^Is_Joining_Group=manichaeanheth}', "");
    Expect(0, 68302, '\p{Is_Joining_Group=manichaeanheth}', "");
    Expect(1, 68302, '\p{^Is_Joining_Group=manichaeanheth}', "");
    Expect(1, 68302, '\P{Is_Joining_Group=manichaeanheth}', "");
    Expect(0, 68302, '\P{^Is_Joining_Group=manichaeanheth}', "");
    Expect(1, 68301, '\p{Is_Joining_Group=- Manichaean_HETH}', "");
    Expect(0, 68301, '\p{^Is_Joining_Group=- Manichaean_HETH}', "");
    Expect(0, 68301, '\P{Is_Joining_Group=- Manichaean_HETH}', "");
    Expect(1, 68301, '\P{^Is_Joining_Group=- Manichaean_HETH}', "");
    Expect(0, 68302, '\p{Is_Joining_Group=- Manichaean_HETH}', "");
    Expect(1, 68302, '\p{^Is_Joining_Group=- Manichaean_HETH}', "");
    Expect(1, 68302, '\P{Is_Joining_Group=- Manichaean_HETH}', "");
    Expect(0, 68302, '\P{^Is_Joining_Group=- Manichaean_HETH}', "");
    Error('\p{Is_Jg= _Manichaean_HETH/a/}');
    Error('\P{Is_Jg= _Manichaean_HETH/a/}');
    Expect(1, 68301, '\p{Is_Jg=manichaeanheth}', "");
    Expect(0, 68301, '\p{^Is_Jg=manichaeanheth}', "");
    Expect(0, 68301, '\P{Is_Jg=manichaeanheth}', "");
    Expect(1, 68301, '\P{^Is_Jg=manichaeanheth}', "");
    Expect(0, 68302, '\p{Is_Jg=manichaeanheth}', "");
    Expect(1, 68302, '\p{^Is_Jg=manichaeanheth}', "");
    Expect(1, 68302, '\P{Is_Jg=manichaeanheth}', "");
    Expect(0, 68302, '\P{^Is_Jg=manichaeanheth}', "");
    Expect(1, 68301, '\p{Is_Jg:   _manichaean_Heth}', "");
    Expect(0, 68301, '\p{^Is_Jg:   _manichaean_Heth}', "");
    Expect(0, 68301, '\P{Is_Jg:   _manichaean_Heth}', "");
    Expect(1, 68301, '\P{^Is_Jg:   _manichaean_Heth}', "");
    Expect(0, 68302, '\p{Is_Jg:   _manichaean_Heth}', "");
    Expect(1, 68302, '\p{^Is_Jg:   _manichaean_Heth}', "");
    Expect(1, 68302, '\P{Is_Jg:   _manichaean_Heth}', "");
    Expect(0, 68302, '\P{^Is_Jg:   _manichaean_Heth}', "");
    Error('\p{Joining_Group=:=MANICHAEAN_Hundred}');
    Error('\P{Joining_Group=:=MANICHAEAN_Hundred}');
    Expect(1, 68335, '\p{Joining_Group=:\AManichaean_Hundred\z:}', "");;
    Expect(0, 68336, '\p{Joining_Group=:\AManichaean_Hundred\z:}', "");;
    Expect(1, 68335, '\p{Joining_Group=manichaeanhundred}', "");
    Expect(0, 68335, '\p{^Joining_Group=manichaeanhundred}', "");
    Expect(0, 68335, '\P{Joining_Group=manichaeanhundred}', "");
    Expect(1, 68335, '\P{^Joining_Group=manichaeanhundred}', "");
    Expect(0, 68336, '\p{Joining_Group=manichaeanhundred}', "");
    Expect(1, 68336, '\p{^Joining_Group=manichaeanhundred}', "");
    Expect(1, 68336, '\P{Joining_Group=manichaeanhundred}', "");
    Expect(0, 68336, '\P{^Joining_Group=manichaeanhundred}', "");
    Expect(1, 68335, '\p{Joining_Group=:\Amanichaeanhundred\z:}', "");;
    Expect(0, 68336, '\p{Joining_Group=:\Amanichaeanhundred\z:}', "");;
    Expect(1, 68335, '\p{Joining_Group= Manichaean_Hundred}', "");
    Expect(0, 68335, '\p{^Joining_Group= Manichaean_Hundred}', "");
    Expect(0, 68335, '\P{Joining_Group= Manichaean_Hundred}', "");
    Expect(1, 68335, '\P{^Joining_Group= Manichaean_Hundred}', "");
    Expect(0, 68336, '\p{Joining_Group= Manichaean_Hundred}', "");
    Expect(1, 68336, '\p{^Joining_Group= Manichaean_Hundred}', "");
    Expect(1, 68336, '\P{Joining_Group= Manichaean_Hundred}', "");
    Expect(0, 68336, '\P{^Joining_Group= Manichaean_Hundred}', "");
    Error('\p{Jg=-_Manichaean_HUNDRED/a/}');
    Error('\P{Jg=-_Manichaean_HUNDRED/a/}');
    Expect(1, 68335, '\p{Jg=:\AManichaean_Hundred\z:}', "");;
    Expect(0, 68336, '\p{Jg=:\AManichaean_Hundred\z:}', "");;
    Expect(1, 68335, '\p{Jg=manichaeanhundred}', "");
    Expect(0, 68335, '\p{^Jg=manichaeanhundred}', "");
    Expect(0, 68335, '\P{Jg=manichaeanhundred}', "");
    Expect(1, 68335, '\P{^Jg=manichaeanhundred}', "");
    Expect(0, 68336, '\p{Jg=manichaeanhundred}', "");
    Expect(1, 68336, '\p{^Jg=manichaeanhundred}', "");
    Expect(1, 68336, '\P{Jg=manichaeanhundred}', "");
    Expect(0, 68336, '\P{^Jg=manichaeanhundred}', "");
    Expect(1, 68335, '\p{Jg=:\Amanichaeanhundred\z:}', "");;
    Expect(0, 68336, '\p{Jg=:\Amanichaeanhundred\z:}', "");;
    Expect(1, 68335, '\p{Jg= MANICHAEAN_hundred}', "");
    Expect(0, 68335, '\p{^Jg= MANICHAEAN_hundred}', "");
    Expect(0, 68335, '\P{Jg= MANICHAEAN_hundred}', "");
    Expect(1, 68335, '\P{^Jg= MANICHAEAN_hundred}', "");
    Expect(0, 68336, '\p{Jg= MANICHAEAN_hundred}', "");
    Expect(1, 68336, '\p{^Jg= MANICHAEAN_hundred}', "");
    Expect(1, 68336, '\P{Jg= MANICHAEAN_hundred}', "");
    Expect(0, 68336, '\P{^Jg= MANICHAEAN_hundred}', "");
    Error('\p{Is_Joining_Group=-manichaean_Hundred:=}');
    Error('\P{Is_Joining_Group=-manichaean_Hundred:=}');
    Expect(1, 68335, '\p{Is_Joining_Group=manichaeanhundred}', "");
    Expect(0, 68335, '\p{^Is_Joining_Group=manichaeanhundred}', "");
    Expect(0, 68335, '\P{Is_Joining_Group=manichaeanhundred}', "");
    Expect(1, 68335, '\P{^Is_Joining_Group=manichaeanhundred}', "");
    Expect(0, 68336, '\p{Is_Joining_Group=manichaeanhundred}', "");
    Expect(1, 68336, '\p{^Is_Joining_Group=manichaeanhundred}', "");
    Expect(1, 68336, '\P{Is_Joining_Group=manichaeanhundred}', "");
    Expect(0, 68336, '\P{^Is_Joining_Group=manichaeanhundred}', "");
    Expect(1, 68335, '\p{Is_Joining_Group= 	Manichaean_Hundred}', "");
    Expect(0, 68335, '\p{^Is_Joining_Group= 	Manichaean_Hundred}', "");
    Expect(0, 68335, '\P{Is_Joining_Group= 	Manichaean_Hundred}', "");
    Expect(1, 68335, '\P{^Is_Joining_Group= 	Manichaean_Hundred}', "");
    Expect(0, 68336, '\p{Is_Joining_Group= 	Manichaean_Hundred}', "");
    Expect(1, 68336, '\p{^Is_Joining_Group= 	Manichaean_Hundred}', "");
    Expect(1, 68336, '\P{Is_Joining_Group= 	Manichaean_Hundred}', "");
    Expect(0, 68336, '\P{^Is_Joining_Group= 	Manichaean_Hundred}', "");
    Error('\p{Is_Jg=/a/- Manichaean_HUNDRED}');
    Error('\P{Is_Jg=/a/- Manichaean_HUNDRED}');
    Expect(1, 68335, '\p{Is_Jg=manichaeanhundred}', "");
    Expect(0, 68335, '\p{^Is_Jg=manichaeanhundred}', "");
    Expect(0, 68335, '\P{Is_Jg=manichaeanhundred}', "");
    Expect(1, 68335, '\P{^Is_Jg=manichaeanhundred}', "");
    Expect(0, 68336, '\p{Is_Jg=manichaeanhundred}', "");
    Expect(1, 68336, '\p{^Is_Jg=manichaeanhundred}', "");
    Expect(1, 68336, '\P{Is_Jg=manichaeanhundred}', "");
    Expect(0, 68336, '\P{^Is_Jg=manichaeanhundred}', "");
    Expect(1, 68335, '\p{Is_Jg=	-manichaean_Hundred}', "");
    Expect(0, 68335, '\p{^Is_Jg=	-manichaean_Hundred}', "");
    Expect(0, 68335, '\P{Is_Jg=	-manichaean_Hundred}', "");
    Expect(1, 68335, '\P{^Is_Jg=	-manichaean_Hundred}', "");
    Expect(0, 68336, '\p{Is_Jg=	-manichaean_Hundred}', "");
    Expect(1, 68336, '\p{^Is_Jg=	-manichaean_Hundred}', "");
    Expect(1, 68336, '\P{Is_Jg=	-manichaean_Hundred}', "");
    Expect(0, 68336, '\P{^Is_Jg=	-manichaean_Hundred}', "");
    Error('\p{Joining_Group=:=__Manichaean_Kaph}');
    Error('\P{Joining_Group=:=__Manichaean_Kaph}');
    Expect(1, 68306, '\p{Joining_Group=:\AManichaean_Kaph\z:}', "");;
    Expect(0, 68307, '\p{Joining_Group=:\AManichaean_Kaph\z:}', "");;
    Expect(1, 68306, '\p{Joining_Group=manichaeankaph}', "");
    Expect(0, 68306, '\p{^Joining_Group=manichaeankaph}', "");
    Expect(0, 68306, '\P{Joining_Group=manichaeankaph}', "");
    Expect(1, 68306, '\P{^Joining_Group=manichaeankaph}', "");
    Expect(0, 68307, '\p{Joining_Group=manichaeankaph}', "");
    Expect(1, 68307, '\p{^Joining_Group=manichaeankaph}', "");
    Expect(1, 68307, '\P{Joining_Group=manichaeankaph}', "");
    Expect(0, 68307, '\P{^Joining_Group=manichaeankaph}', "");
    Expect(1, 68306, '\p{Joining_Group=:\Amanichaeankaph\z:}', "");;
    Expect(0, 68307, '\p{Joining_Group=:\Amanichaeankaph\z:}', "");;
    Expect(1, 68306, '\p{Joining_Group=__MANICHAEAN_KAPH}', "");
    Expect(0, 68306, '\p{^Joining_Group=__MANICHAEAN_KAPH}', "");
    Expect(0, 68306, '\P{Joining_Group=__MANICHAEAN_KAPH}', "");
    Expect(1, 68306, '\P{^Joining_Group=__MANICHAEAN_KAPH}', "");
    Expect(0, 68307, '\p{Joining_Group=__MANICHAEAN_KAPH}', "");
    Expect(1, 68307, '\p{^Joining_Group=__MANICHAEAN_KAPH}', "");
    Expect(1, 68307, '\P{Joining_Group=__MANICHAEAN_KAPH}', "");
    Expect(0, 68307, '\P{^Joining_Group=__MANICHAEAN_KAPH}', "");
    Error('\p{Jg= /a/Manichaean_Kaph}');
    Error('\P{Jg= /a/Manichaean_Kaph}');
    Expect(1, 68306, '\p{Jg=:\AManichaean_Kaph\z:}', "");;
    Expect(0, 68307, '\p{Jg=:\AManichaean_Kaph\z:}', "");;
    Expect(1, 68306, '\p{Jg=manichaeankaph}', "");
    Expect(0, 68306, '\p{^Jg=manichaeankaph}', "");
    Expect(0, 68306, '\P{Jg=manichaeankaph}', "");
    Expect(1, 68306, '\P{^Jg=manichaeankaph}', "");
    Expect(0, 68307, '\p{Jg=manichaeankaph}', "");
    Expect(1, 68307, '\p{^Jg=manichaeankaph}', "");
    Expect(1, 68307, '\P{Jg=manichaeankaph}', "");
    Expect(0, 68307, '\P{^Jg=manichaeankaph}', "");
    Expect(1, 68306, '\p{Jg=:\Amanichaeankaph\z:}', "");;
    Expect(0, 68307, '\p{Jg=:\Amanichaeankaph\z:}', "");;
    Expect(1, 68306, '\p{Jg=-manichaean_KAPH}', "");
    Expect(0, 68306, '\p{^Jg=-manichaean_KAPH}', "");
    Expect(0, 68306, '\P{Jg=-manichaean_KAPH}', "");
    Expect(1, 68306, '\P{^Jg=-manichaean_KAPH}', "");
    Expect(0, 68307, '\p{Jg=-manichaean_KAPH}', "");
    Expect(1, 68307, '\p{^Jg=-manichaean_KAPH}', "");
    Expect(1, 68307, '\P{Jg=-manichaean_KAPH}', "");
    Expect(0, 68307, '\P{^Jg=-manichaean_KAPH}', "");
    Error('\p{Is_Joining_Group= :=MANICHAEAN_Kaph}');
    Error('\P{Is_Joining_Group= :=MANICHAEAN_Kaph}');
    Expect(1, 68306, '\p{Is_Joining_Group=manichaeankaph}', "");
    Expect(0, 68306, '\p{^Is_Joining_Group=manichaeankaph}', "");
    Expect(0, 68306, '\P{Is_Joining_Group=manichaeankaph}', "");
    Expect(1, 68306, '\P{^Is_Joining_Group=manichaeankaph}', "");
    Expect(0, 68307, '\p{Is_Joining_Group=manichaeankaph}', "");
    Expect(1, 68307, '\p{^Is_Joining_Group=manichaeankaph}', "");
    Expect(1, 68307, '\P{Is_Joining_Group=manichaeankaph}', "");
    Expect(0, 68307, '\P{^Is_Joining_Group=manichaeankaph}', "");
    Expect(1, 68306, '\p{Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Expect(0, 68306, '\p{^Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Expect(0, 68306, '\P{Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Expect(1, 68306, '\P{^Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Expect(0, 68307, '\p{Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Expect(1, 68307, '\p{^Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Expect(1, 68307, '\P{Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Expect(0, 68307, '\P{^Is_Joining_Group= MANICHAEAN_Kaph}', "");
    Error('\p{Is_Jg::=_-Manichaean_KAPH}');
    Error('\P{Is_Jg::=_-Manichaean_KAPH}');
    Expect(1, 68306, '\p{Is_Jg=manichaeankaph}', "");
    Expect(0, 68306, '\p{^Is_Jg=manichaeankaph}', "");
    Expect(0, 68306, '\P{Is_Jg=manichaeankaph}', "");
    Expect(1, 68306, '\P{^Is_Jg=manichaeankaph}', "");
    Expect(0, 68307, '\p{Is_Jg=manichaeankaph}', "");
    Expect(1, 68307, '\p{^Is_Jg=manichaeankaph}', "");
    Expect(1, 68307, '\P{Is_Jg=manichaeankaph}', "");
    Expect(0, 68307, '\P{^Is_Jg=manichaeankaph}', "");
    Expect(1, 68306, '\p{Is_Jg=MANICHAEAN_KAPH}', "");
    Expect(0, 68306, '\p{^Is_Jg=MANICHAEAN_KAPH}', "");
    Expect(0, 68306, '\P{Is_Jg=MANICHAEAN_KAPH}', "");
    Expect(1, 68306, '\P{^Is_Jg=MANICHAEAN_KAPH}', "");
    Expect(0, 68307, '\p{Is_Jg=MANICHAEAN_KAPH}', "");
    Expect(1, 68307, '\p{^Is_Jg=MANICHAEAN_KAPH}', "");
    Expect(1, 68307, '\P{Is_Jg=MANICHAEAN_KAPH}', "");
    Expect(0, 68307, '\P{^Is_Jg=MANICHAEAN_KAPH}', "");
    Error('\p{Joining_Group=-/a/Manichaean_Lamedh}');
    Error('\P{Joining_Group=-/a/Manichaean_Lamedh}');
    Expect(1, 68307, '\p{Joining_Group=:\AManichaean_Lamedh\z:}', "");;
    Expect(0, 68308, '\p{Joining_Group=:\AManichaean_Lamedh\z:}', "");;
    Expect(1, 68307, '\p{Joining_Group:manichaeanlamedh}', "");
    Expect(0, 68307, '\p{^Joining_Group:manichaeanlamedh}', "");
    Expect(0, 68307, '\P{Joining_Group:manichaeanlamedh}', "");
    Expect(1, 68307, '\P{^Joining_Group:manichaeanlamedh}', "");
    Expect(0, 68308, '\p{Joining_Group:manichaeanlamedh}', "");
    Expect(1, 68308, '\p{^Joining_Group:manichaeanlamedh}', "");
    Expect(1, 68308, '\P{Joining_Group:manichaeanlamedh}', "");
    Expect(0, 68308, '\P{^Joining_Group:manichaeanlamedh}', "");
    Expect(1, 68307, '\p{Joining_Group=:\Amanichaeanlamedh\z:}', "");;
    Expect(0, 68308, '\p{Joining_Group=:\Amanichaeanlamedh\z:}', "");;
    Expect(1, 68307, '\p{Joining_Group=  Manichaean_Lamedh}', "");
    Expect(0, 68307, '\p{^Joining_Group=  Manichaean_Lamedh}', "");
    Expect(0, 68307, '\P{Joining_Group=  Manichaean_Lamedh}', "");
    Expect(1, 68307, '\P{^Joining_Group=  Manichaean_Lamedh}', "");
    Expect(0, 68308, '\p{Joining_Group=  Manichaean_Lamedh}', "");
    Expect(1, 68308, '\p{^Joining_Group=  Manichaean_Lamedh}', "");
    Expect(1, 68308, '\P{Joining_Group=  Manichaean_Lamedh}', "");
    Expect(0, 68308, '\P{^Joining_Group=  Manichaean_Lamedh}', "");
    Error('\p{Jg=-/a/Manichaean_lamedh}');
    Error('\P{Jg=-/a/Manichaean_lamedh}');
    Expect(1, 68307, '\p{Jg=:\AManichaean_Lamedh\z:}', "");;
    Expect(0, 68308, '\p{Jg=:\AManichaean_Lamedh\z:}', "");;
    Expect(1, 68307, '\p{Jg=manichaeanlamedh}', "");
    Expect(0, 68307, '\p{^Jg=manichaeanlamedh}', "");
    Expect(0, 68307, '\P{Jg=manichaeanlamedh}', "");
    Expect(1, 68307, '\P{^Jg=manichaeanlamedh}', "");
    Expect(0, 68308, '\p{Jg=manichaeanlamedh}', "");
    Expect(1, 68308, '\p{^Jg=manichaeanlamedh}', "");
    Expect(1, 68308, '\P{Jg=manichaeanlamedh}', "");
    Expect(0, 68308, '\P{^Jg=manichaeanlamedh}', "");
    Expect(1, 68307, '\p{Jg=:\Amanichaeanlamedh\z:}', "");;
    Expect(0, 68308, '\p{Jg=:\Amanichaeanlamedh\z:}', "");;
    Expect(1, 68307, '\p{Jg=_-Manichaean_lamedh}', "");
    Expect(0, 68307, '\p{^Jg=_-Manichaean_lamedh}', "");
    Expect(0, 68307, '\P{Jg=_-Manichaean_lamedh}', "");
    Expect(1, 68307, '\P{^Jg=_-Manichaean_lamedh}', "");
    Expect(0, 68308, '\p{Jg=_-Manichaean_lamedh}', "");
    Expect(1, 68308, '\p{^Jg=_-Manichaean_lamedh}', "");
    Expect(1, 68308, '\P{Jg=_-Manichaean_lamedh}', "");
    Expect(0, 68308, '\P{^Jg=_-Manichaean_lamedh}', "");
    Error('\p{Is_Joining_Group=/a/Manichaean_Lamedh}');
    Error('\P{Is_Joining_Group=/a/Manichaean_Lamedh}');
    Expect(1, 68307, '\p{Is_Joining_Group=manichaeanlamedh}', "");
    Expect(0, 68307, '\p{^Is_Joining_Group=manichaeanlamedh}', "");
    Expect(0, 68307, '\P{Is_Joining_Group=manichaeanlamedh}', "");
    Expect(1, 68307, '\P{^Is_Joining_Group=manichaeanlamedh}', "");
    Expect(0, 68308, '\p{Is_Joining_Group=manichaeanlamedh}', "");
    Expect(1, 68308, '\p{^Is_Joining_Group=manichaeanlamedh}', "");
    Expect(1, 68308, '\P{Is_Joining_Group=manichaeanlamedh}', "");
    Expect(0, 68308, '\P{^Is_Joining_Group=manichaeanlamedh}', "");
    Expect(1, 68307, '\p{Is_Joining_Group=		Manichaean_Lamedh}', "");
    Expect(0, 68307, '\p{^Is_Joining_Group=		Manichaean_Lamedh}', "");
    Expect(0, 68307, '\P{Is_Joining_Group=		Manichaean_Lamedh}', "");
    Expect(1, 68307, '\P{^Is_Joining_Group=		Manichaean_Lamedh}', "");
    Expect(0, 68308, '\p{Is_Joining_Group=		Manichaean_Lamedh}', "");
    Expect(1, 68308, '\p{^Is_Joining_Group=		Manichaean_Lamedh}', "");
    Expect(1, 68308, '\P{Is_Joining_Group=		Manichaean_Lamedh}', "");
    Expect(0, 68308, '\P{^Is_Joining_Group=		Manichaean_Lamedh}', "");
    Error('\p{Is_Jg=	 Manichaean_Lamedh/a/}');
    Error('\P{Is_Jg=	 Manichaean_Lamedh/a/}');
    Expect(1, 68307, '\p{Is_Jg=manichaeanlamedh}', "");
    Expect(0, 68307, '\p{^Is_Jg=manichaeanlamedh}', "");
    Expect(0, 68307, '\P{Is_Jg=manichaeanlamedh}', "");
    Expect(1, 68307, '\P{^Is_Jg=manichaeanlamedh}', "");
    Expect(0, 68308, '\p{Is_Jg=manichaeanlamedh}', "");
    Expect(1, 68308, '\p{^Is_Jg=manichaeanlamedh}', "");
    Expect(1, 68308, '\P{Is_Jg=manichaeanlamedh}', "");
    Expect(0, 68308, '\P{^Is_Jg=manichaeanlamedh}', "");
    Expect(1, 68307, '\p{Is_Jg=-Manichaean_Lamedh}', "");
    Expect(0, 68307, '\p{^Is_Jg=-Manichaean_Lamedh}', "");
    Expect(0, 68307, '\P{Is_Jg=-Manichaean_Lamedh}', "");
    Expect(1, 68307, '\P{^Is_Jg=-Manichaean_Lamedh}', "");
    Expect(0, 68308, '\p{Is_Jg=-Manichaean_Lamedh}', "");
    Expect(1, 68308, '\p{^Is_Jg=-Manichaean_Lamedh}', "");
    Expect(1, 68308, '\P{Is_Jg=-Manichaean_Lamedh}', "");
    Expect(0, 68308, '\P{^Is_Jg=-Manichaean_Lamedh}', "");
    Error('\p{Joining_Group=Manichaean_MEM:=}');
    Error('\P{Joining_Group=Manichaean_MEM:=}');
    Expect(1, 68310, '\p{Joining_Group=:\AManichaean_Mem\z:}', "");;
    Expect(0, 68311, '\p{Joining_Group=:\AManichaean_Mem\z:}', "");;
    Expect(1, 68310, '\p{Joining_Group=manichaeanmem}', "");
    Expect(0, 68310, '\p{^Joining_Group=manichaeanmem}', "");
    Expect(0, 68310, '\P{Joining_Group=manichaeanmem}', "");
    Expect(1, 68310, '\P{^Joining_Group=manichaeanmem}', "");
    Expect(0, 68311, '\p{Joining_Group=manichaeanmem}', "");
    Expect(1, 68311, '\p{^Joining_Group=manichaeanmem}', "");
    Expect(1, 68311, '\P{Joining_Group=manichaeanmem}', "");
    Expect(0, 68311, '\P{^Joining_Group=manichaeanmem}', "");
    Expect(1, 68310, '\p{Joining_Group=:\Amanichaeanmem\z:}', "");;
    Expect(0, 68311, '\p{Joining_Group=:\Amanichaeanmem\z:}', "");;
    Expect(1, 68310, '\p{Joining_Group=_Manichaean_Mem}', "");
    Expect(0, 68310, '\p{^Joining_Group=_Manichaean_Mem}', "");
    Expect(0, 68310, '\P{Joining_Group=_Manichaean_Mem}', "");
    Expect(1, 68310, '\P{^Joining_Group=_Manichaean_Mem}', "");
    Expect(0, 68311, '\p{Joining_Group=_Manichaean_Mem}', "");
    Expect(1, 68311, '\p{^Joining_Group=_Manichaean_Mem}', "");
    Expect(1, 68311, '\P{Joining_Group=_Manichaean_Mem}', "");
    Expect(0, 68311, '\P{^Joining_Group=_Manichaean_Mem}', "");
    Error('\p{Jg=_/a/Manichaean_Mem}');
    Error('\P{Jg=_/a/Manichaean_Mem}');
    Expect(1, 68310, '\p{Jg=:\AManichaean_Mem\z:}', "");;
    Expect(0, 68311, '\p{Jg=:\AManichaean_Mem\z:}', "");;
    Expect(1, 68310, '\p{Jg=manichaeanmem}', "");
    Expect(0, 68310, '\p{^Jg=manichaeanmem}', "");
    Expect(0, 68310, '\P{Jg=manichaeanmem}', "");
    Expect(1, 68310, '\P{^Jg=manichaeanmem}', "");
    Expect(0, 68311, '\p{Jg=manichaeanmem}', "");
    Expect(1, 68311, '\p{^Jg=manichaeanmem}', "");
    Expect(1, 68311, '\P{Jg=manichaeanmem}', "");
    Expect(0, 68311, '\P{^Jg=manichaeanmem}', "");
    Expect(1, 68310, '\p{Jg=:\Amanichaeanmem\z:}', "");;
    Expect(0, 68311, '\p{Jg=:\Amanichaeanmem\z:}', "");;
    Expect(1, 68310, '\p{Jg=-Manichaean_Mem}', "");
    Expect(0, 68310, '\p{^Jg=-Manichaean_Mem}', "");
    Expect(0, 68310, '\P{Jg=-Manichaean_Mem}', "");
    Expect(1, 68310, '\P{^Jg=-Manichaean_Mem}', "");
    Expect(0, 68311, '\p{Jg=-Manichaean_Mem}', "");
    Expect(1, 68311, '\p{^Jg=-Manichaean_Mem}', "");
    Expect(1, 68311, '\P{Jg=-Manichaean_Mem}', "");
    Expect(0, 68311, '\P{^Jg=-Manichaean_Mem}', "");
    Error('\p{Is_Joining_Group=:=_-Manichaean_Mem}');
    Error('\P{Is_Joining_Group=:=_-Manichaean_Mem}');
    Expect(1, 68310, '\p{Is_Joining_Group=manichaeanmem}', "");
    Expect(0, 68310, '\p{^Is_Joining_Group=manichaeanmem}', "");
    Expect(0, 68310, '\P{Is_Joining_Group=manichaeanmem}', "");
    Expect(1, 68310, '\P{^Is_Joining_Group=manichaeanmem}', "");
    Expect(0, 68311, '\p{Is_Joining_Group=manichaeanmem}', "");
    Expect(1, 68311, '\p{^Is_Joining_Group=manichaeanmem}', "");
    Expect(1, 68311, '\P{Is_Joining_Group=manichaeanmem}', "");
    Expect(0, 68311, '\P{^Is_Joining_Group=manichaeanmem}', "");
    Expect(1, 68310, '\p{Is_Joining_Group=	_Manichaean_Mem}', "");
    Expect(0, 68310, '\p{^Is_Joining_Group=	_Manichaean_Mem}', "");
    Expect(0, 68310, '\P{Is_Joining_Group=	_Manichaean_Mem}', "");
    Expect(1, 68310, '\P{^Is_Joining_Group=	_Manichaean_Mem}', "");
    Expect(0, 68311, '\p{Is_Joining_Group=	_Manichaean_Mem}', "");
    Expect(1, 68311, '\p{^Is_Joining_Group=	_Manichaean_Mem}', "");
    Expect(1, 68311, '\P{Is_Joining_Group=	_Manichaean_Mem}', "");
    Expect(0, 68311, '\P{^Is_Joining_Group=	_Manichaean_Mem}', "");
    Error('\p{Is_Jg=-:=MANICHAEAN_MEM}');
    Error('\P{Is_Jg=-:=MANICHAEAN_MEM}');
    Expect(1, 68310, '\p{Is_Jg=manichaeanmem}', "");
    Expect(0, 68310, '\p{^Is_Jg=manichaeanmem}', "");
    Expect(0, 68310, '\P{Is_Jg=manichaeanmem}', "");
    Expect(1, 68310, '\P{^Is_Jg=manichaeanmem}', "");
    Expect(0, 68311, '\p{Is_Jg=manichaeanmem}', "");
    Expect(1, 68311, '\p{^Is_Jg=manichaeanmem}', "");
    Expect(1, 68311, '\P{Is_Jg=manichaeanmem}', "");
    Expect(0, 68311, '\P{^Is_Jg=manichaeanmem}', "");
    Expect(1, 68310, '\p{Is_Jg=-Manichaean_MEM}', "");
    Expect(0, 68310, '\p{^Is_Jg=-Manichaean_MEM}', "");
    Expect(0, 68310, '\P{Is_Jg=-Manichaean_MEM}', "");
    Expect(1, 68310, '\P{^Is_Jg=-Manichaean_MEM}', "");
    Expect(0, 68311, '\p{Is_Jg=-Manichaean_MEM}', "");
    Expect(1, 68311, '\p{^Is_Jg=-Manichaean_MEM}', "");
    Expect(1, 68311, '\P{Is_Jg=-Manichaean_MEM}', "");
    Expect(0, 68311, '\P{^Is_Jg=-Manichaean_MEM}', "");
    Error('\p{Joining_Group=:=_MANICHAEAN_Nun}');
    Error('\P{Joining_Group=:=_MANICHAEAN_Nun}');
    Expect(1, 68311, '\p{Joining_Group=:\AManichaean_Nun\z:}', "");;
    Expect(0, 68312, '\p{Joining_Group=:\AManichaean_Nun\z:}', "");;
    Expect(1, 68311, '\p{Joining_Group=manichaeannun}', "");
    Expect(0, 68311, '\p{^Joining_Group=manichaeannun}', "");
    Expect(0, 68311, '\P{Joining_Group=manichaeannun}', "");
    Expect(1, 68311, '\P{^Joining_Group=manichaeannun}', "");
    Expect(0, 68312, '\p{Joining_Group=manichaeannun}', "");
    Expect(1, 68312, '\p{^Joining_Group=manichaeannun}', "");
    Expect(1, 68312, '\P{Joining_Group=manichaeannun}', "");
    Expect(0, 68312, '\P{^Joining_Group=manichaeannun}', "");
    Expect(1, 68311, '\p{Joining_Group=:\Amanichaeannun\z:}', "");;
    Expect(0, 68312, '\p{Joining_Group=:\Amanichaeannun\z:}', "");;
    Expect(1, 68311, '\p{Joining_Group=_Manichaean_Nun}', "");
    Expect(0, 68311, '\p{^Joining_Group=_Manichaean_Nun}', "");
    Expect(0, 68311, '\P{Joining_Group=_Manichaean_Nun}', "");
    Expect(1, 68311, '\P{^Joining_Group=_Manichaean_Nun}', "");
    Expect(0, 68312, '\p{Joining_Group=_Manichaean_Nun}', "");
    Expect(1, 68312, '\p{^Joining_Group=_Manichaean_Nun}', "");
    Expect(1, 68312, '\P{Joining_Group=_Manichaean_Nun}', "");
    Expect(0, 68312, '\P{^Joining_Group=_Manichaean_Nun}', "");
    Error('\p{Jg=	MANICHAEAN_NUN:=}');
    Error('\P{Jg=	MANICHAEAN_NUN:=}');
    Expect(1, 68311, '\p{Jg=:\AManichaean_Nun\z:}', "");;
    Expect(0, 68312, '\p{Jg=:\AManichaean_Nun\z:}', "");;
    Expect(1, 68311, '\p{Jg=manichaeannun}', "");
    Expect(0, 68311, '\p{^Jg=manichaeannun}', "");
    Expect(0, 68311, '\P{Jg=manichaeannun}', "");
    Expect(1, 68311, '\P{^Jg=manichaeannun}', "");
    Expect(0, 68312, '\p{Jg=manichaeannun}', "");
    Expect(1, 68312, '\p{^Jg=manichaeannun}', "");
    Expect(1, 68312, '\P{Jg=manichaeannun}', "");
    Expect(0, 68312, '\P{^Jg=manichaeannun}', "");
    Expect(1, 68311, '\p{Jg=:\Amanichaeannun\z:}', "");;
    Expect(0, 68312, '\p{Jg=:\Amanichaeannun\z:}', "");;
    Expect(1, 68311, '\p{Jg=--Manichaean_Nun}', "");
    Expect(0, 68311, '\p{^Jg=--Manichaean_Nun}', "");
    Expect(0, 68311, '\P{Jg=--Manichaean_Nun}', "");
    Expect(1, 68311, '\P{^Jg=--Manichaean_Nun}', "");
    Expect(0, 68312, '\p{Jg=--Manichaean_Nun}', "");
    Expect(1, 68312, '\p{^Jg=--Manichaean_Nun}', "");
    Expect(1, 68312, '\P{Jg=--Manichaean_Nun}', "");
    Expect(0, 68312, '\P{^Jg=--Manichaean_Nun}', "");
    Error('\p{Is_Joining_Group:   	/a/Manichaean_Nun}');
    Error('\P{Is_Joining_Group:   	/a/Manichaean_Nun}');
    Expect(1, 68311, '\p{Is_Joining_Group:   manichaeannun}', "");
    Expect(0, 68311, '\p{^Is_Joining_Group:   manichaeannun}', "");
    Expect(0, 68311, '\P{Is_Joining_Group:   manichaeannun}', "");
    Expect(1, 68311, '\P{^Is_Joining_Group:   manichaeannun}', "");
    Expect(0, 68312, '\p{Is_Joining_Group:   manichaeannun}', "");
    Expect(1, 68312, '\p{^Is_Joining_Group:   manichaeannun}', "");
    Expect(1, 68312, '\P{Is_Joining_Group:   manichaeannun}', "");
    Expect(0, 68312, '\P{^Is_Joining_Group:   manichaeannun}', "");
    Expect(1, 68311, '\p{Is_Joining_Group=	manichaean_Nun}', "");
    Expect(0, 68311, '\p{^Is_Joining_Group=	manichaean_Nun}', "");
    Expect(0, 68311, '\P{Is_Joining_Group=	manichaean_Nun}', "");
    Expect(1, 68311, '\P{^Is_Joining_Group=	manichaean_Nun}', "");
    Expect(0, 68312, '\p{Is_Joining_Group=	manichaean_Nun}', "");
    Expect(1, 68312, '\p{^Is_Joining_Group=	manichaean_Nun}', "");
    Expect(1, 68312, '\P{Is_Joining_Group=	manichaean_Nun}', "");
    Expect(0, 68312, '\P{^Is_Joining_Group=	manichaean_Nun}', "");
    Error('\p{Is_Jg=/a/	Manichaean_Nun}');
    Error('\P{Is_Jg=/a/	Manichaean_Nun}');
    Expect(1, 68311, '\p{Is_Jg=manichaeannun}', "");
    Expect(0, 68311, '\p{^Is_Jg=manichaeannun}', "");
    Expect(0, 68311, '\P{Is_Jg=manichaeannun}', "");
    Expect(1, 68311, '\P{^Is_Jg=manichaeannun}', "");
    Expect(0, 68312, '\p{Is_Jg=manichaeannun}', "");
    Expect(1, 68312, '\p{^Is_Jg=manichaeannun}', "");
    Expect(1, 68312, '\P{Is_Jg=manichaeannun}', "");
    Expect(0, 68312, '\P{^Is_Jg=manichaeannun}', "");
    Expect(1, 68311, '\p{Is_Jg=_MANICHAEAN_Nun}', "");
    Expect(0, 68311, '\p{^Is_Jg=_MANICHAEAN_Nun}', "");
    Expect(0, 68311, '\P{Is_Jg=_MANICHAEAN_Nun}', "");
    Expect(1, 68311, '\P{^Is_Jg=_MANICHAEAN_Nun}', "");
    Expect(0, 68312, '\p{Is_Jg=_MANICHAEAN_Nun}', "");
    Expect(1, 68312, '\p{^Is_Jg=_MANICHAEAN_Nun}', "");
    Expect(1, 68312, '\P{Is_Jg=_MANICHAEAN_Nun}', "");
    Expect(0, 68312, '\P{^Is_Jg=_MANICHAEAN_Nun}', "");
    Error('\p{Joining_Group=/a/	 MANICHAEAN_One}');
    Error('\P{Joining_Group=/a/	 MANICHAEAN_One}');
    Expect(1, 68331, '\p{Joining_Group=:\AManichaean_One\z:}', "");;
    Expect(0, 68332, '\p{Joining_Group=:\AManichaean_One\z:}', "");;
    Expect(1, 68331, '\p{Joining_Group=manichaeanone}', "");
    Expect(0, 68331, '\p{^Joining_Group=manichaeanone}', "");
    Expect(0, 68331, '\P{Joining_Group=manichaeanone}', "");
    Expect(1, 68331, '\P{^Joining_Group=manichaeanone}', "");
    Expect(0, 68332, '\p{Joining_Group=manichaeanone}', "");
    Expect(1, 68332, '\p{^Joining_Group=manichaeanone}', "");
    Expect(1, 68332, '\P{Joining_Group=manichaeanone}', "");
    Expect(0, 68332, '\P{^Joining_Group=manichaeanone}', "");
    Expect(1, 68331, '\p{Joining_Group=:\Amanichaeanone\z:}', "");;
    Expect(0, 68332, '\p{Joining_Group=:\Amanichaeanone\z:}', "");;
    Expect(1, 68331, '\p{Joining_Group=- MANICHAEAN_One}', "");
    Expect(0, 68331, '\p{^Joining_Group=- MANICHAEAN_One}', "");
    Expect(0, 68331, '\P{Joining_Group=- MANICHAEAN_One}', "");
    Expect(1, 68331, '\P{^Joining_Group=- MANICHAEAN_One}', "");
    Expect(0, 68332, '\p{Joining_Group=- MANICHAEAN_One}', "");
    Expect(1, 68332, '\p{^Joining_Group=- MANICHAEAN_One}', "");
    Expect(1, 68332, '\P{Joining_Group=- MANICHAEAN_One}', "");
    Expect(0, 68332, '\P{^Joining_Group=- MANICHAEAN_One}', "");
    Error('\p{Jg=_	manichaean_one:=}');
    Error('\P{Jg=_	manichaean_one:=}');
    Expect(1, 68331, '\p{Jg=:\AManichaean_One\z:}', "");;
    Expect(0, 68332, '\p{Jg=:\AManichaean_One\z:}', "");;
    Expect(1, 68331, '\p{Jg=manichaeanone}', "");
    Expect(0, 68331, '\p{^Jg=manichaeanone}', "");
    Expect(0, 68331, '\P{Jg=manichaeanone}', "");
    Expect(1, 68331, '\P{^Jg=manichaeanone}', "");
    Expect(0, 68332, '\p{Jg=manichaeanone}', "");
    Expect(1, 68332, '\p{^Jg=manichaeanone}', "");
    Expect(1, 68332, '\P{Jg=manichaeanone}', "");
    Expect(0, 68332, '\P{^Jg=manichaeanone}', "");
    Expect(1, 68331, '\p{Jg=:\Amanichaeanone\z:}', "");;
    Expect(0, 68332, '\p{Jg=:\Amanichaeanone\z:}', "");;
    Expect(1, 68331, '\p{Jg=	 manichaean_ONE}', "");
    Expect(0, 68331, '\p{^Jg=	 manichaean_ONE}', "");
    Expect(0, 68331, '\P{Jg=	 manichaean_ONE}', "");
    Expect(1, 68331, '\P{^Jg=	 manichaean_ONE}', "");
    Expect(0, 68332, '\p{Jg=	 manichaean_ONE}', "");
    Expect(1, 68332, '\p{^Jg=	 manichaean_ONE}', "");
    Expect(1, 68332, '\P{Jg=	 manichaean_ONE}', "");
    Expect(0, 68332, '\P{^Jg=	 manichaean_ONE}', "");
    Error('\p{Is_Joining_Group=--manichaean_ONE/a/}');
    Error('\P{Is_Joining_Group=--manichaean_ONE/a/}');
    Expect(1, 68331, '\p{Is_Joining_Group:   manichaeanone}', "");
    Expect(0, 68331, '\p{^Is_Joining_Group:   manichaeanone}', "");
    Expect(0, 68331, '\P{Is_Joining_Group:   manichaeanone}', "");
    Expect(1, 68331, '\P{^Is_Joining_Group:   manichaeanone}', "");
    Expect(0, 68332, '\p{Is_Joining_Group:   manichaeanone}', "");
    Expect(1, 68332, '\p{^Is_Joining_Group:   manichaeanone}', "");
    Expect(1, 68332, '\P{Is_Joining_Group:   manichaeanone}', "");
    Expect(0, 68332, '\P{^Is_Joining_Group:   manichaeanone}', "");
    Expect(1, 68331, '\p{Is_Joining_Group=	-manichaean_One}', "");
    Expect(0, 68331, '\p{^Is_Joining_Group=	-manichaean_One}', "");
    Expect(0, 68331, '\P{Is_Joining_Group=	-manichaean_One}', "");
    Expect(1, 68331, '\P{^Is_Joining_Group=	-manichaean_One}', "");
    Expect(0, 68332, '\p{Is_Joining_Group=	-manichaean_One}', "");
    Expect(1, 68332, '\p{^Is_Joining_Group=	-manichaean_One}', "");
    Expect(1, 68332, '\P{Is_Joining_Group=	-manichaean_One}', "");
    Expect(0, 68332, '\P{^Is_Joining_Group=	-manichaean_One}', "");
    Error('\p{Is_Jg=--Manichaean_One/a/}');
    Error('\P{Is_Jg=--Manichaean_One/a/}');
    Expect(1, 68331, '\p{Is_Jg=manichaeanone}', "");
    Expect(0, 68331, '\p{^Is_Jg=manichaeanone}', "");
    Expect(0, 68331, '\P{Is_Jg=manichaeanone}', "");
    Expect(1, 68331, '\P{^Is_Jg=manichaeanone}', "");
    Expect(0, 68332, '\p{Is_Jg=manichaeanone}', "");
    Expect(1, 68332, '\p{^Is_Jg=manichaeanone}', "");
    Expect(1, 68332, '\P{Is_Jg=manichaeanone}', "");
    Expect(0, 68332, '\P{^Is_Jg=manichaeanone}', "");
    Expect(1, 68331, '\p{Is_Jg=--manichaean_One}', "");
    Expect(0, 68331, '\p{^Is_Jg=--manichaean_One}', "");
    Expect(0, 68331, '\P{Is_Jg=--manichaean_One}', "");
    Expect(1, 68331, '\P{^Is_Jg=--manichaean_One}', "");
    Expect(0, 68332, '\p{Is_Jg=--manichaean_One}', "");
    Expect(1, 68332, '\p{^Is_Jg=--manichaean_One}', "");
    Expect(1, 68332, '\P{Is_Jg=--manichaean_One}', "");
    Expect(0, 68332, '\P{^Is_Jg=--manichaean_One}', "");
    Error('\p{Joining_Group=-_Manichaean_Pe/a/}');
    Error('\P{Joining_Group=-_Manichaean_Pe/a/}');
    Expect(1, 68316, '\p{Joining_Group=:\AManichaean_Pe\z:}', "");;
    Expect(0, 68317, '\p{Joining_Group=:\AManichaean_Pe\z:}', "");;
    Expect(1, 68316, '\p{Joining_Group=manichaeanpe}', "");
    Expect(0, 68316, '\p{^Joining_Group=manichaeanpe}', "");
    Expect(0, 68316, '\P{Joining_Group=manichaeanpe}', "");
    Expect(1, 68316, '\P{^Joining_Group=manichaeanpe}', "");
    Expect(0, 68317, '\p{Joining_Group=manichaeanpe}', "");
    Expect(1, 68317, '\p{^Joining_Group=manichaeanpe}', "");
    Expect(1, 68317, '\P{Joining_Group=manichaeanpe}', "");
    Expect(0, 68317, '\P{^Joining_Group=manichaeanpe}', "");
    Expect(1, 68316, '\p{Joining_Group=:\Amanichaeanpe\z:}', "");;
    Expect(0, 68317, '\p{Joining_Group=:\Amanichaeanpe\z:}', "");;
    Expect(1, 68316, '\p{Joining_Group=	_MANICHAEAN_Pe}', "");
    Expect(0, 68316, '\p{^Joining_Group=	_MANICHAEAN_Pe}', "");
    Expect(0, 68316, '\P{Joining_Group=	_MANICHAEAN_Pe}', "");
    Expect(1, 68316, '\P{^Joining_Group=	_MANICHAEAN_Pe}', "");
    Expect(0, 68317, '\p{Joining_Group=	_MANICHAEAN_Pe}', "");
    Expect(1, 68317, '\p{^Joining_Group=	_MANICHAEAN_Pe}', "");
    Expect(1, 68317, '\P{Joining_Group=	_MANICHAEAN_Pe}', "");
    Expect(0, 68317, '\P{^Joining_Group=	_MANICHAEAN_Pe}', "");
    Error('\p{Jg=:=	-Manichaean_pe}');
    Error('\P{Jg=:=	-Manichaean_pe}');
    Expect(1, 68316, '\p{Jg=:\AManichaean_Pe\z:}', "");;
    Expect(0, 68317, '\p{Jg=:\AManichaean_Pe\z:}', "");;
    Expect(1, 68316, '\p{Jg=manichaeanpe}', "");
    Expect(0, 68316, '\p{^Jg=manichaeanpe}', "");
    Expect(0, 68316, '\P{Jg=manichaeanpe}', "");
    Expect(1, 68316, '\P{^Jg=manichaeanpe}', "");
    Expect(0, 68317, '\p{Jg=manichaeanpe}', "");
    Expect(1, 68317, '\p{^Jg=manichaeanpe}', "");
    Expect(1, 68317, '\P{Jg=manichaeanpe}', "");
    Expect(0, 68317, '\P{^Jg=manichaeanpe}', "");
    Expect(1, 68316, '\p{Jg=:\Amanichaeanpe\z:}', "");;
    Expect(0, 68317, '\p{Jg=:\Amanichaeanpe\z:}', "");;
    Expect(1, 68316, '\p{Jg=_	manichaean_pe}', "");
    Expect(0, 68316, '\p{^Jg=_	manichaean_pe}', "");
    Expect(0, 68316, '\P{Jg=_	manichaean_pe}', "");
    Expect(1, 68316, '\P{^Jg=_	manichaean_pe}', "");
    Expect(0, 68317, '\p{Jg=_	manichaean_pe}', "");
    Expect(1, 68317, '\p{^Jg=_	manichaean_pe}', "");
    Expect(1, 68317, '\P{Jg=_	manichaean_pe}', "");
    Expect(0, 68317, '\P{^Jg=_	manichaean_pe}', "");
    Error('\p{Is_Joining_Group=:=  Manichaean_Pe}');
    Error('\P{Is_Joining_Group=:=  Manichaean_Pe}');
    Expect(1, 68316, '\p{Is_Joining_Group=manichaeanpe}', "");
    Expect(0, 68316, '\p{^Is_Joining_Group=manichaeanpe}', "");
    Expect(0, 68316, '\P{Is_Joining_Group=manichaeanpe}', "");
    Expect(1, 68316, '\P{^Is_Joining_Group=manichaeanpe}', "");
    Expect(0, 68317, '\p{Is_Joining_Group=manichaeanpe}', "");
    Expect(1, 68317, '\p{^Is_Joining_Group=manichaeanpe}', "");
    Expect(1, 68317, '\P{Is_Joining_Group=manichaeanpe}', "");
    Expect(0, 68317, '\P{^Is_Joining_Group=manichaeanpe}', "");
    Expect(1, 68316, '\p{Is_Joining_Group=_ Manichaean_Pe}', "");
    Expect(0, 68316, '\p{^Is_Joining_Group=_ Manichaean_Pe}', "");
    Expect(0, 68316, '\P{Is_Joining_Group=_ Manichaean_Pe}', "");
    Expect(1, 68316, '\P{^Is_Joining_Group=_ Manichaean_Pe}', "");
    Expect(0, 68317, '\p{Is_Joining_Group=_ Manichaean_Pe}', "");
    Expect(1, 68317, '\p{^Is_Joining_Group=_ Manichaean_Pe}', "");
    Expect(1, 68317, '\P{Is_Joining_Group=_ Manichaean_Pe}', "");
    Expect(0, 68317, '\P{^Is_Joining_Group=_ Manichaean_Pe}', "");
    Error('\p{Is_Jg=:=_Manichaean_Pe}');
    Error('\P{Is_Jg=:=_Manichaean_Pe}');
    Expect(1, 68316, '\p{Is_Jg=manichaeanpe}', "");
    Expect(0, 68316, '\p{^Is_Jg=manichaeanpe}', "");
    Expect(0, 68316, '\P{Is_Jg=manichaeanpe}', "");
    Expect(1, 68316, '\P{^Is_Jg=manichaeanpe}', "");
    Expect(0, 68317, '\p{Is_Jg=manichaeanpe}', "");
    Expect(1, 68317, '\p{^Is_Jg=manichaeanpe}', "");
    Expect(1, 68317, '\P{Is_Jg=manichaeanpe}', "");
    Expect(0, 68317, '\P{^Is_Jg=manichaeanpe}', "");
    Expect(1, 68316, '\p{Is_Jg=-Manichaean_Pe}', "");
    Expect(0, 68316, '\p{^Is_Jg=-Manichaean_Pe}', "");
    Expect(0, 68316, '\P{Is_Jg=-Manichaean_Pe}', "");
    Expect(1, 68316, '\P{^Is_Jg=-Manichaean_Pe}', "");
    Expect(0, 68317, '\p{Is_Jg=-Manichaean_Pe}', "");
    Expect(1, 68317, '\p{^Is_Jg=-Manichaean_Pe}', "");
    Expect(1, 68317, '\P{Is_Jg=-Manichaean_Pe}', "");
    Expect(0, 68317, '\P{^Is_Jg=-Manichaean_Pe}', "");
    Error('\p{Joining_Group=_:=Manichaean_Qoph}');
    Error('\P{Joining_Group=_:=Manichaean_Qoph}');
    Expect(1, 68320, '\p{Joining_Group=:\AManichaean_Qoph\z:}', "");;
    Expect(0, 68321, '\p{Joining_Group=:\AManichaean_Qoph\z:}', "");;
    Expect(1, 68320, '\p{Joining_Group:	manichaeanqoph}', "");
    Expect(0, 68320, '\p{^Joining_Group:	manichaeanqoph}', "");
    Expect(0, 68320, '\P{Joining_Group:	manichaeanqoph}', "");
    Expect(1, 68320, '\P{^Joining_Group:	manichaeanqoph}', "");
    Expect(0, 68321, '\p{Joining_Group:	manichaeanqoph}', "");
    Expect(1, 68321, '\p{^Joining_Group:	manichaeanqoph}', "");
    Expect(1, 68321, '\P{Joining_Group:	manichaeanqoph}', "");
    Expect(0, 68321, '\P{^Joining_Group:	manichaeanqoph}', "");
    Expect(1, 68320, '\p{Joining_Group=:\Amanichaeanqoph\z:}', "");;
    Expect(0, 68321, '\p{Joining_Group=:\Amanichaeanqoph\z:}', "");;
    Expect(1, 68320, '\p{Joining_Group:   Manichaean_Qoph}', "");
    Expect(0, 68320, '\p{^Joining_Group:   Manichaean_Qoph}', "");
    Expect(0, 68320, '\P{Joining_Group:   Manichaean_Qoph}', "");
    Expect(1, 68320, '\P{^Joining_Group:   Manichaean_Qoph}', "");
    Expect(0, 68321, '\p{Joining_Group:   Manichaean_Qoph}', "");
    Expect(1, 68321, '\p{^Joining_Group:   Manichaean_Qoph}', "");
    Expect(1, 68321, '\P{Joining_Group:   Manichaean_Qoph}', "");
    Expect(0, 68321, '\P{^Joining_Group:   Manichaean_Qoph}', "");
    Error('\p{Jg=-_Manichaean_QOPH/a/}');
    Error('\P{Jg=-_Manichaean_QOPH/a/}');
    Expect(1, 68320, '\p{Jg=:\AManichaean_Qoph\z:}', "");;
    Expect(0, 68321, '\p{Jg=:\AManichaean_Qoph\z:}', "");;
    Expect(1, 68320, '\p{Jg=manichaeanqoph}', "");
    Expect(0, 68320, '\p{^Jg=manichaeanqoph}', "");
    Expect(0, 68320, '\P{Jg=manichaeanqoph}', "");
    Expect(1, 68320, '\P{^Jg=manichaeanqoph}', "");
    Expect(0, 68321, '\p{Jg=manichaeanqoph}', "");
    Expect(1, 68321, '\p{^Jg=manichaeanqoph}', "");
    Expect(1, 68321, '\P{Jg=manichaeanqoph}', "");
    Expect(0, 68321, '\P{^Jg=manichaeanqoph}', "");
    Expect(1, 68320, '\p{Jg=:\Amanichaeanqoph\z:}', "");;
    Expect(0, 68321, '\p{Jg=:\Amanichaeanqoph\z:}', "");;
    Expect(1, 68320, '\p{Jg=- MANICHAEAN_Qoph}', "");
    Expect(0, 68320, '\p{^Jg=- MANICHAEAN_Qoph}', "");
    Expect(0, 68320, '\P{Jg=- MANICHAEAN_Qoph}', "");
    Expect(1, 68320, '\P{^Jg=- MANICHAEAN_Qoph}', "");
    Expect(0, 68321, '\p{Jg=- MANICHAEAN_Qoph}', "");
    Expect(1, 68321, '\p{^Jg=- MANICHAEAN_Qoph}', "");
    Expect(1, 68321, '\P{Jg=- MANICHAEAN_Qoph}', "");
    Expect(0, 68321, '\P{^Jg=- MANICHAEAN_Qoph}', "");
    Error('\p{Is_Joining_Group: -manichaean_qoph:=}');
    Error('\P{Is_Joining_Group: -manichaean_qoph:=}');
    Expect(1, 68320, '\p{Is_Joining_Group=manichaeanqoph}', "");
    Expect(0, 68320, '\p{^Is_Joining_Group=manichaeanqoph}', "");
    Expect(0, 68320, '\P{Is_Joining_Group=manichaeanqoph}', "");
    Expect(1, 68320, '\P{^Is_Joining_Group=manichaeanqoph}', "");
    Expect(0, 68321, '\p{Is_Joining_Group=manichaeanqoph}', "");
    Expect(1, 68321, '\p{^Is_Joining_Group=manichaeanqoph}', "");
    Expect(1, 68321, '\P{Is_Joining_Group=manichaeanqoph}', "");
    Expect(0, 68321, '\P{^Is_Joining_Group=manichaeanqoph}', "");
    Expect(1, 68320, '\p{Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Expect(0, 68320, '\p{^Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Expect(0, 68320, '\P{Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Expect(1, 68320, '\P{^Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Expect(0, 68321, '\p{Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Expect(1, 68321, '\p{^Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Expect(1, 68321, '\P{Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Expect(0, 68321, '\P{^Is_Joining_Group=MANICHAEAN_Qoph}', "");
    Error('\p{Is_Jg=--Manichaean_qoph:=}');
    Error('\P{Is_Jg=--Manichaean_qoph:=}');
    Expect(1, 68320, '\p{Is_Jg=manichaeanqoph}', "");
    Expect(0, 68320, '\p{^Is_Jg=manichaeanqoph}', "");
    Expect(0, 68320, '\P{Is_Jg=manichaeanqoph}', "");
    Expect(1, 68320, '\P{^Is_Jg=manichaeanqoph}', "");
    Expect(0, 68321, '\p{Is_Jg=manichaeanqoph}', "");
    Expect(1, 68321, '\p{^Is_Jg=manichaeanqoph}', "");
    Expect(1, 68321, '\P{Is_Jg=manichaeanqoph}', "");
    Expect(0, 68321, '\P{^Is_Jg=manichaeanqoph}', "");
    Expect(1, 68320, '\p{Is_Jg= 	MANICHAEAN_Qoph}', "");
    Expect(0, 68320, '\p{^Is_Jg= 	MANICHAEAN_Qoph}', "");
    Expect(0, 68320, '\P{Is_Jg= 	MANICHAEAN_Qoph}', "");
    Expect(1, 68320, '\P{^Is_Jg= 	MANICHAEAN_Qoph}', "");
    Expect(0, 68321, '\p{Is_Jg= 	MANICHAEAN_Qoph}', "");
    Expect(1, 68321, '\p{^Is_Jg= 	MANICHAEAN_Qoph}', "");
    Expect(1, 68321, '\P{Is_Jg= 	MANICHAEAN_Qoph}', "");
    Expect(0, 68321, '\P{^Is_Jg= 	MANICHAEAN_Qoph}', "");
    Error('\p{Joining_Group=-Manichaean_Resh:=}');
    Error('\P{Joining_Group=-Manichaean_Resh:=}');
    Expect(1, 68321, '\p{Joining_Group=:\AManichaean_Resh\z:}', "");;
    Expect(0, 68322, '\p{Joining_Group=:\AManichaean_Resh\z:}', "");;
    Expect(1, 68321, '\p{Joining_Group=manichaeanresh}', "");
    Expect(0, 68321, '\p{^Joining_Group=manichaeanresh}', "");
    Expect(0, 68321, '\P{Joining_Group=manichaeanresh}', "");
    Expect(1, 68321, '\P{^Joining_Group=manichaeanresh}', "");
    Expect(0, 68322, '\p{Joining_Group=manichaeanresh}', "");
    Expect(1, 68322, '\p{^Joining_Group=manichaeanresh}', "");
    Expect(1, 68322, '\P{Joining_Group=manichaeanresh}', "");
    Expect(0, 68322, '\P{^Joining_Group=manichaeanresh}', "");
    Expect(1, 68321, '\p{Joining_Group=:\Amanichaeanresh\z:}', "");;
    Expect(0, 68322, '\p{Joining_Group=:\Amanichaeanresh\z:}', "");;
    Expect(1, 68321, '\p{Joining_Group=_Manichaean_RESH}', "");
    Expect(0, 68321, '\p{^Joining_Group=_Manichaean_RESH}', "");
    Expect(0, 68321, '\P{Joining_Group=_Manichaean_RESH}', "");
    Expect(1, 68321, '\P{^Joining_Group=_Manichaean_RESH}', "");
    Expect(0, 68322, '\p{Joining_Group=_Manichaean_RESH}', "");
    Expect(1, 68322, '\p{^Joining_Group=_Manichaean_RESH}', "");
    Expect(1, 68322, '\P{Joining_Group=_Manichaean_RESH}', "");
    Expect(0, 68322, '\P{^Joining_Group=_Manichaean_RESH}', "");
    Error('\p{Jg=_-Manichaean_RESH:=}');
    Error('\P{Jg=_-Manichaean_RESH:=}');
    Expect(1, 68321, '\p{Jg=:\AManichaean_Resh\z:}', "");;
    Expect(0, 68322, '\p{Jg=:\AManichaean_Resh\z:}', "");;
    Expect(1, 68321, '\p{Jg=manichaeanresh}', "");
    Expect(0, 68321, '\p{^Jg=manichaeanresh}', "");
    Expect(0, 68321, '\P{Jg=manichaeanresh}', "");
    Expect(1, 68321, '\P{^Jg=manichaeanresh}', "");
    Expect(0, 68322, '\p{Jg=manichaeanresh}', "");
    Expect(1, 68322, '\p{^Jg=manichaeanresh}', "");
    Expect(1, 68322, '\P{Jg=manichaeanresh}', "");
    Expect(0, 68322, '\P{^Jg=manichaeanresh}', "");
    Expect(1, 68321, '\p{Jg=:\Amanichaeanresh\z:}', "");;
    Expect(0, 68322, '\p{Jg=:\Amanichaeanresh\z:}', "");;
    Expect(1, 68321, '\p{Jg=-	Manichaean_Resh}', "");
    Expect(0, 68321, '\p{^Jg=-	Manichaean_Resh}', "");
    Expect(0, 68321, '\P{Jg=-	Manichaean_Resh}', "");
    Expect(1, 68321, '\P{^Jg=-	Manichaean_Resh}', "");
    Expect(0, 68322, '\p{Jg=-	Manichaean_Resh}', "");
    Expect(1, 68322, '\p{^Jg=-	Manichaean_Resh}', "");
    Expect(1, 68322, '\P{Jg=-	Manichaean_Resh}', "");
    Expect(0, 68322, '\P{^Jg=-	Manichaean_Resh}', "");
    Error('\p{Is_Joining_Group=	_Manichaean_resh:=}');
    Error('\P{Is_Joining_Group=	_Manichaean_resh:=}');
    Expect(1, 68321, '\p{Is_Joining_Group=manichaeanresh}', "");
    Expect(0, 68321, '\p{^Is_Joining_Group=manichaeanresh}', "");
    Expect(0, 68321, '\P{Is_Joining_Group=manichaeanresh}', "");
    Expect(1, 68321, '\P{^Is_Joining_Group=manichaeanresh}', "");
    Expect(0, 68322, '\p{Is_Joining_Group=manichaeanresh}', "");
    Expect(1, 68322, '\p{^Is_Joining_Group=manichaeanresh}', "");
    Expect(1, 68322, '\P{Is_Joining_Group=manichaeanresh}', "");
    Expect(0, 68322, '\P{^Is_Joining_Group=manichaeanresh}', "");
    Expect(1, 68321, '\p{Is_Joining_Group=	manichaean_Resh}', "");
    Expect(0, 68321, '\p{^Is_Joining_Group=	manichaean_Resh}', "");
    Expect(0, 68321, '\P{Is_Joining_Group=	manichaean_Resh}', "");
    Expect(1, 68321, '\P{^Is_Joining_Group=	manichaean_Resh}', "");
    Expect(0, 68322, '\p{Is_Joining_Group=	manichaean_Resh}', "");
    Expect(1, 68322, '\p{^Is_Joining_Group=	manichaean_Resh}', "");
    Expect(1, 68322, '\P{Is_Joining_Group=	manichaean_Resh}', "");
    Expect(0, 68322, '\P{^Is_Joining_Group=	manichaean_Resh}', "");
    Error('\p{Is_Jg=- Manichaean_RESH:=}');
    Error('\P{Is_Jg=- Manichaean_RESH:=}');
    Expect(1, 68321, '\p{Is_Jg=manichaeanresh}', "");
    Expect(0, 68321, '\p{^Is_Jg=manichaeanresh}', "");
    Expect(0, 68321, '\P{Is_Jg=manichaeanresh}', "");
    Expect(1, 68321, '\P{^Is_Jg=manichaeanresh}', "");
    Expect(0, 68322, '\p{Is_Jg=manichaeanresh}', "");
    Expect(1, 68322, '\p{^Is_Jg=manichaeanresh}', "");
    Expect(1, 68322, '\P{Is_Jg=manichaeanresh}', "");
    Expect(0, 68322, '\P{^Is_Jg=manichaeanresh}', "");
    Expect(1, 68321, '\p{Is_Jg= _MANICHAEAN_RESH}', "");
    Expect(0, 68321, '\p{^Is_Jg= _MANICHAEAN_RESH}', "");
    Expect(0, 68321, '\P{Is_Jg= _MANICHAEAN_RESH}', "");
    Expect(1, 68321, '\P{^Is_Jg= _MANICHAEAN_RESH}', "");
    Expect(0, 68322, '\p{Is_Jg= _MANICHAEAN_RESH}', "");
    Expect(1, 68322, '\p{^Is_Jg= _MANICHAEAN_RESH}', "");
    Expect(1, 68322, '\P{Is_Jg= _MANICHAEAN_RESH}', "");
    Expect(0, 68322, '\P{^Is_Jg= _MANICHAEAN_RESH}', "");
    Error('\p{Joining_Group= :=MANICHAEAN_Sadhe}');
    Error('\P{Joining_Group= :=MANICHAEAN_Sadhe}');
    Expect(1, 68317, '\p{Joining_Group=:\AManichaean_Sadhe\z:}', "");;
    Expect(0, 68318, '\p{Joining_Group=:\AManichaean_Sadhe\z:}', "");;
    Expect(1, 68317, '\p{Joining_Group=manichaeansadhe}', "");
    Expect(0, 68317, '\p{^Joining_Group=manichaeansadhe}', "");
    Expect(0, 68317, '\P{Joining_Group=manichaeansadhe}', "");
    Expect(1, 68317, '\P{^Joining_Group=manichaeansadhe}', "");
    Expect(0, 68318, '\p{Joining_Group=manichaeansadhe}', "");
    Expect(1, 68318, '\p{^Joining_Group=manichaeansadhe}', "");
    Expect(1, 68318, '\P{Joining_Group=manichaeansadhe}', "");
    Expect(0, 68318, '\P{^Joining_Group=manichaeansadhe}', "");
    Expect(1, 68317, '\p{Joining_Group=:\Amanichaeansadhe\z:}', "");;
    Expect(0, 68318, '\p{Joining_Group=:\Amanichaeansadhe\z:}', "");;
    Expect(1, 68317, '\p{Joining_Group=-	Manichaean_SADHE}', "");
    Expect(0, 68317, '\p{^Joining_Group=-	Manichaean_SADHE}', "");
    Expect(0, 68317, '\P{Joining_Group=-	Manichaean_SADHE}', "");
    Expect(1, 68317, '\P{^Joining_Group=-	Manichaean_SADHE}', "");
    Expect(0, 68318, '\p{Joining_Group=-	Manichaean_SADHE}', "");
    Expect(1, 68318, '\p{^Joining_Group=-	Manichaean_SADHE}', "");
    Expect(1, 68318, '\P{Joining_Group=-	Manichaean_SADHE}', "");
    Expect(0, 68318, '\P{^Joining_Group=-	Manichaean_SADHE}', "");
    Error('\p{Jg: 	manichaean_sadhe:=}');
    Error('\P{Jg: 	manichaean_sadhe:=}');
    Expect(1, 68317, '\p{Jg=:\AManichaean_Sadhe\z:}', "");;
    Expect(0, 68318, '\p{Jg=:\AManichaean_Sadhe\z:}', "");;
    Expect(1, 68317, '\p{Jg=manichaeansadhe}', "");
    Expect(0, 68317, '\p{^Jg=manichaeansadhe}', "");
    Expect(0, 68317, '\P{Jg=manichaeansadhe}', "");
    Expect(1, 68317, '\P{^Jg=manichaeansadhe}', "");
    Expect(0, 68318, '\p{Jg=manichaeansadhe}', "");
    Expect(1, 68318, '\p{^Jg=manichaeansadhe}', "");
    Expect(1, 68318, '\P{Jg=manichaeansadhe}', "");
    Expect(0, 68318, '\P{^Jg=manichaeansadhe}', "");
    Expect(1, 68317, '\p{Jg=:\Amanichaeansadhe\z:}', "");;
    Expect(0, 68318, '\p{Jg=:\Amanichaeansadhe\z:}', "");;
    Expect(1, 68317, '\p{Jg=_-manichaean_Sadhe}', "");
    Expect(0, 68317, '\p{^Jg=_-manichaean_Sadhe}', "");
    Expect(0, 68317, '\P{Jg=_-manichaean_Sadhe}', "");
    Expect(1, 68317, '\P{^Jg=_-manichaean_Sadhe}', "");
    Expect(0, 68318, '\p{Jg=_-manichaean_Sadhe}', "");
    Expect(1, 68318, '\p{^Jg=_-manichaean_Sadhe}', "");
    Expect(1, 68318, '\P{Jg=_-manichaean_Sadhe}', "");
    Expect(0, 68318, '\P{^Jg=_-manichaean_Sadhe}', "");
    Error('\p{Is_Joining_Group= Manichaean_Sadhe/a/}');
    Error('\P{Is_Joining_Group= Manichaean_Sadhe/a/}');
    Expect(1, 68317, '\p{Is_Joining_Group:	manichaeansadhe}', "");
    Expect(0, 68317, '\p{^Is_Joining_Group:	manichaeansadhe}', "");
    Expect(0, 68317, '\P{Is_Joining_Group:	manichaeansadhe}', "");
    Expect(1, 68317, '\P{^Is_Joining_Group:	manichaeansadhe}', "");
    Expect(0, 68318, '\p{Is_Joining_Group:	manichaeansadhe}', "");
    Expect(1, 68318, '\p{^Is_Joining_Group:	manichaeansadhe}', "");
    Expect(1, 68318, '\P{Is_Joining_Group:	manichaeansadhe}', "");
    Expect(0, 68318, '\P{^Is_Joining_Group:	manichaeansadhe}', "");
    Expect(1, 68317, '\p{Is_Joining_Group=  Manichaean_SADHE}', "");
    Expect(0, 68317, '\p{^Is_Joining_Group=  Manichaean_SADHE}', "");
    Expect(0, 68317, '\P{Is_Joining_Group=  Manichaean_SADHE}', "");
    Expect(1, 68317, '\P{^Is_Joining_Group=  Manichaean_SADHE}', "");
    Expect(0, 68318, '\p{Is_Joining_Group=  Manichaean_SADHE}', "");
    Expect(1, 68318, '\p{^Is_Joining_Group=  Manichaean_SADHE}', "");
    Expect(1, 68318, '\P{Is_Joining_Group=  Manichaean_SADHE}', "");
    Expect(0, 68318, '\P{^Is_Joining_Group=  Manichaean_SADHE}', "");
    Error('\p{Is_Jg= -manichaean_SADHE/a/}');
    Error('\P{Is_Jg= -manichaean_SADHE/a/}');
    Expect(1, 68317, '\p{Is_Jg=manichaeansadhe}', "");
    Expect(0, 68317, '\p{^Is_Jg=manichaeansadhe}', "");
    Expect(0, 68317, '\P{Is_Jg=manichaeansadhe}', "");
    Expect(1, 68317, '\P{^Is_Jg=manichaeansadhe}', "");
    Expect(0, 68318, '\p{Is_Jg=manichaeansadhe}', "");
    Expect(1, 68318, '\p{^Is_Jg=manichaeansadhe}', "");
    Expect(1, 68318, '\P{Is_Jg=manichaeansadhe}', "");
    Expect(0, 68318, '\P{^Is_Jg=manichaeansadhe}', "");
    Expect(1, 68317, '\p{Is_Jg=	 MANICHAEAN_SADHE}', "");
    Expect(0, 68317, '\p{^Is_Jg=	 MANICHAEAN_SADHE}', "");
    Expect(0, 68317, '\P{Is_Jg=	 MANICHAEAN_SADHE}', "");
    Expect(1, 68317, '\P{^Is_Jg=	 MANICHAEAN_SADHE}', "");
    Expect(0, 68318, '\p{Is_Jg=	 MANICHAEAN_SADHE}', "");
    Expect(1, 68318, '\p{^Is_Jg=	 MANICHAEAN_SADHE}', "");
    Expect(1, 68318, '\P{Is_Jg=	 MANICHAEAN_SADHE}', "");
    Expect(0, 68318, '\P{^Is_Jg=	 MANICHAEAN_SADHE}', "");
    Error('\p{Joining_Group=manichaean_Samekh/a/}');
    Error('\P{Joining_Group=manichaean_Samekh/a/}');
    Expect(1, 68312, '\p{Joining_Group=:\AManichaean_Samekh\z:}', "");;
    Expect(0, 68313, '\p{Joining_Group=:\AManichaean_Samekh\z:}', "");;
    Expect(1, 68312, '\p{Joining_Group=manichaeansamekh}', "");
    Expect(0, 68312, '\p{^Joining_Group=manichaeansamekh}', "");
    Expect(0, 68312, '\P{Joining_Group=manichaeansamekh}', "");
    Expect(1, 68312, '\P{^Joining_Group=manichaeansamekh}', "");
    Expect(0, 68313, '\p{Joining_Group=manichaeansamekh}', "");
    Expect(1, 68313, '\p{^Joining_Group=manichaeansamekh}', "");
    Expect(1, 68313, '\P{Joining_Group=manichaeansamekh}', "");
    Expect(0, 68313, '\P{^Joining_Group=manichaeansamekh}', "");
    Expect(1, 68312, '\p{Joining_Group=:\Amanichaeansamekh\z:}', "");;
    Expect(0, 68313, '\p{Joining_Group=:\Amanichaeansamekh\z:}', "");;
    Expect(1, 68312, '\p{Joining_Group= Manichaean_Samekh}', "");
    Expect(0, 68312, '\p{^Joining_Group= Manichaean_Samekh}', "");
    Expect(0, 68312, '\P{Joining_Group= Manichaean_Samekh}', "");
    Expect(1, 68312, '\P{^Joining_Group= Manichaean_Samekh}', "");
    Expect(0, 68313, '\p{Joining_Group= Manichaean_Samekh}', "");
    Expect(1, 68313, '\p{^Joining_Group= Manichaean_Samekh}', "");
    Expect(1, 68313, '\P{Joining_Group= Manichaean_Samekh}', "");
    Expect(0, 68313, '\P{^Joining_Group= Manichaean_Samekh}', "");
    Error('\p{Jg=:=	Manichaean_Samekh}');
    Error('\P{Jg=:=	Manichaean_Samekh}');
    Expect(1, 68312, '\p{Jg=:\AManichaean_Samekh\z:}', "");;
    Expect(0, 68313, '\p{Jg=:\AManichaean_Samekh\z:}', "");;
    Expect(1, 68312, '\p{Jg=manichaeansamekh}', "");
    Expect(0, 68312, '\p{^Jg=manichaeansamekh}', "");
    Expect(0, 68312, '\P{Jg=manichaeansamekh}', "");
    Expect(1, 68312, '\P{^Jg=manichaeansamekh}', "");
    Expect(0, 68313, '\p{Jg=manichaeansamekh}', "");
    Expect(1, 68313, '\p{^Jg=manichaeansamekh}', "");
    Expect(1, 68313, '\P{Jg=manichaeansamekh}', "");
    Expect(0, 68313, '\P{^Jg=manichaeansamekh}', "");
    Expect(1, 68312, '\p{Jg=:\Amanichaeansamekh\z:}', "");;
    Expect(0, 68313, '\p{Jg=:\Amanichaeansamekh\z:}', "");;
    Expect(1, 68312, '\p{Jg=-_manichaean_Samekh}', "");
    Expect(0, 68312, '\p{^Jg=-_manichaean_Samekh}', "");
    Expect(0, 68312, '\P{Jg=-_manichaean_Samekh}', "");
    Expect(1, 68312, '\P{^Jg=-_manichaean_Samekh}', "");
    Expect(0, 68313, '\p{Jg=-_manichaean_Samekh}', "");
    Expect(1, 68313, '\p{^Jg=-_manichaean_Samekh}', "");
    Expect(1, 68313, '\P{Jg=-_manichaean_Samekh}', "");
    Expect(0, 68313, '\P{^Jg=-_manichaean_Samekh}', "");
    Error('\p{Is_Joining_Group=-/a/manichaean_Samekh}');
    Error('\P{Is_Joining_Group=-/a/manichaean_Samekh}');
    Expect(1, 68312, '\p{Is_Joining_Group=manichaeansamekh}', "");
    Expect(0, 68312, '\p{^Is_Joining_Group=manichaeansamekh}', "");
    Expect(0, 68312, '\P{Is_Joining_Group=manichaeansamekh}', "");
    Expect(1, 68312, '\P{^Is_Joining_Group=manichaeansamekh}', "");
    Expect(0, 68313, '\p{Is_Joining_Group=manichaeansamekh}', "");
    Expect(1, 68313, '\p{^Is_Joining_Group=manichaeansamekh}', "");
    Expect(1, 68313, '\P{Is_Joining_Group=manichaeansamekh}', "");
    Expect(0, 68313, '\P{^Is_Joining_Group=manichaeansamekh}', "");
    Expect(1, 68312, '\p{Is_Joining_Group=--Manichaean_samekh}', "");
    Expect(0, 68312, '\p{^Is_Joining_Group=--Manichaean_samekh}', "");
    Expect(0, 68312, '\P{Is_Joining_Group=--Manichaean_samekh}', "");
    Expect(1, 68312, '\P{^Is_Joining_Group=--Manichaean_samekh}', "");
    Expect(0, 68313, '\p{Is_Joining_Group=--Manichaean_samekh}', "");
    Expect(1, 68313, '\p{^Is_Joining_Group=--Manichaean_samekh}', "");
    Expect(1, 68313, '\P{Is_Joining_Group=--Manichaean_samekh}', "");
    Expect(0, 68313, '\P{^Is_Joining_Group=--Manichaean_samekh}', "");
    Error('\p{Is_Jg=/a/__MANICHAEAN_Samekh}');
    Error('\P{Is_Jg=/a/__MANICHAEAN_Samekh}');
    Expect(1, 68312, '\p{Is_Jg=manichaeansamekh}', "");
    Expect(0, 68312, '\p{^Is_Jg=manichaeansamekh}', "");
    Expect(0, 68312, '\P{Is_Jg=manichaeansamekh}', "");
    Expect(1, 68312, '\P{^Is_Jg=manichaeansamekh}', "");
    Expect(0, 68313, '\p{Is_Jg=manichaeansamekh}', "");
    Expect(1, 68313, '\p{^Is_Jg=manichaeansamekh}', "");
    Expect(1, 68313, '\P{Is_Jg=manichaeansamekh}', "");
    Expect(0, 68313, '\P{^Is_Jg=manichaeansamekh}', "");
    Expect(1, 68312, '\p{Is_Jg= -Manichaean_Samekh}', "");
    Expect(0, 68312, '\p{^Is_Jg= -Manichaean_Samekh}', "");
    Expect(0, 68312, '\P{Is_Jg= -Manichaean_Samekh}', "");
    Expect(1, 68312, '\P{^Is_Jg= -Manichaean_Samekh}', "");
    Expect(0, 68313, '\p{Is_Jg= -Manichaean_Samekh}', "");
    Expect(1, 68313, '\p{^Is_Jg= -Manichaean_Samekh}', "");
    Expect(1, 68313, '\P{Is_Jg= -Manichaean_Samekh}', "");
    Expect(0, 68313, '\P{^Is_Jg= -Manichaean_Samekh}', "");
    Error('\p{Joining_Group=:=_Manichaean_Taw}');
    Error('\P{Joining_Group=:=_Manichaean_Taw}');
    Expect(1, 68324, '\p{Joining_Group=:\AManichaean_Taw\z:}', "");;
    Expect(0, 68325, '\p{Joining_Group=:\AManichaean_Taw\z:}', "");;
    Expect(1, 68324, '\p{Joining_Group=manichaeantaw}', "");
    Expect(0, 68324, '\p{^Joining_Group=manichaeantaw}', "");
    Expect(0, 68324, '\P{Joining_Group=manichaeantaw}', "");
    Expect(1, 68324, '\P{^Joining_Group=manichaeantaw}', "");
    Expect(0, 68325, '\p{Joining_Group=manichaeantaw}', "");
    Expect(1, 68325, '\p{^Joining_Group=manichaeantaw}', "");
    Expect(1, 68325, '\P{Joining_Group=manichaeantaw}', "");
    Expect(0, 68325, '\P{^Joining_Group=manichaeantaw}', "");
    Expect(1, 68324, '\p{Joining_Group=:\Amanichaeantaw\z:}', "");;
    Expect(0, 68325, '\p{Joining_Group=:\Amanichaeantaw\z:}', "");;
    Expect(1, 68324, '\p{Joining_Group: --Manichaean_taw}', "");
    Expect(0, 68324, '\p{^Joining_Group: --Manichaean_taw}', "");
    Expect(0, 68324, '\P{Joining_Group: --Manichaean_taw}', "");
    Expect(1, 68324, '\P{^Joining_Group: --Manichaean_taw}', "");
    Expect(0, 68325, '\p{Joining_Group: --Manichaean_taw}', "");
    Expect(1, 68325, '\p{^Joining_Group: --Manichaean_taw}', "");
    Expect(1, 68325, '\P{Joining_Group: --Manichaean_taw}', "");
    Expect(0, 68325, '\P{^Joining_Group: --Manichaean_taw}', "");
    Error('\p{Jg:	 _manichaean_Taw/a/}');
    Error('\P{Jg:	 _manichaean_Taw/a/}');
    Expect(1, 68324, '\p{Jg=:\AManichaean_Taw\z:}', "");;
    Expect(0, 68325, '\p{Jg=:\AManichaean_Taw\z:}', "");;
    Expect(1, 68324, '\p{Jg=manichaeantaw}', "");
    Expect(0, 68324, '\p{^Jg=manichaeantaw}', "");
    Expect(0, 68324, '\P{Jg=manichaeantaw}', "");
    Expect(1, 68324, '\P{^Jg=manichaeantaw}', "");
    Expect(0, 68325, '\p{Jg=manichaeantaw}', "");
    Expect(1, 68325, '\p{^Jg=manichaeantaw}', "");
    Expect(1, 68325, '\P{Jg=manichaeantaw}', "");
    Expect(0, 68325, '\P{^Jg=manichaeantaw}', "");
    Expect(1, 68324, '\p{Jg=:\Amanichaeantaw\z:}', "");;
    Expect(0, 68325, '\p{Jg=:\Amanichaeantaw\z:}', "");;
    Expect(1, 68324, '\p{Jg=--Manichaean_TAW}', "");
    Expect(0, 68324, '\p{^Jg=--Manichaean_TAW}', "");
    Expect(0, 68324, '\P{Jg=--Manichaean_TAW}', "");
    Expect(1, 68324, '\P{^Jg=--Manichaean_TAW}', "");
    Expect(0, 68325, '\p{Jg=--Manichaean_TAW}', "");
    Expect(1, 68325, '\p{^Jg=--Manichaean_TAW}', "");
    Expect(1, 68325, '\P{Jg=--Manichaean_TAW}', "");
    Expect(0, 68325, '\P{^Jg=--Manichaean_TAW}', "");
    Error('\p{Is_Joining_Group:	-MANICHAEAN_taw/a/}');
    Error('\P{Is_Joining_Group:	-MANICHAEAN_taw/a/}');
    Expect(1, 68324, '\p{Is_Joining_Group=manichaeantaw}', "");
    Expect(0, 68324, '\p{^Is_Joining_Group=manichaeantaw}', "");
    Expect(0, 68324, '\P{Is_Joining_Group=manichaeantaw}', "");
    Expect(1, 68324, '\P{^Is_Joining_Group=manichaeantaw}', "");
    Expect(0, 68325, '\p{Is_Joining_Group=manichaeantaw}', "");
    Expect(1, 68325, '\p{^Is_Joining_Group=manichaeantaw}', "");
    Expect(1, 68325, '\P{Is_Joining_Group=manichaeantaw}', "");
    Expect(0, 68325, '\P{^Is_Joining_Group=manichaeantaw}', "");
    Expect(1, 68324, '\p{Is_Joining_Group=	Manichaean_Taw}', "");
    Expect(0, 68324, '\p{^Is_Joining_Group=	Manichaean_Taw}', "");
    Expect(0, 68324, '\P{Is_Joining_Group=	Manichaean_Taw}', "");
    Expect(1, 68324, '\P{^Is_Joining_Group=	Manichaean_Taw}', "");
    Expect(0, 68325, '\p{Is_Joining_Group=	Manichaean_Taw}', "");
    Expect(1, 68325, '\p{^Is_Joining_Group=	Manichaean_Taw}', "");
    Expect(1, 68325, '\P{Is_Joining_Group=	Manichaean_Taw}', "");
    Expect(0, 68325, '\P{^Is_Joining_Group=	Manichaean_Taw}', "");
    Error('\p{Is_Jg=/a/	MANICHAEAN_Taw}');
    Error('\P{Is_Jg=/a/	MANICHAEAN_Taw}');
    Expect(1, 68324, '\p{Is_Jg=manichaeantaw}', "");
    Expect(0, 68324, '\p{^Is_Jg=manichaeantaw}', "");
    Expect(0, 68324, '\P{Is_Jg=manichaeantaw}', "");
    Expect(1, 68324, '\P{^Is_Jg=manichaeantaw}', "");
    Expect(0, 68325, '\p{Is_Jg=manichaeantaw}', "");
    Expect(1, 68325, '\p{^Is_Jg=manichaeantaw}', "");
    Expect(1, 68325, '\P{Is_Jg=manichaeantaw}', "");
    Expect(0, 68325, '\P{^Is_Jg=manichaeantaw}', "");
    Expect(1, 68324, '\p{Is_Jg=-_Manichaean_taw}', "");
    Expect(0, 68324, '\p{^Is_Jg=-_Manichaean_taw}', "");
    Expect(0, 68324, '\P{Is_Jg=-_Manichaean_taw}', "");
    Expect(1, 68324, '\P{^Is_Jg=-_Manichaean_taw}', "");
    Expect(0, 68325, '\p{Is_Jg=-_Manichaean_taw}', "");
    Expect(1, 68325, '\p{^Is_Jg=-_Manichaean_taw}', "");
    Expect(1, 68325, '\P{Is_Jg=-_Manichaean_taw}', "");
    Expect(0, 68325, '\P{^Is_Jg=-_Manichaean_taw}', "");
    Error('\p{Joining_Group=/a/  manichaean_TEN}');
    Error('\P{Joining_Group=/a/  manichaean_TEN}');
    Expect(1, 68333, '\p{Joining_Group=:\AManichaean_Ten\z:}', "");;
    Expect(0, 68334, '\p{Joining_Group=:\AManichaean_Ten\z:}', "");;
    Expect(1, 68333, '\p{Joining_Group: manichaeanten}', "");
    Expect(0, 68333, '\p{^Joining_Group: manichaeanten}', "");
    Expect(0, 68333, '\P{Joining_Group: manichaeanten}', "");
    Expect(1, 68333, '\P{^Joining_Group: manichaeanten}', "");
    Expect(0, 68334, '\p{Joining_Group: manichaeanten}', "");
    Expect(1, 68334, '\p{^Joining_Group: manichaeanten}', "");
    Expect(1, 68334, '\P{Joining_Group: manichaeanten}', "");
    Expect(0, 68334, '\P{^Joining_Group: manichaeanten}', "");
    Expect(1, 68333, '\p{Joining_Group=:\Amanichaeanten\z:}', "");;
    Expect(0, 68334, '\p{Joining_Group=:\Amanichaeanten\z:}', "");;
    Expect(1, 68333, '\p{Joining_Group=-	manichaean_Ten}', "");
    Expect(0, 68333, '\p{^Joining_Group=-	manichaean_Ten}', "");
    Expect(0, 68333, '\P{Joining_Group=-	manichaean_Ten}', "");
    Expect(1, 68333, '\P{^Joining_Group=-	manichaean_Ten}', "");
    Expect(0, 68334, '\p{Joining_Group=-	manichaean_Ten}', "");
    Expect(1, 68334, '\p{^Joining_Group=-	manichaean_Ten}', "");
    Expect(1, 68334, '\P{Joining_Group=-	manichaean_Ten}', "");
    Expect(0, 68334, '\P{^Joining_Group=-	manichaean_Ten}', "");
    Error('\p{Jg:	 :=manichaean_Ten}');
    Error('\P{Jg:	 :=manichaean_Ten}');
    Expect(1, 68333, '\p{Jg=:\AManichaean_Ten\z:}', "");;
    Expect(0, 68334, '\p{Jg=:\AManichaean_Ten\z:}', "");;
    Expect(1, 68333, '\p{Jg=manichaeanten}', "");
    Expect(0, 68333, '\p{^Jg=manichaeanten}', "");
    Expect(0, 68333, '\P{Jg=manichaeanten}', "");
    Expect(1, 68333, '\P{^Jg=manichaeanten}', "");
    Expect(0, 68334, '\p{Jg=manichaeanten}', "");
    Expect(1, 68334, '\p{^Jg=manichaeanten}', "");
    Expect(1, 68334, '\P{Jg=manichaeanten}', "");
    Expect(0, 68334, '\P{^Jg=manichaeanten}', "");
    Expect(1, 68333, '\p{Jg=:\Amanichaeanten\z:}', "");;
    Expect(0, 68334, '\p{Jg=:\Amanichaeanten\z:}', "");;
    Expect(1, 68333, '\p{Jg= 	Manichaean_Ten}', "");
    Expect(0, 68333, '\p{^Jg= 	Manichaean_Ten}', "");
    Expect(0, 68333, '\P{Jg= 	Manichaean_Ten}', "");
    Expect(1, 68333, '\P{^Jg= 	Manichaean_Ten}', "");
    Expect(0, 68334, '\p{Jg= 	Manichaean_Ten}', "");
    Expect(1, 68334, '\p{^Jg= 	Manichaean_Ten}', "");
    Expect(1, 68334, '\P{Jg= 	Manichaean_Ten}', "");
    Expect(0, 68334, '\P{^Jg= 	Manichaean_Ten}', "");
    Error('\p{Is_Joining_Group=		Manichaean_Ten:=}');
    Error('\P{Is_Joining_Group=		Manichaean_Ten:=}');
    Expect(1, 68333, '\p{Is_Joining_Group:   manichaeanten}', "");
    Expect(0, 68333, '\p{^Is_Joining_Group:   manichaeanten}', "");
    Expect(0, 68333, '\P{Is_Joining_Group:   manichaeanten}', "");
    Expect(1, 68333, '\P{^Is_Joining_Group:   manichaeanten}', "");
    Expect(0, 68334, '\p{Is_Joining_Group:   manichaeanten}', "");
    Expect(1, 68334, '\p{^Is_Joining_Group:   manichaeanten}', "");
    Expect(1, 68334, '\P{Is_Joining_Group:   manichaeanten}', "");
    Expect(0, 68334, '\P{^Is_Joining_Group:   manichaeanten}', "");
    Expect(1, 68333, '\p{Is_Joining_Group=	_manichaean_TEN}', "");
    Expect(0, 68333, '\p{^Is_Joining_Group=	_manichaean_TEN}', "");
    Expect(0, 68333, '\P{Is_Joining_Group=	_manichaean_TEN}', "");
    Expect(1, 68333, '\P{^Is_Joining_Group=	_manichaean_TEN}', "");
    Expect(0, 68334, '\p{Is_Joining_Group=	_manichaean_TEN}', "");
    Expect(1, 68334, '\p{^Is_Joining_Group=	_manichaean_TEN}', "");
    Expect(1, 68334, '\P{Is_Joining_Group=	_manichaean_TEN}', "");
    Expect(0, 68334, '\P{^Is_Joining_Group=	_manichaean_TEN}', "");
    Error('\p{Is_Jg=  Manichaean_Ten/a/}');
    Error('\P{Is_Jg=  Manichaean_Ten/a/}');
    Expect(1, 68333, '\p{Is_Jg=manichaeanten}', "");
    Expect(0, 68333, '\p{^Is_Jg=manichaeanten}', "");
    Expect(0, 68333, '\P{Is_Jg=manichaeanten}', "");
    Expect(1, 68333, '\P{^Is_Jg=manichaeanten}', "");
    Expect(0, 68334, '\p{Is_Jg=manichaeanten}', "");
    Expect(1, 68334, '\p{^Is_Jg=manichaeanten}', "");
    Expect(1, 68334, '\P{Is_Jg=manichaeanten}', "");
    Expect(0, 68334, '\P{^Is_Jg=manichaeanten}', "");
    Expect(1, 68333, '\p{Is_Jg=		manichaean_Ten}', "");
    Expect(0, 68333, '\p{^Is_Jg=		manichaean_Ten}', "");
    Expect(0, 68333, '\P{Is_Jg=		manichaean_Ten}', "");
    Expect(1, 68333, '\P{^Is_Jg=		manichaean_Ten}', "");
    Expect(0, 68334, '\p{Is_Jg=		manichaean_Ten}', "");
    Expect(1, 68334, '\p{^Is_Jg=		manichaean_Ten}', "");
    Expect(1, 68334, '\P{Is_Jg=		manichaean_Ten}', "");
    Expect(0, 68334, '\P{^Is_Jg=		manichaean_Ten}', "");
    Error('\p{Joining_Group=:=--MANICHAEAN_Teth}');
    Error('\P{Joining_Group=:=--MANICHAEAN_Teth}');
    Expect(1, 68302, '\p{Joining_Group=:\AManichaean_Teth\z:}', "");;
    Expect(0, 68303, '\p{Joining_Group=:\AManichaean_Teth\z:}', "");;
    Expect(1, 68302, '\p{Joining_Group=manichaeanteth}', "");
    Expect(0, 68302, '\p{^Joining_Group=manichaeanteth}', "");
    Expect(0, 68302, '\P{Joining_Group=manichaeanteth}', "");
    Expect(1, 68302, '\P{^Joining_Group=manichaeanteth}', "");
    Expect(0, 68303, '\p{Joining_Group=manichaeanteth}', "");
    Expect(1, 68303, '\p{^Joining_Group=manichaeanteth}', "");
    Expect(1, 68303, '\P{Joining_Group=manichaeanteth}', "");
    Expect(0, 68303, '\P{^Joining_Group=manichaeanteth}', "");
    Expect(1, 68302, '\p{Joining_Group=:\Amanichaeanteth\z:}', "");;
    Expect(0, 68303, '\p{Joining_Group=:\Amanichaeanteth\z:}', "");;
    Expect(1, 68302, '\p{Joining_Group=	 Manichaean_Teth}', "");
    Expect(0, 68302, '\p{^Joining_Group=	 Manichaean_Teth}', "");
    Expect(0, 68302, '\P{Joining_Group=	 Manichaean_Teth}', "");
    Expect(1, 68302, '\P{^Joining_Group=	 Manichaean_Teth}', "");
    Expect(0, 68303, '\p{Joining_Group=	 Manichaean_Teth}', "");
    Expect(1, 68303, '\p{^Joining_Group=	 Manichaean_Teth}', "");
    Expect(1, 68303, '\P{Joining_Group=	 Manichaean_Teth}', "");
    Expect(0, 68303, '\P{^Joining_Group=	 Manichaean_Teth}', "");
    Error('\p{Jg=/a/-_manichaean_TETH}');
    Error('\P{Jg=/a/-_manichaean_TETH}');
    Expect(1, 68302, '\p{Jg=:\AManichaean_Teth\z:}', "");;
    Expect(0, 68303, '\p{Jg=:\AManichaean_Teth\z:}', "");;
    Expect(1, 68302, '\p{Jg=manichaeanteth}', "");
    Expect(0, 68302, '\p{^Jg=manichaeanteth}', "");
    Expect(0, 68302, '\P{Jg=manichaeanteth}', "");
    Expect(1, 68302, '\P{^Jg=manichaeanteth}', "");
    Expect(0, 68303, '\p{Jg=manichaeanteth}', "");
    Expect(1, 68303, '\p{^Jg=manichaeanteth}', "");
    Expect(1, 68303, '\P{Jg=manichaeanteth}', "");
    Expect(0, 68303, '\P{^Jg=manichaeanteth}', "");
    Expect(1, 68302, '\p{Jg=:\Amanichaeanteth\z:}', "");;
    Expect(0, 68303, '\p{Jg=:\Amanichaeanteth\z:}', "");;
    Expect(1, 68302, '\p{Jg=_	Manichaean_Teth}', "");
    Expect(0, 68302, '\p{^Jg=_	Manichaean_Teth}', "");
    Expect(0, 68302, '\P{Jg=_	Manichaean_Teth}', "");
    Expect(1, 68302, '\P{^Jg=_	Manichaean_Teth}', "");
    Expect(0, 68303, '\p{Jg=_	Manichaean_Teth}', "");
    Expect(1, 68303, '\p{^Jg=_	Manichaean_Teth}', "");
    Expect(1, 68303, '\P{Jg=_	Manichaean_Teth}', "");
    Expect(0, 68303, '\P{^Jg=_	Manichaean_Teth}', "");
    Error('\p{Is_Joining_Group= -manichaean_teth:=}');
    Error('\P{Is_Joining_Group= -manichaean_teth:=}');
    Expect(1, 68302, '\p{Is_Joining_Group=manichaeanteth}', "");
    Expect(0, 68302, '\p{^Is_Joining_Group=manichaeanteth}', "");
    Expect(0, 68302, '\P{Is_Joining_Group=manichaeanteth}', "");
    Expect(1, 68302, '\P{^Is_Joining_Group=manichaeanteth}', "");
    Expect(0, 68303, '\p{Is_Joining_Group=manichaeanteth}', "");
    Expect(1, 68303, '\p{^Is_Joining_Group=manichaeanteth}', "");
    Expect(1, 68303, '\P{Is_Joining_Group=manichaeanteth}', "");
    Expect(0, 68303, '\P{^Is_Joining_Group=manichaeanteth}', "");
    Expect(1, 68302, '\p{Is_Joining_Group=- Manichaean_TETH}', "");
    Expect(0, 68302, '\p{^Is_Joining_Group=- Manichaean_TETH}', "");
    Expect(0, 68302, '\P{Is_Joining_Group=- Manichaean_TETH}', "");
    Expect(1, 68302, '\P{^Is_Joining_Group=- Manichaean_TETH}', "");
    Expect(0, 68303, '\p{Is_Joining_Group=- Manichaean_TETH}', "");
    Expect(1, 68303, '\p{^Is_Joining_Group=- Manichaean_TETH}', "");
    Expect(1, 68303, '\P{Is_Joining_Group=- Manichaean_TETH}', "");
    Expect(0, 68303, '\P{^Is_Joining_Group=- Manichaean_TETH}', "");
    Error('\p{Is_Jg=-:=MANICHAEAN_TETH}');
    Error('\P{Is_Jg=-:=MANICHAEAN_TETH}');
    Expect(1, 68302, '\p{Is_Jg=manichaeanteth}', "");
    Expect(0, 68302, '\p{^Is_Jg=manichaeanteth}', "");
    Expect(0, 68302, '\P{Is_Jg=manichaeanteth}', "");
    Expect(1, 68302, '\P{^Is_Jg=manichaeanteth}', "");
    Expect(0, 68303, '\p{Is_Jg=manichaeanteth}', "");
    Expect(1, 68303, '\p{^Is_Jg=manichaeanteth}', "");
    Expect(1, 68303, '\P{Is_Jg=manichaeanteth}', "");
    Expect(0, 68303, '\P{^Is_Jg=manichaeanteth}', "");
    Expect(1, 68302, '\p{Is_Jg=-Manichaean_Teth}', "");
    Expect(0, 68302, '\p{^Is_Jg=-Manichaean_Teth}', "");
    Expect(0, 68302, '\P{Is_Jg=-Manichaean_Teth}', "");
    Expect(1, 68302, '\P{^Is_Jg=-Manichaean_Teth}', "");
    Expect(0, 68303, '\p{Is_Jg=-Manichaean_Teth}', "");
    Expect(1, 68303, '\p{^Is_Jg=-Manichaean_Teth}', "");
    Expect(1, 68303, '\P{Is_Jg=-Manichaean_Teth}', "");
    Expect(0, 68303, '\P{^Is_Jg=-Manichaean_Teth}', "");
    Error('\p{Joining_Group=	:=MANICHAEAN_thamedh}');
    Error('\P{Joining_Group=	:=MANICHAEAN_thamedh}');
    Expect(1, 68309, '\p{Joining_Group=:\AManichaean_Thamedh\z:}', "");;
    Expect(0, 68310, '\p{Joining_Group=:\AManichaean_Thamedh\z:}', "");;
    Expect(1, 68309, '\p{Joining_Group=manichaeanthamedh}', "");
    Expect(0, 68309, '\p{^Joining_Group=manichaeanthamedh}', "");
    Expect(0, 68309, '\P{Joining_Group=manichaeanthamedh}', "");
    Expect(1, 68309, '\P{^Joining_Group=manichaeanthamedh}', "");
    Expect(0, 68310, '\p{Joining_Group=manichaeanthamedh}', "");
    Expect(1, 68310, '\p{^Joining_Group=manichaeanthamedh}', "");
    Expect(1, 68310, '\P{Joining_Group=manichaeanthamedh}', "");
    Expect(0, 68310, '\P{^Joining_Group=manichaeanthamedh}', "");
    Expect(1, 68309, '\p{Joining_Group=:\Amanichaeanthamedh\z:}', "");;
    Expect(0, 68310, '\p{Joining_Group=:\Amanichaeanthamedh\z:}', "");;
    Expect(1, 68309, '\p{Joining_Group=  manichaean_Thamedh}', "");
    Expect(0, 68309, '\p{^Joining_Group=  manichaean_Thamedh}', "");
    Expect(0, 68309, '\P{Joining_Group=  manichaean_Thamedh}', "");
    Expect(1, 68309, '\P{^Joining_Group=  manichaean_Thamedh}', "");
    Expect(0, 68310, '\p{Joining_Group=  manichaean_Thamedh}', "");
    Expect(1, 68310, '\p{^Joining_Group=  manichaean_Thamedh}', "");
    Expect(1, 68310, '\P{Joining_Group=  manichaean_Thamedh}', "");
    Expect(0, 68310, '\P{^Joining_Group=  manichaean_Thamedh}', "");
    Error('\p{Jg=/a/	Manichaean_Thamedh}');
    Error('\P{Jg=/a/	Manichaean_Thamedh}');
    Expect(1, 68309, '\p{Jg=:\AManichaean_Thamedh\z:}', "");;
    Expect(0, 68310, '\p{Jg=:\AManichaean_Thamedh\z:}', "");;
    Expect(1, 68309, '\p{Jg=manichaeanthamedh}', "");
    Expect(0, 68309, '\p{^Jg=manichaeanthamedh}', "");
    Expect(0, 68309, '\P{Jg=manichaeanthamedh}', "");
    Expect(1, 68309, '\P{^Jg=manichaeanthamedh}', "");
    Expect(0, 68310, '\p{Jg=manichaeanthamedh}', "");
    Expect(1, 68310, '\p{^Jg=manichaeanthamedh}', "");
    Expect(1, 68310, '\P{Jg=manichaeanthamedh}', "");
    Expect(0, 68310, '\P{^Jg=manichaeanthamedh}', "");
    Expect(1, 68309, '\p{Jg=:\Amanichaeanthamedh\z:}', "");;
    Expect(0, 68310, '\p{Jg=:\Amanichaeanthamedh\z:}', "");;
    Expect(1, 68309, '\p{Jg=-	manichaean_Thamedh}', "");
    Expect(0, 68309, '\p{^Jg=-	manichaean_Thamedh}', "");
    Expect(0, 68309, '\P{Jg=-	manichaean_Thamedh}', "");
    Expect(1, 68309, '\P{^Jg=-	manichaean_Thamedh}', "");
    Expect(0, 68310, '\p{Jg=-	manichaean_Thamedh}', "");
    Expect(1, 68310, '\p{^Jg=-	manichaean_Thamedh}', "");
    Expect(1, 68310, '\P{Jg=-	manichaean_Thamedh}', "");
    Expect(0, 68310, '\P{^Jg=-	manichaean_Thamedh}', "");
    Error('\p{Is_Joining_Group= -Manichaean_THAMEDH/a/}');
    Error('\P{Is_Joining_Group= -Manichaean_THAMEDH/a/}');
    Expect(1, 68309, '\p{Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(0, 68309, '\p{^Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(0, 68309, '\P{Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(1, 68309, '\P{^Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(0, 68310, '\p{Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(1, 68310, '\p{^Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(1, 68310, '\P{Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(0, 68310, '\P{^Is_Joining_Group:   manichaeanthamedh}', "");
    Expect(1, 68309, '\p{Is_Joining_Group:    	manichaean_Thamedh}', "");
    Expect(0, 68309, '\p{^Is_Joining_Group:    	manichaean_Thamedh}', "");
    Expect(0, 68309, '\P{Is_Joining_Group:    	manichaean_Thamedh}', "");
    Expect(1, 68309, '\P{^Is_Joining_Group:    	manichaean_Thamedh}', "");
    Expect(0, 68310, '\p{Is_Joining_Group:    	manichaean_Thamedh}', "");
    Expect(1, 68310, '\p{^Is_Joining_Group:    	manichaean_Thamedh}', "");
    Expect(1, 68310, '\P{Is_Joining_Group:    	manichaean_Thamedh}', "");
    Expect(0, 68310, '\P{^Is_Joining_Group:    	manichaean_Thamedh}', "");
    Error('\p{Is_Jg= :=manichaean_Thamedh}');
    Error('\P{Is_Jg= :=manichaean_Thamedh}');
    Expect(1, 68309, '\p{Is_Jg=manichaeanthamedh}', "");
    Expect(0, 68309, '\p{^Is_Jg=manichaeanthamedh}', "");
    Expect(0, 68309, '\P{Is_Jg=manichaeanthamedh}', "");
    Expect(1, 68309, '\P{^Is_Jg=manichaeanthamedh}', "");
    Expect(0, 68310, '\p{Is_Jg=manichaeanthamedh}', "");
    Expect(1, 68310, '\p{^Is_Jg=manichaeanthamedh}', "");
    Expect(1, 68310, '\P{Is_Jg=manichaeanthamedh}', "");
    Expect(0, 68310, '\P{^Is_Jg=manichaeanthamedh}', "");
    Expect(1, 68309, '\p{Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Expect(0, 68309, '\p{^Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Expect(0, 68309, '\P{Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Expect(1, 68309, '\P{^Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Expect(0, 68310, '\p{Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Expect(1, 68310, '\p{^Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Expect(1, 68310, '\P{Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Expect(0, 68310, '\P{^Is_Jg=	 MANICHAEAN_THAMEDH}', "");
    Error('\p{Joining_Group=/a/Manichaean_Twenty}');
    Error('\P{Joining_Group=/a/Manichaean_Twenty}');
    Expect(1, 68334, '\p{Joining_Group=:\AManichaean_Twenty\z:}', "");;
    Expect(0, 68335, '\p{Joining_Group=:\AManichaean_Twenty\z:}', "");;
    Expect(1, 68334, '\p{Joining_Group: manichaeantwenty}', "");
    Expect(0, 68334, '\p{^Joining_Group: manichaeantwenty}', "");
    Expect(0, 68334, '\P{Joining_Group: manichaeantwenty}', "");
    Expect(1, 68334, '\P{^Joining_Group: manichaeantwenty}', "");
    Expect(0, 68335, '\p{Joining_Group: manichaeantwenty}', "");
    Expect(1, 68335, '\p{^Joining_Group: manichaeantwenty}', "");
    Expect(1, 68335, '\P{Joining_Group: manichaeantwenty}', "");
    Expect(0, 68335, '\P{^Joining_Group: manichaeantwenty}', "");
    Expect(1, 68334, '\p{Joining_Group=:\Amanichaeantwenty\z:}', "");;
    Expect(0, 68335, '\p{Joining_Group=:\Amanichaeantwenty\z:}', "");;
    Expect(1, 68334, '\p{Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Expect(0, 68334, '\p{^Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Expect(0, 68334, '\P{Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Expect(1, 68334, '\P{^Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Expect(0, 68335, '\p{Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Expect(1, 68335, '\p{^Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Expect(1, 68335, '\P{Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Expect(0, 68335, '\P{^Joining_Group=_-MANICHAEAN_TWENTY}', "");
    Error('\p{Jg=/a/		Manichaean_TWENTY}');
    Error('\P{Jg=/a/		Manichaean_TWENTY}');
    Expect(1, 68334, '\p{Jg=:\AManichaean_Twenty\z:}', "");;
    Expect(0, 68335, '\p{Jg=:\AManichaean_Twenty\z:}', "");;
    Expect(1, 68334, '\p{Jg=manichaeantwenty}', "");
    Expect(0, 68334, '\p{^Jg=manichaeantwenty}', "");
    Expect(0, 68334, '\P{Jg=manichaeantwenty}', "");
    Expect(1, 68334, '\P{^Jg=manichaeantwenty}', "");
    Expect(0, 68335, '\p{Jg=manichaeantwenty}', "");
    Expect(1, 68335, '\p{^Jg=manichaeantwenty}', "");
    Expect(1, 68335, '\P{Jg=manichaeantwenty}', "");
    Expect(0, 68335, '\P{^Jg=manichaeantwenty}', "");
    Expect(1, 68334, '\p{Jg=:\Amanichaeantwenty\z:}', "");;
    Expect(0, 68335, '\p{Jg=:\Amanichaeantwenty\z:}', "");;
    Expect(1, 68334, '\p{Jg=_	manichaean_Twenty}', "");
    Expect(0, 68334, '\p{^Jg=_	manichaean_Twenty}', "");
    Expect(0, 68334, '\P{Jg=_	manichaean_Twenty}', "");
    Expect(1, 68334, '\P{^Jg=_	manichaean_Twenty}', "");
    Expect(0, 68335, '\p{Jg=_	manichaean_Twenty}', "");
    Expect(1, 68335, '\p{^Jg=_	manichaean_Twenty}', "");
    Expect(1, 68335, '\P{Jg=_	manichaean_Twenty}', "");
    Expect(0, 68335, '\P{^Jg=_	manichaean_Twenty}', "");
    Error('\p{Is_Joining_Group: _ Manichaean_Twenty:=}');
    Error('\P{Is_Joining_Group: _ Manichaean_Twenty:=}');
    Expect(1, 68334, '\p{Is_Joining_Group=manichaeantwenty}', "");
    Expect(0, 68334, '\p{^Is_Joining_Group=manichaeantwenty}', "");
    Expect(0, 68334, '\P{Is_Joining_Group=manichaeantwenty}', "");
    Expect(1, 68334, '\P{^Is_Joining_Group=manichaeantwenty}', "");
    Expect(0, 68335, '\p{Is_Joining_Group=manichaeantwenty}', "");
    Expect(1, 68335, '\p{^Is_Joining_Group=manichaeantwenty}', "");
    Expect(1, 68335, '\P{Is_Joining_Group=manichaeantwenty}', "");
    Expect(0, 68335, '\P{^Is_Joining_Group=manichaeantwenty}', "");
    Expect(1, 68334, '\p{Is_Joining_Group=Manichaean_Twenty}', "");
    Expect(0, 68334, '\p{^Is_Joining_Group=Manichaean_Twenty}', "");
    Expect(0, 68334, '\P{Is_Joining_Group=Manichaean_Twenty}', "");
    Expect(1, 68334, '\P{^Is_Joining_Group=Manichaean_Twenty}', "");
    Expect(0, 68335, '\p{Is_Joining_Group=Manichaean_Twenty}', "");
    Expect(1, 68335, '\p{^Is_Joining_Group=Manichaean_Twenty}', "");
    Expect(1, 68335, '\P{Is_Joining_Group=Manichaean_Twenty}', "");
    Expect(0, 68335, '\P{^Is_Joining_Group=Manichaean_Twenty}', "");
    Error('\p{Is_Jg=/a/	MANICHAEAN_TWENTY}');
    Error('\P{Is_Jg=/a/	MANICHAEAN_TWENTY}');
    Expect(1, 68334, '\p{Is_Jg=manichaeantwenty}', "");
    Expect(0, 68334, '\p{^Is_Jg=manichaeantwenty}', "");
    Expect(0, 68334, '\P{Is_Jg=manichaeantwenty}', "");
    Expect(1, 68334, '\P{^Is_Jg=manichaeantwenty}', "");
    Expect(0, 68335, '\p{Is_Jg=manichaeantwenty}', "");
    Expect(1, 68335, '\p{^Is_Jg=manichaeantwenty}', "");
    Expect(1, 68335, '\P{Is_Jg=manichaeantwenty}', "");
    Expect(0, 68335, '\P{^Is_Jg=manichaeantwenty}', "");
    Expect(1, 68334, '\p{Is_Jg= Manichaean_TWENTY}', "");
    Expect(0, 68334, '\p{^Is_Jg= Manichaean_TWENTY}', "");
    Expect(0, 68334, '\P{Is_Jg= Manichaean_TWENTY}', "");
    Expect(1, 68334, '\P{^Is_Jg= Manichaean_TWENTY}', "");
    Expect(0, 68335, '\p{Is_Jg= Manichaean_TWENTY}', "");
    Expect(1, 68335, '\p{^Is_Jg= Manichaean_TWENTY}', "");
    Expect(1, 68335, '\P{Is_Jg= Manichaean_TWENTY}', "");
    Expect(0, 68335, '\P{^Is_Jg= Manichaean_TWENTY}', "");
    Error('\p{Joining_Group=_/a/Manichaean_waw}');
    Error('\P{Joining_Group=_/a/Manichaean_waw}');
    Expect(1, 68295, '\p{Joining_Group=:\AManichaean_Waw\z:}', "");;
    Expect(0, 68296, '\p{Joining_Group=:\AManichaean_Waw\z:}', "");;
    Expect(1, 68295, '\p{Joining_Group=manichaeanwaw}', "");
    Expect(0, 68295, '\p{^Joining_Group=manichaeanwaw}', "");
    Expect(0, 68295, '\P{Joining_Group=manichaeanwaw}', "");
    Expect(1, 68295, '\P{^Joining_Group=manichaeanwaw}', "");
    Expect(0, 68296, '\p{Joining_Group=manichaeanwaw}', "");
    Expect(1, 68296, '\p{^Joining_Group=manichaeanwaw}', "");
    Expect(1, 68296, '\P{Joining_Group=manichaeanwaw}', "");
    Expect(0, 68296, '\P{^Joining_Group=manichaeanwaw}', "");
    Expect(1, 68295, '\p{Joining_Group=:\Amanichaeanwaw\z:}', "");;
    Expect(0, 68296, '\p{Joining_Group=:\Amanichaeanwaw\z:}', "");;
    Expect(1, 68295, '\p{Joining_Group=	manichaean_WAW}', "");
    Expect(0, 68295, '\p{^Joining_Group=	manichaean_WAW}', "");
    Expect(0, 68295, '\P{Joining_Group=	manichaean_WAW}', "");
    Expect(1, 68295, '\P{^Joining_Group=	manichaean_WAW}', "");
    Expect(0, 68296, '\p{Joining_Group=	manichaean_WAW}', "");
    Expect(1, 68296, '\p{^Joining_Group=	manichaean_WAW}', "");
    Expect(1, 68296, '\P{Joining_Group=	manichaean_WAW}', "");
    Expect(0, 68296, '\P{^Joining_Group=	manichaean_WAW}', "");
    Error('\p{Jg=:= _Manichaean_WAW}');
    Error('\P{Jg=:= _Manichaean_WAW}');
    Expect(1, 68295, '\p{Jg=:\AManichaean_Waw\z:}', "");;
    Expect(0, 68296, '\p{Jg=:\AManichaean_Waw\z:}', "");;
    Expect(1, 68295, '\p{Jg=manichaeanwaw}', "");
    Expect(0, 68295, '\p{^Jg=manichaeanwaw}', "");
    Expect(0, 68295, '\P{Jg=manichaeanwaw}', "");
    Expect(1, 68295, '\P{^Jg=manichaeanwaw}', "");
    Expect(0, 68296, '\p{Jg=manichaeanwaw}', "");
    Expect(1, 68296, '\p{^Jg=manichaeanwaw}', "");
    Expect(1, 68296, '\P{Jg=manichaeanwaw}', "");
    Expect(0, 68296, '\P{^Jg=manichaeanwaw}', "");
    Expect(1, 68295, '\p{Jg=:\Amanichaeanwaw\z:}', "");;
    Expect(0, 68296, '\p{Jg=:\Amanichaeanwaw\z:}', "");;
    Expect(1, 68295, '\p{Jg=_-Manichaean_waw}', "");
    Expect(0, 68295, '\p{^Jg=_-Manichaean_waw}', "");
    Expect(0, 68295, '\P{Jg=_-Manichaean_waw}', "");
    Expect(1, 68295, '\P{^Jg=_-Manichaean_waw}', "");
    Expect(0, 68296, '\p{Jg=_-Manichaean_waw}', "");
    Expect(1, 68296, '\p{^Jg=_-Manichaean_waw}', "");
    Expect(1, 68296, '\P{Jg=_-Manichaean_waw}', "");
    Expect(0, 68296, '\P{^Jg=_-Manichaean_waw}', "");
    Error('\p{Is_Joining_Group=-_MANICHAEAN_waw/a/}');
    Error('\P{Is_Joining_Group=-_MANICHAEAN_waw/a/}');
    Expect(1, 68295, '\p{Is_Joining_Group=manichaeanwaw}', "");
    Expect(0, 68295, '\p{^Is_Joining_Group=manichaeanwaw}', "");
    Expect(0, 68295, '\P{Is_Joining_Group=manichaeanwaw}', "");
    Expect(1, 68295, '\P{^Is_Joining_Group=manichaeanwaw}', "");
    Expect(0, 68296, '\p{Is_Joining_Group=manichaeanwaw}', "");
    Expect(1, 68296, '\p{^Is_Joining_Group=manichaeanwaw}', "");
    Expect(1, 68296, '\P{Is_Joining_Group=manichaeanwaw}', "");
    Expect(0, 68296, '\P{^Is_Joining_Group=manichaeanwaw}', "");
    Expect(1, 68295, '\p{Is_Joining_Group=MANICHAEAN_Waw}', "");
    Expect(0, 68295, '\p{^Is_Joining_Group=MANICHAEAN_Waw}', "");
    Expect(0, 68295, '\P{Is_Joining_Group=MANICHAEAN_Waw}', "");
    Expect(1, 68295, '\P{^Is_Joining_Group=MANICHAEAN_Waw}', "");
    Expect(0, 68296, '\p{Is_Joining_Group=MANICHAEAN_Waw}', "");
    Expect(1, 68296, '\p{^Is_Joining_Group=MANICHAEAN_Waw}', "");
    Expect(1, 68296, '\P{Is_Joining_Group=MANICHAEAN_Waw}', "");
    Expect(0, 68296, '\P{^Is_Joining_Group=MANICHAEAN_Waw}', "");
    Error('\p{Is_Jg= :=MANICHAEAN_waw}');
    Error('\P{Is_Jg= :=MANICHAEAN_waw}');
    Expect(1, 68295, '\p{Is_Jg=manichaeanwaw}', "");
    Expect(0, 68295, '\p{^Is_Jg=manichaeanwaw}', "");
    Expect(0, 68295, '\P{Is_Jg=manichaeanwaw}', "");
    Expect(1, 68295, '\P{^Is_Jg=manichaeanwaw}', "");
    Expect(0, 68296, '\p{Is_Jg=manichaeanwaw}', "");
    Expect(1, 68296, '\p{^Is_Jg=manichaeanwaw}', "");
    Expect(1, 68296, '\P{Is_Jg=manichaeanwaw}', "");
    Expect(0, 68296, '\P{^Is_Jg=manichaeanwaw}', "");
    Expect(1, 68295, '\p{Is_Jg=--MANICHAEAN_Waw}', "");
    Expect(0, 68295, '\p{^Is_Jg=--MANICHAEAN_Waw}', "");
    Expect(0, 68295, '\P{Is_Jg=--MANICHAEAN_Waw}', "");
    Expect(1, 68295, '\P{^Is_Jg=--MANICHAEAN_Waw}', "");
    Expect(0, 68296, '\p{Is_Jg=--MANICHAEAN_Waw}', "");
    Expect(1, 68296, '\p{^Is_Jg=--MANICHAEAN_Waw}', "");
    Expect(1, 68296, '\P{Is_Jg=--MANICHAEAN_Waw}', "");
    Expect(0, 68296, '\P{^Is_Jg=--MANICHAEAN_Waw}', "");
    Error('\p{Joining_Group=-Manichaean_Yodh:=}');
    Error('\P{Joining_Group=-Manichaean_Yodh:=}');
    Expect(1, 68303, '\p{Joining_Group=:\AManichaean_Yodh\z:}', "");;
    Expect(0, 68304, '\p{Joining_Group=:\AManichaean_Yodh\z:}', "");;
    Expect(1, 68303, '\p{Joining_Group=manichaeanyodh}', "");
    Expect(0, 68303, '\p{^Joining_Group=manichaeanyodh}', "");
    Expect(0, 68303, '\P{Joining_Group=manichaeanyodh}', "");
    Expect(1, 68303, '\P{^Joining_Group=manichaeanyodh}', "");
    Expect(0, 68304, '\p{Joining_Group=manichaeanyodh}', "");
    Expect(1, 68304, '\p{^Joining_Group=manichaeanyodh}', "");
    Expect(1, 68304, '\P{Joining_Group=manichaeanyodh}', "");
    Expect(0, 68304, '\P{^Joining_Group=manichaeanyodh}', "");
    Expect(1, 68303, '\p{Joining_Group=:\Amanichaeanyodh\z:}', "");;
    Expect(0, 68304, '\p{Joining_Group=:\Amanichaeanyodh\z:}', "");;
    Expect(1, 68303, '\p{Joining_Group=-Manichaean_Yodh}', "");
    Expect(0, 68303, '\p{^Joining_Group=-Manichaean_Yodh}', "");
    Expect(0, 68303, '\P{Joining_Group=-Manichaean_Yodh}', "");
    Expect(1, 68303, '\P{^Joining_Group=-Manichaean_Yodh}', "");
    Expect(0, 68304, '\p{Joining_Group=-Manichaean_Yodh}', "");
    Expect(1, 68304, '\p{^Joining_Group=-Manichaean_Yodh}', "");
    Expect(1, 68304, '\P{Joining_Group=-Manichaean_Yodh}', "");
    Expect(0, 68304, '\P{^Joining_Group=-Manichaean_Yodh}', "");
    Error('\p{Jg=-:=manichaean_Yodh}');
    Error('\P{Jg=-:=manichaean_Yodh}');
    Expect(1, 68303, '\p{Jg=:\AManichaean_Yodh\z:}', "");;
    Expect(0, 68304, '\p{Jg=:\AManichaean_Yodh\z:}', "");;
    Expect(1, 68303, '\p{Jg=manichaeanyodh}', "");
    Expect(0, 68303, '\p{^Jg=manichaeanyodh}', "");
    Expect(0, 68303, '\P{Jg=manichaeanyodh}', "");
    Expect(1, 68303, '\P{^Jg=manichaeanyodh}', "");
    Expect(0, 68304, '\p{Jg=manichaeanyodh}', "");
    Expect(1, 68304, '\p{^Jg=manichaeanyodh}', "");
    Expect(1, 68304, '\P{Jg=manichaeanyodh}', "");
    Expect(0, 68304, '\P{^Jg=manichaeanyodh}', "");
    Expect(1, 68303, '\p{Jg=:\Amanichaeanyodh\z:}', "");;
    Expect(0, 68304, '\p{Jg=:\Amanichaeanyodh\z:}', "");;
    Expect(1, 68303, '\p{Jg=	-Manichaean_Yodh}', "");
    Expect(0, 68303, '\p{^Jg=	-Manichaean_Yodh}', "");
    Expect(0, 68303, '\P{Jg=	-Manichaean_Yodh}', "");
    Expect(1, 68303, '\P{^Jg=	-Manichaean_Yodh}', "");
    Expect(0, 68304, '\p{Jg=	-Manichaean_Yodh}', "");
    Expect(1, 68304, '\p{^Jg=	-Manichaean_Yodh}', "");
    Expect(1, 68304, '\P{Jg=	-Manichaean_Yodh}', "");
    Expect(0, 68304, '\P{^Jg=	-Manichaean_Yodh}', "");
    Error('\p{Is_Joining_Group=/a/ _manichaean_yodh}');
    Error('\P{Is_Joining_Group=/a/ _manichaean_yodh}');
    Expect(1, 68303, '\p{Is_Joining_Group=manichaeanyodh}', "");
    Expect(0, 68303, '\p{^Is_Joining_Group=manichaeanyodh}', "");
    Expect(0, 68303, '\P{Is_Joining_Group=manichaeanyodh}', "");
    Expect(1, 68303, '\P{^Is_Joining_Group=manichaeanyodh}', "");
    Expect(0, 68304, '\p{Is_Joining_Group=manichaeanyodh}', "");
    Expect(1, 68304, '\p{^Is_Joining_Group=manichaeanyodh}', "");
    Expect(1, 68304, '\P{Is_Joining_Group=manichaeanyodh}', "");
    Expect(0, 68304, '\P{^Is_Joining_Group=manichaeanyodh}', "");
    Expect(1, 68303, '\p{Is_Joining_Group=_manichaean_YODH}', "");
    Expect(0, 68303, '\p{^Is_Joining_Group=_manichaean_YODH}', "");
    Expect(0, 68303, '\P{Is_Joining_Group=_manichaean_YODH}', "");
    Expect(1, 68303, '\P{^Is_Joining_Group=_manichaean_YODH}', "");
    Expect(0, 68304, '\p{Is_Joining_Group=_manichaean_YODH}', "");
    Expect(1, 68304, '\p{^Is_Joining_Group=_manichaean_YODH}', "");
    Expect(1, 68304, '\P{Is_Joining_Group=_manichaean_YODH}', "");
    Expect(0, 68304, '\P{^Is_Joining_Group=_manichaean_YODH}', "");
    Error('\p{Is_Jg=-_Manichaean_YODH/a/}');
    Error('\P{Is_Jg=-_Manichaean_YODH/a/}');
    Expect(1, 68303, '\p{Is_Jg=manichaeanyodh}', "");
    Expect(0, 68303, '\p{^Is_Jg=manichaeanyodh}', "");
    Expect(0, 68303, '\P{Is_Jg=manichaeanyodh}', "");
    Expect(1, 68303, '\P{^Is_Jg=manichaeanyodh}', "");
    Expect(0, 68304, '\p{Is_Jg=manichaeanyodh}', "");
    Expect(1, 68304, '\p{^Is_Jg=manichaeanyodh}', "");
    Expect(1, 68304, '\P{Is_Jg=manichaeanyodh}', "");
    Expect(0, 68304, '\P{^Is_Jg=manichaeanyodh}', "");
    Expect(1, 68303, '\p{Is_Jg= _MANICHAEAN_YODH}', "");
    Expect(0, 68303, '\p{^Is_Jg= _MANICHAEAN_YODH}', "");
    Expect(0, 68303, '\P{Is_Jg= _MANICHAEAN_YODH}', "");
    Expect(1, 68303, '\P{^Is_Jg= _MANICHAEAN_YODH}', "");
    Expect(0, 68304, '\p{Is_Jg= _MANICHAEAN_YODH}', "");
    Expect(1, 68304, '\p{^Is_Jg= _MANICHAEAN_YODH}', "");
    Expect(1, 68304, '\P{Is_Jg= _MANICHAEAN_YODH}', "");
    Expect(0, 68304, '\P{^Is_Jg= _MANICHAEAN_YODH}', "");
    Error('\p{Joining_Group=	/a/manichaean_zayin}');
    Error('\P{Joining_Group=	/a/manichaean_zayin}');
    Expect(1, 68298, '\p{Joining_Group=:\AManichaean_Zayin\z:}', "");;
    Expect(0, 68299, '\p{Joining_Group=:\AManichaean_Zayin\z:}', "");;
    Expect(1, 68298, '\p{Joining_Group=manichaeanzayin}', "");
    Expect(0, 68298, '\p{^Joining_Group=manichaeanzayin}', "");
    Expect(0, 68298, '\P{Joining_Group=manichaeanzayin}', "");
    Expect(1, 68298, '\P{^Joining_Group=manichaeanzayin}', "");
    Expect(0, 68299, '\p{Joining_Group=manichaeanzayin}', "");
    Expect(1, 68299, '\p{^Joining_Group=manichaeanzayin}', "");
    Expect(1, 68299, '\P{Joining_Group=manichaeanzayin}', "");
    Expect(0, 68299, '\P{^Joining_Group=manichaeanzayin}', "");
    Expect(1, 68298, '\p{Joining_Group=:\Amanichaeanzayin\z:}', "");;
    Expect(0, 68299, '\p{Joining_Group=:\Amanichaeanzayin\z:}', "");;
    Expect(1, 68298, '\p{Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Expect(0, 68298, '\p{^Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Expect(0, 68298, '\P{Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Expect(1, 68298, '\P{^Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Expect(0, 68299, '\p{Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Expect(1, 68299, '\p{^Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Expect(1, 68299, '\P{Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Expect(0, 68299, '\P{^Joining_Group= -MANICHAEAN_ZAYIN}', "");
    Error('\p{Jg=	 Manichaean_zayin/a/}');
    Error('\P{Jg=	 Manichaean_zayin/a/}');
    Expect(1, 68298, '\p{Jg=:\AManichaean_Zayin\z:}', "");;
    Expect(0, 68299, '\p{Jg=:\AManichaean_Zayin\z:}', "");;
    Expect(1, 68298, '\p{Jg=manichaeanzayin}', "");
    Expect(0, 68298, '\p{^Jg=manichaeanzayin}', "");
    Expect(0, 68298, '\P{Jg=manichaeanzayin}', "");
    Expect(1, 68298, '\P{^Jg=manichaeanzayin}', "");
    Expect(0, 68299, '\p{Jg=manichaeanzayin}', "");
    Expect(1, 68299, '\p{^Jg=manichaeanzayin}', "");
    Expect(1, 68299, '\P{Jg=manichaeanzayin}', "");
    Expect(0, 68299, '\P{^Jg=manichaeanzayin}', "");
    Expect(1, 68298, '\p{Jg=:\Amanichaeanzayin\z:}', "");;
    Expect(0, 68299, '\p{Jg=:\Amanichaeanzayin\z:}', "");;
    Expect(1, 68298, '\p{Jg= Manichaean_ZAYIN}', "");
    Expect(0, 68298, '\p{^Jg= Manichaean_ZAYIN}', "");
    Expect(0, 68298, '\P{Jg= Manichaean_ZAYIN}', "");
    Expect(1, 68298, '\P{^Jg= Manichaean_ZAYIN}', "");
    Expect(0, 68299, '\p{Jg= Manichaean_ZAYIN}', "");
    Expect(1, 68299, '\p{^Jg= Manichaean_ZAYIN}', "");
    Expect(1, 68299, '\P{Jg= Manichaean_ZAYIN}', "");
    Expect(0, 68299, '\P{^Jg= Manichaean_ZAYIN}', "");
    Error('\p{Is_Joining_Group=/a/MANICHAEAN_Zayin}');
    Error('\P{Is_Joining_Group=/a/MANICHAEAN_Zayin}');
    Expect(1, 68298, '\p{Is_Joining_Group=manichaeanzayin}', "");
    Expect(0, 68298, '\p{^Is_Joining_Group=manichaeanzayin}', "");
    Expect(0, 68298, '\P{Is_Joining_Group=manichaeanzayin}', "");
    Expect(1, 68298, '\P{^Is_Joining_Group=manichaeanzayin}', "");
    Expect(0, 68299, '\p{Is_Joining_Group=manichaeanzayin}', "");
    Expect(1, 68299, '\p{^Is_Joining_Group=manichaeanzayin}', "");
    Expect(1, 68299, '\P{Is_Joining_Group=manichaeanzayin}', "");
    Expect(0, 68299, '\P{^Is_Joining_Group=manichaeanzayin}', "");
    Expect(1, 68298, '\p{Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Expect(0, 68298, '\p{^Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Expect(0, 68298, '\P{Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Expect(1, 68298, '\P{^Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Expect(0, 68299, '\p{Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Expect(1, 68299, '\p{^Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Expect(1, 68299, '\P{Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Expect(0, 68299, '\P{^Is_Joining_Group=	MANICHAEAN_ZAYIN}', "");
    Error('\p{Is_Jg=-	manichaean_ZAYIN/a/}');
    Error('\P{Is_Jg=-	manichaean_ZAYIN/a/}');
    Expect(1, 68298, '\p{Is_Jg:   manichaeanzayin}', "");
    Expect(0, 68298, '\p{^Is_Jg:   manichaeanzayin}', "");
    Expect(0, 68298, '\P{Is_Jg:   manichaeanzayin}', "");
    Expect(1, 68298, '\P{^Is_Jg:   manichaeanzayin}', "");
    Expect(0, 68299, '\p{Is_Jg:   manichaeanzayin}', "");
    Expect(1, 68299, '\p{^Is_Jg:   manichaeanzayin}', "");
    Expect(1, 68299, '\P{Is_Jg:   manichaeanzayin}', "");
    Expect(0, 68299, '\P{^Is_Jg:   manichaeanzayin}', "");
    Expect(1, 68298, '\p{Is_Jg=  manichaean_Zayin}', "");
    Expect(0, 68298, '\p{^Is_Jg=  manichaean_Zayin}', "");
    Expect(0, 68298, '\P{Is_Jg=  manichaean_Zayin}', "");
    Expect(1, 68298, '\P{^Is_Jg=  manichaean_Zayin}', "");
    Expect(0, 68299, '\p{Is_Jg=  manichaean_Zayin}', "");
    Expect(1, 68299, '\p{^Is_Jg=  manichaean_Zayin}', "");
    Expect(1, 68299, '\P{Is_Jg=  manichaean_Zayin}', "");
    Expect(0, 68299, '\P{^Is_Jg=  manichaean_Zayin}', "");
    Error('\p{Joining_Group=_-Meem:=}');
    Error('\P{Joining_Group=_-Meem:=}');
    Expect(1, 2215, '\p{Joining_Group=:\AMeem\z:}', "");;
    Expect(0, 2216, '\p{Joining_Group=:\AMeem\z:}', "");;
    Expect(1, 2215, '\p{Joining_Group=meem}', "");
    Expect(0, 2215, '\p{^Joining_Group=meem}', "");
    Expect(0, 2215, '\P{Joining_Group=meem}', "");
    Expect(1, 2215, '\P{^Joining_Group=meem}', "");
    Expect(0, 2216, '\p{Joining_Group=meem}', "");
    Expect(1, 2216, '\p{^Joining_Group=meem}', "");
    Expect(1, 2216, '\P{Joining_Group=meem}', "");
    Expect(0, 2216, '\P{^Joining_Group=meem}', "");
    Expect(1, 2215, '\p{Joining_Group=:\Ameem\z:}', "");;
    Expect(0, 2216, '\p{Joining_Group=:\Ameem\z:}', "");;
    Expect(1, 2215, '\p{Joining_Group=_Meem}', "");
    Expect(0, 2215, '\p{^Joining_Group=_Meem}', "");
    Expect(0, 2215, '\P{Joining_Group=_Meem}', "");
    Expect(1, 2215, '\P{^Joining_Group=_Meem}', "");
    Expect(0, 2216, '\p{Joining_Group=_Meem}', "");
    Expect(1, 2216, '\p{^Joining_Group=_Meem}', "");
    Expect(1, 2216, '\P{Joining_Group=_Meem}', "");
    Expect(0, 2216, '\P{^Joining_Group=_Meem}', "");
    Error('\p{Jg=/a/ Meem}');
    Error('\P{Jg=/a/ Meem}');
    Expect(1, 2215, '\p{Jg=:\AMeem\z:}', "");;
    Expect(0, 2216, '\p{Jg=:\AMeem\z:}', "");;
    Expect(1, 2215, '\p{Jg=meem}', "");
    Expect(0, 2215, '\p{^Jg=meem}', "");
    Expect(0, 2215, '\P{Jg=meem}', "");
    Expect(1, 2215, '\P{^Jg=meem}', "");
    Expect(0, 2216, '\p{Jg=meem}', "");
    Expect(1, 2216, '\p{^Jg=meem}', "");
    Expect(1, 2216, '\P{Jg=meem}', "");
    Expect(0, 2216, '\P{^Jg=meem}', "");
    Expect(1, 2215, '\p{Jg=:\Ameem\z:}', "");;
    Expect(0, 2216, '\p{Jg=:\Ameem\z:}', "");;
    Expect(1, 2215, '\p{Jg=_ Meem}', "");
    Expect(0, 2215, '\p{^Jg=_ Meem}', "");
    Expect(0, 2215, '\P{Jg=_ Meem}', "");
    Expect(1, 2215, '\P{^Jg=_ Meem}', "");
    Expect(0, 2216, '\p{Jg=_ Meem}', "");
    Expect(1, 2216, '\p{^Jg=_ Meem}', "");
    Expect(1, 2216, '\P{Jg=_ Meem}', "");
    Expect(0, 2216, '\P{^Jg=_ Meem}', "");
    Error('\p{Is_Joining_Group: _Meem:=}');
    Error('\P{Is_Joining_Group: _Meem:=}');
    Expect(1, 2215, '\p{Is_Joining_Group=meem}', "");
    Expect(0, 2215, '\p{^Is_Joining_Group=meem}', "");
    Expect(0, 2215, '\P{Is_Joining_Group=meem}', "");
    Expect(1, 2215, '\P{^Is_Joining_Group=meem}', "");
    Expect(0, 2216, '\p{Is_Joining_Group=meem}', "");
    Expect(1, 2216, '\p{^Is_Joining_Group=meem}', "");
    Expect(1, 2216, '\P{Is_Joining_Group=meem}', "");
    Expect(0, 2216, '\P{^Is_Joining_Group=meem}', "");
    Expect(1, 2215, '\p{Is_Joining_Group: _Meem}', "");
    Expect(0, 2215, '\p{^Is_Joining_Group: _Meem}', "");
    Expect(0, 2215, '\P{Is_Joining_Group: _Meem}', "");
    Expect(1, 2215, '\P{^Is_Joining_Group: _Meem}', "");
    Expect(0, 2216, '\p{Is_Joining_Group: _Meem}', "");
    Expect(1, 2216, '\p{^Is_Joining_Group: _Meem}', "");
    Expect(1, 2216, '\P{Is_Joining_Group: _Meem}', "");
    Expect(0, 2216, '\P{^Is_Joining_Group: _Meem}', "");
    Error('\p{Is_Jg=--Meem/a/}');
    Error('\P{Is_Jg=--Meem/a/}');
    Expect(1, 2215, '\p{Is_Jg=meem}', "");
    Expect(0, 2215, '\p{^Is_Jg=meem}', "");
    Expect(0, 2215, '\P{Is_Jg=meem}', "");
    Expect(1, 2215, '\P{^Is_Jg=meem}', "");
    Expect(0, 2216, '\p{Is_Jg=meem}', "");
    Expect(1, 2216, '\p{^Is_Jg=meem}', "");
    Expect(1, 2216, '\P{Is_Jg=meem}', "");
    Expect(0, 2216, '\P{^Is_Jg=meem}', "");
    Expect(1, 2215, '\p{Is_Jg=	 Meem}', "");
    Expect(0, 2215, '\p{^Is_Jg=	 Meem}', "");
    Expect(0, 2215, '\P{Is_Jg=	 Meem}', "");
    Expect(1, 2215, '\P{^Is_Jg=	 Meem}', "");
    Expect(0, 2216, '\p{Is_Jg=	 Meem}', "");
    Expect(1, 2216, '\p{^Is_Jg=	 Meem}', "");
    Expect(1, 2216, '\P{Is_Jg=	 Meem}', "");
    Expect(0, 2216, '\P{^Is_Jg=	 Meem}', "");
    Error('\p{Joining_Group=-_mim/a/}');
    Error('\P{Joining_Group=-_mim/a/}');
    Expect(1, 1825, '\p{Joining_Group=:\AMim\z:}', "");;
    Expect(0, 1826, '\p{Joining_Group=:\AMim\z:}', "");;
    Expect(1, 1825, '\p{Joining_Group=mim}', "");
    Expect(0, 1825, '\p{^Joining_Group=mim}', "");
    Expect(0, 1825, '\P{Joining_Group=mim}', "");
    Expect(1, 1825, '\P{^Joining_Group=mim}', "");
    Expect(0, 1826, '\p{Joining_Group=mim}', "");
    Expect(1, 1826, '\p{^Joining_Group=mim}', "");
    Expect(1, 1826, '\P{Joining_Group=mim}', "");
    Expect(0, 1826, '\P{^Joining_Group=mim}', "");
    Expect(1, 1825, '\p{Joining_Group=:\Amim\z:}', "");;
    Expect(0, 1826, '\p{Joining_Group=:\Amim\z:}', "");;
    Expect(1, 1825, '\p{Joining_Group= mim}', "");
    Expect(0, 1825, '\p{^Joining_Group= mim}', "");
    Expect(0, 1825, '\P{Joining_Group= mim}', "");
    Expect(1, 1825, '\P{^Joining_Group= mim}', "");
    Expect(0, 1826, '\p{Joining_Group= mim}', "");
    Expect(1, 1826, '\p{^Joining_Group= mim}', "");
    Expect(1, 1826, '\P{Joining_Group= mim}', "");
    Expect(0, 1826, '\P{^Joining_Group= mim}', "");
    Error('\p{Jg= :=MIM}');
    Error('\P{Jg= :=MIM}');
    Expect(1, 1825, '\p{Jg=:\AMim\z:}', "");;
    Expect(0, 1826, '\p{Jg=:\AMim\z:}', "");;
    Expect(1, 1825, '\p{Jg=mim}', "");
    Expect(0, 1825, '\p{^Jg=mim}', "");
    Expect(0, 1825, '\P{Jg=mim}', "");
    Expect(1, 1825, '\P{^Jg=mim}', "");
    Expect(0, 1826, '\p{Jg=mim}', "");
    Expect(1, 1826, '\p{^Jg=mim}', "");
    Expect(1, 1826, '\P{Jg=mim}', "");
    Expect(0, 1826, '\P{^Jg=mim}', "");
    Expect(1, 1825, '\p{Jg=:\Amim\z:}', "");;
    Expect(0, 1826, '\p{Jg=:\Amim\z:}', "");;
    Expect(1, 1825, '\p{Jg=_ Mim}', "");
    Expect(0, 1825, '\p{^Jg=_ Mim}', "");
    Expect(0, 1825, '\P{Jg=_ Mim}', "");
    Expect(1, 1825, '\P{^Jg=_ Mim}', "");
    Expect(0, 1826, '\p{Jg=_ Mim}', "");
    Expect(1, 1826, '\p{^Jg=_ Mim}', "");
    Expect(1, 1826, '\P{Jg=_ Mim}', "");
    Expect(0, 1826, '\P{^Jg=_ Mim}', "");
    Error('\p{Is_Joining_Group= /a/Mim}');
    Error('\P{Is_Joining_Group= /a/Mim}');
    Expect(1, 1825, '\p{Is_Joining_Group=mim}', "");
    Expect(0, 1825, '\p{^Is_Joining_Group=mim}', "");
    Expect(0, 1825, '\P{Is_Joining_Group=mim}', "");
    Expect(1, 1825, '\P{^Is_Joining_Group=mim}', "");
    Expect(0, 1826, '\p{Is_Joining_Group=mim}', "");
    Expect(1, 1826, '\p{^Is_Joining_Group=mim}', "");
    Expect(1, 1826, '\P{Is_Joining_Group=mim}', "");
    Expect(0, 1826, '\P{^Is_Joining_Group=mim}', "");
    Expect(1, 1825, '\p{Is_Joining_Group=	-mim}', "");
    Expect(0, 1825, '\p{^Is_Joining_Group=	-mim}', "");
    Expect(0, 1825, '\P{Is_Joining_Group=	-mim}', "");
    Expect(1, 1825, '\P{^Is_Joining_Group=	-mim}', "");
    Expect(0, 1826, '\p{Is_Joining_Group=	-mim}', "");
    Expect(1, 1826, '\p{^Is_Joining_Group=	-mim}', "");
    Expect(1, 1826, '\P{Is_Joining_Group=	-mim}', "");
    Expect(0, 1826, '\P{^Is_Joining_Group=	-mim}', "");
    Error('\p{Is_Jg=	Mim/a/}');
    Error('\P{Is_Jg=	Mim/a/}');
    Expect(1, 1825, '\p{Is_Jg=mim}', "");
    Expect(0, 1825, '\p{^Is_Jg=mim}', "");
    Expect(0, 1825, '\P{Is_Jg=mim}', "");
    Expect(1, 1825, '\P{^Is_Jg=mim}', "");
    Expect(0, 1826, '\p{Is_Jg=mim}', "");
    Expect(1, 1826, '\p{^Is_Jg=mim}', "");
    Expect(1, 1826, '\P{Is_Jg=mim}', "");
    Expect(0, 1826, '\P{^Is_Jg=mim}', "");
    Expect(1, 1825, '\p{Is_Jg=Mim}', "");
    Expect(0, 1825, '\p{^Is_Jg=Mim}', "");
    Expect(0, 1825, '\P{Is_Jg=Mim}', "");
    Expect(1, 1825, '\P{^Is_Jg=Mim}', "");
    Expect(0, 1826, '\p{Is_Jg=Mim}', "");
    Expect(1, 1826, '\p{^Is_Jg=Mim}', "");
    Expect(1, 1826, '\P{Is_Jg=Mim}', "");
    Expect(0, 1826, '\P{^Is_Jg=Mim}', "");
    Error('\p{Joining_Group=	no_joining_group:=}');
    Error('\P{Joining_Group=	no_joining_group:=}');
    Expect(1, 68900, '\p{Joining_Group=:\ANo_Joining_Group\z:}', "");;
    Expect(0, 68899, '\p{Joining_Group=:\ANo_Joining_Group\z:}', "");;
    Expect(1, 68900, '\p{Joining_Group=nojoininggroup}', "");
    Expect(0, 68900, '\p{^Joining_Group=nojoininggroup}', "");
    Expect(0, 68900, '\P{Joining_Group=nojoininggroup}', "");
    Expect(1, 68900, '\P{^Joining_Group=nojoininggroup}', "");
    Expect(0, 68899, '\p{Joining_Group=nojoininggroup}', "");
    Expect(1, 68899, '\p{^Joining_Group=nojoininggroup}', "");
    Expect(1, 68899, '\P{Joining_Group=nojoininggroup}', "");
    Expect(0, 68899, '\P{^Joining_Group=nojoininggroup}', "");
    Expect(1, 68900, '\p{Joining_Group=:\Anojoininggroup\z:}', "");;
    Expect(0, 68899, '\p{Joining_Group=:\Anojoininggroup\z:}', "");;
    Expect(1, 68900, '\p{Joining_Group:		 No_joining_Group}', "");
    Expect(0, 68900, '\p{^Joining_Group:		 No_joining_Group}', "");
    Expect(0, 68900, '\P{Joining_Group:		 No_joining_Group}', "");
    Expect(1, 68900, '\P{^Joining_Group:		 No_joining_Group}', "");
    Expect(0, 68899, '\p{Joining_Group:		 No_joining_Group}', "");
    Expect(1, 68899, '\p{^Joining_Group:		 No_joining_Group}', "");
    Expect(1, 68899, '\P{Joining_Group:		 No_joining_Group}', "");
    Expect(0, 68899, '\P{^Joining_Group:		 No_joining_Group}', "");
    Error('\p{Jg=:=-_No_Joining_GROUP}');
    Error('\P{Jg=:=-_No_Joining_GROUP}');
    Expect(1, 68900, '\p{Jg=:\ANo_Joining_Group\z:}', "");;
    Expect(0, 68899, '\p{Jg=:\ANo_Joining_Group\z:}', "");;
    Expect(1, 68900, '\p{Jg=nojoininggroup}', "");
    Expect(0, 68900, '\p{^Jg=nojoininggroup}', "");
    Expect(0, 68900, '\P{Jg=nojoininggroup}', "");
    Expect(1, 68900, '\P{^Jg=nojoininggroup}', "");
    Expect(0, 68899, '\p{Jg=nojoininggroup}', "");
    Expect(1, 68899, '\p{^Jg=nojoininggroup}', "");
    Expect(1, 68899, '\P{Jg=nojoininggroup}', "");
    Expect(0, 68899, '\P{^Jg=nojoininggroup}', "");
    Expect(1, 68900, '\p{Jg=:\Anojoininggroup\z:}', "");;
    Expect(0, 68899, '\p{Jg=:\Anojoininggroup\z:}', "");;
    Expect(1, 68900, '\p{Jg=		NO_Joining_Group}', "");
    Expect(0, 68900, '\p{^Jg=		NO_Joining_Group}', "");
    Expect(0, 68900, '\P{Jg=		NO_Joining_Group}', "");
    Expect(1, 68900, '\P{^Jg=		NO_Joining_Group}', "");
    Expect(0, 68899, '\p{Jg=		NO_Joining_Group}', "");
    Expect(1, 68899, '\p{^Jg=		NO_Joining_Group}', "");
    Expect(1, 68899, '\P{Jg=		NO_Joining_Group}', "");
    Expect(0, 68899, '\P{^Jg=		NO_Joining_Group}', "");
    Error('\p{Is_Joining_Group=/a/_no_Joining_group}');
    Error('\P{Is_Joining_Group=/a/_no_Joining_group}');
    Expect(1, 68900, '\p{Is_Joining_Group=nojoininggroup}', "");
    Expect(0, 68900, '\p{^Is_Joining_Group=nojoininggroup}', "");
    Expect(0, 68900, '\P{Is_Joining_Group=nojoininggroup}', "");
    Expect(1, 68900, '\P{^Is_Joining_Group=nojoininggroup}', "");
    Expect(0, 68899, '\p{Is_Joining_Group=nojoininggroup}', "");
    Expect(1, 68899, '\p{^Is_Joining_Group=nojoininggroup}', "");
    Expect(1, 68899, '\P{Is_Joining_Group=nojoininggroup}', "");
    Expect(0, 68899, '\P{^Is_Joining_Group=nojoininggroup}', "");
    Expect(1, 68900, '\p{Is_Joining_Group:   	_no_Joining_Group}', "");
    Expect(0, 68900, '\p{^Is_Joining_Group:   	_no_Joining_Group}', "");
    Expect(0, 68900, '\P{Is_Joining_Group:   	_no_Joining_Group}', "");
    Expect(1, 68900, '\P{^Is_Joining_Group:   	_no_Joining_Group}', "");
    Expect(0, 68899, '\p{Is_Joining_Group:   	_no_Joining_Group}', "");
    Expect(1, 68899, '\p{^Is_Joining_Group:   	_no_Joining_Group}', "");
    Expect(1, 68899, '\P{Is_Joining_Group:   	_no_Joining_Group}', "");
    Expect(0, 68899, '\P{^Is_Joining_Group:   	_no_Joining_Group}', "");
    Error('\p{Is_Jg=:=--No_JOINING_Group}');
    Error('\P{Is_Jg=:=--No_JOINING_Group}');
    Expect(1, 68900, '\p{Is_Jg=nojoininggroup}', "");
    Expect(0, 68900, '\p{^Is_Jg=nojoininggroup}', "");
    Expect(0, 68900, '\P{Is_Jg=nojoininggroup}', "");
    Expect(1, 68900, '\P{^Is_Jg=nojoininggroup}', "");
    Expect(0, 68899, '\p{Is_Jg=nojoininggroup}', "");
    Expect(1, 68899, '\p{^Is_Jg=nojoininggroup}', "");
    Expect(1, 68899, '\P{Is_Jg=nojoininggroup}', "");
    Expect(0, 68899, '\P{^Is_Jg=nojoininggroup}', "");
    Expect(1, 68900, '\p{Is_Jg=--NO_JOINING_GROUP}', "");
    Expect(0, 68900, '\p{^Is_Jg=--NO_JOINING_GROUP}', "");
    Expect(0, 68900, '\P{Is_Jg=--NO_JOINING_GROUP}', "");
    Expect(1, 68900, '\P{^Is_Jg=--NO_JOINING_GROUP}', "");
    Expect(0, 68899, '\p{Is_Jg=--NO_JOINING_GROUP}', "");
    Expect(1, 68899, '\p{^Is_Jg=--NO_JOINING_GROUP}', "");
    Expect(1, 68899, '\P{Is_Jg=--NO_JOINING_GROUP}', "");
    Expect(0, 68899, '\P{^Is_Jg=--NO_JOINING_GROUP}', "");
    Error('\p{Joining_Group=:=	_noon}');
    Error('\P{Joining_Group=:=	_noon}');
    Expect(1, 2185, '\p{Joining_Group=:\ANoon\z:}', "");;
    Expect(0, 2186, '\p{Joining_Group=:\ANoon\z:}', "");;
    Expect(1, 2185, '\p{Joining_Group=noon}', "");
    Expect(0, 2185, '\p{^Joining_Group=noon}', "");
    Expect(0, 2185, '\P{Joining_Group=noon}', "");
    Expect(1, 2185, '\P{^Joining_Group=noon}', "");
    Expect(0, 2186, '\p{Joining_Group=noon}', "");
    Expect(1, 2186, '\p{^Joining_Group=noon}', "");
    Expect(1, 2186, '\P{Joining_Group=noon}', "");
    Expect(0, 2186, '\P{^Joining_Group=noon}', "");
    Expect(1, 2185, '\p{Joining_Group=:\Anoon\z:}', "");;
    Expect(0, 2186, '\p{Joining_Group=:\Anoon\z:}', "");;
    Expect(1, 2185, '\p{Joining_Group= _noon}', "");
    Expect(0, 2185, '\p{^Joining_Group= _noon}', "");
    Expect(0, 2185, '\P{Joining_Group= _noon}', "");
    Expect(1, 2185, '\P{^Joining_Group= _noon}', "");
    Expect(0, 2186, '\p{Joining_Group= _noon}', "");
    Expect(1, 2186, '\p{^Joining_Group= _noon}', "");
    Expect(1, 2186, '\P{Joining_Group= _noon}', "");
    Expect(0, 2186, '\P{^Joining_Group= _noon}', "");
    Error('\p{Jg=/a/		Noon}');
    Error('\P{Jg=/a/		Noon}');
    Expect(1, 2185, '\p{Jg=:\ANoon\z:}', "");;
    Expect(0, 2186, '\p{Jg=:\ANoon\z:}', "");;
    Expect(1, 2185, '\p{Jg=noon}', "");
    Expect(0, 2185, '\p{^Jg=noon}', "");
    Expect(0, 2185, '\P{Jg=noon}', "");
    Expect(1, 2185, '\P{^Jg=noon}', "");
    Expect(0, 2186, '\p{Jg=noon}', "");
    Expect(1, 2186, '\p{^Jg=noon}', "");
    Expect(1, 2186, '\P{Jg=noon}', "");
    Expect(0, 2186, '\P{^Jg=noon}', "");
    Expect(1, 2185, '\p{Jg=:\Anoon\z:}', "");;
    Expect(0, 2186, '\p{Jg=:\Anoon\z:}', "");;
    Expect(1, 2185, '\p{Jg=--Noon}', "");
    Expect(0, 2185, '\p{^Jg=--Noon}', "");
    Expect(0, 2185, '\P{Jg=--Noon}', "");
    Expect(1, 2185, '\P{^Jg=--Noon}', "");
    Expect(0, 2186, '\p{Jg=--Noon}', "");
    Expect(1, 2186, '\p{^Jg=--Noon}', "");
    Expect(1, 2186, '\P{Jg=--Noon}', "");
    Expect(0, 2186, '\P{^Jg=--Noon}', "");
    Error('\p{Is_Joining_Group=/a/Noon}');
    Error('\P{Is_Joining_Group=/a/Noon}');
    Expect(1, 2185, '\p{Is_Joining_Group=noon}', "");
    Expect(0, 2185, '\p{^Is_Joining_Group=noon}', "");
    Expect(0, 2185, '\P{Is_Joining_Group=noon}', "");
    Expect(1, 2185, '\P{^Is_Joining_Group=noon}', "");
    Expect(0, 2186, '\p{Is_Joining_Group=noon}', "");
    Expect(1, 2186, '\p{^Is_Joining_Group=noon}', "");
    Expect(1, 2186, '\P{Is_Joining_Group=noon}', "");
    Expect(0, 2186, '\P{^Is_Joining_Group=noon}', "");
    Expect(1, 2185, '\p{Is_Joining_Group: -	Noon}', "");
    Expect(0, 2185, '\p{^Is_Joining_Group: -	Noon}', "");
    Expect(0, 2185, '\P{Is_Joining_Group: -	Noon}', "");
    Expect(1, 2185, '\P{^Is_Joining_Group: -	Noon}', "");
    Expect(0, 2186, '\p{Is_Joining_Group: -	Noon}', "");
    Expect(1, 2186, '\p{^Is_Joining_Group: -	Noon}', "");
    Expect(1, 2186, '\P{Is_Joining_Group: -	Noon}', "");
    Expect(0, 2186, '\P{^Is_Joining_Group: -	Noon}', "");
    Error('\p{Is_Jg=/a/NOON}');
    Error('\P{Is_Jg=/a/NOON}');
    Expect(1, 2185, '\p{Is_Jg=noon}', "");
    Expect(0, 2185, '\p{^Is_Jg=noon}', "");
    Expect(0, 2185, '\P{Is_Jg=noon}', "");
    Expect(1, 2185, '\P{^Is_Jg=noon}', "");
    Expect(0, 2186, '\p{Is_Jg=noon}', "");
    Expect(1, 2186, '\p{^Is_Jg=noon}', "");
    Expect(1, 2186, '\P{Is_Jg=noon}', "");
    Expect(0, 2186, '\P{^Is_Jg=noon}', "");
    Expect(1, 2185, '\p{Is_Jg=__Noon}', "");
    Expect(0, 2185, '\p{^Is_Jg=__Noon}', "");
    Expect(0, 2185, '\P{Is_Jg=__Noon}', "");
    Expect(1, 2185, '\P{^Is_Jg=__Noon}', "");
    Expect(0, 2186, '\p{Is_Jg=__Noon}', "");
    Expect(1, 2186, '\p{^Is_Jg=__Noon}', "");
    Expect(1, 2186, '\P{Is_Jg=__Noon}', "");
    Expect(0, 2186, '\P{^Is_Jg=__Noon}', "");
    Error('\p{Joining_Group=	_NUN:=}');
    Error('\P{Joining_Group=	_NUN:=}');
    Expect(1, 1826, '\p{Joining_Group=:\ANun\z:}', "");;
    Expect(0, 1827, '\p{Joining_Group=:\ANun\z:}', "");;
    Expect(1, 1826, '\p{Joining_Group=nun}', "");
    Expect(0, 1826, '\p{^Joining_Group=nun}', "");
    Expect(0, 1826, '\P{Joining_Group=nun}', "");
    Expect(1, 1826, '\P{^Joining_Group=nun}', "");
    Expect(0, 1827, '\p{Joining_Group=nun}', "");
    Expect(1, 1827, '\p{^Joining_Group=nun}', "");
    Expect(1, 1827, '\P{Joining_Group=nun}', "");
    Expect(0, 1827, '\P{^Joining_Group=nun}', "");
    Expect(1, 1826, '\p{Joining_Group=:\Anun\z:}', "");;
    Expect(0, 1827, '\p{Joining_Group=:\Anun\z:}', "");;
    Expect(1, 1826, '\p{Joining_Group= NUN}', "");
    Expect(0, 1826, '\p{^Joining_Group= NUN}', "");
    Expect(0, 1826, '\P{Joining_Group= NUN}', "");
    Expect(1, 1826, '\P{^Joining_Group= NUN}', "");
    Expect(0, 1827, '\p{Joining_Group= NUN}', "");
    Expect(1, 1827, '\p{^Joining_Group= NUN}', "");
    Expect(1, 1827, '\P{Joining_Group= NUN}', "");
    Expect(0, 1827, '\P{^Joining_Group= NUN}', "");
    Error('\p{Jg=-:=Nun}');
    Error('\P{Jg=-:=Nun}');
    Expect(1, 1826, '\p{Jg=:\ANun\z:}', "");;
    Expect(0, 1827, '\p{Jg=:\ANun\z:}', "");;
    Expect(1, 1826, '\p{Jg:nun}', "");
    Expect(0, 1826, '\p{^Jg:nun}', "");
    Expect(0, 1826, '\P{Jg:nun}', "");
    Expect(1, 1826, '\P{^Jg:nun}', "");
    Expect(0, 1827, '\p{Jg:nun}', "");
    Expect(1, 1827, '\p{^Jg:nun}', "");
    Expect(1, 1827, '\P{Jg:nun}', "");
    Expect(0, 1827, '\P{^Jg:nun}', "");
    Expect(1, 1826, '\p{Jg=:\Anun\z:}', "");;
    Expect(0, 1827, '\p{Jg=:\Anun\z:}', "");;
    Expect(1, 1826, '\p{Jg=	-Nun}', "");
    Expect(0, 1826, '\p{^Jg=	-Nun}', "");
    Expect(0, 1826, '\P{Jg=	-Nun}', "");
    Expect(1, 1826, '\P{^Jg=	-Nun}', "");
    Expect(0, 1827, '\p{Jg=	-Nun}', "");
    Expect(1, 1827, '\p{^Jg=	-Nun}', "");
    Expect(1, 1827, '\P{Jg=	-Nun}', "");
    Expect(0, 1827, '\P{^Jg=	-Nun}', "");
    Error('\p{Is_Joining_Group=:= 	NUN}');
    Error('\P{Is_Joining_Group=:= 	NUN}');
    Expect(1, 1826, '\p{Is_Joining_Group=nun}', "");
    Expect(0, 1826, '\p{^Is_Joining_Group=nun}', "");
    Expect(0, 1826, '\P{Is_Joining_Group=nun}', "");
    Expect(1, 1826, '\P{^Is_Joining_Group=nun}', "");
    Expect(0, 1827, '\p{Is_Joining_Group=nun}', "");
    Expect(1, 1827, '\p{^Is_Joining_Group=nun}', "");
    Expect(1, 1827, '\P{Is_Joining_Group=nun}', "");
    Expect(0, 1827, '\P{^Is_Joining_Group=nun}', "");
    Expect(1, 1826, '\p{Is_Joining_Group=-	Nun}', "");
    Expect(0, 1826, '\p{^Is_Joining_Group=-	Nun}', "");
    Expect(0, 1826, '\P{Is_Joining_Group=-	Nun}', "");
    Expect(1, 1826, '\P{^Is_Joining_Group=-	Nun}', "");
    Expect(0, 1827, '\p{Is_Joining_Group=-	Nun}', "");
    Expect(1, 1827, '\p{^Is_Joining_Group=-	Nun}', "");
    Expect(1, 1827, '\P{Is_Joining_Group=-	Nun}', "");
    Expect(0, 1827, '\P{^Is_Joining_Group=-	Nun}', "");
    Error('\p{Is_Jg=  nun/a/}');
    Error('\P{Is_Jg=  nun/a/}');
    Expect(1, 1826, '\p{Is_Jg=nun}', "");
    Expect(0, 1826, '\p{^Is_Jg=nun}', "");
    Expect(0, 1826, '\P{Is_Jg=nun}', "");
    Expect(1, 1826, '\P{^Is_Jg=nun}', "");
    Expect(0, 1827, '\p{Is_Jg=nun}', "");
    Expect(1, 1827, '\p{^Is_Jg=nun}', "");
    Expect(1, 1827, '\P{Is_Jg=nun}', "");
    Expect(0, 1827, '\P{^Is_Jg=nun}', "");
    Expect(1, 1826, '\p{Is_Jg=-Nun}', "");
    Expect(0, 1826, '\p{^Is_Jg=-Nun}', "");
    Expect(0, 1826, '\P{Is_Jg=-Nun}', "");
    Expect(1, 1826, '\P{^Is_Jg=-Nun}', "");
    Expect(0, 1827, '\p{Is_Jg=-Nun}', "");
    Expect(1, 1827, '\p{^Is_Jg=-Nun}', "");
    Expect(1, 1827, '\P{Is_Jg=-Nun}', "");
    Expect(0, 1827, '\P{^Is_Jg=-Nun}', "");
    Error('\p{Joining_Group=_:=nya}');
    Error('\P{Joining_Group=_:=nya}');
    Expect(1, 1725, '\p{Joining_Group=:\ANya\z:}', "");;
    Expect(0, 1726, '\p{Joining_Group=:\ANya\z:}', "");;
    Expect(1, 1725, '\p{Joining_Group: nya}', "");
    Expect(0, 1725, '\p{^Joining_Group: nya}', "");
    Expect(0, 1725, '\P{Joining_Group: nya}', "");
    Expect(1, 1725, '\P{^Joining_Group: nya}', "");
    Expect(0, 1726, '\p{Joining_Group: nya}', "");
    Expect(1, 1726, '\p{^Joining_Group: nya}', "");
    Expect(1, 1726, '\P{Joining_Group: nya}', "");
    Expect(0, 1726, '\P{^Joining_Group: nya}', "");
    Expect(1, 1725, '\p{Joining_Group=:\Anya\z:}', "");;
    Expect(0, 1726, '\p{Joining_Group=:\Anya\z:}', "");;
    Expect(1, 1725, '\p{Joining_Group=__nya}', "");
    Expect(0, 1725, '\p{^Joining_Group=__nya}', "");
    Expect(0, 1725, '\P{Joining_Group=__nya}', "");
    Expect(1, 1725, '\P{^Joining_Group=__nya}', "");
    Expect(0, 1726, '\p{Joining_Group=__nya}', "");
    Expect(1, 1726, '\p{^Joining_Group=__nya}', "");
    Expect(1, 1726, '\P{Joining_Group=__nya}', "");
    Expect(0, 1726, '\P{^Joining_Group=__nya}', "");
    Error('\p{Jg=:=Nya}');
    Error('\P{Jg=:=Nya}');
    Expect(1, 1725, '\p{Jg=:\ANya\z:}', "");;
    Expect(0, 1726, '\p{Jg=:\ANya\z:}', "");;
    Expect(1, 1725, '\p{Jg=nya}', "");
    Expect(0, 1725, '\p{^Jg=nya}', "");
    Expect(0, 1725, '\P{Jg=nya}', "");
    Expect(1, 1725, '\P{^Jg=nya}', "");
    Expect(0, 1726, '\p{Jg=nya}', "");
    Expect(1, 1726, '\p{^Jg=nya}', "");
    Expect(1, 1726, '\P{Jg=nya}', "");
    Expect(0, 1726, '\P{^Jg=nya}', "");
    Expect(1, 1725, '\p{Jg=:\Anya\z:}', "");;
    Expect(0, 1726, '\p{Jg=:\Anya\z:}', "");;
    Expect(1, 1725, '\p{Jg=- Nya}', "");
    Expect(0, 1725, '\p{^Jg=- Nya}', "");
    Expect(0, 1725, '\P{Jg=- Nya}', "");
    Expect(1, 1725, '\P{^Jg=- Nya}', "");
    Expect(0, 1726, '\p{Jg=- Nya}', "");
    Expect(1, 1726, '\p{^Jg=- Nya}', "");
    Expect(1, 1726, '\P{Jg=- Nya}', "");
    Expect(0, 1726, '\P{^Jg=- Nya}', "");
    Error('\p{Is_Joining_Group= /a/Nya}');
    Error('\P{Is_Joining_Group= /a/Nya}');
    Expect(1, 1725, '\p{Is_Joining_Group: nya}', "");
    Expect(0, 1725, '\p{^Is_Joining_Group: nya}', "");
    Expect(0, 1725, '\P{Is_Joining_Group: nya}', "");
    Expect(1, 1725, '\P{^Is_Joining_Group: nya}', "");
    Expect(0, 1726, '\p{Is_Joining_Group: nya}', "");
    Expect(1, 1726, '\p{^Is_Joining_Group: nya}', "");
    Expect(1, 1726, '\P{Is_Joining_Group: nya}', "");
    Expect(0, 1726, '\P{^Is_Joining_Group: nya}', "");
    Expect(1, 1725, '\p{Is_Joining_Group= _nya}', "");
    Expect(0, 1725, '\p{^Is_Joining_Group= _nya}', "");
    Expect(0, 1725, '\P{Is_Joining_Group= _nya}', "");
    Expect(1, 1725, '\P{^Is_Joining_Group= _nya}', "");
    Expect(0, 1726, '\p{Is_Joining_Group= _nya}', "");
    Expect(1, 1726, '\p{^Is_Joining_Group= _nya}', "");
    Expect(1, 1726, '\P{Is_Joining_Group= _nya}', "");
    Expect(0, 1726, '\P{^Is_Joining_Group= _nya}', "");
    Error('\p{Is_Jg=/a/_-Nya}');
    Error('\P{Is_Jg=/a/_-Nya}');
    Expect(1, 1725, '\p{Is_Jg=nya}', "");
    Expect(0, 1725, '\p{^Is_Jg=nya}', "");
    Expect(0, 1725, '\P{Is_Jg=nya}', "");
    Expect(1, 1725, '\P{^Is_Jg=nya}', "");
    Expect(0, 1726, '\p{Is_Jg=nya}', "");
    Expect(1, 1726, '\p{^Is_Jg=nya}', "");
    Expect(1, 1726, '\P{Is_Jg=nya}', "");
    Expect(0, 1726, '\P{^Is_Jg=nya}', "");
    Expect(1, 1725, '\p{Is_Jg:- Nya}', "");
    Expect(0, 1725, '\p{^Is_Jg:- Nya}', "");
    Expect(0, 1725, '\P{Is_Jg:- Nya}', "");
    Expect(1, 1725, '\P{^Is_Jg:- Nya}', "");
    Expect(0, 1726, '\p{Is_Jg:- Nya}', "");
    Expect(1, 1726, '\p{^Is_Jg:- Nya}', "");
    Expect(1, 1726, '\P{Is_Jg:- Nya}', "");
    Expect(0, 1726, '\P{^Is_Jg:- Nya}', "");
    Error('\p{Joining_Group=/a/Pe}');
    Error('\P{Joining_Group=/a/Pe}');
    Expect(1, 1830, '\p{Joining_Group=:\APe\z:}', "");;
    Expect(0, 1831, '\p{Joining_Group=:\APe\z:}', "");;
    Expect(1, 1830, '\p{Joining_Group=pe}', "");
    Expect(0, 1830, '\p{^Joining_Group=pe}', "");
    Expect(0, 1830, '\P{Joining_Group=pe}', "");
    Expect(1, 1830, '\P{^Joining_Group=pe}', "");
    Expect(0, 1831, '\p{Joining_Group=pe}', "");
    Expect(1, 1831, '\p{^Joining_Group=pe}', "");
    Expect(1, 1831, '\P{Joining_Group=pe}', "");
    Expect(0, 1831, '\P{^Joining_Group=pe}', "");
    Expect(1, 1830, '\p{Joining_Group=:\Ape\z:}', "");;
    Expect(0, 1831, '\p{Joining_Group=:\Ape\z:}', "");;
    Expect(1, 1830, '\p{Joining_Group=	-pe}', "");
    Expect(0, 1830, '\p{^Joining_Group=	-pe}', "");
    Expect(0, 1830, '\P{Joining_Group=	-pe}', "");
    Expect(1, 1830, '\P{^Joining_Group=	-pe}', "");
    Expect(0, 1831, '\p{Joining_Group=	-pe}', "");
    Expect(1, 1831, '\p{^Joining_Group=	-pe}', "");
    Expect(1, 1831, '\P{Joining_Group=	-pe}', "");
    Expect(0, 1831, '\P{^Joining_Group=	-pe}', "");
    Error('\p{Jg=-pe/a/}');
    Error('\P{Jg=-pe/a/}');
    Expect(1, 1830, '\p{Jg=:\APe\z:}', "");;
    Expect(0, 1831, '\p{Jg=:\APe\z:}', "");;
    Expect(1, 1830, '\p{Jg=pe}', "");
    Expect(0, 1830, '\p{^Jg=pe}', "");
    Expect(0, 1830, '\P{Jg=pe}', "");
    Expect(1, 1830, '\P{^Jg=pe}', "");
    Expect(0, 1831, '\p{Jg=pe}', "");
    Expect(1, 1831, '\p{^Jg=pe}', "");
    Expect(1, 1831, '\P{Jg=pe}', "");
    Expect(0, 1831, '\P{^Jg=pe}', "");
    Expect(1, 1830, '\p{Jg=:\Ape\z:}', "");;
    Expect(0, 1831, '\p{Jg=:\Ape\z:}', "");;
    Expect(1, 1830, '\p{Jg=_ Pe}', "");
    Expect(0, 1830, '\p{^Jg=_ Pe}', "");
    Expect(0, 1830, '\P{Jg=_ Pe}', "");
    Expect(1, 1830, '\P{^Jg=_ Pe}', "");
    Expect(0, 1831, '\p{Jg=_ Pe}', "");
    Expect(1, 1831, '\p{^Jg=_ Pe}', "");
    Expect(1, 1831, '\P{Jg=_ Pe}', "");
    Expect(0, 1831, '\P{^Jg=_ Pe}', "");
    Error('\p{Is_Joining_Group: /a/PE}');
    Error('\P{Is_Joining_Group: /a/PE}');
    Expect(1, 1830, '\p{Is_Joining_Group=pe}', "");
    Expect(0, 1830, '\p{^Is_Joining_Group=pe}', "");
    Expect(0, 1830, '\P{Is_Joining_Group=pe}', "");
    Expect(1, 1830, '\P{^Is_Joining_Group=pe}', "");
    Expect(0, 1831, '\p{Is_Joining_Group=pe}', "");
    Expect(1, 1831, '\p{^Is_Joining_Group=pe}', "");
    Expect(1, 1831, '\P{Is_Joining_Group=pe}', "");
    Expect(0, 1831, '\P{^Is_Joining_Group=pe}', "");
    Expect(1, 1830, '\p{Is_Joining_Group=	Pe}', "");
    Expect(0, 1830, '\p{^Is_Joining_Group=	Pe}', "");
    Expect(0, 1830, '\P{Is_Joining_Group=	Pe}', "");
    Expect(1, 1830, '\P{^Is_Joining_Group=	Pe}', "");
    Expect(0, 1831, '\p{Is_Joining_Group=	Pe}', "");
    Expect(1, 1831, '\p{^Is_Joining_Group=	Pe}', "");
    Expect(1, 1831, '\P{Is_Joining_Group=	Pe}', "");
    Expect(0, 1831, '\P{^Is_Joining_Group=	Pe}', "");
    Error('\p{Is_Jg=:=_-Pe}');
    Error('\P{Is_Jg=:=_-Pe}');
    Expect(1, 1830, '\p{Is_Jg=pe}', "");
    Expect(0, 1830, '\p{^Is_Jg=pe}', "");
    Expect(0, 1830, '\P{Is_Jg=pe}', "");
    Expect(1, 1830, '\P{^Is_Jg=pe}', "");
    Expect(0, 1831, '\p{Is_Jg=pe}', "");
    Expect(1, 1831, '\p{^Is_Jg=pe}', "");
    Expect(1, 1831, '\P{Is_Jg=pe}', "");
    Expect(0, 1831, '\P{^Is_Jg=pe}', "");
    Expect(1, 1830, '\p{Is_Jg= 	Pe}', "");
    Expect(0, 1830, '\p{^Is_Jg= 	Pe}', "");
    Expect(0, 1830, '\P{Is_Jg= 	Pe}', "");
    Expect(1, 1830, '\P{^Is_Jg= 	Pe}', "");
    Expect(0, 1831, '\p{Is_Jg= 	Pe}', "");
    Expect(1, 1831, '\p{^Is_Jg= 	Pe}', "");
    Expect(1, 1831, '\P{Is_Jg= 	Pe}', "");
    Expect(0, 1831, '\P{^Is_Jg= 	Pe}', "");
    Error('\p{Joining_Group:/a/-	QAF}');
    Error('\P{Joining_Group:/a/-	QAF}');
    Expect(1, 2229, '\p{Joining_Group=:\AQaf\z:}', "");;
    Expect(0, 2230, '\p{Joining_Group=:\AQaf\z:}', "");;
    Expect(1, 2229, '\p{Joining_Group=qaf}', "");
    Expect(0, 2229, '\p{^Joining_Group=qaf}', "");
    Expect(0, 2229, '\P{Joining_Group=qaf}', "");
    Expect(1, 2229, '\P{^Joining_Group=qaf}', "");
    Expect(0, 2230, '\p{Joining_Group=qaf}', "");
    Expect(1, 2230, '\p{^Joining_Group=qaf}', "");
    Expect(1, 2230, '\P{Joining_Group=qaf}', "");
    Expect(0, 2230, '\P{^Joining_Group=qaf}', "");
    Expect(1, 2229, '\p{Joining_Group=:\Aqaf\z:}', "");;
    Expect(0, 2230, '\p{Joining_Group=:\Aqaf\z:}', "");;
    Expect(1, 2229, '\p{Joining_Group=-Qaf}', "");
    Expect(0, 2229, '\p{^Joining_Group=-Qaf}', "");
    Expect(0, 2229, '\P{Joining_Group=-Qaf}', "");
    Expect(1, 2229, '\P{^Joining_Group=-Qaf}', "");
    Expect(0, 2230, '\p{Joining_Group=-Qaf}', "");
    Expect(1, 2230, '\p{^Joining_Group=-Qaf}', "");
    Expect(1, 2230, '\P{Joining_Group=-Qaf}', "");
    Expect(0, 2230, '\P{^Joining_Group=-Qaf}', "");
    Error('\p{Jg=/a/		QAF}');
    Error('\P{Jg=/a/		QAF}');
    Expect(1, 2229, '\p{Jg=:\AQaf\z:}', "");;
    Expect(0, 2230, '\p{Jg=:\AQaf\z:}', "");;
    Expect(1, 2229, '\p{Jg=qaf}', "");
    Expect(0, 2229, '\p{^Jg=qaf}', "");
    Expect(0, 2229, '\P{Jg=qaf}', "");
    Expect(1, 2229, '\P{^Jg=qaf}', "");
    Expect(0, 2230, '\p{Jg=qaf}', "");
    Expect(1, 2230, '\p{^Jg=qaf}', "");
    Expect(1, 2230, '\P{Jg=qaf}', "");
    Expect(0, 2230, '\P{^Jg=qaf}', "");
    Expect(1, 2229, '\p{Jg=:\Aqaf\z:}', "");;
    Expect(0, 2230, '\p{Jg=:\Aqaf\z:}', "");;
    Expect(1, 2229, '\p{Jg=-Qaf}', "");
    Expect(0, 2229, '\p{^Jg=-Qaf}', "");
    Expect(0, 2229, '\P{Jg=-Qaf}', "");
    Expect(1, 2229, '\P{^Jg=-Qaf}', "");
    Expect(0, 2230, '\p{Jg=-Qaf}', "");
    Expect(1, 2230, '\p{^Jg=-Qaf}', "");
    Expect(1, 2230, '\P{Jg=-Qaf}', "");
    Expect(0, 2230, '\P{^Jg=-Qaf}', "");
    Error('\p{Is_Joining_Group: -QAF:=}');
    Error('\P{Is_Joining_Group: -QAF:=}');
    Expect(1, 2229, '\p{Is_Joining_Group=qaf}', "");
    Expect(0, 2229, '\p{^Is_Joining_Group=qaf}', "");
    Expect(0, 2229, '\P{Is_Joining_Group=qaf}', "");
    Expect(1, 2229, '\P{^Is_Joining_Group=qaf}', "");
    Expect(0, 2230, '\p{Is_Joining_Group=qaf}', "");
    Expect(1, 2230, '\p{^Is_Joining_Group=qaf}', "");
    Expect(1, 2230, '\P{Is_Joining_Group=qaf}', "");
    Expect(0, 2230, '\P{^Is_Joining_Group=qaf}', "");
    Expect(1, 2229, '\p{Is_Joining_Group=-_Qaf}', "");
    Expect(0, 2229, '\p{^Is_Joining_Group=-_Qaf}', "");
    Expect(0, 2229, '\P{Is_Joining_Group=-_Qaf}', "");
    Expect(1, 2229, '\P{^Is_Joining_Group=-_Qaf}', "");
    Expect(0, 2230, '\p{Is_Joining_Group=-_Qaf}', "");
    Expect(1, 2230, '\p{^Is_Joining_Group=-_Qaf}', "");
    Expect(1, 2230, '\P{Is_Joining_Group=-_Qaf}', "");
    Expect(0, 2230, '\P{^Is_Joining_Group=-_Qaf}', "");
    Error('\p{Is_Jg=/a/	-Qaf}');
    Error('\P{Is_Jg=/a/	-Qaf}');
    Expect(1, 2229, '\p{Is_Jg=qaf}', "");
    Expect(0, 2229, '\p{^Is_Jg=qaf}', "");
    Expect(0, 2229, '\P{Is_Jg=qaf}', "");
    Expect(1, 2229, '\P{^Is_Jg=qaf}', "");
    Expect(0, 2230, '\p{Is_Jg=qaf}', "");
    Expect(1, 2230, '\p{^Is_Jg=qaf}', "");
    Expect(1, 2230, '\P{Is_Jg=qaf}', "");
    Expect(0, 2230, '\P{^Is_Jg=qaf}', "");
    Expect(1, 2229, '\p{Is_Jg= _Qaf}', "");
    Expect(0, 2229, '\p{^Is_Jg= _Qaf}', "");
    Expect(0, 2229, '\P{Is_Jg= _Qaf}', "");
    Expect(1, 2229, '\P{^Is_Jg= _Qaf}', "");
    Expect(0, 2230, '\p{Is_Jg= _Qaf}', "");
    Expect(1, 2230, '\p{^Is_Jg= _Qaf}', "");
    Expect(1, 2230, '\P{Is_Jg= _Qaf}', "");
    Expect(0, 2230, '\P{^Is_Jg= _Qaf}', "");
    Error('\p{Joining_Group=--QAPH/a/}');
    Error('\P{Joining_Group=--QAPH/a/}');
    Expect(1, 1833, '\p{Joining_Group=:\AQaph\z:}', "");;
    Expect(0, 1834, '\p{Joining_Group=:\AQaph\z:}', "");;
    Expect(1, 1833, '\p{Joining_Group:   qaph}', "");
    Expect(0, 1833, '\p{^Joining_Group:   qaph}', "");
    Expect(0, 1833, '\P{Joining_Group:   qaph}', "");
    Expect(1, 1833, '\P{^Joining_Group:   qaph}', "");
    Expect(0, 1834, '\p{Joining_Group:   qaph}', "");
    Expect(1, 1834, '\p{^Joining_Group:   qaph}', "");
    Expect(1, 1834, '\P{Joining_Group:   qaph}', "");
    Expect(0, 1834, '\P{^Joining_Group:   qaph}', "");
    Expect(1, 1833, '\p{Joining_Group=:\Aqaph\z:}', "");;
    Expect(0, 1834, '\p{Joining_Group=:\Aqaph\z:}', "");;
    Expect(1, 1833, '\p{Joining_Group= Qaph}', "");
    Expect(0, 1833, '\p{^Joining_Group= Qaph}', "");
    Expect(0, 1833, '\P{Joining_Group= Qaph}', "");
    Expect(1, 1833, '\P{^Joining_Group= Qaph}', "");
    Expect(0, 1834, '\p{Joining_Group= Qaph}', "");
    Expect(1, 1834, '\p{^Joining_Group= Qaph}', "");
    Expect(1, 1834, '\P{Joining_Group= Qaph}', "");
    Expect(0, 1834, '\P{^Joining_Group= Qaph}', "");
    Error('\p{Jg=:=	Qaph}');
    Error('\P{Jg=:=	Qaph}');
    Expect(1, 1833, '\p{Jg=:\AQaph\z:}', "");;
    Expect(0, 1834, '\p{Jg=:\AQaph\z:}', "");;
    Expect(1, 1833, '\p{Jg=qaph}', "");
    Expect(0, 1833, '\p{^Jg=qaph}', "");
    Expect(0, 1833, '\P{Jg=qaph}', "");
    Expect(1, 1833, '\P{^Jg=qaph}', "");
    Expect(0, 1834, '\p{Jg=qaph}', "");
    Expect(1, 1834, '\p{^Jg=qaph}', "");
    Expect(1, 1834, '\P{Jg=qaph}', "");
    Expect(0, 1834, '\P{^Jg=qaph}', "");
    Expect(1, 1833, '\p{Jg=:\Aqaph\z:}', "");;
    Expect(0, 1834, '\p{Jg=:\Aqaph\z:}', "");;
    Expect(1, 1833, '\p{Jg=Qaph}', "");
    Expect(0, 1833, '\p{^Jg=Qaph}', "");
    Expect(0, 1833, '\P{Jg=Qaph}', "");
    Expect(1, 1833, '\P{^Jg=Qaph}', "");
    Expect(0, 1834, '\p{Jg=Qaph}', "");
    Expect(1, 1834, '\p{^Jg=Qaph}', "");
    Expect(1, 1834, '\P{Jg=Qaph}', "");
    Expect(0, 1834, '\P{^Jg=Qaph}', "");
    Error('\p{Is_Joining_Group=/a/  Qaph}');
    Error('\P{Is_Joining_Group=/a/  Qaph}');
    Expect(1, 1833, '\p{Is_Joining_Group=qaph}', "");
    Expect(0, 1833, '\p{^Is_Joining_Group=qaph}', "");
    Expect(0, 1833, '\P{Is_Joining_Group=qaph}', "");
    Expect(1, 1833, '\P{^Is_Joining_Group=qaph}', "");
    Expect(0, 1834, '\p{Is_Joining_Group=qaph}', "");
    Expect(1, 1834, '\p{^Is_Joining_Group=qaph}', "");
    Expect(1, 1834, '\P{Is_Joining_Group=qaph}', "");
    Expect(0, 1834, '\P{^Is_Joining_Group=qaph}', "");
    Expect(1, 1833, '\p{Is_Joining_Group=_-Qaph}', "");
    Expect(0, 1833, '\p{^Is_Joining_Group=_-Qaph}', "");
    Expect(0, 1833, '\P{Is_Joining_Group=_-Qaph}', "");
    Expect(1, 1833, '\P{^Is_Joining_Group=_-Qaph}', "");
    Expect(0, 1834, '\p{Is_Joining_Group=_-Qaph}', "");
    Expect(1, 1834, '\p{^Is_Joining_Group=_-Qaph}', "");
    Expect(1, 1834, '\P{Is_Joining_Group=_-Qaph}', "");
    Expect(0, 1834, '\P{^Is_Joining_Group=_-Qaph}', "");
    Error('\p{Is_Jg=	:=qaph}');
    Error('\P{Is_Jg=	:=qaph}');
    Expect(1, 1833, '\p{Is_Jg=qaph}', "");
    Expect(0, 1833, '\p{^Is_Jg=qaph}', "");
    Expect(0, 1833, '\P{Is_Jg=qaph}', "");
    Expect(1, 1833, '\P{^Is_Jg=qaph}', "");
    Expect(0, 1834, '\p{Is_Jg=qaph}', "");
    Expect(1, 1834, '\p{^Is_Jg=qaph}', "");
    Expect(1, 1834, '\P{Is_Jg=qaph}', "");
    Expect(0, 1834, '\P{^Is_Jg=qaph}', "");
    Expect(1, 1833, '\p{Is_Jg= Qaph}', "");
    Expect(0, 1833, '\p{^Is_Jg= Qaph}', "");
    Expect(0, 1833, '\P{Is_Jg= Qaph}', "");
    Expect(1, 1833, '\P{^Is_Jg= Qaph}', "");
    Expect(0, 1834, '\p{Is_Jg= Qaph}', "");
    Expect(1, 1834, '\p{^Is_Jg= Qaph}', "");
    Expect(1, 1834, '\P{Is_Jg= Qaph}', "");
    Expect(0, 1834, '\P{^Is_Jg= Qaph}', "");
    Error('\p{Joining_Group=/a/REH}');
    Error('\P{Joining_Group=/a/REH}');
    Expect(1, 2233, '\p{Joining_Group=:\AReh\z:}', "");;
    Expect(0, 2234, '\p{Joining_Group=:\AReh\z:}', "");;
    Expect(1, 2233, '\p{Joining_Group=reh}', "");
    Expect(0, 2233, '\p{^Joining_Group=reh}', "");
    Expect(0, 2233, '\P{Joining_Group=reh}', "");
    Expect(1, 2233, '\P{^Joining_Group=reh}', "");
    Expect(0, 2234, '\p{Joining_Group=reh}', "");
    Expect(1, 2234, '\p{^Joining_Group=reh}', "");
    Expect(1, 2234, '\P{Joining_Group=reh}', "");
    Expect(0, 2234, '\P{^Joining_Group=reh}', "");
    Expect(1, 2233, '\p{Joining_Group=:\Areh\z:}', "");;
    Expect(0, 2234, '\p{Joining_Group=:\Areh\z:}', "");;
    Expect(1, 2233, '\p{Joining_Group=_-reh}', "");
    Expect(0, 2233, '\p{^Joining_Group=_-reh}', "");
    Expect(0, 2233, '\P{Joining_Group=_-reh}', "");
    Expect(1, 2233, '\P{^Joining_Group=_-reh}', "");
    Expect(0, 2234, '\p{Joining_Group=_-reh}', "");
    Expect(1, 2234, '\p{^Joining_Group=_-reh}', "");
    Expect(1, 2234, '\P{Joining_Group=_-reh}', "");
    Expect(0, 2234, '\P{^Joining_Group=_-reh}', "");
    Error('\p{Jg:   	 reh/a/}');
    Error('\P{Jg:   	 reh/a/}');
    Expect(1, 2233, '\p{Jg=:\AReh\z:}', "");;
    Expect(0, 2234, '\p{Jg=:\AReh\z:}', "");;
    Expect(1, 2233, '\p{Jg=reh}', "");
    Expect(0, 2233, '\p{^Jg=reh}', "");
    Expect(0, 2233, '\P{Jg=reh}', "");
    Expect(1, 2233, '\P{^Jg=reh}', "");
    Expect(0, 2234, '\p{Jg=reh}', "");
    Expect(1, 2234, '\p{^Jg=reh}', "");
    Expect(1, 2234, '\P{Jg=reh}', "");
    Expect(0, 2234, '\P{^Jg=reh}', "");
    Expect(1, 2233, '\p{Jg=:\Areh\z:}', "");;
    Expect(0, 2234, '\p{Jg=:\Areh\z:}', "");;
    Expect(1, 2233, '\p{Jg= -REH}', "");
    Expect(0, 2233, '\p{^Jg= -REH}', "");
    Expect(0, 2233, '\P{Jg= -REH}', "");
    Expect(1, 2233, '\P{^Jg= -REH}', "");
    Expect(0, 2234, '\p{Jg= -REH}', "");
    Expect(1, 2234, '\p{^Jg= -REH}', "");
    Expect(1, 2234, '\P{Jg= -REH}', "");
    Expect(0, 2234, '\P{^Jg= -REH}', "");
    Error('\p{Is_Joining_Group=/a/-reh}');
    Error('\P{Is_Joining_Group=/a/-reh}');
    Expect(1, 2233, '\p{Is_Joining_Group=reh}', "");
    Expect(0, 2233, '\p{^Is_Joining_Group=reh}', "");
    Expect(0, 2233, '\P{Is_Joining_Group=reh}', "");
    Expect(1, 2233, '\P{^Is_Joining_Group=reh}', "");
    Expect(0, 2234, '\p{Is_Joining_Group=reh}', "");
    Expect(1, 2234, '\p{^Is_Joining_Group=reh}', "");
    Expect(1, 2234, '\P{Is_Joining_Group=reh}', "");
    Expect(0, 2234, '\P{^Is_Joining_Group=reh}', "");
    Expect(1, 2233, '\p{Is_Joining_Group=- Reh}', "");
    Expect(0, 2233, '\p{^Is_Joining_Group=- Reh}', "");
    Expect(0, 2233, '\P{Is_Joining_Group=- Reh}', "");
    Expect(1, 2233, '\P{^Is_Joining_Group=- Reh}', "");
    Expect(0, 2234, '\p{Is_Joining_Group=- Reh}', "");
    Expect(1, 2234, '\p{^Is_Joining_Group=- Reh}', "");
    Expect(1, 2234, '\P{Is_Joining_Group=- Reh}', "");
    Expect(0, 2234, '\P{^Is_Joining_Group=- Reh}', "");
    Error('\p{Is_Jg=	Reh/a/}');
    Error('\P{Is_Jg=	Reh/a/}');
    Expect(1, 2233, '\p{Is_Jg=reh}', "");
    Expect(0, 2233, '\p{^Is_Jg=reh}', "");
    Expect(0, 2233, '\P{Is_Jg=reh}', "");
    Expect(1, 2233, '\P{^Is_Jg=reh}', "");
    Expect(0, 2234, '\p{Is_Jg=reh}', "");
    Expect(1, 2234, '\p{^Is_Jg=reh}', "");
    Expect(1, 2234, '\P{Is_Jg=reh}', "");
    Expect(0, 2234, '\P{^Is_Jg=reh}', "");
    Expect(1, 2233, '\p{Is_Jg= 	reh}', "");
    Expect(0, 2233, '\p{^Is_Jg= 	reh}', "");
    Expect(0, 2233, '\P{Is_Jg= 	reh}', "");
    Expect(1, 2233, '\P{^Is_Jg= 	reh}', "");
    Expect(0, 2234, '\p{Is_Jg= 	reh}', "");
    Expect(1, 2234, '\p{^Is_Jg= 	reh}', "");
    Expect(1, 2234, '\P{Is_Jg= 	reh}', "");
    Expect(0, 2234, '\P{^Is_Jg= 	reh}', "");
    Error('\p{Joining_Group=-:=reversed_Pe}');
    Error('\P{Joining_Group=-:=reversed_Pe}');
    Expect(1, 1831, '\p{Joining_Group=:\AReversed_Pe\z:}', "");;
    Expect(0, 1832, '\p{Joining_Group=:\AReversed_Pe\z:}', "");;
    Expect(1, 1831, '\p{Joining_Group=reversedpe}', "");
    Expect(0, 1831, '\p{^Joining_Group=reversedpe}', "");
    Expect(0, 1831, '\P{Joining_Group=reversedpe}', "");
    Expect(1, 1831, '\P{^Joining_Group=reversedpe}', "");
    Expect(0, 1832, '\p{Joining_Group=reversedpe}', "");
    Expect(1, 1832, '\p{^Joining_Group=reversedpe}', "");
    Expect(1, 1832, '\P{Joining_Group=reversedpe}', "");
    Expect(0, 1832, '\P{^Joining_Group=reversedpe}', "");
    Expect(1, 1831, '\p{Joining_Group=:\Areversedpe\z:}', "");;
    Expect(0, 1832, '\p{Joining_Group=:\Areversedpe\z:}', "");;
    Expect(1, 1831, '\p{Joining_Group=	-Reversed_Pe}', "");
    Expect(0, 1831, '\p{^Joining_Group=	-Reversed_Pe}', "");
    Expect(0, 1831, '\P{Joining_Group=	-Reversed_Pe}', "");
    Expect(1, 1831, '\P{^Joining_Group=	-Reversed_Pe}', "");
    Expect(0, 1832, '\p{Joining_Group=	-Reversed_Pe}', "");
    Expect(1, 1832, '\p{^Joining_Group=	-Reversed_Pe}', "");
    Expect(1, 1832, '\P{Joining_Group=	-Reversed_Pe}', "");
    Expect(0, 1832, '\P{^Joining_Group=	-Reversed_Pe}', "");
    Error('\p{Jg:	:=REVERSED_pe}');
    Error('\P{Jg:	:=REVERSED_pe}');
    Expect(1, 1831, '\p{Jg=:\AReversed_Pe\z:}', "");;
    Expect(0, 1832, '\p{Jg=:\AReversed_Pe\z:}', "");;
    Expect(1, 1831, '\p{Jg=reversedpe}', "");
    Expect(0, 1831, '\p{^Jg=reversedpe}', "");
    Expect(0, 1831, '\P{Jg=reversedpe}', "");
    Expect(1, 1831, '\P{^Jg=reversedpe}', "");
    Expect(0, 1832, '\p{Jg=reversedpe}', "");
    Expect(1, 1832, '\p{^Jg=reversedpe}', "");
    Expect(1, 1832, '\P{Jg=reversedpe}', "");
    Expect(0, 1832, '\P{^Jg=reversedpe}', "");
    Expect(1, 1831, '\p{Jg=:\Areversedpe\z:}', "");;
    Expect(0, 1832, '\p{Jg=:\Areversedpe\z:}', "");;
    Expect(1, 1831, '\p{Jg= _reversed_PE}', "");
    Expect(0, 1831, '\p{^Jg= _reversed_PE}', "");
    Expect(0, 1831, '\P{Jg= _reversed_PE}', "");
    Expect(1, 1831, '\P{^Jg= _reversed_PE}', "");
    Expect(0, 1832, '\p{Jg= _reversed_PE}', "");
    Expect(1, 1832, '\p{^Jg= _reversed_PE}', "");
    Expect(1, 1832, '\P{Jg= _reversed_PE}', "");
    Expect(0, 1832, '\P{^Jg= _reversed_PE}', "");
    Error('\p{Is_Joining_Group=:=-Reversed_pe}');
    Error('\P{Is_Joining_Group=:=-Reversed_pe}');
    Expect(1, 1831, '\p{Is_Joining_Group=reversedpe}', "");
    Expect(0, 1831, '\p{^Is_Joining_Group=reversedpe}', "");
    Expect(0, 1831, '\P{Is_Joining_Group=reversedpe}', "");
    Expect(1, 1831, '\P{^Is_Joining_Group=reversedpe}', "");
    Expect(0, 1832, '\p{Is_Joining_Group=reversedpe}', "");
    Expect(1, 1832, '\p{^Is_Joining_Group=reversedpe}', "");
    Expect(1, 1832, '\P{Is_Joining_Group=reversedpe}', "");
    Expect(0, 1832, '\P{^Is_Joining_Group=reversedpe}', "");
    Expect(1, 1831, '\p{Is_Joining_Group=--Reversed_PE}', "");
    Expect(0, 1831, '\p{^Is_Joining_Group=--Reversed_PE}', "");
    Expect(0, 1831, '\P{Is_Joining_Group=--Reversed_PE}', "");
    Expect(1, 1831, '\P{^Is_Joining_Group=--Reversed_PE}', "");
    Expect(0, 1832, '\p{Is_Joining_Group=--Reversed_PE}', "");
    Expect(1, 1832, '\p{^Is_Joining_Group=--Reversed_PE}', "");
    Expect(1, 1832, '\P{Is_Joining_Group=--Reversed_PE}', "");
    Expect(0, 1832, '\P{^Is_Joining_Group=--Reversed_PE}', "");
    Error('\p{Is_Jg=/a/	 reversed_Pe}');
    Error('\P{Is_Jg=/a/	 reversed_Pe}');
    Expect(1, 1831, '\p{Is_Jg=reversedpe}', "");
    Expect(0, 1831, '\p{^Is_Jg=reversedpe}', "");
    Expect(0, 1831, '\P{Is_Jg=reversedpe}', "");
    Expect(1, 1831, '\P{^Is_Jg=reversedpe}', "");
    Expect(0, 1832, '\p{Is_Jg=reversedpe}', "");
    Expect(1, 1832, '\p{^Is_Jg=reversedpe}', "");
    Expect(1, 1832, '\P{Is_Jg=reversedpe}', "");
    Expect(0, 1832, '\P{^Is_Jg=reversedpe}', "");
    Expect(1, 1831, '\p{Is_Jg=  Reversed_Pe}', "");
    Expect(0, 1831, '\p{^Is_Jg=  Reversed_Pe}', "");
    Expect(0, 1831, '\P{Is_Jg=  Reversed_Pe}', "");
    Expect(1, 1831, '\P{^Is_Jg=  Reversed_Pe}', "");
    Expect(0, 1832, '\p{Is_Jg=  Reversed_Pe}', "");
    Expect(1, 1832, '\p{^Is_Jg=  Reversed_Pe}', "");
    Expect(1, 1832, '\P{Is_Jg=  Reversed_Pe}', "");
    Expect(0, 1832, '\P{^Is_Jg=  Reversed_Pe}', "");
    Error('\p{Joining_Group=_:=Rohingya_YEH}');
    Error('\P{Joining_Group=_:=Rohingya_YEH}');
    Expect(1, 2220, '\p{Joining_Group=:\ARohingya_Yeh\z:}', "");;
    Expect(0, 2221, '\p{Joining_Group=:\ARohingya_Yeh\z:}', "");;
    Expect(1, 2220, '\p{Joining_Group=rohingyayeh}', "");
    Expect(0, 2220, '\p{^Joining_Group=rohingyayeh}', "");
    Expect(0, 2220, '\P{Joining_Group=rohingyayeh}', "");
    Expect(1, 2220, '\P{^Joining_Group=rohingyayeh}', "");
    Expect(0, 2221, '\p{Joining_Group=rohingyayeh}', "");
    Expect(1, 2221, '\p{^Joining_Group=rohingyayeh}', "");
    Expect(1, 2221, '\P{Joining_Group=rohingyayeh}', "");
    Expect(0, 2221, '\P{^Joining_Group=rohingyayeh}', "");
    Expect(1, 2220, '\p{Joining_Group=:\Arohingyayeh\z:}', "");;
    Expect(0, 2221, '\p{Joining_Group=:\Arohingyayeh\z:}', "");;
    Expect(1, 2220, '\p{Joining_Group: _Rohingya_YEH}', "");
    Expect(0, 2220, '\p{^Joining_Group: _Rohingya_YEH}', "");
    Expect(0, 2220, '\P{Joining_Group: _Rohingya_YEH}', "");
    Expect(1, 2220, '\P{^Joining_Group: _Rohingya_YEH}', "");
    Expect(0, 2221, '\p{Joining_Group: _Rohingya_YEH}', "");
    Expect(1, 2221, '\p{^Joining_Group: _Rohingya_YEH}', "");
    Expect(1, 2221, '\P{Joining_Group: _Rohingya_YEH}', "");
    Expect(0, 2221, '\P{^Joining_Group: _Rohingya_YEH}', "");
    Error('\p{Jg=--Rohingya_Yeh/a/}');
    Error('\P{Jg=--Rohingya_Yeh/a/}');
    Expect(1, 2220, '\p{Jg=:\ARohingya_Yeh\z:}', "");;
    Expect(0, 2221, '\p{Jg=:\ARohingya_Yeh\z:}', "");;
    Expect(1, 2220, '\p{Jg=rohingyayeh}', "");
    Expect(0, 2220, '\p{^Jg=rohingyayeh}', "");
    Expect(0, 2220, '\P{Jg=rohingyayeh}', "");
    Expect(1, 2220, '\P{^Jg=rohingyayeh}', "");
    Expect(0, 2221, '\p{Jg=rohingyayeh}', "");
    Expect(1, 2221, '\p{^Jg=rohingyayeh}', "");
    Expect(1, 2221, '\P{Jg=rohingyayeh}', "");
    Expect(0, 2221, '\P{^Jg=rohingyayeh}', "");
    Expect(1, 2220, '\p{Jg=:\Arohingyayeh\z:}', "");;
    Expect(0, 2221, '\p{Jg=:\Arohingyayeh\z:}', "");;
    Expect(1, 2220, '\p{Jg: -Rohingya_Yeh}', "");
    Expect(0, 2220, '\p{^Jg: -Rohingya_Yeh}', "");
    Expect(0, 2220, '\P{Jg: -Rohingya_Yeh}', "");
    Expect(1, 2220, '\P{^Jg: -Rohingya_Yeh}', "");
    Expect(0, 2221, '\p{Jg: -Rohingya_Yeh}', "");
    Expect(1, 2221, '\p{^Jg: -Rohingya_Yeh}', "");
    Expect(1, 2221, '\P{Jg: -Rohingya_Yeh}', "");
    Expect(0, 2221, '\P{^Jg: -Rohingya_Yeh}', "");
    Error('\p{Is_Joining_Group= /a/rohingya_Yeh}');
    Error('\P{Is_Joining_Group= /a/rohingya_Yeh}');
    Expect(1, 2220, '\p{Is_Joining_Group=rohingyayeh}', "");
    Expect(0, 2220, '\p{^Is_Joining_Group=rohingyayeh}', "");
    Expect(0, 2220, '\P{Is_Joining_Group=rohingyayeh}', "");
    Expect(1, 2220, '\P{^Is_Joining_Group=rohingyayeh}', "");
    Expect(0, 2221, '\p{Is_Joining_Group=rohingyayeh}', "");
    Expect(1, 2221, '\p{^Is_Joining_Group=rohingyayeh}', "");
    Expect(1, 2221, '\P{Is_Joining_Group=rohingyayeh}', "");
    Expect(0, 2221, '\P{^Is_Joining_Group=rohingyayeh}', "");
    Expect(1, 2220, '\p{Is_Joining_Group=	Rohingya_yeh}', "");
    Expect(0, 2220, '\p{^Is_Joining_Group=	Rohingya_yeh}', "");
    Expect(0, 2220, '\P{Is_Joining_Group=	Rohingya_yeh}', "");
    Expect(1, 2220, '\P{^Is_Joining_Group=	Rohingya_yeh}', "");
    Expect(0, 2221, '\p{Is_Joining_Group=	Rohingya_yeh}', "");
    Expect(1, 2221, '\p{^Is_Joining_Group=	Rohingya_yeh}', "");
    Expect(1, 2221, '\P{Is_Joining_Group=	Rohingya_yeh}', "");
    Expect(0, 2221, '\P{^Is_Joining_Group=	Rohingya_yeh}', "");
    Error('\p{Is_Jg=-/a/ROHINGYA_Yeh}');
    Error('\P{Is_Jg=-/a/ROHINGYA_Yeh}');
    Expect(1, 2220, '\p{Is_Jg=rohingyayeh}', "");
    Expect(0, 2220, '\p{^Is_Jg=rohingyayeh}', "");
    Expect(0, 2220, '\P{Is_Jg=rohingyayeh}', "");
    Expect(1, 2220, '\P{^Is_Jg=rohingyayeh}', "");
    Expect(0, 2221, '\p{Is_Jg=rohingyayeh}', "");
    Expect(1, 2221, '\p{^Is_Jg=rohingyayeh}', "");
    Expect(1, 2221, '\P{Is_Jg=rohingyayeh}', "");
    Expect(0, 2221, '\P{^Is_Jg=rohingyayeh}', "");
    Expect(1, 2220, '\p{Is_Jg= _Rohingya_Yeh}', "");
    Expect(0, 2220, '\p{^Is_Jg= _Rohingya_Yeh}', "");
    Expect(0, 2220, '\P{Is_Jg= _Rohingya_Yeh}', "");
    Expect(1, 2220, '\P{^Is_Jg= _Rohingya_Yeh}', "");
    Expect(0, 2221, '\p{Is_Jg= _Rohingya_Yeh}', "");
    Expect(1, 2221, '\p{^Is_Jg= _Rohingya_Yeh}', "");
    Expect(1, 2221, '\P{Is_Jg= _Rohingya_Yeh}', "");
    Expect(0, 2221, '\P{^Is_Jg= _Rohingya_Yeh}', "");
    Error('\p{Joining_Group=_	Sad/a/}');
    Error('\P{Joining_Group=_	Sad/a/}');
    Expect(1, 2223, '\p{Joining_Group=:\ASad\z:}', "");;
    Expect(0, 2224, '\p{Joining_Group=:\ASad\z:}', "");;
    Expect(1, 2223, '\p{Joining_Group=sad}', "");
    Expect(0, 2223, '\p{^Joining_Group=sad}', "");
    Expect(0, 2223, '\P{Joining_Group=sad}', "");
    Expect(1, 2223, '\P{^Joining_Group=sad}', "");
    Expect(0, 2224, '\p{Joining_Group=sad}', "");
    Expect(1, 2224, '\p{^Joining_Group=sad}', "");
    Expect(1, 2224, '\P{Joining_Group=sad}', "");
    Expect(0, 2224, '\P{^Joining_Group=sad}', "");
    Expect(1, 2223, '\p{Joining_Group=:\Asad\z:}', "");;
    Expect(0, 2224, '\p{Joining_Group=:\Asad\z:}', "");;
    Expect(1, 2223, '\p{Joining_Group=	-sad}', "");
    Expect(0, 2223, '\p{^Joining_Group=	-sad}', "");
    Expect(0, 2223, '\P{Joining_Group=	-sad}', "");
    Expect(1, 2223, '\P{^Joining_Group=	-sad}', "");
    Expect(0, 2224, '\p{Joining_Group=	-sad}', "");
    Expect(1, 2224, '\p{^Joining_Group=	-sad}', "");
    Expect(1, 2224, '\P{Joining_Group=	-sad}', "");
    Expect(0, 2224, '\P{^Joining_Group=	-sad}', "");
    Error('\p{Jg=/a/SAD}');
    Error('\P{Jg=/a/SAD}');
    Expect(1, 2223, '\p{Jg=:\ASad\z:}', "");;
    Expect(0, 2224, '\p{Jg=:\ASad\z:}', "");;
    Expect(1, 2223, '\p{Jg=sad}', "");
    Expect(0, 2223, '\p{^Jg=sad}', "");
    Expect(0, 2223, '\P{Jg=sad}', "");
    Expect(1, 2223, '\P{^Jg=sad}', "");
    Expect(0, 2224, '\p{Jg=sad}', "");
    Expect(1, 2224, '\p{^Jg=sad}', "");
    Expect(1, 2224, '\P{Jg=sad}', "");
    Expect(0, 2224, '\P{^Jg=sad}', "");
    Expect(1, 2223, '\p{Jg=:\Asad\z:}', "");;
    Expect(0, 2224, '\p{Jg=:\Asad\z:}', "");;
    Expect(1, 2223, '\p{Jg= -Sad}', "");
    Expect(0, 2223, '\p{^Jg= -Sad}', "");
    Expect(0, 2223, '\P{Jg= -Sad}', "");
    Expect(1, 2223, '\P{^Jg= -Sad}', "");
    Expect(0, 2224, '\p{Jg= -Sad}', "");
    Expect(1, 2224, '\p{^Jg= -Sad}', "");
    Expect(1, 2224, '\P{Jg= -Sad}', "");
    Expect(0, 2224, '\P{^Jg= -Sad}', "");
    Error('\p{Is_Joining_Group=/a/_-SAD}');
    Error('\P{Is_Joining_Group=/a/_-SAD}');
    Expect(1, 2223, '\p{Is_Joining_Group=sad}', "");
    Expect(0, 2223, '\p{^Is_Joining_Group=sad}', "");
    Expect(0, 2223, '\P{Is_Joining_Group=sad}', "");
    Expect(1, 2223, '\P{^Is_Joining_Group=sad}', "");
    Expect(0, 2224, '\p{Is_Joining_Group=sad}', "");
    Expect(1, 2224, '\p{^Is_Joining_Group=sad}', "");
    Expect(1, 2224, '\P{Is_Joining_Group=sad}', "");
    Expect(0, 2224, '\P{^Is_Joining_Group=sad}', "");
    Expect(1, 2223, '\p{Is_Joining_Group=--SAD}', "");
    Expect(0, 2223, '\p{^Is_Joining_Group=--SAD}', "");
    Expect(0, 2223, '\P{Is_Joining_Group=--SAD}', "");
    Expect(1, 2223, '\P{^Is_Joining_Group=--SAD}', "");
    Expect(0, 2224, '\p{Is_Joining_Group=--SAD}', "");
    Expect(1, 2224, '\p{^Is_Joining_Group=--SAD}', "");
    Expect(1, 2224, '\P{Is_Joining_Group=--SAD}', "");
    Expect(0, 2224, '\P{^Is_Joining_Group=--SAD}', "");
    Error('\p{Is_Jg=_/a/Sad}');
    Error('\P{Is_Jg=_/a/Sad}');
    Expect(1, 2223, '\p{Is_Jg:	sad}', "");
    Expect(0, 2223, '\p{^Is_Jg:	sad}', "");
    Expect(0, 2223, '\P{Is_Jg:	sad}', "");
    Expect(1, 2223, '\P{^Is_Jg:	sad}', "");
    Expect(0, 2224, '\p{Is_Jg:	sad}', "");
    Expect(1, 2224, '\p{^Is_Jg:	sad}', "");
    Expect(1, 2224, '\P{Is_Jg:	sad}', "");
    Expect(0, 2224, '\P{^Is_Jg:	sad}', "");
    Expect(1, 2223, '\p{Is_Jg:-_sad}', "");
    Expect(0, 2223, '\p{^Is_Jg:-_sad}', "");
    Expect(0, 2223, '\P{Is_Jg:-_sad}', "");
    Expect(1, 2223, '\P{^Is_Jg:-_sad}', "");
    Expect(0, 2224, '\p{Is_Jg:-_sad}', "");
    Expect(1, 2224, '\p{^Is_Jg:-_sad}', "");
    Expect(1, 2224, '\P{Is_Jg:-_sad}', "");
    Expect(0, 2224, '\P{^Is_Jg:-_sad}', "");
    Error('\p{Joining_Group= :=Sadhe}');
    Error('\P{Joining_Group= :=Sadhe}');
    Expect(1, 1832, '\p{Joining_Group=:\ASadhe\z:}', "");;
    Expect(0, 1833, '\p{Joining_Group=:\ASadhe\z:}', "");;
    Expect(1, 1832, '\p{Joining_Group=sadhe}', "");
    Expect(0, 1832, '\p{^Joining_Group=sadhe}', "");
    Expect(0, 1832, '\P{Joining_Group=sadhe}', "");
    Expect(1, 1832, '\P{^Joining_Group=sadhe}', "");
    Expect(0, 1833, '\p{Joining_Group=sadhe}', "");
    Expect(1, 1833, '\p{^Joining_Group=sadhe}', "");
    Expect(1, 1833, '\P{Joining_Group=sadhe}', "");
    Expect(0, 1833, '\P{^Joining_Group=sadhe}', "");
    Expect(1, 1832, '\p{Joining_Group=:\Asadhe\z:}', "");;
    Expect(0, 1833, '\p{Joining_Group=:\Asadhe\z:}', "");;
    Expect(1, 1832, '\p{Joining_Group:		_sadhe}', "");
    Expect(0, 1832, '\p{^Joining_Group:		_sadhe}', "");
    Expect(0, 1832, '\P{Joining_Group:		_sadhe}', "");
    Expect(1, 1832, '\P{^Joining_Group:		_sadhe}', "");
    Expect(0, 1833, '\p{Joining_Group:		_sadhe}', "");
    Expect(1, 1833, '\p{^Joining_Group:		_sadhe}', "");
    Expect(1, 1833, '\P{Joining_Group:		_sadhe}', "");
    Expect(0, 1833, '\P{^Joining_Group:		_sadhe}', "");
    Error('\p{Jg=/a/-Sadhe}');
    Error('\P{Jg=/a/-Sadhe}');
    Expect(1, 1832, '\p{Jg=:\ASadhe\z:}', "");;
    Expect(0, 1833, '\p{Jg=:\ASadhe\z:}', "");;
    Expect(1, 1832, '\p{Jg=sadhe}', "");
    Expect(0, 1832, '\p{^Jg=sadhe}', "");
    Expect(0, 1832, '\P{Jg=sadhe}', "");
    Expect(1, 1832, '\P{^Jg=sadhe}', "");
    Expect(0, 1833, '\p{Jg=sadhe}', "");
    Expect(1, 1833, '\p{^Jg=sadhe}', "");
    Expect(1, 1833, '\P{Jg=sadhe}', "");
    Expect(0, 1833, '\P{^Jg=sadhe}', "");
    Expect(1, 1832, '\p{Jg=:\Asadhe\z:}', "");;
    Expect(0, 1833, '\p{Jg=:\Asadhe\z:}', "");;
    Expect(1, 1832, '\p{Jg=Sadhe}', "");
    Expect(0, 1832, '\p{^Jg=Sadhe}', "");
    Expect(0, 1832, '\P{Jg=Sadhe}', "");
    Expect(1, 1832, '\P{^Jg=Sadhe}', "");
    Expect(0, 1833, '\p{Jg=Sadhe}', "");
    Expect(1, 1833, '\p{^Jg=Sadhe}', "");
    Expect(1, 1833, '\P{Jg=Sadhe}', "");
    Expect(0, 1833, '\P{^Jg=Sadhe}', "");
    Error('\p{Is_Joining_Group=_sadhe:=}');
    Error('\P{Is_Joining_Group=_sadhe:=}');
    Expect(1, 1832, '\p{Is_Joining_Group=sadhe}', "");
    Expect(0, 1832, '\p{^Is_Joining_Group=sadhe}', "");
    Expect(0, 1832, '\P{Is_Joining_Group=sadhe}', "");
    Expect(1, 1832, '\P{^Is_Joining_Group=sadhe}', "");
    Expect(0, 1833, '\p{Is_Joining_Group=sadhe}', "");
    Expect(1, 1833, '\p{^Is_Joining_Group=sadhe}', "");
    Expect(1, 1833, '\P{Is_Joining_Group=sadhe}', "");
    Expect(0, 1833, '\P{^Is_Joining_Group=sadhe}', "");
    Expect(1, 1832, '\p{Is_Joining_Group=Sadhe}', "");
    Expect(0, 1832, '\p{^Is_Joining_Group=Sadhe}', "");
    Expect(0, 1832, '\P{Is_Joining_Group=Sadhe}', "");
    Expect(1, 1832, '\P{^Is_Joining_Group=Sadhe}', "");
    Expect(0, 1833, '\p{Is_Joining_Group=Sadhe}', "");
    Expect(1, 1833, '\p{^Is_Joining_Group=Sadhe}', "");
    Expect(1, 1833, '\P{Is_Joining_Group=Sadhe}', "");
    Expect(0, 1833, '\P{^Is_Joining_Group=Sadhe}', "");
    Error('\p{Is_Jg= _sadhe:=}');
    Error('\P{Is_Jg= _sadhe:=}');
    Expect(1, 1832, '\p{Is_Jg:	sadhe}', "");
    Expect(0, 1832, '\p{^Is_Jg:	sadhe}', "");
    Expect(0, 1832, '\P{Is_Jg:	sadhe}', "");
    Expect(1, 1832, '\P{^Is_Jg:	sadhe}', "");
    Expect(0, 1833, '\p{Is_Jg:	sadhe}', "");
    Expect(1, 1833, '\p{^Is_Jg:	sadhe}', "");
    Expect(1, 1833, '\P{Is_Jg:	sadhe}', "");
    Expect(0, 1833, '\P{^Is_Jg:	sadhe}', "");
    Expect(1, 1832, '\p{Is_Jg=_ SADHE}', "");
    Expect(0, 1832, '\p{^Is_Jg=_ SADHE}', "");
    Expect(0, 1832, '\P{Is_Jg=_ SADHE}', "");
    Expect(1, 1832, '\P{^Is_Jg=_ SADHE}', "");
    Expect(0, 1833, '\p{Is_Jg=_ SADHE}', "");
    Expect(1, 1833, '\p{^Is_Jg=_ SADHE}', "");
    Expect(1, 1833, '\P{Is_Jg=_ SADHE}', "");
    Expect(0, 1833, '\P{^Is_Jg=_ SADHE}', "");
    Error('\p{Joining_Group= 	Seen:=}');
    Error('\P{Joining_Group= 	Seen:=}');
    Expect(1, 1918, '\p{Joining_Group=:\ASeen\z:}', "");;
    Expect(0, 1919, '\p{Joining_Group=:\ASeen\z:}', "");;
    Expect(1, 1918, '\p{Joining_Group=seen}', "");
    Expect(0, 1918, '\p{^Joining_Group=seen}', "");
    Expect(0, 1918, '\P{Joining_Group=seen}', "");
    Expect(1, 1918, '\P{^Joining_Group=seen}', "");
    Expect(0, 1919, '\p{Joining_Group=seen}', "");
    Expect(1, 1919, '\p{^Joining_Group=seen}', "");
    Expect(1, 1919, '\P{Joining_Group=seen}', "");
    Expect(0, 1919, '\P{^Joining_Group=seen}', "");
    Expect(1, 1918, '\p{Joining_Group=:\Aseen\z:}', "");;
    Expect(0, 1919, '\p{Joining_Group=:\Aseen\z:}', "");;
    Expect(1, 1918, '\p{Joining_Group=-seen}', "");
    Expect(0, 1918, '\p{^Joining_Group=-seen}', "");
    Expect(0, 1918, '\P{Joining_Group=-seen}', "");
    Expect(1, 1918, '\P{^Joining_Group=-seen}', "");
    Expect(0, 1919, '\p{Joining_Group=-seen}', "");
    Expect(1, 1919, '\p{^Joining_Group=-seen}', "");
    Expect(1, 1919, '\P{Joining_Group=-seen}', "");
    Expect(0, 1919, '\P{^Joining_Group=-seen}', "");
    Error('\p{Jg=-:=seen}');
    Error('\P{Jg=-:=seen}');
    Expect(1, 1918, '\p{Jg=:\ASeen\z:}', "");;
    Expect(0, 1919, '\p{Jg=:\ASeen\z:}', "");;
    Expect(1, 1918, '\p{Jg=seen}', "");
    Expect(0, 1918, '\p{^Jg=seen}', "");
    Expect(0, 1918, '\P{Jg=seen}', "");
    Expect(1, 1918, '\P{^Jg=seen}', "");
    Expect(0, 1919, '\p{Jg=seen}', "");
    Expect(1, 1919, '\p{^Jg=seen}', "");
    Expect(1, 1919, '\P{Jg=seen}', "");
    Expect(0, 1919, '\P{^Jg=seen}', "");
    Expect(1, 1918, '\p{Jg=:\Aseen\z:}', "");;
    Expect(0, 1919, '\p{Jg=:\Aseen\z:}', "");;
    Expect(1, 1918, '\p{Jg: 	SEEN}', "");
    Expect(0, 1918, '\p{^Jg: 	SEEN}', "");
    Expect(0, 1918, '\P{Jg: 	SEEN}', "");
    Expect(1, 1918, '\P{^Jg: 	SEEN}', "");
    Expect(0, 1919, '\p{Jg: 	SEEN}', "");
    Expect(1, 1919, '\p{^Jg: 	SEEN}', "");
    Expect(1, 1919, '\P{Jg: 	SEEN}', "");
    Expect(0, 1919, '\P{^Jg: 	SEEN}', "");
    Error('\p{Is_Joining_Group=		Seen/a/}');
    Error('\P{Is_Joining_Group=		Seen/a/}');
    Expect(1, 1918, '\p{Is_Joining_Group=seen}', "");
    Expect(0, 1918, '\p{^Is_Joining_Group=seen}', "");
    Expect(0, 1918, '\P{Is_Joining_Group=seen}', "");
    Expect(1, 1918, '\P{^Is_Joining_Group=seen}', "");
    Expect(0, 1919, '\p{Is_Joining_Group=seen}', "");
    Expect(1, 1919, '\p{^Is_Joining_Group=seen}', "");
    Expect(1, 1919, '\P{Is_Joining_Group=seen}', "");
    Expect(0, 1919, '\P{^Is_Joining_Group=seen}', "");
    Expect(1, 1918, '\p{Is_Joining_Group=__SEEN}', "");
    Expect(0, 1918, '\p{^Is_Joining_Group=__SEEN}', "");
    Expect(0, 1918, '\P{Is_Joining_Group=__SEEN}', "");
    Expect(1, 1918, '\P{^Is_Joining_Group=__SEEN}', "");
    Expect(0, 1919, '\p{Is_Joining_Group=__SEEN}', "");
    Expect(1, 1919, '\p{^Is_Joining_Group=__SEEN}', "");
    Expect(1, 1919, '\P{Is_Joining_Group=__SEEN}', "");
    Expect(0, 1919, '\P{^Is_Joining_Group=__SEEN}', "");
    Error('\p{Is_Jg=/a/-_SEEN}');
    Error('\P{Is_Jg=/a/-_SEEN}');
    Expect(1, 1918, '\p{Is_Jg=seen}', "");
    Expect(0, 1918, '\p{^Is_Jg=seen}', "");
    Expect(0, 1918, '\P{Is_Jg=seen}', "");
    Expect(1, 1918, '\P{^Is_Jg=seen}', "");
    Expect(0, 1919, '\p{Is_Jg=seen}', "");
    Expect(1, 1919, '\p{^Is_Jg=seen}', "");
    Expect(1, 1919, '\P{Is_Jg=seen}', "");
    Expect(0, 1919, '\P{^Is_Jg=seen}', "");
    Expect(1, 1918, '\p{Is_Jg=	 Seen}', "");
    Expect(0, 1918, '\p{^Is_Jg=	 Seen}', "");
    Expect(0, 1918, '\P{Is_Jg=	 Seen}', "");
    Expect(1, 1918, '\P{^Is_Jg=	 Seen}', "");
    Expect(0, 1919, '\p{Is_Jg=	 Seen}', "");
    Expect(1, 1919, '\p{^Is_Jg=	 Seen}', "");
    Expect(1, 1919, '\P{Is_Jg=	 Seen}', "");
    Expect(0, 1919, '\P{^Is_Jg=	 Seen}', "");
    Error('\p{Joining_Group=/a/_-Semkath}');
    Error('\P{Joining_Group=/a/_-Semkath}');
    Expect(1, 1827, '\p{Joining_Group=:\ASemkath\z:}', "");;
    Expect(0, 1828, '\p{Joining_Group=:\ASemkath\z:}', "");;
    Expect(1, 1827, '\p{Joining_Group=semkath}', "");
    Expect(0, 1827, '\p{^Joining_Group=semkath}', "");
    Expect(0, 1827, '\P{Joining_Group=semkath}', "");
    Expect(1, 1827, '\P{^Joining_Group=semkath}', "");
    Expect(0, 1828, '\p{Joining_Group=semkath}', "");
    Expect(1, 1828, '\p{^Joining_Group=semkath}', "");
    Expect(1, 1828, '\P{Joining_Group=semkath}', "");
    Expect(0, 1828, '\P{^Joining_Group=semkath}', "");
    Expect(1, 1827, '\p{Joining_Group=:\Asemkath\z:}', "");;
    Expect(0, 1828, '\p{Joining_Group=:\Asemkath\z:}', "");;
    Expect(1, 1827, '\p{Joining_Group:Semkath}', "");
    Expect(0, 1827, '\p{^Joining_Group:Semkath}', "");
    Expect(0, 1827, '\P{Joining_Group:Semkath}', "");
    Expect(1, 1827, '\P{^Joining_Group:Semkath}', "");
    Expect(0, 1828, '\p{Joining_Group:Semkath}', "");
    Expect(1, 1828, '\p{^Joining_Group:Semkath}', "");
    Expect(1, 1828, '\P{Joining_Group:Semkath}', "");
    Expect(0, 1828, '\P{^Joining_Group:Semkath}', "");
    Error('\p{Jg=	semkath:=}');
    Error('\P{Jg=	semkath:=}');
    Expect(1, 1827, '\p{Jg=:\ASemkath\z:}', "");;
    Expect(0, 1828, '\p{Jg=:\ASemkath\z:}', "");;
    Expect(1, 1827, '\p{Jg=semkath}', "");
    Expect(0, 1827, '\p{^Jg=semkath}', "");
    Expect(0, 1827, '\P{Jg=semkath}', "");
    Expect(1, 1827, '\P{^Jg=semkath}', "");
    Expect(0, 1828, '\p{Jg=semkath}', "");
    Expect(1, 1828, '\p{^Jg=semkath}', "");
    Expect(1, 1828, '\P{Jg=semkath}', "");
    Expect(0, 1828, '\P{^Jg=semkath}', "");
    Expect(1, 1827, '\p{Jg=:\Asemkath\z:}', "");;
    Expect(0, 1828, '\p{Jg=:\Asemkath\z:}', "");;
    Expect(1, 1827, '\p{Jg=- semkath}', "");
    Expect(0, 1827, '\p{^Jg=- semkath}', "");
    Expect(0, 1827, '\P{Jg=- semkath}', "");
    Expect(1, 1827, '\P{^Jg=- semkath}', "");
    Expect(0, 1828, '\p{Jg=- semkath}', "");
    Expect(1, 1828, '\p{^Jg=- semkath}', "");
    Expect(1, 1828, '\P{Jg=- semkath}', "");
    Expect(0, 1828, '\P{^Jg=- semkath}', "");
    Error('\p{Is_Joining_Group=:= -semkath}');
    Error('\P{Is_Joining_Group=:= -semkath}');
    Expect(1, 1827, '\p{Is_Joining_Group=semkath}', "");
    Expect(0, 1827, '\p{^Is_Joining_Group=semkath}', "");
    Expect(0, 1827, '\P{Is_Joining_Group=semkath}', "");
    Expect(1, 1827, '\P{^Is_Joining_Group=semkath}', "");
    Expect(0, 1828, '\p{Is_Joining_Group=semkath}', "");
    Expect(1, 1828, '\p{^Is_Joining_Group=semkath}', "");
    Expect(1, 1828, '\P{Is_Joining_Group=semkath}', "");
    Expect(0, 1828, '\P{^Is_Joining_Group=semkath}', "");
    Expect(1, 1827, '\p{Is_Joining_Group:_ semkath}', "");
    Expect(0, 1827, '\p{^Is_Joining_Group:_ semkath}', "");
    Expect(0, 1827, '\P{Is_Joining_Group:_ semkath}', "");
    Expect(1, 1827, '\P{^Is_Joining_Group:_ semkath}', "");
    Expect(0, 1828, '\p{Is_Joining_Group:_ semkath}', "");
    Expect(1, 1828, '\p{^Is_Joining_Group:_ semkath}', "");
    Expect(1, 1828, '\P{Is_Joining_Group:_ semkath}', "");
    Expect(0, 1828, '\P{^Is_Joining_Group:_ semkath}', "");
    Error('\p{Is_Jg:  SEMKATH:=}');
    Error('\P{Is_Jg:  SEMKATH:=}');
    Expect(1, 1827, '\p{Is_Jg=semkath}', "");
    Expect(0, 1827, '\p{^Is_Jg=semkath}', "");
    Expect(0, 1827, '\P{Is_Jg=semkath}', "");
    Expect(1, 1827, '\P{^Is_Jg=semkath}', "");
    Expect(0, 1828, '\p{Is_Jg=semkath}', "");
    Expect(1, 1828, '\p{^Is_Jg=semkath}', "");
    Expect(1, 1828, '\P{Is_Jg=semkath}', "");
    Expect(0, 1828, '\P{^Is_Jg=semkath}', "");
    Expect(1, 1827, '\p{Is_Jg=	semkath}', "");
    Expect(0, 1827, '\p{^Is_Jg=	semkath}', "");
    Expect(0, 1827, '\P{Is_Jg=	semkath}', "");
    Expect(1, 1827, '\P{^Is_Jg=	semkath}', "");
    Expect(0, 1828, '\p{Is_Jg=	semkath}', "");
    Expect(1, 1828, '\p{^Is_Jg=	semkath}', "");
    Expect(1, 1828, '\P{Is_Jg=	semkath}', "");
    Expect(0, 1828, '\P{^Is_Jg=	semkath}', "");
    Error('\p{Joining_Group=-/a/Shin}');
    Error('\P{Joining_Group=-/a/Shin}');
    Expect(1, 1835, '\p{Joining_Group=:\AShin\z:}', "");;
    Expect(0, 1836, '\p{Joining_Group=:\AShin\z:}', "");;
    Expect(1, 1835, '\p{Joining_Group=shin}', "");
    Expect(0, 1835, '\p{^Joining_Group=shin}', "");
    Expect(0, 1835, '\P{Joining_Group=shin}', "");
    Expect(1, 1835, '\P{^Joining_Group=shin}', "");
    Expect(0, 1836, '\p{Joining_Group=shin}', "");
    Expect(1, 1836, '\p{^Joining_Group=shin}', "");
    Expect(1, 1836, '\P{Joining_Group=shin}', "");
    Expect(0, 1836, '\P{^Joining_Group=shin}', "");
    Expect(1, 1835, '\p{Joining_Group=:\Ashin\z:}', "");;
    Expect(0, 1836, '\p{Joining_Group=:\Ashin\z:}', "");;
    Expect(1, 1835, '\p{Joining_Group: -	SHIN}', "");
    Expect(0, 1835, '\p{^Joining_Group: -	SHIN}', "");
    Expect(0, 1835, '\P{Joining_Group: -	SHIN}', "");
    Expect(1, 1835, '\P{^Joining_Group: -	SHIN}', "");
    Expect(0, 1836, '\p{Joining_Group: -	SHIN}', "");
    Expect(1, 1836, '\p{^Joining_Group: -	SHIN}', "");
    Expect(1, 1836, '\P{Joining_Group: -	SHIN}', "");
    Expect(0, 1836, '\P{^Joining_Group: -	SHIN}', "");
    Error('\p{Jg=/a/		SHIN}');
    Error('\P{Jg=/a/		SHIN}');
    Expect(1, 1835, '\p{Jg=:\AShin\z:}', "");;
    Expect(0, 1836, '\p{Jg=:\AShin\z:}', "");;
    Expect(1, 1835, '\p{Jg=shin}', "");
    Expect(0, 1835, '\p{^Jg=shin}', "");
    Expect(0, 1835, '\P{Jg=shin}', "");
    Expect(1, 1835, '\P{^Jg=shin}', "");
    Expect(0, 1836, '\p{Jg=shin}', "");
    Expect(1, 1836, '\p{^Jg=shin}', "");
    Expect(1, 1836, '\P{Jg=shin}', "");
    Expect(0, 1836, '\P{^Jg=shin}', "");
    Expect(1, 1835, '\p{Jg=:\Ashin\z:}', "");;
    Expect(0, 1836, '\p{Jg=:\Ashin\z:}', "");;
    Expect(1, 1835, '\p{Jg=_SHIN}', "");
    Expect(0, 1835, '\p{^Jg=_SHIN}', "");
    Expect(0, 1835, '\P{Jg=_SHIN}', "");
    Expect(1, 1835, '\P{^Jg=_SHIN}', "");
    Expect(0, 1836, '\p{Jg=_SHIN}', "");
    Expect(1, 1836, '\p{^Jg=_SHIN}', "");
    Expect(1, 1836, '\P{Jg=_SHIN}', "");
    Expect(0, 1836, '\P{^Jg=_SHIN}', "");
    Error('\p{Is_Joining_Group=_	shin/a/}');
    Error('\P{Is_Joining_Group=_	shin/a/}');
    Expect(1, 1835, '\p{Is_Joining_Group=shin}', "");
    Expect(0, 1835, '\p{^Is_Joining_Group=shin}', "");
    Expect(0, 1835, '\P{Is_Joining_Group=shin}', "");
    Expect(1, 1835, '\P{^Is_Joining_Group=shin}', "");
    Expect(0, 1836, '\p{Is_Joining_Group=shin}', "");
    Expect(1, 1836, '\p{^Is_Joining_Group=shin}', "");
    Expect(1, 1836, '\P{Is_Joining_Group=shin}', "");
    Expect(0, 1836, '\P{^Is_Joining_Group=shin}', "");
    Expect(1, 1835, '\p{Is_Joining_Group:	_SHIN}', "");
    Expect(0, 1835, '\p{^Is_Joining_Group:	_SHIN}', "");
    Expect(0, 1835, '\P{Is_Joining_Group:	_SHIN}', "");
    Expect(1, 1835, '\P{^Is_Joining_Group:	_SHIN}', "");
    Expect(0, 1836, '\p{Is_Joining_Group:	_SHIN}', "");
    Expect(1, 1836, '\p{^Is_Joining_Group:	_SHIN}', "");
    Expect(1, 1836, '\P{Is_Joining_Group:	_SHIN}', "");
    Expect(0, 1836, '\P{^Is_Joining_Group:	_SHIN}', "");
    Error('\p{Is_Jg= :=shin}');
    Error('\P{Is_Jg= :=shin}');
    Expect(1, 1835, '\p{Is_Jg=shin}', "");
    Expect(0, 1835, '\p{^Is_Jg=shin}', "");
    Expect(0, 1835, '\P{Is_Jg=shin}', "");
    Expect(1, 1835, '\P{^Is_Jg=shin}', "");
    Expect(0, 1836, '\p{Is_Jg=shin}', "");
    Expect(1, 1836, '\p{^Is_Jg=shin}', "");
    Expect(1, 1836, '\P{Is_Jg=shin}', "");
    Expect(0, 1836, '\P{^Is_Jg=shin}', "");
    Expect(1, 1835, '\p{Is_Jg=		Shin}', "");
    Expect(0, 1835, '\p{^Is_Jg=		Shin}', "");
    Expect(0, 1835, '\P{Is_Jg=		Shin}', "");
    Expect(1, 1835, '\P{^Is_Jg=		Shin}', "");
    Expect(0, 1836, '\p{Is_Jg=		Shin}', "");
    Expect(1, 1836, '\p{^Is_Jg=		Shin}', "");
    Expect(1, 1836, '\P{Is_Jg=		Shin}', "");
    Expect(0, 1836, '\P{^Is_Jg=		Shin}', "");
    Error('\p{Joining_Group=__Straight_Waw:=}');
    Error('\P{Joining_Group=__Straight_Waw:=}');
    Expect(1, 2225, '\p{Joining_Group=:\AStraight_Waw\z:}', "");;
    Expect(0, 2226, '\p{Joining_Group=:\AStraight_Waw\z:}', "");;
    Expect(1, 2225, '\p{Joining_Group=straightwaw}', "");
    Expect(0, 2225, '\p{^Joining_Group=straightwaw}', "");
    Expect(0, 2225, '\P{Joining_Group=straightwaw}', "");
    Expect(1, 2225, '\P{^Joining_Group=straightwaw}', "");
    Expect(0, 2226, '\p{Joining_Group=straightwaw}', "");
    Expect(1, 2226, '\p{^Joining_Group=straightwaw}', "");
    Expect(1, 2226, '\P{Joining_Group=straightwaw}', "");
    Expect(0, 2226, '\P{^Joining_Group=straightwaw}', "");
    Expect(1, 2225, '\p{Joining_Group=:\Astraightwaw\z:}', "");;
    Expect(0, 2226, '\p{Joining_Group=:\Astraightwaw\z:}', "");;
    Expect(1, 2225, '\p{Joining_Group= _Straight_WAW}', "");
    Expect(0, 2225, '\p{^Joining_Group= _Straight_WAW}', "");
    Expect(0, 2225, '\P{Joining_Group= _Straight_WAW}', "");
    Expect(1, 2225, '\P{^Joining_Group= _Straight_WAW}', "");
    Expect(0, 2226, '\p{Joining_Group= _Straight_WAW}', "");
    Expect(1, 2226, '\p{^Joining_Group= _Straight_WAW}', "");
    Expect(1, 2226, '\P{Joining_Group= _Straight_WAW}', "");
    Expect(0, 2226, '\P{^Joining_Group= _Straight_WAW}', "");
    Error('\p{Jg=--STRAIGHT_waw/a/}');
    Error('\P{Jg=--STRAIGHT_waw/a/}');
    Expect(1, 2225, '\p{Jg=:\AStraight_Waw\z:}', "");;
    Expect(0, 2226, '\p{Jg=:\AStraight_Waw\z:}', "");;
    Expect(1, 2225, '\p{Jg=straightwaw}', "");
    Expect(0, 2225, '\p{^Jg=straightwaw}', "");
    Expect(0, 2225, '\P{Jg=straightwaw}', "");
    Expect(1, 2225, '\P{^Jg=straightwaw}', "");
    Expect(0, 2226, '\p{Jg=straightwaw}', "");
    Expect(1, 2226, '\p{^Jg=straightwaw}', "");
    Expect(1, 2226, '\P{Jg=straightwaw}', "");
    Expect(0, 2226, '\P{^Jg=straightwaw}', "");
    Expect(1, 2225, '\p{Jg=:\Astraightwaw\z:}', "");;
    Expect(0, 2226, '\p{Jg=:\Astraightwaw\z:}', "");;
    Expect(1, 2225, '\p{Jg=_Straight_waw}', "");
    Expect(0, 2225, '\p{^Jg=_Straight_waw}', "");
    Expect(0, 2225, '\P{Jg=_Straight_waw}', "");
    Expect(1, 2225, '\P{^Jg=_Straight_waw}', "");
    Expect(0, 2226, '\p{Jg=_Straight_waw}', "");
    Expect(1, 2226, '\p{^Jg=_Straight_waw}', "");
    Expect(1, 2226, '\P{Jg=_Straight_waw}', "");
    Expect(0, 2226, '\P{^Jg=_Straight_waw}', "");
    Error('\p{Is_Joining_Group=:=	 STRAIGHT_Waw}');
    Error('\P{Is_Joining_Group=:=	 STRAIGHT_Waw}');
    Expect(1, 2225, '\p{Is_Joining_Group:	straightwaw}', "");
    Expect(0, 2225, '\p{^Is_Joining_Group:	straightwaw}', "");
    Expect(0, 2225, '\P{Is_Joining_Group:	straightwaw}', "");
    Expect(1, 2225, '\P{^Is_Joining_Group:	straightwaw}', "");
    Expect(0, 2226, '\p{Is_Joining_Group:	straightwaw}', "");
    Expect(1, 2226, '\p{^Is_Joining_Group:	straightwaw}', "");
    Expect(1, 2226, '\P{Is_Joining_Group:	straightwaw}', "");
    Expect(0, 2226, '\P{^Is_Joining_Group:	straightwaw}', "");
    Expect(1, 2225, '\p{Is_Joining_Group= _straight_WAW}', "");
    Expect(0, 2225, '\p{^Is_Joining_Group= _straight_WAW}', "");
    Expect(0, 2225, '\P{Is_Joining_Group= _straight_WAW}', "");
    Expect(1, 2225, '\P{^Is_Joining_Group= _straight_WAW}', "");
    Expect(0, 2226, '\p{Is_Joining_Group= _straight_WAW}', "");
    Expect(1, 2226, '\p{^Is_Joining_Group= _straight_WAW}', "");
    Expect(1, 2226, '\P{Is_Joining_Group= _straight_WAW}', "");
    Expect(0, 2226, '\P{^Is_Joining_Group= _straight_WAW}', "");
    Error('\p{Is_Jg=/a/-	Straight_Waw}');
    Error('\P{Is_Jg=/a/-	Straight_Waw}');
    Expect(1, 2225, '\p{Is_Jg=straightwaw}', "");
    Expect(0, 2225, '\p{^Is_Jg=straightwaw}', "");
    Expect(0, 2225, '\P{Is_Jg=straightwaw}', "");
    Expect(1, 2225, '\P{^Is_Jg=straightwaw}', "");
    Expect(0, 2226, '\p{Is_Jg=straightwaw}', "");
    Expect(1, 2226, '\p{^Is_Jg=straightwaw}', "");
    Expect(1, 2226, '\P{Is_Jg=straightwaw}', "");
    Expect(0, 2226, '\P{^Is_Jg=straightwaw}', "");
    Expect(1, 2225, '\p{Is_Jg=	straight_Waw}', "");
    Expect(0, 2225, '\p{^Is_Jg=	straight_Waw}', "");
    Expect(0, 2225, '\P{Is_Jg=	straight_Waw}', "");
    Expect(1, 2225, '\P{^Is_Jg=	straight_Waw}', "");
    Expect(0, 2226, '\p{Is_Jg=	straight_Waw}', "");
    Expect(1, 2226, '\p{^Is_Jg=	straight_Waw}', "");
    Expect(1, 2226, '\P{Is_Jg=	straight_Waw}', "");
    Expect(0, 2226, '\P{^Is_Jg=	straight_Waw}', "");
    Error('\p{Joining_Group=	/a/SWASH_KAF}');
    Error('\P{Joining_Group=	/a/SWASH_KAF}');
    Expect(1, 1706, '\p{Joining_Group=:\ASwash_Kaf\z:}', "");;
    Expect(0, 1707, '\p{Joining_Group=:\ASwash_Kaf\z:}', "");;
    Expect(1, 1706, '\p{Joining_Group=swashkaf}', "");
    Expect(0, 1706, '\p{^Joining_Group=swashkaf}', "");
    Expect(0, 1706, '\P{Joining_Group=swashkaf}', "");
    Expect(1, 1706, '\P{^Joining_Group=swashkaf}', "");
    Expect(0, 1707, '\p{Joining_Group=swashkaf}', "");
    Expect(1, 1707, '\p{^Joining_Group=swashkaf}', "");
    Expect(1, 1707, '\P{Joining_Group=swashkaf}', "");
    Expect(0, 1707, '\P{^Joining_Group=swashkaf}', "");
    Expect(1, 1706, '\p{Joining_Group=:\Aswashkaf\z:}', "");;
    Expect(0, 1707, '\p{Joining_Group=:\Aswashkaf\z:}', "");;
    Expect(1, 1706, '\p{Joining_Group=- Swash_KAF}', "");
    Expect(0, 1706, '\p{^Joining_Group=- Swash_KAF}', "");
    Expect(0, 1706, '\P{Joining_Group=- Swash_KAF}', "");
    Expect(1, 1706, '\P{^Joining_Group=- Swash_KAF}', "");
    Expect(0, 1707, '\p{Joining_Group=- Swash_KAF}', "");
    Expect(1, 1707, '\p{^Joining_Group=- Swash_KAF}', "");
    Expect(1, 1707, '\P{Joining_Group=- Swash_KAF}', "");
    Expect(0, 1707, '\P{^Joining_Group=- Swash_KAF}', "");
    Error('\p{Jg= Swash_Kaf:=}');
    Error('\P{Jg= Swash_Kaf:=}');
    Expect(1, 1706, '\p{Jg=:\ASwash_Kaf\z:}', "");;
    Expect(0, 1707, '\p{Jg=:\ASwash_Kaf\z:}', "");;
    Expect(1, 1706, '\p{Jg=swashkaf}', "");
    Expect(0, 1706, '\p{^Jg=swashkaf}', "");
    Expect(0, 1706, '\P{Jg=swashkaf}', "");
    Expect(1, 1706, '\P{^Jg=swashkaf}', "");
    Expect(0, 1707, '\p{Jg=swashkaf}', "");
    Expect(1, 1707, '\p{^Jg=swashkaf}', "");
    Expect(1, 1707, '\P{Jg=swashkaf}', "");
    Expect(0, 1707, '\P{^Jg=swashkaf}', "");
    Expect(1, 1706, '\p{Jg=:\Aswashkaf\z:}', "");;
    Expect(0, 1707, '\p{Jg=:\Aswashkaf\z:}', "");;
    Expect(1, 1706, '\p{Jg=_Swash_Kaf}', "");
    Expect(0, 1706, '\p{^Jg=_Swash_Kaf}', "");
    Expect(0, 1706, '\P{Jg=_Swash_Kaf}', "");
    Expect(1, 1706, '\P{^Jg=_Swash_Kaf}', "");
    Expect(0, 1707, '\p{Jg=_Swash_Kaf}', "");
    Expect(1, 1707, '\p{^Jg=_Swash_Kaf}', "");
    Expect(1, 1707, '\P{Jg=_Swash_Kaf}', "");
    Expect(0, 1707, '\P{^Jg=_Swash_Kaf}', "");
    Error('\p{Is_Joining_Group=/a/_-Swash_kaf}');
    Error('\P{Is_Joining_Group=/a/_-Swash_kaf}');
    Expect(1, 1706, '\p{Is_Joining_Group=swashkaf}', "");
    Expect(0, 1706, '\p{^Is_Joining_Group=swashkaf}', "");
    Expect(0, 1706, '\P{Is_Joining_Group=swashkaf}', "");
    Expect(1, 1706, '\P{^Is_Joining_Group=swashkaf}', "");
    Expect(0, 1707, '\p{Is_Joining_Group=swashkaf}', "");
    Expect(1, 1707, '\p{^Is_Joining_Group=swashkaf}', "");
    Expect(1, 1707, '\P{Is_Joining_Group=swashkaf}', "");
    Expect(0, 1707, '\P{^Is_Joining_Group=swashkaf}', "");
    Expect(1, 1706, '\p{Is_Joining_Group=-Swash_Kaf}', "");
    Expect(0, 1706, '\p{^Is_Joining_Group=-Swash_Kaf}', "");
    Expect(0, 1706, '\P{Is_Joining_Group=-Swash_Kaf}', "");
    Expect(1, 1706, '\P{^Is_Joining_Group=-Swash_Kaf}', "");
    Expect(0, 1707, '\p{Is_Joining_Group=-Swash_Kaf}', "");
    Expect(1, 1707, '\p{^Is_Joining_Group=-Swash_Kaf}', "");
    Expect(1, 1707, '\P{Is_Joining_Group=-Swash_Kaf}', "");
    Expect(0, 1707, '\P{^Is_Joining_Group=-Swash_Kaf}', "");
    Error('\p{Is_Jg= :=swash_Kaf}');
    Error('\P{Is_Jg= :=swash_Kaf}');
    Expect(1, 1706, '\p{Is_Jg=swashkaf}', "");
    Expect(0, 1706, '\p{^Is_Jg=swashkaf}', "");
    Expect(0, 1706, '\P{Is_Jg=swashkaf}', "");
    Expect(1, 1706, '\P{^Is_Jg=swashkaf}', "");
    Expect(0, 1707, '\p{Is_Jg=swashkaf}', "");
    Expect(1, 1707, '\p{^Is_Jg=swashkaf}', "");
    Expect(1, 1707, '\P{Is_Jg=swashkaf}', "");
    Expect(0, 1707, '\P{^Is_Jg=swashkaf}', "");
    Expect(1, 1706, '\p{Is_Jg=	_Swash_Kaf}', "");
    Expect(0, 1706, '\p{^Is_Jg=	_Swash_Kaf}', "");
    Expect(0, 1706, '\P{Is_Jg=	_Swash_Kaf}', "");
    Expect(1, 1706, '\P{^Is_Jg=	_Swash_Kaf}', "");
    Expect(0, 1707, '\p{Is_Jg=	_Swash_Kaf}', "");
    Expect(1, 1707, '\p{^Is_Jg=	_Swash_Kaf}', "");
    Expect(1, 1707, '\P{Is_Jg=	_Swash_Kaf}', "");
    Expect(0, 1707, '\P{^Is_Jg=	_Swash_Kaf}', "");
    Error('\p{Joining_Group:__Syriac_Waw:=}');
    Error('\P{Joining_Group:__Syriac_Waw:=}');
    Expect(1, 1816, '\p{Joining_Group=:\ASyriac_Waw\z:}', "");;
    Expect(0, 1817, '\p{Joining_Group=:\ASyriac_Waw\z:}', "");;
    Expect(1, 1816, '\p{Joining_Group=syriacwaw}', "");
    Expect(0, 1816, '\p{^Joining_Group=syriacwaw}', "");
    Expect(0, 1816, '\P{Joining_Group=syriacwaw}', "");
    Expect(1, 1816, '\P{^Joining_Group=syriacwaw}', "");
    Expect(0, 1817, '\p{Joining_Group=syriacwaw}', "");
    Expect(1, 1817, '\p{^Joining_Group=syriacwaw}', "");
    Expect(1, 1817, '\P{Joining_Group=syriacwaw}', "");
    Expect(0, 1817, '\P{^Joining_Group=syriacwaw}', "");
    Expect(1, 1816, '\p{Joining_Group=:\Asyriacwaw\z:}', "");;
    Expect(0, 1817, '\p{Joining_Group=:\Asyriacwaw\z:}', "");;
    Expect(1, 1816, '\p{Joining_Group=	 SYRIAC_Waw}', "");
    Expect(0, 1816, '\p{^Joining_Group=	 SYRIAC_Waw}', "");
    Expect(0, 1816, '\P{Joining_Group=	 SYRIAC_Waw}', "");
    Expect(1, 1816, '\P{^Joining_Group=	 SYRIAC_Waw}', "");
    Expect(0, 1817, '\p{Joining_Group=	 SYRIAC_Waw}', "");
    Expect(1, 1817, '\p{^Joining_Group=	 SYRIAC_Waw}', "");
    Expect(1, 1817, '\P{Joining_Group=	 SYRIAC_Waw}', "");
    Expect(0, 1817, '\P{^Joining_Group=	 SYRIAC_Waw}', "");
    Error('\p{Jg=_	Syriac_waw:=}');
    Error('\P{Jg=_	Syriac_waw:=}');
    Expect(1, 1816, '\p{Jg=:\ASyriac_Waw\z:}', "");;
    Expect(0, 1817, '\p{Jg=:\ASyriac_Waw\z:}', "");;
    Expect(1, 1816, '\p{Jg=syriacwaw}', "");
    Expect(0, 1816, '\p{^Jg=syriacwaw}', "");
    Expect(0, 1816, '\P{Jg=syriacwaw}', "");
    Expect(1, 1816, '\P{^Jg=syriacwaw}', "");
    Expect(0, 1817, '\p{Jg=syriacwaw}', "");
    Expect(1, 1817, '\p{^Jg=syriacwaw}', "");
    Expect(1, 1817, '\P{Jg=syriacwaw}', "");
    Expect(0, 1817, '\P{^Jg=syriacwaw}', "");
    Expect(1, 1816, '\p{Jg=:\Asyriacwaw\z:}', "");;
    Expect(0, 1817, '\p{Jg=:\Asyriacwaw\z:}', "");;
    Expect(1, 1816, '\p{Jg= Syriac_Waw}', "");
    Expect(0, 1816, '\p{^Jg= Syriac_Waw}', "");
    Expect(0, 1816, '\P{Jg= Syriac_Waw}', "");
    Expect(1, 1816, '\P{^Jg= Syriac_Waw}', "");
    Expect(0, 1817, '\p{Jg= Syriac_Waw}', "");
    Expect(1, 1817, '\p{^Jg= Syriac_Waw}', "");
    Expect(1, 1817, '\P{Jg= Syriac_Waw}', "");
    Expect(0, 1817, '\P{^Jg= Syriac_Waw}', "");
    Error('\p{Is_Joining_Group=/a/	_SYRIAC_Waw}');
    Error('\P{Is_Joining_Group=/a/	_SYRIAC_Waw}');
    Expect(1, 1816, '\p{Is_Joining_Group=syriacwaw}', "");
    Expect(0, 1816, '\p{^Is_Joining_Group=syriacwaw}', "");
    Expect(0, 1816, '\P{Is_Joining_Group=syriacwaw}', "");
    Expect(1, 1816, '\P{^Is_Joining_Group=syriacwaw}', "");
    Expect(0, 1817, '\p{Is_Joining_Group=syriacwaw}', "");
    Expect(1, 1817, '\p{^Is_Joining_Group=syriacwaw}', "");
    Expect(1, 1817, '\P{Is_Joining_Group=syriacwaw}', "");
    Expect(0, 1817, '\P{^Is_Joining_Group=syriacwaw}', "");
    Expect(1, 1816, '\p{Is_Joining_Group=	syriac_WAW}', "");
    Expect(0, 1816, '\p{^Is_Joining_Group=	syriac_WAW}', "");
    Expect(0, 1816, '\P{Is_Joining_Group=	syriac_WAW}', "");
    Expect(1, 1816, '\P{^Is_Joining_Group=	syriac_WAW}', "");
    Expect(0, 1817, '\p{Is_Joining_Group=	syriac_WAW}', "");
    Expect(1, 1817, '\p{^Is_Joining_Group=	syriac_WAW}', "");
    Expect(1, 1817, '\P{Is_Joining_Group=	syriac_WAW}', "");
    Expect(0, 1817, '\P{^Is_Joining_Group=	syriac_WAW}', "");
    Error('\p{Is_Jg=/a/ syriac_Waw}');
    Error('\P{Is_Jg=/a/ syriac_Waw}');
    Expect(1, 1816, '\p{Is_Jg=syriacwaw}', "");
    Expect(0, 1816, '\p{^Is_Jg=syriacwaw}', "");
    Expect(0, 1816, '\P{Is_Jg=syriacwaw}', "");
    Expect(1, 1816, '\P{^Is_Jg=syriacwaw}', "");
    Expect(0, 1817, '\p{Is_Jg=syriacwaw}', "");
    Expect(1, 1817, '\p{^Is_Jg=syriacwaw}', "");
    Expect(1, 1817, '\P{Is_Jg=syriacwaw}', "");
    Expect(0, 1817, '\P{^Is_Jg=syriacwaw}', "");
    Expect(1, 1816, '\p{Is_Jg:  syriac_waw}', "");
    Expect(0, 1816, '\p{^Is_Jg:  syriac_waw}', "");
    Expect(0, 1816, '\P{Is_Jg:  syriac_waw}', "");
    Expect(1, 1816, '\P{^Is_Jg:  syriac_waw}', "");
    Expect(0, 1817, '\p{Is_Jg:  syriac_waw}', "");
    Expect(1, 1817, '\p{^Is_Jg:  syriac_waw}', "");
    Expect(1, 1817, '\P{Is_Jg:  syriac_waw}', "");
    Expect(0, 1817, '\P{^Is_Jg:  syriac_waw}', "");
    Error('\p{Joining_Group:    Tah/a/}');
    Error('\P{Joining_Group:    Tah/a/}');
    Expect(1, 2211, '\p{Joining_Group=:\ATah\z:}', "");;
    Expect(0, 2212, '\p{Joining_Group=:\ATah\z:}', "");;
    Expect(1, 2211, '\p{Joining_Group=tah}', "");
    Expect(0, 2211, '\p{^Joining_Group=tah}', "");
    Expect(0, 2211, '\P{Joining_Group=tah}', "");
    Expect(1, 2211, '\P{^Joining_Group=tah}', "");
    Expect(0, 2212, '\p{Joining_Group=tah}', "");
    Expect(1, 2212, '\p{^Joining_Group=tah}', "");
    Expect(1, 2212, '\P{Joining_Group=tah}', "");
    Expect(0, 2212, '\P{^Joining_Group=tah}', "");
    Expect(1, 2211, '\p{Joining_Group=:\Atah\z:}', "");;
    Expect(0, 2212, '\p{Joining_Group=:\Atah\z:}', "");;
    Expect(1, 2211, '\p{Joining_Group=		Tah}', "");
    Expect(0, 2211, '\p{^Joining_Group=		Tah}', "");
    Expect(0, 2211, '\P{Joining_Group=		Tah}', "");
    Expect(1, 2211, '\P{^Joining_Group=		Tah}', "");
    Expect(0, 2212, '\p{Joining_Group=		Tah}', "");
    Expect(1, 2212, '\p{^Joining_Group=		Tah}', "");
    Expect(1, 2212, '\P{Joining_Group=		Tah}', "");
    Expect(0, 2212, '\P{^Joining_Group=		Tah}', "");
    Error('\p{Jg= tah/a/}');
    Error('\P{Jg= tah/a/}');
    Expect(1, 2211, '\p{Jg=:\ATah\z:}', "");;
    Expect(0, 2212, '\p{Jg=:\ATah\z:}', "");;
    Expect(1, 2211, '\p{Jg=tah}', "");
    Expect(0, 2211, '\p{^Jg=tah}', "");
    Expect(0, 2211, '\P{Jg=tah}', "");
    Expect(1, 2211, '\P{^Jg=tah}', "");
    Expect(0, 2212, '\p{Jg=tah}', "");
    Expect(1, 2212, '\p{^Jg=tah}', "");
    Expect(1, 2212, '\P{Jg=tah}', "");
    Expect(0, 2212, '\P{^Jg=tah}', "");
    Expect(1, 2211, '\p{Jg=:\Atah\z:}', "");;
    Expect(0, 2212, '\p{Jg=:\Atah\z:}', "");;
    Expect(1, 2211, '\p{Jg=_	TAH}', "");
    Expect(0, 2211, '\p{^Jg=_	TAH}', "");
    Expect(0, 2211, '\P{Jg=_	TAH}', "");
    Expect(1, 2211, '\P{^Jg=_	TAH}', "");
    Expect(0, 2212, '\p{Jg=_	TAH}', "");
    Expect(1, 2212, '\p{^Jg=_	TAH}', "");
    Expect(1, 2212, '\P{Jg=_	TAH}', "");
    Expect(0, 2212, '\P{^Jg=_	TAH}', "");
    Error('\p{Is_Joining_Group: :=	-Tah}');
    Error('\P{Is_Joining_Group: :=	-Tah}');
    Expect(1, 2211, '\p{Is_Joining_Group: tah}', "");
    Expect(0, 2211, '\p{^Is_Joining_Group: tah}', "");
    Expect(0, 2211, '\P{Is_Joining_Group: tah}', "");
    Expect(1, 2211, '\P{^Is_Joining_Group: tah}', "");
    Expect(0, 2212, '\p{Is_Joining_Group: tah}', "");
    Expect(1, 2212, '\p{^Is_Joining_Group: tah}', "");
    Expect(1, 2212, '\P{Is_Joining_Group: tah}', "");
    Expect(0, 2212, '\P{^Is_Joining_Group: tah}', "");
    Expect(1, 2211, '\p{Is_Joining_Group=	tah}', "");
    Expect(0, 2211, '\p{^Is_Joining_Group=	tah}', "");
    Expect(0, 2211, '\P{Is_Joining_Group=	tah}', "");
    Expect(1, 2211, '\P{^Is_Joining_Group=	tah}', "");
    Expect(0, 2212, '\p{Is_Joining_Group=	tah}', "");
    Expect(1, 2212, '\p{^Is_Joining_Group=	tah}', "");
    Expect(1, 2212, '\P{Is_Joining_Group=	tah}', "");
    Expect(0, 2212, '\P{^Is_Joining_Group=	tah}', "");
    Error('\p{Is_Jg=		TAH:=}');
    Error('\P{Is_Jg=		TAH:=}');
    Expect(1, 2211, '\p{Is_Jg=tah}', "");
    Expect(0, 2211, '\p{^Is_Jg=tah}', "");
    Expect(0, 2211, '\P{Is_Jg=tah}', "");
    Expect(1, 2211, '\P{^Is_Jg=tah}', "");
    Expect(0, 2212, '\p{Is_Jg=tah}', "");
    Expect(1, 2212, '\p{^Is_Jg=tah}', "");
    Expect(1, 2212, '\P{Is_Jg=tah}', "");
    Expect(0, 2212, '\P{^Is_Jg=tah}', "");
    Expect(1, 2211, '\p{Is_Jg=-	Tah}', "");
    Expect(0, 2211, '\p{^Is_Jg=-	Tah}', "");
    Expect(0, 2211, '\P{Is_Jg=-	Tah}', "");
    Expect(1, 2211, '\P{^Is_Jg=-	Tah}', "");
    Expect(0, 2212, '\p{Is_Jg=-	Tah}', "");
    Expect(1, 2212, '\p{^Is_Jg=-	Tah}', "");
    Expect(1, 2212, '\P{Is_Jg=-	Tah}', "");
    Expect(0, 2212, '\P{^Is_Jg=-	Tah}', "");
    Error('\p{Joining_Group=-taw/a/}');
    Error('\P{Joining_Group=-taw/a/}');
    Expect(1, 1836, '\p{Joining_Group=:\ATaw\z:}', "");;
    Expect(0, 1837, '\p{Joining_Group=:\ATaw\z:}', "");;
    Expect(1, 1836, '\p{Joining_Group: taw}', "");
    Expect(0, 1836, '\p{^Joining_Group: taw}', "");
    Expect(0, 1836, '\P{Joining_Group: taw}', "");
    Expect(1, 1836, '\P{^Joining_Group: taw}', "");
    Expect(0, 1837, '\p{Joining_Group: taw}', "");
    Expect(1, 1837, '\p{^Joining_Group: taw}', "");
    Expect(1, 1837, '\P{Joining_Group: taw}', "");
    Expect(0, 1837, '\P{^Joining_Group: taw}', "");
    Expect(1, 1836, '\p{Joining_Group=:\Ataw\z:}', "");;
    Expect(0, 1837, '\p{Joining_Group=:\Ataw\z:}', "");;
    Expect(1, 1836, '\p{Joining_Group:	-TAW}', "");
    Expect(0, 1836, '\p{^Joining_Group:	-TAW}', "");
    Expect(0, 1836, '\P{Joining_Group:	-TAW}', "");
    Expect(1, 1836, '\P{^Joining_Group:	-TAW}', "");
    Expect(0, 1837, '\p{Joining_Group:	-TAW}', "");
    Expect(1, 1837, '\p{^Joining_Group:	-TAW}', "");
    Expect(1, 1837, '\P{Joining_Group:	-TAW}', "");
    Expect(0, 1837, '\P{^Joining_Group:	-TAW}', "");
    Error('\p{Jg=	_taw/a/}');
    Error('\P{Jg=	_taw/a/}');
    Expect(1, 1836, '\p{Jg=:\ATaw\z:}', "");;
    Expect(0, 1837, '\p{Jg=:\ATaw\z:}', "");;
    Expect(1, 1836, '\p{Jg=taw}', "");
    Expect(0, 1836, '\p{^Jg=taw}', "");
    Expect(0, 1836, '\P{Jg=taw}', "");
    Expect(1, 1836, '\P{^Jg=taw}', "");
    Expect(0, 1837, '\p{Jg=taw}', "");
    Expect(1, 1837, '\p{^Jg=taw}', "");
    Expect(1, 1837, '\P{Jg=taw}', "");
    Expect(0, 1837, '\P{^Jg=taw}', "");
    Expect(1, 1836, '\p{Jg=:\Ataw\z:}', "");;
    Expect(0, 1837, '\p{Jg=:\Ataw\z:}', "");;
    Expect(1, 1836, '\p{Jg: -TAW}', "");
    Expect(0, 1836, '\p{^Jg: -TAW}', "");
    Expect(0, 1836, '\P{Jg: -TAW}', "");
    Expect(1, 1836, '\P{^Jg: -TAW}', "");
    Expect(0, 1837, '\p{Jg: -TAW}', "");
    Expect(1, 1837, '\p{^Jg: -TAW}', "");
    Expect(1, 1837, '\P{Jg: -TAW}', "");
    Expect(0, 1837, '\P{^Jg: -TAW}', "");
    Error('\p{Is_Joining_Group:   -/a/TAW}');
    Error('\P{Is_Joining_Group:   -/a/TAW}');
    Expect(1, 1836, '\p{Is_Joining_Group=taw}', "");
    Expect(0, 1836, '\p{^Is_Joining_Group=taw}', "");
    Expect(0, 1836, '\P{Is_Joining_Group=taw}', "");
    Expect(1, 1836, '\P{^Is_Joining_Group=taw}', "");
    Expect(0, 1837, '\p{Is_Joining_Group=taw}', "");
    Expect(1, 1837, '\p{^Is_Joining_Group=taw}', "");
    Expect(1, 1837, '\P{Is_Joining_Group=taw}', "");
    Expect(0, 1837, '\P{^Is_Joining_Group=taw}', "");
    Expect(1, 1836, '\p{Is_Joining_Group=_-Taw}', "");
    Expect(0, 1836, '\p{^Is_Joining_Group=_-Taw}', "");
    Expect(0, 1836, '\P{Is_Joining_Group=_-Taw}', "");
    Expect(1, 1836, '\P{^Is_Joining_Group=_-Taw}', "");
    Expect(0, 1837, '\p{Is_Joining_Group=_-Taw}', "");
    Expect(1, 1837, '\p{^Is_Joining_Group=_-Taw}', "");
    Expect(1, 1837, '\P{Is_Joining_Group=_-Taw}', "");
    Expect(0, 1837, '\P{^Is_Joining_Group=_-Taw}', "");
    Error('\p{Is_Jg=:=TAW}');
    Error('\P{Is_Jg=:=TAW}');
    Expect(1, 1836, '\p{Is_Jg=taw}', "");
    Expect(0, 1836, '\p{^Is_Jg=taw}', "");
    Expect(0, 1836, '\P{Is_Jg=taw}', "");
    Expect(1, 1836, '\P{^Is_Jg=taw}', "");
    Expect(0, 1837, '\p{Is_Jg=taw}', "");
    Expect(1, 1837, '\p{^Is_Jg=taw}', "");
    Expect(1, 1837, '\P{Is_Jg=taw}', "");
    Expect(0, 1837, '\P{^Is_Jg=taw}', "");
    Expect(1, 1836, '\p{Is_Jg=_ Taw}', "");
    Expect(0, 1836, '\p{^Is_Jg=_ Taw}', "");
    Expect(0, 1836, '\P{Is_Jg=_ Taw}', "");
    Expect(1, 1836, '\P{^Is_Jg=_ Taw}', "");
    Expect(0, 1837, '\p{Is_Jg=_ Taw}', "");
    Expect(1, 1837, '\p{^Is_Jg=_ Taw}', "");
    Expect(1, 1837, '\P{Is_Jg=_ Taw}', "");
    Expect(0, 1837, '\P{^Is_Jg=_ Taw}', "");
    Error('\p{Joining_Group=/a/	-TEH_MARBUTA}');
    Error('\P{Joining_Group=/a/	-TEH_MARBUTA}');
    Expect(1, 1749, '\p{Joining_Group=:\ATeh_Marbuta\z:}', "");;
    Expect(0, 1750, '\p{Joining_Group=:\ATeh_Marbuta\z:}', "");;
    Expect(1, 1749, '\p{Joining_Group=tehmarbuta}', "");
    Expect(0, 1749, '\p{^Joining_Group=tehmarbuta}', "");
    Expect(0, 1749, '\P{Joining_Group=tehmarbuta}', "");
    Expect(1, 1749, '\P{^Joining_Group=tehmarbuta}', "");
    Expect(0, 1750, '\p{Joining_Group=tehmarbuta}', "");
    Expect(1, 1750, '\p{^Joining_Group=tehmarbuta}', "");
    Expect(1, 1750, '\P{Joining_Group=tehmarbuta}', "");
    Expect(0, 1750, '\P{^Joining_Group=tehmarbuta}', "");
    Expect(1, 1749, '\p{Joining_Group=:\Atehmarbuta\z:}', "");;
    Expect(0, 1750, '\p{Joining_Group=:\Atehmarbuta\z:}', "");;
    Expect(1, 1749, '\p{Joining_Group= _Teh_MARBUTA}', "");
    Expect(0, 1749, '\p{^Joining_Group= _Teh_MARBUTA}', "");
    Expect(0, 1749, '\P{Joining_Group= _Teh_MARBUTA}', "");
    Expect(1, 1749, '\P{^Joining_Group= _Teh_MARBUTA}', "");
    Expect(0, 1750, '\p{Joining_Group= _Teh_MARBUTA}', "");
    Expect(1, 1750, '\p{^Joining_Group= _Teh_MARBUTA}', "");
    Expect(1, 1750, '\P{Joining_Group= _Teh_MARBUTA}', "");
    Expect(0, 1750, '\P{^Joining_Group= _Teh_MARBUTA}', "");
    Error('\p{Jg=_:=TEH_Marbuta}');
    Error('\P{Jg=_:=TEH_Marbuta}');
    Expect(1, 1749, '\p{Jg=:\ATeh_Marbuta\z:}', "");;
    Expect(0, 1750, '\p{Jg=:\ATeh_Marbuta\z:}', "");;
    Expect(1, 1749, '\p{Jg=tehmarbuta}', "");
    Expect(0, 1749, '\p{^Jg=tehmarbuta}', "");
    Expect(0, 1749, '\P{Jg=tehmarbuta}', "");
    Expect(1, 1749, '\P{^Jg=tehmarbuta}', "");
    Expect(0, 1750, '\p{Jg=tehmarbuta}', "");
    Expect(1, 1750, '\p{^Jg=tehmarbuta}', "");
    Expect(1, 1750, '\P{Jg=tehmarbuta}', "");
    Expect(0, 1750, '\P{^Jg=tehmarbuta}', "");
    Expect(1, 1749, '\p{Jg=:\Atehmarbuta\z:}', "");;
    Expect(0, 1750, '\p{Jg=:\Atehmarbuta\z:}', "");;
    Expect(1, 1749, '\p{Jg=_ Teh_marbuta}', "");
    Expect(0, 1749, '\p{^Jg=_ Teh_marbuta}', "");
    Expect(0, 1749, '\P{Jg=_ Teh_marbuta}', "");
    Expect(1, 1749, '\P{^Jg=_ Teh_marbuta}', "");
    Expect(0, 1750, '\p{Jg=_ Teh_marbuta}', "");
    Expect(1, 1750, '\p{^Jg=_ Teh_marbuta}', "");
    Expect(1, 1750, '\P{Jg=_ Teh_marbuta}', "");
    Expect(0, 1750, '\P{^Jg=_ Teh_marbuta}', "");
    Error('\p{Is_Joining_Group=-_Teh_marbuta:=}');
    Error('\P{Is_Joining_Group=-_Teh_marbuta:=}');
    Expect(1, 1749, '\p{Is_Joining_Group=tehmarbuta}', "");
    Expect(0, 1749, '\p{^Is_Joining_Group=tehmarbuta}', "");
    Expect(0, 1749, '\P{Is_Joining_Group=tehmarbuta}', "");
    Expect(1, 1749, '\P{^Is_Joining_Group=tehmarbuta}', "");
    Expect(0, 1750, '\p{Is_Joining_Group=tehmarbuta}', "");
    Expect(1, 1750, '\p{^Is_Joining_Group=tehmarbuta}', "");
    Expect(1, 1750, '\P{Is_Joining_Group=tehmarbuta}', "");
    Expect(0, 1750, '\P{^Is_Joining_Group=tehmarbuta}', "");
    Expect(1, 1749, '\p{Is_Joining_Group=  Teh_MARBUTA}', "");
    Expect(0, 1749, '\p{^Is_Joining_Group=  Teh_MARBUTA}', "");
    Expect(0, 1749, '\P{Is_Joining_Group=  Teh_MARBUTA}', "");
    Expect(1, 1749, '\P{^Is_Joining_Group=  Teh_MARBUTA}', "");
    Expect(0, 1750, '\p{Is_Joining_Group=  Teh_MARBUTA}', "");
    Expect(1, 1750, '\p{^Is_Joining_Group=  Teh_MARBUTA}', "");
    Expect(1, 1750, '\P{Is_Joining_Group=  Teh_MARBUTA}', "");
    Expect(0, 1750, '\P{^Is_Joining_Group=  Teh_MARBUTA}', "");
    Error('\p{Is_Jg= teh_Marbuta/a/}');
    Error('\P{Is_Jg= teh_Marbuta/a/}');
    Expect(1, 1749, '\p{Is_Jg=tehmarbuta}', "");
    Expect(0, 1749, '\p{^Is_Jg=tehmarbuta}', "");
    Expect(0, 1749, '\P{Is_Jg=tehmarbuta}', "");
    Expect(1, 1749, '\P{^Is_Jg=tehmarbuta}', "");
    Expect(0, 1750, '\p{Is_Jg=tehmarbuta}', "");
    Expect(1, 1750, '\p{^Is_Jg=tehmarbuta}', "");
    Expect(1, 1750, '\P{Is_Jg=tehmarbuta}', "");
    Expect(0, 1750, '\P{^Is_Jg=tehmarbuta}', "");
    Expect(1, 1749, '\p{Is_Jg=	TEH_MARBUTA}', "");
    Expect(0, 1749, '\p{^Is_Jg=	TEH_MARBUTA}', "");
    Expect(0, 1749, '\P{Is_Jg=	TEH_MARBUTA}', "");
    Expect(1, 1749, '\P{^Is_Jg=	TEH_MARBUTA}', "");
    Expect(0, 1750, '\p{Is_Jg=	TEH_MARBUTA}', "");
    Expect(1, 1750, '\p{^Is_Jg=	TEH_MARBUTA}', "");
    Expect(1, 1750, '\P{Is_Jg=	TEH_MARBUTA}', "");
    Expect(0, 1750, '\P{^Is_Jg=	TEH_MARBUTA}', "");
    Error('\p{Joining_Group=:=- Hamza_On_HEH_Goal}');
    Error('\P{Joining_Group=:=- Hamza_On_HEH_Goal}');
    Expect(1, 1731, '\p{Joining_Group=:\AHamza_On_Heh_Goal\z:}', "");;
    Expect(0, 1732, '\p{Joining_Group=:\AHamza_On_Heh_Goal\z:}', "");;
    Expect(1, 1731, '\p{Joining_Group:	hamzaonhehgoal}', "");
    Expect(0, 1731, '\p{^Joining_Group:	hamzaonhehgoal}', "");
    Expect(0, 1731, '\P{Joining_Group:	hamzaonhehgoal}', "");
    Expect(1, 1731, '\P{^Joining_Group:	hamzaonhehgoal}', "");
    Expect(0, 1732, '\p{Joining_Group:	hamzaonhehgoal}', "");
    Expect(1, 1732, '\p{^Joining_Group:	hamzaonhehgoal}', "");
    Expect(1, 1732, '\P{Joining_Group:	hamzaonhehgoal}', "");
    Expect(0, 1732, '\P{^Joining_Group:	hamzaonhehgoal}', "");
    Expect(1, 1731, '\p{Joining_Group=:\Ahamzaonhehgoal\z:}', "");;
    Expect(0, 1732, '\p{Joining_Group=:\Ahamzaonhehgoal\z:}', "");;
    Expect(1, 1731, '\p{Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Expect(0, 1731, '\p{^Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Expect(0, 1731, '\P{Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Expect(1, 1731, '\P{^Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Expect(0, 1732, '\p{Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Expect(1, 1732, '\p{^Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Expect(1, 1732, '\P{Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Expect(0, 1732, '\P{^Joining_Group= 	Hamza_On_HEH_Goal}', "");
    Error('\p{Jg=	 Teh_Marbuta_goal/a/}');
    Error('\P{Jg=	 Teh_Marbuta_goal/a/}');
    Expect(1, 1731, '\p{Jg=:\ATeh_Marbuta_Goal\z:}', "");;
    Expect(0, 1732, '\p{Jg=:\ATeh_Marbuta_Goal\z:}', "");;
    Expect(1, 1731, '\p{Jg=tehmarbutagoal}', "");
    Expect(0, 1731, '\p{^Jg=tehmarbutagoal}', "");
    Expect(0, 1731, '\P{Jg=tehmarbutagoal}', "");
    Expect(1, 1731, '\P{^Jg=tehmarbutagoal}', "");
    Expect(0, 1732, '\p{Jg=tehmarbutagoal}', "");
    Expect(1, 1732, '\p{^Jg=tehmarbutagoal}', "");
    Expect(1, 1732, '\P{Jg=tehmarbutagoal}', "");
    Expect(0, 1732, '\P{^Jg=tehmarbutagoal}', "");
    Expect(1, 1731, '\p{Jg=:\Atehmarbutagoal\z:}', "");;
    Expect(0, 1732, '\p{Jg=:\Atehmarbutagoal\z:}', "");;
    Expect(1, 1731, '\p{Jg=		teh_marbuta_Goal}', "");
    Expect(0, 1731, '\p{^Jg=		teh_marbuta_Goal}', "");
    Expect(0, 1731, '\P{Jg=		teh_marbuta_Goal}', "");
    Expect(1, 1731, '\P{^Jg=		teh_marbuta_Goal}', "");
    Expect(0, 1732, '\p{Jg=		teh_marbuta_Goal}', "");
    Expect(1, 1732, '\p{^Jg=		teh_marbuta_Goal}', "");
    Expect(1, 1732, '\P{Jg=		teh_marbuta_Goal}', "");
    Expect(0, 1732, '\P{^Jg=		teh_marbuta_Goal}', "");
    Error('\p{Is_Joining_Group=:=-_Hamza_ON_HEH_GOAL}');
    Error('\P{Is_Joining_Group=:=-_Hamza_ON_HEH_GOAL}');
    Expect(1, 1731, '\p{Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(0, 1731, '\p{^Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(0, 1731, '\P{Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(1, 1731, '\P{^Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(0, 1732, '\p{Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(1, 1732, '\p{^Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(1, 1732, '\P{Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(0, 1732, '\P{^Is_Joining_Group=hamzaonhehgoal}', "");
    Expect(1, 1731, '\p{Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Expect(0, 1731, '\p{^Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Expect(0, 1731, '\P{Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Expect(1, 1731, '\P{^Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Expect(0, 1732, '\p{Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Expect(1, 1732, '\p{^Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Expect(1, 1732, '\P{Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Expect(0, 1732, '\P{^Is_Joining_Group=- Hamza_On_Heh_Goal}', "");
    Error('\p{Is_Jg=-	Teh_Marbuta_goal/a/}');
    Error('\P{Is_Jg=-	Teh_Marbuta_goal/a/}');
    Expect(1, 1731, '\p{Is_Jg=tehmarbutagoal}', "");
    Expect(0, 1731, '\p{^Is_Jg=tehmarbutagoal}', "");
    Expect(0, 1731, '\P{Is_Jg=tehmarbutagoal}', "");
    Expect(1, 1731, '\P{^Is_Jg=tehmarbutagoal}', "");
    Expect(0, 1732, '\p{Is_Jg=tehmarbutagoal}', "");
    Expect(1, 1732, '\p{^Is_Jg=tehmarbutagoal}', "");
    Expect(1, 1732, '\P{Is_Jg=tehmarbutagoal}', "");
    Expect(0, 1732, '\P{^Is_Jg=tehmarbutagoal}', "");
    Expect(1, 1731, '\p{Is_Jg=		Teh_Marbuta_Goal}', "");
    Expect(0, 1731, '\p{^Is_Jg=		Teh_Marbuta_Goal}', "");
    Expect(0, 1731, '\P{Is_Jg=		Teh_Marbuta_Goal}', "");
    Expect(1, 1731, '\P{^Is_Jg=		Teh_Marbuta_Goal}', "");
    Expect(0, 1732, '\p{Is_Jg=		Teh_Marbuta_Goal}', "");
    Expect(1, 1732, '\p{^Is_Jg=		Teh_Marbuta_Goal}', "");
    Expect(1, 1732, '\P{Is_Jg=		Teh_Marbuta_Goal}', "");
    Expect(0, 1732, '\P{^Is_Jg=		Teh_Marbuta_Goal}', "");
    Error('\p{Joining_Group=/a/ -TETH}');
    Error('\P{Joining_Group=/a/ -TETH}');
    Expect(1, 1820, '\p{Joining_Group=:\ATeth\z:}', "");;
    Expect(0, 1821, '\p{Joining_Group=:\ATeth\z:}', "");;
    Expect(1, 1820, '\p{Joining_Group=teth}', "");
    Expect(0, 1820, '\p{^Joining_Group=teth}', "");
    Expect(0, 1820, '\P{Joining_Group=teth}', "");
    Expect(1, 1820, '\P{^Joining_Group=teth}', "");
    Expect(0, 1821, '\p{Joining_Group=teth}', "");
    Expect(1, 1821, '\p{^Joining_Group=teth}', "");
    Expect(1, 1821, '\P{Joining_Group=teth}', "");
    Expect(0, 1821, '\P{^Joining_Group=teth}', "");
    Expect(1, 1820, '\p{Joining_Group=:\Ateth\z:}', "");;
    Expect(0, 1821, '\p{Joining_Group=:\Ateth\z:}', "");;
    Expect(1, 1820, '\p{Joining_Group=	_Teth}', "");
    Expect(0, 1820, '\p{^Joining_Group=	_Teth}', "");
    Expect(0, 1820, '\P{Joining_Group=	_Teth}', "");
    Expect(1, 1820, '\P{^Joining_Group=	_Teth}', "");
    Expect(0, 1821, '\p{Joining_Group=	_Teth}', "");
    Expect(1, 1821, '\p{^Joining_Group=	_Teth}', "");
    Expect(1, 1821, '\P{Joining_Group=	_Teth}', "");
    Expect(0, 1821, '\P{^Joining_Group=	_Teth}', "");
    Error('\p{Jg=_:=TETH}');
    Error('\P{Jg=_:=TETH}');
    Expect(1, 1820, '\p{Jg=:\ATeth\z:}', "");;
    Expect(0, 1821, '\p{Jg=:\ATeth\z:}', "");;
    Expect(1, 1820, '\p{Jg=teth}', "");
    Expect(0, 1820, '\p{^Jg=teth}', "");
    Expect(0, 1820, '\P{Jg=teth}', "");
    Expect(1, 1820, '\P{^Jg=teth}', "");
    Expect(0, 1821, '\p{Jg=teth}', "");
    Expect(1, 1821, '\p{^Jg=teth}', "");
    Expect(1, 1821, '\P{Jg=teth}', "");
    Expect(0, 1821, '\P{^Jg=teth}', "");
    Expect(1, 1820, '\p{Jg=:\Ateth\z:}', "");;
    Expect(0, 1821, '\p{Jg=:\Ateth\z:}', "");;
    Expect(1, 1820, '\p{Jg=--teth}', "");
    Expect(0, 1820, '\p{^Jg=--teth}', "");
    Expect(0, 1820, '\P{Jg=--teth}', "");
    Expect(1, 1820, '\P{^Jg=--teth}', "");
    Expect(0, 1821, '\p{Jg=--teth}', "");
    Expect(1, 1821, '\p{^Jg=--teth}', "");
    Expect(1, 1821, '\P{Jg=--teth}', "");
    Expect(0, 1821, '\P{^Jg=--teth}', "");
    Error('\p{Is_Joining_Group=:=TETH}');
    Error('\P{Is_Joining_Group=:=TETH}');
    Expect(1, 1820, '\p{Is_Joining_Group=teth}', "");
    Expect(0, 1820, '\p{^Is_Joining_Group=teth}', "");
    Expect(0, 1820, '\P{Is_Joining_Group=teth}', "");
    Expect(1, 1820, '\P{^Is_Joining_Group=teth}', "");
    Expect(0, 1821, '\p{Is_Joining_Group=teth}', "");
    Expect(1, 1821, '\p{^Is_Joining_Group=teth}', "");
    Expect(1, 1821, '\P{Is_Joining_Group=teth}', "");
    Expect(0, 1821, '\P{^Is_Joining_Group=teth}', "");
    Expect(1, 1820, '\p{Is_Joining_Group= teth}', "");
    Expect(0, 1820, '\p{^Is_Joining_Group= teth}', "");
    Expect(0, 1820, '\P{Is_Joining_Group= teth}', "");
    Expect(1, 1820, '\P{^Is_Joining_Group= teth}', "");
    Expect(0, 1821, '\p{Is_Joining_Group= teth}', "");
    Expect(1, 1821, '\p{^Is_Joining_Group= teth}', "");
    Expect(1, 1821, '\P{Is_Joining_Group= teth}', "");
    Expect(0, 1821, '\P{^Is_Joining_Group= teth}', "");
    Error('\p{Is_Jg= /a/Teth}');
    Error('\P{Is_Jg= /a/Teth}');
    Expect(1, 1820, '\p{Is_Jg=teth}', "");
    Expect(0, 1820, '\p{^Is_Jg=teth}', "");
    Expect(0, 1820, '\P{Is_Jg=teth}', "");
    Expect(1, 1820, '\P{^Is_Jg=teth}', "");
    Expect(0, 1821, '\p{Is_Jg=teth}', "");
    Expect(1, 1821, '\p{^Is_Jg=teth}', "");
    Expect(1, 1821, '\P{Is_Jg=teth}', "");
    Expect(0, 1821, '\P{^Is_Jg=teth}', "");
    Expect(1, 1820, '\p{Is_Jg=_-Teth}', "");
    Expect(0, 1820, '\p{^Is_Jg=_-Teth}', "");
    Expect(0, 1820, '\P{Is_Jg=_-Teth}', "");
    Expect(1, 1820, '\P{^Is_Jg=_-Teth}', "");
    Expect(0, 1821, '\p{Is_Jg=_-Teth}', "");
    Expect(1, 1821, '\p{^Is_Jg=_-Teth}', "");
    Expect(1, 1821, '\P{Is_Jg=_-Teth}', "");
    Expect(0, 1821, '\P{^Is_Jg=_-Teth}', "");
    Error('\p{Joining_Group=_:=thin_Yeh}');
    Error('\P{Joining_Group=_:=thin_Yeh}');
    Expect(1, 2182, '\p{Joining_Group=:\AThin_Yeh\z:}', "");;
    Expect(0, 2183, '\p{Joining_Group=:\AThin_Yeh\z:}', "");;
    Expect(1, 2182, '\p{Joining_Group=thinyeh}', "");
    Expect(0, 2182, '\p{^Joining_Group=thinyeh}', "");
    Expect(0, 2182, '\P{Joining_Group=thinyeh}', "");
    Expect(1, 2182, '\P{^Joining_Group=thinyeh}', "");
    Expect(0, 2183, '\p{Joining_Group=thinyeh}', "");
    Expect(1, 2183, '\p{^Joining_Group=thinyeh}', "");
    Expect(1, 2183, '\P{Joining_Group=thinyeh}', "");
    Expect(0, 2183, '\P{^Joining_Group=thinyeh}', "");
    Expect(1, 2182, '\p{Joining_Group=:\Athinyeh\z:}', "");;
    Expect(0, 2183, '\p{Joining_Group=:\Athinyeh\z:}', "");;
    Expect(1, 2182, '\p{Joining_Group=	 THIN_Yeh}', "");
    Expect(0, 2182, '\p{^Joining_Group=	 THIN_Yeh}', "");
    Expect(0, 2182, '\P{Joining_Group=	 THIN_Yeh}', "");
    Expect(1, 2182, '\P{^Joining_Group=	 THIN_Yeh}', "");
    Expect(0, 2183, '\p{Joining_Group=	 THIN_Yeh}', "");
    Expect(1, 2183, '\p{^Joining_Group=	 THIN_Yeh}', "");
    Expect(1, 2183, '\P{Joining_Group=	 THIN_Yeh}', "");
    Expect(0, 2183, '\P{^Joining_Group=	 THIN_Yeh}', "");
    Error('\p{Jg=-:=Thin_Yeh}');
    Error('\P{Jg=-:=Thin_Yeh}');
    Expect(1, 2182, '\p{Jg=:\AThin_Yeh\z:}', "");;
    Expect(0, 2183, '\p{Jg=:\AThin_Yeh\z:}', "");;
    Expect(1, 2182, '\p{Jg=thinyeh}', "");
    Expect(0, 2182, '\p{^Jg=thinyeh}', "");
    Expect(0, 2182, '\P{Jg=thinyeh}', "");
    Expect(1, 2182, '\P{^Jg=thinyeh}', "");
    Expect(0, 2183, '\p{Jg=thinyeh}', "");
    Expect(1, 2183, '\p{^Jg=thinyeh}', "");
    Expect(1, 2183, '\P{Jg=thinyeh}', "");
    Expect(0, 2183, '\P{^Jg=thinyeh}', "");
    Expect(1, 2182, '\p{Jg=:\Athinyeh\z:}', "");;
    Expect(0, 2183, '\p{Jg=:\Athinyeh\z:}', "");;
    Expect(1, 2182, '\p{Jg=_Thin_Yeh}', "");
    Expect(0, 2182, '\p{^Jg=_Thin_Yeh}', "");
    Expect(0, 2182, '\P{Jg=_Thin_Yeh}', "");
    Expect(1, 2182, '\P{^Jg=_Thin_Yeh}', "");
    Expect(0, 2183, '\p{Jg=_Thin_Yeh}', "");
    Expect(1, 2183, '\p{^Jg=_Thin_Yeh}', "");
    Expect(1, 2183, '\P{Jg=_Thin_Yeh}', "");
    Expect(0, 2183, '\P{^Jg=_Thin_Yeh}', "");
    Error('\p{Is_Joining_Group= :=Thin_yeh}');
    Error('\P{Is_Joining_Group= :=Thin_yeh}');
    Expect(1, 2182, '\p{Is_Joining_Group=thinyeh}', "");
    Expect(0, 2182, '\p{^Is_Joining_Group=thinyeh}', "");
    Expect(0, 2182, '\P{Is_Joining_Group=thinyeh}', "");
    Expect(1, 2182, '\P{^Is_Joining_Group=thinyeh}', "");
    Expect(0, 2183, '\p{Is_Joining_Group=thinyeh}', "");
    Expect(1, 2183, '\p{^Is_Joining_Group=thinyeh}', "");
    Expect(1, 2183, '\P{Is_Joining_Group=thinyeh}', "");
    Expect(0, 2183, '\P{^Is_Joining_Group=thinyeh}', "");
    Expect(1, 2182, '\p{Is_Joining_Group:  Thin_YEH}', "");
    Expect(0, 2182, '\p{^Is_Joining_Group:  Thin_YEH}', "");
    Expect(0, 2182, '\P{Is_Joining_Group:  Thin_YEH}', "");
    Expect(1, 2182, '\P{^Is_Joining_Group:  Thin_YEH}', "");
    Expect(0, 2183, '\p{Is_Joining_Group:  Thin_YEH}', "");
    Expect(1, 2183, '\p{^Is_Joining_Group:  Thin_YEH}', "");
    Expect(1, 2183, '\P{Is_Joining_Group:  Thin_YEH}', "");
    Expect(0, 2183, '\P{^Is_Joining_Group:  Thin_YEH}', "");
    Error('\p{Is_Jg=	_thin_YEH:=}');
    Error('\P{Is_Jg=	_thin_YEH:=}');
    Expect(1, 2182, '\p{Is_Jg=thinyeh}', "");
    Expect(0, 2182, '\p{^Is_Jg=thinyeh}', "");
    Expect(0, 2182, '\P{Is_Jg=thinyeh}', "");
    Expect(1, 2182, '\P{^Is_Jg=thinyeh}', "");
    Expect(0, 2183, '\p{Is_Jg=thinyeh}', "");
    Expect(1, 2183, '\p{^Is_Jg=thinyeh}', "");
    Expect(1, 2183, '\P{Is_Jg=thinyeh}', "");
    Expect(0, 2183, '\P{^Is_Jg=thinyeh}', "");
    Expect(1, 2182, '\p{Is_Jg=-_Thin_yeh}', "");
    Expect(0, 2182, '\p{^Is_Jg=-_Thin_yeh}', "");
    Expect(0, 2182, '\P{Is_Jg=-_Thin_yeh}', "");
    Expect(1, 2182, '\P{^Is_Jg=-_Thin_yeh}', "");
    Expect(0, 2183, '\p{Is_Jg=-_Thin_yeh}', "");
    Expect(1, 2183, '\p{^Is_Jg=-_Thin_yeh}', "");
    Expect(1, 2183, '\P{Is_Jg=-_Thin_yeh}', "");
    Expect(0, 2183, '\P{^Is_Jg=-_Thin_yeh}', "");
    Error('\p{Joining_Group=:=	_Vertical_tail}');
    Error('\P{Joining_Group=:=	_Vertical_tail}');
    Expect(1, 2190, '\p{Joining_Group=:\AVertical_Tail\z:}', "");;
    Expect(0, 2191, '\p{Joining_Group=:\AVertical_Tail\z:}', "");;
    Expect(1, 2190, '\p{Joining_Group=verticaltail}', "");
    Expect(0, 2190, '\p{^Joining_Group=verticaltail}', "");
    Expect(0, 2190, '\P{Joining_Group=verticaltail}', "");
    Expect(1, 2190, '\P{^Joining_Group=verticaltail}', "");
    Expect(0, 2191, '\p{Joining_Group=verticaltail}', "");
    Expect(1, 2191, '\p{^Joining_Group=verticaltail}', "");
    Expect(1, 2191, '\P{Joining_Group=verticaltail}', "");
    Expect(0, 2191, '\P{^Joining_Group=verticaltail}', "");
    Expect(1, 2190, '\p{Joining_Group=:\Averticaltail\z:}', "");;
    Expect(0, 2191, '\p{Joining_Group=:\Averticaltail\z:}', "");;
    Expect(1, 2190, '\p{Joining_Group= Vertical_TAIL}', "");
    Expect(0, 2190, '\p{^Joining_Group= Vertical_TAIL}', "");
    Expect(0, 2190, '\P{Joining_Group= Vertical_TAIL}', "");
    Expect(1, 2190, '\P{^Joining_Group= Vertical_TAIL}', "");
    Expect(0, 2191, '\p{Joining_Group= Vertical_TAIL}', "");
    Expect(1, 2191, '\p{^Joining_Group= Vertical_TAIL}', "");
    Expect(1, 2191, '\P{Joining_Group= Vertical_TAIL}', "");
    Expect(0, 2191, '\P{^Joining_Group= Vertical_TAIL}', "");
    Error('\p{Jg:			VERTICAL_Tail:=}');
    Error('\P{Jg:			VERTICAL_Tail:=}');
    Expect(1, 2190, '\p{Jg=:\AVertical_Tail\z:}', "");;
    Expect(0, 2191, '\p{Jg=:\AVertical_Tail\z:}', "");;
    Expect(1, 2190, '\p{Jg:	verticaltail}', "");
    Expect(0, 2190, '\p{^Jg:	verticaltail}', "");
    Expect(0, 2190, '\P{Jg:	verticaltail}', "");
    Expect(1, 2190, '\P{^Jg:	verticaltail}', "");
    Expect(0, 2191, '\p{Jg:	verticaltail}', "");
    Expect(1, 2191, '\p{^Jg:	verticaltail}', "");
    Expect(1, 2191, '\P{Jg:	verticaltail}', "");
    Expect(0, 2191, '\P{^Jg:	verticaltail}', "");
    Expect(1, 2190, '\p{Jg=:\Averticaltail\z:}', "");;
    Expect(0, 2191, '\p{Jg=:\Averticaltail\z:}', "");;
    Expect(1, 2190, '\p{Jg=_	vertical_Tail}', "");
    Expect(0, 2190, '\p{^Jg=_	vertical_Tail}', "");
    Expect(0, 2190, '\P{Jg=_	vertical_Tail}', "");
    Expect(1, 2190, '\P{^Jg=_	vertical_Tail}', "");
    Expect(0, 2191, '\p{Jg=_	vertical_Tail}', "");
    Expect(1, 2191, '\p{^Jg=_	vertical_Tail}', "");
    Expect(1, 2191, '\P{Jg=_	vertical_Tail}', "");
    Expect(0, 2191, '\P{^Jg=_	vertical_Tail}', "");
    Error('\p{Is_Joining_Group=/a/-_VERTICAL_tail}');
    Error('\P{Is_Joining_Group=/a/-_VERTICAL_tail}');
    Expect(1, 2190, '\p{Is_Joining_Group=verticaltail}', "");
    Expect(0, 2190, '\p{^Is_Joining_Group=verticaltail}', "");
    Expect(0, 2190, '\P{Is_Joining_Group=verticaltail}', "");
    Expect(1, 2190, '\P{^Is_Joining_Group=verticaltail}', "");
    Expect(0, 2191, '\p{Is_Joining_Group=verticaltail}', "");
    Expect(1, 2191, '\p{^Is_Joining_Group=verticaltail}', "");
    Expect(1, 2191, '\P{Is_Joining_Group=verticaltail}', "");
    Expect(0, 2191, '\P{^Is_Joining_Group=verticaltail}', "");
    Expect(1, 2190, '\p{Is_Joining_Group=	-Vertical_tail}', "");
    Expect(0, 2190, '\p{^Is_Joining_Group=	-Vertical_tail}', "");
    Expect(0, 2190, '\P{Is_Joining_Group=	-Vertical_tail}', "");
    Expect(1, 2190, '\P{^Is_Joining_Group=	-Vertical_tail}', "");
    Expect(0, 2191, '\p{Is_Joining_Group=	-Vertical_tail}', "");
    Expect(1, 2191, '\p{^Is_Joining_Group=	-Vertical_tail}', "");
    Expect(1, 2191, '\P{Is_Joining_Group=	-Vertical_tail}', "");
    Expect(0, 2191, '\P{^Is_Joining_Group=	-Vertical_tail}', "");
    Error('\p{Is_Jg=/a/--Vertical_Tail}');
    Error('\P{Is_Jg=/a/--Vertical_Tail}');
    Expect(1, 2190, '\p{Is_Jg=verticaltail}', "");
    Expect(0, 2190, '\p{^Is_Jg=verticaltail}', "");
    Expect(0, 2190, '\P{Is_Jg=verticaltail}', "");
    Expect(1, 2190, '\P{^Is_Jg=verticaltail}', "");
    Expect(0, 2191, '\p{Is_Jg=verticaltail}', "");
    Expect(1, 2191, '\p{^Is_Jg=verticaltail}', "");
    Expect(1, 2191, '\P{Is_Jg=verticaltail}', "");
    Expect(0, 2191, '\P{^Is_Jg=verticaltail}', "");
    Expect(1, 2190, '\p{Is_Jg=- Vertical_tail}', "");
    Expect(0, 2190, '\p{^Is_Jg=- Vertical_tail}', "");
    Expect(0, 2190, '\P{Is_Jg=- Vertical_tail}', "");
    Expect(1, 2190, '\P{^Is_Jg=- Vertical_tail}', "");
    Expect(0, 2191, '\p{Is_Jg=- Vertical_tail}', "");
    Expect(1, 2191, '\p{^Is_Jg=- Vertical_tail}', "");
    Expect(1, 2191, '\P{Is_Jg=- Vertical_tail}', "");
    Expect(0, 2191, '\P{^Is_Jg=- Vertical_tail}', "");
    Error('\p{Joining_Group= Waw/a/}');
    Error('\P{Joining_Group= Waw/a/}');
    Expect(1, 2219, '\p{Joining_Group=:\AWaw\z:}', "");;
    Expect(0, 2220, '\p{Joining_Group=:\AWaw\z:}', "");;
    Expect(1, 2219, '\p{Joining_Group=waw}', "");
    Expect(0, 2219, '\p{^Joining_Group=waw}', "");
    Expect(0, 2219, '\P{Joining_Group=waw}', "");
    Expect(1, 2219, '\P{^Joining_Group=waw}', "");
    Expect(0, 2220, '\p{Joining_Group=waw}', "");
    Expect(1, 2220, '\p{^Joining_Group=waw}', "");
    Expect(1, 2220, '\P{Joining_Group=waw}', "");
    Expect(0, 2220, '\P{^Joining_Group=waw}', "");
    Expect(1, 2219, '\p{Joining_Group=:\Awaw\z:}', "");;
    Expect(0, 2220, '\p{Joining_Group=:\Awaw\z:}', "");;
    Expect(1, 2219, '\p{Joining_Group:	 Waw}', "");
    Expect(0, 2219, '\p{^Joining_Group:	 Waw}', "");
    Expect(0, 2219, '\P{Joining_Group:	 Waw}', "");
    Expect(1, 2219, '\P{^Joining_Group:	 Waw}', "");
    Expect(0, 2220, '\p{Joining_Group:	 Waw}', "");
    Expect(1, 2220, '\p{^Joining_Group:	 Waw}', "");
    Expect(1, 2220, '\P{Joining_Group:	 Waw}', "");
    Expect(0, 2220, '\P{^Joining_Group:	 Waw}', "");
    Error('\p{Jg=/a/	WAW}');
    Error('\P{Jg=/a/	WAW}');
    Expect(1, 2219, '\p{Jg=:\AWaw\z:}', "");;
    Expect(0, 2220, '\p{Jg=:\AWaw\z:}', "");;
    Expect(1, 2219, '\p{Jg=waw}', "");
    Expect(0, 2219, '\p{^Jg=waw}', "");
    Expect(0, 2219, '\P{Jg=waw}', "");
    Expect(1, 2219, '\P{^Jg=waw}', "");
    Expect(0, 2220, '\p{Jg=waw}', "");
    Expect(1, 2220, '\p{^Jg=waw}', "");
    Expect(1, 2220, '\P{Jg=waw}', "");
    Expect(0, 2220, '\P{^Jg=waw}', "");
    Expect(1, 2219, '\p{Jg=:\Awaw\z:}', "");;
    Expect(0, 2220, '\p{Jg=:\Awaw\z:}', "");;
    Expect(1, 2219, '\p{Jg=-	Waw}', "");
    Expect(0, 2219, '\p{^Jg=-	Waw}', "");
    Expect(0, 2219, '\P{Jg=-	Waw}', "");
    Expect(1, 2219, '\P{^Jg=-	Waw}', "");
    Expect(0, 2220, '\p{Jg=-	Waw}', "");
    Expect(1, 2220, '\p{^Jg=-	Waw}', "");
    Expect(1, 2220, '\P{Jg=-	Waw}', "");
    Expect(0, 2220, '\P{^Jg=-	Waw}', "");
    Error('\p{Is_Joining_Group=:=	_waw}');
    Error('\P{Is_Joining_Group=:=	_waw}');
    Expect(1, 2219, '\p{Is_Joining_Group:waw}', "");
    Expect(0, 2219, '\p{^Is_Joining_Group:waw}', "");
    Expect(0, 2219, '\P{Is_Joining_Group:waw}', "");
    Expect(1, 2219, '\P{^Is_Joining_Group:waw}', "");
    Expect(0, 2220, '\p{Is_Joining_Group:waw}', "");
    Expect(1, 2220, '\p{^Is_Joining_Group:waw}', "");
    Expect(1, 2220, '\P{Is_Joining_Group:waw}', "");
    Expect(0, 2220, '\P{^Is_Joining_Group:waw}', "");
    Expect(1, 2219, '\p{Is_Joining_Group=		Waw}', "");
    Expect(0, 2219, '\p{^Is_Joining_Group=		Waw}', "");
    Expect(0, 2219, '\P{Is_Joining_Group=		Waw}', "");
    Expect(1, 2219, '\P{^Is_Joining_Group=		Waw}', "");
    Expect(0, 2220, '\p{Is_Joining_Group=		Waw}', "");
    Expect(1, 2220, '\p{^Is_Joining_Group=		Waw}', "");
    Expect(1, 2220, '\P{Is_Joining_Group=		Waw}', "");
    Expect(0, 2220, '\P{^Is_Joining_Group=		Waw}', "");
    Error('\p{Is_Jg= _Waw/a/}');
    Error('\P{Is_Jg= _Waw/a/}');
    Expect(1, 2219, '\p{Is_Jg:   waw}', "");
    Expect(0, 2219, '\p{^Is_Jg:   waw}', "");
    Expect(0, 2219, '\P{Is_Jg:   waw}', "");
    Expect(1, 2219, '\P{^Is_Jg:   waw}', "");
    Expect(0, 2220, '\p{Is_Jg:   waw}', "");
    Expect(1, 2220, '\p{^Is_Jg:   waw}', "");
    Expect(1, 2220, '\P{Is_Jg:   waw}', "");
    Expect(0, 2220, '\P{^Is_Jg:   waw}', "");
    Expect(1, 2219, '\p{Is_Jg=_Waw}', "");
    Expect(0, 2219, '\p{^Is_Jg=_Waw}', "");
    Expect(0, 2219, '\P{Is_Jg=_Waw}', "");
    Expect(1, 2219, '\P{^Is_Jg=_Waw}', "");
    Expect(0, 2220, '\p{Is_Jg=_Waw}', "");
    Expect(1, 2220, '\p{^Is_Jg=_Waw}', "");
    Expect(1, 2220, '\P{Is_Jg=_Waw}', "");
    Expect(0, 2220, '\P{^Is_Jg=_Waw}', "");
    Error('\p{Joining_Group=	 yeh:=}');
    Error('\P{Joining_Group=	 yeh:=}');
    Expect(1, 2234, '\p{Joining_Group=:\AYeh\z:}', "");;
    Expect(0, 2235, '\p{Joining_Group=:\AYeh\z:}', "");;
    Expect(1, 2234, '\p{Joining_Group=yeh}', "");
    Expect(0, 2234, '\p{^Joining_Group=yeh}', "");
    Expect(0, 2234, '\P{Joining_Group=yeh}', "");
    Expect(1, 2234, '\P{^Joining_Group=yeh}', "");
    Expect(0, 2235, '\p{Joining_Group=yeh}', "");
    Expect(1, 2235, '\p{^Joining_Group=yeh}', "");
    Expect(1, 2235, '\P{Joining_Group=yeh}', "");
    Expect(0, 2235, '\P{^Joining_Group=yeh}', "");
    Expect(1, 2234, '\p{Joining_Group=:\Ayeh\z:}', "");;
    Expect(0, 2235, '\p{Joining_Group=:\Ayeh\z:}', "");;
    Expect(1, 2234, '\p{Joining_Group= YEH}', "");
    Expect(0, 2234, '\p{^Joining_Group= YEH}', "");
    Expect(0, 2234, '\P{Joining_Group= YEH}', "");
    Expect(1, 2234, '\P{^Joining_Group= YEH}', "");
    Expect(0, 2235, '\p{Joining_Group= YEH}', "");
    Expect(1, 2235, '\p{^Joining_Group= YEH}', "");
    Expect(1, 2235, '\P{Joining_Group= YEH}', "");
    Expect(0, 2235, '\P{^Joining_Group= YEH}', "");
    Error('\p{Jg=/a/_ YEH}');
    Error('\P{Jg=/a/_ YEH}');
    Expect(1, 2234, '\p{Jg=:\AYeh\z:}', "");;
    Expect(0, 2235, '\p{Jg=:\AYeh\z:}', "");;
    Expect(1, 2234, '\p{Jg=yeh}', "");
    Expect(0, 2234, '\p{^Jg=yeh}', "");
    Expect(0, 2234, '\P{Jg=yeh}', "");
    Expect(1, 2234, '\P{^Jg=yeh}', "");
    Expect(0, 2235, '\p{Jg=yeh}', "");
    Expect(1, 2235, '\p{^Jg=yeh}', "");
    Expect(1, 2235, '\P{Jg=yeh}', "");
    Expect(0, 2235, '\P{^Jg=yeh}', "");
    Expect(1, 2234, '\p{Jg=:\Ayeh\z:}', "");;
    Expect(0, 2235, '\p{Jg=:\Ayeh\z:}', "");;
    Expect(1, 2234, '\p{Jg=	Yeh}', "");
    Expect(0, 2234, '\p{^Jg=	Yeh}', "");
    Expect(0, 2234, '\P{Jg=	Yeh}', "");
    Expect(1, 2234, '\P{^Jg=	Yeh}', "");
    Expect(0, 2235, '\p{Jg=	Yeh}', "");
    Expect(1, 2235, '\p{^Jg=	Yeh}', "");
    Expect(1, 2235, '\P{Jg=	Yeh}', "");
    Expect(0, 2235, '\P{^Jg=	Yeh}', "");
    Error('\p{Is_Joining_Group=	 Yeh:=}');
    Error('\P{Is_Joining_Group=	 Yeh:=}');
    Expect(1, 2234, '\p{Is_Joining_Group=yeh}', "");
    Expect(0, 2234, '\p{^Is_Joining_Group=yeh}', "");
    Expect(0, 2234, '\P{Is_Joining_Group=yeh}', "");
    Expect(1, 2234, '\P{^Is_Joining_Group=yeh}', "");
    Expect(0, 2235, '\p{Is_Joining_Group=yeh}', "");
    Expect(1, 2235, '\p{^Is_Joining_Group=yeh}', "");
    Expect(1, 2235, '\P{Is_Joining_Group=yeh}', "");
    Expect(0, 2235, '\P{^Is_Joining_Group=yeh}', "");
    Expect(1, 2234, '\p{Is_Joining_Group=--yeh}', "");
    Expect(0, 2234, '\p{^Is_Joining_Group=--yeh}', "");
    Expect(0, 2234, '\P{Is_Joining_Group=--yeh}', "");
    Expect(1, 2234, '\P{^Is_Joining_Group=--yeh}', "");
    Expect(0, 2235, '\p{Is_Joining_Group=--yeh}', "");
    Expect(1, 2235, '\p{^Is_Joining_Group=--yeh}', "");
    Expect(1, 2235, '\P{Is_Joining_Group=--yeh}', "");
    Expect(0, 2235, '\P{^Is_Joining_Group=--yeh}', "");
    Error('\p{Is_Jg=-:=YEH}');
    Error('\P{Is_Jg=-:=YEH}');
    Expect(1, 2234, '\p{Is_Jg=yeh}', "");
    Expect(0, 2234, '\p{^Is_Jg=yeh}', "");
    Expect(0, 2234, '\P{Is_Jg=yeh}', "");
    Expect(1, 2234, '\P{^Is_Jg=yeh}', "");
    Expect(0, 2235, '\p{Is_Jg=yeh}', "");
    Expect(1, 2235, '\p{^Is_Jg=yeh}', "");
    Expect(1, 2235, '\P{Is_Jg=yeh}', "");
    Expect(0, 2235, '\P{^Is_Jg=yeh}', "");
    Expect(1, 2234, '\p{Is_Jg= 	YEH}', "");
    Expect(0, 2234, '\p{^Is_Jg= 	YEH}', "");
    Expect(0, 2234, '\P{Is_Jg= 	YEH}', "");
    Expect(1, 2234, '\P{^Is_Jg= 	YEH}', "");
    Expect(0, 2235, '\p{Is_Jg= 	YEH}', "");
    Expect(1, 2235, '\p{^Is_Jg= 	YEH}', "");
    Expect(1, 2235, '\P{Is_Jg= 	YEH}', "");
    Expect(0, 2235, '\P{^Is_Jg= 	YEH}', "");
    Error('\p{Joining_Group=-Yeh_BARREE/a/}');
    Error('\P{Joining_Group=-Yeh_BARREE/a/}');
    Expect(1, 1747, '\p{Joining_Group=:\AYeh_Barree\z:}', "");;
    Expect(0, 1748, '\p{Joining_Group=:\AYeh_Barree\z:}', "");;
    Expect(1, 1747, '\p{Joining_Group=yehbarree}', "");
    Expect(0, 1747, '\p{^Joining_Group=yehbarree}', "");
    Expect(0, 1747, '\P{Joining_Group=yehbarree}', "");
    Expect(1, 1747, '\P{^Joining_Group=yehbarree}', "");
    Expect(0, 1748, '\p{Joining_Group=yehbarree}', "");
    Expect(1, 1748, '\p{^Joining_Group=yehbarree}', "");
    Expect(1, 1748, '\P{Joining_Group=yehbarree}', "");
    Expect(0, 1748, '\P{^Joining_Group=yehbarree}', "");
    Expect(1, 1747, '\p{Joining_Group=:\Ayehbarree\z:}', "");;
    Expect(0, 1748, '\p{Joining_Group=:\Ayehbarree\z:}', "");;
    Expect(1, 1747, '\p{Joining_Group= 	Yeh_BARREE}', "");
    Expect(0, 1747, '\p{^Joining_Group= 	Yeh_BARREE}', "");
    Expect(0, 1747, '\P{Joining_Group= 	Yeh_BARREE}', "");
    Expect(1, 1747, '\P{^Joining_Group= 	Yeh_BARREE}', "");
    Expect(0, 1748, '\p{Joining_Group= 	Yeh_BARREE}', "");
    Expect(1, 1748, '\p{^Joining_Group= 	Yeh_BARREE}', "");
    Expect(1, 1748, '\P{Joining_Group= 	Yeh_BARREE}', "");
    Expect(0, 1748, '\P{^Joining_Group= 	Yeh_BARREE}', "");
    Error('\p{Jg=/a/	YEH_Barree}');
    Error('\P{Jg=/a/	YEH_Barree}');
    Expect(1, 1747, '\p{Jg=:\AYeh_Barree\z:}', "");;
    Expect(0, 1748, '\p{Jg=:\AYeh_Barree\z:}', "");;
    Expect(1, 1747, '\p{Jg=yehbarree}', "");
    Expect(0, 1747, '\p{^Jg=yehbarree}', "");
    Expect(0, 1747, '\P{Jg=yehbarree}', "");
    Expect(1, 1747, '\P{^Jg=yehbarree}', "");
    Expect(0, 1748, '\p{Jg=yehbarree}', "");
    Expect(1, 1748, '\p{^Jg=yehbarree}', "");
    Expect(1, 1748, '\P{Jg=yehbarree}', "");
    Expect(0, 1748, '\P{^Jg=yehbarree}', "");
    Expect(1, 1747, '\p{Jg=:\Ayehbarree\z:}', "");;
    Expect(0, 1748, '\p{Jg=:\Ayehbarree\z:}', "");;
    Expect(1, 1747, '\p{Jg=- Yeh_Barree}', "");
    Expect(0, 1747, '\p{^Jg=- Yeh_Barree}', "");
    Expect(0, 1747, '\P{Jg=- Yeh_Barree}', "");
    Expect(1, 1747, '\P{^Jg=- Yeh_Barree}', "");
    Expect(0, 1748, '\p{Jg=- Yeh_Barree}', "");
    Expect(1, 1748, '\p{^Jg=- Yeh_Barree}', "");
    Expect(1, 1748, '\P{Jg=- Yeh_Barree}', "");
    Expect(0, 1748, '\P{^Jg=- Yeh_Barree}', "");
    Error('\p{Is_Joining_Group=-/a/yeh_barree}');
    Error('\P{Is_Joining_Group=-/a/yeh_barree}');
    Expect(1, 1747, '\p{Is_Joining_Group=yehbarree}', "");
    Expect(0, 1747, '\p{^Is_Joining_Group=yehbarree}', "");
    Expect(0, 1747, '\P{Is_Joining_Group=yehbarree}', "");
    Expect(1, 1747, '\P{^Is_Joining_Group=yehbarree}', "");
    Expect(0, 1748, '\p{Is_Joining_Group=yehbarree}', "");
    Expect(1, 1748, '\p{^Is_Joining_Group=yehbarree}', "");
    Expect(1, 1748, '\P{Is_Joining_Group=yehbarree}', "");
    Expect(0, 1748, '\P{^Is_Joining_Group=yehbarree}', "");
    Expect(1, 1747, '\p{Is_Joining_Group:   _YEH_BARREE}', "");
    Expect(0, 1747, '\p{^Is_Joining_Group:   _YEH_BARREE}', "");
    Expect(0, 1747, '\P{Is_Joining_Group:   _YEH_BARREE}', "");
    Expect(1, 1747, '\P{^Is_Joining_Group:   _YEH_BARREE}', "");
    Expect(0, 1748, '\p{Is_Joining_Group:   _YEH_BARREE}', "");
    Expect(1, 1748, '\p{^Is_Joining_Group:   _YEH_BARREE}', "");
    Expect(1, 1748, '\P{Is_Joining_Group:   _YEH_BARREE}', "");
    Expect(0, 1748, '\P{^Is_Joining_Group:   _YEH_BARREE}', "");
    Error('\p{Is_Jg=_-yeh_Barree/a/}');
    Error('\P{Is_Jg=_-yeh_Barree/a/}');
    Expect(1, 1747, '\p{Is_Jg=yehbarree}', "");
    Expect(0, 1747, '\p{^Is_Jg=yehbarree}', "");
    Expect(0, 1747, '\P{Is_Jg=yehbarree}', "");
    Expect(1, 1747, '\P{^Is_Jg=yehbarree}', "");
    Expect(0, 1748, '\p{Is_Jg=yehbarree}', "");
    Expect(1, 1748, '\p{^Is_Jg=yehbarree}', "");
    Expect(1, 1748, '\P{Is_Jg=yehbarree}', "");
    Expect(0, 1748, '\P{^Is_Jg=yehbarree}', "");
    Expect(1, 1747, '\p{Is_Jg=- yeh_BARREE}', "");
    Expect(0, 1747, '\p{^Is_Jg=- yeh_BARREE}', "");
    Expect(0, 1747, '\P{Is_Jg=- yeh_BARREE}', "");
    Expect(1, 1747, '\P{^Is_Jg=- yeh_BARREE}', "");
    Expect(0, 1748, '\p{Is_Jg=- yeh_BARREE}', "");
    Expect(1, 1748, '\p{^Is_Jg=- yeh_BARREE}', "");
    Expect(1, 1748, '\P{Is_Jg=- yeh_BARREE}', "");
    Expect(0, 1748, '\P{^Is_Jg=- yeh_BARREE}', "");
    Error('\p{Joining_Group:    Yeh_With_Tail:=}');
    Error('\P{Joining_Group:    Yeh_With_Tail:=}');
    Expect(1, 1741, '\p{Joining_Group=:\AYeh_With_Tail\z:}', "");;
    Expect(0, 1742, '\p{Joining_Group=:\AYeh_With_Tail\z:}', "");;
    Expect(1, 1741, '\p{Joining_Group=yehwithtail}', "");
    Expect(0, 1741, '\p{^Joining_Group=yehwithtail}', "");
    Expect(0, 1741, '\P{Joining_Group=yehwithtail}', "");
    Expect(1, 1741, '\P{^Joining_Group=yehwithtail}', "");
    Expect(0, 1742, '\p{Joining_Group=yehwithtail}', "");
    Expect(1, 1742, '\p{^Joining_Group=yehwithtail}', "");
    Expect(1, 1742, '\P{Joining_Group=yehwithtail}', "");
    Expect(0, 1742, '\P{^Joining_Group=yehwithtail}', "");
    Expect(1, 1741, '\p{Joining_Group=:\Ayehwithtail\z:}', "");;
    Expect(0, 1742, '\p{Joining_Group=:\Ayehwithtail\z:}', "");;
    Expect(1, 1741, '\p{Joining_Group=-_Yeh_With_TAIL}', "");
    Expect(0, 1741, '\p{^Joining_Group=-_Yeh_With_TAIL}', "");
    Expect(0, 1741, '\P{Joining_Group=-_Yeh_With_TAIL}', "");
    Expect(1, 1741, '\P{^Joining_Group=-_Yeh_With_TAIL}', "");
    Expect(0, 1742, '\p{Joining_Group=-_Yeh_With_TAIL}', "");
    Expect(1, 1742, '\p{^Joining_Group=-_Yeh_With_TAIL}', "");
    Expect(1, 1742, '\P{Joining_Group=-_Yeh_With_TAIL}', "");
    Expect(0, 1742, '\P{^Joining_Group=-_Yeh_With_TAIL}', "");
    Error('\p{Jg=:=Yeh_With_tail}');
    Error('\P{Jg=:=Yeh_With_tail}');
    Expect(1, 1741, '\p{Jg=:\AYeh_With_Tail\z:}', "");;
    Expect(0, 1742, '\p{Jg=:\AYeh_With_Tail\z:}', "");;
    Expect(1, 1741, '\p{Jg=yehwithtail}', "");
    Expect(0, 1741, '\p{^Jg=yehwithtail}', "");
    Expect(0, 1741, '\P{Jg=yehwithtail}', "");
    Expect(1, 1741, '\P{^Jg=yehwithtail}', "");
    Expect(0, 1742, '\p{Jg=yehwithtail}', "");
    Expect(1, 1742, '\p{^Jg=yehwithtail}', "");
    Expect(1, 1742, '\P{Jg=yehwithtail}', "");
    Expect(0, 1742, '\P{^Jg=yehwithtail}', "");
    Expect(1, 1741, '\p{Jg=:\Ayehwithtail\z:}', "");;
    Expect(0, 1742, '\p{Jg=:\Ayehwithtail\z:}', "");;
    Expect(1, 1741, '\p{Jg= -Yeh_With_Tail}', "");
    Expect(0, 1741, '\p{^Jg= -Yeh_With_Tail}', "");
    Expect(0, 1741, '\P{Jg= -Yeh_With_Tail}', "");
    Expect(1, 1741, '\P{^Jg= -Yeh_With_Tail}', "");
    Expect(0, 1742, '\p{Jg= -Yeh_With_Tail}', "");
    Expect(1, 1742, '\p{^Jg= -Yeh_With_Tail}', "");
    Expect(1, 1742, '\P{Jg= -Yeh_With_Tail}', "");
    Expect(0, 1742, '\P{^Jg= -Yeh_With_Tail}', "");
    Error('\p{Is_Joining_Group:	__yeh_With_tail/a/}');
    Error('\P{Is_Joining_Group:	__yeh_With_tail/a/}');
    Expect(1, 1741, '\p{Is_Joining_Group=yehwithtail}', "");
    Expect(0, 1741, '\p{^Is_Joining_Group=yehwithtail}', "");
    Expect(0, 1741, '\P{Is_Joining_Group=yehwithtail}', "");
    Expect(1, 1741, '\P{^Is_Joining_Group=yehwithtail}', "");
    Expect(0, 1742, '\p{Is_Joining_Group=yehwithtail}', "");
    Expect(1, 1742, '\p{^Is_Joining_Group=yehwithtail}', "");
    Expect(1, 1742, '\P{Is_Joining_Group=yehwithtail}', "");
    Expect(0, 1742, '\P{^Is_Joining_Group=yehwithtail}', "");
    Expect(1, 1741, '\p{Is_Joining_Group= -Yeh_With_TAIL}', "");
    Expect(0, 1741, '\p{^Is_Joining_Group= -Yeh_With_TAIL}', "");
    Expect(0, 1741, '\P{Is_Joining_Group= -Yeh_With_TAIL}', "");
    Expect(1, 1741, '\P{^Is_Joining_Group= -Yeh_With_TAIL}', "");
    Expect(0, 1742, '\p{Is_Joining_Group= -Yeh_With_TAIL}', "");
    Expect(1, 1742, '\p{^Is_Joining_Group= -Yeh_With_TAIL}', "");
    Expect(1, 1742, '\P{Is_Joining_Group= -Yeh_With_TAIL}', "");
    Expect(0, 1742, '\P{^Is_Joining_Group= -Yeh_With_TAIL}', "");
    Error('\p{Is_Jg=:=-yeh_with_Tail}');
    Error('\P{Is_Jg=:=-yeh_with_Tail}');
    Expect(1, 1741, '\p{Is_Jg=yehwithtail}', "");
    Expect(0, 1741, '\p{^Is_Jg=yehwithtail}', "");
    Expect(0, 1741, '\P{Is_Jg=yehwithtail}', "");
    Expect(1, 1741, '\P{^Is_Jg=yehwithtail}', "");
    Expect(0, 1742, '\p{Is_Jg=yehwithtail}', "");
    Expect(1, 1742, '\p{^Is_Jg=yehwithtail}', "");
    Expect(1, 1742, '\P{Is_Jg=yehwithtail}', "");
    Expect(0, 1742, '\P{^Is_Jg=yehwithtail}', "");
    Expect(1, 1741, '\p{Is_Jg:   - yeh_With_TAIL}', "");
    Expect(0, 1741, '\p{^Is_Jg:   - yeh_With_TAIL}', "");
    Expect(0, 1741, '\P{Is_Jg:   - yeh_With_TAIL}', "");
    Expect(1, 1741, '\P{^Is_Jg:   - yeh_With_TAIL}', "");
    Expect(0, 1742, '\p{Is_Jg:   - yeh_With_TAIL}', "");
    Expect(1, 1742, '\p{^Is_Jg:   - yeh_With_TAIL}', "");
    Expect(1, 1742, '\P{Is_Jg:   - yeh_With_TAIL}', "");
    Expect(0, 1742, '\P{^Is_Jg:   - yeh_With_TAIL}', "");
    Error('\p{Joining_Group=/a/-yudh}');
    Error('\P{Joining_Group=/a/-yudh}');
    Expect(1, 1821, '\p{Joining_Group=:\AYudh\z:}', "");;
    Expect(0, 1822, '\p{Joining_Group=:\AYudh\z:}', "");;
    Expect(1, 1821, '\p{Joining_Group:yudh}', "");
    Expect(0, 1821, '\p{^Joining_Group:yudh}', "");
    Expect(0, 1821, '\P{Joining_Group:yudh}', "");
    Expect(1, 1821, '\P{^Joining_Group:yudh}', "");
    Expect(0, 1822, '\p{Joining_Group:yudh}', "");
    Expect(1, 1822, '\p{^Joining_Group:yudh}', "");
    Expect(1, 1822, '\P{Joining_Group:yudh}', "");
    Expect(0, 1822, '\P{^Joining_Group:yudh}', "");
    Expect(1, 1821, '\p{Joining_Group=:\Ayudh\z:}', "");;
    Expect(0, 1822, '\p{Joining_Group=:\Ayudh\z:}', "");;
    Expect(1, 1821, '\p{Joining_Group=		YUDH}', "");
    Expect(0, 1821, '\p{^Joining_Group=		YUDH}', "");
    Expect(0, 1821, '\P{Joining_Group=		YUDH}', "");
    Expect(1, 1821, '\P{^Joining_Group=		YUDH}', "");
    Expect(0, 1822, '\p{Joining_Group=		YUDH}', "");
    Expect(1, 1822, '\p{^Joining_Group=		YUDH}', "");
    Expect(1, 1822, '\P{Joining_Group=		YUDH}', "");
    Expect(0, 1822, '\P{^Joining_Group=		YUDH}', "");
    Error('\p{Jg= Yudh:=}');
    Error('\P{Jg= Yudh:=}');
    Expect(1, 1821, '\p{Jg=:\AYudh\z:}', "");;
    Expect(0, 1822, '\p{Jg=:\AYudh\z:}', "");;
    Expect(1, 1821, '\p{Jg=yudh}', "");
    Expect(0, 1821, '\p{^Jg=yudh}', "");
    Expect(0, 1821, '\P{Jg=yudh}', "");
    Expect(1, 1821, '\P{^Jg=yudh}', "");
    Expect(0, 1822, '\p{Jg=yudh}', "");
    Expect(1, 1822, '\p{^Jg=yudh}', "");
    Expect(1, 1822, '\P{Jg=yudh}', "");
    Expect(0, 1822, '\P{^Jg=yudh}', "");
    Expect(1, 1821, '\p{Jg=:\Ayudh\z:}', "");;
    Expect(0, 1822, '\p{Jg=:\Ayudh\z:}', "");;
    Expect(1, 1821, '\p{Jg: -Yudh}', "");
    Expect(0, 1821, '\p{^Jg: -Yudh}', "");
    Expect(0, 1821, '\P{Jg: -Yudh}', "");
    Expect(1, 1821, '\P{^Jg: -Yudh}', "");
    Expect(0, 1822, '\p{Jg: -Yudh}', "");
    Expect(1, 1822, '\p{^Jg: -Yudh}', "");
    Expect(1, 1822, '\P{Jg: -Yudh}', "");
    Expect(0, 1822, '\P{^Jg: -Yudh}', "");
    Error('\p{Is_Joining_Group=:=	 yudh}');
    Error('\P{Is_Joining_Group=:=	 yudh}');
    Expect(1, 1821, '\p{Is_Joining_Group=yudh}', "");
    Expect(0, 1821, '\p{^Is_Joining_Group=yudh}', "");
    Expect(0, 1821, '\P{Is_Joining_Group=yudh}', "");
    Expect(1, 1821, '\P{^Is_Joining_Group=yudh}', "");
    Expect(0, 1822, '\p{Is_Joining_Group=yudh}', "");
    Expect(1, 1822, '\p{^Is_Joining_Group=yudh}', "");
    Expect(1, 1822, '\P{Is_Joining_Group=yudh}', "");
    Expect(0, 1822, '\P{^Is_Joining_Group=yudh}', "");
    Expect(1, 1821, '\p{Is_Joining_Group=_ Yudh}', "");
    Expect(0, 1821, '\p{^Is_Joining_Group=_ Yudh}', "");
    Expect(0, 1821, '\P{Is_Joining_Group=_ Yudh}', "");
    Expect(1, 1821, '\P{^Is_Joining_Group=_ Yudh}', "");
    Expect(0, 1822, '\p{Is_Joining_Group=_ Yudh}', "");
    Expect(1, 1822, '\p{^Is_Joining_Group=_ Yudh}', "");
    Expect(1, 1822, '\P{Is_Joining_Group=_ Yudh}', "");
    Expect(0, 1822, '\P{^Is_Joining_Group=_ Yudh}', "");
    Error('\p{Is_Jg=/a/-_Yudh}');
    Error('\P{Is_Jg=/a/-_Yudh}');
    Expect(1, 1821, '\p{Is_Jg=yudh}', "");
    Expect(0, 1821, '\p{^Is_Jg=yudh}', "");
    Expect(0, 1821, '\P{Is_Jg=yudh}', "");
    Expect(1, 1821, '\P{^Is_Jg=yudh}', "");
    Expect(0, 1822, '\p{Is_Jg=yudh}', "");
    Expect(1, 1822, '\p{^Is_Jg=yudh}', "");
    Expect(1, 1822, '\P{Is_Jg=yudh}', "");
    Expect(0, 1822, '\P{^Is_Jg=yudh}', "");
    Expect(1, 1821, '\p{Is_Jg=_ Yudh}', "");
    Expect(0, 1821, '\p{^Is_Jg=_ Yudh}', "");
    Expect(0, 1821, '\P{Is_Jg=_ Yudh}', "");
    Expect(1, 1821, '\P{^Is_Jg=_ Yudh}', "");
    Expect(0, 1822, '\p{Is_Jg=_ Yudh}', "");
    Expect(1, 1822, '\p{^Is_Jg=_ Yudh}', "");
    Expect(1, 1822, '\P{Is_Jg=_ Yudh}', "");
    Expect(0, 1822, '\P{^Is_Jg=_ Yudh}', "");
    Error('\p{Joining_Group:   	:=Yudh_He}');
    Error('\P{Joining_Group:   	:=Yudh_He}');
    Expect(1, 1822, '\p{Joining_Group=:\AYudh_He\z:}', "");;
    Expect(0, 1823, '\p{Joining_Group=:\AYudh_He\z:}', "");;
    Expect(1, 1822, '\p{Joining_Group=yudhhe}', "");
    Expect(0, 1822, '\p{^Joining_Group=yudhhe}', "");
    Expect(0, 1822, '\P{Joining_Group=yudhhe}', "");
    Expect(1, 1822, '\P{^Joining_Group=yudhhe}', "");
    Expect(0, 1823, '\p{Joining_Group=yudhhe}', "");
    Expect(1, 1823, '\p{^Joining_Group=yudhhe}', "");
    Expect(1, 1823, '\P{Joining_Group=yudhhe}', "");
    Expect(0, 1823, '\P{^Joining_Group=yudhhe}', "");
    Expect(1, 1822, '\p{Joining_Group=:\Ayudhhe\z:}', "");;
    Expect(0, 1823, '\p{Joining_Group=:\Ayudhhe\z:}', "");;
    Expect(1, 1822, '\p{Joining_Group=	Yudh_He}', "");
    Expect(0, 1822, '\p{^Joining_Group=	Yudh_He}', "");
    Expect(0, 1822, '\P{Joining_Group=	Yudh_He}', "");
    Expect(1, 1822, '\P{^Joining_Group=	Yudh_He}', "");
    Expect(0, 1823, '\p{Joining_Group=	Yudh_He}', "");
    Expect(1, 1823, '\p{^Joining_Group=	Yudh_He}', "");
    Expect(1, 1823, '\P{Joining_Group=	Yudh_He}', "");
    Expect(0, 1823, '\P{^Joining_Group=	Yudh_He}', "");
    Error('\p{Jg= _YUDH_He/a/}');
    Error('\P{Jg= _YUDH_He/a/}');
    Expect(1, 1822, '\p{Jg=:\AYudh_He\z:}', "");;
    Expect(0, 1823, '\p{Jg=:\AYudh_He\z:}', "");;
    Expect(1, 1822, '\p{Jg=yudhhe}', "");
    Expect(0, 1822, '\p{^Jg=yudhhe}', "");
    Expect(0, 1822, '\P{Jg=yudhhe}', "");
    Expect(1, 1822, '\P{^Jg=yudhhe}', "");
    Expect(0, 1823, '\p{Jg=yudhhe}', "");
    Expect(1, 1823, '\p{^Jg=yudhhe}', "");
    Expect(1, 1823, '\P{Jg=yudhhe}', "");
    Expect(0, 1823, '\P{^Jg=yudhhe}', "");
    Expect(1, 1822, '\p{Jg=:\Ayudhhe\z:}', "");;
    Expect(0, 1823, '\p{Jg=:\Ayudhhe\z:}', "");;
    Expect(1, 1822, '\p{Jg=	yudh_he}', "");
    Expect(0, 1822, '\p{^Jg=	yudh_he}', "");
    Expect(0, 1822, '\P{Jg=	yudh_he}', "");
    Expect(1, 1822, '\P{^Jg=	yudh_he}', "");
    Expect(0, 1823, '\p{Jg=	yudh_he}', "");
    Expect(1, 1823, '\p{^Jg=	yudh_he}', "");
    Expect(1, 1823, '\P{Jg=	yudh_he}', "");
    Expect(0, 1823, '\P{^Jg=	yudh_he}', "");
    Error('\p{Is_Joining_Group=/a/- YUDH_He}');
    Error('\P{Is_Joining_Group=/a/- YUDH_He}');
    Expect(1, 1822, '\p{Is_Joining_Group=yudhhe}', "");
    Expect(0, 1822, '\p{^Is_Joining_Group=yudhhe}', "");
    Expect(0, 1822, '\P{Is_Joining_Group=yudhhe}', "");
    Expect(1, 1822, '\P{^Is_Joining_Group=yudhhe}', "");
    Expect(0, 1823, '\p{Is_Joining_Group=yudhhe}', "");
    Expect(1, 1823, '\p{^Is_Joining_Group=yudhhe}', "");
    Expect(1, 1823, '\P{Is_Joining_Group=yudhhe}', "");
    Expect(0, 1823, '\P{^Is_Joining_Group=yudhhe}', "");
    Expect(1, 1822, '\p{Is_Joining_Group=		yudh_He}', "");
    Expect(0, 1822, '\p{^Is_Joining_Group=		yudh_He}', "");
    Expect(0, 1822, '\P{Is_Joining_Group=		yudh_He}', "");
    Expect(1, 1822, '\P{^Is_Joining_Group=		yudh_He}', "");
    Expect(0, 1823, '\p{Is_Joining_Group=		yudh_He}', "");
    Expect(1, 1823, '\p{^Is_Joining_Group=		yudh_He}', "");
    Expect(1, 1823, '\P{Is_Joining_Group=		yudh_He}', "");
    Expect(0, 1823, '\P{^Is_Joining_Group=		yudh_He}', "");
    Error('\p{Is_Jg=_/a/YUDH_HE}');
    Error('\P{Is_Jg=_/a/YUDH_HE}');
    Expect(1, 1822, '\p{Is_Jg=yudhhe}', "");
    Expect(0, 1822, '\p{^Is_Jg=yudhhe}', "");
    Expect(0, 1822, '\P{Is_Jg=yudhhe}', "");
    Expect(1, 1822, '\P{^Is_Jg=yudhhe}', "");
    Expect(0, 1823, '\p{Is_Jg=yudhhe}', "");
    Expect(1, 1823, '\p{^Is_Jg=yudhhe}', "");
    Expect(1, 1823, '\P{Is_Jg=yudhhe}', "");
    Expect(0, 1823, '\P{^Is_Jg=yudhhe}', "");
    Expect(1, 1822, '\p{Is_Jg:	_Yudh_He}', "");
    Expect(0, 1822, '\p{^Is_Jg:	_Yudh_He}', "");
    Expect(0, 1822, '\P{Is_Jg:	_Yudh_He}', "");
    Expect(1, 1822, '\P{^Is_Jg:	_Yudh_He}', "");
    Expect(0, 1823, '\p{Is_Jg:	_Yudh_He}', "");
    Expect(1, 1823, '\p{^Is_Jg:	_Yudh_He}', "");
    Expect(1, 1823, '\P{Is_Jg:	_Yudh_He}', "");
    Expect(0, 1823, '\P{^Is_Jg:	_Yudh_He}', "");
    Error('\p{Joining_Group=:= zain}');
    Error('\P{Joining_Group=:= zain}');
    Expect(1, 1817, '\p{Joining_Group=:\AZain\z:}', "");;
    Expect(0, 1818, '\p{Joining_Group=:\AZain\z:}', "");;
    Expect(1, 1817, '\p{Joining_Group:	zain}', "");
    Expect(0, 1817, '\p{^Joining_Group:	zain}', "");
    Expect(0, 1817, '\P{Joining_Group:	zain}', "");
    Expect(1, 1817, '\P{^Joining_Group:	zain}', "");
    Expect(0, 1818, '\p{Joining_Group:	zain}', "");
    Expect(1, 1818, '\p{^Joining_Group:	zain}', "");
    Expect(1, 1818, '\P{Joining_Group:	zain}', "");
    Expect(0, 1818, '\P{^Joining_Group:	zain}', "");
    Expect(1, 1817, '\p{Joining_Group=:\Azain\z:}', "");;
    Expect(0, 1818, '\p{Joining_Group=:\Azain\z:}', "");;
    Expect(1, 1817, '\p{Joining_Group=__ZAIN}', "");
    Expect(0, 1817, '\p{^Joining_Group=__ZAIN}', "");
    Expect(0, 1817, '\P{Joining_Group=__ZAIN}', "");
    Expect(1, 1817, '\P{^Joining_Group=__ZAIN}', "");
    Expect(0, 1818, '\p{Joining_Group=__ZAIN}', "");
    Expect(1, 1818, '\p{^Joining_Group=__ZAIN}', "");
    Expect(1, 1818, '\P{Joining_Group=__ZAIN}', "");
    Expect(0, 1818, '\P{^Joining_Group=__ZAIN}', "");
    Error('\p{Jg=	/a/ZAIN}');
    Error('\P{Jg=	/a/ZAIN}');
    Expect(1, 1817, '\p{Jg=:\AZain\z:}', "");;
    Expect(0, 1818, '\p{Jg=:\AZain\z:}', "");;
    Expect(1, 1817, '\p{Jg=zain}', "");
    Expect(0, 1817, '\p{^Jg=zain}', "");
    Expect(0, 1817, '\P{Jg=zain}', "");
    Expect(1, 1817, '\P{^Jg=zain}', "");
    Expect(0, 1818, '\p{Jg=zain}', "");
    Expect(1, 1818, '\p{^Jg=zain}', "");
    Expect(1, 1818, '\P{Jg=zain}', "");
    Expect(0, 1818, '\P{^Jg=zain}', "");
    Expect(1, 1817, '\p{Jg=:\Azain\z:}', "");;
    Expect(0, 1818, '\p{Jg=:\Azain\z:}', "");;
    Expect(1, 1817, '\p{Jg=Zain}', "");
    Expect(0, 1817, '\p{^Jg=Zain}', "");
    Expect(0, 1817, '\P{Jg=Zain}', "");
    Expect(1, 1817, '\P{^Jg=Zain}', "");
    Expect(0, 1818, '\p{Jg=Zain}', "");
    Expect(1, 1818, '\p{^Jg=Zain}', "");
    Expect(1, 1818, '\P{Jg=Zain}', "");
    Expect(0, 1818, '\P{^Jg=Zain}', "");
    Error('\p{Is_Joining_Group=/a/	-zain}');
    Error('\P{Is_Joining_Group=/a/	-zain}');
    Expect(1, 1817, '\p{Is_Joining_Group=zain}', "");
    Expect(0, 1817, '\p{^Is_Joining_Group=zain}', "");
    Expect(0, 1817, '\P{Is_Joining_Group=zain}', "");
    Expect(1, 1817, '\P{^Is_Joining_Group=zain}', "");
    Expect(0, 1818, '\p{Is_Joining_Group=zain}', "");
    Expect(1, 1818, '\p{^Is_Joining_Group=zain}', "");
    Expect(1, 1818, '\P{Is_Joining_Group=zain}', "");
    Expect(0, 1818, '\P{^Is_Joining_Group=zain}', "");
    Expect(1, 1817, '\p{Is_Joining_Group=-ZAIN}', "");
    Expect(0, 1817, '\p{^Is_Joining_Group=-ZAIN}', "");
    Expect(0, 1817, '\P{Is_Joining_Group=-ZAIN}', "");
    Expect(1, 1817, '\P{^Is_Joining_Group=-ZAIN}', "");
    Expect(0, 1818, '\p{Is_Joining_Group=-ZAIN}', "");
    Expect(1, 1818, '\p{^Is_Joining_Group=-ZAIN}', "");
    Expect(1, 1818, '\P{Is_Joining_Group=-ZAIN}', "");
    Expect(0, 1818, '\P{^Is_Joining_Group=-ZAIN}', "");
    Error('\p{Is_Jg=:=__Zain}');
    Error('\P{Is_Jg=:=__Zain}');
    Expect(1, 1817, '\p{Is_Jg=zain}', "");
    Expect(0, 1817, '\p{^Is_Jg=zain}', "");
    Expect(0, 1817, '\P{Is_Jg=zain}', "");
    Expect(1, 1817, '\P{^Is_Jg=zain}', "");
    Expect(0, 1818, '\p{Is_Jg=zain}', "");
    Expect(1, 1818, '\p{^Is_Jg=zain}', "");
    Expect(1, 1818, '\P{Is_Jg=zain}', "");
    Expect(0, 1818, '\P{^Is_Jg=zain}', "");
    Expect(1, 1817, '\p{Is_Jg=_ Zain}', "");
    Expect(0, 1817, '\p{^Is_Jg=_ Zain}', "");
    Expect(0, 1817, '\P{Is_Jg=_ Zain}', "");
    Expect(1, 1817, '\P{^Is_Jg=_ Zain}', "");
    Expect(0, 1818, '\p{Is_Jg=_ Zain}', "");
    Expect(1, 1818, '\p{^Is_Jg=_ Zain}', "");
    Expect(1, 1818, '\P{Is_Jg=_ Zain}', "");
    Expect(0, 1818, '\P{^Is_Jg=_ Zain}', "");
    Error('\p{Joining_Group=	ZHAIN/a/}');
    Error('\P{Joining_Group=	ZHAIN/a/}');
    Expect(1, 1869, '\p{Joining_Group=:\AZhain\z:}', "");;
    Expect(0, 1870, '\p{Joining_Group=:\AZhain\z:}', "");;
    Expect(1, 1869, '\p{Joining_Group=zhain}', "");
    Expect(0, 1869, '\p{^Joining_Group=zhain}', "");
    Expect(0, 1869, '\P{Joining_Group=zhain}', "");
    Expect(1, 1869, '\P{^Joining_Group=zhain}', "");
    Expect(0, 1870, '\p{Joining_Group=zhain}', "");
    Expect(1, 1870, '\p{^Joining_Group=zhain}', "");
    Expect(1, 1870, '\P{Joining_Group=zhain}', "");
    Expect(0, 1870, '\P{^Joining_Group=zhain}', "");
    Expect(1, 1869, '\p{Joining_Group=:\Azhain\z:}', "");;
    Expect(0, 1870, '\p{Joining_Group=:\Azhain\z:}', "");;
    Expect(1, 1869, '\p{Joining_Group: __Zhain}', "");
    Expect(0, 1869, '\p{^Joining_Group: __Zhain}', "");
    Expect(0, 1869, '\P{Joining_Group: __Zhain}', "");
    Expect(1, 1869, '\P{^Joining_Group: __Zhain}', "");
    Expect(0, 1870, '\p{Joining_Group: __Zhain}', "");
    Expect(1, 1870, '\p{^Joining_Group: __Zhain}', "");
    Expect(1, 1870, '\P{Joining_Group: __Zhain}', "");
    Expect(0, 1870, '\P{^Joining_Group: __Zhain}', "");
    Error('\p{Jg= :=Zhain}');
    Error('\P{Jg= :=Zhain}');
    Expect(1, 1869, '\p{Jg=:\AZhain\z:}', "");;
    Expect(0, 1870, '\p{Jg=:\AZhain\z:}', "");;
    Expect(1, 1869, '\p{Jg=zhain}', "");
    Expect(0, 1869, '\p{^Jg=zhain}', "");
    Expect(0, 1869, '\P{Jg=zhain}', "");
    Expect(1, 1869, '\P{^Jg=zhain}', "");
    Expect(0, 1870, '\p{Jg=zhain}', "");
    Expect(1, 1870, '\p{^Jg=zhain}', "");
    Expect(1, 1870, '\P{Jg=zhain}', "");
    Expect(0, 1870, '\P{^Jg=zhain}', "");
    Expect(1, 1869, '\p{Jg=:\Azhain\z:}', "");;
    Expect(0, 1870, '\p{Jg=:\Azhain\z:}', "");;
    Expect(1, 1869, '\p{Jg: 		zhain}', "");
    Expect(0, 1869, '\p{^Jg: 		zhain}', "");
    Expect(0, 1869, '\P{Jg: 		zhain}', "");
    Expect(1, 1869, '\P{^Jg: 		zhain}', "");
    Expect(0, 1870, '\p{Jg: 		zhain}', "");
    Expect(1, 1870, '\p{^Jg: 		zhain}', "");
    Expect(1, 1870, '\P{Jg: 		zhain}', "");
    Expect(0, 1870, '\P{^Jg: 		zhain}', "");
    Error('\p{Is_Joining_Group=:=	_Zhain}');
    Error('\P{Is_Joining_Group=:=	_Zhain}');
    Expect(1, 1869, '\p{Is_Joining_Group=zhain}', "");
    Expect(0, 1869, '\p{^Is_Joining_Group=zhain}', "");
    Expect(0, 1869, '\P{Is_Joining_Group=zhain}', "");
    Expect(1, 1869, '\P{^Is_Joining_Group=zhain}', "");
    Expect(0, 1870, '\p{Is_Joining_Group=zhain}', "");
    Expect(1, 1870, '\p{^Is_Joining_Group=zhain}', "");
    Expect(1, 1870, '\P{Is_Joining_Group=zhain}', "");
    Expect(0, 1870, '\P{^Is_Joining_Group=zhain}', "");
    Expect(1, 1869, '\p{Is_Joining_Group=_-zhain}', "");
    Expect(0, 1869, '\p{^Is_Joining_Group=_-zhain}', "");
    Expect(0, 1869, '\P{Is_Joining_Group=_-zhain}', "");
    Expect(1, 1869, '\P{^Is_Joining_Group=_-zhain}', "");
    Expect(0, 1870, '\p{Is_Joining_Group=_-zhain}', "");
    Expect(1, 1870, '\p{^Is_Joining_Group=_-zhain}', "");
    Expect(1, 1870, '\P{Is_Joining_Group=_-zhain}', "");
    Expect(0, 1870, '\P{^Is_Joining_Group=_-zhain}', "");
    Error('\p{Is_Jg=/a/	_zhain}');
    Error('\P{Is_Jg=/a/	_zhain}');
    Expect(1, 1869, '\p{Is_Jg: zhain}', "");
    Expect(0, 1869, '\p{^Is_Jg: zhain}', "");
    Expect(0, 1869, '\P{Is_Jg: zhain}', "");
    Expect(1, 1869, '\P{^Is_Jg: zhain}', "");
    Expect(0, 1870, '\p{Is_Jg: zhain}', "");
    Expect(1, 1870, '\p{^Is_Jg: zhain}', "");
    Expect(1, 1870, '\P{Is_Jg: zhain}', "");
    Expect(0, 1870, '\P{^Is_Jg: zhain}', "");
    Expect(1, 1869, '\p{Is_Jg= 	zhain}', "");
    Expect(0, 1869, '\p{^Is_Jg= 	zhain}', "");
    Expect(0, 1869, '\P{Is_Jg= 	zhain}', "");
    Expect(1, 1869, '\P{^Is_Jg= 	zhain}', "");
    Expect(0, 1870, '\p{Is_Jg= 	zhain}', "");
    Expect(1, 1870, '\p{^Is_Jg= 	zhain}', "");
    Expect(1, 1870, '\P{Is_Jg= 	zhain}', "");
    Expect(0, 1870, '\P{^Is_Jg= 	zhain}', "");
    Error('\p{Join_Control=-/a/no}');
    Error('\P{Join_Control=-/a/no}');
    Expect(1, 8206, '\p{Join_Control=:\ANo\z:}', "");;
    Expect(0, 8205, '\p{Join_Control=:\ANo\z:}', "");;
    Expect(1, 8206, '\p{Join_Control:	no}', "");
    Expect(0, 8206, '\p{^Join_Control:	no}', "");
    Expect(0, 8206, '\P{Join_Control:	no}', "");
    Expect(1, 8206, '\P{^Join_Control:	no}', "");
    Expect(0, 8205, '\p{Join_Control:	no}', "");
    Expect(1, 8205, '\p{^Join_Control:	no}', "");
    Expect(1, 8205, '\P{Join_Control:	no}', "");
    Expect(0, 8205, '\P{^Join_Control:	no}', "");
    Expect(1, 8206, '\p{Join_Control=:\Ano\z:}', "");;
    Expect(0, 8205, '\p{Join_Control=:\Ano\z:}', "");;
    Expect(1, 8206, '\p{Join_Control=  No}', "");
    Expect(0, 8206, '\p{^Join_Control=  No}', "");
    Expect(0, 8206, '\P{Join_Control=  No}', "");
    Expect(1, 8206, '\P{^Join_Control=  No}', "");
    Expect(0, 8205, '\p{Join_Control=  No}', "");
    Expect(1, 8205, '\p{^Join_Control=  No}', "");
    Expect(1, 8205, '\P{Join_Control=  No}', "");
    Expect(0, 8205, '\P{^Join_Control=  No}', "");
    Error('\p{Join_C= _N/a/}');
    Error('\P{Join_C= _N/a/}');
    Expect(1, 8206, '\p{Join_C=:\AN\z:}', "");;
    Expect(0, 8205, '\p{Join_C=:\AN\z:}', "");;
    Expect(1, 8206, '\p{Join_C=n}', "");
    Expect(0, 8206, '\p{^Join_C=n}', "");
    Expect(0, 8206, '\P{Join_C=n}', "");
    Expect(1, 8206, '\P{^Join_C=n}', "");
    Expect(0, 8205, '\p{Join_C=n}', "");
    Expect(1, 8205, '\p{^Join_C=n}', "");
    Expect(1, 8205, '\P{Join_C=n}', "");
    Expect(0, 8205, '\P{^Join_C=n}', "");
    Expect(1, 8206, '\p{Join_C=:\An\z:}', "");;
    Expect(0, 8205, '\p{Join_C=:\An\z:}', "");;
    Expect(1, 8206, '\p{Join_C=	N}', "");
    Expect(0, 8206, '\p{^Join_C=	N}', "");
    Expect(0, 8206, '\P{Join_C=	N}', "");
    Expect(1, 8206, '\P{^Join_C=	N}', "");
    Expect(0, 8205, '\p{Join_C=	N}', "");
    Expect(1, 8205, '\p{^Join_C=	N}', "");
    Expect(1, 8205, '\P{Join_C=	N}', "");
    Expect(0, 8205, '\P{^Join_C=	N}', "");
    Error('\p{Is_Join_Control=__F/a/}');
    Error('\P{Is_Join_Control=__F/a/}');
    Expect(1, 8206, '\p{Is_Join_Control=f}', "");
    Expect(0, 8206, '\p{^Is_Join_Control=f}', "");
    Expect(0, 8206, '\P{Is_Join_Control=f}', "");
    Expect(1, 8206, '\P{^Is_Join_Control=f}', "");
    Expect(0, 8205, '\p{Is_Join_Control=f}', "");
    Expect(1, 8205, '\p{^Is_Join_Control=f}', "");
    Expect(1, 8205, '\P{Is_Join_Control=f}', "");
    Expect(0, 8205, '\P{^Is_Join_Control=f}', "");
    Expect(1, 8206, '\p{Is_Join_Control=- F}', "");
    Expect(0, 8206, '\p{^Is_Join_Control=- F}', "");
    Expect(0, 8206, '\P{Is_Join_Control=- F}', "");
    Expect(1, 8206, '\P{^Is_Join_Control=- F}', "");
    Expect(0, 8205, '\p{Is_Join_Control=- F}', "");
    Expect(1, 8205, '\p{^Is_Join_Control=- F}', "");
    Expect(1, 8205, '\P{Is_Join_Control=- F}', "");
    Expect(0, 8205, '\P{^Is_Join_Control=- F}', "");
    Error('\p{Is_Join_C=/a/ False}');
    Error('\P{Is_Join_C=/a/ False}');
    Expect(1, 8206, '\p{Is_Join_C=false}', "");
    Expect(0, 8206, '\p{^Is_Join_C=false}', "");
    Expect(0, 8206, '\P{Is_Join_C=false}', "");
    Expect(1, 8206, '\P{^Is_Join_C=false}', "");
    Expect(0, 8205, '\p{Is_Join_C=false}', "");
    Expect(1, 8205, '\p{^Is_Join_C=false}', "");
    Expect(1, 8205, '\P{Is_Join_C=false}', "");
    Expect(0, 8205, '\P{^Is_Join_C=false}', "");
    Expect(1, 8206, '\p{Is_Join_C= _False}', "");
    Expect(0, 8206, '\p{^Is_Join_C= _False}', "");
    Expect(0, 8206, '\P{Is_Join_C= _False}', "");
    Expect(1, 8206, '\P{^Is_Join_C= _False}', "");
    Expect(0, 8205, '\p{Is_Join_C= _False}', "");
    Expect(1, 8205, '\p{^Is_Join_C= _False}', "");
    Expect(1, 8205, '\P{Is_Join_C= _False}', "");
    Expect(0, 8205, '\P{^Is_Join_C= _False}', "");
    Error('\p{Join_Control=	 YES/a/}');
    Error('\P{Join_Control=	 YES/a/}');
    Expect(1, 8205, '\p{Join_Control=:\AYes\z:}', "");;
    Expect(0, 8206, '\p{Join_Control=:\AYes\z:}', "");;
    Expect(1, 8205, '\p{Join_Control=yes}', "");
    Expect(0, 8205, '\p{^Join_Control=yes}', "");
    Expect(0, 8205, '\P{Join_Control=yes}', "");
    Expect(1, 8205, '\P{^Join_Control=yes}', "");
    Expect(0, 8206, '\p{Join_Control=yes}', "");
    Expect(1, 8206, '\p{^Join_Control=yes}', "");
    Expect(1, 8206, '\P{Join_Control=yes}', "");
    Expect(0, 8206, '\P{^Join_Control=yes}', "");
    Expect(1, 8205, '\p{Join_Control=:\Ayes\z:}', "");;
    Expect(0, 8206, '\p{Join_Control=:\Ayes\z:}', "");;
    Expect(1, 8205, '\p{Join_Control=	-Yes}', "");
    Expect(0, 8205, '\p{^Join_Control=	-Yes}', "");
    Expect(0, 8205, '\P{Join_Control=	-Yes}', "");
    Expect(1, 8205, '\P{^Join_Control=	-Yes}', "");
    Expect(0, 8206, '\p{Join_Control=	-Yes}', "");
    Expect(1, 8206, '\p{^Join_Control=	-Yes}', "");
    Expect(1, 8206, '\P{Join_Control=	-Yes}', "");
    Expect(0, 8206, '\P{^Join_Control=	-Yes}', "");
    Error('\p{Join_C=_ Y:=}');
    Error('\P{Join_C=_ Y:=}');
    Expect(1, 8205, '\p{Join_C=:\AY\z:}', "");;
    Expect(0, 8206, '\p{Join_C=:\AY\z:}', "");;
    Expect(1, 8205, '\p{Join_C=y}', "");
    Expect(0, 8205, '\p{^Join_C=y}', "");
    Expect(0, 8205, '\P{Join_C=y}', "");
    Expect(1, 8205, '\P{^Join_C=y}', "");
    Expect(0, 8206, '\p{Join_C=y}', "");
    Expect(1, 8206, '\p{^Join_C=y}', "");
    Expect(1, 8206, '\P{Join_C=y}', "");
    Expect(0, 8206, '\P{^Join_C=y}', "");
    Expect(1, 8205, '\p{Join_C=:\Ay\z:}', "");;
    Expect(0, 8206, '\p{Join_C=:\Ay\z:}', "");;
    Expect(1, 8205, '\p{Join_C=-Y}', "");
    Expect(0, 8205, '\p{^Join_C=-Y}', "");
    Expect(0, 8205, '\P{Join_C=-Y}', "");
    Expect(1, 8205, '\P{^Join_C=-Y}', "");
    Expect(0, 8206, '\p{Join_C=-Y}', "");
    Expect(1, 8206, '\p{^Join_C=-Y}', "");
    Expect(1, 8206, '\P{Join_C=-Y}', "");
    Expect(0, 8206, '\P{^Join_C=-Y}', "");
    Error('\p{Is_Join_Control=/a/T}');
    Error('\P{Is_Join_Control=/a/T}');
    Expect(1, 8205, '\p{Is_Join_Control=t}', "");
    Expect(0, 8205, '\p{^Is_Join_Control=t}', "");
    Expect(0, 8205, '\P{Is_Join_Control=t}', "");
    Expect(1, 8205, '\P{^Is_Join_Control=t}', "");
    Expect(0, 8206, '\p{Is_Join_Control=t}', "");
    Expect(1, 8206, '\p{^Is_Join_Control=t}', "");
    Expect(1, 8206, '\P{Is_Join_Control=t}', "");
    Expect(0, 8206, '\P{^Is_Join_Control=t}', "");
    Expect(1, 8205, '\p{Is_Join_Control=-_T}', "");
    Expect(0, 8205, '\p{^Is_Join_Control=-_T}', "");
    Expect(0, 8205, '\P{Is_Join_Control=-_T}', "");
    Expect(1, 8205, '\P{^Is_Join_Control=-_T}', "");
    Expect(0, 8206, '\p{Is_Join_Control=-_T}', "");
    Expect(1, 8206, '\p{^Is_Join_Control=-_T}', "");
    Expect(1, 8206, '\P{Is_Join_Control=-_T}', "");
    Expect(0, 8206, '\P{^Is_Join_Control=-_T}', "");
    Error('\p{Is_Join_C=	/a/TRUE}');
    Error('\P{Is_Join_C=	/a/TRUE}');
    Expect(1, 8205, '\p{Is_Join_C=true}', "");
    Expect(0, 8205, '\p{^Is_Join_C=true}', "");
    Expect(0, 8205, '\P{Is_Join_C=true}', "");
    Expect(1, 8205, '\P{^Is_Join_C=true}', "");
    Expect(0, 8206, '\p{Is_Join_C=true}', "");
    Expect(1, 8206, '\p{^Is_Join_C=true}', "");
    Expect(1, 8206, '\P{Is_Join_C=true}', "");
    Expect(0, 8206, '\P{^Is_Join_C=true}', "");
    Expect(1, 8205, '\p{Is_Join_C=_-TRUE}', "");
    Expect(0, 8205, '\p{^Is_Join_C=_-TRUE}', "");
    Expect(0, 8205, '\P{Is_Join_C=_-TRUE}', "");
    Expect(1, 8205, '\P{^Is_Join_C=_-TRUE}', "");
    Expect(0, 8206, '\p{Is_Join_C=_-TRUE}', "");
    Expect(1, 8206, '\p{^Is_Join_C=_-TRUE}', "");
    Expect(1, 8206, '\P{Is_Join_C=_-TRUE}', "");
    Expect(0, 8206, '\P{^Is_Join_C=_-TRUE}', "");
    Error('\p{jamoshortname}');
    Error('\P{jamoshortname}');
    Error('\p{jsn}');
    Error('\P{jsn}');
    Error('\p{Jamo_Short_Name=A}');
    Error('\P{Jamo_Short_Name=A}');
    Error('\p{JSN=A}');
    Error('\P{JSN=A}');
    Error('\p{Is_Jamo_Short_Name:	A}');
    Error('\P{Is_Jamo_Short_Name:	A}');
    Error('\p{Is_JSN=A}');
    Error('\P{Is_JSN=A}');
    Error('\p{Jamo_Short_Name=AE}');
    Error('\P{Jamo_Short_Name=AE}');
    Error('\p{JSN=AE}');
    Error('\P{JSN=AE}');
    Error('\p{Is_Jamo_Short_Name=AE}');
    Error('\P{Is_Jamo_Short_Name=AE}');
    Error('\p{Is_JSN=AE}');
    Error('\P{Is_JSN=AE}');
    Error('\p{Jamo_Short_Name=B}');
    Error('\P{Jamo_Short_Name=B}');
    Error('\p{JSN=B}');
    Error('\P{JSN=B}');
    Error('\p{Is_Jamo_Short_Name=B}');
    Error('\P{Is_Jamo_Short_Name=B}');
    Error('\p{Is_JSN:B}');
    Error('\P{Is_JSN:B}');
    Error('\p{Jamo_Short_Name:	BB}');
    Error('\P{Jamo_Short_Name:	BB}');
    Error('\p{JSN=BB}');
    Error('\P{JSN=BB}');
    Error('\p{Is_Jamo_Short_Name=BB}');
    Error('\P{Is_Jamo_Short_Name=BB}');
    Error('\p{Is_JSN=BB}');
    Error('\P{Is_JSN=BB}');
    Error('\p{Jamo_Short_Name:   BS}');
    Error('\P{Jamo_Short_Name:   BS}');
    Error('\p{JSN=BS}');
    Error('\P{JSN=BS}');
    Error('\p{Is_Jamo_Short_Name=BS}');
    Error('\P{Is_Jamo_Short_Name=BS}');
    Error('\p{Is_JSN=BS}');
    Error('\P{Is_JSN=BS}');
    Error('\p{Jamo_Short_Name=C}');
    Error('\P{Jamo_Short_Name=C}');
    Error('\p{JSN=C}');
    Error('\P{JSN=C}');
    Error('\p{Is_Jamo_Short_Name=C}');
    Error('\P{Is_Jamo_Short_Name=C}');
    Error('\p{Is_JSN: C}');
    Error('\P{Is_JSN: C}');
    Error('\p{Jamo_Short_Name=D}');
    Error('\P{Jamo_Short_Name=D}');
    Error('\p{JSN=D}');
    Error('\P{JSN=D}');
    Error('\p{Is_Jamo_Short_Name=D}');
    Error('\P{Is_Jamo_Short_Name=D}');
    Error('\p{Is_JSN=D}');
    Error('\P{Is_JSN=D}');
    Error('\p{Jamo_Short_Name=DD}');
    Error('\P{Jamo_Short_Name=DD}');
    Error('\p{JSN=DD}');
    Error('\P{JSN=DD}');
    Error('\p{Is_Jamo_Short_Name=DD}');
    Error('\P{Is_Jamo_Short_Name=DD}');
    Error('\p{Is_JSN=DD}');
    Error('\P{Is_JSN=DD}');
    Error('\p{Jamo_Short_Name=E}');
    Error('\P{Jamo_Short_Name=E}');
    Error('\p{JSN=E}');
    Error('\P{JSN=E}');
    Error('\p{Is_Jamo_Short_Name:E}');
    Error('\P{Is_Jamo_Short_Name:E}');
    Error('\p{Is_JSN=E}');
    Error('\P{Is_JSN=E}');
    Error('\p{Jamo_Short_Name=EO}');
    Error('\P{Jamo_Short_Name=EO}');
    Error('\p{JSN=EO}');
    Error('\P{JSN=EO}');
    Error('\p{Is_Jamo_Short_Name:EO}');
    Error('\P{Is_Jamo_Short_Name:EO}');
    Error('\p{Is_JSN=EO}');
    Error('\P{Is_JSN=EO}');
    Error('\p{Jamo_Short_Name=EU}');
    Error('\P{Jamo_Short_Name=EU}');
    Error('\p{JSN=EU}');
    Error('\P{JSN=EU}');
    Error('\p{Is_Jamo_Short_Name=EU}');
    Error('\P{Is_Jamo_Short_Name=EU}');
    Error('\p{Is_JSN=EU}');
    Error('\P{Is_JSN=EU}');
    Error('\p{Jamo_Short_Name=G}');
    Error('\P{Jamo_Short_Name=G}');
    Error('\p{JSN:G}');
    Error('\P{JSN:G}');
    Error('\p{Is_Jamo_Short_Name:   G}');
    Error('\P{Is_Jamo_Short_Name:   G}');
    Error('\p{Is_JSN=G}');
    Error('\P{Is_JSN=G}');
    Error('\p{Jamo_Short_Name=GG}');
    Error('\P{Jamo_Short_Name=GG}');
    Error('\p{JSN=GG}');
    Error('\P{JSN=GG}');
    Error('\p{Is_Jamo_Short_Name=GG}');
    Error('\P{Is_Jamo_Short_Name=GG}');
    Error('\p{Is_JSN=GG}');
    Error('\P{Is_JSN=GG}');
    Error('\p{Jamo_Short_Name=GS}');
    Error('\P{Jamo_Short_Name=GS}');
    Error('\p{JSN:GS}');
    Error('\P{JSN:GS}');
    Error('\p{Is_Jamo_Short_Name=GS}');
    Error('\P{Is_Jamo_Short_Name=GS}');
    Error('\p{Is_JSN=GS}');
    Error('\P{Is_JSN=GS}');
    Error('\p{Jamo_Short_Name=H}');
    Error('\P{Jamo_Short_Name=H}');
    Error('\p{JSN=H}');
    Error('\P{JSN=H}');
    Error('\p{Is_Jamo_Short_Name=H}');
    Error('\P{Is_Jamo_Short_Name=H}');
    Error('\p{Is_JSN: H}');
    Error('\P{Is_JSN: H}');
    Error('\p{Jamo_Short_Name=I}');
    Error('\P{Jamo_Short_Name=I}');
    Error('\p{JSN:I}');
    Error('\P{JSN:I}');
    Error('\p{Is_Jamo_Short_Name=I}');
    Error('\P{Is_Jamo_Short_Name=I}');
    Error('\p{Is_JSN=I}');
    Error('\P{Is_JSN=I}');
    Error('\p{Jamo_Short_Name: J}');
    Error('\P{Jamo_Short_Name: J}');
    Error('\p{JSN:	J}');
    Error('\P{JSN:	J}');
    Error('\p{Is_Jamo_Short_Name=J}');
    Error('\P{Is_Jamo_Short_Name=J}');
    Error('\p{Is_JSN=J}');
    Error('\P{Is_JSN=J}');
    Error('\p{Jamo_Short_Name=JJ}');
    Error('\P{Jamo_Short_Name=JJ}');
    Error('\p{JSN=JJ}');
    Error('\P{JSN=JJ}');
    Error('\p{Is_Jamo_Short_Name:	JJ}');
    Error('\P{Is_Jamo_Short_Name:	JJ}');
    Error('\p{Is_JSN=JJ}');
    Error('\P{Is_JSN=JJ}');
    Error('\p{Jamo_Short_Name: K}');
    Error('\P{Jamo_Short_Name: K}');
    Error('\p{JSN=K}');
    Error('\P{JSN=K}');
    Error('\p{Is_Jamo_Short_Name=K}');
    Error('\P{Is_Jamo_Short_Name=K}');
    Error('\p{Is_JSN=K}');
    Error('\P{Is_JSN=K}');
    Error('\p{Jamo_Short_Name=L}');
    Error('\P{Jamo_Short_Name=L}');
    Error('\p{JSN=L}');
    Error('\P{JSN=L}');
    Error('\p{Is_Jamo_Short_Name=L}');
    Error('\P{Is_Jamo_Short_Name=L}');
    Error('\p{Is_JSN=L}');
    Error('\P{Is_JSN=L}');
    Error('\p{Jamo_Short_Name=LB}');
    Error('\P{Jamo_Short_Name=LB}');
    Error('\p{JSN=LB}');
    Error('\P{JSN=LB}');
    Error('\p{Is_Jamo_Short_Name=LB}');
    Error('\P{Is_Jamo_Short_Name=LB}');
    Error('\p{Is_JSN=LB}');
    Error('\P{Is_JSN=LB}');
    Error('\p{Jamo_Short_Name=LG}');
    Error('\P{Jamo_Short_Name=LG}');
    Error('\p{JSN=LG}');
    Error('\P{JSN=LG}');
    Error('\p{Is_Jamo_Short_Name=LG}');
    Error('\P{Is_Jamo_Short_Name=LG}');
    Error('\p{Is_JSN=LG}');
    Error('\P{Is_JSN=LG}');
    Error('\p{Jamo_Short_Name:   LH}');
    Error('\P{Jamo_Short_Name:   LH}');
    Error('\p{JSN=LH}');
    Error('\P{JSN=LH}');
    Error('\p{Is_Jamo_Short_Name=LH}');
    Error('\P{Is_Jamo_Short_Name=LH}');
    Error('\p{Is_JSN:   LH}');
    Error('\P{Is_JSN:   LH}');
    Error('\p{Jamo_Short_Name=LM}');
    Error('\P{Jamo_Short_Name=LM}');
    Error('\p{JSN=LM}');
    Error('\P{JSN=LM}');
    Error('\p{Is_Jamo_Short_Name:   LM}');
    Error('\P{Is_Jamo_Short_Name:   LM}');
    Error('\p{Is_JSN=LM}');
    Error('\P{Is_JSN=LM}');
    Error('\p{Jamo_Short_Name: LP}');
    Error('\P{Jamo_Short_Name: LP}');
    Error('\p{JSN=LP}');
    Error('\P{JSN=LP}');
    Error('\p{Is_Jamo_Short_Name=LP}');
    Error('\P{Is_Jamo_Short_Name=LP}');
    Error('\p{Is_JSN=LP}');
    Error('\P{Is_JSN=LP}');
    Error('\p{Jamo_Short_Name=LS}');
    Error('\P{Jamo_Short_Name=LS}');
    Error('\p{JSN=LS}');
    Error('\P{JSN=LS}');
    Error('\p{Is_Jamo_Short_Name: LS}');
    Error('\P{Is_Jamo_Short_Name: LS}');
    Error('\p{Is_JSN=LS}');
    Error('\P{Is_JSN=LS}');
    Error('\p{Jamo_Short_Name=LT}');
    Error('\P{Jamo_Short_Name=LT}');
    Error('\p{JSN=LT}');
    Error('\P{JSN=LT}');
    Error('\p{Is_Jamo_Short_Name=LT}');
    Error('\P{Is_Jamo_Short_Name=LT}');
    Error('\p{Is_JSN=LT}');
    Error('\P{Is_JSN=LT}');
    Error('\p{Jamo_Short_Name=M}');
    Error('\P{Jamo_Short_Name=M}');
    Error('\p{JSN=M}');
    Error('\P{JSN=M}');
    Error('\p{Is_Jamo_Short_Name=M}');
    Error('\P{Is_Jamo_Short_Name=M}');
    Error('\p{Is_JSN=M}');
    Error('\P{Is_JSN=M}');
    Error('\p{Jamo_Short_Name:N}');
    Error('\P{Jamo_Short_Name:N}');
    Error('\p{JSN=N}');
    Error('\P{JSN=N}');
    Error('\p{Is_Jamo_Short_Name:   N}');
    Error('\P{Is_Jamo_Short_Name:   N}');
    Error('\p{Is_JSN=N}');
    Error('\P{Is_JSN=N}');
    Error('\p{Jamo_Short_Name=NG}');
    Error('\P{Jamo_Short_Name=NG}');
    Error('\p{JSN=NG}');
    Error('\P{JSN=NG}');
    Error('\p{Is_Jamo_Short_Name=NG}');
    Error('\P{Is_Jamo_Short_Name=NG}');
    Error('\p{Is_JSN=NG}');
    Error('\P{Is_JSN=NG}');
    Error('\p{Jamo_Short_Name=NH}');
    Error('\P{Jamo_Short_Name=NH}');
    Error('\p{JSN=NH}');
    Error('\P{JSN=NH}');
    Error('\p{Is_Jamo_Short_Name=NH}');
    Error('\P{Is_Jamo_Short_Name=NH}');
    Error('\p{Is_JSN=NH}');
    Error('\P{Is_JSN=NH}');
    Error('\p{Jamo_Short_Name:NJ}');
    Error('\P{Jamo_Short_Name:NJ}');
    Error('\p{JSN=NJ}');
    Error('\P{JSN=NJ}');
    Error('\p{Is_Jamo_Short_Name=NJ}');
    Error('\P{Is_Jamo_Short_Name=NJ}');
    Error('\p{Is_JSN=NJ}');
    Error('\P{Is_JSN=NJ}');
    Error('\p{Jamo_Short_Name=O}');
    Error('\P{Jamo_Short_Name=O}');
    Error('\p{JSN=O}');
    Error('\P{JSN=O}');
    Error('\p{Is_Jamo_Short_Name:   O}');
    Error('\P{Is_Jamo_Short_Name:   O}');
    Error('\p{Is_JSN=O}');
    Error('\P{Is_JSN=O}');
    Error('\p{Jamo_Short_Name=OE}');
    Error('\P{Jamo_Short_Name=OE}');
    Error('\p{JSN=OE}');
    Error('\P{JSN=OE}');
    Error('\p{Is_Jamo_Short_Name=OE}');
    Error('\P{Is_Jamo_Short_Name=OE}');
    Error('\p{Is_JSN=OE}');
    Error('\P{Is_JSN=OE}');
    Error('\p{Jamo_Short_Name=P}');
    Error('\P{Jamo_Short_Name=P}');
    Error('\p{JSN=P}');
    Error('\P{JSN=P}');
    Error('\p{Is_Jamo_Short_Name=P}');
    Error('\P{Is_Jamo_Short_Name=P}');
    Error('\p{Is_JSN=P}');
    Error('\P{Is_JSN=P}');
    Error('\p{Jamo_Short_Name=R}');
    Error('\P{Jamo_Short_Name=R}');
    Error('\p{JSN=R}');
    Error('\P{JSN=R}');
    Error('\p{Is_Jamo_Short_Name=R}');
    Error('\P{Is_Jamo_Short_Name=R}');
    Error('\p{Is_JSN:	R}');
    Error('\P{Is_JSN:	R}');
    Error('\p{Jamo_Short_Name=S}');
    Error('\P{Jamo_Short_Name=S}');
    Error('\p{JSN=S}');
    Error('\P{JSN=S}');
    Error('\p{Is_Jamo_Short_Name:	S}');
    Error('\P{Is_Jamo_Short_Name:	S}');
    Error('\p{Is_JSN=S}');
    Error('\P{Is_JSN=S}');
    Error('\p{Jamo_Short_Name=SS}');
    Error('\P{Jamo_Short_Name=SS}');
    Error('\p{JSN=SS}');
    Error('\P{JSN=SS}');
    Error('\p{Is_Jamo_Short_Name=SS}');
    Error('\P{Is_Jamo_Short_Name=SS}');
    Error('\p{Is_JSN=SS}');
    Error('\P{Is_JSN=SS}');
    Error('\p{Jamo_Short_Name=T}');
    Error('\P{Jamo_Short_Name=T}');
    Error('\p{JSN:	T}');
    Error('\P{JSN:	T}');
    Error('\p{Is_Jamo_Short_Name=T}');
    Error('\P{Is_Jamo_Short_Name=T}');
    Error('\p{Is_JSN=T}');
    Error('\P{Is_JSN=T}');
    Error('\p{Jamo_Short_Name=U}');
    Error('\P{Jamo_Short_Name=U}');
    Error('\p{JSN=U}');
    Error('\P{JSN=U}');
    Error('\p{Is_Jamo_Short_Name=U}');
    Error('\P{Is_Jamo_Short_Name=U}');
    Error('\p{Is_JSN=U}');
    Error('\P{Is_JSN=U}');
    Error('\p{Jamo_Short_Name=WA}');
    Error('\P{Jamo_Short_Name=WA}');
    Error('\p{JSN=WA}');
    Error('\P{JSN=WA}');
    Error('\p{Is_Jamo_Short_Name=WA}');
    Error('\P{Is_Jamo_Short_Name=WA}');
    Error('\p{Is_JSN=WA}');
    Error('\P{Is_JSN=WA}');
    Error('\p{Jamo_Short_Name=WAE}');
    Error('\P{Jamo_Short_Name=WAE}');
    Error('\p{JSN=WAE}');
    Error('\P{JSN=WAE}');
    Error('\p{Is_Jamo_Short_Name=WAE}');
    Error('\P{Is_Jamo_Short_Name=WAE}');
    Error('\p{Is_JSN=WAE}');
    Error('\P{Is_JSN=WAE}');
    Error('\p{Jamo_Short_Name=WE}');
    Error('\P{Jamo_Short_Name=WE}');
    Error('\p{JSN=WE}');
    Error('\P{JSN=WE}');
    Error('\p{Is_Jamo_Short_Name=WE}');
    Error('\P{Is_Jamo_Short_Name=WE}');
    Error('\p{Is_JSN=WE}');
    Error('\P{Is_JSN=WE}');
    Error('\p{Jamo_Short_Name=WEO}');
    Error('\P{Jamo_Short_Name=WEO}');
    Error('\p{JSN=WEO}');
    Error('\P{JSN=WEO}');
    Error('\p{Is_Jamo_Short_Name=WEO}');
    Error('\P{Is_Jamo_Short_Name=WEO}');
    Error('\p{Is_JSN=WEO}');
    Error('\P{Is_JSN=WEO}');
    Error('\p{Jamo_Short_Name:WI}');
    Error('\P{Jamo_Short_Name:WI}');
    Error('\p{JSN=WI}');
    Error('\P{JSN=WI}');
    Error('\p{Is_Jamo_Short_Name=WI}');
    Error('\P{Is_Jamo_Short_Name=WI}');
    Error('\p{Is_JSN=WI}');
    Error('\P{Is_JSN=WI}');
    Error('\p{Jamo_Short_Name=YA}');
    Error('\P{Jamo_Short_Name=YA}');
    Error('\p{JSN=YA}');
    Error('\P{JSN=YA}');
    Error('\p{Is_Jamo_Short_Name=YA}');
    Error('\P{Is_Jamo_Short_Name=YA}');
    Error('\p{Is_JSN=YA}');
    Error('\P{Is_JSN=YA}');
    Error('\p{Jamo_Short_Name=YAE}');
    Error('\P{Jamo_Short_Name=YAE}');
    Error('\p{JSN=YAE}');
    Error('\P{JSN=YAE}');
    Error('\p{Is_Jamo_Short_Name=YAE}');
    Error('\P{Is_Jamo_Short_Name=YAE}');
    Error('\p{Is_JSN=YAE}');
    Error('\P{Is_JSN=YAE}');
    Error('\p{Jamo_Short_Name=YE}');
    Error('\P{Jamo_Short_Name=YE}');
    Error('\p{JSN=YE}');
    Error('\P{JSN=YE}');
    Error('\p{Is_Jamo_Short_Name:YE}');
    Error('\P{Is_Jamo_Short_Name:YE}');
    Error('\p{Is_JSN=YE}');
    Error('\P{Is_JSN=YE}');
    Error('\p{Jamo_Short_Name=YEO}');
    Error('\P{Jamo_Short_Name=YEO}');
    Error('\p{JSN=YEO}');
    Error('\P{JSN=YEO}');
    Error('\p{Is_Jamo_Short_Name=YEO}');
    Error('\P{Is_Jamo_Short_Name=YEO}');
    Error('\p{Is_JSN:YEO}');
    Error('\P{Is_JSN:YEO}');
    Error('\p{Jamo_Short_Name=YI}');
    Error('\P{Jamo_Short_Name=YI}');
    Error('\p{JSN=YI}');
    Error('\P{JSN=YI}');
    Error('\p{Is_Jamo_Short_Name=YI}');
    Error('\P{Is_Jamo_Short_Name=YI}');
    Error('\p{Is_JSN=YI}');
    Error('\P{Is_JSN=YI}');
    Error('\p{Jamo_Short_Name=YO}');
    Error('\P{Jamo_Short_Name=YO}');
    Error('\p{JSN:YO}');
    Error('\P{JSN:YO}');
    Error('\p{Is_Jamo_Short_Name=YO}');
    Error('\P{Is_Jamo_Short_Name=YO}');
    Error('\p{Is_JSN=YO}');
    Error('\P{Is_JSN=YO}');
    Error('\p{Jamo_Short_Name=YU}');
    Error('\P{Jamo_Short_Name=YU}');
    Error('\p{JSN=YU}');
    Error('\P{JSN=YU}');
    Error('\p{Is_Jamo_Short_Name=YU}');
    Error('\P{Is_Jamo_Short_Name=YU}');
    Error('\p{Is_JSN=YU}');
    Error('\P{Is_JSN=YU}');
    Error('\p{joiningtype}');
    Error('\P{joiningtype}');
    Error('\p{jt}');
    Error('\P{jt}');
    Error('\p{Joining_Type=-/a/JOIN_Causing}');
    Error('\P{Joining_Type=-/a/JOIN_Causing}');
    Expect(1, 8205, '\p{Joining_Type=:\AJoin_Causing\z:}', "");;
    Expect(0, 8206, '\p{Joining_Type=:\AJoin_Causing\z:}', "");;
    Expect(1, 8205, '\p{Joining_Type=joincausing}', "");
    Expect(0, 8205, '\p{^Joining_Type=joincausing}', "");
    Expect(0, 8205, '\P{Joining_Type=joincausing}', "");
    Expect(1, 8205, '\P{^Joining_Type=joincausing}', "");
    Expect(0, 8206, '\p{Joining_Type=joincausing}', "");
    Expect(1, 8206, '\p{^Joining_Type=joincausing}', "");
    Expect(1, 8206, '\P{Joining_Type=joincausing}', "");
    Expect(0, 8206, '\P{^Joining_Type=joincausing}', "");
    Expect(1, 8205, '\p{Joining_Type=:\Ajoincausing\z:}', "");;
    Expect(0, 8206, '\p{Joining_Type=:\Ajoincausing\z:}', "");;
    Expect(1, 8205, '\p{Joining_Type: 	 JOIN_Causing}', "");
    Expect(0, 8205, '\p{^Joining_Type: 	 JOIN_Causing}', "");
    Expect(0, 8205, '\P{Joining_Type: 	 JOIN_Causing}', "");
    Expect(1, 8205, '\P{^Joining_Type: 	 JOIN_Causing}', "");
    Expect(0, 8206, '\p{Joining_Type: 	 JOIN_Causing}', "");
    Expect(1, 8206, '\p{^Joining_Type: 	 JOIN_Causing}', "");
    Expect(1, 8206, '\P{Joining_Type: 	 JOIN_Causing}', "");
    Expect(0, 8206, '\P{^Joining_Type: 	 JOIN_Causing}', "");
    Error('\p{Jt=-	c:=}');
    Error('\P{Jt=-	c:=}');
    Expect(1, 8205, '\p{Jt=:\AC\z:}', "");;
    Expect(0, 8206, '\p{Jt=:\AC\z:}', "");;
    Expect(1, 8205, '\p{Jt=c}', "");
    Expect(0, 8205, '\p{^Jt=c}', "");
    Expect(0, 8205, '\P{Jt=c}', "");
    Expect(1, 8205, '\P{^Jt=c}', "");
    Expect(0, 8206, '\p{Jt=c}', "");
    Expect(1, 8206, '\p{^Jt=c}', "");
    Expect(1, 8206, '\P{Jt=c}', "");
    Expect(0, 8206, '\P{^Jt=c}', "");
    Expect(1, 8205, '\p{Jt=:\Ac\z:}', "");;
    Expect(0, 8206, '\p{Jt=:\Ac\z:}', "");;
    Expect(1, 8205, '\p{Jt=	C}', "");
    Expect(0, 8205, '\p{^Jt=	C}', "");
    Expect(0, 8205, '\P{Jt=	C}', "");
    Expect(1, 8205, '\P{^Jt=	C}', "");
    Expect(0, 8206, '\p{Jt=	C}', "");
    Expect(1, 8206, '\p{^Jt=	C}', "");
    Expect(1, 8206, '\P{Jt=	C}', "");
    Expect(0, 8206, '\P{^Jt=	C}', "");
    Error('\p{Is_Joining_Type=/a/JOIN_Causing}');
    Error('\P{Is_Joining_Type=/a/JOIN_Causing}');
    Expect(1, 8205, '\p{Is_Joining_Type=joincausing}', "");
    Expect(0, 8205, '\p{^Is_Joining_Type=joincausing}', "");
    Expect(0, 8205, '\P{Is_Joining_Type=joincausing}', "");
    Expect(1, 8205, '\P{^Is_Joining_Type=joincausing}', "");
    Expect(0, 8206, '\p{Is_Joining_Type=joincausing}', "");
    Expect(1, 8206, '\p{^Is_Joining_Type=joincausing}', "");
    Expect(1, 8206, '\P{Is_Joining_Type=joincausing}', "");
    Expect(0, 8206, '\P{^Is_Joining_Type=joincausing}', "");
    Expect(1, 8205, '\p{Is_Joining_Type=_	Join_Causing}', "");
    Expect(0, 8205, '\p{^Is_Joining_Type=_	Join_Causing}', "");
    Expect(0, 8205, '\P{Is_Joining_Type=_	Join_Causing}', "");
    Expect(1, 8205, '\P{^Is_Joining_Type=_	Join_Causing}', "");
    Expect(0, 8206, '\p{Is_Joining_Type=_	Join_Causing}', "");
    Expect(1, 8206, '\p{^Is_Joining_Type=_	Join_Causing}', "");
    Expect(1, 8206, '\P{Is_Joining_Type=_	Join_Causing}', "");
    Expect(0, 8206, '\P{^Is_Joining_Type=_	Join_Causing}', "");
    Error('\p{Is_Jt=/a/-	C}');
    Error('\P{Is_Jt=/a/-	C}');
    Expect(1, 8205, '\p{Is_Jt=c}', "");
    Expect(0, 8205, '\p{^Is_Jt=c}', "");
    Expect(0, 8205, '\P{Is_Jt=c}', "");
    Expect(1, 8205, '\P{^Is_Jt=c}', "");
    Expect(0, 8206, '\p{Is_Jt=c}', "");
    Expect(1, 8206, '\p{^Is_Jt=c}', "");
    Expect(1, 8206, '\P{Is_Jt=c}', "");
    Expect(0, 8206, '\P{^Is_Jt=c}', "");
    Expect(1, 8205, '\p{Is_Jt=- C}', "");
    Expect(0, 8205, '\p{^Is_Jt=- C}', "");
    Expect(0, 8205, '\P{Is_Jt=- C}', "");
    Expect(1, 8205, '\P{^Is_Jt=- C}', "");
    Expect(0, 8206, '\p{Is_Jt=- C}', "");
    Expect(1, 8206, '\p{^Is_Jt=- C}', "");
    Expect(1, 8206, '\P{Is_Jt=- C}', "");
    Expect(0, 8206, '\P{^Is_Jt=- C}', "");
    Error('\p{Joining_Type=-Dual_joining:=}');
    Error('\P{Joining_Type=-Dual_joining:=}');
    Expect(1, 125251, '\p{Joining_Type=:\ADual_Joining\z:}', "");;
    Expect(0, 125252, '\p{Joining_Type=:\ADual_Joining\z:}', "");;
    Expect(1, 125251, '\p{Joining_Type=dualjoining}', "");
    Expect(0, 125251, '\p{^Joining_Type=dualjoining}', "");
    Expect(0, 125251, '\P{Joining_Type=dualjoining}', "");
    Expect(1, 125251, '\P{^Joining_Type=dualjoining}', "");
    Expect(0, 125252, '\p{Joining_Type=dualjoining}', "");
    Expect(1, 125252, '\p{^Joining_Type=dualjoining}', "");
    Expect(1, 125252, '\P{Joining_Type=dualjoining}', "");
    Expect(0, 125252, '\P{^Joining_Type=dualjoining}', "");
    Expect(1, 125251, '\p{Joining_Type=:\Adualjoining\z:}', "");;
    Expect(0, 125252, '\p{Joining_Type=:\Adualjoining\z:}', "");;
    Expect(1, 125251, '\p{Joining_Type=--Dual_Joining}', "");
    Expect(0, 125251, '\p{^Joining_Type=--Dual_Joining}', "");
    Expect(0, 125251, '\P{Joining_Type=--Dual_Joining}', "");
    Expect(1, 125251, '\P{^Joining_Type=--Dual_Joining}', "");
    Expect(0, 125252, '\p{Joining_Type=--Dual_Joining}', "");
    Expect(1, 125252, '\p{^Joining_Type=--Dual_Joining}', "");
    Expect(1, 125252, '\P{Joining_Type=--Dual_Joining}', "");
    Expect(0, 125252, '\P{^Joining_Type=--Dual_Joining}', "");
    Error('\p{Jt=/a/D}');
    Error('\P{Jt=/a/D}');
    Expect(1, 125251, '\p{Jt=:\AD\z:}', "");;
    Expect(0, 125252, '\p{Jt=:\AD\z:}', "");;
    Expect(1, 125251, '\p{Jt=d}', "");
    Expect(0, 125251, '\p{^Jt=d}', "");
    Expect(0, 125251, '\P{Jt=d}', "");
    Expect(1, 125251, '\P{^Jt=d}', "");
    Expect(0, 125252, '\p{Jt=d}', "");
    Expect(1, 125252, '\p{^Jt=d}', "");
    Expect(1, 125252, '\P{Jt=d}', "");
    Expect(0, 125252, '\P{^Jt=d}', "");
    Expect(1, 125251, '\p{Jt=:\Ad\z:}', "");;
    Expect(0, 125252, '\p{Jt=:\Ad\z:}', "");;
    Expect(1, 125251, '\p{Jt=  D}', "");
    Expect(0, 125251, '\p{^Jt=  D}', "");
    Expect(0, 125251, '\P{Jt=  D}', "");
    Expect(1, 125251, '\P{^Jt=  D}', "");
    Expect(0, 125252, '\p{Jt=  D}', "");
    Expect(1, 125252, '\p{^Jt=  D}', "");
    Expect(1, 125252, '\P{Jt=  D}', "");
    Expect(0, 125252, '\P{^Jt=  D}', "");
    Error('\p{Is_Joining_Type= /a/Dual_Joining}');
    Error('\P{Is_Joining_Type= /a/Dual_Joining}');
    Expect(1, 125251, '\p{Is_Joining_Type=dualjoining}', "");
    Expect(0, 125251, '\p{^Is_Joining_Type=dualjoining}', "");
    Expect(0, 125251, '\P{Is_Joining_Type=dualjoining}', "");
    Expect(1, 125251, '\P{^Is_Joining_Type=dualjoining}', "");
    Expect(0, 125252, '\p{Is_Joining_Type=dualjoining}', "");
    Expect(1, 125252, '\p{^Is_Joining_Type=dualjoining}', "");
    Expect(1, 125252, '\P{Is_Joining_Type=dualjoining}', "");
    Expect(0, 125252, '\P{^Is_Joining_Type=dualjoining}', "");
    Expect(1, 125251, '\p{Is_Joining_Type=	Dual_Joining}', "");
    Expect(0, 125251, '\p{^Is_Joining_Type=	Dual_Joining}', "");
    Expect(0, 125251, '\P{Is_Joining_Type=	Dual_Joining}', "");
    Expect(1, 125251, '\P{^Is_Joining_Type=	Dual_Joining}', "");
    Expect(0, 125252, '\p{Is_Joining_Type=	Dual_Joining}', "");
    Expect(1, 125252, '\p{^Is_Joining_Type=	Dual_Joining}', "");
    Expect(1, 125252, '\P{Is_Joining_Type=	Dual_Joining}', "");
    Expect(0, 125252, '\P{^Is_Joining_Type=	Dual_Joining}', "");
    Error('\p{Is_Jt=-:=D}');
    Error('\P{Is_Jt=-:=D}');
    Expect(1, 125251, '\p{Is_Jt:d}', "");
    Expect(0, 125251, '\p{^Is_Jt:d}', "");
    Expect(0, 125251, '\P{Is_Jt:d}', "");
    Expect(1, 125251, '\P{^Is_Jt:d}', "");
    Expect(0, 125252, '\p{Is_Jt:d}', "");
    Expect(1, 125252, '\p{^Is_Jt:d}', "");
    Expect(1, 125252, '\P{Is_Jt:d}', "");
    Expect(0, 125252, '\P{^Is_Jt:d}', "");
    Expect(1, 125251, '\p{Is_Jt=- D}', "");
    Expect(0, 125251, '\p{^Is_Jt=- D}', "");
    Expect(0, 125251, '\P{Is_Jt=- D}', "");
    Expect(1, 125251, '\P{^Is_Jt=- D}', "");
    Expect(0, 125252, '\p{Is_Jt=- D}', "");
    Expect(1, 125252, '\p{^Is_Jt=- D}', "");
    Expect(1, 125252, '\P{Is_Jt=- D}', "");
    Expect(0, 125252, '\P{^Is_Jt=- D}', "");
    Error('\p{Joining_Type=	_LEFT_Joining/a/}');
    Error('\P{Joining_Type=	_LEFT_Joining/a/}');
    Expect(1, 69579, '\p{Joining_Type=:\ALeft_Joining\z:}', "");;
    Expect(0, 69580, '\p{Joining_Type=:\ALeft_Joining\z:}', "");;
    Expect(1, 69579, '\p{Joining_Type=leftjoining}', "");
    Expect(0, 69579, '\p{^Joining_Type=leftjoining}', "");
    Expect(0, 69579, '\P{Joining_Type=leftjoining}', "");
    Expect(1, 69579, '\P{^Joining_Type=leftjoining}', "");
    Expect(0, 69580, '\p{Joining_Type=leftjoining}', "");
    Expect(1, 69580, '\p{^Joining_Type=leftjoining}', "");
    Expect(1, 69580, '\P{Joining_Type=leftjoining}', "");
    Expect(0, 69580, '\P{^Joining_Type=leftjoining}', "");
    Expect(1, 69579, '\p{Joining_Type=:\Aleftjoining\z:}', "");;
    Expect(0, 69580, '\p{Joining_Type=:\Aleftjoining\z:}', "");;
    Expect(1, 69579, '\p{Joining_Type=Left_JOINING}', "");
    Expect(0, 69579, '\p{^Joining_Type=Left_JOINING}', "");
    Expect(0, 69579, '\P{Joining_Type=Left_JOINING}', "");
    Expect(1, 69579, '\P{^Joining_Type=Left_JOINING}', "");
    Expect(0, 69580, '\p{Joining_Type=Left_JOINING}', "");
    Expect(1, 69580, '\p{^Joining_Type=Left_JOINING}', "");
    Expect(1, 69580, '\P{Joining_Type=Left_JOINING}', "");
    Expect(0, 69580, '\P{^Joining_Type=Left_JOINING}', "");
    Error('\p{Jt=/a/L}');
    Error('\P{Jt=/a/L}');
    Expect(1, 69579, '\p{Jt=:\AL\z:}', "");;
    Expect(0, 69580, '\p{Jt=:\AL\z:}', "");;
    Expect(1, 69579, '\p{Jt=l}', "");
    Expect(0, 69579, '\p{^Jt=l}', "");
    Expect(0, 69579, '\P{Jt=l}', "");
    Expect(1, 69579, '\P{^Jt=l}', "");
    Expect(0, 69580, '\p{Jt=l}', "");
    Expect(1, 69580, '\p{^Jt=l}', "");
    Expect(1, 69580, '\P{Jt=l}', "");
    Expect(0, 69580, '\P{^Jt=l}', "");
    Expect(1, 69579, '\p{Jt=:\Al\z:}', "");;
    Expect(0, 69580, '\p{Jt=:\Al\z:}', "");;
    Expect(1, 69579, '\p{Jt:		L}', "");
    Expect(0, 69579, '\p{^Jt:		L}', "");
    Expect(0, 69579, '\P{Jt:		L}', "");
    Expect(1, 69579, '\P{^Jt:		L}', "");
    Expect(0, 69580, '\p{Jt:		L}', "");
    Expect(1, 69580, '\p{^Jt:		L}', "");
    Expect(1, 69580, '\P{Jt:		L}', "");
    Expect(0, 69580, '\P{^Jt:		L}', "");
    Error('\p{Is_Joining_Type:_Left_joining:=}');
    Error('\P{Is_Joining_Type:_Left_joining:=}');
    Expect(1, 69579, '\p{Is_Joining_Type=leftjoining}', "");
    Expect(0, 69579, '\p{^Is_Joining_Type=leftjoining}', "");
    Expect(0, 69579, '\P{Is_Joining_Type=leftjoining}', "");
    Expect(1, 69579, '\P{^Is_Joining_Type=leftjoining}', "");
    Expect(0, 69580, '\p{Is_Joining_Type=leftjoining}', "");
    Expect(1, 69580, '\p{^Is_Joining_Type=leftjoining}', "");
    Expect(1, 69580, '\P{Is_Joining_Type=leftjoining}', "");
    Expect(0, 69580, '\P{^Is_Joining_Type=leftjoining}', "");
    Expect(1, 69579, '\p{Is_Joining_Type=	Left_JOINING}', "");
    Expect(0, 69579, '\p{^Is_Joining_Type=	Left_JOINING}', "");
    Expect(0, 69579, '\P{Is_Joining_Type=	Left_JOINING}', "");
    Expect(1, 69579, '\P{^Is_Joining_Type=	Left_JOINING}', "");
    Expect(0, 69580, '\p{Is_Joining_Type=	Left_JOINING}', "");
    Expect(1, 69580, '\p{^Is_Joining_Type=	Left_JOINING}', "");
    Expect(1, 69580, '\P{Is_Joining_Type=	Left_JOINING}', "");
    Expect(0, 69580, '\P{^Is_Joining_Type=	Left_JOINING}', "");
    Error('\p{Is_Jt= :=l}');
    Error('\P{Is_Jt= :=l}');
    Expect(1, 69579, '\p{Is_Jt=l}', "");
    Expect(0, 69579, '\p{^Is_Jt=l}', "");
    Expect(0, 69579, '\P{Is_Jt=l}', "");
    Expect(1, 69579, '\P{^Is_Jt=l}', "");
    Expect(0, 69580, '\p{Is_Jt=l}', "");
    Expect(1, 69580, '\p{^Is_Jt=l}', "");
    Expect(1, 69580, '\P{Is_Jt=l}', "");
    Expect(0, 69580, '\P{^Is_Jt=l}', "");
    Expect(1, 69579, '\p{Is_Jt=	_L}', "");
    Expect(0, 69579, '\p{^Is_Jt=	_L}', "");
    Expect(0, 69579, '\P{Is_Jt=	_L}', "");
    Expect(1, 69579, '\P{^Is_Jt=	_L}', "");
    Expect(0, 69580, '\p{Is_Jt=	_L}', "");
    Expect(1, 69580, '\p{^Is_Jt=	_L}', "");
    Expect(1, 69580, '\P{Is_Jt=	_L}', "");
    Expect(0, 69580, '\P{^Is_Jt=	_L}', "");
    Error('\p{Joining_Type= 	Right_Joining/a/}');
    Error('\P{Joining_Type= 	Right_Joining/a/}');
    Expect(1, 69577, '\p{Joining_Type=:\ARight_Joining\z:}', "");;
    Expect(0, 69578, '\p{Joining_Type=:\ARight_Joining\z:}', "");;
    Expect(1, 69577, '\p{Joining_Type=rightjoining}', "");
    Expect(0, 69577, '\p{^Joining_Type=rightjoining}', "");
    Expect(0, 69577, '\P{Joining_Type=rightjoining}', "");
    Expect(1, 69577, '\P{^Joining_Type=rightjoining}', "");
    Expect(0, 69578, '\p{Joining_Type=rightjoining}', "");
    Expect(1, 69578, '\p{^Joining_Type=rightjoining}', "");
    Expect(1, 69578, '\P{Joining_Type=rightjoining}', "");
    Expect(0, 69578, '\P{^Joining_Type=rightjoining}', "");
    Expect(1, 69577, '\p{Joining_Type=:\Arightjoining\z:}', "");;
    Expect(0, 69578, '\p{Joining_Type=:\Arightjoining\z:}', "");;
    Expect(1, 69577, '\p{Joining_Type=-_Right_Joining}', "");
    Expect(0, 69577, '\p{^Joining_Type=-_Right_Joining}', "");
    Expect(0, 69577, '\P{Joining_Type=-_Right_Joining}', "");
    Expect(1, 69577, '\P{^Joining_Type=-_Right_Joining}', "");
    Expect(0, 69578, '\p{Joining_Type=-_Right_Joining}', "");
    Expect(1, 69578, '\p{^Joining_Type=-_Right_Joining}', "");
    Expect(1, 69578, '\P{Joining_Type=-_Right_Joining}', "");
    Expect(0, 69578, '\P{^Joining_Type=-_Right_Joining}', "");
    Error('\p{Jt= :=R}');
    Error('\P{Jt= :=R}');
    Expect(1, 69577, '\p{Jt=:\AR\z:}', "");;
    Expect(0, 69578, '\p{Jt=:\AR\z:}', "");;
    Expect(1, 69577, '\p{Jt=r}', "");
    Expect(0, 69577, '\p{^Jt=r}', "");
    Expect(0, 69577, '\P{Jt=r}', "");
    Expect(1, 69577, '\P{^Jt=r}', "");
    Expect(0, 69578, '\p{Jt=r}', "");
    Expect(1, 69578, '\p{^Jt=r}', "");
    Expect(1, 69578, '\P{Jt=r}', "");
    Expect(0, 69578, '\P{^Jt=r}', "");
    Expect(1, 69577, '\p{Jt=:\Ar\z:}', "");;
    Expect(0, 69578, '\p{Jt=:\Ar\z:}', "");;
    Expect(1, 69577, '\p{Jt= 	r}', "");
    Expect(0, 69577, '\p{^Jt= 	r}', "");
    Expect(0, 69577, '\P{Jt= 	r}', "");
    Expect(1, 69577, '\P{^Jt= 	r}', "");
    Expect(0, 69578, '\p{Jt= 	r}', "");
    Expect(1, 69578, '\p{^Jt= 	r}', "");
    Expect(1, 69578, '\P{Jt= 	r}', "");
    Expect(0, 69578, '\P{^Jt= 	r}', "");
    Error('\p{Is_Joining_Type=/a/	Right_Joining}');
    Error('\P{Is_Joining_Type=/a/	Right_Joining}');
    Expect(1, 69577, '\p{Is_Joining_Type=rightjoining}', "");
    Expect(0, 69577, '\p{^Is_Joining_Type=rightjoining}', "");
    Expect(0, 69577, '\P{Is_Joining_Type=rightjoining}', "");
    Expect(1, 69577, '\P{^Is_Joining_Type=rightjoining}', "");
    Expect(0, 69578, '\p{Is_Joining_Type=rightjoining}', "");
    Expect(1, 69578, '\p{^Is_Joining_Type=rightjoining}', "");
    Expect(1, 69578, '\P{Is_Joining_Type=rightjoining}', "");
    Expect(0, 69578, '\P{^Is_Joining_Type=rightjoining}', "");
    Expect(1, 69577, '\p{Is_Joining_Type:     Right_Joining}', "");
    Expect(0, 69577, '\p{^Is_Joining_Type:     Right_Joining}', "");
    Expect(0, 69577, '\P{Is_Joining_Type:     Right_Joining}', "");
    Expect(1, 69577, '\P{^Is_Joining_Type:     Right_Joining}', "");
    Expect(0, 69578, '\p{Is_Joining_Type:     Right_Joining}', "");
    Expect(1, 69578, '\p{^Is_Joining_Type:     Right_Joining}', "");
    Expect(1, 69578, '\P{Is_Joining_Type:     Right_Joining}', "");
    Expect(0, 69578, '\P{^Is_Joining_Type:     Right_Joining}', "");
    Error('\p{Is_Jt:	R:=}');
    Error('\P{Is_Jt:	R:=}');
    Expect(1, 69577, '\p{Is_Jt=r}', "");
    Expect(0, 69577, '\p{^Is_Jt=r}', "");
    Expect(0, 69577, '\P{Is_Jt=r}', "");
    Expect(1, 69577, '\P{^Is_Jt=r}', "");
    Expect(0, 69578, '\p{Is_Jt=r}', "");
    Expect(1, 69578, '\p{^Is_Jt=r}', "");
    Expect(1, 69578, '\P{Is_Jt=r}', "");
    Expect(0, 69578, '\P{^Is_Jt=r}', "");
    Expect(1, 69577, '\p{Is_Jt=--R}', "");
    Expect(0, 69577, '\p{^Is_Jt=--R}', "");
    Expect(0, 69577, '\P{Is_Jt=--R}', "");
    Expect(1, 69577, '\P{^Is_Jt=--R}', "");
    Expect(0, 69578, '\p{Is_Jt=--R}', "");
    Expect(1, 69578, '\p{^Is_Jt=--R}', "");
    Expect(1, 69578, '\P{Is_Jt=--R}', "");
    Expect(0, 69578, '\P{^Is_Jt=--R}', "");
    Error('\p{Joining_Type= TRANSPARENT:=}');
    Error('\P{Joining_Type= TRANSPARENT:=}');
    Expect(1, 917999, '\p{Joining_Type=:\ATransparent\z:}', "");;
    Expect(0, 918000, '\p{Joining_Type=:\ATransparent\z:}', "");;
    Expect(1, 917999, '\p{Joining_Type=transparent}', "");
    Expect(0, 917999, '\p{^Joining_Type=transparent}', "");
    Expect(0, 917999, '\P{Joining_Type=transparent}', "");
    Expect(1, 917999, '\P{^Joining_Type=transparent}', "");
    Expect(0, 918000, '\p{Joining_Type=transparent}', "");
    Expect(1, 918000, '\p{^Joining_Type=transparent}', "");
    Expect(1, 918000, '\P{Joining_Type=transparent}', "");
    Expect(0, 918000, '\P{^Joining_Type=transparent}', "");
    Expect(1, 917999, '\p{Joining_Type=:\Atransparent\z:}', "");;
    Expect(0, 918000, '\p{Joining_Type=:\Atransparent\z:}', "");;
    Expect(1, 917999, '\p{Joining_Type:	_-Transparent}', "");
    Expect(0, 917999, '\p{^Joining_Type:	_-Transparent}', "");
    Expect(0, 917999, '\P{Joining_Type:	_-Transparent}', "");
    Expect(1, 917999, '\P{^Joining_Type:	_-Transparent}', "");
    Expect(0, 918000, '\p{Joining_Type:	_-Transparent}', "");
    Expect(1, 918000, '\p{^Joining_Type:	_-Transparent}', "");
    Expect(1, 918000, '\P{Joining_Type:	_-Transparent}', "");
    Expect(0, 918000, '\P{^Joining_Type:	_-Transparent}', "");
    Error('\p{Jt=		t/a/}');
    Error('\P{Jt=		t/a/}');
    Expect(1, 917999, '\p{Jt=:\AT\z:}', "");;
    Expect(0, 918000, '\p{Jt=:\AT\z:}', "");;
    Expect(1, 917999, '\p{Jt: t}', "");
    Expect(0, 917999, '\p{^Jt: t}', "");
    Expect(0, 917999, '\P{Jt: t}', "");
    Expect(1, 917999, '\P{^Jt: t}', "");
    Expect(0, 918000, '\p{Jt: t}', "");
    Expect(1, 918000, '\p{^Jt: t}', "");
    Expect(1, 918000, '\P{Jt: t}', "");
    Expect(0, 918000, '\P{^Jt: t}', "");
    Expect(1, 917999, '\p{Jt=:\At\z:}', "");;
    Expect(0, 918000, '\p{Jt=:\At\z:}', "");;
    Expect(1, 917999, '\p{Jt:		_T}', "");
    Expect(0, 917999, '\p{^Jt:		_T}', "");
    Expect(0, 917999, '\P{Jt:		_T}', "");
    Expect(1, 917999, '\P{^Jt:		_T}', "");
    Expect(0, 918000, '\p{Jt:		_T}', "");
    Expect(1, 918000, '\p{^Jt:		_T}', "");
    Expect(1, 918000, '\P{Jt:		_T}', "");
    Expect(0, 918000, '\P{^Jt:		_T}', "");
    Error('\p{Is_Joining_Type=:=Transparent}');
    Error('\P{Is_Joining_Type=:=Transparent}');
    Expect(1, 917999, '\p{Is_Joining_Type=transparent}', "");
    Expect(0, 917999, '\p{^Is_Joining_Type=transparent}', "");
    Expect(0, 917999, '\P{Is_Joining_Type=transparent}', "");
    Expect(1, 917999, '\P{^Is_Joining_Type=transparent}', "");
    Expect(0, 918000, '\p{Is_Joining_Type=transparent}', "");
    Expect(1, 918000, '\p{^Is_Joining_Type=transparent}', "");
    Expect(1, 918000, '\P{Is_Joining_Type=transparent}', "");
    Expect(0, 918000, '\P{^Is_Joining_Type=transparent}', "");
    Expect(1, 917999, '\p{Is_Joining_Type= Transparent}', "");
    Expect(0, 917999, '\p{^Is_Joining_Type= Transparent}', "");
    Expect(0, 917999, '\P{Is_Joining_Type= Transparent}', "");
    Expect(1, 917999, '\P{^Is_Joining_Type= Transparent}', "");
    Expect(0, 918000, '\p{Is_Joining_Type= Transparent}', "");
    Expect(1, 918000, '\p{^Is_Joining_Type= Transparent}', "");
    Expect(1, 918000, '\P{Is_Joining_Type= Transparent}', "");
    Expect(0, 918000, '\P{^Is_Joining_Type= Transparent}', "");
    Error('\p{Is_Jt=/a/T}');
    Error('\P{Is_Jt=/a/T}');
    Expect(1, 917999, '\p{Is_Jt=t}', "");
    Expect(0, 917999, '\p{^Is_Jt=t}', "");
    Expect(0, 917999, '\P{Is_Jt=t}', "");
    Expect(1, 917999, '\P{^Is_Jt=t}', "");
    Expect(0, 918000, '\p{Is_Jt=t}', "");
    Expect(1, 918000, '\p{^Is_Jt=t}', "");
    Expect(1, 918000, '\P{Is_Jt=t}', "");
    Expect(0, 918000, '\P{^Is_Jt=t}', "");
    Expect(1, 917999, '\p{Is_Jt=-_T}', "");
    Expect(0, 917999, '\p{^Is_Jt=-_T}', "");
    Expect(0, 917999, '\P{Is_Jt=-_T}', "");
    Expect(1, 917999, '\P{^Is_Jt=-_T}', "");
    Expect(0, 918000, '\p{Is_Jt=-_T}', "");
    Expect(1, 918000, '\p{^Is_Jt=-_T}', "");
    Expect(1, 918000, '\P{Is_Jt=-_T}', "");
    Expect(0, 918000, '\P{^Is_Jt=-_T}', "");
    Error('\p{Joining_Type:   /a/	 NON_joining}');
    Error('\P{Joining_Type:   /a/	 NON_joining}');
    Expect(1, 918000, '\p{Joining_Type=:\ANon_Joining\z:}', "");;
    Expect(0, 917999, '\p{Joining_Type=:\ANon_Joining\z:}', "");;
    Expect(1, 918000, '\p{Joining_Type:nonjoining}', "");
    Expect(0, 918000, '\p{^Joining_Type:nonjoining}', "");
    Expect(0, 918000, '\P{Joining_Type:nonjoining}', "");
    Expect(1, 918000, '\P{^Joining_Type:nonjoining}', "");
    Expect(0, 917999, '\p{Joining_Type:nonjoining}', "");
    Expect(1, 917999, '\p{^Joining_Type:nonjoining}', "");
    Expect(1, 917999, '\P{Joining_Type:nonjoining}', "");
    Expect(0, 917999, '\P{^Joining_Type:nonjoining}', "");
    Expect(1, 918000, '\p{Joining_Type=:\Anonjoining\z:}', "");;
    Expect(0, 917999, '\p{Joining_Type=:\Anonjoining\z:}', "");;
    Expect(1, 918000, '\p{Joining_Type=__NON_JOINING}', "");
    Expect(0, 918000, '\p{^Joining_Type=__NON_JOINING}', "");
    Expect(0, 918000, '\P{Joining_Type=__NON_JOINING}', "");
    Expect(1, 918000, '\P{^Joining_Type=__NON_JOINING}', "");
    Expect(0, 917999, '\p{Joining_Type=__NON_JOINING}', "");
    Expect(1, 917999, '\p{^Joining_Type=__NON_JOINING}', "");
    Expect(1, 917999, '\P{Joining_Type=__NON_JOINING}', "");
    Expect(0, 917999, '\P{^Joining_Type=__NON_JOINING}', "");
    Error('\p{Jt=_-U:=}');
    Error('\P{Jt=_-U:=}');
    Expect(1, 918000, '\p{Jt=:\AU\z:}', "");;
    Expect(0, 917999, '\p{Jt=:\AU\z:}', "");;
    Expect(1, 918000, '\p{Jt=u}', "");
    Expect(0, 918000, '\p{^Jt=u}', "");
    Expect(0, 918000, '\P{Jt=u}', "");
    Expect(1, 918000, '\P{^Jt=u}', "");
    Expect(0, 917999, '\p{Jt=u}', "");
    Expect(1, 917999, '\p{^Jt=u}', "");
    Expect(1, 917999, '\P{Jt=u}', "");
    Expect(0, 917999, '\P{^Jt=u}', "");
    Expect(1, 918000, '\p{Jt=:\Au\z:}', "");;
    Expect(0, 917999, '\p{Jt=:\Au\z:}', "");;
    Expect(1, 918000, '\p{Jt=  u}', "");
    Expect(0, 918000, '\p{^Jt=  u}', "");
    Expect(0, 918000, '\P{Jt=  u}', "");
    Expect(1, 918000, '\P{^Jt=  u}', "");
    Expect(0, 917999, '\p{Jt=  u}', "");
    Expect(1, 917999, '\p{^Jt=  u}', "");
    Expect(1, 917999, '\P{Jt=  u}', "");
    Expect(0, 917999, '\P{^Jt=  u}', "");
    Error('\p{Is_Joining_Type=	:=NON_Joining}');
    Error('\P{Is_Joining_Type=	:=NON_Joining}');
    Expect(1, 918000, '\p{Is_Joining_Type=nonjoining}', "");
    Expect(0, 918000, '\p{^Is_Joining_Type=nonjoining}', "");
    Expect(0, 918000, '\P{Is_Joining_Type=nonjoining}', "");
    Expect(1, 918000, '\P{^Is_Joining_Type=nonjoining}', "");
    Expect(0, 917999, '\p{Is_Joining_Type=nonjoining}', "");
    Expect(1, 917999, '\p{^Is_Joining_Type=nonjoining}', "");
    Expect(1, 917999, '\P{Is_Joining_Type=nonjoining}', "");
    Expect(0, 917999, '\P{^Is_Joining_Type=nonjoining}', "");
    Expect(1, 918000, '\p{Is_Joining_Type=	-non_Joining}', "");
    Expect(0, 918000, '\p{^Is_Joining_Type=	-non_Joining}', "");
    Expect(0, 918000, '\P{Is_Joining_Type=	-non_Joining}', "");
    Expect(1, 918000, '\P{^Is_Joining_Type=	-non_Joining}', "");
    Expect(0, 917999, '\p{Is_Joining_Type=	-non_Joining}', "");
    Expect(1, 917999, '\p{^Is_Joining_Type=	-non_Joining}', "");
    Expect(1, 917999, '\P{Is_Joining_Type=	-non_Joining}', "");
    Expect(0, 917999, '\P{^Is_Joining_Type=	-non_Joining}', "");
    Error('\p{Is_Jt=:=U}');
    Error('\P{Is_Jt=:=U}');
    Expect(1, 918000, '\p{Is_Jt=u}', "");
    Expect(0, 918000, '\p{^Is_Jt=u}', "");
    Expect(0, 918000, '\P{Is_Jt=u}', "");
    Expect(1, 918000, '\P{^Is_Jt=u}', "");
    Expect(0, 917999, '\p{Is_Jt=u}', "");
    Expect(1, 917999, '\p{^Is_Jt=u}', "");
    Expect(1, 917999, '\P{Is_Jt=u}', "");
    Expect(0, 917999, '\P{^Is_Jt=u}', "");
    Expect(1, 918000, '\p{Is_Jt:	- U}', "");
    Expect(0, 918000, '\p{^Is_Jt:	- U}', "");
    Expect(0, 918000, '\P{Is_Jt:	- U}', "");
    Expect(1, 918000, '\P{^Is_Jt:	- U}', "");
    Expect(0, 917999, '\p{Is_Jt:	- U}', "");
    Expect(1, 917999, '\p{^Is_Jt:	- U}', "");
    Expect(1, 917999, '\P{Is_Jt:	- U}', "");
    Expect(0, 917999, '\P{^Is_Jt:	- U}', "");
    Error('\p{linebreak}');
    Error('\P{linebreak}');
    Error('\p{lb}');
    Error('\P{lb}');
    Error('\p{Line_Break=_Ambiguous/a/}');
    Error('\P{Line_Break=_Ambiguous/a/}');
    Expect(1, 127404, '\p{Line_Break=:\AAmbiguous\z:}', "");;
    Expect(0, 127405, '\p{Line_Break=:\AAmbiguous\z:}', "");;
    Expect(1, 127404, '\p{Line_Break=ambiguous}', "");
    Expect(0, 127404, '\p{^Line_Break=ambiguous}', "");
    Expect(0, 127404, '\P{Line_Break=ambiguous}', "");
    Expect(1, 127404, '\P{^Line_Break=ambiguous}', "");
    Expect(0, 127405, '\p{Line_Break=ambiguous}', "");
    Expect(1, 127405, '\p{^Line_Break=ambiguous}', "");
    Expect(1, 127405, '\P{Line_Break=ambiguous}', "");
    Expect(0, 127405, '\P{^Line_Break=ambiguous}', "");
    Expect(1, 127404, '\p{Line_Break=:\Aambiguous\z:}', "");;
    Expect(0, 127405, '\p{Line_Break=:\Aambiguous\z:}', "");;
    Expect(1, 127404, '\p{Line_Break=	 ambiguous}', "");
    Expect(0, 127404, '\p{^Line_Break=	 ambiguous}', "");
    Expect(0, 127404, '\P{Line_Break=	 ambiguous}', "");
    Expect(1, 127404, '\P{^Line_Break=	 ambiguous}', "");
    Expect(0, 127405, '\p{Line_Break=	 ambiguous}', "");
    Expect(1, 127405, '\p{^Line_Break=	 ambiguous}', "");
    Expect(1, 127405, '\P{Line_Break=	 ambiguous}', "");
    Expect(0, 127405, '\P{^Line_Break=	 ambiguous}', "");
    Error('\p{Lb=_	ai/a/}');
    Error('\P{Lb=_	ai/a/}');
    Expect(1, 127404, '\p{Lb=:\AAI\z:}', "");;
    Expect(0, 127405, '\p{Lb=:\AAI\z:}', "");;
    Expect(1, 127404, '\p{Lb=ai}', "");
    Expect(0, 127404, '\p{^Lb=ai}', "");
    Expect(0, 127404, '\P{Lb=ai}', "");
    Expect(1, 127404, '\P{^Lb=ai}', "");
    Expect(0, 127405, '\p{Lb=ai}', "");
    Expect(1, 127405, '\p{^Lb=ai}', "");
    Expect(1, 127405, '\P{Lb=ai}', "");
    Expect(0, 127405, '\P{^Lb=ai}', "");
    Expect(1, 127404, '\p{Lb=:\Aai\z:}', "");;
    Expect(0, 127405, '\p{Lb=:\Aai\z:}', "");;
    Expect(1, 127404, '\p{Lb=__AI}', "");
    Expect(0, 127404, '\p{^Lb=__AI}', "");
    Expect(0, 127404, '\P{Lb=__AI}', "");
    Expect(1, 127404, '\P{^Lb=__AI}', "");
    Expect(0, 127405, '\p{Lb=__AI}', "");
    Expect(1, 127405, '\p{^Lb=__AI}', "");
    Expect(1, 127405, '\P{Lb=__AI}', "");
    Expect(0, 127405, '\P{^Lb=__AI}', "");
    Error('\p{Is_Line_Break=:= ambiguous}');
    Error('\P{Is_Line_Break=:= ambiguous}');
    Expect(1, 127404, '\p{Is_Line_Break: ambiguous}', "");
    Expect(0, 127404, '\p{^Is_Line_Break: ambiguous}', "");
    Expect(0, 127404, '\P{Is_Line_Break: ambiguous}', "");
    Expect(1, 127404, '\P{^Is_Line_Break: ambiguous}', "");
    Expect(0, 127405, '\p{Is_Line_Break: ambiguous}', "");
    Expect(1, 127405, '\p{^Is_Line_Break: ambiguous}', "");
    Expect(1, 127405, '\P{Is_Line_Break: ambiguous}', "");
    Expect(0, 127405, '\P{^Is_Line_Break: ambiguous}', "");
    Expect(1, 127404, '\p{Is_Line_Break: __Ambiguous}', "");
    Expect(0, 127404, '\p{^Is_Line_Break: __Ambiguous}', "");
    Expect(0, 127404, '\P{Is_Line_Break: __Ambiguous}', "");
    Expect(1, 127404, '\P{^Is_Line_Break: __Ambiguous}', "");
    Expect(0, 127405, '\p{Is_Line_Break: __Ambiguous}', "");
    Expect(1, 127405, '\p{^Is_Line_Break: __Ambiguous}', "");
    Expect(1, 127405, '\P{Is_Line_Break: __Ambiguous}', "");
    Expect(0, 127405, '\P{^Is_Line_Break: __Ambiguous}', "");
    Error('\p{Is_Lb=	AI/a/}');
    Error('\P{Is_Lb=	AI/a/}');
    Expect(1, 127404, '\p{Is_Lb=ai}', "");
    Expect(0, 127404, '\p{^Is_Lb=ai}', "");
    Expect(0, 127404, '\P{Is_Lb=ai}', "");
    Expect(1, 127404, '\P{^Is_Lb=ai}', "");
    Expect(0, 127405, '\p{Is_Lb=ai}', "");
    Expect(1, 127405, '\p{^Is_Lb=ai}', "");
    Expect(1, 127405, '\P{Is_Lb=ai}', "");
    Expect(0, 127405, '\P{^Is_Lb=ai}', "");
    Expect(1, 127404, '\p{Is_Lb=AI}', "");
    Expect(0, 127404, '\p{^Is_Lb=AI}', "");
    Expect(0, 127404, '\P{Is_Lb=AI}', "");
    Expect(1, 127404, '\P{^Is_Lb=AI}', "");
    Expect(0, 127405, '\p{Is_Lb=AI}', "");
    Expect(1, 127405, '\p{^Is_Lb=AI}', "");
    Expect(1, 127405, '\P{Is_Lb=AI}', "");
    Expect(0, 127405, '\P{^Is_Lb=AI}', "");
    Error('\p{Line_Break=	:=Alphabetic}');
    Error('\P{Line_Break=	:=Alphabetic}');
    Expect(1, 129994, '\p{Line_Break=:\AAlphabetic\z:}', "");;
    Expect(0, 129995, '\p{Line_Break=:\AAlphabetic\z:}', "");;
    Expect(1, 129994, '\p{Line_Break=alphabetic}', "");
    Expect(0, 129994, '\p{^Line_Break=alphabetic}', "");
    Expect(0, 129994, '\P{Line_Break=alphabetic}', "");
    Expect(1, 129994, '\P{^Line_Break=alphabetic}', "");
    Expect(0, 129995, '\p{Line_Break=alphabetic}', "");
    Expect(1, 129995, '\p{^Line_Break=alphabetic}', "");
    Expect(1, 129995, '\P{Line_Break=alphabetic}', "");
    Expect(0, 129995, '\P{^Line_Break=alphabetic}', "");
    Expect(1, 129994, '\p{Line_Break=:\Aalphabetic\z:}', "");;
    Expect(0, 129995, '\p{Line_Break=:\Aalphabetic\z:}', "");;
    Expect(1, 129994, '\p{Line_Break=		Alphabetic}', "");
    Expect(0, 129994, '\p{^Line_Break=		Alphabetic}', "");
    Expect(0, 129994, '\P{Line_Break=		Alphabetic}', "");
    Expect(1, 129994, '\P{^Line_Break=		Alphabetic}', "");
    Expect(0, 129995, '\p{Line_Break=		Alphabetic}', "");
    Expect(1, 129995, '\p{^Line_Break=		Alphabetic}', "");
    Expect(1, 129995, '\P{Line_Break=		Alphabetic}', "");
    Expect(0, 129995, '\P{^Line_Break=		Alphabetic}', "");
    Error('\p{Lb=/a/	 AL}');
    Error('\P{Lb=/a/	 AL}');
    Expect(1, 129994, '\p{Lb=:\AAL\z:}', "");;
    Expect(0, 129995, '\p{Lb=:\AAL\z:}', "");;
    Expect(1, 129994, '\p{Lb=al}', "");
    Expect(0, 129994, '\p{^Lb=al}', "");
    Expect(0, 129994, '\P{Lb=al}', "");
    Expect(1, 129994, '\P{^Lb=al}', "");
    Expect(0, 129995, '\p{Lb=al}', "");
    Expect(1, 129995, '\p{^Lb=al}', "");
    Expect(1, 129995, '\P{Lb=al}', "");
    Expect(0, 129995, '\P{^Lb=al}', "");
    Expect(1, 129994, '\p{Lb=:\Aal\z:}', "");;
    Expect(0, 129995, '\p{Lb=:\Aal\z:}', "");;
    Expect(1, 129994, '\p{Lb:   -_AL}', "");
    Expect(0, 129994, '\p{^Lb:   -_AL}', "");
    Expect(0, 129994, '\P{Lb:   -_AL}', "");
    Expect(1, 129994, '\P{^Lb:   -_AL}', "");
    Expect(0, 129995, '\p{Lb:   -_AL}', "");
    Expect(1, 129995, '\p{^Lb:   -_AL}', "");
    Expect(1, 129995, '\P{Lb:   -_AL}', "");
    Expect(0, 129995, '\P{^Lb:   -_AL}', "");
    Error('\p{Is_Line_Break:_:=Alphabetic}');
    Error('\P{Is_Line_Break:_:=Alphabetic}');
    Expect(1, 129994, '\p{Is_Line_Break=alphabetic}', "");
    Expect(0, 129994, '\p{^Is_Line_Break=alphabetic}', "");
    Expect(0, 129994, '\P{Is_Line_Break=alphabetic}', "");
    Expect(1, 129994, '\P{^Is_Line_Break=alphabetic}', "");
    Expect(0, 129995, '\p{Is_Line_Break=alphabetic}', "");
    Expect(1, 129995, '\p{^Is_Line_Break=alphabetic}', "");
    Expect(1, 129995, '\P{Is_Line_Break=alphabetic}', "");
    Expect(0, 129995, '\P{^Is_Line_Break=alphabetic}', "");
    Expect(1, 129994, '\p{Is_Line_Break=	Alphabetic}', "");
    Expect(0, 129994, '\p{^Is_Line_Break=	Alphabetic}', "");
    Expect(0, 129994, '\P{Is_Line_Break=	Alphabetic}', "");
    Expect(1, 129994, '\P{^Is_Line_Break=	Alphabetic}', "");
    Expect(0, 129995, '\p{Is_Line_Break=	Alphabetic}', "");
    Expect(1, 129995, '\p{^Is_Line_Break=	Alphabetic}', "");
    Expect(1, 129995, '\P{Is_Line_Break=	Alphabetic}', "");
    Expect(0, 129995, '\P{^Is_Line_Break=	Alphabetic}', "");
    Error('\p{Is_Lb= al:=}');
    Error('\P{Is_Lb= al:=}');
    Expect(1, 129994, '\p{Is_Lb=al}', "");
    Expect(0, 129994, '\p{^Is_Lb=al}', "");
    Expect(0, 129994, '\P{Is_Lb=al}', "");
    Expect(1, 129994, '\P{^Is_Lb=al}', "");
    Expect(0, 129995, '\p{Is_Lb=al}', "");
    Expect(1, 129995, '\p{^Is_Lb=al}', "");
    Expect(1, 129995, '\P{Is_Lb=al}', "");
    Expect(0, 129995, '\P{^Is_Lb=al}', "");
    Expect(1, 129994, '\p{Is_Lb=--AL}', "");
    Expect(0, 129994, '\p{^Is_Lb=--AL}', "");
    Expect(0, 129994, '\P{Is_Lb=--AL}', "");
    Expect(1, 129994, '\P{^Is_Lb=--AL}', "");
    Expect(0, 129995, '\p{Is_Lb=--AL}', "");
    Expect(1, 129995, '\p{^Is_Lb=--AL}', "");
    Expect(1, 129995, '\P{Is_Lb=--AL}', "");
    Expect(0, 129995, '\P{^Is_Lb=--AL}', "");
    Error('\p{Line_Break=/a/_-Break_Both}');
    Error('\P{Line_Break=/a/_-Break_Both}');
    Expect(1, 11835, '\p{Line_Break=:\ABreak_Both\z:}', "");;
    Expect(0, 11836, '\p{Line_Break=:\ABreak_Both\z:}', "");;
    Expect(1, 11835, '\p{Line_Break=breakboth}', "");
    Expect(0, 11835, '\p{^Line_Break=breakboth}', "");
    Expect(0, 11835, '\P{Line_Break=breakboth}', "");
    Expect(1, 11835, '\P{^Line_Break=breakboth}', "");
    Expect(0, 11836, '\p{Line_Break=breakboth}', "");
    Expect(1, 11836, '\p{^Line_Break=breakboth}', "");
    Expect(1, 11836, '\P{Line_Break=breakboth}', "");
    Expect(0, 11836, '\P{^Line_Break=breakboth}', "");
    Expect(1, 11835, '\p{Line_Break=:\Abreakboth\z:}', "");;
    Expect(0, 11836, '\p{Line_Break=:\Abreakboth\z:}', "");;
    Expect(1, 11835, '\p{Line_Break=break_both}', "");
    Expect(0, 11835, '\p{^Line_Break=break_both}', "");
    Expect(0, 11835, '\P{Line_Break=break_both}', "");
    Expect(1, 11835, '\P{^Line_Break=break_both}', "");
    Expect(0, 11836, '\p{Line_Break=break_both}', "");
    Expect(1, 11836, '\p{^Line_Break=break_both}', "");
    Expect(1, 11836, '\P{Line_Break=break_both}', "");
    Expect(0, 11836, '\P{^Line_Break=break_both}', "");
    Error('\p{Lb=_-B2:=}');
    Error('\P{Lb=_-B2:=}');
    Expect(1, 11835, '\p{Lb=:\AB2\z:}', "");;
    Expect(0, 11836, '\p{Lb=:\AB2\z:}', "");;
    Expect(1, 11835, '\p{Lb=b2}', "");
    Expect(0, 11835, '\p{^Lb=b2}', "");
    Expect(0, 11835, '\P{Lb=b2}', "");
    Expect(1, 11835, '\P{^Lb=b2}', "");
    Expect(0, 11836, '\p{Lb=b2}', "");
    Expect(1, 11836, '\p{^Lb=b2}', "");
    Expect(1, 11836, '\P{Lb=b2}', "");
    Expect(0, 11836, '\P{^Lb=b2}', "");
    Expect(1, 11835, '\p{Lb=:\Ab2\z:}', "");;
    Expect(0, 11836, '\p{Lb=:\Ab2\z:}', "");;
    Expect(1, 11835, '\p{Lb=_	B2}', "");
    Expect(0, 11835, '\p{^Lb=_	B2}', "");
    Expect(0, 11835, '\P{Lb=_	B2}', "");
    Expect(1, 11835, '\P{^Lb=_	B2}', "");
    Expect(0, 11836, '\p{Lb=_	B2}', "");
    Expect(1, 11836, '\p{^Lb=_	B2}', "");
    Expect(1, 11836, '\P{Lb=_	B2}', "");
    Expect(0, 11836, '\P{^Lb=_	B2}', "");
    Error('\p{Is_Line_Break=	_Break_both:=}');
    Error('\P{Is_Line_Break=	_Break_both:=}');
    Expect(1, 11835, '\p{Is_Line_Break=breakboth}', "");
    Expect(0, 11835, '\p{^Is_Line_Break=breakboth}', "");
    Expect(0, 11835, '\P{Is_Line_Break=breakboth}', "");
    Expect(1, 11835, '\P{^Is_Line_Break=breakboth}', "");
    Expect(0, 11836, '\p{Is_Line_Break=breakboth}', "");
    Expect(1, 11836, '\p{^Is_Line_Break=breakboth}', "");
    Expect(1, 11836, '\P{Is_Line_Break=breakboth}', "");
    Expect(0, 11836, '\P{^Is_Line_Break=breakboth}', "");
    Expect(1, 11835, '\p{Is_Line_Break=__Break_Both}', "");
    Expect(0, 11835, '\p{^Is_Line_Break=__Break_Both}', "");
    Expect(0, 11835, '\P{Is_Line_Break=__Break_Both}', "");
    Expect(1, 11835, '\P{^Is_Line_Break=__Break_Both}', "");
    Expect(0, 11836, '\p{Is_Line_Break=__Break_Both}', "");
    Expect(1, 11836, '\p{^Is_Line_Break=__Break_Both}', "");
    Expect(1, 11836, '\P{Is_Line_Break=__Break_Both}', "");
    Expect(0, 11836, '\P{^Is_Line_Break=__Break_Both}', "");
    Error('\p{Is_Lb=	:=b2}');
    Error('\P{Is_Lb=	:=b2}');
    Expect(1, 11835, '\p{Is_Lb=b2}', "");
    Expect(0, 11835, '\p{^Is_Lb=b2}', "");
    Expect(0, 11835, '\P{Is_Lb=b2}', "");
    Expect(1, 11835, '\P{^Is_Lb=b2}', "");
    Expect(0, 11836, '\p{Is_Lb=b2}', "");
    Expect(1, 11836, '\p{^Is_Lb=b2}', "");
    Expect(1, 11836, '\P{Is_Lb=b2}', "");
    Expect(0, 11836, '\P{^Is_Lb=b2}', "");
    Expect(1, 11835, '\p{Is_Lb= B2}', "");
    Expect(0, 11835, '\p{^Is_Lb= B2}', "");
    Expect(0, 11835, '\P{Is_Lb= B2}', "");
    Expect(1, 11835, '\P{^Is_Lb= B2}', "");
    Expect(0, 11836, '\p{Is_Lb= B2}', "");
    Expect(1, 11836, '\p{^Is_Lb= B2}', "");
    Expect(1, 11836, '\P{Is_Lb= B2}', "");
    Expect(0, 11836, '\P{^Is_Lb= B2}', "");
    Error('\p{Line_Break=/a/BREAK_After}');
    Error('\P{Line_Break=/a/BREAK_After}');
    Expect(1, 121482, '\p{Line_Break=:\ABreak_After\z:}', "");;
    Expect(0, 121483, '\p{Line_Break=:\ABreak_After\z:}', "");;
    Expect(1, 121482, '\p{Line_Break: breakafter}', "");
    Expect(0, 121482, '\p{^Line_Break: breakafter}', "");
    Expect(0, 121482, '\P{Line_Break: breakafter}', "");
    Expect(1, 121482, '\P{^Line_Break: breakafter}', "");
    Expect(0, 121483, '\p{Line_Break: breakafter}', "");
    Expect(1, 121483, '\p{^Line_Break: breakafter}', "");
    Expect(1, 121483, '\P{Line_Break: breakafter}', "");
    Expect(0, 121483, '\P{^Line_Break: breakafter}', "");
    Expect(1, 121482, '\p{Line_Break=:\Abreakafter\z:}', "");;
    Expect(0, 121483, '\p{Line_Break=:\Abreakafter\z:}', "");;
    Expect(1, 121482, '\p{Line_Break=-Break_AFTER}', "");
    Expect(0, 121482, '\p{^Line_Break=-Break_AFTER}', "");
    Expect(0, 121482, '\P{Line_Break=-Break_AFTER}', "");
    Expect(1, 121482, '\P{^Line_Break=-Break_AFTER}', "");
    Expect(0, 121483, '\p{Line_Break=-Break_AFTER}', "");
    Expect(1, 121483, '\p{^Line_Break=-Break_AFTER}', "");
    Expect(1, 121483, '\P{Line_Break=-Break_AFTER}', "");
    Expect(0, 121483, '\P{^Line_Break=-Break_AFTER}', "");
    Error('\p{Lb=/a/BA}');
    Error('\P{Lb=/a/BA}');
    Expect(1, 121482, '\p{Lb=:\ABA\z:}', "");;
    Expect(0, 121483, '\p{Lb=:\ABA\z:}', "");;
    Expect(1, 121482, '\p{Lb=ba}', "");
    Expect(0, 121482, '\p{^Lb=ba}', "");
    Expect(0, 121482, '\P{Lb=ba}', "");
    Expect(1, 121482, '\P{^Lb=ba}', "");
    Expect(0, 121483, '\p{Lb=ba}', "");
    Expect(1, 121483, '\p{^Lb=ba}', "");
    Expect(1, 121483, '\P{Lb=ba}', "");
    Expect(0, 121483, '\P{^Lb=ba}', "");
    Expect(1, 121482, '\p{Lb=:\Aba\z:}', "");;
    Expect(0, 121483, '\p{Lb=:\Aba\z:}', "");;
    Expect(1, 121482, '\p{Lb=-BA}', "");
    Expect(0, 121482, '\p{^Lb=-BA}', "");
    Expect(0, 121482, '\P{Lb=-BA}', "");
    Expect(1, 121482, '\P{^Lb=-BA}', "");
    Expect(0, 121483, '\p{Lb=-BA}', "");
    Expect(1, 121483, '\p{^Lb=-BA}', "");
    Expect(1, 121483, '\P{Lb=-BA}', "");
    Expect(0, 121483, '\P{^Lb=-BA}', "");
    Error('\p{Is_Line_Break=:=	_Break_after}');
    Error('\P{Is_Line_Break=:=	_Break_after}');
    Expect(1, 121482, '\p{Is_Line_Break=breakafter}', "");
    Expect(0, 121482, '\p{^Is_Line_Break=breakafter}', "");
    Expect(0, 121482, '\P{Is_Line_Break=breakafter}', "");
    Expect(1, 121482, '\P{^Is_Line_Break=breakafter}', "");
    Expect(0, 121483, '\p{Is_Line_Break=breakafter}', "");
    Expect(1, 121483, '\p{^Is_Line_Break=breakafter}', "");
    Expect(1, 121483, '\P{Is_Line_Break=breakafter}', "");
    Expect(0, 121483, '\P{^Is_Line_Break=breakafter}', "");
    Expect(1, 121482, '\p{Is_Line_Break=  break_after}', "");
    Expect(0, 121482, '\p{^Is_Line_Break=  break_after}', "");
    Expect(0, 121482, '\P{Is_Line_Break=  break_after}', "");
    Expect(1, 121482, '\P{^Is_Line_Break=  break_after}', "");
    Expect(0, 121483, '\p{Is_Line_Break=  break_after}', "");
    Expect(1, 121483, '\p{^Is_Line_Break=  break_after}', "");
    Expect(1, 121483, '\P{Is_Line_Break=  break_after}', "");
    Expect(0, 121483, '\P{^Is_Line_Break=  break_after}', "");
    Error('\p{Is_Lb=	BA/a/}');
    Error('\P{Is_Lb=	BA/a/}');
    Expect(1, 121482, '\p{Is_Lb=ba}', "");
    Expect(0, 121482, '\p{^Is_Lb=ba}', "");
    Expect(0, 121482, '\P{Is_Lb=ba}', "");
    Expect(1, 121482, '\P{^Is_Lb=ba}', "");
    Expect(0, 121483, '\p{Is_Lb=ba}', "");
    Expect(1, 121483, '\p{^Is_Lb=ba}', "");
    Expect(1, 121483, '\P{Is_Lb=ba}', "");
    Expect(0, 121483, '\P{^Is_Lb=ba}', "");
    Expect(1, 121482, '\p{Is_Lb=_	BA}', "");
    Expect(0, 121482, '\p{^Is_Lb=_	BA}', "");
    Expect(0, 121482, '\P{Is_Lb=_	BA}', "");
    Expect(1, 121482, '\P{^Is_Lb=_	BA}', "");
    Expect(0, 121483, '\p{Is_Lb=_	BA}', "");
    Expect(1, 121483, '\p{^Is_Lb=_	BA}', "");
    Expect(1, 121483, '\P{Is_Lb=_	BA}', "");
    Expect(0, 121483, '\P{^Is_Lb=_	BA}', "");
    Error('\p{Line_Break=	 Break_BEFORE:=}');
    Error('\P{Line_Break=	 Break_BEFORE:=}');
    Expect(1, 72816, '\p{Line_Break=:\ABreak_Before\z:}', "");;
    Expect(0, 72817, '\p{Line_Break=:\ABreak_Before\z:}', "");;
    Expect(1, 72816, '\p{Line_Break=breakbefore}', "");
    Expect(0, 72816, '\p{^Line_Break=breakbefore}', "");
    Expect(0, 72816, '\P{Line_Break=breakbefore}', "");
    Expect(1, 72816, '\P{^Line_Break=breakbefore}', "");
    Expect(0, 72817, '\p{Line_Break=breakbefore}', "");
    Expect(1, 72817, '\p{^Line_Break=breakbefore}', "");
    Expect(1, 72817, '\P{Line_Break=breakbefore}', "");
    Expect(0, 72817, '\P{^Line_Break=breakbefore}', "");
    Expect(1, 72816, '\p{Line_Break=:\Abreakbefore\z:}', "");;
    Expect(0, 72817, '\p{Line_Break=:\Abreakbefore\z:}', "");;
    Expect(1, 72816, '\p{Line_Break:	--Break_before}', "");
    Expect(0, 72816, '\p{^Line_Break:	--Break_before}', "");
    Expect(0, 72816, '\P{Line_Break:	--Break_before}', "");
    Expect(1, 72816, '\P{^Line_Break:	--Break_before}', "");
    Expect(0, 72817, '\p{Line_Break:	--Break_before}', "");
    Expect(1, 72817, '\p{^Line_Break:	--Break_before}', "");
    Expect(1, 72817, '\P{Line_Break:	--Break_before}', "");
    Expect(0, 72817, '\P{^Line_Break:	--Break_before}', "");
    Error('\p{Lb=:=	BB}');
    Error('\P{Lb=:=	BB}');
    Expect(1, 72816, '\p{Lb=:\ABB\z:}', "");;
    Expect(0, 72817, '\p{Lb=:\ABB\z:}', "");;
    Expect(1, 72816, '\p{Lb=bb}', "");
    Expect(0, 72816, '\p{^Lb=bb}', "");
    Expect(0, 72816, '\P{Lb=bb}', "");
    Expect(1, 72816, '\P{^Lb=bb}', "");
    Expect(0, 72817, '\p{Lb=bb}', "");
    Expect(1, 72817, '\p{^Lb=bb}', "");
    Expect(1, 72817, '\P{Lb=bb}', "");
    Expect(0, 72817, '\P{^Lb=bb}', "");
    Expect(1, 72816, '\p{Lb=:\Abb\z:}', "");;
    Expect(0, 72817, '\p{Lb=:\Abb\z:}', "");;
    Expect(1, 72816, '\p{Lb= BB}', "");
    Expect(0, 72816, '\p{^Lb= BB}', "");
    Expect(0, 72816, '\P{Lb= BB}', "");
    Expect(1, 72816, '\P{^Lb= BB}', "");
    Expect(0, 72817, '\p{Lb= BB}', "");
    Expect(1, 72817, '\p{^Lb= BB}', "");
    Expect(1, 72817, '\P{Lb= BB}', "");
    Expect(0, 72817, '\P{^Lb= BB}', "");
    Error('\p{Is_Line_Break:	/a/Break_Before}');
    Error('\P{Is_Line_Break:	/a/Break_Before}');
    Expect(1, 72816, '\p{Is_Line_Break=breakbefore}', "");
    Expect(0, 72816, '\p{^Is_Line_Break=breakbefore}', "");
    Expect(0, 72816, '\P{Is_Line_Break=breakbefore}', "");
    Expect(1, 72816, '\P{^Is_Line_Break=breakbefore}', "");
    Expect(0, 72817, '\p{Is_Line_Break=breakbefore}', "");
    Expect(1, 72817, '\p{^Is_Line_Break=breakbefore}', "");
    Expect(1, 72817, '\P{Is_Line_Break=breakbefore}', "");
    Expect(0, 72817, '\P{^Is_Line_Break=breakbefore}', "");
    Expect(1, 72816, '\p{Is_Line_Break=_Break_Before}', "");
    Expect(0, 72816, '\p{^Is_Line_Break=_Break_Before}', "");
    Expect(0, 72816, '\P{Is_Line_Break=_Break_Before}', "");
    Expect(1, 72816, '\P{^Is_Line_Break=_Break_Before}', "");
    Expect(0, 72817, '\p{Is_Line_Break=_Break_Before}', "");
    Expect(1, 72817, '\p{^Is_Line_Break=_Break_Before}', "");
    Expect(1, 72817, '\P{Is_Line_Break=_Break_Before}', "");
    Expect(0, 72817, '\P{^Is_Line_Break=_Break_Before}', "");
    Error('\p{Is_Lb=- BB:=}');
    Error('\P{Is_Lb=- BB:=}');
    Expect(1, 72816, '\p{Is_Lb=bb}', "");
    Expect(0, 72816, '\p{^Is_Lb=bb}', "");
    Expect(0, 72816, '\P{Is_Lb=bb}', "");
    Expect(1, 72816, '\P{^Is_Lb=bb}', "");
    Expect(0, 72817, '\p{Is_Lb=bb}', "");
    Expect(1, 72817, '\p{^Is_Lb=bb}', "");
    Expect(1, 72817, '\P{Is_Lb=bb}', "");
    Expect(0, 72817, '\P{^Is_Lb=bb}', "");
    Expect(1, 72816, '\p{Is_Lb:	-_BB}', "");
    Expect(0, 72816, '\p{^Is_Lb:	-_BB}', "");
    Expect(0, 72816, '\P{Is_Lb:	-_BB}', "");
    Expect(1, 72816, '\P{^Is_Lb:	-_BB}', "");
    Expect(0, 72817, '\p{Is_Lb:	-_BB}', "");
    Expect(1, 72817, '\p{^Is_Lb:	-_BB}', "");
    Expect(1, 72817, '\P{Is_Lb:	-_BB}', "");
    Expect(0, 72817, '\P{^Is_Lb:	-_BB}', "");
    Error('\p{Line_Break= -Mandatory_Break:=}');
    Error('\P{Line_Break= -Mandatory_Break:=}');
    Expect(1, 8233, '\p{Line_Break=:\AMandatory_Break\z:}', "");;
    Expect(0, 8234, '\p{Line_Break=:\AMandatory_Break\z:}', "");;
    Expect(1, 8233, '\p{Line_Break=mandatorybreak}', "");
    Expect(0, 8233, '\p{^Line_Break=mandatorybreak}', "");
    Expect(0, 8233, '\P{Line_Break=mandatorybreak}', "");
    Expect(1, 8233, '\P{^Line_Break=mandatorybreak}', "");
    Expect(0, 8234, '\p{Line_Break=mandatorybreak}', "");
    Expect(1, 8234, '\p{^Line_Break=mandatorybreak}', "");
    Expect(1, 8234, '\P{Line_Break=mandatorybreak}', "");
    Expect(0, 8234, '\P{^Line_Break=mandatorybreak}', "");
    Expect(1, 8233, '\p{Line_Break=:\Amandatorybreak\z:}', "");;
    Expect(0, 8234, '\p{Line_Break=:\Amandatorybreak\z:}', "");;
    Expect(1, 8233, '\p{Line_Break=- Mandatory_BREAK}', "");
    Expect(0, 8233, '\p{^Line_Break=- Mandatory_BREAK}', "");
    Expect(0, 8233, '\P{Line_Break=- Mandatory_BREAK}', "");
    Expect(1, 8233, '\P{^Line_Break=- Mandatory_BREAK}', "");
    Expect(0, 8234, '\p{Line_Break=- Mandatory_BREAK}', "");
    Expect(1, 8234, '\p{^Line_Break=- Mandatory_BREAK}', "");
    Expect(1, 8234, '\P{Line_Break=- Mandatory_BREAK}', "");
    Expect(0, 8234, '\P{^Line_Break=- Mandatory_BREAK}', "");
    Error('\p{Lb=:=BK}');
    Error('\P{Lb=:=BK}');
    Expect(1, 8233, '\p{Lb=:\ABK\z:}', "");;
    Expect(0, 8234, '\p{Lb=:\ABK\z:}', "");;
    Expect(1, 8233, '\p{Lb=bk}', "");
    Expect(0, 8233, '\p{^Lb=bk}', "");
    Expect(0, 8233, '\P{Lb=bk}', "");
    Expect(1, 8233, '\P{^Lb=bk}', "");
    Expect(0, 8234, '\p{Lb=bk}', "");
    Expect(1, 8234, '\p{^Lb=bk}', "");
    Expect(1, 8234, '\P{Lb=bk}', "");
    Expect(0, 8234, '\P{^Lb=bk}', "");
    Expect(1, 8233, '\p{Lb=:\Abk\z:}', "");;
    Expect(0, 8234, '\p{Lb=:\Abk\z:}', "");;
    Expect(1, 8233, '\p{Lb=	BK}', "");
    Expect(0, 8233, '\p{^Lb=	BK}', "");
    Expect(0, 8233, '\P{Lb=	BK}', "");
    Expect(1, 8233, '\P{^Lb=	BK}', "");
    Expect(0, 8234, '\p{Lb=	BK}', "");
    Expect(1, 8234, '\p{^Lb=	BK}', "");
    Expect(1, 8234, '\P{Lb=	BK}', "");
    Expect(0, 8234, '\P{^Lb=	BK}', "");
    Error('\p{Is_Line_Break:   	/a/Mandatory_break}');
    Error('\P{Is_Line_Break:   	/a/Mandatory_break}');
    Expect(1, 8233, '\p{Is_Line_Break=mandatorybreak}', "");
    Expect(0, 8233, '\p{^Is_Line_Break=mandatorybreak}', "");
    Expect(0, 8233, '\P{Is_Line_Break=mandatorybreak}', "");
    Expect(1, 8233, '\P{^Is_Line_Break=mandatorybreak}', "");
    Expect(0, 8234, '\p{Is_Line_Break=mandatorybreak}', "");
    Expect(1, 8234, '\p{^Is_Line_Break=mandatorybreak}', "");
    Expect(1, 8234, '\P{Is_Line_Break=mandatorybreak}', "");
    Expect(0, 8234, '\P{^Is_Line_Break=mandatorybreak}', "");
    Expect(1, 8233, '\p{Is_Line_Break=		Mandatory_BREAK}', "");
    Expect(0, 8233, '\p{^Is_Line_Break=		Mandatory_BREAK}', "");
    Expect(0, 8233, '\P{Is_Line_Break=		Mandatory_BREAK}', "");
    Expect(1, 8233, '\P{^Is_Line_Break=		Mandatory_BREAK}', "");
    Expect(0, 8234, '\p{Is_Line_Break=		Mandatory_BREAK}', "");
    Expect(1, 8234, '\p{^Is_Line_Break=		Mandatory_BREAK}', "");
    Expect(1, 8234, '\P{Is_Line_Break=		Mandatory_BREAK}', "");
    Expect(0, 8234, '\P{^Is_Line_Break=		Mandatory_BREAK}', "");
    Error('\p{Is_Lb=:=_-BK}');
    Error('\P{Is_Lb=:=_-BK}');
    Expect(1, 8233, '\p{Is_Lb=bk}', "");
    Expect(0, 8233, '\p{^Is_Lb=bk}', "");
    Expect(0, 8233, '\P{Is_Lb=bk}', "");
    Expect(1, 8233, '\P{^Is_Lb=bk}', "");
    Expect(0, 8234, '\p{Is_Lb=bk}', "");
    Expect(1, 8234, '\p{^Is_Lb=bk}', "");
    Expect(1, 8234, '\P{Is_Lb=bk}', "");
    Expect(0, 8234, '\P{^Is_Lb=bk}', "");
    Expect(1, 8233, '\p{Is_Lb:	 -BK}', "");
    Expect(0, 8233, '\p{^Is_Lb:	 -BK}', "");
    Expect(0, 8233, '\P{Is_Lb:	 -BK}', "");
    Expect(1, 8233, '\P{^Is_Lb:	 -BK}', "");
    Expect(0, 8234, '\p{Is_Lb:	 -BK}', "");
    Expect(1, 8234, '\p{^Is_Lb:	 -BK}', "");
    Expect(1, 8234, '\P{Is_Lb:	 -BK}', "");
    Expect(0, 8234, '\P{^Is_Lb:	 -BK}', "");
    Error('\p{Line_Break=/a/_	contingent_Break}');
    Error('\P{Line_Break=/a/_	contingent_Break}');
    Expect(1, 65532, '\p{Line_Break=:\AContingent_Break\z:}', "");;
    Expect(0, 65533, '\p{Line_Break=:\AContingent_Break\z:}', "");;
    Expect(1, 65532, '\p{Line_Break=contingentbreak}', "");
    Expect(0, 65532, '\p{^Line_Break=contingentbreak}', "");
    Expect(0, 65532, '\P{Line_Break=contingentbreak}', "");
    Expect(1, 65532, '\P{^Line_Break=contingentbreak}', "");
    Expect(0, 65533, '\p{Line_Break=contingentbreak}', "");
    Expect(1, 65533, '\p{^Line_Break=contingentbreak}', "");
    Expect(1, 65533, '\P{Line_Break=contingentbreak}', "");
    Expect(0, 65533, '\P{^Line_Break=contingentbreak}', "");
    Expect(1, 65532, '\p{Line_Break=:\Acontingentbreak\z:}', "");;
    Expect(0, 65533, '\p{Line_Break=:\Acontingentbreak\z:}', "");;
    Expect(1, 65532, '\p{Line_Break=	CONTINGENT_Break}', "");
    Expect(0, 65532, '\p{^Line_Break=	CONTINGENT_Break}', "");
    Expect(0, 65532, '\P{Line_Break=	CONTINGENT_Break}', "");
    Expect(1, 65532, '\P{^Line_Break=	CONTINGENT_Break}', "");
    Expect(0, 65533, '\p{Line_Break=	CONTINGENT_Break}', "");
    Expect(1, 65533, '\p{^Line_Break=	CONTINGENT_Break}', "");
    Expect(1, 65533, '\P{Line_Break=	CONTINGENT_Break}', "");
    Expect(0, 65533, '\P{^Line_Break=	CONTINGENT_Break}', "");
    Error('\p{Lb= CB/a/}');
    Error('\P{Lb= CB/a/}');
    Expect(1, 65532, '\p{Lb=:\ACB\z:}', "");;
    Expect(0, 65533, '\p{Lb=:\ACB\z:}', "");;
    Expect(1, 65532, '\p{Lb=cb}', "");
    Expect(0, 65532, '\p{^Lb=cb}', "");
    Expect(0, 65532, '\P{Lb=cb}', "");
    Expect(1, 65532, '\P{^Lb=cb}', "");
    Expect(0, 65533, '\p{Lb=cb}', "");
    Expect(1, 65533, '\p{^Lb=cb}', "");
    Expect(1, 65533, '\P{Lb=cb}', "");
    Expect(0, 65533, '\P{^Lb=cb}', "");
    Expect(1, 65532, '\p{Lb=:\Acb\z:}', "");;
    Expect(0, 65533, '\p{Lb=:\Acb\z:}', "");;
    Expect(1, 65532, '\p{Lb=  cb}', "");
    Expect(0, 65532, '\p{^Lb=  cb}', "");
    Expect(0, 65532, '\P{Lb=  cb}', "");
    Expect(1, 65532, '\P{^Lb=  cb}', "");
    Expect(0, 65533, '\p{Lb=  cb}', "");
    Expect(1, 65533, '\p{^Lb=  cb}', "");
    Expect(1, 65533, '\P{Lb=  cb}', "");
    Expect(0, 65533, '\P{^Lb=  cb}', "");
    Error('\p{Is_Line_Break= /a/CONTINGENT_Break}');
    Error('\P{Is_Line_Break= /a/CONTINGENT_Break}');
    Expect(1, 65532, '\p{Is_Line_Break=contingentbreak}', "");
    Expect(0, 65532, '\p{^Is_Line_Break=contingentbreak}', "");
    Expect(0, 65532, '\P{Is_Line_Break=contingentbreak}', "");
    Expect(1, 65532, '\P{^Is_Line_Break=contingentbreak}', "");
    Expect(0, 65533, '\p{Is_Line_Break=contingentbreak}', "");
    Expect(1, 65533, '\p{^Is_Line_Break=contingentbreak}', "");
    Expect(1, 65533, '\P{Is_Line_Break=contingentbreak}', "");
    Expect(0, 65533, '\P{^Is_Line_Break=contingentbreak}', "");
    Expect(1, 65532, '\p{Is_Line_Break: _CONTINGENT_BREAK}', "");
    Expect(0, 65532, '\p{^Is_Line_Break: _CONTINGENT_BREAK}', "");
    Expect(0, 65532, '\P{Is_Line_Break: _CONTINGENT_BREAK}', "");
    Expect(1, 65532, '\P{^Is_Line_Break: _CONTINGENT_BREAK}', "");
    Expect(0, 65533, '\p{Is_Line_Break: _CONTINGENT_BREAK}', "");
    Expect(1, 65533, '\p{^Is_Line_Break: _CONTINGENT_BREAK}', "");
    Expect(1, 65533, '\P{Is_Line_Break: _CONTINGENT_BREAK}', "");
    Expect(0, 65533, '\P{^Is_Line_Break: _CONTINGENT_BREAK}', "");
    Error('\p{Is_Lb=  CB:=}');
    Error('\P{Is_Lb=  CB:=}');
    Expect(1, 65532, '\p{Is_Lb:	cb}', "");
    Expect(0, 65532, '\p{^Is_Lb:	cb}', "");
    Expect(0, 65532, '\P{Is_Lb:	cb}', "");
    Expect(1, 65532, '\P{^Is_Lb:	cb}', "");
    Expect(0, 65533, '\p{Is_Lb:	cb}', "");
    Expect(1, 65533, '\p{^Is_Lb:	cb}', "");
    Expect(1, 65533, '\P{Is_Lb:	cb}', "");
    Expect(0, 65533, '\P{^Is_Lb:	cb}', "");
    Expect(1, 65532, '\p{Is_Lb=- CB}', "");
    Expect(0, 65532, '\p{^Is_Lb=- CB}', "");
    Expect(0, 65532, '\P{Is_Lb=- CB}', "");
    Expect(1, 65532, '\P{^Is_Lb=- CB}', "");
    Expect(0, 65533, '\p{Is_Lb=- CB}', "");
    Expect(1, 65533, '\p{^Is_Lb=- CB}', "");
    Expect(1, 65533, '\P{Is_Lb=- CB}', "");
    Expect(0, 65533, '\P{^Is_Lb=- CB}', "");
    Error('\p{Line_Break=_/a/CONDITIONAL_Japanese_starter}');
    Error('\P{Line_Break=_/a/CONDITIONAL_Japanese_starter}');
    Expect(1, 110951, '\p{Line_Break=:\AConditional_Japanese_Starter\z:}', "");;
    Expect(0, 110952, '\p{Line_Break=:\AConditional_Japanese_Starter\z:}', "");;
    Expect(1, 110951, '\p{Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110951, '\p{^Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110951, '\P{Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110951, '\P{^Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110952, '\p{Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110952, '\p{^Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110952, '\P{Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110952, '\P{^Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110951, '\p{Line_Break=:\Aconditionaljapanesestarter\z:}', "");;
    Expect(0, 110952, '\p{Line_Break=:\Aconditionaljapanesestarter\z:}', "");;
    Expect(1, 110951, '\p{Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Expect(0, 110951, '\p{^Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Expect(0, 110951, '\P{Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Expect(1, 110951, '\P{^Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Expect(0, 110952, '\p{Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Expect(1, 110952, '\p{^Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Expect(1, 110952, '\P{Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Expect(0, 110952, '\P{^Line_Break=__CONDITIONAL_Japanese_starter}', "");
    Error('\p{Lb=-:=CJ}');
    Error('\P{Lb=-:=CJ}');
    Expect(1, 110951, '\p{Lb=:\ACJ\z:}', "");;
    Expect(0, 110952, '\p{Lb=:\ACJ\z:}', "");;
    Expect(1, 110951, '\p{Lb:	cj}', "");
    Expect(0, 110951, '\p{^Lb:	cj}', "");
    Expect(0, 110951, '\P{Lb:	cj}', "");
    Expect(1, 110951, '\P{^Lb:	cj}', "");
    Expect(0, 110952, '\p{Lb:	cj}', "");
    Expect(1, 110952, '\p{^Lb:	cj}', "");
    Expect(1, 110952, '\P{Lb:	cj}', "");
    Expect(0, 110952, '\P{^Lb:	cj}', "");
    Expect(1, 110951, '\p{Lb=:\Acj\z:}', "");;
    Expect(0, 110952, '\p{Lb=:\Acj\z:}', "");;
    Expect(1, 110951, '\p{Lb=	 CJ}', "");
    Expect(0, 110951, '\p{^Lb=	 CJ}', "");
    Expect(0, 110951, '\P{Lb=	 CJ}', "");
    Expect(1, 110951, '\P{^Lb=	 CJ}', "");
    Expect(0, 110952, '\p{Lb=	 CJ}', "");
    Expect(1, 110952, '\p{^Lb=	 CJ}', "");
    Expect(1, 110952, '\P{Lb=	 CJ}', "");
    Expect(0, 110952, '\P{^Lb=	 CJ}', "");
    Error('\p{Is_Line_Break= Conditional_Japanese_STARTER/a/}');
    Error('\P{Is_Line_Break= Conditional_Japanese_STARTER/a/}');
    Expect(1, 110951, '\p{Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110951, '\p{^Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110951, '\P{Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110951, '\P{^Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110952, '\p{Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110952, '\p{^Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110952, '\P{Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(0, 110952, '\P{^Is_Line_Break=conditionaljapanesestarter}', "");
    Expect(1, 110951, '\p{Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Expect(0, 110951, '\p{^Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Expect(0, 110951, '\P{Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Expect(1, 110951, '\P{^Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Expect(0, 110952, '\p{Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Expect(1, 110952, '\p{^Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Expect(1, 110952, '\P{Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Expect(0, 110952, '\P{^Is_Line_Break= _CONDITIONAL_japanese_Starter}', "");
    Error('\p{Is_Lb=/a/CJ}');
    Error('\P{Is_Lb=/a/CJ}');
    Expect(1, 110951, '\p{Is_Lb=cj}', "");
    Expect(0, 110951, '\p{^Is_Lb=cj}', "");
    Expect(0, 110951, '\P{Is_Lb=cj}', "");
    Expect(1, 110951, '\P{^Is_Lb=cj}', "");
    Expect(0, 110952, '\p{Is_Lb=cj}', "");
    Expect(1, 110952, '\p{^Is_Lb=cj}', "");
    Expect(1, 110952, '\P{Is_Lb=cj}', "");
    Expect(0, 110952, '\P{^Is_Lb=cj}', "");
    Expect(1, 110951, '\p{Is_Lb=	_cj}', "");
    Expect(0, 110951, '\p{^Is_Lb=	_cj}', "");
    Expect(0, 110951, '\P{Is_Lb=	_cj}', "");
    Expect(1, 110951, '\P{^Is_Lb=	_cj}', "");
    Expect(0, 110952, '\p{Is_Lb=	_cj}', "");
    Expect(1, 110952, '\p{^Is_Lb=	_cj}', "");
    Expect(1, 110952, '\P{Is_Lb=	_cj}', "");
    Expect(0, 110952, '\P{^Is_Lb=	_cj}', "");
    Error('\p{Line_Break=_-Close_PUNCTUATION:=}');
    Error('\P{Line_Break=_-Close_PUNCTUATION:=}');
    Expect(1, 83407, '\p{Line_Break=:\AClose_Punctuation\z:}', "");;
    Expect(0, 83408, '\p{Line_Break=:\AClose_Punctuation\z:}', "");;
    Expect(1, 83407, '\p{Line_Break=closepunctuation}', "");
    Expect(0, 83407, '\p{^Line_Break=closepunctuation}', "");
    Expect(0, 83407, '\P{Line_Break=closepunctuation}', "");
    Expect(1, 83407, '\P{^Line_Break=closepunctuation}', "");
    Expect(0, 83408, '\p{Line_Break=closepunctuation}', "");
    Expect(1, 83408, '\p{^Line_Break=closepunctuation}', "");
    Expect(1, 83408, '\P{Line_Break=closepunctuation}', "");
    Expect(0, 83408, '\P{^Line_Break=closepunctuation}', "");
    Expect(1, 83407, '\p{Line_Break=:\Aclosepunctuation\z:}', "");;
    Expect(0, 83408, '\p{Line_Break=:\Aclosepunctuation\z:}', "");;
    Expect(1, 83407, '\p{Line_Break=_-Close_Punctuation}', "");
    Expect(0, 83407, '\p{^Line_Break=_-Close_Punctuation}', "");
    Expect(0, 83407, '\P{Line_Break=_-Close_Punctuation}', "");
    Expect(1, 83407, '\P{^Line_Break=_-Close_Punctuation}', "");
    Expect(0, 83408, '\p{Line_Break=_-Close_Punctuation}', "");
    Expect(1, 83408, '\p{^Line_Break=_-Close_Punctuation}', "");
    Expect(1, 83408, '\P{Line_Break=_-Close_Punctuation}', "");
    Expect(0, 83408, '\P{^Line_Break=_-Close_Punctuation}', "");
    Error('\p{Lb=/a/ _CL}');
    Error('\P{Lb=/a/ _CL}');
    Expect(1, 83407, '\p{Lb=:\ACL\z:}', "");;
    Expect(0, 83408, '\p{Lb=:\ACL\z:}', "");;
    Expect(1, 83407, '\p{Lb=cl}', "");
    Expect(0, 83407, '\p{^Lb=cl}', "");
    Expect(0, 83407, '\P{Lb=cl}', "");
    Expect(1, 83407, '\P{^Lb=cl}', "");
    Expect(0, 83408, '\p{Lb=cl}', "");
    Expect(1, 83408, '\p{^Lb=cl}', "");
    Expect(1, 83408, '\P{Lb=cl}', "");
    Expect(0, 83408, '\P{^Lb=cl}', "");
    Expect(1, 83407, '\p{Lb=:\Acl\z:}', "");;
    Expect(0, 83408, '\p{Lb=:\Acl\z:}', "");;
    Expect(1, 83407, '\p{Lb= _CL}', "");
    Expect(0, 83407, '\p{^Lb= _CL}', "");
    Expect(0, 83407, '\P{Lb= _CL}', "");
    Expect(1, 83407, '\P{^Lb= _CL}', "");
    Expect(0, 83408, '\p{Lb= _CL}', "");
    Expect(1, 83408, '\p{^Lb= _CL}', "");
    Expect(1, 83408, '\P{Lb= _CL}', "");
    Expect(0, 83408, '\P{^Lb= _CL}', "");
    Error('\p{Is_Line_Break=close_punctuation/a/}');
    Error('\P{Is_Line_Break=close_punctuation/a/}');
    Expect(1, 83407, '\p{Is_Line_Break=closepunctuation}', "");
    Expect(0, 83407, '\p{^Is_Line_Break=closepunctuation}', "");
    Expect(0, 83407, '\P{Is_Line_Break=closepunctuation}', "");
    Expect(1, 83407, '\P{^Is_Line_Break=closepunctuation}', "");
    Expect(0, 83408, '\p{Is_Line_Break=closepunctuation}', "");
    Expect(1, 83408, '\p{^Is_Line_Break=closepunctuation}', "");
    Expect(1, 83408, '\P{Is_Line_Break=closepunctuation}', "");
    Expect(0, 83408, '\P{^Is_Line_Break=closepunctuation}', "");
    Expect(1, 83407, '\p{Is_Line_Break=-	Close_Punctuation}', "");
    Expect(0, 83407, '\p{^Is_Line_Break=-	Close_Punctuation}', "");
    Expect(0, 83407, '\P{Is_Line_Break=-	Close_Punctuation}', "");
    Expect(1, 83407, '\P{^Is_Line_Break=-	Close_Punctuation}', "");
    Expect(0, 83408, '\p{Is_Line_Break=-	Close_Punctuation}', "");
    Expect(1, 83408, '\p{^Is_Line_Break=-	Close_Punctuation}', "");
    Expect(1, 83408, '\P{Is_Line_Break=-	Close_Punctuation}', "");
    Expect(0, 83408, '\P{^Is_Line_Break=-	Close_Punctuation}', "");
    Error('\p{Is_Lb:-:=CL}');
    Error('\P{Is_Lb:-:=CL}');
    Expect(1, 83407, '\p{Is_Lb=cl}', "");
    Expect(0, 83407, '\p{^Is_Lb=cl}', "");
    Expect(0, 83407, '\P{Is_Lb=cl}', "");
    Expect(1, 83407, '\P{^Is_Lb=cl}', "");
    Expect(0, 83408, '\p{Is_Lb=cl}', "");
    Expect(1, 83408, '\p{^Is_Lb=cl}', "");
    Expect(1, 83408, '\P{Is_Lb=cl}', "");
    Expect(0, 83408, '\P{^Is_Lb=cl}', "");
    Expect(1, 83407, '\p{Is_Lb=	CL}', "");
    Expect(0, 83407, '\p{^Is_Lb=	CL}', "");
    Expect(0, 83407, '\P{Is_Lb=	CL}', "");
    Expect(1, 83407, '\P{^Is_Lb=	CL}', "");
    Expect(0, 83408, '\p{Is_Lb=	CL}', "");
    Expect(1, 83408, '\p{^Is_Lb=	CL}', "");
    Expect(1, 83408, '\P{Is_Lb=	CL}', "");
    Expect(0, 83408, '\P{^Is_Lb=	CL}', "");
    Error('\p{Line_Break=:= _Combining_mark}');
    Error('\P{Line_Break=:= _Combining_mark}');
    Expect(1, 917999, '\p{Line_Break=:\ACombining_Mark\z:}', "");;
    Expect(0, 918000, '\p{Line_Break=:\ACombining_Mark\z:}', "");;
    Expect(1, 917999, '\p{Line_Break=combiningmark}', "");
    Expect(0, 917999, '\p{^Line_Break=combiningmark}', "");
    Expect(0, 917999, '\P{Line_Break=combiningmark}', "");
    Expect(1, 917999, '\P{^Line_Break=combiningmark}', "");
    Expect(0, 918000, '\p{Line_Break=combiningmark}', "");
    Expect(1, 918000, '\p{^Line_Break=combiningmark}', "");
    Expect(1, 918000, '\P{Line_Break=combiningmark}', "");
    Expect(0, 918000, '\P{^Line_Break=combiningmark}', "");
    Expect(1, 917999, '\p{Line_Break=:\Acombiningmark\z:}', "");;
    Expect(0, 918000, '\p{Line_Break=:\Acombiningmark\z:}', "");;
    Expect(1, 917999, '\p{Line_Break=-	Combining_Mark}', "");
    Expect(0, 917999, '\p{^Line_Break=-	Combining_Mark}', "");
    Expect(0, 917999, '\P{Line_Break=-	Combining_Mark}', "");
    Expect(1, 917999, '\P{^Line_Break=-	Combining_Mark}', "");
    Expect(0, 918000, '\p{Line_Break=-	Combining_Mark}', "");
    Expect(1, 918000, '\p{^Line_Break=-	Combining_Mark}', "");
    Expect(1, 918000, '\P{Line_Break=-	Combining_Mark}', "");
    Expect(0, 918000, '\P{^Line_Break=-	Combining_Mark}', "");
    Error('\p{Lb=:=_cm}');
    Error('\P{Lb=:=_cm}');
    Expect(1, 917999, '\p{Lb=:\ACM\z:}', "");;
    Expect(0, 918000, '\p{Lb=:\ACM\z:}', "");;
    Expect(1, 917999, '\p{Lb=cm}', "");
    Expect(0, 917999, '\p{^Lb=cm}', "");
    Expect(0, 917999, '\P{Lb=cm}', "");
    Expect(1, 917999, '\P{^Lb=cm}', "");
    Expect(0, 918000, '\p{Lb=cm}', "");
    Expect(1, 918000, '\p{^Lb=cm}', "");
    Expect(1, 918000, '\P{Lb=cm}', "");
    Expect(0, 918000, '\P{^Lb=cm}', "");
    Expect(1, 917999, '\p{Lb=:\Acm\z:}', "");;
    Expect(0, 918000, '\p{Lb=:\Acm\z:}', "");;
    Expect(1, 917999, '\p{Lb=_	cm}', "");
    Expect(0, 917999, '\p{^Lb=_	cm}', "");
    Expect(0, 917999, '\P{Lb=_	cm}', "");
    Expect(1, 917999, '\P{^Lb=_	cm}', "");
    Expect(0, 918000, '\p{Lb=_	cm}', "");
    Expect(1, 918000, '\p{^Lb=_	cm}', "");
    Expect(1, 918000, '\P{Lb=_	cm}', "");
    Expect(0, 918000, '\P{^Lb=_	cm}', "");
    Error('\p{Is_Line_Break=/a/ COMBINING_MARK}');
    Error('\P{Is_Line_Break=/a/ COMBINING_MARK}');
    Expect(1, 917999, '\p{Is_Line_Break=combiningmark}', "");
    Expect(0, 917999, '\p{^Is_Line_Break=combiningmark}', "");
    Expect(0, 917999, '\P{Is_Line_Break=combiningmark}', "");
    Expect(1, 917999, '\P{^Is_Line_Break=combiningmark}', "");
    Expect(0, 918000, '\p{Is_Line_Break=combiningmark}', "");
    Expect(1, 918000, '\p{^Is_Line_Break=combiningmark}', "");
    Expect(1, 918000, '\P{Is_Line_Break=combiningmark}', "");
    Expect(0, 918000, '\P{^Is_Line_Break=combiningmark}', "");
    Expect(1, 917999, '\p{Is_Line_Break:_Combining_Mark}', "");
    Expect(0, 917999, '\p{^Is_Line_Break:_Combining_Mark}', "");
    Expect(0, 917999, '\P{Is_Line_Break:_Combining_Mark}', "");
    Expect(1, 917999, '\P{^Is_Line_Break:_Combining_Mark}', "");
    Expect(0, 918000, '\p{Is_Line_Break:_Combining_Mark}', "");
    Expect(1, 918000, '\p{^Is_Line_Break:_Combining_Mark}', "");
    Expect(1, 918000, '\P{Is_Line_Break:_Combining_Mark}', "");
    Expect(0, 918000, '\P{^Is_Line_Break:_Combining_Mark}', "");
    Error('\p{Is_Lb:	:=CM}');
    Error('\P{Is_Lb:	:=CM}');
    Expect(1, 917999, '\p{Is_Lb=cm}', "");
    Expect(0, 917999, '\p{^Is_Lb=cm}', "");
    Expect(0, 917999, '\P{Is_Lb=cm}', "");
    Expect(1, 917999, '\P{^Is_Lb=cm}', "");
    Expect(0, 918000, '\p{Is_Lb=cm}', "");
    Expect(1, 918000, '\p{^Is_Lb=cm}', "");
    Expect(1, 918000, '\P{Is_Lb=cm}', "");
    Expect(0, 918000, '\P{^Is_Lb=cm}', "");
    Expect(1, 917999, '\p{Is_Lb=_	CM}', "");
    Expect(0, 917999, '\p{^Is_Lb=_	CM}', "");
    Expect(0, 917999, '\P{Is_Lb=_	CM}', "");
    Expect(1, 917999, '\P{^Is_Lb=_	CM}', "");
    Expect(0, 918000, '\p{Is_Lb=_	CM}', "");
    Expect(1, 918000, '\p{^Is_Lb=_	CM}', "");
    Expect(1, 918000, '\P{Is_Lb=_	CM}', "");
    Expect(0, 918000, '\P{^Is_Lb=_	CM}', "");
    Error('\p{Line_Break=/a/close_Parenthesis}');
    Error('\P{Line_Break=/a/close_Parenthesis}');
    Expect(1, 93, '\p{Line_Break=:\AClose_Parenthesis\z:}', "");;
    Expect(0, 94, '\p{Line_Break=:\AClose_Parenthesis\z:}', "");;
    Expect(1, 93, '\p{Line_Break=closeparenthesis}', "");
    Expect(0, 93, '\p{^Line_Break=closeparenthesis}', "");
    Expect(0, 93, '\P{Line_Break=closeparenthesis}', "");
    Expect(1, 93, '\P{^Line_Break=closeparenthesis}', "");
    Expect(0, 94, '\p{Line_Break=closeparenthesis}', "");
    Expect(1, 94, '\p{^Line_Break=closeparenthesis}', "");
    Expect(1, 94, '\P{Line_Break=closeparenthesis}', "");
    Expect(0, 94, '\P{^Line_Break=closeparenthesis}', "");
    Expect(1, 93, '\p{Line_Break=:\Acloseparenthesis\z:}', "");;
    Expect(0, 94, '\p{Line_Break=:\Acloseparenthesis\z:}', "");;
    Expect(1, 93, '\p{Line_Break=_-Close_Parenthesis}', "");
    Expect(0, 93, '\p{^Line_Break=_-Close_Parenthesis}', "");
    Expect(0, 93, '\P{Line_Break=_-Close_Parenthesis}', "");
    Expect(1, 93, '\P{^Line_Break=_-Close_Parenthesis}', "");
    Expect(0, 94, '\p{Line_Break=_-Close_Parenthesis}', "");
    Expect(1, 94, '\p{^Line_Break=_-Close_Parenthesis}', "");
    Expect(1, 94, '\P{Line_Break=_-Close_Parenthesis}', "");
    Expect(0, 94, '\P{^Line_Break=_-Close_Parenthesis}', "");
    Error('\p{Lb=:=cp}');
    Error('\P{Lb=:=cp}');
    Expect(1, 93, '\p{Lb=:\ACP\z:}', "");;
    Expect(0, 94, '\p{Lb=:\ACP\z:}', "");;
    Expect(1, 93, '\p{Lb=cp}', "");
    Expect(0, 93, '\p{^Lb=cp}', "");
    Expect(0, 93, '\P{Lb=cp}', "");
    Expect(1, 93, '\P{^Lb=cp}', "");
    Expect(0, 94, '\p{Lb=cp}', "");
    Expect(1, 94, '\p{^Lb=cp}', "");
    Expect(1, 94, '\P{Lb=cp}', "");
    Expect(0, 94, '\P{^Lb=cp}', "");
    Expect(1, 93, '\p{Lb=:\Acp\z:}', "");;
    Expect(0, 94, '\p{Lb=:\Acp\z:}', "");;
    Expect(1, 93, '\p{Lb= CP}', "");
    Expect(0, 93, '\p{^Lb= CP}', "");
    Expect(0, 93, '\P{Lb= CP}', "");
    Expect(1, 93, '\P{^Lb= CP}', "");
    Expect(0, 94, '\p{Lb= CP}', "");
    Expect(1, 94, '\p{^Lb= CP}', "");
    Expect(1, 94, '\P{Lb= CP}', "");
    Expect(0, 94, '\P{^Lb= CP}', "");
    Error('\p{Is_Line_Break=	Close_PARENTHESIS:=}');
    Error('\P{Is_Line_Break=	Close_PARENTHESIS:=}');
    Expect(1, 93, '\p{Is_Line_Break=closeparenthesis}', "");
    Expect(0, 93, '\p{^Is_Line_Break=closeparenthesis}', "");
    Expect(0, 93, '\P{Is_Line_Break=closeparenthesis}', "");
    Expect(1, 93, '\P{^Is_Line_Break=closeparenthesis}', "");
    Expect(0, 94, '\p{Is_Line_Break=closeparenthesis}', "");
    Expect(1, 94, '\p{^Is_Line_Break=closeparenthesis}', "");
    Expect(1, 94, '\P{Is_Line_Break=closeparenthesis}', "");
    Expect(0, 94, '\P{^Is_Line_Break=closeparenthesis}', "");
    Expect(1, 93, '\p{Is_Line_Break= Close_PARENTHESIS}', "");
    Expect(0, 93, '\p{^Is_Line_Break= Close_PARENTHESIS}', "");
    Expect(0, 93, '\P{Is_Line_Break= Close_PARENTHESIS}', "");
    Expect(1, 93, '\P{^Is_Line_Break= Close_PARENTHESIS}', "");
    Expect(0, 94, '\p{Is_Line_Break= Close_PARENTHESIS}', "");
    Expect(1, 94, '\p{^Is_Line_Break= Close_PARENTHESIS}', "");
    Expect(1, 94, '\P{Is_Line_Break= Close_PARENTHESIS}', "");
    Expect(0, 94, '\P{^Is_Line_Break= Close_PARENTHESIS}', "");
    Error('\p{Is_Lb=_:=CP}');
    Error('\P{Is_Lb=_:=CP}');
    Expect(1, 93, '\p{Is_Lb=cp}', "");
    Expect(0, 93, '\p{^Is_Lb=cp}', "");
    Expect(0, 93, '\P{Is_Lb=cp}', "");
    Expect(1, 93, '\P{^Is_Lb=cp}', "");
    Expect(0, 94, '\p{Is_Lb=cp}', "");
    Expect(1, 94, '\p{^Is_Lb=cp}', "");
    Expect(1, 94, '\P{Is_Lb=cp}', "");
    Expect(0, 94, '\P{^Is_Lb=cp}', "");
    Expect(1, 93, '\p{Is_Lb=	 cp}', "");
    Expect(0, 93, '\p{^Is_Lb=	 cp}', "");
    Expect(0, 93, '\P{Is_Lb=	 cp}', "");
    Expect(1, 93, '\P{^Is_Lb=	 cp}', "");
    Expect(0, 94, '\p{Is_Lb=	 cp}', "");
    Expect(1, 94, '\p{^Is_Lb=	 cp}', "");
    Expect(1, 94, '\P{Is_Lb=	 cp}', "");
    Expect(0, 94, '\P{^Is_Lb=	 cp}', "");
    Error('\p{Line_Break:	--carriage_return/a/}');
    Error('\P{Line_Break:	--carriage_return/a/}');
    Expect(1, 13, '\p{Line_Break=:\ACarriage_Return\z:}', "");;
    Expect(0, 14, '\p{Line_Break=:\ACarriage_Return\z:}', "");;
    Expect(1, 13, '\p{Line_Break=carriagereturn}', "");
    Expect(0, 13, '\p{^Line_Break=carriagereturn}', "");
    Expect(0, 13, '\P{Line_Break=carriagereturn}', "");
    Expect(1, 13, '\P{^Line_Break=carriagereturn}', "");
    Expect(0, 14, '\p{Line_Break=carriagereturn}', "");
    Expect(1, 14, '\p{^Line_Break=carriagereturn}', "");
    Expect(1, 14, '\P{Line_Break=carriagereturn}', "");
    Expect(0, 14, '\P{^Line_Break=carriagereturn}', "");
    Expect(1, 13, '\p{Line_Break=:\Acarriagereturn\z:}', "");;
    Expect(0, 14, '\p{Line_Break=:\Acarriagereturn\z:}', "");;
    Expect(1, 13, '\p{Line_Break=_	Carriage_Return}', "");
    Expect(0, 13, '\p{^Line_Break=_	Carriage_Return}', "");
    Expect(0, 13, '\P{Line_Break=_	Carriage_Return}', "");
    Expect(1, 13, '\P{^Line_Break=_	Carriage_Return}', "");
    Expect(0, 14, '\p{Line_Break=_	Carriage_Return}', "");
    Expect(1, 14, '\p{^Line_Break=_	Carriage_Return}', "");
    Expect(1, 14, '\P{Line_Break=_	Carriage_Return}', "");
    Expect(0, 14, '\P{^Line_Break=_	Carriage_Return}', "");
    Error('\p{Lb= -CR/a/}');
    Error('\P{Lb= -CR/a/}');
    Expect(1, 13, '\p{Lb=:\ACR\z:}', "");;
    Expect(0, 14, '\p{Lb=:\ACR\z:}', "");;
    Expect(1, 13, '\p{Lb=cr}', "");
    Expect(0, 13, '\p{^Lb=cr}', "");
    Expect(0, 13, '\P{Lb=cr}', "");
    Expect(1, 13, '\P{^Lb=cr}', "");
    Expect(0, 14, '\p{Lb=cr}', "");
    Expect(1, 14, '\p{^Lb=cr}', "");
    Expect(1, 14, '\P{Lb=cr}', "");
    Expect(0, 14, '\P{^Lb=cr}', "");
    Expect(1, 13, '\p{Lb=:\Acr\z:}', "");;
    Expect(0, 14, '\p{Lb=:\Acr\z:}', "");;
    Expect(1, 13, '\p{Lb=_	CR}', "");
    Expect(0, 13, '\p{^Lb=_	CR}', "");
    Expect(0, 13, '\P{Lb=_	CR}', "");
    Expect(1, 13, '\P{^Lb=_	CR}', "");
    Expect(0, 14, '\p{Lb=_	CR}', "");
    Expect(1, 14, '\p{^Lb=_	CR}', "");
    Expect(1, 14, '\P{Lb=_	CR}', "");
    Expect(0, 14, '\P{^Lb=_	CR}', "");
    Error('\p{Is_Line_Break=/a/carriage_RETURN}');
    Error('\P{Is_Line_Break=/a/carriage_RETURN}');
    Expect(1, 13, '\p{Is_Line_Break=carriagereturn}', "");
    Expect(0, 13, '\p{^Is_Line_Break=carriagereturn}', "");
    Expect(0, 13, '\P{Is_Line_Break=carriagereturn}', "");
    Expect(1, 13, '\P{^Is_Line_Break=carriagereturn}', "");
    Expect(0, 14, '\p{Is_Line_Break=carriagereturn}', "");
    Expect(1, 14, '\p{^Is_Line_Break=carriagereturn}', "");
    Expect(1, 14, '\P{Is_Line_Break=carriagereturn}', "");
    Expect(0, 14, '\P{^Is_Line_Break=carriagereturn}', "");
    Expect(1, 13, '\p{Is_Line_Break=-_CARRIAGE_return}', "");
    Expect(0, 13, '\p{^Is_Line_Break=-_CARRIAGE_return}', "");
    Expect(0, 13, '\P{Is_Line_Break=-_CARRIAGE_return}', "");
    Expect(1, 13, '\P{^Is_Line_Break=-_CARRIAGE_return}', "");
    Expect(0, 14, '\p{Is_Line_Break=-_CARRIAGE_return}', "");
    Expect(1, 14, '\p{^Is_Line_Break=-_CARRIAGE_return}', "");
    Expect(1, 14, '\P{Is_Line_Break=-_CARRIAGE_return}', "");
    Expect(0, 14, '\P{^Is_Line_Break=-_CARRIAGE_return}', "");
    Error('\p{Is_Lb=_CR:=}');
    Error('\P{Is_Lb=_CR:=}');
    Expect(1, 13, '\p{Is_Lb=cr}', "");
    Expect(0, 13, '\p{^Is_Lb=cr}', "");
    Expect(0, 13, '\P{Is_Lb=cr}', "");
    Expect(1, 13, '\P{^Is_Lb=cr}', "");
    Expect(0, 14, '\p{Is_Lb=cr}', "");
    Expect(1, 14, '\p{^Is_Lb=cr}', "");
    Expect(1, 14, '\P{Is_Lb=cr}', "");
    Expect(0, 14, '\P{^Is_Lb=cr}', "");
    Error('\p{Line_Break:   --E_base/a/}');
    Error('\P{Line_Break:   --E_base/a/}');
    Expect(1, 129782, '\p{Line_Break=:\AE_Base\z:}', "");;
    Expect(0, 129783, '\p{Line_Break=:\AE_Base\z:}', "");;
    Expect(1, 129782, '\p{Line_Break=ebase}', "");
    Expect(0, 129782, '\p{^Line_Break=ebase}', "");
    Expect(0, 129782, '\P{Line_Break=ebase}', "");
    Expect(1, 129782, '\P{^Line_Break=ebase}', "");
    Expect(0, 129783, '\p{Line_Break=ebase}', "");
    Expect(1, 129783, '\p{^Line_Break=ebase}', "");
    Expect(1, 129783, '\P{Line_Break=ebase}', "");
    Expect(0, 129783, '\P{^Line_Break=ebase}', "");
    Expect(1, 129782, '\p{Line_Break=:\Aebase\z:}', "");;
    Expect(0, 129783, '\p{Line_Break=:\Aebase\z:}', "");;
    Expect(1, 129782, '\p{Line_Break= _E_Base}', "");
    Expect(0, 129782, '\p{^Line_Break= _E_Base}', "");
    Expect(0, 129782, '\P{Line_Break= _E_Base}', "");
    Expect(1, 129782, '\P{^Line_Break= _E_Base}', "");
    Expect(0, 129783, '\p{Line_Break= _E_Base}', "");
    Expect(1, 129783, '\p{^Line_Break= _E_Base}', "");
    Expect(1, 129783, '\P{Line_Break= _E_Base}', "");
    Expect(0, 129783, '\P{^Line_Break= _E_Base}', "");
    Error('\p{Lb=:=		EB}');
    Error('\P{Lb=:=		EB}');
    Expect(1, 129782, '\p{Lb=:\AEB\z:}', "");;
    Expect(0, 129783, '\p{Lb=:\AEB\z:}', "");;
    Expect(1, 129782, '\p{Lb=eb}', "");
    Expect(0, 129782, '\p{^Lb=eb}', "");
    Expect(0, 129782, '\P{Lb=eb}', "");
    Expect(1, 129782, '\P{^Lb=eb}', "");
    Expect(0, 129783, '\p{Lb=eb}', "");
    Expect(1, 129783, '\p{^Lb=eb}', "");
    Expect(1, 129783, '\P{Lb=eb}', "");
    Expect(0, 129783, '\P{^Lb=eb}', "");
    Expect(1, 129782, '\p{Lb=:\Aeb\z:}', "");;
    Expect(0, 129783, '\p{Lb=:\Aeb\z:}', "");;
    Expect(1, 129782, '\p{Lb=-EB}', "");
    Expect(0, 129782, '\p{^Lb=-EB}', "");
    Expect(0, 129782, '\P{Lb=-EB}', "");
    Expect(1, 129782, '\P{^Lb=-EB}', "");
    Expect(0, 129783, '\p{Lb=-EB}', "");
    Expect(1, 129783, '\p{^Lb=-EB}', "");
    Expect(1, 129783, '\P{Lb=-EB}', "");
    Expect(0, 129783, '\P{^Lb=-EB}', "");
    Error('\p{Is_Line_Break=/a/ 	E_Base}');
    Error('\P{Is_Line_Break=/a/ 	E_Base}');
    Expect(1, 129782, '\p{Is_Line_Break=ebase}', "");
    Expect(0, 129782, '\p{^Is_Line_Break=ebase}', "");
    Expect(0, 129782, '\P{Is_Line_Break=ebase}', "");
    Expect(1, 129782, '\P{^Is_Line_Break=ebase}', "");
    Expect(0, 129783, '\p{Is_Line_Break=ebase}', "");
    Expect(1, 129783, '\p{^Is_Line_Break=ebase}', "");
    Expect(1, 129783, '\P{Is_Line_Break=ebase}', "");
    Expect(0, 129783, '\P{^Is_Line_Break=ebase}', "");
    Expect(1, 129782, '\p{Is_Line_Break=--E_BASE}', "");
    Expect(0, 129782, '\p{^Is_Line_Break=--E_BASE}', "");
    Expect(0, 129782, '\P{Is_Line_Break=--E_BASE}', "");
    Expect(1, 129782, '\P{^Is_Line_Break=--E_BASE}', "");
    Expect(0, 129783, '\p{Is_Line_Break=--E_BASE}', "");
    Expect(1, 129783, '\p{^Is_Line_Break=--E_BASE}', "");
    Expect(1, 129783, '\P{Is_Line_Break=--E_BASE}', "");
    Expect(0, 129783, '\P{^Is_Line_Break=--E_BASE}', "");
    Error('\p{Is_Lb=	/a/EB}');
    Error('\P{Is_Lb=	/a/EB}');
    Expect(1, 129782, '\p{Is_Lb=eb}', "");
    Expect(0, 129782, '\p{^Is_Lb=eb}', "");
    Expect(0, 129782, '\P{Is_Lb=eb}', "");
    Expect(1, 129782, '\P{^Is_Lb=eb}', "");
    Expect(0, 129783, '\p{Is_Lb=eb}', "");
    Expect(1, 129783, '\p{^Is_Lb=eb}', "");
    Expect(1, 129783, '\P{Is_Lb=eb}', "");
    Expect(0, 129783, '\P{^Is_Lb=eb}', "");
    Expect(1, 129782, '\p{Is_Lb=  EB}', "");
    Expect(0, 129782, '\p{^Is_Lb=  EB}', "");
    Expect(0, 129782, '\P{Is_Lb=  EB}', "");
    Expect(1, 129782, '\P{^Is_Lb=  EB}', "");
    Expect(0, 129783, '\p{Is_Lb=  EB}', "");
    Expect(1, 129783, '\p{^Is_Lb=  EB}', "");
    Expect(1, 129783, '\P{Is_Lb=  EB}', "");
    Expect(0, 129783, '\P{^Is_Lb=  EB}', "");
    Error('\p{Line_Break=_E_Modifier:=}');
    Error('\P{Line_Break=_E_Modifier:=}');
    Expect(1, 127999, '\p{Line_Break=:\AE_Modifier\z:}', "");;
    Expect(0, 128000, '\p{Line_Break=:\AE_Modifier\z:}', "");;
    Expect(1, 127999, '\p{Line_Break:   emodifier}', "");
    Expect(0, 127999, '\p{^Line_Break:   emodifier}', "");
    Expect(0, 127999, '\P{Line_Break:   emodifier}', "");
    Expect(1, 127999, '\P{^Line_Break:   emodifier}', "");
    Expect(0, 128000, '\p{Line_Break:   emodifier}', "");
    Expect(1, 128000, '\p{^Line_Break:   emodifier}', "");
    Expect(1, 128000, '\P{Line_Break:   emodifier}', "");
    Expect(0, 128000, '\P{^Line_Break:   emodifier}', "");
    Expect(1, 127999, '\p{Line_Break=:\Aemodifier\z:}', "");;
    Expect(0, 128000, '\p{Line_Break=:\Aemodifier\z:}', "");;
    Expect(1, 127999, '\p{Line_Break=	e_MODIFIER}', "");
    Expect(0, 127999, '\p{^Line_Break=	e_MODIFIER}', "");
    Expect(0, 127999, '\P{Line_Break=	e_MODIFIER}', "");
    Expect(1, 127999, '\P{^Line_Break=	e_MODIFIER}', "");
    Expect(0, 128000, '\p{Line_Break=	e_MODIFIER}', "");
    Expect(1, 128000, '\p{^Line_Break=	e_MODIFIER}', "");
    Expect(1, 128000, '\P{Line_Break=	e_MODIFIER}', "");
    Expect(0, 128000, '\P{^Line_Break=	e_MODIFIER}', "");
    Error('\p{Lb=-	EM/a/}');
    Error('\P{Lb=-	EM/a/}');
    Expect(1, 127999, '\p{Lb=:\AEM\z:}', "");;
    Expect(0, 128000, '\p{Lb=:\AEM\z:}', "");;
    Expect(1, 127999, '\p{Lb:	em}', "");
    Expect(0, 127999, '\p{^Lb:	em}', "");
    Expect(0, 127999, '\P{Lb:	em}', "");
    Expect(1, 127999, '\P{^Lb:	em}', "");
    Expect(0, 128000, '\p{Lb:	em}', "");
    Expect(1, 128000, '\p{^Lb:	em}', "");
    Expect(1, 128000, '\P{Lb:	em}', "");
    Expect(0, 128000, '\P{^Lb:	em}', "");
    Expect(1, 127999, '\p{Lb=:\Aem\z:}', "");;
    Expect(0, 128000, '\p{Lb=:\Aem\z:}', "");;
    Expect(1, 127999, '\p{Lb=EM}', "");
    Expect(0, 127999, '\p{^Lb=EM}', "");
    Expect(0, 127999, '\P{Lb=EM}', "");
    Expect(1, 127999, '\P{^Lb=EM}', "");
    Expect(0, 128000, '\p{Lb=EM}', "");
    Expect(1, 128000, '\p{^Lb=EM}', "");
    Expect(1, 128000, '\P{Lb=EM}', "");
    Expect(0, 128000, '\P{^Lb=EM}', "");
    Error('\p{Is_Line_Break=:=E_Modifier}');
    Error('\P{Is_Line_Break=:=E_Modifier}');
    Expect(1, 127999, '\p{Is_Line_Break:	emodifier}', "");
    Expect(0, 127999, '\p{^Is_Line_Break:	emodifier}', "");
    Expect(0, 127999, '\P{Is_Line_Break:	emodifier}', "");
    Expect(1, 127999, '\P{^Is_Line_Break:	emodifier}', "");
    Expect(0, 128000, '\p{Is_Line_Break:	emodifier}', "");
    Expect(1, 128000, '\p{^Is_Line_Break:	emodifier}', "");
    Expect(1, 128000, '\P{Is_Line_Break:	emodifier}', "");
    Expect(0, 128000, '\P{^Is_Line_Break:	emodifier}', "");
    Expect(1, 127999, '\p{Is_Line_Break:   _E_modifier}', "");
    Expect(0, 127999, '\p{^Is_Line_Break:   _E_modifier}', "");
    Expect(0, 127999, '\P{Is_Line_Break:   _E_modifier}', "");
    Expect(1, 127999, '\P{^Is_Line_Break:   _E_modifier}', "");
    Expect(0, 128000, '\p{Is_Line_Break:   _E_modifier}', "");
    Expect(1, 128000, '\p{^Is_Line_Break:   _E_modifier}', "");
    Expect(1, 128000, '\P{Is_Line_Break:   _E_modifier}', "");
    Expect(0, 128000, '\P{^Is_Line_Break:   _E_modifier}', "");
    Error('\p{Is_Lb=EM:=}');
    Error('\P{Is_Lb=EM:=}');
    Expect(1, 127999, '\p{Is_Lb=em}', "");
    Expect(0, 127999, '\p{^Is_Lb=em}', "");
    Expect(0, 127999, '\P{Is_Lb=em}', "");
    Expect(1, 127999, '\P{^Is_Lb=em}', "");
    Expect(0, 128000, '\p{Is_Lb=em}', "");
    Expect(1, 128000, '\p{^Is_Lb=em}', "");
    Expect(1, 128000, '\P{Is_Lb=em}', "");
    Expect(0, 128000, '\P{^Is_Lb=em}', "");
    Expect(1, 127999, '\p{Is_Lb=__EM}', "");
    Expect(0, 127999, '\p{^Is_Lb=__EM}', "");
    Expect(0, 127999, '\P{Is_Lb=__EM}', "");
    Expect(1, 127999, '\P{^Is_Lb=__EM}', "");
    Expect(0, 128000, '\p{Is_Lb=__EM}', "");
    Expect(1, 128000, '\p{^Is_Lb=__EM}', "");
    Expect(1, 128000, '\P{Is_Lb=__EM}', "");
    Expect(0, 128000, '\P{^Is_Lb=__EM}', "");
    Error('\p{Line_Break=:=exclamation}');
    Error('\P{Line_Break=:=exclamation}');
    Expect(1, 72817, '\p{Line_Break=:\AExclamation\z:}', "");;
    Expect(0, 72818, '\p{Line_Break=:\AExclamation\z:}', "");;
    Expect(1, 72817, '\p{Line_Break:exclamation}', "");
    Expect(0, 72817, '\p{^Line_Break:exclamation}', "");
    Expect(0, 72817, '\P{Line_Break:exclamation}', "");
    Expect(1, 72817, '\P{^Line_Break:exclamation}', "");
    Expect(0, 72818, '\p{Line_Break:exclamation}', "");
    Expect(1, 72818, '\p{^Line_Break:exclamation}', "");
    Expect(1, 72818, '\P{Line_Break:exclamation}', "");
    Expect(0, 72818, '\P{^Line_Break:exclamation}', "");
    Expect(1, 72817, '\p{Line_Break=:\Aexclamation\z:}', "");;
    Expect(0, 72818, '\p{Line_Break=:\Aexclamation\z:}', "");;
    Expect(1, 72817, '\p{Line_Break=__EXCLAMATION}', "");
    Expect(0, 72817, '\p{^Line_Break=__EXCLAMATION}', "");
    Expect(0, 72817, '\P{Line_Break=__EXCLAMATION}', "");
    Expect(1, 72817, '\P{^Line_Break=__EXCLAMATION}', "");
    Expect(0, 72818, '\p{Line_Break=__EXCLAMATION}', "");
    Expect(1, 72818, '\p{^Line_Break=__EXCLAMATION}', "");
    Expect(1, 72818, '\P{Line_Break=__EXCLAMATION}', "");
    Expect(0, 72818, '\P{^Line_Break=__EXCLAMATION}', "");
    Error('\p{Lb:	-:=ex}');
    Error('\P{Lb:	-:=ex}');
    Expect(1, 72817, '\p{Lb=:\AEX\z:}', "");;
    Expect(0, 72818, '\p{Lb=:\AEX\z:}', "");;
    Expect(1, 72817, '\p{Lb: ex}', "");
    Expect(0, 72817, '\p{^Lb: ex}', "");
    Expect(0, 72817, '\P{Lb: ex}', "");
    Expect(1, 72817, '\P{^Lb: ex}', "");
    Expect(0, 72818, '\p{Lb: ex}', "");
    Expect(1, 72818, '\p{^Lb: ex}', "");
    Expect(1, 72818, '\P{Lb: ex}', "");
    Expect(0, 72818, '\P{^Lb: ex}', "");
    Expect(1, 72817, '\p{Lb=:\Aex\z:}', "");;
    Expect(0, 72818, '\p{Lb=:\Aex\z:}', "");;
    Expect(1, 72817, '\p{Lb=	EX}', "");
    Expect(0, 72817, '\p{^Lb=	EX}', "");
    Expect(0, 72817, '\P{Lb=	EX}', "");
    Expect(1, 72817, '\P{^Lb=	EX}', "");
    Expect(0, 72818, '\p{Lb=	EX}', "");
    Expect(1, 72818, '\p{^Lb=	EX}', "");
    Expect(1, 72818, '\P{Lb=	EX}', "");
    Expect(0, 72818, '\P{^Lb=	EX}', "");
    Error('\p{Is_Line_Break=_ EXCLAMATION/a/}');
    Error('\P{Is_Line_Break=_ EXCLAMATION/a/}');
    Expect(1, 72817, '\p{Is_Line_Break=exclamation}', "");
    Expect(0, 72817, '\p{^Is_Line_Break=exclamation}', "");
    Expect(0, 72817, '\P{Is_Line_Break=exclamation}', "");
    Expect(1, 72817, '\P{^Is_Line_Break=exclamation}', "");
    Expect(0, 72818, '\p{Is_Line_Break=exclamation}', "");
    Expect(1, 72818, '\p{^Is_Line_Break=exclamation}', "");
    Expect(1, 72818, '\P{Is_Line_Break=exclamation}', "");
    Expect(0, 72818, '\P{^Is_Line_Break=exclamation}', "");
    Expect(1, 72817, '\p{Is_Line_Break:	-exclamation}', "");
    Expect(0, 72817, '\p{^Is_Line_Break:	-exclamation}', "");
    Expect(0, 72817, '\P{Is_Line_Break:	-exclamation}', "");
    Expect(1, 72817, '\P{^Is_Line_Break:	-exclamation}', "");
    Expect(0, 72818, '\p{Is_Line_Break:	-exclamation}', "");
    Expect(1, 72818, '\p{^Is_Line_Break:	-exclamation}', "");
    Expect(1, 72818, '\P{Is_Line_Break:	-exclamation}', "");
    Expect(0, 72818, '\P{^Is_Line_Break:	-exclamation}', "");
    Error('\p{Is_Lb= EX:=}');
    Error('\P{Is_Lb= EX:=}');
    Expect(1, 72817, '\p{Is_Lb=ex}', "");
    Expect(0, 72817, '\p{^Is_Lb=ex}', "");
    Expect(0, 72817, '\P{Is_Lb=ex}', "");
    Expect(1, 72817, '\P{^Is_Lb=ex}', "");
    Expect(0, 72818, '\p{Is_Lb=ex}', "");
    Expect(1, 72818, '\p{^Is_Lb=ex}', "");
    Expect(1, 72818, '\P{Is_Lb=ex}', "");
    Expect(0, 72818, '\P{^Is_Lb=ex}', "");
    Expect(1, 72817, '\p{Is_Lb: EX}', "");
    Expect(0, 72817, '\p{^Is_Lb: EX}', "");
    Expect(0, 72817, '\P{Is_Lb: EX}', "");
    Expect(1, 72817, '\P{^Is_Lb: EX}', "");
    Expect(0, 72818, '\p{Is_Lb: EX}', "");
    Expect(1, 72818, '\p{^Is_Lb: EX}', "");
    Expect(1, 72818, '\P{Is_Lb: EX}', "");
    Expect(0, 72818, '\P{^Is_Lb: EX}', "");
    Error('\p{Line_Break=_/a/Glue}');
    Error('\P{Line_Break=_/a/Glue}');
    Expect(1, 94180, '\p{Line_Break=:\AGlue\z:}', "");;
    Expect(0, 94181, '\p{Line_Break=:\AGlue\z:}', "");;
    Expect(1, 94180, '\p{Line_Break=glue}', "");
    Expect(0, 94180, '\p{^Line_Break=glue}', "");
    Expect(0, 94180, '\P{Line_Break=glue}', "");
    Expect(1, 94180, '\P{^Line_Break=glue}', "");
    Expect(0, 94181, '\p{Line_Break=glue}', "");
    Expect(1, 94181, '\p{^Line_Break=glue}', "");
    Expect(1, 94181, '\P{Line_Break=glue}', "");
    Expect(0, 94181, '\P{^Line_Break=glue}', "");
    Expect(1, 94180, '\p{Line_Break=:\Aglue\z:}', "");;
    Expect(0, 94181, '\p{Line_Break=:\Aglue\z:}', "");;
    Expect(1, 94180, '\p{Line_Break=		Glue}', "");
    Expect(0, 94180, '\p{^Line_Break=		Glue}', "");
    Expect(0, 94180, '\P{Line_Break=		Glue}', "");
    Expect(1, 94180, '\P{^Line_Break=		Glue}', "");
    Expect(0, 94181, '\p{Line_Break=		Glue}', "");
    Expect(1, 94181, '\p{^Line_Break=		Glue}', "");
    Expect(1, 94181, '\P{Line_Break=		Glue}', "");
    Expect(0, 94181, '\P{^Line_Break=		Glue}', "");
    Error('\p{Lb=/a/_GL}');
    Error('\P{Lb=/a/_GL}');
    Expect(1, 94180, '\p{Lb=:\AGL\z:}', "");;
    Expect(0, 94181, '\p{Lb=:\AGL\z:}', "");;
    Expect(1, 94180, '\p{Lb=gl}', "");
    Expect(0, 94180, '\p{^Lb=gl}', "");
    Expect(0, 94180, '\P{Lb=gl}', "");
    Expect(1, 94180, '\P{^Lb=gl}', "");
    Expect(0, 94181, '\p{Lb=gl}', "");
    Expect(1, 94181, '\p{^Lb=gl}', "");
    Expect(1, 94181, '\P{Lb=gl}', "");
    Expect(0, 94181, '\P{^Lb=gl}', "");
    Expect(1, 94180, '\p{Lb=:\Agl\z:}', "");;
    Expect(0, 94181, '\p{Lb=:\Agl\z:}', "");;
    Expect(1, 94180, '\p{Lb=  GL}', "");
    Expect(0, 94180, '\p{^Lb=  GL}', "");
    Expect(0, 94180, '\P{Lb=  GL}', "");
    Expect(1, 94180, '\P{^Lb=  GL}', "");
    Expect(0, 94181, '\p{Lb=  GL}', "");
    Expect(1, 94181, '\p{^Lb=  GL}', "");
    Expect(1, 94181, '\P{Lb=  GL}', "");
    Expect(0, 94181, '\P{^Lb=  GL}', "");
    Error('\p{Is_Line_Break=	/a/Glue}');
    Error('\P{Is_Line_Break=	/a/Glue}');
    Expect(1, 94180, '\p{Is_Line_Break=glue}', "");
    Expect(0, 94180, '\p{^Is_Line_Break=glue}', "");
    Expect(0, 94180, '\P{Is_Line_Break=glue}', "");
    Expect(1, 94180, '\P{^Is_Line_Break=glue}', "");
    Expect(0, 94181, '\p{Is_Line_Break=glue}', "");
    Expect(1, 94181, '\p{^Is_Line_Break=glue}', "");
    Expect(1, 94181, '\P{Is_Line_Break=glue}', "");
    Expect(0, 94181, '\P{^Is_Line_Break=glue}', "");
    Expect(1, 94180, '\p{Is_Line_Break=	_Glue}', "");
    Expect(0, 94180, '\p{^Is_Line_Break=	_Glue}', "");
    Expect(0, 94180, '\P{Is_Line_Break=	_Glue}', "");
    Expect(1, 94180, '\P{^Is_Line_Break=	_Glue}', "");
    Expect(0, 94181, '\p{Is_Line_Break=	_Glue}', "");
    Expect(1, 94181, '\p{^Is_Line_Break=	_Glue}', "");
    Expect(1, 94181, '\P{Is_Line_Break=	_Glue}', "");
    Expect(0, 94181, '\P{^Is_Line_Break=	_Glue}', "");
    Error('\p{Is_Lb=:=_-GL}');
    Error('\P{Is_Lb=:=_-GL}');
    Expect(1, 94180, '\p{Is_Lb=gl}', "");
    Expect(0, 94180, '\p{^Is_Lb=gl}', "");
    Expect(0, 94180, '\P{Is_Lb=gl}', "");
    Expect(1, 94180, '\P{^Is_Lb=gl}', "");
    Expect(0, 94181, '\p{Is_Lb=gl}', "");
    Expect(1, 94181, '\p{^Is_Lb=gl}', "");
    Expect(1, 94181, '\P{Is_Lb=gl}', "");
    Expect(0, 94181, '\P{^Is_Lb=gl}', "");
    Expect(1, 94180, '\p{Is_Lb=-GL}', "");
    Expect(0, 94180, '\p{^Is_Lb=-GL}', "");
    Expect(0, 94180, '\P{Is_Lb=-GL}', "");
    Expect(1, 94180, '\P{^Is_Lb=-GL}', "");
    Expect(0, 94181, '\p{Is_Lb=-GL}', "");
    Expect(1, 94181, '\p{^Is_Lb=-GL}', "");
    Expect(1, 94181, '\P{Is_Lb=-GL}', "");
    Expect(0, 94181, '\P{^Is_Lb=-GL}', "");
    Error('\p{Line_Break= H2:=}');
    Error('\P{Line_Break= H2:=}');
    Expect(1, 55176, '\p{Line_Break=:\AH2\z:}', "");;
    Expect(0, 55177, '\p{Line_Break=:\AH2\z:}', "");;
    Expect(1, 55176, '\p{Line_Break: h2}', "");
    Expect(0, 55176, '\p{^Line_Break: h2}', "");
    Expect(0, 55176, '\P{Line_Break: h2}', "");
    Expect(1, 55176, '\P{^Line_Break: h2}', "");
    Expect(0, 55177, '\p{Line_Break: h2}', "");
    Expect(1, 55177, '\p{^Line_Break: h2}', "");
    Expect(1, 55177, '\P{Line_Break: h2}', "");
    Expect(0, 55177, '\P{^Line_Break: h2}', "");
    Expect(1, 55176, '\p{Line_Break=:\Ah2\z:}', "");;
    Expect(0, 55177, '\p{Line_Break=:\Ah2\z:}', "");;
    Expect(1, 55176, '\p{Line_Break= H2}', "");
    Expect(0, 55176, '\p{^Line_Break= H2}', "");
    Expect(0, 55176, '\P{Line_Break= H2}', "");
    Expect(1, 55176, '\P{^Line_Break= H2}', "");
    Expect(0, 55177, '\p{Line_Break= H2}', "");
    Expect(1, 55177, '\p{^Line_Break= H2}', "");
    Expect(1, 55177, '\P{Line_Break= H2}', "");
    Expect(0, 55177, '\P{^Line_Break= H2}', "");
    Error('\p{Lb=	 h2:=}');
    Error('\P{Lb=	 h2:=}');
    Expect(1, 55176, '\p{Lb=:\AH2\z:}', "");;
    Expect(0, 55177, '\p{Lb=:\AH2\z:}', "");;
    Expect(1, 55176, '\p{Lb=h2}', "");
    Expect(0, 55176, '\p{^Lb=h2}', "");
    Expect(0, 55176, '\P{Lb=h2}', "");
    Expect(1, 55176, '\P{^Lb=h2}', "");
    Expect(0, 55177, '\p{Lb=h2}', "");
    Expect(1, 55177, '\p{^Lb=h2}', "");
    Expect(1, 55177, '\P{Lb=h2}', "");
    Expect(0, 55177, '\P{^Lb=h2}', "");
    Expect(1, 55176, '\p{Lb=:\Ah2\z:}', "");;
    Expect(0, 55177, '\p{Lb=:\Ah2\z:}', "");;
    Expect(1, 55176, '\p{Lb=-	H2}', "");
    Expect(0, 55176, '\p{^Lb=-	H2}', "");
    Expect(0, 55176, '\P{Lb=-	H2}', "");
    Expect(1, 55176, '\P{^Lb=-	H2}', "");
    Expect(0, 55177, '\p{Lb=-	H2}', "");
    Expect(1, 55177, '\p{^Lb=-	H2}', "");
    Expect(1, 55177, '\P{Lb=-	H2}', "");
    Expect(0, 55177, '\P{^Lb=-	H2}', "");
    Error('\p{Is_Line_Break:	h2:=}');
    Error('\P{Is_Line_Break:	h2:=}');
    Expect(1, 55176, '\p{Is_Line_Break=h2}', "");
    Expect(0, 55176, '\p{^Is_Line_Break=h2}', "");
    Expect(0, 55176, '\P{Is_Line_Break=h2}', "");
    Expect(1, 55176, '\P{^Is_Line_Break=h2}', "");
    Expect(0, 55177, '\p{Is_Line_Break=h2}', "");
    Expect(1, 55177, '\p{^Is_Line_Break=h2}', "");
    Expect(1, 55177, '\P{Is_Line_Break=h2}', "");
    Expect(0, 55177, '\P{^Is_Line_Break=h2}', "");
    Expect(1, 55176, '\p{Is_Line_Break= H2}', "");
    Expect(0, 55176, '\p{^Is_Line_Break= H2}', "");
    Expect(0, 55176, '\P{Is_Line_Break= H2}', "");
    Expect(1, 55176, '\P{^Is_Line_Break= H2}', "");
    Expect(0, 55177, '\p{Is_Line_Break= H2}', "");
    Expect(1, 55177, '\p{^Is_Line_Break= H2}', "");
    Expect(1, 55177, '\P{Is_Line_Break= H2}', "");
    Expect(0, 55177, '\P{^Is_Line_Break= H2}', "");
    Error('\p{Is_Lb=:= _H2}');
    Error('\P{Is_Lb=:= _H2}');
    Expect(1, 55176, '\p{Is_Lb=h2}', "");
    Expect(0, 55176, '\p{^Is_Lb=h2}', "");
    Expect(0, 55176, '\P{Is_Lb=h2}', "");
    Expect(1, 55176, '\P{^Is_Lb=h2}', "");
    Expect(0, 55177, '\p{Is_Lb=h2}', "");
    Expect(1, 55177, '\p{^Is_Lb=h2}', "");
    Expect(1, 55177, '\P{Is_Lb=h2}', "");
    Expect(0, 55177, '\P{^Is_Lb=h2}', "");
    Expect(1, 55176, '\p{Is_Lb: 	-H2}', "");
    Expect(0, 55176, '\p{^Is_Lb: 	-H2}', "");
    Expect(0, 55176, '\P{Is_Lb: 	-H2}', "");
    Expect(1, 55176, '\P{^Is_Lb: 	-H2}', "");
    Expect(0, 55177, '\p{Is_Lb: 	-H2}', "");
    Expect(1, 55177, '\p{^Is_Lb: 	-H2}', "");
    Expect(1, 55177, '\P{Is_Lb: 	-H2}', "");
    Expect(0, 55177, '\P{^Is_Lb: 	-H2}', "");
    Error('\p{Line_Break=/a/__h3}');
    Error('\P{Line_Break=/a/__h3}');
    Expect(1, 55203, '\p{Line_Break=:\AH3\z:}', "");;
    Expect(0, 55204, '\p{Line_Break=:\AH3\z:}', "");;
    Expect(1, 55203, '\p{Line_Break=h3}', "");
    Expect(0, 55203, '\p{^Line_Break=h3}', "");
    Expect(0, 55203, '\P{Line_Break=h3}', "");
    Expect(1, 55203, '\P{^Line_Break=h3}', "");
    Expect(0, 55204, '\p{Line_Break=h3}', "");
    Expect(1, 55204, '\p{^Line_Break=h3}', "");
    Expect(1, 55204, '\P{Line_Break=h3}', "");
    Expect(0, 55204, '\P{^Line_Break=h3}', "");
    Expect(1, 55203, '\p{Line_Break=:\Ah3\z:}', "");;
    Expect(0, 55204, '\p{Line_Break=:\Ah3\z:}', "");;
    Expect(1, 55203, '\p{Line_Break=--H3}', "");
    Expect(0, 55203, '\p{^Line_Break=--H3}', "");
    Expect(0, 55203, '\P{Line_Break=--H3}', "");
    Expect(1, 55203, '\P{^Line_Break=--H3}', "");
    Expect(0, 55204, '\p{Line_Break=--H3}', "");
    Expect(1, 55204, '\p{^Line_Break=--H3}', "");
    Expect(1, 55204, '\P{Line_Break=--H3}', "");
    Expect(0, 55204, '\P{^Line_Break=--H3}', "");
    Error('\p{Lb=:=	_H3}');
    Error('\P{Lb=:=	_H3}');
    Expect(1, 55203, '\p{Lb=:\AH3\z:}', "");;
    Expect(0, 55204, '\p{Lb=:\AH3\z:}', "");;
    Expect(1, 55203, '\p{Lb=h3}', "");
    Expect(0, 55203, '\p{^Lb=h3}', "");
    Expect(0, 55203, '\P{Lb=h3}', "");
    Expect(1, 55203, '\P{^Lb=h3}', "");
    Expect(0, 55204, '\p{Lb=h3}', "");
    Expect(1, 55204, '\p{^Lb=h3}', "");
    Expect(1, 55204, '\P{Lb=h3}', "");
    Expect(0, 55204, '\P{^Lb=h3}', "");
    Expect(1, 55203, '\p{Lb=:\Ah3\z:}', "");;
    Expect(0, 55204, '\p{Lb=:\Ah3\z:}', "");;
    Expect(1, 55203, '\p{Lb=-_H3}', "");
    Expect(0, 55203, '\p{^Lb=-_H3}', "");
    Expect(0, 55203, '\P{Lb=-_H3}', "");
    Expect(1, 55203, '\P{^Lb=-_H3}', "");
    Expect(0, 55204, '\p{Lb=-_H3}', "");
    Expect(1, 55204, '\p{^Lb=-_H3}', "");
    Expect(1, 55204, '\P{Lb=-_H3}', "");
    Expect(0, 55204, '\P{^Lb=-_H3}', "");
    Error('\p{Is_Line_Break=/a/ H3}');
    Error('\P{Is_Line_Break=/a/ H3}');
    Expect(1, 55203, '\p{Is_Line_Break=h3}', "");
    Expect(0, 55203, '\p{^Is_Line_Break=h3}', "");
    Expect(0, 55203, '\P{Is_Line_Break=h3}', "");
    Expect(1, 55203, '\P{^Is_Line_Break=h3}', "");
    Expect(0, 55204, '\p{Is_Line_Break=h3}', "");
    Expect(1, 55204, '\p{^Is_Line_Break=h3}', "");
    Expect(1, 55204, '\P{Is_Line_Break=h3}', "");
    Expect(0, 55204, '\P{^Is_Line_Break=h3}', "");
    Expect(1, 55203, '\p{Is_Line_Break=	_h3}', "");
    Expect(0, 55203, '\p{^Is_Line_Break=	_h3}', "");
    Expect(0, 55203, '\P{Is_Line_Break=	_h3}', "");
    Expect(1, 55203, '\P{^Is_Line_Break=	_h3}', "");
    Expect(0, 55204, '\p{Is_Line_Break=	_h3}', "");
    Expect(1, 55204, '\p{^Is_Line_Break=	_h3}', "");
    Expect(1, 55204, '\P{Is_Line_Break=	_h3}', "");
    Expect(0, 55204, '\P{^Is_Line_Break=	_h3}', "");
    Error('\p{Is_Lb=:=_-H3}');
    Error('\P{Is_Lb=:=_-H3}');
    Expect(1, 55203, '\p{Is_Lb=h3}', "");
    Expect(0, 55203, '\p{^Is_Lb=h3}', "");
    Expect(0, 55203, '\P{Is_Lb=h3}', "");
    Expect(1, 55203, '\P{^Is_Lb=h3}', "");
    Expect(0, 55204, '\p{Is_Lb=h3}', "");
    Expect(1, 55204, '\p{^Is_Lb=h3}', "");
    Expect(1, 55204, '\P{Is_Lb=h3}', "");
    Expect(0, 55204, '\P{^Is_Lb=h3}', "");
    Expect(1, 55203, '\p{Is_Lb=	_H3}', "");
    Expect(0, 55203, '\p{^Is_Lb=	_H3}', "");
    Expect(0, 55203, '\P{Is_Lb=	_H3}', "");
    Expect(1, 55203, '\P{^Is_Lb=	_H3}', "");
    Expect(0, 55204, '\p{Is_Lb=	_H3}', "");
    Expect(1, 55204, '\p{^Is_Lb=	_H3}', "");
    Expect(1, 55204, '\P{Is_Lb=	_H3}', "");
    Expect(0, 55204, '\P{^Is_Lb=	_H3}', "");
    Error('\p{Line_Break=/a/_ HEBREW_LETTER}');
    Error('\P{Line_Break=/a/_ HEBREW_LETTER}');
    Expect(1, 64335, '\p{Line_Break=:\AHebrew_Letter\z:}', "");;
    Expect(0, 64336, '\p{Line_Break=:\AHebrew_Letter\z:}', "");;
    Expect(1, 64335, '\p{Line_Break=hebrewletter}', "");
    Expect(0, 64335, '\p{^Line_Break=hebrewletter}', "");
    Expect(0, 64335, '\P{Line_Break=hebrewletter}', "");
    Expect(1, 64335, '\P{^Line_Break=hebrewletter}', "");
    Expect(0, 64336, '\p{Line_Break=hebrewletter}', "");
    Expect(1, 64336, '\p{^Line_Break=hebrewletter}', "");
    Expect(1, 64336, '\P{Line_Break=hebrewletter}', "");
    Expect(0, 64336, '\P{^Line_Break=hebrewletter}', "");
    Expect(1, 64335, '\p{Line_Break=:\Ahebrewletter\z:}', "");;
    Expect(0, 64336, '\p{Line_Break=:\Ahebrewletter\z:}', "");;
    Expect(1, 64335, '\p{Line_Break:		-hebrew_letter}', "");
    Expect(0, 64335, '\p{^Line_Break:		-hebrew_letter}', "");
    Expect(0, 64335, '\P{Line_Break:		-hebrew_letter}', "");
    Expect(1, 64335, '\P{^Line_Break:		-hebrew_letter}', "");
    Expect(0, 64336, '\p{Line_Break:		-hebrew_letter}', "");
    Expect(1, 64336, '\p{^Line_Break:		-hebrew_letter}', "");
    Expect(1, 64336, '\P{Line_Break:		-hebrew_letter}', "");
    Expect(0, 64336, '\P{^Line_Break:		-hebrew_letter}', "");
    Error('\p{Lb=:=-_HL}');
    Error('\P{Lb=:=-_HL}');
    Expect(1, 64335, '\p{Lb=:\AHL\z:}', "");;
    Expect(0, 64336, '\p{Lb=:\AHL\z:}', "");;
    Expect(1, 64335, '\p{Lb=hl}', "");
    Expect(0, 64335, '\p{^Lb=hl}', "");
    Expect(0, 64335, '\P{Lb=hl}', "");
    Expect(1, 64335, '\P{^Lb=hl}', "");
    Expect(0, 64336, '\p{Lb=hl}', "");
    Expect(1, 64336, '\p{^Lb=hl}', "");
    Expect(1, 64336, '\P{Lb=hl}', "");
    Expect(0, 64336, '\P{^Lb=hl}', "");
    Expect(1, 64335, '\p{Lb=:\Ahl\z:}', "");;
    Expect(0, 64336, '\p{Lb=:\Ahl\z:}', "");;
    Expect(1, 64335, '\p{Lb=	 hl}', "");
    Expect(0, 64335, '\p{^Lb=	 hl}', "");
    Expect(0, 64335, '\P{Lb=	 hl}', "");
    Expect(1, 64335, '\P{^Lb=	 hl}', "");
    Expect(0, 64336, '\p{Lb=	 hl}', "");
    Expect(1, 64336, '\p{^Lb=	 hl}', "");
    Expect(1, 64336, '\P{Lb=	 hl}', "");
    Expect(0, 64336, '\P{^Lb=	 hl}', "");
    Error('\p{Is_Line_Break=/a/_Hebrew_Letter}');
    Error('\P{Is_Line_Break=/a/_Hebrew_Letter}');
    Expect(1, 64335, '\p{Is_Line_Break=hebrewletter}', "");
    Expect(0, 64335, '\p{^Is_Line_Break=hebrewletter}', "");
    Expect(0, 64335, '\P{Is_Line_Break=hebrewletter}', "");
    Expect(1, 64335, '\P{^Is_Line_Break=hebrewletter}', "");
    Expect(0, 64336, '\p{Is_Line_Break=hebrewletter}', "");
    Expect(1, 64336, '\p{^Is_Line_Break=hebrewletter}', "");
    Expect(1, 64336, '\P{Is_Line_Break=hebrewletter}', "");
    Expect(0, 64336, '\P{^Is_Line_Break=hebrewletter}', "");
    Expect(1, 64335, '\p{Is_Line_Break=_Hebrew_Letter}', "");
    Expect(0, 64335, '\p{^Is_Line_Break=_Hebrew_Letter}', "");
    Expect(0, 64335, '\P{Is_Line_Break=_Hebrew_Letter}', "");
    Expect(1, 64335, '\P{^Is_Line_Break=_Hebrew_Letter}', "");
    Expect(0, 64336, '\p{Is_Line_Break=_Hebrew_Letter}', "");
    Expect(1, 64336, '\p{^Is_Line_Break=_Hebrew_Letter}', "");
    Expect(1, 64336, '\P{Is_Line_Break=_Hebrew_Letter}', "");
    Expect(0, 64336, '\P{^Is_Line_Break=_Hebrew_Letter}', "");
    Error('\p{Is_Lb=/a/ HL}');
    Error('\P{Is_Lb=/a/ HL}');
    Expect(1, 64335, '\p{Is_Lb=hl}', "");
    Expect(0, 64335, '\p{^Is_Lb=hl}', "");
    Expect(0, 64335, '\P{Is_Lb=hl}', "");
    Expect(1, 64335, '\P{^Is_Lb=hl}', "");
    Expect(0, 64336, '\p{Is_Lb=hl}', "");
    Expect(1, 64336, '\p{^Is_Lb=hl}', "");
    Expect(1, 64336, '\P{Is_Lb=hl}', "");
    Expect(0, 64336, '\P{^Is_Lb=hl}', "");
    Expect(1, 64335, '\p{Is_Lb= HL}', "");
    Expect(0, 64335, '\p{^Is_Lb= HL}', "");
    Expect(0, 64335, '\P{Is_Lb= HL}', "");
    Expect(1, 64335, '\P{^Is_Lb= HL}', "");
    Expect(0, 64336, '\p{Is_Lb= HL}', "");
    Expect(1, 64336, '\p{^Is_Lb= HL}', "");
    Expect(1, 64336, '\P{Is_Lb= HL}', "");
    Expect(0, 64336, '\P{^Is_Lb= HL}', "");
    Error('\p{Line_Break=	Hyphen:=}');
    Error('\P{Line_Break=	Hyphen:=}');
    Expect(1, 45, '\p{Line_Break=:\AHyphen\z:}', "");;
    Expect(0, 46, '\p{Line_Break=:\AHyphen\z:}', "");;
    Expect(1, 45, '\p{Line_Break=hyphen}', "");
    Expect(0, 45, '\p{^Line_Break=hyphen}', "");
    Expect(0, 45, '\P{Line_Break=hyphen}', "");
    Expect(1, 45, '\P{^Line_Break=hyphen}', "");
    Expect(0, 46, '\p{Line_Break=hyphen}', "");
    Expect(1, 46, '\p{^Line_Break=hyphen}', "");
    Expect(1, 46, '\P{Line_Break=hyphen}', "");
    Expect(0, 46, '\P{^Line_Break=hyphen}', "");
    Expect(1, 45, '\p{Line_Break=:\Ahyphen\z:}', "");;
    Expect(0, 46, '\p{Line_Break=:\Ahyphen\z:}', "");;
    Expect(1, 45, '\p{Line_Break=__Hyphen}', "");
    Expect(0, 45, '\p{^Line_Break=__Hyphen}', "");
    Expect(0, 45, '\P{Line_Break=__Hyphen}', "");
    Expect(1, 45, '\P{^Line_Break=__Hyphen}', "");
    Expect(0, 46, '\p{Line_Break=__Hyphen}', "");
    Expect(1, 46, '\p{^Line_Break=__Hyphen}', "");
    Expect(1, 46, '\P{Line_Break=__Hyphen}', "");
    Expect(0, 46, '\P{^Line_Break=__Hyphen}', "");
    Error('\p{Lb=	HY:=}');
    Error('\P{Lb=	HY:=}');
    Expect(1, 45, '\p{Lb=:\AHY\z:}', "");;
    Expect(0, 46, '\p{Lb=:\AHY\z:}', "");;
    Expect(1, 45, '\p{Lb=hy}', "");
    Expect(0, 45, '\p{^Lb=hy}', "");
    Expect(0, 45, '\P{Lb=hy}', "");
    Expect(1, 45, '\P{^Lb=hy}', "");
    Expect(0, 46, '\p{Lb=hy}', "");
    Expect(1, 46, '\p{^Lb=hy}', "");
    Expect(1, 46, '\P{Lb=hy}', "");
    Expect(0, 46, '\P{^Lb=hy}', "");
    Expect(1, 45, '\p{Lb=:\Ahy\z:}', "");;
    Expect(0, 46, '\p{Lb=:\Ahy\z:}', "");;
    Expect(1, 45, '\p{Lb=-HY}', "");
    Expect(0, 45, '\p{^Lb=-HY}', "");
    Expect(0, 45, '\P{Lb=-HY}', "");
    Expect(1, 45, '\P{^Lb=-HY}', "");
    Expect(0, 46, '\p{Lb=-HY}', "");
    Expect(1, 46, '\p{^Lb=-HY}', "");
    Expect(1, 46, '\P{Lb=-HY}', "");
    Expect(0, 46, '\P{^Lb=-HY}', "");
    Error('\p{Is_Line_Break=_/a/hyphen}');
    Error('\P{Is_Line_Break=_/a/hyphen}');
    Expect(1, 45, '\p{Is_Line_Break=hyphen}', "");
    Expect(0, 45, '\p{^Is_Line_Break=hyphen}', "");
    Expect(0, 45, '\P{Is_Line_Break=hyphen}', "");
    Expect(1, 45, '\P{^Is_Line_Break=hyphen}', "");
    Expect(0, 46, '\p{Is_Line_Break=hyphen}', "");
    Expect(1, 46, '\p{^Is_Line_Break=hyphen}', "");
    Expect(1, 46, '\P{Is_Line_Break=hyphen}', "");
    Expect(0, 46, '\P{^Is_Line_Break=hyphen}', "");
    Expect(1, 45, '\p{Is_Line_Break=- Hyphen}', "");
    Expect(0, 45, '\p{^Is_Line_Break=- Hyphen}', "");
    Expect(0, 45, '\P{Is_Line_Break=- Hyphen}', "");
    Expect(1, 45, '\P{^Is_Line_Break=- Hyphen}', "");
    Expect(0, 46, '\p{Is_Line_Break=- Hyphen}', "");
    Expect(1, 46, '\p{^Is_Line_Break=- Hyphen}', "");
    Expect(1, 46, '\P{Is_Line_Break=- Hyphen}', "");
    Expect(0, 46, '\P{^Is_Line_Break=- Hyphen}', "");
    Error('\p{Is_Lb:	__HY:=}');
    Error('\P{Is_Lb:	__HY:=}');
    Expect(1, 45, '\p{Is_Lb=hy}', "");
    Expect(0, 45, '\p{^Is_Lb=hy}', "");
    Expect(0, 45, '\P{Is_Lb=hy}', "");
    Expect(1, 45, '\P{^Is_Lb=hy}', "");
    Expect(0, 46, '\p{Is_Lb=hy}', "");
    Expect(1, 46, '\p{^Is_Lb=hy}', "");
    Expect(1, 46, '\P{Is_Lb=hy}', "");
    Expect(0, 46, '\P{^Is_Lb=hy}', "");
    Expect(1, 45, '\p{Is_Lb=__HY}', "");
    Expect(0, 45, '\p{^Is_Lb=__HY}', "");
    Expect(0, 45, '\P{Is_Lb=__HY}', "");
    Expect(1, 45, '\P{^Is_Lb=__HY}', "");
    Expect(0, 46, '\p{Is_Lb=__HY}', "");
    Expect(1, 46, '\p{^Is_Lb=__HY}', "");
    Expect(1, 46, '\P{Is_Lb=__HY}', "");
    Expect(0, 46, '\P{^Is_Lb=__HY}', "");
    Error('\p{Line_Break::=	 Ideographic}');
    Error('\P{Line_Break::=	 Ideographic}');
    Expect(1, 262141, '\p{Line_Break=:\AIdeographic\z:}', "");;
    Expect(0, 262144, '\p{Line_Break=:\AIdeographic\z:}', "");;
    Expect(1, 262141, '\p{Line_Break=ideographic}', "");
    Expect(0, 262141, '\p{^Line_Break=ideographic}', "");
    Expect(0, 262141, '\P{Line_Break=ideographic}', "");
    Expect(1, 262141, '\P{^Line_Break=ideographic}', "");
    Expect(0, 262144, '\p{Line_Break=ideographic}', "");
    Expect(1, 262144, '\p{^Line_Break=ideographic}', "");
    Expect(1, 262144, '\P{Line_Break=ideographic}', "");
    Expect(0, 262144, '\P{^Line_Break=ideographic}', "");
    Expect(1, 262141, '\p{Line_Break=:\Aideographic\z:}', "");;
    Expect(0, 262144, '\p{Line_Break=:\Aideographic\z:}', "");;
    Expect(1, 262141, '\p{Line_Break=_-ideographic}', "");
    Expect(0, 262141, '\p{^Line_Break=_-ideographic}', "");
    Expect(0, 262141, '\P{Line_Break=_-ideographic}', "");
    Expect(1, 262141, '\P{^Line_Break=_-ideographic}', "");
    Expect(0, 262144, '\p{Line_Break=_-ideographic}', "");
    Expect(1, 262144, '\p{^Line_Break=_-ideographic}', "");
    Expect(1, 262144, '\P{Line_Break=_-ideographic}', "");
    Expect(0, 262144, '\P{^Line_Break=_-ideographic}', "");
    Error('\p{Lb= /a/id}');
    Error('\P{Lb= /a/id}');
    Expect(1, 262141, '\p{Lb=:\AID\z:}', "");;
    Expect(0, 262144, '\p{Lb=:\AID\z:}', "");;
    Expect(1, 262141, '\p{Lb=id}', "");
    Expect(0, 262141, '\p{^Lb=id}', "");
    Expect(0, 262141, '\P{Lb=id}', "");
    Expect(1, 262141, '\P{^Lb=id}', "");
    Expect(0, 262144, '\p{Lb=id}', "");
    Expect(1, 262144, '\p{^Lb=id}', "");
    Expect(1, 262144, '\P{Lb=id}', "");
    Expect(0, 262144, '\P{^Lb=id}', "");
    Expect(1, 262141, '\p{Lb=:\Aid\z:}', "");;
    Expect(0, 262144, '\p{Lb=:\Aid\z:}', "");;
    Expect(1, 262141, '\p{Lb= ID}', "");
    Expect(0, 262141, '\p{^Lb= ID}', "");
    Expect(0, 262141, '\P{Lb= ID}', "");
    Expect(1, 262141, '\P{^Lb= ID}', "");
    Expect(0, 262144, '\p{Lb= ID}', "");
    Expect(1, 262144, '\p{^Lb= ID}', "");
    Expect(1, 262144, '\P{Lb= ID}', "");
    Expect(0, 262144, '\P{^Lb= ID}', "");
    Error('\p{Is_Line_Break=_ Ideographic/a/}');
    Error('\P{Is_Line_Break=_ Ideographic/a/}');
    Expect(1, 262141, '\p{Is_Line_Break=ideographic}', "");
    Expect(0, 262141, '\p{^Is_Line_Break=ideographic}', "");
    Expect(0, 262141, '\P{Is_Line_Break=ideographic}', "");
    Expect(1, 262141, '\P{^Is_Line_Break=ideographic}', "");
    Expect(0, 262144, '\p{Is_Line_Break=ideographic}', "");
    Expect(1, 262144, '\p{^Is_Line_Break=ideographic}', "");
    Expect(1, 262144, '\P{Is_Line_Break=ideographic}', "");
    Expect(0, 262144, '\P{^Is_Line_Break=ideographic}', "");
    Expect(1, 262141, '\p{Is_Line_Break= IDEOGRAPHIC}', "");
    Expect(0, 262141, '\p{^Is_Line_Break= IDEOGRAPHIC}', "");
    Expect(0, 262141, '\P{Is_Line_Break= IDEOGRAPHIC}', "");
    Expect(1, 262141, '\P{^Is_Line_Break= IDEOGRAPHIC}', "");
    Expect(0, 262144, '\p{Is_Line_Break= IDEOGRAPHIC}', "");
    Expect(1, 262144, '\p{^Is_Line_Break= IDEOGRAPHIC}', "");
    Expect(1, 262144, '\P{Is_Line_Break= IDEOGRAPHIC}', "");
    Expect(0, 262144, '\P{^Is_Line_Break= IDEOGRAPHIC}', "");
    Error('\p{Is_Lb=/a/ 	id}');
    Error('\P{Is_Lb=/a/ 	id}');
    Expect(1, 262141, '\p{Is_Lb=id}', "");
    Expect(0, 262141, '\p{^Is_Lb=id}', "");
    Expect(0, 262141, '\P{Is_Lb=id}', "");
    Expect(1, 262141, '\P{^Is_Lb=id}', "");
    Expect(0, 262144, '\p{Is_Lb=id}', "");
    Expect(1, 262144, '\p{^Is_Lb=id}', "");
    Expect(1, 262144, '\P{Is_Lb=id}', "");
    Expect(0, 262144, '\P{^Is_Lb=id}', "");
    Expect(1, 262141, '\p{Is_Lb=	 ID}', "");
    Expect(0, 262141, '\p{^Is_Lb=	 ID}', "");
    Expect(0, 262141, '\P{Is_Lb=	 ID}', "");
    Expect(1, 262141, '\P{^Is_Lb=	 ID}', "");
    Expect(0, 262144, '\p{Is_Lb=	 ID}', "");
    Expect(1, 262144, '\p{^Is_Lb=	 ID}', "");
    Expect(1, 262144, '\P{Is_Lb=	 ID}', "");
    Expect(0, 262144, '\P{^Is_Lb=	 ID}', "");
    Error('\p{Line_Break=:= 	inseparable}');
    Error('\P{Line_Break=:= 	inseparable}');
    Expect(1, 68342, '\p{Line_Break=:\AInseparable\z:}', "");;
    Expect(0, 68343, '\p{Line_Break=:\AInseparable\z:}', "");;
    Expect(1, 68342, '\p{Line_Break=inseparable}', "");
    Expect(0, 68342, '\p{^Line_Break=inseparable}', "");
    Expect(0, 68342, '\P{Line_Break=inseparable}', "");
    Expect(1, 68342, '\P{^Line_Break=inseparable}', "");
    Expect(0, 68343, '\p{Line_Break=inseparable}', "");
    Expect(1, 68343, '\p{^Line_Break=inseparable}', "");
    Expect(1, 68343, '\P{Line_Break=inseparable}', "");
    Expect(0, 68343, '\P{^Line_Break=inseparable}', "");
    Expect(1, 68342, '\p{Line_Break=:\Ainseparable\z:}', "");;
    Expect(0, 68343, '\p{Line_Break=:\Ainseparable\z:}', "");;
    Expect(1, 68342, '\p{Line_Break=-inseparable}', "");
    Expect(0, 68342, '\p{^Line_Break=-inseparable}', "");
    Expect(0, 68342, '\P{Line_Break=-inseparable}', "");
    Expect(1, 68342, '\P{^Line_Break=-inseparable}', "");
    Expect(0, 68343, '\p{Line_Break=-inseparable}', "");
    Expect(1, 68343, '\p{^Line_Break=-inseparable}', "");
    Expect(1, 68343, '\P{Line_Break=-inseparable}', "");
    Expect(0, 68343, '\P{^Line_Break=-inseparable}', "");
    Error('\p{Lb=:=IN}');
    Error('\P{Lb=:=IN}');
    Expect(1, 68342, '\p{Lb=:\AIN\z:}', "");;
    Expect(0, 68343, '\p{Lb=:\AIN\z:}', "");;
    Expect(1, 68342, '\p{Lb=in}', "");
    Expect(0, 68342, '\p{^Lb=in}', "");
    Expect(0, 68342, '\P{Lb=in}', "");
    Expect(1, 68342, '\P{^Lb=in}', "");
    Expect(0, 68343, '\p{Lb=in}', "");
    Expect(1, 68343, '\p{^Lb=in}', "");
    Expect(1, 68343, '\P{Lb=in}', "");
    Expect(0, 68343, '\P{^Lb=in}', "");
    Expect(1, 68342, '\p{Lb=:\Ain\z:}', "");;
    Expect(0, 68343, '\p{Lb=:\Ain\z:}', "");;
    Expect(1, 68342, '\p{Lb=-IN}', "");
    Expect(0, 68342, '\p{^Lb=-IN}', "");
    Expect(0, 68342, '\P{Lb=-IN}', "");
    Expect(1, 68342, '\P{^Lb=-IN}', "");
    Expect(0, 68343, '\p{Lb=-IN}', "");
    Expect(1, 68343, '\p{^Lb=-IN}', "");
    Expect(1, 68343, '\P{Lb=-IN}', "");
    Expect(0, 68343, '\P{^Lb=-IN}', "");
    Error('\p{Is_Line_Break=	/a/INSEPERABLE}');
    Error('\P{Is_Line_Break=	/a/INSEPERABLE}');
    Expect(1, 68342, '\p{Is_Line_Break=inseperable}', "");
    Expect(0, 68342, '\p{^Is_Line_Break=inseperable}', "");
    Expect(0, 68342, '\P{Is_Line_Break=inseperable}', "");
    Expect(1, 68342, '\P{^Is_Line_Break=inseperable}', "");
    Expect(0, 68343, '\p{Is_Line_Break=inseperable}', "");
    Expect(1, 68343, '\p{^Is_Line_Break=inseperable}', "");
    Expect(1, 68343, '\P{Is_Line_Break=inseperable}', "");
    Expect(0, 68343, '\P{^Is_Line_Break=inseperable}', "");
    Expect(1, 68342, '\p{Is_Line_Break:   _-Inseperable}', "");
    Expect(0, 68342, '\p{^Is_Line_Break:   _-Inseperable}', "");
    Expect(0, 68342, '\P{Is_Line_Break:   _-Inseperable}', "");
    Expect(1, 68342, '\P{^Is_Line_Break:   _-Inseperable}', "");
    Expect(0, 68343, '\p{Is_Line_Break:   _-Inseperable}', "");
    Expect(1, 68343, '\p{^Is_Line_Break:   _-Inseperable}', "");
    Expect(1, 68343, '\P{Is_Line_Break:   _-Inseperable}', "");
    Expect(0, 68343, '\P{^Is_Line_Break:   _-Inseperable}', "");
    Error('\p{Is_Lb=_-INSEPARABLE/a/}');
    Error('\P{Is_Lb=_-INSEPARABLE/a/}');
    Expect(1, 68342, '\p{Is_Lb=inseparable}', "");
    Expect(0, 68342, '\p{^Is_Lb=inseparable}', "");
    Expect(0, 68342, '\P{Is_Lb=inseparable}', "");
    Expect(1, 68342, '\P{^Is_Lb=inseparable}', "");
    Expect(0, 68343, '\p{Is_Lb=inseparable}', "");
    Expect(1, 68343, '\p{^Is_Lb=inseparable}', "");
    Expect(1, 68343, '\P{Is_Lb=inseparable}', "");
    Expect(0, 68343, '\P{^Is_Lb=inseparable}', "");
    Expect(1, 68342, '\p{Is_Lb:   _ Inseparable}', "");
    Expect(0, 68342, '\p{^Is_Lb:   _ Inseparable}', "");
    Expect(0, 68342, '\P{Is_Lb:   _ Inseparable}', "");
    Expect(1, 68342, '\P{^Is_Lb:   _ Inseparable}', "");
    Expect(0, 68343, '\p{Is_Lb:   _ Inseparable}', "");
    Expect(1, 68343, '\p{^Is_Lb:   _ Inseparable}', "");
    Expect(1, 68343, '\P{Is_Lb:   _ Inseparable}', "");
    Expect(0, 68343, '\P{^Is_Lb:   _ Inseparable}', "");
    Error('\p{Line_Break=Infix_numeric/a/}');
    Error('\P{Line_Break=Infix_numeric/a/}');
    Expect(1, 65044, '\p{Line_Break=:\AInfix_Numeric\z:}', "");;
    Expect(0, 65045, '\p{Line_Break=:\AInfix_Numeric\z:}', "");;
    Expect(1, 65044, '\p{Line_Break=infixnumeric}', "");
    Expect(0, 65044, '\p{^Line_Break=infixnumeric}', "");
    Expect(0, 65044, '\P{Line_Break=infixnumeric}', "");
    Expect(1, 65044, '\P{^Line_Break=infixnumeric}', "");
    Expect(0, 65045, '\p{Line_Break=infixnumeric}', "");
    Expect(1, 65045, '\p{^Line_Break=infixnumeric}', "");
    Expect(1, 65045, '\P{Line_Break=infixnumeric}', "");
    Expect(0, 65045, '\P{^Line_Break=infixnumeric}', "");
    Expect(1, 65044, '\p{Line_Break=:\Ainfixnumeric\z:}', "");;
    Expect(0, 65045, '\p{Line_Break=:\Ainfixnumeric\z:}', "");;
    Expect(1, 65044, '\p{Line_Break=__infix_NUMERIC}', "");
    Expect(0, 65044, '\p{^Line_Break=__infix_NUMERIC}', "");
    Expect(0, 65044, '\P{Line_Break=__infix_NUMERIC}', "");
    Expect(1, 65044, '\P{^Line_Break=__infix_NUMERIC}', "");
    Expect(0, 65045, '\p{Line_Break=__infix_NUMERIC}', "");
    Expect(1, 65045, '\p{^Line_Break=__infix_NUMERIC}', "");
    Expect(1, 65045, '\P{Line_Break=__infix_NUMERIC}', "");
    Expect(0, 65045, '\P{^Line_Break=__infix_NUMERIC}', "");
    Error('\p{Lb=:=- IS}');
    Error('\P{Lb=:=- IS}');
    Expect(1, 65044, '\p{Lb=:\AIS\z:}', "");;
    Expect(0, 65045, '\p{Lb=:\AIS\z:}', "");;
    Expect(1, 65044, '\p{Lb=is}', "");
    Expect(0, 65044, '\p{^Lb=is}', "");
    Expect(0, 65044, '\P{Lb=is}', "");
    Expect(1, 65044, '\P{^Lb=is}', "");
    Expect(0, 65045, '\p{Lb=is}', "");
    Expect(1, 65045, '\p{^Lb=is}', "");
    Expect(1, 65045, '\P{Lb=is}', "");
    Expect(0, 65045, '\P{^Lb=is}', "");
    Expect(1, 65044, '\p{Lb=:\Ais\z:}', "");;
    Expect(0, 65045, '\p{Lb=:\Ais\z:}', "");;
    Expect(1, 65044, '\p{Lb=  IS}', "");
    Expect(0, 65044, '\p{^Lb=  IS}', "");
    Expect(0, 65044, '\P{Lb=  IS}', "");
    Expect(1, 65044, '\P{^Lb=  IS}', "");
    Expect(0, 65045, '\p{Lb=  IS}', "");
    Expect(1, 65045, '\p{^Lb=  IS}', "");
    Expect(1, 65045, '\P{Lb=  IS}', "");
    Expect(0, 65045, '\P{^Lb=  IS}', "");
    Error('\p{Is_Line_Break:   /a/_	INFIX_Numeric}');
    Error('\P{Is_Line_Break:   /a/_	INFIX_Numeric}');
    Expect(1, 65044, '\p{Is_Line_Break=infixnumeric}', "");
    Expect(0, 65044, '\p{^Is_Line_Break=infixnumeric}', "");
    Expect(0, 65044, '\P{Is_Line_Break=infixnumeric}', "");
    Expect(1, 65044, '\P{^Is_Line_Break=infixnumeric}', "");
    Expect(0, 65045, '\p{Is_Line_Break=infixnumeric}', "");
    Expect(1, 65045, '\p{^Is_Line_Break=infixnumeric}', "");
    Expect(1, 65045, '\P{Is_Line_Break=infixnumeric}', "");
    Expect(0, 65045, '\P{^Is_Line_Break=infixnumeric}', "");
    Expect(1, 65044, '\p{Is_Line_Break:_ infix_NUMERIC}', "");
    Expect(0, 65044, '\p{^Is_Line_Break:_ infix_NUMERIC}', "");
    Expect(0, 65044, '\P{Is_Line_Break:_ infix_NUMERIC}', "");
    Expect(1, 65044, '\P{^Is_Line_Break:_ infix_NUMERIC}', "");
    Expect(0, 65045, '\p{Is_Line_Break:_ infix_NUMERIC}', "");
    Expect(1, 65045, '\p{^Is_Line_Break:_ infix_NUMERIC}', "");
    Expect(1, 65045, '\P{Is_Line_Break:_ infix_NUMERIC}', "");
    Expect(0, 65045, '\P{^Is_Line_Break:_ infix_NUMERIC}', "");
    Error('\p{Is_Lb= -IS:=}');
    Error('\P{Is_Lb= -IS:=}');
    Expect(1, 65044, '\p{Is_Lb=is}', "");
    Expect(0, 65044, '\p{^Is_Lb=is}', "");
    Expect(0, 65044, '\P{Is_Lb=is}', "");
    Expect(1, 65044, '\P{^Is_Lb=is}', "");
    Expect(0, 65045, '\p{Is_Lb=is}', "");
    Expect(1, 65045, '\p{^Is_Lb=is}', "");
    Expect(1, 65045, '\P{Is_Lb=is}', "");
    Expect(0, 65045, '\P{^Is_Lb=is}', "");
    Expect(1, 65044, '\p{Is_Lb=_ IS}', "");
    Expect(0, 65044, '\p{^Is_Lb=_ IS}', "");
    Expect(0, 65044, '\P{Is_Lb=_ IS}', "");
    Expect(1, 65044, '\P{^Is_Lb=_ IS}', "");
    Expect(0, 65045, '\p{Is_Lb=_ IS}', "");
    Expect(1, 65045, '\p{^Is_Lb=_ IS}', "");
    Expect(1, 65045, '\P{Is_Lb=_ IS}', "");
    Expect(0, 65045, '\P{^Is_Lb=_ IS}', "");
    Error('\p{Line_Break=:=	_JL}');
    Error('\P{Line_Break=:=	_JL}');
    Expect(1, 43388, '\p{Line_Break=:\AJL\z:}', "");;
    Expect(0, 43389, '\p{Line_Break=:\AJL\z:}', "");;
    Expect(1, 43388, '\p{Line_Break=jl}', "");
    Expect(0, 43388, '\p{^Line_Break=jl}', "");
    Expect(0, 43388, '\P{Line_Break=jl}', "");
    Expect(1, 43388, '\P{^Line_Break=jl}', "");
    Expect(0, 43389, '\p{Line_Break=jl}', "");
    Expect(1, 43389, '\p{^Line_Break=jl}', "");
    Expect(1, 43389, '\P{Line_Break=jl}', "");
    Expect(0, 43389, '\P{^Line_Break=jl}', "");
    Expect(1, 43388, '\p{Line_Break=:\Ajl\z:}', "");;
    Expect(0, 43389, '\p{Line_Break=:\Ajl\z:}', "");;
    Expect(1, 43388, '\p{Line_Break=_	JL}', "");
    Expect(0, 43388, '\p{^Line_Break=_	JL}', "");
    Expect(0, 43388, '\P{Line_Break=_	JL}', "");
    Expect(1, 43388, '\P{^Line_Break=_	JL}', "");
    Expect(0, 43389, '\p{Line_Break=_	JL}', "");
    Expect(1, 43389, '\p{^Line_Break=_	JL}', "");
    Expect(1, 43389, '\P{Line_Break=_	JL}', "");
    Expect(0, 43389, '\P{^Line_Break=_	JL}', "");
    Error('\p{Lb: _:=JL}');
    Error('\P{Lb: _:=JL}');
    Expect(1, 43388, '\p{Lb=:\AJL\z:}', "");;
    Expect(0, 43389, '\p{Lb=:\AJL\z:}', "");;
    Expect(1, 43388, '\p{Lb:	jl}', "");
    Expect(0, 43388, '\p{^Lb:	jl}', "");
    Expect(0, 43388, '\P{Lb:	jl}', "");
    Expect(1, 43388, '\P{^Lb:	jl}', "");
    Expect(0, 43389, '\p{Lb:	jl}', "");
    Expect(1, 43389, '\p{^Lb:	jl}', "");
    Expect(1, 43389, '\P{Lb:	jl}', "");
    Expect(0, 43389, '\P{^Lb:	jl}', "");
    Expect(1, 43388, '\p{Lb=:\Ajl\z:}', "");;
    Expect(0, 43389, '\p{Lb=:\Ajl\z:}', "");;
    Expect(1, 43388, '\p{Lb=	-JL}', "");
    Expect(0, 43388, '\p{^Lb=	-JL}', "");
    Expect(0, 43388, '\P{Lb=	-JL}', "");
    Expect(1, 43388, '\P{^Lb=	-JL}', "");
    Expect(0, 43389, '\p{Lb=	-JL}', "");
    Expect(1, 43389, '\p{^Lb=	-JL}', "");
    Expect(1, 43389, '\P{Lb=	-JL}', "");
    Expect(0, 43389, '\P{^Lb=	-JL}', "");
    Error('\p{Is_Line_Break=:=		JL}');
    Error('\P{Is_Line_Break=:=		JL}');
    Expect(1, 43388, '\p{Is_Line_Break=jl}', "");
    Expect(0, 43388, '\p{^Is_Line_Break=jl}', "");
    Expect(0, 43388, '\P{Is_Line_Break=jl}', "");
    Expect(1, 43388, '\P{^Is_Line_Break=jl}', "");
    Expect(0, 43389, '\p{Is_Line_Break=jl}', "");
    Expect(1, 43389, '\p{^Is_Line_Break=jl}', "");
    Expect(1, 43389, '\P{Is_Line_Break=jl}', "");
    Expect(0, 43389, '\P{^Is_Line_Break=jl}', "");
    Expect(1, 43388, '\p{Is_Line_Break=-JL}', "");
    Expect(0, 43388, '\p{^Is_Line_Break=-JL}', "");
    Expect(0, 43388, '\P{Is_Line_Break=-JL}', "");
    Expect(1, 43388, '\P{^Is_Line_Break=-JL}', "");
    Expect(0, 43389, '\p{Is_Line_Break=-JL}', "");
    Expect(1, 43389, '\p{^Is_Line_Break=-JL}', "");
    Expect(1, 43389, '\P{Is_Line_Break=-JL}', "");
    Expect(0, 43389, '\P{^Is_Line_Break=-JL}', "");
    Error('\p{Is_Lb:   _JL:=}');
    Error('\P{Is_Lb:   _JL:=}');
    Expect(1, 43388, '\p{Is_Lb=jl}', "");
    Expect(0, 43388, '\p{^Is_Lb=jl}', "");
    Expect(0, 43388, '\P{Is_Lb=jl}', "");
    Expect(1, 43388, '\P{^Is_Lb=jl}', "");
    Expect(0, 43389, '\p{Is_Lb=jl}', "");
    Expect(1, 43389, '\p{^Is_Lb=jl}', "");
    Expect(1, 43389, '\P{Is_Lb=jl}', "");
    Expect(0, 43389, '\P{^Is_Lb=jl}', "");
    Expect(1, 43388, '\p{Is_Lb=	_JL}', "");
    Expect(0, 43388, '\p{^Is_Lb=	_JL}', "");
    Expect(0, 43388, '\P{Is_Lb=	_JL}', "");
    Expect(1, 43388, '\P{^Is_Lb=	_JL}', "");
    Expect(0, 43389, '\p{Is_Lb=	_JL}', "");
    Expect(1, 43389, '\p{^Is_Lb=	_JL}', "");
    Expect(1, 43389, '\P{Is_Lb=	_JL}', "");
    Expect(0, 43389, '\P{^Is_Lb=	_JL}', "");
    Error('\p{Line_Break=-/a/jt}');
    Error('\P{Line_Break=-/a/jt}');
    Expect(1, 55291, '\p{Line_Break=:\AJT\z:}', "");;
    Expect(0, 55292, '\p{Line_Break=:\AJT\z:}', "");;
    Expect(1, 55291, '\p{Line_Break=jt}', "");
    Expect(0, 55291, '\p{^Line_Break=jt}', "");
    Expect(0, 55291, '\P{Line_Break=jt}', "");
    Expect(1, 55291, '\P{^Line_Break=jt}', "");
    Expect(0, 55292, '\p{Line_Break=jt}', "");
    Expect(1, 55292, '\p{^Line_Break=jt}', "");
    Expect(1, 55292, '\P{Line_Break=jt}', "");
    Expect(0, 55292, '\P{^Line_Break=jt}', "");
    Expect(1, 55291, '\p{Line_Break=:\Ajt\z:}', "");;
    Expect(0, 55292, '\p{Line_Break=:\Ajt\z:}', "");;
    Expect(1, 55291, '\p{Line_Break= JT}', "");
    Expect(0, 55291, '\p{^Line_Break= JT}', "");
    Expect(0, 55291, '\P{Line_Break= JT}', "");
    Expect(1, 55291, '\P{^Line_Break= JT}', "");
    Expect(0, 55292, '\p{Line_Break= JT}', "");
    Expect(1, 55292, '\p{^Line_Break= JT}', "");
    Expect(1, 55292, '\P{Line_Break= JT}', "");
    Expect(0, 55292, '\P{^Line_Break= JT}', "");
    Error('\p{Lb=_JT:=}');
    Error('\P{Lb=_JT:=}');
    Expect(1, 55291, '\p{Lb=:\AJT\z:}', "");;
    Expect(0, 55292, '\p{Lb=:\AJT\z:}', "");;
    Expect(1, 55291, '\p{Lb=jt}', "");
    Expect(0, 55291, '\p{^Lb=jt}', "");
    Expect(0, 55291, '\P{Lb=jt}', "");
    Expect(1, 55291, '\P{^Lb=jt}', "");
    Expect(0, 55292, '\p{Lb=jt}', "");
    Expect(1, 55292, '\p{^Lb=jt}', "");
    Expect(1, 55292, '\P{Lb=jt}', "");
    Expect(0, 55292, '\P{^Lb=jt}', "");
    Expect(1, 55291, '\p{Lb=:\Ajt\z:}', "");;
    Expect(0, 55292, '\p{Lb=:\Ajt\z:}', "");;
    Expect(1, 55291, '\p{Lb=- JT}', "");
    Expect(0, 55291, '\p{^Lb=- JT}', "");
    Expect(0, 55291, '\P{Lb=- JT}', "");
    Expect(1, 55291, '\P{^Lb=- JT}', "");
    Expect(0, 55292, '\p{Lb=- JT}', "");
    Expect(1, 55292, '\p{^Lb=- JT}', "");
    Expect(1, 55292, '\P{Lb=- JT}', "");
    Expect(0, 55292, '\P{^Lb=- JT}', "");
    Error('\p{Is_Line_Break=_/a/JT}');
    Error('\P{Is_Line_Break=_/a/JT}');
    Expect(1, 55291, '\p{Is_Line_Break=jt}', "");
    Expect(0, 55291, '\p{^Is_Line_Break=jt}', "");
    Expect(0, 55291, '\P{Is_Line_Break=jt}', "");
    Expect(1, 55291, '\P{^Is_Line_Break=jt}', "");
    Expect(0, 55292, '\p{Is_Line_Break=jt}', "");
    Expect(1, 55292, '\p{^Is_Line_Break=jt}', "");
    Expect(1, 55292, '\P{Is_Line_Break=jt}', "");
    Expect(0, 55292, '\P{^Is_Line_Break=jt}', "");
    Expect(1, 55291, '\p{Is_Line_Break=_ JT}', "");
    Expect(0, 55291, '\p{^Is_Line_Break=_ JT}', "");
    Expect(0, 55291, '\P{Is_Line_Break=_ JT}', "");
    Expect(1, 55291, '\P{^Is_Line_Break=_ JT}', "");
    Expect(0, 55292, '\p{Is_Line_Break=_ JT}', "");
    Expect(1, 55292, '\p{^Is_Line_Break=_ JT}', "");
    Expect(1, 55292, '\P{Is_Line_Break=_ JT}', "");
    Expect(0, 55292, '\P{^Is_Line_Break=_ JT}', "");
    Error('\p{Is_Lb=-/a/JT}');
    Error('\P{Is_Lb=-/a/JT}');
    Expect(1, 55291, '\p{Is_Lb=jt}', "");
    Expect(0, 55291, '\p{^Is_Lb=jt}', "");
    Expect(0, 55291, '\P{Is_Lb=jt}', "");
    Expect(1, 55291, '\P{^Is_Lb=jt}', "");
    Expect(0, 55292, '\p{Is_Lb=jt}', "");
    Expect(1, 55292, '\p{^Is_Lb=jt}', "");
    Expect(1, 55292, '\P{Is_Lb=jt}', "");
    Expect(0, 55292, '\P{^Is_Lb=jt}', "");
    Expect(1, 55291, '\p{Is_Lb= jt}', "");
    Expect(0, 55291, '\p{^Is_Lb= jt}', "");
    Expect(0, 55291, '\P{Is_Lb= jt}', "");
    Expect(1, 55291, '\P{^Is_Lb= jt}', "");
    Expect(0, 55292, '\p{Is_Lb= jt}', "");
    Expect(1, 55292, '\p{^Is_Lb= jt}', "");
    Expect(1, 55292, '\P{Is_Lb= jt}', "");
    Expect(0, 55292, '\P{^Is_Lb= jt}', "");
    Error('\p{Line_Break=-/a/JV}');
    Error('\P{Line_Break=-/a/JV}');
    Expect(1, 55238, '\p{Line_Break=:\AJV\z:}', "");;
    Expect(0, 55239, '\p{Line_Break=:\AJV\z:}', "");;
    Expect(1, 55238, '\p{Line_Break=jv}', "");
    Expect(0, 55238, '\p{^Line_Break=jv}', "");
    Expect(0, 55238, '\P{Line_Break=jv}', "");
    Expect(1, 55238, '\P{^Line_Break=jv}', "");
    Expect(0, 55239, '\p{Line_Break=jv}', "");
    Expect(1, 55239, '\p{^Line_Break=jv}', "");
    Expect(1, 55239, '\P{Line_Break=jv}', "");
    Expect(0, 55239, '\P{^Line_Break=jv}', "");
    Expect(1, 55238, '\p{Line_Break=:\Ajv\z:}', "");;
    Expect(0, 55239, '\p{Line_Break=:\Ajv\z:}', "");;
    Expect(1, 55238, '\p{Line_Break=  JV}', "");
    Expect(0, 55238, '\p{^Line_Break=  JV}', "");
    Expect(0, 55238, '\P{Line_Break=  JV}', "");
    Expect(1, 55238, '\P{^Line_Break=  JV}', "");
    Expect(0, 55239, '\p{Line_Break=  JV}', "");
    Expect(1, 55239, '\p{^Line_Break=  JV}', "");
    Expect(1, 55239, '\P{Line_Break=  JV}', "");
    Expect(0, 55239, '\P{^Line_Break=  JV}', "");
    Error('\p{Lb=:=_-JV}');
    Error('\P{Lb=:=_-JV}');
    Expect(1, 55238, '\p{Lb=:\AJV\z:}', "");;
    Expect(0, 55239, '\p{Lb=:\AJV\z:}', "");;
    Expect(1, 55238, '\p{Lb=jv}', "");
    Expect(0, 55238, '\p{^Lb=jv}', "");
    Expect(0, 55238, '\P{Lb=jv}', "");
    Expect(1, 55238, '\P{^Lb=jv}', "");
    Expect(0, 55239, '\p{Lb=jv}', "");
    Expect(1, 55239, '\p{^Lb=jv}', "");
    Expect(1, 55239, '\P{Lb=jv}', "");
    Expect(0, 55239, '\P{^Lb=jv}', "");
    Expect(1, 55238, '\p{Lb=:\Ajv\z:}', "");;
    Expect(0, 55239, '\p{Lb=:\Ajv\z:}', "");;
    Expect(1, 55238, '\p{Lb=_-JV}', "");
    Expect(0, 55238, '\p{^Lb=_-JV}', "");
    Expect(0, 55238, '\P{Lb=_-JV}', "");
    Expect(1, 55238, '\P{^Lb=_-JV}', "");
    Expect(0, 55239, '\p{Lb=_-JV}', "");
    Expect(1, 55239, '\p{^Lb=_-JV}', "");
    Expect(1, 55239, '\P{Lb=_-JV}', "");
    Expect(0, 55239, '\P{^Lb=_-JV}', "");
    Error('\p{Is_Line_Break=	:=JV}');
    Error('\P{Is_Line_Break=	:=JV}');
    Expect(1, 55238, '\p{Is_Line_Break=jv}', "");
    Expect(0, 55238, '\p{^Is_Line_Break=jv}', "");
    Expect(0, 55238, '\P{Is_Line_Break=jv}', "");
    Expect(1, 55238, '\P{^Is_Line_Break=jv}', "");
    Expect(0, 55239, '\p{Is_Line_Break=jv}', "");
    Expect(1, 55239, '\p{^Is_Line_Break=jv}', "");
    Expect(1, 55239, '\P{Is_Line_Break=jv}', "");
    Expect(0, 55239, '\P{^Is_Line_Break=jv}', "");
    Expect(1, 55238, '\p{Is_Line_Break=- JV}', "");
    Expect(0, 55238, '\p{^Is_Line_Break=- JV}', "");
    Expect(0, 55238, '\P{Is_Line_Break=- JV}', "");
    Expect(1, 55238, '\P{^Is_Line_Break=- JV}', "");
    Expect(0, 55239, '\p{Is_Line_Break=- JV}', "");
    Expect(1, 55239, '\p{^Is_Line_Break=- JV}', "");
    Expect(1, 55239, '\P{Is_Line_Break=- JV}', "");
    Expect(0, 55239, '\P{^Is_Line_Break=- JV}', "");
    Error('\p{Is_Lb=:=JV}');
    Error('\P{Is_Lb=:=JV}');
    Expect(1, 55238, '\p{Is_Lb=jv}', "");
    Expect(0, 55238, '\p{^Is_Lb=jv}', "");
    Expect(0, 55238, '\P{Is_Lb=jv}', "");
    Expect(1, 55238, '\P{^Is_Lb=jv}', "");
    Expect(0, 55239, '\p{Is_Lb=jv}', "");
    Expect(1, 55239, '\p{^Is_Lb=jv}', "");
    Expect(1, 55239, '\P{Is_Lb=jv}', "");
    Expect(0, 55239, '\P{^Is_Lb=jv}', "");
    Expect(1, 55238, '\p{Is_Lb:   -jv}', "");
    Expect(0, 55238, '\p{^Is_Lb:   -jv}', "");
    Expect(0, 55238, '\P{Is_Lb:   -jv}', "");
    Expect(1, 55238, '\P{^Is_Lb:   -jv}', "");
    Expect(0, 55239, '\p{Is_Lb:   -jv}', "");
    Expect(1, 55239, '\p{^Is_Lb:   -jv}', "");
    Expect(1, 55239, '\P{Is_Lb:   -jv}', "");
    Expect(0, 55239, '\P{^Is_Lb:   -jv}', "");
    Error('\p{Line_Break= -LINE_Feed/a/}');
    Error('\P{Line_Break= -LINE_Feed/a/}');
    Expect(1, 10, '\p{Line_Break=:\ALine_Feed\z:}', "");;
    Expect(0, 11, '\p{Line_Break=:\ALine_Feed\z:}', "");;
    Expect(1, 10, '\p{Line_Break:linefeed}', "");
    Expect(0, 10, '\p{^Line_Break:linefeed}', "");
    Expect(0, 10, '\P{Line_Break:linefeed}', "");
    Expect(1, 10, '\P{^Line_Break:linefeed}', "");
    Expect(0, 11, '\p{Line_Break:linefeed}', "");
    Expect(1, 11, '\p{^Line_Break:linefeed}', "");
    Expect(1, 11, '\P{Line_Break:linefeed}', "");
    Expect(0, 11, '\P{^Line_Break:linefeed}', "");
    Expect(1, 10, '\p{Line_Break=:\Alinefeed\z:}', "");;
    Expect(0, 11, '\p{Line_Break=:\Alinefeed\z:}', "");;
    Expect(1, 10, '\p{Line_Break:	__Line_feed}', "");
    Expect(0, 10, '\p{^Line_Break:	__Line_feed}', "");
    Expect(0, 10, '\P{Line_Break:	__Line_feed}', "");
    Expect(1, 10, '\P{^Line_Break:	__Line_feed}', "");
    Expect(0, 11, '\p{Line_Break:	__Line_feed}', "");
    Expect(1, 11, '\p{^Line_Break:	__Line_feed}', "");
    Expect(1, 11, '\P{Line_Break:	__Line_feed}', "");
    Expect(0, 11, '\P{^Line_Break:	__Line_feed}', "");
    Error('\p{Lb=	:=LF}');
    Error('\P{Lb=	:=LF}');
    Expect(1, 10, '\p{Lb=:\ALF\z:}', "");;
    Expect(0, 11, '\p{Lb=:\ALF\z:}', "");;
    Expect(1, 10, '\p{Lb:   lf}', "");
    Expect(0, 10, '\p{^Lb:   lf}', "");
    Expect(0, 10, '\P{Lb:   lf}', "");
    Expect(1, 10, '\P{^Lb:   lf}', "");
    Expect(0, 11, '\p{Lb:   lf}', "");
    Expect(1, 11, '\p{^Lb:   lf}', "");
    Expect(1, 11, '\P{Lb:   lf}', "");
    Expect(0, 11, '\P{^Lb:   lf}', "");
    Expect(1, 10, '\p{Lb=:\Alf\z:}', "");;
    Expect(0, 11, '\p{Lb=:\Alf\z:}', "");;
    Expect(1, 10, '\p{Lb=- LF}', "");
    Expect(0, 10, '\p{^Lb=- LF}', "");
    Expect(0, 10, '\P{Lb=- LF}', "");
    Expect(1, 10, '\P{^Lb=- LF}', "");
    Expect(0, 11, '\p{Lb=- LF}', "");
    Expect(1, 11, '\p{^Lb=- LF}', "");
    Expect(1, 11, '\P{Lb=- LF}', "");
    Expect(0, 11, '\P{^Lb=- LF}', "");
    Error('\p{Is_Line_Break=_/a/line_FEED}');
    Error('\P{Is_Line_Break=_/a/line_FEED}');
    Expect(1, 10, '\p{Is_Line_Break:linefeed}', "");
    Expect(0, 10, '\p{^Is_Line_Break:linefeed}', "");
    Expect(0, 10, '\P{Is_Line_Break:linefeed}', "");
    Expect(1, 10, '\P{^Is_Line_Break:linefeed}', "");
    Expect(0, 11, '\p{Is_Line_Break:linefeed}', "");
    Expect(1, 11, '\p{^Is_Line_Break:linefeed}', "");
    Expect(1, 11, '\P{Is_Line_Break:linefeed}', "");
    Expect(0, 11, '\P{^Is_Line_Break:linefeed}', "");
    Expect(1, 10, '\p{Is_Line_Break:	LINE_feed}', "");
    Expect(0, 10, '\p{^Is_Line_Break:	LINE_feed}', "");
    Expect(0, 10, '\P{Is_Line_Break:	LINE_feed}', "");
    Expect(1, 10, '\P{^Is_Line_Break:	LINE_feed}', "");
    Expect(0, 11, '\p{Is_Line_Break:	LINE_feed}', "");
    Expect(1, 11, '\p{^Is_Line_Break:	LINE_feed}', "");
    Expect(1, 11, '\P{Is_Line_Break:	LINE_feed}', "");
    Expect(0, 11, '\P{^Is_Line_Break:	LINE_feed}', "");
    Error('\p{Is_Lb=	LF:=}');
    Error('\P{Is_Lb=	LF:=}');
    Expect(1, 10, '\p{Is_Lb=lf}', "");
    Expect(0, 10, '\p{^Is_Lb=lf}', "");
    Expect(0, 10, '\P{Is_Lb=lf}', "");
    Expect(1, 10, '\P{^Is_Lb=lf}', "");
    Expect(0, 11, '\p{Is_Lb=lf}', "");
    Expect(1, 11, '\p{^Is_Lb=lf}', "");
    Expect(1, 11, '\P{Is_Lb=lf}', "");
    Expect(0, 11, '\P{^Is_Lb=lf}', "");
    Expect(1, 10, '\p{Is_Lb=	-lf}', "");
    Expect(0, 10, '\p{^Is_Lb=	-lf}', "");
    Expect(0, 10, '\P{Is_Lb=	-lf}', "");
    Expect(1, 10, '\P{^Is_Lb=	-lf}', "");
    Expect(0, 11, '\p{Is_Lb=	-lf}', "");
    Expect(1, 11, '\p{^Is_Lb=	-lf}', "");
    Expect(1, 11, '\P{Is_Lb=	-lf}', "");
    Expect(0, 11, '\P{^Is_Lb=	-lf}', "");
    Error('\p{Line_Break=next_line:=}');
    Error('\P{Line_Break=next_line:=}');
    Expect(1, 133, '\p{Line_Break=:\ANext_Line\z:}', "");;
    Expect(0, 134, '\p{Line_Break=:\ANext_Line\z:}', "");;
    Expect(1, 133, '\p{Line_Break=nextline}', "");
    Expect(0, 133, '\p{^Line_Break=nextline}', "");
    Expect(0, 133, '\P{Line_Break=nextline}', "");
    Expect(1, 133, '\P{^Line_Break=nextline}', "");
    Expect(0, 134, '\p{Line_Break=nextline}', "");
    Expect(1, 134, '\p{^Line_Break=nextline}', "");
    Expect(1, 134, '\P{Line_Break=nextline}', "");
    Expect(0, 134, '\P{^Line_Break=nextline}', "");
    Expect(1, 133, '\p{Line_Break=:\Anextline\z:}', "");;
    Expect(0, 134, '\p{Line_Break=:\Anextline\z:}', "");;
    Expect(1, 133, '\p{Line_Break= Next_Line}', "");
    Expect(0, 133, '\p{^Line_Break= Next_Line}', "");
    Expect(0, 133, '\P{Line_Break= Next_Line}', "");
    Expect(1, 133, '\P{^Line_Break= Next_Line}', "");
    Expect(0, 134, '\p{Line_Break= Next_Line}', "");
    Expect(1, 134, '\p{^Line_Break= Next_Line}', "");
    Expect(1, 134, '\P{Line_Break= Next_Line}', "");
    Expect(0, 134, '\P{^Line_Break= Next_Line}', "");
    Error('\p{Lb=/a/	 nl}');
    Error('\P{Lb=/a/	 nl}');
    Expect(1, 133, '\p{Lb=:\ANL\z:}', "");;
    Expect(0, 134, '\p{Lb=:\ANL\z:}', "");;
    Expect(1, 133, '\p{Lb=nl}', "");
    Expect(0, 133, '\p{^Lb=nl}', "");
    Expect(0, 133, '\P{Lb=nl}', "");
    Expect(1, 133, '\P{^Lb=nl}', "");
    Expect(0, 134, '\p{Lb=nl}', "");
    Expect(1, 134, '\p{^Lb=nl}', "");
    Expect(1, 134, '\P{Lb=nl}', "");
    Expect(0, 134, '\P{^Lb=nl}', "");
    Expect(1, 133, '\p{Lb=:\Anl\z:}', "");;
    Expect(0, 134, '\p{Lb=:\Anl\z:}', "");;
    Expect(1, 133, '\p{Lb= 	NL}', "");
    Expect(0, 133, '\p{^Lb= 	NL}', "");
    Expect(0, 133, '\P{Lb= 	NL}', "");
    Expect(1, 133, '\P{^Lb= 	NL}', "");
    Expect(0, 134, '\p{Lb= 	NL}', "");
    Expect(1, 134, '\p{^Lb= 	NL}', "");
    Expect(1, 134, '\P{Lb= 	NL}', "");
    Expect(0, 134, '\P{^Lb= 	NL}', "");
    Error('\p{Is_Line_Break=:=-Next_Line}');
    Error('\P{Is_Line_Break=:=-Next_Line}');
    Expect(1, 133, '\p{Is_Line_Break=nextline}', "");
    Expect(0, 133, '\p{^Is_Line_Break=nextline}', "");
    Expect(0, 133, '\P{Is_Line_Break=nextline}', "");
    Expect(1, 133, '\P{^Is_Line_Break=nextline}', "");
    Expect(0, 134, '\p{Is_Line_Break=nextline}', "");
    Expect(1, 134, '\p{^Is_Line_Break=nextline}', "");
    Expect(1, 134, '\P{Is_Line_Break=nextline}', "");
    Expect(0, 134, '\P{^Is_Line_Break=nextline}', "");
    Expect(1, 133, '\p{Is_Line_Break= Next_LINE}', "");
    Expect(0, 133, '\p{^Is_Line_Break= Next_LINE}', "");
    Expect(0, 133, '\P{Is_Line_Break= Next_LINE}', "");
    Expect(1, 133, '\P{^Is_Line_Break= Next_LINE}', "");
    Expect(0, 134, '\p{Is_Line_Break= Next_LINE}', "");
    Expect(1, 134, '\p{^Is_Line_Break= Next_LINE}', "");
    Expect(1, 134, '\P{Is_Line_Break= Next_LINE}', "");
    Expect(0, 134, '\P{^Is_Line_Break= Next_LINE}', "");
    Error('\p{Is_Lb=:=_	NL}');
    Error('\P{Is_Lb=:=_	NL}');
    Expect(1, 133, '\p{Is_Lb=nl}', "");
    Expect(0, 133, '\p{^Is_Lb=nl}', "");
    Expect(0, 133, '\P{Is_Lb=nl}', "");
    Expect(1, 133, '\P{^Is_Lb=nl}', "");
    Expect(0, 134, '\p{Is_Lb=nl}', "");
    Expect(1, 134, '\p{^Is_Lb=nl}', "");
    Expect(1, 134, '\P{Is_Lb=nl}', "");
    Expect(0, 134, '\P{^Is_Lb=nl}', "");
    Expect(1, 133, '\p{Is_Lb=	 NL}', "");
    Expect(0, 133, '\p{^Is_Lb=	 NL}', "");
    Expect(0, 133, '\P{Is_Lb=	 NL}', "");
    Expect(1, 133, '\P{^Is_Lb=	 NL}', "");
    Expect(0, 134, '\p{Is_Lb=	 NL}', "");
    Expect(1, 134, '\p{^Is_Lb=	 NL}', "");
    Expect(1, 134, '\P{Is_Lb=	 NL}', "");
    Expect(0, 134, '\P{^Is_Lb=	 NL}', "");
    Error('\p{Line_Break=	/a/Nonstarter}');
    Error('\P{Line_Break=	/a/Nonstarter}');
    Expect(1, 128635, '\p{Line_Break=:\ANonstarter\z:}', "");;
    Expect(0, 128636, '\p{Line_Break=:\ANonstarter\z:}', "");;
    Expect(1, 128635, '\p{Line_Break=nonstarter}', "");
    Expect(0, 128635, '\p{^Line_Break=nonstarter}', "");
    Expect(0, 128635, '\P{Line_Break=nonstarter}', "");
    Expect(1, 128635, '\P{^Line_Break=nonstarter}', "");
    Expect(0, 128636, '\p{Line_Break=nonstarter}', "");
    Expect(1, 128636, '\p{^Line_Break=nonstarter}', "");
    Expect(1, 128636, '\P{Line_Break=nonstarter}', "");
    Expect(0, 128636, '\P{^Line_Break=nonstarter}', "");
    Expect(1, 128635, '\p{Line_Break=:\Anonstarter\z:}', "");;
    Expect(0, 128636, '\p{Line_Break=:\Anonstarter\z:}', "");;
    Expect(1, 128635, '\p{Line_Break=_ NONSTARTER}', "");
    Expect(0, 128635, '\p{^Line_Break=_ NONSTARTER}', "");
    Expect(0, 128635, '\P{Line_Break=_ NONSTARTER}', "");
    Expect(1, 128635, '\P{^Line_Break=_ NONSTARTER}', "");
    Expect(0, 128636, '\p{Line_Break=_ NONSTARTER}', "");
    Expect(1, 128636, '\p{^Line_Break=_ NONSTARTER}', "");
    Expect(1, 128636, '\P{Line_Break=_ NONSTARTER}', "");
    Expect(0, 128636, '\P{^Line_Break=_ NONSTARTER}', "");
    Error('\p{Lb=  NS:=}');
    Error('\P{Lb=  NS:=}');
    Expect(1, 128635, '\p{Lb=:\ANS\z:}', "");;
    Expect(0, 128636, '\p{Lb=:\ANS\z:}', "");;
    Expect(1, 128635, '\p{Lb=ns}', "");
    Expect(0, 128635, '\p{^Lb=ns}', "");
    Expect(0, 128635, '\P{Lb=ns}', "");
    Expect(1, 128635, '\P{^Lb=ns}', "");
    Expect(0, 128636, '\p{Lb=ns}', "");
    Expect(1, 128636, '\p{^Lb=ns}', "");
    Expect(1, 128636, '\P{Lb=ns}', "");
    Expect(0, 128636, '\P{^Lb=ns}', "");
    Expect(1, 128635, '\p{Lb=:\Ans\z:}', "");;
    Expect(0, 128636, '\p{Lb=:\Ans\z:}', "");;
    Expect(1, 128635, '\p{Lb=NS}', "");
    Expect(0, 128635, '\p{^Lb=NS}', "");
    Expect(0, 128635, '\P{Lb=NS}', "");
    Expect(1, 128635, '\P{^Lb=NS}', "");
    Expect(0, 128636, '\p{Lb=NS}', "");
    Expect(1, 128636, '\p{^Lb=NS}', "");
    Expect(1, 128636, '\P{Lb=NS}', "");
    Expect(0, 128636, '\P{^Lb=NS}', "");
    Error('\p{Is_Line_Break=	 nonstarter/a/}');
    Error('\P{Is_Line_Break=	 nonstarter/a/}');
    Expect(1, 128635, '\p{Is_Line_Break=nonstarter}', "");
    Expect(0, 128635, '\p{^Is_Line_Break=nonstarter}', "");
    Expect(0, 128635, '\P{Is_Line_Break=nonstarter}', "");
    Expect(1, 128635, '\P{^Is_Line_Break=nonstarter}', "");
    Expect(0, 128636, '\p{Is_Line_Break=nonstarter}', "");
    Expect(1, 128636, '\p{^Is_Line_Break=nonstarter}', "");
    Expect(1, 128636, '\P{Is_Line_Break=nonstarter}', "");
    Expect(0, 128636, '\P{^Is_Line_Break=nonstarter}', "");
    Expect(1, 128635, '\p{Is_Line_Break=-_NONSTARTER}', "");
    Expect(0, 128635, '\p{^Is_Line_Break=-_NONSTARTER}', "");
    Expect(0, 128635, '\P{Is_Line_Break=-_NONSTARTER}', "");
    Expect(1, 128635, '\P{^Is_Line_Break=-_NONSTARTER}', "");
    Expect(0, 128636, '\p{Is_Line_Break=-_NONSTARTER}', "");
    Expect(1, 128636, '\p{^Is_Line_Break=-_NONSTARTER}', "");
    Expect(1, 128636, '\P{Is_Line_Break=-_NONSTARTER}', "");
    Expect(0, 128636, '\P{^Is_Line_Break=-_NONSTARTER}', "");
    Error('\p{Is_Lb=-/a/NS}');
    Error('\P{Is_Lb=-/a/NS}');
    Expect(1, 128635, '\p{Is_Lb=ns}', "");
    Expect(0, 128635, '\p{^Is_Lb=ns}', "");
    Expect(0, 128635, '\P{Is_Lb=ns}', "");
    Expect(1, 128635, '\P{^Is_Lb=ns}', "");
    Expect(0, 128636, '\p{Is_Lb=ns}', "");
    Expect(1, 128636, '\p{^Is_Lb=ns}', "");
    Expect(1, 128636, '\P{Is_Lb=ns}', "");
    Expect(0, 128636, '\P{^Is_Lb=ns}', "");
    Expect(1, 128635, '\p{Is_Lb=-NS}', "");
    Expect(0, 128635, '\p{^Is_Lb=-NS}', "");
    Expect(0, 128635, '\P{Is_Lb=-NS}', "");
    Expect(1, 128635, '\P{^Is_Lb=-NS}', "");
    Expect(0, 128636, '\p{Is_Lb=-NS}', "");
    Expect(1, 128636, '\p{^Is_Lb=-NS}', "");
    Expect(1, 128636, '\P{Is_Lb=-NS}', "");
    Expect(0, 128636, '\P{^Is_Lb=-NS}', "");
    Error('\p{Line_Break:	Numeric:=}');
    Error('\P{Line_Break:	Numeric:=}');
    Expect(1, 130041, '\p{Line_Break=:\ANumeric\z:}', "");;
    Expect(0, 130042, '\p{Line_Break=:\ANumeric\z:}', "");;
    Expect(1, 130041, '\p{Line_Break=numeric}', "");
    Expect(0, 130041, '\p{^Line_Break=numeric}', "");
    Expect(0, 130041, '\P{Line_Break=numeric}', "");
    Expect(1, 130041, '\P{^Line_Break=numeric}', "");
    Expect(0, 130042, '\p{Line_Break=numeric}', "");
    Expect(1, 130042, '\p{^Line_Break=numeric}', "");
    Expect(1, 130042, '\P{Line_Break=numeric}', "");
    Expect(0, 130042, '\P{^Line_Break=numeric}', "");
    Expect(1, 130041, '\p{Line_Break=:\Anumeric\z:}', "");;
    Expect(0, 130042, '\p{Line_Break=:\Anumeric\z:}', "");;
    Expect(1, 130041, '\p{Line_Break= -NUMERIC}', "");
    Expect(0, 130041, '\p{^Line_Break= -NUMERIC}', "");
    Expect(0, 130041, '\P{Line_Break= -NUMERIC}', "");
    Expect(1, 130041, '\P{^Line_Break= -NUMERIC}', "");
    Expect(0, 130042, '\p{Line_Break= -NUMERIC}', "");
    Expect(1, 130042, '\p{^Line_Break= -NUMERIC}', "");
    Expect(1, 130042, '\P{Line_Break= -NUMERIC}', "");
    Expect(0, 130042, '\P{^Line_Break= -NUMERIC}', "");
    Error('\p{Lb=/a/NU}');
    Error('\P{Lb=/a/NU}');
    Expect(1, 130041, '\p{Lb=:\ANU\z:}', "");;
    Expect(0, 130042, '\p{Lb=:\ANU\z:}', "");;
    Expect(1, 130041, '\p{Lb=nu}', "");
    Expect(0, 130041, '\p{^Lb=nu}', "");
    Expect(0, 130041, '\P{Lb=nu}', "");
    Expect(1, 130041, '\P{^Lb=nu}', "");
    Expect(0, 130042, '\p{Lb=nu}', "");
    Expect(1, 130042, '\p{^Lb=nu}', "");
    Expect(1, 130042, '\P{Lb=nu}', "");
    Expect(0, 130042, '\P{^Lb=nu}', "");
    Expect(1, 130041, '\p{Lb=:\Anu\z:}', "");;
    Expect(0, 130042, '\p{Lb=:\Anu\z:}', "");;
    Expect(1, 130041, '\p{Lb: -	NU}', "");
    Expect(0, 130041, '\p{^Lb: -	NU}', "");
    Expect(0, 130041, '\P{Lb: -	NU}', "");
    Expect(1, 130041, '\P{^Lb: -	NU}', "");
    Expect(0, 130042, '\p{Lb: -	NU}', "");
    Expect(1, 130042, '\p{^Lb: -	NU}', "");
    Expect(1, 130042, '\P{Lb: -	NU}', "");
    Expect(0, 130042, '\P{^Lb: -	NU}', "");
    Error('\p{Is_Line_Break=	/a/numeric}');
    Error('\P{Is_Line_Break=	/a/numeric}');
    Expect(1, 130041, '\p{Is_Line_Break=numeric}', "");
    Expect(0, 130041, '\p{^Is_Line_Break=numeric}', "");
    Expect(0, 130041, '\P{Is_Line_Break=numeric}', "");
    Expect(1, 130041, '\P{^Is_Line_Break=numeric}', "");
    Expect(0, 130042, '\p{Is_Line_Break=numeric}', "");
    Expect(1, 130042, '\p{^Is_Line_Break=numeric}', "");
    Expect(1, 130042, '\P{Is_Line_Break=numeric}', "");
    Expect(0, 130042, '\P{^Is_Line_Break=numeric}', "");
    Expect(1, 130041, '\p{Is_Line_Break=__numeric}', "");
    Expect(0, 130041, '\p{^Is_Line_Break=__numeric}', "");
    Expect(0, 130041, '\P{Is_Line_Break=__numeric}', "");
    Expect(1, 130041, '\P{^Is_Line_Break=__numeric}', "");
    Expect(0, 130042, '\p{Is_Line_Break=__numeric}', "");
    Expect(1, 130042, '\p{^Is_Line_Break=__numeric}', "");
    Expect(1, 130042, '\P{Is_Line_Break=__numeric}', "");
    Expect(0, 130042, '\P{^Is_Line_Break=__numeric}', "");
    Error('\p{Is_Lb= 	NU:=}');
    Error('\P{Is_Lb= 	NU:=}');
    Expect(1, 130041, '\p{Is_Lb=nu}', "");
    Expect(0, 130041, '\p{^Is_Lb=nu}', "");
    Expect(0, 130041, '\P{Is_Lb=nu}', "");
    Expect(1, 130041, '\P{^Is_Lb=nu}', "");
    Expect(0, 130042, '\p{Is_Lb=nu}', "");
    Expect(1, 130042, '\p{^Is_Lb=nu}', "");
    Expect(1, 130042, '\P{Is_Lb=nu}', "");
    Expect(0, 130042, '\P{^Is_Lb=nu}', "");
    Expect(1, 130041, '\p{Is_Lb=-	NU}', "");
    Expect(0, 130041, '\p{^Is_Lb=-	NU}', "");
    Expect(0, 130041, '\P{Is_Lb=-	NU}', "");
    Expect(1, 130041, '\P{^Is_Lb=-	NU}', "");
    Expect(0, 130042, '\p{Is_Lb=-	NU}', "");
    Expect(1, 130042, '\p{^Is_Lb=-	NU}', "");
    Expect(1, 130042, '\P{Is_Lb=-	NU}', "");
    Expect(0, 130042, '\P{^Is_Lb=-	NU}', "");
    Error('\p{Line_Break=-_open_PUNCTUATION/a/}');
    Error('\P{Line_Break=-_open_PUNCTUATION/a/}');
    Expect(1, 125279, '\p{Line_Break=:\AOpen_Punctuation\z:}', "");;
    Expect(0, 125280, '\p{Line_Break=:\AOpen_Punctuation\z:}', "");;
    Expect(1, 125279, '\p{Line_Break=openpunctuation}', "");
    Expect(0, 125279, '\p{^Line_Break=openpunctuation}', "");
    Expect(0, 125279, '\P{Line_Break=openpunctuation}', "");
    Expect(1, 125279, '\P{^Line_Break=openpunctuation}', "");
    Expect(0, 125280, '\p{Line_Break=openpunctuation}', "");
    Expect(1, 125280, '\p{^Line_Break=openpunctuation}', "");
    Expect(1, 125280, '\P{Line_Break=openpunctuation}', "");
    Expect(0, 125280, '\P{^Line_Break=openpunctuation}', "");
    Expect(1, 125279, '\p{Line_Break=:\Aopenpunctuation\z:}', "");;
    Expect(0, 125280, '\p{Line_Break=:\Aopenpunctuation\z:}', "");;
    Expect(1, 125279, '\p{Line_Break=-	OPEN_Punctuation}', "");
    Expect(0, 125279, '\p{^Line_Break=-	OPEN_Punctuation}', "");
    Expect(0, 125279, '\P{Line_Break=-	OPEN_Punctuation}', "");
    Expect(1, 125279, '\P{^Line_Break=-	OPEN_Punctuation}', "");
    Expect(0, 125280, '\p{Line_Break=-	OPEN_Punctuation}', "");
    Expect(1, 125280, '\p{^Line_Break=-	OPEN_Punctuation}', "");
    Expect(1, 125280, '\P{Line_Break=-	OPEN_Punctuation}', "");
    Expect(0, 125280, '\P{^Line_Break=-	OPEN_Punctuation}', "");
    Error('\p{Lb=/a/OP}');
    Error('\P{Lb=/a/OP}');
    Expect(1, 125279, '\p{Lb=:\AOP\z:}', "");;
    Expect(0, 125280, '\p{Lb=:\AOP\z:}', "");;
    Expect(1, 125279, '\p{Lb:	op}', "");
    Expect(0, 125279, '\p{^Lb:	op}', "");
    Expect(0, 125279, '\P{Lb:	op}', "");
    Expect(1, 125279, '\P{^Lb:	op}', "");
    Expect(0, 125280, '\p{Lb:	op}', "");
    Expect(1, 125280, '\p{^Lb:	op}', "");
    Expect(1, 125280, '\P{Lb:	op}', "");
    Expect(0, 125280, '\P{^Lb:	op}', "");
    Expect(1, 125279, '\p{Lb=:\Aop\z:}', "");;
    Expect(0, 125280, '\p{Lb=:\Aop\z:}', "");;
    Expect(1, 125279, '\p{Lb=--OP}', "");
    Expect(0, 125279, '\p{^Lb=--OP}', "");
    Expect(0, 125279, '\P{Lb=--OP}', "");
    Expect(1, 125279, '\P{^Lb=--OP}', "");
    Expect(0, 125280, '\p{Lb=--OP}', "");
    Expect(1, 125280, '\p{^Lb=--OP}', "");
    Expect(1, 125280, '\P{Lb=--OP}', "");
    Expect(0, 125280, '\P{^Lb=--OP}', "");
    Error('\p{Is_Line_Break=_:=OPEN_punctuation}');
    Error('\P{Is_Line_Break=_:=OPEN_punctuation}');
    Expect(1, 125279, '\p{Is_Line_Break=openpunctuation}', "");
    Expect(0, 125279, '\p{^Is_Line_Break=openpunctuation}', "");
    Expect(0, 125279, '\P{Is_Line_Break=openpunctuation}', "");
    Expect(1, 125279, '\P{^Is_Line_Break=openpunctuation}', "");
    Expect(0, 125280, '\p{Is_Line_Break=openpunctuation}', "");
    Expect(1, 125280, '\p{^Is_Line_Break=openpunctuation}', "");
    Expect(1, 125280, '\P{Is_Line_Break=openpunctuation}', "");
    Expect(0, 125280, '\P{^Is_Line_Break=openpunctuation}', "");
    Expect(1, 125279, '\p{Is_Line_Break=_open_PUNCTUATION}', "");
    Expect(0, 125279, '\p{^Is_Line_Break=_open_PUNCTUATION}', "");
    Expect(0, 125279, '\P{Is_Line_Break=_open_PUNCTUATION}', "");
    Expect(1, 125279, '\P{^Is_Line_Break=_open_PUNCTUATION}', "");
    Expect(0, 125280, '\p{Is_Line_Break=_open_PUNCTUATION}', "");
    Expect(1, 125280, '\p{^Is_Line_Break=_open_PUNCTUATION}', "");
    Expect(1, 125280, '\P{Is_Line_Break=_open_PUNCTUATION}', "");
    Expect(0, 125280, '\P{^Is_Line_Break=_open_PUNCTUATION}', "");
    Error('\p{Is_Lb=/a/-OP}');
    Error('\P{Is_Lb=/a/-OP}');
    Expect(1, 125279, '\p{Is_Lb:	op}', "");
    Expect(0, 125279, '\p{^Is_Lb:	op}', "");
    Expect(0, 125279, '\P{Is_Lb:	op}', "");
    Expect(1, 125279, '\P{^Is_Lb:	op}', "");
    Expect(0, 125280, '\p{Is_Lb:	op}', "");
    Expect(1, 125280, '\p{^Is_Lb:	op}', "");
    Expect(1, 125280, '\P{Is_Lb:	op}', "");
    Expect(0, 125280, '\P{^Is_Lb:	op}', "");
    Expect(1, 125279, '\p{Is_Lb=-	op}', "");
    Expect(0, 125279, '\p{^Is_Lb=-	op}', "");
    Expect(0, 125279, '\P{Is_Lb=-	op}', "");
    Expect(1, 125279, '\P{^Is_Lb=-	op}', "");
    Expect(0, 125280, '\p{Is_Lb=-	op}', "");
    Expect(1, 125280, '\p{^Is_Lb=-	op}', "");
    Expect(1, 125280, '\P{Is_Lb=-	op}', "");
    Expect(0, 125280, '\P{^Is_Lb=-	op}', "");
    Error('\p{Line_Break=:=	 Postfix_Numeric}');
    Error('\P{Line_Break=:=	 Postfix_Numeric}');
    Expect(1, 126128, '\p{Line_Break=:\APostfix_Numeric\z:}', "");;
    Expect(0, 126129, '\p{Line_Break=:\APostfix_Numeric\z:}', "");;
    Expect(1, 126128, '\p{Line_Break=postfixnumeric}', "");
    Expect(0, 126128, '\p{^Line_Break=postfixnumeric}', "");
    Expect(0, 126128, '\P{Line_Break=postfixnumeric}', "");
    Expect(1, 126128, '\P{^Line_Break=postfixnumeric}', "");
    Expect(0, 126129, '\p{Line_Break=postfixnumeric}', "");
    Expect(1, 126129, '\p{^Line_Break=postfixnumeric}', "");
    Expect(1, 126129, '\P{Line_Break=postfixnumeric}', "");
    Expect(0, 126129, '\P{^Line_Break=postfixnumeric}', "");
    Expect(1, 126128, '\p{Line_Break=:\Apostfixnumeric\z:}', "");;
    Expect(0, 126129, '\p{Line_Break=:\Apostfixnumeric\z:}', "");;
    Expect(1, 126128, '\p{Line_Break=	Postfix_numeric}', "");
    Expect(0, 126128, '\p{^Line_Break=	Postfix_numeric}', "");
    Expect(0, 126128, '\P{Line_Break=	Postfix_numeric}', "");
    Expect(1, 126128, '\P{^Line_Break=	Postfix_numeric}', "");
    Expect(0, 126129, '\p{Line_Break=	Postfix_numeric}', "");
    Expect(1, 126129, '\p{^Line_Break=	Postfix_numeric}', "");
    Expect(1, 126129, '\P{Line_Break=	Postfix_numeric}', "");
    Expect(0, 126129, '\P{^Line_Break=	Postfix_numeric}', "");
    Error('\p{Lb=_:=po}');
    Error('\P{Lb=_:=po}');
    Expect(1, 126128, '\p{Lb=:\APO\z:}', "");;
    Expect(0, 126129, '\p{Lb=:\APO\z:}', "");;
    Expect(1, 126128, '\p{Lb=po}', "");
    Expect(0, 126128, '\p{^Lb=po}', "");
    Expect(0, 126128, '\P{Lb=po}', "");
    Expect(1, 126128, '\P{^Lb=po}', "");
    Expect(0, 126129, '\p{Lb=po}', "");
    Expect(1, 126129, '\p{^Lb=po}', "");
    Expect(1, 126129, '\P{Lb=po}', "");
    Expect(0, 126129, '\P{^Lb=po}', "");
    Expect(1, 126128, '\p{Lb=:\Apo\z:}', "");;
    Expect(0, 126129, '\p{Lb=:\Apo\z:}', "");;
    Expect(1, 126128, '\p{Lb:	-	PO}', "");
    Expect(0, 126128, '\p{^Lb:	-	PO}', "");
    Expect(0, 126128, '\P{Lb:	-	PO}', "");
    Expect(1, 126128, '\P{^Lb:	-	PO}', "");
    Expect(0, 126129, '\p{Lb:	-	PO}', "");
    Expect(1, 126129, '\p{^Lb:	-	PO}', "");
    Expect(1, 126129, '\P{Lb:	-	PO}', "");
    Expect(0, 126129, '\P{^Lb:	-	PO}', "");
    Error('\p{Is_Line_Break:   /a/-_postfix_NUMERIC}');
    Error('\P{Is_Line_Break:   /a/-_postfix_NUMERIC}');
    Expect(1, 126128, '\p{Is_Line_Break=postfixnumeric}', "");
    Expect(0, 126128, '\p{^Is_Line_Break=postfixnumeric}', "");
    Expect(0, 126128, '\P{Is_Line_Break=postfixnumeric}', "");
    Expect(1, 126128, '\P{^Is_Line_Break=postfixnumeric}', "");
    Expect(0, 126129, '\p{Is_Line_Break=postfixnumeric}', "");
    Expect(1, 126129, '\p{^Is_Line_Break=postfixnumeric}', "");
    Expect(1, 126129, '\P{Is_Line_Break=postfixnumeric}', "");
    Expect(0, 126129, '\P{^Is_Line_Break=postfixnumeric}', "");
    Expect(1, 126128, '\p{Is_Line_Break= -Postfix_numeric}', "");
    Expect(0, 126128, '\p{^Is_Line_Break= -Postfix_numeric}', "");
    Expect(0, 126128, '\P{Is_Line_Break= -Postfix_numeric}', "");
    Expect(1, 126128, '\P{^Is_Line_Break= -Postfix_numeric}', "");
    Expect(0, 126129, '\p{Is_Line_Break= -Postfix_numeric}', "");
    Expect(1, 126129, '\p{^Is_Line_Break= -Postfix_numeric}', "");
    Expect(1, 126129, '\P{Is_Line_Break= -Postfix_numeric}', "");
    Expect(0, 126129, '\P{^Is_Line_Break= -Postfix_numeric}', "");
    Error('\p{Is_Lb=_/a/po}');
    Error('\P{Is_Lb=_/a/po}');
    Expect(1, 126128, '\p{Is_Lb=po}', "");
    Expect(0, 126128, '\p{^Is_Lb=po}', "");
    Expect(0, 126128, '\P{Is_Lb=po}', "");
    Expect(1, 126128, '\P{^Is_Lb=po}', "");
    Expect(0, 126129, '\p{Is_Lb=po}', "");
    Expect(1, 126129, '\p{^Is_Lb=po}', "");
    Expect(1, 126129, '\P{Is_Lb=po}', "");
    Expect(0, 126129, '\P{^Is_Lb=po}', "");
    Expect(1, 126128, '\p{Is_Lb=	_PO}', "");
    Expect(0, 126128, '\p{^Is_Lb=	_PO}', "");
    Expect(0, 126128, '\P{Is_Lb=	_PO}', "");
    Expect(1, 126128, '\P{^Is_Lb=	_PO}', "");
    Expect(0, 126129, '\p{Is_Lb=	_PO}', "");
    Expect(1, 126129, '\p{^Is_Lb=	_PO}', "");
    Expect(1, 126129, '\P{Is_Lb=	_PO}', "");
    Expect(0, 126129, '\P{^Is_Lb=	_PO}', "");
    Error('\p{Line_Break=-:=Prefix_numeric}');
    Error('\P{Line_Break=-:=Prefix_numeric}');
    Expect(1, 123647, '\p{Line_Break=:\APrefix_Numeric\z:}', "");;
    Expect(0, 123648, '\p{Line_Break=:\APrefix_Numeric\z:}', "");;
    Expect(1, 123647, '\p{Line_Break=prefixnumeric}', "");
    Expect(0, 123647, '\p{^Line_Break=prefixnumeric}', "");
    Expect(0, 123647, '\P{Line_Break=prefixnumeric}', "");
    Expect(1, 123647, '\P{^Line_Break=prefixnumeric}', "");
    Expect(0, 123648, '\p{Line_Break=prefixnumeric}', "");
    Expect(1, 123648, '\p{^Line_Break=prefixnumeric}', "");
    Expect(1, 123648, '\P{Line_Break=prefixnumeric}', "");
    Expect(0, 123648, '\P{^Line_Break=prefixnumeric}', "");
    Expect(1, 123647, '\p{Line_Break=:\Aprefixnumeric\z:}', "");;
    Expect(0, 123648, '\p{Line_Break=:\Aprefixnumeric\z:}', "");;
    Expect(1, 123647, '\p{Line_Break= PREFIX_Numeric}', "");
    Expect(0, 123647, '\p{^Line_Break= PREFIX_Numeric}', "");
    Expect(0, 123647, '\P{Line_Break= PREFIX_Numeric}', "");
    Expect(1, 123647, '\P{^Line_Break= PREFIX_Numeric}', "");
    Expect(0, 123648, '\p{Line_Break= PREFIX_Numeric}', "");
    Expect(1, 123648, '\p{^Line_Break= PREFIX_Numeric}', "");
    Expect(1, 123648, '\P{Line_Break= PREFIX_Numeric}', "");
    Expect(0, 123648, '\P{^Line_Break= PREFIX_Numeric}', "");
    Error('\p{Lb=	 pr/a/}');
    Error('\P{Lb=	 pr/a/}');
    Expect(1, 123647, '\p{Lb=:\APR\z:}', "");;
    Expect(0, 123648, '\p{Lb=:\APR\z:}', "");;
    Expect(1, 123647, '\p{Lb=pr}', "");
    Expect(0, 123647, '\p{^Lb=pr}', "");
    Expect(0, 123647, '\P{Lb=pr}', "");
    Expect(1, 123647, '\P{^Lb=pr}', "");
    Expect(0, 123648, '\p{Lb=pr}', "");
    Expect(1, 123648, '\p{^Lb=pr}', "");
    Expect(1, 123648, '\P{Lb=pr}', "");
    Expect(0, 123648, '\P{^Lb=pr}', "");
    Expect(1, 123647, '\p{Lb=:\Apr\z:}', "");;
    Expect(0, 123648, '\p{Lb=:\Apr\z:}', "");;
    Expect(1, 123647, '\p{Lb=-PR}', "");
    Expect(0, 123647, '\p{^Lb=-PR}', "");
    Expect(0, 123647, '\P{Lb=-PR}', "");
    Expect(1, 123647, '\P{^Lb=-PR}', "");
    Expect(0, 123648, '\p{Lb=-PR}', "");
    Expect(1, 123648, '\p{^Lb=-PR}', "");
    Expect(1, 123648, '\P{Lb=-PR}', "");
    Expect(0, 123648, '\P{^Lb=-PR}', "");
    Error('\p{Is_Line_Break: -:=PREFIX_numeric}');
    Error('\P{Is_Line_Break: -:=PREFIX_numeric}');
    Expect(1, 123647, '\p{Is_Line_Break=prefixnumeric}', "");
    Expect(0, 123647, '\p{^Is_Line_Break=prefixnumeric}', "");
    Expect(0, 123647, '\P{Is_Line_Break=prefixnumeric}', "");
    Expect(1, 123647, '\P{^Is_Line_Break=prefixnumeric}', "");
    Expect(0, 123648, '\p{Is_Line_Break=prefixnumeric}', "");
    Expect(1, 123648, '\p{^Is_Line_Break=prefixnumeric}', "");
    Expect(1, 123648, '\P{Is_Line_Break=prefixnumeric}', "");
    Expect(0, 123648, '\P{^Is_Line_Break=prefixnumeric}', "");
    Expect(1, 123647, '\p{Is_Line_Break=-PREFIX_Numeric}', "");
    Expect(0, 123647, '\p{^Is_Line_Break=-PREFIX_Numeric}', "");
    Expect(0, 123647, '\P{Is_Line_Break=-PREFIX_Numeric}', "");
    Expect(1, 123647, '\P{^Is_Line_Break=-PREFIX_Numeric}', "");
    Expect(0, 123648, '\p{Is_Line_Break=-PREFIX_Numeric}', "");
    Expect(1, 123648, '\p{^Is_Line_Break=-PREFIX_Numeric}', "");
    Expect(1, 123648, '\P{Is_Line_Break=-PREFIX_Numeric}', "");
    Expect(0, 123648, '\P{^Is_Line_Break=-PREFIX_Numeric}', "");
    Error('\p{Is_Lb=:= 	PR}');
    Error('\P{Is_Lb=:= 	PR}');
    Expect(1, 123647, '\p{Is_Lb=pr}', "");
    Expect(0, 123647, '\p{^Is_Lb=pr}', "");
    Expect(0, 123647, '\P{Is_Lb=pr}', "");
    Expect(1, 123647, '\P{^Is_Lb=pr}', "");
    Expect(0, 123648, '\p{Is_Lb=pr}', "");
    Expect(1, 123648, '\p{^Is_Lb=pr}', "");
    Expect(1, 123648, '\P{Is_Lb=pr}', "");
    Expect(0, 123648, '\P{^Is_Lb=pr}', "");
    Expect(1, 123647, '\p{Is_Lb= _PR}', "");
    Expect(0, 123647, '\p{^Is_Lb= _PR}', "");
    Expect(0, 123647, '\P{Is_Lb= _PR}', "");
    Expect(1, 123647, '\P{^Is_Lb= _PR}', "");
    Expect(0, 123648, '\p{Is_Lb= _PR}', "");
    Expect(1, 123648, '\p{^Is_Lb= _PR}', "");
    Expect(1, 123648, '\P{Is_Lb= _PR}', "");
    Expect(0, 123648, '\P{^Is_Lb= _PR}', "");
    Error('\p{Line_Break=	/a/Quotation}');
    Error('\P{Line_Break=	/a/Quotation}');
    Expect(1, 128632, '\p{Line_Break=:\AQuotation\z:}', "");;
    Expect(0, 128633, '\p{Line_Break=:\AQuotation\z:}', "");;
    Expect(1, 128632, '\p{Line_Break=quotation}', "");
    Expect(0, 128632, '\p{^Line_Break=quotation}', "");
    Expect(0, 128632, '\P{Line_Break=quotation}', "");
    Expect(1, 128632, '\P{^Line_Break=quotation}', "");
    Expect(0, 128633, '\p{Line_Break=quotation}', "");
    Expect(1, 128633, '\p{^Line_Break=quotation}', "");
    Expect(1, 128633, '\P{Line_Break=quotation}', "");
    Expect(0, 128633, '\P{^Line_Break=quotation}', "");
    Expect(1, 128632, '\p{Line_Break=:\Aquotation\z:}', "");;
    Expect(0, 128633, '\p{Line_Break=:\Aquotation\z:}', "");;
    Expect(1, 128632, '\p{Line_Break= QUOTATION}', "");
    Expect(0, 128632, '\p{^Line_Break= QUOTATION}', "");
    Expect(0, 128632, '\P{Line_Break= QUOTATION}', "");
    Expect(1, 128632, '\P{^Line_Break= QUOTATION}', "");
    Expect(0, 128633, '\p{Line_Break= QUOTATION}', "");
    Expect(1, 128633, '\p{^Line_Break= QUOTATION}', "");
    Expect(1, 128633, '\P{Line_Break= QUOTATION}', "");
    Expect(0, 128633, '\P{^Line_Break= QUOTATION}', "");
    Error('\p{Lb=	:=QU}');
    Error('\P{Lb=	:=QU}');
    Expect(1, 128632, '\p{Lb=:\AQU\z:}', "");;
    Expect(0, 128633, '\p{Lb=:\AQU\z:}', "");;
    Expect(1, 128632, '\p{Lb=qu}', "");
    Expect(0, 128632, '\p{^Lb=qu}', "");
    Expect(0, 128632, '\P{Lb=qu}', "");
    Expect(1, 128632, '\P{^Lb=qu}', "");
    Expect(0, 128633, '\p{Lb=qu}', "");
    Expect(1, 128633, '\p{^Lb=qu}', "");
    Expect(1, 128633, '\P{Lb=qu}', "");
    Expect(0, 128633, '\P{^Lb=qu}', "");
    Expect(1, 128632, '\p{Lb=:\Aqu\z:}', "");;
    Expect(0, 128633, '\p{Lb=:\Aqu\z:}', "");;
    Expect(1, 128632, '\p{Lb=	_qu}', "");
    Expect(0, 128632, '\p{^Lb=	_qu}', "");
    Expect(0, 128632, '\P{Lb=	_qu}', "");
    Expect(1, 128632, '\P{^Lb=	_qu}', "");
    Expect(0, 128633, '\p{Lb=	_qu}', "");
    Expect(1, 128633, '\p{^Lb=	_qu}', "");
    Expect(1, 128633, '\P{Lb=	_qu}', "");
    Expect(0, 128633, '\P{^Lb=	_qu}', "");
    Error('\p{Is_Line_Break=_/a/Quotation}');
    Error('\P{Is_Line_Break=_/a/Quotation}');
    Expect(1, 128632, '\p{Is_Line_Break=quotation}', "");
    Expect(0, 128632, '\p{^Is_Line_Break=quotation}', "");
    Expect(0, 128632, '\P{Is_Line_Break=quotation}', "");
    Expect(1, 128632, '\P{^Is_Line_Break=quotation}', "");
    Expect(0, 128633, '\p{Is_Line_Break=quotation}', "");
    Expect(1, 128633, '\p{^Is_Line_Break=quotation}', "");
    Expect(1, 128633, '\P{Is_Line_Break=quotation}', "");
    Expect(0, 128633, '\P{^Is_Line_Break=quotation}', "");
    Expect(1, 128632, '\p{Is_Line_Break:   	_QUOTATION}', "");
    Expect(0, 128632, '\p{^Is_Line_Break:   	_QUOTATION}', "");
    Expect(0, 128632, '\P{Is_Line_Break:   	_QUOTATION}', "");
    Expect(1, 128632, '\P{^Is_Line_Break:   	_QUOTATION}', "");
    Expect(0, 128633, '\p{Is_Line_Break:   	_QUOTATION}', "");
    Expect(1, 128633, '\p{^Is_Line_Break:   	_QUOTATION}', "");
    Expect(1, 128633, '\P{Is_Line_Break:   	_QUOTATION}', "");
    Expect(0, 128633, '\P{^Is_Line_Break:   	_QUOTATION}', "");
    Error('\p{Is_Lb=--QU:=}');
    Error('\P{Is_Lb=--QU:=}');
    Expect(1, 128632, '\p{Is_Lb=qu}', "");
    Expect(0, 128632, '\p{^Is_Lb=qu}', "");
    Expect(0, 128632, '\P{Is_Lb=qu}', "");
    Expect(1, 128632, '\P{^Is_Lb=qu}', "");
    Expect(0, 128633, '\p{Is_Lb=qu}', "");
    Expect(1, 128633, '\p{^Is_Lb=qu}', "");
    Expect(1, 128633, '\P{Is_Lb=qu}', "");
    Expect(0, 128633, '\P{^Is_Lb=qu}', "");
    Expect(1, 128632, '\p{Is_Lb=-_QU}', "");
    Expect(0, 128632, '\p{^Is_Lb=-_QU}', "");
    Expect(0, 128632, '\P{Is_Lb=-_QU}', "");
    Expect(1, 128632, '\P{^Is_Lb=-_QU}', "");
    Expect(0, 128633, '\p{Is_Lb=-_QU}', "");
    Expect(1, 128633, '\p{^Is_Lb=-_QU}', "");
    Expect(1, 128633, '\P{Is_Lb=-_QU}', "");
    Expect(0, 128633, '\P{^Is_Lb=-_QU}', "");
    Error('\p{Line_Break=/a/  REGIONAL_Indicator}');
    Error('\P{Line_Break=/a/  REGIONAL_Indicator}');
    Expect(1, 127487, '\p{Line_Break=:\ARegional_Indicator\z:}', "");;
    Expect(0, 127488, '\p{Line_Break=:\ARegional_Indicator\z:}', "");;
    Expect(1, 127487, '\p{Line_Break=regionalindicator}', "");
    Expect(0, 127487, '\p{^Line_Break=regionalindicator}', "");
    Expect(0, 127487, '\P{Line_Break=regionalindicator}', "");
    Expect(1, 127487, '\P{^Line_Break=regionalindicator}', "");
    Expect(0, 127488, '\p{Line_Break=regionalindicator}', "");
    Expect(1, 127488, '\p{^Line_Break=regionalindicator}', "");
    Expect(1, 127488, '\P{Line_Break=regionalindicator}', "");
    Expect(0, 127488, '\P{^Line_Break=regionalindicator}', "");
    Expect(1, 127487, '\p{Line_Break=:\Aregionalindicator\z:}', "");;
    Expect(0, 127488, '\p{Line_Break=:\Aregionalindicator\z:}', "");;
    Expect(1, 127487, '\p{Line_Break=	Regional_indicator}', "");
    Expect(0, 127487, '\p{^Line_Break=	Regional_indicator}', "");
    Expect(0, 127487, '\P{Line_Break=	Regional_indicator}', "");
    Expect(1, 127487, '\P{^Line_Break=	Regional_indicator}', "");
    Expect(0, 127488, '\p{Line_Break=	Regional_indicator}', "");
    Expect(1, 127488, '\p{^Line_Break=	Regional_indicator}', "");
    Expect(1, 127488, '\P{Line_Break=	Regional_indicator}', "");
    Expect(0, 127488, '\P{^Line_Break=	Regional_indicator}', "");
    Error('\p{Lb=:= RI}');
    Error('\P{Lb=:= RI}');
    Expect(1, 127487, '\p{Lb=:\ARI\z:}', "");;
    Expect(0, 127488, '\p{Lb=:\ARI\z:}', "");;
    Expect(1, 127487, '\p{Lb=ri}', "");
    Expect(0, 127487, '\p{^Lb=ri}', "");
    Expect(0, 127487, '\P{Lb=ri}', "");
    Expect(1, 127487, '\P{^Lb=ri}', "");
    Expect(0, 127488, '\p{Lb=ri}', "");
    Expect(1, 127488, '\p{^Lb=ri}', "");
    Expect(1, 127488, '\P{Lb=ri}', "");
    Expect(0, 127488, '\P{^Lb=ri}', "");
    Expect(1, 127487, '\p{Lb=:\Ari\z:}', "");;
    Expect(0, 127488, '\p{Lb=:\Ari\z:}', "");;
    Expect(1, 127487, '\p{Lb=_	ri}', "");
    Expect(0, 127487, '\p{^Lb=_	ri}', "");
    Expect(0, 127487, '\P{Lb=_	ri}', "");
    Expect(1, 127487, '\P{^Lb=_	ri}', "");
    Expect(0, 127488, '\p{Lb=_	ri}', "");
    Expect(1, 127488, '\p{^Lb=_	ri}', "");
    Expect(1, 127488, '\P{Lb=_	ri}', "");
    Expect(0, 127488, '\P{^Lb=_	ri}', "");
    Error('\p{Is_Line_Break=	Regional_INDICATOR:=}');
    Error('\P{Is_Line_Break=	Regional_INDICATOR:=}');
    Expect(1, 127487, '\p{Is_Line_Break=regionalindicator}', "");
    Expect(0, 127487, '\p{^Is_Line_Break=regionalindicator}', "");
    Expect(0, 127487, '\P{Is_Line_Break=regionalindicator}', "");
    Expect(1, 127487, '\P{^Is_Line_Break=regionalindicator}', "");
    Expect(0, 127488, '\p{Is_Line_Break=regionalindicator}', "");
    Expect(1, 127488, '\p{^Is_Line_Break=regionalindicator}', "");
    Expect(1, 127488, '\P{Is_Line_Break=regionalindicator}', "");
    Expect(0, 127488, '\P{^Is_Line_Break=regionalindicator}', "");
    Expect(1, 127487, '\p{Is_Line_Break=__REGIONAL_Indicator}', "");
    Expect(0, 127487, '\p{^Is_Line_Break=__REGIONAL_Indicator}', "");
    Expect(0, 127487, '\P{Is_Line_Break=__REGIONAL_Indicator}', "");
    Expect(1, 127487, '\P{^Is_Line_Break=__REGIONAL_Indicator}', "");
    Expect(0, 127488, '\p{Is_Line_Break=__REGIONAL_Indicator}', "");
    Expect(1, 127488, '\p{^Is_Line_Break=__REGIONAL_Indicator}', "");
    Expect(1, 127488, '\P{Is_Line_Break=__REGIONAL_Indicator}', "");
    Expect(0, 127488, '\P{^Is_Line_Break=__REGIONAL_Indicator}', "");
    Error('\p{Is_Lb: := RI}');
    Error('\P{Is_Lb: := RI}');
    Expect(1, 127487, '\p{Is_Lb=ri}', "");
    Expect(0, 127487, '\p{^Is_Lb=ri}', "");
    Expect(0, 127487, '\P{Is_Lb=ri}', "");
    Expect(1, 127487, '\P{^Is_Lb=ri}', "");
    Expect(0, 127488, '\p{Is_Lb=ri}', "");
    Expect(1, 127488, '\p{^Is_Lb=ri}', "");
    Expect(1, 127488, '\P{Is_Lb=ri}', "");
    Expect(0, 127488, '\P{^Is_Lb=ri}', "");
    Expect(1, 127487, '\p{Is_Lb=	-ri}', "");
    Expect(0, 127487, '\p{^Is_Lb=	-ri}', "");
    Expect(0, 127487, '\P{Is_Lb=	-ri}', "");
    Expect(1, 127487, '\P{^Is_Lb=	-ri}', "");
    Expect(0, 127488, '\p{Is_Lb=	-ri}', "");
    Expect(1, 127488, '\p{^Is_Lb=	-ri}', "");
    Expect(1, 127488, '\P{Is_Lb=	-ri}', "");
    Expect(0, 127488, '\P{^Is_Lb=	-ri}', "");
    Error('\p{Line_Break=:=_COMPLEX_context}');
    Error('\P{Line_Break=:=_COMPLEX_context}');
    Expect(1, 71494, '\p{Line_Break=:\AComplex_Context\z:}', "");;
    Expect(0, 71495, '\p{Line_Break=:\AComplex_Context\z:}', "");;
    Expect(1, 71494, '\p{Line_Break=complexcontext}', "");
    Expect(0, 71494, '\p{^Line_Break=complexcontext}', "");
    Expect(0, 71494, '\P{Line_Break=complexcontext}', "");
    Expect(1, 71494, '\P{^Line_Break=complexcontext}', "");
    Expect(0, 71495, '\p{Line_Break=complexcontext}', "");
    Expect(1, 71495, '\p{^Line_Break=complexcontext}', "");
    Expect(1, 71495, '\P{Line_Break=complexcontext}', "");
    Expect(0, 71495, '\P{^Line_Break=complexcontext}', "");
    Expect(1, 71494, '\p{Line_Break=:\Acomplexcontext\z:}', "");;
    Expect(0, 71495, '\p{Line_Break=:\Acomplexcontext\z:}', "");;
    Expect(1, 71494, '\p{Line_Break=	-Complex_Context}', "");
    Expect(0, 71494, '\p{^Line_Break=	-Complex_Context}', "");
    Expect(0, 71494, '\P{Line_Break=	-Complex_Context}', "");
    Expect(1, 71494, '\P{^Line_Break=	-Complex_Context}', "");
    Expect(0, 71495, '\p{Line_Break=	-Complex_Context}', "");
    Expect(1, 71495, '\p{^Line_Break=	-Complex_Context}', "");
    Expect(1, 71495, '\P{Line_Break=	-Complex_Context}', "");
    Expect(0, 71495, '\P{^Line_Break=	-Complex_Context}', "");
    Error('\p{Lb=:=SA}');
    Error('\P{Lb=:=SA}');
    Expect(1, 71494, '\p{Lb=:\ASA\z:}', "");;
    Expect(0, 71495, '\p{Lb=:\ASA\z:}', "");;
    Expect(1, 71494, '\p{Lb=sa}', "");
    Expect(0, 71494, '\p{^Lb=sa}', "");
    Expect(0, 71494, '\P{Lb=sa}', "");
    Expect(1, 71494, '\P{^Lb=sa}', "");
    Expect(0, 71495, '\p{Lb=sa}', "");
    Expect(1, 71495, '\p{^Lb=sa}', "");
    Expect(1, 71495, '\P{Lb=sa}', "");
    Expect(0, 71495, '\P{^Lb=sa}', "");
    Expect(1, 71494, '\p{Lb=:\Asa\z:}', "");;
    Expect(0, 71495, '\p{Lb=:\Asa\z:}', "");;
    Expect(1, 71494, '\p{Lb=_sa}', "");
    Expect(0, 71494, '\p{^Lb=_sa}', "");
    Expect(0, 71494, '\P{Lb=_sa}', "");
    Expect(1, 71494, '\P{^Lb=_sa}', "");
    Expect(0, 71495, '\p{Lb=_sa}', "");
    Expect(1, 71495, '\p{^Lb=_sa}', "");
    Expect(1, 71495, '\P{Lb=_sa}', "");
    Expect(0, 71495, '\P{^Lb=_sa}', "");
    Error('\p{Is_Line_Break= -Complex_Context/a/}');
    Error('\P{Is_Line_Break= -Complex_Context/a/}');
    Expect(1, 71494, '\p{Is_Line_Break=complexcontext}', "");
    Expect(0, 71494, '\p{^Is_Line_Break=complexcontext}', "");
    Expect(0, 71494, '\P{Is_Line_Break=complexcontext}', "");
    Expect(1, 71494, '\P{^Is_Line_Break=complexcontext}', "");
    Expect(0, 71495, '\p{Is_Line_Break=complexcontext}', "");
    Expect(1, 71495, '\p{^Is_Line_Break=complexcontext}', "");
    Expect(1, 71495, '\P{Is_Line_Break=complexcontext}', "");
    Expect(0, 71495, '\P{^Is_Line_Break=complexcontext}', "");
    Expect(1, 71494, '\p{Is_Line_Break=Complex_Context}', "");
    Expect(0, 71494, '\p{^Is_Line_Break=Complex_Context}', "");
    Expect(0, 71494, '\P{Is_Line_Break=Complex_Context}', "");
    Expect(1, 71494, '\P{^Is_Line_Break=Complex_Context}', "");
    Expect(0, 71495, '\p{Is_Line_Break=Complex_Context}', "");
    Expect(1, 71495, '\p{^Is_Line_Break=Complex_Context}', "");
    Expect(1, 71495, '\P{Is_Line_Break=Complex_Context}', "");
    Expect(0, 71495, '\P{^Is_Line_Break=Complex_Context}', "");
    Error('\p{Is_Lb= :=sa}');
    Error('\P{Is_Lb= :=sa}');
    Expect(1, 71494, '\p{Is_Lb: sa}', "");
    Expect(0, 71494, '\p{^Is_Lb: sa}', "");
    Expect(0, 71494, '\P{Is_Lb: sa}', "");
    Expect(1, 71494, '\P{^Is_Lb: sa}', "");
    Expect(0, 71495, '\p{Is_Lb: sa}', "");
    Expect(1, 71495, '\p{^Is_Lb: sa}', "");
    Expect(1, 71495, '\P{Is_Lb: sa}', "");
    Expect(0, 71495, '\P{^Is_Lb: sa}', "");
    Expect(1, 71494, '\p{Is_Lb=	 SA}', "");
    Expect(0, 71494, '\p{^Is_Lb=	 SA}', "");
    Expect(0, 71494, '\P{Is_Lb=	 SA}', "");
    Expect(1, 71494, '\P{^Is_Lb=	 SA}', "");
    Expect(0, 71495, '\p{Is_Lb=	 SA}', "");
    Expect(1, 71495, '\p{^Is_Lb=	 SA}', "");
    Expect(1, 71495, '\P{Is_Lb=	 SA}', "");
    Expect(0, 71495, '\P{^Is_Lb=	 SA}', "");
    Error('\p{Line_Break=Surrogate:=}');
    Error('\P{Line_Break=Surrogate:=}');
    Expect(1, 57343, '\p{Line_Break=surrogate}', 'deprecated');
    Expect(0, 57343, '\p{^Line_Break=surrogate}', 'deprecated');
    Expect(0, 57343, '\P{Line_Break=surrogate}', 'deprecated');
    Expect(1, 57343, '\P{^Line_Break=surrogate}', 'deprecated');
    Expect(0, 57344, '\p{Line_Break=surrogate}', 'deprecated');
    Expect(1, 57344, '\p{^Line_Break=surrogate}', 'deprecated');
    Expect(1, 57344, '\P{Line_Break=surrogate}', 'deprecated');
    Expect(0, 57344, '\P{^Line_Break=surrogate}', 'deprecated');
    Expect(1, 57343, '\p{Line_Break=_-SURROGATE}', 'deprecated');
    Expect(0, 57343, '\p{^Line_Break=_-SURROGATE}', 'deprecated');
    Expect(0, 57343, '\P{Line_Break=_-SURROGATE}', 'deprecated');
    Expect(1, 57343, '\P{^Line_Break=_-SURROGATE}', 'deprecated');
    Expect(0, 57344, '\p{Line_Break=_-SURROGATE}', 'deprecated');
    Expect(1, 57344, '\p{^Line_Break=_-SURROGATE}', 'deprecated');
    Expect(1, 57344, '\P{Line_Break=_-SURROGATE}', 'deprecated');
    Expect(0, 57344, '\P{^Line_Break=_-SURROGATE}', 'deprecated');
    Error('\p{Lb= 	sg:=}');
    Error('\P{Lb= 	sg:=}');
    Expect(1, 57343, '\p{Lb=sg}', 'deprecated');
    Expect(0, 57343, '\p{^Lb=sg}', 'deprecated');
    Expect(0, 57343, '\P{Lb=sg}', 'deprecated');
    Expect(1, 57343, '\P{^Lb=sg}', 'deprecated');
    Expect(0, 57344, '\p{Lb=sg}', 'deprecated');
    Expect(1, 57344, '\p{^Lb=sg}', 'deprecated');
    Expect(1, 57344, '\P{Lb=sg}', 'deprecated');
    Expect(0, 57344, '\P{^Lb=sg}', 'deprecated');
    Expect(1, 57343, '\p{Lb=- sg}', 'deprecated');
    Expect(0, 57343, '\p{^Lb=- sg}', 'deprecated');
    Expect(0, 57343, '\P{Lb=- sg}', 'deprecated');
    Expect(1, 57343, '\P{^Lb=- sg}', 'deprecated');
    Expect(0, 57344, '\p{Lb=- sg}', 'deprecated');
    Expect(1, 57344, '\p{^Lb=- sg}', 'deprecated');
    Expect(1, 57344, '\P{Lb=- sg}', 'deprecated');
    Expect(0, 57344, '\P{^Lb=- sg}', 'deprecated');
    Error('\p{Is_Line_Break=_ Surrogate:=}');
    Error('\P{Is_Line_Break=_ Surrogate:=}');
    Expect(1, 57343, '\p{Is_Line_Break:   surrogate}', 'deprecated');
    Expect(0, 57343, '\p{^Is_Line_Break:   surrogate}', 'deprecated');
    Expect(0, 57343, '\P{Is_Line_Break:   surrogate}', 'deprecated');
    Expect(1, 57343, '\P{^Is_Line_Break:   surrogate}', 'deprecated');
    Expect(0, 57344, '\p{Is_Line_Break:   surrogate}', 'deprecated');
    Expect(1, 57344, '\p{^Is_Line_Break:   surrogate}', 'deprecated');
    Expect(1, 57344, '\P{Is_Line_Break:   surrogate}', 'deprecated');
    Expect(0, 57344, '\P{^Is_Line_Break:   surrogate}', 'deprecated');
    Expect(1, 57343, '\p{Is_Line_Break= surrogate}', 'deprecated');
    Expect(0, 57343, '\p{^Is_Line_Break= surrogate}', 'deprecated');
    Expect(0, 57343, '\P{Is_Line_Break= surrogate}', 'deprecated');
    Expect(1, 57343, '\P{^Is_Line_Break= surrogate}', 'deprecated');
    Expect(0, 57344, '\p{Is_Line_Break= surrogate}', 'deprecated');
    Expect(1, 57344, '\p{^Is_Line_Break= surrogate}', 'deprecated');
    Expect(1, 57344, '\P{Is_Line_Break= surrogate}', 'deprecated');
    Expect(0, 57344, '\P{^Is_Line_Break= surrogate}', 'deprecated');
    Error('\p{Is_Lb=__SG/a/}');
    Error('\P{Is_Lb=__SG/a/}');
    Expect(1, 57343, '\p{Is_Lb=sg}', 'deprecated');
    Expect(0, 57343, '\p{^Is_Lb=sg}', 'deprecated');
    Expect(0, 57343, '\P{Is_Lb=sg}', 'deprecated');
    Expect(1, 57343, '\P{^Is_Lb=sg}', 'deprecated');
    Expect(0, 57344, '\p{Is_Lb=sg}', 'deprecated');
    Expect(1, 57344, '\p{^Is_Lb=sg}', 'deprecated');
    Expect(1, 57344, '\P{Is_Lb=sg}', 'deprecated');
    Expect(0, 57344, '\P{^Is_Lb=sg}', 'deprecated');
    Expect(1, 57343, '\p{Is_Lb= 	SG}', 'deprecated');
    Expect(0, 57343, '\p{^Is_Lb= 	SG}', 'deprecated');
    Expect(0, 57343, '\P{Is_Lb= 	SG}', 'deprecated');
    Expect(1, 57343, '\P{^Is_Lb= 	SG}', 'deprecated');
    Expect(0, 57344, '\p{Is_Lb= 	SG}', 'deprecated');
    Expect(1, 57344, '\p{^Is_Lb= 	SG}', 'deprecated');
    Expect(1, 57344, '\P{Is_Lb= 	SG}', 'deprecated');
    Expect(0, 57344, '\P{^Is_Lb= 	SG}', 'deprecated');
    Error('\p{Line_Break:	:= 	Space}');
    Error('\P{Line_Break:	:= 	Space}');
    Expect(1, 32, '\p{Line_Break=:\ASpace\z:}', "");;
    Expect(0, 33, '\p{Line_Break=:\ASpace\z:}', "");;
    Expect(1, 32, '\p{Line_Break=space}', "");
    Expect(0, 32, '\p{^Line_Break=space}', "");
    Expect(0, 32, '\P{Line_Break=space}', "");
    Expect(1, 32, '\P{^Line_Break=space}', "");
    Expect(0, 33, '\p{Line_Break=space}', "");
    Expect(1, 33, '\p{^Line_Break=space}', "");
    Expect(1, 33, '\P{Line_Break=space}', "");
    Expect(0, 33, '\P{^Line_Break=space}', "");
    Expect(1, 32, '\p{Line_Break=:\Aspace\z:}', "");;
    Expect(0, 33, '\p{Line_Break=:\Aspace\z:}', "");;
    Expect(1, 32, '\p{Line_Break=	_Space}', "");
    Expect(0, 32, '\p{^Line_Break=	_Space}', "");
    Expect(0, 32, '\P{Line_Break=	_Space}', "");
    Expect(1, 32, '\P{^Line_Break=	_Space}', "");
    Expect(0, 33, '\p{Line_Break=	_Space}', "");
    Expect(1, 33, '\p{^Line_Break=	_Space}', "");
    Expect(1, 33, '\P{Line_Break=	_Space}', "");
    Expect(0, 33, '\P{^Line_Break=	_Space}', "");
    Error('\p{Lb=_ sp/a/}');
    Error('\P{Lb=_ sp/a/}');
    Expect(1, 32, '\p{Lb=:\ASP\z:}', "");;
    Expect(0, 33, '\p{Lb=:\ASP\z:}', "");;
    Expect(1, 32, '\p{Lb=sp}', "");
    Expect(0, 32, '\p{^Lb=sp}', "");
    Expect(0, 32, '\P{Lb=sp}', "");
    Expect(1, 32, '\P{^Lb=sp}', "");
    Expect(0, 33, '\p{Lb=sp}', "");
    Expect(1, 33, '\p{^Lb=sp}', "");
    Expect(1, 33, '\P{Lb=sp}', "");
    Expect(0, 33, '\P{^Lb=sp}', "");
    Expect(1, 32, '\p{Lb=:\Asp\z:}', "");;
    Expect(0, 33, '\p{Lb=:\Asp\z:}', "");;
    Expect(1, 32, '\p{Lb:	SP}', "");
    Expect(0, 32, '\p{^Lb:	SP}', "");
    Expect(0, 32, '\P{Lb:	SP}', "");
    Expect(1, 32, '\P{^Lb:	SP}', "");
    Expect(0, 33, '\p{Lb:	SP}', "");
    Expect(1, 33, '\p{^Lb:	SP}', "");
    Expect(1, 33, '\P{Lb:	SP}', "");
    Expect(0, 33, '\P{^Lb:	SP}', "");
    Error('\p{Is_Line_Break=:=	Space}');
    Error('\P{Is_Line_Break=:=	Space}');
    Expect(1, 32, '\p{Is_Line_Break=space}', "");
    Expect(0, 32, '\p{^Is_Line_Break=space}', "");
    Expect(0, 32, '\P{Is_Line_Break=space}', "");
    Expect(1, 32, '\P{^Is_Line_Break=space}', "");
    Expect(0, 33, '\p{Is_Line_Break=space}', "");
    Expect(1, 33, '\p{^Is_Line_Break=space}', "");
    Expect(1, 33, '\P{Is_Line_Break=space}', "");
    Expect(0, 33, '\P{^Is_Line_Break=space}', "");
    Expect(1, 32, '\p{Is_Line_Break=	_Space}', "");
    Expect(0, 32, '\p{^Is_Line_Break=	_Space}', "");
    Expect(0, 32, '\P{Is_Line_Break=	_Space}', "");
    Expect(1, 32, '\P{^Is_Line_Break=	_Space}', "");
    Expect(0, 33, '\p{Is_Line_Break=	_Space}', "");
    Expect(1, 33, '\p{^Is_Line_Break=	_Space}', "");
    Expect(1, 33, '\P{Is_Line_Break=	_Space}', "");
    Expect(0, 33, '\P{^Is_Line_Break=	_Space}', "");
    Error('\p{Is_Lb=  SP/a/}');
    Error('\P{Is_Lb=  SP/a/}');
    Expect(1, 32, '\p{Is_Lb=sp}', "");
    Expect(0, 32, '\p{^Is_Lb=sp}', "");
    Expect(0, 32, '\P{Is_Lb=sp}', "");
    Expect(1, 32, '\P{^Is_Lb=sp}', "");
    Expect(0, 33, '\p{Is_Lb=sp}', "");
    Expect(1, 33, '\p{^Is_Lb=sp}', "");
    Expect(1, 33, '\P{Is_Lb=sp}', "");
    Expect(0, 33, '\P{^Is_Lb=sp}', "");
    Expect(1, 32, '\p{Is_Lb=_ SP}', "");
    Expect(0, 32, '\p{^Is_Lb=_ SP}', "");
    Expect(0, 32, '\P{Is_Lb=_ SP}', "");
    Expect(1, 32, '\P{^Is_Lb=_ SP}', "");
    Expect(0, 33, '\p{Is_Lb=_ SP}', "");
    Expect(1, 33, '\p{^Is_Lb=_ SP}', "");
    Expect(1, 33, '\P{Is_Lb=_ SP}', "");
    Expect(0, 33, '\P{^Is_Lb=_ SP}', "");
    Error('\p{Line_Break=/a/Break_Symbols}');
    Error('\P{Line_Break=/a/Break_Symbols}');
    Expect(1, 47, '\p{Line_Break=:\ABreak_Symbols\z:}', "");;
    Expect(0, 48, '\p{Line_Break=:\ABreak_Symbols\z:}', "");;
    Expect(1, 47, '\p{Line_Break:breaksymbols}', "");
    Expect(0, 47, '\p{^Line_Break:breaksymbols}', "");
    Expect(0, 47, '\P{Line_Break:breaksymbols}', "");
    Expect(1, 47, '\P{^Line_Break:breaksymbols}', "");
    Expect(0, 48, '\p{Line_Break:breaksymbols}', "");
    Expect(1, 48, '\p{^Line_Break:breaksymbols}', "");
    Expect(1, 48, '\P{Line_Break:breaksymbols}', "");
    Expect(0, 48, '\P{^Line_Break:breaksymbols}', "");
    Expect(1, 47, '\p{Line_Break=:\Abreaksymbols\z:}', "");;
    Expect(0, 48, '\p{Line_Break=:\Abreaksymbols\z:}', "");;
    Expect(1, 47, '\p{Line_Break=		Break_symbols}', "");
    Expect(0, 47, '\p{^Line_Break=		Break_symbols}', "");
    Expect(0, 47, '\P{Line_Break=		Break_symbols}', "");
    Expect(1, 47, '\P{^Line_Break=		Break_symbols}', "");
    Expect(0, 48, '\p{Line_Break=		Break_symbols}', "");
    Expect(1, 48, '\p{^Line_Break=		Break_symbols}', "");
    Expect(1, 48, '\P{Line_Break=		Break_symbols}', "");
    Expect(0, 48, '\P{^Line_Break=		Break_symbols}', "");
    Error('\p{Lb=/a/-	SY}');
    Error('\P{Lb=/a/-	SY}');
    Expect(1, 47, '\p{Lb=:\ASY\z:}', "");;
    Expect(0, 48, '\p{Lb=:\ASY\z:}', "");;
    Expect(1, 47, '\p{Lb=sy}', "");
    Expect(0, 47, '\p{^Lb=sy}', "");
    Expect(0, 47, '\P{Lb=sy}', "");
    Expect(1, 47, '\P{^Lb=sy}', "");
    Expect(0, 48, '\p{Lb=sy}', "");
    Expect(1, 48, '\p{^Lb=sy}', "");
    Expect(1, 48, '\P{Lb=sy}', "");
    Expect(0, 48, '\P{^Lb=sy}', "");
    Expect(1, 47, '\p{Lb=:\Asy\z:}', "");;
    Expect(0, 48, '\p{Lb=:\Asy\z:}', "");;
    Expect(1, 47, '\p{Lb= SY}', "");
    Expect(0, 47, '\p{^Lb= SY}', "");
    Expect(0, 47, '\P{Lb= SY}', "");
    Expect(1, 47, '\P{^Lb= SY}', "");
    Expect(0, 48, '\p{Lb= SY}', "");
    Expect(1, 48, '\p{^Lb= SY}', "");
    Expect(1, 48, '\P{Lb= SY}', "");
    Expect(0, 48, '\P{^Lb= SY}', "");
    Error('\p{Is_Line_Break=:= _BREAK_symbols}');
    Error('\P{Is_Line_Break=:= _BREAK_symbols}');
    Expect(1, 47, '\p{Is_Line_Break=breaksymbols}', "");
    Expect(0, 47, '\p{^Is_Line_Break=breaksymbols}', "");
    Expect(0, 47, '\P{Is_Line_Break=breaksymbols}', "");
    Expect(1, 47, '\P{^Is_Line_Break=breaksymbols}', "");
    Expect(0, 48, '\p{Is_Line_Break=breaksymbols}', "");
    Expect(1, 48, '\p{^Is_Line_Break=breaksymbols}', "");
    Expect(1, 48, '\P{Is_Line_Break=breaksymbols}', "");
    Expect(0, 48, '\P{^Is_Line_Break=breaksymbols}', "");
    Expect(1, 47, '\p{Is_Line_Break=	 Break_SYMBOLS}', "");
    Expect(0, 47, '\p{^Is_Line_Break=	 Break_SYMBOLS}', "");
    Expect(0, 47, '\P{Is_Line_Break=	 Break_SYMBOLS}', "");
    Expect(1, 47, '\P{^Is_Line_Break=	 Break_SYMBOLS}', "");
    Expect(0, 48, '\p{Is_Line_Break=	 Break_SYMBOLS}', "");
    Expect(1, 48, '\p{^Is_Line_Break=	 Break_SYMBOLS}', "");
    Expect(1, 48, '\P{Is_Line_Break=	 Break_SYMBOLS}', "");
    Expect(0, 48, '\P{^Is_Line_Break=	 Break_SYMBOLS}', "");
    Error('\p{Is_Lb=  sy/a/}');
    Error('\P{Is_Lb=  sy/a/}');
    Expect(1, 47, '\p{Is_Lb=sy}', "");
    Expect(0, 47, '\p{^Is_Lb=sy}', "");
    Expect(0, 47, '\P{Is_Lb=sy}', "");
    Expect(1, 47, '\P{^Is_Lb=sy}', "");
    Expect(0, 48, '\p{Is_Lb=sy}', "");
    Expect(1, 48, '\p{^Is_Lb=sy}', "");
    Expect(1, 48, '\P{Is_Lb=sy}', "");
    Expect(0, 48, '\P{^Is_Lb=sy}', "");
    Expect(1, 47, '\p{Is_Lb=__SY}', "");
    Expect(0, 47, '\p{^Is_Lb=__SY}', "");
    Expect(0, 47, '\P{Is_Lb=__SY}', "");
    Expect(1, 47, '\P{^Is_Lb=__SY}', "");
    Expect(0, 48, '\p{Is_Lb=__SY}', "");
    Expect(1, 48, '\p{^Is_Lb=__SY}', "");
    Expect(1, 48, '\P{Is_Lb=__SY}', "");
    Expect(0, 48, '\P{^Is_Lb=__SY}', "");
    Error('\p{Line_Break=-/a/word_Joiner}');
    Error('\P{Line_Break=-/a/word_Joiner}');
    Expect(1, 65279, '\p{Line_Break=:\AWord_Joiner\z:}', "");;
    Expect(0, 65280, '\p{Line_Break=:\AWord_Joiner\z:}', "");;
    Expect(1, 65279, '\p{Line_Break=wordjoiner}', "");
    Expect(0, 65279, '\p{^Line_Break=wordjoiner}', "");
    Expect(0, 65279, '\P{Line_Break=wordjoiner}', "");
    Expect(1, 65279, '\P{^Line_Break=wordjoiner}', "");
    Expect(0, 65280, '\p{Line_Break=wordjoiner}', "");
    Expect(1, 65280, '\p{^Line_Break=wordjoiner}', "");
    Expect(1, 65280, '\P{Line_Break=wordjoiner}', "");
    Expect(0, 65280, '\P{^Line_Break=wordjoiner}', "");
    Expect(1, 65279, '\p{Line_Break=:\Awordjoiner\z:}', "");;
    Expect(0, 65280, '\p{Line_Break=:\Awordjoiner\z:}', "");;
    Expect(1, 65279, '\p{Line_Break=--word_Joiner}', "");
    Expect(0, 65279, '\p{^Line_Break=--word_Joiner}', "");
    Expect(0, 65279, '\P{Line_Break=--word_Joiner}', "");
    Expect(1, 65279, '\P{^Line_Break=--word_Joiner}', "");
    Expect(0, 65280, '\p{Line_Break=--word_Joiner}', "");
    Expect(1, 65280, '\p{^Line_Break=--word_Joiner}', "");
    Expect(1, 65280, '\P{Line_Break=--word_Joiner}', "");
    Expect(0, 65280, '\P{^Line_Break=--word_Joiner}', "");
    Error('\p{Lb=/a/WJ}');
    Error('\P{Lb=/a/WJ}');
    Expect(1, 65279, '\p{Lb=:\AWJ\z:}', "");;
    Expect(0, 65280, '\p{Lb=:\AWJ\z:}', "");;
    Expect(1, 65279, '\p{Lb=wj}', "");
    Expect(0, 65279, '\p{^Lb=wj}', "");
    Expect(0, 65279, '\P{Lb=wj}', "");
    Expect(1, 65279, '\P{^Lb=wj}', "");
    Expect(0, 65280, '\p{Lb=wj}', "");
    Expect(1, 65280, '\p{^Lb=wj}', "");
    Expect(1, 65280, '\P{Lb=wj}', "");
    Expect(0, 65280, '\P{^Lb=wj}', "");
    Expect(1, 65279, '\p{Lb=:\Awj\z:}', "");;
    Expect(0, 65280, '\p{Lb=:\Awj\z:}', "");;
    Expect(1, 65279, '\p{Lb=	_WJ}', "");
    Expect(0, 65279, '\p{^Lb=	_WJ}', "");
    Expect(0, 65279, '\P{Lb=	_WJ}', "");
    Expect(1, 65279, '\P{^Lb=	_WJ}', "");
    Expect(0, 65280, '\p{Lb=	_WJ}', "");
    Expect(1, 65280, '\p{^Lb=	_WJ}', "");
    Expect(1, 65280, '\P{Lb=	_WJ}', "");
    Expect(0, 65280, '\P{^Lb=	_WJ}', "");
    Error('\p{Is_Line_Break=	:=WORD_joiner}');
    Error('\P{Is_Line_Break=	:=WORD_joiner}');
    Expect(1, 65279, '\p{Is_Line_Break:wordjoiner}', "");
    Expect(0, 65279, '\p{^Is_Line_Break:wordjoiner}', "");
    Expect(0, 65279, '\P{Is_Line_Break:wordjoiner}', "");
    Expect(1, 65279, '\P{^Is_Line_Break:wordjoiner}', "");
    Expect(0, 65280, '\p{Is_Line_Break:wordjoiner}', "");
    Expect(1, 65280, '\p{^Is_Line_Break:wordjoiner}', "");
    Expect(1, 65280, '\P{Is_Line_Break:wordjoiner}', "");
    Expect(0, 65280, '\P{^Is_Line_Break:wordjoiner}', "");
    Expect(1, 65279, '\p{Is_Line_Break=WORD_Joiner}', "");
    Expect(0, 65279, '\p{^Is_Line_Break=WORD_Joiner}', "");
    Expect(0, 65279, '\P{Is_Line_Break=WORD_Joiner}', "");
    Expect(1, 65279, '\P{^Is_Line_Break=WORD_Joiner}', "");
    Expect(0, 65280, '\p{Is_Line_Break=WORD_Joiner}', "");
    Expect(1, 65280, '\p{^Is_Line_Break=WORD_Joiner}', "");
    Expect(1, 65280, '\P{Is_Line_Break=WORD_Joiner}', "");
    Expect(0, 65280, '\P{^Is_Line_Break=WORD_Joiner}', "");
    Error('\p{Is_Lb=:= _wj}');
    Error('\P{Is_Lb=:= _wj}');
    Expect(1, 65279, '\p{Is_Lb=wj}', "");
    Expect(0, 65279, '\p{^Is_Lb=wj}', "");
    Expect(0, 65279, '\P{Is_Lb=wj}', "");
    Expect(1, 65279, '\P{^Is_Lb=wj}', "");
    Expect(0, 65280, '\p{Is_Lb=wj}', "");
    Expect(1, 65280, '\p{^Is_Lb=wj}', "");
    Expect(1, 65280, '\P{Is_Lb=wj}', "");
    Expect(0, 65280, '\P{^Is_Lb=wj}', "");
    Expect(1, 65279, '\p{Is_Lb= wj}', "");
    Expect(0, 65279, '\p{^Is_Lb= wj}', "");
    Expect(0, 65279, '\P{Is_Lb= wj}', "");
    Expect(1, 65279, '\P{^Is_Lb= wj}', "");
    Expect(0, 65280, '\p{Is_Lb= wj}', "");
    Expect(1, 65280, '\p{^Is_Lb= wj}', "");
    Expect(1, 65280, '\P{Is_Lb= wj}', "");
    Expect(0, 65280, '\P{^Is_Lb= wj}', "");
    Error('\p{Line_Break= /a/UNKNOWN}');
    Error('\P{Line_Break= /a/UNKNOWN}');
    Expect(1, 918000, '\p{Line_Break=:\AUnknown\z:}', "");;
    Expect(0, 917999, '\p{Line_Break=:\AUnknown\z:}', "");;
    Expect(1, 918000, '\p{Line_Break=unknown}', "");
    Expect(0, 918000, '\p{^Line_Break=unknown}', "");
    Expect(0, 918000, '\P{Line_Break=unknown}', "");
    Expect(1, 918000, '\P{^Line_Break=unknown}', "");
    Expect(0, 917999, '\p{Line_Break=unknown}', "");
    Expect(1, 917999, '\p{^Line_Break=unknown}', "");
    Expect(1, 917999, '\P{Line_Break=unknown}', "");
    Expect(0, 917999, '\P{^Line_Break=unknown}', "");
    Expect(1, 918000, '\p{Line_Break=:\Aunknown\z:}', "");;
    Expect(0, 917999, '\p{Line_Break=:\Aunknown\z:}', "");;
    Expect(1, 918000, '\p{Line_Break=-	Unknown}', "");
    Expect(0, 918000, '\p{^Line_Break=-	Unknown}', "");
    Expect(0, 918000, '\P{Line_Break=-	Unknown}', "");
    Expect(1, 918000, '\P{^Line_Break=-	Unknown}', "");
    Expect(0, 917999, '\p{Line_Break=-	Unknown}', "");
    Expect(1, 917999, '\p{^Line_Break=-	Unknown}', "");
    Expect(1, 917999, '\P{Line_Break=-	Unknown}', "");
    Expect(0, 917999, '\P{^Line_Break=-	Unknown}', "");
    Error('\p{Lb=/a/  XX}');
    Error('\P{Lb=/a/  XX}');
    Expect(1, 918000, '\p{Lb=:\AXX\z:}', "");;
    Expect(0, 917999, '\p{Lb=:\AXX\z:}', "");;
    Expect(1, 918000, '\p{Lb=xx}', "");
    Expect(0, 918000, '\p{^Lb=xx}', "");
    Expect(0, 918000, '\P{Lb=xx}', "");
    Expect(1, 918000, '\P{^Lb=xx}', "");
    Expect(0, 917999, '\p{Lb=xx}', "");
    Expect(1, 917999, '\p{^Lb=xx}', "");
    Expect(1, 917999, '\P{Lb=xx}', "");
    Expect(0, 917999, '\P{^Lb=xx}', "");
    Expect(1, 918000, '\p{Lb=:\Axx\z:}', "");;
    Expect(0, 917999, '\p{Lb=:\Axx\z:}', "");;
    Expect(1, 918000, '\p{Lb=--XX}', "");
    Expect(0, 918000, '\p{^Lb=--XX}', "");
    Expect(0, 918000, '\P{Lb=--XX}', "");
    Expect(1, 918000, '\P{^Lb=--XX}', "");
    Expect(0, 917999, '\p{Lb=--XX}', "");
    Expect(1, 917999, '\p{^Lb=--XX}', "");
    Expect(1, 917999, '\P{Lb=--XX}', "");
    Expect(0, 917999, '\P{^Lb=--XX}', "");
    Error('\p{Is_Line_Break=-/a/unknown}');
    Error('\P{Is_Line_Break=-/a/unknown}');
    Expect(1, 918000, '\p{Is_Line_Break=unknown}', "");
    Expect(0, 918000, '\p{^Is_Line_Break=unknown}', "");
    Expect(0, 918000, '\P{Is_Line_Break=unknown}', "");
    Expect(1, 918000, '\P{^Is_Line_Break=unknown}', "");
    Expect(0, 917999, '\p{Is_Line_Break=unknown}', "");
    Expect(1, 917999, '\p{^Is_Line_Break=unknown}', "");
    Expect(1, 917999, '\P{Is_Line_Break=unknown}', "");
    Expect(0, 917999, '\P{^Is_Line_Break=unknown}', "");
    Expect(1, 918000, '\p{Is_Line_Break=-unknown}', "");
    Expect(0, 918000, '\p{^Is_Line_Break=-unknown}', "");
    Expect(0, 918000, '\P{Is_Line_Break=-unknown}', "");
    Expect(1, 918000, '\P{^Is_Line_Break=-unknown}', "");
    Expect(0, 917999, '\p{Is_Line_Break=-unknown}', "");
    Expect(1, 917999, '\p{^Is_Line_Break=-unknown}', "");
    Expect(1, 917999, '\P{Is_Line_Break=-unknown}', "");
    Expect(0, 917999, '\P{^Is_Line_Break=-unknown}', "");
    Error('\p{Is_Lb= _XX/a/}');
    Error('\P{Is_Lb= _XX/a/}');
    Expect(1, 918000, '\p{Is_Lb=xx}', "");
    Expect(0, 918000, '\p{^Is_Lb=xx}', "");
    Expect(0, 918000, '\P{Is_Lb=xx}', "");
    Expect(1, 918000, '\P{^Is_Lb=xx}', "");
    Expect(0, 917999, '\p{Is_Lb=xx}', "");
    Expect(1, 917999, '\p{^Is_Lb=xx}', "");
    Expect(1, 917999, '\P{Is_Lb=xx}', "");
    Expect(0, 917999, '\P{^Is_Lb=xx}', "");
    Expect(1, 918000, '\p{Is_Lb=	XX}', "");
    Expect(0, 918000, '\p{^Is_Lb=	XX}', "");
    Expect(0, 918000, '\P{Is_Lb=	XX}', "");
    Expect(1, 918000, '\P{^Is_Lb=	XX}', "");
    Expect(0, 917999, '\p{Is_Lb=	XX}', "");
    Expect(1, 917999, '\p{^Is_Lb=	XX}', "");
    Expect(1, 917999, '\P{Is_Lb=	XX}', "");
    Expect(0, 917999, '\P{^Is_Lb=	XX}', "");
    Error('\p{Line_Break= ZWSpace:=}');
    Error('\P{Line_Break= ZWSpace:=}');
    Expect(1, 8203, '\p{Line_Break=:\AZWSpace\z:}', "");;
    Expect(0, 8204, '\p{Line_Break=:\AZWSpace\z:}', "");;
    Expect(1, 8203, '\p{Line_Break=zwspace}', "");
    Expect(0, 8203, '\p{^Line_Break=zwspace}', "");
    Expect(0, 8203, '\P{Line_Break=zwspace}', "");
    Expect(1, 8203, '\P{^Line_Break=zwspace}', "");
    Expect(0, 8204, '\p{Line_Break=zwspace}', "");
    Expect(1, 8204, '\p{^Line_Break=zwspace}', "");
    Expect(1, 8204, '\P{Line_Break=zwspace}', "");
    Expect(0, 8204, '\P{^Line_Break=zwspace}', "");
    Expect(1, 8203, '\p{Line_Break=:\Azwspace\z:}', "");;
    Expect(0, 8204, '\p{Line_Break=:\Azwspace\z:}', "");;
    Expect(1, 8203, '\p{Line_Break= -ZWSpace}', "");
    Expect(0, 8203, '\p{^Line_Break= -ZWSpace}', "");
    Expect(0, 8203, '\P{Line_Break= -ZWSpace}', "");
    Expect(1, 8203, '\P{^Line_Break= -ZWSpace}', "");
    Expect(0, 8204, '\p{Line_Break= -ZWSpace}', "");
    Expect(1, 8204, '\p{^Line_Break= -ZWSpace}', "");
    Expect(1, 8204, '\P{Line_Break= -ZWSpace}', "");
    Expect(0, 8204, '\P{^Line_Break= -ZWSpace}', "");
    Error('\p{Lb=_/a/ZW}');
    Error('\P{Lb=_/a/ZW}');
    Expect(1, 8203, '\p{Lb=:\AZW\z:}', "");;
    Expect(0, 8204, '\p{Lb=:\AZW\z:}', "");;
    Expect(1, 8203, '\p{Lb=zw}', "");
    Expect(0, 8203, '\p{^Lb=zw}', "");
    Expect(0, 8203, '\P{Lb=zw}', "");
    Expect(1, 8203, '\P{^Lb=zw}', "");
    Expect(0, 8204, '\p{Lb=zw}', "");
    Expect(1, 8204, '\p{^Lb=zw}', "");
    Expect(1, 8204, '\P{Lb=zw}', "");
    Expect(0, 8204, '\P{^Lb=zw}', "");
    Expect(1, 8203, '\p{Lb=:\Azw\z:}', "");;
    Expect(0, 8204, '\p{Lb=:\Azw\z:}', "");;
    Expect(1, 8203, '\p{Lb=-	ZW}', "");
    Expect(0, 8203, '\p{^Lb=-	ZW}', "");
    Expect(0, 8203, '\P{Lb=-	ZW}', "");
    Expect(1, 8203, '\P{^Lb=-	ZW}', "");
    Expect(0, 8204, '\p{Lb=-	ZW}', "");
    Expect(1, 8204, '\p{^Lb=-	ZW}', "");
    Expect(1, 8204, '\P{Lb=-	ZW}', "");
    Expect(0, 8204, '\P{^Lb=-	ZW}', "");
    Error('\p{Is_Line_Break=/a/ zwspace}');
    Error('\P{Is_Line_Break=/a/ zwspace}');
    Expect(1, 8203, '\p{Is_Line_Break=zwspace}', "");
    Expect(0, 8203, '\p{^Is_Line_Break=zwspace}', "");
    Expect(0, 8203, '\P{Is_Line_Break=zwspace}', "");
    Expect(1, 8203, '\P{^Is_Line_Break=zwspace}', "");
    Expect(0, 8204, '\p{Is_Line_Break=zwspace}', "");
    Expect(1, 8204, '\p{^Is_Line_Break=zwspace}', "");
    Expect(1, 8204, '\P{Is_Line_Break=zwspace}', "");
    Expect(0, 8204, '\P{^Is_Line_Break=zwspace}', "");
    Expect(1, 8203, '\p{Is_Line_Break=-_zwspace}', "");
    Expect(0, 8203, '\p{^Is_Line_Break=-_zwspace}', "");
    Expect(0, 8203, '\P{Is_Line_Break=-_zwspace}', "");
    Expect(1, 8203, '\P{^Is_Line_Break=-_zwspace}', "");
    Expect(0, 8204, '\p{Is_Line_Break=-_zwspace}', "");
    Expect(1, 8204, '\p{^Is_Line_Break=-_zwspace}', "");
    Expect(1, 8204, '\P{Is_Line_Break=-_zwspace}', "");
    Expect(0, 8204, '\P{^Is_Line_Break=-_zwspace}', "");
    Error('\p{Is_Lb=/a/ _ZW}');
    Error('\P{Is_Lb=/a/ _ZW}');
    Expect(1, 8203, '\p{Is_Lb=zw}', "");
    Expect(0, 8203, '\p{^Is_Lb=zw}', "");
    Expect(0, 8203, '\P{Is_Lb=zw}', "");
    Expect(1, 8203, '\P{^Is_Lb=zw}', "");
    Expect(0, 8204, '\p{Is_Lb=zw}', "");
    Expect(1, 8204, '\p{^Is_Lb=zw}', "");
    Expect(1, 8204, '\P{Is_Lb=zw}', "");
    Expect(0, 8204, '\P{^Is_Lb=zw}', "");
    Expect(1, 8203, '\p{Is_Lb=ZW}', "");
    Expect(0, 8203, '\p{^Is_Lb=ZW}', "");
    Expect(0, 8203, '\P{Is_Lb=ZW}', "");
    Expect(1, 8203, '\P{^Is_Lb=ZW}', "");
    Expect(0, 8204, '\p{Is_Lb=ZW}', "");
    Expect(1, 8204, '\p{^Is_Lb=ZW}', "");
    Expect(1, 8204, '\P{Is_Lb=ZW}', "");
    Expect(0, 8204, '\P{^Is_Lb=ZW}', "");
    Error('\p{Line_Break=:= 	ZWJ}');
    Error('\P{Line_Break=:= 	ZWJ}');
    Expect(1, 8205, '\p{Line_Break=:\AZWJ\z:}', "");;
    Expect(0, 8206, '\p{Line_Break=:\AZWJ\z:}', "");;
    Expect(1, 8205, '\p{Line_Break=zwj}', "");
    Expect(0, 8205, '\p{^Line_Break=zwj}', "");
    Expect(0, 8205, '\P{Line_Break=zwj}', "");
    Expect(1, 8205, '\P{^Line_Break=zwj}', "");
    Expect(0, 8206, '\p{Line_Break=zwj}', "");
    Expect(1, 8206, '\p{^Line_Break=zwj}', "");
    Expect(1, 8206, '\P{Line_Break=zwj}', "");
    Expect(0, 8206, '\P{^Line_Break=zwj}', "");
    Expect(1, 8205, '\p{Line_Break=:\Azwj\z:}', "");;
    Expect(0, 8206, '\p{Line_Break=:\Azwj\z:}', "");;
    Expect(1, 8205, '\p{Line_Break=	 ZWJ}', "");
    Expect(0, 8205, '\p{^Line_Break=	 ZWJ}', "");
    Expect(0, 8205, '\P{Line_Break=	 ZWJ}', "");
    Expect(1, 8205, '\P{^Line_Break=	 ZWJ}', "");
    Expect(0, 8206, '\p{Line_Break=	 ZWJ}', "");
    Expect(1, 8206, '\p{^Line_Break=	 ZWJ}', "");
    Expect(1, 8206, '\P{Line_Break=	 ZWJ}', "");
    Expect(0, 8206, '\P{^Line_Break=	 ZWJ}', "");
    Error('\p{Lb=_ zwj/a/}');
    Error('\P{Lb=_ zwj/a/}');
    Expect(1, 8205, '\p{Lb=:\AZWJ\z:}', "");;
    Expect(0, 8206, '\p{Lb=:\AZWJ\z:}', "");;
    Expect(1, 8205, '\p{Lb:zwj}', "");
    Expect(0, 8205, '\p{^Lb:zwj}', "");
    Expect(0, 8205, '\P{Lb:zwj}', "");
    Expect(1, 8205, '\P{^Lb:zwj}', "");
    Expect(0, 8206, '\p{Lb:zwj}', "");
    Expect(1, 8206, '\p{^Lb:zwj}', "");
    Expect(1, 8206, '\P{Lb:zwj}', "");
    Expect(0, 8206, '\P{^Lb:zwj}', "");
    Expect(1, 8205, '\p{Lb=:\Azwj\z:}', "");;
    Expect(0, 8206, '\p{Lb=:\Azwj\z:}', "");;
    Expect(1, 8205, '\p{Lb=- zwj}', "");
    Expect(0, 8205, '\p{^Lb=- zwj}', "");
    Expect(0, 8205, '\P{Lb=- zwj}', "");
    Expect(1, 8205, '\P{^Lb=- zwj}', "");
    Expect(0, 8206, '\p{Lb=- zwj}', "");
    Expect(1, 8206, '\p{^Lb=- zwj}', "");
    Expect(1, 8206, '\P{Lb=- zwj}', "");
    Expect(0, 8206, '\P{^Lb=- zwj}', "");
    Error('\p{Is_Line_Break=/a/ 	ZWJ}');
    Error('\P{Is_Line_Break=/a/ 	ZWJ}');
    Expect(1, 8205, '\p{Is_Line_Break=zwj}', "");
    Expect(0, 8205, '\p{^Is_Line_Break=zwj}', "");
    Expect(0, 8205, '\P{Is_Line_Break=zwj}', "");
    Expect(1, 8205, '\P{^Is_Line_Break=zwj}', "");
    Expect(0, 8206, '\p{Is_Line_Break=zwj}', "");
    Expect(1, 8206, '\p{^Is_Line_Break=zwj}', "");
    Expect(1, 8206, '\P{Is_Line_Break=zwj}', "");
    Expect(0, 8206, '\P{^Is_Line_Break=zwj}', "");
    Expect(1, 8205, '\p{Is_Line_Break=__zwj}', "");
    Expect(0, 8205, '\p{^Is_Line_Break=__zwj}', "");
    Expect(0, 8205, '\P{Is_Line_Break=__zwj}', "");
    Expect(1, 8205, '\P{^Is_Line_Break=__zwj}', "");
    Expect(0, 8206, '\p{Is_Line_Break=__zwj}', "");
    Expect(1, 8206, '\p{^Is_Line_Break=__zwj}', "");
    Expect(1, 8206, '\P{Is_Line_Break=__zwj}', "");
    Expect(0, 8206, '\P{^Is_Line_Break=__zwj}', "");
    Error('\p{Is_Lb=_	ZWJ:=}');
    Error('\P{Is_Lb=_	ZWJ:=}');
    Expect(1, 8205, '\p{Is_Lb=zwj}', "");
    Expect(0, 8205, '\p{^Is_Lb=zwj}', "");
    Expect(0, 8205, '\P{Is_Lb=zwj}', "");
    Expect(1, 8205, '\P{^Is_Lb=zwj}', "");
    Expect(0, 8206, '\p{Is_Lb=zwj}', "");
    Expect(1, 8206, '\p{^Is_Lb=zwj}', "");
    Expect(1, 8206, '\P{Is_Lb=zwj}', "");
    Expect(0, 8206, '\P{^Is_Lb=zwj}', "");
    Expect(1, 8205, '\p{Is_Lb: _ zwj}', "");
    Expect(0, 8205, '\p{^Is_Lb: _ zwj}', "");
    Expect(0, 8205, '\P{Is_Lb: _ zwj}', "");
    Expect(1, 8205, '\P{^Is_Lb: _ zwj}', "");
    Expect(0, 8206, '\p{Is_Lb: _ zwj}', "");
    Expect(1, 8206, '\p{^Is_Lb: _ zwj}', "");
    Expect(1, 8206, '\P{Is_Lb: _ zwj}', "");
    Expect(0, 8206, '\P{^Is_Lb: _ zwj}', "");
    Error('\p{lowercasemapping}');
    Error('\P{lowercasemapping}');
    Error('\p{Logical_Order_Exception=	:=No}');
    Error('\P{Logical_Order_Exception=	:=No}');
    Expect(1, 43709, '\p{Logical_Order_Exception=:\ANo\z:}', "");;
    Expect(0, 43708, '\p{Logical_Order_Exception=:\ANo\z:}', "");;
    Expect(1, 43709, '\p{Logical_Order_Exception=no}', "");
    Expect(0, 43709, '\p{^Logical_Order_Exception=no}', "");
    Expect(0, 43709, '\P{Logical_Order_Exception=no}', "");
    Expect(1, 43709, '\P{^Logical_Order_Exception=no}', "");
    Expect(0, 43708, '\p{Logical_Order_Exception=no}', "");
    Expect(1, 43708, '\p{^Logical_Order_Exception=no}', "");
    Expect(1, 43708, '\P{Logical_Order_Exception=no}', "");
    Expect(0, 43708, '\P{^Logical_Order_Exception=no}', "");
    Expect(1, 43709, '\p{Logical_Order_Exception=:\Ano\z:}', "");;
    Expect(0, 43708, '\p{Logical_Order_Exception=:\Ano\z:}', "");;
    Expect(1, 43709, '\p{Logical_Order_Exception:	-NO}', "");
    Expect(0, 43709, '\p{^Logical_Order_Exception:	-NO}', "");
    Expect(0, 43709, '\P{Logical_Order_Exception:	-NO}', "");
    Expect(1, 43709, '\P{^Logical_Order_Exception:	-NO}', "");
    Expect(0, 43708, '\p{Logical_Order_Exception:	-NO}', "");
    Expect(1, 43708, '\p{^Logical_Order_Exception:	-NO}', "");
    Expect(1, 43708, '\P{Logical_Order_Exception:	-NO}', "");
    Expect(0, 43708, '\P{^Logical_Order_Exception:	-NO}', "");
    Error('\p{LOE:    :=N}');
    Error('\P{LOE:    :=N}');
    Expect(1, 43709, '\p{LOE=:\AN\z:}', "");;
    Expect(0, 43708, '\p{LOE=:\AN\z:}', "");;
    Expect(1, 43709, '\p{LOE=n}', "");
    Expect(0, 43709, '\p{^LOE=n}', "");
    Expect(0, 43709, '\P{LOE=n}', "");
    Expect(1, 43709, '\P{^LOE=n}', "");
    Expect(0, 43708, '\p{LOE=n}', "");
    Expect(1, 43708, '\p{^LOE=n}', "");
    Expect(1, 43708, '\P{LOE=n}', "");
    Expect(0, 43708, '\P{^LOE=n}', "");
    Expect(1, 43709, '\p{LOE=:\An\z:}', "");;
    Expect(0, 43708, '\p{LOE=:\An\z:}', "");;
    Expect(1, 43709, '\p{LOE=-_N}', "");
    Expect(0, 43709, '\p{^LOE=-_N}', "");
    Expect(0, 43709, '\P{LOE=-_N}', "");
    Expect(1, 43709, '\P{^LOE=-_N}', "");
    Expect(0, 43708, '\p{LOE=-_N}', "");
    Expect(1, 43708, '\p{^LOE=-_N}', "");
    Expect(1, 43708, '\P{LOE=-_N}', "");
    Expect(0, 43708, '\P{^LOE=-_N}', "");
    Error('\p{Is_Logical_Order_Exception=/a/	F}');
    Error('\P{Is_Logical_Order_Exception=/a/	F}');
    Expect(1, 43709, '\p{Is_Logical_Order_Exception=f}', "");
    Expect(0, 43709, '\p{^Is_Logical_Order_Exception=f}', "");
    Expect(0, 43709, '\P{Is_Logical_Order_Exception=f}', "");
    Expect(1, 43709, '\P{^Is_Logical_Order_Exception=f}', "");
    Expect(0, 43708, '\p{Is_Logical_Order_Exception=f}', "");
    Expect(1, 43708, '\p{^Is_Logical_Order_Exception=f}', "");
    Expect(1, 43708, '\P{Is_Logical_Order_Exception=f}', "");
    Expect(0, 43708, '\P{^Is_Logical_Order_Exception=f}', "");
    Expect(1, 43709, '\p{Is_Logical_Order_Exception=	_F}', "");
    Expect(0, 43709, '\p{^Is_Logical_Order_Exception=	_F}', "");
    Expect(0, 43709, '\P{Is_Logical_Order_Exception=	_F}', "");
    Expect(1, 43709, '\P{^Is_Logical_Order_Exception=	_F}', "");
    Expect(0, 43708, '\p{Is_Logical_Order_Exception=	_F}', "");
    Expect(1, 43708, '\p{^Is_Logical_Order_Exception=	_F}', "");
    Expect(1, 43708, '\P{Is_Logical_Order_Exception=	_F}', "");
    Expect(0, 43708, '\P{^Is_Logical_Order_Exception=	_F}', "");
    Error('\p{Is_LOE=_False/a/}');
    Error('\P{Is_LOE=_False/a/}');
    Expect(1, 43709, '\p{Is_LOE:   false}', "");
    Expect(0, 43709, '\p{^Is_LOE:   false}', "");
    Expect(0, 43709, '\P{Is_LOE:   false}', "");
    Expect(1, 43709, '\P{^Is_LOE:   false}', "");
    Expect(0, 43708, '\p{Is_LOE:   false}', "");
    Expect(1, 43708, '\p{^Is_LOE:   false}', "");
    Expect(1, 43708, '\P{Is_LOE:   false}', "");
    Expect(0, 43708, '\P{^Is_LOE:   false}', "");
    Expect(1, 43709, '\p{Is_LOE=-_FALSE}', "");
    Expect(0, 43709, '\p{^Is_LOE=-_FALSE}', "");
    Expect(0, 43709, '\P{Is_LOE=-_FALSE}', "");
    Expect(1, 43709, '\P{^Is_LOE=-_FALSE}', "");
    Expect(0, 43708, '\p{Is_LOE=-_FALSE}', "");
    Expect(1, 43708, '\p{^Is_LOE=-_FALSE}', "");
    Expect(1, 43708, '\P{Is_LOE=-_FALSE}', "");
    Expect(0, 43708, '\P{^Is_LOE=-_FALSE}', "");
    Error('\p{Logical_Order_Exception=	:=Yes}');
    Error('\P{Logical_Order_Exception=	:=Yes}');
    Expect(1, 43708, '\p{Logical_Order_Exception=:\AYes\z:}', "");;
    Expect(0, 43709, '\p{Logical_Order_Exception=:\AYes\z:}', "");;
    Expect(1, 43708, '\p{Logical_Order_Exception=yes}', "");
    Expect(0, 43708, '\p{^Logical_Order_Exception=yes}', "");
    Expect(0, 43708, '\P{Logical_Order_Exception=yes}', "");
    Expect(1, 43708, '\P{^Logical_Order_Exception=yes}', "");
    Expect(0, 43709, '\p{Logical_Order_Exception=yes}', "");
    Expect(1, 43709, '\p{^Logical_Order_Exception=yes}', "");
    Expect(1, 43709, '\P{Logical_Order_Exception=yes}', "");
    Expect(0, 43709, '\P{^Logical_Order_Exception=yes}', "");
    Expect(1, 43708, '\p{Logical_Order_Exception=:\Ayes\z:}', "");;
    Expect(0, 43709, '\p{Logical_Order_Exception=:\Ayes\z:}', "");;
    Expect(1, 43708, '\p{Logical_Order_Exception= _Yes}', "");
    Expect(0, 43708, '\p{^Logical_Order_Exception= _Yes}', "");
    Expect(0, 43708, '\P{Logical_Order_Exception= _Yes}', "");
    Expect(1, 43708, '\P{^Logical_Order_Exception= _Yes}', "");
    Expect(0, 43709, '\p{Logical_Order_Exception= _Yes}', "");
    Expect(1, 43709, '\p{^Logical_Order_Exception= _Yes}', "");
    Expect(1, 43709, '\P{Logical_Order_Exception= _Yes}', "");
    Expect(0, 43709, '\P{^Logical_Order_Exception= _Yes}', "");
    Error('\p{LOE=/a/Y}');
    Error('\P{LOE=/a/Y}');
    Expect(1, 43708, '\p{LOE=:\AY\z:}', "");;
    Expect(0, 43709, '\p{LOE=:\AY\z:}', "");;
    Expect(1, 43708, '\p{LOE=y}', "");
    Expect(0, 43708, '\p{^LOE=y}', "");
    Expect(0, 43708, '\P{LOE=y}', "");
    Expect(1, 43708, '\P{^LOE=y}', "");
    Expect(0, 43709, '\p{LOE=y}', "");
    Expect(1, 43709, '\p{^LOE=y}', "");
    Expect(1, 43709, '\P{LOE=y}', "");
    Expect(0, 43709, '\P{^LOE=y}', "");
    Expect(1, 43708, '\p{LOE=:\Ay\z:}', "");;
    Expect(0, 43709, '\p{LOE=:\Ay\z:}', "");;
    Expect(1, 43708, '\p{LOE:__y}', "");
    Expect(0, 43708, '\p{^LOE:__y}', "");
    Expect(0, 43708, '\P{LOE:__y}', "");
    Expect(1, 43708, '\P{^LOE:__y}', "");
    Expect(0, 43709, '\p{LOE:__y}', "");
    Expect(1, 43709, '\p{^LOE:__y}', "");
    Expect(1, 43709, '\P{LOE:__y}', "");
    Expect(0, 43709, '\P{^LOE:__y}', "");
    Error('\p{Is_Logical_Order_Exception=_T:=}');
    Error('\P{Is_Logical_Order_Exception=_T:=}');
    Expect(1, 43708, '\p{Is_Logical_Order_Exception=t}', "");
    Expect(0, 43708, '\p{^Is_Logical_Order_Exception=t}', "");
    Expect(0, 43708, '\P{Is_Logical_Order_Exception=t}', "");
    Expect(1, 43708, '\P{^Is_Logical_Order_Exception=t}', "");
    Expect(0, 43709, '\p{Is_Logical_Order_Exception=t}', "");
    Expect(1, 43709, '\p{^Is_Logical_Order_Exception=t}', "");
    Expect(1, 43709, '\P{Is_Logical_Order_Exception=t}', "");
    Expect(0, 43709, '\P{^Is_Logical_Order_Exception=t}', "");
    Expect(1, 43708, '\p{Is_Logical_Order_Exception=	T}', "");
    Expect(0, 43708, '\p{^Is_Logical_Order_Exception=	T}', "");
    Expect(0, 43708, '\P{Is_Logical_Order_Exception=	T}', "");
    Expect(1, 43708, '\P{^Is_Logical_Order_Exception=	T}', "");
    Expect(0, 43709, '\p{Is_Logical_Order_Exception=	T}', "");
    Expect(1, 43709, '\p{^Is_Logical_Order_Exception=	T}', "");
    Expect(1, 43709, '\P{Is_Logical_Order_Exception=	T}', "");
    Expect(0, 43709, '\P{^Is_Logical_Order_Exception=	T}', "");
    Error('\p{Is_LOE=_True/a/}');
    Error('\P{Is_LOE=_True/a/}');
    Expect(1, 43708, '\p{Is_LOE=true}', "");
    Expect(0, 43708, '\p{^Is_LOE=true}', "");
    Expect(0, 43708, '\P{Is_LOE=true}', "");
    Expect(1, 43708, '\P{^Is_LOE=true}', "");
    Expect(0, 43709, '\p{Is_LOE=true}', "");
    Expect(1, 43709, '\p{^Is_LOE=true}', "");
    Expect(1, 43709, '\P{Is_LOE=true}', "");
    Expect(0, 43709, '\P{^Is_LOE=true}', "");
    Expect(1, 43708, '\p{Is_LOE=__TRUE}', "");
    Expect(0, 43708, '\p{^Is_LOE=__TRUE}', "");
    Expect(0, 43708, '\P{Is_LOE=__TRUE}', "");
    Expect(1, 43708, '\P{^Is_LOE=__TRUE}', "");
    Expect(0, 43709, '\p{Is_LOE=__TRUE}', "");
    Expect(1, 43709, '\p{^Is_LOE=__TRUE}', "");
    Expect(1, 43709, '\P{Is_LOE=__TRUE}', "");
    Expect(0, 43709, '\P{^Is_LOE=__TRUE}', "");
    Error('\p{Lowercase=_/a/NO}');
    Error('\P{Lowercase=_/a/NO}');
    Expect(1, 125252, '\p{Lowercase=:\ANo\z:}', "");;
    Expect(0, 125251, '\p{Lowercase=:\ANo\z:}', "");;
    Expect(1, 125252, '\p{Lowercase=no}', "");
    Expect(0, 125252, '\p{^Lowercase=no}', "");
    Expect(0, 125252, '\P{Lowercase=no}', "");
    Expect(1, 125252, '\P{^Lowercase=no}', "");
    Expect(0, 125251, '\p{Lowercase=no}', "");
    Expect(1, 125251, '\p{^Lowercase=no}', "");
    Expect(1, 125251, '\P{Lowercase=no}', "");
    Expect(0, 125251, '\P{^Lowercase=no}', "");
    Expect(1, 125252, '\p{Lowercase=:\Ano\z:}', "");;
    Expect(0, 125251, '\p{Lowercase=:\Ano\z:}', "");;
    Expect(1, 125252, '\p{Lowercase=- No}', "");
    Expect(0, 125252, '\p{^Lowercase=- No}', "");
    Expect(0, 125252, '\P{Lowercase=- No}', "");
    Expect(1, 125252, '\P{^Lowercase=- No}', "");
    Expect(0, 125251, '\p{Lowercase=- No}', "");
    Expect(1, 125251, '\p{^Lowercase=- No}', "");
    Expect(1, 125251, '\P{Lowercase=- No}', "");
    Expect(0, 125251, '\P{^Lowercase=- No}', "");
    Error('\p{Lower=/a/-_n}');
    Error('\P{Lower=/a/-_n}');
    Expect(1, 125252, '\p{Lower=:\AN\z:}', "");;
    Expect(0, 125251, '\p{Lower=:\AN\z:}', "");;
    Expect(1, 125252, '\p{Lower=n}', "");
    Expect(0, 125252, '\p{^Lower=n}', "");
    Expect(0, 125252, '\P{Lower=n}', "");
    Expect(1, 125252, '\P{^Lower=n}', "");
    Expect(0, 125251, '\p{Lower=n}', "");
    Expect(1, 125251, '\p{^Lower=n}', "");
    Expect(1, 125251, '\P{Lower=n}', "");
    Expect(0, 125251, '\P{^Lower=n}', "");
    Expect(1, 125252, '\p{Lower=:\An\z:}', "");;
    Expect(0, 125251, '\p{Lower=:\An\z:}', "");;
    Expect(1, 125252, '\p{Lower=_N}', "");
    Expect(0, 125252, '\p{^Lower=_N}', "");
    Expect(0, 125252, '\P{Lower=_N}', "");
    Expect(1, 125252, '\P{^Lower=_N}', "");
    Expect(0, 125251, '\p{Lower=_N}', "");
    Expect(1, 125251, '\p{^Lower=_N}', "");
    Expect(1, 125251, '\P{Lower=_N}', "");
    Expect(0, 125251, '\P{^Lower=_N}', "");
    Error('\p{Is_Lowercase=	_F/a/}');
    Error('\P{Is_Lowercase=	_F/a/}');
    Expect(1, 125252, '\p{Is_Lowercase=f}', "");
    Expect(0, 125252, '\p{^Is_Lowercase=f}', "");
    Expect(0, 125252, '\P{Is_Lowercase=f}', "");
    Expect(1, 125252, '\P{^Is_Lowercase=f}', "");
    Expect(0, 125251, '\p{Is_Lowercase=f}', "");
    Expect(1, 125251, '\p{^Is_Lowercase=f}', "");
    Expect(1, 125251, '\P{Is_Lowercase=f}', "");
    Expect(0, 125251, '\P{^Is_Lowercase=f}', "");
    Expect(1, 125252, '\p{Is_Lowercase=-F}', "");
    Expect(0, 125252, '\p{^Is_Lowercase=-F}', "");
    Expect(0, 125252, '\P{Is_Lowercase=-F}', "");
    Expect(1, 125252, '\P{^Is_Lowercase=-F}', "");
    Expect(0, 125251, '\p{Is_Lowercase=-F}', "");
    Expect(1, 125251, '\p{^Is_Lowercase=-F}', "");
    Expect(1, 125251, '\P{Is_Lowercase=-F}', "");
    Expect(0, 125251, '\P{^Is_Lowercase=-F}', "");
    Error('\p{Is_Lower=_False/a/}');
    Error('\P{Is_Lower=_False/a/}');
    Expect(1, 125252, '\p{Is_Lower=false}', "");
    Expect(0, 125252, '\p{^Is_Lower=false}', "");
    Expect(0, 125252, '\P{Is_Lower=false}', "");
    Expect(1, 125252, '\P{^Is_Lower=false}', "");
    Expect(0, 125251, '\p{Is_Lower=false}', "");
    Expect(1, 125251, '\p{^Is_Lower=false}', "");
    Expect(1, 125251, '\P{Is_Lower=false}', "");
    Expect(0, 125251, '\P{^Is_Lower=false}', "");
    Expect(1, 125252, '\p{Is_Lower=- false}', "");
    Expect(0, 125252, '\p{^Is_Lower=- false}', "");
    Expect(0, 125252, '\P{Is_Lower=- false}', "");
    Expect(1, 125252, '\P{^Is_Lower=- false}', "");
    Expect(0, 125251, '\p{Is_Lower=- false}', "");
    Expect(1, 125251, '\p{^Is_Lower=- false}', "");
    Expect(1, 125251, '\P{Is_Lower=- false}', "");
    Expect(0, 125251, '\P{^Is_Lower=- false}', "");
    Error('\p{Lowercase=/a/	Yes}');
    Error('\P{Lowercase=/a/	Yes}');
    Expect(1, 125251, '\p{Lowercase=:\AYes\z:}', "");;
    Expect(0, 125252, '\p{Lowercase=:\AYes\z:}', "");;
    Expect(1, 125251, '\p{Lowercase=yes}', "");
    Expect(0, 125251, '\p{^Lowercase=yes}', "");
    Expect(0, 125251, '\P{Lowercase=yes}', "");
    Expect(1, 125251, '\P{^Lowercase=yes}', "");
    Expect(0, 125252, '\p{Lowercase=yes}', "");
    Expect(1, 125252, '\p{^Lowercase=yes}', "");
    Expect(1, 125252, '\P{Lowercase=yes}', "");
    Expect(0, 125252, '\P{^Lowercase=yes}', "");
    Expect(1, 125251, '\p{Lowercase=:\Ayes\z:}', "");;
    Expect(0, 125252, '\p{Lowercase=:\Ayes\z:}', "");;
    Expect(1, 125251, '\p{Lowercase=__yes}', "");
    Expect(0, 125251, '\p{^Lowercase=__yes}', "");
    Expect(0, 125251, '\P{Lowercase=__yes}', "");
    Expect(1, 125251, '\P{^Lowercase=__yes}', "");
    Expect(0, 125252, '\p{Lowercase=__yes}', "");
    Expect(1, 125252, '\p{^Lowercase=__yes}', "");
    Expect(1, 125252, '\P{Lowercase=__yes}', "");
    Expect(0, 125252, '\P{^Lowercase=__yes}', "");
    Error('\p{Lower=:= -Y}');
    Error('\P{Lower=:= -Y}');
    Expect(1, 125251, '\p{Lower=:\AY\z:}', "");;
    Expect(0, 125252, '\p{Lower=:\AY\z:}', "");;
    Expect(1, 125251, '\p{Lower=y}', "");
    Expect(0, 125251, '\p{^Lower=y}', "");
    Expect(0, 125251, '\P{Lower=y}', "");
    Expect(1, 125251, '\P{^Lower=y}', "");
    Expect(0, 125252, '\p{Lower=y}', "");
    Expect(1, 125252, '\p{^Lower=y}', "");
    Expect(1, 125252, '\P{Lower=y}', "");
    Expect(0, 125252, '\P{^Lower=y}', "");
    Expect(1, 125251, '\p{Lower=:\Ay\z:}', "");;
    Expect(0, 125252, '\p{Lower=:\Ay\z:}', "");;
    Expect(1, 125251, '\p{Lower=-_y}', "");
    Expect(0, 125251, '\p{^Lower=-_y}', "");
    Expect(0, 125251, '\P{Lower=-_y}', "");
    Expect(1, 125251, '\P{^Lower=-_y}', "");
    Expect(0, 125252, '\p{Lower=-_y}', "");
    Expect(1, 125252, '\p{^Lower=-_y}', "");
    Expect(1, 125252, '\P{Lower=-_y}', "");
    Expect(0, 125252, '\P{^Lower=-_y}', "");
    Error('\p{Is_Lowercase=:=_-T}');
    Error('\P{Is_Lowercase=:=_-T}');
    Expect(1, 125251, '\p{Is_Lowercase=t}', "");
    Expect(0, 125251, '\p{^Is_Lowercase=t}', "");
    Expect(0, 125251, '\P{Is_Lowercase=t}', "");
    Expect(1, 125251, '\P{^Is_Lowercase=t}', "");
    Expect(0, 125252, '\p{Is_Lowercase=t}', "");
    Expect(1, 125252, '\p{^Is_Lowercase=t}', "");
    Expect(1, 125252, '\P{Is_Lowercase=t}', "");
    Expect(0, 125252, '\P{^Is_Lowercase=t}', "");
    Error('\p{Is_Lower=/a/_ true}');
    Error('\P{Is_Lower=/a/_ true}');
    Expect(1, 125251, '\p{Is_Lower:true}', "");
    Expect(0, 125251, '\p{^Is_Lower:true}', "");
    Expect(0, 125251, '\P{Is_Lower:true}', "");
    Expect(1, 125251, '\P{^Is_Lower:true}', "");
    Expect(0, 125252, '\p{Is_Lower:true}', "");
    Expect(1, 125252, '\p{^Is_Lower:true}', "");
    Expect(1, 125252, '\P{Is_Lower:true}', "");
    Expect(0, 125252, '\P{^Is_Lower:true}', "");
    Expect(1, 125251, '\p{Is_Lower=_True}', "");
    Expect(0, 125251, '\p{^Is_Lower=_True}', "");
    Expect(0, 125251, '\P{Is_Lower=_True}', "");
    Expect(1, 125251, '\P{^Is_Lower=_True}', "");
    Expect(0, 125252, '\p{Is_Lower=_True}', "");
    Expect(1, 125252, '\p{^Is_Lower=_True}', "");
    Expect(1, 125252, '\P{Is_Lower=_True}', "");
    Expect(0, 125252, '\P{^Is_Lower=_True}', "");
    Error('\p{Math=	_no/a/}');
    Error('\P{Math=	_no/a/}');
    Expect(1, 126706, '\p{Math=:\ANo\z:}', "");;
    Expect(0, 126705, '\p{Math=:\ANo\z:}', "");;
    Expect(1, 126706, '\p{Math=no}', "");
    Expect(0, 126706, '\p{^Math=no}', "");
    Expect(0, 126706, '\P{Math=no}', "");
    Expect(1, 126706, '\P{^Math=no}', "");
    Expect(0, 126705, '\p{Math=no}', "");
    Expect(1, 126705, '\p{^Math=no}', "");
    Expect(1, 126705, '\P{Math=no}', "");
    Expect(0, 126705, '\P{^Math=no}', "");
    Expect(1, 126706, '\p{Math=:\Ano\z:}', "");;
    Expect(0, 126705, '\p{Math=:\Ano\z:}', "");;
    Expect(1, 126706, '\p{Math=_No}', "");
    Expect(0, 126706, '\p{^Math=_No}', "");
    Expect(0, 126706, '\P{Math=_No}', "");
    Expect(1, 126706, '\P{^Math=_No}', "");
    Expect(0, 126705, '\p{Math=_No}', "");
    Expect(1, 126705, '\p{^Math=_No}', "");
    Expect(1, 126705, '\P{Math=_No}', "");
    Expect(0, 126705, '\P{^Math=_No}', "");
    Error('\p{Is_Math=		N/a/}');
    Error('\P{Is_Math=		N/a/}');
    Expect(1, 126706, '\p{Is_Math=n}', "");
    Expect(0, 126706, '\p{^Is_Math=n}', "");
    Expect(0, 126706, '\P{Is_Math=n}', "");
    Expect(1, 126706, '\P{^Is_Math=n}', "");
    Expect(0, 126705, '\p{Is_Math=n}', "");
    Expect(1, 126705, '\p{^Is_Math=n}', "");
    Expect(1, 126705, '\P{Is_Math=n}', "");
    Expect(0, 126705, '\P{^Is_Math=n}', "");
    Expect(1, 126706, '\p{Is_Math=  N}', "");
    Expect(0, 126706, '\p{^Is_Math=  N}', "");
    Expect(0, 126706, '\P{Is_Math=  N}', "");
    Expect(1, 126706, '\P{^Is_Math=  N}', "");
    Expect(0, 126705, '\p{Is_Math=  N}', "");
    Expect(1, 126705, '\p{^Is_Math=  N}', "");
    Expect(1, 126705, '\P{Is_Math=  N}', "");
    Expect(0, 126705, '\P{^Is_Math=  N}', "");
    Error('\p{Math=_:=f}');
    Error('\P{Math=_:=f}');
    Expect(1, 126706, '\p{Math=:\AF\z:}', "");;
    Expect(0, 126705, '\p{Math=:\AF\z:}', "");;
    Expect(1, 126706, '\p{Math=f}', "");
    Expect(0, 126706, '\p{^Math=f}', "");
    Expect(0, 126706, '\P{Math=f}', "");
    Expect(1, 126706, '\P{^Math=f}', "");
    Expect(0, 126705, '\p{Math=f}', "");
    Expect(1, 126705, '\p{^Math=f}', "");
    Expect(1, 126705, '\P{Math=f}', "");
    Expect(0, 126705, '\P{^Math=f}', "");
    Expect(1, 126706, '\p{Math=:\Af\z:}', "");;
    Expect(0, 126705, '\p{Math=:\Af\z:}', "");;
    Expect(1, 126706, '\p{Math=	 F}', "");
    Expect(0, 126706, '\p{^Math=	 F}', "");
    Expect(0, 126706, '\P{Math=	 F}', "");
    Expect(1, 126706, '\P{^Math=	 F}', "");
    Expect(0, 126705, '\p{Math=	 F}', "");
    Expect(1, 126705, '\p{^Math=	 F}', "");
    Expect(1, 126705, '\P{Math=	 F}', "");
    Expect(0, 126705, '\P{^Math=	 F}', "");
    Error('\p{Is_Math=	_FALSE/a/}');
    Error('\P{Is_Math=	_FALSE/a/}');
    Expect(1, 126706, '\p{Is_Math=false}', "");
    Expect(0, 126706, '\p{^Is_Math=false}', "");
    Expect(0, 126706, '\P{Is_Math=false}', "");
    Expect(1, 126706, '\P{^Is_Math=false}', "");
    Expect(0, 126705, '\p{Is_Math=false}', "");
    Expect(1, 126705, '\p{^Is_Math=false}', "");
    Expect(1, 126705, '\P{Is_Math=false}', "");
    Expect(0, 126705, '\P{^Is_Math=false}', "");
    Expect(1, 126706, '\p{Is_Math=		False}', "");
    Expect(0, 126706, '\p{^Is_Math=		False}', "");
    Expect(0, 126706, '\P{Is_Math=		False}', "");
    Expect(1, 126706, '\P{^Is_Math=		False}', "");
    Expect(0, 126705, '\p{Is_Math=		False}', "");
    Expect(1, 126705, '\p{^Is_Math=		False}', "");
    Expect(1, 126705, '\P{Is_Math=		False}', "");
    Expect(0, 126705, '\P{^Is_Math=		False}', "");
    Error('\p{Math:   /a/_Yes}');
    Error('\P{Math:   /a/_Yes}');
    Expect(1, 126705, '\p{Math=:\AYes\z:}', "");;
    Expect(0, 126706, '\p{Math=:\AYes\z:}', "");;
    Expect(1, 126705, '\p{Math=yes}', "");
    Expect(0, 126705, '\p{^Math=yes}', "");
    Expect(0, 126705, '\P{Math=yes}', "");
    Expect(1, 126705, '\P{^Math=yes}', "");
    Expect(0, 126706, '\p{Math=yes}', "");
    Expect(1, 126706, '\p{^Math=yes}', "");
    Expect(1, 126706, '\P{Math=yes}', "");
    Expect(0, 126706, '\P{^Math=yes}', "");
    Expect(1, 126705, '\p{Math=:\Ayes\z:}', "");;
    Expect(0, 126706, '\p{Math=:\Ayes\z:}', "");;
    Expect(1, 126705, '\p{Math=	_yes}', "");
    Expect(0, 126705, '\p{^Math=	_yes}', "");
    Expect(0, 126705, '\P{Math=	_yes}', "");
    Expect(1, 126705, '\P{^Math=	_yes}', "");
    Expect(0, 126706, '\p{Math=	_yes}', "");
    Expect(1, 126706, '\p{^Math=	_yes}', "");
    Expect(1, 126706, '\P{Math=	_yes}', "");
    Expect(0, 126706, '\P{^Math=	_yes}', "");
    Error('\p{Is_Math=		Y:=}');
    Error('\P{Is_Math=		Y:=}');
    Expect(1, 126705, '\p{Is_Math=y}', "");
    Expect(0, 126705, '\p{^Is_Math=y}', "");
    Expect(0, 126705, '\P{Is_Math=y}', "");
    Expect(1, 126705, '\P{^Is_Math=y}', "");
    Expect(0, 126706, '\p{Is_Math=y}', "");
    Expect(1, 126706, '\p{^Is_Math=y}', "");
    Expect(1, 126706, '\P{Is_Math=y}', "");
    Expect(0, 126706, '\P{^Is_Math=y}', "");
    Expect(1, 126705, '\p{Is_Math:  Y}', "");
    Expect(0, 126705, '\p{^Is_Math:  Y}', "");
    Expect(0, 126705, '\P{Is_Math:  Y}', "");
    Expect(1, 126705, '\P{^Is_Math:  Y}', "");
    Expect(0, 126706, '\p{Is_Math:  Y}', "");
    Expect(1, 126706, '\p{^Is_Math:  Y}', "");
    Expect(1, 126706, '\P{Is_Math:  Y}', "");
    Expect(0, 126706, '\P{^Is_Math:  Y}', "");
    Error('\p{Math=:= 	T}');
    Error('\P{Math=:= 	T}');
    Expect(1, 126705, '\p{Math=:\AT\z:}', "");;
    Expect(0, 126706, '\p{Math=:\AT\z:}', "");;
    Expect(1, 126705, '\p{Math=t}', "");
    Expect(0, 126705, '\p{^Math=t}', "");
    Expect(0, 126705, '\P{Math=t}', "");
    Expect(1, 126705, '\P{^Math=t}', "");
    Expect(0, 126706, '\p{Math=t}', "");
    Expect(1, 126706, '\p{^Math=t}', "");
    Expect(1, 126706, '\P{Math=t}', "");
    Expect(0, 126706, '\P{^Math=t}', "");
    Expect(1, 126705, '\p{Math=:\At\z:}', "");;
    Expect(0, 126706, '\p{Math=:\At\z:}', "");;
    Expect(1, 126705, '\p{Math= T}', "");
    Expect(0, 126705, '\p{^Math= T}', "");
    Expect(0, 126705, '\P{Math= T}', "");
    Expect(1, 126705, '\P{^Math= T}', "");
    Expect(0, 126706, '\p{Math= T}', "");
    Expect(1, 126706, '\p{^Math= T}', "");
    Expect(1, 126706, '\P{Math= T}', "");
    Expect(0, 126706, '\P{^Math= T}', "");
    Error('\p{Is_Math=  true/a/}');
    Error('\P{Is_Math=  true/a/}');
    Expect(1, 126705, '\p{Is_Math=true}', "");
    Expect(0, 126705, '\p{^Is_Math=true}', "");
    Expect(0, 126705, '\P{Is_Math=true}', "");
    Expect(1, 126705, '\P{^Is_Math=true}', "");
    Expect(0, 126706, '\p{Is_Math=true}', "");
    Expect(1, 126706, '\p{^Is_Math=true}', "");
    Expect(1, 126706, '\P{Is_Math=true}', "");
    Expect(0, 126706, '\P{^Is_Math=true}', "");
    Expect(1, 126705, '\p{Is_Math=  True}', "");
    Expect(0, 126705, '\p{^Is_Math=  True}', "");
    Expect(0, 126705, '\P{Is_Math=  True}', "");
    Expect(1, 126705, '\P{^Is_Math=  True}', "");
    Expect(0, 126706, '\p{Is_Math=  True}', "");
    Expect(1, 126706, '\p{^Is_Math=  True}', "");
    Expect(1, 126706, '\P{Is_Math=  True}', "");
    Expect(0, 126706, '\P{^Is_Math=  True}', "");
    Error('\p{name}');
    Error('\P{name}');
    Error('\p{na}');
    Error('\P{na}');
    Error('\p{unicode1name}');
    Error('\P{unicode1name}');
    Error('\p{na1}');
    Error('\P{na1}');
    Error('\p{namealias}');
    Error('\P{namealias}');
    Error('\p{_perlnamealias}');
    Error('\P{_perlnamealias}');
    Error('\p{Noncharacter_Code_Point=:=no}');
    Error('\P{Noncharacter_Code_Point=:=no}');
    Expect(1, 1114109, '\p{Noncharacter_Code_Point=:\ANo\z:}', "");;
    Expect(0, 1114111, '\p{Noncharacter_Code_Point=:\ANo\z:}', "");;
    Expect(1, 1114109, '\p{Noncharacter_Code_Point=no}', "");
    Expect(0, 1114109, '\p{^Noncharacter_Code_Point=no}', "");
    Expect(0, 1114109, '\P{Noncharacter_Code_Point=no}', "");
    Expect(1, 1114109, '\P{^Noncharacter_Code_Point=no}', "");
    Expect(0, 1114111, '\p{Noncharacter_Code_Point=no}', "");
    Expect(1, 1114111, '\p{^Noncharacter_Code_Point=no}', "");
    Expect(1, 1114111, '\P{Noncharacter_Code_Point=no}', "");
    Expect(0, 1114111, '\P{^Noncharacter_Code_Point=no}', "");
    Expect(1, 1114109, '\p{Noncharacter_Code_Point=:\Ano\z:}', "");;
    Expect(0, 1114111, '\p{Noncharacter_Code_Point=:\Ano\z:}', "");;
    Expect(1, 1114109, '\p{Noncharacter_Code_Point=_	No}', "");
    Expect(0, 1114109, '\p{^Noncharacter_Code_Point=_	No}', "");
    Expect(0, 1114109, '\P{Noncharacter_Code_Point=_	No}', "");
    Expect(1, 1114109, '\P{^Noncharacter_Code_Point=_	No}', "");
    Expect(0, 1114111, '\p{Noncharacter_Code_Point=_	No}', "");
    Expect(1, 1114111, '\p{^Noncharacter_Code_Point=_	No}', "");
    Expect(1, 1114111, '\P{Noncharacter_Code_Point=_	No}', "");
    Expect(0, 1114111, '\P{^Noncharacter_Code_Point=_	No}', "");
    Error('\p{NChar=/a/n}');
    Error('\P{NChar=/a/n}');
    Expect(1, 1114109, '\p{NChar=:\AN\z:}', "");;
    Expect(0, 1114111, '\p{NChar=:\AN\z:}', "");;
    Expect(1, 1114109, '\p{NChar=n}', "");
    Expect(0, 1114109, '\p{^NChar=n}', "");
    Expect(0, 1114109, '\P{NChar=n}', "");
    Expect(1, 1114109, '\P{^NChar=n}', "");
    Expect(0, 1114111, '\p{NChar=n}', "");
    Expect(1, 1114111, '\p{^NChar=n}', "");
    Expect(1, 1114111, '\P{NChar=n}', "");
    Expect(0, 1114111, '\P{^NChar=n}', "");
    Expect(1, 1114109, '\p{NChar=:\An\z:}', "");;
    Expect(0, 1114111, '\p{NChar=:\An\z:}', "");;
    Expect(1, 1114109, '\p{NChar=__N}', "");
    Expect(0, 1114109, '\p{^NChar=__N}', "");
    Expect(0, 1114109, '\P{NChar=__N}', "");
    Expect(1, 1114109, '\P{^NChar=__N}', "");
    Expect(0, 1114111, '\p{NChar=__N}', "");
    Expect(1, 1114111, '\p{^NChar=__N}', "");
    Expect(1, 1114111, '\P{NChar=__N}', "");
    Expect(0, 1114111, '\P{^NChar=__N}', "");
    Error('\p{Is_Noncharacter_Code_Point= F:=}');
    Error('\P{Is_Noncharacter_Code_Point= F:=}');
    Expect(1, 1114109, '\p{Is_Noncharacter_Code_Point=f}', "");
    Expect(0, 1114109, '\p{^Is_Noncharacter_Code_Point=f}', "");
    Expect(0, 1114109, '\P{Is_Noncharacter_Code_Point=f}', "");
    Expect(1, 1114109, '\P{^Is_Noncharacter_Code_Point=f}', "");
    Expect(0, 1114111, '\p{Is_Noncharacter_Code_Point=f}', "");
    Expect(1, 1114111, '\p{^Is_Noncharacter_Code_Point=f}', "");
    Expect(1, 1114111, '\P{Is_Noncharacter_Code_Point=f}', "");
    Expect(0, 1114111, '\P{^Is_Noncharacter_Code_Point=f}', "");
    Expect(1, 1114109, '\p{Is_Noncharacter_Code_Point= F}', "");
    Expect(0, 1114109, '\p{^Is_Noncharacter_Code_Point= F}', "");
    Expect(0, 1114109, '\P{Is_Noncharacter_Code_Point= F}', "");
    Expect(1, 1114109, '\P{^Is_Noncharacter_Code_Point= F}', "");
    Expect(0, 1114111, '\p{Is_Noncharacter_Code_Point= F}', "");
    Expect(1, 1114111, '\p{^Is_Noncharacter_Code_Point= F}', "");
    Expect(1, 1114111, '\P{Is_Noncharacter_Code_Point= F}', "");
    Expect(0, 1114111, '\P{^Is_Noncharacter_Code_Point= F}', "");
    Error('\p{Is_NChar=	False/a/}');
    Error('\P{Is_NChar=	False/a/}');
    Expect(1, 1114109, '\p{Is_NChar=false}', "");
    Expect(0, 1114109, '\p{^Is_NChar=false}', "");
    Expect(0, 1114109, '\P{Is_NChar=false}', "");
    Expect(1, 1114109, '\P{^Is_NChar=false}', "");
    Expect(0, 1114111, '\p{Is_NChar=false}', "");
    Expect(1, 1114111, '\p{^Is_NChar=false}', "");
    Expect(1, 1114111, '\P{Is_NChar=false}', "");
    Expect(0, 1114111, '\P{^Is_NChar=false}', "");
    Expect(1, 1114109, '\p{Is_NChar=__FALSE}', "");
    Expect(0, 1114109, '\p{^Is_NChar=__FALSE}', "");
    Expect(0, 1114109, '\P{Is_NChar=__FALSE}', "");
    Expect(1, 1114109, '\P{^Is_NChar=__FALSE}', "");
    Expect(0, 1114111, '\p{Is_NChar=__FALSE}', "");
    Expect(1, 1114111, '\p{^Is_NChar=__FALSE}', "");
    Expect(1, 1114111, '\P{Is_NChar=__FALSE}', "");
    Expect(0, 1114111, '\P{^Is_NChar=__FALSE}', "");
    Error('\p{Noncharacter_Code_Point=/a/YES}');
    Error('\P{Noncharacter_Code_Point=/a/YES}');
    Expect(1, 1114111, '\p{Noncharacter_Code_Point=:\AYes\z:}', "");;
    Expect(0, 1114109, '\p{Noncharacter_Code_Point=:\AYes\z:}', "");;
    Expect(1, 1114111, '\p{Noncharacter_Code_Point=yes}', "");
    Expect(0, 1114111, '\p{^Noncharacter_Code_Point=yes}', "");
    Expect(0, 1114111, '\P{Noncharacter_Code_Point=yes}', "");
    Expect(1, 1114111, '\P{^Noncharacter_Code_Point=yes}', "");
    Expect(0, 1114109, '\p{Noncharacter_Code_Point=yes}', "");
    Expect(1, 1114109, '\p{^Noncharacter_Code_Point=yes}', "");
    Expect(1, 1114109, '\P{Noncharacter_Code_Point=yes}', "");
    Expect(0, 1114109, '\P{^Noncharacter_Code_Point=yes}', "");
    Expect(1, 1114111, '\p{Noncharacter_Code_Point=:\Ayes\z:}', "");;
    Expect(0, 1114109, '\p{Noncharacter_Code_Point=:\Ayes\z:}', "");;
    Expect(1, 1114111, '\p{Noncharacter_Code_Point=_	Yes}', "");
    Expect(0, 1114111, '\p{^Noncharacter_Code_Point=_	Yes}', "");
    Expect(0, 1114111, '\P{Noncharacter_Code_Point=_	Yes}', "");
    Expect(1, 1114111, '\P{^Noncharacter_Code_Point=_	Yes}', "");
    Expect(0, 1114109, '\p{Noncharacter_Code_Point=_	Yes}', "");
    Expect(1, 1114109, '\p{^Noncharacter_Code_Point=_	Yes}', "");
    Expect(1, 1114109, '\P{Noncharacter_Code_Point=_	Yes}', "");
    Expect(0, 1114109, '\P{^Noncharacter_Code_Point=_	Yes}', "");
    Error('\p{NChar=_-Y/a/}');
    Error('\P{NChar=_-Y/a/}');
    Expect(1, 1114111, '\p{NChar=:\AY\z:}', "");;
    Expect(0, 1114109, '\p{NChar=:\AY\z:}', "");;
    Expect(1, 1114111, '\p{NChar=y}', "");
    Expect(0, 1114111, '\p{^NChar=y}', "");
    Expect(0, 1114111, '\P{NChar=y}', "");
    Expect(1, 1114111, '\P{^NChar=y}', "");
    Expect(0, 1114109, '\p{NChar=y}', "");
    Expect(1, 1114109, '\p{^NChar=y}', "");
    Expect(1, 1114109, '\P{NChar=y}', "");
    Expect(0, 1114109, '\P{^NChar=y}', "");
    Expect(1, 1114111, '\p{NChar=:\Ay\z:}', "");;
    Expect(0, 1114109, '\p{NChar=:\Ay\z:}', "");;
    Expect(1, 1114111, '\p{NChar=_-Y}', "");
    Expect(0, 1114111, '\p{^NChar=_-Y}', "");
    Expect(0, 1114111, '\P{NChar=_-Y}', "");
    Expect(1, 1114111, '\P{^NChar=_-Y}', "");
    Expect(0, 1114109, '\p{NChar=_-Y}', "");
    Expect(1, 1114109, '\p{^NChar=_-Y}', "");
    Expect(1, 1114109, '\P{NChar=_-Y}', "");
    Expect(0, 1114109, '\P{^NChar=_-Y}', "");
    Error('\p{Is_Noncharacter_Code_Point=	:=t}');
    Error('\P{Is_Noncharacter_Code_Point=	:=t}');
    Expect(1, 1114111, '\p{Is_Noncharacter_Code_Point=t}', "");
    Expect(0, 1114111, '\p{^Is_Noncharacter_Code_Point=t}', "");
    Expect(0, 1114111, '\P{Is_Noncharacter_Code_Point=t}', "");
    Expect(1, 1114111, '\P{^Is_Noncharacter_Code_Point=t}', "");
    Expect(0, 1114109, '\p{Is_Noncharacter_Code_Point=t}', "");
    Expect(1, 1114109, '\p{^Is_Noncharacter_Code_Point=t}', "");
    Expect(1, 1114109, '\P{Is_Noncharacter_Code_Point=t}', "");
    Expect(0, 1114109, '\P{^Is_Noncharacter_Code_Point=t}', "");
    Expect(1, 1114111, '\p{Is_Noncharacter_Code_Point=	T}', "");
    Expect(0, 1114111, '\p{^Is_Noncharacter_Code_Point=	T}', "");
    Expect(0, 1114111, '\P{Is_Noncharacter_Code_Point=	T}', "");
    Expect(1, 1114111, '\P{^Is_Noncharacter_Code_Point=	T}', "");
    Expect(0, 1114109, '\p{Is_Noncharacter_Code_Point=	T}', "");
    Expect(1, 1114109, '\p{^Is_Noncharacter_Code_Point=	T}', "");
    Expect(1, 1114109, '\P{Is_Noncharacter_Code_Point=	T}', "");
    Expect(0, 1114109, '\P{^Is_Noncharacter_Code_Point=	T}', "");
    Error('\p{Is_NChar=__TRUE:=}');
    Error('\P{Is_NChar=__TRUE:=}');
    Expect(1, 1114111, '\p{Is_NChar=true}', "");
    Expect(0, 1114111, '\p{^Is_NChar=true}', "");
    Expect(0, 1114111, '\P{Is_NChar=true}', "");
    Expect(1, 1114111, '\P{^Is_NChar=true}', "");
    Expect(0, 1114109, '\p{Is_NChar=true}', "");
    Expect(1, 1114109, '\p{^Is_NChar=true}', "");
    Expect(1, 1114109, '\P{Is_NChar=true}', "");
    Expect(0, 1114109, '\P{^Is_NChar=true}', "");
    Expect(1, 1114111, '\p{Is_NChar= _True}', "");
    Expect(0, 1114111, '\p{^Is_NChar= _True}', "");
    Expect(0, 1114111, '\P{Is_NChar= _True}', "");
    Expect(1, 1114111, '\P{^Is_NChar= _True}', "");
    Expect(0, 1114109, '\p{Is_NChar= _True}', "");
    Expect(1, 1114109, '\p{^Is_NChar= _True}', "");
    Expect(1, 1114109, '\P{Is_NChar= _True}', "");
    Expect(0, 1114109, '\P{^Is_NChar= _True}', "");
    Error('\p{nfcquickcheck}');
    Error('\P{nfcquickcheck}');
    Error('\p{nfcqc}');
    Error('\P{nfcqc}');
    Error('\p{NFC_Quick_Check=--MAYBE/a/}');
    Error('\P{NFC_Quick_Check=--MAYBE/a/}');
    Expect(1, 71984, '\p{NFC_Quick_Check=:\AMaybe\z:}', "");;
    Expect(0, 71985, '\p{NFC_Quick_Check=:\AMaybe\z:}', "");;
    Expect(1, 71984, '\p{NFC_Quick_Check=maybe}', "");
    Expect(0, 71984, '\p{^NFC_Quick_Check=maybe}', "");
    Expect(0, 71984, '\P{NFC_Quick_Check=maybe}', "");
    Expect(1, 71984, '\P{^NFC_Quick_Check=maybe}', "");
    Expect(0, 71985, '\p{NFC_Quick_Check=maybe}', "");
    Expect(1, 71985, '\p{^NFC_Quick_Check=maybe}', "");
    Expect(1, 71985, '\P{NFC_Quick_Check=maybe}', "");
    Expect(0, 71985, '\P{^NFC_Quick_Check=maybe}', "");
    Expect(1, 71984, '\p{NFC_Quick_Check=:\Amaybe\z:}', "");;
    Expect(0, 71985, '\p{NFC_Quick_Check=:\Amaybe\z:}', "");;
    Expect(1, 71984, '\p{NFC_Quick_Check=  maybe}', "");
    Expect(0, 71984, '\p{^NFC_Quick_Check=  maybe}', "");
    Expect(0, 71984, '\P{NFC_Quick_Check=  maybe}', "");
    Expect(1, 71984, '\P{^NFC_Quick_Check=  maybe}', "");
    Expect(0, 71985, '\p{NFC_Quick_Check=  maybe}', "");
    Expect(1, 71985, '\p{^NFC_Quick_Check=  maybe}', "");
    Expect(1, 71985, '\P{NFC_Quick_Check=  maybe}', "");
    Expect(0, 71985, '\P{^NFC_Quick_Check=  maybe}', "");
    Error('\p{NFC_QC=	-M:=}');
    Error('\P{NFC_QC=	-M:=}');
    Expect(1, 71984, '\p{NFC_QC=:\AM\z:}', "");;
    Expect(0, 71985, '\p{NFC_QC=:\AM\z:}', "");;
    Expect(1, 71984, '\p{NFC_QC=m}', "");
    Expect(0, 71984, '\p{^NFC_QC=m}', "");
    Expect(0, 71984, '\P{NFC_QC=m}', "");
    Expect(1, 71984, '\P{^NFC_QC=m}', "");
    Expect(0, 71985, '\p{NFC_QC=m}', "");
    Expect(1, 71985, '\p{^NFC_QC=m}', "");
    Expect(1, 71985, '\P{NFC_QC=m}', "");
    Expect(0, 71985, '\P{^NFC_QC=m}', "");
    Expect(1, 71984, '\p{NFC_QC=:\Am\z:}', "");;
    Expect(0, 71985, '\p{NFC_QC=:\Am\z:}', "");;
    Expect(1, 71984, '\p{NFC_QC:	m}', "");
    Expect(0, 71984, '\p{^NFC_QC:	m}', "");
    Expect(0, 71984, '\P{NFC_QC:	m}', "");
    Expect(1, 71984, '\P{^NFC_QC:	m}', "");
    Expect(0, 71985, '\p{NFC_QC:	m}', "");
    Expect(1, 71985, '\p{^NFC_QC:	m}', "");
    Expect(1, 71985, '\P{NFC_QC:	m}', "");
    Expect(0, 71985, '\P{^NFC_QC:	m}', "");
    Error('\p{Is_NFC_Quick_Check=/a/-maybe}');
    Error('\P{Is_NFC_Quick_Check=/a/-maybe}');
    Expect(1, 71984, '\p{Is_NFC_Quick_Check=maybe}', "");
    Expect(0, 71984, '\p{^Is_NFC_Quick_Check=maybe}', "");
    Expect(0, 71984, '\P{Is_NFC_Quick_Check=maybe}', "");
    Expect(1, 71984, '\P{^Is_NFC_Quick_Check=maybe}', "");
    Expect(0, 71985, '\p{Is_NFC_Quick_Check=maybe}', "");
    Expect(1, 71985, '\p{^Is_NFC_Quick_Check=maybe}', "");
    Expect(1, 71985, '\P{Is_NFC_Quick_Check=maybe}', "");
    Expect(0, 71985, '\P{^Is_NFC_Quick_Check=maybe}', "");
    Expect(1, 71984, '\p{Is_NFC_Quick_Check= MAYBE}', "");
    Expect(0, 71984, '\p{^Is_NFC_Quick_Check= MAYBE}', "");
    Expect(0, 71984, '\P{Is_NFC_Quick_Check= MAYBE}', "");
    Expect(1, 71984, '\P{^Is_NFC_Quick_Check= MAYBE}', "");
    Expect(0, 71985, '\p{Is_NFC_Quick_Check= MAYBE}', "");
    Expect(1, 71985, '\p{^Is_NFC_Quick_Check= MAYBE}', "");
    Expect(1, 71985, '\P{Is_NFC_Quick_Check= MAYBE}', "");
    Expect(0, 71985, '\P{^Is_NFC_Quick_Check= MAYBE}', "");
    Error('\p{Is_NFC_QC=-_M:=}');
    Error('\P{Is_NFC_QC=-_M:=}');
    Expect(1, 71984, '\p{Is_NFC_QC=m}', "");
    Expect(0, 71984, '\p{^Is_NFC_QC=m}', "");
    Expect(0, 71984, '\P{Is_NFC_QC=m}', "");
    Expect(1, 71984, '\P{^Is_NFC_QC=m}', "");
    Expect(0, 71985, '\p{Is_NFC_QC=m}', "");
    Expect(1, 71985, '\p{^Is_NFC_QC=m}', "");
    Expect(1, 71985, '\P{Is_NFC_QC=m}', "");
    Expect(0, 71985, '\P{^Is_NFC_QC=m}', "");
    Expect(1, 71984, '\p{Is_NFC_QC=	M}', "");
    Expect(0, 71984, '\p{^Is_NFC_QC=	M}', "");
    Expect(0, 71984, '\P{Is_NFC_QC=	M}', "");
    Expect(1, 71984, '\P{^Is_NFC_QC=	M}', "");
    Expect(0, 71985, '\p{Is_NFC_QC=	M}', "");
    Expect(1, 71985, '\p{^Is_NFC_QC=	M}', "");
    Expect(1, 71985, '\P{Is_NFC_QC=	M}', "");
    Expect(0, 71985, '\P{^Is_NFC_QC=	M}', "");
    Error('\p{NFC_Quick_Check=-/a/No}');
    Error('\P{NFC_Quick_Check=-/a/No}');
    Expect(1, 195101, '\p{NFC_Quick_Check=:\ANo\z:}', "");;
    Expect(0, 195102, '\p{NFC_Quick_Check=:\ANo\z:}', "");;
    Expect(1, 195101, '\p{NFC_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^NFC_Quick_Check=no}', "");
    Expect(0, 195101, '\P{NFC_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^NFC_Quick_Check=no}', "");
    Expect(0, 195102, '\p{NFC_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^NFC_Quick_Check=no}', "");
    Expect(1, 195102, '\P{NFC_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^NFC_Quick_Check=no}', "");
    Expect(1, 195101, '\p{NFC_Quick_Check=:\Ano\z:}', "");;
    Expect(0, 195102, '\p{NFC_Quick_Check=:\Ano\z:}', "");;
    Expect(1, 195101, '\p{NFC_Quick_Check:   _No}', "");
    Expect(0, 195101, '\p{^NFC_Quick_Check:   _No}', "");
    Expect(0, 195101, '\P{NFC_Quick_Check:   _No}', "");
    Expect(1, 195101, '\P{^NFC_Quick_Check:   _No}', "");
    Expect(0, 195102, '\p{NFC_Quick_Check:   _No}', "");
    Expect(1, 195102, '\p{^NFC_Quick_Check:   _No}', "");
    Expect(1, 195102, '\P{NFC_Quick_Check:   _No}', "");
    Expect(0, 195102, '\P{^NFC_Quick_Check:   _No}', "");
    Error('\p{NFC_QC=/a/ _N}');
    Error('\P{NFC_QC=/a/ _N}');
    Expect(1, 195101, '\p{NFC_QC=:\AN\z:}', "");;
    Expect(0, 195102, '\p{NFC_QC=:\AN\z:}', "");;
    Expect(1, 195101, '\p{NFC_QC=n}', "");
    Expect(0, 195101, '\p{^NFC_QC=n}', "");
    Expect(0, 195101, '\P{NFC_QC=n}', "");
    Expect(1, 195101, '\P{^NFC_QC=n}', "");
    Expect(0, 195102, '\p{NFC_QC=n}', "");
    Expect(1, 195102, '\p{^NFC_QC=n}', "");
    Expect(1, 195102, '\P{NFC_QC=n}', "");
    Expect(0, 195102, '\P{^NFC_QC=n}', "");
    Expect(1, 195101, '\p{NFC_QC=:\An\z:}', "");;
    Expect(0, 195102, '\p{NFC_QC=:\An\z:}', "");;
    Expect(1, 195101, '\p{NFC_QC=_	N}', "");
    Expect(0, 195101, '\p{^NFC_QC=_	N}', "");
    Expect(0, 195101, '\P{NFC_QC=_	N}', "");
    Expect(1, 195101, '\P{^NFC_QC=_	N}', "");
    Expect(0, 195102, '\p{NFC_QC=_	N}', "");
    Expect(1, 195102, '\p{^NFC_QC=_	N}', "");
    Expect(1, 195102, '\P{NFC_QC=_	N}', "");
    Expect(0, 195102, '\P{^NFC_QC=_	N}', "");
    Error('\p{Is_NFC_Quick_Check=-no/a/}');
    Error('\P{Is_NFC_Quick_Check=-no/a/}');
    Expect(1, 195101, '\p{Is_NFC_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^Is_NFC_Quick_Check=no}', "");
    Expect(0, 195101, '\P{Is_NFC_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^Is_NFC_Quick_Check=no}', "");
    Expect(0, 195102, '\p{Is_NFC_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^Is_NFC_Quick_Check=no}', "");
    Expect(1, 195102, '\P{Is_NFC_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^Is_NFC_Quick_Check=no}', "");
    Expect(1, 195101, '\p{Is_NFC_Quick_Check=_No}', "");
    Expect(0, 195101, '\p{^Is_NFC_Quick_Check=_No}', "");
    Expect(0, 195101, '\P{Is_NFC_Quick_Check=_No}', "");
    Expect(1, 195101, '\P{^Is_NFC_Quick_Check=_No}', "");
    Expect(0, 195102, '\p{Is_NFC_Quick_Check=_No}', "");
    Expect(1, 195102, '\p{^Is_NFC_Quick_Check=_No}', "");
    Expect(1, 195102, '\P{Is_NFC_Quick_Check=_No}', "");
    Expect(0, 195102, '\P{^Is_NFC_Quick_Check=_No}', "");
    Error('\p{Is_NFC_QC=:= -N}');
    Error('\P{Is_NFC_QC=:= -N}');
    Expect(1, 195101, '\p{Is_NFC_QC=n}', "");
    Expect(0, 195101, '\p{^Is_NFC_QC=n}', "");
    Expect(0, 195101, '\P{Is_NFC_QC=n}', "");
    Expect(1, 195101, '\P{^Is_NFC_QC=n}', "");
    Expect(0, 195102, '\p{Is_NFC_QC=n}', "");
    Expect(1, 195102, '\p{^Is_NFC_QC=n}', "");
    Expect(1, 195102, '\P{Is_NFC_QC=n}', "");
    Expect(0, 195102, '\P{^Is_NFC_QC=n}', "");
    Expect(1, 195101, '\p{Is_NFC_QC:	_N}', "");
    Expect(0, 195101, '\p{^Is_NFC_QC:	_N}', "");
    Expect(0, 195101, '\P{Is_NFC_QC:	_N}', "");
    Expect(1, 195101, '\P{^Is_NFC_QC:	_N}', "");
    Expect(0, 195102, '\p{Is_NFC_QC:	_N}', "");
    Expect(1, 195102, '\p{^Is_NFC_QC:	_N}', "");
    Expect(1, 195102, '\P{Is_NFC_QC:	_N}', "");
    Expect(0, 195102, '\P{^Is_NFC_QC:	_N}', "");
    Error('\p{NFC_Quick_Check= 	YES/a/}');
    Error('\P{NFC_Quick_Check= 	YES/a/}');
    Expect(1, 195102, '\p{NFC_Quick_Check=:\AYes\z:}', "");;
    Expect(0, 195101, '\p{NFC_Quick_Check=:\AYes\z:}', "");;
    Expect(1, 195102, '\p{NFC_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^NFC_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{NFC_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^NFC_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{NFC_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^NFC_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{NFC_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^NFC_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{NFC_Quick_Check=:\Ayes\z:}', "");;
    Expect(0, 195101, '\p{NFC_Quick_Check=:\Ayes\z:}', "");;
    Expect(1, 195102, '\p{NFC_Quick_Check=  YES}', "");
    Expect(0, 195102, '\p{^NFC_Quick_Check=  YES}', "");
    Expect(0, 195102, '\P{NFC_Quick_Check=  YES}', "");
    Expect(1, 195102, '\P{^NFC_Quick_Check=  YES}', "");
    Expect(0, 195101, '\p{NFC_Quick_Check=  YES}', "");
    Expect(1, 195101, '\p{^NFC_Quick_Check=  YES}', "");
    Expect(1, 195101, '\P{NFC_Quick_Check=  YES}', "");
    Expect(0, 195101, '\P{^NFC_Quick_Check=  YES}', "");
    Error('\p{NFC_QC=/a/_ Y}');
    Error('\P{NFC_QC=/a/_ Y}');
    Expect(1, 195102, '\p{NFC_QC=:\AY\z:}', "");;
    Expect(0, 195101, '\p{NFC_QC=:\AY\z:}', "");;
    Expect(1, 195102, '\p{NFC_QC=y}', "");
    Expect(0, 195102, '\p{^NFC_QC=y}', "");
    Expect(0, 195102, '\P{NFC_QC=y}', "");
    Expect(1, 195102, '\P{^NFC_QC=y}', "");
    Expect(0, 195101, '\p{NFC_QC=y}', "");
    Expect(1, 195101, '\p{^NFC_QC=y}', "");
    Expect(1, 195101, '\P{NFC_QC=y}', "");
    Expect(0, 195101, '\P{^NFC_QC=y}', "");
    Expect(1, 195102, '\p{NFC_QC=:\Ay\z:}', "");;
    Expect(0, 195101, '\p{NFC_QC=:\Ay\z:}', "");;
    Expect(1, 195102, '\p{NFC_QC=Y}', "");
    Expect(0, 195102, '\p{^NFC_QC=Y}', "");
    Expect(0, 195102, '\P{NFC_QC=Y}', "");
    Expect(1, 195102, '\P{^NFC_QC=Y}', "");
    Expect(0, 195101, '\p{NFC_QC=Y}', "");
    Expect(1, 195101, '\p{^NFC_QC=Y}', "");
    Expect(1, 195101, '\P{NFC_QC=Y}', "");
    Expect(0, 195101, '\P{^NFC_QC=Y}', "");
    Error('\p{Is_NFC_Quick_Check=		Yes:=}');
    Error('\P{Is_NFC_Quick_Check=		Yes:=}');
    Expect(1, 195102, '\p{Is_NFC_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^Is_NFC_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{Is_NFC_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^Is_NFC_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{Is_NFC_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^Is_NFC_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{Is_NFC_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^Is_NFC_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{Is_NFC_Quick_Check=_Yes}', "");
    Expect(0, 195102, '\p{^Is_NFC_Quick_Check=_Yes}', "");
    Expect(0, 195102, '\P{Is_NFC_Quick_Check=_Yes}', "");
    Expect(1, 195102, '\P{^Is_NFC_Quick_Check=_Yes}', "");
    Expect(0, 195101, '\p{Is_NFC_Quick_Check=_Yes}', "");
    Expect(1, 195101, '\p{^Is_NFC_Quick_Check=_Yes}', "");
    Expect(1, 195101, '\P{Is_NFC_Quick_Check=_Yes}', "");
    Expect(0, 195101, '\P{^Is_NFC_Quick_Check=_Yes}', "");
    Error('\p{Is_NFC_QC:   /a/ _y}');
    Error('\P{Is_NFC_QC:   /a/ _y}');
    Expect(1, 195102, '\p{Is_NFC_QC=y}', "");
    Expect(0, 195102, '\p{^Is_NFC_QC=y}', "");
    Expect(0, 195102, '\P{Is_NFC_QC=y}', "");
    Expect(1, 195102, '\P{^Is_NFC_QC=y}', "");
    Expect(0, 195101, '\p{Is_NFC_QC=y}', "");
    Expect(1, 195101, '\p{^Is_NFC_QC=y}', "");
    Expect(1, 195101, '\P{Is_NFC_QC=y}', "");
    Expect(0, 195101, '\P{^Is_NFC_QC=y}', "");
    Expect(1, 195102, '\p{Is_NFC_QC=	y}', "");
    Expect(0, 195102, '\p{^Is_NFC_QC=	y}', "");
    Expect(0, 195102, '\P{Is_NFC_QC=	y}', "");
    Expect(1, 195102, '\P{^Is_NFC_QC=	y}', "");
    Expect(0, 195101, '\p{Is_NFC_QC=	y}', "");
    Expect(1, 195101, '\p{^Is_NFC_QC=	y}', "");
    Expect(1, 195101, '\P{Is_NFC_QC=	y}', "");
    Expect(0, 195101, '\P{^Is_NFC_QC=	y}', "");
    Error('\p{nfdquickcheck}');
    Error('\P{nfdquickcheck}');
    Error('\p{nfdqc}');
    Error('\P{nfdqc}');
    Error('\p{NFD_Quick_Check:	:=_ no}');
    Error('\P{NFD_Quick_Check:	:=_ no}');
    Expect(1, 195101, '\p{NFD_Quick_Check=:\ANo\z:}', "");;
    Expect(0, 195102, '\p{NFD_Quick_Check=:\ANo\z:}', "");;
    Expect(1, 195101, '\p{NFD_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^NFD_Quick_Check=no}', "");
    Expect(0, 195101, '\P{NFD_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^NFD_Quick_Check=no}', "");
    Expect(0, 195102, '\p{NFD_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^NFD_Quick_Check=no}', "");
    Expect(1, 195102, '\P{NFD_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^NFD_Quick_Check=no}', "");
    Expect(1, 195101, '\p{NFD_Quick_Check=:\Ano\z:}', "");;
    Expect(0, 195102, '\p{NFD_Quick_Check=:\Ano\z:}', "");;
    Expect(1, 195101, '\p{NFD_Quick_Check=_no}', "");
    Expect(0, 195101, '\p{^NFD_Quick_Check=_no}', "");
    Expect(0, 195101, '\P{NFD_Quick_Check=_no}', "");
    Expect(1, 195101, '\P{^NFD_Quick_Check=_no}', "");
    Expect(0, 195102, '\p{NFD_Quick_Check=_no}', "");
    Expect(1, 195102, '\p{^NFD_Quick_Check=_no}', "");
    Expect(1, 195102, '\P{NFD_Quick_Check=_no}', "");
    Expect(0, 195102, '\P{^NFD_Quick_Check=_no}', "");
    Error('\p{NFD_QC=/a/__N}');
    Error('\P{NFD_QC=/a/__N}');
    Expect(1, 195101, '\p{NFD_QC=:\AN\z:}', "");;
    Expect(0, 195102, '\p{NFD_QC=:\AN\z:}', "");;
    Expect(1, 195101, '\p{NFD_QC=n}', "");
    Expect(0, 195101, '\p{^NFD_QC=n}', "");
    Expect(0, 195101, '\P{NFD_QC=n}', "");
    Expect(1, 195101, '\P{^NFD_QC=n}', "");
    Expect(0, 195102, '\p{NFD_QC=n}', "");
    Expect(1, 195102, '\p{^NFD_QC=n}', "");
    Expect(1, 195102, '\P{NFD_QC=n}', "");
    Expect(0, 195102, '\P{^NFD_QC=n}', "");
    Expect(1, 195101, '\p{NFD_QC=:\An\z:}', "");;
    Expect(0, 195102, '\p{NFD_QC=:\An\z:}', "");;
    Expect(1, 195101, '\p{NFD_QC=		N}', "");
    Expect(0, 195101, '\p{^NFD_QC=		N}', "");
    Expect(0, 195101, '\P{NFD_QC=		N}', "");
    Expect(1, 195101, '\P{^NFD_QC=		N}', "");
    Expect(0, 195102, '\p{NFD_QC=		N}', "");
    Expect(1, 195102, '\p{^NFD_QC=		N}', "");
    Expect(1, 195102, '\P{NFD_QC=		N}', "");
    Expect(0, 195102, '\P{^NFD_QC=		N}', "");
    Error('\p{Is_NFD_Quick_Check= 	No:=}');
    Error('\P{Is_NFD_Quick_Check= 	No:=}');
    Expect(1, 195101, '\p{Is_NFD_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^Is_NFD_Quick_Check=no}', "");
    Expect(0, 195101, '\P{Is_NFD_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^Is_NFD_Quick_Check=no}', "");
    Expect(0, 195102, '\p{Is_NFD_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^Is_NFD_Quick_Check=no}', "");
    Expect(1, 195102, '\P{Is_NFD_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^Is_NFD_Quick_Check=no}', "");
    Expect(1, 195101, '\p{Is_NFD_Quick_Check: 	NO}', "");
    Expect(0, 195101, '\p{^Is_NFD_Quick_Check: 	NO}', "");
    Expect(0, 195101, '\P{Is_NFD_Quick_Check: 	NO}', "");
    Expect(1, 195101, '\P{^Is_NFD_Quick_Check: 	NO}', "");
    Expect(0, 195102, '\p{Is_NFD_Quick_Check: 	NO}', "");
    Expect(1, 195102, '\p{^Is_NFD_Quick_Check: 	NO}', "");
    Expect(1, 195102, '\P{Is_NFD_Quick_Check: 	NO}', "");
    Expect(0, 195102, '\P{^Is_NFD_Quick_Check: 	NO}', "");
    Error('\p{Is_NFD_QC=_ N:=}');
    Error('\P{Is_NFD_QC=_ N:=}');
    Expect(1, 195101, '\p{Is_NFD_QC=n}', "");
    Expect(0, 195101, '\p{^Is_NFD_QC=n}', "");
    Expect(0, 195101, '\P{Is_NFD_QC=n}', "");
    Expect(1, 195101, '\P{^Is_NFD_QC=n}', "");
    Expect(0, 195102, '\p{Is_NFD_QC=n}', "");
    Expect(1, 195102, '\p{^Is_NFD_QC=n}', "");
    Expect(1, 195102, '\P{Is_NFD_QC=n}', "");
    Expect(0, 195102, '\P{^Is_NFD_QC=n}', "");
    Expect(1, 195101, '\p{Is_NFD_QC:   -n}', "");
    Expect(0, 195101, '\p{^Is_NFD_QC:   -n}', "");
    Expect(0, 195101, '\P{Is_NFD_QC:   -n}', "");
    Expect(1, 195101, '\P{^Is_NFD_QC:   -n}', "");
    Expect(0, 195102, '\p{Is_NFD_QC:   -n}', "");
    Expect(1, 195102, '\p{^Is_NFD_QC:   -n}', "");
    Expect(1, 195102, '\P{Is_NFD_QC:   -n}', "");
    Expect(0, 195102, '\P{^Is_NFD_QC:   -n}', "");
    Error('\p{NFD_Quick_Check=:=YES}');
    Error('\P{NFD_Quick_Check=:=YES}');
    Expect(1, 195102, '\p{NFD_Quick_Check=:\AYes\z:}', "");;
    Expect(0, 195101, '\p{NFD_Quick_Check=:\AYes\z:}', "");;
    Expect(1, 195102, '\p{NFD_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^NFD_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{NFD_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^NFD_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{NFD_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^NFD_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{NFD_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^NFD_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{NFD_Quick_Check=:\Ayes\z:}', "");;
    Expect(0, 195101, '\p{NFD_Quick_Check=:\Ayes\z:}', "");;
    Expect(1, 195102, '\p{NFD_Quick_Check= -yes}', "");
    Expect(0, 195102, '\p{^NFD_Quick_Check= -yes}', "");
    Expect(0, 195102, '\P{NFD_Quick_Check= -yes}', "");
    Expect(1, 195102, '\P{^NFD_Quick_Check= -yes}', "");
    Expect(0, 195101, '\p{NFD_Quick_Check= -yes}', "");
    Expect(1, 195101, '\p{^NFD_Quick_Check= -yes}', "");
    Expect(1, 195101, '\P{NFD_Quick_Check= -yes}', "");
    Expect(0, 195101, '\P{^NFD_Quick_Check= -yes}', "");
    Error('\p{NFD_QC=	/a/y}');
    Error('\P{NFD_QC=	/a/y}');
    Expect(1, 195102, '\p{NFD_QC=:\AY\z:}', "");;
    Expect(0, 195101, '\p{NFD_QC=:\AY\z:}', "");;
    Expect(1, 195102, '\p{NFD_QC=y}', "");
    Expect(0, 195102, '\p{^NFD_QC=y}', "");
    Expect(0, 195102, '\P{NFD_QC=y}', "");
    Expect(1, 195102, '\P{^NFD_QC=y}', "");
    Expect(0, 195101, '\p{NFD_QC=y}', "");
    Expect(1, 195101, '\p{^NFD_QC=y}', "");
    Expect(1, 195101, '\P{NFD_QC=y}', "");
    Expect(0, 195101, '\P{^NFD_QC=y}', "");
    Expect(1, 195102, '\p{NFD_QC=:\Ay\z:}', "");;
    Expect(0, 195101, '\p{NFD_QC=:\Ay\z:}', "");;
    Expect(1, 195102, '\p{NFD_QC=-_Y}', "");
    Expect(0, 195102, '\p{^NFD_QC=-_Y}', "");
    Expect(0, 195102, '\P{NFD_QC=-_Y}', "");
    Expect(1, 195102, '\P{^NFD_QC=-_Y}', "");
    Expect(0, 195101, '\p{NFD_QC=-_Y}', "");
    Expect(1, 195101, '\p{^NFD_QC=-_Y}', "");
    Expect(1, 195101, '\P{NFD_QC=-_Y}', "");
    Expect(0, 195101, '\P{^NFD_QC=-_Y}', "");
    Error('\p{Is_NFD_Quick_Check=/a/_YES}');
    Error('\P{Is_NFD_Quick_Check=/a/_YES}');
    Expect(1, 195102, '\p{Is_NFD_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^Is_NFD_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{Is_NFD_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^Is_NFD_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{Is_NFD_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^Is_NFD_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{Is_NFD_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^Is_NFD_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{Is_NFD_Quick_Check= 	YES}', "");
    Expect(0, 195102, '\p{^Is_NFD_Quick_Check= 	YES}', "");
    Expect(0, 195102, '\P{Is_NFD_Quick_Check= 	YES}', "");
    Expect(1, 195102, '\P{^Is_NFD_Quick_Check= 	YES}', "");
    Expect(0, 195101, '\p{Is_NFD_Quick_Check= 	YES}', "");
    Expect(1, 195101, '\p{^Is_NFD_Quick_Check= 	YES}', "");
    Expect(1, 195101, '\P{Is_NFD_Quick_Check= 	YES}', "");
    Expect(0, 195101, '\P{^Is_NFD_Quick_Check= 	YES}', "");
    Error('\p{Is_NFD_QC=/a/-Y}');
    Error('\P{Is_NFD_QC=/a/-Y}');
    Expect(1, 195102, '\p{Is_NFD_QC=y}', "");
    Expect(0, 195102, '\p{^Is_NFD_QC=y}', "");
    Expect(0, 195102, '\P{Is_NFD_QC=y}', "");
    Expect(1, 195102, '\P{^Is_NFD_QC=y}', "");
    Expect(0, 195101, '\p{Is_NFD_QC=y}', "");
    Expect(1, 195101, '\p{^Is_NFD_QC=y}', "");
    Expect(1, 195101, '\P{Is_NFD_QC=y}', "");
    Expect(0, 195101, '\P{^Is_NFD_QC=y}', "");
    Expect(1, 195102, '\p{Is_NFD_QC= -y}', "");
    Expect(0, 195102, '\p{^Is_NFD_QC= -y}', "");
    Expect(0, 195102, '\P{Is_NFD_QC= -y}', "");
    Expect(1, 195102, '\P{^Is_NFD_QC= -y}', "");
    Expect(0, 195101, '\p{Is_NFD_QC= -y}', "");
    Expect(1, 195101, '\p{^Is_NFD_QC= -y}', "");
    Expect(1, 195101, '\P{Is_NFD_QC= -y}', "");
    Expect(0, 195101, '\P{^Is_NFD_QC= -y}', "");
    Error('\p{nfkccasefold}');
    Error('\P{nfkccasefold}');
    Error('\p{nfkccf}');
    Error('\P{nfkccf}');
    Error('\p{nfkcquickcheck}');
    Error('\P{nfkcquickcheck}');
    Error('\p{nfkcqc}');
    Error('\P{nfkcqc}');
    Error('\p{NFKC_Quick_Check=	-Maybe:=}');
    Error('\P{NFKC_Quick_Check=	-Maybe:=}');
    Expect(1, 71984, '\p{NFKC_Quick_Check=:\AMaybe\z:}', "");;
    Expect(0, 71985, '\p{NFKC_Quick_Check=:\AMaybe\z:}', "");;
    Expect(1, 71984, '\p{NFKC_Quick_Check=maybe}', "");
    Expect(0, 71984, '\p{^NFKC_Quick_Check=maybe}', "");
    Expect(0, 71984, '\P{NFKC_Quick_Check=maybe}', "");
    Expect(1, 71984, '\P{^NFKC_Quick_Check=maybe}', "");
    Expect(0, 71985, '\p{NFKC_Quick_Check=maybe}', "");
    Expect(1, 71985, '\p{^NFKC_Quick_Check=maybe}', "");
    Expect(1, 71985, '\P{NFKC_Quick_Check=maybe}', "");
    Expect(0, 71985, '\P{^NFKC_Quick_Check=maybe}', "");
    Expect(1, 71984, '\p{NFKC_Quick_Check=:\Amaybe\z:}', "");;
    Expect(0, 71985, '\p{NFKC_Quick_Check=:\Amaybe\z:}', "");;
    Expect(1, 71984, '\p{NFKC_Quick_Check=_	maybe}', "");
    Expect(0, 71984, '\p{^NFKC_Quick_Check=_	maybe}', "");
    Expect(0, 71984, '\P{NFKC_Quick_Check=_	maybe}', "");
    Expect(1, 71984, '\P{^NFKC_Quick_Check=_	maybe}', "");
    Expect(0, 71985, '\p{NFKC_Quick_Check=_	maybe}', "");
    Expect(1, 71985, '\p{^NFKC_Quick_Check=_	maybe}', "");
    Expect(1, 71985, '\P{NFKC_Quick_Check=_	maybe}', "");
    Expect(0, 71985, '\P{^NFKC_Quick_Check=_	maybe}', "");
    Error('\p{NFKC_QC=-m/a/}');
    Error('\P{NFKC_QC=-m/a/}');
    Expect(1, 71984, '\p{NFKC_QC=:\AM\z:}', "");;
    Expect(0, 71985, '\p{NFKC_QC=:\AM\z:}', "");;
    Expect(1, 71984, '\p{NFKC_QC=m}', "");
    Expect(0, 71984, '\p{^NFKC_QC=m}', "");
    Expect(0, 71984, '\P{NFKC_QC=m}', "");
    Expect(1, 71984, '\P{^NFKC_QC=m}', "");
    Expect(0, 71985, '\p{NFKC_QC=m}', "");
    Expect(1, 71985, '\p{^NFKC_QC=m}', "");
    Expect(1, 71985, '\P{NFKC_QC=m}', "");
    Expect(0, 71985, '\P{^NFKC_QC=m}', "");
    Expect(1, 71984, '\p{NFKC_QC=:\Am\z:}', "");;
    Expect(0, 71985, '\p{NFKC_QC=:\Am\z:}', "");;
    Expect(1, 71984, '\p{NFKC_QC=	M}', "");
    Expect(0, 71984, '\p{^NFKC_QC=	M}', "");
    Expect(0, 71984, '\P{NFKC_QC=	M}', "");
    Expect(1, 71984, '\P{^NFKC_QC=	M}', "");
    Expect(0, 71985, '\p{NFKC_QC=	M}', "");
    Expect(1, 71985, '\p{^NFKC_QC=	M}', "");
    Expect(1, 71985, '\P{NFKC_QC=	M}', "");
    Expect(0, 71985, '\P{^NFKC_QC=	M}', "");
    Error('\p{Is_NFKC_Quick_Check:_ MAYBE/a/}');
    Error('\P{Is_NFKC_Quick_Check:_ MAYBE/a/}');
    Expect(1, 71984, '\p{Is_NFKC_Quick_Check:   maybe}', "");
    Expect(0, 71984, '\p{^Is_NFKC_Quick_Check:   maybe}', "");
    Expect(0, 71984, '\P{Is_NFKC_Quick_Check:   maybe}', "");
    Expect(1, 71984, '\P{^Is_NFKC_Quick_Check:   maybe}', "");
    Expect(0, 71985, '\p{Is_NFKC_Quick_Check:   maybe}', "");
    Expect(1, 71985, '\p{^Is_NFKC_Quick_Check:   maybe}', "");
    Expect(1, 71985, '\P{Is_NFKC_Quick_Check:   maybe}', "");
    Expect(0, 71985, '\P{^Is_NFKC_Quick_Check:   maybe}', "");
    Expect(1, 71984, '\p{Is_NFKC_Quick_Check=_MAYBE}', "");
    Expect(0, 71984, '\p{^Is_NFKC_Quick_Check=_MAYBE}', "");
    Expect(0, 71984, '\P{Is_NFKC_Quick_Check=_MAYBE}', "");
    Expect(1, 71984, '\P{^Is_NFKC_Quick_Check=_MAYBE}', "");
    Expect(0, 71985, '\p{Is_NFKC_Quick_Check=_MAYBE}', "");
    Expect(1, 71985, '\p{^Is_NFKC_Quick_Check=_MAYBE}', "");
    Expect(1, 71985, '\P{Is_NFKC_Quick_Check=_MAYBE}', "");
    Expect(0, 71985, '\P{^Is_NFKC_Quick_Check=_MAYBE}', "");
    Error('\p{Is_NFKC_QC= -M:=}');
    Error('\P{Is_NFKC_QC= -M:=}');
    Expect(1, 71984, '\p{Is_NFKC_QC=m}', "");
    Expect(0, 71984, '\p{^Is_NFKC_QC=m}', "");
    Expect(0, 71984, '\P{Is_NFKC_QC=m}', "");
    Expect(1, 71984, '\P{^Is_NFKC_QC=m}', "");
    Expect(0, 71985, '\p{Is_NFKC_QC=m}', "");
    Expect(1, 71985, '\p{^Is_NFKC_QC=m}', "");
    Expect(1, 71985, '\P{Is_NFKC_QC=m}', "");
    Expect(0, 71985, '\P{^Is_NFKC_QC=m}', "");
    Expect(1, 71984, '\p{Is_NFKC_QC=_ M}', "");
    Expect(0, 71984, '\p{^Is_NFKC_QC=_ M}', "");
    Expect(0, 71984, '\P{Is_NFKC_QC=_ M}', "");
    Expect(1, 71984, '\P{^Is_NFKC_QC=_ M}', "");
    Expect(0, 71985, '\p{Is_NFKC_QC=_ M}', "");
    Expect(1, 71985, '\p{^Is_NFKC_QC=_ M}', "");
    Expect(1, 71985, '\P{Is_NFKC_QC=_ M}', "");
    Expect(0, 71985, '\P{^Is_NFKC_QC=_ M}', "");
    Error('\p{NFKC_Quick_Check= :=No}');
    Error('\P{NFKC_Quick_Check= :=No}');
    Expect(1, 195101, '\p{NFKC_Quick_Check=:\ANo\z:}', "");;
    Expect(0, 195102, '\p{NFKC_Quick_Check=:\ANo\z:}', "");;
    Expect(1, 195101, '\p{NFKC_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^NFKC_Quick_Check=no}', "");
    Expect(0, 195101, '\P{NFKC_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^NFKC_Quick_Check=no}', "");
    Expect(0, 195102, '\p{NFKC_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^NFKC_Quick_Check=no}', "");
    Expect(1, 195102, '\P{NFKC_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^NFKC_Quick_Check=no}', "");
    Expect(1, 195101, '\p{NFKC_Quick_Check=:\Ano\z:}', "");;
    Expect(0, 195102, '\p{NFKC_Quick_Check=:\Ano\z:}', "");;
    Expect(1, 195101, '\p{NFKC_Quick_Check=-No}', "");
    Expect(0, 195101, '\p{^NFKC_Quick_Check=-No}', "");
    Expect(0, 195101, '\P{NFKC_Quick_Check=-No}', "");
    Expect(1, 195101, '\P{^NFKC_Quick_Check=-No}', "");
    Expect(0, 195102, '\p{NFKC_Quick_Check=-No}', "");
    Expect(1, 195102, '\p{^NFKC_Quick_Check=-No}', "");
    Expect(1, 195102, '\P{NFKC_Quick_Check=-No}', "");
    Expect(0, 195102, '\P{^NFKC_Quick_Check=-No}', "");
    Error('\p{NFKC_QC=_/a/N}');
    Error('\P{NFKC_QC=_/a/N}');
    Expect(1, 195101, '\p{NFKC_QC=:\AN\z:}', "");;
    Expect(0, 195102, '\p{NFKC_QC=:\AN\z:}', "");;
    Expect(1, 195101, '\p{NFKC_QC=n}', "");
    Expect(0, 195101, '\p{^NFKC_QC=n}', "");
    Expect(0, 195101, '\P{NFKC_QC=n}', "");
    Expect(1, 195101, '\P{^NFKC_QC=n}', "");
    Expect(0, 195102, '\p{NFKC_QC=n}', "");
    Expect(1, 195102, '\p{^NFKC_QC=n}', "");
    Expect(1, 195102, '\P{NFKC_QC=n}', "");
    Expect(0, 195102, '\P{^NFKC_QC=n}', "");
    Expect(1, 195101, '\p{NFKC_QC=:\An\z:}', "");;
    Expect(0, 195102, '\p{NFKC_QC=:\An\z:}', "");;
    Expect(1, 195101, '\p{NFKC_QC=N}', "");
    Expect(0, 195101, '\p{^NFKC_QC=N}', "");
    Expect(0, 195101, '\P{NFKC_QC=N}', "");
    Expect(1, 195101, '\P{^NFKC_QC=N}', "");
    Expect(0, 195102, '\p{NFKC_QC=N}', "");
    Expect(1, 195102, '\p{^NFKC_QC=N}', "");
    Expect(1, 195102, '\P{NFKC_QC=N}', "");
    Expect(0, 195102, '\P{^NFKC_QC=N}', "");
    Error('\p{Is_NFKC_Quick_Check=/a/ -No}');
    Error('\P{Is_NFKC_Quick_Check=/a/ -No}');
    Expect(1, 195101, '\p{Is_NFKC_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^Is_NFKC_Quick_Check=no}', "");
    Expect(0, 195101, '\P{Is_NFKC_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^Is_NFKC_Quick_Check=no}', "");
    Expect(0, 195102, '\p{Is_NFKC_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^Is_NFKC_Quick_Check=no}', "");
    Expect(1, 195102, '\P{Is_NFKC_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^Is_NFKC_Quick_Check=no}', "");
    Expect(1, 195101, '\p{Is_NFKC_Quick_Check=_-no}', "");
    Expect(0, 195101, '\p{^Is_NFKC_Quick_Check=_-no}', "");
    Expect(0, 195101, '\P{Is_NFKC_Quick_Check=_-no}', "");
    Expect(1, 195101, '\P{^Is_NFKC_Quick_Check=_-no}', "");
    Expect(0, 195102, '\p{Is_NFKC_Quick_Check=_-no}', "");
    Expect(1, 195102, '\p{^Is_NFKC_Quick_Check=_-no}', "");
    Expect(1, 195102, '\P{Is_NFKC_Quick_Check=_-no}', "");
    Expect(0, 195102, '\P{^Is_NFKC_Quick_Check=_-no}', "");
    Error('\p{Is_NFKC_QC=-N/a/}');
    Error('\P{Is_NFKC_QC=-N/a/}');
    Expect(1, 195101, '\p{Is_NFKC_QC=n}', "");
    Expect(0, 195101, '\p{^Is_NFKC_QC=n}', "");
    Expect(0, 195101, '\P{Is_NFKC_QC=n}', "");
    Expect(1, 195101, '\P{^Is_NFKC_QC=n}', "");
    Expect(0, 195102, '\p{Is_NFKC_QC=n}', "");
    Expect(1, 195102, '\p{^Is_NFKC_QC=n}', "");
    Expect(1, 195102, '\P{Is_NFKC_QC=n}', "");
    Expect(0, 195102, '\P{^Is_NFKC_QC=n}', "");
    Expect(1, 195101, '\p{Is_NFKC_QC=	 N}', "");
    Expect(0, 195101, '\p{^Is_NFKC_QC=	 N}', "");
    Expect(0, 195101, '\P{Is_NFKC_QC=	 N}', "");
    Expect(1, 195101, '\P{^Is_NFKC_QC=	 N}', "");
    Expect(0, 195102, '\p{Is_NFKC_QC=	 N}', "");
    Expect(1, 195102, '\p{^Is_NFKC_QC=	 N}', "");
    Expect(1, 195102, '\P{Is_NFKC_QC=	 N}', "");
    Expect(0, 195102, '\P{^Is_NFKC_QC=	 N}', "");
    Error('\p{NFKC_Quick_Check=/a/YES}');
    Error('\P{NFKC_Quick_Check=/a/YES}');
    Expect(1, 195102, '\p{NFKC_Quick_Check=:\AYes\z:}', "");;
    Expect(0, 195101, '\p{NFKC_Quick_Check=:\AYes\z:}', "");;
    Expect(1, 195102, '\p{NFKC_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^NFKC_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{NFKC_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^NFKC_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{NFKC_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^NFKC_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{NFKC_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^NFKC_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{NFKC_Quick_Check=:\Ayes\z:}', "");;
    Expect(0, 195101, '\p{NFKC_Quick_Check=:\Ayes\z:}', "");;
    Expect(1, 195102, '\p{NFKC_Quick_Check:			Yes}', "");
    Expect(0, 195102, '\p{^NFKC_Quick_Check:			Yes}', "");
    Expect(0, 195102, '\P{NFKC_Quick_Check:			Yes}', "");
    Expect(1, 195102, '\P{^NFKC_Quick_Check:			Yes}', "");
    Expect(0, 195101, '\p{NFKC_Quick_Check:			Yes}', "");
    Expect(1, 195101, '\p{^NFKC_Quick_Check:			Yes}', "");
    Expect(1, 195101, '\P{NFKC_Quick_Check:			Yes}', "");
    Expect(0, 195101, '\P{^NFKC_Quick_Check:			Yes}', "");
    Error('\p{NFKC_QC=-:=Y}');
    Error('\P{NFKC_QC=-:=Y}');
    Expect(1, 195102, '\p{NFKC_QC=:\AY\z:}', "");;
    Expect(0, 195101, '\p{NFKC_QC=:\AY\z:}', "");;
    Expect(1, 195102, '\p{NFKC_QC=y}', "");
    Expect(0, 195102, '\p{^NFKC_QC=y}', "");
    Expect(0, 195102, '\P{NFKC_QC=y}', "");
    Expect(1, 195102, '\P{^NFKC_QC=y}', "");
    Expect(0, 195101, '\p{NFKC_QC=y}', "");
    Expect(1, 195101, '\p{^NFKC_QC=y}', "");
    Expect(1, 195101, '\P{NFKC_QC=y}', "");
    Expect(0, 195101, '\P{^NFKC_QC=y}', "");
    Expect(1, 195102, '\p{NFKC_QC=:\Ay\z:}', "");;
    Expect(0, 195101, '\p{NFKC_QC=:\Ay\z:}', "");;
    Expect(1, 195102, '\p{NFKC_QC=_Y}', "");
    Expect(0, 195102, '\p{^NFKC_QC=_Y}', "");
    Expect(0, 195102, '\P{NFKC_QC=_Y}', "");
    Expect(1, 195102, '\P{^NFKC_QC=_Y}', "");
    Expect(0, 195101, '\p{NFKC_QC=_Y}', "");
    Expect(1, 195101, '\p{^NFKC_QC=_Y}', "");
    Expect(1, 195101, '\P{NFKC_QC=_Y}', "");
    Expect(0, 195101, '\P{^NFKC_QC=_Y}', "");
    Error('\p{Is_NFKC_Quick_Check=--Yes/a/}');
    Error('\P{Is_NFKC_Quick_Check=--Yes/a/}');
    Expect(1, 195102, '\p{Is_NFKC_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^Is_NFKC_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{Is_NFKC_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^Is_NFKC_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{Is_NFKC_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^Is_NFKC_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{Is_NFKC_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^Is_NFKC_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{Is_NFKC_Quick_Check=_-YES}', "");
    Expect(0, 195102, '\p{^Is_NFKC_Quick_Check=_-YES}', "");
    Expect(0, 195102, '\P{Is_NFKC_Quick_Check=_-YES}', "");
    Expect(1, 195102, '\P{^Is_NFKC_Quick_Check=_-YES}', "");
    Expect(0, 195101, '\p{Is_NFKC_Quick_Check=_-YES}', "");
    Expect(1, 195101, '\p{^Is_NFKC_Quick_Check=_-YES}', "");
    Expect(1, 195101, '\P{Is_NFKC_Quick_Check=_-YES}', "");
    Expect(0, 195101, '\P{^Is_NFKC_Quick_Check=_-YES}', "");
    Error('\p{Is_NFKC_QC:	Y/a/}');
    Error('\P{Is_NFKC_QC:	Y/a/}');
    Expect(1, 195102, '\p{Is_NFKC_QC=y}', "");
    Expect(0, 195102, '\p{^Is_NFKC_QC=y}', "");
    Expect(0, 195102, '\P{Is_NFKC_QC=y}', "");
    Expect(1, 195102, '\P{^Is_NFKC_QC=y}', "");
    Expect(0, 195101, '\p{Is_NFKC_QC=y}', "");
    Expect(1, 195101, '\p{^Is_NFKC_QC=y}', "");
    Expect(1, 195101, '\P{Is_NFKC_QC=y}', "");
    Expect(0, 195101, '\P{^Is_NFKC_QC=y}', "");
    Expect(1, 195102, '\p{Is_NFKC_QC=	-Y}', "");
    Expect(0, 195102, '\p{^Is_NFKC_QC=	-Y}', "");
    Expect(0, 195102, '\P{Is_NFKC_QC=	-Y}', "");
    Expect(1, 195102, '\P{^Is_NFKC_QC=	-Y}', "");
    Expect(0, 195101, '\p{Is_NFKC_QC=	-Y}', "");
    Expect(1, 195101, '\p{^Is_NFKC_QC=	-Y}', "");
    Expect(1, 195101, '\P{Is_NFKC_QC=	-Y}', "");
    Expect(0, 195101, '\P{^Is_NFKC_QC=	-Y}', "");
    Error('\p{nfkdquickcheck}');
    Error('\P{nfkdquickcheck}');
    Error('\p{nfkdqc}');
    Error('\P{nfkdqc}');
    Error('\p{NFKD_Quick_Check:   -:=NO}');
    Error('\P{NFKD_Quick_Check:   -:=NO}');
    Expect(1, 195101, '\p{NFKD_Quick_Check=:\ANo\z:}', "");;
    Expect(0, 195102, '\p{NFKD_Quick_Check=:\ANo\z:}', "");;
    Expect(1, 195101, '\p{NFKD_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^NFKD_Quick_Check=no}', "");
    Expect(0, 195101, '\P{NFKD_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^NFKD_Quick_Check=no}', "");
    Expect(0, 195102, '\p{NFKD_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^NFKD_Quick_Check=no}', "");
    Expect(1, 195102, '\P{NFKD_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^NFKD_Quick_Check=no}', "");
    Expect(1, 195101, '\p{NFKD_Quick_Check=:\Ano\z:}', "");;
    Expect(0, 195102, '\p{NFKD_Quick_Check=:\Ano\z:}', "");;
    Error('\p{NFKD_QC=:=  N}');
    Error('\P{NFKD_QC=:=  N}');
    Expect(1, 195101, '\p{NFKD_QC=:\AN\z:}', "");;
    Expect(0, 195102, '\p{NFKD_QC=:\AN\z:}', "");;
    Expect(1, 195101, '\p{NFKD_QC=n}', "");
    Expect(0, 195101, '\p{^NFKD_QC=n}', "");
    Expect(0, 195101, '\P{NFKD_QC=n}', "");
    Expect(1, 195101, '\P{^NFKD_QC=n}', "");
    Expect(0, 195102, '\p{NFKD_QC=n}', "");
    Expect(1, 195102, '\p{^NFKD_QC=n}', "");
    Expect(1, 195102, '\P{NFKD_QC=n}', "");
    Expect(0, 195102, '\P{^NFKD_QC=n}', "");
    Expect(1, 195101, '\p{NFKD_QC=:\An\z:}', "");;
    Expect(0, 195102, '\p{NFKD_QC=:\An\z:}', "");;
    Expect(1, 195101, '\p{NFKD_QC=_n}', "");
    Expect(0, 195101, '\p{^NFKD_QC=_n}', "");
    Expect(0, 195101, '\P{NFKD_QC=_n}', "");
    Expect(1, 195101, '\P{^NFKD_QC=_n}', "");
    Expect(0, 195102, '\p{NFKD_QC=_n}', "");
    Expect(1, 195102, '\p{^NFKD_QC=_n}', "");
    Expect(1, 195102, '\P{NFKD_QC=_n}', "");
    Expect(0, 195102, '\P{^NFKD_QC=_n}', "");
    Error('\p{Is_NFKD_Quick_Check=/a/- NO}');
    Error('\P{Is_NFKD_Quick_Check=/a/- NO}');
    Expect(1, 195101, '\p{Is_NFKD_Quick_Check=no}', "");
    Expect(0, 195101, '\p{^Is_NFKD_Quick_Check=no}', "");
    Expect(0, 195101, '\P{Is_NFKD_Quick_Check=no}', "");
    Expect(1, 195101, '\P{^Is_NFKD_Quick_Check=no}', "");
    Expect(0, 195102, '\p{Is_NFKD_Quick_Check=no}', "");
    Expect(1, 195102, '\p{^Is_NFKD_Quick_Check=no}', "");
    Expect(1, 195102, '\P{Is_NFKD_Quick_Check=no}', "");
    Expect(0, 195102, '\P{^Is_NFKD_Quick_Check=no}', "");
    Expect(1, 195101, '\p{Is_NFKD_Quick_Check:	- No}', "");
    Expect(0, 195101, '\p{^Is_NFKD_Quick_Check:	- No}', "");
    Expect(0, 195101, '\P{Is_NFKD_Quick_Check:	- No}', "");
    Expect(1, 195101, '\P{^Is_NFKD_Quick_Check:	- No}', "");
    Expect(0, 195102, '\p{Is_NFKD_Quick_Check:	- No}', "");
    Expect(1, 195102, '\p{^Is_NFKD_Quick_Check:	- No}', "");
    Expect(1, 195102, '\P{Is_NFKD_Quick_Check:	- No}', "");
    Expect(0, 195102, '\P{^Is_NFKD_Quick_Check:	- No}', "");
    Error('\p{Is_NFKD_QC=-:=N}');
    Error('\P{Is_NFKD_QC=-:=N}');
    Expect(1, 195101, '\p{Is_NFKD_QC=n}', "");
    Expect(0, 195101, '\p{^Is_NFKD_QC=n}', "");
    Expect(0, 195101, '\P{Is_NFKD_QC=n}', "");
    Expect(1, 195101, '\P{^Is_NFKD_QC=n}', "");
    Expect(0, 195102, '\p{Is_NFKD_QC=n}', "");
    Expect(1, 195102, '\p{^Is_NFKD_QC=n}', "");
    Expect(1, 195102, '\P{Is_NFKD_QC=n}', "");
    Expect(0, 195102, '\P{^Is_NFKD_QC=n}', "");
    Expect(1, 195101, '\p{Is_NFKD_QC=	_N}', "");
    Expect(0, 195101, '\p{^Is_NFKD_QC=	_N}', "");
    Expect(0, 195101, '\P{Is_NFKD_QC=	_N}', "");
    Expect(1, 195101, '\P{^Is_NFKD_QC=	_N}', "");
    Expect(0, 195102, '\p{Is_NFKD_QC=	_N}', "");
    Expect(1, 195102, '\p{^Is_NFKD_QC=	_N}', "");
    Expect(1, 195102, '\P{Is_NFKD_QC=	_N}', "");
    Expect(0, 195102, '\P{^Is_NFKD_QC=	_N}', "");
    Error('\p{NFKD_Quick_Check:		_Yes:=}');
    Error('\P{NFKD_Quick_Check:		_Yes:=}');
    Expect(1, 195102, '\p{NFKD_Quick_Check=:\AYes\z:}', "");;
    Expect(0, 195101, '\p{NFKD_Quick_Check=:\AYes\z:}', "");;
    Expect(1, 195102, '\p{NFKD_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^NFKD_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{NFKD_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^NFKD_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{NFKD_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^NFKD_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{NFKD_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^NFKD_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{NFKD_Quick_Check=:\Ayes\z:}', "");;
    Expect(0, 195101, '\p{NFKD_Quick_Check=:\Ayes\z:}', "");;
    Expect(1, 195102, '\p{NFKD_Quick_Check=_Yes}', "");
    Expect(0, 195102, '\p{^NFKD_Quick_Check=_Yes}', "");
    Expect(0, 195102, '\P{NFKD_Quick_Check=_Yes}', "");
    Expect(1, 195102, '\P{^NFKD_Quick_Check=_Yes}', "");
    Expect(0, 195101, '\p{NFKD_Quick_Check=_Yes}', "");
    Expect(1, 195101, '\p{^NFKD_Quick_Check=_Yes}', "");
    Expect(1, 195101, '\P{NFKD_Quick_Check=_Yes}', "");
    Expect(0, 195101, '\P{^NFKD_Quick_Check=_Yes}', "");
    Error('\p{NFKD_QC=:= Y}');
    Error('\P{NFKD_QC=:= Y}');
    Expect(1, 195102, '\p{NFKD_QC=:\AY\z:}', "");;
    Expect(0, 195101, '\p{NFKD_QC=:\AY\z:}', "");;
    Expect(1, 195102, '\p{NFKD_QC=y}', "");
    Expect(0, 195102, '\p{^NFKD_QC=y}', "");
    Expect(0, 195102, '\P{NFKD_QC=y}', "");
    Expect(1, 195102, '\P{^NFKD_QC=y}', "");
    Expect(0, 195101, '\p{NFKD_QC=y}', "");
    Expect(1, 195101, '\p{^NFKD_QC=y}', "");
    Expect(1, 195101, '\P{NFKD_QC=y}', "");
    Expect(0, 195101, '\P{^NFKD_QC=y}', "");
    Expect(1, 195102, '\p{NFKD_QC=:\Ay\z:}', "");;
    Expect(0, 195101, '\p{NFKD_QC=:\Ay\z:}', "");;
    Expect(1, 195102, '\p{NFKD_QC=	y}', "");
    Expect(0, 195102, '\p{^NFKD_QC=	y}', "");
    Expect(0, 195102, '\P{NFKD_QC=	y}', "");
    Expect(1, 195102, '\P{^NFKD_QC=	y}', "");
    Expect(0, 195101, '\p{NFKD_QC=	y}', "");
    Expect(1, 195101, '\p{^NFKD_QC=	y}', "");
    Expect(1, 195101, '\P{NFKD_QC=	y}', "");
    Expect(0, 195101, '\P{^NFKD_QC=	y}', "");
    Error('\p{Is_NFKD_Quick_Check=_	yes:=}');
    Error('\P{Is_NFKD_Quick_Check=_	yes:=}');
    Expect(1, 195102, '\p{Is_NFKD_Quick_Check=yes}', "");
    Expect(0, 195102, '\p{^Is_NFKD_Quick_Check=yes}', "");
    Expect(0, 195102, '\P{Is_NFKD_Quick_Check=yes}', "");
    Expect(1, 195102, '\P{^Is_NFKD_Quick_Check=yes}', "");
    Expect(0, 195101, '\p{Is_NFKD_Quick_Check=yes}', "");
    Expect(1, 195101, '\p{^Is_NFKD_Quick_Check=yes}', "");
    Expect(1, 195101, '\P{Is_NFKD_Quick_Check=yes}', "");
    Expect(0, 195101, '\P{^Is_NFKD_Quick_Check=yes}', "");
    Expect(1, 195102, '\p{Is_NFKD_Quick_Check=-YES}', "");
    Expect(0, 195102, '\p{^Is_NFKD_Quick_Check=-YES}', "");
    Expect(0, 195102, '\P{Is_NFKD_Quick_Check=-YES}', "");
    Expect(1, 195102, '\P{^Is_NFKD_Quick_Check=-YES}', "");
    Expect(0, 195101, '\p{Is_NFKD_Quick_Check=-YES}', "");
    Expect(1, 195101, '\p{^Is_NFKD_Quick_Check=-YES}', "");
    Expect(1, 195101, '\P{Is_NFKD_Quick_Check=-YES}', "");
    Expect(0, 195101, '\P{^Is_NFKD_Quick_Check=-YES}', "");
    Error('\p{Is_NFKD_QC= :=y}');
    Error('\P{Is_NFKD_QC= :=y}');
    Expect(1, 195102, '\p{Is_NFKD_QC=y}', "");
    Expect(0, 195102, '\p{^Is_NFKD_QC=y}', "");
    Expect(0, 195102, '\P{Is_NFKD_QC=y}', "");
    Expect(1, 195102, '\P{^Is_NFKD_QC=y}', "");
    Expect(0, 195101, '\p{Is_NFKD_QC=y}', "");
    Expect(1, 195101, '\p{^Is_NFKD_QC=y}', "");
    Expect(1, 195101, '\P{Is_NFKD_QC=y}', "");
    Expect(0, 195101, '\P{^Is_NFKD_QC=y}', "");
    Expect(1, 195102, '\p{Is_NFKD_QC=-_y}', "");
    Expect(0, 195102, '\p{^Is_NFKD_QC=-_y}', "");
    Expect(0, 195102, '\P{Is_NFKD_QC=-_y}', "");
    Expect(1, 195102, '\P{^Is_NFKD_QC=-_y}', "");
    Expect(0, 195101, '\p{Is_NFKD_QC=-_y}', "");
    Expect(1, 195101, '\p{^Is_NFKD_QC=-_y}', "");
    Expect(1, 195101, '\P{Is_NFKD_QC=-_y}', "");
    Expect(0, 195101, '\P{^Is_NFKD_QC=-_y}', "");
    Error('\p{numerictype}');
    Error('\P{numerictype}');
    Error('\p{nt}');
    Error('\P{nt}');
    Error('\p{Numeric_Type= /a/decimal}');
    Error('\P{Numeric_Type= /a/decimal}');
    Expect(1, 130041, '\p{Numeric_Type=:\ADecimal\z:}', "");;
    Expect(0, 130042, '\p{Numeric_Type=:\ADecimal\z:}', "");;
    Expect(1, 130041, '\p{Numeric_Type=decimal}', "");
    Expect(0, 130041, '\p{^Numeric_Type=decimal}', "");
    Expect(0, 130041, '\P{Numeric_Type=decimal}', "");
    Expect(1, 130041, '\P{^Numeric_Type=decimal}', "");
    Expect(0, 130042, '\p{Numeric_Type=decimal}', "");
    Expect(1, 130042, '\p{^Numeric_Type=decimal}', "");
    Expect(1, 130042, '\P{Numeric_Type=decimal}', "");
    Expect(0, 130042, '\P{^Numeric_Type=decimal}', "");
    Expect(1, 130041, '\p{Numeric_Type=:\Adecimal\z:}', "");;
    Expect(0, 130042, '\p{Numeric_Type=:\Adecimal\z:}', "");;
    Expect(1, 130041, '\p{Numeric_Type:  Decimal}', "");
    Expect(0, 130041, '\p{^Numeric_Type:  Decimal}', "");
    Expect(0, 130041, '\P{Numeric_Type:  Decimal}', "");
    Expect(1, 130041, '\P{^Numeric_Type:  Decimal}', "");
    Expect(0, 130042, '\p{Numeric_Type:  Decimal}', "");
    Expect(1, 130042, '\p{^Numeric_Type:  Decimal}', "");
    Expect(1, 130042, '\P{Numeric_Type:  Decimal}', "");
    Expect(0, 130042, '\P{^Numeric_Type:  Decimal}', "");
    Error('\p{Nt=-:=DE}');
    Error('\P{Nt=-:=DE}');
    Expect(1, 130041, '\p{Nt=:\ADe\z:}', "");;
    Expect(0, 130042, '\p{Nt=:\ADe\z:}', "");;
    Expect(1, 130041, '\p{Nt=de}', "");
    Expect(0, 130041, '\p{^Nt=de}', "");
    Expect(0, 130041, '\P{Nt=de}', "");
    Expect(1, 130041, '\P{^Nt=de}', "");
    Expect(0, 130042, '\p{Nt=de}', "");
    Expect(1, 130042, '\p{^Nt=de}', "");
    Expect(1, 130042, '\P{Nt=de}', "");
    Expect(0, 130042, '\P{^Nt=de}', "");
    Expect(1, 130041, '\p{Nt=:\Ade\z:}', "");;
    Expect(0, 130042, '\p{Nt=:\Ade\z:}', "");;
    Expect(1, 130041, '\p{Nt=	De}', "");
    Expect(0, 130041, '\p{^Nt=	De}', "");
    Expect(0, 130041, '\P{Nt=	De}', "");
    Expect(1, 130041, '\P{^Nt=	De}', "");
    Expect(0, 130042, '\p{Nt=	De}', "");
    Expect(1, 130042, '\p{^Nt=	De}', "");
    Expect(1, 130042, '\P{Nt=	De}', "");
    Expect(0, 130042, '\P{^Nt=	De}', "");
    Error('\p{Is_Numeric_Type=:=-decimal}');
    Error('\P{Is_Numeric_Type=:=-decimal}');
    Expect(1, 130041, '\p{Is_Numeric_Type=decimal}', "");
    Expect(0, 130041, '\p{^Is_Numeric_Type=decimal}', "");
    Expect(0, 130041, '\P{Is_Numeric_Type=decimal}', "");
    Expect(1, 130041, '\P{^Is_Numeric_Type=decimal}', "");
    Expect(0, 130042, '\p{Is_Numeric_Type=decimal}', "");
    Expect(1, 130042, '\p{^Is_Numeric_Type=decimal}', "");
    Expect(1, 130042, '\P{Is_Numeric_Type=decimal}', "");
    Expect(0, 130042, '\P{^Is_Numeric_Type=decimal}', "");
    Expect(1, 130041, '\p{Is_Numeric_Type= DECIMAL}', "");
    Expect(0, 130041, '\p{^Is_Numeric_Type= DECIMAL}', "");
    Expect(0, 130041, '\P{Is_Numeric_Type= DECIMAL}', "");
    Expect(1, 130041, '\P{^Is_Numeric_Type= DECIMAL}', "");
    Expect(0, 130042, '\p{Is_Numeric_Type= DECIMAL}', "");
    Expect(1, 130042, '\p{^Is_Numeric_Type= DECIMAL}', "");
    Expect(1, 130042, '\P{Is_Numeric_Type= DECIMAL}', "");
    Expect(0, 130042, '\P{^Is_Numeric_Type= DECIMAL}', "");
    Error('\p{Is_Nt=-:=De}');
    Error('\P{Is_Nt=-:=De}');
    Expect(1, 130041, '\p{Is_Nt=de}', "");
    Expect(0, 130041, '\p{^Is_Nt=de}', "");
    Expect(0, 130041, '\P{Is_Nt=de}', "");
    Expect(1, 130041, '\P{^Is_Nt=de}', "");
    Expect(0, 130042, '\p{Is_Nt=de}', "");
    Expect(1, 130042, '\p{^Is_Nt=de}', "");
    Expect(1, 130042, '\P{Is_Nt=de}', "");
    Expect(0, 130042, '\P{^Is_Nt=de}', "");
    Expect(1, 130041, '\p{Is_Nt=	_De}', "");
    Expect(0, 130041, '\p{^Is_Nt=	_De}', "");
    Expect(0, 130041, '\P{Is_Nt=	_De}', "");
    Expect(1, 130041, '\P{^Is_Nt=	_De}', "");
    Expect(0, 130042, '\p{Is_Nt=	_De}', "");
    Expect(1, 130042, '\p{^Is_Nt=	_De}', "");
    Expect(1, 130042, '\P{Is_Nt=	_De}', "");
    Expect(0, 130042, '\P{^Is_Nt=	_De}', "");
    Error('\p{Numeric_Type=_:=Digit}');
    Error('\P{Numeric_Type=_:=Digit}');
    Expect(1, 127242, '\p{Numeric_Type=:\ADigit\z:}', "");;
    Expect(0, 127243, '\p{Numeric_Type=:\ADigit\z:}', "");;
    Expect(1, 127242, '\p{Numeric_Type=digit}', "");
    Expect(0, 127242, '\p{^Numeric_Type=digit}', "");
    Expect(0, 127242, '\P{Numeric_Type=digit}', "");
    Expect(1, 127242, '\P{^Numeric_Type=digit}', "");
    Expect(0, 127243, '\p{Numeric_Type=digit}', "");
    Expect(1, 127243, '\p{^Numeric_Type=digit}', "");
    Expect(1, 127243, '\P{Numeric_Type=digit}', "");
    Expect(0, 127243, '\P{^Numeric_Type=digit}', "");
    Expect(1, 127242, '\p{Numeric_Type=:\Adigit\z:}', "");;
    Expect(0, 127243, '\p{Numeric_Type=:\Adigit\z:}', "");;
    Expect(1, 127242, '\p{Numeric_Type=	Digit}', "");
    Expect(0, 127242, '\p{^Numeric_Type=	Digit}', "");
    Expect(0, 127242, '\P{Numeric_Type=	Digit}', "");
    Expect(1, 127242, '\P{^Numeric_Type=	Digit}', "");
    Expect(0, 127243, '\p{Numeric_Type=	Digit}', "");
    Expect(1, 127243, '\p{^Numeric_Type=	Digit}', "");
    Expect(1, 127243, '\P{Numeric_Type=	Digit}', "");
    Expect(0, 127243, '\P{^Numeric_Type=	Digit}', "");
    Error('\p{Nt:   	:=DI}');
    Error('\P{Nt:   	:=DI}');
    Expect(1, 127242, '\p{Nt=:\ADi\z:}', "");;
    Expect(0, 127243, '\p{Nt=:\ADi\z:}', "");;
    Expect(1, 127242, '\p{Nt:	di}', "");
    Expect(0, 127242, '\p{^Nt:	di}', "");
    Expect(0, 127242, '\P{Nt:	di}', "");
    Expect(1, 127242, '\P{^Nt:	di}', "");
    Expect(0, 127243, '\p{Nt:	di}', "");
    Expect(1, 127243, '\p{^Nt:	di}', "");
    Expect(1, 127243, '\P{Nt:	di}', "");
    Expect(0, 127243, '\P{^Nt:	di}', "");
    Expect(1, 127242, '\p{Nt=:\Adi\z:}', "");;
    Expect(0, 127243, '\p{Nt=:\Adi\z:}', "");;
    Expect(1, 127242, '\p{Nt=_ Di}', "");
    Expect(0, 127242, '\p{^Nt=_ Di}', "");
    Expect(0, 127242, '\P{Nt=_ Di}', "");
    Expect(1, 127242, '\P{^Nt=_ Di}', "");
    Expect(0, 127243, '\p{Nt=_ Di}', "");
    Expect(1, 127243, '\p{^Nt=_ Di}', "");
    Expect(1, 127243, '\P{Nt=_ Di}', "");
    Expect(0, 127243, '\P{^Nt=_ Di}', "");
    Error('\p{Is_Numeric_Type=-DIGIT:=}');
    Error('\P{Is_Numeric_Type=-DIGIT:=}');
    Expect(1, 127242, '\p{Is_Numeric_Type=digit}', "");
    Expect(0, 127242, '\p{^Is_Numeric_Type=digit}', "");
    Expect(0, 127242, '\P{Is_Numeric_Type=digit}', "");
    Expect(1, 127242, '\P{^Is_Numeric_Type=digit}', "");
    Expect(0, 127243, '\p{Is_Numeric_Type=digit}', "");
    Expect(1, 127243, '\p{^Is_Numeric_Type=digit}', "");
    Expect(1, 127243, '\P{Is_Numeric_Type=digit}', "");
    Expect(0, 127243, '\P{^Is_Numeric_Type=digit}', "");
    Expect(1, 127242, '\p{Is_Numeric_Type=_Digit}', "");
    Expect(0, 127242, '\p{^Is_Numeric_Type=_Digit}', "");
    Expect(0, 127242, '\P{Is_Numeric_Type=_Digit}', "");
    Expect(1, 127242, '\P{^Is_Numeric_Type=_Digit}', "");
    Expect(0, 127243, '\p{Is_Numeric_Type=_Digit}', "");
    Expect(1, 127243, '\p{^Is_Numeric_Type=_Digit}', "");
    Expect(1, 127243, '\P{Is_Numeric_Type=_Digit}', "");
    Expect(0, 127243, '\P{^Is_Numeric_Type=_Digit}', "");
    Error('\p{Is_Nt=- di:=}');
    Error('\P{Is_Nt=- di:=}');
    Expect(1, 127242, '\p{Is_Nt:   di}', "");
    Expect(0, 127242, '\p{^Is_Nt:   di}', "");
    Expect(0, 127242, '\P{Is_Nt:   di}', "");
    Expect(1, 127242, '\P{^Is_Nt:   di}', "");
    Expect(0, 127243, '\p{Is_Nt:   di}', "");
    Expect(1, 127243, '\p{^Is_Nt:   di}', "");
    Expect(1, 127243, '\P{Is_Nt:   di}', "");
    Expect(0, 127243, '\P{^Is_Nt:   di}', "");
    Expect(1, 127242, '\p{Is_Nt=_Di}', "");
    Expect(0, 127242, '\p{^Is_Nt=_Di}', "");
    Expect(0, 127242, '\P{Is_Nt=_Di}', "");
    Expect(1, 127242, '\P{^Is_Nt=_Di}', "");
    Expect(0, 127243, '\p{Is_Nt=_Di}', "");
    Expect(1, 127243, '\p{^Is_Nt=_Di}', "");
    Expect(1, 127243, '\P{Is_Nt=_Di}', "");
    Expect(0, 127243, '\P{^Is_Nt=_Di}', "");
    Error('\p{Numeric_Type=_:=None}');
    Error('\P{Numeric_Type=_:=None}');
    Expect(1, 194705, '\p{Numeric_Type=:\ANone\z:}', "");;
    Expect(0, 194704, '\p{Numeric_Type=:\ANone\z:}', "");;
    Expect(1, 194705, '\p{Numeric_Type=none}', "");
    Expect(0, 194705, '\p{^Numeric_Type=none}', "");
    Expect(0, 194705, '\P{Numeric_Type=none}', "");
    Expect(1, 194705, '\P{^Numeric_Type=none}', "");
    Expect(0, 194704, '\p{Numeric_Type=none}', "");
    Expect(1, 194704, '\p{^Numeric_Type=none}', "");
    Expect(1, 194704, '\P{Numeric_Type=none}', "");
    Expect(0, 194704, '\P{^Numeric_Type=none}', "");
    Expect(1, 194705, '\p{Numeric_Type=:\Anone\z:}', "");;
    Expect(0, 194704, '\p{Numeric_Type=:\Anone\z:}', "");;
    Expect(1, 194705, '\p{Numeric_Type= none}', "");
    Expect(0, 194705, '\p{^Numeric_Type= none}', "");
    Expect(0, 194705, '\P{Numeric_Type= none}', "");
    Expect(1, 194705, '\P{^Numeric_Type= none}', "");
    Expect(0, 194704, '\p{Numeric_Type= none}', "");
    Expect(1, 194704, '\p{^Numeric_Type= none}', "");
    Expect(1, 194704, '\P{Numeric_Type= none}', "");
    Expect(0, 194704, '\P{^Numeric_Type= none}', "");
    Error('\p{Nt=/a/None}');
    Error('\P{Nt=/a/None}');
    Expect(1, 194705, '\p{Nt=:\ANone\z:}', "");;
    Expect(0, 194704, '\p{Nt=:\ANone\z:}', "");;
    Expect(1, 194705, '\p{Nt=none}', "");
    Expect(0, 194705, '\p{^Nt=none}', "");
    Expect(0, 194705, '\P{Nt=none}', "");
    Expect(1, 194705, '\P{^Nt=none}', "");
    Expect(0, 194704, '\p{Nt=none}', "");
    Expect(1, 194704, '\p{^Nt=none}', "");
    Expect(1, 194704, '\P{Nt=none}', "");
    Expect(0, 194704, '\P{^Nt=none}', "");
    Expect(1, 194705, '\p{Nt=:\Anone\z:}', "");;
    Expect(0, 194704, '\p{Nt=:\Anone\z:}', "");;
    Expect(1, 194705, '\p{Nt=	None}', "");
    Expect(0, 194705, '\p{^Nt=	None}', "");
    Expect(0, 194705, '\P{Nt=	None}', "");
    Expect(1, 194705, '\P{^Nt=	None}', "");
    Expect(0, 194704, '\p{Nt=	None}', "");
    Expect(1, 194704, '\p{^Nt=	None}', "");
    Expect(1, 194704, '\P{Nt=	None}', "");
    Expect(0, 194704, '\P{^Nt=	None}', "");
    Error('\p{Is_Numeric_Type=	_None/a/}');
    Error('\P{Is_Numeric_Type=	_None/a/}');
    Expect(1, 194705, '\p{Is_Numeric_Type:none}', "");
    Expect(0, 194705, '\p{^Is_Numeric_Type:none}', "");
    Expect(0, 194705, '\P{Is_Numeric_Type:none}', "");
    Expect(1, 194705, '\P{^Is_Numeric_Type:none}', "");
    Expect(0, 194704, '\p{Is_Numeric_Type:none}', "");
    Expect(1, 194704, '\p{^Is_Numeric_Type:none}', "");
    Expect(1, 194704, '\P{Is_Numeric_Type:none}', "");
    Expect(0, 194704, '\P{^Is_Numeric_Type:none}', "");
    Expect(1, 194705, '\p{Is_Numeric_Type:	_-None}', "");
    Expect(0, 194705, '\p{^Is_Numeric_Type:	_-None}', "");
    Expect(0, 194705, '\P{Is_Numeric_Type:	_-None}', "");
    Expect(1, 194705, '\P{^Is_Numeric_Type:	_-None}', "");
    Expect(0, 194704, '\p{Is_Numeric_Type:	_-None}', "");
    Expect(1, 194704, '\p{^Is_Numeric_Type:	_-None}', "");
    Expect(1, 194704, '\P{Is_Numeric_Type:	_-None}', "");
    Expect(0, 194704, '\P{^Is_Numeric_Type:	_-None}', "");
    Error('\p{Is_Nt=_-None:=}');
    Error('\P{Is_Nt=_-None:=}');
    Expect(1, 194705, '\p{Is_Nt=none}', "");
    Expect(0, 194705, '\p{^Is_Nt=none}', "");
    Expect(0, 194705, '\P{Is_Nt=none}', "");
    Expect(1, 194705, '\P{^Is_Nt=none}', "");
    Expect(0, 194704, '\p{Is_Nt=none}', "");
    Expect(1, 194704, '\p{^Is_Nt=none}', "");
    Expect(1, 194704, '\P{Is_Nt=none}', "");
    Expect(0, 194704, '\P{^Is_Nt=none}', "");
    Expect(1, 194705, '\p{Is_Nt=_none}', "");
    Expect(0, 194705, '\p{^Is_Nt=_none}', "");
    Expect(0, 194705, '\P{Is_Nt=_none}', "");
    Expect(1, 194705, '\P{^Is_Nt=_none}', "");
    Expect(0, 194704, '\p{Is_Nt=_none}', "");
    Expect(1, 194704, '\p{^Is_Nt=_none}', "");
    Expect(1, 194704, '\P{Is_Nt=_none}', "");
    Expect(0, 194704, '\P{^Is_Nt=_none}', "");
    Error('\p{Numeric_Type=		Numeric:=}');
    Error('\P{Numeric_Type=		Numeric:=}');
    Expect(1, 194704, '\p{Numeric_Type=:\ANumeric\z:}', "");;
    Expect(0, 194705, '\p{Numeric_Type=:\ANumeric\z:}', "");;
    Expect(1, 194704, '\p{Numeric_Type=numeric}', "");
    Expect(0, 194704, '\p{^Numeric_Type=numeric}', "");
    Expect(0, 194704, '\P{Numeric_Type=numeric}', "");
    Expect(1, 194704, '\P{^Numeric_Type=numeric}', "");
    Expect(0, 194705, '\p{Numeric_Type=numeric}', "");
    Expect(1, 194705, '\p{^Numeric_Type=numeric}', "");
    Expect(1, 194705, '\P{Numeric_Type=numeric}', "");
    Expect(0, 194705, '\P{^Numeric_Type=numeric}', "");
    Expect(1, 194704, '\p{Numeric_Type=:\Anumeric\z:}', "");;
    Expect(0, 194705, '\p{Numeric_Type=:\Anumeric\z:}', "");;
    Expect(1, 194704, '\p{Numeric_Type=-_numeric}', "");
    Expect(0, 194704, '\p{^Numeric_Type=-_numeric}', "");
    Expect(0, 194704, '\P{Numeric_Type=-_numeric}', "");
    Expect(1, 194704, '\P{^Numeric_Type=-_numeric}', "");
    Expect(0, 194705, '\p{Numeric_Type=-_numeric}', "");
    Expect(1, 194705, '\p{^Numeric_Type=-_numeric}', "");
    Expect(1, 194705, '\P{Numeric_Type=-_numeric}', "");
    Expect(0, 194705, '\P{^Numeric_Type=-_numeric}', "");
    Error('\p{Nt=  Nu/a/}');
    Error('\P{Nt=  Nu/a/}');
    Expect(1, 194704, '\p{Nt=:\ANu\z:}', "");;
    Expect(0, 194705, '\p{Nt=:\ANu\z:}', "");;
    Expect(1, 194704, '\p{Nt=nu}', "");
    Expect(0, 194704, '\p{^Nt=nu}', "");
    Expect(0, 194704, '\P{Nt=nu}', "");
    Expect(1, 194704, '\P{^Nt=nu}', "");
    Expect(0, 194705, '\p{Nt=nu}', "");
    Expect(1, 194705, '\p{^Nt=nu}', "");
    Expect(1, 194705, '\P{Nt=nu}', "");
    Expect(0, 194705, '\P{^Nt=nu}', "");
    Expect(1, 194704, '\p{Nt=:\Anu\z:}', "");;
    Expect(0, 194705, '\p{Nt=:\Anu\z:}', "");;
    Expect(1, 194704, '\p{Nt=	nu}', "");
    Expect(0, 194704, '\p{^Nt=	nu}', "");
    Expect(0, 194704, '\P{Nt=	nu}', "");
    Expect(1, 194704, '\P{^Nt=	nu}', "");
    Expect(0, 194705, '\p{Nt=	nu}', "");
    Expect(1, 194705, '\p{^Nt=	nu}', "");
    Expect(1, 194705, '\P{Nt=	nu}', "");
    Expect(0, 194705, '\P{^Nt=	nu}', "");
    Error('\p{Is_Numeric_Type=/a/  Numeric}');
    Error('\P{Is_Numeric_Type=/a/  Numeric}');
    Expect(1, 194704, '\p{Is_Numeric_Type=numeric}', "");
    Expect(0, 194704, '\p{^Is_Numeric_Type=numeric}', "");
    Expect(0, 194704, '\P{Is_Numeric_Type=numeric}', "");
    Expect(1, 194704, '\P{^Is_Numeric_Type=numeric}', "");
    Expect(0, 194705, '\p{Is_Numeric_Type=numeric}', "");
    Expect(1, 194705, '\p{^Is_Numeric_Type=numeric}', "");
    Expect(1, 194705, '\P{Is_Numeric_Type=numeric}', "");
    Expect(0, 194705, '\P{^Is_Numeric_Type=numeric}', "");
    Expect(1, 194704, '\p{Is_Numeric_Type= -numeric}', "");
    Expect(0, 194704, '\p{^Is_Numeric_Type= -numeric}', "");
    Expect(0, 194704, '\P{Is_Numeric_Type= -numeric}', "");
    Expect(1, 194704, '\P{^Is_Numeric_Type= -numeric}', "");
    Expect(0, 194705, '\p{Is_Numeric_Type= -numeric}', "");
    Expect(1, 194705, '\p{^Is_Numeric_Type= -numeric}', "");
    Expect(1, 194705, '\P{Is_Numeric_Type= -numeric}', "");
    Expect(0, 194705, '\P{^Is_Numeric_Type= -numeric}', "");
    Error('\p{Is_Nt=:=-	nu}');
    Error('\P{Is_Nt=:=-	nu}');
    Expect(1, 194704, '\p{Is_Nt=nu}', "");
    Expect(0, 194704, '\p{^Is_Nt=nu}', "");
    Expect(0, 194704, '\P{Is_Nt=nu}', "");
    Expect(1, 194704, '\P{^Is_Nt=nu}', "");
    Expect(0, 194705, '\p{Is_Nt=nu}', "");
    Expect(1, 194705, '\p{^Is_Nt=nu}', "");
    Expect(1, 194705, '\P{Is_Nt=nu}', "");
    Expect(0, 194705, '\P{^Is_Nt=nu}', "");
    Expect(1, 194704, '\p{Is_Nt=	Nu}', "");
    Expect(0, 194704, '\p{^Is_Nt=	Nu}', "");
    Expect(0, 194704, '\P{Is_Nt=	Nu}', "");
    Expect(1, 194704, '\P{^Is_Nt=	Nu}', "");
    Expect(0, 194705, '\p{Is_Nt=	Nu}', "");
    Expect(1, 194705, '\p{^Is_Nt=	Nu}', "");
    Expect(1, 194705, '\P{Is_Nt=	Nu}', "");
    Expect(0, 194705, '\P{^Is_Nt=	Nu}', "");
    Error('\p{numericvalue}');
    Error('\P{numericvalue}');
    Error('\p{nv}');
    Error('\P{nv}');
    Error('\p{Numeric_Value: _:=-01/0002}');
    Error('\P{Numeric_Value: _:=-01/0002}');
    Expect(1, 3891, '\p{Numeric_Value=:\A-1/2\z:}', "");;
    Expect(0, 3892, '\p{Numeric_Value=:\A-1/2\z:}', "");;
    Expect(1, 3891, '\p{Numeric_Value=-01/0000002}', "");
    Expect(0, 3891, '\p{^Numeric_Value=-01/0000002}', "");
    Expect(0, 3891, '\P{Numeric_Value=-01/0000002}', "");
    Expect(1, 3891, '\P{^Numeric_Value=-01/0000002}', "");
    Expect(0, 3892, '\p{Numeric_Value=-01/0000002}', "");
    Expect(1, 3892, '\p{^Numeric_Value=-01/0000002}', "");
    Expect(1, 3892, '\P{Numeric_Value=-01/0000002}', "");
    Expect(0, 3892, '\P{^Numeric_Value=-01/0000002}', "");
    Expect(1, 3891, '\p{Numeric_Value: -60/120}', "");
    Expect(0, 3891, '\p{^Numeric_Value: -60/120}', "");
    Expect(0, 3891, '\P{Numeric_Value: -60/120}', "");
    Expect(1, 3891, '\P{^Numeric_Value: -60/120}', "");
    Expect(0, 3892, '\p{Numeric_Value: -60/120}', "");
    Expect(1, 3892, '\p{^Numeric_Value: -60/120}', "");
    Expect(1, 3892, '\P{Numeric_Value: -60/120}', "");
    Expect(0, 3892, '\P{^Numeric_Value: -60/120}', "");
    Expect(1, 3891, '\p{Numeric_Value=-5.0e-01}', "");
    Expect(0, 3891, '\p{^Numeric_Value=-5.0e-01}', "");
    Expect(0, 3891, '\P{Numeric_Value=-5.0e-01}', "");
    Expect(1, 3891, '\P{^Numeric_Value=-5.0e-01}', "");
    Expect(0, 3892, '\p{Numeric_Value=-5.0e-01}', "");
    Expect(1, 3892, '\p{^Numeric_Value=-5.0e-01}', "");
    Expect(1, 3892, '\P{Numeric_Value=-5.0e-01}', "");
    Expect(0, 3892, '\P{^Numeric_Value=-5.0e-01}', "");
    Expect(1, 3891, '\p{Numeric_Value=-0.5}', "");
    Expect(0, 3891, '\p{^Numeric_Value=-0.5}', "");
    Expect(0, 3891, '\P{Numeric_Value=-0.5}', "");
    Expect(1, 3891, '\P{^Numeric_Value=-0.5}', "");
    Expect(0, 3892, '\p{Numeric_Value=-0.5}', "");
    Expect(1, 3892, '\p{^Numeric_Value=-0.5}', "");
    Expect(1, 3892, '\P{Numeric_Value=-0.5}', "");
    Expect(0, 3892, '\P{^Numeric_Value=-0.5}', "");
    Expect(1, 3891, '\p{Numeric_Value=-5.00e-01}', "");
    Expect(0, 3891, '\p{^Numeric_Value=-5.00e-01}', "");
    Expect(0, 3891, '\P{Numeric_Value=-5.00e-01}', "");
    Expect(1, 3891, '\P{^Numeric_Value=-5.00e-01}', "");
    Expect(0, 3892, '\p{Numeric_Value=-5.00e-01}', "");
    Expect(1, 3892, '\p{^Numeric_Value=-5.00e-01}', "");
    Expect(1, 3892, '\P{Numeric_Value=-5.00e-01}', "");
    Expect(0, 3892, '\P{^Numeric_Value=-5.00e-01}', "");
    Expect(1, 3891, '\p{Numeric_Value=-0.50}', "");
    Expect(0, 3891, '\p{^Numeric_Value=-0.50}', "");
    Expect(0, 3891, '\P{Numeric_Value=-0.50}', "");
    Expect(1, 3891, '\P{^Numeric_Value=-0.50}', "");
    Expect(0, 3892, '\p{Numeric_Value=-0.50}', "");
    Expect(1, 3892, '\p{^Numeric_Value=-0.50}', "");
    Expect(1, 3892, '\P{Numeric_Value=-0.50}', "");
    Expect(0, 3892, '\P{^Numeric_Value=-0.50}', "");
    Error('\p{Nv=_-000001/2/a/}');
    Error('\P{Nv=_-000001/2/a/}');
    Expect(1, 3891, '\p{Nv=:\A-1/2\z:}', "");;
    Expect(0, 3892, '\p{Nv=:\A-1/2\z:}', "");;
    Expect(1, 3891, '\p{Nv=-001/002}', "");
    Expect(0, 3891, '\p{^Nv=-001/002}', "");
    Expect(0, 3891, '\P{Nv=-001/002}', "");
    Expect(1, 3891, '\P{^Nv=-001/002}', "");
    Expect(0, 3892, '\p{Nv=-001/002}', "");
    Expect(1, 3892, '\p{^Nv=-001/002}', "");
    Expect(1, 3892, '\P{Nv=-001/002}', "");
    Expect(0, 3892, '\P{^Nv=-001/002}', "");
    Expect(1, 3891, '\p{Nv=-60/120}', "");
    Expect(0, 3891, '\p{^Nv=-60/120}', "");
    Expect(0, 3891, '\P{Nv=-60/120}', "");
    Expect(1, 3891, '\P{^Nv=-60/120}', "");
    Expect(0, 3892, '\p{Nv=-60/120}', "");
    Expect(1, 3892, '\p{^Nv=-60/120}', "");
    Expect(1, 3892, '\P{Nv=-60/120}', "");
    Expect(0, 3892, '\P{^Nv=-60/120}', "");
    Expect(1, 3891, '\p{Nv=-5.0e-01}', "");
    Expect(0, 3891, '\p{^Nv=-5.0e-01}', "");
    Expect(0, 3891, '\P{Nv=-5.0e-01}', "");
    Expect(1, 3891, '\P{^Nv=-5.0e-01}', "");
    Expect(0, 3892, '\p{Nv=-5.0e-01}', "");
    Expect(1, 3892, '\p{^Nv=-5.0e-01}', "");
    Expect(1, 3892, '\P{Nv=-5.0e-01}', "");
    Expect(0, 3892, '\P{^Nv=-5.0e-01}', "");
    Expect(1, 3891, '\p{Nv=-0.5}', "");
    Expect(0, 3891, '\p{^Nv=-0.5}', "");
    Expect(0, 3891, '\P{Nv=-0.5}', "");
    Expect(1, 3891, '\P{^Nv=-0.5}', "");
    Expect(0, 3892, '\p{Nv=-0.5}', "");
    Expect(1, 3892, '\p{^Nv=-0.5}', "");
    Expect(1, 3892, '\P{Nv=-0.5}', "");
    Expect(0, 3892, '\P{^Nv=-0.5}', "");
    Expect(1, 3891, '\p{Nv=-5.00e-01}', "");
    Expect(0, 3891, '\p{^Nv=-5.00e-01}', "");
    Expect(0, 3891, '\P{Nv=-5.00e-01}', "");
    Expect(1, 3891, '\P{^Nv=-5.00e-01}', "");
    Expect(0, 3892, '\p{Nv=-5.00e-01}', "");
    Expect(1, 3892, '\p{^Nv=-5.00e-01}', "");
    Expect(1, 3892, '\P{Nv=-5.00e-01}', "");
    Expect(0, 3892, '\P{^Nv=-5.00e-01}', "");
    Expect(1, 3891, '\p{Nv=-0.50}', "");
    Expect(0, 3891, '\p{^Nv=-0.50}', "");
    Expect(0, 3891, '\P{Nv=-0.50}', "");
    Expect(1, 3891, '\P{^Nv=-0.50}', "");
    Expect(0, 3892, '\p{Nv=-0.50}', "");
    Expect(1, 3892, '\p{^Nv=-0.50}', "");
    Expect(1, 3892, '\P{Nv=-0.50}', "");
    Expect(0, 3892, '\P{^Nv=-0.50}', "");
    Error('\p{Is_Numeric_Value=-0000001/2:=}');
    Error('\P{Is_Numeric_Value=-0000001/2:=}');
    Expect(1, 3891, '\p{Is_Numeric_Value=-0000001/000000002}', "");
    Expect(0, 3891, '\p{^Is_Numeric_Value=-0000001/000000002}', "");
    Expect(0, 3891, '\P{Is_Numeric_Value=-0000001/000000002}', "");
    Expect(1, 3891, '\P{^Is_Numeric_Value=-0000001/000000002}', "");
    Expect(0, 3892, '\p{Is_Numeric_Value=-0000001/000000002}', "");
    Expect(1, 3892, '\p{^Is_Numeric_Value=-0000001/000000002}', "");
    Expect(1, 3892, '\P{Is_Numeric_Value=-0000001/000000002}', "");
    Expect(0, 3892, '\P{^Is_Numeric_Value=-0000001/000000002}', "");
    Expect(1, 3891, '\p{Is_Numeric_Value=-60/120}', "");
    Expect(0, 3891, '\p{^Is_Numeric_Value=-60/120}', "");
    Expect(0, 3891, '\P{Is_Numeric_Value=-60/120}', "");
    Expect(1, 3891, '\P{^Is_Numeric_Value=-60/120}', "");
    Expect(0, 3892, '\p{Is_Numeric_Value=-60/120}', "");
    Expect(1, 3892, '\p{^Is_Numeric_Value=-60/120}', "");
    Expect(1, 3892, '\P{Is_Numeric_Value=-60/120}', "");
    Expect(0, 3892, '\P{^Is_Numeric_Value=-60/120}', "");
    Expect(1, 3891, '\p{Is_Numeric_Value=-5.0e-01}', "");
    Expect(0, 3891, '\p{^Is_Numeric_Value=-5.0e-01}', "");
    Expect(0, 3891, '\P{Is_Numeric_Value=-5.0e-01}', "");
    Expect(1, 3891, '\P{^Is_Numeric_Value=-5.0e-01}', "");
    Expect(0, 3892, '\p{Is_Numeric_Value=-5.0e-01}', "");
    Expect(1, 3892, '\p{^Is_Numeric_Value=-5.0e-01}', "");
    Expect(1, 3892, '\P{Is_Numeric_Value=-5.0e-01}', "");
    Expect(0, 3892, '\P{^Is_Numeric_Value=-5.0e-01}', "");
    Expect(1, 3891, '\p{Is_Numeric_Value=-0.5}', "");
    Expect(0, 3891, '\p{^Is_Numeric_Value=-0.5}', "");
    Expect(0, 3891, '\P{Is_Numeric_Value=-0.5}', "");
    Expect(1, 3891, '\P{^Is_Numeric_Value=-0.5}', "");
    Expect(0, 3892, '\p{Is_Numeric_Value=-0.5}', "");
    Expect(1, 3892, '\p{^Is_Numeric_Value=-0.5}', "");
    Expect(1, 3892, '\P{Is_Numeric_Value=-0.5}', "");
    Expect(0, 3892, '\P{^Is_Numeric_Value=-0.5}', "");
    Expect(1, 3891, '\p{Is_Numeric_Value:	-5.00e-01}', "");
    Expect(0, 3891, '\p{^Is_Numeric_Value:	-5.00e-01}', "");
    Expect(0, 3891, '\P{Is_Numeric_Value:	-5.00e-01}', "");
    Expect(1, 3891, '\P{^Is_Numeric_Value:	-5.00e-01}', "");
    Expect(0, 3892, '\p{Is_Numeric_Value:	-5.00e-01}', "");
    Expect(1, 3892, '\p{^Is_Numeric_Value:	-5.00e-01}', "");
    Expect(1, 3892, '\P{Is_Numeric_Value:	-5.00e-01}', "");
    Expect(0, 3892, '\P{^Is_Numeric_Value:	-5.00e-01}', "");
    Expect(1, 3891, '\p{Is_Numeric_Value=-0.50}', "");
    Expect(0, 3891, '\p{^Is_Numeric_Value=-0.50}', "");
    Expect(0, 3891, '\P{Is_Numeric_Value=-0.50}', "");
    Expect(1, 3891, '\P{^Is_Numeric_Value=-0.50}', "");
    Expect(0, 3892, '\p{Is_Numeric_Value=-0.50}', "");
    Expect(1, 3892, '\p{^Is_Numeric_Value=-0.50}', "");
    Expect(1, 3892, '\P{Is_Numeric_Value=-0.50}', "");
    Expect(0, 3892, '\P{^Is_Numeric_Value=-0.50}', "");
    Error('\p{Is_Nv=  -1/00000002:=}');
    Error('\P{Is_Nv=  -1/00000002:=}');
    Expect(1, 3891, '\p{Is_Nv:	-1/002}', "");
    Expect(0, 3891, '\p{^Is_Nv:	-1/002}', "");
    Expect(0, 3891, '\P{Is_Nv:	-1/002}', "");
    Expect(1, 3891, '\P{^Is_Nv:	-1/002}', "");
    Expect(0, 3892, '\p{Is_Nv:	-1/002}', "");
    Expect(1, 3892, '\p{^Is_Nv:	-1/002}', "");
    Expect(1, 3892, '\P{Is_Nv:	-1/002}', "");
    Expect(0, 3892, '\P{^Is_Nv:	-1/002}', "");
    Expect(1, 3891, '\p{Is_Nv=-60/120}', "");
    Expect(0, 3891, '\p{^Is_Nv=-60/120}', "");
    Expect(0, 3891, '\P{Is_Nv=-60/120}', "");
    Expect(1, 3891, '\P{^Is_Nv=-60/120}', "");
    Expect(0, 3892, '\p{Is_Nv=-60/120}', "");
    Expect(1, 3892, '\p{^Is_Nv=-60/120}', "");
    Expect(1, 3892, '\P{Is_Nv=-60/120}', "");
    Expect(0, 3892, '\P{^Is_Nv=-60/120}', "");
    Expect(1, 3891, '\p{Is_Nv=-5.0e-01}', "");
    Expect(0, 3891, '\p{^Is_Nv=-5.0e-01}', "");
    Expect(0, 3891, '\P{Is_Nv=-5.0e-01}', "");
    Expect(1, 3891, '\P{^Is_Nv=-5.0e-01}', "");
    Expect(0, 3892, '\p{Is_Nv=-5.0e-01}', "");
    Expect(1, 3892, '\p{^Is_Nv=-5.0e-01}', "");
    Expect(1, 3892, '\P{Is_Nv=-5.0e-01}', "");
    Expect(0, 3892, '\P{^Is_Nv=-5.0e-01}', "");
    Expect(1, 3891, '\p{Is_Nv=-0.5}', "");
    Expect(0, 3891, '\p{^Is_Nv=-0.5}', "");
    Expect(0, 3891, '\P{Is_Nv=-0.5}', "");
    Expect(1, 3891, '\P{^Is_Nv=-0.5}', "");
    Expect(0, 3892, '\p{Is_Nv=-0.5}', "");
    Expect(1, 3892, '\p{^Is_Nv=-0.5}', "");
    Expect(1, 3892, '\P{Is_Nv=-0.5}', "");
    Expect(0, 3892, '\P{^Is_Nv=-0.5}', "");
    Expect(1, 3891, '\p{Is_Nv=-5.00e-01}', "");
    Expect(0, 3891, '\p{^Is_Nv=-5.00e-01}', "");
    Expect(0, 3891, '\P{Is_Nv=-5.00e-01}', "");
    Expect(1, 3891, '\P{^Is_Nv=-5.00e-01}', "");
    Expect(0, 3892, '\p{Is_Nv=-5.00e-01}', "");
    Expect(1, 3892, '\p{^Is_Nv=-5.00e-01}', "");
    Expect(1, 3892, '\P{Is_Nv=-5.00e-01}', "");
    Expect(0, 3892, '\P{^Is_Nv=-5.00e-01}', "");
    Expect(1, 3891, '\p{Is_Nv=-0.50}', "");
    Expect(0, 3891, '\p{^Is_Nv=-0.50}', "");
    Expect(0, 3891, '\P{Is_Nv=-0.50}', "");
    Expect(1, 3891, '\P{^Is_Nv=-0.50}', "");
    Expect(0, 3892, '\p{Is_Nv=-0.50}', "");
    Expect(1, 3892, '\p{^Is_Nv=-0.50}', "");
    Expect(1, 3892, '\P{Is_Nv=-0.50}', "");
    Expect(0, 3892, '\P{^Is_Nv=-0.50}', "");
    Error('\p{Numeric_Value=/a/  00000000_0}');
    Error('\P{Numeric_Value=/a/  00000000_0}');
    Expect(1, 130032, '\p{Numeric_Value=:\A0\z:}', "");;
    Expect(0, 130033, '\p{Numeric_Value=:\A0\z:}', "");;
    Expect(1, 130032, '\p{Numeric_Value=00000000}', "");
    Expect(0, 130032, '\p{^Numeric_Value=00000000}', "");
    Expect(0, 130032, '\P{Numeric_Value=00000000}', "");
    Expect(1, 130032, '\P{^Numeric_Value=00000000}', "");
    Expect(0, 130033, '\p{Numeric_Value=00000000}', "");
    Expect(1, 130033, '\p{^Numeric_Value=00000000}', "");
    Expect(1, 130033, '\P{Numeric_Value=00000000}', "");
    Expect(0, 130033, '\P{^Numeric_Value=00000000}', "");
    Expect(1, 130032, '\p{Numeric_Value:	0.000000000000000e+00}', "");
    Expect(0, 130032, '\p{^Numeric_Value:	0.000000000000000e+00}', "");
    Expect(0, 130032, '\P{Numeric_Value:	0.000000000000000e+00}', "");
    Expect(1, 130032, '\P{^Numeric_Value:	0.000000000000000e+00}', "");
    Expect(0, 130033, '\p{Numeric_Value:	0.000000000000000e+00}', "");
    Expect(1, 130033, '\p{^Numeric_Value:	0.000000000000000e+00}', "");
    Expect(1, 130033, '\P{Numeric_Value:	0.000000000000000e+00}', "");
    Expect(0, 130033, '\P{^Numeric_Value:	0.000000000000000e+00}', "");
    Error('\p{Nv=_/a/000000}');
    Error('\P{Nv=_/a/000000}');
    Expect(1, 130032, '\p{Nv=:\A0\z:}', "");;
    Expect(0, 130033, '\p{Nv=:\A0\z:}', "");;
    Expect(1, 130032, '\p{Nv=0}', "");
    Expect(0, 130032, '\p{^Nv=0}', "");
    Expect(0, 130032, '\P{Nv=0}', "");
    Expect(1, 130032, '\P{^Nv=0}', "");
    Expect(0, 130033, '\p{Nv=0}', "");
    Expect(1, 130033, '\p{^Nv=0}', "");
    Expect(1, 130033, '\P{Nv=0}', "");
    Expect(0, 130033, '\P{^Nv=0}', "");
    Expect(1, 130032, '\p{Nv=0.000000000000000e+00}', "");
    Expect(0, 130032, '\p{^Nv=0.000000000000000e+00}', "");
    Expect(0, 130032, '\P{Nv=0.000000000000000e+00}', "");
    Expect(1, 130032, '\P{^Nv=0.000000000000000e+00}', "");
    Expect(0, 130033, '\p{Nv=0.000000000000000e+00}', "");
    Expect(1, 130033, '\p{^Nv=0.000000000000000e+00}', "");
    Expect(1, 130033, '\P{Nv=0.000000000000000e+00}', "");
    Expect(0, 130033, '\P{^Nv=0.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value= _+00000:=}');
    Error('\P{Is_Numeric_Value= _+00000:=}');
    Expect(1, 130032, '\p{Is_Numeric_Value=00_00_00_0}', "");
    Expect(0, 130032, '\p{^Is_Numeric_Value=00_00_00_0}', "");
    Expect(0, 130032, '\P{Is_Numeric_Value=00_00_00_0}', "");
    Expect(1, 130032, '\P{^Is_Numeric_Value=00_00_00_0}', "");
    Expect(0, 130033, '\p{Is_Numeric_Value=00_00_00_0}', "");
    Expect(1, 130033, '\p{^Is_Numeric_Value=00_00_00_0}', "");
    Expect(1, 130033, '\P{Is_Numeric_Value=00_00_00_0}', "");
    Expect(0, 130033, '\P{^Is_Numeric_Value=00_00_00_0}', "");
    Expect(1, 130032, '\p{Is_Numeric_Value=0.000000000000000e+00}', "");
    Expect(0, 130032, '\p{^Is_Numeric_Value=0.000000000000000e+00}', "");
    Expect(0, 130032, '\P{Is_Numeric_Value=0.000000000000000e+00}', "");
    Expect(1, 130032, '\P{^Is_Numeric_Value=0.000000000000000e+00}', "");
    Expect(0, 130033, '\p{Is_Numeric_Value=0.000000000000000e+00}', "");
    Expect(1, 130033, '\p{^Is_Numeric_Value=0.000000000000000e+00}', "");
    Expect(1, 130033, '\P{Is_Numeric_Value=0.000000000000000e+00}', "");
    Expect(0, 130033, '\P{^Is_Numeric_Value=0.000000000000000e+00}', "");
    Error('\p{Is_Nv=-	0000000/a/}');
    Error('\P{Is_Nv=-	0000000/a/}');
    Expect(1, 130032, '\p{Is_Nv=+000_0}', "");
    Expect(0, 130032, '\p{^Is_Nv=+000_0}', "");
    Expect(0, 130032, '\P{Is_Nv=+000_0}', "");
    Expect(1, 130032, '\P{^Is_Nv=+000_0}', "");
    Expect(0, 130033, '\p{Is_Nv=+000_0}', "");
    Expect(1, 130033, '\p{^Is_Nv=+000_0}', "");
    Expect(1, 130033, '\P{Is_Nv=+000_0}', "");
    Expect(0, 130033, '\P{^Is_Nv=+000_0}', "");
    Expect(1, 130032, '\p{Is_Nv:	0.000000000000000e+00}', "");
    Expect(0, 130032, '\p{^Is_Nv:	0.000000000000000e+00}', "");
    Expect(0, 130032, '\P{Is_Nv:	0.000000000000000e+00}', "");
    Expect(1, 130032, '\P{^Is_Nv:	0.000000000000000e+00}', "");
    Expect(0, 130033, '\p{Is_Nv:	0.000000000000000e+00}', "");
    Expect(1, 130033, '\p{^Is_Nv:	0.000000000000000e+00}', "");
    Expect(1, 130033, '\P{Is_Nv:	0.000000000000000e+00}', "");
    Expect(0, 130033, '\P{^Is_Nv:	0.000000000000000e+00}', "");
    Error('\p{Numeric_Value=/a/ 	+01}');
    Error('\P{Numeric_Value=/a/ 	+01}');
    Expect(1, 133418, '\p{Numeric_Value=:\A1\z:}', "");;
    Expect(0, 133419, '\p{Numeric_Value=:\A1\z:}', "");;
    Expect(1, 133418, '\p{Numeric_Value=0001}', "");
    Expect(0, 133418, '\p{^Numeric_Value=0001}', "");
    Expect(0, 133418, '\P{Numeric_Value=0001}', "");
    Expect(1, 133418, '\P{^Numeric_Value=0001}', "");
    Expect(0, 133419, '\p{Numeric_Value=0001}', "");
    Expect(1, 133419, '\p{^Numeric_Value=0001}', "");
    Expect(1, 133419, '\P{Numeric_Value=0001}', "");
    Expect(0, 133419, '\P{^Numeric_Value=0001}', "");
    Expect(1, 133418, '\p{Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133418, '\p{^Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133418, '\P{Numeric_Value=1.000000000000000e+00}', "");
    Expect(1, 133418, '\P{^Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133419, '\p{Numeric_Value=1.000000000000000e+00}', "");
    Expect(1, 133419, '\p{^Numeric_Value=1.000000000000000e+00}', "");
    Expect(1, 133419, '\P{Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133419, '\P{^Numeric_Value=1.000000000000000e+00}', "");
    Error('\p{Nv=/a/	 +01}');
    Error('\P{Nv=/a/	 +01}');
    Expect(1, 133418, '\p{Nv=:\A1\z:}', "");;
    Expect(0, 133419, '\p{Nv=:\A1\z:}', "");;
    Expect(1, 133418, '\p{Nv:	1}', "");
    Expect(0, 133418, '\p{^Nv:	1}', "");
    Expect(0, 133418, '\P{Nv:	1}', "");
    Expect(1, 133418, '\P{^Nv:	1}', "");
    Expect(0, 133419, '\p{Nv:	1}', "");
    Expect(1, 133419, '\p{^Nv:	1}', "");
    Expect(1, 133419, '\P{Nv:	1}', "");
    Expect(0, 133419, '\P{^Nv:	1}', "");
    Expect(1, 133418, '\p{Nv=1.000000000000000e+00}', "");
    Expect(0, 133418, '\p{^Nv=1.000000000000000e+00}', "");
    Expect(0, 133418, '\P{Nv=1.000000000000000e+00}', "");
    Expect(1, 133418, '\P{^Nv=1.000000000000000e+00}', "");
    Expect(0, 133419, '\p{Nv=1.000000000000000e+00}', "");
    Expect(1, 133419, '\p{^Nv=1.000000000000000e+00}', "");
    Expect(1, 133419, '\P{Nv=1.000000000000000e+00}', "");
    Expect(0, 133419, '\P{^Nv=1.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value=--000000001/a/}');
    Error('\P{Is_Numeric_Value=--000000001/a/}');
    Expect(1, 133418, '\p{Is_Numeric_Value=000001}', "");
    Expect(0, 133418, '\p{^Is_Numeric_Value=000001}', "");
    Expect(0, 133418, '\P{Is_Numeric_Value=000001}', "");
    Expect(1, 133418, '\P{^Is_Numeric_Value=000001}', "");
    Expect(0, 133419, '\p{Is_Numeric_Value=000001}', "");
    Expect(1, 133419, '\p{^Is_Numeric_Value=000001}', "");
    Expect(1, 133419, '\P{Is_Numeric_Value=000001}', "");
    Expect(0, 133419, '\P{^Is_Numeric_Value=000001}', "");
    Expect(1, 133418, '\p{Is_Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133418, '\p{^Is_Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133418, '\P{Is_Numeric_Value=1.000000000000000e+00}', "");
    Expect(1, 133418, '\P{^Is_Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133419, '\p{Is_Numeric_Value=1.000000000000000e+00}', "");
    Expect(1, 133419, '\p{^Is_Numeric_Value=1.000000000000000e+00}', "");
    Expect(1, 133419, '\P{Is_Numeric_Value=1.000000000000000e+00}', "");
    Expect(0, 133419, '\P{^Is_Numeric_Value=1.000000000000000e+00}', "");
    Error('\p{Is_Nv=/a/0001}');
    Error('\P{Is_Nv=/a/0001}');
    Expect(1, 133418, '\p{Is_Nv=+000_1}', "");
    Expect(0, 133418, '\p{^Is_Nv=+000_1}', "");
    Expect(0, 133418, '\P{Is_Nv=+000_1}', "");
    Expect(1, 133418, '\P{^Is_Nv=+000_1}', "");
    Expect(0, 133419, '\p{Is_Nv=+000_1}', "");
    Expect(1, 133419, '\p{^Is_Nv=+000_1}', "");
    Expect(1, 133419, '\P{Is_Nv=+000_1}', "");
    Expect(0, 133419, '\P{^Is_Nv=+000_1}', "");
    Expect(1, 133418, '\p{Is_Nv:1.000000000000000e+00}', "");
    Expect(0, 133418, '\p{^Is_Nv:1.000000000000000e+00}', "");
    Expect(0, 133418, '\P{Is_Nv:1.000000000000000e+00}', "");
    Expect(1, 133418, '\P{^Is_Nv:1.000000000000000e+00}', "");
    Expect(0, 133419, '\p{Is_Nv:1.000000000000000e+00}', "");
    Expect(1, 133419, '\p{^Is_Nv:1.000000000000000e+00}', "");
    Expect(1, 133419, '\P{Is_Nv:1.000000000000000e+00}', "");
    Expect(0, 133419, '\P{^Is_Nv:1.000000000000000e+00}', "");
    Error('\p{Numeric_Value=/a/__0000000001/00000000010}');
    Error('\P{Numeric_Value=/a/__0000000001/00000000010}');
    Expect(1, 73675, '\p{Numeric_Value=:\A1/10\z:}', "");;
    Expect(0, 73676, '\p{Numeric_Value=:\A1/10\z:}', "");;
    Expect(1, 73675, '\p{Numeric_Value=1/0010}', "");
    Expect(0, 73675, '\p{^Numeric_Value=1/0010}', "");
    Expect(0, 73675, '\P{Numeric_Value=1/0010}', "");
    Expect(1, 73675, '\P{^Numeric_Value=1/0010}', "");
    Expect(0, 73676, '\p{Numeric_Value=1/0010}', "");
    Expect(1, 73676, '\p{^Numeric_Value=1/0010}', "");
    Expect(1, 73676, '\P{Numeric_Value=1/0010}', "");
    Expect(0, 73676, '\P{^Numeric_Value=1/0010}', "");
    Expect(1, 73675, '\p{Numeric_Value:	60/600}', "");
    Expect(0, 73675, '\p{^Numeric_Value:	60/600}', "");
    Expect(0, 73675, '\P{Numeric_Value:	60/600}', "");
    Expect(1, 73675, '\P{^Numeric_Value:	60/600}', "");
    Expect(0, 73676, '\p{Numeric_Value:	60/600}', "");
    Expect(1, 73676, '\p{^Numeric_Value:	60/600}', "");
    Expect(1, 73676, '\P{Numeric_Value:	60/600}', "");
    Expect(0, 73676, '\P{^Numeric_Value:	60/600}', "");
    Expect(1, 73675, '\p{Numeric_Value=1.0e-01}', "");
    Expect(0, 73675, '\p{^Numeric_Value=1.0e-01}', "");
    Expect(0, 73675, '\P{Numeric_Value=1.0e-01}', "");
    Expect(1, 73675, '\P{^Numeric_Value=1.0e-01}', "");
    Expect(0, 73676, '\p{Numeric_Value=1.0e-01}', "");
    Expect(1, 73676, '\p{^Numeric_Value=1.0e-01}', "");
    Expect(1, 73676, '\P{Numeric_Value=1.0e-01}', "");
    Expect(0, 73676, '\P{^Numeric_Value=1.0e-01}', "");
    Expect(1, 73675, '\p{Numeric_Value:	0.1}', "");
    Expect(0, 73675, '\p{^Numeric_Value:	0.1}', "");
    Expect(0, 73675, '\P{Numeric_Value:	0.1}', "");
    Expect(1, 73675, '\P{^Numeric_Value:	0.1}', "");
    Expect(0, 73676, '\p{Numeric_Value:	0.1}', "");
    Expect(1, 73676, '\p{^Numeric_Value:	0.1}', "");
    Expect(1, 73676, '\P{Numeric_Value:	0.1}', "");
    Expect(0, 73676, '\P{^Numeric_Value:	0.1}', "");
    Expect(1, 73675, '\p{Numeric_Value=1.00e-01}', "");
    Expect(0, 73675, '\p{^Numeric_Value=1.00e-01}', "");
    Expect(0, 73675, '\P{Numeric_Value=1.00e-01}', "");
    Expect(1, 73675, '\P{^Numeric_Value=1.00e-01}', "");
    Expect(0, 73676, '\p{Numeric_Value=1.00e-01}', "");
    Expect(1, 73676, '\p{^Numeric_Value=1.00e-01}', "");
    Expect(1, 73676, '\P{Numeric_Value=1.00e-01}', "");
    Expect(0, 73676, '\P{^Numeric_Value=1.00e-01}', "");
    Expect(1, 73675, '\p{Numeric_Value:0.10}', "");
    Expect(0, 73675, '\p{^Numeric_Value:0.10}', "");
    Expect(0, 73675, '\P{Numeric_Value:0.10}', "");
    Expect(1, 73675, '\P{^Numeric_Value:0.10}', "");
    Expect(0, 73676, '\p{Numeric_Value:0.10}', "");
    Expect(1, 73676, '\p{^Numeric_Value:0.10}', "");
    Expect(1, 73676, '\P{Numeric_Value:0.10}', "");
    Expect(0, 73676, '\P{^Numeric_Value:0.10}', "");
    Error('\p{Nv=--001/0010/a/}');
    Error('\P{Nv=--001/0010/a/}');
    Expect(1, 73675, '\p{Nv=:\A1/10\z:}', "");;
    Expect(0, 73676, '\p{Nv=:\A1/10\z:}', "");;
    Expect(1, 73675, '\p{Nv=1/00000010}', "");
    Expect(0, 73675, '\p{^Nv=1/00000010}', "");
    Expect(0, 73675, '\P{Nv=1/00000010}', "");
    Expect(1, 73675, '\P{^Nv=1/00000010}', "");
    Expect(0, 73676, '\p{Nv=1/00000010}', "");
    Expect(1, 73676, '\p{^Nv=1/00000010}', "");
    Expect(1, 73676, '\P{Nv=1/00000010}', "");
    Expect(0, 73676, '\P{^Nv=1/00000010}', "");
    Expect(1, 73675, '\p{Nv=60/600}', "");
    Expect(0, 73675, '\p{^Nv=60/600}', "");
    Expect(0, 73675, '\P{Nv=60/600}', "");
    Expect(1, 73675, '\P{^Nv=60/600}', "");
    Expect(0, 73676, '\p{Nv=60/600}', "");
    Expect(1, 73676, '\p{^Nv=60/600}', "");
    Expect(1, 73676, '\P{Nv=60/600}', "");
    Expect(0, 73676, '\P{^Nv=60/600}', "");
    Expect(1, 73675, '\p{Nv=1.0e-01}', "");
    Expect(0, 73675, '\p{^Nv=1.0e-01}', "");
    Expect(0, 73675, '\P{Nv=1.0e-01}', "");
    Expect(1, 73675, '\P{^Nv=1.0e-01}', "");
    Expect(0, 73676, '\p{Nv=1.0e-01}', "");
    Expect(1, 73676, '\p{^Nv=1.0e-01}', "");
    Expect(1, 73676, '\P{Nv=1.0e-01}', "");
    Expect(0, 73676, '\P{^Nv=1.0e-01}', "");
    Expect(1, 73675, '\p{Nv=0.1}', "");
    Expect(0, 73675, '\p{^Nv=0.1}', "");
    Expect(0, 73675, '\P{Nv=0.1}', "");
    Expect(1, 73675, '\P{^Nv=0.1}', "");
    Expect(0, 73676, '\p{Nv=0.1}', "");
    Expect(1, 73676, '\p{^Nv=0.1}', "");
    Expect(1, 73676, '\P{Nv=0.1}', "");
    Expect(0, 73676, '\P{^Nv=0.1}', "");
    Expect(1, 73675, '\p{Nv=1.00e-01}', "");
    Expect(0, 73675, '\p{^Nv=1.00e-01}', "");
    Expect(0, 73675, '\P{Nv=1.00e-01}', "");
    Expect(1, 73675, '\P{^Nv=1.00e-01}', "");
    Expect(0, 73676, '\p{Nv=1.00e-01}', "");
    Expect(1, 73676, '\p{^Nv=1.00e-01}', "");
    Expect(1, 73676, '\P{Nv=1.00e-01}', "");
    Expect(0, 73676, '\P{^Nv=1.00e-01}', "");
    Expect(1, 73675, '\p{Nv=0.10}', "");
    Expect(0, 73675, '\p{^Nv=0.10}', "");
    Expect(0, 73675, '\P{Nv=0.10}', "");
    Expect(1, 73675, '\P{^Nv=0.10}', "");
    Expect(0, 73676, '\p{Nv=0.10}', "");
    Expect(1, 73676, '\p{^Nv=0.10}', "");
    Expect(1, 73676, '\P{Nv=0.10}', "");
    Expect(0, 73676, '\P{^Nv=0.10}', "");
    Error('\p{Is_Numeric_Value=	/a/0000001/0000000010}');
    Error('\P{Is_Numeric_Value=	/a/0000001/0000000010}');
    Expect(1, 73675, '\p{Is_Numeric_Value=000000001/000010}', "");
    Expect(0, 73675, '\p{^Is_Numeric_Value=000000001/000010}', "");
    Expect(0, 73675, '\P{Is_Numeric_Value=000000001/000010}', "");
    Expect(1, 73675, '\P{^Is_Numeric_Value=000000001/000010}', "");
    Expect(0, 73676, '\p{Is_Numeric_Value=000000001/000010}', "");
    Expect(1, 73676, '\p{^Is_Numeric_Value=000000001/000010}', "");
    Expect(1, 73676, '\P{Is_Numeric_Value=000000001/000010}', "");
    Expect(0, 73676, '\P{^Is_Numeric_Value=000000001/000010}', "");
    Expect(1, 73675, '\p{Is_Numeric_Value=60/600}', "");
    Expect(0, 73675, '\p{^Is_Numeric_Value=60/600}', "");
    Expect(0, 73675, '\P{Is_Numeric_Value=60/600}', "");
    Expect(1, 73675, '\P{^Is_Numeric_Value=60/600}', "");
    Expect(0, 73676, '\p{Is_Numeric_Value=60/600}', "");
    Expect(1, 73676, '\p{^Is_Numeric_Value=60/600}', "");
    Expect(1, 73676, '\P{Is_Numeric_Value=60/600}', "");
    Expect(0, 73676, '\P{^Is_Numeric_Value=60/600}', "");
    Expect(1, 73675, '\p{Is_Numeric_Value=1.0e-01}', "");
    Expect(0, 73675, '\p{^Is_Numeric_Value=1.0e-01}', "");
    Expect(0, 73675, '\P{Is_Numeric_Value=1.0e-01}', "");
    Expect(1, 73675, '\P{^Is_Numeric_Value=1.0e-01}', "");
    Expect(0, 73676, '\p{Is_Numeric_Value=1.0e-01}', "");
    Expect(1, 73676, '\p{^Is_Numeric_Value=1.0e-01}', "");
    Expect(1, 73676, '\P{Is_Numeric_Value=1.0e-01}', "");
    Expect(0, 73676, '\P{^Is_Numeric_Value=1.0e-01}', "");
    Expect(1, 73675, '\p{Is_Numeric_Value=0.1}', "");
    Expect(0, 73675, '\p{^Is_Numeric_Value=0.1}', "");
    Expect(0, 73675, '\P{Is_Numeric_Value=0.1}', "");
    Expect(1, 73675, '\P{^Is_Numeric_Value=0.1}', "");
    Expect(0, 73676, '\p{Is_Numeric_Value=0.1}', "");
    Expect(1, 73676, '\p{^Is_Numeric_Value=0.1}', "");
    Expect(1, 73676, '\P{Is_Numeric_Value=0.1}', "");
    Expect(0, 73676, '\P{^Is_Numeric_Value=0.1}', "");
    Expect(1, 73675, '\p{Is_Numeric_Value=1.00e-01}', "");
    Expect(0, 73675, '\p{^Is_Numeric_Value=1.00e-01}', "");
    Expect(0, 73675, '\P{Is_Numeric_Value=1.00e-01}', "");
    Expect(1, 73675, '\P{^Is_Numeric_Value=1.00e-01}', "");
    Expect(0, 73676, '\p{Is_Numeric_Value=1.00e-01}', "");
    Expect(1, 73676, '\p{^Is_Numeric_Value=1.00e-01}', "");
    Expect(1, 73676, '\P{Is_Numeric_Value=1.00e-01}', "");
    Expect(0, 73676, '\P{^Is_Numeric_Value=1.00e-01}', "");
    Expect(1, 73675, '\p{Is_Numeric_Value=0.10}', "");
    Expect(0, 73675, '\p{^Is_Numeric_Value=0.10}', "");
    Expect(0, 73675, '\P{Is_Numeric_Value=0.10}', "");
    Expect(1, 73675, '\P{^Is_Numeric_Value=0.10}', "");
    Expect(0, 73676, '\p{Is_Numeric_Value=0.10}', "");
    Expect(1, 73676, '\p{^Is_Numeric_Value=0.10}', "");
    Expect(1, 73676, '\P{Is_Numeric_Value=0.10}', "");
    Expect(0, 73676, '\P{^Is_Numeric_Value=0.10}', "");
    Error('\p{Is_Nv=-0000001/00010:=}');
    Error('\P{Is_Nv=-0000001/00010:=}');
    Expect(1, 73675, '\p{Is_Nv=+000000001/000010}', "");
    Expect(0, 73675, '\p{^Is_Nv=+000000001/000010}', "");
    Expect(0, 73675, '\P{Is_Nv=+000000001/000010}', "");
    Expect(1, 73675, '\P{^Is_Nv=+000000001/000010}', "");
    Expect(0, 73676, '\p{Is_Nv=+000000001/000010}', "");
    Expect(1, 73676, '\p{^Is_Nv=+000000001/000010}', "");
    Expect(1, 73676, '\P{Is_Nv=+000000001/000010}', "");
    Expect(0, 73676, '\P{^Is_Nv=+000000001/000010}', "");
    Expect(1, 73675, '\p{Is_Nv=60/600}', "");
    Expect(0, 73675, '\p{^Is_Nv=60/600}', "");
    Expect(0, 73675, '\P{Is_Nv=60/600}', "");
    Expect(1, 73675, '\P{^Is_Nv=60/600}', "");
    Expect(0, 73676, '\p{Is_Nv=60/600}', "");
    Expect(1, 73676, '\p{^Is_Nv=60/600}', "");
    Expect(1, 73676, '\P{Is_Nv=60/600}', "");
    Expect(0, 73676, '\P{^Is_Nv=60/600}', "");
    Expect(1, 73675, '\p{Is_Nv=1.0e-01}', "");
    Expect(0, 73675, '\p{^Is_Nv=1.0e-01}', "");
    Expect(0, 73675, '\P{Is_Nv=1.0e-01}', "");
    Expect(1, 73675, '\P{^Is_Nv=1.0e-01}', "");
    Expect(0, 73676, '\p{Is_Nv=1.0e-01}', "");
    Expect(1, 73676, '\p{^Is_Nv=1.0e-01}', "");
    Expect(1, 73676, '\P{Is_Nv=1.0e-01}', "");
    Expect(0, 73676, '\P{^Is_Nv=1.0e-01}', "");
    Expect(1, 73675, '\p{Is_Nv=0.1}', "");
    Expect(0, 73675, '\p{^Is_Nv=0.1}', "");
    Expect(0, 73675, '\P{Is_Nv=0.1}', "");
    Expect(1, 73675, '\P{^Is_Nv=0.1}', "");
    Expect(0, 73676, '\p{Is_Nv=0.1}', "");
    Expect(1, 73676, '\p{^Is_Nv=0.1}', "");
    Expect(1, 73676, '\P{Is_Nv=0.1}', "");
    Expect(0, 73676, '\P{^Is_Nv=0.1}', "");
    Expect(1, 73675, '\p{Is_Nv=1.00e-01}', "");
    Expect(0, 73675, '\p{^Is_Nv=1.00e-01}', "");
    Expect(0, 73675, '\P{Is_Nv=1.00e-01}', "");
    Expect(1, 73675, '\P{^Is_Nv=1.00e-01}', "");
    Expect(0, 73676, '\p{Is_Nv=1.00e-01}', "");
    Expect(1, 73676, '\p{^Is_Nv=1.00e-01}', "");
    Expect(1, 73676, '\P{Is_Nv=1.00e-01}', "");
    Expect(0, 73676, '\P{^Is_Nv=1.00e-01}', "");
    Expect(1, 73675, '\p{Is_Nv:   0.10}', "");
    Expect(0, 73675, '\p{^Is_Nv:   0.10}', "");
    Expect(0, 73675, '\P{Is_Nv:   0.10}', "");
    Expect(1, 73675, '\P{^Is_Nv:   0.10}', "");
    Expect(0, 73676, '\p{Is_Nv:   0.10}', "");
    Expect(1, 73676, '\p{^Is_Nv:   0.10}', "");
    Expect(1, 73676, '\P{Is_Nv:   0.10}', "");
    Expect(0, 73676, '\P{^Is_Nv:   0.10}', "");
    Error('\p{Numeric_Value= 	+0001/00012:=}');
    Error('\P{Numeric_Value= 	+0001/00012:=}');
    Expect(1, 68086, '\p{Numeric_Value=:\A1/12\z:}', "");;
    Expect(0, 68087, '\p{Numeric_Value=:\A1/12\z:}', "");;
    Expect(1, 68086, '\p{Numeric_Value=001/0000000012}', "");
    Expect(0, 68086, '\p{^Numeric_Value=001/0000000012}', "");
    Expect(0, 68086, '\P{Numeric_Value=001/0000000012}', "");
    Expect(1, 68086, '\P{^Numeric_Value=001/0000000012}', "");
    Expect(0, 68087, '\p{Numeric_Value=001/0000000012}', "");
    Expect(1, 68087, '\p{^Numeric_Value=001/0000000012}', "");
    Expect(1, 68087, '\P{Numeric_Value=001/0000000012}', "");
    Expect(0, 68087, '\P{^Numeric_Value=001/0000000012}', "");
    Expect(1, 68086, '\p{Numeric_Value=60/720}', "");
    Expect(0, 68086, '\p{^Numeric_Value=60/720}', "");
    Expect(0, 68086, '\P{Numeric_Value=60/720}', "");
    Expect(1, 68086, '\P{^Numeric_Value=60/720}', "");
    Expect(0, 68087, '\p{Numeric_Value=60/720}', "");
    Expect(1, 68087, '\p{^Numeric_Value=60/720}', "");
    Expect(1, 68087, '\P{Numeric_Value=60/720}', "");
    Expect(0, 68087, '\P{^Numeric_Value=60/720}', "");
    Error('\p{Numeric_Value=8.3e-02}');
    Error('\P{Numeric_Value=8.3e-02}');
    Error('\p{Numeric_Value:8.33e-02}');
    Error('\P{Numeric_Value:8.33e-02}');
    Error('\p{Numeric_Value=0.08}');
    Error('\P{Numeric_Value=0.08}');
    Expect(1, 68086, '\p{Numeric_Value=8.333e-02}', "");
    Expect(0, 68086, '\p{^Numeric_Value=8.333e-02}', "");
    Expect(0, 68086, '\P{Numeric_Value=8.333e-02}', "");
    Expect(1, 68086, '\P{^Numeric_Value=8.333e-02}', "");
    Expect(0, 68087, '\p{Numeric_Value=8.333e-02}', "");
    Expect(1, 68087, '\p{^Numeric_Value=8.333e-02}', "");
    Expect(1, 68087, '\P{Numeric_Value=8.333e-02}', "");
    Expect(0, 68087, '\P{^Numeric_Value=8.333e-02}', "");
    Error('\p{Numeric_Value=0.083}');
    Error('\P{Numeric_Value=0.083}');
    Expect(1, 68086, '\p{Numeric_Value:   8.3333e-02}', "");
    Expect(0, 68086, '\p{^Numeric_Value:   8.3333e-02}', "");
    Expect(0, 68086, '\P{Numeric_Value:   8.3333e-02}', "");
    Expect(1, 68086, '\P{^Numeric_Value:   8.3333e-02}', "");
    Expect(0, 68087, '\p{Numeric_Value:   8.3333e-02}', "");
    Expect(1, 68087, '\p{^Numeric_Value:   8.3333e-02}', "");
    Expect(1, 68087, '\P{Numeric_Value:   8.3333e-02}', "");
    Expect(0, 68087, '\P{^Numeric_Value:   8.3333e-02}', "");
    Error('\p{Numeric_Value=0.0833}');
    Error('\P{Numeric_Value=0.0833}');
    Expect(1, 68086, '\p{Numeric_Value=8.33333e-02}', "");
    Expect(0, 68086, '\p{^Numeric_Value=8.33333e-02}', "");
    Expect(0, 68086, '\P{Numeric_Value=8.33333e-02}', "");
    Expect(1, 68086, '\P{^Numeric_Value=8.33333e-02}', "");
    Expect(0, 68087, '\p{Numeric_Value=8.33333e-02}', "");
    Expect(1, 68087, '\p{^Numeric_Value=8.33333e-02}', "");
    Expect(1, 68087, '\P{Numeric_Value=8.33333e-02}', "");
    Expect(0, 68087, '\P{^Numeric_Value=8.33333e-02}', "");
    Expect(1, 68086, '\p{Numeric_Value=0.08333}', "");
    Expect(0, 68086, '\p{^Numeric_Value=0.08333}', "");
    Expect(0, 68086, '\P{Numeric_Value=0.08333}', "");
    Expect(1, 68086, '\P{^Numeric_Value=0.08333}', "");
    Expect(0, 68087, '\p{Numeric_Value=0.08333}', "");
    Expect(1, 68087, '\p{^Numeric_Value=0.08333}', "");
    Expect(1, 68087, '\P{Numeric_Value=0.08333}', "");
    Expect(0, 68087, '\P{^Numeric_Value=0.08333}', "");
    Expect(1, 68086, '\p{Numeric_Value=8.333333e-02}', "");
    Expect(0, 68086, '\p{^Numeric_Value=8.333333e-02}', "");
    Expect(0, 68086, '\P{Numeric_Value=8.333333e-02}', "");
    Expect(1, 68086, '\P{^Numeric_Value=8.333333e-02}', "");
    Expect(0, 68087, '\p{Numeric_Value=8.333333e-02}', "");
    Expect(1, 68087, '\p{^Numeric_Value=8.333333e-02}', "");
    Expect(1, 68087, '\P{Numeric_Value=8.333333e-02}', "");
    Expect(0, 68087, '\P{^Numeric_Value=8.333333e-02}', "");
    Expect(1, 68086, '\p{Numeric_Value=0.083333}', "");
    Expect(0, 68086, '\p{^Numeric_Value=0.083333}', "");
    Expect(0, 68086, '\P{Numeric_Value=0.083333}', "");
    Expect(1, 68086, '\P{^Numeric_Value=0.083333}', "");
    Expect(0, 68087, '\p{Numeric_Value=0.083333}', "");
    Expect(1, 68087, '\p{^Numeric_Value=0.083333}', "");
    Expect(1, 68087, '\P{Numeric_Value=0.083333}', "");
    Expect(0, 68087, '\P{^Numeric_Value=0.083333}', "");
    Error('\p{Nv=_-01/0000000012/a/}');
    Error('\P{Nv=_-01/0000000012/a/}');
    Expect(1, 68086, '\p{Nv=:\A1/12\z:}', "");;
    Expect(0, 68087, '\p{Nv=:\A1/12\z:}', "");;
    Expect(1, 68086, '\p{Nv=+001/00012}', "");
    Expect(0, 68086, '\p{^Nv=+001/00012}', "");
    Expect(0, 68086, '\P{Nv=+001/00012}', "");
    Expect(1, 68086, '\P{^Nv=+001/00012}', "");
    Expect(0, 68087, '\p{Nv=+001/00012}', "");
    Expect(1, 68087, '\p{^Nv=+001/00012}', "");
    Expect(1, 68087, '\P{Nv=+001/00012}', "");
    Expect(0, 68087, '\P{^Nv=+001/00012}', "");
    Expect(1, 68086, '\p{Nv=60/720}', "");
    Expect(0, 68086, '\p{^Nv=60/720}', "");
    Expect(0, 68086, '\P{Nv=60/720}', "");
    Expect(1, 68086, '\P{^Nv=60/720}', "");
    Expect(0, 68087, '\p{Nv=60/720}', "");
    Expect(1, 68087, '\p{^Nv=60/720}', "");
    Expect(1, 68087, '\P{Nv=60/720}', "");
    Expect(0, 68087, '\P{^Nv=60/720}', "");
    Error('\p{Nv=8.3e-02}');
    Error('\P{Nv=8.3e-02}');
    Error('\p{Nv=8.33e-02}');
    Error('\P{Nv=8.33e-02}');
    Error('\p{Nv: 0.08}');
    Error('\P{Nv: 0.08}');
    Expect(1, 68086, '\p{Nv=8.333e-02}', "");
    Expect(0, 68086, '\p{^Nv=8.333e-02}', "");
    Expect(0, 68086, '\P{Nv=8.333e-02}', "");
    Expect(1, 68086, '\P{^Nv=8.333e-02}', "");
    Expect(0, 68087, '\p{Nv=8.333e-02}', "");
    Expect(1, 68087, '\p{^Nv=8.333e-02}', "");
    Expect(1, 68087, '\P{Nv=8.333e-02}', "");
    Expect(0, 68087, '\P{^Nv=8.333e-02}', "");
    Error('\p{Nv=0.083}');
    Error('\P{Nv=0.083}');
    Expect(1, 68086, '\p{Nv:	8.3333e-02}', "");
    Expect(0, 68086, '\p{^Nv:	8.3333e-02}', "");
    Expect(0, 68086, '\P{Nv:	8.3333e-02}', "");
    Expect(1, 68086, '\P{^Nv:	8.3333e-02}', "");
    Expect(0, 68087, '\p{Nv:	8.3333e-02}', "");
    Expect(1, 68087, '\p{^Nv:	8.3333e-02}', "");
    Expect(1, 68087, '\P{Nv:	8.3333e-02}', "");
    Expect(0, 68087, '\P{^Nv:	8.3333e-02}', "");
    Error('\p{Nv=0.0833}');
    Error('\P{Nv=0.0833}');
    Expect(1, 68086, '\p{Nv=8.33333e-02}', "");
    Expect(0, 68086, '\p{^Nv=8.33333e-02}', "");
    Expect(0, 68086, '\P{Nv=8.33333e-02}', "");
    Expect(1, 68086, '\P{^Nv=8.33333e-02}', "");
    Expect(0, 68087, '\p{Nv=8.33333e-02}', "");
    Expect(1, 68087, '\p{^Nv=8.33333e-02}', "");
    Expect(1, 68087, '\P{Nv=8.33333e-02}', "");
    Expect(0, 68087, '\P{^Nv=8.33333e-02}', "");
    Expect(1, 68086, '\p{Nv=0.08333}', "");
    Expect(0, 68086, '\p{^Nv=0.08333}', "");
    Expect(0, 68086, '\P{Nv=0.08333}', "");
    Expect(1, 68086, '\P{^Nv=0.08333}', "");
    Expect(0, 68087, '\p{Nv=0.08333}', "");
    Expect(1, 68087, '\p{^Nv=0.08333}', "");
    Expect(1, 68087, '\P{Nv=0.08333}', "");
    Expect(0, 68087, '\P{^Nv=0.08333}', "");
    Expect(1, 68086, '\p{Nv=8.333333e-02}', "");
    Expect(0, 68086, '\p{^Nv=8.333333e-02}', "");
    Expect(0, 68086, '\P{Nv=8.333333e-02}', "");
    Expect(1, 68086, '\P{^Nv=8.333333e-02}', "");
    Expect(0, 68087, '\p{Nv=8.333333e-02}', "");
    Expect(1, 68087, '\p{^Nv=8.333333e-02}', "");
    Expect(1, 68087, '\P{Nv=8.333333e-02}', "");
    Expect(0, 68087, '\P{^Nv=8.333333e-02}', "");
    Expect(1, 68086, '\p{Nv=0.083333}', "");
    Expect(0, 68086, '\p{^Nv=0.083333}', "");
    Expect(0, 68086, '\P{Nv=0.083333}', "");
    Expect(1, 68086, '\P{^Nv=0.083333}', "");
    Expect(0, 68087, '\p{Nv=0.083333}', "");
    Expect(1, 68087, '\p{^Nv=0.083333}', "");
    Expect(1, 68087, '\P{Nv=0.083333}', "");
    Expect(0, 68087, '\P{^Nv=0.083333}', "");
    Error('\p{Is_Numeric_Value=:=0000001/0000000012}');
    Error('\P{Is_Numeric_Value=:=0000001/0000000012}');
    Expect(1, 68086, '\p{Is_Numeric_Value=1/0012}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=1/0012}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=1/0012}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=1/0012}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=1/0012}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=1/0012}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=1/0012}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=1/0012}', "");
    Expect(1, 68086, '\p{Is_Numeric_Value=60/720}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=60/720}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=60/720}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=60/720}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=60/720}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=60/720}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=60/720}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=60/720}', "");
    Error('\p{Is_Numeric_Value=8.3e-02}');
    Error('\P{Is_Numeric_Value=8.3e-02}');
    Error('\p{Is_Numeric_Value=8.33e-02}');
    Error('\P{Is_Numeric_Value=8.33e-02}');
    Error('\p{Is_Numeric_Value=0.08}');
    Error('\P{Is_Numeric_Value=0.08}');
    Expect(1, 68086, '\p{Is_Numeric_Value=8.333e-02}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=8.333e-02}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=8.333e-02}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=8.333e-02}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=8.333e-02}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=8.333e-02}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=8.333e-02}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=8.333e-02}', "");
    Error('\p{Is_Numeric_Value=0.083}');
    Error('\P{Is_Numeric_Value=0.083}');
    Expect(1, 68086, '\p{Is_Numeric_Value=8.3333e-02}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=8.3333e-02}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=8.3333e-02}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=8.3333e-02}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=8.3333e-02}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=8.3333e-02}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=8.3333e-02}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=8.3333e-02}', "");
    Error('\p{Is_Numeric_Value=0.0833}');
    Error('\P{Is_Numeric_Value=0.0833}');
    Expect(1, 68086, '\p{Is_Numeric_Value=8.33333e-02}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=8.33333e-02}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=8.33333e-02}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=8.33333e-02}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=8.33333e-02}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=8.33333e-02}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=8.33333e-02}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=8.33333e-02}', "");
    Expect(1, 68086, '\p{Is_Numeric_Value=0.08333}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=0.08333}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=0.08333}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=0.08333}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=0.08333}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=0.08333}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=0.08333}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=0.08333}', "");
    Expect(1, 68086, '\p{Is_Numeric_Value=8.333333e-02}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=8.333333e-02}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=8.333333e-02}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=8.333333e-02}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=8.333333e-02}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=8.333333e-02}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=8.333333e-02}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=8.333333e-02}', "");
    Expect(1, 68086, '\p{Is_Numeric_Value=0.083333}', "");
    Expect(0, 68086, '\p{^Is_Numeric_Value=0.083333}', "");
    Expect(0, 68086, '\P{Is_Numeric_Value=0.083333}', "");
    Expect(1, 68086, '\P{^Is_Numeric_Value=0.083333}', "");
    Expect(0, 68087, '\p{Is_Numeric_Value=0.083333}', "");
    Expect(1, 68087, '\p{^Is_Numeric_Value=0.083333}', "");
    Expect(1, 68087, '\P{Is_Numeric_Value=0.083333}', "");
    Expect(0, 68087, '\P{^Is_Numeric_Value=0.083333}', "");
    Error('\p{Is_Nv=:=-00000001/0012}');
    Error('\P{Is_Nv=:=-00000001/0012}');
    Expect(1, 68086, '\p{Is_Nv=+001/00000000012}', "");
    Expect(0, 68086, '\p{^Is_Nv=+001/00000000012}', "");
    Expect(0, 68086, '\P{Is_Nv=+001/00000000012}', "");
    Expect(1, 68086, '\P{^Is_Nv=+001/00000000012}', "");
    Expect(0, 68087, '\p{Is_Nv=+001/00000000012}', "");
    Expect(1, 68087, '\p{^Is_Nv=+001/00000000012}', "");
    Expect(1, 68087, '\P{Is_Nv=+001/00000000012}', "");
    Expect(0, 68087, '\P{^Is_Nv=+001/00000000012}', "");
    Expect(1, 68086, '\p{Is_Nv=60/720}', "");
    Expect(0, 68086, '\p{^Is_Nv=60/720}', "");
    Expect(0, 68086, '\P{Is_Nv=60/720}', "");
    Expect(1, 68086, '\P{^Is_Nv=60/720}', "");
    Expect(0, 68087, '\p{Is_Nv=60/720}', "");
    Expect(1, 68087, '\p{^Is_Nv=60/720}', "");
    Expect(1, 68087, '\P{Is_Nv=60/720}', "");
    Expect(0, 68087, '\P{^Is_Nv=60/720}', "");
    Error('\p{Is_Nv=8.3e-02}');
    Error('\P{Is_Nv=8.3e-02}');
    Error('\p{Is_Nv=8.33e-02}');
    Error('\P{Is_Nv=8.33e-02}');
    Error('\p{Is_Nv=0.08}');
    Error('\P{Is_Nv=0.08}');
    Expect(1, 68086, '\p{Is_Nv=8.333e-02}', "");
    Expect(0, 68086, '\p{^Is_Nv=8.333e-02}', "");
    Expect(0, 68086, '\P{Is_Nv=8.333e-02}', "");
    Expect(1, 68086, '\P{^Is_Nv=8.333e-02}', "");
    Expect(0, 68087, '\p{Is_Nv=8.333e-02}', "");
    Expect(1, 68087, '\p{^Is_Nv=8.333e-02}', "");
    Expect(1, 68087, '\P{Is_Nv=8.333e-02}', "");
    Expect(0, 68087, '\P{^Is_Nv=8.333e-02}', "");
    Error('\p{Is_Nv=0.083}');
    Error('\P{Is_Nv=0.083}');
    Expect(1, 68086, '\p{Is_Nv=8.3333e-02}', "");
    Expect(0, 68086, '\p{^Is_Nv=8.3333e-02}', "");
    Expect(0, 68086, '\P{Is_Nv=8.3333e-02}', "");
    Expect(1, 68086, '\P{^Is_Nv=8.3333e-02}', "");
    Expect(0, 68087, '\p{Is_Nv=8.3333e-02}', "");
    Expect(1, 68087, '\p{^Is_Nv=8.3333e-02}', "");
    Expect(1, 68087, '\P{Is_Nv=8.3333e-02}', "");
    Expect(0, 68087, '\P{^Is_Nv=8.3333e-02}', "");
    Error('\p{Is_Nv=0.0833}');
    Error('\P{Is_Nv=0.0833}');
    Expect(1, 68086, '\p{Is_Nv=8.33333e-02}', "");
    Expect(0, 68086, '\p{^Is_Nv=8.33333e-02}', "");
    Expect(0, 68086, '\P{Is_Nv=8.33333e-02}', "");
    Expect(1, 68086, '\P{^Is_Nv=8.33333e-02}', "");
    Expect(0, 68087, '\p{Is_Nv=8.33333e-02}', "");
    Expect(1, 68087, '\p{^Is_Nv=8.33333e-02}', "");
    Expect(1, 68087, '\P{Is_Nv=8.33333e-02}', "");
    Expect(0, 68087, '\P{^Is_Nv=8.33333e-02}', "");
    Expect(1, 68086, '\p{Is_Nv=0.08333}', "");
    Expect(0, 68086, '\p{^Is_Nv=0.08333}', "");
    Expect(0, 68086, '\P{Is_Nv=0.08333}', "");
    Expect(1, 68086, '\P{^Is_Nv=0.08333}', "");
    Expect(0, 68087, '\p{Is_Nv=0.08333}', "");
    Expect(1, 68087, '\p{^Is_Nv=0.08333}', "");
    Expect(1, 68087, '\P{Is_Nv=0.08333}', "");
    Expect(0, 68087, '\P{^Is_Nv=0.08333}', "");
    Expect(1, 68086, '\p{Is_Nv=8.333333e-02}', "");
    Expect(0, 68086, '\p{^Is_Nv=8.333333e-02}', "");
    Expect(0, 68086, '\P{Is_Nv=8.333333e-02}', "");
    Expect(1, 68086, '\P{^Is_Nv=8.333333e-02}', "");
    Expect(0, 68087, '\p{Is_Nv=8.333333e-02}', "");
    Expect(1, 68087, '\p{^Is_Nv=8.333333e-02}', "");
    Expect(1, 68087, '\P{Is_Nv=8.333333e-02}', "");
    Expect(0, 68087, '\P{^Is_Nv=8.333333e-02}', "");
    Expect(1, 68086, '\p{Is_Nv=0.083333}', "");
    Expect(0, 68086, '\p{^Is_Nv=0.083333}', "");
    Expect(0, 68086, '\P{Is_Nv=0.083333}', "");
    Expect(1, 68086, '\P{^Is_Nv=0.083333}', "");
    Expect(0, 68087, '\p{Is_Nv=0.083333}', "");
    Expect(1, 68087, '\p{^Is_Nv=0.083333}', "");
    Expect(1, 68087, '\P{Is_Nv=0.083333}', "");
    Expect(0, 68087, '\P{^Is_Nv=0.083333}', "");
    Error('\p{Numeric_Value=		0000000001/00000000016:=}');
    Error('\P{Numeric_Value=		0000000001/00000000016:=}');
    Expect(1, 73674, '\p{Numeric_Value=:\A1/16\z:}', "");;
    Expect(0, 73675, '\p{Numeric_Value=:\A1/16\z:}', "");;
    Expect(1, 73674, '\p{Numeric_Value=000001/0000000016}', "");
    Expect(0, 73674, '\p{^Numeric_Value=000001/0000000016}', "");
    Expect(0, 73674, '\P{Numeric_Value=000001/0000000016}', "");
    Expect(1, 73674, '\P{^Numeric_Value=000001/0000000016}', "");
    Expect(0, 73675, '\p{Numeric_Value=000001/0000000016}', "");
    Expect(1, 73675, '\p{^Numeric_Value=000001/0000000016}', "");
    Expect(1, 73675, '\P{Numeric_Value=000001/0000000016}', "");
    Expect(0, 73675, '\P{^Numeric_Value=000001/0000000016}', "");
    Expect(1, 73674, '\p{Numeric_Value=60/960}', "");
    Expect(0, 73674, '\p{^Numeric_Value=60/960}', "");
    Expect(0, 73674, '\P{Numeric_Value=60/960}', "");
    Expect(1, 73674, '\P{^Numeric_Value=60/960}', "");
    Expect(0, 73675, '\p{Numeric_Value=60/960}', "");
    Expect(1, 73675, '\p{^Numeric_Value=60/960}', "");
    Expect(1, 73675, '\P{Numeric_Value=60/960}', "");
    Expect(0, 73675, '\P{^Numeric_Value=60/960}', "");
    Error('\p{Numeric_Value=6.2e-02}');
    Error('\P{Numeric_Value=6.2e-02}');
    Expect(1, 73674, '\p{Numeric_Value=6.25e-02}', "");
    Expect(0, 73674, '\p{^Numeric_Value=6.25e-02}', "");
    Expect(0, 73674, '\P{Numeric_Value=6.25e-02}', "");
    Expect(1, 73674, '\P{^Numeric_Value=6.25e-02}', "");
    Expect(0, 73675, '\p{Numeric_Value=6.25e-02}', "");
    Expect(1, 73675, '\p{^Numeric_Value=6.25e-02}', "");
    Expect(1, 73675, '\P{Numeric_Value=6.25e-02}', "");
    Expect(0, 73675, '\P{^Numeric_Value=6.25e-02}', "");
    Error('\p{Numeric_Value=0.06}');
    Error('\P{Numeric_Value=0.06}');
    Expect(1, 73674, '\p{Numeric_Value=6.250e-02}', "");
    Expect(0, 73674, '\p{^Numeric_Value=6.250e-02}', "");
    Expect(0, 73674, '\P{Numeric_Value=6.250e-02}', "");
    Expect(1, 73674, '\P{^Numeric_Value=6.250e-02}', "");
    Expect(0, 73675, '\p{Numeric_Value=6.250e-02}', "");
    Expect(1, 73675, '\p{^Numeric_Value=6.250e-02}', "");
    Expect(1, 73675, '\P{Numeric_Value=6.250e-02}', "");
    Expect(0, 73675, '\P{^Numeric_Value=6.250e-02}', "");
    Error('\p{Numeric_Value=0.062}');
    Error('\P{Numeric_Value=0.062}');
    Expect(1, 73674, '\p{Numeric_Value=6.2500e-02}', "");
    Expect(0, 73674, '\p{^Numeric_Value=6.2500e-02}', "");
    Expect(0, 73674, '\P{Numeric_Value=6.2500e-02}', "");
    Expect(1, 73674, '\P{^Numeric_Value=6.2500e-02}', "");
    Expect(0, 73675, '\p{Numeric_Value=6.2500e-02}', "");
    Expect(1, 73675, '\p{^Numeric_Value=6.2500e-02}', "");
    Expect(1, 73675, '\P{Numeric_Value=6.2500e-02}', "");
    Expect(0, 73675, '\P{^Numeric_Value=6.2500e-02}', "");
    Expect(1, 73674, '\p{Numeric_Value=0.0625}', "");
    Expect(0, 73674, '\p{^Numeric_Value=0.0625}', "");
    Expect(0, 73674, '\P{Numeric_Value=0.0625}', "");
    Expect(1, 73674, '\P{^Numeric_Value=0.0625}', "");
    Expect(0, 73675, '\p{Numeric_Value=0.0625}', "");
    Expect(1, 73675, '\p{^Numeric_Value=0.0625}', "");
    Expect(1, 73675, '\P{Numeric_Value=0.0625}', "");
    Expect(0, 73675, '\P{^Numeric_Value=0.0625}', "");
    Expect(1, 73674, '\p{Numeric_Value:   6.25000e-02}', "");
    Expect(0, 73674, '\p{^Numeric_Value:   6.25000e-02}', "");
    Expect(0, 73674, '\P{Numeric_Value:   6.25000e-02}', "");
    Expect(1, 73674, '\P{^Numeric_Value:   6.25000e-02}', "");
    Expect(0, 73675, '\p{Numeric_Value:   6.25000e-02}', "");
    Expect(1, 73675, '\p{^Numeric_Value:   6.25000e-02}', "");
    Expect(1, 73675, '\P{Numeric_Value:   6.25000e-02}', "");
    Expect(0, 73675, '\P{^Numeric_Value:   6.25000e-02}', "");
    Expect(1, 73674, '\p{Numeric_Value:0.06250}', "");
    Expect(0, 73674, '\p{^Numeric_Value:0.06250}', "");
    Expect(0, 73674, '\P{Numeric_Value:0.06250}', "");
    Expect(1, 73674, '\P{^Numeric_Value:0.06250}', "");
    Expect(0, 73675, '\p{Numeric_Value:0.06250}', "");
    Expect(1, 73675, '\p{^Numeric_Value:0.06250}', "");
    Expect(1, 73675, '\P{Numeric_Value:0.06250}', "");
    Expect(0, 73675, '\P{^Numeric_Value:0.06250}', "");
    Error('\p{Nv= 00000001/16/a/}');
    Error('\P{Nv= 00000001/16/a/}');
    Expect(1, 73674, '\p{Nv=:\A1/16\z:}', "");;
    Expect(0, 73675, '\p{Nv=:\A1/16\z:}', "");;
    Expect(1, 73674, '\p{Nv=01/000016}', "");
    Expect(0, 73674, '\p{^Nv=01/000016}', "");
    Expect(0, 73674, '\P{Nv=01/000016}', "");
    Expect(1, 73674, '\P{^Nv=01/000016}', "");
    Expect(0, 73675, '\p{Nv=01/000016}', "");
    Expect(1, 73675, '\p{^Nv=01/000016}', "");
    Expect(1, 73675, '\P{Nv=01/000016}', "");
    Expect(0, 73675, '\P{^Nv=01/000016}', "");
    Expect(1, 73674, '\p{Nv=60/960}', "");
    Expect(0, 73674, '\p{^Nv=60/960}', "");
    Expect(0, 73674, '\P{Nv=60/960}', "");
    Expect(1, 73674, '\P{^Nv=60/960}', "");
    Expect(0, 73675, '\p{Nv=60/960}', "");
    Expect(1, 73675, '\p{^Nv=60/960}', "");
    Expect(1, 73675, '\P{Nv=60/960}', "");
    Expect(0, 73675, '\P{^Nv=60/960}', "");
    Error('\p{Nv=6.2e-02}');
    Error('\P{Nv=6.2e-02}');
    Expect(1, 73674, '\p{Nv=6.25e-02}', "");
    Expect(0, 73674, '\p{^Nv=6.25e-02}', "");
    Expect(0, 73674, '\P{Nv=6.25e-02}', "");
    Expect(1, 73674, '\P{^Nv=6.25e-02}', "");
    Expect(0, 73675, '\p{Nv=6.25e-02}', "");
    Expect(1, 73675, '\p{^Nv=6.25e-02}', "");
    Expect(1, 73675, '\P{Nv=6.25e-02}', "");
    Expect(0, 73675, '\P{^Nv=6.25e-02}', "");
    Error('\p{Nv=0.06}');
    Error('\P{Nv=0.06}');
    Expect(1, 73674, '\p{Nv=6.250e-02}', "");
    Expect(0, 73674, '\p{^Nv=6.250e-02}', "");
    Expect(0, 73674, '\P{Nv=6.250e-02}', "");
    Expect(1, 73674, '\P{^Nv=6.250e-02}', "");
    Expect(0, 73675, '\p{Nv=6.250e-02}', "");
    Expect(1, 73675, '\p{^Nv=6.250e-02}', "");
    Expect(1, 73675, '\P{Nv=6.250e-02}', "");
    Expect(0, 73675, '\P{^Nv=6.250e-02}', "");
    Error('\p{Nv=0.062}');
    Error('\P{Nv=0.062}');
    Expect(1, 73674, '\p{Nv=6.2500e-02}', "");
    Expect(0, 73674, '\p{^Nv=6.2500e-02}', "");
    Expect(0, 73674, '\P{Nv=6.2500e-02}', "");
    Expect(1, 73674, '\P{^Nv=6.2500e-02}', "");
    Expect(0, 73675, '\p{Nv=6.2500e-02}', "");
    Expect(1, 73675, '\p{^Nv=6.2500e-02}', "");
    Expect(1, 73675, '\P{Nv=6.2500e-02}', "");
    Expect(0, 73675, '\P{^Nv=6.2500e-02}', "");
    Expect(1, 73674, '\p{Nv=0.0625}', "");
    Expect(0, 73674, '\p{^Nv=0.0625}', "");
    Expect(0, 73674, '\P{Nv=0.0625}', "");
    Expect(1, 73674, '\P{^Nv=0.0625}', "");
    Expect(0, 73675, '\p{Nv=0.0625}', "");
    Expect(1, 73675, '\p{^Nv=0.0625}', "");
    Expect(1, 73675, '\P{Nv=0.0625}', "");
    Expect(0, 73675, '\P{^Nv=0.0625}', "");
    Expect(1, 73674, '\p{Nv=6.25000e-02}', "");
    Expect(0, 73674, '\p{^Nv=6.25000e-02}', "");
    Expect(0, 73674, '\P{Nv=6.25000e-02}', "");
    Expect(1, 73674, '\P{^Nv=6.25000e-02}', "");
    Expect(0, 73675, '\p{Nv=6.25000e-02}', "");
    Expect(1, 73675, '\p{^Nv=6.25000e-02}', "");
    Expect(1, 73675, '\P{Nv=6.25000e-02}', "");
    Expect(0, 73675, '\P{^Nv=6.25000e-02}', "");
    Expect(1, 73674, '\p{Nv:   0.06250}', "");
    Expect(0, 73674, '\p{^Nv:   0.06250}', "");
    Expect(0, 73674, '\P{Nv:   0.06250}', "");
    Expect(1, 73674, '\P{^Nv:   0.06250}', "");
    Expect(0, 73675, '\p{Nv:   0.06250}', "");
    Expect(1, 73675, '\p{^Nv:   0.06250}', "");
    Expect(1, 73675, '\P{Nv:   0.06250}', "");
    Expect(0, 73675, '\P{^Nv:   0.06250}', "");
    Error('\p{Is_Numeric_Value=_	00001/0016:=}');
    Error('\P{Is_Numeric_Value=_	00001/0016:=}');
    Expect(1, 73674, '\p{Is_Numeric_Value: 0001/0000016}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value: 0001/0000016}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value: 0001/0000016}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value: 0001/0000016}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value: 0001/0000016}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value: 0001/0000016}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value: 0001/0000016}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value: 0001/0000016}', "");
    Expect(1, 73674, '\p{Is_Numeric_Value=60/960}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value=60/960}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value=60/960}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value=60/960}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value=60/960}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value=60/960}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value=60/960}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value=60/960}', "");
    Error('\p{Is_Numeric_Value=6.2e-02}');
    Error('\P{Is_Numeric_Value=6.2e-02}');
    Expect(1, 73674, '\p{Is_Numeric_Value=6.25e-02}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value=6.25e-02}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value=6.25e-02}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value=6.25e-02}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value=6.25e-02}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value=6.25e-02}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value=6.25e-02}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value=6.25e-02}', "");
    Error('\p{Is_Numeric_Value:   0.06}');
    Error('\P{Is_Numeric_Value:   0.06}');
    Expect(1, 73674, '\p{Is_Numeric_Value=6.250e-02}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value=6.250e-02}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value=6.250e-02}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value=6.250e-02}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value=6.250e-02}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value=6.250e-02}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value=6.250e-02}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value=6.250e-02}', "");
    Error('\p{Is_Numeric_Value=0.062}');
    Error('\P{Is_Numeric_Value=0.062}');
    Expect(1, 73674, '\p{Is_Numeric_Value=6.2500e-02}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value=6.2500e-02}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value=6.2500e-02}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value=6.2500e-02}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value=6.2500e-02}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value=6.2500e-02}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value=6.2500e-02}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value=6.2500e-02}', "");
    Expect(1, 73674, '\p{Is_Numeric_Value=0.0625}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value=0.0625}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value=0.0625}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value=0.0625}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value=0.0625}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value=0.0625}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value=0.0625}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value=0.0625}', "");
    Expect(1, 73674, '\p{Is_Numeric_Value=6.25000e-02}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value=6.25000e-02}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value=6.25000e-02}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value=6.25000e-02}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value=6.25000e-02}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value=6.25000e-02}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value=6.25000e-02}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value=6.25000e-02}', "");
    Expect(1, 73674, '\p{Is_Numeric_Value=0.06250}', "");
    Expect(0, 73674, '\p{^Is_Numeric_Value=0.06250}', "");
    Expect(0, 73674, '\P{Is_Numeric_Value=0.06250}', "");
    Expect(1, 73674, '\P{^Is_Numeric_Value=0.06250}', "");
    Expect(0, 73675, '\p{Is_Numeric_Value=0.06250}', "");
    Expect(1, 73675, '\p{^Is_Numeric_Value=0.06250}', "");
    Expect(1, 73675, '\P{Is_Numeric_Value=0.06250}', "");
    Expect(0, 73675, '\P{^Is_Numeric_Value=0.06250}', "");
    Error('\p{Is_Nv= :=01/00016}');
    Error('\P{Is_Nv= :=01/00016}');
    Expect(1, 73674, '\p{Is_Nv:00000001/000016}', "");
    Expect(0, 73674, '\p{^Is_Nv:00000001/000016}', "");
    Expect(0, 73674, '\P{Is_Nv:00000001/000016}', "");
    Expect(1, 73674, '\P{^Is_Nv:00000001/000016}', "");
    Expect(0, 73675, '\p{Is_Nv:00000001/000016}', "");
    Expect(1, 73675, '\p{^Is_Nv:00000001/000016}', "");
    Expect(1, 73675, '\P{Is_Nv:00000001/000016}', "");
    Expect(0, 73675, '\P{^Is_Nv:00000001/000016}', "");
    Expect(1, 73674, '\p{Is_Nv=60/960}', "");
    Expect(0, 73674, '\p{^Is_Nv=60/960}', "");
    Expect(0, 73674, '\P{Is_Nv=60/960}', "");
    Expect(1, 73674, '\P{^Is_Nv=60/960}', "");
    Expect(0, 73675, '\p{Is_Nv=60/960}', "");
    Expect(1, 73675, '\p{^Is_Nv=60/960}', "");
    Expect(1, 73675, '\P{Is_Nv=60/960}', "");
    Expect(0, 73675, '\P{^Is_Nv=60/960}', "");
    Error('\p{Is_Nv=6.2e-02}');
    Error('\P{Is_Nv=6.2e-02}');
    Expect(1, 73674, '\p{Is_Nv=6.25e-02}', "");
    Expect(0, 73674, '\p{^Is_Nv=6.25e-02}', "");
    Expect(0, 73674, '\P{Is_Nv=6.25e-02}', "");
    Expect(1, 73674, '\P{^Is_Nv=6.25e-02}', "");
    Expect(0, 73675, '\p{Is_Nv=6.25e-02}', "");
    Expect(1, 73675, '\p{^Is_Nv=6.25e-02}', "");
    Expect(1, 73675, '\P{Is_Nv=6.25e-02}', "");
    Expect(0, 73675, '\P{^Is_Nv=6.25e-02}', "");
    Error('\p{Is_Nv=0.06}');
    Error('\P{Is_Nv=0.06}');
    Expect(1, 73674, '\p{Is_Nv=6.250e-02}', "");
    Expect(0, 73674, '\p{^Is_Nv=6.250e-02}', "");
    Expect(0, 73674, '\P{Is_Nv=6.250e-02}', "");
    Expect(1, 73674, '\P{^Is_Nv=6.250e-02}', "");
    Expect(0, 73675, '\p{Is_Nv=6.250e-02}', "");
    Expect(1, 73675, '\p{^Is_Nv=6.250e-02}', "");
    Expect(1, 73675, '\P{Is_Nv=6.250e-02}', "");
    Expect(0, 73675, '\P{^Is_Nv=6.250e-02}', "");
    Error('\p{Is_Nv=0.062}');
    Error('\P{Is_Nv=0.062}');
    Expect(1, 73674, '\p{Is_Nv: 6.2500e-02}', "");
    Expect(0, 73674, '\p{^Is_Nv: 6.2500e-02}', "");
    Expect(0, 73674, '\P{Is_Nv: 6.2500e-02}', "");
    Expect(1, 73674, '\P{^Is_Nv: 6.2500e-02}', "");
    Expect(0, 73675, '\p{Is_Nv: 6.2500e-02}', "");
    Expect(1, 73675, '\p{^Is_Nv: 6.2500e-02}', "");
    Expect(1, 73675, '\P{Is_Nv: 6.2500e-02}', "");
    Expect(0, 73675, '\P{^Is_Nv: 6.2500e-02}', "");
    Expect(1, 73674, '\p{Is_Nv:   0.0625}', "");
    Expect(0, 73674, '\p{^Is_Nv:   0.0625}', "");
    Expect(0, 73674, '\P{Is_Nv:   0.0625}', "");
    Expect(1, 73674, '\P{^Is_Nv:   0.0625}', "");
    Expect(0, 73675, '\p{Is_Nv:   0.0625}', "");
    Expect(1, 73675, '\p{^Is_Nv:   0.0625}', "");
    Expect(1, 73675, '\P{Is_Nv:   0.0625}', "");
    Expect(0, 73675, '\P{^Is_Nv:   0.0625}', "");
    Expect(1, 73674, '\p{Is_Nv=6.25000e-02}', "");
    Expect(0, 73674, '\p{^Is_Nv=6.25000e-02}', "");
    Expect(0, 73674, '\P{Is_Nv=6.25000e-02}', "");
    Expect(1, 73674, '\P{^Is_Nv=6.25000e-02}', "");
    Expect(0, 73675, '\p{Is_Nv=6.25000e-02}', "");
    Expect(1, 73675, '\p{^Is_Nv=6.25000e-02}', "");
    Expect(1, 73675, '\P{Is_Nv=6.25000e-02}', "");
    Expect(0, 73675, '\P{^Is_Nv=6.25000e-02}', "");
    Expect(1, 73674, '\p{Is_Nv=0.06250}', "");
    Expect(0, 73674, '\p{^Is_Nv=0.06250}', "");
    Expect(0, 73674, '\P{Is_Nv=0.06250}', "");
    Expect(1, 73674, '\P{^Is_Nv=0.06250}', "");
    Expect(0, 73675, '\p{Is_Nv=0.06250}', "");
    Expect(1, 73675, '\p{^Is_Nv=0.06250}', "");
    Expect(1, 73675, '\P{Is_Nv=0.06250}', "");
    Expect(0, 73675, '\P{^Is_Nv=0.06250}', "");
    Error('\p{Numeric_Value=:=		+0000000001/000000000160}');
    Error('\P{Numeric_Value=:=		+0000000001/000000000160}');
    Expect(1, 73665, '\p{Numeric_Value=:\A1/160\z:}', "");;
    Expect(0, 73666, '\p{Numeric_Value=:\A1/160\z:}', "");;
    Expect(1, 73665, '\p{Numeric_Value:00000001/000000160}', "");
    Expect(0, 73665, '\p{^Numeric_Value:00000001/000000160}', "");
    Expect(0, 73665, '\P{Numeric_Value:00000001/000000160}', "");
    Expect(1, 73665, '\P{^Numeric_Value:00000001/000000160}', "");
    Expect(0, 73666, '\p{Numeric_Value:00000001/000000160}', "");
    Expect(1, 73666, '\p{^Numeric_Value:00000001/000000160}', "");
    Expect(1, 73666, '\P{Numeric_Value:00000001/000000160}', "");
    Expect(0, 73666, '\P{^Numeric_Value:00000001/000000160}', "");
    Expect(1, 73665, '\p{Numeric_Value=60/9600}', "");
    Expect(0, 73665, '\p{^Numeric_Value=60/9600}', "");
    Expect(0, 73665, '\P{Numeric_Value=60/9600}', "");
    Expect(1, 73665, '\P{^Numeric_Value=60/9600}', "");
    Expect(0, 73666, '\p{Numeric_Value=60/9600}', "");
    Expect(1, 73666, '\p{^Numeric_Value=60/9600}', "");
    Expect(1, 73666, '\P{Numeric_Value=60/9600}', "");
    Expect(0, 73666, '\P{^Numeric_Value=60/9600}', "");
    Error('\p{Numeric_Value=6.3e-03}');
    Error('\P{Numeric_Value=6.3e-03}');
    Expect(1, 73665, '\p{Numeric_Value:	6.25e-03}', "");
    Expect(0, 73665, '\p{^Numeric_Value:	6.25e-03}', "");
    Expect(0, 73665, '\P{Numeric_Value:	6.25e-03}', "");
    Expect(1, 73665, '\P{^Numeric_Value:	6.25e-03}', "");
    Expect(0, 73666, '\p{Numeric_Value:	6.25e-03}', "");
    Expect(1, 73666, '\p{^Numeric_Value:	6.25e-03}', "");
    Expect(1, 73666, '\P{Numeric_Value:	6.25e-03}', "");
    Expect(0, 73666, '\P{^Numeric_Value:	6.25e-03}', "");
    Error('\p{Numeric_Value=0.01}');
    Error('\P{Numeric_Value=0.01}');
    Expect(1, 73665, '\p{Numeric_Value=6.250e-03}', "");
    Expect(0, 73665, '\p{^Numeric_Value=6.250e-03}', "");
    Expect(0, 73665, '\P{Numeric_Value=6.250e-03}', "");
    Expect(1, 73665, '\P{^Numeric_Value=6.250e-03}', "");
    Expect(0, 73666, '\p{Numeric_Value=6.250e-03}', "");
    Expect(1, 73666, '\p{^Numeric_Value=6.250e-03}', "");
    Expect(1, 73666, '\P{Numeric_Value=6.250e-03}', "");
    Expect(0, 73666, '\P{^Numeric_Value=6.250e-03}', "");
    Error('\p{Numeric_Value=0.006}');
    Error('\P{Numeric_Value=0.006}');
    Expect(1, 73665, '\p{Numeric_Value=6.2500e-03}', "");
    Expect(0, 73665, '\p{^Numeric_Value=6.2500e-03}', "");
    Expect(0, 73665, '\P{Numeric_Value=6.2500e-03}', "");
    Expect(1, 73665, '\P{^Numeric_Value=6.2500e-03}', "");
    Expect(0, 73666, '\p{Numeric_Value=6.2500e-03}', "");
    Expect(1, 73666, '\p{^Numeric_Value=6.2500e-03}', "");
    Expect(1, 73666, '\P{Numeric_Value=6.2500e-03}', "");
    Expect(0, 73666, '\P{^Numeric_Value=6.2500e-03}', "");
    Error('\p{Numeric_Value=0.0063}');
    Error('\P{Numeric_Value=0.0063}');
    Expect(1, 73665, '\p{Numeric_Value=6.25000e-03}', "");
    Expect(0, 73665, '\p{^Numeric_Value=6.25000e-03}', "");
    Expect(0, 73665, '\P{Numeric_Value=6.25000e-03}', "");
    Expect(1, 73665, '\P{^Numeric_Value=6.25000e-03}', "");
    Expect(0, 73666, '\p{Numeric_Value=6.25000e-03}', "");
    Expect(1, 73666, '\p{^Numeric_Value=6.25000e-03}', "");
    Expect(1, 73666, '\P{Numeric_Value=6.25000e-03}', "");
    Expect(0, 73666, '\P{^Numeric_Value=6.25000e-03}', "");
    Expect(1, 73665, '\p{Numeric_Value=0.00625}', "");
    Expect(0, 73665, '\p{^Numeric_Value=0.00625}', "");
    Expect(0, 73665, '\P{Numeric_Value=0.00625}', "");
    Expect(1, 73665, '\P{^Numeric_Value=0.00625}', "");
    Expect(0, 73666, '\p{Numeric_Value=0.00625}', "");
    Expect(1, 73666, '\p{^Numeric_Value=0.00625}', "");
    Expect(1, 73666, '\P{Numeric_Value=0.00625}', "");
    Expect(0, 73666, '\P{^Numeric_Value=0.00625}', "");
    Expect(1, 73665, '\p{Numeric_Value=6.250000e-03}', "");
    Expect(0, 73665, '\p{^Numeric_Value=6.250000e-03}', "");
    Expect(0, 73665, '\P{Numeric_Value=6.250000e-03}', "");
    Expect(1, 73665, '\P{^Numeric_Value=6.250000e-03}', "");
    Expect(0, 73666, '\p{Numeric_Value=6.250000e-03}', "");
    Expect(1, 73666, '\p{^Numeric_Value=6.250000e-03}', "");
    Expect(1, 73666, '\P{Numeric_Value=6.250000e-03}', "");
    Expect(0, 73666, '\P{^Numeric_Value=6.250000e-03}', "");
    Expect(1, 73665, '\p{Numeric_Value=0.006250}', "");
    Expect(0, 73665, '\p{^Numeric_Value=0.006250}', "");
    Expect(0, 73665, '\P{Numeric_Value=0.006250}', "");
    Expect(1, 73665, '\P{^Numeric_Value=0.006250}', "");
    Expect(0, 73666, '\p{Numeric_Value=0.006250}', "");
    Expect(1, 73666, '\p{^Numeric_Value=0.006250}', "");
    Expect(1, 73666, '\P{Numeric_Value=0.006250}', "");
    Expect(0, 73666, '\P{^Numeric_Value=0.006250}', "");
    Error('\p{Nv=_:=000001/00000000160}');
    Error('\P{Nv=_:=000001/00000000160}');
    Expect(1, 73665, '\p{Nv=:\A1/160\z:}', "");;
    Expect(0, 73666, '\p{Nv=:\A1/160\z:}', "");;
    Expect(1, 73665, '\p{Nv=0000001/000160}', "");
    Expect(0, 73665, '\p{^Nv=0000001/000160}', "");
    Expect(0, 73665, '\P{Nv=0000001/000160}', "");
    Expect(1, 73665, '\P{^Nv=0000001/000160}', "");
    Expect(0, 73666, '\p{Nv=0000001/000160}', "");
    Expect(1, 73666, '\p{^Nv=0000001/000160}', "");
    Expect(1, 73666, '\P{Nv=0000001/000160}', "");
    Expect(0, 73666, '\P{^Nv=0000001/000160}', "");
    Expect(1, 73665, '\p{Nv=60/9600}', "");
    Expect(0, 73665, '\p{^Nv=60/9600}', "");
    Expect(0, 73665, '\P{Nv=60/9600}', "");
    Expect(1, 73665, '\P{^Nv=60/9600}', "");
    Expect(0, 73666, '\p{Nv=60/9600}', "");
    Expect(1, 73666, '\p{^Nv=60/9600}', "");
    Expect(1, 73666, '\P{Nv=60/9600}', "");
    Expect(0, 73666, '\P{^Nv=60/9600}', "");
    Error('\p{Nv=6.3e-03}');
    Error('\P{Nv=6.3e-03}');
    Expect(1, 73665, '\p{Nv=6.25e-03}', "");
    Expect(0, 73665, '\p{^Nv=6.25e-03}', "");
    Expect(0, 73665, '\P{Nv=6.25e-03}', "");
    Expect(1, 73665, '\P{^Nv=6.25e-03}', "");
    Expect(0, 73666, '\p{Nv=6.25e-03}', "");
    Expect(1, 73666, '\p{^Nv=6.25e-03}', "");
    Expect(1, 73666, '\P{Nv=6.25e-03}', "");
    Expect(0, 73666, '\P{^Nv=6.25e-03}', "");
    Error('\p{Nv=0.01}');
    Error('\P{Nv=0.01}');
    Expect(1, 73665, '\p{Nv=6.250e-03}', "");
    Expect(0, 73665, '\p{^Nv=6.250e-03}', "");
    Expect(0, 73665, '\P{Nv=6.250e-03}', "");
    Expect(1, 73665, '\P{^Nv=6.250e-03}', "");
    Expect(0, 73666, '\p{Nv=6.250e-03}', "");
    Expect(1, 73666, '\p{^Nv=6.250e-03}', "");
    Expect(1, 73666, '\P{Nv=6.250e-03}', "");
    Expect(0, 73666, '\P{^Nv=6.250e-03}', "");
    Error('\p{Nv:0.006}');
    Error('\P{Nv:0.006}');
    Expect(1, 73665, '\p{Nv=6.2500e-03}', "");
    Expect(0, 73665, '\p{^Nv=6.2500e-03}', "");
    Expect(0, 73665, '\P{Nv=6.2500e-03}', "");
    Expect(1, 73665, '\P{^Nv=6.2500e-03}', "");
    Expect(0, 73666, '\p{Nv=6.2500e-03}', "");
    Expect(1, 73666, '\p{^Nv=6.2500e-03}', "");
    Expect(1, 73666, '\P{Nv=6.2500e-03}', "");
    Expect(0, 73666, '\P{^Nv=6.2500e-03}', "");
    Error('\p{Nv=0.0063}');
    Error('\P{Nv=0.0063}');
    Expect(1, 73665, '\p{Nv=6.25000e-03}', "");
    Expect(0, 73665, '\p{^Nv=6.25000e-03}', "");
    Expect(0, 73665, '\P{Nv=6.25000e-03}', "");
    Expect(1, 73665, '\P{^Nv=6.25000e-03}', "");
    Expect(0, 73666, '\p{Nv=6.25000e-03}', "");
    Expect(1, 73666, '\p{^Nv=6.25000e-03}', "");
    Expect(1, 73666, '\P{Nv=6.25000e-03}', "");
    Expect(0, 73666, '\P{^Nv=6.25000e-03}', "");
    Expect(1, 73665, '\p{Nv=0.00625}', "");
    Expect(0, 73665, '\p{^Nv=0.00625}', "");
    Expect(0, 73665, '\P{Nv=0.00625}', "");
    Expect(1, 73665, '\P{^Nv=0.00625}', "");
    Expect(0, 73666, '\p{Nv=0.00625}', "");
    Expect(1, 73666, '\p{^Nv=0.00625}', "");
    Expect(1, 73666, '\P{Nv=0.00625}', "");
    Expect(0, 73666, '\P{^Nv=0.00625}', "");
    Expect(1, 73665, '\p{Nv=6.250000e-03}', "");
    Expect(0, 73665, '\p{^Nv=6.250000e-03}', "");
    Expect(0, 73665, '\P{Nv=6.250000e-03}', "");
    Expect(1, 73665, '\P{^Nv=6.250000e-03}', "");
    Expect(0, 73666, '\p{Nv=6.250000e-03}', "");
    Expect(1, 73666, '\p{^Nv=6.250000e-03}', "");
    Expect(1, 73666, '\P{Nv=6.250000e-03}', "");
    Expect(0, 73666, '\P{^Nv=6.250000e-03}', "");
    Expect(1, 73665, '\p{Nv=0.006250}', "");
    Expect(0, 73665, '\p{^Nv=0.006250}', "");
    Expect(0, 73665, '\P{Nv=0.006250}', "");
    Expect(1, 73665, '\P{^Nv=0.006250}', "");
    Expect(0, 73666, '\p{Nv=0.006250}', "");
    Expect(1, 73666, '\p{^Nv=0.006250}', "");
    Expect(1, 73666, '\P{Nv=0.006250}', "");
    Expect(0, 73666, '\P{^Nv=0.006250}', "");
    Error('\p{Is_Numeric_Value=-	+0000000001/000000000160:=}');
    Error('\P{Is_Numeric_Value=-	+0000000001/000000000160:=}');
    Expect(1, 73665, '\p{Is_Numeric_Value=0001/00000160}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value=0001/00000160}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value=0001/00000160}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value=0001/00000160}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value=0001/00000160}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value=0001/00000160}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value=0001/00000160}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value=0001/00000160}', "");
    Expect(1, 73665, '\p{Is_Numeric_Value=60/9600}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value=60/9600}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value=60/9600}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value=60/9600}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value=60/9600}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value=60/9600}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value=60/9600}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value=60/9600}', "");
    Error('\p{Is_Numeric_Value=6.3e-03}');
    Error('\P{Is_Numeric_Value=6.3e-03}');
    Expect(1, 73665, '\p{Is_Numeric_Value=6.25e-03}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value=6.25e-03}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value=6.25e-03}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value=6.25e-03}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value=6.25e-03}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value=6.25e-03}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value=6.25e-03}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value=6.25e-03}', "");
    Error('\p{Is_Numeric_Value=0.01}');
    Error('\P{Is_Numeric_Value=0.01}');
    Expect(1, 73665, '\p{Is_Numeric_Value=6.250e-03}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value=6.250e-03}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value=6.250e-03}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value=6.250e-03}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value=6.250e-03}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value=6.250e-03}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value=6.250e-03}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value=6.250e-03}', "");
    Error('\p{Is_Numeric_Value=0.006}');
    Error('\P{Is_Numeric_Value=0.006}');
    Expect(1, 73665, '\p{Is_Numeric_Value=6.2500e-03}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value=6.2500e-03}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value=6.2500e-03}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value=6.2500e-03}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value=6.2500e-03}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value=6.2500e-03}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value=6.2500e-03}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value=6.2500e-03}', "");
    Error('\p{Is_Numeric_Value=0.0063}');
    Error('\P{Is_Numeric_Value=0.0063}');
    Expect(1, 73665, '\p{Is_Numeric_Value:   6.25000e-03}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value:   6.25000e-03}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value:   6.25000e-03}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value:   6.25000e-03}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value:   6.25000e-03}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value:   6.25000e-03}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value:   6.25000e-03}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value:   6.25000e-03}', "");
    Expect(1, 73665, '\p{Is_Numeric_Value=0.00625}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value=0.00625}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value=0.00625}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value=0.00625}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value=0.00625}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value=0.00625}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value=0.00625}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value=0.00625}', "");
    Expect(1, 73665, '\p{Is_Numeric_Value:	6.250000e-03}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value:	6.250000e-03}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value:	6.250000e-03}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value:	6.250000e-03}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value:	6.250000e-03}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value:	6.250000e-03}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value:	6.250000e-03}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value:	6.250000e-03}', "");
    Expect(1, 73665, '\p{Is_Numeric_Value=0.006250}', "");
    Expect(0, 73665, '\p{^Is_Numeric_Value=0.006250}', "");
    Expect(0, 73665, '\P{Is_Numeric_Value=0.006250}', "");
    Expect(1, 73665, '\P{^Is_Numeric_Value=0.006250}', "");
    Expect(0, 73666, '\p{Is_Numeric_Value=0.006250}', "");
    Expect(1, 73666, '\p{^Is_Numeric_Value=0.006250}', "");
    Expect(1, 73666, '\P{Is_Numeric_Value=0.006250}', "");
    Expect(0, 73666, '\P{^Is_Numeric_Value=0.006250}', "");
    Error('\p{Is_Nv=:=_-001/0000160}');
    Error('\P{Is_Nv=:=_-001/0000160}');
    Expect(1, 73665, '\p{Is_Nv=00000001/0000160}', "");
    Expect(0, 73665, '\p{^Is_Nv=00000001/0000160}', "");
    Expect(0, 73665, '\P{Is_Nv=00000001/0000160}', "");
    Expect(1, 73665, '\P{^Is_Nv=00000001/0000160}', "");
    Expect(0, 73666, '\p{Is_Nv=00000001/0000160}', "");
    Expect(1, 73666, '\p{^Is_Nv=00000001/0000160}', "");
    Expect(1, 73666, '\P{Is_Nv=00000001/0000160}', "");
    Expect(0, 73666, '\P{^Is_Nv=00000001/0000160}', "");
    Expect(1, 73665, '\p{Is_Nv=60/9600}', "");
    Expect(0, 73665, '\p{^Is_Nv=60/9600}', "");
    Expect(0, 73665, '\P{Is_Nv=60/9600}', "");
    Expect(1, 73665, '\P{^Is_Nv=60/9600}', "");
    Expect(0, 73666, '\p{Is_Nv=60/9600}', "");
    Expect(1, 73666, '\p{^Is_Nv=60/9600}', "");
    Expect(1, 73666, '\P{Is_Nv=60/9600}', "");
    Expect(0, 73666, '\P{^Is_Nv=60/9600}', "");
    Error('\p{Is_Nv=6.3e-03}');
    Error('\P{Is_Nv=6.3e-03}');
    Expect(1, 73665, '\p{Is_Nv=6.25e-03}', "");
    Expect(0, 73665, '\p{^Is_Nv=6.25e-03}', "");
    Expect(0, 73665, '\P{Is_Nv=6.25e-03}', "");
    Expect(1, 73665, '\P{^Is_Nv=6.25e-03}', "");
    Expect(0, 73666, '\p{Is_Nv=6.25e-03}', "");
    Expect(1, 73666, '\p{^Is_Nv=6.25e-03}', "");
    Expect(1, 73666, '\P{Is_Nv=6.25e-03}', "");
    Expect(0, 73666, '\P{^Is_Nv=6.25e-03}', "");
    Error('\p{Is_Nv=0.01}');
    Error('\P{Is_Nv=0.01}');
    Expect(1, 73665, '\p{Is_Nv=6.250e-03}', "");
    Expect(0, 73665, '\p{^Is_Nv=6.250e-03}', "");
    Expect(0, 73665, '\P{Is_Nv=6.250e-03}', "");
    Expect(1, 73665, '\P{^Is_Nv=6.250e-03}', "");
    Expect(0, 73666, '\p{Is_Nv=6.250e-03}', "");
    Expect(1, 73666, '\p{^Is_Nv=6.250e-03}', "");
    Expect(1, 73666, '\P{Is_Nv=6.250e-03}', "");
    Expect(0, 73666, '\P{^Is_Nv=6.250e-03}', "");
    Error('\p{Is_Nv=0.006}');
    Error('\P{Is_Nv=0.006}');
    Expect(1, 73665, '\p{Is_Nv=6.2500e-03}', "");
    Expect(0, 73665, '\p{^Is_Nv=6.2500e-03}', "");
    Expect(0, 73665, '\P{Is_Nv=6.2500e-03}', "");
    Expect(1, 73665, '\P{^Is_Nv=6.2500e-03}', "");
    Expect(0, 73666, '\p{Is_Nv=6.2500e-03}', "");
    Expect(1, 73666, '\p{^Is_Nv=6.2500e-03}', "");
    Expect(1, 73666, '\P{Is_Nv=6.2500e-03}', "");
    Expect(0, 73666, '\P{^Is_Nv=6.2500e-03}', "");
    Error('\p{Is_Nv=0.0063}');
    Error('\P{Is_Nv=0.0063}');
    Expect(1, 73665, '\p{Is_Nv=6.25000e-03}', "");
    Expect(0, 73665, '\p{^Is_Nv=6.25000e-03}', "");
    Expect(0, 73665, '\P{Is_Nv=6.25000e-03}', "");
    Expect(1, 73665, '\P{^Is_Nv=6.25000e-03}', "");
    Expect(0, 73666, '\p{Is_Nv=6.25000e-03}', "");
    Expect(1, 73666, '\p{^Is_Nv=6.25000e-03}', "");
    Expect(1, 73666, '\P{Is_Nv=6.25000e-03}', "");
    Expect(0, 73666, '\P{^Is_Nv=6.25000e-03}', "");
    Expect(1, 73665, '\p{Is_Nv:0.00625}', "");
    Expect(0, 73665, '\p{^Is_Nv:0.00625}', "");
    Expect(0, 73665, '\P{Is_Nv:0.00625}', "");
    Expect(1, 73665, '\P{^Is_Nv:0.00625}', "");
    Expect(0, 73666, '\p{Is_Nv:0.00625}', "");
    Expect(1, 73666, '\p{^Is_Nv:0.00625}', "");
    Expect(1, 73666, '\P{Is_Nv:0.00625}', "");
    Expect(0, 73666, '\P{^Is_Nv:0.00625}', "");
    Expect(1, 73665, '\p{Is_Nv:	6.250000e-03}', "");
    Expect(0, 73665, '\p{^Is_Nv:	6.250000e-03}', "");
    Expect(0, 73665, '\P{Is_Nv:	6.250000e-03}', "");
    Expect(1, 73665, '\P{^Is_Nv:	6.250000e-03}', "");
    Expect(0, 73666, '\p{Is_Nv:	6.250000e-03}', "");
    Expect(1, 73666, '\p{^Is_Nv:	6.250000e-03}', "");
    Expect(1, 73666, '\P{Is_Nv:	6.250000e-03}', "");
    Expect(0, 73666, '\P{^Is_Nv:	6.250000e-03}', "");
    Expect(1, 73665, '\p{Is_Nv=0.006250}', "");
    Expect(0, 73665, '\p{^Is_Nv=0.006250}', "");
    Expect(0, 73665, '\P{Is_Nv=0.006250}', "");
    Expect(1, 73665, '\P{^Is_Nv=0.006250}', "");
    Expect(0, 73666, '\p{Is_Nv=0.006250}', "");
    Expect(1, 73666, '\p{^Is_Nv=0.006250}', "");
    Expect(1, 73666, '\P{Is_Nv=0.006250}', "");
    Expect(0, 73666, '\P{^Is_Nv=0.006250}', "");
    Error('\p{Numeric_Value=	 0000001/000000002/a/}');
    Error('\P{Numeric_Value=	 0000001/000000002/a/}');
    Expect(1, 126268, '\p{Numeric_Value=:\A1/2\z:}', "");;
    Expect(0, 126269, '\p{Numeric_Value=:\A1/2\z:}', "");;
    Expect(1, 126268, '\p{Numeric_Value=+000000001/000002}', "");
    Expect(0, 126268, '\p{^Numeric_Value=+000000001/000002}', "");
    Expect(0, 126268, '\P{Numeric_Value=+000000001/000002}', "");
    Expect(1, 126268, '\P{^Numeric_Value=+000000001/000002}', "");
    Expect(0, 126269, '\p{Numeric_Value=+000000001/000002}', "");
    Expect(1, 126269, '\p{^Numeric_Value=+000000001/000002}', "");
    Expect(1, 126269, '\P{Numeric_Value=+000000001/000002}', "");
    Expect(0, 126269, '\P{^Numeric_Value=+000000001/000002}', "");
    Expect(1, 126268, '\p{Numeric_Value=60/120}', "");
    Expect(0, 126268, '\p{^Numeric_Value=60/120}', "");
    Expect(0, 126268, '\P{Numeric_Value=60/120}', "");
    Expect(1, 126268, '\P{^Numeric_Value=60/120}', "");
    Expect(0, 126269, '\p{Numeric_Value=60/120}', "");
    Expect(1, 126269, '\p{^Numeric_Value=60/120}', "");
    Expect(1, 126269, '\P{Numeric_Value=60/120}', "");
    Expect(0, 126269, '\P{^Numeric_Value=60/120}', "");
    Expect(1, 126268, '\p{Numeric_Value=5.0e-01}', "");
    Expect(0, 126268, '\p{^Numeric_Value=5.0e-01}', "");
    Expect(0, 126268, '\P{Numeric_Value=5.0e-01}', "");
    Expect(1, 126268, '\P{^Numeric_Value=5.0e-01}', "");
    Expect(0, 126269, '\p{Numeric_Value=5.0e-01}', "");
    Expect(1, 126269, '\p{^Numeric_Value=5.0e-01}', "");
    Expect(1, 126269, '\P{Numeric_Value=5.0e-01}', "");
    Expect(0, 126269, '\P{^Numeric_Value=5.0e-01}', "");
    Expect(1, 126268, '\p{Numeric_Value=0.5}', "");
    Expect(0, 126268, '\p{^Numeric_Value=0.5}', "");
    Expect(0, 126268, '\P{Numeric_Value=0.5}', "");
    Expect(1, 126268, '\P{^Numeric_Value=0.5}', "");
    Expect(0, 126269, '\p{Numeric_Value=0.5}', "");
    Expect(1, 126269, '\p{^Numeric_Value=0.5}', "");
    Expect(1, 126269, '\P{Numeric_Value=0.5}', "");
    Expect(0, 126269, '\P{^Numeric_Value=0.5}', "");
    Expect(1, 126268, '\p{Numeric_Value=5.00e-01}', "");
    Expect(0, 126268, '\p{^Numeric_Value=5.00e-01}', "");
    Expect(0, 126268, '\P{Numeric_Value=5.00e-01}', "");
    Expect(1, 126268, '\P{^Numeric_Value=5.00e-01}', "");
    Expect(0, 126269, '\p{Numeric_Value=5.00e-01}', "");
    Expect(1, 126269, '\p{^Numeric_Value=5.00e-01}', "");
    Expect(1, 126269, '\P{Numeric_Value=5.00e-01}', "");
    Expect(0, 126269, '\P{^Numeric_Value=5.00e-01}', "");
    Expect(1, 126268, '\p{Numeric_Value=0.50}', "");
    Expect(0, 126268, '\p{^Numeric_Value=0.50}', "");
    Expect(0, 126268, '\P{Numeric_Value=0.50}', "");
    Expect(1, 126268, '\P{^Numeric_Value=0.50}', "");
    Expect(0, 126269, '\p{Numeric_Value=0.50}', "");
    Expect(1, 126269, '\p{^Numeric_Value=0.50}', "");
    Expect(1, 126269, '\P{Numeric_Value=0.50}', "");
    Expect(0, 126269, '\P{^Numeric_Value=0.50}', "");
    Error('\p{Nv=:=+0000001/002}');
    Error('\P{Nv=:=+0000001/002}');
    Expect(1, 126268, '\p{Nv=:\A1/2\z:}', "");;
    Expect(0, 126269, '\p{Nv=:\A1/2\z:}', "");;
    Expect(1, 126268, '\p{Nv=000000001/02}', "");
    Expect(0, 126268, '\p{^Nv=000000001/02}', "");
    Expect(0, 126268, '\P{Nv=000000001/02}', "");
    Expect(1, 126268, '\P{^Nv=000000001/02}', "");
    Expect(0, 126269, '\p{Nv=000000001/02}', "");
    Expect(1, 126269, '\p{^Nv=000000001/02}', "");
    Expect(1, 126269, '\P{Nv=000000001/02}', "");
    Expect(0, 126269, '\P{^Nv=000000001/02}', "");
    Expect(1, 126268, '\p{Nv=60/120}', "");
    Expect(0, 126268, '\p{^Nv=60/120}', "");
    Expect(0, 126268, '\P{Nv=60/120}', "");
    Expect(1, 126268, '\P{^Nv=60/120}', "");
    Expect(0, 126269, '\p{Nv=60/120}', "");
    Expect(1, 126269, '\p{^Nv=60/120}', "");
    Expect(1, 126269, '\P{Nv=60/120}', "");
    Expect(0, 126269, '\P{^Nv=60/120}', "");
    Expect(1, 126268, '\p{Nv=5.0e-01}', "");
    Expect(0, 126268, '\p{^Nv=5.0e-01}', "");
    Expect(0, 126268, '\P{Nv=5.0e-01}', "");
    Expect(1, 126268, '\P{^Nv=5.0e-01}', "");
    Expect(0, 126269, '\p{Nv=5.0e-01}', "");
    Expect(1, 126269, '\p{^Nv=5.0e-01}', "");
    Expect(1, 126269, '\P{Nv=5.0e-01}', "");
    Expect(0, 126269, '\P{^Nv=5.0e-01}', "");
    Expect(1, 126268, '\p{Nv=0.5}', "");
    Expect(0, 126268, '\p{^Nv=0.5}', "");
    Expect(0, 126268, '\P{Nv=0.5}', "");
    Expect(1, 126268, '\P{^Nv=0.5}', "");
    Expect(0, 126269, '\p{Nv=0.5}', "");
    Expect(1, 126269, '\p{^Nv=0.5}', "");
    Expect(1, 126269, '\P{Nv=0.5}', "");
    Expect(0, 126269, '\P{^Nv=0.5}', "");
    Expect(1, 126268, '\p{Nv=5.00e-01}', "");
    Expect(0, 126268, '\p{^Nv=5.00e-01}', "");
    Expect(0, 126268, '\P{Nv=5.00e-01}', "");
    Expect(1, 126268, '\P{^Nv=5.00e-01}', "");
    Expect(0, 126269, '\p{Nv=5.00e-01}', "");
    Expect(1, 126269, '\p{^Nv=5.00e-01}', "");
    Expect(1, 126269, '\P{Nv=5.00e-01}', "");
    Expect(0, 126269, '\P{^Nv=5.00e-01}', "");
    Expect(1, 126268, '\p{Nv=0.50}', "");
    Expect(0, 126268, '\p{^Nv=0.50}', "");
    Expect(0, 126268, '\P{Nv=0.50}', "");
    Expect(1, 126268, '\P{^Nv=0.50}', "");
    Expect(0, 126269, '\p{Nv=0.50}', "");
    Expect(1, 126269, '\p{^Nv=0.50}', "");
    Expect(1, 126269, '\P{Nv=0.50}', "");
    Expect(0, 126269, '\P{^Nv=0.50}', "");
    Error('\p{Is_Numeric_Value=:=--00001/2}');
    Error('\P{Is_Numeric_Value=:=--00001/2}');
    Expect(1, 126268, '\p{Is_Numeric_Value=00001/00000002}', "");
    Expect(0, 126268, '\p{^Is_Numeric_Value=00001/00000002}', "");
    Expect(0, 126268, '\P{Is_Numeric_Value=00001/00000002}', "");
    Expect(1, 126268, '\P{^Is_Numeric_Value=00001/00000002}', "");
    Expect(0, 126269, '\p{Is_Numeric_Value=00001/00000002}', "");
    Expect(1, 126269, '\p{^Is_Numeric_Value=00001/00000002}', "");
    Expect(1, 126269, '\P{Is_Numeric_Value=00001/00000002}', "");
    Expect(0, 126269, '\P{^Is_Numeric_Value=00001/00000002}', "");
    Expect(1, 126268, '\p{Is_Numeric_Value=60/120}', "");
    Expect(0, 126268, '\p{^Is_Numeric_Value=60/120}', "");
    Expect(0, 126268, '\P{Is_Numeric_Value=60/120}', "");
    Expect(1, 126268, '\P{^Is_Numeric_Value=60/120}', "");
    Expect(0, 126269, '\p{Is_Numeric_Value=60/120}', "");
    Expect(1, 126269, '\p{^Is_Numeric_Value=60/120}', "");
    Expect(1, 126269, '\P{Is_Numeric_Value=60/120}', "");
    Expect(0, 126269, '\P{^Is_Numeric_Value=60/120}', "");
    Expect(1, 126268, '\p{Is_Numeric_Value=5.0e-01}', "");
    Expect(0, 126268, '\p{^Is_Numeric_Value=5.0e-01}', "");
    Expect(0, 126268, '\P{Is_Numeric_Value=5.0e-01}', "");
    Expect(1, 126268, '\P{^Is_Numeric_Value=5.0e-01}', "");
    Expect(0, 126269, '\p{Is_Numeric_Value=5.0e-01}', "");
    Expect(1, 126269, '\p{^Is_Numeric_Value=5.0e-01}', "");
    Expect(1, 126269, '\P{Is_Numeric_Value=5.0e-01}', "");
    Expect(0, 126269, '\P{^Is_Numeric_Value=5.0e-01}', "");
    Expect(1, 126268, '\p{Is_Numeric_Value=0.5}', "");
    Expect(0, 126268, '\p{^Is_Numeric_Value=0.5}', "");
    Expect(0, 126268, '\P{Is_Numeric_Value=0.5}', "");
    Expect(1, 126268, '\P{^Is_Numeric_Value=0.5}', "");
    Expect(0, 126269, '\p{Is_Numeric_Value=0.5}', "");
    Expect(1, 126269, '\p{^Is_Numeric_Value=0.5}', "");
    Expect(1, 126269, '\P{Is_Numeric_Value=0.5}', "");
    Expect(0, 126269, '\P{^Is_Numeric_Value=0.5}', "");
    Expect(1, 126268, '\p{Is_Numeric_Value=5.00e-01}', "");
    Expect(0, 126268, '\p{^Is_Numeric_Value=5.00e-01}', "");
    Expect(0, 126268, '\P{Is_Numeric_Value=5.00e-01}', "");
    Expect(1, 126268, '\P{^Is_Numeric_Value=5.00e-01}', "");
    Expect(0, 126269, '\p{Is_Numeric_Value=5.00e-01}', "");
    Expect(1, 126269, '\p{^Is_Numeric_Value=5.00e-01}', "");
    Expect(1, 126269, '\P{Is_Numeric_Value=5.00e-01}', "");
    Expect(0, 126269, '\P{^Is_Numeric_Value=5.00e-01}', "");
    Expect(1, 126268, '\p{Is_Numeric_Value=0.50}', "");
    Expect(0, 126268, '\p{^Is_Numeric_Value=0.50}', "");
    Expect(0, 126268, '\P{Is_Numeric_Value=0.50}', "");
    Expect(1, 126268, '\P{^Is_Numeric_Value=0.50}', "");
    Expect(0, 126269, '\p{Is_Numeric_Value=0.50}', "");
    Expect(1, 126269, '\p{^Is_Numeric_Value=0.50}', "");
    Expect(1, 126269, '\P{Is_Numeric_Value=0.50}', "");
    Expect(0, 126269, '\P{^Is_Numeric_Value=0.50}', "");
    Error('\p{Is_Nv=--01/000000002:=}');
    Error('\P{Is_Nv=--01/000000002:=}');
    Expect(1, 126268, '\p{Is_Nv=0000001/0000002}', "");
    Expect(0, 126268, '\p{^Is_Nv=0000001/0000002}', "");
    Expect(0, 126268, '\P{Is_Nv=0000001/0000002}', "");
    Expect(1, 126268, '\P{^Is_Nv=0000001/0000002}', "");
    Expect(0, 126269, '\p{Is_Nv=0000001/0000002}', "");
    Expect(1, 126269, '\p{^Is_Nv=0000001/0000002}', "");
    Expect(1, 126269, '\P{Is_Nv=0000001/0000002}', "");
    Expect(0, 126269, '\P{^Is_Nv=0000001/0000002}', "");
    Expect(1, 126268, '\p{Is_Nv=60/120}', "");
    Expect(0, 126268, '\p{^Is_Nv=60/120}', "");
    Expect(0, 126268, '\P{Is_Nv=60/120}', "");
    Expect(1, 126268, '\P{^Is_Nv=60/120}', "");
    Expect(0, 126269, '\p{Is_Nv=60/120}', "");
    Expect(1, 126269, '\p{^Is_Nv=60/120}', "");
    Expect(1, 126269, '\P{Is_Nv=60/120}', "");
    Expect(0, 126269, '\P{^Is_Nv=60/120}', "");
    Expect(1, 126268, '\p{Is_Nv=5.0e-01}', "");
    Expect(0, 126268, '\p{^Is_Nv=5.0e-01}', "");
    Expect(0, 126268, '\P{Is_Nv=5.0e-01}', "");
    Expect(1, 126268, '\P{^Is_Nv=5.0e-01}', "");
    Expect(0, 126269, '\p{Is_Nv=5.0e-01}', "");
    Expect(1, 126269, '\p{^Is_Nv=5.0e-01}', "");
    Expect(1, 126269, '\P{Is_Nv=5.0e-01}', "");
    Expect(0, 126269, '\P{^Is_Nv=5.0e-01}', "");
    Expect(1, 126268, '\p{Is_Nv=0.5}', "");
    Expect(0, 126268, '\p{^Is_Nv=0.5}', "");
    Expect(0, 126268, '\P{Is_Nv=0.5}', "");
    Expect(1, 126268, '\P{^Is_Nv=0.5}', "");
    Expect(0, 126269, '\p{Is_Nv=0.5}', "");
    Expect(1, 126269, '\p{^Is_Nv=0.5}', "");
    Expect(1, 126269, '\P{Is_Nv=0.5}', "");
    Expect(0, 126269, '\P{^Is_Nv=0.5}', "");
    Expect(1, 126268, '\p{Is_Nv=5.00e-01}', "");
    Expect(0, 126268, '\p{^Is_Nv=5.00e-01}', "");
    Expect(0, 126268, '\P{Is_Nv=5.00e-01}', "");
    Expect(1, 126268, '\P{^Is_Nv=5.00e-01}', "");
    Expect(0, 126269, '\p{Is_Nv=5.00e-01}', "");
    Expect(1, 126269, '\p{^Is_Nv=5.00e-01}', "");
    Expect(1, 126269, '\P{Is_Nv=5.00e-01}', "");
    Expect(0, 126269, '\P{^Is_Nv=5.00e-01}', "");
    Expect(1, 126268, '\p{Is_Nv=0.50}', "");
    Expect(0, 126268, '\p{^Is_Nv=0.50}', "");
    Expect(0, 126268, '\P{Is_Nv=0.50}', "");
    Expect(1, 126268, '\P{^Is_Nv=0.50}', "");
    Expect(0, 126269, '\p{Is_Nv=0.50}', "");
    Expect(1, 126269, '\p{^Is_Nv=0.50}', "");
    Expect(1, 126269, '\P{Is_Nv=0.50}', "");
    Expect(0, 126269, '\P{^Is_Nv=0.50}', "");
    Error('\p{Numeric_Value=_:=0001/00000020}');
    Error('\P{Numeric_Value=_:=0001/00000020}');
    Expect(1, 73672, '\p{Numeric_Value=:\A1/20\z:}', "");;
    Expect(0, 73673, '\p{Numeric_Value=:\A1/20\z:}', "");;
    Expect(1, 73672, '\p{Numeric_Value=+0000000001/000020}', "");
    Expect(0, 73672, '\p{^Numeric_Value=+0000000001/000020}', "");
    Expect(0, 73672, '\P{Numeric_Value=+0000000001/000020}', "");
    Expect(1, 73672, '\P{^Numeric_Value=+0000000001/000020}', "");
    Expect(0, 73673, '\p{Numeric_Value=+0000000001/000020}', "");
    Expect(1, 73673, '\p{^Numeric_Value=+0000000001/000020}', "");
    Expect(1, 73673, '\P{Numeric_Value=+0000000001/000020}', "");
    Expect(0, 73673, '\P{^Numeric_Value=+0000000001/000020}', "");
    Expect(1, 73672, '\p{Numeric_Value=60/1200}', "");
    Expect(0, 73672, '\p{^Numeric_Value=60/1200}', "");
    Expect(0, 73672, '\P{Numeric_Value=60/1200}', "");
    Expect(1, 73672, '\P{^Numeric_Value=60/1200}', "");
    Expect(0, 73673, '\p{Numeric_Value=60/1200}', "");
    Expect(1, 73673, '\p{^Numeric_Value=60/1200}', "");
    Expect(1, 73673, '\P{Numeric_Value=60/1200}', "");
    Expect(0, 73673, '\P{^Numeric_Value=60/1200}', "");
    Expect(1, 73672, '\p{Numeric_Value=5.0e-02}', "");
    Expect(0, 73672, '\p{^Numeric_Value=5.0e-02}', "");
    Expect(0, 73672, '\P{Numeric_Value=5.0e-02}', "");
    Expect(1, 73672, '\P{^Numeric_Value=5.0e-02}', "");
    Expect(0, 73673, '\p{Numeric_Value=5.0e-02}', "");
    Expect(1, 73673, '\p{^Numeric_Value=5.0e-02}', "");
    Expect(1, 73673, '\P{Numeric_Value=5.0e-02}', "");
    Expect(0, 73673, '\P{^Numeric_Value=5.0e-02}', "");
    Expect(1, 73672, '\p{Numeric_Value=5.00e-02}', "");
    Expect(0, 73672, '\p{^Numeric_Value=5.00e-02}', "");
    Expect(0, 73672, '\P{Numeric_Value=5.00e-02}', "");
    Expect(1, 73672, '\P{^Numeric_Value=5.00e-02}', "");
    Expect(0, 73673, '\p{Numeric_Value=5.00e-02}', "");
    Expect(1, 73673, '\p{^Numeric_Value=5.00e-02}', "");
    Expect(1, 73673, '\P{Numeric_Value=5.00e-02}', "");
    Expect(0, 73673, '\P{^Numeric_Value=5.00e-02}', "");
    Expect(1, 73672, '\p{Numeric_Value=0.05}', "");
    Expect(0, 73672, '\p{^Numeric_Value=0.05}', "");
    Expect(0, 73672, '\P{Numeric_Value=0.05}', "");
    Expect(1, 73672, '\P{^Numeric_Value=0.05}', "");
    Expect(0, 73673, '\p{Numeric_Value=0.05}', "");
    Expect(1, 73673, '\p{^Numeric_Value=0.05}', "");
    Expect(1, 73673, '\P{Numeric_Value=0.05}', "");
    Expect(0, 73673, '\P{^Numeric_Value=0.05}', "");
    Expect(1, 73672, '\p{Numeric_Value=5.000e-02}', "");
    Expect(0, 73672, '\p{^Numeric_Value=5.000e-02}', "");
    Expect(0, 73672, '\P{Numeric_Value=5.000e-02}', "");
    Expect(1, 73672, '\P{^Numeric_Value=5.000e-02}', "");
    Expect(0, 73673, '\p{Numeric_Value=5.000e-02}', "");
    Expect(1, 73673, '\p{^Numeric_Value=5.000e-02}', "");
    Expect(1, 73673, '\P{Numeric_Value=5.000e-02}', "");
    Expect(0, 73673, '\P{^Numeric_Value=5.000e-02}', "");
    Expect(1, 73672, '\p{Numeric_Value=0.050}', "");
    Expect(0, 73672, '\p{^Numeric_Value=0.050}', "");
    Expect(0, 73672, '\P{Numeric_Value=0.050}', "");
    Expect(1, 73672, '\P{^Numeric_Value=0.050}', "");
    Expect(0, 73673, '\p{Numeric_Value=0.050}', "");
    Expect(1, 73673, '\p{^Numeric_Value=0.050}', "");
    Expect(1, 73673, '\P{Numeric_Value=0.050}', "");
    Expect(0, 73673, '\P{^Numeric_Value=0.050}', "");
    Error('\p{Nv=__000001/000020/a/}');
    Error('\P{Nv=__000001/000020/a/}');
    Expect(1, 73672, '\p{Nv=:\A1/20\z:}', "");;
    Expect(0, 73673, '\p{Nv=:\A1/20\z:}', "");;
    Expect(1, 73672, '\p{Nv=01/00020}', "");
    Expect(0, 73672, '\p{^Nv=01/00020}', "");
    Expect(0, 73672, '\P{Nv=01/00020}', "");
    Expect(1, 73672, '\P{^Nv=01/00020}', "");
    Expect(0, 73673, '\p{Nv=01/00020}', "");
    Expect(1, 73673, '\p{^Nv=01/00020}', "");
    Expect(1, 73673, '\P{Nv=01/00020}', "");
    Expect(0, 73673, '\P{^Nv=01/00020}', "");
    Expect(1, 73672, '\p{Nv=60/1200}', "");
    Expect(0, 73672, '\p{^Nv=60/1200}', "");
    Expect(0, 73672, '\P{Nv=60/1200}', "");
    Expect(1, 73672, '\P{^Nv=60/1200}', "");
    Expect(0, 73673, '\p{Nv=60/1200}', "");
    Expect(1, 73673, '\p{^Nv=60/1200}', "");
    Expect(1, 73673, '\P{Nv=60/1200}', "");
    Expect(0, 73673, '\P{^Nv=60/1200}', "");
    Expect(1, 73672, '\p{Nv=5.0e-02}', "");
    Expect(0, 73672, '\p{^Nv=5.0e-02}', "");
    Expect(0, 73672, '\P{Nv=5.0e-02}', "");
    Expect(1, 73672, '\P{^Nv=5.0e-02}', "");
    Expect(0, 73673, '\p{Nv=5.0e-02}', "");
    Expect(1, 73673, '\p{^Nv=5.0e-02}', "");
    Expect(1, 73673, '\P{Nv=5.0e-02}', "");
    Expect(0, 73673, '\P{^Nv=5.0e-02}', "");
    Expect(1, 73672, '\p{Nv=5.00e-02}', "");
    Expect(0, 73672, '\p{^Nv=5.00e-02}', "");
    Expect(0, 73672, '\P{Nv=5.00e-02}', "");
    Expect(1, 73672, '\P{^Nv=5.00e-02}', "");
    Expect(0, 73673, '\p{Nv=5.00e-02}', "");
    Expect(1, 73673, '\p{^Nv=5.00e-02}', "");
    Expect(1, 73673, '\P{Nv=5.00e-02}', "");
    Expect(0, 73673, '\P{^Nv=5.00e-02}', "");
    Expect(1, 73672, '\p{Nv=0.05}', "");
    Expect(0, 73672, '\p{^Nv=0.05}', "");
    Expect(0, 73672, '\P{Nv=0.05}', "");
    Expect(1, 73672, '\P{^Nv=0.05}', "");
    Expect(0, 73673, '\p{Nv=0.05}', "");
    Expect(1, 73673, '\p{^Nv=0.05}', "");
    Expect(1, 73673, '\P{Nv=0.05}', "");
    Expect(0, 73673, '\P{^Nv=0.05}', "");
    Expect(1, 73672, '\p{Nv=5.000e-02}', "");
    Expect(0, 73672, '\p{^Nv=5.000e-02}', "");
    Expect(0, 73672, '\P{Nv=5.000e-02}', "");
    Expect(1, 73672, '\P{^Nv=5.000e-02}', "");
    Expect(0, 73673, '\p{Nv=5.000e-02}', "");
    Expect(1, 73673, '\p{^Nv=5.000e-02}', "");
    Expect(1, 73673, '\P{Nv=5.000e-02}', "");
    Expect(0, 73673, '\P{^Nv=5.000e-02}', "");
    Expect(1, 73672, '\p{Nv=0.050}', "");
    Expect(0, 73672, '\p{^Nv=0.050}', "");
    Expect(0, 73672, '\P{Nv=0.050}', "");
    Expect(1, 73672, '\P{^Nv=0.050}', "");
    Expect(0, 73673, '\p{Nv=0.050}', "");
    Expect(1, 73673, '\p{^Nv=0.050}', "");
    Expect(1, 73673, '\P{Nv=0.050}', "");
    Expect(0, 73673, '\P{^Nv=0.050}', "");
    Error('\p{Is_Numeric_Value: _:=001/00000000020}');
    Error('\P{Is_Numeric_Value: _:=001/00000000020}');
    Expect(1, 73672, '\p{Is_Numeric_Value=+001/020}', "");
    Expect(0, 73672, '\p{^Is_Numeric_Value=+001/020}', "");
    Expect(0, 73672, '\P{Is_Numeric_Value=+001/020}', "");
    Expect(1, 73672, '\P{^Is_Numeric_Value=+001/020}', "");
    Expect(0, 73673, '\p{Is_Numeric_Value=+001/020}', "");
    Expect(1, 73673, '\p{^Is_Numeric_Value=+001/020}', "");
    Expect(1, 73673, '\P{Is_Numeric_Value=+001/020}', "");
    Expect(0, 73673, '\P{^Is_Numeric_Value=+001/020}', "");
    Expect(1, 73672, '\p{Is_Numeric_Value=60/1200}', "");
    Expect(0, 73672, '\p{^Is_Numeric_Value=60/1200}', "");
    Expect(0, 73672, '\P{Is_Numeric_Value=60/1200}', "");
    Expect(1, 73672, '\P{^Is_Numeric_Value=60/1200}', "");
    Expect(0, 73673, '\p{Is_Numeric_Value=60/1200}', "");
    Expect(1, 73673, '\p{^Is_Numeric_Value=60/1200}', "");
    Expect(1, 73673, '\P{Is_Numeric_Value=60/1200}', "");
    Expect(0, 73673, '\P{^Is_Numeric_Value=60/1200}', "");
    Expect(1, 73672, '\p{Is_Numeric_Value=5.0e-02}', "");
    Expect(0, 73672, '\p{^Is_Numeric_Value=5.0e-02}', "");
    Expect(0, 73672, '\P{Is_Numeric_Value=5.0e-02}', "");
    Expect(1, 73672, '\P{^Is_Numeric_Value=5.0e-02}', "");
    Expect(0, 73673, '\p{Is_Numeric_Value=5.0e-02}', "");
    Expect(1, 73673, '\p{^Is_Numeric_Value=5.0e-02}', "");
    Expect(1, 73673, '\P{Is_Numeric_Value=5.0e-02}', "");
    Expect(0, 73673, '\P{^Is_Numeric_Value=5.0e-02}', "");
    Expect(1, 73672, '\p{Is_Numeric_Value=5.00e-02}', "");
    Expect(0, 73672, '\p{^Is_Numeric_Value=5.00e-02}', "");
    Expect(0, 73672, '\P{Is_Numeric_Value=5.00e-02}', "");
    Expect(1, 73672, '\P{^Is_Numeric_Value=5.00e-02}', "");
    Expect(0, 73673, '\p{Is_Numeric_Value=5.00e-02}', "");
    Expect(1, 73673, '\p{^Is_Numeric_Value=5.00e-02}', "");
    Expect(1, 73673, '\P{Is_Numeric_Value=5.00e-02}', "");
    Expect(0, 73673, '\P{^Is_Numeric_Value=5.00e-02}', "");
    Expect(1, 73672, '\p{Is_Numeric_Value=0.05}', "");
    Expect(0, 73672, '\p{^Is_Numeric_Value=0.05}', "");
    Expect(0, 73672, '\P{Is_Numeric_Value=0.05}', "");
    Expect(1, 73672, '\P{^Is_Numeric_Value=0.05}', "");
    Expect(0, 73673, '\p{Is_Numeric_Value=0.05}', "");
    Expect(1, 73673, '\p{^Is_Numeric_Value=0.05}', "");
    Expect(1, 73673, '\P{Is_Numeric_Value=0.05}', "");
    Expect(0, 73673, '\P{^Is_Numeric_Value=0.05}', "");
    Expect(1, 73672, '\p{Is_Numeric_Value=5.000e-02}', "");
    Expect(0, 73672, '\p{^Is_Numeric_Value=5.000e-02}', "");
    Expect(0, 73672, '\P{Is_Numeric_Value=5.000e-02}', "");
    Expect(1, 73672, '\P{^Is_Numeric_Value=5.000e-02}', "");
    Expect(0, 73673, '\p{Is_Numeric_Value=5.000e-02}', "");
    Expect(1, 73673, '\p{^Is_Numeric_Value=5.000e-02}', "");
    Expect(1, 73673, '\P{Is_Numeric_Value=5.000e-02}', "");
    Expect(0, 73673, '\P{^Is_Numeric_Value=5.000e-02}', "");
    Expect(1, 73672, '\p{Is_Numeric_Value=0.050}', "");
    Expect(0, 73672, '\p{^Is_Numeric_Value=0.050}', "");
    Expect(0, 73672, '\P{Is_Numeric_Value=0.050}', "");
    Expect(1, 73672, '\P{^Is_Numeric_Value=0.050}', "");
    Expect(0, 73673, '\p{Is_Numeric_Value=0.050}', "");
    Expect(1, 73673, '\p{^Is_Numeric_Value=0.050}', "");
    Expect(1, 73673, '\P{Is_Numeric_Value=0.050}', "");
    Expect(0, 73673, '\P{^Is_Numeric_Value=0.050}', "");
    Error('\p{Is_Nv:	 :=00000001/00000020}');
    Error('\P{Is_Nv:	 :=00000001/00000020}');
    Expect(1, 73672, '\p{Is_Nv=01/00000000020}', "");
    Expect(0, 73672, '\p{^Is_Nv=01/00000000020}', "");
    Expect(0, 73672, '\P{Is_Nv=01/00000000020}', "");
    Expect(1, 73672, '\P{^Is_Nv=01/00000000020}', "");
    Expect(0, 73673, '\p{Is_Nv=01/00000000020}', "");
    Expect(1, 73673, '\p{^Is_Nv=01/00000000020}', "");
    Expect(1, 73673, '\P{Is_Nv=01/00000000020}', "");
    Expect(0, 73673, '\P{^Is_Nv=01/00000000020}', "");
    Expect(1, 73672, '\p{Is_Nv=60/1200}', "");
    Expect(0, 73672, '\p{^Is_Nv=60/1200}', "");
    Expect(0, 73672, '\P{Is_Nv=60/1200}', "");
    Expect(1, 73672, '\P{^Is_Nv=60/1200}', "");
    Expect(0, 73673, '\p{Is_Nv=60/1200}', "");
    Expect(1, 73673, '\p{^Is_Nv=60/1200}', "");
    Expect(1, 73673, '\P{Is_Nv=60/1200}', "");
    Expect(0, 73673, '\P{^Is_Nv=60/1200}', "");
    Expect(1, 73672, '\p{Is_Nv=5.0e-02}', "");
    Expect(0, 73672, '\p{^Is_Nv=5.0e-02}', "");
    Expect(0, 73672, '\P{Is_Nv=5.0e-02}', "");
    Expect(1, 73672, '\P{^Is_Nv=5.0e-02}', "");
    Expect(0, 73673, '\p{Is_Nv=5.0e-02}', "");
    Expect(1, 73673, '\p{^Is_Nv=5.0e-02}', "");
    Expect(1, 73673, '\P{Is_Nv=5.0e-02}', "");
    Expect(0, 73673, '\P{^Is_Nv=5.0e-02}', "");
    Expect(1, 73672, '\p{Is_Nv=5.00e-02}', "");
    Expect(0, 73672, '\p{^Is_Nv=5.00e-02}', "");
    Expect(0, 73672, '\P{Is_Nv=5.00e-02}', "");
    Expect(1, 73672, '\P{^Is_Nv=5.00e-02}', "");
    Expect(0, 73673, '\p{Is_Nv=5.00e-02}', "");
    Expect(1, 73673, '\p{^Is_Nv=5.00e-02}', "");
    Expect(1, 73673, '\P{Is_Nv=5.00e-02}', "");
    Expect(0, 73673, '\P{^Is_Nv=5.00e-02}', "");
    Expect(1, 73672, '\p{Is_Nv=0.05}', "");
    Expect(0, 73672, '\p{^Is_Nv=0.05}', "");
    Expect(0, 73672, '\P{Is_Nv=0.05}', "");
    Expect(1, 73672, '\P{^Is_Nv=0.05}', "");
    Expect(0, 73673, '\p{Is_Nv=0.05}', "");
    Expect(1, 73673, '\p{^Is_Nv=0.05}', "");
    Expect(1, 73673, '\P{Is_Nv=0.05}', "");
    Expect(0, 73673, '\P{^Is_Nv=0.05}', "");
    Expect(1, 73672, '\p{Is_Nv=5.000e-02}', "");
    Expect(0, 73672, '\p{^Is_Nv=5.000e-02}', "");
    Expect(0, 73672, '\P{Is_Nv=5.000e-02}', "");
    Expect(1, 73672, '\P{^Is_Nv=5.000e-02}', "");
    Expect(0, 73673, '\p{Is_Nv=5.000e-02}', "");
    Expect(1, 73673, '\p{^Is_Nv=5.000e-02}', "");
    Expect(1, 73673, '\P{Is_Nv=5.000e-02}', "");
    Expect(0, 73673, '\P{^Is_Nv=5.000e-02}', "");
    Expect(1, 73672, '\p{Is_Nv=0.050}', "");
    Expect(0, 73672, '\p{^Is_Nv=0.050}', "");
    Expect(0, 73672, '\P{Is_Nv=0.050}', "");
    Expect(1, 73672, '\P{^Is_Nv=0.050}', "");
    Expect(0, 73673, '\p{Is_Nv=0.050}', "");
    Expect(1, 73673, '\p{^Is_Nv=0.050}', "");
    Expect(1, 73673, '\P{Is_Nv=0.050}', "");
    Expect(0, 73673, '\P{^Is_Nv=0.050}', "");
    Error('\p{Numeric_Value=/a/000001/03}');
    Error('\P{Numeric_Value=/a/000001/03}');
    Expect(1, 74853, '\p{Numeric_Value=:\A1/3\z:}', "");;
    Expect(0, 74854, '\p{Numeric_Value=:\A1/3\z:}', "");;
    Expect(1, 74853, '\p{Numeric_Value=0000000001/000003}', "");
    Expect(0, 74853, '\p{^Numeric_Value=0000000001/000003}', "");
    Expect(0, 74853, '\P{Numeric_Value=0000000001/000003}', "");
    Expect(1, 74853, '\P{^Numeric_Value=0000000001/000003}', "");
    Expect(0, 74854, '\p{Numeric_Value=0000000001/000003}', "");
    Expect(1, 74854, '\p{^Numeric_Value=0000000001/000003}', "");
    Expect(1, 74854, '\P{Numeric_Value=0000000001/000003}', "");
    Expect(0, 74854, '\P{^Numeric_Value=0000000001/000003}', "");
    Expect(1, 74853, '\p{Numeric_Value=60/180}', "");
    Expect(0, 74853, '\p{^Numeric_Value=60/180}', "");
    Expect(0, 74853, '\P{Numeric_Value=60/180}', "");
    Expect(1, 74853, '\P{^Numeric_Value=60/180}', "");
    Expect(0, 74854, '\p{Numeric_Value=60/180}', "");
    Expect(1, 74854, '\p{^Numeric_Value=60/180}', "");
    Expect(1, 74854, '\P{Numeric_Value=60/180}', "");
    Expect(0, 74854, '\P{^Numeric_Value=60/180}', "");
    Error('\p{Numeric_Value:3.3e-01}');
    Error('\P{Numeric_Value:3.3e-01}');
    Error('\p{Numeric_Value:   0.3}');
    Error('\P{Numeric_Value:   0.3}');
    Error('\p{Numeric_Value=3.33e-01}');
    Error('\P{Numeric_Value=3.33e-01}');
    Error('\p{Numeric_Value:	0.33}');
    Error('\P{Numeric_Value:	0.33}');
    Expect(1, 74853, '\p{Numeric_Value=3.333e-01}', "");
    Expect(0, 74853, '\p{^Numeric_Value=3.333e-01}', "");
    Expect(0, 74853, '\P{Numeric_Value=3.333e-01}', "");
    Expect(1, 74853, '\P{^Numeric_Value=3.333e-01}', "");
    Expect(0, 74854, '\p{Numeric_Value=3.333e-01}', "");
    Expect(1, 74854, '\p{^Numeric_Value=3.333e-01}', "");
    Expect(1, 74854, '\P{Numeric_Value=3.333e-01}', "");
    Expect(0, 74854, '\P{^Numeric_Value=3.333e-01}', "");
    Error('\p{Numeric_Value=0.333}');
    Error('\P{Numeric_Value=0.333}');
    Expect(1, 74853, '\p{Numeric_Value=3.3333e-01}', "");
    Expect(0, 74853, '\p{^Numeric_Value=3.3333e-01}', "");
    Expect(0, 74853, '\P{Numeric_Value=3.3333e-01}', "");
    Expect(1, 74853, '\P{^Numeric_Value=3.3333e-01}', "");
    Expect(0, 74854, '\p{Numeric_Value=3.3333e-01}', "");
    Expect(1, 74854, '\p{^Numeric_Value=3.3333e-01}', "");
    Expect(1, 74854, '\P{Numeric_Value=3.3333e-01}', "");
    Expect(0, 74854, '\P{^Numeric_Value=3.3333e-01}', "");
    Expect(1, 74853, '\p{Numeric_Value=0.3333}', "");
    Expect(0, 74853, '\p{^Numeric_Value=0.3333}', "");
    Expect(0, 74853, '\P{Numeric_Value=0.3333}', "");
    Expect(1, 74853, '\P{^Numeric_Value=0.3333}', "");
    Expect(0, 74854, '\p{Numeric_Value=0.3333}', "");
    Expect(1, 74854, '\p{^Numeric_Value=0.3333}', "");
    Expect(1, 74854, '\P{Numeric_Value=0.3333}', "");
    Expect(0, 74854, '\P{^Numeric_Value=0.3333}', "");
    Expect(1, 74853, '\p{Numeric_Value=3.33333e-01}', "");
    Expect(0, 74853, '\p{^Numeric_Value=3.33333e-01}', "");
    Expect(0, 74853, '\P{Numeric_Value=3.33333e-01}', "");
    Expect(1, 74853, '\P{^Numeric_Value=3.33333e-01}', "");
    Expect(0, 74854, '\p{Numeric_Value=3.33333e-01}', "");
    Expect(1, 74854, '\p{^Numeric_Value=3.33333e-01}', "");
    Expect(1, 74854, '\P{Numeric_Value=3.33333e-01}', "");
    Expect(0, 74854, '\P{^Numeric_Value=3.33333e-01}', "");
    Expect(1, 74853, '\p{Numeric_Value=0.33333}', "");
    Expect(0, 74853, '\p{^Numeric_Value=0.33333}', "");
    Expect(0, 74853, '\P{Numeric_Value=0.33333}', "");
    Expect(1, 74853, '\P{^Numeric_Value=0.33333}', "");
    Expect(0, 74854, '\p{Numeric_Value=0.33333}', "");
    Expect(1, 74854, '\p{^Numeric_Value=0.33333}', "");
    Expect(1, 74854, '\P{Numeric_Value=0.33333}', "");
    Expect(0, 74854, '\P{^Numeric_Value=0.33333}', "");
    Error('\p{Nv=:=0000001/000000003}');
    Error('\P{Nv=:=0000001/000000003}');
    Expect(1, 74853, '\p{Nv=:\A1/3\z:}', "");;
    Expect(0, 74854, '\p{Nv=:\A1/3\z:}', "");;
    Expect(1, 74853, '\p{Nv=000000001/0000003}', "");
    Expect(0, 74853, '\p{^Nv=000000001/0000003}', "");
    Expect(0, 74853, '\P{Nv=000000001/0000003}', "");
    Expect(1, 74853, '\P{^Nv=000000001/0000003}', "");
    Expect(0, 74854, '\p{Nv=000000001/0000003}', "");
    Expect(1, 74854, '\p{^Nv=000000001/0000003}', "");
    Expect(1, 74854, '\P{Nv=000000001/0000003}', "");
    Expect(0, 74854, '\P{^Nv=000000001/0000003}', "");
    Expect(1, 74853, '\p{Nv=60/180}', "");
    Expect(0, 74853, '\p{^Nv=60/180}', "");
    Expect(0, 74853, '\P{Nv=60/180}', "");
    Expect(1, 74853, '\P{^Nv=60/180}', "");
    Expect(0, 74854, '\p{Nv=60/180}', "");
    Expect(1, 74854, '\p{^Nv=60/180}', "");
    Expect(1, 74854, '\P{Nv=60/180}', "");
    Expect(0, 74854, '\P{^Nv=60/180}', "");
    Error('\p{Nv=3.3e-01}');
    Error('\P{Nv=3.3e-01}');
    Error('\p{Nv=0.3}');
    Error('\P{Nv=0.3}');
    Error('\p{Nv=3.33e-01}');
    Error('\P{Nv=3.33e-01}');
    Error('\p{Nv=0.33}');
    Error('\P{Nv=0.33}');
    Expect(1, 74853, '\p{Nv=3.333e-01}', "");
    Expect(0, 74853, '\p{^Nv=3.333e-01}', "");
    Expect(0, 74853, '\P{Nv=3.333e-01}', "");
    Expect(1, 74853, '\P{^Nv=3.333e-01}', "");
    Expect(0, 74854, '\p{Nv=3.333e-01}', "");
    Expect(1, 74854, '\p{^Nv=3.333e-01}', "");
    Expect(1, 74854, '\P{Nv=3.333e-01}', "");
    Expect(0, 74854, '\P{^Nv=3.333e-01}', "");
    Error('\p{Nv=0.333}');
    Error('\P{Nv=0.333}');
    Expect(1, 74853, '\p{Nv=3.3333e-01}', "");
    Expect(0, 74853, '\p{^Nv=3.3333e-01}', "");
    Expect(0, 74853, '\P{Nv=3.3333e-01}', "");
    Expect(1, 74853, '\P{^Nv=3.3333e-01}', "");
    Expect(0, 74854, '\p{Nv=3.3333e-01}', "");
    Expect(1, 74854, '\p{^Nv=3.3333e-01}', "");
    Expect(1, 74854, '\P{Nv=3.3333e-01}', "");
    Expect(0, 74854, '\P{^Nv=3.3333e-01}', "");
    Expect(1, 74853, '\p{Nv=0.3333}', "");
    Expect(0, 74853, '\p{^Nv=0.3333}', "");
    Expect(0, 74853, '\P{Nv=0.3333}', "");
    Expect(1, 74853, '\P{^Nv=0.3333}', "");
    Expect(0, 74854, '\p{Nv=0.3333}', "");
    Expect(1, 74854, '\p{^Nv=0.3333}', "");
    Expect(1, 74854, '\P{Nv=0.3333}', "");
    Expect(0, 74854, '\P{^Nv=0.3333}', "");
    Expect(1, 74853, '\p{Nv=3.33333e-01}', "");
    Expect(0, 74853, '\p{^Nv=3.33333e-01}', "");
    Expect(0, 74853, '\P{Nv=3.33333e-01}', "");
    Expect(1, 74853, '\P{^Nv=3.33333e-01}', "");
    Expect(0, 74854, '\p{Nv=3.33333e-01}', "");
    Expect(1, 74854, '\p{^Nv=3.33333e-01}', "");
    Expect(1, 74854, '\P{Nv=3.33333e-01}', "");
    Expect(0, 74854, '\P{^Nv=3.33333e-01}', "");
    Expect(1, 74853, '\p{Nv=0.33333}', "");
    Expect(0, 74853, '\p{^Nv=0.33333}', "");
    Expect(0, 74853, '\P{Nv=0.33333}', "");
    Expect(1, 74853, '\P{^Nv=0.33333}', "");
    Expect(0, 74854, '\p{Nv=0.33333}', "");
    Expect(1, 74854, '\p{^Nv=0.33333}', "");
    Expect(1, 74854, '\P{Nv=0.33333}', "");
    Expect(0, 74854, '\P{^Nv=0.33333}', "");
    Error('\p{Is_Numeric_Value=-000000001/000000003/a/}');
    Error('\P{Is_Numeric_Value=-000000001/000000003/a/}');
    Expect(1, 74853, '\p{Is_Numeric_Value=00000001/0003}', "");
    Expect(0, 74853, '\p{^Is_Numeric_Value=00000001/0003}', "");
    Expect(0, 74853, '\P{Is_Numeric_Value=00000001/0003}', "");
    Expect(1, 74853, '\P{^Is_Numeric_Value=00000001/0003}', "");
    Expect(0, 74854, '\p{Is_Numeric_Value=00000001/0003}', "");
    Expect(1, 74854, '\p{^Is_Numeric_Value=00000001/0003}', "");
    Expect(1, 74854, '\P{Is_Numeric_Value=00000001/0003}', "");
    Expect(0, 74854, '\P{^Is_Numeric_Value=00000001/0003}', "");
    Expect(1, 74853, '\p{Is_Numeric_Value=60/180}', "");
    Expect(0, 74853, '\p{^Is_Numeric_Value=60/180}', "");
    Expect(0, 74853, '\P{Is_Numeric_Value=60/180}', "");
    Expect(1, 74853, '\P{^Is_Numeric_Value=60/180}', "");
    Expect(0, 74854, '\p{Is_Numeric_Value=60/180}', "");
    Expect(1, 74854, '\p{^Is_Numeric_Value=60/180}', "");
    Expect(1, 74854, '\P{Is_Numeric_Value=60/180}', "");
    Expect(0, 74854, '\P{^Is_Numeric_Value=60/180}', "");
    Error('\p{Is_Numeric_Value=3.3e-01}');
    Error('\P{Is_Numeric_Value=3.3e-01}');
    Error('\p{Is_Numeric_Value:	0.3}');
    Error('\P{Is_Numeric_Value:	0.3}');
    Error('\p{Is_Numeric_Value=3.33e-01}');
    Error('\P{Is_Numeric_Value=3.33e-01}');
    Error('\p{Is_Numeric_Value=0.33}');
    Error('\P{Is_Numeric_Value=0.33}');
    Expect(1, 74853, '\p{Is_Numeric_Value=3.333e-01}', "");
    Expect(0, 74853, '\p{^Is_Numeric_Value=3.333e-01}', "");
    Expect(0, 74853, '\P{Is_Numeric_Value=3.333e-01}', "");
    Expect(1, 74853, '\P{^Is_Numeric_Value=3.333e-01}', "");
    Expect(0, 74854, '\p{Is_Numeric_Value=3.333e-01}', "");
    Expect(1, 74854, '\p{^Is_Numeric_Value=3.333e-01}', "");
    Expect(1, 74854, '\P{Is_Numeric_Value=3.333e-01}', "");
    Expect(0, 74854, '\P{^Is_Numeric_Value=3.333e-01}', "");
    Error('\p{Is_Numeric_Value=0.333}');
    Error('\P{Is_Numeric_Value=0.333}');
    Expect(1, 74853, '\p{Is_Numeric_Value=3.3333e-01}', "");
    Expect(0, 74853, '\p{^Is_Numeric_Value=3.3333e-01}', "");
    Expect(0, 74853, '\P{Is_Numeric_Value=3.3333e-01}', "");
    Expect(1, 74853, '\P{^Is_Numeric_Value=3.3333e-01}', "");
    Expect(0, 74854, '\p{Is_Numeric_Value=3.3333e-01}', "");
    Expect(1, 74854, '\p{^Is_Numeric_Value=3.3333e-01}', "");
    Expect(1, 74854, '\P{Is_Numeric_Value=3.3333e-01}', "");
    Expect(0, 74854, '\P{^Is_Numeric_Value=3.3333e-01}', "");
    Expect(1, 74853, '\p{Is_Numeric_Value=0.3333}', "");
    Expect(0, 74853, '\p{^Is_Numeric_Value=0.3333}', "");
    Expect(0, 74853, '\P{Is_Numeric_Value=0.3333}', "");
    Expect(1, 74853, '\P{^Is_Numeric_Value=0.3333}', "");
    Expect(0, 74854, '\p{Is_Numeric_Value=0.3333}', "");
    Expect(1, 74854, '\p{^Is_Numeric_Value=0.3333}', "");
    Expect(1, 74854, '\P{Is_Numeric_Value=0.3333}', "");
    Expect(0, 74854, '\P{^Is_Numeric_Value=0.3333}', "");
    Expect(1, 74853, '\p{Is_Numeric_Value=3.33333e-01}', "");
    Expect(0, 74853, '\p{^Is_Numeric_Value=3.33333e-01}', "");
    Expect(0, 74853, '\P{Is_Numeric_Value=3.33333e-01}', "");
    Expect(1, 74853, '\P{^Is_Numeric_Value=3.33333e-01}', "");
    Expect(0, 74854, '\p{Is_Numeric_Value=3.33333e-01}', "");
    Expect(1, 74854, '\p{^Is_Numeric_Value=3.33333e-01}', "");
    Expect(1, 74854, '\P{Is_Numeric_Value=3.33333e-01}', "");
    Expect(0, 74854, '\P{^Is_Numeric_Value=3.33333e-01}', "");
    Expect(1, 74853, '\p{Is_Numeric_Value=0.33333}', "");
    Expect(0, 74853, '\p{^Is_Numeric_Value=0.33333}', "");
    Expect(0, 74853, '\P{Is_Numeric_Value=0.33333}', "");
    Expect(1, 74853, '\P{^Is_Numeric_Value=0.33333}', "");
    Expect(0, 74854, '\p{Is_Numeric_Value=0.33333}', "");
    Expect(1, 74854, '\p{^Is_Numeric_Value=0.33333}', "");
    Expect(1, 74854, '\P{Is_Numeric_Value=0.33333}', "");
    Expect(0, 74854, '\P{^Is_Numeric_Value=0.33333}', "");
    Error('\p{Is_Nv=:=+0000000001/00003}');
    Error('\P{Is_Nv=:=+0000000001/00003}');
    Expect(1, 74853, '\p{Is_Nv=0001/000000003}', "");
    Expect(0, 74853, '\p{^Is_Nv=0001/000000003}', "");
    Expect(0, 74853, '\P{Is_Nv=0001/000000003}', "");
    Expect(1, 74853, '\P{^Is_Nv=0001/000000003}', "");
    Expect(0, 74854, '\p{Is_Nv=0001/000000003}', "");
    Expect(1, 74854, '\p{^Is_Nv=0001/000000003}', "");
    Expect(1, 74854, '\P{Is_Nv=0001/000000003}', "");
    Expect(0, 74854, '\P{^Is_Nv=0001/000000003}', "");
    Expect(1, 74853, '\p{Is_Nv=60/180}', "");
    Expect(0, 74853, '\p{^Is_Nv=60/180}', "");
    Expect(0, 74853, '\P{Is_Nv=60/180}', "");
    Expect(1, 74853, '\P{^Is_Nv=60/180}', "");
    Expect(0, 74854, '\p{Is_Nv=60/180}', "");
    Expect(1, 74854, '\p{^Is_Nv=60/180}', "");
    Expect(1, 74854, '\P{Is_Nv=60/180}', "");
    Expect(0, 74854, '\P{^Is_Nv=60/180}', "");
    Error('\p{Is_Nv=3.3e-01}');
    Error('\P{Is_Nv=3.3e-01}');
    Error('\p{Is_Nv=0.3}');
    Error('\P{Is_Nv=0.3}');
    Error('\p{Is_Nv:3.33e-01}');
    Error('\P{Is_Nv:3.33e-01}');
    Error('\p{Is_Nv=0.33}');
    Error('\P{Is_Nv=0.33}');
    Expect(1, 74853, '\p{Is_Nv=3.333e-01}', "");
    Expect(0, 74853, '\p{^Is_Nv=3.333e-01}', "");
    Expect(0, 74853, '\P{Is_Nv=3.333e-01}', "");
    Expect(1, 74853, '\P{^Is_Nv=3.333e-01}', "");
    Expect(0, 74854, '\p{Is_Nv=3.333e-01}', "");
    Expect(1, 74854, '\p{^Is_Nv=3.333e-01}', "");
    Expect(1, 74854, '\P{Is_Nv=3.333e-01}', "");
    Expect(0, 74854, '\P{^Is_Nv=3.333e-01}', "");
    Error('\p{Is_Nv=0.333}');
    Error('\P{Is_Nv=0.333}');
    Expect(1, 74853, '\p{Is_Nv=3.3333e-01}', "");
    Expect(0, 74853, '\p{^Is_Nv=3.3333e-01}', "");
    Expect(0, 74853, '\P{Is_Nv=3.3333e-01}', "");
    Expect(1, 74853, '\P{^Is_Nv=3.3333e-01}', "");
    Expect(0, 74854, '\p{Is_Nv=3.3333e-01}', "");
    Expect(1, 74854, '\p{^Is_Nv=3.3333e-01}', "");
    Expect(1, 74854, '\P{Is_Nv=3.3333e-01}', "");
    Expect(0, 74854, '\P{^Is_Nv=3.3333e-01}', "");
    Expect(1, 74853, '\p{Is_Nv=0.3333}', "");
    Expect(0, 74853, '\p{^Is_Nv=0.3333}', "");
    Expect(0, 74853, '\P{Is_Nv=0.3333}', "");
    Expect(1, 74853, '\P{^Is_Nv=0.3333}', "");
    Expect(0, 74854, '\p{Is_Nv=0.3333}', "");
    Expect(1, 74854, '\p{^Is_Nv=0.3333}', "");
    Expect(1, 74854, '\P{Is_Nv=0.3333}', "");
    Expect(0, 74854, '\P{^Is_Nv=0.3333}', "");
    Expect(1, 74853, '\p{Is_Nv=3.33333e-01}', "");
    Expect(0, 74853, '\p{^Is_Nv=3.33333e-01}', "");
    Expect(0, 74853, '\P{Is_Nv=3.33333e-01}', "");
    Expect(1, 74853, '\P{^Is_Nv=3.33333e-01}', "");
    Expect(0, 74854, '\p{Is_Nv=3.33333e-01}', "");
    Expect(1, 74854, '\p{^Is_Nv=3.33333e-01}', "");
    Expect(1, 74854, '\P{Is_Nv=3.33333e-01}', "");
    Expect(0, 74854, '\P{^Is_Nv=3.33333e-01}', "");
    Expect(1, 74853, '\p{Is_Nv=0.33333}', "");
    Expect(0, 74853, '\p{^Is_Nv=0.33333}', "");
    Expect(0, 74853, '\P{Is_Nv=0.33333}', "");
    Expect(1, 74853, '\P{^Is_Nv=0.33333}', "");
    Expect(0, 74854, '\p{Is_Nv=0.33333}', "");
    Expect(1, 74854, '\p{^Is_Nv=0.33333}', "");
    Expect(1, 74854, '\P{Is_Nv=0.33333}', "");
    Expect(0, 74854, '\P{^Is_Nv=0.33333}', "");
    Error('\p{Numeric_Value=:=		+01/0000000032}');
    Error('\P{Numeric_Value=:=		+01/0000000032}');
    Expect(1, 73669, '\p{Numeric_Value=:\A1/32\z:}', "");;
    Expect(0, 73670, '\p{Numeric_Value=:\A1/32\z:}', "");;
    Expect(1, 73669, '\p{Numeric_Value=+000000001/000032}', "");
    Expect(0, 73669, '\p{^Numeric_Value=+000000001/000032}', "");
    Expect(0, 73669, '\P{Numeric_Value=+000000001/000032}', "");
    Expect(1, 73669, '\P{^Numeric_Value=+000000001/000032}', "");
    Expect(0, 73670, '\p{Numeric_Value=+000000001/000032}', "");
    Expect(1, 73670, '\p{^Numeric_Value=+000000001/000032}', "");
    Expect(1, 73670, '\P{Numeric_Value=+000000001/000032}', "");
    Expect(0, 73670, '\P{^Numeric_Value=+000000001/000032}', "");
    Expect(1, 73669, '\p{Numeric_Value:60/1920}', "");
    Expect(0, 73669, '\p{^Numeric_Value:60/1920}', "");
    Expect(0, 73669, '\P{Numeric_Value:60/1920}', "");
    Expect(1, 73669, '\P{^Numeric_Value:60/1920}', "");
    Expect(0, 73670, '\p{Numeric_Value:60/1920}', "");
    Expect(1, 73670, '\p{^Numeric_Value:60/1920}', "");
    Expect(1, 73670, '\P{Numeric_Value:60/1920}', "");
    Expect(0, 73670, '\P{^Numeric_Value:60/1920}', "");
    Error('\p{Numeric_Value=3.1e-02}');
    Error('\P{Numeric_Value=3.1e-02}');
    Error('\p{Numeric_Value=3.12e-02}');
    Error('\P{Numeric_Value=3.12e-02}');
    Error('\p{Numeric_Value=0.03}');
    Error('\P{Numeric_Value=0.03}');
    Expect(1, 73669, '\p{Numeric_Value=3.125e-02}', "");
    Expect(0, 73669, '\p{^Numeric_Value=3.125e-02}', "");
    Expect(0, 73669, '\P{Numeric_Value=3.125e-02}', "");
    Expect(1, 73669, '\P{^Numeric_Value=3.125e-02}', "");
    Expect(0, 73670, '\p{Numeric_Value=3.125e-02}', "");
    Expect(1, 73670, '\p{^Numeric_Value=3.125e-02}', "");
    Expect(1, 73670, '\P{Numeric_Value=3.125e-02}', "");
    Expect(0, 73670, '\P{^Numeric_Value=3.125e-02}', "");
    Error('\p{Numeric_Value:	0.031}');
    Error('\P{Numeric_Value:	0.031}');
    Expect(1, 73669, '\p{Numeric_Value=3.1250e-02}', "");
    Expect(0, 73669, '\p{^Numeric_Value=3.1250e-02}', "");
    Expect(0, 73669, '\P{Numeric_Value=3.1250e-02}', "");
    Expect(1, 73669, '\P{^Numeric_Value=3.1250e-02}', "");
    Expect(0, 73670, '\p{Numeric_Value=3.1250e-02}', "");
    Expect(1, 73670, '\p{^Numeric_Value=3.1250e-02}', "");
    Expect(1, 73670, '\P{Numeric_Value=3.1250e-02}', "");
    Expect(0, 73670, '\P{^Numeric_Value=3.1250e-02}', "");
    Error('\p{Numeric_Value:0.0312}');
    Error('\P{Numeric_Value:0.0312}');
    Expect(1, 73669, '\p{Numeric_Value=3.12500e-02}', "");
    Expect(0, 73669, '\p{^Numeric_Value=3.12500e-02}', "");
    Expect(0, 73669, '\P{Numeric_Value=3.12500e-02}', "");
    Expect(1, 73669, '\P{^Numeric_Value=3.12500e-02}', "");
    Expect(0, 73670, '\p{Numeric_Value=3.12500e-02}', "");
    Expect(1, 73670, '\p{^Numeric_Value=3.12500e-02}', "");
    Expect(1, 73670, '\P{Numeric_Value=3.12500e-02}', "");
    Expect(0, 73670, '\P{^Numeric_Value=3.12500e-02}', "");
    Expect(1, 73669, '\p{Numeric_Value:	0.03125}', "");
    Expect(0, 73669, '\p{^Numeric_Value:	0.03125}', "");
    Expect(0, 73669, '\P{Numeric_Value:	0.03125}', "");
    Expect(1, 73669, '\P{^Numeric_Value:	0.03125}', "");
    Expect(0, 73670, '\p{Numeric_Value:	0.03125}', "");
    Expect(1, 73670, '\p{^Numeric_Value:	0.03125}', "");
    Expect(1, 73670, '\P{Numeric_Value:	0.03125}', "");
    Expect(0, 73670, '\P{^Numeric_Value:	0.03125}', "");
    Expect(1, 73669, '\p{Numeric_Value=3.125000e-02}', "");
    Expect(0, 73669, '\p{^Numeric_Value=3.125000e-02}', "");
    Expect(0, 73669, '\P{Numeric_Value=3.125000e-02}', "");
    Expect(1, 73669, '\P{^Numeric_Value=3.125000e-02}', "");
    Expect(0, 73670, '\p{Numeric_Value=3.125000e-02}', "");
    Expect(1, 73670, '\p{^Numeric_Value=3.125000e-02}', "");
    Expect(1, 73670, '\P{Numeric_Value=3.125000e-02}', "");
    Expect(0, 73670, '\P{^Numeric_Value=3.125000e-02}', "");
    Expect(1, 73669, '\p{Numeric_Value:	0.031250}', "");
    Expect(0, 73669, '\p{^Numeric_Value:	0.031250}', "");
    Expect(0, 73669, '\P{Numeric_Value:	0.031250}', "");
    Expect(1, 73669, '\P{^Numeric_Value:	0.031250}', "");
    Expect(0, 73670, '\p{Numeric_Value:	0.031250}', "");
    Expect(1, 73670, '\p{^Numeric_Value:	0.031250}', "");
    Expect(1, 73670, '\P{Numeric_Value:	0.031250}', "");
    Expect(0, 73670, '\P{^Numeric_Value:	0.031250}', "");
    Error('\p{Nv:		0000000001/32/a/}');
    Error('\P{Nv:		0000000001/32/a/}');
    Expect(1, 73669, '\p{Nv=:\A1/32\z:}', "");;
    Expect(0, 73670, '\p{Nv=:\A1/32\z:}', "");;
    Expect(1, 73669, '\p{Nv=01/32}', "");
    Expect(0, 73669, '\p{^Nv=01/32}', "");
    Expect(0, 73669, '\P{Nv=01/32}', "");
    Expect(1, 73669, '\P{^Nv=01/32}', "");
    Expect(0, 73670, '\p{Nv=01/32}', "");
    Expect(1, 73670, '\p{^Nv=01/32}', "");
    Expect(1, 73670, '\P{Nv=01/32}', "");
    Expect(0, 73670, '\P{^Nv=01/32}', "");
    Expect(1, 73669, '\p{Nv=60/1920}', "");
    Expect(0, 73669, '\p{^Nv=60/1920}', "");
    Expect(0, 73669, '\P{Nv=60/1920}', "");
    Expect(1, 73669, '\P{^Nv=60/1920}', "");
    Expect(0, 73670, '\p{Nv=60/1920}', "");
    Expect(1, 73670, '\p{^Nv=60/1920}', "");
    Expect(1, 73670, '\P{Nv=60/1920}', "");
    Expect(0, 73670, '\P{^Nv=60/1920}', "");
    Error('\p{Nv=3.1e-02}');
    Error('\P{Nv=3.1e-02}');
    Error('\p{Nv=3.12e-02}');
    Error('\P{Nv=3.12e-02}');
    Error('\p{Nv=0.03}');
    Error('\P{Nv=0.03}');
    Expect(1, 73669, '\p{Nv=3.125e-02}', "");
    Expect(0, 73669, '\p{^Nv=3.125e-02}', "");
    Expect(0, 73669, '\P{Nv=3.125e-02}', "");
    Expect(1, 73669, '\P{^Nv=3.125e-02}', "");
    Expect(0, 73670, '\p{Nv=3.125e-02}', "");
    Expect(1, 73670, '\p{^Nv=3.125e-02}', "");
    Expect(1, 73670, '\P{Nv=3.125e-02}', "");
    Expect(0, 73670, '\P{^Nv=3.125e-02}', "");
    Error('\p{Nv=0.031}');
    Error('\P{Nv=0.031}');
    Expect(1, 73669, '\p{Nv=3.1250e-02}', "");
    Expect(0, 73669, '\p{^Nv=3.1250e-02}', "");
    Expect(0, 73669, '\P{Nv=3.1250e-02}', "");
    Expect(1, 73669, '\P{^Nv=3.1250e-02}', "");
    Expect(0, 73670, '\p{Nv=3.1250e-02}', "");
    Expect(1, 73670, '\p{^Nv=3.1250e-02}', "");
    Expect(1, 73670, '\P{Nv=3.1250e-02}', "");
    Expect(0, 73670, '\P{^Nv=3.1250e-02}', "");
    Error('\p{Nv=0.0312}');
    Error('\P{Nv=0.0312}');
    Expect(1, 73669, '\p{Nv=3.12500e-02}', "");
    Expect(0, 73669, '\p{^Nv=3.12500e-02}', "");
    Expect(0, 73669, '\P{Nv=3.12500e-02}', "");
    Expect(1, 73669, '\P{^Nv=3.12500e-02}', "");
    Expect(0, 73670, '\p{Nv=3.12500e-02}', "");
    Expect(1, 73670, '\p{^Nv=3.12500e-02}', "");
    Expect(1, 73670, '\P{Nv=3.12500e-02}', "");
    Expect(0, 73670, '\P{^Nv=3.12500e-02}', "");
    Expect(1, 73669, '\p{Nv=0.03125}', "");
    Expect(0, 73669, '\p{^Nv=0.03125}', "");
    Expect(0, 73669, '\P{Nv=0.03125}', "");
    Expect(1, 73669, '\P{^Nv=0.03125}', "");
    Expect(0, 73670, '\p{Nv=0.03125}', "");
    Expect(1, 73670, '\p{^Nv=0.03125}', "");
    Expect(1, 73670, '\P{Nv=0.03125}', "");
    Expect(0, 73670, '\P{^Nv=0.03125}', "");
    Expect(1, 73669, '\p{Nv:	3.125000e-02}', "");
    Expect(0, 73669, '\p{^Nv:	3.125000e-02}', "");
    Expect(0, 73669, '\P{Nv:	3.125000e-02}', "");
    Expect(1, 73669, '\P{^Nv:	3.125000e-02}', "");
    Expect(0, 73670, '\p{Nv:	3.125000e-02}', "");
    Expect(1, 73670, '\p{^Nv:	3.125000e-02}', "");
    Expect(1, 73670, '\P{Nv:	3.125000e-02}', "");
    Expect(0, 73670, '\P{^Nv:	3.125000e-02}', "");
    Expect(1, 73669, '\p{Nv=0.031250}', "");
    Expect(0, 73669, '\p{^Nv=0.031250}', "");
    Expect(0, 73669, '\P{Nv=0.031250}', "");
    Expect(1, 73669, '\P{^Nv=0.031250}', "");
    Expect(0, 73670, '\p{Nv=0.031250}', "");
    Expect(1, 73670, '\p{^Nv=0.031250}', "");
    Expect(1, 73670, '\P{Nv=0.031250}', "");
    Expect(0, 73670, '\P{^Nv=0.031250}', "");
    Error('\p{Is_Numeric_Value=-:=00000001/032}');
    Error('\P{Is_Numeric_Value=-:=00000001/032}');
    Expect(1, 73669, '\p{Is_Numeric_Value=00000001/032}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value=00000001/032}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value=00000001/032}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value=00000001/032}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value=00000001/032}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value=00000001/032}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value=00000001/032}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value=00000001/032}', "");
    Expect(1, 73669, '\p{Is_Numeric_Value=60/1920}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value=60/1920}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value=60/1920}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value=60/1920}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value=60/1920}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value=60/1920}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value=60/1920}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value=60/1920}', "");
    Error('\p{Is_Numeric_Value:	3.1e-02}');
    Error('\P{Is_Numeric_Value:	3.1e-02}');
    Error('\p{Is_Numeric_Value=3.12e-02}');
    Error('\P{Is_Numeric_Value=3.12e-02}');
    Error('\p{Is_Numeric_Value:   0.03}');
    Error('\P{Is_Numeric_Value:   0.03}');
    Expect(1, 73669, '\p{Is_Numeric_Value=3.125e-02}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value=3.125e-02}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value=3.125e-02}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value=3.125e-02}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value=3.125e-02}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value=3.125e-02}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value=3.125e-02}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value=3.125e-02}', "");
    Error('\p{Is_Numeric_Value=0.031}');
    Error('\P{Is_Numeric_Value=0.031}');
    Expect(1, 73669, '\p{Is_Numeric_Value=3.1250e-02}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value=3.1250e-02}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value=3.1250e-02}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value=3.1250e-02}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value=3.1250e-02}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value=3.1250e-02}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value=3.1250e-02}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value=3.1250e-02}', "");
    Error('\p{Is_Numeric_Value=0.0312}');
    Error('\P{Is_Numeric_Value=0.0312}');
    Expect(1, 73669, '\p{Is_Numeric_Value=3.12500e-02}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value=3.12500e-02}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value=3.12500e-02}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value=3.12500e-02}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value=3.12500e-02}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value=3.12500e-02}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value=3.12500e-02}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value=3.12500e-02}', "");
    Expect(1, 73669, '\p{Is_Numeric_Value=0.03125}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value=0.03125}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value=0.03125}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value=0.03125}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value=0.03125}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value=0.03125}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value=0.03125}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value=0.03125}', "");
    Expect(1, 73669, '\p{Is_Numeric_Value:3.125000e-02}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value:3.125000e-02}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value:3.125000e-02}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value:3.125000e-02}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value:3.125000e-02}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value:3.125000e-02}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value:3.125000e-02}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value:3.125000e-02}', "");
    Expect(1, 73669, '\p{Is_Numeric_Value=0.031250}', "");
    Expect(0, 73669, '\p{^Is_Numeric_Value=0.031250}', "");
    Expect(0, 73669, '\P{Is_Numeric_Value=0.031250}', "");
    Expect(1, 73669, '\P{^Is_Numeric_Value=0.031250}', "");
    Expect(0, 73670, '\p{Is_Numeric_Value=0.031250}', "");
    Expect(1, 73670, '\p{^Is_Numeric_Value=0.031250}', "");
    Expect(1, 73670, '\P{Is_Numeric_Value=0.031250}', "");
    Expect(0, 73670, '\P{^Is_Numeric_Value=0.031250}', "");
    Error('\p{Is_Nv=:=	+00000001/0000032}');
    Error('\P{Is_Nv=:=	+00000001/0000032}');
    Expect(1, 73669, '\p{Is_Nv=+0000000001/00000000032}', "");
    Expect(0, 73669, '\p{^Is_Nv=+0000000001/00000000032}', "");
    Expect(0, 73669, '\P{Is_Nv=+0000000001/00000000032}', "");
    Expect(1, 73669, '\P{^Is_Nv=+0000000001/00000000032}', "");
    Expect(0, 73670, '\p{Is_Nv=+0000000001/00000000032}', "");
    Expect(1, 73670, '\p{^Is_Nv=+0000000001/00000000032}', "");
    Expect(1, 73670, '\P{Is_Nv=+0000000001/00000000032}', "");
    Expect(0, 73670, '\P{^Is_Nv=+0000000001/00000000032}', "");
    Expect(1, 73669, '\p{Is_Nv=60/1920}', "");
    Expect(0, 73669, '\p{^Is_Nv=60/1920}', "");
    Expect(0, 73669, '\P{Is_Nv=60/1920}', "");
    Expect(1, 73669, '\P{^Is_Nv=60/1920}', "");
    Expect(0, 73670, '\p{Is_Nv=60/1920}', "");
    Expect(1, 73670, '\p{^Is_Nv=60/1920}', "");
    Expect(1, 73670, '\P{Is_Nv=60/1920}', "");
    Expect(0, 73670, '\P{^Is_Nv=60/1920}', "");
    Error('\p{Is_Nv=3.1e-02}');
    Error('\P{Is_Nv=3.1e-02}');
    Error('\p{Is_Nv=3.12e-02}');
    Error('\P{Is_Nv=3.12e-02}');
    Error('\p{Is_Nv:   0.03}');
    Error('\P{Is_Nv:   0.03}');
    Expect(1, 73669, '\p{Is_Nv=3.125e-02}', "");
    Expect(0, 73669, '\p{^Is_Nv=3.125e-02}', "");
    Expect(0, 73669, '\P{Is_Nv=3.125e-02}', "");
    Expect(1, 73669, '\P{^Is_Nv=3.125e-02}', "");
    Expect(0, 73670, '\p{Is_Nv=3.125e-02}', "");
    Expect(1, 73670, '\p{^Is_Nv=3.125e-02}', "");
    Expect(1, 73670, '\P{Is_Nv=3.125e-02}', "");
    Expect(0, 73670, '\P{^Is_Nv=3.125e-02}', "");
    Error('\p{Is_Nv=0.031}');
    Error('\P{Is_Nv=0.031}');
    Expect(1, 73669, '\p{Is_Nv=3.1250e-02}', "");
    Expect(0, 73669, '\p{^Is_Nv=3.1250e-02}', "");
    Expect(0, 73669, '\P{Is_Nv=3.1250e-02}', "");
    Expect(1, 73669, '\P{^Is_Nv=3.1250e-02}', "");
    Expect(0, 73670, '\p{Is_Nv=3.1250e-02}', "");
    Expect(1, 73670, '\p{^Is_Nv=3.1250e-02}', "");
    Expect(1, 73670, '\P{Is_Nv=3.1250e-02}', "");
    Expect(0, 73670, '\P{^Is_Nv=3.1250e-02}', "");
    Error('\p{Is_Nv=0.0312}');
    Error('\P{Is_Nv=0.0312}');
    Expect(1, 73669, '\p{Is_Nv=3.12500e-02}', "");
    Expect(0, 73669, '\p{^Is_Nv=3.12500e-02}', "");
    Expect(0, 73669, '\P{Is_Nv=3.12500e-02}', "");
    Expect(1, 73669, '\P{^Is_Nv=3.12500e-02}', "");
    Expect(0, 73670, '\p{Is_Nv=3.12500e-02}', "");
    Expect(1, 73670, '\p{^Is_Nv=3.12500e-02}', "");
    Expect(1, 73670, '\P{Is_Nv=3.12500e-02}', "");
    Expect(0, 73670, '\P{^Is_Nv=3.12500e-02}', "");
    Expect(1, 73669, '\p{Is_Nv:	0.03125}', "");
    Expect(0, 73669, '\p{^Is_Nv:	0.03125}', "");
    Expect(0, 73669, '\P{Is_Nv:	0.03125}', "");
    Expect(1, 73669, '\P{^Is_Nv:	0.03125}', "");
    Expect(0, 73670, '\p{Is_Nv:	0.03125}', "");
    Expect(1, 73670, '\p{^Is_Nv:	0.03125}', "");
    Expect(1, 73670, '\P{Is_Nv:	0.03125}', "");
    Expect(0, 73670, '\P{^Is_Nv:	0.03125}', "");
    Expect(1, 73669, '\p{Is_Nv=3.125000e-02}', "");
    Expect(0, 73669, '\p{^Is_Nv=3.125000e-02}', "");
    Expect(0, 73669, '\P{Is_Nv=3.125000e-02}', "");
    Expect(1, 73669, '\P{^Is_Nv=3.125000e-02}', "");
    Expect(0, 73670, '\p{Is_Nv=3.125000e-02}', "");
    Expect(1, 73670, '\p{^Is_Nv=3.125000e-02}', "");
    Expect(1, 73670, '\P{Is_Nv=3.125000e-02}', "");
    Expect(0, 73670, '\P{^Is_Nv=3.125000e-02}', "");
    Expect(1, 73669, '\p{Is_Nv=0.031250}', "");
    Expect(0, 73669, '\p{^Is_Nv=0.031250}', "");
    Expect(0, 73669, '\P{Is_Nv=0.031250}', "");
    Expect(1, 73669, '\P{^Is_Nv=0.031250}', "");
    Expect(0, 73670, '\p{Is_Nv=0.031250}', "");
    Expect(1, 73670, '\p{^Is_Nv=0.031250}', "");
    Expect(1, 73670, '\P{Is_Nv=0.031250}', "");
    Expect(0, 73670, '\P{^Is_Nv=0.031250}', "");
    Error('\p{Numeric_Value=/a/	000000001/00320}');
    Error('\P{Numeric_Value=/a/	000000001/00320}');
    Expect(1, 73684, '\p{Numeric_Value=:\A1/320\z:}', "");;
    Expect(0, 73685, '\p{Numeric_Value=:\A1/320\z:}', "");;
    Expect(1, 73684, '\p{Numeric_Value=+1/00000320}', "");
    Expect(0, 73684, '\p{^Numeric_Value=+1/00000320}', "");
    Expect(0, 73684, '\P{Numeric_Value=+1/00000320}', "");
    Expect(1, 73684, '\P{^Numeric_Value=+1/00000320}', "");
    Expect(0, 73685, '\p{Numeric_Value=+1/00000320}', "");
    Expect(1, 73685, '\p{^Numeric_Value=+1/00000320}', "");
    Expect(1, 73685, '\P{Numeric_Value=+1/00000320}', "");
    Expect(0, 73685, '\P{^Numeric_Value=+1/00000320}', "");
    Expect(1, 73684, '\p{Numeric_Value=60/19200}', "");
    Expect(0, 73684, '\p{^Numeric_Value=60/19200}', "");
    Expect(0, 73684, '\P{Numeric_Value=60/19200}', "");
    Expect(1, 73684, '\P{^Numeric_Value=60/19200}', "");
    Expect(0, 73685, '\p{Numeric_Value=60/19200}', "");
    Expect(1, 73685, '\p{^Numeric_Value=60/19200}', "");
    Expect(1, 73685, '\P{Numeric_Value=60/19200}', "");
    Expect(0, 73685, '\P{^Numeric_Value=60/19200}', "");
    Error('\p{Numeric_Value: 3.1e-03}');
    Error('\P{Numeric_Value: 3.1e-03}');
    Error('\p{Numeric_Value=3.13e-03}');
    Error('\P{Numeric_Value=3.13e-03}');
    Expect(1, 73684, '\p{Numeric_Value=3.125e-03}', "");
    Expect(0, 73684, '\p{^Numeric_Value=3.125e-03}', "");
    Expect(0, 73684, '\P{Numeric_Value=3.125e-03}', "");
    Expect(1, 73684, '\P{^Numeric_Value=3.125e-03}', "");
    Expect(0, 73685, '\p{Numeric_Value=3.125e-03}', "");
    Expect(1, 73685, '\p{^Numeric_Value=3.125e-03}', "");
    Expect(1, 73685, '\P{Numeric_Value=3.125e-03}', "");
    Expect(0, 73685, '\P{^Numeric_Value=3.125e-03}', "");
    Error('\p{Numeric_Value=0.003}');
    Error('\P{Numeric_Value=0.003}');
    Expect(1, 73684, '\p{Numeric_Value=3.1250e-03}', "");
    Expect(0, 73684, '\p{^Numeric_Value=3.1250e-03}', "");
    Expect(0, 73684, '\P{Numeric_Value=3.1250e-03}', "");
    Expect(1, 73684, '\P{^Numeric_Value=3.1250e-03}', "");
    Expect(0, 73685, '\p{Numeric_Value=3.1250e-03}', "");
    Expect(1, 73685, '\p{^Numeric_Value=3.1250e-03}', "");
    Expect(1, 73685, '\P{Numeric_Value=3.1250e-03}', "");
    Expect(0, 73685, '\P{^Numeric_Value=3.1250e-03}', "");
    Error('\p{Numeric_Value=0.0031}');
    Error('\P{Numeric_Value=0.0031}');
    Expect(1, 73684, '\p{Numeric_Value=3.12500e-03}', "");
    Expect(0, 73684, '\p{^Numeric_Value=3.12500e-03}', "");
    Expect(0, 73684, '\P{Numeric_Value=3.12500e-03}', "");
    Expect(1, 73684, '\P{^Numeric_Value=3.12500e-03}', "");
    Expect(0, 73685, '\p{Numeric_Value=3.12500e-03}', "");
    Expect(1, 73685, '\p{^Numeric_Value=3.12500e-03}', "");
    Expect(1, 73685, '\P{Numeric_Value=3.12500e-03}', "");
    Expect(0, 73685, '\P{^Numeric_Value=3.12500e-03}', "");
    Error('\p{Numeric_Value=0.00313}');
    Error('\P{Numeric_Value=0.00313}');
    Expect(1, 73684, '\p{Numeric_Value=3.125000e-03}', "");
    Expect(0, 73684, '\p{^Numeric_Value=3.125000e-03}', "");
    Expect(0, 73684, '\P{Numeric_Value=3.125000e-03}', "");
    Expect(1, 73684, '\P{^Numeric_Value=3.125000e-03}', "");
    Expect(0, 73685, '\p{Numeric_Value=3.125000e-03}', "");
    Expect(1, 73685, '\p{^Numeric_Value=3.125000e-03}', "");
    Expect(1, 73685, '\P{Numeric_Value=3.125000e-03}', "");
    Expect(0, 73685, '\P{^Numeric_Value=3.125000e-03}', "");
    Expect(1, 73684, '\p{Numeric_Value=0.003125}', "");
    Expect(0, 73684, '\p{^Numeric_Value=0.003125}', "");
    Expect(0, 73684, '\P{Numeric_Value=0.003125}', "");
    Expect(1, 73684, '\P{^Numeric_Value=0.003125}', "");
    Expect(0, 73685, '\p{Numeric_Value=0.003125}', "");
    Expect(1, 73685, '\p{^Numeric_Value=0.003125}', "");
    Expect(1, 73685, '\P{Numeric_Value=0.003125}', "");
    Expect(0, 73685, '\P{^Numeric_Value=0.003125}', "");
    Expect(1, 73684, '\p{Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73684, '\p{^Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73684, '\P{Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73684, '\P{^Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73685, '\p{Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73685, '\p{^Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73685, '\P{Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73685, '\P{^Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73684, '\p{Numeric_Value: 0.0031250}', "");
    Expect(0, 73684, '\p{^Numeric_Value: 0.0031250}', "");
    Expect(0, 73684, '\P{Numeric_Value: 0.0031250}', "");
    Expect(1, 73684, '\P{^Numeric_Value: 0.0031250}', "");
    Expect(0, 73685, '\p{Numeric_Value: 0.0031250}', "");
    Expect(1, 73685, '\p{^Numeric_Value: 0.0031250}', "");
    Expect(1, 73685, '\P{Numeric_Value: 0.0031250}', "");
    Expect(0, 73685, '\P{^Numeric_Value: 0.0031250}', "");
    Error('\p{Nv=:=-_0000001/000000000320}');
    Error('\P{Nv=:=-_0000001/000000000320}');
    Expect(1, 73684, '\p{Nv=:\A1/320\z:}', "");;
    Expect(0, 73685, '\p{Nv=:\A1/320\z:}', "");;
    Expect(1, 73684, '\p{Nv=01/0000000320}', "");
    Expect(0, 73684, '\p{^Nv=01/0000000320}', "");
    Expect(0, 73684, '\P{Nv=01/0000000320}', "");
    Expect(1, 73684, '\P{^Nv=01/0000000320}', "");
    Expect(0, 73685, '\p{Nv=01/0000000320}', "");
    Expect(1, 73685, '\p{^Nv=01/0000000320}', "");
    Expect(1, 73685, '\P{Nv=01/0000000320}', "");
    Expect(0, 73685, '\P{^Nv=01/0000000320}', "");
    Expect(1, 73684, '\p{Nv=60/19200}', "");
    Expect(0, 73684, '\p{^Nv=60/19200}', "");
    Expect(0, 73684, '\P{Nv=60/19200}', "");
    Expect(1, 73684, '\P{^Nv=60/19200}', "");
    Expect(0, 73685, '\p{Nv=60/19200}', "");
    Expect(1, 73685, '\p{^Nv=60/19200}', "");
    Expect(1, 73685, '\P{Nv=60/19200}', "");
    Expect(0, 73685, '\P{^Nv=60/19200}', "");
    Error('\p{Nv=3.1e-03}');
    Error('\P{Nv=3.1e-03}');
    Error('\p{Nv=3.13e-03}');
    Error('\P{Nv=3.13e-03}');
    Expect(1, 73684, '\p{Nv=3.125e-03}', "");
    Expect(0, 73684, '\p{^Nv=3.125e-03}', "");
    Expect(0, 73684, '\P{Nv=3.125e-03}', "");
    Expect(1, 73684, '\P{^Nv=3.125e-03}', "");
    Expect(0, 73685, '\p{Nv=3.125e-03}', "");
    Expect(1, 73685, '\p{^Nv=3.125e-03}', "");
    Expect(1, 73685, '\P{Nv=3.125e-03}', "");
    Expect(0, 73685, '\P{^Nv=3.125e-03}', "");
    Error('\p{Nv=0.003}');
    Error('\P{Nv=0.003}');
    Expect(1, 73684, '\p{Nv=3.1250e-03}', "");
    Expect(0, 73684, '\p{^Nv=3.1250e-03}', "");
    Expect(0, 73684, '\P{Nv=3.1250e-03}', "");
    Expect(1, 73684, '\P{^Nv=3.1250e-03}', "");
    Expect(0, 73685, '\p{Nv=3.1250e-03}', "");
    Expect(1, 73685, '\p{^Nv=3.1250e-03}', "");
    Expect(1, 73685, '\P{Nv=3.1250e-03}', "");
    Expect(0, 73685, '\P{^Nv=3.1250e-03}', "");
    Error('\p{Nv=0.0031}');
    Error('\P{Nv=0.0031}');
    Expect(1, 73684, '\p{Nv:   3.12500e-03}', "");
    Expect(0, 73684, '\p{^Nv:   3.12500e-03}', "");
    Expect(0, 73684, '\P{Nv:   3.12500e-03}', "");
    Expect(1, 73684, '\P{^Nv:   3.12500e-03}', "");
    Expect(0, 73685, '\p{Nv:   3.12500e-03}', "");
    Expect(1, 73685, '\p{^Nv:   3.12500e-03}', "");
    Expect(1, 73685, '\P{Nv:   3.12500e-03}', "");
    Expect(0, 73685, '\P{^Nv:   3.12500e-03}', "");
    Error('\p{Nv=0.00313}');
    Error('\P{Nv=0.00313}');
    Expect(1, 73684, '\p{Nv=3.125000e-03}', "");
    Expect(0, 73684, '\p{^Nv=3.125000e-03}', "");
    Expect(0, 73684, '\P{Nv=3.125000e-03}', "");
    Expect(1, 73684, '\P{^Nv=3.125000e-03}', "");
    Expect(0, 73685, '\p{Nv=3.125000e-03}', "");
    Expect(1, 73685, '\p{^Nv=3.125000e-03}', "");
    Expect(1, 73685, '\P{Nv=3.125000e-03}', "");
    Expect(0, 73685, '\P{^Nv=3.125000e-03}', "");
    Expect(1, 73684, '\p{Nv=0.003125}', "");
    Expect(0, 73684, '\p{^Nv=0.003125}', "");
    Expect(0, 73684, '\P{Nv=0.003125}', "");
    Expect(1, 73684, '\P{^Nv=0.003125}', "");
    Expect(0, 73685, '\p{Nv=0.003125}', "");
    Expect(1, 73685, '\p{^Nv=0.003125}', "");
    Expect(1, 73685, '\P{Nv=0.003125}', "");
    Expect(0, 73685, '\P{^Nv=0.003125}', "");
    Expect(1, 73684, '\p{Nv=3.1250000e-03}', "");
    Expect(0, 73684, '\p{^Nv=3.1250000e-03}', "");
    Expect(0, 73684, '\P{Nv=3.1250000e-03}', "");
    Expect(1, 73684, '\P{^Nv=3.1250000e-03}', "");
    Expect(0, 73685, '\p{Nv=3.1250000e-03}', "");
    Expect(1, 73685, '\p{^Nv=3.1250000e-03}', "");
    Expect(1, 73685, '\P{Nv=3.1250000e-03}', "");
    Expect(0, 73685, '\P{^Nv=3.1250000e-03}', "");
    Expect(1, 73684, '\p{Nv=0.0031250}', "");
    Expect(0, 73684, '\p{^Nv=0.0031250}', "");
    Expect(0, 73684, '\P{Nv=0.0031250}', "");
    Expect(1, 73684, '\P{^Nv=0.0031250}', "");
    Expect(0, 73685, '\p{Nv=0.0031250}', "");
    Expect(1, 73685, '\p{^Nv=0.0031250}', "");
    Expect(1, 73685, '\P{Nv=0.0031250}', "");
    Expect(0, 73685, '\P{^Nv=0.0031250}', "");
    Error('\p{Is_Numeric_Value=--01/00320/a/}');
    Error('\P{Is_Numeric_Value=--01/00320/a/}');
    Expect(1, 73684, '\p{Is_Numeric_Value=00000001/00000320}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=00000001/00000320}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=00000001/00000320}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=00000001/00000320}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=00000001/00000320}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=00000001/00000320}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=00000001/00000320}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=00000001/00000320}', "");
    Expect(1, 73684, '\p{Is_Numeric_Value=60/19200}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=60/19200}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=60/19200}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=60/19200}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=60/19200}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=60/19200}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=60/19200}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=60/19200}', "");
    Error('\p{Is_Numeric_Value=3.1e-03}');
    Error('\P{Is_Numeric_Value=3.1e-03}');
    Error('\p{Is_Numeric_Value=3.13e-03}');
    Error('\P{Is_Numeric_Value=3.13e-03}');
    Expect(1, 73684, '\p{Is_Numeric_Value=3.125e-03}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=3.125e-03}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=3.125e-03}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=3.125e-03}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=3.125e-03}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=3.125e-03}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=3.125e-03}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=3.125e-03}', "");
    Error('\p{Is_Numeric_Value=0.003}');
    Error('\P{Is_Numeric_Value=0.003}');
    Expect(1, 73684, '\p{Is_Numeric_Value=3.1250e-03}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=3.1250e-03}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=3.1250e-03}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=3.1250e-03}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=3.1250e-03}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=3.1250e-03}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=3.1250e-03}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=3.1250e-03}', "");
    Error('\p{Is_Numeric_Value=0.0031}');
    Error('\P{Is_Numeric_Value=0.0031}');
    Expect(1, 73684, '\p{Is_Numeric_Value=3.12500e-03}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=3.12500e-03}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=3.12500e-03}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=3.12500e-03}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=3.12500e-03}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=3.12500e-03}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=3.12500e-03}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=3.12500e-03}', "");
    Error('\p{Is_Numeric_Value=0.00313}');
    Error('\P{Is_Numeric_Value=0.00313}');
    Expect(1, 73684, '\p{Is_Numeric_Value=3.125000e-03}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=3.125000e-03}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=3.125000e-03}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=3.125000e-03}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=3.125000e-03}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=3.125000e-03}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=3.125000e-03}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=3.125000e-03}', "");
    Expect(1, 73684, '\p{Is_Numeric_Value=0.003125}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=0.003125}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=0.003125}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=0.003125}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=0.003125}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=0.003125}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=0.003125}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=0.003125}', "");
    Expect(1, 73684, '\p{Is_Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=3.1250000e-03}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=3.1250000e-03}', "");
    Expect(1, 73684, '\p{Is_Numeric_Value=0.0031250}', "");
    Expect(0, 73684, '\p{^Is_Numeric_Value=0.0031250}', "");
    Expect(0, 73684, '\P{Is_Numeric_Value=0.0031250}', "");
    Expect(1, 73684, '\P{^Is_Numeric_Value=0.0031250}', "");
    Expect(0, 73685, '\p{Is_Numeric_Value=0.0031250}', "");
    Expect(1, 73685, '\p{^Is_Numeric_Value=0.0031250}', "");
    Expect(1, 73685, '\P{Is_Numeric_Value=0.0031250}', "");
    Expect(0, 73685, '\P{^Is_Numeric_Value=0.0031250}', "");
    Error('\p{Is_Nv=_:=01/320}');
    Error('\P{Is_Nv=_:=01/320}');
    Expect(1, 73684, '\p{Is_Nv: +0000001/000320}', "");
    Expect(0, 73684, '\p{^Is_Nv: +0000001/000320}', "");
    Expect(0, 73684, '\P{Is_Nv: +0000001/000320}', "");
    Expect(1, 73684, '\P{^Is_Nv: +0000001/000320}', "");
    Expect(0, 73685, '\p{Is_Nv: +0000001/000320}', "");
    Expect(1, 73685, '\p{^Is_Nv: +0000001/000320}', "");
    Expect(1, 73685, '\P{Is_Nv: +0000001/000320}', "");
    Expect(0, 73685, '\P{^Is_Nv: +0000001/000320}', "");
    Expect(1, 73684, '\p{Is_Nv=60/19200}', "");
    Expect(0, 73684, '\p{^Is_Nv=60/19200}', "");
    Expect(0, 73684, '\P{Is_Nv=60/19200}', "");
    Expect(1, 73684, '\P{^Is_Nv=60/19200}', "");
    Expect(0, 73685, '\p{Is_Nv=60/19200}', "");
    Expect(1, 73685, '\p{^Is_Nv=60/19200}', "");
    Expect(1, 73685, '\P{Is_Nv=60/19200}', "");
    Expect(0, 73685, '\P{^Is_Nv=60/19200}', "");
    Error('\p{Is_Nv=3.1e-03}');
    Error('\P{Is_Nv=3.1e-03}');
    Error('\p{Is_Nv:   3.13e-03}');
    Error('\P{Is_Nv:   3.13e-03}');
    Expect(1, 73684, '\p{Is_Nv=3.125e-03}', "");
    Expect(0, 73684, '\p{^Is_Nv=3.125e-03}', "");
    Expect(0, 73684, '\P{Is_Nv=3.125e-03}', "");
    Expect(1, 73684, '\P{^Is_Nv=3.125e-03}', "");
    Expect(0, 73685, '\p{Is_Nv=3.125e-03}', "");
    Expect(1, 73685, '\p{^Is_Nv=3.125e-03}', "");
    Expect(1, 73685, '\P{Is_Nv=3.125e-03}', "");
    Expect(0, 73685, '\P{^Is_Nv=3.125e-03}', "");
    Error('\p{Is_Nv=0.003}');
    Error('\P{Is_Nv=0.003}');
    Expect(1, 73684, '\p{Is_Nv:3.1250e-03}', "");
    Expect(0, 73684, '\p{^Is_Nv:3.1250e-03}', "");
    Expect(0, 73684, '\P{Is_Nv:3.1250e-03}', "");
    Expect(1, 73684, '\P{^Is_Nv:3.1250e-03}', "");
    Expect(0, 73685, '\p{Is_Nv:3.1250e-03}', "");
    Expect(1, 73685, '\p{^Is_Nv:3.1250e-03}', "");
    Expect(1, 73685, '\P{Is_Nv:3.1250e-03}', "");
    Expect(0, 73685, '\P{^Is_Nv:3.1250e-03}', "");
    Error('\p{Is_Nv=0.0031}');
    Error('\P{Is_Nv=0.0031}');
    Expect(1, 73684, '\p{Is_Nv=3.12500e-03}', "");
    Expect(0, 73684, '\p{^Is_Nv=3.12500e-03}', "");
    Expect(0, 73684, '\P{Is_Nv=3.12500e-03}', "");
    Expect(1, 73684, '\P{^Is_Nv=3.12500e-03}', "");
    Expect(0, 73685, '\p{Is_Nv=3.12500e-03}', "");
    Expect(1, 73685, '\p{^Is_Nv=3.12500e-03}', "");
    Expect(1, 73685, '\P{Is_Nv=3.12500e-03}', "");
    Expect(0, 73685, '\P{^Is_Nv=3.12500e-03}', "");
    Error('\p{Is_Nv=0.00313}');
    Error('\P{Is_Nv=0.00313}');
    Expect(1, 73684, '\p{Is_Nv=3.125000e-03}', "");
    Expect(0, 73684, '\p{^Is_Nv=3.125000e-03}', "");
    Expect(0, 73684, '\P{Is_Nv=3.125000e-03}', "");
    Expect(1, 73684, '\P{^Is_Nv=3.125000e-03}', "");
    Expect(0, 73685, '\p{Is_Nv=3.125000e-03}', "");
    Expect(1, 73685, '\p{^Is_Nv=3.125000e-03}', "");
    Expect(1, 73685, '\P{Is_Nv=3.125000e-03}', "");
    Expect(0, 73685, '\P{^Is_Nv=3.125000e-03}', "");
    Expect(1, 73684, '\p{Is_Nv=0.003125}', "");
    Expect(0, 73684, '\p{^Is_Nv=0.003125}', "");
    Expect(0, 73684, '\P{Is_Nv=0.003125}', "");
    Expect(1, 73684, '\P{^Is_Nv=0.003125}', "");
    Expect(0, 73685, '\p{Is_Nv=0.003125}', "");
    Expect(1, 73685, '\p{^Is_Nv=0.003125}', "");
    Expect(1, 73685, '\P{Is_Nv=0.003125}', "");
    Expect(0, 73685, '\P{^Is_Nv=0.003125}', "");
    Expect(1, 73684, '\p{Is_Nv=3.1250000e-03}', "");
    Expect(0, 73684, '\p{^Is_Nv=3.1250000e-03}', "");
    Expect(0, 73684, '\P{Is_Nv=3.1250000e-03}', "");
    Expect(1, 73684, '\P{^Is_Nv=3.1250000e-03}', "");
    Expect(0, 73685, '\p{Is_Nv=3.1250000e-03}', "");
    Expect(1, 73685, '\p{^Is_Nv=3.1250000e-03}', "");
    Expect(1, 73685, '\P{Is_Nv=3.1250000e-03}', "");
    Expect(0, 73685, '\P{^Is_Nv=3.1250000e-03}', "");
    Expect(1, 73684, '\p{Is_Nv=0.0031250}', "");
    Expect(0, 73684, '\p{^Is_Nv=0.0031250}', "");
    Expect(0, 73684, '\P{Is_Nv=0.0031250}', "");
    Expect(1, 73684, '\P{^Is_Nv=0.0031250}', "");
    Expect(0, 73685, '\p{Is_Nv=0.0031250}', "");
    Expect(1, 73685, '\p{^Is_Nv=0.0031250}', "");
    Expect(1, 73685, '\P{Is_Nv=0.0031250}', "");
    Expect(0, 73685, '\P{^Is_Nv=0.0031250}', "");
    Error('\p{Numeric_Value=	/a/001/00004}');
    Error('\P{Numeric_Value=	/a/001/00004}');
    Expect(1, 126125, '\p{Numeric_Value=:\A1/4\z:}', "");;
    Expect(0, 126126, '\p{Numeric_Value=:\A1/4\z:}', "");;
    Expect(1, 126125, '\p{Numeric_Value=+000001/000000004}', "");
    Expect(0, 126125, '\p{^Numeric_Value=+000001/000000004}', "");
    Expect(0, 126125, '\P{Numeric_Value=+000001/000000004}', "");
    Expect(1, 126125, '\P{^Numeric_Value=+000001/000000004}', "");
    Expect(0, 126126, '\p{Numeric_Value=+000001/000000004}', "");
    Expect(1, 126126, '\p{^Numeric_Value=+000001/000000004}', "");
    Expect(1, 126126, '\P{Numeric_Value=+000001/000000004}', "");
    Expect(0, 126126, '\P{^Numeric_Value=+000001/000000004}', "");
    Expect(1, 126125, '\p{Numeric_Value=60/240}', "");
    Expect(0, 126125, '\p{^Numeric_Value=60/240}', "");
    Expect(0, 126125, '\P{Numeric_Value=60/240}', "");
    Expect(1, 126125, '\P{^Numeric_Value=60/240}', "");
    Expect(0, 126126, '\p{Numeric_Value=60/240}', "");
    Expect(1, 126126, '\p{^Numeric_Value=60/240}', "");
    Expect(1, 126126, '\P{Numeric_Value=60/240}', "");
    Expect(0, 126126, '\P{^Numeric_Value=60/240}', "");
    Expect(1, 126125, '\p{Numeric_Value=2.5e-01}', "");
    Expect(0, 126125, '\p{^Numeric_Value=2.5e-01}', "");
    Expect(0, 126125, '\P{Numeric_Value=2.5e-01}', "");
    Expect(1, 126125, '\P{^Numeric_Value=2.5e-01}', "");
    Expect(0, 126126, '\p{Numeric_Value=2.5e-01}', "");
    Expect(1, 126126, '\p{^Numeric_Value=2.5e-01}', "");
    Expect(1, 126126, '\P{Numeric_Value=2.5e-01}', "");
    Expect(0, 126126, '\P{^Numeric_Value=2.5e-01}', "");
    Expect(1, 126125, '\p{Numeric_Value=2.50e-01}', "");
    Expect(0, 126125, '\p{^Numeric_Value=2.50e-01}', "");
    Expect(0, 126125, '\P{Numeric_Value=2.50e-01}', "");
    Expect(1, 126125, '\P{^Numeric_Value=2.50e-01}', "");
    Expect(0, 126126, '\p{Numeric_Value=2.50e-01}', "");
    Expect(1, 126126, '\p{^Numeric_Value=2.50e-01}', "");
    Expect(1, 126126, '\P{Numeric_Value=2.50e-01}', "");
    Expect(0, 126126, '\P{^Numeric_Value=2.50e-01}', "");
    Expect(1, 126125, '\p{Numeric_Value=0.25}', "");
    Expect(0, 126125, '\p{^Numeric_Value=0.25}', "");
    Expect(0, 126125, '\P{Numeric_Value=0.25}', "");
    Expect(1, 126125, '\P{^Numeric_Value=0.25}', "");
    Expect(0, 126126, '\p{Numeric_Value=0.25}', "");
    Expect(1, 126126, '\p{^Numeric_Value=0.25}', "");
    Expect(1, 126126, '\P{Numeric_Value=0.25}', "");
    Expect(0, 126126, '\P{^Numeric_Value=0.25}', "");
    Expect(1, 126125, '\p{Numeric_Value=2.500e-01}', "");
    Expect(0, 126125, '\p{^Numeric_Value=2.500e-01}', "");
    Expect(0, 126125, '\P{Numeric_Value=2.500e-01}', "");
    Expect(1, 126125, '\P{^Numeric_Value=2.500e-01}', "");
    Expect(0, 126126, '\p{Numeric_Value=2.500e-01}', "");
    Expect(1, 126126, '\p{^Numeric_Value=2.500e-01}', "");
    Expect(1, 126126, '\P{Numeric_Value=2.500e-01}', "");
    Expect(0, 126126, '\P{^Numeric_Value=2.500e-01}', "");
    Expect(1, 126125, '\p{Numeric_Value=0.250}', "");
    Expect(0, 126125, '\p{^Numeric_Value=0.250}', "");
    Expect(0, 126125, '\P{Numeric_Value=0.250}', "");
    Expect(1, 126125, '\P{^Numeric_Value=0.250}', "");
    Expect(0, 126126, '\p{Numeric_Value=0.250}', "");
    Expect(1, 126126, '\p{^Numeric_Value=0.250}', "");
    Expect(1, 126126, '\P{Numeric_Value=0.250}', "");
    Expect(0, 126126, '\P{^Numeric_Value=0.250}', "");
    Error('\p{Nv=_-01/000000004/a/}');
    Error('\P{Nv=_-01/000000004/a/}');
    Expect(1, 126125, '\p{Nv=:\A1/4\z:}', "");;
    Expect(0, 126126, '\p{Nv=:\A1/4\z:}', "");;
    Expect(1, 126125, '\p{Nv=+0001/0000004}', "");
    Expect(0, 126125, '\p{^Nv=+0001/0000004}', "");
    Expect(0, 126125, '\P{Nv=+0001/0000004}', "");
    Expect(1, 126125, '\P{^Nv=+0001/0000004}', "");
    Expect(0, 126126, '\p{Nv=+0001/0000004}', "");
    Expect(1, 126126, '\p{^Nv=+0001/0000004}', "");
    Expect(1, 126126, '\P{Nv=+0001/0000004}', "");
    Expect(0, 126126, '\P{^Nv=+0001/0000004}', "");
    Expect(1, 126125, '\p{Nv=60/240}', "");
    Expect(0, 126125, '\p{^Nv=60/240}', "");
    Expect(0, 126125, '\P{Nv=60/240}', "");
    Expect(1, 126125, '\P{^Nv=60/240}', "");
    Expect(0, 126126, '\p{Nv=60/240}', "");
    Expect(1, 126126, '\p{^Nv=60/240}', "");
    Expect(1, 126126, '\P{Nv=60/240}', "");
    Expect(0, 126126, '\P{^Nv=60/240}', "");
    Expect(1, 126125, '\p{Nv=2.5e-01}', "");
    Expect(0, 126125, '\p{^Nv=2.5e-01}', "");
    Expect(0, 126125, '\P{Nv=2.5e-01}', "");
    Expect(1, 126125, '\P{^Nv=2.5e-01}', "");
    Expect(0, 126126, '\p{Nv=2.5e-01}', "");
    Expect(1, 126126, '\p{^Nv=2.5e-01}', "");
    Expect(1, 126126, '\P{Nv=2.5e-01}', "");
    Expect(0, 126126, '\P{^Nv=2.5e-01}', "");
    Expect(1, 126125, '\p{Nv:2.50e-01}', "");
    Expect(0, 126125, '\p{^Nv:2.50e-01}', "");
    Expect(0, 126125, '\P{Nv:2.50e-01}', "");
    Expect(1, 126125, '\P{^Nv:2.50e-01}', "");
    Expect(0, 126126, '\p{Nv:2.50e-01}', "");
    Expect(1, 126126, '\p{^Nv:2.50e-01}', "");
    Expect(1, 126126, '\P{Nv:2.50e-01}', "");
    Expect(0, 126126, '\P{^Nv:2.50e-01}', "");
    Expect(1, 126125, '\p{Nv=0.25}', "");
    Expect(0, 126125, '\p{^Nv=0.25}', "");
    Expect(0, 126125, '\P{Nv=0.25}', "");
    Expect(1, 126125, '\P{^Nv=0.25}', "");
    Expect(0, 126126, '\p{Nv=0.25}', "");
    Expect(1, 126126, '\p{^Nv=0.25}', "");
    Expect(1, 126126, '\P{Nv=0.25}', "");
    Expect(0, 126126, '\P{^Nv=0.25}', "");
    Expect(1, 126125, '\p{Nv=2.500e-01}', "");
    Expect(0, 126125, '\p{^Nv=2.500e-01}', "");
    Expect(0, 126125, '\P{Nv=2.500e-01}', "");
    Expect(1, 126125, '\P{^Nv=2.500e-01}', "");
    Expect(0, 126126, '\p{Nv=2.500e-01}', "");
    Expect(1, 126126, '\p{^Nv=2.500e-01}', "");
    Expect(1, 126126, '\P{Nv=2.500e-01}', "");
    Expect(0, 126126, '\P{^Nv=2.500e-01}', "");
    Expect(1, 126125, '\p{Nv=0.250}', "");
    Expect(0, 126125, '\p{^Nv=0.250}', "");
    Expect(0, 126125, '\P{Nv=0.250}', "");
    Expect(1, 126125, '\P{^Nv=0.250}', "");
    Expect(0, 126126, '\p{Nv=0.250}', "");
    Expect(1, 126126, '\p{^Nv=0.250}', "");
    Expect(1, 126126, '\P{Nv=0.250}', "");
    Expect(0, 126126, '\P{^Nv=0.250}', "");
    Error('\p{Is_Numeric_Value=	:=1/04}');
    Error('\P{Is_Numeric_Value=	:=1/04}');
    Expect(1, 126125, '\p{Is_Numeric_Value: 000000001/04}', "");
    Expect(0, 126125, '\p{^Is_Numeric_Value: 000000001/04}', "");
    Expect(0, 126125, '\P{Is_Numeric_Value: 000000001/04}', "");
    Expect(1, 126125, '\P{^Is_Numeric_Value: 000000001/04}', "");
    Expect(0, 126126, '\p{Is_Numeric_Value: 000000001/04}', "");
    Expect(1, 126126, '\p{^Is_Numeric_Value: 000000001/04}', "");
    Expect(1, 126126, '\P{Is_Numeric_Value: 000000001/04}', "");
    Expect(0, 126126, '\P{^Is_Numeric_Value: 000000001/04}', "");
    Expect(1, 126125, '\p{Is_Numeric_Value=60/240}', "");
    Expect(0, 126125, '\p{^Is_Numeric_Value=60/240}', "");
    Expect(0, 126125, '\P{Is_Numeric_Value=60/240}', "");
    Expect(1, 126125, '\P{^Is_Numeric_Value=60/240}', "");
    Expect(0, 126126, '\p{Is_Numeric_Value=60/240}', "");
    Expect(1, 126126, '\p{^Is_Numeric_Value=60/240}', "");
    Expect(1, 126126, '\P{Is_Numeric_Value=60/240}', "");
    Expect(0, 126126, '\P{^Is_Numeric_Value=60/240}', "");
    Expect(1, 126125, '\p{Is_Numeric_Value=2.5e-01}', "");
    Expect(0, 126125, '\p{^Is_Numeric_Value=2.5e-01}', "");
    Expect(0, 126125, '\P{Is_Numeric_Value=2.5e-01}', "");
    Expect(1, 126125, '\P{^Is_Numeric_Value=2.5e-01}', "");
    Expect(0, 126126, '\p{Is_Numeric_Value=2.5e-01}', "");
    Expect(1, 126126, '\p{^Is_Numeric_Value=2.5e-01}', "");
    Expect(1, 126126, '\P{Is_Numeric_Value=2.5e-01}', "");
    Expect(0, 126126, '\P{^Is_Numeric_Value=2.5e-01}', "");
    Expect(1, 126125, '\p{Is_Numeric_Value=2.50e-01}', "");
    Expect(0, 126125, '\p{^Is_Numeric_Value=2.50e-01}', "");
    Expect(0, 126125, '\P{Is_Numeric_Value=2.50e-01}', "");
    Expect(1, 126125, '\P{^Is_Numeric_Value=2.50e-01}', "");
    Expect(0, 126126, '\p{Is_Numeric_Value=2.50e-01}', "");
    Expect(1, 126126, '\p{^Is_Numeric_Value=2.50e-01}', "");
    Expect(1, 126126, '\P{Is_Numeric_Value=2.50e-01}', "");
    Expect(0, 126126, '\P{^Is_Numeric_Value=2.50e-01}', "");
    Expect(1, 126125, '\p{Is_Numeric_Value=0.25}', "");
    Expect(0, 126125, '\p{^Is_Numeric_Value=0.25}', "");
    Expect(0, 126125, '\P{Is_Numeric_Value=0.25}', "");
    Expect(1, 126125, '\P{^Is_Numeric_Value=0.25}', "");
    Expect(0, 126126, '\p{Is_Numeric_Value=0.25}', "");
    Expect(1, 126126, '\p{^Is_Numeric_Value=0.25}', "");
    Expect(1, 126126, '\P{Is_Numeric_Value=0.25}', "");
    Expect(0, 126126, '\P{^Is_Numeric_Value=0.25}', "");
    Expect(1, 126125, '\p{Is_Numeric_Value=2.500e-01}', "");
    Expect(0, 126125, '\p{^Is_Numeric_Value=2.500e-01}', "");
    Expect(0, 126125, '\P{Is_Numeric_Value=2.500e-01}', "");
    Expect(1, 126125, '\P{^Is_Numeric_Value=2.500e-01}', "");
    Expect(0, 126126, '\p{Is_Numeric_Value=2.500e-01}', "");
    Expect(1, 126126, '\p{^Is_Numeric_Value=2.500e-01}', "");
    Expect(1, 126126, '\P{Is_Numeric_Value=2.500e-01}', "");
    Expect(0, 126126, '\P{^Is_Numeric_Value=2.500e-01}', "");
    Expect(1, 126125, '\p{Is_Numeric_Value=0.250}', "");
    Expect(0, 126125, '\p{^Is_Numeric_Value=0.250}', "");
    Expect(0, 126125, '\P{Is_Numeric_Value=0.250}', "");
    Expect(1, 126125, '\P{^Is_Numeric_Value=0.250}', "");
    Expect(0, 126126, '\p{Is_Numeric_Value=0.250}', "");
    Expect(1, 126126, '\p{^Is_Numeric_Value=0.250}', "");
    Expect(1, 126126, '\P{Is_Numeric_Value=0.250}', "");
    Expect(0, 126126, '\P{^Is_Numeric_Value=0.250}', "");
    Error('\p{Is_Nv=/a/	 00000001/000004}');
    Error('\P{Is_Nv=/a/	 00000001/000004}');
    Expect(1, 126125, '\p{Is_Nv=+000000001/000004}', "");
    Expect(0, 126125, '\p{^Is_Nv=+000000001/000004}', "");
    Expect(0, 126125, '\P{Is_Nv=+000000001/000004}', "");
    Expect(1, 126125, '\P{^Is_Nv=+000000001/000004}', "");
    Expect(0, 126126, '\p{Is_Nv=+000000001/000004}', "");
    Expect(1, 126126, '\p{^Is_Nv=+000000001/000004}', "");
    Expect(1, 126126, '\P{Is_Nv=+000000001/000004}', "");
    Expect(0, 126126, '\P{^Is_Nv=+000000001/000004}', "");
    Expect(1, 126125, '\p{Is_Nv=60/240}', "");
    Expect(0, 126125, '\p{^Is_Nv=60/240}', "");
    Expect(0, 126125, '\P{Is_Nv=60/240}', "");
    Expect(1, 126125, '\P{^Is_Nv=60/240}', "");
    Expect(0, 126126, '\p{Is_Nv=60/240}', "");
    Expect(1, 126126, '\p{^Is_Nv=60/240}', "");
    Expect(1, 126126, '\P{Is_Nv=60/240}', "");
    Expect(0, 126126, '\P{^Is_Nv=60/240}', "");
    Expect(1, 126125, '\p{Is_Nv:2.5e-01}', "");
    Expect(0, 126125, '\p{^Is_Nv:2.5e-01}', "");
    Expect(0, 126125, '\P{Is_Nv:2.5e-01}', "");
    Expect(1, 126125, '\P{^Is_Nv:2.5e-01}', "");
    Expect(0, 126126, '\p{Is_Nv:2.5e-01}', "");
    Expect(1, 126126, '\p{^Is_Nv:2.5e-01}', "");
    Expect(1, 126126, '\P{Is_Nv:2.5e-01}', "");
    Expect(0, 126126, '\P{^Is_Nv:2.5e-01}', "");
    Expect(1, 126125, '\p{Is_Nv=2.50e-01}', "");
    Expect(0, 126125, '\p{^Is_Nv=2.50e-01}', "");
    Expect(0, 126125, '\P{Is_Nv=2.50e-01}', "");
    Expect(1, 126125, '\P{^Is_Nv=2.50e-01}', "");
    Expect(0, 126126, '\p{Is_Nv=2.50e-01}', "");
    Expect(1, 126126, '\p{^Is_Nv=2.50e-01}', "");
    Expect(1, 126126, '\P{Is_Nv=2.50e-01}', "");
    Expect(0, 126126, '\P{^Is_Nv=2.50e-01}', "");
    Expect(1, 126125, '\p{Is_Nv=0.25}', "");
    Expect(0, 126125, '\p{^Is_Nv=0.25}', "");
    Expect(0, 126125, '\P{Is_Nv=0.25}', "");
    Expect(1, 126125, '\P{^Is_Nv=0.25}', "");
    Expect(0, 126126, '\p{Is_Nv=0.25}', "");
    Expect(1, 126126, '\p{^Is_Nv=0.25}', "");
    Expect(1, 126126, '\P{Is_Nv=0.25}', "");
    Expect(0, 126126, '\P{^Is_Nv=0.25}', "");
    Expect(1, 126125, '\p{Is_Nv=2.500e-01}', "");
    Expect(0, 126125, '\p{^Is_Nv=2.500e-01}', "");
    Expect(0, 126125, '\P{Is_Nv=2.500e-01}', "");
    Expect(1, 126125, '\P{^Is_Nv=2.500e-01}', "");
    Expect(0, 126126, '\p{Is_Nv=2.500e-01}', "");
    Expect(1, 126126, '\p{^Is_Nv=2.500e-01}', "");
    Expect(1, 126126, '\P{Is_Nv=2.500e-01}', "");
    Expect(0, 126126, '\P{^Is_Nv=2.500e-01}', "");
    Expect(1, 126125, '\p{Is_Nv:0.250}', "");
    Expect(0, 126125, '\p{^Is_Nv:0.250}', "");
    Expect(0, 126125, '\P{Is_Nv:0.250}', "");
    Expect(1, 126125, '\P{^Is_Nv:0.250}', "");
    Expect(0, 126126, '\p{Is_Nv:0.250}', "");
    Expect(1, 126126, '\p{^Is_Nv:0.250}', "");
    Expect(1, 126126, '\P{Is_Nv:0.250}', "");
    Expect(0, 126126, '\P{^Is_Nv:0.250}', "");
    Error('\p{Numeric_Value=-:=00001/00040}');
    Error('\P{Numeric_Value=-:=00001/00040}');
    Expect(1, 73668, '\p{Numeric_Value=:\A1/40\z:}', "");;
    Expect(0, 73669, '\p{Numeric_Value=:\A1/40\z:}', "");;
    Expect(1, 73668, '\p{Numeric_Value=00000001/00000000040}', "");
    Expect(0, 73668, '\p{^Numeric_Value=00000001/00000000040}', "");
    Expect(0, 73668, '\P{Numeric_Value=00000001/00000000040}', "");
    Expect(1, 73668, '\P{^Numeric_Value=00000001/00000000040}', "");
    Expect(0, 73669, '\p{Numeric_Value=00000001/00000000040}', "");
    Expect(1, 73669, '\p{^Numeric_Value=00000001/00000000040}', "");
    Expect(1, 73669, '\P{Numeric_Value=00000001/00000000040}', "");
    Expect(0, 73669, '\P{^Numeric_Value=00000001/00000000040}', "");
    Expect(1, 73668, '\p{Numeric_Value=60/2400}', "");
    Expect(0, 73668, '\p{^Numeric_Value=60/2400}', "");
    Expect(0, 73668, '\P{Numeric_Value=60/2400}', "");
    Expect(1, 73668, '\P{^Numeric_Value=60/2400}', "");
    Expect(0, 73669, '\p{Numeric_Value=60/2400}', "");
    Expect(1, 73669, '\p{^Numeric_Value=60/2400}', "");
    Expect(1, 73669, '\P{Numeric_Value=60/2400}', "");
    Expect(0, 73669, '\P{^Numeric_Value=60/2400}', "");
    Expect(1, 73668, '\p{Numeric_Value:2.5e-02}', "");
    Expect(0, 73668, '\p{^Numeric_Value:2.5e-02}', "");
    Expect(0, 73668, '\P{Numeric_Value:2.5e-02}', "");
    Expect(1, 73668, '\P{^Numeric_Value:2.5e-02}', "");
    Expect(0, 73669, '\p{Numeric_Value:2.5e-02}', "");
    Expect(1, 73669, '\p{^Numeric_Value:2.5e-02}', "");
    Expect(1, 73669, '\P{Numeric_Value:2.5e-02}', "");
    Expect(0, 73669, '\P{^Numeric_Value:2.5e-02}', "");
    Expect(1, 73668, '\p{Numeric_Value=2.50e-02}', "");
    Expect(0, 73668, '\p{^Numeric_Value=2.50e-02}', "");
    Expect(0, 73668, '\P{Numeric_Value=2.50e-02}', "");
    Expect(1, 73668, '\P{^Numeric_Value=2.50e-02}', "");
    Expect(0, 73669, '\p{Numeric_Value=2.50e-02}', "");
    Expect(1, 73669, '\p{^Numeric_Value=2.50e-02}', "");
    Expect(1, 73669, '\P{Numeric_Value=2.50e-02}', "");
    Expect(0, 73669, '\P{^Numeric_Value=2.50e-02}', "");
    Error('\p{Numeric_Value=0.03}');
    Error('\P{Numeric_Value=0.03}');
    Expect(1, 73668, '\p{Numeric_Value=2.500e-02}', "");
    Expect(0, 73668, '\p{^Numeric_Value=2.500e-02}', "");
    Expect(0, 73668, '\P{Numeric_Value=2.500e-02}', "");
    Expect(1, 73668, '\P{^Numeric_Value=2.500e-02}', "");
    Expect(0, 73669, '\p{Numeric_Value=2.500e-02}', "");
    Expect(1, 73669, '\p{^Numeric_Value=2.500e-02}', "");
    Expect(1, 73669, '\P{Numeric_Value=2.500e-02}', "");
    Expect(0, 73669, '\P{^Numeric_Value=2.500e-02}', "");
    Expect(1, 73668, '\p{Numeric_Value=0.025}', "");
    Expect(0, 73668, '\p{^Numeric_Value=0.025}', "");
    Expect(0, 73668, '\P{Numeric_Value=0.025}', "");
    Expect(1, 73668, '\P{^Numeric_Value=0.025}', "");
    Expect(0, 73669, '\p{Numeric_Value=0.025}', "");
    Expect(1, 73669, '\p{^Numeric_Value=0.025}', "");
    Expect(1, 73669, '\P{Numeric_Value=0.025}', "");
    Expect(0, 73669, '\P{^Numeric_Value=0.025}', "");
    Expect(1, 73668, '\p{Numeric_Value:	2.5000e-02}', "");
    Expect(0, 73668, '\p{^Numeric_Value:	2.5000e-02}', "");
    Expect(0, 73668, '\P{Numeric_Value:	2.5000e-02}', "");
    Expect(1, 73668, '\P{^Numeric_Value:	2.5000e-02}', "");
    Expect(0, 73669, '\p{Numeric_Value:	2.5000e-02}', "");
    Expect(1, 73669, '\p{^Numeric_Value:	2.5000e-02}', "");
    Expect(1, 73669, '\P{Numeric_Value:	2.5000e-02}', "");
    Expect(0, 73669, '\P{^Numeric_Value:	2.5000e-02}', "");
    Expect(1, 73668, '\p{Numeric_Value=0.0250}', "");
    Expect(0, 73668, '\p{^Numeric_Value=0.0250}', "");
    Expect(0, 73668, '\P{Numeric_Value=0.0250}', "");
    Expect(1, 73668, '\P{^Numeric_Value=0.0250}', "");
    Expect(0, 73669, '\p{Numeric_Value=0.0250}', "");
    Expect(1, 73669, '\p{^Numeric_Value=0.0250}', "");
    Expect(1, 73669, '\P{Numeric_Value=0.0250}', "");
    Expect(0, 73669, '\P{^Numeric_Value=0.0250}', "");
    Error('\p{Nv=:=--+01/40}');
    Error('\P{Nv=:=--+01/40}');
    Expect(1, 73668, '\p{Nv=:\A1/40\z:}', "");;
    Expect(0, 73669, '\p{Nv=:\A1/40\z:}', "");;
    Expect(1, 73668, '\p{Nv=0001/0000000040}', "");
    Expect(0, 73668, '\p{^Nv=0001/0000000040}', "");
    Expect(0, 73668, '\P{Nv=0001/0000000040}', "");
    Expect(1, 73668, '\P{^Nv=0001/0000000040}', "");
    Expect(0, 73669, '\p{Nv=0001/0000000040}', "");
    Expect(1, 73669, '\p{^Nv=0001/0000000040}', "");
    Expect(1, 73669, '\P{Nv=0001/0000000040}', "");
    Expect(0, 73669, '\P{^Nv=0001/0000000040}', "");
    Expect(1, 73668, '\p{Nv=60/2400}', "");
    Expect(0, 73668, '\p{^Nv=60/2400}', "");
    Expect(0, 73668, '\P{Nv=60/2400}', "");
    Expect(1, 73668, '\P{^Nv=60/2400}', "");
    Expect(0, 73669, '\p{Nv=60/2400}', "");
    Expect(1, 73669, '\p{^Nv=60/2400}', "");
    Expect(1, 73669, '\P{Nv=60/2400}', "");
    Expect(0, 73669, '\P{^Nv=60/2400}', "");
    Expect(1, 73668, '\p{Nv=2.5e-02}', "");
    Expect(0, 73668, '\p{^Nv=2.5e-02}', "");
    Expect(0, 73668, '\P{Nv=2.5e-02}', "");
    Expect(1, 73668, '\P{^Nv=2.5e-02}', "");
    Expect(0, 73669, '\p{Nv=2.5e-02}', "");
    Expect(1, 73669, '\p{^Nv=2.5e-02}', "");
    Expect(1, 73669, '\P{Nv=2.5e-02}', "");
    Expect(0, 73669, '\P{^Nv=2.5e-02}', "");
    Expect(1, 73668, '\p{Nv=2.50e-02}', "");
    Expect(0, 73668, '\p{^Nv=2.50e-02}', "");
    Expect(0, 73668, '\P{Nv=2.50e-02}', "");
    Expect(1, 73668, '\P{^Nv=2.50e-02}', "");
    Expect(0, 73669, '\p{Nv=2.50e-02}', "");
    Expect(1, 73669, '\p{^Nv=2.50e-02}', "");
    Expect(1, 73669, '\P{Nv=2.50e-02}', "");
    Expect(0, 73669, '\P{^Nv=2.50e-02}', "");
    Error('\p{Nv=0.03}');
    Error('\P{Nv=0.03}');
    Expect(1, 73668, '\p{Nv=2.500e-02}', "");
    Expect(0, 73668, '\p{^Nv=2.500e-02}', "");
    Expect(0, 73668, '\P{Nv=2.500e-02}', "");
    Expect(1, 73668, '\P{^Nv=2.500e-02}', "");
    Expect(0, 73669, '\p{Nv=2.500e-02}', "");
    Expect(1, 73669, '\p{^Nv=2.500e-02}', "");
    Expect(1, 73669, '\P{Nv=2.500e-02}', "");
    Expect(0, 73669, '\P{^Nv=2.500e-02}', "");
    Expect(1, 73668, '\p{Nv=0.025}', "");
    Expect(0, 73668, '\p{^Nv=0.025}', "");
    Expect(0, 73668, '\P{Nv=0.025}', "");
    Expect(1, 73668, '\P{^Nv=0.025}', "");
    Expect(0, 73669, '\p{Nv=0.025}', "");
    Expect(1, 73669, '\p{^Nv=0.025}', "");
    Expect(1, 73669, '\P{Nv=0.025}', "");
    Expect(0, 73669, '\P{^Nv=0.025}', "");
    Expect(1, 73668, '\p{Nv=2.5000e-02}', "");
    Expect(0, 73668, '\p{^Nv=2.5000e-02}', "");
    Expect(0, 73668, '\P{Nv=2.5000e-02}', "");
    Expect(1, 73668, '\P{^Nv=2.5000e-02}', "");
    Expect(0, 73669, '\p{Nv=2.5000e-02}', "");
    Expect(1, 73669, '\p{^Nv=2.5000e-02}', "");
    Expect(1, 73669, '\P{Nv=2.5000e-02}', "");
    Expect(0, 73669, '\P{^Nv=2.5000e-02}', "");
    Expect(1, 73668, '\p{Nv=0.0250}', "");
    Expect(0, 73668, '\p{^Nv=0.0250}', "");
    Expect(0, 73668, '\P{Nv=0.0250}', "");
    Expect(1, 73668, '\P{^Nv=0.0250}', "");
    Expect(0, 73669, '\p{Nv=0.0250}', "");
    Expect(1, 73669, '\p{^Nv=0.0250}', "");
    Expect(1, 73669, '\P{Nv=0.0250}', "");
    Expect(0, 73669, '\P{^Nv=0.0250}', "");
    Error('\p{Is_Numeric_Value=__1/0040/a/}');
    Error('\P{Is_Numeric_Value=__1/0040/a/}');
    Expect(1, 73668, '\p{Is_Numeric_Value=0000001/000000040}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value=0000001/000000040}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value=0000001/000000040}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value=0000001/000000040}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value=0000001/000000040}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value=0000001/000000040}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value=0000001/000000040}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value=0000001/000000040}', "");
    Expect(1, 73668, '\p{Is_Numeric_Value=60/2400}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value=60/2400}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value=60/2400}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value=60/2400}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value=60/2400}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value=60/2400}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value=60/2400}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value=60/2400}', "");
    Expect(1, 73668, '\p{Is_Numeric_Value=2.5e-02}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value=2.5e-02}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value=2.5e-02}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value=2.5e-02}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value=2.5e-02}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value=2.5e-02}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value=2.5e-02}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value=2.5e-02}', "");
    Expect(1, 73668, '\p{Is_Numeric_Value: 2.50e-02}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value: 2.50e-02}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value: 2.50e-02}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value: 2.50e-02}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value: 2.50e-02}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value: 2.50e-02}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value: 2.50e-02}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value: 2.50e-02}', "");
    Error('\p{Is_Numeric_Value=0.03}');
    Error('\P{Is_Numeric_Value=0.03}');
    Expect(1, 73668, '\p{Is_Numeric_Value=2.500e-02}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value=2.500e-02}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value=2.500e-02}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value=2.500e-02}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value=2.500e-02}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value=2.500e-02}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value=2.500e-02}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value=2.500e-02}', "");
    Expect(1, 73668, '\p{Is_Numeric_Value:   0.025}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value:   0.025}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value:   0.025}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value:   0.025}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value:   0.025}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value:   0.025}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value:   0.025}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value:   0.025}', "");
    Expect(1, 73668, '\p{Is_Numeric_Value=2.5000e-02}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value=2.5000e-02}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value=2.5000e-02}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value=2.5000e-02}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value=2.5000e-02}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value=2.5000e-02}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value=2.5000e-02}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value=2.5000e-02}', "");
    Expect(1, 73668, '\p{Is_Numeric_Value=0.0250}', "");
    Expect(0, 73668, '\p{^Is_Numeric_Value=0.0250}', "");
    Expect(0, 73668, '\P{Is_Numeric_Value=0.0250}', "");
    Expect(1, 73668, '\P{^Is_Numeric_Value=0.0250}', "");
    Expect(0, 73669, '\p{Is_Numeric_Value=0.0250}', "");
    Expect(1, 73669, '\p{^Is_Numeric_Value=0.0250}', "");
    Expect(1, 73669, '\P{Is_Numeric_Value=0.0250}', "");
    Expect(0, 73669, '\P{^Is_Numeric_Value=0.0250}', "");
    Error('\p{Is_Nv:   /a/	 0000001/000040}');
    Error('\P{Is_Nv:   /a/	 0000001/000040}');
    Expect(1, 73668, '\p{Is_Nv=00000001/40}', "");
    Expect(0, 73668, '\p{^Is_Nv=00000001/40}', "");
    Expect(0, 73668, '\P{Is_Nv=00000001/40}', "");
    Expect(1, 73668, '\P{^Is_Nv=00000001/40}', "");
    Expect(0, 73669, '\p{Is_Nv=00000001/40}', "");
    Expect(1, 73669, '\p{^Is_Nv=00000001/40}', "");
    Expect(1, 73669, '\P{Is_Nv=00000001/40}', "");
    Expect(0, 73669, '\P{^Is_Nv=00000001/40}', "");
    Expect(1, 73668, '\p{Is_Nv=60/2400}', "");
    Expect(0, 73668, '\p{^Is_Nv=60/2400}', "");
    Expect(0, 73668, '\P{Is_Nv=60/2400}', "");
    Expect(1, 73668, '\P{^Is_Nv=60/2400}', "");
    Expect(0, 73669, '\p{Is_Nv=60/2400}', "");
    Expect(1, 73669, '\p{^Is_Nv=60/2400}', "");
    Expect(1, 73669, '\P{Is_Nv=60/2400}', "");
    Expect(0, 73669, '\P{^Is_Nv=60/2400}', "");
    Expect(1, 73668, '\p{Is_Nv=2.5e-02}', "");
    Expect(0, 73668, '\p{^Is_Nv=2.5e-02}', "");
    Expect(0, 73668, '\P{Is_Nv=2.5e-02}', "");
    Expect(1, 73668, '\P{^Is_Nv=2.5e-02}', "");
    Expect(0, 73669, '\p{Is_Nv=2.5e-02}', "");
    Expect(1, 73669, '\p{^Is_Nv=2.5e-02}', "");
    Expect(1, 73669, '\P{Is_Nv=2.5e-02}', "");
    Expect(0, 73669, '\P{^Is_Nv=2.5e-02}', "");
    Expect(1, 73668, '\p{Is_Nv=2.50e-02}', "");
    Expect(0, 73668, '\p{^Is_Nv=2.50e-02}', "");
    Expect(0, 73668, '\P{Is_Nv=2.50e-02}', "");
    Expect(1, 73668, '\P{^Is_Nv=2.50e-02}', "");
    Expect(0, 73669, '\p{Is_Nv=2.50e-02}', "");
    Expect(1, 73669, '\p{^Is_Nv=2.50e-02}', "");
    Expect(1, 73669, '\P{Is_Nv=2.50e-02}', "");
    Expect(0, 73669, '\P{^Is_Nv=2.50e-02}', "");
    Error('\p{Is_Nv=0.03}');
    Error('\P{Is_Nv=0.03}');
    Expect(1, 73668, '\p{Is_Nv=2.500e-02}', "");
    Expect(0, 73668, '\p{^Is_Nv=2.500e-02}', "");
    Expect(0, 73668, '\P{Is_Nv=2.500e-02}', "");
    Expect(1, 73668, '\P{^Is_Nv=2.500e-02}', "");
    Expect(0, 73669, '\p{Is_Nv=2.500e-02}', "");
    Expect(1, 73669, '\p{^Is_Nv=2.500e-02}', "");
    Expect(1, 73669, '\P{Is_Nv=2.500e-02}', "");
    Expect(0, 73669, '\P{^Is_Nv=2.500e-02}', "");
    Expect(1, 73668, '\p{Is_Nv=0.025}', "");
    Expect(0, 73668, '\p{^Is_Nv=0.025}', "");
    Expect(0, 73668, '\P{Is_Nv=0.025}', "");
    Expect(1, 73668, '\P{^Is_Nv=0.025}', "");
    Expect(0, 73669, '\p{Is_Nv=0.025}', "");
    Expect(1, 73669, '\p{^Is_Nv=0.025}', "");
    Expect(1, 73669, '\P{Is_Nv=0.025}', "");
    Expect(0, 73669, '\P{^Is_Nv=0.025}', "");
    Expect(1, 73668, '\p{Is_Nv=2.5000e-02}', "");
    Expect(0, 73668, '\p{^Is_Nv=2.5000e-02}', "");
    Expect(0, 73668, '\P{Is_Nv=2.5000e-02}', "");
    Expect(1, 73668, '\P{^Is_Nv=2.5000e-02}', "");
    Expect(0, 73669, '\p{Is_Nv=2.5000e-02}', "");
    Expect(1, 73669, '\p{^Is_Nv=2.5000e-02}', "");
    Expect(1, 73669, '\P{Is_Nv=2.5000e-02}', "");
    Expect(0, 73669, '\P{^Is_Nv=2.5000e-02}', "");
    Expect(1, 73668, '\p{Is_Nv=0.0250}', "");
    Expect(0, 73668, '\p{^Is_Nv=0.0250}', "");
    Expect(0, 73668, '\P{Is_Nv=0.0250}', "");
    Expect(1, 73668, '\P{^Is_Nv=0.0250}', "");
    Expect(0, 73669, '\p{Is_Nv=0.0250}', "");
    Expect(1, 73669, '\p{^Is_Nv=0.0250}', "");
    Expect(1, 73669, '\P{Is_Nv=0.0250}', "");
    Expect(0, 73669, '\P{^Is_Nv=0.0250}', "");
    Error('\p{Numeric_Value=:=0000000001/05}');
    Error('\P{Numeric_Value=:=0000000001/05}');
    Expect(1, 73679, '\p{Numeric_Value=:\A1/5\z:}', "");;
    Expect(0, 73680, '\p{Numeric_Value=:\A1/5\z:}', "");;
    Expect(1, 73679, '\p{Numeric_Value=000001/0000005}', "");
    Expect(0, 73679, '\p{^Numeric_Value=000001/0000005}', "");
    Expect(0, 73679, '\P{Numeric_Value=000001/0000005}', "");
    Expect(1, 73679, '\P{^Numeric_Value=000001/0000005}', "");
    Expect(0, 73680, '\p{Numeric_Value=000001/0000005}', "");
    Expect(1, 73680, '\p{^Numeric_Value=000001/0000005}', "");
    Expect(1, 73680, '\P{Numeric_Value=000001/0000005}', "");
    Expect(0, 73680, '\P{^Numeric_Value=000001/0000005}', "");
    Expect(1, 73679, '\p{Numeric_Value=60/300}', "");
    Expect(0, 73679, '\p{^Numeric_Value=60/300}', "");
    Expect(0, 73679, '\P{Numeric_Value=60/300}', "");
    Expect(1, 73679, '\P{^Numeric_Value=60/300}', "");
    Expect(0, 73680, '\p{Numeric_Value=60/300}', "");
    Expect(1, 73680, '\p{^Numeric_Value=60/300}', "");
    Expect(1, 73680, '\P{Numeric_Value=60/300}', "");
    Expect(0, 73680, '\P{^Numeric_Value=60/300}', "");
    Expect(1, 73679, '\p{Numeric_Value=2.0e-01}', "");
    Expect(0, 73679, '\p{^Numeric_Value=2.0e-01}', "");
    Expect(0, 73679, '\P{Numeric_Value=2.0e-01}', "");
    Expect(1, 73679, '\P{^Numeric_Value=2.0e-01}', "");
    Expect(0, 73680, '\p{Numeric_Value=2.0e-01}', "");
    Expect(1, 73680, '\p{^Numeric_Value=2.0e-01}', "");
    Expect(1, 73680, '\P{Numeric_Value=2.0e-01}', "");
    Expect(0, 73680, '\P{^Numeric_Value=2.0e-01}', "");
    Expect(1, 73679, '\p{Numeric_Value=0.2}', "");
    Expect(0, 73679, '\p{^Numeric_Value=0.2}', "");
    Expect(0, 73679, '\P{Numeric_Value=0.2}', "");
    Expect(1, 73679, '\P{^Numeric_Value=0.2}', "");
    Expect(0, 73680, '\p{Numeric_Value=0.2}', "");
    Expect(1, 73680, '\p{^Numeric_Value=0.2}', "");
    Expect(1, 73680, '\P{Numeric_Value=0.2}', "");
    Expect(0, 73680, '\P{^Numeric_Value=0.2}', "");
    Expect(1, 73679, '\p{Numeric_Value=2.00e-01}', "");
    Expect(0, 73679, '\p{^Numeric_Value=2.00e-01}', "");
    Expect(0, 73679, '\P{Numeric_Value=2.00e-01}', "");
    Expect(1, 73679, '\P{^Numeric_Value=2.00e-01}', "");
    Expect(0, 73680, '\p{Numeric_Value=2.00e-01}', "");
    Expect(1, 73680, '\p{^Numeric_Value=2.00e-01}', "");
    Expect(1, 73680, '\P{Numeric_Value=2.00e-01}', "");
    Expect(0, 73680, '\P{^Numeric_Value=2.00e-01}', "");
    Expect(1, 73679, '\p{Numeric_Value=0.20}', "");
    Expect(0, 73679, '\p{^Numeric_Value=0.20}', "");
    Expect(0, 73679, '\P{Numeric_Value=0.20}', "");
    Expect(1, 73679, '\P{^Numeric_Value=0.20}', "");
    Expect(0, 73680, '\p{Numeric_Value=0.20}', "");
    Expect(1, 73680, '\p{^Numeric_Value=0.20}', "");
    Expect(1, 73680, '\P{Numeric_Value=0.20}', "");
    Expect(0, 73680, '\P{^Numeric_Value=0.20}', "");
    Error('\p{Nv=__000001/05:=}');
    Error('\P{Nv=__000001/05:=}');
    Expect(1, 73679, '\p{Nv=:\A1/5\z:}', "");;
    Expect(0, 73680, '\p{Nv=:\A1/5\z:}', "");;
    Expect(1, 73679, '\p{Nv=00000001/005}', "");
    Expect(0, 73679, '\p{^Nv=00000001/005}', "");
    Expect(0, 73679, '\P{Nv=00000001/005}', "");
    Expect(1, 73679, '\P{^Nv=00000001/005}', "");
    Expect(0, 73680, '\p{Nv=00000001/005}', "");
    Expect(1, 73680, '\p{^Nv=00000001/005}', "");
    Expect(1, 73680, '\P{Nv=00000001/005}', "");
    Expect(0, 73680, '\P{^Nv=00000001/005}', "");
    Expect(1, 73679, '\p{Nv=60/300}', "");
    Expect(0, 73679, '\p{^Nv=60/300}', "");
    Expect(0, 73679, '\P{Nv=60/300}', "");
    Expect(1, 73679, '\P{^Nv=60/300}', "");
    Expect(0, 73680, '\p{Nv=60/300}', "");
    Expect(1, 73680, '\p{^Nv=60/300}', "");
    Expect(1, 73680, '\P{Nv=60/300}', "");
    Expect(0, 73680, '\P{^Nv=60/300}', "");
    Expect(1, 73679, '\p{Nv=2.0e-01}', "");
    Expect(0, 73679, '\p{^Nv=2.0e-01}', "");
    Expect(0, 73679, '\P{Nv=2.0e-01}', "");
    Expect(1, 73679, '\P{^Nv=2.0e-01}', "");
    Expect(0, 73680, '\p{Nv=2.0e-01}', "");
    Expect(1, 73680, '\p{^Nv=2.0e-01}', "");
    Expect(1, 73680, '\P{Nv=2.0e-01}', "");
    Expect(0, 73680, '\P{^Nv=2.0e-01}', "");
    Expect(1, 73679, '\p{Nv=0.2}', "");
    Expect(0, 73679, '\p{^Nv=0.2}', "");
    Expect(0, 73679, '\P{Nv=0.2}', "");
    Expect(1, 73679, '\P{^Nv=0.2}', "");
    Expect(0, 73680, '\p{Nv=0.2}', "");
    Expect(1, 73680, '\p{^Nv=0.2}', "");
    Expect(1, 73680, '\P{Nv=0.2}', "");
    Expect(0, 73680, '\P{^Nv=0.2}', "");
    Expect(1, 73679, '\p{Nv=2.00e-01}', "");
    Expect(0, 73679, '\p{^Nv=2.00e-01}', "");
    Expect(0, 73679, '\P{Nv=2.00e-01}', "");
    Expect(1, 73679, '\P{^Nv=2.00e-01}', "");
    Expect(0, 73680, '\p{Nv=2.00e-01}', "");
    Expect(1, 73680, '\p{^Nv=2.00e-01}', "");
    Expect(1, 73680, '\P{Nv=2.00e-01}', "");
    Expect(0, 73680, '\P{^Nv=2.00e-01}', "");
    Expect(1, 73679, '\p{Nv=0.20}', "");
    Expect(0, 73679, '\p{^Nv=0.20}', "");
    Expect(0, 73679, '\P{Nv=0.20}', "");
    Expect(1, 73679, '\P{^Nv=0.20}', "");
    Expect(0, 73680, '\p{Nv=0.20}', "");
    Expect(1, 73680, '\p{^Nv=0.20}', "");
    Expect(1, 73680, '\P{Nv=0.20}', "");
    Expect(0, 73680, '\P{^Nv=0.20}', "");
    Error('\p{Is_Numeric_Value=:= 01/0000005}');
    Error('\P{Is_Numeric_Value=:= 01/0000005}');
    Expect(1, 73679, '\p{Is_Numeric_Value=00001/00005}', "");
    Expect(0, 73679, '\p{^Is_Numeric_Value=00001/00005}', "");
    Expect(0, 73679, '\P{Is_Numeric_Value=00001/00005}', "");
    Expect(1, 73679, '\P{^Is_Numeric_Value=00001/00005}', "");
    Expect(0, 73680, '\p{Is_Numeric_Value=00001/00005}', "");
    Expect(1, 73680, '\p{^Is_Numeric_Value=00001/00005}', "");
    Expect(1, 73680, '\P{Is_Numeric_Value=00001/00005}', "");
    Expect(0, 73680, '\P{^Is_Numeric_Value=00001/00005}', "");
    Expect(1, 73679, '\p{Is_Numeric_Value:60/300}', "");
    Expect(0, 73679, '\p{^Is_Numeric_Value:60/300}', "");
    Expect(0, 73679, '\P{Is_Numeric_Value:60/300}', "");
    Expect(1, 73679, '\P{^Is_Numeric_Value:60/300}', "");
    Expect(0, 73680, '\p{Is_Numeric_Value:60/300}', "");
    Expect(1, 73680, '\p{^Is_Numeric_Value:60/300}', "");
    Expect(1, 73680, '\P{Is_Numeric_Value:60/300}', "");
    Expect(0, 73680, '\P{^Is_Numeric_Value:60/300}', "");
    Expect(1, 73679, '\p{Is_Numeric_Value=2.0e-01}', "");
    Expect(0, 73679, '\p{^Is_Numeric_Value=2.0e-01}', "");
    Expect(0, 73679, '\P{Is_Numeric_Value=2.0e-01}', "");
    Expect(1, 73679, '\P{^Is_Numeric_Value=2.0e-01}', "");
    Expect(0, 73680, '\p{Is_Numeric_Value=2.0e-01}', "");
    Expect(1, 73680, '\p{^Is_Numeric_Value=2.0e-01}', "");
    Expect(1, 73680, '\P{Is_Numeric_Value=2.0e-01}', "");
    Expect(0, 73680, '\P{^Is_Numeric_Value=2.0e-01}', "");
    Expect(1, 73679, '\p{Is_Numeric_Value=0.2}', "");
    Expect(0, 73679, '\p{^Is_Numeric_Value=0.2}', "");
    Expect(0, 73679, '\P{Is_Numeric_Value=0.2}', "");
    Expect(1, 73679, '\P{^Is_Numeric_Value=0.2}', "");
    Expect(0, 73680, '\p{Is_Numeric_Value=0.2}', "");
    Expect(1, 73680, '\p{^Is_Numeric_Value=0.2}', "");
    Expect(1, 73680, '\P{Is_Numeric_Value=0.2}', "");
    Expect(0, 73680, '\P{^Is_Numeric_Value=0.2}', "");
    Expect(1, 73679, '\p{Is_Numeric_Value=2.00e-01}', "");
    Expect(0, 73679, '\p{^Is_Numeric_Value=2.00e-01}', "");
    Expect(0, 73679, '\P{Is_Numeric_Value=2.00e-01}', "");
    Expect(1, 73679, '\P{^Is_Numeric_Value=2.00e-01}', "");
    Expect(0, 73680, '\p{Is_Numeric_Value=2.00e-01}', "");
    Expect(1, 73680, '\p{^Is_Numeric_Value=2.00e-01}', "");
    Expect(1, 73680, '\P{Is_Numeric_Value=2.00e-01}', "");
    Expect(0, 73680, '\P{^Is_Numeric_Value=2.00e-01}', "");
    Expect(1, 73679, '\p{Is_Numeric_Value=0.20}', "");
    Expect(0, 73679, '\p{^Is_Numeric_Value=0.20}', "");
    Expect(0, 73679, '\P{Is_Numeric_Value=0.20}', "");
    Expect(1, 73679, '\P{^Is_Numeric_Value=0.20}', "");
    Expect(0, 73680, '\p{Is_Numeric_Value=0.20}', "");
    Expect(1, 73680, '\p{^Is_Numeric_Value=0.20}', "");
    Expect(1, 73680, '\P{Is_Numeric_Value=0.20}', "");
    Expect(0, 73680, '\P{^Is_Numeric_Value=0.20}', "");
    Error('\p{Is_Nv= 01/0000005/a/}');
    Error('\P{Is_Nv= 01/0000005/a/}');
    Expect(1, 73679, '\p{Is_Nv=+00000001/0005}', "");
    Expect(0, 73679, '\p{^Is_Nv=+00000001/0005}', "");
    Expect(0, 73679, '\P{Is_Nv=+00000001/0005}', "");
    Expect(1, 73679, '\P{^Is_Nv=+00000001/0005}', "");
    Expect(0, 73680, '\p{Is_Nv=+00000001/0005}', "");
    Expect(1, 73680, '\p{^Is_Nv=+00000001/0005}', "");
    Expect(1, 73680, '\P{Is_Nv=+00000001/0005}', "");
    Expect(0, 73680, '\P{^Is_Nv=+00000001/0005}', "");
    Expect(1, 73679, '\p{Is_Nv=60/300}', "");
    Expect(0, 73679, '\p{^Is_Nv=60/300}', "");
    Expect(0, 73679, '\P{Is_Nv=60/300}', "");
    Expect(1, 73679, '\P{^Is_Nv=60/300}', "");
    Expect(0, 73680, '\p{Is_Nv=60/300}', "");
    Expect(1, 73680, '\p{^Is_Nv=60/300}', "");
    Expect(1, 73680, '\P{Is_Nv=60/300}', "");
    Expect(0, 73680, '\P{^Is_Nv=60/300}', "");
    Expect(1, 73679, '\p{Is_Nv=2.0e-01}', "");
    Expect(0, 73679, '\p{^Is_Nv=2.0e-01}', "");
    Expect(0, 73679, '\P{Is_Nv=2.0e-01}', "");
    Expect(1, 73679, '\P{^Is_Nv=2.0e-01}', "");
    Expect(0, 73680, '\p{Is_Nv=2.0e-01}', "");
    Expect(1, 73680, '\p{^Is_Nv=2.0e-01}', "");
    Expect(1, 73680, '\P{Is_Nv=2.0e-01}', "");
    Expect(0, 73680, '\P{^Is_Nv=2.0e-01}', "");
    Expect(1, 73679, '\p{Is_Nv=0.2}', "");
    Expect(0, 73679, '\p{^Is_Nv=0.2}', "");
    Expect(0, 73679, '\P{Is_Nv=0.2}', "");
    Expect(1, 73679, '\P{^Is_Nv=0.2}', "");
    Expect(0, 73680, '\p{Is_Nv=0.2}', "");
    Expect(1, 73680, '\p{^Is_Nv=0.2}', "");
    Expect(1, 73680, '\P{Is_Nv=0.2}', "");
    Expect(0, 73680, '\P{^Is_Nv=0.2}', "");
    Expect(1, 73679, '\p{Is_Nv=2.00e-01}', "");
    Expect(0, 73679, '\p{^Is_Nv=2.00e-01}', "");
    Expect(0, 73679, '\P{Is_Nv=2.00e-01}', "");
    Expect(1, 73679, '\P{^Is_Nv=2.00e-01}', "");
    Expect(0, 73680, '\p{Is_Nv=2.00e-01}', "");
    Expect(1, 73680, '\p{^Is_Nv=2.00e-01}', "");
    Expect(1, 73680, '\P{Is_Nv=2.00e-01}', "");
    Expect(0, 73680, '\P{^Is_Nv=2.00e-01}', "");
    Expect(1, 73679, '\p{Is_Nv=0.20}', "");
    Expect(0, 73679, '\p{^Is_Nv=0.20}', "");
    Expect(0, 73679, '\P{Is_Nv=0.20}', "");
    Expect(1, 73679, '\P{^Is_Nv=0.20}', "");
    Expect(0, 73680, '\p{Is_Nv=0.20}', "");
    Expect(1, 73680, '\p{^Is_Nv=0.20}', "");
    Expect(1, 73680, '\P{Is_Nv=0.20}', "");
    Expect(0, 73680, '\P{^Is_Nv=0.20}', "");
    Error('\p{Numeric_Value=-01/00000006:=}');
    Error('\P{Numeric_Value=-01/00000006:=}');
    Expect(1, 126269, '\p{Numeric_Value=:\A1/6\z:}', "");;
    Expect(0, 126270, '\p{Numeric_Value=:\A1/6\z:}', "");;
    Expect(1, 126269, '\p{Numeric_Value=+001/0006}', "");
    Expect(0, 126269, '\p{^Numeric_Value=+001/0006}', "");
    Expect(0, 126269, '\P{Numeric_Value=+001/0006}', "");
    Expect(1, 126269, '\P{^Numeric_Value=+001/0006}', "");
    Expect(0, 126270, '\p{Numeric_Value=+001/0006}', "");
    Expect(1, 126270, '\p{^Numeric_Value=+001/0006}', "");
    Expect(1, 126270, '\P{Numeric_Value=+001/0006}', "");
    Expect(0, 126270, '\P{^Numeric_Value=+001/0006}', "");
    Expect(1, 126269, '\p{Numeric_Value=60/360}', "");
    Expect(0, 126269, '\p{^Numeric_Value=60/360}', "");
    Expect(0, 126269, '\P{Numeric_Value=60/360}', "");
    Expect(1, 126269, '\P{^Numeric_Value=60/360}', "");
    Expect(0, 126270, '\p{Numeric_Value=60/360}', "");
    Expect(1, 126270, '\p{^Numeric_Value=60/360}', "");
    Expect(1, 126270, '\P{Numeric_Value=60/360}', "");
    Expect(0, 126270, '\P{^Numeric_Value=60/360}', "");
    Error('\p{Numeric_Value=1.7e-01}');
    Error('\P{Numeric_Value=1.7e-01}');
    Error('\p{Numeric_Value=1.67e-01}');
    Error('\P{Numeric_Value=1.67e-01}');
    Error('\p{Numeric_Value=0.17}');
    Error('\P{Numeric_Value=0.17}');
    Expect(1, 126269, '\p{Numeric_Value=1.667e-01}', "");
    Expect(0, 126269, '\p{^Numeric_Value=1.667e-01}', "");
    Expect(0, 126269, '\P{Numeric_Value=1.667e-01}', "");
    Expect(1, 126269, '\P{^Numeric_Value=1.667e-01}', "");
    Expect(0, 126270, '\p{Numeric_Value=1.667e-01}', "");
    Expect(1, 126270, '\p{^Numeric_Value=1.667e-01}', "");
    Expect(1, 126270, '\P{Numeric_Value=1.667e-01}', "");
    Expect(0, 126270, '\P{^Numeric_Value=1.667e-01}', "");
    Error('\p{Numeric_Value=0.167}');
    Error('\P{Numeric_Value=0.167}');
    Expect(1, 126269, '\p{Numeric_Value=1.6667e-01}', "");
    Expect(0, 126269, '\p{^Numeric_Value=1.6667e-01}', "");
    Expect(0, 126269, '\P{Numeric_Value=1.6667e-01}', "");
    Expect(1, 126269, '\P{^Numeric_Value=1.6667e-01}', "");
    Expect(0, 126270, '\p{Numeric_Value=1.6667e-01}', "");
    Expect(1, 126270, '\p{^Numeric_Value=1.6667e-01}', "");
    Expect(1, 126270, '\P{Numeric_Value=1.6667e-01}', "");
    Expect(0, 126270, '\P{^Numeric_Value=1.6667e-01}', "");
    Expect(1, 126269, '\p{Numeric_Value=0.1667}', "");
    Expect(0, 126269, '\p{^Numeric_Value=0.1667}', "");
    Expect(0, 126269, '\P{Numeric_Value=0.1667}', "");
    Expect(1, 126269, '\P{^Numeric_Value=0.1667}', "");
    Expect(0, 126270, '\p{Numeric_Value=0.1667}', "");
    Expect(1, 126270, '\p{^Numeric_Value=0.1667}', "");
    Expect(1, 126270, '\P{Numeric_Value=0.1667}', "");
    Expect(0, 126270, '\P{^Numeric_Value=0.1667}', "");
    Expect(1, 126269, '\p{Numeric_Value=1.66667e-01}', "");
    Expect(0, 126269, '\p{^Numeric_Value=1.66667e-01}', "");
    Expect(0, 126269, '\P{Numeric_Value=1.66667e-01}', "");
    Expect(1, 126269, '\P{^Numeric_Value=1.66667e-01}', "");
    Expect(0, 126270, '\p{Numeric_Value=1.66667e-01}', "");
    Expect(1, 126270, '\p{^Numeric_Value=1.66667e-01}', "");
    Expect(1, 126270, '\P{Numeric_Value=1.66667e-01}', "");
    Expect(0, 126270, '\P{^Numeric_Value=1.66667e-01}', "");
    Expect(1, 126269, '\p{Numeric_Value=0.16667}', "");
    Expect(0, 126269, '\p{^Numeric_Value=0.16667}', "");
    Expect(0, 126269, '\P{Numeric_Value=0.16667}', "");
    Expect(1, 126269, '\P{^Numeric_Value=0.16667}', "");
    Expect(0, 126270, '\p{Numeric_Value=0.16667}', "");
    Expect(1, 126270, '\p{^Numeric_Value=0.16667}', "");
    Expect(1, 126270, '\P{Numeric_Value=0.16667}', "");
    Expect(0, 126270, '\P{^Numeric_Value=0.16667}', "");
    Error('\p{Nv=-/a/0000001/000006}');
    Error('\P{Nv=-/a/0000001/000006}');
    Expect(1, 126269, '\p{Nv=:\A1/6\z:}', "");;
    Expect(0, 126270, '\p{Nv=:\A1/6\z:}', "");;
    Expect(1, 126269, '\p{Nv:   01/06}', "");
    Expect(0, 126269, '\p{^Nv:   01/06}', "");
    Expect(0, 126269, '\P{Nv:   01/06}', "");
    Expect(1, 126269, '\P{^Nv:   01/06}', "");
    Expect(0, 126270, '\p{Nv:   01/06}', "");
    Expect(1, 126270, '\p{^Nv:   01/06}', "");
    Expect(1, 126270, '\P{Nv:   01/06}', "");
    Expect(0, 126270, '\P{^Nv:   01/06}', "");
    Expect(1, 126269, '\p{Nv=60/360}', "");
    Expect(0, 126269, '\p{^Nv=60/360}', "");
    Expect(0, 126269, '\P{Nv=60/360}', "");
    Expect(1, 126269, '\P{^Nv=60/360}', "");
    Expect(0, 126270, '\p{Nv=60/360}', "");
    Expect(1, 126270, '\p{^Nv=60/360}', "");
    Expect(1, 126270, '\P{Nv=60/360}', "");
    Expect(0, 126270, '\P{^Nv=60/360}', "");
    Error('\p{Nv=1.7e-01}');
    Error('\P{Nv=1.7e-01}');
    Error('\p{Nv=1.67e-01}');
    Error('\P{Nv=1.67e-01}');
    Error('\p{Nv=0.17}');
    Error('\P{Nv=0.17}');
    Expect(1, 126269, '\p{Nv=1.667e-01}', "");
    Expect(0, 126269, '\p{^Nv=1.667e-01}', "");
    Expect(0, 126269, '\P{Nv=1.667e-01}', "");
    Expect(1, 126269, '\P{^Nv=1.667e-01}', "");
    Expect(0, 126270, '\p{Nv=1.667e-01}', "");
    Expect(1, 126270, '\p{^Nv=1.667e-01}', "");
    Expect(1, 126270, '\P{Nv=1.667e-01}', "");
    Expect(0, 126270, '\P{^Nv=1.667e-01}', "");
    Error('\p{Nv=0.167}');
    Error('\P{Nv=0.167}');
    Expect(1, 126269, '\p{Nv=1.6667e-01}', "");
    Expect(0, 126269, '\p{^Nv=1.6667e-01}', "");
    Expect(0, 126269, '\P{Nv=1.6667e-01}', "");
    Expect(1, 126269, '\P{^Nv=1.6667e-01}', "");
    Expect(0, 126270, '\p{Nv=1.6667e-01}', "");
    Expect(1, 126270, '\p{^Nv=1.6667e-01}', "");
    Expect(1, 126270, '\P{Nv=1.6667e-01}', "");
    Expect(0, 126270, '\P{^Nv=1.6667e-01}', "");
    Expect(1, 126269, '\p{Nv: 0.1667}', "");
    Expect(0, 126269, '\p{^Nv: 0.1667}', "");
    Expect(0, 126269, '\P{Nv: 0.1667}', "");
    Expect(1, 126269, '\P{^Nv: 0.1667}', "");
    Expect(0, 126270, '\p{Nv: 0.1667}', "");
    Expect(1, 126270, '\p{^Nv: 0.1667}', "");
    Expect(1, 126270, '\P{Nv: 0.1667}', "");
    Expect(0, 126270, '\P{^Nv: 0.1667}', "");
    Expect(1, 126269, '\p{Nv=1.66667e-01}', "");
    Expect(0, 126269, '\p{^Nv=1.66667e-01}', "");
    Expect(0, 126269, '\P{Nv=1.66667e-01}', "");
    Expect(1, 126269, '\P{^Nv=1.66667e-01}', "");
    Expect(0, 126270, '\p{Nv=1.66667e-01}', "");
    Expect(1, 126270, '\p{^Nv=1.66667e-01}', "");
    Expect(1, 126270, '\P{Nv=1.66667e-01}', "");
    Expect(0, 126270, '\P{^Nv=1.66667e-01}', "");
    Expect(1, 126269, '\p{Nv=0.16667}', "");
    Expect(0, 126269, '\p{^Nv=0.16667}', "");
    Expect(0, 126269, '\P{Nv=0.16667}', "");
    Expect(1, 126269, '\P{^Nv=0.16667}', "");
    Expect(0, 126270, '\p{Nv=0.16667}', "");
    Expect(1, 126270, '\p{^Nv=0.16667}', "");
    Expect(1, 126270, '\P{Nv=0.16667}', "");
    Expect(0, 126270, '\P{^Nv=0.16667}', "");
    Error('\p{Is_Numeric_Value=/a/-0000000001/000006}');
    Error('\P{Is_Numeric_Value=/a/-0000000001/000006}');
    Expect(1, 126269, '\p{Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(0, 126269, '\p{^Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(0, 126269, '\P{Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(1, 126269, '\P{^Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(0, 126270, '\p{Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(1, 126270, '\p{^Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(1, 126270, '\P{Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(0, 126270, '\P{^Is_Numeric_Value=+000000001/0000000006}', "");
    Expect(1, 126269, '\p{Is_Numeric_Value=60/360}', "");
    Expect(0, 126269, '\p{^Is_Numeric_Value=60/360}', "");
    Expect(0, 126269, '\P{Is_Numeric_Value=60/360}', "");
    Expect(1, 126269, '\P{^Is_Numeric_Value=60/360}', "");
    Expect(0, 126270, '\p{Is_Numeric_Value=60/360}', "");
    Expect(1, 126270, '\p{^Is_Numeric_Value=60/360}', "");
    Expect(1, 126270, '\P{Is_Numeric_Value=60/360}', "");
    Expect(0, 126270, '\P{^Is_Numeric_Value=60/360}', "");
    Error('\p{Is_Numeric_Value=1.7e-01}');
    Error('\P{Is_Numeric_Value=1.7e-01}');
    Error('\p{Is_Numeric_Value=1.67e-01}');
    Error('\P{Is_Numeric_Value=1.67e-01}');
    Error('\p{Is_Numeric_Value=0.17}');
    Error('\P{Is_Numeric_Value=0.17}');
    Expect(1, 126269, '\p{Is_Numeric_Value:1.667e-01}', "");
    Expect(0, 126269, '\p{^Is_Numeric_Value:1.667e-01}', "");
    Expect(0, 126269, '\P{Is_Numeric_Value:1.667e-01}', "");
    Expect(1, 126269, '\P{^Is_Numeric_Value:1.667e-01}', "");
    Expect(0, 126270, '\p{Is_Numeric_Value:1.667e-01}', "");
    Expect(1, 126270, '\p{^Is_Numeric_Value:1.667e-01}', "");
    Expect(1, 126270, '\P{Is_Numeric_Value:1.667e-01}', "");
    Expect(0, 126270, '\P{^Is_Numeric_Value:1.667e-01}', "");
    Error('\p{Is_Numeric_Value=0.167}');
    Error('\P{Is_Numeric_Value=0.167}');
    Expect(1, 126269, '\p{Is_Numeric_Value=1.6667e-01}', "");
    Expect(0, 126269, '\p{^Is_Numeric_Value=1.6667e-01}', "");
    Expect(0, 126269, '\P{Is_Numeric_Value=1.6667e-01}', "");
    Expect(1, 126269, '\P{^Is_Numeric_Value=1.6667e-01}', "");
    Expect(0, 126270, '\p{Is_Numeric_Value=1.6667e-01}', "");
    Expect(1, 126270, '\p{^Is_Numeric_Value=1.6667e-01}', "");
    Expect(1, 126270, '\P{Is_Numeric_Value=1.6667e-01}', "");
    Expect(0, 126270, '\P{^Is_Numeric_Value=1.6667e-01}', "");
    Expect(1, 126269, '\p{Is_Numeric_Value=0.1667}', "");
    Expect(0, 126269, '\p{^Is_Numeric_Value=0.1667}', "");
    Expect(0, 126269, '\P{Is_Numeric_Value=0.1667}', "");
    Expect(1, 126269, '\P{^Is_Numeric_Value=0.1667}', "");
    Expect(0, 126270, '\p{Is_Numeric_Value=0.1667}', "");
    Expect(1, 126270, '\p{^Is_Numeric_Value=0.1667}', "");
    Expect(1, 126270, '\P{Is_Numeric_Value=0.1667}', "");
    Expect(0, 126270, '\P{^Is_Numeric_Value=0.1667}', "");
    Expect(1, 126269, '\p{Is_Numeric_Value=1.66667e-01}', "");
    Expect(0, 126269, '\p{^Is_Numeric_Value=1.66667e-01}', "");
    Expect(0, 126269, '\P{Is_Numeric_Value=1.66667e-01}', "");
    Expect(1, 126269, '\P{^Is_Numeric_Value=1.66667e-01}', "");
    Expect(0, 126270, '\p{Is_Numeric_Value=1.66667e-01}', "");
    Expect(1, 126270, '\p{^Is_Numeric_Value=1.66667e-01}', "");
    Expect(1, 126270, '\P{Is_Numeric_Value=1.66667e-01}', "");
    Expect(0, 126270, '\P{^Is_Numeric_Value=1.66667e-01}', "");
    Expect(1, 126269, '\p{Is_Numeric_Value=0.16667}', "");
    Expect(0, 126269, '\p{^Is_Numeric_Value=0.16667}', "");
    Expect(0, 126269, '\P{Is_Numeric_Value=0.16667}', "");
    Expect(1, 126269, '\P{^Is_Numeric_Value=0.16667}', "");
    Expect(0, 126270, '\p{Is_Numeric_Value=0.16667}', "");
    Expect(1, 126270, '\p{^Is_Numeric_Value=0.16667}', "");
    Expect(1, 126270, '\P{Is_Numeric_Value=0.16667}', "");
    Expect(0, 126270, '\P{^Is_Numeric_Value=0.16667}', "");
    Error('\p{Is_Nv=-_+00000001/6/a/}');
    Error('\P{Is_Nv=-_+00000001/6/a/}');
    Expect(1, 126269, '\p{Is_Nv:01/00000006}', "");
    Expect(0, 126269, '\p{^Is_Nv:01/00000006}', "");
    Expect(0, 126269, '\P{Is_Nv:01/00000006}', "");
    Expect(1, 126269, '\P{^Is_Nv:01/00000006}', "");
    Expect(0, 126270, '\p{Is_Nv:01/00000006}', "");
    Expect(1, 126270, '\p{^Is_Nv:01/00000006}', "");
    Expect(1, 126270, '\P{Is_Nv:01/00000006}', "");
    Expect(0, 126270, '\P{^Is_Nv:01/00000006}', "");
    Expect(1, 126269, '\p{Is_Nv=60/360}', "");
    Expect(0, 126269, '\p{^Is_Nv=60/360}', "");
    Expect(0, 126269, '\P{Is_Nv=60/360}', "");
    Expect(1, 126269, '\P{^Is_Nv=60/360}', "");
    Expect(0, 126270, '\p{Is_Nv=60/360}', "");
    Expect(1, 126270, '\p{^Is_Nv=60/360}', "");
    Expect(1, 126270, '\P{Is_Nv=60/360}', "");
    Expect(0, 126270, '\P{^Is_Nv=60/360}', "");
    Error('\p{Is_Nv=1.7e-01}');
    Error('\P{Is_Nv=1.7e-01}');
    Error('\p{Is_Nv=1.67e-01}');
    Error('\P{Is_Nv=1.67e-01}');
    Error('\p{Is_Nv=0.17}');
    Error('\P{Is_Nv=0.17}');
    Expect(1, 126269, '\p{Is_Nv=1.667e-01}', "");
    Expect(0, 126269, '\p{^Is_Nv=1.667e-01}', "");
    Expect(0, 126269, '\P{Is_Nv=1.667e-01}', "");
    Expect(1, 126269, '\P{^Is_Nv=1.667e-01}', "");
    Expect(0, 126270, '\p{Is_Nv=1.667e-01}', "");
    Expect(1, 126270, '\p{^Is_Nv=1.667e-01}', "");
    Expect(1, 126270, '\P{Is_Nv=1.667e-01}', "");
    Expect(0, 126270, '\P{^Is_Nv=1.667e-01}', "");
    Error('\p{Is_Nv=0.167}');
    Error('\P{Is_Nv=0.167}');
    Expect(1, 126269, '\p{Is_Nv=1.6667e-01}', "");
    Expect(0, 126269, '\p{^Is_Nv=1.6667e-01}', "");
    Expect(0, 126269, '\P{Is_Nv=1.6667e-01}', "");
    Expect(1, 126269, '\P{^Is_Nv=1.6667e-01}', "");
    Expect(0, 126270, '\p{Is_Nv=1.6667e-01}', "");
    Expect(1, 126270, '\p{^Is_Nv=1.6667e-01}', "");
    Expect(1, 126270, '\P{Is_Nv=1.6667e-01}', "");
    Expect(0, 126270, '\P{^Is_Nv=1.6667e-01}', "");
    Expect(1, 126269, '\p{Is_Nv=0.1667}', "");
    Expect(0, 126269, '\p{^Is_Nv=0.1667}', "");
    Expect(0, 126269, '\P{Is_Nv=0.1667}', "");
    Expect(1, 126269, '\P{^Is_Nv=0.1667}', "");
    Expect(0, 126270, '\p{Is_Nv=0.1667}', "");
    Expect(1, 126270, '\p{^Is_Nv=0.1667}', "");
    Expect(1, 126270, '\P{Is_Nv=0.1667}', "");
    Expect(0, 126270, '\P{^Is_Nv=0.1667}', "");
    Expect(1, 126269, '\p{Is_Nv=1.66667e-01}', "");
    Expect(0, 126269, '\p{^Is_Nv=1.66667e-01}', "");
    Expect(0, 126269, '\P{Is_Nv=1.66667e-01}', "");
    Expect(1, 126269, '\P{^Is_Nv=1.66667e-01}', "");
    Expect(0, 126270, '\p{Is_Nv=1.66667e-01}', "");
    Expect(1, 126270, '\p{^Is_Nv=1.66667e-01}', "");
    Expect(1, 126270, '\P{Is_Nv=1.66667e-01}', "");
    Expect(0, 126270, '\P{^Is_Nv=1.66667e-01}', "");
    Expect(1, 126269, '\p{Is_Nv:   0.16667}', "");
    Expect(0, 126269, '\p{^Is_Nv:   0.16667}', "");
    Expect(0, 126269, '\P{Is_Nv:   0.16667}', "");
    Expect(1, 126269, '\P{^Is_Nv:   0.16667}', "");
    Expect(0, 126270, '\p{Is_Nv:   0.16667}', "");
    Expect(1, 126270, '\p{^Is_Nv:   0.16667}', "");
    Expect(1, 126270, '\P{Is_Nv:   0.16667}', "");
    Expect(0, 126270, '\P{^Is_Nv:   0.16667}', "");
    Error('\p{Numeric_Value=	+0001/0064/a/}');
    Error('\P{Numeric_Value=	+0001/0064/a/}');
    Expect(1, 73667, '\p{Numeric_Value=:\A1/64\z:}', "");;
    Expect(0, 73668, '\p{Numeric_Value=:\A1/64\z:}', "");;
    Expect(1, 73667, '\p{Numeric_Value=0000001/000064}', "");
    Expect(0, 73667, '\p{^Numeric_Value=0000001/000064}', "");
    Expect(0, 73667, '\P{Numeric_Value=0000001/000064}', "");
    Expect(1, 73667, '\P{^Numeric_Value=0000001/000064}', "");
    Expect(0, 73668, '\p{Numeric_Value=0000001/000064}', "");
    Expect(1, 73668, '\p{^Numeric_Value=0000001/000064}', "");
    Expect(1, 73668, '\P{Numeric_Value=0000001/000064}', "");
    Expect(0, 73668, '\P{^Numeric_Value=0000001/000064}', "");
    Expect(1, 73667, '\p{Numeric_Value=60/3840}', "");
    Expect(0, 73667, '\p{^Numeric_Value=60/3840}', "");
    Expect(0, 73667, '\P{Numeric_Value=60/3840}', "");
    Expect(1, 73667, '\P{^Numeric_Value=60/3840}', "");
    Expect(0, 73668, '\p{Numeric_Value=60/3840}', "");
    Expect(1, 73668, '\p{^Numeric_Value=60/3840}', "");
    Expect(1, 73668, '\P{Numeric_Value=60/3840}', "");
    Expect(0, 73668, '\P{^Numeric_Value=60/3840}', "");
    Error('\p{Numeric_Value=1.6e-02}');
    Error('\P{Numeric_Value=1.6e-02}');
    Error('\p{Numeric_Value:1.56e-02}');
    Error('\P{Numeric_Value:1.56e-02}');
    Error('\p{Numeric_Value=0.02}');
    Error('\P{Numeric_Value=0.02}');
    Expect(1, 73667, '\p{Numeric_Value: 1.562e-02}', "");
    Expect(0, 73667, '\p{^Numeric_Value: 1.562e-02}', "");
    Expect(0, 73667, '\P{Numeric_Value: 1.562e-02}', "");
    Expect(1, 73667, '\P{^Numeric_Value: 1.562e-02}', "");
    Expect(0, 73668, '\p{Numeric_Value: 1.562e-02}', "");
    Expect(1, 73668, '\p{^Numeric_Value: 1.562e-02}', "");
    Expect(1, 73668, '\P{Numeric_Value: 1.562e-02}', "");
    Expect(0, 73668, '\P{^Numeric_Value: 1.562e-02}', "");
    Error('\p{Numeric_Value=0.016}');
    Error('\P{Numeric_Value=0.016}');
    Expect(1, 73667, '\p{Numeric_Value=1.5625e-02}', "");
    Expect(0, 73667, '\p{^Numeric_Value=1.5625e-02}', "");
    Expect(0, 73667, '\P{Numeric_Value=1.5625e-02}', "");
    Expect(1, 73667, '\P{^Numeric_Value=1.5625e-02}', "");
    Expect(0, 73668, '\p{Numeric_Value=1.5625e-02}', "");
    Expect(1, 73668, '\p{^Numeric_Value=1.5625e-02}', "");
    Expect(1, 73668, '\P{Numeric_Value=1.5625e-02}', "");
    Expect(0, 73668, '\P{^Numeric_Value=1.5625e-02}', "");
    Error('\p{Numeric_Value=0.0156}');
    Error('\P{Numeric_Value=0.0156}');
    Expect(1, 73667, '\p{Numeric_Value=1.56250e-02}', "");
    Expect(0, 73667, '\p{^Numeric_Value=1.56250e-02}', "");
    Expect(0, 73667, '\P{Numeric_Value=1.56250e-02}', "");
    Expect(1, 73667, '\P{^Numeric_Value=1.56250e-02}', "");
    Expect(0, 73668, '\p{Numeric_Value=1.56250e-02}', "");
    Expect(1, 73668, '\p{^Numeric_Value=1.56250e-02}', "");
    Expect(1, 73668, '\P{Numeric_Value=1.56250e-02}', "");
    Expect(0, 73668, '\P{^Numeric_Value=1.56250e-02}', "");
    Expect(1, 73667, '\p{Numeric_Value:0.01562}', "");
    Expect(0, 73667, '\p{^Numeric_Value:0.01562}', "");
    Expect(0, 73667, '\P{Numeric_Value:0.01562}', "");
    Expect(1, 73667, '\P{^Numeric_Value:0.01562}', "");
    Expect(0, 73668, '\p{Numeric_Value:0.01562}', "");
    Expect(1, 73668, '\p{^Numeric_Value:0.01562}', "");
    Expect(1, 73668, '\P{Numeric_Value:0.01562}', "");
    Expect(0, 73668, '\P{^Numeric_Value:0.01562}', "");
    Expect(1, 73667, '\p{Numeric_Value=1.562500e-02}', "");
    Expect(0, 73667, '\p{^Numeric_Value=1.562500e-02}', "");
    Expect(0, 73667, '\P{Numeric_Value=1.562500e-02}', "");
    Expect(1, 73667, '\P{^Numeric_Value=1.562500e-02}', "");
    Expect(0, 73668, '\p{Numeric_Value=1.562500e-02}', "");
    Expect(1, 73668, '\p{^Numeric_Value=1.562500e-02}', "");
    Expect(1, 73668, '\P{Numeric_Value=1.562500e-02}', "");
    Expect(0, 73668, '\P{^Numeric_Value=1.562500e-02}', "");
    Expect(1, 73667, '\p{Numeric_Value=0.015625}', "");
    Expect(0, 73667, '\p{^Numeric_Value=0.015625}', "");
    Expect(0, 73667, '\P{Numeric_Value=0.015625}', "");
    Expect(1, 73667, '\P{^Numeric_Value=0.015625}', "");
    Expect(0, 73668, '\p{Numeric_Value=0.015625}', "");
    Expect(1, 73668, '\p{^Numeric_Value=0.015625}', "");
    Expect(1, 73668, '\P{Numeric_Value=0.015625}', "");
    Expect(0, 73668, '\P{^Numeric_Value=0.015625}', "");
    Error('\p{Nv=  +1/000000064/a/}');
    Error('\P{Nv=  +1/000000064/a/}');
    Expect(1, 73667, '\p{Nv=:\A1/64\z:}', "");;
    Expect(0, 73668, '\p{Nv=:\A1/64\z:}', "");;
    Expect(1, 73667, '\p{Nv=00000001/0000000064}', "");
    Expect(0, 73667, '\p{^Nv=00000001/0000000064}', "");
    Expect(0, 73667, '\P{Nv=00000001/0000000064}', "");
    Expect(1, 73667, '\P{^Nv=00000001/0000000064}', "");
    Expect(0, 73668, '\p{Nv=00000001/0000000064}', "");
    Expect(1, 73668, '\p{^Nv=00000001/0000000064}', "");
    Expect(1, 73668, '\P{Nv=00000001/0000000064}', "");
    Expect(0, 73668, '\P{^Nv=00000001/0000000064}', "");
    Expect(1, 73667, '\p{Nv=60/3840}', "");
    Expect(0, 73667, '\p{^Nv=60/3840}', "");
    Expect(0, 73667, '\P{Nv=60/3840}', "");
    Expect(1, 73667, '\P{^Nv=60/3840}', "");
    Expect(0, 73668, '\p{Nv=60/3840}', "");
    Expect(1, 73668, '\p{^Nv=60/3840}', "");
    Expect(1, 73668, '\P{Nv=60/3840}', "");
    Expect(0, 73668, '\P{^Nv=60/3840}', "");
    Error('\p{Nv=1.6e-02}');
    Error('\P{Nv=1.6e-02}');
    Error('\p{Nv=1.56e-02}');
    Error('\P{Nv=1.56e-02}');
    Error('\p{Nv=0.02}');
    Error('\P{Nv=0.02}');
    Expect(1, 73667, '\p{Nv=1.562e-02}', "");
    Expect(0, 73667, '\p{^Nv=1.562e-02}', "");
    Expect(0, 73667, '\P{Nv=1.562e-02}', "");
    Expect(1, 73667, '\P{^Nv=1.562e-02}', "");
    Expect(0, 73668, '\p{Nv=1.562e-02}', "");
    Expect(1, 73668, '\p{^Nv=1.562e-02}', "");
    Expect(1, 73668, '\P{Nv=1.562e-02}', "");
    Expect(0, 73668, '\P{^Nv=1.562e-02}', "");
    Error('\p{Nv=0.016}');
    Error('\P{Nv=0.016}');
    Expect(1, 73667, '\p{Nv=1.5625e-02}', "");
    Expect(0, 73667, '\p{^Nv=1.5625e-02}', "");
    Expect(0, 73667, '\P{Nv=1.5625e-02}', "");
    Expect(1, 73667, '\P{^Nv=1.5625e-02}', "");
    Expect(0, 73668, '\p{Nv=1.5625e-02}', "");
    Expect(1, 73668, '\p{^Nv=1.5625e-02}', "");
    Expect(1, 73668, '\P{Nv=1.5625e-02}', "");
    Expect(0, 73668, '\P{^Nv=1.5625e-02}', "");
    Error('\p{Nv=0.0156}');
    Error('\P{Nv=0.0156}');
    Expect(1, 73667, '\p{Nv: 1.56250e-02}', "");
    Expect(0, 73667, '\p{^Nv: 1.56250e-02}', "");
    Expect(0, 73667, '\P{Nv: 1.56250e-02}', "");
    Expect(1, 73667, '\P{^Nv: 1.56250e-02}', "");
    Expect(0, 73668, '\p{Nv: 1.56250e-02}', "");
    Expect(1, 73668, '\p{^Nv: 1.56250e-02}', "");
    Expect(1, 73668, '\P{Nv: 1.56250e-02}', "");
    Expect(0, 73668, '\P{^Nv: 1.56250e-02}', "");
    Expect(1, 73667, '\p{Nv=0.01562}', "");
    Expect(0, 73667, '\p{^Nv=0.01562}', "");
    Expect(0, 73667, '\P{Nv=0.01562}', "");
    Expect(1, 73667, '\P{^Nv=0.01562}', "");
    Expect(0, 73668, '\p{Nv=0.01562}', "");
    Expect(1, 73668, '\p{^Nv=0.01562}', "");
    Expect(1, 73668, '\P{Nv=0.01562}', "");
    Expect(0, 73668, '\P{^Nv=0.01562}', "");
    Expect(1, 73667, '\p{Nv=1.562500e-02}', "");
    Expect(0, 73667, '\p{^Nv=1.562500e-02}', "");
    Expect(0, 73667, '\P{Nv=1.562500e-02}', "");
    Expect(1, 73667, '\P{^Nv=1.562500e-02}', "");
    Expect(0, 73668, '\p{Nv=1.562500e-02}', "");
    Expect(1, 73668, '\p{^Nv=1.562500e-02}', "");
    Expect(1, 73668, '\P{Nv=1.562500e-02}', "");
    Expect(0, 73668, '\P{^Nv=1.562500e-02}', "");
    Expect(1, 73667, '\p{Nv=0.015625}', "");
    Expect(0, 73667, '\p{^Nv=0.015625}', "");
    Expect(0, 73667, '\P{Nv=0.015625}', "");
    Expect(1, 73667, '\P{^Nv=0.015625}', "");
    Expect(0, 73668, '\p{Nv=0.015625}', "");
    Expect(1, 73668, '\p{^Nv=0.015625}', "");
    Expect(1, 73668, '\P{Nv=0.015625}', "");
    Expect(0, 73668, '\P{^Nv=0.015625}', "");
    Error('\p{Is_Numeric_Value=:=+0000001/0000000064}');
    Error('\P{Is_Numeric_Value=:=+0000001/0000000064}');
    Expect(1, 73667, '\p{Is_Numeric_Value=+0001/00000000064}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value=+0001/00000000064}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value=+0001/00000000064}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value=+0001/00000000064}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value=+0001/00000000064}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value=+0001/00000000064}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value=+0001/00000000064}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value=+0001/00000000064}', "");
    Expect(1, 73667, '\p{Is_Numeric_Value:	60/3840}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value:	60/3840}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value:	60/3840}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value:	60/3840}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value:	60/3840}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value:	60/3840}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value:	60/3840}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value:	60/3840}', "");
    Error('\p{Is_Numeric_Value=1.6e-02}');
    Error('\P{Is_Numeric_Value=1.6e-02}');
    Error('\p{Is_Numeric_Value=1.56e-02}');
    Error('\P{Is_Numeric_Value=1.56e-02}');
    Error('\p{Is_Numeric_Value=0.02}');
    Error('\P{Is_Numeric_Value=0.02}');
    Expect(1, 73667, '\p{Is_Numeric_Value=1.562e-02}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value=1.562e-02}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value=1.562e-02}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value=1.562e-02}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value=1.562e-02}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value=1.562e-02}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value=1.562e-02}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value=1.562e-02}', "");
    Error('\p{Is_Numeric_Value=0.016}');
    Error('\P{Is_Numeric_Value=0.016}');
    Expect(1, 73667, '\p{Is_Numeric_Value=1.5625e-02}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value=1.5625e-02}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value=1.5625e-02}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value=1.5625e-02}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value=1.5625e-02}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value=1.5625e-02}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value=1.5625e-02}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value=1.5625e-02}', "");
    Error('\p{Is_Numeric_Value=0.0156}');
    Error('\P{Is_Numeric_Value=0.0156}');
    Expect(1, 73667, '\p{Is_Numeric_Value=1.56250e-02}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value=1.56250e-02}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value=1.56250e-02}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value=1.56250e-02}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value=1.56250e-02}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value=1.56250e-02}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value=1.56250e-02}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value=1.56250e-02}', "");
    Expect(1, 73667, '\p{Is_Numeric_Value=0.01562}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value=0.01562}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value=0.01562}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value=0.01562}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value=0.01562}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value=0.01562}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value=0.01562}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value=0.01562}', "");
    Expect(1, 73667, '\p{Is_Numeric_Value=1.562500e-02}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value=1.562500e-02}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value=1.562500e-02}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value=1.562500e-02}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value=1.562500e-02}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value=1.562500e-02}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value=1.562500e-02}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value=1.562500e-02}', "");
    Expect(1, 73667, '\p{Is_Numeric_Value=0.015625}', "");
    Expect(0, 73667, '\p{^Is_Numeric_Value=0.015625}', "");
    Expect(0, 73667, '\P{Is_Numeric_Value=0.015625}', "");
    Expect(1, 73667, '\P{^Is_Numeric_Value=0.015625}', "");
    Expect(0, 73668, '\p{Is_Numeric_Value=0.015625}', "");
    Expect(1, 73668, '\p{^Is_Numeric_Value=0.015625}', "");
    Expect(1, 73668, '\P{Is_Numeric_Value=0.015625}', "");
    Expect(0, 73668, '\P{^Is_Numeric_Value=0.015625}', "");
    Error('\p{Is_Nv=_/a/+0001/000000064}');
    Error('\P{Is_Nv=_/a/+0001/000000064}');
    Expect(1, 73667, '\p{Is_Nv=0000000001/00000064}', "");
    Expect(0, 73667, '\p{^Is_Nv=0000000001/00000064}', "");
    Expect(0, 73667, '\P{Is_Nv=0000000001/00000064}', "");
    Expect(1, 73667, '\P{^Is_Nv=0000000001/00000064}', "");
    Expect(0, 73668, '\p{Is_Nv=0000000001/00000064}', "");
    Expect(1, 73668, '\p{^Is_Nv=0000000001/00000064}', "");
    Expect(1, 73668, '\P{Is_Nv=0000000001/00000064}', "");
    Expect(0, 73668, '\P{^Is_Nv=0000000001/00000064}', "");
    Expect(1, 73667, '\p{Is_Nv:   60/3840}', "");
    Expect(0, 73667, '\p{^Is_Nv:   60/3840}', "");
    Expect(0, 73667, '\P{Is_Nv:   60/3840}', "");
    Expect(1, 73667, '\P{^Is_Nv:   60/3840}', "");
    Expect(0, 73668, '\p{Is_Nv:   60/3840}', "");
    Expect(1, 73668, '\p{^Is_Nv:   60/3840}', "");
    Expect(1, 73668, '\P{Is_Nv:   60/3840}', "");
    Expect(0, 73668, '\P{^Is_Nv:   60/3840}', "");
    Error('\p{Is_Nv=1.6e-02}');
    Error('\P{Is_Nv=1.6e-02}');
    Error('\p{Is_Nv=1.56e-02}');
    Error('\P{Is_Nv=1.56e-02}');
    Error('\p{Is_Nv=0.02}');
    Error('\P{Is_Nv=0.02}');
    Expect(1, 73667, '\p{Is_Nv: 1.562e-02}', "");
    Expect(0, 73667, '\p{^Is_Nv: 1.562e-02}', "");
    Expect(0, 73667, '\P{Is_Nv: 1.562e-02}', "");
    Expect(1, 73667, '\P{^Is_Nv: 1.562e-02}', "");
    Expect(0, 73668, '\p{Is_Nv: 1.562e-02}', "");
    Expect(1, 73668, '\p{^Is_Nv: 1.562e-02}', "");
    Expect(1, 73668, '\P{Is_Nv: 1.562e-02}', "");
    Expect(0, 73668, '\P{^Is_Nv: 1.562e-02}', "");
    Error('\p{Is_Nv=0.016}');
    Error('\P{Is_Nv=0.016}');
    Expect(1, 73667, '\p{Is_Nv=1.5625e-02}', "");
    Expect(0, 73667, '\p{^Is_Nv=1.5625e-02}', "");
    Expect(0, 73667, '\P{Is_Nv=1.5625e-02}', "");
    Expect(1, 73667, '\P{^Is_Nv=1.5625e-02}', "");
    Expect(0, 73668, '\p{Is_Nv=1.5625e-02}', "");
    Expect(1, 73668, '\p{^Is_Nv=1.5625e-02}', "");
    Expect(1, 73668, '\P{Is_Nv=1.5625e-02}', "");
    Expect(0, 73668, '\P{^Is_Nv=1.5625e-02}', "");
    Error('\p{Is_Nv=0.0156}');
    Error('\P{Is_Nv=0.0156}');
    Expect(1, 73667, '\p{Is_Nv:   1.56250e-02}', "");
    Expect(0, 73667, '\p{^Is_Nv:   1.56250e-02}', "");
    Expect(0, 73667, '\P{Is_Nv:   1.56250e-02}', "");
    Expect(1, 73667, '\P{^Is_Nv:   1.56250e-02}', "");
    Expect(0, 73668, '\p{Is_Nv:   1.56250e-02}', "");
    Expect(1, 73668, '\p{^Is_Nv:   1.56250e-02}', "");
    Expect(1, 73668, '\P{Is_Nv:   1.56250e-02}', "");
    Expect(0, 73668, '\P{^Is_Nv:   1.56250e-02}', "");
    Expect(1, 73667, '\p{Is_Nv=0.01562}', "");
    Expect(0, 73667, '\p{^Is_Nv=0.01562}', "");
    Expect(0, 73667, '\P{Is_Nv=0.01562}', "");
    Expect(1, 73667, '\P{^Is_Nv=0.01562}', "");
    Expect(0, 73668, '\p{Is_Nv=0.01562}', "");
    Expect(1, 73668, '\p{^Is_Nv=0.01562}', "");
    Expect(1, 73668, '\P{Is_Nv=0.01562}', "");
    Expect(0, 73668, '\P{^Is_Nv=0.01562}', "");
    Expect(1, 73667, '\p{Is_Nv=1.562500e-02}', "");
    Expect(0, 73667, '\p{^Is_Nv=1.562500e-02}', "");
    Expect(0, 73667, '\P{Is_Nv=1.562500e-02}', "");
    Expect(1, 73667, '\P{^Is_Nv=1.562500e-02}', "");
    Expect(0, 73668, '\p{Is_Nv=1.562500e-02}', "");
    Expect(1, 73668, '\p{^Is_Nv=1.562500e-02}', "");
    Expect(1, 73668, '\P{Is_Nv=1.562500e-02}', "");
    Expect(0, 73668, '\P{^Is_Nv=1.562500e-02}', "");
    Expect(1, 73667, '\p{Is_Nv=0.015625}', "");
    Expect(0, 73667, '\p{^Is_Nv=0.015625}', "");
    Expect(0, 73667, '\P{Is_Nv=0.015625}', "");
    Expect(1, 73667, '\P{^Is_Nv=0.015625}', "");
    Expect(0, 73668, '\p{Is_Nv=0.015625}', "");
    Expect(1, 73668, '\p{^Is_Nv=0.015625}', "");
    Expect(1, 73668, '\P{Is_Nv=0.015625}', "");
    Expect(0, 73668, '\P{^Is_Nv=0.015625}', "");
    Error('\p{Numeric_Value=_-001/0007:=}');
    Error('\P{Numeric_Value=_-001/0007:=}');
    Expect(1, 8528, '\p{Numeric_Value=:\A1/7\z:}', "");;
    Expect(0, 8529, '\p{Numeric_Value=:\A1/7\z:}', "");;
    Expect(1, 8528, '\p{Numeric_Value=000001/0007}', "");
    Expect(0, 8528, '\p{^Numeric_Value=000001/0007}', "");
    Expect(0, 8528, '\P{Numeric_Value=000001/0007}', "");
    Expect(1, 8528, '\P{^Numeric_Value=000001/0007}', "");
    Expect(0, 8529, '\p{Numeric_Value=000001/0007}', "");
    Expect(1, 8529, '\p{^Numeric_Value=000001/0007}', "");
    Expect(1, 8529, '\P{Numeric_Value=000001/0007}', "");
    Expect(0, 8529, '\P{^Numeric_Value=000001/0007}', "");
    Expect(1, 8528, '\p{Numeric_Value:   60/420}', "");
    Expect(0, 8528, '\p{^Numeric_Value:   60/420}', "");
    Expect(0, 8528, '\P{Numeric_Value:   60/420}', "");
    Expect(1, 8528, '\P{^Numeric_Value:   60/420}', "");
    Expect(0, 8529, '\p{Numeric_Value:   60/420}', "");
    Expect(1, 8529, '\p{^Numeric_Value:   60/420}', "");
    Expect(1, 8529, '\P{Numeric_Value:   60/420}', "");
    Expect(0, 8529, '\P{^Numeric_Value:   60/420}', "");
    Error('\p{Numeric_Value:	1.4e-01}');
    Error('\P{Numeric_Value:	1.4e-01}');
    Error('\p{Numeric_Value=1.43e-01}');
    Error('\P{Numeric_Value=1.43e-01}');
    Error('\p{Numeric_Value=0.14}');
    Error('\P{Numeric_Value=0.14}');
    Expect(1, 8528, '\p{Numeric_Value=1.429e-01}', "");
    Expect(0, 8528, '\p{^Numeric_Value=1.429e-01}', "");
    Expect(0, 8528, '\P{Numeric_Value=1.429e-01}', "");
    Expect(1, 8528, '\P{^Numeric_Value=1.429e-01}', "");
    Expect(0, 8529, '\p{Numeric_Value=1.429e-01}', "");
    Expect(1, 8529, '\p{^Numeric_Value=1.429e-01}', "");
    Expect(1, 8529, '\P{Numeric_Value=1.429e-01}', "");
    Expect(0, 8529, '\P{^Numeric_Value=1.429e-01}', "");
    Error('\p{Numeric_Value=0.143}');
    Error('\P{Numeric_Value=0.143}');
    Expect(1, 8528, '\p{Numeric_Value:	1.4286e-01}', "");
    Expect(0, 8528, '\p{^Numeric_Value:	1.4286e-01}', "");
    Expect(0, 8528, '\P{Numeric_Value:	1.4286e-01}', "");
    Expect(1, 8528, '\P{^Numeric_Value:	1.4286e-01}', "");
    Expect(0, 8529, '\p{Numeric_Value:	1.4286e-01}', "");
    Expect(1, 8529, '\p{^Numeric_Value:	1.4286e-01}', "");
    Expect(1, 8529, '\P{Numeric_Value:	1.4286e-01}', "");
    Expect(0, 8529, '\P{^Numeric_Value:	1.4286e-01}', "");
    Expect(1, 8528, '\p{Numeric_Value=0.1429}', "");
    Expect(0, 8528, '\p{^Numeric_Value=0.1429}', "");
    Expect(0, 8528, '\P{Numeric_Value=0.1429}', "");
    Expect(1, 8528, '\P{^Numeric_Value=0.1429}', "");
    Expect(0, 8529, '\p{Numeric_Value=0.1429}', "");
    Expect(1, 8529, '\p{^Numeric_Value=0.1429}', "");
    Expect(1, 8529, '\P{Numeric_Value=0.1429}', "");
    Expect(0, 8529, '\P{^Numeric_Value=0.1429}', "");
    Expect(1, 8528, '\p{Numeric_Value: 1.42857e-01}', "");
    Expect(0, 8528, '\p{^Numeric_Value: 1.42857e-01}', "");
    Expect(0, 8528, '\P{Numeric_Value: 1.42857e-01}', "");
    Expect(1, 8528, '\P{^Numeric_Value: 1.42857e-01}', "");
    Expect(0, 8529, '\p{Numeric_Value: 1.42857e-01}', "");
    Expect(1, 8529, '\p{^Numeric_Value: 1.42857e-01}', "");
    Expect(1, 8529, '\P{Numeric_Value: 1.42857e-01}', "");
    Expect(0, 8529, '\P{^Numeric_Value: 1.42857e-01}', "");
    Expect(1, 8528, '\p{Numeric_Value=0.14286}', "");
    Expect(0, 8528, '\p{^Numeric_Value=0.14286}', "");
    Expect(0, 8528, '\P{Numeric_Value=0.14286}', "");
    Expect(1, 8528, '\P{^Numeric_Value=0.14286}', "");
    Expect(0, 8529, '\p{Numeric_Value=0.14286}', "");
    Expect(1, 8529, '\p{^Numeric_Value=0.14286}', "");
    Expect(1, 8529, '\P{Numeric_Value=0.14286}', "");
    Expect(0, 8529, '\P{^Numeric_Value=0.14286}', "");
    Error('\p{Nv=:=-001/07}');
    Error('\P{Nv=:=-001/07}');
    Expect(1, 8528, '\p{Nv=:\A1/7\z:}', "");;
    Expect(0, 8529, '\p{Nv=:\A1/7\z:}', "");;
    Expect(1, 8528, '\p{Nv=+001/000007}', "");
    Expect(0, 8528, '\p{^Nv=+001/000007}', "");
    Expect(0, 8528, '\P{Nv=+001/000007}', "");
    Expect(1, 8528, '\P{^Nv=+001/000007}', "");
    Expect(0, 8529, '\p{Nv=+001/000007}', "");
    Expect(1, 8529, '\p{^Nv=+001/000007}', "");
    Expect(1, 8529, '\P{Nv=+001/000007}', "");
    Expect(0, 8529, '\P{^Nv=+001/000007}', "");
    Expect(1, 8528, '\p{Nv=60/420}', "");
    Expect(0, 8528, '\p{^Nv=60/420}', "");
    Expect(0, 8528, '\P{Nv=60/420}', "");
    Expect(1, 8528, '\P{^Nv=60/420}', "");
    Expect(0, 8529, '\p{Nv=60/420}', "");
    Expect(1, 8529, '\p{^Nv=60/420}', "");
    Expect(1, 8529, '\P{Nv=60/420}', "");
    Expect(0, 8529, '\P{^Nv=60/420}', "");
    Error('\p{Nv=1.4e-01}');
    Error('\P{Nv=1.4e-01}');
    Error('\p{Nv=1.43e-01}');
    Error('\P{Nv=1.43e-01}');
    Error('\p{Nv=0.14}');
    Error('\P{Nv=0.14}');
    Expect(1, 8528, '\p{Nv:	1.429e-01}', "");
    Expect(0, 8528, '\p{^Nv:	1.429e-01}', "");
    Expect(0, 8528, '\P{Nv:	1.429e-01}', "");
    Expect(1, 8528, '\P{^Nv:	1.429e-01}', "");
    Expect(0, 8529, '\p{Nv:	1.429e-01}', "");
    Expect(1, 8529, '\p{^Nv:	1.429e-01}', "");
    Expect(1, 8529, '\P{Nv:	1.429e-01}', "");
    Expect(0, 8529, '\P{^Nv:	1.429e-01}', "");
    Error('\p{Nv=0.143}');
    Error('\P{Nv=0.143}');
    Expect(1, 8528, '\p{Nv:	1.4286e-01}', "");
    Expect(0, 8528, '\p{^Nv:	1.4286e-01}', "");
    Expect(0, 8528, '\P{Nv:	1.4286e-01}', "");
    Expect(1, 8528, '\P{^Nv:	1.4286e-01}', "");
    Expect(0, 8529, '\p{Nv:	1.4286e-01}', "");
    Expect(1, 8529, '\p{^Nv:	1.4286e-01}', "");
    Expect(1, 8529, '\P{Nv:	1.4286e-01}', "");
    Expect(0, 8529, '\P{^Nv:	1.4286e-01}', "");
    Expect(1, 8528, '\p{Nv=0.1429}', "");
    Expect(0, 8528, '\p{^Nv=0.1429}', "");
    Expect(0, 8528, '\P{Nv=0.1429}', "");
    Expect(1, 8528, '\P{^Nv=0.1429}', "");
    Expect(0, 8529, '\p{Nv=0.1429}', "");
    Expect(1, 8529, '\p{^Nv=0.1429}', "");
    Expect(1, 8529, '\P{Nv=0.1429}', "");
    Expect(0, 8529, '\P{^Nv=0.1429}', "");
    Expect(1, 8528, '\p{Nv=1.42857e-01}', "");
    Expect(0, 8528, '\p{^Nv=1.42857e-01}', "");
    Expect(0, 8528, '\P{Nv=1.42857e-01}', "");
    Expect(1, 8528, '\P{^Nv=1.42857e-01}', "");
    Expect(0, 8529, '\p{Nv=1.42857e-01}', "");
    Expect(1, 8529, '\p{^Nv=1.42857e-01}', "");
    Expect(1, 8529, '\P{Nv=1.42857e-01}', "");
    Expect(0, 8529, '\P{^Nv=1.42857e-01}', "");
    Expect(1, 8528, '\p{Nv:0.14286}', "");
    Expect(0, 8528, '\p{^Nv:0.14286}', "");
    Expect(0, 8528, '\P{Nv:0.14286}', "");
    Expect(1, 8528, '\P{^Nv:0.14286}', "");
    Expect(0, 8529, '\p{Nv:0.14286}', "");
    Expect(1, 8529, '\p{^Nv:0.14286}', "");
    Expect(1, 8529, '\P{Nv:0.14286}', "");
    Expect(0, 8529, '\P{^Nv:0.14286}', "");
    Error('\p{Is_Numeric_Value=	/a/00001/007}');
    Error('\P{Is_Numeric_Value=	/a/00001/007}');
    Expect(1, 8528, '\p{Is_Numeric_Value=000000001/0007}', "");
    Expect(0, 8528, '\p{^Is_Numeric_Value=000000001/0007}', "");
    Expect(0, 8528, '\P{Is_Numeric_Value=000000001/0007}', "");
    Expect(1, 8528, '\P{^Is_Numeric_Value=000000001/0007}', "");
    Expect(0, 8529, '\p{Is_Numeric_Value=000000001/0007}', "");
    Expect(1, 8529, '\p{^Is_Numeric_Value=000000001/0007}', "");
    Expect(1, 8529, '\P{Is_Numeric_Value=000000001/0007}', "");
    Expect(0, 8529, '\P{^Is_Numeric_Value=000000001/0007}', "");
    Expect(1, 8528, '\p{Is_Numeric_Value=60/420}', "");
    Expect(0, 8528, '\p{^Is_Numeric_Value=60/420}', "");
    Expect(0, 8528, '\P{Is_Numeric_Value=60/420}', "");
    Expect(1, 8528, '\P{^Is_Numeric_Value=60/420}', "");
    Expect(0, 8529, '\p{Is_Numeric_Value=60/420}', "");
    Expect(1, 8529, '\p{^Is_Numeric_Value=60/420}', "");
    Expect(1, 8529, '\P{Is_Numeric_Value=60/420}', "");
    Expect(0, 8529, '\P{^Is_Numeric_Value=60/420}', "");
    Error('\p{Is_Numeric_Value=1.4e-01}');
    Error('\P{Is_Numeric_Value=1.4e-01}');
    Error('\p{Is_Numeric_Value=1.43e-01}');
    Error('\P{Is_Numeric_Value=1.43e-01}');
    Error('\p{Is_Numeric_Value=0.14}');
    Error('\P{Is_Numeric_Value=0.14}');
    Expect(1, 8528, '\p{Is_Numeric_Value=1.429e-01}', "");
    Expect(0, 8528, '\p{^Is_Numeric_Value=1.429e-01}', "");
    Expect(0, 8528, '\P{Is_Numeric_Value=1.429e-01}', "");
    Expect(1, 8528, '\P{^Is_Numeric_Value=1.429e-01}', "");
    Expect(0, 8529, '\p{Is_Numeric_Value=1.429e-01}', "");
    Expect(1, 8529, '\p{^Is_Numeric_Value=1.429e-01}', "");
    Expect(1, 8529, '\P{Is_Numeric_Value=1.429e-01}', "");
    Expect(0, 8529, '\P{^Is_Numeric_Value=1.429e-01}', "");
    Error('\p{Is_Numeric_Value=0.143}');
    Error('\P{Is_Numeric_Value=0.143}');
    Expect(1, 8528, '\p{Is_Numeric_Value=1.4286e-01}', "");
    Expect(0, 8528, '\p{^Is_Numeric_Value=1.4286e-01}', "");
    Expect(0, 8528, '\P{Is_Numeric_Value=1.4286e-01}', "");
    Expect(1, 8528, '\P{^Is_Numeric_Value=1.4286e-01}', "");
    Expect(0, 8529, '\p{Is_Numeric_Value=1.4286e-01}', "");
    Expect(1, 8529, '\p{^Is_Numeric_Value=1.4286e-01}', "");
    Expect(1, 8529, '\P{Is_Numeric_Value=1.4286e-01}', "");
    Expect(0, 8529, '\P{^Is_Numeric_Value=1.4286e-01}', "");
    Expect(1, 8528, '\p{Is_Numeric_Value:	0.1429}', "");
    Expect(0, 8528, '\p{^Is_Numeric_Value:	0.1429}', "");
    Expect(0, 8528, '\P{Is_Numeric_Value:	0.1429}', "");
    Expect(1, 8528, '\P{^Is_Numeric_Value:	0.1429}', "");
    Expect(0, 8529, '\p{Is_Numeric_Value:	0.1429}', "");
    Expect(1, 8529, '\p{^Is_Numeric_Value:	0.1429}', "");
    Expect(1, 8529, '\P{Is_Numeric_Value:	0.1429}', "");
    Expect(0, 8529, '\P{^Is_Numeric_Value:	0.1429}', "");
    Expect(1, 8528, '\p{Is_Numeric_Value=1.42857e-01}', "");
    Expect(0, 8528, '\p{^Is_Numeric_Value=1.42857e-01}', "");
    Expect(0, 8528, '\P{Is_Numeric_Value=1.42857e-01}', "");
    Expect(1, 8528, '\P{^Is_Numeric_Value=1.42857e-01}', "");
    Expect(0, 8529, '\p{Is_Numeric_Value=1.42857e-01}', "");
    Expect(1, 8529, '\p{^Is_Numeric_Value=1.42857e-01}', "");
    Expect(1, 8529, '\P{Is_Numeric_Value=1.42857e-01}', "");
    Expect(0, 8529, '\P{^Is_Numeric_Value=1.42857e-01}', "");
    Expect(1, 8528, '\p{Is_Numeric_Value=0.14286}', "");
    Expect(0, 8528, '\p{^Is_Numeric_Value=0.14286}', "");
    Expect(0, 8528, '\P{Is_Numeric_Value=0.14286}', "");
    Expect(1, 8528, '\P{^Is_Numeric_Value=0.14286}', "");
    Expect(0, 8529, '\p{Is_Numeric_Value=0.14286}', "");
    Expect(1, 8529, '\p{^Is_Numeric_Value=0.14286}', "");
    Expect(1, 8529, '\P{Is_Numeric_Value=0.14286}', "");
    Expect(0, 8529, '\P{^Is_Numeric_Value=0.14286}', "");
    Error('\p{Is_Nv= /a/+000001/07}');
    Error('\P{Is_Nv= /a/+000001/07}');
    Expect(1, 8528, '\p{Is_Nv=+0001/7}', "");
    Expect(0, 8528, '\p{^Is_Nv=+0001/7}', "");
    Expect(0, 8528, '\P{Is_Nv=+0001/7}', "");
    Expect(1, 8528, '\P{^Is_Nv=+0001/7}', "");
    Expect(0, 8529, '\p{Is_Nv=+0001/7}', "");
    Expect(1, 8529, '\p{^Is_Nv=+0001/7}', "");
    Expect(1, 8529, '\P{Is_Nv=+0001/7}', "");
    Expect(0, 8529, '\P{^Is_Nv=+0001/7}', "");
    Expect(1, 8528, '\p{Is_Nv=60/420}', "");
    Expect(0, 8528, '\p{^Is_Nv=60/420}', "");
    Expect(0, 8528, '\P{Is_Nv=60/420}', "");
    Expect(1, 8528, '\P{^Is_Nv=60/420}', "");
    Expect(0, 8529, '\p{Is_Nv=60/420}', "");
    Expect(1, 8529, '\p{^Is_Nv=60/420}', "");
    Expect(1, 8529, '\P{Is_Nv=60/420}', "");
    Expect(0, 8529, '\P{^Is_Nv=60/420}', "");
    Error('\p{Is_Nv=1.4e-01}');
    Error('\P{Is_Nv=1.4e-01}');
    Error('\p{Is_Nv=1.43e-01}');
    Error('\P{Is_Nv=1.43e-01}');
    Error('\p{Is_Nv=0.14}');
    Error('\P{Is_Nv=0.14}');
    Expect(1, 8528, '\p{Is_Nv=1.429e-01}', "");
    Expect(0, 8528, '\p{^Is_Nv=1.429e-01}', "");
    Expect(0, 8528, '\P{Is_Nv=1.429e-01}', "");
    Expect(1, 8528, '\P{^Is_Nv=1.429e-01}', "");
    Expect(0, 8529, '\p{Is_Nv=1.429e-01}', "");
    Expect(1, 8529, '\p{^Is_Nv=1.429e-01}', "");
    Expect(1, 8529, '\P{Is_Nv=1.429e-01}', "");
    Expect(0, 8529, '\P{^Is_Nv=1.429e-01}', "");
    Error('\p{Is_Nv=0.143}');
    Error('\P{Is_Nv=0.143}');
    Expect(1, 8528, '\p{Is_Nv:	1.4286e-01}', "");
    Expect(0, 8528, '\p{^Is_Nv:	1.4286e-01}', "");
    Expect(0, 8528, '\P{Is_Nv:	1.4286e-01}', "");
    Expect(1, 8528, '\P{^Is_Nv:	1.4286e-01}', "");
    Expect(0, 8529, '\p{Is_Nv:	1.4286e-01}', "");
    Expect(1, 8529, '\p{^Is_Nv:	1.4286e-01}', "");
    Expect(1, 8529, '\P{Is_Nv:	1.4286e-01}', "");
    Expect(0, 8529, '\P{^Is_Nv:	1.4286e-01}', "");
    Expect(1, 8528, '\p{Is_Nv=0.1429}', "");
    Expect(0, 8528, '\p{^Is_Nv=0.1429}', "");
    Expect(0, 8528, '\P{Is_Nv=0.1429}', "");
    Expect(1, 8528, '\P{^Is_Nv=0.1429}', "");
    Expect(0, 8529, '\p{Is_Nv=0.1429}', "");
    Expect(1, 8529, '\p{^Is_Nv=0.1429}', "");
    Expect(1, 8529, '\P{Is_Nv=0.1429}', "");
    Expect(0, 8529, '\P{^Is_Nv=0.1429}', "");
    Expect(1, 8528, '\p{Is_Nv=1.42857e-01}', "");
    Expect(0, 8528, '\p{^Is_Nv=1.42857e-01}', "");
    Expect(0, 8528, '\P{Is_Nv=1.42857e-01}', "");
    Expect(1, 8528, '\P{^Is_Nv=1.42857e-01}', "");
    Expect(0, 8529, '\p{Is_Nv=1.42857e-01}', "");
    Expect(1, 8529, '\p{^Is_Nv=1.42857e-01}', "");
    Expect(1, 8529, '\P{Is_Nv=1.42857e-01}', "");
    Expect(0, 8529, '\P{^Is_Nv=1.42857e-01}', "");
    Expect(1, 8528, '\p{Is_Nv=0.14286}', "");
    Expect(0, 8528, '\p{^Is_Nv=0.14286}', "");
    Expect(0, 8528, '\P{Is_Nv=0.14286}', "");
    Expect(1, 8528, '\P{^Is_Nv=0.14286}', "");
    Expect(0, 8529, '\p{Is_Nv=0.14286}', "");
    Expect(1, 8529, '\p{^Is_Nv=0.14286}', "");
    Expect(1, 8529, '\P{Is_Nv=0.14286}', "");
    Expect(0, 8529, '\P{^Is_Nv=0.14286}', "");
    Error('\p{Numeric_Value: _:=+00001/00000008}');
    Error('\P{Numeric_Value: _:=+00001/00000008}');
    Expect(1, 74847, '\p{Numeric_Value=:\A1/8\z:}', "");;
    Expect(0, 74848, '\p{Numeric_Value=:\A1/8\z:}', "");;
    Expect(1, 74847, '\p{Numeric_Value=0001/0000008}', "");
    Expect(0, 74847, '\p{^Numeric_Value=0001/0000008}', "");
    Expect(0, 74847, '\P{Numeric_Value=0001/0000008}', "");
    Expect(1, 74847, '\P{^Numeric_Value=0001/0000008}', "");
    Expect(0, 74848, '\p{Numeric_Value=0001/0000008}', "");
    Expect(1, 74848, '\p{^Numeric_Value=0001/0000008}', "");
    Expect(1, 74848, '\P{Numeric_Value=0001/0000008}', "");
    Expect(0, 74848, '\P{^Numeric_Value=0001/0000008}', "");
    Expect(1, 74847, '\p{Numeric_Value=60/480}', "");
    Expect(0, 74847, '\p{^Numeric_Value=60/480}', "");
    Expect(0, 74847, '\P{Numeric_Value=60/480}', "");
    Expect(1, 74847, '\P{^Numeric_Value=60/480}', "");
    Expect(0, 74848, '\p{Numeric_Value=60/480}', "");
    Expect(1, 74848, '\p{^Numeric_Value=60/480}', "");
    Expect(1, 74848, '\P{Numeric_Value=60/480}', "");
    Expect(0, 74848, '\P{^Numeric_Value=60/480}', "");
    Error('\p{Numeric_Value=1.2e-01}');
    Error('\P{Numeric_Value=1.2e-01}');
    Expect(1, 74847, '\p{Numeric_Value=1.25e-01}', "");
    Expect(0, 74847, '\p{^Numeric_Value=1.25e-01}', "");
    Expect(0, 74847, '\P{Numeric_Value=1.25e-01}', "");
    Expect(1, 74847, '\P{^Numeric_Value=1.25e-01}', "");
    Expect(0, 74848, '\p{Numeric_Value=1.25e-01}', "");
    Expect(1, 74848, '\p{^Numeric_Value=1.25e-01}', "");
    Expect(1, 74848, '\P{Numeric_Value=1.25e-01}', "");
    Expect(0, 74848, '\P{^Numeric_Value=1.25e-01}', "");
    Error('\p{Numeric_Value=0.12}');
    Error('\P{Numeric_Value=0.12}');
    Expect(1, 74847, '\p{Numeric_Value=1.250e-01}', "");
    Expect(0, 74847, '\p{^Numeric_Value=1.250e-01}', "");
    Expect(0, 74847, '\P{Numeric_Value=1.250e-01}', "");
    Expect(1, 74847, '\P{^Numeric_Value=1.250e-01}', "");
    Expect(0, 74848, '\p{Numeric_Value=1.250e-01}', "");
    Expect(1, 74848, '\p{^Numeric_Value=1.250e-01}', "");
    Expect(1, 74848, '\P{Numeric_Value=1.250e-01}', "");
    Expect(0, 74848, '\P{^Numeric_Value=1.250e-01}', "");
    Expect(1, 74847, '\p{Numeric_Value=0.125}', "");
    Expect(0, 74847, '\p{^Numeric_Value=0.125}', "");
    Expect(0, 74847, '\P{Numeric_Value=0.125}', "");
    Expect(1, 74847, '\P{^Numeric_Value=0.125}', "");
    Expect(0, 74848, '\p{Numeric_Value=0.125}', "");
    Expect(1, 74848, '\p{^Numeric_Value=0.125}', "");
    Expect(1, 74848, '\P{Numeric_Value=0.125}', "");
    Expect(0, 74848, '\P{^Numeric_Value=0.125}', "");
    Expect(1, 74847, '\p{Numeric_Value=1.2500e-01}', "");
    Expect(0, 74847, '\p{^Numeric_Value=1.2500e-01}', "");
    Expect(0, 74847, '\P{Numeric_Value=1.2500e-01}', "");
    Expect(1, 74847, '\P{^Numeric_Value=1.2500e-01}', "");
    Expect(0, 74848, '\p{Numeric_Value=1.2500e-01}', "");
    Expect(1, 74848, '\p{^Numeric_Value=1.2500e-01}', "");
    Expect(1, 74848, '\P{Numeric_Value=1.2500e-01}', "");
    Expect(0, 74848, '\P{^Numeric_Value=1.2500e-01}', "");
    Expect(1, 74847, '\p{Numeric_Value=0.1250}', "");
    Expect(0, 74847, '\p{^Numeric_Value=0.1250}', "");
    Expect(0, 74847, '\P{Numeric_Value=0.1250}', "");
    Expect(1, 74847, '\P{^Numeric_Value=0.1250}', "");
    Expect(0, 74848, '\p{Numeric_Value=0.1250}', "");
    Expect(1, 74848, '\p{^Numeric_Value=0.1250}', "");
    Expect(1, 74848, '\P{Numeric_Value=0.1250}', "");
    Expect(0, 74848, '\P{^Numeric_Value=0.1250}', "");
    Error('\p{Nv=_000000001/000008:=}');
    Error('\P{Nv=_000000001/000008:=}');
    Expect(1, 74847, '\p{Nv=:\A1/8\z:}', "");;
    Expect(0, 74848, '\p{Nv=:\A1/8\z:}', "");;
    Expect(1, 74847, '\p{Nv=+001/008}', "");
    Expect(0, 74847, '\p{^Nv=+001/008}', "");
    Expect(0, 74847, '\P{Nv=+001/008}', "");
    Expect(1, 74847, '\P{^Nv=+001/008}', "");
    Expect(0, 74848, '\p{Nv=+001/008}', "");
    Expect(1, 74848, '\p{^Nv=+001/008}', "");
    Expect(1, 74848, '\P{Nv=+001/008}', "");
    Expect(0, 74848, '\P{^Nv=+001/008}', "");
    Expect(1, 74847, '\p{Nv:	60/480}', "");
    Expect(0, 74847, '\p{^Nv:	60/480}', "");
    Expect(0, 74847, '\P{Nv:	60/480}', "");
    Expect(1, 74847, '\P{^Nv:	60/480}', "");
    Expect(0, 74848, '\p{Nv:	60/480}', "");
    Expect(1, 74848, '\p{^Nv:	60/480}', "");
    Expect(1, 74848, '\P{Nv:	60/480}', "");
    Expect(0, 74848, '\P{^Nv:	60/480}', "");
    Error('\p{Nv: 1.2e-01}');
    Error('\P{Nv: 1.2e-01}');
    Expect(1, 74847, '\p{Nv=1.25e-01}', "");
    Expect(0, 74847, '\p{^Nv=1.25e-01}', "");
    Expect(0, 74847, '\P{Nv=1.25e-01}', "");
    Expect(1, 74847, '\P{^Nv=1.25e-01}', "");
    Expect(0, 74848, '\p{Nv=1.25e-01}', "");
    Expect(1, 74848, '\p{^Nv=1.25e-01}', "");
    Expect(1, 74848, '\P{Nv=1.25e-01}', "");
    Expect(0, 74848, '\P{^Nv=1.25e-01}', "");
    Error('\p{Nv=0.12}');
    Error('\P{Nv=0.12}');
    Expect(1, 74847, '\p{Nv=1.250e-01}', "");
    Expect(0, 74847, '\p{^Nv=1.250e-01}', "");
    Expect(0, 74847, '\P{Nv=1.250e-01}', "");
    Expect(1, 74847, '\P{^Nv=1.250e-01}', "");
    Expect(0, 74848, '\p{Nv=1.250e-01}', "");
    Expect(1, 74848, '\p{^Nv=1.250e-01}', "");
    Expect(1, 74848, '\P{Nv=1.250e-01}', "");
    Expect(0, 74848, '\P{^Nv=1.250e-01}', "");
    Expect(1, 74847, '\p{Nv:0.125}', "");
    Expect(0, 74847, '\p{^Nv:0.125}', "");
    Expect(0, 74847, '\P{Nv:0.125}', "");
    Expect(1, 74847, '\P{^Nv:0.125}', "");
    Expect(0, 74848, '\p{Nv:0.125}', "");
    Expect(1, 74848, '\p{^Nv:0.125}', "");
    Expect(1, 74848, '\P{Nv:0.125}', "");
    Expect(0, 74848, '\P{^Nv:0.125}', "");
    Expect(1, 74847, '\p{Nv=1.2500e-01}', "");
    Expect(0, 74847, '\p{^Nv=1.2500e-01}', "");
    Expect(0, 74847, '\P{Nv=1.2500e-01}', "");
    Expect(1, 74847, '\P{^Nv=1.2500e-01}', "");
    Expect(0, 74848, '\p{Nv=1.2500e-01}', "");
    Expect(1, 74848, '\p{^Nv=1.2500e-01}', "");
    Expect(1, 74848, '\P{Nv=1.2500e-01}', "");
    Expect(0, 74848, '\P{^Nv=1.2500e-01}', "");
    Expect(1, 74847, '\p{Nv=0.1250}', "");
    Expect(0, 74847, '\p{^Nv=0.1250}', "");
    Expect(0, 74847, '\P{Nv=0.1250}', "");
    Expect(1, 74847, '\P{^Nv=0.1250}', "");
    Expect(0, 74848, '\p{Nv=0.1250}', "");
    Expect(1, 74848, '\p{^Nv=0.1250}', "");
    Expect(1, 74848, '\P{Nv=0.1250}', "");
    Expect(0, 74848, '\P{^Nv=0.1250}', "");
    Error('\p{Is_Numeric_Value:   -:=+000000001/000008}');
    Error('\P{Is_Numeric_Value:   -:=+000000001/000008}');
    Expect(1, 74847, '\p{Is_Numeric_Value=0001/8}', "");
    Expect(0, 74847, '\p{^Is_Numeric_Value=0001/8}', "");
    Expect(0, 74847, '\P{Is_Numeric_Value=0001/8}', "");
    Expect(1, 74847, '\P{^Is_Numeric_Value=0001/8}', "");
    Expect(0, 74848, '\p{Is_Numeric_Value=0001/8}', "");
    Expect(1, 74848, '\p{^Is_Numeric_Value=0001/8}', "");
    Expect(1, 74848, '\P{Is_Numeric_Value=0001/8}', "");
    Expect(0, 74848, '\P{^Is_Numeric_Value=0001/8}', "");
    Expect(1, 74847, '\p{Is_Numeric_Value=60/480}', "");
    Expect(0, 74847, '\p{^Is_Numeric_Value=60/480}', "");
    Expect(0, 74847, '\P{Is_Numeric_Value=60/480}', "");
    Expect(1, 74847, '\P{^Is_Numeric_Value=60/480}', "");
    Expect(0, 74848, '\p{Is_Numeric_Value=60/480}', "");
    Expect(1, 74848, '\p{^Is_Numeric_Value=60/480}', "");
    Expect(1, 74848, '\P{Is_Numeric_Value=60/480}', "");
    Expect(0, 74848, '\P{^Is_Numeric_Value=60/480}', "");
    Error('\p{Is_Numeric_Value=1.2e-01}');
    Error('\P{Is_Numeric_Value=1.2e-01}');
    Expect(1, 74847, '\p{Is_Numeric_Value=1.25e-01}', "");
    Expect(0, 74847, '\p{^Is_Numeric_Value=1.25e-01}', "");
    Expect(0, 74847, '\P{Is_Numeric_Value=1.25e-01}', "");
    Expect(1, 74847, '\P{^Is_Numeric_Value=1.25e-01}', "");
    Expect(0, 74848, '\p{Is_Numeric_Value=1.25e-01}', "");
    Expect(1, 74848, '\p{^Is_Numeric_Value=1.25e-01}', "");
    Expect(1, 74848, '\P{Is_Numeric_Value=1.25e-01}', "");
    Expect(0, 74848, '\P{^Is_Numeric_Value=1.25e-01}', "");
    Error('\p{Is_Numeric_Value: 0.12}');
    Error('\P{Is_Numeric_Value: 0.12}');
    Expect(1, 74847, '\p{Is_Numeric_Value: 1.250e-01}', "");
    Expect(0, 74847, '\p{^Is_Numeric_Value: 1.250e-01}', "");
    Expect(0, 74847, '\P{Is_Numeric_Value: 1.250e-01}', "");
    Expect(1, 74847, '\P{^Is_Numeric_Value: 1.250e-01}', "");
    Expect(0, 74848, '\p{Is_Numeric_Value: 1.250e-01}', "");
    Expect(1, 74848, '\p{^Is_Numeric_Value: 1.250e-01}', "");
    Expect(1, 74848, '\P{Is_Numeric_Value: 1.250e-01}', "");
    Expect(0, 74848, '\P{^Is_Numeric_Value: 1.250e-01}', "");
    Expect(1, 74847, '\p{Is_Numeric_Value:   0.125}', "");
    Expect(0, 74847, '\p{^Is_Numeric_Value:   0.125}', "");
    Expect(0, 74847, '\P{Is_Numeric_Value:   0.125}', "");
    Expect(1, 74847, '\P{^Is_Numeric_Value:   0.125}', "");
    Expect(0, 74848, '\p{Is_Numeric_Value:   0.125}', "");
    Expect(1, 74848, '\p{^Is_Numeric_Value:   0.125}', "");
    Expect(1, 74848, '\P{Is_Numeric_Value:   0.125}', "");
    Expect(0, 74848, '\P{^Is_Numeric_Value:   0.125}', "");
    Expect(1, 74847, '\p{Is_Numeric_Value=1.2500e-01}', "");
    Expect(0, 74847, '\p{^Is_Numeric_Value=1.2500e-01}', "");
    Expect(0, 74847, '\P{Is_Numeric_Value=1.2500e-01}', "");
    Expect(1, 74847, '\P{^Is_Numeric_Value=1.2500e-01}', "");
    Expect(0, 74848, '\p{Is_Numeric_Value=1.2500e-01}', "");
    Expect(1, 74848, '\p{^Is_Numeric_Value=1.2500e-01}', "");
    Expect(1, 74848, '\P{Is_Numeric_Value=1.2500e-01}', "");
    Expect(0, 74848, '\P{^Is_Numeric_Value=1.2500e-01}', "");
    Expect(1, 74847, '\p{Is_Numeric_Value=0.1250}', "");
    Expect(0, 74847, '\p{^Is_Numeric_Value=0.1250}', "");
    Expect(0, 74847, '\P{Is_Numeric_Value=0.1250}', "");
    Expect(1, 74847, '\P{^Is_Numeric_Value=0.1250}', "");
    Expect(0, 74848, '\p{Is_Numeric_Value=0.1250}', "");
    Expect(1, 74848, '\p{^Is_Numeric_Value=0.1250}', "");
    Expect(1, 74848, '\P{Is_Numeric_Value=0.1250}', "");
    Expect(0, 74848, '\P{^Is_Numeric_Value=0.1250}', "");
    Error('\p{Is_Nv=/a/__+0000000001/0008}');
    Error('\P{Is_Nv=/a/__+0000000001/0008}');
    Expect(1, 74847, '\p{Is_Nv:   000001/8}', "");
    Expect(0, 74847, '\p{^Is_Nv:   000001/8}', "");
    Expect(0, 74847, '\P{Is_Nv:   000001/8}', "");
    Expect(1, 74847, '\P{^Is_Nv:   000001/8}', "");
    Expect(0, 74848, '\p{Is_Nv:   000001/8}', "");
    Expect(1, 74848, '\p{^Is_Nv:   000001/8}', "");
    Expect(1, 74848, '\P{Is_Nv:   000001/8}', "");
    Expect(0, 74848, '\P{^Is_Nv:   000001/8}', "");
    Expect(1, 74847, '\p{Is_Nv:   60/480}', "");
    Expect(0, 74847, '\p{^Is_Nv:   60/480}', "");
    Expect(0, 74847, '\P{Is_Nv:   60/480}', "");
    Expect(1, 74847, '\P{^Is_Nv:   60/480}', "");
    Expect(0, 74848, '\p{Is_Nv:   60/480}', "");
    Expect(1, 74848, '\p{^Is_Nv:   60/480}', "");
    Expect(1, 74848, '\P{Is_Nv:   60/480}', "");
    Expect(0, 74848, '\P{^Is_Nv:   60/480}', "");
    Error('\p{Is_Nv=1.2e-01}');
    Error('\P{Is_Nv=1.2e-01}');
    Expect(1, 74847, '\p{Is_Nv=1.25e-01}', "");
    Expect(0, 74847, '\p{^Is_Nv=1.25e-01}', "");
    Expect(0, 74847, '\P{Is_Nv=1.25e-01}', "");
    Expect(1, 74847, '\P{^Is_Nv=1.25e-01}', "");
    Expect(0, 74848, '\p{Is_Nv=1.25e-01}', "");
    Expect(1, 74848, '\p{^Is_Nv=1.25e-01}', "");
    Expect(1, 74848, '\P{Is_Nv=1.25e-01}', "");
    Expect(0, 74848, '\P{^Is_Nv=1.25e-01}', "");
    Error('\p{Is_Nv=0.12}');
    Error('\P{Is_Nv=0.12}');
    Expect(1, 74847, '\p{Is_Nv=1.250e-01}', "");
    Expect(0, 74847, '\p{^Is_Nv=1.250e-01}', "");
    Expect(0, 74847, '\P{Is_Nv=1.250e-01}', "");
    Expect(1, 74847, '\P{^Is_Nv=1.250e-01}', "");
    Expect(0, 74848, '\p{Is_Nv=1.250e-01}', "");
    Expect(1, 74848, '\p{^Is_Nv=1.250e-01}', "");
    Expect(1, 74848, '\P{Is_Nv=1.250e-01}', "");
    Expect(0, 74848, '\P{^Is_Nv=1.250e-01}', "");
    Expect(1, 74847, '\p{Is_Nv=0.125}', "");
    Expect(0, 74847, '\p{^Is_Nv=0.125}', "");
    Expect(0, 74847, '\P{Is_Nv=0.125}', "");
    Expect(1, 74847, '\P{^Is_Nv=0.125}', "");
    Expect(0, 74848, '\p{Is_Nv=0.125}', "");
    Expect(1, 74848, '\p{^Is_Nv=0.125}', "");
    Expect(1, 74848, '\P{Is_Nv=0.125}', "");
    Expect(0, 74848, '\P{^Is_Nv=0.125}', "");
    Expect(1, 74847, '\p{Is_Nv=1.2500e-01}', "");
    Expect(0, 74847, '\p{^Is_Nv=1.2500e-01}', "");
    Expect(0, 74847, '\P{Is_Nv=1.2500e-01}', "");
    Expect(1, 74847, '\P{^Is_Nv=1.2500e-01}', "");
    Expect(0, 74848, '\p{Is_Nv=1.2500e-01}', "");
    Expect(1, 74848, '\p{^Is_Nv=1.2500e-01}', "");
    Expect(1, 74848, '\P{Is_Nv=1.2500e-01}', "");
    Expect(0, 74848, '\P{^Is_Nv=1.2500e-01}', "");
    Expect(1, 74847, '\p{Is_Nv=0.1250}', "");
    Expect(0, 74847, '\p{^Is_Nv=0.1250}', "");
    Expect(0, 74847, '\P{Is_Nv=0.1250}', "");
    Expect(1, 74847, '\P{^Is_Nv=0.1250}', "");
    Expect(0, 74848, '\p{Is_Nv=0.1250}', "");
    Expect(1, 74848, '\p{^Is_Nv=0.1250}', "");
    Expect(1, 74848, '\P{Is_Nv=0.1250}', "");
    Expect(0, 74848, '\P{^Is_Nv=0.1250}', "");
    Error('\p{Numeric_Value=	/a/001/80}');
    Error('\P{Numeric_Value=	/a/001/80}');
    Expect(1, 73666, '\p{Numeric_Value=:\A1/80\z:}', "");;
    Expect(0, 73667, '\p{Numeric_Value=:\A1/80\z:}', "");;
    Expect(1, 73666, '\p{Numeric_Value=01/80}', "");
    Expect(0, 73666, '\p{^Numeric_Value=01/80}', "");
    Expect(0, 73666, '\P{Numeric_Value=01/80}', "");
    Expect(1, 73666, '\P{^Numeric_Value=01/80}', "");
    Expect(0, 73667, '\p{Numeric_Value=01/80}', "");
    Expect(1, 73667, '\p{^Numeric_Value=01/80}', "");
    Expect(1, 73667, '\P{Numeric_Value=01/80}', "");
    Expect(0, 73667, '\P{^Numeric_Value=01/80}', "");
    Expect(1, 73666, '\p{Numeric_Value=60/4800}', "");
    Expect(0, 73666, '\p{^Numeric_Value=60/4800}', "");
    Expect(0, 73666, '\P{Numeric_Value=60/4800}', "");
    Expect(1, 73666, '\P{^Numeric_Value=60/4800}', "");
    Expect(0, 73667, '\p{Numeric_Value=60/4800}', "");
    Expect(1, 73667, '\p{^Numeric_Value=60/4800}', "");
    Expect(1, 73667, '\P{Numeric_Value=60/4800}', "");
    Expect(0, 73667, '\P{^Numeric_Value=60/4800}', "");
    Error('\p{Numeric_Value=1.3e-02}');
    Error('\P{Numeric_Value=1.3e-02}');
    Expect(1, 73666, '\p{Numeric_Value=1.25e-02}', "");
    Expect(0, 73666, '\p{^Numeric_Value=1.25e-02}', "");
    Expect(0, 73666, '\P{Numeric_Value=1.25e-02}', "");
    Expect(1, 73666, '\P{^Numeric_Value=1.25e-02}', "");
    Expect(0, 73667, '\p{Numeric_Value=1.25e-02}', "");
    Expect(1, 73667, '\p{^Numeric_Value=1.25e-02}', "");
    Expect(1, 73667, '\P{Numeric_Value=1.25e-02}', "");
    Expect(0, 73667, '\P{^Numeric_Value=1.25e-02}', "");
    Error('\p{Numeric_Value=0.01}');
    Error('\P{Numeric_Value=0.01}');
    Expect(1, 73666, '\p{Numeric_Value=1.250e-02}', "");
    Expect(0, 73666, '\p{^Numeric_Value=1.250e-02}', "");
    Expect(0, 73666, '\P{Numeric_Value=1.250e-02}', "");
    Expect(1, 73666, '\P{^Numeric_Value=1.250e-02}', "");
    Expect(0, 73667, '\p{Numeric_Value=1.250e-02}', "");
    Expect(1, 73667, '\p{^Numeric_Value=1.250e-02}', "");
    Expect(1, 73667, '\P{Numeric_Value=1.250e-02}', "");
    Expect(0, 73667, '\P{^Numeric_Value=1.250e-02}', "");
    Error('\p{Numeric_Value:	0.013}');
    Error('\P{Numeric_Value:	0.013}');
    Expect(1, 73666, '\p{Numeric_Value=1.2500e-02}', "");
    Expect(0, 73666, '\p{^Numeric_Value=1.2500e-02}', "");
    Expect(0, 73666, '\P{Numeric_Value=1.2500e-02}', "");
    Expect(1, 73666, '\P{^Numeric_Value=1.2500e-02}', "");
    Expect(0, 73667, '\p{Numeric_Value=1.2500e-02}', "");
    Expect(1, 73667, '\p{^Numeric_Value=1.2500e-02}', "");
    Expect(1, 73667, '\P{Numeric_Value=1.2500e-02}', "");
    Expect(0, 73667, '\P{^Numeric_Value=1.2500e-02}', "");
    Expect(1, 73666, '\p{Numeric_Value=0.0125}', "");
    Expect(0, 73666, '\p{^Numeric_Value=0.0125}', "");
    Expect(0, 73666, '\P{Numeric_Value=0.0125}', "");
    Expect(1, 73666, '\P{^Numeric_Value=0.0125}', "");
    Expect(0, 73667, '\p{Numeric_Value=0.0125}', "");
    Expect(1, 73667, '\p{^Numeric_Value=0.0125}', "");
    Expect(1, 73667, '\P{Numeric_Value=0.0125}', "");
    Expect(0, 73667, '\P{^Numeric_Value=0.0125}', "");
    Expect(1, 73666, '\p{Numeric_Value=1.25000e-02}', "");
    Expect(0, 73666, '\p{^Numeric_Value=1.25000e-02}', "");
    Expect(0, 73666, '\P{Numeric_Value=1.25000e-02}', "");
    Expect(1, 73666, '\P{^Numeric_Value=1.25000e-02}', "");
    Expect(0, 73667, '\p{Numeric_Value=1.25000e-02}', "");
    Expect(1, 73667, '\p{^Numeric_Value=1.25000e-02}', "");
    Expect(1, 73667, '\P{Numeric_Value=1.25000e-02}', "");
    Expect(0, 73667, '\P{^Numeric_Value=1.25000e-02}', "");
    Expect(1, 73666, '\p{Numeric_Value=0.01250}', "");
    Expect(0, 73666, '\p{^Numeric_Value=0.01250}', "");
    Expect(0, 73666, '\P{Numeric_Value=0.01250}', "");
    Expect(1, 73666, '\P{^Numeric_Value=0.01250}', "");
    Expect(0, 73667, '\p{Numeric_Value=0.01250}', "");
    Expect(1, 73667, '\p{^Numeric_Value=0.01250}', "");
    Expect(1, 73667, '\P{Numeric_Value=0.01250}', "");
    Expect(0, 73667, '\P{^Numeric_Value=0.01250}', "");
    Error('\p{Nv:_ 001/0000080/a/}');
    Error('\P{Nv:_ 001/0000080/a/}');
    Expect(1, 73666, '\p{Nv=:\A1/80\z:}', "");;
    Expect(0, 73667, '\p{Nv=:\A1/80\z:}', "");;
    Expect(1, 73666, '\p{Nv=+000001/0000000080}', "");
    Expect(0, 73666, '\p{^Nv=+000001/0000000080}', "");
    Expect(0, 73666, '\P{Nv=+000001/0000000080}', "");
    Expect(1, 73666, '\P{^Nv=+000001/0000000080}', "");
    Expect(0, 73667, '\p{Nv=+000001/0000000080}', "");
    Expect(1, 73667, '\p{^Nv=+000001/0000000080}', "");
    Expect(1, 73667, '\P{Nv=+000001/0000000080}', "");
    Expect(0, 73667, '\P{^Nv=+000001/0000000080}', "");
    Expect(1, 73666, '\p{Nv: 60/4800}', "");
    Expect(0, 73666, '\p{^Nv: 60/4800}', "");
    Expect(0, 73666, '\P{Nv: 60/4800}', "");
    Expect(1, 73666, '\P{^Nv: 60/4800}', "");
    Expect(0, 73667, '\p{Nv: 60/4800}', "");
    Expect(1, 73667, '\p{^Nv: 60/4800}', "");
    Expect(1, 73667, '\P{Nv: 60/4800}', "");
    Expect(0, 73667, '\P{^Nv: 60/4800}', "");
    Error('\p{Nv=1.3e-02}');
    Error('\P{Nv=1.3e-02}');
    Expect(1, 73666, '\p{Nv=1.25e-02}', "");
    Expect(0, 73666, '\p{^Nv=1.25e-02}', "");
    Expect(0, 73666, '\P{Nv=1.25e-02}', "");
    Expect(1, 73666, '\P{^Nv=1.25e-02}', "");
    Expect(0, 73667, '\p{Nv=1.25e-02}', "");
    Expect(1, 73667, '\p{^Nv=1.25e-02}', "");
    Expect(1, 73667, '\P{Nv=1.25e-02}', "");
    Expect(0, 73667, '\P{^Nv=1.25e-02}', "");
    Error('\p{Nv=0.01}');
    Error('\P{Nv=0.01}');
    Expect(1, 73666, '\p{Nv=1.250e-02}', "");
    Expect(0, 73666, '\p{^Nv=1.250e-02}', "");
    Expect(0, 73666, '\P{Nv=1.250e-02}', "");
    Expect(1, 73666, '\P{^Nv=1.250e-02}', "");
    Expect(0, 73667, '\p{Nv=1.250e-02}', "");
    Expect(1, 73667, '\p{^Nv=1.250e-02}', "");
    Expect(1, 73667, '\P{Nv=1.250e-02}', "");
    Expect(0, 73667, '\P{^Nv=1.250e-02}', "");
    Error('\p{Nv=0.013}');
    Error('\P{Nv=0.013}');
    Expect(1, 73666, '\p{Nv=1.2500e-02}', "");
    Expect(0, 73666, '\p{^Nv=1.2500e-02}', "");
    Expect(0, 73666, '\P{Nv=1.2500e-02}', "");
    Expect(1, 73666, '\P{^Nv=1.2500e-02}', "");
    Expect(0, 73667, '\p{Nv=1.2500e-02}', "");
    Expect(1, 73667, '\p{^Nv=1.2500e-02}', "");
    Expect(1, 73667, '\P{Nv=1.2500e-02}', "");
    Expect(0, 73667, '\P{^Nv=1.2500e-02}', "");
    Expect(1, 73666, '\p{Nv=0.0125}', "");
    Expect(0, 73666, '\p{^Nv=0.0125}', "");
    Expect(0, 73666, '\P{Nv=0.0125}', "");
    Expect(1, 73666, '\P{^Nv=0.0125}', "");
    Expect(0, 73667, '\p{Nv=0.0125}', "");
    Expect(1, 73667, '\p{^Nv=0.0125}', "");
    Expect(1, 73667, '\P{Nv=0.0125}', "");
    Expect(0, 73667, '\P{^Nv=0.0125}', "");
    Expect(1, 73666, '\p{Nv=1.25000e-02}', "");
    Expect(0, 73666, '\p{^Nv=1.25000e-02}', "");
    Expect(0, 73666, '\P{Nv=1.25000e-02}', "");
    Expect(1, 73666, '\P{^Nv=1.25000e-02}', "");
    Expect(0, 73667, '\p{Nv=1.25000e-02}', "");
    Expect(1, 73667, '\p{^Nv=1.25000e-02}', "");
    Expect(1, 73667, '\P{Nv=1.25000e-02}', "");
    Expect(0, 73667, '\P{^Nv=1.25000e-02}', "");
    Expect(1, 73666, '\p{Nv=0.01250}', "");
    Expect(0, 73666, '\p{^Nv=0.01250}', "");
    Expect(0, 73666, '\P{Nv=0.01250}', "");
    Expect(1, 73666, '\P{^Nv=0.01250}', "");
    Expect(0, 73667, '\p{Nv=0.01250}', "");
    Expect(1, 73667, '\p{^Nv=0.01250}', "");
    Expect(1, 73667, '\P{Nv=0.01250}', "");
    Expect(0, 73667, '\P{^Nv=0.01250}', "");
    Error('\p{Is_Numeric_Value=/a/_001/0000080}');
    Error('\P{Is_Numeric_Value=/a/_001/0000080}');
    Expect(1, 73666, '\p{Is_Numeric_Value=1/00000000080}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value=1/00000000080}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value=1/00000000080}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value=1/00000000080}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value=1/00000000080}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value=1/00000000080}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value=1/00000000080}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value=1/00000000080}', "");
    Expect(1, 73666, '\p{Is_Numeric_Value=60/4800}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value=60/4800}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value=60/4800}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value=60/4800}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value=60/4800}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value=60/4800}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value=60/4800}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value=60/4800}', "");
    Error('\p{Is_Numeric_Value:1.3e-02}');
    Error('\P{Is_Numeric_Value:1.3e-02}');
    Expect(1, 73666, '\p{Is_Numeric_Value=1.25e-02}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value=1.25e-02}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value=1.25e-02}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value=1.25e-02}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value=1.25e-02}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value=1.25e-02}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value=1.25e-02}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value=1.25e-02}', "");
    Error('\p{Is_Numeric_Value=0.01}');
    Error('\P{Is_Numeric_Value=0.01}');
    Expect(1, 73666, '\p{Is_Numeric_Value=1.250e-02}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value=1.250e-02}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value=1.250e-02}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value=1.250e-02}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value=1.250e-02}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value=1.250e-02}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value=1.250e-02}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value=1.250e-02}', "");
    Error('\p{Is_Numeric_Value=0.013}');
    Error('\P{Is_Numeric_Value=0.013}');
    Expect(1, 73666, '\p{Is_Numeric_Value:1.2500e-02}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value:1.2500e-02}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value:1.2500e-02}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value:1.2500e-02}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value:1.2500e-02}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value:1.2500e-02}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value:1.2500e-02}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value:1.2500e-02}', "");
    Expect(1, 73666, '\p{Is_Numeric_Value:	0.0125}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value:	0.0125}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value:	0.0125}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value:	0.0125}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value:	0.0125}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value:	0.0125}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value:	0.0125}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value:	0.0125}', "");
    Expect(1, 73666, '\p{Is_Numeric_Value=1.25000e-02}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value=1.25000e-02}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value=1.25000e-02}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value=1.25000e-02}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value=1.25000e-02}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value=1.25000e-02}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value=1.25000e-02}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value=1.25000e-02}', "");
    Expect(1, 73666, '\p{Is_Numeric_Value=0.01250}', "");
    Expect(0, 73666, '\p{^Is_Numeric_Value=0.01250}', "");
    Expect(0, 73666, '\P{Is_Numeric_Value=0.01250}', "");
    Expect(1, 73666, '\P{^Is_Numeric_Value=0.01250}', "");
    Expect(0, 73667, '\p{Is_Numeric_Value=0.01250}', "");
    Expect(1, 73667, '\p{^Is_Numeric_Value=0.01250}', "");
    Expect(1, 73667, '\P{Is_Numeric_Value=0.01250}', "");
    Expect(0, 73667, '\P{^Is_Numeric_Value=0.01250}', "");
    Error('\p{Is_Nv= /a/0001/00080}');
    Error('\P{Is_Nv= /a/0001/00080}');
    Expect(1, 73666, '\p{Is_Nv=00000001/0000000080}', "");
    Expect(0, 73666, '\p{^Is_Nv=00000001/0000000080}', "");
    Expect(0, 73666, '\P{Is_Nv=00000001/0000000080}', "");
    Expect(1, 73666, '\P{^Is_Nv=00000001/0000000080}', "");
    Expect(0, 73667, '\p{Is_Nv=00000001/0000000080}', "");
    Expect(1, 73667, '\p{^Is_Nv=00000001/0000000080}', "");
    Expect(1, 73667, '\P{Is_Nv=00000001/0000000080}', "");
    Expect(0, 73667, '\P{^Is_Nv=00000001/0000000080}', "");
    Expect(1, 73666, '\p{Is_Nv=60/4800}', "");
    Expect(0, 73666, '\p{^Is_Nv=60/4800}', "");
    Expect(0, 73666, '\P{Is_Nv=60/4800}', "");
    Expect(1, 73666, '\P{^Is_Nv=60/4800}', "");
    Expect(0, 73667, '\p{Is_Nv=60/4800}', "");
    Expect(1, 73667, '\p{^Is_Nv=60/4800}', "");
    Expect(1, 73667, '\P{Is_Nv=60/4800}', "");
    Expect(0, 73667, '\P{^Is_Nv=60/4800}', "");
    Error('\p{Is_Nv=1.3e-02}');
    Error('\P{Is_Nv=1.3e-02}');
    Expect(1, 73666, '\p{Is_Nv=1.25e-02}', "");
    Expect(0, 73666, '\p{^Is_Nv=1.25e-02}', "");
    Expect(0, 73666, '\P{Is_Nv=1.25e-02}', "");
    Expect(1, 73666, '\P{^Is_Nv=1.25e-02}', "");
    Expect(0, 73667, '\p{Is_Nv=1.25e-02}', "");
    Expect(1, 73667, '\p{^Is_Nv=1.25e-02}', "");
    Expect(1, 73667, '\P{Is_Nv=1.25e-02}', "");
    Expect(0, 73667, '\P{^Is_Nv=1.25e-02}', "");
    Error('\p{Is_Nv=0.01}');
    Error('\P{Is_Nv=0.01}');
    Expect(1, 73666, '\p{Is_Nv=1.250e-02}', "");
    Expect(0, 73666, '\p{^Is_Nv=1.250e-02}', "");
    Expect(0, 73666, '\P{Is_Nv=1.250e-02}', "");
    Expect(1, 73666, '\P{^Is_Nv=1.250e-02}', "");
    Expect(0, 73667, '\p{Is_Nv=1.250e-02}', "");
    Expect(1, 73667, '\p{^Is_Nv=1.250e-02}', "");
    Expect(1, 73667, '\P{Is_Nv=1.250e-02}', "");
    Expect(0, 73667, '\P{^Is_Nv=1.250e-02}', "");
    Error('\p{Is_Nv=0.013}');
    Error('\P{Is_Nv=0.013}');
    Expect(1, 73666, '\p{Is_Nv=1.2500e-02}', "");
    Expect(0, 73666, '\p{^Is_Nv=1.2500e-02}', "");
    Expect(0, 73666, '\P{Is_Nv=1.2500e-02}', "");
    Expect(1, 73666, '\P{^Is_Nv=1.2500e-02}', "");
    Expect(0, 73667, '\p{Is_Nv=1.2500e-02}', "");
    Expect(1, 73667, '\p{^Is_Nv=1.2500e-02}', "");
    Expect(1, 73667, '\P{Is_Nv=1.2500e-02}', "");
    Expect(0, 73667, '\P{^Is_Nv=1.2500e-02}', "");
    Expect(1, 73666, '\p{Is_Nv:   0.0125}', "");
    Expect(0, 73666, '\p{^Is_Nv:   0.0125}', "");
    Expect(0, 73666, '\P{Is_Nv:   0.0125}', "");
    Expect(1, 73666, '\P{^Is_Nv:   0.0125}', "");
    Expect(0, 73667, '\p{Is_Nv:   0.0125}', "");
    Expect(1, 73667, '\p{^Is_Nv:   0.0125}', "");
    Expect(1, 73667, '\P{Is_Nv:   0.0125}', "");
    Expect(0, 73667, '\P{^Is_Nv:   0.0125}', "");
    Expect(1, 73666, '\p{Is_Nv=1.25000e-02}', "");
    Expect(0, 73666, '\p{^Is_Nv=1.25000e-02}', "");
    Expect(0, 73666, '\P{Is_Nv=1.25000e-02}', "");
    Expect(1, 73666, '\P{^Is_Nv=1.25000e-02}', "");
    Expect(0, 73667, '\p{Is_Nv=1.25000e-02}', "");
    Expect(1, 73667, '\p{^Is_Nv=1.25000e-02}', "");
    Expect(1, 73667, '\P{Is_Nv=1.25000e-02}', "");
    Expect(0, 73667, '\P{^Is_Nv=1.25000e-02}', "");
    Expect(1, 73666, '\p{Is_Nv=0.01250}', "");
    Expect(0, 73666, '\p{^Is_Nv=0.01250}', "");
    Expect(0, 73666, '\P{Is_Nv=0.01250}', "");
    Expect(1, 73666, '\P{^Is_Nv=0.01250}', "");
    Expect(0, 73667, '\p{Is_Nv=0.01250}', "");
    Expect(1, 73667, '\p{^Is_Nv=0.01250}', "");
    Expect(1, 73667, '\P{Is_Nv=0.01250}', "");
    Expect(0, 73667, '\P{^Is_Nv=0.01250}', "");
    Error('\p{Numeric_Value: 	000001/9/a/}');
    Error('\P{Numeric_Value: 	000001/9/a/}');
    Expect(1, 8529, '\p{Numeric_Value=:\A1/9\z:}', "");;
    Expect(0, 8530, '\p{Numeric_Value=:\A1/9\z:}', "");;
    Expect(1, 8529, '\p{Numeric_Value=0000000001/00009}', "");
    Expect(0, 8529, '\p{^Numeric_Value=0000000001/00009}', "");
    Expect(0, 8529, '\P{Numeric_Value=0000000001/00009}', "");
    Expect(1, 8529, '\P{^Numeric_Value=0000000001/00009}', "");
    Expect(0, 8530, '\p{Numeric_Value=0000000001/00009}', "");
    Expect(1, 8530, '\p{^Numeric_Value=0000000001/00009}', "");
    Expect(1, 8530, '\P{Numeric_Value=0000000001/00009}', "");
    Expect(0, 8530, '\P{^Numeric_Value=0000000001/00009}', "");
    Expect(1, 8529, '\p{Numeric_Value=60/540}', "");
    Expect(0, 8529, '\p{^Numeric_Value=60/540}', "");
    Expect(0, 8529, '\P{Numeric_Value=60/540}', "");
    Expect(1, 8529, '\P{^Numeric_Value=60/540}', "");
    Expect(0, 8530, '\p{Numeric_Value=60/540}', "");
    Expect(1, 8530, '\p{^Numeric_Value=60/540}', "");
    Expect(1, 8530, '\P{Numeric_Value=60/540}', "");
    Expect(0, 8530, '\P{^Numeric_Value=60/540}', "");
    Error('\p{Numeric_Value=1.1e-01}');
    Error('\P{Numeric_Value=1.1e-01}');
    Error('\p{Numeric_Value=1.11e-01}');
    Error('\P{Numeric_Value=1.11e-01}');
    Error('\p{Numeric_Value:0.11}');
    Error('\P{Numeric_Value:0.11}');
    Expect(1, 8529, '\p{Numeric_Value=1.111e-01}', "");
    Expect(0, 8529, '\p{^Numeric_Value=1.111e-01}', "");
    Expect(0, 8529, '\P{Numeric_Value=1.111e-01}', "");
    Expect(1, 8529, '\P{^Numeric_Value=1.111e-01}', "");
    Expect(0, 8530, '\p{Numeric_Value=1.111e-01}', "");
    Expect(1, 8530, '\p{^Numeric_Value=1.111e-01}', "");
    Expect(1, 8530, '\P{Numeric_Value=1.111e-01}', "");
    Expect(0, 8530, '\P{^Numeric_Value=1.111e-01}', "");
    Error('\p{Numeric_Value=0.111}');
    Error('\P{Numeric_Value=0.111}');
    Expect(1, 8529, '\p{Numeric_Value=1.1111e-01}', "");
    Expect(0, 8529, '\p{^Numeric_Value=1.1111e-01}', "");
    Expect(0, 8529, '\P{Numeric_Value=1.1111e-01}', "");
    Expect(1, 8529, '\P{^Numeric_Value=1.1111e-01}', "");
    Expect(0, 8530, '\p{Numeric_Value=1.1111e-01}', "");
    Expect(1, 8530, '\p{^Numeric_Value=1.1111e-01}', "");
    Expect(1, 8530, '\P{Numeric_Value=1.1111e-01}', "");
    Expect(0, 8530, '\P{^Numeric_Value=1.1111e-01}', "");
    Expect(1, 8529, '\p{Numeric_Value=0.1111}', "");
    Expect(0, 8529, '\p{^Numeric_Value=0.1111}', "");
    Expect(0, 8529, '\P{Numeric_Value=0.1111}', "");
    Expect(1, 8529, '\P{^Numeric_Value=0.1111}', "");
    Expect(0, 8530, '\p{Numeric_Value=0.1111}', "");
    Expect(1, 8530, '\p{^Numeric_Value=0.1111}', "");
    Expect(1, 8530, '\P{Numeric_Value=0.1111}', "");
    Expect(0, 8530, '\P{^Numeric_Value=0.1111}', "");
    Expect(1, 8529, '\p{Numeric_Value=1.11111e-01}', "");
    Expect(0, 8529, '\p{^Numeric_Value=1.11111e-01}', "");
    Expect(0, 8529, '\P{Numeric_Value=1.11111e-01}', "");
    Expect(1, 8529, '\P{^Numeric_Value=1.11111e-01}', "");
    Expect(0, 8530, '\p{Numeric_Value=1.11111e-01}', "");
    Expect(1, 8530, '\p{^Numeric_Value=1.11111e-01}', "");
    Expect(1, 8530, '\P{Numeric_Value=1.11111e-01}', "");
    Expect(0, 8530, '\P{^Numeric_Value=1.11111e-01}', "");
    Expect(1, 8529, '\p{Numeric_Value=0.11111}', "");
    Expect(0, 8529, '\p{^Numeric_Value=0.11111}', "");
    Expect(0, 8529, '\P{Numeric_Value=0.11111}', "");
    Expect(1, 8529, '\P{^Numeric_Value=0.11111}', "");
    Expect(0, 8530, '\p{Numeric_Value=0.11111}', "");
    Expect(1, 8530, '\p{^Numeric_Value=0.11111}', "");
    Expect(1, 8530, '\P{Numeric_Value=0.11111}', "");
    Expect(0, 8530, '\P{^Numeric_Value=0.11111}', "");
    Error('\p{Nv=+01/009:=}');
    Error('\P{Nv=+01/009:=}');
    Expect(1, 8529, '\p{Nv=:\A1/9\z:}', "");;
    Expect(0, 8530, '\p{Nv=:\A1/9\z:}', "");;
    Expect(1, 8529, '\p{Nv=1/0000009}', "");
    Expect(0, 8529, '\p{^Nv=1/0000009}', "");
    Expect(0, 8529, '\P{Nv=1/0000009}', "");
    Expect(1, 8529, '\P{^Nv=1/0000009}', "");
    Expect(0, 8530, '\p{Nv=1/0000009}', "");
    Expect(1, 8530, '\p{^Nv=1/0000009}', "");
    Expect(1, 8530, '\P{Nv=1/0000009}', "");
    Expect(0, 8530, '\P{^Nv=1/0000009}', "");
    Expect(1, 8529, '\p{Nv=60/540}', "");
    Expect(0, 8529, '\p{^Nv=60/540}', "");
    Expect(0, 8529, '\P{Nv=60/540}', "");
    Expect(1, 8529, '\P{^Nv=60/540}', "");
    Expect(0, 8530, '\p{Nv=60/540}', "");
    Expect(1, 8530, '\p{^Nv=60/540}', "");
    Expect(1, 8530, '\P{Nv=60/540}', "");
    Expect(0, 8530, '\P{^Nv=60/540}', "");
    Error('\p{Nv=1.1e-01}');
    Error('\P{Nv=1.1e-01}');
    Error('\p{Nv=1.11e-01}');
    Error('\P{Nv=1.11e-01}');
    Error('\p{Nv=0.11}');
    Error('\P{Nv=0.11}');
    Expect(1, 8529, '\p{Nv=1.111e-01}', "");
    Expect(0, 8529, '\p{^Nv=1.111e-01}', "");
    Expect(0, 8529, '\P{Nv=1.111e-01}', "");
    Expect(1, 8529, '\P{^Nv=1.111e-01}', "");
    Expect(0, 8530, '\p{Nv=1.111e-01}', "");
    Expect(1, 8530, '\p{^Nv=1.111e-01}', "");
    Expect(1, 8530, '\P{Nv=1.111e-01}', "");
    Expect(0, 8530, '\P{^Nv=1.111e-01}', "");
    Error('\p{Nv:0.111}');
    Error('\P{Nv:0.111}');
    Expect(1, 8529, '\p{Nv=1.1111e-01}', "");
    Expect(0, 8529, '\p{^Nv=1.1111e-01}', "");
    Expect(0, 8529, '\P{Nv=1.1111e-01}', "");
    Expect(1, 8529, '\P{^Nv=1.1111e-01}', "");
    Expect(0, 8530, '\p{Nv=1.1111e-01}', "");
    Expect(1, 8530, '\p{^Nv=1.1111e-01}', "");
    Expect(1, 8530, '\P{Nv=1.1111e-01}', "");
    Expect(0, 8530, '\P{^Nv=1.1111e-01}', "");
    Expect(1, 8529, '\p{Nv=0.1111}', "");
    Expect(0, 8529, '\p{^Nv=0.1111}', "");
    Expect(0, 8529, '\P{Nv=0.1111}', "");
    Expect(1, 8529, '\P{^Nv=0.1111}', "");
    Expect(0, 8530, '\p{Nv=0.1111}', "");
    Expect(1, 8530, '\p{^Nv=0.1111}', "");
    Expect(1, 8530, '\P{Nv=0.1111}', "");
    Expect(0, 8530, '\P{^Nv=0.1111}', "");
    Expect(1, 8529, '\p{Nv=1.11111e-01}', "");
    Expect(0, 8529, '\p{^Nv=1.11111e-01}', "");
    Expect(0, 8529, '\P{Nv=1.11111e-01}', "");
    Expect(1, 8529, '\P{^Nv=1.11111e-01}', "");
    Expect(0, 8530, '\p{Nv=1.11111e-01}', "");
    Expect(1, 8530, '\p{^Nv=1.11111e-01}', "");
    Expect(1, 8530, '\P{Nv=1.11111e-01}', "");
    Expect(0, 8530, '\P{^Nv=1.11111e-01}', "");
    Expect(1, 8529, '\p{Nv=0.11111}', "");
    Expect(0, 8529, '\p{^Nv=0.11111}', "");
    Expect(0, 8529, '\P{Nv=0.11111}', "");
    Expect(1, 8529, '\P{^Nv=0.11111}', "");
    Expect(0, 8530, '\p{Nv=0.11111}', "");
    Expect(1, 8530, '\p{^Nv=0.11111}', "");
    Expect(1, 8530, '\P{Nv=0.11111}', "");
    Expect(0, 8530, '\P{^Nv=0.11111}', "");
    Error('\p{Is_Numeric_Value=/a/000000001/0000009}');
    Error('\P{Is_Numeric_Value=/a/000000001/0000009}');
    Expect(1, 8529, '\p{Is_Numeric_Value=00001/09}', "");
    Expect(0, 8529, '\p{^Is_Numeric_Value=00001/09}', "");
    Expect(0, 8529, '\P{Is_Numeric_Value=00001/09}', "");
    Expect(1, 8529, '\P{^Is_Numeric_Value=00001/09}', "");
    Expect(0, 8530, '\p{Is_Numeric_Value=00001/09}', "");
    Expect(1, 8530, '\p{^Is_Numeric_Value=00001/09}', "");
    Expect(1, 8530, '\P{Is_Numeric_Value=00001/09}', "");
    Expect(0, 8530, '\P{^Is_Numeric_Value=00001/09}', "");
    Expect(1, 8529, '\p{Is_Numeric_Value=60/540}', "");
    Expect(0, 8529, '\p{^Is_Numeric_Value=60/540}', "");
    Expect(0, 8529, '\P{Is_Numeric_Value=60/540}', "");
    Expect(1, 8529, '\P{^Is_Numeric_Value=60/540}', "");
    Expect(0, 8530, '\p{Is_Numeric_Value=60/540}', "");
    Expect(1, 8530, '\p{^Is_Numeric_Value=60/540}', "");
    Expect(1, 8530, '\P{Is_Numeric_Value=60/540}', "");
    Expect(0, 8530, '\P{^Is_Numeric_Value=60/540}', "");
    Error('\p{Is_Numeric_Value=1.1e-01}');
    Error('\P{Is_Numeric_Value=1.1e-01}');
    Error('\p{Is_Numeric_Value=1.11e-01}');
    Error('\P{Is_Numeric_Value=1.11e-01}');
    Error('\p{Is_Numeric_Value=0.11}');
    Error('\P{Is_Numeric_Value=0.11}');
    Expect(1, 8529, '\p{Is_Numeric_Value=1.111e-01}', "");
    Expect(0, 8529, '\p{^Is_Numeric_Value=1.111e-01}', "");
    Expect(0, 8529, '\P{Is_Numeric_Value=1.111e-01}', "");
    Expect(1, 8529, '\P{^Is_Numeric_Value=1.111e-01}', "");
    Expect(0, 8530, '\p{Is_Numeric_Value=1.111e-01}', "");
    Expect(1, 8530, '\p{^Is_Numeric_Value=1.111e-01}', "");
    Expect(1, 8530, '\P{Is_Numeric_Value=1.111e-01}', "");
    Expect(0, 8530, '\P{^Is_Numeric_Value=1.111e-01}', "");
    Error('\p{Is_Numeric_Value=0.111}');
    Error('\P{Is_Numeric_Value=0.111}');
    Expect(1, 8529, '\p{Is_Numeric_Value=1.1111e-01}', "");
    Expect(0, 8529, '\p{^Is_Numeric_Value=1.1111e-01}', "");
    Expect(0, 8529, '\P{Is_Numeric_Value=1.1111e-01}', "");
    Expect(1, 8529, '\P{^Is_Numeric_Value=1.1111e-01}', "");
    Expect(0, 8530, '\p{Is_Numeric_Value=1.1111e-01}', "");
    Expect(1, 8530, '\p{^Is_Numeric_Value=1.1111e-01}', "");
    Expect(1, 8530, '\P{Is_Numeric_Value=1.1111e-01}', "");
    Expect(0, 8530, '\P{^Is_Numeric_Value=1.1111e-01}', "");
    Expect(1, 8529, '\p{Is_Numeric_Value=0.1111}', "");
    Expect(0, 8529, '\p{^Is_Numeric_Value=0.1111}', "");
    Expect(0, 8529, '\P{Is_Numeric_Value=0.1111}', "");
    Expect(1, 8529, '\P{^Is_Numeric_Value=0.1111}', "");
    Expect(0, 8530, '\p{Is_Numeric_Value=0.1111}', "");
    Expect(1, 8530, '\p{^Is_Numeric_Value=0.1111}', "");
    Expect(1, 8530, '\P{Is_Numeric_Value=0.1111}', "");
    Expect(0, 8530, '\P{^Is_Numeric_Value=0.1111}', "");
    Expect(1, 8529, '\p{Is_Numeric_Value=1.11111e-01}', "");
    Expect(0, 8529, '\p{^Is_Numeric_Value=1.11111e-01}', "");
    Expect(0, 8529, '\P{Is_Numeric_Value=1.11111e-01}', "");
    Expect(1, 8529, '\P{^Is_Numeric_Value=1.11111e-01}', "");
    Expect(0, 8530, '\p{Is_Numeric_Value=1.11111e-01}', "");
    Expect(1, 8530, '\p{^Is_Numeric_Value=1.11111e-01}', "");
    Expect(1, 8530, '\P{Is_Numeric_Value=1.11111e-01}', "");
    Expect(0, 8530, '\P{^Is_Numeric_Value=1.11111e-01}', "");
    Expect(1, 8529, '\p{Is_Numeric_Value=0.11111}', "");
    Expect(0, 8529, '\p{^Is_Numeric_Value=0.11111}', "");
    Expect(0, 8529, '\P{Is_Numeric_Value=0.11111}', "");
    Expect(1, 8529, '\P{^Is_Numeric_Value=0.11111}', "");
    Expect(0, 8530, '\p{Is_Numeric_Value=0.11111}', "");
    Expect(1, 8530, '\p{^Is_Numeric_Value=0.11111}', "");
    Expect(1, 8530, '\P{Is_Numeric_Value=0.11111}', "");
    Expect(0, 8530, '\P{^Is_Numeric_Value=0.11111}', "");
    Error('\p{Is_Nv=/a/ 0001/00000009}');
    Error('\P{Is_Nv=/a/ 0001/00000009}');
    Expect(1, 8529, '\p{Is_Nv=+000000001/00009}', "");
    Expect(0, 8529, '\p{^Is_Nv=+000000001/00009}', "");
    Expect(0, 8529, '\P{Is_Nv=+000000001/00009}', "");
    Expect(1, 8529, '\P{^Is_Nv=+000000001/00009}', "");
    Expect(0, 8530, '\p{Is_Nv=+000000001/00009}', "");
    Expect(1, 8530, '\p{^Is_Nv=+000000001/00009}', "");
    Expect(1, 8530, '\P{Is_Nv=+000000001/00009}', "");
    Expect(0, 8530, '\P{^Is_Nv=+000000001/00009}', "");
    Expect(1, 8529, '\p{Is_Nv=60/540}', "");
    Expect(0, 8529, '\p{^Is_Nv=60/540}', "");
    Expect(0, 8529, '\P{Is_Nv=60/540}', "");
    Expect(1, 8529, '\P{^Is_Nv=60/540}', "");
    Expect(0, 8530, '\p{Is_Nv=60/540}', "");
    Expect(1, 8530, '\p{^Is_Nv=60/540}', "");
    Expect(1, 8530, '\P{Is_Nv=60/540}', "");
    Expect(0, 8530, '\P{^Is_Nv=60/540}', "");
    Error('\p{Is_Nv=1.1e-01}');
    Error('\P{Is_Nv=1.1e-01}');
    Error('\p{Is_Nv=1.11e-01}');
    Error('\P{Is_Nv=1.11e-01}');
    Error('\p{Is_Nv=0.11}');
    Error('\P{Is_Nv=0.11}');
    Expect(1, 8529, '\p{Is_Nv=1.111e-01}', "");
    Expect(0, 8529, '\p{^Is_Nv=1.111e-01}', "");
    Expect(0, 8529, '\P{Is_Nv=1.111e-01}', "");
    Expect(1, 8529, '\P{^Is_Nv=1.111e-01}', "");
    Expect(0, 8530, '\p{Is_Nv=1.111e-01}', "");
    Expect(1, 8530, '\p{^Is_Nv=1.111e-01}', "");
    Expect(1, 8530, '\P{Is_Nv=1.111e-01}', "");
    Expect(0, 8530, '\P{^Is_Nv=1.111e-01}', "");
    Error('\p{Is_Nv:0.111}');
    Error('\P{Is_Nv:0.111}');
    Expect(1, 8529, '\p{Is_Nv=1.1111e-01}', "");
    Expect(0, 8529, '\p{^Is_Nv=1.1111e-01}', "");
    Expect(0, 8529, '\P{Is_Nv=1.1111e-01}', "");
    Expect(1, 8529, '\P{^Is_Nv=1.1111e-01}', "");
    Expect(0, 8530, '\p{Is_Nv=1.1111e-01}', "");
    Expect(1, 8530, '\p{^Is_Nv=1.1111e-01}', "");
    Expect(1, 8530, '\P{Is_Nv=1.1111e-01}', "");
    Expect(0, 8530, '\P{^Is_Nv=1.1111e-01}', "");
    Expect(1, 8529, '\p{Is_Nv=0.1111}', "");
    Expect(0, 8529, '\p{^Is_Nv=0.1111}', "");
    Expect(0, 8529, '\P{Is_Nv=0.1111}', "");
    Expect(1, 8529, '\P{^Is_Nv=0.1111}', "");
    Expect(0, 8530, '\p{Is_Nv=0.1111}', "");
    Expect(1, 8530, '\p{^Is_Nv=0.1111}', "");
    Expect(1, 8530, '\P{Is_Nv=0.1111}', "");
    Expect(0, 8530, '\P{^Is_Nv=0.1111}', "");
    Expect(1, 8529, '\p{Is_Nv=1.11111e-01}', "");
    Expect(0, 8529, '\p{^Is_Nv=1.11111e-01}', "");
    Expect(0, 8529, '\P{Is_Nv=1.11111e-01}', "");
    Expect(1, 8529, '\P{^Is_Nv=1.11111e-01}', "");
    Expect(0, 8530, '\p{Is_Nv=1.11111e-01}', "");
    Expect(1, 8530, '\p{^Is_Nv=1.11111e-01}', "");
    Expect(1, 8530, '\P{Is_Nv=1.11111e-01}', "");
    Expect(0, 8530, '\P{^Is_Nv=1.11111e-01}', "");
    Expect(1, 8529, '\p{Is_Nv:	0.11111}', "");
    Expect(0, 8529, '\p{^Is_Nv:	0.11111}', "");
    Expect(0, 8529, '\P{Is_Nv:	0.11111}', "");
    Expect(1, 8529, '\P{^Is_Nv:	0.11111}', "");
    Expect(0, 8530, '\p{Is_Nv:	0.11111}', "");
    Expect(1, 8530, '\p{^Is_Nv:	0.11111}', "");
    Expect(1, 8530, '\P{Is_Nv:	0.11111}', "");
    Expect(0, 8530, '\P{^Is_Nv:	0.11111}', "");
    Error('\p{Numeric_Value=:=-_+00010}');
    Error('\P{Numeric_Value=:=-_+00010}');
    Expect(1, 126263, '\p{Numeric_Value=:\A10\z:}', "");;
    Expect(0, 126264, '\p{Numeric_Value=:\A10\z:}', "");;
    Expect(1, 126263, '\p{Numeric_Value=+00000000010}', "");
    Expect(0, 126263, '\p{^Numeric_Value=+00000000010}', "");
    Expect(0, 126263, '\P{Numeric_Value=+00000000010}', "");
    Expect(1, 126263, '\P{^Numeric_Value=+00000000010}', "");
    Expect(0, 126264, '\p{Numeric_Value=+00000000010}', "");
    Expect(1, 126264, '\p{^Numeric_Value=+00000000010}', "");
    Expect(1, 126264, '\P{Numeric_Value=+00000000010}', "");
    Expect(0, 126264, '\P{^Numeric_Value=+00000000010}', "");
    Expect(1, 126263, '\p{Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126263, '\p{^Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126263, '\P{Numeric_Value=1.000000000000000e+01}', "");
    Expect(1, 126263, '\P{^Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126264, '\p{Numeric_Value=1.000000000000000e+01}', "");
    Expect(1, 126264, '\p{^Numeric_Value=1.000000000000000e+01}', "");
    Expect(1, 126264, '\P{Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126264, '\P{^Numeric_Value=1.000000000000000e+01}', "");
    Error('\p{Nv=/a/	 0000010}');
    Error('\P{Nv=/a/	 0000010}');
    Expect(1, 126263, '\p{Nv=:\A10\z:}', "");;
    Expect(0, 126264, '\p{Nv=:\A10\z:}', "");;
    Expect(1, 126263, '\p{Nv=0010}', "");
    Expect(0, 126263, '\p{^Nv=0010}', "");
    Expect(0, 126263, '\P{Nv=0010}', "");
    Expect(1, 126263, '\P{^Nv=0010}', "");
    Expect(0, 126264, '\p{Nv=0010}', "");
    Expect(1, 126264, '\p{^Nv=0010}', "");
    Expect(1, 126264, '\P{Nv=0010}', "");
    Expect(0, 126264, '\P{^Nv=0010}', "");
    Expect(1, 126263, '\p{Nv=1.000000000000000e+01}', "");
    Expect(0, 126263, '\p{^Nv=1.000000000000000e+01}', "");
    Expect(0, 126263, '\P{Nv=1.000000000000000e+01}', "");
    Expect(1, 126263, '\P{^Nv=1.000000000000000e+01}', "");
    Expect(0, 126264, '\p{Nv=1.000000000000000e+01}', "");
    Expect(1, 126264, '\p{^Nv=1.000000000000000e+01}', "");
    Expect(1, 126264, '\P{Nv=1.000000000000000e+01}', "");
    Expect(0, 126264, '\P{^Nv=1.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/ 010}');
    Error('\P{Is_Numeric_Value=/a/ 010}');
    Expect(1, 126263, '\p{Is_Numeric_Value=000000010}', "");
    Expect(0, 126263, '\p{^Is_Numeric_Value=000000010}', "");
    Expect(0, 126263, '\P{Is_Numeric_Value=000000010}', "");
    Expect(1, 126263, '\P{^Is_Numeric_Value=000000010}', "");
    Expect(0, 126264, '\p{Is_Numeric_Value=000000010}', "");
    Expect(1, 126264, '\p{^Is_Numeric_Value=000000010}', "");
    Expect(1, 126264, '\P{Is_Numeric_Value=000000010}', "");
    Expect(0, 126264, '\P{^Is_Numeric_Value=000000010}', "");
    Expect(1, 126263, '\p{Is_Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126263, '\p{^Is_Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126263, '\P{Is_Numeric_Value=1.000000000000000e+01}', "");
    Expect(1, 126263, '\P{^Is_Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126264, '\p{Is_Numeric_Value=1.000000000000000e+01}', "");
    Expect(1, 126264, '\p{^Is_Numeric_Value=1.000000000000000e+01}', "");
    Expect(1, 126264, '\P{Is_Numeric_Value=1.000000000000000e+01}', "");
    Expect(0, 126264, '\P{^Is_Numeric_Value=1.000000000000000e+01}', "");
    Error('\p{Is_Nv=/a/00000001_0}');
    Error('\P{Is_Nv=/a/00000001_0}');
    Expect(1, 126263, '\p{Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(0, 126263, '\p{^Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(0, 126263, '\P{Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(1, 126263, '\P{^Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(0, 126264, '\p{Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(1, 126264, '\p{^Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(1, 126264, '\P{Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(0, 126264, '\P{^Is_Nv=0_0_0_0_0_0_0_0_010}', "");
    Expect(1, 126263, '\p{Is_Nv=1.000000000000000e+01}', "");
    Expect(0, 126263, '\p{^Is_Nv=1.000000000000000e+01}', "");
    Expect(0, 126263, '\P{Is_Nv=1.000000000000000e+01}', "");
    Expect(1, 126263, '\P{^Is_Nv=1.000000000000000e+01}', "");
    Expect(0, 126264, '\p{Is_Nv=1.000000000000000e+01}', "");
    Expect(1, 126264, '\p{^Is_Nv=1.000000000000000e+01}', "");
    Expect(1, 126264, '\P{Is_Nv=1.000000000000000e+01}', "");
    Expect(0, 126264, '\P{^Is_Nv=1.000000000000000e+01}', "");
    Error('\p{Numeric_Value=:=-_+0_1_00}');
    Error('\P{Numeric_Value=:=-_+0_1_00}');
    Expect(1, 126227, '\p{Numeric_Value=:\A100\z:}', "");;
    Expect(0, 126228, '\p{Numeric_Value=:\A100\z:}', "");;
    Expect(1, 126227, '\p{Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(0, 126227, '\p{^Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(0, 126227, '\P{Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(1, 126227, '\P{^Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(0, 126228, '\p{Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(1, 126228, '\p{^Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(1, 126228, '\P{Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(0, 126228, '\P{^Numeric_Value=+0_0_0_0_0_100}', "");
    Expect(1, 126227, '\p{Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126227, '\p{^Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126227, '\P{Numeric_Value=1.000000000000000e+02}', "");
    Expect(1, 126227, '\P{^Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126228, '\p{Numeric_Value=1.000000000000000e+02}', "");
    Expect(1, 126228, '\p{^Numeric_Value=1.000000000000000e+02}', "");
    Expect(1, 126228, '\P{Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126228, '\P{^Numeric_Value=1.000000000000000e+02}', "");
    Error('\p{Nv=/a/-0000_0010_0}');
    Error('\P{Nv=/a/-0000_0010_0}');
    Expect(1, 126227, '\p{Nv=:\A100\z:}', "");;
    Expect(0, 126228, '\p{Nv=:\A100\z:}', "");;
    Expect(1, 126227, '\p{Nv=+000_001_00}', "");
    Expect(0, 126227, '\p{^Nv=+000_001_00}', "");
    Expect(0, 126227, '\P{Nv=+000_001_00}', "");
    Expect(1, 126227, '\P{^Nv=+000_001_00}', "");
    Expect(0, 126228, '\p{Nv=+000_001_00}', "");
    Expect(1, 126228, '\p{^Nv=+000_001_00}', "");
    Expect(1, 126228, '\P{Nv=+000_001_00}', "");
    Expect(0, 126228, '\P{^Nv=+000_001_00}', "");
    Expect(1, 126227, '\p{Nv=1.000000000000000e+02}', "");
    Expect(0, 126227, '\p{^Nv=1.000000000000000e+02}', "");
    Expect(0, 126227, '\P{Nv=1.000000000000000e+02}', "");
    Expect(1, 126227, '\P{^Nv=1.000000000000000e+02}', "");
    Expect(0, 126228, '\p{Nv=1.000000000000000e+02}', "");
    Expect(1, 126228, '\p{^Nv=1.000000000000000e+02}', "");
    Expect(1, 126228, '\P{Nv=1.000000000000000e+02}', "");
    Expect(0, 126228, '\P{^Nv=1.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value= 	+0_0_0_0_0_0_0_00100:=}');
    Error('\P{Is_Numeric_Value= 	+0_0_0_0_0_0_0_00100:=}');
    Expect(1, 126227, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(0, 126227, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(0, 126227, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(1, 126227, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(0, 126228, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(1, 126228, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(1, 126228, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(0, 126228, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0100}', "");
    Expect(1, 126227, '\p{Is_Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126227, '\p{^Is_Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126227, '\P{Is_Numeric_Value=1.000000000000000e+02}', "");
    Expect(1, 126227, '\P{^Is_Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126228, '\p{Is_Numeric_Value=1.000000000000000e+02}', "");
    Expect(1, 126228, '\p{^Is_Numeric_Value=1.000000000000000e+02}', "");
    Expect(1, 126228, '\P{Is_Numeric_Value=1.000000000000000e+02}', "");
    Expect(0, 126228, '\P{^Is_Numeric_Value=1.000000000000000e+02}', "");
    Error('\p{Is_Nv=:= 0_0_0_0_0_0_0_0_0_1_00}');
    Error('\P{Is_Nv=:= 0_0_0_0_0_0_0_0_0_1_00}');
    Expect(1, 126227, '\p{Is_Nv=0000100}', "");
    Expect(0, 126227, '\p{^Is_Nv=0000100}', "");
    Expect(0, 126227, '\P{Is_Nv=0000100}', "");
    Expect(1, 126227, '\P{^Is_Nv=0000100}', "");
    Expect(0, 126228, '\p{Is_Nv=0000100}', "");
    Expect(1, 126228, '\p{^Is_Nv=0000100}', "");
    Expect(1, 126228, '\P{Is_Nv=0000100}', "");
    Expect(0, 126228, '\P{^Is_Nv=0000100}', "");
    Expect(1, 126227, '\p{Is_Nv=1.000000000000000e+02}', "");
    Expect(0, 126227, '\p{^Is_Nv=1.000000000000000e+02}', "");
    Expect(0, 126227, '\P{Is_Nv=1.000000000000000e+02}', "");
    Expect(1, 126227, '\P{^Is_Nv=1.000000000000000e+02}', "");
    Expect(0, 126228, '\p{Is_Nv=1.000000000000000e+02}', "");
    Expect(1, 126228, '\p{^Is_Nv=1.000000000000000e+02}', "");
    Expect(1, 126228, '\P{Is_Nv=1.000000000000000e+02}', "");
    Expect(0, 126228, '\P{^Is_Nv=1.000000000000000e+02}', "");
    Error('\p{Numeric_Value= /a/1_0_00}');
    Error('\P{Numeric_Value= /a/1_0_00}');
    Expect(1, 126236, '\p{Numeric_Value=:\A1000\z:}', "");;
    Expect(0, 126237, '\p{Numeric_Value=:\A1000\z:}', "");;
    Expect(1, 126236, '\p{Numeric_Value=00_00_00_01_00_0}', "");
    Expect(0, 126236, '\p{^Numeric_Value=00_00_00_01_00_0}', "");
    Expect(0, 126236, '\P{Numeric_Value=00_00_00_01_00_0}', "");
    Expect(1, 126236, '\P{^Numeric_Value=00_00_00_01_00_0}', "");
    Expect(0, 126237, '\p{Numeric_Value=00_00_00_01_00_0}', "");
    Expect(1, 126237, '\p{^Numeric_Value=00_00_00_01_00_0}', "");
    Expect(1, 126237, '\P{Numeric_Value=00_00_00_01_00_0}', "");
    Expect(0, 126237, '\P{^Numeric_Value=00_00_00_01_00_0}', "");
    Expect(1, 126236, '\p{Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126236, '\p{^Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126236, '\P{Numeric_Value=1.000000000000000e+03}', "");
    Expect(1, 126236, '\P{^Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126237, '\p{Numeric_Value=1.000000000000000e+03}', "");
    Expect(1, 126237, '\p{^Numeric_Value=1.000000000000000e+03}', "");
    Expect(1, 126237, '\P{Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126237, '\P{^Numeric_Value=1.000000000000000e+03}', "");
    Error('\p{Nv=:=_-0_0_0_0_0_1_0_00}');
    Error('\P{Nv=:=_-0_0_0_0_0_1_0_00}');
    Expect(1, 126236, '\p{Nv=:\A1000\z:}', "");;
    Expect(0, 126237, '\p{Nv=:\A1000\z:}', "");;
    Expect(1, 126236, '\p{Nv=00000001000}', "");
    Expect(0, 126236, '\p{^Nv=00000001000}', "");
    Expect(0, 126236, '\P{Nv=00000001000}', "");
    Expect(1, 126236, '\P{^Nv=00000001000}', "");
    Expect(0, 126237, '\p{Nv=00000001000}', "");
    Expect(1, 126237, '\p{^Nv=00000001000}', "");
    Expect(1, 126237, '\P{Nv=00000001000}', "");
    Expect(0, 126237, '\P{^Nv=00000001000}', "");
    Expect(1, 126236, '\p{Nv=1.000000000000000e+03}', "");
    Expect(0, 126236, '\p{^Nv=1.000000000000000e+03}', "");
    Expect(0, 126236, '\P{Nv=1.000000000000000e+03}', "");
    Expect(1, 126236, '\P{^Nv=1.000000000000000e+03}', "");
    Expect(0, 126237, '\p{Nv=1.000000000000000e+03}', "");
    Expect(1, 126237, '\p{^Nv=1.000000000000000e+03}', "");
    Expect(1, 126237, '\P{Nv=1.000000000000000e+03}', "");
    Expect(0, 126237, '\P{^Nv=1.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value=:=	-00000_00100_0}');
    Error('\P{Is_Numeric_Value=:=	-00000_00100_0}');
    Expect(1, 126236, '\p{Is_Numeric_Value=0_1_0_00}', "");
    Expect(0, 126236, '\p{^Is_Numeric_Value=0_1_0_00}', "");
    Expect(0, 126236, '\P{Is_Numeric_Value=0_1_0_00}', "");
    Expect(1, 126236, '\P{^Is_Numeric_Value=0_1_0_00}', "");
    Expect(0, 126237, '\p{Is_Numeric_Value=0_1_0_00}', "");
    Expect(1, 126237, '\p{^Is_Numeric_Value=0_1_0_00}', "");
    Expect(1, 126237, '\P{Is_Numeric_Value=0_1_0_00}', "");
    Expect(0, 126237, '\P{^Is_Numeric_Value=0_1_0_00}', "");
    Expect(1, 126236, '\p{Is_Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126236, '\p{^Is_Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126236, '\P{Is_Numeric_Value=1.000000000000000e+03}', "");
    Expect(1, 126236, '\P{^Is_Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126237, '\p{Is_Numeric_Value=1.000000000000000e+03}', "");
    Expect(1, 126237, '\p{^Is_Numeric_Value=1.000000000000000e+03}', "");
    Expect(1, 126237, '\P{Is_Numeric_Value=1.000000000000000e+03}', "");
    Expect(0, 126237, '\P{^Is_Numeric_Value=1.000000000000000e+03}', "");
    Error('\p{Is_Nv=-_+000001000:=}');
    Error('\P{Is_Nv=-_+000001000:=}');
    Expect(1, 126236, '\p{Is_Nv=1000}', "");
    Expect(0, 126236, '\p{^Is_Nv=1000}', "");
    Expect(0, 126236, '\P{Is_Nv=1000}', "");
    Expect(1, 126236, '\P{^Is_Nv=1000}', "");
    Expect(0, 126237, '\p{Is_Nv=1000}', "");
    Expect(1, 126237, '\p{^Is_Nv=1000}', "");
    Expect(1, 126237, '\P{Is_Nv=1000}', "");
    Expect(0, 126237, '\P{^Is_Nv=1000}', "");
    Expect(1, 126236, '\p{Is_Nv=1.000000000000000e+03}', "");
    Expect(0, 126236, '\p{^Is_Nv=1.000000000000000e+03}', "");
    Expect(0, 126236, '\P{Is_Nv=1.000000000000000e+03}', "");
    Expect(1, 126236, '\P{^Is_Nv=1.000000000000000e+03}', "");
    Expect(0, 126237, '\p{Is_Nv=1.000000000000000e+03}', "");
    Expect(1, 126237, '\p{^Is_Nv=1.000000000000000e+03}', "");
    Expect(1, 126237, '\P{Is_Nv=1.000000000000000e+03}', "");
    Expect(0, 126237, '\P{^Is_Nv=1.000000000000000e+03}', "");
    Error('\p{Numeric_Value=:=	-001_000_0}');
    Error('\P{Numeric_Value=:=	-001_000_0}');
    Expect(1, 126267, '\p{Numeric_Value=:\A10000\z:}', "");;
    Expect(0, 126268, '\p{Numeric_Value=:\A10000\z:}', "");;
    Expect(1, 126267, '\p{Numeric_Value=000000010000}', "");
    Expect(0, 126267, '\p{^Numeric_Value=000000010000}', "");
    Expect(0, 126267, '\P{Numeric_Value=000000010000}', "");
    Expect(1, 126267, '\P{^Numeric_Value=000000010000}', "");
    Expect(0, 126268, '\p{Numeric_Value=000000010000}', "");
    Expect(1, 126268, '\p{^Numeric_Value=000000010000}', "");
    Expect(1, 126268, '\P{Numeric_Value=000000010000}', "");
    Expect(0, 126268, '\P{^Numeric_Value=000000010000}', "");
    Expect(1, 126267, '\p{Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126267, '\p{^Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126267, '\P{Numeric_Value=1.000000000000000e+04}', "");
    Expect(1, 126267, '\P{^Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126268, '\p{Numeric_Value=1.000000000000000e+04}', "");
    Expect(1, 126268, '\p{^Numeric_Value=1.000000000000000e+04}', "");
    Expect(1, 126268, '\P{Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126268, '\P{^Numeric_Value=1.000000000000000e+04}', "");
    Error('\p{Nv=/a/--+000000010000}');
    Error('\P{Nv=/a/--+000000010000}');
    Expect(1, 126267, '\p{Nv=:\A10000\z:}', "");;
    Expect(0, 126268, '\p{Nv=:\A10000\z:}', "");;
    Expect(1, 126267, '\p{Nv: 0000010000}', "");
    Expect(0, 126267, '\p{^Nv: 0000010000}', "");
    Expect(0, 126267, '\P{Nv: 0000010000}', "");
    Expect(1, 126267, '\P{^Nv: 0000010000}', "");
    Expect(0, 126268, '\p{Nv: 0000010000}', "");
    Expect(1, 126268, '\p{^Nv: 0000010000}', "");
    Expect(1, 126268, '\P{Nv: 0000010000}', "");
    Expect(0, 126268, '\P{^Nv: 0000010000}', "");
    Expect(1, 126267, '\p{Nv=1.000000000000000e+04}', "");
    Expect(0, 126267, '\p{^Nv=1.000000000000000e+04}', "");
    Expect(0, 126267, '\P{Nv=1.000000000000000e+04}', "");
    Expect(1, 126267, '\P{^Nv=1.000000000000000e+04}', "");
    Expect(0, 126268, '\p{Nv=1.000000000000000e+04}', "");
    Expect(1, 126268, '\p{^Nv=1.000000000000000e+04}', "");
    Expect(1, 126268, '\P{Nv=1.000000000000000e+04}', "");
    Expect(0, 126268, '\P{^Nv=1.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value=-/a/+0000010000}');
    Error('\P{Is_Numeric_Value=-/a/+0000010000}');
    Expect(1, 126267, '\p{Is_Numeric_Value=10000}', "");
    Expect(0, 126267, '\p{^Is_Numeric_Value=10000}', "");
    Expect(0, 126267, '\P{Is_Numeric_Value=10000}', "");
    Expect(1, 126267, '\P{^Is_Numeric_Value=10000}', "");
    Expect(0, 126268, '\p{Is_Numeric_Value=10000}', "");
    Expect(1, 126268, '\p{^Is_Numeric_Value=10000}', "");
    Expect(1, 126268, '\P{Is_Numeric_Value=10000}', "");
    Expect(0, 126268, '\P{^Is_Numeric_Value=10000}', "");
    Expect(1, 126267, '\p{Is_Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126267, '\p{^Is_Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126267, '\P{Is_Numeric_Value=1.000000000000000e+04}', "");
    Expect(1, 126267, '\P{^Is_Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126268, '\p{Is_Numeric_Value=1.000000000000000e+04}', "");
    Expect(1, 126268, '\p{^Is_Numeric_Value=1.000000000000000e+04}', "");
    Expect(1, 126268, '\P{Is_Numeric_Value=1.000000000000000e+04}', "");
    Expect(0, 126268, '\P{^Is_Numeric_Value=1.000000000000000e+04}', "");
    Error('\p{Is_Nv: 	/a/10_00_0}');
    Error('\P{Is_Nv: 	/a/10_00_0}');
    Expect(1, 126267, '\p{Is_Nv=000001000_0}', "");
    Expect(0, 126267, '\p{^Is_Nv=000001000_0}', "");
    Expect(0, 126267, '\P{Is_Nv=000001000_0}', "");
    Expect(1, 126267, '\P{^Is_Nv=000001000_0}', "");
    Expect(0, 126268, '\p{Is_Nv=000001000_0}', "");
    Expect(1, 126268, '\p{^Is_Nv=000001000_0}', "");
    Expect(1, 126268, '\P{Is_Nv=000001000_0}', "");
    Expect(0, 126268, '\P{^Is_Nv=000001000_0}', "");
    Expect(1, 126267, '\p{Is_Nv=1.000000000000000e+04}', "");
    Expect(0, 126267, '\p{^Is_Nv=1.000000000000000e+04}', "");
    Expect(0, 126267, '\P{Is_Nv=1.000000000000000e+04}', "");
    Expect(1, 126267, '\P{^Is_Nv=1.000000000000000e+04}', "");
    Expect(0, 126268, '\p{Is_Nv=1.000000000000000e+04}', "");
    Expect(1, 126268, '\p{^Is_Nv=1.000000000000000e+04}', "");
    Expect(1, 126268, '\P{Is_Nv=1.000000000000000e+04}', "");
    Expect(0, 126268, '\P{^Is_Nv=1.000000000000000e+04}', "");
    Error('\p{Numeric_Value=:=	_100000}');
    Error('\P{Numeric_Value=:=	_100000}');
    Expect(1, 126132, '\p{Numeric_Value=:\A100000\z:}', "");;
    Expect(0, 126133, '\p{Numeric_Value=:\A100000\z:}', "");;
    Expect(1, 126132, '\p{Numeric_Value=00000000100000}', "");
    Expect(0, 126132, '\p{^Numeric_Value=00000000100000}', "");
    Expect(0, 126132, '\P{Numeric_Value=00000000100000}', "");
    Expect(1, 126132, '\P{^Numeric_Value=00000000100000}', "");
    Expect(0, 126133, '\p{Numeric_Value=00000000100000}', "");
    Expect(1, 126133, '\p{^Numeric_Value=00000000100000}', "");
    Expect(1, 126133, '\P{Numeric_Value=00000000100000}', "");
    Expect(0, 126133, '\P{^Numeric_Value=00000000100000}', "");
    Expect(1, 126132, '\p{Numeric_Value:1.000000000000000e+05}', "");
    Expect(0, 126132, '\p{^Numeric_Value:1.000000000000000e+05}', "");
    Expect(0, 126132, '\P{Numeric_Value:1.000000000000000e+05}', "");
    Expect(1, 126132, '\P{^Numeric_Value:1.000000000000000e+05}', "");
    Expect(0, 126133, '\p{Numeric_Value:1.000000000000000e+05}', "");
    Expect(1, 126133, '\p{^Numeric_Value:1.000000000000000e+05}', "");
    Expect(1, 126133, '\P{Numeric_Value:1.000000000000000e+05}', "");
    Expect(0, 126133, '\P{^Numeric_Value:1.000000000000000e+05}', "");
    Error('\p{Nv=	/a/10000_0}');
    Error('\P{Nv=	/a/10000_0}');
    Expect(1, 126132, '\p{Nv=:\A100000\z:}', "");;
    Expect(0, 126133, '\p{Nv=:\A100000\z:}', "");;
    Expect(1, 126132, '\p{Nv=000_000_010_000_0}', "");
    Expect(0, 126132, '\p{^Nv=000_000_010_000_0}', "");
    Expect(0, 126132, '\P{Nv=000_000_010_000_0}', "");
    Expect(1, 126132, '\P{^Nv=000_000_010_000_0}', "");
    Expect(0, 126133, '\p{Nv=000_000_010_000_0}', "");
    Expect(1, 126133, '\p{^Nv=000_000_010_000_0}', "");
    Expect(1, 126133, '\P{Nv=000_000_010_000_0}', "");
    Expect(0, 126133, '\P{^Nv=000_000_010_000_0}', "");
    Expect(1, 126132, '\p{Nv=1.000000000000000e+05}', "");
    Expect(0, 126132, '\p{^Nv=1.000000000000000e+05}', "");
    Expect(0, 126132, '\P{Nv=1.000000000000000e+05}', "");
    Expect(1, 126132, '\P{^Nv=1.000000000000000e+05}', "");
    Expect(0, 126133, '\p{Nv=1.000000000000000e+05}', "");
    Expect(1, 126133, '\p{^Nv=1.000000000000000e+05}', "");
    Expect(1, 126133, '\P{Nv=1.000000000000000e+05}', "");
    Expect(0, 126133, '\P{^Nv=1.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=:=	+00_00_01_00_000}');
    Error('\P{Is_Numeric_Value=:=	+00_00_01_00_000}');
    Expect(1, 126132, '\p{Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(0, 126132, '\p{^Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(0, 126132, '\P{Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(1, 126132, '\P{^Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(0, 126133, '\p{Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(1, 126133, '\p{^Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(1, 126133, '\P{Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(0, 126133, '\P{^Is_Numeric_Value=0_0_1_0_0_000}', "");
    Expect(1, 126132, '\p{Is_Numeric_Value=1.000000000000000e+05}', "");
    Expect(0, 126132, '\p{^Is_Numeric_Value=1.000000000000000e+05}', "");
    Expect(0, 126132, '\P{Is_Numeric_Value=1.000000000000000e+05}', "");
    Expect(1, 126132, '\P{^Is_Numeric_Value=1.000000000000000e+05}', "");
    Expect(0, 126133, '\p{Is_Numeric_Value=1.000000000000000e+05}', "");
    Expect(1, 126133, '\p{^Is_Numeric_Value=1.000000000000000e+05}', "");
    Expect(1, 126133, '\P{Is_Numeric_Value=1.000000000000000e+05}', "");
    Expect(0, 126133, '\P{^Is_Numeric_Value=1.000000000000000e+05}', "");
    Error('\p{Is_Nv=_	+00000000100000:=}');
    Error('\P{Is_Nv=_	+00000000100000:=}');
    Expect(1, 126132, '\p{Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(0, 126132, '\p{^Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(0, 126132, '\P{Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(1, 126132, '\P{^Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(0, 126133, '\p{Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(1, 126133, '\p{^Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(1, 126133, '\P{Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(0, 126133, '\P{^Is_Nv=+0_0_0_0_1_0_0_000}', "");
    Expect(1, 126132, '\p{Is_Nv=1.000000000000000e+05}', "");
    Expect(0, 126132, '\p{^Is_Nv=1.000000000000000e+05}', "");
    Expect(0, 126132, '\P{Is_Nv=1.000000000000000e+05}', "");
    Expect(1, 126132, '\P{^Is_Nv=1.000000000000000e+05}', "");
    Expect(0, 126133, '\p{Is_Nv=1.000000000000000e+05}', "");
    Expect(1, 126133, '\p{^Is_Nv=1.000000000000000e+05}', "");
    Expect(1, 126133, '\P{Is_Nv=1.000000000000000e+05}', "");
    Expect(0, 126133, '\P{^Is_Nv=1.000000000000000e+05}', "");
    Error('\p{Numeric_Value=_/a/+0_0_0_0_0_0_0_0_1_0_0_0_0_00}');
    Error('\P{Numeric_Value=_/a/+0_0_0_0_0_0_0_0_1_0_0_0_0_00}');
    Expect(1, 93022, '\p{Numeric_Value=:\A1000000\z:}', "");;
    Expect(0, 93023, '\p{Numeric_Value=:\A1000000\z:}', "");;
    Expect(1, 93022, '\p{Numeric_Value=000100000_0}', "");
    Expect(0, 93022, '\p{^Numeric_Value=000100000_0}', "");
    Expect(0, 93022, '\P{Numeric_Value=000100000_0}', "");
    Expect(1, 93022, '\P{^Numeric_Value=000100000_0}', "");
    Expect(0, 93023, '\p{Numeric_Value=000100000_0}', "");
    Expect(1, 93023, '\p{^Numeric_Value=000100000_0}', "");
    Expect(1, 93023, '\P{Numeric_Value=000100000_0}', "");
    Expect(0, 93023, '\P{^Numeric_Value=000100000_0}', "");
    Expect(1, 93022, '\p{Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93022, '\p{^Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93022, '\P{Numeric_Value=1.000000000000000e+06}', "");
    Expect(1, 93022, '\P{^Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93023, '\p{Numeric_Value=1.000000000000000e+06}', "");
    Expect(1, 93023, '\p{^Numeric_Value=1.000000000000000e+06}', "");
    Expect(1, 93023, '\P{Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93023, '\P{^Numeric_Value=1.000000000000000e+06}', "");
    Error('\p{Nv=-100_000_0/a/}');
    Error('\P{Nv=-100_000_0/a/}');
    Expect(1, 93022, '\p{Nv=:\A1000000\z:}', "");;
    Expect(0, 93023, '\p{Nv=:\A1000000\z:}', "");;
    Expect(1, 93022, '\p{Nv=100000_0}', "");
    Expect(0, 93022, '\p{^Nv=100000_0}', "");
    Expect(0, 93022, '\P{Nv=100000_0}', "");
    Expect(1, 93022, '\P{^Nv=100000_0}', "");
    Expect(0, 93023, '\p{Nv=100000_0}', "");
    Expect(1, 93023, '\p{^Nv=100000_0}', "");
    Expect(1, 93023, '\P{Nv=100000_0}', "");
    Expect(0, 93023, '\P{^Nv=100000_0}', "");
    Expect(1, 93022, '\p{Nv=1.000000000000000e+06}', "");
    Expect(0, 93022, '\p{^Nv=1.000000000000000e+06}', "");
    Expect(0, 93022, '\P{Nv=1.000000000000000e+06}', "");
    Expect(1, 93022, '\P{^Nv=1.000000000000000e+06}', "");
    Expect(0, 93023, '\p{Nv=1.000000000000000e+06}', "");
    Expect(1, 93023, '\p{^Nv=1.000000000000000e+06}', "");
    Expect(1, 93023, '\P{Nv=1.000000000000000e+06}', "");
    Expect(0, 93023, '\P{^Nv=1.000000000000000e+06}', "");
    Error('\p{Is_Numeric_Value:	:=-00_00_10_00_00_0}');
    Error('\P{Is_Numeric_Value:	:=-00_00_10_00_00_0}');
    Expect(1, 93022, '\p{Is_Numeric_Value:+01000000}', "");
    Expect(0, 93022, '\p{^Is_Numeric_Value:+01000000}', "");
    Expect(0, 93022, '\P{Is_Numeric_Value:+01000000}', "");
    Expect(1, 93022, '\P{^Is_Numeric_Value:+01000000}', "");
    Expect(0, 93023, '\p{Is_Numeric_Value:+01000000}', "");
    Expect(1, 93023, '\p{^Is_Numeric_Value:+01000000}', "");
    Expect(1, 93023, '\P{Is_Numeric_Value:+01000000}', "");
    Expect(0, 93023, '\P{^Is_Numeric_Value:+01000000}', "");
    Expect(1, 93022, '\p{Is_Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93022, '\p{^Is_Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93022, '\P{Is_Numeric_Value=1.000000000000000e+06}', "");
    Expect(1, 93022, '\P{^Is_Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93023, '\p{Is_Numeric_Value=1.000000000000000e+06}', "");
    Expect(1, 93023, '\p{^Is_Numeric_Value=1.000000000000000e+06}', "");
    Expect(1, 93023, '\P{Is_Numeric_Value=1.000000000000000e+06}', "");
    Expect(0, 93023, '\P{^Is_Numeric_Value=1.000000000000000e+06}', "");
    Error('\p{Is_Nv=__00000001000000/a/}');
    Error('\P{Is_Nv=__00000001000000/a/}');
    Expect(1, 93022, '\p{Is_Nv:	+1000000}', "");
    Expect(0, 93022, '\p{^Is_Nv:	+1000000}', "");
    Expect(0, 93022, '\P{Is_Nv:	+1000000}', "");
    Expect(1, 93022, '\P{^Is_Nv:	+1000000}', "");
    Expect(0, 93023, '\p{Is_Nv:	+1000000}', "");
    Expect(1, 93023, '\p{^Is_Nv:	+1000000}', "");
    Expect(1, 93023, '\P{Is_Nv:	+1000000}', "");
    Expect(0, 93023, '\P{^Is_Nv:	+1000000}', "");
    Expect(1, 93022, '\p{Is_Nv=1.000000000000000e+06}', "");
    Expect(0, 93022, '\p{^Is_Nv=1.000000000000000e+06}', "");
    Expect(0, 93022, '\P{Is_Nv=1.000000000000000e+06}', "");
    Expect(1, 93022, '\P{^Is_Nv=1.000000000000000e+06}', "");
    Expect(0, 93023, '\p{Is_Nv=1.000000000000000e+06}', "");
    Expect(1, 93023, '\p{^Is_Nv=1.000000000000000e+06}', "");
    Expect(1, 93023, '\P{Is_Nv=1.000000000000000e+06}', "");
    Expect(0, 93023, '\P{^Is_Nv=1.000000000000000e+06}', "");
    Error('\p{Numeric_Value: --+00000000010000000/a/}');
    Error('\P{Numeric_Value: --+00000000010000000/a/}');
    Expect(1, 126113, '\p{Numeric_Value=:\A10000000\z:}', "");;
    Expect(0, 126114, '\p{Numeric_Value=:\A10000000\z:}', "");;
    Expect(1, 126113, '\p{Numeric_Value=000010000000}', "");
    Expect(0, 126113, '\p{^Numeric_Value=000010000000}', "");
    Expect(0, 126113, '\P{Numeric_Value=000010000000}', "");
    Expect(1, 126113, '\P{^Numeric_Value=000010000000}', "");
    Expect(0, 126114, '\p{Numeric_Value=000010000000}', "");
    Expect(1, 126114, '\p{^Numeric_Value=000010000000}', "");
    Expect(1, 126114, '\P{Numeric_Value=000010000000}', "");
    Expect(0, 126114, '\P{^Numeric_Value=000010000000}', "");
    Expect(1, 126113, '\p{Numeric_Value=1.000000000000000e+07}', "");
    Expect(0, 126113, '\p{^Numeric_Value=1.000000000000000e+07}', "");
    Expect(0, 126113, '\P{Numeric_Value=1.000000000000000e+07}', "");
    Expect(1, 126113, '\P{^Numeric_Value=1.000000000000000e+07}', "");
    Expect(0, 126114, '\p{Numeric_Value=1.000000000000000e+07}', "");
    Expect(1, 126114, '\p{^Numeric_Value=1.000000000000000e+07}', "");
    Expect(1, 126114, '\P{Numeric_Value=1.000000000000000e+07}', "");
    Expect(0, 126114, '\P{^Numeric_Value=1.000000000000000e+07}', "");
    Error('\p{Nv: :=--+00000010000000}');
    Error('\P{Nv: :=--+00000010000000}');
    Expect(1, 126113, '\p{Nv=:\A10000000\z:}', "");;
    Expect(0, 126114, '\p{Nv=:\A10000000\z:}', "");;
    Expect(1, 126113, '\p{Nv=+000000010000000}', "");
    Expect(0, 126113, '\p{^Nv=+000000010000000}', "");
    Expect(0, 126113, '\P{Nv=+000000010000000}', "");
    Expect(1, 126113, '\P{^Nv=+000000010000000}', "");
    Expect(0, 126114, '\p{Nv=+000000010000000}', "");
    Expect(1, 126114, '\p{^Nv=+000000010000000}', "");
    Expect(1, 126114, '\P{Nv=+000000010000000}', "");
    Expect(0, 126114, '\P{^Nv=+000000010000000}', "");
    Expect(1, 126113, '\p{Nv=1.000000000000000e+07}', "");
    Expect(0, 126113, '\p{^Nv=1.000000000000000e+07}', "");
    Expect(0, 126113, '\P{Nv=1.000000000000000e+07}', "");
    Expect(1, 126113, '\P{^Nv=1.000000000000000e+07}', "");
    Expect(0, 126114, '\p{Nv=1.000000000000000e+07}', "");
    Expect(1, 126114, '\p{^Nv=1.000000000000000e+07}', "");
    Expect(1, 126114, '\P{Nv=1.000000000000000e+07}', "");
    Expect(0, 126114, '\P{^Nv=1.000000000000000e+07}', "");
    Error('\p{Is_Numeric_Value= _+00000000010000000:=}');
    Error('\P{Is_Numeric_Value= _+00000000010000000:=}');
    Expect(1, 126113, '\p{Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(0, 126113, '\p{^Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(0, 126113, '\P{Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(1, 126113, '\P{^Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(0, 126114, '\p{Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(1, 126114, '\p{^Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(1, 126114, '\P{Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(0, 126114, '\P{^Is_Numeric_Value:	0000_0001_0000_000}', "");
    Expect(1, 126113, '\p{Is_Numeric_Value:	1.000000000000000e+07}', "");
    Expect(0, 126113, '\p{^Is_Numeric_Value:	1.000000000000000e+07}', "");
    Expect(0, 126113, '\P{Is_Numeric_Value:	1.000000000000000e+07}', "");
    Expect(1, 126113, '\P{^Is_Numeric_Value:	1.000000000000000e+07}', "");
    Expect(0, 126114, '\p{Is_Numeric_Value:	1.000000000000000e+07}', "");
    Expect(1, 126114, '\p{^Is_Numeric_Value:	1.000000000000000e+07}', "");
    Expect(1, 126114, '\P{Is_Numeric_Value:	1.000000000000000e+07}', "");
    Expect(0, 126114, '\P{^Is_Numeric_Value:	1.000000000000000e+07}', "");
    Error('\p{Is_Nv=:=__00000010000000}');
    Error('\P{Is_Nv=:=__00000010000000}');
    Expect(1, 126113, '\p{Is_Nv=10000000}', "");
    Expect(0, 126113, '\p{^Is_Nv=10000000}', "");
    Expect(0, 126113, '\P{Is_Nv=10000000}', "");
    Expect(1, 126113, '\P{^Is_Nv=10000000}', "");
    Expect(0, 126114, '\p{Is_Nv=10000000}', "");
    Expect(1, 126114, '\p{^Is_Nv=10000000}', "");
    Expect(1, 126114, '\P{Is_Nv=10000000}', "");
    Expect(0, 126114, '\P{^Is_Nv=10000000}', "");
    Expect(1, 126113, '\p{Is_Nv=1.000000000000000e+07}', "");
    Expect(0, 126113, '\p{^Is_Nv=1.000000000000000e+07}', "");
    Expect(0, 126113, '\P{Is_Nv=1.000000000000000e+07}', "");
    Expect(1, 126113, '\P{^Is_Nv=1.000000000000000e+07}', "");
    Expect(0, 126114, '\p{Is_Nv=1.000000000000000e+07}', "");
    Expect(1, 126114, '\p{^Is_Nv=1.000000000000000e+07}', "");
    Expect(1, 126114, '\P{Is_Nv=1.000000000000000e+07}', "");
    Expect(0, 126114, '\P{^Is_Nv=1.000000000000000e+07}', "");
    Error('\p{Numeric_Value= :=0100_0000_00}');
    Error('\P{Numeric_Value= :=0100_0000_00}');
    Expect(1, 93023, '\p{Numeric_Value=:\A100000000\z:}', "");;
    Expect(0, 93024, '\p{Numeric_Value=:\A100000000\z:}', "");;
    Expect(1, 93023, '\p{Numeric_Value=00100000000}', "");
    Expect(0, 93023, '\p{^Numeric_Value=00100000000}', "");
    Expect(0, 93023, '\P{Numeric_Value=00100000000}', "");
    Expect(1, 93023, '\P{^Numeric_Value=00100000000}', "");
    Expect(0, 93024, '\p{Numeric_Value=00100000000}', "");
    Expect(1, 93024, '\p{^Numeric_Value=00100000000}', "");
    Expect(1, 93024, '\P{Numeric_Value=00100000000}', "");
    Expect(0, 93024, '\P{^Numeric_Value=00100000000}', "");
    Expect(1, 93023, '\p{Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93023, '\p{^Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93023, '\P{Numeric_Value=1.000000000000000e+08}', "");
    Expect(1, 93023, '\P{^Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93024, '\p{Numeric_Value=1.000000000000000e+08}', "");
    Expect(1, 93024, '\p{^Numeric_Value=1.000000000000000e+08}', "");
    Expect(1, 93024, '\P{Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93024, '\P{^Numeric_Value=1.000000000000000e+08}', "");
    Error('\p{Nv:+00000100000000/a/}');
    Error('\P{Nv:+00000100000000/a/}');
    Expect(1, 93023, '\p{Nv=:\A100000000\z:}', "");;
    Expect(0, 93024, '\p{Nv=:\A100000000\z:}', "");;
    Expect(1, 93023, '\p{Nv=0000100000000}', "");
    Expect(0, 93023, '\p{^Nv=0000100000000}', "");
    Expect(0, 93023, '\P{Nv=0000100000000}', "");
    Expect(1, 93023, '\P{^Nv=0000100000000}', "");
    Expect(0, 93024, '\p{Nv=0000100000000}', "");
    Expect(1, 93024, '\p{^Nv=0000100000000}', "");
    Expect(1, 93024, '\P{Nv=0000100000000}', "");
    Expect(0, 93024, '\P{^Nv=0000100000000}', "");
    Expect(1, 93023, '\p{Nv=1.000000000000000e+08}', "");
    Expect(0, 93023, '\p{^Nv=1.000000000000000e+08}', "");
    Expect(0, 93023, '\P{Nv=1.000000000000000e+08}', "");
    Expect(1, 93023, '\P{^Nv=1.000000000000000e+08}', "");
    Expect(0, 93024, '\p{Nv=1.000000000000000e+08}', "");
    Expect(1, 93024, '\p{^Nv=1.000000000000000e+08}', "");
    Expect(1, 93024, '\P{Nv=1.000000000000000e+08}', "");
    Expect(0, 93024, '\P{^Nv=1.000000000000000e+08}', "");
    Error('\p{Is_Numeric_Value=	 000000000100000000/a/}');
    Error('\P{Is_Numeric_Value=	 000000000100000000/a/}');
    Expect(1, 93023, '\p{Is_Numeric_Value=0000100000000}', "");
    Expect(0, 93023, '\p{^Is_Numeric_Value=0000100000000}', "");
    Expect(0, 93023, '\P{Is_Numeric_Value=0000100000000}', "");
    Expect(1, 93023, '\P{^Is_Numeric_Value=0000100000000}', "");
    Expect(0, 93024, '\p{Is_Numeric_Value=0000100000000}', "");
    Expect(1, 93024, '\p{^Is_Numeric_Value=0000100000000}', "");
    Expect(1, 93024, '\P{Is_Numeric_Value=0000100000000}', "");
    Expect(0, 93024, '\P{^Is_Numeric_Value=0000100000000}', "");
    Expect(1, 93023, '\p{Is_Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93023, '\p{^Is_Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93023, '\P{Is_Numeric_Value=1.000000000000000e+08}', "");
    Expect(1, 93023, '\P{^Is_Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93024, '\p{Is_Numeric_Value=1.000000000000000e+08}', "");
    Expect(1, 93024, '\p{^Is_Numeric_Value=1.000000000000000e+08}', "");
    Expect(1, 93024, '\P{Is_Numeric_Value=1.000000000000000e+08}', "");
    Expect(0, 93024, '\P{^Is_Numeric_Value=1.000000000000000e+08}', "");
    Error('\p{Is_Nv=:=_0010000000_0}');
    Error('\P{Is_Nv=:=_0010000000_0}');
    Expect(1, 93023, '\p{Is_Nv=0000100000000}', "");
    Expect(0, 93023, '\p{^Is_Nv=0000100000000}', "");
    Expect(0, 93023, '\P{Is_Nv=0000100000000}', "");
    Expect(1, 93023, '\P{^Is_Nv=0000100000000}', "");
    Expect(0, 93024, '\p{Is_Nv=0000100000000}', "");
    Expect(1, 93024, '\p{^Is_Nv=0000100000000}', "");
    Expect(1, 93024, '\P{Is_Nv=0000100000000}', "");
    Expect(0, 93024, '\P{^Is_Nv=0000100000000}', "");
    Expect(1, 93023, '\p{Is_Nv=1.000000000000000e+08}', "");
    Expect(0, 93023, '\p{^Is_Nv=1.000000000000000e+08}', "");
    Expect(0, 93023, '\P{Is_Nv=1.000000000000000e+08}', "");
    Expect(1, 93023, '\P{^Is_Nv=1.000000000000000e+08}', "");
    Expect(0, 93024, '\p{Is_Nv=1.000000000000000e+08}', "");
    Expect(1, 93024, '\p{^Is_Nv=1.000000000000000e+08}', "");
    Expect(1, 93024, '\P{Is_Nv=1.000000000000000e+08}', "");
    Expect(0, 93024, '\P{^Is_Nv=1.000000000000000e+08}', "");
    Error('\p{Numeric_Value=:=  000_001_000_000_000_0}');
    Error('\P{Numeric_Value=:=  000_001_000_000_000_0}');
    Expect(1, 93024, '\p{Numeric_Value=:\A10000000000\z:}', "");;
    Expect(0, 93025, '\p{Numeric_Value=:\A10000000000\z:}', "");;
    Expect(1, 93024, '\p{Numeric_Value=00010000000000}', "");
    Expect(0, 93024, '\p{^Numeric_Value=00010000000000}', "");
    Expect(0, 93024, '\P{Numeric_Value=00010000000000}', "");
    Expect(1, 93024, '\P{^Numeric_Value=00010000000000}', "");
    Expect(0, 93025, '\p{Numeric_Value=00010000000000}', "");
    Expect(1, 93025, '\p{^Numeric_Value=00010000000000}', "");
    Expect(1, 93025, '\P{Numeric_Value=00010000000000}', "");
    Expect(0, 93025, '\P{^Numeric_Value=00010000000000}', "");
    Expect(1, 93024, '\p{Numeric_Value:1.000000000000000e+10}', "");
    Expect(0, 93024, '\p{^Numeric_Value:1.000000000000000e+10}', "");
    Expect(0, 93024, '\P{Numeric_Value:1.000000000000000e+10}', "");
    Expect(1, 93024, '\P{^Numeric_Value:1.000000000000000e+10}', "");
    Expect(0, 93025, '\p{Numeric_Value:1.000000000000000e+10}', "");
    Expect(1, 93025, '\p{^Numeric_Value:1.000000000000000e+10}', "");
    Expect(1, 93025, '\P{Numeric_Value:1.000000000000000e+10}', "");
    Expect(0, 93025, '\P{^Numeric_Value:1.000000000000000e+10}', "");
    Error('\p{Nv=		00010000000000:=}');
    Error('\P{Nv=		00010000000000:=}');
    Expect(1, 93024, '\p{Nv=:\A10000000000\z:}', "");;
    Expect(0, 93025, '\p{Nv=:\A10000000000\z:}', "");;
    Expect(1, 93024, '\p{Nv=00000010000000000}', "");
    Expect(0, 93024, '\p{^Nv=00000010000000000}', "");
    Expect(0, 93024, '\P{Nv=00000010000000000}', "");
    Expect(1, 93024, '\P{^Nv=00000010000000000}', "");
    Expect(0, 93025, '\p{Nv=00000010000000000}', "");
    Expect(1, 93025, '\p{^Nv=00000010000000000}', "");
    Expect(1, 93025, '\P{Nv=00000010000000000}', "");
    Expect(0, 93025, '\P{^Nv=00000010000000000}', "");
    Expect(1, 93024, '\p{Nv=1.000000000000000e+10}', "");
    Expect(0, 93024, '\p{^Nv=1.000000000000000e+10}', "");
    Expect(0, 93024, '\P{Nv=1.000000000000000e+10}', "");
    Expect(1, 93024, '\P{^Nv=1.000000000000000e+10}', "");
    Expect(0, 93025, '\p{Nv=1.000000000000000e+10}', "");
    Expect(1, 93025, '\p{^Nv=1.000000000000000e+10}', "");
    Expect(1, 93025, '\P{Nv=1.000000000000000e+10}', "");
    Expect(0, 93025, '\P{^Nv=1.000000000000000e+10}', "");
    Error('\p{Is_Numeric_Value=:=		+000010000000000}');
    Error('\P{Is_Numeric_Value=:=		+000010000000000}');
    Expect(1, 93024, '\p{Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(0, 93024, '\p{^Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(0, 93024, '\P{Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(1, 93024, '\P{^Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(0, 93025, '\p{Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(1, 93025, '\p{^Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(1, 93025, '\P{Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(0, 93025, '\P{^Is_Numeric_Value=00_00_10_00_00_00000}', "");
    Expect(1, 93024, '\p{Is_Numeric_Value=1.000000000000000e+10}', "");
    Expect(0, 93024, '\p{^Is_Numeric_Value=1.000000000000000e+10}', "");
    Expect(0, 93024, '\P{Is_Numeric_Value=1.000000000000000e+10}', "");
    Expect(1, 93024, '\P{^Is_Numeric_Value=1.000000000000000e+10}', "");
    Expect(0, 93025, '\p{Is_Numeric_Value=1.000000000000000e+10}', "");
    Expect(1, 93025, '\p{^Is_Numeric_Value=1.000000000000000e+10}', "");
    Expect(1, 93025, '\P{Is_Numeric_Value=1.000000000000000e+10}', "");
    Expect(0, 93025, '\P{^Is_Numeric_Value=1.000000000000000e+10}', "");
    Error('\p{Is_Nv=:=_ 0000100_0000000_0}');
    Error('\P{Is_Nv=:=_ 0000100_0000000_0}');
    Expect(1, 93024, '\p{Is_Nv=+000000010000000000}', "");
    Expect(0, 93024, '\p{^Is_Nv=+000000010000000000}', "");
    Expect(0, 93024, '\P{Is_Nv=+000000010000000000}', "");
    Expect(1, 93024, '\P{^Is_Nv=+000000010000000000}', "");
    Expect(0, 93025, '\p{Is_Nv=+000000010000000000}', "");
    Expect(1, 93025, '\p{^Is_Nv=+000000010000000000}', "");
    Expect(1, 93025, '\P{Is_Nv=+000000010000000000}', "");
    Expect(0, 93025, '\P{^Is_Nv=+000000010000000000}', "");
    Expect(1, 93024, '\p{Is_Nv=1.000000000000000e+10}', "");
    Expect(0, 93024, '\p{^Is_Nv=1.000000000000000e+10}', "");
    Expect(0, 93024, '\P{Is_Nv=1.000000000000000e+10}', "");
    Expect(1, 93024, '\P{^Is_Nv=1.000000000000000e+10}', "");
    Expect(0, 93025, '\p{Is_Nv=1.000000000000000e+10}', "");
    Expect(1, 93025, '\p{^Is_Nv=1.000000000000000e+10}', "");
    Expect(1, 93025, '\P{Is_Nv=1.000000000000000e+10}', "");
    Expect(0, 93025, '\P{^Is_Nv=1.000000000000000e+10}', "");
    Error('\p{Numeric_Value=	:=+1_0_0_0_0_0_0_0_00000}');
    Error('\P{Numeric_Value=	:=+1_0_0_0_0_0_0_0_00000}');
    Expect(1, 93025, '\p{Numeric_Value=:\A1000000000000\z:}', "");;
    Expect(0, 93026, '\p{Numeric_Value=:\A1000000000000\z:}', "");;
    Expect(1, 93025, '\p{Numeric_Value=0000000001000000000000}', "");
    Expect(0, 93025, '\p{^Numeric_Value=0000000001000000000000}', "");
    Expect(0, 93025, '\P{Numeric_Value=0000000001000000000000}', "");
    Expect(1, 93025, '\P{^Numeric_Value=0000000001000000000000}', "");
    Expect(0, 93026, '\p{Numeric_Value=0000000001000000000000}', "");
    Expect(1, 93026, '\p{^Numeric_Value=0000000001000000000000}', "");
    Expect(1, 93026, '\P{Numeric_Value=0000000001000000000000}', "");
    Expect(0, 93026, '\P{^Numeric_Value=0000000001000000000000}', "");
    Expect(1, 93025, '\p{Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93025, '\p{^Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93025, '\P{Numeric_Value=1.000000000000000e+12}', "");
    Expect(1, 93025, '\P{^Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93026, '\p{Numeric_Value=1.000000000000000e+12}', "");
    Expect(1, 93026, '\p{^Numeric_Value=1.000000000000000e+12}', "");
    Expect(1, 93026, '\P{Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93026, '\P{^Numeric_Value=1.000000000000000e+12}', "");
    Error('\p{Nv=-_000000001000000000000/a/}');
    Error('\P{Nv=-_000000001000000000000/a/}');
    Expect(1, 93025, '\p{Nv=:\A1000000000000\z:}', "");;
    Expect(0, 93026, '\p{Nv=:\A1000000000000\z:}', "");;
    Expect(1, 93025, '\p{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(0, 93025, '\p{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(0, 93025, '\P{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(1, 93025, '\P{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(0, 93026, '\p{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(1, 93026, '\p{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(1, 93026, '\P{Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(0, 93026, '\P{^Nv=+00_00_00_01_00_00_00_00_00_00}', "");
    Expect(1, 93025, '\p{Nv=1.000000000000000e+12}', "");
    Expect(0, 93025, '\p{^Nv=1.000000000000000e+12}', "");
    Expect(0, 93025, '\P{Nv=1.000000000000000e+12}', "");
    Expect(1, 93025, '\P{^Nv=1.000000000000000e+12}', "");
    Expect(0, 93026, '\p{Nv=1.000000000000000e+12}', "");
    Expect(1, 93026, '\p{^Nv=1.000000000000000e+12}', "");
    Expect(1, 93026, '\P{Nv=1.000000000000000e+12}', "");
    Expect(0, 93026, '\P{^Nv=1.000000000000000e+12}', "");
    Error('\p{Is_Numeric_Value=:=000_000_100_000_000_0000}');
    Error('\P{Is_Numeric_Value=:=000_000_100_000_000_0000}');
    Expect(1, 93025, '\p{Is_Numeric_Value=000100000000000_0}', "");
    Expect(0, 93025, '\p{^Is_Numeric_Value=000100000000000_0}', "");
    Expect(0, 93025, '\P{Is_Numeric_Value=000100000000000_0}', "");
    Expect(1, 93025, '\P{^Is_Numeric_Value=000100000000000_0}', "");
    Expect(0, 93026, '\p{Is_Numeric_Value=000100000000000_0}', "");
    Expect(1, 93026, '\p{^Is_Numeric_Value=000100000000000_0}', "");
    Expect(1, 93026, '\P{Is_Numeric_Value=000100000000000_0}', "");
    Expect(0, 93026, '\P{^Is_Numeric_Value=000100000000000_0}', "");
    Expect(1, 93025, '\p{Is_Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93025, '\p{^Is_Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93025, '\P{Is_Numeric_Value=1.000000000000000e+12}', "");
    Expect(1, 93025, '\P{^Is_Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93026, '\p{Is_Numeric_Value=1.000000000000000e+12}', "");
    Expect(1, 93026, '\p{^Is_Numeric_Value=1.000000000000000e+12}', "");
    Expect(1, 93026, '\P{Is_Numeric_Value=1.000000000000000e+12}', "");
    Expect(0, 93026, '\P{^Is_Numeric_Value=1.000000000000000e+12}', "");
    Error('\p{Is_Nv=- +00_10_00_00_00_00000:=}');
    Error('\P{Is_Nv=- +00_10_00_00_00_00000:=}');
    Expect(1, 93025, '\p{Is_Nv=0000001000000000000}', "");
    Expect(0, 93025, '\p{^Is_Nv=0000001000000000000}', "");
    Expect(0, 93025, '\P{Is_Nv=0000001000000000000}', "");
    Expect(1, 93025, '\P{^Is_Nv=0000001000000000000}', "");
    Expect(0, 93026, '\p{Is_Nv=0000001000000000000}', "");
    Expect(1, 93026, '\p{^Is_Nv=0000001000000000000}', "");
    Expect(1, 93026, '\P{Is_Nv=0000001000000000000}', "");
    Expect(0, 93026, '\P{^Is_Nv=0000001000000000000}', "");
    Expect(1, 93025, '\p{Is_Nv=1.000000000000000e+12}', "");
    Expect(0, 93025, '\p{^Is_Nv=1.000000000000000e+12}', "");
    Expect(0, 93025, '\P{Is_Nv=1.000000000000000e+12}', "");
    Expect(1, 93025, '\P{^Is_Nv=1.000000000000000e+12}', "");
    Expect(0, 93026, '\p{Is_Nv=1.000000000000000e+12}', "");
    Expect(1, 93026, '\p{^Is_Nv=1.000000000000000e+12}', "");
    Expect(1, 93026, '\P{Is_Nv=1.000000000000000e+12}', "");
    Expect(0, 93026, '\P{^Is_Nv=1.000000000000000e+12}', "");
    Error('\p{Numeric_Value=-+0_0_0_0_0_0_0_011/a/}');
    Error('\P{Numeric_Value=-+0_0_0_0_0_0_0_011/a/}');
    Expect(1, 119531, '\p{Numeric_Value=:\A11\z:}', "");;
    Expect(0, 119532, '\p{Numeric_Value=:\A11\z:}', "");;
    Expect(1, 119531, '\p{Numeric_Value=0000000011}', "");
    Expect(0, 119531, '\p{^Numeric_Value=0000000011}', "");
    Expect(0, 119531, '\P{Numeric_Value=0000000011}', "");
    Expect(1, 119531, '\P{^Numeric_Value=0000000011}', "");
    Expect(0, 119532, '\p{Numeric_Value=0000000011}', "");
    Expect(1, 119532, '\p{^Numeric_Value=0000000011}', "");
    Expect(1, 119532, '\P{Numeric_Value=0000000011}', "");
    Expect(0, 119532, '\P{^Numeric_Value=0000000011}', "");
    Expect(1, 119531, '\p{Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119531, '\p{^Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119531, '\P{Numeric_Value=1.100000000000000e+01}', "");
    Expect(1, 119531, '\P{^Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119532, '\p{Numeric_Value=1.100000000000000e+01}', "");
    Expect(1, 119532, '\p{^Numeric_Value=1.100000000000000e+01}', "");
    Expect(1, 119532, '\P{Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119532, '\P{^Numeric_Value=1.100000000000000e+01}', "");
    Error('\p{Nv=-00000000011/a/}');
    Error('\P{Nv=-00000000011/a/}');
    Expect(1, 119531, '\p{Nv=:\A11\z:}', "");;
    Expect(0, 119532, '\p{Nv=:\A11\z:}', "");;
    Expect(1, 119531, '\p{Nv=011}', "");
    Expect(0, 119531, '\p{^Nv=011}', "");
    Expect(0, 119531, '\P{Nv=011}', "");
    Expect(1, 119531, '\P{^Nv=011}', "");
    Expect(0, 119532, '\p{Nv=011}', "");
    Expect(1, 119532, '\p{^Nv=011}', "");
    Expect(1, 119532, '\P{Nv=011}', "");
    Expect(0, 119532, '\P{^Nv=011}', "");
    Expect(1, 119531, '\p{Nv=1.100000000000000e+01}', "");
    Expect(0, 119531, '\p{^Nv=1.100000000000000e+01}', "");
    Expect(0, 119531, '\P{Nv=1.100000000000000e+01}', "");
    Expect(1, 119531, '\P{^Nv=1.100000000000000e+01}', "");
    Expect(0, 119532, '\p{Nv=1.100000000000000e+01}', "");
    Expect(1, 119532, '\p{^Nv=1.100000000000000e+01}', "");
    Expect(1, 119532, '\P{Nv=1.100000000000000e+01}', "");
    Expect(0, 119532, '\P{^Nv=1.100000000000000e+01}', "");
    Error('\p{Is_Numeric_Value:   :=		1_1}');
    Error('\P{Is_Numeric_Value:   :=		1_1}');
    Expect(1, 119531, '\p{Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(0, 119531, '\p{^Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(0, 119531, '\P{Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(1, 119531, '\P{^Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(0, 119532, '\p{Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(1, 119532, '\p{^Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(1, 119532, '\P{Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(0, 119532, '\P{^Is_Numeric_Value:   +0_0_0_0_0_11}', "");
    Expect(1, 119531, '\p{Is_Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119531, '\p{^Is_Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119531, '\P{Is_Numeric_Value=1.100000000000000e+01}', "");
    Expect(1, 119531, '\P{^Is_Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119532, '\p{Is_Numeric_Value=1.100000000000000e+01}', "");
    Expect(1, 119532, '\p{^Is_Numeric_Value=1.100000000000000e+01}', "");
    Expect(1, 119532, '\P{Is_Numeric_Value=1.100000000000000e+01}', "");
    Expect(0, 119532, '\P{^Is_Numeric_Value=1.100000000000000e+01}', "");
    Error('\p{Is_Nv=:= _00011}');
    Error('\P{Is_Nv=:= _00011}');
    Expect(1, 119531, '\p{Is_Nv=+00_00_00_011}', "");
    Expect(0, 119531, '\p{^Is_Nv=+00_00_00_011}', "");
    Expect(0, 119531, '\P{Is_Nv=+00_00_00_011}', "");
    Expect(1, 119531, '\P{^Is_Nv=+00_00_00_011}', "");
    Expect(0, 119532, '\p{Is_Nv=+00_00_00_011}', "");
    Expect(1, 119532, '\p{^Is_Nv=+00_00_00_011}', "");
    Expect(1, 119532, '\P{Is_Nv=+00_00_00_011}', "");
    Expect(0, 119532, '\P{^Is_Nv=+00_00_00_011}', "");
    Expect(1, 119531, '\p{Is_Nv:   1.100000000000000e+01}', "");
    Expect(0, 119531, '\p{^Is_Nv:   1.100000000000000e+01}', "");
    Expect(0, 119531, '\P{Is_Nv:   1.100000000000000e+01}', "");
    Expect(1, 119531, '\P{^Is_Nv:   1.100000000000000e+01}', "");
    Expect(0, 119532, '\p{Is_Nv:   1.100000000000000e+01}', "");
    Expect(1, 119532, '\p{^Is_Nv:   1.100000000000000e+01}', "");
    Expect(1, 119532, '\P{Is_Nv:   1.100000000000000e+01}', "");
    Expect(0, 119532, '\P{^Is_Nv:   1.100000000000000e+01}', "");
    Error('\p{Numeric_Value::=	_011/0012}');
    Error('\P{Numeric_Value::=	_011/0012}');
    Expect(1, 68028, '\p{Numeric_Value=:\A11/12\z:}', "");;
    Expect(0, 68029, '\p{Numeric_Value=:\A11/12\z:}', "");;
    Expect(1, 68028, '\p{Numeric_Value=000000011/000012}', "");
    Expect(0, 68028, '\p{^Numeric_Value=000000011/000012}', "");
    Expect(0, 68028, '\P{Numeric_Value=000000011/000012}', "");
    Expect(1, 68028, '\P{^Numeric_Value=000000011/000012}', "");
    Expect(0, 68029, '\p{Numeric_Value=000000011/000012}', "");
    Expect(1, 68029, '\p{^Numeric_Value=000000011/000012}', "");
    Expect(1, 68029, '\P{Numeric_Value=000000011/000012}', "");
    Expect(0, 68029, '\P{^Numeric_Value=000000011/000012}', "");
    Expect(1, 68028, '\p{Numeric_Value=660/720}', "");
    Expect(0, 68028, '\p{^Numeric_Value=660/720}', "");
    Expect(0, 68028, '\P{Numeric_Value=660/720}', "");
    Expect(1, 68028, '\P{^Numeric_Value=660/720}', "");
    Expect(0, 68029, '\p{Numeric_Value=660/720}', "");
    Expect(1, 68029, '\p{^Numeric_Value=660/720}', "");
    Expect(1, 68029, '\P{Numeric_Value=660/720}', "");
    Expect(0, 68029, '\P{^Numeric_Value=660/720}', "");
    Error('\p{Numeric_Value:9.2e-01}');
    Error('\P{Numeric_Value:9.2e-01}');
    Error('\p{Numeric_Value=0.9}');
    Error('\P{Numeric_Value=0.9}');
    Error('\p{Numeric_Value:9.17e-01}');
    Error('\P{Numeric_Value:9.17e-01}');
    Error('\p{Numeric_Value=0.92}');
    Error('\P{Numeric_Value=0.92}');
    Expect(1, 68028, '\p{Numeric_Value=9.167e-01}', "");
    Expect(0, 68028, '\p{^Numeric_Value=9.167e-01}', "");
    Expect(0, 68028, '\P{Numeric_Value=9.167e-01}', "");
    Expect(1, 68028, '\P{^Numeric_Value=9.167e-01}', "");
    Expect(0, 68029, '\p{Numeric_Value=9.167e-01}', "");
    Expect(1, 68029, '\p{^Numeric_Value=9.167e-01}', "");
    Expect(1, 68029, '\P{Numeric_Value=9.167e-01}', "");
    Expect(0, 68029, '\P{^Numeric_Value=9.167e-01}', "");
    Error('\p{Numeric_Value=0.917}');
    Error('\P{Numeric_Value=0.917}');
    Expect(1, 68028, '\p{Numeric_Value=9.1667e-01}', "");
    Expect(0, 68028, '\p{^Numeric_Value=9.1667e-01}', "");
    Expect(0, 68028, '\P{Numeric_Value=9.1667e-01}', "");
    Expect(1, 68028, '\P{^Numeric_Value=9.1667e-01}', "");
    Expect(0, 68029, '\p{Numeric_Value=9.1667e-01}', "");
    Expect(1, 68029, '\p{^Numeric_Value=9.1667e-01}', "");
    Expect(1, 68029, '\P{Numeric_Value=9.1667e-01}', "");
    Expect(0, 68029, '\P{^Numeric_Value=9.1667e-01}', "");
    Expect(1, 68028, '\p{Numeric_Value=0.9167}', "");
    Expect(0, 68028, '\p{^Numeric_Value=0.9167}', "");
    Expect(0, 68028, '\P{Numeric_Value=0.9167}', "");
    Expect(1, 68028, '\P{^Numeric_Value=0.9167}', "");
    Expect(0, 68029, '\p{Numeric_Value=0.9167}', "");
    Expect(1, 68029, '\p{^Numeric_Value=0.9167}', "");
    Expect(1, 68029, '\P{Numeric_Value=0.9167}', "");
    Expect(0, 68029, '\P{^Numeric_Value=0.9167}', "");
    Expect(1, 68028, '\p{Numeric_Value=9.16667e-01}', "");
    Expect(0, 68028, '\p{^Numeric_Value=9.16667e-01}', "");
    Expect(0, 68028, '\P{Numeric_Value=9.16667e-01}', "");
    Expect(1, 68028, '\P{^Numeric_Value=9.16667e-01}', "");
    Expect(0, 68029, '\p{Numeric_Value=9.16667e-01}', "");
    Expect(1, 68029, '\p{^Numeric_Value=9.16667e-01}', "");
    Expect(1, 68029, '\P{Numeric_Value=9.16667e-01}', "");
    Expect(0, 68029, '\P{^Numeric_Value=9.16667e-01}', "");
    Expect(1, 68028, '\p{Numeric_Value=0.91667}', "");
    Expect(0, 68028, '\p{^Numeric_Value=0.91667}', "");
    Expect(0, 68028, '\P{Numeric_Value=0.91667}', "");
    Expect(1, 68028, '\P{^Numeric_Value=0.91667}', "");
    Expect(0, 68029, '\p{Numeric_Value=0.91667}', "");
    Expect(1, 68029, '\p{^Numeric_Value=0.91667}', "");
    Expect(1, 68029, '\P{Numeric_Value=0.91667}', "");
    Expect(0, 68029, '\P{^Numeric_Value=0.91667}', "");
    Error('\p{Nv=/a/		11/000012}');
    Error('\P{Nv=/a/		11/000012}');
    Expect(1, 68028, '\p{Nv=:\A11/12\z:}', "");;
    Expect(0, 68029, '\p{Nv=:\A11/12\z:}', "");;
    Expect(1, 68028, '\p{Nv=00000011/00000012}', "");
    Expect(0, 68028, '\p{^Nv=00000011/00000012}', "");
    Expect(0, 68028, '\P{Nv=00000011/00000012}', "");
    Expect(1, 68028, '\P{^Nv=00000011/00000012}', "");
    Expect(0, 68029, '\p{Nv=00000011/00000012}', "");
    Expect(1, 68029, '\p{^Nv=00000011/00000012}', "");
    Expect(1, 68029, '\P{Nv=00000011/00000012}', "");
    Expect(0, 68029, '\P{^Nv=00000011/00000012}', "");
    Expect(1, 68028, '\p{Nv=660/720}', "");
    Expect(0, 68028, '\p{^Nv=660/720}', "");
    Expect(0, 68028, '\P{Nv=660/720}', "");
    Expect(1, 68028, '\P{^Nv=660/720}', "");
    Expect(0, 68029, '\p{Nv=660/720}', "");
    Expect(1, 68029, '\p{^Nv=660/720}', "");
    Expect(1, 68029, '\P{Nv=660/720}', "");
    Expect(0, 68029, '\P{^Nv=660/720}', "");
    Error('\p{Nv=9.2e-01}');
    Error('\P{Nv=9.2e-01}');
    Error('\p{Nv=0.9}');
    Error('\P{Nv=0.9}');
    Error('\p{Nv=9.17e-01}');
    Error('\P{Nv=9.17e-01}');
    Error('\p{Nv=0.92}');
    Error('\P{Nv=0.92}');
    Expect(1, 68028, '\p{Nv=9.167e-01}', "");
    Expect(0, 68028, '\p{^Nv=9.167e-01}', "");
    Expect(0, 68028, '\P{Nv=9.167e-01}', "");
    Expect(1, 68028, '\P{^Nv=9.167e-01}', "");
    Expect(0, 68029, '\p{Nv=9.167e-01}', "");
    Expect(1, 68029, '\p{^Nv=9.167e-01}', "");
    Expect(1, 68029, '\P{Nv=9.167e-01}', "");
    Expect(0, 68029, '\P{^Nv=9.167e-01}', "");
    Error('\p{Nv=0.917}');
    Error('\P{Nv=0.917}');
    Expect(1, 68028, '\p{Nv=9.1667e-01}', "");
    Expect(0, 68028, '\p{^Nv=9.1667e-01}', "");
    Expect(0, 68028, '\P{Nv=9.1667e-01}', "");
    Expect(1, 68028, '\P{^Nv=9.1667e-01}', "");
    Expect(0, 68029, '\p{Nv=9.1667e-01}', "");
    Expect(1, 68029, '\p{^Nv=9.1667e-01}', "");
    Expect(1, 68029, '\P{Nv=9.1667e-01}', "");
    Expect(0, 68029, '\P{^Nv=9.1667e-01}', "");
    Expect(1, 68028, '\p{Nv=0.9167}', "");
    Expect(0, 68028, '\p{^Nv=0.9167}', "");
    Expect(0, 68028, '\P{Nv=0.9167}', "");
    Expect(1, 68028, '\P{^Nv=0.9167}', "");
    Expect(0, 68029, '\p{Nv=0.9167}', "");
    Expect(1, 68029, '\p{^Nv=0.9167}', "");
    Expect(1, 68029, '\P{Nv=0.9167}', "");
    Expect(0, 68029, '\P{^Nv=0.9167}', "");
    Expect(1, 68028, '\p{Nv=9.16667e-01}', "");
    Expect(0, 68028, '\p{^Nv=9.16667e-01}', "");
    Expect(0, 68028, '\P{Nv=9.16667e-01}', "");
    Expect(1, 68028, '\P{^Nv=9.16667e-01}', "");
    Expect(0, 68029, '\p{Nv=9.16667e-01}', "");
    Expect(1, 68029, '\p{^Nv=9.16667e-01}', "");
    Expect(1, 68029, '\P{Nv=9.16667e-01}', "");
    Expect(0, 68029, '\P{^Nv=9.16667e-01}', "");
    Expect(1, 68028, '\p{Nv=0.91667}', "");
    Expect(0, 68028, '\p{^Nv=0.91667}', "");
    Expect(0, 68028, '\P{Nv=0.91667}', "");
    Expect(1, 68028, '\P{^Nv=0.91667}', "");
    Expect(0, 68029, '\p{Nv=0.91667}', "");
    Expect(1, 68029, '\p{^Nv=0.91667}', "");
    Expect(1, 68029, '\P{Nv=0.91667}', "");
    Expect(0, 68029, '\P{^Nv=0.91667}', "");
    Error('\p{Is_Numeric_Value= :=00000011/0000000012}');
    Error('\P{Is_Numeric_Value= :=00000011/0000000012}');
    Expect(1, 68028, '\p{Is_Numeric_Value=11/12}', "");
    Expect(0, 68028, '\p{^Is_Numeric_Value=11/12}', "");
    Expect(0, 68028, '\P{Is_Numeric_Value=11/12}', "");
    Expect(1, 68028, '\P{^Is_Numeric_Value=11/12}', "");
    Expect(0, 68029, '\p{Is_Numeric_Value=11/12}', "");
    Expect(1, 68029, '\p{^Is_Numeric_Value=11/12}', "");
    Expect(1, 68029, '\P{Is_Numeric_Value=11/12}', "");
    Expect(0, 68029, '\P{^Is_Numeric_Value=11/12}', "");
    Expect(1, 68028, '\p{Is_Numeric_Value=660/720}', "");
    Expect(0, 68028, '\p{^Is_Numeric_Value=660/720}', "");
    Expect(0, 68028, '\P{Is_Numeric_Value=660/720}', "");
    Expect(1, 68028, '\P{^Is_Numeric_Value=660/720}', "");
    Expect(0, 68029, '\p{Is_Numeric_Value=660/720}', "");
    Expect(1, 68029, '\p{^Is_Numeric_Value=660/720}', "");
    Expect(1, 68029, '\P{Is_Numeric_Value=660/720}', "");
    Expect(0, 68029, '\P{^Is_Numeric_Value=660/720}', "");
    Error('\p{Is_Numeric_Value=9.2e-01}');
    Error('\P{Is_Numeric_Value=9.2e-01}');
    Error('\p{Is_Numeric_Value=0.9}');
    Error('\P{Is_Numeric_Value=0.9}');
    Error('\p{Is_Numeric_Value=9.17e-01}');
    Error('\P{Is_Numeric_Value=9.17e-01}');
    Error('\p{Is_Numeric_Value=0.92}');
    Error('\P{Is_Numeric_Value=0.92}');
    Expect(1, 68028, '\p{Is_Numeric_Value=9.167e-01}', "");
    Expect(0, 68028, '\p{^Is_Numeric_Value=9.167e-01}', "");
    Expect(0, 68028, '\P{Is_Numeric_Value=9.167e-01}', "");
    Expect(1, 68028, '\P{^Is_Numeric_Value=9.167e-01}', "");
    Expect(0, 68029, '\p{Is_Numeric_Value=9.167e-01}', "");
    Expect(1, 68029, '\p{^Is_Numeric_Value=9.167e-01}', "");
    Expect(1, 68029, '\P{Is_Numeric_Value=9.167e-01}', "");
    Expect(0, 68029, '\P{^Is_Numeric_Value=9.167e-01}', "");
    Error('\p{Is_Numeric_Value=0.917}');
    Error('\P{Is_Numeric_Value=0.917}');
    Expect(1, 68028, '\p{Is_Numeric_Value=9.1667e-01}', "");
    Expect(0, 68028, '\p{^Is_Numeric_Value=9.1667e-01}', "");
    Expect(0, 68028, '\P{Is_Numeric_Value=9.1667e-01}', "");
    Expect(1, 68028, '\P{^Is_Numeric_Value=9.1667e-01}', "");
    Expect(0, 68029, '\p{Is_Numeric_Value=9.1667e-01}', "");
    Expect(1, 68029, '\p{^Is_Numeric_Value=9.1667e-01}', "");
    Expect(1, 68029, '\P{Is_Numeric_Value=9.1667e-01}', "");
    Expect(0, 68029, '\P{^Is_Numeric_Value=9.1667e-01}', "");
    Expect(1, 68028, '\p{Is_Numeric_Value=0.9167}', "");
    Expect(0, 68028, '\p{^Is_Numeric_Value=0.9167}', "");
    Expect(0, 68028, '\P{Is_Numeric_Value=0.9167}', "");
    Expect(1, 68028, '\P{^Is_Numeric_Value=0.9167}', "");
    Expect(0, 68029, '\p{Is_Numeric_Value=0.9167}', "");
    Expect(1, 68029, '\p{^Is_Numeric_Value=0.9167}', "");
    Expect(1, 68029, '\P{Is_Numeric_Value=0.9167}', "");
    Expect(0, 68029, '\P{^Is_Numeric_Value=0.9167}', "");
    Expect(1, 68028, '\p{Is_Numeric_Value=9.16667e-01}', "");
    Expect(0, 68028, '\p{^Is_Numeric_Value=9.16667e-01}', "");
    Expect(0, 68028, '\P{Is_Numeric_Value=9.16667e-01}', "");
    Expect(1, 68028, '\P{^Is_Numeric_Value=9.16667e-01}', "");
    Expect(0, 68029, '\p{Is_Numeric_Value=9.16667e-01}', "");
    Expect(1, 68029, '\p{^Is_Numeric_Value=9.16667e-01}', "");
    Expect(1, 68029, '\P{Is_Numeric_Value=9.16667e-01}', "");
    Expect(0, 68029, '\P{^Is_Numeric_Value=9.16667e-01}', "");
    Expect(1, 68028, '\p{Is_Numeric_Value=0.91667}', "");
    Expect(0, 68028, '\p{^Is_Numeric_Value=0.91667}', "");
    Expect(0, 68028, '\P{Is_Numeric_Value=0.91667}', "");
    Expect(1, 68028, '\P{^Is_Numeric_Value=0.91667}', "");
    Expect(0, 68029, '\p{Is_Numeric_Value=0.91667}', "");
    Expect(1, 68029, '\p{^Is_Numeric_Value=0.91667}', "");
    Expect(1, 68029, '\P{Is_Numeric_Value=0.91667}', "");
    Expect(0, 68029, '\P{^Is_Numeric_Value=0.91667}', "");
    Error('\p{Is_Nv: -	+011/000000012/a/}');
    Error('\P{Is_Nv: -	+011/000000012/a/}');
    Expect(1, 68028, '\p{Is_Nv=+0000011/000000012}', "");
    Expect(0, 68028, '\p{^Is_Nv=+0000011/000000012}', "");
    Expect(0, 68028, '\P{Is_Nv=+0000011/000000012}', "");
    Expect(1, 68028, '\P{^Is_Nv=+0000011/000000012}', "");
    Expect(0, 68029, '\p{Is_Nv=+0000011/000000012}', "");
    Expect(1, 68029, '\p{^Is_Nv=+0000011/000000012}', "");
    Expect(1, 68029, '\P{Is_Nv=+0000011/000000012}', "");
    Expect(0, 68029, '\P{^Is_Nv=+0000011/000000012}', "");
    Expect(1, 68028, '\p{Is_Nv=660/720}', "");
    Expect(0, 68028, '\p{^Is_Nv=660/720}', "");
    Expect(0, 68028, '\P{Is_Nv=660/720}', "");
    Expect(1, 68028, '\P{^Is_Nv=660/720}', "");
    Expect(0, 68029, '\p{Is_Nv=660/720}', "");
    Expect(1, 68029, '\p{^Is_Nv=660/720}', "");
    Expect(1, 68029, '\P{Is_Nv=660/720}', "");
    Expect(0, 68029, '\P{^Is_Nv=660/720}', "");
    Error('\p{Is_Nv=9.2e-01}');
    Error('\P{Is_Nv=9.2e-01}');
    Error('\p{Is_Nv=0.9}');
    Error('\P{Is_Nv=0.9}');
    Error('\p{Is_Nv:9.17e-01}');
    Error('\P{Is_Nv:9.17e-01}');
    Error('\p{Is_Nv=0.92}');
    Error('\P{Is_Nv=0.92}');
    Expect(1, 68028, '\p{Is_Nv=9.167e-01}', "");
    Expect(0, 68028, '\p{^Is_Nv=9.167e-01}', "");
    Expect(0, 68028, '\P{Is_Nv=9.167e-01}', "");
    Expect(1, 68028, '\P{^Is_Nv=9.167e-01}', "");
    Expect(0, 68029, '\p{Is_Nv=9.167e-01}', "");
    Expect(1, 68029, '\p{^Is_Nv=9.167e-01}', "");
    Expect(1, 68029, '\P{Is_Nv=9.167e-01}', "");
    Expect(0, 68029, '\P{^Is_Nv=9.167e-01}', "");
    Error('\p{Is_Nv=0.917}');
    Error('\P{Is_Nv=0.917}');
    Expect(1, 68028, '\p{Is_Nv=9.1667e-01}', "");
    Expect(0, 68028, '\p{^Is_Nv=9.1667e-01}', "");
    Expect(0, 68028, '\P{Is_Nv=9.1667e-01}', "");
    Expect(1, 68028, '\P{^Is_Nv=9.1667e-01}', "");
    Expect(0, 68029, '\p{Is_Nv=9.1667e-01}', "");
    Expect(1, 68029, '\p{^Is_Nv=9.1667e-01}', "");
    Expect(1, 68029, '\P{Is_Nv=9.1667e-01}', "");
    Expect(0, 68029, '\P{^Is_Nv=9.1667e-01}', "");
    Expect(1, 68028, '\p{Is_Nv=0.9167}', "");
    Expect(0, 68028, '\p{^Is_Nv=0.9167}', "");
    Expect(0, 68028, '\P{Is_Nv=0.9167}', "");
    Expect(1, 68028, '\P{^Is_Nv=0.9167}', "");
    Expect(0, 68029, '\p{Is_Nv=0.9167}', "");
    Expect(1, 68029, '\p{^Is_Nv=0.9167}', "");
    Expect(1, 68029, '\P{Is_Nv=0.9167}', "");
    Expect(0, 68029, '\P{^Is_Nv=0.9167}', "");
    Expect(1, 68028, '\p{Is_Nv=9.16667e-01}', "");
    Expect(0, 68028, '\p{^Is_Nv=9.16667e-01}', "");
    Expect(0, 68028, '\P{Is_Nv=9.16667e-01}', "");
    Expect(1, 68028, '\P{^Is_Nv=9.16667e-01}', "");
    Expect(0, 68029, '\p{Is_Nv=9.16667e-01}', "");
    Expect(1, 68029, '\p{^Is_Nv=9.16667e-01}', "");
    Expect(1, 68029, '\P{Is_Nv=9.16667e-01}', "");
    Expect(0, 68029, '\P{^Is_Nv=9.16667e-01}', "");
    Expect(1, 68028, '\p{Is_Nv=0.91667}', "");
    Expect(0, 68028, '\p{^Is_Nv=0.91667}', "");
    Expect(0, 68028, '\P{Is_Nv=0.91667}', "");
    Expect(1, 68028, '\P{^Is_Nv=0.91667}', "");
    Expect(0, 68029, '\p{Is_Nv=0.91667}', "");
    Expect(1, 68029, '\p{^Is_Nv=0.91667}', "");
    Expect(1, 68029, '\P{Is_Nv=0.91667}', "");
    Expect(0, 68029, '\P{^Is_Nv=0.91667}', "");
    Error('\p{Numeric_Value= /a/+011/00000002}');
    Error('\P{Numeric_Value= /a/+011/00000002}');
    Expect(1, 3887, '\p{Numeric_Value=:\A11/2\z:}', "");;
    Expect(0, 3888, '\p{Numeric_Value=:\A11/2\z:}', "");;
    Expect(1, 3887, '\p{Numeric_Value=00000011/2}', "");
    Expect(0, 3887, '\p{^Numeric_Value=00000011/2}', "");
    Expect(0, 3887, '\P{Numeric_Value=00000011/2}', "");
    Expect(1, 3887, '\P{^Numeric_Value=00000011/2}', "");
    Expect(0, 3888, '\p{Numeric_Value=00000011/2}', "");
    Expect(1, 3888, '\p{^Numeric_Value=00000011/2}', "");
    Expect(1, 3888, '\P{Numeric_Value=00000011/2}', "");
    Expect(0, 3888, '\P{^Numeric_Value=00000011/2}', "");
    Expect(1, 3887, '\p{Numeric_Value=660/120}', "");
    Expect(0, 3887, '\p{^Numeric_Value=660/120}', "");
    Expect(0, 3887, '\P{Numeric_Value=660/120}', "");
    Expect(1, 3887, '\P{^Numeric_Value=660/120}', "");
    Expect(0, 3888, '\p{Numeric_Value=660/120}', "");
    Expect(1, 3888, '\p{^Numeric_Value=660/120}', "");
    Expect(1, 3888, '\P{Numeric_Value=660/120}', "");
    Expect(0, 3888, '\P{^Numeric_Value=660/120}', "");
    Expect(1, 3887, '\p{Numeric_Value:   5.5e+00}', "");
    Expect(0, 3887, '\p{^Numeric_Value:   5.5e+00}', "");
    Expect(0, 3887, '\P{Numeric_Value:   5.5e+00}', "");
    Expect(1, 3887, '\P{^Numeric_Value:   5.5e+00}', "");
    Expect(0, 3888, '\p{Numeric_Value:   5.5e+00}', "");
    Expect(1, 3888, '\p{^Numeric_Value:   5.5e+00}', "");
    Expect(1, 3888, '\P{Numeric_Value:   5.5e+00}', "");
    Expect(0, 3888, '\P{^Numeric_Value:   5.5e+00}', "");
    Expect(1, 3887, '\p{Numeric_Value=5.5}', "");
    Expect(0, 3887, '\p{^Numeric_Value=5.5}', "");
    Expect(0, 3887, '\P{Numeric_Value=5.5}', "");
    Expect(1, 3887, '\P{^Numeric_Value=5.5}', "");
    Expect(0, 3888, '\p{Numeric_Value=5.5}', "");
    Expect(1, 3888, '\p{^Numeric_Value=5.5}', "");
    Expect(1, 3888, '\P{Numeric_Value=5.5}', "");
    Expect(0, 3888, '\P{^Numeric_Value=5.5}', "");
    Expect(1, 3887, '\p{Numeric_Value=5.50e+00}', "");
    Expect(0, 3887, '\p{^Numeric_Value=5.50e+00}', "");
    Expect(0, 3887, '\P{Numeric_Value=5.50e+00}', "");
    Expect(1, 3887, '\P{^Numeric_Value=5.50e+00}', "");
    Expect(0, 3888, '\p{Numeric_Value=5.50e+00}', "");
    Expect(1, 3888, '\p{^Numeric_Value=5.50e+00}', "");
    Expect(1, 3888, '\P{Numeric_Value=5.50e+00}', "");
    Expect(0, 3888, '\P{^Numeric_Value=5.50e+00}', "");
    Expect(1, 3887, '\p{Numeric_Value=5.50}', "");
    Expect(0, 3887, '\p{^Numeric_Value=5.50}', "");
    Expect(0, 3887, '\P{Numeric_Value=5.50}', "");
    Expect(1, 3887, '\P{^Numeric_Value=5.50}', "");
    Expect(0, 3888, '\p{Numeric_Value=5.50}', "");
    Expect(1, 3888, '\p{^Numeric_Value=5.50}', "");
    Expect(1, 3888, '\P{Numeric_Value=5.50}', "");
    Expect(0, 3888, '\P{^Numeric_Value=5.50}', "");
    Error('\p{Nv=:=	_+0011/2}');
    Error('\P{Nv=:=	_+0011/2}');
    Expect(1, 3887, '\p{Nv=:\A11/2\z:}', "");;
    Expect(0, 3888, '\p{Nv=:\A11/2\z:}', "");;
    Expect(1, 3887, '\p{Nv=00000000011/02}', "");
    Expect(0, 3887, '\p{^Nv=00000000011/02}', "");
    Expect(0, 3887, '\P{Nv=00000000011/02}', "");
    Expect(1, 3887, '\P{^Nv=00000000011/02}', "");
    Expect(0, 3888, '\p{Nv=00000000011/02}', "");
    Expect(1, 3888, '\p{^Nv=00000000011/02}', "");
    Expect(1, 3888, '\P{Nv=00000000011/02}', "");
    Expect(0, 3888, '\P{^Nv=00000000011/02}', "");
    Expect(1, 3887, '\p{Nv=660/120}', "");
    Expect(0, 3887, '\p{^Nv=660/120}', "");
    Expect(0, 3887, '\P{Nv=660/120}', "");
    Expect(1, 3887, '\P{^Nv=660/120}', "");
    Expect(0, 3888, '\p{Nv=660/120}', "");
    Expect(1, 3888, '\p{^Nv=660/120}', "");
    Expect(1, 3888, '\P{Nv=660/120}', "");
    Expect(0, 3888, '\P{^Nv=660/120}', "");
    Expect(1, 3887, '\p{Nv=5.5e+00}', "");
    Expect(0, 3887, '\p{^Nv=5.5e+00}', "");
    Expect(0, 3887, '\P{Nv=5.5e+00}', "");
    Expect(1, 3887, '\P{^Nv=5.5e+00}', "");
    Expect(0, 3888, '\p{Nv=5.5e+00}', "");
    Expect(1, 3888, '\p{^Nv=5.5e+00}', "");
    Expect(1, 3888, '\P{Nv=5.5e+00}', "");
    Expect(0, 3888, '\P{^Nv=5.5e+00}', "");
    Expect(1, 3887, '\p{Nv=5.5}', "");
    Expect(0, 3887, '\p{^Nv=5.5}', "");
    Expect(0, 3887, '\P{Nv=5.5}', "");
    Expect(1, 3887, '\P{^Nv=5.5}', "");
    Expect(0, 3888, '\p{Nv=5.5}', "");
    Expect(1, 3888, '\p{^Nv=5.5}', "");
    Expect(1, 3888, '\P{Nv=5.5}', "");
    Expect(0, 3888, '\P{^Nv=5.5}', "");
    Expect(1, 3887, '\p{Nv=5.50e+00}', "");
    Expect(0, 3887, '\p{^Nv=5.50e+00}', "");
    Expect(0, 3887, '\P{Nv=5.50e+00}', "");
    Expect(1, 3887, '\P{^Nv=5.50e+00}', "");
    Expect(0, 3888, '\p{Nv=5.50e+00}', "");
    Expect(1, 3888, '\p{^Nv=5.50e+00}', "");
    Expect(1, 3888, '\P{Nv=5.50e+00}', "");
    Expect(0, 3888, '\P{^Nv=5.50e+00}', "");
    Expect(1, 3887, '\p{Nv:	5.50}', "");
    Expect(0, 3887, '\p{^Nv:	5.50}', "");
    Expect(0, 3887, '\P{Nv:	5.50}', "");
    Expect(1, 3887, '\P{^Nv:	5.50}', "");
    Expect(0, 3888, '\p{Nv:	5.50}', "");
    Expect(1, 3888, '\p{^Nv:	5.50}', "");
    Expect(1, 3888, '\P{Nv:	5.50}', "");
    Expect(0, 3888, '\P{^Nv:	5.50}', "");
    Error('\p{Is_Numeric_Value=:=-+0011/002}');
    Error('\P{Is_Numeric_Value=:=-+0011/002}');
    Expect(1, 3887, '\p{Is_Numeric_Value=+011/02}', "");
    Expect(0, 3887, '\p{^Is_Numeric_Value=+011/02}', "");
    Expect(0, 3887, '\P{Is_Numeric_Value=+011/02}', "");
    Expect(1, 3887, '\P{^Is_Numeric_Value=+011/02}', "");
    Expect(0, 3888, '\p{Is_Numeric_Value=+011/02}', "");
    Expect(1, 3888, '\p{^Is_Numeric_Value=+011/02}', "");
    Expect(1, 3888, '\P{Is_Numeric_Value=+011/02}', "");
    Expect(0, 3888, '\P{^Is_Numeric_Value=+011/02}', "");
    Expect(1, 3887, '\p{Is_Numeric_Value=660/120}', "");
    Expect(0, 3887, '\p{^Is_Numeric_Value=660/120}', "");
    Expect(0, 3887, '\P{Is_Numeric_Value=660/120}', "");
    Expect(1, 3887, '\P{^Is_Numeric_Value=660/120}', "");
    Expect(0, 3888, '\p{Is_Numeric_Value=660/120}', "");
    Expect(1, 3888, '\p{^Is_Numeric_Value=660/120}', "");
    Expect(1, 3888, '\P{Is_Numeric_Value=660/120}', "");
    Expect(0, 3888, '\P{^Is_Numeric_Value=660/120}', "");
    Expect(1, 3887, '\p{Is_Numeric_Value:   5.5e+00}', "");
    Expect(0, 3887, '\p{^Is_Numeric_Value:   5.5e+00}', "");
    Expect(0, 3887, '\P{Is_Numeric_Value:   5.5e+00}', "");
    Expect(1, 3887, '\P{^Is_Numeric_Value:   5.5e+00}', "");
    Expect(0, 3888, '\p{Is_Numeric_Value:   5.5e+00}', "");
    Expect(1, 3888, '\p{^Is_Numeric_Value:   5.5e+00}', "");
    Expect(1, 3888, '\P{Is_Numeric_Value:   5.5e+00}', "");
    Expect(0, 3888, '\P{^Is_Numeric_Value:   5.5e+00}', "");
    Expect(1, 3887, '\p{Is_Numeric_Value=5.5}', "");
    Expect(0, 3887, '\p{^Is_Numeric_Value=5.5}', "");
    Expect(0, 3887, '\P{Is_Numeric_Value=5.5}', "");
    Expect(1, 3887, '\P{^Is_Numeric_Value=5.5}', "");
    Expect(0, 3888, '\p{Is_Numeric_Value=5.5}', "");
    Expect(1, 3888, '\p{^Is_Numeric_Value=5.5}', "");
    Expect(1, 3888, '\P{Is_Numeric_Value=5.5}', "");
    Expect(0, 3888, '\P{^Is_Numeric_Value=5.5}', "");
    Expect(1, 3887, '\p{Is_Numeric_Value=5.50e+00}', "");
    Expect(0, 3887, '\p{^Is_Numeric_Value=5.50e+00}', "");
    Expect(0, 3887, '\P{Is_Numeric_Value=5.50e+00}', "");
    Expect(1, 3887, '\P{^Is_Numeric_Value=5.50e+00}', "");
    Expect(0, 3888, '\p{Is_Numeric_Value=5.50e+00}', "");
    Expect(1, 3888, '\p{^Is_Numeric_Value=5.50e+00}', "");
    Expect(1, 3888, '\P{Is_Numeric_Value=5.50e+00}', "");
    Expect(0, 3888, '\P{^Is_Numeric_Value=5.50e+00}', "");
    Expect(1, 3887, '\p{Is_Numeric_Value=5.50}', "");
    Expect(0, 3887, '\p{^Is_Numeric_Value=5.50}', "");
    Expect(0, 3887, '\P{Is_Numeric_Value=5.50}', "");
    Expect(1, 3887, '\P{^Is_Numeric_Value=5.50}', "");
    Expect(0, 3888, '\p{Is_Numeric_Value=5.50}', "");
    Expect(1, 3888, '\p{^Is_Numeric_Value=5.50}', "");
    Expect(1, 3888, '\P{Is_Numeric_Value=5.50}', "");
    Expect(0, 3888, '\P{^Is_Numeric_Value=5.50}', "");
    Error('\p{Is_Nv=-/a/11/0000002}');
    Error('\P{Is_Nv=-/a/11/0000002}');
    Expect(1, 3887, '\p{Is_Nv:	00000011/002}', "");
    Expect(0, 3887, '\p{^Is_Nv:	00000011/002}', "");
    Expect(0, 3887, '\P{Is_Nv:	00000011/002}', "");
    Expect(1, 3887, '\P{^Is_Nv:	00000011/002}', "");
    Expect(0, 3888, '\p{Is_Nv:	00000011/002}', "");
    Expect(1, 3888, '\p{^Is_Nv:	00000011/002}', "");
    Expect(1, 3888, '\P{Is_Nv:	00000011/002}', "");
    Expect(0, 3888, '\P{^Is_Nv:	00000011/002}', "");
    Expect(1, 3887, '\p{Is_Nv=660/120}', "");
    Expect(0, 3887, '\p{^Is_Nv=660/120}', "");
    Expect(0, 3887, '\P{Is_Nv=660/120}', "");
    Expect(1, 3887, '\P{^Is_Nv=660/120}', "");
    Expect(0, 3888, '\p{Is_Nv=660/120}', "");
    Expect(1, 3888, '\p{^Is_Nv=660/120}', "");
    Expect(1, 3888, '\P{Is_Nv=660/120}', "");
    Expect(0, 3888, '\P{^Is_Nv=660/120}', "");
    Expect(1, 3887, '\p{Is_Nv=5.5e+00}', "");
    Expect(0, 3887, '\p{^Is_Nv=5.5e+00}', "");
    Expect(0, 3887, '\P{Is_Nv=5.5e+00}', "");
    Expect(1, 3887, '\P{^Is_Nv=5.5e+00}', "");
    Expect(0, 3888, '\p{Is_Nv=5.5e+00}', "");
    Expect(1, 3888, '\p{^Is_Nv=5.5e+00}', "");
    Expect(1, 3888, '\P{Is_Nv=5.5e+00}', "");
    Expect(0, 3888, '\P{^Is_Nv=5.5e+00}', "");
    Expect(1, 3887, '\p{Is_Nv:	5.5}', "");
    Expect(0, 3887, '\p{^Is_Nv:	5.5}', "");
    Expect(0, 3887, '\P{Is_Nv:	5.5}', "");
    Expect(1, 3887, '\P{^Is_Nv:	5.5}', "");
    Expect(0, 3888, '\p{Is_Nv:	5.5}', "");
    Expect(1, 3888, '\p{^Is_Nv:	5.5}', "");
    Expect(1, 3888, '\P{Is_Nv:	5.5}', "");
    Expect(0, 3888, '\P{^Is_Nv:	5.5}', "");
    Expect(1, 3887, '\p{Is_Nv=5.50e+00}', "");
    Expect(0, 3887, '\p{^Is_Nv=5.50e+00}', "");
    Expect(0, 3887, '\P{Is_Nv=5.50e+00}', "");
    Expect(1, 3887, '\P{^Is_Nv=5.50e+00}', "");
    Expect(0, 3888, '\p{Is_Nv=5.50e+00}', "");
    Expect(1, 3888, '\p{^Is_Nv=5.50e+00}', "");
    Expect(1, 3888, '\P{Is_Nv=5.50e+00}', "");
    Expect(0, 3888, '\P{^Is_Nv=5.50e+00}', "");
    Expect(1, 3887, '\p{Is_Nv=5.50}', "");
    Expect(0, 3887, '\p{^Is_Nv=5.50}', "");
    Expect(0, 3887, '\P{Is_Nv=5.50}', "");
    Expect(1, 3887, '\P{^Is_Nv=5.50}', "");
    Expect(0, 3888, '\p{Is_Nv=5.50}', "");
    Expect(1, 3888, '\p{^Is_Nv=5.50}', "");
    Expect(1, 3888, '\P{Is_Nv=5.50}', "");
    Expect(0, 3888, '\P{^Is_Nv=5.50}', "");
    Error('\p{Numeric_Value= /a/00012}');
    Error('\P{Numeric_Value= /a/00012}');
    Expect(1, 119532, '\p{Numeric_Value=:\A12\z:}', "");;
    Expect(0, 119533, '\p{Numeric_Value=:\A12\z:}', "");;
    Expect(1, 119532, '\p{Numeric_Value=+00000012}', "");
    Expect(0, 119532, '\p{^Numeric_Value=+00000012}', "");
    Expect(0, 119532, '\P{Numeric_Value=+00000012}', "");
    Expect(1, 119532, '\P{^Numeric_Value=+00000012}', "");
    Expect(0, 119533, '\p{Numeric_Value=+00000012}', "");
    Expect(1, 119533, '\p{^Numeric_Value=+00000012}', "");
    Expect(1, 119533, '\P{Numeric_Value=+00000012}', "");
    Expect(0, 119533, '\P{^Numeric_Value=+00000012}', "");
    Expect(1, 119532, '\p{Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119532, '\p{^Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119532, '\P{Numeric_Value=1.200000000000000e+01}', "");
    Expect(1, 119532, '\P{^Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119533, '\p{Numeric_Value=1.200000000000000e+01}', "");
    Expect(1, 119533, '\p{^Numeric_Value=1.200000000000000e+01}', "");
    Expect(1, 119533, '\P{Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119533, '\P{^Numeric_Value=1.200000000000000e+01}', "");
    Error('\p{Nv=_00_01_2/a/}');
    Error('\P{Nv=_00_01_2/a/}');
    Expect(1, 119532, '\p{Nv=:\A12\z:}', "");;
    Expect(0, 119533, '\p{Nv=:\A12\z:}', "");;
    Expect(1, 119532, '\p{Nv=0_0_12}', "");
    Expect(0, 119532, '\p{^Nv=0_0_12}', "");
    Expect(0, 119532, '\P{Nv=0_0_12}', "");
    Expect(1, 119532, '\P{^Nv=0_0_12}', "");
    Expect(0, 119533, '\p{Nv=0_0_12}', "");
    Expect(1, 119533, '\p{^Nv=0_0_12}', "");
    Expect(1, 119533, '\P{Nv=0_0_12}', "");
    Expect(0, 119533, '\P{^Nv=0_0_12}', "");
    Expect(1, 119532, '\p{Nv=1.200000000000000e+01}', "");
    Expect(0, 119532, '\p{^Nv=1.200000000000000e+01}', "");
    Expect(0, 119532, '\P{Nv=1.200000000000000e+01}', "");
    Expect(1, 119532, '\P{^Nv=1.200000000000000e+01}', "");
    Expect(0, 119533, '\p{Nv=1.200000000000000e+01}', "");
    Expect(1, 119533, '\p{^Nv=1.200000000000000e+01}', "");
    Expect(1, 119533, '\P{Nv=1.200000000000000e+01}', "");
    Expect(0, 119533, '\P{^Nv=1.200000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=-+00000012/a/}');
    Error('\P{Is_Numeric_Value=-+00000012/a/}');
    Expect(1, 119532, '\p{Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(0, 119532, '\p{^Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(0, 119532, '\P{Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(1, 119532, '\P{^Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(0, 119533, '\p{Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(1, 119533, '\p{^Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(1, 119533, '\P{Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(0, 119533, '\P{^Is_Numeric_Value=+0_0_0_0_012}', "");
    Expect(1, 119532, '\p{Is_Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119532, '\p{^Is_Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119532, '\P{Is_Numeric_Value=1.200000000000000e+01}', "");
    Expect(1, 119532, '\P{^Is_Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119533, '\p{Is_Numeric_Value=1.200000000000000e+01}', "");
    Expect(1, 119533, '\p{^Is_Numeric_Value=1.200000000000000e+01}', "");
    Expect(1, 119533, '\P{Is_Numeric_Value=1.200000000000000e+01}', "");
    Expect(0, 119533, '\P{^Is_Numeric_Value=1.200000000000000e+01}', "");
    Error('\p{Is_Nv=_	+012/a/}');
    Error('\P{Is_Nv=_	+012/a/}');
    Expect(1, 119532, '\p{Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(0, 119532, '\p{^Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(0, 119532, '\P{Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(1, 119532, '\P{^Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(0, 119533, '\p{Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(1, 119533, '\p{^Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(1, 119533, '\P{Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(0, 119533, '\P{^Is_Nv=0_0_0_0_0_0_0_0_12}', "");
    Expect(1, 119532, '\p{Is_Nv=1.200000000000000e+01}', "");
    Expect(0, 119532, '\p{^Is_Nv=1.200000000000000e+01}', "");
    Expect(0, 119532, '\P{Is_Nv=1.200000000000000e+01}', "");
    Expect(1, 119532, '\P{^Is_Nv=1.200000000000000e+01}', "");
    Expect(0, 119533, '\p{Is_Nv=1.200000000000000e+01}', "");
    Expect(1, 119533, '\p{^Is_Nv=1.200000000000000e+01}', "");
    Expect(1, 119533, '\P{Is_Nv=1.200000000000000e+01}', "");
    Expect(0, 119533, '\P{^Is_Nv=1.200000000000000e+01}', "");
    Error('\p{Numeric_Value::=-	+0013}');
    Error('\P{Numeric_Value::=-	+0013}');
    Expect(1, 119533, '\p{Numeric_Value=:\A13\z:}', "");;
    Expect(0, 119534, '\p{Numeric_Value=:\A13\z:}', "");;
    Expect(1, 119533, '\p{Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(0, 119533, '\p{^Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(0, 119533, '\P{Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(1, 119533, '\P{^Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(0, 119534, '\p{Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(1, 119534, '\p{^Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(1, 119534, '\P{Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(0, 119534, '\P{^Numeric_Value:   0_0_0_0_0_0_0_0_013}', "");
    Expect(1, 119533, '\p{Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119533, '\p{^Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119533, '\P{Numeric_Value=1.300000000000000e+01}', "");
    Expect(1, 119533, '\P{^Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119534, '\p{Numeric_Value=1.300000000000000e+01}', "");
    Expect(1, 119534, '\p{^Numeric_Value=1.300000000000000e+01}', "");
    Expect(1, 119534, '\P{Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119534, '\P{^Numeric_Value=1.300000000000000e+01}', "");
    Error('\p{Nv=/a/		+013}');
    Error('\P{Nv=/a/		+013}');
    Expect(1, 119533, '\p{Nv=:\A13\z:}', "");;
    Expect(0, 119534, '\p{Nv=:\A13\z:}', "");;
    Expect(1, 119533, '\p{Nv=+0000000013}', "");
    Expect(0, 119533, '\p{^Nv=+0000000013}', "");
    Expect(0, 119533, '\P{Nv=+0000000013}', "");
    Expect(1, 119533, '\P{^Nv=+0000000013}', "");
    Expect(0, 119534, '\p{Nv=+0000000013}', "");
    Expect(1, 119534, '\p{^Nv=+0000000013}', "");
    Expect(1, 119534, '\P{Nv=+0000000013}', "");
    Expect(0, 119534, '\P{^Nv=+0000000013}', "");
    Expect(1, 119533, '\p{Nv=1.300000000000000e+01}', "");
    Expect(0, 119533, '\p{^Nv=1.300000000000000e+01}', "");
    Expect(0, 119533, '\P{Nv=1.300000000000000e+01}', "");
    Expect(1, 119533, '\P{^Nv=1.300000000000000e+01}', "");
    Expect(0, 119534, '\p{Nv=1.300000000000000e+01}', "");
    Expect(1, 119534, '\p{^Nv=1.300000000000000e+01}', "");
    Expect(1, 119534, '\P{Nv=1.300000000000000e+01}', "");
    Expect(0, 119534, '\P{^Nv=1.300000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=-_0_0_0_013:=}');
    Error('\P{Is_Numeric_Value=-_0_0_0_013:=}');
    Expect(1, 119533, '\p{Is_Numeric_Value=+0_0_0_13}', "");
    Expect(0, 119533, '\p{^Is_Numeric_Value=+0_0_0_13}', "");
    Expect(0, 119533, '\P{Is_Numeric_Value=+0_0_0_13}', "");
    Expect(1, 119533, '\P{^Is_Numeric_Value=+0_0_0_13}', "");
    Expect(0, 119534, '\p{Is_Numeric_Value=+0_0_0_13}', "");
    Expect(1, 119534, '\p{^Is_Numeric_Value=+0_0_0_13}', "");
    Expect(1, 119534, '\P{Is_Numeric_Value=+0_0_0_13}', "");
    Expect(0, 119534, '\P{^Is_Numeric_Value=+0_0_0_13}', "");
    Expect(1, 119533, '\p{Is_Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119533, '\p{^Is_Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119533, '\P{Is_Numeric_Value=1.300000000000000e+01}', "");
    Expect(1, 119533, '\P{^Is_Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119534, '\p{Is_Numeric_Value=1.300000000000000e+01}', "");
    Expect(1, 119534, '\p{^Is_Numeric_Value=1.300000000000000e+01}', "");
    Expect(1, 119534, '\P{Is_Numeric_Value=1.300000000000000e+01}', "");
    Expect(0, 119534, '\P{^Is_Numeric_Value=1.300000000000000e+01}', "");
    Error('\p{Is_Nv=	-0000013:=}');
    Error('\P{Is_Nv=	-0000013:=}');
    Expect(1, 119533, '\p{Is_Nv=001_3}', "");
    Expect(0, 119533, '\p{^Is_Nv=001_3}', "");
    Expect(0, 119533, '\P{Is_Nv=001_3}', "");
    Expect(1, 119533, '\P{^Is_Nv=001_3}', "");
    Expect(0, 119534, '\p{Is_Nv=001_3}', "");
    Expect(1, 119534, '\p{^Is_Nv=001_3}', "");
    Expect(1, 119534, '\P{Is_Nv=001_3}', "");
    Expect(0, 119534, '\P{^Is_Nv=001_3}', "");
    Expect(1, 119533, '\p{Is_Nv=1.300000000000000e+01}', "");
    Expect(0, 119533, '\p{^Is_Nv=1.300000000000000e+01}', "");
    Expect(0, 119533, '\P{Is_Nv=1.300000000000000e+01}', "");
    Expect(1, 119533, '\P{^Is_Nv=1.300000000000000e+01}', "");
    Expect(0, 119534, '\p{Is_Nv=1.300000000000000e+01}', "");
    Expect(1, 119534, '\p{^Is_Nv=1.300000000000000e+01}', "");
    Expect(1, 119534, '\P{Is_Nv=1.300000000000000e+01}', "");
    Expect(0, 119534, '\P{^Is_Nv=1.300000000000000e+01}', "");
    Error('\p{Numeric_Value=:=	-+0000013/000002}');
    Error('\P{Numeric_Value=:=	-+0000013/000002}');
    Expect(1, 3888, '\p{Numeric_Value=:\A13/2\z:}', "");;
    Expect(0, 3889, '\p{Numeric_Value=:\A13/2\z:}', "");;
    Expect(1, 3888, '\p{Numeric_Value=+0000013/000000002}', "");
    Expect(0, 3888, '\p{^Numeric_Value=+0000013/000000002}', "");
    Expect(0, 3888, '\P{Numeric_Value=+0000013/000000002}', "");
    Expect(1, 3888, '\P{^Numeric_Value=+0000013/000000002}', "");
    Expect(0, 3889, '\p{Numeric_Value=+0000013/000000002}', "");
    Expect(1, 3889, '\p{^Numeric_Value=+0000013/000000002}', "");
    Expect(1, 3889, '\P{Numeric_Value=+0000013/000000002}', "");
    Expect(0, 3889, '\P{^Numeric_Value=+0000013/000000002}', "");
    Expect(1, 3888, '\p{Numeric_Value=780/120}', "");
    Expect(0, 3888, '\p{^Numeric_Value=780/120}', "");
    Expect(0, 3888, '\P{Numeric_Value=780/120}', "");
    Expect(1, 3888, '\P{^Numeric_Value=780/120}', "");
    Expect(0, 3889, '\p{Numeric_Value=780/120}', "");
    Expect(1, 3889, '\p{^Numeric_Value=780/120}', "");
    Expect(1, 3889, '\P{Numeric_Value=780/120}', "");
    Expect(0, 3889, '\P{^Numeric_Value=780/120}', "");
    Expect(1, 3888, '\p{Numeric_Value=6.5e+00}', "");
    Expect(0, 3888, '\p{^Numeric_Value=6.5e+00}', "");
    Expect(0, 3888, '\P{Numeric_Value=6.5e+00}', "");
    Expect(1, 3888, '\P{^Numeric_Value=6.5e+00}', "");
    Expect(0, 3889, '\p{Numeric_Value=6.5e+00}', "");
    Expect(1, 3889, '\p{^Numeric_Value=6.5e+00}', "");
    Expect(1, 3889, '\P{Numeric_Value=6.5e+00}', "");
    Expect(0, 3889, '\P{^Numeric_Value=6.5e+00}', "");
    Expect(1, 3888, '\p{Numeric_Value=6.5}', "");
    Expect(0, 3888, '\p{^Numeric_Value=6.5}', "");
    Expect(0, 3888, '\P{Numeric_Value=6.5}', "");
    Expect(1, 3888, '\P{^Numeric_Value=6.5}', "");
    Expect(0, 3889, '\p{Numeric_Value=6.5}', "");
    Expect(1, 3889, '\p{^Numeric_Value=6.5}', "");
    Expect(1, 3889, '\P{Numeric_Value=6.5}', "");
    Expect(0, 3889, '\P{^Numeric_Value=6.5}', "");
    Expect(1, 3888, '\p{Numeric_Value=6.50e+00}', "");
    Expect(0, 3888, '\p{^Numeric_Value=6.50e+00}', "");
    Expect(0, 3888, '\P{Numeric_Value=6.50e+00}', "");
    Expect(1, 3888, '\P{^Numeric_Value=6.50e+00}', "");
    Expect(0, 3889, '\p{Numeric_Value=6.50e+00}', "");
    Expect(1, 3889, '\p{^Numeric_Value=6.50e+00}', "");
    Expect(1, 3889, '\P{Numeric_Value=6.50e+00}', "");
    Expect(0, 3889, '\P{^Numeric_Value=6.50e+00}', "");
    Expect(1, 3888, '\p{Numeric_Value=6.50}', "");
    Expect(0, 3888, '\p{^Numeric_Value=6.50}', "");
    Expect(0, 3888, '\P{Numeric_Value=6.50}', "");
    Expect(1, 3888, '\P{^Numeric_Value=6.50}', "");
    Expect(0, 3889, '\p{Numeric_Value=6.50}', "");
    Expect(1, 3889, '\p{^Numeric_Value=6.50}', "");
    Expect(1, 3889, '\P{Numeric_Value=6.50}', "");
    Expect(0, 3889, '\P{^Numeric_Value=6.50}', "");
    Error('\p{Nv=-:=00013/02}');
    Error('\P{Nv=-:=00013/02}');
    Expect(1, 3888, '\p{Nv=:\A13/2\z:}', "");;
    Expect(0, 3889, '\p{Nv=:\A13/2\z:}', "");;
    Expect(1, 3888, '\p{Nv=+00013/0000002}', "");
    Expect(0, 3888, '\p{^Nv=+00013/0000002}', "");
    Expect(0, 3888, '\P{Nv=+00013/0000002}', "");
    Expect(1, 3888, '\P{^Nv=+00013/0000002}', "");
    Expect(0, 3889, '\p{Nv=+00013/0000002}', "");
    Expect(1, 3889, '\p{^Nv=+00013/0000002}', "");
    Expect(1, 3889, '\P{Nv=+00013/0000002}', "");
    Expect(0, 3889, '\P{^Nv=+00013/0000002}', "");
    Expect(1, 3888, '\p{Nv=780/120}', "");
    Expect(0, 3888, '\p{^Nv=780/120}', "");
    Expect(0, 3888, '\P{Nv=780/120}', "");
    Expect(1, 3888, '\P{^Nv=780/120}', "");
    Expect(0, 3889, '\p{Nv=780/120}', "");
    Expect(1, 3889, '\p{^Nv=780/120}', "");
    Expect(1, 3889, '\P{Nv=780/120}', "");
    Expect(0, 3889, '\P{^Nv=780/120}', "");
    Expect(1, 3888, '\p{Nv=6.5e+00}', "");
    Expect(0, 3888, '\p{^Nv=6.5e+00}', "");
    Expect(0, 3888, '\P{Nv=6.5e+00}', "");
    Expect(1, 3888, '\P{^Nv=6.5e+00}', "");
    Expect(0, 3889, '\p{Nv=6.5e+00}', "");
    Expect(1, 3889, '\p{^Nv=6.5e+00}', "");
    Expect(1, 3889, '\P{Nv=6.5e+00}', "");
    Expect(0, 3889, '\P{^Nv=6.5e+00}', "");
    Expect(1, 3888, '\p{Nv=6.5}', "");
    Expect(0, 3888, '\p{^Nv=6.5}', "");
    Expect(0, 3888, '\P{Nv=6.5}', "");
    Expect(1, 3888, '\P{^Nv=6.5}', "");
    Expect(0, 3889, '\p{Nv=6.5}', "");
    Expect(1, 3889, '\p{^Nv=6.5}', "");
    Expect(1, 3889, '\P{Nv=6.5}', "");
    Expect(0, 3889, '\P{^Nv=6.5}', "");
    Expect(1, 3888, '\p{Nv:   6.50e+00}', "");
    Expect(0, 3888, '\p{^Nv:   6.50e+00}', "");
    Expect(0, 3888, '\P{Nv:   6.50e+00}', "");
    Expect(1, 3888, '\P{^Nv:   6.50e+00}', "");
    Expect(0, 3889, '\p{Nv:   6.50e+00}', "");
    Expect(1, 3889, '\p{^Nv:   6.50e+00}', "");
    Expect(1, 3889, '\P{Nv:   6.50e+00}', "");
    Expect(0, 3889, '\P{^Nv:   6.50e+00}', "");
    Expect(1, 3888, '\p{Nv=6.50}', "");
    Expect(0, 3888, '\p{^Nv=6.50}', "");
    Expect(0, 3888, '\P{Nv=6.50}', "");
    Expect(1, 3888, '\P{^Nv=6.50}', "");
    Expect(0, 3889, '\p{Nv=6.50}', "");
    Expect(1, 3889, '\p{^Nv=6.50}', "");
    Expect(1, 3889, '\P{Nv=6.50}', "");
    Expect(0, 3889, '\P{^Nv=6.50}', "");
    Error('\p{Is_Numeric_Value=/a/-000013/000000002}');
    Error('\P{Is_Numeric_Value=/a/-000013/000000002}');
    Expect(1, 3888, '\p{Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(0, 3888, '\p{^Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(0, 3888, '\P{Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(1, 3888, '\P{^Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(0, 3889, '\p{Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(1, 3889, '\p{^Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(1, 3889, '\P{Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(0, 3889, '\P{^Is_Numeric_Value: 0000000013/0000002}', "");
    Expect(1, 3888, '\p{Is_Numeric_Value=780/120}', "");
    Expect(0, 3888, '\p{^Is_Numeric_Value=780/120}', "");
    Expect(0, 3888, '\P{Is_Numeric_Value=780/120}', "");
    Expect(1, 3888, '\P{^Is_Numeric_Value=780/120}', "");
    Expect(0, 3889, '\p{Is_Numeric_Value=780/120}', "");
    Expect(1, 3889, '\p{^Is_Numeric_Value=780/120}', "");
    Expect(1, 3889, '\P{Is_Numeric_Value=780/120}', "");
    Expect(0, 3889, '\P{^Is_Numeric_Value=780/120}', "");
    Expect(1, 3888, '\p{Is_Numeric_Value=6.5e+00}', "");
    Expect(0, 3888, '\p{^Is_Numeric_Value=6.5e+00}', "");
    Expect(0, 3888, '\P{Is_Numeric_Value=6.5e+00}', "");
    Expect(1, 3888, '\P{^Is_Numeric_Value=6.5e+00}', "");
    Expect(0, 3889, '\p{Is_Numeric_Value=6.5e+00}', "");
    Expect(1, 3889, '\p{^Is_Numeric_Value=6.5e+00}', "");
    Expect(1, 3889, '\P{Is_Numeric_Value=6.5e+00}', "");
    Expect(0, 3889, '\P{^Is_Numeric_Value=6.5e+00}', "");
    Expect(1, 3888, '\p{Is_Numeric_Value=6.5}', "");
    Expect(0, 3888, '\p{^Is_Numeric_Value=6.5}', "");
    Expect(0, 3888, '\P{Is_Numeric_Value=6.5}', "");
    Expect(1, 3888, '\P{^Is_Numeric_Value=6.5}', "");
    Expect(0, 3889, '\p{Is_Numeric_Value=6.5}', "");
    Expect(1, 3889, '\p{^Is_Numeric_Value=6.5}', "");
    Expect(1, 3889, '\P{Is_Numeric_Value=6.5}', "");
    Expect(0, 3889, '\P{^Is_Numeric_Value=6.5}', "");
    Expect(1, 3888, '\p{Is_Numeric_Value=6.50e+00}', "");
    Expect(0, 3888, '\p{^Is_Numeric_Value=6.50e+00}', "");
    Expect(0, 3888, '\P{Is_Numeric_Value=6.50e+00}', "");
    Expect(1, 3888, '\P{^Is_Numeric_Value=6.50e+00}', "");
    Expect(0, 3889, '\p{Is_Numeric_Value=6.50e+00}', "");
    Expect(1, 3889, '\p{^Is_Numeric_Value=6.50e+00}', "");
    Expect(1, 3889, '\P{Is_Numeric_Value=6.50e+00}', "");
    Expect(0, 3889, '\P{^Is_Numeric_Value=6.50e+00}', "");
    Expect(1, 3888, '\p{Is_Numeric_Value=6.50}', "");
    Expect(0, 3888, '\p{^Is_Numeric_Value=6.50}', "");
    Expect(0, 3888, '\P{Is_Numeric_Value=6.50}', "");
    Expect(1, 3888, '\P{^Is_Numeric_Value=6.50}', "");
    Expect(0, 3889, '\p{Is_Numeric_Value=6.50}', "");
    Expect(1, 3889, '\p{^Is_Numeric_Value=6.50}', "");
    Expect(1, 3889, '\P{Is_Numeric_Value=6.50}', "");
    Expect(0, 3889, '\P{^Is_Numeric_Value=6.50}', "");
    Error('\p{Is_Nv=/a/ 	0013/0002}');
    Error('\P{Is_Nv=/a/ 	0013/0002}');
    Expect(1, 3888, '\p{Is_Nv=0000013/000000002}', "");
    Expect(0, 3888, '\p{^Is_Nv=0000013/000000002}', "");
    Expect(0, 3888, '\P{Is_Nv=0000013/000000002}', "");
    Expect(1, 3888, '\P{^Is_Nv=0000013/000000002}', "");
    Expect(0, 3889, '\p{Is_Nv=0000013/000000002}', "");
    Expect(1, 3889, '\p{^Is_Nv=0000013/000000002}', "");
    Expect(1, 3889, '\P{Is_Nv=0000013/000000002}', "");
    Expect(0, 3889, '\P{^Is_Nv=0000013/000000002}', "");
    Expect(1, 3888, '\p{Is_Nv=780/120}', "");
    Expect(0, 3888, '\p{^Is_Nv=780/120}', "");
    Expect(0, 3888, '\P{Is_Nv=780/120}', "");
    Expect(1, 3888, '\P{^Is_Nv=780/120}', "");
    Expect(0, 3889, '\p{Is_Nv=780/120}', "");
    Expect(1, 3889, '\p{^Is_Nv=780/120}', "");
    Expect(1, 3889, '\P{Is_Nv=780/120}', "");
    Expect(0, 3889, '\P{^Is_Nv=780/120}', "");
    Expect(1, 3888, '\p{Is_Nv=6.5e+00}', "");
    Expect(0, 3888, '\p{^Is_Nv=6.5e+00}', "");
    Expect(0, 3888, '\P{Is_Nv=6.5e+00}', "");
    Expect(1, 3888, '\P{^Is_Nv=6.5e+00}', "");
    Expect(0, 3889, '\p{Is_Nv=6.5e+00}', "");
    Expect(1, 3889, '\p{^Is_Nv=6.5e+00}', "");
    Expect(1, 3889, '\P{Is_Nv=6.5e+00}', "");
    Expect(0, 3889, '\P{^Is_Nv=6.5e+00}', "");
    Expect(1, 3888, '\p{Is_Nv=6.5}', "");
    Expect(0, 3888, '\p{^Is_Nv=6.5}', "");
    Expect(0, 3888, '\P{Is_Nv=6.5}', "");
    Expect(1, 3888, '\P{^Is_Nv=6.5}', "");
    Expect(0, 3889, '\p{Is_Nv=6.5}', "");
    Expect(1, 3889, '\p{^Is_Nv=6.5}', "");
    Expect(1, 3889, '\P{Is_Nv=6.5}', "");
    Expect(0, 3889, '\P{^Is_Nv=6.5}', "");
    Expect(1, 3888, '\p{Is_Nv=6.50e+00}', "");
    Expect(0, 3888, '\p{^Is_Nv=6.50e+00}', "");
    Expect(0, 3888, '\P{Is_Nv=6.50e+00}', "");
    Expect(1, 3888, '\P{^Is_Nv=6.50e+00}', "");
    Expect(0, 3889, '\p{Is_Nv=6.50e+00}', "");
    Expect(1, 3889, '\p{^Is_Nv=6.50e+00}', "");
    Expect(1, 3889, '\P{Is_Nv=6.50e+00}', "");
    Expect(0, 3889, '\P{^Is_Nv=6.50e+00}', "");
    Expect(1, 3888, '\p{Is_Nv=6.50}', "");
    Expect(0, 3888, '\p{^Is_Nv=6.50}', "");
    Expect(0, 3888, '\P{Is_Nv=6.50}', "");
    Expect(1, 3888, '\P{^Is_Nv=6.50}', "");
    Expect(0, 3889, '\p{Is_Nv=6.50}', "");
    Expect(1, 3889, '\p{^Is_Nv=6.50}', "");
    Expect(1, 3889, '\P{Is_Nv=6.50}', "");
    Expect(0, 3889, '\P{^Is_Nv=6.50}', "");
    Error('\p{Numeric_Value=/a/_14}');
    Error('\P{Numeric_Value=/a/_14}');
    Expect(1, 119534, '\p{Numeric_Value=:\A14\z:}', "");;
    Expect(0, 119535, '\p{Numeric_Value=:\A14\z:}', "");;
    Expect(1, 119534, '\p{Numeric_Value=001_4}', "");
    Expect(0, 119534, '\p{^Numeric_Value=001_4}', "");
    Expect(0, 119534, '\P{Numeric_Value=001_4}', "");
    Expect(1, 119534, '\P{^Numeric_Value=001_4}', "");
    Expect(0, 119535, '\p{Numeric_Value=001_4}', "");
    Expect(1, 119535, '\p{^Numeric_Value=001_4}', "");
    Expect(1, 119535, '\P{Numeric_Value=001_4}', "");
    Expect(0, 119535, '\P{^Numeric_Value=001_4}', "");
    Expect(1, 119534, '\p{Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119534, '\p{^Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119534, '\P{Numeric_Value=1.400000000000000e+01}', "");
    Expect(1, 119534, '\P{^Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119535, '\p{Numeric_Value=1.400000000000000e+01}', "");
    Expect(1, 119535, '\p{^Numeric_Value=1.400000000000000e+01}', "");
    Expect(1, 119535, '\P{Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119535, '\P{^Numeric_Value=1.400000000000000e+01}', "");
    Error('\p{Nv=/a/0_0_0_0_0_0_0_14}');
    Error('\P{Nv=/a/0_0_0_0_0_0_0_14}');
    Expect(1, 119534, '\p{Nv=:\A14\z:}', "");;
    Expect(0, 119535, '\p{Nv=:\A14\z:}', "");;
    Expect(1, 119534, '\p{Nv=+0_0_0_14}', "");
    Expect(0, 119534, '\p{^Nv=+0_0_0_14}', "");
    Expect(0, 119534, '\P{Nv=+0_0_0_14}', "");
    Expect(1, 119534, '\P{^Nv=+0_0_0_14}', "");
    Expect(0, 119535, '\p{Nv=+0_0_0_14}', "");
    Expect(1, 119535, '\p{^Nv=+0_0_0_14}', "");
    Expect(1, 119535, '\P{Nv=+0_0_0_14}', "");
    Expect(0, 119535, '\P{^Nv=+0_0_0_14}', "");
    Expect(1, 119534, '\p{Nv=1.400000000000000e+01}', "");
    Expect(0, 119534, '\p{^Nv=1.400000000000000e+01}', "");
    Expect(0, 119534, '\P{Nv=1.400000000000000e+01}', "");
    Expect(1, 119534, '\P{^Nv=1.400000000000000e+01}', "");
    Expect(0, 119535, '\p{Nv=1.400000000000000e+01}', "");
    Expect(1, 119535, '\p{^Nv=1.400000000000000e+01}', "");
    Expect(1, 119535, '\P{Nv=1.400000000000000e+01}', "");
    Expect(0, 119535, '\P{^Nv=1.400000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/14}');
    Error('\P{Is_Numeric_Value=/a/14}');
    Expect(1, 119534, '\p{Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(0, 119534, '\p{^Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(0, 119534, '\P{Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(1, 119534, '\P{^Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(0, 119535, '\p{Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(1, 119535, '\p{^Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(1, 119535, '\P{Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(0, 119535, '\P{^Is_Numeric_Value=0_0_0_0_0_0_014}', "");
    Expect(1, 119534, '\p{Is_Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119534, '\p{^Is_Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119534, '\P{Is_Numeric_Value=1.400000000000000e+01}', "");
    Expect(1, 119534, '\P{^Is_Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119535, '\p{Is_Numeric_Value=1.400000000000000e+01}', "");
    Expect(1, 119535, '\p{^Is_Numeric_Value=1.400000000000000e+01}', "");
    Expect(1, 119535, '\P{Is_Numeric_Value=1.400000000000000e+01}', "");
    Expect(0, 119535, '\P{^Is_Numeric_Value=1.400000000000000e+01}', "");
    Error('\p{Is_Nv=:=+000000014}');
    Error('\P{Is_Nv=:=+000000014}');
    Expect(1, 119534, '\p{Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(0, 119534, '\p{^Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(0, 119534, '\P{Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(1, 119534, '\P{^Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(0, 119535, '\p{Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(1, 119535, '\p{^Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(1, 119535, '\P{Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(0, 119535, '\P{^Is_Nv=0_0_0_0_0_0_00014}', "");
    Expect(1, 119534, '\p{Is_Nv=1.400000000000000e+01}', "");
    Expect(0, 119534, '\p{^Is_Nv=1.400000000000000e+01}', "");
    Expect(0, 119534, '\P{Is_Nv=1.400000000000000e+01}', "");
    Expect(1, 119534, '\P{^Is_Nv=1.400000000000000e+01}', "");
    Expect(0, 119535, '\p{Is_Nv=1.400000000000000e+01}', "");
    Expect(1, 119535, '\p{^Is_Nv=1.400000000000000e+01}', "");
    Expect(1, 119535, '\P{Is_Nv=1.400000000000000e+01}', "");
    Expect(0, 119535, '\P{^Is_Nv=1.400000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/	 0015}');
    Error('\P{Numeric_Value=/a/	 0015}');
    Expect(1, 119535, '\p{Numeric_Value=:\A15\z:}', "");;
    Expect(0, 119536, '\p{Numeric_Value=:\A15\z:}', "");;
    Expect(1, 119535, '\p{Numeric_Value=00_00_00_00_015}', "");
    Expect(0, 119535, '\p{^Numeric_Value=00_00_00_00_015}', "");
    Expect(0, 119535, '\P{Numeric_Value=00_00_00_00_015}', "");
    Expect(1, 119535, '\P{^Numeric_Value=00_00_00_00_015}', "");
    Expect(0, 119536, '\p{Numeric_Value=00_00_00_00_015}', "");
    Expect(1, 119536, '\p{^Numeric_Value=00_00_00_00_015}', "");
    Expect(1, 119536, '\P{Numeric_Value=00_00_00_00_015}', "");
    Expect(0, 119536, '\P{^Numeric_Value=00_00_00_00_015}', "");
    Expect(1, 119535, '\p{Numeric_Value:1.500000000000000e+01}', "");
    Expect(0, 119535, '\p{^Numeric_Value:1.500000000000000e+01}', "");
    Expect(0, 119535, '\P{Numeric_Value:1.500000000000000e+01}', "");
    Expect(1, 119535, '\P{^Numeric_Value:1.500000000000000e+01}', "");
    Expect(0, 119536, '\p{Numeric_Value:1.500000000000000e+01}', "");
    Expect(1, 119536, '\p{^Numeric_Value:1.500000000000000e+01}', "");
    Expect(1, 119536, '\P{Numeric_Value:1.500000000000000e+01}', "");
    Expect(0, 119536, '\P{^Numeric_Value:1.500000000000000e+01}', "");
    Error('\p{Nv=/a/ 15}');
    Error('\P{Nv=/a/ 15}');
    Expect(1, 119535, '\p{Nv=:\A15\z:}', "");;
    Expect(0, 119536, '\p{Nv=:\A15\z:}', "");;
    Expect(1, 119535, '\p{Nv=+01_5}', "");
    Expect(0, 119535, '\p{^Nv=+01_5}', "");
    Expect(0, 119535, '\P{Nv=+01_5}', "");
    Expect(1, 119535, '\P{^Nv=+01_5}', "");
    Expect(0, 119536, '\p{Nv=+01_5}', "");
    Expect(1, 119536, '\p{^Nv=+01_5}', "");
    Expect(1, 119536, '\P{Nv=+01_5}', "");
    Expect(0, 119536, '\P{^Nv=+01_5}', "");
    Expect(1, 119535, '\p{Nv=1.500000000000000e+01}', "");
    Expect(0, 119535, '\p{^Nv=1.500000000000000e+01}', "");
    Expect(0, 119535, '\P{Nv=1.500000000000000e+01}', "");
    Expect(1, 119535, '\P{^Nv=1.500000000000000e+01}', "");
    Expect(0, 119536, '\p{Nv=1.500000000000000e+01}', "");
    Expect(1, 119536, '\p{^Nv=1.500000000000000e+01}', "");
    Expect(1, 119536, '\P{Nv=1.500000000000000e+01}', "");
    Expect(0, 119536, '\P{^Nv=1.500000000000000e+01}', "");
    Error('\p{Is_Numeric_Value:   /a/- +015}');
    Error('\P{Is_Numeric_Value:   /a/- +015}');
    Expect(1, 119535, '\p{Is_Numeric_Value=+0000015}', "");
    Expect(0, 119535, '\p{^Is_Numeric_Value=+0000015}', "");
    Expect(0, 119535, '\P{Is_Numeric_Value=+0000015}', "");
    Expect(1, 119535, '\P{^Is_Numeric_Value=+0000015}', "");
    Expect(0, 119536, '\p{Is_Numeric_Value=+0000015}', "");
    Expect(1, 119536, '\p{^Is_Numeric_Value=+0000015}', "");
    Expect(1, 119536, '\P{Is_Numeric_Value=+0000015}', "");
    Expect(0, 119536, '\P{^Is_Numeric_Value=+0000015}', "");
    Expect(1, 119535, '\p{Is_Numeric_Value=1.500000000000000e+01}', "");
    Expect(0, 119535, '\p{^Is_Numeric_Value=1.500000000000000e+01}', "");
    Expect(0, 119535, '\P{Is_Numeric_Value=1.500000000000000e+01}', "");
    Expect(1, 119535, '\P{^Is_Numeric_Value=1.500000000000000e+01}', "");
    Expect(0, 119536, '\p{Is_Numeric_Value=1.500000000000000e+01}', "");
    Expect(1, 119536, '\p{^Is_Numeric_Value=1.500000000000000e+01}', "");
    Expect(1, 119536, '\P{Is_Numeric_Value=1.500000000000000e+01}', "");
    Expect(0, 119536, '\P{^Is_Numeric_Value=1.500000000000000e+01}', "");
    Error('\p{Is_Nv=	/a/+1_5}');
    Error('\P{Is_Nv=	/a/+1_5}');
    Expect(1, 119535, '\p{Is_Nv=015}', "");
    Expect(0, 119535, '\p{^Is_Nv=015}', "");
    Expect(0, 119535, '\P{Is_Nv=015}', "");
    Expect(1, 119535, '\P{^Is_Nv=015}', "");
    Expect(0, 119536, '\p{Is_Nv=015}', "");
    Expect(1, 119536, '\p{^Is_Nv=015}', "");
    Expect(1, 119536, '\P{Is_Nv=015}', "");
    Expect(0, 119536, '\P{^Is_Nv=015}', "");
    Expect(1, 119535, '\p{Is_Nv=1.500000000000000e+01}', "");
    Expect(0, 119535, '\p{^Is_Nv=1.500000000000000e+01}', "");
    Expect(0, 119535, '\P{Is_Nv=1.500000000000000e+01}', "");
    Expect(1, 119535, '\P{^Is_Nv=1.500000000000000e+01}', "");
    Expect(0, 119536, '\p{Is_Nv=1.500000000000000e+01}', "");
    Expect(1, 119536, '\p{^Is_Nv=1.500000000000000e+01}', "");
    Expect(1, 119536, '\P{Is_Nv=1.500000000000000e+01}', "");
    Expect(0, 119536, '\P{^Is_Nv=1.500000000000000e+01}', "");
    Error('\p{Numeric_Value=:= 00000000015/002}');
    Error('\P{Numeric_Value=:= 00000000015/002}');
    Expect(1, 3889, '\p{Numeric_Value=:\A15/2\z:}', "");;
    Expect(0, 3890, '\p{Numeric_Value=:\A15/2\z:}', "");;
    Expect(1, 3889, '\p{Numeric_Value=+15/02}', "");
    Expect(0, 3889, '\p{^Numeric_Value=+15/02}', "");
    Expect(0, 3889, '\P{Numeric_Value=+15/02}', "");
    Expect(1, 3889, '\P{^Numeric_Value=+15/02}', "");
    Expect(0, 3890, '\p{Numeric_Value=+15/02}', "");
    Expect(1, 3890, '\p{^Numeric_Value=+15/02}', "");
    Expect(1, 3890, '\P{Numeric_Value=+15/02}', "");
    Expect(0, 3890, '\P{^Numeric_Value=+15/02}', "");
    Expect(1, 3889, '\p{Numeric_Value=900/120}', "");
    Expect(0, 3889, '\p{^Numeric_Value=900/120}', "");
    Expect(0, 3889, '\P{Numeric_Value=900/120}', "");
    Expect(1, 3889, '\P{^Numeric_Value=900/120}', "");
    Expect(0, 3890, '\p{Numeric_Value=900/120}', "");
    Expect(1, 3890, '\p{^Numeric_Value=900/120}', "");
    Expect(1, 3890, '\P{Numeric_Value=900/120}', "");
    Expect(0, 3890, '\P{^Numeric_Value=900/120}', "");
    Expect(1, 3889, '\p{Numeric_Value=7.5e+00}', "");
    Expect(0, 3889, '\p{^Numeric_Value=7.5e+00}', "");
    Expect(0, 3889, '\P{Numeric_Value=7.5e+00}', "");
    Expect(1, 3889, '\P{^Numeric_Value=7.5e+00}', "");
    Expect(0, 3890, '\p{Numeric_Value=7.5e+00}', "");
    Expect(1, 3890, '\p{^Numeric_Value=7.5e+00}', "");
    Expect(1, 3890, '\P{Numeric_Value=7.5e+00}', "");
    Expect(0, 3890, '\P{^Numeric_Value=7.5e+00}', "");
    Expect(1, 3889, '\p{Numeric_Value=7.5}', "");
    Expect(0, 3889, '\p{^Numeric_Value=7.5}', "");
    Expect(0, 3889, '\P{Numeric_Value=7.5}', "");
    Expect(1, 3889, '\P{^Numeric_Value=7.5}', "");
    Expect(0, 3890, '\p{Numeric_Value=7.5}', "");
    Expect(1, 3890, '\p{^Numeric_Value=7.5}', "");
    Expect(1, 3890, '\P{Numeric_Value=7.5}', "");
    Expect(0, 3890, '\P{^Numeric_Value=7.5}', "");
    Expect(1, 3889, '\p{Numeric_Value=7.50e+00}', "");
    Expect(0, 3889, '\p{^Numeric_Value=7.50e+00}', "");
    Expect(0, 3889, '\P{Numeric_Value=7.50e+00}', "");
    Expect(1, 3889, '\P{^Numeric_Value=7.50e+00}', "");
    Expect(0, 3890, '\p{Numeric_Value=7.50e+00}', "");
    Expect(1, 3890, '\p{^Numeric_Value=7.50e+00}', "");
    Expect(1, 3890, '\P{Numeric_Value=7.50e+00}', "");
    Expect(0, 3890, '\P{^Numeric_Value=7.50e+00}', "");
    Expect(1, 3889, '\p{Numeric_Value=7.50}', "");
    Expect(0, 3889, '\p{^Numeric_Value=7.50}', "");
    Expect(0, 3889, '\P{Numeric_Value=7.50}', "");
    Expect(1, 3889, '\P{^Numeric_Value=7.50}', "");
    Expect(0, 3890, '\p{Numeric_Value=7.50}', "");
    Expect(1, 3890, '\p{^Numeric_Value=7.50}', "");
    Expect(1, 3890, '\P{Numeric_Value=7.50}', "");
    Expect(0, 3890, '\P{^Numeric_Value=7.50}', "");
    Error('\p{Nv=:=  0000000015/0000002}');
    Error('\P{Nv=:=  0000000015/0000002}');
    Expect(1, 3889, '\p{Nv=:\A15/2\z:}', "");;
    Expect(0, 3890, '\p{Nv=:\A15/2\z:}', "");;
    Expect(1, 3889, '\p{Nv=0000000015/02}', "");
    Expect(0, 3889, '\p{^Nv=0000000015/02}', "");
    Expect(0, 3889, '\P{Nv=0000000015/02}', "");
    Expect(1, 3889, '\P{^Nv=0000000015/02}', "");
    Expect(0, 3890, '\p{Nv=0000000015/02}', "");
    Expect(1, 3890, '\p{^Nv=0000000015/02}', "");
    Expect(1, 3890, '\P{Nv=0000000015/02}', "");
    Expect(0, 3890, '\P{^Nv=0000000015/02}', "");
    Expect(1, 3889, '\p{Nv=900/120}', "");
    Expect(0, 3889, '\p{^Nv=900/120}', "");
    Expect(0, 3889, '\P{Nv=900/120}', "");
    Expect(1, 3889, '\P{^Nv=900/120}', "");
    Expect(0, 3890, '\p{Nv=900/120}', "");
    Expect(1, 3890, '\p{^Nv=900/120}', "");
    Expect(1, 3890, '\P{Nv=900/120}', "");
    Expect(0, 3890, '\P{^Nv=900/120}', "");
    Expect(1, 3889, '\p{Nv=7.5e+00}', "");
    Expect(0, 3889, '\p{^Nv=7.5e+00}', "");
    Expect(0, 3889, '\P{Nv=7.5e+00}', "");
    Expect(1, 3889, '\P{^Nv=7.5e+00}', "");
    Expect(0, 3890, '\p{Nv=7.5e+00}', "");
    Expect(1, 3890, '\p{^Nv=7.5e+00}', "");
    Expect(1, 3890, '\P{Nv=7.5e+00}', "");
    Expect(0, 3890, '\P{^Nv=7.5e+00}', "");
    Expect(1, 3889, '\p{Nv=7.5}', "");
    Expect(0, 3889, '\p{^Nv=7.5}', "");
    Expect(0, 3889, '\P{Nv=7.5}', "");
    Expect(1, 3889, '\P{^Nv=7.5}', "");
    Expect(0, 3890, '\p{Nv=7.5}', "");
    Expect(1, 3890, '\p{^Nv=7.5}', "");
    Expect(1, 3890, '\P{Nv=7.5}', "");
    Expect(0, 3890, '\P{^Nv=7.5}', "");
    Expect(1, 3889, '\p{Nv=7.50e+00}', "");
    Expect(0, 3889, '\p{^Nv=7.50e+00}', "");
    Expect(0, 3889, '\P{Nv=7.50e+00}', "");
    Expect(1, 3889, '\P{^Nv=7.50e+00}', "");
    Expect(0, 3890, '\p{Nv=7.50e+00}', "");
    Expect(1, 3890, '\p{^Nv=7.50e+00}', "");
    Expect(1, 3890, '\P{Nv=7.50e+00}', "");
    Expect(0, 3890, '\P{^Nv=7.50e+00}', "");
    Expect(1, 3889, '\p{Nv=7.50}', "");
    Expect(0, 3889, '\p{^Nv=7.50}', "");
    Expect(0, 3889, '\P{Nv=7.50}', "");
    Expect(1, 3889, '\P{^Nv=7.50}', "");
    Expect(0, 3890, '\p{Nv=7.50}', "");
    Expect(1, 3890, '\p{^Nv=7.50}', "");
    Expect(1, 3890, '\P{Nv=7.50}', "");
    Expect(0, 3890, '\P{^Nv=7.50}', "");
    Error('\p{Is_Numeric_Value=_/a/0000000015/2}');
    Error('\P{Is_Numeric_Value=_/a/0000000015/2}');
    Expect(1, 3889, '\p{Is_Numeric_Value=00015/002}', "");
    Expect(0, 3889, '\p{^Is_Numeric_Value=00015/002}', "");
    Expect(0, 3889, '\P{Is_Numeric_Value=00015/002}', "");
    Expect(1, 3889, '\P{^Is_Numeric_Value=00015/002}', "");
    Expect(0, 3890, '\p{Is_Numeric_Value=00015/002}', "");
    Expect(1, 3890, '\p{^Is_Numeric_Value=00015/002}', "");
    Expect(1, 3890, '\P{Is_Numeric_Value=00015/002}', "");
    Expect(0, 3890, '\P{^Is_Numeric_Value=00015/002}', "");
    Expect(1, 3889, '\p{Is_Numeric_Value:	900/120}', "");
    Expect(0, 3889, '\p{^Is_Numeric_Value:	900/120}', "");
    Expect(0, 3889, '\P{Is_Numeric_Value:	900/120}', "");
    Expect(1, 3889, '\P{^Is_Numeric_Value:	900/120}', "");
    Expect(0, 3890, '\p{Is_Numeric_Value:	900/120}', "");
    Expect(1, 3890, '\p{^Is_Numeric_Value:	900/120}', "");
    Expect(1, 3890, '\P{Is_Numeric_Value:	900/120}', "");
    Expect(0, 3890, '\P{^Is_Numeric_Value:	900/120}', "");
    Expect(1, 3889, '\p{Is_Numeric_Value=7.5e+00}', "");
    Expect(0, 3889, '\p{^Is_Numeric_Value=7.5e+00}', "");
    Expect(0, 3889, '\P{Is_Numeric_Value=7.5e+00}', "");
    Expect(1, 3889, '\P{^Is_Numeric_Value=7.5e+00}', "");
    Expect(0, 3890, '\p{Is_Numeric_Value=7.5e+00}', "");
    Expect(1, 3890, '\p{^Is_Numeric_Value=7.5e+00}', "");
    Expect(1, 3890, '\P{Is_Numeric_Value=7.5e+00}', "");
    Expect(0, 3890, '\P{^Is_Numeric_Value=7.5e+00}', "");
    Expect(1, 3889, '\p{Is_Numeric_Value=7.5}', "");
    Expect(0, 3889, '\p{^Is_Numeric_Value=7.5}', "");
    Expect(0, 3889, '\P{Is_Numeric_Value=7.5}', "");
    Expect(1, 3889, '\P{^Is_Numeric_Value=7.5}', "");
    Expect(0, 3890, '\p{Is_Numeric_Value=7.5}', "");
    Expect(1, 3890, '\p{^Is_Numeric_Value=7.5}', "");
    Expect(1, 3890, '\P{Is_Numeric_Value=7.5}', "");
    Expect(0, 3890, '\P{^Is_Numeric_Value=7.5}', "");
    Expect(1, 3889, '\p{Is_Numeric_Value=7.50e+00}', "");
    Expect(0, 3889, '\p{^Is_Numeric_Value=7.50e+00}', "");
    Expect(0, 3889, '\P{Is_Numeric_Value=7.50e+00}', "");
    Expect(1, 3889, '\P{^Is_Numeric_Value=7.50e+00}', "");
    Expect(0, 3890, '\p{Is_Numeric_Value=7.50e+00}', "");
    Expect(1, 3890, '\p{^Is_Numeric_Value=7.50e+00}', "");
    Expect(1, 3890, '\P{Is_Numeric_Value=7.50e+00}', "");
    Expect(0, 3890, '\P{^Is_Numeric_Value=7.50e+00}', "");
    Expect(1, 3889, '\p{Is_Numeric_Value: 7.50}', "");
    Expect(0, 3889, '\p{^Is_Numeric_Value: 7.50}', "");
    Expect(0, 3889, '\P{Is_Numeric_Value: 7.50}', "");
    Expect(1, 3889, '\P{^Is_Numeric_Value: 7.50}', "");
    Expect(0, 3890, '\p{Is_Numeric_Value: 7.50}', "");
    Expect(1, 3890, '\p{^Is_Numeric_Value: 7.50}', "");
    Expect(1, 3890, '\P{Is_Numeric_Value: 7.50}', "");
    Expect(0, 3890, '\P{^Is_Numeric_Value: 7.50}', "");
    Error('\p{Is_Nv=/a/-_015/2}');
    Error('\P{Is_Nv=/a/-_015/2}');
    Expect(1, 3889, '\p{Is_Nv=0000000015/0000002}', "");
    Expect(0, 3889, '\p{^Is_Nv=0000000015/0000002}', "");
    Expect(0, 3889, '\P{Is_Nv=0000000015/0000002}', "");
    Expect(1, 3889, '\P{^Is_Nv=0000000015/0000002}', "");
    Expect(0, 3890, '\p{Is_Nv=0000000015/0000002}', "");
    Expect(1, 3890, '\p{^Is_Nv=0000000015/0000002}', "");
    Expect(1, 3890, '\P{Is_Nv=0000000015/0000002}', "");
    Expect(0, 3890, '\P{^Is_Nv=0000000015/0000002}', "");
    Expect(1, 3889, '\p{Is_Nv=900/120}', "");
    Expect(0, 3889, '\p{^Is_Nv=900/120}', "");
    Expect(0, 3889, '\P{Is_Nv=900/120}', "");
    Expect(1, 3889, '\P{^Is_Nv=900/120}', "");
    Expect(0, 3890, '\p{Is_Nv=900/120}', "");
    Expect(1, 3890, '\p{^Is_Nv=900/120}', "");
    Expect(1, 3890, '\P{Is_Nv=900/120}', "");
    Expect(0, 3890, '\P{^Is_Nv=900/120}', "");
    Expect(1, 3889, '\p{Is_Nv=7.5e+00}', "");
    Expect(0, 3889, '\p{^Is_Nv=7.5e+00}', "");
    Expect(0, 3889, '\P{Is_Nv=7.5e+00}', "");
    Expect(1, 3889, '\P{^Is_Nv=7.5e+00}', "");
    Expect(0, 3890, '\p{Is_Nv=7.5e+00}', "");
    Expect(1, 3890, '\p{^Is_Nv=7.5e+00}', "");
    Expect(1, 3890, '\P{Is_Nv=7.5e+00}', "");
    Expect(0, 3890, '\P{^Is_Nv=7.5e+00}', "");
    Expect(1, 3889, '\p{Is_Nv=7.5}', "");
    Expect(0, 3889, '\p{^Is_Nv=7.5}', "");
    Expect(0, 3889, '\P{Is_Nv=7.5}', "");
    Expect(1, 3889, '\P{^Is_Nv=7.5}', "");
    Expect(0, 3890, '\p{Is_Nv=7.5}', "");
    Expect(1, 3890, '\p{^Is_Nv=7.5}', "");
    Expect(1, 3890, '\P{Is_Nv=7.5}', "");
    Expect(0, 3890, '\P{^Is_Nv=7.5}', "");
    Expect(1, 3889, '\p{Is_Nv=7.50e+00}', "");
    Expect(0, 3889, '\p{^Is_Nv=7.50e+00}', "");
    Expect(0, 3889, '\P{Is_Nv=7.50e+00}', "");
    Expect(1, 3889, '\P{^Is_Nv=7.50e+00}', "");
    Expect(0, 3890, '\p{Is_Nv=7.50e+00}', "");
    Expect(1, 3890, '\p{^Is_Nv=7.50e+00}', "");
    Expect(1, 3890, '\P{Is_Nv=7.50e+00}', "");
    Expect(0, 3890, '\P{^Is_Nv=7.50e+00}', "");
    Expect(1, 3889, '\p{Is_Nv=7.50}', "");
    Expect(0, 3889, '\p{^Is_Nv=7.50}', "");
    Expect(0, 3889, '\P{Is_Nv=7.50}', "");
    Expect(1, 3889, '\P{^Is_Nv=7.50}', "");
    Expect(0, 3890, '\p{Is_Nv=7.50}', "");
    Expect(1, 3890, '\p{^Is_Nv=7.50}', "");
    Expect(1, 3890, '\P{Is_Nv=7.50}', "");
    Expect(0, 3890, '\P{^Is_Nv=7.50}', "");
    Error('\p{Numeric_Value=__000001_6/a/}');
    Error('\P{Numeric_Value=__000001_6/a/}');
    Expect(1, 119536, '\p{Numeric_Value=:\A16\z:}', "");;
    Expect(0, 119537, '\p{Numeric_Value=:\A16\z:}', "");;
    Expect(1, 119536, '\p{Numeric_Value=+000016}', "");
    Expect(0, 119536, '\p{^Numeric_Value=+000016}', "");
    Expect(0, 119536, '\P{Numeric_Value=+000016}', "");
    Expect(1, 119536, '\P{^Numeric_Value=+000016}', "");
    Expect(0, 119537, '\p{Numeric_Value=+000016}', "");
    Expect(1, 119537, '\p{^Numeric_Value=+000016}', "");
    Expect(1, 119537, '\P{Numeric_Value=+000016}', "");
    Expect(0, 119537, '\P{^Numeric_Value=+000016}', "");
    Expect(1, 119536, '\p{Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119536, '\p{^Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119536, '\P{Numeric_Value=1.600000000000000e+01}', "");
    Expect(1, 119536, '\P{^Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119537, '\p{Numeric_Value=1.600000000000000e+01}', "");
    Expect(1, 119537, '\p{^Numeric_Value=1.600000000000000e+01}', "");
    Expect(1, 119537, '\P{Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119537, '\P{^Numeric_Value=1.600000000000000e+01}', "");
    Error('\p{Nv=:= 0016}');
    Error('\P{Nv=:= 0016}');
    Expect(1, 119536, '\p{Nv=:\A16\z:}', "");;
    Expect(0, 119537, '\p{Nv=:\A16\z:}', "");;
    Expect(1, 119536, '\p{Nv:   00_01_6}', "");
    Expect(0, 119536, '\p{^Nv:   00_01_6}', "");
    Expect(0, 119536, '\P{Nv:   00_01_6}', "");
    Expect(1, 119536, '\P{^Nv:   00_01_6}', "");
    Expect(0, 119537, '\p{Nv:   00_01_6}', "");
    Expect(1, 119537, '\p{^Nv:   00_01_6}', "");
    Expect(1, 119537, '\P{Nv:   00_01_6}', "");
    Expect(0, 119537, '\P{^Nv:   00_01_6}', "");
    Expect(1, 119536, '\p{Nv=1.600000000000000e+01}', "");
    Expect(0, 119536, '\p{^Nv=1.600000000000000e+01}', "");
    Expect(0, 119536, '\P{Nv=1.600000000000000e+01}', "");
    Expect(1, 119536, '\P{^Nv=1.600000000000000e+01}', "");
    Expect(0, 119537, '\p{Nv=1.600000000000000e+01}', "");
    Expect(1, 119537, '\p{^Nv=1.600000000000000e+01}', "");
    Expect(1, 119537, '\P{Nv=1.600000000000000e+01}', "");
    Expect(0, 119537, '\P{^Nv=1.600000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=--1_6/a/}');
    Error('\P{Is_Numeric_Value=--1_6/a/}');
    Expect(1, 119536, '\p{Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(0, 119536, '\p{^Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(0, 119536, '\P{Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(1, 119536, '\P{^Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(0, 119537, '\p{Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(1, 119537, '\p{^Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(1, 119537, '\P{Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(0, 119537, '\P{^Is_Numeric_Value: 0_0_0_0_0_0_00016}', "");
    Expect(1, 119536, '\p{Is_Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119536, '\p{^Is_Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119536, '\P{Is_Numeric_Value=1.600000000000000e+01}', "");
    Expect(1, 119536, '\P{^Is_Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119537, '\p{Is_Numeric_Value=1.600000000000000e+01}', "");
    Expect(1, 119537, '\p{^Is_Numeric_Value=1.600000000000000e+01}', "");
    Expect(1, 119537, '\P{Is_Numeric_Value=1.600000000000000e+01}', "");
    Expect(0, 119537, '\P{^Is_Numeric_Value=1.600000000000000e+01}', "");
    Error('\p{Is_Nv:    :=+00_00_00_01_6}');
    Error('\P{Is_Nv:    :=+00_00_00_01_6}');
    Expect(1, 119536, '\p{Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(0, 119536, '\p{^Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(0, 119536, '\P{Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(1, 119536, '\P{^Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(0, 119537, '\p{Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(1, 119537, '\p{^Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(1, 119537, '\P{Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(0, 119537, '\P{^Is_Nv:   0_0_0_0_0_0_0_016}', "");
    Expect(1, 119536, '\p{Is_Nv=1.600000000000000e+01}', "");
    Expect(0, 119536, '\p{^Is_Nv=1.600000000000000e+01}', "");
    Expect(0, 119536, '\P{Is_Nv=1.600000000000000e+01}', "");
    Expect(1, 119536, '\P{^Is_Nv=1.600000000000000e+01}', "");
    Expect(0, 119537, '\p{Is_Nv=1.600000000000000e+01}', "");
    Expect(1, 119537, '\p{^Is_Nv=1.600000000000000e+01}', "");
    Expect(1, 119537, '\P{Is_Nv=1.600000000000000e+01}', "");
    Expect(0, 119537, '\P{^Is_Nv=1.600000000000000e+01}', "");
    Error('\p{Numeric_Value=:=-	000017}');
    Error('\P{Numeric_Value=:=-	000017}');
    Expect(1, 119537, '\p{Numeric_Value=:\A17\z:}', "");;
    Expect(0, 119538, '\p{Numeric_Value=:\A17\z:}', "");;
    Expect(1, 119537, '\p{Numeric_Value=+17}', "");
    Expect(0, 119537, '\p{^Numeric_Value=+17}', "");
    Expect(0, 119537, '\P{Numeric_Value=+17}', "");
    Expect(1, 119537, '\P{^Numeric_Value=+17}', "");
    Expect(0, 119538, '\p{Numeric_Value=+17}', "");
    Expect(1, 119538, '\p{^Numeric_Value=+17}', "");
    Expect(1, 119538, '\P{Numeric_Value=+17}', "");
    Expect(0, 119538, '\P{^Numeric_Value=+17}', "");
    Expect(1, 119537, '\p{Numeric_Value=1.700000000000000e+01}', "");
    Expect(0, 119537, '\p{^Numeric_Value=1.700000000000000e+01}', "");
    Expect(0, 119537, '\P{Numeric_Value=1.700000000000000e+01}', "");
    Expect(1, 119537, '\P{^Numeric_Value=1.700000000000000e+01}', "");
    Expect(0, 119538, '\p{Numeric_Value=1.700000000000000e+01}', "");
    Expect(1, 119538, '\p{^Numeric_Value=1.700000000000000e+01}', "");
    Expect(1, 119538, '\P{Numeric_Value=1.700000000000000e+01}', "");
    Expect(0, 119538, '\P{^Numeric_Value=1.700000000000000e+01}', "");
    Error('\p{Nv:		:=+17}');
    Error('\P{Nv:		:=+17}');
    Expect(1, 119537, '\p{Nv=:\A17\z:}', "");;
    Expect(0, 119538, '\p{Nv=:\A17\z:}', "");;
    Expect(1, 119537, '\p{Nv=000000017}', "");
    Expect(0, 119537, '\p{^Nv=000000017}', "");
    Expect(0, 119537, '\P{Nv=000000017}', "");
    Expect(1, 119537, '\P{^Nv=000000017}', "");
    Expect(0, 119538, '\p{Nv=000000017}', "");
    Expect(1, 119538, '\p{^Nv=000000017}', "");
    Expect(1, 119538, '\P{Nv=000000017}', "");
    Expect(0, 119538, '\P{^Nv=000000017}', "");
    Expect(1, 119537, '\p{Nv=1.700000000000000e+01}', "");
    Expect(0, 119537, '\p{^Nv=1.700000000000000e+01}', "");
    Expect(0, 119537, '\P{Nv=1.700000000000000e+01}', "");
    Expect(1, 119537, '\P{^Nv=1.700000000000000e+01}', "");
    Expect(0, 119538, '\p{Nv=1.700000000000000e+01}', "");
    Expect(1, 119538, '\p{^Nv=1.700000000000000e+01}', "");
    Expect(1, 119538, '\P{Nv=1.700000000000000e+01}', "");
    Expect(0, 119538, '\P{^Nv=1.700000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=:=-000017}');
    Error('\P{Is_Numeric_Value=:=-000017}');
    Expect(1, 119537, '\p{Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(0, 119537, '\p{^Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(0, 119537, '\P{Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(1, 119537, '\P{^Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(0, 119538, '\p{Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(1, 119538, '\p{^Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(1, 119538, '\P{Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(0, 119538, '\P{^Is_Numeric_Value=+0_0_0_0_17}', "");
    Expect(1, 119537, '\p{Is_Numeric_Value:	1.700000000000000e+01}', "");
    Expect(0, 119537, '\p{^Is_Numeric_Value:	1.700000000000000e+01}', "");
    Expect(0, 119537, '\P{Is_Numeric_Value:	1.700000000000000e+01}', "");
    Expect(1, 119537, '\P{^Is_Numeric_Value:	1.700000000000000e+01}', "");
    Expect(0, 119538, '\p{Is_Numeric_Value:	1.700000000000000e+01}', "");
    Expect(1, 119538, '\p{^Is_Numeric_Value:	1.700000000000000e+01}', "");
    Expect(1, 119538, '\P{Is_Numeric_Value:	1.700000000000000e+01}', "");
    Expect(0, 119538, '\P{^Is_Numeric_Value:	1.700000000000000e+01}', "");
    Error('\p{Is_Nv=:=	_0000000017}');
    Error('\P{Is_Nv=:=	_0000000017}');
    Expect(1, 119537, '\p{Is_Nv=+1_7}', "");
    Expect(0, 119537, '\p{^Is_Nv=+1_7}', "");
    Expect(0, 119537, '\P{Is_Nv=+1_7}', "");
    Expect(1, 119537, '\P{^Is_Nv=+1_7}', "");
    Expect(0, 119538, '\p{Is_Nv=+1_7}', "");
    Expect(1, 119538, '\p{^Is_Nv=+1_7}', "");
    Expect(1, 119538, '\P{Is_Nv=+1_7}', "");
    Expect(0, 119538, '\P{^Is_Nv=+1_7}', "");
    Expect(1, 119537, '\p{Is_Nv=1.700000000000000e+01}', "");
    Expect(0, 119537, '\p{^Is_Nv=1.700000000000000e+01}', "");
    Expect(0, 119537, '\P{Is_Nv=1.700000000000000e+01}', "");
    Expect(1, 119537, '\P{^Is_Nv=1.700000000000000e+01}', "");
    Expect(0, 119538, '\p{Is_Nv=1.700000000000000e+01}', "");
    Expect(1, 119538, '\p{^Is_Nv=1.700000000000000e+01}', "");
    Expect(1, 119538, '\P{Is_Nv=1.700000000000000e+01}', "");
    Expect(0, 119538, '\P{^Is_Nv=1.700000000000000e+01}', "");
    Error('\p{Numeric_Value=-_+000017/0000002/a/}');
    Error('\P{Numeric_Value=-_+000017/0000002/a/}');
    Expect(1, 3890, '\p{Numeric_Value=:\A17/2\z:}', "");;
    Expect(0, 3891, '\p{Numeric_Value=:\A17/2\z:}', "");;
    Expect(1, 3890, '\p{Numeric_Value=00017/02}', "");
    Expect(0, 3890, '\p{^Numeric_Value=00017/02}', "");
    Expect(0, 3890, '\P{Numeric_Value=00017/02}', "");
    Expect(1, 3890, '\P{^Numeric_Value=00017/02}', "");
    Expect(0, 3891, '\p{Numeric_Value=00017/02}', "");
    Expect(1, 3891, '\p{^Numeric_Value=00017/02}', "");
    Expect(1, 3891, '\P{Numeric_Value=00017/02}', "");
    Expect(0, 3891, '\P{^Numeric_Value=00017/02}', "");
    Expect(1, 3890, '\p{Numeric_Value=1020/120}', "");
    Expect(0, 3890, '\p{^Numeric_Value=1020/120}', "");
    Expect(0, 3890, '\P{Numeric_Value=1020/120}', "");
    Expect(1, 3890, '\P{^Numeric_Value=1020/120}', "");
    Expect(0, 3891, '\p{Numeric_Value=1020/120}', "");
    Expect(1, 3891, '\p{^Numeric_Value=1020/120}', "");
    Expect(1, 3891, '\P{Numeric_Value=1020/120}', "");
    Expect(0, 3891, '\P{^Numeric_Value=1020/120}', "");
    Expect(1, 3890, '\p{Numeric_Value=8.5e+00}', "");
    Expect(0, 3890, '\p{^Numeric_Value=8.5e+00}', "");
    Expect(0, 3890, '\P{Numeric_Value=8.5e+00}', "");
    Expect(1, 3890, '\P{^Numeric_Value=8.5e+00}', "");
    Expect(0, 3891, '\p{Numeric_Value=8.5e+00}', "");
    Expect(1, 3891, '\p{^Numeric_Value=8.5e+00}', "");
    Expect(1, 3891, '\P{Numeric_Value=8.5e+00}', "");
    Expect(0, 3891, '\P{^Numeric_Value=8.5e+00}', "");
    Expect(1, 3890, '\p{Numeric_Value=8.5}', "");
    Expect(0, 3890, '\p{^Numeric_Value=8.5}', "");
    Expect(0, 3890, '\P{Numeric_Value=8.5}', "");
    Expect(1, 3890, '\P{^Numeric_Value=8.5}', "");
    Expect(0, 3891, '\p{Numeric_Value=8.5}', "");
    Expect(1, 3891, '\p{^Numeric_Value=8.5}', "");
    Expect(1, 3891, '\P{Numeric_Value=8.5}', "");
    Expect(0, 3891, '\P{^Numeric_Value=8.5}', "");
    Expect(1, 3890, '\p{Numeric_Value=8.50e+00}', "");
    Expect(0, 3890, '\p{^Numeric_Value=8.50e+00}', "");
    Expect(0, 3890, '\P{Numeric_Value=8.50e+00}', "");
    Expect(1, 3890, '\P{^Numeric_Value=8.50e+00}', "");
    Expect(0, 3891, '\p{Numeric_Value=8.50e+00}', "");
    Expect(1, 3891, '\p{^Numeric_Value=8.50e+00}', "");
    Expect(1, 3891, '\P{Numeric_Value=8.50e+00}', "");
    Expect(0, 3891, '\P{^Numeric_Value=8.50e+00}', "");
    Expect(1, 3890, '\p{Numeric_Value=8.50}', "");
    Expect(0, 3890, '\p{^Numeric_Value=8.50}', "");
    Expect(0, 3890, '\P{Numeric_Value=8.50}', "");
    Expect(1, 3890, '\P{^Numeric_Value=8.50}', "");
    Expect(0, 3891, '\p{Numeric_Value=8.50}', "");
    Expect(1, 3891, '\p{^Numeric_Value=8.50}', "");
    Expect(1, 3891, '\P{Numeric_Value=8.50}', "");
    Expect(0, 3891, '\P{^Numeric_Value=8.50}', "");
    Error('\p{Nv=/a/_	+000017/0000000002}');
    Error('\P{Nv=/a/_	+000017/0000000002}');
    Expect(1, 3890, '\p{Nv=:\A17/2\z:}', "");;
    Expect(0, 3891, '\p{Nv=:\A17/2\z:}', "");;
    Expect(1, 3890, '\p{Nv=000017/0000000002}', "");
    Expect(0, 3890, '\p{^Nv=000017/0000000002}', "");
    Expect(0, 3890, '\P{Nv=000017/0000000002}', "");
    Expect(1, 3890, '\P{^Nv=000017/0000000002}', "");
    Expect(0, 3891, '\p{Nv=000017/0000000002}', "");
    Expect(1, 3891, '\p{^Nv=000017/0000000002}', "");
    Expect(1, 3891, '\P{Nv=000017/0000000002}', "");
    Expect(0, 3891, '\P{^Nv=000017/0000000002}', "");
    Expect(1, 3890, '\p{Nv:	1020/120}', "");
    Expect(0, 3890, '\p{^Nv:	1020/120}', "");
    Expect(0, 3890, '\P{Nv:	1020/120}', "");
    Expect(1, 3890, '\P{^Nv:	1020/120}', "");
    Expect(0, 3891, '\p{Nv:	1020/120}', "");
    Expect(1, 3891, '\p{^Nv:	1020/120}', "");
    Expect(1, 3891, '\P{Nv:	1020/120}', "");
    Expect(0, 3891, '\P{^Nv:	1020/120}', "");
    Expect(1, 3890, '\p{Nv=8.5e+00}', "");
    Expect(0, 3890, '\p{^Nv=8.5e+00}', "");
    Expect(0, 3890, '\P{Nv=8.5e+00}', "");
    Expect(1, 3890, '\P{^Nv=8.5e+00}', "");
    Expect(0, 3891, '\p{Nv=8.5e+00}', "");
    Expect(1, 3891, '\p{^Nv=8.5e+00}', "");
    Expect(1, 3891, '\P{Nv=8.5e+00}', "");
    Expect(0, 3891, '\P{^Nv=8.5e+00}', "");
    Expect(1, 3890, '\p{Nv=8.5}', "");
    Expect(0, 3890, '\p{^Nv=8.5}', "");
    Expect(0, 3890, '\P{Nv=8.5}', "");
    Expect(1, 3890, '\P{^Nv=8.5}', "");
    Expect(0, 3891, '\p{Nv=8.5}', "");
    Expect(1, 3891, '\p{^Nv=8.5}', "");
    Expect(1, 3891, '\P{Nv=8.5}', "");
    Expect(0, 3891, '\P{^Nv=8.5}', "");
    Expect(1, 3890, '\p{Nv=8.50e+00}', "");
    Expect(0, 3890, '\p{^Nv=8.50e+00}', "");
    Expect(0, 3890, '\P{Nv=8.50e+00}', "");
    Expect(1, 3890, '\P{^Nv=8.50e+00}', "");
    Expect(0, 3891, '\p{Nv=8.50e+00}', "");
    Expect(1, 3891, '\p{^Nv=8.50e+00}', "");
    Expect(1, 3891, '\P{Nv=8.50e+00}', "");
    Expect(0, 3891, '\P{^Nv=8.50e+00}', "");
    Expect(1, 3890, '\p{Nv=8.50}', "");
    Expect(0, 3890, '\p{^Nv=8.50}', "");
    Expect(0, 3890, '\P{Nv=8.50}', "");
    Expect(1, 3890, '\P{^Nv=8.50}', "");
    Expect(0, 3891, '\p{Nv=8.50}', "");
    Expect(1, 3891, '\p{^Nv=8.50}', "");
    Expect(1, 3891, '\P{Nv=8.50}', "");
    Expect(0, 3891, '\P{^Nv=8.50}', "");
    Error('\p{Is_Numeric_Value=-_0017/0002:=}');
    Error('\P{Is_Numeric_Value=-_0017/0002:=}');
    Expect(1, 3890, '\p{Is_Numeric_Value: +017/00000002}', "");
    Expect(0, 3890, '\p{^Is_Numeric_Value: +017/00000002}', "");
    Expect(0, 3890, '\P{Is_Numeric_Value: +017/00000002}', "");
    Expect(1, 3890, '\P{^Is_Numeric_Value: +017/00000002}', "");
    Expect(0, 3891, '\p{Is_Numeric_Value: +017/00000002}', "");
    Expect(1, 3891, '\p{^Is_Numeric_Value: +017/00000002}', "");
    Expect(1, 3891, '\P{Is_Numeric_Value: +017/00000002}', "");
    Expect(0, 3891, '\P{^Is_Numeric_Value: +017/00000002}', "");
    Expect(1, 3890, '\p{Is_Numeric_Value=1020/120}', "");
    Expect(0, 3890, '\p{^Is_Numeric_Value=1020/120}', "");
    Expect(0, 3890, '\P{Is_Numeric_Value=1020/120}', "");
    Expect(1, 3890, '\P{^Is_Numeric_Value=1020/120}', "");
    Expect(0, 3891, '\p{Is_Numeric_Value=1020/120}', "");
    Expect(1, 3891, '\p{^Is_Numeric_Value=1020/120}', "");
    Expect(1, 3891, '\P{Is_Numeric_Value=1020/120}', "");
    Expect(0, 3891, '\P{^Is_Numeric_Value=1020/120}', "");
    Expect(1, 3890, '\p{Is_Numeric_Value=8.5e+00}', "");
    Expect(0, 3890, '\p{^Is_Numeric_Value=8.5e+00}', "");
    Expect(0, 3890, '\P{Is_Numeric_Value=8.5e+00}', "");
    Expect(1, 3890, '\P{^Is_Numeric_Value=8.5e+00}', "");
    Expect(0, 3891, '\p{Is_Numeric_Value=8.5e+00}', "");
    Expect(1, 3891, '\p{^Is_Numeric_Value=8.5e+00}', "");
    Expect(1, 3891, '\P{Is_Numeric_Value=8.5e+00}', "");
    Expect(0, 3891, '\P{^Is_Numeric_Value=8.5e+00}', "");
    Expect(1, 3890, '\p{Is_Numeric_Value=8.5}', "");
    Expect(0, 3890, '\p{^Is_Numeric_Value=8.5}', "");
    Expect(0, 3890, '\P{Is_Numeric_Value=8.5}', "");
    Expect(1, 3890, '\P{^Is_Numeric_Value=8.5}', "");
    Expect(0, 3891, '\p{Is_Numeric_Value=8.5}', "");
    Expect(1, 3891, '\p{^Is_Numeric_Value=8.5}', "");
    Expect(1, 3891, '\P{Is_Numeric_Value=8.5}', "");
    Expect(0, 3891, '\P{^Is_Numeric_Value=8.5}', "");
    Expect(1, 3890, '\p{Is_Numeric_Value=8.50e+00}', "");
    Expect(0, 3890, '\p{^Is_Numeric_Value=8.50e+00}', "");
    Expect(0, 3890, '\P{Is_Numeric_Value=8.50e+00}', "");
    Expect(1, 3890, '\P{^Is_Numeric_Value=8.50e+00}', "");
    Expect(0, 3891, '\p{Is_Numeric_Value=8.50e+00}', "");
    Expect(1, 3891, '\p{^Is_Numeric_Value=8.50e+00}', "");
    Expect(1, 3891, '\P{Is_Numeric_Value=8.50e+00}', "");
    Expect(0, 3891, '\P{^Is_Numeric_Value=8.50e+00}', "");
    Expect(1, 3890, '\p{Is_Numeric_Value=8.50}', "");
    Expect(0, 3890, '\p{^Is_Numeric_Value=8.50}', "");
    Expect(0, 3890, '\P{Is_Numeric_Value=8.50}', "");
    Expect(1, 3890, '\P{^Is_Numeric_Value=8.50}', "");
    Expect(0, 3891, '\p{Is_Numeric_Value=8.50}', "");
    Expect(1, 3891, '\p{^Is_Numeric_Value=8.50}', "");
    Expect(1, 3891, '\P{Is_Numeric_Value=8.50}', "");
    Expect(0, 3891, '\P{^Is_Numeric_Value=8.50}', "");
    Error('\p{Is_Nv=	:=+0000017/00002}');
    Error('\P{Is_Nv=	:=+0000017/00002}');
    Expect(1, 3890, '\p{Is_Nv=000000017/000002}', "");
    Expect(0, 3890, '\p{^Is_Nv=000000017/000002}', "");
    Expect(0, 3890, '\P{Is_Nv=000000017/000002}', "");
    Expect(1, 3890, '\P{^Is_Nv=000000017/000002}', "");
    Expect(0, 3891, '\p{Is_Nv=000000017/000002}', "");
    Expect(1, 3891, '\p{^Is_Nv=000000017/000002}', "");
    Expect(1, 3891, '\P{Is_Nv=000000017/000002}', "");
    Expect(0, 3891, '\P{^Is_Nv=000000017/000002}', "");
    Expect(1, 3890, '\p{Is_Nv=1020/120}', "");
    Expect(0, 3890, '\p{^Is_Nv=1020/120}', "");
    Expect(0, 3890, '\P{Is_Nv=1020/120}', "");
    Expect(1, 3890, '\P{^Is_Nv=1020/120}', "");
    Expect(0, 3891, '\p{Is_Nv=1020/120}', "");
    Expect(1, 3891, '\p{^Is_Nv=1020/120}', "");
    Expect(1, 3891, '\P{Is_Nv=1020/120}', "");
    Expect(0, 3891, '\P{^Is_Nv=1020/120}', "");
    Expect(1, 3890, '\p{Is_Nv: 8.5e+00}', "");
    Expect(0, 3890, '\p{^Is_Nv: 8.5e+00}', "");
    Expect(0, 3890, '\P{Is_Nv: 8.5e+00}', "");
    Expect(1, 3890, '\P{^Is_Nv: 8.5e+00}', "");
    Expect(0, 3891, '\p{Is_Nv: 8.5e+00}', "");
    Expect(1, 3891, '\p{^Is_Nv: 8.5e+00}', "");
    Expect(1, 3891, '\P{Is_Nv: 8.5e+00}', "");
    Expect(0, 3891, '\P{^Is_Nv: 8.5e+00}', "");
    Expect(1, 3890, '\p{Is_Nv=8.5}', "");
    Expect(0, 3890, '\p{^Is_Nv=8.5}', "");
    Expect(0, 3890, '\P{Is_Nv=8.5}', "");
    Expect(1, 3890, '\P{^Is_Nv=8.5}', "");
    Expect(0, 3891, '\p{Is_Nv=8.5}', "");
    Expect(1, 3891, '\p{^Is_Nv=8.5}', "");
    Expect(1, 3891, '\P{Is_Nv=8.5}', "");
    Expect(0, 3891, '\P{^Is_Nv=8.5}', "");
    Expect(1, 3890, '\p{Is_Nv:	8.50e+00}', "");
    Expect(0, 3890, '\p{^Is_Nv:	8.50e+00}', "");
    Expect(0, 3890, '\P{Is_Nv:	8.50e+00}', "");
    Expect(1, 3890, '\P{^Is_Nv:	8.50e+00}', "");
    Expect(0, 3891, '\p{Is_Nv:	8.50e+00}', "");
    Expect(1, 3891, '\p{^Is_Nv:	8.50e+00}', "");
    Expect(1, 3891, '\P{Is_Nv:	8.50e+00}', "");
    Expect(0, 3891, '\P{^Is_Nv:	8.50e+00}', "");
    Expect(1, 3890, '\p{Is_Nv=8.50}', "");
    Expect(0, 3890, '\p{^Is_Nv=8.50}', "");
    Expect(0, 3890, '\P{Is_Nv=8.50}', "");
    Expect(1, 3890, '\P{^Is_Nv=8.50}', "");
    Expect(0, 3891, '\p{Is_Nv=8.50}', "");
    Expect(1, 3891, '\p{^Is_Nv=8.50}', "");
    Expect(1, 3891, '\P{Is_Nv=8.50}', "");
    Expect(0, 3891, '\P{^Is_Nv=8.50}', "");
    Error('\p{Numeric_Value=	/a/0001_8}');
    Error('\P{Numeric_Value=	/a/0001_8}');
    Expect(1, 119538, '\p{Numeric_Value=:\A18\z:}', "");;
    Expect(0, 119539, '\p{Numeric_Value=:\A18\z:}', "");;
    Expect(1, 119538, '\p{Numeric_Value=+001_8}', "");
    Expect(0, 119538, '\p{^Numeric_Value=+001_8}', "");
    Expect(0, 119538, '\P{Numeric_Value=+001_8}', "");
    Expect(1, 119538, '\P{^Numeric_Value=+001_8}', "");
    Expect(0, 119539, '\p{Numeric_Value=+001_8}', "");
    Expect(1, 119539, '\p{^Numeric_Value=+001_8}', "");
    Expect(1, 119539, '\P{Numeric_Value=+001_8}', "");
    Expect(0, 119539, '\P{^Numeric_Value=+001_8}', "");
    Expect(1, 119538, '\p{Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119538, '\p{^Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119538, '\P{Numeric_Value=1.800000000000000e+01}', "");
    Expect(1, 119538, '\P{^Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119539, '\p{Numeric_Value=1.800000000000000e+01}', "");
    Expect(1, 119539, '\p{^Numeric_Value=1.800000000000000e+01}', "");
    Expect(1, 119539, '\P{Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119539, '\P{^Numeric_Value=1.800000000000000e+01}', "");
    Error('\p{Nv=_0_0_18/a/}');
    Error('\P{Nv=_0_0_18/a/}');
    Expect(1, 119538, '\p{Nv=:\A18\z:}', "");;
    Expect(0, 119539, '\p{Nv=:\A18\z:}', "");;
    Expect(1, 119538, '\p{Nv=+018}', "");
    Expect(0, 119538, '\p{^Nv=+018}', "");
    Expect(0, 119538, '\P{Nv=+018}', "");
    Expect(1, 119538, '\P{^Nv=+018}', "");
    Expect(0, 119539, '\p{Nv=+018}', "");
    Expect(1, 119539, '\p{^Nv=+018}', "");
    Expect(1, 119539, '\P{Nv=+018}', "");
    Expect(0, 119539, '\P{^Nv=+018}', "");
    Expect(1, 119538, '\p{Nv:1.800000000000000e+01}', "");
    Expect(0, 119538, '\p{^Nv:1.800000000000000e+01}', "");
    Expect(0, 119538, '\P{Nv:1.800000000000000e+01}', "");
    Expect(1, 119538, '\P{^Nv:1.800000000000000e+01}', "");
    Expect(0, 119539, '\p{Nv:1.800000000000000e+01}', "");
    Expect(1, 119539, '\p{^Nv:1.800000000000000e+01}', "");
    Expect(1, 119539, '\P{Nv:1.800000000000000e+01}', "");
    Expect(0, 119539, '\P{^Nv:1.800000000000000e+01}', "");
    Error('\p{Is_Numeric_Value= /a/+00018}');
    Error('\P{Is_Numeric_Value= /a/+00018}');
    Expect(1, 119538, '\p{Is_Numeric_Value=+0018}', "");
    Expect(0, 119538, '\p{^Is_Numeric_Value=+0018}', "");
    Expect(0, 119538, '\P{Is_Numeric_Value=+0018}', "");
    Expect(1, 119538, '\P{^Is_Numeric_Value=+0018}', "");
    Expect(0, 119539, '\p{Is_Numeric_Value=+0018}', "");
    Expect(1, 119539, '\p{^Is_Numeric_Value=+0018}', "");
    Expect(1, 119539, '\P{Is_Numeric_Value=+0018}', "");
    Expect(0, 119539, '\P{^Is_Numeric_Value=+0018}', "");
    Expect(1, 119538, '\p{Is_Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119538, '\p{^Is_Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119538, '\P{Is_Numeric_Value=1.800000000000000e+01}', "");
    Expect(1, 119538, '\P{^Is_Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119539, '\p{Is_Numeric_Value=1.800000000000000e+01}', "");
    Expect(1, 119539, '\p{^Is_Numeric_Value=1.800000000000000e+01}', "");
    Expect(1, 119539, '\P{Is_Numeric_Value=1.800000000000000e+01}', "");
    Expect(0, 119539, '\P{^Is_Numeric_Value=1.800000000000000e+01}', "");
    Error('\p{Is_Nv=	0018/a/}');
    Error('\P{Is_Nv=	0018/a/}');
    Expect(1, 119538, '\p{Is_Nv=00000018}', "");
    Expect(0, 119538, '\p{^Is_Nv=00000018}', "");
    Expect(0, 119538, '\P{Is_Nv=00000018}', "");
    Expect(1, 119538, '\P{^Is_Nv=00000018}', "");
    Expect(0, 119539, '\p{Is_Nv=00000018}', "");
    Expect(1, 119539, '\p{^Is_Nv=00000018}', "");
    Expect(1, 119539, '\P{Is_Nv=00000018}', "");
    Expect(0, 119539, '\P{^Is_Nv=00000018}', "");
    Expect(1, 119538, '\p{Is_Nv=1.800000000000000e+01}', "");
    Expect(0, 119538, '\p{^Is_Nv=1.800000000000000e+01}', "");
    Expect(0, 119538, '\P{Is_Nv=1.800000000000000e+01}', "");
    Expect(1, 119538, '\P{^Is_Nv=1.800000000000000e+01}', "");
    Expect(0, 119539, '\p{Is_Nv=1.800000000000000e+01}', "");
    Expect(1, 119539, '\p{^Is_Nv=1.800000000000000e+01}', "");
    Expect(1, 119539, '\P{Is_Nv=1.800000000000000e+01}', "");
    Expect(0, 119539, '\P{^Is_Nv=1.800000000000000e+01}', "");
    Error('\p{Numeric_Value=-00_00_19:=}');
    Error('\P{Numeric_Value=-00_00_19:=}');
    Expect(1, 119539, '\p{Numeric_Value=:\A19\z:}', "");;
    Expect(0, 119540, '\p{Numeric_Value=:\A19\z:}', "");;
    Expect(1, 119539, '\p{Numeric_Value=+0019}', "");
    Expect(0, 119539, '\p{^Numeric_Value=+0019}', "");
    Expect(0, 119539, '\P{Numeric_Value=+0019}', "");
    Expect(1, 119539, '\P{^Numeric_Value=+0019}', "");
    Expect(0, 119540, '\p{Numeric_Value=+0019}', "");
    Expect(1, 119540, '\p{^Numeric_Value=+0019}', "");
    Expect(1, 119540, '\P{Numeric_Value=+0019}', "");
    Expect(0, 119540, '\P{^Numeric_Value=+0019}', "");
    Expect(1, 119539, '\p{Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119539, '\p{^Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119539, '\P{Numeric_Value=1.900000000000000e+01}', "");
    Expect(1, 119539, '\P{^Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119540, '\p{Numeric_Value=1.900000000000000e+01}', "");
    Expect(1, 119540, '\p{^Numeric_Value=1.900000000000000e+01}', "");
    Expect(1, 119540, '\P{Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119540, '\P{^Numeric_Value=1.900000000000000e+01}', "");
    Error('\p{Nv=-:=0000000019}');
    Error('\P{Nv=-:=0000000019}');
    Expect(1, 119539, '\p{Nv=:\A19\z:}', "");;
    Expect(0, 119540, '\p{Nv=:\A19\z:}', "");;
    Expect(1, 119539, '\p{Nv=0000000019}', "");
    Expect(0, 119539, '\p{^Nv=0000000019}', "");
    Expect(0, 119539, '\P{Nv=0000000019}', "");
    Expect(1, 119539, '\P{^Nv=0000000019}', "");
    Expect(0, 119540, '\p{Nv=0000000019}', "");
    Expect(1, 119540, '\p{^Nv=0000000019}', "");
    Expect(1, 119540, '\P{Nv=0000000019}', "");
    Expect(0, 119540, '\P{^Nv=0000000019}', "");
    Expect(1, 119539, '\p{Nv=1.900000000000000e+01}', "");
    Expect(0, 119539, '\p{^Nv=1.900000000000000e+01}', "");
    Expect(0, 119539, '\P{Nv=1.900000000000000e+01}', "");
    Expect(1, 119539, '\P{^Nv=1.900000000000000e+01}', "");
    Expect(0, 119540, '\p{Nv=1.900000000000000e+01}', "");
    Expect(1, 119540, '\p{^Nv=1.900000000000000e+01}', "");
    Expect(1, 119540, '\P{Nv=1.900000000000000e+01}', "");
    Expect(0, 119540, '\P{^Nv=1.900000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=		+01_9:=}');
    Error('\P{Is_Numeric_Value=		+01_9:=}');
    Expect(1, 119539, '\p{Is_Numeric_Value=+00000000019}', "");
    Expect(0, 119539, '\p{^Is_Numeric_Value=+00000000019}', "");
    Expect(0, 119539, '\P{Is_Numeric_Value=+00000000019}', "");
    Expect(1, 119539, '\P{^Is_Numeric_Value=+00000000019}', "");
    Expect(0, 119540, '\p{Is_Numeric_Value=+00000000019}', "");
    Expect(1, 119540, '\p{^Is_Numeric_Value=+00000000019}', "");
    Expect(1, 119540, '\P{Is_Numeric_Value=+00000000019}', "");
    Expect(0, 119540, '\P{^Is_Numeric_Value=+00000000019}', "");
    Expect(1, 119539, '\p{Is_Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119539, '\p{^Is_Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119539, '\P{Is_Numeric_Value=1.900000000000000e+01}', "");
    Expect(1, 119539, '\P{^Is_Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119540, '\p{Is_Numeric_Value=1.900000000000000e+01}', "");
    Expect(1, 119540, '\p{^Is_Numeric_Value=1.900000000000000e+01}', "");
    Expect(1, 119540, '\P{Is_Numeric_Value=1.900000000000000e+01}', "");
    Expect(0, 119540, '\P{^Is_Numeric_Value=1.900000000000000e+01}', "");
    Error('\p{Is_Nv:		0_0_0_019/a/}');
    Error('\P{Is_Nv:		0_0_0_019/a/}');
    Expect(1, 119539, '\p{Is_Nv=0_0_0_0_0_00019}', "");
    Expect(0, 119539, '\p{^Is_Nv=0_0_0_0_0_00019}', "");
    Expect(0, 119539, '\P{Is_Nv=0_0_0_0_0_00019}', "");
    Expect(1, 119539, '\P{^Is_Nv=0_0_0_0_0_00019}', "");
    Expect(0, 119540, '\p{Is_Nv=0_0_0_0_0_00019}', "");
    Expect(1, 119540, '\p{^Is_Nv=0_0_0_0_0_00019}', "");
    Expect(1, 119540, '\P{Is_Nv=0_0_0_0_0_00019}', "");
    Expect(0, 119540, '\P{^Is_Nv=0_0_0_0_0_00019}', "");
    Expect(1, 119539, '\p{Is_Nv=1.900000000000000e+01}', "");
    Expect(0, 119539, '\p{^Is_Nv=1.900000000000000e+01}', "");
    Expect(0, 119539, '\P{Is_Nv=1.900000000000000e+01}', "");
    Expect(1, 119539, '\P{^Is_Nv=1.900000000000000e+01}', "");
    Expect(0, 119540, '\p{Is_Nv=1.900000000000000e+01}', "");
    Expect(1, 119540, '\p{^Is_Nv=1.900000000000000e+01}', "");
    Expect(1, 119540, '\P{Is_Nv=1.900000000000000e+01}', "");
    Expect(0, 119540, '\P{^Is_Nv=1.900000000000000e+01}', "");
    Error('\p{Numeric_Value:    /a/2}');
    Error('\P{Numeric_Value:    /a/2}');
    Expect(1, 140176, '\p{Numeric_Value=:\A2\z:}', "");;
    Expect(0, 140177, '\p{Numeric_Value=:\A2\z:}', "");;
    Expect(1, 140176, '\p{Numeric_Value:	0000000_2}', "");
    Expect(0, 140176, '\p{^Numeric_Value:	0000000_2}', "");
    Expect(0, 140176, '\P{Numeric_Value:	0000000_2}', "");
    Expect(1, 140176, '\P{^Numeric_Value:	0000000_2}', "");
    Expect(0, 140177, '\p{Numeric_Value:	0000000_2}', "");
    Expect(1, 140177, '\p{^Numeric_Value:	0000000_2}', "");
    Expect(1, 140177, '\P{Numeric_Value:	0000000_2}', "");
    Expect(0, 140177, '\P{^Numeric_Value:	0000000_2}', "");
    Expect(1, 140176, '\p{Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140176, '\p{^Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140176, '\P{Numeric_Value=2.000000000000000e+00}', "");
    Expect(1, 140176, '\P{^Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140177, '\p{Numeric_Value=2.000000000000000e+00}', "");
    Expect(1, 140177, '\p{^Numeric_Value=2.000000000000000e+00}', "");
    Expect(1, 140177, '\P{Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140177, '\P{^Numeric_Value=2.000000000000000e+00}', "");
    Error('\p{Nv=_	2/a/}');
    Error('\P{Nv=_	2/a/}');
    Expect(1, 140176, '\p{Nv=:\A2\z:}', "");;
    Expect(0, 140177, '\p{Nv=:\A2\z:}', "");;
    Expect(1, 140176, '\p{Nv=00_2}', "");
    Expect(0, 140176, '\p{^Nv=00_2}', "");
    Expect(0, 140176, '\P{Nv=00_2}', "");
    Expect(1, 140176, '\P{^Nv=00_2}', "");
    Expect(0, 140177, '\p{Nv=00_2}', "");
    Expect(1, 140177, '\p{^Nv=00_2}', "");
    Expect(1, 140177, '\P{Nv=00_2}', "");
    Expect(0, 140177, '\P{^Nv=00_2}', "");
    Expect(1, 140176, '\p{Nv=2.000000000000000e+00}', "");
    Expect(0, 140176, '\p{^Nv=2.000000000000000e+00}', "");
    Expect(0, 140176, '\P{Nv=2.000000000000000e+00}', "");
    Expect(1, 140176, '\P{^Nv=2.000000000000000e+00}', "");
    Expect(0, 140177, '\p{Nv=2.000000000000000e+00}', "");
    Expect(1, 140177, '\p{^Nv=2.000000000000000e+00}', "");
    Expect(1, 140177, '\P{Nv=2.000000000000000e+00}', "");
    Expect(0, 140177, '\P{^Nv=2.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value=:=-	+000_000_02}');
    Error('\P{Is_Numeric_Value=:=-	+000_000_02}');
    Expect(1, 140176, '\p{Is_Numeric_Value=002}', "");
    Expect(0, 140176, '\p{^Is_Numeric_Value=002}', "");
    Expect(0, 140176, '\P{Is_Numeric_Value=002}', "");
    Expect(1, 140176, '\P{^Is_Numeric_Value=002}', "");
    Expect(0, 140177, '\p{Is_Numeric_Value=002}', "");
    Expect(1, 140177, '\p{^Is_Numeric_Value=002}', "");
    Expect(1, 140177, '\P{Is_Numeric_Value=002}', "");
    Expect(0, 140177, '\P{^Is_Numeric_Value=002}', "");
    Expect(1, 140176, '\p{Is_Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140176, '\p{^Is_Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140176, '\P{Is_Numeric_Value=2.000000000000000e+00}', "");
    Expect(1, 140176, '\P{^Is_Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140177, '\p{Is_Numeric_Value=2.000000000000000e+00}', "");
    Expect(1, 140177, '\p{^Is_Numeric_Value=2.000000000000000e+00}', "");
    Expect(1, 140177, '\P{Is_Numeric_Value=2.000000000000000e+00}', "");
    Expect(0, 140177, '\P{^Is_Numeric_Value=2.000000000000000e+00}', "");
    Error('\p{Is_Nv= _000002/a/}');
    Error('\P{Is_Nv= _000002/a/}');
    Expect(1, 140176, '\p{Is_Nv=00002}', "");
    Expect(0, 140176, '\p{^Is_Nv=00002}', "");
    Expect(0, 140176, '\P{Is_Nv=00002}', "");
    Expect(1, 140176, '\P{^Is_Nv=00002}', "");
    Expect(0, 140177, '\p{Is_Nv=00002}', "");
    Expect(1, 140177, '\p{^Is_Nv=00002}', "");
    Expect(1, 140177, '\P{Is_Nv=00002}', "");
    Expect(0, 140177, '\P{^Is_Nv=00002}', "");
    Expect(1, 140176, '\p{Is_Nv=2.000000000000000e+00}', "");
    Expect(0, 140176, '\p{^Is_Nv=2.000000000000000e+00}', "");
    Expect(0, 140176, '\P{Is_Nv=2.000000000000000e+00}', "");
    Expect(1, 140176, '\P{^Is_Nv=2.000000000000000e+00}', "");
    Expect(0, 140177, '\p{Is_Nv=2.000000000000000e+00}', "");
    Expect(1, 140177, '\p{^Is_Nv=2.000000000000000e+00}', "");
    Expect(1, 140177, '\P{Is_Nv=2.000000000000000e+00}', "");
    Expect(0, 140177, '\P{^Is_Nv=2.000000000000000e+00}', "");
    Error('\p{Numeric_Value=	0000002/00000003/a/}');
    Error('\P{Numeric_Value=	0000002/00000003/a/}');
    Expect(1, 74854, '\p{Numeric_Value=:\A2/3\z:}', "");;
    Expect(0, 74855, '\p{Numeric_Value=:\A2/3\z:}', "");;
    Expect(1, 74854, '\p{Numeric_Value=+02/000003}', "");
    Expect(0, 74854, '\p{^Numeric_Value=+02/000003}', "");
    Expect(0, 74854, '\P{Numeric_Value=+02/000003}', "");
    Expect(1, 74854, '\P{^Numeric_Value=+02/000003}', "");
    Expect(0, 74855, '\p{Numeric_Value=+02/000003}', "");
    Expect(1, 74855, '\p{^Numeric_Value=+02/000003}', "");
    Expect(1, 74855, '\P{Numeric_Value=+02/000003}', "");
    Expect(0, 74855, '\P{^Numeric_Value=+02/000003}', "");
    Expect(1, 74854, '\p{Numeric_Value=120/180}', "");
    Expect(0, 74854, '\p{^Numeric_Value=120/180}', "");
    Expect(0, 74854, '\P{Numeric_Value=120/180}', "");
    Expect(1, 74854, '\P{^Numeric_Value=120/180}', "");
    Expect(0, 74855, '\p{Numeric_Value=120/180}', "");
    Expect(1, 74855, '\p{^Numeric_Value=120/180}', "");
    Expect(1, 74855, '\P{Numeric_Value=120/180}', "");
    Expect(0, 74855, '\P{^Numeric_Value=120/180}', "");
    Error('\p{Numeric_Value=6.7e-01}');
    Error('\P{Numeric_Value=6.7e-01}');
    Error('\p{Numeric_Value=0.7}');
    Error('\P{Numeric_Value=0.7}');
    Error('\p{Numeric_Value=6.67e-01}');
    Error('\P{Numeric_Value=6.67e-01}');
    Error('\p{Numeric_Value=0.67}');
    Error('\P{Numeric_Value=0.67}');
    Expect(1, 74854, '\p{Numeric_Value=6.667e-01}', "");
    Expect(0, 74854, '\p{^Numeric_Value=6.667e-01}', "");
    Expect(0, 74854, '\P{Numeric_Value=6.667e-01}', "");
    Expect(1, 74854, '\P{^Numeric_Value=6.667e-01}', "");
    Expect(0, 74855, '\p{Numeric_Value=6.667e-01}', "");
    Expect(1, 74855, '\p{^Numeric_Value=6.667e-01}', "");
    Expect(1, 74855, '\P{Numeric_Value=6.667e-01}', "");
    Expect(0, 74855, '\P{^Numeric_Value=6.667e-01}', "");
    Error('\p{Numeric_Value:0.667}');
    Error('\P{Numeric_Value:0.667}');
    Expect(1, 74854, '\p{Numeric_Value=6.6667e-01}', "");
    Expect(0, 74854, '\p{^Numeric_Value=6.6667e-01}', "");
    Expect(0, 74854, '\P{Numeric_Value=6.6667e-01}', "");
    Expect(1, 74854, '\P{^Numeric_Value=6.6667e-01}', "");
    Expect(0, 74855, '\p{Numeric_Value=6.6667e-01}', "");
    Expect(1, 74855, '\p{^Numeric_Value=6.6667e-01}', "");
    Expect(1, 74855, '\P{Numeric_Value=6.6667e-01}', "");
    Expect(0, 74855, '\P{^Numeric_Value=6.6667e-01}', "");
    Expect(1, 74854, '\p{Numeric_Value=0.6667}', "");
    Expect(0, 74854, '\p{^Numeric_Value=0.6667}', "");
    Expect(0, 74854, '\P{Numeric_Value=0.6667}', "");
    Expect(1, 74854, '\P{^Numeric_Value=0.6667}', "");
    Expect(0, 74855, '\p{Numeric_Value=0.6667}', "");
    Expect(1, 74855, '\p{^Numeric_Value=0.6667}', "");
    Expect(1, 74855, '\P{Numeric_Value=0.6667}', "");
    Expect(0, 74855, '\P{^Numeric_Value=0.6667}', "");
    Expect(1, 74854, '\p{Numeric_Value=6.66667e-01}', "");
    Expect(0, 74854, '\p{^Numeric_Value=6.66667e-01}', "");
    Expect(0, 74854, '\P{Numeric_Value=6.66667e-01}', "");
    Expect(1, 74854, '\P{^Numeric_Value=6.66667e-01}', "");
    Expect(0, 74855, '\p{Numeric_Value=6.66667e-01}', "");
    Expect(1, 74855, '\p{^Numeric_Value=6.66667e-01}', "");
    Expect(1, 74855, '\P{Numeric_Value=6.66667e-01}', "");
    Expect(0, 74855, '\P{^Numeric_Value=6.66667e-01}', "");
    Expect(1, 74854, '\p{Numeric_Value=0.66667}', "");
    Expect(0, 74854, '\p{^Numeric_Value=0.66667}', "");
    Expect(0, 74854, '\P{Numeric_Value=0.66667}', "");
    Expect(1, 74854, '\P{^Numeric_Value=0.66667}', "");
    Expect(0, 74855, '\p{Numeric_Value=0.66667}', "");
    Expect(1, 74855, '\p{^Numeric_Value=0.66667}', "");
    Expect(1, 74855, '\P{Numeric_Value=0.66667}', "");
    Expect(0, 74855, '\P{^Numeric_Value=0.66667}', "");
    Error('\p{Nv=-/a/000000002/00003}');
    Error('\P{Nv=-/a/000000002/00003}');
    Expect(1, 74854, '\p{Nv=:\A2/3\z:}', "");;
    Expect(0, 74855, '\p{Nv=:\A2/3\z:}', "");;
    Expect(1, 74854, '\p{Nv:	000000002/003}', "");
    Expect(0, 74854, '\p{^Nv:	000000002/003}', "");
    Expect(0, 74854, '\P{Nv:	000000002/003}', "");
    Expect(1, 74854, '\P{^Nv:	000000002/003}', "");
    Expect(0, 74855, '\p{Nv:	000000002/003}', "");
    Expect(1, 74855, '\p{^Nv:	000000002/003}', "");
    Expect(1, 74855, '\P{Nv:	000000002/003}', "");
    Expect(0, 74855, '\P{^Nv:	000000002/003}', "");
    Expect(1, 74854, '\p{Nv=120/180}', "");
    Expect(0, 74854, '\p{^Nv=120/180}', "");
    Expect(0, 74854, '\P{Nv=120/180}', "");
    Expect(1, 74854, '\P{^Nv=120/180}', "");
    Expect(0, 74855, '\p{Nv=120/180}', "");
    Expect(1, 74855, '\p{^Nv=120/180}', "");
    Expect(1, 74855, '\P{Nv=120/180}', "");
    Expect(0, 74855, '\P{^Nv=120/180}', "");
    Error('\p{Nv=6.7e-01}');
    Error('\P{Nv=6.7e-01}');
    Error('\p{Nv=0.7}');
    Error('\P{Nv=0.7}');
    Error('\p{Nv: 6.67e-01}');
    Error('\P{Nv: 6.67e-01}');
    Error('\p{Nv=0.67}');
    Error('\P{Nv=0.67}');
    Expect(1, 74854, '\p{Nv:	6.667e-01}', "");
    Expect(0, 74854, '\p{^Nv:	6.667e-01}', "");
    Expect(0, 74854, '\P{Nv:	6.667e-01}', "");
    Expect(1, 74854, '\P{^Nv:	6.667e-01}', "");
    Expect(0, 74855, '\p{Nv:	6.667e-01}', "");
    Expect(1, 74855, '\p{^Nv:	6.667e-01}', "");
    Expect(1, 74855, '\P{Nv:	6.667e-01}', "");
    Expect(0, 74855, '\P{^Nv:	6.667e-01}', "");
    Error('\p{Nv=0.667}');
    Error('\P{Nv=0.667}');
    Expect(1, 74854, '\p{Nv=6.6667e-01}', "");
    Expect(0, 74854, '\p{^Nv=6.6667e-01}', "");
    Expect(0, 74854, '\P{Nv=6.6667e-01}', "");
    Expect(1, 74854, '\P{^Nv=6.6667e-01}', "");
    Expect(0, 74855, '\p{Nv=6.6667e-01}', "");
    Expect(1, 74855, '\p{^Nv=6.6667e-01}', "");
    Expect(1, 74855, '\P{Nv=6.6667e-01}', "");
    Expect(0, 74855, '\P{^Nv=6.6667e-01}', "");
    Expect(1, 74854, '\p{Nv:0.6667}', "");
    Expect(0, 74854, '\p{^Nv:0.6667}', "");
    Expect(0, 74854, '\P{Nv:0.6667}', "");
    Expect(1, 74854, '\P{^Nv:0.6667}', "");
    Expect(0, 74855, '\p{Nv:0.6667}', "");
    Expect(1, 74855, '\p{^Nv:0.6667}', "");
    Expect(1, 74855, '\P{Nv:0.6667}', "");
    Expect(0, 74855, '\P{^Nv:0.6667}', "");
    Expect(1, 74854, '\p{Nv=6.66667e-01}', "");
    Expect(0, 74854, '\p{^Nv=6.66667e-01}', "");
    Expect(0, 74854, '\P{Nv=6.66667e-01}', "");
    Expect(1, 74854, '\P{^Nv=6.66667e-01}', "");
    Expect(0, 74855, '\p{Nv=6.66667e-01}', "");
    Expect(1, 74855, '\p{^Nv=6.66667e-01}', "");
    Expect(1, 74855, '\P{Nv=6.66667e-01}', "");
    Expect(0, 74855, '\P{^Nv=6.66667e-01}', "");
    Expect(1, 74854, '\p{Nv:0.66667}', "");
    Expect(0, 74854, '\p{^Nv:0.66667}', "");
    Expect(0, 74854, '\P{Nv:0.66667}', "");
    Expect(1, 74854, '\P{^Nv:0.66667}', "");
    Expect(0, 74855, '\p{Nv:0.66667}', "");
    Expect(1, 74855, '\p{^Nv:0.66667}', "");
    Expect(1, 74855, '\P{Nv:0.66667}', "");
    Expect(0, 74855, '\P{^Nv:0.66667}', "");
    Error('\p{Is_Numeric_Value=_ +2/0003/a/}');
    Error('\P{Is_Numeric_Value=_ +2/0003/a/}');
    Expect(1, 74854, '\p{Is_Numeric_Value=+002/3}', "");
    Expect(0, 74854, '\p{^Is_Numeric_Value=+002/3}', "");
    Expect(0, 74854, '\P{Is_Numeric_Value=+002/3}', "");
    Expect(1, 74854, '\P{^Is_Numeric_Value=+002/3}', "");
    Expect(0, 74855, '\p{Is_Numeric_Value=+002/3}', "");
    Expect(1, 74855, '\p{^Is_Numeric_Value=+002/3}', "");
    Expect(1, 74855, '\P{Is_Numeric_Value=+002/3}', "");
    Expect(0, 74855, '\P{^Is_Numeric_Value=+002/3}', "");
    Expect(1, 74854, '\p{Is_Numeric_Value=120/180}', "");
    Expect(0, 74854, '\p{^Is_Numeric_Value=120/180}', "");
    Expect(0, 74854, '\P{Is_Numeric_Value=120/180}', "");
    Expect(1, 74854, '\P{^Is_Numeric_Value=120/180}', "");
    Expect(0, 74855, '\p{Is_Numeric_Value=120/180}', "");
    Expect(1, 74855, '\p{^Is_Numeric_Value=120/180}', "");
    Expect(1, 74855, '\P{Is_Numeric_Value=120/180}', "");
    Expect(0, 74855, '\P{^Is_Numeric_Value=120/180}', "");
    Error('\p{Is_Numeric_Value=6.7e-01}');
    Error('\P{Is_Numeric_Value=6.7e-01}');
    Error('\p{Is_Numeric_Value=0.7}');
    Error('\P{Is_Numeric_Value=0.7}');
    Error('\p{Is_Numeric_Value: 6.67e-01}');
    Error('\P{Is_Numeric_Value: 6.67e-01}');
    Error('\p{Is_Numeric_Value=0.67}');
    Error('\P{Is_Numeric_Value=0.67}');
    Expect(1, 74854, '\p{Is_Numeric_Value=6.667e-01}', "");
    Expect(0, 74854, '\p{^Is_Numeric_Value=6.667e-01}', "");
    Expect(0, 74854, '\P{Is_Numeric_Value=6.667e-01}', "");
    Expect(1, 74854, '\P{^Is_Numeric_Value=6.667e-01}', "");
    Expect(0, 74855, '\p{Is_Numeric_Value=6.667e-01}', "");
    Expect(1, 74855, '\p{^Is_Numeric_Value=6.667e-01}', "");
    Expect(1, 74855, '\P{Is_Numeric_Value=6.667e-01}', "");
    Expect(0, 74855, '\P{^Is_Numeric_Value=6.667e-01}', "");
    Error('\p{Is_Numeric_Value=0.667}');
    Error('\P{Is_Numeric_Value=0.667}');
    Expect(1, 74854, '\p{Is_Numeric_Value:	6.6667e-01}', "");
    Expect(0, 74854, '\p{^Is_Numeric_Value:	6.6667e-01}', "");
    Expect(0, 74854, '\P{Is_Numeric_Value:	6.6667e-01}', "");
    Expect(1, 74854, '\P{^Is_Numeric_Value:	6.6667e-01}', "");
    Expect(0, 74855, '\p{Is_Numeric_Value:	6.6667e-01}', "");
    Expect(1, 74855, '\p{^Is_Numeric_Value:	6.6667e-01}', "");
    Expect(1, 74855, '\P{Is_Numeric_Value:	6.6667e-01}', "");
    Expect(0, 74855, '\P{^Is_Numeric_Value:	6.6667e-01}', "");
    Expect(1, 74854, '\p{Is_Numeric_Value=0.6667}', "");
    Expect(0, 74854, '\p{^Is_Numeric_Value=0.6667}', "");
    Expect(0, 74854, '\P{Is_Numeric_Value=0.6667}', "");
    Expect(1, 74854, '\P{^Is_Numeric_Value=0.6667}', "");
    Expect(0, 74855, '\p{Is_Numeric_Value=0.6667}', "");
    Expect(1, 74855, '\p{^Is_Numeric_Value=0.6667}', "");
    Expect(1, 74855, '\P{Is_Numeric_Value=0.6667}', "");
    Expect(0, 74855, '\P{^Is_Numeric_Value=0.6667}', "");
    Expect(1, 74854, '\p{Is_Numeric_Value=6.66667e-01}', "");
    Expect(0, 74854, '\p{^Is_Numeric_Value=6.66667e-01}', "");
    Expect(0, 74854, '\P{Is_Numeric_Value=6.66667e-01}', "");
    Expect(1, 74854, '\P{^Is_Numeric_Value=6.66667e-01}', "");
    Expect(0, 74855, '\p{Is_Numeric_Value=6.66667e-01}', "");
    Expect(1, 74855, '\p{^Is_Numeric_Value=6.66667e-01}', "");
    Expect(1, 74855, '\P{Is_Numeric_Value=6.66667e-01}', "");
    Expect(0, 74855, '\P{^Is_Numeric_Value=6.66667e-01}', "");
    Expect(1, 74854, '\p{Is_Numeric_Value=0.66667}', "");
    Expect(0, 74854, '\p{^Is_Numeric_Value=0.66667}', "");
    Expect(0, 74854, '\P{Is_Numeric_Value=0.66667}', "");
    Expect(1, 74854, '\P{^Is_Numeric_Value=0.66667}', "");
    Expect(0, 74855, '\p{Is_Numeric_Value=0.66667}', "");
    Expect(1, 74855, '\p{^Is_Numeric_Value=0.66667}', "");
    Expect(1, 74855, '\P{Is_Numeric_Value=0.66667}', "");
    Expect(0, 74855, '\P{^Is_Numeric_Value=0.66667}', "");
    Error('\p{Is_Nv:	/a/+0002/0003}');
    Error('\P{Is_Nv:	/a/+0002/0003}');
    Expect(1, 74854, '\p{Is_Nv=+0000002/00000003}', "");
    Expect(0, 74854, '\p{^Is_Nv=+0000002/00000003}', "");
    Expect(0, 74854, '\P{Is_Nv=+0000002/00000003}', "");
    Expect(1, 74854, '\P{^Is_Nv=+0000002/00000003}', "");
    Expect(0, 74855, '\p{Is_Nv=+0000002/00000003}', "");
    Expect(1, 74855, '\p{^Is_Nv=+0000002/00000003}', "");
    Expect(1, 74855, '\P{Is_Nv=+0000002/00000003}', "");
    Expect(0, 74855, '\P{^Is_Nv=+0000002/00000003}', "");
    Expect(1, 74854, '\p{Is_Nv=120/180}', "");
    Expect(0, 74854, '\p{^Is_Nv=120/180}', "");
    Expect(0, 74854, '\P{Is_Nv=120/180}', "");
    Expect(1, 74854, '\P{^Is_Nv=120/180}', "");
    Expect(0, 74855, '\p{Is_Nv=120/180}', "");
    Expect(1, 74855, '\p{^Is_Nv=120/180}', "");
    Expect(1, 74855, '\P{Is_Nv=120/180}', "");
    Expect(0, 74855, '\P{^Is_Nv=120/180}', "");
    Error('\p{Is_Nv=6.7e-01}');
    Error('\P{Is_Nv=6.7e-01}');
    Error('\p{Is_Nv=0.7}');
    Error('\P{Is_Nv=0.7}');
    Error('\p{Is_Nv=6.67e-01}');
    Error('\P{Is_Nv=6.67e-01}');
    Error('\p{Is_Nv=0.67}');
    Error('\P{Is_Nv=0.67}');
    Expect(1, 74854, '\p{Is_Nv=6.667e-01}', "");
    Expect(0, 74854, '\p{^Is_Nv=6.667e-01}', "");
    Expect(0, 74854, '\P{Is_Nv=6.667e-01}', "");
    Expect(1, 74854, '\P{^Is_Nv=6.667e-01}', "");
    Expect(0, 74855, '\p{Is_Nv=6.667e-01}', "");
    Expect(1, 74855, '\p{^Is_Nv=6.667e-01}', "");
    Expect(1, 74855, '\P{Is_Nv=6.667e-01}', "");
    Expect(0, 74855, '\P{^Is_Nv=6.667e-01}', "");
    Error('\p{Is_Nv=0.667}');
    Error('\P{Is_Nv=0.667}');
    Expect(1, 74854, '\p{Is_Nv=6.6667e-01}', "");
    Expect(0, 74854, '\p{^Is_Nv=6.6667e-01}', "");
    Expect(0, 74854, '\P{Is_Nv=6.6667e-01}', "");
    Expect(1, 74854, '\P{^Is_Nv=6.6667e-01}', "");
    Expect(0, 74855, '\p{Is_Nv=6.6667e-01}', "");
    Expect(1, 74855, '\p{^Is_Nv=6.6667e-01}', "");
    Expect(1, 74855, '\P{Is_Nv=6.6667e-01}', "");
    Expect(0, 74855, '\P{^Is_Nv=6.6667e-01}', "");
    Expect(1, 74854, '\p{Is_Nv:	0.6667}', "");
    Expect(0, 74854, '\p{^Is_Nv:	0.6667}', "");
    Expect(0, 74854, '\P{Is_Nv:	0.6667}', "");
    Expect(1, 74854, '\P{^Is_Nv:	0.6667}', "");
    Expect(0, 74855, '\p{Is_Nv:	0.6667}', "");
    Expect(1, 74855, '\p{^Is_Nv:	0.6667}', "");
    Expect(1, 74855, '\P{Is_Nv:	0.6667}', "");
    Expect(0, 74855, '\P{^Is_Nv:	0.6667}', "");
    Expect(1, 74854, '\p{Is_Nv=6.66667e-01}', "");
    Expect(0, 74854, '\p{^Is_Nv=6.66667e-01}', "");
    Expect(0, 74854, '\P{Is_Nv=6.66667e-01}', "");
    Expect(1, 74854, '\P{^Is_Nv=6.66667e-01}', "");
    Expect(0, 74855, '\p{Is_Nv=6.66667e-01}', "");
    Expect(1, 74855, '\p{^Is_Nv=6.66667e-01}', "");
    Expect(1, 74855, '\P{Is_Nv=6.66667e-01}', "");
    Expect(0, 74855, '\P{^Is_Nv=6.66667e-01}', "");
    Expect(1, 74854, '\p{Is_Nv=0.66667}', "");
    Expect(0, 74854, '\p{^Is_Nv=0.66667}', "");
    Expect(0, 74854, '\P{Is_Nv=0.66667}', "");
    Expect(1, 74854, '\P{^Is_Nv=0.66667}', "");
    Expect(0, 74855, '\p{Is_Nv=0.66667}', "");
    Expect(1, 74855, '\p{^Is_Nv=0.66667}', "");
    Expect(1, 74855, '\P{Is_Nv=0.66667}', "");
    Expect(0, 74855, '\P{^Is_Nv=0.66667}', "");
    Error('\p{Numeric_Value=-/a/0000002/0000005}');
    Error('\P{Numeric_Value=-/a/0000002/0000005}');
    Expect(1, 8534, '\p{Numeric_Value=:\A2/5\z:}', "");;
    Expect(0, 8535, '\p{Numeric_Value=:\A2/5\z:}', "");;
    Expect(1, 8534, '\p{Numeric_Value=002/000000005}', "");
    Expect(0, 8534, '\p{^Numeric_Value=002/000000005}', "");
    Expect(0, 8534, '\P{Numeric_Value=002/000000005}', "");
    Expect(1, 8534, '\P{^Numeric_Value=002/000000005}', "");
    Expect(0, 8535, '\p{Numeric_Value=002/000000005}', "");
    Expect(1, 8535, '\p{^Numeric_Value=002/000000005}', "");
    Expect(1, 8535, '\P{Numeric_Value=002/000000005}', "");
    Expect(0, 8535, '\P{^Numeric_Value=002/000000005}', "");
    Expect(1, 8534, '\p{Numeric_Value=120/300}', "");
    Expect(0, 8534, '\p{^Numeric_Value=120/300}', "");
    Expect(0, 8534, '\P{Numeric_Value=120/300}', "");
    Expect(1, 8534, '\P{^Numeric_Value=120/300}', "");
    Expect(0, 8535, '\p{Numeric_Value=120/300}', "");
    Expect(1, 8535, '\p{^Numeric_Value=120/300}', "");
    Expect(1, 8535, '\P{Numeric_Value=120/300}', "");
    Expect(0, 8535, '\P{^Numeric_Value=120/300}', "");
    Expect(1, 8534, '\p{Numeric_Value=4.0e-01}', "");
    Expect(0, 8534, '\p{^Numeric_Value=4.0e-01}', "");
    Expect(0, 8534, '\P{Numeric_Value=4.0e-01}', "");
    Expect(1, 8534, '\P{^Numeric_Value=4.0e-01}', "");
    Expect(0, 8535, '\p{Numeric_Value=4.0e-01}', "");
    Expect(1, 8535, '\p{^Numeric_Value=4.0e-01}', "");
    Expect(1, 8535, '\P{Numeric_Value=4.0e-01}', "");
    Expect(0, 8535, '\P{^Numeric_Value=4.0e-01}', "");
    Expect(1, 8534, '\p{Numeric_Value: 0.4}', "");
    Expect(0, 8534, '\p{^Numeric_Value: 0.4}', "");
    Expect(0, 8534, '\P{Numeric_Value: 0.4}', "");
    Expect(1, 8534, '\P{^Numeric_Value: 0.4}', "");
    Expect(0, 8535, '\p{Numeric_Value: 0.4}', "");
    Expect(1, 8535, '\p{^Numeric_Value: 0.4}', "");
    Expect(1, 8535, '\P{Numeric_Value: 0.4}', "");
    Expect(0, 8535, '\P{^Numeric_Value: 0.4}', "");
    Expect(1, 8534, '\p{Numeric_Value=4.00e-01}', "");
    Expect(0, 8534, '\p{^Numeric_Value=4.00e-01}', "");
    Expect(0, 8534, '\P{Numeric_Value=4.00e-01}', "");
    Expect(1, 8534, '\P{^Numeric_Value=4.00e-01}', "");
    Expect(0, 8535, '\p{Numeric_Value=4.00e-01}', "");
    Expect(1, 8535, '\p{^Numeric_Value=4.00e-01}', "");
    Expect(1, 8535, '\P{Numeric_Value=4.00e-01}', "");
    Expect(0, 8535, '\P{^Numeric_Value=4.00e-01}', "");
    Expect(1, 8534, '\p{Numeric_Value=0.40}', "");
    Expect(0, 8534, '\p{^Numeric_Value=0.40}', "");
    Expect(0, 8534, '\P{Numeric_Value=0.40}', "");
    Expect(1, 8534, '\P{^Numeric_Value=0.40}', "");
    Expect(0, 8535, '\p{Numeric_Value=0.40}', "");
    Expect(1, 8535, '\p{^Numeric_Value=0.40}', "");
    Expect(1, 8535, '\P{Numeric_Value=0.40}', "");
    Expect(0, 8535, '\P{^Numeric_Value=0.40}', "");
    Error('\p{Nv=- 000000002/0000005:=}');
    Error('\P{Nv=- 000000002/0000005:=}');
    Expect(1, 8534, '\p{Nv=:\A2/5\z:}', "");;
    Expect(0, 8535, '\p{Nv=:\A2/5\z:}', "");;
    Expect(1, 8534, '\p{Nv=+002/00005}', "");
    Expect(0, 8534, '\p{^Nv=+002/00005}', "");
    Expect(0, 8534, '\P{Nv=+002/00005}', "");
    Expect(1, 8534, '\P{^Nv=+002/00005}', "");
    Expect(0, 8535, '\p{Nv=+002/00005}', "");
    Expect(1, 8535, '\p{^Nv=+002/00005}', "");
    Expect(1, 8535, '\P{Nv=+002/00005}', "");
    Expect(0, 8535, '\P{^Nv=+002/00005}', "");
    Expect(1, 8534, '\p{Nv=120/300}', "");
    Expect(0, 8534, '\p{^Nv=120/300}', "");
    Expect(0, 8534, '\P{Nv=120/300}', "");
    Expect(1, 8534, '\P{^Nv=120/300}', "");
    Expect(0, 8535, '\p{Nv=120/300}', "");
    Expect(1, 8535, '\p{^Nv=120/300}', "");
    Expect(1, 8535, '\P{Nv=120/300}', "");
    Expect(0, 8535, '\P{^Nv=120/300}', "");
    Expect(1, 8534, '\p{Nv=4.0e-01}', "");
    Expect(0, 8534, '\p{^Nv=4.0e-01}', "");
    Expect(0, 8534, '\P{Nv=4.0e-01}', "");
    Expect(1, 8534, '\P{^Nv=4.0e-01}', "");
    Expect(0, 8535, '\p{Nv=4.0e-01}', "");
    Expect(1, 8535, '\p{^Nv=4.0e-01}', "");
    Expect(1, 8535, '\P{Nv=4.0e-01}', "");
    Expect(0, 8535, '\P{^Nv=4.0e-01}', "");
    Expect(1, 8534, '\p{Nv=0.4}', "");
    Expect(0, 8534, '\p{^Nv=0.4}', "");
    Expect(0, 8534, '\P{Nv=0.4}', "");
    Expect(1, 8534, '\P{^Nv=0.4}', "");
    Expect(0, 8535, '\p{Nv=0.4}', "");
    Expect(1, 8535, '\p{^Nv=0.4}', "");
    Expect(1, 8535, '\P{Nv=0.4}', "");
    Expect(0, 8535, '\P{^Nv=0.4}', "");
    Expect(1, 8534, '\p{Nv=4.00e-01}', "");
    Expect(0, 8534, '\p{^Nv=4.00e-01}', "");
    Expect(0, 8534, '\P{Nv=4.00e-01}', "");
    Expect(1, 8534, '\P{^Nv=4.00e-01}', "");
    Expect(0, 8535, '\p{Nv=4.00e-01}', "");
    Expect(1, 8535, '\p{^Nv=4.00e-01}', "");
    Expect(1, 8535, '\P{Nv=4.00e-01}', "");
    Expect(0, 8535, '\P{^Nv=4.00e-01}', "");
    Expect(1, 8534, '\p{Nv=0.40}', "");
    Expect(0, 8534, '\p{^Nv=0.40}', "");
    Expect(0, 8534, '\P{Nv=0.40}', "");
    Expect(1, 8534, '\P{^Nv=0.40}', "");
    Expect(0, 8535, '\p{Nv=0.40}', "");
    Expect(1, 8535, '\p{^Nv=0.40}', "");
    Expect(1, 8535, '\P{Nv=0.40}', "");
    Expect(0, 8535, '\P{^Nv=0.40}', "");
    Error('\p{Is_Numeric_Value=-	0002/0000005/a/}');
    Error('\P{Is_Numeric_Value=-	0002/0000005/a/}');
    Expect(1, 8534, '\p{Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(0, 8534, '\p{^Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(0, 8534, '\P{Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(1, 8534, '\P{^Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(0, 8535, '\p{Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(1, 8535, '\p{^Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(1, 8535, '\P{Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(0, 8535, '\P{^Is_Numeric_Value=+0000000002/0000005}', "");
    Expect(1, 8534, '\p{Is_Numeric_Value=120/300}', "");
    Expect(0, 8534, '\p{^Is_Numeric_Value=120/300}', "");
    Expect(0, 8534, '\P{Is_Numeric_Value=120/300}', "");
    Expect(1, 8534, '\P{^Is_Numeric_Value=120/300}', "");
    Expect(0, 8535, '\p{Is_Numeric_Value=120/300}', "");
    Expect(1, 8535, '\p{^Is_Numeric_Value=120/300}', "");
    Expect(1, 8535, '\P{Is_Numeric_Value=120/300}', "");
    Expect(0, 8535, '\P{^Is_Numeric_Value=120/300}', "");
    Expect(1, 8534, '\p{Is_Numeric_Value=4.0e-01}', "");
    Expect(0, 8534, '\p{^Is_Numeric_Value=4.0e-01}', "");
    Expect(0, 8534, '\P{Is_Numeric_Value=4.0e-01}', "");
    Expect(1, 8534, '\P{^Is_Numeric_Value=4.0e-01}', "");
    Expect(0, 8535, '\p{Is_Numeric_Value=4.0e-01}', "");
    Expect(1, 8535, '\p{^Is_Numeric_Value=4.0e-01}', "");
    Expect(1, 8535, '\P{Is_Numeric_Value=4.0e-01}', "");
    Expect(0, 8535, '\P{^Is_Numeric_Value=4.0e-01}', "");
    Expect(1, 8534, '\p{Is_Numeric_Value=0.4}', "");
    Expect(0, 8534, '\p{^Is_Numeric_Value=0.4}', "");
    Expect(0, 8534, '\P{Is_Numeric_Value=0.4}', "");
    Expect(1, 8534, '\P{^Is_Numeric_Value=0.4}', "");
    Expect(0, 8535, '\p{Is_Numeric_Value=0.4}', "");
    Expect(1, 8535, '\p{^Is_Numeric_Value=0.4}', "");
    Expect(1, 8535, '\P{Is_Numeric_Value=0.4}', "");
    Expect(0, 8535, '\P{^Is_Numeric_Value=0.4}', "");
    Expect(1, 8534, '\p{Is_Numeric_Value=4.00e-01}', "");
    Expect(0, 8534, '\p{^Is_Numeric_Value=4.00e-01}', "");
    Expect(0, 8534, '\P{Is_Numeric_Value=4.00e-01}', "");
    Expect(1, 8534, '\P{^Is_Numeric_Value=4.00e-01}', "");
    Expect(0, 8535, '\p{Is_Numeric_Value=4.00e-01}', "");
    Expect(1, 8535, '\p{^Is_Numeric_Value=4.00e-01}', "");
    Expect(1, 8535, '\P{Is_Numeric_Value=4.00e-01}', "");
    Expect(0, 8535, '\P{^Is_Numeric_Value=4.00e-01}', "");
    Expect(1, 8534, '\p{Is_Numeric_Value=0.40}', "");
    Expect(0, 8534, '\p{^Is_Numeric_Value=0.40}', "");
    Expect(0, 8534, '\P{Is_Numeric_Value=0.40}', "");
    Expect(1, 8534, '\P{^Is_Numeric_Value=0.40}', "");
    Expect(0, 8535, '\p{Is_Numeric_Value=0.40}', "");
    Expect(1, 8535, '\p{^Is_Numeric_Value=0.40}', "");
    Expect(1, 8535, '\P{Is_Numeric_Value=0.40}', "");
    Expect(0, 8535, '\P{^Is_Numeric_Value=0.40}', "");
    Error('\p{Is_Nv=_+02/00000005:=}');
    Error('\P{Is_Nv=_+02/00000005:=}');
    Expect(1, 8534, '\p{Is_Nv=0002/0000005}', "");
    Expect(0, 8534, '\p{^Is_Nv=0002/0000005}', "");
    Expect(0, 8534, '\P{Is_Nv=0002/0000005}', "");
    Expect(1, 8534, '\P{^Is_Nv=0002/0000005}', "");
    Expect(0, 8535, '\p{Is_Nv=0002/0000005}', "");
    Expect(1, 8535, '\p{^Is_Nv=0002/0000005}', "");
    Expect(1, 8535, '\P{Is_Nv=0002/0000005}', "");
    Expect(0, 8535, '\P{^Is_Nv=0002/0000005}', "");
    Expect(1, 8534, '\p{Is_Nv=120/300}', "");
    Expect(0, 8534, '\p{^Is_Nv=120/300}', "");
    Expect(0, 8534, '\P{Is_Nv=120/300}', "");
    Expect(1, 8534, '\P{^Is_Nv=120/300}', "");
    Expect(0, 8535, '\p{Is_Nv=120/300}', "");
    Expect(1, 8535, '\p{^Is_Nv=120/300}', "");
    Expect(1, 8535, '\P{Is_Nv=120/300}', "");
    Expect(0, 8535, '\P{^Is_Nv=120/300}', "");
    Expect(1, 8534, '\p{Is_Nv=4.0e-01}', "");
    Expect(0, 8534, '\p{^Is_Nv=4.0e-01}', "");
    Expect(0, 8534, '\P{Is_Nv=4.0e-01}', "");
    Expect(1, 8534, '\P{^Is_Nv=4.0e-01}', "");
    Expect(0, 8535, '\p{Is_Nv=4.0e-01}', "");
    Expect(1, 8535, '\p{^Is_Nv=4.0e-01}', "");
    Expect(1, 8535, '\P{Is_Nv=4.0e-01}', "");
    Expect(0, 8535, '\P{^Is_Nv=4.0e-01}', "");
    Expect(1, 8534, '\p{Is_Nv=0.4}', "");
    Expect(0, 8534, '\p{^Is_Nv=0.4}', "");
    Expect(0, 8534, '\P{Is_Nv=0.4}', "");
    Expect(1, 8534, '\P{^Is_Nv=0.4}', "");
    Expect(0, 8535, '\p{Is_Nv=0.4}', "");
    Expect(1, 8535, '\p{^Is_Nv=0.4}', "");
    Expect(1, 8535, '\P{Is_Nv=0.4}', "");
    Expect(0, 8535, '\P{^Is_Nv=0.4}', "");
    Expect(1, 8534, '\p{Is_Nv=4.00e-01}', "");
    Expect(0, 8534, '\p{^Is_Nv=4.00e-01}', "");
    Expect(0, 8534, '\P{Is_Nv=4.00e-01}', "");
    Expect(1, 8534, '\P{^Is_Nv=4.00e-01}', "");
    Expect(0, 8535, '\p{Is_Nv=4.00e-01}', "");
    Expect(1, 8535, '\p{^Is_Nv=4.00e-01}', "");
    Expect(1, 8535, '\P{Is_Nv=4.00e-01}', "");
    Expect(0, 8535, '\P{^Is_Nv=4.00e-01}', "");
    Expect(1, 8534, '\p{Is_Nv=0.40}', "");
    Expect(0, 8534, '\p{^Is_Nv=0.40}', "");
    Expect(0, 8534, '\P{Is_Nv=0.40}', "");
    Expect(1, 8534, '\P{^Is_Nv=0.40}', "");
    Expect(0, 8535, '\p{Is_Nv=0.40}', "");
    Expect(1, 8535, '\p{^Is_Nv=0.40}', "");
    Expect(1, 8535, '\P{Is_Nv=0.40}', "");
    Expect(0, 8535, '\P{^Is_Nv=0.40}', "");
    Error('\p{Numeric_Value=_/a/+0000002_0}');
    Error('\P{Numeric_Value=_/a/+0000002_0}');
    Expect(1, 126219, '\p{Numeric_Value=:\A20\z:}', "");;
    Expect(0, 126220, '\p{Numeric_Value=:\A20\z:}', "");;
    Expect(1, 126219, '\p{Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(0, 126219, '\p{^Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(0, 126219, '\P{Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(1, 126219, '\P{^Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(0, 126220, '\p{Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(1, 126220, '\p{^Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(1, 126220, '\P{Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(0, 126220, '\P{^Numeric_Value=0_0_0_0_0_0_0_20}', "");
    Expect(1, 126219, '\p{Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126219, '\p{^Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126219, '\P{Numeric_Value=2.000000000000000e+01}', "");
    Expect(1, 126219, '\P{^Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126220, '\p{Numeric_Value=2.000000000000000e+01}', "");
    Expect(1, 126220, '\p{^Numeric_Value=2.000000000000000e+01}', "");
    Expect(1, 126220, '\P{Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126220, '\P{^Numeric_Value=2.000000000000000e+01}', "");
    Error('\p{Nv=/a/_+0_0_0_020}');
    Error('\P{Nv=/a/_+0_0_0_020}');
    Expect(1, 126219, '\p{Nv=:\A20\z:}', "");;
    Expect(0, 126220, '\p{Nv=:\A20\z:}', "");;
    Expect(1, 126219, '\p{Nv=00020}', "");
    Expect(0, 126219, '\p{^Nv=00020}', "");
    Expect(0, 126219, '\P{Nv=00020}', "");
    Expect(1, 126219, '\P{^Nv=00020}', "");
    Expect(0, 126220, '\p{Nv=00020}', "");
    Expect(1, 126220, '\p{^Nv=00020}', "");
    Expect(1, 126220, '\P{Nv=00020}', "");
    Expect(0, 126220, '\P{^Nv=00020}', "");
    Expect(1, 126219, '\p{Nv=2.000000000000000e+01}', "");
    Expect(0, 126219, '\p{^Nv=2.000000000000000e+01}', "");
    Expect(0, 126219, '\P{Nv=2.000000000000000e+01}', "");
    Expect(1, 126219, '\P{^Nv=2.000000000000000e+01}', "");
    Expect(0, 126220, '\p{Nv=2.000000000000000e+01}', "");
    Expect(1, 126220, '\p{^Nv=2.000000000000000e+01}', "");
    Expect(1, 126220, '\P{Nv=2.000000000000000e+01}', "");
    Expect(0, 126220, '\P{^Nv=2.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=:=_ +00_00_00_20}');
    Error('\P{Is_Numeric_Value=:=_ +00_00_00_20}');
    Expect(1, 126219, '\p{Is_Numeric_Value=00_00_20}', "");
    Expect(0, 126219, '\p{^Is_Numeric_Value=00_00_20}', "");
    Expect(0, 126219, '\P{Is_Numeric_Value=00_00_20}', "");
    Expect(1, 126219, '\P{^Is_Numeric_Value=00_00_20}', "");
    Expect(0, 126220, '\p{Is_Numeric_Value=00_00_20}', "");
    Expect(1, 126220, '\p{^Is_Numeric_Value=00_00_20}', "");
    Expect(1, 126220, '\P{Is_Numeric_Value=00_00_20}', "");
    Expect(0, 126220, '\P{^Is_Numeric_Value=00_00_20}', "");
    Expect(1, 126219, '\p{Is_Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126219, '\p{^Is_Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126219, '\P{Is_Numeric_Value=2.000000000000000e+01}', "");
    Expect(1, 126219, '\P{^Is_Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126220, '\p{Is_Numeric_Value=2.000000000000000e+01}', "");
    Expect(1, 126220, '\p{^Is_Numeric_Value=2.000000000000000e+01}', "");
    Expect(1, 126220, '\P{Is_Numeric_Value=2.000000000000000e+01}', "");
    Expect(0, 126220, '\P{^Is_Numeric_Value=2.000000000000000e+01}', "");
    Error('\p{Is_Nv=-	+0_0_0_0_0_0_0_0_020:=}');
    Error('\P{Is_Nv=-	+0_0_0_0_0_0_0_0_020:=}');
    Expect(1, 126219, '\p{Is_Nv=2_0}', "");
    Expect(0, 126219, '\p{^Is_Nv=2_0}', "");
    Expect(0, 126219, '\P{Is_Nv=2_0}', "");
    Expect(1, 126219, '\P{^Is_Nv=2_0}', "");
    Expect(0, 126220, '\p{Is_Nv=2_0}', "");
    Expect(1, 126220, '\p{^Is_Nv=2_0}', "");
    Expect(1, 126220, '\P{Is_Nv=2_0}', "");
    Expect(0, 126220, '\P{^Is_Nv=2_0}', "");
    Expect(1, 126219, '\p{Is_Nv=2.000000000000000e+01}', "");
    Expect(0, 126219, '\p{^Is_Nv=2.000000000000000e+01}', "");
    Expect(0, 126219, '\P{Is_Nv=2.000000000000000e+01}', "");
    Expect(1, 126219, '\P{^Is_Nv=2.000000000000000e+01}', "");
    Expect(0, 126220, '\p{Is_Nv=2.000000000000000e+01}', "");
    Expect(1, 126220, '\p{^Is_Nv=2.000000000000000e+01}', "");
    Expect(1, 126220, '\P{Is_Nv=2.000000000000000e+01}', "");
    Expect(0, 126220, '\P{^Is_Nv=2.000000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/	0000200}');
    Error('\P{Numeric_Value=/a/	0000200}');
    Expect(1, 126228, '\p{Numeric_Value=:\A200\z:}', "");;
    Expect(0, 126229, '\p{Numeric_Value=:\A200\z:}', "");;
    Expect(1, 126228, '\p{Numeric_Value=0000200}', "");
    Expect(0, 126228, '\p{^Numeric_Value=0000200}', "");
    Expect(0, 126228, '\P{Numeric_Value=0000200}', "");
    Expect(1, 126228, '\P{^Numeric_Value=0000200}', "");
    Expect(0, 126229, '\p{Numeric_Value=0000200}', "");
    Expect(1, 126229, '\p{^Numeric_Value=0000200}', "");
    Expect(1, 126229, '\P{Numeric_Value=0000200}', "");
    Expect(0, 126229, '\P{^Numeric_Value=0000200}', "");
    Expect(1, 126228, '\p{Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126228, '\p{^Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126228, '\P{Numeric_Value=2.000000000000000e+02}', "");
    Expect(1, 126228, '\P{^Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126229, '\p{Numeric_Value=2.000000000000000e+02}', "");
    Expect(1, 126229, '\p{^Numeric_Value=2.000000000000000e+02}', "");
    Expect(1, 126229, '\P{Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126229, '\P{^Numeric_Value=2.000000000000000e+02}', "");
    Error('\p{Nv=_/a/0000000200}');
    Error('\P{Nv=_/a/0000000200}');
    Expect(1, 126228, '\p{Nv=:\A200\z:}', "");;
    Expect(0, 126229, '\p{Nv=:\A200\z:}', "");;
    Expect(1, 126228, '\p{Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(0, 126228, '\p{^Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(0, 126228, '\P{Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(1, 126228, '\P{^Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(0, 126229, '\p{Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(1, 126229, '\p{^Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(1, 126229, '\P{Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(0, 126229, '\P{^Nv=0_0_0_0_0_0_0_0_0_200}', "");
    Expect(1, 126228, '\p{Nv=2.000000000000000e+02}', "");
    Expect(0, 126228, '\p{^Nv=2.000000000000000e+02}', "");
    Expect(0, 126228, '\P{Nv=2.000000000000000e+02}', "");
    Expect(1, 126228, '\P{^Nv=2.000000000000000e+02}', "");
    Expect(0, 126229, '\p{Nv=2.000000000000000e+02}', "");
    Expect(1, 126229, '\p{^Nv=2.000000000000000e+02}', "");
    Expect(1, 126229, '\P{Nv=2.000000000000000e+02}', "");
    Expect(0, 126229, '\P{^Nv=2.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value=	/a/+00200}');
    Error('\P{Is_Numeric_Value=	/a/+00200}');
    Expect(1, 126228, '\p{Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(0, 126228, '\p{^Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(0, 126228, '\P{Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(1, 126228, '\P{^Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(0, 126229, '\p{Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(1, 126229, '\p{^Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(1, 126229, '\P{Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(0, 126229, '\P{^Is_Numeric_Value=00_00_00_02_00}', "");
    Expect(1, 126228, '\p{Is_Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126228, '\p{^Is_Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126228, '\P{Is_Numeric_Value=2.000000000000000e+02}', "");
    Expect(1, 126228, '\P{^Is_Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126229, '\p{Is_Numeric_Value=2.000000000000000e+02}', "");
    Expect(1, 126229, '\p{^Is_Numeric_Value=2.000000000000000e+02}', "");
    Expect(1, 126229, '\P{Is_Numeric_Value=2.000000000000000e+02}', "");
    Expect(0, 126229, '\P{^Is_Numeric_Value=2.000000000000000e+02}', "");
    Error('\p{Is_Nv=:=-+00200}');
    Error('\P{Is_Nv=:=-+00200}');
    Expect(1, 126228, '\p{Is_Nv=00020_0}', "");
    Expect(0, 126228, '\p{^Is_Nv=00020_0}', "");
    Expect(0, 126228, '\P{Is_Nv=00020_0}', "");
    Expect(1, 126228, '\P{^Is_Nv=00020_0}', "");
    Expect(0, 126229, '\p{Is_Nv=00020_0}', "");
    Expect(1, 126229, '\p{^Is_Nv=00020_0}', "");
    Expect(1, 126229, '\P{Is_Nv=00020_0}', "");
    Expect(0, 126229, '\P{^Is_Nv=00020_0}', "");
    Expect(1, 126228, '\p{Is_Nv:	2.000000000000000e+02}', "");
    Expect(0, 126228, '\p{^Is_Nv:	2.000000000000000e+02}', "");
    Expect(0, 126228, '\P{Is_Nv:	2.000000000000000e+02}', "");
    Expect(1, 126228, '\P{^Is_Nv:	2.000000000000000e+02}', "");
    Expect(0, 126229, '\p{Is_Nv:	2.000000000000000e+02}', "");
    Expect(1, 126229, '\p{^Is_Nv:	2.000000000000000e+02}', "");
    Expect(1, 126229, '\P{Is_Nv:	2.000000000000000e+02}', "");
    Expect(0, 126229, '\P{^Is_Nv:	2.000000000000000e+02}', "");
    Error('\p{Numeric_Value=:=	-0000000002000}');
    Error('\P{Numeric_Value=:=	-0000000002000}');
    Expect(1, 126266, '\p{Numeric_Value=:\A2000\z:}', "");;
    Expect(0, 126267, '\p{Numeric_Value=:\A2000\z:}', "");;
    Expect(1, 126266, '\p{Numeric_Value=0000002000}', "");
    Expect(0, 126266, '\p{^Numeric_Value=0000002000}', "");
    Expect(0, 126266, '\P{Numeric_Value=0000002000}', "");
    Expect(1, 126266, '\P{^Numeric_Value=0000002000}', "");
    Expect(0, 126267, '\p{Numeric_Value=0000002000}', "");
    Expect(1, 126267, '\p{^Numeric_Value=0000002000}', "");
    Expect(1, 126267, '\P{Numeric_Value=0000002000}', "");
    Expect(0, 126267, '\P{^Numeric_Value=0000002000}', "");
    Expect(1, 126266, '\p{Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126266, '\p{^Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126266, '\P{Numeric_Value=2.000000000000000e+03}', "");
    Expect(1, 126266, '\P{^Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126267, '\p{Numeric_Value=2.000000000000000e+03}', "");
    Expect(1, 126267, '\p{^Numeric_Value=2.000000000000000e+03}', "");
    Expect(1, 126267, '\P{Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126267, '\P{^Numeric_Value=2.000000000000000e+03}', "");
    Error('\p{Nv=	 +200_0/a/}');
    Error('\P{Nv=	 +200_0/a/}');
    Expect(1, 126266, '\p{Nv=:\A2000\z:}', "");;
    Expect(0, 126267, '\p{Nv=:\A2000\z:}', "");;
    Expect(1, 126266, '\p{Nv=000002000}', "");
    Expect(0, 126266, '\p{^Nv=000002000}', "");
    Expect(0, 126266, '\P{Nv=000002000}', "");
    Expect(1, 126266, '\P{^Nv=000002000}', "");
    Expect(0, 126267, '\p{Nv=000002000}', "");
    Expect(1, 126267, '\p{^Nv=000002000}', "");
    Expect(1, 126267, '\P{Nv=000002000}', "");
    Expect(0, 126267, '\P{^Nv=000002000}', "");
    Expect(1, 126266, '\p{Nv=2.000000000000000e+03}', "");
    Expect(0, 126266, '\p{^Nv=2.000000000000000e+03}', "");
    Expect(0, 126266, '\P{Nv=2.000000000000000e+03}', "");
    Expect(1, 126266, '\P{^Nv=2.000000000000000e+03}', "");
    Expect(0, 126267, '\p{Nv=2.000000000000000e+03}', "");
    Expect(1, 126267, '\p{^Nv=2.000000000000000e+03}', "");
    Expect(1, 126267, '\P{Nv=2.000000000000000e+03}', "");
    Expect(0, 126267, '\P{^Nv=2.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value= :=0_0_2_000}');
    Error('\P{Is_Numeric_Value= :=0_0_2_000}');
    Expect(1, 126266, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(0, 126266, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(0, 126266, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(1, 126266, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(0, 126267, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(1, 126267, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(1, 126267, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(0, 126267, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_2_000}', "");
    Expect(1, 126266, '\p{Is_Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126266, '\p{^Is_Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126266, '\P{Is_Numeric_Value=2.000000000000000e+03}', "");
    Expect(1, 126266, '\P{^Is_Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126267, '\p{Is_Numeric_Value=2.000000000000000e+03}', "");
    Expect(1, 126267, '\p{^Is_Numeric_Value=2.000000000000000e+03}', "");
    Expect(1, 126267, '\P{Is_Numeric_Value=2.000000000000000e+03}', "");
    Expect(0, 126267, '\P{^Is_Numeric_Value=2.000000000000000e+03}', "");
    Error('\p{Is_Nv= :=+000200_0}');
    Error('\P{Is_Nv= :=+000200_0}');
    Expect(1, 126266, '\p{Is_Nv=000_000_020_00}', "");
    Expect(0, 126266, '\p{^Is_Nv=000_000_020_00}', "");
    Expect(0, 126266, '\P{Is_Nv=000_000_020_00}', "");
    Expect(1, 126266, '\P{^Is_Nv=000_000_020_00}', "");
    Expect(0, 126267, '\p{Is_Nv=000_000_020_00}', "");
    Expect(1, 126267, '\p{^Is_Nv=000_000_020_00}', "");
    Expect(1, 126267, '\P{Is_Nv=000_000_020_00}', "");
    Expect(0, 126267, '\P{^Is_Nv=000_000_020_00}', "");
    Expect(1, 126266, '\p{Is_Nv=2.000000000000000e+03}', "");
    Expect(0, 126266, '\p{^Is_Nv=2.000000000000000e+03}', "");
    Expect(0, 126266, '\P{Is_Nv=2.000000000000000e+03}', "");
    Expect(1, 126266, '\P{^Is_Nv=2.000000000000000e+03}', "");
    Expect(0, 126267, '\p{Is_Nv=2.000000000000000e+03}', "");
    Expect(1, 126267, '\p{^Is_Nv=2.000000000000000e+03}', "");
    Expect(1, 126267, '\P{Is_Nv=2.000000000000000e+03}', "");
    Expect(0, 126267, '\P{^Is_Nv=2.000000000000000e+03}', "");
    Error('\p{Numeric_Value=	 0_0_0_0_0_0_0_2_0_000/a/}');
    Error('\P{Numeric_Value=	 0_0_0_0_0_0_0_2_0_000/a/}');
    Expect(1, 126246, '\p{Numeric_Value=:\A20000\z:}', "");;
    Expect(0, 126247, '\p{Numeric_Value=:\A20000\z:}', "");;
    Expect(1, 126246, '\p{Numeric_Value=0_2_0_0_00}', "");
    Expect(0, 126246, '\p{^Numeric_Value=0_2_0_0_00}', "");
    Expect(0, 126246, '\P{Numeric_Value=0_2_0_0_00}', "");
    Expect(1, 126246, '\P{^Numeric_Value=0_2_0_0_00}', "");
    Expect(0, 126247, '\p{Numeric_Value=0_2_0_0_00}', "");
    Expect(1, 126247, '\p{^Numeric_Value=0_2_0_0_00}', "");
    Expect(1, 126247, '\P{Numeric_Value=0_2_0_0_00}', "");
    Expect(0, 126247, '\P{^Numeric_Value=0_2_0_0_00}', "");
    Expect(1, 126246, '\p{Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126246, '\p{^Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126246, '\P{Numeric_Value=2.000000000000000e+04}', "");
    Expect(1, 126246, '\P{^Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126247, '\p{Numeric_Value=2.000000000000000e+04}', "");
    Expect(1, 126247, '\p{^Numeric_Value=2.000000000000000e+04}', "");
    Expect(1, 126247, '\P{Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126247, '\P{^Numeric_Value=2.000000000000000e+04}', "");
    Error('\p{Nv=_-000_002_000_0/a/}');
    Error('\P{Nv=_-000_002_000_0/a/}');
    Expect(1, 126246, '\p{Nv=:\A20000\z:}', "");;
    Expect(0, 126247, '\p{Nv=:\A20000\z:}', "");;
    Expect(1, 126246, '\p{Nv=000000020000}', "");
    Expect(0, 126246, '\p{^Nv=000000020000}', "");
    Expect(0, 126246, '\P{Nv=000000020000}', "");
    Expect(1, 126246, '\P{^Nv=000000020000}', "");
    Expect(0, 126247, '\p{Nv=000000020000}', "");
    Expect(1, 126247, '\p{^Nv=000000020000}', "");
    Expect(1, 126247, '\P{Nv=000000020000}', "");
    Expect(0, 126247, '\P{^Nv=000000020000}', "");
    Expect(1, 126246, '\p{Nv=2.000000000000000e+04}', "");
    Expect(0, 126246, '\p{^Nv=2.000000000000000e+04}', "");
    Expect(0, 126246, '\P{Nv=2.000000000000000e+04}', "");
    Expect(1, 126246, '\P{^Nv=2.000000000000000e+04}', "");
    Expect(0, 126247, '\p{Nv=2.000000000000000e+04}', "");
    Expect(1, 126247, '\p{^Nv=2.000000000000000e+04}', "");
    Expect(1, 126247, '\P{Nv=2.000000000000000e+04}', "");
    Expect(0, 126247, '\P{^Nv=2.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value=/a/	00000_00200_00}');
    Error('\P{Is_Numeric_Value=/a/	00000_00200_00}');
    Expect(1, 126246, '\p{Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(0, 126246, '\p{^Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(0, 126246, '\P{Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(1, 126246, '\P{^Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(0, 126247, '\p{Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(1, 126247, '\p{^Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(1, 126247, '\P{Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(0, 126247, '\P{^Is_Numeric_Value=0_0_0_0_2_0000}', "");
    Expect(1, 126246, '\p{Is_Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126246, '\p{^Is_Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126246, '\P{Is_Numeric_Value=2.000000000000000e+04}', "");
    Expect(1, 126246, '\P{^Is_Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126247, '\p{Is_Numeric_Value=2.000000000000000e+04}', "");
    Expect(1, 126247, '\p{^Is_Numeric_Value=2.000000000000000e+04}', "");
    Expect(1, 126247, '\P{Is_Numeric_Value=2.000000000000000e+04}', "");
    Expect(0, 126247, '\P{^Is_Numeric_Value=2.000000000000000e+04}', "");
    Error('\p{Is_Nv=_:=0_0_0_0_0_0_0_020000}');
    Error('\P{Is_Nv=_:=0_0_0_0_0_0_0_020000}');
    Expect(1, 126246, '\p{Is_Nv=0_0_2_0_0_00}', "");
    Expect(0, 126246, '\p{^Is_Nv=0_0_2_0_0_00}', "");
    Expect(0, 126246, '\P{Is_Nv=0_0_2_0_0_00}', "");
    Expect(1, 126246, '\P{^Is_Nv=0_0_2_0_0_00}', "");
    Expect(0, 126247, '\p{Is_Nv=0_0_2_0_0_00}', "");
    Expect(1, 126247, '\p{^Is_Nv=0_0_2_0_0_00}', "");
    Expect(1, 126247, '\P{Is_Nv=0_0_2_0_0_00}', "");
    Expect(0, 126247, '\P{^Is_Nv=0_0_2_0_0_00}', "");
    Expect(1, 126246, '\p{Is_Nv=2.000000000000000e+04}', "");
    Expect(0, 126246, '\p{^Is_Nv=2.000000000000000e+04}', "");
    Expect(0, 126246, '\P{Is_Nv=2.000000000000000e+04}', "");
    Expect(1, 126246, '\P{^Is_Nv=2.000000000000000e+04}', "");
    Expect(0, 126247, '\p{Is_Nv=2.000000000000000e+04}', "");
    Expect(1, 126247, '\p{^Is_Nv=2.000000000000000e+04}', "");
    Expect(1, 126247, '\P{Is_Nv=2.000000000000000e+04}', "");
    Expect(0, 126247, '\P{^Is_Nv=2.000000000000000e+04}', "");
    Error('\p{Numeric_Value::=-0_0_0_0_0_0_0_2_00000}');
    Error('\P{Numeric_Value::=-0_0_0_0_0_0_0_2_00000}');
    Expect(1, 126111, '\p{Numeric_Value=:\A200000\z:}', "");;
    Expect(0, 126112, '\p{Numeric_Value=:\A200000\z:}', "");;
    Expect(1, 126111, '\p{Numeric_Value=+200000}', "");
    Expect(0, 126111, '\p{^Numeric_Value=+200000}', "");
    Expect(0, 126111, '\P{Numeric_Value=+200000}', "");
    Expect(1, 126111, '\P{^Numeric_Value=+200000}', "");
    Expect(0, 126112, '\p{Numeric_Value=+200000}', "");
    Expect(1, 126112, '\p{^Numeric_Value=+200000}', "");
    Expect(1, 126112, '\P{Numeric_Value=+200000}', "");
    Expect(0, 126112, '\P{^Numeric_Value=+200000}', "");
    Expect(1, 126111, '\p{Numeric_Value:2.000000000000000e+05}', "");
    Expect(0, 126111, '\p{^Numeric_Value:2.000000000000000e+05}', "");
    Expect(0, 126111, '\P{Numeric_Value:2.000000000000000e+05}', "");
    Expect(1, 126111, '\P{^Numeric_Value:2.000000000000000e+05}', "");
    Expect(0, 126112, '\p{Numeric_Value:2.000000000000000e+05}', "");
    Expect(1, 126112, '\p{^Numeric_Value:2.000000000000000e+05}', "");
    Expect(1, 126112, '\P{Numeric_Value:2.000000000000000e+05}', "");
    Expect(0, 126112, '\P{^Numeric_Value:2.000000000000000e+05}', "");
    Error('\p{Nv=/a/-+000000020000_0}');
    Error('\P{Nv=/a/-+000000020000_0}');
    Expect(1, 126111, '\p{Nv=:\A200000\z:}', "");;
    Expect(0, 126112, '\p{Nv=:\A200000\z:}', "");;
    Expect(1, 126111, '\p{Nv=0000000200000}', "");
    Expect(0, 126111, '\p{^Nv=0000000200000}', "");
    Expect(0, 126111, '\P{Nv=0000000200000}', "");
    Expect(1, 126111, '\P{^Nv=0000000200000}', "");
    Expect(0, 126112, '\p{Nv=0000000200000}', "");
    Expect(1, 126112, '\p{^Nv=0000000200000}', "");
    Expect(1, 126112, '\P{Nv=0000000200000}', "");
    Expect(0, 126112, '\P{^Nv=0000000200000}', "");
    Expect(1, 126111, '\p{Nv=2.000000000000000e+05}', "");
    Expect(0, 126111, '\p{^Nv=2.000000000000000e+05}', "");
    Expect(0, 126111, '\P{Nv=2.000000000000000e+05}', "");
    Expect(1, 126111, '\P{^Nv=2.000000000000000e+05}', "");
    Expect(0, 126112, '\p{Nv=2.000000000000000e+05}', "");
    Expect(1, 126112, '\p{^Nv=2.000000000000000e+05}', "");
    Expect(1, 126112, '\P{Nv=2.000000000000000e+05}', "");
    Expect(0, 126112, '\P{^Nv=2.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=:=	-000000000200000}');
    Error('\P{Is_Numeric_Value=:=	-000000000200000}');
    Expect(1, 126111, '\p{Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(0, 126111, '\p{^Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(0, 126111, '\P{Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(1, 126111, '\P{^Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(0, 126112, '\p{Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(1, 126112, '\p{^Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(1, 126112, '\P{Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(0, 126112, '\P{^Is_Numeric_Value:+00_00_00_20_0000}', "");
    Expect(1, 126111, '\p{Is_Numeric_Value=2.000000000000000e+05}', "");
    Expect(0, 126111, '\p{^Is_Numeric_Value=2.000000000000000e+05}', "");
    Expect(0, 126111, '\P{Is_Numeric_Value=2.000000000000000e+05}', "");
    Expect(1, 126111, '\P{^Is_Numeric_Value=2.000000000000000e+05}', "");
    Expect(0, 126112, '\p{Is_Numeric_Value=2.000000000000000e+05}', "");
    Expect(1, 126112, '\p{^Is_Numeric_Value=2.000000000000000e+05}', "");
    Expect(1, 126112, '\P{Is_Numeric_Value=2.000000000000000e+05}', "");
    Expect(0, 126112, '\P{^Is_Numeric_Value=2.000000000000000e+05}', "");
    Error('\p{Is_Nv=:=-_000200000}');
    Error('\P{Is_Nv=:=-_000200000}');
    Expect(1, 126111, '\p{Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(0, 126111, '\p{^Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(0, 126111, '\P{Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(1, 126111, '\P{^Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(0, 126112, '\p{Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(1, 126112, '\p{^Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(1, 126112, '\P{Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(0, 126112, '\P{^Is_Nv=0_0_0_0_0_0_0_0_2_00000}', "");
    Expect(1, 126111, '\p{Is_Nv=2.000000000000000e+05}', "");
    Expect(0, 126111, '\p{^Is_Nv=2.000000000000000e+05}', "");
    Expect(0, 126111, '\P{Is_Nv=2.000000000000000e+05}', "");
    Expect(1, 126111, '\P{^Is_Nv=2.000000000000000e+05}', "");
    Expect(0, 126112, '\p{Is_Nv=2.000000000000000e+05}', "");
    Expect(1, 126112, '\p{^Is_Nv=2.000000000000000e+05}', "");
    Expect(1, 126112, '\P{Is_Nv=2.000000000000000e+05}', "");
    Expect(0, 126112, '\P{^Is_Nv=2.000000000000000e+05}', "");
    Error('\p{Numeric_Value:   :=--+00_20_00_00_00}');
    Error('\P{Numeric_Value:   :=--+00_20_00_00_00}');
    Expect(1, 126114, '\p{Numeric_Value=:\A20000000\z:}', "");;
    Expect(0, 126115, '\p{Numeric_Value=:\A20000000\z:}', "");;
    Expect(1, 126114, '\p{Numeric_Value=020000000}', "");
    Expect(0, 126114, '\p{^Numeric_Value=020000000}', "");
    Expect(0, 126114, '\P{Numeric_Value=020000000}', "");
    Expect(1, 126114, '\P{^Numeric_Value=020000000}', "");
    Expect(0, 126115, '\p{Numeric_Value=020000000}', "");
    Expect(1, 126115, '\p{^Numeric_Value=020000000}', "");
    Expect(1, 126115, '\P{Numeric_Value=020000000}', "");
    Expect(0, 126115, '\P{^Numeric_Value=020000000}', "");
    Expect(1, 126114, '\p{Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126114, '\p{^Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126114, '\P{Numeric_Value=2.000000000000000e+07}', "");
    Expect(1, 126114, '\P{^Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126115, '\p{Numeric_Value=2.000000000000000e+07}', "");
    Expect(1, 126115, '\p{^Numeric_Value=2.000000000000000e+07}', "");
    Expect(1, 126115, '\P{Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126115, '\P{^Numeric_Value=2.000000000000000e+07}', "");
    Error('\p{Nv=:=	0_0_2_0_0_0_0_0_00}');
    Error('\P{Nv=:=	0_0_2_0_0_0_0_0_00}');
    Expect(1, 126114, '\p{Nv=:\A20000000\z:}', "");;
    Expect(0, 126115, '\p{Nv=:\A20000000\z:}', "");;
    Expect(1, 126114, '\p{Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(0, 126114, '\p{^Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(0, 126114, '\P{Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(1, 126114, '\P{^Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(0, 126115, '\p{Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(1, 126115, '\p{^Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(1, 126115, '\P{Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(0, 126115, '\P{^Nv=0_0_0_0_0_0_0_2_0000000}', "");
    Expect(1, 126114, '\p{Nv=2.000000000000000e+07}', "");
    Expect(0, 126114, '\p{^Nv=2.000000000000000e+07}', "");
    Expect(0, 126114, '\P{Nv=2.000000000000000e+07}', "");
    Expect(1, 126114, '\P{^Nv=2.000000000000000e+07}', "");
    Expect(0, 126115, '\p{Nv=2.000000000000000e+07}', "");
    Expect(1, 126115, '\p{^Nv=2.000000000000000e+07}', "");
    Expect(1, 126115, '\P{Nv=2.000000000000000e+07}', "");
    Expect(0, 126115, '\P{^Nv=2.000000000000000e+07}', "");
    Error('\p{Is_Numeric_Value=/a/__000_020_000_000}');
    Error('\P{Is_Numeric_Value=/a/__000_020_000_000}');
    Expect(1, 126114, '\p{Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126114, '\p{^Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126114, '\P{Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126114, '\P{^Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126115, '\p{Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126115, '\p{^Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126115, '\P{Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126115, '\P{^Is_Numeric_Value=0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126114, '\p{Is_Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126114, '\p{^Is_Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126114, '\P{Is_Numeric_Value=2.000000000000000e+07}', "");
    Expect(1, 126114, '\P{^Is_Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126115, '\p{Is_Numeric_Value=2.000000000000000e+07}', "");
    Expect(1, 126115, '\p{^Is_Numeric_Value=2.000000000000000e+07}', "");
    Expect(1, 126115, '\P{Is_Numeric_Value=2.000000000000000e+07}', "");
    Expect(0, 126115, '\P{^Is_Numeric_Value=2.000000000000000e+07}', "");
    Error('\p{Is_Nv=__20000000:=}');
    Error('\P{Is_Nv=__20000000:=}');
    Expect(1, 126114, '\p{Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126114, '\p{^Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126114, '\P{Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126114, '\P{^Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126115, '\p{Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126115, '\p{^Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126115, '\P{Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(0, 126115, '\P{^Is_Nv=+0_0_0_0_0_2_0_0_0_0_0_00}', "");
    Expect(1, 126114, '\p{Is_Nv=2.000000000000000e+07}', "");
    Expect(0, 126114, '\p{^Is_Nv=2.000000000000000e+07}', "");
    Expect(0, 126114, '\P{Is_Nv=2.000000000000000e+07}', "");
    Expect(1, 126114, '\P{^Is_Nv=2.000000000000000e+07}', "");
    Expect(0, 126115, '\p{Is_Nv=2.000000000000000e+07}', "");
    Expect(1, 126115, '\p{^Is_Nv=2.000000000000000e+07}', "");
    Expect(1, 126115, '\P{Is_Nv=2.000000000000000e+07}', "");
    Expect(0, 126115, '\P{^Is_Nv=2.000000000000000e+07}', "");
    Error('\p{Numeric_Value=/a/	+2_1}');
    Error('\P{Numeric_Value=/a/	+2_1}');
    Expect(1, 12881, '\p{Numeric_Value=:\A21\z:}', "");;
    Expect(0, 12882, '\p{Numeric_Value=:\A21\z:}', "");;
    Expect(1, 12881, '\p{Numeric_Value:	000_000_21}', "");
    Expect(0, 12881, '\p{^Numeric_Value:	000_000_21}', "");
    Expect(0, 12881, '\P{Numeric_Value:	000_000_21}', "");
    Expect(1, 12881, '\P{^Numeric_Value:	000_000_21}', "");
    Expect(0, 12882, '\p{Numeric_Value:	000_000_21}', "");
    Expect(1, 12882, '\p{^Numeric_Value:	000_000_21}', "");
    Expect(1, 12882, '\P{Numeric_Value:	000_000_21}', "");
    Expect(0, 12882, '\P{^Numeric_Value:	000_000_21}', "");
    Expect(1, 12881, '\p{Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12881, '\p{^Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12881, '\P{Numeric_Value=2.100000000000000e+01}', "");
    Expect(1, 12881, '\P{^Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12882, '\p{Numeric_Value=2.100000000000000e+01}', "");
    Expect(1, 12882, '\p{^Numeric_Value=2.100000000000000e+01}', "");
    Expect(1, 12882, '\P{Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12882, '\P{^Numeric_Value=2.100000000000000e+01}', "");
    Error('\p{Nv:    :=0000_0000_21}');
    Error('\P{Nv:    :=0000_0000_21}');
    Expect(1, 12881, '\p{Nv=:\A21\z:}', "");;
    Expect(0, 12882, '\p{Nv=:\A21\z:}', "");;
    Expect(1, 12881, '\p{Nv=0_0_0_0_0_0_21}', "");
    Expect(0, 12881, '\p{^Nv=0_0_0_0_0_0_21}', "");
    Expect(0, 12881, '\P{Nv=0_0_0_0_0_0_21}', "");
    Expect(1, 12881, '\P{^Nv=0_0_0_0_0_0_21}', "");
    Expect(0, 12882, '\p{Nv=0_0_0_0_0_0_21}', "");
    Expect(1, 12882, '\p{^Nv=0_0_0_0_0_0_21}', "");
    Expect(1, 12882, '\P{Nv=0_0_0_0_0_0_21}', "");
    Expect(0, 12882, '\P{^Nv=0_0_0_0_0_0_21}', "");
    Expect(1, 12881, '\p{Nv=2.100000000000000e+01}', "");
    Expect(0, 12881, '\p{^Nv=2.100000000000000e+01}', "");
    Expect(0, 12881, '\P{Nv=2.100000000000000e+01}', "");
    Expect(1, 12881, '\P{^Nv=2.100000000000000e+01}', "");
    Expect(0, 12882, '\p{Nv=2.100000000000000e+01}', "");
    Expect(1, 12882, '\p{^Nv=2.100000000000000e+01}', "");
    Expect(1, 12882, '\P{Nv=2.100000000000000e+01}', "");
    Expect(0, 12882, '\P{^Nv=2.100000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/_00000000021}');
    Error('\P{Is_Numeric_Value=/a/_00000000021}');
    Expect(1, 12881, '\p{Is_Numeric_Value=+02_1}', "");
    Expect(0, 12881, '\p{^Is_Numeric_Value=+02_1}', "");
    Expect(0, 12881, '\P{Is_Numeric_Value=+02_1}', "");
    Expect(1, 12881, '\P{^Is_Numeric_Value=+02_1}', "");
    Expect(0, 12882, '\p{Is_Numeric_Value=+02_1}', "");
    Expect(1, 12882, '\p{^Is_Numeric_Value=+02_1}', "");
    Expect(1, 12882, '\P{Is_Numeric_Value=+02_1}', "");
    Expect(0, 12882, '\P{^Is_Numeric_Value=+02_1}', "");
    Expect(1, 12881, '\p{Is_Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12881, '\p{^Is_Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12881, '\P{Is_Numeric_Value=2.100000000000000e+01}', "");
    Expect(1, 12881, '\P{^Is_Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12882, '\p{Is_Numeric_Value=2.100000000000000e+01}', "");
    Expect(1, 12882, '\p{^Is_Numeric_Value=2.100000000000000e+01}', "");
    Expect(1, 12882, '\P{Is_Numeric_Value=2.100000000000000e+01}', "");
    Expect(0, 12882, '\P{^Is_Numeric_Value=2.100000000000000e+01}', "");
    Error('\p{Is_Nv=-:=+00000021}');
    Error('\P{Is_Nv=-:=+00000021}');
    Expect(1, 12881, '\p{Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(0, 12881, '\p{^Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(0, 12881, '\P{Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(1, 12881, '\P{^Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(0, 12882, '\p{Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(1, 12882, '\p{^Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(1, 12882, '\P{Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(0, 12882, '\P{^Is_Nv=+0_0_0_0_0_0_21}', "");
    Expect(1, 12881, '\p{Is_Nv=2.100000000000000e+01}', "");
    Expect(0, 12881, '\p{^Is_Nv=2.100000000000000e+01}', "");
    Expect(0, 12881, '\P{Is_Nv=2.100000000000000e+01}', "");
    Expect(1, 12881, '\P{^Is_Nv=2.100000000000000e+01}', "");
    Expect(0, 12882, '\p{Is_Nv=2.100000000000000e+01}', "");
    Expect(1, 12882, '\p{^Is_Nv=2.100000000000000e+01}', "");
    Expect(1, 12882, '\P{Is_Nv=2.100000000000000e+01}', "");
    Expect(0, 12882, '\P{^Is_Nv=2.100000000000000e+01}', "");
    Error('\p{Numeric_Value:_:=0_0_0_0_0_0_0_0_2_1_6000}');
    Error('\P{Numeric_Value:_:=0_0_0_0_0_0_0_0_2_1_6000}');
    Expect(1, 74802, '\p{Numeric_Value=:\A216000\z:}', "");;
    Expect(0, 74803, '\p{Numeric_Value=:\A216000\z:}', "");;
    Expect(1, 74802, '\p{Numeric_Value=00000000216000}', "");
    Expect(0, 74802, '\p{^Numeric_Value=00000000216000}', "");
    Expect(0, 74802, '\P{Numeric_Value=00000000216000}', "");
    Expect(1, 74802, '\P{^Numeric_Value=00000000216000}', "");
    Expect(0, 74803, '\p{Numeric_Value=00000000216000}', "");
    Expect(1, 74803, '\p{^Numeric_Value=00000000216000}', "");
    Expect(1, 74803, '\P{Numeric_Value=00000000216000}', "");
    Expect(0, 74803, '\P{^Numeric_Value=00000000216000}', "");
    Expect(1, 74802, '\p{Numeric_Value: 2.160000000000000e+05}', "");
    Expect(0, 74802, '\p{^Numeric_Value: 2.160000000000000e+05}', "");
    Expect(0, 74802, '\P{Numeric_Value: 2.160000000000000e+05}', "");
    Expect(1, 74802, '\P{^Numeric_Value: 2.160000000000000e+05}', "");
    Expect(0, 74803, '\p{Numeric_Value: 2.160000000000000e+05}', "");
    Expect(1, 74803, '\p{^Numeric_Value: 2.160000000000000e+05}', "");
    Expect(1, 74803, '\P{Numeric_Value: 2.160000000000000e+05}', "");
    Expect(0, 74803, '\P{^Numeric_Value: 2.160000000000000e+05}', "");
    Error('\p{Nv: 	:=+00000000216000}');
    Error('\P{Nv: 	:=+00000000216000}');
    Expect(1, 74802, '\p{Nv=:\A216000\z:}', "");;
    Expect(0, 74803, '\p{Nv=:\A216000\z:}', "");;
    Expect(1, 74802, '\p{Nv=0_0_0_2_1_6000}', "");
    Expect(0, 74802, '\p{^Nv=0_0_0_2_1_6000}', "");
    Expect(0, 74802, '\P{Nv=0_0_0_2_1_6000}', "");
    Expect(1, 74802, '\P{^Nv=0_0_0_2_1_6000}', "");
    Expect(0, 74803, '\p{Nv=0_0_0_2_1_6000}', "");
    Expect(1, 74803, '\p{^Nv=0_0_0_2_1_6000}', "");
    Expect(1, 74803, '\P{Nv=0_0_0_2_1_6000}', "");
    Expect(0, 74803, '\P{^Nv=0_0_0_2_1_6000}', "");
    Expect(1, 74802, '\p{Nv=2.160000000000000e+05}', "");
    Expect(0, 74802, '\p{^Nv=2.160000000000000e+05}', "");
    Expect(0, 74802, '\P{Nv=2.160000000000000e+05}', "");
    Expect(1, 74802, '\P{^Nv=2.160000000000000e+05}', "");
    Expect(0, 74803, '\p{Nv=2.160000000000000e+05}', "");
    Expect(1, 74803, '\p{^Nv=2.160000000000000e+05}', "");
    Expect(1, 74803, '\P{Nv=2.160000000000000e+05}', "");
    Expect(0, 74803, '\P{^Nv=2.160000000000000e+05}', "");
    Error('\p{Is_Numeric_Value:	-_000000000216000/a/}');
    Error('\P{Is_Numeric_Value:	-_000000000216000/a/}');
    Expect(1, 74802, '\p{Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(0, 74802, '\p{^Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(0, 74802, '\P{Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(1, 74802, '\P{^Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(0, 74803, '\p{Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(1, 74803, '\p{^Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(1, 74803, '\P{Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(0, 74803, '\P{^Is_Numeric_Value=0000000_0021600_0}', "");
    Expect(1, 74802, '\p{Is_Numeric_Value=2.160000000000000e+05}', "");
    Expect(0, 74802, '\p{^Is_Numeric_Value=2.160000000000000e+05}', "");
    Expect(0, 74802, '\P{Is_Numeric_Value=2.160000000000000e+05}', "");
    Expect(1, 74802, '\P{^Is_Numeric_Value=2.160000000000000e+05}', "");
    Expect(0, 74803, '\p{Is_Numeric_Value=2.160000000000000e+05}', "");
    Expect(1, 74803, '\p{^Is_Numeric_Value=2.160000000000000e+05}', "");
    Expect(1, 74803, '\P{Is_Numeric_Value=2.160000000000000e+05}', "");
    Expect(0, 74803, '\P{^Is_Numeric_Value=2.160000000000000e+05}', "");
    Error('\p{Is_Nv= 	+000000_021600_0:=}');
    Error('\P{Is_Nv= 	+000000_021600_0:=}');
    Expect(1, 74802, '\p{Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(0, 74802, '\p{^Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(0, 74802, '\P{Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(1, 74802, '\P{^Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(0, 74803, '\p{Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(1, 74803, '\p{^Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(1, 74803, '\P{Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(0, 74803, '\P{^Is_Nv=+0_0_0_0_2_1_6_000}', "");
    Expect(1, 74802, '\p{Is_Nv:   2.160000000000000e+05}', "");
    Expect(0, 74802, '\p{^Is_Nv:   2.160000000000000e+05}', "");
    Expect(0, 74802, '\P{Is_Nv:   2.160000000000000e+05}', "");
    Expect(1, 74802, '\P{^Is_Nv:   2.160000000000000e+05}', "");
    Expect(0, 74803, '\p{Is_Nv:   2.160000000000000e+05}', "");
    Expect(1, 74803, '\p{^Is_Nv:   2.160000000000000e+05}', "");
    Expect(1, 74803, '\P{Is_Nv:   2.160000000000000e+05}', "");
    Expect(0, 74803, '\P{^Is_Nv:   2.160000000000000e+05}', "");
    Error('\p{Numeric_Value=-/a/00000000022}');
    Error('\P{Numeric_Value=-/a/00000000022}');
    Expect(1, 12882, '\p{Numeric_Value=:\A22\z:}', "");;
    Expect(0, 12883, '\p{Numeric_Value=:\A22\z:}', "");;
    Expect(1, 12882, '\p{Numeric_Value=0_0_0_0_0_22}', "");
    Expect(0, 12882, '\p{^Numeric_Value=0_0_0_0_0_22}', "");
    Expect(0, 12882, '\P{Numeric_Value=0_0_0_0_0_22}', "");
    Expect(1, 12882, '\P{^Numeric_Value=0_0_0_0_0_22}', "");
    Expect(0, 12883, '\p{Numeric_Value=0_0_0_0_0_22}', "");
    Expect(1, 12883, '\p{^Numeric_Value=0_0_0_0_0_22}', "");
    Expect(1, 12883, '\P{Numeric_Value=0_0_0_0_0_22}', "");
    Expect(0, 12883, '\P{^Numeric_Value=0_0_0_0_0_22}', "");
    Expect(1, 12882, '\p{Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12882, '\p{^Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12882, '\P{Numeric_Value=2.200000000000000e+01}', "");
    Expect(1, 12882, '\P{^Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12883, '\p{Numeric_Value=2.200000000000000e+01}', "");
    Expect(1, 12883, '\p{^Numeric_Value=2.200000000000000e+01}', "");
    Expect(1, 12883, '\P{Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12883, '\P{^Numeric_Value=2.200000000000000e+01}', "");
    Error('\p{Nv: :=02_2}');
    Error('\P{Nv: :=02_2}');
    Expect(1, 12882, '\p{Nv=:\A22\z:}', "");;
    Expect(0, 12883, '\p{Nv=:\A22\z:}', "");;
    Expect(1, 12882, '\p{Nv:000022}', "");
    Expect(0, 12882, '\p{^Nv:000022}', "");
    Expect(0, 12882, '\P{Nv:000022}', "");
    Expect(1, 12882, '\P{^Nv:000022}', "");
    Expect(0, 12883, '\p{Nv:000022}', "");
    Expect(1, 12883, '\p{^Nv:000022}', "");
    Expect(1, 12883, '\P{Nv:000022}', "");
    Expect(0, 12883, '\P{^Nv:000022}', "");
    Expect(1, 12882, '\p{Nv=2.200000000000000e+01}', "");
    Expect(0, 12882, '\p{^Nv=2.200000000000000e+01}', "");
    Expect(0, 12882, '\P{Nv=2.200000000000000e+01}', "");
    Expect(1, 12882, '\P{^Nv=2.200000000000000e+01}', "");
    Expect(0, 12883, '\p{Nv=2.200000000000000e+01}', "");
    Expect(1, 12883, '\p{^Nv=2.200000000000000e+01}', "");
    Expect(1, 12883, '\P{Nv=2.200000000000000e+01}', "");
    Expect(0, 12883, '\P{^Nv=2.200000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=  +0_0_0_0_0_0_0_0_22:=}');
    Error('\P{Is_Numeric_Value=  +0_0_0_0_0_0_0_0_22:=}');
    Expect(1, 12882, '\p{Is_Numeric_Value=00002_2}', "");
    Expect(0, 12882, '\p{^Is_Numeric_Value=00002_2}', "");
    Expect(0, 12882, '\P{Is_Numeric_Value=00002_2}', "");
    Expect(1, 12882, '\P{^Is_Numeric_Value=00002_2}', "");
    Expect(0, 12883, '\p{Is_Numeric_Value=00002_2}', "");
    Expect(1, 12883, '\p{^Is_Numeric_Value=00002_2}', "");
    Expect(1, 12883, '\P{Is_Numeric_Value=00002_2}', "");
    Expect(0, 12883, '\P{^Is_Numeric_Value=00002_2}', "");
    Expect(1, 12882, '\p{Is_Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12882, '\p{^Is_Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12882, '\P{Is_Numeric_Value=2.200000000000000e+01}', "");
    Expect(1, 12882, '\P{^Is_Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12883, '\p{Is_Numeric_Value=2.200000000000000e+01}', "");
    Expect(1, 12883, '\p{^Is_Numeric_Value=2.200000000000000e+01}', "");
    Expect(1, 12883, '\P{Is_Numeric_Value=2.200000000000000e+01}', "");
    Expect(0, 12883, '\P{^Is_Numeric_Value=2.200000000000000e+01}', "");
    Error('\p{Is_Nv=:=	-00000022}');
    Error('\P{Is_Nv=:=	-00000022}');
    Expect(1, 12882, '\p{Is_Nv=00000022}', "");
    Expect(0, 12882, '\p{^Is_Nv=00000022}', "");
    Expect(0, 12882, '\P{Is_Nv=00000022}', "");
    Expect(1, 12882, '\P{^Is_Nv=00000022}', "");
    Expect(0, 12883, '\p{Is_Nv=00000022}', "");
    Expect(1, 12883, '\p{^Is_Nv=00000022}', "");
    Expect(1, 12883, '\P{Is_Nv=00000022}', "");
    Expect(0, 12883, '\P{^Is_Nv=00000022}', "");
    Expect(1, 12882, '\p{Is_Nv:2.200000000000000e+01}', "");
    Expect(0, 12882, '\p{^Is_Nv:2.200000000000000e+01}', "");
    Expect(0, 12882, '\P{Is_Nv:2.200000000000000e+01}', "");
    Expect(1, 12882, '\P{^Is_Nv:2.200000000000000e+01}', "");
    Expect(0, 12883, '\p{Is_Nv:2.200000000000000e+01}', "");
    Expect(1, 12883, '\p{^Is_Nv:2.200000000000000e+01}', "");
    Expect(1, 12883, '\P{Is_Nv:2.200000000000000e+01}', "");
    Expect(0, 12883, '\P{^Is_Nv:2.200000000000000e+01}', "");
    Error('\p{Numeric_Value= :=023}');
    Error('\P{Numeric_Value= :=023}');
    Expect(1, 12883, '\p{Numeric_Value=:\A23\z:}', "");;
    Expect(0, 12884, '\p{Numeric_Value=:\A23\z:}', "");;
    Expect(1, 12883, '\p{Numeric_Value=+00_02_3}', "");
    Expect(0, 12883, '\p{^Numeric_Value=+00_02_3}', "");
    Expect(0, 12883, '\P{Numeric_Value=+00_02_3}', "");
    Expect(1, 12883, '\P{^Numeric_Value=+00_02_3}', "");
    Expect(0, 12884, '\p{Numeric_Value=+00_02_3}', "");
    Expect(1, 12884, '\p{^Numeric_Value=+00_02_3}', "");
    Expect(1, 12884, '\P{Numeric_Value=+00_02_3}', "");
    Expect(0, 12884, '\P{^Numeric_Value=+00_02_3}', "");
    Expect(1, 12883, '\p{Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12883, '\p{^Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12883, '\P{Numeric_Value=2.300000000000000e+01}', "");
    Expect(1, 12883, '\P{^Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12884, '\p{Numeric_Value=2.300000000000000e+01}', "");
    Expect(1, 12884, '\p{^Numeric_Value=2.300000000000000e+01}', "");
    Expect(1, 12884, '\P{Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12884, '\P{^Numeric_Value=2.300000000000000e+01}', "");
    Error('\p{Nv=:=-	02_3}');
    Error('\P{Nv=:=-	02_3}');
    Expect(1, 12883, '\p{Nv=:\A23\z:}', "");;
    Expect(0, 12884, '\p{Nv=:\A23\z:}', "");;
    Expect(1, 12883, '\p{Nv=+0_0_0_0_23}', "");
    Expect(0, 12883, '\p{^Nv=+0_0_0_0_23}', "");
    Expect(0, 12883, '\P{Nv=+0_0_0_0_23}', "");
    Expect(1, 12883, '\P{^Nv=+0_0_0_0_23}', "");
    Expect(0, 12884, '\p{Nv=+0_0_0_0_23}', "");
    Expect(1, 12884, '\p{^Nv=+0_0_0_0_23}', "");
    Expect(1, 12884, '\P{Nv=+0_0_0_0_23}', "");
    Expect(0, 12884, '\P{^Nv=+0_0_0_0_23}', "");
    Expect(1, 12883, '\p{Nv=2.300000000000000e+01}', "");
    Expect(0, 12883, '\p{^Nv=2.300000000000000e+01}', "");
    Expect(0, 12883, '\P{Nv=2.300000000000000e+01}', "");
    Expect(1, 12883, '\P{^Nv=2.300000000000000e+01}', "");
    Expect(0, 12884, '\p{Nv=2.300000000000000e+01}', "");
    Expect(1, 12884, '\p{^Nv=2.300000000000000e+01}', "");
    Expect(1, 12884, '\P{Nv=2.300000000000000e+01}', "");
    Expect(0, 12884, '\P{^Nv=2.300000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/_-+000023}');
    Error('\P{Is_Numeric_Value=/a/_-+000023}');
    Expect(1, 12883, '\p{Is_Numeric_Value=0023}', "");
    Expect(0, 12883, '\p{^Is_Numeric_Value=0023}', "");
    Expect(0, 12883, '\P{Is_Numeric_Value=0023}', "");
    Expect(1, 12883, '\P{^Is_Numeric_Value=0023}', "");
    Expect(0, 12884, '\p{Is_Numeric_Value=0023}', "");
    Expect(1, 12884, '\p{^Is_Numeric_Value=0023}', "");
    Expect(1, 12884, '\P{Is_Numeric_Value=0023}', "");
    Expect(0, 12884, '\P{^Is_Numeric_Value=0023}', "");
    Expect(1, 12883, '\p{Is_Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12883, '\p{^Is_Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12883, '\P{Is_Numeric_Value=2.300000000000000e+01}', "");
    Expect(1, 12883, '\P{^Is_Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12884, '\p{Is_Numeric_Value=2.300000000000000e+01}', "");
    Expect(1, 12884, '\p{^Is_Numeric_Value=2.300000000000000e+01}', "");
    Expect(1, 12884, '\P{Is_Numeric_Value=2.300000000000000e+01}', "");
    Expect(0, 12884, '\P{^Is_Numeric_Value=2.300000000000000e+01}', "");
    Error('\p{Is_Nv=:=__00_00_00_23}');
    Error('\P{Is_Nv=:=__00_00_00_23}');
    Expect(1, 12883, '\p{Is_Nv:   0_0_0_0_0023}', "");
    Expect(0, 12883, '\p{^Is_Nv:   0_0_0_0_0023}', "");
    Expect(0, 12883, '\P{Is_Nv:   0_0_0_0_0023}', "");
    Expect(1, 12883, '\P{^Is_Nv:   0_0_0_0_0023}', "");
    Expect(0, 12884, '\p{Is_Nv:   0_0_0_0_0023}', "");
    Expect(1, 12884, '\p{^Is_Nv:   0_0_0_0_0023}', "");
    Expect(1, 12884, '\P{Is_Nv:   0_0_0_0_0023}', "");
    Expect(0, 12884, '\P{^Is_Nv:   0_0_0_0_0023}', "");
    Expect(1, 12883, '\p{Is_Nv=2.300000000000000e+01}', "");
    Expect(0, 12883, '\p{^Is_Nv=2.300000000000000e+01}', "");
    Expect(0, 12883, '\P{Is_Nv=2.300000000000000e+01}', "");
    Expect(1, 12883, '\P{^Is_Nv=2.300000000000000e+01}', "");
    Expect(0, 12884, '\p{Is_Nv=2.300000000000000e+01}', "");
    Expect(1, 12884, '\p{^Is_Nv=2.300000000000000e+01}', "");
    Expect(1, 12884, '\P{Is_Nv=2.300000000000000e+01}', "");
    Expect(0, 12884, '\P{^Is_Nv=2.300000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/-_0_0_24}');
    Error('\P{Numeric_Value=/a/-_0_0_24}');
    Expect(1, 12884, '\p{Numeric_Value=:\A24\z:}', "");;
    Expect(0, 12885, '\p{Numeric_Value=:\A24\z:}', "");;
    Expect(1, 12884, '\p{Numeric_Value=00024}', "");
    Expect(0, 12884, '\p{^Numeric_Value=00024}', "");
    Expect(0, 12884, '\P{Numeric_Value=00024}', "");
    Expect(1, 12884, '\P{^Numeric_Value=00024}', "");
    Expect(0, 12885, '\p{Numeric_Value=00024}', "");
    Expect(1, 12885, '\p{^Numeric_Value=00024}', "");
    Expect(1, 12885, '\P{Numeric_Value=00024}', "");
    Expect(0, 12885, '\P{^Numeric_Value=00024}', "");
    Expect(1, 12884, '\p{Numeric_Value:   2.400000000000000e+01}', "");
    Expect(0, 12884, '\p{^Numeric_Value:   2.400000000000000e+01}', "");
    Expect(0, 12884, '\P{Numeric_Value:   2.400000000000000e+01}', "");
    Expect(1, 12884, '\P{^Numeric_Value:   2.400000000000000e+01}', "");
    Expect(0, 12885, '\p{Numeric_Value:   2.400000000000000e+01}', "");
    Expect(1, 12885, '\p{^Numeric_Value:   2.400000000000000e+01}', "");
    Expect(1, 12885, '\P{Numeric_Value:   2.400000000000000e+01}', "");
    Expect(0, 12885, '\P{^Numeric_Value:   2.400000000000000e+01}', "");
    Error('\p{Nv=/a/	+002_4}');
    Error('\P{Nv=/a/	+002_4}');
    Expect(1, 12884, '\p{Nv=:\A24\z:}', "");;
    Expect(0, 12885, '\p{Nv=:\A24\z:}', "");;
    Expect(1, 12884, '\p{Nv=+24}', "");
    Expect(0, 12884, '\p{^Nv=+24}', "");
    Expect(0, 12884, '\P{Nv=+24}', "");
    Expect(1, 12884, '\P{^Nv=+24}', "");
    Expect(0, 12885, '\p{Nv=+24}', "");
    Expect(1, 12885, '\p{^Nv=+24}', "");
    Expect(1, 12885, '\P{Nv=+24}', "");
    Expect(0, 12885, '\P{^Nv=+24}', "");
    Expect(1, 12884, '\p{Nv=2.400000000000000e+01}', "");
    Expect(0, 12884, '\p{^Nv=2.400000000000000e+01}', "");
    Expect(0, 12884, '\P{Nv=2.400000000000000e+01}', "");
    Expect(1, 12884, '\P{^Nv=2.400000000000000e+01}', "");
    Expect(0, 12885, '\p{Nv=2.400000000000000e+01}', "");
    Expect(1, 12885, '\p{^Nv=2.400000000000000e+01}', "");
    Expect(1, 12885, '\P{Nv=2.400000000000000e+01}', "");
    Expect(0, 12885, '\P{^Nv=2.400000000000000e+01}', "");
    Error('\p{Is_Numeric_Value:/a/--00_00_24}');
    Error('\P{Is_Numeric_Value:/a/--00_00_24}');
    Expect(1, 12884, '\p{Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(0, 12884, '\p{^Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(0, 12884, '\P{Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(1, 12884, '\P{^Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(0, 12885, '\p{Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(1, 12885, '\p{^Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(1, 12885, '\P{Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(0, 12885, '\P{^Is_Numeric_Value=00_00_00_00_024}', "");
    Expect(1, 12884, '\p{Is_Numeric_Value=2.400000000000000e+01}', "");
    Expect(0, 12884, '\p{^Is_Numeric_Value=2.400000000000000e+01}', "");
    Expect(0, 12884, '\P{Is_Numeric_Value=2.400000000000000e+01}', "");
    Expect(1, 12884, '\P{^Is_Numeric_Value=2.400000000000000e+01}', "");
    Expect(0, 12885, '\p{Is_Numeric_Value=2.400000000000000e+01}', "");
    Expect(1, 12885, '\p{^Is_Numeric_Value=2.400000000000000e+01}', "");
    Expect(1, 12885, '\P{Is_Numeric_Value=2.400000000000000e+01}', "");
    Expect(0, 12885, '\P{^Is_Numeric_Value=2.400000000000000e+01}', "");
    Error('\p{Is_Nv=-/a/00002_4}');
    Error('\P{Is_Nv=-/a/00002_4}');
    Expect(1, 12884, '\p{Is_Nv=+000024}', "");
    Expect(0, 12884, '\p{^Is_Nv=+000024}', "");
    Expect(0, 12884, '\P{Is_Nv=+000024}', "");
    Expect(1, 12884, '\P{^Is_Nv=+000024}', "");
    Expect(0, 12885, '\p{Is_Nv=+000024}', "");
    Expect(1, 12885, '\p{^Is_Nv=+000024}', "");
    Expect(1, 12885, '\P{Is_Nv=+000024}', "");
    Expect(0, 12885, '\P{^Is_Nv=+000024}', "");
    Expect(1, 12884, '\p{Is_Nv=2.400000000000000e+01}', "");
    Expect(0, 12884, '\p{^Is_Nv=2.400000000000000e+01}', "");
    Expect(0, 12884, '\P{Is_Nv=2.400000000000000e+01}', "");
    Expect(1, 12884, '\P{^Is_Nv=2.400000000000000e+01}', "");
    Expect(0, 12885, '\p{Is_Nv=2.400000000000000e+01}', "");
    Expect(1, 12885, '\p{^Is_Nv=2.400000000000000e+01}', "");
    Expect(1, 12885, '\P{Is_Nv=2.400000000000000e+01}', "");
    Expect(0, 12885, '\P{^Is_Nv=2.400000000000000e+01}', "");
    Error('\p{Numeric_Value: /a/	25}');
    Error('\P{Numeric_Value: /a/	25}');
    Expect(1, 12885, '\p{Numeric_Value=:\A25\z:}', "");;
    Expect(0, 12886, '\p{Numeric_Value=:\A25\z:}', "");;
    Expect(1, 12885, '\p{Numeric_Value=2_5}', "");
    Expect(0, 12885, '\p{^Numeric_Value=2_5}', "");
    Expect(0, 12885, '\P{Numeric_Value=2_5}', "");
    Expect(1, 12885, '\P{^Numeric_Value=2_5}', "");
    Expect(0, 12886, '\p{Numeric_Value=2_5}', "");
    Expect(1, 12886, '\p{^Numeric_Value=2_5}', "");
    Expect(1, 12886, '\P{Numeric_Value=2_5}', "");
    Expect(0, 12886, '\P{^Numeric_Value=2_5}', "");
    Expect(1, 12885, '\p{Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12885, '\p{^Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12885, '\P{Numeric_Value=2.500000000000000e+01}', "");
    Expect(1, 12885, '\P{^Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12886, '\p{Numeric_Value=2.500000000000000e+01}', "");
    Expect(1, 12886, '\p{^Numeric_Value=2.500000000000000e+01}', "");
    Expect(1, 12886, '\P{Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12886, '\P{^Numeric_Value=2.500000000000000e+01}', "");
    Error('\p{Nv=	-0_0_0_0_25:=}');
    Error('\P{Nv=	-0_0_0_0_25:=}');
    Expect(1, 12885, '\p{Nv=:\A25\z:}', "");;
    Expect(0, 12886, '\p{Nv=:\A25\z:}', "");;
    Expect(1, 12885, '\p{Nv:   0025}', "");
    Expect(0, 12885, '\p{^Nv:   0025}', "");
    Expect(0, 12885, '\P{Nv:   0025}', "");
    Expect(1, 12885, '\P{^Nv:   0025}', "");
    Expect(0, 12886, '\p{Nv:   0025}', "");
    Expect(1, 12886, '\p{^Nv:   0025}', "");
    Expect(1, 12886, '\P{Nv:   0025}', "");
    Expect(0, 12886, '\P{^Nv:   0025}', "");
    Expect(1, 12885, '\p{Nv=2.500000000000000e+01}', "");
    Expect(0, 12885, '\p{^Nv=2.500000000000000e+01}', "");
    Expect(0, 12885, '\P{Nv=2.500000000000000e+01}', "");
    Expect(1, 12885, '\P{^Nv=2.500000000000000e+01}', "");
    Expect(0, 12886, '\p{Nv=2.500000000000000e+01}', "");
    Expect(1, 12886, '\p{^Nv=2.500000000000000e+01}', "");
    Expect(1, 12886, '\P{Nv=2.500000000000000e+01}', "");
    Expect(0, 12886, '\P{^Nv=2.500000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=_/a/000025}');
    Error('\P{Is_Numeric_Value=_/a/000025}');
    Expect(1, 12885, '\p{Is_Numeric_Value=0000000025}', "");
    Expect(0, 12885, '\p{^Is_Numeric_Value=0000000025}', "");
    Expect(0, 12885, '\P{Is_Numeric_Value=0000000025}', "");
    Expect(1, 12885, '\P{^Is_Numeric_Value=0000000025}', "");
    Expect(0, 12886, '\p{Is_Numeric_Value=0000000025}', "");
    Expect(1, 12886, '\p{^Is_Numeric_Value=0000000025}', "");
    Expect(1, 12886, '\P{Is_Numeric_Value=0000000025}', "");
    Expect(0, 12886, '\P{^Is_Numeric_Value=0000000025}', "");
    Expect(1, 12885, '\p{Is_Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12885, '\p{^Is_Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12885, '\P{Is_Numeric_Value=2.500000000000000e+01}', "");
    Expect(1, 12885, '\P{^Is_Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12886, '\p{Is_Numeric_Value=2.500000000000000e+01}', "");
    Expect(1, 12886, '\p{^Is_Numeric_Value=2.500000000000000e+01}', "");
    Expect(1, 12886, '\P{Is_Numeric_Value=2.500000000000000e+01}', "");
    Expect(0, 12886, '\P{^Is_Numeric_Value=2.500000000000000e+01}', "");
    Error('\p{Is_Nv=:=+00_00_00_00_25}');
    Error('\P{Is_Nv=:=+00_00_00_00_25}');
    Expect(1, 12885, '\p{Is_Nv=+00000000025}', "");
    Expect(0, 12885, '\p{^Is_Nv=+00000000025}', "");
    Expect(0, 12885, '\P{Is_Nv=+00000000025}', "");
    Expect(1, 12885, '\P{^Is_Nv=+00000000025}', "");
    Expect(0, 12886, '\p{Is_Nv=+00000000025}', "");
    Expect(1, 12886, '\p{^Is_Nv=+00000000025}', "");
    Expect(1, 12886, '\P{Is_Nv=+00000000025}', "");
    Expect(0, 12886, '\P{^Is_Nv=+00000000025}', "");
    Expect(1, 12885, '\p{Is_Nv=2.500000000000000e+01}', "");
    Expect(0, 12885, '\p{^Is_Nv=2.500000000000000e+01}', "");
    Expect(0, 12885, '\P{Is_Nv=2.500000000000000e+01}', "");
    Expect(1, 12885, '\P{^Is_Nv=2.500000000000000e+01}', "");
    Expect(0, 12886, '\p{Is_Nv=2.500000000000000e+01}', "");
    Expect(1, 12886, '\p{^Is_Nv=2.500000000000000e+01}', "");
    Expect(1, 12886, '\P{Is_Nv=2.500000000000000e+01}', "");
    Expect(0, 12886, '\P{^Is_Nv=2.500000000000000e+01}', "");
    Error('\p{Numeric_Value:   :=	_+2_6}');
    Error('\P{Numeric_Value:   :=	_+2_6}');
    Expect(1, 12886, '\p{Numeric_Value=:\A26\z:}', "");;
    Expect(0, 12887, '\p{Numeric_Value=:\A26\z:}', "");;
    Expect(1, 12886, '\p{Numeric_Value=00000_00002_6}', "");
    Expect(0, 12886, '\p{^Numeric_Value=00000_00002_6}', "");
    Expect(0, 12886, '\P{Numeric_Value=00000_00002_6}', "");
    Expect(1, 12886, '\P{^Numeric_Value=00000_00002_6}', "");
    Expect(0, 12887, '\p{Numeric_Value=00000_00002_6}', "");
    Expect(1, 12887, '\p{^Numeric_Value=00000_00002_6}', "");
    Expect(1, 12887, '\P{Numeric_Value=00000_00002_6}', "");
    Expect(0, 12887, '\P{^Numeric_Value=00000_00002_6}', "");
    Expect(1, 12886, '\p{Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12886, '\p{^Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12886, '\P{Numeric_Value=2.600000000000000e+01}', "");
    Expect(1, 12886, '\P{^Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12887, '\p{Numeric_Value=2.600000000000000e+01}', "");
    Expect(1, 12887, '\p{^Numeric_Value=2.600000000000000e+01}', "");
    Expect(1, 12887, '\P{Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12887, '\P{^Numeric_Value=2.600000000000000e+01}', "");
    Error('\p{Nv=:= _000026}');
    Error('\P{Nv=:= _000026}');
    Expect(1, 12886, '\p{Nv=:\A26\z:}', "");;
    Expect(0, 12887, '\p{Nv=:\A26\z:}', "");;
    Expect(1, 12886, '\p{Nv=00000002_6}', "");
    Expect(0, 12886, '\p{^Nv=00000002_6}', "");
    Expect(0, 12886, '\P{Nv=00000002_6}', "");
    Expect(1, 12886, '\P{^Nv=00000002_6}', "");
    Expect(0, 12887, '\p{Nv=00000002_6}', "");
    Expect(1, 12887, '\p{^Nv=00000002_6}', "");
    Expect(1, 12887, '\P{Nv=00000002_6}', "");
    Expect(0, 12887, '\P{^Nv=00000002_6}', "");
    Expect(1, 12886, '\p{Nv=2.600000000000000e+01}', "");
    Expect(0, 12886, '\p{^Nv=2.600000000000000e+01}', "");
    Expect(0, 12886, '\P{Nv=2.600000000000000e+01}', "");
    Expect(1, 12886, '\P{^Nv=2.600000000000000e+01}', "");
    Expect(0, 12887, '\p{Nv=2.600000000000000e+01}', "");
    Expect(1, 12887, '\p{^Nv=2.600000000000000e+01}', "");
    Expect(1, 12887, '\P{Nv=2.600000000000000e+01}', "");
    Expect(0, 12887, '\P{^Nv=2.600000000000000e+01}', "");
    Error('\p{Is_Numeric_Value= -0_0_0_0_0_0_0_26/a/}');
    Error('\P{Is_Numeric_Value= -0_0_0_0_0_0_0_26/a/}');
    Expect(1, 12886, '\p{Is_Numeric_Value=+00000000026}', "");
    Expect(0, 12886, '\p{^Is_Numeric_Value=+00000000026}', "");
    Expect(0, 12886, '\P{Is_Numeric_Value=+00000000026}', "");
    Expect(1, 12886, '\P{^Is_Numeric_Value=+00000000026}', "");
    Expect(0, 12887, '\p{Is_Numeric_Value=+00000000026}', "");
    Expect(1, 12887, '\p{^Is_Numeric_Value=+00000000026}', "");
    Expect(1, 12887, '\P{Is_Numeric_Value=+00000000026}', "");
    Expect(0, 12887, '\P{^Is_Numeric_Value=+00000000026}', "");
    Expect(1, 12886, '\p{Is_Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12886, '\p{^Is_Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12886, '\P{Is_Numeric_Value=2.600000000000000e+01}', "");
    Expect(1, 12886, '\P{^Is_Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12887, '\p{Is_Numeric_Value=2.600000000000000e+01}', "");
    Expect(1, 12887, '\p{^Is_Numeric_Value=2.600000000000000e+01}', "");
    Expect(1, 12887, '\P{Is_Numeric_Value=2.600000000000000e+01}', "");
    Expect(0, 12887, '\P{^Is_Numeric_Value=2.600000000000000e+01}', "");
    Error('\p{Is_Nv:  /a/026}');
    Error('\P{Is_Nv:  /a/026}');
    Expect(1, 12886, '\p{Is_Nv=0000002_6}', "");
    Expect(0, 12886, '\p{^Is_Nv=0000002_6}', "");
    Expect(0, 12886, '\P{Is_Nv=0000002_6}', "");
    Expect(1, 12886, '\P{^Is_Nv=0000002_6}', "");
    Expect(0, 12887, '\p{Is_Nv=0000002_6}', "");
    Expect(1, 12887, '\p{^Is_Nv=0000002_6}', "");
    Expect(1, 12887, '\P{Is_Nv=0000002_6}', "");
    Expect(0, 12887, '\P{^Is_Nv=0000002_6}', "");
    Expect(1, 12886, '\p{Is_Nv=2.600000000000000e+01}', "");
    Expect(0, 12886, '\p{^Is_Nv=2.600000000000000e+01}', "");
    Expect(0, 12886, '\P{Is_Nv=2.600000000000000e+01}', "");
    Expect(1, 12886, '\P{^Is_Nv=2.600000000000000e+01}', "");
    Expect(0, 12887, '\p{Is_Nv=2.600000000000000e+01}', "");
    Expect(1, 12887, '\p{^Is_Nv=2.600000000000000e+01}', "");
    Expect(1, 12887, '\P{Is_Nv=2.600000000000000e+01}', "");
    Expect(0, 12887, '\P{^Is_Nv=2.600000000000000e+01}', "");
    Error('\p{Numeric_Value=:= 0_0_0_0_0_0_00027}');
    Error('\P{Numeric_Value=:= 0_0_0_0_0_0_00027}');
    Expect(1, 12887, '\p{Numeric_Value=:\A27\z:}', "");;
    Expect(0, 12888, '\p{Numeric_Value=:\A27\z:}', "");;
    Expect(1, 12887, '\p{Numeric_Value=0_0_0_027}', "");
    Expect(0, 12887, '\p{^Numeric_Value=0_0_0_027}', "");
    Expect(0, 12887, '\P{Numeric_Value=0_0_0_027}', "");
    Expect(1, 12887, '\P{^Numeric_Value=0_0_0_027}', "");
    Expect(0, 12888, '\p{Numeric_Value=0_0_0_027}', "");
    Expect(1, 12888, '\p{^Numeric_Value=0_0_0_027}', "");
    Expect(1, 12888, '\P{Numeric_Value=0_0_0_027}', "");
    Expect(0, 12888, '\P{^Numeric_Value=0_0_0_027}', "");
    Expect(1, 12887, '\p{Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12887, '\p{^Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12887, '\P{Numeric_Value=2.700000000000000e+01}', "");
    Expect(1, 12887, '\P{^Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12888, '\p{Numeric_Value=2.700000000000000e+01}', "");
    Expect(1, 12888, '\p{^Numeric_Value=2.700000000000000e+01}', "");
    Expect(1, 12888, '\P{Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12888, '\P{^Numeric_Value=2.700000000000000e+01}', "");
    Error('\p{Nv=/a/ 	0000027}');
    Error('\P{Nv=/a/ 	0000027}');
    Expect(1, 12887, '\p{Nv=:\A27\z:}', "");;
    Expect(0, 12888, '\p{Nv=:\A27\z:}', "");;
    Expect(1, 12887, '\p{Nv=00027}', "");
    Expect(0, 12887, '\p{^Nv=00027}', "");
    Expect(0, 12887, '\P{Nv=00027}', "");
    Expect(1, 12887, '\P{^Nv=00027}', "");
    Expect(0, 12888, '\p{Nv=00027}', "");
    Expect(1, 12888, '\p{^Nv=00027}', "");
    Expect(1, 12888, '\P{Nv=00027}', "");
    Expect(0, 12888, '\P{^Nv=00027}', "");
    Expect(1, 12887, '\p{Nv=2.700000000000000e+01}', "");
    Expect(0, 12887, '\p{^Nv=2.700000000000000e+01}', "");
    Expect(0, 12887, '\P{Nv=2.700000000000000e+01}', "");
    Expect(1, 12887, '\P{^Nv=2.700000000000000e+01}', "");
    Expect(0, 12888, '\p{Nv=2.700000000000000e+01}', "");
    Expect(1, 12888, '\p{^Nv=2.700000000000000e+01}', "");
    Expect(1, 12888, '\P{Nv=2.700000000000000e+01}', "");
    Expect(0, 12888, '\P{^Nv=2.700000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=_/a/+0_0_0_0_0_27}');
    Error('\P{Is_Numeric_Value=_/a/+0_0_0_0_0_27}');
    Expect(1, 12887, '\p{Is_Numeric_Value=+000000002_7}', "");
    Expect(0, 12887, '\p{^Is_Numeric_Value=+000000002_7}', "");
    Expect(0, 12887, '\P{Is_Numeric_Value=+000000002_7}', "");
    Expect(1, 12887, '\P{^Is_Numeric_Value=+000000002_7}', "");
    Expect(0, 12888, '\p{Is_Numeric_Value=+000000002_7}', "");
    Expect(1, 12888, '\p{^Is_Numeric_Value=+000000002_7}', "");
    Expect(1, 12888, '\P{Is_Numeric_Value=+000000002_7}', "");
    Expect(0, 12888, '\P{^Is_Numeric_Value=+000000002_7}', "");
    Expect(1, 12887, '\p{Is_Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12887, '\p{^Is_Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12887, '\P{Is_Numeric_Value=2.700000000000000e+01}', "");
    Expect(1, 12887, '\P{^Is_Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12888, '\p{Is_Numeric_Value=2.700000000000000e+01}', "");
    Expect(1, 12888, '\p{^Is_Numeric_Value=2.700000000000000e+01}', "");
    Expect(1, 12888, '\P{Is_Numeric_Value=2.700000000000000e+01}', "");
    Expect(0, 12888, '\P{^Is_Numeric_Value=2.700000000000000e+01}', "");
    Error('\p{Is_Nv=/a/-+000027}');
    Error('\P{Is_Nv=/a/-+000027}');
    Expect(1, 12887, '\p{Is_Nv:	002_7}', "");
    Expect(0, 12887, '\p{^Is_Nv:	002_7}', "");
    Expect(0, 12887, '\P{Is_Nv:	002_7}', "");
    Expect(1, 12887, '\P{^Is_Nv:	002_7}', "");
    Expect(0, 12888, '\p{Is_Nv:	002_7}', "");
    Expect(1, 12888, '\p{^Is_Nv:	002_7}', "");
    Expect(1, 12888, '\P{Is_Nv:	002_7}', "");
    Expect(0, 12888, '\P{^Is_Nv:	002_7}', "");
    Expect(1, 12887, '\p{Is_Nv=2.700000000000000e+01}', "");
    Expect(0, 12887, '\p{^Is_Nv=2.700000000000000e+01}', "");
    Expect(0, 12887, '\P{Is_Nv=2.700000000000000e+01}', "");
    Expect(1, 12887, '\P{^Is_Nv=2.700000000000000e+01}', "");
    Expect(0, 12888, '\p{Is_Nv=2.700000000000000e+01}', "");
    Expect(1, 12888, '\p{^Is_Nv=2.700000000000000e+01}', "");
    Expect(1, 12888, '\P{Is_Nv=2.700000000000000e+01}', "");
    Expect(0, 12888, '\P{^Is_Nv=2.700000000000000e+01}', "");
    Error('\p{Numeric_Value=--+00028:=}');
    Error('\P{Numeric_Value=--+00028:=}');
    Expect(1, 12888, '\p{Numeric_Value=:\A28\z:}', "");;
    Expect(0, 12889, '\p{Numeric_Value=:\A28\z:}', "");;
    Expect(1, 12888, '\p{Numeric_Value=0_0_0_028}', "");
    Expect(0, 12888, '\p{^Numeric_Value=0_0_0_028}', "");
    Expect(0, 12888, '\P{Numeric_Value=0_0_0_028}', "");
    Expect(1, 12888, '\P{^Numeric_Value=0_0_0_028}', "");
    Expect(0, 12889, '\p{Numeric_Value=0_0_0_028}', "");
    Expect(1, 12889, '\p{^Numeric_Value=0_0_0_028}', "");
    Expect(1, 12889, '\P{Numeric_Value=0_0_0_028}', "");
    Expect(0, 12889, '\P{^Numeric_Value=0_0_0_028}', "");
    Expect(1, 12888, '\p{Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12888, '\p{^Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12888, '\P{Numeric_Value=2.800000000000000e+01}', "");
    Expect(1, 12888, '\P{^Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12889, '\p{Numeric_Value=2.800000000000000e+01}', "");
    Expect(1, 12889, '\p{^Numeric_Value=2.800000000000000e+01}', "");
    Expect(1, 12889, '\P{Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12889, '\P{^Numeric_Value=2.800000000000000e+01}', "");
    Error('\p{Nv=:=0_0_0_028}');
    Error('\P{Nv=:=0_0_0_028}');
    Expect(1, 12888, '\p{Nv=:\A28\z:}', "");;
    Expect(0, 12889, '\p{Nv=:\A28\z:}', "");;
    Expect(1, 12888, '\p{Nv=+0000000028}', "");
    Expect(0, 12888, '\p{^Nv=+0000000028}', "");
    Expect(0, 12888, '\P{Nv=+0000000028}', "");
    Expect(1, 12888, '\P{^Nv=+0000000028}', "");
    Expect(0, 12889, '\p{Nv=+0000000028}', "");
    Expect(1, 12889, '\p{^Nv=+0000000028}', "");
    Expect(1, 12889, '\P{Nv=+0000000028}', "");
    Expect(0, 12889, '\P{^Nv=+0000000028}', "");
    Expect(1, 12888, '\p{Nv=2.800000000000000e+01}', "");
    Expect(0, 12888, '\p{^Nv=2.800000000000000e+01}', "");
    Expect(0, 12888, '\P{Nv=2.800000000000000e+01}', "");
    Expect(1, 12888, '\P{^Nv=2.800000000000000e+01}', "");
    Expect(0, 12889, '\p{Nv=2.800000000000000e+01}', "");
    Expect(1, 12889, '\p{^Nv=2.800000000000000e+01}', "");
    Expect(1, 12889, '\P{Nv=2.800000000000000e+01}', "");
    Expect(0, 12889, '\P{^Nv=2.800000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=__+028:=}');
    Error('\P{Is_Numeric_Value=__+028:=}');
    Expect(1, 12888, '\p{Is_Numeric_Value=+00000028}', "");
    Expect(0, 12888, '\p{^Is_Numeric_Value=+00000028}', "");
    Expect(0, 12888, '\P{Is_Numeric_Value=+00000028}', "");
    Expect(1, 12888, '\P{^Is_Numeric_Value=+00000028}', "");
    Expect(0, 12889, '\p{Is_Numeric_Value=+00000028}', "");
    Expect(1, 12889, '\p{^Is_Numeric_Value=+00000028}', "");
    Expect(1, 12889, '\P{Is_Numeric_Value=+00000028}', "");
    Expect(0, 12889, '\P{^Is_Numeric_Value=+00000028}', "");
    Expect(1, 12888, '\p{Is_Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12888, '\p{^Is_Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12888, '\P{Is_Numeric_Value=2.800000000000000e+01}', "");
    Expect(1, 12888, '\P{^Is_Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12889, '\p{Is_Numeric_Value=2.800000000000000e+01}', "");
    Expect(1, 12889, '\p{^Is_Numeric_Value=2.800000000000000e+01}', "");
    Expect(1, 12889, '\P{Is_Numeric_Value=2.800000000000000e+01}', "");
    Expect(0, 12889, '\P{^Is_Numeric_Value=2.800000000000000e+01}', "");
    Error('\p{Is_Nv=-:=028}');
    Error('\P{Is_Nv=-:=028}');
    Expect(1, 12888, '\p{Is_Nv=000028}', "");
    Expect(0, 12888, '\p{^Is_Nv=000028}', "");
    Expect(0, 12888, '\P{Is_Nv=000028}', "");
    Expect(1, 12888, '\P{^Is_Nv=000028}', "");
    Expect(0, 12889, '\p{Is_Nv=000028}', "");
    Expect(1, 12889, '\p{^Is_Nv=000028}', "");
    Expect(1, 12889, '\P{Is_Nv=000028}', "");
    Expect(0, 12889, '\P{^Is_Nv=000028}', "");
    Expect(1, 12888, '\p{Is_Nv:	2.800000000000000e+01}', "");
    Expect(0, 12888, '\p{^Is_Nv:	2.800000000000000e+01}', "");
    Expect(0, 12888, '\P{Is_Nv:	2.800000000000000e+01}', "");
    Expect(1, 12888, '\P{^Is_Nv:	2.800000000000000e+01}', "");
    Expect(0, 12889, '\p{Is_Nv:	2.800000000000000e+01}', "");
    Expect(1, 12889, '\p{^Is_Nv:	2.800000000000000e+01}', "");
    Expect(1, 12889, '\P{Is_Nv:	2.800000000000000e+01}', "");
    Expect(0, 12889, '\P{^Is_Nv:	2.800000000000000e+01}', "");
    Error('\p{Numeric_Value=-:=000000029}');
    Error('\P{Numeric_Value=-:=000000029}');
    Expect(1, 12889, '\p{Numeric_Value=:\A29\z:}', "");;
    Expect(0, 12890, '\p{Numeric_Value=:\A29\z:}', "");;
    Expect(1, 12889, '\p{Numeric_Value=000029}', "");
    Expect(0, 12889, '\p{^Numeric_Value=000029}', "");
    Expect(0, 12889, '\P{Numeric_Value=000029}', "");
    Expect(1, 12889, '\P{^Numeric_Value=000029}', "");
    Expect(0, 12890, '\p{Numeric_Value=000029}', "");
    Expect(1, 12890, '\p{^Numeric_Value=000029}', "");
    Expect(1, 12890, '\P{Numeric_Value=000029}', "");
    Expect(0, 12890, '\P{^Numeric_Value=000029}', "");
    Expect(1, 12889, '\p{Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12889, '\p{^Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12889, '\P{Numeric_Value=2.900000000000000e+01}', "");
    Expect(1, 12889, '\P{^Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12890, '\p{Numeric_Value=2.900000000000000e+01}', "");
    Expect(1, 12890, '\p{^Numeric_Value=2.900000000000000e+01}', "");
    Expect(1, 12890, '\P{Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12890, '\P{^Numeric_Value=2.900000000000000e+01}', "");
    Error('\p{Nv=-+00000000029/a/}');
    Error('\P{Nv=-+00000000029/a/}');
    Expect(1, 12889, '\p{Nv=:\A29\z:}', "");;
    Expect(0, 12890, '\p{Nv=:\A29\z:}', "");;
    Expect(1, 12889, '\p{Nv=+02_9}', "");
    Expect(0, 12889, '\p{^Nv=+02_9}', "");
    Expect(0, 12889, '\P{Nv=+02_9}', "");
    Expect(1, 12889, '\P{^Nv=+02_9}', "");
    Expect(0, 12890, '\p{Nv=+02_9}', "");
    Expect(1, 12890, '\p{^Nv=+02_9}', "");
    Expect(1, 12890, '\P{Nv=+02_9}', "");
    Expect(0, 12890, '\P{^Nv=+02_9}', "");
    Expect(1, 12889, '\p{Nv=2.900000000000000e+01}', "");
    Expect(0, 12889, '\p{^Nv=2.900000000000000e+01}', "");
    Expect(0, 12889, '\P{Nv=2.900000000000000e+01}', "");
    Expect(1, 12889, '\P{^Nv=2.900000000000000e+01}', "");
    Expect(0, 12890, '\p{Nv=2.900000000000000e+01}', "");
    Expect(1, 12890, '\p{^Nv=2.900000000000000e+01}', "");
    Expect(1, 12890, '\P{Nv=2.900000000000000e+01}', "");
    Expect(0, 12890, '\P{^Nv=2.900000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=		29/a/}');
    Error('\P{Is_Numeric_Value=		29/a/}');
    Expect(1, 12889, '\p{Is_Numeric_Value=+0000000029}', "");
    Expect(0, 12889, '\p{^Is_Numeric_Value=+0000000029}', "");
    Expect(0, 12889, '\P{Is_Numeric_Value=+0000000029}', "");
    Expect(1, 12889, '\P{^Is_Numeric_Value=+0000000029}', "");
    Expect(0, 12890, '\p{Is_Numeric_Value=+0000000029}', "");
    Expect(1, 12890, '\p{^Is_Numeric_Value=+0000000029}', "");
    Expect(1, 12890, '\P{Is_Numeric_Value=+0000000029}', "");
    Expect(0, 12890, '\P{^Is_Numeric_Value=+0000000029}', "");
    Expect(1, 12889, '\p{Is_Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12889, '\p{^Is_Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12889, '\P{Is_Numeric_Value=2.900000000000000e+01}', "");
    Expect(1, 12889, '\P{^Is_Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12890, '\p{Is_Numeric_Value=2.900000000000000e+01}', "");
    Expect(1, 12890, '\p{^Is_Numeric_Value=2.900000000000000e+01}', "");
    Expect(1, 12890, '\P{Is_Numeric_Value=2.900000000000000e+01}', "");
    Expect(0, 12890, '\P{^Is_Numeric_Value=2.900000000000000e+01}', "");
    Error('\p{Is_Nv=/a/ 	+29}');
    Error('\P{Is_Nv=/a/ 	+29}');
    Expect(1, 12889, '\p{Is_Nv=00029}', "");
    Expect(0, 12889, '\p{^Is_Nv=00029}', "");
    Expect(0, 12889, '\P{Is_Nv=00029}', "");
    Expect(1, 12889, '\P{^Is_Nv=00029}', "");
    Expect(0, 12890, '\p{Is_Nv=00029}', "");
    Expect(1, 12890, '\p{^Is_Nv=00029}', "");
    Expect(1, 12890, '\P{Is_Nv=00029}', "");
    Expect(0, 12890, '\P{^Is_Nv=00029}', "");
    Expect(1, 12889, '\p{Is_Nv=2.900000000000000e+01}', "");
    Expect(0, 12889, '\p{^Is_Nv=2.900000000000000e+01}', "");
    Expect(0, 12889, '\P{Is_Nv=2.900000000000000e+01}', "");
    Expect(1, 12889, '\P{^Is_Nv=2.900000000000000e+01}', "");
    Expect(0, 12890, '\p{Is_Nv=2.900000000000000e+01}', "");
    Expect(1, 12890, '\p{^Is_Nv=2.900000000000000e+01}', "");
    Expect(1, 12890, '\P{Is_Nv=2.900000000000000e+01}', "");
    Expect(0, 12890, '\P{^Is_Nv=2.900000000000000e+01}', "");
    Error('\p{Numeric_Value:		+00000_3/a/}');
    Error('\P{Numeric_Value:		+00000_3/a/}');
    Expect(1, 146203, '\p{Numeric_Value=:\A3\z:}', "");;
    Expect(0, 146204, '\p{Numeric_Value=:\A3\z:}', "");;
    Expect(1, 146203, '\p{Numeric_Value=0000_3}', "");
    Expect(0, 146203, '\p{^Numeric_Value=0000_3}', "");
    Expect(0, 146203, '\P{Numeric_Value=0000_3}', "");
    Expect(1, 146203, '\P{^Numeric_Value=0000_3}', "");
    Expect(0, 146204, '\p{Numeric_Value=0000_3}', "");
    Expect(1, 146204, '\p{^Numeric_Value=0000_3}', "");
    Expect(1, 146204, '\P{Numeric_Value=0000_3}', "");
    Expect(0, 146204, '\P{^Numeric_Value=0000_3}', "");
    Expect(1, 146203, '\p{Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146203, '\p{^Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146203, '\P{Numeric_Value=3.000000000000000e+00}', "");
    Expect(1, 146203, '\P{^Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146204, '\p{Numeric_Value=3.000000000000000e+00}', "");
    Expect(1, 146204, '\p{^Numeric_Value=3.000000000000000e+00}', "");
    Expect(1, 146204, '\P{Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146204, '\P{^Numeric_Value=3.000000000000000e+00}', "");
    Error('\p{Nv=/a/		0_0_0_003}');
    Error('\P{Nv=/a/		0_0_0_003}');
    Expect(1, 146203, '\p{Nv=:\A3\z:}', "");;
    Expect(0, 146204, '\p{Nv=:\A3\z:}', "");;
    Expect(1, 146203, '\p{Nv=0000000003}', "");
    Expect(0, 146203, '\p{^Nv=0000000003}', "");
    Expect(0, 146203, '\P{Nv=0000000003}', "");
    Expect(1, 146203, '\P{^Nv=0000000003}', "");
    Expect(0, 146204, '\p{Nv=0000000003}', "");
    Expect(1, 146204, '\p{^Nv=0000000003}', "");
    Expect(1, 146204, '\P{Nv=0000000003}', "");
    Expect(0, 146204, '\P{^Nv=0000000003}', "");
    Expect(1, 146203, '\p{Nv:   3.000000000000000e+00}', "");
    Expect(0, 146203, '\p{^Nv:   3.000000000000000e+00}', "");
    Expect(0, 146203, '\P{Nv:   3.000000000000000e+00}', "");
    Expect(1, 146203, '\P{^Nv:   3.000000000000000e+00}', "");
    Expect(0, 146204, '\p{Nv:   3.000000000000000e+00}', "");
    Expect(1, 146204, '\p{^Nv:   3.000000000000000e+00}', "");
    Expect(1, 146204, '\P{Nv:   3.000000000000000e+00}', "");
    Expect(0, 146204, '\P{^Nv:   3.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value::=_ 03}');
    Error('\P{Is_Numeric_Value::=_ 03}');
    Expect(1, 146203, '\p{Is_Numeric_Value=+3}', "");
    Expect(0, 146203, '\p{^Is_Numeric_Value=+3}', "");
    Expect(0, 146203, '\P{Is_Numeric_Value=+3}', "");
    Expect(1, 146203, '\P{^Is_Numeric_Value=+3}', "");
    Expect(0, 146204, '\p{Is_Numeric_Value=+3}', "");
    Expect(1, 146204, '\p{^Is_Numeric_Value=+3}', "");
    Expect(1, 146204, '\P{Is_Numeric_Value=+3}', "");
    Expect(0, 146204, '\P{^Is_Numeric_Value=+3}', "");
    Expect(1, 146203, '\p{Is_Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146203, '\p{^Is_Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146203, '\P{Is_Numeric_Value=3.000000000000000e+00}', "");
    Expect(1, 146203, '\P{^Is_Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146204, '\p{Is_Numeric_Value=3.000000000000000e+00}', "");
    Expect(1, 146204, '\p{^Is_Numeric_Value=3.000000000000000e+00}', "");
    Expect(1, 146204, '\P{Is_Numeric_Value=3.000000000000000e+00}', "");
    Expect(0, 146204, '\P{^Is_Numeric_Value=3.000000000000000e+00}', "");
    Error('\p{Is_Nv=/a/	00003}');
    Error('\P{Is_Nv=/a/	00003}');
    Expect(1, 146203, '\p{Is_Nv: +00003}', "");
    Expect(0, 146203, '\p{^Is_Nv: +00003}', "");
    Expect(0, 146203, '\P{Is_Nv: +00003}', "");
    Expect(1, 146203, '\P{^Is_Nv: +00003}', "");
    Expect(0, 146204, '\p{Is_Nv: +00003}', "");
    Expect(1, 146204, '\p{^Is_Nv: +00003}', "");
    Expect(1, 146204, '\P{Is_Nv: +00003}', "");
    Expect(0, 146204, '\P{^Is_Nv: +00003}', "");
    Expect(1, 146203, '\p{Is_Nv=3.000000000000000e+00}', "");
    Expect(0, 146203, '\p{^Is_Nv=3.000000000000000e+00}', "");
    Expect(0, 146203, '\P{Is_Nv=3.000000000000000e+00}', "");
    Expect(1, 146203, '\P{^Is_Nv=3.000000000000000e+00}', "");
    Expect(0, 146204, '\p{Is_Nv=3.000000000000000e+00}', "");
    Expect(1, 146204, '\p{^Is_Nv=3.000000000000000e+00}', "");
    Expect(1, 146204, '\P{Is_Nv=3.000000000000000e+00}', "");
    Expect(0, 146204, '\P{^Is_Nv=3.000000000000000e+00}', "");
    Error('\p{Numeric_Value= 	003/0000000016/a/}');
    Error('\P{Numeric_Value= 	003/0000000016/a/}');
    Expect(1, 73678, '\p{Numeric_Value=:\A3/16\z:}', "");;
    Expect(0, 73679, '\p{Numeric_Value=:\A3/16\z:}', "");;
    Expect(1, 73678, '\p{Numeric_Value=00003/0000000016}', "");
    Expect(0, 73678, '\p{^Numeric_Value=00003/0000000016}', "");
    Expect(0, 73678, '\P{Numeric_Value=00003/0000000016}', "");
    Expect(1, 73678, '\P{^Numeric_Value=00003/0000000016}', "");
    Expect(0, 73679, '\p{Numeric_Value=00003/0000000016}', "");
    Expect(1, 73679, '\p{^Numeric_Value=00003/0000000016}', "");
    Expect(1, 73679, '\P{Numeric_Value=00003/0000000016}', "");
    Expect(0, 73679, '\P{^Numeric_Value=00003/0000000016}', "");
    Expect(1, 73678, '\p{Numeric_Value=180/960}', "");
    Expect(0, 73678, '\p{^Numeric_Value=180/960}', "");
    Expect(0, 73678, '\P{Numeric_Value=180/960}', "");
    Expect(1, 73678, '\P{^Numeric_Value=180/960}', "");
    Expect(0, 73679, '\p{Numeric_Value=180/960}', "");
    Expect(1, 73679, '\p{^Numeric_Value=180/960}', "");
    Expect(1, 73679, '\P{Numeric_Value=180/960}', "");
    Expect(0, 73679, '\P{^Numeric_Value=180/960}', "");
    Error('\p{Numeric_Value=1.9e-01}');
    Error('\P{Numeric_Value=1.9e-01}');
    Error('\p{Numeric_Value=1.88e-01}');
    Error('\P{Numeric_Value=1.88e-01}');
    Error('\p{Numeric_Value=0.19}');
    Error('\P{Numeric_Value=0.19}');
    Expect(1, 73678, '\p{Numeric_Value=1.875e-01}', "");
    Expect(0, 73678, '\p{^Numeric_Value=1.875e-01}', "");
    Expect(0, 73678, '\P{Numeric_Value=1.875e-01}', "");
    Expect(1, 73678, '\P{^Numeric_Value=1.875e-01}', "");
    Expect(0, 73679, '\p{Numeric_Value=1.875e-01}', "");
    Expect(1, 73679, '\p{^Numeric_Value=1.875e-01}', "");
    Expect(1, 73679, '\P{Numeric_Value=1.875e-01}', "");
    Expect(0, 73679, '\P{^Numeric_Value=1.875e-01}', "");
    Error('\p{Numeric_Value=0.188}');
    Error('\P{Numeric_Value=0.188}');
    Expect(1, 73678, '\p{Numeric_Value: 1.8750e-01}', "");
    Expect(0, 73678, '\p{^Numeric_Value: 1.8750e-01}', "");
    Expect(0, 73678, '\P{Numeric_Value: 1.8750e-01}', "");
    Expect(1, 73678, '\P{^Numeric_Value: 1.8750e-01}', "");
    Expect(0, 73679, '\p{Numeric_Value: 1.8750e-01}', "");
    Expect(1, 73679, '\p{^Numeric_Value: 1.8750e-01}', "");
    Expect(1, 73679, '\P{Numeric_Value: 1.8750e-01}', "");
    Expect(0, 73679, '\P{^Numeric_Value: 1.8750e-01}', "");
    Expect(1, 73678, '\p{Numeric_Value=0.1875}', "");
    Expect(0, 73678, '\p{^Numeric_Value=0.1875}', "");
    Expect(0, 73678, '\P{Numeric_Value=0.1875}', "");
    Expect(1, 73678, '\P{^Numeric_Value=0.1875}', "");
    Expect(0, 73679, '\p{Numeric_Value=0.1875}', "");
    Expect(1, 73679, '\p{^Numeric_Value=0.1875}', "");
    Expect(1, 73679, '\P{Numeric_Value=0.1875}', "");
    Expect(0, 73679, '\P{^Numeric_Value=0.1875}', "");
    Expect(1, 73678, '\p{Numeric_Value=1.87500e-01}', "");
    Expect(0, 73678, '\p{^Numeric_Value=1.87500e-01}', "");
    Expect(0, 73678, '\P{Numeric_Value=1.87500e-01}', "");
    Expect(1, 73678, '\P{^Numeric_Value=1.87500e-01}', "");
    Expect(0, 73679, '\p{Numeric_Value=1.87500e-01}', "");
    Expect(1, 73679, '\p{^Numeric_Value=1.87500e-01}', "");
    Expect(1, 73679, '\P{Numeric_Value=1.87500e-01}', "");
    Expect(0, 73679, '\P{^Numeric_Value=1.87500e-01}', "");
    Expect(1, 73678, '\p{Numeric_Value=0.18750}', "");
    Expect(0, 73678, '\p{^Numeric_Value=0.18750}', "");
    Expect(0, 73678, '\P{Numeric_Value=0.18750}', "");
    Expect(1, 73678, '\P{^Numeric_Value=0.18750}', "");
    Expect(0, 73679, '\p{Numeric_Value=0.18750}', "");
    Expect(1, 73679, '\p{^Numeric_Value=0.18750}', "");
    Expect(1, 73679, '\P{Numeric_Value=0.18750}', "");
    Expect(0, 73679, '\P{^Numeric_Value=0.18750}', "");
    Error('\p{Nv:   -_03/16:=}');
    Error('\P{Nv:   -_03/16:=}');
    Expect(1, 73678, '\p{Nv=:\A3/16\z:}', "");;
    Expect(0, 73679, '\p{Nv=:\A3/16\z:}', "");;
    Expect(1, 73678, '\p{Nv: 0003/016}', "");
    Expect(0, 73678, '\p{^Nv: 0003/016}', "");
    Expect(0, 73678, '\P{Nv: 0003/016}', "");
    Expect(1, 73678, '\P{^Nv: 0003/016}', "");
    Expect(0, 73679, '\p{Nv: 0003/016}', "");
    Expect(1, 73679, '\p{^Nv: 0003/016}', "");
    Expect(1, 73679, '\P{Nv: 0003/016}', "");
    Expect(0, 73679, '\P{^Nv: 0003/016}', "");
    Expect(1, 73678, '\p{Nv=180/960}', "");
    Expect(0, 73678, '\p{^Nv=180/960}', "");
    Expect(0, 73678, '\P{Nv=180/960}', "");
    Expect(1, 73678, '\P{^Nv=180/960}', "");
    Expect(0, 73679, '\p{Nv=180/960}', "");
    Expect(1, 73679, '\p{^Nv=180/960}', "");
    Expect(1, 73679, '\P{Nv=180/960}', "");
    Expect(0, 73679, '\P{^Nv=180/960}', "");
    Error('\p{Nv:1.9e-01}');
    Error('\P{Nv:1.9e-01}');
    Error('\p{Nv=1.88e-01}');
    Error('\P{Nv=1.88e-01}');
    Error('\p{Nv=0.19}');
    Error('\P{Nv=0.19}');
    Expect(1, 73678, '\p{Nv=1.875e-01}', "");
    Expect(0, 73678, '\p{^Nv=1.875e-01}', "");
    Expect(0, 73678, '\P{Nv=1.875e-01}', "");
    Expect(1, 73678, '\P{^Nv=1.875e-01}', "");
    Expect(0, 73679, '\p{Nv=1.875e-01}', "");
    Expect(1, 73679, '\p{^Nv=1.875e-01}', "");
    Expect(1, 73679, '\P{Nv=1.875e-01}', "");
    Expect(0, 73679, '\P{^Nv=1.875e-01}', "");
    Error('\p{Nv=0.188}');
    Error('\P{Nv=0.188}');
    Expect(1, 73678, '\p{Nv=1.8750e-01}', "");
    Expect(0, 73678, '\p{^Nv=1.8750e-01}', "");
    Expect(0, 73678, '\P{Nv=1.8750e-01}', "");
    Expect(1, 73678, '\P{^Nv=1.8750e-01}', "");
    Expect(0, 73679, '\p{Nv=1.8750e-01}', "");
    Expect(1, 73679, '\p{^Nv=1.8750e-01}', "");
    Expect(1, 73679, '\P{Nv=1.8750e-01}', "");
    Expect(0, 73679, '\P{^Nv=1.8750e-01}', "");
    Expect(1, 73678, '\p{Nv=0.1875}', "");
    Expect(0, 73678, '\p{^Nv=0.1875}', "");
    Expect(0, 73678, '\P{Nv=0.1875}', "");
    Expect(1, 73678, '\P{^Nv=0.1875}', "");
    Expect(0, 73679, '\p{Nv=0.1875}', "");
    Expect(1, 73679, '\p{^Nv=0.1875}', "");
    Expect(1, 73679, '\P{Nv=0.1875}', "");
    Expect(0, 73679, '\P{^Nv=0.1875}', "");
    Expect(1, 73678, '\p{Nv=1.87500e-01}', "");
    Expect(0, 73678, '\p{^Nv=1.87500e-01}', "");
    Expect(0, 73678, '\P{Nv=1.87500e-01}', "");
    Expect(1, 73678, '\P{^Nv=1.87500e-01}', "");
    Expect(0, 73679, '\p{Nv=1.87500e-01}', "");
    Expect(1, 73679, '\p{^Nv=1.87500e-01}', "");
    Expect(1, 73679, '\P{Nv=1.87500e-01}', "");
    Expect(0, 73679, '\P{^Nv=1.87500e-01}', "");
    Expect(1, 73678, '\p{Nv=0.18750}', "");
    Expect(0, 73678, '\p{^Nv=0.18750}', "");
    Expect(0, 73678, '\P{Nv=0.18750}', "");
    Expect(1, 73678, '\P{^Nv=0.18750}', "");
    Expect(0, 73679, '\p{Nv=0.18750}', "");
    Expect(1, 73679, '\p{^Nv=0.18750}', "");
    Expect(1, 73679, '\P{Nv=0.18750}', "");
    Expect(0, 73679, '\P{^Nv=0.18750}', "");
    Error('\p{Is_Numeric_Value:	 /a/00000003/00000016}');
    Error('\P{Is_Numeric_Value:	 /a/00000003/00000016}');
    Expect(1, 73678, '\p{Is_Numeric_Value=+003/00000016}', "");
    Expect(0, 73678, '\p{^Is_Numeric_Value=+003/00000016}', "");
    Expect(0, 73678, '\P{Is_Numeric_Value=+003/00000016}', "");
    Expect(1, 73678, '\P{^Is_Numeric_Value=+003/00000016}', "");
    Expect(0, 73679, '\p{Is_Numeric_Value=+003/00000016}', "");
    Expect(1, 73679, '\p{^Is_Numeric_Value=+003/00000016}', "");
    Expect(1, 73679, '\P{Is_Numeric_Value=+003/00000016}', "");
    Expect(0, 73679, '\P{^Is_Numeric_Value=+003/00000016}', "");
    Expect(1, 73678, '\p{Is_Numeric_Value=180/960}', "");
    Expect(0, 73678, '\p{^Is_Numeric_Value=180/960}', "");
    Expect(0, 73678, '\P{Is_Numeric_Value=180/960}', "");
    Expect(1, 73678, '\P{^Is_Numeric_Value=180/960}', "");
    Expect(0, 73679, '\p{Is_Numeric_Value=180/960}', "");
    Expect(1, 73679, '\p{^Is_Numeric_Value=180/960}', "");
    Expect(1, 73679, '\P{Is_Numeric_Value=180/960}', "");
    Expect(0, 73679, '\P{^Is_Numeric_Value=180/960}', "");
    Error('\p{Is_Numeric_Value:1.9e-01}');
    Error('\P{Is_Numeric_Value:1.9e-01}');
    Error('\p{Is_Numeric_Value=1.88e-01}');
    Error('\P{Is_Numeric_Value=1.88e-01}');
    Error('\p{Is_Numeric_Value=0.19}');
    Error('\P{Is_Numeric_Value=0.19}');
    Expect(1, 73678, '\p{Is_Numeric_Value=1.875e-01}', "");
    Expect(0, 73678, '\p{^Is_Numeric_Value=1.875e-01}', "");
    Expect(0, 73678, '\P{Is_Numeric_Value=1.875e-01}', "");
    Expect(1, 73678, '\P{^Is_Numeric_Value=1.875e-01}', "");
    Expect(0, 73679, '\p{Is_Numeric_Value=1.875e-01}', "");
    Expect(1, 73679, '\p{^Is_Numeric_Value=1.875e-01}', "");
    Expect(1, 73679, '\P{Is_Numeric_Value=1.875e-01}', "");
    Expect(0, 73679, '\P{^Is_Numeric_Value=1.875e-01}', "");
    Error('\p{Is_Numeric_Value=0.188}');
    Error('\P{Is_Numeric_Value=0.188}');
    Expect(1, 73678, '\p{Is_Numeric_Value=1.8750e-01}', "");
    Expect(0, 73678, '\p{^Is_Numeric_Value=1.8750e-01}', "");
    Expect(0, 73678, '\P{Is_Numeric_Value=1.8750e-01}', "");
    Expect(1, 73678, '\P{^Is_Numeric_Value=1.8750e-01}', "");
    Expect(0, 73679, '\p{Is_Numeric_Value=1.8750e-01}', "");
    Expect(1, 73679, '\p{^Is_Numeric_Value=1.8750e-01}', "");
    Expect(1, 73679, '\P{Is_Numeric_Value=1.8750e-01}', "");
    Expect(0, 73679, '\P{^Is_Numeric_Value=1.8750e-01}', "");
    Expect(1, 73678, '\p{Is_Numeric_Value=0.1875}', "");
    Expect(0, 73678, '\p{^Is_Numeric_Value=0.1875}', "");
    Expect(0, 73678, '\P{Is_Numeric_Value=0.1875}', "");
    Expect(1, 73678, '\P{^Is_Numeric_Value=0.1875}', "");
    Expect(0, 73679, '\p{Is_Numeric_Value=0.1875}', "");
    Expect(1, 73679, '\p{^Is_Numeric_Value=0.1875}', "");
    Expect(1, 73679, '\P{Is_Numeric_Value=0.1875}', "");
    Expect(0, 73679, '\P{^Is_Numeric_Value=0.1875}', "");
    Expect(1, 73678, '\p{Is_Numeric_Value=1.87500e-01}', "");
    Expect(0, 73678, '\p{^Is_Numeric_Value=1.87500e-01}', "");
    Expect(0, 73678, '\P{Is_Numeric_Value=1.87500e-01}', "");
    Expect(1, 73678, '\P{^Is_Numeric_Value=1.87500e-01}', "");
    Expect(0, 73679, '\p{Is_Numeric_Value=1.87500e-01}', "");
    Expect(1, 73679, '\p{^Is_Numeric_Value=1.87500e-01}', "");
    Expect(1, 73679, '\P{Is_Numeric_Value=1.87500e-01}', "");
    Expect(0, 73679, '\P{^Is_Numeric_Value=1.87500e-01}', "");
    Expect(1, 73678, '\p{Is_Numeric_Value=0.18750}', "");
    Expect(0, 73678, '\p{^Is_Numeric_Value=0.18750}', "");
    Expect(0, 73678, '\P{Is_Numeric_Value=0.18750}', "");
    Expect(1, 73678, '\P{^Is_Numeric_Value=0.18750}', "");
    Expect(0, 73679, '\p{Is_Numeric_Value=0.18750}', "");
    Expect(1, 73679, '\p{^Is_Numeric_Value=0.18750}', "");
    Expect(1, 73679, '\P{Is_Numeric_Value=0.18750}', "");
    Expect(0, 73679, '\P{^Is_Numeric_Value=0.18750}', "");
    Error('\p{Is_Nv: /a/ _000000003/00000000016}');
    Error('\P{Is_Nv: /a/ _000000003/00000000016}');
    Expect(1, 73678, '\p{Is_Nv=0003/000016}', "");
    Expect(0, 73678, '\p{^Is_Nv=0003/000016}', "");
    Expect(0, 73678, '\P{Is_Nv=0003/000016}', "");
    Expect(1, 73678, '\P{^Is_Nv=0003/000016}', "");
    Expect(0, 73679, '\p{Is_Nv=0003/000016}', "");
    Expect(1, 73679, '\p{^Is_Nv=0003/000016}', "");
    Expect(1, 73679, '\P{Is_Nv=0003/000016}', "");
    Expect(0, 73679, '\P{^Is_Nv=0003/000016}', "");
    Expect(1, 73678, '\p{Is_Nv=180/960}', "");
    Expect(0, 73678, '\p{^Is_Nv=180/960}', "");
    Expect(0, 73678, '\P{Is_Nv=180/960}', "");
    Expect(1, 73678, '\P{^Is_Nv=180/960}', "");
    Expect(0, 73679, '\p{Is_Nv=180/960}', "");
    Expect(1, 73679, '\p{^Is_Nv=180/960}', "");
    Expect(1, 73679, '\P{Is_Nv=180/960}', "");
    Expect(0, 73679, '\P{^Is_Nv=180/960}', "");
    Error('\p{Is_Nv:	1.9e-01}');
    Error('\P{Is_Nv:	1.9e-01}');
    Error('\p{Is_Nv=1.88e-01}');
    Error('\P{Is_Nv=1.88e-01}');
    Error('\p{Is_Nv=0.19}');
    Error('\P{Is_Nv=0.19}');
    Expect(1, 73678, '\p{Is_Nv=1.875e-01}', "");
    Expect(0, 73678, '\p{^Is_Nv=1.875e-01}', "");
    Expect(0, 73678, '\P{Is_Nv=1.875e-01}', "");
    Expect(1, 73678, '\P{^Is_Nv=1.875e-01}', "");
    Expect(0, 73679, '\p{Is_Nv=1.875e-01}', "");
    Expect(1, 73679, '\p{^Is_Nv=1.875e-01}', "");
    Expect(1, 73679, '\P{Is_Nv=1.875e-01}', "");
    Expect(0, 73679, '\P{^Is_Nv=1.875e-01}', "");
    Error('\p{Is_Nv: 0.188}');
    Error('\P{Is_Nv: 0.188}');
    Expect(1, 73678, '\p{Is_Nv=1.8750e-01}', "");
    Expect(0, 73678, '\p{^Is_Nv=1.8750e-01}', "");
    Expect(0, 73678, '\P{Is_Nv=1.8750e-01}', "");
    Expect(1, 73678, '\P{^Is_Nv=1.8750e-01}', "");
    Expect(0, 73679, '\p{Is_Nv=1.8750e-01}', "");
    Expect(1, 73679, '\p{^Is_Nv=1.8750e-01}', "");
    Expect(1, 73679, '\P{Is_Nv=1.8750e-01}', "");
    Expect(0, 73679, '\P{^Is_Nv=1.8750e-01}', "");
    Expect(1, 73678, '\p{Is_Nv=0.1875}', "");
    Expect(0, 73678, '\p{^Is_Nv=0.1875}', "");
    Expect(0, 73678, '\P{Is_Nv=0.1875}', "");
    Expect(1, 73678, '\P{^Is_Nv=0.1875}', "");
    Expect(0, 73679, '\p{Is_Nv=0.1875}', "");
    Expect(1, 73679, '\p{^Is_Nv=0.1875}', "");
    Expect(1, 73679, '\P{Is_Nv=0.1875}', "");
    Expect(0, 73679, '\P{^Is_Nv=0.1875}', "");
    Expect(1, 73678, '\p{Is_Nv=1.87500e-01}', "");
    Expect(0, 73678, '\p{^Is_Nv=1.87500e-01}', "");
    Expect(0, 73678, '\P{Is_Nv=1.87500e-01}', "");
    Expect(1, 73678, '\P{^Is_Nv=1.87500e-01}', "");
    Expect(0, 73679, '\p{Is_Nv=1.87500e-01}', "");
    Expect(1, 73679, '\p{^Is_Nv=1.87500e-01}', "");
    Expect(1, 73679, '\P{Is_Nv=1.87500e-01}', "");
    Expect(0, 73679, '\P{^Is_Nv=1.87500e-01}', "");
    Expect(1, 73678, '\p{Is_Nv=0.18750}', "");
    Expect(0, 73678, '\p{^Is_Nv=0.18750}', "");
    Expect(0, 73678, '\P{Is_Nv=0.18750}', "");
    Expect(1, 73678, '\P{^Is_Nv=0.18750}', "");
    Expect(0, 73679, '\p{Is_Nv=0.18750}', "");
    Expect(1, 73679, '\p{^Is_Nv=0.18750}', "");
    Expect(1, 73679, '\P{Is_Nv=0.18750}', "");
    Expect(0, 73679, '\P{^Is_Nv=0.18750}', "");
    Error('\p{Numeric_Value=  0000000003/002:=}');
    Error('\P{Numeric_Value=  0000000003/002:=}');
    Expect(1, 3883, '\p{Numeric_Value=:\A3/2\z:}', "");;
    Expect(0, 3884, '\p{Numeric_Value=:\A3/2\z:}', "");;
    Expect(1, 3883, '\p{Numeric_Value=03/2}', "");
    Expect(0, 3883, '\p{^Numeric_Value=03/2}', "");
    Expect(0, 3883, '\P{Numeric_Value=03/2}', "");
    Expect(1, 3883, '\P{^Numeric_Value=03/2}', "");
    Expect(0, 3884, '\p{Numeric_Value=03/2}', "");
    Expect(1, 3884, '\p{^Numeric_Value=03/2}', "");
    Expect(1, 3884, '\P{Numeric_Value=03/2}', "");
    Expect(0, 3884, '\P{^Numeric_Value=03/2}', "");
    Expect(1, 3883, '\p{Numeric_Value=180/120}', "");
    Expect(0, 3883, '\p{^Numeric_Value=180/120}', "");
    Expect(0, 3883, '\P{Numeric_Value=180/120}', "");
    Expect(1, 3883, '\P{^Numeric_Value=180/120}', "");
    Expect(0, 3884, '\p{Numeric_Value=180/120}', "");
    Expect(1, 3884, '\p{^Numeric_Value=180/120}', "");
    Expect(1, 3884, '\P{Numeric_Value=180/120}', "");
    Expect(0, 3884, '\P{^Numeric_Value=180/120}', "");
    Expect(1, 3883, '\p{Numeric_Value=1.5e+00}', "");
    Expect(0, 3883, '\p{^Numeric_Value=1.5e+00}', "");
    Expect(0, 3883, '\P{Numeric_Value=1.5e+00}', "");
    Expect(1, 3883, '\P{^Numeric_Value=1.5e+00}', "");
    Expect(0, 3884, '\p{Numeric_Value=1.5e+00}', "");
    Expect(1, 3884, '\p{^Numeric_Value=1.5e+00}', "");
    Expect(1, 3884, '\P{Numeric_Value=1.5e+00}', "");
    Expect(0, 3884, '\P{^Numeric_Value=1.5e+00}', "");
    Expect(1, 3883, '\p{Numeric_Value=1.5}', "");
    Expect(0, 3883, '\p{^Numeric_Value=1.5}', "");
    Expect(0, 3883, '\P{Numeric_Value=1.5}', "");
    Expect(1, 3883, '\P{^Numeric_Value=1.5}', "");
    Expect(0, 3884, '\p{Numeric_Value=1.5}', "");
    Expect(1, 3884, '\p{^Numeric_Value=1.5}', "");
    Expect(1, 3884, '\P{Numeric_Value=1.5}', "");
    Expect(0, 3884, '\P{^Numeric_Value=1.5}', "");
    Expect(1, 3883, '\p{Numeric_Value=1.50e+00}', "");
    Expect(0, 3883, '\p{^Numeric_Value=1.50e+00}', "");
    Expect(0, 3883, '\P{Numeric_Value=1.50e+00}', "");
    Expect(1, 3883, '\P{^Numeric_Value=1.50e+00}', "");
    Expect(0, 3884, '\p{Numeric_Value=1.50e+00}', "");
    Expect(1, 3884, '\p{^Numeric_Value=1.50e+00}', "");
    Expect(1, 3884, '\P{Numeric_Value=1.50e+00}', "");
    Expect(0, 3884, '\P{^Numeric_Value=1.50e+00}', "");
    Expect(1, 3883, '\p{Numeric_Value: 1.50}', "");
    Expect(0, 3883, '\p{^Numeric_Value: 1.50}', "");
    Expect(0, 3883, '\P{Numeric_Value: 1.50}', "");
    Expect(1, 3883, '\P{^Numeric_Value: 1.50}', "");
    Expect(0, 3884, '\p{Numeric_Value: 1.50}', "");
    Expect(1, 3884, '\p{^Numeric_Value: 1.50}', "");
    Expect(1, 3884, '\P{Numeric_Value: 1.50}', "");
    Expect(0, 3884, '\P{^Numeric_Value: 1.50}', "");
    Error('\p{Nv: _:=003/000002}');
    Error('\P{Nv: _:=003/000002}');
    Expect(1, 3883, '\p{Nv=:\A3/2\z:}', "");;
    Expect(0, 3884, '\p{Nv=:\A3/2\z:}', "");;
    Expect(1, 3883, '\p{Nv=000003/00002}', "");
    Expect(0, 3883, '\p{^Nv=000003/00002}', "");
    Expect(0, 3883, '\P{Nv=000003/00002}', "");
    Expect(1, 3883, '\P{^Nv=000003/00002}', "");
    Expect(0, 3884, '\p{Nv=000003/00002}', "");
    Expect(1, 3884, '\p{^Nv=000003/00002}', "");
    Expect(1, 3884, '\P{Nv=000003/00002}', "");
    Expect(0, 3884, '\P{^Nv=000003/00002}', "");
    Expect(1, 3883, '\p{Nv=180/120}', "");
    Expect(0, 3883, '\p{^Nv=180/120}', "");
    Expect(0, 3883, '\P{Nv=180/120}', "");
    Expect(1, 3883, '\P{^Nv=180/120}', "");
    Expect(0, 3884, '\p{Nv=180/120}', "");
    Expect(1, 3884, '\p{^Nv=180/120}', "");
    Expect(1, 3884, '\P{Nv=180/120}', "");
    Expect(0, 3884, '\P{^Nv=180/120}', "");
    Expect(1, 3883, '\p{Nv=1.5e+00}', "");
    Expect(0, 3883, '\p{^Nv=1.5e+00}', "");
    Expect(0, 3883, '\P{Nv=1.5e+00}', "");
    Expect(1, 3883, '\P{^Nv=1.5e+00}', "");
    Expect(0, 3884, '\p{Nv=1.5e+00}', "");
    Expect(1, 3884, '\p{^Nv=1.5e+00}', "");
    Expect(1, 3884, '\P{Nv=1.5e+00}', "");
    Expect(0, 3884, '\P{^Nv=1.5e+00}', "");
    Expect(1, 3883, '\p{Nv:	1.5}', "");
    Expect(0, 3883, '\p{^Nv:	1.5}', "");
    Expect(0, 3883, '\P{Nv:	1.5}', "");
    Expect(1, 3883, '\P{^Nv:	1.5}', "");
    Expect(0, 3884, '\p{Nv:	1.5}', "");
    Expect(1, 3884, '\p{^Nv:	1.5}', "");
    Expect(1, 3884, '\P{Nv:	1.5}', "");
    Expect(0, 3884, '\P{^Nv:	1.5}', "");
    Expect(1, 3883, '\p{Nv=1.50e+00}', "");
    Expect(0, 3883, '\p{^Nv=1.50e+00}', "");
    Expect(0, 3883, '\P{Nv=1.50e+00}', "");
    Expect(1, 3883, '\P{^Nv=1.50e+00}', "");
    Expect(0, 3884, '\p{Nv=1.50e+00}', "");
    Expect(1, 3884, '\p{^Nv=1.50e+00}', "");
    Expect(1, 3884, '\P{Nv=1.50e+00}', "");
    Expect(0, 3884, '\P{^Nv=1.50e+00}', "");
    Expect(1, 3883, '\p{Nv=1.50}', "");
    Expect(0, 3883, '\p{^Nv=1.50}', "");
    Expect(0, 3883, '\P{Nv=1.50}', "");
    Expect(1, 3883, '\P{^Nv=1.50}', "");
    Expect(0, 3884, '\p{Nv=1.50}', "");
    Expect(1, 3884, '\p{^Nv=1.50}', "");
    Expect(1, 3884, '\P{Nv=1.50}', "");
    Expect(0, 3884, '\P{^Nv=1.50}', "");
    Error('\p{Is_Numeric_Value=:=0000000003/002}');
    Error('\P{Is_Numeric_Value=:=0000000003/002}');
    Expect(1, 3883, '\p{Is_Numeric_Value=000003/000000002}', "");
    Expect(0, 3883, '\p{^Is_Numeric_Value=000003/000000002}', "");
    Expect(0, 3883, '\P{Is_Numeric_Value=000003/000000002}', "");
    Expect(1, 3883, '\P{^Is_Numeric_Value=000003/000000002}', "");
    Expect(0, 3884, '\p{Is_Numeric_Value=000003/000000002}', "");
    Expect(1, 3884, '\p{^Is_Numeric_Value=000003/000000002}', "");
    Expect(1, 3884, '\P{Is_Numeric_Value=000003/000000002}', "");
    Expect(0, 3884, '\P{^Is_Numeric_Value=000003/000000002}', "");
    Expect(1, 3883, '\p{Is_Numeric_Value=180/120}', "");
    Expect(0, 3883, '\p{^Is_Numeric_Value=180/120}', "");
    Expect(0, 3883, '\P{Is_Numeric_Value=180/120}', "");
    Expect(1, 3883, '\P{^Is_Numeric_Value=180/120}', "");
    Expect(0, 3884, '\p{Is_Numeric_Value=180/120}', "");
    Expect(1, 3884, '\p{^Is_Numeric_Value=180/120}', "");
    Expect(1, 3884, '\P{Is_Numeric_Value=180/120}', "");
    Expect(0, 3884, '\P{^Is_Numeric_Value=180/120}', "");
    Expect(1, 3883, '\p{Is_Numeric_Value=1.5e+00}', "");
    Expect(0, 3883, '\p{^Is_Numeric_Value=1.5e+00}', "");
    Expect(0, 3883, '\P{Is_Numeric_Value=1.5e+00}', "");
    Expect(1, 3883, '\P{^Is_Numeric_Value=1.5e+00}', "");
    Expect(0, 3884, '\p{Is_Numeric_Value=1.5e+00}', "");
    Expect(1, 3884, '\p{^Is_Numeric_Value=1.5e+00}', "");
    Expect(1, 3884, '\P{Is_Numeric_Value=1.5e+00}', "");
    Expect(0, 3884, '\P{^Is_Numeric_Value=1.5e+00}', "");
    Expect(1, 3883, '\p{Is_Numeric_Value=1.5}', "");
    Expect(0, 3883, '\p{^Is_Numeric_Value=1.5}', "");
    Expect(0, 3883, '\P{Is_Numeric_Value=1.5}', "");
    Expect(1, 3883, '\P{^Is_Numeric_Value=1.5}', "");
    Expect(0, 3884, '\p{Is_Numeric_Value=1.5}', "");
    Expect(1, 3884, '\p{^Is_Numeric_Value=1.5}', "");
    Expect(1, 3884, '\P{Is_Numeric_Value=1.5}', "");
    Expect(0, 3884, '\P{^Is_Numeric_Value=1.5}', "");
    Expect(1, 3883, '\p{Is_Numeric_Value=1.50e+00}', "");
    Expect(0, 3883, '\p{^Is_Numeric_Value=1.50e+00}', "");
    Expect(0, 3883, '\P{Is_Numeric_Value=1.50e+00}', "");
    Expect(1, 3883, '\P{^Is_Numeric_Value=1.50e+00}', "");
    Expect(0, 3884, '\p{Is_Numeric_Value=1.50e+00}', "");
    Expect(1, 3884, '\p{^Is_Numeric_Value=1.50e+00}', "");
    Expect(1, 3884, '\P{Is_Numeric_Value=1.50e+00}', "");
    Expect(0, 3884, '\P{^Is_Numeric_Value=1.50e+00}', "");
    Expect(1, 3883, '\p{Is_Numeric_Value=1.50}', "");
    Expect(0, 3883, '\p{^Is_Numeric_Value=1.50}', "");
    Expect(0, 3883, '\P{Is_Numeric_Value=1.50}', "");
    Expect(1, 3883, '\P{^Is_Numeric_Value=1.50}', "");
    Expect(0, 3884, '\p{Is_Numeric_Value=1.50}', "");
    Expect(1, 3884, '\p{^Is_Numeric_Value=1.50}', "");
    Expect(1, 3884, '\P{Is_Numeric_Value=1.50}', "");
    Expect(0, 3884, '\P{^Is_Numeric_Value=1.50}', "");
    Error('\p{Is_Nv=-_3/00000002:=}');
    Error('\P{Is_Nv=-_3/00000002:=}');
    Expect(1, 3883, '\p{Is_Nv=0003/00002}', "");
    Expect(0, 3883, '\p{^Is_Nv=0003/00002}', "");
    Expect(0, 3883, '\P{Is_Nv=0003/00002}', "");
    Expect(1, 3883, '\P{^Is_Nv=0003/00002}', "");
    Expect(0, 3884, '\p{Is_Nv=0003/00002}', "");
    Expect(1, 3884, '\p{^Is_Nv=0003/00002}', "");
    Expect(1, 3884, '\P{Is_Nv=0003/00002}', "");
    Expect(0, 3884, '\P{^Is_Nv=0003/00002}', "");
    Expect(1, 3883, '\p{Is_Nv=180/120}', "");
    Expect(0, 3883, '\p{^Is_Nv=180/120}', "");
    Expect(0, 3883, '\P{Is_Nv=180/120}', "");
    Expect(1, 3883, '\P{^Is_Nv=180/120}', "");
    Expect(0, 3884, '\p{Is_Nv=180/120}', "");
    Expect(1, 3884, '\p{^Is_Nv=180/120}', "");
    Expect(1, 3884, '\P{Is_Nv=180/120}', "");
    Expect(0, 3884, '\P{^Is_Nv=180/120}', "");
    Expect(1, 3883, '\p{Is_Nv=1.5e+00}', "");
    Expect(0, 3883, '\p{^Is_Nv=1.5e+00}', "");
    Expect(0, 3883, '\P{Is_Nv=1.5e+00}', "");
    Expect(1, 3883, '\P{^Is_Nv=1.5e+00}', "");
    Expect(0, 3884, '\p{Is_Nv=1.5e+00}', "");
    Expect(1, 3884, '\p{^Is_Nv=1.5e+00}', "");
    Expect(1, 3884, '\P{Is_Nv=1.5e+00}', "");
    Expect(0, 3884, '\P{^Is_Nv=1.5e+00}', "");
    Expect(1, 3883, '\p{Is_Nv=1.5}', "");
    Expect(0, 3883, '\p{^Is_Nv=1.5}', "");
    Expect(0, 3883, '\P{Is_Nv=1.5}', "");
    Expect(1, 3883, '\P{^Is_Nv=1.5}', "");
    Expect(0, 3884, '\p{Is_Nv=1.5}', "");
    Expect(1, 3884, '\p{^Is_Nv=1.5}', "");
    Expect(1, 3884, '\P{Is_Nv=1.5}', "");
    Expect(0, 3884, '\P{^Is_Nv=1.5}', "");
    Expect(1, 3883, '\p{Is_Nv=1.50e+00}', "");
    Expect(0, 3883, '\p{^Is_Nv=1.50e+00}', "");
    Expect(0, 3883, '\P{Is_Nv=1.50e+00}', "");
    Expect(1, 3883, '\P{^Is_Nv=1.50e+00}', "");
    Expect(0, 3884, '\p{Is_Nv=1.50e+00}', "");
    Expect(1, 3884, '\p{^Is_Nv=1.50e+00}', "");
    Expect(1, 3884, '\P{Is_Nv=1.50e+00}', "");
    Expect(0, 3884, '\P{^Is_Nv=1.50e+00}', "");
    Expect(1, 3883, '\p{Is_Nv=1.50}', "");
    Expect(0, 3883, '\p{^Is_Nv=1.50}', "");
    Expect(0, 3883, '\P{Is_Nv=1.50}', "");
    Expect(1, 3883, '\P{^Is_Nv=1.50}', "");
    Expect(0, 3884, '\p{Is_Nv=1.50}', "");
    Expect(1, 3884, '\p{^Is_Nv=1.50}', "");
    Expect(1, 3884, '\P{Is_Nv=1.50}', "");
    Expect(0, 3884, '\P{^Is_Nv=1.50}', "");
    Error('\p{Numeric_Value= +00000003/0000000020/a/}');
    Error('\P{Numeric_Value= +00000003/0000000020/a/}');
    Expect(1, 73677, '\p{Numeric_Value=:\A3/20\z:}', "");;
    Expect(0, 73678, '\p{Numeric_Value=:\A3/20\z:}', "");;
    Expect(1, 73677, '\p{Numeric_Value=0003/00000000020}', "");
    Expect(0, 73677, '\p{^Numeric_Value=0003/00000000020}', "");
    Expect(0, 73677, '\P{Numeric_Value=0003/00000000020}', "");
    Expect(1, 73677, '\P{^Numeric_Value=0003/00000000020}', "");
    Expect(0, 73678, '\p{Numeric_Value=0003/00000000020}', "");
    Expect(1, 73678, '\p{^Numeric_Value=0003/00000000020}', "");
    Expect(1, 73678, '\P{Numeric_Value=0003/00000000020}', "");
    Expect(0, 73678, '\P{^Numeric_Value=0003/00000000020}', "");
    Expect(1, 73677, '\p{Numeric_Value=180/1200}', "");
    Expect(0, 73677, '\p{^Numeric_Value=180/1200}', "");
    Expect(0, 73677, '\P{Numeric_Value=180/1200}', "");
    Expect(1, 73677, '\P{^Numeric_Value=180/1200}', "");
    Expect(0, 73678, '\p{Numeric_Value=180/1200}', "");
    Expect(1, 73678, '\p{^Numeric_Value=180/1200}', "");
    Expect(1, 73678, '\P{Numeric_Value=180/1200}', "");
    Expect(0, 73678, '\P{^Numeric_Value=180/1200}', "");
    Expect(1, 73677, '\p{Numeric_Value=1.5e-01}', "");
    Expect(0, 73677, '\p{^Numeric_Value=1.5e-01}', "");
    Expect(0, 73677, '\P{Numeric_Value=1.5e-01}', "");
    Expect(1, 73677, '\P{^Numeric_Value=1.5e-01}', "");
    Expect(0, 73678, '\p{Numeric_Value=1.5e-01}', "");
    Expect(1, 73678, '\p{^Numeric_Value=1.5e-01}', "");
    Expect(1, 73678, '\P{Numeric_Value=1.5e-01}', "");
    Expect(0, 73678, '\P{^Numeric_Value=1.5e-01}', "");
    Expect(1, 73677, '\p{Numeric_Value=1.50e-01}', "");
    Expect(0, 73677, '\p{^Numeric_Value=1.50e-01}', "");
    Expect(0, 73677, '\P{Numeric_Value=1.50e-01}', "");
    Expect(1, 73677, '\P{^Numeric_Value=1.50e-01}', "");
    Expect(0, 73678, '\p{Numeric_Value=1.50e-01}', "");
    Expect(1, 73678, '\p{^Numeric_Value=1.50e-01}', "");
    Expect(1, 73678, '\P{Numeric_Value=1.50e-01}', "");
    Expect(0, 73678, '\P{^Numeric_Value=1.50e-01}', "");
    Expect(1, 73677, '\p{Numeric_Value=0.15}', "");
    Expect(0, 73677, '\p{^Numeric_Value=0.15}', "");
    Expect(0, 73677, '\P{Numeric_Value=0.15}', "");
    Expect(1, 73677, '\P{^Numeric_Value=0.15}', "");
    Expect(0, 73678, '\p{Numeric_Value=0.15}', "");
    Expect(1, 73678, '\p{^Numeric_Value=0.15}', "");
    Expect(1, 73678, '\P{Numeric_Value=0.15}', "");
    Expect(0, 73678, '\P{^Numeric_Value=0.15}', "");
    Expect(1, 73677, '\p{Numeric_Value=1.500e-01}', "");
    Expect(0, 73677, '\p{^Numeric_Value=1.500e-01}', "");
    Expect(0, 73677, '\P{Numeric_Value=1.500e-01}', "");
    Expect(1, 73677, '\P{^Numeric_Value=1.500e-01}', "");
    Expect(0, 73678, '\p{Numeric_Value=1.500e-01}', "");
    Expect(1, 73678, '\p{^Numeric_Value=1.500e-01}', "");
    Expect(1, 73678, '\P{Numeric_Value=1.500e-01}', "");
    Expect(0, 73678, '\P{^Numeric_Value=1.500e-01}', "");
    Expect(1, 73677, '\p{Numeric_Value=0.150}', "");
    Expect(0, 73677, '\p{^Numeric_Value=0.150}', "");
    Expect(0, 73677, '\P{Numeric_Value=0.150}', "");
    Expect(1, 73677, '\P{^Numeric_Value=0.150}', "");
    Expect(0, 73678, '\p{Numeric_Value=0.150}', "");
    Expect(1, 73678, '\p{^Numeric_Value=0.150}', "");
    Expect(1, 73678, '\P{Numeric_Value=0.150}', "");
    Expect(0, 73678, '\P{^Numeric_Value=0.150}', "");
    Error('\p{Nv=-003/0000020:=}');
    Error('\P{Nv=-003/0000020:=}');
    Expect(1, 73677, '\p{Nv=:\A3/20\z:}', "");;
    Expect(0, 73678, '\p{Nv=:\A3/20\z:}', "");;
    Expect(1, 73677, '\p{Nv=3/0000000020}', "");
    Expect(0, 73677, '\p{^Nv=3/0000000020}', "");
    Expect(0, 73677, '\P{Nv=3/0000000020}', "");
    Expect(1, 73677, '\P{^Nv=3/0000000020}', "");
    Expect(0, 73678, '\p{Nv=3/0000000020}', "");
    Expect(1, 73678, '\p{^Nv=3/0000000020}', "");
    Expect(1, 73678, '\P{Nv=3/0000000020}', "");
    Expect(0, 73678, '\P{^Nv=3/0000000020}', "");
    Expect(1, 73677, '\p{Nv=180/1200}', "");
    Expect(0, 73677, '\p{^Nv=180/1200}', "");
    Expect(0, 73677, '\P{Nv=180/1200}', "");
    Expect(1, 73677, '\P{^Nv=180/1200}', "");
    Expect(0, 73678, '\p{Nv=180/1200}', "");
    Expect(1, 73678, '\p{^Nv=180/1200}', "");
    Expect(1, 73678, '\P{Nv=180/1200}', "");
    Expect(0, 73678, '\P{^Nv=180/1200}', "");
    Expect(1, 73677, '\p{Nv=1.5e-01}', "");
    Expect(0, 73677, '\p{^Nv=1.5e-01}', "");
    Expect(0, 73677, '\P{Nv=1.5e-01}', "");
    Expect(1, 73677, '\P{^Nv=1.5e-01}', "");
    Expect(0, 73678, '\p{Nv=1.5e-01}', "");
    Expect(1, 73678, '\p{^Nv=1.5e-01}', "");
    Expect(1, 73678, '\P{Nv=1.5e-01}', "");
    Expect(0, 73678, '\P{^Nv=1.5e-01}', "");
    Expect(1, 73677, '\p{Nv=1.50e-01}', "");
    Expect(0, 73677, '\p{^Nv=1.50e-01}', "");
    Expect(0, 73677, '\P{Nv=1.50e-01}', "");
    Expect(1, 73677, '\P{^Nv=1.50e-01}', "");
    Expect(0, 73678, '\p{Nv=1.50e-01}', "");
    Expect(1, 73678, '\p{^Nv=1.50e-01}', "");
    Expect(1, 73678, '\P{Nv=1.50e-01}', "");
    Expect(0, 73678, '\P{^Nv=1.50e-01}', "");
    Expect(1, 73677, '\p{Nv=0.15}', "");
    Expect(0, 73677, '\p{^Nv=0.15}', "");
    Expect(0, 73677, '\P{Nv=0.15}', "");
    Expect(1, 73677, '\P{^Nv=0.15}', "");
    Expect(0, 73678, '\p{Nv=0.15}', "");
    Expect(1, 73678, '\p{^Nv=0.15}', "");
    Expect(1, 73678, '\P{Nv=0.15}', "");
    Expect(0, 73678, '\P{^Nv=0.15}', "");
    Expect(1, 73677, '\p{Nv=1.500e-01}', "");
    Expect(0, 73677, '\p{^Nv=1.500e-01}', "");
    Expect(0, 73677, '\P{Nv=1.500e-01}', "");
    Expect(1, 73677, '\P{^Nv=1.500e-01}', "");
    Expect(0, 73678, '\p{Nv=1.500e-01}', "");
    Expect(1, 73678, '\p{^Nv=1.500e-01}', "");
    Expect(1, 73678, '\P{Nv=1.500e-01}', "");
    Expect(0, 73678, '\P{^Nv=1.500e-01}', "");
    Expect(1, 73677, '\p{Nv:   0.150}', "");
    Expect(0, 73677, '\p{^Nv:   0.150}', "");
    Expect(0, 73677, '\P{Nv:   0.150}', "");
    Expect(1, 73677, '\P{^Nv:   0.150}', "");
    Expect(0, 73678, '\p{Nv:   0.150}', "");
    Expect(1, 73678, '\p{^Nv:   0.150}', "");
    Expect(1, 73678, '\P{Nv:   0.150}', "");
    Expect(0, 73678, '\P{^Nv:   0.150}', "");
    Error('\p{Is_Numeric_Value= -+0003/00000020:=}');
    Error('\P{Is_Numeric_Value= -+0003/00000020:=}');
    Expect(1, 73677, '\p{Is_Numeric_Value: 0000000003/000020}', "");
    Expect(0, 73677, '\p{^Is_Numeric_Value: 0000000003/000020}', "");
    Expect(0, 73677, '\P{Is_Numeric_Value: 0000000003/000020}', "");
    Expect(1, 73677, '\P{^Is_Numeric_Value: 0000000003/000020}', "");
    Expect(0, 73678, '\p{Is_Numeric_Value: 0000000003/000020}', "");
    Expect(1, 73678, '\p{^Is_Numeric_Value: 0000000003/000020}', "");
    Expect(1, 73678, '\P{Is_Numeric_Value: 0000000003/000020}', "");
    Expect(0, 73678, '\P{^Is_Numeric_Value: 0000000003/000020}', "");
    Expect(1, 73677, '\p{Is_Numeric_Value: 180/1200}', "");
    Expect(0, 73677, '\p{^Is_Numeric_Value: 180/1200}', "");
    Expect(0, 73677, '\P{Is_Numeric_Value: 180/1200}', "");
    Expect(1, 73677, '\P{^Is_Numeric_Value: 180/1200}', "");
    Expect(0, 73678, '\p{Is_Numeric_Value: 180/1200}', "");
    Expect(1, 73678, '\p{^Is_Numeric_Value: 180/1200}', "");
    Expect(1, 73678, '\P{Is_Numeric_Value: 180/1200}', "");
    Expect(0, 73678, '\P{^Is_Numeric_Value: 180/1200}', "");
    Expect(1, 73677, '\p{Is_Numeric_Value=1.5e-01}', "");
    Expect(0, 73677, '\p{^Is_Numeric_Value=1.5e-01}', "");
    Expect(0, 73677, '\P{Is_Numeric_Value=1.5e-01}', "");
    Expect(1, 73677, '\P{^Is_Numeric_Value=1.5e-01}', "");
    Expect(0, 73678, '\p{Is_Numeric_Value=1.5e-01}', "");
    Expect(1, 73678, '\p{^Is_Numeric_Value=1.5e-01}', "");
    Expect(1, 73678, '\P{Is_Numeric_Value=1.5e-01}', "");
    Expect(0, 73678, '\P{^Is_Numeric_Value=1.5e-01}', "");
    Expect(1, 73677, '\p{Is_Numeric_Value=1.50e-01}', "");
    Expect(0, 73677, '\p{^Is_Numeric_Value=1.50e-01}', "");
    Expect(0, 73677, '\P{Is_Numeric_Value=1.50e-01}', "");
    Expect(1, 73677, '\P{^Is_Numeric_Value=1.50e-01}', "");
    Expect(0, 73678, '\p{Is_Numeric_Value=1.50e-01}', "");
    Expect(1, 73678, '\p{^Is_Numeric_Value=1.50e-01}', "");
    Expect(1, 73678, '\P{Is_Numeric_Value=1.50e-01}', "");
    Expect(0, 73678, '\P{^Is_Numeric_Value=1.50e-01}', "");
    Expect(1, 73677, '\p{Is_Numeric_Value=0.15}', "");
    Expect(0, 73677, '\p{^Is_Numeric_Value=0.15}', "");
    Expect(0, 73677, '\P{Is_Numeric_Value=0.15}', "");
    Expect(1, 73677, '\P{^Is_Numeric_Value=0.15}', "");
    Expect(0, 73678, '\p{Is_Numeric_Value=0.15}', "");
    Expect(1, 73678, '\p{^Is_Numeric_Value=0.15}', "");
    Expect(1, 73678, '\P{Is_Numeric_Value=0.15}', "");
    Expect(0, 73678, '\P{^Is_Numeric_Value=0.15}', "");
    Expect(1, 73677, '\p{Is_Numeric_Value:1.500e-01}', "");
    Expect(0, 73677, '\p{^Is_Numeric_Value:1.500e-01}', "");
    Expect(0, 73677, '\P{Is_Numeric_Value:1.500e-01}', "");
    Expect(1, 73677, '\P{^Is_Numeric_Value:1.500e-01}', "");
    Expect(0, 73678, '\p{Is_Numeric_Value:1.500e-01}', "");
    Expect(1, 73678, '\p{^Is_Numeric_Value:1.500e-01}', "");
    Expect(1, 73678, '\P{Is_Numeric_Value:1.500e-01}', "");
    Expect(0, 73678, '\P{^Is_Numeric_Value:1.500e-01}', "");
    Expect(1, 73677, '\p{Is_Numeric_Value=0.150}', "");
    Expect(0, 73677, '\p{^Is_Numeric_Value=0.150}', "");
    Expect(0, 73677, '\P{Is_Numeric_Value=0.150}', "");
    Expect(1, 73677, '\P{^Is_Numeric_Value=0.150}', "");
    Expect(0, 73678, '\p{Is_Numeric_Value=0.150}', "");
    Expect(1, 73678, '\p{^Is_Numeric_Value=0.150}', "");
    Expect(1, 73678, '\P{Is_Numeric_Value=0.150}', "");
    Expect(0, 73678, '\P{^Is_Numeric_Value=0.150}', "");
    Error('\p{Is_Nv=:=00003/020}');
    Error('\P{Is_Nv=:=00003/020}');
    Expect(1, 73677, '\p{Is_Nv=00000003/20}', "");
    Expect(0, 73677, '\p{^Is_Nv=00000003/20}', "");
    Expect(0, 73677, '\P{Is_Nv=00000003/20}', "");
    Expect(1, 73677, '\P{^Is_Nv=00000003/20}', "");
    Expect(0, 73678, '\p{Is_Nv=00000003/20}', "");
    Expect(1, 73678, '\p{^Is_Nv=00000003/20}', "");
    Expect(1, 73678, '\P{Is_Nv=00000003/20}', "");
    Expect(0, 73678, '\P{^Is_Nv=00000003/20}', "");
    Expect(1, 73677, '\p{Is_Nv=180/1200}', "");
    Expect(0, 73677, '\p{^Is_Nv=180/1200}', "");
    Expect(0, 73677, '\P{Is_Nv=180/1200}', "");
    Expect(1, 73677, '\P{^Is_Nv=180/1200}', "");
    Expect(0, 73678, '\p{Is_Nv=180/1200}', "");
    Expect(1, 73678, '\p{^Is_Nv=180/1200}', "");
    Expect(1, 73678, '\P{Is_Nv=180/1200}', "");
    Expect(0, 73678, '\P{^Is_Nv=180/1200}', "");
    Expect(1, 73677, '\p{Is_Nv=1.5e-01}', "");
    Expect(0, 73677, '\p{^Is_Nv=1.5e-01}', "");
    Expect(0, 73677, '\P{Is_Nv=1.5e-01}', "");
    Expect(1, 73677, '\P{^Is_Nv=1.5e-01}', "");
    Expect(0, 73678, '\p{Is_Nv=1.5e-01}', "");
    Expect(1, 73678, '\p{^Is_Nv=1.5e-01}', "");
    Expect(1, 73678, '\P{Is_Nv=1.5e-01}', "");
    Expect(0, 73678, '\P{^Is_Nv=1.5e-01}', "");
    Expect(1, 73677, '\p{Is_Nv=1.50e-01}', "");
    Expect(0, 73677, '\p{^Is_Nv=1.50e-01}', "");
    Expect(0, 73677, '\P{Is_Nv=1.50e-01}', "");
    Expect(1, 73677, '\P{^Is_Nv=1.50e-01}', "");
    Expect(0, 73678, '\p{Is_Nv=1.50e-01}', "");
    Expect(1, 73678, '\p{^Is_Nv=1.50e-01}', "");
    Expect(1, 73678, '\P{Is_Nv=1.50e-01}', "");
    Expect(0, 73678, '\P{^Is_Nv=1.50e-01}', "");
    Expect(1, 73677, '\p{Is_Nv=0.15}', "");
    Expect(0, 73677, '\p{^Is_Nv=0.15}', "");
    Expect(0, 73677, '\P{Is_Nv=0.15}', "");
    Expect(1, 73677, '\P{^Is_Nv=0.15}', "");
    Expect(0, 73678, '\p{Is_Nv=0.15}', "");
    Expect(1, 73678, '\p{^Is_Nv=0.15}', "");
    Expect(1, 73678, '\P{Is_Nv=0.15}', "");
    Expect(0, 73678, '\P{^Is_Nv=0.15}', "");
    Expect(1, 73677, '\p{Is_Nv:1.500e-01}', "");
    Expect(0, 73677, '\p{^Is_Nv:1.500e-01}', "");
    Expect(0, 73677, '\P{Is_Nv:1.500e-01}', "");
    Expect(1, 73677, '\P{^Is_Nv:1.500e-01}', "");
    Expect(0, 73678, '\p{Is_Nv:1.500e-01}', "");
    Expect(1, 73678, '\p{^Is_Nv:1.500e-01}', "");
    Expect(1, 73678, '\P{Is_Nv:1.500e-01}', "");
    Expect(0, 73678, '\P{^Is_Nv:1.500e-01}', "");
    Expect(1, 73677, '\p{Is_Nv=0.150}', "");
    Expect(0, 73677, '\p{^Is_Nv=0.150}', "");
    Expect(0, 73677, '\P{Is_Nv=0.150}', "");
    Expect(1, 73677, '\P{^Is_Nv=0.150}', "");
    Expect(0, 73678, '\p{Is_Nv=0.150}', "");
    Expect(1, 73678, '\p{^Is_Nv=0.150}', "");
    Expect(1, 73678, '\P{Is_Nv=0.150}', "");
    Expect(0, 73678, '\P{^Is_Nv=0.150}', "");
    Error('\p{Numeric_Value:	:= -003/000004}');
    Error('\P{Numeric_Value:	:= -003/000004}');
    Expect(1, 126127, '\p{Numeric_Value=:\A3/4\z:}', "");;
    Expect(0, 126128, '\p{Numeric_Value=:\A3/4\z:}', "");;
    Expect(1, 126127, '\p{Numeric_Value=000000003/004}', "");
    Expect(0, 126127, '\p{^Numeric_Value=000000003/004}', "");
    Expect(0, 126127, '\P{Numeric_Value=000000003/004}', "");
    Expect(1, 126127, '\P{^Numeric_Value=000000003/004}', "");
    Expect(0, 126128, '\p{Numeric_Value=000000003/004}', "");
    Expect(1, 126128, '\p{^Numeric_Value=000000003/004}', "");
    Expect(1, 126128, '\P{Numeric_Value=000000003/004}', "");
    Expect(0, 126128, '\P{^Numeric_Value=000000003/004}', "");
    Expect(1, 126127, '\p{Numeric_Value=180/240}', "");
    Expect(0, 126127, '\p{^Numeric_Value=180/240}', "");
    Expect(0, 126127, '\P{Numeric_Value=180/240}', "");
    Expect(1, 126127, '\P{^Numeric_Value=180/240}', "");
    Expect(0, 126128, '\p{Numeric_Value=180/240}', "");
    Expect(1, 126128, '\p{^Numeric_Value=180/240}', "");
    Expect(1, 126128, '\P{Numeric_Value=180/240}', "");
    Expect(0, 126128, '\P{^Numeric_Value=180/240}', "");
    Expect(1, 126127, '\p{Numeric_Value=7.5e-01}', "");
    Expect(0, 126127, '\p{^Numeric_Value=7.5e-01}', "");
    Expect(0, 126127, '\P{Numeric_Value=7.5e-01}', "");
    Expect(1, 126127, '\P{^Numeric_Value=7.5e-01}', "");
    Expect(0, 126128, '\p{Numeric_Value=7.5e-01}', "");
    Expect(1, 126128, '\p{^Numeric_Value=7.5e-01}', "");
    Expect(1, 126128, '\P{Numeric_Value=7.5e-01}', "");
    Expect(0, 126128, '\P{^Numeric_Value=7.5e-01}', "");
    Expect(1, 126127, '\p{Numeric_Value=7.50e-01}', "");
    Expect(0, 126127, '\p{^Numeric_Value=7.50e-01}', "");
    Expect(0, 126127, '\P{Numeric_Value=7.50e-01}', "");
    Expect(1, 126127, '\P{^Numeric_Value=7.50e-01}', "");
    Expect(0, 126128, '\p{Numeric_Value=7.50e-01}', "");
    Expect(1, 126128, '\p{^Numeric_Value=7.50e-01}', "");
    Expect(1, 126128, '\P{Numeric_Value=7.50e-01}', "");
    Expect(0, 126128, '\P{^Numeric_Value=7.50e-01}', "");
    Expect(1, 126127, '\p{Numeric_Value=0.75}', "");
    Expect(0, 126127, '\p{^Numeric_Value=0.75}', "");
    Expect(0, 126127, '\P{Numeric_Value=0.75}', "");
    Expect(1, 126127, '\P{^Numeric_Value=0.75}', "");
    Expect(0, 126128, '\p{Numeric_Value=0.75}', "");
    Expect(1, 126128, '\p{^Numeric_Value=0.75}', "");
    Expect(1, 126128, '\P{Numeric_Value=0.75}', "");
    Expect(0, 126128, '\P{^Numeric_Value=0.75}', "");
    Expect(1, 126127, '\p{Numeric_Value:   7.500e-01}', "");
    Expect(0, 126127, '\p{^Numeric_Value:   7.500e-01}', "");
    Expect(0, 126127, '\P{Numeric_Value:   7.500e-01}', "");
    Expect(1, 126127, '\P{^Numeric_Value:   7.500e-01}', "");
    Expect(0, 126128, '\p{Numeric_Value:   7.500e-01}', "");
    Expect(1, 126128, '\p{^Numeric_Value:   7.500e-01}', "");
    Expect(1, 126128, '\P{Numeric_Value:   7.500e-01}', "");
    Expect(0, 126128, '\P{^Numeric_Value:   7.500e-01}', "");
    Expect(1, 126127, '\p{Numeric_Value:   0.750}', "");
    Expect(0, 126127, '\p{^Numeric_Value:   0.750}', "");
    Expect(0, 126127, '\P{Numeric_Value:   0.750}', "");
    Expect(1, 126127, '\P{^Numeric_Value:   0.750}', "");
    Expect(0, 126128, '\p{Numeric_Value:   0.750}', "");
    Expect(1, 126128, '\p{^Numeric_Value:   0.750}', "");
    Expect(1, 126128, '\P{Numeric_Value:   0.750}', "");
    Expect(0, 126128, '\P{^Numeric_Value:   0.750}', "");
    Error('\p{Nv=	-003/00004:=}');
    Error('\P{Nv=	-003/00004:=}');
    Expect(1, 126127, '\p{Nv=:\A3/4\z:}', "");;
    Expect(0, 126128, '\p{Nv=:\A3/4\z:}', "");;
    Expect(1, 126127, '\p{Nv=+03/000000004}', "");
    Expect(0, 126127, '\p{^Nv=+03/000000004}', "");
    Expect(0, 126127, '\P{Nv=+03/000000004}', "");
    Expect(1, 126127, '\P{^Nv=+03/000000004}', "");
    Expect(0, 126128, '\p{Nv=+03/000000004}', "");
    Expect(1, 126128, '\p{^Nv=+03/000000004}', "");
    Expect(1, 126128, '\P{Nv=+03/000000004}', "");
    Expect(0, 126128, '\P{^Nv=+03/000000004}', "");
    Expect(1, 126127, '\p{Nv=180/240}', "");
    Expect(0, 126127, '\p{^Nv=180/240}', "");
    Expect(0, 126127, '\P{Nv=180/240}', "");
    Expect(1, 126127, '\P{^Nv=180/240}', "");
    Expect(0, 126128, '\p{Nv=180/240}', "");
    Expect(1, 126128, '\p{^Nv=180/240}', "");
    Expect(1, 126128, '\P{Nv=180/240}', "");
    Expect(0, 126128, '\P{^Nv=180/240}', "");
    Expect(1, 126127, '\p{Nv=7.5e-01}', "");
    Expect(0, 126127, '\p{^Nv=7.5e-01}', "");
    Expect(0, 126127, '\P{Nv=7.5e-01}', "");
    Expect(1, 126127, '\P{^Nv=7.5e-01}', "");
    Expect(0, 126128, '\p{Nv=7.5e-01}', "");
    Expect(1, 126128, '\p{^Nv=7.5e-01}', "");
    Expect(1, 126128, '\P{Nv=7.5e-01}', "");
    Expect(0, 126128, '\P{^Nv=7.5e-01}', "");
    Expect(1, 126127, '\p{Nv=7.50e-01}', "");
    Expect(0, 126127, '\p{^Nv=7.50e-01}', "");
    Expect(0, 126127, '\P{Nv=7.50e-01}', "");
    Expect(1, 126127, '\P{^Nv=7.50e-01}', "");
    Expect(0, 126128, '\p{Nv=7.50e-01}', "");
    Expect(1, 126128, '\p{^Nv=7.50e-01}', "");
    Expect(1, 126128, '\P{Nv=7.50e-01}', "");
    Expect(0, 126128, '\P{^Nv=7.50e-01}', "");
    Expect(1, 126127, '\p{Nv=0.75}', "");
    Expect(0, 126127, '\p{^Nv=0.75}', "");
    Expect(0, 126127, '\P{Nv=0.75}', "");
    Expect(1, 126127, '\P{^Nv=0.75}', "");
    Expect(0, 126128, '\p{Nv=0.75}', "");
    Expect(1, 126128, '\p{^Nv=0.75}', "");
    Expect(1, 126128, '\P{Nv=0.75}', "");
    Expect(0, 126128, '\P{^Nv=0.75}', "");
    Expect(1, 126127, '\p{Nv=7.500e-01}', "");
    Expect(0, 126127, '\p{^Nv=7.500e-01}', "");
    Expect(0, 126127, '\P{Nv=7.500e-01}', "");
    Expect(1, 126127, '\P{^Nv=7.500e-01}', "");
    Expect(0, 126128, '\p{Nv=7.500e-01}', "");
    Expect(1, 126128, '\p{^Nv=7.500e-01}', "");
    Expect(1, 126128, '\P{Nv=7.500e-01}', "");
    Expect(0, 126128, '\P{^Nv=7.500e-01}', "");
    Expect(1, 126127, '\p{Nv:0.750}', "");
    Expect(0, 126127, '\p{^Nv:0.750}', "");
    Expect(0, 126127, '\P{Nv:0.750}', "");
    Expect(1, 126127, '\P{^Nv:0.750}', "");
    Expect(0, 126128, '\p{Nv:0.750}', "");
    Expect(1, 126128, '\p{^Nv:0.750}', "");
    Expect(1, 126128, '\P{Nv:0.750}', "");
    Expect(0, 126128, '\P{^Nv:0.750}', "");
    Error('\p{Is_Numeric_Value= -+000000003/000004:=}');
    Error('\P{Is_Numeric_Value= -+000000003/000004:=}');
    Expect(1, 126127, '\p{Is_Numeric_Value=+00000003/000000004}', "");
    Expect(0, 126127, '\p{^Is_Numeric_Value=+00000003/000000004}', "");
    Expect(0, 126127, '\P{Is_Numeric_Value=+00000003/000000004}', "");
    Expect(1, 126127, '\P{^Is_Numeric_Value=+00000003/000000004}', "");
    Expect(0, 126128, '\p{Is_Numeric_Value=+00000003/000000004}', "");
    Expect(1, 126128, '\p{^Is_Numeric_Value=+00000003/000000004}', "");
    Expect(1, 126128, '\P{Is_Numeric_Value=+00000003/000000004}', "");
    Expect(0, 126128, '\P{^Is_Numeric_Value=+00000003/000000004}', "");
    Expect(1, 126127, '\p{Is_Numeric_Value=180/240}', "");
    Expect(0, 126127, '\p{^Is_Numeric_Value=180/240}', "");
    Expect(0, 126127, '\P{Is_Numeric_Value=180/240}', "");
    Expect(1, 126127, '\P{^Is_Numeric_Value=180/240}', "");
    Expect(0, 126128, '\p{Is_Numeric_Value=180/240}', "");
    Expect(1, 126128, '\p{^Is_Numeric_Value=180/240}', "");
    Expect(1, 126128, '\P{Is_Numeric_Value=180/240}', "");
    Expect(0, 126128, '\P{^Is_Numeric_Value=180/240}', "");
    Expect(1, 126127, '\p{Is_Numeric_Value=7.5e-01}', "");
    Expect(0, 126127, '\p{^Is_Numeric_Value=7.5e-01}', "");
    Expect(0, 126127, '\P{Is_Numeric_Value=7.5e-01}', "");
    Expect(1, 126127, '\P{^Is_Numeric_Value=7.5e-01}', "");
    Expect(0, 126128, '\p{Is_Numeric_Value=7.5e-01}', "");
    Expect(1, 126128, '\p{^Is_Numeric_Value=7.5e-01}', "");
    Expect(1, 126128, '\P{Is_Numeric_Value=7.5e-01}', "");
    Expect(0, 126128, '\P{^Is_Numeric_Value=7.5e-01}', "");
    Expect(1, 126127, '\p{Is_Numeric_Value=7.50e-01}', "");
    Expect(0, 126127, '\p{^Is_Numeric_Value=7.50e-01}', "");
    Expect(0, 126127, '\P{Is_Numeric_Value=7.50e-01}', "");
    Expect(1, 126127, '\P{^Is_Numeric_Value=7.50e-01}', "");
    Expect(0, 126128, '\p{Is_Numeric_Value=7.50e-01}', "");
    Expect(1, 126128, '\p{^Is_Numeric_Value=7.50e-01}', "");
    Expect(1, 126128, '\P{Is_Numeric_Value=7.50e-01}', "");
    Expect(0, 126128, '\P{^Is_Numeric_Value=7.50e-01}', "");
    Expect(1, 126127, '\p{Is_Numeric_Value=0.75}', "");
    Expect(0, 126127, '\p{^Is_Numeric_Value=0.75}', "");
    Expect(0, 126127, '\P{Is_Numeric_Value=0.75}', "");
    Expect(1, 126127, '\P{^Is_Numeric_Value=0.75}', "");
    Expect(0, 126128, '\p{Is_Numeric_Value=0.75}', "");
    Expect(1, 126128, '\p{^Is_Numeric_Value=0.75}', "");
    Expect(1, 126128, '\P{Is_Numeric_Value=0.75}', "");
    Expect(0, 126128, '\P{^Is_Numeric_Value=0.75}', "");
    Expect(1, 126127, '\p{Is_Numeric_Value=7.500e-01}', "");
    Expect(0, 126127, '\p{^Is_Numeric_Value=7.500e-01}', "");
    Expect(0, 126127, '\P{Is_Numeric_Value=7.500e-01}', "");
    Expect(1, 126127, '\P{^Is_Numeric_Value=7.500e-01}', "");
    Expect(0, 126128, '\p{Is_Numeric_Value=7.500e-01}', "");
    Expect(1, 126128, '\p{^Is_Numeric_Value=7.500e-01}', "");
    Expect(1, 126128, '\P{Is_Numeric_Value=7.500e-01}', "");
    Expect(0, 126128, '\P{^Is_Numeric_Value=7.500e-01}', "");
    Expect(1, 126127, '\p{Is_Numeric_Value=0.750}', "");
    Expect(0, 126127, '\p{^Is_Numeric_Value=0.750}', "");
    Expect(0, 126127, '\P{Is_Numeric_Value=0.750}', "");
    Expect(1, 126127, '\P{^Is_Numeric_Value=0.750}', "");
    Expect(0, 126128, '\p{Is_Numeric_Value=0.750}', "");
    Expect(1, 126128, '\p{^Is_Numeric_Value=0.750}', "");
    Expect(1, 126128, '\P{Is_Numeric_Value=0.750}', "");
    Expect(0, 126128, '\P{^Is_Numeric_Value=0.750}', "");
    Error('\p{Is_Nv=		000000003/00000004:=}');
    Error('\P{Is_Nv=		000000003/00000004:=}');
    Expect(1, 126127, '\p{Is_Nv=0000000003/000004}', "");
    Expect(0, 126127, '\p{^Is_Nv=0000000003/000004}', "");
    Expect(0, 126127, '\P{Is_Nv=0000000003/000004}', "");
    Expect(1, 126127, '\P{^Is_Nv=0000000003/000004}', "");
    Expect(0, 126128, '\p{Is_Nv=0000000003/000004}', "");
    Expect(1, 126128, '\p{^Is_Nv=0000000003/000004}', "");
    Expect(1, 126128, '\P{Is_Nv=0000000003/000004}', "");
    Expect(0, 126128, '\P{^Is_Nv=0000000003/000004}', "");
    Expect(1, 126127, '\p{Is_Nv=180/240}', "");
    Expect(0, 126127, '\p{^Is_Nv=180/240}', "");
    Expect(0, 126127, '\P{Is_Nv=180/240}', "");
    Expect(1, 126127, '\P{^Is_Nv=180/240}', "");
    Expect(0, 126128, '\p{Is_Nv=180/240}', "");
    Expect(1, 126128, '\p{^Is_Nv=180/240}', "");
    Expect(1, 126128, '\P{Is_Nv=180/240}', "");
    Expect(0, 126128, '\P{^Is_Nv=180/240}', "");
    Expect(1, 126127, '\p{Is_Nv:	7.5e-01}', "");
    Expect(0, 126127, '\p{^Is_Nv:	7.5e-01}', "");
    Expect(0, 126127, '\P{Is_Nv:	7.5e-01}', "");
    Expect(1, 126127, '\P{^Is_Nv:	7.5e-01}', "");
    Expect(0, 126128, '\p{Is_Nv:	7.5e-01}', "");
    Expect(1, 126128, '\p{^Is_Nv:	7.5e-01}', "");
    Expect(1, 126128, '\P{Is_Nv:	7.5e-01}', "");
    Expect(0, 126128, '\P{^Is_Nv:	7.5e-01}', "");
    Expect(1, 126127, '\p{Is_Nv=7.50e-01}', "");
    Expect(0, 126127, '\p{^Is_Nv=7.50e-01}', "");
    Expect(0, 126127, '\P{Is_Nv=7.50e-01}', "");
    Expect(1, 126127, '\P{^Is_Nv=7.50e-01}', "");
    Expect(0, 126128, '\p{Is_Nv=7.50e-01}', "");
    Expect(1, 126128, '\p{^Is_Nv=7.50e-01}', "");
    Expect(1, 126128, '\P{Is_Nv=7.50e-01}', "");
    Expect(0, 126128, '\P{^Is_Nv=7.50e-01}', "");
    Expect(1, 126127, '\p{Is_Nv=0.75}', "");
    Expect(0, 126127, '\p{^Is_Nv=0.75}', "");
    Expect(0, 126127, '\P{Is_Nv=0.75}', "");
    Expect(1, 126127, '\P{^Is_Nv=0.75}', "");
    Expect(0, 126128, '\p{Is_Nv=0.75}', "");
    Expect(1, 126128, '\p{^Is_Nv=0.75}', "");
    Expect(1, 126128, '\P{Is_Nv=0.75}', "");
    Expect(0, 126128, '\P{^Is_Nv=0.75}', "");
    Expect(1, 126127, '\p{Is_Nv=7.500e-01}', "");
    Expect(0, 126127, '\p{^Is_Nv=7.500e-01}', "");
    Expect(0, 126127, '\P{Is_Nv=7.500e-01}', "");
    Expect(1, 126127, '\P{^Is_Nv=7.500e-01}', "");
    Expect(0, 126128, '\p{Is_Nv=7.500e-01}', "");
    Expect(1, 126128, '\p{^Is_Nv=7.500e-01}', "");
    Expect(1, 126128, '\P{Is_Nv=7.500e-01}', "");
    Expect(0, 126128, '\P{^Is_Nv=7.500e-01}', "");
    Expect(1, 126127, '\p{Is_Nv=0.750}', "");
    Expect(0, 126127, '\p{^Is_Nv=0.750}', "");
    Expect(0, 126127, '\P{Is_Nv=0.750}', "");
    Expect(1, 126127, '\P{^Is_Nv=0.750}', "");
    Expect(0, 126128, '\p{Is_Nv=0.750}', "");
    Expect(1, 126128, '\p{^Is_Nv=0.750}', "");
    Expect(1, 126128, '\P{Is_Nv=0.750}', "");
    Expect(0, 126128, '\P{^Is_Nv=0.750}', "");
    Error('\p{Numeric_Value= 003/0000005:=}');
    Error('\P{Numeric_Value= 003/0000005:=}');
    Expect(1, 8535, '\p{Numeric_Value=:\A3/5\z:}', "");;
    Expect(0, 8536, '\p{Numeric_Value=:\A3/5\z:}', "");;
    Expect(1, 8535, '\p{Numeric_Value=0000003/00005}', "");
    Expect(0, 8535, '\p{^Numeric_Value=0000003/00005}', "");
    Expect(0, 8535, '\P{Numeric_Value=0000003/00005}', "");
    Expect(1, 8535, '\P{^Numeric_Value=0000003/00005}', "");
    Expect(0, 8536, '\p{Numeric_Value=0000003/00005}', "");
    Expect(1, 8536, '\p{^Numeric_Value=0000003/00005}', "");
    Expect(1, 8536, '\P{Numeric_Value=0000003/00005}', "");
    Expect(0, 8536, '\P{^Numeric_Value=0000003/00005}', "");
    Expect(1, 8535, '\p{Numeric_Value=180/300}', "");
    Expect(0, 8535, '\p{^Numeric_Value=180/300}', "");
    Expect(0, 8535, '\P{Numeric_Value=180/300}', "");
    Expect(1, 8535, '\P{^Numeric_Value=180/300}', "");
    Expect(0, 8536, '\p{Numeric_Value=180/300}', "");
    Expect(1, 8536, '\p{^Numeric_Value=180/300}', "");
    Expect(1, 8536, '\P{Numeric_Value=180/300}', "");
    Expect(0, 8536, '\P{^Numeric_Value=180/300}', "");
    Expect(1, 8535, '\p{Numeric_Value=6.0e-01}', "");
    Expect(0, 8535, '\p{^Numeric_Value=6.0e-01}', "");
    Expect(0, 8535, '\P{Numeric_Value=6.0e-01}', "");
    Expect(1, 8535, '\P{^Numeric_Value=6.0e-01}', "");
    Expect(0, 8536, '\p{Numeric_Value=6.0e-01}', "");
    Expect(1, 8536, '\p{^Numeric_Value=6.0e-01}', "");
    Expect(1, 8536, '\P{Numeric_Value=6.0e-01}', "");
    Expect(0, 8536, '\P{^Numeric_Value=6.0e-01}', "");
    Expect(1, 8535, '\p{Numeric_Value=0.6}', "");
    Expect(0, 8535, '\p{^Numeric_Value=0.6}', "");
    Expect(0, 8535, '\P{Numeric_Value=0.6}', "");
    Expect(1, 8535, '\P{^Numeric_Value=0.6}', "");
    Expect(0, 8536, '\p{Numeric_Value=0.6}', "");
    Expect(1, 8536, '\p{^Numeric_Value=0.6}', "");
    Expect(1, 8536, '\P{Numeric_Value=0.6}', "");
    Expect(0, 8536, '\P{^Numeric_Value=0.6}', "");
    Expect(1, 8535, '\p{Numeric_Value=6.00e-01}', "");
    Expect(0, 8535, '\p{^Numeric_Value=6.00e-01}', "");
    Expect(0, 8535, '\P{Numeric_Value=6.00e-01}', "");
    Expect(1, 8535, '\P{^Numeric_Value=6.00e-01}', "");
    Expect(0, 8536, '\p{Numeric_Value=6.00e-01}', "");
    Expect(1, 8536, '\p{^Numeric_Value=6.00e-01}', "");
    Expect(1, 8536, '\P{Numeric_Value=6.00e-01}', "");
    Expect(0, 8536, '\P{^Numeric_Value=6.00e-01}', "");
    Expect(1, 8535, '\p{Numeric_Value=0.60}', "");
    Expect(0, 8535, '\p{^Numeric_Value=0.60}', "");
    Expect(0, 8535, '\P{Numeric_Value=0.60}', "");
    Expect(1, 8535, '\P{^Numeric_Value=0.60}', "");
    Expect(0, 8536, '\p{Numeric_Value=0.60}', "");
    Expect(1, 8536, '\p{^Numeric_Value=0.60}', "");
    Expect(1, 8536, '\P{Numeric_Value=0.60}', "");
    Expect(0, 8536, '\P{^Numeric_Value=0.60}', "");
    Error('\p{Nv=/a/ 00003/0005}');
    Error('\P{Nv=/a/ 00003/0005}');
    Expect(1, 8535, '\p{Nv=:\A3/5\z:}', "");;
    Expect(0, 8536, '\p{Nv=:\A3/5\z:}', "");;
    Expect(1, 8535, '\p{Nv:000000003/0000005}', "");
    Expect(0, 8535, '\p{^Nv:000000003/0000005}', "");
    Expect(0, 8535, '\P{Nv:000000003/0000005}', "");
    Expect(1, 8535, '\P{^Nv:000000003/0000005}', "");
    Expect(0, 8536, '\p{Nv:000000003/0000005}', "");
    Expect(1, 8536, '\p{^Nv:000000003/0000005}', "");
    Expect(1, 8536, '\P{Nv:000000003/0000005}', "");
    Expect(0, 8536, '\P{^Nv:000000003/0000005}', "");
    Expect(1, 8535, '\p{Nv=180/300}', "");
    Expect(0, 8535, '\p{^Nv=180/300}', "");
    Expect(0, 8535, '\P{Nv=180/300}', "");
    Expect(1, 8535, '\P{^Nv=180/300}', "");
    Expect(0, 8536, '\p{Nv=180/300}', "");
    Expect(1, 8536, '\p{^Nv=180/300}', "");
    Expect(1, 8536, '\P{Nv=180/300}', "");
    Expect(0, 8536, '\P{^Nv=180/300}', "");
    Expect(1, 8535, '\p{Nv=6.0e-01}', "");
    Expect(0, 8535, '\p{^Nv=6.0e-01}', "");
    Expect(0, 8535, '\P{Nv=6.0e-01}', "");
    Expect(1, 8535, '\P{^Nv=6.0e-01}', "");
    Expect(0, 8536, '\p{Nv=6.0e-01}', "");
    Expect(1, 8536, '\p{^Nv=6.0e-01}', "");
    Expect(1, 8536, '\P{Nv=6.0e-01}', "");
    Expect(0, 8536, '\P{^Nv=6.0e-01}', "");
    Expect(1, 8535, '\p{Nv=0.6}', "");
    Expect(0, 8535, '\p{^Nv=0.6}', "");
    Expect(0, 8535, '\P{Nv=0.6}', "");
    Expect(1, 8535, '\P{^Nv=0.6}', "");
    Expect(0, 8536, '\p{Nv=0.6}', "");
    Expect(1, 8536, '\p{^Nv=0.6}', "");
    Expect(1, 8536, '\P{Nv=0.6}', "");
    Expect(0, 8536, '\P{^Nv=0.6}', "");
    Expect(1, 8535, '\p{Nv=6.00e-01}', "");
    Expect(0, 8535, '\p{^Nv=6.00e-01}', "");
    Expect(0, 8535, '\P{Nv=6.00e-01}', "");
    Expect(1, 8535, '\P{^Nv=6.00e-01}', "");
    Expect(0, 8536, '\p{Nv=6.00e-01}', "");
    Expect(1, 8536, '\p{^Nv=6.00e-01}', "");
    Expect(1, 8536, '\P{Nv=6.00e-01}', "");
    Expect(0, 8536, '\P{^Nv=6.00e-01}', "");
    Expect(1, 8535, '\p{Nv=0.60}', "");
    Expect(0, 8535, '\p{^Nv=0.60}', "");
    Expect(0, 8535, '\P{Nv=0.60}', "");
    Expect(1, 8535, '\P{^Nv=0.60}', "");
    Expect(0, 8536, '\p{Nv=0.60}', "");
    Expect(1, 8536, '\p{^Nv=0.60}', "");
    Expect(1, 8536, '\P{Nv=0.60}', "");
    Expect(0, 8536, '\P{^Nv=0.60}', "");
    Error('\p{Is_Numeric_Value=:=_0000000003/00000005}');
    Error('\P{Is_Numeric_Value=:=_0000000003/00000005}');
    Expect(1, 8535, '\p{Is_Numeric_Value=+000003/000005}', "");
    Expect(0, 8535, '\p{^Is_Numeric_Value=+000003/000005}', "");
    Expect(0, 8535, '\P{Is_Numeric_Value=+000003/000005}', "");
    Expect(1, 8535, '\P{^Is_Numeric_Value=+000003/000005}', "");
    Expect(0, 8536, '\p{Is_Numeric_Value=+000003/000005}', "");
    Expect(1, 8536, '\p{^Is_Numeric_Value=+000003/000005}', "");
    Expect(1, 8536, '\P{Is_Numeric_Value=+000003/000005}', "");
    Expect(0, 8536, '\P{^Is_Numeric_Value=+000003/000005}', "");
    Expect(1, 8535, '\p{Is_Numeric_Value=180/300}', "");
    Expect(0, 8535, '\p{^Is_Numeric_Value=180/300}', "");
    Expect(0, 8535, '\P{Is_Numeric_Value=180/300}', "");
    Expect(1, 8535, '\P{^Is_Numeric_Value=180/300}', "");
    Expect(0, 8536, '\p{Is_Numeric_Value=180/300}', "");
    Expect(1, 8536, '\p{^Is_Numeric_Value=180/300}', "");
    Expect(1, 8536, '\P{Is_Numeric_Value=180/300}', "");
    Expect(0, 8536, '\P{^Is_Numeric_Value=180/300}', "");
    Expect(1, 8535, '\p{Is_Numeric_Value=6.0e-01}', "");
    Expect(0, 8535, '\p{^Is_Numeric_Value=6.0e-01}', "");
    Expect(0, 8535, '\P{Is_Numeric_Value=6.0e-01}', "");
    Expect(1, 8535, '\P{^Is_Numeric_Value=6.0e-01}', "");
    Expect(0, 8536, '\p{Is_Numeric_Value=6.0e-01}', "");
    Expect(1, 8536, '\p{^Is_Numeric_Value=6.0e-01}', "");
    Expect(1, 8536, '\P{Is_Numeric_Value=6.0e-01}', "");
    Expect(0, 8536, '\P{^Is_Numeric_Value=6.0e-01}', "");
    Expect(1, 8535, '\p{Is_Numeric_Value=0.6}', "");
    Expect(0, 8535, '\p{^Is_Numeric_Value=0.6}', "");
    Expect(0, 8535, '\P{Is_Numeric_Value=0.6}', "");
    Expect(1, 8535, '\P{^Is_Numeric_Value=0.6}', "");
    Expect(0, 8536, '\p{Is_Numeric_Value=0.6}', "");
    Expect(1, 8536, '\p{^Is_Numeric_Value=0.6}', "");
    Expect(1, 8536, '\P{Is_Numeric_Value=0.6}', "");
    Expect(0, 8536, '\P{^Is_Numeric_Value=0.6}', "");
    Expect(1, 8535, '\p{Is_Numeric_Value=6.00e-01}', "");
    Expect(0, 8535, '\p{^Is_Numeric_Value=6.00e-01}', "");
    Expect(0, 8535, '\P{Is_Numeric_Value=6.00e-01}', "");
    Expect(1, 8535, '\P{^Is_Numeric_Value=6.00e-01}', "");
    Expect(0, 8536, '\p{Is_Numeric_Value=6.00e-01}', "");
    Expect(1, 8536, '\p{^Is_Numeric_Value=6.00e-01}', "");
    Expect(1, 8536, '\P{Is_Numeric_Value=6.00e-01}', "");
    Expect(0, 8536, '\P{^Is_Numeric_Value=6.00e-01}', "");
    Expect(1, 8535, '\p{Is_Numeric_Value=0.60}', "");
    Expect(0, 8535, '\p{^Is_Numeric_Value=0.60}', "");
    Expect(0, 8535, '\P{Is_Numeric_Value=0.60}', "");
    Expect(1, 8535, '\P{^Is_Numeric_Value=0.60}', "");
    Expect(0, 8536, '\p{Is_Numeric_Value=0.60}', "");
    Expect(1, 8536, '\p{^Is_Numeric_Value=0.60}', "");
    Expect(1, 8536, '\P{Is_Numeric_Value=0.60}', "");
    Expect(0, 8536, '\P{^Is_Numeric_Value=0.60}', "");
    Error('\p{Is_Nv=-:=00003/05}');
    Error('\P{Is_Nv=-:=00003/05}');
    Expect(1, 8535, '\p{Is_Nv=03/00005}', "");
    Expect(0, 8535, '\p{^Is_Nv=03/00005}', "");
    Expect(0, 8535, '\P{Is_Nv=03/00005}', "");
    Expect(1, 8535, '\P{^Is_Nv=03/00005}', "");
    Expect(0, 8536, '\p{Is_Nv=03/00005}', "");
    Expect(1, 8536, '\p{^Is_Nv=03/00005}', "");
    Expect(1, 8536, '\P{Is_Nv=03/00005}', "");
    Expect(0, 8536, '\P{^Is_Nv=03/00005}', "");
    Expect(1, 8535, '\p{Is_Nv=180/300}', "");
    Expect(0, 8535, '\p{^Is_Nv=180/300}', "");
    Expect(0, 8535, '\P{Is_Nv=180/300}', "");
    Expect(1, 8535, '\P{^Is_Nv=180/300}', "");
    Expect(0, 8536, '\p{Is_Nv=180/300}', "");
    Expect(1, 8536, '\p{^Is_Nv=180/300}', "");
    Expect(1, 8536, '\P{Is_Nv=180/300}', "");
    Expect(0, 8536, '\P{^Is_Nv=180/300}', "");
    Expect(1, 8535, '\p{Is_Nv=6.0e-01}', "");
    Expect(0, 8535, '\p{^Is_Nv=6.0e-01}', "");
    Expect(0, 8535, '\P{Is_Nv=6.0e-01}', "");
    Expect(1, 8535, '\P{^Is_Nv=6.0e-01}', "");
    Expect(0, 8536, '\p{Is_Nv=6.0e-01}', "");
    Expect(1, 8536, '\p{^Is_Nv=6.0e-01}', "");
    Expect(1, 8536, '\P{Is_Nv=6.0e-01}', "");
    Expect(0, 8536, '\P{^Is_Nv=6.0e-01}', "");
    Expect(1, 8535, '\p{Is_Nv=0.6}', "");
    Expect(0, 8535, '\p{^Is_Nv=0.6}', "");
    Expect(0, 8535, '\P{Is_Nv=0.6}', "");
    Expect(1, 8535, '\P{^Is_Nv=0.6}', "");
    Expect(0, 8536, '\p{Is_Nv=0.6}', "");
    Expect(1, 8536, '\p{^Is_Nv=0.6}', "");
    Expect(1, 8536, '\P{Is_Nv=0.6}', "");
    Expect(0, 8536, '\P{^Is_Nv=0.6}', "");
    Expect(1, 8535, '\p{Is_Nv=6.00e-01}', "");
    Expect(0, 8535, '\p{^Is_Nv=6.00e-01}', "");
    Expect(0, 8535, '\P{Is_Nv=6.00e-01}', "");
    Expect(1, 8535, '\P{^Is_Nv=6.00e-01}', "");
    Expect(0, 8536, '\p{Is_Nv=6.00e-01}', "");
    Expect(1, 8536, '\p{^Is_Nv=6.00e-01}', "");
    Expect(1, 8536, '\P{Is_Nv=6.00e-01}', "");
    Expect(0, 8536, '\P{^Is_Nv=6.00e-01}', "");
    Expect(1, 8535, '\p{Is_Nv=0.60}', "");
    Expect(0, 8535, '\p{^Is_Nv=0.60}', "");
    Expect(0, 8535, '\P{Is_Nv=0.60}', "");
    Expect(1, 8535, '\P{^Is_Nv=0.60}', "");
    Expect(0, 8536, '\p{Is_Nv=0.60}', "");
    Expect(1, 8536, '\p{^Is_Nv=0.60}', "");
    Expect(1, 8536, '\P{Is_Nv=0.60}', "");
    Expect(0, 8536, '\P{^Is_Nv=0.60}', "");
    Error('\p{Numeric_Value:	+03/000000064/a/}');
    Error('\P{Numeric_Value:	+03/000000064/a/}');
    Expect(1, 73671, '\p{Numeric_Value=:\A3/64\z:}', "");;
    Expect(0, 73672, '\p{Numeric_Value=:\A3/64\z:}', "");;
    Expect(1, 73671, '\p{Numeric_Value=00000003/0000064}', "");
    Expect(0, 73671, '\p{^Numeric_Value=00000003/0000064}', "");
    Expect(0, 73671, '\P{Numeric_Value=00000003/0000064}', "");
    Expect(1, 73671, '\P{^Numeric_Value=00000003/0000064}', "");
    Expect(0, 73672, '\p{Numeric_Value=00000003/0000064}', "");
    Expect(1, 73672, '\p{^Numeric_Value=00000003/0000064}', "");
    Expect(1, 73672, '\P{Numeric_Value=00000003/0000064}', "");
    Expect(0, 73672, '\P{^Numeric_Value=00000003/0000064}', "");
    Expect(1, 73671, '\p{Numeric_Value=180/3840}', "");
    Expect(0, 73671, '\p{^Numeric_Value=180/3840}', "");
    Expect(0, 73671, '\P{Numeric_Value=180/3840}', "");
    Expect(1, 73671, '\P{^Numeric_Value=180/3840}', "");
    Expect(0, 73672, '\p{Numeric_Value=180/3840}', "");
    Expect(1, 73672, '\p{^Numeric_Value=180/3840}', "");
    Expect(1, 73672, '\P{Numeric_Value=180/3840}', "");
    Expect(0, 73672, '\P{^Numeric_Value=180/3840}', "");
    Error('\p{Numeric_Value:4.7e-02}');
    Error('\P{Numeric_Value:4.7e-02}');
    Error('\p{Numeric_Value=4.69e-02}');
    Error('\P{Numeric_Value=4.69e-02}');
    Expect(1, 73671, '\p{Numeric_Value=4.688e-02}', "");
    Expect(0, 73671, '\p{^Numeric_Value=4.688e-02}', "");
    Expect(0, 73671, '\P{Numeric_Value=4.688e-02}', "");
    Expect(1, 73671, '\P{^Numeric_Value=4.688e-02}', "");
    Expect(0, 73672, '\p{Numeric_Value=4.688e-02}', "");
    Expect(1, 73672, '\p{^Numeric_Value=4.688e-02}', "");
    Expect(1, 73672, '\P{Numeric_Value=4.688e-02}', "");
    Expect(0, 73672, '\P{^Numeric_Value=4.688e-02}', "");
    Error('\p{Numeric_Value=0.047}');
    Error('\P{Numeric_Value=0.047}');
    Expect(1, 73671, '\p{Numeric_Value=4.6875e-02}', "");
    Expect(0, 73671, '\p{^Numeric_Value=4.6875e-02}', "");
    Expect(0, 73671, '\P{Numeric_Value=4.6875e-02}', "");
    Expect(1, 73671, '\P{^Numeric_Value=4.6875e-02}', "");
    Expect(0, 73672, '\p{Numeric_Value=4.6875e-02}', "");
    Expect(1, 73672, '\p{^Numeric_Value=4.6875e-02}', "");
    Expect(1, 73672, '\P{Numeric_Value=4.6875e-02}', "");
    Expect(0, 73672, '\P{^Numeric_Value=4.6875e-02}', "");
    Error('\p{Numeric_Value=0.0469}');
    Error('\P{Numeric_Value=0.0469}');
    Expect(1, 73671, '\p{Numeric_Value=4.68750e-02}', "");
    Expect(0, 73671, '\p{^Numeric_Value=4.68750e-02}', "");
    Expect(0, 73671, '\P{Numeric_Value=4.68750e-02}', "");
    Expect(1, 73671, '\P{^Numeric_Value=4.68750e-02}', "");
    Expect(0, 73672, '\p{Numeric_Value=4.68750e-02}', "");
    Expect(1, 73672, '\p{^Numeric_Value=4.68750e-02}', "");
    Expect(1, 73672, '\P{Numeric_Value=4.68750e-02}', "");
    Expect(0, 73672, '\P{^Numeric_Value=4.68750e-02}', "");
    Expect(1, 73671, '\p{Numeric_Value=0.04688}', "");
    Expect(0, 73671, '\p{^Numeric_Value=0.04688}', "");
    Expect(0, 73671, '\P{Numeric_Value=0.04688}', "");
    Expect(1, 73671, '\P{^Numeric_Value=0.04688}', "");
    Expect(0, 73672, '\p{Numeric_Value=0.04688}', "");
    Expect(1, 73672, '\p{^Numeric_Value=0.04688}', "");
    Expect(1, 73672, '\P{Numeric_Value=0.04688}', "");
    Expect(0, 73672, '\P{^Numeric_Value=0.04688}', "");
    Expect(1, 73671, '\p{Numeric_Value=4.687500e-02}', "");
    Expect(0, 73671, '\p{^Numeric_Value=4.687500e-02}', "");
    Expect(0, 73671, '\P{Numeric_Value=4.687500e-02}', "");
    Expect(1, 73671, '\P{^Numeric_Value=4.687500e-02}', "");
    Expect(0, 73672, '\p{Numeric_Value=4.687500e-02}', "");
    Expect(1, 73672, '\p{^Numeric_Value=4.687500e-02}', "");
    Expect(1, 73672, '\P{Numeric_Value=4.687500e-02}', "");
    Expect(0, 73672, '\P{^Numeric_Value=4.687500e-02}', "");
    Expect(1, 73671, '\p{Numeric_Value:   0.046875}', "");
    Expect(0, 73671, '\p{^Numeric_Value:   0.046875}', "");
    Expect(0, 73671, '\P{Numeric_Value:   0.046875}', "");
    Expect(1, 73671, '\P{^Numeric_Value:   0.046875}', "");
    Expect(0, 73672, '\p{Numeric_Value:   0.046875}', "");
    Expect(1, 73672, '\p{^Numeric_Value:   0.046875}', "");
    Expect(1, 73672, '\P{Numeric_Value:   0.046875}', "");
    Expect(0, 73672, '\P{^Numeric_Value:   0.046875}', "");
    Error('\p{Nv=_	0003/00000000064/a/}');
    Error('\P{Nv=_	0003/00000000064/a/}');
    Expect(1, 73671, '\p{Nv=:\A3/64\z:}', "");;
    Expect(0, 73672, '\p{Nv=:\A3/64\z:}', "");;
    Expect(1, 73671, '\p{Nv=0000003/00064}', "");
    Expect(0, 73671, '\p{^Nv=0000003/00064}', "");
    Expect(0, 73671, '\P{Nv=0000003/00064}', "");
    Expect(1, 73671, '\P{^Nv=0000003/00064}', "");
    Expect(0, 73672, '\p{Nv=0000003/00064}', "");
    Expect(1, 73672, '\p{^Nv=0000003/00064}', "");
    Expect(1, 73672, '\P{Nv=0000003/00064}', "");
    Expect(0, 73672, '\P{^Nv=0000003/00064}', "");
    Expect(1, 73671, '\p{Nv=180/3840}', "");
    Expect(0, 73671, '\p{^Nv=180/3840}', "");
    Expect(0, 73671, '\P{Nv=180/3840}', "");
    Expect(1, 73671, '\P{^Nv=180/3840}', "");
    Expect(0, 73672, '\p{Nv=180/3840}', "");
    Expect(1, 73672, '\p{^Nv=180/3840}', "");
    Expect(1, 73672, '\P{Nv=180/3840}', "");
    Expect(0, 73672, '\P{^Nv=180/3840}', "");
    Error('\p{Nv=4.7e-02}');
    Error('\P{Nv=4.7e-02}');
    Error('\p{Nv=4.69e-02}');
    Error('\P{Nv=4.69e-02}');
    Expect(1, 73671, '\p{Nv=4.688e-02}', "");
    Expect(0, 73671, '\p{^Nv=4.688e-02}', "");
    Expect(0, 73671, '\P{Nv=4.688e-02}', "");
    Expect(1, 73671, '\P{^Nv=4.688e-02}', "");
    Expect(0, 73672, '\p{Nv=4.688e-02}', "");
    Expect(1, 73672, '\p{^Nv=4.688e-02}', "");
    Expect(1, 73672, '\P{Nv=4.688e-02}', "");
    Expect(0, 73672, '\P{^Nv=4.688e-02}', "");
    Error('\p{Nv=0.047}');
    Error('\P{Nv=0.047}');
    Expect(1, 73671, '\p{Nv=4.6875e-02}', "");
    Expect(0, 73671, '\p{^Nv=4.6875e-02}', "");
    Expect(0, 73671, '\P{Nv=4.6875e-02}', "");
    Expect(1, 73671, '\P{^Nv=4.6875e-02}', "");
    Expect(0, 73672, '\p{Nv=4.6875e-02}', "");
    Expect(1, 73672, '\p{^Nv=4.6875e-02}', "");
    Expect(1, 73672, '\P{Nv=4.6875e-02}', "");
    Expect(0, 73672, '\P{^Nv=4.6875e-02}', "");
    Error('\p{Nv=0.0469}');
    Error('\P{Nv=0.0469}');
    Expect(1, 73671, '\p{Nv=4.68750e-02}', "");
    Expect(0, 73671, '\p{^Nv=4.68750e-02}', "");
    Expect(0, 73671, '\P{Nv=4.68750e-02}', "");
    Expect(1, 73671, '\P{^Nv=4.68750e-02}', "");
    Expect(0, 73672, '\p{Nv=4.68750e-02}', "");
    Expect(1, 73672, '\p{^Nv=4.68750e-02}', "");
    Expect(1, 73672, '\P{Nv=4.68750e-02}', "");
    Expect(0, 73672, '\P{^Nv=4.68750e-02}', "");
    Expect(1, 73671, '\p{Nv=0.04688}', "");
    Expect(0, 73671, '\p{^Nv=0.04688}', "");
    Expect(0, 73671, '\P{Nv=0.04688}', "");
    Expect(1, 73671, '\P{^Nv=0.04688}', "");
    Expect(0, 73672, '\p{Nv=0.04688}', "");
    Expect(1, 73672, '\p{^Nv=0.04688}', "");
    Expect(1, 73672, '\P{Nv=0.04688}', "");
    Expect(0, 73672, '\P{^Nv=0.04688}', "");
    Expect(1, 73671, '\p{Nv=4.687500e-02}', "");
    Expect(0, 73671, '\p{^Nv=4.687500e-02}', "");
    Expect(0, 73671, '\P{Nv=4.687500e-02}', "");
    Expect(1, 73671, '\P{^Nv=4.687500e-02}', "");
    Expect(0, 73672, '\p{Nv=4.687500e-02}', "");
    Expect(1, 73672, '\p{^Nv=4.687500e-02}', "");
    Expect(1, 73672, '\P{Nv=4.687500e-02}', "");
    Expect(0, 73672, '\P{^Nv=4.687500e-02}', "");
    Expect(1, 73671, '\p{Nv=0.046875}', "");
    Expect(0, 73671, '\p{^Nv=0.046875}', "");
    Expect(0, 73671, '\P{Nv=0.046875}', "");
    Expect(1, 73671, '\P{^Nv=0.046875}', "");
    Expect(0, 73672, '\p{Nv=0.046875}', "");
    Expect(1, 73672, '\p{^Nv=0.046875}', "");
    Expect(1, 73672, '\P{Nv=0.046875}', "");
    Expect(0, 73672, '\P{^Nv=0.046875}', "");
    Error('\p{Is_Numeric_Value=_+00000003/00000064/a/}');
    Error('\P{Is_Numeric_Value=_+00000003/00000064/a/}');
    Expect(1, 73671, '\p{Is_Numeric_Value=+0000003/064}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=+0000003/064}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=+0000003/064}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=+0000003/064}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=+0000003/064}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=+0000003/064}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=+0000003/064}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=+0000003/064}', "");
    Expect(1, 73671, '\p{Is_Numeric_Value=180/3840}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=180/3840}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=180/3840}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=180/3840}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=180/3840}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=180/3840}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=180/3840}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=180/3840}', "");
    Error('\p{Is_Numeric_Value=4.7e-02}');
    Error('\P{Is_Numeric_Value=4.7e-02}');
    Error('\p{Is_Numeric_Value=4.69e-02}');
    Error('\P{Is_Numeric_Value=4.69e-02}');
    Expect(1, 73671, '\p{Is_Numeric_Value=4.688e-02}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=4.688e-02}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=4.688e-02}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=4.688e-02}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=4.688e-02}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=4.688e-02}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=4.688e-02}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=4.688e-02}', "");
    Error('\p{Is_Numeric_Value=0.047}');
    Error('\P{Is_Numeric_Value=0.047}');
    Expect(1, 73671, '\p{Is_Numeric_Value=4.6875e-02}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=4.6875e-02}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=4.6875e-02}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=4.6875e-02}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=4.6875e-02}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=4.6875e-02}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=4.6875e-02}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=4.6875e-02}', "");
    Error('\p{Is_Numeric_Value=0.0469}');
    Error('\P{Is_Numeric_Value=0.0469}');
    Expect(1, 73671, '\p{Is_Numeric_Value=4.68750e-02}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=4.68750e-02}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=4.68750e-02}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=4.68750e-02}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=4.68750e-02}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=4.68750e-02}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=4.68750e-02}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=4.68750e-02}', "");
    Expect(1, 73671, '\p{Is_Numeric_Value=0.04688}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=0.04688}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=0.04688}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=0.04688}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=0.04688}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=0.04688}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=0.04688}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=0.04688}', "");
    Expect(1, 73671, '\p{Is_Numeric_Value=4.687500e-02}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=4.687500e-02}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=4.687500e-02}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=4.687500e-02}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=4.687500e-02}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=4.687500e-02}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=4.687500e-02}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=4.687500e-02}', "");
    Expect(1, 73671, '\p{Is_Numeric_Value=0.046875}', "");
    Expect(0, 73671, '\p{^Is_Numeric_Value=0.046875}', "");
    Expect(0, 73671, '\P{Is_Numeric_Value=0.046875}', "");
    Expect(1, 73671, '\P{^Is_Numeric_Value=0.046875}', "");
    Expect(0, 73672, '\p{Is_Numeric_Value=0.046875}', "");
    Expect(1, 73672, '\p{^Is_Numeric_Value=0.046875}', "");
    Expect(1, 73672, '\P{Is_Numeric_Value=0.046875}', "");
    Expect(0, 73672, '\P{^Is_Numeric_Value=0.046875}', "");
    Error('\p{Is_Nv=	/a/0003/00000064}');
    Error('\P{Is_Nv=	/a/0003/00000064}');
    Expect(1, 73671, '\p{Is_Nv=+0000000003/064}', "");
    Expect(0, 73671, '\p{^Is_Nv=+0000000003/064}', "");
    Expect(0, 73671, '\P{Is_Nv=+0000000003/064}', "");
    Expect(1, 73671, '\P{^Is_Nv=+0000000003/064}', "");
    Expect(0, 73672, '\p{Is_Nv=+0000000003/064}', "");
    Expect(1, 73672, '\p{^Is_Nv=+0000000003/064}', "");
    Expect(1, 73672, '\P{Is_Nv=+0000000003/064}', "");
    Expect(0, 73672, '\P{^Is_Nv=+0000000003/064}', "");
    Expect(1, 73671, '\p{Is_Nv=180/3840}', "");
    Expect(0, 73671, '\p{^Is_Nv=180/3840}', "");
    Expect(0, 73671, '\P{Is_Nv=180/3840}', "");
    Expect(1, 73671, '\P{^Is_Nv=180/3840}', "");
    Expect(0, 73672, '\p{Is_Nv=180/3840}', "");
    Expect(1, 73672, '\p{^Is_Nv=180/3840}', "");
    Expect(1, 73672, '\P{Is_Nv=180/3840}', "");
    Expect(0, 73672, '\P{^Is_Nv=180/3840}', "");
    Error('\p{Is_Nv=4.7e-02}');
    Error('\P{Is_Nv=4.7e-02}');
    Error('\p{Is_Nv:	4.69e-02}');
    Error('\P{Is_Nv:	4.69e-02}');
    Expect(1, 73671, '\p{Is_Nv:   4.688e-02}', "");
    Expect(0, 73671, '\p{^Is_Nv:   4.688e-02}', "");
    Expect(0, 73671, '\P{Is_Nv:   4.688e-02}', "");
    Expect(1, 73671, '\P{^Is_Nv:   4.688e-02}', "");
    Expect(0, 73672, '\p{Is_Nv:   4.688e-02}', "");
    Expect(1, 73672, '\p{^Is_Nv:   4.688e-02}', "");
    Expect(1, 73672, '\P{Is_Nv:   4.688e-02}', "");
    Expect(0, 73672, '\P{^Is_Nv:   4.688e-02}', "");
    Error('\p{Is_Nv=0.047}');
    Error('\P{Is_Nv=0.047}');
    Expect(1, 73671, '\p{Is_Nv=4.6875e-02}', "");
    Expect(0, 73671, '\p{^Is_Nv=4.6875e-02}', "");
    Expect(0, 73671, '\P{Is_Nv=4.6875e-02}', "");
    Expect(1, 73671, '\P{^Is_Nv=4.6875e-02}', "");
    Expect(0, 73672, '\p{Is_Nv=4.6875e-02}', "");
    Expect(1, 73672, '\p{^Is_Nv=4.6875e-02}', "");
    Expect(1, 73672, '\P{Is_Nv=4.6875e-02}', "");
    Expect(0, 73672, '\P{^Is_Nv=4.6875e-02}', "");
    Error('\p{Is_Nv=0.0469}');
    Error('\P{Is_Nv=0.0469}');
    Expect(1, 73671, '\p{Is_Nv=4.68750e-02}', "");
    Expect(0, 73671, '\p{^Is_Nv=4.68750e-02}', "");
    Expect(0, 73671, '\P{Is_Nv=4.68750e-02}', "");
    Expect(1, 73671, '\P{^Is_Nv=4.68750e-02}', "");
    Expect(0, 73672, '\p{Is_Nv=4.68750e-02}', "");
    Expect(1, 73672, '\p{^Is_Nv=4.68750e-02}', "");
    Expect(1, 73672, '\P{Is_Nv=4.68750e-02}', "");
    Expect(0, 73672, '\P{^Is_Nv=4.68750e-02}', "");
    Expect(1, 73671, '\p{Is_Nv=0.04688}', "");
    Expect(0, 73671, '\p{^Is_Nv=0.04688}', "");
    Expect(0, 73671, '\P{Is_Nv=0.04688}', "");
    Expect(1, 73671, '\P{^Is_Nv=0.04688}', "");
    Expect(0, 73672, '\p{Is_Nv=0.04688}', "");
    Expect(1, 73672, '\p{^Is_Nv=0.04688}', "");
    Expect(1, 73672, '\P{Is_Nv=0.04688}', "");
    Expect(0, 73672, '\P{^Is_Nv=0.04688}', "");
    Expect(1, 73671, '\p{Is_Nv=4.687500e-02}', "");
    Expect(0, 73671, '\p{^Is_Nv=4.687500e-02}', "");
    Expect(0, 73671, '\P{Is_Nv=4.687500e-02}', "");
    Expect(1, 73671, '\P{^Is_Nv=4.687500e-02}', "");
    Expect(0, 73672, '\p{Is_Nv=4.687500e-02}', "");
    Expect(1, 73672, '\p{^Is_Nv=4.687500e-02}', "");
    Expect(1, 73672, '\P{Is_Nv=4.687500e-02}', "");
    Expect(0, 73672, '\P{^Is_Nv=4.687500e-02}', "");
    Expect(1, 73671, '\p{Is_Nv: 0.046875}', "");
    Expect(0, 73671, '\p{^Is_Nv: 0.046875}', "");
    Expect(0, 73671, '\P{Is_Nv: 0.046875}', "");
    Expect(1, 73671, '\P{^Is_Nv: 0.046875}', "");
    Expect(0, 73672, '\p{Is_Nv: 0.046875}', "");
    Expect(1, 73672, '\p{^Is_Nv: 0.046875}', "");
    Expect(1, 73672, '\P{Is_Nv: 0.046875}', "");
    Expect(0, 73672, '\P{^Is_Nv: 0.046875}', "");
    Error('\p{Numeric_Value=/a/-	+000003/0000000008}');
    Error('\P{Numeric_Value=/a/-	+000003/0000000008}');
    Expect(1, 8540, '\p{Numeric_Value=:\A3/8\z:}', "");;
    Expect(0, 8541, '\p{Numeric_Value=:\A3/8\z:}', "");;
    Expect(1, 8540, '\p{Numeric_Value:	+03/008}', "");
    Expect(0, 8540, '\p{^Numeric_Value:	+03/008}', "");
    Expect(0, 8540, '\P{Numeric_Value:	+03/008}', "");
    Expect(1, 8540, '\P{^Numeric_Value:	+03/008}', "");
    Expect(0, 8541, '\p{Numeric_Value:	+03/008}', "");
    Expect(1, 8541, '\p{^Numeric_Value:	+03/008}', "");
    Expect(1, 8541, '\P{Numeric_Value:	+03/008}', "");
    Expect(0, 8541, '\P{^Numeric_Value:	+03/008}', "");
    Expect(1, 8540, '\p{Numeric_Value=180/480}', "");
    Expect(0, 8540, '\p{^Numeric_Value=180/480}', "");
    Expect(0, 8540, '\P{Numeric_Value=180/480}', "");
    Expect(1, 8540, '\P{^Numeric_Value=180/480}', "");
    Expect(0, 8541, '\p{Numeric_Value=180/480}', "");
    Expect(1, 8541, '\p{^Numeric_Value=180/480}', "");
    Expect(1, 8541, '\P{Numeric_Value=180/480}', "");
    Expect(0, 8541, '\P{^Numeric_Value=180/480}', "");
    Error('\p{Numeric_Value=3.8e-01}');
    Error('\P{Numeric_Value=3.8e-01}');
    Expect(1, 8540, '\p{Numeric_Value=3.75e-01}', "");
    Expect(0, 8540, '\p{^Numeric_Value=3.75e-01}', "");
    Expect(0, 8540, '\P{Numeric_Value=3.75e-01}', "");
    Expect(1, 8540, '\P{^Numeric_Value=3.75e-01}', "");
    Expect(0, 8541, '\p{Numeric_Value=3.75e-01}', "");
    Expect(1, 8541, '\p{^Numeric_Value=3.75e-01}', "");
    Expect(1, 8541, '\P{Numeric_Value=3.75e-01}', "");
    Expect(0, 8541, '\P{^Numeric_Value=3.75e-01}', "");
    Error('\p{Numeric_Value:	0.38}');
    Error('\P{Numeric_Value:	0.38}');
    Expect(1, 8540, '\p{Numeric_Value=3.750e-01}', "");
    Expect(0, 8540, '\p{^Numeric_Value=3.750e-01}', "");
    Expect(0, 8540, '\P{Numeric_Value=3.750e-01}', "");
    Expect(1, 8540, '\P{^Numeric_Value=3.750e-01}', "");
    Expect(0, 8541, '\p{Numeric_Value=3.750e-01}', "");
    Expect(1, 8541, '\p{^Numeric_Value=3.750e-01}', "");
    Expect(1, 8541, '\P{Numeric_Value=3.750e-01}', "");
    Expect(0, 8541, '\P{^Numeric_Value=3.750e-01}', "");
    Expect(1, 8540, '\p{Numeric_Value=0.375}', "");
    Expect(0, 8540, '\p{^Numeric_Value=0.375}', "");
    Expect(0, 8540, '\P{Numeric_Value=0.375}', "");
    Expect(1, 8540, '\P{^Numeric_Value=0.375}', "");
    Expect(0, 8541, '\p{Numeric_Value=0.375}', "");
    Expect(1, 8541, '\p{^Numeric_Value=0.375}', "");
    Expect(1, 8541, '\P{Numeric_Value=0.375}', "");
    Expect(0, 8541, '\P{^Numeric_Value=0.375}', "");
    Expect(1, 8540, '\p{Numeric_Value=3.7500e-01}', "");
    Expect(0, 8540, '\p{^Numeric_Value=3.7500e-01}', "");
    Expect(0, 8540, '\P{Numeric_Value=3.7500e-01}', "");
    Expect(1, 8540, '\P{^Numeric_Value=3.7500e-01}', "");
    Expect(0, 8541, '\p{Numeric_Value=3.7500e-01}', "");
    Expect(1, 8541, '\p{^Numeric_Value=3.7500e-01}', "");
    Expect(1, 8541, '\P{Numeric_Value=3.7500e-01}', "");
    Expect(0, 8541, '\P{^Numeric_Value=3.7500e-01}', "");
    Expect(1, 8540, '\p{Numeric_Value=0.3750}', "");
    Expect(0, 8540, '\p{^Numeric_Value=0.3750}', "");
    Expect(0, 8540, '\P{Numeric_Value=0.3750}', "");
    Expect(1, 8540, '\P{^Numeric_Value=0.3750}', "");
    Expect(0, 8541, '\p{Numeric_Value=0.3750}', "");
    Expect(1, 8541, '\p{^Numeric_Value=0.3750}', "");
    Expect(1, 8541, '\P{Numeric_Value=0.3750}', "");
    Expect(0, 8541, '\P{^Numeric_Value=0.3750}', "");
    Error('\p{Nv=/a/--+3/0000008}');
    Error('\P{Nv=/a/--+3/0000008}');
    Expect(1, 8540, '\p{Nv=:\A3/8\z:}', "");;
    Expect(0, 8541, '\p{Nv=:\A3/8\z:}', "");;
    Expect(1, 8540, '\p{Nv=0000000003/0000000008}', "");
    Expect(0, 8540, '\p{^Nv=0000000003/0000000008}', "");
    Expect(0, 8540, '\P{Nv=0000000003/0000000008}', "");
    Expect(1, 8540, '\P{^Nv=0000000003/0000000008}', "");
    Expect(0, 8541, '\p{Nv=0000000003/0000000008}', "");
    Expect(1, 8541, '\p{^Nv=0000000003/0000000008}', "");
    Expect(1, 8541, '\P{Nv=0000000003/0000000008}', "");
    Expect(0, 8541, '\P{^Nv=0000000003/0000000008}', "");
    Expect(1, 8540, '\p{Nv=180/480}', "");
    Expect(0, 8540, '\p{^Nv=180/480}', "");
    Expect(0, 8540, '\P{Nv=180/480}', "");
    Expect(1, 8540, '\P{^Nv=180/480}', "");
    Expect(0, 8541, '\p{Nv=180/480}', "");
    Expect(1, 8541, '\p{^Nv=180/480}', "");
    Expect(1, 8541, '\P{Nv=180/480}', "");
    Expect(0, 8541, '\P{^Nv=180/480}', "");
    Error('\p{Nv=3.8e-01}');
    Error('\P{Nv=3.8e-01}');
    Expect(1, 8540, '\p{Nv=3.75e-01}', "");
    Expect(0, 8540, '\p{^Nv=3.75e-01}', "");
    Expect(0, 8540, '\P{Nv=3.75e-01}', "");
    Expect(1, 8540, '\P{^Nv=3.75e-01}', "");
    Expect(0, 8541, '\p{Nv=3.75e-01}', "");
    Expect(1, 8541, '\p{^Nv=3.75e-01}', "");
    Expect(1, 8541, '\P{Nv=3.75e-01}', "");
    Expect(0, 8541, '\P{^Nv=3.75e-01}', "");
    Error('\p{Nv=0.38}');
    Error('\P{Nv=0.38}');
    Expect(1, 8540, '\p{Nv=3.750e-01}', "");
    Expect(0, 8540, '\p{^Nv=3.750e-01}', "");
    Expect(0, 8540, '\P{Nv=3.750e-01}', "");
    Expect(1, 8540, '\P{^Nv=3.750e-01}', "");
    Expect(0, 8541, '\p{Nv=3.750e-01}', "");
    Expect(1, 8541, '\p{^Nv=3.750e-01}', "");
    Expect(1, 8541, '\P{Nv=3.750e-01}', "");
    Expect(0, 8541, '\P{^Nv=3.750e-01}', "");
    Expect(1, 8540, '\p{Nv=0.375}', "");
    Expect(0, 8540, '\p{^Nv=0.375}', "");
    Expect(0, 8540, '\P{Nv=0.375}', "");
    Expect(1, 8540, '\P{^Nv=0.375}', "");
    Expect(0, 8541, '\p{Nv=0.375}', "");
    Expect(1, 8541, '\p{^Nv=0.375}', "");
    Expect(1, 8541, '\P{Nv=0.375}', "");
    Expect(0, 8541, '\P{^Nv=0.375}', "");
    Expect(1, 8540, '\p{Nv=3.7500e-01}', "");
    Expect(0, 8540, '\p{^Nv=3.7500e-01}', "");
    Expect(0, 8540, '\P{Nv=3.7500e-01}', "");
    Expect(1, 8540, '\P{^Nv=3.7500e-01}', "");
    Expect(0, 8541, '\p{Nv=3.7500e-01}', "");
    Expect(1, 8541, '\p{^Nv=3.7500e-01}', "");
    Expect(1, 8541, '\P{Nv=3.7500e-01}', "");
    Expect(0, 8541, '\P{^Nv=3.7500e-01}', "");
    Expect(1, 8540, '\p{Nv=0.3750}', "");
    Expect(0, 8540, '\p{^Nv=0.3750}', "");
    Expect(0, 8540, '\P{Nv=0.3750}', "");
    Expect(1, 8540, '\P{^Nv=0.3750}', "");
    Expect(0, 8541, '\p{Nv=0.3750}', "");
    Expect(1, 8541, '\p{^Nv=0.3750}', "");
    Expect(1, 8541, '\P{Nv=0.3750}', "");
    Expect(0, 8541, '\P{^Nv=0.3750}', "");
    Error('\p{Is_Numeric_Value=/a/	+000003/000008}');
    Error('\P{Is_Numeric_Value=/a/	+000003/000008}');
    Expect(1, 8540, '\p{Is_Numeric_Value=03/008}', "");
    Expect(0, 8540, '\p{^Is_Numeric_Value=03/008}', "");
    Expect(0, 8540, '\P{Is_Numeric_Value=03/008}', "");
    Expect(1, 8540, '\P{^Is_Numeric_Value=03/008}', "");
    Expect(0, 8541, '\p{Is_Numeric_Value=03/008}', "");
    Expect(1, 8541, '\p{^Is_Numeric_Value=03/008}', "");
    Expect(1, 8541, '\P{Is_Numeric_Value=03/008}', "");
    Expect(0, 8541, '\P{^Is_Numeric_Value=03/008}', "");
    Expect(1, 8540, '\p{Is_Numeric_Value=180/480}', "");
    Expect(0, 8540, '\p{^Is_Numeric_Value=180/480}', "");
    Expect(0, 8540, '\P{Is_Numeric_Value=180/480}', "");
    Expect(1, 8540, '\P{^Is_Numeric_Value=180/480}', "");
    Expect(0, 8541, '\p{Is_Numeric_Value=180/480}', "");
    Expect(1, 8541, '\p{^Is_Numeric_Value=180/480}', "");
    Expect(1, 8541, '\P{Is_Numeric_Value=180/480}', "");
    Expect(0, 8541, '\P{^Is_Numeric_Value=180/480}', "");
    Error('\p{Is_Numeric_Value=3.8e-01}');
    Error('\P{Is_Numeric_Value=3.8e-01}');
    Expect(1, 8540, '\p{Is_Numeric_Value=3.75e-01}', "");
    Expect(0, 8540, '\p{^Is_Numeric_Value=3.75e-01}', "");
    Expect(0, 8540, '\P{Is_Numeric_Value=3.75e-01}', "");
    Expect(1, 8540, '\P{^Is_Numeric_Value=3.75e-01}', "");
    Expect(0, 8541, '\p{Is_Numeric_Value=3.75e-01}', "");
    Expect(1, 8541, '\p{^Is_Numeric_Value=3.75e-01}', "");
    Expect(1, 8541, '\P{Is_Numeric_Value=3.75e-01}', "");
    Expect(0, 8541, '\P{^Is_Numeric_Value=3.75e-01}', "");
    Error('\p{Is_Numeric_Value: 0.38}');
    Error('\P{Is_Numeric_Value: 0.38}');
    Expect(1, 8540, '\p{Is_Numeric_Value=3.750e-01}', "");
    Expect(0, 8540, '\p{^Is_Numeric_Value=3.750e-01}', "");
    Expect(0, 8540, '\P{Is_Numeric_Value=3.750e-01}', "");
    Expect(1, 8540, '\P{^Is_Numeric_Value=3.750e-01}', "");
    Expect(0, 8541, '\p{Is_Numeric_Value=3.750e-01}', "");
    Expect(1, 8541, '\p{^Is_Numeric_Value=3.750e-01}', "");
    Expect(1, 8541, '\P{Is_Numeric_Value=3.750e-01}', "");
    Expect(0, 8541, '\P{^Is_Numeric_Value=3.750e-01}', "");
    Expect(1, 8540, '\p{Is_Numeric_Value: 0.375}', "");
    Expect(0, 8540, '\p{^Is_Numeric_Value: 0.375}', "");
    Expect(0, 8540, '\P{Is_Numeric_Value: 0.375}', "");
    Expect(1, 8540, '\P{^Is_Numeric_Value: 0.375}', "");
    Expect(0, 8541, '\p{Is_Numeric_Value: 0.375}', "");
    Expect(1, 8541, '\p{^Is_Numeric_Value: 0.375}', "");
    Expect(1, 8541, '\P{Is_Numeric_Value: 0.375}', "");
    Expect(0, 8541, '\P{^Is_Numeric_Value: 0.375}', "");
    Expect(1, 8540, '\p{Is_Numeric_Value=3.7500e-01}', "");
    Expect(0, 8540, '\p{^Is_Numeric_Value=3.7500e-01}', "");
    Expect(0, 8540, '\P{Is_Numeric_Value=3.7500e-01}', "");
    Expect(1, 8540, '\P{^Is_Numeric_Value=3.7500e-01}', "");
    Expect(0, 8541, '\p{Is_Numeric_Value=3.7500e-01}', "");
    Expect(1, 8541, '\p{^Is_Numeric_Value=3.7500e-01}', "");
    Expect(1, 8541, '\P{Is_Numeric_Value=3.7500e-01}', "");
    Expect(0, 8541, '\P{^Is_Numeric_Value=3.7500e-01}', "");
    Expect(1, 8540, '\p{Is_Numeric_Value=0.3750}', "");
    Expect(0, 8540, '\p{^Is_Numeric_Value=0.3750}', "");
    Expect(0, 8540, '\P{Is_Numeric_Value=0.3750}', "");
    Expect(1, 8540, '\P{^Is_Numeric_Value=0.3750}', "");
    Expect(0, 8541, '\p{Is_Numeric_Value=0.3750}', "");
    Expect(1, 8541, '\p{^Is_Numeric_Value=0.3750}', "");
    Expect(1, 8541, '\P{Is_Numeric_Value=0.3750}', "");
    Expect(0, 8541, '\P{^Is_Numeric_Value=0.3750}', "");
    Error('\p{Is_Nv=_:=0000000003/000000008}');
    Error('\P{Is_Nv=_:=0000000003/000000008}');
    Expect(1, 8540, '\p{Is_Nv:+0003/0000008}', "");
    Expect(0, 8540, '\p{^Is_Nv:+0003/0000008}', "");
    Expect(0, 8540, '\P{Is_Nv:+0003/0000008}', "");
    Expect(1, 8540, '\P{^Is_Nv:+0003/0000008}', "");
    Expect(0, 8541, '\p{Is_Nv:+0003/0000008}', "");
    Expect(1, 8541, '\p{^Is_Nv:+0003/0000008}', "");
    Expect(1, 8541, '\P{Is_Nv:+0003/0000008}', "");
    Expect(0, 8541, '\P{^Is_Nv:+0003/0000008}', "");
    Expect(1, 8540, '\p{Is_Nv=180/480}', "");
    Expect(0, 8540, '\p{^Is_Nv=180/480}', "");
    Expect(0, 8540, '\P{Is_Nv=180/480}', "");
    Expect(1, 8540, '\P{^Is_Nv=180/480}', "");
    Expect(0, 8541, '\p{Is_Nv=180/480}', "");
    Expect(1, 8541, '\p{^Is_Nv=180/480}', "");
    Expect(1, 8541, '\P{Is_Nv=180/480}', "");
    Expect(0, 8541, '\P{^Is_Nv=180/480}', "");
    Error('\p{Is_Nv:3.8e-01}');
    Error('\P{Is_Nv:3.8e-01}');
    Expect(1, 8540, '\p{Is_Nv=3.75e-01}', "");
    Expect(0, 8540, '\p{^Is_Nv=3.75e-01}', "");
    Expect(0, 8540, '\P{Is_Nv=3.75e-01}', "");
    Expect(1, 8540, '\P{^Is_Nv=3.75e-01}', "");
    Expect(0, 8541, '\p{Is_Nv=3.75e-01}', "");
    Expect(1, 8541, '\p{^Is_Nv=3.75e-01}', "");
    Expect(1, 8541, '\P{Is_Nv=3.75e-01}', "");
    Expect(0, 8541, '\P{^Is_Nv=3.75e-01}', "");
    Error('\p{Is_Nv:   0.38}');
    Error('\P{Is_Nv:   0.38}');
    Expect(1, 8540, '\p{Is_Nv: 3.750e-01}', "");
    Expect(0, 8540, '\p{^Is_Nv: 3.750e-01}', "");
    Expect(0, 8540, '\P{Is_Nv: 3.750e-01}', "");
    Expect(1, 8540, '\P{^Is_Nv: 3.750e-01}', "");
    Expect(0, 8541, '\p{Is_Nv: 3.750e-01}', "");
    Expect(1, 8541, '\p{^Is_Nv: 3.750e-01}', "");
    Expect(1, 8541, '\P{Is_Nv: 3.750e-01}', "");
    Expect(0, 8541, '\P{^Is_Nv: 3.750e-01}', "");
    Expect(1, 8540, '\p{Is_Nv: 0.375}', "");
    Expect(0, 8540, '\p{^Is_Nv: 0.375}', "");
    Expect(0, 8540, '\P{Is_Nv: 0.375}', "");
    Expect(1, 8540, '\P{^Is_Nv: 0.375}', "");
    Expect(0, 8541, '\p{Is_Nv: 0.375}', "");
    Expect(1, 8541, '\p{^Is_Nv: 0.375}', "");
    Expect(1, 8541, '\P{Is_Nv: 0.375}', "");
    Expect(0, 8541, '\P{^Is_Nv: 0.375}', "");
    Expect(1, 8540, '\p{Is_Nv=3.7500e-01}', "");
    Expect(0, 8540, '\p{^Is_Nv=3.7500e-01}', "");
    Expect(0, 8540, '\P{Is_Nv=3.7500e-01}', "");
    Expect(1, 8540, '\P{^Is_Nv=3.7500e-01}', "");
    Expect(0, 8541, '\p{Is_Nv=3.7500e-01}', "");
    Expect(1, 8541, '\p{^Is_Nv=3.7500e-01}', "");
    Expect(1, 8541, '\P{Is_Nv=3.7500e-01}', "");
    Expect(0, 8541, '\P{^Is_Nv=3.7500e-01}', "");
    Expect(1, 8540, '\p{Is_Nv:	0.3750}', "");
    Expect(0, 8540, '\p{^Is_Nv:	0.3750}', "");
    Expect(0, 8540, '\P{Is_Nv:	0.3750}', "");
    Expect(1, 8540, '\P{^Is_Nv:	0.3750}', "");
    Expect(0, 8541, '\p{Is_Nv:	0.3750}', "");
    Expect(1, 8541, '\p{^Is_Nv:	0.3750}', "");
    Expect(1, 8541, '\P{Is_Nv:	0.3750}', "");
    Expect(0, 8541, '\P{^Is_Nv:	0.3750}', "");
    Error('\p{Numeric_Value=:=	003/00080}');
    Error('\P{Numeric_Value=:=	003/00080}');
    Expect(1, 73670, '\p{Numeric_Value=:\A3/80\z:}', "");;
    Expect(0, 73671, '\p{Numeric_Value=:\A3/80\z:}', "");;
    Expect(1, 73670, '\p{Numeric_Value=+03/0080}', "");
    Expect(0, 73670, '\p{^Numeric_Value=+03/0080}', "");
    Expect(0, 73670, '\P{Numeric_Value=+03/0080}', "");
    Expect(1, 73670, '\P{^Numeric_Value=+03/0080}', "");
    Expect(0, 73671, '\p{Numeric_Value=+03/0080}', "");
    Expect(1, 73671, '\p{^Numeric_Value=+03/0080}', "");
    Expect(1, 73671, '\P{Numeric_Value=+03/0080}', "");
    Expect(0, 73671, '\P{^Numeric_Value=+03/0080}', "");
    Expect(1, 73670, '\p{Numeric_Value=180/4800}', "");
    Expect(0, 73670, '\p{^Numeric_Value=180/4800}', "");
    Expect(0, 73670, '\P{Numeric_Value=180/4800}', "");
    Expect(1, 73670, '\P{^Numeric_Value=180/4800}', "");
    Expect(0, 73671, '\p{Numeric_Value=180/4800}', "");
    Expect(1, 73671, '\p{^Numeric_Value=180/4800}', "");
    Expect(1, 73671, '\P{Numeric_Value=180/4800}', "");
    Expect(0, 73671, '\P{^Numeric_Value=180/4800}', "");
    Error('\p{Numeric_Value:3.7e-02}');
    Error('\P{Numeric_Value:3.7e-02}');
    Expect(1, 73670, '\p{Numeric_Value: 3.75e-02}', "");
    Expect(0, 73670, '\p{^Numeric_Value: 3.75e-02}', "");
    Expect(0, 73670, '\P{Numeric_Value: 3.75e-02}', "");
    Expect(1, 73670, '\P{^Numeric_Value: 3.75e-02}', "");
    Expect(0, 73671, '\p{Numeric_Value: 3.75e-02}', "");
    Expect(1, 73671, '\p{^Numeric_Value: 3.75e-02}', "");
    Expect(1, 73671, '\P{Numeric_Value: 3.75e-02}', "");
    Expect(0, 73671, '\P{^Numeric_Value: 3.75e-02}', "");
    Error('\p{Numeric_Value:0.04}');
    Error('\P{Numeric_Value:0.04}');
    Expect(1, 73670, '\p{Numeric_Value=3.750e-02}', "");
    Expect(0, 73670, '\p{^Numeric_Value=3.750e-02}', "");
    Expect(0, 73670, '\P{Numeric_Value=3.750e-02}', "");
    Expect(1, 73670, '\P{^Numeric_Value=3.750e-02}', "");
    Expect(0, 73671, '\p{Numeric_Value=3.750e-02}', "");
    Expect(1, 73671, '\p{^Numeric_Value=3.750e-02}', "");
    Expect(1, 73671, '\P{Numeric_Value=3.750e-02}', "");
    Expect(0, 73671, '\P{^Numeric_Value=3.750e-02}', "");
    Error('\p{Numeric_Value=0.037}');
    Error('\P{Numeric_Value=0.037}');
    Expect(1, 73670, '\p{Numeric_Value:3.7500e-02}', "");
    Expect(0, 73670, '\p{^Numeric_Value:3.7500e-02}', "");
    Expect(0, 73670, '\P{Numeric_Value:3.7500e-02}', "");
    Expect(1, 73670, '\P{^Numeric_Value:3.7500e-02}', "");
    Expect(0, 73671, '\p{Numeric_Value:3.7500e-02}', "");
    Expect(1, 73671, '\p{^Numeric_Value:3.7500e-02}', "");
    Expect(1, 73671, '\P{Numeric_Value:3.7500e-02}', "");
    Expect(0, 73671, '\P{^Numeric_Value:3.7500e-02}', "");
    Expect(1, 73670, '\p{Numeric_Value:	0.0375}', "");
    Expect(0, 73670, '\p{^Numeric_Value:	0.0375}', "");
    Expect(0, 73670, '\P{Numeric_Value:	0.0375}', "");
    Expect(1, 73670, '\P{^Numeric_Value:	0.0375}', "");
    Expect(0, 73671, '\p{Numeric_Value:	0.0375}', "");
    Expect(1, 73671, '\p{^Numeric_Value:	0.0375}', "");
    Expect(1, 73671, '\P{Numeric_Value:	0.0375}', "");
    Expect(0, 73671, '\P{^Numeric_Value:	0.0375}', "");
    Expect(1, 73670, '\p{Numeric_Value:   3.75000e-02}', "");
    Expect(0, 73670, '\p{^Numeric_Value:   3.75000e-02}', "");
    Expect(0, 73670, '\P{Numeric_Value:   3.75000e-02}', "");
    Expect(1, 73670, '\P{^Numeric_Value:   3.75000e-02}', "");
    Expect(0, 73671, '\p{Numeric_Value:   3.75000e-02}', "");
    Expect(1, 73671, '\p{^Numeric_Value:   3.75000e-02}', "");
    Expect(1, 73671, '\P{Numeric_Value:   3.75000e-02}', "");
    Expect(0, 73671, '\P{^Numeric_Value:   3.75000e-02}', "");
    Expect(1, 73670, '\p{Numeric_Value:0.03750}', "");
    Expect(0, 73670, '\p{^Numeric_Value:0.03750}', "");
    Expect(0, 73670, '\P{Numeric_Value:0.03750}', "");
    Expect(1, 73670, '\P{^Numeric_Value:0.03750}', "");
    Expect(0, 73671, '\p{Numeric_Value:0.03750}', "");
    Expect(1, 73671, '\p{^Numeric_Value:0.03750}', "");
    Expect(1, 73671, '\P{Numeric_Value:0.03750}', "");
    Expect(0, 73671, '\P{^Numeric_Value:0.03750}', "");
    Error('\p{Nv=	/a/03/080}');
    Error('\P{Nv=	/a/03/080}');
    Expect(1, 73670, '\p{Nv=:\A3/80\z:}', "");;
    Expect(0, 73671, '\p{Nv=:\A3/80\z:}', "");;
    Expect(1, 73670, '\p{Nv=+0003/00000080}', "");
    Expect(0, 73670, '\p{^Nv=+0003/00000080}', "");
    Expect(0, 73670, '\P{Nv=+0003/00000080}', "");
    Expect(1, 73670, '\P{^Nv=+0003/00000080}', "");
    Expect(0, 73671, '\p{Nv=+0003/00000080}', "");
    Expect(1, 73671, '\p{^Nv=+0003/00000080}', "");
    Expect(1, 73671, '\P{Nv=+0003/00000080}', "");
    Expect(0, 73671, '\P{^Nv=+0003/00000080}', "");
    Expect(1, 73670, '\p{Nv=180/4800}', "");
    Expect(0, 73670, '\p{^Nv=180/4800}', "");
    Expect(0, 73670, '\P{Nv=180/4800}', "");
    Expect(1, 73670, '\P{^Nv=180/4800}', "");
    Expect(0, 73671, '\p{Nv=180/4800}', "");
    Expect(1, 73671, '\p{^Nv=180/4800}', "");
    Expect(1, 73671, '\P{Nv=180/4800}', "");
    Expect(0, 73671, '\P{^Nv=180/4800}', "");
    Error('\p{Nv=3.7e-02}');
    Error('\P{Nv=3.7e-02}');
    Expect(1, 73670, '\p{Nv=3.75e-02}', "");
    Expect(0, 73670, '\p{^Nv=3.75e-02}', "");
    Expect(0, 73670, '\P{Nv=3.75e-02}', "");
    Expect(1, 73670, '\P{^Nv=3.75e-02}', "");
    Expect(0, 73671, '\p{Nv=3.75e-02}', "");
    Expect(1, 73671, '\p{^Nv=3.75e-02}', "");
    Expect(1, 73671, '\P{Nv=3.75e-02}', "");
    Expect(0, 73671, '\P{^Nv=3.75e-02}', "");
    Error('\p{Nv=0.04}');
    Error('\P{Nv=0.04}');
    Expect(1, 73670, '\p{Nv=3.750e-02}', "");
    Expect(0, 73670, '\p{^Nv=3.750e-02}', "");
    Expect(0, 73670, '\P{Nv=3.750e-02}', "");
    Expect(1, 73670, '\P{^Nv=3.750e-02}', "");
    Expect(0, 73671, '\p{Nv=3.750e-02}', "");
    Expect(1, 73671, '\p{^Nv=3.750e-02}', "");
    Expect(1, 73671, '\P{Nv=3.750e-02}', "");
    Expect(0, 73671, '\P{^Nv=3.750e-02}', "");
    Error('\p{Nv=0.037}');
    Error('\P{Nv=0.037}');
    Expect(1, 73670, '\p{Nv=3.7500e-02}', "");
    Expect(0, 73670, '\p{^Nv=3.7500e-02}', "");
    Expect(0, 73670, '\P{Nv=3.7500e-02}', "");
    Expect(1, 73670, '\P{^Nv=3.7500e-02}', "");
    Expect(0, 73671, '\p{Nv=3.7500e-02}', "");
    Expect(1, 73671, '\p{^Nv=3.7500e-02}', "");
    Expect(1, 73671, '\P{Nv=3.7500e-02}', "");
    Expect(0, 73671, '\P{^Nv=3.7500e-02}', "");
    Expect(1, 73670, '\p{Nv=0.0375}', "");
    Expect(0, 73670, '\p{^Nv=0.0375}', "");
    Expect(0, 73670, '\P{Nv=0.0375}', "");
    Expect(1, 73670, '\P{^Nv=0.0375}', "");
    Expect(0, 73671, '\p{Nv=0.0375}', "");
    Expect(1, 73671, '\p{^Nv=0.0375}', "");
    Expect(1, 73671, '\P{Nv=0.0375}', "");
    Expect(0, 73671, '\P{^Nv=0.0375}', "");
    Expect(1, 73670, '\p{Nv=3.75000e-02}', "");
    Expect(0, 73670, '\p{^Nv=3.75000e-02}', "");
    Expect(0, 73670, '\P{Nv=3.75000e-02}', "");
    Expect(1, 73670, '\P{^Nv=3.75000e-02}', "");
    Expect(0, 73671, '\p{Nv=3.75000e-02}', "");
    Expect(1, 73671, '\p{^Nv=3.75000e-02}', "");
    Expect(1, 73671, '\P{Nv=3.75000e-02}', "");
    Expect(0, 73671, '\P{^Nv=3.75000e-02}', "");
    Expect(1, 73670, '\p{Nv=0.03750}', "");
    Expect(0, 73670, '\p{^Nv=0.03750}', "");
    Expect(0, 73670, '\P{Nv=0.03750}', "");
    Expect(1, 73670, '\P{^Nv=0.03750}', "");
    Expect(0, 73671, '\p{Nv=0.03750}', "");
    Expect(1, 73671, '\p{^Nv=0.03750}', "");
    Expect(1, 73671, '\P{Nv=0.03750}', "");
    Expect(0, 73671, '\P{^Nv=0.03750}', "");
    Error('\p{Is_Numeric_Value:   _:=03/0080}');
    Error('\P{Is_Numeric_Value:   _:=03/0080}');
    Expect(1, 73670, '\p{Is_Numeric_Value=0003/0080}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value=0003/0080}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value=0003/0080}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value=0003/0080}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value=0003/0080}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value=0003/0080}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value=0003/0080}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value=0003/0080}', "");
    Expect(1, 73670, '\p{Is_Numeric_Value:   180/4800}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value:   180/4800}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value:   180/4800}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value:   180/4800}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value:   180/4800}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value:   180/4800}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value:   180/4800}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value:   180/4800}', "");
    Error('\p{Is_Numeric_Value=3.7e-02}');
    Error('\P{Is_Numeric_Value=3.7e-02}');
    Expect(1, 73670, '\p{Is_Numeric_Value:	3.75e-02}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value:	3.75e-02}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value:	3.75e-02}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value:	3.75e-02}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value:	3.75e-02}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value:	3.75e-02}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value:	3.75e-02}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value:	3.75e-02}', "");
    Error('\p{Is_Numeric_Value=0.04}');
    Error('\P{Is_Numeric_Value=0.04}');
    Expect(1, 73670, '\p{Is_Numeric_Value=3.750e-02}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value=3.750e-02}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value=3.750e-02}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value=3.750e-02}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value=3.750e-02}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value=3.750e-02}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value=3.750e-02}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value=3.750e-02}', "");
    Error('\p{Is_Numeric_Value=0.037}');
    Error('\P{Is_Numeric_Value=0.037}');
    Expect(1, 73670, '\p{Is_Numeric_Value:3.7500e-02}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value:3.7500e-02}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value:3.7500e-02}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value:3.7500e-02}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value:3.7500e-02}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value:3.7500e-02}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value:3.7500e-02}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value:3.7500e-02}', "");
    Expect(1, 73670, '\p{Is_Numeric_Value=0.0375}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value=0.0375}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value=0.0375}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value=0.0375}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value=0.0375}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value=0.0375}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value=0.0375}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value=0.0375}', "");
    Expect(1, 73670, '\p{Is_Numeric_Value=3.75000e-02}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value=3.75000e-02}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value=3.75000e-02}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value=3.75000e-02}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value=3.75000e-02}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value=3.75000e-02}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value=3.75000e-02}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value=3.75000e-02}', "");
    Expect(1, 73670, '\p{Is_Numeric_Value=0.03750}', "");
    Expect(0, 73670, '\p{^Is_Numeric_Value=0.03750}', "");
    Expect(0, 73670, '\P{Is_Numeric_Value=0.03750}', "");
    Expect(1, 73670, '\P{^Is_Numeric_Value=0.03750}', "");
    Expect(0, 73671, '\p{Is_Numeric_Value=0.03750}', "");
    Expect(1, 73671, '\p{^Is_Numeric_Value=0.03750}', "");
    Expect(1, 73671, '\P{Is_Numeric_Value=0.03750}', "");
    Expect(0, 73671, '\P{^Is_Numeric_Value=0.03750}', "");
    Error('\p{Is_Nv=/a/ _00003/0000080}');
    Error('\P{Is_Nv=/a/ _00003/0000080}');
    Expect(1, 73670, '\p{Is_Nv=0000003/00080}', "");
    Expect(0, 73670, '\p{^Is_Nv=0000003/00080}', "");
    Expect(0, 73670, '\P{Is_Nv=0000003/00080}', "");
    Expect(1, 73670, '\P{^Is_Nv=0000003/00080}', "");
    Expect(0, 73671, '\p{Is_Nv=0000003/00080}', "");
    Expect(1, 73671, '\p{^Is_Nv=0000003/00080}', "");
    Expect(1, 73671, '\P{Is_Nv=0000003/00080}', "");
    Expect(0, 73671, '\P{^Is_Nv=0000003/00080}', "");
    Expect(1, 73670, '\p{Is_Nv: 180/4800}', "");
    Expect(0, 73670, '\p{^Is_Nv: 180/4800}', "");
    Expect(0, 73670, '\P{Is_Nv: 180/4800}', "");
    Expect(1, 73670, '\P{^Is_Nv: 180/4800}', "");
    Expect(0, 73671, '\p{Is_Nv: 180/4800}', "");
    Expect(1, 73671, '\p{^Is_Nv: 180/4800}', "");
    Expect(1, 73671, '\P{Is_Nv: 180/4800}', "");
    Expect(0, 73671, '\P{^Is_Nv: 180/4800}', "");
    Error('\p{Is_Nv=3.7e-02}');
    Error('\P{Is_Nv=3.7e-02}');
    Expect(1, 73670, '\p{Is_Nv=3.75e-02}', "");
    Expect(0, 73670, '\p{^Is_Nv=3.75e-02}', "");
    Expect(0, 73670, '\P{Is_Nv=3.75e-02}', "");
    Expect(1, 73670, '\P{^Is_Nv=3.75e-02}', "");
    Expect(0, 73671, '\p{Is_Nv=3.75e-02}', "");
    Expect(1, 73671, '\p{^Is_Nv=3.75e-02}', "");
    Expect(1, 73671, '\P{Is_Nv=3.75e-02}', "");
    Expect(0, 73671, '\P{^Is_Nv=3.75e-02}', "");
    Error('\p{Is_Nv=0.04}');
    Error('\P{Is_Nv=0.04}');
    Expect(1, 73670, '\p{Is_Nv=3.750e-02}', "");
    Expect(0, 73670, '\p{^Is_Nv=3.750e-02}', "");
    Expect(0, 73670, '\P{Is_Nv=3.750e-02}', "");
    Expect(1, 73670, '\P{^Is_Nv=3.750e-02}', "");
    Expect(0, 73671, '\p{Is_Nv=3.750e-02}', "");
    Expect(1, 73671, '\p{^Is_Nv=3.750e-02}', "");
    Expect(1, 73671, '\P{Is_Nv=3.750e-02}', "");
    Expect(0, 73671, '\P{^Is_Nv=3.750e-02}', "");
    Error('\p{Is_Nv=0.037}');
    Error('\P{Is_Nv=0.037}');
    Expect(1, 73670, '\p{Is_Nv:   3.7500e-02}', "");
    Expect(0, 73670, '\p{^Is_Nv:   3.7500e-02}', "");
    Expect(0, 73670, '\P{Is_Nv:   3.7500e-02}', "");
    Expect(1, 73670, '\P{^Is_Nv:   3.7500e-02}', "");
    Expect(0, 73671, '\p{Is_Nv:   3.7500e-02}', "");
    Expect(1, 73671, '\p{^Is_Nv:   3.7500e-02}', "");
    Expect(1, 73671, '\P{Is_Nv:   3.7500e-02}', "");
    Expect(0, 73671, '\P{^Is_Nv:   3.7500e-02}', "");
    Expect(1, 73670, '\p{Is_Nv:   0.0375}', "");
    Expect(0, 73670, '\p{^Is_Nv:   0.0375}', "");
    Expect(0, 73670, '\P{Is_Nv:   0.0375}', "");
    Expect(1, 73670, '\P{^Is_Nv:   0.0375}', "");
    Expect(0, 73671, '\p{Is_Nv:   0.0375}', "");
    Expect(1, 73671, '\p{^Is_Nv:   0.0375}', "");
    Expect(1, 73671, '\P{Is_Nv:   0.0375}', "");
    Expect(0, 73671, '\P{^Is_Nv:   0.0375}', "");
    Expect(1, 73670, '\p{Is_Nv=3.75000e-02}', "");
    Expect(0, 73670, '\p{^Is_Nv=3.75000e-02}', "");
    Expect(0, 73670, '\P{Is_Nv=3.75000e-02}', "");
    Expect(1, 73670, '\P{^Is_Nv=3.75000e-02}', "");
    Expect(0, 73671, '\p{Is_Nv=3.75000e-02}', "");
    Expect(1, 73671, '\p{^Is_Nv=3.75000e-02}', "");
    Expect(1, 73671, '\P{Is_Nv=3.75000e-02}', "");
    Expect(0, 73671, '\P{^Is_Nv=3.75000e-02}', "");
    Expect(1, 73670, '\p{Is_Nv=0.03750}', "");
    Expect(0, 73670, '\p{^Is_Nv=0.03750}', "");
    Expect(0, 73670, '\P{Is_Nv=0.03750}', "");
    Expect(1, 73670, '\P{^Is_Nv=0.03750}', "");
    Expect(0, 73671, '\p{Is_Nv=0.03750}', "");
    Expect(1, 73671, '\p{^Is_Nv=0.03750}', "");
    Expect(1, 73671, '\P{Is_Nv=0.03750}', "");
    Expect(0, 73671, '\P{^Is_Nv=0.03750}', "");
    Error('\p{Numeric_Value=	-0_0_30:=}');
    Error('\P{Numeric_Value=	-0_0_30:=}');
    Expect(1, 133507, '\p{Numeric_Value=:\A30\z:}', "");;
    Expect(0, 133508, '\p{Numeric_Value=:\A30\z:}', "");;
    Expect(1, 133507, '\p{Numeric_Value=0000030}', "");
    Expect(0, 133507, '\p{^Numeric_Value=0000030}', "");
    Expect(0, 133507, '\P{Numeric_Value=0000030}', "");
    Expect(1, 133507, '\P{^Numeric_Value=0000030}', "");
    Expect(0, 133508, '\p{Numeric_Value=0000030}', "");
    Expect(1, 133508, '\p{^Numeric_Value=0000030}', "");
    Expect(1, 133508, '\P{Numeric_Value=0000030}', "");
    Expect(0, 133508, '\P{^Numeric_Value=0000030}', "");
    Expect(1, 133507, '\p{Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133507, '\p{^Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133507, '\P{Numeric_Value=3.000000000000000e+01}', "");
    Expect(1, 133507, '\P{^Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133508, '\p{Numeric_Value=3.000000000000000e+01}', "");
    Expect(1, 133508, '\p{^Numeric_Value=3.000000000000000e+01}', "");
    Expect(1, 133508, '\P{Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133508, '\P{^Numeric_Value=3.000000000000000e+01}', "");
    Error('\p{Nv:   _ 0030:=}');
    Error('\P{Nv:   _ 0030:=}');
    Expect(1, 133507, '\p{Nv=:\A30\z:}', "");;
    Expect(0, 133508, '\p{Nv=:\A30\z:}', "");;
    Expect(1, 133507, '\p{Nv=00_00_00_03_0}', "");
    Expect(0, 133507, '\p{^Nv=00_00_00_03_0}', "");
    Expect(0, 133507, '\P{Nv=00_00_00_03_0}', "");
    Expect(1, 133507, '\P{^Nv=00_00_00_03_0}', "");
    Expect(0, 133508, '\p{Nv=00_00_00_03_0}', "");
    Expect(1, 133508, '\p{^Nv=00_00_00_03_0}', "");
    Expect(1, 133508, '\P{Nv=00_00_00_03_0}', "");
    Expect(0, 133508, '\P{^Nv=00_00_00_03_0}', "");
    Expect(1, 133507, '\p{Nv=3.000000000000000e+01}', "");
    Expect(0, 133507, '\p{^Nv=3.000000000000000e+01}', "");
    Expect(0, 133507, '\P{Nv=3.000000000000000e+01}', "");
    Expect(1, 133507, '\P{^Nv=3.000000000000000e+01}', "");
    Expect(0, 133508, '\p{Nv=3.000000000000000e+01}', "");
    Expect(1, 133508, '\p{^Nv=3.000000000000000e+01}', "");
    Expect(1, 133508, '\P{Nv=3.000000000000000e+01}', "");
    Expect(0, 133508, '\P{^Nv=3.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=-	+30/a/}');
    Error('\P{Is_Numeric_Value=-	+30/a/}');
    Expect(1, 133507, '\p{Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(0, 133507, '\p{^Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(0, 133507, '\P{Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(1, 133507, '\P{^Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(0, 133508, '\p{Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(1, 133508, '\p{^Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(1, 133508, '\P{Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(0, 133508, '\P{^Is_Numeric_Value=0_0_0_0_0030}', "");
    Expect(1, 133507, '\p{Is_Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133507, '\p{^Is_Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133507, '\P{Is_Numeric_Value=3.000000000000000e+01}', "");
    Expect(1, 133507, '\P{^Is_Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133508, '\p{Is_Numeric_Value=3.000000000000000e+01}', "");
    Expect(1, 133508, '\p{^Is_Numeric_Value=3.000000000000000e+01}', "");
    Expect(1, 133508, '\P{Is_Numeric_Value=3.000000000000000e+01}', "");
    Expect(0, 133508, '\P{^Is_Numeric_Value=3.000000000000000e+01}', "");
    Error('\p{Is_Nv= +00_00_00_00_03_0/a/}');
    Error('\P{Is_Nv= +00_00_00_00_03_0/a/}');
    Expect(1, 133507, '\p{Is_Nv=+000000030}', "");
    Expect(0, 133507, '\p{^Is_Nv=+000000030}', "");
    Expect(0, 133507, '\P{Is_Nv=+000000030}', "");
    Expect(1, 133507, '\P{^Is_Nv=+000000030}', "");
    Expect(0, 133508, '\p{Is_Nv=+000000030}', "");
    Expect(1, 133508, '\p{^Is_Nv=+000000030}', "");
    Expect(1, 133508, '\P{Is_Nv=+000000030}', "");
    Expect(0, 133508, '\P{^Is_Nv=+000000030}', "");
    Expect(1, 133507, '\p{Is_Nv=3.000000000000000e+01}', "");
    Expect(0, 133507, '\p{^Is_Nv=3.000000000000000e+01}', "");
    Expect(0, 133507, '\P{Is_Nv=3.000000000000000e+01}', "");
    Expect(1, 133507, '\P{^Is_Nv=3.000000000000000e+01}', "");
    Expect(0, 133508, '\p{Is_Nv=3.000000000000000e+01}', "");
    Expect(1, 133508, '\p{^Is_Nv=3.000000000000000e+01}', "");
    Expect(1, 133508, '\P{Is_Nv=3.000000000000000e+01}', "");
    Expect(0, 133508, '\P{^Is_Nv=3.000000000000000e+01}', "");
    Error('\p{Numeric_Value: 	:=0_0_0_0_0_0_0_0_0_300}');
    Error('\P{Numeric_Value: 	:=0_0_0_0_0_0_0_0_0_300}');
    Expect(1, 126229, '\p{Numeric_Value=:\A300\z:}', "");;
    Expect(0, 126230, '\p{Numeric_Value=:\A300\z:}', "");;
    Expect(1, 126229, '\p{Numeric_Value=+000000000300}', "");
    Expect(0, 126229, '\p{^Numeric_Value=+000000000300}', "");
    Expect(0, 126229, '\P{Numeric_Value=+000000000300}', "");
    Expect(1, 126229, '\P{^Numeric_Value=+000000000300}', "");
    Expect(0, 126230, '\p{Numeric_Value=+000000000300}', "");
    Expect(1, 126230, '\p{^Numeric_Value=+000000000300}', "");
    Expect(1, 126230, '\P{Numeric_Value=+000000000300}', "");
    Expect(0, 126230, '\P{^Numeric_Value=+000000000300}', "");
    Expect(1, 126229, '\p{Numeric_Value=3.000000000000000e+02}', "");
    Expect(0, 126229, '\p{^Numeric_Value=3.000000000000000e+02}', "");
    Expect(0, 126229, '\P{Numeric_Value=3.000000000000000e+02}', "");
    Expect(1, 126229, '\P{^Numeric_Value=3.000000000000000e+02}', "");
    Expect(0, 126230, '\p{Numeric_Value=3.000000000000000e+02}', "");
    Expect(1, 126230, '\p{^Numeric_Value=3.000000000000000e+02}', "");
    Expect(1, 126230, '\P{Numeric_Value=3.000000000000000e+02}', "");
    Expect(0, 126230, '\P{^Numeric_Value=3.000000000000000e+02}', "");
    Error('\p{Nv=/a/_300}');
    Error('\P{Nv=/a/_300}');
    Expect(1, 126229, '\p{Nv=:\A300\z:}', "");;
    Expect(0, 126230, '\p{Nv=:\A300\z:}', "");;
    Expect(1, 126229, '\p{Nv=0300}', "");
    Expect(0, 126229, '\p{^Nv=0300}', "");
    Expect(0, 126229, '\P{Nv=0300}', "");
    Expect(1, 126229, '\P{^Nv=0300}', "");
    Expect(0, 126230, '\p{Nv=0300}', "");
    Expect(1, 126230, '\p{^Nv=0300}', "");
    Expect(1, 126230, '\P{Nv=0300}', "");
    Expect(0, 126230, '\P{^Nv=0300}', "");
    Expect(1, 126229, '\p{Nv=3.000000000000000e+02}', "");
    Expect(0, 126229, '\p{^Nv=3.000000000000000e+02}', "");
    Expect(0, 126229, '\P{Nv=3.000000000000000e+02}', "");
    Expect(1, 126229, '\P{^Nv=3.000000000000000e+02}', "");
    Expect(0, 126230, '\p{Nv=3.000000000000000e+02}', "");
    Expect(1, 126230, '\p{^Nv=3.000000000000000e+02}', "");
    Expect(1, 126230, '\P{Nv=3.000000000000000e+02}', "");
    Expect(0, 126230, '\P{^Nv=3.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value=	/a/0300}');
    Error('\P{Is_Numeric_Value=	/a/0300}');
    Expect(1, 126229, '\p{Is_Numeric_Value=+300}', "");
    Expect(0, 126229, '\p{^Is_Numeric_Value=+300}', "");
    Expect(0, 126229, '\P{Is_Numeric_Value=+300}', "");
    Expect(1, 126229, '\P{^Is_Numeric_Value=+300}', "");
    Expect(0, 126230, '\p{Is_Numeric_Value=+300}', "");
    Expect(1, 126230, '\p{^Is_Numeric_Value=+300}', "");
    Expect(1, 126230, '\P{Is_Numeric_Value=+300}', "");
    Expect(0, 126230, '\P{^Is_Numeric_Value=+300}', "");
    Expect(1, 126229, '\p{Is_Numeric_Value:3.000000000000000e+02}', "");
    Expect(0, 126229, '\p{^Is_Numeric_Value:3.000000000000000e+02}', "");
    Expect(0, 126229, '\P{Is_Numeric_Value:3.000000000000000e+02}', "");
    Expect(1, 126229, '\P{^Is_Numeric_Value:3.000000000000000e+02}', "");
    Expect(0, 126230, '\p{Is_Numeric_Value:3.000000000000000e+02}', "");
    Expect(1, 126230, '\p{^Is_Numeric_Value:3.000000000000000e+02}', "");
}
if (!$::TESTCHUNK or $::TESTCHUNK == 3) {
    Expect(1, 126230, '\P{Is_Numeric_Value:3.000000000000000e+02}', "");
    Expect(0, 126230, '\P{^Is_Numeric_Value:3.000000000000000e+02}', "");
    Error('\p{Is_Nv=_00_00_30_0:=}');
    Error('\P{Is_Nv=_00_00_30_0:=}');
    Expect(1, 126229, '\p{Is_Nv=0000000300}', "");
    Expect(0, 126229, '\p{^Is_Nv=0000000300}', "");
    Expect(0, 126229, '\P{Is_Nv=0000000300}', "");
    Expect(1, 126229, '\P{^Is_Nv=0000000300}', "");
    Expect(0, 126230, '\p{Is_Nv=0000000300}', "");
    Expect(1, 126230, '\p{^Is_Nv=0000000300}', "");
    Expect(1, 126230, '\P{Is_Nv=0000000300}', "");
    Expect(0, 126230, '\P{^Is_Nv=0000000300}', "");
    Expect(1, 126229, '\p{Is_Nv=3.000000000000000e+02}', "");
    Expect(0, 126229, '\p{^Is_Nv=3.000000000000000e+02}', "");
    Expect(0, 126229, '\P{Is_Nv=3.000000000000000e+02}', "");
    Expect(1, 126229, '\P{^Is_Nv=3.000000000000000e+02}', "");
    Expect(0, 126230, '\p{Is_Nv=3.000000000000000e+02}', "");
    Expect(1, 126230, '\p{^Is_Nv=3.000000000000000e+02}', "");
    Expect(1, 126230, '\P{Is_Nv=3.000000000000000e+02}', "");
    Expect(0, 126230, '\P{^Is_Nv=3.000000000000000e+02}', "");
    Error('\p{Numeric_Value=/a/__+00000003000}');
    Error('\P{Numeric_Value=/a/__+00000003000}');
    Expect(1, 126238, '\p{Numeric_Value=:\A3000\z:}', "");;
    Expect(0, 126239, '\p{Numeric_Value=:\A3000\z:}', "");;
    Expect(1, 126238, '\p{Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(0, 126238, '\p{^Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(0, 126238, '\P{Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(1, 126238, '\P{^Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(0, 126239, '\p{Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(1, 126239, '\p{^Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(1, 126239, '\P{Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(0, 126239, '\P{^Numeric_Value=+0_0_0_0_0_0_0_0_3_000}', "");
    Expect(1, 126238, '\p{Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126238, '\p{^Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126238, '\P{Numeric_Value=3.000000000000000e+03}', "");
    Expect(1, 126238, '\P{^Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126239, '\p{Numeric_Value=3.000000000000000e+03}', "");
    Expect(1, 126239, '\p{^Numeric_Value=3.000000000000000e+03}', "");
    Expect(1, 126239, '\P{Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126239, '\P{^Numeric_Value=3.000000000000000e+03}', "");
    Error('\p{Nv=	 0003000/a/}');
    Error('\P{Nv=	 0003000/a/}');
    Expect(1, 126238, '\p{Nv=:\A3000\z:}', "");;
    Expect(0, 126239, '\p{Nv=:\A3000\z:}', "");;
    Expect(1, 126238, '\p{Nv=+003000}', "");
    Expect(0, 126238, '\p{^Nv=+003000}', "");
    Expect(0, 126238, '\P{Nv=+003000}', "");
    Expect(1, 126238, '\P{^Nv=+003000}', "");
    Expect(0, 126239, '\p{Nv=+003000}', "");
    Expect(1, 126239, '\p{^Nv=+003000}', "");
    Expect(1, 126239, '\P{Nv=+003000}', "");
    Expect(0, 126239, '\P{^Nv=+003000}', "");
    Expect(1, 126238, '\p{Nv=3.000000000000000e+03}', "");
    Expect(0, 126238, '\p{^Nv=3.000000000000000e+03}', "");
    Expect(0, 126238, '\P{Nv=3.000000000000000e+03}', "");
    Expect(1, 126238, '\P{^Nv=3.000000000000000e+03}', "");
    Expect(0, 126239, '\p{Nv=3.000000000000000e+03}', "");
    Expect(1, 126239, '\p{^Nv=3.000000000000000e+03}', "");
    Expect(1, 126239, '\P{Nv=3.000000000000000e+03}', "");
    Expect(0, 126239, '\P{^Nv=3.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value=-/a/0003000}');
    Error('\P{Is_Numeric_Value=-/a/0003000}');
    Expect(1, 126238, '\p{Is_Numeric_Value:	3000}', "");
    Expect(0, 126238, '\p{^Is_Numeric_Value:	3000}', "");
    Expect(0, 126238, '\P{Is_Numeric_Value:	3000}', "");
    Expect(1, 126238, '\P{^Is_Numeric_Value:	3000}', "");
    Expect(0, 126239, '\p{Is_Numeric_Value:	3000}', "");
    Expect(1, 126239, '\p{^Is_Numeric_Value:	3000}', "");
    Expect(1, 126239, '\P{Is_Numeric_Value:	3000}', "");
    Expect(0, 126239, '\P{^Is_Numeric_Value:	3000}', "");
    Expect(1, 126238, '\p{Is_Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126238, '\p{^Is_Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126238, '\P{Is_Numeric_Value=3.000000000000000e+03}', "");
    Expect(1, 126238, '\P{^Is_Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126239, '\p{Is_Numeric_Value=3.000000000000000e+03}', "");
    Expect(1, 126239, '\p{^Is_Numeric_Value=3.000000000000000e+03}', "");
    Expect(1, 126239, '\P{Is_Numeric_Value=3.000000000000000e+03}', "");
    Expect(0, 126239, '\P{^Is_Numeric_Value=3.000000000000000e+03}', "");
    Error('\p{Is_Nv:			0000003000:=}');
    Error('\P{Is_Nv:			0000003000:=}');
    Expect(1, 126238, '\p{Is_Nv=+003000}', "");
    Expect(0, 126238, '\p{^Is_Nv=+003000}', "");
    Expect(0, 126238, '\P{Is_Nv=+003000}', "");
    Expect(1, 126238, '\P{^Is_Nv=+003000}', "");
    Expect(0, 126239, '\p{Is_Nv=+003000}', "");
    Expect(1, 126239, '\p{^Is_Nv=+003000}', "");
    Expect(1, 126239, '\P{Is_Nv=+003000}', "");
    Expect(0, 126239, '\P{^Is_Nv=+003000}', "");
    Expect(1, 126238, '\p{Is_Nv=3.000000000000000e+03}', "");
    Expect(0, 126238, '\p{^Is_Nv=3.000000000000000e+03}', "");
    Expect(0, 126238, '\P{Is_Nv=3.000000000000000e+03}', "");
    Expect(1, 126238, '\P{^Is_Nv=3.000000000000000e+03}', "");
    Expect(0, 126239, '\p{Is_Nv=3.000000000000000e+03}', "");
    Expect(1, 126239, '\p{^Is_Nv=3.000000000000000e+03}', "");
    Expect(1, 126239, '\P{Is_Nv=3.000000000000000e+03}', "");
    Expect(0, 126239, '\P{^Is_Nv=3.000000000000000e+03}', "");
    Error('\p{Numeric_Value=_030000:=}');
    Error('\P{Numeric_Value=_030000:=}');
    Expect(1, 126247, '\p{Numeric_Value=:\A30000\z:}', "");;
    Expect(0, 126248, '\p{Numeric_Value=:\A30000\z:}', "");;
    Expect(1, 126247, '\p{Numeric_Value=00030000}', "");
    Expect(0, 126247, '\p{^Numeric_Value=00030000}', "");
    Expect(0, 126247, '\P{Numeric_Value=00030000}', "");
    Expect(1, 126247, '\P{^Numeric_Value=00030000}', "");
    Expect(0, 126248, '\p{Numeric_Value=00030000}', "");
    Expect(1, 126248, '\p{^Numeric_Value=00030000}', "");
    Expect(1, 126248, '\P{Numeric_Value=00030000}', "");
    Expect(0, 126248, '\P{^Numeric_Value=00030000}', "");
    Expect(1, 126247, '\p{Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126247, '\p{^Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126247, '\P{Numeric_Value=3.000000000000000e+04}', "");
    Expect(1, 126247, '\P{^Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126248, '\p{Numeric_Value=3.000000000000000e+04}', "");
    Expect(1, 126248, '\p{^Numeric_Value=3.000000000000000e+04}', "");
    Expect(1, 126248, '\P{Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126248, '\P{^Numeric_Value=3.000000000000000e+04}', "");
    Error('\p{Nv= 003_000_0/a/}');
    Error('\P{Nv= 003_000_0/a/}');
    Expect(1, 126247, '\p{Nv=:\A30000\z:}', "");;
    Expect(0, 126248, '\p{Nv=:\A30000\z:}', "");;
    Expect(1, 126247, '\p{Nv=00030000}', "");
    Expect(0, 126247, '\p{^Nv=00030000}', "");
    Expect(0, 126247, '\P{Nv=00030000}', "");
    Expect(1, 126247, '\P{^Nv=00030000}', "");
    Expect(0, 126248, '\p{Nv=00030000}', "");
    Expect(1, 126248, '\p{^Nv=00030000}', "");
    Expect(1, 126248, '\P{Nv=00030000}', "");
    Expect(0, 126248, '\P{^Nv=00030000}', "");
    Expect(1, 126247, '\p{Nv=3.000000000000000e+04}', "");
    Expect(0, 126247, '\p{^Nv=3.000000000000000e+04}', "");
    Expect(0, 126247, '\P{Nv=3.000000000000000e+04}', "");
    Expect(1, 126247, '\P{^Nv=3.000000000000000e+04}', "");
    Expect(0, 126248, '\p{Nv=3.000000000000000e+04}', "");
    Expect(1, 126248, '\p{^Nv=3.000000000000000e+04}', "");
    Expect(1, 126248, '\P{Nv=3.000000000000000e+04}', "");
    Expect(0, 126248, '\P{^Nv=3.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value=:=-0_0_0_0_0_0_30000}');
    Error('\P{Is_Numeric_Value=:=-0_0_0_0_0_0_30000}');
    Expect(1, 126247, '\p{Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(0, 126247, '\p{^Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(0, 126247, '\P{Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(1, 126247, '\P{^Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(0, 126248, '\p{Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(1, 126248, '\p{^Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(1, 126248, '\P{Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(0, 126248, '\P{^Is_Numeric_Value=0_0_0_3_0000}', "");
    Expect(1, 126247, '\p{Is_Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126247, '\p{^Is_Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126247, '\P{Is_Numeric_Value=3.000000000000000e+04}', "");
    Expect(1, 126247, '\P{^Is_Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126248, '\p{Is_Numeric_Value=3.000000000000000e+04}', "");
    Expect(1, 126248, '\p{^Is_Numeric_Value=3.000000000000000e+04}', "");
    Expect(1, 126248, '\P{Is_Numeric_Value=3.000000000000000e+04}', "");
    Expect(0, 126248, '\P{^Is_Numeric_Value=3.000000000000000e+04}', "");
    Error('\p{Is_Nv=	/a/+00000030000}');
    Error('\P{Is_Nv=	/a/+00000030000}');
    Expect(1, 126247, '\p{Is_Nv=0000030000}', "");
    Expect(0, 126247, '\p{^Is_Nv=0000030000}', "");
    Expect(0, 126247, '\P{Is_Nv=0000030000}', "");
    Expect(1, 126247, '\P{^Is_Nv=0000030000}', "");
    Expect(0, 126248, '\p{Is_Nv=0000030000}', "");
    Expect(1, 126248, '\p{^Is_Nv=0000030000}', "");
    Expect(1, 126248, '\P{Is_Nv=0000030000}', "");
    Expect(0, 126248, '\P{^Is_Nv=0000030000}', "");
    Expect(1, 126247, '\p{Is_Nv=3.000000000000000e+04}', "");
    Expect(0, 126247, '\p{^Is_Nv=3.000000000000000e+04}', "");
    Expect(0, 126247, '\P{Is_Nv=3.000000000000000e+04}', "");
    Expect(1, 126247, '\P{^Is_Nv=3.000000000000000e+04}', "");
    Expect(0, 126248, '\p{Is_Nv=3.000000000000000e+04}', "");
    Expect(1, 126248, '\p{^Is_Nv=3.000000000000000e+04}', "");
    Expect(1, 126248, '\P{Is_Nv=3.000000000000000e+04}', "");
    Expect(0, 126248, '\P{^Is_Nv=3.000000000000000e+04}', "");
    Error('\p{Numeric_Value=  000000300000/a/}');
    Error('\P{Numeric_Value=  000000300000/a/}');
    Expect(1, 68079, '\p{Numeric_Value=:\A300000\z:}', "");;
    Expect(0, 68080, '\p{Numeric_Value=:\A300000\z:}', "");;
    Expect(1, 68079, '\p{Numeric_Value=000000000300000}', "");
    Expect(0, 68079, '\p{^Numeric_Value=000000000300000}', "");
    Expect(0, 68079, '\P{Numeric_Value=000000000300000}', "");
    Expect(1, 68079, '\P{^Numeric_Value=000000000300000}', "");
    Expect(0, 68080, '\p{Numeric_Value=000000000300000}', "");
    Expect(1, 68080, '\p{^Numeric_Value=000000000300000}', "");
    Expect(1, 68080, '\P{Numeric_Value=000000000300000}', "");
    Expect(0, 68080, '\P{^Numeric_Value=000000000300000}', "");
    Expect(1, 68079, '\p{Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68079, '\p{^Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68079, '\P{Numeric_Value=3.000000000000000e+05}', "");
    Expect(1, 68079, '\P{^Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68080, '\p{Numeric_Value=3.000000000000000e+05}', "");
    Expect(1, 68080, '\p{^Numeric_Value=3.000000000000000e+05}', "");
    Expect(1, 68080, '\P{Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68080, '\P{^Numeric_Value=3.000000000000000e+05}', "");
    Error('\p{Nv= /a/000000000300000}');
    Error('\P{Nv= /a/000000000300000}');
    Expect(1, 68079, '\p{Nv=:\A300000\z:}', "");;
    Expect(0, 68080, '\p{Nv=:\A300000\z:}', "");;
    Expect(1, 68079, '\p{Nv=000300000}', "");
    Expect(0, 68079, '\p{^Nv=000300000}', "");
    Expect(0, 68079, '\P{Nv=000300000}', "");
    Expect(1, 68079, '\P{^Nv=000300000}', "");
    Expect(0, 68080, '\p{Nv=000300000}', "");
    Expect(1, 68080, '\p{^Nv=000300000}', "");
    Expect(1, 68080, '\P{Nv=000300000}', "");
    Expect(0, 68080, '\P{^Nv=000300000}', "");
    Expect(1, 68079, '\p{Nv=3.000000000000000e+05}', "");
    Expect(0, 68079, '\p{^Nv=3.000000000000000e+05}', "");
    Expect(0, 68079, '\P{Nv=3.000000000000000e+05}', "");
    Expect(1, 68079, '\P{^Nv=3.000000000000000e+05}', "");
    Expect(0, 68080, '\p{Nv=3.000000000000000e+05}', "");
    Expect(1, 68080, '\p{^Nv=3.000000000000000e+05}', "");
    Expect(1, 68080, '\P{Nv=3.000000000000000e+05}', "");
    Expect(0, 68080, '\P{^Nv=3.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=:=0_0_0_0_0_0_3_0_0_000}');
    Error('\P{Is_Numeric_Value=:=0_0_0_0_0_0_3_0_0_000}');
    Expect(1, 68079, '\p{Is_Numeric_Value: +0300000}', "");
    Expect(0, 68079, '\p{^Is_Numeric_Value: +0300000}', "");
    Expect(0, 68079, '\P{Is_Numeric_Value: +0300000}', "");
    Expect(1, 68079, '\P{^Is_Numeric_Value: +0300000}', "");
    Expect(0, 68080, '\p{Is_Numeric_Value: +0300000}', "");
    Expect(1, 68080, '\p{^Is_Numeric_Value: +0300000}', "");
    Expect(1, 68080, '\P{Is_Numeric_Value: +0300000}', "");
    Expect(0, 68080, '\P{^Is_Numeric_Value: +0300000}', "");
    Expect(1, 68079, '\p{Is_Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68079, '\p{^Is_Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68079, '\P{Is_Numeric_Value=3.000000000000000e+05}', "");
    Expect(1, 68079, '\P{^Is_Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68080, '\p{Is_Numeric_Value=3.000000000000000e+05}', "");
    Expect(1, 68080, '\p{^Is_Numeric_Value=3.000000000000000e+05}', "");
    Expect(1, 68080, '\P{Is_Numeric_Value=3.000000000000000e+05}', "");
    Expect(0, 68080, '\P{^Is_Numeric_Value=3.000000000000000e+05}', "");
    Error('\p{Is_Nv=	/a/00_00_00_00_03_00000}');
    Error('\P{Is_Nv=	/a/00_00_00_00_03_00000}');
    Expect(1, 68079, '\p{Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(0, 68079, '\p{^Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(0, 68079, '\P{Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(1, 68079, '\P{^Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(0, 68080, '\p{Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(1, 68080, '\p{^Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(1, 68080, '\P{Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(0, 68080, '\P{^Is_Nv=+0_0_0_0_3_0_0_0_00}', "");
    Expect(1, 68079, '\p{Is_Nv=3.000000000000000e+05}', "");
    Expect(0, 68079, '\p{^Is_Nv=3.000000000000000e+05}', "");
    Expect(0, 68079, '\P{Is_Nv=3.000000000000000e+05}', "");
    Expect(1, 68079, '\P{^Is_Nv=3.000000000000000e+05}', "");
    Expect(0, 68080, '\p{Is_Nv=3.000000000000000e+05}', "");
    Expect(1, 68080, '\p{^Is_Nv=3.000000000000000e+05}', "");
    Expect(1, 68080, '\P{Is_Nv=3.000000000000000e+05}', "");
    Expect(0, 68080, '\P{^Is_Nv=3.000000000000000e+05}', "");
    Error('\p{Numeric_Value=/a/		3_1}');
    Error('\P{Numeric_Value=/a/		3_1}');
    Expect(1, 12891, '\p{Numeric_Value=:\A31\z:}', "");;
    Expect(0, 12892, '\p{Numeric_Value=:\A31\z:}', "");;
    Expect(1, 12891, '\p{Numeric_Value=3_1}', "");
    Expect(0, 12891, '\p{^Numeric_Value=3_1}', "");
    Expect(0, 12891, '\P{Numeric_Value=3_1}', "");
    Expect(1, 12891, '\P{^Numeric_Value=3_1}', "");
    Expect(0, 12892, '\p{Numeric_Value=3_1}', "");
    Expect(1, 12892, '\p{^Numeric_Value=3_1}', "");
    Expect(1, 12892, '\P{Numeric_Value=3_1}', "");
    Expect(0, 12892, '\P{^Numeric_Value=3_1}', "");
    Expect(1, 12891, '\p{Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12891, '\p{^Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12891, '\P{Numeric_Value=3.100000000000000e+01}', "");
    Expect(1, 12891, '\P{^Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12892, '\p{Numeric_Value=3.100000000000000e+01}', "");
    Expect(1, 12892, '\p{^Numeric_Value=3.100000000000000e+01}', "");
    Expect(1, 12892, '\P{Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12892, '\P{^Numeric_Value=3.100000000000000e+01}', "");
    Error('\p{Nv=/a/	+0_0_0_0_0_031}');
    Error('\P{Nv=/a/	+0_0_0_0_0_031}');
    Expect(1, 12891, '\p{Nv=:\A31\z:}', "");;
    Expect(0, 12892, '\p{Nv=:\A31\z:}', "");;
    Expect(1, 12891, '\p{Nv=00000031}', "");
    Expect(0, 12891, '\p{^Nv=00000031}', "");
    Expect(0, 12891, '\P{Nv=00000031}', "");
    Expect(1, 12891, '\P{^Nv=00000031}', "");
    Expect(0, 12892, '\p{Nv=00000031}', "");
    Expect(1, 12892, '\p{^Nv=00000031}', "");
    Expect(1, 12892, '\P{Nv=00000031}', "");
    Expect(0, 12892, '\P{^Nv=00000031}', "");
    Expect(1, 12891, '\p{Nv=3.100000000000000e+01}', "");
    Expect(0, 12891, '\p{^Nv=3.100000000000000e+01}', "");
    Expect(0, 12891, '\P{Nv=3.100000000000000e+01}', "");
    Expect(1, 12891, '\P{^Nv=3.100000000000000e+01}', "");
    Expect(0, 12892, '\p{Nv=3.100000000000000e+01}', "");
    Expect(1, 12892, '\p{^Nv=3.100000000000000e+01}', "");
    Expect(1, 12892, '\P{Nv=3.100000000000000e+01}', "");
    Expect(0, 12892, '\P{^Nv=3.100000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=--031/a/}');
    Error('\P{Is_Numeric_Value=--031/a/}');
    Expect(1, 12891, '\p{Is_Numeric_Value=031}', "");
    Expect(0, 12891, '\p{^Is_Numeric_Value=031}', "");
    Expect(0, 12891, '\P{Is_Numeric_Value=031}', "");
    Expect(1, 12891, '\P{^Is_Numeric_Value=031}', "");
    Expect(0, 12892, '\p{Is_Numeric_Value=031}', "");
    Expect(1, 12892, '\p{^Is_Numeric_Value=031}', "");
    Expect(1, 12892, '\P{Is_Numeric_Value=031}', "");
    Expect(0, 12892, '\P{^Is_Numeric_Value=031}', "");
    Expect(1, 12891, '\p{Is_Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12891, '\p{^Is_Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12891, '\P{Is_Numeric_Value=3.100000000000000e+01}', "");
    Expect(1, 12891, '\P{^Is_Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12892, '\p{Is_Numeric_Value=3.100000000000000e+01}', "");
    Expect(1, 12892, '\p{^Is_Numeric_Value=3.100000000000000e+01}', "");
    Expect(1, 12892, '\P{Is_Numeric_Value=3.100000000000000e+01}', "");
    Expect(0, 12892, '\P{^Is_Numeric_Value=3.100000000000000e+01}', "");
    Error('\p{Is_Nv=:=	+3_1}');
    Error('\P{Is_Nv=:=	+3_1}');
    Expect(1, 12891, '\p{Is_Nv=+00031}', "");
    Expect(0, 12891, '\p{^Is_Nv=+00031}', "");
    Expect(0, 12891, '\P{Is_Nv=+00031}', "");
    Expect(1, 12891, '\P{^Is_Nv=+00031}', "");
    Expect(0, 12892, '\p{Is_Nv=+00031}', "");
    Expect(1, 12892, '\p{^Is_Nv=+00031}', "");
    Expect(1, 12892, '\P{Is_Nv=+00031}', "");
    Expect(0, 12892, '\P{^Is_Nv=+00031}', "");
    Expect(1, 12891, '\p{Is_Nv=3.100000000000000e+01}', "");
    Expect(0, 12891, '\p{^Is_Nv=3.100000000000000e+01}', "");
    Expect(0, 12891, '\P{Is_Nv=3.100000000000000e+01}', "");
    Expect(1, 12891, '\P{^Is_Nv=3.100000000000000e+01}', "");
    Expect(0, 12892, '\p{Is_Nv=3.100000000000000e+01}', "");
    Expect(1, 12892, '\p{^Is_Nv=3.100000000000000e+01}', "");
    Expect(1, 12892, '\P{Is_Nv=3.100000000000000e+01}', "");
    Expect(0, 12892, '\P{^Is_Nv=3.100000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/0_0_0_0_0_0_0_0_32}');
    Error('\P{Numeric_Value=/a/0_0_0_0_0_0_0_0_32}');
    Expect(1, 12892, '\p{Numeric_Value=:\A32\z:}', "");;
    Expect(0, 12893, '\p{Numeric_Value=:\A32\z:}', "");;
    Expect(1, 12892, '\p{Numeric_Value=03_2}', "");
    Expect(0, 12892, '\p{^Numeric_Value=03_2}', "");
    Expect(0, 12892, '\P{Numeric_Value=03_2}', "");
    Expect(1, 12892, '\P{^Numeric_Value=03_2}', "");
    Expect(0, 12893, '\p{Numeric_Value=03_2}', "");
    Expect(1, 12893, '\p{^Numeric_Value=03_2}', "");
    Expect(1, 12893, '\P{Numeric_Value=03_2}', "");
    Expect(0, 12893, '\P{^Numeric_Value=03_2}', "");
    Expect(1, 12892, '\p{Numeric_Value=3.200000000000000e+01}', "");
    Expect(0, 12892, '\p{^Numeric_Value=3.200000000000000e+01}', "");
    Expect(0, 12892, '\P{Numeric_Value=3.200000000000000e+01}', "");
    Expect(1, 12892, '\P{^Numeric_Value=3.200000000000000e+01}', "");
    Expect(0, 12893, '\p{Numeric_Value=3.200000000000000e+01}', "");
    Expect(1, 12893, '\p{^Numeric_Value=3.200000000000000e+01}', "");
    Expect(1, 12893, '\P{Numeric_Value=3.200000000000000e+01}', "");
    Expect(0, 12893, '\P{^Numeric_Value=3.200000000000000e+01}', "");
    Error('\p{Nv:	0000000003_2:=}');
    Error('\P{Nv:	0000000003_2:=}');
    Expect(1, 12892, '\p{Nv=:\A32\z:}', "");;
    Expect(0, 12893, '\p{Nv=:\A32\z:}', "");;
    Expect(1, 12892, '\p{Nv=+0_0_0_32}', "");
    Expect(0, 12892, '\p{^Nv=+0_0_0_32}', "");
    Expect(0, 12892, '\P{Nv=+0_0_0_32}', "");
    Expect(1, 12892, '\P{^Nv=+0_0_0_32}', "");
    Expect(0, 12893, '\p{Nv=+0_0_0_32}', "");
    Expect(1, 12893, '\p{^Nv=+0_0_0_32}', "");
    Expect(1, 12893, '\P{Nv=+0_0_0_32}', "");
    Expect(0, 12893, '\P{^Nv=+0_0_0_32}', "");
    Expect(1, 12892, '\p{Nv=3.200000000000000e+01}', "");
    Expect(0, 12892, '\p{^Nv=3.200000000000000e+01}', "");
    Expect(0, 12892, '\P{Nv=3.200000000000000e+01}', "");
    Expect(1, 12892, '\P{^Nv=3.200000000000000e+01}', "");
    Expect(0, 12893, '\p{Nv=3.200000000000000e+01}', "");
    Expect(1, 12893, '\p{^Nv=3.200000000000000e+01}', "");
    Expect(1, 12893, '\P{Nv=3.200000000000000e+01}', "");
    Expect(0, 12893, '\P{^Nv=3.200000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=_/a/32}');
    Error('\P{Is_Numeric_Value=_/a/32}');
    Expect(1, 12892, '\p{Is_Numeric_Value=0000032}', "");
    Expect(0, 12892, '\p{^Is_Numeric_Value=0000032}', "");
    Expect(0, 12892, '\P{Is_Numeric_Value=0000032}', "");
    Expect(1, 12892, '\P{^Is_Numeric_Value=0000032}', "");
    Expect(0, 12893, '\p{Is_Numeric_Value=0000032}', "");
    Expect(1, 12893, '\p{^Is_Numeric_Value=0000032}', "");
    Expect(1, 12893, '\P{Is_Numeric_Value=0000032}', "");
    Expect(0, 12893, '\P{^Is_Numeric_Value=0000032}', "");
    Expect(1, 12892, '\p{Is_Numeric_Value: 3.200000000000000e+01}', "");
    Expect(0, 12892, '\p{^Is_Numeric_Value: 3.200000000000000e+01}', "");
    Expect(0, 12892, '\P{Is_Numeric_Value: 3.200000000000000e+01}', "");
    Expect(1, 12892, '\P{^Is_Numeric_Value: 3.200000000000000e+01}', "");
    Expect(0, 12893, '\p{Is_Numeric_Value: 3.200000000000000e+01}', "");
    Expect(1, 12893, '\p{^Is_Numeric_Value: 3.200000000000000e+01}', "");
    Expect(1, 12893, '\P{Is_Numeric_Value: 3.200000000000000e+01}', "");
    Expect(0, 12893, '\P{^Is_Numeric_Value: 3.200000000000000e+01}', "");
    Error('\p{Is_Nv=	_0_0_0_0_0_0_32:=}');
    Error('\P{Is_Nv=	_0_0_0_0_0_0_32:=}');
    Expect(1, 12892, '\p{Is_Nv=0000_0000_32}', "");
    Expect(0, 12892, '\p{^Is_Nv=0000_0000_32}', "");
    Expect(0, 12892, '\P{Is_Nv=0000_0000_32}', "");
    Expect(1, 12892, '\P{^Is_Nv=0000_0000_32}', "");
    Expect(0, 12893, '\p{Is_Nv=0000_0000_32}', "");
    Expect(1, 12893, '\p{^Is_Nv=0000_0000_32}', "");
    Expect(1, 12893, '\P{Is_Nv=0000_0000_32}', "");
    Expect(0, 12893, '\P{^Is_Nv=0000_0000_32}', "");
    Expect(1, 12892, '\p{Is_Nv:	3.200000000000000e+01}', "");
    Expect(0, 12892, '\p{^Is_Nv:	3.200000000000000e+01}', "");
    Expect(0, 12892, '\P{Is_Nv:	3.200000000000000e+01}', "");
    Expect(1, 12892, '\P{^Is_Nv:	3.200000000000000e+01}', "");
    Expect(0, 12893, '\p{Is_Nv:	3.200000000000000e+01}', "");
    Expect(1, 12893, '\p{^Is_Nv:	3.200000000000000e+01}', "");
    Expect(1, 12893, '\P{Is_Nv:	3.200000000000000e+01}', "");
    Expect(0, 12893, '\P{^Is_Nv:	3.200000000000000e+01}', "");
    Error('\p{Numeric_Value=	 0033:=}');
    Error('\P{Numeric_Value=	 0033:=}');
    Expect(1, 12893, '\p{Numeric_Value=:\A33\z:}', "");;
    Expect(0, 12894, '\p{Numeric_Value=:\A33\z:}', "");;
    Expect(1, 12893, '\p{Numeric_Value=00_00_00_00_33}', "");
    Expect(0, 12893, '\p{^Numeric_Value=00_00_00_00_33}', "");
    Expect(0, 12893, '\P{Numeric_Value=00_00_00_00_33}', "");
    Expect(1, 12893, '\P{^Numeric_Value=00_00_00_00_33}', "");
    Expect(0, 12894, '\p{Numeric_Value=00_00_00_00_33}', "");
    Expect(1, 12894, '\p{^Numeric_Value=00_00_00_00_33}', "");
    Expect(1, 12894, '\P{Numeric_Value=00_00_00_00_33}', "");
    Expect(0, 12894, '\P{^Numeric_Value=00_00_00_00_33}', "");
    Expect(1, 12893, '\p{Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12893, '\p{^Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12893, '\P{Numeric_Value=3.300000000000000e+01}', "");
    Expect(1, 12893, '\P{^Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12894, '\p{Numeric_Value=3.300000000000000e+01}', "");
    Expect(1, 12894, '\p{^Numeric_Value=3.300000000000000e+01}', "");
    Expect(1, 12894, '\P{Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12894, '\P{^Numeric_Value=3.300000000000000e+01}', "");
    Error('\p{Nv=:=- +0_0_0_0_0_0_33}');
    Error('\P{Nv=:=- +0_0_0_0_0_0_33}');
    Expect(1, 12893, '\p{Nv=:\A33\z:}', "");;
    Expect(0, 12894, '\p{Nv=:\A33\z:}', "");;
    Expect(1, 12893, '\p{Nv=+00033}', "");
    Expect(0, 12893, '\p{^Nv=+00033}', "");
    Expect(0, 12893, '\P{Nv=+00033}', "");
    Expect(1, 12893, '\P{^Nv=+00033}', "");
    Expect(0, 12894, '\p{Nv=+00033}', "");
    Expect(1, 12894, '\p{^Nv=+00033}', "");
    Expect(1, 12894, '\P{Nv=+00033}', "");
    Expect(0, 12894, '\P{^Nv=+00033}', "");
    Expect(1, 12893, '\p{Nv=3.300000000000000e+01}', "");
    Expect(0, 12893, '\p{^Nv=3.300000000000000e+01}', "");
    Expect(0, 12893, '\P{Nv=3.300000000000000e+01}', "");
    Expect(1, 12893, '\P{^Nv=3.300000000000000e+01}', "");
    Expect(0, 12894, '\p{Nv=3.300000000000000e+01}', "");
    Expect(1, 12894, '\p{^Nv=3.300000000000000e+01}', "");
    Expect(1, 12894, '\P{Nv=3.300000000000000e+01}', "");
    Expect(0, 12894, '\P{^Nv=3.300000000000000e+01}', "");
    Error('\p{Is_Numeric_Value= :=+00_00_00_33}');
    Error('\P{Is_Numeric_Value= :=+00_00_00_33}');
    Expect(1, 12893, '\p{Is_Numeric_Value=000033}', "");
    Expect(0, 12893, '\p{^Is_Numeric_Value=000033}', "");
    Expect(0, 12893, '\P{Is_Numeric_Value=000033}', "");
    Expect(1, 12893, '\P{^Is_Numeric_Value=000033}', "");
    Expect(0, 12894, '\p{Is_Numeric_Value=000033}', "");
    Expect(1, 12894, '\p{^Is_Numeric_Value=000033}', "");
    Expect(1, 12894, '\P{Is_Numeric_Value=000033}', "");
    Expect(0, 12894, '\P{^Is_Numeric_Value=000033}', "");
    Expect(1, 12893, '\p{Is_Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12893, '\p{^Is_Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12893, '\P{Is_Numeric_Value=3.300000000000000e+01}', "");
    Expect(1, 12893, '\P{^Is_Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12894, '\p{Is_Numeric_Value=3.300000000000000e+01}', "");
    Expect(1, 12894, '\p{^Is_Numeric_Value=3.300000000000000e+01}', "");
    Expect(1, 12894, '\P{Is_Numeric_Value=3.300000000000000e+01}', "");
    Expect(0, 12894, '\P{^Is_Numeric_Value=3.300000000000000e+01}', "");
    Error('\p{Is_Nv= _00_00_33:=}');
    Error('\P{Is_Nv= _00_00_33:=}');
    Expect(1, 12893, '\p{Is_Nv=0_0_0_0_0_33}', "");
    Expect(0, 12893, '\p{^Is_Nv=0_0_0_0_0_33}', "");
    Expect(0, 12893, '\P{Is_Nv=0_0_0_0_0_33}', "");
    Expect(1, 12893, '\P{^Is_Nv=0_0_0_0_0_33}', "");
    Expect(0, 12894, '\p{Is_Nv=0_0_0_0_0_33}', "");
    Expect(1, 12894, '\p{^Is_Nv=0_0_0_0_0_33}', "");
    Expect(1, 12894, '\P{Is_Nv=0_0_0_0_0_33}', "");
    Expect(0, 12894, '\P{^Is_Nv=0_0_0_0_0_33}', "");
    Expect(1, 12893, '\p{Is_Nv=3.300000000000000e+01}', "");
    Expect(0, 12893, '\p{^Is_Nv=3.300000000000000e+01}', "");
    Expect(0, 12893, '\P{Is_Nv=3.300000000000000e+01}', "");
    Expect(1, 12893, '\P{^Is_Nv=3.300000000000000e+01}', "");
    Expect(0, 12894, '\p{Is_Nv=3.300000000000000e+01}', "");
    Expect(1, 12894, '\p{^Is_Nv=3.300000000000000e+01}', "");
    Expect(1, 12894, '\P{Is_Nv=3.300000000000000e+01}', "");
    Expect(0, 12894, '\P{^Is_Nv=3.300000000000000e+01}', "");
    Error('\p{Numeric_Value=	 0_0_0_0_0_0_034/a/}');
    Error('\P{Numeric_Value=	 0_0_0_0_0_0_034/a/}');
    Expect(1, 12894, '\p{Numeric_Value=:\A34\z:}', "");;
    Expect(0, 12895, '\p{Numeric_Value=:\A34\z:}', "");;
    Expect(1, 12894, '\p{Numeric_Value=0_0_0_34}', "");
    Expect(0, 12894, '\p{^Numeric_Value=0_0_0_34}', "");
    Expect(0, 12894, '\P{Numeric_Value=0_0_0_34}', "");
    Expect(1, 12894, '\P{^Numeric_Value=0_0_0_34}', "");
    Expect(0, 12895, '\p{Numeric_Value=0_0_0_34}', "");
    Expect(1, 12895, '\p{^Numeric_Value=0_0_0_34}', "");
    Expect(1, 12895, '\P{Numeric_Value=0_0_0_34}', "");
    Expect(0, 12895, '\P{^Numeric_Value=0_0_0_34}', "");
    Expect(1, 12894, '\p{Numeric_Value=3.400000000000000e+01}', "");
    Expect(0, 12894, '\p{^Numeric_Value=3.400000000000000e+01}', "");
    Expect(0, 12894, '\P{Numeric_Value=3.400000000000000e+01}', "");
    Expect(1, 12894, '\P{^Numeric_Value=3.400000000000000e+01}', "");
    Expect(0, 12895, '\p{Numeric_Value=3.400000000000000e+01}', "");
    Expect(1, 12895, '\p{^Numeric_Value=3.400000000000000e+01}', "");
    Expect(1, 12895, '\P{Numeric_Value=3.400000000000000e+01}', "");
    Expect(0, 12895, '\P{^Numeric_Value=3.400000000000000e+01}', "");
    Error('\p{Nv=:=-_00_00_00_00_03_4}');
    Error('\P{Nv=:=-_00_00_00_00_03_4}');
    Expect(1, 12894, '\p{Nv=:\A34\z:}', "");;
    Expect(0, 12895, '\p{Nv=:\A34\z:}', "");;
    Expect(1, 12894, '\p{Nv=+0_0_0_0_0_00034}', "");
    Expect(0, 12894, '\p{^Nv=+0_0_0_0_0_00034}', "");
    Expect(0, 12894, '\P{Nv=+0_0_0_0_0_00034}', "");
    Expect(1, 12894, '\P{^Nv=+0_0_0_0_0_00034}', "");
    Expect(0, 12895, '\p{Nv=+0_0_0_0_0_00034}', "");
    Expect(1, 12895, '\p{^Nv=+0_0_0_0_0_00034}', "");
    Expect(1, 12895, '\P{Nv=+0_0_0_0_0_00034}', "");
    Expect(0, 12895, '\P{^Nv=+0_0_0_0_0_00034}', "");
    Expect(1, 12894, '\p{Nv=3.400000000000000e+01}', "");
    Expect(0, 12894, '\p{^Nv=3.400000000000000e+01}', "");
    Expect(0, 12894, '\P{Nv=3.400000000000000e+01}', "");
    Expect(1, 12894, '\P{^Nv=3.400000000000000e+01}', "");
    Expect(0, 12895, '\p{Nv=3.400000000000000e+01}', "");
    Expect(1, 12895, '\p{^Nv=3.400000000000000e+01}', "");
    Expect(1, 12895, '\P{Nv=3.400000000000000e+01}', "");
    Expect(0, 12895, '\P{^Nv=3.400000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=	-+0000_0000_34/a/}');
    Error('\P{Is_Numeric_Value=	-+0000_0000_34/a/}');
    Expect(1, 12894, '\p{Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12894, '\p{^Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12894, '\P{Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12894, '\P{^Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12895, '\p{Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12895, '\p{^Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12895, '\P{Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12895, '\P{^Is_Numeric_Value:   0_0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12894, '\p{Is_Numeric_Value: 3.400000000000000e+01}', "");
    Expect(0, 12894, '\p{^Is_Numeric_Value: 3.400000000000000e+01}', "");
    Expect(0, 12894, '\P{Is_Numeric_Value: 3.400000000000000e+01}', "");
    Expect(1, 12894, '\P{^Is_Numeric_Value: 3.400000000000000e+01}', "");
    Expect(0, 12895, '\p{Is_Numeric_Value: 3.400000000000000e+01}', "");
    Expect(1, 12895, '\p{^Is_Numeric_Value: 3.400000000000000e+01}', "");
    Expect(1, 12895, '\P{Is_Numeric_Value: 3.400000000000000e+01}', "");
    Expect(0, 12895, '\P{^Is_Numeric_Value: 3.400000000000000e+01}', "");
    Error('\p{Is_Nv= 00000034/a/}');
    Error('\P{Is_Nv= 00000034/a/}');
    Expect(1, 12894, '\p{Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12894, '\p{^Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12894, '\P{Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12894, '\P{^Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12895, '\p{Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12895, '\p{^Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12895, '\P{Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(0, 12895, '\P{^Is_Nv=0_0_0_0_0_0_0_0_34}', "");
    Expect(1, 12894, '\p{Is_Nv=3.400000000000000e+01}', "");
    Expect(0, 12894, '\p{^Is_Nv=3.400000000000000e+01}', "");
    Expect(0, 12894, '\P{Is_Nv=3.400000000000000e+01}', "");
    Expect(1, 12894, '\P{^Is_Nv=3.400000000000000e+01}', "");
    Expect(0, 12895, '\p{Is_Nv=3.400000000000000e+01}', "");
    Expect(1, 12895, '\p{^Is_Nv=3.400000000000000e+01}', "");
    Expect(1, 12895, '\P{Is_Nv=3.400000000000000e+01}', "");
    Expect(0, 12895, '\P{^Is_Nv=3.400000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/  +03_5}');
    Error('\P{Numeric_Value=/a/  +03_5}');
    Expect(1, 12895, '\p{Numeric_Value=:\A35\z:}', "");;
    Expect(0, 12896, '\p{Numeric_Value=:\A35\z:}', "");;
    Expect(1, 12895, '\p{Numeric_Value=000000035}', "");
    Expect(0, 12895, '\p{^Numeric_Value=000000035}', "");
    Expect(0, 12895, '\P{Numeric_Value=000000035}', "");
    Expect(1, 12895, '\P{^Numeric_Value=000000035}', "");
    Expect(0, 12896, '\p{Numeric_Value=000000035}', "");
    Expect(1, 12896, '\p{^Numeric_Value=000000035}', "");
    Expect(1, 12896, '\P{Numeric_Value=000000035}', "");
    Expect(0, 12896, '\P{^Numeric_Value=000000035}', "");
    Expect(1, 12895, '\p{Numeric_Value=3.500000000000000e+01}', "");
    Expect(0, 12895, '\p{^Numeric_Value=3.500000000000000e+01}', "");
    Expect(0, 12895, '\P{Numeric_Value=3.500000000000000e+01}', "");
    Expect(1, 12895, '\P{^Numeric_Value=3.500000000000000e+01}', "");
    Expect(0, 12896, '\p{Numeric_Value=3.500000000000000e+01}', "");
    Expect(1, 12896, '\p{^Numeric_Value=3.500000000000000e+01}', "");
    Expect(1, 12896, '\P{Numeric_Value=3.500000000000000e+01}', "");
    Expect(0, 12896, '\P{^Numeric_Value=3.500000000000000e+01}', "");
    Error('\p{Nv=_ 000000035/a/}');
    Error('\P{Nv=_ 000000035/a/}');
    Expect(1, 12895, '\p{Nv=:\A35\z:}', "");;
    Expect(0, 12896, '\p{Nv=:\A35\z:}', "");;
    Expect(1, 12895, '\p{Nv=000003_5}', "");
    Expect(0, 12895, '\p{^Nv=000003_5}', "");
    Expect(0, 12895, '\P{Nv=000003_5}', "");
    Expect(1, 12895, '\P{^Nv=000003_5}', "");
    Expect(0, 12896, '\p{Nv=000003_5}', "");
    Expect(1, 12896, '\p{^Nv=000003_5}', "");
    Expect(1, 12896, '\P{Nv=000003_5}', "");
    Expect(0, 12896, '\P{^Nv=000003_5}', "");
    Expect(1, 12895, '\p{Nv=3.500000000000000e+01}', "");
    Expect(0, 12895, '\p{^Nv=3.500000000000000e+01}', "");
    Expect(0, 12895, '\P{Nv=3.500000000000000e+01}', "");
    Expect(1, 12895, '\P{^Nv=3.500000000000000e+01}', "");
    Expect(0, 12896, '\p{Nv=3.500000000000000e+01}', "");
    Expect(1, 12896, '\p{^Nv=3.500000000000000e+01}', "");
    Expect(1, 12896, '\P{Nv=3.500000000000000e+01}', "");
    Expect(0, 12896, '\P{^Nv=3.500000000000000e+01}', "");
    Error('\p{Is_Numeric_Value:   	:=35}');
    Error('\P{Is_Numeric_Value:   	:=35}');
    Expect(1, 12895, '\p{Is_Numeric_Value=000035}', "");
    Expect(0, 12895, '\p{^Is_Numeric_Value=000035}', "");
    Expect(0, 12895, '\P{Is_Numeric_Value=000035}', "");
    Expect(1, 12895, '\P{^Is_Numeric_Value=000035}', "");
    Expect(0, 12896, '\p{Is_Numeric_Value=000035}', "");
    Expect(1, 12896, '\p{^Is_Numeric_Value=000035}', "");
    Expect(1, 12896, '\P{Is_Numeric_Value=000035}', "");
    Expect(0, 12896, '\P{^Is_Numeric_Value=000035}', "");
    Expect(1, 12895, '\p{Is_Numeric_Value:   3.500000000000000e+01}', "");
    Expect(0, 12895, '\p{^Is_Numeric_Value:   3.500000000000000e+01}', "");
    Expect(0, 12895, '\P{Is_Numeric_Value:   3.500000000000000e+01}', "");
    Expect(1, 12895, '\P{^Is_Numeric_Value:   3.500000000000000e+01}', "");
    Expect(0, 12896, '\p{Is_Numeric_Value:   3.500000000000000e+01}', "");
    Expect(1, 12896, '\p{^Is_Numeric_Value:   3.500000000000000e+01}', "");
    Expect(1, 12896, '\P{Is_Numeric_Value:   3.500000000000000e+01}', "");
    Expect(0, 12896, '\P{^Is_Numeric_Value:   3.500000000000000e+01}', "");
    Error('\p{Is_Nv: /a/ _35}');
    Error('\P{Is_Nv: /a/ _35}');
    Expect(1, 12895, '\p{Is_Nv=003_5}', "");
    Expect(0, 12895, '\p{^Is_Nv=003_5}', "");
    Expect(0, 12895, '\P{Is_Nv=003_5}', "");
    Expect(1, 12895, '\P{^Is_Nv=003_5}', "");
    Expect(0, 12896, '\p{Is_Nv=003_5}', "");
    Expect(1, 12896, '\p{^Is_Nv=003_5}', "");
    Expect(1, 12896, '\P{Is_Nv=003_5}', "");
    Expect(0, 12896, '\P{^Is_Nv=003_5}', "");
    Expect(1, 12895, '\p{Is_Nv=3.500000000000000e+01}', "");
    Expect(0, 12895, '\p{^Is_Nv=3.500000000000000e+01}', "");
    Expect(0, 12895, '\P{Is_Nv=3.500000000000000e+01}', "");
    Expect(1, 12895, '\P{^Is_Nv=3.500000000000000e+01}', "");
    Expect(0, 12896, '\p{Is_Nv=3.500000000000000e+01}', "");
    Expect(1, 12896, '\p{^Is_Nv=3.500000000000000e+01}', "");
    Expect(1, 12896, '\P{Is_Nv=3.500000000000000e+01}', "");
    Expect(0, 12896, '\P{^Is_Nv=3.500000000000000e+01}', "");
    Error('\p{Numeric_Value=	:=00000036}');
    Error('\P{Numeric_Value=	:=00000036}');
    Expect(1, 12977, '\p{Numeric_Value=:\A36\z:}', "");;
    Expect(0, 12978, '\p{Numeric_Value=:\A36\z:}', "");;
    Expect(1, 12977, '\p{Numeric_Value=+00036}', "");
    Expect(0, 12977, '\p{^Numeric_Value=+00036}', "");
    Expect(0, 12977, '\P{Numeric_Value=+00036}', "");
    Expect(1, 12977, '\P{^Numeric_Value=+00036}', "");
    Expect(0, 12978, '\p{Numeric_Value=+00036}', "");
    Expect(1, 12978, '\p{^Numeric_Value=+00036}', "");
    Expect(1, 12978, '\P{Numeric_Value=+00036}', "");
    Expect(0, 12978, '\P{^Numeric_Value=+00036}', "");
    Expect(1, 12977, '\p{Numeric_Value:   3.600000000000000e+01}', "");
    Expect(0, 12977, '\p{^Numeric_Value:   3.600000000000000e+01}', "");
    Expect(0, 12977, '\P{Numeric_Value:   3.600000000000000e+01}', "");
    Expect(1, 12977, '\P{^Numeric_Value:   3.600000000000000e+01}', "");
    Expect(0, 12978, '\p{Numeric_Value:   3.600000000000000e+01}', "");
    Expect(1, 12978, '\p{^Numeric_Value:   3.600000000000000e+01}', "");
    Expect(1, 12978, '\P{Numeric_Value:   3.600000000000000e+01}', "");
    Expect(0, 12978, '\P{^Numeric_Value:   3.600000000000000e+01}', "");
    Error('\p{Nv=	:=0036}');
    Error('\P{Nv=	:=0036}');
    Expect(1, 12977, '\p{Nv=:\A36\z:}', "");;
    Expect(0, 12978, '\p{Nv=:\A36\z:}', "");;
    Expect(1, 12977, '\p{Nv=+0_0_0_0_0036}', "");
    Expect(0, 12977, '\p{^Nv=+0_0_0_0_0036}', "");
    Expect(0, 12977, '\P{Nv=+0_0_0_0_0036}', "");
    Expect(1, 12977, '\P{^Nv=+0_0_0_0_0036}', "");
    Expect(0, 12978, '\p{Nv=+0_0_0_0_0036}', "");
    Expect(1, 12978, '\p{^Nv=+0_0_0_0_0036}', "");
    Expect(1, 12978, '\P{Nv=+0_0_0_0_0036}', "");
    Expect(0, 12978, '\P{^Nv=+0_0_0_0_0036}', "");
    Expect(1, 12977, '\p{Nv=3.600000000000000e+01}', "");
    Expect(0, 12977, '\p{^Nv=3.600000000000000e+01}', "");
    Expect(0, 12977, '\P{Nv=3.600000000000000e+01}', "");
    Expect(1, 12977, '\P{^Nv=3.600000000000000e+01}', "");
    Expect(0, 12978, '\p{Nv=3.600000000000000e+01}', "");
    Expect(1, 12978, '\p{^Nv=3.600000000000000e+01}', "");
    Expect(1, 12978, '\P{Nv=3.600000000000000e+01}', "");
    Expect(0, 12978, '\P{^Nv=3.600000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=:=_-00000036}');
    Error('\P{Is_Numeric_Value=:=_-00000036}');
    Expect(1, 12977, '\p{Is_Numeric_Value:   +00036}', "");
    Expect(0, 12977, '\p{^Is_Numeric_Value:   +00036}', "");
    Expect(0, 12977, '\P{Is_Numeric_Value:   +00036}', "");
    Expect(1, 12977, '\P{^Is_Numeric_Value:   +00036}', "");
    Expect(0, 12978, '\p{Is_Numeric_Value:   +00036}', "");
    Expect(1, 12978, '\p{^Is_Numeric_Value:   +00036}', "");
    Expect(1, 12978, '\P{Is_Numeric_Value:   +00036}', "");
    Expect(0, 12978, '\P{^Is_Numeric_Value:   +00036}', "");
    Expect(1, 12977, '\p{Is_Numeric_Value=3.600000000000000e+01}', "");
    Expect(0, 12977, '\p{^Is_Numeric_Value=3.600000000000000e+01}', "");
    Expect(0, 12977, '\P{Is_Numeric_Value=3.600000000000000e+01}', "");
    Expect(1, 12977, '\P{^Is_Numeric_Value=3.600000000000000e+01}', "");
    Expect(0, 12978, '\p{Is_Numeric_Value=3.600000000000000e+01}', "");
    Expect(1, 12978, '\p{^Is_Numeric_Value=3.600000000000000e+01}', "");
    Expect(1, 12978, '\P{Is_Numeric_Value=3.600000000000000e+01}', "");
    Expect(0, 12978, '\P{^Is_Numeric_Value=3.600000000000000e+01}', "");
    Error('\p{Is_Nv=_+00000_00003_6/a/}');
    Error('\P{Is_Nv=_+00000_00003_6/a/}');
    Expect(1, 12977, '\p{Is_Nv=00000000036}', "");
    Expect(0, 12977, '\p{^Is_Nv=00000000036}', "");
    Expect(0, 12977, '\P{Is_Nv=00000000036}', "");
    Expect(1, 12977, '\P{^Is_Nv=00000000036}', "");
    Expect(0, 12978, '\p{Is_Nv=00000000036}', "");
    Expect(1, 12978, '\p{^Is_Nv=00000000036}', "");
    Expect(1, 12978, '\P{Is_Nv=00000000036}', "");
    Expect(0, 12978, '\P{^Is_Nv=00000000036}', "");
    Expect(1, 12977, '\p{Is_Nv=3.600000000000000e+01}', "");
    Expect(0, 12977, '\p{^Is_Nv=3.600000000000000e+01}', "");
    Expect(0, 12977, '\P{Is_Nv=3.600000000000000e+01}', "");
    Expect(1, 12977, '\P{^Is_Nv=3.600000000000000e+01}', "");
    Expect(0, 12978, '\p{Is_Nv=3.600000000000000e+01}', "");
    Expect(1, 12978, '\p{^Is_Nv=3.600000000000000e+01}', "");
    Expect(1, 12978, '\P{Is_Nv=3.600000000000000e+01}', "");
    Expect(0, 12978, '\P{^Is_Nv=3.600000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/	-037}');
    Error('\P{Numeric_Value=/a/	-037}');
    Expect(1, 12978, '\p{Numeric_Value=:\A37\z:}', "");;
    Expect(0, 12979, '\p{Numeric_Value=:\A37\z:}', "");;
    Expect(1, 12978, '\p{Numeric_Value=0037}', "");
    Expect(0, 12978, '\p{^Numeric_Value=0037}', "");
    Expect(0, 12978, '\P{Numeric_Value=0037}', "");
    Expect(1, 12978, '\P{^Numeric_Value=0037}', "");
    Expect(0, 12979, '\p{Numeric_Value=0037}', "");
    Expect(1, 12979, '\p{^Numeric_Value=0037}', "");
    Expect(1, 12979, '\P{Numeric_Value=0037}', "");
    Expect(0, 12979, '\P{^Numeric_Value=0037}', "");
    Expect(1, 12978, '\p{Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12978, '\p{^Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12978, '\P{Numeric_Value=3.700000000000000e+01}', "");
    Expect(1, 12978, '\P{^Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12979, '\p{Numeric_Value=3.700000000000000e+01}', "");
    Expect(1, 12979, '\p{^Numeric_Value=3.700000000000000e+01}', "");
    Expect(1, 12979, '\P{Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12979, '\P{^Numeric_Value=3.700000000000000e+01}', "");
    Error('\p{Nv=-000000037/a/}');
    Error('\P{Nv=-000000037/a/}');
    Expect(1, 12978, '\p{Nv=:\A37\z:}', "");;
    Expect(0, 12979, '\p{Nv=:\A37\z:}', "");;
    Expect(1, 12978, '\p{Nv=+3_7}', "");
    Expect(0, 12978, '\p{^Nv=+3_7}', "");
    Expect(0, 12978, '\P{Nv=+3_7}', "");
    Expect(1, 12978, '\P{^Nv=+3_7}', "");
    Expect(0, 12979, '\p{Nv=+3_7}', "");
    Expect(1, 12979, '\p{^Nv=+3_7}', "");
    Expect(1, 12979, '\P{Nv=+3_7}', "");
    Expect(0, 12979, '\P{^Nv=+3_7}', "");
    Expect(1, 12978, '\p{Nv=3.700000000000000e+01}', "");
    Expect(0, 12978, '\p{^Nv=3.700000000000000e+01}', "");
    Expect(0, 12978, '\P{Nv=3.700000000000000e+01}', "");
    Expect(1, 12978, '\P{^Nv=3.700000000000000e+01}', "");
    Expect(0, 12979, '\p{Nv=3.700000000000000e+01}', "");
    Expect(1, 12979, '\p{^Nv=3.700000000000000e+01}', "");
    Expect(1, 12979, '\P{Nv=3.700000000000000e+01}', "");
    Expect(0, 12979, '\P{^Nv=3.700000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=_:=0037}');
    Error('\P{Is_Numeric_Value=_:=0037}');
    Expect(1, 12978, '\p{Is_Numeric_Value=0000037}', "");
    Expect(0, 12978, '\p{^Is_Numeric_Value=0000037}', "");
    Expect(0, 12978, '\P{Is_Numeric_Value=0000037}', "");
    Expect(1, 12978, '\P{^Is_Numeric_Value=0000037}', "");
    Expect(0, 12979, '\p{Is_Numeric_Value=0000037}', "");
    Expect(1, 12979, '\p{^Is_Numeric_Value=0000037}', "");
    Expect(1, 12979, '\P{Is_Numeric_Value=0000037}', "");
    Expect(0, 12979, '\P{^Is_Numeric_Value=0000037}', "");
    Expect(1, 12978, '\p{Is_Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12978, '\p{^Is_Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12978, '\P{Is_Numeric_Value=3.700000000000000e+01}', "");
    Expect(1, 12978, '\P{^Is_Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12979, '\p{Is_Numeric_Value=3.700000000000000e+01}', "");
    Expect(1, 12979, '\p{^Is_Numeric_Value=3.700000000000000e+01}', "");
    Expect(1, 12979, '\P{Is_Numeric_Value=3.700000000000000e+01}', "");
    Expect(0, 12979, '\P{^Is_Numeric_Value=3.700000000000000e+01}', "");
    Error('\p{Is_Nv:   _:=0_0_0_0_0_0_0_0_0_37}');
    Error('\P{Is_Nv:   _:=0_0_0_0_0_0_0_0_0_37}');
    Expect(1, 12978, '\p{Is_Nv=03_7}', "");
    Expect(0, 12978, '\p{^Is_Nv=03_7}', "");
    Expect(0, 12978, '\P{Is_Nv=03_7}', "");
    Expect(1, 12978, '\P{^Is_Nv=03_7}', "");
    Expect(0, 12979, '\p{Is_Nv=03_7}', "");
    Expect(1, 12979, '\p{^Is_Nv=03_7}', "");
    Expect(1, 12979, '\P{Is_Nv=03_7}', "");
    Expect(0, 12979, '\P{^Is_Nv=03_7}', "");
    Expect(1, 12978, '\p{Is_Nv=3.700000000000000e+01}', "");
    Expect(0, 12978, '\p{^Is_Nv=3.700000000000000e+01}', "");
    Expect(0, 12978, '\P{Is_Nv=3.700000000000000e+01}', "");
    Expect(1, 12978, '\P{^Is_Nv=3.700000000000000e+01}', "");
    Expect(0, 12979, '\p{Is_Nv=3.700000000000000e+01}', "");
    Expect(1, 12979, '\p{^Is_Nv=3.700000000000000e+01}', "");
    Expect(1, 12979, '\P{Is_Nv=3.700000000000000e+01}', "");
    Expect(0, 12979, '\P{^Is_Nv=3.700000000000000e+01}', "");
    Error('\p{Numeric_Value: 	:=00_00_38}');
    Error('\P{Numeric_Value: 	:=00_00_38}');
    Expect(1, 12979, '\p{Numeric_Value=:\A38\z:}', "");;
    Expect(0, 12980, '\p{Numeric_Value=:\A38\z:}', "");;
    Expect(1, 12979, '\p{Numeric_Value=0038}', "");
    Expect(0, 12979, '\p{^Numeric_Value=0038}', "");
    Expect(0, 12979, '\P{Numeric_Value=0038}', "");
    Expect(1, 12979, '\P{^Numeric_Value=0038}', "");
    Expect(0, 12980, '\p{Numeric_Value=0038}', "");
    Expect(1, 12980, '\p{^Numeric_Value=0038}', "");
    Expect(1, 12980, '\P{Numeric_Value=0038}', "");
    Expect(0, 12980, '\P{^Numeric_Value=0038}', "");
    Expect(1, 12979, '\p{Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12979, '\p{^Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12979, '\P{Numeric_Value=3.800000000000000e+01}', "");
    Expect(1, 12979, '\P{^Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12980, '\p{Numeric_Value=3.800000000000000e+01}', "");
    Expect(1, 12980, '\p{^Numeric_Value=3.800000000000000e+01}', "");
    Expect(1, 12980, '\P{Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12980, '\P{^Numeric_Value=3.800000000000000e+01}', "");
    Error('\p{Nv:   -_0000038/a/}');
    Error('\P{Nv:   -_0000038/a/}');
    Expect(1, 12979, '\p{Nv=:\A38\z:}', "");;
    Expect(0, 12980, '\p{Nv=:\A38\z:}', "");;
    Expect(1, 12979, '\p{Nv:   +00000000038}', "");
    Expect(0, 12979, '\p{^Nv:   +00000000038}', "");
    Expect(0, 12979, '\P{Nv:   +00000000038}', "");
    Expect(1, 12979, '\P{^Nv:   +00000000038}', "");
    Expect(0, 12980, '\p{Nv:   +00000000038}', "");
    Expect(1, 12980, '\p{^Nv:   +00000000038}', "");
    Expect(1, 12980, '\P{Nv:   +00000000038}', "");
    Expect(0, 12980, '\P{^Nv:   +00000000038}', "");
    Expect(1, 12979, '\p{Nv=3.800000000000000e+01}', "");
    Expect(0, 12979, '\p{^Nv=3.800000000000000e+01}', "");
    Expect(0, 12979, '\P{Nv=3.800000000000000e+01}', "");
    Expect(1, 12979, '\P{^Nv=3.800000000000000e+01}', "");
    Expect(0, 12980, '\p{Nv=3.800000000000000e+01}', "");
    Expect(1, 12980, '\p{^Nv=3.800000000000000e+01}', "");
    Expect(1, 12980, '\P{Nv=3.800000000000000e+01}', "");
    Expect(0, 12980, '\P{^Nv=3.800000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/  0_0_0_038}');
    Error('\P{Is_Numeric_Value=/a/  0_0_0_038}');
    Expect(1, 12979, '\p{Is_Numeric_Value=0000000038}', "");
    Expect(0, 12979, '\p{^Is_Numeric_Value=0000000038}', "");
    Expect(0, 12979, '\P{Is_Numeric_Value=0000000038}', "");
    Expect(1, 12979, '\P{^Is_Numeric_Value=0000000038}', "");
    Expect(0, 12980, '\p{Is_Numeric_Value=0000000038}', "");
    Expect(1, 12980, '\p{^Is_Numeric_Value=0000000038}', "");
    Expect(1, 12980, '\P{Is_Numeric_Value=0000000038}', "");
    Expect(0, 12980, '\P{^Is_Numeric_Value=0000000038}', "");
    Expect(1, 12979, '\p{Is_Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12979, '\p{^Is_Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12979, '\P{Is_Numeric_Value=3.800000000000000e+01}', "");
    Expect(1, 12979, '\P{^Is_Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12980, '\p{Is_Numeric_Value=3.800000000000000e+01}', "");
    Expect(1, 12980, '\p{^Is_Numeric_Value=3.800000000000000e+01}', "");
    Expect(1, 12980, '\P{Is_Numeric_Value=3.800000000000000e+01}', "");
    Expect(0, 12980, '\P{^Is_Numeric_Value=3.800000000000000e+01}', "");
    Error('\p{Is_Nv: /a/_-0_0_0_38}');
    Error('\P{Is_Nv: /a/_-0_0_0_38}');
    Expect(1, 12979, '\p{Is_Nv=00038}', "");
    Expect(0, 12979, '\p{^Is_Nv=00038}', "");
    Expect(0, 12979, '\P{Is_Nv=00038}', "");
    Expect(1, 12979, '\P{^Is_Nv=00038}', "");
    Expect(0, 12980, '\p{Is_Nv=00038}', "");
    Expect(1, 12980, '\p{^Is_Nv=00038}', "");
    Expect(1, 12980, '\P{Is_Nv=00038}', "");
    Expect(0, 12980, '\P{^Is_Nv=00038}', "");
    Expect(1, 12979, '\p{Is_Nv=3.800000000000000e+01}', "");
    Expect(0, 12979, '\p{^Is_Nv=3.800000000000000e+01}', "");
    Expect(0, 12979, '\P{Is_Nv=3.800000000000000e+01}', "");
    Expect(1, 12979, '\P{^Is_Nv=3.800000000000000e+01}', "");
    Expect(0, 12980, '\p{Is_Nv=3.800000000000000e+01}', "");
    Expect(1, 12980, '\p{^Is_Nv=3.800000000000000e+01}', "");
    Expect(1, 12980, '\P{Is_Nv=3.800000000000000e+01}', "");
    Expect(0, 12980, '\P{^Is_Nv=3.800000000000000e+01}', "");
    Error('\p{Numeric_Value=_:=+39}');
    Error('\P{Numeric_Value=_:=+39}');
    Expect(1, 12980, '\p{Numeric_Value=:\A39\z:}', "");;
    Expect(0, 12981, '\p{Numeric_Value=:\A39\z:}', "");;
    Expect(1, 12980, '\p{Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(0, 12980, '\p{^Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(0, 12980, '\P{Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(1, 12980, '\P{^Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(0, 12981, '\p{Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(1, 12981, '\p{^Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(1, 12981, '\P{Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(0, 12981, '\P{^Numeric_Value=+0_0_0_0_0_039}', "");
    Expect(1, 12980, '\p{Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12980, '\p{^Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12980, '\P{Numeric_Value=3.900000000000000e+01}', "");
    Expect(1, 12980, '\P{^Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12981, '\p{Numeric_Value=3.900000000000000e+01}', "");
    Expect(1, 12981, '\p{^Numeric_Value=3.900000000000000e+01}', "");
    Expect(1, 12981, '\P{Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12981, '\P{^Numeric_Value=3.900000000000000e+01}', "");
    Error('\p{Nv=/a/ 	00000039}');
    Error('\P{Nv=/a/ 	00000039}');
    Expect(1, 12980, '\p{Nv=:\A39\z:}', "");;
    Expect(0, 12981, '\p{Nv=:\A39\z:}', "");;
    Expect(1, 12980, '\p{Nv=0_0_39}', "");
    Expect(0, 12980, '\p{^Nv=0_0_39}', "");
    Expect(0, 12980, '\P{Nv=0_0_39}', "");
    Expect(1, 12980, '\P{^Nv=0_0_39}', "");
    Expect(0, 12981, '\p{Nv=0_0_39}', "");
    Expect(1, 12981, '\p{^Nv=0_0_39}', "");
    Expect(1, 12981, '\P{Nv=0_0_39}', "");
    Expect(0, 12981, '\P{^Nv=0_0_39}', "");
    Expect(1, 12980, '\p{Nv=3.900000000000000e+01}', "");
    Expect(0, 12980, '\p{^Nv=3.900000000000000e+01}', "");
    Expect(0, 12980, '\P{Nv=3.900000000000000e+01}', "");
    Expect(1, 12980, '\P{^Nv=3.900000000000000e+01}', "");
    Expect(0, 12981, '\p{Nv=3.900000000000000e+01}', "");
    Expect(1, 12981, '\p{^Nv=3.900000000000000e+01}', "");
    Expect(1, 12981, '\P{Nv=3.900000000000000e+01}', "");
    Expect(0, 12981, '\P{^Nv=3.900000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=:=  +03_9}');
    Error('\P{Is_Numeric_Value=:=  +03_9}');
    Expect(1, 12980, '\p{Is_Numeric_Value=0000039}', "");
    Expect(0, 12980, '\p{^Is_Numeric_Value=0000039}', "");
    Expect(0, 12980, '\P{Is_Numeric_Value=0000039}', "");
    Expect(1, 12980, '\P{^Is_Numeric_Value=0000039}', "");
    Expect(0, 12981, '\p{Is_Numeric_Value=0000039}', "");
    Expect(1, 12981, '\p{^Is_Numeric_Value=0000039}', "");
    Expect(1, 12981, '\P{Is_Numeric_Value=0000039}', "");
    Expect(0, 12981, '\P{^Is_Numeric_Value=0000039}', "");
    Expect(1, 12980, '\p{Is_Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12980, '\p{^Is_Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12980, '\P{Is_Numeric_Value=3.900000000000000e+01}', "");
    Expect(1, 12980, '\P{^Is_Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12981, '\p{Is_Numeric_Value=3.900000000000000e+01}', "");
    Expect(1, 12981, '\p{^Is_Numeric_Value=3.900000000000000e+01}', "");
    Expect(1, 12981, '\P{Is_Numeric_Value=3.900000000000000e+01}', "");
    Expect(0, 12981, '\P{^Is_Numeric_Value=3.900000000000000e+01}', "");
    Error('\p{Is_Nv=	/a/+039}');
    Error('\P{Is_Nv=	/a/+039}');
    Expect(1, 12980, '\p{Is_Nv=00039}', "");
    Expect(0, 12980, '\p{^Is_Nv=00039}', "");
    Expect(0, 12980, '\P{Is_Nv=00039}', "");
    Expect(1, 12980, '\P{^Is_Nv=00039}', "");
    Expect(0, 12981, '\p{Is_Nv=00039}', "");
    Expect(1, 12981, '\p{^Is_Nv=00039}', "");
    Expect(1, 12981, '\P{Is_Nv=00039}', "");
    Expect(0, 12981, '\P{^Is_Nv=00039}', "");
    Expect(1, 12980, '\p{Is_Nv=3.900000000000000e+01}', "");
    Expect(0, 12980, '\p{^Is_Nv=3.900000000000000e+01}', "");
    Expect(0, 12980, '\P{Is_Nv=3.900000000000000e+01}', "");
    Expect(1, 12980, '\P{^Is_Nv=3.900000000000000e+01}', "");
    Expect(0, 12981, '\p{Is_Nv=3.900000000000000e+01}', "");
    Expect(1, 12981, '\p{^Is_Nv=3.900000000000000e+01}', "");
    Expect(1, 12981, '\P{Is_Nv=3.900000000000000e+01}', "");
    Expect(0, 12981, '\P{^Is_Nv=3.900000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/00_4}');
    Error('\P{Numeric_Value=/a/00_4}');
    Expect(1, 156269, '\p{Numeric_Value=:\A4\z:}', "");;
    Expect(0, 156270, '\p{Numeric_Value=:\A4\z:}', "");;
    Expect(1, 156269, '\p{Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(0, 156269, '\p{^Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(0, 156269, '\P{Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(1, 156269, '\P{^Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(0, 156270, '\p{Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(1, 156270, '\p{^Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(1, 156270, '\P{Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(0, 156270, '\P{^Numeric_Value=0_0_0_0_0_0004}', "");
    Expect(1, 156269, '\p{Numeric_Value=4.000000000000000e+00}', "");
    Expect(0, 156269, '\p{^Numeric_Value=4.000000000000000e+00}', "");
    Expect(0, 156269, '\P{Numeric_Value=4.000000000000000e+00}', "");
    Expect(1, 156269, '\P{^Numeric_Value=4.000000000000000e+00}', "");
    Expect(0, 156270, '\p{Numeric_Value=4.000000000000000e+00}', "");
    Expect(1, 156270, '\p{^Numeric_Value=4.000000000000000e+00}', "");
    Expect(1, 156270, '\P{Numeric_Value=4.000000000000000e+00}', "");
    Expect(0, 156270, '\P{^Numeric_Value=4.000000000000000e+00}', "");
    Error('\p{Nv=-	0_0_0_0_0_0004:=}');
    Error('\P{Nv=-	0_0_0_0_0_0004:=}');
    Expect(1, 156269, '\p{Nv=:\A4\z:}', "");;
    Expect(0, 156270, '\p{Nv=:\A4\z:}', "");;
    Expect(1, 156269, '\p{Nv=00_00_04}', "");
    Expect(0, 156269, '\p{^Nv=00_00_04}', "");
    Expect(0, 156269, '\P{Nv=00_00_04}', "");
    Expect(1, 156269, '\P{^Nv=00_00_04}', "");
    Expect(0, 156270, '\p{Nv=00_00_04}', "");
    Expect(1, 156270, '\p{^Nv=00_00_04}', "");
    Expect(1, 156270, '\P{Nv=00_00_04}', "");
    Expect(0, 156270, '\P{^Nv=00_00_04}', "");
    Expect(1, 156269, '\p{Nv=4.000000000000000e+00}', "");
    Expect(0, 156269, '\p{^Nv=4.000000000000000e+00}', "");
    Expect(0, 156269, '\P{Nv=4.000000000000000e+00}', "");
    Expect(1, 156269, '\P{^Nv=4.000000000000000e+00}', "");
    Expect(0, 156270, '\p{Nv=4.000000000000000e+00}', "");
    Expect(1, 156270, '\p{^Nv=4.000000000000000e+00}', "");
    Expect(1, 156270, '\P{Nv=4.000000000000000e+00}', "");
    Expect(0, 156270, '\P{^Nv=4.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value=:=_-000_4}');
    Error('\P{Is_Numeric_Value=:=_-000_4}');
    Expect(1, 156269, '\p{Is_Numeric_Value=+000000004}', "");
    Expect(0, 156269, '\p{^Is_Numeric_Value=+000000004}', "");
    Expect(0, 156269, '\P{Is_Numeric_Value=+000000004}', "");
    Expect(1, 156269, '\P{^Is_Numeric_Value=+000000004}', "");
    Expect(0, 156270, '\p{Is_Numeric_Value=+000000004}', "");
    Expect(1, 156270, '\p{^Is_Numeric_Value=+000000004}', "");
    Expect(1, 156270, '\P{Is_Numeric_Value=+000000004}', "");
    Expect(0, 156270, '\P{^Is_Numeric_Value=+000000004}', "");
    Expect(1, 156269, '\p{Is_Numeric_Value: 4.000000000000000e+00}', "");
    Expect(0, 156269, '\p{^Is_Numeric_Value: 4.000000000000000e+00}', "");
    Expect(0, 156269, '\P{Is_Numeric_Value: 4.000000000000000e+00}', "");
    Expect(1, 156269, '\P{^Is_Numeric_Value: 4.000000000000000e+00}', "");
    Expect(0, 156270, '\p{Is_Numeric_Value: 4.000000000000000e+00}', "");
    Expect(1, 156270, '\p{^Is_Numeric_Value: 4.000000000000000e+00}', "");
    Expect(1, 156270, '\P{Is_Numeric_Value: 4.000000000000000e+00}', "");
    Expect(0, 156270, '\P{^Is_Numeric_Value: 4.000000000000000e+00}', "");
    Error('\p{Is_Nv=/a/  +000004}');
    Error('\P{Is_Nv=/a/  +000004}');
    Expect(1, 156269, '\p{Is_Nv=+000004}', "");
    Expect(0, 156269, '\p{^Is_Nv=+000004}', "");
    Expect(0, 156269, '\P{Is_Nv=+000004}', "");
    Expect(1, 156269, '\P{^Is_Nv=+000004}', "");
    Expect(0, 156270, '\p{Is_Nv=+000004}', "");
    Expect(1, 156270, '\p{^Is_Nv=+000004}', "");
    Expect(1, 156270, '\P{Is_Nv=+000004}', "");
    Expect(0, 156270, '\P{^Is_Nv=+000004}', "");
    Expect(1, 156269, '\p{Is_Nv=4.000000000000000e+00}', "");
    Expect(0, 156269, '\p{^Is_Nv=4.000000000000000e+00}', "");
    Expect(0, 156269, '\P{Is_Nv=4.000000000000000e+00}', "");
    Expect(1, 156269, '\P{^Is_Nv=4.000000000000000e+00}', "");
    Expect(0, 156270, '\p{Is_Nv=4.000000000000000e+00}', "");
    Expect(1, 156270, '\p{^Is_Nv=4.000000000000000e+00}', "");
    Expect(1, 156270, '\P{Is_Nv=4.000000000000000e+00}', "");
    Expect(0, 156270, '\P{^Is_Nv=4.000000000000000e+00}', "");
    Error('\p{Numeric_Value=	:=+4/00005}');
    Error('\P{Numeric_Value=	:=+4/00005}');
    Expect(1, 8536, '\p{Numeric_Value=:\A4/5\z:}', "");;
    Expect(0, 8537, '\p{Numeric_Value=:\A4/5\z:}', "");;
    Expect(1, 8536, '\p{Numeric_Value=+0000000004/0000000005}', "");
    Expect(0, 8536, '\p{^Numeric_Value=+0000000004/0000000005}', "");
    Expect(0, 8536, '\P{Numeric_Value=+0000000004/0000000005}', "");
    Expect(1, 8536, '\P{^Numeric_Value=+0000000004/0000000005}', "");
    Expect(0, 8537, '\p{Numeric_Value=+0000000004/0000000005}', "");
    Expect(1, 8537, '\p{^Numeric_Value=+0000000004/0000000005}', "");
    Expect(1, 8537, '\P{Numeric_Value=+0000000004/0000000005}', "");
    Expect(0, 8537, '\P{^Numeric_Value=+0000000004/0000000005}', "");
    Expect(1, 8536, '\p{Numeric_Value=240/300}', "");
    Expect(0, 8536, '\p{^Numeric_Value=240/300}', "");
    Expect(0, 8536, '\P{Numeric_Value=240/300}', "");
    Expect(1, 8536, '\P{^Numeric_Value=240/300}', "");
    Expect(0, 8537, '\p{Numeric_Value=240/300}', "");
    Expect(1, 8537, '\p{^Numeric_Value=240/300}', "");
    Expect(1, 8537, '\P{Numeric_Value=240/300}', "");
    Expect(0, 8537, '\P{^Numeric_Value=240/300}', "");
    Expect(1, 8536, '\p{Numeric_Value=8.0e-01}', "");
    Expect(0, 8536, '\p{^Numeric_Value=8.0e-01}', "");
    Expect(0, 8536, '\P{Numeric_Value=8.0e-01}', "");
    Expect(1, 8536, '\P{^Numeric_Value=8.0e-01}', "");
    Expect(0, 8537, '\p{Numeric_Value=8.0e-01}', "");
    Expect(1, 8537, '\p{^Numeric_Value=8.0e-01}', "");
    Expect(1, 8537, '\P{Numeric_Value=8.0e-01}', "");
    Expect(0, 8537, '\P{^Numeric_Value=8.0e-01}', "");
    Expect(1, 8536, '\p{Numeric_Value=0.8}', "");
    Expect(0, 8536, '\p{^Numeric_Value=0.8}', "");
    Expect(0, 8536, '\P{Numeric_Value=0.8}', "");
    Expect(1, 8536, '\P{^Numeric_Value=0.8}', "");
    Expect(0, 8537, '\p{Numeric_Value=0.8}', "");
    Expect(1, 8537, '\p{^Numeric_Value=0.8}', "");
    Expect(1, 8537, '\P{Numeric_Value=0.8}', "");
    Expect(0, 8537, '\P{^Numeric_Value=0.8}', "");
    Expect(1, 8536, '\p{Numeric_Value=8.00e-01}', "");
    Expect(0, 8536, '\p{^Numeric_Value=8.00e-01}', "");
    Expect(0, 8536, '\P{Numeric_Value=8.00e-01}', "");
    Expect(1, 8536, '\P{^Numeric_Value=8.00e-01}', "");
    Expect(0, 8537, '\p{Numeric_Value=8.00e-01}', "");
    Expect(1, 8537, '\p{^Numeric_Value=8.00e-01}', "");
    Expect(1, 8537, '\P{Numeric_Value=8.00e-01}', "");
    Expect(0, 8537, '\P{^Numeric_Value=8.00e-01}', "");
    Expect(1, 8536, '\p{Numeric_Value=0.80}', "");
    Expect(0, 8536, '\p{^Numeric_Value=0.80}', "");
    Expect(0, 8536, '\P{Numeric_Value=0.80}', "");
    Expect(1, 8536, '\P{^Numeric_Value=0.80}', "");
    Expect(0, 8537, '\p{Numeric_Value=0.80}', "");
    Expect(1, 8537, '\p{^Numeric_Value=0.80}', "");
    Expect(1, 8537, '\P{Numeric_Value=0.80}', "");
    Expect(0, 8537, '\P{^Numeric_Value=0.80}', "");
    Error('\p{Nv=_:=00004/0005}');
    Error('\P{Nv=_:=00004/0005}');
    Expect(1, 8536, '\p{Nv=:\A4/5\z:}', "");;
    Expect(0, 8537, '\p{Nv=:\A4/5\z:}', "");;
    Expect(1, 8536, '\p{Nv=0000004/000005}', "");
    Expect(0, 8536, '\p{^Nv=0000004/000005}', "");
    Expect(0, 8536, '\P{Nv=0000004/000005}', "");
    Expect(1, 8536, '\P{^Nv=0000004/000005}', "");
    Expect(0, 8537, '\p{Nv=0000004/000005}', "");
    Expect(1, 8537, '\p{^Nv=0000004/000005}', "");
    Expect(1, 8537, '\P{Nv=0000004/000005}', "");
    Expect(0, 8537, '\P{^Nv=0000004/000005}', "");
    Expect(1, 8536, '\p{Nv=240/300}', "");
    Expect(0, 8536, '\p{^Nv=240/300}', "");
    Expect(0, 8536, '\P{Nv=240/300}', "");
    Expect(1, 8536, '\P{^Nv=240/300}', "");
    Expect(0, 8537, '\p{Nv=240/300}', "");
    Expect(1, 8537, '\p{^Nv=240/300}', "");
    Expect(1, 8537, '\P{Nv=240/300}', "");
    Expect(0, 8537, '\P{^Nv=240/300}', "");
    Expect(1, 8536, '\p{Nv=8.0e-01}', "");
    Expect(0, 8536, '\p{^Nv=8.0e-01}', "");
    Expect(0, 8536, '\P{Nv=8.0e-01}', "");
    Expect(1, 8536, '\P{^Nv=8.0e-01}', "");
    Expect(0, 8537, '\p{Nv=8.0e-01}', "");
    Expect(1, 8537, '\p{^Nv=8.0e-01}', "");
    Expect(1, 8537, '\P{Nv=8.0e-01}', "");
    Expect(0, 8537, '\P{^Nv=8.0e-01}', "");
    Expect(1, 8536, '\p{Nv=0.8}', "");
    Expect(0, 8536, '\p{^Nv=0.8}', "");
    Expect(0, 8536, '\P{Nv=0.8}', "");
    Expect(1, 8536, '\P{^Nv=0.8}', "");
    Expect(0, 8537, '\p{Nv=0.8}', "");
    Expect(1, 8537, '\p{^Nv=0.8}', "");
    Expect(1, 8537, '\P{Nv=0.8}', "");
    Expect(0, 8537, '\P{^Nv=0.8}', "");
    Expect(1, 8536, '\p{Nv=8.00e-01}', "");
    Expect(0, 8536, '\p{^Nv=8.00e-01}', "");
    Expect(0, 8536, '\P{Nv=8.00e-01}', "");
    Expect(1, 8536, '\P{^Nv=8.00e-01}', "");
    Expect(0, 8537, '\p{Nv=8.00e-01}', "");
    Expect(1, 8537, '\p{^Nv=8.00e-01}', "");
    Expect(1, 8537, '\P{Nv=8.00e-01}', "");
    Expect(0, 8537, '\P{^Nv=8.00e-01}', "");
    Expect(1, 8536, '\p{Nv=0.80}', "");
    Expect(0, 8536, '\p{^Nv=0.80}', "");
    Expect(0, 8536, '\P{Nv=0.80}', "");
    Expect(1, 8536, '\P{^Nv=0.80}', "");
    Expect(0, 8537, '\p{Nv=0.80}', "");
    Expect(1, 8537, '\p{^Nv=0.80}', "");
    Expect(1, 8537, '\P{Nv=0.80}', "");
    Expect(0, 8537, '\P{^Nv=0.80}', "");
    Error('\p{Is_Numeric_Value=-000004/0000005:=}');
    Error('\P{Is_Numeric_Value=-000004/0000005:=}');
    Expect(1, 8536, '\p{Is_Numeric_Value=4/0000005}', "");
    Expect(0, 8536, '\p{^Is_Numeric_Value=4/0000005}', "");
    Expect(0, 8536, '\P{Is_Numeric_Value=4/0000005}', "");
    Expect(1, 8536, '\P{^Is_Numeric_Value=4/0000005}', "");
    Expect(0, 8537, '\p{Is_Numeric_Value=4/0000005}', "");
    Expect(1, 8537, '\p{^Is_Numeric_Value=4/0000005}', "");
    Expect(1, 8537, '\P{Is_Numeric_Value=4/0000005}', "");
    Expect(0, 8537, '\P{^Is_Numeric_Value=4/0000005}', "");
    Expect(1, 8536, '\p{Is_Numeric_Value=240/300}', "");
    Expect(0, 8536, '\p{^Is_Numeric_Value=240/300}', "");
    Expect(0, 8536, '\P{Is_Numeric_Value=240/300}', "");
    Expect(1, 8536, '\P{^Is_Numeric_Value=240/300}', "");
    Expect(0, 8537, '\p{Is_Numeric_Value=240/300}', "");
    Expect(1, 8537, '\p{^Is_Numeric_Value=240/300}', "");
    Expect(1, 8537, '\P{Is_Numeric_Value=240/300}', "");
    Expect(0, 8537, '\P{^Is_Numeric_Value=240/300}', "");
    Expect(1, 8536, '\p{Is_Numeric_Value:8.0e-01}', "");
    Expect(0, 8536, '\p{^Is_Numeric_Value:8.0e-01}', "");
    Expect(0, 8536, '\P{Is_Numeric_Value:8.0e-01}', "");
    Expect(1, 8536, '\P{^Is_Numeric_Value:8.0e-01}', "");
    Expect(0, 8537, '\p{Is_Numeric_Value:8.0e-01}', "");
    Expect(1, 8537, '\p{^Is_Numeric_Value:8.0e-01}', "");
    Expect(1, 8537, '\P{Is_Numeric_Value:8.0e-01}', "");
    Expect(0, 8537, '\P{^Is_Numeric_Value:8.0e-01}', "");
    Expect(1, 8536, '\p{Is_Numeric_Value=0.8}', "");
    Expect(0, 8536, '\p{^Is_Numeric_Value=0.8}', "");
    Expect(0, 8536, '\P{Is_Numeric_Value=0.8}', "");
    Expect(1, 8536, '\P{^Is_Numeric_Value=0.8}', "");
    Expect(0, 8537, '\p{Is_Numeric_Value=0.8}', "");
    Expect(1, 8537, '\p{^Is_Numeric_Value=0.8}', "");
    Expect(1, 8537, '\P{Is_Numeric_Value=0.8}', "");
    Expect(0, 8537, '\P{^Is_Numeric_Value=0.8}', "");
    Expect(1, 8536, '\p{Is_Numeric_Value=8.00e-01}', "");
    Expect(0, 8536, '\p{^Is_Numeric_Value=8.00e-01}', "");
    Expect(0, 8536, '\P{Is_Numeric_Value=8.00e-01}', "");
    Expect(1, 8536, '\P{^Is_Numeric_Value=8.00e-01}', "");
    Expect(0, 8537, '\p{Is_Numeric_Value=8.00e-01}', "");
    Expect(1, 8537, '\p{^Is_Numeric_Value=8.00e-01}', "");
    Expect(1, 8537, '\P{Is_Numeric_Value=8.00e-01}', "");
    Expect(0, 8537, '\P{^Is_Numeric_Value=8.00e-01}', "");
    Expect(1, 8536, '\p{Is_Numeric_Value=0.80}', "");
    Expect(0, 8536, '\p{^Is_Numeric_Value=0.80}', "");
    Expect(0, 8536, '\P{Is_Numeric_Value=0.80}', "");
    Expect(1, 8536, '\P{^Is_Numeric_Value=0.80}', "");
    Expect(0, 8537, '\p{Is_Numeric_Value=0.80}', "");
    Expect(1, 8537, '\p{^Is_Numeric_Value=0.80}', "");
    Expect(1, 8537, '\P{Is_Numeric_Value=0.80}', "");
    Expect(0, 8537, '\P{^Is_Numeric_Value=0.80}', "");
    Error('\p{Is_Nv=_-004/000000005:=}');
    Error('\P{Is_Nv=_-004/000000005:=}');
    Expect(1, 8536, '\p{Is_Nv=000000004/0005}', "");
    Expect(0, 8536, '\p{^Is_Nv=000000004/0005}', "");
    Expect(0, 8536, '\P{Is_Nv=000000004/0005}', "");
    Expect(1, 8536, '\P{^Is_Nv=000000004/0005}', "");
    Expect(0, 8537, '\p{Is_Nv=000000004/0005}', "");
    Expect(1, 8537, '\p{^Is_Nv=000000004/0005}', "");
    Expect(1, 8537, '\P{Is_Nv=000000004/0005}', "");
    Expect(0, 8537, '\P{^Is_Nv=000000004/0005}', "");
    Expect(1, 8536, '\p{Is_Nv=240/300}', "");
    Expect(0, 8536, '\p{^Is_Nv=240/300}', "");
    Expect(0, 8536, '\P{Is_Nv=240/300}', "");
    Expect(1, 8536, '\P{^Is_Nv=240/300}', "");
    Expect(0, 8537, '\p{Is_Nv=240/300}', "");
    Expect(1, 8537, '\p{^Is_Nv=240/300}', "");
    Expect(1, 8537, '\P{Is_Nv=240/300}', "");
    Expect(0, 8537, '\P{^Is_Nv=240/300}', "");
    Expect(1, 8536, '\p{Is_Nv=8.0e-01}', "");
    Expect(0, 8536, '\p{^Is_Nv=8.0e-01}', "");
    Expect(0, 8536, '\P{Is_Nv=8.0e-01}', "");
    Expect(1, 8536, '\P{^Is_Nv=8.0e-01}', "");
    Expect(0, 8537, '\p{Is_Nv=8.0e-01}', "");
    Expect(1, 8537, '\p{^Is_Nv=8.0e-01}', "");
    Expect(1, 8537, '\P{Is_Nv=8.0e-01}', "");
    Expect(0, 8537, '\P{^Is_Nv=8.0e-01}', "");
    Expect(1, 8536, '\p{Is_Nv=0.8}', "");
    Expect(0, 8536, '\p{^Is_Nv=0.8}', "");
    Expect(0, 8536, '\P{Is_Nv=0.8}', "");
    Expect(1, 8536, '\P{^Is_Nv=0.8}', "");
    Expect(0, 8537, '\p{Is_Nv=0.8}', "");
    Expect(1, 8537, '\p{^Is_Nv=0.8}', "");
    Expect(1, 8537, '\P{Is_Nv=0.8}', "");
    Expect(0, 8537, '\P{^Is_Nv=0.8}', "");
    Expect(1, 8536, '\p{Is_Nv:8.00e-01}', "");
    Expect(0, 8536, '\p{^Is_Nv:8.00e-01}', "");
    Expect(0, 8536, '\P{Is_Nv:8.00e-01}', "");
    Expect(1, 8536, '\P{^Is_Nv:8.00e-01}', "");
    Expect(0, 8537, '\p{Is_Nv:8.00e-01}', "");
    Expect(1, 8537, '\p{^Is_Nv:8.00e-01}', "");
    Expect(1, 8537, '\P{Is_Nv:8.00e-01}', "");
    Expect(0, 8537, '\P{^Is_Nv:8.00e-01}', "");
    Expect(1, 8536, '\p{Is_Nv=0.80}', "");
    Expect(0, 8536, '\p{^Is_Nv=0.80}', "");
    Expect(0, 8536, '\P{Is_Nv=0.80}', "");
    Expect(1, 8536, '\P{^Is_Nv=0.80}', "");
    Expect(0, 8537, '\p{Is_Nv=0.80}', "");
    Expect(1, 8537, '\p{^Is_Nv=0.80}', "");
    Expect(1, 8537, '\P{Is_Nv=0.80}', "");
    Expect(0, 8537, '\P{^Is_Nv=0.80}', "");
    Error('\p{Numeric_Value=:=040}');
    Error('\P{Numeric_Value=:=040}');
    Expect(1, 133532, '\p{Numeric_Value=:\A40\z:}', "");;
    Expect(0, 133533, '\p{Numeric_Value=:\A40\z:}', "");;
    Expect(1, 133532, '\p{Numeric_Value=+0000000040}', "");
    Expect(0, 133532, '\p{^Numeric_Value=+0000000040}', "");
    Expect(0, 133532, '\P{Numeric_Value=+0000000040}', "");
    Expect(1, 133532, '\P{^Numeric_Value=+0000000040}', "");
    Expect(0, 133533, '\p{Numeric_Value=+0000000040}', "");
    Expect(1, 133533, '\p{^Numeric_Value=+0000000040}', "");
    Expect(1, 133533, '\P{Numeric_Value=+0000000040}', "");
    Expect(0, 133533, '\P{^Numeric_Value=+0000000040}', "");
    Expect(1, 133532, '\p{Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133532, '\p{^Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133532, '\P{Numeric_Value=4.000000000000000e+01}', "");
    Expect(1, 133532, '\P{^Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133533, '\p{Numeric_Value=4.000000000000000e+01}', "");
    Expect(1, 133533, '\p{^Numeric_Value=4.000000000000000e+01}', "");
    Expect(1, 133533, '\P{Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133533, '\P{^Numeric_Value=4.000000000000000e+01}', "");
    Error('\p{Nv=/a/	 0_0_0_0_0_0_0_0_40}');
    Error('\P{Nv=/a/	 0_0_0_0_0_0_0_0_40}');
    Expect(1, 133532, '\p{Nv=:\A40\z:}', "");;
    Expect(0, 133533, '\p{Nv=:\A40\z:}', "");;
    Expect(1, 133532, '\p{Nv=0040}', "");
    Expect(0, 133532, '\p{^Nv=0040}', "");
    Expect(0, 133532, '\P{Nv=0040}', "");
    Expect(1, 133532, '\P{^Nv=0040}', "");
    Expect(0, 133533, '\p{Nv=0040}', "");
    Expect(1, 133533, '\p{^Nv=0040}', "");
    Expect(1, 133533, '\P{Nv=0040}', "");
    Expect(0, 133533, '\P{^Nv=0040}', "");
    Expect(1, 133532, '\p{Nv:4.000000000000000e+01}', "");
    Expect(0, 133532, '\p{^Nv:4.000000000000000e+01}', "");
    Expect(0, 133532, '\P{Nv:4.000000000000000e+01}', "");
    Expect(1, 133532, '\P{^Nv:4.000000000000000e+01}', "");
    Expect(0, 133533, '\p{Nv:4.000000000000000e+01}', "");
    Expect(1, 133533, '\p{^Nv:4.000000000000000e+01}', "");
    Expect(1, 133533, '\P{Nv:4.000000000000000e+01}', "");
    Expect(0, 133533, '\P{^Nv:4.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/_00040}');
    Error('\P{Is_Numeric_Value=/a/_00040}');
    Expect(1, 133532, '\p{Is_Numeric_Value=+0000000040}', "");
    Expect(0, 133532, '\p{^Is_Numeric_Value=+0000000040}', "");
    Expect(0, 133532, '\P{Is_Numeric_Value=+0000000040}', "");
    Expect(1, 133532, '\P{^Is_Numeric_Value=+0000000040}', "");
    Expect(0, 133533, '\p{Is_Numeric_Value=+0000000040}', "");
    Expect(1, 133533, '\p{^Is_Numeric_Value=+0000000040}', "");
    Expect(1, 133533, '\P{Is_Numeric_Value=+0000000040}', "");
    Expect(0, 133533, '\P{^Is_Numeric_Value=+0000000040}', "");
    Expect(1, 133532, '\p{Is_Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133532, '\p{^Is_Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133532, '\P{Is_Numeric_Value=4.000000000000000e+01}', "");
    Expect(1, 133532, '\P{^Is_Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133533, '\p{Is_Numeric_Value=4.000000000000000e+01}', "");
    Expect(1, 133533, '\p{^Is_Numeric_Value=4.000000000000000e+01}', "");
    Expect(1, 133533, '\P{Is_Numeric_Value=4.000000000000000e+01}', "");
    Expect(0, 133533, '\P{^Is_Numeric_Value=4.000000000000000e+01}', "");
    Error('\p{Is_Nv=:=	_0_0_0_0_0_0_0040}');
    Error('\P{Is_Nv=:=	_0_0_0_0_0_0_0040}');
    Expect(1, 133532, '\p{Is_Nv:   00000040}', "");
    Expect(0, 133532, '\p{^Is_Nv:   00000040}', "");
    Expect(0, 133532, '\P{Is_Nv:   00000040}', "");
    Expect(1, 133532, '\P{^Is_Nv:   00000040}', "");
    Expect(0, 133533, '\p{Is_Nv:   00000040}', "");
    Expect(1, 133533, '\p{^Is_Nv:   00000040}', "");
    Expect(1, 133533, '\P{Is_Nv:   00000040}', "");
    Expect(0, 133533, '\P{^Is_Nv:   00000040}', "");
    Expect(1, 133532, '\p{Is_Nv=4.000000000000000e+01}', "");
    Expect(0, 133532, '\p{^Is_Nv=4.000000000000000e+01}', "");
    Expect(0, 133532, '\P{Is_Nv=4.000000000000000e+01}', "");
    Expect(1, 133532, '\P{^Is_Nv=4.000000000000000e+01}', "");
    Expect(0, 133533, '\p{Is_Nv=4.000000000000000e+01}', "");
    Expect(1, 133533, '\p{^Is_Nv=4.000000000000000e+01}', "");
    Expect(1, 133533, '\P{Is_Nv=4.000000000000000e+01}', "");
    Expect(0, 133533, '\P{^Is_Nv=4.000000000000000e+01}', "");
    Error('\p{Numeric_Value=:=_-000400}');
    Error('\P{Numeric_Value=:=_-000400}');
    Expect(1, 126264, '\p{Numeric_Value=:\A400\z:}', "");;
    Expect(0, 126265, '\p{Numeric_Value=:\A400\z:}', "");;
    Expect(1, 126264, '\p{Numeric_Value=00_00_00_00_0400}', "");
    Expect(0, 126264, '\p{^Numeric_Value=00_00_00_00_0400}', "");
    Expect(0, 126264, '\P{Numeric_Value=00_00_00_00_0400}', "");
    Expect(1, 126264, '\P{^Numeric_Value=00_00_00_00_0400}', "");
    Expect(0, 126265, '\p{Numeric_Value=00_00_00_00_0400}', "");
    Expect(1, 126265, '\p{^Numeric_Value=00_00_00_00_0400}', "");
    Expect(1, 126265, '\P{Numeric_Value=00_00_00_00_0400}', "");
    Expect(0, 126265, '\P{^Numeric_Value=00_00_00_00_0400}', "");
    Expect(1, 126264, '\p{Numeric_Value:4.000000000000000e+02}', "");
    Expect(0, 126264, '\p{^Numeric_Value:4.000000000000000e+02}', "");
    Expect(0, 126264, '\P{Numeric_Value:4.000000000000000e+02}', "");
    Expect(1, 126264, '\P{^Numeric_Value:4.000000000000000e+02}', "");
    Expect(0, 126265, '\p{Numeric_Value:4.000000000000000e+02}', "");
    Expect(1, 126265, '\p{^Numeric_Value:4.000000000000000e+02}', "");
    Expect(1, 126265, '\P{Numeric_Value:4.000000000000000e+02}', "");
    Expect(0, 126265, '\P{^Numeric_Value:4.000000000000000e+02}', "");
    Error('\p{Nv=/a/--+40_0}');
    Error('\P{Nv=/a/--+40_0}');
    Expect(1, 126264, '\p{Nv=:\A400\z:}', "");;
    Expect(0, 126265, '\p{Nv=:\A400\z:}', "");;
    Expect(1, 126264, '\p{Nv=00_04_00}', "");
    Expect(0, 126264, '\p{^Nv=00_04_00}', "");
    Expect(0, 126264, '\P{Nv=00_04_00}', "");
    Expect(1, 126264, '\P{^Nv=00_04_00}', "");
    Expect(0, 126265, '\p{Nv=00_04_00}', "");
    Expect(1, 126265, '\p{^Nv=00_04_00}', "");
    Expect(1, 126265, '\P{Nv=00_04_00}', "");
    Expect(0, 126265, '\P{^Nv=00_04_00}', "");
    Expect(1, 126264, '\p{Nv=4.000000000000000e+02}', "");
    Expect(0, 126264, '\p{^Nv=4.000000000000000e+02}', "");
    Expect(0, 126264, '\P{Nv=4.000000000000000e+02}', "");
    Expect(1, 126264, '\P{^Nv=4.000000000000000e+02}', "");
    Expect(0, 126265, '\p{Nv=4.000000000000000e+02}', "");
    Expect(1, 126265, '\p{^Nv=4.000000000000000e+02}', "");
    Expect(1, 126265, '\P{Nv=4.000000000000000e+02}', "");
    Expect(0, 126265, '\P{^Nv=4.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value=/a/ 0_0_0_4_00}');
    Error('\P{Is_Numeric_Value=/a/ 0_0_0_4_00}');
    Expect(1, 126264, '\p{Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(0, 126264, '\p{^Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(0, 126264, '\P{Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(1, 126264, '\P{^Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(0, 126265, '\p{Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(1, 126265, '\p{^Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(1, 126265, '\P{Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(0, 126265, '\P{^Is_Numeric_Value=00_00_00_04_00}', "");
    Expect(1, 126264, '\p{Is_Numeric_Value=4.000000000000000e+02}', "");
    Expect(0, 126264, '\p{^Is_Numeric_Value=4.000000000000000e+02}', "");
    Expect(0, 126264, '\P{Is_Numeric_Value=4.000000000000000e+02}', "");
    Expect(1, 126264, '\P{^Is_Numeric_Value=4.000000000000000e+02}', "");
    Expect(0, 126265, '\p{Is_Numeric_Value=4.000000000000000e+02}', "");
    Expect(1, 126265, '\p{^Is_Numeric_Value=4.000000000000000e+02}', "");
    Expect(1, 126265, '\P{Is_Numeric_Value=4.000000000000000e+02}', "");
    Expect(0, 126265, '\P{^Is_Numeric_Value=4.000000000000000e+02}', "");
    Error('\p{Is_Nv=_+0000000400/a/}');
    Error('\P{Is_Nv=_+0000000400/a/}');
    Expect(1, 126264, '\p{Is_Nv=+000040_0}', "");
    Expect(0, 126264, '\p{^Is_Nv=+000040_0}', "");
    Expect(0, 126264, '\P{Is_Nv=+000040_0}', "");
    Expect(1, 126264, '\P{^Is_Nv=+000040_0}', "");
    Expect(0, 126265, '\p{Is_Nv=+000040_0}', "");
    Expect(1, 126265, '\p{^Is_Nv=+000040_0}', "");
    Expect(1, 126265, '\P{Is_Nv=+000040_0}', "");
    Expect(0, 126265, '\P{^Is_Nv=+000040_0}', "");
    Expect(1, 126264, '\p{Is_Nv=4.000000000000000e+02}', "");
    Expect(0, 126264, '\p{^Is_Nv=4.000000000000000e+02}', "");
    Expect(0, 126264, '\P{Is_Nv=4.000000000000000e+02}', "");
    Expect(1, 126264, '\P{^Is_Nv=4.000000000000000e+02}', "");
    Expect(0, 126265, '\p{Is_Nv=4.000000000000000e+02}', "");
    Expect(1, 126265, '\p{^Is_Nv=4.000000000000000e+02}', "");
    Expect(1, 126265, '\P{Is_Nv=4.000000000000000e+02}', "");
    Expect(0, 126265, '\P{^Is_Nv=4.000000000000000e+02}', "");
    Error('\p{Numeric_Value=/a/ 00000400_0}');
    Error('\P{Numeric_Value=/a/ 00000400_0}');
    Expect(1, 126239, '\p{Numeric_Value=:\A4000\z:}', "");;
    Expect(0, 126240, '\p{Numeric_Value=:\A4000\z:}', "");;
    Expect(1, 126239, '\p{Numeric_Value=400_0}', "");
    Expect(0, 126239, '\p{^Numeric_Value=400_0}', "");
    Expect(0, 126239, '\P{Numeric_Value=400_0}', "");
    Expect(1, 126239, '\P{^Numeric_Value=400_0}', "");
    Expect(0, 126240, '\p{Numeric_Value=400_0}', "");
    Expect(1, 126240, '\p{^Numeric_Value=400_0}', "");
    Expect(1, 126240, '\P{Numeric_Value=400_0}', "");
    Expect(0, 126240, '\P{^Numeric_Value=400_0}', "");
    Expect(1, 126239, '\p{Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126239, '\p{^Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126239, '\P{Numeric_Value=4.000000000000000e+03}', "");
    Expect(1, 126239, '\P{^Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126240, '\p{Numeric_Value=4.000000000000000e+03}', "");
    Expect(1, 126240, '\p{^Numeric_Value=4.000000000000000e+03}', "");
    Expect(1, 126240, '\P{Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126240, '\P{^Numeric_Value=4.000000000000000e+03}', "");
    Error('\p{Nv= _+0_0_0_0_0_0_0_0_0_4_000:=}');
    Error('\P{Nv= _+0_0_0_0_0_0_0_0_0_4_000:=}');
    Expect(1, 126239, '\p{Nv=:\A4000\z:}', "");;
    Expect(0, 126240, '\p{Nv=:\A4000\z:}', "");;
    Expect(1, 126239, '\p{Nv=00000004000}', "");
    Expect(0, 126239, '\p{^Nv=00000004000}', "");
    Expect(0, 126239, '\P{Nv=00000004000}', "");
    Expect(1, 126239, '\P{^Nv=00000004000}', "");
    Expect(0, 126240, '\p{Nv=00000004000}', "");
    Expect(1, 126240, '\p{^Nv=00000004000}', "");
    Expect(1, 126240, '\P{Nv=00000004000}', "");
    Expect(0, 126240, '\P{^Nv=00000004000}', "");
    Expect(1, 126239, '\p{Nv=4.000000000000000e+03}', "");
    Expect(0, 126239, '\p{^Nv=4.000000000000000e+03}', "");
    Expect(0, 126239, '\P{Nv=4.000000000000000e+03}', "");
    Expect(1, 126239, '\P{^Nv=4.000000000000000e+03}', "");
    Expect(0, 126240, '\p{Nv=4.000000000000000e+03}', "");
    Expect(1, 126240, '\p{^Nv=4.000000000000000e+03}', "");
    Expect(1, 126240, '\P{Nv=4.000000000000000e+03}', "");
    Expect(0, 126240, '\P{^Nv=4.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value= /a/00000004000}');
    Error('\P{Is_Numeric_Value= /a/00000004000}');
    Expect(1, 126239, '\p{Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(0, 126239, '\p{^Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(0, 126239, '\P{Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(1, 126239, '\P{^Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(0, 126240, '\p{Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(1, 126240, '\p{^Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(1, 126240, '\P{Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(0, 126240, '\P{^Is_Numeric_Value=0_0_0_0_0_0_04000}', "");
    Expect(1, 126239, '\p{Is_Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126239, '\p{^Is_Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126239, '\P{Is_Numeric_Value=4.000000000000000e+03}', "");
    Expect(1, 126239, '\P{^Is_Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126240, '\p{Is_Numeric_Value=4.000000000000000e+03}', "");
    Expect(1, 126240, '\p{^Is_Numeric_Value=4.000000000000000e+03}', "");
    Expect(1, 126240, '\P{Is_Numeric_Value=4.000000000000000e+03}', "");
    Expect(0, 126240, '\P{^Is_Numeric_Value=4.000000000000000e+03}', "");
    Error('\p{Is_Nv=	:=+0004000}');
    Error('\P{Is_Nv=	:=+0004000}');
    Expect(1, 126239, '\p{Is_Nv:   +0004000}', "");
    Expect(0, 126239, '\p{^Is_Nv:   +0004000}', "");
    Expect(0, 126239, '\P{Is_Nv:   +0004000}', "");
    Expect(1, 126239, '\P{^Is_Nv:   +0004000}', "");
    Expect(0, 126240, '\p{Is_Nv:   +0004000}', "");
    Expect(1, 126240, '\p{^Is_Nv:   +0004000}', "");
    Expect(1, 126240, '\P{Is_Nv:   +0004000}', "");
    Expect(0, 126240, '\P{^Is_Nv:   +0004000}', "");
    Expect(1, 126239, '\p{Is_Nv=4.000000000000000e+03}', "");
    Expect(0, 126239, '\p{^Is_Nv=4.000000000000000e+03}', "");
    Expect(0, 126239, '\P{Is_Nv=4.000000000000000e+03}', "");
    Expect(1, 126239, '\P{^Is_Nv=4.000000000000000e+03}', "");
    Expect(0, 126240, '\p{Is_Nv=4.000000000000000e+03}', "");
    Expect(1, 126240, '\p{^Is_Nv=4.000000000000000e+03}', "");
    Expect(1, 126240, '\P{Is_Nv=4.000000000000000e+03}', "");
    Expect(0, 126240, '\P{^Is_Nv=4.000000000000000e+03}', "");
    Error('\p{Numeric_Value=_/a/0000040000}');
    Error('\P{Numeric_Value=_/a/0000040000}');
    Expect(1, 126248, '\p{Numeric_Value=:\A40000\z:}', "");;
    Expect(0, 126249, '\p{Numeric_Value=:\A40000\z:}', "");;
    Expect(1, 126248, '\p{Numeric_Value=00040000}', "");
    Expect(0, 126248, '\p{^Numeric_Value=00040000}', "");
    Expect(0, 126248, '\P{Numeric_Value=00040000}', "");
    Expect(1, 126248, '\P{^Numeric_Value=00040000}', "");
    Expect(0, 126249, '\p{Numeric_Value=00040000}', "");
    Expect(1, 126249, '\p{^Numeric_Value=00040000}', "");
    Expect(1, 126249, '\P{Numeric_Value=00040000}', "");
    Expect(0, 126249, '\P{^Numeric_Value=00040000}', "");
    Expect(1, 126248, '\p{Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126248, '\p{^Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126248, '\P{Numeric_Value=4.000000000000000e+04}', "");
    Expect(1, 126248, '\P{^Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126249, '\p{Numeric_Value=4.000000000000000e+04}', "");
    Expect(1, 126249, '\p{^Numeric_Value=4.000000000000000e+04}', "");
    Expect(1, 126249, '\P{Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126249, '\P{^Numeric_Value=4.000000000000000e+04}', "");
    Error('\p{Nv=/a/+0000040000}');
    Error('\P{Nv=/a/+0000040000}');
    Expect(1, 126248, '\p{Nv=:\A40000\z:}', "");;
    Expect(0, 126249, '\p{Nv=:\A40000\z:}', "");;
    Expect(1, 126248, '\p{Nv=4_0_0_00}', "");
    Expect(0, 126248, '\p{^Nv=4_0_0_00}', "");
    Expect(0, 126248, '\P{Nv=4_0_0_00}', "");
    Expect(1, 126248, '\P{^Nv=4_0_0_00}', "");
    Expect(0, 126249, '\p{Nv=4_0_0_00}', "");
    Expect(1, 126249, '\p{^Nv=4_0_0_00}', "");
    Expect(1, 126249, '\P{Nv=4_0_0_00}', "");
    Expect(0, 126249, '\P{^Nv=4_0_0_00}', "");
    Expect(1, 126248, '\p{Nv:   4.000000000000000e+04}', "");
    Expect(0, 126248, '\p{^Nv:   4.000000000000000e+04}', "");
    Expect(0, 126248, '\P{Nv:   4.000000000000000e+04}', "");
    Expect(1, 126248, '\P{^Nv:   4.000000000000000e+04}', "");
    Expect(0, 126249, '\p{Nv:   4.000000000000000e+04}', "");
    Expect(1, 126249, '\p{^Nv:   4.000000000000000e+04}', "");
    Expect(1, 126249, '\P{Nv:   4.000000000000000e+04}', "");
    Expect(0, 126249, '\P{^Nv:   4.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value=:=	 000040000}');
    Error('\P{Is_Numeric_Value=:=	 000040000}');
    Expect(1, 126248, '\p{Is_Numeric_Value=00_00_40_000}', "");
    Expect(0, 126248, '\p{^Is_Numeric_Value=00_00_40_000}', "");
    Expect(0, 126248, '\P{Is_Numeric_Value=00_00_40_000}', "");
    Expect(1, 126248, '\P{^Is_Numeric_Value=00_00_40_000}', "");
    Expect(0, 126249, '\p{Is_Numeric_Value=00_00_40_000}', "");
    Expect(1, 126249, '\p{^Is_Numeric_Value=00_00_40_000}', "");
    Expect(1, 126249, '\P{Is_Numeric_Value=00_00_40_000}', "");
    Expect(0, 126249, '\P{^Is_Numeric_Value=00_00_40_000}', "");
    Expect(1, 126248, '\p{Is_Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126248, '\p{^Is_Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126248, '\P{Is_Numeric_Value=4.000000000000000e+04}', "");
    Expect(1, 126248, '\P{^Is_Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126249, '\p{Is_Numeric_Value=4.000000000000000e+04}', "");
    Expect(1, 126249, '\p{^Is_Numeric_Value=4.000000000000000e+04}', "");
    Expect(1, 126249, '\P{Is_Numeric_Value=4.000000000000000e+04}', "");
    Expect(0, 126249, '\P{^Is_Numeric_Value=4.000000000000000e+04}', "");
    Error('\p{Is_Nv=/a/_	0000000040000}');
    Error('\P{Is_Nv=/a/_	0000000040000}');
    Expect(1, 126248, '\p{Is_Nv=0004000_0}', "");
    Expect(0, 126248, '\p{^Is_Nv=0004000_0}', "");
    Expect(0, 126248, '\P{Is_Nv=0004000_0}', "");
    Expect(1, 126248, '\P{^Is_Nv=0004000_0}', "");
    Expect(0, 126249, '\p{Is_Nv=0004000_0}', "");
    Expect(1, 126249, '\p{^Is_Nv=0004000_0}', "");
    Expect(1, 126249, '\P{Is_Nv=0004000_0}', "");
    Expect(0, 126249, '\P{^Is_Nv=0004000_0}', "");
    Expect(1, 126248, '\p{Is_Nv=4.000000000000000e+04}', "");
    Expect(0, 126248, '\p{^Is_Nv=4.000000000000000e+04}', "");
    Expect(0, 126248, '\P{Is_Nv=4.000000000000000e+04}', "");
    Expect(1, 126248, '\P{^Is_Nv=4.000000000000000e+04}', "");
    Expect(0, 126249, '\p{Is_Nv=4.000000000000000e+04}', "");
    Expect(1, 126249, '\p{^Is_Nv=4.000000000000000e+04}', "");
    Expect(1, 126249, '\P{Is_Nv=4.000000000000000e+04}', "");
    Expect(0, 126249, '\P{^Is_Nv=4.000000000000000e+04}', "");
    Error('\p{Numeric_Value=		000400000:=}');
    Error('\P{Numeric_Value=		000400000:=}');
    Expect(1, 68080, '\p{Numeric_Value=:\A400000\z:}', "");;
    Expect(0, 68081, '\p{Numeric_Value=:\A400000\z:}', "");;
    Expect(1, 68080, '\p{Numeric_Value=0000000400000}', "");
    Expect(0, 68080, '\p{^Numeric_Value=0000000400000}', "");
    Expect(0, 68080, '\P{Numeric_Value=0000000400000}', "");
    Expect(1, 68080, '\P{^Numeric_Value=0000000400000}', "");
    Expect(0, 68081, '\p{Numeric_Value=0000000400000}', "");
    Expect(1, 68081, '\p{^Numeric_Value=0000000400000}', "");
    Expect(1, 68081, '\P{Numeric_Value=0000000400000}', "");
    Expect(0, 68081, '\P{^Numeric_Value=0000000400000}', "");
    Expect(1, 68080, '\p{Numeric_Value=4.000000000000000e+05}', "");
    Expect(0, 68080, '\p{^Numeric_Value=4.000000000000000e+05}', "");
    Expect(0, 68080, '\P{Numeric_Value=4.000000000000000e+05}', "");
    Expect(1, 68080, '\P{^Numeric_Value=4.000000000000000e+05}', "");
    Expect(0, 68081, '\p{Numeric_Value=4.000000000000000e+05}', "");
    Expect(1, 68081, '\p{^Numeric_Value=4.000000000000000e+05}', "");
    Expect(1, 68081, '\P{Numeric_Value=4.000000000000000e+05}', "");
    Expect(0, 68081, '\P{^Numeric_Value=4.000000000000000e+05}', "");
    Error('\p{Nv=--0000000400000/a/}');
    Error('\P{Nv=--0000000400000/a/}');
    Expect(1, 68080, '\p{Nv=:\A400000\z:}', "");;
    Expect(0, 68081, '\p{Nv=:\A400000\z:}', "");;
    Expect(1, 68080, '\p{Nv=0000400000}', "");
    Expect(0, 68080, '\p{^Nv=0000400000}', "");
    Expect(0, 68080, '\P{Nv=0000400000}', "");
    Expect(1, 68080, '\P{^Nv=0000400000}', "");
    Expect(0, 68081, '\p{Nv=0000400000}', "");
    Expect(1, 68081, '\p{^Nv=0000400000}', "");
    Expect(1, 68081, '\P{Nv=0000400000}', "");
    Expect(0, 68081, '\P{^Nv=0000400000}', "");
    Expect(1, 68080, '\p{Nv=4.000000000000000e+05}', "");
    Expect(0, 68080, '\p{^Nv=4.000000000000000e+05}', "");
    Expect(0, 68080, '\P{Nv=4.000000000000000e+05}', "");
    Expect(1, 68080, '\P{^Nv=4.000000000000000e+05}', "");
    Expect(0, 68081, '\p{Nv=4.000000000000000e+05}', "");
    Expect(1, 68081, '\p{^Nv=4.000000000000000e+05}', "");
    Expect(1, 68081, '\P{Nv=4.000000000000000e+05}', "");
    Expect(0, 68081, '\P{^Nv=4.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value= /a/000000000400000}');
    Error('\P{Is_Numeric_Value= /a/000000000400000}');
    Expect(1, 68080, '\p{Is_Numeric_Value=00000000400000}', "");
    Expect(0, 68080, '\p{^Is_Numeric_Value=00000000400000}', "");
    Expect(0, 68080, '\P{Is_Numeric_Value=00000000400000}', "");
    Expect(1, 68080, '\P{^Is_Numeric_Value=00000000400000}', "");
    Expect(0, 68081, '\p{Is_Numeric_Value=00000000400000}', "");
    Expect(1, 68081, '\p{^Is_Numeric_Value=00000000400000}', "");
    Expect(1, 68081, '\P{Is_Numeric_Value=00000000400000}', "");
    Expect(0, 68081, '\P{^Is_Numeric_Value=00000000400000}', "");
    Expect(1, 68080, '\p{Is_Numeric_Value:	4.000000000000000e+05}', "");
    Expect(0, 68080, '\p{^Is_Numeric_Value:	4.000000000000000e+05}', "");
    Expect(0, 68080, '\P{Is_Numeric_Value:	4.000000000000000e+05}', "");
    Expect(1, 68080, '\P{^Is_Numeric_Value:	4.000000000000000e+05}', "");
    Expect(0, 68081, '\p{Is_Numeric_Value:	4.000000000000000e+05}', "");
    Expect(1, 68081, '\p{^Is_Numeric_Value:	4.000000000000000e+05}', "");
    Expect(1, 68081, '\P{Is_Numeric_Value:	4.000000000000000e+05}', "");
    Expect(0, 68081, '\P{^Is_Numeric_Value:	4.000000000000000e+05}', "");
    Error('\p{Is_Nv=_	00_00_00_04_00_000:=}');
    Error('\P{Is_Nv=_	00_00_00_04_00_000:=}');
    Expect(1, 68080, '\p{Is_Nv=+000_004_000_00}', "");
    Expect(0, 68080, '\p{^Is_Nv=+000_004_000_00}', "");
    Expect(0, 68080, '\P{Is_Nv=+000_004_000_00}', "");
    Expect(1, 68080, '\P{^Is_Nv=+000_004_000_00}', "");
    Expect(0, 68081, '\p{Is_Nv=+000_004_000_00}', "");
    Expect(1, 68081, '\p{^Is_Nv=+000_004_000_00}', "");
    Expect(1, 68081, '\P{Is_Nv=+000_004_000_00}', "");
    Expect(0, 68081, '\P{^Is_Nv=+000_004_000_00}', "");
    Expect(1, 68080, '\p{Is_Nv=4.000000000000000e+05}', "");
    Expect(0, 68080, '\p{^Is_Nv=4.000000000000000e+05}', "");
    Expect(0, 68080, '\P{Is_Nv=4.000000000000000e+05}', "");
    Expect(1, 68080, '\P{^Is_Nv=4.000000000000000e+05}', "");
    Expect(0, 68081, '\p{Is_Nv=4.000000000000000e+05}', "");
    Expect(1, 68081, '\p{^Is_Nv=4.000000000000000e+05}', "");
    Expect(1, 68081, '\P{Is_Nv=4.000000000000000e+05}', "");
    Expect(0, 68081, '\P{^Is_Nv=4.000000000000000e+05}', "");
    Error('\p{Numeric_Value:	/a/+0000_0000_41}');
    Error('\P{Numeric_Value:	/a/+0000_0000_41}');
    Expect(1, 12982, '\p{Numeric_Value=:\A41\z:}', "");;
    Expect(0, 12983, '\p{Numeric_Value=:\A41\z:}', "");;
    Expect(1, 12982, '\p{Numeric_Value=0000041}', "");
    Expect(0, 12982, '\p{^Numeric_Value=0000041}', "");
    Expect(0, 12982, '\P{Numeric_Value=0000041}', "");
    Expect(1, 12982, '\P{^Numeric_Value=0000041}', "");
    Expect(0, 12983, '\p{Numeric_Value=0000041}', "");
    Expect(1, 12983, '\p{^Numeric_Value=0000041}', "");
    Expect(1, 12983, '\P{Numeric_Value=0000041}', "");
    Expect(0, 12983, '\P{^Numeric_Value=0000041}', "");
    Expect(1, 12982, '\p{Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12982, '\p{^Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12982, '\P{Numeric_Value=4.100000000000000e+01}', "");
    Expect(1, 12982, '\P{^Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12983, '\p{Numeric_Value=4.100000000000000e+01}', "");
    Expect(1, 12983, '\p{^Numeric_Value=4.100000000000000e+01}', "");
    Expect(1, 12983, '\P{Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12983, '\P{^Numeric_Value=4.100000000000000e+01}', "");
    Error('\p{Nv=/a/ -0_0_0_0_41}');
    Error('\P{Nv=/a/ -0_0_0_0_41}');
    Expect(1, 12982, '\p{Nv=:\A41\z:}', "");;
    Expect(0, 12983, '\p{Nv=:\A41\z:}', "");;
    Expect(1, 12982, '\p{Nv=+04_1}', "");
    Expect(0, 12982, '\p{^Nv=+04_1}', "");
    Expect(0, 12982, '\P{Nv=+04_1}', "");
    Expect(1, 12982, '\P{^Nv=+04_1}', "");
    Expect(0, 12983, '\p{Nv=+04_1}', "");
    Expect(1, 12983, '\p{^Nv=+04_1}', "");
    Expect(1, 12983, '\P{Nv=+04_1}', "");
    Expect(0, 12983, '\P{^Nv=+04_1}', "");
    Expect(1, 12982, '\p{Nv=4.100000000000000e+01}', "");
    Expect(0, 12982, '\p{^Nv=4.100000000000000e+01}', "");
    Expect(0, 12982, '\P{Nv=4.100000000000000e+01}', "");
    Expect(1, 12982, '\P{^Nv=4.100000000000000e+01}', "");
    Expect(0, 12983, '\p{Nv=4.100000000000000e+01}', "");
    Expect(1, 12983, '\p{^Nv=4.100000000000000e+01}', "");
    Expect(1, 12983, '\P{Nv=4.100000000000000e+01}', "");
    Expect(0, 12983, '\P{^Nv=4.100000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=	:=+000004_1}');
    Error('\P{Is_Numeric_Value=	:=+000004_1}');
    Expect(1, 12982, '\p{Is_Numeric_Value=00000041}', "");
    Expect(0, 12982, '\p{^Is_Numeric_Value=00000041}', "");
    Expect(0, 12982, '\P{Is_Numeric_Value=00000041}', "");
    Expect(1, 12982, '\P{^Is_Numeric_Value=00000041}', "");
    Expect(0, 12983, '\p{Is_Numeric_Value=00000041}', "");
    Expect(1, 12983, '\p{^Is_Numeric_Value=00000041}', "");
    Expect(1, 12983, '\P{Is_Numeric_Value=00000041}', "");
    Expect(0, 12983, '\P{^Is_Numeric_Value=00000041}', "");
    Expect(1, 12982, '\p{Is_Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12982, '\p{^Is_Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12982, '\P{Is_Numeric_Value=4.100000000000000e+01}', "");
    Expect(1, 12982, '\P{^Is_Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12983, '\p{Is_Numeric_Value=4.100000000000000e+01}', "");
    Expect(1, 12983, '\p{^Is_Numeric_Value=4.100000000000000e+01}', "");
    Expect(1, 12983, '\P{Is_Numeric_Value=4.100000000000000e+01}', "");
    Expect(0, 12983, '\P{^Is_Numeric_Value=4.100000000000000e+01}', "");
    Error('\p{Is_Nv=/a/+0000000041}');
    Error('\P{Is_Nv=/a/+0000000041}');
    Expect(1, 12982, '\p{Is_Nv=00_04_1}', "");
    Expect(0, 12982, '\p{^Is_Nv=00_04_1}', "");
    Expect(0, 12982, '\P{Is_Nv=00_04_1}', "");
    Expect(1, 12982, '\P{^Is_Nv=00_04_1}', "");
    Expect(0, 12983, '\p{Is_Nv=00_04_1}', "");
    Expect(1, 12983, '\p{^Is_Nv=00_04_1}', "");
    Expect(1, 12983, '\P{Is_Nv=00_04_1}', "");
    Expect(0, 12983, '\P{^Is_Nv=00_04_1}', "");
    Expect(1, 12982, '\p{Is_Nv=4.100000000000000e+01}', "");
    Expect(0, 12982, '\p{^Is_Nv=4.100000000000000e+01}', "");
    Expect(0, 12982, '\P{Is_Nv=4.100000000000000e+01}', "");
    Expect(1, 12982, '\P{^Is_Nv=4.100000000000000e+01}', "");
    Expect(0, 12983, '\p{Is_Nv=4.100000000000000e+01}', "");
    Expect(1, 12983, '\p{^Is_Nv=4.100000000000000e+01}', "");
    Expect(1, 12983, '\P{Is_Nv=4.100000000000000e+01}', "");
    Expect(0, 12983, '\P{^Is_Nv=4.100000000000000e+01}', "");
    Error('\p{Numeric_Value=	/a/04_2}');
    Error('\P{Numeric_Value=	/a/04_2}');
    Expect(1, 12983, '\p{Numeric_Value=:\A42\z:}', "");;
    Expect(0, 12984, '\p{Numeric_Value=:\A42\z:}', "");;
    Expect(1, 12983, '\p{Numeric_Value:	0000042}', "");
    Expect(0, 12983, '\p{^Numeric_Value:	0000042}', "");
    Expect(0, 12983, '\P{Numeric_Value:	0000042}', "");
    Expect(1, 12983, '\P{^Numeric_Value:	0000042}', "");
    Expect(0, 12984, '\p{Numeric_Value:	0000042}', "");
    Expect(1, 12984, '\p{^Numeric_Value:	0000042}', "");
    Expect(1, 12984, '\P{Numeric_Value:	0000042}', "");
    Expect(0, 12984, '\P{^Numeric_Value:	0000042}', "");
    Expect(1, 12983, '\p{Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12983, '\p{^Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12983, '\P{Numeric_Value=4.200000000000000e+01}', "");
    Expect(1, 12983, '\P{^Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12984, '\p{Numeric_Value=4.200000000000000e+01}', "");
    Expect(1, 12984, '\p{^Numeric_Value=4.200000000000000e+01}', "");
    Expect(1, 12984, '\P{Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12984, '\P{^Numeric_Value=4.200000000000000e+01}', "");
    Error('\p{Nv=__0000042:=}');
    Error('\P{Nv=__0000042:=}');
    Expect(1, 12983, '\p{Nv=:\A42\z:}', "");;
    Expect(0, 12984, '\p{Nv=:\A42\z:}', "");;
    Expect(1, 12983, '\p{Nv: 0000000042}', "");
    Expect(0, 12983, '\p{^Nv: 0000000042}', "");
    Expect(0, 12983, '\P{Nv: 0000000042}', "");
    Expect(1, 12983, '\P{^Nv: 0000000042}', "");
    Expect(0, 12984, '\p{Nv: 0000000042}', "");
    Expect(1, 12984, '\p{^Nv: 0000000042}', "");
    Expect(1, 12984, '\P{Nv: 0000000042}', "");
    Expect(0, 12984, '\P{^Nv: 0000000042}', "");
    Expect(1, 12983, '\p{Nv=4.200000000000000e+01}', "");
    Expect(0, 12983, '\p{^Nv=4.200000000000000e+01}', "");
    Expect(0, 12983, '\P{Nv=4.200000000000000e+01}', "");
    Expect(1, 12983, '\P{^Nv=4.200000000000000e+01}', "");
    Expect(0, 12984, '\p{Nv=4.200000000000000e+01}', "");
    Expect(1, 12984, '\p{^Nv=4.200000000000000e+01}', "");
    Expect(1, 12984, '\P{Nv=4.200000000000000e+01}', "");
    Expect(0, 12984, '\P{^Nv=4.200000000000000e+01}', "");
    Error('\p{Is_Numeric_Value: :=	0_0_0_0_0_042}');
    Error('\P{Is_Numeric_Value: :=	0_0_0_0_0_042}');
    Expect(1, 12983, '\p{Is_Numeric_Value=+0042}', "");
    Expect(0, 12983, '\p{^Is_Numeric_Value=+0042}', "");
    Expect(0, 12983, '\P{Is_Numeric_Value=+0042}', "");
    Expect(1, 12983, '\P{^Is_Numeric_Value=+0042}', "");
    Expect(0, 12984, '\p{Is_Numeric_Value=+0042}', "");
    Expect(1, 12984, '\p{^Is_Numeric_Value=+0042}', "");
    Expect(1, 12984, '\P{Is_Numeric_Value=+0042}', "");
    Expect(0, 12984, '\P{^Is_Numeric_Value=+0042}', "");
    Expect(1, 12983, '\p{Is_Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12983, '\p{^Is_Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12983, '\P{Is_Numeric_Value=4.200000000000000e+01}', "");
    Expect(1, 12983, '\P{^Is_Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12984, '\p{Is_Numeric_Value=4.200000000000000e+01}', "");
    Expect(1, 12984, '\p{^Is_Numeric_Value=4.200000000000000e+01}', "");
    Expect(1, 12984, '\P{Is_Numeric_Value=4.200000000000000e+01}', "");
    Expect(0, 12984, '\P{^Is_Numeric_Value=4.200000000000000e+01}', "");
    Error('\p{Is_Nv: :=	000000042}');
    Error('\P{Is_Nv: :=	000000042}');
    Expect(1, 12983, '\p{Is_Nv=0000000042}', "");
    Expect(0, 12983, '\p{^Is_Nv=0000000042}', "");
    Expect(0, 12983, '\P{Is_Nv=0000000042}', "");
    Expect(1, 12983, '\P{^Is_Nv=0000000042}', "");
    Expect(0, 12984, '\p{Is_Nv=0000000042}', "");
    Expect(1, 12984, '\p{^Is_Nv=0000000042}', "");
    Expect(1, 12984, '\P{Is_Nv=0000000042}', "");
    Expect(0, 12984, '\P{^Is_Nv=0000000042}', "");
    Expect(1, 12983, '\p{Is_Nv:   4.200000000000000e+01}', "");
    Expect(0, 12983, '\p{^Is_Nv:   4.200000000000000e+01}', "");
    Expect(0, 12983, '\P{Is_Nv:   4.200000000000000e+01}', "");
    Expect(1, 12983, '\P{^Is_Nv:   4.200000000000000e+01}', "");
    Expect(0, 12984, '\p{Is_Nv:   4.200000000000000e+01}', "");
    Expect(1, 12984, '\p{^Is_Nv:   4.200000000000000e+01}', "");
    Expect(1, 12984, '\P{Is_Nv:   4.200000000000000e+01}', "");
    Expect(0, 12984, '\P{^Is_Nv:   4.200000000000000e+01}', "");
    Error('\p{Numeric_Value=_:=0000043}');
    Error('\P{Numeric_Value=_:=0000043}');
    Expect(1, 12984, '\p{Numeric_Value=:\A43\z:}', "");;
    Expect(0, 12985, '\p{Numeric_Value=:\A43\z:}', "");;
    Expect(1, 12984, '\p{Numeric_Value=000000043}', "");
    Expect(0, 12984, '\p{^Numeric_Value=000000043}', "");
    Expect(0, 12984, '\P{Numeric_Value=000000043}', "");
    Expect(1, 12984, '\P{^Numeric_Value=000000043}', "");
    Expect(0, 12985, '\p{Numeric_Value=000000043}', "");
    Expect(1, 12985, '\p{^Numeric_Value=000000043}', "");
    Expect(1, 12985, '\P{Numeric_Value=000000043}', "");
    Expect(0, 12985, '\P{^Numeric_Value=000000043}', "");
    Expect(1, 12984, '\p{Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12984, '\p{^Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12984, '\P{Numeric_Value=4.300000000000000e+01}', "");
    Expect(1, 12984, '\P{^Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12985, '\p{Numeric_Value=4.300000000000000e+01}', "");
    Expect(1, 12985, '\p{^Numeric_Value=4.300000000000000e+01}', "");
    Expect(1, 12985, '\P{Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12985, '\P{^Numeric_Value=4.300000000000000e+01}', "");
    Error('\p{Nv=--00_04_3:=}');
    Error('\P{Nv=--00_04_3:=}');
    Expect(1, 12984, '\p{Nv=:\A43\z:}', "");;
    Expect(0, 12985, '\p{Nv=:\A43\z:}', "");;
    Expect(1, 12984, '\p{Nv=00043}', "");
    Expect(0, 12984, '\p{^Nv=00043}', "");
    Expect(0, 12984, '\P{Nv=00043}', "");
    Expect(1, 12984, '\P{^Nv=00043}', "");
    Expect(0, 12985, '\p{Nv=00043}', "");
    Expect(1, 12985, '\p{^Nv=00043}', "");
    Expect(1, 12985, '\P{Nv=00043}', "");
    Expect(0, 12985, '\P{^Nv=00043}', "");
    Expect(1, 12984, '\p{Nv=4.300000000000000e+01}', "");
    Expect(0, 12984, '\p{^Nv=4.300000000000000e+01}', "");
    Expect(0, 12984, '\P{Nv=4.300000000000000e+01}', "");
    Expect(1, 12984, '\P{^Nv=4.300000000000000e+01}', "");
    Expect(0, 12985, '\p{Nv=4.300000000000000e+01}', "");
    Expect(1, 12985, '\p{^Nv=4.300000000000000e+01}', "");
    Expect(1, 12985, '\P{Nv=4.300000000000000e+01}', "");
    Expect(0, 12985, '\P{^Nv=4.300000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=:=--+00000000043}');
    Error('\P{Is_Numeric_Value=:=--+00000000043}');
    Expect(1, 12984, '\p{Is_Numeric_Value:   00000000043}', "");
    Expect(0, 12984, '\p{^Is_Numeric_Value:   00000000043}', "");
    Expect(0, 12984, '\P{Is_Numeric_Value:   00000000043}', "");
    Expect(1, 12984, '\P{^Is_Numeric_Value:   00000000043}', "");
    Expect(0, 12985, '\p{Is_Numeric_Value:   00000000043}', "");
    Expect(1, 12985, '\p{^Is_Numeric_Value:   00000000043}', "");
    Expect(1, 12985, '\P{Is_Numeric_Value:   00000000043}', "");
    Expect(0, 12985, '\P{^Is_Numeric_Value:   00000000043}', "");
    Expect(1, 12984, '\p{Is_Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12984, '\p{^Is_Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12984, '\P{Is_Numeric_Value=4.300000000000000e+01}', "");
    Expect(1, 12984, '\P{^Is_Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12985, '\p{Is_Numeric_Value=4.300000000000000e+01}', "");
    Expect(1, 12985, '\p{^Is_Numeric_Value=4.300000000000000e+01}', "");
    Expect(1, 12985, '\P{Is_Numeric_Value=4.300000000000000e+01}', "");
    Expect(0, 12985, '\P{^Is_Numeric_Value=4.300000000000000e+01}', "");
    Error('\p{Is_Nv=	 0043/a/}');
    Error('\P{Is_Nv=	 0043/a/}');
    Expect(1, 12984, '\p{Is_Nv=0000043}', "");
    Expect(0, 12984, '\p{^Is_Nv=0000043}', "");
    Expect(0, 12984, '\P{Is_Nv=0000043}', "");
    Expect(1, 12984, '\P{^Is_Nv=0000043}', "");
    Expect(0, 12985, '\p{Is_Nv=0000043}', "");
    Expect(1, 12985, '\p{^Is_Nv=0000043}', "");
    Expect(1, 12985, '\P{Is_Nv=0000043}', "");
    Expect(0, 12985, '\P{^Is_Nv=0000043}', "");
    Expect(1, 12984, '\p{Is_Nv=4.300000000000000e+01}', "");
    Expect(0, 12984, '\p{^Is_Nv=4.300000000000000e+01}', "");
    Expect(0, 12984, '\P{Is_Nv=4.300000000000000e+01}', "");
    Expect(1, 12984, '\P{^Is_Nv=4.300000000000000e+01}', "");
    Expect(0, 12985, '\p{Is_Nv=4.300000000000000e+01}', "");
    Expect(1, 12985, '\p{^Is_Nv=4.300000000000000e+01}', "");
    Expect(1, 12985, '\P{Is_Nv=4.300000000000000e+01}', "");
    Expect(0, 12985, '\P{^Is_Nv=4.300000000000000e+01}', "");
    Error('\p{Numeric_Value=:=_ 000000_004320_00}');
    Error('\P{Numeric_Value=:=_ 000000_004320_00}');
    Expect(1, 74803, '\p{Numeric_Value=:\A432000\z:}', "");;
    Expect(0, 74804, '\p{Numeric_Value=:\A432000\z:}', "");;
    Expect(1, 74803, '\p{Numeric_Value=+00000432000}', "");
    Expect(0, 74803, '\p{^Numeric_Value=+00000432000}', "");
    Expect(0, 74803, '\P{Numeric_Value=+00000432000}', "");
    Expect(1, 74803, '\P{^Numeric_Value=+00000432000}', "");
    Expect(0, 74804, '\p{Numeric_Value=+00000432000}', "");
    Expect(1, 74804, '\p{^Numeric_Value=+00000432000}', "");
    Expect(1, 74804, '\P{Numeric_Value=+00000432000}', "");
    Expect(0, 74804, '\P{^Numeric_Value=+00000432000}', "");
    Expect(1, 74803, '\p{Numeric_Value=4.320000000000000e+05}', "");
    Expect(0, 74803, '\p{^Numeric_Value=4.320000000000000e+05}', "");
    Expect(0, 74803, '\P{Numeric_Value=4.320000000000000e+05}', "");
    Expect(1, 74803, '\P{^Numeric_Value=4.320000000000000e+05}', "");
    Expect(0, 74804, '\p{Numeric_Value=4.320000000000000e+05}', "");
    Expect(1, 74804, '\p{^Numeric_Value=4.320000000000000e+05}', "");
    Expect(1, 74804, '\P{Numeric_Value=4.320000000000000e+05}', "");
    Expect(0, 74804, '\P{^Numeric_Value=4.320000000000000e+05}', "");
    Error('\p{Nv=/a/ 432000}');
    Error('\P{Nv=/a/ 432000}');
    Expect(1, 74803, '\p{Nv=:\A432000\z:}', "");;
    Expect(0, 74804, '\p{Nv=:\A432000\z:}', "");;
    Expect(1, 74803, '\p{Nv:+000_000_004_320_00}', "");
    Expect(0, 74803, '\p{^Nv:+000_000_004_320_00}', "");
    Expect(0, 74803, '\P{Nv:+000_000_004_320_00}', "");
    Expect(1, 74803, '\P{^Nv:+000_000_004_320_00}', "");
    Expect(0, 74804, '\p{Nv:+000_000_004_320_00}', "");
    Expect(1, 74804, '\p{^Nv:+000_000_004_320_00}', "");
    Expect(1, 74804, '\P{Nv:+000_000_004_320_00}', "");
    Expect(0, 74804, '\P{^Nv:+000_000_004_320_00}', "");
    Expect(1, 74803, '\p{Nv=4.320000000000000e+05}', "");
    Expect(0, 74803, '\p{^Nv=4.320000000000000e+05}', "");
    Expect(0, 74803, '\P{Nv=4.320000000000000e+05}', "");
    Expect(1, 74803, '\P{^Nv=4.320000000000000e+05}', "");
    Expect(0, 74804, '\p{Nv=4.320000000000000e+05}', "");
    Expect(1, 74804, '\p{^Nv=4.320000000000000e+05}', "");
    Expect(1, 74804, '\P{Nv=4.320000000000000e+05}', "");
    Expect(0, 74804, '\P{^Nv=4.320000000000000e+05}', "");
    Error('\p{Is_Numeric_Value= -432000/a/}');
    Error('\P{Is_Numeric_Value= -432000/a/}');
    Expect(1, 74803, '\p{Is_Numeric_Value=0000432000}', "");
    Expect(0, 74803, '\p{^Is_Numeric_Value=0000432000}', "");
    Expect(0, 74803, '\P{Is_Numeric_Value=0000432000}', "");
    Expect(1, 74803, '\P{^Is_Numeric_Value=0000432000}', "");
    Expect(0, 74804, '\p{Is_Numeric_Value=0000432000}', "");
    Expect(1, 74804, '\p{^Is_Numeric_Value=0000432000}', "");
    Expect(1, 74804, '\P{Is_Numeric_Value=0000432000}', "");
    Expect(0, 74804, '\P{^Is_Numeric_Value=0000432000}', "");
    Expect(1, 74803, '\p{Is_Numeric_Value:   4.320000000000000e+05}', "");
    Expect(0, 74803, '\p{^Is_Numeric_Value:   4.320000000000000e+05}', "");
    Expect(0, 74803, '\P{Is_Numeric_Value:   4.320000000000000e+05}', "");
    Expect(1, 74803, '\P{^Is_Numeric_Value:   4.320000000000000e+05}', "");
    Expect(0, 74804, '\p{Is_Numeric_Value:   4.320000000000000e+05}', "");
    Expect(1, 74804, '\p{^Is_Numeric_Value:   4.320000000000000e+05}', "");
    Expect(1, 74804, '\P{Is_Numeric_Value:   4.320000000000000e+05}', "");
    Expect(0, 74804, '\P{^Is_Numeric_Value:   4.320000000000000e+05}', "");
    Error('\p{Is_Nv=432000/a/}');
    Error('\P{Is_Nv=432000/a/}');
    Expect(1, 74803, '\p{Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(0, 74803, '\p{^Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(0, 74803, '\P{Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(1, 74803, '\P{^Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(0, 74804, '\p{Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(1, 74804, '\p{^Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(1, 74804, '\P{Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(0, 74804, '\P{^Is_Nv=+00_00_00_00_04_32_00_0}', "");
    Expect(1, 74803, '\p{Is_Nv=4.320000000000000e+05}', "");
    Expect(0, 74803, '\p{^Is_Nv=4.320000000000000e+05}', "");
    Expect(0, 74803, '\P{Is_Nv=4.320000000000000e+05}', "");
    Expect(1, 74803, '\P{^Is_Nv=4.320000000000000e+05}', "");
    Expect(0, 74804, '\p{Is_Nv=4.320000000000000e+05}', "");
    Expect(1, 74804, '\p{^Is_Nv=4.320000000000000e+05}', "");
    Expect(1, 74804, '\P{Is_Nv=4.320000000000000e+05}', "");
    Expect(0, 74804, '\P{^Is_Nv=4.320000000000000e+05}', "");
    Error('\p{Numeric_Value=-:=0_0_44}');
    Error('\P{Numeric_Value=-:=0_0_44}');
    Expect(1, 12985, '\p{Numeric_Value=:\A44\z:}', "");;
    Expect(0, 12986, '\p{Numeric_Value=:\A44\z:}', "");;
    Expect(1, 12985, '\p{Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(0, 12985, '\p{^Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(0, 12985, '\P{Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(1, 12985, '\P{^Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(0, 12986, '\p{Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(1, 12986, '\p{^Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(1, 12986, '\P{Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(0, 12986, '\P{^Numeric_Value=+0_0_0_0_0_0044}', "");
    Expect(1, 12985, '\p{Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12985, '\p{^Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12985, '\P{Numeric_Value=4.400000000000000e+01}', "");
    Expect(1, 12985, '\P{^Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12986, '\p{Numeric_Value=4.400000000000000e+01}', "");
    Expect(1, 12986, '\p{^Numeric_Value=4.400000000000000e+01}', "");
    Expect(1, 12986, '\P{Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12986, '\P{^Numeric_Value=4.400000000000000e+01}', "");
    Error('\p{Nv=	+04_4:=}');
    Error('\P{Nv=	+04_4:=}');
    Expect(1, 12985, '\p{Nv=:\A44\z:}', "");;
    Expect(0, 12986, '\p{Nv=:\A44\z:}', "");;
    Expect(1, 12985, '\p{Nv=0000004_4}', "");
    Expect(0, 12985, '\p{^Nv=0000004_4}', "");
    Expect(0, 12985, '\P{Nv=0000004_4}', "");
    Expect(1, 12985, '\P{^Nv=0000004_4}', "");
    Expect(0, 12986, '\p{Nv=0000004_4}', "");
    Expect(1, 12986, '\p{^Nv=0000004_4}', "");
    Expect(1, 12986, '\P{Nv=0000004_4}', "");
    Expect(0, 12986, '\P{^Nv=0000004_4}', "");
    Expect(1, 12985, '\p{Nv=4.400000000000000e+01}', "");
    Expect(0, 12985, '\p{^Nv=4.400000000000000e+01}', "");
    Expect(0, 12985, '\P{Nv=4.400000000000000e+01}', "");
    Expect(1, 12985, '\P{^Nv=4.400000000000000e+01}', "");
    Expect(0, 12986, '\p{Nv=4.400000000000000e+01}', "");
    Expect(1, 12986, '\p{^Nv=4.400000000000000e+01}', "");
    Expect(1, 12986, '\P{Nv=4.400000000000000e+01}', "");
    Expect(0, 12986, '\P{^Nv=4.400000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=- 0_0_0_44/a/}');
    Error('\P{Is_Numeric_Value=- 0_0_0_44/a/}');
    Expect(1, 12985, '\p{Is_Numeric_Value=0_0_0_044}', "");
    Expect(0, 12985, '\p{^Is_Numeric_Value=0_0_0_044}', "");
    Expect(0, 12985, '\P{Is_Numeric_Value=0_0_0_044}', "");
    Expect(1, 12985, '\P{^Is_Numeric_Value=0_0_0_044}', "");
    Expect(0, 12986, '\p{Is_Numeric_Value=0_0_0_044}', "");
    Expect(1, 12986, '\p{^Is_Numeric_Value=0_0_0_044}', "");
    Expect(1, 12986, '\P{Is_Numeric_Value=0_0_0_044}', "");
    Expect(0, 12986, '\P{^Is_Numeric_Value=0_0_0_044}', "");
    Expect(1, 12985, '\p{Is_Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12985, '\p{^Is_Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12985, '\P{Is_Numeric_Value=4.400000000000000e+01}', "");
    Expect(1, 12985, '\P{^Is_Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12986, '\p{Is_Numeric_Value=4.400000000000000e+01}', "");
    Expect(1, 12986, '\p{^Is_Numeric_Value=4.400000000000000e+01}', "");
    Expect(1, 12986, '\P{Is_Numeric_Value=4.400000000000000e+01}', "");
    Expect(0, 12986, '\P{^Is_Numeric_Value=4.400000000000000e+01}', "");
    Error('\p{Is_Nv=	/a/00004_4}');
    Error('\P{Is_Nv=	/a/00004_4}');
    Expect(1, 12985, '\p{Is_Nv=00_00_44}', "");
    Expect(0, 12985, '\p{^Is_Nv=00_00_44}', "");
    Expect(0, 12985, '\P{Is_Nv=00_00_44}', "");
    Expect(1, 12985, '\P{^Is_Nv=00_00_44}', "");
    Expect(0, 12986, '\p{Is_Nv=00_00_44}', "");
    Expect(1, 12986, '\p{^Is_Nv=00_00_44}', "");
    Expect(1, 12986, '\P{Is_Nv=00_00_44}', "");
    Expect(0, 12986, '\P{^Is_Nv=00_00_44}', "");
    Expect(1, 12985, '\p{Is_Nv=4.400000000000000e+01}', "");
    Expect(0, 12985, '\p{^Is_Nv=4.400000000000000e+01}', "");
    Expect(0, 12985, '\P{Is_Nv=4.400000000000000e+01}', "");
    Expect(1, 12985, '\P{^Is_Nv=4.400000000000000e+01}', "");
    Expect(0, 12986, '\p{Is_Nv=4.400000000000000e+01}', "");
    Expect(1, 12986, '\p{^Is_Nv=4.400000000000000e+01}', "");
    Expect(1, 12986, '\P{Is_Nv=4.400000000000000e+01}', "");
    Expect(0, 12986, '\P{^Is_Nv=4.400000000000000e+01}', "");
    Error('\p{Numeric_Value=	 +0000045:=}');
    Error('\P{Numeric_Value=	 +0000045:=}');
    Expect(1, 12986, '\p{Numeric_Value=:\A45\z:}', "");;
    Expect(0, 12987, '\p{Numeric_Value=:\A45\z:}', "");;
    Expect(1, 12986, '\p{Numeric_Value=0045}', "");
    Expect(0, 12986, '\p{^Numeric_Value=0045}', "");
    Expect(0, 12986, '\P{Numeric_Value=0045}', "");
    Expect(1, 12986, '\P{^Numeric_Value=0045}', "");
    Expect(0, 12987, '\p{Numeric_Value=0045}', "");
    Expect(1, 12987, '\p{^Numeric_Value=0045}', "");
    Expect(1, 12987, '\P{Numeric_Value=0045}', "");
    Expect(0, 12987, '\P{^Numeric_Value=0045}', "");
    Expect(1, 12986, '\p{Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12986, '\p{^Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12986, '\P{Numeric_Value=4.500000000000000e+01}', "");
    Expect(1, 12986, '\P{^Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12987, '\p{Numeric_Value=4.500000000000000e+01}', "");
    Expect(1, 12987, '\p{^Numeric_Value=4.500000000000000e+01}', "");
    Expect(1, 12987, '\P{Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12987, '\P{^Numeric_Value=4.500000000000000e+01}', "");
    Error('\p{Nv= /a/00_00_45}');
    Error('\P{Nv= /a/00_00_45}');
    Expect(1, 12986, '\p{Nv=:\A45\z:}', "");;
    Expect(0, 12987, '\p{Nv=:\A45\z:}', "");;
    Expect(1, 12986, '\p{Nv=0004_5}', "");
    Expect(0, 12986, '\p{^Nv=0004_5}', "");
    Expect(0, 12986, '\P{Nv=0004_5}', "");
    Expect(1, 12986, '\P{^Nv=0004_5}', "");
    Expect(0, 12987, '\p{Nv=0004_5}', "");
    Expect(1, 12987, '\p{^Nv=0004_5}', "");
    Expect(1, 12987, '\P{Nv=0004_5}', "");
    Expect(0, 12987, '\P{^Nv=0004_5}', "");
    Expect(1, 12986, '\p{Nv=4.500000000000000e+01}', "");
    Expect(0, 12986, '\p{^Nv=4.500000000000000e+01}', "");
    Expect(0, 12986, '\P{Nv=4.500000000000000e+01}', "");
    Expect(1, 12986, '\P{^Nv=4.500000000000000e+01}', "");
    Expect(0, 12987, '\p{Nv=4.500000000000000e+01}', "");
    Expect(1, 12987, '\p{^Nv=4.500000000000000e+01}', "");
    Expect(1, 12987, '\P{Nv=4.500000000000000e+01}', "");
    Expect(0, 12987, '\P{^Nv=4.500000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=- +00_00_00_00_045/a/}');
    Error('\P{Is_Numeric_Value=- +00_00_00_00_045/a/}');
    Expect(1, 12986, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(0, 12986, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(0, 12986, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(1, 12986, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(0, 12987, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(1, 12987, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(1, 12987, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(0, 12987, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_045}', "");
    Expect(1, 12986, '\p{Is_Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12986, '\p{^Is_Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12986, '\P{Is_Numeric_Value=4.500000000000000e+01}', "");
    Expect(1, 12986, '\P{^Is_Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12987, '\p{Is_Numeric_Value=4.500000000000000e+01}', "");
    Expect(1, 12987, '\p{^Is_Numeric_Value=4.500000000000000e+01}', "");
    Expect(1, 12987, '\P{Is_Numeric_Value=4.500000000000000e+01}', "");
    Expect(0, 12987, '\P{^Is_Numeric_Value=4.500000000000000e+01}', "");
    Error('\p{Is_Nv=--000_000_004_5/a/}');
    Error('\P{Is_Nv=--000_000_004_5/a/}');
    Expect(1, 12986, '\p{Is_Nv=045}', "");
    Expect(0, 12986, '\p{^Is_Nv=045}', "");
    Expect(0, 12986, '\P{Is_Nv=045}', "");
    Expect(1, 12986, '\P{^Is_Nv=045}', "");
    Expect(0, 12987, '\p{Is_Nv=045}', "");
    Expect(1, 12987, '\p{^Is_Nv=045}', "");
    Expect(1, 12987, '\P{Is_Nv=045}', "");
    Expect(0, 12987, '\P{^Is_Nv=045}', "");
    Expect(1, 12986, '\p{Is_Nv=4.500000000000000e+01}', "");
    Expect(0, 12986, '\p{^Is_Nv=4.500000000000000e+01}', "");
    Expect(0, 12986, '\P{Is_Nv=4.500000000000000e+01}', "");
    Expect(1, 12986, '\P{^Is_Nv=4.500000000000000e+01}', "");
    Expect(0, 12987, '\p{Is_Nv=4.500000000000000e+01}', "");
    Expect(1, 12987, '\p{^Is_Nv=4.500000000000000e+01}', "");
    Expect(1, 12987, '\P{Is_Nv=4.500000000000000e+01}', "");
    Expect(0, 12987, '\P{^Is_Nv=4.500000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/	 +046}');
    Error('\P{Numeric_Value=/a/	 +046}');
    Expect(1, 12987, '\p{Numeric_Value=:\A46\z:}', "");;
    Expect(0, 12988, '\p{Numeric_Value=:\A46\z:}', "");;
    Expect(1, 12987, '\p{Numeric_Value=046}', "");
    Expect(0, 12987, '\p{^Numeric_Value=046}', "");
    Expect(0, 12987, '\P{Numeric_Value=046}', "");
    Expect(1, 12987, '\P{^Numeric_Value=046}', "");
    Expect(0, 12988, '\p{Numeric_Value=046}', "");
    Expect(1, 12988, '\p{^Numeric_Value=046}', "");
    Expect(1, 12988, '\P{Numeric_Value=046}', "");
    Expect(0, 12988, '\P{^Numeric_Value=046}', "");
    Expect(1, 12987, '\p{Numeric_Value: 4.600000000000000e+01}', "");
    Expect(0, 12987, '\p{^Numeric_Value: 4.600000000000000e+01}', "");
    Expect(0, 12987, '\P{Numeric_Value: 4.600000000000000e+01}', "");
    Expect(1, 12987, '\P{^Numeric_Value: 4.600000000000000e+01}', "");
    Expect(0, 12988, '\p{Numeric_Value: 4.600000000000000e+01}', "");
    Expect(1, 12988, '\p{^Numeric_Value: 4.600000000000000e+01}', "");
    Expect(1, 12988, '\P{Numeric_Value: 4.600000000000000e+01}', "");
    Expect(0, 12988, '\P{^Numeric_Value: 4.600000000000000e+01}', "");
    Error('\p{Nv=_000046:=}');
    Error('\P{Nv=_000046:=}');
    Expect(1, 12987, '\p{Nv=:\A46\z:}', "");;
    Expect(0, 12988, '\p{Nv=:\A46\z:}', "");;
    Expect(1, 12987, '\p{Nv=000000046}', "");
    Expect(0, 12987, '\p{^Nv=000000046}', "");
    Expect(0, 12987, '\P{Nv=000000046}', "");
    Expect(1, 12987, '\P{^Nv=000000046}', "");
    Expect(0, 12988, '\p{Nv=000000046}', "");
    Expect(1, 12988, '\p{^Nv=000000046}', "");
    Expect(1, 12988, '\P{Nv=000000046}', "");
    Expect(0, 12988, '\P{^Nv=000000046}', "");
    Expect(1, 12987, '\p{Nv:4.600000000000000e+01}', "");
    Expect(0, 12987, '\p{^Nv:4.600000000000000e+01}', "");
    Expect(0, 12987, '\P{Nv:4.600000000000000e+01}', "");
    Expect(1, 12987, '\P{^Nv:4.600000000000000e+01}', "");
    Expect(0, 12988, '\p{Nv:4.600000000000000e+01}', "");
    Expect(1, 12988, '\p{^Nv:4.600000000000000e+01}', "");
    Expect(1, 12988, '\P{Nv:4.600000000000000e+01}', "");
    Expect(0, 12988, '\P{^Nv:4.600000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=_:=0_0_0_46}');
    Error('\P{Is_Numeric_Value=_:=0_0_0_46}');
    Expect(1, 12987, '\p{Is_Numeric_Value=+0000046}', "");
    Expect(0, 12987, '\p{^Is_Numeric_Value=+0000046}', "");
    Expect(0, 12987, '\P{Is_Numeric_Value=+0000046}', "");
    Expect(1, 12987, '\P{^Is_Numeric_Value=+0000046}', "");
    Expect(0, 12988, '\p{Is_Numeric_Value=+0000046}', "");
    Expect(1, 12988, '\p{^Is_Numeric_Value=+0000046}', "");
    Expect(1, 12988, '\P{Is_Numeric_Value=+0000046}', "");
    Expect(0, 12988, '\P{^Is_Numeric_Value=+0000046}', "");
    Expect(1, 12987, '\p{Is_Numeric_Value=4.600000000000000e+01}', "");
    Expect(0, 12987, '\p{^Is_Numeric_Value=4.600000000000000e+01}', "");
    Expect(0, 12987, '\P{Is_Numeric_Value=4.600000000000000e+01}', "");
    Expect(1, 12987, '\P{^Is_Numeric_Value=4.600000000000000e+01}', "");
    Expect(0, 12988, '\p{Is_Numeric_Value=4.600000000000000e+01}', "");
    Expect(1, 12988, '\p{^Is_Numeric_Value=4.600000000000000e+01}', "");
    Expect(1, 12988, '\P{Is_Numeric_Value=4.600000000000000e+01}', "");
    Expect(0, 12988, '\P{^Is_Numeric_Value=4.600000000000000e+01}', "");
    Error('\p{Is_Nv=--+0_0_0_0_0_0_0_0_046:=}');
    Error('\P{Is_Nv=--+0_0_0_0_0_0_0_0_046:=}');
    Expect(1, 12987, '\p{Is_Nv=0_0_0_0_46}', "");
    Expect(0, 12987, '\p{^Is_Nv=0_0_0_0_46}', "");
    Expect(0, 12987, '\P{Is_Nv=0_0_0_0_46}', "");
    Expect(1, 12987, '\P{^Is_Nv=0_0_0_0_46}', "");
    Expect(0, 12988, '\p{Is_Nv=0_0_0_0_46}', "");
    Expect(1, 12988, '\p{^Is_Nv=0_0_0_0_46}', "");
    Expect(1, 12988, '\P{Is_Nv=0_0_0_0_46}', "");
    Expect(0, 12988, '\P{^Is_Nv=0_0_0_0_46}', "");
    Expect(1, 12987, '\p{Is_Nv=4.600000000000000e+01}', "");
    Expect(0, 12987, '\p{^Is_Nv=4.600000000000000e+01}', "");
    Expect(0, 12987, '\P{Is_Nv=4.600000000000000e+01}', "");
    Expect(1, 12987, '\P{^Is_Nv=4.600000000000000e+01}', "");
    Expect(0, 12988, '\p{Is_Nv=4.600000000000000e+01}', "");
    Expect(1, 12988, '\p{^Is_Nv=4.600000000000000e+01}', "");
    Expect(1, 12988, '\P{Is_Nv=4.600000000000000e+01}', "");
    Expect(0, 12988, '\P{^Is_Nv=4.600000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/ -000000047}');
    Error('\P{Numeric_Value=/a/ -000000047}');
    Expect(1, 12988, '\p{Numeric_Value=:\A47\z:}', "");;
    Expect(0, 12989, '\p{Numeric_Value=:\A47\z:}', "");;
    Expect(1, 12988, '\p{Numeric_Value:	00000000047}', "");
    Expect(0, 12988, '\p{^Numeric_Value:	00000000047}', "");
    Expect(0, 12988, '\P{Numeric_Value:	00000000047}', "");
    Expect(1, 12988, '\P{^Numeric_Value:	00000000047}', "");
    Expect(0, 12989, '\p{Numeric_Value:	00000000047}', "");
    Expect(1, 12989, '\p{^Numeric_Value:	00000000047}', "");
    Expect(1, 12989, '\P{Numeric_Value:	00000000047}', "");
    Expect(0, 12989, '\P{^Numeric_Value:	00000000047}', "");
    Expect(1, 12988, '\p{Numeric_Value: 4.700000000000000e+01}', "");
    Expect(0, 12988, '\p{^Numeric_Value: 4.700000000000000e+01}', "");
    Expect(0, 12988, '\P{Numeric_Value: 4.700000000000000e+01}', "");
    Expect(1, 12988, '\P{^Numeric_Value: 4.700000000000000e+01}', "");
    Expect(0, 12989, '\p{Numeric_Value: 4.700000000000000e+01}', "");
    Expect(1, 12989, '\p{^Numeric_Value: 4.700000000000000e+01}', "");
    Expect(1, 12989, '\P{Numeric_Value: 4.700000000000000e+01}', "");
    Expect(0, 12989, '\P{^Numeric_Value: 4.700000000000000e+01}', "");
    Error('\p{Nv=_	+000_000_004_7:=}');
    Error('\P{Nv=_	+000_000_004_7:=}');
    Expect(1, 12988, '\p{Nv=:\A47\z:}', "");;
    Expect(0, 12989, '\p{Nv=:\A47\z:}', "");;
    Expect(1, 12988, '\p{Nv=00000000047}', "");
    Expect(0, 12988, '\p{^Nv=00000000047}', "");
    Expect(0, 12988, '\P{Nv=00000000047}', "");
    Expect(1, 12988, '\P{^Nv=00000000047}', "");
    Expect(0, 12989, '\p{Nv=00000000047}', "");
    Expect(1, 12989, '\p{^Nv=00000000047}', "");
    Expect(1, 12989, '\P{Nv=00000000047}', "");
    Expect(0, 12989, '\P{^Nv=00000000047}', "");
    Expect(1, 12988, '\p{Nv=4.700000000000000e+01}', "");
    Expect(0, 12988, '\p{^Nv=4.700000000000000e+01}', "");
    Expect(0, 12988, '\P{Nv=4.700000000000000e+01}', "");
    Expect(1, 12988, '\P{^Nv=4.700000000000000e+01}', "");
    Expect(0, 12989, '\p{Nv=4.700000000000000e+01}', "");
    Expect(1, 12989, '\p{^Nv=4.700000000000000e+01}', "");
    Expect(1, 12989, '\P{Nv=4.700000000000000e+01}', "");
    Expect(0, 12989, '\P{^Nv=4.700000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=_-0000000047/a/}');
    Error('\P{Is_Numeric_Value=_-0000000047/a/}');
    Expect(1, 12988, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(0, 12988, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(0, 12988, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(1, 12988, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(0, 12989, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(1, 12989, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(1, 12989, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(0, 12989, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_47}', "");
    Expect(1, 12988, '\p{Is_Numeric_Value=4.700000000000000e+01}', "");
    Expect(0, 12988, '\p{^Is_Numeric_Value=4.700000000000000e+01}', "");
    Expect(0, 12988, '\P{Is_Numeric_Value=4.700000000000000e+01}', "");
    Expect(1, 12988, '\P{^Is_Numeric_Value=4.700000000000000e+01}', "");
    Expect(0, 12989, '\p{Is_Numeric_Value=4.700000000000000e+01}', "");
    Expect(1, 12989, '\p{^Is_Numeric_Value=4.700000000000000e+01}', "");
    Expect(1, 12989, '\P{Is_Numeric_Value=4.700000000000000e+01}', "");
    Expect(0, 12989, '\P{^Is_Numeric_Value=4.700000000000000e+01}', "");
    Error('\p{Is_Nv:  :=004_7}');
    Error('\P{Is_Nv:  :=004_7}');
    Expect(1, 12988, '\p{Is_Nv=47}', "");
    Expect(0, 12988, '\p{^Is_Nv=47}', "");
    Expect(0, 12988, '\P{Is_Nv=47}', "");
    Expect(1, 12988, '\P{^Is_Nv=47}', "");
    Expect(0, 12989, '\p{Is_Nv=47}', "");
    Expect(1, 12989, '\p{^Is_Nv=47}', "");
    Expect(1, 12989, '\P{Is_Nv=47}', "");
    Expect(0, 12989, '\P{^Is_Nv=47}', "");
    Expect(1, 12988, '\p{Is_Nv=4.700000000000000e+01}', "");
    Expect(0, 12988, '\p{^Is_Nv=4.700000000000000e+01}', "");
    Expect(0, 12988, '\P{Is_Nv=4.700000000000000e+01}', "");
    Expect(1, 12988, '\P{^Is_Nv=4.700000000000000e+01}', "");
    Expect(0, 12989, '\p{Is_Nv=4.700000000000000e+01}', "");
    Expect(1, 12989, '\p{^Is_Nv=4.700000000000000e+01}', "");
    Expect(1, 12989, '\P{Is_Nv=4.700000000000000e+01}', "");
    Expect(0, 12989, '\P{^Is_Nv=4.700000000000000e+01}', "");
    Error('\p{Numeric_Value=:=	_00_04_8}');
    Error('\P{Numeric_Value=:=	_00_04_8}');
    Expect(1, 12989, '\p{Numeric_Value=:\A48\z:}', "");;
    Expect(0, 12990, '\p{Numeric_Value=:\A48\z:}', "");;
    Expect(1, 12989, '\p{Numeric_Value=4_8}', "");
    Expect(0, 12989, '\p{^Numeric_Value=4_8}', "");
    Expect(0, 12989, '\P{Numeric_Value=4_8}', "");
    Expect(1, 12989, '\P{^Numeric_Value=4_8}', "");
    Expect(0, 12990, '\p{Numeric_Value=4_8}', "");
    Expect(1, 12990, '\p{^Numeric_Value=4_8}', "");
    Expect(1, 12990, '\P{Numeric_Value=4_8}', "");
    Expect(0, 12990, '\P{^Numeric_Value=4_8}', "");
    Expect(1, 12989, '\p{Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12989, '\p{^Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12989, '\P{Numeric_Value=4.800000000000000e+01}', "");
    Expect(1, 12989, '\P{^Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12990, '\p{Numeric_Value=4.800000000000000e+01}', "");
    Expect(1, 12990, '\p{^Numeric_Value=4.800000000000000e+01}', "");
    Expect(1, 12990, '\P{Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12990, '\P{^Numeric_Value=4.800000000000000e+01}', "");
    Error('\p{Nv=:=	_48}');
    Error('\P{Nv=:=	_48}');
    Expect(1, 12989, '\p{Nv=:\A48\z:}', "");;
    Expect(0, 12990, '\p{Nv=:\A48\z:}', "");;
    Expect(1, 12989, '\p{Nv=00_04_8}', "");
    Expect(0, 12989, '\p{^Nv=00_04_8}', "");
    Expect(0, 12989, '\P{Nv=00_04_8}', "");
    Expect(1, 12989, '\P{^Nv=00_04_8}', "");
    Expect(0, 12990, '\p{Nv=00_04_8}', "");
    Expect(1, 12990, '\p{^Nv=00_04_8}', "");
    Expect(1, 12990, '\P{Nv=00_04_8}', "");
    Expect(0, 12990, '\P{^Nv=00_04_8}', "");
    Expect(1, 12989, '\p{Nv=4.800000000000000e+01}', "");
    Expect(0, 12989, '\p{^Nv=4.800000000000000e+01}', "");
    Expect(0, 12989, '\P{Nv=4.800000000000000e+01}', "");
    Expect(1, 12989, '\P{^Nv=4.800000000000000e+01}', "");
    Expect(0, 12990, '\p{Nv=4.800000000000000e+01}', "");
    Expect(1, 12990, '\p{^Nv=4.800000000000000e+01}', "");
    Expect(1, 12990, '\P{Nv=4.800000000000000e+01}', "");
    Expect(0, 12990, '\P{^Nv=4.800000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/_-0_0_48}');
    Error('\P{Is_Numeric_Value=/a/_-0_0_48}');
    Expect(1, 12989, '\p{Is_Numeric_Value=+000000048}', "");
    Expect(0, 12989, '\p{^Is_Numeric_Value=+000000048}', "");
    Expect(0, 12989, '\P{Is_Numeric_Value=+000000048}', "");
    Expect(1, 12989, '\P{^Is_Numeric_Value=+000000048}', "");
    Expect(0, 12990, '\p{Is_Numeric_Value=+000000048}', "");
    Expect(1, 12990, '\p{^Is_Numeric_Value=+000000048}', "");
    Expect(1, 12990, '\P{Is_Numeric_Value=+000000048}', "");
    Expect(0, 12990, '\P{^Is_Numeric_Value=+000000048}', "");
    Expect(1, 12989, '\p{Is_Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12989, '\p{^Is_Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12989, '\P{Is_Numeric_Value=4.800000000000000e+01}', "");
    Expect(1, 12989, '\P{^Is_Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12990, '\p{Is_Numeric_Value=4.800000000000000e+01}', "");
    Expect(1, 12990, '\p{^Is_Numeric_Value=4.800000000000000e+01}', "");
    Expect(1, 12990, '\P{Is_Numeric_Value=4.800000000000000e+01}', "");
    Expect(0, 12990, '\P{^Is_Numeric_Value=4.800000000000000e+01}', "");
    Error('\p{Is_Nv=-/a/004_8}');
    Error('\P{Is_Nv=-/a/004_8}');
    Expect(1, 12989, '\p{Is_Nv=0000048}', "");
    Expect(0, 12989, '\p{^Is_Nv=0000048}', "");
    Expect(0, 12989, '\P{Is_Nv=0000048}', "");
    Expect(1, 12989, '\P{^Is_Nv=0000048}', "");
    Expect(0, 12990, '\p{Is_Nv=0000048}', "");
    Expect(1, 12990, '\p{^Is_Nv=0000048}', "");
    Expect(1, 12990, '\P{Is_Nv=0000048}', "");
    Expect(0, 12990, '\P{^Is_Nv=0000048}', "");
    Expect(1, 12989, '\p{Is_Nv:4.800000000000000e+01}', "");
    Expect(0, 12989, '\p{^Is_Nv:4.800000000000000e+01}', "");
    Expect(0, 12989, '\P{Is_Nv:4.800000000000000e+01}', "");
    Expect(1, 12989, '\P{^Is_Nv:4.800000000000000e+01}', "");
    Expect(0, 12990, '\p{Is_Nv:4.800000000000000e+01}', "");
    Expect(1, 12990, '\p{^Is_Nv:4.800000000000000e+01}', "");
    Expect(1, 12990, '\P{Is_Nv:4.800000000000000e+01}', "");
    Expect(0, 12990, '\P{^Is_Nv:4.800000000000000e+01}', "");
    Error('\p{Numeric_Value=:= _000000049}');
    Error('\P{Numeric_Value=:= _000000049}');
    Expect(1, 12990, '\p{Numeric_Value=:\A49\z:}', "");;
    Expect(0, 12991, '\p{Numeric_Value=:\A49\z:}', "");;
    Expect(1, 12990, '\p{Numeric_Value=+00004_9}', "");
    Expect(0, 12990, '\p{^Numeric_Value=+00004_9}', "");
    Expect(0, 12990, '\P{Numeric_Value=+00004_9}', "");
    Expect(1, 12990, '\P{^Numeric_Value=+00004_9}', "");
    Expect(0, 12991, '\p{Numeric_Value=+00004_9}', "");
    Expect(1, 12991, '\p{^Numeric_Value=+00004_9}', "");
    Expect(1, 12991, '\P{Numeric_Value=+00004_9}', "");
    Expect(0, 12991, '\P{^Numeric_Value=+00004_9}', "");
    Expect(1, 12990, '\p{Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12990, '\p{^Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12990, '\P{Numeric_Value=4.900000000000000e+01}', "");
    Expect(1, 12990, '\P{^Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12991, '\p{Numeric_Value=4.900000000000000e+01}', "");
    Expect(1, 12991, '\p{^Numeric_Value=4.900000000000000e+01}', "");
    Expect(1, 12991, '\P{Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12991, '\P{^Numeric_Value=4.900000000000000e+01}', "");
    Error('\p{Nv=:=-+4_9}');
    Error('\P{Nv=:=-+4_9}');
    Expect(1, 12990, '\p{Nv=:\A49\z:}', "");;
    Expect(0, 12991, '\p{Nv=:\A49\z:}', "");;
    Expect(1, 12990, '\p{Nv:   00000049}', "");
    Expect(0, 12990, '\p{^Nv:   00000049}', "");
    Expect(0, 12990, '\P{Nv:   00000049}', "");
    Expect(1, 12990, '\P{^Nv:   00000049}', "");
    Expect(0, 12991, '\p{Nv:   00000049}', "");
    Expect(1, 12991, '\p{^Nv:   00000049}', "");
    Expect(1, 12991, '\P{Nv:   00000049}', "");
    Expect(0, 12991, '\P{^Nv:   00000049}', "");
    Expect(1, 12990, '\p{Nv=4.900000000000000e+01}', "");
    Expect(0, 12990, '\p{^Nv=4.900000000000000e+01}', "");
    Expect(0, 12990, '\P{Nv=4.900000000000000e+01}', "");
    Expect(1, 12990, '\P{^Nv=4.900000000000000e+01}', "");
    Expect(0, 12991, '\p{Nv=4.900000000000000e+01}', "");
    Expect(1, 12991, '\p{^Nv=4.900000000000000e+01}', "");
    Expect(1, 12991, '\P{Nv=4.900000000000000e+01}', "");
    Expect(0, 12991, '\P{^Nv=4.900000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=	/a/0_0_49}');
    Error('\P{Is_Numeric_Value=	/a/0_0_49}');
    Expect(1, 12990, '\p{Is_Numeric_Value=+00000000049}', "");
    Expect(0, 12990, '\p{^Is_Numeric_Value=+00000000049}', "");
    Expect(0, 12990, '\P{Is_Numeric_Value=+00000000049}', "");
    Expect(1, 12990, '\P{^Is_Numeric_Value=+00000000049}', "");
    Expect(0, 12991, '\p{Is_Numeric_Value=+00000000049}', "");
    Expect(1, 12991, '\p{^Is_Numeric_Value=+00000000049}', "");
    Expect(1, 12991, '\P{Is_Numeric_Value=+00000000049}', "");
    Expect(0, 12991, '\P{^Is_Numeric_Value=+00000000049}', "");
    Expect(1, 12990, '\p{Is_Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12990, '\p{^Is_Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12990, '\P{Is_Numeric_Value=4.900000000000000e+01}', "");
    Expect(1, 12990, '\P{^Is_Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12991, '\p{Is_Numeric_Value=4.900000000000000e+01}', "");
    Expect(1, 12991, '\p{^Is_Numeric_Value=4.900000000000000e+01}', "");
    Expect(1, 12991, '\P{Is_Numeric_Value=4.900000000000000e+01}', "");
    Expect(0, 12991, '\P{^Is_Numeric_Value=4.900000000000000e+01}', "");
    Error('\p{Is_Nv=/a/_	00000000049}');
    Error('\P{Is_Nv=/a/_	00000000049}');
    Expect(1, 12990, '\p{Is_Nv=00049}', "");
    Expect(0, 12990, '\p{^Is_Nv=00049}', "");
    Expect(0, 12990, '\P{Is_Nv=00049}', "");
    Expect(1, 12990, '\P{^Is_Nv=00049}', "");
    Expect(0, 12991, '\p{Is_Nv=00049}', "");
    Expect(1, 12991, '\p{^Is_Nv=00049}', "");
    Expect(1, 12991, '\P{Is_Nv=00049}', "");
    Expect(0, 12991, '\P{^Is_Nv=00049}', "");
    Expect(1, 12990, '\p{Is_Nv=4.900000000000000e+01}', "");
    Expect(0, 12990, '\p{^Is_Nv=4.900000000000000e+01}', "");
    Expect(0, 12990, '\P{Is_Nv=4.900000000000000e+01}', "");
    Expect(1, 12990, '\P{^Is_Nv=4.900000000000000e+01}', "");
    Expect(0, 12991, '\p{Is_Nv=4.900000000000000e+01}', "");
    Expect(1, 12991, '\p{^Is_Nv=4.900000000000000e+01}', "");
    Expect(1, 12991, '\P{Is_Nv=4.900000000000000e+01}', "");
    Expect(0, 12991, '\P{^Is_Nv=4.900000000000000e+01}', "");
    Error('\p{Numeric_Value=	_0_0_0_0_05:=}');
    Error('\P{Numeric_Value=	_0_0_0_0_05:=}');
    Expect(1, 131361, '\p{Numeric_Value=:\A5\z:}', "");;
    Expect(0, 131362, '\p{Numeric_Value=:\A5\z:}', "");;
    Expect(1, 131361, '\p{Numeric_Value=0005}', "");
    Expect(0, 131361, '\p{^Numeric_Value=0005}', "");
    Expect(0, 131361, '\P{Numeric_Value=0005}', "");
    Expect(1, 131361, '\P{^Numeric_Value=0005}', "");
    Expect(0, 131362, '\p{Numeric_Value=0005}', "");
    Expect(1, 131362, '\p{^Numeric_Value=0005}', "");
    Expect(1, 131362, '\P{Numeric_Value=0005}', "");
    Expect(0, 131362, '\P{^Numeric_Value=0005}', "");
    Expect(1, 131361, '\p{Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131361, '\p{^Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131361, '\P{Numeric_Value=5.000000000000000e+00}', "");
    Expect(1, 131361, '\P{^Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131362, '\p{Numeric_Value=5.000000000000000e+00}', "");
    Expect(1, 131362, '\p{^Numeric_Value=5.000000000000000e+00}', "");
    Expect(1, 131362, '\P{Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131362, '\P{^Numeric_Value=5.000000000000000e+00}', "");
    Error('\p{Nv=/a/0000005}');
    Error('\P{Nv=/a/0000005}');
    Expect(1, 131361, '\p{Nv=:\A5\z:}', "");;
    Expect(0, 131362, '\p{Nv=:\A5\z:}', "");;
    Expect(1, 131361, '\p{Nv=00000005}', "");
    Expect(0, 131361, '\p{^Nv=00000005}', "");
    Expect(0, 131361, '\P{Nv=00000005}', "");
    Expect(1, 131361, '\P{^Nv=00000005}', "");
    Expect(0, 131362, '\p{Nv=00000005}', "");
    Expect(1, 131362, '\p{^Nv=00000005}', "");
    Expect(1, 131362, '\P{Nv=00000005}', "");
    Expect(0, 131362, '\P{^Nv=00000005}', "");
    Expect(1, 131361, '\p{Nv=5.000000000000000e+00}', "");
    Expect(0, 131361, '\p{^Nv=5.000000000000000e+00}', "");
    Expect(0, 131361, '\P{Nv=5.000000000000000e+00}', "");
    Expect(1, 131361, '\P{^Nv=5.000000000000000e+00}', "");
    Expect(0, 131362, '\p{Nv=5.000000000000000e+00}', "");
    Expect(1, 131362, '\p{^Nv=5.000000000000000e+00}', "");
    Expect(1, 131362, '\P{Nv=5.000000000000000e+00}', "");
    Expect(0, 131362, '\P{^Nv=5.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value=/a/- 000_000_5}');
    Error('\P{Is_Numeric_Value=/a/- 000_000_5}');
    Expect(1, 131361, '\p{Is_Numeric_Value=+000005}', "");
    Expect(0, 131361, '\p{^Is_Numeric_Value=+000005}', "");
    Expect(0, 131361, '\P{Is_Numeric_Value=+000005}', "");
    Expect(1, 131361, '\P{^Is_Numeric_Value=+000005}', "");
    Expect(0, 131362, '\p{Is_Numeric_Value=+000005}', "");
    Expect(1, 131362, '\p{^Is_Numeric_Value=+000005}', "");
    Expect(1, 131362, '\P{Is_Numeric_Value=+000005}', "");
    Expect(0, 131362, '\P{^Is_Numeric_Value=+000005}', "");
    Expect(1, 131361, '\p{Is_Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131361, '\p{^Is_Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131361, '\P{Is_Numeric_Value=5.000000000000000e+00}', "");
    Expect(1, 131361, '\P{^Is_Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131362, '\p{Is_Numeric_Value=5.000000000000000e+00}', "");
    Expect(1, 131362, '\p{^Is_Numeric_Value=5.000000000000000e+00}', "");
    Expect(1, 131362, '\P{Is_Numeric_Value=5.000000000000000e+00}', "");
    Expect(0, 131362, '\P{^Is_Numeric_Value=5.000000000000000e+00}', "");
    Error('\p{Is_Nv=/a/-+000005}');
    Error('\P{Is_Nv=/a/-+000005}');
    Expect(1, 131361, '\p{Is_Nv=0000000005}', "");
    Expect(0, 131361, '\p{^Is_Nv=0000000005}', "");
    Expect(0, 131361, '\P{Is_Nv=0000000005}', "");
    Expect(1, 131361, '\P{^Is_Nv=0000000005}', "");
    Expect(0, 131362, '\p{Is_Nv=0000000005}', "");
    Expect(1, 131362, '\p{^Is_Nv=0000000005}', "");
    Expect(1, 131362, '\P{Is_Nv=0000000005}', "");
    Expect(0, 131362, '\P{^Is_Nv=0000000005}', "");
    Expect(1, 131361, '\p{Is_Nv=5.000000000000000e+00}', "");
    Expect(0, 131361, '\p{^Is_Nv=5.000000000000000e+00}', "");
    Expect(0, 131361, '\P{Is_Nv=5.000000000000000e+00}', "");
    Expect(1, 131361, '\P{^Is_Nv=5.000000000000000e+00}', "");
    Expect(0, 131362, '\p{Is_Nv=5.000000000000000e+00}', "");
    Expect(1, 131362, '\p{^Is_Nv=5.000000000000000e+00}', "");
    Expect(1, 131362, '\P{Is_Nv=5.000000000000000e+00}', "");
    Expect(0, 131362, '\P{^Is_Nv=5.000000000000000e+00}', "");
    Error('\p{Numeric_Value=-_05/00012/a/}');
    Error('\P{Numeric_Value=-_05/00012/a/}');
    Expect(1, 68090, '\p{Numeric_Value=:\A5/12\z:}', "");;
    Expect(0, 68091, '\p{Numeric_Value=:\A5/12\z:}', "");;
    Expect(1, 68090, '\p{Numeric_Value=00000005/00000012}', "");
    Expect(0, 68090, '\p{^Numeric_Value=00000005/00000012}', "");
    Expect(0, 68090, '\P{Numeric_Value=00000005/00000012}', "");
    Expect(1, 68090, '\P{^Numeric_Value=00000005/00000012}', "");
    Expect(0, 68091, '\p{Numeric_Value=00000005/00000012}', "");
    Expect(1, 68091, '\p{^Numeric_Value=00000005/00000012}', "");
    Expect(1, 68091, '\P{Numeric_Value=00000005/00000012}', "");
    Expect(0, 68091, '\P{^Numeric_Value=00000005/00000012}', "");
    Expect(1, 68090, '\p{Numeric_Value=300/720}', "");
    Expect(0, 68090, '\p{^Numeric_Value=300/720}', "");
    Expect(0, 68090, '\P{Numeric_Value=300/720}', "");
    Expect(1, 68090, '\P{^Numeric_Value=300/720}', "");
    Expect(0, 68091, '\p{Numeric_Value=300/720}', "");
    Expect(1, 68091, '\p{^Numeric_Value=300/720}', "");
    Expect(1, 68091, '\P{Numeric_Value=300/720}', "");
    Expect(0, 68091, '\P{^Numeric_Value=300/720}', "");
    Error('\p{Numeric_Value=4.2e-01}');
    Error('\P{Numeric_Value=4.2e-01}');
    Error('\p{Numeric_Value=4.17e-01}');
    Error('\P{Numeric_Value=4.17e-01}');
    Error('\p{Numeric_Value=0.42}');
    Error('\P{Numeric_Value=0.42}');
    Expect(1, 68090, '\p{Numeric_Value=4.167e-01}', "");
    Expect(0, 68090, '\p{^Numeric_Value=4.167e-01}', "");
    Expect(0, 68090, '\P{Numeric_Value=4.167e-01}', "");
    Expect(1, 68090, '\P{^Numeric_Value=4.167e-01}', "");
    Expect(0, 68091, '\p{Numeric_Value=4.167e-01}', "");
    Expect(1, 68091, '\p{^Numeric_Value=4.167e-01}', "");
    Expect(1, 68091, '\P{Numeric_Value=4.167e-01}', "");
    Expect(0, 68091, '\P{^Numeric_Value=4.167e-01}', "");
    Error('\p{Numeric_Value=0.417}');
    Error('\P{Numeric_Value=0.417}');
    Expect(1, 68090, '\p{Numeric_Value=4.1667e-01}', "");
    Expect(0, 68090, '\p{^Numeric_Value=4.1667e-01}', "");
    Expect(0, 68090, '\P{Numeric_Value=4.1667e-01}', "");
    Expect(1, 68090, '\P{^Numeric_Value=4.1667e-01}', "");
    Expect(0, 68091, '\p{Numeric_Value=4.1667e-01}', "");
    Expect(1, 68091, '\p{^Numeric_Value=4.1667e-01}', "");
    Expect(1, 68091, '\P{Numeric_Value=4.1667e-01}', "");
    Expect(0, 68091, '\P{^Numeric_Value=4.1667e-01}', "");
    Expect(1, 68090, '\p{Numeric_Value=0.4167}', "");
    Expect(0, 68090, '\p{^Numeric_Value=0.4167}', "");
    Expect(0, 68090, '\P{Numeric_Value=0.4167}', "");
    Expect(1, 68090, '\P{^Numeric_Value=0.4167}', "");
    Expect(0, 68091, '\p{Numeric_Value=0.4167}', "");
    Expect(1, 68091, '\p{^Numeric_Value=0.4167}', "");
    Expect(1, 68091, '\P{Numeric_Value=0.4167}', "");
    Expect(0, 68091, '\P{^Numeric_Value=0.4167}', "");
    Expect(1, 68090, '\p{Numeric_Value=4.16667e-01}', "");
    Expect(0, 68090, '\p{^Numeric_Value=4.16667e-01}', "");
    Expect(0, 68090, '\P{Numeric_Value=4.16667e-01}', "");
    Expect(1, 68090, '\P{^Numeric_Value=4.16667e-01}', "");
    Expect(0, 68091, '\p{Numeric_Value=4.16667e-01}', "");
    Expect(1, 68091, '\p{^Numeric_Value=4.16667e-01}', "");
    Expect(1, 68091, '\P{Numeric_Value=4.16667e-01}', "");
    Expect(0, 68091, '\P{^Numeric_Value=4.16667e-01}', "");
    Expect(1, 68090, '\p{Numeric_Value=0.41667}', "");
    Expect(0, 68090, '\p{^Numeric_Value=0.41667}', "");
    Expect(0, 68090, '\P{Numeric_Value=0.41667}', "");
    Expect(1, 68090, '\P{^Numeric_Value=0.41667}', "");
    Expect(0, 68091, '\p{Numeric_Value=0.41667}', "");
    Expect(1, 68091, '\p{^Numeric_Value=0.41667}', "");
    Expect(1, 68091, '\P{Numeric_Value=0.41667}', "");
    Expect(0, 68091, '\P{^Numeric_Value=0.41667}', "");
    Error('\p{Nv=/a/__0005/0000000012}');
    Error('\P{Nv=/a/__0005/0000000012}');
    Expect(1, 68090, '\p{Nv=:\A5/12\z:}', "");;
    Expect(0, 68091, '\p{Nv=:\A5/12\z:}', "");;
    Expect(1, 68090, '\p{Nv=+0000000005/0000012}', "");
    Expect(0, 68090, '\p{^Nv=+0000000005/0000012}', "");
    Expect(0, 68090, '\P{Nv=+0000000005/0000012}', "");
    Expect(1, 68090, '\P{^Nv=+0000000005/0000012}', "");
    Expect(0, 68091, '\p{Nv=+0000000005/0000012}', "");
    Expect(1, 68091, '\p{^Nv=+0000000005/0000012}', "");
    Expect(1, 68091, '\P{Nv=+0000000005/0000012}', "");
    Expect(0, 68091, '\P{^Nv=+0000000005/0000012}', "");
    Expect(1, 68090, '\p{Nv=300/720}', "");
    Expect(0, 68090, '\p{^Nv=300/720}', "");
    Expect(0, 68090, '\P{Nv=300/720}', "");
    Expect(1, 68090, '\P{^Nv=300/720}', "");
    Expect(0, 68091, '\p{Nv=300/720}', "");
    Expect(1, 68091, '\p{^Nv=300/720}', "");
    Expect(1, 68091, '\P{Nv=300/720}', "");
    Expect(0, 68091, '\P{^Nv=300/720}', "");
    Error('\p{Nv=4.2e-01}');
    Error('\P{Nv=4.2e-01}');
    Error('\p{Nv=4.17e-01}');
    Error('\P{Nv=4.17e-01}');
    Error('\p{Nv=0.42}');
    Error('\P{Nv=0.42}');
    Expect(1, 68090, '\p{Nv=4.167e-01}', "");
    Expect(0, 68090, '\p{^Nv=4.167e-01}', "");
    Expect(0, 68090, '\P{Nv=4.167e-01}', "");
    Expect(1, 68090, '\P{^Nv=4.167e-01}', "");
    Expect(0, 68091, '\p{Nv=4.167e-01}', "");
    Expect(1, 68091, '\p{^Nv=4.167e-01}', "");
    Expect(1, 68091, '\P{Nv=4.167e-01}', "");
    Expect(0, 68091, '\P{^Nv=4.167e-01}', "");
    Error('\p{Nv=0.417}');
    Error('\P{Nv=0.417}');
    Expect(1, 68090, '\p{Nv: 4.1667e-01}', "");
    Expect(0, 68090, '\p{^Nv: 4.1667e-01}', "");
    Expect(0, 68090, '\P{Nv: 4.1667e-01}', "");
    Expect(1, 68090, '\P{^Nv: 4.1667e-01}', "");
    Expect(0, 68091, '\p{Nv: 4.1667e-01}', "");
    Expect(1, 68091, '\p{^Nv: 4.1667e-01}', "");
    Expect(1, 68091, '\P{Nv: 4.1667e-01}', "");
    Expect(0, 68091, '\P{^Nv: 4.1667e-01}', "");
    Expect(1, 68090, '\p{Nv=0.4167}', "");
    Expect(0, 68090, '\p{^Nv=0.4167}', "");
    Expect(0, 68090, '\P{Nv=0.4167}', "");
    Expect(1, 68090, '\P{^Nv=0.4167}', "");
    Expect(0, 68091, '\p{Nv=0.4167}', "");
    Expect(1, 68091, '\p{^Nv=0.4167}', "");
    Expect(1, 68091, '\P{Nv=0.4167}', "");
    Expect(0, 68091, '\P{^Nv=0.4167}', "");
    Expect(1, 68090, '\p{Nv=4.16667e-01}', "");
    Expect(0, 68090, '\p{^Nv=4.16667e-01}', "");
    Expect(0, 68090, '\P{Nv=4.16667e-01}', "");
    Expect(1, 68090, '\P{^Nv=4.16667e-01}', "");
    Expect(0, 68091, '\p{Nv=4.16667e-01}', "");
    Expect(1, 68091, '\p{^Nv=4.16667e-01}', "");
    Expect(1, 68091, '\P{Nv=4.16667e-01}', "");
    Expect(0, 68091, '\P{^Nv=4.16667e-01}', "");
    Expect(1, 68090, '\p{Nv=0.41667}', "");
    Expect(0, 68090, '\p{^Nv=0.41667}', "");
    Expect(0, 68090, '\P{Nv=0.41667}', "");
    Expect(1, 68090, '\P{^Nv=0.41667}', "");
    Expect(0, 68091, '\p{Nv=0.41667}', "");
    Expect(1, 68091, '\p{^Nv=0.41667}', "");
    Expect(1, 68091, '\P{Nv=0.41667}', "");
    Expect(0, 68091, '\P{^Nv=0.41667}', "");
    Error('\p{Is_Numeric_Value=/a/	_+00000005/0012}');
    Error('\P{Is_Numeric_Value=/a/	_+00000005/0012}');
    Expect(1, 68090, '\p{Is_Numeric_Value=00000005/00012}', "");
    Expect(0, 68090, '\p{^Is_Numeric_Value=00000005/00012}', "");
    Expect(0, 68090, '\P{Is_Numeric_Value=00000005/00012}', "");
    Expect(1, 68090, '\P{^Is_Numeric_Value=00000005/00012}', "");
    Expect(0, 68091, '\p{Is_Numeric_Value=00000005/00012}', "");
    Expect(1, 68091, '\p{^Is_Numeric_Value=00000005/00012}', "");
    Expect(1, 68091, '\P{Is_Numeric_Value=00000005/00012}', "");
    Expect(0, 68091, '\P{^Is_Numeric_Value=00000005/00012}', "");
    Expect(1, 68090, '\p{Is_Numeric_Value=300/720}', "");
    Expect(0, 68090, '\p{^Is_Numeric_Value=300/720}', "");
    Expect(0, 68090, '\P{Is_Numeric_Value=300/720}', "");
    Expect(1, 68090, '\P{^Is_Numeric_Value=300/720}', "");
    Expect(0, 68091, '\p{Is_Numeric_Value=300/720}', "");
    Expect(1, 68091, '\p{^Is_Numeric_Value=300/720}', "");
    Expect(1, 68091, '\P{Is_Numeric_Value=300/720}', "");
    Expect(0, 68091, '\P{^Is_Numeric_Value=300/720}', "");
    Error('\p{Is_Numeric_Value=4.2e-01}');
    Error('\P{Is_Numeric_Value=4.2e-01}');
    Error('\p{Is_Numeric_Value=4.17e-01}');
    Error('\P{Is_Numeric_Value=4.17e-01}');
    Error('\p{Is_Numeric_Value=0.42}');
    Error('\P{Is_Numeric_Value=0.42}');
    Expect(1, 68090, '\p{Is_Numeric_Value=4.167e-01}', "");
    Expect(0, 68090, '\p{^Is_Numeric_Value=4.167e-01}', "");
    Expect(0, 68090, '\P{Is_Numeric_Value=4.167e-01}', "");
    Expect(1, 68090, '\P{^Is_Numeric_Value=4.167e-01}', "");
    Expect(0, 68091, '\p{Is_Numeric_Value=4.167e-01}', "");
    Expect(1, 68091, '\p{^Is_Numeric_Value=4.167e-01}', "");
    Expect(1, 68091, '\P{Is_Numeric_Value=4.167e-01}', "");
    Expect(0, 68091, '\P{^Is_Numeric_Value=4.167e-01}', "");
    Error('\p{Is_Numeric_Value=0.417}');
    Error('\P{Is_Numeric_Value=0.417}');
    Expect(1, 68090, '\p{Is_Numeric_Value=4.1667e-01}', "");
    Expect(0, 68090, '\p{^Is_Numeric_Value=4.1667e-01}', "");
    Expect(0, 68090, '\P{Is_Numeric_Value=4.1667e-01}', "");
    Expect(1, 68090, '\P{^Is_Numeric_Value=4.1667e-01}', "");
    Expect(0, 68091, '\p{Is_Numeric_Value=4.1667e-01}', "");
    Expect(1, 68091, '\p{^Is_Numeric_Value=4.1667e-01}', "");
    Expect(1, 68091, '\P{Is_Numeric_Value=4.1667e-01}', "");
    Expect(0, 68091, '\P{^Is_Numeric_Value=4.1667e-01}', "");
    Expect(1, 68090, '\p{Is_Numeric_Value=0.4167}', "");
    Expect(0, 68090, '\p{^Is_Numeric_Value=0.4167}', "");
    Expect(0, 68090, '\P{Is_Numeric_Value=0.4167}', "");
    Expect(1, 68090, '\P{^Is_Numeric_Value=0.4167}', "");
    Expect(0, 68091, '\p{Is_Numeric_Value=0.4167}', "");
    Expect(1, 68091, '\p{^Is_Numeric_Value=0.4167}', "");
    Expect(1, 68091, '\P{Is_Numeric_Value=0.4167}', "");
    Expect(0, 68091, '\P{^Is_Numeric_Value=0.4167}', "");
    Expect(1, 68090, '\p{Is_Numeric_Value:4.16667e-01}', "");
    Expect(0, 68090, '\p{^Is_Numeric_Value:4.16667e-01}', "");
    Expect(0, 68090, '\P{Is_Numeric_Value:4.16667e-01}', "");
    Expect(1, 68090, '\P{^Is_Numeric_Value:4.16667e-01}', "");
    Expect(0, 68091, '\p{Is_Numeric_Value:4.16667e-01}', "");
    Expect(1, 68091, '\p{^Is_Numeric_Value:4.16667e-01}', "");
    Expect(1, 68091, '\P{Is_Numeric_Value:4.16667e-01}', "");
    Expect(0, 68091, '\P{^Is_Numeric_Value:4.16667e-01}', "");
    Expect(1, 68090, '\p{Is_Numeric_Value=0.41667}', "");
    Expect(0, 68090, '\p{^Is_Numeric_Value=0.41667}', "");
    Expect(0, 68090, '\P{Is_Numeric_Value=0.41667}', "");
    Expect(1, 68090, '\P{^Is_Numeric_Value=0.41667}', "");
    Expect(0, 68091, '\p{Is_Numeric_Value=0.41667}', "");
    Expect(1, 68091, '\p{^Is_Numeric_Value=0.41667}', "");
    Expect(1, 68091, '\P{Is_Numeric_Value=0.41667}', "");
    Expect(0, 68091, '\P{^Is_Numeric_Value=0.41667}', "");
    Error('\p{Is_Nv=:=00000005/0012}');
    Error('\P{Is_Nv=:=00000005/0012}');
    Expect(1, 68090, '\p{Is_Nv=000000005/0000000012}', "");
    Expect(0, 68090, '\p{^Is_Nv=000000005/0000000012}', "");
    Expect(0, 68090, '\P{Is_Nv=000000005/0000000012}', "");
    Expect(1, 68090, '\P{^Is_Nv=000000005/0000000012}', "");
    Expect(0, 68091, '\p{Is_Nv=000000005/0000000012}', "");
    Expect(1, 68091, '\p{^Is_Nv=000000005/0000000012}', "");
    Expect(1, 68091, '\P{Is_Nv=000000005/0000000012}', "");
    Expect(0, 68091, '\P{^Is_Nv=000000005/0000000012}', "");
    Expect(1, 68090, '\p{Is_Nv=300/720}', "");
    Expect(0, 68090, '\p{^Is_Nv=300/720}', "");
    Expect(0, 68090, '\P{Is_Nv=300/720}', "");
    Expect(1, 68090, '\P{^Is_Nv=300/720}', "");
    Expect(0, 68091, '\p{Is_Nv=300/720}', "");
    Expect(1, 68091, '\p{^Is_Nv=300/720}', "");
    Expect(1, 68091, '\P{Is_Nv=300/720}', "");
    Expect(0, 68091, '\P{^Is_Nv=300/720}', "");
    Error('\p{Is_Nv=4.2e-01}');
    Error('\P{Is_Nv=4.2e-01}');
    Error('\p{Is_Nv=4.17e-01}');
    Error('\P{Is_Nv=4.17e-01}');
    Error('\p{Is_Nv=0.42}');
    Error('\P{Is_Nv=0.42}');
    Expect(1, 68090, '\p{Is_Nv=4.167e-01}', "");
    Expect(0, 68090, '\p{^Is_Nv=4.167e-01}', "");
    Expect(0, 68090, '\P{Is_Nv=4.167e-01}', "");
    Expect(1, 68090, '\P{^Is_Nv=4.167e-01}', "");
    Expect(0, 68091, '\p{Is_Nv=4.167e-01}', "");
    Expect(1, 68091, '\p{^Is_Nv=4.167e-01}', "");
    Expect(1, 68091, '\P{Is_Nv=4.167e-01}', "");
    Expect(0, 68091, '\P{^Is_Nv=4.167e-01}', "");
    Error('\p{Is_Nv=0.417}');
    Error('\P{Is_Nv=0.417}');
    Expect(1, 68090, '\p{Is_Nv:	4.1667e-01}', "");
    Expect(0, 68090, '\p{^Is_Nv:	4.1667e-01}', "");
    Expect(0, 68090, '\P{Is_Nv:	4.1667e-01}', "");
    Expect(1, 68090, '\P{^Is_Nv:	4.1667e-01}', "");
    Expect(0, 68091, '\p{Is_Nv:	4.1667e-01}', "");
    Expect(1, 68091, '\p{^Is_Nv:	4.1667e-01}', "");
    Expect(1, 68091, '\P{Is_Nv:	4.1667e-01}', "");
    Expect(0, 68091, '\P{^Is_Nv:	4.1667e-01}', "");
    Expect(1, 68090, '\p{Is_Nv=0.4167}', "");
    Expect(0, 68090, '\p{^Is_Nv=0.4167}', "");
    Expect(0, 68090, '\P{Is_Nv=0.4167}', "");
    Expect(1, 68090, '\P{^Is_Nv=0.4167}', "");
    Expect(0, 68091, '\p{Is_Nv=0.4167}', "");
    Expect(1, 68091, '\p{^Is_Nv=0.4167}', "");
    Expect(1, 68091, '\P{Is_Nv=0.4167}', "");
    Expect(0, 68091, '\P{^Is_Nv=0.4167}', "");
    Expect(1, 68090, '\p{Is_Nv=4.16667e-01}', "");
    Expect(0, 68090, '\p{^Is_Nv=4.16667e-01}', "");
    Expect(0, 68090, '\P{Is_Nv=4.16667e-01}', "");
    Expect(1, 68090, '\P{^Is_Nv=4.16667e-01}', "");
    Expect(0, 68091, '\p{Is_Nv=4.16667e-01}', "");
    Expect(1, 68091, '\p{^Is_Nv=4.16667e-01}', "");
    Expect(1, 68091, '\P{Is_Nv=4.16667e-01}', "");
    Expect(0, 68091, '\P{^Is_Nv=4.16667e-01}', "");
    Expect(1, 68090, '\p{Is_Nv=0.41667}', "");
    Expect(0, 68090, '\p{^Is_Nv=0.41667}', "");
    Expect(0, 68090, '\P{Is_Nv=0.41667}', "");
    Expect(1, 68090, '\P{^Is_Nv=0.41667}', "");
    Expect(0, 68091, '\p{Is_Nv=0.41667}', "");
    Expect(1, 68091, '\p{^Is_Nv=0.41667}', "");
    Expect(1, 68091, '\P{Is_Nv=0.41667}', "");
    Expect(0, 68091, '\P{^Is_Nv=0.41667}', "");
    Error('\p{Numeric_Value: :=	0000005/00002}');
    Error('\P{Numeric_Value: :=	0000005/00002}');
    Expect(1, 3884, '\p{Numeric_Value=:\A5/2\z:}', "");;
    Expect(0, 3885, '\p{Numeric_Value=:\A5/2\z:}', "");;
    Expect(1, 3884, '\p{Numeric_Value=5/00002}', "");
    Expect(0, 3884, '\p{^Numeric_Value=5/00002}', "");
    Expect(0, 3884, '\P{Numeric_Value=5/00002}', "");
    Expect(1, 3884, '\P{^Numeric_Value=5/00002}', "");
    Expect(0, 3885, '\p{Numeric_Value=5/00002}', "");
    Expect(1, 3885, '\p{^Numeric_Value=5/00002}', "");
    Expect(1, 3885, '\P{Numeric_Value=5/00002}', "");
    Expect(0, 3885, '\P{^Numeric_Value=5/00002}', "");
    Expect(1, 3884, '\p{Numeric_Value=300/120}', "");
    Expect(0, 3884, '\p{^Numeric_Value=300/120}', "");
    Expect(0, 3884, '\P{Numeric_Value=300/120}', "");
    Expect(1, 3884, '\P{^Numeric_Value=300/120}', "");
    Expect(0, 3885, '\p{Numeric_Value=300/120}', "");
    Expect(1, 3885, '\p{^Numeric_Value=300/120}', "");
    Expect(1, 3885, '\P{Numeric_Value=300/120}', "");
    Expect(0, 3885, '\P{^Numeric_Value=300/120}', "");
    Expect(1, 3884, '\p{Numeric_Value=2.5e+00}', "");
    Expect(0, 3884, '\p{^Numeric_Value=2.5e+00}', "");
    Expect(0, 3884, '\P{Numeric_Value=2.5e+00}', "");
    Expect(1, 3884, '\P{^Numeric_Value=2.5e+00}', "");
    Expect(0, 3885, '\p{Numeric_Value=2.5e+00}', "");
    Expect(1, 3885, '\p{^Numeric_Value=2.5e+00}', "");
    Expect(1, 3885, '\P{Numeric_Value=2.5e+00}', "");
    Expect(0, 3885, '\P{^Numeric_Value=2.5e+00}', "");
    Expect(1, 3884, '\p{Numeric_Value=2.5}', "");
    Expect(0, 3884, '\p{^Numeric_Value=2.5}', "");
    Expect(0, 3884, '\P{Numeric_Value=2.5}', "");
    Expect(1, 3884, '\P{^Numeric_Value=2.5}', "");
    Expect(0, 3885, '\p{Numeric_Value=2.5}', "");
    Expect(1, 3885, '\p{^Numeric_Value=2.5}', "");
    Expect(1, 3885, '\P{Numeric_Value=2.5}', "");
    Expect(0, 3885, '\P{^Numeric_Value=2.5}', "");
    Expect(1, 3884, '\p{Numeric_Value=2.50e+00}', "");
    Expect(0, 3884, '\p{^Numeric_Value=2.50e+00}', "");
    Expect(0, 3884, '\P{Numeric_Value=2.50e+00}', "");
    Expect(1, 3884, '\P{^Numeric_Value=2.50e+00}', "");
    Expect(0, 3885, '\p{Numeric_Value=2.50e+00}', "");
    Expect(1, 3885, '\p{^Numeric_Value=2.50e+00}', "");
    Expect(1, 3885, '\P{Numeric_Value=2.50e+00}', "");
    Expect(0, 3885, '\P{^Numeric_Value=2.50e+00}', "");
    Expect(1, 3884, '\p{Numeric_Value=2.50}', "");
    Expect(0, 3884, '\p{^Numeric_Value=2.50}', "");
    Expect(0, 3884, '\P{Numeric_Value=2.50}', "");
    Expect(1, 3884, '\P{^Numeric_Value=2.50}', "");
    Expect(0, 3885, '\p{Numeric_Value=2.50}', "");
    Expect(1, 3885, '\p{^Numeric_Value=2.50}', "");
    Expect(1, 3885, '\P{Numeric_Value=2.50}', "");
    Expect(0, 3885, '\P{^Numeric_Value=2.50}', "");
    Error('\p{Nv=-	00005/000000002/a/}');
    Error('\P{Nv=-	00005/000000002/a/}');
    Expect(1, 3884, '\p{Nv=:\A5/2\z:}', "");;
    Expect(0, 3885, '\p{Nv=:\A5/2\z:}', "");;
    Expect(1, 3884, '\p{Nv=+5/000000002}', "");
    Expect(0, 3884, '\p{^Nv=+5/000000002}', "");
    Expect(0, 3884, '\P{Nv=+5/000000002}', "");
    Expect(1, 3884, '\P{^Nv=+5/000000002}', "");
    Expect(0, 3885, '\p{Nv=+5/000000002}', "");
    Expect(1, 3885, '\p{^Nv=+5/000000002}', "");
    Expect(1, 3885, '\P{Nv=+5/000000002}', "");
    Expect(0, 3885, '\P{^Nv=+5/000000002}', "");
    Expect(1, 3884, '\p{Nv=300/120}', "");
    Expect(0, 3884, '\p{^Nv=300/120}', "");
    Expect(0, 3884, '\P{Nv=300/120}', "");
    Expect(1, 3884, '\P{^Nv=300/120}', "");
    Expect(0, 3885, '\p{Nv=300/120}', "");
    Expect(1, 3885, '\p{^Nv=300/120}', "");
    Expect(1, 3885, '\P{Nv=300/120}', "");
    Expect(0, 3885, '\P{^Nv=300/120}', "");
    Expect(1, 3884, '\p{Nv:   2.5e+00}', "");
    Expect(0, 3884, '\p{^Nv:   2.5e+00}', "");
    Expect(0, 3884, '\P{Nv:   2.5e+00}', "");
    Expect(1, 3884, '\P{^Nv:   2.5e+00}', "");
    Expect(0, 3885, '\p{Nv:   2.5e+00}', "");
    Expect(1, 3885, '\p{^Nv:   2.5e+00}', "");
    Expect(1, 3885, '\P{Nv:   2.5e+00}', "");
    Expect(0, 3885, '\P{^Nv:   2.5e+00}', "");
    Expect(1, 3884, '\p{Nv=2.5}', "");
    Expect(0, 3884, '\p{^Nv=2.5}', "");
    Expect(0, 3884, '\P{Nv=2.5}', "");
    Expect(1, 3884, '\P{^Nv=2.5}', "");
    Expect(0, 3885, '\p{Nv=2.5}', "");
    Expect(1, 3885, '\p{^Nv=2.5}', "");
    Expect(1, 3885, '\P{Nv=2.5}', "");
    Expect(0, 3885, '\P{^Nv=2.5}', "");
    Expect(1, 3884, '\p{Nv=2.50e+00}', "");
    Expect(0, 3884, '\p{^Nv=2.50e+00}', "");
    Expect(0, 3884, '\P{Nv=2.50e+00}', "");
    Expect(1, 3884, '\P{^Nv=2.50e+00}', "");
    Expect(0, 3885, '\p{Nv=2.50e+00}', "");
    Expect(1, 3885, '\p{^Nv=2.50e+00}', "");
    Expect(1, 3885, '\P{Nv=2.50e+00}', "");
    Expect(0, 3885, '\P{^Nv=2.50e+00}', "");
    Expect(1, 3884, '\p{Nv:	2.50}', "");
    Expect(0, 3884, '\p{^Nv:	2.50}', "");
    Expect(0, 3884, '\P{Nv:	2.50}', "");
    Expect(1, 3884, '\P{^Nv:	2.50}', "");
    Expect(0, 3885, '\p{Nv:	2.50}', "");
    Expect(1, 3885, '\p{^Nv:	2.50}', "");
    Expect(1, 3885, '\P{Nv:	2.50}', "");
    Expect(0, 3885, '\P{^Nv:	2.50}', "");
    Error('\p{Is_Numeric_Value=_000000005/0000000002/a/}');
    Error('\P{Is_Numeric_Value=_000000005/0000000002/a/}');
    Expect(1, 3884, '\p{Is_Numeric_Value=+00000005/002}', "");
    Expect(0, 3884, '\p{^Is_Numeric_Value=+00000005/002}', "");
    Expect(0, 3884, '\P{Is_Numeric_Value=+00000005/002}', "");
    Expect(1, 3884, '\P{^Is_Numeric_Value=+00000005/002}', "");
    Expect(0, 3885, '\p{Is_Numeric_Value=+00000005/002}', "");
    Expect(1, 3885, '\p{^Is_Numeric_Value=+00000005/002}', "");
    Expect(1, 3885, '\P{Is_Numeric_Value=+00000005/002}', "");
    Expect(0, 3885, '\P{^Is_Numeric_Value=+00000005/002}', "");
    Expect(1, 3884, '\p{Is_Numeric_Value=300/120}', "");
    Expect(0, 3884, '\p{^Is_Numeric_Value=300/120}', "");
    Expect(0, 3884, '\P{Is_Numeric_Value=300/120}', "");
    Expect(1, 3884, '\P{^Is_Numeric_Value=300/120}', "");
    Expect(0, 3885, '\p{Is_Numeric_Value=300/120}', "");
    Expect(1, 3885, '\p{^Is_Numeric_Value=300/120}', "");
    Expect(1, 3885, '\P{Is_Numeric_Value=300/120}', "");
    Expect(0, 3885, '\P{^Is_Numeric_Value=300/120}', "");
    Expect(1, 3884, '\p{Is_Numeric_Value=2.5e+00}', "");
    Expect(0, 3884, '\p{^Is_Numeric_Value=2.5e+00}', "");
    Expect(0, 3884, '\P{Is_Numeric_Value=2.5e+00}', "");
    Expect(1, 3884, '\P{^Is_Numeric_Value=2.5e+00}', "");
    Expect(0, 3885, '\p{Is_Numeric_Value=2.5e+00}', "");
    Expect(1, 3885, '\p{^Is_Numeric_Value=2.5e+00}', "");
    Expect(1, 3885, '\P{Is_Numeric_Value=2.5e+00}', "");
    Expect(0, 3885, '\P{^Is_Numeric_Value=2.5e+00}', "");
    Expect(1, 3884, '\p{Is_Numeric_Value=2.5}', "");
    Expect(0, 3884, '\p{^Is_Numeric_Value=2.5}', "");
    Expect(0, 3884, '\P{Is_Numeric_Value=2.5}', "");
    Expect(1, 3884, '\P{^Is_Numeric_Value=2.5}', "");
    Expect(0, 3885, '\p{Is_Numeric_Value=2.5}', "");
    Expect(1, 3885, '\p{^Is_Numeric_Value=2.5}', "");
    Expect(1, 3885, '\P{Is_Numeric_Value=2.5}', "");
    Expect(0, 3885, '\P{^Is_Numeric_Value=2.5}', "");
    Expect(1, 3884, '\p{Is_Numeric_Value:   2.50e+00}', "");
    Expect(0, 3884, '\p{^Is_Numeric_Value:   2.50e+00}', "");
    Expect(0, 3884, '\P{Is_Numeric_Value:   2.50e+00}', "");
    Expect(1, 3884, '\P{^Is_Numeric_Value:   2.50e+00}', "");
    Expect(0, 3885, '\p{Is_Numeric_Value:   2.50e+00}', "");
    Expect(1, 3885, '\p{^Is_Numeric_Value:   2.50e+00}', "");
    Expect(1, 3885, '\P{Is_Numeric_Value:   2.50e+00}', "");
    Expect(0, 3885, '\P{^Is_Numeric_Value:   2.50e+00}', "");
    Expect(1, 3884, '\p{Is_Numeric_Value=2.50}', "");
    Expect(0, 3884, '\p{^Is_Numeric_Value=2.50}', "");
    Expect(0, 3884, '\P{Is_Numeric_Value=2.50}', "");
    Expect(1, 3884, '\P{^Is_Numeric_Value=2.50}', "");
    Expect(0, 3885, '\p{Is_Numeric_Value=2.50}', "");
    Expect(1, 3885, '\p{^Is_Numeric_Value=2.50}', "");
    Expect(1, 3885, '\P{Is_Numeric_Value=2.50}', "");
    Expect(0, 3885, '\P{^Is_Numeric_Value=2.50}', "");
    Error('\p{Is_Nv=_5/2/a/}');
    Error('\P{Is_Nv=_5/2/a/}');
    Expect(1, 3884, '\p{Is_Nv=+05/0000002}', "");
    Expect(0, 3884, '\p{^Is_Nv=+05/0000002}', "");
    Expect(0, 3884, '\P{Is_Nv=+05/0000002}', "");
    Expect(1, 3884, '\P{^Is_Nv=+05/0000002}', "");
    Expect(0, 3885, '\p{Is_Nv=+05/0000002}', "");
    Expect(1, 3885, '\p{^Is_Nv=+05/0000002}', "");
    Expect(1, 3885, '\P{Is_Nv=+05/0000002}', "");
    Expect(0, 3885, '\P{^Is_Nv=+05/0000002}', "");
    Expect(1, 3884, '\p{Is_Nv=300/120}', "");
    Expect(0, 3884, '\p{^Is_Nv=300/120}', "");
    Expect(0, 3884, '\P{Is_Nv=300/120}', "");
    Expect(1, 3884, '\P{^Is_Nv=300/120}', "");
    Expect(0, 3885, '\p{Is_Nv=300/120}', "");
    Expect(1, 3885, '\p{^Is_Nv=300/120}', "");
    Expect(1, 3885, '\P{Is_Nv=300/120}', "");
    Expect(0, 3885, '\P{^Is_Nv=300/120}', "");
    Expect(1, 3884, '\p{Is_Nv:	2.5e+00}', "");
    Expect(0, 3884, '\p{^Is_Nv:	2.5e+00}', "");
    Expect(0, 3884, '\P{Is_Nv:	2.5e+00}', "");
    Expect(1, 3884, '\P{^Is_Nv:	2.5e+00}', "");
    Expect(0, 3885, '\p{Is_Nv:	2.5e+00}', "");
    Expect(1, 3885, '\p{^Is_Nv:	2.5e+00}', "");
    Expect(1, 3885, '\P{Is_Nv:	2.5e+00}', "");
    Expect(0, 3885, '\P{^Is_Nv:	2.5e+00}', "");
    Expect(1, 3884, '\p{Is_Nv=2.5}', "");
    Expect(0, 3884, '\p{^Is_Nv=2.5}', "");
    Expect(0, 3884, '\P{Is_Nv=2.5}', "");
    Expect(1, 3884, '\P{^Is_Nv=2.5}', "");
    Expect(0, 3885, '\p{Is_Nv=2.5}', "");
    Expect(1, 3885, '\p{^Is_Nv=2.5}', "");
    Expect(1, 3885, '\P{Is_Nv=2.5}', "");
    Expect(0, 3885, '\P{^Is_Nv=2.5}', "");
    Expect(1, 3884, '\p{Is_Nv=2.50e+00}', "");
    Expect(0, 3884, '\p{^Is_Nv=2.50e+00}', "");
    Expect(0, 3884, '\P{Is_Nv=2.50e+00}', "");
    Expect(1, 3884, '\P{^Is_Nv=2.50e+00}', "");
    Expect(0, 3885, '\p{Is_Nv=2.50e+00}', "");
    Expect(1, 3885, '\p{^Is_Nv=2.50e+00}', "");
    Expect(1, 3885, '\P{Is_Nv=2.50e+00}', "");
    Expect(0, 3885, '\P{^Is_Nv=2.50e+00}', "");
    Expect(1, 3884, '\p{Is_Nv:	2.50}', "");
    Expect(0, 3884, '\p{^Is_Nv:	2.50}', "");
    Expect(0, 3884, '\P{Is_Nv:	2.50}', "");
    Expect(1, 3884, '\P{^Is_Nv:	2.50}', "");
    Expect(0, 3885, '\p{Is_Nv:	2.50}', "");
    Expect(1, 3885, '\p{^Is_Nv:	2.50}', "");
    Expect(1, 3885, '\P{Is_Nv:	2.50}', "");
    Expect(0, 3885, '\P{^Is_Nv:	2.50}', "");
    Error('\p{Numeric_Value=:=-0000005/00000006}');
    Error('\P{Numeric_Value=:=-0000005/00000006}');
    Expect(1, 74844, '\p{Numeric_Value=:\A5/6\z:}', "");;
    Expect(0, 74845, '\p{Numeric_Value=:\A5/6\z:}', "");;
    Expect(1, 74844, '\p{Numeric_Value=000000005/06}', "");
    Expect(0, 74844, '\p{^Numeric_Value=000000005/06}', "");
    Expect(0, 74844, '\P{Numeric_Value=000000005/06}', "");
    Expect(1, 74844, '\P{^Numeric_Value=000000005/06}', "");
    Expect(0, 74845, '\p{Numeric_Value=000000005/06}', "");
    Expect(1, 74845, '\p{^Numeric_Value=000000005/06}', "");
    Expect(1, 74845, '\P{Numeric_Value=000000005/06}', "");
    Expect(0, 74845, '\P{^Numeric_Value=000000005/06}', "");
    Expect(1, 74844, '\p{Numeric_Value=300/360}', "");
    Expect(0, 74844, '\p{^Numeric_Value=300/360}', "");
    Expect(0, 74844, '\P{Numeric_Value=300/360}', "");
    Expect(1, 74844, '\P{^Numeric_Value=300/360}', "");
    Expect(0, 74845, '\p{Numeric_Value=300/360}', "");
    Expect(1, 74845, '\p{^Numeric_Value=300/360}', "");
    Expect(1, 74845, '\P{Numeric_Value=300/360}', "");
    Expect(0, 74845, '\P{^Numeric_Value=300/360}', "");
    Error('\p{Numeric_Value=8.3e-01}');
    Error('\P{Numeric_Value=8.3e-01}');
    Error('\p{Numeric_Value=8.33e-01}');
    Error('\P{Numeric_Value=8.33e-01}');
    Error('\p{Numeric_Value=0.83}');
    Error('\P{Numeric_Value=0.83}');
    Expect(1, 74844, '\p{Numeric_Value=8.333e-01}', "");
    Expect(0, 74844, '\p{^Numeric_Value=8.333e-01}', "");
    Expect(0, 74844, '\P{Numeric_Value=8.333e-01}', "");
    Expect(1, 74844, '\P{^Numeric_Value=8.333e-01}', "");
    Expect(0, 74845, '\p{Numeric_Value=8.333e-01}', "");
    Expect(1, 74845, '\p{^Numeric_Value=8.333e-01}', "");
    Expect(1, 74845, '\P{Numeric_Value=8.333e-01}', "");
    Expect(0, 74845, '\P{^Numeric_Value=8.333e-01}', "");
    Error('\p{Numeric_Value=0.833}');
    Error('\P{Numeric_Value=0.833}');
    Expect(1, 74844, '\p{Numeric_Value: 8.3333e-01}', "");
    Expect(0, 74844, '\p{^Numeric_Value: 8.3333e-01}', "");
    Expect(0, 74844, '\P{Numeric_Value: 8.3333e-01}', "");
    Expect(1, 74844, '\P{^Numeric_Value: 8.3333e-01}', "");
    Expect(0, 74845, '\p{Numeric_Value: 8.3333e-01}', "");
    Expect(1, 74845, '\p{^Numeric_Value: 8.3333e-01}', "");
    Expect(1, 74845, '\P{Numeric_Value: 8.3333e-01}', "");
    Expect(0, 74845, '\P{^Numeric_Value: 8.3333e-01}', "");
    Expect(1, 74844, '\p{Numeric_Value=0.8333}', "");
    Expect(0, 74844, '\p{^Numeric_Value=0.8333}', "");
    Expect(0, 74844, '\P{Numeric_Value=0.8333}', "");
    Expect(1, 74844, '\P{^Numeric_Value=0.8333}', "");
    Expect(0, 74845, '\p{Numeric_Value=0.8333}', "");
    Expect(1, 74845, '\p{^Numeric_Value=0.8333}', "");
    Expect(1, 74845, '\P{Numeric_Value=0.8333}', "");
    Expect(0, 74845, '\P{^Numeric_Value=0.8333}', "");
    Expect(1, 74844, '\p{Numeric_Value=8.33333e-01}', "");
    Expect(0, 74844, '\p{^Numeric_Value=8.33333e-01}', "");
    Expect(0, 74844, '\P{Numeric_Value=8.33333e-01}', "");
    Expect(1, 74844, '\P{^Numeric_Value=8.33333e-01}', "");
    Expect(0, 74845, '\p{Numeric_Value=8.33333e-01}', "");
    Expect(1, 74845, '\p{^Numeric_Value=8.33333e-01}', "");
    Expect(1, 74845, '\P{Numeric_Value=8.33333e-01}', "");
    Expect(0, 74845, '\P{^Numeric_Value=8.33333e-01}', "");
    Expect(1, 74844, '\p{Numeric_Value=0.83333}', "");
    Expect(0, 74844, '\p{^Numeric_Value=0.83333}', "");
    Expect(0, 74844, '\P{Numeric_Value=0.83333}', "");
    Expect(1, 74844, '\P{^Numeric_Value=0.83333}', "");
    Expect(0, 74845, '\p{Numeric_Value=0.83333}', "");
    Expect(1, 74845, '\p{^Numeric_Value=0.83333}', "");
    Expect(1, 74845, '\P{Numeric_Value=0.83333}', "");
    Expect(0, 74845, '\P{^Numeric_Value=0.83333}', "");
    Error('\p{Nv=-_+5/000006/a/}');
    Error('\P{Nv=-_+5/000006/a/}');
    Expect(1, 74844, '\p{Nv=:\A5/6\z:}', "");;
    Expect(0, 74845, '\p{Nv=:\A5/6\z:}', "");;
    Expect(1, 74844, '\p{Nv=+00000005/00000006}', "");
    Expect(0, 74844, '\p{^Nv=+00000005/00000006}', "");
    Expect(0, 74844, '\P{Nv=+00000005/00000006}', "");
    Expect(1, 74844, '\P{^Nv=+00000005/00000006}', "");
    Expect(0, 74845, '\p{Nv=+00000005/00000006}', "");
    Expect(1, 74845, '\p{^Nv=+00000005/00000006}', "");
    Expect(1, 74845, '\P{Nv=+00000005/00000006}', "");
    Expect(0, 74845, '\P{^Nv=+00000005/00000006}', "");
    Expect(1, 74844, '\p{Nv=300/360}', "");
    Expect(0, 74844, '\p{^Nv=300/360}', "");
    Expect(0, 74844, '\P{Nv=300/360}', "");
    Expect(1, 74844, '\P{^Nv=300/360}', "");
    Expect(0, 74845, '\p{Nv=300/360}', "");
    Expect(1, 74845, '\p{^Nv=300/360}', "");
    Expect(1, 74845, '\P{Nv=300/360}', "");
    Expect(0, 74845, '\P{^Nv=300/360}', "");
    Error('\p{Nv=8.3e-01}');
    Error('\P{Nv=8.3e-01}');
    Error('\p{Nv=8.33e-01}');
    Error('\P{Nv=8.33e-01}');
    Error('\p{Nv=0.83}');
    Error('\P{Nv=0.83}');
    Expect(1, 74844, '\p{Nv=8.333e-01}', "");
    Expect(0, 74844, '\p{^Nv=8.333e-01}', "");
    Expect(0, 74844, '\P{Nv=8.333e-01}', "");
    Expect(1, 74844, '\P{^Nv=8.333e-01}', "");
    Expect(0, 74845, '\p{Nv=8.333e-01}', "");
    Expect(1, 74845, '\p{^Nv=8.333e-01}', "");
    Expect(1, 74845, '\P{Nv=8.333e-01}', "");
    Expect(0, 74845, '\P{^Nv=8.333e-01}', "");
    Error('\p{Nv=0.833}');
    Error('\P{Nv=0.833}');
    Expect(1, 74844, '\p{Nv=8.3333e-01}', "");
    Expect(0, 74844, '\p{^Nv=8.3333e-01}', "");
    Expect(0, 74844, '\P{Nv=8.3333e-01}', "");
    Expect(1, 74844, '\P{^Nv=8.3333e-01}', "");
    Expect(0, 74845, '\p{Nv=8.3333e-01}', "");
    Expect(1, 74845, '\p{^Nv=8.3333e-01}', "");
    Expect(1, 74845, '\P{Nv=8.3333e-01}', "");
    Expect(0, 74845, '\P{^Nv=8.3333e-01}', "");
    Expect(1, 74844, '\p{Nv=0.8333}', "");
    Expect(0, 74844, '\p{^Nv=0.8333}', "");
    Expect(0, 74844, '\P{Nv=0.8333}', "");
    Expect(1, 74844, '\P{^Nv=0.8333}', "");
    Expect(0, 74845, '\p{Nv=0.8333}', "");
    Expect(1, 74845, '\p{^Nv=0.8333}', "");
    Expect(1, 74845, '\P{Nv=0.8333}', "");
    Expect(0, 74845, '\P{^Nv=0.8333}', "");
    Expect(1, 74844, '\p{Nv=8.33333e-01}', "");
    Expect(0, 74844, '\p{^Nv=8.33333e-01}', "");
    Expect(0, 74844, '\P{Nv=8.33333e-01}', "");
    Expect(1, 74844, '\P{^Nv=8.33333e-01}', "");
    Expect(0, 74845, '\p{Nv=8.33333e-01}', "");
    Expect(1, 74845, '\p{^Nv=8.33333e-01}', "");
    Expect(1, 74845, '\P{Nv=8.33333e-01}', "");
    Expect(0, 74845, '\P{^Nv=8.33333e-01}', "");
    Expect(1, 74844, '\p{Nv=0.83333}', "");
    Expect(0, 74844, '\p{^Nv=0.83333}', "");
    Expect(0, 74844, '\P{Nv=0.83333}', "");
    Expect(1, 74844, '\P{^Nv=0.83333}', "");
    Expect(0, 74845, '\p{Nv=0.83333}', "");
    Expect(1, 74845, '\p{^Nv=0.83333}', "");
    Expect(1, 74845, '\P{Nv=0.83333}', "");
    Expect(0, 74845, '\P{^Nv=0.83333}', "");
    Error('\p{Is_Numeric_Value=:=_ 0000000005/000000006}');
    Error('\P{Is_Numeric_Value=:=_ 0000000005/000000006}');
    Expect(1, 74844, '\p{Is_Numeric_Value=+00005/000000006}', "");
    Expect(0, 74844, '\p{^Is_Numeric_Value=+00005/000000006}', "");
    Expect(0, 74844, '\P{Is_Numeric_Value=+00005/000000006}', "");
    Expect(1, 74844, '\P{^Is_Numeric_Value=+00005/000000006}', "");
    Expect(0, 74845, '\p{Is_Numeric_Value=+00005/000000006}', "");
    Expect(1, 74845, '\p{^Is_Numeric_Value=+00005/000000006}', "");
    Expect(1, 74845, '\P{Is_Numeric_Value=+00005/000000006}', "");
    Expect(0, 74845, '\P{^Is_Numeric_Value=+00005/000000006}', "");
    Expect(1, 74844, '\p{Is_Numeric_Value:   300/360}', "");
    Expect(0, 74844, '\p{^Is_Numeric_Value:   300/360}', "");
    Expect(0, 74844, '\P{Is_Numeric_Value:   300/360}', "");
    Expect(1, 74844, '\P{^Is_Numeric_Value:   300/360}', "");
    Expect(0, 74845, '\p{Is_Numeric_Value:   300/360}', "");
    Expect(1, 74845, '\p{^Is_Numeric_Value:   300/360}', "");
    Expect(1, 74845, '\P{Is_Numeric_Value:   300/360}', "");
    Expect(0, 74845, '\P{^Is_Numeric_Value:   300/360}', "");
    Error('\p{Is_Numeric_Value=8.3e-01}');
    Error('\P{Is_Numeric_Value=8.3e-01}');
    Error('\p{Is_Numeric_Value:   8.33e-01}');
    Error('\P{Is_Numeric_Value:   8.33e-01}');
    Error('\p{Is_Numeric_Value=0.83}');
    Error('\P{Is_Numeric_Value=0.83}');
    Expect(1, 74844, '\p{Is_Numeric_Value=8.333e-01}', "");
    Expect(0, 74844, '\p{^Is_Numeric_Value=8.333e-01}', "");
    Expect(0, 74844, '\P{Is_Numeric_Value=8.333e-01}', "");
    Expect(1, 74844, '\P{^Is_Numeric_Value=8.333e-01}', "");
    Expect(0, 74845, '\p{Is_Numeric_Value=8.333e-01}', "");
    Expect(1, 74845, '\p{^Is_Numeric_Value=8.333e-01}', "");
    Expect(1, 74845, '\P{Is_Numeric_Value=8.333e-01}', "");
    Expect(0, 74845, '\P{^Is_Numeric_Value=8.333e-01}', "");
    Error('\p{Is_Numeric_Value=0.833}');
    Error('\P{Is_Numeric_Value=0.833}');
    Expect(1, 74844, '\p{Is_Numeric_Value=8.3333e-01}', "");
    Expect(0, 74844, '\p{^Is_Numeric_Value=8.3333e-01}', "");
    Expect(0, 74844, '\P{Is_Numeric_Value=8.3333e-01}', "");
    Expect(1, 74844, '\P{^Is_Numeric_Value=8.3333e-01}', "");
    Expect(0, 74845, '\p{Is_Numeric_Value=8.3333e-01}', "");
    Expect(1, 74845, '\p{^Is_Numeric_Value=8.3333e-01}', "");
    Expect(1, 74845, '\P{Is_Numeric_Value=8.3333e-01}', "");
    Expect(0, 74845, '\P{^Is_Numeric_Value=8.3333e-01}', "");
    Expect(1, 74844, '\p{Is_Numeric_Value=0.8333}', "");
    Expect(0, 74844, '\p{^Is_Numeric_Value=0.8333}', "");
    Expect(0, 74844, '\P{Is_Numeric_Value=0.8333}', "");
    Expect(1, 74844, '\P{^Is_Numeric_Value=0.8333}', "");
    Expect(0, 74845, '\p{Is_Numeric_Value=0.8333}', "");
    Expect(1, 74845, '\p{^Is_Numeric_Value=0.8333}', "");
    Expect(1, 74845, '\P{Is_Numeric_Value=0.8333}', "");
    Expect(0, 74845, '\P{^Is_Numeric_Value=0.8333}', "");
    Expect(1, 74844, '\p{Is_Numeric_Value: 8.33333e-01}', "");
    Expect(0, 74844, '\p{^Is_Numeric_Value: 8.33333e-01}', "");
    Expect(0, 74844, '\P{Is_Numeric_Value: 8.33333e-01}', "");
    Expect(1, 74844, '\P{^Is_Numeric_Value: 8.33333e-01}', "");
    Expect(0, 74845, '\p{Is_Numeric_Value: 8.33333e-01}', "");
    Expect(1, 74845, '\p{^Is_Numeric_Value: 8.33333e-01}', "");
    Expect(1, 74845, '\P{Is_Numeric_Value: 8.33333e-01}', "");
    Expect(0, 74845, '\P{^Is_Numeric_Value: 8.33333e-01}', "");
    Expect(1, 74844, '\p{Is_Numeric_Value: 0.83333}', "");
    Expect(0, 74844, '\p{^Is_Numeric_Value: 0.83333}', "");
    Expect(0, 74844, '\P{Is_Numeric_Value: 0.83333}', "");
    Expect(1, 74844, '\P{^Is_Numeric_Value: 0.83333}', "");
    Expect(0, 74845, '\p{Is_Numeric_Value: 0.83333}', "");
    Expect(1, 74845, '\p{^Is_Numeric_Value: 0.83333}', "");
    Expect(1, 74845, '\P{Is_Numeric_Value: 0.83333}', "");
    Expect(0, 74845, '\P{^Is_Numeric_Value: 0.83333}', "");
    Error('\p{Is_Nv=/a/	 0005/0006}');
    Error('\P{Is_Nv=/a/	 0005/0006}');
    Expect(1, 74844, '\p{Is_Nv=000005/000006}', "");
    Expect(0, 74844, '\p{^Is_Nv=000005/000006}', "");
    Expect(0, 74844, '\P{Is_Nv=000005/000006}', "");
    Expect(1, 74844, '\P{^Is_Nv=000005/000006}', "");
    Expect(0, 74845, '\p{Is_Nv=000005/000006}', "");
    Expect(1, 74845, '\p{^Is_Nv=000005/000006}', "");
    Expect(1, 74845, '\P{Is_Nv=000005/000006}', "");
    Expect(0, 74845, '\P{^Is_Nv=000005/000006}', "");
    Expect(1, 74844, '\p{Is_Nv=300/360}', "");
    Expect(0, 74844, '\p{^Is_Nv=300/360}', "");
    Expect(0, 74844, '\P{Is_Nv=300/360}', "");
    Expect(1, 74844, '\P{^Is_Nv=300/360}', "");
    Expect(0, 74845, '\p{Is_Nv=300/360}', "");
    Expect(1, 74845, '\p{^Is_Nv=300/360}', "");
    Expect(1, 74845, '\P{Is_Nv=300/360}', "");
    Expect(0, 74845, '\P{^Is_Nv=300/360}', "");
    Error('\p{Is_Nv=8.3e-01}');
    Error('\P{Is_Nv=8.3e-01}');
    Error('\p{Is_Nv=8.33e-01}');
    Error('\P{Is_Nv=8.33e-01}');
    Error('\p{Is_Nv=0.83}');
    Error('\P{Is_Nv=0.83}');
    Expect(1, 74844, '\p{Is_Nv=8.333e-01}', "");
    Expect(0, 74844, '\p{^Is_Nv=8.333e-01}', "");
    Expect(0, 74844, '\P{Is_Nv=8.333e-01}', "");
    Expect(1, 74844, '\P{^Is_Nv=8.333e-01}', "");
    Expect(0, 74845, '\p{Is_Nv=8.333e-01}', "");
    Expect(1, 74845, '\p{^Is_Nv=8.333e-01}', "");
    Expect(1, 74845, '\P{Is_Nv=8.333e-01}', "");
    Expect(0, 74845, '\P{^Is_Nv=8.333e-01}', "");
    Error('\p{Is_Nv:0.833}');
    Error('\P{Is_Nv:0.833}');
    Expect(1, 74844, '\p{Is_Nv=8.3333e-01}', "");
    Expect(0, 74844, '\p{^Is_Nv=8.3333e-01}', "");
    Expect(0, 74844, '\P{Is_Nv=8.3333e-01}', "");
    Expect(1, 74844, '\P{^Is_Nv=8.3333e-01}', "");
    Expect(0, 74845, '\p{Is_Nv=8.3333e-01}', "");
    Expect(1, 74845, '\p{^Is_Nv=8.3333e-01}', "");
    Expect(1, 74845, '\P{Is_Nv=8.3333e-01}', "");
    Expect(0, 74845, '\P{^Is_Nv=8.3333e-01}', "");
    Expect(1, 74844, '\p{Is_Nv=0.8333}', "");
    Expect(0, 74844, '\p{^Is_Nv=0.8333}', "");
    Expect(0, 74844, '\P{Is_Nv=0.8333}', "");
    Expect(1, 74844, '\P{^Is_Nv=0.8333}', "");
    Expect(0, 74845, '\p{Is_Nv=0.8333}', "");
    Expect(1, 74845, '\p{^Is_Nv=0.8333}', "");
    Expect(1, 74845, '\P{Is_Nv=0.8333}', "");
    Expect(0, 74845, '\P{^Is_Nv=0.8333}', "");
    Expect(1, 74844, '\p{Is_Nv=8.33333e-01}', "");
    Expect(0, 74844, '\p{^Is_Nv=8.33333e-01}', "");
    Expect(0, 74844, '\P{Is_Nv=8.33333e-01}', "");
    Expect(1, 74844, '\P{^Is_Nv=8.33333e-01}', "");
    Expect(0, 74845, '\p{Is_Nv=8.33333e-01}', "");
    Expect(1, 74845, '\p{^Is_Nv=8.33333e-01}', "");
    Expect(1, 74845, '\P{Is_Nv=8.33333e-01}', "");
    Expect(0, 74845, '\P{^Is_Nv=8.33333e-01}', "");
    Expect(1, 74844, '\p{Is_Nv:   0.83333}', "");
    Expect(0, 74844, '\p{^Is_Nv:   0.83333}', "");
    Expect(0, 74844, '\P{Is_Nv:   0.83333}', "");
    Expect(1, 74844, '\P{^Is_Nv:   0.83333}', "");
    Expect(0, 74845, '\p{Is_Nv:   0.83333}', "");
    Expect(1, 74845, '\p{^Is_Nv:   0.83333}', "");
    Expect(1, 74845, '\P{Is_Nv:   0.83333}', "");
    Expect(0, 74845, '\P{^Is_Nv:   0.83333}', "");
    Error('\p{Numeric_Value=	-05/008/a/}');
    Error('\P{Numeric_Value=	-05/008/a/}');
    Expect(1, 8541, '\p{Numeric_Value=:\A5/8\z:}', "");;
    Expect(0, 8542, '\p{Numeric_Value=:\A5/8\z:}', "");;
    Expect(1, 8541, '\p{Numeric_Value=+000005/000008}', "");
    Expect(0, 8541, '\p{^Numeric_Value=+000005/000008}', "");
    Expect(0, 8541, '\P{Numeric_Value=+000005/000008}', "");
    Expect(1, 8541, '\P{^Numeric_Value=+000005/000008}', "");
    Expect(0, 8542, '\p{Numeric_Value=+000005/000008}', "");
    Expect(1, 8542, '\p{^Numeric_Value=+000005/000008}', "");
    Expect(1, 8542, '\P{Numeric_Value=+000005/000008}', "");
    Expect(0, 8542, '\P{^Numeric_Value=+000005/000008}', "");
    Expect(1, 8541, '\p{Numeric_Value=300/480}', "");
    Expect(0, 8541, '\p{^Numeric_Value=300/480}', "");
    Expect(0, 8541, '\P{Numeric_Value=300/480}', "");
    Expect(1, 8541, '\P{^Numeric_Value=300/480}', "");
    Expect(0, 8542, '\p{Numeric_Value=300/480}', "");
    Expect(1, 8542, '\p{^Numeric_Value=300/480}', "");
    Expect(1, 8542, '\P{Numeric_Value=300/480}', "");
    Expect(0, 8542, '\P{^Numeric_Value=300/480}', "");
    Error('\p{Numeric_Value=6.2e-01}');
    Error('\P{Numeric_Value=6.2e-01}');
    Expect(1, 8541, '\p{Numeric_Value=6.25e-01}', "");
    Expect(0, 8541, '\p{^Numeric_Value=6.25e-01}', "");
    Expect(0, 8541, '\P{Numeric_Value=6.25e-01}', "");
    Expect(1, 8541, '\P{^Numeric_Value=6.25e-01}', "");
    Expect(0, 8542, '\p{Numeric_Value=6.25e-01}', "");
    Expect(1, 8542, '\p{^Numeric_Value=6.25e-01}', "");
    Expect(1, 8542, '\P{Numeric_Value=6.25e-01}', "");
    Expect(0, 8542, '\P{^Numeric_Value=6.25e-01}', "");
    Error('\p{Numeric_Value=0.62}');
    Error('\P{Numeric_Value=0.62}');
    Expect(1, 8541, '\p{Numeric_Value=6.250e-01}', "");
    Expect(0, 8541, '\p{^Numeric_Value=6.250e-01}', "");
    Expect(0, 8541, '\P{Numeric_Value=6.250e-01}', "");
    Expect(1, 8541, '\P{^Numeric_Value=6.250e-01}', "");
    Expect(0, 8542, '\p{Numeric_Value=6.250e-01}', "");
    Expect(1, 8542, '\p{^Numeric_Value=6.250e-01}', "");
    Expect(1, 8542, '\P{Numeric_Value=6.250e-01}', "");
    Expect(0, 8542, '\P{^Numeric_Value=6.250e-01}', "");
    Expect(1, 8541, '\p{Numeric_Value:0.625}', "");
    Expect(0, 8541, '\p{^Numeric_Value:0.625}', "");
    Expect(0, 8541, '\P{Numeric_Value:0.625}', "");
    Expect(1, 8541, '\P{^Numeric_Value:0.625}', "");
    Expect(0, 8542, '\p{Numeric_Value:0.625}', "");
    Expect(1, 8542, '\p{^Numeric_Value:0.625}', "");
    Expect(1, 8542, '\P{Numeric_Value:0.625}', "");
    Expect(0, 8542, '\P{^Numeric_Value:0.625}', "");
    Expect(1, 8541, '\p{Numeric_Value=6.2500e-01}', "");
    Expect(0, 8541, '\p{^Numeric_Value=6.2500e-01}', "");
    Expect(0, 8541, '\P{Numeric_Value=6.2500e-01}', "");
    Expect(1, 8541, '\P{^Numeric_Value=6.2500e-01}', "");
    Expect(0, 8542, '\p{Numeric_Value=6.2500e-01}', "");
    Expect(1, 8542, '\p{^Numeric_Value=6.2500e-01}', "");
    Expect(1, 8542, '\P{Numeric_Value=6.2500e-01}', "");
    Expect(0, 8542, '\P{^Numeric_Value=6.2500e-01}', "");
    Expect(1, 8541, '\p{Numeric_Value=0.6250}', "");
    Expect(0, 8541, '\p{^Numeric_Value=0.6250}', "");
    Expect(0, 8541, '\P{Numeric_Value=0.6250}', "");
    Expect(1, 8541, '\P{^Numeric_Value=0.6250}', "");
    Expect(0, 8542, '\p{Numeric_Value=0.6250}', "");
    Expect(1, 8542, '\p{^Numeric_Value=0.6250}', "");
    Expect(1, 8542, '\P{Numeric_Value=0.6250}', "");
    Expect(0, 8542, '\P{^Numeric_Value=0.6250}', "");
    Error('\p{Nv=/a/05/08}');
    Error('\P{Nv=/a/05/08}');
    Expect(1, 8541, '\p{Nv=:\A5/8\z:}', "");;
    Expect(0, 8542, '\p{Nv=:\A5/8\z:}', "");;
    Expect(1, 8541, '\p{Nv=0000005/000000008}', "");
    Expect(0, 8541, '\p{^Nv=0000005/000000008}', "");
    Expect(0, 8541, '\P{Nv=0000005/000000008}', "");
    Expect(1, 8541, '\P{^Nv=0000005/000000008}', "");
    Expect(0, 8542, '\p{Nv=0000005/000000008}', "");
    Expect(1, 8542, '\p{^Nv=0000005/000000008}', "");
    Expect(1, 8542, '\P{Nv=0000005/000000008}', "");
    Expect(0, 8542, '\P{^Nv=0000005/000000008}', "");
    Expect(1, 8541, '\p{Nv=300/480}', "");
    Expect(0, 8541, '\p{^Nv=300/480}', "");
    Expect(0, 8541, '\P{Nv=300/480}', "");
    Expect(1, 8541, '\P{^Nv=300/480}', "");
    Expect(0, 8542, '\p{Nv=300/480}', "");
    Expect(1, 8542, '\p{^Nv=300/480}', "");
    Expect(1, 8542, '\P{Nv=300/480}', "");
    Expect(0, 8542, '\P{^Nv=300/480}', "");
    Error('\p{Nv=6.2e-01}');
    Error('\P{Nv=6.2e-01}');
    Expect(1, 8541, '\p{Nv=6.25e-01}', "");
    Expect(0, 8541, '\p{^Nv=6.25e-01}', "");
    Expect(0, 8541, '\P{Nv=6.25e-01}', "");
    Expect(1, 8541, '\P{^Nv=6.25e-01}', "");
    Expect(0, 8542, '\p{Nv=6.25e-01}', "");
    Expect(1, 8542, '\p{^Nv=6.25e-01}', "");
    Expect(1, 8542, '\P{Nv=6.25e-01}', "");
    Expect(0, 8542, '\P{^Nv=6.25e-01}', "");
    Error('\p{Nv=0.62}');
    Error('\P{Nv=0.62}');
    Expect(1, 8541, '\p{Nv:6.250e-01}', "");
    Expect(0, 8541, '\p{^Nv:6.250e-01}', "");
    Expect(0, 8541, '\P{Nv:6.250e-01}', "");
    Expect(1, 8541, '\P{^Nv:6.250e-01}', "");
    Expect(0, 8542, '\p{Nv:6.250e-01}', "");
    Expect(1, 8542, '\p{^Nv:6.250e-01}', "");
    Expect(1, 8542, '\P{Nv:6.250e-01}', "");
    Expect(0, 8542, '\P{^Nv:6.250e-01}', "");
    Expect(1, 8541, '\p{Nv=0.625}', "");
    Expect(0, 8541, '\p{^Nv=0.625}', "");
    Expect(0, 8541, '\P{Nv=0.625}', "");
    Expect(1, 8541, '\P{^Nv=0.625}', "");
    Expect(0, 8542, '\p{Nv=0.625}', "");
    Expect(1, 8542, '\p{^Nv=0.625}', "");
    Expect(1, 8542, '\P{Nv=0.625}', "");
    Expect(0, 8542, '\P{^Nv=0.625}', "");
    Expect(1, 8541, '\p{Nv=6.2500e-01}', "");
    Expect(0, 8541, '\p{^Nv=6.2500e-01}', "");
    Expect(0, 8541, '\P{Nv=6.2500e-01}', "");
    Expect(1, 8541, '\P{^Nv=6.2500e-01}', "");
    Expect(0, 8542, '\p{Nv=6.2500e-01}', "");
    Expect(1, 8542, '\p{^Nv=6.2500e-01}', "");
    Expect(1, 8542, '\P{Nv=6.2500e-01}', "");
    Expect(0, 8542, '\P{^Nv=6.2500e-01}', "");
    Expect(1, 8541, '\p{Nv=0.6250}', "");
    Expect(0, 8541, '\p{^Nv=0.6250}', "");
    Expect(0, 8541, '\P{Nv=0.6250}', "");
    Expect(1, 8541, '\P{^Nv=0.6250}', "");
    Expect(0, 8542, '\p{Nv=0.6250}', "");
    Expect(1, 8542, '\p{^Nv=0.6250}', "");
    Expect(1, 8542, '\P{Nv=0.6250}', "");
    Expect(0, 8542, '\P{^Nv=0.6250}', "");
    Error('\p{Is_Numeric_Value=+00005/000008:=}');
    Error('\P{Is_Numeric_Value=+00005/000008:=}');
    Expect(1, 8541, '\p{Is_Numeric_Value=005/0008}', "");
    Expect(0, 8541, '\p{^Is_Numeric_Value=005/0008}', "");
    Expect(0, 8541, '\P{Is_Numeric_Value=005/0008}', "");
    Expect(1, 8541, '\P{^Is_Numeric_Value=005/0008}', "");
    Expect(0, 8542, '\p{Is_Numeric_Value=005/0008}', "");
    Expect(1, 8542, '\p{^Is_Numeric_Value=005/0008}', "");
    Expect(1, 8542, '\P{Is_Numeric_Value=005/0008}', "");
    Expect(0, 8542, '\P{^Is_Numeric_Value=005/0008}', "");
    Expect(1, 8541, '\p{Is_Numeric_Value=300/480}', "");
    Expect(0, 8541, '\p{^Is_Numeric_Value=300/480}', "");
    Expect(0, 8541, '\P{Is_Numeric_Value=300/480}', "");
    Expect(1, 8541, '\P{^Is_Numeric_Value=300/480}', "");
    Expect(0, 8542, '\p{Is_Numeric_Value=300/480}', "");
    Expect(1, 8542, '\p{^Is_Numeric_Value=300/480}', "");
    Expect(1, 8542, '\P{Is_Numeric_Value=300/480}', "");
    Expect(0, 8542, '\P{^Is_Numeric_Value=300/480}', "");
    Error('\p{Is_Numeric_Value=6.2e-01}');
    Error('\P{Is_Numeric_Value=6.2e-01}');
    Expect(1, 8541, '\p{Is_Numeric_Value=6.25e-01}', "");
    Expect(0, 8541, '\p{^Is_Numeric_Value=6.25e-01}', "");
    Expect(0, 8541, '\P{Is_Numeric_Value=6.25e-01}', "");
    Expect(1, 8541, '\P{^Is_Numeric_Value=6.25e-01}', "");
    Expect(0, 8542, '\p{Is_Numeric_Value=6.25e-01}', "");
    Expect(1, 8542, '\p{^Is_Numeric_Value=6.25e-01}', "");
    Expect(1, 8542, '\P{Is_Numeric_Value=6.25e-01}', "");
    Expect(0, 8542, '\P{^Is_Numeric_Value=6.25e-01}', "");
    Error('\p{Is_Numeric_Value=0.62}');
    Error('\P{Is_Numeric_Value=0.62}');
    Expect(1, 8541, '\p{Is_Numeric_Value=6.250e-01}', "");
    Expect(0, 8541, '\p{^Is_Numeric_Value=6.250e-01}', "");
    Expect(0, 8541, '\P{Is_Numeric_Value=6.250e-01}', "");
    Expect(1, 8541, '\P{^Is_Numeric_Value=6.250e-01}', "");
    Expect(0, 8542, '\p{Is_Numeric_Value=6.250e-01}', "");
    Expect(1, 8542, '\p{^Is_Numeric_Value=6.250e-01}', "");
    Expect(1, 8542, '\P{Is_Numeric_Value=6.250e-01}', "");
    Expect(0, 8542, '\P{^Is_Numeric_Value=6.250e-01}', "");
    Expect(1, 8541, '\p{Is_Numeric_Value=0.625}', "");
    Expect(0, 8541, '\p{^Is_Numeric_Value=0.625}', "");
    Expect(0, 8541, '\P{Is_Numeric_Value=0.625}', "");
    Expect(1, 8541, '\P{^Is_Numeric_Value=0.625}', "");
    Expect(0, 8542, '\p{Is_Numeric_Value=0.625}', "");
    Expect(1, 8542, '\p{^Is_Numeric_Value=0.625}', "");
    Expect(1, 8542, '\P{Is_Numeric_Value=0.625}', "");
    Expect(0, 8542, '\P{^Is_Numeric_Value=0.625}', "");
    Expect(1, 8541, '\p{Is_Numeric_Value=6.2500e-01}', "");
    Expect(0, 8541, '\p{^Is_Numeric_Value=6.2500e-01}', "");
    Expect(0, 8541, '\P{Is_Numeric_Value=6.2500e-01}', "");
    Expect(1, 8541, '\P{^Is_Numeric_Value=6.2500e-01}', "");
    Expect(0, 8542, '\p{Is_Numeric_Value=6.2500e-01}', "");
    Expect(1, 8542, '\p{^Is_Numeric_Value=6.2500e-01}', "");
    Expect(1, 8542, '\P{Is_Numeric_Value=6.2500e-01}', "");
    Expect(0, 8542, '\P{^Is_Numeric_Value=6.2500e-01}', "");
    Expect(1, 8541, '\p{Is_Numeric_Value=0.6250}', "");
    Expect(0, 8541, '\p{^Is_Numeric_Value=0.6250}', "");
    Expect(0, 8541, '\P{Is_Numeric_Value=0.6250}', "");
    Expect(1, 8541, '\P{^Is_Numeric_Value=0.6250}', "");
    Expect(0, 8542, '\p{Is_Numeric_Value=0.6250}', "");
    Expect(1, 8542, '\p{^Is_Numeric_Value=0.6250}', "");
    Expect(1, 8542, '\P{Is_Numeric_Value=0.6250}', "");
    Expect(0, 8542, '\P{^Is_Numeric_Value=0.6250}', "");
    Error('\p{Is_Nv=_ 0000000005/00000008/a/}');
    Error('\P{Is_Nv=_ 0000000005/00000008/a/}');
    Expect(1, 8541, '\p{Is_Nv=+05/8}', "");
    Expect(0, 8541, '\p{^Is_Nv=+05/8}', "");
    Expect(0, 8541, '\P{Is_Nv=+05/8}', "");
    Expect(1, 8541, '\P{^Is_Nv=+05/8}', "");
    Expect(0, 8542, '\p{Is_Nv=+05/8}', "");
    Expect(1, 8542, '\p{^Is_Nv=+05/8}', "");
    Expect(1, 8542, '\P{Is_Nv=+05/8}', "");
    Expect(0, 8542, '\P{^Is_Nv=+05/8}', "");
    Expect(1, 8541, '\p{Is_Nv=300/480}', "");
    Expect(0, 8541, '\p{^Is_Nv=300/480}', "");
    Expect(0, 8541, '\P{Is_Nv=300/480}', "");
    Expect(1, 8541, '\P{^Is_Nv=300/480}', "");
    Expect(0, 8542, '\p{Is_Nv=300/480}', "");
    Expect(1, 8542, '\p{^Is_Nv=300/480}', "");
    Expect(1, 8542, '\P{Is_Nv=300/480}', "");
    Expect(0, 8542, '\P{^Is_Nv=300/480}', "");
    Error('\p{Is_Nv=6.2e-01}');
    Error('\P{Is_Nv=6.2e-01}');
    Expect(1, 8541, '\p{Is_Nv=6.25e-01}', "");
    Expect(0, 8541, '\p{^Is_Nv=6.25e-01}', "");
    Expect(0, 8541, '\P{Is_Nv=6.25e-01}', "");
    Expect(1, 8541, '\P{^Is_Nv=6.25e-01}', "");
    Expect(0, 8542, '\p{Is_Nv=6.25e-01}', "");
    Expect(1, 8542, '\p{^Is_Nv=6.25e-01}', "");
    Expect(1, 8542, '\P{Is_Nv=6.25e-01}', "");
    Expect(0, 8542, '\P{^Is_Nv=6.25e-01}', "");
    Error('\p{Is_Nv=0.62}');
    Error('\P{Is_Nv=0.62}');
    Expect(1, 8541, '\p{Is_Nv:   6.250e-01}', "");
    Expect(0, 8541, '\p{^Is_Nv:   6.250e-01}', "");
    Expect(0, 8541, '\P{Is_Nv:   6.250e-01}', "");
    Expect(1, 8541, '\P{^Is_Nv:   6.250e-01}', "");
    Expect(0, 8542, '\p{Is_Nv:   6.250e-01}', "");
    Expect(1, 8542, '\p{^Is_Nv:   6.250e-01}', "");
    Expect(1, 8542, '\P{Is_Nv:   6.250e-01}', "");
    Expect(0, 8542, '\P{^Is_Nv:   6.250e-01}', "");
    Expect(1, 8541, '\p{Is_Nv=0.625}', "");
    Expect(0, 8541, '\p{^Is_Nv=0.625}', "");
    Expect(0, 8541, '\P{Is_Nv=0.625}', "");
    Expect(1, 8541, '\P{^Is_Nv=0.625}', "");
    Expect(0, 8542, '\p{Is_Nv=0.625}', "");
    Expect(1, 8542, '\p{^Is_Nv=0.625}', "");
    Expect(1, 8542, '\P{Is_Nv=0.625}', "");
    Expect(0, 8542, '\P{^Is_Nv=0.625}', "");
    Expect(1, 8541, '\p{Is_Nv=6.2500e-01}', "");
    Expect(0, 8541, '\p{^Is_Nv=6.2500e-01}', "");
    Expect(0, 8541, '\P{Is_Nv=6.2500e-01}', "");
    Expect(1, 8541, '\P{^Is_Nv=6.2500e-01}', "");
    Expect(0, 8542, '\p{Is_Nv=6.2500e-01}', "");
    Expect(1, 8542, '\p{^Is_Nv=6.2500e-01}', "");
    Expect(1, 8542, '\P{Is_Nv=6.2500e-01}', "");
    Expect(0, 8542, '\P{^Is_Nv=6.2500e-01}', "");
    Expect(1, 8541, '\p{Is_Nv=0.6250}', "");
    Expect(0, 8541, '\p{^Is_Nv=0.6250}', "");
    Expect(0, 8541, '\P{Is_Nv=0.6250}', "");
    Expect(1, 8541, '\P{^Is_Nv=0.6250}', "");
    Expect(0, 8542, '\p{Is_Nv=0.6250}', "");
    Expect(1, 8542, '\p{^Is_Nv=0.6250}', "");
    Expect(1, 8542, '\P{Is_Nv=0.6250}', "");
    Expect(0, 8542, '\P{^Is_Nv=0.6250}', "");
    Error('\p{Numeric_Value=-	0000000050/a/}');
    Error('\P{Numeric_Value=-	0000000050/a/}');
    Expect(1, 126222, '\p{Numeric_Value=:\A50\z:}', "");;
    Expect(0, 126223, '\p{Numeric_Value=:\A50\z:}', "");;
    Expect(1, 126222, '\p{Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(0, 126222, '\p{^Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(0, 126222, '\P{Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(1, 126222, '\P{^Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(0, 126223, '\p{Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(1, 126223, '\p{^Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(1, 126223, '\P{Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(0, 126223, '\P{^Numeric_Value=0_0_0_0_0_0_0_0_050}', "");
    Expect(1, 126222, '\p{Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126222, '\p{^Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126222, '\P{Numeric_Value=5.000000000000000e+01}', "");
    Expect(1, 126222, '\P{^Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126223, '\p{Numeric_Value=5.000000000000000e+01}', "");
    Expect(1, 126223, '\p{^Numeric_Value=5.000000000000000e+01}', "");
    Expect(1, 126223, '\P{Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126223, '\P{^Numeric_Value=5.000000000000000e+01}', "");
    Error('\p{Nv=-/a/+050}');
    Error('\P{Nv=-/a/+050}');
    Expect(1, 126222, '\p{Nv=:\A50\z:}', "");;
    Expect(0, 126223, '\p{Nv=:\A50\z:}', "");;
    Expect(1, 126222, '\p{Nv=+0_0_0_0_50}', "");
    Expect(0, 126222, '\p{^Nv=+0_0_0_0_50}', "");
    Expect(0, 126222, '\P{Nv=+0_0_0_0_50}', "");
    Expect(1, 126222, '\P{^Nv=+0_0_0_0_50}', "");
    Expect(0, 126223, '\p{Nv=+0_0_0_0_50}', "");
    Expect(1, 126223, '\p{^Nv=+0_0_0_0_50}', "");
    Expect(1, 126223, '\P{Nv=+0_0_0_0_50}', "");
    Expect(0, 126223, '\P{^Nv=+0_0_0_0_50}', "");
    Expect(1, 126222, '\p{Nv=5.000000000000000e+01}', "");
    Expect(0, 126222, '\p{^Nv=5.000000000000000e+01}', "");
    Expect(0, 126222, '\P{Nv=5.000000000000000e+01}', "");
    Expect(1, 126222, '\P{^Nv=5.000000000000000e+01}', "");
    Expect(0, 126223, '\p{Nv=5.000000000000000e+01}', "");
    Expect(1, 126223, '\p{^Nv=5.000000000000000e+01}', "");
    Expect(1, 126223, '\P{Nv=5.000000000000000e+01}', "");
    Expect(0, 126223, '\P{^Nv=5.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=:=-+05_0}');
    Error('\P{Is_Numeric_Value=:=-+05_0}');
    Expect(1, 126222, '\p{Is_Numeric_Value=05_0}', "");
    Expect(0, 126222, '\p{^Is_Numeric_Value=05_0}', "");
    Expect(0, 126222, '\P{Is_Numeric_Value=05_0}', "");
    Expect(1, 126222, '\P{^Is_Numeric_Value=05_0}', "");
    Expect(0, 126223, '\p{Is_Numeric_Value=05_0}', "");
    Expect(1, 126223, '\p{^Is_Numeric_Value=05_0}', "");
    Expect(1, 126223, '\P{Is_Numeric_Value=05_0}', "");
    Expect(0, 126223, '\P{^Is_Numeric_Value=05_0}', "");
    Expect(1, 126222, '\p{Is_Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126222, '\p{^Is_Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126222, '\P{Is_Numeric_Value=5.000000000000000e+01}', "");
    Expect(1, 126222, '\P{^Is_Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126223, '\p{Is_Numeric_Value=5.000000000000000e+01}', "");
    Expect(1, 126223, '\p{^Is_Numeric_Value=5.000000000000000e+01}', "");
    Expect(1, 126223, '\P{Is_Numeric_Value=5.000000000000000e+01}', "");
    Expect(0, 126223, '\P{^Is_Numeric_Value=5.000000000000000e+01}', "");
    Error('\p{Is_Nv:  :=0000000050}');
    Error('\P{Is_Nv:  :=0000000050}');
    Expect(1, 126222, '\p{Is_Nv=00_00_00_00_050}', "");
    Expect(0, 126222, '\p{^Is_Nv=00_00_00_00_050}', "");
    Expect(0, 126222, '\P{Is_Nv=00_00_00_00_050}', "");
    Expect(1, 126222, '\P{^Is_Nv=00_00_00_00_050}', "");
    Expect(0, 126223, '\p{Is_Nv=00_00_00_00_050}', "");
    Expect(1, 126223, '\p{^Is_Nv=00_00_00_00_050}', "");
    Expect(1, 126223, '\P{Is_Nv=00_00_00_00_050}', "");
    Expect(0, 126223, '\P{^Is_Nv=00_00_00_00_050}', "");
    Expect(1, 126222, '\p{Is_Nv=5.000000000000000e+01}', "");
    Expect(0, 126222, '\p{^Is_Nv=5.000000000000000e+01}', "");
    Expect(0, 126222, '\P{Is_Nv=5.000000000000000e+01}', "");
    Expect(1, 126222, '\P{^Is_Nv=5.000000000000000e+01}', "");
    Expect(0, 126223, '\p{Is_Nv=5.000000000000000e+01}', "");
    Expect(1, 126223, '\p{^Is_Nv=5.000000000000000e+01}', "");
    Expect(1, 126223, '\P{Is_Nv=5.000000000000000e+01}', "");
    Expect(0, 126223, '\P{^Is_Nv=5.000000000000000e+01}', "");
    Error('\p{Numeric_Value=0000000500:=}');
    Error('\P{Numeric_Value=0000000500:=}');
    Expect(1, 126231, '\p{Numeric_Value=:\A500\z:}', "");;
    Expect(0, 126232, '\p{Numeric_Value=:\A500\z:}', "");;
    Expect(1, 126231, '\p{Numeric_Value=+00500}', "");
    Expect(0, 126231, '\p{^Numeric_Value=+00500}', "");
    Expect(0, 126231, '\P{Numeric_Value=+00500}', "");
    Expect(1, 126231, '\P{^Numeric_Value=+00500}', "");
    Expect(0, 126232, '\p{Numeric_Value=+00500}', "");
    Expect(1, 126232, '\p{^Numeric_Value=+00500}', "");
    Expect(1, 126232, '\P{Numeric_Value=+00500}', "");
    Expect(0, 126232, '\P{^Numeric_Value=+00500}', "");
    Expect(1, 126231, '\p{Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126231, '\p{^Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126231, '\P{Numeric_Value=5.000000000000000e+02}', "");
    Expect(1, 126231, '\P{^Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126232, '\p{Numeric_Value=5.000000000000000e+02}', "");
    Expect(1, 126232, '\p{^Numeric_Value=5.000000000000000e+02}', "");
    Expect(1, 126232, '\P{Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126232, '\P{^Numeric_Value=5.000000000000000e+02}', "");
    Error('\p{Nv=	000000500:=}');
    Error('\P{Nv=	000000500:=}');
    Expect(1, 126231, '\p{Nv=:\A500\z:}', "");;
    Expect(0, 126232, '\p{Nv=:\A500\z:}', "");;
    Expect(1, 126231, '\p{Nv=+0000500}', "");
    Expect(0, 126231, '\p{^Nv=+0000500}', "");
    Expect(0, 126231, '\P{Nv=+0000500}', "");
    Expect(1, 126231, '\P{^Nv=+0000500}', "");
    Expect(0, 126232, '\p{Nv=+0000500}', "");
    Expect(1, 126232, '\p{^Nv=+0000500}', "");
    Expect(1, 126232, '\P{Nv=+0000500}', "");
    Expect(0, 126232, '\P{^Nv=+0000500}', "");
    Expect(1, 126231, '\p{Nv=5.000000000000000e+02}', "");
    Expect(0, 126231, '\p{^Nv=5.000000000000000e+02}', "");
    Expect(0, 126231, '\P{Nv=5.000000000000000e+02}', "");
    Expect(1, 126231, '\P{^Nv=5.000000000000000e+02}', "");
    Expect(0, 126232, '\p{Nv=5.000000000000000e+02}', "");
    Expect(1, 126232, '\p{^Nv=5.000000000000000e+02}', "");
    Expect(1, 126232, '\P{Nv=5.000000000000000e+02}', "");
    Expect(0, 126232, '\P{^Nv=5.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value=-000_000_050_0:=}');
    Error('\P{Is_Numeric_Value=-000_000_050_0:=}');
    Expect(1, 126231, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(0, 126231, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(0, 126231, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(1, 126231, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(0, 126232, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(1, 126232, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(1, 126232, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(0, 126232, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_500}', "");
    Expect(1, 126231, '\p{Is_Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126231, '\p{^Is_Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126231, '\P{Is_Numeric_Value=5.000000000000000e+02}', "");
    Expect(1, 126231, '\P{^Is_Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126232, '\p{Is_Numeric_Value=5.000000000000000e+02}', "");
    Expect(1, 126232, '\p{^Is_Numeric_Value=5.000000000000000e+02}', "");
    Expect(1, 126232, '\P{Is_Numeric_Value=5.000000000000000e+02}', "");
    Expect(0, 126232, '\P{^Is_Numeric_Value=5.000000000000000e+02}', "");
    Error('\p{Is_Nv=:=_	+000000500}');
    Error('\P{Is_Nv=:=_	+000000500}');
    Expect(1, 126231, '\p{Is_Nv=0_0_0_5_00}', "");
    Expect(0, 126231, '\p{^Is_Nv=0_0_0_5_00}', "");
    Expect(0, 126231, '\P{Is_Nv=0_0_0_5_00}', "");
    Expect(1, 126231, '\P{^Is_Nv=0_0_0_5_00}', "");
    Expect(0, 126232, '\p{Is_Nv=0_0_0_5_00}', "");
    Expect(1, 126232, '\p{^Is_Nv=0_0_0_5_00}', "");
    Expect(1, 126232, '\P{Is_Nv=0_0_0_5_00}', "");
    Expect(0, 126232, '\P{^Is_Nv=0_0_0_5_00}', "");
    Expect(1, 126231, '\p{Is_Nv=5.000000000000000e+02}', "");
    Expect(0, 126231, '\p{^Is_Nv=5.000000000000000e+02}', "");
    Expect(0, 126231, '\P{Is_Nv=5.000000000000000e+02}', "");
    Expect(1, 126231, '\P{^Is_Nv=5.000000000000000e+02}', "");
    Expect(0, 126232, '\p{Is_Nv=5.000000000000000e+02}', "");
    Expect(1, 126232, '\p{^Is_Nv=5.000000000000000e+02}', "");
    Expect(1, 126232, '\P{Is_Nv=5.000000000000000e+02}', "");
    Expect(0, 126232, '\P{^Is_Nv=5.000000000000000e+02}', "");
    Error('\p{Numeric_Value=	00005000:=}');
    Error('\P{Numeric_Value=	00005000:=}');
    Expect(1, 126240, '\p{Numeric_Value=:\A5000\z:}', "");;
    Expect(0, 126241, '\p{Numeric_Value=:\A5000\z:}', "");;
    Expect(1, 126240, '\p{Numeric_Value=5_0_00}', "");
    Expect(0, 126240, '\p{^Numeric_Value=5_0_00}', "");
    Expect(0, 126240, '\P{Numeric_Value=5_0_00}', "");
    Expect(1, 126240, '\P{^Numeric_Value=5_0_00}', "");
    Expect(0, 126241, '\p{Numeric_Value=5_0_00}', "");
    Expect(1, 126241, '\p{^Numeric_Value=5_0_00}', "");
    Expect(1, 126241, '\P{Numeric_Value=5_0_00}', "");
    Expect(0, 126241, '\P{^Numeric_Value=5_0_00}', "");
    Expect(1, 126240, '\p{Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126240, '\p{^Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126240, '\P{Numeric_Value=5.000000000000000e+03}', "");
    Expect(1, 126240, '\P{^Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126241, '\p{Numeric_Value=5.000000000000000e+03}', "");
    Expect(1, 126241, '\p{^Numeric_Value=5.000000000000000e+03}', "");
    Expect(1, 126241, '\P{Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126241, '\P{^Numeric_Value=5.000000000000000e+03}', "");
    Error('\p{Nv=-:=000005000}');
    Error('\P{Nv=-:=000005000}');
    Expect(1, 126240, '\p{Nv=:\A5000\z:}', "");;
    Expect(0, 126241, '\p{Nv=:\A5000\z:}', "");;
    Expect(1, 126240, '\p{Nv=00005000}', "");
    Expect(0, 126240, '\p{^Nv=00005000}', "");
    Expect(0, 126240, '\P{Nv=00005000}', "");
    Expect(1, 126240, '\P{^Nv=00005000}', "");
    Expect(0, 126241, '\p{Nv=00005000}', "");
    Expect(1, 126241, '\p{^Nv=00005000}', "");
    Expect(1, 126241, '\P{Nv=00005000}', "");
    Expect(0, 126241, '\P{^Nv=00005000}', "");
    Expect(1, 126240, '\p{Nv=5.000000000000000e+03}', "");
    Expect(0, 126240, '\p{^Nv=5.000000000000000e+03}', "");
    Expect(0, 126240, '\P{Nv=5.000000000000000e+03}', "");
    Expect(1, 126240, '\P{^Nv=5.000000000000000e+03}', "");
    Expect(0, 126241, '\p{Nv=5.000000000000000e+03}', "");
    Expect(1, 126241, '\p{^Nv=5.000000000000000e+03}', "");
    Expect(1, 126241, '\P{Nv=5.000000000000000e+03}', "");
    Expect(0, 126241, '\P{^Nv=5.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value:	 /a/+005000}');
    Error('\P{Is_Numeric_Value:	 /a/+005000}');
    Expect(1, 126240, '\p{Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(0, 126240, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(0, 126240, '\P{Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(1, 126240, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(0, 126241, '\p{Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(1, 126241, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(1, 126241, '\P{Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(0, 126241, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_005000}', "");
    Expect(1, 126240, '\p{Is_Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126240, '\p{^Is_Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126240, '\P{Is_Numeric_Value=5.000000000000000e+03}', "");
    Expect(1, 126240, '\P{^Is_Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126241, '\p{Is_Numeric_Value=5.000000000000000e+03}', "");
    Expect(1, 126241, '\p{^Is_Numeric_Value=5.000000000000000e+03}', "");
    Expect(1, 126241, '\P{Is_Numeric_Value=5.000000000000000e+03}', "");
    Expect(0, 126241, '\P{^Is_Numeric_Value=5.000000000000000e+03}', "");
    Error('\p{Is_Nv=/a/-0005000}');
    Error('\P{Is_Nv=/a/-0005000}');
    Expect(1, 126240, '\p{Is_Nv:+5_0_00}', "");
    Expect(0, 126240, '\p{^Is_Nv:+5_0_00}', "");
    Expect(0, 126240, '\P{Is_Nv:+5_0_00}', "");
    Expect(1, 126240, '\P{^Is_Nv:+5_0_00}', "");
    Expect(0, 126241, '\p{Is_Nv:+5_0_00}', "");
    Expect(1, 126241, '\p{^Is_Nv:+5_0_00}', "");
    Expect(1, 126241, '\P{Is_Nv:+5_0_00}', "");
    Expect(0, 126241, '\P{^Is_Nv:+5_0_00}', "");
    Expect(1, 126240, '\p{Is_Nv=5.000000000000000e+03}', "");
    Expect(0, 126240, '\p{^Is_Nv=5.000000000000000e+03}', "");
    Expect(0, 126240, '\P{Is_Nv=5.000000000000000e+03}', "");
    Expect(1, 126240, '\P{^Is_Nv=5.000000000000000e+03}', "");
    Expect(0, 126241, '\p{Is_Nv=5.000000000000000e+03}', "");
    Expect(1, 126241, '\p{^Is_Nv=5.000000000000000e+03}', "");
    Expect(1, 126241, '\P{Is_Nv=5.000000000000000e+03}', "");
    Expect(0, 126241, '\P{^Is_Nv=5.000000000000000e+03}', "");
    Error('\p{Numeric_Value:	:= +050000}');
    Error('\P{Numeric_Value:	:= +050000}');
    Expect(1, 126249, '\p{Numeric_Value=:\A50000\z:}', "");;
    Expect(0, 126250, '\p{Numeric_Value=:\A50000\z:}', "");;
    Expect(1, 126249, '\p{Numeric_Value=0000_0500_00}', "");
    Expect(0, 126249, '\p{^Numeric_Value=0000_0500_00}', "");
    Expect(0, 126249, '\P{Numeric_Value=0000_0500_00}', "");
    Expect(1, 126249, '\P{^Numeric_Value=0000_0500_00}', "");
    Expect(0, 126250, '\p{Numeric_Value=0000_0500_00}', "");
    Expect(1, 126250, '\p{^Numeric_Value=0000_0500_00}', "");
    Expect(1, 126250, '\P{Numeric_Value=0000_0500_00}', "");
    Expect(0, 126250, '\P{^Numeric_Value=0000_0500_00}', "");
    Expect(1, 126249, '\p{Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126249, '\p{^Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126249, '\P{Numeric_Value=5.000000000000000e+04}', "");
    Expect(1, 126249, '\P{^Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126250, '\p{Numeric_Value=5.000000000000000e+04}', "");
    Expect(1, 126250, '\p{^Numeric_Value=5.000000000000000e+04}', "");
    Expect(1, 126250, '\P{Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126250, '\P{^Numeric_Value=5.000000000000000e+04}', "");
    Error('\p{Nv=	:=00_00_00_00_05_0000}');
    Error('\P{Nv=	:=00_00_00_00_05_0000}');
    Expect(1, 126249, '\p{Nv=:\A50000\z:}', "");;
    Expect(0, 126250, '\p{Nv=:\A50000\z:}', "");;
    Expect(1, 126249, '\p{Nv=000000050000}', "");
    Expect(0, 126249, '\p{^Nv=000000050000}', "");
    Expect(0, 126249, '\P{Nv=000000050000}', "");
    Expect(1, 126249, '\P{^Nv=000000050000}', "");
    Expect(0, 126250, '\p{Nv=000000050000}', "");
    Expect(1, 126250, '\p{^Nv=000000050000}', "");
    Expect(1, 126250, '\P{Nv=000000050000}', "");
    Expect(0, 126250, '\P{^Nv=000000050000}', "");
    Expect(1, 126249, '\p{Nv:5.000000000000000e+04}', "");
    Expect(0, 126249, '\p{^Nv:5.000000000000000e+04}', "");
    Expect(0, 126249, '\P{Nv:5.000000000000000e+04}', "");
    Expect(1, 126249, '\P{^Nv:5.000000000000000e+04}', "");
    Expect(0, 126250, '\p{Nv:5.000000000000000e+04}', "");
    Expect(1, 126250, '\p{^Nv:5.000000000000000e+04}', "");
    Expect(1, 126250, '\P{Nv:5.000000000000000e+04}', "");
    Expect(0, 126250, '\P{^Nv:5.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value:   _-00_00_00_00_05_00_00:=}');
    Error('\P{Is_Numeric_Value:   _-00_00_00_00_05_00_00:=}');
    Expect(1, 126249, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(0, 126249, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(0, 126249, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(1, 126249, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(0, 126250, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(1, 126250, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(1, 126250, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(0, 126250, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_050000}', "");
    Expect(1, 126249, '\p{Is_Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126249, '\p{^Is_Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126249, '\P{Is_Numeric_Value=5.000000000000000e+04}', "");
    Expect(1, 126249, '\P{^Is_Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126250, '\p{Is_Numeric_Value=5.000000000000000e+04}', "");
    Expect(1, 126250, '\p{^Is_Numeric_Value=5.000000000000000e+04}', "");
    Expect(1, 126250, '\P{Is_Numeric_Value=5.000000000000000e+04}', "");
    Expect(0, 126250, '\P{^Is_Numeric_Value=5.000000000000000e+04}', "");
    Error('\p{Is_Nv:	:=__0_0_0_0_5_0_000}');
    Error('\P{Is_Nv:	:=__0_0_0_0_5_0_000}');
    Expect(1, 126249, '\p{Is_Nv=+5000_0}', "");
    Expect(0, 126249, '\p{^Is_Nv=+5000_0}', "");
    Expect(0, 126249, '\P{Is_Nv=+5000_0}', "");
    Expect(1, 126249, '\P{^Is_Nv=+5000_0}', "");
    Expect(0, 126250, '\p{Is_Nv=+5000_0}', "");
    Expect(1, 126250, '\p{^Is_Nv=+5000_0}', "");
    Expect(1, 126250, '\P{Is_Nv=+5000_0}', "");
    Expect(0, 126250, '\P{^Is_Nv=+5000_0}', "");
    Expect(1, 126249, '\p{Is_Nv=5.000000000000000e+04}', "");
    Expect(0, 126249, '\p{^Is_Nv=5.000000000000000e+04}', "");
    Expect(0, 126249, '\P{Is_Nv=5.000000000000000e+04}', "");
    Expect(1, 126249, '\P{^Is_Nv=5.000000000000000e+04}', "");
    Expect(0, 126250, '\p{Is_Nv=5.000000000000000e+04}', "");
    Expect(1, 126250, '\p{^Is_Nv=5.000000000000000e+04}', "");
    Expect(1, 126250, '\P{Is_Nv=5.000000000000000e+04}', "");
    Expect(0, 126250, '\P{^Is_Nv=5.000000000000000e+04}', "");
    Error('\p{Numeric_Value= :=0500000}');
    Error('\P{Numeric_Value= :=0500000}');
    Expect(1, 68081, '\p{Numeric_Value=:\A500000\z:}', "");;
    Expect(0, 68082, '\p{Numeric_Value=:\A500000\z:}', "");;
    Expect(1, 68081, '\p{Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(0, 68081, '\p{^Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(0, 68081, '\P{Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(1, 68081, '\P{^Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(0, 68082, '\p{Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(1, 68082, '\p{^Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(1, 68082, '\P{Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(0, 68082, '\P{^Numeric_Value=+0_0_0_0_0_0_0_0_0500000}', "");
    Expect(1, 68081, '\p{Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68081, '\p{^Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68081, '\P{Numeric_Value=5.000000000000000e+05}', "");
    Expect(1, 68081, '\P{^Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68082, '\p{Numeric_Value=5.000000000000000e+05}', "");
    Expect(1, 68082, '\p{^Numeric_Value=5.000000000000000e+05}', "");
    Expect(1, 68082, '\P{Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68082, '\P{^Numeric_Value=5.000000000000000e+05}', "");
    Error('\p{Nv=/a/	0_0_0_0_0_0_500000}');
    Error('\P{Nv=/a/	0_0_0_0_0_0_500000}');
    Expect(1, 68081, '\p{Nv=:\A500000\z:}', "");;
    Expect(0, 68082, '\p{Nv=:\A500000\z:}', "");;
    Expect(1, 68081, '\p{Nv=+00_00_00_00_50_00_00}', "");
    Expect(0, 68081, '\p{^Nv=+00_00_00_00_50_00_00}', "");
    Expect(0, 68081, '\P{Nv=+00_00_00_00_50_00_00}', "");
    Expect(1, 68081, '\P{^Nv=+00_00_00_00_50_00_00}', "");
    Expect(0, 68082, '\p{Nv=+00_00_00_00_50_00_00}', "");
    Expect(1, 68082, '\p{^Nv=+00_00_00_00_50_00_00}', "");
    Expect(1, 68082, '\P{Nv=+00_00_00_00_50_00_00}', "");
    Expect(0, 68082, '\P{^Nv=+00_00_00_00_50_00_00}', "");
    Expect(1, 68081, '\p{Nv=5.000000000000000e+05}', "");
    Expect(0, 68081, '\p{^Nv=5.000000000000000e+05}', "");
    Expect(0, 68081, '\P{Nv=5.000000000000000e+05}', "");
    Expect(1, 68081, '\P{^Nv=5.000000000000000e+05}', "");
    Expect(0, 68082, '\p{Nv=5.000000000000000e+05}', "");
    Expect(1, 68082, '\p{^Nv=5.000000000000000e+05}', "");
    Expect(1, 68082, '\P{Nv=5.000000000000000e+05}', "");
    Expect(0, 68082, '\P{^Nv=5.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=-	0500000:=}');
    Error('\P{Is_Numeric_Value=-	0500000:=}');
    Expect(1, 68081, '\p{Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(0, 68081, '\p{^Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(0, 68081, '\P{Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(1, 68081, '\P{^Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(0, 68082, '\p{Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(1, 68082, '\p{^Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(1, 68082, '\P{Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(0, 68082, '\P{^Is_Numeric_Value=0_0_0_0_5_00000}', "");
    Expect(1, 68081, '\p{Is_Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68081, '\p{^Is_Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68081, '\P{Is_Numeric_Value=5.000000000000000e+05}', "");
    Expect(1, 68081, '\P{^Is_Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68082, '\p{Is_Numeric_Value=5.000000000000000e+05}', "");
    Expect(1, 68082, '\p{^Is_Numeric_Value=5.000000000000000e+05}', "");
    Expect(1, 68082, '\P{Is_Numeric_Value=5.000000000000000e+05}', "");
    Expect(0, 68082, '\P{^Is_Numeric_Value=5.000000000000000e+05}', "");
    Error('\p{Is_Nv=--005_000_00/a/}');
    Error('\P{Is_Nv=--005_000_00/a/}');
    Expect(1, 68081, '\p{Is_Nv=000000500000}', "");
    Expect(0, 68081, '\p{^Is_Nv=000000500000}', "");
    Expect(0, 68081, '\P{Is_Nv=000000500000}', "");
    Expect(1, 68081, '\P{^Is_Nv=000000500000}', "");
    Expect(0, 68082, '\p{Is_Nv=000000500000}', "");
    Expect(1, 68082, '\p{^Is_Nv=000000500000}', "");
    Expect(1, 68082, '\P{Is_Nv=000000500000}', "");
    Expect(0, 68082, '\P{^Is_Nv=000000500000}', "");
    Expect(1, 68081, '\p{Is_Nv=5.000000000000000e+05}', "");
    Expect(0, 68081, '\p{^Is_Nv=5.000000000000000e+05}', "");
    Expect(0, 68081, '\P{Is_Nv=5.000000000000000e+05}', "");
    Expect(1, 68081, '\P{^Is_Nv=5.000000000000000e+05}', "");
    Expect(0, 68082, '\p{Is_Nv=5.000000000000000e+05}', "");
    Expect(1, 68082, '\p{^Is_Nv=5.000000000000000e+05}', "");
    Expect(1, 68082, '\P{Is_Nv=5.000000000000000e+05}', "");
    Expect(0, 68082, '\P{^Is_Nv=5.000000000000000e+05}', "");
    Error('\p{Numeric_Value=_:=00000_6}');
    Error('\P{Numeric_Value=_:=00000_6}');
    Expect(1, 133866, '\p{Numeric_Value=:\A6\z:}', "");;
    Expect(0, 133867, '\p{Numeric_Value=:\A6\z:}', "");;
    Expect(1, 133866, '\p{Numeric_Value=00000000_6}', "");
    Expect(0, 133866, '\p{^Numeric_Value=00000000_6}', "");
    Expect(0, 133866, '\P{Numeric_Value=00000000_6}', "");
    Expect(1, 133866, '\P{^Numeric_Value=00000000_6}', "");
    Expect(0, 133867, '\p{Numeric_Value=00000000_6}', "");
    Expect(1, 133867, '\p{^Numeric_Value=00000000_6}', "");
    Expect(1, 133867, '\P{Numeric_Value=00000000_6}', "");
    Expect(0, 133867, '\P{^Numeric_Value=00000000_6}', "");
    Expect(1, 133866, '\p{Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133866, '\p{^Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133866, '\P{Numeric_Value=6.000000000000000e+00}', "");
    Expect(1, 133866, '\P{^Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133867, '\p{Numeric_Value=6.000000000000000e+00}', "");
    Expect(1, 133867, '\p{^Numeric_Value=6.000000000000000e+00}', "");
    Expect(1, 133867, '\P{Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133867, '\P{^Numeric_Value=6.000000000000000e+00}', "");
    Error('\p{Nv=/a/ -0000006}');
    Error('\P{Nv=/a/ -0000006}');
    Expect(1, 133866, '\p{Nv=:\A6\z:}', "");;
    Expect(0, 133867, '\p{Nv=:\A6\z:}', "");;
    Expect(1, 133866, '\p{Nv=00006}', "");
    Expect(0, 133866, '\p{^Nv=00006}', "");
    Expect(0, 133866, '\P{Nv=00006}', "");
    Expect(1, 133866, '\P{^Nv=00006}', "");
    Expect(0, 133867, '\p{Nv=00006}', "");
    Expect(1, 133867, '\p{^Nv=00006}', "");
    Expect(1, 133867, '\P{Nv=00006}', "");
    Expect(0, 133867, '\P{^Nv=00006}', "");
    Expect(1, 133866, '\p{Nv:	6.000000000000000e+00}', "");
    Expect(0, 133866, '\p{^Nv:	6.000000000000000e+00}', "");
    Expect(0, 133866, '\P{Nv:	6.000000000000000e+00}', "");
    Expect(1, 133866, '\P{^Nv:	6.000000000000000e+00}', "");
    Expect(0, 133867, '\p{Nv:	6.000000000000000e+00}', "");
    Expect(1, 133867, '\p{^Nv:	6.000000000000000e+00}', "");
    Expect(1, 133867, '\P{Nv:	6.000000000000000e+00}', "");
    Expect(0, 133867, '\P{^Nv:	6.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value=/a/ 06}');
    Error('\P{Is_Numeric_Value=/a/ 06}');
    Expect(1, 133866, '\p{Is_Numeric_Value=00_6}', "");
    Expect(0, 133866, '\p{^Is_Numeric_Value=00_6}', "");
    Expect(0, 133866, '\P{Is_Numeric_Value=00_6}', "");
    Expect(1, 133866, '\P{^Is_Numeric_Value=00_6}', "");
    Expect(0, 133867, '\p{Is_Numeric_Value=00_6}', "");
    Expect(1, 133867, '\p{^Is_Numeric_Value=00_6}', "");
    Expect(1, 133867, '\P{Is_Numeric_Value=00_6}', "");
    Expect(0, 133867, '\P{^Is_Numeric_Value=00_6}', "");
    Expect(1, 133866, '\p{Is_Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133866, '\p{^Is_Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133866, '\P{Is_Numeric_Value=6.000000000000000e+00}', "");
    Expect(1, 133866, '\P{^Is_Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133867, '\p{Is_Numeric_Value=6.000000000000000e+00}', "");
    Expect(1, 133867, '\p{^Is_Numeric_Value=6.000000000000000e+00}', "");
    Expect(1, 133867, '\P{Is_Numeric_Value=6.000000000000000e+00}', "");
    Expect(0, 133867, '\P{^Is_Numeric_Value=6.000000000000000e+00}', "");
    Error('\p{Is_Nv=/a/__0006}');
    Error('\P{Is_Nv=/a/__0006}');
    Expect(1, 133866, '\p{Is_Nv=+6}', "");
    Expect(0, 133866, '\p{^Is_Nv=+6}', "");
    Expect(0, 133866, '\P{Is_Nv=+6}', "");
    Expect(1, 133866, '\P{^Is_Nv=+6}', "");
    Expect(0, 133867, '\p{Is_Nv=+6}', "");
    Expect(1, 133867, '\p{^Is_Nv=+6}', "");
    Expect(1, 133867, '\P{Is_Nv=+6}', "");
    Expect(0, 133867, '\P{^Is_Nv=+6}', "");
    Expect(1, 133866, '\p{Is_Nv=6.000000000000000e+00}', "");
    Expect(0, 133866, '\p{^Is_Nv=6.000000000000000e+00}', "");
    Expect(0, 133866, '\P{Is_Nv=6.000000000000000e+00}', "");
    Expect(1, 133866, '\P{^Is_Nv=6.000000000000000e+00}', "");
    Expect(0, 133867, '\p{Is_Nv=6.000000000000000e+00}', "");
    Expect(1, 133867, '\p{^Is_Nv=6.000000000000000e+00}', "");
    Expect(1, 133867, '\P{Is_Nv=6.000000000000000e+00}', "");
    Expect(0, 133867, '\P{^Is_Nv=6.000000000000000e+00}', "");
    Error('\p{Numeric_Value=	0_0_0_0_0_0_0_0_060/a/}');
    Error('\P{Numeric_Value=	0_0_0_0_0_0_0_0_060/a/}');
    Expect(1, 126223, '\p{Numeric_Value=:\A60\z:}', "");;
    Expect(0, 126224, '\p{Numeric_Value=:\A60\z:}', "");;
    Expect(1, 126223, '\p{Numeric_Value=60}', "");
    Expect(0, 126223, '\p{^Numeric_Value=60}', "");
    Expect(0, 126223, '\P{Numeric_Value=60}', "");
    Expect(1, 126223, '\P{^Numeric_Value=60}', "");
    Expect(0, 126224, '\p{Numeric_Value=60}', "");
    Expect(1, 126224, '\p{^Numeric_Value=60}', "");
    Expect(1, 126224, '\P{Numeric_Value=60}', "");
    Expect(0, 126224, '\P{^Numeric_Value=60}', "");
    Expect(1, 126223, '\p{Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126223, '\p{^Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126223, '\P{Numeric_Value=6.000000000000000e+01}', "");
    Expect(1, 126223, '\P{^Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126224, '\p{Numeric_Value=6.000000000000000e+01}', "");
    Expect(1, 126224, '\p{^Numeric_Value=6.000000000000000e+01}', "");
    Expect(1, 126224, '\P{Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126224, '\P{^Numeric_Value=6.000000000000000e+01}', "");
    Error('\p{Nv=:=00000000060}');
    Error('\P{Nv=:=00000000060}');
    Expect(1, 126223, '\p{Nv=:\A60\z:}', "");;
    Expect(0, 126224, '\p{Nv=:\A60\z:}', "");;
    Expect(1, 126223, '\p{Nv=0060}', "");
    Expect(0, 126223, '\p{^Nv=0060}', "");
    Expect(0, 126223, '\P{Nv=0060}', "");
    Expect(1, 126223, '\P{^Nv=0060}', "");
    Expect(0, 126224, '\p{Nv=0060}', "");
    Expect(1, 126224, '\p{^Nv=0060}', "");
    Expect(1, 126224, '\P{Nv=0060}', "");
    Expect(0, 126224, '\P{^Nv=0060}', "");
    Expect(1, 126223, '\p{Nv=6.000000000000000e+01}', "");
    Expect(0, 126223, '\p{^Nv=6.000000000000000e+01}', "");
    Expect(0, 126223, '\P{Nv=6.000000000000000e+01}', "");
    Expect(1, 126223, '\P{^Nv=6.000000000000000e+01}', "");
    Expect(0, 126224, '\p{Nv=6.000000000000000e+01}', "");
    Expect(1, 126224, '\p{^Nv=6.000000000000000e+01}', "");
    Expect(1, 126224, '\P{Nv=6.000000000000000e+01}', "");
    Expect(0, 126224, '\P{^Nv=6.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value:/a/--00000060}');
    Error('\P{Is_Numeric_Value:/a/--00000060}');
    Expect(1, 126223, '\p{Is_Numeric_Value=006_0}', "");
    Expect(0, 126223, '\p{^Is_Numeric_Value=006_0}', "");
    Expect(0, 126223, '\P{Is_Numeric_Value=006_0}', "");
    Expect(1, 126223, '\P{^Is_Numeric_Value=006_0}', "");
    Expect(0, 126224, '\p{Is_Numeric_Value=006_0}', "");
    Expect(1, 126224, '\p{^Is_Numeric_Value=006_0}', "");
    Expect(1, 126224, '\P{Is_Numeric_Value=006_0}', "");
    Expect(0, 126224, '\P{^Is_Numeric_Value=006_0}', "");
    Expect(1, 126223, '\p{Is_Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126223, '\p{^Is_Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126223, '\P{Is_Numeric_Value=6.000000000000000e+01}', "");
    Expect(1, 126223, '\P{^Is_Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126224, '\p{Is_Numeric_Value=6.000000000000000e+01}', "");
    Expect(1, 126224, '\p{^Is_Numeric_Value=6.000000000000000e+01}', "");
    Expect(1, 126224, '\P{Is_Numeric_Value=6.000000000000000e+01}', "");
    Expect(0, 126224, '\P{^Is_Numeric_Value=6.000000000000000e+01}', "");
    Error('\p{Is_Nv=/a/_	60}');
    Error('\P{Is_Nv=/a/_	60}');
    Expect(1, 126223, '\p{Is_Nv=+0000000006_0}', "");
    Expect(0, 126223, '\p{^Is_Nv=+0000000006_0}', "");
    Expect(0, 126223, '\P{Is_Nv=+0000000006_0}', "");
    Expect(1, 126223, '\P{^Is_Nv=+0000000006_0}', "");
    Expect(0, 126224, '\p{Is_Nv=+0000000006_0}', "");
    Expect(1, 126224, '\p{^Is_Nv=+0000000006_0}', "");
    Expect(1, 126224, '\P{Is_Nv=+0000000006_0}', "");
    Expect(0, 126224, '\P{^Is_Nv=+0000000006_0}', "");
    Expect(1, 126223, '\p{Is_Nv=6.000000000000000e+01}', "");
    Expect(0, 126223, '\p{^Is_Nv=6.000000000000000e+01}', "");
    Expect(0, 126223, '\P{Is_Nv=6.000000000000000e+01}', "");
    Expect(1, 126223, '\P{^Is_Nv=6.000000000000000e+01}', "");
    Expect(0, 126224, '\p{Is_Nv=6.000000000000000e+01}', "");
    Expect(1, 126224, '\p{^Is_Nv=6.000000000000000e+01}', "");
    Expect(1, 126224, '\P{Is_Nv=6.000000000000000e+01}', "");
    Expect(0, 126224, '\P{^Is_Nv=6.000000000000000e+01}', "");
    Error('\p{Numeric_Value=_:=00000600}');
    Error('\P{Numeric_Value=_:=00000600}');
    Expect(1, 126265, '\p{Numeric_Value=:\A600\z:}', "");;
    Expect(0, 126266, '\p{Numeric_Value=:\A600\z:}', "");;
    Expect(1, 126265, '\p{Numeric_Value=00000_00006_00}', "");
    Expect(0, 126265, '\p{^Numeric_Value=00000_00006_00}', "");
    Expect(0, 126265, '\P{Numeric_Value=00000_00006_00}', "");
    Expect(1, 126265, '\P{^Numeric_Value=00000_00006_00}', "");
    Expect(0, 126266, '\p{Numeric_Value=00000_00006_00}', "");
    Expect(1, 126266, '\p{^Numeric_Value=00000_00006_00}', "");
    Expect(1, 126266, '\P{Numeric_Value=00000_00006_00}', "");
    Expect(0, 126266, '\P{^Numeric_Value=00000_00006_00}', "");
    Expect(1, 126265, '\p{Numeric_Value=6.000000000000000e+02}', "");
    Expect(0, 126265, '\p{^Numeric_Value=6.000000000000000e+02}', "");
    Expect(0, 126265, '\P{Numeric_Value=6.000000000000000e+02}', "");
    Expect(1, 126265, '\P{^Numeric_Value=6.000000000000000e+02}', "");
    Expect(0, 126266, '\p{Numeric_Value=6.000000000000000e+02}', "");
    Expect(1, 126266, '\p{^Numeric_Value=6.000000000000000e+02}', "");
    Expect(1, 126266, '\P{Numeric_Value=6.000000000000000e+02}', "");
    Expect(0, 126266, '\P{^Numeric_Value=6.000000000000000e+02}', "");
    Error('\p{Nv= 	0000600/a/}');
    Error('\P{Nv= 	0000600/a/}');
    Expect(1, 126265, '\p{Nv=:\A600\z:}', "");;
    Expect(0, 126266, '\p{Nv=:\A600\z:}', "");;
    Expect(1, 126265, '\p{Nv=+000000600}', "");
    Expect(0, 126265, '\p{^Nv=+000000600}', "");
    Expect(0, 126265, '\P{Nv=+000000600}', "");
    Expect(1, 126265, '\P{^Nv=+000000600}', "");
    Expect(0, 126266, '\p{Nv=+000000600}', "");
    Expect(1, 126266, '\p{^Nv=+000000600}', "");
    Expect(1, 126266, '\P{Nv=+000000600}', "");
    Expect(0, 126266, '\P{^Nv=+000000600}', "");
    Expect(1, 126265, '\p{Nv=6.000000000000000e+02}', "");
    Expect(0, 126265, '\p{^Nv=6.000000000000000e+02}', "");
    Expect(0, 126265, '\P{Nv=6.000000000000000e+02}', "");
    Expect(1, 126265, '\P{^Nv=6.000000000000000e+02}', "");
    Expect(0, 126266, '\p{Nv=6.000000000000000e+02}', "");
    Expect(1, 126266, '\p{^Nv=6.000000000000000e+02}', "");
    Expect(1, 126266, '\P{Nv=6.000000000000000e+02}', "");
    Expect(0, 126266, '\P{^Nv=6.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value:   /a/	_+0_0_0_0_0600}');
    Error('\P{Is_Numeric_Value:   /a/	_+0_0_0_0_0600}');
    Expect(1, 126265, '\p{Is_Numeric_Value=000_060_0}', "");
    Expect(0, 126265, '\p{^Is_Numeric_Value=000_060_0}', "");
    Expect(0, 126265, '\P{Is_Numeric_Value=000_060_0}', "");
    Expect(1, 126265, '\P{^Is_Numeric_Value=000_060_0}', "");
    Expect(0, 126266, '\p{Is_Numeric_Value=000_060_0}', "");
    Expect(1, 126266, '\p{^Is_Numeric_Value=000_060_0}', "");
    Expect(1, 126266, '\P{Is_Numeric_Value=000_060_0}', "");
    Expect(0, 126266, '\P{^Is_Numeric_Value=000_060_0}', "");
    Expect(1, 126265, '\p{Is_Numeric_Value:   6.000000000000000e+02}', "");
    Expect(0, 126265, '\p{^Is_Numeric_Value:   6.000000000000000e+02}', "");
    Expect(0, 126265, '\P{Is_Numeric_Value:   6.000000000000000e+02}', "");
    Expect(1, 126265, '\P{^Is_Numeric_Value:   6.000000000000000e+02}', "");
    Expect(0, 126266, '\p{Is_Numeric_Value:   6.000000000000000e+02}', "");
    Expect(1, 126266, '\p{^Is_Numeric_Value:   6.000000000000000e+02}', "");
    Expect(1, 126266, '\P{Is_Numeric_Value:   6.000000000000000e+02}', "");
    Expect(0, 126266, '\P{^Is_Numeric_Value:   6.000000000000000e+02}', "");
    Error('\p{Is_Nv=	/a/0000_0006_00}');
    Error('\P{Is_Nv=	/a/0000_0006_00}');
    Expect(1, 126265, '\p{Is_Nv=000000600}', "");
    Expect(0, 126265, '\p{^Is_Nv=000000600}', "");
    Expect(0, 126265, '\P{Is_Nv=000000600}', "");
    Expect(1, 126265, '\P{^Is_Nv=000000600}', "");
    Expect(0, 126266, '\p{Is_Nv=000000600}', "");
    Expect(1, 126266, '\p{^Is_Nv=000000600}', "");
    Expect(1, 126266, '\P{Is_Nv=000000600}', "");
    Expect(0, 126266, '\P{^Is_Nv=000000600}', "");
    Expect(1, 126265, '\p{Is_Nv:   6.000000000000000e+02}', "");
    Expect(0, 126265, '\p{^Is_Nv:   6.000000000000000e+02}', "");
    Expect(0, 126265, '\P{Is_Nv:   6.000000000000000e+02}', "");
    Expect(1, 126265, '\P{^Is_Nv:   6.000000000000000e+02}', "");
    Expect(0, 126266, '\p{Is_Nv:   6.000000000000000e+02}', "");
    Expect(1, 126266, '\p{^Is_Nv:   6.000000000000000e+02}', "");
    Expect(1, 126266, '\P{Is_Nv:   6.000000000000000e+02}', "");
    Expect(0, 126266, '\P{^Is_Nv:   6.000000000000000e+02}', "");
    Error('\p{Numeric_Value=:=--+0_0_0_0_0_0_0_0_0_6_0_00}');
    Error('\P{Numeric_Value=:=--+0_0_0_0_0_0_0_0_0_6_0_00}');
    Expect(1, 126241, '\p{Numeric_Value=:\A6000\z:}', "");;
    Expect(0, 126242, '\p{Numeric_Value=:\A6000\z:}', "");;
    Expect(1, 126241, '\p{Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(0, 126241, '\p{^Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(0, 126241, '\P{Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(1, 126241, '\P{^Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(0, 126242, '\p{Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(1, 126242, '\p{^Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(1, 126242, '\P{Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(0, 126242, '\P{^Numeric_Value=0_0_0_0_0_0_0_06000}', "");
    Expect(1, 126241, '\p{Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126241, '\p{^Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126241, '\P{Numeric_Value=6.000000000000000e+03}', "");
    Expect(1, 126241, '\P{^Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126242, '\p{Numeric_Value=6.000000000000000e+03}', "");
    Expect(1, 126242, '\p{^Numeric_Value=6.000000000000000e+03}', "");
    Expect(1, 126242, '\P{Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126242, '\P{^Numeric_Value=6.000000000000000e+03}', "");
    Error('\p{Nv=:=-	+000000006000}');
    Error('\P{Nv=:=-	+000000006000}');
    Expect(1, 126241, '\p{Nv=:\A6000\z:}', "");;
    Expect(0, 126242, '\p{Nv=:\A6000\z:}', "");;
    Expect(1, 126241, '\p{Nv=000006000}', "");
    Expect(0, 126241, '\p{^Nv=000006000}', "");
    Expect(0, 126241, '\P{Nv=000006000}', "");
    Expect(1, 126241, '\P{^Nv=000006000}', "");
    Expect(0, 126242, '\p{Nv=000006000}', "");
    Expect(1, 126242, '\p{^Nv=000006000}', "");
    Expect(1, 126242, '\P{Nv=000006000}', "");
    Expect(0, 126242, '\P{^Nv=000006000}', "");
    Expect(1, 126241, '\p{Nv=6.000000000000000e+03}', "");
    Expect(0, 126241, '\p{^Nv=6.000000000000000e+03}', "");
    Expect(0, 126241, '\P{Nv=6.000000000000000e+03}', "");
    Expect(1, 126241, '\P{^Nv=6.000000000000000e+03}', "");
    Expect(0, 126242, '\p{Nv=6.000000000000000e+03}', "");
    Expect(1, 126242, '\p{^Nv=6.000000000000000e+03}', "");
    Expect(1, 126242, '\P{Nv=6.000000000000000e+03}', "");
    Expect(0, 126242, '\P{^Nv=6.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value= :=000_600_0}');
    Error('\P{Is_Numeric_Value= :=000_600_0}');
    Expect(1, 126241, '\p{Is_Numeric_Value=000_000_006_000}', "");
    Expect(0, 126241, '\p{^Is_Numeric_Value=000_000_006_000}', "");
    Expect(0, 126241, '\P{Is_Numeric_Value=000_000_006_000}', "");
    Expect(1, 126241, '\P{^Is_Numeric_Value=000_000_006_000}', "");
    Expect(0, 126242, '\p{Is_Numeric_Value=000_000_006_000}', "");
    Expect(1, 126242, '\p{^Is_Numeric_Value=000_000_006_000}', "");
    Expect(1, 126242, '\P{Is_Numeric_Value=000_000_006_000}', "");
    Expect(0, 126242, '\P{^Is_Numeric_Value=000_000_006_000}', "");
    Expect(1, 126241, '\p{Is_Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126241, '\p{^Is_Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126241, '\P{Is_Numeric_Value=6.000000000000000e+03}', "");
    Expect(1, 126241, '\P{^Is_Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126242, '\p{Is_Numeric_Value=6.000000000000000e+03}', "");
    Expect(1, 126242, '\p{^Is_Numeric_Value=6.000000000000000e+03}', "");
    Expect(1, 126242, '\P{Is_Numeric_Value=6.000000000000000e+03}', "");
    Expect(0, 126242, '\P{^Is_Numeric_Value=6.000000000000000e+03}', "");
    Error('\p{Is_Nv=/a/	_+00000006000}');
    Error('\P{Is_Nv=/a/	_+00000006000}');
    Expect(1, 126241, '\p{Is_Nv=0000006000}', "");
    Expect(0, 126241, '\p{^Is_Nv=0000006000}', "");
    Expect(0, 126241, '\P{Is_Nv=0000006000}', "");
    Expect(1, 126241, '\P{^Is_Nv=0000006000}', "");
    Expect(0, 126242, '\p{Is_Nv=0000006000}', "");
    Expect(1, 126242, '\p{^Is_Nv=0000006000}', "");
    Expect(1, 126242, '\P{Is_Nv=0000006000}', "");
    Expect(0, 126242, '\P{^Is_Nv=0000006000}', "");
    Expect(1, 126241, '\p{Is_Nv:	6.000000000000000e+03}', "");
    Expect(0, 126241, '\p{^Is_Nv:	6.000000000000000e+03}', "");
    Expect(0, 126241, '\P{Is_Nv:	6.000000000000000e+03}', "");
    Expect(1, 126241, '\P{^Is_Nv:	6.000000000000000e+03}', "");
    Expect(0, 126242, '\p{Is_Nv:	6.000000000000000e+03}', "");
    Expect(1, 126242, '\p{^Is_Nv:	6.000000000000000e+03}', "");
    Expect(1, 126242, '\P{Is_Nv:	6.000000000000000e+03}', "");
    Expect(0, 126242, '\P{^Is_Nv:	6.000000000000000e+03}', "");
    Error('\p{Numeric_Value= /a/000006000_0}');
    Error('\P{Numeric_Value= /a/000006000_0}');
    Expect(1, 126250, '\p{Numeric_Value=:\A60000\z:}', "");;
    Expect(0, 126251, '\p{Numeric_Value=:\A60000\z:}', "");;
    Expect(1, 126250, '\p{Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(0, 126250, '\p{^Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(0, 126250, '\P{Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(1, 126250, '\P{^Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(0, 126251, '\p{Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(1, 126251, '\p{^Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(1, 126251, '\P{Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(0, 126251, '\P{^Numeric_Value=0_0_0_0_0_60000}', "");
    Expect(1, 126250, '\p{Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126250, '\p{^Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126250, '\P{Numeric_Value=6.000000000000000e+04}', "");
    Expect(1, 126250, '\P{^Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126251, '\p{Numeric_Value=6.000000000000000e+04}', "");
    Expect(1, 126251, '\p{^Numeric_Value=6.000000000000000e+04}', "");
    Expect(1, 126251, '\P{Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126251, '\P{^Numeric_Value=6.000000000000000e+04}', "");
    Error('\p{Nv=:= 	+0_0_0_6_0000}');
    Error('\P{Nv=:= 	+0_0_0_6_0000}');
    Expect(1, 126250, '\p{Nv=:\A60000\z:}', "");;
    Expect(0, 126251, '\p{Nv=:\A60000\z:}', "");;
    Expect(1, 126250, '\p{Nv:   0060000}', "");
    Expect(0, 126250, '\p{^Nv:   0060000}', "");
    Expect(0, 126250, '\P{Nv:   0060000}', "");
    Expect(1, 126250, '\P{^Nv:   0060000}', "");
    Expect(0, 126251, '\p{Nv:   0060000}', "");
    Expect(1, 126251, '\p{^Nv:   0060000}', "");
    Expect(1, 126251, '\P{Nv:   0060000}', "");
    Expect(0, 126251, '\P{^Nv:   0060000}', "");
    Expect(1, 126250, '\p{Nv=6.000000000000000e+04}', "");
    Expect(0, 126250, '\p{^Nv=6.000000000000000e+04}', "");
    Expect(0, 126250, '\P{Nv=6.000000000000000e+04}', "");
    Expect(1, 126250, '\P{^Nv=6.000000000000000e+04}', "");
    Expect(0, 126251, '\p{Nv=6.000000000000000e+04}', "");
    Expect(1, 126251, '\p{^Nv=6.000000000000000e+04}', "");
    Expect(1, 126251, '\P{Nv=6.000000000000000e+04}', "");
    Expect(0, 126251, '\P{^Nv=6.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value=-:=+60_00_0}');
    Error('\P{Is_Numeric_Value=-:=+60_00_0}');
    Expect(1, 126250, '\p{Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(0, 126250, '\p{^Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(0, 126250, '\P{Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(1, 126250, '\P{^Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(0, 126251, '\p{Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(1, 126251, '\p{^Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(1, 126251, '\P{Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(0, 126251, '\P{^Is_Numeric_Value=+0_6_0_0_00}', "");
    Expect(1, 126250, '\p{Is_Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126250, '\p{^Is_Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126250, '\P{Is_Numeric_Value=6.000000000000000e+04}', "");
    Expect(1, 126250, '\P{^Is_Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126251, '\p{Is_Numeric_Value=6.000000000000000e+04}', "");
    Expect(1, 126251, '\p{^Is_Numeric_Value=6.000000000000000e+04}', "");
    Expect(1, 126251, '\P{Is_Numeric_Value=6.000000000000000e+04}', "");
    Expect(0, 126251, '\P{^Is_Numeric_Value=6.000000000000000e+04}', "");
    Error('\p{Is_Nv= 	0_0_0_0_0_0_060000:=}');
    Error('\P{Is_Nv= 	0_0_0_0_0_0_060000:=}');
    Expect(1, 126250, '\p{Is_Nv=+00000_06000_0}', "");
    Expect(0, 126250, '\p{^Is_Nv=+00000_06000_0}', "");
    Expect(0, 126250, '\P{Is_Nv=+00000_06000_0}', "");
    Expect(1, 126250, '\P{^Is_Nv=+00000_06000_0}', "");
    Expect(0, 126251, '\p{Is_Nv=+00000_06000_0}', "");
    Expect(1, 126251, '\p{^Is_Nv=+00000_06000_0}', "");
    Expect(1, 126251, '\P{Is_Nv=+00000_06000_0}', "");
    Expect(0, 126251, '\P{^Is_Nv=+00000_06000_0}', "");
    Expect(1, 126250, '\p{Is_Nv=6.000000000000000e+04}', "");
    Expect(0, 126250, '\p{^Is_Nv=6.000000000000000e+04}', "");
    Expect(0, 126250, '\P{Is_Nv=6.000000000000000e+04}', "");
    Expect(1, 126250, '\P{^Is_Nv=6.000000000000000e+04}', "");
    Expect(0, 126251, '\p{Is_Nv=6.000000000000000e+04}', "");
    Expect(1, 126251, '\p{^Is_Nv=6.000000000000000e+04}', "");
    Expect(1, 126251, '\P{Is_Nv=6.000000000000000e+04}', "");
    Expect(0, 126251, '\P{^Is_Nv=6.000000000000000e+04}', "");
    Error('\p{Numeric_Value= /a/0_0_0_0_0_0_6_0_0_0_00}');
    Error('\P{Numeric_Value= /a/0_0_0_0_0_0_6_0_0_0_00}');
    Expect(1, 68082, '\p{Numeric_Value=:\A600000\z:}', "");;
    Expect(0, 68083, '\p{Numeric_Value=:\A600000\z:}', "");;
    Expect(1, 68082, '\p{Numeric_Value=+0060000_0}', "");
    Expect(0, 68082, '\p{^Numeric_Value=+0060000_0}', "");
    Expect(0, 68082, '\P{Numeric_Value=+0060000_0}', "");
    Expect(1, 68082, '\P{^Numeric_Value=+0060000_0}', "");
    Expect(0, 68083, '\p{Numeric_Value=+0060000_0}', "");
    Expect(1, 68083, '\p{^Numeric_Value=+0060000_0}', "");
    Expect(1, 68083, '\P{Numeric_Value=+0060000_0}', "");
    Expect(0, 68083, '\P{^Numeric_Value=+0060000_0}', "");
    Expect(1, 68082, '\p{Numeric_Value:6.000000000000000e+05}', "");
    Expect(0, 68082, '\p{^Numeric_Value:6.000000000000000e+05}', "");
    Expect(0, 68082, '\P{Numeric_Value:6.000000000000000e+05}', "");
    Expect(1, 68082, '\P{^Numeric_Value:6.000000000000000e+05}', "");
    Expect(0, 68083, '\p{Numeric_Value:6.000000000000000e+05}', "");
    Expect(1, 68083, '\p{^Numeric_Value:6.000000000000000e+05}', "");
    Expect(1, 68083, '\P{Numeric_Value:6.000000000000000e+05}', "");
    Expect(0, 68083, '\P{^Numeric_Value:6.000000000000000e+05}', "");
    Error('\p{Nv=/a/- 0_6_0_0_000}');
    Error('\P{Nv=/a/- 0_6_0_0_000}');
    Expect(1, 68082, '\p{Nv=:\A600000\z:}', "");;
    Expect(0, 68083, '\p{Nv=:\A600000\z:}', "");;
    Expect(1, 68082, '\p{Nv=0_0_6_0_0000}', "");
    Expect(0, 68082, '\p{^Nv=0_0_6_0_0000}', "");
    Expect(0, 68082, '\P{Nv=0_0_6_0_0000}', "");
    Expect(1, 68082, '\P{^Nv=0_0_6_0_0000}', "");
    Expect(0, 68083, '\p{Nv=0_0_6_0_0000}', "");
    Expect(1, 68083, '\p{^Nv=0_0_6_0_0000}', "");
    Expect(1, 68083, '\P{Nv=0_0_6_0_0000}', "");
    Expect(0, 68083, '\P{^Nv=0_0_6_0_0000}', "");
    Expect(1, 68082, '\p{Nv=6.000000000000000e+05}', "");
    Expect(0, 68082, '\p{^Nv=6.000000000000000e+05}', "");
    Expect(0, 68082, '\P{Nv=6.000000000000000e+05}', "");
    Expect(1, 68082, '\P{^Nv=6.000000000000000e+05}', "");
    Expect(0, 68083, '\p{Nv=6.000000000000000e+05}', "");
    Expect(1, 68083, '\p{^Nv=6.000000000000000e+05}', "");
    Expect(1, 68083, '\P{Nv=6.000000000000000e+05}', "");
    Expect(0, 68083, '\P{^Nv=6.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=:=	0000600000}');
    Error('\P{Is_Numeric_Value=:=	0000600000}');
    Expect(1, 68082, '\p{Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(0, 68082, '\p{^Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(0, 68082, '\P{Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(1, 68082, '\P{^Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(0, 68083, '\p{Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(1, 68083, '\p{^Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(1, 68083, '\P{Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(0, 68083, '\P{^Is_Numeric_Value:	0_0_0_6_0_0000}', "");
    Expect(1, 68082, '\p{Is_Numeric_Value=6.000000000000000e+05}', "");
    Expect(0, 68082, '\p{^Is_Numeric_Value=6.000000000000000e+05}', "");
    Expect(0, 68082, '\P{Is_Numeric_Value=6.000000000000000e+05}', "");
    Expect(1, 68082, '\P{^Is_Numeric_Value=6.000000000000000e+05}', "");
    Expect(0, 68083, '\p{Is_Numeric_Value=6.000000000000000e+05}', "");
    Expect(1, 68083, '\p{^Is_Numeric_Value=6.000000000000000e+05}', "");
    Expect(1, 68083, '\P{Is_Numeric_Value=6.000000000000000e+05}', "");
    Expect(0, 68083, '\P{^Is_Numeric_Value=6.000000000000000e+05}', "");
    Error('\p{Is_Nv=/a/	0000000600000}');
    Error('\P{Is_Nv=/a/	0000000600000}');
    Expect(1, 68082, '\p{Is_Nv=+00_06_00_00_0}', "");
    Expect(0, 68082, '\p{^Is_Nv=+00_06_00_00_0}', "");
    Expect(0, 68082, '\P{Is_Nv=+00_06_00_00_0}', "");
    Expect(1, 68082, '\P{^Is_Nv=+00_06_00_00_0}', "");
    Expect(0, 68083, '\p{Is_Nv=+00_06_00_00_0}', "");
    Expect(1, 68083, '\p{^Is_Nv=+00_06_00_00_0}', "");
    Expect(1, 68083, '\P{Is_Nv=+00_06_00_00_0}', "");
    Expect(0, 68083, '\P{^Is_Nv=+00_06_00_00_0}', "");
    Expect(1, 68082, '\p{Is_Nv=6.000000000000000e+05}', "");
    Expect(0, 68082, '\p{^Is_Nv=6.000000000000000e+05}', "");
    Expect(0, 68082, '\P{Is_Nv=6.000000000000000e+05}', "");
    Expect(1, 68082, '\P{^Is_Nv=6.000000000000000e+05}', "");
    Expect(0, 68083, '\p{Is_Nv=6.000000000000000e+05}', "");
    Expect(1, 68083, '\p{^Is_Nv=6.000000000000000e+05}', "");
    Expect(1, 68083, '\P{Is_Nv=6.000000000000000e+05}', "");
    Expect(0, 68083, '\P{^Is_Nv=6.000000000000000e+05}', "");
    Error('\p{Numeric_Value=_/a/0000_7}');
    Error('\P{Numeric_Value=_/a/0000_7}');
    Expect(1, 131073, '\p{Numeric_Value=:\A7\z:}', "");;
    Expect(0, 131074, '\p{Numeric_Value=:\A7\z:}', "");;
    Expect(1, 131073, '\p{Numeric_Value=+07}', "");
    Expect(0, 131073, '\p{^Numeric_Value=+07}', "");
    Expect(0, 131073, '\P{Numeric_Value=+07}', "");
    Expect(1, 131073, '\P{^Numeric_Value=+07}', "");
    Expect(0, 131074, '\p{Numeric_Value=+07}', "");
    Expect(1, 131074, '\p{^Numeric_Value=+07}', "");
    Expect(1, 131074, '\P{Numeric_Value=+07}', "");
    Expect(0, 131074, '\P{^Numeric_Value=+07}', "");
    Expect(1, 131073, '\p{Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131073, '\p{^Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131073, '\P{Numeric_Value=7.000000000000000e+00}', "");
    Expect(1, 131073, '\P{^Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131074, '\p{Numeric_Value=7.000000000000000e+00}', "");
    Expect(1, 131074, '\p{^Numeric_Value=7.000000000000000e+00}', "");
    Expect(1, 131074, '\P{Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131074, '\P{^Numeric_Value=7.000000000000000e+00}', "");
    Error('\p{Nv=/a/000000007}');
    Error('\P{Nv=/a/000000007}');
    Expect(1, 131073, '\p{Nv=:\A7\z:}', "");;
    Expect(0, 131074, '\p{Nv=:\A7\z:}', "");;
    Expect(1, 131073, '\p{Nv=00_00_7}', "");
    Expect(0, 131073, '\p{^Nv=00_00_7}', "");
    Expect(0, 131073, '\P{Nv=00_00_7}', "");
    Expect(1, 131073, '\P{^Nv=00_00_7}', "");
    Expect(0, 131074, '\p{Nv=00_00_7}', "");
    Expect(1, 131074, '\p{^Nv=00_00_7}', "");
    Expect(1, 131074, '\P{Nv=00_00_7}', "");
    Expect(0, 131074, '\P{^Nv=00_00_7}', "");
    Expect(1, 131073, '\p{Nv=7.000000000000000e+00}', "");
    Expect(0, 131073, '\p{^Nv=7.000000000000000e+00}', "");
    Expect(0, 131073, '\P{Nv=7.000000000000000e+00}', "");
    Expect(1, 131073, '\P{^Nv=7.000000000000000e+00}', "");
    Expect(0, 131074, '\p{Nv=7.000000000000000e+00}', "");
    Expect(1, 131074, '\p{^Nv=7.000000000000000e+00}', "");
    Expect(1, 131074, '\P{Nv=7.000000000000000e+00}', "");
    Expect(0, 131074, '\P{^Nv=7.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value=	00_00_7/a/}');
    Error('\P{Is_Numeric_Value=	00_00_7/a/}');
    Expect(1, 131073, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(0, 131073, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(0, 131073, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(1, 131073, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(0, 131074, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(1, 131074, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(1, 131074, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(0, 131074, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_007}', "");
    Expect(1, 131073, '\p{Is_Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131073, '\p{^Is_Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131073, '\P{Is_Numeric_Value=7.000000000000000e+00}', "");
    Expect(1, 131073, '\P{^Is_Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131074, '\p{Is_Numeric_Value=7.000000000000000e+00}', "");
    Expect(1, 131074, '\p{^Is_Numeric_Value=7.000000000000000e+00}', "");
    Expect(1, 131074, '\P{Is_Numeric_Value=7.000000000000000e+00}', "");
    Expect(0, 131074, '\P{^Is_Numeric_Value=7.000000000000000e+00}', "");
    Error('\p{Is_Nv= +00000007:=}');
    Error('\P{Is_Nv= +00000007:=}');
    Expect(1, 131073, '\p{Is_Nv=000000007}', "");
    Expect(0, 131073, '\p{^Is_Nv=000000007}', "");
    Expect(0, 131073, '\P{Is_Nv=000000007}', "");
    Expect(1, 131073, '\P{^Is_Nv=000000007}', "");
    Expect(0, 131074, '\p{Is_Nv=000000007}', "");
    Expect(1, 131074, '\p{^Is_Nv=000000007}', "");
    Expect(1, 131074, '\P{Is_Nv=000000007}', "");
    Expect(0, 131074, '\P{^Is_Nv=000000007}', "");
    Expect(1, 131073, '\p{Is_Nv=7.000000000000000e+00}', "");
    Expect(0, 131073, '\p{^Is_Nv=7.000000000000000e+00}', "");
    Expect(0, 131073, '\P{Is_Nv=7.000000000000000e+00}', "");
    Expect(1, 131073, '\P{^Is_Nv=7.000000000000000e+00}', "");
    Expect(0, 131074, '\p{Is_Nv=7.000000000000000e+00}', "");
    Expect(1, 131074, '\p{^Is_Nv=7.000000000000000e+00}', "");
    Expect(1, 131074, '\P{Is_Nv=7.000000000000000e+00}', "");
    Expect(0, 131074, '\P{^Is_Nv=7.000000000000000e+00}', "");
    Error('\p{Numeric_Value= -00007/012:=}');
    Error('\P{Numeric_Value= -00007/012:=}');
    Expect(1, 68092, '\p{Numeric_Value=:\A7/12\z:}', "");;
    Expect(0, 68093, '\p{Numeric_Value=:\A7/12\z:}', "");;
    Expect(1, 68092, '\p{Numeric_Value: +0007/00012}', "");
    Expect(0, 68092, '\p{^Numeric_Value: +0007/00012}', "");
    Expect(0, 68092, '\P{Numeric_Value: +0007/00012}', "");
    Expect(1, 68092, '\P{^Numeric_Value: +0007/00012}', "");
    Expect(0, 68093, '\p{Numeric_Value: +0007/00012}', "");
    Expect(1, 68093, '\p{^Numeric_Value: +0007/00012}', "");
    Expect(1, 68093, '\P{Numeric_Value: +0007/00012}', "");
    Expect(0, 68093, '\P{^Numeric_Value: +0007/00012}', "");
    Expect(1, 68092, '\p{Numeric_Value=420/720}', "");
    Expect(0, 68092, '\p{^Numeric_Value=420/720}', "");
    Expect(0, 68092, '\P{Numeric_Value=420/720}', "");
    Expect(1, 68092, '\P{^Numeric_Value=420/720}', "");
    Expect(0, 68093, '\p{Numeric_Value=420/720}', "");
    Expect(1, 68093, '\p{^Numeric_Value=420/720}', "");
    Expect(1, 68093, '\P{Numeric_Value=420/720}', "");
    Expect(0, 68093, '\P{^Numeric_Value=420/720}', "");
    Error('\p{Numeric_Value=5.8e-01}');
    Error('\P{Numeric_Value=5.8e-01}');
    Error('\p{Numeric_Value=5.83e-01}');
    Error('\P{Numeric_Value=5.83e-01}');
    Error('\p{Numeric_Value: 0.58}');
    Error('\P{Numeric_Value: 0.58}');
    Expect(1, 68092, '\p{Numeric_Value=5.833e-01}', "");
    Expect(0, 68092, '\p{^Numeric_Value=5.833e-01}', "");
    Expect(0, 68092, '\P{Numeric_Value=5.833e-01}', "");
    Expect(1, 68092, '\P{^Numeric_Value=5.833e-01}', "");
    Expect(0, 68093, '\p{Numeric_Value=5.833e-01}', "");
    Expect(1, 68093, '\p{^Numeric_Value=5.833e-01}', "");
    Expect(1, 68093, '\P{Numeric_Value=5.833e-01}', "");
    Expect(0, 68093, '\P{^Numeric_Value=5.833e-01}', "");
    Error('\p{Numeric_Value=0.583}');
    Error('\P{Numeric_Value=0.583}');
    Expect(1, 68092, '\p{Numeric_Value=5.8333e-01}', "");
    Expect(0, 68092, '\p{^Numeric_Value=5.8333e-01}', "");
    Expect(0, 68092, '\P{Numeric_Value=5.8333e-01}', "");
    Expect(1, 68092, '\P{^Numeric_Value=5.8333e-01}', "");
    Expect(0, 68093, '\p{Numeric_Value=5.8333e-01}', "");
    Expect(1, 68093, '\p{^Numeric_Value=5.8333e-01}', "");
    Expect(1, 68093, '\P{Numeric_Value=5.8333e-01}', "");
    Expect(0, 68093, '\P{^Numeric_Value=5.8333e-01}', "");
    Expect(1, 68092, '\p{Numeric_Value:	0.5833}', "");
    Expect(0, 68092, '\p{^Numeric_Value:	0.5833}', "");
    Expect(0, 68092, '\P{Numeric_Value:	0.5833}', "");
    Expect(1, 68092, '\P{^Numeric_Value:	0.5833}', "");
    Expect(0, 68093, '\p{Numeric_Value:	0.5833}', "");
    Expect(1, 68093, '\p{^Numeric_Value:	0.5833}', "");
    Expect(1, 68093, '\P{Numeric_Value:	0.5833}', "");
    Expect(0, 68093, '\P{^Numeric_Value:	0.5833}', "");
    Expect(1, 68092, '\p{Numeric_Value=5.83333e-01}', "");
    Expect(0, 68092, '\p{^Numeric_Value=5.83333e-01}', "");
    Expect(0, 68092, '\P{Numeric_Value=5.83333e-01}', "");
    Expect(1, 68092, '\P{^Numeric_Value=5.83333e-01}', "");
    Expect(0, 68093, '\p{Numeric_Value=5.83333e-01}', "");
    Expect(1, 68093, '\p{^Numeric_Value=5.83333e-01}', "");
    Expect(1, 68093, '\P{Numeric_Value=5.83333e-01}', "");
    Expect(0, 68093, '\P{^Numeric_Value=5.83333e-01}', "");
    Expect(1, 68092, '\p{Numeric_Value=0.58333}', "");
    Expect(0, 68092, '\p{^Numeric_Value=0.58333}', "");
    Expect(0, 68092, '\P{Numeric_Value=0.58333}', "");
    Expect(1, 68092, '\P{^Numeric_Value=0.58333}', "");
    Expect(0, 68093, '\p{Numeric_Value=0.58333}', "");
    Expect(1, 68093, '\p{^Numeric_Value=0.58333}', "");
    Expect(1, 68093, '\P{Numeric_Value=0.58333}', "");
    Expect(0, 68093, '\P{^Numeric_Value=0.58333}', "");
    Error('\p{Nv=  000000007/00012/a/}');
    Error('\P{Nv=  000000007/00012/a/}');
    Expect(1, 68092, '\p{Nv=:\A7/12\z:}', "");;
    Expect(0, 68093, '\p{Nv=:\A7/12\z:}', "");;
    Expect(1, 68092, '\p{Nv=+0000007/012}', "");
    Expect(0, 68092, '\p{^Nv=+0000007/012}', "");
    Expect(0, 68092, '\P{Nv=+0000007/012}', "");
    Expect(1, 68092, '\P{^Nv=+0000007/012}', "");
    Expect(0, 68093, '\p{Nv=+0000007/012}', "");
    Expect(1, 68093, '\p{^Nv=+0000007/012}', "");
    Expect(1, 68093, '\P{Nv=+0000007/012}', "");
    Expect(0, 68093, '\P{^Nv=+0000007/012}', "");
    Expect(1, 68092, '\p{Nv=420/720}', "");
    Expect(0, 68092, '\p{^Nv=420/720}', "");
    Expect(0, 68092, '\P{Nv=420/720}', "");
    Expect(1, 68092, '\P{^Nv=420/720}', "");
    Expect(0, 68093, '\p{Nv=420/720}', "");
    Expect(1, 68093, '\p{^Nv=420/720}', "");
    Expect(1, 68093, '\P{Nv=420/720}', "");
    Expect(0, 68093, '\P{^Nv=420/720}', "");
    Error('\p{Nv=5.8e-01}');
    Error('\P{Nv=5.8e-01}');
    Error('\p{Nv=5.83e-01}');
    Error('\P{Nv=5.83e-01}');
    Error('\p{Nv=0.58}');
    Error('\P{Nv=0.58}');
    Expect(1, 68092, '\p{Nv:	5.833e-01}', "");
    Expect(0, 68092, '\p{^Nv:	5.833e-01}', "");
    Expect(0, 68092, '\P{Nv:	5.833e-01}', "");
    Expect(1, 68092, '\P{^Nv:	5.833e-01}', "");
    Expect(0, 68093, '\p{Nv:	5.833e-01}', "");
    Expect(1, 68093, '\p{^Nv:	5.833e-01}', "");
    Expect(1, 68093, '\P{Nv:	5.833e-01}', "");
    Expect(0, 68093, '\P{^Nv:	5.833e-01}', "");
    Error('\p{Nv=0.583}');
    Error('\P{Nv=0.583}');
    Expect(1, 68092, '\p{Nv=5.8333e-01}', "");
    Expect(0, 68092, '\p{^Nv=5.8333e-01}', "");
    Expect(0, 68092, '\P{Nv=5.8333e-01}', "");
    Expect(1, 68092, '\P{^Nv=5.8333e-01}', "");
    Expect(0, 68093, '\p{Nv=5.8333e-01}', "");
    Expect(1, 68093, '\p{^Nv=5.8333e-01}', "");
    Expect(1, 68093, '\P{Nv=5.8333e-01}', "");
    Expect(0, 68093, '\P{^Nv=5.8333e-01}', "");
    Expect(1, 68092, '\p{Nv:0.5833}', "");
    Expect(0, 68092, '\p{^Nv:0.5833}', "");
    Expect(0, 68092, '\P{Nv:0.5833}', "");
    Expect(1, 68092, '\P{^Nv:0.5833}', "");
    Expect(0, 68093, '\p{Nv:0.5833}', "");
    Expect(1, 68093, '\p{^Nv:0.5833}', "");
    Expect(1, 68093, '\P{Nv:0.5833}', "");
    Expect(0, 68093, '\P{^Nv:0.5833}', "");
    Expect(1, 68092, '\p{Nv=5.83333e-01}', "");
    Expect(0, 68092, '\p{^Nv=5.83333e-01}', "");
    Expect(0, 68092, '\P{Nv=5.83333e-01}', "");
    Expect(1, 68092, '\P{^Nv=5.83333e-01}', "");
    Expect(0, 68093, '\p{Nv=5.83333e-01}', "");
    Expect(1, 68093, '\p{^Nv=5.83333e-01}', "");
    Expect(1, 68093, '\P{Nv=5.83333e-01}', "");
    Expect(0, 68093, '\P{^Nv=5.83333e-01}', "");
    Expect(1, 68092, '\p{Nv:	0.58333}', "");
    Expect(0, 68092, '\p{^Nv:	0.58333}', "");
    Expect(0, 68092, '\P{Nv:	0.58333}', "");
    Expect(1, 68092, '\P{^Nv:	0.58333}', "");
    Expect(0, 68093, '\p{Nv:	0.58333}', "");
    Expect(1, 68093, '\p{^Nv:	0.58333}', "");
    Expect(1, 68093, '\P{Nv:	0.58333}', "");
    Expect(0, 68093, '\P{^Nv:	0.58333}', "");
    Error('\p{Is_Numeric_Value=	_00007/00000012:=}');
    Error('\P{Is_Numeric_Value=	_00007/00000012:=}');
    Expect(1, 68092, '\p{Is_Numeric_Value=0000000007/00012}', "");
    Expect(0, 68092, '\p{^Is_Numeric_Value=0000000007/00012}', "");
    Expect(0, 68092, '\P{Is_Numeric_Value=0000000007/00012}', "");
    Expect(1, 68092, '\P{^Is_Numeric_Value=0000000007/00012}', "");
    Expect(0, 68093, '\p{Is_Numeric_Value=0000000007/00012}', "");
    Expect(1, 68093, '\p{^Is_Numeric_Value=0000000007/00012}', "");
    Expect(1, 68093, '\P{Is_Numeric_Value=0000000007/00012}', "");
    Expect(0, 68093, '\P{^Is_Numeric_Value=0000000007/00012}', "");
    Expect(1, 68092, '\p{Is_Numeric_Value=420/720}', "");
    Expect(0, 68092, '\p{^Is_Numeric_Value=420/720}', "");
    Expect(0, 68092, '\P{Is_Numeric_Value=420/720}', "");
    Expect(1, 68092, '\P{^Is_Numeric_Value=420/720}', "");
    Expect(0, 68093, '\p{Is_Numeric_Value=420/720}', "");
    Expect(1, 68093, '\p{^Is_Numeric_Value=420/720}', "");
    Expect(1, 68093, '\P{Is_Numeric_Value=420/720}', "");
    Expect(0, 68093, '\P{^Is_Numeric_Value=420/720}', "");
    Error('\p{Is_Numeric_Value=5.8e-01}');
    Error('\P{Is_Numeric_Value=5.8e-01}');
    Error('\p{Is_Numeric_Value=5.83e-01}');
    Error('\P{Is_Numeric_Value=5.83e-01}');
    Error('\p{Is_Numeric_Value:0.58}');
    Error('\P{Is_Numeric_Value:0.58}');
    Expect(1, 68092, '\p{Is_Numeric_Value=5.833e-01}', "");
    Expect(0, 68092, '\p{^Is_Numeric_Value=5.833e-01}', "");
    Expect(0, 68092, '\P{Is_Numeric_Value=5.833e-01}', "");
    Expect(1, 68092, '\P{^Is_Numeric_Value=5.833e-01}', "");
    Expect(0, 68093, '\p{Is_Numeric_Value=5.833e-01}', "");
    Expect(1, 68093, '\p{^Is_Numeric_Value=5.833e-01}', "");
    Expect(1, 68093, '\P{Is_Numeric_Value=5.833e-01}', "");
    Expect(0, 68093, '\P{^Is_Numeric_Value=5.833e-01}', "");
    Error('\p{Is_Numeric_Value=0.583}');
    Error('\P{Is_Numeric_Value=0.583}');
    Expect(1, 68092, '\p{Is_Numeric_Value=5.8333e-01}', "");
    Expect(0, 68092, '\p{^Is_Numeric_Value=5.8333e-01}', "");
    Expect(0, 68092, '\P{Is_Numeric_Value=5.8333e-01}', "");
    Expect(1, 68092, '\P{^Is_Numeric_Value=5.8333e-01}', "");
    Expect(0, 68093, '\p{Is_Numeric_Value=5.8333e-01}', "");
    Expect(1, 68093, '\p{^Is_Numeric_Value=5.8333e-01}', "");
    Expect(1, 68093, '\P{Is_Numeric_Value=5.8333e-01}', "");
    Expect(0, 68093, '\P{^Is_Numeric_Value=5.8333e-01}', "");
    Expect(1, 68092, '\p{Is_Numeric_Value=0.5833}', "");
    Expect(0, 68092, '\p{^Is_Numeric_Value=0.5833}', "");
    Expect(0, 68092, '\P{Is_Numeric_Value=0.5833}', "");
    Expect(1, 68092, '\P{^Is_Numeric_Value=0.5833}', "");
    Expect(0, 68093, '\p{Is_Numeric_Value=0.5833}', "");
    Expect(1, 68093, '\p{^Is_Numeric_Value=0.5833}', "");
    Expect(1, 68093, '\P{Is_Numeric_Value=0.5833}', "");
    Expect(0, 68093, '\P{^Is_Numeric_Value=0.5833}', "");
    Expect(1, 68092, '\p{Is_Numeric_Value=5.83333e-01}', "");
    Expect(0, 68092, '\p{^Is_Numeric_Value=5.83333e-01}', "");
    Expect(0, 68092, '\P{Is_Numeric_Value=5.83333e-01}', "");
    Expect(1, 68092, '\P{^Is_Numeric_Value=5.83333e-01}', "");
    Expect(0, 68093, '\p{Is_Numeric_Value=5.83333e-01}', "");
    Expect(1, 68093, '\p{^Is_Numeric_Value=5.83333e-01}', "");
    Expect(1, 68093, '\P{Is_Numeric_Value=5.83333e-01}', "");
    Expect(0, 68093, '\P{^Is_Numeric_Value=5.83333e-01}', "");
    Expect(1, 68092, '\p{Is_Numeric_Value=0.58333}', "");
    Expect(0, 68092, '\p{^Is_Numeric_Value=0.58333}', "");
    Expect(0, 68092, '\P{Is_Numeric_Value=0.58333}', "");
    Expect(1, 68092, '\P{^Is_Numeric_Value=0.58333}', "");
    Expect(0, 68093, '\p{Is_Numeric_Value=0.58333}', "");
    Expect(1, 68093, '\p{^Is_Numeric_Value=0.58333}', "");
    Expect(1, 68093, '\P{Is_Numeric_Value=0.58333}', "");
    Expect(0, 68093, '\P{^Is_Numeric_Value=0.58333}', "");
    Error('\p{Is_Nv=:=07/0000012}');
    Error('\P{Is_Nv=:=07/0000012}');
    Expect(1, 68092, '\p{Is_Nv=0000000007/0000012}', "");
    Expect(0, 68092, '\p{^Is_Nv=0000000007/0000012}', "");
    Expect(0, 68092, '\P{Is_Nv=0000000007/0000012}', "");
    Expect(1, 68092, '\P{^Is_Nv=0000000007/0000012}', "");
    Expect(0, 68093, '\p{Is_Nv=0000000007/0000012}', "");
    Expect(1, 68093, '\p{^Is_Nv=0000000007/0000012}', "");
    Expect(1, 68093, '\P{Is_Nv=0000000007/0000012}', "");
    Expect(0, 68093, '\P{^Is_Nv=0000000007/0000012}', "");
    Expect(1, 68092, '\p{Is_Nv=420/720}', "");
    Expect(0, 68092, '\p{^Is_Nv=420/720}', "");
    Expect(0, 68092, '\P{Is_Nv=420/720}', "");
    Expect(1, 68092, '\P{^Is_Nv=420/720}', "");
    Expect(0, 68093, '\p{Is_Nv=420/720}', "");
    Expect(1, 68093, '\p{^Is_Nv=420/720}', "");
    Expect(1, 68093, '\P{Is_Nv=420/720}', "");
    Expect(0, 68093, '\P{^Is_Nv=420/720}', "");
    Error('\p{Is_Nv=5.8e-01}');
    Error('\P{Is_Nv=5.8e-01}');
    Error('\p{Is_Nv=5.83e-01}');
    Error('\P{Is_Nv=5.83e-01}');
    Error('\p{Is_Nv=0.58}');
    Error('\P{Is_Nv=0.58}');
    Expect(1, 68092, '\p{Is_Nv=5.833e-01}', "");
    Expect(0, 68092, '\p{^Is_Nv=5.833e-01}', "");
    Expect(0, 68092, '\P{Is_Nv=5.833e-01}', "");
    Expect(1, 68092, '\P{^Is_Nv=5.833e-01}', "");
    Expect(0, 68093, '\p{Is_Nv=5.833e-01}', "");
    Expect(1, 68093, '\p{^Is_Nv=5.833e-01}', "");
    Expect(1, 68093, '\P{Is_Nv=5.833e-01}', "");
    Expect(0, 68093, '\P{^Is_Nv=5.833e-01}', "");
    Error('\p{Is_Nv=0.583}');
    Error('\P{Is_Nv=0.583}');
    Expect(1, 68092, '\p{Is_Nv:   5.8333e-01}', "");
    Expect(0, 68092, '\p{^Is_Nv:   5.8333e-01}', "");
    Expect(0, 68092, '\P{Is_Nv:   5.8333e-01}', "");
    Expect(1, 68092, '\P{^Is_Nv:   5.8333e-01}', "");
    Expect(0, 68093, '\p{Is_Nv:   5.8333e-01}', "");
    Expect(1, 68093, '\p{^Is_Nv:   5.8333e-01}', "");
    Expect(1, 68093, '\P{Is_Nv:   5.8333e-01}', "");
    Expect(0, 68093, '\P{^Is_Nv:   5.8333e-01}', "");
    Expect(1, 68092, '\p{Is_Nv=0.5833}', "");
    Expect(0, 68092, '\p{^Is_Nv=0.5833}', "");
    Expect(0, 68092, '\P{Is_Nv=0.5833}', "");
    Expect(1, 68092, '\P{^Is_Nv=0.5833}', "");
    Expect(0, 68093, '\p{Is_Nv=0.5833}', "");
    Expect(1, 68093, '\p{^Is_Nv=0.5833}', "");
    Expect(1, 68093, '\P{Is_Nv=0.5833}', "");
    Expect(0, 68093, '\P{^Is_Nv=0.5833}', "");
    Expect(1, 68092, '\p{Is_Nv=5.83333e-01}', "");
    Expect(0, 68092, '\p{^Is_Nv=5.83333e-01}', "");
    Expect(0, 68092, '\P{Is_Nv=5.83333e-01}', "");
    Expect(1, 68092, '\P{^Is_Nv=5.83333e-01}', "");
    Expect(0, 68093, '\p{Is_Nv=5.83333e-01}', "");
    Expect(1, 68093, '\p{^Is_Nv=5.83333e-01}', "");
    Expect(1, 68093, '\P{Is_Nv=5.83333e-01}', "");
    Expect(0, 68093, '\P{^Is_Nv=5.83333e-01}', "");
    Expect(1, 68092, '\p{Is_Nv=0.58333}', "");
    Expect(0, 68092, '\p{^Is_Nv=0.58333}', "");
    Expect(0, 68092, '\P{Is_Nv=0.58333}', "");
    Expect(1, 68092, '\P{^Is_Nv=0.58333}', "");
    Expect(0, 68093, '\p{Is_Nv=0.58333}', "");
    Expect(1, 68093, '\p{^Is_Nv=0.58333}', "");
    Expect(1, 68093, '\P{Is_Nv=0.58333}', "");
    Expect(0, 68093, '\P{^Is_Nv=0.58333}', "");
    Error('\p{Numeric_Value:     000000007/000002/a/}');
    Error('\P{Numeric_Value:     000000007/000002/a/}');
    Expect(1, 3885, '\p{Numeric_Value=:\A7/2\z:}', "");;
    Expect(0, 3886, '\p{Numeric_Value=:\A7/2\z:}', "");;
    Expect(1, 3885, '\p{Numeric_Value=7/000000002}', "");
    Expect(0, 3885, '\p{^Numeric_Value=7/000000002}', "");
    Expect(0, 3885, '\P{Numeric_Value=7/000000002}', "");
    Expect(1, 3885, '\P{^Numeric_Value=7/000000002}', "");
    Expect(0, 3886, '\p{Numeric_Value=7/000000002}', "");
    Expect(1, 3886, '\p{^Numeric_Value=7/000000002}', "");
    Expect(1, 3886, '\P{Numeric_Value=7/000000002}', "");
    Expect(0, 3886, '\P{^Numeric_Value=7/000000002}', "");
    Expect(1, 3885, '\p{Numeric_Value=420/120}', "");
    Expect(0, 3885, '\p{^Numeric_Value=420/120}', "");
    Expect(0, 3885, '\P{Numeric_Value=420/120}', "");
    Expect(1, 3885, '\P{^Numeric_Value=420/120}', "");
    Expect(0, 3886, '\p{Numeric_Value=420/120}', "");
    Expect(1, 3886, '\p{^Numeric_Value=420/120}', "");
    Expect(1, 3886, '\P{Numeric_Value=420/120}', "");
    Expect(0, 3886, '\P{^Numeric_Value=420/120}', "");
    Expect(1, 3885, '\p{Numeric_Value=3.5e+00}', "");
    Expect(0, 3885, '\p{^Numeric_Value=3.5e+00}', "");
    Expect(0, 3885, '\P{Numeric_Value=3.5e+00}', "");
    Expect(1, 3885, '\P{^Numeric_Value=3.5e+00}', "");
    Expect(0, 3886, '\p{Numeric_Value=3.5e+00}', "");
    Expect(1, 3886, '\p{^Numeric_Value=3.5e+00}', "");
    Expect(1, 3886, '\P{Numeric_Value=3.5e+00}', "");
    Expect(0, 3886, '\P{^Numeric_Value=3.5e+00}', "");
    Expect(1, 3885, '\p{Numeric_Value=3.5}', "");
    Expect(0, 3885, '\p{^Numeric_Value=3.5}', "");
    Expect(0, 3885, '\P{Numeric_Value=3.5}', "");
    Expect(1, 3885, '\P{^Numeric_Value=3.5}', "");
    Expect(0, 3886, '\p{Numeric_Value=3.5}', "");
    Expect(1, 3886, '\p{^Numeric_Value=3.5}', "");
    Expect(1, 3886, '\P{Numeric_Value=3.5}', "");
    Expect(0, 3886, '\P{^Numeric_Value=3.5}', "");
    Expect(1, 3885, '\p{Numeric_Value:3.50e+00}', "");
    Expect(0, 3885, '\p{^Numeric_Value:3.50e+00}', "");
    Expect(0, 3885, '\P{Numeric_Value:3.50e+00}', "");
    Expect(1, 3885, '\P{^Numeric_Value:3.50e+00}', "");
    Expect(0, 3886, '\p{Numeric_Value:3.50e+00}', "");
    Expect(1, 3886, '\p{^Numeric_Value:3.50e+00}', "");
    Expect(1, 3886, '\P{Numeric_Value:3.50e+00}', "");
    Expect(0, 3886, '\P{^Numeric_Value:3.50e+00}', "");
    Expect(1, 3885, '\p{Numeric_Value=3.50}', "");
    Expect(0, 3885, '\p{^Numeric_Value=3.50}', "");
    Expect(0, 3885, '\P{Numeric_Value=3.50}', "");
    Expect(1, 3885, '\P{^Numeric_Value=3.50}', "");
    Expect(0, 3886, '\p{Numeric_Value=3.50}', "");
    Expect(1, 3886, '\p{^Numeric_Value=3.50}', "");
    Expect(1, 3886, '\P{Numeric_Value=3.50}', "");
    Expect(0, 3886, '\P{^Numeric_Value=3.50}', "");
    Error('\p{Nv=-/a/000000007/02}');
    Error('\P{Nv=-/a/000000007/02}');
    Expect(1, 3885, '\p{Nv=:\A7/2\z:}', "");;
    Expect(0, 3886, '\p{Nv=:\A7/2\z:}', "");;
    Expect(1, 3885, '\p{Nv=0000007/2}', "");
    Expect(0, 3885, '\p{^Nv=0000007/2}', "");
    Expect(0, 3885, '\P{Nv=0000007/2}', "");
    Expect(1, 3885, '\P{^Nv=0000007/2}', "");
    Expect(0, 3886, '\p{Nv=0000007/2}', "");
    Expect(1, 3886, '\p{^Nv=0000007/2}', "");
    Expect(1, 3886, '\P{Nv=0000007/2}', "");
    Expect(0, 3886, '\P{^Nv=0000007/2}', "");
    Expect(1, 3885, '\p{Nv=420/120}', "");
    Expect(0, 3885, '\p{^Nv=420/120}', "");
    Expect(0, 3885, '\P{Nv=420/120}', "");
    Expect(1, 3885, '\P{^Nv=420/120}', "");
    Expect(0, 3886, '\p{Nv=420/120}', "");
    Expect(1, 3886, '\p{^Nv=420/120}', "");
    Expect(1, 3886, '\P{Nv=420/120}', "");
    Expect(0, 3886, '\P{^Nv=420/120}', "");
    Expect(1, 3885, '\p{Nv=3.5e+00}', "");
    Expect(0, 3885, '\p{^Nv=3.5e+00}', "");
    Expect(0, 3885, '\P{Nv=3.5e+00}', "");
    Expect(1, 3885, '\P{^Nv=3.5e+00}', "");
    Expect(0, 3886, '\p{Nv=3.5e+00}', "");
    Expect(1, 3886, '\p{^Nv=3.5e+00}', "");
    Expect(1, 3886, '\P{Nv=3.5e+00}', "");
    Expect(0, 3886, '\P{^Nv=3.5e+00}', "");
    Expect(1, 3885, '\p{Nv: 3.5}', "");
    Expect(0, 3885, '\p{^Nv: 3.5}', "");
    Expect(0, 3885, '\P{Nv: 3.5}', "");
    Expect(1, 3885, '\P{^Nv: 3.5}', "");
    Expect(0, 3886, '\p{Nv: 3.5}', "");
    Expect(1, 3886, '\p{^Nv: 3.5}', "");
    Expect(1, 3886, '\P{Nv: 3.5}', "");
    Expect(0, 3886, '\P{^Nv: 3.5}', "");
    Expect(1, 3885, '\p{Nv=3.50e+00}', "");
    Expect(0, 3885, '\p{^Nv=3.50e+00}', "");
    Expect(0, 3885, '\P{Nv=3.50e+00}', "");
    Expect(1, 3885, '\P{^Nv=3.50e+00}', "");
    Expect(0, 3886, '\p{Nv=3.50e+00}', "");
    Expect(1, 3886, '\p{^Nv=3.50e+00}', "");
    Expect(1, 3886, '\P{Nv=3.50e+00}', "");
    Expect(0, 3886, '\P{^Nv=3.50e+00}', "");
    Expect(1, 3885, '\p{Nv: 3.50}', "");
    Expect(0, 3885, '\p{^Nv: 3.50}', "");
    Expect(0, 3885, '\P{Nv: 3.50}', "");
    Expect(1, 3885, '\P{^Nv: 3.50}', "");
    Expect(0, 3886, '\p{Nv: 3.50}', "");
    Expect(1, 3886, '\p{^Nv: 3.50}', "");
    Expect(1, 3886, '\P{Nv: 3.50}', "");
    Expect(0, 3886, '\P{^Nv: 3.50}', "");
    Error('\p{Is_Numeric_Value=-:=0000000007/00002}');
    Error('\P{Is_Numeric_Value=-:=0000000007/00002}');
    Expect(1, 3885, '\p{Is_Numeric_Value=007/0000000002}', "");
    Expect(0, 3885, '\p{^Is_Numeric_Value=007/0000000002}', "");
    Expect(0, 3885, '\P{Is_Numeric_Value=007/0000000002}', "");
    Expect(1, 3885, '\P{^Is_Numeric_Value=007/0000000002}', "");
    Expect(0, 3886, '\p{Is_Numeric_Value=007/0000000002}', "");
    Expect(1, 3886, '\p{^Is_Numeric_Value=007/0000000002}', "");
    Expect(1, 3886, '\P{Is_Numeric_Value=007/0000000002}', "");
    Expect(0, 3886, '\P{^Is_Numeric_Value=007/0000000002}', "");
    Expect(1, 3885, '\p{Is_Numeric_Value=420/120}', "");
    Expect(0, 3885, '\p{^Is_Numeric_Value=420/120}', "");
    Expect(0, 3885, '\P{Is_Numeric_Value=420/120}', "");
    Expect(1, 3885, '\P{^Is_Numeric_Value=420/120}', "");
    Expect(0, 3886, '\p{Is_Numeric_Value=420/120}', "");
    Expect(1, 3886, '\p{^Is_Numeric_Value=420/120}', "");
    Expect(1, 3886, '\P{Is_Numeric_Value=420/120}', "");
    Expect(0, 3886, '\P{^Is_Numeric_Value=420/120}', "");
    Expect(1, 3885, '\p{Is_Numeric_Value:3.5e+00}', "");
    Expect(0, 3885, '\p{^Is_Numeric_Value:3.5e+00}', "");
    Expect(0, 3885, '\P{Is_Numeric_Value:3.5e+00}', "");
    Expect(1, 3885, '\P{^Is_Numeric_Value:3.5e+00}', "");
    Expect(0, 3886, '\p{Is_Numeric_Value:3.5e+00}', "");
    Expect(1, 3886, '\p{^Is_Numeric_Value:3.5e+00}', "");
    Expect(1, 3886, '\P{Is_Numeric_Value:3.5e+00}', "");
    Expect(0, 3886, '\P{^Is_Numeric_Value:3.5e+00}', "");
    Expect(1, 3885, '\p{Is_Numeric_Value=3.5}', "");
    Expect(0, 3885, '\p{^Is_Numeric_Value=3.5}', "");
    Expect(0, 3885, '\P{Is_Numeric_Value=3.5}', "");
    Expect(1, 3885, '\P{^Is_Numeric_Value=3.5}', "");
    Expect(0, 3886, '\p{Is_Numeric_Value=3.5}', "");
    Expect(1, 3886, '\p{^Is_Numeric_Value=3.5}', "");
    Expect(1, 3886, '\P{Is_Numeric_Value=3.5}', "");
    Expect(0, 3886, '\P{^Is_Numeric_Value=3.5}', "");
    Expect(1, 3885, '\p{Is_Numeric_Value=3.50e+00}', "");
    Expect(0, 3885, '\p{^Is_Numeric_Value=3.50e+00}', "");
    Expect(0, 3885, '\P{Is_Numeric_Value=3.50e+00}', "");
    Expect(1, 3885, '\P{^Is_Numeric_Value=3.50e+00}', "");
    Expect(0, 3886, '\p{Is_Numeric_Value=3.50e+00}', "");
    Expect(1, 3886, '\p{^Is_Numeric_Value=3.50e+00}', "");
    Expect(1, 3886, '\P{Is_Numeric_Value=3.50e+00}', "");
    Expect(0, 3886, '\P{^Is_Numeric_Value=3.50e+00}', "");
    Expect(1, 3885, '\p{Is_Numeric_Value=3.50}', "");
    Expect(0, 3885, '\p{^Is_Numeric_Value=3.50}', "");
    Expect(0, 3885, '\P{Is_Numeric_Value=3.50}', "");
    Expect(1, 3885, '\P{^Is_Numeric_Value=3.50}', "");
    Expect(0, 3886, '\p{Is_Numeric_Value=3.50}', "");
    Expect(1, 3886, '\p{^Is_Numeric_Value=3.50}', "");
    Expect(1, 3886, '\P{Is_Numeric_Value=3.50}', "");
    Expect(0, 3886, '\P{^Is_Numeric_Value=3.50}', "");
    Error('\p{Is_Nv=-:=00007/00002}');
    Error('\P{Is_Nv=-:=00007/00002}');
    Expect(1, 3885, '\p{Is_Nv=+7/00002}', "");
    Expect(0, 3885, '\p{^Is_Nv=+7/00002}', "");
    Expect(0, 3885, '\P{Is_Nv=+7/00002}', "");
    Expect(1, 3885, '\P{^Is_Nv=+7/00002}', "");
    Expect(0, 3886, '\p{Is_Nv=+7/00002}', "");
    Expect(1, 3886, '\p{^Is_Nv=+7/00002}', "");
    Expect(1, 3886, '\P{Is_Nv=+7/00002}', "");
    Expect(0, 3886, '\P{^Is_Nv=+7/00002}', "");
    Expect(1, 3885, '\p{Is_Nv=420/120}', "");
    Expect(0, 3885, '\p{^Is_Nv=420/120}', "");
    Expect(0, 3885, '\P{Is_Nv=420/120}', "");
    Expect(1, 3885, '\P{^Is_Nv=420/120}', "");
    Expect(0, 3886, '\p{Is_Nv=420/120}', "");
    Expect(1, 3886, '\p{^Is_Nv=420/120}', "");
    Expect(1, 3886, '\P{Is_Nv=420/120}', "");
    Expect(0, 3886, '\P{^Is_Nv=420/120}', "");
    Expect(1, 3885, '\p{Is_Nv=3.5e+00}', "");
    Expect(0, 3885, '\p{^Is_Nv=3.5e+00}', "");
    Expect(0, 3885, '\P{Is_Nv=3.5e+00}', "");
    Expect(1, 3885, '\P{^Is_Nv=3.5e+00}', "");
    Expect(0, 3886, '\p{Is_Nv=3.5e+00}', "");
    Expect(1, 3886, '\p{^Is_Nv=3.5e+00}', "");
    Expect(1, 3886, '\P{Is_Nv=3.5e+00}', "");
    Expect(0, 3886, '\P{^Is_Nv=3.5e+00}', "");
    Expect(1, 3885, '\p{Is_Nv=3.5}', "");
    Expect(0, 3885, '\p{^Is_Nv=3.5}', "");
    Expect(0, 3885, '\P{Is_Nv=3.5}', "");
    Expect(1, 3885, '\P{^Is_Nv=3.5}', "");
    Expect(0, 3886, '\p{Is_Nv=3.5}', "");
    Expect(1, 3886, '\p{^Is_Nv=3.5}', "");
    Expect(1, 3886, '\P{Is_Nv=3.5}', "");
    Expect(0, 3886, '\P{^Is_Nv=3.5}', "");
    Expect(1, 3885, '\p{Is_Nv=3.50e+00}', "");
    Expect(0, 3885, '\p{^Is_Nv=3.50e+00}', "");
    Expect(0, 3885, '\P{Is_Nv=3.50e+00}', "");
    Expect(1, 3885, '\P{^Is_Nv=3.50e+00}', "");
    Expect(0, 3886, '\p{Is_Nv=3.50e+00}', "");
    Expect(1, 3886, '\p{^Is_Nv=3.50e+00}', "");
    Expect(1, 3886, '\P{Is_Nv=3.50e+00}', "");
    Expect(0, 3886, '\P{^Is_Nv=3.50e+00}', "");
    Expect(1, 3885, '\p{Is_Nv=3.50}', "");
    Expect(0, 3885, '\p{^Is_Nv=3.50}', "");
    Expect(0, 3885, '\P{Is_Nv=3.50}', "");
    Expect(1, 3885, '\P{^Is_Nv=3.50}', "");
    Expect(0, 3886, '\p{Is_Nv=3.50}', "");
    Expect(1, 3886, '\p{^Is_Nv=3.50}', "");
    Expect(1, 3886, '\P{Is_Nv=3.50}', "");
    Expect(0, 3886, '\P{^Is_Nv=3.50}', "");
    Error('\p{Numeric_Value=:=	 00000007/00008}');
    Error('\P{Numeric_Value=:=	 00000007/00008}');
    Expect(1, 8542, '\p{Numeric_Value=:\A7/8\z:}', "");;
    Expect(0, 8543, '\p{Numeric_Value=:\A7/8\z:}', "");;
    Expect(1, 8542, '\p{Numeric_Value=7/00008}', "");
    Expect(0, 8542, '\p{^Numeric_Value=7/00008}', "");
    Expect(0, 8542, '\P{Numeric_Value=7/00008}', "");
    Expect(1, 8542, '\P{^Numeric_Value=7/00008}', "");
    Expect(0, 8543, '\p{Numeric_Value=7/00008}', "");
    Expect(1, 8543, '\p{^Numeric_Value=7/00008}', "");
    Expect(1, 8543, '\P{Numeric_Value=7/00008}', "");
    Expect(0, 8543, '\P{^Numeric_Value=7/00008}', "");
    Expect(1, 8542, '\p{Numeric_Value=420/480}', "");
    Expect(0, 8542, '\p{^Numeric_Value=420/480}', "");
    Expect(0, 8542, '\P{Numeric_Value=420/480}', "");
    Expect(1, 8542, '\P{^Numeric_Value=420/480}', "");
    Expect(0, 8543, '\p{Numeric_Value=420/480}', "");
    Expect(1, 8543, '\p{^Numeric_Value=420/480}', "");
    Expect(1, 8543, '\P{Numeric_Value=420/480}', "");
    Expect(0, 8543, '\P{^Numeric_Value=420/480}', "");
    Error('\p{Numeric_Value=8.8e-01}');
    Error('\P{Numeric_Value=8.8e-01}');
    Error('\p{Numeric_Value=0.9}');
    Error('\P{Numeric_Value=0.9}');
    Expect(1, 8542, '\p{Numeric_Value=8.75e-01}', "");
    Expect(0, 8542, '\p{^Numeric_Value=8.75e-01}', "");
    Expect(0, 8542, '\P{Numeric_Value=8.75e-01}', "");
    Expect(1, 8542, '\P{^Numeric_Value=8.75e-01}', "");
    Expect(0, 8543, '\p{Numeric_Value=8.75e-01}', "");
    Expect(1, 8543, '\p{^Numeric_Value=8.75e-01}', "");
    Expect(1, 8543, '\P{Numeric_Value=8.75e-01}', "");
    Expect(0, 8543, '\P{^Numeric_Value=8.75e-01}', "");
    Error('\p{Numeric_Value=0.88}');
    Error('\P{Numeric_Value=0.88}');
    Expect(1, 8542, '\p{Numeric_Value=8.750e-01}', "");
    Expect(0, 8542, '\p{^Numeric_Value=8.750e-01}', "");
    Expect(0, 8542, '\P{Numeric_Value=8.750e-01}', "");
    Expect(1, 8542, '\P{^Numeric_Value=8.750e-01}', "");
    Expect(0, 8543, '\p{Numeric_Value=8.750e-01}', "");
    Expect(1, 8543, '\p{^Numeric_Value=8.750e-01}', "");
    Expect(1, 8543, '\P{Numeric_Value=8.750e-01}', "");
    Expect(0, 8543, '\P{^Numeric_Value=8.750e-01}', "");
    Expect(1, 8542, '\p{Numeric_Value=0.875}', "");
    Expect(0, 8542, '\p{^Numeric_Value=0.875}', "");
    Expect(0, 8542, '\P{Numeric_Value=0.875}', "");
    Expect(1, 8542, '\P{^Numeric_Value=0.875}', "");
    Expect(0, 8543, '\p{Numeric_Value=0.875}', "");
    Expect(1, 8543, '\p{^Numeric_Value=0.875}', "");
    Expect(1, 8543, '\P{Numeric_Value=0.875}', "");
    Expect(0, 8543, '\P{^Numeric_Value=0.875}', "");
    Expect(1, 8542, '\p{Numeric_Value=8.7500e-01}', "");
    Expect(0, 8542, '\p{^Numeric_Value=8.7500e-01}', "");
    Expect(0, 8542, '\P{Numeric_Value=8.7500e-01}', "");
    Expect(1, 8542, '\P{^Numeric_Value=8.7500e-01}', "");
    Expect(0, 8543, '\p{Numeric_Value=8.7500e-01}', "");
    Expect(1, 8543, '\p{^Numeric_Value=8.7500e-01}', "");
    Expect(1, 8543, '\P{Numeric_Value=8.7500e-01}', "");
    Expect(0, 8543, '\P{^Numeric_Value=8.7500e-01}', "");
    Expect(1, 8542, '\p{Numeric_Value=0.8750}', "");
    Expect(0, 8542, '\p{^Numeric_Value=0.8750}', "");
    Expect(0, 8542, '\P{Numeric_Value=0.8750}', "");
    Expect(1, 8542, '\P{^Numeric_Value=0.8750}', "");
    Expect(0, 8543, '\p{Numeric_Value=0.8750}', "");
    Expect(1, 8543, '\p{^Numeric_Value=0.8750}', "");
    Expect(1, 8543, '\P{Numeric_Value=0.8750}', "");
    Expect(0, 8543, '\P{^Numeric_Value=0.8750}', "");
    Error('\p{Nv=-0000000007/0008:=}');
    Error('\P{Nv=-0000000007/0008:=}');
    Expect(1, 8542, '\p{Nv=:\A7/8\z:}', "");;
    Expect(0, 8543, '\p{Nv=:\A7/8\z:}', "");;
    Expect(1, 8542, '\p{Nv=000000007/008}', "");
    Expect(0, 8542, '\p{^Nv=000000007/008}', "");
    Expect(0, 8542, '\P{Nv=000000007/008}', "");
    Expect(1, 8542, '\P{^Nv=000000007/008}', "");
    Expect(0, 8543, '\p{Nv=000000007/008}', "");
    Expect(1, 8543, '\p{^Nv=000000007/008}', "");
    Expect(1, 8543, '\P{Nv=000000007/008}', "");
    Expect(0, 8543, '\P{^Nv=000000007/008}', "");
    Expect(1, 8542, '\p{Nv=420/480}', "");
    Expect(0, 8542, '\p{^Nv=420/480}', "");
    Expect(0, 8542, '\P{Nv=420/480}', "");
    Expect(1, 8542, '\P{^Nv=420/480}', "");
    Expect(0, 8543, '\p{Nv=420/480}', "");
    Expect(1, 8543, '\p{^Nv=420/480}', "");
    Expect(1, 8543, '\P{Nv=420/480}', "");
    Expect(0, 8543, '\P{^Nv=420/480}', "");
    Error('\p{Nv=8.8e-01}');
    Error('\P{Nv=8.8e-01}');
    Error('\p{Nv:0.9}');
    Error('\P{Nv:0.9}');
    Expect(1, 8542, '\p{Nv: 8.75e-01}', "");
    Expect(0, 8542, '\p{^Nv: 8.75e-01}', "");
    Expect(0, 8542, '\P{Nv: 8.75e-01}', "");
    Expect(1, 8542, '\P{^Nv: 8.75e-01}', "");
    Expect(0, 8543, '\p{Nv: 8.75e-01}', "");
    Expect(1, 8543, '\p{^Nv: 8.75e-01}', "");
    Expect(1, 8543, '\P{Nv: 8.75e-01}', "");
    Expect(0, 8543, '\P{^Nv: 8.75e-01}', "");
    Error('\p{Nv=0.88}');
    Error('\P{Nv=0.88}');
    Expect(1, 8542, '\p{Nv=8.750e-01}', "");
    Expect(0, 8542, '\p{^Nv=8.750e-01}', "");
    Expect(0, 8542, '\P{Nv=8.750e-01}', "");
    Expect(1, 8542, '\P{^Nv=8.750e-01}', "");
    Expect(0, 8543, '\p{Nv=8.750e-01}', "");
    Expect(1, 8543, '\p{^Nv=8.750e-01}', "");
    Expect(1, 8543, '\P{Nv=8.750e-01}', "");
    Expect(0, 8543, '\P{^Nv=8.750e-01}', "");
    Expect(1, 8542, '\p{Nv=0.875}', "");
    Expect(0, 8542, '\p{^Nv=0.875}', "");
    Expect(0, 8542, '\P{Nv=0.875}', "");
    Expect(1, 8542, '\P{^Nv=0.875}', "");
    Expect(0, 8543, '\p{Nv=0.875}', "");
    Expect(1, 8543, '\p{^Nv=0.875}', "");
    Expect(1, 8543, '\P{Nv=0.875}', "");
    Expect(0, 8543, '\P{^Nv=0.875}', "");
    Expect(1, 8542, '\p{Nv=8.7500e-01}', "");
    Expect(0, 8542, '\p{^Nv=8.7500e-01}', "");
    Expect(0, 8542, '\P{Nv=8.7500e-01}', "");
    Expect(1, 8542, '\P{^Nv=8.7500e-01}', "");
    Expect(0, 8543, '\p{Nv=8.7500e-01}', "");
    Expect(1, 8543, '\p{^Nv=8.7500e-01}', "");
    Expect(1, 8543, '\P{Nv=8.7500e-01}', "");
    Expect(0, 8543, '\P{^Nv=8.7500e-01}', "");
    Expect(1, 8542, '\p{Nv=0.8750}', "");
    Expect(0, 8542, '\p{^Nv=0.8750}', "");
    Expect(0, 8542, '\P{Nv=0.8750}', "");
    Expect(1, 8542, '\P{^Nv=0.8750}', "");
    Expect(0, 8543, '\p{Nv=0.8750}', "");
    Expect(1, 8543, '\p{^Nv=0.8750}', "");
    Expect(1, 8543, '\P{Nv=0.8750}', "");
    Expect(0, 8543, '\P{^Nv=0.8750}', "");
    Error('\p{Is_Numeric_Value=-:=+00007/8}');
    Error('\P{Is_Numeric_Value=-:=+00007/8}');
    Expect(1, 8542, '\p{Is_Numeric_Value=+7/0000008}', "");
    Expect(0, 8542, '\p{^Is_Numeric_Value=+7/0000008}', "");
    Expect(0, 8542, '\P{Is_Numeric_Value=+7/0000008}', "");
    Expect(1, 8542, '\P{^Is_Numeric_Value=+7/0000008}', "");
    Expect(0, 8543, '\p{Is_Numeric_Value=+7/0000008}', "");
    Expect(1, 8543, '\p{^Is_Numeric_Value=+7/0000008}', "");
    Expect(1, 8543, '\P{Is_Numeric_Value=+7/0000008}', "");
    Expect(0, 8543, '\P{^Is_Numeric_Value=+7/0000008}', "");
    Expect(1, 8542, '\p{Is_Numeric_Value=420/480}', "");
    Expect(0, 8542, '\p{^Is_Numeric_Value=420/480}', "");
    Expect(0, 8542, '\P{Is_Numeric_Value=420/480}', "");
    Expect(1, 8542, '\P{^Is_Numeric_Value=420/480}', "");
    Expect(0, 8543, '\p{Is_Numeric_Value=420/480}', "");
    Expect(1, 8543, '\p{^Is_Numeric_Value=420/480}', "");
    Expect(1, 8543, '\P{Is_Numeric_Value=420/480}', "");
    Expect(0, 8543, '\P{^Is_Numeric_Value=420/480}', "");
    Error('\p{Is_Numeric_Value=8.8e-01}');
    Error('\P{Is_Numeric_Value=8.8e-01}');
    Error('\p{Is_Numeric_Value=0.9}');
    Error('\P{Is_Numeric_Value=0.9}');
    Expect(1, 8542, '\p{Is_Numeric_Value=8.75e-01}', "");
    Expect(0, 8542, '\p{^Is_Numeric_Value=8.75e-01}', "");
    Expect(0, 8542, '\P{Is_Numeric_Value=8.75e-01}', "");
    Expect(1, 8542, '\P{^Is_Numeric_Value=8.75e-01}', "");
    Expect(0, 8543, '\p{Is_Numeric_Value=8.75e-01}', "");
    Expect(1, 8543, '\p{^Is_Numeric_Value=8.75e-01}', "");
    Expect(1, 8543, '\P{Is_Numeric_Value=8.75e-01}', "");
    Expect(0, 8543, '\P{^Is_Numeric_Value=8.75e-01}', "");
    Error('\p{Is_Numeric_Value:   0.88}');
    Error('\P{Is_Numeric_Value:   0.88}');
    Expect(1, 8542, '\p{Is_Numeric_Value=8.750e-01}', "");
    Expect(0, 8542, '\p{^Is_Numeric_Value=8.750e-01}', "");
    Expect(0, 8542, '\P{Is_Numeric_Value=8.750e-01}', "");
    Expect(1, 8542, '\P{^Is_Numeric_Value=8.750e-01}', "");
    Expect(0, 8543, '\p{Is_Numeric_Value=8.750e-01}', "");
    Expect(1, 8543, '\p{^Is_Numeric_Value=8.750e-01}', "");
    Expect(1, 8543, '\P{Is_Numeric_Value=8.750e-01}', "");
    Expect(0, 8543, '\P{^Is_Numeric_Value=8.750e-01}', "");
    Expect(1, 8542, '\p{Is_Numeric_Value=0.875}', "");
    Expect(0, 8542, '\p{^Is_Numeric_Value=0.875}', "");
    Expect(0, 8542, '\P{Is_Numeric_Value=0.875}', "");
    Expect(1, 8542, '\P{^Is_Numeric_Value=0.875}', "");
    Expect(0, 8543, '\p{Is_Numeric_Value=0.875}', "");
    Expect(1, 8543, '\p{^Is_Numeric_Value=0.875}', "");
    Expect(1, 8543, '\P{Is_Numeric_Value=0.875}', "");
    Expect(0, 8543, '\P{^Is_Numeric_Value=0.875}', "");
    Expect(1, 8542, '\p{Is_Numeric_Value=8.7500e-01}', "");
    Expect(0, 8542, '\p{^Is_Numeric_Value=8.7500e-01}', "");
    Expect(0, 8542, '\P{Is_Numeric_Value=8.7500e-01}', "");
    Expect(1, 8542, '\P{^Is_Numeric_Value=8.7500e-01}', "");
    Expect(0, 8543, '\p{Is_Numeric_Value=8.7500e-01}', "");
    Expect(1, 8543, '\p{^Is_Numeric_Value=8.7500e-01}', "");
    Expect(1, 8543, '\P{Is_Numeric_Value=8.7500e-01}', "");
    Expect(0, 8543, '\P{^Is_Numeric_Value=8.7500e-01}', "");
    Expect(1, 8542, '\p{Is_Numeric_Value=0.8750}', "");
    Expect(0, 8542, '\p{^Is_Numeric_Value=0.8750}', "");
    Expect(0, 8542, '\P{Is_Numeric_Value=0.8750}', "");
    Expect(1, 8542, '\P{^Is_Numeric_Value=0.8750}', "");
    Expect(0, 8543, '\p{Is_Numeric_Value=0.8750}', "");
    Expect(1, 8543, '\p{^Is_Numeric_Value=0.8750}', "");
    Expect(1, 8543, '\P{Is_Numeric_Value=0.8750}', "");
    Expect(0, 8543, '\P{^Is_Numeric_Value=0.8750}', "");
    Error('\p{Is_Nv= /a/07/00000008}');
    Error('\P{Is_Nv= /a/07/00000008}');
    Expect(1, 8542, '\p{Is_Nv=+0000000007/00008}', "");
    Expect(0, 8542, '\p{^Is_Nv=+0000000007/00008}', "");
    Expect(0, 8542, '\P{Is_Nv=+0000000007/00008}', "");
    Expect(1, 8542, '\P{^Is_Nv=+0000000007/00008}', "");
    Expect(0, 8543, '\p{Is_Nv=+0000000007/00008}', "");
    Expect(1, 8543, '\p{^Is_Nv=+0000000007/00008}', "");
    Expect(1, 8543, '\P{Is_Nv=+0000000007/00008}', "");
    Expect(0, 8543, '\P{^Is_Nv=+0000000007/00008}', "");
    Expect(1, 8542, '\p{Is_Nv=420/480}', "");
    Expect(0, 8542, '\p{^Is_Nv=420/480}', "");
    Expect(0, 8542, '\P{Is_Nv=420/480}', "");
    Expect(1, 8542, '\P{^Is_Nv=420/480}', "");
    Expect(0, 8543, '\p{Is_Nv=420/480}', "");
    Expect(1, 8543, '\p{^Is_Nv=420/480}', "");
    Expect(1, 8543, '\P{Is_Nv=420/480}', "");
    Expect(0, 8543, '\P{^Is_Nv=420/480}', "");
    Error('\p{Is_Nv=8.8e-01}');
    Error('\P{Is_Nv=8.8e-01}');
    Error('\p{Is_Nv=0.9}');
    Error('\P{Is_Nv=0.9}');
    Expect(1, 8542, '\p{Is_Nv=8.75e-01}', "");
    Expect(0, 8542, '\p{^Is_Nv=8.75e-01}', "");
    Expect(0, 8542, '\P{Is_Nv=8.75e-01}', "");
    Expect(1, 8542, '\P{^Is_Nv=8.75e-01}', "");
    Expect(0, 8543, '\p{Is_Nv=8.75e-01}', "");
    Expect(1, 8543, '\p{^Is_Nv=8.75e-01}', "");
    Expect(1, 8543, '\P{Is_Nv=8.75e-01}', "");
    Expect(0, 8543, '\P{^Is_Nv=8.75e-01}', "");
    Error('\p{Is_Nv=0.88}');
    Error('\P{Is_Nv=0.88}');
    Expect(1, 8542, '\p{Is_Nv=8.750e-01}', "");
    Expect(0, 8542, '\p{^Is_Nv=8.750e-01}', "");
    Expect(0, 8542, '\P{Is_Nv=8.750e-01}', "");
    Expect(1, 8542, '\P{^Is_Nv=8.750e-01}', "");
    Expect(0, 8543, '\p{Is_Nv=8.750e-01}', "");
    Expect(1, 8543, '\p{^Is_Nv=8.750e-01}', "");
    Expect(1, 8543, '\P{Is_Nv=8.750e-01}', "");
    Expect(0, 8543, '\P{^Is_Nv=8.750e-01}', "");
    Expect(1, 8542, '\p{Is_Nv=0.875}', "");
    Expect(0, 8542, '\p{^Is_Nv=0.875}', "");
    Expect(0, 8542, '\P{Is_Nv=0.875}', "");
    Expect(1, 8542, '\P{^Is_Nv=0.875}', "");
    Expect(0, 8543, '\p{Is_Nv=0.875}', "");
    Expect(1, 8543, '\p{^Is_Nv=0.875}', "");
    Expect(1, 8543, '\P{Is_Nv=0.875}', "");
    Expect(0, 8543, '\P{^Is_Nv=0.875}', "");
    Expect(1, 8542, '\p{Is_Nv=8.7500e-01}', "");
    Expect(0, 8542, '\p{^Is_Nv=8.7500e-01}', "");
    Expect(0, 8542, '\P{Is_Nv=8.7500e-01}', "");
    Expect(1, 8542, '\P{^Is_Nv=8.7500e-01}', "");
    Expect(0, 8543, '\p{Is_Nv=8.7500e-01}', "");
    Expect(1, 8543, '\p{^Is_Nv=8.7500e-01}', "");
    Expect(1, 8543, '\P{Is_Nv=8.7500e-01}', "");
    Expect(0, 8543, '\P{^Is_Nv=8.7500e-01}', "");
    Expect(1, 8542, '\p{Is_Nv=0.8750}', "");
    Expect(0, 8542, '\p{^Is_Nv=0.8750}', "");
    Expect(0, 8542, '\P{Is_Nv=0.8750}', "");
    Expect(1, 8542, '\P{^Is_Nv=0.8750}', "");
    Expect(0, 8543, '\p{Is_Nv=0.8750}', "");
    Expect(1, 8543, '\p{^Is_Nv=0.8750}', "");
    Expect(1, 8543, '\P{Is_Nv=0.8750}', "");
    Expect(0, 8543, '\P{^Is_Nv=0.8750}', "");
    Error('\p{Numeric_Value=-/a/+0000000070}');
    Error('\P{Numeric_Value=-/a/+0000000070}');
    Expect(1, 126224, '\p{Numeric_Value=:\A70\z:}', "");;
    Expect(0, 126225, '\p{Numeric_Value=:\A70\z:}', "");;
    Expect(1, 126224, '\p{Numeric_Value=+0_0_0_0_070}', "");
    Expect(0, 126224, '\p{^Numeric_Value=+0_0_0_0_070}', "");
    Expect(0, 126224, '\P{Numeric_Value=+0_0_0_0_070}', "");
    Expect(1, 126224, '\P{^Numeric_Value=+0_0_0_0_070}', "");
    Expect(0, 126225, '\p{Numeric_Value=+0_0_0_0_070}', "");
    Expect(1, 126225, '\p{^Numeric_Value=+0_0_0_0_070}', "");
    Expect(1, 126225, '\P{Numeric_Value=+0_0_0_0_070}', "");
    Expect(0, 126225, '\P{^Numeric_Value=+0_0_0_0_070}', "");
    Expect(1, 126224, '\p{Numeric_Value=7.000000000000000e+01}', "");
    Expect(0, 126224, '\p{^Numeric_Value=7.000000000000000e+01}', "");
    Expect(0, 126224, '\P{Numeric_Value=7.000000000000000e+01}', "");
    Expect(1, 126224, '\P{^Numeric_Value=7.000000000000000e+01}', "");
    Expect(0, 126225, '\p{Numeric_Value=7.000000000000000e+01}', "");
    Expect(1, 126225, '\p{^Numeric_Value=7.000000000000000e+01}', "");
    Expect(1, 126225, '\P{Numeric_Value=7.000000000000000e+01}', "");
    Expect(0, 126225, '\P{^Numeric_Value=7.000000000000000e+01}', "");
    Error('\p{Nv=_	+0007_0:=}');
    Error('\P{Nv=_	+0007_0:=}');
    Expect(1, 126224, '\p{Nv=:\A70\z:}', "");;
    Expect(0, 126225, '\p{Nv=:\A70\z:}', "");;
    Expect(1, 126224, '\p{Nv:	000000070}', "");
    Expect(0, 126224, '\p{^Nv:	000000070}', "");
    Expect(0, 126224, '\P{Nv:	000000070}', "");
    Expect(1, 126224, '\P{^Nv:	000000070}', "");
    Expect(0, 126225, '\p{Nv:	000000070}', "");
    Expect(1, 126225, '\p{^Nv:	000000070}', "");
    Expect(1, 126225, '\P{Nv:	000000070}', "");
    Expect(0, 126225, '\P{^Nv:	000000070}', "");
    Expect(1, 126224, '\p{Nv=7.000000000000000e+01}', "");
    Expect(0, 126224, '\p{^Nv=7.000000000000000e+01}', "");
    Expect(0, 126224, '\P{Nv=7.000000000000000e+01}', "");
    Expect(1, 126224, '\P{^Nv=7.000000000000000e+01}', "");
    Expect(0, 126225, '\p{Nv=7.000000000000000e+01}', "");
    Expect(1, 126225, '\p{^Nv=7.000000000000000e+01}', "");
    Expect(1, 126225, '\P{Nv=7.000000000000000e+01}', "");
    Expect(0, 126225, '\P{^Nv=7.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value:	- 0070/a/}');
    Error('\P{Is_Numeric_Value:	- 0070/a/}');
    Expect(1, 126224, '\p{Is_Numeric_Value=00070}', "");
    Expect(0, 126224, '\p{^Is_Numeric_Value=00070}', "");
    Expect(0, 126224, '\P{Is_Numeric_Value=00070}', "");
    Expect(1, 126224, '\P{^Is_Numeric_Value=00070}', "");
    Expect(0, 126225, '\p{Is_Numeric_Value=00070}', "");
    Expect(1, 126225, '\p{^Is_Numeric_Value=00070}', "");
    Expect(1, 126225, '\P{Is_Numeric_Value=00070}', "");
    Expect(0, 126225, '\P{^Is_Numeric_Value=00070}', "");
    Expect(1, 126224, '\p{Is_Numeric_Value:7.000000000000000e+01}', "");
    Expect(0, 126224, '\p{^Is_Numeric_Value:7.000000000000000e+01}', "");
    Expect(0, 126224, '\P{Is_Numeric_Value:7.000000000000000e+01}', "");
    Expect(1, 126224, '\P{^Is_Numeric_Value:7.000000000000000e+01}', "");
    Expect(0, 126225, '\p{Is_Numeric_Value:7.000000000000000e+01}', "");
    Expect(1, 126225, '\p{^Is_Numeric_Value:7.000000000000000e+01}', "");
    Expect(1, 126225, '\P{Is_Numeric_Value:7.000000000000000e+01}', "");
    Expect(0, 126225, '\P{^Is_Numeric_Value:7.000000000000000e+01}', "");
    Error('\p{Is_Nv=-+00000000070:=}');
    Error('\P{Is_Nv=-+00000000070:=}');
    Expect(1, 126224, '\p{Is_Nv=00000000070}', "");
    Expect(0, 126224, '\p{^Is_Nv=00000000070}', "");
    Expect(0, 126224, '\P{Is_Nv=00000000070}', "");
    Expect(1, 126224, '\P{^Is_Nv=00000000070}', "");
    Expect(0, 126225, '\p{Is_Nv=00000000070}', "");
    Expect(1, 126225, '\p{^Is_Nv=00000000070}', "");
    Expect(1, 126225, '\P{Is_Nv=00000000070}', "");
    Expect(0, 126225, '\P{^Is_Nv=00000000070}', "");
    Expect(1, 126224, '\p{Is_Nv=7.000000000000000e+01}', "");
    Expect(0, 126224, '\p{^Is_Nv=7.000000000000000e+01}', "");
    Expect(0, 126224, '\P{Is_Nv=7.000000000000000e+01}', "");
    Expect(1, 126224, '\P{^Is_Nv=7.000000000000000e+01}', "");
    Expect(0, 126225, '\p{Is_Nv=7.000000000000000e+01}', "");
    Expect(1, 126225, '\p{^Is_Nv=7.000000000000000e+01}', "");
    Expect(1, 126225, '\P{Is_Nv=7.000000000000000e+01}', "");
    Expect(0, 126225, '\P{^Is_Nv=7.000000000000000e+01}', "");
    Error('\p{Numeric_Value=	/a/0_0_0_0_0_0700}');
    Error('\P{Numeric_Value=	/a/0_0_0_0_0_0700}');
    Expect(1, 126233, '\p{Numeric_Value=:\A700\z:}', "");;
    Expect(0, 126234, '\p{Numeric_Value=:\A700\z:}', "");;
    Expect(1, 126233, '\p{Numeric_Value=0_7_00}', "");
    Expect(0, 126233, '\p{^Numeric_Value=0_7_00}', "");
    Expect(0, 126233, '\P{Numeric_Value=0_7_00}', "");
    Expect(1, 126233, '\P{^Numeric_Value=0_7_00}', "");
    Expect(0, 126234, '\p{Numeric_Value=0_7_00}', "");
    Expect(1, 126234, '\p{^Numeric_Value=0_7_00}', "");
    Expect(1, 126234, '\P{Numeric_Value=0_7_00}', "");
    Expect(0, 126234, '\P{^Numeric_Value=0_7_00}', "");
    Expect(1, 126233, '\p{Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126233, '\p{^Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126233, '\P{Numeric_Value=7.000000000000000e+02}', "");
    Expect(1, 126233, '\P{^Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126234, '\p{Numeric_Value=7.000000000000000e+02}', "");
    Expect(1, 126234, '\p{^Numeric_Value=7.000000000000000e+02}', "");
    Expect(1, 126234, '\P{Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126234, '\P{^Numeric_Value=7.000000000000000e+02}', "");
    Error('\p{Nv=/a/-000000700}');
    Error('\P{Nv=/a/-000000700}');
    Expect(1, 126233, '\p{Nv=:\A700\z:}', "");;
    Expect(0, 126234, '\p{Nv=:\A700\z:}', "");;
    Expect(1, 126233, '\p{Nv=+0000000700}', "");
    Expect(0, 126233, '\p{^Nv=+0000000700}', "");
    Expect(0, 126233, '\P{Nv=+0000000700}', "");
    Expect(1, 126233, '\P{^Nv=+0000000700}', "");
    Expect(0, 126234, '\p{Nv=+0000000700}', "");
    Expect(1, 126234, '\p{^Nv=+0000000700}', "");
    Expect(1, 126234, '\P{Nv=+0000000700}', "");
    Expect(0, 126234, '\P{^Nv=+0000000700}', "");
    Expect(1, 126233, '\p{Nv=7.000000000000000e+02}', "");
    Expect(0, 126233, '\p{^Nv=7.000000000000000e+02}', "");
    Expect(0, 126233, '\P{Nv=7.000000000000000e+02}', "");
    Expect(1, 126233, '\P{^Nv=7.000000000000000e+02}', "");
    Expect(0, 126234, '\p{Nv=7.000000000000000e+02}', "");
    Expect(1, 126234, '\p{^Nv=7.000000000000000e+02}', "");
    Expect(1, 126234, '\P{Nv=7.000000000000000e+02}', "");
    Expect(0, 126234, '\P{^Nv=7.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value=:=+0000000700}');
    Error('\P{Is_Numeric_Value=:=+0000000700}');
    Expect(1, 126233, '\p{Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(0, 126233, '\p{^Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(0, 126233, '\P{Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(1, 126233, '\P{^Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(0, 126234, '\p{Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(1, 126234, '\p{^Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(1, 126234, '\P{Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(0, 126234, '\P{^Is_Numeric_Value=0_0_0_0_0_00700}', "");
    Expect(1, 126233, '\p{Is_Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126233, '\p{^Is_Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126233, '\P{Is_Numeric_Value=7.000000000000000e+02}', "");
    Expect(1, 126233, '\P{^Is_Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126234, '\p{Is_Numeric_Value=7.000000000000000e+02}', "");
    Expect(1, 126234, '\p{^Is_Numeric_Value=7.000000000000000e+02}', "");
    Expect(1, 126234, '\P{Is_Numeric_Value=7.000000000000000e+02}', "");
    Expect(0, 126234, '\P{^Is_Numeric_Value=7.000000000000000e+02}', "");
    Error('\p{Is_Nv= 00_07_00/a/}');
    Error('\P{Is_Nv= 00_07_00/a/}');
    Expect(1, 126233, '\p{Is_Nv=70_0}', "");
    Expect(0, 126233, '\p{^Is_Nv=70_0}', "");
    Expect(0, 126233, '\P{Is_Nv=70_0}', "");
    Expect(1, 126233, '\P{^Is_Nv=70_0}', "");
    Expect(0, 126234, '\p{Is_Nv=70_0}', "");
    Expect(1, 126234, '\p{^Is_Nv=70_0}', "");
    Expect(1, 126234, '\P{Is_Nv=70_0}', "");
    Expect(0, 126234, '\P{^Is_Nv=70_0}', "");
    Expect(1, 126233, '\p{Is_Nv=7.000000000000000e+02}', "");
    Expect(0, 126233, '\p{^Is_Nv=7.000000000000000e+02}', "");
    Expect(0, 126233, '\P{Is_Nv=7.000000000000000e+02}', "");
    Expect(1, 126233, '\P{^Is_Nv=7.000000000000000e+02}', "");
    Expect(0, 126234, '\p{Is_Nv=7.000000000000000e+02}', "");
    Expect(1, 126234, '\p{^Is_Nv=7.000000000000000e+02}', "");
    Expect(1, 126234, '\P{Is_Nv=7.000000000000000e+02}', "");
    Expect(0, 126234, '\P{^Is_Nv=7.000000000000000e+02}', "");
    Error('\p{Numeric_Value=-_00007000:=}');
    Error('\P{Numeric_Value=-_00007000:=}');
    Expect(1, 126242, '\p{Numeric_Value=:\A7000\z:}', "");;
    Expect(0, 126243, '\p{Numeric_Value=:\A7000\z:}', "");;
    Expect(1, 126242, '\p{Numeric_Value=00_07_00_0}', "");
    Expect(0, 126242, '\p{^Numeric_Value=00_07_00_0}', "");
    Expect(0, 126242, '\P{Numeric_Value=00_07_00_0}', "");
    Expect(1, 126242, '\P{^Numeric_Value=00_07_00_0}', "");
    Expect(0, 126243, '\p{Numeric_Value=00_07_00_0}', "");
    Expect(1, 126243, '\p{^Numeric_Value=00_07_00_0}', "");
    Expect(1, 126243, '\P{Numeric_Value=00_07_00_0}', "");
    Expect(0, 126243, '\P{^Numeric_Value=00_07_00_0}', "");
    Expect(1, 126242, '\p{Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126242, '\p{^Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126242, '\P{Numeric_Value=7.000000000000000e+03}', "");
    Expect(1, 126242, '\P{^Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126243, '\p{Numeric_Value=7.000000000000000e+03}', "");
    Expect(1, 126243, '\p{^Numeric_Value=7.000000000000000e+03}', "");
    Expect(1, 126243, '\P{Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126243, '\P{^Numeric_Value=7.000000000000000e+03}', "");
    Error('\p{Nv=07000:=}');
    Error('\P{Nv=07000:=}');
    Expect(1, 126242, '\p{Nv=:\A7000\z:}', "");;
    Expect(0, 126243, '\p{Nv=:\A7000\z:}', "");;
    Expect(1, 126242, '\p{Nv=+00000_00070_00}', "");
    Expect(0, 126242, '\p{^Nv=+00000_00070_00}', "");
    Expect(0, 126242, '\P{Nv=+00000_00070_00}', "");
    Expect(1, 126242, '\P{^Nv=+00000_00070_00}', "");
    Expect(0, 126243, '\p{Nv=+00000_00070_00}', "");
    Expect(1, 126243, '\p{^Nv=+00000_00070_00}', "");
    Expect(1, 126243, '\P{Nv=+00000_00070_00}', "");
    Expect(0, 126243, '\P{^Nv=+00000_00070_00}', "");
    Expect(1, 126242, '\p{Nv=7.000000000000000e+03}', "");
    Expect(0, 126242, '\p{^Nv=7.000000000000000e+03}', "");
    Expect(0, 126242, '\P{Nv=7.000000000000000e+03}', "");
    Expect(1, 126242, '\P{^Nv=7.000000000000000e+03}', "");
    Expect(0, 126243, '\p{Nv=7.000000000000000e+03}', "");
    Expect(1, 126243, '\p{^Nv=7.000000000000000e+03}', "");
    Expect(1, 126243, '\P{Nv=7.000000000000000e+03}', "");
    Expect(0, 126243, '\P{^Nv=7.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value= /a/0_0_0_0_0_0_007000}');
    Error('\P{Is_Numeric_Value= /a/0_0_0_0_0_0_007000}');
    Expect(1, 126242, '\p{Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(0, 126242, '\p{^Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(0, 126242, '\P{Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(1, 126242, '\P{^Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(0, 126243, '\p{Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(1, 126243, '\p{^Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(1, 126243, '\P{Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(0, 126243, '\P{^Is_Numeric_Value=0_0_0_7_0_00}', "");
    Expect(1, 126242, '\p{Is_Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126242, '\p{^Is_Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126242, '\P{Is_Numeric_Value=7.000000000000000e+03}', "");
    Expect(1, 126242, '\P{^Is_Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126243, '\p{Is_Numeric_Value=7.000000000000000e+03}', "");
    Expect(1, 126243, '\p{^Is_Numeric_Value=7.000000000000000e+03}', "");
    Expect(1, 126243, '\P{Is_Numeric_Value=7.000000000000000e+03}', "");
    Expect(0, 126243, '\P{^Is_Numeric_Value=7.000000000000000e+03}', "");
    Error('\p{Is_Nv=	 0700_0:=}');
    Error('\P{Is_Nv=	 0700_0:=}');
    Expect(1, 126242, '\p{Is_Nv=000_000_000_700_0}', "");
    Expect(0, 126242, '\p{^Is_Nv=000_000_000_700_0}', "");
    Expect(0, 126242, '\P{Is_Nv=000_000_000_700_0}', "");
    Expect(1, 126242, '\P{^Is_Nv=000_000_000_700_0}', "");
    Expect(0, 126243, '\p{Is_Nv=000_000_000_700_0}', "");
    Expect(1, 126243, '\p{^Is_Nv=000_000_000_700_0}', "");
    Expect(1, 126243, '\P{Is_Nv=000_000_000_700_0}', "");
    Expect(0, 126243, '\P{^Is_Nv=000_000_000_700_0}', "");
    Expect(1, 126242, '\p{Is_Nv=7.000000000000000e+03}', "");
    Expect(0, 126242, '\p{^Is_Nv=7.000000000000000e+03}', "");
    Expect(0, 126242, '\P{Is_Nv=7.000000000000000e+03}', "");
    Expect(1, 126242, '\P{^Is_Nv=7.000000000000000e+03}', "");
    Expect(0, 126243, '\p{Is_Nv=7.000000000000000e+03}', "");
    Expect(1, 126243, '\p{^Is_Nv=7.000000000000000e+03}', "");
    Expect(1, 126243, '\P{Is_Nv=7.000000000000000e+03}', "");
    Expect(0, 126243, '\P{^Is_Nv=7.000000000000000e+03}', "");
    Error('\p{Numeric_Value=-/a/+0000070000}');
    Error('\P{Numeric_Value=-/a/+0000070000}');
    Expect(1, 126251, '\p{Numeric_Value=:\A70000\z:}', "");;
    Expect(0, 126252, '\p{Numeric_Value=:\A70000\z:}', "");;
    Expect(1, 126251, '\p{Numeric_Value=000000070000}', "");
    Expect(0, 126251, '\p{^Numeric_Value=000000070000}', "");
    Expect(0, 126251, '\P{Numeric_Value=000000070000}', "");
    Expect(1, 126251, '\P{^Numeric_Value=000000070000}', "");
    Expect(0, 126252, '\p{Numeric_Value=000000070000}', "");
    Expect(1, 126252, '\p{^Numeric_Value=000000070000}', "");
    Expect(1, 126252, '\P{Numeric_Value=000000070000}', "");
    Expect(0, 126252, '\P{^Numeric_Value=000000070000}', "");
    Expect(1, 126251, '\p{Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126251, '\p{^Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126251, '\P{Numeric_Value=7.000000000000000e+04}', "");
    Expect(1, 126251, '\P{^Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126252, '\p{Numeric_Value=7.000000000000000e+04}', "");
    Expect(1, 126252, '\p{^Numeric_Value=7.000000000000000e+04}', "");
    Expect(1, 126252, '\P{Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126252, '\P{^Numeric_Value=7.000000000000000e+04}', "");
    Error('\p{Nv:	-/a/070000}');
    Error('\P{Nv:	-/a/070000}');
    Expect(1, 126251, '\p{Nv=:\A70000\z:}', "");;
    Expect(0, 126252, '\p{Nv=:\A70000\z:}', "");;
    Expect(1, 126251, '\p{Nv=070000}', "");
    Expect(0, 126251, '\p{^Nv=070000}', "");
    Expect(0, 126251, '\P{Nv=070000}', "");
    Expect(1, 126251, '\P{^Nv=070000}', "");
    Expect(0, 126252, '\p{Nv=070000}', "");
    Expect(1, 126252, '\p{^Nv=070000}', "");
    Expect(1, 126252, '\P{Nv=070000}', "");
    Expect(0, 126252, '\P{^Nv=070000}', "");
    Expect(1, 126251, '\p{Nv=7.000000000000000e+04}', "");
    Expect(0, 126251, '\p{^Nv=7.000000000000000e+04}', "");
    Expect(0, 126251, '\P{Nv=7.000000000000000e+04}', "");
    Expect(1, 126251, '\P{^Nv=7.000000000000000e+04}', "");
    Expect(0, 126252, '\p{Nv=7.000000000000000e+04}', "");
    Expect(1, 126252, '\p{^Nv=7.000000000000000e+04}', "");
    Expect(1, 126252, '\P{Nv=7.000000000000000e+04}', "");
    Expect(0, 126252, '\P{^Nv=7.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value:	 _+0_0_0_0_0_0_0_0_70000:=}');
    Error('\P{Is_Numeric_Value:	 _+0_0_0_0_0_0_0_0_70000:=}');
    Expect(1, 126251, '\p{Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(0, 126251, '\p{^Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(0, 126251, '\P{Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(1, 126251, '\P{^Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(0, 126252, '\p{Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(1, 126252, '\p{^Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(1, 126252, '\P{Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(0, 126252, '\P{^Is_Numeric_Value=0_0_0_0_0_0_70000}', "");
    Expect(1, 126251, '\p{Is_Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126251, '\p{^Is_Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126251, '\P{Is_Numeric_Value=7.000000000000000e+04}', "");
    Expect(1, 126251, '\P{^Is_Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126252, '\p{Is_Numeric_Value=7.000000000000000e+04}', "");
    Expect(1, 126252, '\p{^Is_Numeric_Value=7.000000000000000e+04}', "");
    Expect(1, 126252, '\P{Is_Numeric_Value=7.000000000000000e+04}', "");
    Expect(0, 126252, '\P{^Is_Numeric_Value=7.000000000000000e+04}', "");
    Error('\p{Is_Nv=  +00_00_70_00_0:=}');
    Error('\P{Is_Nv=  +00_00_70_00_0:=}');
    Expect(1, 126251, '\p{Is_Nv=070000}', "");
    Expect(0, 126251, '\p{^Is_Nv=070000}', "");
    Expect(0, 126251, '\P{Is_Nv=070000}', "");
    Expect(1, 126251, '\P{^Is_Nv=070000}', "");
    Expect(0, 126252, '\p{Is_Nv=070000}', "");
    Expect(1, 126252, '\p{^Is_Nv=070000}', "");
    Expect(1, 126252, '\P{Is_Nv=070000}', "");
    Expect(0, 126252, '\P{^Is_Nv=070000}', "");
    Expect(1, 126251, '\p{Is_Nv=7.000000000000000e+04}', "");
    Expect(0, 126251, '\p{^Is_Nv=7.000000000000000e+04}', "");
    Expect(0, 126251, '\P{Is_Nv=7.000000000000000e+04}', "");
    Expect(1, 126251, '\P{^Is_Nv=7.000000000000000e+04}', "");
    Expect(0, 126252, '\p{Is_Nv=7.000000000000000e+04}', "");
    Expect(1, 126252, '\p{^Is_Nv=7.000000000000000e+04}', "");
    Expect(1, 126252, '\P{Is_Nv=7.000000000000000e+04}', "");
    Expect(0, 126252, '\P{^Is_Nv=7.000000000000000e+04}', "");
    Error('\p{Numeric_Value=/a/_70000_0}');
    Error('\P{Numeric_Value=/a/_70000_0}');
    Expect(1, 68083, '\p{Numeric_Value=:\A700000\z:}', "");;
    Expect(0, 68084, '\p{Numeric_Value=:\A700000\z:}', "");;
    Expect(1, 68083, '\p{Numeric_Value=+0000000700000}', "");
    Expect(0, 68083, '\p{^Numeric_Value=+0000000700000}', "");
    Expect(0, 68083, '\P{Numeric_Value=+0000000700000}', "");
    Expect(1, 68083, '\P{^Numeric_Value=+0000000700000}', "");
    Expect(0, 68084, '\p{Numeric_Value=+0000000700000}', "");
    Expect(1, 68084, '\p{^Numeric_Value=+0000000700000}', "");
    Expect(1, 68084, '\P{Numeric_Value=+0000000700000}', "");
    Expect(0, 68084, '\P{^Numeric_Value=+0000000700000}', "");
    Expect(1, 68083, '\p{Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68083, '\p{^Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68083, '\P{Numeric_Value=7.000000000000000e+05}', "");
    Expect(1, 68083, '\P{^Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68084, '\p{Numeric_Value=7.000000000000000e+05}', "");
    Expect(1, 68084, '\p{^Numeric_Value=7.000000000000000e+05}', "");
    Expect(1, 68084, '\P{Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68084, '\P{^Numeric_Value=7.000000000000000e+05}', "");
    Error('\p{Nv:   --0700000/a/}');
    Error('\P{Nv:   --0700000/a/}');
    Expect(1, 68083, '\p{Nv=:\A700000\z:}', "");;
    Expect(0, 68084, '\p{Nv=:\A700000\z:}', "");;
    Expect(1, 68083, '\p{Nv=+0_0_0_0_0_7_00000}', "");
    Expect(0, 68083, '\p{^Nv=+0_0_0_0_0_7_00000}', "");
    Expect(0, 68083, '\P{Nv=+0_0_0_0_0_7_00000}', "");
    Expect(1, 68083, '\P{^Nv=+0_0_0_0_0_7_00000}', "");
    Expect(0, 68084, '\p{Nv=+0_0_0_0_0_7_00000}', "");
    Expect(1, 68084, '\p{^Nv=+0_0_0_0_0_7_00000}', "");
    Expect(1, 68084, '\P{Nv=+0_0_0_0_0_7_00000}', "");
    Expect(0, 68084, '\P{^Nv=+0_0_0_0_0_7_00000}', "");
    Expect(1, 68083, '\p{Nv=7.000000000000000e+05}', "");
    Expect(0, 68083, '\p{^Nv=7.000000000000000e+05}', "");
    Expect(0, 68083, '\P{Nv=7.000000000000000e+05}', "");
    Expect(1, 68083, '\P{^Nv=7.000000000000000e+05}', "");
    Expect(0, 68084, '\p{Nv=7.000000000000000e+05}', "");
    Expect(1, 68084, '\p{^Nv=7.000000000000000e+05}', "");
    Expect(1, 68084, '\P{Nv=7.000000000000000e+05}', "");
    Expect(0, 68084, '\P{^Nv=7.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=:=_+000000700000}');
    Error('\P{Is_Numeric_Value=:=_+000000700000}');
    Expect(1, 68083, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(0, 68083, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(0, 68083, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(1, 68083, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(0, 68084, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(1, 68084, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(1, 68084, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(0, 68084, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_7_0_0000}', "");
    Expect(1, 68083, '\p{Is_Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68083, '\p{^Is_Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68083, '\P{Is_Numeric_Value=7.000000000000000e+05}', "");
    Expect(1, 68083, '\P{^Is_Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68084, '\p{Is_Numeric_Value=7.000000000000000e+05}', "");
    Expect(1, 68084, '\p{^Is_Numeric_Value=7.000000000000000e+05}', "");
    Expect(1, 68084, '\P{Is_Numeric_Value=7.000000000000000e+05}', "");
    Expect(0, 68084, '\P{^Is_Numeric_Value=7.000000000000000e+05}', "");
    Error('\p{Is_Nv=:= -00_07_00_000}');
    Error('\P{Is_Nv=:= -00_07_00_000}');
    Expect(1, 68083, '\p{Is_Nv=000000070000_0}', "");
    Expect(0, 68083, '\p{^Is_Nv=000000070000_0}', "");
    Expect(0, 68083, '\P{Is_Nv=000000070000_0}', "");
    Expect(1, 68083, '\P{^Is_Nv=000000070000_0}', "");
    Expect(0, 68084, '\p{Is_Nv=000000070000_0}', "");
    Expect(1, 68084, '\p{^Is_Nv=000000070000_0}', "");
    Expect(1, 68084, '\P{Is_Nv=000000070000_0}', "");
    Expect(0, 68084, '\P{^Is_Nv=000000070000_0}', "");
    Expect(1, 68083, '\p{Is_Nv=7.000000000000000e+05}', "");
    Expect(0, 68083, '\p{^Is_Nv=7.000000000000000e+05}', "");
    Expect(0, 68083, '\P{Is_Nv=7.000000000000000e+05}', "");
    Expect(1, 68083, '\P{^Is_Nv=7.000000000000000e+05}', "");
    Expect(0, 68084, '\p{Is_Nv=7.000000000000000e+05}', "");
    Expect(1, 68084, '\p{^Is_Nv=7.000000000000000e+05}', "");
    Expect(1, 68084, '\P{Is_Nv=7.000000000000000e+05}', "");
    Expect(0, 68084, '\P{^Is_Nv=7.000000000000000e+05}', "");
    Error('\p{Numeric_Value=_-+0_0_0_08/a/}');
    Error('\P{Numeric_Value=_-+0_0_0_08/a/}');
    Expect(1, 130040, '\p{Numeric_Value=:\A8\z:}', "");;
    Expect(0, 130041, '\p{Numeric_Value=:\A8\z:}', "");;
    Expect(1, 130040, '\p{Numeric_Value=08}', "");
    Expect(0, 130040, '\p{^Numeric_Value=08}', "");
    Expect(0, 130040, '\P{Numeric_Value=08}', "");
    Expect(1, 130040, '\P{^Numeric_Value=08}', "");
    Expect(0, 130041, '\p{Numeric_Value=08}', "");
    Expect(1, 130041, '\p{^Numeric_Value=08}', "");
    Expect(1, 130041, '\P{Numeric_Value=08}', "");
    Expect(0, 130041, '\P{^Numeric_Value=08}', "");
    Expect(1, 130040, '\p{Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130040, '\p{^Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130040, '\P{Numeric_Value=8.000000000000000e+00}', "");
    Expect(1, 130040, '\P{^Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130041, '\p{Numeric_Value=8.000000000000000e+00}', "");
    Expect(1, 130041, '\p{^Numeric_Value=8.000000000000000e+00}', "");
    Expect(1, 130041, '\P{Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130041, '\P{^Numeric_Value=8.000000000000000e+00}', "");
    Error('\p{Nv=/a/	-000_8}');
    Error('\P{Nv=/a/	-000_8}');
    Expect(1, 130040, '\p{Nv=:\A8\z:}', "");;
    Expect(0, 130041, '\p{Nv=:\A8\z:}', "");;
    Expect(1, 130040, '\p{Nv:   000000_8}', "");
    Expect(0, 130040, '\p{^Nv:   000000_8}', "");
    Expect(0, 130040, '\P{Nv:   000000_8}', "");
    Expect(1, 130040, '\P{^Nv:   000000_8}', "");
    Expect(0, 130041, '\p{Nv:   000000_8}', "");
    Expect(1, 130041, '\p{^Nv:   000000_8}', "");
    Expect(1, 130041, '\P{Nv:   000000_8}', "");
    Expect(0, 130041, '\P{^Nv:   000000_8}', "");
    Expect(1, 130040, '\p{Nv=8.000000000000000e+00}', "");
    Expect(0, 130040, '\p{^Nv=8.000000000000000e+00}', "");
    Expect(0, 130040, '\P{Nv=8.000000000000000e+00}', "");
    Expect(1, 130040, '\P{^Nv=8.000000000000000e+00}', "");
    Expect(0, 130041, '\p{Nv=8.000000000000000e+00}', "");
    Expect(1, 130041, '\p{^Nv=8.000000000000000e+00}', "");
    Expect(1, 130041, '\P{Nv=8.000000000000000e+00}', "");
    Expect(0, 130041, '\P{^Nv=8.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value=/a/	 008}');
    Error('\P{Is_Numeric_Value=/a/	 008}');
    Expect(1, 130040, '\p{Is_Numeric_Value=00008}', "");
    Expect(0, 130040, '\p{^Is_Numeric_Value=00008}', "");
    Expect(0, 130040, '\P{Is_Numeric_Value=00008}', "");
    Expect(1, 130040, '\P{^Is_Numeric_Value=00008}', "");
    Expect(0, 130041, '\p{Is_Numeric_Value=00008}', "");
    Expect(1, 130041, '\p{^Is_Numeric_Value=00008}', "");
    Expect(1, 130041, '\P{Is_Numeric_Value=00008}', "");
    Expect(0, 130041, '\P{^Is_Numeric_Value=00008}', "");
    Expect(1, 130040, '\p{Is_Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130040, '\p{^Is_Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130040, '\P{Is_Numeric_Value=8.000000000000000e+00}', "");
    Expect(1, 130040, '\P{^Is_Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130041, '\p{Is_Numeric_Value=8.000000000000000e+00}', "");
    Expect(1, 130041, '\p{^Is_Numeric_Value=8.000000000000000e+00}', "");
    Expect(1, 130041, '\P{Is_Numeric_Value=8.000000000000000e+00}', "");
    Expect(0, 130041, '\P{^Is_Numeric_Value=8.000000000000000e+00}', "");
    Error('\p{Is_Nv=:= 00008}');
    Error('\P{Is_Nv=:= 00008}');
    Expect(1, 130040, '\p{Is_Nv=00000008}', "");
    Expect(0, 130040, '\p{^Is_Nv=00000008}', "");
    Expect(0, 130040, '\P{Is_Nv=00000008}', "");
    Expect(1, 130040, '\P{^Is_Nv=00000008}', "");
    Expect(0, 130041, '\p{Is_Nv=00000008}', "");
    Expect(1, 130041, '\p{^Is_Nv=00000008}', "");
    Expect(1, 130041, '\P{Is_Nv=00000008}', "");
    Expect(0, 130041, '\P{^Is_Nv=00000008}', "");
    Expect(1, 130040, '\p{Is_Nv=8.000000000000000e+00}', "");
    Expect(0, 130040, '\p{^Is_Nv=8.000000000000000e+00}', "");
    Expect(0, 130040, '\P{Is_Nv=8.000000000000000e+00}', "");
    Expect(1, 130040, '\P{^Is_Nv=8.000000000000000e+00}', "");
    Expect(0, 130041, '\p{Is_Nv=8.000000000000000e+00}', "");
    Expect(1, 130041, '\p{^Is_Nv=8.000000000000000e+00}', "");
    Expect(1, 130041, '\P{Is_Nv=8.000000000000000e+00}', "");
    Expect(0, 130041, '\P{^Is_Nv=8.000000000000000e+00}', "");
    Error('\p{Numeric_Value=	-0_0_0_0_0_0_0_0_080:=}');
    Error('\P{Numeric_Value=	-0_0_0_0_0_0_0_0_080:=}');
    Expect(1, 126225, '\p{Numeric_Value=:\A80\z:}', "");;
    Expect(0, 126226, '\p{Numeric_Value=:\A80\z:}', "");;
    Expect(1, 126225, '\p{Numeric_Value=00000000080}', "");
    Expect(0, 126225, '\p{^Numeric_Value=00000000080}', "");
    Expect(0, 126225, '\P{Numeric_Value=00000000080}', "");
    Expect(1, 126225, '\P{^Numeric_Value=00000000080}', "");
    Expect(0, 126226, '\p{Numeric_Value=00000000080}', "");
    Expect(1, 126226, '\p{^Numeric_Value=00000000080}', "");
    Expect(1, 126226, '\P{Numeric_Value=00000000080}', "");
    Expect(0, 126226, '\P{^Numeric_Value=00000000080}', "");
    Expect(1, 126225, '\p{Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126225, '\p{^Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126225, '\P{Numeric_Value=8.000000000000000e+01}', "");
    Expect(1, 126225, '\P{^Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126226, '\p{Numeric_Value=8.000000000000000e+01}', "");
    Expect(1, 126226, '\p{^Numeric_Value=8.000000000000000e+01}', "");
    Expect(1, 126226, '\P{Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126226, '\P{^Numeric_Value=8.000000000000000e+01}', "");
    Error('\p{Nv:   __0000000080/a/}');
    Error('\P{Nv:   __0000000080/a/}');
    Expect(1, 126225, '\p{Nv=:\A80\z:}', "");;
    Expect(0, 126226, '\p{Nv=:\A80\z:}', "");;
    Expect(1, 126225, '\p{Nv=000000080}', "");
    Expect(0, 126225, '\p{^Nv=000000080}', "");
    Expect(0, 126225, '\P{Nv=000000080}', "");
    Expect(1, 126225, '\P{^Nv=000000080}', "");
    Expect(0, 126226, '\p{Nv=000000080}', "");
    Expect(1, 126226, '\p{^Nv=000000080}', "");
    Expect(1, 126226, '\P{Nv=000000080}', "");
    Expect(0, 126226, '\P{^Nv=000000080}', "");
    Expect(1, 126225, '\p{Nv=8.000000000000000e+01}', "");
    Expect(0, 126225, '\p{^Nv=8.000000000000000e+01}', "");
    Expect(0, 126225, '\P{Nv=8.000000000000000e+01}', "");
    Expect(1, 126225, '\P{^Nv=8.000000000000000e+01}', "");
    Expect(0, 126226, '\p{Nv=8.000000000000000e+01}', "");
    Expect(1, 126226, '\p{^Nv=8.000000000000000e+01}', "");
    Expect(1, 126226, '\P{Nv=8.000000000000000e+01}', "");
    Expect(0, 126226, '\P{^Nv=8.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=/a/	0000000080}');
    Error('\P{Is_Numeric_Value=/a/	0000000080}');
    Expect(1, 126225, '\p{Is_Numeric_Value=0080}', "");
    Expect(0, 126225, '\p{^Is_Numeric_Value=0080}', "");
    Expect(0, 126225, '\P{Is_Numeric_Value=0080}', "");
    Expect(1, 126225, '\P{^Is_Numeric_Value=0080}', "");
    Expect(0, 126226, '\p{Is_Numeric_Value=0080}', "");
    Expect(1, 126226, '\p{^Is_Numeric_Value=0080}', "");
    Expect(1, 126226, '\P{Is_Numeric_Value=0080}', "");
    Expect(0, 126226, '\P{^Is_Numeric_Value=0080}', "");
    Expect(1, 126225, '\p{Is_Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126225, '\p{^Is_Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126225, '\P{Is_Numeric_Value=8.000000000000000e+01}', "");
    Expect(1, 126225, '\P{^Is_Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126226, '\p{Is_Numeric_Value=8.000000000000000e+01}', "");
    Expect(1, 126226, '\p{^Is_Numeric_Value=8.000000000000000e+01}', "");
    Expect(1, 126226, '\P{Is_Numeric_Value=8.000000000000000e+01}', "");
    Expect(0, 126226, '\P{^Is_Numeric_Value=8.000000000000000e+01}', "");
    Error('\p{Is_Nv=/a/	0000080}');
    Error('\P{Is_Nv=/a/	0000080}');
    Expect(1, 126225, '\p{Is_Nv=+000008_0}', "");
    Expect(0, 126225, '\p{^Is_Nv=+000008_0}', "");
    Expect(0, 126225, '\P{Is_Nv=+000008_0}', "");
    Expect(1, 126225, '\P{^Is_Nv=+000008_0}', "");
    Expect(0, 126226, '\p{Is_Nv=+000008_0}', "");
    Expect(1, 126226, '\p{^Is_Nv=+000008_0}', "");
    Expect(1, 126226, '\P{Is_Nv=+000008_0}', "");
    Expect(0, 126226, '\P{^Is_Nv=+000008_0}', "");
    Expect(1, 126225, '\p{Is_Nv=8.000000000000000e+01}', "");
    Expect(0, 126225, '\p{^Is_Nv=8.000000000000000e+01}', "");
    Expect(0, 126225, '\P{Is_Nv=8.000000000000000e+01}', "");
    Expect(1, 126225, '\P{^Is_Nv=8.000000000000000e+01}', "");
    Expect(0, 126226, '\p{Is_Nv=8.000000000000000e+01}', "");
    Expect(1, 126226, '\p{^Is_Nv=8.000000000000000e+01}', "");
    Expect(1, 126226, '\P{Is_Nv=8.000000000000000e+01}', "");
    Expect(0, 126226, '\P{^Is_Nv=8.000000000000000e+01}', "");
    Error('\p{Numeric_Value=-000000800:=}');
    Error('\P{Numeric_Value=-000000800:=}');
    Expect(1, 126234, '\p{Numeric_Value=:\A800\z:}', "");;
    Expect(0, 126235, '\p{Numeric_Value=:\A800\z:}', "");;
    Expect(1, 126234, '\p{Numeric_Value=0000800}', "");
    Expect(0, 126234, '\p{^Numeric_Value=0000800}', "");
    Expect(0, 126234, '\P{Numeric_Value=0000800}', "");
    Expect(1, 126234, '\P{^Numeric_Value=0000800}', "");
    Expect(0, 126235, '\p{Numeric_Value=0000800}', "");
    Expect(1, 126235, '\p{^Numeric_Value=0000800}', "");
    Expect(1, 126235, '\P{Numeric_Value=0000800}', "");
    Expect(0, 126235, '\P{^Numeric_Value=0000800}', "");
    Expect(1, 126234, '\p{Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126234, '\p{^Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126234, '\P{Numeric_Value=8.000000000000000e+02}', "");
    Expect(1, 126234, '\P{^Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126235, '\p{Numeric_Value=8.000000000000000e+02}', "");
    Expect(1, 126235, '\p{^Numeric_Value=8.000000000000000e+02}', "");
    Expect(1, 126235, '\P{Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126235, '\P{^Numeric_Value=8.000000000000000e+02}', "");
    Error('\p{Nv=/a/_ 0_0_0_0_8_00}');
    Error('\P{Nv=/a/_ 0_0_0_0_8_00}');
    Expect(1, 126234, '\p{Nv=:\A800\z:}', "");;
    Expect(0, 126235, '\p{Nv=:\A800\z:}', "");;
    Expect(1, 126234, '\p{Nv=+800}', "");
    Expect(0, 126234, '\p{^Nv=+800}', "");
    Expect(0, 126234, '\P{Nv=+800}', "");
    Expect(1, 126234, '\P{^Nv=+800}', "");
    Expect(0, 126235, '\p{Nv=+800}', "");
    Expect(1, 126235, '\p{^Nv=+800}', "");
    Expect(1, 126235, '\P{Nv=+800}', "");
    Expect(0, 126235, '\P{^Nv=+800}', "");
    Expect(1, 126234, '\p{Nv:   8.000000000000000e+02}', "");
    Expect(0, 126234, '\p{^Nv:   8.000000000000000e+02}', "");
    Expect(0, 126234, '\P{Nv:   8.000000000000000e+02}', "");
    Expect(1, 126234, '\P{^Nv:   8.000000000000000e+02}', "");
    Expect(0, 126235, '\p{Nv:   8.000000000000000e+02}', "");
    Expect(1, 126235, '\p{^Nv:   8.000000000000000e+02}', "");
    Expect(1, 126235, '\P{Nv:   8.000000000000000e+02}', "");
    Expect(0, 126235, '\P{^Nv:   8.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value:-0000800/a/}');
    Error('\P{Is_Numeric_Value:-0000800/a/}');
    Expect(1, 126234, '\p{Is_Numeric_Value=00000800}', "");
    Expect(0, 126234, '\p{^Is_Numeric_Value=00000800}', "");
    Expect(0, 126234, '\P{Is_Numeric_Value=00000800}', "");
    Expect(1, 126234, '\P{^Is_Numeric_Value=00000800}', "");
    Expect(0, 126235, '\p{Is_Numeric_Value=00000800}', "");
    Expect(1, 126235, '\p{^Is_Numeric_Value=00000800}', "");
    Expect(1, 126235, '\P{Is_Numeric_Value=00000800}', "");
    Expect(0, 126235, '\P{^Is_Numeric_Value=00000800}', "");
    Expect(1, 126234, '\p{Is_Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126234, '\p{^Is_Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126234, '\P{Is_Numeric_Value=8.000000000000000e+02}', "");
    Expect(1, 126234, '\P{^Is_Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126235, '\p{Is_Numeric_Value=8.000000000000000e+02}', "");
    Expect(1, 126235, '\p{^Is_Numeric_Value=8.000000000000000e+02}', "");
    Expect(1, 126235, '\P{Is_Numeric_Value=8.000000000000000e+02}', "");
    Expect(0, 126235, '\P{^Is_Numeric_Value=8.000000000000000e+02}', "");
    Error('\p{Is_Nv=/a/	 80_0}');
    Error('\P{Is_Nv=/a/	 80_0}');
    Expect(1, 126234, '\p{Is_Nv=00000_00008_00}', "");
    Expect(0, 126234, '\p{^Is_Nv=00000_00008_00}', "");
    Expect(0, 126234, '\P{Is_Nv=00000_00008_00}', "");
    Expect(1, 126234, '\P{^Is_Nv=00000_00008_00}', "");
    Expect(0, 126235, '\p{Is_Nv=00000_00008_00}', "");
    Expect(1, 126235, '\p{^Is_Nv=00000_00008_00}', "");
    Expect(1, 126235, '\P{Is_Nv=00000_00008_00}', "");
    Expect(0, 126235, '\P{^Is_Nv=00000_00008_00}', "");
    Expect(1, 126234, '\p{Is_Nv:8.000000000000000e+02}', "");
    Expect(0, 126234, '\p{^Is_Nv:8.000000000000000e+02}', "");
    Expect(0, 126234, '\P{Is_Nv:8.000000000000000e+02}', "");
    Expect(1, 126234, '\P{^Is_Nv:8.000000000000000e+02}', "");
    Expect(0, 126235, '\p{Is_Nv:8.000000000000000e+02}', "");
    Expect(1, 126235, '\p{^Is_Nv:8.000000000000000e+02}', "");
    Expect(1, 126235, '\P{Is_Nv:8.000000000000000e+02}', "");
    Expect(0, 126235, '\P{^Is_Nv:8.000000000000000e+02}', "");
    Error('\p{Numeric_Value=/a/	+8000}');
    Error('\P{Numeric_Value=/a/	+8000}');
    Expect(1, 126243, '\p{Numeric_Value=:\A8000\z:}', "");;
    Expect(0, 126244, '\p{Numeric_Value=:\A8000\z:}', "");;
    Expect(1, 126243, '\p{Numeric_Value=008000}', "");
    Expect(0, 126243, '\p{^Numeric_Value=008000}', "");
    Expect(0, 126243, '\P{Numeric_Value=008000}', "");
    Expect(1, 126243, '\P{^Numeric_Value=008000}', "");
    Expect(0, 126244, '\p{Numeric_Value=008000}', "");
    Expect(1, 126244, '\p{^Numeric_Value=008000}', "");
    Expect(1, 126244, '\P{Numeric_Value=008000}', "");
    Expect(0, 126244, '\P{^Numeric_Value=008000}', "");
    Expect(1, 126243, '\p{Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126243, '\p{^Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126243, '\P{Numeric_Value=8.000000000000000e+03}', "");
    Expect(1, 126243, '\P{^Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126244, '\p{Numeric_Value=8.000000000000000e+03}', "");
    Expect(1, 126244, '\p{^Numeric_Value=8.000000000000000e+03}', "");
    Expect(1, 126244, '\P{Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126244, '\P{^Numeric_Value=8.000000000000000e+03}', "");
    Error('\p{Nv=0_0_0_0_0_0_0_8000:=}');
    Error('\P{Nv=0_0_0_0_0_0_0_8000:=}');
    Expect(1, 126243, '\p{Nv=:\A8000\z:}', "");;
    Expect(0, 126244, '\p{Nv=:\A8000\z:}', "");;
    Expect(1, 126243, '\p{Nv:   0_0_0_8_000}', "");
    Expect(0, 126243, '\p{^Nv:   0_0_0_8_000}', "");
    Expect(0, 126243, '\P{Nv:   0_0_0_8_000}', "");
    Expect(1, 126243, '\P{^Nv:   0_0_0_8_000}', "");
    Expect(0, 126244, '\p{Nv:   0_0_0_8_000}', "");
    Expect(1, 126244, '\p{^Nv:   0_0_0_8_000}', "");
    Expect(1, 126244, '\P{Nv:   0_0_0_8_000}', "");
    Expect(0, 126244, '\P{^Nv:   0_0_0_8_000}', "");
    Expect(1, 126243, '\p{Nv=8.000000000000000e+03}', "");
    Expect(0, 126243, '\p{^Nv=8.000000000000000e+03}', "");
    Expect(0, 126243, '\P{Nv=8.000000000000000e+03}', "");
    Expect(1, 126243, '\P{^Nv=8.000000000000000e+03}', "");
    Expect(0, 126244, '\p{Nv=8.000000000000000e+03}', "");
    Expect(1, 126244, '\p{^Nv=8.000000000000000e+03}', "");
    Expect(1, 126244, '\P{Nv=8.000000000000000e+03}', "");
    Expect(0, 126244, '\P{^Nv=8.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value= /a/0000000008000}');
    Error('\P{Is_Numeric_Value= /a/0000000008000}');
    Expect(1, 126243, '\p{Is_Numeric_Value=0008000}', "");
    Expect(0, 126243, '\p{^Is_Numeric_Value=0008000}', "");
    Expect(0, 126243, '\P{Is_Numeric_Value=0008000}', "");
    Expect(1, 126243, '\P{^Is_Numeric_Value=0008000}', "");
    Expect(0, 126244, '\p{Is_Numeric_Value=0008000}', "");
    Expect(1, 126244, '\p{^Is_Numeric_Value=0008000}', "");
    Expect(1, 126244, '\P{Is_Numeric_Value=0008000}', "");
    Expect(0, 126244, '\P{^Is_Numeric_Value=0008000}', "");
    Expect(1, 126243, '\p{Is_Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126243, '\p{^Is_Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126243, '\P{Is_Numeric_Value=8.000000000000000e+03}', "");
    Expect(1, 126243, '\P{^Is_Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126244, '\p{Is_Numeric_Value=8.000000000000000e+03}', "");
    Expect(1, 126244, '\p{^Is_Numeric_Value=8.000000000000000e+03}', "");
    Expect(1, 126244, '\P{Is_Numeric_Value=8.000000000000000e+03}', "");
    Expect(0, 126244, '\P{^Is_Numeric_Value=8.000000000000000e+03}', "");
    Error('\p{Is_Nv=__+0_0_0_0_8_000/a/}');
    Error('\P{Is_Nv=__+0_0_0_0_8_000/a/}');
    Expect(1, 126243, '\p{Is_Nv=000_080_00}', "");
    Expect(0, 126243, '\p{^Is_Nv=000_080_00}', "");
    Expect(0, 126243, '\P{Is_Nv=000_080_00}', "");
    Expect(1, 126243, '\P{^Is_Nv=000_080_00}', "");
    Expect(0, 126244, '\p{Is_Nv=000_080_00}', "");
    Expect(1, 126244, '\p{^Is_Nv=000_080_00}', "");
    Expect(1, 126244, '\P{Is_Nv=000_080_00}', "");
    Expect(0, 126244, '\P{^Is_Nv=000_080_00}', "");
    Expect(1, 126243, '\p{Is_Nv=8.000000000000000e+03}', "");
    Expect(0, 126243, '\p{^Is_Nv=8.000000000000000e+03}', "");
    Expect(0, 126243, '\P{Is_Nv=8.000000000000000e+03}', "");
    Expect(1, 126243, '\P{^Is_Nv=8.000000000000000e+03}', "");
    Expect(0, 126244, '\p{Is_Nv=8.000000000000000e+03}', "");
    Expect(1, 126244, '\p{^Is_Nv=8.000000000000000e+03}', "");
    Expect(1, 126244, '\P{Is_Nv=8.000000000000000e+03}', "");
    Expect(0, 126244, '\P{^Is_Nv=8.000000000000000e+03}', "");
    Error('\p{Numeric_Value: /a/ _080000}');
    Error('\P{Numeric_Value: /a/ _080000}');
    Expect(1, 126252, '\p{Numeric_Value=:\A80000\z:}', "");;
    Expect(0, 126253, '\p{Numeric_Value=:\A80000\z:}', "");;
    Expect(1, 126252, '\p{Numeric_Value=000080000}', "");
    Expect(0, 126252, '\p{^Numeric_Value=000080000}', "");
    Expect(0, 126252, '\P{Numeric_Value=000080000}', "");
    Expect(1, 126252, '\P{^Numeric_Value=000080000}', "");
    Expect(0, 126253, '\p{Numeric_Value=000080000}', "");
    Expect(1, 126253, '\p{^Numeric_Value=000080000}', "");
    Expect(1, 126253, '\P{Numeric_Value=000080000}', "");
    Expect(0, 126253, '\P{^Numeric_Value=000080000}', "");
    Expect(1, 126252, '\p{Numeric_Value:8.000000000000000e+04}', "");
    Expect(0, 126252, '\p{^Numeric_Value:8.000000000000000e+04}', "");
    Expect(0, 126252, '\P{Numeric_Value:8.000000000000000e+04}', "");
    Expect(1, 126252, '\P{^Numeric_Value:8.000000000000000e+04}', "");
    Expect(0, 126253, '\p{Numeric_Value:8.000000000000000e+04}', "");
    Expect(1, 126253, '\p{^Numeric_Value:8.000000000000000e+04}', "");
    Expect(1, 126253, '\P{Numeric_Value:8.000000000000000e+04}', "");
    Expect(0, 126253, '\P{^Numeric_Value:8.000000000000000e+04}', "");
    Error('\p{Nv=:=000008000_0}');
    Error('\P{Nv=:=000008000_0}');
    Expect(1, 126252, '\p{Nv=:\A80000\z:}', "");;
    Expect(0, 126253, '\p{Nv=:\A80000\z:}', "");;
    Expect(1, 126252, '\p{Nv:	+000008000_0}', "");
    Expect(0, 126252, '\p{^Nv:	+000008000_0}', "");
    Expect(0, 126252, '\P{Nv:	+000008000_0}', "");
    Expect(1, 126252, '\P{^Nv:	+000008000_0}', "");
    Expect(0, 126253, '\p{Nv:	+000008000_0}', "");
    Expect(1, 126253, '\p{^Nv:	+000008000_0}', "");
    Expect(1, 126253, '\P{Nv:	+000008000_0}', "");
    Expect(0, 126253, '\P{^Nv:	+000008000_0}', "");
    Expect(1, 126252, '\p{Nv=8.000000000000000e+04}', "");
    Expect(0, 126252, '\p{^Nv=8.000000000000000e+04}', "");
    Expect(0, 126252, '\P{Nv=8.000000000000000e+04}', "");
    Expect(1, 126252, '\P{^Nv=8.000000000000000e+04}', "");
    Expect(0, 126253, '\p{Nv=8.000000000000000e+04}', "");
    Expect(1, 126253, '\p{^Nv=8.000000000000000e+04}', "");
    Expect(1, 126253, '\P{Nv=8.000000000000000e+04}', "");
    Expect(0, 126253, '\P{^Nv=8.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value= :=0_0_0_0_0_0_8_0_0_00}');
    Error('\P{Is_Numeric_Value= :=0_0_0_0_0_0_8_0_0_00}');
    Expect(1, 126252, '\p{Is_Numeric_Value=+00080000}', "");
    Expect(0, 126252, '\p{^Is_Numeric_Value=+00080000}', "");
    Expect(0, 126252, '\P{Is_Numeric_Value=+00080000}', "");
    Expect(1, 126252, '\P{^Is_Numeric_Value=+00080000}', "");
    Expect(0, 126253, '\p{Is_Numeric_Value=+00080000}', "");
    Expect(1, 126253, '\p{^Is_Numeric_Value=+00080000}', "");
    Expect(1, 126253, '\P{Is_Numeric_Value=+00080000}', "");
    Expect(0, 126253, '\P{^Is_Numeric_Value=+00080000}', "");
    Expect(1, 126252, '\p{Is_Numeric_Value=8.000000000000000e+04}', "");
    Expect(0, 126252, '\p{^Is_Numeric_Value=8.000000000000000e+04}', "");
    Expect(0, 126252, '\P{Is_Numeric_Value=8.000000000000000e+04}', "");
    Expect(1, 126252, '\P{^Is_Numeric_Value=8.000000000000000e+04}', "");
    Expect(0, 126253, '\p{Is_Numeric_Value=8.000000000000000e+04}', "");
    Expect(1, 126253, '\p{^Is_Numeric_Value=8.000000000000000e+04}', "");
    Expect(1, 126253, '\P{Is_Numeric_Value=8.000000000000000e+04}', "");
    Expect(0, 126253, '\P{^Is_Numeric_Value=8.000000000000000e+04}', "");
    Error('\p{Is_Nv= +00_08_00_00/a/}');
    Error('\P{Is_Nv= +00_08_00_00/a/}');
    Expect(1, 126252, '\p{Is_Nv=+080000}', "");
    Expect(0, 126252, '\p{^Is_Nv=+080000}', "");
    Expect(0, 126252, '\P{Is_Nv=+080000}', "");
    Expect(1, 126252, '\P{^Is_Nv=+080000}', "");
    Expect(0, 126253, '\p{Is_Nv=+080000}', "");
    Expect(1, 126253, '\p{^Is_Nv=+080000}', "");
    Expect(1, 126253, '\P{Is_Nv=+080000}', "");
    Expect(0, 126253, '\P{^Is_Nv=+080000}', "");
    Expect(1, 126252, '\p{Is_Nv=8.000000000000000e+04}', "");
    Expect(0, 126252, '\p{^Is_Nv=8.000000000000000e+04}', "");
    Expect(0, 126252, '\P{Is_Nv=8.000000000000000e+04}', "");
    Expect(1, 126252, '\P{^Is_Nv=8.000000000000000e+04}', "");
    Expect(0, 126253, '\p{Is_Nv=8.000000000000000e+04}', "");
    Expect(1, 126253, '\p{^Is_Nv=8.000000000000000e+04}', "");
    Expect(1, 126253, '\P{Is_Nv=8.000000000000000e+04}', "");
    Expect(0, 126253, '\P{^Is_Nv=8.000000000000000e+04}', "");
    Error('\p{Numeric_Value= -0_0_0_0_8_00000/a/}');
    Error('\P{Numeric_Value= -0_0_0_0_8_00000/a/}');
    Expect(1, 68084, '\p{Numeric_Value=:\A800000\z:}', "");;
    Expect(0, 68085, '\p{Numeric_Value=:\A800000\z:}', "");;
    Expect(1, 68084, '\p{Numeric_Value:+000_000_000_800_000}', "");
    Expect(0, 68084, '\p{^Numeric_Value:+000_000_000_800_000}', "");
    Expect(0, 68084, '\P{Numeric_Value:+000_000_000_800_000}', "");
    Expect(1, 68084, '\P{^Numeric_Value:+000_000_000_800_000}', "");
    Expect(0, 68085, '\p{Numeric_Value:+000_000_000_800_000}', "");
    Expect(1, 68085, '\p{^Numeric_Value:+000_000_000_800_000}', "");
    Expect(1, 68085, '\P{Numeric_Value:+000_000_000_800_000}', "");
    Expect(0, 68085, '\P{^Numeric_Value:+000_000_000_800_000}', "");
    Expect(1, 68084, '\p{Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68084, '\p{^Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68084, '\P{Numeric_Value=8.000000000000000e+05}', "");
    Expect(1, 68084, '\P{^Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68085, '\p{Numeric_Value=8.000000000000000e+05}', "");
    Expect(1, 68085, '\p{^Numeric_Value=8.000000000000000e+05}', "");
    Expect(1, 68085, '\P{Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68085, '\P{^Numeric_Value=8.000000000000000e+05}', "");
    Error('\p{Nv=:=-	+0000_8000_00}');
    Error('\P{Nv=:=-	+0000_8000_00}');
    Expect(1, 68084, '\p{Nv=:\A800000\z:}', "");;
    Expect(0, 68085, '\p{Nv=:\A800000\z:}', "");;
    Expect(1, 68084, '\p{Nv=00000800000}', "");
    Expect(0, 68084, '\p{^Nv=00000800000}', "");
    Expect(0, 68084, '\P{Nv=00000800000}', "");
    Expect(1, 68084, '\P{^Nv=00000800000}', "");
    Expect(0, 68085, '\p{Nv=00000800000}', "");
    Expect(1, 68085, '\p{^Nv=00000800000}', "");
    Expect(1, 68085, '\P{Nv=00000800000}', "");
    Expect(0, 68085, '\P{^Nv=00000800000}', "");
    Expect(1, 68084, '\p{Nv=8.000000000000000e+05}', "");
    Expect(0, 68084, '\p{^Nv=8.000000000000000e+05}', "");
    Expect(0, 68084, '\P{Nv=8.000000000000000e+05}', "");
    Expect(1, 68084, '\P{^Nv=8.000000000000000e+05}', "");
    Expect(0, 68085, '\p{Nv=8.000000000000000e+05}', "");
    Expect(1, 68085, '\p{^Nv=8.000000000000000e+05}', "");
    Expect(1, 68085, '\P{Nv=8.000000000000000e+05}', "");
    Expect(0, 68085, '\P{^Nv=8.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=_/a/000000800000}');
    Error('\P{Is_Numeric_Value=_/a/000000800000}');
    Expect(1, 68084, '\p{Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(0, 68084, '\p{^Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(0, 68084, '\P{Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(1, 68084, '\P{^Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(0, 68085, '\p{Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(1, 68085, '\p{^Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(1, 68085, '\P{Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(0, 68085, '\P{^Is_Numeric_Value=00_00_80_00_00}', "");
    Expect(1, 68084, '\p{Is_Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68084, '\p{^Is_Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68084, '\P{Is_Numeric_Value=8.000000000000000e+05}', "");
    Expect(1, 68084, '\P{^Is_Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68085, '\p{Is_Numeric_Value=8.000000000000000e+05}', "");
    Expect(1, 68085, '\p{^Is_Numeric_Value=8.000000000000000e+05}', "");
    Expect(1, 68085, '\P{Is_Numeric_Value=8.000000000000000e+05}', "");
    Expect(0, 68085, '\P{^Is_Numeric_Value=8.000000000000000e+05}', "");
    Error('\p{Is_Nv=-_+000_008_000_00:=}');
    Error('\P{Is_Nv=-_+000_008_000_00:=}');
    Expect(1, 68084, '\p{Is_Nv=080_000_0}', "");
    Expect(0, 68084, '\p{^Is_Nv=080_000_0}', "");
    Expect(0, 68084, '\P{Is_Nv=080_000_0}', "");
    Expect(1, 68084, '\P{^Is_Nv=080_000_0}', "");
    Expect(0, 68085, '\p{Is_Nv=080_000_0}', "");
    Expect(1, 68085, '\p{^Is_Nv=080_000_0}', "");
    Expect(1, 68085, '\P{Is_Nv=080_000_0}', "");
    Expect(0, 68085, '\P{^Is_Nv=080_000_0}', "");
    Expect(1, 68084, '\p{Is_Nv=8.000000000000000e+05}', "");
    Expect(0, 68084, '\p{^Is_Nv=8.000000000000000e+05}', "");
    Expect(0, 68084, '\P{Is_Nv=8.000000000000000e+05}', "");
    Expect(1, 68084, '\P{^Is_Nv=8.000000000000000e+05}', "");
    Expect(0, 68085, '\p{Is_Nv=8.000000000000000e+05}', "");
    Expect(1, 68085, '\p{^Is_Nv=8.000000000000000e+05}', "");
    Expect(1, 68085, '\P{Is_Nv=8.000000000000000e+05}', "");
    Expect(0, 68085, '\P{^Is_Nv=8.000000000000000e+05}', "");
    Error('\p{Numeric_Value= 00009:=}');
    Error('\P{Numeric_Value= 00009:=}');
    Expect(1, 194704, '\p{Numeric_Value=:\A9\z:}', "");;
    Expect(0, 194705, '\p{Numeric_Value=:\A9\z:}', "");;
    Expect(1, 194704, '\p{Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(0, 194704, '\p{^Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(0, 194704, '\P{Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(1, 194704, '\P{^Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(0, 194705, '\p{Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(1, 194705, '\p{^Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(1, 194705, '\P{Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(0, 194705, '\P{^Numeric_Value=0_0_0_0_0_0_0_009}', "");
    Expect(1, 194704, '\p{Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194704, '\p{^Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194704, '\P{Numeric_Value=9.000000000000000e+00}', "");
    Expect(1, 194704, '\P{^Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194705, '\p{Numeric_Value=9.000000000000000e+00}', "");
    Expect(1, 194705, '\p{^Numeric_Value=9.000000000000000e+00}', "");
    Expect(1, 194705, '\P{Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194705, '\P{^Numeric_Value=9.000000000000000e+00}', "");
    Error('\p{Nv=:=_	000_9}');
    Error('\P{Nv=:=_	000_9}');
    Expect(1, 194704, '\p{Nv=:\A9\z:}', "");;
    Expect(0, 194705, '\p{Nv=:\A9\z:}', "");;
    Expect(1, 194704, '\p{Nv:009}', "");
    Expect(0, 194704, '\p{^Nv:009}', "");
    Expect(0, 194704, '\P{Nv:009}', "");
    Expect(1, 194704, '\P{^Nv:009}', "");
    Expect(0, 194705, '\p{Nv:009}', "");
    Expect(1, 194705, '\p{^Nv:009}', "");
    Expect(1, 194705, '\P{Nv:009}', "");
    Expect(0, 194705, '\P{^Nv:009}', "");
    Expect(1, 194704, '\p{Nv:	9.000000000000000e+00}', "");
    Expect(0, 194704, '\p{^Nv:	9.000000000000000e+00}', "");
    Expect(0, 194704, '\P{Nv:	9.000000000000000e+00}', "");
    Expect(1, 194704, '\P{^Nv:	9.000000000000000e+00}', "");
    Expect(0, 194705, '\p{Nv:	9.000000000000000e+00}', "");
    Expect(1, 194705, '\p{^Nv:	9.000000000000000e+00}', "");
    Expect(1, 194705, '\P{Nv:	9.000000000000000e+00}', "");
    Expect(0, 194705, '\P{^Nv:	9.000000000000000e+00}', "");
    Error('\p{Is_Numeric_Value= _0000009:=}');
    Error('\P{Is_Numeric_Value= _0000009:=}');
    Expect(1, 194704, '\p{Is_Numeric_Value=0000009}', "");
    Expect(0, 194704, '\p{^Is_Numeric_Value=0000009}', "");
    Expect(0, 194704, '\P{Is_Numeric_Value=0000009}', "");
    Expect(1, 194704, '\P{^Is_Numeric_Value=0000009}', "");
    Expect(0, 194705, '\p{Is_Numeric_Value=0000009}', "");
    Expect(1, 194705, '\p{^Is_Numeric_Value=0000009}', "");
    Expect(1, 194705, '\P{Is_Numeric_Value=0000009}', "");
    Expect(0, 194705, '\P{^Is_Numeric_Value=0000009}', "");
    Expect(1, 194704, '\p{Is_Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194704, '\p{^Is_Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194704, '\P{Is_Numeric_Value=9.000000000000000e+00}', "");
    Expect(1, 194704, '\P{^Is_Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194705, '\p{Is_Numeric_Value=9.000000000000000e+00}', "");
    Expect(1, 194705, '\p{^Is_Numeric_Value=9.000000000000000e+00}', "");
    Expect(1, 194705, '\P{Is_Numeric_Value=9.000000000000000e+00}', "");
    Expect(0, 194705, '\P{^Is_Numeric_Value=9.000000000000000e+00}', "");
    Error('\p{Is_Nv=+000009:=}');
    Error('\P{Is_Nv=+000009:=}');
    Expect(1, 194704, '\p{Is_Nv=+00000000_9}', "");
    Expect(0, 194704, '\p{^Is_Nv=+00000000_9}', "");
    Expect(0, 194704, '\P{Is_Nv=+00000000_9}', "");
    Expect(1, 194704, '\P{^Is_Nv=+00000000_9}', "");
    Expect(0, 194705, '\p{Is_Nv=+00000000_9}', "");
    Expect(1, 194705, '\p{^Is_Nv=+00000000_9}', "");
    Expect(1, 194705, '\P{Is_Nv=+00000000_9}', "");
    Expect(0, 194705, '\P{^Is_Nv=+00000000_9}', "");
    Expect(1, 194704, '\p{Is_Nv=9.000000000000000e+00}', "");
    Expect(0, 194704, '\p{^Is_Nv=9.000000000000000e+00}', "");
    Expect(0, 194704, '\P{Is_Nv=9.000000000000000e+00}', "");
    Expect(1, 194704, '\P{^Is_Nv=9.000000000000000e+00}', "");
    Expect(0, 194705, '\p{Is_Nv=9.000000000000000e+00}', "");
    Expect(1, 194705, '\p{^Is_Nv=9.000000000000000e+00}', "");
    Expect(1, 194705, '\P{Is_Nv=9.000000000000000e+00}', "");
    Expect(0, 194705, '\P{^Is_Nv=9.000000000000000e+00}', "");
    Error('\p{Numeric_Value=-:=0000000009/000002}');
    Error('\P{Numeric_Value=-:=0000000009/000002}');
    Expect(1, 3886, '\p{Numeric_Value=:\A9/2\z:}', "");;
    Expect(0, 3887, '\p{Numeric_Value=:\A9/2\z:}', "");;
    Expect(1, 3886, '\p{Numeric_Value=000009/00000002}', "");
    Expect(0, 3886, '\p{^Numeric_Value=000009/00000002}', "");
    Expect(0, 3886, '\P{Numeric_Value=000009/00000002}', "");
    Expect(1, 3886, '\P{^Numeric_Value=000009/00000002}', "");
    Expect(0, 3887, '\p{Numeric_Value=000009/00000002}', "");
    Expect(1, 3887, '\p{^Numeric_Value=000009/00000002}', "");
    Expect(1, 3887, '\P{Numeric_Value=000009/00000002}', "");
    Expect(0, 3887, '\P{^Numeric_Value=000009/00000002}', "");
    Expect(1, 3886, '\p{Numeric_Value=540/120}', "");
    Expect(0, 3886, '\p{^Numeric_Value=540/120}', "");
    Expect(0, 3886, '\P{Numeric_Value=540/120}', "");
    Expect(1, 3886, '\P{^Numeric_Value=540/120}', "");
    Expect(0, 3887, '\p{Numeric_Value=540/120}', "");
    Expect(1, 3887, '\p{^Numeric_Value=540/120}', "");
    Expect(1, 3887, '\P{Numeric_Value=540/120}', "");
    Expect(0, 3887, '\P{^Numeric_Value=540/120}', "");
    Expect(1, 3886, '\p{Numeric_Value=4.5e+00}', "");
    Expect(0, 3886, '\p{^Numeric_Value=4.5e+00}', "");
    Expect(0, 3886, '\P{Numeric_Value=4.5e+00}', "");
    Expect(1, 3886, '\P{^Numeric_Value=4.5e+00}', "");
    Expect(0, 3887, '\p{Numeric_Value=4.5e+00}', "");
    Expect(1, 3887, '\p{^Numeric_Value=4.5e+00}', "");
    Expect(1, 3887, '\P{Numeric_Value=4.5e+00}', "");
    Expect(0, 3887, '\P{^Numeric_Value=4.5e+00}', "");
    Expect(1, 3886, '\p{Numeric_Value:   4.5}', "");
    Expect(0, 3886, '\p{^Numeric_Value:   4.5}', "");
    Expect(0, 3886, '\P{Numeric_Value:   4.5}', "");
    Expect(1, 3886, '\P{^Numeric_Value:   4.5}', "");
    Expect(0, 3887, '\p{Numeric_Value:   4.5}', "");
    Expect(1, 3887, '\p{^Numeric_Value:   4.5}', "");
    Expect(1, 3887, '\P{Numeric_Value:   4.5}', "");
    Expect(0, 3887, '\P{^Numeric_Value:   4.5}', "");
    Expect(1, 3886, '\p{Numeric_Value=4.50e+00}', "");
    Expect(0, 3886, '\p{^Numeric_Value=4.50e+00}', "");
    Expect(0, 3886, '\P{Numeric_Value=4.50e+00}', "");
    Expect(1, 3886, '\P{^Numeric_Value=4.50e+00}', "");
    Expect(0, 3887, '\p{Numeric_Value=4.50e+00}', "");
    Expect(1, 3887, '\p{^Numeric_Value=4.50e+00}', "");
    Expect(1, 3887, '\P{Numeric_Value=4.50e+00}', "");
    Expect(0, 3887, '\P{^Numeric_Value=4.50e+00}', "");
    Expect(1, 3886, '\p{Numeric_Value=4.50}', "");
    Expect(0, 3886, '\p{^Numeric_Value=4.50}', "");
    Expect(0, 3886, '\P{Numeric_Value=4.50}', "");
    Expect(1, 3886, '\P{^Numeric_Value=4.50}', "");
    Expect(0, 3887, '\p{Numeric_Value=4.50}', "");
    Expect(1, 3887, '\p{^Numeric_Value=4.50}', "");
    Expect(1, 3887, '\P{Numeric_Value=4.50}', "");
    Expect(0, 3887, '\P{^Numeric_Value=4.50}', "");
    Error('\p{Nv=	-009/00000002/a/}');
    Error('\P{Nv=	-009/00000002/a/}');
    Expect(1, 3886, '\p{Nv=:\A9/2\z:}', "");;
    Expect(0, 3887, '\p{Nv=:\A9/2\z:}', "");;
    Expect(1, 3886, '\p{Nv=0000009/00002}', "");
    Expect(0, 3886, '\p{^Nv=0000009/00002}', "");
    Expect(0, 3886, '\P{Nv=0000009/00002}', "");
    Expect(1, 3886, '\P{^Nv=0000009/00002}', "");
    Expect(0, 3887, '\p{Nv=0000009/00002}', "");
    Expect(1, 3887, '\p{^Nv=0000009/00002}', "");
    Expect(1, 3887, '\P{Nv=0000009/00002}', "");
    Expect(0, 3887, '\P{^Nv=0000009/00002}', "");
    Expect(1, 3886, '\p{Nv: 540/120}', "");
    Expect(0, 3886, '\p{^Nv: 540/120}', "");
    Expect(0, 3886, '\P{Nv: 540/120}', "");
    Expect(1, 3886, '\P{^Nv: 540/120}', "");
    Expect(0, 3887, '\p{Nv: 540/120}', "");
    Expect(1, 3887, '\p{^Nv: 540/120}', "");
    Expect(1, 3887, '\P{Nv: 540/120}', "");
    Expect(0, 3887, '\P{^Nv: 540/120}', "");
    Expect(1, 3886, '\p{Nv=4.5e+00}', "");
    Expect(0, 3886, '\p{^Nv=4.5e+00}', "");
    Expect(0, 3886, '\P{Nv=4.5e+00}', "");
    Expect(1, 3886, '\P{^Nv=4.5e+00}', "");
    Expect(0, 3887, '\p{Nv=4.5e+00}', "");
    Expect(1, 3887, '\p{^Nv=4.5e+00}', "");
    Expect(1, 3887, '\P{Nv=4.5e+00}', "");
    Expect(0, 3887, '\P{^Nv=4.5e+00}', "");
    Expect(1, 3886, '\p{Nv:   4.5}', "");
    Expect(0, 3886, '\p{^Nv:   4.5}', "");
    Expect(0, 3886, '\P{Nv:   4.5}', "");
    Expect(1, 3886, '\P{^Nv:   4.5}', "");
    Expect(0, 3887, '\p{Nv:   4.5}', "");
    Expect(1, 3887, '\p{^Nv:   4.5}', "");
    Expect(1, 3887, '\P{Nv:   4.5}', "");
    Expect(0, 3887, '\P{^Nv:   4.5}', "");
    Expect(1, 3886, '\p{Nv=4.50e+00}', "");
    Expect(0, 3886, '\p{^Nv=4.50e+00}', "");
    Expect(0, 3886, '\P{Nv=4.50e+00}', "");
    Expect(1, 3886, '\P{^Nv=4.50e+00}', "");
    Expect(0, 3887, '\p{Nv=4.50e+00}', "");
    Expect(1, 3887, '\p{^Nv=4.50e+00}', "");
    Expect(1, 3887, '\P{Nv=4.50e+00}', "");
    Expect(0, 3887, '\P{^Nv=4.50e+00}', "");
    Expect(1, 3886, '\p{Nv=4.50}', "");
    Expect(0, 3886, '\p{^Nv=4.50}', "");
    Expect(0, 3886, '\P{Nv=4.50}', "");
    Expect(1, 3886, '\P{^Nv=4.50}', "");
    Expect(0, 3887, '\p{Nv=4.50}', "");
    Expect(1, 3887, '\p{^Nv=4.50}', "");
    Expect(1, 3887, '\P{Nv=4.50}', "");
    Expect(0, 3887, '\P{^Nv=4.50}', "");
    Error('\p{Is_Numeric_Value:		:=009/00002}');
    Error('\P{Is_Numeric_Value:		:=009/00002}');
    Expect(1, 3886, '\p{Is_Numeric_Value=9/000000002}', "");
    Expect(0, 3886, '\p{^Is_Numeric_Value=9/000000002}', "");
    Expect(0, 3886, '\P{Is_Numeric_Value=9/000000002}', "");
    Expect(1, 3886, '\P{^Is_Numeric_Value=9/000000002}', "");
    Expect(0, 3887, '\p{Is_Numeric_Value=9/000000002}', "");
    Expect(1, 3887, '\p{^Is_Numeric_Value=9/000000002}', "");
    Expect(1, 3887, '\P{Is_Numeric_Value=9/000000002}', "");
    Expect(0, 3887, '\P{^Is_Numeric_Value=9/000000002}', "");
    Expect(1, 3886, '\p{Is_Numeric_Value=540/120}', "");
    Expect(0, 3886, '\p{^Is_Numeric_Value=540/120}', "");
    Expect(0, 3886, '\P{Is_Numeric_Value=540/120}', "");
    Expect(1, 3886, '\P{^Is_Numeric_Value=540/120}', "");
    Expect(0, 3887, '\p{Is_Numeric_Value=540/120}', "");
    Expect(1, 3887, '\p{^Is_Numeric_Value=540/120}', "");
    Expect(1, 3887, '\P{Is_Numeric_Value=540/120}', "");
    Expect(0, 3887, '\P{^Is_Numeric_Value=540/120}', "");
    Expect(1, 3886, '\p{Is_Numeric_Value=4.5e+00}', "");
    Expect(0, 3886, '\p{^Is_Numeric_Value=4.5e+00}', "");
    Expect(0, 3886, '\P{Is_Numeric_Value=4.5e+00}', "");
    Expect(1, 3886, '\P{^Is_Numeric_Value=4.5e+00}', "");
    Expect(0, 3887, '\p{Is_Numeric_Value=4.5e+00}', "");
    Expect(1, 3887, '\p{^Is_Numeric_Value=4.5e+00}', "");
    Expect(1, 3887, '\P{Is_Numeric_Value=4.5e+00}', "");
    Expect(0, 3887, '\P{^Is_Numeric_Value=4.5e+00}', "");
    Expect(1, 3886, '\p{Is_Numeric_Value=4.5}', "");
    Expect(0, 3886, '\p{^Is_Numeric_Value=4.5}', "");
    Expect(0, 3886, '\P{Is_Numeric_Value=4.5}', "");
    Expect(1, 3886, '\P{^Is_Numeric_Value=4.5}', "");
    Expect(0, 3887, '\p{Is_Numeric_Value=4.5}', "");
    Expect(1, 3887, '\p{^Is_Numeric_Value=4.5}', "");
    Expect(1, 3887, '\P{Is_Numeric_Value=4.5}', "");
    Expect(0, 3887, '\P{^Is_Numeric_Value=4.5}', "");
    Expect(1, 3886, '\p{Is_Numeric_Value=4.50e+00}', "");
    Expect(0, 3886, '\p{^Is_Numeric_Value=4.50e+00}', "");
    Expect(0, 3886, '\P{Is_Numeric_Value=4.50e+00}', "");
    Expect(1, 3886, '\P{^Is_Numeric_Value=4.50e+00}', "");
    Expect(0, 3887, '\p{Is_Numeric_Value=4.50e+00}', "");
    Expect(1, 3887, '\p{^Is_Numeric_Value=4.50e+00}', "");
    Expect(1, 3887, '\P{Is_Numeric_Value=4.50e+00}', "");
    Expect(0, 3887, '\P{^Is_Numeric_Value=4.50e+00}', "");
    Expect(1, 3886, '\p{Is_Numeric_Value=4.50}', "");
    Expect(0, 3886, '\p{^Is_Numeric_Value=4.50}', "");
    Expect(0, 3886, '\P{Is_Numeric_Value=4.50}', "");
    Expect(1, 3886, '\P{^Is_Numeric_Value=4.50}', "");
    Expect(0, 3887, '\p{Is_Numeric_Value=4.50}', "");
    Expect(1, 3887, '\p{^Is_Numeric_Value=4.50}', "");
    Expect(1, 3887, '\P{Is_Numeric_Value=4.50}', "");
    Expect(0, 3887, '\P{^Is_Numeric_Value=4.50}', "");
    Error('\p{Is_Nv= /a/9/00000002}');
    Error('\P{Is_Nv= /a/9/00000002}');
    Expect(1, 3886, '\p{Is_Nv=+000009/02}', "");
    Expect(0, 3886, '\p{^Is_Nv=+000009/02}', "");
    Expect(0, 3886, '\P{Is_Nv=+000009/02}', "");
    Expect(1, 3886, '\P{^Is_Nv=+000009/02}', "");
    Expect(0, 3887, '\p{Is_Nv=+000009/02}', "");
    Expect(1, 3887, '\p{^Is_Nv=+000009/02}', "");
    Expect(1, 3887, '\P{Is_Nv=+000009/02}', "");
    Expect(0, 3887, '\P{^Is_Nv=+000009/02}', "");
    Expect(1, 3886, '\p{Is_Nv:540/120}', "");
    Expect(0, 3886, '\p{^Is_Nv:540/120}', "");
    Expect(0, 3886, '\P{Is_Nv:540/120}', "");
    Expect(1, 3886, '\P{^Is_Nv:540/120}', "");
    Expect(0, 3887, '\p{Is_Nv:540/120}', "");
    Expect(1, 3887, '\p{^Is_Nv:540/120}', "");
    Expect(1, 3887, '\P{Is_Nv:540/120}', "");
    Expect(0, 3887, '\P{^Is_Nv:540/120}', "");
    Expect(1, 3886, '\p{Is_Nv=4.5e+00}', "");
    Expect(0, 3886, '\p{^Is_Nv=4.5e+00}', "");
    Expect(0, 3886, '\P{Is_Nv=4.5e+00}', "");
    Expect(1, 3886, '\P{^Is_Nv=4.5e+00}', "");
    Expect(0, 3887, '\p{Is_Nv=4.5e+00}', "");
    Expect(1, 3887, '\p{^Is_Nv=4.5e+00}', "");
    Expect(1, 3887, '\P{Is_Nv=4.5e+00}', "");
    Expect(0, 3887, '\P{^Is_Nv=4.5e+00}', "");
    Expect(1, 3886, '\p{Is_Nv=4.5}', "");
    Expect(0, 3886, '\p{^Is_Nv=4.5}', "");
    Expect(0, 3886, '\P{Is_Nv=4.5}', "");
    Expect(1, 3886, '\P{^Is_Nv=4.5}', "");
    Expect(0, 3887, '\p{Is_Nv=4.5}', "");
    Expect(1, 3887, '\p{^Is_Nv=4.5}', "");
    Expect(1, 3887, '\P{Is_Nv=4.5}', "");
    Expect(0, 3887, '\P{^Is_Nv=4.5}', "");
    Expect(1, 3886, '\p{Is_Nv=4.50e+00}', "");
    Expect(0, 3886, '\p{^Is_Nv=4.50e+00}', "");
    Expect(0, 3886, '\P{Is_Nv=4.50e+00}', "");
    Expect(1, 3886, '\P{^Is_Nv=4.50e+00}', "");
    Expect(0, 3887, '\p{Is_Nv=4.50e+00}', "");
    Expect(1, 3887, '\p{^Is_Nv=4.50e+00}', "");
    Expect(1, 3887, '\P{Is_Nv=4.50e+00}', "");
    Expect(0, 3887, '\P{^Is_Nv=4.50e+00}', "");
    Expect(1, 3886, '\p{Is_Nv=4.50}', "");
    Expect(0, 3886, '\p{^Is_Nv=4.50}', "");
    Expect(0, 3886, '\P{Is_Nv=4.50}', "");
    Expect(1, 3886, '\P{^Is_Nv=4.50}', "");
    Expect(0, 3887, '\p{Is_Nv=4.50}', "");
    Expect(1, 3887, '\p{^Is_Nv=4.50}', "");
    Expect(1, 3887, '\P{Is_Nv=4.50}', "");
    Expect(0, 3887, '\P{^Is_Nv=4.50}', "");
    Error('\p{Numeric_Value=	009_0:=}');
    Error('\P{Numeric_Value=	009_0:=}');
    Expect(1, 126226, '\p{Numeric_Value=:\A90\z:}', "");;
    Expect(0, 126227, '\p{Numeric_Value=:\A90\z:}', "");;
    Expect(1, 126226, '\p{Numeric_Value=000_009_0}', "");
    Expect(0, 126226, '\p{^Numeric_Value=000_009_0}', "");
    Expect(0, 126226, '\P{Numeric_Value=000_009_0}', "");
    Expect(1, 126226, '\P{^Numeric_Value=000_009_0}', "");
    Expect(0, 126227, '\p{Numeric_Value=000_009_0}', "");
    Expect(1, 126227, '\p{^Numeric_Value=000_009_0}', "");
    Expect(1, 126227, '\P{Numeric_Value=000_009_0}', "");
    Expect(0, 126227, '\P{^Numeric_Value=000_009_0}', "");
    Expect(1, 126226, '\p{Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126226, '\p{^Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126226, '\P{Numeric_Value=9.000000000000000e+01}', "");
    Expect(1, 126226, '\P{^Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126227, '\p{Numeric_Value=9.000000000000000e+01}', "");
    Expect(1, 126227, '\p{^Numeric_Value=9.000000000000000e+01}', "");
    Expect(1, 126227, '\P{Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126227, '\P{^Numeric_Value=9.000000000000000e+01}', "");
    Error('\p{Nv= 0_0_0_0_0_0_0_0_0_90:=}');
    Error('\P{Nv= 0_0_0_0_0_0_0_0_0_90:=}');
    Expect(1, 126226, '\p{Nv=:\A90\z:}', "");;
    Expect(0, 126227, '\p{Nv=:\A90\z:}', "");;
    Expect(1, 126226, '\p{Nv=+00090}', "");
    Expect(0, 126226, '\p{^Nv=+00090}', "");
    Expect(0, 126226, '\P{Nv=+00090}', "");
    Expect(1, 126226, '\P{^Nv=+00090}', "");
    Expect(0, 126227, '\p{Nv=+00090}', "");
    Expect(1, 126227, '\p{^Nv=+00090}', "");
    Expect(1, 126227, '\P{Nv=+00090}', "");
    Expect(0, 126227, '\P{^Nv=+00090}', "");
    Expect(1, 126226, '\p{Nv=9.000000000000000e+01}', "");
    Expect(0, 126226, '\p{^Nv=9.000000000000000e+01}', "");
    Expect(0, 126226, '\P{Nv=9.000000000000000e+01}', "");
    Expect(1, 126226, '\P{^Nv=9.000000000000000e+01}', "");
    Expect(0, 126227, '\p{Nv=9.000000000000000e+01}', "");
    Expect(1, 126227, '\p{^Nv=9.000000000000000e+01}', "");
    Expect(1, 126227, '\P{Nv=9.000000000000000e+01}', "");
    Expect(0, 126227, '\P{^Nv=9.000000000000000e+01}', "");
    Error('\p{Is_Numeric_Value=_09_0:=}');
    Error('\P{Is_Numeric_Value=_09_0:=}');
    Expect(1, 126226, '\p{Is_Numeric_Value=090}', "");
    Expect(0, 126226, '\p{^Is_Numeric_Value=090}', "");
    Expect(0, 126226, '\P{Is_Numeric_Value=090}', "");
    Expect(1, 126226, '\P{^Is_Numeric_Value=090}', "");
    Expect(0, 126227, '\p{Is_Numeric_Value=090}', "");
    Expect(1, 126227, '\p{^Is_Numeric_Value=090}', "");
    Expect(1, 126227, '\P{Is_Numeric_Value=090}', "");
    Expect(0, 126227, '\P{^Is_Numeric_Value=090}', "");
    Expect(1, 126226, '\p{Is_Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126226, '\p{^Is_Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126226, '\P{Is_Numeric_Value=9.000000000000000e+01}', "");
    Expect(1, 126226, '\P{^Is_Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126227, '\p{Is_Numeric_Value=9.000000000000000e+01}', "");
    Expect(1, 126227, '\p{^Is_Numeric_Value=9.000000000000000e+01}', "");
    Expect(1, 126227, '\P{Is_Numeric_Value=9.000000000000000e+01}', "");
    Expect(0, 126227, '\P{^Is_Numeric_Value=9.000000000000000e+01}', "");
    Error('\p{Is_Nv= /a/+00_00_00_09_0}');
    Error('\P{Is_Nv= /a/+00_00_00_09_0}');
    Expect(1, 126226, '\p{Is_Nv=00_09_0}', "");
    Expect(0, 126226, '\p{^Is_Nv=00_09_0}', "");
    Expect(0, 126226, '\P{Is_Nv=00_09_0}', "");
    Expect(1, 126226, '\P{^Is_Nv=00_09_0}', "");
    Expect(0, 126227, '\p{Is_Nv=00_09_0}', "");
    Expect(1, 126227, '\p{^Is_Nv=00_09_0}', "");
    Expect(1, 126227, '\P{Is_Nv=00_09_0}', "");
    Expect(0, 126227, '\P{^Is_Nv=00_09_0}', "");
    Expect(1, 126226, '\p{Is_Nv=9.000000000000000e+01}', "");
    Expect(0, 126226, '\p{^Is_Nv=9.000000000000000e+01}', "");
    Expect(0, 126226, '\P{Is_Nv=9.000000000000000e+01}', "");
    Expect(1, 126226, '\P{^Is_Nv=9.000000000000000e+01}', "");
    Expect(0, 126227, '\p{Is_Nv=9.000000000000000e+01}', "");
    Expect(1, 126227, '\p{^Is_Nv=9.000000000000000e+01}', "");
    Expect(1, 126227, '\P{Is_Nv=9.000000000000000e+01}', "");
    Expect(0, 126227, '\P{^Is_Nv=9.000000000000000e+01}', "");
    Error('\p{Numeric_Value=/a/_	+0000000900}');
    Error('\P{Numeric_Value=/a/_	+0000000900}');
    Expect(1, 126235, '\p{Numeric_Value=:\A900\z:}', "");;
    Expect(0, 126236, '\p{Numeric_Value=:\A900\z:}', "");;
    Expect(1, 126235, '\p{Numeric_Value=090_0}', "");
    Expect(0, 126235, '\p{^Numeric_Value=090_0}', "");
    Expect(0, 126235, '\P{Numeric_Value=090_0}', "");
    Expect(1, 126235, '\P{^Numeric_Value=090_0}', "");
    Expect(0, 126236, '\p{Numeric_Value=090_0}', "");
    Expect(1, 126236, '\p{^Numeric_Value=090_0}', "");
    Expect(1, 126236, '\P{Numeric_Value=090_0}', "");
    Expect(0, 126236, '\P{^Numeric_Value=090_0}', "");
    Expect(1, 126235, '\p{Numeric_Value=9.000000000000000e+02}', "");
    Expect(0, 126235, '\p{^Numeric_Value=9.000000000000000e+02}', "");
    Expect(0, 126235, '\P{Numeric_Value=9.000000000000000e+02}', "");
    Expect(1, 126235, '\P{^Numeric_Value=9.000000000000000e+02}', "");
    Expect(0, 126236, '\p{Numeric_Value=9.000000000000000e+02}', "");
    Expect(1, 126236, '\p{^Numeric_Value=9.000000000000000e+02}', "");
    Expect(1, 126236, '\P{Numeric_Value=9.000000000000000e+02}', "");
    Expect(0, 126236, '\P{^Numeric_Value=9.000000000000000e+02}', "");
    Error('\p{Nv=/a/90_0}');
    Error('\P{Nv=/a/90_0}');
    Expect(1, 126235, '\p{Nv=:\A900\z:}', "");;
    Expect(0, 126236, '\p{Nv=:\A900\z:}', "");;
    Expect(1, 126235, '\p{Nv=0_0_0_0_0_0_0900}', "");
    Expect(0, 126235, '\p{^Nv=0_0_0_0_0_0_0900}', "");
    Expect(0, 126235, '\P{Nv=0_0_0_0_0_0_0900}', "");
    Expect(1, 126235, '\P{^Nv=0_0_0_0_0_0_0900}', "");
    Expect(0, 126236, '\p{Nv=0_0_0_0_0_0_0900}', "");
    Expect(1, 126236, '\p{^Nv=0_0_0_0_0_0_0900}', "");
    Expect(1, 126236, '\P{Nv=0_0_0_0_0_0_0900}', "");
    Expect(0, 126236, '\P{^Nv=0_0_0_0_0_0_0900}', "");
    Expect(1, 126235, '\p{Nv=9.000000000000000e+02}', "");
    Expect(0, 126235, '\p{^Nv=9.000000000000000e+02}', "");
    Expect(0, 126235, '\P{Nv=9.000000000000000e+02}', "");
    Expect(1, 126235, '\P{^Nv=9.000000000000000e+02}', "");
    Expect(0, 126236, '\p{Nv=9.000000000000000e+02}', "");
    Expect(1, 126236, '\p{^Nv=9.000000000000000e+02}', "");
    Expect(1, 126236, '\P{Nv=9.000000000000000e+02}', "");
    Expect(0, 126236, '\P{^Nv=9.000000000000000e+02}', "");
    Error('\p{Is_Numeric_Value=:=-	00000000090_0}');
    Error('\P{Is_Numeric_Value=:=-	00000000090_0}');
    Expect(1, 126235, '\p{Is_Numeric_Value=0_0_0_900}', "");
    Expect(0, 126235, '\p{^Is_Numeric_Value=0_0_0_900}', "");
    Expect(0, 126235, '\P{Is_Numeric_Value=0_0_0_900}', "");
    Expect(1, 126235, '\P{^Is_Numeric_Value=0_0_0_900}', "");
    Expect(0, 126236, '\p{Is_Numeric_Value=0_0_0_900}', "");
    Expect(1, 126236, '\p{^Is_Numeric_Value=0_0_0_900}', "");
    Expect(1, 126236, '\P{Is_Numeric_Value=0_0_0_900}', "");
    Expect(0, 126236, '\P{^Is_Numeric_Value=0_0_0_900}', "");
    Expect(1, 126235, '\p{Is_Numeric_Value:   9.000000000000000e+02}', "");
    Expect(0, 126235, '\p{^Is_Numeric_Value:   9.000000000000000e+02}', "");
    Expect(0, 126235, '\P{Is_Numeric_Value:   9.000000000000000e+02}', "");
    Expect(1, 126235, '\P{^Is_Numeric_Value:   9.000000000000000e+02}', "");
    Expect(0, 126236, '\p{Is_Numeric_Value:   9.000000000000000e+02}', "");
    Expect(1, 126236, '\p{^Is_Numeric_Value:   9.000000000000000e+02}', "");
    Expect(1, 126236, '\P{Is_Numeric_Value:   9.000000000000000e+02}', "");
    Expect(0, 126236, '\P{^Is_Numeric_Value:   9.000000000000000e+02}', "");
    Error('\p{Is_Nv=/a/-	0_0_9_00}');
    Error('\P{Is_Nv=/a/-	0_0_9_00}');
    Expect(1, 126235, '\p{Is_Nv:	+000000000900}', "");
    Expect(0, 126235, '\p{^Is_Nv:	+000000000900}', "");
    Expect(0, 126235, '\P{Is_Nv:	+000000000900}', "");
    Expect(1, 126235, '\P{^Is_Nv:	+000000000900}', "");
    Expect(0, 126236, '\p{Is_Nv:	+000000000900}', "");
    Expect(1, 126236, '\p{^Is_Nv:	+000000000900}', "");
    Expect(1, 126236, '\P{Is_Nv:	+000000000900}', "");
    Expect(0, 126236, '\P{^Is_Nv:	+000000000900}', "");
    Expect(1, 126235, '\p{Is_Nv:9.000000000000000e+02}', "");
    Expect(0, 126235, '\p{^Is_Nv:9.000000000000000e+02}', "");
    Expect(0, 126235, '\P{Is_Nv:9.000000000000000e+02}', "");
    Expect(1, 126235, '\P{^Is_Nv:9.000000000000000e+02}', "");
    Expect(0, 126236, '\p{Is_Nv:9.000000000000000e+02}', "");
    Expect(1, 126236, '\p{^Is_Nv:9.000000000000000e+02}', "");
    Expect(1, 126236, '\P{Is_Nv:9.000000000000000e+02}', "");
    Expect(0, 126236, '\P{^Is_Nv:9.000000000000000e+02}', "");
    Error('\p{Numeric_Value=/a/	_0000000009000}');
    Error('\P{Numeric_Value=/a/	_0000000009000}');
    Expect(1, 126244, '\p{Numeric_Value=:\A9000\z:}', "");;
    Expect(0, 126245, '\p{Numeric_Value=:\A9000\z:}', "");;
    Expect(1, 126244, '\p{Numeric_Value=9000}', "");
    Expect(0, 126244, '\p{^Numeric_Value=9000}', "");
    Expect(0, 126244, '\P{Numeric_Value=9000}', "");
    Expect(1, 126244, '\P{^Numeric_Value=9000}', "");
    Expect(0, 126245, '\p{Numeric_Value=9000}', "");
    Expect(1, 126245, '\p{^Numeric_Value=9000}', "");
    Expect(1, 126245, '\P{Numeric_Value=9000}', "");
    Expect(0, 126245, '\P{^Numeric_Value=9000}', "");
    Expect(1, 126244, '\p{Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126244, '\p{^Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126244, '\P{Numeric_Value=9.000000000000000e+03}', "");
    Expect(1, 126244, '\P{^Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126245, '\p{Numeric_Value=9.000000000000000e+03}', "");
    Expect(1, 126245, '\p{^Numeric_Value=9.000000000000000e+03}', "");
    Expect(1, 126245, '\P{Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126245, '\P{^Numeric_Value=9.000000000000000e+03}', "");
    Error('\p{Nv=	:=09000}');
    Error('\P{Nv=	:=09000}');
    Expect(1, 126244, '\p{Nv=:\A9000\z:}', "");;
    Expect(0, 126245, '\p{Nv=:\A9000\z:}', "");;
    Expect(1, 126244, '\p{Nv=009000}', "");
    Expect(0, 126244, '\p{^Nv=009000}', "");
    Expect(0, 126244, '\P{Nv=009000}', "");
    Expect(1, 126244, '\P{^Nv=009000}', "");
    Expect(0, 126245, '\p{Nv=009000}', "");
    Expect(1, 126245, '\p{^Nv=009000}', "");
    Expect(1, 126245, '\P{Nv=009000}', "");
    Expect(0, 126245, '\P{^Nv=009000}', "");
    Expect(1, 126244, '\p{Nv=9.000000000000000e+03}', "");
    Expect(0, 126244, '\p{^Nv=9.000000000000000e+03}', "");
    Expect(0, 126244, '\P{Nv=9.000000000000000e+03}', "");
    Expect(1, 126244, '\P{^Nv=9.000000000000000e+03}', "");
    Expect(0, 126245, '\p{Nv=9.000000000000000e+03}', "");
    Expect(1, 126245, '\p{^Nv=9.000000000000000e+03}', "");
    Expect(1, 126245, '\P{Nv=9.000000000000000e+03}', "");
    Expect(0, 126245, '\P{^Nv=9.000000000000000e+03}', "");
    Error('\p{Is_Numeric_Value=/a/-	+09_00_0}');
    Error('\P{Is_Numeric_Value=/a/-	+09_00_0}');
    Expect(1, 126244, '\p{Is_Numeric_Value=+000000009000}', "");
    Expect(0, 126244, '\p{^Is_Numeric_Value=+000000009000}', "");
    Expect(0, 126244, '\P{Is_Numeric_Value=+000000009000}', "");
    Expect(1, 126244, '\P{^Is_Numeric_Value=+000000009000}', "");
    Expect(0, 126245, '\p{Is_Numeric_Value=+000000009000}', "");
    Expect(1, 126245, '\p{^Is_Numeric_Value=+000000009000}', "");
    Expect(1, 126245, '\P{Is_Numeric_Value=+000000009000}', "");
    Expect(0, 126245, '\P{^Is_Numeric_Value=+000000009000}', "");
    Expect(1, 126244, '\p{Is_Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126244, '\p{^Is_Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126244, '\P{Is_Numeric_Value=9.000000000000000e+03}', "");
    Expect(1, 126244, '\P{^Is_Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126245, '\p{Is_Numeric_Value=9.000000000000000e+03}', "");
    Expect(1, 126245, '\p{^Is_Numeric_Value=9.000000000000000e+03}', "");
    Expect(1, 126245, '\P{Is_Numeric_Value=9.000000000000000e+03}', "");
    Expect(0, 126245, '\P{^Is_Numeric_Value=9.000000000000000e+03}', "");
    Error('\p{Is_Nv=	-+0_0_0_0_0_0_0_0_0_9_0_00:=}');
    Error('\P{Is_Nv=	-+0_0_0_0_0_0_0_0_0_9_0_00:=}');
    Expect(1, 126244, '\p{Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(0, 126244, '\p{^Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(0, 126244, '\P{Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(1, 126244, '\P{^Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(0, 126245, '\p{Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(1, 126245, '\p{^Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(1, 126245, '\P{Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(0, 126245, '\P{^Is_Nv=0_0_0_0_0_0_0_9_000}', "");
    Expect(1, 126244, '\p{Is_Nv=9.000000000000000e+03}', "");
    Expect(0, 126244, '\p{^Is_Nv=9.000000000000000e+03}', "");
    Expect(0, 126244, '\P{Is_Nv=9.000000000000000e+03}', "");
    Expect(1, 126244, '\P{^Is_Nv=9.000000000000000e+03}', "");
    Expect(0, 126245, '\p{Is_Nv=9.000000000000000e+03}', "");
    Expect(1, 126245, '\p{^Is_Nv=9.000000000000000e+03}', "");
    Expect(1, 126245, '\P{Is_Nv=9.000000000000000e+03}', "");
    Expect(0, 126245, '\P{^Is_Nv=9.000000000000000e+03}', "");
    Error('\p{Numeric_Value=-	0090000:=}');
    Error('\P{Numeric_Value=-	0090000:=}');
    Expect(1, 126253, '\p{Numeric_Value=:\A90000\z:}', "");;
    Expect(0, 126254, '\p{Numeric_Value=:\A90000\z:}', "");;
    Expect(1, 126253, '\p{Numeric_Value=+0000000090000}', "");
    Expect(0, 126253, '\p{^Numeric_Value=+0000000090000}', "");
    Expect(0, 126253, '\P{Numeric_Value=+0000000090000}', "");
    Expect(1, 126253, '\P{^Numeric_Value=+0000000090000}', "");
    Expect(0, 126254, '\p{Numeric_Value=+0000000090000}', "");
    Expect(1, 126254, '\p{^Numeric_Value=+0000000090000}', "");
    Expect(1, 126254, '\P{Numeric_Value=+0000000090000}', "");
    Expect(0, 126254, '\P{^Numeric_Value=+0000000090000}', "");
    Expect(1, 126253, '\p{Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126253, '\p{^Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126253, '\P{Numeric_Value=9.000000000000000e+04}', "");
    Expect(1, 126253, '\P{^Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126254, '\p{Numeric_Value=9.000000000000000e+04}', "");
    Expect(1, 126254, '\p{^Numeric_Value=9.000000000000000e+04}', "");
    Expect(1, 126254, '\P{Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126254, '\P{^Numeric_Value=9.000000000000000e+04}', "");
    Error('\p{Nv=-0_0_0_0_0_9_0_0_00:=}');
    Error('\P{Nv=-0_0_0_0_0_9_0_0_00:=}');
    Expect(1, 126253, '\p{Nv=:\A90000\z:}', "");;
    Expect(0, 126254, '\p{Nv=:\A90000\z:}', "");;
    Expect(1, 126253, '\p{Nv=000000090000}', "");
    Expect(0, 126253, '\p{^Nv=000000090000}', "");
    Expect(0, 126253, '\P{Nv=000000090000}', "");
    Expect(1, 126253, '\P{^Nv=000000090000}', "");
    Expect(0, 126254, '\p{Nv=000000090000}', "");
    Expect(1, 126254, '\p{^Nv=000000090000}', "");
    Expect(1, 126254, '\P{Nv=000000090000}', "");
    Expect(0, 126254, '\P{^Nv=000000090000}', "");
    Expect(1, 126253, '\p{Nv=9.000000000000000e+04}', "");
    Expect(0, 126253, '\p{^Nv=9.000000000000000e+04}', "");
    Expect(0, 126253, '\P{Nv=9.000000000000000e+04}', "");
    Expect(1, 126253, '\P{^Nv=9.000000000000000e+04}', "");
    Expect(0, 126254, '\p{Nv=9.000000000000000e+04}', "");
    Expect(1, 126254, '\p{^Nv=9.000000000000000e+04}', "");
    Expect(1, 126254, '\P{Nv=9.000000000000000e+04}', "");
    Expect(0, 126254, '\P{^Nv=9.000000000000000e+04}', "");
    Error('\p{Is_Numeric_Value=:=_0_0_9_0_000}');
    Error('\P{Is_Numeric_Value=:=_0_0_9_0_000}');
    Expect(1, 126253, '\p{Is_Numeric_Value=000090000}', "");
    Expect(0, 126253, '\p{^Is_Numeric_Value=000090000}', "");
    Expect(0, 126253, '\P{Is_Numeric_Value=000090000}', "");
    Expect(1, 126253, '\P{^Is_Numeric_Value=000090000}', "");
    Expect(0, 126254, '\p{Is_Numeric_Value=000090000}', "");
    Expect(1, 126254, '\p{^Is_Numeric_Value=000090000}', "");
    Expect(1, 126254, '\P{Is_Numeric_Value=000090000}', "");
    Expect(0, 126254, '\P{^Is_Numeric_Value=000090000}', "");
    Expect(1, 126253, '\p{Is_Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126253, '\p{^Is_Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126253, '\P{Is_Numeric_Value=9.000000000000000e+04}', "");
    Expect(1, 126253, '\P{^Is_Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126254, '\p{Is_Numeric_Value=9.000000000000000e+04}', "");
    Expect(1, 126254, '\p{^Is_Numeric_Value=9.000000000000000e+04}', "");
    Expect(1, 126254, '\P{Is_Numeric_Value=9.000000000000000e+04}', "");
    Expect(0, 126254, '\P{^Is_Numeric_Value=9.000000000000000e+04}', "");
    Error('\p{Is_Nv=:=+00_00_90_00_0}');
    Error('\P{Is_Nv=:=+00_00_90_00_0}');
    Expect(1, 126253, '\p{Is_Nv=+90_00_0}', "");
    Expect(0, 126253, '\p{^Is_Nv=+90_00_0}', "");
    Expect(0, 126253, '\P{Is_Nv=+90_00_0}', "");
    Expect(1, 126253, '\P{^Is_Nv=+90_00_0}', "");
    Expect(0, 126254, '\p{Is_Nv=+90_00_0}', "");
    Expect(1, 126254, '\p{^Is_Nv=+90_00_0}', "");
    Expect(1, 126254, '\P{Is_Nv=+90_00_0}', "");
    Expect(0, 126254, '\P{^Is_Nv=+90_00_0}', "");
    Expect(1, 126253, '\p{Is_Nv:	9.000000000000000e+04}', "");
    Expect(0, 126253, '\p{^Is_Nv:	9.000000000000000e+04}', "");
    Expect(0, 126253, '\P{Is_Nv:	9.000000000000000e+04}', "");
    Expect(1, 126253, '\P{^Is_Nv:	9.000000000000000e+04}', "");
    Expect(0, 126254, '\p{Is_Nv:	9.000000000000000e+04}', "");
    Expect(1, 126254, '\p{^Is_Nv:	9.000000000000000e+04}', "");
    Expect(1, 126254, '\P{Is_Nv:	9.000000000000000e+04}', "");
    Expect(0, 126254, '\P{^Is_Nv:	9.000000000000000e+04}', "");
    Error('\p{Numeric_Value=_900000/a/}');
    Error('\P{Numeric_Value=_900000/a/}');
    Expect(1, 68085, '\p{Numeric_Value=:\A900000\z:}', "");;
    Expect(0, 68086, '\p{Numeric_Value=:\A900000\z:}', "");;
    Expect(1, 68085, '\p{Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(0, 68085, '\p{^Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(0, 68085, '\P{Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(1, 68085, '\P{^Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(0, 68086, '\p{Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(1, 68086, '\p{^Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(1, 68086, '\P{Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(0, 68086, '\P{^Numeric_Value=+0_0_0_0_0_9_0_0000}', "");
    Expect(1, 68085, '\p{Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68085, '\p{^Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68085, '\P{Numeric_Value=9.000000000000000e+05}', "");
    Expect(1, 68085, '\P{^Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68086, '\p{Numeric_Value=9.000000000000000e+05}', "");
    Expect(1, 68086, '\p{^Numeric_Value=9.000000000000000e+05}', "");
    Expect(1, 68086, '\P{Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68086, '\P{^Numeric_Value=9.000000000000000e+05}', "");
    Error('\p{Nv=		000000900000/a/}');
    Error('\P{Nv=		000000900000/a/}');
    Expect(1, 68085, '\p{Nv=:\A900000\z:}', "");;
    Expect(0, 68086, '\p{Nv=:\A900000\z:}', "");;
    Expect(1, 68085, '\p{Nv=0900000}', "");
    Expect(0, 68085, '\p{^Nv=0900000}', "");
    Expect(0, 68085, '\P{Nv=0900000}', "");
    Expect(1, 68085, '\P{^Nv=0900000}', "");
    Expect(0, 68086, '\p{Nv=0900000}', "");
    Expect(1, 68086, '\p{^Nv=0900000}', "");
    Expect(1, 68086, '\P{Nv=0900000}', "");
    Expect(0, 68086, '\P{^Nv=0900000}', "");
    Expect(1, 68085, '\p{Nv=9.000000000000000e+05}', "");
    Expect(0, 68085, '\p{^Nv=9.000000000000000e+05}', "");
    Expect(0, 68085, '\P{Nv=9.000000000000000e+05}', "");
    Expect(1, 68085, '\P{^Nv=9.000000000000000e+05}', "");
    Expect(0, 68086, '\p{Nv=9.000000000000000e+05}', "");
    Expect(1, 68086, '\p{^Nv=9.000000000000000e+05}', "");
    Expect(1, 68086, '\P{Nv=9.000000000000000e+05}', "");
    Expect(0, 68086, '\P{^Nv=9.000000000000000e+05}', "");
    Error('\p{Is_Numeric_Value=/a/	-0_0_0_0_0_0_0_9_0_0_0_00}');
    Error('\P{Is_Numeric_Value=/a/	-0_0_0_0_0_0_0_9_0_0_0_00}');
    Expect(1, 68085, '\p{Is_Numeric_Value=+00000900000}', "");
    Expect(0, 68085, '\p{^Is_Numeric_Value=+00000900000}', "");
    Expect(0, 68085, '\P{Is_Numeric_Value=+00000900000}', "");
    Expect(1, 68085, '\P{^Is_Numeric_Value=+00000900000}', "");
    Expect(0, 68086, '\p{Is_Numeric_Value=+00000900000}', "");
    Expect(1, 68086, '\p{^Is_Numeric_Value=+00000900000}', "");
    Expect(1, 68086, '\P{Is_Numeric_Value=+00000900000}', "");
    Expect(0, 68086, '\P{^Is_Numeric_Value=+00000900000}', "");
    Expect(1, 68085, '\p{Is_Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68085, '\p{^Is_Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68085, '\P{Is_Numeric_Value=9.000000000000000e+05}', "");
    Expect(1, 68085, '\P{^Is_Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68086, '\p{Is_Numeric_Value=9.000000000000000e+05}', "");
    Expect(1, 68086, '\p{^Is_Numeric_Value=9.000000000000000e+05}', "");
    Expect(1, 68086, '\P{Is_Numeric_Value=9.000000000000000e+05}', "");
    Expect(0, 68086, '\P{^Is_Numeric_Value=9.000000000000000e+05}', "");
    Error('\p{Is_Nv=/a/	 +0_0_0_0_9_0_0_0_00}');
    Error('\P{Is_Nv=/a/	 +0_0_0_0_9_0_0_0_00}');
    Expect(1, 68085, '\p{Is_Nv:   900000}', "");
    Expect(0, 68085, '\p{^Is_Nv:   900000}', "");
    Expect(0, 68085, '\P{Is_Nv:   900000}', "");
    Expect(1, 68085, '\P{^Is_Nv:   900000}', "");
    Expect(0, 68086, '\p{Is_Nv:   900000}', "");
    Expect(1, 68086, '\p{^Is_Nv:   900000}', "");
    Expect(1, 68086, '\P{Is_Nv:   900000}', "");
    Expect(0, 68086, '\P{^Is_Nv:   900000}', "");
    Expect(1, 68085, '\p{Is_Nv=9.000000000000000e+05}', "");
    Expect(0, 68085, '\p{^Is_Nv=9.000000000000000e+05}', "");
    Expect(0, 68085, '\P{Is_Nv=9.000000000000000e+05}', "");
    Expect(1, 68085, '\P{^Is_Nv=9.000000000000000e+05}', "");
    Expect(0, 68086, '\p{Is_Nv=9.000000000000000e+05}', "");
    Expect(1, 68086, '\p{^Is_Nv=9.000000000000000e+05}', "");
    Expect(1, 68086, '\P{Is_Nv=9.000000000000000e+05}', "");
    Expect(0, 68086, '\P{^Is_Nv=9.000000000000000e+05}', "");
    Error('\p{Numeric_Value=:= _NaN}');
    Error('\P{Numeric_Value=:= _NaN}');
    Expect(1, 194705, '\p{Numeric_Value=:\ANaN\z:}', "");;
    Expect(0, 194704, '\p{Numeric_Value=:\ANaN\z:}', "");;
    Expect(1, 194705, '\p{Numeric_Value=nan}', "");
    Expect(0, 194705, '\p{^Numeric_Value=nan}', "");
    Expect(0, 194705, '\P{Numeric_Value=nan}', "");
    Expect(1, 194705, '\P{^Numeric_Value=nan}', "");
    Expect(0, 194704, '\p{Numeric_Value=nan}', "");
    Expect(1, 194704, '\p{^Numeric_Value=nan}', "");
    Expect(1, 194704, '\P{Numeric_Value=nan}', "");
    Expect(0, 194704, '\P{^Numeric_Value=nan}', "");
    Expect(1, 194705, '\p{Numeric_Value=:\Anan\z:}', "");;
    Expect(0, 194704, '\p{Numeric_Value=:\Anan\z:}', "");;
    Expect(1, 194705, '\p{Numeric_Value=-	NAN}', "");
    Expect(0, 194705, '\p{^Numeric_Value=-	NAN}', "");
    Expect(0, 194705, '\P{Numeric_Value=-	NAN}', "");
    Expect(1, 194705, '\P{^Numeric_Value=-	NAN}', "");
    Expect(0, 194704, '\p{Numeric_Value=-	NAN}', "");
    Expect(1, 194704, '\p{^Numeric_Value=-	NAN}', "");
    Expect(1, 194704, '\P{Numeric_Value=-	NAN}', "");
    Expect(0, 194704, '\P{^Numeric_Value=-	NAN}', "");
    Expect(1, 194705, '\p{Numeric_Value=NaN}', "");
    Expect(0, 194705, '\p{^Numeric_Value=NaN}', "");
    Expect(0, 194705, '\P{Numeric_Value=NaN}', "");
    Expect(1, 194705, '\P{^Numeric_Value=NaN}', "");
    Expect(0, 194704, '\p{Numeric_Value=NaN}', "");
    Expect(1, 194704, '\p{^Numeric_Value=NaN}', "");
    Expect(1, 194704, '\P{Numeric_Value=NaN}', "");
    Expect(0, 194704, '\P{^Numeric_Value=NaN}', "");
    Error('\p{Nv=__NAN:=}');
    Error('\P{Nv=__NAN:=}');
    Expect(1, 194705, '\p{Nv=:\ANaN\z:}', "");;
    Expect(0, 194704, '\p{Nv=:\ANaN\z:}', "");;
    Expect(1, 194705, '\p{Nv=nan}', "");
    Expect(0, 194705, '\p{^Nv=nan}', "");
    Expect(0, 194705, '\P{Nv=nan}', "");
    Expect(1, 194705, '\P{^Nv=nan}', "");
    Expect(0, 194704, '\p{Nv=nan}', "");
    Expect(1, 194704, '\p{^Nv=nan}', "");
    Expect(1, 194704, '\P{Nv=nan}', "");
    Expect(0, 194704, '\P{^Nv=nan}', "");
    Expect(1, 194705, '\p{Nv=:\Anan\z:}', "");;
    Expect(0, 194704, '\p{Nv=:\Anan\z:}', "");;
    Expect(1, 194705, '\p{Nv= 	nan}', "");
    Expect(0, 194705, '\p{^Nv= 	nan}', "");
    Expect(0, 194705, '\P{Nv= 	nan}', "");
    Expect(1, 194705, '\P{^Nv= 	nan}', "");
    Expect(0, 194704, '\p{Nv= 	nan}', "");
    Expect(1, 194704, '\p{^Nv= 	nan}', "");
    Expect(1, 194704, '\P{Nv= 	nan}', "");
    Expect(0, 194704, '\P{^Nv= 	nan}', "");
    Expect(1, 194705, '\p{Nv=NaN}', "");
    Expect(0, 194705, '\p{^Nv=NaN}', "");
    Expect(0, 194705, '\P{Nv=NaN}', "");
    Expect(1, 194705, '\P{^Nv=NaN}', "");
    Expect(0, 194704, '\p{Nv=NaN}', "");
    Expect(1, 194704, '\p{^Nv=NaN}', "");
    Expect(1, 194704, '\P{Nv=NaN}', "");
    Expect(0, 194704, '\P{^Nv=NaN}', "");
    Error('\p{Is_Numeric_Value=/a/-	NaN}');
    Error('\P{Is_Numeric_Value=/a/-	NaN}');
    Expect(1, 194705, '\p{Is_Numeric_Value=nan}', "");
    Expect(0, 194705, '\p{^Is_Numeric_Value=nan}', "");
    Expect(0, 194705, '\P{Is_Numeric_Value=nan}', "");
    Expect(1, 194705, '\P{^Is_Numeric_Value=nan}', "");
    Expect(0, 194704, '\p{Is_Numeric_Value=nan}', "");
    Expect(1, 194704, '\p{^Is_Numeric_Value=nan}', "");
    Expect(1, 194704, '\P{Is_Numeric_Value=nan}', "");
    Expect(0, 194704, '\P{^Is_Numeric_Value=nan}', "");
    Expect(1, 194705, '\p{Is_Numeric_Value= _NAN}', "");
    Expect(0, 194705, '\p{^Is_Numeric_Value= _NAN}', "");
    Expect(0, 194705, '\P{Is_Numeric_Value= _NAN}', "");
    Expect(1, 194705, '\P{^Is_Numeric_Value= _NAN}', "");
    Expect(0, 194704, '\p{Is_Numeric_Value= _NAN}', "");
    Expect(1, 194704, '\p{^Is_Numeric_Value= _NAN}', "");
    Expect(1, 194704, '\P{Is_Numeric_Value= _NAN}', "");
    Expect(0, 194704, '\P{^Is_Numeric_Value= _NAN}', "");
    Expect(1, 194705, '\p{Is_Numeric_Value=NaN}', "");
    Expect(0, 194705, '\p{^Is_Numeric_Value=NaN}', "");
    Expect(0, 194705, '\P{Is_Numeric_Value=NaN}', "");
    Expect(1, 194705, '\P{^Is_Numeric_Value=NaN}', "");
    Expect(0, 194704, '\p{Is_Numeric_Value=NaN}', "");
    Expect(1, 194704, '\p{^Is_Numeric_Value=NaN}', "");
    Expect(1, 194704, '\P{Is_Numeric_Value=NaN}', "");
    Expect(0, 194704, '\P{^Is_Numeric_Value=NaN}', "");
    Error('\p{Is_Nv=_	NAN/a/}');
    Error('\P{Is_Nv=_	NAN/a/}');
    Expect(1, 194705, '\p{Is_Nv=nan}', "");
    Expect(0, 194705, '\p{^Is_Nv=nan}', "");
    Expect(0, 194705, '\P{Is_Nv=nan}', "");
    Expect(1, 194705, '\P{^Is_Nv=nan}', "");
    Expect(0, 194704, '\p{Is_Nv=nan}', "");
    Expect(1, 194704, '\p{^Is_Nv=nan}', "");
    Expect(1, 194704, '\P{Is_Nv=nan}', "");
    Expect(0, 194704, '\P{^Is_Nv=nan}', "");
    Expect(1, 194705, '\p{Is_Nv=--NaN}', "");
    Expect(0, 194705, '\p{^Is_Nv=--NaN}', "");
    Expect(0, 194705, '\P{Is_Nv=--NaN}', "");
    Expect(1, 194705, '\P{^Is_Nv=--NaN}', "");
    Expect(0, 194704, '\p{Is_Nv=--NaN}', "");
    Expect(1, 194704, '\p{^Is_Nv=--NaN}', "");
    Expect(1, 194704, '\P{Is_Nv=--NaN}', "");
    Expect(0, 194704, '\P{^Is_Nv=--NaN}', "");
    Expect(1, 194705, '\p{Is_Nv=NaN}', "");
    Expect(0, 194705, '\p{^Is_Nv=NaN}', "");
    Expect(0, 194705, '\P{Is_Nv=NaN}', "");
    Expect(1, 194705, '\P{^Is_Nv=NaN}', "");
    Expect(0, 194704, '\p{Is_Nv=NaN}', "");
    Expect(1, 194704, '\p{^Is_Nv=NaN}', "");
    Expect(1, 194704, '\P{Is_Nv=NaN}', "");
    Expect(0, 194704, '\P{^Is_Nv=NaN}', "");
    Error('\p{Other_Alphabetic=No}');
    Error('\P{Other_Alphabetic=No}');
    Error('\p{OAlpha=N}');
    Error('\P{OAlpha=N}');
    Error('\p{Is_Other_Alphabetic=F}');
    Error('\P{Is_Other_Alphabetic=F}');
    Error('\p{Is_OAlpha=False}');
    Error('\P{Is_OAlpha=False}');
    Error('\p{Other_Alphabetic=Yes}');
    Error('\P{Other_Alphabetic=Yes}');
    Error('\p{OAlpha=Y}');
    Error('\P{OAlpha=Y}');
    Error('\p{Is_Other_Alphabetic=T}');
    Error('\P{Is_Other_Alphabetic=T}');
    Error('\p{Is_OAlpha: True}');
    Error('\P{Is_OAlpha: True}');
    Error('\p{Other_Default_Ignorable_Code_Point=No}');
    Error('\P{Other_Default_Ignorable_Code_Point=No}');
    Error('\p{ODI=N}');
    Error('\P{ODI=N}');
    Error('\p{Is_Other_Default_Ignorable_Code_Point=F}');
    Error('\P{Is_Other_Default_Ignorable_Code_Point=F}');
    Error('\p{Is_ODI=False}');
    Error('\P{Is_ODI=False}');
    Error('\p{Other_Default_Ignorable_Code_Point:   Yes}');
    Error('\P{Other_Default_Ignorable_Code_Point:   Yes}');
    Error('\p{ODI=Y}');
    Error('\P{ODI=Y}');
    Error('\p{Is_Other_Default_Ignorable_Code_Point=T}');
    Error('\P{Is_Other_Default_Ignorable_Code_Point=T}');
    Error('\p{Is_ODI=True}');
    Error('\P{Is_ODI=True}');
    Error('\p{Other_Grapheme_Extend=No}');
    Error('\P{Other_Grapheme_Extend=No}');
    Error('\p{OGr_Ext=N}');
    Error('\P{OGr_Ext=N}');
    Error('\p{Is_Other_Grapheme_Extend=F}');
    Error('\P{Is_Other_Grapheme_Extend=F}');
    Error('\p{Is_OGr_Ext=False}');
    Error('\P{Is_OGr_Ext=False}');
    Error('\p{Other_Grapheme_Extend=Yes}');
    Error('\P{Other_Grapheme_Extend=Yes}');
    Error('\p{OGr_Ext=Y}');
    Error('\P{OGr_Ext=Y}');
    Error('\p{Is_Other_Grapheme_Extend=T}');
    Error('\P{Is_Other_Grapheme_Extend=T}');
    Error('\p{Is_OGr_Ext:	True}');
    Error('\P{Is_OGr_Ext:	True}');
    Error('\p{Other_ID_Continue:   No}');
    Error('\P{Other_ID_Continue:   No}');
    Error('\p{OIDC: N}');
    Error('\P{OIDC: N}');
    Error('\p{Is_Other_ID_Continue=F}');
    Error('\P{Is_Other_ID_Continue=F}');
    Error('\p{Is_OIDC=False}');
    Error('\P{Is_OIDC=False}');
    Error('\p{Other_ID_Continue=Yes}');
    Error('\P{Other_ID_Continue=Yes}');
    Error('\p{OIDC=Y}');
    Error('\P{OIDC=Y}');
    Error('\p{Is_Other_ID_Continue=T}');
    Error('\P{Is_Other_ID_Continue=T}');
    Error('\p{Is_OIDC=True}');
    Error('\P{Is_OIDC=True}');
    Error('\p{Other_ID_Start=No}');
    Error('\P{Other_ID_Start=No}');
    Error('\p{OIDS=N}');
    Error('\P{OIDS=N}');
    Error('\p{Is_Other_ID_Start=F}');
    Error('\P{Is_Other_ID_Start=F}');
    Error('\p{Is_OIDS=False}');
    Error('\P{Is_OIDS=False}');
    Error('\p{Other_ID_Start=Yes}');
    Error('\P{Other_ID_Start=Yes}');
    Error('\p{OIDS=Y}');
    Error('\P{OIDS=Y}');
    Error('\p{Is_Other_ID_Start=T}');
    Error('\P{Is_Other_ID_Start=T}');
    Error('\p{Is_OIDS=True}');
    Error('\P{Is_OIDS=True}');
    Error('\p{Other_Lowercase=No}');
    Error('\P{Other_Lowercase=No}');
    Error('\p{OLower:	N}');
    Error('\P{OLower:	N}');
    Error('\p{Is_Other_Lowercase=F}');
    Error('\P{Is_Other_Lowercase=F}');
    Error('\p{Is_OLower=False}');
    Error('\P{Is_OLower=False}');
    Error('\p{Other_Lowercase=Yes}');
    Error('\P{Other_Lowercase=Yes}');
    Error('\p{OLower=Y}');
    Error('\P{OLower=Y}');
    Error('\p{Is_Other_Lowercase:	T}');
    Error('\P{Is_Other_Lowercase:	T}');
    Error('\p{Is_OLower=True}');
    Error('\P{Is_OLower=True}');
    Error('\p{Other_Math=No}');
    Error('\P{Other_Math=No}');
    Error('\p{OMath=N}');
    Error('\P{OMath=N}');
    Error('\p{Is_Other_Math=F}');
    Error('\P{Is_Other_Math=F}');
    Error('\p{Is_OMath: False}');
    Error('\P{Is_OMath: False}');
    Error('\p{Other_Math=Yes}');
    Error('\P{Other_Math=Yes}');
    Error('\p{OMath:   Y}');
    Error('\P{OMath:   Y}');
    Error('\p{Is_Other_Math=T}');
    Error('\P{Is_Other_Math=T}');
    Error('\p{Is_OMath=True}');
    Error('\P{Is_OMath=True}');
    Error('\p{Other_Uppercase=No}');
    Error('\P{Other_Uppercase=No}');
    Error('\p{OUpper=N}');
    Error('\P{OUpper=N}');
    Error('\p{Is_Other_Uppercase=F}');
    Error('\P{Is_Other_Uppercase=F}');
    Error('\p{Is_OUpper=False}');
    Error('\P{Is_OUpper=False}');
    Error('\p{Other_Uppercase:   Yes}');
    Error('\P{Other_Uppercase:   Yes}');
    Error('\p{OUpper=Y}');
    Error('\P{OUpper=Y}');
    Error('\p{Is_Other_Uppercase=T}');
    Error('\P{Is_Other_Uppercase=T}');
    Error('\p{Is_OUpper=True}');
    Error('\P{Is_OUpper=True}');
    Error('\p{Pattern_Syntax=:=_NO}');
    Error('\P{Pattern_Syntax=:=_NO}');
    Expect(1, 65095, '\p{Pattern_Syntax=:\ANo\z:}', "");;
    Expect(0, 65094, '\p{Pattern_Syntax=:\ANo\z:}', "");;
    Expect(1, 65095, '\p{Pattern_Syntax=no}', "");
    Expect(0, 65095, '\p{^Pattern_Syntax=no}', "");
    Expect(0, 65095, '\P{Pattern_Syntax=no}', "");
    Expect(1, 65095, '\P{^Pattern_Syntax=no}', "");
    Expect(0, 65094, '\p{Pattern_Syntax=no}', "");
    Expect(1, 65094, '\p{^Pattern_Syntax=no}', "");
    Expect(1, 65094, '\P{Pattern_Syntax=no}', "");
    Expect(0, 65094, '\P{^Pattern_Syntax=no}', "");
    Expect(1, 65095, '\p{Pattern_Syntax=:\Ano\z:}', "");;
    Expect(0, 65094, '\p{Pattern_Syntax=:\Ano\z:}', "");;
    Expect(1, 65095, '\p{Pattern_Syntax= _no}', "");
    Expect(0, 65095, '\p{^Pattern_Syntax= _no}', "");
    Expect(0, 65095, '\P{Pattern_Syntax= _no}', "");
    Expect(1, 65095, '\P{^Pattern_Syntax= _no}', "");
    Expect(0, 65094, '\p{Pattern_Syntax= _no}', "");
    Expect(1, 65094, '\p{^Pattern_Syntax= _no}', "");
    Expect(1, 65094, '\P{Pattern_Syntax= _no}', "");
    Expect(0, 65094, '\P{^Pattern_Syntax= _no}', "");
    Error('\p{Pat_Syn=:=	N}');
    Error('\P{Pat_Syn=:=	N}');
    Expect(1, 65095, '\p{Pat_Syn=:\AN\z:}', "");;
    Expect(0, 65094, '\p{Pat_Syn=:\AN\z:}', "");;
    Expect(1, 65095, '\p{Pat_Syn=n}', "");
    Expect(0, 65095, '\p{^Pat_Syn=n}', "");
    Expect(0, 65095, '\P{Pat_Syn=n}', "");
    Expect(1, 65095, '\P{^Pat_Syn=n}', "");
    Expect(0, 65094, '\p{Pat_Syn=n}', "");
    Expect(1, 65094, '\p{^Pat_Syn=n}', "");
    Expect(1, 65094, '\P{Pat_Syn=n}', "");
    Expect(0, 65094, '\P{^Pat_Syn=n}', "");
    Expect(1, 65095, '\p{Pat_Syn=:\An\z:}', "");;
    Expect(0, 65094, '\p{Pat_Syn=:\An\z:}', "");;
    Expect(1, 65095, '\p{Pat_Syn=_	n}', "");
    Expect(0, 65095, '\p{^Pat_Syn=_	n}', "");
    Expect(0, 65095, '\P{Pat_Syn=_	n}', "");
    Expect(1, 65095, '\P{^Pat_Syn=_	n}', "");
    Expect(0, 65094, '\p{Pat_Syn=_	n}', "");
    Expect(1, 65094, '\p{^Pat_Syn=_	n}', "");
    Expect(1, 65094, '\P{Pat_Syn=_	n}', "");
    Expect(0, 65094, '\P{^Pat_Syn=_	n}', "");
    Error('\p{Is_Pattern_Syntax=/a/	 F}');
    Error('\P{Is_Pattern_Syntax=/a/	 F}');
    Expect(1, 65095, '\p{Is_Pattern_Syntax=f}', "");
    Expect(0, 65095, '\p{^Is_Pattern_Syntax=f}', "");
    Expect(0, 65095, '\P{Is_Pattern_Syntax=f}', "");
    Expect(1, 65095, '\P{^Is_Pattern_Syntax=f}', "");
    Expect(0, 65094, '\p{Is_Pattern_Syntax=f}', "");
    Expect(1, 65094, '\p{^Is_Pattern_Syntax=f}', "");
    Expect(1, 65094, '\P{Is_Pattern_Syntax=f}', "");
    Expect(0, 65094, '\P{^Is_Pattern_Syntax=f}', "");
    Expect(1, 65095, '\p{Is_Pattern_Syntax=	_F}', "");
    Expect(0, 65095, '\p{^Is_Pattern_Syntax=	_F}', "");
    Expect(0, 65095, '\P{Is_Pattern_Syntax=	_F}', "");
    Expect(1, 65095, '\P{^Is_Pattern_Syntax=	_F}', "");
    Expect(0, 65094, '\p{Is_Pattern_Syntax=	_F}', "");
    Expect(1, 65094, '\p{^Is_Pattern_Syntax=	_F}', "");
    Expect(1, 65094, '\P{Is_Pattern_Syntax=	_F}', "");
    Expect(0, 65094, '\P{^Is_Pattern_Syntax=	_F}', "");
    Error('\p{Is_Pat_Syn=-:=False}');
    Error('\P{Is_Pat_Syn=-:=False}');
    Expect(1, 65095, '\p{Is_Pat_Syn=false}', "");
    Expect(0, 65095, '\p{^Is_Pat_Syn=false}', "");
    Expect(0, 65095, '\P{Is_Pat_Syn=false}', "");
    Expect(1, 65095, '\P{^Is_Pat_Syn=false}', "");
    Expect(0, 65094, '\p{Is_Pat_Syn=false}', "");
    Expect(1, 65094, '\p{^Is_Pat_Syn=false}', "");
    Expect(1, 65094, '\P{Is_Pat_Syn=false}', "");
    Expect(0, 65094, '\P{^Is_Pat_Syn=false}', "");
    Error('\p{Pattern_Syntax=	:=Yes}');
    Error('\P{Pattern_Syntax=	:=Yes}');
    Expect(1, 65094, '\p{Pattern_Syntax=:\AYes\z:}', "");;
    Expect(0, 65095, '\p{Pattern_Syntax=:\AYes\z:}', "");;
    Expect(1, 65094, '\p{Pattern_Syntax=yes}', "");
    Expect(0, 65094, '\p{^Pattern_Syntax=yes}', "");
    Expect(0, 65094, '\P{Pattern_Syntax=yes}', "");
    Expect(1, 65094, '\P{^Pattern_Syntax=yes}', "");
    Expect(0, 65095, '\p{Pattern_Syntax=yes}', "");
    Expect(1, 65095, '\p{^Pattern_Syntax=yes}', "");
    Expect(1, 65095, '\P{Pattern_Syntax=yes}', "");
    Expect(0, 65095, '\P{^Pattern_Syntax=yes}', "");
    Expect(1, 65094, '\p{Pattern_Syntax=:\Ayes\z:}', "");;
    Expect(0, 65095, '\p{Pattern_Syntax=:\Ayes\z:}', "");;
    Expect(1, 65094, '\p{Pattern_Syntax=--Yes}', "");
    Expect(0, 65094, '\p{^Pattern_Syntax=--Yes}', "");
    Expect(0, 65094, '\P{Pattern_Syntax=--Yes}', "");
    Expect(1, 65094, '\P{^Pattern_Syntax=--Yes}', "");
    Expect(0, 65095, '\p{Pattern_Syntax=--Yes}', "");
    Expect(1, 65095, '\p{^Pattern_Syntax=--Yes}', "");
    Expect(1, 65095, '\P{Pattern_Syntax=--Yes}', "");
    Expect(0, 65095, '\P{^Pattern_Syntax=--Yes}', "");
    Error('\p{Pat_Syn=	:=y}');
    Error('\P{Pat_Syn=	:=y}');
    Expect(1, 65094, '\p{Pat_Syn=:\AY\z:}', "");;
    Expect(0, 65095, '\p{Pat_Syn=:\AY\z:}', "");;
    Expect(1, 65094, '\p{Pat_Syn=y}', "");
    Expect(0, 65094, '\p{^Pat_Syn=y}', "");
    Expect(0, 65094, '\P{Pat_Syn=y}', "");
    Expect(1, 65094, '\P{^Pat_Syn=y}', "");
    Expect(0, 65095, '\p{Pat_Syn=y}', "");
    Expect(1, 65095, '\p{^Pat_Syn=y}', "");
    Expect(1, 65095, '\P{Pat_Syn=y}', "");
    Expect(0, 65095, '\P{^Pat_Syn=y}', "");
    Expect(1, 65094, '\p{Pat_Syn=:\Ay\z:}', "");;
    Expect(0, 65095, '\p{Pat_Syn=:\Ay\z:}', "");;
    Expect(1, 65094, '\p{Pat_Syn=		Y}', "");
    Expect(0, 65094, '\p{^Pat_Syn=		Y}', "");
    Expect(0, 65094, '\P{Pat_Syn=		Y}', "");
    Expect(1, 65094, '\P{^Pat_Syn=		Y}', "");
    Expect(0, 65095, '\p{Pat_Syn=		Y}', "");
    Expect(1, 65095, '\p{^Pat_Syn=		Y}', "");
    Expect(1, 65095, '\P{Pat_Syn=		Y}', "");
    Expect(0, 65095, '\P{^Pat_Syn=		Y}', "");
    Error('\p{Is_Pattern_Syntax=:=	T}');
    Error('\P{Is_Pattern_Syntax=:=	T}');
    Expect(1, 65094, '\p{Is_Pattern_Syntax=t}', "");
    Expect(0, 65094, '\p{^Is_Pattern_Syntax=t}', "");
    Expect(0, 65094, '\P{Is_Pattern_Syntax=t}', "");
    Expect(1, 65094, '\P{^Is_Pattern_Syntax=t}', "");
    Expect(0, 65095, '\p{Is_Pattern_Syntax=t}', "");
    Expect(1, 65095, '\p{^Is_Pattern_Syntax=t}', "");
    Expect(1, 65095, '\P{Is_Pattern_Syntax=t}', "");
    Expect(0, 65095, '\P{^Is_Pattern_Syntax=t}', "");
    Expect(1, 65094, '\p{Is_Pattern_Syntax=_	T}', "");
    Expect(0, 65094, '\p{^Is_Pattern_Syntax=_	T}', "");
    Expect(0, 65094, '\P{Is_Pattern_Syntax=_	T}', "");
    Expect(1, 65094, '\P{^Is_Pattern_Syntax=_	T}', "");
    Expect(0, 65095, '\p{Is_Pattern_Syntax=_	T}', "");
    Expect(1, 65095, '\p{^Is_Pattern_Syntax=_	T}', "");
    Expect(1, 65095, '\P{Is_Pattern_Syntax=_	T}', "");
    Expect(0, 65095, '\P{^Is_Pattern_Syntax=_	T}', "");
    Error('\p{Is_Pat_Syn=/a/TRUE}');
    Error('\P{Is_Pat_Syn=/a/TRUE}');
    Expect(1, 65094, '\p{Is_Pat_Syn=true}', "");
    Expect(0, 65094, '\p{^Is_Pat_Syn=true}', "");
    Expect(0, 65094, '\P{Is_Pat_Syn=true}', "");
    Expect(1, 65094, '\P{^Is_Pat_Syn=true}', "");
    Expect(0, 65095, '\p{Is_Pat_Syn=true}', "");
    Expect(1, 65095, '\p{^Is_Pat_Syn=true}', "");
    Expect(1, 65095, '\P{Is_Pat_Syn=true}', "");
    Expect(0, 65095, '\P{^Is_Pat_Syn=true}', "");
    Expect(1, 65094, '\p{Is_Pat_Syn=_True}', "");
    Expect(0, 65094, '\p{^Is_Pat_Syn=_True}', "");
    Expect(0, 65094, '\P{Is_Pat_Syn=_True}', "");
    Expect(1, 65094, '\P{^Is_Pat_Syn=_True}', "");
    Expect(0, 65095, '\p{Is_Pat_Syn=_True}', "");
    Expect(1, 65095, '\p{^Is_Pat_Syn=_True}', "");
    Expect(1, 65095, '\P{Is_Pat_Syn=_True}', "");
    Expect(0, 65095, '\P{^Is_Pat_Syn=_True}', "");
    Error('\p{Pattern_White_Space=_No/a/}');
    Error('\P{Pattern_White_Space=_No/a/}');
    Expect(1, 8234, '\p{Pattern_White_Space=:\ANo\z:}', "");;
    Expect(0, 8233, '\p{Pattern_White_Space=:\ANo\z:}', "");;
    Expect(1, 8234, '\p{Pattern_White_Space=no}', "");
    Expect(0, 8234, '\p{^Pattern_White_Space=no}', "");
    Expect(0, 8234, '\P{Pattern_White_Space=no}', "");
    Expect(1, 8234, '\P{^Pattern_White_Space=no}', "");
    Expect(0, 8233, '\p{Pattern_White_Space=no}', "");
    Expect(1, 8233, '\p{^Pattern_White_Space=no}', "");
    Expect(1, 8233, '\P{Pattern_White_Space=no}', "");
    Expect(0, 8233, '\P{^Pattern_White_Space=no}', "");
    Expect(1, 8234, '\p{Pattern_White_Space=:\Ano\z:}', "");;
    Expect(0, 8233, '\p{Pattern_White_Space=:\Ano\z:}', "");;
    Expect(1, 8234, '\p{Pattern_White_Space=	_NO}', "");
    Expect(0, 8234, '\p{^Pattern_White_Space=	_NO}', "");
    Expect(0, 8234, '\P{Pattern_White_Space=	_NO}', "");
    Expect(1, 8234, '\P{^Pattern_White_Space=	_NO}', "");
    Expect(0, 8233, '\p{Pattern_White_Space=	_NO}', "");
    Expect(1, 8233, '\p{^Pattern_White_Space=	_NO}', "");
    Expect(1, 8233, '\P{Pattern_White_Space=	_NO}', "");
    Expect(0, 8233, '\P{^Pattern_White_Space=	_NO}', "");
    Error('\p{Pat_WS=/a/-N}');
    Error('\P{Pat_WS=/a/-N}');
    Expect(1, 8234, '\p{Pat_WS=:\AN\z:}', "");;
    Expect(0, 8233, '\p{Pat_WS=:\AN\z:}', "");;
    Expect(1, 8234, '\p{Pat_WS=n}', "");
    Expect(0, 8234, '\p{^Pat_WS=n}', "");
    Expect(0, 8234, '\P{Pat_WS=n}', "");
    Expect(1, 8234, '\P{^Pat_WS=n}', "");
    Expect(0, 8233, '\p{Pat_WS=n}', "");
    Expect(1, 8233, '\p{^Pat_WS=n}', "");
    Expect(1, 8233, '\P{Pat_WS=n}', "");
    Expect(0, 8233, '\P{^Pat_WS=n}', "");
    Expect(1, 8234, '\p{Pat_WS=:\An\z:}', "");;
    Expect(0, 8233, '\p{Pat_WS=:\An\z:}', "");;
    Expect(1, 8234, '\p{Pat_WS=N}', "");
    Expect(0, 8234, '\p{^Pat_WS=N}', "");
    Expect(0, 8234, '\P{Pat_WS=N}', "");
    Expect(1, 8234, '\P{^Pat_WS=N}', "");
    Expect(0, 8233, '\p{Pat_WS=N}', "");
    Expect(1, 8233, '\p{^Pat_WS=N}', "");
    Expect(1, 8233, '\P{Pat_WS=N}', "");
    Expect(0, 8233, '\P{^Pat_WS=N}', "");
    Error('\p{Is_Pattern_White_Space:   	/a/F}');
    Error('\P{Is_Pattern_White_Space:   	/a/F}');
    Expect(1, 8234, '\p{Is_Pattern_White_Space=f}', "");
    Expect(0, 8234, '\p{^Is_Pattern_White_Space=f}', "");
    Expect(0, 8234, '\P{Is_Pattern_White_Space=f}', "");
    Expect(1, 8234, '\P{^Is_Pattern_White_Space=f}', "");
    Expect(0, 8233, '\p{Is_Pattern_White_Space=f}', "");
    Expect(1, 8233, '\p{^Is_Pattern_White_Space=f}', "");
    Expect(1, 8233, '\P{Is_Pattern_White_Space=f}', "");
    Expect(0, 8233, '\P{^Is_Pattern_White_Space=f}', "");
    Expect(1, 8234, '\p{Is_Pattern_White_Space: 	_F}', "");
    Expect(0, 8234, '\p{^Is_Pattern_White_Space: 	_F}', "");
    Expect(0, 8234, '\P{Is_Pattern_White_Space: 	_F}', "");
    Expect(1, 8234, '\P{^Is_Pattern_White_Space: 	_F}', "");
    Expect(0, 8233, '\p{Is_Pattern_White_Space: 	_F}', "");
    Expect(1, 8233, '\p{^Is_Pattern_White_Space: 	_F}', "");
    Expect(1, 8233, '\P{Is_Pattern_White_Space: 	_F}', "");
    Expect(0, 8233, '\P{^Is_Pattern_White_Space: 	_F}', "");
    Error('\p{Is_Pat_WS=/a/-_false}');
    Error('\P{Is_Pat_WS=/a/-_false}');
    Expect(1, 8234, '\p{Is_Pat_WS=false}', "");
    Expect(0, 8234, '\p{^Is_Pat_WS=false}', "");
    Expect(0, 8234, '\P{Is_Pat_WS=false}', "");
    Expect(1, 8234, '\P{^Is_Pat_WS=false}', "");
    Expect(0, 8233, '\p{Is_Pat_WS=false}', "");
    Expect(1, 8233, '\p{^Is_Pat_WS=false}', "");
    Expect(1, 8233, '\P{Is_Pat_WS=false}', "");
    Expect(0, 8233, '\P{^Is_Pat_WS=false}', "");
    Expect(1, 8234, '\p{Is_Pat_WS:   -FALSE}', "");
    Expect(0, 8234, '\p{^Is_Pat_WS:   -FALSE}', "");
    Expect(0, 8234, '\P{Is_Pat_WS:   -FALSE}', "");
    Expect(1, 8234, '\P{^Is_Pat_WS:   -FALSE}', "");
    Expect(0, 8233, '\p{Is_Pat_WS:   -FALSE}', "");
    Expect(1, 8233, '\p{^Is_Pat_WS:   -FALSE}', "");
    Expect(1, 8233, '\P{Is_Pat_WS:   -FALSE}', "");
    Expect(0, 8233, '\P{^Is_Pat_WS:   -FALSE}', "");
    Error('\p{Pattern_White_Space=-Yes:=}');
    Error('\P{Pattern_White_Space=-Yes:=}');
    Expect(1, 8233, '\p{Pattern_White_Space=:\AYes\z:}', "");;
    Expect(0, 8234, '\p{Pattern_White_Space=:\AYes\z:}', "");;
    Expect(1, 8233, '\p{Pattern_White_Space=yes}', "");
    Expect(0, 8233, '\p{^Pattern_White_Space=yes}', "");
    Expect(0, 8233, '\P{Pattern_White_Space=yes}', "");
    Expect(1, 8233, '\P{^Pattern_White_Space=yes}', "");
    Expect(0, 8234, '\p{Pattern_White_Space=yes}', "");
    Expect(1, 8234, '\p{^Pattern_White_Space=yes}', "");
    Expect(1, 8234, '\P{Pattern_White_Space=yes}', "");
    Expect(0, 8234, '\P{^Pattern_White_Space=yes}', "");
    Expect(1, 8233, '\p{Pattern_White_Space=:\Ayes\z:}', "");;
    Expect(0, 8234, '\p{Pattern_White_Space=:\Ayes\z:}', "");;
    Expect(1, 8233, '\p{Pattern_White_Space=  yes}', "");
    Expect(0, 8233, '\p{^Pattern_White_Space=  yes}', "");
    Expect(0, 8233, '\P{Pattern_White_Space=  yes}', "");
    Expect(1, 8233, '\P{^Pattern_White_Space=  yes}', "");
    Expect(0, 8234, '\p{Pattern_White_Space=  yes}', "");
    Expect(1, 8234, '\p{^Pattern_White_Space=  yes}', "");
    Expect(1, 8234, '\P{Pattern_White_Space=  yes}', "");
    Expect(0, 8234, '\P{^Pattern_White_Space=  yes}', "");
    Error('\p{Pat_WS= :=Y}');
    Error('\P{Pat_WS= :=Y}');
    Expect(1, 8233, '\p{Pat_WS=:\AY\z:}', "");;
    Expect(0, 8234, '\p{Pat_WS=:\AY\z:}', "");;
    Expect(1, 8233, '\p{Pat_WS=y}', "");
    Expect(0, 8233, '\p{^Pat_WS=y}', "");
    Expect(0, 8233, '\P{Pat_WS=y}', "");
    Expect(1, 8233, '\P{^Pat_WS=y}', "");
    Expect(0, 8234, '\p{Pat_WS=y}', "");
    Expect(1, 8234, '\p{^Pat_WS=y}', "");
    Expect(1, 8234, '\P{Pat_WS=y}', "");
    Expect(0, 8234, '\P{^Pat_WS=y}', "");
    Expect(1, 8233, '\p{Pat_WS=:\Ay\z:}', "");;
    Expect(0, 8234, '\p{Pat_WS=:\Ay\z:}', "");;
    Expect(1, 8233, '\p{Pat_WS=_-Y}', "");
    Expect(0, 8233, '\p{^Pat_WS=_-Y}', "");
    Expect(0, 8233, '\P{Pat_WS=_-Y}', "");
    Expect(1, 8233, '\P{^Pat_WS=_-Y}', "");
    Expect(0, 8234, '\p{Pat_WS=_-Y}', "");
    Expect(1, 8234, '\p{^Pat_WS=_-Y}', "");
    Expect(1, 8234, '\P{Pat_WS=_-Y}', "");
    Expect(0, 8234, '\P{^Pat_WS=_-Y}', "");
    Error('\p{Is_Pattern_White_Space=/a/  T}');
    Error('\P{Is_Pattern_White_Space=/a/  T}');
    Expect(1, 8233, '\p{Is_Pattern_White_Space:	t}', "");
    Expect(0, 8233, '\p{^Is_Pattern_White_Space:	t}', "");
    Expect(0, 8233, '\P{Is_Pattern_White_Space:	t}', "");
    Expect(1, 8233, '\P{^Is_Pattern_White_Space:	t}', "");
    Expect(0, 8234, '\p{Is_Pattern_White_Space:	t}', "");
    Expect(1, 8234, '\p{^Is_Pattern_White_Space:	t}', "");
    Expect(1, 8234, '\P{Is_Pattern_White_Space:	t}', "");
    Expect(0, 8234, '\P{^Is_Pattern_White_Space:	t}', "");
    Expect(1, 8233, '\p{Is_Pattern_White_Space:    T}', "");
    Expect(0, 8233, '\p{^Is_Pattern_White_Space:    T}', "");
    Expect(0, 8233, '\P{Is_Pattern_White_Space:    T}', "");
    Expect(1, 8233, '\P{^Is_Pattern_White_Space:    T}', "");
    Expect(0, 8234, '\p{Is_Pattern_White_Space:    T}', "");
    Expect(1, 8234, '\p{^Is_Pattern_White_Space:    T}', "");
    Expect(1, 8234, '\P{Is_Pattern_White_Space:    T}', "");
    Expect(0, 8234, '\P{^Is_Pattern_White_Space:    T}', "");
    Error('\p{Is_Pat_WS=/a/	true}');
    Error('\P{Is_Pat_WS=/a/	true}');
    Expect(1, 8233, '\p{Is_Pat_WS=true}', "");
    Expect(0, 8233, '\p{^Is_Pat_WS=true}', "");
    Expect(0, 8233, '\P{Is_Pat_WS=true}', "");
    Expect(1, 8233, '\P{^Is_Pat_WS=true}', "");
    Expect(0, 8234, '\p{Is_Pat_WS=true}', "");
    Expect(1, 8234, '\p{^Is_Pat_WS=true}', "");
    Expect(1, 8234, '\P{Is_Pat_WS=true}', "");
    Expect(0, 8234, '\P{^Is_Pat_WS=true}', "");
    Expect(1, 8233, '\p{Is_Pat_WS=-_True}', "");
    Expect(0, 8233, '\p{^Is_Pat_WS=-_True}', "");
    Expect(0, 8233, '\P{Is_Pat_WS=-_True}', "");
    Expect(1, 8233, '\P{^Is_Pat_WS=-_True}', "");
    Expect(0, 8234, '\p{Is_Pat_WS=-_True}', "");
    Expect(1, 8234, '\p{^Is_Pat_WS=-_True}', "");
    Expect(1, 8234, '\P{Is_Pat_WS=-_True}', "");
    Expect(0, 8234, '\P{^Is_Pat_WS=-_True}', "");
    Error('\p{Prepended_Concatenation_Mark=:=No}');
    Error('\P{Prepended_Concatenation_Mark=:=No}');
    Expect(1, 69838, '\p{Prepended_Concatenation_Mark=:\ANo\z:}', "");;
    Expect(0, 69837, '\p{Prepended_Concatenation_Mark=:\ANo\z:}', "");;
    Expect(1, 69838, '\p{Prepended_Concatenation_Mark=no}', "");
    Expect(0, 69838, '\p{^Prepended_Concatenation_Mark=no}', "");
    Expect(0, 69838, '\P{Prepended_Concatenation_Mark=no}', "");
    Expect(1, 69838, '\P{^Prepended_Concatenation_Mark=no}', "");
    Expect(0, 69837, '\p{Prepended_Concatenation_Mark=no}', "");
    Expect(1, 69837, '\p{^Prepended_Concatenation_Mark=no}', "");
    Expect(1, 69837, '\P{Prepended_Concatenation_Mark=no}', "");
    Expect(0, 69837, '\P{^Prepended_Concatenation_Mark=no}', "");
    Expect(1, 69838, '\p{Prepended_Concatenation_Mark=:\Ano\z:}', "");;
    Expect(0, 69837, '\p{Prepended_Concatenation_Mark=:\Ano\z:}', "");;
    Expect(1, 69838, '\p{Prepended_Concatenation_Mark=	_No}', "");
    Expect(0, 69838, '\p{^Prepended_Concatenation_Mark=	_No}', "");
    Expect(0, 69838, '\P{Prepended_Concatenation_Mark=	_No}', "");
    Expect(1, 69838, '\P{^Prepended_Concatenation_Mark=	_No}', "");
    Expect(0, 69837, '\p{Prepended_Concatenation_Mark=	_No}', "");
    Expect(1, 69837, '\p{^Prepended_Concatenation_Mark=	_No}', "");
    Expect(1, 69837, '\P{Prepended_Concatenation_Mark=	_No}', "");
    Expect(0, 69837, '\P{^Prepended_Concatenation_Mark=	_No}', "");
    Error('\p{PCM=/a/__N}');
    Error('\P{PCM=/a/__N}');
    Expect(1, 69838, '\p{PCM=:\AN\z:}', "");;
    Expect(0, 69837, '\p{PCM=:\AN\z:}', "");;
    Expect(1, 69838, '\p{PCM=n}', "");
    Expect(0, 69838, '\p{^PCM=n}', "");
    Expect(0, 69838, '\P{PCM=n}', "");
    Expect(1, 69838, '\P{^PCM=n}', "");
    Expect(0, 69837, '\p{PCM=n}', "");
    Expect(1, 69837, '\p{^PCM=n}', "");
    Expect(1, 69837, '\P{PCM=n}', "");
    Expect(0, 69837, '\P{^PCM=n}', "");
    Expect(1, 69838, '\p{PCM=:\An\z:}', "");;
    Expect(0, 69837, '\p{PCM=:\An\z:}', "");;
    Expect(1, 69838, '\p{PCM= n}', "");
    Expect(0, 69838, '\p{^PCM= n}', "");
    Expect(0, 69838, '\P{PCM= n}', "");
    Expect(1, 69838, '\P{^PCM= n}', "");
    Expect(0, 69837, '\p{PCM= n}', "");
    Expect(1, 69837, '\p{^PCM= n}', "");
    Expect(1, 69837, '\P{PCM= n}', "");
    Expect(0, 69837, '\P{^PCM= n}', "");
    Error('\p{Is_Prepended_Concatenation_Mark=__F/a/}');
    Error('\P{Is_Prepended_Concatenation_Mark=__F/a/}');
    Expect(1, 69838, '\p{Is_Prepended_Concatenation_Mark=f}', "");
    Expect(0, 69838, '\p{^Is_Prepended_Concatenation_Mark=f}', "");
    Expect(0, 69838, '\P{Is_Prepended_Concatenation_Mark=f}', "");
    Expect(1, 69838, '\P{^Is_Prepended_Concatenation_Mark=f}', "");
    Expect(0, 69837, '\p{Is_Prepended_Concatenation_Mark=f}', "");
    Expect(1, 69837, '\p{^Is_Prepended_Concatenation_Mark=f}', "");
    Expect(1, 69837, '\P{Is_Prepended_Concatenation_Mark=f}', "");
    Expect(0, 69837, '\P{^Is_Prepended_Concatenation_Mark=f}', "");
    Expect(1, 69838, '\p{Is_Prepended_Concatenation_Mark=_-F}', "");
    Expect(0, 69838, '\p{^Is_Prepended_Concatenation_Mark=_-F}', "");
    Expect(0, 69838, '\P{Is_Prepended_Concatenation_Mark=_-F}', "");
    Expect(1, 69838, '\P{^Is_Prepended_Concatenation_Mark=_-F}', "");
    Expect(0, 69837, '\p{Is_Prepended_Concatenation_Mark=_-F}', "");
    Expect(1, 69837, '\p{^Is_Prepended_Concatenation_Mark=_-F}', "");
    Expect(1, 69837, '\P{Is_Prepended_Concatenation_Mark=_-F}', "");
    Expect(0, 69837, '\P{^Is_Prepended_Concatenation_Mark=_-F}', "");
    Error('\p{Is_PCM=	/a/False}');
    Error('\P{Is_PCM=	/a/False}');
    Expect(1, 69838, '\p{Is_PCM:false}', "");
    Expect(0, 69838, '\p{^Is_PCM:false}', "");
    Expect(0, 69838, '\P{Is_PCM:false}', "");
    Expect(1, 69838, '\P{^Is_PCM:false}', "");
    Expect(0, 69837, '\p{Is_PCM:false}', "");
    Expect(1, 69837, '\p{^Is_PCM:false}', "");
    Expect(1, 69837, '\P{Is_PCM:false}', "");
    Expect(0, 69837, '\P{^Is_PCM:false}', "");
    Expect(1, 69838, '\p{Is_PCM= _FALSE}', "");
    Expect(0, 69838, '\p{^Is_PCM= _FALSE}', "");
    Expect(0, 69838, '\P{Is_PCM= _FALSE}', "");
    Expect(1, 69838, '\P{^Is_PCM= _FALSE}', "");
    Expect(0, 69837, '\p{Is_PCM= _FALSE}', "");
    Expect(1, 69837, '\p{^Is_PCM= _FALSE}', "");
    Expect(1, 69837, '\P{Is_PCM= _FALSE}', "");
    Expect(0, 69837, '\P{^Is_PCM= _FALSE}', "");
    Error('\p{Prepended_Concatenation_Mark=	:=YES}');
    Error('\P{Prepended_Concatenation_Mark=	:=YES}');
    Expect(1, 69837, '\p{Prepended_Concatenation_Mark=:\AYes\z:}', "");;
    Expect(0, 69838, '\p{Prepended_Concatenation_Mark=:\AYes\z:}', "");;
    Expect(1, 69837, '\p{Prepended_Concatenation_Mark: yes}', "");
    Expect(0, 69837, '\p{^Prepended_Concatenation_Mark: yes}', "");
    Expect(0, 69837, '\P{Prepended_Concatenation_Mark: yes}', "");
    Expect(1, 69837, '\P{^Prepended_Concatenation_Mark: yes}', "");
    Expect(0, 69838, '\p{Prepended_Concatenation_Mark: yes}', "");
    Expect(1, 69838, '\p{^Prepended_Concatenation_Mark: yes}', "");
    Expect(1, 69838, '\P{Prepended_Concatenation_Mark: yes}', "");
    Expect(0, 69838, '\P{^Prepended_Concatenation_Mark: yes}', "");
    Expect(1, 69837, '\p{Prepended_Concatenation_Mark=:\Ayes\z:}', "");;
    Expect(0, 69838, '\p{Prepended_Concatenation_Mark=:\Ayes\z:}', "");;
    Expect(1, 69837, '\p{Prepended_Concatenation_Mark=-	yes}', "");
    Expect(0, 69837, '\p{^Prepended_Concatenation_Mark=-	yes}', "");
    Expect(0, 69837, '\P{Prepended_Concatenation_Mark=-	yes}', "");
    Expect(1, 69837, '\P{^Prepended_Concatenation_Mark=-	yes}', "");
    Expect(0, 69838, '\p{Prepended_Concatenation_Mark=-	yes}', "");
    Expect(1, 69838, '\p{^Prepended_Concatenation_Mark=-	yes}', "");
    Expect(1, 69838, '\P{Prepended_Concatenation_Mark=-	yes}', "");
    Expect(0, 69838, '\P{^Prepended_Concatenation_Mark=-	yes}', "");
    Error('\p{PCM=_	Y:=}');
    Error('\P{PCM=_	Y:=}');
    Expect(1, 69837, '\p{PCM=:\AY\z:}', "");;
    Expect(0, 69838, '\p{PCM=:\AY\z:}', "");;
    Expect(1, 69837, '\p{PCM=y}', "");
    Expect(0, 69837, '\p{^PCM=y}', "");
    Expect(0, 69837, '\P{PCM=y}', "");
    Expect(1, 69837, '\P{^PCM=y}', "");
    Expect(0, 69838, '\p{PCM=y}', "");
    Expect(1, 69838, '\p{^PCM=y}', "");
    Expect(1, 69838, '\P{PCM=y}', "");
    Expect(0, 69838, '\P{^PCM=y}', "");
    Expect(1, 69837, '\p{PCM=:\Ay\z:}', "");;
    Expect(0, 69838, '\p{PCM=:\Ay\z:}', "");;
    Expect(1, 69837, '\p{PCM= Y}', "");
    Expect(0, 69837, '\p{^PCM= Y}', "");
    Expect(0, 69837, '\P{PCM= Y}', "");
    Expect(1, 69837, '\P{^PCM= Y}', "");
    Expect(0, 69838, '\p{PCM= Y}', "");
    Expect(1, 69838, '\p{^PCM= Y}', "");
    Expect(1, 69838, '\P{PCM= Y}', "");
    Expect(0, 69838, '\P{^PCM= Y}', "");
    Error('\p{Is_Prepended_Concatenation_Mark=_ t/a/}');
    Error('\P{Is_Prepended_Concatenation_Mark=_ t/a/}');
    Expect(1, 69837, '\p{Is_Prepended_Concatenation_Mark=t}', "");
    Expect(0, 69837, '\p{^Is_Prepended_Concatenation_Mark=t}', "");
    Expect(0, 69837, '\P{Is_Prepended_Concatenation_Mark=t}', "");
    Expect(1, 69837, '\P{^Is_Prepended_Concatenation_Mark=t}', "");
    Expect(0, 69838, '\p{Is_Prepended_Concatenation_Mark=t}', "");
    Expect(1, 69838, '\p{^Is_Prepended_Concatenation_Mark=t}', "");
    Expect(1, 69838, '\P{Is_Prepended_Concatenation_Mark=t}', "");
    Expect(0, 69838, '\P{^Is_Prepended_Concatenation_Mark=t}', "");
    Expect(1, 69837, '\p{Is_Prepended_Concatenation_Mark:_ t}', "");
    Expect(0, 69837, '\p{^Is_Prepended_Concatenation_Mark:_ t}', "");
    Expect(0, 69837, '\P{Is_Prepended_Concatenation_Mark:_ t}', "");
    Expect(1, 69837, '\P{^Is_Prepended_Concatenation_Mark:_ t}', "");
    Expect(0, 69838, '\p{Is_Prepended_Concatenation_Mark:_ t}', "");
    Expect(1, 69838, '\p{^Is_Prepended_Concatenation_Mark:_ t}', "");
    Expect(1, 69838, '\P{Is_Prepended_Concatenation_Mark:_ t}', "");
    Expect(0, 69838, '\P{^Is_Prepended_Concatenation_Mark:_ t}', "");
    Error('\p{Is_PCM=_ True/a/}');
    Error('\P{Is_PCM=_ True/a/}');
    Expect(1, 69837, '\p{Is_PCM=true}', "");
    Expect(0, 69837, '\p{^Is_PCM=true}', "");
    Expect(0, 69837, '\P{Is_PCM=true}', "");
    Expect(1, 69837, '\P{^Is_PCM=true}', "");
    Expect(0, 69838, '\p{Is_PCM=true}', "");
    Expect(1, 69838, '\p{^Is_PCM=true}', "");
    Expect(1, 69838, '\P{Is_PCM=true}', "");
    Expect(0, 69838, '\P{^Is_PCM=true}', "");
    Expect(1, 69837, '\p{Is_PCM:	 True}', "");
    Expect(0, 69837, '\p{^Is_PCM:	 True}', "");
    Expect(0, 69837, '\P{Is_PCM:	 True}', "");
    Expect(1, 69837, '\P{^Is_PCM:	 True}', "");
    Expect(0, 69838, '\p{Is_PCM:	 True}', "");
    Expect(1, 69838, '\p{^Is_PCM:	 True}', "");
    Expect(1, 69838, '\P{Is_PCM:	 True}', "");
    Expect(0, 69838, '\P{^Is_PCM:	 True}', "");
    Error('\p{perl}');
    Error('\P{perl}');
    Error('\p{ :=ADLAM}');
    Error('\P{ :=ADLAM}');
    Expect(1, 125279, '\p{adlam}', "");
    Expect(0, 125279, '\p{^adlam}', "");
    Expect(0, 125279, '\P{adlam}', "");
    Expect(1, 125279, '\P{^adlam}', "");
    Expect(0, 125280, '\p{adlam}', "");
    Expect(1, 125280, '\p{^adlam}', "");
    Expect(1, 125280, '\P{adlam}', "");
    Expect(0, 125280, '\P{^adlam}', "");
    Expect(1, 125279, '\p{_	adlam}', "");
    Expect(0, 125279, '\p{^_	adlam}', "");
    Expect(0, 125279, '\P{_	adlam}', "");
    Expect(1, 125279, '\P{^_	adlam}', "");
    Expect(0, 125280, '\p{_	adlam}', "");
    Expect(1, 125280, '\p{^_	adlam}', "");
    Expect(1, 125280, '\P{_	adlam}', "");
    Expect(0, 125280, '\P{^_	adlam}', "");
    Error('\p{:=Is_Adlam}');
    Error('\P{:=Is_Adlam}');
    Expect(1, 125279, '\p{isadlam}', "");
    Expect(0, 125279, '\p{^isadlam}', "");
    Expect(0, 125279, '\P{isadlam}', "");
    Expect(1, 125279, '\P{^isadlam}', "");
    Expect(0, 125280, '\p{isadlam}', "");
    Expect(1, 125280, '\p{^isadlam}', "");
    Expect(1, 125280, '\P{isadlam}', "");
    Expect(0, 125280, '\P{^isadlam}', "");
    Expect(1, 125279, '\p{_	is_Adlam}', "");
    Expect(0, 125279, '\p{^_	is_Adlam}', "");
    Expect(0, 125279, '\P{_	is_Adlam}', "");
    Expect(1, 125279, '\P{^_	is_Adlam}', "");
    Expect(0, 125280, '\p{_	is_Adlam}', "");
    Expect(1, 125280, '\p{^_	is_Adlam}', "");
    Expect(1, 125280, '\P{_	is_Adlam}', "");
    Expect(0, 125280, '\P{^_	is_Adlam}', "");
    Error('\p{_	ADLM/a/}');
    Error('\P{_	ADLM/a/}');
    Expect(1, 125279, '\p{adlm}', "");
    Expect(0, 125279, '\p{^adlm}', "");
    Expect(0, 125279, '\P{adlm}', "");
    Expect(1, 125279, '\P{^adlm}', "");
    Expect(0, 125280, '\p{adlm}', "");
    Expect(1, 125280, '\p{^adlm}', "");
    Expect(1, 125280, '\P{adlm}', "");
    Expect(0, 125280, '\P{^adlm}', "");
    Expect(1, 125279, '\p{_ Adlm}', "");
    Expect(0, 125279, '\p{^_ Adlm}', "");
    Expect(0, 125279, '\P{_ Adlm}', "");
    Expect(1, 125279, '\P{^_ Adlm}', "");
    Expect(0, 125280, '\p{_ Adlm}', "");
    Expect(1, 125280, '\p{^_ Adlm}', "");
    Expect(1, 125280, '\P{_ Adlm}', "");
    Expect(0, 125280, '\P{^_ Adlm}', "");
    Error('\p{:=- IS_adlm}');
    Error('\P{:=- IS_adlm}');
    Expect(1, 125279, '\p{isadlm}', "");
    Expect(0, 125279, '\p{^isadlm}', "");
    Expect(0, 125279, '\P{isadlm}', "");
    Expect(1, 125279, '\P{^isadlm}', "");
    Expect(0, 125280, '\p{isadlm}', "");
    Expect(1, 125280, '\p{^isadlm}', "");
    Expect(1, 125280, '\P{isadlm}', "");
    Expect(0, 125280, '\P{^isadlm}', "");
    Expect(1, 125279, '\p{	-IS_ADLM}', "");
    Expect(0, 125279, '\p{^	-IS_ADLM}', "");
    Expect(0, 125279, '\P{	-IS_ADLM}', "");
    Expect(1, 125279, '\P{^	-IS_ADLM}', "");
    Expect(0, 125280, '\p{	-IS_ADLM}', "");
    Expect(1, 125280, '\p{^	-IS_ADLM}', "");
    Expect(1, 125280, '\P{	-IS_ADLM}', "");
    Expect(0, 125280, '\P{^	-IS_ADLM}', "");
    Error('\p{:=aegean_NUMBERS}');
    Error('\P{:=aegean_NUMBERS}');
    Expect(1, 65855, '\p{aegeannumbers}', "");
    Expect(0, 65855, '\p{^aegeannumbers}', "");
    Expect(0, 65855, '\P{aegeannumbers}', "");
    Expect(1, 65855, '\P{^aegeannumbers}', "");
    Expect(0, 65856, '\p{aegeannumbers}', "");
    Expect(1, 65856, '\p{^aegeannumbers}', "");
    Expect(1, 65856, '\P{aegeannumbers}', "");
    Expect(0, 65856, '\P{^aegeannumbers}', "");
    Expect(1, 65855, '\p{Aegean_NUMBERS}', "");
    Expect(0, 65855, '\p{^Aegean_NUMBERS}', "");
    Expect(0, 65855, '\P{Aegean_NUMBERS}', "");
    Expect(1, 65855, '\P{^Aegean_NUMBERS}', "");
    Expect(0, 65856, '\p{Aegean_NUMBERS}', "");
    Expect(1, 65856, '\p{^Aegean_NUMBERS}', "");
    Expect(1, 65856, '\P{Aegean_NUMBERS}', "");
    Expect(0, 65856, '\P{^Aegean_NUMBERS}', "");
    Error('\p{_is_aegean_NUMBERS:=}');
    Error('\P{_is_aegean_NUMBERS:=}');
    Expect(1, 65855, '\p{isaegeannumbers}', "");
    Expect(0, 65855, '\p{^isaegeannumbers}', "");
    Expect(0, 65855, '\P{isaegeannumbers}', "");
    Expect(1, 65855, '\P{^isaegeannumbers}', "");
    Expect(0, 65856, '\p{isaegeannumbers}', "");
    Expect(1, 65856, '\p{^isaegeannumbers}', "");
    Expect(1, 65856, '\P{isaegeannumbers}', "");
    Expect(0, 65856, '\P{^isaegeannumbers}', "");
    Expect(1, 65855, '\p{ 	Is_AEGEAN_numbers}', "");
    Expect(0, 65855, '\p{^ 	Is_AEGEAN_numbers}', "");
    Expect(0, 65855, '\P{ 	Is_AEGEAN_numbers}', "");
    Expect(1, 65855, '\P{^ 	Is_AEGEAN_numbers}', "");
    Expect(0, 65856, '\p{ 	Is_AEGEAN_numbers}', "");
    Expect(1, 65856, '\p{^ 	Is_AEGEAN_numbers}', "");
    Expect(1, 65856, '\P{ 	Is_AEGEAN_numbers}', "");
    Expect(0, 65856, '\P{^ 	Is_AEGEAN_numbers}', "");
    Error('\p{- In_Aegean_Numbers/a/}');
    Error('\P{- In_Aegean_Numbers/a/}');
    Expect(1, 65855, '\p{inaegeannumbers}', "");
    Expect(0, 65855, '\p{^inaegeannumbers}', "");
    Expect(0, 65855, '\P{inaegeannumbers}', "");
    Expect(1, 65855, '\P{^inaegeannumbers}', "");
    Expect(0, 65856, '\p{inaegeannumbers}', "");
    Expect(1, 65856, '\p{^inaegeannumbers}', "");
    Expect(1, 65856, '\P{inaegeannumbers}', "");
    Expect(0, 65856, '\P{^inaegeannumbers}', "");
    Expect(1, 65855, '\p{-_IN_Aegean_numbers}', "");
    Expect(0, 65855, '\p{^-_IN_Aegean_numbers}', "");
    Expect(0, 65855, '\P{-_IN_Aegean_numbers}', "");
    Expect(1, 65855, '\P{^-_IN_Aegean_numbers}', "");
    Expect(0, 65856, '\p{-_IN_Aegean_numbers}', "");
    Expect(1, 65856, '\p{^-_IN_Aegean_numbers}', "");
    Expect(1, 65856, '\P{-_IN_Aegean_numbers}', "");
    Expect(0, 65856, '\P{^-_IN_Aegean_numbers}', "");
    Error('\p{-/a/Ahom}');
    Error('\P{-/a/Ahom}');
    Expect(1, 71494, '\p{ahom}', "");
    Expect(0, 71494, '\p{^ahom}', "");
    Expect(0, 71494, '\P{ahom}', "");
    Expect(1, 71494, '\P{^ahom}', "");
    Expect(0, 71495, '\p{ahom}', "");
    Expect(1, 71495, '\p{^ahom}', "");
    Expect(1, 71495, '\P{ahom}', "");
    Expect(0, 71495, '\P{^ahom}', "");
    Expect(1, 71494, '\p{_ Ahom}', "");
    Expect(0, 71494, '\p{^_ Ahom}', "");
    Expect(0, 71494, '\P{_ Ahom}', "");
    Expect(1, 71494, '\P{^_ Ahom}', "");
    Expect(0, 71495, '\p{_ Ahom}', "");
    Expect(1, 71495, '\p{^_ Ahom}', "");
    Expect(1, 71495, '\P{_ Ahom}', "");
    Expect(0, 71495, '\P{^_ Ahom}', "");
    Error('\p{:= is_AHOM}');
    Error('\P{:= is_AHOM}');
    Expect(1, 71494, '\p{isahom}', "");
    Expect(0, 71494, '\p{^isahom}', "");
    Expect(0, 71494, '\P{isahom}', "");
    Expect(1, 71494, '\P{^isahom}', "");
    Expect(0, 71495, '\p{isahom}', "");
    Expect(1, 71495, '\p{^isahom}', "");
    Expect(1, 71495, '\P{isahom}', "");
    Expect(0, 71495, '\P{^isahom}', "");
    Expect(1, 71494, '\p{--IS_Ahom}', "");
    Expect(0, 71494, '\p{^--IS_Ahom}', "");
    Expect(0, 71494, '\P{--IS_Ahom}', "");
    Expect(1, 71494, '\P{^--IS_Ahom}', "");
    Expect(0, 71495, '\p{--IS_Ahom}', "");
    Expect(1, 71495, '\p{^--IS_Ahom}', "");
    Expect(1, 71495, '\P{--IS_Ahom}', "");
    Expect(0, 71495, '\P{^--IS_Ahom}', "");
    Error('\p{-:=Alchemical_Symbols}');
    Error('\P{-:=Alchemical_Symbols}');
    Expect(1, 128895, '\p{alchemicalsymbols}', "");
    Expect(0, 128895, '\p{^alchemicalsymbols}', "");
    Expect(0, 128895, '\P{alchemicalsymbols}', "");
    Expect(1, 128895, '\P{^alchemicalsymbols}', "");
    Expect(0, 128896, '\p{alchemicalsymbols}', "");
    Expect(1, 128896, '\p{^alchemicalsymbols}', "");
    Expect(1, 128896, '\P{alchemicalsymbols}', "");
    Expect(0, 128896, '\P{^alchemicalsymbols}', "");
    Expect(1, 128895, '\p{ -alchemical_Symbols}', "");
    Expect(0, 128895, '\p{^ -alchemical_Symbols}', "");
    Expect(0, 128895, '\P{ -alchemical_Symbols}', "");
    Expect(1, 128895, '\P{^ -alchemical_Symbols}', "");
    Expect(0, 128896, '\p{ -alchemical_Symbols}', "");
    Expect(1, 128896, '\p{^ -alchemical_Symbols}', "");
    Expect(1, 128896, '\P{ -alchemical_Symbols}', "");
    Expect(0, 128896, '\P{^ -alchemical_Symbols}', "");
    Error('\p{:=	is_Alchemical_Symbols}');
    Error('\P{:=	is_Alchemical_Symbols}');
    Expect(1, 128895, '\p{isalchemicalsymbols}', "");
    Expect(0, 128895, '\p{^isalchemicalsymbols}', "");
    Expect(0, 128895, '\P{isalchemicalsymbols}', "");
    Expect(1, 128895, '\P{^isalchemicalsymbols}', "");
    Expect(0, 128896, '\p{isalchemicalsymbols}', "");
    Expect(1, 128896, '\p{^isalchemicalsymbols}', "");
    Expect(1, 128896, '\P{isalchemicalsymbols}', "");
    Expect(0, 128896, '\P{^isalchemicalsymbols}', "");
    Expect(1, 128895, '\p{-	IS_alchemical_Symbols}', "");
    Expect(0, 128895, '\p{^-	IS_alchemical_Symbols}', "");
    Expect(0, 128895, '\P{-	IS_alchemical_Symbols}', "");
    Expect(1, 128895, '\P{^-	IS_alchemical_Symbols}', "");
    Expect(0, 128896, '\p{-	IS_alchemical_Symbols}', "");
    Expect(1, 128896, '\p{^-	IS_alchemical_Symbols}', "");
    Expect(1, 128896, '\P{-	IS_alchemical_Symbols}', "");
    Expect(0, 128896, '\P{^-	IS_alchemical_Symbols}', "");
    Error('\p{:= -In_ALCHEMICAL_symbols}');
    Error('\P{:= -In_ALCHEMICAL_symbols}');
    Expect(1, 128895, '\p{inalchemicalsymbols}', "");
    Expect(0, 128895, '\p{^inalchemicalsymbols}', "");
    Expect(0, 128895, '\P{inalchemicalsymbols}', "");
    Expect(1, 128895, '\P{^inalchemicalsymbols}', "");
    Expect(0, 128896, '\p{inalchemicalsymbols}', "");
    Expect(1, 128896, '\p{^inalchemicalsymbols}', "");
    Expect(1, 128896, '\P{inalchemicalsymbols}', "");
    Expect(0, 128896, '\P{^inalchemicalsymbols}', "");
    Expect(1, 128895, '\p{	In_alchemical_Symbols}', "");
    Expect(0, 128895, '\p{^	In_alchemical_Symbols}', "");
    Expect(0, 128895, '\P{	In_alchemical_Symbols}', "");
    Expect(1, 128895, '\P{^	In_alchemical_Symbols}', "");
    Expect(0, 128896, '\p{	In_alchemical_Symbols}', "");
    Expect(1, 128896, '\p{^	In_alchemical_Symbols}', "");
    Expect(1, 128896, '\P{	In_alchemical_Symbols}', "");
    Expect(0, 128896, '\P{^	In_alchemical_Symbols}', "");
    Error('\p{-:=Alchemical}');
    Error('\P{-:=Alchemical}');
    Expect(1, 128895, '\p{alchemical}', "");
    Expect(0, 128895, '\p{^alchemical}', "");
    Expect(0, 128895, '\P{alchemical}', "");
    Expect(1, 128895, '\P{^alchemical}', "");
    Expect(0, 128896, '\p{alchemical}', "");
    Expect(1, 128896, '\p{^alchemical}', "");
    Expect(1, 128896, '\P{alchemical}', "");
    Expect(0, 128896, '\P{^alchemical}', "");
    Expect(1, 128895, '\p{	 ALCHEMICAL}', "");
    Expect(0, 128895, '\p{^	 ALCHEMICAL}', "");
    Expect(0, 128895, '\P{	 ALCHEMICAL}', "");
    Expect(1, 128895, '\P{^	 ALCHEMICAL}', "");
    Expect(0, 128896, '\p{	 ALCHEMICAL}', "");
    Expect(1, 128896, '\p{^	 ALCHEMICAL}', "");
    Expect(1, 128896, '\P{	 ALCHEMICAL}', "");
    Expect(0, 128896, '\P{^	 ALCHEMICAL}', "");
    Error('\p{-_Is_ALCHEMICAL/a/}');
    Error('\P{-_Is_ALCHEMICAL/a/}');
    Expect(1, 128895, '\p{isalchemical}', "");
    Expect(0, 128895, '\p{^isalchemical}', "");
    Expect(0, 128895, '\P{isalchemical}', "");
    Expect(1, 128895, '\P{^isalchemical}', "");
    Expect(0, 128896, '\p{isalchemical}', "");
    Expect(1, 128896, '\p{^isalchemical}', "");
    Expect(1, 128896, '\P{isalchemical}', "");
    Expect(0, 128896, '\P{^isalchemical}', "");
    Expect(1, 128895, '\p{_-IS_ALCHEMICAL}', "");
    Expect(0, 128895, '\p{^_-IS_ALCHEMICAL}', "");
    Expect(0, 128895, '\P{_-IS_ALCHEMICAL}', "");
    Expect(1, 128895, '\P{^_-IS_ALCHEMICAL}', "");
    Expect(0, 128896, '\p{_-IS_ALCHEMICAL}', "");
    Expect(1, 128896, '\p{^_-IS_ALCHEMICAL}', "");
    Expect(1, 128896, '\P{_-IS_ALCHEMICAL}', "");
    Expect(0, 128896, '\P{^_-IS_ALCHEMICAL}', "");
    Error('\p{ IN_alchemical:=}');
    Error('\P{ IN_alchemical:=}');
    Expect(1, 128895, '\p{inalchemical}', "");
    Expect(0, 128895, '\p{^inalchemical}', "");
    Expect(0, 128895, '\P{inalchemical}', "");
    Expect(1, 128895, '\P{^inalchemical}', "");
    Expect(0, 128896, '\p{inalchemical}', "");
    Expect(1, 128896, '\p{^inalchemical}', "");
    Expect(1, 128896, '\P{inalchemical}', "");
    Expect(0, 128896, '\P{^inalchemical}', "");
    Expect(1, 128895, '\p{-in_ALCHEMICAL}', "");
    Expect(0, 128895, '\p{^-in_ALCHEMICAL}', "");
    Expect(0, 128895, '\P{-in_ALCHEMICAL}', "");
    Expect(1, 128895, '\P{^-in_ALCHEMICAL}', "");
    Expect(0, 128896, '\p{-in_ALCHEMICAL}', "");
    Expect(1, 128896, '\p{^-in_ALCHEMICAL}', "");
    Expect(1, 128896, '\P{-in_ALCHEMICAL}', "");
    Expect(0, 128896, '\P{^-in_ALCHEMICAL}', "");
    Error('\p{ All:=}');
    Error('\P{ All:=}');
    Expect(1, 1, '\p{all}', "");
    Expect(0, 1, '\p{^all}', "");
    Expect(0, 1, '\P{all}', "");
    Expect(1, 1, '\P{^all}', "");
    Expect(1, 1, '\p{-	all}', "");
    Expect(0, 1, '\p{^-	all}', "");
    Expect(0, 1, '\P{-	all}', "");
    Expect(1, 1, '\P{^-	all}', "");
    Error('\p{_	IS_ALL/a/}');
    Error('\P{_	IS_ALL/a/}');
    Expect(1, 1, '\p{isall}', "");
    Expect(0, 1, '\p{^isall}', "");
    Expect(0, 1, '\P{isall}', "");
    Expect(1, 1, '\P{^isall}', "");
    Expect(1, 1, '\p{_	IS_All}', "");
    Expect(0, 1, '\p{^_	IS_All}', "");
    Expect(0, 1, '\P{_	IS_All}', "");
    Expect(1, 1, '\P{^_	IS_All}', "");
    Error('\p{ /a/xposixalnum}');
    Error('\P{ /a/xposixalnum}');
    Expect(1, 201546, '\p{xposixalnum}', "");
    Expect(0, 201546, '\p{^xposixalnum}', "");
    Expect(0, 201546, '\P{xposixalnum}', "");
    Expect(1, 201546, '\P{^xposixalnum}', "");
    Expect(0, 201547, '\p{xposixalnum}', "");
    Expect(1, 201547, '\p{^xposixalnum}', "");
    Expect(1, 201547, '\P{xposixalnum}', "");
    Expect(0, 201547, '\P{^xposixalnum}', "");
    Expect(1, 201546, '\p{__xposixalnum}', "");
    Expect(0, 201546, '\p{^__xposixalnum}', "");
    Expect(0, 201546, '\P{__xposixalnum}', "");
    Expect(1, 201546, '\P{^__xposixalnum}', "");
    Expect(0, 201547, '\p{__xposixalnum}', "");
    Expect(1, 201547, '\p{^__xposixalnum}', "");
    Expect(1, 201547, '\P{__xposixalnum}', "");
    Expect(0, 201547, '\P{^__xposixalnum}', "");
    Error('\p{-:=ALNUM}');
    Error('\P{-:=ALNUM}');
    Expect(1, 201546, '\p{alnum}', "");
    Expect(0, 201546, '\p{^alnum}', "");
    Expect(0, 201546, '\P{alnum}', "");
    Expect(1, 201546, '\P{^alnum}', "");
    Expect(0, 201547, '\p{alnum}', "");
    Expect(1, 201547, '\p{^alnum}', "");
    Expect(1, 201547, '\P{alnum}', "");
    Expect(0, 201547, '\P{^alnum}', "");
    Expect(1, 201546, '\p{	-ALNUM}', "");
    Expect(0, 201546, '\p{^	-ALNUM}', "");
    Expect(0, 201546, '\P{	-ALNUM}', "");
    Expect(1, 201546, '\P{^	-ALNUM}', "");
    Expect(0, 201547, '\p{	-ALNUM}', "");
    Expect(1, 201547, '\p{^	-ALNUM}', "");
    Expect(1, 201547, '\P{	-ALNUM}', "");
    Expect(0, 201547, '\P{^	-ALNUM}', "");
    Error('\p{/a/Is_XPosixAlnum}');
    Error('\P{/a/Is_XPosixAlnum}');
    Expect(1, 201546, '\p{isxposixalnum}', "");
    Expect(0, 201546, '\p{^isxposixalnum}', "");
    Expect(0, 201546, '\P{isxposixalnum}', "");
    Expect(1, 201546, '\P{^isxposixalnum}', "");
    Expect(0, 201547, '\p{isxposixalnum}', "");
    Expect(1, 201547, '\p{^isxposixalnum}', "");
    Expect(1, 201547, '\P{isxposixalnum}', "");
    Expect(0, 201547, '\P{^isxposixalnum}', "");
    Expect(1, 201546, '\p{- Is_XPosixAlnum}', "");
    Expect(0, 201546, '\p{^- Is_XPosixAlnum}', "");
    Expect(0, 201546, '\P{- Is_XPosixAlnum}', "");
    Expect(1, 201546, '\P{^- Is_XPosixAlnum}', "");
    Expect(0, 201547, '\p{- Is_XPosixAlnum}', "");
    Expect(1, 201547, '\p{^- Is_XPosixAlnum}', "");
    Expect(1, 201547, '\P{- Is_XPosixAlnum}', "");
    Expect(0, 201547, '\P{^- Is_XPosixAlnum}', "");
    Error('\p{:=-is_Alnum}');
    Error('\P{:=-is_Alnum}');
    Expect(1, 201546, '\p{isalnum}', "");
    Expect(0, 201546, '\p{^isalnum}', "");
    Expect(0, 201546, '\P{isalnum}', "");
    Expect(1, 201546, '\P{^isalnum}', "");
    Expect(0, 201547, '\p{isalnum}', "");
    Expect(1, 201547, '\p{^isalnum}', "");
    Expect(1, 201547, '\P{isalnum}', "");
    Expect(0, 201547, '\P{^isalnum}', "");
    Expect(1, 201546, '\p{- Is_ALNUM}', "");
    Expect(0, 201546, '\p{^- Is_ALNUM}', "");
    Expect(0, 201546, '\P{- Is_ALNUM}', "");
    Expect(1, 201546, '\P{^- Is_ALNUM}', "");
    Expect(0, 201547, '\p{- Is_ALNUM}', "");
    Expect(1, 201547, '\p{^- Is_ALNUM}', "");
    Expect(1, 201547, '\P{- Is_ALNUM}', "");
    Expect(0, 201547, '\P{^- Is_ALNUM}', "");
    Error('\p{ 	Alphabetic_Presentation_Forms:=}');
    Error('\P{ 	Alphabetic_Presentation_Forms:=}');
    Expect(1, 64335, '\p{alphabeticpresentationforms}', "");
    Expect(0, 64335, '\p{^alphabeticpresentationforms}', "");
    Expect(0, 64335, '\P{alphabeticpresentationforms}', "");
    Expect(1, 64335, '\P{^alphabeticpresentationforms}', "");
    Expect(0, 64336, '\p{alphabeticpresentationforms}', "");
    Expect(1, 64336, '\p{^alphabeticpresentationforms}', "");
    Expect(1, 64336, '\P{alphabeticpresentationforms}', "");
    Expect(0, 64336, '\P{^alphabeticpresentationforms}', "");
    Expect(1, 64335, '\p{-_Alphabetic_Presentation_Forms}', "");
    Expect(0, 64335, '\p{^-_Alphabetic_Presentation_Forms}', "");
    Expect(0, 64335, '\P{-_Alphabetic_Presentation_Forms}', "");
    Expect(1, 64335, '\P{^-_Alphabetic_Presentation_Forms}', "");
    Expect(0, 64336, '\p{-_Alphabetic_Presentation_Forms}', "");
    Expect(1, 64336, '\p{^-_Alphabetic_Presentation_Forms}', "");
    Expect(1, 64336, '\P{-_Alphabetic_Presentation_Forms}', "");
    Expect(0, 64336, '\P{^-_Alphabetic_Presentation_Forms}', "");
    Error('\p{ Is_Alphabetic_PRESENTATION_forms:=}');
    Error('\P{ Is_Alphabetic_PRESENTATION_forms:=}');
    Expect(1, 64335, '\p{isalphabeticpresentationforms}', "");
    Expect(0, 64335, '\p{^isalphabeticpresentationforms}', "");
    Expect(0, 64335, '\P{isalphabeticpresentationforms}', "");
    Expect(1, 64335, '\P{^isalphabeticpresentationforms}', "");
    Expect(0, 64336, '\p{isalphabeticpresentationforms}', "");
    Expect(1, 64336, '\p{^isalphabeticpresentationforms}', "");
    Expect(1, 64336, '\P{isalphabeticpresentationforms}', "");
    Expect(0, 64336, '\P{^isalphabeticpresentationforms}', "");
    Expect(1, 64335, '\p{-_IS_ALPHABETIC_Presentation_Forms}', "");
    Expect(0, 64335, '\p{^-_IS_ALPHABETIC_Presentation_Forms}', "");
    Expect(0, 64335, '\P{-_IS_ALPHABETIC_Presentation_Forms}', "");
    Expect(1, 64335, '\P{^-_IS_ALPHABETIC_Presentation_Forms}', "");
    Expect(0, 64336, '\p{-_IS_ALPHABETIC_Presentation_Forms}', "");
    Expect(1, 64336, '\p{^-_IS_ALPHABETIC_Presentation_Forms}', "");
    Expect(1, 64336, '\P{-_IS_ALPHABETIC_Presentation_Forms}', "");
    Expect(0, 64336, '\P{^-_IS_ALPHABETIC_Presentation_Forms}', "");
    Error('\p{/a/In_ALPHABETIC_presentation_forms}');
    Error('\P{/a/In_ALPHABETIC_presentation_forms}');
    Expect(1, 64335, '\p{inalphabeticpresentationforms}', "");
    Expect(0, 64335, '\p{^inalphabeticpresentationforms}', "");
    Expect(0, 64335, '\P{inalphabeticpresentationforms}', "");
    Expect(1, 64335, '\P{^inalphabeticpresentationforms}', "");
    Expect(0, 64336, '\p{inalphabeticpresentationforms}', "");
    Expect(1, 64336, '\p{^inalphabeticpresentationforms}', "");
    Expect(1, 64336, '\P{inalphabeticpresentationforms}', "");
    Expect(0, 64336, '\P{^inalphabeticpresentationforms}', "");
    Expect(1, 64335, '\p{-	IN_alphabetic_presentation_FORMS}', "");
    Expect(0, 64335, '\p{^-	IN_alphabetic_presentation_FORMS}', "");
    Expect(0, 64335, '\P{-	IN_alphabetic_presentation_FORMS}', "");
    Expect(1, 64335, '\P{^-	IN_alphabetic_presentation_FORMS}', "");
    Expect(0, 64336, '\p{-	IN_alphabetic_presentation_FORMS}', "");
    Expect(1, 64336, '\p{^-	IN_alphabetic_presentation_FORMS}', "");
    Expect(1, 64336, '\P{-	IN_alphabetic_presentation_FORMS}', "");
    Expect(0, 64336, '\P{^-	IN_alphabetic_presentation_FORMS}', "");
    Error('\p{:=alphabetic_pf}');
    Error('\P{:=alphabetic_pf}');
    Expect(1, 64335, '\p{alphabeticpf}', "");
    Expect(0, 64335, '\p{^alphabeticpf}', "");
    Expect(0, 64335, '\P{alphabeticpf}', "");
    Expect(1, 64335, '\P{^alphabeticpf}', "");
    Expect(0, 64336, '\p{alphabeticpf}', "");
    Expect(1, 64336, '\p{^alphabeticpf}', "");
    Expect(1, 64336, '\P{alphabeticpf}', "");
    Expect(0, 64336, '\P{^alphabeticpf}', "");
    Expect(1, 64335, '\p{_-alphabetic_PF}', "");
    Expect(0, 64335, '\p{^_-alphabetic_PF}', "");
    Expect(0, 64335, '\P{_-alphabetic_PF}', "");
    Expect(1, 64335, '\P{^_-alphabetic_PF}', "");
    Expect(0, 64336, '\p{_-alphabetic_PF}', "");
    Expect(1, 64336, '\p{^_-alphabetic_PF}', "");
    Expect(1, 64336, '\P{_-alphabetic_PF}', "");
    Expect(0, 64336, '\P{^_-alphabetic_PF}', "");
    Error('\p{	IS_Alphabetic_PF:=}');
    Error('\P{	IS_Alphabetic_PF:=}');
    Expect(1, 64335, '\p{isalphabeticpf}', "");
    Expect(0, 64335, '\p{^isalphabeticpf}', "");
    Expect(0, 64335, '\P{isalphabeticpf}', "");
    Expect(1, 64335, '\P{^isalphabeticpf}', "");
    Expect(0, 64336, '\p{isalphabeticpf}', "");
    Expect(1, 64336, '\p{^isalphabeticpf}', "");
    Expect(1, 64336, '\P{isalphabeticpf}', "");
    Expect(0, 64336, '\P{^isalphabeticpf}', "");
    Expect(1, 64335, '\p{_	Is_Alphabetic_PF}', "");
    Expect(0, 64335, '\p{^_	Is_Alphabetic_PF}', "");
    Expect(0, 64335, '\P{_	Is_Alphabetic_PF}', "");
    Expect(1, 64335, '\P{^_	Is_Alphabetic_PF}', "");
    Expect(0, 64336, '\p{_	Is_Alphabetic_PF}', "");
    Expect(1, 64336, '\p{^_	Is_Alphabetic_PF}', "");
    Expect(1, 64336, '\P{_	Is_Alphabetic_PF}', "");
    Expect(0, 64336, '\P{^_	Is_Alphabetic_PF}', "");
    Error('\p{-IN_Alphabetic_PF/a/}');
    Error('\P{-IN_Alphabetic_PF/a/}');
    Expect(1, 64335, '\p{inalphabeticpf}', "");
    Expect(0, 64335, '\p{^inalphabeticpf}', "");
    Expect(0, 64335, '\P{inalphabeticpf}', "");
    Expect(1, 64335, '\P{^inalphabeticpf}', "");
    Expect(0, 64336, '\p{inalphabeticpf}', "");
    Expect(1, 64336, '\p{^inalphabeticpf}', "");
    Expect(1, 64336, '\P{inalphabeticpf}', "");
    Expect(0, 64336, '\P{^inalphabeticpf}', "");
    Expect(1, 64335, '\p{		In_Alphabetic_PF}', "");
    Expect(0, 64335, '\p{^		In_Alphabetic_PF}', "");
    Expect(0, 64335, '\P{		In_Alphabetic_PF}', "");
    Expect(1, 64335, '\P{^		In_Alphabetic_PF}', "");
    Expect(0, 64336, '\p{		In_Alphabetic_PF}', "");
    Expect(1, 64336, '\p{^		In_Alphabetic_PF}', "");
    Expect(1, 64336, '\P{		In_Alphabetic_PF}', "");
    Expect(0, 64336, '\P{^		In_Alphabetic_PF}', "");
    Error('\p{_:=Anatolian_Hieroglyphs}');
    Error('\P{_:=Anatolian_Hieroglyphs}');
    Expect(1, 83526, '\p{anatolianhieroglyphs}', "");
    Expect(0, 83526, '\p{^anatolianhieroglyphs}', "");
    Expect(0, 83526, '\P{anatolianhieroglyphs}', "");
    Expect(1, 83526, '\P{^anatolianhieroglyphs}', "");
    Expect(0, 83527, '\p{anatolianhieroglyphs}', "");
    Expect(1, 83527, '\p{^anatolianhieroglyphs}', "");
    Expect(1, 83527, '\P{anatolianhieroglyphs}', "");
    Expect(0, 83527, '\P{^anatolianhieroglyphs}', "");
    Expect(1, 83526, '\p{  anatolian_hieroglyphs}', "");
    Expect(0, 83526, '\p{^  anatolian_hieroglyphs}', "");
    Expect(0, 83526, '\P{  anatolian_hieroglyphs}', "");
    Expect(1, 83526, '\P{^  anatolian_hieroglyphs}', "");
    Expect(0, 83527, '\p{  anatolian_hieroglyphs}', "");
    Expect(1, 83527, '\p{^  anatolian_hieroglyphs}', "");
    Expect(1, 83527, '\P{  anatolian_hieroglyphs}', "");
    Expect(0, 83527, '\P{^  anatolian_hieroglyphs}', "");
    Error('\p{-:=IS_anatolian_HIEROGLYPHS}');
    Error('\P{-:=IS_anatolian_HIEROGLYPHS}');
    Expect(1, 83526, '\p{isanatolianhieroglyphs}', "");
    Expect(0, 83526, '\p{^isanatolianhieroglyphs}', "");
    Expect(0, 83526, '\P{isanatolianhieroglyphs}', "");
    Expect(1, 83526, '\P{^isanatolianhieroglyphs}', "");
    Expect(0, 83527, '\p{isanatolianhieroglyphs}', "");
    Expect(1, 83527, '\p{^isanatolianhieroglyphs}', "");
    Expect(1, 83527, '\P{isanatolianhieroglyphs}', "");
    Expect(0, 83527, '\P{^isanatolianhieroglyphs}', "");
    Expect(1, 83526, '\p{-is_Anatolian_Hieroglyphs}', "");
    Expect(0, 83526, '\p{^-is_Anatolian_Hieroglyphs}', "");
    Expect(0, 83526, '\P{-is_Anatolian_Hieroglyphs}', "");
    Expect(1, 83526, '\P{^-is_Anatolian_Hieroglyphs}', "");
    Expect(0, 83527, '\p{-is_Anatolian_Hieroglyphs}', "");
    Expect(1, 83527, '\p{^-is_Anatolian_Hieroglyphs}', "");
    Expect(1, 83527, '\P{-is_Anatolian_Hieroglyphs}', "");
    Expect(0, 83527, '\P{^-is_Anatolian_Hieroglyphs}', "");
    Error('\p{_:=Hluw}');
    Error('\P{_:=Hluw}');
    Expect(1, 83526, '\p{hluw}', "");
    Expect(0, 83526, '\p{^hluw}', "");
    Expect(0, 83526, '\P{hluw}', "");
    Expect(1, 83526, '\P{^hluw}', "");
    Expect(0, 83527, '\p{hluw}', "");
    Expect(1, 83527, '\p{^hluw}', "");
    Expect(1, 83527, '\P{hluw}', "");
    Expect(0, 83527, '\P{^hluw}', "");
    Expect(1, 83526, '\p{	 Hluw}', "");
    Expect(0, 83526, '\p{^	 Hluw}', "");
    Expect(0, 83526, '\P{	 Hluw}', "");
    Expect(1, 83526, '\P{^	 Hluw}', "");
    Expect(0, 83527, '\p{	 Hluw}', "");
    Expect(1, 83527, '\p{^	 Hluw}', "");
    Expect(1, 83527, '\P{	 Hluw}', "");
    Expect(0, 83527, '\P{^	 Hluw}', "");
    Error('\p{:=_-IS_Hluw}');
    Error('\P{:=_-IS_Hluw}');
    Expect(1, 83526, '\p{ishluw}', "");
    Expect(0, 83526, '\p{^ishluw}', "");
    Expect(0, 83526, '\P{ishluw}', "");
    Expect(1, 83526, '\P{^ishluw}', "");
    Expect(0, 83527, '\p{ishluw}', "");
    Expect(1, 83527, '\p{^ishluw}', "");
    Expect(1, 83527, '\P{ishluw}', "");
    Expect(0, 83527, '\P{^ishluw}', "");
    Expect(1, 83526, '\p{--Is_hluw}', "");
    Expect(0, 83526, '\p{^--Is_hluw}', "");
    Expect(0, 83526, '\P{--Is_hluw}', "");
    Expect(1, 83526, '\P{^--Is_hluw}', "");
    Expect(0, 83527, '\p{--Is_hluw}', "");
    Expect(1, 83527, '\p{^--Is_hluw}', "");
    Expect(1, 83527, '\P{--Is_hluw}', "");
    Expect(0, 83527, '\P{^--Is_hluw}', "");
    Error('\p{		Ancient_Greek_MUSICAL_NOTATION:=}');
    Error('\P{		Ancient_Greek_MUSICAL_NOTATION:=}');
    Expect(1, 119375, '\p{ancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\p{^ancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\P{ancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\P{^ancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\p{ancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\p{^ancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\P{ancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\P{^ancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\p{ -Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119375, '\p{^ -Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119375, '\P{ -Ancient_Greek_Musical_NOTATION}', "");
    Expect(1, 119375, '\P{^ -Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119376, '\p{ -Ancient_Greek_Musical_NOTATION}', "");
    Expect(1, 119376, '\p{^ -Ancient_Greek_Musical_NOTATION}', "");
    Expect(1, 119376, '\P{ -Ancient_Greek_Musical_NOTATION}', "");
    Expect(0, 119376, '\P{^ -Ancient_Greek_Musical_NOTATION}', "");
    Error('\p{--is_ANCIENT_greek_Musical_Notation/a/}');
    Error('\P{--is_ANCIENT_greek_Musical_Notation/a/}');
    Expect(1, 119375, '\p{isancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\p{^isancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\P{isancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\P{^isancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\p{isancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\p{^isancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\P{isancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\P{^isancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\p{-is_Ancient_Greek_MUSICAL_Notation}', "");
    Expect(0, 119375, '\p{^-is_Ancient_Greek_MUSICAL_Notation}', "");
    Expect(0, 119375, '\P{-is_Ancient_Greek_MUSICAL_Notation}', "");
    Expect(1, 119375, '\P{^-is_Ancient_Greek_MUSICAL_Notation}', "");
    Expect(0, 119376, '\p{-is_Ancient_Greek_MUSICAL_Notation}', "");
    Expect(1, 119376, '\p{^-is_Ancient_Greek_MUSICAL_Notation}', "");
    Expect(1, 119376, '\P{-is_Ancient_Greek_MUSICAL_Notation}', "");
    Expect(0, 119376, '\P{^-is_Ancient_Greek_MUSICAL_Notation}', "");
    Error('\p{--in_Ancient_Greek_Musical_Notation:=}');
    Error('\P{--in_Ancient_Greek_Musical_Notation:=}');
    Expect(1, 119375, '\p{inancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\p{^inancientgreekmusicalnotation}', "");
    Expect(0, 119375, '\P{inancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\P{^inancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\p{inancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\p{^inancientgreekmusicalnotation}', "");
    Expect(1, 119376, '\P{inancientgreekmusicalnotation}', "");
    Expect(0, 119376, '\P{^inancientgreekmusicalnotation}', "");
    Expect(1, 119375, '\p{_In_Ancient_GREEK_Musical_NOTATION}', "");
    Expect(0, 119375, '\p{^_In_Ancient_GREEK_Musical_NOTATION}', "");
    Expect(0, 119375, '\P{_In_Ancient_GREEK_Musical_NOTATION}', "");
    Expect(1, 119375, '\P{^_In_Ancient_GREEK_Musical_NOTATION}', "");
    Expect(0, 119376, '\p{_In_Ancient_GREEK_Musical_NOTATION}', "");
    Expect(1, 119376, '\p{^_In_Ancient_GREEK_Musical_NOTATION}', "");
    Expect(1, 119376, '\P{_In_Ancient_GREEK_Musical_NOTATION}', "");
    Expect(0, 119376, '\P{^_In_Ancient_GREEK_Musical_NOTATION}', "");
    Error('\p{_/a/Ancient_Greek_Music}');
    Error('\P{_/a/Ancient_Greek_Music}');
    Expect(1, 119375, '\p{ancientgreekmusic}', "");
    Expect(0, 119375, '\p{^ancientgreekmusic}', "");
    Expect(0, 119375, '\P{ancientgreekmusic}', "");
    Expect(1, 119375, '\P{^ancientgreekmusic}', "");
    Expect(0, 119376, '\p{ancientgreekmusic}', "");
    Expect(1, 119376, '\p{^ancientgreekmusic}', "");
    Expect(1, 119376, '\P{ancientgreekmusic}', "");
    Expect(0, 119376, '\P{^ancientgreekmusic}', "");
    Expect(1, 119375, '\p{		Ancient_greek_Music}', "");
    Expect(0, 119375, '\p{^		Ancient_greek_Music}', "");
    Expect(0, 119375, '\P{		Ancient_greek_Music}', "");
    Expect(1, 119375, '\P{^		Ancient_greek_Music}', "");
    Expect(0, 119376, '\p{		Ancient_greek_Music}', "");
    Expect(1, 119376, '\p{^		Ancient_greek_Music}', "");
    Expect(1, 119376, '\P{		Ancient_greek_Music}', "");
    Expect(0, 119376, '\P{^		Ancient_greek_Music}', "");
    Error('\p{_:=IS_ancient_GREEK_music}');
    Error('\P{_:=IS_ancient_GREEK_music}');
    Expect(1, 119375, '\p{isancientgreekmusic}', "");
    Expect(0, 119375, '\p{^isancientgreekmusic}', "");
    Expect(0, 119375, '\P{isancientgreekmusic}', "");
    Expect(1, 119375, '\P{^isancientgreekmusic}', "");
    Expect(0, 119376, '\p{isancientgreekmusic}', "");
    Expect(1, 119376, '\p{^isancientgreekmusic}', "");
    Expect(1, 119376, '\P{isancientgreekmusic}', "");
    Expect(0, 119376, '\P{^isancientgreekmusic}', "");
    Expect(1, 119375, '\p{	is_ancient_Greek_MUSIC}', "");
    Expect(0, 119375, '\p{^	is_ancient_Greek_MUSIC}', "");
    Expect(0, 119375, '\P{	is_ancient_Greek_MUSIC}', "");
    Expect(1, 119375, '\P{^	is_ancient_Greek_MUSIC}', "");
    Expect(0, 119376, '\p{	is_ancient_Greek_MUSIC}', "");
    Expect(1, 119376, '\p{^	is_ancient_Greek_MUSIC}', "");
    Expect(1, 119376, '\P{	is_ancient_Greek_MUSIC}', "");
    Expect(0, 119376, '\P{^	is_ancient_Greek_MUSIC}', "");
    Error('\p{:=_ In_Ancient_greek_MUSIC}');
    Error('\P{:=_ In_Ancient_greek_MUSIC}');
    Expect(1, 119375, '\p{inancientgreekmusic}', "");
    Expect(0, 119375, '\p{^inancientgreekmusic}', "");
    Expect(0, 119375, '\P{inancientgreekmusic}', "");
    Expect(1, 119375, '\P{^inancientgreekmusic}', "");
    Expect(0, 119376, '\p{inancientgreekmusic}', "");
    Expect(1, 119376, '\p{^inancientgreekmusic}', "");
    Expect(1, 119376, '\P{inancientgreekmusic}', "");
    Expect(0, 119376, '\P{^inancientgreekmusic}', "");
    Expect(1, 119375, '\p{ In_Ancient_Greek_MUSIC}', "");
    Expect(0, 119375, '\p{^ In_Ancient_Greek_MUSIC}', "");
    Expect(0, 119375, '\P{ In_Ancient_Greek_MUSIC}', "");
    Expect(1, 119375, '\P{^ In_Ancient_Greek_MUSIC}', "");
    Expect(0, 119376, '\p{ In_Ancient_Greek_MUSIC}', "");
    Expect(1, 119376, '\p{^ In_Ancient_Greek_MUSIC}', "");
    Expect(1, 119376, '\P{ In_Ancient_Greek_MUSIC}', "");
    Expect(0, 119376, '\P{^ In_Ancient_Greek_MUSIC}', "");
    Error('\p{	:=ancient_GREEK_Numbers}');
    Error('\P{	:=ancient_GREEK_Numbers}');
    Expect(1, 65935, '\p{ancientgreeknumbers}', "");
    Expect(0, 65935, '\p{^ancientgreeknumbers}', "");
    Expect(0, 65935, '\P{ancientgreeknumbers}', "");
    Expect(1, 65935, '\P{^ancientgreeknumbers}', "");
    Expect(0, 65936, '\p{ancientgreeknumbers}', "");
    Expect(1, 65936, '\p{^ancientgreeknumbers}', "");
    Expect(1, 65936, '\P{ancientgreeknumbers}', "");
    Expect(0, 65936, '\P{^ancientgreeknumbers}', "");
    Expect(1, 65935, '\p{  ancient_greek_Numbers}', "");
    Expect(0, 65935, '\p{^  ancient_greek_Numbers}', "");
    Expect(0, 65935, '\P{  ancient_greek_Numbers}', "");
    Expect(1, 65935, '\P{^  ancient_greek_Numbers}', "");
    Expect(0, 65936, '\p{  ancient_greek_Numbers}', "");
    Expect(1, 65936, '\p{^  ancient_greek_Numbers}', "");
    Expect(1, 65936, '\P{  ancient_greek_Numbers}', "");
    Expect(0, 65936, '\P{^  ancient_greek_Numbers}', "");
    Error('\p{/a/is_ANCIENT_GREEK_Numbers}');
    Error('\P{/a/is_ANCIENT_GREEK_Numbers}');
    Expect(1, 65935, '\p{isancientgreeknumbers}', "");
    Expect(0, 65935, '\p{^isancientgreeknumbers}', "");
    Expect(0, 65935, '\P{isancientgreeknumbers}', "");
    Expect(1, 65935, '\P{^isancientgreeknumbers}', "");
    Expect(0, 65936, '\p{isancientgreeknumbers}', "");
    Expect(1, 65936, '\p{^isancientgreeknumbers}', "");
    Expect(1, 65936, '\P{isancientgreeknumbers}', "");
    Expect(0, 65936, '\P{^isancientgreeknumbers}', "");
    Expect(1, 65935, '\p{-_Is_ancient_GREEK_Numbers}', "");
    Expect(0, 65935, '\p{^-_Is_ancient_GREEK_Numbers}', "");
    Expect(0, 65935, '\P{-_Is_ancient_GREEK_Numbers}', "");
    Expect(1, 65935, '\P{^-_Is_ancient_GREEK_Numbers}', "");
    Expect(0, 65936, '\p{-_Is_ancient_GREEK_Numbers}', "");
    Expect(1, 65936, '\p{^-_Is_ancient_GREEK_Numbers}', "");
    Expect(1, 65936, '\P{-_Is_ancient_GREEK_Numbers}', "");
    Expect(0, 65936, '\P{^-_Is_ancient_GREEK_Numbers}', "");
    Error('\p{	-In_Ancient_Greek_NUMBERS:=}');
    Error('\P{	-In_Ancient_Greek_NUMBERS:=}');
    Expect(1, 65935, '\p{inancientgreeknumbers}', "");
    Expect(0, 65935, '\p{^inancientgreeknumbers}', "");
    Expect(0, 65935, '\P{inancientgreeknumbers}', "");
    Expect(1, 65935, '\P{^inancientgreeknumbers}', "");
    Expect(0, 65936, '\p{inancientgreeknumbers}', "");
    Expect(1, 65936, '\p{^inancientgreeknumbers}', "");
    Expect(1, 65936, '\P{inancientgreeknumbers}', "");
    Expect(0, 65936, '\P{^inancientgreeknumbers}', "");
    Expect(1, 65935, '\p{_in_ancient_Greek_Numbers}', "");
    Expect(0, 65935, '\p{^_in_ancient_Greek_Numbers}', "");
    Expect(0, 65935, '\P{_in_ancient_Greek_Numbers}', "");
    Expect(1, 65935, '\P{^_in_ancient_Greek_Numbers}', "");
    Expect(0, 65936, '\p{_in_ancient_Greek_Numbers}', "");
    Expect(1, 65936, '\p{^_in_ancient_Greek_Numbers}', "");
    Expect(1, 65936, '\P{_in_ancient_Greek_Numbers}', "");
    Expect(0, 65936, '\P{^_in_ancient_Greek_Numbers}', "");
    Error('\p{:= ancient_Symbols}');
    Error('\P{:= ancient_Symbols}');
    Expect(1, 65999, '\p{ancientsymbols}', "");
    Expect(0, 65999, '\p{^ancientsymbols}', "");
    Expect(0, 65999, '\P{ancientsymbols}', "");
    Expect(1, 65999, '\P{^ancientsymbols}', "");
    Expect(0, 66000, '\p{ancientsymbols}', "");
    Expect(1, 66000, '\p{^ancientsymbols}', "");
    Expect(1, 66000, '\P{ancientsymbols}', "");
    Expect(0, 66000, '\P{^ancientsymbols}', "");
    Expect(1, 65999, '\p{_ Ancient_SYMBOLS}', "");
    Expect(0, 65999, '\p{^_ Ancient_SYMBOLS}', "");
    Expect(0, 65999, '\P{_ Ancient_SYMBOLS}', "");
    Expect(1, 65999, '\P{^_ Ancient_SYMBOLS}', "");
    Expect(0, 66000, '\p{_ Ancient_SYMBOLS}', "");
    Expect(1, 66000, '\p{^_ Ancient_SYMBOLS}', "");
    Expect(1, 66000, '\P{_ Ancient_SYMBOLS}', "");
    Expect(0, 66000, '\P{^_ Ancient_SYMBOLS}', "");
    Error('\p{__Is_ANCIENT_SYMBOLS/a/}');
    Error('\P{__Is_ANCIENT_SYMBOLS/a/}');
    Expect(1, 65999, '\p{isancientsymbols}', "");
    Expect(0, 65999, '\p{^isancientsymbols}', "");
    Expect(0, 65999, '\P{isancientsymbols}', "");
    Expect(1, 65999, '\P{^isancientsymbols}', "");
    Expect(0, 66000, '\p{isancientsymbols}', "");
    Expect(1, 66000, '\p{^isancientsymbols}', "");
    Expect(1, 66000, '\P{isancientsymbols}', "");
    Expect(0, 66000, '\P{^isancientsymbols}', "");
    Expect(1, 65999, '\p{_	is_Ancient_symbols}', "");
    Expect(0, 65999, '\p{^_	is_Ancient_symbols}', "");
    Expect(0, 65999, '\P{_	is_Ancient_symbols}', "");
    Expect(1, 65999, '\P{^_	is_Ancient_symbols}', "");
    Expect(0, 66000, '\p{_	is_Ancient_symbols}', "");
    Expect(1, 66000, '\p{^_	is_Ancient_symbols}', "");
    Expect(1, 66000, '\P{_	is_Ancient_symbols}', "");
    Expect(0, 66000, '\P{^_	is_Ancient_symbols}', "");
    Error('\p{_:=in_ancient_SYMBOLS}');
    Error('\P{_:=in_ancient_SYMBOLS}');
    Expect(1, 65999, '\p{inancientsymbols}', "");
    Expect(0, 65999, '\p{^inancientsymbols}', "");
    Expect(0, 65999, '\P{inancientsymbols}', "");
    Expect(1, 65999, '\P{^inancientsymbols}', "");
    Expect(0, 66000, '\p{inancientsymbols}', "");
    Expect(1, 66000, '\p{^inancientsymbols}', "");
    Expect(1, 66000, '\P{inancientsymbols}', "");
    Expect(0, 66000, '\P{^inancientsymbols}', "");
    Expect(1, 65999, '\p{ -in_ANCIENT_SYMBOLS}', "");
    Expect(0, 65999, '\p{^ -in_ANCIENT_SYMBOLS}', "");
    Expect(0, 65999, '\P{ -in_ANCIENT_SYMBOLS}', "");
    Expect(1, 65999, '\P{^ -in_ANCIENT_SYMBOLS}', "");
    Expect(0, 66000, '\p{ -in_ANCIENT_SYMBOLS}', "");
    Expect(1, 66000, '\p{^ -in_ANCIENT_SYMBOLS}', "");
    Expect(1, 66000, '\P{ -in_ANCIENT_SYMBOLS}', "");
    Expect(0, 66000, '\P{^ -in_ANCIENT_SYMBOLS}', "");
    Error('\p{:=_-ANY}');
    Error('\P{:=_-ANY}');
    Expect(1, 1, '\p{any}', "");
    Expect(0, 1, '\p{^any}', "");
    Expect(0, 1, '\P{any}', "");
    Expect(1, 1, '\P{^any}', "");
    Expect(0, 8912887, '\p{any}', "");
    Expect(1, 8912887, '\p{^any}', "");
    Expect(1, 8912887, '\P{any}', "");
    Expect(0, 8912887, '\P{^any}', "");
    Expect(1, 1, '\p{ 	Any}', "");
    Expect(0, 1, '\p{^ 	Any}', "");
    Expect(0, 1, '\P{ 	Any}', "");
    Expect(1, 1, '\P{^ 	Any}', "");
    Expect(0, 8912887, '\p{ 	Any}', "");
    Expect(1, 8912887, '\p{^ 	Any}', "");
    Expect(1, 8912887, '\P{ 	Any}', "");
    Expect(0, 8912887, '\P{^ 	Any}', "");
    Error('\p{:=-_Unicode}');
    Error('\P{:=-_Unicode}');
    Expect(1, 1, '\p{unicode}', "");
    Expect(0, 1, '\p{^unicode}', "");
    Expect(0, 1, '\P{unicode}', "");
    Expect(1, 1, '\P{^unicode}', "");
    Expect(0, 8912887, '\p{unicode}', "");
    Expect(1, 8912887, '\p{^unicode}', "");
    Expect(1, 8912887, '\P{unicode}', "");
    Expect(0, 8912887, '\P{^unicode}', "");
    Expect(1, 1, '\p{_-Unicode}', "");
    Expect(0, 1, '\p{^_-Unicode}', "");
    Expect(0, 1, '\P{_-Unicode}', "");
    Expect(1, 1, '\P{^_-Unicode}', "");
    Expect(0, 8912887, '\p{_-Unicode}', "");
    Expect(1, 8912887, '\p{^_-Unicode}', "");
    Expect(1, 8912887, '\P{_-Unicode}', "");
    Expect(0, 8912887, '\P{^_-Unicode}', "");
    Error('\p{:=_ is_ANY}');
    Error('\P{:=_ is_ANY}');
    Expect(1, 1, '\p{isany}', "");
    Expect(0, 1, '\p{^isany}', "");
    Expect(0, 1, '\P{isany}', "");
    Expect(1, 1, '\P{^isany}', "");
    Expect(0, 8912887, '\p{isany}', "");
    Expect(1, 8912887, '\p{^isany}', "");
    Expect(1, 8912887, '\P{isany}', "");
    Expect(0, 8912887, '\P{^isany}', "");
    Expect(1, 1, '\p{	is_Any}', "");
    Expect(0, 1, '\p{^	is_Any}', "");
    Expect(0, 1, '\P{	is_Any}', "");
    Expect(1, 1, '\P{^	is_Any}', "");
    Expect(0, 8912887, '\p{	is_Any}', "");
    Expect(1, 8912887, '\p{^	is_Any}', "");
    Expect(1, 8912887, '\P{	is_Any}', "");
    Expect(0, 8912887, '\P{^	is_Any}', "");
    Error('\p{/a/-is_Unicode}');
    Error('\P{/a/-is_Unicode}');
    Expect(1, 1, '\p{isunicode}', "");
    Expect(0, 1, '\p{^isunicode}', "");
    Expect(0, 1, '\P{isunicode}', "");
    Expect(1, 1, '\P{^isunicode}', "");
    Expect(0, 8912887, '\p{isunicode}', "");
    Expect(1, 8912887, '\p{^isunicode}', "");
    Expect(1, 8912887, '\P{isunicode}', "");
    Expect(0, 8912887, '\P{^isunicode}', "");
    Expect(1, 1, '\p{-is_UNICODE}', "");
    Expect(0, 1, '\p{^-is_UNICODE}', "");
    Expect(0, 1, '\P{-is_UNICODE}', "");
    Expect(1, 1, '\P{^-is_UNICODE}', "");
    Expect(0, 8912887, '\p{-is_UNICODE}', "");
    Expect(1, 8912887, '\p{^-is_UNICODE}', "");
    Expect(1, 8912887, '\P{-is_UNICODE}', "");
    Expect(0, 8912887, '\P{^-is_UNICODE}', "");
    Error('\p{		arabic/a/}');
    Error('\P{		arabic/a/}');
    Expect(1, 126705, '\p{arabic}', "");
    Expect(0, 126705, '\p{^arabic}', "");
    Expect(0, 126705, '\P{arabic}', "");
    Expect(1, 126705, '\P{^arabic}', "");
    Expect(0, 126706, '\p{arabic}', "");
    Expect(1, 126706, '\p{^arabic}', "");
    Expect(1, 126706, '\P{arabic}', "");
    Expect(0, 126706, '\P{^arabic}', "");
    Expect(1, 126705, '\p{_	Arabic}', "");
    Expect(0, 126705, '\p{^_	Arabic}', "");
    Expect(0, 126705, '\P{_	Arabic}', "");
    Expect(1, 126705, '\P{^_	Arabic}', "");
    Expect(0, 126706, '\p{_	Arabic}', "");
    Expect(1, 126706, '\p{^_	Arabic}', "");
    Expect(1, 126706, '\P{_	Arabic}', "");
    Expect(0, 126706, '\P{^_	Arabic}', "");
    Error('\p{  Is_Arabic/a/}');
    Error('\P{  Is_Arabic/a/}');
    Expect(1, 126705, '\p{isarabic}', "");
    Expect(0, 126705, '\p{^isarabic}', "");
    Expect(0, 126705, '\P{isarabic}', "");
    Expect(1, 126705, '\P{^isarabic}', "");
    Expect(0, 126706, '\p{isarabic}', "");
    Expect(1, 126706, '\p{^isarabic}', "");
    Expect(1, 126706, '\P{isarabic}', "");
    Expect(0, 126706, '\P{^isarabic}', "");
    Expect(1, 126705, '\p{	-Is_Arabic}', "");
    Expect(0, 126705, '\p{^	-Is_Arabic}', "");
    Expect(0, 126705, '\P{	-Is_Arabic}', "");
    Expect(1, 126705, '\P{^	-Is_Arabic}', "");
    Expect(0, 126706, '\p{	-Is_Arabic}', "");
    Expect(1, 126706, '\p{^	-Is_Arabic}', "");
    Expect(1, 126706, '\P{	-Is_Arabic}', "");
    Expect(0, 126706, '\P{^	-Is_Arabic}', "");
    Error('\p{/a/Arab}');
    Error('\P{/a/Arab}');
    Expect(1, 126705, '\p{arab}', "");
    Expect(0, 126705, '\p{^arab}', "");
    Expect(0, 126705, '\P{arab}', "");
    Expect(1, 126705, '\P{^arab}', "");
    Expect(0, 126706, '\p{arab}', "");
    Expect(1, 126706, '\p{^arab}', "");
    Expect(1, 126706, '\P{arab}', "");
    Expect(0, 126706, '\P{^arab}', "");
    Expect(1, 126705, '\p{-_Arab}', "");
    Expect(0, 126705, '\p{^-_Arab}', "");
    Expect(0, 126705, '\P{-_Arab}', "");
    Expect(1, 126705, '\P{^-_Arab}', "");
    Expect(0, 126706, '\p{-_Arab}', "");
    Expect(1, 126706, '\p{^-_Arab}', "");
    Expect(1, 126706, '\P{-_Arab}', "");
    Expect(0, 126706, '\P{^-_Arab}', "");
    Error('\p{-_Is_Arab/a/}');
    Error('\P{-_Is_Arab/a/}');
    Expect(1, 126705, '\p{isarab}', "");
    Expect(0, 126705, '\p{^isarab}', "");
    Expect(0, 126705, '\P{isarab}', "");
    Expect(1, 126705, '\P{^isarab}', "");
    Expect(0, 126706, '\p{isarab}', "");
    Expect(1, 126706, '\p{^isarab}', "");
    Expect(1, 126706, '\P{isarab}', "");
    Expect(0, 126706, '\P{^isarab}', "");
    Expect(1, 126705, '\p{ Is_ARAB}', "");
    Expect(0, 126705, '\p{^ Is_ARAB}', "");
    Expect(0, 126705, '\P{ Is_ARAB}', "");
    Expect(1, 126705, '\P{^ Is_ARAB}', "");
    Expect(0, 126706, '\p{ Is_ARAB}', "");
    Expect(1, 126706, '\p{^ Is_ARAB}', "");
    Expect(1, 126706, '\P{ Is_ARAB}', "");
    Expect(0, 126706, '\P{^ Is_ARAB}', "");
    Error('\p{	:=Arabic_EXTENDED_A}');
    Error('\P{	:=Arabic_EXTENDED_A}');
    Expect(1, 2303, '\p{arabicextendeda}', "");
    Expect(0, 2303, '\p{^arabicextendeda}', "");
    Expect(0, 2303, '\P{arabicextendeda}', "");
    Expect(1, 2303, '\P{^arabicextendeda}', "");
    Expect(0, 2304, '\p{arabicextendeda}', "");
    Expect(1, 2304, '\p{^arabicextendeda}', "");
    Expect(1, 2304, '\P{arabicextendeda}', "");
    Expect(0, 2304, '\P{^arabicextendeda}', "");
    Expect(1, 2303, '\p{	arabic_EXTENDED_A}', "");
    Expect(0, 2303, '\p{^	arabic_EXTENDED_A}', "");
    Expect(0, 2303, '\P{	arabic_EXTENDED_A}', "");
    Expect(1, 2303, '\P{^	arabic_EXTENDED_A}', "");
    Expect(0, 2304, '\p{	arabic_EXTENDED_A}', "");
    Expect(1, 2304, '\p{^	arabic_EXTENDED_A}', "");
    Expect(1, 2304, '\P{	arabic_EXTENDED_A}', "");
    Expect(0, 2304, '\P{^	arabic_EXTENDED_A}', "");
    Error('\p{-Is_arabic_EXTENDED_A:=}');
    Error('\P{-Is_arabic_EXTENDED_A:=}');
    Expect(1, 2303, '\p{isarabicextendeda}', "");
    Expect(0, 2303, '\p{^isarabicextendeda}', "");
    Expect(0, 2303, '\P{isarabicextendeda}', "");
    Expect(1, 2303, '\P{^isarabicextendeda}', "");
    Expect(0, 2304, '\p{isarabicextendeda}', "");
    Expect(1, 2304, '\p{^isarabicextendeda}', "");
    Expect(1, 2304, '\P{isarabicextendeda}', "");
    Expect(0, 2304, '\P{^isarabicextendeda}', "");
    Expect(1, 2303, '\p{ -Is_arabic_Extended_A}', "");
    Expect(0, 2303, '\p{^ -Is_arabic_Extended_A}', "");
    Expect(0, 2303, '\P{ -Is_arabic_Extended_A}', "");
    Expect(1, 2303, '\P{^ -Is_arabic_Extended_A}', "");
    Expect(0, 2304, '\p{ -Is_arabic_Extended_A}', "");
    Expect(1, 2304, '\p{^ -Is_arabic_Extended_A}', "");
    Expect(1, 2304, '\P{ -Is_arabic_Extended_A}', "");
    Expect(0, 2304, '\P{^ -Is_arabic_Extended_A}', "");
    Error('\p{	:=In_Arabic_EXTENDED_A}');
    Error('\P{	:=In_Arabic_EXTENDED_A}');
    Expect(1, 2303, '\p{inarabicextendeda}', "");
    Expect(0, 2303, '\p{^inarabicextendeda}', "");
    Expect(0, 2303, '\P{inarabicextendeda}', "");
    Expect(1, 2303, '\P{^inarabicextendeda}', "");
    Expect(0, 2304, '\p{inarabicextendeda}', "");
    Expect(1, 2304, '\p{^inarabicextendeda}', "");
    Expect(1, 2304, '\P{inarabicextendeda}', "");
    Expect(0, 2304, '\P{^inarabicextendeda}', "");
    Expect(1, 2303, '\p{  In_Arabic_extended_a}', "");
    Expect(0, 2303, '\p{^  In_Arabic_extended_a}', "");
    Expect(0, 2303, '\P{  In_Arabic_extended_a}', "");
    Expect(1, 2303, '\P{^  In_Arabic_extended_a}', "");
    Expect(0, 2304, '\p{  In_Arabic_extended_a}', "");
    Expect(1, 2304, '\p{^  In_Arabic_extended_a}', "");
    Expect(1, 2304, '\P{  In_Arabic_extended_a}', "");
    Expect(0, 2304, '\P{^  In_Arabic_extended_a}', "");
    Error('\p{ /a/Arabic_Ext_A}');
    Error('\P{ /a/Arabic_Ext_A}');
    Expect(1, 2303, '\p{arabicexta}', "");
    Expect(0, 2303, '\p{^arabicexta}', "");
    Expect(0, 2303, '\P{arabicexta}', "");
    Expect(1, 2303, '\P{^arabicexta}', "");
    Expect(0, 2304, '\p{arabicexta}', "");
    Expect(1, 2304, '\p{^arabicexta}', "");
    Expect(1, 2304, '\P{arabicexta}', "");
    Expect(0, 2304, '\P{^arabicexta}', "");
    Expect(1, 2303, '\p{ Arabic_Ext_A}', "");
    Expect(0, 2303, '\p{^ Arabic_Ext_A}', "");
    Expect(0, 2303, '\P{ Arabic_Ext_A}', "");
    Expect(1, 2303, '\P{^ Arabic_Ext_A}', "");
    Expect(0, 2304, '\p{ Arabic_Ext_A}', "");
    Expect(1, 2304, '\p{^ Arabic_Ext_A}', "");
    Expect(1, 2304, '\P{ Arabic_Ext_A}', "");
    Expect(0, 2304, '\P{^ Arabic_Ext_A}', "");
    Error('\p{:=IS_ARABIC_Ext_A}');
    Error('\P{:=IS_ARABIC_Ext_A}');
    Expect(1, 2303, '\p{isarabicexta}', "");
    Expect(0, 2303, '\p{^isarabicexta}', "");
    Expect(0, 2303, '\P{isarabicexta}', "");
    Expect(1, 2303, '\P{^isarabicexta}', "");
    Expect(0, 2304, '\p{isarabicexta}', "");
    Expect(1, 2304, '\p{^isarabicexta}', "");
    Expect(1, 2304, '\P{isarabicexta}', "");
    Expect(0, 2304, '\P{^isarabicexta}', "");
    Expect(1, 2303, '\p{_	Is_Arabic_ext_A}', "");
    Expect(0, 2303, '\p{^_	Is_Arabic_ext_A}', "");
    Expect(0, 2303, '\P{_	Is_Arabic_ext_A}', "");
    Expect(1, 2303, '\P{^_	Is_Arabic_ext_A}', "");
    Expect(0, 2304, '\p{_	Is_Arabic_ext_A}', "");
    Expect(1, 2304, '\p{^_	Is_Arabic_ext_A}', "");
    Expect(1, 2304, '\P{_	Is_Arabic_ext_A}', "");
    Expect(0, 2304, '\P{^_	Is_Arabic_ext_A}', "");
    Error('\p{:= -In_ARABIC_EXT_a}');
    Error('\P{:= -In_ARABIC_EXT_a}');
    Expect(1, 2303, '\p{inarabicexta}', "");
    Expect(0, 2303, '\p{^inarabicexta}', "");
    Expect(0, 2303, '\P{inarabicexta}', "");
    Expect(1, 2303, '\P{^inarabicexta}', "");
    Expect(0, 2304, '\p{inarabicexta}', "");
    Expect(1, 2304, '\p{^inarabicexta}', "");
    Expect(1, 2304, '\P{inarabicexta}', "");
    Expect(0, 2304, '\P{^inarabicexta}', "");
    Expect(1, 2303, '\p{ 	In_arabic_ext_A}', "");
    Expect(0, 2303, '\p{^ 	In_arabic_ext_A}', "");
    Expect(0, 2303, '\P{ 	In_arabic_ext_A}', "");
    Expect(1, 2303, '\P{^ 	In_arabic_ext_A}', "");
    Expect(0, 2304, '\p{ 	In_arabic_ext_A}', "");
    Expect(1, 2304, '\p{^ 	In_arabic_ext_A}', "");
    Expect(1, 2304, '\P{ 	In_arabic_ext_A}', "");
    Expect(0, 2304, '\P{^ 	In_arabic_ext_A}', "");
    Error('\p{:=Arabic_Extended_B}');
    Error('\P{:=Arabic_Extended_B}');
    Expect(1, 2207, '\p{arabicextendedb}', "");
    Expect(0, 2207, '\p{^arabicextendedb}', "");
    Expect(0, 2207, '\P{arabicextendedb}', "");
    Expect(1, 2207, '\P{^arabicextendedb}', "");
    Expect(0, 2208, '\p{arabicextendedb}', "");
    Expect(1, 2208, '\p{^arabicextendedb}', "");
    Expect(1, 2208, '\P{arabicextendedb}', "");
    Expect(0, 2208, '\P{^arabicextendedb}', "");
    Expect(1, 2207, '\p{	ARABIC_extended_B}', "");
    Expect(0, 2207, '\p{^	ARABIC_extended_B}', "");
    Expect(0, 2207, '\P{	ARABIC_extended_B}', "");
    Expect(1, 2207, '\P{^	ARABIC_extended_B}', "");
    Expect(0, 2208, '\p{	ARABIC_extended_B}', "");
    Expect(1, 2208, '\p{^	ARABIC_extended_B}', "");
    Expect(1, 2208, '\P{	ARABIC_extended_B}', "");
    Expect(0, 2208, '\P{^	ARABIC_extended_B}', "");
    Error('\p{	Is_Arabic_Extended_B:=}');
    Error('\P{	Is_Arabic_Extended_B:=}');
    Expect(1, 2207, '\p{isarabicextendedb}', "");
    Expect(0, 2207, '\p{^isarabicextendedb}', "");
    Expect(0, 2207, '\P{isarabicextendedb}', "");
    Expect(1, 2207, '\P{^isarabicextendedb}', "");
    Expect(0, 2208, '\p{isarabicextendedb}', "");
    Expect(1, 2208, '\p{^isarabicextendedb}', "");
    Expect(1, 2208, '\P{isarabicextendedb}', "");
    Expect(0, 2208, '\P{^isarabicextendedb}', "");
    Expect(1, 2207, '\p{-	IS_Arabic_Extended_b}', "");
    Expect(0, 2207, '\p{^-	IS_Arabic_Extended_b}', "");
    Expect(0, 2207, '\P{-	IS_Arabic_Extended_b}', "");
    Expect(1, 2207, '\P{^-	IS_Arabic_Extended_b}', "");
    Expect(0, 2208, '\p{-	IS_Arabic_Extended_b}', "");
    Expect(1, 2208, '\p{^-	IS_Arabic_Extended_b}', "");
    Expect(1, 2208, '\P{-	IS_Arabic_Extended_b}', "");
    Expect(0, 2208, '\P{^-	IS_Arabic_Extended_b}', "");
    Error('\p{:=-	in_ARABIC_Extended_B}');
    Error('\P{:=-	in_ARABIC_Extended_B}');
    Expect(1, 2207, '\p{inarabicextendedb}', "");
    Expect(0, 2207, '\p{^inarabicextendedb}', "");
    Expect(0, 2207, '\P{inarabicextendedb}', "");
    Expect(1, 2207, '\P{^inarabicextendedb}', "");
    Expect(0, 2208, '\p{inarabicextendedb}', "");
    Expect(1, 2208, '\p{^inarabicextendedb}', "");
    Expect(1, 2208, '\P{inarabicextendedb}', "");
    Expect(0, 2208, '\P{^inarabicextendedb}', "");
    Expect(1, 2207, '\p{	 in_arabic_Extended_B}', "");
    Expect(0, 2207, '\p{^	 in_arabic_Extended_B}', "");
    Expect(0, 2207, '\P{	 in_arabic_Extended_B}', "");
    Expect(1, 2207, '\P{^	 in_arabic_Extended_B}', "");
    Expect(0, 2208, '\p{	 in_arabic_Extended_B}', "");
    Expect(1, 2208, '\p{^	 in_arabic_Extended_B}', "");
    Expect(1, 2208, '\P{	 in_arabic_Extended_B}', "");
    Expect(0, 2208, '\P{^	 in_arabic_Extended_B}', "");
    Error('\p{:=_ARABIC_EXT_B}');
    Error('\P{:=_ARABIC_EXT_B}');
    Expect(1, 2207, '\p{arabicextb}', "");
    Expect(0, 2207, '\p{^arabicextb}', "");
    Expect(0, 2207, '\P{arabicextb}', "");
    Expect(1, 2207, '\P{^arabicextb}', "");
    Expect(0, 2208, '\p{arabicextb}', "");
    Expect(1, 2208, '\p{^arabicextb}', "");
    Expect(1, 2208, '\P{arabicextb}', "");
    Expect(0, 2208, '\P{^arabicextb}', "");
    Expect(1, 2207, '\p{ ARABIC_EXT_b}', "");
    Expect(0, 2207, '\p{^ ARABIC_EXT_b}', "");
    Expect(0, 2207, '\P{ ARABIC_EXT_b}', "");
    Expect(1, 2207, '\P{^ ARABIC_EXT_b}', "");
    Expect(0, 2208, '\p{ ARABIC_EXT_b}', "");
    Expect(1, 2208, '\p{^ ARABIC_EXT_b}', "");
    Expect(1, 2208, '\P{ ARABIC_EXT_b}', "");
    Expect(0, 2208, '\P{^ ARABIC_EXT_b}', "");
    Error('\p{/a/	-IS_Arabic_Ext_B}');
    Error('\P{/a/	-IS_Arabic_Ext_B}');
    Expect(1, 2207, '\p{isarabicextb}', "");
    Expect(0, 2207, '\p{^isarabicextb}', "");
    Expect(0, 2207, '\P{isarabicextb}', "");
    Expect(1, 2207, '\P{^isarabicextb}', "");
    Expect(0, 2208, '\p{isarabicextb}', "");
    Expect(1, 2208, '\p{^isarabicextb}', "");
    Expect(1, 2208, '\P{isarabicextb}', "");
    Expect(0, 2208, '\P{^isarabicextb}', "");
    Expect(1, 2207, '\p{  IS_ARABIC_ext_B}', "");
    Expect(0, 2207, '\p{^  IS_ARABIC_ext_B}', "");
    Expect(0, 2207, '\P{  IS_ARABIC_ext_B}', "");
    Expect(1, 2207, '\P{^  IS_ARABIC_ext_B}', "");
    Expect(0, 2208, '\p{  IS_ARABIC_ext_B}', "");
    Expect(1, 2208, '\p{^  IS_ARABIC_ext_B}', "");
    Expect(1, 2208, '\P{  IS_ARABIC_ext_B}', "");
    Expect(0, 2208, '\P{^  IS_ARABIC_ext_B}', "");
    Error('\p{:=	 IN_Arabic_ext_B}');
    Error('\P{:=	 IN_Arabic_ext_B}');
    Expect(1, 2207, '\p{inarabicextb}', "");
    Expect(0, 2207, '\p{^inarabicextb}', "");
    Expect(0, 2207, '\P{inarabicextb}', "");
    Expect(1, 2207, '\P{^inarabicextb}', "");
    Expect(0, 2208, '\p{inarabicextb}', "");
    Expect(1, 2208, '\p{^inarabicextb}', "");
    Expect(1, 2208, '\P{inarabicextb}', "");
    Expect(0, 2208, '\P{^inarabicextb}', "");
    Expect(1, 2207, '\p{	IN_arabic_ext_b}', "");
    Expect(0, 2207, '\p{^	IN_arabic_ext_b}', "");
    Expect(0, 2207, '\P{	IN_arabic_ext_b}', "");
    Expect(1, 2207, '\P{^	IN_arabic_ext_b}', "");
    Expect(0, 2208, '\p{	IN_arabic_ext_b}', "");
    Expect(1, 2208, '\p{^	IN_arabic_ext_b}', "");
    Expect(1, 2208, '\P{	IN_arabic_ext_b}', "");
    Expect(0, 2208, '\P{^	IN_arabic_ext_b}', "");
    Error('\p{:=Arabic_MATHEMATICAL_Alphabetic_Symbols}');
    Error('\P{:=Arabic_MATHEMATICAL_Alphabetic_Symbols}');
    Expect(1, 126719, '\p{arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\p{^arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\P{arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\P{^arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\p{arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\p{^arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\P{arabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\P{^arabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\p{-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Expect(0, 126719, '\p{^-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Expect(0, 126719, '\P{-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Expect(1, 126719, '\P{^-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Expect(0, 126720, '\p{-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Expect(1, 126720, '\p{^-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Expect(1, 126720, '\P{-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Expect(0, 126720, '\P{^-	Arabic_Mathematical_alphabetic_Symbols}', "");
    Error('\p{/a/	-Is_arabic_mathematical_Alphabetic_Symbols}');
    Error('\P{/a/	-Is_arabic_mathematical_Alphabetic_Symbols}');
    Expect(1, 126719, '\p{isarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\p{^isarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\P{isarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\P{^isarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\p{isarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\p{^isarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\P{isarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\P{^isarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\p{__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Expect(0, 126719, '\p{^__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Expect(0, 126719, '\P{__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Expect(1, 126719, '\P{^__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Expect(0, 126720, '\p{__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Expect(1, 126720, '\p{^__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Expect(1, 126720, '\P{__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Expect(0, 126720, '\P{^__Is_ARABIC_MATHEMATICAL_alphabetic_Symbols}', "");
    Error('\p{_/a/In_ARABIC_mathematical_ALPHABETIC_Symbols}');
    Error('\P{_/a/In_ARABIC_mathematical_ALPHABETIC_Symbols}');
    Expect(1, 126719, '\p{inarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\p{^inarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126719, '\P{inarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\P{^inarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\p{inarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\p{^inarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126720, '\P{inarabicmathematicalalphabeticsymbols}', "");
    Expect(0, 126720, '\P{^inarabicmathematicalalphabeticsymbols}', "");
    Expect(1, 126719, '\p{ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Expect(0, 126719, '\p{^ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Expect(0, 126719, '\P{ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Expect(1, 126719, '\P{^ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Expect(0, 126720, '\p{ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Expect(1, 126720, '\p{^ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Expect(1, 126720, '\P{ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Expect(0, 126720, '\P{^ _In_Arabic_Mathematical_Alphabetic_Symbols}', "");
    Error('\p{-:=Arabic_Math}');
    Error('\P{-:=Arabic_Math}');
    Expect(1, 126719, '\p{arabicmath}', "");
    Expect(0, 126719, '\p{^arabicmath}', "");
    Expect(0, 126719, '\P{arabicmath}', "");
    Expect(1, 126719, '\P{^arabicmath}', "");
    Expect(0, 126720, '\p{arabicmath}', "");
    Expect(1, 126720, '\p{^arabicmath}', "");
    Expect(1, 126720, '\P{arabicmath}', "");
    Expect(0, 126720, '\P{^arabicmath}', "");
    Expect(1, 126719, '\p{_-Arabic_Math}', "");
    Expect(0, 126719, '\p{^_-Arabic_Math}', "");
    Expect(0, 126719, '\P{_-Arabic_Math}', "");
    Expect(1, 126719, '\P{^_-Arabic_Math}', "");
    Expect(0, 126720, '\p{_-Arabic_Math}', "");
    Expect(1, 126720, '\p{^_-Arabic_Math}', "");
    Expect(1, 126720, '\P{_-Arabic_Math}', "");
    Expect(0, 126720, '\P{^_-Arabic_Math}', "");
    Error('\p{_/a/Is_Arabic_Math}');
    Error('\P{_/a/Is_Arabic_Math}');
    Expect(1, 126719, '\p{isarabicmath}', "");
    Expect(0, 126719, '\p{^isarabicmath}', "");
    Expect(0, 126719, '\P{isarabicmath}', "");
    Expect(1, 126719, '\P{^isarabicmath}', "");
    Expect(0, 126720, '\p{isarabicmath}', "");
    Expect(1, 126720, '\p{^isarabicmath}', "");
    Expect(1, 126720, '\P{isarabicmath}', "");
    Expect(0, 126720, '\P{^isarabicmath}', "");
    Expect(1, 126719, '\p{-Is_ARABIC_MATH}', "");
    Expect(0, 126719, '\p{^-Is_ARABIC_MATH}', "");
    Expect(0, 126719, '\P{-Is_ARABIC_MATH}', "");
    Expect(1, 126719, '\P{^-Is_ARABIC_MATH}', "");
    Expect(0, 126720, '\p{-Is_ARABIC_MATH}', "");
    Expect(1, 126720, '\p{^-Is_ARABIC_MATH}', "");
    Expect(1, 126720, '\P{-Is_ARABIC_MATH}', "");
    Expect(0, 126720, '\P{^-Is_ARABIC_MATH}', "");
    Error('\p{:=	_In_arabic_Math}');
    Error('\P{:=	_In_arabic_Math}');
    Expect(1, 126719, '\p{inarabicmath}', "");
    Expect(0, 126719, '\p{^inarabicmath}', "");
    Expect(0, 126719, '\P{inarabicmath}', "");
    Expect(1, 126719, '\P{^inarabicmath}', "");
    Expect(0, 126720, '\p{inarabicmath}', "");
    Expect(1, 126720, '\p{^inarabicmath}', "");
    Expect(1, 126720, '\P{inarabicmath}', "");
    Expect(0, 126720, '\P{^inarabicmath}', "");
    Expect(1, 126719, '\p{-	IN_arabic_MATH}', "");
    Expect(0, 126719, '\p{^-	IN_arabic_MATH}', "");
    Expect(0, 126719, '\P{-	IN_arabic_MATH}', "");
    Expect(1, 126719, '\P{^-	IN_arabic_MATH}', "");
    Expect(0, 126720, '\p{-	IN_arabic_MATH}', "");
    Expect(1, 126720, '\p{^-	IN_arabic_MATH}', "");
    Expect(1, 126720, '\P{-	IN_arabic_MATH}', "");
    Expect(0, 126720, '\P{^-	IN_arabic_MATH}', "");
    Error('\p{_Arabic_PRESENTATION_Forms_A:=}');
    Error('\P{_Arabic_PRESENTATION_Forms_A:=}');
    Expect(1, 65023, '\p{arabicpresentationformsa}', "");
    Expect(0, 65023, '\p{^arabicpresentationformsa}', "");
    Expect(0, 65023, '\P{arabicpresentationformsa}', "");
    Expect(1, 65023, '\P{^arabicpresentationformsa}', "");
    Expect(0, 65024, '\p{arabicpresentationformsa}', "");
    Expect(1, 65024, '\p{^arabicpresentationformsa}', "");
    Expect(1, 65024, '\P{arabicpresentationformsa}', "");
    Expect(0, 65024, '\P{^arabicpresentationformsa}', "");
    Expect(1, 65023, '\p{_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65023, '\p{^_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65023, '\P{_Arabic_Presentation_Forms_A}', "");
    Expect(1, 65023, '\P{^_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65024, '\p{_Arabic_Presentation_Forms_A}', "");
    Expect(1, 65024, '\p{^_Arabic_Presentation_Forms_A}', "");
    Expect(1, 65024, '\P{_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65024, '\P{^_Arabic_Presentation_Forms_A}', "");
    Error('\p{/a/  is_ARABIC_Presentation_FORMS_A}');
    Error('\P{/a/  is_ARABIC_Presentation_FORMS_A}');
    Expect(1, 65023, '\p{isarabicpresentationformsa}', "");
    Expect(0, 65023, '\p{^isarabicpresentationformsa}', "");
    Expect(0, 65023, '\P{isarabicpresentationformsa}', "");
    Expect(1, 65023, '\P{^isarabicpresentationformsa}', "");
    Expect(0, 65024, '\p{isarabicpresentationformsa}', "");
    Expect(1, 65024, '\p{^isarabicpresentationformsa}', "");
    Expect(1, 65024, '\P{isarabicpresentationformsa}', "");
    Expect(0, 65024, '\P{^isarabicpresentationformsa}', "");
    Expect(1, 65023, '\p{-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Expect(0, 65023, '\p{^-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Expect(0, 65023, '\P{-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Expect(1, 65023, '\P{^-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Expect(0, 65024, '\p{-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Expect(1, 65024, '\p{^-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Expect(1, 65024, '\P{-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Expect(0, 65024, '\P{^-	IS_Arabic_PRESENTATION_Forms_A}', "");
    Error('\p{/a/ _In_arabic_presentation_Forms_a}');
    Error('\P{/a/ _In_arabic_presentation_Forms_a}');
    Expect(1, 65023, '\p{inarabicpresentationformsa}', "");
    Expect(0, 65023, '\p{^inarabicpresentationformsa}', "");
    Expect(0, 65023, '\P{inarabicpresentationformsa}', "");
    Expect(1, 65023, '\P{^inarabicpresentationformsa}', "");
    Expect(0, 65024, '\p{inarabicpresentationformsa}', "");
    Expect(1, 65024, '\p{^inarabicpresentationformsa}', "");
    Expect(1, 65024, '\P{inarabicpresentationformsa}', "");
    Expect(0, 65024, '\P{^inarabicpresentationformsa}', "");
    Expect(1, 65023, '\p{_in_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65023, '\p{^_in_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65023, '\P{_in_Arabic_Presentation_Forms_A}', "");
    Expect(1, 65023, '\P{^_in_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65024, '\p{_in_Arabic_Presentation_Forms_A}', "");
    Expect(1, 65024, '\p{^_in_Arabic_Presentation_Forms_A}', "");
    Expect(1, 65024, '\P{_in_Arabic_Presentation_Forms_A}', "");
    Expect(0, 65024, '\P{^_in_Arabic_Presentation_Forms_A}', "");
    Error('\p{_/a/arabic_PF_A}');
    Error('\P{_/a/arabic_PF_A}');
    Expect(1, 65023, '\p{arabicpfa}', "");
    Expect(0, 65023, '\p{^arabicpfa}', "");
    Expect(0, 65023, '\P{arabicpfa}', "");
    Expect(1, 65023, '\P{^arabicpfa}', "");
    Expect(0, 65024, '\p{arabicpfa}', "");
    Expect(1, 65024, '\p{^arabicpfa}', "");
    Expect(1, 65024, '\P{arabicpfa}', "");
    Expect(0, 65024, '\P{^arabicpfa}', "");
    Expect(1, 65023, '\p{  ARABIC_pf_A}', "");
    Expect(0, 65023, '\p{^  ARABIC_pf_A}', "");
    Expect(0, 65023, '\P{  ARABIC_pf_A}', "");
    Expect(1, 65023, '\P{^  ARABIC_pf_A}', "");
    Expect(0, 65024, '\p{  ARABIC_pf_A}', "");
    Expect(1, 65024, '\p{^  ARABIC_pf_A}', "");
    Expect(1, 65024, '\P{  ARABIC_pf_A}', "");
    Expect(0, 65024, '\P{^  ARABIC_pf_A}', "");
    Error('\p{/a/	IS_Arabic_PF_A}');
    Error('\P{/a/	IS_Arabic_PF_A}');
    Expect(1, 65023, '\p{isarabicpfa}', "");
    Expect(0, 65023, '\p{^isarabicpfa}', "");
    Expect(0, 65023, '\P{isarabicpfa}', "");
    Expect(1, 65023, '\P{^isarabicpfa}', "");
    Expect(0, 65024, '\p{isarabicpfa}', "");
    Expect(1, 65024, '\p{^isarabicpfa}', "");
    Expect(1, 65024, '\P{isarabicpfa}', "");
    Expect(0, 65024, '\P{^isarabicpfa}', "");
    Expect(1, 65023, '\p{	_Is_ARABIC_pf_A}', "");
    Expect(0, 65023, '\p{^	_Is_ARABIC_pf_A}', "");
    Expect(0, 65023, '\P{	_Is_ARABIC_pf_A}', "");
    Expect(1, 65023, '\P{^	_Is_ARABIC_pf_A}', "");
    Expect(0, 65024, '\p{	_Is_ARABIC_pf_A}', "");
    Expect(1, 65024, '\p{^	_Is_ARABIC_pf_A}', "");
    Expect(1, 65024, '\P{	_Is_ARABIC_pf_A}', "");
    Expect(0, 65024, '\P{^	_Is_ARABIC_pf_A}', "");
    Error('\p{-:=IN_arabic_PF_a}');
    Error('\P{-:=IN_arabic_PF_a}');
    Expect(1, 65023, '\p{inarabicpfa}', "");
    Expect(0, 65023, '\p{^inarabicpfa}', "");
    Expect(0, 65023, '\P{inarabicpfa}', "");
    Expect(1, 65023, '\P{^inarabicpfa}', "");
    Expect(0, 65024, '\p{inarabicpfa}', "");
    Expect(1, 65024, '\p{^inarabicpfa}', "");
    Expect(1, 65024, '\P{inarabicpfa}', "");
    Expect(0, 65024, '\P{^inarabicpfa}', "");
    Expect(1, 65023, '\p{__IN_Arabic_PF_A}', "");
    Expect(0, 65023, '\p{^__IN_Arabic_PF_A}', "");
    Expect(0, 65023, '\P{__IN_Arabic_PF_A}', "");
    Expect(1, 65023, '\P{^__IN_Arabic_PF_A}', "");
    Expect(0, 65024, '\p{__IN_Arabic_PF_A}', "");
    Expect(1, 65024, '\p{^__IN_Arabic_PF_A}', "");
    Expect(1, 65024, '\P{__IN_Arabic_PF_A}', "");
    Expect(0, 65024, '\P{^__IN_Arabic_PF_A}', "");
    Error('\p{--Arabic_Presentation_Forms_B:=}');
    Error('\P{--Arabic_Presentation_Forms_B:=}');
    Expect(1, 65279, '\p{arabicpresentationformsb}', "");
    Expect(0, 65279, '\p{^arabicpresentationformsb}', "");
    Expect(0, 65279, '\P{arabicpresentationformsb}', "");
    Expect(1, 65279, '\P{^arabicpresentationformsb}', "");
    Expect(0, 65280, '\p{arabicpresentationformsb}', "");
    Expect(1, 65280, '\p{^arabicpresentationformsb}', "");
    Expect(1, 65280, '\P{arabicpresentationformsb}', "");
    Expect(0, 65280, '\P{^arabicpresentationformsb}', "");
    Expect(1, 65279, '\p{-Arabic_PRESENTATION_forms_b}', "");
    Expect(0, 65279, '\p{^-Arabic_PRESENTATION_forms_b}', "");
    Expect(0, 65279, '\P{-Arabic_PRESENTATION_forms_b}', "");
    Expect(1, 65279, '\P{^-Arabic_PRESENTATION_forms_b}', "");
    Expect(0, 65280, '\p{-Arabic_PRESENTATION_forms_b}', "");
    Expect(1, 65280, '\p{^-Arabic_PRESENTATION_forms_b}', "");
    Expect(1, 65280, '\P{-Arabic_PRESENTATION_forms_b}', "");
    Expect(0, 65280, '\P{^-Arabic_PRESENTATION_forms_b}', "");
    Error('\p{_/a/Is_Arabic_Presentation_FORMS_B}');
    Error('\P{_/a/Is_Arabic_Presentation_FORMS_B}');
    Expect(1, 65279, '\p{isarabicpresentationformsb}', "");
    Expect(0, 65279, '\p{^isarabicpresentationformsb}', "");
    Expect(0, 65279, '\P{isarabicpresentationformsb}', "");
    Expect(1, 65279, '\P{^isarabicpresentationformsb}', "");
    Expect(0, 65280, '\p{isarabicpresentationformsb}', "");
    Expect(1, 65280, '\p{^isarabicpresentationformsb}', "");
    Expect(1, 65280, '\P{isarabicpresentationformsb}', "");
    Expect(0, 65280, '\P{^isarabicpresentationformsb}', "");
    Expect(1, 65279, '\p{-	is_Arabic_Presentation_Forms_B}', "");
    Expect(0, 65279, '\p{^-	is_Arabic_Presentation_Forms_B}', "");
    Expect(0, 65279, '\P{-	is_Arabic_Presentation_Forms_B}', "");
    Expect(1, 65279, '\P{^-	is_Arabic_Presentation_Forms_B}', "");
    Expect(0, 65280, '\p{-	is_Arabic_Presentation_Forms_B}', "");
    Expect(1, 65280, '\p{^-	is_Arabic_Presentation_Forms_B}', "");
    Expect(1, 65280, '\P{-	is_Arabic_Presentation_Forms_B}', "");
    Expect(0, 65280, '\P{^-	is_Arabic_Presentation_Forms_B}', "");
    Error('\p{-IN_Arabic_presentation_FORMS_B/a/}');
    Error('\P{-IN_Arabic_presentation_FORMS_B/a/}');
    Expect(1, 65279, '\p{inarabicpresentationformsb}', "");
    Expect(0, 65279, '\p{^inarabicpresentationformsb}', "");
    Expect(0, 65279, '\P{inarabicpresentationformsb}', "");
    Expect(1, 65279, '\P{^inarabicpresentationformsb}', "");
    Expect(0, 65280, '\p{inarabicpresentationformsb}', "");
    Expect(1, 65280, '\p{^inarabicpresentationformsb}', "");
    Expect(1, 65280, '\P{inarabicpresentationformsb}', "");
    Expect(0, 65280, '\P{^inarabicpresentationformsb}', "");
    Expect(1, 65279, '\p{_ In_Arabic_Presentation_FORMS_B}', "");
    Expect(0, 65279, '\p{^_ In_Arabic_Presentation_FORMS_B}', "");
    Expect(0, 65279, '\P{_ In_Arabic_Presentation_FORMS_B}', "");
    Expect(1, 65279, '\P{^_ In_Arabic_Presentation_FORMS_B}', "");
    Expect(0, 65280, '\p{_ In_Arabic_Presentation_FORMS_B}', "");
    Expect(1, 65280, '\p{^_ In_Arabic_Presentation_FORMS_B}', "");
    Expect(1, 65280, '\P{_ In_Arabic_Presentation_FORMS_B}', "");
    Expect(0, 65280, '\P{^_ In_Arabic_Presentation_FORMS_B}', "");
    Error('\p{_-ARABIC_PF_b/a/}');
    Error('\P{_-ARABIC_PF_b/a/}');
    Expect(1, 65279, '\p{arabicpfb}', "");
    Expect(0, 65279, '\p{^arabicpfb}', "");
    Expect(0, 65279, '\P{arabicpfb}', "");
    Expect(1, 65279, '\P{^arabicpfb}', "");
    Expect(0, 65280, '\p{arabicpfb}', "");
    Expect(1, 65280, '\p{^arabicpfb}', "");
    Expect(1, 65280, '\P{arabicpfb}', "");
    Expect(0, 65280, '\P{^arabicpfb}', "");
    Expect(1, 65279, '\p{_Arabic_PF_B}', "");
    Expect(0, 65279, '\p{^_Arabic_PF_B}', "");
    Expect(0, 65279, '\P{_Arabic_PF_B}', "");
    Expect(1, 65279, '\P{^_Arabic_PF_B}', "");
    Expect(0, 65280, '\p{_Arabic_PF_B}', "");
    Expect(1, 65280, '\p{^_Arabic_PF_B}', "");
    Expect(1, 65280, '\P{_Arabic_PF_B}', "");
    Expect(0, 65280, '\P{^_Arabic_PF_B}', "");
    Error('\p{/a/	_Is_Arabic_pf_B}');
    Error('\P{/a/	_Is_Arabic_pf_B}');
    Expect(1, 65279, '\p{isarabicpfb}', "");
    Expect(0, 65279, '\p{^isarabicpfb}', "");
    Expect(0, 65279, '\P{isarabicpfb}', "");
    Expect(1, 65279, '\P{^isarabicpfb}', "");
    Expect(0, 65280, '\p{isarabicpfb}', "");
    Expect(1, 65280, '\p{^isarabicpfb}', "");
    Expect(1, 65280, '\P{isarabicpfb}', "");
    Expect(0, 65280, '\P{^isarabicpfb}', "");
    Expect(1, 65279, '\p{-	IS_arabic_PF_B}', "");
    Expect(0, 65279, '\p{^-	IS_arabic_PF_B}', "");
    Expect(0, 65279, '\P{-	IS_arabic_PF_B}', "");
    Expect(1, 65279, '\P{^-	IS_arabic_PF_B}', "");
    Expect(0, 65280, '\p{-	IS_arabic_PF_B}', "");
    Expect(1, 65280, '\p{^-	IS_arabic_PF_B}', "");
    Expect(1, 65280, '\P{-	IS_arabic_PF_B}', "");
    Expect(0, 65280, '\P{^-	IS_arabic_PF_B}', "");
    Error('\p{/a/_ IN_ARABIC_PF_B}');
    Error('\P{/a/_ IN_ARABIC_PF_B}');
    Expect(1, 65279, '\p{inarabicpfb}', "");
    Expect(0, 65279, '\p{^inarabicpfb}', "");
    Expect(0, 65279, '\P{inarabicpfb}', "");
    Expect(1, 65279, '\P{^inarabicpfb}', "");
    Expect(0, 65280, '\p{inarabicpfb}', "");
    Expect(1, 65280, '\p{^inarabicpfb}', "");
    Expect(1, 65280, '\P{inarabicpfb}', "");
    Expect(0, 65280, '\P{^inarabicpfb}', "");
    Expect(1, 65279, '\p{-In_arabic_PF_b}', "");
    Expect(0, 65279, '\p{^-In_arabic_PF_b}', "");
    Expect(0, 65279, '\P{-In_arabic_PF_b}', "");
    Expect(1, 65279, '\P{^-In_arabic_PF_b}', "");
    Expect(0, 65280, '\p{-In_arabic_PF_b}', "");
    Expect(1, 65280, '\p{^-In_arabic_PF_b}', "");
    Expect(1, 65280, '\P{-In_arabic_PF_b}', "");
    Expect(0, 65280, '\P{^-In_arabic_PF_b}', "");
    Error('\p{ :=ARABIC_supplement}');
    Error('\P{ :=ARABIC_supplement}');
    Expect(1, 1919, '\p{arabicsupplement}', "");
    Expect(0, 1919, '\p{^arabicsupplement}', "");
    Expect(0, 1919, '\P{arabicsupplement}', "");
    Expect(1, 1919, '\P{^arabicsupplement}', "");
    Expect(0, 1920, '\p{arabicsupplement}', "");
    Expect(1, 1920, '\p{^arabicsupplement}', "");
    Expect(1, 1920, '\P{arabicsupplement}', "");
    Expect(0, 1920, '\P{^arabicsupplement}', "");
    Expect(1, 1919, '\p{	Arabic_supplement}', "");
    Expect(0, 1919, '\p{^	Arabic_supplement}', "");
    Expect(0, 1919, '\P{	Arabic_supplement}', "");
    Expect(1, 1919, '\P{^	Arabic_supplement}', "");
    Expect(0, 1920, '\p{	Arabic_supplement}', "");
    Expect(1, 1920, '\p{^	Arabic_supplement}', "");
    Expect(1, 1920, '\P{	Arabic_supplement}', "");
    Expect(0, 1920, '\P{^	Arabic_supplement}', "");
    Error('\p{/a/-is_ARABIC_SUPPLEMENT}');
    Error('\P{/a/-is_ARABIC_SUPPLEMENT}');
    Expect(1, 1919, '\p{isarabicsupplement}', "");
    Expect(0, 1919, '\p{^isarabicsupplement}', "");
    Expect(0, 1919, '\P{isarabicsupplement}', "");
    Expect(1, 1919, '\P{^isarabicsupplement}', "");
    Expect(0, 1920, '\p{isarabicsupplement}', "");
    Expect(1, 1920, '\p{^isarabicsupplement}', "");
    Expect(1, 1920, '\P{isarabicsupplement}', "");
    Expect(0, 1920, '\P{^isarabicsupplement}', "");
    Expect(1, 1919, '\p{ 	Is_ARABIC_Supplement}', "");
    Expect(0, 1919, '\p{^ 	Is_ARABIC_Supplement}', "");
    Expect(0, 1919, '\P{ 	Is_ARABIC_Supplement}', "");
    Expect(1, 1919, '\P{^ 	Is_ARABIC_Supplement}', "");
    Expect(0, 1920, '\p{ 	Is_ARABIC_Supplement}', "");
    Expect(1, 1920, '\p{^ 	Is_ARABIC_Supplement}', "");
    Expect(1, 1920, '\P{ 	Is_ARABIC_Supplement}', "");
    Expect(0, 1920, '\P{^ 	Is_ARABIC_Supplement}', "");
    Error('\p{/a/-IN_Arabic_Supplement}');
    Error('\P{/a/-IN_Arabic_Supplement}');
    Expect(1, 1919, '\p{inarabicsupplement}', "");
    Expect(0, 1919, '\p{^inarabicsupplement}', "");
    Expect(0, 1919, '\P{inarabicsupplement}', "");
    Expect(1, 1919, '\P{^inarabicsupplement}', "");
    Expect(0, 1920, '\p{inarabicsupplement}', "");
    Expect(1, 1920, '\p{^inarabicsupplement}', "");
    Expect(1, 1920, '\P{inarabicsupplement}', "");
    Expect(0, 1920, '\P{^inarabicsupplement}', "");
    Expect(1, 1919, '\p{_	in_arabic_supplement}', "");
    Expect(0, 1919, '\p{^_	in_arabic_supplement}', "");
    Expect(0, 1919, '\P{_	in_arabic_supplement}', "");
    Expect(1, 1919, '\P{^_	in_arabic_supplement}', "");
    Expect(0, 1920, '\p{_	in_arabic_supplement}', "");
    Expect(1, 1920, '\p{^_	in_arabic_supplement}', "");
    Expect(1, 1920, '\P{_	in_arabic_supplement}', "");
    Expect(0, 1920, '\P{^_	in_arabic_supplement}', "");
    Error('\p{/a/-_Arabic_sup}');
    Error('\P{/a/-_Arabic_sup}');
    Expect(1, 1919, '\p{arabicsup}', "");
    Expect(0, 1919, '\p{^arabicsup}', "");
    Expect(0, 1919, '\P{arabicsup}', "");
    Expect(1, 1919, '\P{^arabicsup}', "");
    Expect(0, 1920, '\p{arabicsup}', "");
    Expect(1, 1920, '\p{^arabicsup}', "");
    Expect(1, 1920, '\P{arabicsup}', "");
    Expect(0, 1920, '\P{^arabicsup}', "");
    Expect(1, 1919, '\p{-	Arabic_SUP}', "");
    Expect(0, 1919, '\p{^-	Arabic_SUP}', "");
    Expect(0, 1919, '\P{-	Arabic_SUP}', "");
    Expect(1, 1919, '\P{^-	Arabic_SUP}', "");
    Expect(0, 1920, '\p{-	Arabic_SUP}', "");
    Expect(1, 1920, '\p{^-	Arabic_SUP}', "");
    Expect(1, 1920, '\P{-	Arabic_SUP}', "");
    Expect(0, 1920, '\P{^-	Arabic_SUP}', "");
    Error('\p{	-IS_ARABIC_Sup/a/}');
    Error('\P{	-IS_ARABIC_Sup/a/}');
    Expect(1, 1919, '\p{isarabicsup}', "");
    Expect(0, 1919, '\p{^isarabicsup}', "");
    Expect(0, 1919, '\P{isarabicsup}', "");
    Expect(1, 1919, '\P{^isarabicsup}', "");
    Expect(0, 1920, '\p{isarabicsup}', "");
    Expect(1, 1920, '\p{^isarabicsup}', "");
    Expect(1, 1920, '\P{isarabicsup}', "");
    Expect(0, 1920, '\P{^isarabicsup}', "");
    Expect(1, 1919, '\p{	Is_arabic_sup}', "");
    Expect(0, 1919, '\p{^	Is_arabic_sup}', "");
    Expect(0, 1919, '\P{	Is_arabic_sup}', "");
    Expect(1, 1919, '\P{^	Is_arabic_sup}', "");
    Expect(0, 1920, '\p{	Is_arabic_sup}', "");
    Expect(1, 1920, '\p{^	Is_arabic_sup}', "");
    Expect(1, 1920, '\P{	Is_arabic_sup}', "");
    Expect(0, 1920, '\P{^	Is_arabic_sup}', "");
    Error('\p{:=_	In_arabic_SUP}');
    Error('\P{:=_	In_arabic_SUP}');
    Expect(1, 1919, '\p{inarabicsup}', "");
    Expect(0, 1919, '\p{^inarabicsup}', "");
    Expect(0, 1919, '\P{inarabicsup}', "");
    Expect(1, 1919, '\P{^inarabicsup}', "");
    Expect(0, 1920, '\p{inarabicsup}', "");
    Expect(1, 1920, '\p{^inarabicsup}', "");
    Expect(1, 1920, '\P{inarabicsup}', "");
    Expect(0, 1920, '\P{^inarabicsup}', "");
    Expect(1, 1919, '\p{- IN_ARABIC_sup}', "");
    Expect(0, 1919, '\p{^- IN_ARABIC_sup}', "");
    Expect(0, 1919, '\P{- IN_ARABIC_sup}', "");
    Expect(1, 1919, '\P{^- IN_ARABIC_sup}', "");
    Expect(0, 1920, '\p{- IN_ARABIC_sup}', "");
    Expect(1, 1920, '\p{^- IN_ARABIC_sup}', "");
    Expect(1, 1920, '\P{- IN_ARABIC_sup}', "");
    Expect(0, 1920, '\P{^- IN_ARABIC_sup}', "");
    Error('\p{_/a/Armenian}');
    Error('\P{_/a/Armenian}');
    Expect(1, 64279, '\p{armenian}', "");
    Expect(0, 64279, '\p{^armenian}', "");
    Expect(0, 64279, '\P{armenian}', "");
    Expect(1, 64279, '\P{^armenian}', "");
    Expect(0, 64280, '\p{armenian}', "");
    Expect(1, 64280, '\p{^armenian}', "");
    Expect(1, 64280, '\P{armenian}', "");
    Expect(0, 64280, '\P{^armenian}', "");
    Expect(1, 64279, '\p{ 	Armenian}', "");
    Expect(0, 64279, '\p{^ 	Armenian}', "");
    Expect(0, 64279, '\P{ 	Armenian}', "");
    Expect(1, 64279, '\P{^ 	Armenian}', "");
    Expect(0, 64280, '\p{ 	Armenian}', "");
    Expect(1, 64280, '\p{^ 	Armenian}', "");
    Expect(1, 64280, '\P{ 	Armenian}', "");
    Expect(0, 64280, '\P{^ 	Armenian}', "");
    Error('\p{:=	-Is_Armenian}');
    Error('\P{:=	-Is_Armenian}');
    Expect(1, 64279, '\p{isarmenian}', "");
    Expect(0, 64279, '\p{^isarmenian}', "");
    Expect(0, 64279, '\P{isarmenian}', "");
    Expect(1, 64279, '\P{^isarmenian}', "");
    Expect(0, 64280, '\p{isarmenian}', "");
    Expect(1, 64280, '\p{^isarmenian}', "");
    Expect(1, 64280, '\P{isarmenian}', "");
    Expect(0, 64280, '\P{^isarmenian}', "");
    Expect(1, 64279, '\p{-is_Armenian}', "");
    Expect(0, 64279, '\p{^-is_Armenian}', "");
    Expect(0, 64279, '\P{-is_Armenian}', "");
    Expect(1, 64279, '\P{^-is_Armenian}', "");
    Expect(0, 64280, '\p{-is_Armenian}', "");
    Expect(1, 64280, '\p{^-is_Armenian}', "");
    Expect(1, 64280, '\P{-is_Armenian}', "");
    Expect(0, 64280, '\P{^-is_Armenian}', "");
    Error('\p{:= armn}');
    Error('\P{:= armn}');
    Expect(1, 64279, '\p{armn}', "");
    Expect(0, 64279, '\p{^armn}', "");
    Expect(0, 64279, '\P{armn}', "");
    Expect(1, 64279, '\P{^armn}', "");
    Expect(0, 64280, '\p{armn}', "");
    Expect(1, 64280, '\p{^armn}', "");
    Expect(1, 64280, '\P{armn}', "");
    Expect(0, 64280, '\P{^armn}', "");
    Expect(1, 64279, '\p{--ARMN}', "");
    Expect(0, 64279, '\p{^--ARMN}', "");
    Expect(0, 64279, '\P{--ARMN}', "");
    Expect(1, 64279, '\P{^--ARMN}', "");
    Expect(0, 64280, '\p{--ARMN}', "");
    Expect(1, 64280, '\p{^--ARMN}', "");
    Expect(1, 64280, '\P{--ARMN}', "");
    Expect(0, 64280, '\P{^--ARMN}', "");
    Error('\p{:=_is_armn}');
    Error('\P{:=_is_armn}');
    Expect(1, 64279, '\p{isarmn}', "");
    Expect(0, 64279, '\p{^isarmn}', "");
    Expect(0, 64279, '\P{isarmn}', "");
    Expect(1, 64279, '\P{^isarmn}', "");
    Expect(0, 64280, '\p{isarmn}', "");
    Expect(1, 64280, '\p{^isarmn}', "");
    Expect(1, 64280, '\P{isarmn}', "");
    Expect(0, 64280, '\P{^isarmn}', "");
    Expect(1, 64279, '\p{-_Is_Armn}', "");
    Expect(0, 64279, '\p{^-_Is_Armn}', "");
    Expect(0, 64279, '\P{-_Is_Armn}', "");
    Expect(1, 64279, '\P{^-_Is_Armn}', "");
    Expect(0, 64280, '\p{-_Is_Armn}', "");
    Expect(1, 64280, '\p{^-_Is_Armn}', "");
    Expect(1, 64280, '\P{-_Is_Armn}', "");
    Expect(0, 64280, '\P{^-_Is_Armn}', "");
    Error('\p{ Arrows:=}');
    Error('\P{ Arrows:=}');
    Expect(1, 8703, '\p{arrows}', "");
    Expect(0, 8703, '\p{^arrows}', "");
    Expect(0, 8703, '\P{arrows}', "");
    Expect(1, 8703, '\P{^arrows}', "");
    Expect(0, 8704, '\p{arrows}', "");
    Expect(1, 8704, '\p{^arrows}', "");
    Expect(1, 8704, '\P{arrows}', "");
    Expect(0, 8704, '\P{^arrows}', "");
    Expect(1, 8703, '\p{--Arrows}', "");
    Expect(0, 8703, '\p{^--Arrows}', "");
    Expect(0, 8703, '\P{--Arrows}', "");
    Expect(1, 8703, '\P{^--Arrows}', "");
    Expect(0, 8704, '\p{--Arrows}', "");
    Expect(1, 8704, '\p{^--Arrows}', "");
    Expect(1, 8704, '\P{--Arrows}', "");
    Expect(0, 8704, '\P{^--Arrows}', "");
    Error('\p{	-Is_ARROWS:=}');
    Error('\P{	-Is_ARROWS:=}');
    Expect(1, 8703, '\p{isarrows}', "");
    Expect(0, 8703, '\p{^isarrows}', "");
    Expect(0, 8703, '\P{isarrows}', "");
    Expect(1, 8703, '\P{^isarrows}', "");
    Expect(0, 8704, '\p{isarrows}', "");
    Expect(1, 8704, '\p{^isarrows}', "");
    Expect(1, 8704, '\P{isarrows}', "");
    Expect(0, 8704, '\P{^isarrows}', "");
    Expect(1, 8703, '\p{--is_ARROWS}', "");
    Expect(0, 8703, '\p{^--is_ARROWS}', "");
    Expect(0, 8703, '\P{--is_ARROWS}', "");
    Expect(1, 8703, '\P{^--is_ARROWS}', "");
    Expect(0, 8704, '\p{--is_ARROWS}', "");
    Expect(1, 8704, '\p{^--is_ARROWS}', "");
    Expect(1, 8704, '\P{--is_ARROWS}', "");
    Expect(0, 8704, '\P{^--is_ARROWS}', "");
    Error('\p{/a/	In_Arrows}');
    Error('\P{/a/	In_Arrows}');
    Expect(1, 8703, '\p{inarrows}', "");
    Expect(0, 8703, '\p{^inarrows}', "");
    Expect(0, 8703, '\P{inarrows}', "");
    Expect(1, 8703, '\P{^inarrows}', "");
    Expect(0, 8704, '\p{inarrows}', "");
    Expect(1, 8704, '\p{^inarrows}', "");
    Expect(1, 8704, '\P{inarrows}', "");
    Expect(0, 8704, '\P{^inarrows}', "");
    Expect(1, 8703, '\p{_In_Arrows}', "");
    Expect(0, 8703, '\p{^_In_Arrows}', "");
    Expect(0, 8703, '\P{_In_Arrows}', "");
    Expect(1, 8703, '\P{^_In_Arrows}', "");
    Expect(0, 8704, '\p{_In_Arrows}', "");
    Expect(1, 8704, '\p{^_In_Arrows}', "");
    Expect(1, 8704, '\P{_In_Arrows}', "");
    Expect(0, 8704, '\P{^_In_Arrows}', "");
    Error('\p{_:=ascii}');
    Error('\P{_:=ascii}');
    Expect(1, 127, '\p{ascii}', "");
    Expect(0, 127, '\p{^ascii}', "");
    Expect(0, 127, '\P{ascii}', "");
    Expect(1, 127, '\P{^ascii}', "");
    Expect(0, 128, '\p{ascii}', "");
    Expect(1, 128, '\p{^ascii}', "");
    Expect(1, 128, '\P{ascii}', "");
    Expect(0, 128, '\P{^ascii}', "");
    Expect(1, 127, '\p{_ ASCII}', "");
    Expect(0, 127, '\p{^_ ASCII}', "");
    Expect(0, 127, '\P{_ ASCII}', "");
    Expect(1, 127, '\P{^_ ASCII}', "");
    Expect(0, 128, '\p{_ ASCII}', "");
    Expect(1, 128, '\p{^_ ASCII}', "");
    Expect(1, 128, '\P{_ ASCII}', "");
    Expect(0, 128, '\P{^_ ASCII}', "");
    Error('\p{Is_ASCII:=}');
    Error('\P{Is_ASCII:=}');
    Expect(1, 127, '\p{isascii}', "");
    Expect(0, 127, '\p{^isascii}', "");
    Expect(0, 127, '\P{isascii}', "");
    Expect(1, 127, '\P{^isascii}', "");
    Expect(0, 128, '\p{isascii}', "");
    Expect(1, 128, '\p{^isascii}', "");
    Expect(1, 128, '\P{isascii}', "");
    Expect(0, 128, '\P{^isascii}', "");
    Expect(1, 127, '\p{ 	is_ASCII}', "");
    Expect(0, 127, '\p{^ 	is_ASCII}', "");
    Expect(0, 127, '\P{ 	is_ASCII}', "");
    Expect(1, 127, '\P{^ 	is_ASCII}', "");
    Expect(0, 128, '\p{ 	is_ASCII}', "");
    Expect(1, 128, '\p{^ 	is_ASCII}', "");
    Expect(1, 128, '\P{ 	is_ASCII}', "");
    Expect(0, 128, '\P{^ 	is_ASCII}', "");
    Error('\p{/a/-BASIC_latin}');
    Error('\P{/a/-BASIC_latin}');
    Expect(1, 127, '\p{basiclatin}', "");
    Expect(0, 127, '\p{^basiclatin}', "");
    Expect(0, 127, '\P{basiclatin}', "");
    Expect(1, 127, '\P{^basiclatin}', "");
    Expect(0, 128, '\p{basiclatin}', "");
    Expect(1, 128, '\p{^basiclatin}', "");
    Expect(1, 128, '\P{basiclatin}', "");
    Expect(0, 128, '\P{^basiclatin}', "");
    Expect(1, 127, '\p{-Basic_latin}', "");
    Expect(0, 127, '\p{^-Basic_latin}', "");
    Expect(0, 127, '\P{-Basic_latin}', "");
    Expect(1, 127, '\P{^-Basic_latin}', "");
    Expect(0, 128, '\p{-Basic_latin}', "");
    Expect(1, 128, '\p{^-Basic_latin}', "");
    Expect(1, 128, '\P{-Basic_latin}', "");
    Expect(0, 128, '\P{^-Basic_latin}', "");
    Error('\p{ /a/Is_Basic_Latin}');
    Error('\P{ /a/Is_Basic_Latin}');
    Expect(1, 127, '\p{isbasiclatin}', "");
    Expect(0, 127, '\p{^isbasiclatin}', "");
    Expect(0, 127, '\P{isbasiclatin}', "");
    Expect(1, 127, '\P{^isbasiclatin}', "");
    Expect(0, 128, '\p{isbasiclatin}', "");
    Expect(1, 128, '\p{^isbasiclatin}', "");
    Expect(1, 128, '\P{isbasiclatin}', "");
    Expect(0, 128, '\P{^isbasiclatin}', "");
    Expect(1, 127, '\p{	 Is_Basic_LATIN}', "");
    Expect(0, 127, '\p{^	 Is_Basic_LATIN}', "");
    Expect(0, 127, '\P{	 Is_Basic_LATIN}', "");
    Expect(1, 127, '\P{^	 Is_Basic_LATIN}', "");
    Expect(0, 128, '\p{	 Is_Basic_LATIN}', "");
    Expect(1, 128, '\p{^	 Is_Basic_LATIN}', "");
    Expect(1, 128, '\P{	 Is_Basic_LATIN}', "");
    Expect(0, 128, '\P{^	 Is_Basic_LATIN}', "");
    Error('\p{	in_Basic_Latin/a/}');
    Error('\P{	in_Basic_Latin/a/}');
    Expect(1, 127, '\p{inbasiclatin}', "");
    Expect(0, 127, '\p{^inbasiclatin}', "");
    Expect(0, 127, '\P{inbasiclatin}', "");
    Expect(1, 127, '\P{^inbasiclatin}', "");
    Expect(0, 128, '\p{inbasiclatin}', "");
    Expect(1, 128, '\p{^inbasiclatin}', "");
    Expect(1, 128, '\P{inbasiclatin}', "");
    Expect(0, 128, '\P{^inbasiclatin}', "");
    Expect(1, 127, '\p{ _in_basic_Latin}', "");
    Expect(0, 127, '\p{^ _in_basic_Latin}', "");
    Expect(0, 127, '\P{ _in_basic_Latin}', "");
    Expect(1, 127, '\P{^ _in_basic_Latin}', "");
    Expect(0, 128, '\p{ _in_basic_Latin}', "");
    Expect(1, 128, '\p{^ _in_basic_Latin}', "");
    Expect(1, 128, '\P{ _in_basic_Latin}', "");
    Expect(0, 128, '\P{^ _in_basic_Latin}', "");
    Error('\p{	 IN_ascii:=}');
    Error('\P{	 IN_ascii:=}');
    Expect(1, 127, '\p{inascii}', "");
    Expect(0, 127, '\p{^inascii}', "");
    Expect(0, 127, '\P{inascii}', "");
    Expect(1, 127, '\P{^inascii}', "");
    Expect(0, 128, '\p{inascii}', "");
    Expect(1, 128, '\p{^inascii}', "");
    Expect(1, 128, '\P{inascii}', "");
    Expect(0, 128, '\P{^inascii}', "");
    Expect(1, 127, '\p{ _IN_ASCII}', "");
    Expect(0, 127, '\p{^ _IN_ASCII}', "");
    Expect(0, 127, '\P{ _IN_ASCII}', "");
    Expect(1, 127, '\P{^ _IN_ASCII}', "");
    Expect(0, 128, '\p{ _IN_ASCII}', "");
    Expect(1, 128, '\p{^ _IN_ASCII}', "");
    Expect(1, 128, '\P{ _IN_ASCII}', "");
    Expect(0, 128, '\P{^ _IN_ASCII}', "");
    Error('\p{/a/__Assigned}');
    Error('\P{/a/__Assigned}');
    Expect(1, 1114109, '\p{assigned}', "");
    Expect(0, 1114109, '\p{^assigned}', "");
    Expect(0, 1114109, '\P{assigned}', "");
    Expect(1, 1114109, '\P{^assigned}', "");
    Expect(0, 918000, '\p{assigned}', "");
    Expect(1, 918000, '\p{^assigned}', "");
    Expect(1, 918000, '\P{assigned}', "");
    Expect(0, 918000, '\P{^assigned}', "");
    Expect(1, 1114109, '\p{ -assigned}', "");
    Expect(0, 1114109, '\p{^ -assigned}', "");
    Expect(0, 1114109, '\P{ -assigned}', "");
    Expect(1, 1114109, '\P{^ -assigned}', "");
    Expect(0, 918000, '\p{ -assigned}', "");
    Expect(1, 918000, '\p{^ -assigned}', "");
    Expect(1, 918000, '\P{ -assigned}', "");
    Expect(0, 918000, '\P{^ -assigned}', "");
    Error('\p{ /a/IS_Assigned}');
    Error('\P{ /a/IS_Assigned}');
    Expect(1, 1114109, '\p{isassigned}', "");
    Expect(0, 1114109, '\p{^isassigned}', "");
    Expect(0, 1114109, '\P{isassigned}', "");
    Expect(1, 1114109, '\P{^isassigned}', "");
    Expect(0, 918000, '\p{isassigned}', "");
    Expect(1, 918000, '\p{^isassigned}', "");
    Expect(1, 918000, '\P{isassigned}', "");
    Expect(0, 918000, '\P{^isassigned}', "");
    Expect(1, 1114109, '\p{ 	IS_ASSIGNED}', "");
    Expect(0, 1114109, '\p{^ 	IS_ASSIGNED}', "");
    Expect(0, 1114109, '\P{ 	IS_ASSIGNED}', "");
    Expect(1, 1114109, '\P{^ 	IS_ASSIGNED}', "");
    Expect(0, 918000, '\p{ 	IS_ASSIGNED}', "");
    Expect(1, 918000, '\p{^ 	IS_ASSIGNED}', "");
    Expect(1, 918000, '\P{ 	IS_ASSIGNED}', "");
    Expect(0, 918000, '\P{^ 	IS_ASSIGNED}', "");
    Error('\p{:=__AVESTAN}');
    Error('\P{:=__AVESTAN}');
    Expect(1, 68415, '\p{avestan}', "");
    Expect(0, 68415, '\p{^avestan}', "");
    Expect(0, 68415, '\P{avestan}', "");
    Expect(1, 68415, '\P{^avestan}', "");
    Expect(0, 68416, '\p{avestan}', "");
    Expect(1, 68416, '\p{^avestan}', "");
    Expect(1, 68416, '\P{avestan}', "");
    Expect(0, 68416, '\P{^avestan}', "");
    Expect(1, 68415, '\p{-	Avestan}', "");
    Expect(0, 68415, '\p{^-	Avestan}', "");
    Expect(0, 68415, '\P{-	Avestan}', "");
    Expect(1, 68415, '\P{^-	Avestan}', "");
    Expect(0, 68416, '\p{-	Avestan}', "");
    Expect(1, 68416, '\p{^-	Avestan}', "");
    Expect(1, 68416, '\P{-	Avestan}', "");
    Expect(0, 68416, '\P{^-	Avestan}', "");
    Error('\p{/a/	IS_Avestan}');
    Error('\P{/a/	IS_Avestan}');
    Expect(1, 68415, '\p{isavestan}', "");
    Expect(0, 68415, '\p{^isavestan}', "");
    Expect(0, 68415, '\P{isavestan}', "");
    Expect(1, 68415, '\P{^isavestan}', "");
    Expect(0, 68416, '\p{isavestan}', "");
    Expect(1, 68416, '\p{^isavestan}', "");
    Expect(1, 68416, '\P{isavestan}', "");
    Expect(0, 68416, '\P{^isavestan}', "");
    Expect(1, 68415, '\p{	 IS_Avestan}', "");
    Expect(0, 68415, '\p{^	 IS_Avestan}', "");
    Expect(0, 68415, '\P{	 IS_Avestan}', "");
    Expect(1, 68415, '\P{^	 IS_Avestan}', "");
    Expect(0, 68416, '\p{	 IS_Avestan}', "");
    Expect(1, 68416, '\p{^	 IS_Avestan}', "");
    Expect(1, 68416, '\P{	 IS_Avestan}', "");
    Expect(0, 68416, '\P{^	 IS_Avestan}', "");
    Error('\p{/a/_-Avst}');
    Error('\P{/a/_-Avst}');
    Expect(1, 68415, '\p{avst}', "");
    Expect(0, 68415, '\p{^avst}', "");
    Expect(0, 68415, '\P{avst}', "");
    Expect(1, 68415, '\P{^avst}', "");
    Expect(0, 68416, '\p{avst}', "");
    Expect(1, 68416, '\p{^avst}', "");
    Expect(1, 68416, '\P{avst}', "");
    Expect(0, 68416, '\P{^avst}', "");
    Expect(1, 68415, '\p{ avst}', "");
    Expect(0, 68415, '\p{^ avst}', "");
    Expect(0, 68415, '\P{ avst}', "");
    Expect(1, 68415, '\P{^ avst}', "");
    Expect(0, 68416, '\p{ avst}', "");
    Expect(1, 68416, '\p{^ avst}', "");
    Expect(1, 68416, '\P{ avst}', "");
    Expect(0, 68416, '\P{^ avst}', "");
    Error('\p{_IS_Avst:=}');
    Error('\P{_IS_Avst:=}');
    Expect(1, 68415, '\p{isavst}', "");
    Expect(0, 68415, '\p{^isavst}', "");
    Expect(0, 68415, '\P{isavst}', "");
    Expect(1, 68415, '\P{^isavst}', "");
    Expect(0, 68416, '\p{isavst}', "");
    Expect(1, 68416, '\p{^isavst}', "");
    Expect(1, 68416, '\P{isavst}', "");
    Expect(0, 68416, '\P{^isavst}', "");
    Expect(1, 68415, '\p{-_IS_Avst}', "");
    Expect(0, 68415, '\p{^-_IS_Avst}', "");
    Expect(0, 68415, '\P{-_IS_Avst}', "");
    Expect(1, 68415, '\P{^-_IS_Avst}', "");
    Expect(0, 68416, '\p{-_IS_Avst}', "");
    Expect(1, 68416, '\p{^-_IS_Avst}', "");
    Expect(1, 68416, '\P{-_IS_Avst}', "");
    Expect(0, 68416, '\P{^-_IS_Avst}', "");
    Error('\p{-Balinese:=}');
    Error('\P{-Balinese:=}');
    Expect(1, 7038, '\p{balinese}', "");
    Expect(0, 7038, '\p{^balinese}', "");
    Expect(0, 7038, '\P{balinese}', "");
    Expect(1, 7038, '\P{^balinese}', "");
    Expect(0, 7039, '\p{balinese}', "");
    Expect(1, 7039, '\p{^balinese}', "");
    Expect(1, 7039, '\P{balinese}', "");
    Expect(0, 7039, '\P{^balinese}', "");
    Expect(1, 7038, '\p{_BALINESE}', "");
    Expect(0, 7038, '\p{^_BALINESE}', "");
    Expect(0, 7038, '\P{_BALINESE}', "");
    Expect(1, 7038, '\P{^_BALINESE}', "");
    Expect(0, 7039, '\p{_BALINESE}', "");
    Expect(1, 7039, '\p{^_BALINESE}', "");
    Expect(1, 7039, '\P{_BALINESE}', "");
    Expect(0, 7039, '\P{^_BALINESE}', "");
    Error('\p{	 IS_Balinese:=}');
    Error('\P{	 IS_Balinese:=}');
    Expect(1, 7038, '\p{isbalinese}', "");
    Expect(0, 7038, '\p{^isbalinese}', "");
    Expect(0, 7038, '\P{isbalinese}', "");
    Expect(1, 7038, '\P{^isbalinese}', "");
    Expect(0, 7039, '\p{isbalinese}', "");
    Expect(1, 7039, '\p{^isbalinese}', "");
    Expect(1, 7039, '\P{isbalinese}', "");
    Expect(0, 7039, '\P{^isbalinese}', "");
    Expect(1, 7038, '\p{	-is_Balinese}', "");
    Expect(0, 7038, '\p{^	-is_Balinese}', "");
    Expect(0, 7038, '\P{	-is_Balinese}', "");
    Expect(1, 7038, '\P{^	-is_Balinese}', "");
    Expect(0, 7039, '\p{	-is_Balinese}', "");
    Expect(1, 7039, '\p{^	-is_Balinese}', "");
    Expect(1, 7039, '\P{	-is_Balinese}', "");
    Expect(0, 7039, '\P{^	-is_Balinese}', "");
    Error('\p{/a/-_Bali}');
    Error('\P{/a/-_Bali}');
    Expect(1, 7038, '\p{bali}', "");
    Expect(0, 7038, '\p{^bali}', "");
    Expect(0, 7038, '\P{bali}', "");
    Expect(1, 7038, '\P{^bali}', "");
    Expect(0, 7039, '\p{bali}', "");
    Expect(1, 7039, '\p{^bali}', "");
    Expect(1, 7039, '\P{bali}', "");
    Expect(0, 7039, '\P{^bali}', "");
    Expect(1, 7038, '\p{_Bali}', "");
    Expect(0, 7038, '\p{^_Bali}', "");
    Expect(0, 7038, '\P{_Bali}', "");
    Expect(1, 7038, '\P{^_Bali}', "");
    Expect(0, 7039, '\p{_Bali}', "");
    Expect(1, 7039, '\p{^_Bali}', "");
    Expect(1, 7039, '\P{_Bali}', "");
    Expect(0, 7039, '\P{^_Bali}', "");
    Error('\p{:=is_BALI}');
    Error('\P{:=is_BALI}');
    Expect(1, 7038, '\p{isbali}', "");
    Expect(0, 7038, '\p{^isbali}', "");
    Expect(0, 7038, '\P{isbali}', "");
    Expect(1, 7038, '\P{^isbali}', "");
    Expect(0, 7039, '\p{isbali}', "");
    Expect(1, 7039, '\p{^isbali}', "");
    Expect(1, 7039, '\P{isbali}', "");
    Expect(0, 7039, '\P{^isbali}', "");
    Expect(1, 7038, '\p{ _is_Bali}', "");
    Expect(0, 7038, '\p{^ _is_Bali}', "");
    Expect(0, 7038, '\P{ _is_Bali}', "");
    Expect(1, 7038, '\P{^ _is_Bali}', "");
    Expect(0, 7039, '\p{ _is_Bali}', "");
    Expect(1, 7039, '\p{^ _is_Bali}', "");
    Expect(1, 7039, '\P{ _is_Bali}', "");
    Expect(0, 7039, '\P{^ _is_Bali}', "");
    Error('\p{/a/--Bamum}');
    Error('\P{/a/--Bamum}');
    Expect(1, 92728, '\p{bamum}', "");
    Expect(0, 92728, '\p{^bamum}', "");
    Expect(0, 92728, '\P{bamum}', "");
    Expect(1, 92728, '\P{^bamum}', "");
    Expect(0, 92729, '\p{bamum}', "");
    Expect(1, 92729, '\p{^bamum}', "");
    Expect(1, 92729, '\P{bamum}', "");
    Expect(0, 92729, '\P{^bamum}', "");
    Expect(1, 92728, '\p{	Bamum}', "");
    Expect(0, 92728, '\p{^	Bamum}', "");
    Expect(0, 92728, '\P{	Bamum}', "");
    Expect(1, 92728, '\P{^	Bamum}', "");
    Expect(0, 92729, '\p{	Bamum}', "");
    Expect(1, 92729, '\p{^	Bamum}', "");
    Expect(1, 92729, '\P{	Bamum}', "");
    Expect(0, 92729, '\P{^	Bamum}', "");
    Error('\p{  Is_Bamum/a/}');
    Error('\P{  Is_Bamum/a/}');
    Expect(1, 92728, '\p{isbamum}', "");
    Expect(0, 92728, '\p{^isbamum}', "");
    Expect(0, 92728, '\P{isbamum}', "");
    Expect(1, 92728, '\P{^isbamum}', "");
    Expect(0, 92729, '\p{isbamum}', "");
    Expect(1, 92729, '\p{^isbamum}', "");
    Expect(1, 92729, '\P{isbamum}', "");
    Expect(0, 92729, '\P{^isbamum}', "");
    Expect(1, 92728, '\p{_	Is_Bamum}', "");
    Expect(0, 92728, '\p{^_	Is_Bamum}', "");
    Expect(0, 92728, '\P{_	Is_Bamum}', "");
    Expect(1, 92728, '\P{^_	Is_Bamum}', "");
    Expect(0, 92729, '\p{_	Is_Bamum}', "");
    Expect(1, 92729, '\p{^_	Is_Bamum}', "");
    Expect(1, 92729, '\P{_	Is_Bamum}', "");
    Expect(0, 92729, '\P{^_	Is_Bamum}', "");
    Error('\p{/a/	-bamu}');
    Error('\P{/a/	-bamu}');
    Expect(1, 92728, '\p{bamu}', "");
    Expect(0, 92728, '\p{^bamu}', "");
    Expect(0, 92728, '\P{bamu}', "");
    Expect(1, 92728, '\P{^bamu}', "");
    Expect(0, 92729, '\p{bamu}', "");
    Expect(1, 92729, '\p{^bamu}', "");
    Expect(1, 92729, '\P{bamu}', "");
    Expect(0, 92729, '\P{^bamu}', "");
    Expect(1, 92728, '\p{-_Bamu}', "");
    Expect(0, 92728, '\p{^-_Bamu}', "");
    Expect(0, 92728, '\P{-_Bamu}', "");
    Expect(1, 92728, '\P{^-_Bamu}', "");
    Expect(0, 92729, '\p{-_Bamu}', "");
    Expect(1, 92729, '\p{^-_Bamu}', "");
    Expect(1, 92729, '\P{-_Bamu}', "");
    Expect(0, 92729, '\P{^-_Bamu}', "");
    Error('\p{ -is_BAMU:=}');
    Error('\P{ -is_BAMU:=}');
    Expect(1, 92728, '\p{isbamu}', "");
    Expect(0, 92728, '\p{^isbamu}', "");
    Expect(0, 92728, '\P{isbamu}', "");
    Expect(1, 92728, '\P{^isbamu}', "");
    Expect(0, 92729, '\p{isbamu}', "");
    Expect(1, 92729, '\p{^isbamu}', "");
    Expect(1, 92729, '\P{isbamu}', "");
    Expect(0, 92729, '\P{^isbamu}', "");
    Expect(1, 92728, '\p{-_IS_bamu}', "");
    Expect(0, 92728, '\p{^-_IS_bamu}', "");
    Expect(0, 92728, '\P{-_IS_bamu}', "");
    Expect(1, 92728, '\P{^-_IS_bamu}', "");
    Expect(0, 92729, '\p{-_IS_bamu}', "");
    Expect(1, 92729, '\p{^-_IS_bamu}', "");
    Expect(1, 92729, '\P{-_IS_bamu}', "");
    Expect(0, 92729, '\P{^-_IS_bamu}', "");
    Error('\p{_BAMUM_SUPPLEMENT:=}');
    Error('\P{_BAMUM_SUPPLEMENT:=}');
    Expect(1, 92735, '\p{bamumsupplement}', "");
    Expect(0, 92735, '\p{^bamumsupplement}', "");
    Expect(0, 92735, '\P{bamumsupplement}', "");
    Expect(1, 92735, '\P{^bamumsupplement}', "");
    Expect(0, 92736, '\p{bamumsupplement}', "");
    Expect(1, 92736, '\p{^bamumsupplement}', "");
    Expect(1, 92736, '\P{bamumsupplement}', "");
    Expect(0, 92736, '\P{^bamumsupplement}', "");
    Expect(1, 92735, '\p{__BAMUM_Supplement}', "");
    Expect(0, 92735, '\p{^__BAMUM_Supplement}', "");
    Expect(0, 92735, '\P{__BAMUM_Supplement}', "");
    Expect(1, 92735, '\P{^__BAMUM_Supplement}', "");
    Expect(0, 92736, '\p{__BAMUM_Supplement}', "");
    Expect(1, 92736, '\p{^__BAMUM_Supplement}', "");
    Expect(1, 92736, '\P{__BAMUM_Supplement}', "");
    Expect(0, 92736, '\P{^__BAMUM_Supplement}', "");
    Error('\p{_	is_Bamum_supplement:=}');
    Error('\P{_	is_Bamum_supplement:=}');
    Expect(1, 92735, '\p{isbamumsupplement}', "");
    Expect(0, 92735, '\p{^isbamumsupplement}', "");
    Expect(0, 92735, '\P{isbamumsupplement}', "");
    Expect(1, 92735, '\P{^isbamumsupplement}', "");
    Expect(0, 92736, '\p{isbamumsupplement}', "");
    Expect(1, 92736, '\p{^isbamumsupplement}', "");
    Expect(1, 92736, '\P{isbamumsupplement}', "");
    Expect(0, 92736, '\P{^isbamumsupplement}', "");
    Expect(1, 92735, '\p{- Is_Bamum_Supplement}', "");
    Expect(0, 92735, '\p{^- Is_Bamum_Supplement}', "");
    Expect(0, 92735, '\P{- Is_Bamum_Supplement}', "");
    Expect(1, 92735, '\P{^- Is_Bamum_Supplement}', "");
    Expect(0, 92736, '\p{- Is_Bamum_Supplement}', "");
    Expect(1, 92736, '\p{^- Is_Bamum_Supplement}', "");
    Expect(1, 92736, '\P{- Is_Bamum_Supplement}', "");
    Expect(0, 92736, '\P{^- Is_Bamum_Supplement}', "");
    Error('\p{-/a/in_Bamum_supplement}');
    Error('\P{-/a/in_Bamum_supplement}');
    Expect(1, 92735, '\p{inbamumsupplement}', "");
    Expect(0, 92735, '\p{^inbamumsupplement}', "");
    Expect(0, 92735, '\P{inbamumsupplement}', "");
    Expect(1, 92735, '\P{^inbamumsupplement}', "");
    Expect(0, 92736, '\p{inbamumsupplement}', "");
    Expect(1, 92736, '\p{^inbamumsupplement}', "");
    Expect(1, 92736, '\P{inbamumsupplement}', "");
    Expect(0, 92736, '\P{^inbamumsupplement}', "");
    Expect(1, 92735, '\p{ -in_Bamum_Supplement}', "");
    Expect(0, 92735, '\p{^ -in_Bamum_Supplement}', "");
    Expect(0, 92735, '\P{ -in_Bamum_Supplement}', "");
    Expect(1, 92735, '\P{^ -in_Bamum_Supplement}', "");
    Expect(0, 92736, '\p{ -in_Bamum_Supplement}', "");
    Expect(1, 92736, '\p{^ -in_Bamum_Supplement}', "");
    Expect(1, 92736, '\P{ -in_Bamum_Supplement}', "");
    Expect(0, 92736, '\P{^ -in_Bamum_Supplement}', "");
    Error('\p{_-BAMUM_SUP/a/}');
    Error('\P{_-BAMUM_SUP/a/}');
    Expect(1, 92735, '\p{bamumsup}', "");
    Expect(0, 92735, '\p{^bamumsup}', "");
    Expect(0, 92735, '\P{bamumsup}', "");
    Expect(1, 92735, '\P{^bamumsup}', "");
    Expect(0, 92736, '\p{bamumsup}', "");
    Expect(1, 92736, '\p{^bamumsup}', "");
    Expect(1, 92736, '\P{bamumsup}', "");
    Expect(0, 92736, '\P{^bamumsup}', "");
    Expect(1, 92735, '\p{-bamum_Sup}', "");
    Expect(0, 92735, '\p{^-bamum_Sup}', "");
    Expect(0, 92735, '\P{-bamum_Sup}', "");
    Expect(1, 92735, '\P{^-bamum_Sup}', "");
    Expect(0, 92736, '\p{-bamum_Sup}', "");
    Expect(1, 92736, '\p{^-bamum_Sup}', "");
    Expect(1, 92736, '\P{-bamum_Sup}', "");
    Expect(0, 92736, '\P{^-bamum_Sup}', "");
    Error('\p{-	is_Bamum_Sup:=}');
    Error('\P{-	is_Bamum_Sup:=}');
    Expect(1, 92735, '\p{isbamumsup}', "");
    Expect(0, 92735, '\p{^isbamumsup}', "");
    Expect(0, 92735, '\P{isbamumsup}', "");
    Expect(1, 92735, '\P{^isbamumsup}', "");
    Expect(0, 92736, '\p{isbamumsup}', "");
    Expect(1, 92736, '\p{^isbamumsup}', "");
    Expect(1, 92736, '\P{isbamumsup}', "");
    Expect(0, 92736, '\P{^isbamumsup}', "");
    Expect(1, 92735, '\p{	Is_Bamum_sup}', "");
    Expect(0, 92735, '\p{^	Is_Bamum_sup}', "");
    Expect(0, 92735, '\P{	Is_Bamum_sup}', "");
    Expect(1, 92735, '\P{^	Is_Bamum_sup}', "");
    Expect(0, 92736, '\p{	Is_Bamum_sup}', "");
    Expect(1, 92736, '\p{^	Is_Bamum_sup}', "");
    Expect(1, 92736, '\P{	Is_Bamum_sup}', "");
    Expect(0, 92736, '\P{^	Is_Bamum_sup}', "");
    Error('\p{_:=In_Bamum_Sup}');
    Error('\P{_:=In_Bamum_Sup}');
    Expect(1, 92735, '\p{inbamumsup}', "");
    Expect(0, 92735, '\p{^inbamumsup}', "");
    Expect(0, 92735, '\P{inbamumsup}', "");
    Expect(1, 92735, '\P{^inbamumsup}', "");
    Expect(0, 92736, '\p{inbamumsup}', "");
    Expect(1, 92736, '\p{^inbamumsup}', "");
    Expect(1, 92736, '\P{inbamumsup}', "");
    Expect(0, 92736, '\P{^inbamumsup}', "");
    Expect(1, 92735, '\p{-	IN_BAMUM_Sup}', "");
    Expect(0, 92735, '\p{^-	IN_BAMUM_Sup}', "");
    Expect(0, 92735, '\P{-	IN_BAMUM_Sup}', "");
    Expect(1, 92735, '\P{^-	IN_BAMUM_Sup}', "");
    Expect(0, 92736, '\p{-	IN_BAMUM_Sup}', "");
    Expect(1, 92736, '\p{^-	IN_BAMUM_Sup}', "");
    Expect(1, 92736, '\P{-	IN_BAMUM_Sup}', "");
    Expect(0, 92736, '\P{^-	IN_BAMUM_Sup}', "");
    Error('\p{/a/  Bassa_Vah}');
    Error('\P{/a/  Bassa_Vah}');
    Expect(1, 92917, '\p{bassavah}', "");
    Expect(0, 92917, '\p{^bassavah}', "");
    Expect(0, 92917, '\P{bassavah}', "");
    Expect(1, 92917, '\P{^bassavah}', "");
    Expect(0, 92918, '\p{bassavah}', "");
    Expect(1, 92918, '\p{^bassavah}', "");
    Expect(1, 92918, '\P{bassavah}', "");
    Expect(0, 92918, '\P{^bassavah}', "");
    Expect(1, 92917, '\p{  Bassa_Vah}', "");
    Expect(0, 92917, '\p{^  Bassa_Vah}', "");
    Expect(0, 92917, '\P{  Bassa_Vah}', "");
    Expect(1, 92917, '\P{^  Bassa_Vah}', "");
    Expect(0, 92918, '\p{  Bassa_Vah}', "");
    Expect(1, 92918, '\p{^  Bassa_Vah}', "");
    Expect(1, 92918, '\P{  Bassa_Vah}', "");
    Expect(0, 92918, '\P{^  Bassa_Vah}', "");
    Error('\p{_ Is_Bassa_VAH:=}');
    Error('\P{_ Is_Bassa_VAH:=}');
    Expect(1, 92917, '\p{isbassavah}', "");
    Expect(0, 92917, '\p{^isbassavah}', "");
    Expect(0, 92917, '\P{isbassavah}', "");
    Expect(1, 92917, '\P{^isbassavah}', "");
    Expect(0, 92918, '\p{isbassavah}', "");
    Expect(1, 92918, '\p{^isbassavah}', "");
    Expect(1, 92918, '\P{isbassavah}', "");
    Expect(0, 92918, '\P{^isbassavah}', "");
    Expect(1, 92917, '\p{ is_bassa_Vah}', "");
    Expect(0, 92917, '\p{^ is_bassa_Vah}', "");
    Expect(0, 92917, '\P{ is_bassa_Vah}', "");
    Expect(1, 92917, '\P{^ is_bassa_Vah}', "");
    Expect(0, 92918, '\p{ is_bassa_Vah}', "");
    Expect(1, 92918, '\p{^ is_bassa_Vah}', "");
    Expect(1, 92918, '\P{ is_bassa_Vah}', "");
    Expect(0, 92918, '\P{^ is_bassa_Vah}', "");
    Error('\p{ _bass/a/}');
    Error('\P{ _bass/a/}');
    Expect(1, 92917, '\p{bass}', "");
    Expect(0, 92917, '\p{^bass}', "");
    Expect(0, 92917, '\P{bass}', "");
    Expect(1, 92917, '\P{^bass}', "");
    Expect(0, 92918, '\p{bass}', "");
    Expect(1, 92918, '\p{^bass}', "");
    Expect(1, 92918, '\P{bass}', "");
    Expect(0, 92918, '\P{^bass}', "");
    Expect(1, 92917, '\p{ 	BASS}', "");
    Expect(0, 92917, '\p{^ 	BASS}', "");
    Expect(0, 92917, '\P{ 	BASS}', "");
    Expect(1, 92917, '\P{^ 	BASS}', "");
    Expect(0, 92918, '\p{ 	BASS}', "");
    Expect(1, 92918, '\p{^ 	BASS}', "");
    Expect(1, 92918, '\P{ 	BASS}', "");
    Expect(0, 92918, '\P{^ 	BASS}', "");
    Error('\p{_:=is_Bass}');
    Error('\P{_:=is_Bass}');
    Expect(1, 92917, '\p{isbass}', "");
    Expect(0, 92917, '\p{^isbass}', "");
    Expect(0, 92917, '\P{isbass}', "");
    Expect(1, 92917, '\P{^isbass}', "");
    Expect(0, 92918, '\p{isbass}', "");
    Expect(1, 92918, '\p{^isbass}', "");
    Expect(1, 92918, '\P{isbass}', "");
    Expect(0, 92918, '\P{^isbass}', "");
    Expect(1, 92917, '\p{ _Is_Bass}', "");
    Expect(0, 92917, '\p{^ _Is_Bass}', "");
    Expect(0, 92917, '\P{ _Is_Bass}', "");
    Expect(1, 92917, '\P{^ _Is_Bass}', "");
    Expect(0, 92918, '\p{ _Is_Bass}', "");
    Expect(1, 92918, '\p{^ _Is_Bass}', "");
    Expect(1, 92918, '\P{ _Is_Bass}', "");
    Expect(0, 92918, '\P{^ _Is_Bass}', "");
    Error('\p{/a/__Batak}');
    Error('\P{/a/__Batak}');
    Expect(1, 7167, '\p{batak}', "");
    Expect(0, 7167, '\p{^batak}', "");
    Expect(0, 7167, '\P{batak}', "");
    Expect(1, 7167, '\P{^batak}', "");
    Expect(0, 7168, '\p{batak}', "");
    Expect(1, 7168, '\p{^batak}', "");
    Expect(1, 7168, '\P{batak}', "");
    Expect(0, 7168, '\P{^batak}', "");
    Expect(1, 7167, '\p{- batak}', "");
    Expect(0, 7167, '\p{^- batak}', "");
    Expect(0, 7167, '\P{- batak}', "");
    Expect(1, 7167, '\P{^- batak}', "");
    Expect(0, 7168, '\p{- batak}', "");
    Expect(1, 7168, '\p{^- batak}', "");
    Expect(1, 7168, '\P{- batak}', "");
    Expect(0, 7168, '\P{^- batak}', "");
    Error('\p{:=_Is_batak}');
    Error('\P{:=_Is_batak}');
    Expect(1, 7167, '\p{isbatak}', "");
    Expect(0, 7167, '\p{^isbatak}', "");
    Expect(0, 7167, '\P{isbatak}', "");
    Expect(1, 7167, '\P{^isbatak}', "");
    Expect(0, 7168, '\p{isbatak}', "");
    Expect(1, 7168, '\p{^isbatak}', "");
    Expect(1, 7168, '\P{isbatak}', "");
    Expect(0, 7168, '\P{^isbatak}', "");
    Expect(1, 7167, '\p{-_is_BATAK}', "");
    Expect(0, 7167, '\p{^-_is_BATAK}', "");
    Expect(0, 7167, '\P{-_is_BATAK}', "");
    Expect(1, 7167, '\P{^-_is_BATAK}', "");
    Expect(0, 7168, '\p{-_is_BATAK}', "");
    Expect(1, 7168, '\p{^-_is_BATAK}', "");
    Expect(1, 7168, '\P{-_is_BATAK}', "");
    Expect(0, 7168, '\P{^-_is_BATAK}', "");
    Error('\p{-:=BATK}');
    Error('\P{-:=BATK}');
    Expect(1, 7167, '\p{batk}', "");
    Expect(0, 7167, '\p{^batk}', "");
    Expect(0, 7167, '\P{batk}', "");
    Expect(1, 7167, '\P{^batk}', "");
    Expect(0, 7168, '\p{batk}', "");
    Expect(1, 7168, '\p{^batk}', "");
    Expect(1, 7168, '\P{batk}', "");
    Expect(0, 7168, '\P{^batk}', "");
    Expect(1, 7167, '\p{	BATK}', "");
    Expect(0, 7167, '\p{^	BATK}', "");
    Expect(0, 7167, '\P{	BATK}', "");
    Expect(1, 7167, '\P{^	BATK}', "");
    Expect(0, 7168, '\p{	BATK}', "");
    Expect(1, 7168, '\p{^	BATK}', "");
    Expect(1, 7168, '\P{	BATK}', "");
    Expect(0, 7168, '\P{^	BATK}', "");
    Error('\p{:=-	Is_BATK}');
    Error('\P{:=-	Is_BATK}');
    Expect(1, 7167, '\p{isbatk}', "");
    Expect(0, 7167, '\p{^isbatk}', "");
    Expect(0, 7167, '\P{isbatk}', "");
    Expect(1, 7167, '\P{^isbatk}', "");
    Expect(0, 7168, '\p{isbatk}', "");
    Expect(1, 7168, '\p{^isbatk}', "");
    Expect(1, 7168, '\P{isbatk}', "");
    Expect(0, 7168, '\P{^isbatk}', "");
    Expect(1, 7167, '\p{		is_Batk}', "");
    Expect(0, 7167, '\p{^		is_Batk}', "");
    Expect(0, 7167, '\P{		is_Batk}', "");
    Expect(1, 7167, '\P{^		is_Batk}', "");
    Expect(0, 7168, '\p{		is_Batk}', "");
    Expect(1, 7168, '\p{^		is_Batk}', "");
    Expect(1, 7168, '\P{		is_Batk}', "");
    Expect(0, 7168, '\P{^		is_Batk}', "");
    Error('\p{_ bengali:=}');
    Error('\P{_ bengali:=}');
    Expect(1, 43249, '\p{bengali}', "");
    Expect(0, 43249, '\p{^bengali}', "");
    Expect(0, 43249, '\P{bengali}', "");
    Expect(1, 43249, '\P{^bengali}', "");
    Expect(0, 43250, '\p{bengali}', "");
    Expect(1, 43250, '\p{^bengali}', "");
    Expect(1, 43250, '\P{bengali}', "");
    Expect(0, 43250, '\P{^bengali}', "");
    Expect(1, 43249, '\p{-	Bengali}', "");
    Expect(0, 43249, '\p{^-	Bengali}', "");
    Expect(0, 43249, '\P{-	Bengali}', "");
    Expect(1, 43249, '\P{^-	Bengali}', "");
    Expect(0, 43250, '\p{-	Bengali}', "");
    Expect(1, 43250, '\p{^-	Bengali}', "");
    Expect(1, 43250, '\P{-	Bengali}', "");
    Expect(0, 43250, '\P{^-	Bengali}', "");
    Error('\p{	:=Is_BENGALI}');
    Error('\P{	:=Is_BENGALI}');
    Expect(1, 43249, '\p{isbengali}', "");
    Expect(0, 43249, '\p{^isbengali}', "");
    Expect(0, 43249, '\P{isbengali}', "");
    Expect(1, 43249, '\P{^isbengali}', "");
    Expect(0, 43250, '\p{isbengali}', "");
    Expect(1, 43250, '\p{^isbengali}', "");
    Expect(1, 43250, '\P{isbengali}', "");
    Expect(0, 43250, '\P{^isbengali}', "");
    Expect(1, 43249, '\p{_Is_BENGALI}', "");
    Expect(0, 43249, '\p{^_Is_BENGALI}', "");
    Expect(0, 43249, '\P{_Is_BENGALI}', "");
    Expect(1, 43249, '\P{^_Is_BENGALI}', "");
    Expect(0, 43250, '\p{_Is_BENGALI}', "");
    Expect(1, 43250, '\p{^_Is_BENGALI}', "");
    Expect(1, 43250, '\P{_Is_BENGALI}', "");
    Expect(0, 43250, '\P{^_Is_BENGALI}', "");
    Error('\p{:=Beng}');
    Error('\P{:=Beng}');
    Expect(1, 43249, '\p{beng}', "");
    Expect(0, 43249, '\p{^beng}', "");
    Expect(0, 43249, '\P{beng}', "");
    Expect(1, 43249, '\P{^beng}', "");
    Expect(0, 43250, '\p{beng}', "");
    Expect(1, 43250, '\p{^beng}', "");
    Expect(1, 43250, '\P{beng}', "");
    Expect(0, 43250, '\P{^beng}', "");
    Expect(1, 43249, '\p{_Beng}', "");
    Expect(0, 43249, '\p{^_Beng}', "");
    Expect(0, 43249, '\P{_Beng}', "");
    Expect(1, 43249, '\P{^_Beng}', "");
    Expect(0, 43250, '\p{_Beng}', "");
    Expect(1, 43250, '\p{^_Beng}', "");
    Expect(1, 43250, '\P{_Beng}', "");
    Expect(0, 43250, '\P{^_Beng}', "");
    Error('\p{_-Is_Beng:=}');
    Error('\P{_-Is_Beng:=}');
    Expect(1, 43249, '\p{isbeng}', "");
    Expect(0, 43249, '\p{^isbeng}', "");
    Expect(0, 43249, '\P{isbeng}', "");
    Expect(1, 43249, '\P{^isbeng}', "");
    Expect(0, 43250, '\p{isbeng}', "");
    Expect(1, 43250, '\p{^isbeng}', "");
    Expect(1, 43250, '\P{isbeng}', "");
    Expect(0, 43250, '\P{^isbeng}', "");
    Expect(1, 43249, '\p{_	IS_Beng}', "");
    Expect(0, 43249, '\p{^_	IS_Beng}', "");
    Expect(0, 43249, '\P{_	IS_Beng}', "");
    Expect(1, 43249, '\P{^_	IS_Beng}', "");
    Expect(0, 43250, '\p{_	IS_Beng}', "");
    Expect(1, 43250, '\p{^_	IS_Beng}', "");
    Expect(1, 43250, '\P{_	IS_Beng}', "");
    Expect(0, 43250, '\P{^_	IS_Beng}', "");
    Error('\p{		BHAIKSUKI/a/}');
    Error('\P{		BHAIKSUKI/a/}');
    Expect(1, 72812, '\p{bhaiksuki}', "");
    Expect(0, 72812, '\p{^bhaiksuki}', "");
    Expect(0, 72812, '\P{bhaiksuki}', "");
    Expect(1, 72812, '\P{^bhaiksuki}', "");
    Expect(0, 72813, '\p{bhaiksuki}', "");
    Expect(1, 72813, '\p{^bhaiksuki}', "");
    Expect(1, 72813, '\P{bhaiksuki}', "");
    Expect(0, 72813, '\P{^bhaiksuki}', "");
    Expect(1, 72812, '\p{  BHAIKSUKI}', "");
    Expect(0, 72812, '\p{^  BHAIKSUKI}', "");
    Expect(0, 72812, '\P{  BHAIKSUKI}', "");
    Expect(1, 72812, '\P{^  BHAIKSUKI}', "");
    Expect(0, 72813, '\p{  BHAIKSUKI}', "");
    Expect(1, 72813, '\p{^  BHAIKSUKI}', "");
    Expect(1, 72813, '\P{  BHAIKSUKI}', "");
    Expect(0, 72813, '\P{^  BHAIKSUKI}', "");
    Error('\p{/a/-	Is_bhaiksuki}');
    Error('\P{/a/-	Is_bhaiksuki}');
    Expect(1, 72812, '\p{isbhaiksuki}', "");
    Expect(0, 72812, '\p{^isbhaiksuki}', "");
    Expect(0, 72812, '\P{isbhaiksuki}', "");
    Expect(1, 72812, '\P{^isbhaiksuki}', "");
    Expect(0, 72813, '\p{isbhaiksuki}', "");
    Expect(1, 72813, '\p{^isbhaiksuki}', "");
    Expect(1, 72813, '\P{isbhaiksuki}', "");
    Expect(0, 72813, '\P{^isbhaiksuki}', "");
    Expect(1, 72812, '\p{	Is_bhaiksuki}', "");
    Expect(0, 72812, '\p{^	Is_bhaiksuki}', "");
    Expect(0, 72812, '\P{	Is_bhaiksuki}', "");
    Expect(1, 72812, '\P{^	Is_bhaiksuki}', "");
    Expect(0, 72813, '\p{	Is_bhaiksuki}', "");
    Expect(1, 72813, '\p{^	Is_bhaiksuki}', "");
    Expect(1, 72813, '\P{	Is_bhaiksuki}', "");
    Expect(0, 72813, '\P{^	Is_bhaiksuki}', "");
    Error('\p{ BHKS/a/}');
    Error('\P{ BHKS/a/}');
    Expect(1, 72812, '\p{bhks}', "");
    Expect(0, 72812, '\p{^bhks}', "");
    Expect(0, 72812, '\P{bhks}', "");
    Expect(1, 72812, '\P{^bhks}', "");
    Expect(0, 72813, '\p{bhks}', "");
    Expect(1, 72813, '\p{^bhks}', "");
    Expect(1, 72813, '\P{bhks}', "");
    Expect(0, 72813, '\P{^bhks}', "");
    Expect(1, 72812, '\p{	 bhks}', "");
    Expect(0, 72812, '\p{^	 bhks}', "");
    Expect(0, 72812, '\P{	 bhks}', "");
    Expect(1, 72812, '\P{^	 bhks}', "");
    Expect(0, 72813, '\p{	 bhks}', "");
    Expect(1, 72813, '\p{^	 bhks}', "");
    Expect(1, 72813, '\P{	 bhks}', "");
    Expect(0, 72813, '\P{^	 bhks}', "");
    Error('\p{:=_	Is_Bhks}');
    Error('\P{:=_	Is_Bhks}');
    Expect(1, 72812, '\p{isbhks}', "");
    Expect(0, 72812, '\p{^isbhks}', "");
    Expect(0, 72812, '\P{isbhks}', "");
    Expect(1, 72812, '\P{^isbhks}', "");
    Expect(0, 72813, '\p{isbhks}', "");
    Expect(1, 72813, '\p{^isbhks}', "");
    Expect(1, 72813, '\P{isbhks}', "");
    Expect(0, 72813, '\P{^isbhks}', "");
    Expect(1, 72812, '\p{	_Is_Bhks}', "");
    Expect(0, 72812, '\p{^	_Is_Bhks}', "");
    Expect(0, 72812, '\P{	_Is_Bhks}', "");
    Expect(1, 72812, '\P{^	_Is_Bhks}', "");
    Expect(0, 72813, '\p{	_Is_Bhks}', "");
    Expect(1, 72813, '\p{^	_Is_Bhks}', "");
    Expect(1, 72813, '\P{	_Is_Bhks}', "");
    Expect(0, 72813, '\P{^	_Is_Bhks}', "");
    Error('\p{	 BIDI_control/a/}');
    Error('\P{	 BIDI_control/a/}');
    Expect(1, 8297, '\p{bidicontrol}', "");
    Expect(0, 8297, '\p{^bidicontrol}', "");
    Expect(0, 8297, '\P{bidicontrol}', "");
    Expect(1, 8297, '\P{^bidicontrol}', "");
    Expect(0, 8298, '\p{bidicontrol}', "");
    Expect(1, 8298, '\p{^bidicontrol}', "");
    Expect(1, 8298, '\P{bidicontrol}', "");
    Expect(0, 8298, '\P{^bidicontrol}', "");
    Expect(1, 8297, '\p{ 	Bidi_Control}', "");
    Expect(0, 8297, '\p{^ 	Bidi_Control}', "");
    Expect(0, 8297, '\P{ 	Bidi_Control}', "");
    Expect(1, 8297, '\P{^ 	Bidi_Control}', "");
    Expect(0, 8298, '\p{ 	Bidi_Control}', "");
    Expect(1, 8298, '\p{^ 	Bidi_Control}', "");
    Expect(1, 8298, '\P{ 	Bidi_Control}', "");
    Expect(0, 8298, '\P{^ 	Bidi_Control}', "");
    Error('\p{/a/-	Is_bidi_control}');
    Error('\P{/a/-	Is_bidi_control}');
    Expect(1, 8297, '\p{isbidicontrol}', "");
    Expect(0, 8297, '\p{^isbidicontrol}', "");
    Expect(0, 8297, '\P{isbidicontrol}', "");
    Expect(1, 8297, '\P{^isbidicontrol}', "");
    Expect(0, 8298, '\p{isbidicontrol}', "");
    Expect(1, 8298, '\p{^isbidicontrol}', "");
    Expect(1, 8298, '\P{isbidicontrol}', "");
    Expect(0, 8298, '\P{^isbidicontrol}', "");
    Expect(1, 8297, '\p{__Is_Bidi_CONTROL}', "");
    Expect(0, 8297, '\p{^__Is_Bidi_CONTROL}', "");
    Expect(0, 8297, '\P{__Is_Bidi_CONTROL}', "");
    Expect(1, 8297, '\P{^__Is_Bidi_CONTROL}', "");
    Expect(0, 8298, '\p{__Is_Bidi_CONTROL}', "");
    Expect(1, 8298, '\p{^__Is_Bidi_CONTROL}', "");
    Expect(1, 8298, '\P{__Is_Bidi_CONTROL}', "");
    Expect(0, 8298, '\P{^__Is_Bidi_CONTROL}', "");
    Error('\p{ bidi_c/a/}');
    Error('\P{ bidi_c/a/}');
    Expect(1, 8297, '\p{bidic}', "");
    Expect(0, 8297, '\p{^bidic}', "");
    Expect(0, 8297, '\P{bidic}', "");
    Expect(1, 8297, '\P{^bidic}', "");
    Expect(0, 8298, '\p{bidic}', "");
    Expect(1, 8298, '\p{^bidic}', "");
    Expect(1, 8298, '\P{bidic}', "");
    Expect(0, 8298, '\P{^bidic}', "");
    Expect(1, 8297, '\p{_	Bidi_c}', "");
    Expect(0, 8297, '\p{^_	Bidi_c}', "");
    Expect(0, 8297, '\P{_	Bidi_c}', "");
    Expect(1, 8297, '\P{^_	Bidi_c}', "");
    Expect(0, 8298, '\p{_	Bidi_c}', "");
    Expect(1, 8298, '\p{^_	Bidi_c}', "");
    Expect(1, 8298, '\P{_	Bidi_c}', "");
    Expect(0, 8298, '\P{^_	Bidi_c}', "");
    Error('\p{-:=is_Bidi_C}');
    Error('\P{-:=is_Bidi_C}');
    Expect(1, 8297, '\p{isbidic}', "");
    Expect(0, 8297, '\p{^isbidic}', "");
    Expect(0, 8297, '\P{isbidic}', "");
    Expect(1, 8297, '\P{^isbidic}', "");
    Expect(0, 8298, '\p{isbidic}', "");
    Expect(1, 8298, '\p{^isbidic}', "");
    Expect(1, 8298, '\P{isbidic}', "");
    Expect(0, 8298, '\P{^isbidic}', "");
    Expect(1, 8297, '\p{- Is_BIDI_C}', "");
    Expect(0, 8297, '\p{^- Is_BIDI_C}', "");
    Expect(0, 8297, '\P{- Is_BIDI_C}', "");
    Expect(1, 8297, '\P{^- Is_BIDI_C}', "");
    Expect(0, 8298, '\p{- Is_BIDI_C}', "");
    Expect(1, 8298, '\p{^- Is_BIDI_C}', "");
    Expect(1, 8298, '\P{- Is_BIDI_C}', "");
    Expect(0, 8298, '\P{^- Is_BIDI_C}', "");
    Error('\p{:=	_BIDI_Mirrored}');
    Error('\P{:=	_BIDI_Mirrored}');
    Expect(1, 120771, '\p{bidimirrored}', "");
    Expect(0, 120771, '\p{^bidimirrored}', "");
    Expect(0, 120771, '\P{bidimirrored}', "");
    Expect(1, 120771, '\P{^bidimirrored}', "");
    Expect(0, 120772, '\p{bidimirrored}', "");
    Expect(1, 120772, '\p{^bidimirrored}', "");
    Expect(1, 120772, '\P{bidimirrored}', "");
    Expect(0, 120772, '\P{^bidimirrored}', "");
    Expect(1, 120771, '\p{Bidi_Mirrored}', "");
    Expect(0, 120771, '\p{^Bidi_Mirrored}', "");
    Expect(0, 120771, '\P{Bidi_Mirrored}', "");
    Expect(1, 120771, '\P{^Bidi_Mirrored}', "");
    Expect(0, 120772, '\p{Bidi_Mirrored}', "");
    Expect(1, 120772, '\p{^Bidi_Mirrored}', "");
    Expect(1, 120772, '\P{Bidi_Mirrored}', "");
    Expect(0, 120772, '\P{^Bidi_Mirrored}', "");
    Error('\p{-Is_BIDI_MIRRORED/a/}');
    Error('\P{-Is_BIDI_MIRRORED/a/}');
    Expect(1, 120771, '\p{isbidimirrored}', "");
    Expect(0, 120771, '\p{^isbidimirrored}', "");
    Expect(0, 120771, '\P{isbidimirrored}', "");
    Expect(1, 120771, '\P{^isbidimirrored}', "");
    Expect(0, 120772, '\p{isbidimirrored}', "");
    Expect(1, 120772, '\p{^isbidimirrored}', "");
    Expect(1, 120772, '\P{isbidimirrored}', "");
    Expect(0, 120772, '\P{^isbidimirrored}', "");
    Expect(1, 120771, '\p{__IS_Bidi_MIRRORED}', "");
    Expect(0, 120771, '\p{^__IS_Bidi_MIRRORED}', "");
    Expect(0, 120771, '\P{__IS_Bidi_MIRRORED}', "");
    Expect(1, 120771, '\P{^__IS_Bidi_MIRRORED}', "");
    Expect(0, 120772, '\p{__IS_Bidi_MIRRORED}', "");
    Expect(1, 120772, '\p{^__IS_Bidi_MIRRORED}', "");
    Expect(1, 120772, '\P{__IS_Bidi_MIRRORED}', "");
    Expect(0, 120772, '\P{^__IS_Bidi_MIRRORED}', "");
    Error('\p{	:=Bidi_M}');
    Error('\P{	:=Bidi_M}');
    Expect(1, 120771, '\p{bidim}', "");
    Expect(0, 120771, '\p{^bidim}', "");
    Expect(0, 120771, '\P{bidim}', "");
    Expect(1, 120771, '\P{^bidim}', "");
    Expect(0, 120772, '\p{bidim}', "");
    Expect(1, 120772, '\p{^bidim}', "");
    Expect(1, 120772, '\P{bidim}', "");
    Expect(0, 120772, '\P{^bidim}', "");
    Expect(1, 120771, '\p{--bidi_M}', "");
    Expect(0, 120771, '\p{^--bidi_M}', "");
    Expect(0, 120771, '\P{--bidi_M}', "");
    Expect(1, 120771, '\P{^--bidi_M}', "");
    Expect(0, 120772, '\p{--bidi_M}', "");
    Expect(1, 120772, '\p{^--bidi_M}', "");
    Expect(1, 120772, '\P{--bidi_M}', "");
    Expect(0, 120772, '\P{^--bidi_M}', "");
    Error('\p{/a/-IS_BIDI_m}');
    Error('\P{/a/-IS_BIDI_m}');
    Expect(1, 120771, '\p{isbidim}', "");
    Expect(0, 120771, '\p{^isbidim}', "");
    Expect(0, 120771, '\P{isbidim}', "");
    Expect(1, 120771, '\P{^isbidim}', "");
    Expect(0, 120772, '\p{isbidim}', "");
    Expect(1, 120772, '\p{^isbidim}', "");
    Expect(1, 120772, '\P{isbidim}', "");
    Expect(0, 120772, '\P{^isbidim}', "");
    Expect(1, 120771, '\p{_Is_Bidi_m}', "");
    Expect(0, 120771, '\p{^_Is_Bidi_m}', "");
    Expect(0, 120771, '\P{_Is_Bidi_m}', "");
    Expect(1, 120771, '\P{^_Is_Bidi_m}', "");
    Expect(0, 120772, '\p{_Is_Bidi_m}', "");
    Expect(1, 120772, '\p{^_Is_Bidi_m}', "");
    Expect(1, 120772, '\P{_Is_Bidi_m}', "");
    Expect(0, 120772, '\P{^_Is_Bidi_m}', "");
    Error('\p{:=	 XPOSIXBLANK}');
    Error('\P{:=	 XPOSIXBLANK}');
    Expect(1, 12288, '\p{xposixblank}', "");
    Expect(0, 12288, '\p{^xposixblank}', "");
    Expect(0, 12288, '\P{xposixblank}', "");
    Expect(1, 12288, '\P{^xposixblank}', "");
    Expect(0, 12289, '\p{xposixblank}', "");
    Expect(1, 12289, '\p{^xposixblank}', "");
    Expect(1, 12289, '\P{xposixblank}', "");
    Expect(0, 12289, '\P{^xposixblank}', "");
    Expect(1, 12288, '\p{_-XPosixBlank}', "");
    Expect(0, 12288, '\p{^_-XPosixBlank}', "");
    Expect(0, 12288, '\P{_-XPosixBlank}', "");
    Expect(1, 12288, '\P{^_-XPosixBlank}', "");
    Expect(0, 12289, '\p{_-XPosixBlank}', "");
    Expect(1, 12289, '\p{^_-XPosixBlank}', "");
    Expect(1, 12289, '\P{_-XPosixBlank}', "");
    Expect(0, 12289, '\P{^_-XPosixBlank}', "");
    Error('\p{ /a/Blank}');
    Error('\P{ /a/Blank}');
    Expect(1, 12288, '\p{blank}', "");
    Expect(0, 12288, '\p{^blank}', "");
    Expect(0, 12288, '\P{blank}', "");
    Expect(1, 12288, '\P{^blank}', "");
    Expect(0, 12289, '\p{blank}', "");
    Expect(1, 12289, '\p{^blank}', "");
    Expect(1, 12289, '\P{blank}', "");
    Expect(0, 12289, '\P{^blank}', "");
    Expect(1, 12288, '\p{	blank}', "");
    Expect(0, 12288, '\p{^	blank}', "");
    Expect(0, 12288, '\P{	blank}', "");
    Expect(1, 12288, '\P{^	blank}', "");
    Expect(0, 12289, '\p{	blank}', "");
    Expect(1, 12289, '\p{^	blank}', "");
    Expect(1, 12289, '\P{	blank}', "");
    Expect(0, 12289, '\P{^	blank}', "");
    Error('\p{:= 	HorizSpace}');
    Error('\P{:= 	HorizSpace}');
    Expect(1, 12288, '\p{horizspace}', "");
    Expect(0, 12288, '\p{^horizspace}', "");
    Expect(0, 12288, '\P{horizspace}', "");
    Expect(1, 12288, '\P{^horizspace}', "");
    Expect(0, 12289, '\p{horizspace}', "");
    Expect(1, 12289, '\p{^horizspace}', "");
    Expect(1, 12289, '\P{horizspace}', "");
    Expect(0, 12289, '\P{^horizspace}', "");
    Expect(1, 12288, '\p{-	HorizSpace}', "");
    Expect(0, 12288, '\p{^-	HorizSpace}', "");
    Expect(0, 12288, '\P{-	HorizSpace}', "");
    Expect(1, 12288, '\P{^-	HorizSpace}', "");
    Expect(0, 12289, '\p{-	HorizSpace}', "");
    Expect(1, 12289, '\p{^-	HorizSpace}', "");
    Expect(1, 12289, '\P{-	HorizSpace}', "");
    Expect(0, 12289, '\P{^-	HorizSpace}', "");
    Error('\p{ :=is_xposixblank}');
    Error('\P{ :=is_xposixblank}');
    Expect(1, 12288, '\p{isxposixblank}', "");
    Expect(0, 12288, '\p{^isxposixblank}', "");
    Expect(0, 12288, '\P{isxposixblank}', "");
    Expect(1, 12288, '\P{^isxposixblank}', "");
    Expect(0, 12289, '\p{isxposixblank}', "");
    Expect(1, 12289, '\p{^isxposixblank}', "");
    Expect(1, 12289, '\P{isxposixblank}', "");
    Expect(0, 12289, '\P{^isxposixblank}', "");
    Expect(1, 12288, '\p{ Is_XPosixBlank}', "");
    Expect(0, 12288, '\p{^ Is_XPosixBlank}', "");
    Expect(0, 12288, '\P{ Is_XPosixBlank}', "");
    Expect(1, 12288, '\P{^ Is_XPosixBlank}', "");
    Expect(0, 12289, '\p{ Is_XPosixBlank}', "");
    Expect(1, 12289, '\p{^ Is_XPosixBlank}', "");
    Expect(1, 12289, '\P{ Is_XPosixBlank}', "");
    Expect(0, 12289, '\P{^ Is_XPosixBlank}', "");
    Error('\p{_/a/Is_BLANK}');
    Error('\P{_/a/Is_BLANK}');
    Expect(1, 12288, '\p{isblank}', "");
    Expect(0, 12288, '\p{^isblank}', "");
    Expect(0, 12288, '\P{isblank}', "");
    Expect(1, 12288, '\P{^isblank}', "");
    Expect(0, 12289, '\p{isblank}', "");
    Expect(1, 12289, '\p{^isblank}', "");
    Expect(1, 12289, '\P{isblank}', "");
    Expect(0, 12289, '\P{^isblank}', "");
    Expect(1, 12288, '\p{-	is_Blank}', "");
    Expect(0, 12288, '\p{^-	is_Blank}', "");
    Expect(0, 12288, '\P{-	is_Blank}', "");
    Expect(1, 12288, '\P{^-	is_Blank}', "");
    Expect(0, 12289, '\p{-	is_Blank}', "");
    Expect(1, 12289, '\p{^-	is_Blank}', "");
    Expect(1, 12289, '\P{-	is_Blank}', "");
    Expect(0, 12289, '\P{^-	is_Blank}', "");
    Error('\p{ :=Is_HorizSpace}');
    Error('\P{ :=Is_HorizSpace}');
    Expect(1, 12288, '\p{ishorizspace}', "");
    Expect(0, 12288, '\p{^ishorizspace}', "");
    Expect(0, 12288, '\P{ishorizspace}', "");
    Expect(1, 12288, '\P{^ishorizspace}', "");
    Expect(0, 12289, '\p{ishorizspace}', "");
    Expect(1, 12289, '\p{^ishorizspace}', "");
    Expect(1, 12289, '\P{ishorizspace}', "");
    Expect(0, 12289, '\P{^ishorizspace}', "");
    Expect(1, 12288, '\p{  Is_HorizSpace}', "");
    Expect(0, 12288, '\p{^  Is_HorizSpace}', "");
    Expect(0, 12288, '\P{  Is_HorizSpace}', "");
    Expect(1, 12288, '\P{^  Is_HorizSpace}', "");
    Expect(0, 12289, '\p{  Is_HorizSpace}', "");
    Expect(1, 12289, '\p{^  Is_HorizSpace}', "");
    Expect(1, 12289, '\P{  Is_HorizSpace}', "");
    Expect(0, 12289, '\P{^  Is_HorizSpace}', "");
    Error('\p{_	Block_Elements/a/}');
    Error('\P{_	Block_Elements/a/}');
    Expect(1, 9631, '\p{blockelements}', "");
    Expect(0, 9631, '\p{^blockelements}', "");
    Expect(0, 9631, '\P{blockelements}', "");
    Expect(1, 9631, '\P{^blockelements}', "");
    Expect(0, 9632, '\p{blockelements}', "");
    Expect(1, 9632, '\p{^blockelements}', "");
    Expect(1, 9632, '\P{blockelements}', "");
    Expect(0, 9632, '\P{^blockelements}', "");
    Expect(1, 9631, '\p{	 Block_Elements}', "");
    Expect(0, 9631, '\p{^	 Block_Elements}', "");
    Expect(0, 9631, '\P{	 Block_Elements}', "");
    Expect(1, 9631, '\P{^	 Block_Elements}', "");
    Expect(0, 9632, '\p{	 Block_Elements}', "");
    Expect(1, 9632, '\p{^	 Block_Elements}', "");
    Expect(1, 9632, '\P{	 Block_Elements}', "");
    Expect(0, 9632, '\P{^	 Block_Elements}', "");
    Error('\p{-Is_BLOCK_ELEMENTS/a/}');
    Error('\P{-Is_BLOCK_ELEMENTS/a/}');
    Expect(1, 9631, '\p{isblockelements}', "");
    Expect(0, 9631, '\p{^isblockelements}', "");
    Expect(0, 9631, '\P{isblockelements}', "");
    Expect(1, 9631, '\P{^isblockelements}', "");
    Expect(0, 9632, '\p{isblockelements}', "");
    Expect(1, 9632, '\p{^isblockelements}', "");
    Expect(1, 9632, '\P{isblockelements}', "");
    Expect(0, 9632, '\P{^isblockelements}', "");
    Expect(1, 9631, '\p{-Is_Block_ELEMENTS}', "");
    Expect(0, 9631, '\p{^-Is_Block_ELEMENTS}', "");
    Expect(0, 9631, '\P{-Is_Block_ELEMENTS}', "");
    Expect(1, 9631, '\P{^-Is_Block_ELEMENTS}', "");
    Expect(0, 9632, '\p{-Is_Block_ELEMENTS}', "");
    Expect(1, 9632, '\p{^-Is_Block_ELEMENTS}', "");
    Expect(1, 9632, '\P{-Is_Block_ELEMENTS}', "");
    Expect(0, 9632, '\P{^-Is_Block_ELEMENTS}', "");
    Error('\p{ :=In_Block_elements}');
    Error('\P{ :=In_Block_elements}');
    Expect(1, 9631, '\p{inblockelements}', "");
    Expect(0, 9631, '\p{^inblockelements}', "");
    Expect(0, 9631, '\P{inblockelements}', "");
    Expect(1, 9631, '\P{^inblockelements}', "");
    Expect(0, 9632, '\p{inblockelements}', "");
    Expect(1, 9632, '\p{^inblockelements}', "");
    Expect(1, 9632, '\P{inblockelements}', "");
    Expect(0, 9632, '\P{^inblockelements}', "");
    Expect(1, 9631, '\p{_	in_block_Elements}', "");
    Expect(0, 9631, '\p{^_	in_block_Elements}', "");
    Expect(0, 9631, '\P{_	in_block_Elements}', "");
    Expect(1, 9631, '\P{^_	in_block_Elements}', "");
    Expect(0, 9632, '\p{_	in_block_Elements}', "");
    Expect(1, 9632, '\p{^_	in_block_Elements}', "");
    Expect(1, 9632, '\P{_	in_block_Elements}', "");
    Expect(0, 9632, '\P{^_	in_block_Elements}', "");
    Error('\p{	-Bopomofo:=}');
    Error('\P{	-Bopomofo:=}');
    Expect(1, 65381, '\p{bopomofo}', "");
    Expect(0, 65381, '\p{^bopomofo}', "");
    Expect(0, 65381, '\P{bopomofo}', "");
    Expect(1, 65381, '\P{^bopomofo}', "");
    Expect(0, 65382, '\p{bopomofo}', "");
    Expect(1, 65382, '\p{^bopomofo}', "");
    Expect(1, 65382, '\P{bopomofo}', "");
    Expect(0, 65382, '\P{^bopomofo}', "");
    Expect(1, 65381, '\p{	BOPOMOFO}', "");
    Expect(0, 65381, '\p{^	BOPOMOFO}', "");
    Expect(0, 65381, '\P{	BOPOMOFO}', "");
    Expect(1, 65381, '\P{^	BOPOMOFO}', "");
    Expect(0, 65382, '\p{	BOPOMOFO}', "");
    Expect(1, 65382, '\p{^	BOPOMOFO}', "");
    Expect(1, 65382, '\P{	BOPOMOFO}', "");
    Expect(0, 65382, '\P{^	BOPOMOFO}', "");
    Error('\p{/a/	 Is_Bopomofo}');
    Error('\P{/a/	 Is_Bopomofo}');
    Expect(1, 65381, '\p{isbopomofo}', "");
    Expect(0, 65381, '\p{^isbopomofo}', "");
    Expect(0, 65381, '\P{isbopomofo}', "");
    Expect(1, 65381, '\P{^isbopomofo}', "");
    Expect(0, 65382, '\p{isbopomofo}', "");
    Expect(1, 65382, '\p{^isbopomofo}', "");
    Expect(1, 65382, '\P{isbopomofo}', "");
    Expect(0, 65382, '\P{^isbopomofo}', "");
    Expect(1, 65381, '\p{ -Is_BOPOMOFO}', "");
    Expect(0, 65381, '\p{^ -Is_BOPOMOFO}', "");
    Expect(0, 65381, '\P{ -Is_BOPOMOFO}', "");
    Expect(1, 65381, '\P{^ -Is_BOPOMOFO}', "");
    Expect(0, 65382, '\p{ -Is_BOPOMOFO}', "");
    Expect(1, 65382, '\p{^ -Is_BOPOMOFO}', "");
    Expect(1, 65382, '\P{ -Is_BOPOMOFO}', "");
    Expect(0, 65382, '\P{^ -Is_BOPOMOFO}', "");
    Error('\p{/a/ 	bopo}');
    Error('\P{/a/ 	bopo}');
    Expect(1, 65381, '\p{bopo}', "");
    Expect(0, 65381, '\p{^bopo}', "");
    Expect(0, 65381, '\P{bopo}', "");
    Expect(1, 65381, '\P{^bopo}', "");
    Expect(0, 65382, '\p{bopo}', "");
    Expect(1, 65382, '\p{^bopo}', "");
    Expect(1, 65382, '\P{bopo}', "");
    Expect(0, 65382, '\P{^bopo}', "");
    Expect(1, 65381, '\p{_-Bopo}', "");
    Expect(0, 65381, '\p{^_-Bopo}', "");
    Expect(0, 65381, '\P{_-Bopo}', "");
    Expect(1, 65381, '\P{^_-Bopo}', "");
    Expect(0, 65382, '\p{_-Bopo}', "");
    Expect(1, 65382, '\p{^_-Bopo}', "");
    Expect(1, 65382, '\P{_-Bopo}', "");
    Expect(0, 65382, '\P{^_-Bopo}', "");
    Error('\p{ /a/Is_Bopo}');
    Error('\P{ /a/Is_Bopo}');
    Expect(1, 65381, '\p{isbopo}', "");
    Expect(0, 65381, '\p{^isbopo}', "");
    Expect(0, 65381, '\P{isbopo}', "");
    Expect(1, 65381, '\P{^isbopo}', "");
    Expect(0, 65382, '\p{isbopo}', "");
    Expect(1, 65382, '\p{^isbopo}', "");
    Expect(1, 65382, '\P{isbopo}', "");
    Expect(0, 65382, '\P{^isbopo}', "");
    Expect(1, 65381, '\p{--Is_bopo}', "");
    Expect(0, 65381, '\p{^--Is_bopo}', "");
    Expect(0, 65381, '\P{--Is_bopo}', "");
    Expect(1, 65381, '\P{^--Is_bopo}', "");
    Expect(0, 65382, '\p{--Is_bopo}', "");
    Expect(1, 65382, '\p{^--Is_bopo}', "");
    Expect(1, 65382, '\P{--Is_bopo}', "");
    Expect(0, 65382, '\P{^--Is_bopo}', "");
    Error('\p{	-BOPOMOFO_Extended:=}');
    Error('\P{	-BOPOMOFO_Extended:=}');
    Expect(1, 12735, '\p{bopomofoextended}', "");
    Expect(0, 12735, '\p{^bopomofoextended}', "");
    Expect(0, 12735, '\P{bopomofoextended}', "");
    Expect(1, 12735, '\P{^bopomofoextended}', "");
    Expect(0, 12736, '\p{bopomofoextended}', "");
    Expect(1, 12736, '\p{^bopomofoextended}', "");
    Expect(1, 12736, '\P{bopomofoextended}', "");
    Expect(0, 12736, '\P{^bopomofoextended}', "");
    Expect(1, 12735, '\p{ -Bopomofo_Extended}', "");
    Expect(0, 12735, '\p{^ -Bopomofo_Extended}', "");
    Expect(0, 12735, '\P{ -Bopomofo_Extended}', "");
    Expect(1, 12735, '\P{^ -Bopomofo_Extended}', "");
    Expect(0, 12736, '\p{ -Bopomofo_Extended}', "");
    Expect(1, 12736, '\p{^ -Bopomofo_Extended}', "");
    Expect(1, 12736, '\P{ -Bopomofo_Extended}', "");
    Expect(0, 12736, '\P{^ -Bopomofo_Extended}', "");
    Error('\p{_ Is_Bopomofo_extended/a/}');
    Error('\P{_ Is_Bopomofo_extended/a/}');
    Expect(1, 12735, '\p{isbopomofoextended}', "");
    Expect(0, 12735, '\p{^isbopomofoextended}', "");
    Expect(0, 12735, '\P{isbopomofoextended}', "");
    Expect(1, 12735, '\P{^isbopomofoextended}', "");
    Expect(0, 12736, '\p{isbopomofoextended}', "");
    Expect(1, 12736, '\p{^isbopomofoextended}', "");
    Expect(1, 12736, '\P{isbopomofoextended}', "");
    Expect(0, 12736, '\P{^isbopomofoextended}', "");
    Expect(1, 12735, '\p{--IS_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12735, '\p{^--IS_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12735, '\P{--IS_BOPOMOFO_EXTENDED}', "");
    Expect(1, 12735, '\P{^--IS_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12736, '\p{--IS_BOPOMOFO_EXTENDED}', "");
    Expect(1, 12736, '\p{^--IS_BOPOMOFO_EXTENDED}', "");
    Expect(1, 12736, '\P{--IS_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12736, '\P{^--IS_BOPOMOFO_EXTENDED}', "");
    Error('\p{:=In_BOPOMOFO_Extended}');
    Error('\P{:=In_BOPOMOFO_Extended}');
    Expect(1, 12735, '\p{inbopomofoextended}', "");
    Expect(0, 12735, '\p{^inbopomofoextended}', "");
    Expect(0, 12735, '\P{inbopomofoextended}', "");
    Expect(1, 12735, '\P{^inbopomofoextended}', "");
    Expect(0, 12736, '\p{inbopomofoextended}', "");
    Expect(1, 12736, '\p{^inbopomofoextended}', "");
    Expect(1, 12736, '\P{inbopomofoextended}', "");
    Expect(0, 12736, '\P{^inbopomofoextended}', "");
    Expect(1, 12735, '\p{__In_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12735, '\p{^__In_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12735, '\P{__In_BOPOMOFO_EXTENDED}', "");
    Expect(1, 12735, '\P{^__In_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12736, '\p{__In_BOPOMOFO_EXTENDED}', "");
    Expect(1, 12736, '\p{^__In_BOPOMOFO_EXTENDED}', "");
    Expect(1, 12736, '\P{__In_BOPOMOFO_EXTENDED}', "");
    Expect(0, 12736, '\P{^__In_BOPOMOFO_EXTENDED}', "");
    Error('\p{	/a/Bopomofo_Ext}');
    Error('\P{	/a/Bopomofo_Ext}');
    Expect(1, 12735, '\p{bopomofoext}', "");
    Expect(0, 12735, '\p{^bopomofoext}', "");
    Expect(0, 12735, '\P{bopomofoext}', "");
    Expect(1, 12735, '\P{^bopomofoext}', "");
    Expect(0, 12736, '\p{bopomofoext}', "");
    Expect(1, 12736, '\p{^bopomofoext}', "");
    Expect(1, 12736, '\P{bopomofoext}', "");
    Expect(0, 12736, '\P{^bopomofoext}', "");
    Expect(1, 12735, '\p{_ bopomofo_EXT}', "");
    Expect(0, 12735, '\p{^_ bopomofo_EXT}', "");
    Expect(0, 12735, '\P{_ bopomofo_EXT}', "");
    Expect(1, 12735, '\P{^_ bopomofo_EXT}', "");
    Expect(0, 12736, '\p{_ bopomofo_EXT}', "");
    Expect(1, 12736, '\p{^_ bopomofo_EXT}', "");
    Expect(1, 12736, '\P{_ bopomofo_EXT}', "");
    Expect(0, 12736, '\P{^_ bopomofo_EXT}', "");
    Error('\p{-IS_Bopomofo_EXT/a/}');
    Error('\P{-IS_Bopomofo_EXT/a/}');
    Expect(1, 12735, '\p{isbopomofoext}', "");
    Expect(0, 12735, '\p{^isbopomofoext}', "");
    Expect(0, 12735, '\P{isbopomofoext}', "");
    Expect(1, 12735, '\P{^isbopomofoext}', "");
    Expect(0, 12736, '\p{isbopomofoext}', "");
    Expect(1, 12736, '\p{^isbopomofoext}', "");
    Expect(1, 12736, '\P{isbopomofoext}', "");
    Expect(0, 12736, '\P{^isbopomofoext}', "");
    Expect(1, 12735, '\p{ Is_Bopomofo_Ext}', "");
    Expect(0, 12735, '\p{^ Is_Bopomofo_Ext}', "");
    Expect(0, 12735, '\P{ Is_Bopomofo_Ext}', "");
    Expect(1, 12735, '\P{^ Is_Bopomofo_Ext}', "");
    Expect(0, 12736, '\p{ Is_Bopomofo_Ext}', "");
    Expect(1, 12736, '\p{^ Is_Bopomofo_Ext}', "");
    Expect(1, 12736, '\P{ Is_Bopomofo_Ext}', "");
    Expect(0, 12736, '\P{^ Is_Bopomofo_Ext}', "");
    Error('\p{-	In_Bopomofo_Ext/a/}');
    Error('\P{-	In_Bopomofo_Ext/a/}');
    Expect(1, 12735, '\p{inbopomofoext}', "");
    Expect(0, 12735, '\p{^inbopomofoext}', "");
    Expect(0, 12735, '\P{inbopomofoext}', "");
    Expect(1, 12735, '\P{^inbopomofoext}', "");
    Expect(0, 12736, '\p{inbopomofoext}', "");
    Expect(1, 12736, '\p{^inbopomofoext}', "");
    Expect(1, 12736, '\P{inbopomofoext}', "");
    Expect(0, 12736, '\P{^inbopomofoext}', "");
    Expect(1, 12735, '\p{-In_Bopomofo_Ext}', "");
    Expect(0, 12735, '\p{^-In_Bopomofo_Ext}', "");
    Expect(0, 12735, '\P{-In_Bopomofo_Ext}', "");
    Expect(1, 12735, '\P{^-In_Bopomofo_Ext}', "");
    Expect(0, 12736, '\p{-In_Bopomofo_Ext}', "");
    Expect(1, 12736, '\p{^-In_Bopomofo_Ext}', "");
    Expect(1, 12736, '\P{-In_Bopomofo_Ext}', "");
    Expect(0, 12736, '\P{^-In_Bopomofo_Ext}', "");
    Error('\p{/a/Box_drawing}');
    Error('\P{/a/Box_drawing}');
    Expect(1, 9599, '\p{boxdrawing}', "");
    Expect(0, 9599, '\p{^boxdrawing}', "");
    Expect(0, 9599, '\P{boxdrawing}', "");
    Expect(1, 9599, '\P{^boxdrawing}', "");
    Expect(0, 9600, '\p{boxdrawing}', "");
    Expect(1, 9600, '\p{^boxdrawing}', "");
    Expect(1, 9600, '\P{boxdrawing}', "");
    Expect(0, 9600, '\P{^boxdrawing}', "");
    Expect(1, 9599, '\p{	-box_Drawing}', "");
    Expect(0, 9599, '\p{^	-box_Drawing}', "");
    Expect(0, 9599, '\P{	-box_Drawing}', "");
    Expect(1, 9599, '\P{^	-box_Drawing}', "");
    Expect(0, 9600, '\p{	-box_Drawing}', "");
    Expect(1, 9600, '\p{^	-box_Drawing}', "");
    Expect(1, 9600, '\P{	-box_Drawing}', "");
    Expect(0, 9600, '\P{^	-box_Drawing}', "");
    Error('\p{	/a/Is_box_Drawing}');
    Error('\P{	/a/Is_box_Drawing}');
    Expect(1, 9599, '\p{isboxdrawing}', "");
    Expect(0, 9599, '\p{^isboxdrawing}', "");
    Expect(0, 9599, '\P{isboxdrawing}', "");
    Expect(1, 9599, '\P{^isboxdrawing}', "");
    Expect(0, 9600, '\p{isboxdrawing}', "");
    Expect(1, 9600, '\p{^isboxdrawing}', "");
    Expect(1, 9600, '\P{isboxdrawing}', "");
    Expect(0, 9600, '\P{^isboxdrawing}', "");
    Expect(1, 9599, '\p{ _is_Box_Drawing}', "");
    Expect(0, 9599, '\p{^ _is_Box_Drawing}', "");
    Expect(0, 9599, '\P{ _is_Box_Drawing}', "");
    Expect(1, 9599, '\P{^ _is_Box_Drawing}', "");
    Expect(0, 9600, '\p{ _is_Box_Drawing}', "");
    Expect(1, 9600, '\p{^ _is_Box_Drawing}', "");
    Expect(1, 9600, '\P{ _is_Box_Drawing}', "");
    Expect(0, 9600, '\P{^ _is_Box_Drawing}', "");
    Error('\p{/a/In_box_drawing}');
    Error('\P{/a/In_box_drawing}');
    Expect(1, 9599, '\p{inboxdrawing}', "");
    Expect(0, 9599, '\p{^inboxdrawing}', "");
    Expect(0, 9599, '\P{inboxdrawing}', "");
    Expect(1, 9599, '\P{^inboxdrawing}', "");
    Expect(0, 9600, '\p{inboxdrawing}', "");
    Expect(1, 9600, '\p{^inboxdrawing}', "");
    Expect(1, 9600, '\P{inboxdrawing}', "");
    Expect(0, 9600, '\P{^inboxdrawing}', "");
    Expect(1, 9599, '\p{	 In_Box_DRAWING}', "");
    Expect(0, 9599, '\p{^	 In_Box_DRAWING}', "");
    Expect(0, 9599, '\P{	 In_Box_DRAWING}', "");
    Expect(1, 9599, '\P{^	 In_Box_DRAWING}', "");
    Expect(0, 9600, '\p{	 In_Box_DRAWING}', "");
    Expect(1, 9600, '\p{^	 In_Box_DRAWING}', "");
    Expect(1, 9600, '\P{	 In_Box_DRAWING}', "");
    Expect(0, 9600, '\P{^	 In_Box_DRAWING}', "");
    Error('\p{/a/ -BRAHMI}');
    Error('\P{/a/ -BRAHMI}');
    Expect(1, 69759, '\p{brahmi}', "");
    Expect(0, 69759, '\p{^brahmi}', "");
    Expect(0, 69759, '\P{brahmi}', "");
    Expect(1, 69759, '\P{^brahmi}', "");
    Expect(0, 69760, '\p{brahmi}', "");
    Expect(1, 69760, '\p{^brahmi}', "");
    Expect(1, 69760, '\P{brahmi}', "");
    Expect(0, 69760, '\P{^brahmi}', "");
    Expect(1, 69759, '\p{-BRAHMI}', "");
    Expect(0, 69759, '\p{^-BRAHMI}', "");
    Expect(0, 69759, '\P{-BRAHMI}', "");
    Expect(1, 69759, '\P{^-BRAHMI}', "");
    Expect(0, 69760, '\p{-BRAHMI}', "");
    Expect(1, 69760, '\p{^-BRAHMI}', "");
    Expect(1, 69760, '\P{-BRAHMI}', "");
    Expect(0, 69760, '\P{^-BRAHMI}', "");
    Error('\p{:=	_Is_Brahmi}');
    Error('\P{:=	_Is_Brahmi}');
    Expect(1, 69759, '\p{isbrahmi}', "");
    Expect(0, 69759, '\p{^isbrahmi}', "");
    Expect(0, 69759, '\P{isbrahmi}', "");
    Expect(1, 69759, '\P{^isbrahmi}', "");
    Expect(0, 69760, '\p{isbrahmi}', "");
    Expect(1, 69760, '\p{^isbrahmi}', "");
    Expect(1, 69760, '\P{isbrahmi}', "");
    Expect(0, 69760, '\P{^isbrahmi}', "");
    Expect(1, 69759, '\p{_	Is_Brahmi}', "");
    Expect(0, 69759, '\p{^_	Is_Brahmi}', "");
    Expect(0, 69759, '\P{_	Is_Brahmi}', "");
    Expect(1, 69759, '\P{^_	Is_Brahmi}', "");
    Expect(0, 69760, '\p{_	Is_Brahmi}', "");
    Expect(1, 69760, '\p{^_	Is_Brahmi}', "");
    Expect(1, 69760, '\P{_	Is_Brahmi}', "");
    Expect(0, 69760, '\P{^_	Is_Brahmi}', "");
    Error('\p{_Brah:=}');
    Error('\P{_Brah:=}');
    Expect(1, 69759, '\p{brah}', "");
    Expect(0, 69759, '\p{^brah}', "");
    Expect(0, 69759, '\P{brah}', "");
    Expect(1, 69759, '\P{^brah}', "");
    Expect(0, 69760, '\p{brah}', "");
    Expect(1, 69760, '\p{^brah}', "");
    Expect(1, 69760, '\P{brah}', "");
    Expect(0, 69760, '\P{^brah}', "");
    Expect(1, 69759, '\p{--Brah}', "");
    Expect(0, 69759, '\p{^--Brah}', "");
    Expect(0, 69759, '\P{--Brah}', "");
    Expect(1, 69759, '\P{^--Brah}', "");
    Expect(0, 69760, '\p{--Brah}', "");
    Expect(1, 69760, '\p{^--Brah}', "");
    Expect(1, 69760, '\P{--Brah}', "");
    Expect(0, 69760, '\P{^--Brah}', "");
    Error('\p{:=is_Brah}');
    Error('\P{:=is_Brah}');
    Expect(1, 69759, '\p{isbrah}', "");
    Expect(0, 69759, '\p{^isbrah}', "");
    Expect(0, 69759, '\P{isbrah}', "");
    Expect(1, 69759, '\P{^isbrah}', "");
    Expect(0, 69760, '\p{isbrah}', "");
    Expect(1, 69760, '\p{^isbrah}', "");
    Expect(1, 69760, '\P{isbrah}', "");
    Expect(0, 69760, '\P{^isbrah}', "");
    Expect(1, 69759, '\p{ -Is_Brah}', "");
    Expect(0, 69759, '\p{^ -Is_Brah}', "");
    Expect(0, 69759, '\P{ -Is_Brah}', "");
    Expect(1, 69759, '\P{^ -Is_Brah}', "");
    Expect(0, 69760, '\p{ -Is_Brah}', "");
    Expect(1, 69760, '\p{^ -Is_Brah}', "");
    Expect(1, 69760, '\P{ -Is_Brah}', "");
    Expect(0, 69760, '\P{^ -Is_Brah}', "");
    Error('\p{/a/Braille}');
    Error('\P{/a/Braille}');
    Expect(1, 10495, '\p{braille}', "");
    Expect(0, 10495, '\p{^braille}', "");
    Expect(0, 10495, '\P{braille}', "");
    Expect(1, 10495, '\P{^braille}', "");
    Expect(0, 10496, '\p{braille}', "");
    Expect(1, 10496, '\p{^braille}', "");
    Expect(1, 10496, '\P{braille}', "");
    Expect(0, 10496, '\P{^braille}', "");
    Expect(1, 10495, '\p{-Braille}', "");
    Expect(0, 10495, '\p{^-Braille}', "");
    Expect(0, 10495, '\P{-Braille}', "");
    Expect(1, 10495, '\P{^-Braille}', "");
    Expect(0, 10496, '\p{-Braille}', "");
    Expect(1, 10496, '\p{^-Braille}', "");
    Expect(1, 10496, '\P{-Braille}', "");
    Expect(0, 10496, '\P{^-Braille}', "");
    Error('\p{ -IS_Braille/a/}');
    Error('\P{ -IS_Braille/a/}');
    Expect(1, 10495, '\p{isbraille}', "");
    Expect(0, 10495, '\p{^isbraille}', "");
    Expect(0, 10495, '\P{isbraille}', "");
    Expect(1, 10495, '\P{^isbraille}', "");
    Expect(0, 10496, '\p{isbraille}', "");
    Expect(1, 10496, '\p{^isbraille}', "");
    Expect(1, 10496, '\P{isbraille}', "");
    Expect(0, 10496, '\P{^isbraille}', "");
    Expect(1, 10495, '\p{_Is_Braille}', "");
    Expect(0, 10495, '\p{^_Is_Braille}', "");
    Expect(0, 10495, '\P{_Is_Braille}', "");
    Expect(1, 10495, '\P{^_Is_Braille}', "");
    Expect(0, 10496, '\p{_Is_Braille}', "");
    Expect(1, 10496, '\p{^_Is_Braille}', "");
    Expect(1, 10496, '\P{_Is_Braille}', "");
    Expect(0, 10496, '\P{^_Is_Braille}', "");
    Error('\p{-:=Brai}');
    Error('\P{-:=Brai}');
    Expect(1, 10495, '\p{brai}', "");
    Expect(0, 10495, '\p{^brai}', "");
    Expect(0, 10495, '\P{brai}', "");
    Expect(1, 10495, '\P{^brai}', "");
    Expect(0, 10496, '\p{brai}', "");
    Expect(1, 10496, '\p{^brai}', "");
    Expect(1, 10496, '\P{brai}', "");
    Expect(0, 10496, '\P{^brai}', "");
    Expect(1, 10495, '\p{ brai}', "");
    Expect(0, 10495, '\p{^ brai}', "");
    Expect(0, 10495, '\P{ brai}', "");
    Expect(1, 10495, '\P{^ brai}', "");
    Expect(0, 10496, '\p{ brai}', "");
    Expect(1, 10496, '\p{^ brai}', "");
    Expect(1, 10496, '\P{ brai}', "");
    Expect(0, 10496, '\P{^ brai}', "");
    Error('\p{/a/__IS_Brai}');
    Error('\P{/a/__IS_Brai}');
    Expect(1, 10495, '\p{isbrai}', "");
    Expect(0, 10495, '\p{^isbrai}', "");
    Expect(0, 10495, '\P{isbrai}', "");
    Expect(1, 10495, '\P{^isbrai}', "");
    Expect(0, 10496, '\p{isbrai}', "");
    Expect(1, 10496, '\p{^isbrai}', "");
    Expect(1, 10496, '\P{isbrai}', "");
    Expect(0, 10496, '\P{^isbrai}', "");
    Expect(1, 10495, '\p{-is_BRAI}', "");
    Expect(0, 10495, '\p{^-is_BRAI}', "");
    Expect(0, 10495, '\P{-is_BRAI}', "");
    Expect(1, 10495, '\P{^-is_BRAI}', "");
    Expect(0, 10496, '\p{-is_BRAI}', "");
    Expect(1, 10496, '\p{^-is_BRAI}', "");
    Expect(1, 10496, '\P{-is_BRAI}', "");
    Expect(0, 10496, '\P{^-is_BRAI}', "");
    Error('\p{	/a/BRAILLE_patterns}');
    Error('\P{	/a/BRAILLE_patterns}');
    Expect(1, 10495, '\p{braillepatterns}', "");
    Expect(0, 10495, '\p{^braillepatterns}', "");
    Expect(0, 10495, '\P{braillepatterns}', "");
    Expect(1, 10495, '\P{^braillepatterns}', "");
    Expect(0, 10496, '\p{braillepatterns}', "");
    Expect(1, 10496, '\p{^braillepatterns}', "");
    Expect(1, 10496, '\P{braillepatterns}', "");
    Expect(0, 10496, '\P{^braillepatterns}', "");
    Expect(1, 10495, '\p{	 Braille_Patterns}', "");
    Expect(0, 10495, '\p{^	 Braille_Patterns}', "");
    Expect(0, 10495, '\P{	 Braille_Patterns}', "");
    Expect(1, 10495, '\P{^	 Braille_Patterns}', "");
    Expect(0, 10496, '\p{	 Braille_Patterns}', "");
    Expect(1, 10496, '\p{^	 Braille_Patterns}', "");
    Expect(1, 10496, '\P{	 Braille_Patterns}', "");
    Expect(0, 10496, '\P{^	 Braille_Patterns}', "");
    Error('\p{ is_BRAILLE_PATTERNS:=}');
    Error('\P{ is_BRAILLE_PATTERNS:=}');
    Expect(1, 10495, '\p{isbraillepatterns}', "");
    Expect(0, 10495, '\p{^isbraillepatterns}', "");
    Expect(0, 10495, '\P{isbraillepatterns}', "");
    Expect(1, 10495, '\P{^isbraillepatterns}', "");
    Expect(0, 10496, '\p{isbraillepatterns}', "");
    Expect(1, 10496, '\p{^isbraillepatterns}', "");
    Expect(1, 10496, '\P{isbraillepatterns}', "");
    Expect(0, 10496, '\P{^isbraillepatterns}', "");
    Expect(1, 10495, '\p{Is_Braille_Patterns}', "");
    Expect(0, 10495, '\p{^Is_Braille_Patterns}', "");
    Expect(0, 10495, '\P{Is_Braille_Patterns}', "");
    Expect(1, 10495, '\P{^Is_Braille_Patterns}', "");
    Expect(0, 10496, '\p{Is_Braille_Patterns}', "");
    Expect(1, 10496, '\p{^Is_Braille_Patterns}', "");
    Expect(1, 10496, '\P{Is_Braille_Patterns}', "");
    Expect(0, 10496, '\P{^Is_Braille_Patterns}', "");
    Error('\p{/a/  IN_BRAILLE_Patterns}');
    Error('\P{/a/  IN_BRAILLE_Patterns}');
    Expect(1, 10495, '\p{inbraillepatterns}', "");
    Expect(0, 10495, '\p{^inbraillepatterns}', "");
    Expect(0, 10495, '\P{inbraillepatterns}', "");
    Expect(1, 10495, '\P{^inbraillepatterns}', "");
    Expect(0, 10496, '\p{inbraillepatterns}', "");
    Expect(1, 10496, '\p{^inbraillepatterns}', "");
    Expect(1, 10496, '\P{inbraillepatterns}', "");
    Expect(0, 10496, '\P{^inbraillepatterns}', "");
    Expect(1, 10495, '\p{-in_braille_patterns}', "");
    Expect(0, 10495, '\p{^-in_braille_patterns}', "");
    Expect(0, 10495, '\P{-in_braille_patterns}', "");
    Expect(1, 10495, '\P{^-in_braille_patterns}', "");
    Expect(0, 10496, '\p{-in_braille_patterns}', "");
    Expect(1, 10496, '\p{^-in_braille_patterns}', "");
    Expect(1, 10496, '\P{-in_braille_patterns}', "");
    Expect(0, 10496, '\P{^-in_braille_patterns}', "");
    Error('\p{:=In_Braille}');
    Error('\P{:=In_Braille}');
    Expect(1, 10495, '\p{inbraille}', "");
    Expect(0, 10495, '\p{^inbraille}', "");
    Expect(0, 10495, '\P{inbraille}', "");
    Expect(1, 10495, '\P{^inbraille}', "");
    Expect(0, 10496, '\p{inbraille}', "");
    Expect(1, 10496, '\p{^inbraille}', "");
    Expect(1, 10496, '\P{inbraille}', "");
    Expect(0, 10496, '\P{^inbraille}', "");
    Expect(1, 10495, '\p{-	in_BRAILLE}', "");
    Expect(0, 10495, '\p{^-	in_BRAILLE}', "");
    Expect(0, 10495, '\P{-	in_BRAILLE}', "");
    Expect(1, 10495, '\P{^-	in_BRAILLE}', "");
    Expect(0, 10496, '\p{-	in_BRAILLE}', "");
    Expect(1, 10496, '\p{^-	in_BRAILLE}', "");
    Expect(1, 10496, '\P{-	in_BRAILLE}', "");
    Expect(0, 10496, '\P{^-	in_BRAILLE}', "");
    Error('\p{:=  buginese}');
    Error('\P{:=  buginese}');
    Expect(1, 43471, '\p{buginese}', "");
    Expect(0, 43471, '\p{^buginese}', "");
    Expect(0, 43471, '\P{buginese}', "");
    Expect(1, 43471, '\P{^buginese}', "");
    Expect(0, 43472, '\p{buginese}', "");
    Expect(1, 43472, '\p{^buginese}', "");
    Expect(1, 43472, '\P{buginese}', "");
    Expect(0, 43472, '\P{^buginese}', "");
    Expect(1, 43471, '\p{	Buginese}', "");
    Expect(0, 43471, '\p{^	Buginese}', "");
    Expect(0, 43471, '\P{	Buginese}', "");
    Expect(1, 43471, '\P{^	Buginese}', "");
    Expect(0, 43472, '\p{	Buginese}', "");
    Expect(1, 43472, '\p{^	Buginese}', "");
    Expect(1, 43472, '\P{	Buginese}', "");
    Expect(0, 43472, '\P{^	Buginese}', "");
    Error('\p{ :=Is_Buginese}');
    Error('\P{ :=Is_Buginese}');
    Expect(1, 43471, '\p{isbuginese}', "");
    Expect(0, 43471, '\p{^isbuginese}', "");
    Expect(0, 43471, '\P{isbuginese}', "");
    Expect(1, 43471, '\P{^isbuginese}', "");
    Expect(0, 43472, '\p{isbuginese}', "");
    Expect(1, 43472, '\p{^isbuginese}', "");
    Expect(1, 43472, '\P{isbuginese}', "");
    Expect(0, 43472, '\P{^isbuginese}', "");
    Expect(1, 43471, '\p{-_Is_buginese}', "");
    Expect(0, 43471, '\p{^-_Is_buginese}', "");
    Expect(0, 43471, '\P{-_Is_buginese}', "");
    Expect(1, 43471, '\P{^-_Is_buginese}', "");
    Expect(0, 43472, '\p{-_Is_buginese}', "");
    Expect(1, 43472, '\p{^-_Is_buginese}', "");
    Expect(1, 43472, '\P{-_Is_buginese}', "");
    Expect(0, 43472, '\P{^-_Is_buginese}', "");
    Error('\p{/a/bugi}');
    Error('\P{/a/bugi}');
    Expect(1, 43471, '\p{bugi}', "");
    Expect(0, 43471, '\p{^bugi}', "");
    Expect(0, 43471, '\P{bugi}', "");
    Expect(1, 43471, '\P{^bugi}', "");
    Expect(0, 43472, '\p{bugi}', "");
    Expect(1, 43472, '\p{^bugi}', "");
    Expect(1, 43472, '\P{bugi}', "");
    Expect(0, 43472, '\P{^bugi}', "");
    Expect(1, 43471, '\p{-BUGI}', "");
    Expect(0, 43471, '\p{^-BUGI}', "");
    Expect(0, 43471, '\P{-BUGI}', "");
    Expect(1, 43471, '\P{^-BUGI}', "");
    Expect(0, 43472, '\p{-BUGI}', "");
    Expect(1, 43472, '\p{^-BUGI}', "");
    Expect(1, 43472, '\P{-BUGI}', "");
    Expect(0, 43472, '\P{^-BUGI}', "");
    Error('\p{/a/- IS_bugi}');
    Error('\P{/a/- IS_bugi}');
    Expect(1, 43471, '\p{isbugi}', "");
    Expect(0, 43471, '\p{^isbugi}', "");
    Expect(0, 43471, '\P{isbugi}', "");
    Expect(1, 43471, '\P{^isbugi}', "");
    Expect(0, 43472, '\p{isbugi}', "");
    Expect(1, 43472, '\p{^isbugi}', "");
    Expect(1, 43472, '\P{isbugi}', "");
    Expect(0, 43472, '\P{^isbugi}', "");
    Expect(1, 43471, '\p{- is_Bugi}', "");
    Expect(0, 43471, '\p{^- is_Bugi}', "");
    Expect(0, 43471, '\P{- is_Bugi}', "");
    Expect(1, 43471, '\P{^- is_Bugi}', "");
    Expect(0, 43472, '\p{- is_Bugi}', "");
    Expect(1, 43472, '\p{^- is_Bugi}', "");
    Expect(1, 43472, '\P{- is_Bugi}', "");
    Expect(0, 43472, '\P{^- is_Bugi}', "");
    Error('\p{:= Buhid}');
    Error('\P{:= Buhid}');
    Expect(1, 5971, '\p{buhid}', "");
    Expect(0, 5971, '\p{^buhid}', "");
    Expect(0, 5971, '\P{buhid}', "");
    Expect(1, 5971, '\P{^buhid}', "");
    Expect(0, 5972, '\p{buhid}', "");
    Expect(1, 5972, '\p{^buhid}', "");
    Expect(1, 5972, '\P{buhid}', "");
    Expect(0, 5972, '\P{^buhid}', "");
    Expect(1, 5971, '\p{	Buhid}', "");
    Expect(0, 5971, '\p{^	Buhid}', "");
    Expect(0, 5971, '\P{	Buhid}', "");
    Expect(1, 5971, '\P{^	Buhid}', "");
    Expect(0, 5972, '\p{	Buhid}', "");
    Expect(1, 5972, '\p{^	Buhid}', "");
    Expect(1, 5972, '\P{	Buhid}', "");
    Expect(0, 5972, '\P{^	Buhid}', "");
    Error('\p{ :=Is_buhid}');
    Error('\P{ :=Is_buhid}');
    Expect(1, 5971, '\p{isbuhid}', "");
    Expect(0, 5971, '\p{^isbuhid}', "");
    Expect(0, 5971, '\P{isbuhid}', "");
    Expect(1, 5971, '\P{^isbuhid}', "");
    Expect(0, 5972, '\p{isbuhid}', "");
    Expect(1, 5972, '\p{^isbuhid}', "");
    Expect(1, 5972, '\P{isbuhid}', "");
    Expect(0, 5972, '\P{^isbuhid}', "");
    Expect(1, 5971, '\p{Is_Buhid}', "");
    Expect(0, 5971, '\p{^Is_Buhid}', "");
    Expect(0, 5971, '\P{Is_Buhid}', "");
    Expect(1, 5971, '\P{^Is_Buhid}', "");
    Expect(0, 5972, '\p{Is_Buhid}', "");
    Expect(1, 5972, '\p{^Is_Buhid}', "");
    Expect(1, 5972, '\P{Is_Buhid}', "");
    Expect(0, 5972, '\P{^Is_Buhid}', "");
    Error('\p{_ Buhd:=}');
    Error('\P{_ Buhd:=}');
    Expect(1, 5971, '\p{buhd}', "");
    Expect(0, 5971, '\p{^buhd}', "");
    Expect(0, 5971, '\P{buhd}', "");
    Expect(1, 5971, '\P{^buhd}', "");
    Expect(0, 5972, '\p{buhd}', "");
    Expect(1, 5972, '\p{^buhd}', "");
    Expect(1, 5972, '\P{buhd}', "");
    Expect(0, 5972, '\P{^buhd}', "");
    Expect(1, 5971, '\p{-buhd}', "");
    Expect(0, 5971, '\p{^-buhd}', "");
    Expect(0, 5971, '\P{-buhd}', "");
    Expect(1, 5971, '\P{^-buhd}', "");
    Expect(0, 5972, '\p{-buhd}', "");
    Expect(1, 5972, '\p{^-buhd}', "");
    Expect(1, 5972, '\P{-buhd}', "");
    Expect(0, 5972, '\P{^-buhd}', "");
    Error('\p{	:=Is_Buhd}');
    Error('\P{	:=Is_Buhd}');
    Expect(1, 5971, '\p{isbuhd}', "");
    Expect(0, 5971, '\p{^isbuhd}', "");
    Expect(0, 5971, '\P{isbuhd}', "");
    Expect(1, 5971, '\P{^isbuhd}', "");
    Expect(0, 5972, '\p{isbuhd}', "");
    Expect(1, 5972, '\p{^isbuhd}', "");
    Expect(1, 5972, '\P{isbuhd}', "");
    Expect(0, 5972, '\P{^isbuhd}', "");
    Expect(1, 5971, '\p{- is_BUHD}', "");
    Expect(0, 5971, '\p{^- is_BUHD}', "");
    Expect(0, 5971, '\P{- is_BUHD}', "");
    Expect(1, 5971, '\P{^- is_BUHD}', "");
    Expect(0, 5972, '\p{- is_BUHD}', "");
    Expect(1, 5972, '\p{^- is_BUHD}', "");
    Expect(1, 5972, '\P{- is_BUHD}', "");
    Expect(0, 5972, '\P{^- is_BUHD}', "");
    Error('\p{	byzantine_Musical_symbols:=}');
    Error('\P{	byzantine_Musical_symbols:=}');
    Expect(1, 119039, '\p{byzantinemusicalsymbols}', "");
    Expect(0, 119039, '\p{^byzantinemusicalsymbols}', "");
    Expect(0, 119039, '\P{byzantinemusicalsymbols}', "");
    Expect(1, 119039, '\P{^byzantinemusicalsymbols}', "");
    Expect(0, 119040, '\p{byzantinemusicalsymbols}', "");
    Expect(1, 119040, '\p{^byzantinemusicalsymbols}', "");
    Expect(1, 119040, '\P{byzantinemusicalsymbols}', "");
    Expect(0, 119040, '\P{^byzantinemusicalsymbols}', "");
    Expect(1, 119039, '\p{ _BYZANTINE_Musical_SYMBOLS}', "");
    Expect(0, 119039, '\p{^ _BYZANTINE_Musical_SYMBOLS}', "");
    Expect(0, 119039, '\P{ _BYZANTINE_Musical_SYMBOLS}', "");
    Expect(1, 119039, '\P{^ _BYZANTINE_Musical_SYMBOLS}', "");
    Expect(0, 119040, '\p{ _BYZANTINE_Musical_SYMBOLS}', "");
    Expect(1, 119040, '\p{^ _BYZANTINE_Musical_SYMBOLS}', "");
    Expect(1, 119040, '\P{ _BYZANTINE_Musical_SYMBOLS}', "");
    Expect(0, 119040, '\P{^ _BYZANTINE_Musical_SYMBOLS}', "");
    Error('\p{/a/	Is_byzantine_Musical_Symbols}');
    Error('\P{/a/	Is_byzantine_Musical_Symbols}');
    Expect(1, 119039, '\p{isbyzantinemusicalsymbols}', "");
    Expect(0, 119039, '\p{^isbyzantinemusicalsymbols}', "");
    Expect(0, 119039, '\P{isbyzantinemusicalsymbols}', "");
    Expect(1, 119039, '\P{^isbyzantinemusicalsymbols}', "");
    Expect(0, 119040, '\p{isbyzantinemusicalsymbols}', "");
    Expect(1, 119040, '\p{^isbyzantinemusicalsymbols}', "");
    Expect(1, 119040, '\P{isbyzantinemusicalsymbols}', "");
    Expect(0, 119040, '\P{^isbyzantinemusicalsymbols}', "");
    Expect(1, 119039, '\p{		Is_byzantine_Musical_Symbols}', "");
    Expect(0, 119039, '\p{^		Is_byzantine_Musical_Symbols}', "");
    Expect(0, 119039, '\P{		Is_byzantine_Musical_Symbols}', "");
    Expect(1, 119039, '\P{^		Is_byzantine_Musical_Symbols}', "");
    Expect(0, 119040, '\p{		Is_byzantine_Musical_Symbols}', "");
    Expect(1, 119040, '\p{^		Is_byzantine_Musical_Symbols}', "");
    Expect(1, 119040, '\P{		Is_byzantine_Musical_Symbols}', "");
    Expect(0, 119040, '\P{^		Is_byzantine_Musical_Symbols}', "");
    Error('\p{- In_Byzantine_musical_symbols:=}');
    Error('\P{- In_Byzantine_musical_symbols:=}');
    Expect(1, 119039, '\p{inbyzantinemusicalsymbols}', "");
    Expect(0, 119039, '\p{^inbyzantinemusicalsymbols}', "");
    Expect(0, 119039, '\P{inbyzantinemusicalsymbols}', "");
    Expect(1, 119039, '\P{^inbyzantinemusicalsymbols}', "");
    Expect(0, 119040, '\p{inbyzantinemusicalsymbols}', "");
    Expect(1, 119040, '\p{^inbyzantinemusicalsymbols}', "");
    Expect(1, 119040, '\P{inbyzantinemusicalsymbols}', "");
    Expect(0, 119040, '\P{^inbyzantinemusicalsymbols}', "");
    Expect(1, 119039, '\p{-in_Byzantine_Musical_Symbols}', "");
    Expect(0, 119039, '\p{^-in_Byzantine_Musical_Symbols}', "");
    Expect(0, 119039, '\P{-in_Byzantine_Musical_Symbols}', "");
    Expect(1, 119039, '\P{^-in_Byzantine_Musical_Symbols}', "");
    Expect(0, 119040, '\p{-in_Byzantine_Musical_Symbols}', "");
    Expect(1, 119040, '\p{^-in_Byzantine_Musical_Symbols}', "");
    Expect(1, 119040, '\P{-in_Byzantine_Musical_Symbols}', "");
    Expect(0, 119040, '\P{^-in_Byzantine_Musical_Symbols}', "");
    Error('\p{_-BYZANTINE_music:=}');
    Error('\P{_-BYZANTINE_music:=}');
    Expect(1, 119039, '\p{byzantinemusic}', "");
    Expect(0, 119039, '\p{^byzantinemusic}', "");
    Expect(0, 119039, '\P{byzantinemusic}', "");
    Expect(1, 119039, '\P{^byzantinemusic}', "");
    Expect(0, 119040, '\p{byzantinemusic}', "");
    Expect(1, 119040, '\p{^byzantinemusic}', "");
    Expect(1, 119040, '\P{byzantinemusic}', "");
    Expect(0, 119040, '\P{^byzantinemusic}', "");
    Expect(1, 119039, '\p{- BYZANTINE_music}', "");
    Expect(0, 119039, '\p{^- BYZANTINE_music}', "");
    Expect(0, 119039, '\P{- BYZANTINE_music}', "");
    Expect(1, 119039, '\P{^- BYZANTINE_music}', "");
    Expect(0, 119040, '\p{- BYZANTINE_music}', "");
    Expect(1, 119040, '\p{^- BYZANTINE_music}', "");
    Expect(1, 119040, '\P{- BYZANTINE_music}', "");
    Expect(0, 119040, '\P{^- BYZANTINE_music}', "");
    Error('\p{-/a/IS_Byzantine_Music}');
    Error('\P{-/a/IS_Byzantine_Music}');
    Expect(1, 119039, '\p{isbyzantinemusic}', "");
    Expect(0, 119039, '\p{^isbyzantinemusic}', "");
    Expect(0, 119039, '\P{isbyzantinemusic}', "");
    Expect(1, 119039, '\P{^isbyzantinemusic}', "");
    Expect(0, 119040, '\p{isbyzantinemusic}', "");
    Expect(1, 119040, '\p{^isbyzantinemusic}', "");
    Expect(1, 119040, '\P{isbyzantinemusic}', "");
    Expect(0, 119040, '\P{^isbyzantinemusic}', "");
    Expect(1, 119039, '\p{ is_Byzantine_Music}', "");
    Expect(0, 119039, '\p{^ is_Byzantine_Music}', "");
    Expect(0, 119039, '\P{ is_Byzantine_Music}', "");
    Expect(1, 119039, '\P{^ is_Byzantine_Music}', "");
    Expect(0, 119040, '\p{ is_Byzantine_Music}', "");
    Expect(1, 119040, '\p{^ is_Byzantine_Music}', "");
    Expect(1, 119040, '\P{ is_Byzantine_Music}', "");
    Expect(0, 119040, '\P{^ is_Byzantine_Music}', "");
    Error('\p{:=--In_Byzantine_music}');
    Error('\P{:=--In_Byzantine_music}');
    Expect(1, 119039, '\p{inbyzantinemusic}', "");
    Expect(0, 119039, '\p{^inbyzantinemusic}', "");
    Expect(0, 119039, '\P{inbyzantinemusic}', "");
    Expect(1, 119039, '\P{^inbyzantinemusic}', "");
    Expect(0, 119040, '\p{inbyzantinemusic}', "");
    Expect(1, 119040, '\p{^inbyzantinemusic}', "");
    Expect(1, 119040, '\P{inbyzantinemusic}', "");
    Expect(0, 119040, '\P{^inbyzantinemusic}', "");
    Expect(1, 119039, '\p{	 In_byzantine_Music}', "");
    Expect(0, 119039, '\p{^	 In_byzantine_Music}', "");
    Expect(0, 119039, '\P{	 In_byzantine_Music}', "");
    Expect(1, 119039, '\P{^	 In_byzantine_Music}', "");
    Expect(0, 119040, '\p{	 In_byzantine_Music}', "");
    Expect(1, 119040, '\p{^	 In_byzantine_Music}', "");
    Expect(1, 119040, '\P{	 In_byzantine_Music}', "");
    Expect(0, 119040, '\P{^	 In_byzantine_Music}', "");
    Error('\p{:=-Canadian_Aboriginal}');
    Error('\P{:=-Canadian_Aboriginal}');
    Expect(1, 72383, '\p{canadianaboriginal}', "");
    Expect(0, 72383, '\p{^canadianaboriginal}', "");
    Expect(0, 72383, '\P{canadianaboriginal}', "");
    Expect(1, 72383, '\P{^canadianaboriginal}', "");
    Expect(0, 72384, '\p{canadianaboriginal}', "");
    Expect(1, 72384, '\p{^canadianaboriginal}', "");
    Expect(1, 72384, '\P{canadianaboriginal}', "");
    Expect(0, 72384, '\P{^canadianaboriginal}', "");
    Expect(1, 72383, '\p{-Canadian_Aboriginal}', "");
    Expect(0, 72383, '\p{^-Canadian_Aboriginal}', "");
    Expect(0, 72383, '\P{-Canadian_Aboriginal}', "");
    Expect(1, 72383, '\P{^-Canadian_Aboriginal}', "");
    Expect(0, 72384, '\p{-Canadian_Aboriginal}', "");
    Expect(1, 72384, '\p{^-Canadian_Aboriginal}', "");
    Expect(1, 72384, '\P{-Canadian_Aboriginal}', "");
    Expect(0, 72384, '\P{^-Canadian_Aboriginal}', "");
    Error('\p{:=- is_canadian_Aboriginal}');
    Error('\P{:=- is_canadian_Aboriginal}');
    Expect(1, 72383, '\p{iscanadianaboriginal}', "");
    Expect(0, 72383, '\p{^iscanadianaboriginal}', "");
    Expect(0, 72383, '\P{iscanadianaboriginal}', "");
    Expect(1, 72383, '\P{^iscanadianaboriginal}', "");
    Expect(0, 72384, '\p{iscanadianaboriginal}', "");
    Expect(1, 72384, '\p{^iscanadianaboriginal}', "");
    Expect(1, 72384, '\P{iscanadianaboriginal}', "");
    Expect(0, 72384, '\P{^iscanadianaboriginal}', "");
    Expect(1, 72383, '\p{_ IS_Canadian_Aboriginal}', "");
    Expect(0, 72383, '\p{^_ IS_Canadian_Aboriginal}', "");
    Expect(0, 72383, '\P{_ IS_Canadian_Aboriginal}', "");
    Expect(1, 72383, '\P{^_ IS_Canadian_Aboriginal}', "");
    Expect(0, 72384, '\p{_ IS_Canadian_Aboriginal}', "");
    Expect(1, 72384, '\p{^_ IS_Canadian_Aboriginal}', "");
    Expect(1, 72384, '\P{_ IS_Canadian_Aboriginal}', "");
    Expect(0, 72384, '\P{^_ IS_Canadian_Aboriginal}', "");
    Error('\p{/a/Cans}');
    Error('\P{/a/Cans}');
    Expect(1, 72383, '\p{cans}', "");
    Expect(0, 72383, '\p{^cans}', "");
    Expect(0, 72383, '\P{cans}', "");
    Expect(1, 72383, '\P{^cans}', "");
    Expect(0, 72384, '\p{cans}', "");
    Expect(1, 72384, '\p{^cans}', "");
    Expect(1, 72384, '\P{cans}', "");
    Expect(0, 72384, '\P{^cans}', "");
    Expect(1, 72383, '\p{_-Cans}', "");
    Expect(0, 72383, '\p{^_-Cans}', "");
    Expect(0, 72383, '\P{_-Cans}', "");
    Expect(1, 72383, '\P{^_-Cans}', "");
    Expect(0, 72384, '\p{_-Cans}', "");
    Expect(1, 72384, '\p{^_-Cans}', "");
    Expect(1, 72384, '\P{_-Cans}', "");
    Expect(0, 72384, '\P{^_-Cans}', "");
    Error('\p{--Is_Cans/a/}');
    Error('\P{--Is_Cans/a/}');
    Expect(1, 72383, '\p{iscans}', "");
    Expect(0, 72383, '\p{^iscans}', "");
    Expect(0, 72383, '\P{iscans}', "");
    Expect(1, 72383, '\P{^iscans}', "");
    Expect(0, 72384, '\p{iscans}', "");
    Expect(1, 72384, '\p{^iscans}', "");
    Expect(1, 72384, '\P{iscans}', "");
    Expect(0, 72384, '\P{^iscans}', "");
    Expect(1, 72383, '\p{_is_Cans}', "");
    Expect(0, 72383, '\p{^_is_Cans}', "");
    Expect(0, 72383, '\P{_is_Cans}', "");
    Expect(1, 72383, '\P{^_is_Cans}', "");
    Expect(0, 72384, '\p{_is_Cans}', "");
    Expect(1, 72384, '\p{^_is_Cans}', "");
    Expect(1, 72384, '\P{_is_Cans}', "");
    Expect(0, 72384, '\P{^_is_Cans}', "");
    Error('\p{:=	 Carian}');
    Error('\P{:=	 Carian}');
    Expect(1, 66256, '\p{carian}', "");
    Expect(0, 66256, '\p{^carian}', "");
    Expect(0, 66256, '\P{carian}', "");
    Expect(1, 66256, '\P{^carian}', "");
    Expect(0, 66257, '\p{carian}', "");
    Expect(1, 66257, '\p{^carian}', "");
    Expect(1, 66257, '\P{carian}', "");
    Expect(0, 66257, '\P{^carian}', "");
    Expect(1, 66256, '\p{-Carian}', "");
    Expect(0, 66256, '\p{^-Carian}', "");
    Expect(0, 66256, '\P{-Carian}', "");
    Expect(1, 66256, '\P{^-Carian}', "");
    Expect(0, 66257, '\p{-Carian}', "");
    Expect(1, 66257, '\p{^-Carian}', "");
    Expect(1, 66257, '\P{-Carian}', "");
    Expect(0, 66257, '\P{^-Carian}', "");
    Error('\p{ -IS_carian/a/}');
    Error('\P{ -IS_carian/a/}');
    Expect(1, 66256, '\p{iscarian}', "");
    Expect(0, 66256, '\p{^iscarian}', "");
    Expect(0, 66256, '\P{iscarian}', "");
    Expect(1, 66256, '\P{^iscarian}', "");
    Expect(0, 66257, '\p{iscarian}', "");
    Expect(1, 66257, '\p{^iscarian}', "");
    Expect(1, 66257, '\P{iscarian}', "");
    Expect(0, 66257, '\P{^iscarian}', "");
    Expect(1, 66256, '\p{ IS_carian}', "");
    Expect(0, 66256, '\p{^ IS_carian}', "");
    Expect(0, 66256, '\P{ IS_carian}', "");
    Expect(1, 66256, '\P{^ IS_carian}', "");
    Expect(0, 66257, '\p{ IS_carian}', "");
    Expect(1, 66257, '\p{^ IS_carian}', "");
    Expect(1, 66257, '\P{ IS_carian}', "");
    Expect(0, 66257, '\P{^ IS_carian}', "");
    Error('\p{__CARI/a/}');
    Error('\P{__CARI/a/}');
    Expect(1, 66256, '\p{cari}', "");
    Expect(0, 66256, '\p{^cari}', "");
    Expect(0, 66256, '\P{cari}', "");
    Expect(1, 66256, '\P{^cari}', "");
    Expect(0, 66257, '\p{cari}', "");
    Expect(1, 66257, '\p{^cari}', "");
    Expect(1, 66257, '\P{cari}', "");
    Expect(0, 66257, '\P{^cari}', "");
    Expect(1, 66256, '\p{	 Cari}', "");
    Expect(0, 66256, '\p{^	 Cari}', "");
    Expect(0, 66256, '\P{	 Cari}', "");
    Expect(1, 66256, '\P{^	 Cari}', "");
    Expect(0, 66257, '\p{	 Cari}', "");
    Expect(1, 66257, '\p{^	 Cari}', "");
    Expect(1, 66257, '\P{	 Cari}', "");
    Expect(0, 66257, '\P{^	 Cari}', "");
    Error('\p{	Is_CARI:=}');
    Error('\P{	Is_CARI:=}');
    Expect(1, 66256, '\p{iscari}', "");
    Expect(0, 66256, '\p{^iscari}', "");
    Expect(0, 66256, '\P{iscari}', "");
    Expect(1, 66256, '\P{^iscari}', "");
    Expect(0, 66257, '\p{iscari}', "");
    Expect(1, 66257, '\p{^iscari}', "");
    Expect(1, 66257, '\P{iscari}', "");
    Expect(0, 66257, '\P{^iscari}', "");
    Expect(1, 66256, '\p{	Is_Cari}', "");
    Expect(0, 66256, '\p{^	Is_Cari}', "");
    Expect(0, 66256, '\P{	Is_Cari}', "");
    Expect(1, 66256, '\P{^	Is_Cari}', "");
    Expect(0, 66257, '\p{	Is_Cari}', "");
    Expect(1, 66257, '\p{^	Is_Cari}', "");
    Expect(1, 66257, '\P{	Is_Cari}', "");
    Expect(0, 66257, '\P{^	Is_Cari}', "");
    Error('\p{/a/  Case_Ignorable}');
    Error('\P{/a/  Case_Ignorable}');
    Expect(1, 917999, '\p{caseignorable}', "");
    Expect(0, 917999, '\p{^caseignorable}', "");
    Expect(0, 917999, '\P{caseignorable}', "");
    Expect(1, 917999, '\P{^caseignorable}', "");
    Expect(0, 918000, '\p{caseignorable}', "");
    Expect(1, 918000, '\p{^caseignorable}', "");
    Expect(1, 918000, '\P{caseignorable}', "");
    Expect(0, 918000, '\P{^caseignorable}', "");
    Expect(1, 917999, '\p{ case_Ignorable}', "");
    Expect(0, 917999, '\p{^ case_Ignorable}', "");
    Expect(0, 917999, '\P{ case_Ignorable}', "");
    Expect(1, 917999, '\P{^ case_Ignorable}', "");
    Expect(0, 918000, '\p{ case_Ignorable}', "");
    Expect(1, 918000, '\p{^ case_Ignorable}', "");
    Expect(1, 918000, '\P{ case_Ignorable}', "");
    Expect(0, 918000, '\P{^ case_Ignorable}', "");
    Error('\p{:=-is_Case_Ignorable}');
    Error('\P{:=-is_Case_Ignorable}');
    Expect(1, 917999, '\p{iscaseignorable}', "");
    Expect(0, 917999, '\p{^iscaseignorable}', "");
    Expect(0, 917999, '\P{iscaseignorable}', "");
    Expect(1, 917999, '\P{^iscaseignorable}', "");
    Expect(0, 918000, '\p{iscaseignorable}', "");
    Expect(1, 918000, '\p{^iscaseignorable}', "");
    Expect(1, 918000, '\P{iscaseignorable}', "");
    Expect(0, 918000, '\P{^iscaseignorable}', "");
    Expect(1, 917999, '\p{-_Is_Case_Ignorable}', "");
    Expect(0, 917999, '\p{^-_Is_Case_Ignorable}', "");
    Expect(0, 917999, '\P{-_Is_Case_Ignorable}', "");
    Expect(1, 917999, '\P{^-_Is_Case_Ignorable}', "");
    Expect(0, 918000, '\p{-_Is_Case_Ignorable}', "");
    Expect(1, 918000, '\p{^-_Is_Case_Ignorable}', "");
    Expect(1, 918000, '\P{-_Is_Case_Ignorable}', "");
    Expect(0, 918000, '\P{^-_Is_Case_Ignorable}', "");
    Error('\p{ ci:=}');
    Error('\P{ ci:=}');
    Expect(1, 917999, '\p{ci}', "");
    Expect(0, 917999, '\p{^ci}', "");
    Expect(0, 917999, '\P{ci}', "");
    Expect(1, 917999, '\P{^ci}', "");
    Expect(0, 918000, '\p{ci}', "");
    Expect(1, 918000, '\p{^ci}', "");
    Expect(1, 918000, '\P{ci}', "");
    Expect(0, 918000, '\P{^ci}', "");
    Expect(1, 917999, '\p{ 	ci}', "");
    Expect(0, 917999, '\p{^ 	ci}', "");
    Expect(0, 917999, '\P{ 	ci}', "");
    Expect(1, 917999, '\P{^ 	ci}', "");
    Expect(0, 918000, '\p{ 	ci}', "");
    Expect(1, 918000, '\p{^ 	ci}', "");
    Expect(1, 918000, '\P{ 	ci}', "");
    Expect(0, 918000, '\P{^ 	ci}', "");
    Error('\p{--Is_ci/a/}');
    Error('\P{--Is_ci/a/}');
    Expect(1, 917999, '\p{isci}', "");
    Expect(0, 917999, '\p{^isci}', "");
    Expect(0, 917999, '\P{isci}', "");
    Expect(1, 917999, '\P{^isci}', "");
    Expect(0, 918000, '\p{isci}', "");
    Expect(1, 918000, '\p{^isci}', "");
    Expect(1, 918000, '\P{isci}', "");
    Expect(0, 918000, '\P{^isci}', "");
    Expect(1, 917999, '\p{__IS_CI}', "");
    Expect(0, 917999, '\p{^__IS_CI}', "");
    Expect(0, 917999, '\P{__IS_CI}', "");
    Expect(1, 917999, '\P{^__IS_CI}', "");
    Expect(0, 918000, '\p{__IS_CI}', "");
    Expect(1, 918000, '\p{^__IS_CI}', "");
    Expect(1, 918000, '\P{__IS_CI}', "");
    Expect(0, 918000, '\P{^__IS_CI}', "");
    Error('\p{	_Cased/a/}');
    Error('\P{	_Cased/a/}');
    Expect(1, 127369, '\p{cased}', "");
    Expect(0, 127369, '\p{^cased}', "");
    Expect(0, 127369, '\P{cased}', "");
    Expect(1, 127369, '\P{^cased}', "");
    Expect(0, 127370, '\p{cased}', "");
    Expect(1, 127370, '\p{^cased}', "");
    Expect(1, 127370, '\P{cased}', "");
    Expect(0, 127370, '\P{^cased}', "");
    Expect(1, 127369, '\p{-CASED}', "");
    Expect(0, 127369, '\p{^-CASED}', "");
    Expect(0, 127369, '\P{-CASED}', "");
    Expect(1, 127369, '\P{^-CASED}', "");
    Expect(0, 127370, '\p{-CASED}', "");
    Expect(1, 127370, '\p{^-CASED}', "");
    Expect(1, 127370, '\P{-CASED}', "");
    Expect(0, 127370, '\P{^-CASED}', "");
    Error('\p{:=-Is_CASED}');
    Error('\P{:=-Is_CASED}');
    Expect(1, 127369, '\p{iscased}', "");
    Expect(0, 127369, '\p{^iscased}', "");
    Expect(0, 127369, '\P{iscased}', "");
    Expect(1, 127369, '\P{^iscased}', "");
    Expect(0, 127370, '\p{iscased}', "");
    Expect(1, 127370, '\p{^iscased}', "");
    Expect(1, 127370, '\P{iscased}', "");
    Expect(0, 127370, '\P{^iscased}', "");
    Expect(1, 127369, '\p{ -Is_Cased}', "");
    Expect(0, 127369, '\p{^ -Is_Cased}', "");
    Expect(0, 127369, '\P{ -Is_Cased}', "");
    Expect(1, 127369, '\P{^ -Is_Cased}', "");
    Expect(0, 127370, '\p{ -Is_Cased}', "");
    Expect(1, 127370, '\p{^ -Is_Cased}', "");
    Expect(1, 127370, '\P{ -Is_Cased}', "");
    Expect(0, 127370, '\P{^ -Is_Cased}', "");
    Error('\p{__CASED_Letter:=}');
    Error('\P{__CASED_Letter:=}');
    Expect(1, 125251, '\p{casedletter}', "");
    Expect(0, 125251, '\p{^casedletter}', "");
    Expect(0, 125251, '\P{casedletter}', "");
    Expect(1, 125251, '\P{^casedletter}', "");
    Expect(0, 125252, '\p{casedletter}', "");
    Expect(1, 125252, '\p{^casedletter}', "");
    Expect(1, 125252, '\P{casedletter}', "");
    Expect(0, 125252, '\P{^casedletter}', "");
    Expect(1, 125251, '\p{_CASED_letter}', "");
    Expect(0, 125251, '\p{^_CASED_letter}', "");
    Expect(0, 125251, '\P{_CASED_letter}', "");
    Expect(1, 125251, '\P{^_CASED_letter}', "");
    Expect(0, 125252, '\p{_CASED_letter}', "");
    Expect(1, 125252, '\p{^_CASED_letter}', "");
    Expect(1, 125252, '\P{_CASED_letter}', "");
    Expect(0, 125252, '\P{^_CASED_letter}', "");
    Error('\p{-/a/is_Cased_letter}');
    Error('\P{-/a/is_Cased_letter}');
    Expect(1, 125251, '\p{iscasedletter}', "");
    Expect(0, 125251, '\p{^iscasedletter}', "");
    Expect(0, 125251, '\P{iscasedletter}', "");
    Expect(1, 125251, '\P{^iscasedletter}', "");
    Expect(0, 125252, '\p{iscasedletter}', "");
    Expect(1, 125252, '\p{^iscasedletter}', "");
    Expect(1, 125252, '\P{iscasedletter}', "");
    Expect(0, 125252, '\P{^iscasedletter}', "");
    Expect(1, 125251, '\p{-_IS_Cased_letter}', "");
    Expect(0, 125251, '\p{^-_IS_Cased_letter}', "");
    Expect(0, 125251, '\P{-_IS_Cased_letter}', "");
    Expect(1, 125251, '\P{^-_IS_Cased_letter}', "");
    Expect(0, 125252, '\p{-_IS_Cased_letter}', "");
    Expect(1, 125252, '\p{^-_IS_Cased_letter}', "");
    Expect(1, 125252, '\P{-_IS_Cased_letter}', "");
    Expect(0, 125252, '\P{^-_IS_Cased_letter}', "");
    Error('\p{ /a/LC}');
    Error('\P{ /a/LC}');
    Expect(1, 125251, '\p{lc}', "");
    Expect(0, 125251, '\p{^lc}', "");
    Expect(0, 125251, '\P{lc}', "");
    Expect(1, 125251, '\P{^lc}', "");
    Expect(0, 125252, '\p{lc}', "");
    Expect(1, 125252, '\p{^lc}', "");
    Expect(1, 125252, '\P{lc}', "");
    Expect(0, 125252, '\P{^lc}', "");
    Expect(1, 125251, '\p{_-LC}', "");
    Expect(0, 125251, '\p{^_-LC}', "");
    Expect(0, 125251, '\P{_-LC}', "");
    Expect(1, 125251, '\P{^_-LC}', "");
    Expect(0, 125252, '\p{_-LC}', "");
    Expect(1, 125252, '\p{^_-LC}', "");
    Expect(1, 125252, '\P{_-LC}', "");
    Expect(0, 125252, '\P{^_-LC}', "");
    Error('\p{:=_IS_lc}');
    Error('\P{:=_IS_lc}');
    Expect(1, 125251, '\p{islc}', "");
    Expect(0, 125251, '\p{^islc}', "");
    Expect(0, 125251, '\P{islc}', "");
    Expect(1, 125251, '\P{^islc}', "");
    Expect(0, 125252, '\p{islc}', "");
    Expect(1, 125252, '\p{^islc}', "");
    Expect(1, 125252, '\P{islc}', "");
    Expect(0, 125252, '\P{^islc}', "");
    Expect(1, 125251, '\p{-is_lc}', "");
    Expect(0, 125251, '\p{^-is_lc}', "");
    Expect(0, 125251, '\P{-is_lc}', "");
    Expect(1, 125251, '\P{^-is_lc}', "");
    Expect(0, 125252, '\p{-is_lc}', "");
    Expect(1, 125252, '\p{^-is_lc}', "");
    Expect(1, 125252, '\P{-is_lc}', "");
    Expect(0, 125252, '\P{^-is_lc}', "");
    Error('\p{/a/-L_}');
    Error('\P{/a/-L_}');
    Expect(1, 125251, '\p{l_}', "");
    Expect(0, 125251, '\p{^l_}', "");
    Expect(0, 125251, '\P{l_}', "");
    Expect(1, 125251, '\P{^l_}', "");
    Expect(0, 125252, '\p{l_}', "");
    Expect(1, 125252, '\p{^l_}', "");
    Expect(1, 125252, '\P{l_}', "");
    Expect(0, 125252, '\P{^l_}', "");
    Expect(1, 125251, '\p{--L_}', "");
    Expect(0, 125251, '\p{^--L_}', "");
    Expect(0, 125251, '\P{--L_}', "");
    Expect(1, 125251, '\P{^--L_}', "");
    Expect(0, 125252, '\p{--L_}', "");
    Expect(1, 125252, '\p{^--L_}', "");
    Expect(1, 125252, '\P{--L_}', "");
    Expect(0, 125252, '\P{^--L_}', "");
    Error('\p{ /a/Is_L_}');
    Error('\P{ /a/Is_L_}');
    Expect(1, 125251, '\p{isl_}', "");
    Expect(0, 125251, '\p{^isl_}', "");
    Expect(0, 125251, '\P{isl_}', "");
    Expect(1, 125251, '\P{^isl_}', "");
    Expect(0, 125252, '\p{isl_}', "");
    Expect(1, 125252, '\p{^isl_}', "");
    Expect(1, 125252, '\P{isl_}', "");
    Expect(0, 125252, '\P{^isl_}', "");
    Expect(1, 125251, '\p{-Is_L_}', "");
    Expect(0, 125251, '\p{^-Is_L_}', "");
    Expect(0, 125251, '\P{-Is_L_}', "");
    Expect(1, 125251, '\P{^-Is_L_}', "");
    Expect(0, 125252, '\p{-Is_L_}', "");
    Expect(1, 125252, '\p{^-Is_L_}', "");
    Expect(1, 125252, '\P{-Is_L_}', "");
    Expect(0, 125252, '\P{^-Is_L_}', "");
    Error('\p{_-L&:=}');
    Error('\P{_-L&:=}');
    Expect(1, 125251, '\p{l&}', "");
    Expect(0, 125251, '\p{^l&}', "");
    Expect(0, 125251, '\P{l&}', "");
    Expect(1, 125251, '\P{^l&}', "");
    Expect(0, 125252, '\p{l&}', "");
    Expect(1, 125252, '\p{^l&}', "");
    Expect(1, 125252, '\P{l&}', "");
    Expect(0, 125252, '\P{^l&}', "");
    Expect(1, 125251, '\p{		l&}', "");
    Expect(0, 125251, '\p{^		l&}', "");
    Expect(0, 125251, '\P{		l&}', "");
    Expect(1, 125251, '\P{^		l&}', "");
    Expect(0, 125252, '\p{		l&}', "");
    Expect(1, 125252, '\p{^		l&}', "");
    Expect(1, 125252, '\P{		l&}', "");
    Expect(0, 125252, '\P{^		l&}', "");
    Error('\p{	:=Is_L&}');
    Error('\P{	:=Is_L&}');
    Expect(1, 125251, '\p{isl&}', "");
    Expect(0, 125251, '\p{^isl&}', "");
    Expect(0, 125251, '\P{isl&}', "");
    Expect(1, 125251, '\P{^isl&}', "");
    Expect(0, 125252, '\p{isl&}', "");
    Expect(1, 125252, '\p{^isl&}', "");
    Expect(1, 125252, '\P{isl&}', "");
    Expect(0, 125252, '\P{^isl&}', "");
    Expect(1, 125251, '\p{_IS_L&}', "");
    Expect(0, 125251, '\p{^_IS_L&}', "");
    Expect(0, 125251, '\P{_IS_L&}', "");
    Expect(1, 125251, '\P{^_IS_L&}', "");
    Expect(0, 125252, '\p{_IS_L&}', "");
    Expect(1, 125252, '\p{^_IS_L&}', "");
    Expect(1, 125252, '\P{_IS_L&}', "");
    Expect(0, 125252, '\P{^_IS_L&}', "");
    Error('\p{-:=Caucasian_Albanian}');
    Error('\P{-:=Caucasian_Albanian}');
    Expect(1, 66927, '\p{caucasianalbanian}', "");
    Expect(0, 66927, '\p{^caucasianalbanian}', "");
    Expect(0, 66927, '\P{caucasianalbanian}', "");
    Expect(1, 66927, '\P{^caucasianalbanian}', "");
    Expect(0, 66928, '\p{caucasianalbanian}', "");
    Expect(1, 66928, '\p{^caucasianalbanian}', "");
    Expect(1, 66928, '\P{caucasianalbanian}', "");
    Expect(0, 66928, '\P{^caucasianalbanian}', "");
    Expect(1, 66927, '\p{ Caucasian_albanian}', "");
    Expect(0, 66927, '\p{^ Caucasian_albanian}', "");
    Expect(0, 66927, '\P{ Caucasian_albanian}', "");
    Expect(1, 66927, '\P{^ Caucasian_albanian}', "");
    Expect(0, 66928, '\p{ Caucasian_albanian}', "");
    Expect(1, 66928, '\p{^ Caucasian_albanian}', "");
    Expect(1, 66928, '\P{ Caucasian_albanian}', "");
    Expect(0, 66928, '\P{^ Caucasian_albanian}', "");
    Error('\p{ 	IS_caucasian_Albanian:=}');
    Error('\P{ 	IS_caucasian_Albanian:=}');
    Expect(1, 66927, '\p{iscaucasianalbanian}', "");
    Expect(0, 66927, '\p{^iscaucasianalbanian}', "");
    Expect(0, 66927, '\P{iscaucasianalbanian}', "");
    Expect(1, 66927, '\P{^iscaucasianalbanian}', "");
    Expect(0, 66928, '\p{iscaucasianalbanian}', "");
    Expect(1, 66928, '\p{^iscaucasianalbanian}', "");
    Expect(1, 66928, '\P{iscaucasianalbanian}', "");
    Expect(0, 66928, '\P{^iscaucasianalbanian}', "");
    Expect(1, 66927, '\p{--IS_CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66927, '\p{^--IS_CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66927, '\P{--IS_CAUCASIAN_ALBANIAN}', "");
    Expect(1, 66927, '\P{^--IS_CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66928, '\p{--IS_CAUCASIAN_ALBANIAN}', "");
    Expect(1, 66928, '\p{^--IS_CAUCASIAN_ALBANIAN}', "");
    Expect(1, 66928, '\P{--IS_CAUCASIAN_ALBANIAN}', "");
    Expect(0, 66928, '\P{^--IS_CAUCASIAN_ALBANIAN}', "");
    Error('\p{ :=aghb}');
    Error('\P{ :=aghb}');
    Expect(1, 66927, '\p{aghb}', "");
    Expect(0, 66927, '\p{^aghb}', "");
    Expect(0, 66927, '\P{aghb}', "");
    Expect(1, 66927, '\P{^aghb}', "");
    Expect(0, 66928, '\p{aghb}', "");
    Expect(1, 66928, '\p{^aghb}', "");
    Expect(1, 66928, '\P{aghb}', "");
    Expect(0, 66928, '\P{^aghb}', "");
    Expect(1, 66927, '\p{_ Aghb}', "");
    Expect(0, 66927, '\p{^_ Aghb}', "");
    Expect(0, 66927, '\P{_ Aghb}', "");
    Expect(1, 66927, '\P{^_ Aghb}', "");
    Expect(0, 66928, '\p{_ Aghb}', "");
    Expect(1, 66928, '\p{^_ Aghb}', "");
    Expect(1, 66928, '\P{_ Aghb}', "");
    Expect(0, 66928, '\P{^_ Aghb}', "");
    Error('\p{:=_Is_Aghb}');
    Error('\P{:=_Is_Aghb}');
    Expect(1, 66927, '\p{isaghb}', "");
    Expect(0, 66927, '\p{^isaghb}', "");
    Expect(0, 66927, '\P{isaghb}', "");
    Expect(1, 66927, '\P{^isaghb}', "");
    Expect(0, 66928, '\p{isaghb}', "");
    Expect(1, 66928, '\p{^isaghb}', "");
    Expect(1, 66928, '\P{isaghb}', "");
    Expect(0, 66928, '\P{^isaghb}', "");
    Expect(1, 66927, '\p{-Is_aghb}', "");
    Expect(0, 66927, '\p{^-Is_aghb}', "");
    Expect(0, 66927, '\P{-Is_aghb}', "");
    Expect(1, 66927, '\P{^-Is_aghb}', "");
    Expect(0, 66928, '\p{-Is_aghb}', "");
    Expect(1, 66928, '\p{^-Is_aghb}', "");
    Expect(1, 66928, '\P{-Is_aghb}', "");
    Expect(0, 66928, '\P{^-Is_aghb}', "");
    Error('\p{_	CHAKMA/a/}');
    Error('\P{_	CHAKMA/a/}');
    Expect(1, 69959, '\p{chakma}', "");
    Expect(0, 69959, '\p{^chakma}', "");
    Expect(0, 69959, '\P{chakma}', "");
    Expect(1, 69959, '\P{^chakma}', "");
    Expect(0, 69960, '\p{chakma}', "");
    Expect(1, 69960, '\p{^chakma}', "");
    Expect(1, 69960, '\P{chakma}', "");
    Expect(0, 69960, '\P{^chakma}', "");
    Expect(1, 69959, '\p{	-Chakma}', "");
    Expect(0, 69959, '\p{^	-Chakma}', "");
    Expect(0, 69959, '\P{	-Chakma}', "");
    Expect(1, 69959, '\P{^	-Chakma}', "");
    Expect(0, 69960, '\p{	-Chakma}', "");
    Expect(1, 69960, '\p{^	-Chakma}', "");
    Expect(1, 69960, '\P{	-Chakma}', "");
    Expect(0, 69960, '\P{^	-Chakma}', "");
    Error('\p{__IS_chakma/a/}');
    Error('\P{__IS_chakma/a/}');
    Expect(1, 69959, '\p{ischakma}', "");
    Expect(0, 69959, '\p{^ischakma}', "");
    Expect(0, 69959, '\P{ischakma}', "");
    Expect(1, 69959, '\P{^ischakma}', "");
    Expect(0, 69960, '\p{ischakma}', "");
    Expect(1, 69960, '\p{^ischakma}', "");
    Expect(1, 69960, '\P{ischakma}', "");
    Expect(0, 69960, '\P{^ischakma}', "");
    Expect(1, 69959, '\p{		Is_CHAKMA}', "");
    Expect(0, 69959, '\p{^		Is_CHAKMA}', "");
    Expect(0, 69959, '\P{		Is_CHAKMA}', "");
    Expect(1, 69959, '\P{^		Is_CHAKMA}', "");
    Expect(0, 69960, '\p{		Is_CHAKMA}', "");
    Expect(1, 69960, '\p{^		Is_CHAKMA}', "");
    Expect(1, 69960, '\P{		Is_CHAKMA}', "");
    Expect(0, 69960, '\P{^		Is_CHAKMA}', "");
    Error('\p{:=-_CAKM}');
    Error('\P{:=-_CAKM}');
    Expect(1, 69959, '\p{cakm}', "");
    Expect(0, 69959, '\p{^cakm}', "");
    Expect(0, 69959, '\P{cakm}', "");
    Expect(1, 69959, '\P{^cakm}', "");
    Expect(0, 69960, '\p{cakm}', "");
    Expect(1, 69960, '\p{^cakm}', "");
    Expect(1, 69960, '\P{cakm}', "");
    Expect(0, 69960, '\P{^cakm}', "");
    Expect(1, 69959, '\p{_cakm}', "");
    Expect(0, 69959, '\p{^_cakm}', "");
    Expect(0, 69959, '\P{_cakm}', "");
    Expect(1, 69959, '\P{^_cakm}', "");
    Expect(0, 69960, '\p{_cakm}', "");
    Expect(1, 69960, '\p{^_cakm}', "");
    Expect(1, 69960, '\P{_cakm}', "");
    Expect(0, 69960, '\P{^_cakm}', "");
    Error('\p{	:=Is_CAKM}');
    Error('\P{	:=Is_CAKM}');
    Expect(1, 69959, '\p{iscakm}', "");
    Expect(0, 69959, '\p{^iscakm}', "");
    Expect(0, 69959, '\P{iscakm}', "");
    Expect(1, 69959, '\P{^iscakm}', "");
    Expect(0, 69960, '\p{iscakm}', "");
    Expect(1, 69960, '\p{^iscakm}', "");
    Expect(1, 69960, '\P{iscakm}', "");
    Expect(0, 69960, '\P{^iscakm}', "");
    Expect(1, 69959, '\p{-_IS_Cakm}', "");
    Expect(0, 69959, '\p{^-_IS_Cakm}', "");
    Expect(0, 69959, '\P{-_IS_Cakm}', "");
    Expect(1, 69959, '\P{^-_IS_Cakm}', "");
    Expect(0, 69960, '\p{-_IS_Cakm}', "");
    Expect(1, 69960, '\p{^-_IS_Cakm}', "");
    Expect(1, 69960, '\P{-_IS_Cakm}', "");
    Expect(0, 69960, '\P{^-_IS_Cakm}', "");
    Error('\p{/a/_Cham}');
    Error('\P{/a/_Cham}');
    Expect(1, 43615, '\p{cham}', "");
    Expect(0, 43615, '\p{^cham}', "");
    Expect(0, 43615, '\P{cham}', "");
    Expect(1, 43615, '\P{^cham}', "");
    Expect(0, 43616, '\p{cham}', "");
    Expect(1, 43616, '\p{^cham}', "");
    Expect(1, 43616, '\P{cham}', "");
    Expect(0, 43616, '\P{^cham}', "");
    Expect(1, 43615, '\p{-	Cham}', "");
    Expect(0, 43615, '\p{^-	Cham}', "");
    Expect(0, 43615, '\P{-	Cham}', "");
    Expect(1, 43615, '\P{^-	Cham}', "");
    Expect(0, 43616, '\p{-	Cham}', "");
    Expect(1, 43616, '\p{^-	Cham}', "");
    Expect(1, 43616, '\P{-	Cham}', "");
    Expect(0, 43616, '\P{^-	Cham}', "");
    Error('\p{_/a/IS_Cham}');
    Error('\P{_/a/IS_Cham}');
    Expect(1, 43615, '\p{ischam}', "");
    Expect(0, 43615, '\p{^ischam}', "");
    Expect(0, 43615, '\P{ischam}', "");
    Expect(1, 43615, '\P{^ischam}', "");
    Expect(0, 43616, '\p{ischam}', "");
    Expect(1, 43616, '\p{^ischam}', "");
    Expect(1, 43616, '\P{ischam}', "");
    Expect(0, 43616, '\P{^ischam}', "");
    Expect(1, 43615, '\p{- is_cham}', "");
    Expect(0, 43615, '\p{^- is_cham}', "");
    Expect(0, 43615, '\P{- is_cham}', "");
    Expect(1, 43615, '\P{^- is_cham}', "");
    Expect(0, 43616, '\p{- is_cham}', "");
    Expect(1, 43616, '\p{^- is_cham}', "");
    Expect(1, 43616, '\P{- is_cham}', "");
    Expect(0, 43616, '\P{^- is_cham}', "");
    Error('\p{/a/  Changes_WHEN_Casefolded}');
    Error('\P{/a/  Changes_WHEN_Casefolded}');
    Expect(1, 125217, '\p{changeswhencasefolded}', "");
    Expect(0, 125217, '\p{^changeswhencasefolded}', "");
    Expect(0, 125217, '\P{changeswhencasefolded}', "");
    Expect(1, 125217, '\P{^changeswhencasefolded}', "");
    Expect(0, 125218, '\p{changeswhencasefolded}', "");
    Expect(1, 125218, '\p{^changeswhencasefolded}', "");
    Expect(1, 125218, '\P{changeswhencasefolded}', "");
    Expect(0, 125218, '\P{^changeswhencasefolded}', "");
    Expect(1, 125217, '\p{	CHANGES_WHEN_Casefolded}', "");
    Expect(0, 125217, '\p{^	CHANGES_WHEN_Casefolded}', "");
    Expect(0, 125217, '\P{	CHANGES_WHEN_Casefolded}', "");
    Expect(1, 125217, '\P{^	CHANGES_WHEN_Casefolded}', "");
    Expect(0, 125218, '\p{	CHANGES_WHEN_Casefolded}', "");
    Expect(1, 125218, '\p{^	CHANGES_WHEN_Casefolded}', "");
    Expect(1, 125218, '\P{	CHANGES_WHEN_Casefolded}', "");
    Expect(0, 125218, '\P{^	CHANGES_WHEN_Casefolded}', "");
    Error('\p{	-is_changes_When_Casefolded:=}');
    Error('\P{	-is_changes_When_Casefolded:=}');
    Expect(1, 125217, '\p{ischangeswhencasefolded}', "");
    Expect(0, 125217, '\p{^ischangeswhencasefolded}', "");
    Expect(0, 125217, '\P{ischangeswhencasefolded}', "");
    Expect(1, 125217, '\P{^ischangeswhencasefolded}', "");
    Expect(0, 125218, '\p{ischangeswhencasefolded}', "");
    Expect(1, 125218, '\p{^ischangeswhencasefolded}', "");
    Expect(1, 125218, '\P{ischangeswhencasefolded}', "");
    Expect(0, 125218, '\P{^ischangeswhencasefolded}', "");
    Expect(1, 125217, '\p{ -Is_changes_WHEN_Casefolded}', "");
    Expect(0, 125217, '\p{^ -Is_changes_WHEN_Casefolded}', "");
    Expect(0, 125217, '\P{ -Is_changes_WHEN_Casefolded}', "");
    Expect(1, 125217, '\P{^ -Is_changes_WHEN_Casefolded}', "");
    Expect(0, 125218, '\p{ -Is_changes_WHEN_Casefolded}', "");
    Expect(1, 125218, '\p{^ -Is_changes_WHEN_Casefolded}', "");
    Expect(1, 125218, '\P{ -Is_changes_WHEN_Casefolded}', "");
    Expect(0, 125218, '\P{^ -Is_changes_WHEN_Casefolded}', "");
    Error('\p{cwcf:=}');
    Error('\P{cwcf:=}');
    Expect(1, 125217, '\p{cwcf}', "");
    Expect(0, 125217, '\p{^cwcf}', "");
    Expect(0, 125217, '\P{cwcf}', "");
    Expect(1, 125217, '\P{^cwcf}', "");
    Expect(0, 125218, '\p{cwcf}', "");
    Expect(1, 125218, '\p{^cwcf}', "");
    Expect(1, 125218, '\P{cwcf}', "");
    Expect(0, 125218, '\P{^cwcf}', "");
    Expect(1, 125217, '\p{ _CWCF}', "");
    Expect(0, 125217, '\p{^ _CWCF}', "");
    Expect(0, 125217, '\P{ _CWCF}', "");
    Expect(1, 125217, '\P{^ _CWCF}', "");
    Expect(0, 125218, '\p{ _CWCF}', "");
    Expect(1, 125218, '\p{^ _CWCF}', "");
    Expect(1, 125218, '\P{ _CWCF}', "");
    Expect(0, 125218, '\P{^ _CWCF}', "");
    Error('\p{/a/-Is_CWCF}');
    Error('\P{/a/-Is_CWCF}');
    Expect(1, 125217, '\p{iscwcf}', "");
    Expect(0, 125217, '\p{^iscwcf}', "");
    Expect(0, 125217, '\P{iscwcf}', "");
    Expect(1, 125217, '\P{^iscwcf}', "");
    Expect(0, 125218, '\p{iscwcf}', "");
    Expect(1, 125218, '\p{^iscwcf}', "");
    Expect(1, 125218, '\P{iscwcf}', "");
    Expect(0, 125218, '\P{^iscwcf}', "");
    Expect(1, 125217, '\p{IS_CWCF}', "");
    Expect(0, 125217, '\p{^IS_CWCF}', "");
    Expect(0, 125217, '\P{IS_CWCF}', "");
    Expect(1, 125217, '\P{^IS_CWCF}', "");
    Expect(0, 125218, '\p{IS_CWCF}', "");
    Expect(1, 125218, '\p{^IS_CWCF}', "");
    Expect(1, 125218, '\P{IS_CWCF}', "");
    Expect(0, 125218, '\P{^IS_CWCF}', "");
    Error('\p{/a/-CHANGES_When_Casemapped}');
    Error('\P{/a/-CHANGES_When_Casemapped}');
    Expect(1, 125251, '\p{changeswhencasemapped}', "");
    Expect(0, 125251, '\p{^changeswhencasemapped}', "");
    Expect(0, 125251, '\P{changeswhencasemapped}', "");
    Expect(1, 125251, '\P{^changeswhencasemapped}', "");
    Expect(0, 125252, '\p{changeswhencasemapped}', "");
    Expect(1, 125252, '\p{^changeswhencasemapped}', "");
    Expect(1, 125252, '\P{changeswhencasemapped}', "");
    Expect(0, 125252, '\P{^changeswhencasemapped}', "");
    Expect(1, 125251, '\p{ _changes_When_Casemapped}', "");
    Expect(0, 125251, '\p{^ _changes_When_Casemapped}', "");
    Expect(0, 125251, '\P{ _changes_When_Casemapped}', "");
    Expect(1, 125251, '\P{^ _changes_When_Casemapped}', "");
    Expect(0, 125252, '\p{ _changes_When_Casemapped}', "");
    Expect(1, 125252, '\p{^ _changes_When_Casemapped}', "");
    Expect(1, 125252, '\P{ _changes_When_Casemapped}', "");
    Expect(0, 125252, '\P{^ _changes_When_Casemapped}', "");
    Error('\p{	-IS_CHANGES_WHEN_CASEMAPPED/a/}');
    Error('\P{	-IS_CHANGES_WHEN_CASEMAPPED/a/}');
    Expect(1, 125251, '\p{ischangeswhencasemapped}', "");
    Expect(0, 125251, '\p{^ischangeswhencasemapped}', "");
    Expect(0, 125251, '\P{ischangeswhencasemapped}', "");
    Expect(1, 125251, '\P{^ischangeswhencasemapped}', "");
    Expect(0, 125252, '\p{ischangeswhencasemapped}', "");
    Expect(1, 125252, '\p{^ischangeswhencasemapped}', "");
    Expect(1, 125252, '\P{ischangeswhencasemapped}', "");
    Expect(0, 125252, '\P{^ischangeswhencasemapped}', "");
    Expect(1, 125251, '\p{-_Is_CHANGES_When_CASEMAPPED}', "");
    Expect(0, 125251, '\p{^-_Is_CHANGES_When_CASEMAPPED}', "");
    Expect(0, 125251, '\P{-_Is_CHANGES_When_CASEMAPPED}', "");
    Expect(1, 125251, '\P{^-_Is_CHANGES_When_CASEMAPPED}', "");
    Expect(0, 125252, '\p{-_Is_CHANGES_When_CASEMAPPED}', "");
    Expect(1, 125252, '\p{^-_Is_CHANGES_When_CASEMAPPED}', "");
    Expect(1, 125252, '\P{-_Is_CHANGES_When_CASEMAPPED}', "");
    Expect(0, 125252, '\P{^-_Is_CHANGES_When_CASEMAPPED}', "");
    Error('\p{_cwcm/a/}');
    Error('\P{_cwcm/a/}');
    Expect(1, 125251, '\p{cwcm}', "");
    Expect(0, 125251, '\p{^cwcm}', "");
    Expect(0, 125251, '\P{cwcm}', "");
    Expect(1, 125251, '\P{^cwcm}', "");
    Expect(0, 125252, '\p{cwcm}', "");
    Expect(1, 125252, '\p{^cwcm}', "");
    Expect(1, 125252, '\P{cwcm}', "");
    Expect(0, 125252, '\P{^cwcm}', "");
    Expect(1, 125251, '\p{- CWCM}', "");
    Expect(0, 125251, '\p{^- CWCM}', "");
    Expect(0, 125251, '\P{- CWCM}', "");
    Expect(1, 125251, '\P{^- CWCM}', "");
    Expect(0, 125252, '\p{- CWCM}', "");
    Expect(1, 125252, '\p{^- CWCM}', "");
    Expect(1, 125252, '\P{- CWCM}', "");
    Expect(0, 125252, '\P{^- CWCM}', "");
    Error('\p{_:=Is_CWCM}');
    Error('\P{_:=Is_CWCM}');
    Expect(1, 125251, '\p{iscwcm}', "");
    Expect(0, 125251, '\p{^iscwcm}', "");
    Expect(0, 125251, '\P{iscwcm}', "");
    Expect(1, 125251, '\P{^iscwcm}', "");
    Expect(0, 125252, '\p{iscwcm}', "");
    Expect(1, 125252, '\p{^iscwcm}', "");
    Expect(1, 125252, '\P{iscwcm}', "");
    Expect(0, 125252, '\P{^iscwcm}', "");
    Expect(1, 125251, '\p{  IS_CWCM}', "");
    Expect(0, 125251, '\p{^  IS_CWCM}', "");
    Expect(0, 125251, '\P{  IS_CWCM}', "");
    Expect(1, 125251, '\P{^  IS_CWCM}', "");
    Expect(0, 125252, '\p{  IS_CWCM}', "");
    Expect(1, 125252, '\p{^  IS_CWCM}', "");
    Expect(1, 125252, '\P{  IS_CWCM}', "");
    Expect(0, 125252, '\P{^  IS_CWCM}', "");
    Error('\p{ /a/changes_WHEN_lowercased}');
    Error('\P{ /a/changes_WHEN_lowercased}');
    Expect(1, 125217, '\p{changeswhenlowercased}', "");
    Expect(0, 125217, '\p{^changeswhenlowercased}', "");
    Expect(0, 125217, '\P{changeswhenlowercased}', "");
    Expect(1, 125217, '\P{^changeswhenlowercased}', "");
    Expect(0, 125218, '\p{changeswhenlowercased}', "");
    Expect(1, 125218, '\p{^changeswhenlowercased}', "");
    Expect(1, 125218, '\P{changeswhenlowercased}', "");
    Expect(0, 125218, '\P{^changeswhenlowercased}', "");
    Expect(1, 125217, '\p{ 	CHANGES_When_lowercased}', "");
    Expect(0, 125217, '\p{^ 	CHANGES_When_lowercased}', "");
    Expect(0, 125217, '\P{ 	CHANGES_When_lowercased}', "");
    Expect(1, 125217, '\P{^ 	CHANGES_When_lowercased}', "");
    Expect(0, 125218, '\p{ 	CHANGES_When_lowercased}', "");
    Expect(1, 125218, '\p{^ 	CHANGES_When_lowercased}', "");
    Expect(1, 125218, '\P{ 	CHANGES_When_lowercased}', "");
    Expect(0, 125218, '\P{^ 	CHANGES_When_lowercased}', "");
    Error('\p{	:=Is_CHANGES_When_LOWERCASED}');
    Error('\P{	:=Is_CHANGES_When_LOWERCASED}');
    Expect(1, 125217, '\p{ischangeswhenlowercased}', "");
    Expect(0, 125217, '\p{^ischangeswhenlowercased}', "");
    Expect(0, 125217, '\P{ischangeswhenlowercased}', "");
    Expect(1, 125217, '\P{^ischangeswhenlowercased}', "");
    Expect(0, 125218, '\p{ischangeswhenlowercased}', "");
    Expect(1, 125218, '\p{^ischangeswhenlowercased}', "");
    Expect(1, 125218, '\P{ischangeswhenlowercased}', "");
    Expect(0, 125218, '\P{^ischangeswhenlowercased}', "");
    Expect(1, 125217, '\p{ IS_Changes_WHEN_lowercased}', "");
    Expect(0, 125217, '\p{^ IS_Changes_WHEN_lowercased}', "");
    Expect(0, 125217, '\P{ IS_Changes_WHEN_lowercased}', "");
    Expect(1, 125217, '\P{^ IS_Changes_WHEN_lowercased}', "");
    Expect(0, 125218, '\p{ IS_Changes_WHEN_lowercased}', "");
    Expect(1, 125218, '\p{^ IS_Changes_WHEN_lowercased}', "");
    Expect(1, 125218, '\P{ IS_Changes_WHEN_lowercased}', "");
    Expect(0, 125218, '\P{^ IS_Changes_WHEN_lowercased}', "");
    Error('\p{:= CWL}');
    Error('\P{:= CWL}');
    Expect(1, 125217, '\p{cwl}', "");
    Expect(0, 125217, '\p{^cwl}', "");
    Expect(0, 125217, '\P{cwl}', "");
    Expect(1, 125217, '\P{^cwl}', "");
    Expect(0, 125218, '\p{cwl}', "");
    Expect(1, 125218, '\p{^cwl}', "");
    Expect(1, 125218, '\P{cwl}', "");
    Expect(0, 125218, '\P{^cwl}', "");
    Expect(1, 125217, '\p{- CWL}', "");
    Expect(0, 125217, '\p{^- CWL}', "");
    Expect(0, 125217, '\P{- CWL}', "");
    Expect(1, 125217, '\P{^- CWL}', "");
    Expect(0, 125218, '\p{- CWL}', "");
    Expect(1, 125218, '\p{^- CWL}', "");
    Expect(1, 125218, '\P{- CWL}', "");
    Expect(0, 125218, '\P{^- CWL}', "");
    Error('\p{__IS_CWL/a/}');
    Error('\P{__IS_CWL/a/}');
    Expect(1, 125217, '\p{iscwl}', "");
    Expect(0, 125217, '\p{^iscwl}', "");
    Expect(0, 125217, '\P{iscwl}', "");
    Expect(1, 125217, '\P{^iscwl}', "");
    Expect(0, 125218, '\p{iscwl}', "");
    Expect(1, 125218, '\p{^iscwl}', "");
    Expect(1, 125218, '\P{iscwl}', "");
    Expect(0, 125218, '\P{^iscwl}', "");
    Expect(1, 125217, '\p{ is_CWL}', "");
    Expect(0, 125217, '\p{^ is_CWL}', "");
    Expect(0, 125217, '\P{ is_CWL}', "");
    Expect(1, 125217, '\P{^ is_CWL}', "");
    Expect(0, 125218, '\p{ is_CWL}', "");
    Expect(1, 125218, '\p{^ is_CWL}', "");
    Expect(1, 125218, '\P{ is_CWL}', "");
    Expect(0, 125218, '\P{^ is_CWL}', "");
    Error('\p{_/a/Changes_When_NFKC_Casefolded}');
    Error('\P{_/a/Changes_When_NFKC_Casefolded}');
    Expect(1, 921599, '\p{changeswhennfkccasefolded}', "");
    Expect(0, 921599, '\p{^changeswhennfkccasefolded}', "");
    Expect(0, 921599, '\P{changeswhennfkccasefolded}', "");
    Expect(1, 921599, '\P{^changeswhennfkccasefolded}', "");
    Expect(0, 921600, '\p{changeswhennfkccasefolded}', "");
    Expect(1, 921600, '\p{^changeswhennfkccasefolded}', "");
    Expect(1, 921600, '\P{changeswhennfkccasefolded}', "");
    Expect(0, 921600, '\P{^changeswhennfkccasefolded}', "");
    Expect(1, 921599, '\p{	_Changes_when_NFKC_Casefolded}', "");
    Expect(0, 921599, '\p{^	_Changes_when_NFKC_Casefolded}', "");
    Expect(0, 921599, '\P{	_Changes_when_NFKC_Casefolded}', "");
    Expect(1, 921599, '\P{^	_Changes_when_NFKC_Casefolded}', "");
    Expect(0, 921600, '\p{	_Changes_when_NFKC_Casefolded}', "");
    Expect(1, 921600, '\p{^	_Changes_when_NFKC_Casefolded}', "");
    Expect(1, 921600, '\P{	_Changes_when_NFKC_Casefolded}', "");
    Expect(0, 921600, '\P{^	_Changes_when_NFKC_Casefolded}', "");
    Error('\p{/a/-_IS_Changes_when_NFKC_Casefolded}');
    Error('\P{/a/-_IS_Changes_when_NFKC_Casefolded}');
    Expect(1, 921599, '\p{ischangeswhennfkccasefolded}', "");
    Expect(0, 921599, '\p{^ischangeswhennfkccasefolded}', "");
    Expect(0, 921599, '\P{ischangeswhennfkccasefolded}', "");
    Expect(1, 921599, '\P{^ischangeswhennfkccasefolded}', "");
    Expect(0, 921600, '\p{ischangeswhennfkccasefolded}', "");
    Expect(1, 921600, '\p{^ischangeswhennfkccasefolded}', "");
    Expect(1, 921600, '\P{ischangeswhennfkccasefolded}', "");
    Expect(0, 921600, '\P{^ischangeswhennfkccasefolded}', "");
    Expect(1, 921599, '\p{ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Expect(0, 921599, '\p{^ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Expect(0, 921599, '\P{ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Expect(1, 921599, '\P{^ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Expect(0, 921600, '\p{ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Expect(1, 921600, '\p{^ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Expect(1, 921600, '\P{ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Expect(0, 921600, '\P{^ Is_CHANGES_WHEN_nfkc_CASEFOLDED}', "");
    Error('\p{:=CWKCF}');
    Error('\P{:=CWKCF}');
    Expect(1, 921599, '\p{cwkcf}', "");
    Expect(0, 921599, '\p{^cwkcf}', "");
    Expect(0, 921599, '\P{cwkcf}', "");
    Expect(1, 921599, '\P{^cwkcf}', "");
    Expect(0, 921600, '\p{cwkcf}', "");
    Expect(1, 921600, '\p{^cwkcf}', "");
    Expect(1, 921600, '\P{cwkcf}', "");
    Expect(0, 921600, '\P{^cwkcf}', "");
    Expect(1, 921599, '\p{ -CWKCF}', "");
    Expect(0, 921599, '\p{^ -CWKCF}', "");
    Expect(0, 921599, '\P{ -CWKCF}', "");
    Expect(1, 921599, '\P{^ -CWKCF}', "");
    Expect(0, 921600, '\p{ -CWKCF}', "");
    Expect(1, 921600, '\p{^ -CWKCF}', "");
    Expect(1, 921600, '\P{ -CWKCF}', "");
    Expect(0, 921600, '\P{^ -CWKCF}', "");
    Error('\p{-is_CWKCF/a/}');
    Error('\P{-is_CWKCF/a/}');
    Expect(1, 921599, '\p{iscwkcf}', "");
    Expect(0, 921599, '\p{^iscwkcf}', "");
    Expect(0, 921599, '\P{iscwkcf}', "");
    Expect(1, 921599, '\P{^iscwkcf}', "");
    Expect(0, 921600, '\p{iscwkcf}', "");
    Expect(1, 921600, '\p{^iscwkcf}', "");
    Expect(1, 921600, '\P{iscwkcf}', "");
    Expect(0, 921600, '\P{^iscwkcf}', "");
    Expect(1, 921599, '\p{_-Is_cwkcf}', "");
    Expect(0, 921599, '\p{^_-Is_cwkcf}', "");
    Expect(0, 921599, '\P{_-Is_cwkcf}', "");
    Expect(1, 921599, '\P{^_-Is_cwkcf}', "");
    Expect(0, 921600, '\p{_-Is_cwkcf}', "");
    Expect(1, 921600, '\p{^_-Is_cwkcf}', "");
    Expect(1, 921600, '\P{_-Is_cwkcf}', "");
    Expect(0, 921600, '\P{^_-Is_cwkcf}', "");
    Error('\p{/a/	CHANGES_when_Titlecased}');
    Error('\P{/a/	CHANGES_when_Titlecased}');
    Expect(1, 125251, '\p{changeswhentitlecased}', "");
    Expect(0, 125251, '\p{^changeswhentitlecased}', "");
    Expect(0, 125251, '\P{changeswhentitlecased}', "");
    Expect(1, 125251, '\P{^changeswhentitlecased}', "");
    Expect(0, 125252, '\p{changeswhentitlecased}', "");
    Expect(1, 125252, '\p{^changeswhentitlecased}', "");
    Expect(1, 125252, '\P{changeswhentitlecased}', "");
    Expect(0, 125252, '\P{^changeswhentitlecased}', "");
    Expect(1, 125251, '\p{Changes_When_Titlecased}', "");
    Expect(0, 125251, '\p{^Changes_When_Titlecased}', "");
    Expect(0, 125251, '\P{Changes_When_Titlecased}', "");
    Expect(1, 125251, '\P{^Changes_When_Titlecased}', "");
    Expect(0, 125252, '\p{Changes_When_Titlecased}', "");
    Expect(1, 125252, '\p{^Changes_When_Titlecased}', "");
    Expect(1, 125252, '\P{Changes_When_Titlecased}', "");
    Expect(0, 125252, '\P{^Changes_When_Titlecased}', "");
    Error('\p{/a/ 	is_Changes_WHEN_Titlecased}');
    Error('\P{/a/ 	is_Changes_WHEN_Titlecased}');
    Expect(1, 125251, '\p{ischangeswhentitlecased}', "");
    Expect(0, 125251, '\p{^ischangeswhentitlecased}', "");
    Expect(0, 125251, '\P{ischangeswhentitlecased}', "");
    Expect(1, 125251, '\P{^ischangeswhentitlecased}', "");
    Expect(0, 125252, '\p{ischangeswhentitlecased}', "");
    Expect(1, 125252, '\p{^ischangeswhentitlecased}', "");
    Expect(1, 125252, '\P{ischangeswhentitlecased}', "");
    Expect(0, 125252, '\P{^ischangeswhentitlecased}', "");
    Expect(1, 125251, '\p{_-Is_changes_When_titlecased}', "");
    Expect(0, 125251, '\p{^_-Is_changes_When_titlecased}', "");
    Expect(0, 125251, '\P{_-Is_changes_When_titlecased}', "");
    Expect(1, 125251, '\P{^_-Is_changes_When_titlecased}', "");
    Expect(0, 125252, '\p{_-Is_changes_When_titlecased}', "");
    Expect(1, 125252, '\p{^_-Is_changes_When_titlecased}', "");
    Expect(1, 125252, '\P{_-Is_changes_When_titlecased}', "");
    Expect(0, 125252, '\P{^_-Is_changes_When_titlecased}', "");
    Error('\p{:=	CWT}');
    Error('\P{:=	CWT}');
    Expect(1, 125251, '\p{cwt}', "");
    Expect(0, 125251, '\p{^cwt}', "");
    Expect(0, 125251, '\P{cwt}', "");
    Expect(1, 125251, '\P{^cwt}', "");
    Expect(0, 125252, '\p{cwt}', "");
    Expect(1, 125252, '\p{^cwt}', "");
    Expect(1, 125252, '\P{cwt}', "");
    Expect(0, 125252, '\P{^cwt}', "");
    Expect(1, 125251, '\p{_	CWT}', "");
    Expect(0, 125251, '\p{^_	CWT}', "");
    Expect(0, 125251, '\P{_	CWT}', "");
    Expect(1, 125251, '\P{^_	CWT}', "");
    Expect(0, 125252, '\p{_	CWT}', "");
    Expect(1, 125252, '\p{^_	CWT}', "");
    Expect(1, 125252, '\P{_	CWT}', "");
    Expect(0, 125252, '\P{^_	CWT}', "");
    Error('\p{	:=Is_cwt}');
    Error('\P{	:=Is_cwt}');
    Expect(1, 125251, '\p{iscwt}', "");
    Expect(0, 125251, '\p{^iscwt}', "");
    Expect(0, 125251, '\P{iscwt}', "");
    Expect(1, 125251, '\P{^iscwt}', "");
    Expect(0, 125252, '\p{iscwt}', "");
    Expect(1, 125252, '\p{^iscwt}', "");
    Expect(1, 125252, '\P{iscwt}', "");
    Expect(0, 125252, '\P{^iscwt}', "");
    Expect(1, 125251, '\p{ is_CWT}', "");
    Expect(0, 125251, '\p{^ is_CWT}', "");
    Expect(0, 125251, '\P{ is_CWT}', "");
    Expect(1, 125251, '\P{^ is_CWT}', "");
    Expect(0, 125252, '\p{ is_CWT}', "");
    Expect(1, 125252, '\p{^ is_CWT}', "");
    Expect(1, 125252, '\P{ is_CWT}', "");
    Expect(0, 125252, '\P{^ is_CWT}', "");
    Error('\p{ Changes_WHEN_UPPERCASED/a/}');
    Error('\P{ Changes_WHEN_UPPERCASED/a/}');
    Expect(1, 125251, '\p{changeswhenuppercased}', "");
    Expect(0, 125251, '\p{^changeswhenuppercased}', "");
    Expect(0, 125251, '\P{changeswhenuppercased}', "");
    Expect(1, 125251, '\P{^changeswhenuppercased}', "");
    Expect(0, 125252, '\p{changeswhenuppercased}', "");
    Expect(1, 125252, '\p{^changeswhenuppercased}', "");
    Expect(1, 125252, '\P{changeswhenuppercased}', "");
    Expect(0, 125252, '\P{^changeswhenuppercased}', "");
    Expect(1, 125251, '\p{	CHANGES_When_uppercased}', "");
    Expect(0, 125251, '\p{^	CHANGES_When_uppercased}', "");
    Expect(0, 125251, '\P{	CHANGES_When_uppercased}', "");
    Expect(1, 125251, '\P{^	CHANGES_When_uppercased}', "");
    Expect(0, 125252, '\p{	CHANGES_When_uppercased}', "");
    Expect(1, 125252, '\p{^	CHANGES_When_uppercased}', "");
    Expect(1, 125252, '\P{	CHANGES_When_uppercased}', "");
    Expect(0, 125252, '\P{^	CHANGES_When_uppercased}', "");
    Error('\p{:= -Is_changes_when_uppercased}');
    Error('\P{:= -Is_changes_when_uppercased}');
    Expect(1, 125251, '\p{ischangeswhenuppercased}', "");
    Expect(0, 125251, '\p{^ischangeswhenuppercased}', "");
    Expect(0, 125251, '\P{ischangeswhenuppercased}', "");
    Expect(1, 125251, '\P{^ischangeswhenuppercased}', "");
    Expect(0, 125252, '\p{ischangeswhenuppercased}', "");
    Expect(1, 125252, '\p{^ischangeswhenuppercased}', "");
    Expect(1, 125252, '\P{ischangeswhenuppercased}', "");
    Expect(0, 125252, '\P{^ischangeswhenuppercased}', "");
    Expect(1, 125251, '\p{_	is_CHANGES_When_Uppercased}', "");
    Expect(0, 125251, '\p{^_	is_CHANGES_When_Uppercased}', "");
    Expect(0, 125251, '\P{_	is_CHANGES_When_Uppercased}', "");
    Expect(1, 125251, '\P{^_	is_CHANGES_When_Uppercased}', "");
    Expect(0, 125252, '\p{_	is_CHANGES_When_Uppercased}', "");
    Expect(1, 125252, '\p{^_	is_CHANGES_When_Uppercased}', "");
    Expect(1, 125252, '\P{_	is_CHANGES_When_Uppercased}', "");
    Expect(0, 125252, '\P{^_	is_CHANGES_When_Uppercased}', "");
    Error('\p{/a/	_CWU}');
    Error('\P{/a/	_CWU}');
    Expect(1, 125251, '\p{cwu}', "");
    Expect(0, 125251, '\p{^cwu}', "");
    Expect(0, 125251, '\P{cwu}', "");
    Expect(1, 125251, '\P{^cwu}', "");
    Expect(0, 125252, '\p{cwu}', "");
    Expect(1, 125252, '\p{^cwu}', "");
    Expect(1, 125252, '\P{cwu}', "");
    Expect(0, 125252, '\P{^cwu}', "");
    Expect(1, 125251, '\p{-	CWU}', "");
    Expect(0, 125251, '\p{^-	CWU}', "");
    Expect(0, 125251, '\P{-	CWU}', "");
    Expect(1, 125251, '\P{^-	CWU}', "");
    Expect(0, 125252, '\p{-	CWU}', "");
    Expect(1, 125252, '\p{^-	CWU}', "");
    Expect(1, 125252, '\P{-	CWU}', "");
    Expect(0, 125252, '\P{^-	CWU}', "");
    Error('\p{ :=Is_cwu}');
    Error('\P{ :=Is_cwu}');
    Expect(1, 125251, '\p{iscwu}', "");
    Expect(0, 125251, '\p{^iscwu}', "");
    Expect(0, 125251, '\P{iscwu}', "");
    Expect(1, 125251, '\P{^iscwu}', "");
    Expect(0, 125252, '\p{iscwu}', "");
    Expect(1, 125252, '\p{^iscwu}', "");
    Expect(1, 125252, '\P{iscwu}', "");
    Expect(0, 125252, '\P{^iscwu}', "");
    Expect(1, 125251, '\p{_is_cwu}', "");
    Expect(0, 125251, '\p{^_is_cwu}', "");
    Expect(0, 125251, '\P{_is_cwu}', "");
    Expect(1, 125251, '\P{^_is_cwu}', "");
    Expect(0, 125252, '\p{_is_cwu}', "");
    Expect(1, 125252, '\p{^_is_cwu}', "");
    Expect(1, 125252, '\P{_is_cwu}', "");
    Expect(0, 125252, '\P{^_is_cwu}', "");
    Error('\p{	_Cherokee/a/}');
    Error('\P{	_Cherokee/a/}');
    Expect(1, 43967, '\p{cherokee}', "");
    Expect(0, 43967, '\p{^cherokee}', "");
    Expect(0, 43967, '\P{cherokee}', "");
    Expect(1, 43967, '\P{^cherokee}', "");
    Expect(0, 43968, '\p{cherokee}', "");
    Expect(1, 43968, '\p{^cherokee}', "");
    Expect(1, 43968, '\P{cherokee}', "");
    Expect(0, 43968, '\P{^cherokee}', "");
    Expect(1, 43967, '\p{-Cherokee}', "");
    Expect(0, 43967, '\p{^-Cherokee}', "");
    Expect(0, 43967, '\P{-Cherokee}', "");
    Expect(1, 43967, '\P{^-Cherokee}', "");
    Expect(0, 43968, '\p{-Cherokee}', "");
    Expect(1, 43968, '\p{^-Cherokee}', "");
    Expect(1, 43968, '\P{-Cherokee}', "");
    Expect(0, 43968, '\P{^-Cherokee}', "");
    Error('\p{__IS_Cherokee/a/}');
    Error('\P{__IS_Cherokee/a/}');
    Expect(1, 43967, '\p{ischerokee}', "");
    Expect(0, 43967, '\p{^ischerokee}', "");
    Expect(0, 43967, '\P{ischerokee}', "");
    Expect(1, 43967, '\P{^ischerokee}', "");
    Expect(0, 43968, '\p{ischerokee}', "");
    Expect(1, 43968, '\p{^ischerokee}', "");
    Expect(1, 43968, '\P{ischerokee}', "");
    Expect(0, 43968, '\P{^ischerokee}', "");
    Expect(1, 43967, '\p{_Is_CHEROKEE}', "");
    Expect(0, 43967, '\p{^_Is_CHEROKEE}', "");
    Expect(0, 43967, '\P{_Is_CHEROKEE}', "");
    Expect(1, 43967, '\P{^_Is_CHEROKEE}', "");
    Expect(0, 43968, '\p{_Is_CHEROKEE}', "");
    Expect(1, 43968, '\p{^_Is_CHEROKEE}', "");
    Expect(1, 43968, '\P{_Is_CHEROKEE}', "");
    Expect(0, 43968, '\P{^_Is_CHEROKEE}', "");
    Error('\p{_CHER/a/}');
    Error('\P{_CHER/a/}');
    Expect(1, 43967, '\p{cher}', "");
    Expect(0, 43967, '\p{^cher}', "");
    Expect(0, 43967, '\P{cher}', "");
    Expect(1, 43967, '\P{^cher}', "");
    Expect(0, 43968, '\p{cher}', "");
    Expect(1, 43968, '\p{^cher}', "");
    Expect(1, 43968, '\P{cher}', "");
    Expect(0, 43968, '\P{^cher}', "");
    Expect(1, 43967, '\p{__Cher}', "");
    Expect(0, 43967, '\p{^__Cher}', "");
    Expect(0, 43967, '\P{__Cher}', "");
    Expect(1, 43967, '\P{^__Cher}', "");
    Expect(0, 43968, '\p{__Cher}', "");
    Expect(1, 43968, '\p{^__Cher}', "");
    Expect(1, 43968, '\P{__Cher}', "");
    Expect(0, 43968, '\P{^__Cher}', "");
    Error('\p{__IS_Cher/a/}');
    Error('\P{__IS_Cher/a/}');
    Expect(1, 43967, '\p{ischer}', "");
    Expect(0, 43967, '\p{^ischer}', "");
    Expect(0, 43967, '\P{ischer}', "");
    Expect(1, 43967, '\P{^ischer}', "");
    Expect(0, 43968, '\p{ischer}', "");
    Expect(1, 43968, '\p{^ischer}', "");
    Expect(1, 43968, '\P{ischer}', "");
    Expect(0, 43968, '\P{^ischer}', "");
    Expect(1, 43967, '\p{		Is_CHER}', "");
    Expect(0, 43967, '\p{^		Is_CHER}', "");
    Expect(0, 43967, '\P{		Is_CHER}', "");
    Expect(1, 43967, '\P{^		Is_CHER}', "");
    Expect(0, 43968, '\p{		Is_CHER}', "");
    Expect(1, 43968, '\p{^		Is_CHER}', "");
    Expect(1, 43968, '\P{		Is_CHER}', "");
    Expect(0, 43968, '\P{^		Is_CHER}', "");
    Error('\p{-cherokee_Supplement:=}');
    Error('\P{-cherokee_Supplement:=}');
    Expect(1, 43967, '\p{cherokeesupplement}', "");
    Expect(0, 43967, '\p{^cherokeesupplement}', "");
    Expect(0, 43967, '\P{cherokeesupplement}', "");
    Expect(1, 43967, '\P{^cherokeesupplement}', "");
    Expect(0, 43968, '\p{cherokeesupplement}', "");
    Expect(1, 43968, '\p{^cherokeesupplement}', "");
    Expect(1, 43968, '\P{cherokeesupplement}', "");
    Expect(0, 43968, '\P{^cherokeesupplement}', "");
    Expect(1, 43967, '\p{		Cherokee_Supplement}', "");
    Expect(0, 43967, '\p{^		Cherokee_Supplement}', "");
    Expect(0, 43967, '\P{		Cherokee_Supplement}', "");
    Expect(1, 43967, '\P{^		Cherokee_Supplement}', "");
    Expect(0, 43968, '\p{		Cherokee_Supplement}', "");
    Expect(1, 43968, '\p{^		Cherokee_Supplement}', "");
    Expect(1, 43968, '\P{		Cherokee_Supplement}', "");
    Expect(0, 43968, '\P{^		Cherokee_Supplement}', "");
    Error('\p{-/a/IS_CHEROKEE_Supplement}');
    Error('\P{-/a/IS_CHEROKEE_Supplement}');
    Expect(1, 43967, '\p{ischerokeesupplement}', "");
    Expect(0, 43967, '\p{^ischerokeesupplement}', "");
    Expect(0, 43967, '\P{ischerokeesupplement}', "");
    Expect(1, 43967, '\P{^ischerokeesupplement}', "");
    Expect(0, 43968, '\p{ischerokeesupplement}', "");
    Expect(1, 43968, '\p{^ischerokeesupplement}', "");
    Expect(1, 43968, '\P{ischerokeesupplement}', "");
    Expect(0, 43968, '\P{^ischerokeesupplement}', "");
    Expect(1, 43967, '\p{- Is_cherokee_supplement}', "");
    Expect(0, 43967, '\p{^- Is_cherokee_supplement}', "");
    Expect(0, 43967, '\P{- Is_cherokee_supplement}', "");
    Expect(1, 43967, '\P{^- Is_cherokee_supplement}', "");
    Expect(0, 43968, '\p{- Is_cherokee_supplement}', "");
    Expect(1, 43968, '\p{^- Is_cherokee_supplement}', "");
    Expect(1, 43968, '\P{- Is_cherokee_supplement}', "");
    Expect(0, 43968, '\P{^- Is_cherokee_supplement}', "");
    Error('\p{-in_cherokee_supplement/a/}');
    Error('\P{-in_cherokee_supplement/a/}');
    Expect(1, 43967, '\p{incherokeesupplement}', "");
    Expect(0, 43967, '\p{^incherokeesupplement}', "");
    Expect(0, 43967, '\P{incherokeesupplement}', "");
    Expect(1, 43967, '\P{^incherokeesupplement}', "");
    Expect(0, 43968, '\p{incherokeesupplement}', "");
    Expect(1, 43968, '\p{^incherokeesupplement}', "");
    Expect(1, 43968, '\P{incherokeesupplement}', "");
    Expect(0, 43968, '\P{^incherokeesupplement}', "");
    Expect(1, 43967, '\p{	_In_Cherokee_supplement}', "");
    Expect(0, 43967, '\p{^	_In_Cherokee_supplement}', "");
    Expect(0, 43967, '\P{	_In_Cherokee_supplement}', "");
    Expect(1, 43967, '\P{^	_In_Cherokee_supplement}', "");
    Expect(0, 43968, '\p{	_In_Cherokee_supplement}', "");
    Expect(1, 43968, '\p{^	_In_Cherokee_supplement}', "");
    Expect(1, 43968, '\P{	_In_Cherokee_supplement}', "");
    Expect(0, 43968, '\P{^	_In_Cherokee_supplement}', "");
    Error('\p{	:=Cherokee_sup}');
    Error('\P{	:=Cherokee_sup}');
    Expect(1, 43967, '\p{cherokeesup}', "");
    Expect(0, 43967, '\p{^cherokeesup}', "");
    Expect(0, 43967, '\P{cherokeesup}', "");
    Expect(1, 43967, '\P{^cherokeesup}', "");
    Expect(0, 43968, '\p{cherokeesup}', "");
    Expect(1, 43968, '\p{^cherokeesup}', "");
    Expect(1, 43968, '\P{cherokeesup}', "");
    Expect(0, 43968, '\P{^cherokeesup}', "");
    Expect(1, 43967, '\p{Cherokee_Sup}', "");
    Expect(0, 43967, '\p{^Cherokee_Sup}', "");
    Expect(0, 43967, '\P{Cherokee_Sup}', "");
    Expect(1, 43967, '\P{^Cherokee_Sup}', "");
    Expect(0, 43968, '\p{Cherokee_Sup}', "");
    Expect(1, 43968, '\p{^Cherokee_Sup}', "");
    Expect(1, 43968, '\P{Cherokee_Sup}', "");
    Expect(0, 43968, '\P{^Cherokee_Sup}', "");
    Error('\p{	:=IS_CHEROKEE_Sup}');
    Error('\P{	:=IS_CHEROKEE_Sup}');
    Expect(1, 43967, '\p{ischerokeesup}', "");
    Expect(0, 43967, '\p{^ischerokeesup}', "");
    Expect(0, 43967, '\P{ischerokeesup}', "");
    Expect(1, 43967, '\P{^ischerokeesup}', "");
    Expect(0, 43968, '\p{ischerokeesup}', "");
    Expect(1, 43968, '\p{^ischerokeesup}', "");
    Expect(1, 43968, '\P{ischerokeesup}', "");
    Expect(0, 43968, '\P{^ischerokeesup}', "");
    Expect(1, 43967, '\p{-	Is_cherokee_Sup}', "");
    Expect(0, 43967, '\p{^-	Is_cherokee_Sup}', "");
    Expect(0, 43967, '\P{-	Is_cherokee_Sup}', "");
    Expect(1, 43967, '\P{^-	Is_cherokee_Sup}', "");
    Expect(0, 43968, '\p{-	Is_cherokee_Sup}', "");
    Expect(1, 43968, '\p{^-	Is_cherokee_Sup}', "");
    Expect(1, 43968, '\P{-	Is_cherokee_Sup}', "");
    Expect(0, 43968, '\P{^-	Is_cherokee_Sup}', "");
    Error('\p{-/a/in_Cherokee_Sup}');
    Error('\P{-/a/in_Cherokee_Sup}');
    Expect(1, 43967, '\p{incherokeesup}', "");
    Expect(0, 43967, '\p{^incherokeesup}', "");
    Expect(0, 43967, '\P{incherokeesup}', "");
    Expect(1, 43967, '\P{^incherokeesup}', "");
    Expect(0, 43968, '\p{incherokeesup}', "");
    Expect(1, 43968, '\p{^incherokeesup}', "");
    Expect(1, 43968, '\P{incherokeesup}', "");
    Expect(0, 43968, '\P{^incherokeesup}', "");
    Expect(1, 43967, '\p{- In_CHEROKEE_sup}', "");
    Expect(0, 43967, '\p{^- In_CHEROKEE_sup}', "");
    Expect(0, 43967, '\P{- In_CHEROKEE_sup}', "");
    Expect(1, 43967, '\P{^- In_CHEROKEE_sup}', "");
    Expect(0, 43968, '\p{- In_CHEROKEE_sup}', "");
    Expect(1, 43968, '\p{^- In_CHEROKEE_sup}', "");
    Expect(1, 43968, '\P{- In_CHEROKEE_sup}', "");
    Expect(0, 43968, '\P{^- In_CHEROKEE_sup}', "");
    Error('\p{	/a/CHESS_SYMBOLS}');
    Error('\P{	/a/CHESS_SYMBOLS}');
    Expect(1, 129647, '\p{chesssymbols}', "");
    Expect(0, 129647, '\p{^chesssymbols}', "");
    Expect(0, 129647, '\P{chesssymbols}', "");
    Expect(1, 129647, '\P{^chesssymbols}', "");
    Expect(0, 129648, '\p{chesssymbols}', "");
    Expect(1, 129648, '\p{^chesssymbols}', "");
    Expect(1, 129648, '\P{chesssymbols}', "");
    Expect(0, 129648, '\P{^chesssymbols}', "");
    Expect(1, 129647, '\p{	-Chess_Symbols}', "");
    Expect(0, 129647, '\p{^	-Chess_Symbols}', "");
    Expect(0, 129647, '\P{	-Chess_Symbols}', "");
    Expect(1, 129647, '\P{^	-Chess_Symbols}', "");
    Expect(0, 129648, '\p{	-Chess_Symbols}', "");
    Expect(1, 129648, '\p{^	-Chess_Symbols}', "");
    Expect(1, 129648, '\P{	-Chess_Symbols}', "");
    Expect(0, 129648, '\P{^	-Chess_Symbols}', "");
    Error('\p{-_Is_Chess_symbols/a/}');
    Error('\P{-_Is_Chess_symbols/a/}');
    Expect(1, 129647, '\p{ischesssymbols}', "");
    Expect(0, 129647, '\p{^ischesssymbols}', "");
    Expect(0, 129647, '\P{ischesssymbols}', "");
    Expect(1, 129647, '\P{^ischesssymbols}', "");
    Expect(0, 129648, '\p{ischesssymbols}', "");
    Expect(1, 129648, '\p{^ischesssymbols}', "");
    Expect(1, 129648, '\P{ischesssymbols}', "");
    Expect(0, 129648, '\P{^ischesssymbols}', "");
    Expect(1, 129647, '\p{	Is_Chess_SYMBOLS}', "");
    Expect(0, 129647, '\p{^	Is_Chess_SYMBOLS}', "");
    Expect(0, 129647, '\P{	Is_Chess_SYMBOLS}', "");
    Expect(1, 129647, '\P{^	Is_Chess_SYMBOLS}', "");
    Expect(0, 129648, '\p{	Is_Chess_SYMBOLS}', "");
    Expect(1, 129648, '\p{^	Is_Chess_SYMBOLS}', "");
    Expect(1, 129648, '\P{	Is_Chess_SYMBOLS}', "");
    Expect(0, 129648, '\P{^	Is_Chess_SYMBOLS}', "");
    Error('\p{	:=In_Chess_symbols}');
    Error('\P{	:=In_Chess_symbols}');
    Expect(1, 129647, '\p{inchesssymbols}', "");
    Expect(0, 129647, '\p{^inchesssymbols}', "");
    Expect(0, 129647, '\P{inchesssymbols}', "");
    Expect(1, 129647, '\P{^inchesssymbols}', "");
    Expect(0, 129648, '\p{inchesssymbols}', "");
    Expect(1, 129648, '\p{^inchesssymbols}', "");
    Expect(1, 129648, '\P{inchesssymbols}', "");
    Expect(0, 129648, '\P{^inchesssymbols}', "");
    Expect(1, 129647, '\p{_-In_Chess_SYMBOLS}', "");
    Expect(0, 129647, '\p{^_-In_Chess_SYMBOLS}', "");
    Expect(0, 129647, '\P{_-In_Chess_SYMBOLS}', "");
    Expect(1, 129647, '\P{^_-In_Chess_SYMBOLS}', "");
    Expect(0, 129648, '\p{_-In_Chess_SYMBOLS}', "");
    Expect(1, 129648, '\p{^_-In_Chess_SYMBOLS}', "");
    Expect(1, 129648, '\P{_-In_Chess_SYMBOLS}', "");
    Expect(0, 129648, '\P{^_-In_Chess_SYMBOLS}', "");
    Error('\p{-/a/chorasmian}');
    Error('\P{-/a/chorasmian}');
    Expect(1, 69579, '\p{chorasmian}', "");
    Expect(0, 69579, '\p{^chorasmian}', "");
    Expect(0, 69579, '\P{chorasmian}', "");
    Expect(1, 69579, '\P{^chorasmian}', "");
    Expect(0, 69580, '\p{chorasmian}', "");
    Expect(1, 69580, '\p{^chorasmian}', "");
    Expect(1, 69580, '\P{chorasmian}', "");
    Expect(0, 69580, '\P{^chorasmian}', "");
    Expect(1, 69579, '\p{__CHORASMIAN}', "");
    Expect(0, 69579, '\p{^__CHORASMIAN}', "");
    Expect(0, 69579, '\P{__CHORASMIAN}', "");
    Expect(1, 69579, '\P{^__CHORASMIAN}', "");
    Expect(0, 69580, '\p{__CHORASMIAN}', "");
    Expect(1, 69580, '\p{^__CHORASMIAN}', "");
    Expect(1, 69580, '\P{__CHORASMIAN}', "");
    Expect(0, 69580, '\P{^__CHORASMIAN}', "");
    Error('\p{ /a/Is_Chorasmian}');
    Error('\P{ /a/Is_Chorasmian}');
    Expect(1, 69579, '\p{ischorasmian}', "");
    Expect(0, 69579, '\p{^ischorasmian}', "");
    Expect(0, 69579, '\P{ischorasmian}', "");
    Expect(1, 69579, '\P{^ischorasmian}', "");
    Expect(0, 69580, '\p{ischorasmian}', "");
    Expect(1, 69580, '\p{^ischorasmian}', "");
    Expect(1, 69580, '\P{ischorasmian}', "");
    Expect(0, 69580, '\P{^ischorasmian}', "");
    Expect(1, 69579, '\p{ _Is_CHORASMIAN}', "");
    Expect(0, 69579, '\p{^ _Is_CHORASMIAN}', "");
    Expect(0, 69579, '\P{ _Is_CHORASMIAN}', "");
    Expect(1, 69579, '\P{^ _Is_CHORASMIAN}', "");
    Expect(0, 69580, '\p{ _Is_CHORASMIAN}', "");
    Expect(1, 69580, '\p{^ _Is_CHORASMIAN}', "");
    Expect(1, 69580, '\P{ _Is_CHORASMIAN}', "");
    Expect(0, 69580, '\P{^ _Is_CHORASMIAN}', "");
    Error('\p{:=	CHRS}');
    Error('\P{:=	CHRS}');
    Expect(1, 69579, '\p{chrs}', "");
    Expect(0, 69579, '\p{^chrs}', "");
    Expect(0, 69579, '\P{chrs}', "");
    Expect(1, 69579, '\P{^chrs}', "");
    Expect(0, 69580, '\p{chrs}', "");
    Expect(1, 69580, '\p{^chrs}', "");
    Expect(1, 69580, '\P{chrs}', "");
    Expect(0, 69580, '\P{^chrs}', "");
    Expect(1, 69579, '\p{_CHRS}', "");
    Expect(0, 69579, '\p{^_CHRS}', "");
    Expect(0, 69579, '\P{_CHRS}', "");
    Expect(1, 69579, '\P{^_CHRS}', "");
    Expect(0, 69580, '\p{_CHRS}', "");
    Expect(1, 69580, '\p{^_CHRS}', "");
    Expect(1, 69580, '\P{_CHRS}', "");
    Expect(0, 69580, '\P{^_CHRS}', "");
    Error('\p{ -Is_Chrs:=}');
    Error('\P{ -Is_Chrs:=}');
    Expect(1, 69579, '\p{ischrs}', "");
    Expect(0, 69579, '\p{^ischrs}', "");
    Expect(0, 69579, '\P{ischrs}', "");
    Expect(1, 69579, '\P{^ischrs}', "");
    Expect(0, 69580, '\p{ischrs}', "");
    Expect(1, 69580, '\p{^ischrs}', "");
    Expect(1, 69580, '\P{ischrs}', "");
    Expect(0, 69580, '\P{^ischrs}', "");
    Expect(1, 69579, '\p{	 IS_Chrs}', "");
    Expect(0, 69579, '\p{^	 IS_Chrs}', "");
    Expect(0, 69579, '\P{	 IS_Chrs}', "");
    Expect(1, 69579, '\P{^	 IS_Chrs}', "");
    Expect(0, 69580, '\p{	 IS_Chrs}', "");
    Expect(1, 69580, '\p{^	 IS_Chrs}', "");
    Expect(1, 69580, '\P{	 IS_Chrs}', "");
    Expect(0, 69580, '\P{^	 IS_Chrs}', "");
    Error('\p{	/a/CJK_Compatibility}');
    Error('\P{	/a/CJK_Compatibility}');
    Expect(1, 13311, '\p{cjkcompatibility}', "");
    Expect(0, 13311, '\p{^cjkcompatibility}', "");
    Expect(0, 13311, '\P{cjkcompatibility}', "");
    Expect(1, 13311, '\P{^cjkcompatibility}', "");
    Expect(0, 13312, '\p{cjkcompatibility}', "");
    Expect(1, 13312, '\p{^cjkcompatibility}', "");
    Expect(1, 13312, '\P{cjkcompatibility}', "");
    Expect(0, 13312, '\P{^cjkcompatibility}', "");
    Expect(1, 13311, '\p{-CJK_Compatibility}', "");
    Expect(0, 13311, '\p{^-CJK_Compatibility}', "");
    Expect(0, 13311, '\P{-CJK_Compatibility}', "");
    Expect(1, 13311, '\P{^-CJK_Compatibility}', "");
    Expect(0, 13312, '\p{-CJK_Compatibility}', "");
    Expect(1, 13312, '\p{^-CJK_Compatibility}', "");
    Expect(1, 13312, '\P{-CJK_Compatibility}', "");
    Expect(0, 13312, '\P{^-CJK_Compatibility}', "");
    Error('\p{-	is_cjk_Compatibility:=}');
    Error('\P{-	is_cjk_Compatibility:=}');
    Expect(1, 13311, '\p{iscjkcompatibility}', "");
    Expect(0, 13311, '\p{^iscjkcompatibility}', "");
    Expect(0, 13311, '\P{iscjkcompatibility}', "");
    Expect(1, 13311, '\P{^iscjkcompatibility}', "");
    Expect(0, 13312, '\p{iscjkcompatibility}', "");
    Expect(1, 13312, '\p{^iscjkcompatibility}', "");
    Expect(1, 13312, '\P{iscjkcompatibility}', "");
    Expect(0, 13312, '\P{^iscjkcompatibility}', "");
    Expect(1, 13311, '\p{	Is_CJK_COMPATIBILITY}', "");
    Expect(0, 13311, '\p{^	Is_CJK_COMPATIBILITY}', "");
    Expect(0, 13311, '\P{	Is_CJK_COMPATIBILITY}', "");
    Expect(1, 13311, '\P{^	Is_CJK_COMPATIBILITY}', "");
    Expect(0, 13312, '\p{	Is_CJK_COMPATIBILITY}', "");
    Expect(1, 13312, '\p{^	Is_CJK_COMPATIBILITY}', "");
    Expect(1, 13312, '\P{	Is_CJK_COMPATIBILITY}', "");
    Expect(0, 13312, '\P{^	Is_CJK_COMPATIBILITY}', "");
    Error('\p{-/a/IN_CJK_Compatibility}');
    Error('\P{-/a/IN_CJK_Compatibility}');
    Expect(1, 13311, '\p{incjkcompatibility}', "");
    Expect(0, 13311, '\p{^incjkcompatibility}', "");
    Expect(0, 13311, '\P{incjkcompatibility}', "");
    Expect(1, 13311, '\P{^incjkcompatibility}', "");
    Expect(0, 13312, '\p{incjkcompatibility}', "");
    Expect(1, 13312, '\p{^incjkcompatibility}', "");
    Expect(1, 13312, '\P{incjkcompatibility}', "");
    Expect(0, 13312, '\P{^incjkcompatibility}', "");
    Expect(1, 13311, '\p{-In_cjk_COMPATIBILITY}', "");
    Expect(0, 13311, '\p{^-In_cjk_COMPATIBILITY}', "");
    Expect(0, 13311, '\P{-In_cjk_COMPATIBILITY}', "");
    Expect(1, 13311, '\P{^-In_cjk_COMPATIBILITY}', "");
    Expect(0, 13312, '\p{-In_cjk_COMPATIBILITY}', "");
    Expect(1, 13312, '\p{^-In_cjk_COMPATIBILITY}', "");
    Expect(1, 13312, '\P{-In_cjk_COMPATIBILITY}', "");
    Expect(0, 13312, '\P{^-In_cjk_COMPATIBILITY}', "");
    Error('\p{/a/_	CJK_Compat}');
    Error('\P{/a/_	CJK_Compat}');
    Expect(1, 13311, '\p{cjkcompat}', "");
    Expect(0, 13311, '\p{^cjkcompat}', "");
    Expect(0, 13311, '\P{cjkcompat}', "");
    Expect(1, 13311, '\P{^cjkcompat}', "");
    Expect(0, 13312, '\p{cjkcompat}', "");
    Expect(1, 13312, '\p{^cjkcompat}', "");
    Expect(1, 13312, '\P{cjkcompat}', "");
    Expect(0, 13312, '\P{^cjkcompat}', "");
    Expect(1, 13311, '\p{_CJK_compat}', "");
    Expect(0, 13311, '\p{^_CJK_compat}', "");
    Expect(0, 13311, '\P{_CJK_compat}', "");
    Expect(1, 13311, '\P{^_CJK_compat}', "");
    Expect(0, 13312, '\p{_CJK_compat}', "");
    Expect(1, 13312, '\p{^_CJK_compat}', "");
    Expect(1, 13312, '\P{_CJK_compat}', "");
    Expect(0, 13312, '\P{^_CJK_compat}', "");
    Error('\p{/a/-	is_CJK_Compat}');
    Error('\P{/a/-	is_CJK_Compat}');
    Expect(1, 13311, '\p{iscjkcompat}', "");
    Expect(0, 13311, '\p{^iscjkcompat}', "");
    Expect(0, 13311, '\P{iscjkcompat}', "");
    Expect(1, 13311, '\P{^iscjkcompat}', "");
    Expect(0, 13312, '\p{iscjkcompat}', "");
    Expect(1, 13312, '\p{^iscjkcompat}', "");
    Expect(1, 13312, '\P{iscjkcompat}', "");
    Expect(0, 13312, '\P{^iscjkcompat}', "");
    Expect(1, 13311, '\p{	IS_CJK_COMPAT}', "");
    Expect(0, 13311, '\p{^	IS_CJK_COMPAT}', "");
    Expect(0, 13311, '\P{	IS_CJK_COMPAT}', "");
    Expect(1, 13311, '\P{^	IS_CJK_COMPAT}', "");
    Expect(0, 13312, '\p{	IS_CJK_COMPAT}', "");
    Expect(1, 13312, '\p{^	IS_CJK_COMPAT}', "");
    Expect(1, 13312, '\P{	IS_CJK_COMPAT}', "");
    Expect(0, 13312, '\P{^	IS_CJK_COMPAT}', "");
    Error('\p{/a/ IN_CJK_COMPAT}');
    Error('\P{/a/ IN_CJK_COMPAT}');
    Expect(1, 13311, '\p{incjkcompat}', "");
    Expect(0, 13311, '\p{^incjkcompat}', "");
    Expect(0, 13311, '\P{incjkcompat}', "");
    Expect(1, 13311, '\P{^incjkcompat}', "");
    Expect(0, 13312, '\p{incjkcompat}', "");
    Expect(1, 13312, '\p{^incjkcompat}', "");
    Expect(1, 13312, '\P{incjkcompat}', "");
    Expect(0, 13312, '\P{^incjkcompat}', "");
    Expect(1, 13311, '\p{	 IN_CJK_Compat}', "");
    Expect(0, 13311, '\p{^	 IN_CJK_Compat}', "");
    Expect(0, 13311, '\P{	 IN_CJK_Compat}', "");
    Expect(1, 13311, '\P{^	 IN_CJK_Compat}', "");
    Expect(0, 13312, '\p{	 IN_CJK_Compat}', "");
    Expect(1, 13312, '\p{^	 IN_CJK_Compat}', "");
    Expect(1, 13312, '\P{	 IN_CJK_Compat}', "");
    Expect(0, 13312, '\P{^	 IN_CJK_Compat}', "");
    Error('\p{/a/	cjk_compatibility_Forms}');
    Error('\P{/a/	cjk_compatibility_Forms}');
    Expect(1, 65103, '\p{cjkcompatibilityforms}', "");
    Expect(0, 65103, '\p{^cjkcompatibilityforms}', "");
    Expect(0, 65103, '\P{cjkcompatibilityforms}', "");
    Expect(1, 65103, '\P{^cjkcompatibilityforms}', "");
    Expect(0, 65104, '\p{cjkcompatibilityforms}', "");
    Expect(1, 65104, '\p{^cjkcompatibilityforms}', "");
    Expect(1, 65104, '\P{cjkcompatibilityforms}', "");
    Expect(0, 65104, '\P{^cjkcompatibilityforms}', "");
    Expect(1, 65103, '\p{		CJK_COMPATIBILITY_Forms}', "");
    Expect(0, 65103, '\p{^		CJK_COMPATIBILITY_Forms}', "");
    Expect(0, 65103, '\P{		CJK_COMPATIBILITY_Forms}', "");
    Expect(1, 65103, '\P{^		CJK_COMPATIBILITY_Forms}', "");
    Expect(0, 65104, '\p{		CJK_COMPATIBILITY_Forms}', "");
    Expect(1, 65104, '\p{^		CJK_COMPATIBILITY_Forms}', "");
    Expect(1, 65104, '\P{		CJK_COMPATIBILITY_Forms}', "");
    Expect(0, 65104, '\P{^		CJK_COMPATIBILITY_Forms}', "");
    Error('\p{:= -is_CJK_Compatibility_Forms}');
    Error('\P{:= -is_CJK_Compatibility_Forms}');
    Expect(1, 65103, '\p{iscjkcompatibilityforms}', "");
    Expect(0, 65103, '\p{^iscjkcompatibilityforms}', "");
    Expect(0, 65103, '\P{iscjkcompatibilityforms}', "");
    Expect(1, 65103, '\P{^iscjkcompatibilityforms}', "");
    Expect(0, 65104, '\p{iscjkcompatibilityforms}', "");
    Expect(1, 65104, '\p{^iscjkcompatibilityforms}', "");
    Expect(1, 65104, '\P{iscjkcompatibilityforms}', "");
    Expect(0, 65104, '\P{^iscjkcompatibilityforms}', "");
    Expect(1, 65103, '\p{ is_CJK_compatibility_FORMS}', "");
    Expect(0, 65103, '\p{^ is_CJK_compatibility_FORMS}', "");
    Expect(0, 65103, '\P{ is_CJK_compatibility_FORMS}', "");
    Expect(1, 65103, '\P{^ is_CJK_compatibility_FORMS}', "");
    Expect(0, 65104, '\p{ is_CJK_compatibility_FORMS}', "");
    Expect(1, 65104, '\p{^ is_CJK_compatibility_FORMS}', "");
    Expect(1, 65104, '\P{ is_CJK_compatibility_FORMS}', "");
    Expect(0, 65104, '\P{^ is_CJK_compatibility_FORMS}', "");
    Error('\p{/a/-	In_cjk_Compatibility_Forms}');
    Error('\P{/a/-	In_cjk_Compatibility_Forms}');
    Expect(1, 65103, '\p{incjkcompatibilityforms}', "");
    Expect(0, 65103, '\p{^incjkcompatibilityforms}', "");
    Expect(0, 65103, '\P{incjkcompatibilityforms}', "");
    Expect(1, 65103, '\P{^incjkcompatibilityforms}', "");
    Expect(0, 65104, '\p{incjkcompatibilityforms}', "");
    Expect(1, 65104, '\p{^incjkcompatibilityforms}', "");
    Expect(1, 65104, '\P{incjkcompatibilityforms}', "");
    Expect(0, 65104, '\P{^incjkcompatibilityforms}', "");
    Expect(1, 65103, '\p{ In_CJK_compatibility_Forms}', "");
    Expect(0, 65103, '\p{^ In_CJK_compatibility_Forms}', "");
    Expect(0, 65103, '\P{ In_CJK_compatibility_Forms}', "");
    Expect(1, 65103, '\P{^ In_CJK_compatibility_Forms}', "");
    Expect(0, 65104, '\p{ In_CJK_compatibility_Forms}', "");
    Expect(1, 65104, '\p{^ In_CJK_compatibility_Forms}', "");
    Expect(1, 65104, '\P{ In_CJK_compatibility_Forms}', "");
    Expect(0, 65104, '\P{^ In_CJK_compatibility_Forms}', "");
    Error('\p{_:=CJK_COMPAT_Forms}');
    Error('\P{_:=CJK_COMPAT_Forms}');
    Expect(1, 65103, '\p{cjkcompatforms}', "");
    Expect(0, 65103, '\p{^cjkcompatforms}', "");
    Expect(0, 65103, '\P{cjkcompatforms}', "");
    Expect(1, 65103, '\P{^cjkcompatforms}', "");
    Expect(0, 65104, '\p{cjkcompatforms}', "");
    Expect(1, 65104, '\p{^cjkcompatforms}', "");
    Expect(1, 65104, '\P{cjkcompatforms}', "");
    Expect(0, 65104, '\P{^cjkcompatforms}', "");
    Expect(1, 65103, '\p{_-cjk_COMPAT_forms}', "");
    Expect(0, 65103, '\p{^_-cjk_COMPAT_forms}', "");
    Expect(0, 65103, '\P{_-cjk_COMPAT_forms}', "");
    Expect(1, 65103, '\P{^_-cjk_COMPAT_forms}', "");
    Expect(0, 65104, '\p{_-cjk_COMPAT_forms}', "");
    Expect(1, 65104, '\p{^_-cjk_COMPAT_forms}', "");
    Expect(1, 65104, '\P{_-cjk_COMPAT_forms}', "");
    Expect(0, 65104, '\P{^_-cjk_COMPAT_forms}', "");
    Error('\p{ -is_cjk_COMPAT_forms/a/}');
    Error('\P{ -is_cjk_COMPAT_forms/a/}');
    Expect(1, 65103, '\p{iscjkcompatforms}', "");
    Expect(0, 65103, '\p{^iscjkcompatforms}', "");
    Expect(0, 65103, '\P{iscjkcompatforms}', "");
    Expect(1, 65103, '\P{^iscjkcompatforms}', "");
    Expect(0, 65104, '\p{iscjkcompatforms}', "");
    Expect(1, 65104, '\p{^iscjkcompatforms}', "");
    Expect(1, 65104, '\P{iscjkcompatforms}', "");
    Expect(0, 65104, '\P{^iscjkcompatforms}', "");
    Expect(1, 65103, '\p{	 IS_CJK_COMPAT_Forms}', "");
    Expect(0, 65103, '\p{^	 IS_CJK_COMPAT_Forms}', "");
    Expect(0, 65103, '\P{	 IS_CJK_COMPAT_Forms}', "");
    Expect(1, 65103, '\P{^	 IS_CJK_COMPAT_Forms}', "");
    Expect(0, 65104, '\p{	 IS_CJK_COMPAT_Forms}', "");
    Expect(1, 65104, '\p{^	 IS_CJK_COMPAT_Forms}', "");
    Expect(1, 65104, '\P{	 IS_CJK_COMPAT_Forms}', "");
    Expect(0, 65104, '\P{^	 IS_CJK_COMPAT_Forms}', "");
    Error('\p{- in_cjk_Compat_FORMS/a/}');
    Error('\P{- in_cjk_Compat_FORMS/a/}');
    Expect(1, 65103, '\p{incjkcompatforms}', "");
    Expect(0, 65103, '\p{^incjkcompatforms}', "");
    Expect(0, 65103, '\P{incjkcompatforms}', "");
    Expect(1, 65103, '\P{^incjkcompatforms}', "");
    Expect(0, 65104, '\p{incjkcompatforms}', "");
    Expect(1, 65104, '\p{^incjkcompatforms}', "");
    Expect(1, 65104, '\P{incjkcompatforms}', "");
    Expect(0, 65104, '\P{^incjkcompatforms}', "");
    Expect(1, 65103, '\p{_IN_cjk_Compat_forms}', "");
    Expect(0, 65103, '\p{^_IN_cjk_Compat_forms}', "");
    Expect(0, 65103, '\P{_IN_cjk_Compat_forms}', "");
    Expect(1, 65103, '\P{^_IN_cjk_Compat_forms}', "");
    Expect(0, 65104, '\p{_IN_cjk_Compat_forms}', "");
    Expect(1, 65104, '\p{^_IN_cjk_Compat_forms}', "");
    Expect(1, 65104, '\P{_IN_cjk_Compat_forms}', "");
    Expect(0, 65104, '\P{^_IN_cjk_Compat_forms}', "");
    Error('\p{/a/  CJK_COMPATIBILITY_Ideographs}');
    Error('\P{/a/  CJK_COMPATIBILITY_Ideographs}');
    Expect(1, 64255, '\p{cjkcompatibilityideographs}', "");
    Expect(0, 64255, '\p{^cjkcompatibilityideographs}', "");
    Expect(0, 64255, '\P{cjkcompatibilityideographs}', "");
    Expect(1, 64255, '\P{^cjkcompatibilityideographs}', "");
    Expect(0, 64256, '\p{cjkcompatibilityideographs}', "");
    Expect(1, 64256, '\p{^cjkcompatibilityideographs}', "");
    Expect(1, 64256, '\P{cjkcompatibilityideographs}', "");
    Expect(0, 64256, '\P{^cjkcompatibilityideographs}', "");
    Expect(1, 64255, '\p{ -CJK_compatibility_IDEOGRAPHS}', "");
    Expect(0, 64255, '\p{^ -CJK_compatibility_IDEOGRAPHS}', "");
    Expect(0, 64255, '\P{ -CJK_compatibility_IDEOGRAPHS}', "");
    Expect(1, 64255, '\P{^ -CJK_compatibility_IDEOGRAPHS}', "");
    Expect(0, 64256, '\p{ -CJK_compatibility_IDEOGRAPHS}', "");
    Expect(1, 64256, '\p{^ -CJK_compatibility_IDEOGRAPHS}', "");
    Expect(1, 64256, '\P{ -CJK_compatibility_IDEOGRAPHS}', "");
    Expect(0, 64256, '\P{^ -CJK_compatibility_IDEOGRAPHS}', "");
    Error('\p{_Is_CJK_Compatibility_Ideographs:=}');
    Error('\P{_Is_CJK_Compatibility_Ideographs:=}');
    Expect(1, 64255, '\p{iscjkcompatibilityideographs}', "");
    Expect(0, 64255, '\p{^iscjkcompatibilityideographs}', "");
    Expect(0, 64255, '\P{iscjkcompatibilityideographs}', "");
    Expect(1, 64255, '\P{^iscjkcompatibilityideographs}', "");
    Expect(0, 64256, '\p{iscjkcompatibilityideographs}', "");
    Expect(1, 64256, '\p{^iscjkcompatibilityideographs}', "");
    Expect(1, 64256, '\P{iscjkcompatibilityideographs}', "");
    Expect(0, 64256, '\P{^iscjkcompatibilityideographs}', "");
    Expect(1, 64255, '\p{_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64255, '\p{^_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64255, '\P{_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(1, 64255, '\P{^_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64256, '\p{_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(1, 64256, '\p{^_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(1, 64256, '\P{_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Expect(0, 64256, '\P{^_-is_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
    Error('\p{--IN_CJK_COMPATIBILITY_Ideographs/a/}');
    Error('\P{--IN_CJK_COMPATIBILITY_Ideographs/a/}');
    Expect(1, 64255, '\p{incjkcompatibilityideographs}', "");
    Expect(0, 64255, '\p{^incjkcompatibilityideographs}', "");
    Expect(0, 64255, '\P{incjkcompatibilityideographs}', "");
    Expect(1, 64255, '\P{^incjkcompatibilityideographs}', "");
    Expect(0, 64256, '\p{incjkcompatibilityideographs}', "");
    Expect(1, 64256, '\p{^incjkcompatibilityideographs}', "");
    Expect(1, 64256, '\P{incjkcompatibilityideographs}', "");
    Expect(0, 64256, '\P{^incjkcompatibilityideographs}', "");
    Expect(1, 64255, '\p{-_In_CJK_compatibility_Ideographs}', "");
    Expect(0, 64255, '\p{^-_In_CJK_compatibility_Ideographs}', "");
    Expect(0, 64255, '\P{-_In_CJK_compatibility_Ideographs}', "");
    Expect(1, 64255, '\P{^-_In_CJK_compatibility_Ideographs}', "");
    Expect(0, 64256, '\p{-_In_CJK_compatibility_Ideographs}', "");
    Expect(1, 64256, '\p{^-_In_CJK_compatibility_Ideographs}', "");
    Expect(1, 64256, '\P{-_In_CJK_compatibility_Ideographs}', "");
    Expect(0, 64256, '\P{^-_In_CJK_compatibility_Ideographs}', "");
    Error('\p{_:=CJK_compat_IDEOGRAPHS}');
    Error('\P{_:=CJK_compat_IDEOGRAPHS}');
    Expect(1, 64255, '\p{cjkcompatideographs}', "");
    Expect(0, 64255, '\p{^cjkcompatideographs}', "");
    Expect(0, 64255, '\P{cjkcompatideographs}', "");
    Expect(1, 64255, '\P{^cjkcompatideographs}', "");
    Expect(0, 64256, '\p{cjkcompatideographs}', "");
    Expect(1, 64256, '\p{^cjkcompatideographs}', "");
    Expect(1, 64256, '\P{cjkcompatideographs}', "");
    Expect(0, 64256, '\P{^cjkcompatideographs}', "");
    Expect(1, 64255, '\p{-cjk_Compat_ideographs}', "");
    Expect(0, 64255, '\p{^-cjk_Compat_ideographs}', "");
    Expect(0, 64255, '\P{-cjk_Compat_ideographs}', "");
    Expect(1, 64255, '\P{^-cjk_Compat_ideographs}', "");
    Expect(0, 64256, '\p{-cjk_Compat_ideographs}', "");
    Expect(1, 64256, '\p{^-cjk_Compat_ideographs}', "");
    Expect(1, 64256, '\P{-cjk_Compat_ideographs}', "");
    Expect(0, 64256, '\P{^-cjk_Compat_ideographs}', "");
    Error('\p{/a/-	Is_CJK_Compat_IDEOGRAPHS}');
    Error('\P{/a/-	Is_CJK_Compat_IDEOGRAPHS}');
    Expect(1, 64255, '\p{iscjkcompatideographs}', "");
    Expect(0, 64255, '\p{^iscjkcompatideographs}', "");
    Expect(0, 64255, '\P{iscjkcompatideographs}', "");
    Expect(1, 64255, '\P{^iscjkcompatideographs}', "");
    Expect(0, 64256, '\p{iscjkcompatideographs}', "");
    Expect(1, 64256, '\p{^iscjkcompatideographs}', "");
    Expect(1, 64256, '\P{iscjkcompatideographs}', "");
    Expect(0, 64256, '\P{^iscjkcompatideographs}', "");
    Expect(1, 64255, '\p{_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Expect(0, 64255, '\p{^_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Expect(0, 64255, '\P{_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Expect(1, 64255, '\P{^_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Expect(0, 64256, '\p{_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Expect(1, 64256, '\p{^_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Expect(1, 64256, '\P{_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Expect(0, 64256, '\P{^_ IS_CJK_Compat_IDEOGRAPHS}', "");
    Error('\p{/a/_-IN_CJK_COMPAT_Ideographs}');
    Error('\P{/a/_-IN_CJK_COMPAT_Ideographs}');
    Expect(1, 64255, '\p{incjkcompatideographs}', "");
    Expect(0, 64255, '\p{^incjkcompatideographs}', "");
    Expect(0, 64255, '\P{incjkcompatideographs}', "");
    Expect(1, 64255, '\P{^incjkcompatideographs}', "");
    Expect(0, 64256, '\p{incjkcompatideographs}', "");
    Expect(1, 64256, '\p{^incjkcompatideographs}', "");
    Expect(1, 64256, '\P{incjkcompatideographs}', "");
    Expect(0, 64256, '\P{^incjkcompatideographs}', "");
    Expect(1, 64255, '\p{ _In_CJK_Compat_Ideographs}', "");
    Expect(0, 64255, '\p{^ _In_CJK_Compat_Ideographs}', "");
    Expect(0, 64255, '\P{ _In_CJK_Compat_Ideographs}', "");
    Expect(1, 64255, '\P{^ _In_CJK_Compat_Ideographs}', "");
    Expect(0, 64256, '\p{ _In_CJK_Compat_Ideographs}', "");
    Expect(1, 64256, '\p{^ _In_CJK_Compat_Ideographs}', "");
    Expect(1, 64256, '\P{ _In_CJK_Compat_Ideographs}', "");
    Expect(0, 64256, '\P{^ _In_CJK_Compat_Ideographs}', "");
    Error('\p{-/a/cjk_Compatibility_IDEOGRAPHS_Supplement}');
    Error('\P{-/a/cjk_Compatibility_IDEOGRAPHS_Supplement}');
    Expect(1, 195103, '\p{cjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\p{^cjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\P{cjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\P{^cjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\p{cjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\p{^cjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\P{cjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\P{^cjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\p{-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Expect(0, 195103, '\p{^-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Expect(0, 195103, '\P{-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Expect(1, 195103, '\P{^-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Expect(0, 195104, '\p{-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Expect(1, 195104, '\p{^-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Expect(1, 195104, '\P{-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Expect(0, 195104, '\P{^-CJK_Compatibility_ideographs_SUPPLEMENT}', "");
    Error('\p{-:=is_CJK_Compatibility_Ideographs_SUPPLEMENT}');
    Error('\P{-:=is_CJK_Compatibility_Ideographs_SUPPLEMENT}');
    Expect(1, 195103, '\p{iscjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\p{^iscjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\P{iscjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\P{^iscjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\p{iscjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\p{^iscjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\P{iscjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\P{^iscjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\p{-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Expect(0, 195103, '\p{^-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Expect(0, 195103, '\P{-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Expect(1, 195103, '\P{^-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Expect(0, 195104, '\p{-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Expect(1, 195104, '\p{^-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Expect(1, 195104, '\P{-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Expect(0, 195104, '\P{^-_Is_CJK_Compatibility_IDEOGRAPHS_Supplement}', "");
    Error('\p{	 In_CJK_Compatibility_IDEOGRAPHS_Supplement:=}');
    Error('\P{	 In_CJK_Compatibility_IDEOGRAPHS_Supplement:=}');
    Expect(1, 195103, '\p{incjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\p{^incjkcompatibilityideographssupplement}', "");
    Expect(0, 195103, '\P{incjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\P{^incjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\p{incjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\p{^incjkcompatibilityideographssupplement}', "");
    Expect(1, 195104, '\P{incjkcompatibilityideographssupplement}', "");
    Expect(0, 195104, '\P{^incjkcompatibilityideographssupplement}', "");
    Expect(1, 195103, '\p{_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195103, '\p{^_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195103, '\P{_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(1, 195103, '\P{^_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195104, '\p{_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(1, 195104, '\p{^_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(1, 195104, '\P{_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Expect(0, 195104, '\P{^_in_CJK_compatibility_IDEOGRAPHS_supplement}', "");
    Error('\p{_/a/CJK_Compat_Ideographs_Sup}');
    Error('\P{_/a/CJK_Compat_Ideographs_Sup}');
    Expect(1, 195103, '\p{cjkcompatideographssup}', "");
    Expect(0, 195103, '\p{^cjkcompatideographssup}', "");
    Expect(0, 195103, '\P{cjkcompatideographssup}', "");
    Expect(1, 195103, '\P{^cjkcompatideographssup}', "");
    Expect(0, 195104, '\p{cjkcompatideographssup}', "");
    Expect(1, 195104, '\p{^cjkcompatideographssup}', "");
    Expect(1, 195104, '\P{cjkcompatideographssup}', "");
    Expect(0, 195104, '\P{^cjkcompatideographssup}', "");
    Expect(1, 195103, '\p{- cjk_COMPAT_Ideographs_sup}', "");
    Expect(0, 195103, '\p{^- cjk_COMPAT_Ideographs_sup}', "");
    Expect(0, 195103, '\P{- cjk_COMPAT_Ideographs_sup}', "");
    Expect(1, 195103, '\P{^- cjk_COMPAT_Ideographs_sup}', "");
    Expect(0, 195104, '\p{- cjk_COMPAT_Ideographs_sup}', "");
    Expect(1, 195104, '\p{^- cjk_COMPAT_Ideographs_sup}', "");
    Expect(1, 195104, '\P{- cjk_COMPAT_Ideographs_sup}', "");
    Expect(0, 195104, '\P{^- cjk_COMPAT_Ideographs_sup}', "");
    Error('\p{-/a/IS_cjk_compat_Ideographs_SUP}');
    Error('\P{-/a/IS_cjk_compat_Ideographs_SUP}');
    Expect(1, 195103, '\p{iscjkcompatideographssup}', "");
    Expect(0, 195103, '\p{^iscjkcompatideographssup}', "");
    Expect(0, 195103, '\P{iscjkcompatideographssup}', "");
    Expect(1, 195103, '\P{^iscjkcompatideographssup}', "");
    Expect(0, 195104, '\p{iscjkcompatideographssup}', "");
    Expect(1, 195104, '\p{^iscjkcompatideographssup}', "");
    Expect(1, 195104, '\P{iscjkcompatideographssup}', "");
    Expect(0, 195104, '\P{^iscjkcompatideographssup}', "");
    Expect(1, 195103, '\p{ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195103, '\p{^ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195103, '\P{ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(1, 195103, '\P{^ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195104, '\p{ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(1, 195104, '\p{^ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(1, 195104, '\P{ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195104, '\P{^ 	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Error('\p{ :=In_CJK_Compat_ideographs_Sup}');
    Error('\P{ :=In_CJK_Compat_ideographs_Sup}');
    Expect(1, 195103, '\p{incjkcompatideographssup}', "");
    Expect(0, 195103, '\p{^incjkcompatideographssup}', "");
    Expect(0, 195103, '\P{incjkcompatideographssup}', "");
    Expect(1, 195103, '\P{^incjkcompatideographssup}', "");
    Expect(0, 195104, '\p{incjkcompatideographssup}', "");
    Expect(1, 195104, '\p{^incjkcompatideographssup}', "");
    Expect(1, 195104, '\P{incjkcompatideographssup}', "");
    Expect(0, 195104, '\P{^incjkcompatideographssup}', "");
    Expect(1, 195103, '\p{	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195103, '\p{^	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195103, '\P{	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(1, 195103, '\P{^	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195104, '\p{	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(1, 195104, '\p{^	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(1, 195104, '\P{	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Expect(0, 195104, '\P{^	-in_CJK_Compat_IDEOGRAPHS_Sup}', "");
    Error('\p{:=cjk_radicals_SUPPLEMENT}');
    Error('\P{:=cjk_radicals_SUPPLEMENT}');
    Expect(1, 12031, '\p{cjkradicalssupplement}', "");
    Expect(0, 12031, '\p{^cjkradicalssupplement}', "");
    Expect(0, 12031, '\P{cjkradicalssupplement}', "");
    Expect(1, 12031, '\P{^cjkradicalssupplement}', "");
    Expect(0, 12032, '\p{cjkradicalssupplement}', "");
    Expect(1, 12032, '\p{^cjkradicalssupplement}', "");
    Expect(1, 12032, '\P{cjkradicalssupplement}', "");
    Expect(0, 12032, '\P{^cjkradicalssupplement}', "");
    Expect(1, 12031, '\p{	_CJK_RADICALS_Supplement}', "");
    Expect(0, 12031, '\p{^	_CJK_RADICALS_Supplement}', "");
    Expect(0, 12031, '\P{	_CJK_RADICALS_Supplement}', "");
    Expect(1, 12031, '\P{^	_CJK_RADICALS_Supplement}', "");
    Expect(0, 12032, '\p{	_CJK_RADICALS_Supplement}', "");
    Expect(1, 12032, '\p{^	_CJK_RADICALS_Supplement}', "");
    Expect(1, 12032, '\P{	_CJK_RADICALS_Supplement}', "");
    Expect(0, 12032, '\P{^	_CJK_RADICALS_Supplement}', "");
    Error('\p{	:=is_CJK_Radicals_Supplement}');
    Error('\P{	:=is_CJK_Radicals_Supplement}');
    Expect(1, 12031, '\p{iscjkradicalssupplement}', "");
    Expect(0, 12031, '\p{^iscjkradicalssupplement}', "");
    Expect(0, 12031, '\P{iscjkradicalssupplement}', "");
    Expect(1, 12031, '\P{^iscjkradicalssupplement}', "");
    Expect(0, 12032, '\p{iscjkradicalssupplement}', "");
    Expect(1, 12032, '\p{^iscjkradicalssupplement}', "");
    Expect(1, 12032, '\P{iscjkradicalssupplement}', "");
    Expect(0, 12032, '\P{^iscjkradicalssupplement}', "");
    Expect(1, 12031, '\p{-_Is_CJK_Radicals_Supplement}', "");
    Expect(0, 12031, '\p{^-_Is_CJK_Radicals_Supplement}', "");
    Expect(0, 12031, '\P{-_Is_CJK_Radicals_Supplement}', "");
    Expect(1, 12031, '\P{^-_Is_CJK_Radicals_Supplement}', "");
    Expect(0, 12032, '\p{-_Is_CJK_Radicals_Supplement}', "");
    Expect(1, 12032, '\p{^-_Is_CJK_Radicals_Supplement}', "");
    Expect(1, 12032, '\P{-_Is_CJK_Radicals_Supplement}', "");
    Expect(0, 12032, '\P{^-_Is_CJK_Radicals_Supplement}', "");
    Error('\p{/a/IN_cjk_RADICALS_SUPPLEMENT}');
    Error('\P{/a/IN_cjk_RADICALS_SUPPLEMENT}');
    Expect(1, 12031, '\p{incjkradicalssupplement}', "");
    Expect(0, 12031, '\p{^incjkradicalssupplement}', "");
    Expect(0, 12031, '\P{incjkradicalssupplement}', "");
    Expect(1, 12031, '\P{^incjkradicalssupplement}', "");
    Expect(0, 12032, '\p{incjkradicalssupplement}', "");
    Expect(1, 12032, '\p{^incjkradicalssupplement}', "");
    Expect(1, 12032, '\P{incjkradicalssupplement}', "");
    Expect(0, 12032, '\P{^incjkradicalssupplement}', "");
    Expect(1, 12031, '\p{_-in_CJK_Radicals_Supplement}', "");
    Expect(0, 12031, '\p{^_-in_CJK_Radicals_Supplement}', "");
    Expect(0, 12031, '\P{_-in_CJK_Radicals_Supplement}', "");
    Expect(1, 12031, '\P{^_-in_CJK_Radicals_Supplement}', "");
    Expect(0, 12032, '\p{_-in_CJK_Radicals_Supplement}', "");
    Expect(1, 12032, '\p{^_-in_CJK_Radicals_Supplement}', "");
    Expect(1, 12032, '\P{_-in_CJK_Radicals_Supplement}', "");
    Expect(0, 12032, '\P{^_-in_CJK_Radicals_Supplement}', "");
    Error('\p{-CJK_RADICALS_sup:=}');
    Error('\P{-CJK_RADICALS_sup:=}');
    Expect(1, 12031, '\p{cjkradicalssup}', "");
    Expect(0, 12031, '\p{^cjkradicalssup}', "");
    Expect(0, 12031, '\P{cjkradicalssup}', "");
    Expect(1, 12031, '\P{^cjkradicalssup}', "");
    Expect(0, 12032, '\p{cjkradicalssup}', "");
    Expect(1, 12032, '\p{^cjkradicalssup}', "");
    Expect(1, 12032, '\P{cjkradicalssup}', "");
    Expect(0, 12032, '\P{^cjkradicalssup}', "");
    Expect(1, 12031, '\p{_	CJK_radicals_SUP}', "");
    Expect(0, 12031, '\p{^_	CJK_radicals_SUP}', "");
    Expect(0, 12031, '\P{_	CJK_radicals_SUP}', "");
    Expect(1, 12031, '\P{^_	CJK_radicals_SUP}', "");
    Expect(0, 12032, '\p{_	CJK_radicals_SUP}', "");
    Expect(1, 12032, '\p{^_	CJK_radicals_SUP}', "");
    Expect(1, 12032, '\P{_	CJK_radicals_SUP}', "");
    Expect(0, 12032, '\P{^_	CJK_radicals_SUP}', "");
    Error('\p{:= Is_CJK_Radicals_Sup}');
    Error('\P{:= Is_CJK_Radicals_Sup}');
    Expect(1, 12031, '\p{iscjkradicalssup}', "");
    Expect(0, 12031, '\p{^iscjkradicalssup}', "");
    Expect(0, 12031, '\P{iscjkradicalssup}', "");
    Expect(1, 12031, '\P{^iscjkradicalssup}', "");
    Expect(0, 12032, '\p{iscjkradicalssup}', "");
    Expect(1, 12032, '\p{^iscjkradicalssup}', "");
    Expect(1, 12032, '\P{iscjkradicalssup}', "");
    Expect(0, 12032, '\P{^iscjkradicalssup}', "");
    Expect(1, 12031, '\p{	is_CJK_RADICALS_sup}', "");
    Expect(0, 12031, '\p{^	is_CJK_RADICALS_sup}', "");
    Expect(0, 12031, '\P{	is_CJK_RADICALS_sup}', "");
    Expect(1, 12031, '\P{^	is_CJK_RADICALS_sup}', "");
    Expect(0, 12032, '\p{	is_CJK_RADICALS_sup}', "");
    Expect(1, 12032, '\p{^	is_CJK_RADICALS_sup}', "");
    Expect(1, 12032, '\P{	is_CJK_RADICALS_sup}', "");
    Expect(0, 12032, '\P{^	is_CJK_RADICALS_sup}', "");
    Error('\p{ :=IN_cjk_RADICALS_SUP}');
    Error('\P{ :=IN_cjk_RADICALS_SUP}');
    Expect(1, 12031, '\p{incjkradicalssup}', "");
    Expect(0, 12031, '\p{^incjkradicalssup}', "");
    Expect(0, 12031, '\P{incjkradicalssup}', "");
    Expect(1, 12031, '\P{^incjkradicalssup}', "");
    Expect(0, 12032, '\p{incjkradicalssup}', "");
    Expect(1, 12032, '\p{^incjkradicalssup}', "");
    Expect(1, 12032, '\P{incjkradicalssup}', "");
    Expect(0, 12032, '\P{^incjkradicalssup}', "");
    Expect(1, 12031, '\p{ -In_cjk_Radicals_sup}', "");
    Expect(0, 12031, '\p{^ -In_cjk_Radicals_sup}', "");
    Expect(0, 12031, '\P{ -In_cjk_Radicals_sup}', "");
    Expect(1, 12031, '\P{^ -In_cjk_Radicals_sup}', "");
    Expect(0, 12032, '\p{ -In_cjk_Radicals_sup}', "");
    Expect(1, 12032, '\p{^ -In_cjk_Radicals_sup}', "");
    Expect(1, 12032, '\P{ -In_cjk_Radicals_sup}', "");
    Expect(0, 12032, '\P{^ -In_cjk_Radicals_sup}', "");
    Error('\p{-	cjk_strokes:=}');
    Error('\P{-	cjk_strokes:=}');
    Expect(1, 12783, '\p{cjkstrokes}', "");
    Expect(0, 12783, '\p{^cjkstrokes}', "");
    Expect(0, 12783, '\P{cjkstrokes}', "");
    Expect(1, 12783, '\P{^cjkstrokes}', "");
    Expect(0, 12784, '\p{cjkstrokes}', "");
    Expect(1, 12784, '\p{^cjkstrokes}', "");
    Expect(1, 12784, '\P{cjkstrokes}', "");
    Expect(0, 12784, '\P{^cjkstrokes}', "");
    Expect(1, 12783, '\p{  CJK_Strokes}', "");
    Expect(0, 12783, '\p{^  CJK_Strokes}', "");
    Expect(0, 12783, '\P{  CJK_Strokes}', "");
    Expect(1, 12783, '\P{^  CJK_Strokes}', "");
    Expect(0, 12784, '\p{  CJK_Strokes}', "");
    Expect(1, 12784, '\p{^  CJK_Strokes}', "");
    Expect(1, 12784, '\P{  CJK_Strokes}', "");
    Expect(0, 12784, '\P{^  CJK_Strokes}', "");
    Error('\p{-:=IS_cjk_Strokes}');
    Error('\P{-:=IS_cjk_Strokes}');
    Expect(1, 12783, '\p{iscjkstrokes}', "");
    Expect(0, 12783, '\p{^iscjkstrokes}', "");
    Expect(0, 12783, '\P{iscjkstrokes}', "");
    Expect(1, 12783, '\P{^iscjkstrokes}', "");
    Expect(0, 12784, '\p{iscjkstrokes}', "");
    Expect(1, 12784, '\p{^iscjkstrokes}', "");
    Expect(1, 12784, '\P{iscjkstrokes}', "");
    Expect(0, 12784, '\P{^iscjkstrokes}', "");
    Expect(1, 12783, '\p{-	Is_cjk_Strokes}', "");
    Expect(0, 12783, '\p{^-	Is_cjk_Strokes}', "");
    Expect(0, 12783, '\P{-	Is_cjk_Strokes}', "");
    Expect(1, 12783, '\P{^-	Is_cjk_Strokes}', "");
    Expect(0, 12784, '\p{-	Is_cjk_Strokes}', "");
    Expect(1, 12784, '\p{^-	Is_cjk_Strokes}', "");
    Expect(1, 12784, '\P{-	Is_cjk_Strokes}', "");
    Expect(0, 12784, '\P{^-	Is_cjk_Strokes}', "");
    Error('\p{ _in_CJK_Strokes/a/}');
    Error('\P{ _in_CJK_Strokes/a/}');
    Expect(1, 12783, '\p{incjkstrokes}', "");
    Expect(0, 12783, '\p{^incjkstrokes}', "");
    Expect(0, 12783, '\P{incjkstrokes}', "");
    Expect(1, 12783, '\P{^incjkstrokes}', "");
    Expect(0, 12784, '\p{incjkstrokes}', "");
    Expect(1, 12784, '\p{^incjkstrokes}', "");
    Expect(1, 12784, '\P{incjkstrokes}', "");
    Expect(0, 12784, '\P{^incjkstrokes}', "");
    Expect(1, 12783, '\p{-_in_CJK_strokes}', "");
    Expect(0, 12783, '\p{^-_in_CJK_strokes}', "");
    Expect(0, 12783, '\P{-_in_CJK_strokes}', "");
    Expect(1, 12783, '\P{^-_in_CJK_strokes}', "");
    Expect(0, 12784, '\p{-_in_CJK_strokes}', "");
    Expect(1, 12784, '\p{^-_in_CJK_strokes}', "");
    Expect(1, 12784, '\P{-_in_CJK_strokes}', "");
    Expect(0, 12784, '\P{^-_in_CJK_strokes}', "");
    Error('\p{	-CJK_Symbols_And_Punctuation:=}');
    Error('\P{	-CJK_Symbols_And_Punctuation:=}');
    Expect(1, 12351, '\p{cjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\p{^cjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\P{cjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\P{^cjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\p{cjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\p{^cjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\P{cjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\P{^cjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\p{-	CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12351, '\p{^-	CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12351, '\P{-	CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12351, '\P{^-	CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12352, '\p{-	CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12352, '\p{^-	CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12352, '\P{-	CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12352, '\P{^-	CJK_Symbols_And_Punctuation}', "");
    Error('\p{ :=IS_cjk_symbols_and_punctuation}');
    Error('\P{ :=IS_cjk_symbols_and_punctuation}');
    Expect(1, 12351, '\p{iscjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\p{^iscjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\P{iscjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\P{^iscjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\p{iscjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\p{^iscjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\P{iscjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\P{^iscjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\p{_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Expect(0, 12351, '\p{^_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Expect(0, 12351, '\P{_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Expect(1, 12351, '\P{^_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Expect(0, 12352, '\p{_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Expect(1, 12352, '\p{^_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Expect(1, 12352, '\P{_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Expect(0, 12352, '\P{^_Is_CJK_SYMBOLS_AND_Punctuation}', "");
    Error('\p{ -in_CJK_symbols_AND_Punctuation:=}');
    Error('\P{ -in_CJK_symbols_AND_Punctuation:=}');
    Expect(1, 12351, '\p{incjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\p{^incjksymbolsandpunctuation}', "");
    Expect(0, 12351, '\P{incjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\P{^incjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\p{incjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\p{^incjksymbolsandpunctuation}', "");
    Expect(1, 12352, '\P{incjksymbolsandpunctuation}', "");
    Expect(0, 12352, '\P{^incjksymbolsandpunctuation}', "");
    Expect(1, 12351, '\p{_ In_CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12351, '\p{^_ In_CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12351, '\P{_ In_CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12351, '\P{^_ In_CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12352, '\p{_ In_CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12352, '\p{^_ In_CJK_Symbols_And_Punctuation}', "");
    Expect(1, 12352, '\P{_ In_CJK_Symbols_And_Punctuation}', "");
    Expect(0, 12352, '\P{^_ In_CJK_Symbols_And_Punctuation}', "");
    Error('\p{/a/- CJK_Symbols}');
    Error('\P{/a/- CJK_Symbols}');
    Expect(1, 12351, '\p{cjksymbols}', "");
    Expect(0, 12351, '\p{^cjksymbols}', "");
    Expect(0, 12351, '\P{cjksymbols}', "");
    Expect(1, 12351, '\P{^cjksymbols}', "");
    Expect(0, 12352, '\p{cjksymbols}', "");
    Expect(1, 12352, '\p{^cjksymbols}', "");
    Expect(1, 12352, '\P{cjksymbols}', "");
    Expect(0, 12352, '\P{^cjksymbols}', "");
    Expect(1, 12351, '\p{_CJK_symbols}', "");
    Expect(0, 12351, '\p{^_CJK_symbols}', "");
    Expect(0, 12351, '\P{_CJK_symbols}', "");
    Expect(1, 12351, '\P{^_CJK_symbols}', "");
    Expect(0, 12352, '\p{_CJK_symbols}', "");
    Expect(1, 12352, '\p{^_CJK_symbols}', "");
    Expect(1, 12352, '\P{_CJK_symbols}', "");
    Expect(0, 12352, '\P{^_CJK_symbols}', "");
    Error('\p{/a/_IS_CJK_symbols}');
    Error('\P{/a/_IS_CJK_symbols}');
    Expect(1, 12351, '\p{iscjksymbols}', "");
    Expect(0, 12351, '\p{^iscjksymbols}', "");
    Expect(0, 12351, '\P{iscjksymbols}', "");
    Expect(1, 12351, '\P{^iscjksymbols}', "");
    Expect(0, 12352, '\p{iscjksymbols}', "");
    Expect(1, 12352, '\p{^iscjksymbols}', "");
    Expect(1, 12352, '\P{iscjksymbols}', "");
    Expect(0, 12352, '\P{^iscjksymbols}', "");
    Expect(1, 12351, '\p{_Is_CJK_symbols}', "");
    Expect(0, 12351, '\p{^_Is_CJK_symbols}', "");
    Expect(0, 12351, '\P{_Is_CJK_symbols}', "");
    Expect(1, 12351, '\P{^_Is_CJK_symbols}', "");
    Expect(0, 12352, '\p{_Is_CJK_symbols}', "");
    Expect(1, 12352, '\p{^_Is_CJK_symbols}', "");
    Expect(1, 12352, '\P{_Is_CJK_symbols}', "");
    Expect(0, 12352, '\P{^_Is_CJK_symbols}', "");
    Error('\p{/a/	 IN_CJK_Symbols}');
    Error('\P{/a/	 IN_CJK_Symbols}');
    Expect(1, 12351, '\p{incjksymbols}', "");
    Expect(0, 12351, '\p{^incjksymbols}', "");
    Expect(0, 12351, '\P{incjksymbols}', "");
    Expect(1, 12351, '\P{^incjksymbols}', "");
    Expect(0, 12352, '\p{incjksymbols}', "");
    Expect(1, 12352, '\p{^incjksymbols}', "");
    Expect(1, 12352, '\P{incjksymbols}', "");
    Expect(0, 12352, '\P{^incjksymbols}', "");
    Expect(1, 12351, '\p{ 	IN_CJK_SYMBOLS}', "");
    Expect(0, 12351, '\p{^ 	IN_CJK_SYMBOLS}', "");
    Expect(0, 12351, '\P{ 	IN_CJK_SYMBOLS}', "");
    Expect(1, 12351, '\P{^ 	IN_CJK_SYMBOLS}', "");
    Expect(0, 12352, '\p{ 	IN_CJK_SYMBOLS}', "");
    Expect(1, 12352, '\p{^ 	IN_CJK_SYMBOLS}', "");
    Expect(1, 12352, '\P{ 	IN_CJK_SYMBOLS}', "");
    Expect(0, 12352, '\P{^ 	IN_CJK_SYMBOLS}', "");
    Error('\p{:=	CJK_Unified_Ideographs}');
    Error('\P{:=	CJK_Unified_Ideographs}');
    Expect(1, 40959, '\p{cjkunifiedideographs}', "");
    Expect(0, 40959, '\p{^cjkunifiedideographs}', "");
    Expect(0, 40959, '\P{cjkunifiedideographs}', "");
    Expect(1, 40959, '\P{^cjkunifiedideographs}', "");
    Expect(0, 40960, '\p{cjkunifiedideographs}', "");
    Expect(1, 40960, '\p{^cjkunifiedideographs}', "");
    Expect(1, 40960, '\P{cjkunifiedideographs}', "");
    Expect(0, 40960, '\P{^cjkunifiedideographs}', "");
    Expect(1, 40959, '\p{		CJK_Unified_IDEOGRAPHS}', "");
    Expect(0, 40959, '\p{^		CJK_Unified_IDEOGRAPHS}', "");
    Expect(0, 40959, '\P{		CJK_Unified_IDEOGRAPHS}', "");
    Expect(1, 40959, '\P{^		CJK_Unified_IDEOGRAPHS}', "");
    Expect(0, 40960, '\p{		CJK_Unified_IDEOGRAPHS}', "");
    Expect(1, 40960, '\p{^		CJK_Unified_IDEOGRAPHS}', "");
    Expect(1, 40960, '\P{		CJK_Unified_IDEOGRAPHS}', "");
    Expect(0, 40960, '\P{^		CJK_Unified_IDEOGRAPHS}', "");
    Error('\p{_Is_CJK_Unified_IDEOGRAPHS/a/}');
    Error('\P{_Is_CJK_Unified_IDEOGRAPHS/a/}');
    Expect(1, 40959, '\p{iscjkunifiedideographs}', "");
    Expect(0, 40959, '\p{^iscjkunifiedideographs}', "");
    Expect(0, 40959, '\P{iscjkunifiedideographs}', "");
    Expect(1, 40959, '\P{^iscjkunifiedideographs}', "");
    Expect(0, 40960, '\p{iscjkunifiedideographs}', "");
    Expect(1, 40960, '\p{^iscjkunifiedideographs}', "");
    Expect(1, 40960, '\P{iscjkunifiedideographs}', "");
    Expect(0, 40960, '\P{^iscjkunifiedideographs}', "");
    Expect(1, 40959, '\p{-_is_cjk_UNIFIED_ideographs}', "");
    Expect(0, 40959, '\p{^-_is_cjk_UNIFIED_ideographs}', "");
    Expect(0, 40959, '\P{-_is_cjk_UNIFIED_ideographs}', "");
    Expect(1, 40959, '\P{^-_is_cjk_UNIFIED_ideographs}', "");
    Expect(0, 40960, '\p{-_is_cjk_UNIFIED_ideographs}', "");
    Expect(1, 40960, '\p{^-_is_cjk_UNIFIED_ideographs}', "");
    Expect(1, 40960, '\P{-_is_cjk_UNIFIED_ideographs}', "");
    Expect(0, 40960, '\P{^-_is_cjk_UNIFIED_ideographs}', "");
    Error('\p{/a/--IN_cjk_UNIFIED_IDEOGRAPHS}');
    Error('\P{/a/--IN_cjk_UNIFIED_IDEOGRAPHS}');
    Expect(1, 40959, '\p{incjkunifiedideographs}', "");
    Expect(0, 40959, '\p{^incjkunifiedideographs}', "");
    Expect(0, 40959, '\P{incjkunifiedideographs}', "");
    Expect(1, 40959, '\P{^incjkunifiedideographs}', "");
    Expect(0, 40960, '\p{incjkunifiedideographs}', "");
    Expect(1, 40960, '\p{^incjkunifiedideographs}', "");
    Expect(1, 40960, '\P{incjkunifiedideographs}', "");
    Expect(0, 40960, '\P{^incjkunifiedideographs}', "");
    Expect(1, 40959, '\p{__In_cjk_Unified_Ideographs}', "");
    Expect(0, 40959, '\p{^__In_cjk_Unified_Ideographs}', "");
    Expect(0, 40959, '\P{__In_cjk_Unified_Ideographs}', "");
    Expect(1, 40959, '\P{^__In_cjk_Unified_Ideographs}', "");
    Expect(0, 40960, '\p{__In_cjk_Unified_Ideographs}', "");
    Expect(1, 40960, '\p{^__In_cjk_Unified_Ideographs}', "");
    Expect(1, 40960, '\P{__In_cjk_Unified_Ideographs}', "");
    Expect(0, 40960, '\P{^__In_cjk_Unified_Ideographs}', "");
    Error('\p{ CJK:=}');
    Error('\P{ CJK:=}');
    Expect(1, 40959, '\p{cjk}', "");
    Expect(0, 40959, '\p{^cjk}', "");
    Expect(0, 40959, '\P{cjk}', "");
    Expect(1, 40959, '\P{^cjk}', "");
    Expect(0, 40960, '\p{cjk}', "");
    Expect(1, 40960, '\p{^cjk}', "");
    Expect(1, 40960, '\P{cjk}', "");
    Expect(0, 40960, '\P{^cjk}', "");
    Expect(1, 40959, '\p{_-CJK}', "");
    Expect(0, 40959, '\p{^_-CJK}', "");
    Expect(0, 40959, '\P{_-CJK}', "");
    Expect(1, 40959, '\P{^_-CJK}', "");
    Expect(0, 40960, '\p{_-CJK}', "");
    Expect(1, 40960, '\p{^_-CJK}', "");
    Expect(1, 40960, '\P{_-CJK}', "");
    Expect(0, 40960, '\P{^_-CJK}', "");
    Error('\p{_IS_CJK:=}');
    Error('\P{_IS_CJK:=}');
    Expect(1, 40959, '\p{iscjk}', "");
    Expect(0, 40959, '\p{^iscjk}', "");
    Expect(0, 40959, '\P{iscjk}', "");
    Expect(1, 40959, '\P{^iscjk}', "");
    Expect(0, 40960, '\p{iscjk}', "");
    Expect(1, 40960, '\p{^iscjk}', "");
    Expect(1, 40960, '\P{iscjk}', "");
    Expect(0, 40960, '\P{^iscjk}', "");
    Expect(1, 40959, '\p{  Is_cjk}', "");
    Expect(0, 40959, '\p{^  Is_cjk}', "");
    Expect(0, 40959, '\P{  Is_cjk}', "");
    Expect(1, 40959, '\P{^  Is_cjk}', "");
    Expect(0, 40960, '\p{  Is_cjk}', "");
    Expect(1, 40960, '\p{^  Is_cjk}', "");
    Expect(1, 40960, '\P{  Is_cjk}', "");
    Expect(0, 40960, '\P{^  Is_cjk}', "");
    Error('\p{:=_In_CJK}');
    Error('\P{:=_In_CJK}');
    Expect(1, 40959, '\p{incjk}', "");
    Expect(0, 40959, '\p{^incjk}', "");
    Expect(0, 40959, '\P{incjk}', "");
    Expect(1, 40959, '\P{^incjk}', "");
    Expect(0, 40960, '\p{incjk}', "");
    Expect(1, 40960, '\p{^incjk}', "");
    Expect(1, 40960, '\P{incjk}', "");
    Expect(0, 40960, '\P{^incjk}', "");
    Expect(1, 40959, '\p{	In_cjk}', "");
    Expect(0, 40959, '\p{^	In_cjk}', "");
    Expect(0, 40959, '\P{	In_cjk}', "");
    Expect(1, 40959, '\P{^	In_cjk}', "");
    Expect(0, 40960, '\p{	In_cjk}', "");
    Expect(1, 40960, '\p{^	In_cjk}', "");
    Expect(1, 40960, '\P{	In_cjk}', "");
    Expect(0, 40960, '\P{^	In_cjk}', "");
    Error('\p{_	CJK_Unified_Ideographs_EXTENSION_A/a/}');
    Error('\P{_	CJK_Unified_Ideographs_EXTENSION_A/a/}');
    Expect(1, 19903, '\p{cjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\p{^cjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\P{cjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\P{^cjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\p{cjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\p{^cjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\P{cjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\P{^cjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\p{	_CJK_unified_Ideographs_Extension_A}', "");
    Expect(0, 19903, '\p{^	_CJK_unified_Ideographs_Extension_A}', "");
    Expect(0, 19903, '\P{	_CJK_unified_Ideographs_Extension_A}', "");
    Expect(1, 19903, '\P{^	_CJK_unified_Ideographs_Extension_A}', "");
    Expect(0, 19904, '\p{	_CJK_unified_Ideographs_Extension_A}', "");
    Expect(1, 19904, '\p{^	_CJK_unified_Ideographs_Extension_A}', "");
    Expect(1, 19904, '\P{	_CJK_unified_Ideographs_Extension_A}', "");
    Expect(0, 19904, '\P{^	_CJK_unified_Ideographs_Extension_A}', "");
    Error('\p{:=__Is_cjk_Unified_Ideographs_EXTENSION_A}');
    Error('\P{:=__Is_cjk_Unified_Ideographs_EXTENSION_A}');
    Expect(1, 19903, '\p{iscjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\p{^iscjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\P{iscjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\P{^iscjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\p{iscjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\p{^iscjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\P{iscjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\P{^iscjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\p{_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Expect(0, 19903, '\p{^_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Expect(0, 19903, '\P{_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Expect(1, 19903, '\P{^_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Expect(0, 19904, '\p{_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Expect(1, 19904, '\p{^_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Expect(1, 19904, '\P{_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Expect(0, 19904, '\P{^_ Is_CJK_Unified_IDEOGRAPHS_Extension_A}', "");
    Error('\p{-/a/In_cjk_UNIFIED_Ideographs_extension_A}');
    Error('\P{-/a/In_cjk_UNIFIED_Ideographs_extension_A}');
    Expect(1, 19903, '\p{incjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\p{^incjkunifiedideographsextensiona}', "");
    Expect(0, 19903, '\P{incjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\P{^incjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\p{incjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\p{^incjkunifiedideographsextensiona}', "");
    Expect(1, 19904, '\P{incjkunifiedideographsextensiona}', "");
    Expect(0, 19904, '\P{^incjkunifiedideographsextensiona}', "");
    Expect(1, 19903, '\p{	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Expect(0, 19903, '\p{^	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Expect(0, 19903, '\P{	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Expect(1, 19903, '\P{^	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Expect(0, 19904, '\p{	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Expect(1, 19904, '\p{^	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Expect(1, 19904, '\P{	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Expect(0, 19904, '\P{^	-IN_CJK_UNIFIED_ideographs_Extension_A}', "");
    Error('\p{_CJK_ext_A/a/}');
    Error('\P{_CJK_ext_A/a/}');
    Expect(1, 19903, '\p{cjkexta}', "");
    Expect(0, 19903, '\p{^cjkexta}', "");
    Expect(0, 19903, '\P{cjkexta}', "");
    Expect(1, 19903, '\P{^cjkexta}', "");
    Expect(0, 19904, '\p{cjkexta}', "");
    Expect(1, 19904, '\p{^cjkexta}', "");
    Expect(1, 19904, '\P{cjkexta}', "");
    Expect(0, 19904, '\P{^cjkexta}', "");
    Expect(1, 19903, '\p{	CJK_Ext_A}', "");
    Expect(0, 19903, '\p{^	CJK_Ext_A}', "");
    Expect(0, 19903, '\P{	CJK_Ext_A}', "");
    Expect(1, 19903, '\P{^	CJK_Ext_A}', "");
    Expect(0, 19904, '\p{	CJK_Ext_A}', "");
    Expect(1, 19904, '\p{^	CJK_Ext_A}', "");
    Expect(1, 19904, '\P{	CJK_Ext_A}', "");
    Expect(0, 19904, '\P{^	CJK_Ext_A}', "");
    Error('\p{_:=IS_CJK_Ext_A}');
    Error('\P{_:=IS_CJK_Ext_A}');
    Expect(1, 19903, '\p{iscjkexta}', "");
    Expect(0, 19903, '\p{^iscjkexta}', "");
    Expect(0, 19903, '\P{iscjkexta}', "");
    Expect(1, 19903, '\P{^iscjkexta}', "");
    Expect(0, 19904, '\p{iscjkexta}', "");
    Expect(1, 19904, '\p{^iscjkexta}', "");
    Expect(1, 19904, '\P{iscjkexta}', "");
    Expect(0, 19904, '\P{^iscjkexta}', "");
    Expect(1, 19903, '\p{__Is_CJK_ext_A}', "");
    Expect(0, 19903, '\p{^__Is_CJK_ext_A}', "");
    Expect(0, 19903, '\P{__Is_CJK_ext_A}', "");
    Expect(1, 19903, '\P{^__Is_CJK_ext_A}', "");
    Expect(0, 19904, '\p{__Is_CJK_ext_A}', "");
    Expect(1, 19904, '\p{^__Is_CJK_ext_A}', "");
    Expect(1, 19904, '\P{__Is_CJK_ext_A}', "");
    Expect(0, 19904, '\P{^__Is_CJK_ext_A}', "");
    Error('\p{_:=In_CJK_EXT_A}');
    Error('\P{_:=In_CJK_EXT_A}');
    Expect(1, 19903, '\p{incjkexta}', "");
    Expect(0, 19903, '\p{^incjkexta}', "");
    Expect(0, 19903, '\P{incjkexta}', "");
    Expect(1, 19903, '\P{^incjkexta}', "");
    Expect(0, 19904, '\p{incjkexta}', "");
    Expect(1, 19904, '\p{^incjkexta}', "");
    Expect(1, 19904, '\P{incjkexta}', "");
    Expect(0, 19904, '\P{^incjkexta}', "");
    Expect(1, 19903, '\p{_	In_CJK_Ext_A}', "");
    Expect(0, 19903, '\p{^_	In_CJK_Ext_A}', "");
    Expect(0, 19903, '\P{_	In_CJK_Ext_A}', "");
    Expect(1, 19903, '\P{^_	In_CJK_Ext_A}', "");
    Expect(0, 19904, '\p{_	In_CJK_Ext_A}', "");
    Expect(1, 19904, '\p{^_	In_CJK_Ext_A}', "");
    Expect(1, 19904, '\P{_	In_CJK_Ext_A}', "");
    Expect(0, 19904, '\P{^_	In_CJK_Ext_A}', "");
    Error('\p{_:=CJK_Unified_IDEOGRAPHS_Extension_B}');
    Error('\P{_:=CJK_Unified_IDEOGRAPHS_Extension_B}');
    Expect(1, 173791, '\p{cjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\p{^cjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\P{cjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\P{^cjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\p{cjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\p{^cjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\P{cjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\P{^cjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\p{- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Expect(0, 173791, '\p{^- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Expect(0, 173791, '\P{- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Expect(1, 173791, '\P{^- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Expect(0, 173792, '\p{- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Expect(1, 173792, '\p{^- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Expect(1, 173792, '\P{- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Expect(0, 173792, '\P{^- CJK_Unified_Ideographs_EXTENSION_B}', "");
    Error('\p{:=-	is_cjk_unified_IDEOGRAPHS_EXTENSION_B}');
    Error('\P{:=-	is_cjk_unified_IDEOGRAPHS_EXTENSION_B}');
    Expect(1, 173791, '\p{iscjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\p{^iscjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\P{iscjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\P{^iscjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\p{iscjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\p{^iscjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\P{iscjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\P{^iscjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\p{ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Expect(0, 173791, '\p{^ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Expect(0, 173791, '\P{ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Expect(1, 173791, '\P{^ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Expect(0, 173792, '\p{ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Expect(1, 173792, '\p{^ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Expect(1, 173792, '\P{ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Expect(0, 173792, '\P{^ 	Is_cjk_unified_Ideographs_Extension_B}', "");
    Error('\p{/a/-In_CJK_Unified_Ideographs_EXTENSION_b}');
    Error('\P{/a/-In_CJK_Unified_Ideographs_EXTENSION_b}');
    Expect(1, 173791, '\p{incjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\p{^incjkunifiedideographsextensionb}', "");
    Expect(0, 173791, '\P{incjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\P{^incjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\p{incjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\p{^incjkunifiedideographsextensionb}', "");
    Expect(1, 173792, '\P{incjkunifiedideographsextensionb}', "");
    Expect(0, 173792, '\P{^incjkunifiedideographsextensionb}', "");
    Expect(1, 173791, '\p{ In_CJK_Unified_ideographs_Extension_B}', "");
    Expect(0, 173791, '\p{^ In_CJK_Unified_ideographs_Extension_B}', "");
    Expect(0, 173791, '\P{ In_CJK_Unified_ideographs_Extension_B}', "");
    Expect(1, 173791, '\P{^ In_CJK_Unified_ideographs_Extension_B}', "");
    Expect(0, 173792, '\p{ In_CJK_Unified_ideographs_Extension_B}', "");
    Expect(1, 173792, '\p{^ In_CJK_Unified_ideographs_Extension_B}', "");
    Expect(1, 173792, '\P{ In_CJK_Unified_ideographs_Extension_B}', "");
    Expect(0, 173792, '\P{^ In_CJK_Unified_ideographs_Extension_B}', "");
    Error('\p{		cjk_Ext_b/a/}');
    Error('\P{		cjk_Ext_b/a/}');
    Expect(1, 173791, '\p{cjkextb}', "");
    Expect(0, 173791, '\p{^cjkextb}', "");
    Expect(0, 173791, '\P{cjkextb}', "");
    Expect(1, 173791, '\P{^cjkextb}', "");
    Expect(0, 173792, '\p{cjkextb}', "");
    Expect(1, 173792, '\p{^cjkextb}', "");
    Expect(1, 173792, '\P{cjkextb}', "");
    Expect(0, 173792, '\P{^cjkextb}', "");
    Expect(1, 173791, '\p{_ CJK_Ext_B}', "");
    Expect(0, 173791, '\p{^_ CJK_Ext_B}', "");
    Expect(0, 173791, '\P{_ CJK_Ext_B}', "");
    Expect(1, 173791, '\P{^_ CJK_Ext_B}', "");
    Expect(0, 173792, '\p{_ CJK_Ext_B}', "");
    Expect(1, 173792, '\p{^_ CJK_Ext_B}', "");
    Expect(1, 173792, '\P{_ CJK_Ext_B}', "");
    Expect(0, 173792, '\P{^_ CJK_Ext_B}', "");
    Error('\p{/a/Is_CJK_ext_b}');
    Error('\P{/a/Is_CJK_ext_b}');
    Expect(1, 173791, '\p{iscjkextb}', "");
    Expect(0, 173791, '\p{^iscjkextb}', "");
    Expect(0, 173791, '\P{iscjkextb}', "");
    Expect(1, 173791, '\P{^iscjkextb}', "");
    Expect(0, 173792, '\p{iscjkextb}', "");
    Expect(1, 173792, '\p{^iscjkextb}', "");
    Expect(1, 173792, '\P{iscjkextb}', "");
    Expect(0, 173792, '\P{^iscjkextb}', "");
    Expect(1, 173791, '\p{		is_CJK_ext_b}', "");
    Expect(0, 173791, '\p{^		is_CJK_ext_b}', "");
    Expect(0, 173791, '\P{		is_CJK_ext_b}', "");
    Expect(1, 173791, '\P{^		is_CJK_ext_b}', "");
    Expect(0, 173792, '\p{		is_CJK_ext_b}', "");
    Expect(1, 173792, '\p{^		is_CJK_ext_b}', "");
    Expect(1, 173792, '\P{		is_CJK_ext_b}', "");
    Expect(0, 173792, '\P{^		is_CJK_ext_b}', "");
    Error('\p{_In_cjk_EXT_B/a/}');
    Error('\P{_In_cjk_EXT_B/a/}');
    Expect(1, 173791, '\p{incjkextb}', "");
    Expect(0, 173791, '\p{^incjkextb}', "");
    Expect(0, 173791, '\P{incjkextb}', "");
    Expect(1, 173791, '\P{^incjkextb}', "");
    Expect(0, 173792, '\p{incjkextb}', "");
    Expect(1, 173792, '\p{^incjkextb}', "");
    Expect(1, 173792, '\P{incjkextb}', "");
    Expect(0, 173792, '\P{^incjkextb}', "");
    Expect(1, 173791, '\p{- in_cjk_ext_b}', "");
    Expect(0, 173791, '\p{^- in_cjk_ext_b}', "");
    Expect(0, 173791, '\P{- in_cjk_ext_b}', "");
    Expect(1, 173791, '\P{^- in_cjk_ext_b}', "");
    Expect(0, 173792, '\p{- in_cjk_ext_b}', "");
    Expect(1, 173792, '\p{^- in_cjk_ext_b}', "");
    Expect(1, 173792, '\P{- in_cjk_ext_b}', "");
    Expect(0, 173792, '\P{^- in_cjk_ext_b}', "");
    Error('\p{-:=CJK_Unified_IDEOGRAPHS_extension_C}');
    Error('\P{-:=CJK_Unified_IDEOGRAPHS_extension_C}');
    Expect(1, 177983, '\p{cjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\p{^cjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\P{cjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\P{^cjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\p{cjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\p{^cjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\P{cjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\P{^cjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\p{_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177983, '\p{^_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177983, '\P{_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Expect(1, 177983, '\P{^_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177984, '\p{_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Expect(1, 177984, '\p{^_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Expect(1, 177984, '\P{_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Expect(0, 177984, '\P{^_CJK_Unified_IDEOGRAPHS_Extension_C}', "");
    Error('\p{:=__Is_CJK_UNIFIED_ideographs_extension_C}');
    Error('\P{:=__Is_CJK_UNIFIED_ideographs_extension_C}');
    Expect(1, 177983, '\p{iscjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\p{^iscjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\P{iscjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\P{^iscjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\p{iscjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\p{^iscjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\P{iscjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\P{^iscjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\p{	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Expect(0, 177983, '\p{^	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Expect(0, 177983, '\P{	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Expect(1, 177983, '\P{^	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Expect(0, 177984, '\p{	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Expect(1, 177984, '\p{^	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Expect(1, 177984, '\P{	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Expect(0, 177984, '\P{^	_Is_cjk_unified_Ideographs_EXTENSION_c}', "");
    Error('\p{ :=In_cjk_Unified_ideographs_extension_C}');
    Error('\P{ :=In_cjk_Unified_ideographs_extension_C}');
    Expect(1, 177983, '\p{incjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\p{^incjkunifiedideographsextensionc}', "");
    Expect(0, 177983, '\P{incjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\P{^incjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\p{incjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\p{^incjkunifiedideographsextensionc}', "");
    Expect(1, 177984, '\P{incjkunifiedideographsextensionc}', "");
    Expect(0, 177984, '\P{^incjkunifiedideographsextensionc}', "");
    Expect(1, 177983, '\p{_IN_CJK_Unified_ideographs_Extension_C}', "");
    Expect(0, 177983, '\p{^_IN_CJK_Unified_ideographs_Extension_C}', "");
    Expect(0, 177983, '\P{_IN_CJK_Unified_ideographs_Extension_C}', "");
    Expect(1, 177983, '\P{^_IN_CJK_Unified_ideographs_Extension_C}', "");
    Expect(0, 177984, '\p{_IN_CJK_Unified_ideographs_Extension_C}', "");
    Expect(1, 177984, '\p{^_IN_CJK_Unified_ideographs_Extension_C}', "");
    Expect(1, 177984, '\P{_IN_CJK_Unified_ideographs_Extension_C}', "");
    Expect(0, 177984, '\P{^_IN_CJK_Unified_ideographs_Extension_C}', "");
    Error('\p{-_CJK_Ext_C:=}');
    Error('\P{-_CJK_Ext_C:=}');
    Expect(1, 177983, '\p{cjkextc}', "");
    Expect(0, 177983, '\p{^cjkextc}', "");
    Expect(0, 177983, '\P{cjkextc}', "");
    Expect(1, 177983, '\P{^cjkextc}', "");
    Expect(0, 177984, '\p{cjkextc}', "");
    Expect(1, 177984, '\p{^cjkextc}', "");
    Expect(1, 177984, '\P{cjkextc}', "");
    Expect(0, 177984, '\P{^cjkextc}', "");
    Expect(1, 177983, '\p{	cjk_EXT_C}', "");
    Expect(0, 177983, '\p{^	cjk_EXT_C}', "");
    Expect(0, 177983, '\P{	cjk_EXT_C}', "");
    Expect(1, 177983, '\P{^	cjk_EXT_C}', "");
    Expect(0, 177984, '\p{	cjk_EXT_C}', "");
    Expect(1, 177984, '\p{^	cjk_EXT_C}', "");
    Expect(1, 177984, '\P{	cjk_EXT_C}', "");
    Expect(0, 177984, '\P{^	cjk_EXT_C}', "");
    Error('\p{	:=Is_cjk_Ext_C}');
    Error('\P{	:=Is_cjk_Ext_C}');
    Expect(1, 177983, '\p{iscjkextc}', "");
    Expect(0, 177983, '\p{^iscjkextc}', "");
    Expect(0, 177983, '\P{iscjkextc}', "");
    Expect(1, 177983, '\P{^iscjkextc}', "");
    Expect(0, 177984, '\p{iscjkextc}', "");
    Expect(1, 177984, '\p{^iscjkextc}', "");
    Expect(1, 177984, '\P{iscjkextc}', "");
    Expect(0, 177984, '\P{^iscjkextc}', "");
    Expect(1, 177983, '\p{ 	Is_CJK_Ext_C}', "");
    Expect(0, 177983, '\p{^ 	Is_CJK_Ext_C}', "");
    Expect(0, 177983, '\P{ 	Is_CJK_Ext_C}', "");
    Expect(1, 177983, '\P{^ 	Is_CJK_Ext_C}', "");
    Expect(0, 177984, '\p{ 	Is_CJK_Ext_C}', "");
    Expect(1, 177984, '\p{^ 	Is_CJK_Ext_C}', "");
    Expect(1, 177984, '\P{ 	Is_CJK_Ext_C}', "");
    Expect(0, 177984, '\P{^ 	Is_CJK_Ext_C}', "");
    Error('\p{:= _in_CJK_EXT_C}');
    Error('\P{:= _in_CJK_EXT_C}');
    Expect(1, 177983, '\p{incjkextc}', "");
    Expect(0, 177983, '\p{^incjkextc}', "");
    Expect(0, 177983, '\P{incjkextc}', "");
    Expect(1, 177983, '\P{^incjkextc}', "");
    Expect(0, 177984, '\p{incjkextc}', "");
    Expect(1, 177984, '\p{^incjkextc}', "");
    Expect(1, 177984, '\P{incjkextc}', "");
    Expect(0, 177984, '\P{^incjkextc}', "");
    Expect(1, 177983, '\p{__In_CJK_EXT_C}', "");
    Expect(0, 177983, '\p{^__In_CJK_EXT_C}', "");
    Expect(0, 177983, '\P{__In_CJK_EXT_C}', "");
    Expect(1, 177983, '\P{^__In_CJK_EXT_C}', "");
    Expect(0, 177984, '\p{__In_CJK_EXT_C}', "");
    Expect(1, 177984, '\p{^__In_CJK_EXT_C}', "");
    Expect(1, 177984, '\P{__In_CJK_EXT_C}', "");
    Expect(0, 177984, '\P{^__In_CJK_EXT_C}', "");
    Error('\p{_ CJK_UNIFIED_Ideographs_extension_d:=}');
    Error('\P{_ CJK_UNIFIED_Ideographs_extension_d:=}');
    Expect(1, 178207, '\p{cjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\p{^cjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\P{cjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\P{^cjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\p{cjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\p{^cjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\P{cjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\P{^cjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\p{-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Expect(0, 178207, '\p{^-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Expect(0, 178207, '\P{-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Expect(1, 178207, '\P{^-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Expect(0, 178208, '\p{-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Expect(1, 178208, '\p{^-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Expect(1, 178208, '\P{-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Expect(0, 178208, '\P{^-cjk_UNIFIED_ideographs_EXTENSION_d}', "");
    Error('\p{ :=Is_CJK_unified_Ideographs_Extension_D}');
    Error('\P{ :=Is_CJK_unified_Ideographs_Extension_D}');
    Expect(1, 178207, '\p{iscjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\p{^iscjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\P{iscjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\P{^iscjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\p{iscjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\p{^iscjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\P{iscjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\P{^iscjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\p{__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178207, '\p{^__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178207, '\P{__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(1, 178207, '\P{^__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178208, '\p{__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(1, 178208, '\p{^__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(1, 178208, '\P{__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Expect(0, 178208, '\P{^__Is_CJK_UNIFIED_ideographs_extension_D}', "");
    Error('\p{	-in_cjk_Unified_Ideographs_Extension_D:=}');
    Error('\P{	-in_cjk_Unified_Ideographs_Extension_D:=}');
    Expect(1, 178207, '\p{incjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\p{^incjkunifiedideographsextensiond}', "");
    Expect(0, 178207, '\P{incjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\P{^incjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\p{incjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\p{^incjkunifiedideographsextensiond}', "");
    Expect(1, 178208, '\P{incjkunifiedideographsextensiond}', "");
    Expect(0, 178208, '\P{^incjkunifiedideographsextensiond}', "");
    Expect(1, 178207, '\p{ 	in_CJK_Unified_ideographs_extension_d}', "");
    Expect(0, 178207, '\p{^ 	in_CJK_Unified_ideographs_extension_d}', "");
    Expect(0, 178207, '\P{ 	in_CJK_Unified_ideographs_extension_d}', "");
    Expect(1, 178207, '\P{^ 	in_CJK_Unified_ideographs_extension_d}', "");
    Expect(0, 178208, '\p{ 	in_CJK_Unified_ideographs_extension_d}', "");
    Expect(1, 178208, '\p{^ 	in_CJK_Unified_ideographs_extension_d}', "");
    Expect(1, 178208, '\P{ 	in_CJK_Unified_ideographs_extension_d}', "");
    Expect(0, 178208, '\P{^ 	in_CJK_Unified_ideographs_extension_d}', "");
    Error('\p{/a/	 CJK_EXT_D}');
    Error('\P{/a/	 CJK_EXT_D}');
    Expect(1, 178207, '\p{cjkextd}', "");
    Expect(0, 178207, '\p{^cjkextd}', "");
    Expect(0, 178207, '\P{cjkextd}', "");
    Expect(1, 178207, '\P{^cjkextd}', "");
    Expect(0, 178208, '\p{cjkextd}', "");
    Expect(1, 178208, '\p{^cjkextd}', "");
    Expect(1, 178208, '\P{cjkextd}', "");
    Expect(0, 178208, '\P{^cjkextd}', "");
    Expect(1, 178207, '\p{_ CJK_Ext_D}', "");
    Expect(0, 178207, '\p{^_ CJK_Ext_D}', "");
    Expect(0, 178207, '\P{_ CJK_Ext_D}', "");
    Expect(1, 178207, '\P{^_ CJK_Ext_D}', "");
    Expect(0, 178208, '\p{_ CJK_Ext_D}', "");
    Expect(1, 178208, '\p{^_ CJK_Ext_D}', "");
    Expect(1, 178208, '\P{_ CJK_Ext_D}', "");
    Expect(0, 178208, '\P{^_ CJK_Ext_D}', "");
    Error('\p{/a/ 	is_CJK_ext_D}');
    Error('\P{/a/ 	is_CJK_ext_D}');
    Expect(1, 178207, '\p{iscjkextd}', "");
    Expect(0, 178207, '\p{^iscjkextd}', "");
    Expect(0, 178207, '\P{iscjkextd}', "");
    Expect(1, 178207, '\P{^iscjkextd}', "");
    Expect(0, 178208, '\p{iscjkextd}', "");
    Expect(1, 178208, '\p{^iscjkextd}', "");
    Expect(1, 178208, '\P{iscjkextd}', "");
    Expect(0, 178208, '\P{^iscjkextd}', "");
    Expect(1, 178207, '\p{-IS_CJK_Ext_D}', "");
    Expect(0, 178207, '\p{^-IS_CJK_Ext_D}', "");
    Expect(0, 178207, '\P{-IS_CJK_Ext_D}', "");
    Expect(1, 178207, '\P{^-IS_CJK_Ext_D}', "");
    Expect(0, 178208, '\p{-IS_CJK_Ext_D}', "");
    Expect(1, 178208, '\p{^-IS_CJK_Ext_D}', "");
    Expect(1, 178208, '\P{-IS_CJK_Ext_D}', "");
    Expect(0, 178208, '\P{^-IS_CJK_Ext_D}', "");
    Error('\p{_-IN_CJK_EXT_D/a/}');
    Error('\P{_-IN_CJK_EXT_D/a/}');
    Expect(1, 178207, '\p{incjkextd}', "");
    Expect(0, 178207, '\p{^incjkextd}', "");
    Expect(0, 178207, '\P{incjkextd}', "");
    Expect(1, 178207, '\P{^incjkextd}', "");
    Expect(0, 178208, '\p{incjkextd}', "");
    Expect(1, 178208, '\p{^incjkextd}', "");
    Expect(1, 178208, '\P{incjkextd}', "");
    Expect(0, 178208, '\P{^incjkextd}', "");
    Expect(1, 178207, '\p{_In_CJK_ext_D}', "");
    Expect(0, 178207, '\p{^_In_CJK_ext_D}', "");
    Expect(0, 178207, '\P{_In_CJK_ext_D}', "");
    Expect(1, 178207, '\P{^_In_CJK_ext_D}', "");
    Expect(0, 178208, '\p{_In_CJK_ext_D}', "");
    Expect(1, 178208, '\p{^_In_CJK_ext_D}', "");
    Expect(1, 178208, '\P{_In_CJK_ext_D}', "");
    Expect(0, 178208, '\P{^_In_CJK_ext_D}', "");
    Error('\p{/a/ cjk_unified_IDEOGRAPHS_Extension_E}');
    Error('\P{/a/ cjk_unified_IDEOGRAPHS_Extension_E}');
    Expect(1, 183983, '\p{cjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\p{^cjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\P{cjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\P{^cjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\p{cjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\p{^cjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\P{cjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\P{^cjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\p{	CJK_Unified_Ideographs_Extension_E}', "");
    Expect(0, 183983, '\p{^	CJK_Unified_Ideographs_Extension_E}', "");
    Expect(0, 183983, '\P{	CJK_Unified_Ideographs_Extension_E}', "");
    Expect(1, 183983, '\P{^	CJK_Unified_Ideographs_Extension_E}', "");
    Expect(0, 183984, '\p{	CJK_Unified_Ideographs_Extension_E}', "");
    Expect(1, 183984, '\p{^	CJK_Unified_Ideographs_Extension_E}', "");
    Expect(1, 183984, '\P{	CJK_Unified_Ideographs_Extension_E}', "");
    Expect(0, 183984, '\P{^	CJK_Unified_Ideographs_Extension_E}', "");
    Error('\p{/a/  Is_CJK_Unified_Ideographs_Extension_E}');
    Error('\P{/a/  Is_CJK_Unified_Ideographs_Extension_E}');
    Expect(1, 183983, '\p{iscjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\p{^iscjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\P{iscjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\P{^iscjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\p{iscjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\p{^iscjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\P{iscjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\P{^iscjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\p{-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183983, '\p{^-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183983, '\P{-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(1, 183983, '\P{^-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183984, '\p{-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(1, 183984, '\p{^-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(1, 183984, '\P{-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Expect(0, 183984, '\P{^-	Is_CJK_Unified_Ideographs_EXTENSION_E}', "");
    Error('\p{- In_CJK_UNIFIED_Ideographs_Extension_E:=}');
    Error('\P{- In_CJK_UNIFIED_Ideographs_Extension_E:=}');
    Expect(1, 183983, '\p{incjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\p{^incjkunifiedideographsextensione}', "");
    Expect(0, 183983, '\P{incjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\P{^incjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\p{incjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\p{^incjkunifiedideographsextensione}', "");
    Expect(1, 183984, '\P{incjkunifiedideographsextensione}', "");
    Expect(0, 183984, '\P{^incjkunifiedideographsextensione}', "");
    Expect(1, 183983, '\p{ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Expect(0, 183983, '\p{^ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Expect(0, 183983, '\P{ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Expect(1, 183983, '\P{^ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Expect(0, 183984, '\p{ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Expect(1, 183984, '\p{^ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Expect(1, 183984, '\P{ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Expect(0, 183984, '\P{^ In_cjk_Unified_IDEOGRAPHS_EXTENSION_E}', "");
    Error('\p{	-CJK_ext_E/a/}');
    Error('\P{	-CJK_ext_E/a/}');
    Expect(1, 183983, '\p{cjkexte}', "");
    Expect(0, 183983, '\p{^cjkexte}', "");
    Expect(0, 183983, '\P{cjkexte}', "");
    Expect(1, 183983, '\P{^cjkexte}', "");
    Expect(0, 183984, '\p{cjkexte}', "");
    Expect(1, 183984, '\p{^cjkexte}', "");
    Expect(1, 183984, '\P{cjkexte}', "");
    Expect(0, 183984, '\P{^cjkexte}', "");
    Expect(1, 183983, '\p{-cjk_EXT_E}', "");
    Expect(0, 183983, '\p{^-cjk_EXT_E}', "");
    Expect(0, 183983, '\P{-cjk_EXT_E}', "");
    Expect(1, 183983, '\P{^-cjk_EXT_E}', "");
    Expect(0, 183984, '\p{-cjk_EXT_E}', "");
    Expect(1, 183984, '\p{^-cjk_EXT_E}', "");
    Expect(1, 183984, '\P{-cjk_EXT_E}', "");
    Expect(0, 183984, '\P{^-cjk_EXT_E}', "");
    Error('\p{is_CJK_Ext_E/a/}');
    Error('\P{is_CJK_Ext_E/a/}');
    Expect(1, 183983, '\p{iscjkexte}', "");
    Expect(0, 183983, '\p{^iscjkexte}', "");
    Expect(0, 183983, '\P{iscjkexte}', "");
    Expect(1, 183983, '\P{^iscjkexte}', "");
    Expect(0, 183984, '\p{iscjkexte}', "");
    Expect(1, 183984, '\p{^iscjkexte}', "");
    Expect(1, 183984, '\P{iscjkexte}', "");
    Expect(0, 183984, '\P{^iscjkexte}', "");
    Expect(1, 183983, '\p{__is_CJK_ext_E}', "");
    Expect(0, 183983, '\p{^__is_CJK_ext_E}', "");
    Expect(0, 183983, '\P{__is_CJK_ext_E}', "");
    Expect(1, 183983, '\P{^__is_CJK_ext_E}', "");
    Expect(0, 183984, '\p{__is_CJK_ext_E}', "");
    Expect(1, 183984, '\p{^__is_CJK_ext_E}', "");
    Expect(1, 183984, '\P{__is_CJK_ext_E}', "");
    Expect(0, 183984, '\P{^__is_CJK_ext_E}', "");
    Error('\p{ 	IN_CJK_Ext_e/a/}');
    Error('\P{ 	IN_CJK_Ext_e/a/}');
    Expect(1, 183983, '\p{incjkexte}', "");
    Expect(0, 183983, '\p{^incjkexte}', "");
    Expect(0, 183983, '\P{incjkexte}', "");
    Expect(1, 183983, '\P{^incjkexte}', "");
    Expect(0, 183984, '\p{incjkexte}', "");
    Expect(1, 183984, '\p{^incjkexte}', "");
    Expect(1, 183984, '\P{incjkexte}', "");
    Expect(0, 183984, '\P{^incjkexte}', "");
    Expect(1, 183983, '\p{		In_cjk_Ext_E}', "");
    Expect(0, 183983, '\p{^		In_cjk_Ext_E}', "");
    Expect(0, 183983, '\P{		In_cjk_Ext_E}', "");
    Expect(1, 183983, '\P{^		In_cjk_Ext_E}', "");
    Expect(0, 183984, '\p{		In_cjk_Ext_E}', "");
    Expect(1, 183984, '\p{^		In_cjk_Ext_E}', "");
    Expect(1, 183984, '\P{		In_cjk_Ext_E}', "");
    Expect(0, 183984, '\P{^		In_cjk_Ext_E}', "");
    Error('\p{/a/ -CJK_UNIFIED_IDEOGRAPHS_Extension_f}');
    Error('\P{/a/ -CJK_UNIFIED_IDEOGRAPHS_Extension_f}');
    Expect(1, 191471, '\p{cjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\p{^cjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\P{cjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\P{^cjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\p{cjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\p{^cjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\P{cjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\P{^cjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\p{CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191471, '\p{^CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191471, '\P{CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(1, 191471, '\P{^CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191472, '\p{CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(1, 191472, '\p{^CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(1, 191472, '\P{CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191472, '\P{^CJK_unified_IDEOGRAPHS_EXTENSION_F}', "");
    Error('\p{-:=is_CJK_Unified_Ideographs_extension_F}');
    Error('\P{-:=is_CJK_Unified_Ideographs_extension_F}');
    Expect(1, 191471, '\p{iscjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\p{^iscjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\P{iscjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\P{^iscjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\p{iscjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\p{^iscjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\P{iscjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\P{^iscjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\p{ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Expect(0, 191471, '\p{^ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Expect(0, 191471, '\P{ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Expect(1, 191471, '\P{^ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Expect(0, 191472, '\p{ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Expect(1, 191472, '\p{^ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Expect(1, 191472, '\P{ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Expect(0, 191472, '\P{^ Is_CJK_UNIFIED_IDEOGRAPHS_Extension_F}', "");
    Error('\p{/a/_-In_cjk_unified_ideographs_Extension_F}');
    Error('\P{/a/_-In_cjk_unified_ideographs_Extension_F}');
    Expect(1, 191471, '\p{incjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\p{^incjkunifiedideographsextensionf}', "");
    Expect(0, 191471, '\P{incjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\P{^incjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\p{incjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\p{^incjkunifiedideographsextensionf}', "");
    Expect(1, 191472, '\P{incjkunifiedideographsextensionf}', "");
    Expect(0, 191472, '\P{^incjkunifiedideographsextensionf}', "");
    Expect(1, 191471, '\p{_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191471, '\p{^_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191471, '\P{_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(1, 191471, '\P{^_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191472, '\p{_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(1, 191472, '\p{^_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(1, 191472, '\P{_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Expect(0, 191472, '\P{^_In_CJK_Unified_IDEOGRAPHS_EXTENSION_F}', "");
    Error('\p{	cjk_EXT_F:=}');
    Error('\P{	cjk_EXT_F:=}');
    Expect(1, 191471, '\p{cjkextf}', "");
    Expect(0, 191471, '\p{^cjkextf}', "");
    Expect(0, 191471, '\P{cjkextf}', "");
    Expect(1, 191471, '\P{^cjkextf}', "");
    Expect(0, 191472, '\p{cjkextf}', "");
    Expect(1, 191472, '\p{^cjkextf}', "");
    Expect(1, 191472, '\P{cjkextf}', "");
    Expect(0, 191472, '\P{^cjkextf}', "");
    Expect(1, 191471, '\p{_	CJK_ext_F}', "");
    Expect(0, 191471, '\p{^_	CJK_ext_F}', "");
    Expect(0, 191471, '\P{_	CJK_ext_F}', "");
    Expect(1, 191471, '\P{^_	CJK_ext_F}', "");
    Expect(0, 191472, '\p{_	CJK_ext_F}', "");
    Expect(1, 191472, '\p{^_	CJK_ext_F}', "");
    Expect(1, 191472, '\P{_	CJK_ext_F}', "");
    Expect(0, 191472, '\P{^_	CJK_ext_F}', "");
    Error('\p{:=-Is_CJK_EXT_F}');
    Error('\P{:=-Is_CJK_EXT_F}');
    Expect(1, 191471, '\p{iscjkextf}', "");
    Expect(0, 191471, '\p{^iscjkextf}', "");
    Expect(0, 191471, '\P{iscjkextf}', "");
    Expect(1, 191471, '\P{^iscjkextf}', "");
    Expect(0, 191472, '\p{iscjkextf}', "");
    Expect(1, 191472, '\p{^iscjkextf}', "");
    Expect(1, 191472, '\P{iscjkextf}', "");
    Expect(0, 191472, '\P{^iscjkextf}', "");
    Expect(1, 191471, '\p{ 	is_CJK_Ext_F}', "");
    Expect(0, 191471, '\p{^ 	is_CJK_Ext_F}', "");
    Expect(0, 191471, '\P{ 	is_CJK_Ext_F}', "");
    Expect(1, 191471, '\P{^ 	is_CJK_Ext_F}', "");
    Expect(0, 191472, '\p{ 	is_CJK_Ext_F}', "");
    Expect(1, 191472, '\p{^ 	is_CJK_Ext_F}', "");
    Expect(1, 191472, '\P{ 	is_CJK_Ext_F}', "");
    Expect(0, 191472, '\P{^ 	is_CJK_Ext_F}', "");
    Error('\p{	/a/IN_CJK_ext_F}');
    Error('\P{	/a/IN_CJK_ext_F}');
    Expect(1, 191471, '\p{incjkextf}', "");
    Expect(0, 191471, '\p{^incjkextf}', "");
    Expect(0, 191471, '\P{incjkextf}', "");
    Expect(1, 191471, '\P{^incjkextf}', "");
    Expect(0, 191472, '\p{incjkextf}', "");
    Expect(1, 191472, '\p{^incjkextf}', "");
    Expect(1, 191472, '\P{incjkextf}', "");
    Expect(0, 191472, '\P{^incjkextf}', "");
    Expect(1, 191471, '\p{_-In_CJK_ext_F}', "");
    Expect(0, 191471, '\p{^_-In_CJK_ext_F}', "");
    Expect(0, 191471, '\P{_-In_CJK_ext_F}', "");
    Expect(1, 191471, '\P{^_-In_CJK_ext_F}', "");
    Expect(0, 191472, '\p{_-In_CJK_ext_F}', "");
    Expect(1, 191472, '\p{^_-In_CJK_ext_F}', "");
    Expect(1, 191472, '\P{_-In_CJK_ext_F}', "");
    Expect(0, 191472, '\P{^_-In_CJK_ext_F}', "");
    Error('\p{/a/CJK_Unified_IDEOGRAPHS_EXTENSION_G}');
    Error('\P{/a/CJK_Unified_IDEOGRAPHS_EXTENSION_G}');
    Expect(1, 201551, '\p{cjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\p{^cjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\P{cjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\P{^cjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\p{cjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\p{^cjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\P{cjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\P{^cjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\p{cjk_unified_ideographs_Extension_G}', "");
    Expect(0, 201551, '\p{^cjk_unified_ideographs_Extension_G}', "");
    Expect(0, 201551, '\P{cjk_unified_ideographs_Extension_G}', "");
    Expect(1, 201551, '\P{^cjk_unified_ideographs_Extension_G}', "");
    Expect(0, 201552, '\p{cjk_unified_ideographs_Extension_G}', "");
    Expect(1, 201552, '\p{^cjk_unified_ideographs_Extension_G}', "");
    Expect(1, 201552, '\P{cjk_unified_ideographs_Extension_G}', "");
    Expect(0, 201552, '\P{^cjk_unified_ideographs_Extension_G}', "");
    Error('\p{/a/Is_CJK_UNIFIED_Ideographs_Extension_g}');
    Error('\P{/a/Is_CJK_UNIFIED_Ideographs_Extension_g}');
    Expect(1, 201551, '\p{iscjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\p{^iscjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\P{iscjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\P{^iscjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\p{iscjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\p{^iscjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\P{iscjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\P{^iscjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\p{	Is_cjk_unified_Ideographs_Extension_G}', "");
    Expect(0, 201551, '\p{^	Is_cjk_unified_Ideographs_Extension_G}', "");
    Expect(0, 201551, '\P{	Is_cjk_unified_Ideographs_Extension_G}', "");
    Expect(1, 201551, '\P{^	Is_cjk_unified_Ideographs_Extension_G}', "");
    Expect(0, 201552, '\p{	Is_cjk_unified_Ideographs_Extension_G}', "");
    Expect(1, 201552, '\p{^	Is_cjk_unified_Ideographs_Extension_G}', "");
    Expect(1, 201552, '\P{	Is_cjk_unified_Ideographs_Extension_G}', "");
    Expect(0, 201552, '\P{^	Is_cjk_unified_Ideographs_Extension_G}', "");
    Error('\p{/a/--In_CJK_unified_Ideographs_Extension_G}');
    Error('\P{/a/--In_CJK_unified_Ideographs_Extension_G}');
    Expect(1, 201551, '\p{incjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\p{^incjkunifiedideographsextensiong}', "");
    Expect(0, 201551, '\P{incjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\P{^incjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\p{incjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\p{^incjkunifiedideographsextensiong}', "");
    Expect(1, 201552, '\P{incjkunifiedideographsextensiong}', "");
    Expect(0, 201552, '\P{^incjkunifiedideographsextensiong}', "");
    Expect(1, 201551, '\p{__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Expect(0, 201551, '\p{^__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Expect(0, 201551, '\P{__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Expect(1, 201551, '\P{^__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Expect(0, 201552, '\p{__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Expect(1, 201552, '\p{^__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Expect(1, 201552, '\P{__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Expect(0, 201552, '\P{^__In_cjk_unified_IDEOGRAPHS_EXTENSION_G}', "");
    Error('\p{-/a/CJK_ext_G}');
    Error('\P{-/a/CJK_ext_G}');
    Expect(1, 201551, '\p{cjkextg}', "");
    Expect(0, 201551, '\p{^cjkextg}', "");
    Expect(0, 201551, '\P{cjkextg}', "");
    Expect(1, 201551, '\P{^cjkextg}', "");
    Expect(0, 201552, '\p{cjkextg}', "");
    Expect(1, 201552, '\p{^cjkextg}', "");
    Expect(1, 201552, '\P{cjkextg}', "");
    Expect(0, 201552, '\P{^cjkextg}', "");
    Expect(1, 201551, '\p{	CJK_ext_g}', "");
    Expect(0, 201551, '\p{^	CJK_ext_g}', "");
    Expect(0, 201551, '\P{	CJK_ext_g}', "");
    Expect(1, 201551, '\P{^	CJK_ext_g}', "");
    Expect(0, 201552, '\p{	CJK_ext_g}', "");
    Expect(1, 201552, '\p{^	CJK_ext_g}', "");
    Expect(1, 201552, '\P{	CJK_ext_g}', "");
    Expect(0, 201552, '\P{^	CJK_ext_g}', "");
    Error('\p{_	Is_CJK_Ext_G/a/}');
    Error('\P{_	Is_CJK_Ext_G/a/}');
    Expect(1, 201551, '\p{iscjkextg}', "");
    Expect(0, 201551, '\p{^iscjkextg}', "");
    Expect(0, 201551, '\P{iscjkextg}', "");
    Expect(1, 201551, '\P{^iscjkextg}', "");
    Expect(0, 201552, '\p{iscjkextg}', "");
    Expect(1, 201552, '\p{^iscjkextg}', "");
    Expect(1, 201552, '\P{iscjkextg}', "");
    Expect(0, 201552, '\P{^iscjkextg}', "");
    Expect(1, 201551, '\p{_is_cjk_Ext_G}', "");
    Expect(0, 201551, '\p{^_is_cjk_Ext_G}', "");
    Expect(0, 201551, '\P{_is_cjk_Ext_G}', "");
    Expect(1, 201551, '\P{^_is_cjk_Ext_G}', "");
    Expect(0, 201552, '\p{_is_cjk_Ext_G}', "");
    Expect(1, 201552, '\p{^_is_cjk_Ext_G}', "");
    Expect(1, 201552, '\P{_is_cjk_Ext_G}', "");
    Expect(0, 201552, '\P{^_is_cjk_Ext_G}', "");
    Error('\p{_:=IN_cjk_Ext_G}');
    Error('\P{_:=IN_cjk_Ext_G}');
    Expect(1, 201551, '\p{incjkextg}', "");
    Expect(0, 201551, '\p{^incjkextg}', "");
    Expect(0, 201551, '\P{incjkextg}', "");
    Expect(1, 201551, '\P{^incjkextg}', "");
    Expect(0, 201552, '\p{incjkextg}', "");
    Expect(1, 201552, '\p{^incjkextg}', "");
    Expect(1, 201552, '\P{incjkextg}', "");
    Expect(0, 201552, '\P{^incjkextg}', "");
    Expect(1, 201551, '\p{_ In_CJK_EXT_G}', "");
    Expect(0, 201551, '\p{^_ In_CJK_EXT_G}', "");
    Expect(0, 201551, '\P{_ In_CJK_EXT_G}', "");
    Expect(1, 201551, '\P{^_ In_CJK_EXT_G}', "");
    Expect(0, 201552, '\p{_ In_CJK_EXT_G}', "");
    Expect(1, 201552, '\p{^_ In_CJK_EXT_G}', "");
    Expect(1, 201552, '\P{_ In_CJK_EXT_G}', "");
    Expect(0, 201552, '\P{^_ In_CJK_EXT_G}', "");
    Error('\p{ 	CLOSE_punctuation:=}');
    Error('\P{ 	CLOSE_punctuation:=}');
    Expect(1, 65379, '\p{closepunctuation}', "");
    Expect(0, 65379, '\p{^closepunctuation}', "");
    Expect(0, 65379, '\P{closepunctuation}', "");
    Expect(1, 65379, '\P{^closepunctuation}', "");
    Expect(0, 65380, '\p{closepunctuation}', "");
    Expect(1, 65380, '\p{^closepunctuation}', "");
    Expect(1, 65380, '\P{closepunctuation}', "");
    Expect(0, 65380, '\P{^closepunctuation}', "");
    Expect(1, 65379, '\p{-	Close_punctuation}', "");
    Expect(0, 65379, '\p{^-	Close_punctuation}', "");
    Expect(0, 65379, '\P{-	Close_punctuation}', "");
    Expect(1, 65379, '\P{^-	Close_punctuation}', "");
    Expect(0, 65380, '\p{-	Close_punctuation}', "");
    Expect(1, 65380, '\p{^-	Close_punctuation}', "");
    Expect(1, 65380, '\P{-	Close_punctuation}', "");
    Expect(0, 65380, '\P{^-	Close_punctuation}', "");
    Error('\p{_:=IS_Close_PUNCTUATION}');
    Error('\P{_:=IS_Close_PUNCTUATION}');
    Expect(1, 65379, '\p{isclosepunctuation}', "");
    Expect(0, 65379, '\p{^isclosepunctuation}', "");
    Expect(0, 65379, '\P{isclosepunctuation}', "");
    Expect(1, 65379, '\P{^isclosepunctuation}', "");
    Expect(0, 65380, '\p{isclosepunctuation}', "");
    Expect(1, 65380, '\p{^isclosepunctuation}', "");
    Expect(1, 65380, '\P{isclosepunctuation}', "");
    Expect(0, 65380, '\P{^isclosepunctuation}', "");
    Expect(1, 65379, '\p{_	Is_Close_PUNCTUATION}', "");
    Expect(0, 65379, '\p{^_	Is_Close_PUNCTUATION}', "");
    Expect(0, 65379, '\P{_	Is_Close_PUNCTUATION}', "");
    Expect(1, 65379, '\P{^_	Is_Close_PUNCTUATION}', "");
    Expect(0, 65380, '\p{_	Is_Close_PUNCTUATION}', "");
    Expect(1, 65380, '\p{^_	Is_Close_PUNCTUATION}', "");
    Expect(1, 65380, '\P{_	Is_Close_PUNCTUATION}', "");
    Expect(0, 65380, '\P{^_	Is_Close_PUNCTUATION}', "");
    Error('\p{_ PE/a/}');
    Error('\P{_ PE/a/}');
    Expect(1, 65379, '\p{pe}', "");
    Expect(0, 65379, '\p{^pe}', "");
    Expect(0, 65379, '\P{pe}', "");
    Expect(1, 65379, '\P{^pe}', "");
    Expect(0, 65380, '\p{pe}', "");
    Expect(1, 65380, '\p{^pe}', "");
    Expect(1, 65380, '\P{pe}', "");
    Expect(0, 65380, '\P{^pe}', "");
    Expect(1, 65379, '\p{_ Pe}', "");
    Expect(0, 65379, '\p{^_ Pe}', "");
    Expect(0, 65379, '\P{_ Pe}', "");
    Expect(1, 65379, '\P{^_ Pe}', "");
    Expect(0, 65380, '\p{_ Pe}', "");
    Expect(1, 65380, '\p{^_ Pe}', "");
    Expect(1, 65380, '\P{_ Pe}', "");
    Expect(0, 65380, '\P{^_ Pe}', "");
    Error('\p{		IS_Pe:=}');
    Error('\P{		IS_Pe:=}');
    Expect(1, 65379, '\p{ispe}', "");
    Expect(0, 65379, '\p{^ispe}', "");
    Expect(0, 65379, '\P{ispe}', "");
    Expect(1, 65379, '\P{^ispe}', "");
    Expect(0, 65380, '\p{ispe}', "");
    Expect(1, 65380, '\p{^ispe}', "");
    Expect(1, 65380, '\P{ispe}', "");
    Expect(0, 65380, '\P{^ispe}', "");
    Expect(1, 65379, '\p{	is_PE}', "");
    Expect(0, 65379, '\p{^	is_PE}', "");
    Expect(0, 65379, '\P{	is_PE}', "");
    Expect(1, 65379, '\P{^	is_PE}', "");
    Expect(0, 65380, '\p{	is_PE}', "");
    Expect(1, 65380, '\p{^	is_PE}', "");
    Expect(1, 65380, '\P{	is_PE}', "");
    Expect(0, 65380, '\P{^	is_PE}', "");
    Error('\p{-:=xposixcntrl}');
    Error('\P{-:=xposixcntrl}');
    Expect(1, 159, '\p{xposixcntrl}', "");
    Expect(0, 159, '\p{^xposixcntrl}', "");
    Expect(0, 159, '\P{xposixcntrl}', "");
    Expect(1, 159, '\P{^xposixcntrl}', "");
    Expect(0, 160, '\p{xposixcntrl}', "");
    Expect(1, 160, '\p{^xposixcntrl}', "");
    Expect(1, 160, '\P{xposixcntrl}', "");
    Expect(0, 160, '\P{^xposixcntrl}', "");
    Expect(1, 159, '\p{--XPOSIXCNTRL}', "");
    Expect(0, 159, '\p{^--XPOSIXCNTRL}', "");
    Expect(0, 159, '\P{--XPOSIXCNTRL}', "");
    Expect(1, 159, '\P{^--XPOSIXCNTRL}', "");
    Expect(0, 160, '\p{--XPOSIXCNTRL}', "");
    Expect(1, 160, '\p{^--XPOSIXCNTRL}', "");
    Expect(1, 160, '\P{--XPOSIXCNTRL}', "");
    Expect(0, 160, '\P{^--XPOSIXCNTRL}', "");
    Error('\p{-:=cntrl}');
    Error('\P{-:=cntrl}');
    Expect(1, 159, '\p{cntrl}', "");
    Expect(0, 159, '\p{^cntrl}', "");
    Expect(0, 159, '\P{cntrl}', "");
    Expect(1, 159, '\P{^cntrl}', "");
    Expect(0, 160, '\p{cntrl}', "");
    Expect(1, 160, '\p{^cntrl}', "");
    Expect(1, 160, '\P{cntrl}', "");
    Expect(0, 160, '\P{^cntrl}', "");
    Expect(1, 159, '\p{	Cntrl}', "");
    Expect(0, 159, '\p{^	Cntrl}', "");
    Expect(0, 159, '\P{	Cntrl}', "");
    Expect(1, 159, '\P{^	Cntrl}', "");
    Expect(0, 160, '\p{	Cntrl}', "");
    Expect(1, 160, '\p{^	Cntrl}', "");
    Expect(1, 160, '\P{	Cntrl}', "");
    Expect(0, 160, '\P{^	Cntrl}', "");
    Error('\p{/a/-	Is_xposixcntrl}');
    Error('\P{/a/-	Is_xposixcntrl}');
    Expect(1, 159, '\p{isxposixcntrl}', "");
    Expect(0, 159, '\p{^isxposixcntrl}', "");
    Expect(0, 159, '\P{isxposixcntrl}', "");
    Expect(1, 159, '\P{^isxposixcntrl}', "");
    Expect(0, 160, '\p{isxposixcntrl}', "");
    Expect(1, 160, '\p{^isxposixcntrl}', "");
    Expect(1, 160, '\P{isxposixcntrl}', "");
    Expect(0, 160, '\P{^isxposixcntrl}', "");
    Expect(1, 159, '\p{- Is_xposixcntrl}', "");
    Expect(0, 159, '\p{^- Is_xposixcntrl}', "");
    Expect(0, 159, '\P{- Is_xposixcntrl}', "");
    Expect(1, 159, '\P{^- Is_xposixcntrl}', "");
    Expect(0, 160, '\p{- Is_xposixcntrl}', "");
    Expect(1, 160, '\p{^- Is_xposixcntrl}', "");
    Expect(1, 160, '\P{- Is_xposixcntrl}', "");
    Expect(0, 160, '\P{^- Is_xposixcntrl}', "");
    Error('\p{ -Is_CNTRL:=}');
    Error('\P{ -Is_CNTRL:=}');
    Expect(1, 159, '\p{iscntrl}', "");
    Expect(0, 159, '\p{^iscntrl}', "");
    Expect(0, 159, '\P{iscntrl}', "");
    Expect(1, 159, '\P{^iscntrl}', "");
    Expect(0, 160, '\p{iscntrl}', "");
    Expect(1, 160, '\p{^iscntrl}', "");
    Expect(1, 160, '\P{iscntrl}', "");
    Expect(0, 160, '\P{^iscntrl}', "");
    Expect(1, 159, '\p{_IS_Cntrl}', "");
    Expect(0, 159, '\p{^_IS_Cntrl}', "");
    Expect(0, 159, '\P{_IS_Cntrl}', "");
    Expect(1, 159, '\P{^_IS_Cntrl}', "");
    Expect(0, 160, '\p{_IS_Cntrl}', "");
    Expect(1, 160, '\p{^_IS_Cntrl}', "");
    Expect(1, 160, '\P{_IS_Cntrl}', "");
    Expect(0, 160, '\P{^_IS_Cntrl}', "");
    Error('\p{/a/ 	Control}');
    Error('\P{/a/ 	Control}');
    Expect(1, 159, '\p{control}', "");
    Expect(0, 159, '\p{^control}', "");
    Expect(0, 159, '\P{control}', "");
    Expect(1, 159, '\P{^control}', "");
    Expect(0, 160, '\p{control}', "");
    Expect(1, 160, '\p{^control}', "");
    Expect(1, 160, '\P{control}', "");
    Expect(0, 160, '\P{^control}', "");
    Expect(1, 159, '\p{ CONTROL}', "");
    Expect(0, 159, '\p{^ CONTROL}', "");
    Expect(0, 159, '\P{ CONTROL}', "");
    Expect(1, 159, '\P{^ CONTROL}', "");
    Expect(0, 160, '\p{ CONTROL}', "");
    Expect(1, 160, '\p{^ CONTROL}', "");
    Expect(1, 160, '\P{ CONTROL}', "");
    Expect(0, 160, '\P{^ CONTROL}', "");
    Error('\p{_:=Is_Control}');
    Error('\P{_:=Is_Control}');
    Expect(1, 159, '\p{iscontrol}', "");
    Expect(0, 159, '\p{^iscontrol}', "");
    Expect(0, 159, '\P{iscontrol}', "");
    Expect(1, 159, '\P{^iscontrol}', "");
    Expect(0, 160, '\p{iscontrol}', "");
    Expect(1, 160, '\p{^iscontrol}', "");
    Expect(1, 160, '\P{iscontrol}', "");
    Expect(0, 160, '\P{^iscontrol}', "");
    Expect(1, 159, '\p{	Is_CONTROL}', "");
    Expect(0, 159, '\p{^	Is_CONTROL}', "");
    Expect(0, 159, '\P{	Is_CONTROL}', "");
    Expect(1, 159, '\P{^	Is_CONTROL}', "");
    Expect(0, 160, '\p{	Is_CONTROL}', "");
    Expect(1, 160, '\p{^	Is_CONTROL}', "");
    Expect(1, 160, '\P{	Is_CONTROL}', "");
    Expect(0, 160, '\P{^	Is_CONTROL}', "");
    Error('\p{:=__Cc}');
    Error('\P{:=__Cc}');
    Expect(1, 159, '\p{cc}', "");
    Expect(0, 159, '\p{^cc}', "");
    Expect(0, 159, '\P{cc}', "");
    Expect(1, 159, '\P{^cc}', "");
    Expect(0, 160, '\p{cc}', "");
    Expect(1, 160, '\p{^cc}', "");
    Expect(1, 160, '\P{cc}', "");
    Expect(0, 160, '\P{^cc}', "");
    Expect(1, 159, '\p{_Cc}', "");
    Expect(0, 159, '\p{^_Cc}', "");
    Expect(0, 159, '\P{_Cc}', "");
    Expect(1, 159, '\P{^_Cc}', "");
    Expect(0, 160, '\p{_Cc}', "");
    Expect(1, 160, '\p{^_Cc}', "");
    Expect(1, 160, '\P{_Cc}', "");
    Expect(0, 160, '\P{^_Cc}', "");
    Error('\p{	 is_cc:=}');
    Error('\P{	 is_cc:=}');
    Expect(1, 159, '\p{iscc}', "");
    Expect(0, 159, '\p{^iscc}', "");
    Expect(0, 159, '\P{iscc}', "");
    Expect(1, 159, '\P{^iscc}', "");
    Expect(0, 160, '\p{iscc}', "");
    Expect(1, 160, '\p{^iscc}', "");
    Expect(1, 160, '\P{iscc}', "");
    Expect(0, 160, '\P{^iscc}', "");
    Expect(1, 159, '\p{-IS_CC}', "");
    Expect(0, 159, '\p{^-IS_CC}', "");
    Expect(0, 159, '\P{-IS_CC}', "");
    Expect(1, 159, '\P{^-IS_CC}', "");
    Expect(0, 160, '\p{-IS_CC}', "");
    Expect(1, 160, '\p{^-IS_CC}', "");
    Expect(1, 160, '\P{-IS_CC}', "");
    Expect(0, 160, '\P{^-IS_CC}', "");
    Error('\p{-_Combining_Diacritical_Marks:=}');
    Error('\P{-_Combining_Diacritical_Marks:=}');
    Expect(1, 879, '\p{combiningdiacriticalmarks}', "");
    Expect(0, 879, '\p{^combiningdiacriticalmarks}', "");
    Expect(0, 879, '\P{combiningdiacriticalmarks}', "");
    Expect(1, 879, '\P{^combiningdiacriticalmarks}', "");
    Expect(0, 880, '\p{combiningdiacriticalmarks}', "");
    Expect(1, 880, '\p{^combiningdiacriticalmarks}', "");
    Expect(1, 880, '\P{combiningdiacriticalmarks}', "");
    Expect(0, 880, '\P{^combiningdiacriticalmarks}', "");
    Expect(1, 879, '\p{ COMBINING_DIACRITICAL_Marks}', "");
    Expect(0, 879, '\p{^ COMBINING_DIACRITICAL_Marks}', "");
    Expect(0, 879, '\P{ COMBINING_DIACRITICAL_Marks}', "");
    Expect(1, 879, '\P{^ COMBINING_DIACRITICAL_Marks}', "");
    Expect(0, 880, '\p{ COMBINING_DIACRITICAL_Marks}', "");
    Expect(1, 880, '\p{^ COMBINING_DIACRITICAL_Marks}', "");
    Expect(1, 880, '\P{ COMBINING_DIACRITICAL_Marks}', "");
    Expect(0, 880, '\P{^ COMBINING_DIACRITICAL_Marks}', "");
    Error('\p{	:=Is_combining_diacritical_Marks}');
    Error('\P{	:=Is_combining_diacritical_Marks}');
    Expect(1, 879, '\p{iscombiningdiacriticalmarks}', "");
    Expect(0, 879, '\p{^iscombiningdiacriticalmarks}', "");
    Expect(0, 879, '\P{iscombiningdiacriticalmarks}', "");
    Expect(1, 879, '\P{^iscombiningdiacriticalmarks}', "");
    Expect(0, 880, '\p{iscombiningdiacriticalmarks}', "");
    Expect(1, 880, '\p{^iscombiningdiacriticalmarks}', "");
    Expect(1, 880, '\P{iscombiningdiacriticalmarks}', "");
    Expect(0, 880, '\P{^iscombiningdiacriticalmarks}', "");
    Expect(1, 879, '\p{ _IS_Combining_Diacritical_Marks}', "");
    Expect(0, 879, '\p{^ _IS_Combining_Diacritical_Marks}', "");
    Expect(0, 879, '\P{ _IS_Combining_Diacritical_Marks}', "");
    Expect(1, 879, '\P{^ _IS_Combining_Diacritical_Marks}', "");
    Expect(0, 880, '\p{ _IS_Combining_Diacritical_Marks}', "");
    Expect(1, 880, '\p{^ _IS_Combining_Diacritical_Marks}', "");
    Expect(1, 880, '\P{ _IS_Combining_Diacritical_Marks}', "");
    Expect(0, 880, '\P{^ _IS_Combining_Diacritical_Marks}', "");
    Error('\p{	_In_COMBINING_Diacritical_Marks:=}');
    Error('\P{	_In_COMBINING_Diacritical_Marks:=}');
    Expect(1, 879, '\p{incombiningdiacriticalmarks}', "");
    Expect(0, 879, '\p{^incombiningdiacriticalmarks}', "");
    Expect(0, 879, '\P{incombiningdiacriticalmarks}', "");
    Expect(1, 879, '\P{^incombiningdiacriticalmarks}', "");
    Expect(0, 880, '\p{incombiningdiacriticalmarks}', "");
    Expect(1, 880, '\p{^incombiningdiacriticalmarks}', "");
    Expect(1, 880, '\P{incombiningdiacriticalmarks}', "");
    Expect(0, 880, '\P{^incombiningdiacriticalmarks}', "");
    Expect(1, 879, '\p{ -In_Combining_DIACRITICAL_marks}', "");
    Expect(0, 879, '\p{^ -In_Combining_DIACRITICAL_marks}', "");
    Expect(0, 879, '\P{ -In_Combining_DIACRITICAL_marks}', "");
    Expect(1, 879, '\P{^ -In_Combining_DIACRITICAL_marks}', "");
    Expect(0, 880, '\p{ -In_Combining_DIACRITICAL_marks}', "");
    Expect(1, 880, '\p{^ -In_Combining_DIACRITICAL_marks}', "");
    Expect(1, 880, '\P{ -In_Combining_DIACRITICAL_marks}', "");
    Expect(0, 880, '\P{^ -In_Combining_DIACRITICAL_marks}', "");
    Error('\p{/a/		diacriticals}');
    Error('\P{/a/		diacriticals}');
    Expect(1, 879, '\p{diacriticals}', "");
    Expect(0, 879, '\p{^diacriticals}', "");
    Expect(0, 879, '\P{diacriticals}', "");
    Expect(1, 879, '\P{^diacriticals}', "");
    Expect(0, 880, '\p{diacriticals}', "");
    Expect(1, 880, '\p{^diacriticals}', "");
    Expect(1, 880, '\P{diacriticals}', "");
    Expect(0, 880, '\P{^diacriticals}', "");
    Expect(1, 879, '\p{-diacriticals}', "");
    Expect(0, 879, '\p{^-diacriticals}', "");
    Expect(0, 879, '\P{-diacriticals}', "");
    Expect(1, 879, '\P{^-diacriticals}', "");
    Expect(0, 880, '\p{-diacriticals}', "");
    Expect(1, 880, '\p{^-diacriticals}', "");
    Expect(1, 880, '\P{-diacriticals}', "");
    Expect(0, 880, '\P{^-diacriticals}', "");
    Error('\p{_Is_diacriticals:=}');
    Error('\P{_Is_diacriticals:=}');
    Expect(1, 879, '\p{isdiacriticals}', "");
    Expect(0, 879, '\p{^isdiacriticals}', "");
    Expect(0, 879, '\P{isdiacriticals}', "");
    Expect(1, 879, '\P{^isdiacriticals}', "");
    Expect(0, 880, '\p{isdiacriticals}', "");
    Expect(1, 880, '\p{^isdiacriticals}', "");
    Expect(1, 880, '\P{isdiacriticals}', "");
    Expect(0, 880, '\P{^isdiacriticals}', "");
    Expect(1, 879, '\p{- is_diacriticals}', "");
    Expect(0, 879, '\p{^- is_diacriticals}', "");
    Expect(0, 879, '\P{- is_diacriticals}', "");
    Expect(1, 879, '\P{^- is_diacriticals}', "");
    Expect(0, 880, '\p{- is_diacriticals}', "");
    Expect(1, 880, '\p{^- is_diacriticals}', "");
    Expect(1, 880, '\P{- is_diacriticals}', "");
    Expect(0, 880, '\P{^- is_diacriticals}', "");
    Error('\p{- in_Diacriticals/a/}');
    Error('\P{- in_Diacriticals/a/}');
    Expect(1, 879, '\p{indiacriticals}', "");
    Expect(0, 879, '\p{^indiacriticals}', "");
    Expect(0, 879, '\P{indiacriticals}', "");
    Expect(1, 879, '\P{^indiacriticals}', "");
    Expect(0, 880, '\p{indiacriticals}', "");
    Expect(1, 880, '\p{^indiacriticals}', "");
    Expect(1, 880, '\P{indiacriticals}', "");
    Expect(0, 880, '\P{^indiacriticals}', "");
    Expect(1, 879, '\p{	in_diacriticals}', "");
    Expect(0, 879, '\p{^	in_diacriticals}', "");
    Expect(0, 879, '\P{	in_diacriticals}', "");
    Expect(1, 879, '\P{^	in_diacriticals}', "");
    Expect(0, 880, '\p{	in_diacriticals}', "");
    Expect(1, 880, '\p{^	in_diacriticals}', "");
    Expect(1, 880, '\P{	in_diacriticals}', "");
    Expect(0, 880, '\P{^	in_diacriticals}', "");
    Error('\p{-/a/COMBINING_Diacritical_marks_EXTENDED}');
    Error('\P{-/a/COMBINING_Diacritical_marks_EXTENDED}');
    Expect(1, 6911, '\p{combiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\p{^combiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\P{combiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\P{^combiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\p{combiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\p{^combiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\P{combiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\P{^combiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\p{ COMBINING_diacritical_Marks_EXTENDED}', "");
    Expect(0, 6911, '\p{^ COMBINING_diacritical_Marks_EXTENDED}', "");
    Expect(0, 6911, '\P{ COMBINING_diacritical_Marks_EXTENDED}', "");
    Expect(1, 6911, '\P{^ COMBINING_diacritical_Marks_EXTENDED}', "");
    Expect(0, 6912, '\p{ COMBINING_diacritical_Marks_EXTENDED}', "");
    Expect(1, 6912, '\p{^ COMBINING_diacritical_Marks_EXTENDED}', "");
    Expect(1, 6912, '\P{ COMBINING_diacritical_Marks_EXTENDED}', "");
    Expect(0, 6912, '\P{^ COMBINING_diacritical_Marks_EXTENDED}', "");
    Error('\p{/a/-	IS_Combining_DIACRITICAL_MARKS_Extended}');
    Error('\P{/a/-	IS_Combining_DIACRITICAL_MARKS_Extended}');
    Expect(1, 6911, '\p{iscombiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\p{^iscombiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\P{iscombiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\P{^iscombiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\p{iscombiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\p{^iscombiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\P{iscombiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\P{^iscombiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\p{_Is_Combining_diacritical_marks_extended}', "");
    Expect(0, 6911, '\p{^_Is_Combining_diacritical_marks_extended}', "");
    Expect(0, 6911, '\P{_Is_Combining_diacritical_marks_extended}', "");
    Expect(1, 6911, '\P{^_Is_Combining_diacritical_marks_extended}', "");
    Expect(0, 6912, '\p{_Is_Combining_diacritical_marks_extended}', "");
    Expect(1, 6912, '\p{^_Is_Combining_diacritical_marks_extended}', "");
    Expect(1, 6912, '\P{_Is_Combining_diacritical_marks_extended}', "");
    Expect(0, 6912, '\P{^_Is_Combining_diacritical_marks_extended}', "");
    Error('\p{ /a/In_combining_diacritical_Marks_Extended}');
    Error('\P{ /a/In_combining_diacritical_Marks_Extended}');
    Expect(1, 6911, '\p{incombiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\p{^incombiningdiacriticalmarksextended}', "");
    Expect(0, 6911, '\P{incombiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\P{^incombiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\p{incombiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\p{^incombiningdiacriticalmarksextended}', "");
    Expect(1, 6912, '\P{incombiningdiacriticalmarksextended}', "");
    Expect(0, 6912, '\P{^incombiningdiacriticalmarksextended}', "");
    Expect(1, 6911, '\p{  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Expect(0, 6911, '\p{^  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Expect(0, 6911, '\P{  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Expect(1, 6911, '\P{^  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Expect(0, 6912, '\p{  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Expect(1, 6912, '\p{^  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Expect(1, 6912, '\P{  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Expect(0, 6912, '\P{^  IN_combining_Diacritical_MARKS_EXTENDED}', "");
    Error('\p{ /a/diacriticals_Ext}');
    Error('\P{ /a/diacriticals_Ext}');
    Expect(1, 6911, '\p{diacriticalsext}', "");
    Expect(0, 6911, '\p{^diacriticalsext}', "");
    Expect(0, 6911, '\P{diacriticalsext}', "");
    Expect(1, 6911, '\P{^diacriticalsext}', "");
    Expect(0, 6912, '\p{diacriticalsext}', "");
    Expect(1, 6912, '\p{^diacriticalsext}', "");
    Expect(1, 6912, '\P{diacriticalsext}', "");
    Expect(0, 6912, '\P{^diacriticalsext}', "");
    Expect(1, 6911, '\p{ 	Diacriticals_EXT}', "");
    Expect(0, 6911, '\p{^ 	Diacriticals_EXT}', "");
    Expect(0, 6911, '\P{ 	Diacriticals_EXT}', "");
    Expect(1, 6911, '\P{^ 	Diacriticals_EXT}', "");
    Expect(0, 6912, '\p{ 	Diacriticals_EXT}', "");
    Expect(1, 6912, '\p{^ 	Diacriticals_EXT}', "");
    Expect(1, 6912, '\P{ 	Diacriticals_EXT}', "");
    Expect(0, 6912, '\P{^ 	Diacriticals_EXT}', "");
    Error('\p{ IS_DIACRITICALS_Ext/a/}');
    Error('\P{ IS_DIACRITICALS_Ext/a/}');
    Expect(1, 6911, '\p{isdiacriticalsext}', "");
    Expect(0, 6911, '\p{^isdiacriticalsext}', "");
    Expect(0, 6911, '\P{isdiacriticalsext}', "");
    Expect(1, 6911, '\P{^isdiacriticalsext}', "");
    Expect(0, 6912, '\p{isdiacriticalsext}', "");
    Expect(1, 6912, '\p{^isdiacriticalsext}', "");
    Expect(1, 6912, '\P{isdiacriticalsext}', "");
    Expect(0, 6912, '\P{^isdiacriticalsext}', "");
    Expect(1, 6911, '\p{	Is_Diacriticals_Ext}', "");
    Expect(0, 6911, '\p{^	Is_Diacriticals_Ext}', "");
    Expect(0, 6911, '\P{	Is_Diacriticals_Ext}', "");
    Expect(1, 6911, '\P{^	Is_Diacriticals_Ext}', "");
    Expect(0, 6912, '\p{	Is_Diacriticals_Ext}', "");
    Expect(1, 6912, '\p{^	Is_Diacriticals_Ext}', "");
    Expect(1, 6912, '\P{	Is_Diacriticals_Ext}', "");
    Expect(0, 6912, '\P{^	Is_Diacriticals_Ext}', "");
    Error('\p{_ in_diacriticals_ext/a/}');
    Error('\P{_ in_diacriticals_ext/a/}');
    Expect(1, 6911, '\p{indiacriticalsext}', "");
    Expect(0, 6911, '\p{^indiacriticalsext}', "");
    Expect(0, 6911, '\P{indiacriticalsext}', "");
    Expect(1, 6911, '\P{^indiacriticalsext}', "");
    Expect(0, 6912, '\p{indiacriticalsext}', "");
    Expect(1, 6912, '\p{^indiacriticalsext}', "");
    Expect(1, 6912, '\P{indiacriticalsext}', "");
    Expect(0, 6912, '\P{^indiacriticalsext}', "");
    Expect(1, 6911, '\p{ In_diacriticals_Ext}', "");
    Expect(0, 6911, '\p{^ In_diacriticals_Ext}', "");
    Expect(0, 6911, '\P{ In_diacriticals_Ext}', "");
    Expect(1, 6911, '\P{^ In_diacriticals_Ext}', "");
    Expect(0, 6912, '\p{ In_diacriticals_Ext}', "");
    Expect(1, 6912, '\p{^ In_diacriticals_Ext}', "");
    Expect(1, 6912, '\P{ In_diacriticals_Ext}', "");
    Expect(0, 6912, '\P{^ In_diacriticals_Ext}', "");
    Error('\p{:=-COMBINING_DIACRITICAL_MARKS_for_symbols}');
    Error('\P{:=-COMBINING_DIACRITICAL_MARKS_for_symbols}');
    Expect(1, 8447, '\p{combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\p{^combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\P{combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\P{^combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\p{combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\p{^combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\P{combiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\P{^combiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\p{ -Combining_diacritical_Marks_For_symbols}', "");
    Expect(0, 8447, '\p{^ -Combining_diacritical_Marks_For_symbols}', "");
    Expect(0, 8447, '\P{ -Combining_diacritical_Marks_For_symbols}', "");
    Expect(1, 8447, '\P{^ -Combining_diacritical_Marks_For_symbols}', "");
    Expect(0, 8448, '\p{ -Combining_diacritical_Marks_For_symbols}', "");
    Expect(1, 8448, '\p{^ -Combining_diacritical_Marks_For_symbols}', "");
    Expect(1, 8448, '\P{ -Combining_diacritical_Marks_For_symbols}', "");
    Expect(0, 8448, '\P{^ -Combining_diacritical_Marks_For_symbols}', "");
    Error('\p{ is_Combining_Diacritical_marks_For_Symbols/a/}');
    Error('\P{ is_Combining_Diacritical_marks_For_Symbols/a/}');
    Expect(1, 8447, '\p{iscombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\P{iscombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\p{iscombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\P{iscombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\p{  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Expect(0, 8447, '\p{^  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Expect(0, 8447, '\P{  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Expect(1, 8447, '\P{^  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Expect(0, 8448, '\p{  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Expect(1, 8448, '\p{^  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Expect(1, 8448, '\P{  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Expect(0, 8448, '\P{^  Is_COMBINING_diacritical_MARKS_For_SYMBOLS}', "");
    Error('\p{/a/_ In_Combining_diacritical_MARKS_For_symbols}');
    Error('\P{/a/_ In_Combining_diacritical_MARKS_For_symbols}');
    Expect(1, 8447, '\p{incombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\p{^incombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8447, '\P{incombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\P{^incombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\p{incombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\p{^incombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8448, '\P{incombiningdiacriticalmarksforsymbols}', "");
    Expect(0, 8448, '\P{^incombiningdiacriticalmarksforsymbols}', "");
    Expect(1, 8447, '\p{ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Expect(0, 8447, '\p{^ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Expect(0, 8447, '\P{ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Expect(1, 8447, '\P{^ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Expect(0, 8448, '\p{ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Expect(1, 8448, '\p{^ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Expect(1, 8448, '\P{ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Expect(0, 8448, '\P{^ in_Combining_Diacritical_MARKS_for_symbols}', "");
    Error('\p{ _DIACRITICALS_For_Symbols:=}');
    Error('\P{ _DIACRITICALS_For_Symbols:=}');
    Expect(1, 8447, '\p{diacriticalsforsymbols}', "");
    Expect(0, 8447, '\p{^diacriticalsforsymbols}', "");
    Expect(0, 8447, '\P{diacriticalsforsymbols}', "");
    Expect(1, 8447, '\P{^diacriticalsforsymbols}', "");
    Expect(0, 8448, '\p{diacriticalsforsymbols}', "");
    Expect(1, 8448, '\p{^diacriticalsforsymbols}', "");
    Expect(1, 8448, '\P{diacriticalsforsymbols}', "");
    Expect(0, 8448, '\P{^diacriticalsforsymbols}', "");
    Expect(1, 8447, '\p{ -diacriticals_FOR_symbols}', "");
    Expect(0, 8447, '\p{^ -diacriticals_FOR_symbols}', "");
    Expect(0, 8447, '\P{ -diacriticals_FOR_symbols}', "");
    Expect(1, 8447, '\P{^ -diacriticals_FOR_symbols}', "");
    Expect(0, 8448, '\p{ -diacriticals_FOR_symbols}', "");
    Expect(1, 8448, '\p{^ -diacriticals_FOR_symbols}', "");
    Expect(1, 8448, '\P{ -diacriticals_FOR_symbols}', "");
    Expect(0, 8448, '\P{^ -diacriticals_FOR_symbols}', "");
    Error('\p{__Is_diacriticals_For_SYMBOLS/a/}');
    Error('\P{__Is_diacriticals_For_SYMBOLS/a/}');
    Expect(1, 8447, '\p{isdiacriticalsforsymbols}', "");
    Expect(0, 8447, '\p{^isdiacriticalsforsymbols}', "");
    Expect(0, 8447, '\P{isdiacriticalsforsymbols}', "");
    Expect(1, 8447, '\P{^isdiacriticalsforsymbols}', "");
    Expect(0, 8448, '\p{isdiacriticalsforsymbols}', "");
    Expect(1, 8448, '\p{^isdiacriticalsforsymbols}', "");
    Expect(1, 8448, '\P{isdiacriticalsforsymbols}', "");
    Expect(0, 8448, '\P{^isdiacriticalsforsymbols}', "");
    Expect(1, 8447, '\p{ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Expect(0, 8447, '\p{^ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Expect(0, 8447, '\P{ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Expect(1, 8447, '\P{^ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Expect(0, 8448, '\p{ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Expect(1, 8448, '\p{^ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Expect(1, 8448, '\P{ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Expect(0, 8448, '\P{^ -Is_DIACRITICALS_for_SYMBOLS}', "");
    Error('\p{_:=In_DIACRITICALS_For_Symbols}');
    Error('\P{_:=In_DIACRITICALS_For_Symbols}');
    Expect(1, 8447, '\p{indiacriticalsforsymbols}', "");
    Expect(0, 8447, '\p{^indiacriticalsforsymbols}', "");
    Expect(0, 8447, '\P{indiacriticalsforsymbols}', "");
    Expect(1, 8447, '\P{^indiacriticalsforsymbols}', "");
    Expect(0, 8448, '\p{indiacriticalsforsymbols}', "");
    Expect(1, 8448, '\p{^indiacriticalsforsymbols}', "");
    Expect(1, 8448, '\P{indiacriticalsforsymbols}', "");
    Expect(0, 8448, '\P{^indiacriticalsforsymbols}', "");
    Expect(1, 8447, '\p{	_In_DIACRITICALS_For_SYMBOLS}', "");
    Expect(0, 8447, '\p{^	_In_DIACRITICALS_For_SYMBOLS}', "");
    Expect(0, 8447, '\P{	_In_DIACRITICALS_For_SYMBOLS}', "");
    Expect(1, 8447, '\P{^	_In_DIACRITICALS_For_SYMBOLS}', "");
    Expect(0, 8448, '\p{	_In_DIACRITICALS_For_SYMBOLS}', "");
    Expect(1, 8448, '\p{^	_In_DIACRITICALS_For_SYMBOLS}', "");
    Expect(1, 8448, '\P{	_In_DIACRITICALS_For_SYMBOLS}', "");
    Expect(0, 8448, '\P{^	_In_DIACRITICALS_For_SYMBOLS}', "");
    Error('\p{:=	Combining_Marks_for_Symbols}');
    Error('\P{:=	Combining_Marks_for_Symbols}');
    Expect(1, 8447, '\p{combiningmarksforsymbols}', "");
    Expect(0, 8447, '\p{^combiningmarksforsymbols}', "");
    Expect(0, 8447, '\P{combiningmarksforsymbols}', "");
    Expect(1, 8447, '\P{^combiningmarksforsymbols}', "");
    Expect(0, 8448, '\p{combiningmarksforsymbols}', "");
    Expect(1, 8448, '\p{^combiningmarksforsymbols}', "");
    Expect(1, 8448, '\P{combiningmarksforsymbols}', "");
    Expect(0, 8448, '\P{^combiningmarksforsymbols}', "");
    Expect(1, 8447, '\p{-_COMBINING_Marks_For_Symbols}', "");
    Expect(0, 8447, '\p{^-_COMBINING_Marks_For_Symbols}', "");
    Expect(0, 8447, '\P{-_COMBINING_Marks_For_Symbols}', "");
    Expect(1, 8447, '\P{^-_COMBINING_Marks_For_Symbols}', "");
    Expect(0, 8448, '\p{-_COMBINING_Marks_For_Symbols}', "");
    Expect(1, 8448, '\p{^-_COMBINING_Marks_For_Symbols}', "");
    Expect(1, 8448, '\P{-_COMBINING_Marks_For_Symbols}', "");
    Expect(0, 8448, '\P{^-_COMBINING_Marks_For_Symbols}', "");
    Error('\p{-:=Is_COMBINING_Marks_For_symbols}');
    Error('\P{-:=Is_COMBINING_Marks_For_symbols}');
    Expect(1, 8447, '\p{iscombiningmarksforsymbols}', "");
    Expect(0, 8447, '\p{^iscombiningmarksforsymbols}', "");
    Expect(0, 8447, '\P{iscombiningmarksforsymbols}', "");
    Expect(1, 8447, '\P{^iscombiningmarksforsymbols}', "");
    Expect(0, 8448, '\p{iscombiningmarksforsymbols}', "");
    Expect(1, 8448, '\p{^iscombiningmarksforsymbols}', "");
    Expect(1, 8448, '\P{iscombiningmarksforsymbols}', "");
    Expect(0, 8448, '\P{^iscombiningmarksforsymbols}', "");
    Expect(1, 8447, '\p{_-Is_COMBINING_MARKS_for_symbols}', "");
    Expect(0, 8447, '\p{^_-Is_COMBINING_MARKS_for_symbols}', "");
    Expect(0, 8447, '\P{_-Is_COMBINING_MARKS_for_symbols}', "");
    Expect(1, 8447, '\P{^_-Is_COMBINING_MARKS_for_symbols}', "");
    Expect(0, 8448, '\p{_-Is_COMBINING_MARKS_for_symbols}', "");
    Expect(1, 8448, '\p{^_-Is_COMBINING_MARKS_for_symbols}', "");
    Expect(1, 8448, '\P{_-Is_COMBINING_MARKS_for_symbols}', "");
    Expect(0, 8448, '\P{^_-Is_COMBINING_MARKS_for_symbols}', "");
    Error('\p{	:=in_COMBINING_Marks_For_SYMBOLS}');
    Error('\P{	:=in_COMBINING_Marks_For_SYMBOLS}');
    Expect(1, 8447, '\p{incombiningmarksforsymbols}', "");
    Expect(0, 8447, '\p{^incombiningmarksforsymbols}', "");
    Expect(0, 8447, '\P{incombiningmarksforsymbols}', "");
    Expect(1, 8447, '\P{^incombiningmarksforsymbols}', "");
    Expect(0, 8448, '\p{incombiningmarksforsymbols}', "");
    Expect(1, 8448, '\p{^incombiningmarksforsymbols}', "");
    Expect(1, 8448, '\P{incombiningmarksforsymbols}', "");
    Expect(0, 8448, '\P{^incombiningmarksforsymbols}', "");
    Expect(1, 8447, '\p{_In_Combining_Marks_FOR_SYMBOLS}', "");
    Expect(0, 8447, '\p{^_In_Combining_Marks_FOR_SYMBOLS}', "");
    Expect(0, 8447, '\P{_In_Combining_Marks_FOR_SYMBOLS}', "");
    Expect(1, 8447, '\P{^_In_Combining_Marks_FOR_SYMBOLS}', "");
    Expect(0, 8448, '\p{_In_Combining_Marks_FOR_SYMBOLS}', "");
    Expect(1, 8448, '\p{^_In_Combining_Marks_FOR_SYMBOLS}', "");
    Expect(1, 8448, '\P{_In_Combining_Marks_FOR_SYMBOLS}', "");
    Expect(0, 8448, '\P{^_In_Combining_Marks_FOR_SYMBOLS}', "");
    Error('\p{ 	COMBINING_Diacritical_marks_supplement/a/}');
    Error('\P{ 	COMBINING_Diacritical_marks_supplement/a/}');
    Expect(1, 7679, '\p{combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\p{^combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\P{combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\P{^combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\p{combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\p{^combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\P{combiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\P{^combiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\p{-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Expect(0, 7679, '\p{^-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Expect(0, 7679, '\P{-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Expect(1, 7679, '\P{^-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Expect(0, 7680, '\p{-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Expect(1, 7680, '\p{^-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Expect(1, 7680, '\P{-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Expect(0, 7680, '\P{^-Combining_Diacritical_MARKS_SUPPLEMENT}', "");
    Error('\p{:=-IS_combining_Diacritical_MARKS_Supplement}');
    Error('\P{:=-IS_combining_Diacritical_MARKS_Supplement}');
    Expect(1, 7679, '\p{iscombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\p{^iscombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\P{iscombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\P{^iscombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\p{iscombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\p{^iscombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\P{iscombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\P{^iscombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\p{  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Expect(0, 7679, '\p{^  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Expect(0, 7679, '\P{  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Expect(1, 7679, '\P{^  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Expect(0, 7680, '\p{  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Expect(1, 7680, '\p{^  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Expect(1, 7680, '\P{  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Expect(0, 7680, '\P{^  IS_Combining_DIACRITICAL_marks_SUPPLEMENT}', "");
    Error('\p{/a/__In_combining_diacritical_MARKS_Supplement}');
    Error('\P{/a/__In_combining_diacritical_MARKS_Supplement}');
    Expect(1, 7679, '\p{incombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\p{^incombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7679, '\P{incombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\P{^incombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\p{incombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\p{^incombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7680, '\P{incombiningdiacriticalmarkssupplement}', "");
    Expect(0, 7680, '\P{^incombiningdiacriticalmarkssupplement}', "");
    Expect(1, 7679, '\p{_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Expect(0, 7679, '\p{^_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Expect(0, 7679, '\P{_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Expect(1, 7679, '\P{^_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Expect(0, 7680, '\p{_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Expect(1, 7680, '\p{^_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Expect(1, 7680, '\P{_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Expect(0, 7680, '\P{^_in_Combining_diacritical_marks_SUPPLEMENT}', "");
    Error('\p{-/a/diacriticals_SUP}');
    Error('\P{-/a/diacriticals_SUP}');
    Expect(1, 7679, '\p{diacriticalssup}', "");
    Expect(0, 7679, '\p{^diacriticalssup}', "");
    Expect(0, 7679, '\P{diacriticalssup}', "");
    Expect(1, 7679, '\P{^diacriticalssup}', "");
    Expect(0, 7680, '\p{diacriticalssup}', "");
    Expect(1, 7680, '\p{^diacriticalssup}', "");
    Expect(1, 7680, '\P{diacriticalssup}', "");
    Expect(0, 7680, '\P{^diacriticalssup}', "");
    Expect(1, 7679, '\p{Diacriticals_Sup}', "");
    Expect(0, 7679, '\p{^Diacriticals_Sup}', "");
    Expect(0, 7679, '\P{Diacriticals_Sup}', "");
    Expect(1, 7679, '\P{^Diacriticals_Sup}', "");
    Expect(0, 7680, '\p{Diacriticals_Sup}', "");
    Expect(1, 7680, '\p{^Diacriticals_Sup}', "");
    Expect(1, 7680, '\P{Diacriticals_Sup}', "");
    Expect(0, 7680, '\P{^Diacriticals_Sup}', "");
    Error('\p{/a/Is_Diacriticals_Sup}');
    Error('\P{/a/Is_Diacriticals_Sup}');
    Expect(1, 7679, '\p{isdiacriticalssup}', "");
    Expect(0, 7679, '\p{^isdiacriticalssup}', "");
    Expect(0, 7679, '\P{isdiacriticalssup}', "");
    Expect(1, 7679, '\P{^isdiacriticalssup}', "");
    Expect(0, 7680, '\p{isdiacriticalssup}', "");
    Expect(1, 7680, '\p{^isdiacriticalssup}', "");
    Expect(1, 7680, '\P{isdiacriticalssup}', "");
    Expect(0, 7680, '\P{^isdiacriticalssup}', "");
    Expect(1, 7679, '\p{- Is_Diacriticals_Sup}', "");
    Expect(0, 7679, '\p{^- Is_Diacriticals_Sup}', "");
    Expect(0, 7679, '\P{- Is_Diacriticals_Sup}', "");
    Expect(1, 7679, '\P{^- Is_Diacriticals_Sup}', "");
    Expect(0, 7680, '\p{- Is_Diacriticals_Sup}', "");
    Expect(1, 7680, '\p{^- Is_Diacriticals_Sup}', "");
    Expect(1, 7680, '\P{- Is_Diacriticals_Sup}', "");
    Expect(0, 7680, '\P{^- Is_Diacriticals_Sup}', "");
    Error('\p{:=_	In_diacriticals_SUP}');
    Error('\P{:=_	In_diacriticals_SUP}');
    Expect(1, 7679, '\p{indiacriticalssup}', "");
    Expect(0, 7679, '\p{^indiacriticalssup}', "");
    Expect(0, 7679, '\P{indiacriticalssup}', "");
    Expect(1, 7679, '\P{^indiacriticalssup}', "");
    Expect(0, 7680, '\p{indiacriticalssup}', "");
    Expect(1, 7680, '\p{^indiacriticalssup}', "");
    Expect(1, 7680, '\P{indiacriticalssup}', "");
    Expect(0, 7680, '\P{^indiacriticalssup}', "");
    Expect(1, 7679, '\p{	in_diacriticals_Sup}', "");
    Expect(0, 7679, '\p{^	in_diacriticals_Sup}', "");
    Expect(0, 7679, '\P{	in_diacriticals_Sup}', "");
    Expect(1, 7679, '\P{^	in_diacriticals_Sup}', "");
    Expect(0, 7680, '\p{	in_diacriticals_Sup}', "");
    Expect(1, 7680, '\p{^	in_diacriticals_Sup}', "");
    Expect(1, 7680, '\P{	in_diacriticals_Sup}', "");
    Expect(0, 7680, '\P{^	in_diacriticals_Sup}', "");
    Error('\p{-combining_HALF_MARKS:=}');
    Error('\P{-combining_HALF_MARKS:=}');
    Expect(1, 65071, '\p{combininghalfmarks}', "");
    Expect(0, 65071, '\p{^combininghalfmarks}', "");
    Expect(0, 65071, '\P{combininghalfmarks}', "");
    Expect(1, 65071, '\P{^combininghalfmarks}', "");
    Expect(0, 65072, '\p{combininghalfmarks}', "");
    Expect(1, 65072, '\p{^combininghalfmarks}', "");
    Expect(1, 65072, '\P{combininghalfmarks}', "");
    Expect(0, 65072, '\P{^combininghalfmarks}', "");
    Expect(1, 65071, '\p{ -Combining_half_Marks}', "");
    Expect(0, 65071, '\p{^ -Combining_half_Marks}', "");
    Expect(0, 65071, '\P{ -Combining_half_Marks}', "");
    Expect(1, 65071, '\P{^ -Combining_half_Marks}', "");
    Expect(0, 65072, '\p{ -Combining_half_Marks}', "");
    Expect(1, 65072, '\p{^ -Combining_half_Marks}', "");
    Expect(1, 65072, '\P{ -Combining_half_Marks}', "");
    Expect(0, 65072, '\P{^ -Combining_half_Marks}', "");
    Error('\p{ 	Is_Combining_Half_Marks:=}');
    Error('\P{ 	Is_Combining_Half_Marks:=}');
    Expect(1, 65071, '\p{iscombininghalfmarks}', "");
    Expect(0, 65071, '\p{^iscombininghalfmarks}', "");
    Expect(0, 65071, '\P{iscombininghalfmarks}', "");
    Expect(1, 65071, '\P{^iscombininghalfmarks}', "");
    Expect(0, 65072, '\p{iscombininghalfmarks}', "");
    Expect(1, 65072, '\p{^iscombininghalfmarks}', "");
    Expect(1, 65072, '\P{iscombininghalfmarks}', "");
    Expect(0, 65072, '\P{^iscombininghalfmarks}', "");
    Expect(1, 65071, '\p{__Is_Combining_Half_MARKS}', "");
    Expect(0, 65071, '\p{^__Is_Combining_Half_MARKS}', "");
    Expect(0, 65071, '\P{__Is_Combining_Half_MARKS}', "");
    Expect(1, 65071, '\P{^__Is_Combining_Half_MARKS}', "");
    Expect(0, 65072, '\p{__Is_Combining_Half_MARKS}', "");
    Expect(1, 65072, '\p{^__Is_Combining_Half_MARKS}', "");
    Expect(1, 65072, '\P{__Is_Combining_Half_MARKS}', "");
    Expect(0, 65072, '\P{^__Is_Combining_Half_MARKS}', "");
    Error('\p{-	In_combining_HALF_MARKS:=}');
    Error('\P{-	In_combining_HALF_MARKS:=}');
    Expect(1, 65071, '\p{incombininghalfmarks}', "");
    Expect(0, 65071, '\p{^incombininghalfmarks}', "");
    Expect(0, 65071, '\P{incombininghalfmarks}', "");
    Expect(1, 65071, '\P{^incombininghalfmarks}', "");
    Expect(0, 65072, '\p{incombininghalfmarks}', "");
    Expect(1, 65072, '\p{^incombininghalfmarks}', "");
    Expect(1, 65072, '\P{incombininghalfmarks}', "");
    Expect(0, 65072, '\P{^incombininghalfmarks}', "");
    Expect(1, 65071, '\p{-in_COMBINING_HALF_marks}', "");
    Expect(0, 65071, '\p{^-in_COMBINING_HALF_marks}', "");
    Expect(0, 65071, '\P{-in_COMBINING_HALF_marks}', "");
    Expect(1, 65071, '\P{^-in_COMBINING_HALF_marks}', "");
    Expect(0, 65072, '\p{-in_COMBINING_HALF_marks}', "");
    Expect(1, 65072, '\p{^-in_COMBINING_HALF_marks}', "");
    Expect(1, 65072, '\P{-in_COMBINING_HALF_marks}', "");
    Expect(0, 65072, '\P{^-in_COMBINING_HALF_marks}', "");
    Error('\p{ _Half_MARKS/a/}');
    Error('\P{ _Half_MARKS/a/}');
    Expect(1, 65071, '\p{halfmarks}', "");
    Expect(0, 65071, '\p{^halfmarks}', "");
    Expect(0, 65071, '\P{halfmarks}', "");
    Expect(1, 65071, '\P{^halfmarks}', "");
    Expect(0, 65072, '\p{halfmarks}', "");
    Expect(1, 65072, '\p{^halfmarks}', "");
    Expect(1, 65072, '\P{halfmarks}', "");
    Expect(0, 65072, '\P{^halfmarks}', "");
    Expect(1, 65071, '\p{ HALF_Marks}', "");
    Expect(0, 65071, '\p{^ HALF_Marks}', "");
    Expect(0, 65071, '\P{ HALF_Marks}', "");
    Expect(1, 65071, '\P{^ HALF_Marks}', "");
    Expect(0, 65072, '\p{ HALF_Marks}', "");
    Expect(1, 65072, '\p{^ HALF_Marks}', "");
    Expect(1, 65072, '\P{ HALF_Marks}', "");
    Expect(0, 65072, '\P{^ HALF_Marks}', "");
    Error('\p{:=-_IS_HALF_marks}');
    Error('\P{:=-_IS_HALF_marks}');
    Expect(1, 65071, '\p{ishalfmarks}', "");
    Expect(0, 65071, '\p{^ishalfmarks}', "");
    Expect(0, 65071, '\P{ishalfmarks}', "");
    Expect(1, 65071, '\P{^ishalfmarks}', "");
    Expect(0, 65072, '\p{ishalfmarks}', "");
    Expect(1, 65072, '\p{^ishalfmarks}', "");
    Expect(1, 65072, '\P{ishalfmarks}', "");
    Expect(0, 65072, '\P{^ishalfmarks}', "");
    Expect(1, 65071, '\p{  Is_half_Marks}', "");
    Expect(0, 65071, '\p{^  Is_half_Marks}', "");
    Expect(0, 65071, '\P{  Is_half_Marks}', "");
    Expect(1, 65071, '\P{^  Is_half_Marks}', "");
    Expect(0, 65072, '\p{  Is_half_Marks}', "");
    Expect(1, 65072, '\p{^  Is_half_Marks}', "");
    Expect(1, 65072, '\P{  Is_half_Marks}', "");
    Expect(0, 65072, '\P{^  Is_half_Marks}', "");
    Error('\p{:=-in_Half_Marks}');
    Error('\P{:=-in_Half_Marks}');
    Expect(1, 65071, '\p{inhalfmarks}', "");
    Expect(0, 65071, '\p{^inhalfmarks}', "");
    Expect(0, 65071, '\P{inhalfmarks}', "");
    Expect(1, 65071, '\P{^inhalfmarks}', "");
    Expect(0, 65072, '\p{inhalfmarks}', "");
    Expect(1, 65072, '\p{^inhalfmarks}', "");
    Expect(1, 65072, '\P{inhalfmarks}', "");
    Expect(0, 65072, '\P{^inhalfmarks}', "");
    Expect(1, 65071, '\p{--In_Half_MARKS}', "");
    Expect(0, 65071, '\p{^--In_Half_MARKS}', "");
    Expect(0, 65071, '\P{--In_Half_MARKS}', "");
    Expect(1, 65071, '\P{^--In_Half_MARKS}', "");
    Expect(0, 65072, '\p{--In_Half_MARKS}', "");
    Expect(1, 65072, '\p{^--In_Half_MARKS}', "");
    Expect(1, 65072, '\P{--In_Half_MARKS}', "");
    Expect(0, 65072, '\P{^--In_Half_MARKS}', "");
    Error('\p{_:=COMMON}');
    Error('\P{_:=COMMON}');
    Expect(1, 917631, '\p{common}', "");
    Expect(0, 917631, '\p{^common}', "");
    Expect(0, 917631, '\P{common}', "");
    Expect(1, 917631, '\P{^common}', "");
    Expect(0, 917632, '\p{common}', "");
    Expect(1, 917632, '\p{^common}', "");
    Expect(1, 917632, '\P{common}', "");
    Expect(0, 917632, '\P{^common}', "");
    Expect(1, 917631, '\p{		Common}', "");
    Expect(0, 917631, '\p{^		Common}', "");
    Expect(0, 917631, '\P{		Common}', "");
    Expect(1, 917631, '\P{^		Common}', "");
    Expect(0, 917632, '\p{		Common}', "");
    Expect(1, 917632, '\p{^		Common}', "");
    Expect(1, 917632, '\P{		Common}', "");
    Expect(0, 917632, '\P{^		Common}', "");
    Error('\p{/a/_ IS_Common}');
    Error('\P{/a/_ IS_Common}');
    Expect(1, 917631, '\p{iscommon}', "");
    Expect(0, 917631, '\p{^iscommon}', "");
    Expect(0, 917631, '\P{iscommon}', "");
    Expect(1, 917631, '\P{^iscommon}', "");
    Expect(0, 917632, '\p{iscommon}', "");
    Expect(1, 917632, '\p{^iscommon}', "");
    Expect(1, 917632, '\P{iscommon}', "");
    Expect(0, 917632, '\P{^iscommon}', "");
    Expect(1, 917631, '\p{ is_COMMON}', "");
    Expect(0, 917631, '\p{^ is_COMMON}', "");
    Expect(0, 917631, '\P{ is_COMMON}', "");
    Expect(1, 917631, '\P{^ is_COMMON}', "");
    Expect(0, 917632, '\p{ is_COMMON}', "");
    Expect(1, 917632, '\p{^ is_COMMON}', "");
    Expect(1, 917632, '\P{ is_COMMON}', "");
    Expect(0, 917632, '\P{^ is_COMMON}', "");
    Error('\p{  Zyyy:=}');
    Error('\P{  Zyyy:=}');
    Expect(1, 917631, '\p{zyyy}', "");
    Expect(0, 917631, '\p{^zyyy}', "");
    Expect(0, 917631, '\P{zyyy}', "");
    Expect(1, 917631, '\P{^zyyy}', "");
    Expect(0, 917632, '\p{zyyy}', "");
    Expect(1, 917632, '\p{^zyyy}', "");
    Expect(1, 917632, '\P{zyyy}', "");
    Expect(0, 917632, '\P{^zyyy}', "");
    Expect(1, 917631, '\p{-_zyyy}', "");
    Expect(0, 917631, '\p{^-_zyyy}', "");
    Expect(0, 917631, '\P{-_zyyy}', "");
    Expect(1, 917631, '\P{^-_zyyy}', "");
    Expect(0, 917632, '\p{-_zyyy}', "");
    Expect(1, 917632, '\p{^-_zyyy}', "");
    Expect(1, 917632, '\P{-_zyyy}', "");
    Expect(0, 917632, '\P{^-_zyyy}', "");
    Error('\p{/a/	 Is_zyyy}');
    Error('\P{/a/	 Is_zyyy}');
    Expect(1, 917631, '\p{iszyyy}', "");
    Expect(0, 917631, '\p{^iszyyy}', "");
    Expect(0, 917631, '\P{iszyyy}', "");
    Expect(1, 917631, '\P{^iszyyy}', "");
    Expect(0, 917632, '\p{iszyyy}', "");
    Expect(1, 917632, '\p{^iszyyy}', "");
    Expect(1, 917632, '\P{iszyyy}', "");
    Expect(0, 917632, '\P{^iszyyy}', "");
    Expect(1, 917631, '\p{-	is_Zyyy}', "");
    Expect(0, 917631, '\p{^-	is_Zyyy}', "");
    Expect(0, 917631, '\P{-	is_Zyyy}', "");
    Expect(1, 917631, '\P{^-	is_Zyyy}', "");
    Expect(0, 917632, '\p{-	is_Zyyy}', "");
    Expect(1, 917632, '\p{^-	is_Zyyy}', "");
    Expect(1, 917632, '\P{-	is_Zyyy}', "");
    Expect(0, 917632, '\P{^-	is_Zyyy}', "");
    Error('\p{-_Common_indic_Number_Forms:=}');
    Error('\P{-_Common_indic_Number_Forms:=}');
    Expect(1, 43071, '\p{commonindicnumberforms}', "");
    Expect(0, 43071, '\p{^commonindicnumberforms}', "");
    Expect(0, 43071, '\P{commonindicnumberforms}', "");
    Expect(1, 43071, '\P{^commonindicnumberforms}', "");
    Expect(0, 43072, '\p{commonindicnumberforms}', "");
    Expect(1, 43072, '\p{^commonindicnumberforms}', "");
    Expect(1, 43072, '\P{commonindicnumberforms}', "");
    Expect(0, 43072, '\P{^commonindicnumberforms}', "");
    Expect(1, 43071, '\p{	-COMMON_Indic_Number_FORMS}', "");
    Expect(0, 43071, '\p{^	-COMMON_Indic_Number_FORMS}', "");
    Expect(0, 43071, '\P{	-COMMON_Indic_Number_FORMS}', "");
    Expect(1, 43071, '\P{^	-COMMON_Indic_Number_FORMS}', "");
    Expect(0, 43072, '\p{	-COMMON_Indic_Number_FORMS}', "");
    Expect(1, 43072, '\p{^	-COMMON_Indic_Number_FORMS}', "");
    Expect(1, 43072, '\P{	-COMMON_Indic_Number_FORMS}', "");
    Expect(0, 43072, '\P{^	-COMMON_Indic_Number_FORMS}', "");
    Error('\p{__Is_COMMON_indic_number_Forms:=}');
    Error('\P{__Is_COMMON_indic_number_Forms:=}');
    Expect(1, 43071, '\p{iscommonindicnumberforms}', "");
    Expect(0, 43071, '\p{^iscommonindicnumberforms}', "");
    Expect(0, 43071, '\P{iscommonindicnumberforms}', "");
    Expect(1, 43071, '\P{^iscommonindicnumberforms}', "");
    Expect(0, 43072, '\p{iscommonindicnumberforms}', "");
    Expect(1, 43072, '\p{^iscommonindicnumberforms}', "");
    Expect(1, 43072, '\P{iscommonindicnumberforms}', "");
    Expect(0, 43072, '\P{^iscommonindicnumberforms}', "");
    Expect(1, 43071, '\p{	 IS_Common_INDIC_Number_FORMS}', "");
    Expect(0, 43071, '\p{^	 IS_Common_INDIC_Number_FORMS}', "");
    Expect(0, 43071, '\P{	 IS_Common_INDIC_Number_FORMS}', "");
    Expect(1, 43071, '\P{^	 IS_Common_INDIC_Number_FORMS}', "");
    Expect(0, 43072, '\p{	 IS_Common_INDIC_Number_FORMS}', "");
    Expect(1, 43072, '\p{^	 IS_Common_INDIC_Number_FORMS}', "");
    Expect(1, 43072, '\P{	 IS_Common_INDIC_Number_FORMS}', "");
    Expect(0, 43072, '\P{^	 IS_Common_INDIC_Number_FORMS}', "");
    Error('\p{/a/-IN_COMMON_INDIC_NUMBER_Forms}');
    Error('\P{/a/-IN_COMMON_INDIC_NUMBER_Forms}');
    Expect(1, 43071, '\p{incommonindicnumberforms}', "");
    Expect(0, 43071, '\p{^incommonindicnumberforms}', "");
    Expect(0, 43071, '\P{incommonindicnumberforms}', "");
    Expect(1, 43071, '\P{^incommonindicnumberforms}', "");
    Expect(0, 43072, '\p{incommonindicnumberforms}', "");
    Expect(1, 43072, '\p{^incommonindicnumberforms}', "");
    Expect(1, 43072, '\P{incommonindicnumberforms}', "");
    Expect(0, 43072, '\P{^incommonindicnumberforms}', "");
    Expect(1, 43071, '\p{ IN_Common_Indic_Number_forms}', "");
    Expect(0, 43071, '\p{^ IN_Common_Indic_Number_forms}', "");
    Expect(0, 43071, '\P{ IN_Common_Indic_Number_forms}', "");
    Expect(1, 43071, '\P{^ IN_Common_Indic_Number_forms}', "");
    Expect(0, 43072, '\p{ IN_Common_Indic_Number_forms}', "");
    Expect(1, 43072, '\p{^ IN_Common_Indic_Number_forms}', "");
    Expect(1, 43072, '\P{ IN_Common_Indic_Number_forms}', "");
    Expect(0, 43072, '\P{^ IN_Common_Indic_Number_forms}', "");
    Error('\p{indic_Number_Forms/a/}');
    Error('\P{indic_Number_Forms/a/}');
    Expect(1, 43071, '\p{indicnumberforms}', "");
    Expect(0, 43071, '\p{^indicnumberforms}', "");
    Expect(0, 43071, '\P{indicnumberforms}', "");
    Expect(1, 43071, '\P{^indicnumberforms}', "");
    Expect(0, 43072, '\p{indicnumberforms}', "");
    Expect(1, 43072, '\p{^indicnumberforms}', "");
    Expect(1, 43072, '\P{indicnumberforms}', "");
    Expect(0, 43072, '\P{^indicnumberforms}', "");
    Expect(1, 43071, '\p{	Indic_Number_FORMS}', "");
    Expect(0, 43071, '\p{^	Indic_Number_FORMS}', "");
    Expect(0, 43071, '\P{	Indic_Number_FORMS}', "");
    Expect(1, 43071, '\P{^	Indic_Number_FORMS}', "");
    Expect(0, 43072, '\p{	Indic_Number_FORMS}', "");
    Expect(1, 43072, '\p{^	Indic_Number_FORMS}', "");
    Expect(1, 43072, '\P{	Indic_Number_FORMS}', "");
    Expect(0, 43072, '\P{^	Indic_Number_FORMS}', "");
    Error('\p{_/a/Is_Indic_Number_forms}');
    Error('\P{_/a/Is_Indic_Number_forms}');
    Expect(1, 43071, '\p{isindicnumberforms}', "");
    Expect(0, 43071, '\p{^isindicnumberforms}', "");
    Expect(0, 43071, '\P{isindicnumberforms}', "");
    Expect(1, 43071, '\P{^isindicnumberforms}', "");
    Expect(0, 43072, '\p{isindicnumberforms}', "");
    Expect(1, 43072, '\p{^isindicnumberforms}', "");
    Expect(1, 43072, '\P{isindicnumberforms}', "");
    Expect(0, 43072, '\P{^isindicnumberforms}', "");
    Expect(1, 43071, '\p{_	Is_INDIC_Number_FORMS}', "");
    Expect(0, 43071, '\p{^_	Is_INDIC_Number_FORMS}', "");
    Expect(0, 43071, '\P{_	Is_INDIC_Number_FORMS}', "");
    Expect(1, 43071, '\P{^_	Is_INDIC_Number_FORMS}', "");
    Expect(0, 43072, '\p{_	Is_INDIC_Number_FORMS}', "");
    Expect(1, 43072, '\p{^_	Is_INDIC_Number_FORMS}', "");
    Expect(1, 43072, '\P{_	Is_INDIC_Number_FORMS}', "");
    Expect(0, 43072, '\P{^_	Is_INDIC_Number_FORMS}', "");
    Error('\p{:=		In_Indic_Number_Forms}');
    Error('\P{:=		In_Indic_Number_Forms}');
    Expect(1, 43071, '\p{inindicnumberforms}', "");
    Expect(0, 43071, '\p{^inindicnumberforms}', "");
    Expect(0, 43071, '\P{inindicnumberforms}', "");
    Expect(1, 43071, '\P{^inindicnumberforms}', "");
    Expect(0, 43072, '\p{inindicnumberforms}', "");
    Expect(1, 43072, '\p{^inindicnumberforms}', "");
    Expect(1, 43072, '\P{inindicnumberforms}', "");
    Expect(0, 43072, '\P{^inindicnumberforms}', "");
    Expect(1, 43071, '\p{-_IN_indic_Number_FORMS}', "");
    Expect(0, 43071, '\p{^-_IN_indic_Number_FORMS}', "");
    Expect(0, 43071, '\P{-_IN_indic_Number_FORMS}', "");
    Expect(1, 43071, '\P{^-_IN_indic_Number_FORMS}', "");
    Expect(0, 43072, '\p{-_IN_indic_Number_FORMS}', "");
    Expect(1, 43072, '\p{^-_IN_indic_Number_FORMS}', "");
    Expect(1, 43072, '\P{-_IN_indic_Number_FORMS}', "");
    Expect(0, 43072, '\P{^-_IN_indic_Number_FORMS}', "");
    Error('\p{ 	Composition_Exclusion:=}');
    Error('\P{ 	Composition_Exclusion:=}');
    Expect(1, 119232, '\p{compositionexclusion}', "");
    Expect(0, 119232, '\p{^compositionexclusion}', "");
    Expect(0, 119232, '\P{compositionexclusion}', "");
    Expect(1, 119232, '\P{^compositionexclusion}', "");
    Expect(0, 119233, '\p{compositionexclusion}', "");
    Expect(1, 119233, '\p{^compositionexclusion}', "");
    Expect(1, 119233, '\P{compositionexclusion}', "");
    Expect(0, 119233, '\P{^compositionexclusion}', "");
    Expect(1, 119232, '\p{_	Composition_exclusion}', "");
    Expect(0, 119232, '\p{^_	Composition_exclusion}', "");
    Expect(0, 119232, '\P{_	Composition_exclusion}', "");
    Expect(1, 119232, '\P{^_	Composition_exclusion}', "");
    Expect(0, 119233, '\p{_	Composition_exclusion}', "");
    Expect(1, 119233, '\p{^_	Composition_exclusion}', "");
    Expect(1, 119233, '\P{_	Composition_exclusion}', "");
    Expect(0, 119233, '\P{^_	Composition_exclusion}', "");
    Error('\p{_/a/is_composition_exclusion}');
    Error('\P{_/a/is_composition_exclusion}');
    Expect(1, 119232, '\p{iscompositionexclusion}', "");
    Expect(0, 119232, '\p{^iscompositionexclusion}', "");
    Expect(0, 119232, '\P{iscompositionexclusion}', "");
    Expect(1, 119232, '\P{^iscompositionexclusion}', "");
    Expect(0, 119233, '\p{iscompositionexclusion}', "");
    Expect(1, 119233, '\p{^iscompositionexclusion}', "");
    Expect(1, 119233, '\P{iscompositionexclusion}', "");
    Expect(0, 119233, '\P{^iscompositionexclusion}', "");
    Expect(1, 119232, '\p{-	Is_Composition_EXCLUSION}', "");
    Expect(0, 119232, '\p{^-	Is_Composition_EXCLUSION}', "");
    Expect(0, 119232, '\P{-	Is_Composition_EXCLUSION}', "");
    Expect(1, 119232, '\P{^-	Is_Composition_EXCLUSION}', "");
    Expect(0, 119233, '\p{-	Is_Composition_EXCLUSION}', "");
    Expect(1, 119233, '\p{^-	Is_Composition_EXCLUSION}', "");
    Expect(1, 119233, '\P{-	Is_Composition_EXCLUSION}', "");
    Expect(0, 119233, '\P{^-	Is_Composition_EXCLUSION}', "");
    Error('\p{:=-ce}');
    Error('\P{:=-ce}');
    Expect(1, 119232, '\p{ce}', "");
    Expect(0, 119232, '\p{^ce}', "");
    Expect(0, 119232, '\P{ce}', "");
    Expect(1, 119232, '\P{^ce}', "");
    Expect(0, 119233, '\p{ce}', "");
    Expect(1, 119233, '\p{^ce}', "");
    Expect(1, 119233, '\P{ce}', "");
    Expect(0, 119233, '\P{^ce}', "");
    Expect(1, 119232, '\p{ 	CE}', "");
    Expect(0, 119232, '\p{^ 	CE}', "");
    Expect(0, 119232, '\P{ 	CE}', "");
    Expect(1, 119232, '\P{^ 	CE}', "");
    Expect(0, 119233, '\p{ 	CE}', "");
    Expect(1, 119233, '\p{^ 	CE}', "");
    Expect(1, 119233, '\P{ 	CE}', "");
    Expect(0, 119233, '\P{^ 	CE}', "");
    Error('\p{ Is_CE:=}');
    Error('\P{ Is_CE:=}');
    Expect(1, 119232, '\p{isce}', "");
    Expect(0, 119232, '\p{^isce}', "");
    Expect(0, 119232, '\P{isce}', "");
    Expect(1, 119232, '\P{^isce}', "");
    Expect(0, 119233, '\p{isce}', "");
    Expect(1, 119233, '\p{^isce}', "");
    Expect(1, 119233, '\P{isce}', "");
    Expect(0, 119233, '\P{^isce}', "");
    Expect(1, 119232, '\p{ is_CE}', "");
    Expect(0, 119232, '\p{^ is_CE}', "");
    Expect(0, 119232, '\P{ is_CE}', "");
    Expect(1, 119232, '\P{^ is_CE}', "");
    Expect(0, 119233, '\p{ is_CE}', "");
    Expect(1, 119233, '\p{^ is_CE}', "");
    Expect(1, 119233, '\P{ is_CE}', "");
    Expect(0, 119233, '\P{^ is_CE}', "");
    Error('\p{ /a/connector_Punctuation}');
    Error('\P{ /a/connector_Punctuation}');
    Expect(1, 65343, '\p{connectorpunctuation}', "");
    Expect(0, 65343, '\p{^connectorpunctuation}', "");
    Expect(0, 65343, '\P{connectorpunctuation}', "");
    Expect(1, 65343, '\P{^connectorpunctuation}', "");
    Expect(0, 65344, '\p{connectorpunctuation}', "");
    Expect(1, 65344, '\p{^connectorpunctuation}', "");
    Expect(1, 65344, '\P{connectorpunctuation}', "");
    Expect(0, 65344, '\P{^connectorpunctuation}', "");
    Expect(1, 65343, '\p{_CONNECTOR_Punctuation}', "");
    Expect(0, 65343, '\p{^_CONNECTOR_Punctuation}', "");
    Expect(0, 65343, '\P{_CONNECTOR_Punctuation}', "");
    Expect(1, 65343, '\P{^_CONNECTOR_Punctuation}', "");
    Expect(0, 65344, '\p{_CONNECTOR_Punctuation}', "");
    Expect(1, 65344, '\p{^_CONNECTOR_Punctuation}', "");
    Expect(1, 65344, '\P{_CONNECTOR_Punctuation}', "");
    Expect(0, 65344, '\P{^_CONNECTOR_Punctuation}', "");
    Error('\p{:= -Is_CONNECTOR_punctuation}');
    Error('\P{:= -Is_CONNECTOR_punctuation}');
    Expect(1, 65343, '\p{isconnectorpunctuation}', "");
    Expect(0, 65343, '\p{^isconnectorpunctuation}', "");
    Expect(0, 65343, '\P{isconnectorpunctuation}', "");
    Expect(1, 65343, '\P{^isconnectorpunctuation}', "");
    Expect(0, 65344, '\p{isconnectorpunctuation}', "");
    Expect(1, 65344, '\p{^isconnectorpunctuation}', "");
    Expect(1, 65344, '\P{isconnectorpunctuation}', "");
    Expect(0, 65344, '\P{^isconnectorpunctuation}', "");
    Expect(1, 65343, '\p{--IS_Connector_punctuation}', "");
    Expect(0, 65343, '\p{^--IS_Connector_punctuation}', "");
    Expect(0, 65343, '\P{--IS_Connector_punctuation}', "");
    Expect(1, 65343, '\P{^--IS_Connector_punctuation}', "");
    Expect(0, 65344, '\p{--IS_Connector_punctuation}', "");
    Expect(1, 65344, '\p{^--IS_Connector_punctuation}', "");
    Expect(1, 65344, '\P{--IS_Connector_punctuation}', "");
    Expect(0, 65344, '\P{^--IS_Connector_punctuation}', "");
    Error('\p{ /a/Pc}');
    Error('\P{ /a/Pc}');
    Expect(1, 65343, '\p{pc}', "");
    Expect(0, 65343, '\p{^pc}', "");
    Expect(0, 65343, '\P{pc}', "");
    Expect(1, 65343, '\P{^pc}', "");
    Expect(0, 65344, '\p{pc}', "");
    Expect(1, 65344, '\p{^pc}', "");
    Expect(1, 65344, '\P{pc}', "");
    Expect(0, 65344, '\P{^pc}', "");
    Expect(1, 65343, '\p{_ PC}', "");
    Expect(0, 65343, '\p{^_ PC}', "");
    Expect(0, 65343, '\P{_ PC}', "");
    Expect(1, 65343, '\P{^_ PC}', "");
    Expect(0, 65344, '\p{_ PC}', "");
    Expect(1, 65344, '\p{^_ PC}', "");
    Expect(1, 65344, '\P{_ PC}', "");
    Expect(0, 65344, '\P{^_ PC}', "");
    Error('\p{:=  is_Pc}');
    Error('\P{:=  is_Pc}');
    Expect(1, 65343, '\p{ispc}', "");
    Expect(0, 65343, '\p{^ispc}', "");
    Expect(0, 65343, '\P{ispc}', "");
    Expect(1, 65343, '\P{^ispc}', "");
    Expect(0, 65344, '\p{ispc}', "");
    Expect(1, 65344, '\p{^ispc}', "");
    Expect(1, 65344, '\P{ispc}', "");
    Expect(0, 65344, '\P{^ispc}', "");
    Expect(1, 65343, '\p{		is_pc}', "");
    Expect(0, 65343, '\p{^		is_pc}', "");
    Expect(0, 65343, '\P{		is_pc}', "");
    Expect(1, 65343, '\P{^		is_pc}', "");
    Expect(0, 65344, '\p{		is_pc}', "");
    Expect(1, 65344, '\p{^		is_pc}', "");
    Expect(1, 65344, '\P{		is_pc}', "");
    Expect(0, 65344, '\P{^		is_pc}', "");
    Error('\p{-	Control_Pictures:=}');
    Error('\P{-	Control_Pictures:=}');
    Expect(1, 9279, '\p{controlpictures}', "");
    Expect(0, 9279, '\p{^controlpictures}', "");
    Expect(0, 9279, '\P{controlpictures}', "");
    Expect(1, 9279, '\P{^controlpictures}', "");
    Expect(0, 9280, '\p{controlpictures}', "");
    Expect(1, 9280, '\p{^controlpictures}', "");
    Expect(1, 9280, '\P{controlpictures}', "");
    Expect(0, 9280, '\P{^controlpictures}', "");
    Expect(1, 9279, '\p{_-CONTROL_PICTURES}', "");
    Expect(0, 9279, '\p{^_-CONTROL_PICTURES}', "");
    Expect(0, 9279, '\P{_-CONTROL_PICTURES}', "");
    Expect(1, 9279, '\P{^_-CONTROL_PICTURES}', "");
    Expect(0, 9280, '\p{_-CONTROL_PICTURES}', "");
    Expect(1, 9280, '\p{^_-CONTROL_PICTURES}', "");
    Expect(1, 9280, '\P{_-CONTROL_PICTURES}', "");
    Expect(0, 9280, '\P{^_-CONTROL_PICTURES}', "");
    Error('\p{:=- is_Control_pictures}');
    Error('\P{:=- is_Control_pictures}');
    Expect(1, 9279, '\p{iscontrolpictures}', "");
    Expect(0, 9279, '\p{^iscontrolpictures}', "");
    Expect(0, 9279, '\P{iscontrolpictures}', "");
    Expect(1, 9279, '\P{^iscontrolpictures}', "");
    Expect(0, 9280, '\p{iscontrolpictures}', "");
    Expect(1, 9280, '\p{^iscontrolpictures}', "");
    Expect(1, 9280, '\P{iscontrolpictures}', "");
    Expect(0, 9280, '\P{^iscontrolpictures}', "");
    Expect(1, 9279, '\p{-	Is_CONTROL_PICTURES}', "");
    Expect(0, 9279, '\p{^-	Is_CONTROL_PICTURES}', "");
    Expect(0, 9279, '\P{-	Is_CONTROL_PICTURES}', "");
    Expect(1, 9279, '\P{^-	Is_CONTROL_PICTURES}', "");
    Expect(0, 9280, '\p{-	Is_CONTROL_PICTURES}', "");
    Expect(1, 9280, '\p{^-	Is_CONTROL_PICTURES}', "");
    Expect(1, 9280, '\P{-	Is_CONTROL_PICTURES}', "");
    Expect(0, 9280, '\P{^-	Is_CONTROL_PICTURES}', "");
    Error('\p{ :=In_Control_PICTURES}');
    Error('\P{ :=In_Control_PICTURES}');
    Expect(1, 9279, '\p{incontrolpictures}', "");
    Expect(0, 9279, '\p{^incontrolpictures}', "");
    Expect(0, 9279, '\P{incontrolpictures}', "");
    Expect(1, 9279, '\P{^incontrolpictures}', "");
    Expect(0, 9280, '\p{incontrolpictures}', "");
    Expect(1, 9280, '\p{^incontrolpictures}', "");
    Expect(1, 9280, '\P{incontrolpictures}', "");
    Expect(0, 9280, '\P{^incontrolpictures}', "");
    Expect(1, 9279, '\p{	in_Control_Pictures}', "");
    Expect(0, 9279, '\p{^	in_Control_Pictures}', "");
    Expect(0, 9279, '\P{	in_Control_Pictures}', "");
    Expect(1, 9279, '\P{^	in_Control_Pictures}', "");
    Expect(0, 9280, '\p{	in_Control_Pictures}', "");
    Expect(1, 9280, '\p{^	in_Control_Pictures}', "");
    Expect(1, 9280, '\P{	in_Control_Pictures}', "");
    Expect(0, 9280, '\P{^	in_Control_Pictures}', "");
    Error('\p{	-COPTIC/a/}');
    Error('\P{	-COPTIC/a/}');
    Expect(1, 66299, '\p{coptic}', "");
    Expect(0, 66299, '\p{^coptic}', "");
    Expect(0, 66299, '\P{coptic}', "");
    Expect(1, 66299, '\P{^coptic}', "");
    Expect(0, 66300, '\p{coptic}', "");
    Expect(1, 66300, '\p{^coptic}', "");
    Expect(1, 66300, '\P{coptic}', "");
    Expect(0, 66300, '\P{^coptic}', "");
    Expect(1, 66299, '\p{	_COPTIC}', "");
    Expect(0, 66299, '\p{^	_COPTIC}', "");
    Expect(0, 66299, '\P{	_COPTIC}', "");
    Expect(1, 66299, '\P{^	_COPTIC}', "");
    Expect(0, 66300, '\p{	_COPTIC}', "");
    Expect(1, 66300, '\p{^	_COPTIC}', "");
    Expect(1, 66300, '\P{	_COPTIC}', "");
    Expect(0, 66300, '\P{^	_COPTIC}', "");
    Error('\p{IS_coptic/a/}');
    Error('\P{IS_coptic/a/}');
    Expect(1, 66299, '\p{iscoptic}', "");
    Expect(0, 66299, '\p{^iscoptic}', "");
    Expect(0, 66299, '\P{iscoptic}', "");
    Expect(1, 66299, '\P{^iscoptic}', "");
    Expect(0, 66300, '\p{iscoptic}', "");
    Expect(1, 66300, '\p{^iscoptic}', "");
    Expect(1, 66300, '\P{iscoptic}', "");
    Expect(0, 66300, '\P{^iscoptic}', "");
    Expect(1, 66299, '\p{-_IS_coptic}', "");
    Expect(0, 66299, '\p{^-_IS_coptic}', "");
    Expect(0, 66299, '\P{-_IS_coptic}', "");
    Expect(1, 66299, '\P{^-_IS_coptic}', "");
    Expect(0, 66300, '\p{-_IS_coptic}', "");
    Expect(1, 66300, '\p{^-_IS_coptic}', "");
    Expect(1, 66300, '\P{-_IS_coptic}', "");
    Expect(0, 66300, '\P{^-_IS_coptic}', "");
    Error('\p{-/a/Copt}');
    Error('\P{-/a/Copt}');
    Expect(1, 66299, '\p{copt}', "");
    Expect(0, 66299, '\p{^copt}', "");
    Expect(0, 66299, '\P{copt}', "");
    Expect(1, 66299, '\P{^copt}', "");
    Expect(0, 66300, '\p{copt}', "");
    Expect(1, 66300, '\p{^copt}', "");
    Expect(1, 66300, '\P{copt}', "");
    Expect(0, 66300, '\P{^copt}', "");
    Expect(1, 66299, '\p{	Copt}', "");
    Expect(0, 66299, '\p{^	Copt}', "");
    Expect(0, 66299, '\P{	Copt}', "");
    Expect(1, 66299, '\P{^	Copt}', "");
    Expect(0, 66300, '\p{	Copt}', "");
    Expect(1, 66300, '\p{^	Copt}', "");
    Expect(1, 66300, '\P{	Copt}', "");
    Expect(0, 66300, '\P{^	Copt}', "");
    Error('\p{ 	is_COPT/a/}');
    Error('\P{ 	is_COPT/a/}');
    Expect(1, 66299, '\p{iscopt}', "");
    Expect(0, 66299, '\p{^iscopt}', "");
    Expect(0, 66299, '\P{iscopt}', "");
    Expect(1, 66299, '\P{^iscopt}', "");
    Expect(0, 66300, '\p{iscopt}', "");
    Expect(1, 66300, '\p{^iscopt}', "");
    Expect(1, 66300, '\P{iscopt}', "");
    Expect(0, 66300, '\P{^iscopt}', "");
    Expect(1, 66299, '\p{_	is_Copt}', "");
    Expect(0, 66299, '\p{^_	is_Copt}', "");
    Expect(0, 66299, '\P{_	is_Copt}', "");
    Expect(1, 66299, '\P{^_	is_Copt}', "");
    Expect(0, 66300, '\p{_	is_Copt}', "");
    Expect(1, 66300, '\p{^_	is_Copt}', "");
    Expect(1, 66300, '\P{_	is_Copt}', "");
    Expect(0, 66300, '\P{^_	is_Copt}', "");
    Error('\p{:=QAAC}');
    Error('\P{:=QAAC}');
    Expect(1, 66299, '\p{qaac}', "");
    Expect(0, 66299, '\p{^qaac}', "");
    Expect(0, 66299, '\P{qaac}', "");
    Expect(1, 66299, '\P{^qaac}', "");
    Expect(0, 66300, '\p{qaac}', "");
    Expect(1, 66300, '\p{^qaac}', "");
    Expect(1, 66300, '\P{qaac}', "");
    Expect(0, 66300, '\P{^qaac}', "");
    Expect(1, 66299, '\p{_ Qaac}', "");
    Expect(0, 66299, '\p{^_ Qaac}', "");
    Expect(0, 66299, '\P{_ Qaac}', "");
    Expect(1, 66299, '\P{^_ Qaac}', "");
    Expect(0, 66300, '\p{_ Qaac}', "");
    Expect(1, 66300, '\p{^_ Qaac}', "");
    Expect(1, 66300, '\P{_ Qaac}', "");
    Expect(0, 66300, '\P{^_ Qaac}', "");
    Error('\p{ /a/Is_QAAC}');
    Error('\P{ /a/Is_QAAC}');
    Expect(1, 66299, '\p{isqaac}', "");
    Expect(0, 66299, '\p{^isqaac}', "");
    Expect(0, 66299, '\P{isqaac}', "");
    Expect(1, 66299, '\P{^isqaac}', "");
    Expect(0, 66300, '\p{isqaac}', "");
    Expect(1, 66300, '\p{^isqaac}', "");
    Expect(1, 66300, '\P{isqaac}', "");
    Expect(0, 66300, '\P{^isqaac}', "");
    Expect(1, 66299, '\p{-is_Qaac}', "");
    Expect(0, 66299, '\p{^-is_Qaac}', "");
    Expect(0, 66299, '\P{-is_Qaac}', "");
    Expect(1, 66299, '\P{^-is_Qaac}', "");
    Expect(0, 66300, '\p{-is_Qaac}', "");
    Expect(1, 66300, '\p{^-is_Qaac}', "");
    Expect(1, 66300, '\P{-is_Qaac}', "");
    Expect(0, 66300, '\P{^-is_Qaac}', "");
    Error('\p{:=		COPTIC_epact_numbers}');
    Error('\P{:=		COPTIC_epact_numbers}');
    Expect(1, 66303, '\p{copticepactnumbers}', "");
    Expect(0, 66303, '\p{^copticepactnumbers}', "");
    Expect(0, 66303, '\P{copticepactnumbers}', "");
    Expect(1, 66303, '\P{^copticepactnumbers}', "");
    Expect(0, 66304, '\p{copticepactnumbers}', "");
    Expect(1, 66304, '\p{^copticepactnumbers}', "");
    Expect(1, 66304, '\P{copticepactnumbers}', "");
    Expect(0, 66304, '\P{^copticepactnumbers}', "");
    Expect(1, 66303, '\p{ COPTIC_Epact_numbers}', "");
    Expect(0, 66303, '\p{^ COPTIC_Epact_numbers}', "");
    Expect(0, 66303, '\P{ COPTIC_Epact_numbers}', "");
    Expect(1, 66303, '\P{^ COPTIC_Epact_numbers}', "");
    Expect(0, 66304, '\p{ COPTIC_Epact_numbers}', "");
    Expect(1, 66304, '\p{^ COPTIC_Epact_numbers}', "");
    Expect(1, 66304, '\P{ COPTIC_Epact_numbers}', "");
    Expect(0, 66304, '\P{^ COPTIC_Epact_numbers}', "");
    Error('\p{ -IS_Coptic_EPACT_numbers:=}');
    Error('\P{ -IS_Coptic_EPACT_numbers:=}');
    Expect(1, 66303, '\p{iscopticepactnumbers}', "");
    Expect(0, 66303, '\p{^iscopticepactnumbers}', "");
    Expect(0, 66303, '\P{iscopticepactnumbers}', "");
    Expect(1, 66303, '\P{^iscopticepactnumbers}', "");
    Expect(0, 66304, '\p{iscopticepactnumbers}', "");
    Expect(1, 66304, '\p{^iscopticepactnumbers}', "");
    Expect(1, 66304, '\P{iscopticepactnumbers}', "");
    Expect(0, 66304, '\P{^iscopticepactnumbers}', "");
    Expect(1, 66303, '\p{ IS_Coptic_EPACT_Numbers}', "");
    Expect(0, 66303, '\p{^ IS_Coptic_EPACT_Numbers}', "");
    Expect(0, 66303, '\P{ IS_Coptic_EPACT_Numbers}', "");
    Expect(1, 66303, '\P{^ IS_Coptic_EPACT_Numbers}', "");
    Expect(0, 66304, '\p{ IS_Coptic_EPACT_Numbers}', "");
    Expect(1, 66304, '\p{^ IS_Coptic_EPACT_Numbers}', "");
    Expect(1, 66304, '\P{ IS_Coptic_EPACT_Numbers}', "");
    Expect(0, 66304, '\P{^ IS_Coptic_EPACT_Numbers}', "");
    Error('\p{_-In_COPTIC_epact_Numbers/a/}');
    Error('\P{_-In_COPTIC_epact_Numbers/a/}');
    Expect(1, 66303, '\p{incopticepactnumbers}', "");
    Expect(0, 66303, '\p{^incopticepactnumbers}', "");
    Expect(0, 66303, '\P{incopticepactnumbers}', "");
    Expect(1, 66303, '\P{^incopticepactnumbers}', "");
    Expect(0, 66304, '\p{incopticepactnumbers}', "");
    Expect(1, 66304, '\p{^incopticepactnumbers}', "");
    Expect(1, 66304, '\P{incopticepactnumbers}', "");
    Expect(0, 66304, '\P{^incopticepactnumbers}', "");
    Expect(1, 66303, '\p{ in_coptic_Epact_numbers}', "");
    Expect(0, 66303, '\p{^ in_coptic_Epact_numbers}', "");
    Expect(0, 66303, '\P{ in_coptic_Epact_numbers}', "");
    Expect(1, 66303, '\P{^ in_coptic_Epact_numbers}', "");
    Expect(0, 66304, '\p{ in_coptic_Epact_numbers}', "");
    Expect(1, 66304, '\p{^ in_coptic_Epact_numbers}', "");
    Expect(1, 66304, '\P{ in_coptic_Epact_numbers}', "");
    Expect(0, 66304, '\P{^ in_coptic_Epact_numbers}', "");
    Error('\p{-Counting_Rod_Numerals/a/}');
    Error('\P{-Counting_Rod_Numerals/a/}');
    Expect(1, 119679, '\p{countingrodnumerals}', "");
    Expect(0, 119679, '\p{^countingrodnumerals}', "");
    Expect(0, 119679, '\P{countingrodnumerals}', "");
    Expect(1, 119679, '\P{^countingrodnumerals}', "");
    Expect(0, 119680, '\p{countingrodnumerals}', "");
    Expect(1, 119680, '\p{^countingrodnumerals}', "");
    Expect(1, 119680, '\P{countingrodnumerals}', "");
    Expect(0, 119680, '\P{^countingrodnumerals}', "");
    Expect(1, 119679, '\p{_Counting_rod_NUMERALS}', "");
    Expect(0, 119679, '\p{^_Counting_rod_NUMERALS}', "");
    Expect(0, 119679, '\P{_Counting_rod_NUMERALS}', "");
    Expect(1, 119679, '\P{^_Counting_rod_NUMERALS}', "");
    Expect(0, 119680, '\p{_Counting_rod_NUMERALS}', "");
    Expect(1, 119680, '\p{^_Counting_rod_NUMERALS}', "");
    Expect(1, 119680, '\P{_Counting_rod_NUMERALS}', "");
    Expect(0, 119680, '\P{^_Counting_rod_NUMERALS}', "");
    Error('\p{/a/	IS_Counting_Rod_NUMERALS}');
    Error('\P{/a/	IS_Counting_Rod_NUMERALS}');
    Expect(1, 119679, '\p{iscountingrodnumerals}', "");
    Expect(0, 119679, '\p{^iscountingrodnumerals}', "");
    Expect(0, 119679, '\P{iscountingrodnumerals}', "");
    Expect(1, 119679, '\P{^iscountingrodnumerals}', "");
    Expect(0, 119680, '\p{iscountingrodnumerals}', "");
    Expect(1, 119680, '\p{^iscountingrodnumerals}', "");
    Expect(1, 119680, '\P{iscountingrodnumerals}', "");
    Expect(0, 119680, '\P{^iscountingrodnumerals}', "");
    Expect(1, 119679, '\p{_	IS_Counting_rod_NUMERALS}', "");
    Expect(0, 119679, '\p{^_	IS_Counting_rod_NUMERALS}', "");
    Expect(0, 119679, '\P{_	IS_Counting_rod_NUMERALS}', "");
    Expect(1, 119679, '\P{^_	IS_Counting_rod_NUMERALS}', "");
    Expect(0, 119680, '\p{_	IS_Counting_rod_NUMERALS}', "");
    Expect(1, 119680, '\p{^_	IS_Counting_rod_NUMERALS}', "");
    Expect(1, 119680, '\P{_	IS_Counting_rod_NUMERALS}', "");
    Expect(0, 119680, '\P{^_	IS_Counting_rod_NUMERALS}', "");
    Error('\p{:=--In_counting_Rod_NUMERALS}');
    Error('\P{:=--In_counting_Rod_NUMERALS}');
    Expect(1, 119679, '\p{incountingrodnumerals}', "");
    Expect(0, 119679, '\p{^incountingrodnumerals}', "");
    Expect(0, 119679, '\P{incountingrodnumerals}', "");
    Expect(1, 119679, '\P{^incountingrodnumerals}', "");
    Expect(0, 119680, '\p{incountingrodnumerals}', "");
    Expect(1, 119680, '\p{^incountingrodnumerals}', "");
    Expect(1, 119680, '\P{incountingrodnumerals}', "");
    Expect(0, 119680, '\P{^incountingrodnumerals}', "");
    Expect(1, 119679, '\p{ IN_COUNTING_ROD_Numerals}', "");
    Expect(0, 119679, '\p{^ IN_COUNTING_ROD_Numerals}', "");
    Expect(0, 119679, '\P{ IN_COUNTING_ROD_Numerals}', "");
    Expect(1, 119679, '\P{^ IN_COUNTING_ROD_Numerals}', "");
    Expect(0, 119680, '\p{ IN_COUNTING_ROD_Numerals}', "");
    Expect(1, 119680, '\p{^ IN_COUNTING_ROD_Numerals}', "");
    Expect(1, 119680, '\P{ IN_COUNTING_ROD_Numerals}', "");
    Expect(0, 119680, '\P{^ IN_COUNTING_ROD_Numerals}', "");
    Error('\p{ Counting_Rod/a/}');
    Error('\P{ Counting_Rod/a/}');
    Expect(1, 119679, '\p{countingrod}', "");
    Expect(0, 119679, '\p{^countingrod}', "");
    Expect(0, 119679, '\P{countingrod}', "");
    Expect(1, 119679, '\P{^countingrod}', "");
    Expect(0, 119680, '\p{countingrod}', "");
    Expect(1, 119680, '\p{^countingrod}', "");
    Expect(1, 119680, '\P{countingrod}', "");
    Expect(0, 119680, '\P{^countingrod}', "");
    Expect(1, 119679, '\p{counting_Rod}', "");
    Expect(0, 119679, '\p{^counting_Rod}', "");
    Expect(0, 119679, '\P{counting_Rod}', "");
    Expect(1, 119679, '\P{^counting_Rod}', "");
    Expect(0, 119680, '\p{counting_Rod}', "");
    Expect(1, 119680, '\p{^counting_Rod}', "");
    Expect(1, 119680, '\P{counting_Rod}', "");
    Expect(0, 119680, '\P{^counting_Rod}', "");
    Error('\p{-/a/Is_COUNTING_Rod}');
    Error('\P{-/a/Is_COUNTING_Rod}');
    Expect(1, 119679, '\p{iscountingrod}', "");
    Expect(0, 119679, '\p{^iscountingrod}', "");
    Expect(0, 119679, '\P{iscountingrod}', "");
    Expect(1, 119679, '\P{^iscountingrod}', "");
    Expect(0, 119680, '\p{iscountingrod}', "");
    Expect(1, 119680, '\p{^iscountingrod}', "");
    Expect(1, 119680, '\P{iscountingrod}', "");
    Expect(0, 119680, '\P{^iscountingrod}', "");
    Expect(1, 119679, '\p{	-Is_COUNTING_ROD}', "");
    Expect(0, 119679, '\p{^	-Is_COUNTING_ROD}', "");
    Expect(0, 119679, '\P{	-Is_COUNTING_ROD}', "");
    Expect(1, 119679, '\P{^	-Is_COUNTING_ROD}', "");
    Expect(0, 119680, '\p{	-Is_COUNTING_ROD}', "");
    Expect(1, 119680, '\p{^	-Is_COUNTING_ROD}', "");
    Expect(1, 119680, '\P{	-Is_COUNTING_ROD}', "");
    Expect(0, 119680, '\P{^	-Is_COUNTING_ROD}', "");
    Error('\p{ _in_COUNTING_rod:=}');
    Error('\P{ _in_COUNTING_rod:=}');
    Expect(1, 119679, '\p{incountingrod}', "");
    Expect(0, 119679, '\p{^incountingrod}', "");
    Expect(0, 119679, '\P{incountingrod}', "");
    Expect(1, 119679, '\P{^incountingrod}', "");
    Expect(0, 119680, '\p{incountingrod}', "");
    Expect(1, 119680, '\p{^incountingrod}', "");
    Expect(1, 119680, '\P{incountingrod}', "");
    Expect(0, 119680, '\P{^incountingrod}', "");
    Expect(1, 119679, '\p{__In_counting_Rod}', "");
    Expect(0, 119679, '\p{^__In_counting_Rod}', "");
    Expect(0, 119679, '\P{__In_counting_Rod}', "");
    Expect(1, 119679, '\P{^__In_counting_Rod}', "");
    Expect(0, 119680, '\p{__In_counting_Rod}', "");
    Expect(1, 119680, '\p{^__In_counting_Rod}', "");
    Expect(1, 119680, '\P{__In_counting_Rod}', "");
    Expect(0, 119680, '\P{^__In_counting_Rod}', "");
    Error('\p{:=Cuneiform}');
    Error('\P{:=Cuneiform}');
    Expect(1, 75075, '\p{cuneiform}', "");
    Expect(0, 75075, '\p{^cuneiform}', "");
    Expect(0, 75075, '\P{cuneiform}', "");
    Expect(1, 75075, '\P{^cuneiform}', "");
    Expect(0, 75076, '\p{cuneiform}', "");
    Expect(1, 75076, '\p{^cuneiform}', "");
    Expect(1, 75076, '\P{cuneiform}', "");
    Expect(0, 75076, '\P{^cuneiform}', "");
    Expect(1, 75075, '\p{-_Cuneiform}', "");
    Expect(0, 75075, '\p{^-_Cuneiform}', "");
    Expect(0, 75075, '\P{-_Cuneiform}', "");
    Expect(1, 75075, '\P{^-_Cuneiform}', "");
    Expect(0, 75076, '\p{-_Cuneiform}', "");
    Expect(1, 75076, '\p{^-_Cuneiform}', "");
    Expect(1, 75076, '\P{-_Cuneiform}', "");
    Expect(0, 75076, '\P{^-_Cuneiform}', "");
    Error('\p{-_IS_cuneiform:=}');
    Error('\P{-_IS_cuneiform:=}');
    Expect(1, 75075, '\p{iscuneiform}', "");
    Expect(0, 75075, '\p{^iscuneiform}', "");
    Expect(0, 75075, '\P{iscuneiform}', "");
    Expect(1, 75075, '\P{^iscuneiform}', "");
    Expect(0, 75076, '\p{iscuneiform}', "");
    Expect(1, 75076, '\p{^iscuneiform}', "");
    Expect(1, 75076, '\P{iscuneiform}', "");
    Expect(0, 75076, '\P{^iscuneiform}', "");
    Expect(1, 75075, '\p{	is_cuneiform}', "");
    Expect(0, 75075, '\p{^	is_cuneiform}', "");
    Expect(0, 75075, '\P{	is_cuneiform}', "");
    Expect(1, 75075, '\P{^	is_cuneiform}', "");
    Expect(0, 75076, '\p{	is_cuneiform}', "");
    Expect(1, 75076, '\p{^	is_cuneiform}', "");
    Expect(1, 75076, '\P{	is_cuneiform}', "");
    Expect(0, 75076, '\P{^	is_cuneiform}', "");
    Error('\p{ XSUX/a/}');
    Error('\P{ XSUX/a/}');
    Expect(1, 75075, '\p{xsux}', "");
    Expect(0, 75075, '\p{^xsux}', "");
    Expect(0, 75075, '\P{xsux}', "");
    Expect(1, 75075, '\P{^xsux}', "");
    Expect(0, 75076, '\p{xsux}', "");
    Expect(1, 75076, '\p{^xsux}', "");
    Expect(1, 75076, '\P{xsux}', "");
    Expect(0, 75076, '\P{^xsux}', "");
    Expect(1, 75075, '\p{ XSUX}', "");
    Expect(0, 75075, '\p{^ XSUX}', "");
    Expect(0, 75075, '\P{ XSUX}', "");
    Expect(1, 75075, '\P{^ XSUX}', "");
    Expect(0, 75076, '\p{ XSUX}', "");
    Expect(1, 75076, '\p{^ XSUX}', "");
    Expect(1, 75076, '\P{ XSUX}', "");
    Expect(0, 75076, '\P{^ XSUX}', "");
    Error('\p{:=IS_Xsux}');
    Error('\P{:=IS_Xsux}');
    Expect(1, 75075, '\p{isxsux}', "");
    Expect(0, 75075, '\p{^isxsux}', "");
    Expect(0, 75075, '\P{isxsux}', "");
    Expect(1, 75075, '\P{^isxsux}', "");
    Expect(0, 75076, '\p{isxsux}', "");
    Expect(1, 75076, '\p{^isxsux}', "");
    Expect(1, 75076, '\P{isxsux}', "");
    Expect(0, 75076, '\P{^isxsux}', "");
    Expect(1, 75075, '\p{-IS_XSUX}', "");
    Expect(0, 75075, '\p{^-IS_XSUX}', "");
    Expect(0, 75075, '\P{-IS_XSUX}', "");
    Expect(1, 75075, '\P{^-IS_XSUX}', "");
    Expect(0, 75076, '\p{-IS_XSUX}', "");
    Expect(1, 75076, '\p{^-IS_XSUX}', "");
    Expect(1, 75076, '\P{-IS_XSUX}', "");
    Expect(0, 75076, '\P{^-IS_XSUX}', "");
    Error('\p{	-CUNEIFORM_numbers_AND_punctuation/a/}');
    Error('\P{	-CUNEIFORM_numbers_AND_punctuation/a/}');
    Expect(1, 74879, '\p{cuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\p{^cuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\P{cuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\P{^cuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\p{cuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\p{^cuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\P{cuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\P{^cuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\p{Cuneiform_numbers_And_Punctuation}', "");
    Expect(0, 74879, '\p{^Cuneiform_numbers_And_Punctuation}', "");
    Expect(0, 74879, '\P{Cuneiform_numbers_And_Punctuation}', "");
    Expect(1, 74879, '\P{^Cuneiform_numbers_And_Punctuation}', "");
    Expect(0, 74880, '\p{Cuneiform_numbers_And_Punctuation}', "");
    Expect(1, 74880, '\p{^Cuneiform_numbers_And_Punctuation}', "");
    Expect(1, 74880, '\P{Cuneiform_numbers_And_Punctuation}', "");
    Expect(0, 74880, '\P{^Cuneiform_numbers_And_Punctuation}', "");
    Error('\p{ Is_Cuneiform_NUMBERS_And_Punctuation:=}');
    Error('\P{ Is_Cuneiform_NUMBERS_And_Punctuation:=}');
    Expect(1, 74879, '\p{iscuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\p{^iscuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\P{iscuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\P{^iscuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\p{iscuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\p{^iscuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\P{iscuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\P{^iscuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\p{_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Expect(0, 74879, '\p{^_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Expect(0, 74879, '\P{_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Expect(1, 74879, '\P{^_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Expect(0, 74880, '\p{_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Expect(1, 74880, '\p{^_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Expect(1, 74880, '\P{_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Expect(0, 74880, '\P{^_Is_Cuneiform_numbers_AND_PUNCTUATION}', "");
    Error('\p{ /a/In_cuneiform_NUMBERS_And_punctuation}');
    Error('\P{ /a/In_cuneiform_NUMBERS_And_punctuation}');
    Expect(1, 74879, '\p{incuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\p{^incuneiformnumbersandpunctuation}', "");
    Expect(0, 74879, '\P{incuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\P{^incuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\p{incuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\p{^incuneiformnumbersandpunctuation}', "");
    Expect(1, 74880, '\P{incuneiformnumbersandpunctuation}', "");
    Expect(0, 74880, '\P{^incuneiformnumbersandpunctuation}', "");
    Expect(1, 74879, '\p{ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Expect(0, 74879, '\p{^ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Expect(0, 74879, '\P{ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Expect(1, 74879, '\P{^ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Expect(0, 74880, '\p{ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Expect(1, 74880, '\p{^ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Expect(1, 74880, '\P{ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Expect(0, 74880, '\P{^ _In_Cuneiform_NUMBERS_And_Punctuation}', "");
    Error('\p{-_CUNEIFORM_Numbers:=}');
    Error('\P{-_CUNEIFORM_Numbers:=}');
    Expect(1, 74879, '\p{cuneiformnumbers}', "");
    Expect(0, 74879, '\p{^cuneiformnumbers}', "");
    Expect(0, 74879, '\P{cuneiformnumbers}', "");
    Expect(1, 74879, '\P{^cuneiformnumbers}', "");
    Expect(0, 74880, '\p{cuneiformnumbers}', "");
    Expect(1, 74880, '\p{^cuneiformnumbers}', "");
    Expect(1, 74880, '\P{cuneiformnumbers}', "");
    Expect(0, 74880, '\P{^cuneiformnumbers}', "");
    Expect(1, 74879, '\p{	-Cuneiform_Numbers}', "");
    Expect(0, 74879, '\p{^	-Cuneiform_Numbers}', "");
    Expect(0, 74879, '\P{	-Cuneiform_Numbers}', "");
    Expect(1, 74879, '\P{^	-Cuneiform_Numbers}', "");
    Expect(0, 74880, '\p{	-Cuneiform_Numbers}', "");
    Expect(1, 74880, '\p{^	-Cuneiform_Numbers}', "");
    Expect(1, 74880, '\P{	-Cuneiform_Numbers}', "");
    Expect(0, 74880, '\P{^	-Cuneiform_Numbers}', "");
    Error('\p{		IS_cuneiform_Numbers:=}');
    Error('\P{		IS_cuneiform_Numbers:=}');
    Expect(1, 74879, '\p{iscuneiformnumbers}', "");
    Expect(0, 74879, '\p{^iscuneiformnumbers}', "");
    Expect(0, 74879, '\P{iscuneiformnumbers}', "");
    Expect(1, 74879, '\P{^iscuneiformnumbers}', "");
    Expect(0, 74880, '\p{iscuneiformnumbers}', "");
    Expect(1, 74880, '\p{^iscuneiformnumbers}', "");
    Expect(1, 74880, '\P{iscuneiformnumbers}', "");
    Expect(0, 74880, '\P{^iscuneiformnumbers}', "");
    Expect(1, 74879, '\p{_	IS_cuneiform_numbers}', "");
    Expect(0, 74879, '\p{^_	IS_cuneiform_numbers}', "");
    Expect(0, 74879, '\P{_	IS_cuneiform_numbers}', "");
    Expect(1, 74879, '\P{^_	IS_cuneiform_numbers}', "");
    Expect(0, 74880, '\p{_	IS_cuneiform_numbers}', "");
    Expect(1, 74880, '\p{^_	IS_cuneiform_numbers}', "");
    Expect(1, 74880, '\P{_	IS_cuneiform_numbers}', "");
    Expect(0, 74880, '\P{^_	IS_cuneiform_numbers}', "");
    Error('\p{:=- In_CUNEIFORM_NUMBERS}');
    Error('\P{:=- In_CUNEIFORM_NUMBERS}');
    Expect(1, 74879, '\p{incuneiformnumbers}', "");
    Expect(0, 74879, '\p{^incuneiformnumbers}', "");
    Expect(0, 74879, '\P{incuneiformnumbers}', "");
    Expect(1, 74879, '\P{^incuneiformnumbers}', "");
    Expect(0, 74880, '\p{incuneiformnumbers}', "");
    Expect(1, 74880, '\p{^incuneiformnumbers}', "");
    Expect(1, 74880, '\P{incuneiformnumbers}', "");
    Expect(0, 74880, '\P{^incuneiformnumbers}', "");
    Expect(1, 74879, '\p{	-in_Cuneiform_Numbers}', "");
    Expect(0, 74879, '\p{^	-in_Cuneiform_Numbers}', "");
    Expect(0, 74879, '\P{	-in_Cuneiform_Numbers}', "");
    Expect(1, 74879, '\P{^	-in_Cuneiform_Numbers}', "");
    Expect(0, 74880, '\p{	-in_Cuneiform_Numbers}', "");
    Expect(1, 74880, '\p{^	-in_Cuneiform_Numbers}', "");
    Expect(1, 74880, '\P{	-in_Cuneiform_Numbers}', "");
    Expect(0, 74880, '\P{^	-in_Cuneiform_Numbers}', "");
    Error('\p{ :=Currency_symbol}');
    Error('\P{ :=Currency_symbol}');
    Expect(1, 126128, '\p{currencysymbol}', "");
    Expect(0, 126128, '\p{^currencysymbol}', "");
    Expect(0, 126128, '\P{currencysymbol}', "");
    Expect(1, 126128, '\P{^currencysymbol}', "");
    Expect(0, 126129, '\p{currencysymbol}', "");
    Expect(1, 126129, '\p{^currencysymbol}', "");
    Expect(1, 126129, '\P{currencysymbol}', "");
    Expect(0, 126129, '\P{^currencysymbol}', "");
    Expect(1, 126128, '\p{_	currency_symbol}', "");
    Expect(0, 126128, '\p{^_	currency_symbol}', "");
    Expect(0, 126128, '\P{_	currency_symbol}', "");
    Expect(1, 126128, '\P{^_	currency_symbol}', "");
    Expect(0, 126129, '\p{_	currency_symbol}', "");
    Expect(1, 126129, '\p{^_	currency_symbol}', "");
    Expect(1, 126129, '\P{_	currency_symbol}', "");
    Expect(0, 126129, '\P{^_	currency_symbol}', "");
    Error('\p{:=Is_Currency_SYMBOL}');
    Error('\P{:=Is_Currency_SYMBOL}');
    Expect(1, 126128, '\p{iscurrencysymbol}', "");
    Expect(0, 126128, '\p{^iscurrencysymbol}', "");
    Expect(0, 126128, '\P{iscurrencysymbol}', "");
    Expect(1, 126128, '\P{^iscurrencysymbol}', "");
    Expect(0, 126129, '\p{iscurrencysymbol}', "");
    Expect(1, 126129, '\p{^iscurrencysymbol}', "");
    Expect(1, 126129, '\P{iscurrencysymbol}', "");
    Expect(0, 126129, '\P{^iscurrencysymbol}', "");
    Expect(1, 126128, '\p{	IS_currency_Symbol}', "");
    Expect(0, 126128, '\p{^	IS_currency_Symbol}', "");
    Expect(0, 126128, '\P{	IS_currency_Symbol}', "");
    Expect(1, 126128, '\P{^	IS_currency_Symbol}', "");
    Expect(0, 126129, '\p{	IS_currency_Symbol}', "");
    Expect(1, 126129, '\p{^	IS_currency_Symbol}', "");
    Expect(1, 126129, '\P{	IS_currency_Symbol}', "");
    Expect(0, 126129, '\P{^	IS_currency_Symbol}', "");
    Error('\p{/a/	Sc}');
    Error('\P{/a/	Sc}');
    Expect(1, 126128, '\p{sc}', "");
    Expect(0, 126128, '\p{^sc}', "");
    Expect(0, 126128, '\P{sc}', "");
    Expect(1, 126128, '\P{^sc}', "");
    Expect(0, 126129, '\p{sc}', "");
    Expect(1, 126129, '\p{^sc}', "");
    Expect(1, 126129, '\P{sc}', "");
    Expect(0, 126129, '\P{^sc}', "");
    Expect(1, 126128, '\p{	-SC}', "");
    Expect(0, 126128, '\p{^	-SC}', "");
    Expect(0, 126128, '\P{	-SC}', "");
    Expect(1, 126128, '\P{^	-SC}', "");
    Expect(0, 126129, '\p{	-SC}', "");
    Expect(1, 126129, '\p{^	-SC}', "");
    Expect(1, 126129, '\P{	-SC}', "");
    Expect(0, 126129, '\P{^	-SC}', "");
    Error('\p{-Is_Sc/a/}');
    Error('\P{-Is_Sc/a/}');
    Expect(1, 126128, '\p{issc}', "");
    Expect(0, 126128, '\p{^issc}', "");
    Expect(0, 126128, '\P{issc}', "");
    Expect(1, 126128, '\P{^issc}', "");
    Expect(0, 126129, '\p{issc}', "");
    Expect(1, 126129, '\p{^issc}', "");
    Expect(1, 126129, '\P{issc}', "");
    Expect(0, 126129, '\P{^issc}', "");
    Expect(1, 126128, '\p{--Is_sc}', "");
    Expect(0, 126128, '\p{^--Is_sc}', "");
    Expect(0, 126128, '\P{--Is_sc}', "");
    Expect(1, 126128, '\P{^--Is_sc}', "");
    Expect(0, 126129, '\p{--Is_sc}', "");
    Expect(1, 126129, '\p{^--Is_sc}', "");
    Expect(1, 126129, '\P{--Is_sc}', "");
    Expect(0, 126129, '\P{^--Is_sc}', "");
    Error('\p{/a/-Currency_Symbols}');
    Error('\P{/a/-Currency_Symbols}');
    Expect(1, 8399, '\p{currencysymbols}', "");
    Expect(0, 8399, '\p{^currencysymbols}', "");
    Expect(0, 8399, '\P{currencysymbols}', "");
    Expect(1, 8399, '\P{^currencysymbols}', "");
    Expect(0, 8400, '\p{currencysymbols}', "");
    Expect(1, 8400, '\p{^currencysymbols}', "");
    Expect(1, 8400, '\P{currencysymbols}', "");
    Expect(0, 8400, '\P{^currencysymbols}', "");
    Expect(1, 8399, '\p{_CURRENCY_Symbols}', "");
    Expect(0, 8399, '\p{^_CURRENCY_Symbols}', "");
    Expect(0, 8399, '\P{_CURRENCY_Symbols}', "");
    Expect(1, 8399, '\P{^_CURRENCY_Symbols}', "");
    Expect(0, 8400, '\p{_CURRENCY_Symbols}', "");
    Expect(1, 8400, '\p{^_CURRENCY_Symbols}', "");
    Expect(1, 8400, '\P{_CURRENCY_Symbols}', "");
    Expect(0, 8400, '\P{^_CURRENCY_Symbols}', "");
    Error('\p{__Is_Currency_SYMBOLS/a/}');
    Error('\P{__Is_Currency_SYMBOLS/a/}');
    Expect(1, 8399, '\p{iscurrencysymbols}', "");
    Expect(0, 8399, '\p{^iscurrencysymbols}', "");
    Expect(0, 8399, '\P{iscurrencysymbols}', "");
    Expect(1, 8399, '\P{^iscurrencysymbols}', "");
    Expect(0, 8400, '\p{iscurrencysymbols}', "");
    Expect(1, 8400, '\p{^iscurrencysymbols}', "");
    Expect(1, 8400, '\P{iscurrencysymbols}', "");
    Expect(0, 8400, '\P{^iscurrencysymbols}', "");
    Expect(1, 8399, '\p{	Is_currency_SYMBOLS}', "");
    Expect(0, 8399, '\p{^	Is_currency_SYMBOLS}', "");
    Expect(0, 8399, '\P{	Is_currency_SYMBOLS}', "");
    Expect(1, 8399, '\P{^	Is_currency_SYMBOLS}', "");
    Expect(0, 8400, '\p{	Is_currency_SYMBOLS}', "");
    Expect(1, 8400, '\p{^	Is_currency_SYMBOLS}', "");
    Expect(1, 8400, '\P{	Is_currency_SYMBOLS}', "");
    Expect(0, 8400, '\P{^	Is_currency_SYMBOLS}', "");
    Error('\p{/a/	In_CURRENCY_SYMBOLS}');
    Error('\P{/a/	In_CURRENCY_SYMBOLS}');
    Expect(1, 8399, '\p{incurrencysymbols}', "");
    Expect(0, 8399, '\p{^incurrencysymbols}', "");
    Expect(0, 8399, '\P{incurrencysymbols}', "");
    Expect(1, 8399, '\P{^incurrencysymbols}', "");
    Expect(0, 8400, '\p{incurrencysymbols}', "");
    Expect(1, 8400, '\p{^incurrencysymbols}', "");
    Expect(1, 8400, '\P{incurrencysymbols}', "");
    Expect(0, 8400, '\P{^incurrencysymbols}', "");
    Expect(1, 8399, '\p{	-In_CURRENCY_symbols}', "");
    Expect(0, 8399, '\p{^	-In_CURRENCY_symbols}', "");
    Expect(0, 8399, '\P{	-In_CURRENCY_symbols}', "");
    Expect(1, 8399, '\P{^	-In_CURRENCY_symbols}', "");
    Expect(0, 8400, '\p{	-In_CURRENCY_symbols}', "");
    Expect(1, 8400, '\p{^	-In_CURRENCY_symbols}', "");
    Expect(1, 8400, '\P{	-In_CURRENCY_symbols}', "");
    Expect(0, 8400, '\P{^	-In_CURRENCY_symbols}', "");
    Error('\p{-CYPRIOT/a/}');
    Error('\P{-CYPRIOT/a/}');
    Expect(1, 67647, '\p{cypriot}', "");
    Expect(0, 67647, '\p{^cypriot}', "");
    Expect(0, 67647, '\P{cypriot}', "");
    Expect(1, 67647, '\P{^cypriot}', "");
    Expect(0, 67648, '\p{cypriot}', "");
    Expect(1, 67648, '\p{^cypriot}', "");
    Expect(1, 67648, '\P{cypriot}', "");
    Expect(0, 67648, '\P{^cypriot}', "");
    Expect(1, 67647, '\p{  Cypriot}', "");
    Expect(0, 67647, '\p{^  Cypriot}', "");
    Expect(0, 67647, '\P{  Cypriot}', "");
    Expect(1, 67647, '\P{^  Cypriot}', "");
    Expect(0, 67648, '\p{  Cypriot}', "");
    Expect(1, 67648, '\p{^  Cypriot}', "");
    Expect(1, 67648, '\P{  Cypriot}', "");
    Expect(0, 67648, '\P{^  Cypriot}', "");
    Error('\p{	/a/Is_Cypriot}');
    Error('\P{	/a/Is_Cypriot}');
    Expect(1, 67647, '\p{iscypriot}', "");
    Expect(0, 67647, '\p{^iscypriot}', "");
    Expect(0, 67647, '\P{iscypriot}', "");
    Expect(1, 67647, '\P{^iscypriot}', "");
    Expect(0, 67648, '\p{iscypriot}', "");
    Expect(1, 67648, '\p{^iscypriot}', "");
    Expect(1, 67648, '\P{iscypriot}', "");
    Expect(0, 67648, '\P{^iscypriot}', "");
    Expect(1, 67647, '\p{ Is_CYPRIOT}', "");
    Expect(0, 67647, '\p{^ Is_CYPRIOT}', "");
    Expect(0, 67647, '\P{ Is_CYPRIOT}', "");
    Expect(1, 67647, '\P{^ Is_CYPRIOT}', "");
    Expect(0, 67648, '\p{ Is_CYPRIOT}', "");
    Expect(1, 67648, '\p{^ Is_CYPRIOT}', "");
    Expect(1, 67648, '\P{ Is_CYPRIOT}', "");
    Expect(0, 67648, '\P{^ Is_CYPRIOT}', "");
    Error('\p{ _Cprt:=}');
    Error('\P{ _Cprt:=}');
    Expect(1, 67647, '\p{cprt}', "");
    Expect(0, 67647, '\p{^cprt}', "");
    Expect(0, 67647, '\P{cprt}', "");
    Expect(1, 67647, '\P{^cprt}', "");
    Expect(0, 67648, '\p{cprt}', "");
    Expect(1, 67648, '\p{^cprt}', "");
    Expect(1, 67648, '\P{cprt}', "");
    Expect(0, 67648, '\P{^cprt}', "");
    Expect(1, 67647, '\p{-Cprt}', "");
    Expect(0, 67647, '\p{^-Cprt}', "");
    Expect(0, 67647, '\P{-Cprt}', "");
    Expect(1, 67647, '\P{^-Cprt}', "");
    Expect(0, 67648, '\p{-Cprt}', "");
    Expect(1, 67648, '\p{^-Cprt}', "");
    Expect(1, 67648, '\P{-Cprt}', "");
    Expect(0, 67648, '\P{^-Cprt}', "");
    Error('\p{:=_	is_Cprt}');
    Error('\P{:=_	is_Cprt}');
    Expect(1, 67647, '\p{iscprt}', "");
    Expect(0, 67647, '\p{^iscprt}', "");
    Expect(0, 67647, '\P{iscprt}', "");
    Expect(1, 67647, '\P{^iscprt}', "");
    Expect(0, 67648, '\p{iscprt}', "");
    Expect(1, 67648, '\p{^iscprt}', "");
    Expect(1, 67648, '\P{iscprt}', "");
    Expect(0, 67648, '\P{^iscprt}', "");
    Expect(1, 67647, '\p{_Is_CPRT}', "");
    Expect(0, 67647, '\p{^_Is_CPRT}', "");
    Expect(0, 67647, '\P{_Is_CPRT}', "");
    Expect(1, 67647, '\P{^_Is_CPRT}', "");
    Expect(0, 67648, '\p{_Is_CPRT}', "");
    Expect(1, 67648, '\p{^_Is_CPRT}', "");
    Expect(1, 67648, '\P{_Is_CPRT}', "");
    Expect(0, 67648, '\P{^_Is_CPRT}', "");
    Error('\p{:=--CYPRIOT_syllabary}');
    Error('\P{:=--CYPRIOT_syllabary}');
    Expect(1, 67647, '\p{cypriotsyllabary}', "");
    Expect(0, 67647, '\p{^cypriotsyllabary}', "");
    Expect(0, 67647, '\P{cypriotsyllabary}', "");
    Expect(1, 67647, '\P{^cypriotsyllabary}', "");
    Expect(0, 67648, '\p{cypriotsyllabary}', "");
    Expect(1, 67648, '\p{^cypriotsyllabary}', "");
    Expect(1, 67648, '\P{cypriotsyllabary}', "");
    Expect(0, 67648, '\P{^cypriotsyllabary}', "");
    Expect(1, 67647, '\p{_ CYPRIOT_Syllabary}', "");
    Expect(0, 67647, '\p{^_ CYPRIOT_Syllabary}', "");
    Expect(0, 67647, '\P{_ CYPRIOT_Syllabary}', "");
    Expect(1, 67647, '\P{^_ CYPRIOT_Syllabary}', "");
    Expect(0, 67648, '\p{_ CYPRIOT_Syllabary}', "");
    Expect(1, 67648, '\p{^_ CYPRIOT_Syllabary}', "");
    Expect(1, 67648, '\P{_ CYPRIOT_Syllabary}', "");
    Expect(0, 67648, '\P{^_ CYPRIOT_Syllabary}', "");
    Error('\p{	:=is_Cypriot_Syllabary}');
    Error('\P{	:=is_Cypriot_Syllabary}');
    Expect(1, 67647, '\p{iscypriotsyllabary}', "");
    Expect(0, 67647, '\p{^iscypriotsyllabary}', "");
    Expect(0, 67647, '\P{iscypriotsyllabary}', "");
    Expect(1, 67647, '\P{^iscypriotsyllabary}', "");
    Expect(0, 67648, '\p{iscypriotsyllabary}', "");
    Expect(1, 67648, '\p{^iscypriotsyllabary}', "");
    Expect(1, 67648, '\P{iscypriotsyllabary}', "");
    Expect(0, 67648, '\P{^iscypriotsyllabary}', "");
    Expect(1, 67647, '\p{_-Is_cypriot_Syllabary}', "");
    Expect(0, 67647, '\p{^_-Is_cypriot_Syllabary}', "");
    Expect(0, 67647, '\P{_-Is_cypriot_Syllabary}', "");
    Expect(1, 67647, '\P{^_-Is_cypriot_Syllabary}', "");
    Expect(0, 67648, '\p{_-Is_cypriot_Syllabary}', "");
    Expect(1, 67648, '\p{^_-Is_cypriot_Syllabary}', "");
    Expect(1, 67648, '\P{_-Is_cypriot_Syllabary}', "");
    Expect(0, 67648, '\P{^_-Is_cypriot_Syllabary}', "");
    Error('\p{:=--in_cypriot_Syllabary}');
    Error('\P{:=--in_cypriot_Syllabary}');
    Expect(1, 67647, '\p{incypriotsyllabary}', "");
    Expect(0, 67647, '\p{^incypriotsyllabary}', "");
    Expect(0, 67647, '\P{incypriotsyllabary}', "");
    Expect(1, 67647, '\P{^incypriotsyllabary}', "");
    Expect(0, 67648, '\p{incypriotsyllabary}', "");
    Expect(1, 67648, '\p{^incypriotsyllabary}', "");
    Expect(1, 67648, '\P{incypriotsyllabary}', "");
    Expect(0, 67648, '\P{^incypriotsyllabary}', "");
    Expect(1, 67647, '\p{__In_cypriot_SYLLABARY}', "");
    Expect(0, 67647, '\p{^__In_cypriot_SYLLABARY}', "");
    Expect(0, 67647, '\P{__In_cypriot_SYLLABARY}', "");
    Expect(1, 67647, '\P{^__In_cypriot_SYLLABARY}', "");
    Expect(0, 67648, '\p{__In_cypriot_SYLLABARY}', "");
    Expect(1, 67648, '\p{^__In_cypriot_SYLLABARY}', "");
    Expect(1, 67648, '\P{__In_cypriot_SYLLABARY}', "");
    Expect(0, 67648, '\P{^__In_cypriot_SYLLABARY}', "");
    Error('\p{- cypro_minoan/a/}');
    Error('\P{- cypro_minoan/a/}');
    Expect(1, 77810, '\p{cyprominoan}', "");
    Expect(0, 77810, '\p{^cyprominoan}', "");
    Expect(0, 77810, '\P{cyprominoan}', "");
    Expect(1, 77810, '\P{^cyprominoan}', "");
    Expect(0, 77811, '\p{cyprominoan}', "");
    Expect(1, 77811, '\p{^cyprominoan}', "");
    Expect(1, 77811, '\P{cyprominoan}', "");
    Expect(0, 77811, '\P{^cyprominoan}', "");
    Expect(1, 77810, '\p{- Cypro_Minoan}', "");
    Expect(0, 77810, '\p{^- Cypro_Minoan}', "");
    Expect(0, 77810, '\P{- Cypro_Minoan}', "");
    Expect(1, 77810, '\P{^- Cypro_Minoan}', "");
    Expect(0, 77811, '\p{- Cypro_Minoan}', "");
    Expect(1, 77811, '\p{^- Cypro_Minoan}', "");
    Expect(1, 77811, '\P{- Cypro_Minoan}', "");
    Expect(0, 77811, '\P{^- Cypro_Minoan}', "");
    Error('\p{:=-Is_Cypro_Minoan}');
    Error('\P{:=-Is_Cypro_Minoan}');
    Expect(1, 77810, '\p{iscyprominoan}', "");
    Expect(0, 77810, '\p{^iscyprominoan}', "");
    Expect(0, 77810, '\P{iscyprominoan}', "");
    Expect(1, 77810, '\P{^iscyprominoan}', "");
    Expect(0, 77811, '\p{iscyprominoan}', "");
    Expect(1, 77811, '\p{^iscyprominoan}', "");
    Expect(1, 77811, '\P{iscyprominoan}', "");
    Expect(0, 77811, '\P{^iscyprominoan}', "");
    Expect(1, 77810, '\p{		Is_Cypro_MINOAN}', "");
    Expect(0, 77810, '\p{^		Is_Cypro_MINOAN}', "");
    Expect(0, 77810, '\P{		Is_Cypro_MINOAN}', "");
    Expect(1, 77810, '\P{^		Is_Cypro_MINOAN}', "");
    Expect(0, 77811, '\p{		Is_Cypro_MINOAN}', "");
    Expect(1, 77811, '\p{^		Is_Cypro_MINOAN}', "");
    Expect(1, 77811, '\P{		Is_Cypro_MINOAN}', "");
    Expect(0, 77811, '\P{^		Is_Cypro_MINOAN}', "");
    Error('\p{_/a/Cpmn}');
    Error('\P{_/a/Cpmn}');
    Expect(1, 77810, '\p{cpmn}', "");
    Expect(0, 77810, '\p{^cpmn}', "");
    Expect(0, 77810, '\P{cpmn}', "");
    Expect(1, 77810, '\P{^cpmn}', "");
    Expect(0, 77811, '\p{cpmn}', "");
    Expect(1, 77811, '\p{^cpmn}', "");
    Expect(1, 77811, '\P{cpmn}', "");
    Expect(0, 77811, '\P{^cpmn}', "");
    Expect(1, 77810, '\p{-CPMN}', "");
    Expect(0, 77810, '\p{^-CPMN}', "");
    Expect(0, 77810, '\P{-CPMN}', "");
    Expect(1, 77810, '\P{^-CPMN}', "");
    Expect(0, 77811, '\p{-CPMN}', "");
    Expect(1, 77811, '\p{^-CPMN}', "");
    Expect(1, 77811, '\P{-CPMN}', "");
    Expect(0, 77811, '\P{^-CPMN}', "");
    Error('\p{:=	_Is_Cpmn}');
    Error('\P{:=	_Is_Cpmn}');
    Expect(1, 77810, '\p{iscpmn}', "");
    Expect(0, 77810, '\p{^iscpmn}', "");
    Expect(0, 77810, '\P{iscpmn}', "");
    Expect(1, 77810, '\P{^iscpmn}', "");
    Expect(0, 77811, '\p{iscpmn}', "");
    Expect(1, 77811, '\p{^iscpmn}', "");
    Expect(1, 77811, '\P{iscpmn}', "");
    Expect(0, 77811, '\P{^iscpmn}', "");
    Expect(1, 77810, '\p{_-Is_Cpmn}', "");
    Expect(0, 77810, '\p{^_-Is_Cpmn}', "");
    Expect(0, 77810, '\P{_-Is_Cpmn}', "");
    Expect(1, 77810, '\P{^_-Is_Cpmn}', "");
    Expect(0, 77811, '\p{_-Is_Cpmn}', "");
    Expect(1, 77811, '\p{^_-Is_Cpmn}', "");
    Expect(1, 77811, '\P{_-Is_Cpmn}', "");
    Expect(0, 77811, '\P{^_-Is_Cpmn}', "");
    Error('\p{ 	CYRILLIC/a/}');
    Error('\P{ 	CYRILLIC/a/}');
    Expect(1, 65071, '\p{cyrillic}', "");
    Expect(0, 65071, '\p{^cyrillic}', "");
    Expect(0, 65071, '\P{cyrillic}', "");
    Expect(1, 65071, '\P{^cyrillic}', "");
    Expect(0, 65072, '\p{cyrillic}', "");
    Expect(1, 65072, '\p{^cyrillic}', "");
    Expect(1, 65072, '\P{cyrillic}', "");
    Expect(0, 65072, '\P{^cyrillic}', "");
    Expect(1, 65071, '\p{--Cyrillic}', "");
    Expect(0, 65071, '\p{^--Cyrillic}', "");
    Expect(0, 65071, '\P{--Cyrillic}', "");
    Expect(1, 65071, '\P{^--Cyrillic}', "");
    Expect(0, 65072, '\p{--Cyrillic}', "");
    Expect(1, 65072, '\p{^--Cyrillic}', "");
    Expect(1, 65072, '\P{--Cyrillic}', "");
    Expect(0, 65072, '\P{^--Cyrillic}', "");
    Error('\p{/a/	IS_CYRILLIC}');
    Error('\P{/a/	IS_CYRILLIC}');
    Expect(1, 65071, '\p{iscyrillic}', "");
    Expect(0, 65071, '\p{^iscyrillic}', "");
    Expect(0, 65071, '\P{iscyrillic}', "");
    Expect(1, 65071, '\P{^iscyrillic}', "");
    Expect(0, 65072, '\p{iscyrillic}', "");
    Expect(1, 65072, '\p{^iscyrillic}', "");
    Expect(1, 65072, '\P{iscyrillic}', "");
    Expect(0, 65072, '\P{^iscyrillic}', "");
    Expect(1, 65071, '\p{ is_CYRILLIC}', "");
    Expect(0, 65071, '\p{^ is_CYRILLIC}', "");
    Expect(0, 65071, '\P{ is_CYRILLIC}', "");
    Expect(1, 65071, '\P{^ is_CYRILLIC}', "");
    Expect(0, 65072, '\p{ is_CYRILLIC}', "");
    Expect(1, 65072, '\p{^ is_CYRILLIC}', "");
    Expect(1, 65072, '\P{ is_CYRILLIC}', "");
    Expect(0, 65072, '\P{^ is_CYRILLIC}', "");
    Error('\p{-:=cyrl}');
    Error('\P{-:=cyrl}');
    Expect(1, 65071, '\p{cyrl}', "");
    Expect(0, 65071, '\p{^cyrl}', "");
    Expect(0, 65071, '\P{cyrl}', "");
    Expect(1, 65071, '\P{^cyrl}', "");
    Expect(0, 65072, '\p{cyrl}', "");
    Expect(1, 65072, '\p{^cyrl}', "");
    Expect(1, 65072, '\P{cyrl}', "");
    Expect(0, 65072, '\P{^cyrl}', "");
    Expect(1, 65071, '\p{--cyrl}', "");
    Expect(0, 65071, '\p{^--cyrl}', "");
    Expect(0, 65071, '\P{--cyrl}', "");
    Expect(1, 65071, '\P{^--cyrl}', "");
    Expect(0, 65072, '\p{--cyrl}', "");
    Expect(1, 65072, '\p{^--cyrl}', "");
    Expect(1, 65072, '\P{--cyrl}', "");
    Expect(0, 65072, '\P{^--cyrl}', "");
    Error('\p{ /a/IS_Cyrl}');
    Error('\P{ /a/IS_Cyrl}');
    Expect(1, 65071, '\p{iscyrl}', "");
    Expect(0, 65071, '\p{^iscyrl}', "");
    Expect(0, 65071, '\P{iscyrl}', "");
    Expect(1, 65071, '\P{^iscyrl}', "");
    Expect(0, 65072, '\p{iscyrl}', "");
    Expect(1, 65072, '\p{^iscyrl}', "");
    Expect(1, 65072, '\P{iscyrl}', "");
    Expect(0, 65072, '\P{^iscyrl}', "");
    Expect(1, 65071, '\p{ is_cyrl}', "");
    Expect(0, 65071, '\p{^ is_cyrl}', "");
    Expect(0, 65071, '\P{ is_cyrl}', "");
    Expect(1, 65071, '\P{^ is_cyrl}', "");
    Expect(0, 65072, '\p{ is_cyrl}', "");
    Expect(1, 65072, '\p{^ is_cyrl}', "");
    Expect(1, 65072, '\P{ is_cyrl}', "");
    Expect(0, 65072, '\P{^ is_cyrl}', "");
    Error('\p{:=cyrillic_Extended_A}');
    Error('\P{:=cyrillic_Extended_A}');
    Expect(1, 11775, '\p{cyrillicextendeda}', "");
    Expect(0, 11775, '\p{^cyrillicextendeda}', "");
    Expect(0, 11775, '\P{cyrillicextendeda}', "");
    Expect(1, 11775, '\P{^cyrillicextendeda}', "");
    Expect(0, 11776, '\p{cyrillicextendeda}', "");
    Expect(1, 11776, '\p{^cyrillicextendeda}', "");
    Expect(1, 11776, '\P{cyrillicextendeda}', "");
    Expect(0, 11776, '\P{^cyrillicextendeda}', "");
    Expect(1, 11775, '\p{cyrillic_Extended_A}', "");
    Expect(0, 11775, '\p{^cyrillic_Extended_A}', "");
    Expect(0, 11775, '\P{cyrillic_Extended_A}', "");
    Expect(1, 11775, '\P{^cyrillic_Extended_A}', "");
    Expect(0, 11776, '\p{cyrillic_Extended_A}', "");
    Expect(1, 11776, '\p{^cyrillic_Extended_A}', "");
    Expect(1, 11776, '\P{cyrillic_Extended_A}', "");
    Expect(0, 11776, '\P{^cyrillic_Extended_A}', "");
    Error('\p{--Is_Cyrillic_EXTENDED_a:=}');
    Error('\P{--Is_Cyrillic_EXTENDED_a:=}');
    Expect(1, 11775, '\p{iscyrillicextendeda}', "");
    Expect(0, 11775, '\p{^iscyrillicextendeda}', "");
    Expect(0, 11775, '\P{iscyrillicextendeda}', "");
    Expect(1, 11775, '\P{^iscyrillicextendeda}', "");
    Expect(0, 11776, '\p{iscyrillicextendeda}', "");
    Expect(1, 11776, '\p{^iscyrillicextendeda}', "");
    Expect(1, 11776, '\P{iscyrillicextendeda}', "");
    Expect(0, 11776, '\P{^iscyrillicextendeda}', "");
    Expect(1, 11775, '\p{_-Is_cyrillic_Extended_A}', "");
    Expect(0, 11775, '\p{^_-Is_cyrillic_Extended_A}', "");
    Expect(0, 11775, '\P{_-Is_cyrillic_Extended_A}', "");
    Expect(1, 11775, '\P{^_-Is_cyrillic_Extended_A}', "");
    Expect(0, 11776, '\p{_-Is_cyrillic_Extended_A}', "");
    Expect(1, 11776, '\p{^_-Is_cyrillic_Extended_A}', "");
    Expect(1, 11776, '\P{_-Is_cyrillic_Extended_A}', "");
    Expect(0, 11776, '\P{^_-Is_cyrillic_Extended_A}', "");
    Error('\p{:=	IN_Cyrillic_Extended_a}');
    Error('\P{:=	IN_Cyrillic_Extended_a}');
    Expect(1, 11775, '\p{incyrillicextendeda}', "");
    Expect(0, 11775, '\p{^incyrillicextendeda}', "");
    Expect(0, 11775, '\P{incyrillicextendeda}', "");
    Expect(1, 11775, '\P{^incyrillicextendeda}', "");
    Expect(0, 11776, '\p{incyrillicextendeda}', "");
    Expect(1, 11776, '\p{^incyrillicextendeda}', "");
    Expect(1, 11776, '\P{incyrillicextendeda}', "");
    Expect(0, 11776, '\P{^incyrillicextendeda}', "");
    Expect(1, 11775, '\p{ In_cyrillic_extended_A}', "");
    Expect(0, 11775, '\p{^ In_cyrillic_extended_A}', "");
    Expect(0, 11775, '\P{ In_cyrillic_extended_A}', "");
    Expect(1, 11775, '\P{^ In_cyrillic_extended_A}', "");
    Expect(0, 11776, '\p{ In_cyrillic_extended_A}', "");
    Expect(1, 11776, '\p{^ In_cyrillic_extended_A}', "");
    Expect(1, 11776, '\P{ In_cyrillic_extended_A}', "");
    Expect(0, 11776, '\P{^ In_cyrillic_extended_A}', "");
    Error('\p{/a/-Cyrillic_ext_A}');
    Error('\P{/a/-Cyrillic_ext_A}');
    Expect(1, 11775, '\p{cyrillicexta}', "");
    Expect(0, 11775, '\p{^cyrillicexta}', "");
    Expect(0, 11775, '\P{cyrillicexta}', "");
    Expect(1, 11775, '\P{^cyrillicexta}', "");
    Expect(0, 11776, '\p{cyrillicexta}', "");
    Expect(1, 11776, '\p{^cyrillicexta}', "");
    Expect(1, 11776, '\P{cyrillicexta}', "");
    Expect(0, 11776, '\P{^cyrillicexta}', "");
    Expect(1, 11775, '\p{ cyrillic_Ext_A}', "");
    Expect(0, 11775, '\p{^ cyrillic_Ext_A}', "");
    Expect(0, 11775, '\P{ cyrillic_Ext_A}', "");
    Expect(1, 11775, '\P{^ cyrillic_Ext_A}', "");
    Expect(0, 11776, '\p{ cyrillic_Ext_A}', "");
    Expect(1, 11776, '\p{^ cyrillic_Ext_A}', "");
    Expect(1, 11776, '\P{ cyrillic_Ext_A}', "");
    Expect(0, 11776, '\P{^ cyrillic_Ext_A}', "");
    Error('\p{:=_Is_Cyrillic_ext_A}');
    Error('\P{:=_Is_Cyrillic_ext_A}');
    Expect(1, 11775, '\p{iscyrillicexta}', "");
    Expect(0, 11775, '\p{^iscyrillicexta}', "");
    Expect(0, 11775, '\P{iscyrillicexta}', "");
    Expect(1, 11775, '\P{^iscyrillicexta}', "");
    Expect(0, 11776, '\p{iscyrillicexta}', "");
    Expect(1, 11776, '\p{^iscyrillicexta}', "");
    Expect(1, 11776, '\P{iscyrillicexta}', "");
    Expect(0, 11776, '\P{^iscyrillicexta}', "");
    Expect(1, 11775, '\p{  Is_Cyrillic_Ext_A}', "");
    Expect(0, 11775, '\p{^  Is_Cyrillic_Ext_A}', "");
    Expect(0, 11775, '\P{  Is_Cyrillic_Ext_A}', "");
    Expect(1, 11775, '\P{^  Is_Cyrillic_Ext_A}', "");
    Expect(0, 11776, '\p{  Is_Cyrillic_Ext_A}', "");
    Expect(1, 11776, '\p{^  Is_Cyrillic_Ext_A}', "");
    Expect(1, 11776, '\P{  Is_Cyrillic_Ext_A}', "");
    Expect(0, 11776, '\P{^  Is_Cyrillic_Ext_A}', "");
    Error('\p{	:=IN_Cyrillic_Ext_A}');
    Error('\P{	:=IN_Cyrillic_Ext_A}');
    Expect(1, 11775, '\p{incyrillicexta}', "");
    Expect(0, 11775, '\p{^incyrillicexta}', "");
    Expect(0, 11775, '\P{incyrillicexta}', "");
    Expect(1, 11775, '\P{^incyrillicexta}', "");
    Expect(0, 11776, '\p{incyrillicexta}', "");
    Expect(1, 11776, '\p{^incyrillicexta}', "");
    Expect(1, 11776, '\P{incyrillicexta}', "");
    Expect(0, 11776, '\P{^incyrillicexta}', "");
    Expect(1, 11775, '\p{ -In_cyrillic_Ext_a}', "");
    Expect(0, 11775, '\p{^ -In_cyrillic_Ext_a}', "");
    Expect(0, 11775, '\P{ -In_cyrillic_Ext_a}', "");
    Expect(1, 11775, '\P{^ -In_cyrillic_Ext_a}', "");
    Expect(0, 11776, '\p{ -In_cyrillic_Ext_a}', "");
    Expect(1, 11776, '\p{^ -In_cyrillic_Ext_a}', "");
    Expect(1, 11776, '\P{ -In_cyrillic_Ext_a}', "");
    Expect(0, 11776, '\P{^ -In_cyrillic_Ext_a}', "");
    Error('\p{:=_ CYRILLIC_Extended_B}');
    Error('\P{:=_ CYRILLIC_Extended_B}');
    Expect(1, 42655, '\p{cyrillicextendedb}', "");
    Expect(0, 42655, '\p{^cyrillicextendedb}', "");
    Expect(0, 42655, '\P{cyrillicextendedb}', "");
    Expect(1, 42655, '\P{^cyrillicextendedb}', "");
    Expect(0, 42656, '\p{cyrillicextendedb}', "");
    Expect(1, 42656, '\p{^cyrillicextendedb}', "");
    Expect(1, 42656, '\P{cyrillicextendedb}', "");
    Expect(0, 42656, '\P{^cyrillicextendedb}', "");
    Expect(1, 42655, '\p{__cyrillic_Extended_B}', "");
    Expect(0, 42655, '\p{^__cyrillic_Extended_B}', "");
    Expect(0, 42655, '\P{__cyrillic_Extended_B}', "");
    Expect(1, 42655, '\P{^__cyrillic_Extended_B}', "");
    Expect(0, 42656, '\p{__cyrillic_Extended_B}', "");
    Expect(1, 42656, '\p{^__cyrillic_Extended_B}', "");
    Expect(1, 42656, '\P{__cyrillic_Extended_B}', "");
    Expect(0, 42656, '\P{^__cyrillic_Extended_B}', "");
    Error('\p{:= 	IS_cyrillic_Extended_b}');
    Error('\P{:= 	IS_cyrillic_Extended_b}');
    Expect(1, 42655, '\p{iscyrillicextendedb}', "");
    Expect(0, 42655, '\p{^iscyrillicextendedb}', "");
    Expect(0, 42655, '\P{iscyrillicextendedb}', "");
    Expect(1, 42655, '\P{^iscyrillicextendedb}', "");
    Expect(0, 42656, '\p{iscyrillicextendedb}', "");
    Expect(1, 42656, '\p{^iscyrillicextendedb}', "");
    Expect(1, 42656, '\P{iscyrillicextendedb}', "");
    Expect(0, 42656, '\P{^iscyrillicextendedb}', "");
    Expect(1, 42655, '\p{- IS_CYRILLIC_Extended_B}', "");
    Expect(0, 42655, '\p{^- IS_CYRILLIC_Extended_B}', "");
    Expect(0, 42655, '\P{- IS_CYRILLIC_Extended_B}', "");
    Expect(1, 42655, '\P{^- IS_CYRILLIC_Extended_B}', "");
    Expect(0, 42656, '\p{- IS_CYRILLIC_Extended_B}', "");
    Expect(1, 42656, '\p{^- IS_CYRILLIC_Extended_B}', "");
    Expect(1, 42656, '\P{- IS_CYRILLIC_Extended_B}', "");
    Expect(0, 42656, '\P{^- IS_CYRILLIC_Extended_B}', "");
    Error('\p{:=_in_Cyrillic_EXTENDED_B}');
    Error('\P{:=_in_Cyrillic_EXTENDED_B}');
    Expect(1, 42655, '\p{incyrillicextendedb}', "");
    Expect(0, 42655, '\p{^incyrillicextendedb}', "");
    Expect(0, 42655, '\P{incyrillicextendedb}', "");
    Expect(1, 42655, '\P{^incyrillicextendedb}', "");
    Expect(0, 42656, '\p{incyrillicextendedb}', "");
    Expect(1, 42656, '\p{^incyrillicextendedb}', "");
    Expect(1, 42656, '\P{incyrillicextendedb}', "");
    Expect(0, 42656, '\P{^incyrillicextendedb}', "");
    Expect(1, 42655, '\p{-_In_Cyrillic_Extended_B}', "");
    Expect(0, 42655, '\p{^-_In_Cyrillic_Extended_B}', "");
    Expect(0, 42655, '\P{-_In_Cyrillic_Extended_B}', "");
    Expect(1, 42655, '\P{^-_In_Cyrillic_Extended_B}', "");
    Expect(0, 42656, '\p{-_In_Cyrillic_Extended_B}', "");
    Expect(1, 42656, '\p{^-_In_Cyrillic_Extended_B}', "");
    Expect(1, 42656, '\P{-_In_Cyrillic_Extended_B}', "");
    Expect(0, 42656, '\P{^-_In_Cyrillic_Extended_B}', "");
    Error('\p{	:=Cyrillic_Ext_b}');
    Error('\P{	:=Cyrillic_Ext_b}');
    Expect(1, 42655, '\p{cyrillicextb}', "");
    Expect(0, 42655, '\p{^cyrillicextb}', "");
    Expect(0, 42655, '\P{cyrillicextb}', "");
    Expect(1, 42655, '\P{^cyrillicextb}', "");
    Expect(0, 42656, '\p{cyrillicextb}', "");
    Expect(1, 42656, '\p{^cyrillicextb}', "");
    Expect(1, 42656, '\P{cyrillicextb}', "");
    Expect(0, 42656, '\P{^cyrillicextb}', "");
    Expect(1, 42655, '\p{_-Cyrillic_Ext_B}', "");
    Expect(0, 42655, '\p{^_-Cyrillic_Ext_B}', "");
    Expect(0, 42655, '\P{_-Cyrillic_Ext_B}', "");
    Expect(1, 42655, '\P{^_-Cyrillic_Ext_B}', "");
    Expect(0, 42656, '\p{_-Cyrillic_Ext_B}', "");
    Expect(1, 42656, '\p{^_-Cyrillic_Ext_B}', "");
    Expect(1, 42656, '\P{_-Cyrillic_Ext_B}', "");
    Expect(0, 42656, '\P{^_-Cyrillic_Ext_B}', "");
    Error('\p{_:=is_Cyrillic_Ext_B}');
    Error('\P{_:=is_Cyrillic_Ext_B}');
    Expect(1, 42655, '\p{iscyrillicextb}', "");
    Expect(0, 42655, '\p{^iscyrillicextb}', "");
    Expect(0, 42655, '\P{iscyrillicextb}', "");
    Expect(1, 42655, '\P{^iscyrillicextb}', "");
    Expect(0, 42656, '\p{iscyrillicextb}', "");
    Expect(1, 42656, '\p{^iscyrillicextb}', "");
    Expect(1, 42656, '\P{iscyrillicextb}', "");
    Expect(0, 42656, '\P{^iscyrillicextb}', "");
    Expect(1, 42655, '\p{_Is_Cyrillic_Ext_B}', "");
    Expect(0, 42655, '\p{^_Is_Cyrillic_Ext_B}', "");
    Expect(0, 42655, '\P{_Is_Cyrillic_Ext_B}', "");
    Expect(1, 42655, '\P{^_Is_Cyrillic_Ext_B}', "");
    Expect(0, 42656, '\p{_Is_Cyrillic_Ext_B}', "");
    Expect(1, 42656, '\p{^_Is_Cyrillic_Ext_B}', "");
    Expect(1, 42656, '\P{_Is_Cyrillic_Ext_B}', "");
    Expect(0, 42656, '\P{^_Is_Cyrillic_Ext_B}', "");
    Error('\p{/a/	IN_cyrillic_ext_B}');
    Error('\P{/a/	IN_cyrillic_ext_B}');
    Expect(1, 42655, '\p{incyrillicextb}', "");
    Expect(0, 42655, '\p{^incyrillicextb}', "");
    Expect(0, 42655, '\P{incyrillicextb}', "");
    Expect(1, 42655, '\P{^incyrillicextb}', "");
    Expect(0, 42656, '\p{incyrillicextb}', "");
    Expect(1, 42656, '\p{^incyrillicextb}', "");
    Expect(1, 42656, '\P{incyrillicextb}', "");
    Expect(0, 42656, '\P{^incyrillicextb}', "");
    Expect(1, 42655, '\p{_-In_CYRILLIC_Ext_B}', "");
    Expect(0, 42655, '\p{^_-In_CYRILLIC_Ext_B}', "");
    Expect(0, 42655, '\P{_-In_CYRILLIC_Ext_B}', "");
    Expect(1, 42655, '\P{^_-In_CYRILLIC_Ext_B}', "");
    Expect(0, 42656, '\p{_-In_CYRILLIC_Ext_B}', "");
    Expect(1, 42656, '\p{^_-In_CYRILLIC_Ext_B}', "");
    Expect(1, 42656, '\P{_-In_CYRILLIC_Ext_B}', "");
    Expect(0, 42656, '\P{^_-In_CYRILLIC_Ext_B}', "");
    Error('\p{/a/-_Cyrillic_Extended_c}');
    Error('\P{/a/-_Cyrillic_Extended_c}');
    Expect(1, 7311, '\p{cyrillicextendedc}', "");
    Expect(0, 7311, '\p{^cyrillicextendedc}', "");
    Expect(0, 7311, '\P{cyrillicextendedc}', "");
    Expect(1, 7311, '\P{^cyrillicextendedc}', "");
    Expect(0, 7312, '\p{cyrillicextendedc}', "");
    Expect(1, 7312, '\p{^cyrillicextendedc}', "");
    Expect(1, 7312, '\P{cyrillicextendedc}', "");
    Expect(0, 7312, '\P{^cyrillicextendedc}', "");
    Expect(1, 7311, '\p{__Cyrillic_EXTENDED_c}', "");
    Expect(0, 7311, '\p{^__Cyrillic_EXTENDED_c}', "");
    Expect(0, 7311, '\P{__Cyrillic_EXTENDED_c}', "");
    Expect(1, 7311, '\P{^__Cyrillic_EXTENDED_c}', "");
    Expect(0, 7312, '\p{__Cyrillic_EXTENDED_c}', "");
    Expect(1, 7312, '\p{^__Cyrillic_EXTENDED_c}', "");
    Expect(1, 7312, '\P{__Cyrillic_EXTENDED_c}', "");
    Expect(0, 7312, '\P{^__Cyrillic_EXTENDED_c}', "");
    Error('\p{/a/		IS_CYRILLIC_extended_C}');
    Error('\P{/a/		IS_CYRILLIC_extended_C}');
    Expect(1, 7311, '\p{iscyrillicextendedc}', "");
    Expect(0, 7311, '\p{^iscyrillicextendedc}', "");
    Expect(0, 7311, '\P{iscyrillicextendedc}', "");
    Expect(1, 7311, '\P{^iscyrillicextendedc}', "");
    Expect(0, 7312, '\p{iscyrillicextendedc}', "");
    Expect(1, 7312, '\p{^iscyrillicextendedc}', "");
    Expect(1, 7312, '\P{iscyrillicextendedc}', "");
    Expect(0, 7312, '\P{^iscyrillicextendedc}', "");
    Expect(1, 7311, '\p{ IS_cyrillic_EXTENDED_C}', "");
    Expect(0, 7311, '\p{^ IS_cyrillic_EXTENDED_C}', "");
    Expect(0, 7311, '\P{ IS_cyrillic_EXTENDED_C}', "");
    Expect(1, 7311, '\P{^ IS_cyrillic_EXTENDED_C}', "");
    Expect(0, 7312, '\p{ IS_cyrillic_EXTENDED_C}', "");
    Expect(1, 7312, '\p{^ IS_cyrillic_EXTENDED_C}', "");
    Expect(1, 7312, '\P{ IS_cyrillic_EXTENDED_C}', "");
    Expect(0, 7312, '\P{^ IS_cyrillic_EXTENDED_C}', "");
    Error('\p{ IN_Cyrillic_Extended_C/a/}');
    Error('\P{ IN_Cyrillic_Extended_C/a/}');
    Expect(1, 7311, '\p{incyrillicextendedc}', "");
    Expect(0, 7311, '\p{^incyrillicextendedc}', "");
    Expect(0, 7311, '\P{incyrillicextendedc}', "");
    Expect(1, 7311, '\P{^incyrillicextendedc}', "");
    Expect(0, 7312, '\p{incyrillicextendedc}', "");
    Expect(1, 7312, '\p{^incyrillicextendedc}', "");
    Expect(1, 7312, '\P{incyrillicextendedc}', "");
    Expect(0, 7312, '\P{^incyrillicextendedc}', "");
    Expect(1, 7311, '\p{	 In_CYRILLIC_Extended_c}', "");
    Expect(0, 7311, '\p{^	 In_CYRILLIC_Extended_c}', "");
    Expect(0, 7311, '\P{	 In_CYRILLIC_Extended_c}', "");
    Expect(1, 7311, '\P{^	 In_CYRILLIC_Extended_c}', "");
    Expect(0, 7312, '\p{	 In_CYRILLIC_Extended_c}', "");
    Expect(1, 7312, '\p{^	 In_CYRILLIC_Extended_c}', "");
    Expect(1, 7312, '\P{	 In_CYRILLIC_Extended_c}', "");
    Expect(0, 7312, '\P{^	 In_CYRILLIC_Extended_c}', "");
    Error('\p{  cyrillic_EXT_C:=}');
    Error('\P{  cyrillic_EXT_C:=}');
    Expect(1, 7311, '\p{cyrillicextc}', "");
    Expect(0, 7311, '\p{^cyrillicextc}', "");
    Expect(0, 7311, '\P{cyrillicextc}', "");
    Expect(1, 7311, '\P{^cyrillicextc}', "");
    Expect(0, 7312, '\p{cyrillicextc}', "");
    Expect(1, 7312, '\p{^cyrillicextc}', "");
    Expect(1, 7312, '\P{cyrillicextc}', "");
    Expect(0, 7312, '\P{^cyrillicextc}', "");
    Expect(1, 7311, '\p{-_cyrillic_Ext_c}', "");
    Expect(0, 7311, '\p{^-_cyrillic_Ext_c}', "");
    Expect(0, 7311, '\P{-_cyrillic_Ext_c}', "");
    Expect(1, 7311, '\P{^-_cyrillic_Ext_c}', "");
    Expect(0, 7312, '\p{-_cyrillic_Ext_c}', "");
    Expect(1, 7312, '\p{^-_cyrillic_Ext_c}', "");
    Expect(1, 7312, '\P{-_cyrillic_Ext_c}', "");
    Expect(0, 7312, '\P{^-_cyrillic_Ext_c}', "");
    Error('\p{-:=is_Cyrillic_EXT_C}');
    Error('\P{-:=is_Cyrillic_EXT_C}');
    Expect(1, 7311, '\p{iscyrillicextc}', "");
    Expect(0, 7311, '\p{^iscyrillicextc}', "");
    Expect(0, 7311, '\P{iscyrillicextc}', "");
    Expect(1, 7311, '\P{^iscyrillicextc}', "");
    Expect(0, 7312, '\p{iscyrillicextc}', "");
    Expect(1, 7312, '\p{^iscyrillicextc}', "");
    Expect(1, 7312, '\P{iscyrillicextc}', "");
    Expect(0, 7312, '\P{^iscyrillicextc}', "");
    Expect(1, 7311, '\p{_	is_CYRILLIC_ext_C}', "");
    Expect(0, 7311, '\p{^_	is_CYRILLIC_ext_C}', "");
    Expect(0, 7311, '\P{_	is_CYRILLIC_ext_C}', "");
    Expect(1, 7311, '\P{^_	is_CYRILLIC_ext_C}', "");
    Expect(0, 7312, '\p{_	is_CYRILLIC_ext_C}', "");
    Expect(1, 7312, '\p{^_	is_CYRILLIC_ext_C}', "");
    Expect(1, 7312, '\P{_	is_CYRILLIC_ext_C}', "");
    Expect(0, 7312, '\P{^_	is_CYRILLIC_ext_C}', "");
    Error('\p{/a/  IN_Cyrillic_Ext_C}');
    Error('\P{/a/  IN_Cyrillic_Ext_C}');
    Expect(1, 7311, '\p{incyrillicextc}', "");
    Expect(0, 7311, '\p{^incyrillicextc}', "");
    Expect(0, 7311, '\P{incyrillicextc}', "");
    Expect(1, 7311, '\P{^incyrillicextc}', "");
    Expect(0, 7312, '\p{incyrillicextc}', "");
    Expect(1, 7312, '\p{^incyrillicextc}', "");
    Expect(1, 7312, '\P{incyrillicextc}', "");
    Expect(0, 7312, '\P{^incyrillicextc}', "");
    Expect(1, 7311, '\p{_ In_Cyrillic_ext_C}', "");
    Expect(0, 7311, '\p{^_ In_Cyrillic_ext_C}', "");
    Expect(0, 7311, '\P{_ In_Cyrillic_ext_C}', "");
    Expect(1, 7311, '\P{^_ In_Cyrillic_ext_C}', "");
    Expect(0, 7312, '\p{_ In_Cyrillic_ext_C}', "");
    Expect(1, 7312, '\p{^_ In_Cyrillic_ext_C}', "");
    Expect(1, 7312, '\P{_ In_Cyrillic_ext_C}', "");
    Expect(0, 7312, '\P{^_ In_Cyrillic_ext_C}', "");
    Error('\p{-/a/Cyrillic_SUPPLEMENT}');
    Error('\P{-/a/Cyrillic_SUPPLEMENT}');
    Expect(1, 1327, '\p{cyrillicsupplement}', "");
    Expect(0, 1327, '\p{^cyrillicsupplement}', "");
    Expect(0, 1327, '\P{cyrillicsupplement}', "");
    Expect(1, 1327, '\P{^cyrillicsupplement}', "");
    Expect(0, 1328, '\p{cyrillicsupplement}', "");
    Expect(1, 1328, '\p{^cyrillicsupplement}', "");
    Expect(1, 1328, '\P{cyrillicsupplement}', "");
    Expect(0, 1328, '\P{^cyrillicsupplement}', "");
    Expect(1, 1327, '\p{	 Cyrillic_Supplement}', "");
    Expect(0, 1327, '\p{^	 Cyrillic_Supplement}', "");
    Expect(0, 1327, '\P{	 Cyrillic_Supplement}', "");
    Expect(1, 1327, '\P{^	 Cyrillic_Supplement}', "");
    Expect(0, 1328, '\p{	 Cyrillic_Supplement}', "");
    Expect(1, 1328, '\p{^	 Cyrillic_Supplement}', "");
    Expect(1, 1328, '\P{	 Cyrillic_Supplement}', "");
    Expect(0, 1328, '\P{^	 Cyrillic_Supplement}', "");
    Error('\p{--IS_Cyrillic_supplement:=}');
    Error('\P{--IS_Cyrillic_supplement:=}');
    Expect(1, 1327, '\p{iscyrillicsupplement}', "");
    Expect(0, 1327, '\p{^iscyrillicsupplement}', "");
    Expect(0, 1327, '\P{iscyrillicsupplement}', "");
    Expect(1, 1327, '\P{^iscyrillicsupplement}', "");
    Expect(0, 1328, '\p{iscyrillicsupplement}', "");
    Expect(1, 1328, '\p{^iscyrillicsupplement}', "");
    Expect(1, 1328, '\P{iscyrillicsupplement}', "");
    Expect(0, 1328, '\P{^iscyrillicsupplement}', "");
    Expect(1, 1327, '\p{-	IS_CYRILLIC_Supplement}', "");
    Expect(0, 1327, '\p{^-	IS_CYRILLIC_Supplement}', "");
    Expect(0, 1327, '\P{-	IS_CYRILLIC_Supplement}', "");
    Expect(1, 1327, '\P{^-	IS_CYRILLIC_Supplement}', "");
    Expect(0, 1328, '\p{-	IS_CYRILLIC_Supplement}', "");
    Expect(1, 1328, '\p{^-	IS_CYRILLIC_Supplement}', "");
    Expect(1, 1328, '\P{-	IS_CYRILLIC_Supplement}', "");
    Expect(0, 1328, '\P{^-	IS_CYRILLIC_Supplement}', "");
    Error('\p{:=  in_Cyrillic_supplement}');
    Error('\P{:=  in_Cyrillic_supplement}');
    Expect(1, 1327, '\p{incyrillicsupplement}', "");
    Expect(0, 1327, '\p{^incyrillicsupplement}', "");
    Expect(0, 1327, '\P{incyrillicsupplement}', "");
    Expect(1, 1327, '\P{^incyrillicsupplement}', "");
    Expect(0, 1328, '\p{incyrillicsupplement}', "");
    Expect(1, 1328, '\p{^incyrillicsupplement}', "");
    Expect(1, 1328, '\P{incyrillicsupplement}', "");
    Expect(0, 1328, '\P{^incyrillicsupplement}', "");
    Expect(1, 1327, '\p{_In_Cyrillic_Supplement}', "");
    Expect(0, 1327, '\p{^_In_Cyrillic_Supplement}', "");
    Expect(0, 1327, '\P{_In_Cyrillic_Supplement}', "");
    Expect(1, 1327, '\P{^_In_Cyrillic_Supplement}', "");
    Expect(0, 1328, '\p{_In_Cyrillic_Supplement}', "");
    Expect(1, 1328, '\p{^_In_Cyrillic_Supplement}', "");
    Expect(1, 1328, '\P{_In_Cyrillic_Supplement}', "");
    Expect(0, 1328, '\P{^_In_Cyrillic_Supplement}', "");
    Error('\p{/a/-Cyrillic_SUP}');
    Error('\P{/a/-Cyrillic_SUP}');
    Expect(1, 1327, '\p{cyrillicsup}', "");
    Expect(0, 1327, '\p{^cyrillicsup}', "");
    Expect(0, 1327, '\P{cyrillicsup}', "");
    Expect(1, 1327, '\P{^cyrillicsup}', "");
    Expect(0, 1328, '\p{cyrillicsup}', "");
    Expect(1, 1328, '\p{^cyrillicsup}', "");
    Expect(1, 1328, '\P{cyrillicsup}', "");
    Expect(0, 1328, '\P{^cyrillicsup}', "");
    Expect(1, 1327, '\p{	_CYRILLIC_SUP}', "");
    Expect(0, 1327, '\p{^	_CYRILLIC_SUP}', "");
    Expect(0, 1327, '\P{	_CYRILLIC_SUP}', "");
    Expect(1, 1327, '\P{^	_CYRILLIC_SUP}', "");
    Expect(0, 1328, '\p{	_CYRILLIC_SUP}', "");
    Expect(1, 1328, '\p{^	_CYRILLIC_SUP}', "");
    Expect(1, 1328, '\P{	_CYRILLIC_SUP}', "");
    Expect(0, 1328, '\P{^	_CYRILLIC_SUP}', "");
    Error('\p{_/a/IS_cyrillic_sup}');
    Error('\P{_/a/IS_cyrillic_sup}');
    Expect(1, 1327, '\p{iscyrillicsup}', "");
    Expect(0, 1327, '\p{^iscyrillicsup}', "");
    Expect(0, 1327, '\P{iscyrillicsup}', "");
    Expect(1, 1327, '\P{^iscyrillicsup}', "");
    Expect(0, 1328, '\p{iscyrillicsup}', "");
    Expect(1, 1328, '\p{^iscyrillicsup}', "");
    Expect(1, 1328, '\P{iscyrillicsup}', "");
    Expect(0, 1328, '\P{^iscyrillicsup}', "");
    Expect(1, 1327, '\p{ _IS_CYRILLIC_sup}', "");
    Expect(0, 1327, '\p{^ _IS_CYRILLIC_sup}', "");
    Expect(0, 1327, '\P{ _IS_CYRILLIC_sup}', "");
    Expect(1, 1327, '\P{^ _IS_CYRILLIC_sup}', "");
    Expect(0, 1328, '\p{ _IS_CYRILLIC_sup}', "");
    Expect(1, 1328, '\p{^ _IS_CYRILLIC_sup}', "");
    Expect(1, 1328, '\P{ _IS_CYRILLIC_sup}', "");
    Expect(0, 1328, '\P{^ _IS_CYRILLIC_sup}', "");
    Error('\p{_ In_Cyrillic_Sup/a/}');
    Error('\P{_ In_Cyrillic_Sup/a/}');
    Expect(1, 1327, '\p{incyrillicsup}', "");
    Expect(0, 1327, '\p{^incyrillicsup}', "");
    Expect(0, 1327, '\P{incyrillicsup}', "");
    Expect(1, 1327, '\P{^incyrillicsup}', "");
    Expect(0, 1328, '\p{incyrillicsup}', "");
    Expect(1, 1328, '\p{^incyrillicsup}', "");
    Expect(1, 1328, '\P{incyrillicsup}', "");
    Expect(0, 1328, '\P{^incyrillicsup}', "");
    Expect(1, 1327, '\p{In_Cyrillic_Sup}', "");
    Expect(0, 1327, '\p{^In_Cyrillic_Sup}', "");
    Expect(0, 1327, '\P{In_Cyrillic_Sup}', "");
    Expect(1, 1327, '\P{^In_Cyrillic_Sup}', "");
    Expect(0, 1328, '\p{In_Cyrillic_Sup}', "");
    Expect(1, 1328, '\p{^In_Cyrillic_Sup}', "");
    Expect(1, 1328, '\P{In_Cyrillic_Sup}', "");
    Expect(0, 1328, '\P{^In_Cyrillic_Sup}', "");
    Error('\p{- CYRILLIC_supplementary/a/}');
    Error('\P{- CYRILLIC_supplementary/a/}');
    Expect(1, 1327, '\p{cyrillicsupplementary}', "");
    Expect(0, 1327, '\p{^cyrillicsupplementary}', "");
    Expect(0, 1327, '\P{cyrillicsupplementary}', "");
    Expect(1, 1327, '\P{^cyrillicsupplementary}', "");
    Expect(0, 1328, '\p{cyrillicsupplementary}', "");
    Expect(1, 1328, '\p{^cyrillicsupplementary}', "");
    Expect(1, 1328, '\P{cyrillicsupplementary}', "");
    Expect(0, 1328, '\P{^cyrillicsupplementary}', "");
    Expect(1, 1327, '\p{-Cyrillic_supplementary}', "");
    Expect(0, 1327, '\p{^-Cyrillic_supplementary}', "");
    Expect(0, 1327, '\P{-Cyrillic_supplementary}', "");
    Expect(1, 1327, '\P{^-Cyrillic_supplementary}', "");
    Expect(0, 1328, '\p{-Cyrillic_supplementary}', "");
    Expect(1, 1328, '\p{^-Cyrillic_supplementary}', "");
    Expect(1, 1328, '\P{-Cyrillic_supplementary}', "");
    Expect(0, 1328, '\P{^-Cyrillic_supplementary}', "");
    Error('\p{/a/  is_CYRILLIC_Supplementary}');
    Error('\P{/a/  is_CYRILLIC_Supplementary}');
    Expect(1, 1327, '\p{iscyrillicsupplementary}', "");
    Expect(0, 1327, '\p{^iscyrillicsupplementary}', "");
    Expect(0, 1327, '\P{iscyrillicsupplementary}', "");
    Expect(1, 1327, '\P{^iscyrillicsupplementary}', "");
    Expect(0, 1328, '\p{iscyrillicsupplementary}', "");
    Expect(1, 1328, '\p{^iscyrillicsupplementary}', "");
    Expect(1, 1328, '\P{iscyrillicsupplementary}', "");
    Expect(0, 1328, '\P{^iscyrillicsupplementary}', "");
    Expect(1, 1327, '\p{ _is_cyrillic_Supplementary}', "");
    Expect(0, 1327, '\p{^ _is_cyrillic_Supplementary}', "");
    Expect(0, 1327, '\P{ _is_cyrillic_Supplementary}', "");
    Expect(1, 1327, '\P{^ _is_cyrillic_Supplementary}', "");
    Expect(0, 1328, '\p{ _is_cyrillic_Supplementary}', "");
    Expect(1, 1328, '\p{^ _is_cyrillic_Supplementary}', "");
    Expect(1, 1328, '\P{ _is_cyrillic_Supplementary}', "");
    Expect(0, 1328, '\P{^ _is_cyrillic_Supplementary}', "");
    Error('\p{	in_CYRILLIC_SUPPLEMENTARY:=}');
    Error('\P{	in_CYRILLIC_SUPPLEMENTARY:=}');
    Expect(1, 1327, '\p{incyrillicsupplementary}', "");
    Expect(0, 1327, '\p{^incyrillicsupplementary}', "");
    Expect(0, 1327, '\P{incyrillicsupplementary}', "");
    Expect(1, 1327, '\P{^incyrillicsupplementary}', "");
    Expect(0, 1328, '\p{incyrillicsupplementary}', "");
    Expect(1, 1328, '\p{^incyrillicsupplementary}', "");
    Expect(1, 1328, '\P{incyrillicsupplementary}', "");
    Expect(0, 1328, '\P{^incyrillicsupplementary}', "");
    Expect(1, 1327, '\p{_in_cyrillic_SUPPLEMENTARY}', "");
    Expect(0, 1327, '\p{^_in_cyrillic_SUPPLEMENTARY}', "");
    Expect(0, 1327, '\P{_in_cyrillic_SUPPLEMENTARY}', "");
    Expect(1, 1327, '\P{^_in_cyrillic_SUPPLEMENTARY}', "");
    Expect(0, 1328, '\p{_in_cyrillic_SUPPLEMENTARY}', "");
    Expect(1, 1328, '\p{^_in_cyrillic_SUPPLEMENTARY}', "");
    Expect(1, 1328, '\P{_in_cyrillic_SUPPLEMENTARY}', "");
    Expect(0, 1328, '\P{^_in_cyrillic_SUPPLEMENTARY}', "");
    Error('\p{/a/ 	DASH}');
    Error('\P{/a/ 	DASH}');
    Expect(1, 69293, '\p{dash}', "");
    Expect(0, 69293, '\p{^dash}', "");
    Expect(0, 69293, '\P{dash}', "");
    Expect(1, 69293, '\P{^dash}', "");
    Expect(0, 69294, '\p{dash}', "");
    Expect(1, 69294, '\p{^dash}', "");
    Expect(1, 69294, '\P{dash}', "");
    Expect(0, 69294, '\P{^dash}', "");
    Expect(1, 69293, '\p{	dash}', "");
    Expect(0, 69293, '\p{^	dash}', "");
    Expect(0, 69293, '\P{	dash}', "");
    Expect(1, 69293, '\P{^	dash}', "");
    Expect(0, 69294, '\p{	dash}', "");
    Expect(1, 69294, '\p{^	dash}', "");
    Expect(1, 69294, '\P{	dash}', "");
    Expect(0, 69294, '\P{^	dash}', "");
    Error('\p{-IS_dash:=}');
    Error('\P{-IS_dash:=}');
    Expect(1, 69293, '\p{isdash}', "");
    Expect(0, 69293, '\p{^isdash}', "");
    Expect(0, 69293, '\P{isdash}', "");
    Expect(1, 69293, '\P{^isdash}', "");
    Expect(0, 69294, '\p{isdash}', "");
    Expect(1, 69294, '\p{^isdash}', "");
    Expect(1, 69294, '\P{isdash}', "");
    Expect(0, 69294, '\P{^isdash}', "");
    Expect(1, 69293, '\p{ 	Is_DASH}', "");
    Expect(0, 69293, '\p{^ 	Is_DASH}', "");
    Expect(0, 69293, '\P{ 	Is_DASH}', "");
    Expect(1, 69293, '\P{^ 	Is_DASH}', "");
    Expect(0, 69294, '\p{ 	Is_DASH}', "");
    Expect(1, 69294, '\p{^ 	Is_DASH}', "");
    Expect(1, 69294, '\P{ 	Is_DASH}', "");
    Expect(0, 69294, '\P{^ 	Is_DASH}', "");
    Error('\p{	/a/DASH_Punctuation}');
    Error('\P{	/a/DASH_Punctuation}');
    Expect(1, 69293, '\p{dashpunctuation}', "");
    Expect(0, 69293, '\p{^dashpunctuation}', "");
    Expect(0, 69293, '\P{dashpunctuation}', "");
    Expect(1, 69293, '\P{^dashpunctuation}', "");
    Expect(0, 69294, '\p{dashpunctuation}', "");
    Expect(1, 69294, '\p{^dashpunctuation}', "");
    Expect(1, 69294, '\P{dashpunctuation}', "");
    Expect(0, 69294, '\P{^dashpunctuation}', "");
    Expect(1, 69293, '\p{-_Dash_Punctuation}', "");
    Expect(0, 69293, '\p{^-_Dash_Punctuation}', "");
    Expect(0, 69293, '\P{-_Dash_Punctuation}', "");
    Expect(1, 69293, '\P{^-_Dash_Punctuation}', "");
    Expect(0, 69294, '\p{-_Dash_Punctuation}', "");
    Expect(1, 69294, '\p{^-_Dash_Punctuation}', "");
    Expect(1, 69294, '\P{-_Dash_Punctuation}', "");
    Expect(0, 69294, '\P{^-_Dash_Punctuation}', "");
    Error('\p{-/a/IS_dash_punctuation}');
    Error('\P{-/a/IS_dash_punctuation}');
    Expect(1, 69293, '\p{isdashpunctuation}', "");
    Expect(0, 69293, '\p{^isdashpunctuation}', "");
    Expect(0, 69293, '\P{isdashpunctuation}', "");
    Expect(1, 69293, '\P{^isdashpunctuation}', "");
    Expect(0, 69294, '\p{isdashpunctuation}', "");
    Expect(1, 69294, '\p{^isdashpunctuation}', "");
    Expect(1, 69294, '\P{isdashpunctuation}', "");
    Expect(0, 69294, '\P{^isdashpunctuation}', "");
    Expect(1, 69293, '\p{	 Is_Dash_PUNCTUATION}', "");
    Expect(0, 69293, '\p{^	 Is_Dash_PUNCTUATION}', "");
    Expect(0, 69293, '\P{	 Is_Dash_PUNCTUATION}', "");
    Expect(1, 69293, '\P{^	 Is_Dash_PUNCTUATION}', "");
    Expect(0, 69294, '\p{	 Is_Dash_PUNCTUATION}', "");
    Expect(1, 69294, '\p{^	 Is_Dash_PUNCTUATION}', "");
    Expect(1, 69294, '\P{	 Is_Dash_PUNCTUATION}', "");
    Expect(0, 69294, '\P{^	 Is_Dash_PUNCTUATION}', "");
    Error('\p{/a/ Pd}');
    Error('\P{/a/ Pd}');
    Expect(1, 69293, '\p{pd}', "");
    Expect(0, 69293, '\p{^pd}', "");
    Expect(0, 69293, '\P{pd}', "");
    Expect(1, 69293, '\P{^pd}', "");
    Expect(0, 69294, '\p{pd}', "");
    Expect(1, 69294, '\p{^pd}', "");
    Expect(1, 69294, '\P{pd}', "");
    Expect(0, 69294, '\P{^pd}', "");
    Expect(1, 69293, '\p{ 	Pd}', "");
    Expect(0, 69293, '\p{^ 	Pd}', "");
    Expect(0, 69293, '\P{ 	Pd}', "");
    Expect(1, 69293, '\P{^ 	Pd}', "");
    Expect(0, 69294, '\p{ 	Pd}', "");
    Expect(1, 69294, '\p{^ 	Pd}', "");
    Expect(1, 69294, '\P{ 	Pd}', "");
    Expect(0, 69294, '\P{^ 	Pd}', "");
    Error('\p{:=IS_Pd}');
    Error('\P{:=IS_Pd}');
    Expect(1, 69293, '\p{ispd}', "");
    Expect(0, 69293, '\p{^ispd}', "");
    Expect(0, 69293, '\P{ispd}', "");
    Expect(1, 69293, '\P{^ispd}', "");
    Expect(0, 69294, '\p{ispd}', "");
    Expect(1, 69294, '\p{^ispd}', "");
    Expect(1, 69294, '\P{ispd}', "");
    Expect(0, 69294, '\P{^ispd}', "");
    Expect(1, 69293, '\p{--IS_Pd}', "");
    Expect(0, 69293, '\p{^--IS_Pd}', "");
    Expect(0, 69293, '\P{--IS_Pd}', "");
    Expect(1, 69293, '\P{^--IS_Pd}', "");
    Expect(0, 69294, '\p{--IS_Pd}', "");
    Expect(1, 69294, '\p{^--IS_Pd}', "");
    Expect(1, 69294, '\P{--IS_Pd}', "");
    Expect(0, 69294, '\P{^--IS_Pd}', "");
    Error('\p{/a/  Default_IGNORABLE_Code_POINT}');
    Error('\P{/a/  Default_IGNORABLE_Code_POINT}');
    Expect(1, 921599, '\p{defaultignorablecodepoint}', "");
    Expect(0, 921599, '\p{^defaultignorablecodepoint}', "");
    Expect(0, 921599, '\P{defaultignorablecodepoint}', "");
    Expect(1, 921599, '\P{^defaultignorablecodepoint}', "");
    Expect(0, 921600, '\p{defaultignorablecodepoint}', "");
    Expect(1, 921600, '\p{^defaultignorablecodepoint}', "");
    Expect(1, 921600, '\P{defaultignorablecodepoint}', "");
    Expect(0, 921600, '\P{^defaultignorablecodepoint}', "");
    Expect(1, 921599, '\p{ _default_Ignorable_Code_Point}', "");
    Expect(0, 921599, '\p{^ _default_Ignorable_Code_Point}', "");
    Expect(0, 921599, '\P{ _default_Ignorable_Code_Point}', "");
    Expect(1, 921599, '\P{^ _default_Ignorable_Code_Point}', "");
    Expect(0, 921600, '\p{ _default_Ignorable_Code_Point}', "");
    Expect(1, 921600, '\p{^ _default_Ignorable_Code_Point}', "");
    Expect(1, 921600, '\P{ _default_Ignorable_Code_Point}', "");
    Expect(0, 921600, '\P{^ _default_Ignorable_Code_Point}', "");
    Error('\p{/a/	_IS_Default_IGNORABLE_Code_point}');
    Error('\P{/a/	_IS_Default_IGNORABLE_Code_point}');
    Expect(1, 921599, '\p{isdefaultignorablecodepoint}', "");
    Expect(0, 921599, '\p{^isdefaultignorablecodepoint}', "");
    Expect(0, 921599, '\P{isdefaultignorablecodepoint}', "");
    Expect(1, 921599, '\P{^isdefaultignorablecodepoint}', "");
    Expect(0, 921600, '\p{isdefaultignorablecodepoint}', "");
    Expect(1, 921600, '\p{^isdefaultignorablecodepoint}', "");
    Expect(1, 921600, '\P{isdefaultignorablecodepoint}', "");
    Expect(0, 921600, '\P{^isdefaultignorablecodepoint}', "");
    Expect(1, 921599, '\p{		IS_Default_ignorable_code_Point}', "");
    Expect(0, 921599, '\p{^		IS_Default_ignorable_code_Point}', "");
    Expect(0, 921599, '\P{		IS_Default_ignorable_code_Point}', "");
    Expect(1, 921599, '\P{^		IS_Default_ignorable_code_Point}', "");
    Expect(0, 921600, '\p{		IS_Default_ignorable_code_Point}', "");
    Expect(1, 921600, '\p{^		IS_Default_ignorable_code_Point}', "");
    Expect(1, 921600, '\P{		IS_Default_ignorable_code_Point}', "");
    Expect(0, 921600, '\P{^		IS_Default_ignorable_code_Point}', "");
    Error('\p{	di:=}');
    Error('\P{	di:=}');
    Expect(1, 921599, '\p{di}', "");
    Expect(0, 921599, '\p{^di}', "");
    Expect(0, 921599, '\P{di}', "");
    Expect(1, 921599, '\P{^di}', "");
    Expect(0, 921600, '\p{di}', "");
    Expect(1, 921600, '\p{^di}', "");
    Expect(1, 921600, '\P{di}', "");
    Expect(0, 921600, '\P{^di}', "");
    Expect(1, 921599, '\p{__DI}', "");
    Expect(0, 921599, '\p{^__DI}', "");
    Expect(0, 921599, '\P{__DI}', "");
    Expect(1, 921599, '\P{^__DI}', "");
    Expect(0, 921600, '\p{__DI}', "");
    Expect(1, 921600, '\p{^__DI}', "");
    Expect(1, 921600, '\P{__DI}', "");
    Expect(0, 921600, '\P{^__DI}', "");
    Error('\p{ :=is_DI}');
    Error('\P{ :=is_DI}');
    Expect(1, 921599, '\p{isdi}', "");
    Expect(0, 921599, '\p{^isdi}', "");
    Expect(0, 921599, '\P{isdi}', "");
    Expect(1, 921599, '\P{^isdi}', "");
    Expect(0, 921600, '\p{isdi}', "");
    Expect(1, 921600, '\p{^isdi}', "");
    Expect(1, 921600, '\P{isdi}', "");
    Expect(0, 921600, '\P{^isdi}', "");
    Expect(1, 921599, '\p{-	Is_DI}', "");
    Expect(0, 921599, '\p{^-	Is_DI}', "");
    Expect(0, 921599, '\P{-	Is_DI}', "");
    Expect(1, 921599, '\P{^-	Is_DI}', "");
    Expect(0, 921600, '\p{-	Is_DI}', "");
    Expect(1, 921600, '\p{^-	Is_DI}', "");
    Expect(1, 921600, '\P{-	Is_DI}', "");
    Expect(0, 921600, '\P{^-	Is_DI}', "");
    Error('\p{/a/	 Deprecated}');
    Error('\P{/a/	 Deprecated}');
    Expect(1, 917505, '\p{deprecated}', "");
    Expect(0, 917505, '\p{^deprecated}', "");
    Expect(0, 917505, '\P{deprecated}', "");
    Expect(1, 917505, '\P{^deprecated}', "");
    Expect(0, 917506, '\p{deprecated}', "");
    Expect(1, 917506, '\p{^deprecated}', "");
    Expect(1, 917506, '\P{deprecated}', "");
    Expect(0, 917506, '\P{^deprecated}', "");
    Expect(1, 917505, '\p{_deprecated}', "");
    Expect(0, 917505, '\p{^_deprecated}', "");
    Expect(0, 917505, '\P{_deprecated}', "");
    Expect(1, 917505, '\P{^_deprecated}', "");
    Expect(0, 917506, '\p{_deprecated}', "");
    Expect(1, 917506, '\p{^_deprecated}', "");
    Expect(1, 917506, '\P{_deprecated}', "");
    Expect(0, 917506, '\P{^_deprecated}', "");
    Error('\p{-:=is_Deprecated}');
    Error('\P{-:=is_Deprecated}');
    Expect(1, 917505, '\p{isdeprecated}', "");
    Expect(0, 917505, '\p{^isdeprecated}', "");
    Expect(0, 917505, '\P{isdeprecated}', "");
    Expect(1, 917505, '\P{^isdeprecated}', "");
    Expect(0, 917506, '\p{isdeprecated}', "");
    Expect(1, 917506, '\p{^isdeprecated}', "");
    Expect(1, 917506, '\P{isdeprecated}', "");
    Expect(0, 917506, '\P{^isdeprecated}', "");
    Expect(1, 917505, '\p{ -Is_Deprecated}', "");
    Expect(0, 917505, '\p{^ -Is_Deprecated}', "");
    Expect(0, 917505, '\P{ -Is_Deprecated}', "");
    Expect(1, 917505, '\P{^ -Is_Deprecated}', "");
    Expect(0, 917506, '\p{ -Is_Deprecated}', "");
    Expect(1, 917506, '\p{^ -Is_Deprecated}', "");
    Expect(1, 917506, '\P{ -Is_Deprecated}', "");
    Expect(0, 917506, '\P{^ -Is_Deprecated}', "");
    Error('\p{- Dep:=}');
    Error('\P{- Dep:=}');
    Expect(1, 917505, '\p{dep}', "");
    Expect(0, 917505, '\p{^dep}', "");
    Expect(0, 917505, '\P{dep}', "");
    Expect(1, 917505, '\P{^dep}', "");
    Expect(0, 917506, '\p{dep}', "");
    Expect(1, 917506, '\p{^dep}', "");
    Expect(1, 917506, '\P{dep}', "");
    Expect(0, 917506, '\P{^dep}', "");
    Expect(1, 917505, '\p{DEP}', "");
    Expect(0, 917505, '\p{^DEP}', "");
    Expect(0, 917505, '\P{DEP}', "");
    Expect(1, 917505, '\P{^DEP}', "");
    Expect(0, 917506, '\p{DEP}', "");
    Expect(1, 917506, '\p{^DEP}', "");
    Expect(1, 917506, '\P{DEP}', "");
    Expect(0, 917506, '\P{^DEP}', "");
    Error('\p{_is_DEP/a/}');
    Error('\P{_is_DEP/a/}');
    Expect(1, 917505, '\p{isdep}', "");
    Expect(0, 917505, '\p{^isdep}', "");
    Expect(0, 917505, '\P{isdep}', "");
    Expect(1, 917505, '\P{^isdep}', "");
    Expect(0, 917506, '\p{isdep}', "");
    Expect(1, 917506, '\p{^isdep}', "");
    Expect(1, 917506, '\P{isdep}', "");
    Expect(0, 917506, '\P{^isdep}', "");
    Expect(1, 917505, '\p{- IS_dep}', "");
    Expect(0, 917505, '\p{^- IS_dep}', "");
    Expect(0, 917505, '\P{- IS_dep}', "");
    Expect(1, 917505, '\P{^- IS_dep}', "");
    Expect(0, 917506, '\p{- IS_dep}', "");
    Expect(1, 917506, '\p{^- IS_dep}', "");
    Expect(1, 917506, '\P{- IS_dep}', "");
    Expect(0, 917506, '\P{^- IS_dep}', "");
    Error('\p{:=deseret}');
    Error('\P{:=deseret}');
    Expect(1, 66639, '\p{deseret}', "");
    Expect(0, 66639, '\p{^deseret}', "");
    Expect(0, 66639, '\P{deseret}', "");
    Expect(1, 66639, '\P{^deseret}', "");
    Expect(0, 66640, '\p{deseret}', "");
    Expect(1, 66640, '\p{^deseret}', "");
    Expect(1, 66640, '\P{deseret}', "");
    Expect(0, 66640, '\P{^deseret}', "");
    Expect(1, 66639, '\p{ 	deseret}', "");
    Expect(0, 66639, '\p{^ 	deseret}', "");
    Expect(0, 66639, '\P{ 	deseret}', "");
    Expect(1, 66639, '\P{^ 	deseret}', "");
    Expect(0, 66640, '\p{ 	deseret}', "");
    Expect(1, 66640, '\p{^ 	deseret}', "");
    Expect(1, 66640, '\P{ 	deseret}', "");
    Expect(0, 66640, '\P{^ 	deseret}', "");
    Error('\p{	is_Deseret:=}');
    Error('\P{	is_Deseret:=}');
    Expect(1, 66639, '\p{isdeseret}', "");
    Expect(0, 66639, '\p{^isdeseret}', "");
    Expect(0, 66639, '\P{isdeseret}', "");
    Expect(1, 66639, '\P{^isdeseret}', "");
    Expect(0, 66640, '\p{isdeseret}', "");
    Expect(1, 66640, '\p{^isdeseret}', "");
    Expect(1, 66640, '\P{isdeseret}', "");
    Expect(0, 66640, '\P{^isdeseret}', "");
    Expect(1, 66639, '\p{_Is_Deseret}', "");
    Expect(0, 66639, '\p{^_Is_Deseret}', "");
    Expect(0, 66639, '\P{_Is_Deseret}', "");
    Expect(1, 66639, '\P{^_Is_Deseret}', "");
    Expect(0, 66640, '\p{_Is_Deseret}', "");
    Expect(1, 66640, '\p{^_Is_Deseret}', "");
    Expect(1, 66640, '\P{_Is_Deseret}', "");
    Expect(0, 66640, '\P{^_Is_Deseret}', "");
    Error('\p{	:=DSRT}');
    Error('\P{	:=DSRT}');
    Expect(1, 66639, '\p{dsrt}', "");
    Expect(0, 66639, '\p{^dsrt}', "");
    Expect(0, 66639, '\P{dsrt}', "");
    Expect(1, 66639, '\P{^dsrt}', "");
    Expect(0, 66640, '\p{dsrt}', "");
    Expect(1, 66640, '\p{^dsrt}', "");
    Expect(1, 66640, '\P{dsrt}', "");
    Expect(0, 66640, '\P{^dsrt}', "");
    Expect(1, 66639, '\p{	DSRT}', "");
    Expect(0, 66639, '\p{^	DSRT}', "");
    Expect(0, 66639, '\P{	DSRT}', "");
    Expect(1, 66639, '\P{^	DSRT}', "");
    Expect(0, 66640, '\p{	DSRT}', "");
    Expect(1, 66640, '\p{^	DSRT}', "");
    Expect(1, 66640, '\P{	DSRT}', "");
    Expect(0, 66640, '\P{^	DSRT}', "");
    Error('\p{- IS_dsrt/a/}');
    Error('\P{- IS_dsrt/a/}');
    Expect(1, 66639, '\p{isdsrt}', "");
    Expect(0, 66639, '\p{^isdsrt}', "");
    Expect(0, 66639, '\P{isdsrt}', "");
    Expect(1, 66639, '\P{^isdsrt}', "");
    Expect(0, 66640, '\p{isdsrt}', "");
    Expect(1, 66640, '\p{^isdsrt}', "");
    Expect(1, 66640, '\P{isdsrt}', "");
    Expect(0, 66640, '\P{^isdsrt}', "");
    Expect(1, 66639, '\p{ IS_dsrt}', "");
    Expect(0, 66639, '\p{^ IS_dsrt}', "");
    Expect(0, 66639, '\P{ IS_dsrt}', "");
    Expect(1, 66639, '\P{^ IS_dsrt}', "");
    Expect(0, 66640, '\p{ IS_dsrt}', "");
    Expect(1, 66640, '\p{^ IS_dsrt}', "");
    Expect(1, 66640, '\P{ IS_dsrt}', "");
    Expect(0, 66640, '\P{^ IS_dsrt}', "");
    Error('\p{	_Devanagari:=}');
    Error('\P{	_Devanagari:=}');
    Expect(1, 43263, '\p{devanagari}', "");
    Expect(0, 43263, '\p{^devanagari}', "");
    Expect(0, 43263, '\P{devanagari}', "");
    Expect(1, 43263, '\P{^devanagari}', "");
    Expect(0, 43264, '\p{devanagari}', "");
    Expect(1, 43264, '\p{^devanagari}', "");
    Expect(1, 43264, '\P{devanagari}', "");
    Expect(0, 43264, '\P{^devanagari}', "");
    Expect(1, 43263, '\p{ -Devanagari}', "");
    Expect(0, 43263, '\p{^ -Devanagari}', "");
    Expect(0, 43263, '\P{ -Devanagari}', "");
    Expect(1, 43263, '\P{^ -Devanagari}', "");
    Expect(0, 43264, '\p{ -Devanagari}', "");
    Expect(1, 43264, '\p{^ -Devanagari}', "");
    Expect(1, 43264, '\P{ -Devanagari}', "");
    Expect(0, 43264, '\P{^ -Devanagari}', "");
    Error('\p{	 IS_DEVANAGARI/a/}');
    Error('\P{	 IS_DEVANAGARI/a/}');
    Expect(1, 43263, '\p{isdevanagari}', "");
    Expect(0, 43263, '\p{^isdevanagari}', "");
    Expect(0, 43263, '\P{isdevanagari}', "");
    Expect(1, 43263, '\P{^isdevanagari}', "");
    Expect(0, 43264, '\p{isdevanagari}', "");
    Expect(1, 43264, '\p{^isdevanagari}', "");
    Expect(1, 43264, '\P{isdevanagari}', "");
    Expect(0, 43264, '\P{^isdevanagari}', "");
    Expect(1, 43263, '\p{	Is_devanagari}', "");
    Expect(0, 43263, '\p{^	Is_devanagari}', "");
    Expect(0, 43263, '\P{	Is_devanagari}', "");
    Expect(1, 43263, '\P{^	Is_devanagari}', "");
    Expect(0, 43264, '\p{	Is_devanagari}', "");
    Expect(1, 43264, '\p{^	Is_devanagari}', "");
    Expect(1, 43264, '\P{	Is_devanagari}', "");
    Expect(0, 43264, '\P{^	Is_devanagari}', "");
    Error('\p{ DEVA/a/}');
    Error('\P{ DEVA/a/}');
    Expect(1, 43263, '\p{deva}', "");
    Expect(0, 43263, '\p{^deva}', "");
    Expect(0, 43263, '\P{deva}', "");
    Expect(1, 43263, '\P{^deva}', "");
    Expect(0, 43264, '\p{deva}', "");
    Expect(1, 43264, '\p{^deva}', "");
    Expect(1, 43264, '\P{deva}', "");
    Expect(0, 43264, '\P{^deva}', "");
    Expect(1, 43263, '\p{	 deva}', "");
    Expect(0, 43263, '\p{^	 deva}', "");
    Expect(0, 43263, '\P{	 deva}', "");
    Expect(1, 43263, '\P{^	 deva}', "");
    Expect(0, 43264, '\p{	 deva}', "");
    Expect(1, 43264, '\p{^	 deva}', "");
    Expect(1, 43264, '\P{	 deva}', "");
    Expect(0, 43264, '\P{^	 deva}', "");
    Error('\p{	-Is_Deva/a/}');
    Error('\P{	-Is_Deva/a/}');
    Expect(1, 43263, '\p{isdeva}', "");
    Expect(0, 43263, '\p{^isdeva}', "");
    Expect(0, 43263, '\P{isdeva}', "");
    Expect(1, 43263, '\P{^isdeva}', "");
    Expect(0, 43264, '\p{isdeva}', "");
    Expect(1, 43264, '\p{^isdeva}', "");
    Expect(1, 43264, '\P{isdeva}', "");
    Expect(0, 43264, '\P{^isdeva}', "");
    Expect(1, 43263, '\p{	Is_DEVA}', "");
    Expect(0, 43263, '\p{^	Is_DEVA}', "");
    Expect(0, 43263, '\P{	Is_DEVA}', "");
    Expect(1, 43263, '\P{^	Is_DEVA}', "");
    Expect(0, 43264, '\p{	Is_DEVA}', "");
    Expect(1, 43264, '\p{^	Is_DEVA}', "");
    Expect(1, 43264, '\P{	Is_DEVA}', "");
    Expect(0, 43264, '\P{^	Is_DEVA}', "");
    Error('\p{-devanagari_extended:=}');
    Error('\P{-devanagari_extended:=}');
    Expect(1, 43263, '\p{devanagariextended}', "");
    Expect(0, 43263, '\p{^devanagariextended}', "");
    Expect(0, 43263, '\P{devanagariextended}', "");
    Expect(1, 43263, '\P{^devanagariextended}', "");
    Expect(0, 43264, '\p{devanagariextended}', "");
    Expect(1, 43264, '\p{^devanagariextended}', "");
    Expect(1, 43264, '\P{devanagariextended}', "");
    Expect(0, 43264, '\P{^devanagariextended}', "");
    Expect(1, 43263, '\p{__Devanagari_extended}', "");
    Expect(0, 43263, '\p{^__Devanagari_extended}', "");
    Expect(0, 43263, '\P{__Devanagari_extended}', "");
    Expect(1, 43263, '\P{^__Devanagari_extended}', "");
    Expect(0, 43264, '\p{__Devanagari_extended}', "");
    Expect(1, 43264, '\p{^__Devanagari_extended}', "");
    Expect(1, 43264, '\P{__Devanagari_extended}', "");
    Expect(0, 43264, '\P{^__Devanagari_extended}', "");
    Error('\p{:=--IS_Devanagari_Extended}');
    Error('\P{:=--IS_Devanagari_Extended}');
    Expect(1, 43263, '\p{isdevanagariextended}', "");
    Expect(0, 43263, '\p{^isdevanagariextended}', "");
    Expect(0, 43263, '\P{isdevanagariextended}', "");
    Expect(1, 43263, '\P{^isdevanagariextended}', "");
    Expect(0, 43264, '\p{isdevanagariextended}', "");
    Expect(1, 43264, '\p{^isdevanagariextended}', "");
    Expect(1, 43264, '\P{isdevanagariextended}', "");
    Expect(0, 43264, '\P{^isdevanagariextended}', "");
    Expect(1, 43263, '\p{  Is_devanagari_Extended}', "");
    Expect(0, 43263, '\p{^  Is_devanagari_Extended}', "");
    Expect(0, 43263, '\P{  Is_devanagari_Extended}', "");
    Expect(1, 43263, '\P{^  Is_devanagari_Extended}', "");
    Expect(0, 43264, '\p{  Is_devanagari_Extended}', "");
    Expect(1, 43264, '\p{^  Is_devanagari_Extended}', "");
    Expect(1, 43264, '\P{  Is_devanagari_Extended}', "");
    Expect(0, 43264, '\P{^  Is_devanagari_Extended}', "");
    Error('\p{:=_IN_DEVANAGARI_Extended}');
    Error('\P{:=_IN_DEVANAGARI_Extended}');
    Expect(1, 43263, '\p{indevanagariextended}', "");
    Expect(0, 43263, '\p{^indevanagariextended}', "");
    Expect(0, 43263, '\P{indevanagariextended}', "");
    Expect(1, 43263, '\P{^indevanagariextended}', "");
    Expect(0, 43264, '\p{indevanagariextended}', "");
    Expect(1, 43264, '\p{^indevanagariextended}', "");
    Expect(1, 43264, '\P{indevanagariextended}', "");
    Expect(0, 43264, '\P{^indevanagariextended}', "");
    Expect(1, 43263, '\p{ in_Devanagari_Extended}', "");
    Expect(0, 43263, '\p{^ in_Devanagari_Extended}', "");
    Expect(0, 43263, '\P{ in_Devanagari_Extended}', "");
    Expect(1, 43263, '\P{^ in_Devanagari_Extended}', "");
    Expect(0, 43264, '\p{ in_Devanagari_Extended}', "");
    Expect(1, 43264, '\p{^ in_Devanagari_Extended}', "");
    Expect(1, 43264, '\P{ in_Devanagari_Extended}', "");
    Expect(0, 43264, '\P{^ in_Devanagari_Extended}', "");
    Error('\p{ _Devanagari_ext:=}');
    Error('\P{ _Devanagari_ext:=}');
    Expect(1, 43263, '\p{devanagariext}', "");
    Expect(0, 43263, '\p{^devanagariext}', "");
    Expect(0, 43263, '\P{devanagariext}', "");
    Expect(1, 43263, '\P{^devanagariext}', "");
    Expect(0, 43264, '\p{devanagariext}', "");
    Expect(1, 43264, '\p{^devanagariext}', "");
    Expect(1, 43264, '\P{devanagariext}', "");
    Expect(0, 43264, '\P{^devanagariext}', "");
    Expect(1, 43263, '\p{_Devanagari_EXT}', "");
    Expect(0, 43263, '\p{^_Devanagari_EXT}', "");
    Expect(0, 43263, '\P{_Devanagari_EXT}', "");
    Expect(1, 43263, '\P{^_Devanagari_EXT}', "");
    Expect(0, 43264, '\p{_Devanagari_EXT}', "");
    Expect(1, 43264, '\p{^_Devanagari_EXT}', "");
    Expect(1, 43264, '\P{_Devanagari_EXT}', "");
    Expect(0, 43264, '\P{^_Devanagari_EXT}', "");
    Error('\p{ _is_DEVANAGARI_Ext:=}');
    Error('\P{ _is_DEVANAGARI_Ext:=}');
    Expect(1, 43263, '\p{isdevanagariext}', "");
    Expect(0, 43263, '\p{^isdevanagariext}', "");
    Expect(0, 43263, '\P{isdevanagariext}', "");
    Expect(1, 43263, '\P{^isdevanagariext}', "");
    Expect(0, 43264, '\p{isdevanagariext}', "");
    Expect(1, 43264, '\p{^isdevanagariext}', "");
    Expect(1, 43264, '\P{isdevanagariext}', "");
    Expect(0, 43264, '\P{^isdevanagariext}', "");
    Expect(1, 43263, '\p{_ IS_DEVANAGARI_ext}', "");
    Expect(0, 43263, '\p{^_ IS_DEVANAGARI_ext}', "");
    Expect(0, 43263, '\P{_ IS_DEVANAGARI_ext}', "");
    Expect(1, 43263, '\P{^_ IS_DEVANAGARI_ext}', "");
    Expect(0, 43264, '\p{_ IS_DEVANAGARI_ext}', "");
    Expect(1, 43264, '\p{^_ IS_DEVANAGARI_ext}', "");
    Expect(1, 43264, '\P{_ IS_DEVANAGARI_ext}', "");
    Expect(0, 43264, '\P{^_ IS_DEVANAGARI_ext}', "");
    Error('\p{		IN_devanagari_Ext/a/}');
    Error('\P{		IN_devanagari_Ext/a/}');
    Expect(1, 43263, '\p{indevanagariext}', "");
    Expect(0, 43263, '\p{^indevanagariext}', "");
    Expect(0, 43263, '\P{indevanagariext}', "");
    Expect(1, 43263, '\P{^indevanagariext}', "");
    Expect(0, 43264, '\p{indevanagariext}', "");
    Expect(1, 43264, '\p{^indevanagariext}', "");
    Expect(1, 43264, '\P{indevanagariext}', "");
    Expect(0, 43264, '\P{^indevanagariext}', "");
    Expect(1, 43263, '\p{--In_devanagari_ext}', "");
    Expect(0, 43263, '\p{^--In_devanagari_ext}', "");
    Expect(0, 43263, '\P{--In_devanagari_ext}', "");
    Expect(1, 43263, '\P{^--In_devanagari_ext}', "");
    Expect(0, 43264, '\p{--In_devanagari_ext}', "");
    Expect(1, 43264, '\p{^--In_devanagari_ext}', "");
    Expect(1, 43264, '\P{--In_devanagari_ext}', "");
    Expect(0, 43264, '\P{^--In_devanagari_ext}', "");
    Error('\p{ :=diacritic}');
    Error('\P{ :=diacritic}');
    Expect(1, 125258, '\p{diacritic}', "");
    Expect(0, 125258, '\p{^diacritic}', "");
    Expect(0, 125258, '\P{diacritic}', "");
    Expect(1, 125258, '\P{^diacritic}', "");
    Expect(0, 125259, '\p{diacritic}', "");
    Expect(1, 125259, '\p{^diacritic}', "");
    Expect(1, 125259, '\P{diacritic}', "");
    Expect(0, 125259, '\P{^diacritic}', "");
    Expect(1, 125258, '\p{-	Diacritic}', "");
    Expect(0, 125258, '\p{^-	Diacritic}', "");
    Expect(0, 125258, '\P{-	Diacritic}', "");
    Expect(1, 125258, '\P{^-	Diacritic}', "");
    Expect(0, 125259, '\p{-	Diacritic}', "");
    Expect(1, 125259, '\p{^-	Diacritic}', "");
    Expect(1, 125259, '\P{-	Diacritic}', "");
    Expect(0, 125259, '\P{^-	Diacritic}', "");
    Error('\p{ :=Is_Diacritic}');
    Error('\P{ :=Is_Diacritic}');
    Expect(1, 125258, '\p{isdiacritic}', "");
    Expect(0, 125258, '\p{^isdiacritic}', "");
    Expect(0, 125258, '\P{isdiacritic}', "");
    Expect(1, 125258, '\P{^isdiacritic}', "");
    Expect(0, 125259, '\p{isdiacritic}', "");
    Expect(1, 125259, '\p{^isdiacritic}', "");
    Expect(1, 125259, '\P{isdiacritic}', "");
    Expect(0, 125259, '\P{^isdiacritic}', "");
    Expect(1, 125258, '\p{__IS_DIACRITIC}', "");
    Expect(0, 125258, '\p{^__IS_DIACRITIC}', "");
    Expect(0, 125258, '\P{__IS_DIACRITIC}', "");
    Expect(1, 125258, '\P{^__IS_DIACRITIC}', "");
    Expect(0, 125259, '\p{__IS_DIACRITIC}', "");
    Expect(1, 125259, '\p{^__IS_DIACRITIC}', "");
    Expect(1, 125259, '\P{__IS_DIACRITIC}', "");
    Expect(0, 125259, '\P{^__IS_DIACRITIC}', "");
    Error('\p{/a/ -Dia}');
    Error('\P{/a/ -Dia}');
    Expect(1, 125258, '\p{dia}', "");
    Expect(0, 125258, '\p{^dia}', "");
    Expect(0, 125258, '\P{dia}', "");
    Expect(1, 125258, '\P{^dia}', "");
    Expect(0, 125259, '\p{dia}', "");
    Expect(1, 125259, '\p{^dia}', "");
    Expect(1, 125259, '\P{dia}', "");
    Expect(0, 125259, '\P{^dia}', "");
    Expect(1, 125258, '\p{		dia}', "");
    Expect(0, 125258, '\p{^		dia}', "");
    Expect(0, 125258, '\P{		dia}', "");
    Expect(1, 125258, '\P{^		dia}', "");
    Expect(0, 125259, '\p{		dia}', "");
    Expect(1, 125259, '\p{^		dia}', "");
    Expect(1, 125259, '\P{		dia}', "");
    Expect(0, 125259, '\P{^		dia}', "");
    Error('\p{  is_Dia:=}');
    Error('\P{  is_Dia:=}');
    Expect(1, 125258, '\p{isdia}', "");
    Expect(0, 125258, '\p{^isdia}', "");
    Expect(0, 125258, '\P{isdia}', "");
    Expect(1, 125258, '\P{^isdia}', "");
    Expect(0, 125259, '\p{isdia}', "");
    Expect(1, 125259, '\p{^isdia}', "");
    Expect(1, 125259, '\P{isdia}', "");
    Expect(0, 125259, '\P{^isdia}', "");
    Expect(1, 125258, '\p{ -Is_dia}', "");
    Expect(0, 125258, '\p{^ -Is_dia}', "");
    Expect(0, 125258, '\P{ -Is_dia}', "");
    Expect(1, 125258, '\P{^ -Is_dia}', "");
    Expect(0, 125259, '\p{ -Is_dia}', "");
    Expect(1, 125259, '\p{^ -Is_dia}', "");
    Expect(1, 125259, '\P{ -Is_dia}', "");
    Expect(0, 125259, '\P{^ -Is_dia}', "");
    Error('\p{  XPosixDigit:=}');
    Error('\P{  XPosixDigit:=}');
    Expect(1, 130041, '\p{xposixdigit}', "");
    Expect(0, 130041, '\p{^xposixdigit}', "");
    Expect(0, 130041, '\P{xposixdigit}', "");
    Expect(1, 130041, '\P{^xposixdigit}', "");
    Expect(0, 130042, '\p{xposixdigit}', "");
    Expect(1, 130042, '\p{^xposixdigit}', "");
    Expect(1, 130042, '\P{xposixdigit}', "");
    Expect(0, 130042, '\P{^xposixdigit}', "");
    Expect(1, 130041, '\p{XPosixDigit}', "");
    Expect(0, 130041, '\p{^XPosixDigit}', "");
    Expect(0, 130041, '\P{XPosixDigit}', "");
    Expect(1, 130041, '\P{^XPosixDigit}', "");
    Expect(0, 130042, '\p{XPosixDigit}', "");
    Expect(1, 130042, '\p{^XPosixDigit}', "");
    Expect(1, 130042, '\P{XPosixDigit}', "");
    Expect(0, 130042, '\P{^XPosixDigit}', "");
    Error('\p{_-Digit:=}');
    Error('\P{_-Digit:=}');
    Expect(1, 130041, '\p{digit}', "");
    Expect(0, 130041, '\p{^digit}', "");
    Expect(0, 130041, '\P{digit}', "");
    Expect(1, 130041, '\P{^digit}', "");
    Expect(0, 130042, '\p{digit}', "");
    Expect(1, 130042, '\p{^digit}', "");
    Expect(1, 130042, '\P{digit}', "");
    Expect(0, 130042, '\P{^digit}', "");
    Expect(1, 130041, '\p{- digit}', "");
    Expect(0, 130041, '\p{^- digit}', "");
    Expect(0, 130041, '\P{- digit}', "");
    Expect(1, 130041, '\P{^- digit}', "");
    Expect(0, 130042, '\p{- digit}', "");
    Expect(1, 130042, '\p{^- digit}', "");
    Expect(1, 130042, '\P{- digit}', "");
    Expect(0, 130042, '\P{^- digit}', "");
    Error('\p{- IS_XPosixDigit:=}');
    Error('\P{- IS_XPosixDigit:=}');
    Expect(1, 130041, '\p{isxposixdigit}', "");
    Expect(0, 130041, '\p{^isxposixdigit}', "");
    Expect(0, 130041, '\P{isxposixdigit}', "");
    Expect(1, 130041, '\P{^isxposixdigit}', "");
    Expect(0, 130042, '\p{isxposixdigit}', "");
    Expect(1, 130042, '\p{^isxposixdigit}', "");
    Expect(1, 130042, '\P{isxposixdigit}', "");
    Expect(0, 130042, '\P{^isxposixdigit}', "");
    Expect(1, 130041, '\p{ _Is_xposixdigit}', "");
    Expect(0, 130041, '\p{^ _Is_xposixdigit}', "");
    Expect(0, 130041, '\P{ _Is_xposixdigit}', "");
    Expect(1, 130041, '\P{^ _Is_xposixdigit}', "");
    Expect(0, 130042, '\p{ _Is_xposixdigit}', "");
    Expect(1, 130042, '\p{^ _Is_xposixdigit}', "");
    Expect(1, 130042, '\P{ _Is_xposixdigit}', "");
    Expect(0, 130042, '\P{^ _Is_xposixdigit}', "");
    Error('\p{:=_IS_digit}');
    Error('\P{:=_IS_digit}');
    Expect(1, 130041, '\p{isdigit}', "");
    Expect(0, 130041, '\p{^isdigit}', "");
    Expect(0, 130041, '\P{isdigit}', "");
    Expect(1, 130041, '\P{^isdigit}', "");
    Expect(0, 130042, '\p{isdigit}', "");
    Expect(1, 130042, '\p{^isdigit}', "");
    Expect(1, 130042, '\P{isdigit}', "");
    Expect(0, 130042, '\P{^isdigit}', "");
    Expect(1, 130041, '\p{ 	IS_Digit}', "");
    Expect(0, 130041, '\p{^ 	IS_Digit}', "");
    Expect(0, 130041, '\P{ 	IS_Digit}', "");
    Expect(1, 130041, '\P{^ 	IS_Digit}', "");
    Expect(0, 130042, '\p{ 	IS_Digit}', "");
    Expect(1, 130042, '\p{^ 	IS_Digit}', "");
    Expect(1, 130042, '\P{ 	IS_Digit}', "");
    Expect(0, 130042, '\P{^ 	IS_Digit}', "");
    Error('\p{/a/	 DECIMAL_Number}');
    Error('\P{/a/	 DECIMAL_Number}');
    Expect(1, 130041, '\p{decimalnumber}', "");
    Expect(0, 130041, '\p{^decimalnumber}', "");
    Expect(0, 130041, '\P{decimalnumber}', "");
    Expect(1, 130041, '\P{^decimalnumber}', "");
    Expect(0, 130042, '\p{decimalnumber}', "");
    Expect(1, 130042, '\p{^decimalnumber}', "");
    Expect(1, 130042, '\P{decimalnumber}', "");
    Expect(0, 130042, '\P{^decimalnumber}', "");
    Expect(1, 130041, '\p{	 DECIMAL_Number}', "");
    Expect(0, 130041, '\p{^	 DECIMAL_Number}', "");
    Expect(0, 130041, '\P{	 DECIMAL_Number}', "");
    Expect(1, 130041, '\P{^	 DECIMAL_Number}', "");
    Expect(0, 130042, '\p{	 DECIMAL_Number}', "");
    Expect(1, 130042, '\p{^	 DECIMAL_Number}', "");
    Expect(1, 130042, '\P{	 DECIMAL_Number}', "");
    Expect(0, 130042, '\P{^	 DECIMAL_Number}', "");
    Error('\p{	-IS_Decimal_number/a/}');
    Error('\P{	-IS_Decimal_number/a/}');
    Expect(1, 130041, '\p{isdecimalnumber}', "");
    Expect(0, 130041, '\p{^isdecimalnumber}', "");
    Expect(0, 130041, '\P{isdecimalnumber}', "");
    Expect(1, 130041, '\P{^isdecimalnumber}', "");
    Expect(0, 130042, '\p{isdecimalnumber}', "");
    Expect(1, 130042, '\p{^isdecimalnumber}', "");
    Expect(1, 130042, '\P{isdecimalnumber}', "");
    Expect(0, 130042, '\P{^isdecimalnumber}', "");
    Expect(1, 130041, '\p{	_Is_Decimal_Number}', "");
    Expect(0, 130041, '\p{^	_Is_Decimal_Number}', "");
    Expect(0, 130041, '\P{	_Is_Decimal_Number}', "");
    Expect(1, 130041, '\P{^	_Is_Decimal_Number}', "");
    Expect(0, 130042, '\p{	_Is_Decimal_Number}', "");
    Expect(1, 130042, '\p{^	_Is_Decimal_Number}', "");
    Expect(1, 130042, '\P{	_Is_Decimal_Number}', "");
    Expect(0, 130042, '\P{^	_Is_Decimal_Number}', "");
    Error('\p{/a/	-nd}');
    Error('\P{/a/	-nd}');
    Expect(1, 130041, '\p{nd}', "");
    Expect(0, 130041, '\p{^nd}', "");
    Expect(0, 130041, '\P{nd}', "");
    Expect(1, 130041, '\P{^nd}', "");
    Expect(0, 130042, '\p{nd}', "");
    Expect(1, 130042, '\p{^nd}', "");
    Expect(1, 130042, '\P{nd}', "");
    Expect(0, 130042, '\P{^nd}', "");
    Expect(1, 130041, '\p{_ nd}', "");
    Expect(0, 130041, '\p{^_ nd}', "");
    Expect(0, 130041, '\P{_ nd}', "");
    Expect(1, 130041, '\P{^_ nd}', "");
    Expect(0, 130042, '\p{_ nd}', "");
    Expect(1, 130042, '\p{^_ nd}', "");
    Expect(1, 130042, '\P{_ nd}', "");
    Expect(0, 130042, '\P{^_ nd}', "");
    Error('\p{:=_-Is_Nd}');
    Error('\P{:=_-Is_Nd}');
    Expect(1, 130041, '\p{isnd}', "");
    Expect(0, 130041, '\p{^isnd}', "");
    Expect(0, 130041, '\P{isnd}', "");
    Expect(1, 130041, '\P{^isnd}', "");
    Expect(0, 130042, '\p{isnd}', "");
    Expect(1, 130042, '\p{^isnd}', "");
    Expect(1, 130042, '\P{isnd}', "");
    Expect(0, 130042, '\P{^isnd}', "");
    Expect(1, 130041, '\p{-is_Nd}', "");
    Expect(0, 130041, '\p{^-is_Nd}', "");
    Expect(0, 130041, '\P{-is_Nd}', "");
    Expect(1, 130041, '\P{^-is_Nd}', "");
    Expect(0, 130042, '\p{-is_Nd}', "");
    Expect(1, 130042, '\p{^-is_Nd}', "");
    Expect(1, 130042, '\P{-is_Nd}', "");
    Expect(0, 130042, '\P{^-is_Nd}', "");
    Error('\p{	 DINGBATS/a/}');
    Error('\P{	 DINGBATS/a/}');
    Expect(1, 10175, '\p{dingbats}', "");
    Expect(0, 10175, '\p{^dingbats}', "");
    Expect(0, 10175, '\P{dingbats}', "");
    Expect(1, 10175, '\P{^dingbats}', "");
    Expect(0, 10176, '\p{dingbats}', "");
    Expect(1, 10176, '\p{^dingbats}', "");
    Expect(1, 10176, '\P{dingbats}', "");
    Expect(0, 10176, '\P{^dingbats}', "");
    Expect(1, 10175, '\p{_DINGBATS}', "");
    Expect(0, 10175, '\p{^_DINGBATS}', "");
    Expect(0, 10175, '\P{_DINGBATS}', "");
    Expect(1, 10175, '\P{^_DINGBATS}', "");
    Expect(0, 10176, '\p{_DINGBATS}', "");
    Expect(1, 10176, '\p{^_DINGBATS}', "");
    Expect(1, 10176, '\P{_DINGBATS}', "");
    Expect(0, 10176, '\P{^_DINGBATS}', "");
    Error('\p{/a/-IS_dingbats}');
    Error('\P{/a/-IS_dingbats}');
    Expect(1, 10175, '\p{isdingbats}', "");
    Expect(0, 10175, '\p{^isdingbats}', "");
    Expect(0, 10175, '\P{isdingbats}', "");
    Expect(1, 10175, '\P{^isdingbats}', "");
    Expect(0, 10176, '\p{isdingbats}', "");
    Expect(1, 10176, '\p{^isdingbats}', "");
    Expect(1, 10176, '\P{isdingbats}', "");
    Expect(0, 10176, '\P{^isdingbats}', "");
    Expect(1, 10175, '\p{-_is_DINGBATS}', "");
    Expect(0, 10175, '\p{^-_is_DINGBATS}', "");
    Expect(0, 10175, '\P{-_is_DINGBATS}', "");
    Expect(1, 10175, '\P{^-_is_DINGBATS}', "");
    Expect(0, 10176, '\p{-_is_DINGBATS}', "");
    Expect(1, 10176, '\p{^-_is_DINGBATS}', "");
    Expect(1, 10176, '\P{-_is_DINGBATS}', "");
    Expect(0, 10176, '\P{^-_is_DINGBATS}', "");
    Error('\p{_	in_Dingbats/a/}');
    Error('\P{_	in_Dingbats/a/}');
    Expect(1, 10175, '\p{indingbats}', "");
    Expect(0, 10175, '\p{^indingbats}', "");
    Expect(0, 10175, '\P{indingbats}', "");
    Expect(1, 10175, '\P{^indingbats}', "");
    Expect(0, 10176, '\p{indingbats}', "");
    Expect(1, 10176, '\p{^indingbats}', "");
    Expect(1, 10176, '\P{indingbats}', "");
    Expect(0, 10176, '\P{^indingbats}', "");
    Expect(1, 10175, '\p{- in_Dingbats}', "");
    Expect(0, 10175, '\p{^- in_Dingbats}', "");
    Expect(0, 10175, '\P{- in_Dingbats}', "");
    Expect(1, 10175, '\P{^- in_Dingbats}', "");
    Expect(0, 10176, '\p{- in_Dingbats}', "");
    Expect(1, 10176, '\p{^- in_Dingbats}', "");
    Expect(1, 10176, '\P{- in_Dingbats}', "");
    Expect(0, 10176, '\P{^- in_Dingbats}', "");
    Error('\p{/a/_Dives_Akuru}');
    Error('\P{/a/_Dives_Akuru}');
    Expect(1, 72025, '\p{divesakuru}', "");
    Expect(0, 72025, '\p{^divesakuru}', "");
    Expect(0, 72025, '\P{divesakuru}', "");
    Expect(1, 72025, '\P{^divesakuru}', "");
    Expect(0, 72026, '\p{divesakuru}', "");
    Expect(1, 72026, '\p{^divesakuru}', "");
    Expect(1, 72026, '\P{divesakuru}', "");
    Expect(0, 72026, '\P{^divesakuru}', "");
    Expect(1, 72025, '\p{ _Dives_Akuru}', "");
    Expect(0, 72025, '\p{^ _Dives_Akuru}', "");
    Expect(0, 72025, '\P{ _Dives_Akuru}', "");
    Expect(1, 72025, '\P{^ _Dives_Akuru}', "");
    Expect(0, 72026, '\p{ _Dives_Akuru}', "");
    Expect(1, 72026, '\p{^ _Dives_Akuru}', "");
    Expect(1, 72026, '\P{ _Dives_Akuru}', "");
    Expect(0, 72026, '\P{^ _Dives_Akuru}', "");
    Error('\p{	Is_Dives_Akuru/a/}');
    Error('\P{	Is_Dives_Akuru/a/}');
    Expect(1, 72025, '\p{isdivesakuru}', "");
    Expect(0, 72025, '\p{^isdivesakuru}', "");
    Expect(0, 72025, '\P{isdivesakuru}', "");
    Expect(1, 72025, '\P{^isdivesakuru}', "");
    Expect(0, 72026, '\p{isdivesakuru}', "");
    Expect(1, 72026, '\p{^isdivesakuru}', "");
    Expect(1, 72026, '\P{isdivesakuru}', "");
    Expect(0, 72026, '\P{^isdivesakuru}', "");
    Expect(1, 72025, '\p{-_Is_DIVES_Akuru}', "");
    Expect(0, 72025, '\p{^-_Is_DIVES_Akuru}', "");
    Expect(0, 72025, '\P{-_Is_DIVES_Akuru}', "");
    Expect(1, 72025, '\P{^-_Is_DIVES_Akuru}', "");
    Expect(0, 72026, '\p{-_Is_DIVES_Akuru}', "");
    Expect(1, 72026, '\p{^-_Is_DIVES_Akuru}', "");
    Expect(1, 72026, '\P{-_Is_DIVES_Akuru}', "");
    Expect(0, 72026, '\P{^-_Is_DIVES_Akuru}', "");
    Error('\p{-/a/DIAK}');
    Error('\P{-/a/DIAK}');
    Expect(1, 72025, '\p{diak}', "");
    Expect(0, 72025, '\p{^diak}', "");
    Expect(0, 72025, '\P{diak}', "");
    Expect(1, 72025, '\P{^diak}', "");
    Expect(0, 72026, '\p{diak}', "");
    Expect(1, 72026, '\p{^diak}', "");
    Expect(1, 72026, '\P{diak}', "");
    Expect(0, 72026, '\P{^diak}', "");
    Expect(1, 72025, '\p{-	DIAK}', "");
    Expect(0, 72025, '\p{^-	DIAK}', "");
    Expect(0, 72025, '\P{-	DIAK}', "");
    Expect(1, 72025, '\P{^-	DIAK}', "");
    Expect(0, 72026, '\p{-	DIAK}', "");
    Expect(1, 72026, '\p{^-	DIAK}', "");
    Expect(1, 72026, '\P{-	DIAK}', "");
    Expect(0, 72026, '\P{^-	DIAK}', "");
    Error('\p{/a/-_Is_Diak}');
    Error('\P{/a/-_Is_Diak}');
    Expect(1, 72025, '\p{isdiak}', "");
    Expect(0, 72025, '\p{^isdiak}', "");
    Expect(0, 72025, '\P{isdiak}', "");
    Expect(1, 72025, '\P{^isdiak}', "");
    Expect(0, 72026, '\p{isdiak}', "");
    Expect(1, 72026, '\p{^isdiak}', "");
    Expect(1, 72026, '\P{isdiak}', "");
    Expect(0, 72026, '\P{^isdiak}', "");
    Expect(1, 72025, '\p{_ Is_Diak}', "");
    Expect(0, 72025, '\p{^_ Is_Diak}', "");
    Expect(0, 72025, '\P{_ Is_Diak}', "");
    Expect(1, 72025, '\P{^_ Is_Diak}', "");
    Expect(0, 72026, '\p{_ Is_Diak}', "");
    Expect(1, 72026, '\p{^_ Is_Diak}', "");
    Expect(1, 72026, '\P{_ Is_Diak}', "");
    Expect(0, 72026, '\P{^_ Is_Diak}', "");
    Error('\p{	/a/dogra}');
    Error('\P{	/a/dogra}');
    Expect(1, 71739, '\p{dogra}', "");
    Expect(0, 71739, '\p{^dogra}', "");
    Expect(0, 71739, '\P{dogra}', "");
    Expect(1, 71739, '\P{^dogra}', "");
    Expect(0, 71740, '\p{dogra}', "");
    Expect(1, 71740, '\p{^dogra}', "");
    Expect(1, 71740, '\P{dogra}', "");
    Expect(0, 71740, '\P{^dogra}', "");
    Expect(1, 71739, '\p{ DOGRA}', "");
    Expect(0, 71739, '\p{^ DOGRA}', "");
    Expect(0, 71739, '\P{ DOGRA}', "");
    Expect(1, 71739, '\P{^ DOGRA}', "");
    Expect(0, 71740, '\p{ DOGRA}', "");
    Expect(1, 71740, '\p{^ DOGRA}', "");
    Expect(1, 71740, '\P{ DOGRA}', "");
    Expect(0, 71740, '\P{^ DOGRA}', "");
    Error('\p{:=IS_Dogra}');
    Error('\P{:=IS_Dogra}');
    Expect(1, 71739, '\p{isdogra}', "");
    Expect(0, 71739, '\p{^isdogra}', "");
    Expect(0, 71739, '\P{isdogra}', "");
    Expect(1, 71739, '\P{^isdogra}', "");
    Expect(0, 71740, '\p{isdogra}', "");
    Expect(1, 71740, '\p{^isdogra}', "");
    Expect(1, 71740, '\P{isdogra}', "");
    Expect(0, 71740, '\P{^isdogra}', "");
    Expect(1, 71739, '\p{	-IS_DOGRA}', "");
    Expect(0, 71739, '\p{^	-IS_DOGRA}', "");
    Expect(0, 71739, '\P{	-IS_DOGRA}', "");
    Expect(1, 71739, '\P{^	-IS_DOGRA}', "");
    Expect(0, 71740, '\p{	-IS_DOGRA}', "");
    Expect(1, 71740, '\p{^	-IS_DOGRA}', "");
    Expect(1, 71740, '\P{	-IS_DOGRA}', "");
    Expect(0, 71740, '\P{^	-IS_DOGRA}', "");
    Error('\p{ :=DOGR}');
    Error('\P{ :=DOGR}');
    Expect(1, 71739, '\p{dogr}', "");
    Expect(0, 71739, '\p{^dogr}', "");
    Expect(0, 71739, '\P{dogr}', "");
    Expect(1, 71739, '\P{^dogr}', "");
    Expect(0, 71740, '\p{dogr}', "");
    Expect(1, 71740, '\p{^dogr}', "");
    Expect(1, 71740, '\P{dogr}', "");
    Expect(0, 71740, '\P{^dogr}', "");
    Expect(1, 71739, '\p{- dogr}', "");
    Expect(0, 71739, '\p{^- dogr}', "");
    Expect(0, 71739, '\P{- dogr}', "");
    Expect(1, 71739, '\P{^- dogr}', "");
    Expect(0, 71740, '\p{- dogr}', "");
    Expect(1, 71740, '\p{^- dogr}', "");
    Expect(1, 71740, '\P{- dogr}', "");
    Expect(0, 71740, '\P{^- dogr}', "");
    Error('\p{_/a/Is_DOGR}');
    Error('\P{_/a/Is_DOGR}');
    Expect(1, 71739, '\p{isdogr}', "");
    Expect(0, 71739, '\p{^isdogr}', "");
    Expect(0, 71739, '\P{isdogr}', "");
    Expect(1, 71739, '\P{^isdogr}', "");
    Expect(0, 71740, '\p{isdogr}', "");
    Expect(1, 71740, '\p{^isdogr}', "");
    Expect(1, 71740, '\P{isdogr}', "");
    Expect(0, 71740, '\P{^isdogr}', "");
    Expect(1, 71739, '\p{ IS_dogr}', "");
    Expect(0, 71739, '\p{^ IS_dogr}', "");
    Expect(0, 71739, '\P{ IS_dogr}', "");
    Expect(1, 71739, '\P{^ IS_dogr}', "");
    Expect(0, 71740, '\p{ IS_dogr}', "");
    Expect(1, 71740, '\p{^ IS_dogr}', "");
    Expect(1, 71740, '\P{ IS_dogr}', "");
    Expect(0, 71740, '\P{^ IS_dogr}', "");
    Error('\p{	 DOMINO_Tiles/a/}');
    Error('\P{	 DOMINO_Tiles/a/}');
    Expect(1, 127135, '\p{dominotiles}', "");
    Expect(0, 127135, '\p{^dominotiles}', "");
    Expect(0, 127135, '\P{dominotiles}', "");
    Expect(1, 127135, '\P{^dominotiles}', "");
    Expect(0, 127136, '\p{dominotiles}', "");
    Expect(1, 127136, '\p{^dominotiles}', "");
    Expect(1, 127136, '\P{dominotiles}', "");
    Expect(0, 127136, '\P{^dominotiles}', "");
    Expect(1, 127135, '\p{_Domino_tiles}', "");
    Expect(0, 127135, '\p{^_Domino_tiles}', "");
    Expect(0, 127135, '\P{_Domino_tiles}', "");
    Expect(1, 127135, '\P{^_Domino_tiles}', "");
    Expect(0, 127136, '\p{_Domino_tiles}', "");
    Expect(1, 127136, '\p{^_Domino_tiles}', "");
    Expect(1, 127136, '\P{_Domino_tiles}', "");
    Expect(0, 127136, '\P{^_Domino_tiles}', "");
    Error('\p{:=  IS_Domino_TILES}');
    Error('\P{:=  IS_Domino_TILES}');
    Expect(1, 127135, '\p{isdominotiles}', "");
    Expect(0, 127135, '\p{^isdominotiles}', "");
    Expect(0, 127135, '\P{isdominotiles}', "");
    Expect(1, 127135, '\P{^isdominotiles}', "");
    Expect(0, 127136, '\p{isdominotiles}', "");
    Expect(1, 127136, '\p{^isdominotiles}', "");
    Expect(1, 127136, '\P{isdominotiles}', "");
    Expect(0, 127136, '\P{^isdominotiles}', "");
    Expect(1, 127135, '\p{		is_domino_Tiles}', "");
    Expect(0, 127135, '\p{^		is_domino_Tiles}', "");
    Expect(0, 127135, '\P{		is_domino_Tiles}', "");
    Expect(1, 127135, '\P{^		is_domino_Tiles}', "");
    Expect(0, 127136, '\p{		is_domino_Tiles}', "");
    Expect(1, 127136, '\p{^		is_domino_Tiles}', "");
    Expect(1, 127136, '\P{		is_domino_Tiles}', "");
    Expect(0, 127136, '\P{^		is_domino_Tiles}', "");
    Error('\p{/a/-_In_domino_Tiles}');
    Error('\P{/a/-_In_domino_Tiles}');
    Expect(1, 127135, '\p{indominotiles}', "");
    Expect(0, 127135, '\p{^indominotiles}', "");
    Expect(0, 127135, '\P{indominotiles}', "");
    Expect(1, 127135, '\P{^indominotiles}', "");
    Expect(0, 127136, '\p{indominotiles}', "");
    Expect(1, 127136, '\p{^indominotiles}', "");
    Expect(1, 127136, '\P{indominotiles}', "");
    Expect(0, 127136, '\P{^indominotiles}', "");
    Expect(1, 127135, '\p{	 IN_Domino_Tiles}', "");
    Expect(0, 127135, '\p{^	 IN_Domino_Tiles}', "");
    Expect(0, 127135, '\P{	 IN_Domino_Tiles}', "");
    Expect(1, 127135, '\P{^	 IN_Domino_Tiles}', "");
    Expect(0, 127136, '\p{	 IN_Domino_Tiles}', "");
    Expect(1, 127136, '\p{^	 IN_Domino_Tiles}', "");
    Expect(1, 127136, '\P{	 IN_Domino_Tiles}', "");
    Expect(0, 127136, '\P{^	 IN_Domino_Tiles}', "");
    Error('\p{ 	domino/a/}');
    Error('\P{ 	domino/a/}');
    Expect(1, 127135, '\p{domino}', "");
    Expect(0, 127135, '\p{^domino}', "");
    Expect(0, 127135, '\P{domino}', "");
    Expect(1, 127135, '\P{^domino}', "");
    Expect(0, 127136, '\p{domino}', "");
    Expect(1, 127136, '\p{^domino}', "");
    Expect(1, 127136, '\P{domino}', "");
    Expect(0, 127136, '\P{^domino}', "");
    Expect(1, 127135, '\p{ _Domino}', "");
    Expect(0, 127135, '\p{^ _Domino}', "");
    Expect(0, 127135, '\P{ _Domino}', "");
    Expect(1, 127135, '\P{^ _Domino}', "");
    Expect(0, 127136, '\p{ _Domino}', "");
    Expect(1, 127136, '\p{^ _Domino}', "");
    Expect(1, 127136, '\P{ _Domino}', "");
    Expect(0, 127136, '\P{^ _Domino}', "");
    Error('\p{_/a/Is_Domino}');
    Error('\P{_/a/Is_Domino}');
    Expect(1, 127135, '\p{isdomino}', "");
    Expect(0, 127135, '\p{^isdomino}', "");
    Expect(0, 127135, '\P{isdomino}', "");
    Expect(1, 127135, '\P{^isdomino}', "");
    Expect(0, 127136, '\p{isdomino}', "");
    Expect(1, 127136, '\p{^isdomino}', "");
    Expect(1, 127136, '\P{isdomino}', "");
    Expect(0, 127136, '\P{^isdomino}', "");
    Expect(1, 127135, '\p{-Is_Domino}', "");
    Expect(0, 127135, '\p{^-Is_Domino}', "");
    Expect(0, 127135, '\P{-Is_Domino}', "");
    Expect(1, 127135, '\P{^-Is_Domino}', "");
    Expect(0, 127136, '\p{-Is_Domino}', "");
    Expect(1, 127136, '\p{^-Is_Domino}', "");
    Expect(1, 127136, '\P{-Is_Domino}', "");
    Expect(0, 127136, '\P{^-Is_Domino}', "");
    Error('\p{:=__IN_domino}');
    Error('\P{:=__IN_domino}');
    Expect(1, 127135, '\p{indomino}', "");
    Expect(0, 127135, '\p{^indomino}', "");
    Expect(0, 127135, '\P{indomino}', "");
    Expect(1, 127135, '\P{^indomino}', "");
    Expect(0, 127136, '\p{indomino}', "");
    Expect(1, 127136, '\p{^indomino}', "");
    Expect(1, 127136, '\P{indomino}', "");
    Expect(0, 127136, '\P{^indomino}', "");
    Expect(1, 127135, '\p{__IN_domino}', "");
    Expect(0, 127135, '\p{^__IN_domino}', "");
    Expect(0, 127135, '\P{__IN_domino}', "");
    Expect(1, 127135, '\P{^__IN_domino}', "");
    Expect(0, 127136, '\p{__IN_domino}', "");
    Expect(1, 127136, '\p{^__IN_domino}', "");
    Expect(1, 127136, '\P{__IN_domino}', "");
    Expect(0, 127136, '\P{^__IN_domino}', "");
    Error('\p{- Duployan:=}');
    Error('\P{- Duployan:=}');
    Expect(1, 113827, '\p{duployan}', "");
    Expect(0, 113827, '\p{^duployan}', "");
    Expect(0, 113827, '\P{duployan}', "");
    Expect(1, 113827, '\P{^duployan}', "");
    Expect(0, 113828, '\p{duployan}', "");
    Expect(1, 113828, '\p{^duployan}', "");
    Expect(1, 113828, '\P{duployan}', "");
    Expect(0, 113828, '\P{^duployan}', "");
    Expect(1, 113827, '\p{__Duployan}', "");
    Expect(0, 113827, '\p{^__Duployan}', "");
    Expect(0, 113827, '\P{__Duployan}', "");
    Expect(1, 113827, '\P{^__Duployan}', "");
    Expect(0, 113828, '\p{__Duployan}', "");
    Expect(1, 113828, '\p{^__Duployan}', "");
    Expect(1, 113828, '\P{__Duployan}', "");
    Expect(0, 113828, '\P{^__Duployan}', "");
    Error('\p{-/a/Is_duployan}');
    Error('\P{-/a/Is_duployan}');
    Expect(1, 113827, '\p{isduployan}', "");
    Expect(0, 113827, '\p{^isduployan}', "");
    Expect(0, 113827, '\P{isduployan}', "");
    Expect(1, 113827, '\P{^isduployan}', "");
    Expect(0, 113828, '\p{isduployan}', "");
    Expect(1, 113828, '\p{^isduployan}', "");
    Expect(1, 113828, '\P{isduployan}', "");
    Expect(0, 113828, '\P{^isduployan}', "");
    Expect(1, 113827, '\p{ Is_DUPLOYAN}', "");
    Expect(0, 113827, '\p{^ Is_DUPLOYAN}', "");
    Expect(0, 113827, '\P{ Is_DUPLOYAN}', "");
    Expect(1, 113827, '\P{^ Is_DUPLOYAN}', "");
    Expect(0, 113828, '\p{ Is_DUPLOYAN}', "");
    Expect(1, 113828, '\p{^ Is_DUPLOYAN}', "");
    Expect(1, 113828, '\P{ Is_DUPLOYAN}', "");
    Expect(0, 113828, '\P{^ Is_DUPLOYAN}', "");
    Error('\p{_-DUPL:=}');
    Error('\P{_-DUPL:=}');
    Expect(1, 113827, '\p{dupl}', "");
    Expect(0, 113827, '\p{^dupl}', "");
    Expect(0, 113827, '\P{dupl}', "");
    Expect(1, 113827, '\P{^dupl}', "");
    Expect(0, 113828, '\p{dupl}', "");
    Expect(1, 113828, '\p{^dupl}', "");
    Expect(1, 113828, '\P{dupl}', "");
    Expect(0, 113828, '\P{^dupl}', "");
    Expect(1, 113827, '\p{	-Dupl}', "");
    Expect(0, 113827, '\p{^	-Dupl}', "");
    Expect(0, 113827, '\P{	-Dupl}', "");
    Expect(1, 113827, '\P{^	-Dupl}', "");
    Expect(0, 113828, '\p{	-Dupl}', "");
    Expect(1, 113828, '\p{^	-Dupl}', "");
    Expect(1, 113828, '\P{	-Dupl}', "");
    Expect(0, 113828, '\P{^	-Dupl}', "");
    Error('\p{-	IS_Dupl:=}');
    Error('\P{-	IS_Dupl:=}');
    Expect(1, 113827, '\p{isdupl}', "");
    Expect(0, 113827, '\p{^isdupl}', "");
    Expect(0, 113827, '\P{isdupl}', "");
    Expect(1, 113827, '\P{^isdupl}', "");
    Expect(0, 113828, '\p{isdupl}', "");
    Expect(1, 113828, '\p{^isdupl}', "");
    Expect(1, 113828, '\P{isdupl}', "");
    Expect(0, 113828, '\P{^isdupl}', "");
    Expect(1, 113827, '\p{ Is_Dupl}', "");
    Expect(0, 113827, '\p{^ Is_Dupl}', "");
    Expect(0, 113827, '\P{ Is_Dupl}', "");
    Expect(1, 113827, '\P{^ Is_Dupl}', "");
    Expect(0, 113828, '\p{ Is_Dupl}', "");
    Expect(1, 113828, '\p{^ Is_Dupl}', "");
    Expect(1, 113828, '\P{ Is_Dupl}', "");
    Expect(0, 113828, '\P{^ Is_Dupl}', "");
    Error('\p{-	Early_Dynastic_CUNEIFORM/a/}');
    Error('\P{-	Early_Dynastic_CUNEIFORM/a/}');
    Expect(1, 75087, '\p{earlydynasticcuneiform}', "");
    Expect(0, 75087, '\p{^earlydynasticcuneiform}', "");
    Expect(0, 75087, '\P{earlydynasticcuneiform}', "");
    Expect(1, 75087, '\P{^earlydynasticcuneiform}', "");
    Expect(0, 75088, '\p{earlydynasticcuneiform}', "");
    Expect(1, 75088, '\p{^earlydynasticcuneiform}', "");
    Expect(1, 75088, '\P{earlydynasticcuneiform}', "");
    Expect(0, 75088, '\P{^earlydynasticcuneiform}', "");
    Expect(1, 75087, '\p{-_EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75087, '\p{^-_EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75087, '\P{-_EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75087, '\P{^-_EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75088, '\p{-_EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75088, '\p{^-_EARLY_Dynastic_Cuneiform}', "");
    Expect(1, 75088, '\P{-_EARLY_Dynastic_Cuneiform}', "");
    Expect(0, 75088, '\P{^-_EARLY_Dynastic_Cuneiform}', "");
    Error('\p{ IS_EARLY_Dynastic_Cuneiform/a/}');
    Error('\P{ IS_EARLY_Dynastic_Cuneiform/a/}');
    Expect(1, 75087, '\p{isearlydynasticcuneiform}', "");
    Expect(0, 75087, '\p{^isearlydynasticcuneiform}', "");
    Expect(0, 75087, '\P{isearlydynasticcuneiform}', "");
    Expect(1, 75087, '\P{^isearlydynasticcuneiform}', "");
    Expect(0, 75088, '\p{isearlydynasticcuneiform}', "");
    Expect(1, 75088, '\p{^isearlydynasticcuneiform}', "");
    Expect(1, 75088, '\P{isearlydynasticcuneiform}', "");
    Expect(0, 75088, '\P{^isearlydynasticcuneiform}', "");
    Expect(1, 75087, '\p{_-Is_EARLY_dynastic_Cuneiform}', "");
    Expect(0, 75087, '\p{^_-Is_EARLY_dynastic_Cuneiform}', "");
    Expect(0, 75087, '\P{_-Is_EARLY_dynastic_Cuneiform}', "");
    Expect(1, 75087, '\P{^_-Is_EARLY_dynastic_Cuneiform}', "");
    Expect(0, 75088, '\p{_-Is_EARLY_dynastic_Cuneiform}', "");
    Expect(1, 75088, '\p{^_-Is_EARLY_dynastic_Cuneiform}', "");
    Expect(1, 75088, '\P{_-Is_EARLY_dynastic_Cuneiform}', "");
    Expect(0, 75088, '\P{^_-Is_EARLY_dynastic_Cuneiform}', "");
    Error('\p{ :=In_EARLY_dynastic_Cuneiform}');
    Error('\P{ :=In_EARLY_dynastic_Cuneiform}');
    Expect(1, 75087, '\p{inearlydynasticcuneiform}', "");
    Expect(0, 75087, '\p{^inearlydynasticcuneiform}', "");
    Expect(0, 75087, '\P{inearlydynasticcuneiform}', "");
    Expect(1, 75087, '\P{^inearlydynasticcuneiform}', "");
    Expect(0, 75088, '\p{inearlydynasticcuneiform}', "");
    Expect(1, 75088, '\p{^inearlydynasticcuneiform}', "");
    Expect(1, 75088, '\P{inearlydynasticcuneiform}', "");
    Expect(0, 75088, '\P{^inearlydynasticcuneiform}', "");
    Expect(1, 75087, '\p{ 	in_Early_dynastic_Cuneiform}', "");
    Expect(0, 75087, '\p{^ 	in_Early_dynastic_Cuneiform}', "");
    Expect(0, 75087, '\P{ 	in_Early_dynastic_Cuneiform}', "");
    Expect(1, 75087, '\P{^ 	in_Early_dynastic_Cuneiform}', "");
    Expect(0, 75088, '\p{ 	in_Early_dynastic_Cuneiform}', "");
    Expect(1, 75088, '\p{^ 	in_Early_dynastic_Cuneiform}', "");
    Expect(1, 75088, '\P{ 	in_Early_dynastic_Cuneiform}', "");
    Expect(0, 75088, '\P{^ 	in_Early_dynastic_Cuneiform}', "");
    Error('\p{/a/Egyptian_Hieroglyph_FORMAT_controls}');
    Error('\P{/a/Egyptian_Hieroglyph_FORMAT_controls}');
    Expect(1, 78911, '\p{egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\p{^egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\P{egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\P{^egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\p{egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\p{^egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\P{egyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\P{^egyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\p{	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78911, '\p{^	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78911, '\P{	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(1, 78911, '\P{^	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78912, '\p{	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(1, 78912, '\p{^	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(1, 78912, '\P{	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Expect(0, 78912, '\P{^	EGYPTIAN_Hieroglyph_Format_Controls}', "");
    Error('\p{ 	is_egyptian_hieroglyph_Format_CONTROLS/a/}');
    Error('\P{ 	is_egyptian_hieroglyph_Format_CONTROLS/a/}');
    Expect(1, 78911, '\p{isegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\p{^isegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\P{isegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\P{^isegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\p{isegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\p{^isegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\P{isegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\P{^isegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\p{_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Expect(0, 78911, '\p{^_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Expect(0, 78911, '\P{_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Expect(1, 78911, '\P{^_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Expect(0, 78912, '\p{_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Expect(1, 78912, '\p{^_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Expect(1, 78912, '\P{_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Expect(0, 78912, '\P{^_-is_Egyptian_HIEROGLYPH_Format_Controls}', "");
    Error('\p{In_egyptian_Hieroglyph_format_Controls:=}');
    Error('\P{In_egyptian_Hieroglyph_format_Controls:=}');
    Expect(1, 78911, '\p{inegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\p{^inegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78911, '\P{inegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\P{^inegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\p{inegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\p{^inegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78912, '\P{inegyptianhieroglyphformatcontrols}', "");
    Expect(0, 78912, '\P{^inegyptianhieroglyphformatcontrols}', "");
    Expect(1, 78911, '\p{_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Expect(0, 78911, '\p{^_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Expect(0, 78911, '\P{_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Expect(1, 78911, '\P{^_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Expect(0, 78912, '\p{_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Expect(1, 78912, '\p{^_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Expect(1, 78912, '\P{_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Expect(0, 78912, '\P{^_ In_EGYPTIAN_HIEROGLYPH_format_CONTROLS}', "");
    Error('\p{ /a/egyptian_Hieroglyphs}');
    Error('\P{ /a/egyptian_Hieroglyphs}');
    Expect(1, 78904, '\p{egyptianhieroglyphs}', "");
    Expect(0, 78904, '\p{^egyptianhieroglyphs}', "");
    Expect(0, 78904, '\P{egyptianhieroglyphs}', "");
    Expect(1, 78904, '\P{^egyptianhieroglyphs}', "");
    Expect(0, 78905, '\p{egyptianhieroglyphs}', "");
    Expect(1, 78905, '\p{^egyptianhieroglyphs}', "");
    Expect(1, 78905, '\P{egyptianhieroglyphs}', "");
    Expect(0, 78905, '\P{^egyptianhieroglyphs}', "");
    Expect(1, 78904, '\p{EGYPTIAN_HIEROGLYPHS}', "");
    Expect(0, 78904, '\p{^EGYPTIAN_HIEROGLYPHS}', "");
    Expect(0, 78904, '\P{EGYPTIAN_HIEROGLYPHS}', "");
    Expect(1, 78904, '\P{^EGYPTIAN_HIEROGLYPHS}', "");
    Expect(0, 78905, '\p{EGYPTIAN_HIEROGLYPHS}', "");
    Expect(1, 78905, '\p{^EGYPTIAN_HIEROGLYPHS}', "");
    Expect(1, 78905, '\P{EGYPTIAN_HIEROGLYPHS}', "");
    Expect(0, 78905, '\P{^EGYPTIAN_HIEROGLYPHS}', "");
    Error('\p{ -Is_Egyptian_Hieroglyphs/a/}');
    Error('\P{ -Is_Egyptian_Hieroglyphs/a/}');
    Expect(1, 78904, '\p{isegyptianhieroglyphs}', "");
    Expect(0, 78904, '\p{^isegyptianhieroglyphs}', "");
    Expect(0, 78904, '\P{isegyptianhieroglyphs}', "");
    Expect(1, 78904, '\P{^isegyptianhieroglyphs}', "");
    Expect(0, 78905, '\p{isegyptianhieroglyphs}', "");
    Expect(1, 78905, '\p{^isegyptianhieroglyphs}', "");
    Expect(1, 78905, '\P{isegyptianhieroglyphs}', "");
    Expect(0, 78905, '\P{^isegyptianhieroglyphs}', "");
    Expect(1, 78904, '\p{ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78904, '\p{^ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78904, '\P{ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78904, '\P{^ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78905, '\p{ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78905, '\p{^ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78905, '\P{ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78905, '\P{^ 	Is_EGYPTIAN_Hieroglyphs}', "");
    Error('\p{/a/Egyp}');
    Error('\P{/a/Egyp}');
    Expect(1, 78904, '\p{egyp}', "");
    Expect(0, 78904, '\p{^egyp}', "");
    Expect(0, 78904, '\P{egyp}', "");
    Expect(1, 78904, '\P{^egyp}', "");
    Expect(0, 78905, '\p{egyp}', "");
    Expect(1, 78905, '\p{^egyp}', "");
    Expect(1, 78905, '\P{egyp}', "");
    Expect(0, 78905, '\P{^egyp}', "");
    Expect(1, 78904, '\p{Egyp}', "");
    Expect(0, 78904, '\p{^Egyp}', "");
    Expect(0, 78904, '\P{Egyp}', "");
    Expect(1, 78904, '\P{^Egyp}', "");
    Expect(0, 78905, '\p{Egyp}', "");
    Expect(1, 78905, '\p{^Egyp}', "");
    Expect(1, 78905, '\P{Egyp}', "");
    Expect(0, 78905, '\P{^Egyp}', "");
    Error('\p{Is_EGYP:=}');
    Error('\P{Is_EGYP:=}');
    Expect(1, 78904, '\p{isegyp}', "");
    Expect(0, 78904, '\p{^isegyp}', "");
    Expect(0, 78904, '\P{isegyp}', "");
    Expect(1, 78904, '\P{^isegyp}', "");
    Expect(0, 78905, '\p{isegyp}', "");
    Expect(1, 78905, '\p{^isegyp}', "");
    Expect(1, 78905, '\P{isegyp}', "");
    Expect(0, 78905, '\P{^isegyp}', "");
    Expect(1, 78904, '\p{	_is_egyp}', "");
    Expect(0, 78904, '\p{^	_is_egyp}', "");
    Expect(0, 78904, '\P{	_is_egyp}', "");
    Expect(1, 78904, '\P{^	_is_egyp}', "");
    Expect(0, 78905, '\p{	_is_egyp}', "");
    Expect(1, 78905, '\p{^	_is_egyp}', "");
    Expect(1, 78905, '\P{	_is_egyp}', "");
    Expect(0, 78905, '\P{^	_is_egyp}', "");
    Error('\p{ :=Elbasan}');
    Error('\P{ :=Elbasan}');
    Expect(1, 66855, '\p{elbasan}', "");
    Expect(0, 66855, '\p{^elbasan}', "");
    Expect(0, 66855, '\P{elbasan}', "");
    Expect(1, 66855, '\P{^elbasan}', "");
    Expect(0, 66856, '\p{elbasan}', "");
    Expect(1, 66856, '\p{^elbasan}', "");
    Expect(1, 66856, '\P{elbasan}', "");
    Expect(0, 66856, '\P{^elbasan}', "");
    Expect(1, 66855, '\p{-Elbasan}', "");
    Expect(0, 66855, '\p{^-Elbasan}', "");
    Expect(0, 66855, '\P{-Elbasan}', "");
    Expect(1, 66855, '\P{^-Elbasan}', "");
    Expect(0, 66856, '\p{-Elbasan}', "");
    Expect(1, 66856, '\p{^-Elbasan}', "");
    Expect(1, 66856, '\P{-Elbasan}', "");
    Expect(0, 66856, '\P{^-Elbasan}', "");
    Error('\p{/a/Is_ELBASAN}');
    Error('\P{/a/Is_ELBASAN}');
    Expect(1, 66855, '\p{iselbasan}', "");
    Expect(0, 66855, '\p{^iselbasan}', "");
    Expect(0, 66855, '\P{iselbasan}', "");
    Expect(1, 66855, '\P{^iselbasan}', "");
    Expect(0, 66856, '\p{iselbasan}', "");
    Expect(1, 66856, '\p{^iselbasan}', "");
    Expect(1, 66856, '\P{iselbasan}', "");
    Expect(0, 66856, '\P{^iselbasan}', "");
    Expect(1, 66855, '\p{_	Is_elbasan}', "");
    Expect(0, 66855, '\p{^_	Is_elbasan}', "");
    Expect(0, 66855, '\P{_	Is_elbasan}', "");
    Expect(1, 66855, '\P{^_	Is_elbasan}', "");
    Expect(0, 66856, '\p{_	Is_elbasan}', "");
    Expect(1, 66856, '\p{^_	Is_elbasan}', "");
    Expect(1, 66856, '\P{_	Is_elbasan}', "");
    Expect(0, 66856, '\P{^_	Is_elbasan}', "");
    Error('\p{ /a/ELBA}');
    Error('\P{ /a/ELBA}');
    Expect(1, 66855, '\p{elba}', "");
    Expect(0, 66855, '\p{^elba}', "");
    Expect(0, 66855, '\P{elba}', "");
    Expect(1, 66855, '\P{^elba}', "");
    Expect(0, 66856, '\p{elba}', "");
    Expect(1, 66856, '\p{^elba}', "");
    Expect(1, 66856, '\P{elba}', "");
    Expect(0, 66856, '\P{^elba}', "");
    Expect(1, 66855, '\p{__ELBA}', "");
    Expect(0, 66855, '\p{^__ELBA}', "");
    Expect(0, 66855, '\P{__ELBA}', "");
    Expect(1, 66855, '\P{^__ELBA}', "");
    Expect(0, 66856, '\p{__ELBA}', "");
    Expect(1, 66856, '\p{^__ELBA}', "");
    Expect(1, 66856, '\P{__ELBA}', "");
    Expect(0, 66856, '\P{^__ELBA}', "");
    Error('\p{/a/__IS_elba}');
    Error('\P{/a/__IS_elba}');
    Expect(1, 66855, '\p{iselba}', "");
    Expect(0, 66855, '\p{^iselba}', "");
    Expect(0, 66855, '\P{iselba}', "");
    Expect(1, 66855, '\P{^iselba}', "");
    Expect(0, 66856, '\p{iselba}', "");
    Expect(1, 66856, '\p{^iselba}', "");
    Expect(1, 66856, '\P{iselba}', "");
    Expect(0, 66856, '\P{^iselba}', "");
    Expect(1, 66855, '\p{ 	IS_elba}', "");
    Expect(0, 66855, '\p{^ 	IS_elba}', "");
    Expect(0, 66855, '\P{ 	IS_elba}', "");
    Expect(1, 66855, '\P{^ 	IS_elba}', "");
    Expect(0, 66856, '\p{ 	IS_elba}', "");
    Expect(1, 66856, '\p{^ 	IS_elba}', "");
    Expect(1, 66856, '\P{ 	IS_elba}', "");
    Expect(0, 66856, '\P{^ 	IS_elba}', "");
    Error('\p{ :=ELYMAIC}');
    Error('\P{ :=ELYMAIC}');
    Expect(1, 69622, '\p{elymaic}', "");
    Expect(0, 69622, '\p{^elymaic}', "");
    Expect(0, 69622, '\P{elymaic}', "");
    Expect(1, 69622, '\P{^elymaic}', "");
    Expect(0, 69623, '\p{elymaic}', "");
    Expect(1, 69623, '\p{^elymaic}', "");
    Expect(1, 69623, '\P{elymaic}', "");
    Expect(0, 69623, '\P{^elymaic}', "");
    Expect(1, 69622, '\p{ elymaic}', "");
    Expect(0, 69622, '\p{^ elymaic}', "");
    Expect(0, 69622, '\P{ elymaic}', "");
    Expect(1, 69622, '\P{^ elymaic}', "");
    Expect(0, 69623, '\p{ elymaic}', "");
    Expect(1, 69623, '\p{^ elymaic}', "");
    Expect(1, 69623, '\P{ elymaic}', "");
    Expect(0, 69623, '\P{^ elymaic}', "");
    Error('\p{--is_elymaic:=}');
    Error('\P{--is_elymaic:=}');
    Expect(1, 69622, '\p{iselymaic}', "");
    Expect(0, 69622, '\p{^iselymaic}', "");
    Expect(0, 69622, '\P{iselymaic}', "");
    Expect(1, 69622, '\P{^iselymaic}', "");
    Expect(0, 69623, '\p{iselymaic}', "");
    Expect(1, 69623, '\p{^iselymaic}', "");
    Expect(1, 69623, '\P{iselymaic}', "");
    Expect(0, 69623, '\P{^iselymaic}', "");
    Expect(1, 69622, '\p{-Is_Elymaic}', "");
    Expect(0, 69622, '\p{^-Is_Elymaic}', "");
    Expect(0, 69622, '\P{-Is_Elymaic}', "");
    Expect(1, 69622, '\P{^-Is_Elymaic}', "");
    Expect(0, 69623, '\p{-Is_Elymaic}', "");
    Expect(1, 69623, '\p{^-Is_Elymaic}', "");
    Expect(1, 69623, '\P{-Is_Elymaic}', "");
    Expect(0, 69623, '\P{^-Is_Elymaic}', "");
    Error('\p{ -Elym:=}');
    Error('\P{ -Elym:=}');
    Expect(1, 69622, '\p{elym}', "");
    Expect(0, 69622, '\p{^elym}', "");
    Expect(0, 69622, '\P{elym}', "");
    Expect(1, 69622, '\P{^elym}', "");
    Expect(0, 69623, '\p{elym}', "");
    Expect(1, 69623, '\p{^elym}', "");
    Expect(1, 69623, '\P{elym}', "");
    Expect(0, 69623, '\P{^elym}', "");
    Expect(1, 69622, '\p{_ELYM}', "");
    Expect(0, 69622, '\p{^_ELYM}', "");
    Expect(0, 69622, '\P{_ELYM}', "");
    Expect(1, 69622, '\P{^_ELYM}', "");
    Expect(0, 69623, '\p{_ELYM}', "");
    Expect(1, 69623, '\p{^_ELYM}', "");
    Expect(1, 69623, '\P{_ELYM}', "");
    Expect(0, 69623, '\P{^_ELYM}', "");
    Error('\p{:=-IS_ELYM}');
    Error('\P{:=-IS_ELYM}');
    Expect(1, 69622, '\p{iselym}', "");
    Expect(0, 69622, '\p{^iselym}', "");
    Expect(0, 69622, '\P{iselym}', "");
    Expect(1, 69622, '\P{^iselym}', "");
    Expect(0, 69623, '\p{iselym}', "");
    Expect(1, 69623, '\p{^iselym}', "");
    Expect(1, 69623, '\P{iselym}', "");
    Expect(0, 69623, '\P{^iselym}', "");
    Expect(1, 69622, '\p{ 	IS_Elym}', "");
    Expect(0, 69622, '\p{^ 	IS_Elym}', "");
    Expect(0, 69622, '\P{ 	IS_Elym}', "");
    Expect(1, 69622, '\P{^ 	IS_Elym}', "");
    Expect(0, 69623, '\p{ 	IS_Elym}', "");
    Expect(1, 69623, '\p{^ 	IS_Elym}', "");
    Expect(1, 69623, '\P{ 	IS_Elym}', "");
    Expect(0, 69623, '\P{^ 	IS_Elym}', "");
    Error('\p{	/a/Emoji}');
    Error('\P{	/a/Emoji}');
    Expect(1, 129782, '\p{emoji}', "");
    Expect(0, 129782, '\p{^emoji}', "");
    Expect(0, 129782, '\P{emoji}', "");
    Expect(1, 129782, '\P{^emoji}', "");
    Expect(0, 129783, '\p{emoji}', "");
    Expect(1, 129783, '\p{^emoji}', "");
    Expect(1, 129783, '\P{emoji}', "");
    Expect(0, 129783, '\P{^emoji}', "");
    Expect(1, 129782, '\p{--Emoji}', "");
    Expect(0, 129782, '\p{^--Emoji}', "");
    Expect(0, 129782, '\P{--Emoji}', "");
    Expect(1, 129782, '\P{^--Emoji}', "");
    Expect(0, 129783, '\p{--Emoji}', "");
    Expect(1, 129783, '\p{^--Emoji}', "");
    Expect(1, 129783, '\P{--Emoji}', "");
    Expect(0, 129783, '\P{^--Emoji}', "");
    Error('\p{_/a/Is_Emoji}');
    Error('\P{_/a/Is_Emoji}');
    Expect(1, 129782, '\p{isemoji}', "");
    Expect(0, 129782, '\p{^isemoji}', "");
    Expect(0, 129782, '\P{isemoji}', "");
    Expect(1, 129782, '\P{^isemoji}', "");
    Expect(0, 129783, '\p{isemoji}', "");
    Expect(1, 129783, '\p{^isemoji}', "");
    Expect(1, 129783, '\P{isemoji}', "");
    Expect(0, 129783, '\P{^isemoji}', "");
    Expect(1, 129782, '\p{ -Is_Emoji}', "");
    Expect(0, 129782, '\p{^ -Is_Emoji}', "");
    Expect(0, 129782, '\P{ -Is_Emoji}', "");
    Expect(1, 129782, '\P{^ -Is_Emoji}', "");
    Expect(0, 129783, '\p{ -Is_Emoji}', "");
    Expect(1, 129783, '\p{^ -Is_Emoji}', "");
    Expect(1, 129783, '\P{ -Is_Emoji}', "");
    Expect(0, 129783, '\P{^ -Is_Emoji}', "");
    Error('\p{_/a/emoji_COMPONENT}');
    Error('\P{_/a/emoji_COMPONENT}');
    Expect(1, 917631, '\p{emojicomponent}', "");
    Expect(0, 917631, '\p{^emojicomponent}', "");
    Expect(0, 917631, '\P{emojicomponent}', "");
    Expect(1, 917631, '\P{^emojicomponent}', "");
    Expect(0, 917632, '\p{emojicomponent}', "");
    Expect(1, 917632, '\p{^emojicomponent}', "");
    Expect(1, 917632, '\P{emojicomponent}', "");
    Expect(0, 917632, '\P{^emojicomponent}', "");
    Expect(1, 917631, '\p{_EMOJI_Component}', "");
    Expect(0, 917631, '\p{^_EMOJI_Component}', "");
    Expect(0, 917631, '\P{_EMOJI_Component}', "");
    Expect(1, 917631, '\P{^_EMOJI_Component}', "");
    Expect(0, 917632, '\p{_EMOJI_Component}', "");
    Expect(1, 917632, '\p{^_EMOJI_Component}', "");
    Expect(1, 917632, '\P{_EMOJI_Component}', "");
    Expect(0, 917632, '\P{^_EMOJI_Component}', "");
    Error('\p{-is_Emoji_COMPONENT:=}');
    Error('\P{-is_Emoji_COMPONENT:=}');
    Expect(1, 917631, '\p{isemojicomponent}', "");
    Expect(0, 917631, '\p{^isemojicomponent}', "");
    Expect(0, 917631, '\P{isemojicomponent}', "");
    Expect(1, 917631, '\P{^isemojicomponent}', "");
    Expect(0, 917632, '\p{isemojicomponent}', "");
    Expect(1, 917632, '\p{^isemojicomponent}', "");
    Expect(1, 917632, '\P{isemojicomponent}', "");
    Expect(0, 917632, '\P{^isemojicomponent}', "");
    Expect(1, 917631, '\p{ -Is_emoji_Component}', "");
    Expect(0, 917631, '\p{^ -Is_emoji_Component}', "");
    Expect(0, 917631, '\P{ -Is_emoji_Component}', "");
    Expect(1, 917631, '\P{^ -Is_emoji_Component}', "");
    Expect(0, 917632, '\p{ -Is_emoji_Component}', "");
    Expect(1, 917632, '\p{^ -Is_emoji_Component}', "");
    Expect(1, 917632, '\P{ -Is_emoji_Component}', "");
    Expect(0, 917632, '\P{^ -Is_emoji_Component}', "");
    Error('\p{ EComp/a/}');
    Error('\P{ EComp/a/}');
    Expect(1, 917631, '\p{ecomp}', "");
    Expect(0, 917631, '\p{^ecomp}', "");
    Expect(0, 917631, '\P{ecomp}', "");
    Expect(1, 917631, '\P{^ecomp}', "");
    Expect(0, 917632, '\p{ecomp}', "");
    Expect(1, 917632, '\p{^ecomp}', "");
    Expect(1, 917632, '\P{ecomp}', "");
    Expect(0, 917632, '\P{^ecomp}', "");
    Expect(1, 917631, '\p{  ECOMP}', "");
    Expect(0, 917631, '\p{^  ECOMP}', "");
    Expect(0, 917631, '\P{  ECOMP}', "");
    Expect(1, 917631, '\P{^  ECOMP}', "");
    Expect(0, 917632, '\p{  ECOMP}', "");
    Expect(1, 917632, '\p{^  ECOMP}', "");
    Expect(1, 917632, '\P{  ECOMP}', "");
    Expect(0, 917632, '\P{^  ECOMP}', "");
    Error('\p{_-Is_EComp/a/}');
    Error('\P{_-Is_EComp/a/}');
    Expect(1, 917631, '\p{isecomp}', "");
    Expect(0, 917631, '\p{^isecomp}', "");
    Expect(0, 917631, '\P{isecomp}', "");
    Expect(1, 917631, '\P{^isecomp}', "");
    Expect(0, 917632, '\p{isecomp}', "");
    Expect(1, 917632, '\p{^isecomp}', "");
    Expect(1, 917632, '\P{isecomp}', "");
    Expect(0, 917632, '\P{^isecomp}', "");
    Expect(1, 917631, '\p{		IS_ecomp}', "");
    Expect(0, 917631, '\p{^		IS_ecomp}', "");
    Expect(0, 917631, '\P{		IS_ecomp}', "");
    Expect(1, 917631, '\P{^		IS_ecomp}', "");
    Expect(0, 917632, '\p{		IS_ecomp}', "");
    Expect(1, 917632, '\p{^		IS_ecomp}', "");
    Expect(1, 917632, '\P{		IS_ecomp}', "");
    Expect(0, 917632, '\P{^		IS_ecomp}', "");
    Error('\p{:=Emoji_Modifier}');
    Error('\P{:=Emoji_Modifier}');
    Expect(1, 127999, '\p{emojimodifier}', "");
    Expect(0, 127999, '\p{^emojimodifier}', "");
    Expect(0, 127999, '\P{emojimodifier}', "");
    Expect(1, 127999, '\P{^emojimodifier}', "");
    Expect(0, 128000, '\p{emojimodifier}', "");
    Expect(1, 128000, '\p{^emojimodifier}', "");
    Expect(1, 128000, '\P{emojimodifier}', "");
    Expect(0, 128000, '\P{^emojimodifier}', "");
    Expect(1, 127999, '\p{_emoji_modifier}', "");
    Expect(0, 127999, '\p{^_emoji_modifier}', "");
    Expect(0, 127999, '\P{_emoji_modifier}', "");
    Expect(1, 127999, '\P{^_emoji_modifier}', "");
    Expect(0, 128000, '\p{_emoji_modifier}', "");
    Expect(1, 128000, '\p{^_emoji_modifier}', "");
    Expect(1, 128000, '\P{_emoji_modifier}', "");
    Expect(0, 128000, '\P{^_emoji_modifier}', "");
    Error('\p{	Is_Emoji_Modifier:=}');
    Error('\P{	Is_Emoji_Modifier:=}');
    Expect(1, 127999, '\p{isemojimodifier}', "");
    Expect(0, 127999, '\p{^isemojimodifier}', "");
    Expect(0, 127999, '\P{isemojimodifier}', "");
    Expect(1, 127999, '\P{^isemojimodifier}', "");
    Expect(0, 128000, '\p{isemojimodifier}', "");
    Expect(1, 128000, '\p{^isemojimodifier}', "");
    Expect(1, 128000, '\P{isemojimodifier}', "");
    Expect(0, 128000, '\P{^isemojimodifier}', "");
    Expect(1, 127999, '\p{_Is_EMOJI_Modifier}', "");
    Expect(0, 127999, '\p{^_Is_EMOJI_Modifier}', "");
    Expect(0, 127999, '\P{_Is_EMOJI_Modifier}', "");
    Expect(1, 127999, '\P{^_Is_EMOJI_Modifier}', "");
    Expect(0, 128000, '\p{_Is_EMOJI_Modifier}', "");
    Expect(1, 128000, '\p{^_Is_EMOJI_Modifier}', "");
    Expect(1, 128000, '\P{_Is_EMOJI_Modifier}', "");
    Expect(0, 128000, '\P{^_Is_EMOJI_Modifier}', "");
    Error('\p{:=EMOD}');
    Error('\P{:=EMOD}');
    Expect(1, 127999, '\p{emod}', "");
    Expect(0, 127999, '\p{^emod}', "");
    Expect(0, 127999, '\P{emod}', "");
    Expect(1, 127999, '\P{^emod}', "");
    Expect(0, 128000, '\p{emod}', "");
    Expect(1, 128000, '\p{^emod}', "");
    Expect(1, 128000, '\P{emod}', "");
    Expect(0, 128000, '\P{^emod}', "");
    Expect(1, 127999, '\p{- emod}', "");
    Expect(0, 127999, '\p{^- emod}', "");
    Expect(0, 127999, '\P{- emod}', "");
    Expect(1, 127999, '\P{^- emod}', "");
    Expect(0, 128000, '\p{- emod}', "");
    Expect(1, 128000, '\p{^- emod}', "");
    Expect(1, 128000, '\P{- emod}', "");
    Expect(0, 128000, '\P{^- emod}', "");
    Error('\p{:=	 Is_EMOD}');
    Error('\P{:=	 Is_EMOD}');
    Expect(1, 127999, '\p{isemod}', "");
    Expect(0, 127999, '\p{^isemod}', "");
    Expect(0, 127999, '\P{isemod}', "");
    Expect(1, 127999, '\P{^isemod}', "");
    Expect(0, 128000, '\p{isemod}', "");
    Expect(1, 128000, '\p{^isemod}', "");
    Expect(1, 128000, '\P{isemod}', "");
    Expect(0, 128000, '\P{^isemod}', "");
    Expect(1, 127999, '\p{--Is_EMod}', "");
    Expect(0, 127999, '\p{^--Is_EMod}', "");
    Expect(0, 127999, '\P{--Is_EMod}', "");
    Expect(1, 127999, '\P{^--Is_EMod}', "");
    Expect(0, 128000, '\p{--Is_EMod}', "");
    Expect(1, 128000, '\p{^--Is_EMod}', "");
    Expect(1, 128000, '\P{--Is_EMod}', "");
    Expect(0, 128000, '\P{^--Is_EMod}', "");
    Error('\p{:=	Emoji_Modifier_BASE}');
    Error('\P{:=	Emoji_Modifier_BASE}');
    Expect(1, 129782, '\p{emojimodifierbase}', "");
    Expect(0, 129782, '\p{^emojimodifierbase}', "");
    Expect(0, 129782, '\P{emojimodifierbase}', "");
    Expect(1, 129782, '\P{^emojimodifierbase}', "");
    Expect(0, 129783, '\p{emojimodifierbase}', "");
    Expect(1, 129783, '\p{^emojimodifierbase}', "");
    Expect(1, 129783, '\P{emojimodifierbase}', "");
    Expect(0, 129783, '\P{^emojimodifierbase}', "");
    Expect(1, 129782, '\p{Emoji_Modifier_BASE}', "");
    Expect(0, 129782, '\p{^Emoji_Modifier_BASE}', "");
    Expect(0, 129782, '\P{Emoji_Modifier_BASE}', "");
    Expect(1, 129782, '\P{^Emoji_Modifier_BASE}', "");
    Expect(0, 129783, '\p{Emoji_Modifier_BASE}', "");
    Expect(1, 129783, '\p{^Emoji_Modifier_BASE}', "");
    Expect(1, 129783, '\P{Emoji_Modifier_BASE}', "");
    Expect(0, 129783, '\P{^Emoji_Modifier_BASE}', "");
    Error('\p{-/a/Is_EMOJI_modifier_Base}');
    Error('\P{-/a/Is_EMOJI_modifier_Base}');
    Expect(1, 129782, '\p{isemojimodifierbase}', "");
    Expect(0, 129782, '\p{^isemojimodifierbase}', "");
    Expect(0, 129782, '\P{isemojimodifierbase}', "");
    Expect(1, 129782, '\P{^isemojimodifierbase}', "");
    Expect(0, 129783, '\p{isemojimodifierbase}', "");
    Expect(1, 129783, '\p{^isemojimodifierbase}', "");
    Expect(1, 129783, '\P{isemojimodifierbase}', "");
    Expect(0, 129783, '\P{^isemojimodifierbase}', "");
    Expect(1, 129782, '\p{_Is_Emoji_Modifier_Base}', "");
    Expect(0, 129782, '\p{^_Is_Emoji_Modifier_Base}', "");
    Expect(0, 129782, '\P{_Is_Emoji_Modifier_Base}', "");
    Expect(1, 129782, '\P{^_Is_Emoji_Modifier_Base}', "");
    Expect(0, 129783, '\p{_Is_Emoji_Modifier_Base}', "");
    Expect(1, 129783, '\p{^_Is_Emoji_Modifier_Base}', "");
    Expect(1, 129783, '\P{_Is_Emoji_Modifier_Base}', "");
    Expect(0, 129783, '\P{^_Is_Emoji_Modifier_Base}', "");
    Error('\p{_EBase:=}');
    Error('\P{_EBase:=}');
    Expect(1, 129782, '\p{ebase}', "");
    Expect(0, 129782, '\p{^ebase}', "");
    Expect(0, 129782, '\P{ebase}', "");
    Expect(1, 129782, '\P{^ebase}', "");
    Expect(0, 129783, '\p{ebase}', "");
    Expect(1, 129783, '\p{^ebase}', "");
    Expect(1, 129783, '\P{ebase}', "");
    Expect(0, 129783, '\P{^ebase}', "");
    Expect(1, 129782, '\p{-EBase}', "");
    Expect(0, 129782, '\p{^-EBase}', "");
    Expect(0, 129782, '\P{-EBase}', "");
    Expect(1, 129782, '\P{^-EBase}', "");
    Expect(0, 129783, '\p{-EBase}', "");
    Expect(1, 129783, '\p{^-EBase}', "");
    Expect(1, 129783, '\P{-EBase}', "");
    Expect(0, 129783, '\P{^-EBase}', "");
    Error('\p{	/a/Is_EBASE}');
    Error('\P{	/a/Is_EBASE}');
    Expect(1, 129782, '\p{isebase}', "");
    Expect(0, 129782, '\p{^isebase}', "");
    Expect(0, 129782, '\P{isebase}', "");
    Expect(1, 129782, '\P{^isebase}', "");
    Expect(0, 129783, '\p{isebase}', "");
    Expect(1, 129783, '\p{^isebase}', "");
    Expect(1, 129783, '\P{isebase}', "");
    Expect(0, 129783, '\P{^isebase}', "");
    Expect(1, 129782, '\p{ IS_EBASE}', "");
    Expect(0, 129782, '\p{^ IS_EBASE}', "");
    Expect(0, 129782, '\P{ IS_EBASE}', "");
    Expect(1, 129782, '\P{^ IS_EBASE}', "");
    Expect(0, 129783, '\p{ IS_EBASE}', "");
    Expect(1, 129783, '\p{^ IS_EBASE}', "");
    Expect(1, 129783, '\P{ IS_EBASE}', "");
    Expect(0, 129783, '\P{^ IS_EBASE}', "");
    Error('\p{/a/	 Emoji_Presentation}');
    Error('\P{/a/	 Emoji_Presentation}');
    Expect(1, 129782, '\p{emojipresentation}', "");
    Expect(0, 129782, '\p{^emojipresentation}', "");
    Expect(0, 129782, '\P{emojipresentation}', "");
    Expect(1, 129782, '\P{^emojipresentation}', "");
    Expect(0, 129783, '\p{emojipresentation}', "");
    Expect(1, 129783, '\p{^emojipresentation}', "");
    Expect(1, 129783, '\P{emojipresentation}', "");
    Expect(0, 129783, '\P{^emojipresentation}', "");
    Expect(1, 129782, '\p{__emoji_presentation}', "");
    Expect(0, 129782, '\p{^__emoji_presentation}', "");
    Expect(0, 129782, '\P{__emoji_presentation}', "");
    Expect(1, 129782, '\P{^__emoji_presentation}', "");
    Expect(0, 129783, '\p{__emoji_presentation}', "");
    Expect(1, 129783, '\p{^__emoji_presentation}', "");
    Expect(1, 129783, '\P{__emoji_presentation}', "");
    Expect(0, 129783, '\P{^__emoji_presentation}', "");
    Error('\p{-/a/IS_emoji_PRESENTATION}');
    Error('\P{-/a/IS_emoji_PRESENTATION}');
    Expect(1, 129782, '\p{isemojipresentation}', "");
    Expect(0, 129782, '\p{^isemojipresentation}', "");
    Expect(0, 129782, '\P{isemojipresentation}', "");
    Expect(1, 129782, '\P{^isemojipresentation}', "");
    Expect(0, 129783, '\p{isemojipresentation}', "");
    Expect(1, 129783, '\p{^isemojipresentation}', "");
    Expect(1, 129783, '\P{isemojipresentation}', "");
    Expect(0, 129783, '\P{^isemojipresentation}', "");
    Expect(1, 129782, '\p{-	is_Emoji_Presentation}', "");
    Expect(0, 129782, '\p{^-	is_Emoji_Presentation}', "");
    Expect(0, 129782, '\P{-	is_Emoji_Presentation}', "");
    Expect(1, 129782, '\P{^-	is_Emoji_Presentation}', "");
    Expect(0, 129783, '\p{-	is_Emoji_Presentation}', "");
    Expect(1, 129783, '\p{^-	is_Emoji_Presentation}', "");
    Expect(1, 129783, '\P{-	is_Emoji_Presentation}', "");
    Expect(0, 129783, '\P{^-	is_Emoji_Presentation}', "");
    Error('\p{-:=EPres}');
    Error('\P{-:=EPres}');
    Expect(1, 129782, '\p{epres}', "");
    Expect(0, 129782, '\p{^epres}', "");
    Expect(0, 129782, '\P{epres}', "");
    Expect(1, 129782, '\P{^epres}', "");
    Expect(0, 129783, '\p{epres}', "");
    Expect(1, 129783, '\p{^epres}', "");
    Expect(1, 129783, '\P{epres}', "");
    Expect(0, 129783, '\P{^epres}', "");
    Expect(1, 129782, '\p{ -EPres}', "");
    Expect(0, 129782, '\p{^ -EPres}', "");
    Expect(0, 129782, '\P{ -EPres}', "");
    Expect(1, 129782, '\P{^ -EPres}', "");
    Expect(0, 129783, '\p{ -EPres}', "");
    Expect(1, 129783, '\p{^ -EPres}', "");
    Expect(1, 129783, '\P{ -EPres}', "");
    Expect(0, 129783, '\P{^ -EPres}', "");
    Error('\p{/a/-is_EPRES}');
    Error('\P{/a/-is_EPRES}');
    Expect(1, 129782, '\p{isepres}', "");
    Expect(0, 129782, '\p{^isepres}', "");
    Expect(0, 129782, '\P{isepres}', "");
    Expect(1, 129782, '\P{^isepres}', "");
    Expect(0, 129783, '\p{isepres}', "");
    Expect(1, 129783, '\p{^isepres}', "");
    Expect(1, 129783, '\P{isepres}', "");
    Expect(0, 129783, '\P{^isepres}', "");
    Expect(1, 129782, '\p{--IS_EPRES}', "");
    Expect(0, 129782, '\p{^--IS_EPRES}', "");
    Expect(0, 129782, '\P{--IS_EPRES}', "");
    Expect(1, 129782, '\P{^--IS_EPRES}', "");
    Expect(0, 129783, '\p{--IS_EPRES}', "");
    Expect(1, 129783, '\p{^--IS_EPRES}', "");
    Expect(1, 129783, '\P{--IS_EPRES}', "");
    Expect(0, 129783, '\P{^--IS_EPRES}', "");
    Error('\p{:=_Emoticons}');
    Error('\P{:=_Emoticons}');
    Expect(1, 128591, '\p{emoticons}', "");
    Expect(0, 128591, '\p{^emoticons}', "");
    Expect(0, 128591, '\P{emoticons}', "");
    Expect(1, 128591, '\P{^emoticons}', "");
    Expect(0, 128592, '\p{emoticons}', "");
    Expect(1, 128592, '\p{^emoticons}', "");
    Expect(1, 128592, '\P{emoticons}', "");
    Expect(0, 128592, '\P{^emoticons}', "");
    Expect(1, 128591, '\p{ 	Emoticons}', "");
    Expect(0, 128591, '\p{^ 	Emoticons}', "");
    Expect(0, 128591, '\P{ 	Emoticons}', "");
    Expect(1, 128591, '\P{^ 	Emoticons}', "");
    Expect(0, 128592, '\p{ 	Emoticons}', "");
    Expect(1, 128592, '\p{^ 	Emoticons}', "");
    Expect(1, 128592, '\P{ 	Emoticons}', "");
    Expect(0, 128592, '\P{^ 	Emoticons}', "");
    Error('\p{	:=is_EMOTICONS}');
    Error('\P{	:=is_EMOTICONS}');
    Expect(1, 128591, '\p{isemoticons}', "");
    Expect(0, 128591, '\p{^isemoticons}', "");
    Expect(0, 128591, '\P{isemoticons}', "");
    Expect(1, 128591, '\P{^isemoticons}', "");
    Expect(0, 128592, '\p{isemoticons}', "");
    Expect(1, 128592, '\p{^isemoticons}', "");
    Expect(1, 128592, '\P{isemoticons}', "");
    Expect(0, 128592, '\P{^isemoticons}', "");
    Expect(1, 128591, '\p{-	Is_Emoticons}', "");
    Expect(0, 128591, '\p{^-	Is_Emoticons}', "");
    Expect(0, 128591, '\P{-	Is_Emoticons}', "");
    Expect(1, 128591, '\P{^-	Is_Emoticons}', "");
    Expect(0, 128592, '\p{-	Is_Emoticons}', "");
    Expect(1, 128592, '\p{^-	Is_Emoticons}', "");
    Expect(1, 128592, '\P{-	Is_Emoticons}', "");
    Expect(0, 128592, '\P{^-	Is_Emoticons}', "");
    Error('\p{_:=In_Emoticons}');
    Error('\P{_:=In_Emoticons}');
    Expect(1, 128591, '\p{inemoticons}', "");
    Expect(0, 128591, '\p{^inemoticons}', "");
    Expect(0, 128591, '\P{inemoticons}', "");
    Expect(1, 128591, '\P{^inemoticons}', "");
    Expect(0, 128592, '\p{inemoticons}', "");
    Expect(1, 128592, '\p{^inemoticons}', "");
    Expect(1, 128592, '\P{inemoticons}', "");
    Expect(0, 128592, '\P{^inemoticons}', "");
    Expect(1, 128591, '\p{  In_emoticons}', "");
    Expect(0, 128591, '\p{^  In_emoticons}', "");
    Expect(0, 128591, '\P{  In_emoticons}', "");
    Expect(1, 128591, '\P{^  In_emoticons}', "");
    Expect(0, 128592, '\p{  In_emoticons}', "");
    Expect(1, 128592, '\p{^  In_emoticons}', "");
    Expect(1, 128592, '\P{  In_emoticons}', "");
    Expect(0, 128592, '\P{^  In_emoticons}', "");
    Error('\p{/a/	ENCLOSED_Alphanumeric_Supplement}');
    Error('\P{/a/	ENCLOSED_Alphanumeric_Supplement}');
    Expect(1, 127487, '\p{enclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\p{^enclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\P{enclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\P{^enclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\p{enclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\p{^enclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\P{enclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\P{^enclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\p{__ENCLOSED_Alphanumeric_Supplement}', "");
    Expect(0, 127487, '\p{^__ENCLOSED_Alphanumeric_Supplement}', "");
    Expect(0, 127487, '\P{__ENCLOSED_Alphanumeric_Supplement}', "");
    Expect(1, 127487, '\P{^__ENCLOSED_Alphanumeric_Supplement}', "");
    Expect(0, 127488, '\p{__ENCLOSED_Alphanumeric_Supplement}', "");
    Expect(1, 127488, '\p{^__ENCLOSED_Alphanumeric_Supplement}', "");
    Expect(1, 127488, '\P{__ENCLOSED_Alphanumeric_Supplement}', "");
    Expect(0, 127488, '\P{^__ENCLOSED_Alphanumeric_Supplement}', "");
    Error('\p{:=	IS_Enclosed_ALPHANUMERIC_Supplement}');
    Error('\P{:=	IS_Enclosed_ALPHANUMERIC_Supplement}');
    Expect(1, 127487, '\p{isenclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\p{^isenclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\P{isenclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\P{^isenclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\p{isenclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\p{^isenclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\P{isenclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\P{^isenclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\p{ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Expect(0, 127487, '\p{^ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Expect(0, 127487, '\P{ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Expect(1, 127487, '\P{^ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Expect(0, 127488, '\p{ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Expect(1, 127488, '\p{^ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Expect(1, 127488, '\P{ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Expect(0, 127488, '\P{^ _is_Enclosed_alphanumeric_SUPPLEMENT}', "");
    Error('\p{/a/ _IN_Enclosed_ALPHANUMERIC_SUPPLEMENT}');
    Error('\P{/a/ _IN_Enclosed_ALPHANUMERIC_SUPPLEMENT}');
    Expect(1, 127487, '\p{inenclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\p{^inenclosedalphanumericsupplement}', "");
    Expect(0, 127487, '\P{inenclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\P{^inenclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\p{inenclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\p{^inenclosedalphanumericsupplement}', "");
    Expect(1, 127488, '\P{inenclosedalphanumericsupplement}', "");
    Expect(0, 127488, '\P{^inenclosedalphanumericsupplement}', "");
    Expect(1, 127487, '\p{_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Expect(0, 127487, '\p{^_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Expect(0, 127487, '\P{_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Expect(1, 127487, '\P{^_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Expect(0, 127488, '\p{_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Expect(1, 127488, '\p{^_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Expect(1, 127488, '\P{_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Expect(0, 127488, '\P{^_-IN_Enclosed_ALPHANUMERIC_Supplement}', "");
    Error('\p{-	ENCLOSED_alphanum_sup:=}');
    Error('\P{-	ENCLOSED_alphanum_sup:=}');
    Expect(1, 127487, '\p{enclosedalphanumsup}', "");
    Expect(0, 127487, '\p{^enclosedalphanumsup}', "");
    Expect(0, 127487, '\P{enclosedalphanumsup}', "");
    Expect(1, 127487, '\P{^enclosedalphanumsup}', "");
    Expect(0, 127488, '\p{enclosedalphanumsup}', "");
    Expect(1, 127488, '\p{^enclosedalphanumsup}', "");
    Expect(1, 127488, '\P{enclosedalphanumsup}', "");
    Expect(0, 127488, '\P{^enclosedalphanumsup}', "");
    Expect(1, 127487, '\p{_-ENCLOSED_alphanum_Sup}', "");
    Expect(0, 127487, '\p{^_-ENCLOSED_alphanum_Sup}', "");
    Expect(0, 127487, '\P{_-ENCLOSED_alphanum_Sup}', "");
    Expect(1, 127487, '\P{^_-ENCLOSED_alphanum_Sup}', "");
    Expect(0, 127488, '\p{_-ENCLOSED_alphanum_Sup}', "");
    Expect(1, 127488, '\p{^_-ENCLOSED_alphanum_Sup}', "");
    Expect(1, 127488, '\P{_-ENCLOSED_alphanum_Sup}', "");
    Expect(0, 127488, '\P{^_-ENCLOSED_alphanum_Sup}', "");
    Error('\p{--Is_Enclosed_Alphanum_sup:=}');
    Error('\P{--Is_Enclosed_Alphanum_sup:=}');
    Expect(1, 127487, '\p{isenclosedalphanumsup}', "");
    Expect(0, 127487, '\p{^isenclosedalphanumsup}', "");
    Expect(0, 127487, '\P{isenclosedalphanumsup}', "");
    Expect(1, 127487, '\P{^isenclosedalphanumsup}', "");
    Expect(0, 127488, '\p{isenclosedalphanumsup}', "");
    Expect(1, 127488, '\p{^isenclosedalphanumsup}', "");
    Expect(1, 127488, '\P{isenclosedalphanumsup}', "");
    Expect(0, 127488, '\P{^isenclosedalphanumsup}', "");
    Expect(1, 127487, '\p{_	IS_Enclosed_Alphanum_sup}', "");
    Expect(0, 127487, '\p{^_	IS_Enclosed_Alphanum_sup}', "");
    Expect(0, 127487, '\P{_	IS_Enclosed_Alphanum_sup}', "");
    Expect(1, 127487, '\P{^_	IS_Enclosed_Alphanum_sup}', "");
    Expect(0, 127488, '\p{_	IS_Enclosed_Alphanum_sup}', "");
    Expect(1, 127488, '\p{^_	IS_Enclosed_Alphanum_sup}', "");
    Expect(1, 127488, '\P{_	IS_Enclosed_Alphanum_sup}', "");
    Expect(0, 127488, '\P{^_	IS_Enclosed_Alphanum_sup}', "");
    Error('\p{-In_ENCLOSED_Alphanum_Sup/a/}');
    Error('\P{-In_ENCLOSED_Alphanum_Sup/a/}');
    Expect(1, 127487, '\p{inenclosedalphanumsup}', "");
    Expect(0, 127487, '\p{^inenclosedalphanumsup}', "");
    Expect(0, 127487, '\P{inenclosedalphanumsup}', "");
    Expect(1, 127487, '\P{^inenclosedalphanumsup}', "");
    Expect(0, 127488, '\p{inenclosedalphanumsup}', "");
    Expect(1, 127488, '\p{^inenclosedalphanumsup}', "");
    Expect(1, 127488, '\P{inenclosedalphanumsup}', "");
    Expect(0, 127488, '\P{^inenclosedalphanumsup}', "");
    Expect(1, 127487, '\p{_	In_Enclosed_alphanum_Sup}', "");
    Expect(0, 127487, '\p{^_	In_Enclosed_alphanum_Sup}', "");
    Expect(0, 127487, '\P{_	In_Enclosed_alphanum_Sup}', "");
    Expect(1, 127487, '\P{^_	In_Enclosed_alphanum_Sup}', "");
    Expect(0, 127488, '\p{_	In_Enclosed_alphanum_Sup}', "");
    Expect(1, 127488, '\p{^_	In_Enclosed_alphanum_Sup}', "");
    Expect(1, 127488, '\P{_	In_Enclosed_alphanum_Sup}', "");
    Expect(0, 127488, '\P{^_	In_Enclosed_alphanum_Sup}', "");
    Error('\p{  Enclosed_alphanumerics:=}');
    Error('\P{  Enclosed_alphanumerics:=}');
    Expect(1, 9471, '\p{enclosedalphanumerics}', "");
    Expect(0, 9471, '\p{^enclosedalphanumerics}', "");
    Expect(0, 9471, '\P{enclosedalphanumerics}', "");
    Expect(1, 9471, '\P{^enclosedalphanumerics}', "");
    Expect(0, 9472, '\p{enclosedalphanumerics}', "");
    Expect(1, 9472, '\p{^enclosedalphanumerics}', "");
    Expect(1, 9472, '\P{enclosedalphanumerics}', "");
    Expect(0, 9472, '\P{^enclosedalphanumerics}', "");
    Expect(1, 9471, '\p{_-Enclosed_Alphanumerics}', "");
    Expect(0, 9471, '\p{^_-Enclosed_Alphanumerics}', "");
    Expect(0, 9471, '\P{_-Enclosed_Alphanumerics}', "");
    Expect(1, 9471, '\P{^_-Enclosed_Alphanumerics}', "");
    Expect(0, 9472, '\p{_-Enclosed_Alphanumerics}', "");
    Expect(1, 9472, '\p{^_-Enclosed_Alphanumerics}', "");
    Expect(1, 9472, '\P{_-Enclosed_Alphanumerics}', "");
    Expect(0, 9472, '\P{^_-Enclosed_Alphanumerics}', "");
    Error('\p{ Is_ENCLOSED_Alphanumerics/a/}');
    Error('\P{ Is_ENCLOSED_Alphanumerics/a/}');
    Expect(1, 9471, '\p{isenclosedalphanumerics}', "");
    Expect(0, 9471, '\p{^isenclosedalphanumerics}', "");
    Expect(0, 9471, '\P{isenclosedalphanumerics}', "");
    Expect(1, 9471, '\P{^isenclosedalphanumerics}', "");
    Expect(0, 9472, '\p{isenclosedalphanumerics}', "");
    Expect(1, 9472, '\p{^isenclosedalphanumerics}', "");
    Expect(1, 9472, '\P{isenclosedalphanumerics}', "");
    Expect(0, 9472, '\P{^isenclosedalphanumerics}', "");
    Expect(1, 9471, '\p{_IS_Enclosed_ALPHANUMERICS}', "");
    Expect(0, 9471, '\p{^_IS_Enclosed_ALPHANUMERICS}', "");
    Expect(0, 9471, '\P{_IS_Enclosed_ALPHANUMERICS}', "");
    Expect(1, 9471, '\P{^_IS_Enclosed_ALPHANUMERICS}', "");
    Expect(0, 9472, '\p{_IS_Enclosed_ALPHANUMERICS}', "");
    Expect(1, 9472, '\p{^_IS_Enclosed_ALPHANUMERICS}', "");
    Expect(1, 9472, '\P{_IS_Enclosed_ALPHANUMERICS}', "");
    Expect(0, 9472, '\P{^_IS_Enclosed_ALPHANUMERICS}', "");
    Error('\p{:=-IN_enclosed_alphanumerics}');
    Error('\P{:=-IN_enclosed_alphanumerics}');
    Expect(1, 9471, '\p{inenclosedalphanumerics}', "");
    Expect(0, 9471, '\p{^inenclosedalphanumerics}', "");
    Expect(0, 9471, '\P{inenclosedalphanumerics}', "");
    Expect(1, 9471, '\P{^inenclosedalphanumerics}', "");
    Expect(0, 9472, '\p{inenclosedalphanumerics}', "");
    Expect(1, 9472, '\p{^inenclosedalphanumerics}', "");
    Expect(1, 9472, '\P{inenclosedalphanumerics}', "");
    Expect(0, 9472, '\P{^inenclosedalphanumerics}', "");
    Expect(1, 9471, '\p{__IN_Enclosed_alphanumerics}', "");
    Expect(0, 9471, '\p{^__IN_Enclosed_alphanumerics}', "");
    Expect(0, 9471, '\P{__IN_Enclosed_alphanumerics}', "");
    Expect(1, 9471, '\P{^__IN_Enclosed_alphanumerics}', "");
    Expect(0, 9472, '\p{__IN_Enclosed_alphanumerics}', "");
    Expect(1, 9472, '\p{^__IN_Enclosed_alphanumerics}', "");
    Expect(1, 9472, '\P{__IN_Enclosed_alphanumerics}', "");
    Expect(0, 9472, '\P{^__IN_Enclosed_alphanumerics}', "");
    Error('\p{/a/Enclosed_Alphanum}');
    Error('\P{/a/Enclosed_Alphanum}');
    Expect(1, 9471, '\p{enclosedalphanum}', "");
    Expect(0, 9471, '\p{^enclosedalphanum}', "");
    Expect(0, 9471, '\P{enclosedalphanum}', "");
    Expect(1, 9471, '\P{^enclosedalphanum}', "");
    Expect(0, 9472, '\p{enclosedalphanum}', "");
    Expect(1, 9472, '\p{^enclosedalphanum}', "");
    Expect(1, 9472, '\P{enclosedalphanum}', "");
    Expect(0, 9472, '\P{^enclosedalphanum}', "");
    Expect(1, 9471, '\p{_-enclosed_Alphanum}', "");
    Expect(0, 9471, '\p{^_-enclosed_Alphanum}', "");
    Expect(0, 9471, '\P{_-enclosed_Alphanum}', "");
    Expect(1, 9471, '\P{^_-enclosed_Alphanum}', "");
    Expect(0, 9472, '\p{_-enclosed_Alphanum}', "");
    Expect(1, 9472, '\p{^_-enclosed_Alphanum}', "");
    Expect(1, 9472, '\P{_-enclosed_Alphanum}', "");
    Expect(0, 9472, '\P{^_-enclosed_Alphanum}', "");
    Error('\p{_:=is_ENCLOSED_Alphanum}');
    Error('\P{_:=is_ENCLOSED_Alphanum}');
    Expect(1, 9471, '\p{isenclosedalphanum}', "");
    Expect(0, 9471, '\p{^isenclosedalphanum}', "");
    Expect(0, 9471, '\P{isenclosedalphanum}', "");
    Expect(1, 9471, '\P{^isenclosedalphanum}', "");
    Expect(0, 9472, '\p{isenclosedalphanum}', "");
    Expect(1, 9472, '\p{^isenclosedalphanum}', "");
    Expect(1, 9472, '\P{isenclosedalphanum}', "");
    Expect(0, 9472, '\P{^isenclosedalphanum}', "");
    Expect(1, 9471, '\p{--IS_ENCLOSED_Alphanum}', "");
    Expect(0, 9471, '\p{^--IS_ENCLOSED_Alphanum}', "");
    Expect(0, 9471, '\P{--IS_ENCLOSED_Alphanum}', "");
    Expect(1, 9471, '\P{^--IS_ENCLOSED_Alphanum}', "");
    Expect(0, 9472, '\p{--IS_ENCLOSED_Alphanum}', "");
    Expect(1, 9472, '\p{^--IS_ENCLOSED_Alphanum}', "");
    Expect(1, 9472, '\P{--IS_ENCLOSED_Alphanum}', "");
    Expect(0, 9472, '\P{^--IS_ENCLOSED_Alphanum}', "");
    Error('\p{ /a/in_enclosed_Alphanum}');
    Error('\P{ /a/in_enclosed_Alphanum}');
    Expect(1, 9471, '\p{inenclosedalphanum}', "");
    Expect(0, 9471, '\p{^inenclosedalphanum}', "");
    Expect(0, 9471, '\P{inenclosedalphanum}', "");
    Expect(1, 9471, '\P{^inenclosedalphanum}', "");
    Expect(0, 9472, '\p{inenclosedalphanum}', "");
    Expect(1, 9472, '\p{^inenclosedalphanum}', "");
    Expect(1, 9472, '\P{inenclosedalphanum}', "");
    Expect(0, 9472, '\P{^inenclosedalphanum}', "");
    Expect(1, 9471, '\p{		In_enclosed_Alphanum}', "");
    Expect(0, 9471, '\p{^		In_enclosed_Alphanum}', "");
    Expect(0, 9471, '\P{		In_enclosed_Alphanum}', "");
    Expect(1, 9471, '\P{^		In_enclosed_Alphanum}', "");
    Expect(0, 9472, '\p{		In_enclosed_Alphanum}', "");
    Expect(1, 9472, '\p{^		In_enclosed_Alphanum}', "");
    Expect(1, 9472, '\P{		In_enclosed_Alphanum}', "");
    Expect(0, 9472, '\P{^		In_enclosed_Alphanum}', "");
    Error('\p{:=_ enclosed_CJK_letters_AND_MONTHS}');
    Error('\P{:=_ enclosed_CJK_letters_AND_MONTHS}');
    Expect(1, 13055, '\p{enclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\p{^enclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\P{enclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\P{^enclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\p{enclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\p{^enclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\P{enclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\P{^enclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\p{_ENCLOSED_CJK_Letters_and_months}', "");
    Expect(0, 13055, '\p{^_ENCLOSED_CJK_Letters_and_months}', "");
    Expect(0, 13055, '\P{_ENCLOSED_CJK_Letters_and_months}', "");
    Expect(1, 13055, '\P{^_ENCLOSED_CJK_Letters_and_months}', "");
    Expect(0, 13056, '\p{_ENCLOSED_CJK_Letters_and_months}', "");
    Expect(1, 13056, '\p{^_ENCLOSED_CJK_Letters_and_months}', "");
    Expect(1, 13056, '\P{_ENCLOSED_CJK_Letters_and_months}', "");
    Expect(0, 13056, '\P{^_ENCLOSED_CJK_Letters_and_months}', "");
    Error('\p{/a/__is_ENCLOSED_CJK_Letters_AND_months}');
    Error('\P{/a/__is_ENCLOSED_CJK_Letters_AND_months}');
    Expect(1, 13055, '\p{isenclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\p{^isenclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\P{isenclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\P{^isenclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\p{isenclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\p{^isenclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\P{isenclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\P{^isenclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\p{	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Expect(0, 13055, '\p{^	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Expect(0, 13055, '\P{	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Expect(1, 13055, '\P{^	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Expect(0, 13056, '\p{	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Expect(1, 13056, '\p{^	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Expect(1, 13056, '\P{	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Expect(0, 13056, '\P{^	 Is_ENCLOSED_CJK_LETTERS_and_Months}', "");
    Error('\p{_ In_ENCLOSED_CJK_LETTERS_And_Months:=}');
    Error('\P{_ In_ENCLOSED_CJK_LETTERS_And_Months:=}');
    Expect(1, 13055, '\p{inenclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\p{^inenclosedcjklettersandmonths}', "");
    Expect(0, 13055, '\P{inenclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\P{^inenclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\p{inenclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\p{^inenclosedcjklettersandmonths}', "");
    Expect(1, 13056, '\P{inenclosedcjklettersandmonths}', "");
    Expect(0, 13056, '\P{^inenclosedcjklettersandmonths}', "");
    Expect(1, 13055, '\p{-_In_enclosed_CJK_Letters_and_Months}', "");
    Expect(0, 13055, '\p{^-_In_enclosed_CJK_Letters_and_Months}', "");
    Expect(0, 13055, '\P{-_In_enclosed_CJK_Letters_and_Months}', "");
    Expect(1, 13055, '\P{^-_In_enclosed_CJK_Letters_and_Months}', "");
    Expect(0, 13056, '\p{-_In_enclosed_CJK_Letters_and_Months}', "");
    Expect(1, 13056, '\p{^-_In_enclosed_CJK_Letters_and_Months}', "");
    Expect(1, 13056, '\P{-_In_enclosed_CJK_Letters_and_Months}', "");
    Expect(0, 13056, '\P{^-_In_enclosed_CJK_Letters_and_Months}', "");
    Error('\p{-_ENCLOSED_CJK:=}');
    Error('\P{-_ENCLOSED_CJK:=}');
    Expect(1, 13055, '\p{enclosedcjk}', "");
    Expect(0, 13055, '\p{^enclosedcjk}', "");
    Expect(0, 13055, '\P{enclosedcjk}', "");
    Expect(1, 13055, '\P{^enclosedcjk}', "");
    Expect(0, 13056, '\p{enclosedcjk}', "");
    Expect(1, 13056, '\p{^enclosedcjk}', "");
    Expect(1, 13056, '\P{enclosedcjk}', "");
    Expect(0, 13056, '\P{^enclosedcjk}', "");
    Expect(1, 13055, '\p{	Enclosed_cjk}', "");
    Expect(0, 13055, '\p{^	Enclosed_cjk}', "");
    Expect(0, 13055, '\P{	Enclosed_cjk}', "");
    Expect(1, 13055, '\P{^	Enclosed_cjk}', "");
    Expect(0, 13056, '\p{	Enclosed_cjk}', "");
    Expect(1, 13056, '\p{^	Enclosed_cjk}', "");
    Expect(1, 13056, '\P{	Enclosed_cjk}', "");
    Expect(0, 13056, '\P{^	Enclosed_cjk}', "");
    Error('\p{ /a/is_ENCLOSED_CJK}');
    Error('\P{ /a/is_ENCLOSED_CJK}');
    Expect(1, 13055, '\p{isenclosedcjk}', "");
    Expect(0, 13055, '\p{^isenclosedcjk}', "");
    Expect(0, 13055, '\P{isenclosedcjk}', "");
    Expect(1, 13055, '\P{^isenclosedcjk}', "");
    Expect(0, 13056, '\p{isenclosedcjk}', "");
    Expect(1, 13056, '\p{^isenclosedcjk}', "");
    Expect(1, 13056, '\P{isenclosedcjk}', "");
    Expect(0, 13056, '\P{^isenclosedcjk}', "");
    Expect(1, 13055, '\p{ 	is_enclosed_cjk}', "");
    Expect(0, 13055, '\p{^ 	is_enclosed_cjk}', "");
    Expect(0, 13055, '\P{ 	is_enclosed_cjk}', "");
    Expect(1, 13055, '\P{^ 	is_enclosed_cjk}', "");
    Expect(0, 13056, '\p{ 	is_enclosed_cjk}', "");
    Expect(1, 13056, '\p{^ 	is_enclosed_cjk}', "");
    Expect(1, 13056, '\P{ 	is_enclosed_cjk}', "");
    Expect(0, 13056, '\P{^ 	is_enclosed_cjk}', "");
    Error('\p{		In_enclosed_CJK/a/}');
    Error('\P{		In_enclosed_CJK/a/}');
    Expect(1, 13055, '\p{inenclosedcjk}', "");
    Expect(0, 13055, '\p{^inenclosedcjk}', "");
    Expect(0, 13055, '\P{inenclosedcjk}', "");
    Expect(1, 13055, '\P{^inenclosedcjk}', "");
    Expect(0, 13056, '\p{inenclosedcjk}', "");
    Expect(1, 13056, '\p{^inenclosedcjk}', "");
    Expect(1, 13056, '\P{inenclosedcjk}', "");
    Expect(0, 13056, '\P{^inenclosedcjk}', "");
    Expect(1, 13055, '\p{-in_enclosed_cjk}', "");
    Expect(0, 13055, '\p{^-in_enclosed_cjk}', "");
    Expect(0, 13055, '\P{-in_enclosed_cjk}', "");
    Expect(1, 13055, '\P{^-in_enclosed_cjk}', "");
    Expect(0, 13056, '\p{-in_enclosed_cjk}', "");
    Expect(1, 13056, '\p{^-in_enclosed_cjk}', "");
    Expect(1, 13056, '\P{-in_enclosed_cjk}', "");
    Expect(0, 13056, '\P{^-in_enclosed_cjk}', "");
    Error('\p{:=Enclosed_ideographic_SUPPLEMENT}');
    Error('\P{:=Enclosed_ideographic_SUPPLEMENT}');
    Expect(1, 127743, '\p{enclosedideographicsupplement}', "");
    Expect(0, 127743, '\p{^enclosedideographicsupplement}', "");
    Expect(0, 127743, '\P{enclosedideographicsupplement}', "");
    Expect(1, 127743, '\P{^enclosedideographicsupplement}', "");
    Expect(0, 127744, '\p{enclosedideographicsupplement}', "");
    Expect(1, 127744, '\p{^enclosedideographicsupplement}', "");
    Expect(1, 127744, '\P{enclosedideographicsupplement}', "");
    Expect(0, 127744, '\P{^enclosedideographicsupplement}', "");
    Expect(1, 127743, '\p{-	enclosed_ideographic_supplement}', "");
    Expect(0, 127743, '\p{^-	enclosed_ideographic_supplement}', "");
    Expect(0, 127743, '\P{-	enclosed_ideographic_supplement}', "");
    Expect(1, 127743, '\P{^-	enclosed_ideographic_supplement}', "");
    Expect(0, 127744, '\p{-	enclosed_ideographic_supplement}', "");
    Expect(1, 127744, '\p{^-	enclosed_ideographic_supplement}', "");
    Expect(1, 127744, '\P{-	enclosed_ideographic_supplement}', "");
    Expect(0, 127744, '\P{^-	enclosed_ideographic_supplement}', "");
    Error('\p{-IS_Enclosed_ideographic_supplement:=}');
    Error('\P{-IS_Enclosed_ideographic_supplement:=}');
    Expect(1, 127743, '\p{isenclosedideographicsupplement}', "");
    Expect(0, 127743, '\p{^isenclosedideographicsupplement}', "");
    Expect(0, 127743, '\P{isenclosedideographicsupplement}', "");
    Expect(1, 127743, '\P{^isenclosedideographicsupplement}', "");
    Expect(0, 127744, '\p{isenclosedideographicsupplement}', "");
    Expect(1, 127744, '\p{^isenclosedideographicsupplement}', "");
    Expect(1, 127744, '\P{isenclosedideographicsupplement}', "");
    Expect(0, 127744, '\P{^isenclosedideographicsupplement}', "");
    Expect(1, 127743, '\p{--Is_Enclosed_Ideographic_supplement}', "");
    Expect(0, 127743, '\p{^--Is_Enclosed_Ideographic_supplement}', "");
    Expect(0, 127743, '\P{--Is_Enclosed_Ideographic_supplement}', "");
    Expect(1, 127743, '\P{^--Is_Enclosed_Ideographic_supplement}', "");
    Expect(0, 127744, '\p{--Is_Enclosed_Ideographic_supplement}', "");
    Expect(1, 127744, '\p{^--Is_Enclosed_Ideographic_supplement}', "");
    Expect(1, 127744, '\P{--Is_Enclosed_Ideographic_supplement}', "");
    Expect(0, 127744, '\P{^--Is_Enclosed_Ideographic_supplement}', "");
    Error('\p{:=_	In_ENCLOSED_Ideographic_supplement}');
    Error('\P{:=_	In_ENCLOSED_Ideographic_supplement}');
    Expect(1, 127743, '\p{inenclosedideographicsupplement}', "");
    Expect(0, 127743, '\p{^inenclosedideographicsupplement}', "");
    Expect(0, 127743, '\P{inenclosedideographicsupplement}', "");
    Expect(1, 127743, '\P{^inenclosedideographicsupplement}', "");
    Expect(0, 127744, '\p{inenclosedideographicsupplement}', "");
    Expect(1, 127744, '\p{^inenclosedideographicsupplement}', "");
    Expect(1, 127744, '\P{inenclosedideographicsupplement}', "");
    Expect(0, 127744, '\P{^inenclosedideographicsupplement}', "");
    Expect(1, 127743, '\p{ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Expect(0, 127743, '\p{^ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Expect(0, 127743, '\P{ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Expect(1, 127743, '\P{^ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Expect(0, 127744, '\p{ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Expect(1, 127744, '\p{^ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Expect(1, 127744, '\P{ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Expect(0, 127744, '\P{^ 	IN_ENCLOSED_ideographic_SUPPLEMENT}', "");
    Error('\p{ :=ENCLOSED_IDEOGRAPHIC_Sup}');
    Error('\P{ :=ENCLOSED_IDEOGRAPHIC_Sup}');
    Expect(1, 127743, '\p{enclosedideographicsup}', "");
    Expect(0, 127743, '\p{^enclosedideographicsup}', "");
    Expect(0, 127743, '\P{enclosedideographicsup}', "");
    Expect(1, 127743, '\P{^enclosedideographicsup}', "");
    Expect(0, 127744, '\p{enclosedideographicsup}', "");
    Expect(1, 127744, '\p{^enclosedideographicsup}', "");
    Expect(1, 127744, '\P{enclosedideographicsup}', "");
    Expect(0, 127744, '\P{^enclosedideographicsup}', "");
    Expect(1, 127743, '\p{ enclosed_Ideographic_SUP}', "");
    Expect(0, 127743, '\p{^ enclosed_Ideographic_SUP}', "");
    Expect(0, 127743, '\P{ enclosed_Ideographic_SUP}', "");
    Expect(1, 127743, '\P{^ enclosed_Ideographic_SUP}', "");
    Expect(0, 127744, '\p{ enclosed_Ideographic_SUP}', "");
    Expect(1, 127744, '\p{^ enclosed_Ideographic_SUP}', "");
    Expect(1, 127744, '\P{ enclosed_Ideographic_SUP}', "");
    Expect(0, 127744, '\P{^ enclosed_Ideographic_SUP}', "");
    Error('\p{ /a/Is_Enclosed_ideographic_Sup}');
    Error('\P{ /a/Is_Enclosed_ideographic_Sup}');
    Expect(1, 127743, '\p{isenclosedideographicsup}', "");
    Expect(0, 127743, '\p{^isenclosedideographicsup}', "");
    Expect(0, 127743, '\P{isenclosedideographicsup}', "");
    Expect(1, 127743, '\P{^isenclosedideographicsup}', "");
    Expect(0, 127744, '\p{isenclosedideographicsup}', "");
    Expect(1, 127744, '\p{^isenclosedideographicsup}', "");
    Expect(1, 127744, '\P{isenclosedideographicsup}', "");
    Expect(0, 127744, '\P{^isenclosedideographicsup}', "");
    Expect(1, 127743, '\p{	 Is_ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127743, '\p{^	 Is_ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127743, '\P{	 Is_ENCLOSED_Ideographic_Sup}', "");
    Expect(1, 127743, '\P{^	 Is_ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127744, '\p{	 Is_ENCLOSED_Ideographic_Sup}', "");
    Expect(1, 127744, '\p{^	 Is_ENCLOSED_Ideographic_Sup}', "");
    Expect(1, 127744, '\P{	 Is_ENCLOSED_Ideographic_Sup}', "");
    Expect(0, 127744, '\P{^	 Is_ENCLOSED_Ideographic_Sup}', "");
    Error('\p{:=_in_Enclosed_Ideographic_sup}');
    Error('\P{:=_in_Enclosed_Ideographic_sup}');
    Expect(1, 127743, '\p{inenclosedideographicsup}', "");
    Expect(0, 127743, '\p{^inenclosedideographicsup}', "");
    Expect(0, 127743, '\P{inenclosedideographicsup}', "");
    Expect(1, 127743, '\P{^inenclosedideographicsup}', "");
    Expect(0, 127744, '\p{inenclosedideographicsup}', "");
    Expect(1, 127744, '\p{^inenclosedideographicsup}', "");
    Expect(1, 127744, '\P{inenclosedideographicsup}', "");
    Expect(0, 127744, '\P{^inenclosedideographicsup}', "");
    Expect(1, 127743, '\p{_ In_ENCLOSED_ideographic_Sup}', "");
    Expect(0, 127743, '\p{^_ In_ENCLOSED_ideographic_Sup}', "");
    Expect(0, 127743, '\P{_ In_ENCLOSED_ideographic_Sup}', "");
    Expect(1, 127743, '\P{^_ In_ENCLOSED_ideographic_Sup}', "");
    Expect(0, 127744, '\p{_ In_ENCLOSED_ideographic_Sup}', "");
    Expect(1, 127744, '\p{^_ In_ENCLOSED_ideographic_Sup}', "");
    Expect(1, 127744, '\P{_ In_ENCLOSED_ideographic_Sup}', "");
    Expect(0, 127744, '\P{^_ In_ENCLOSED_ideographic_Sup}', "");
    Error('\p{ /a/ENCLOSING_Mark}');
    Error('\P{ /a/ENCLOSING_Mark}');
    Expect(1, 42610, '\p{enclosingmark}', "");
    Expect(0, 42610, '\p{^enclosingmark}', "");
    Expect(0, 42610, '\P{enclosingmark}', "");
    Expect(1, 42610, '\P{^enclosingmark}', "");
    Expect(0, 42611, '\p{enclosingmark}', "");
    Expect(1, 42611, '\p{^enclosingmark}', "");
    Expect(1, 42611, '\P{enclosingmark}', "");
    Expect(0, 42611, '\P{^enclosingmark}', "");
    Expect(1, 42610, '\p{-	Enclosing_Mark}', "");
    Expect(0, 42610, '\p{^-	Enclosing_Mark}', "");
    Expect(0, 42610, '\P{-	Enclosing_Mark}', "");
    Expect(1, 42610, '\P{^-	Enclosing_Mark}', "");
    Expect(0, 42611, '\p{-	Enclosing_Mark}', "");
    Expect(1, 42611, '\p{^-	Enclosing_Mark}', "");
    Expect(1, 42611, '\P{-	Enclosing_Mark}', "");
    Expect(0, 42611, '\P{^-	Enclosing_Mark}', "");
    Error('\p{:=_ is_ENCLOSING_mark}');
    Error('\P{:=_ is_ENCLOSING_mark}');
    Expect(1, 42610, '\p{isenclosingmark}', "");
    Expect(0, 42610, '\p{^isenclosingmark}', "");
    Expect(0, 42610, '\P{isenclosingmark}', "");
    Expect(1, 42610, '\P{^isenclosingmark}', "");
    Expect(0, 42611, '\p{isenclosingmark}', "");
    Expect(1, 42611, '\p{^isenclosingmark}', "");
    Expect(1, 42611, '\P{isenclosingmark}', "");
    Expect(0, 42611, '\P{^isenclosingmark}', "");
    Expect(1, 42610, '\p{	 is_ENCLOSING_mark}', "");
    Expect(0, 42610, '\p{^	 is_ENCLOSING_mark}', "");
    Expect(0, 42610, '\P{	 is_ENCLOSING_mark}', "");
    Expect(1, 42610, '\P{^	 is_ENCLOSING_mark}', "");
    Expect(0, 42611, '\p{	 is_ENCLOSING_mark}', "");
    Expect(1, 42611, '\p{^	 is_ENCLOSING_mark}', "");
    Expect(1, 42611, '\P{	 is_ENCLOSING_mark}', "");
    Expect(0, 42611, '\P{^	 is_ENCLOSING_mark}', "");
    Error('\p{__me:=}');
    Error('\P{__me:=}');
    Expect(1, 42610, '\p{me}', "");
    Expect(0, 42610, '\p{^me}', "");
    Expect(0, 42610, '\P{me}', "");
    Expect(1, 42610, '\P{^me}', "");
    Expect(0, 42611, '\p{me}', "");
    Expect(1, 42611, '\p{^me}', "");
    Expect(1, 42611, '\P{me}', "");
    Expect(0, 42611, '\P{^me}', "");
    Expect(1, 42610, '\p{_ME}', "");
    Expect(0, 42610, '\p{^_ME}', "");
    Expect(0, 42610, '\P{_ME}', "");
    Expect(1, 42610, '\P{^_ME}', "");
    Expect(0, 42611, '\p{_ME}', "");
    Expect(1, 42611, '\p{^_ME}', "");
    Expect(1, 42611, '\P{_ME}', "");
    Expect(0, 42611, '\P{^_ME}', "");
    Error('\p{_:=IS_ME}');
    Error('\P{_:=IS_ME}');
    Expect(1, 42610, '\p{isme}', "");
    Expect(0, 42610, '\p{^isme}', "");
    Expect(0, 42610, '\P{isme}', "");
    Expect(1, 42610, '\P{^isme}', "");
    Expect(0, 42611, '\p{isme}', "");
    Expect(1, 42611, '\p{^isme}', "");
    Expect(1, 42611, '\P{isme}', "");
    Expect(0, 42611, '\P{^isme}', "");
    Expect(1, 42610, '\p{-	Is_Me}', "");
    Expect(0, 42610, '\p{^-	Is_Me}', "");
    Expect(0, 42610, '\P{-	Is_Me}', "");
    Expect(1, 42610, '\P{^-	Is_Me}', "");
    Expect(0, 42611, '\p{-	Is_Me}', "");
    Expect(1, 42611, '\p{^-	Is_Me}', "");
    Expect(1, 42611, '\P{-	Is_Me}', "");
    Expect(0, 42611, '\P{^-	Is_Me}', "");
    Error('\p{	:=ETHIOPIC}');
    Error('\P{	:=ETHIOPIC}');
    Expect(1, 124926, '\p{ethiopic}', "");
    Expect(0, 124926, '\p{^ethiopic}', "");
    Expect(0, 124926, '\P{ethiopic}', "");
    Expect(1, 124926, '\P{^ethiopic}', "");
    Expect(0, 124927, '\p{ethiopic}', "");
    Expect(1, 124927, '\p{^ethiopic}', "");
    Expect(1, 124927, '\P{ethiopic}', "");
    Expect(0, 124927, '\P{^ethiopic}', "");
    Expect(1, 124926, '\p{-_Ethiopic}', "");
    Expect(0, 124926, '\p{^-_Ethiopic}', "");
    Expect(0, 124926, '\P{-_Ethiopic}', "");
    Expect(1, 124926, '\P{^-_Ethiopic}', "");
    Expect(0, 124927, '\p{-_Ethiopic}', "");
    Expect(1, 124927, '\p{^-_Ethiopic}', "");
    Expect(1, 124927, '\P{-_Ethiopic}', "");
    Expect(0, 124927, '\P{^-_Ethiopic}', "");
    Error('\p{/a/-Is_Ethiopic}');
    Error('\P{/a/-Is_Ethiopic}');
    Expect(1, 124926, '\p{isethiopic}', "");
    Expect(0, 124926, '\p{^isethiopic}', "");
    Expect(0, 124926, '\P{isethiopic}', "");
    Expect(1, 124926, '\P{^isethiopic}', "");
    Expect(0, 124927, '\p{isethiopic}', "");
    Expect(1, 124927, '\p{^isethiopic}', "");
    Expect(1, 124927, '\P{isethiopic}', "");
    Expect(0, 124927, '\P{^isethiopic}', "");
    Expect(1, 124926, '\p{_-is_Ethiopic}', "");
    Expect(0, 124926, '\p{^_-is_Ethiopic}', "");
    Expect(0, 124926, '\P{_-is_Ethiopic}', "");
    Expect(1, 124926, '\P{^_-is_Ethiopic}', "");
    Expect(0, 124927, '\p{_-is_Ethiopic}', "");
    Expect(1, 124927, '\p{^_-is_Ethiopic}', "");
    Expect(1, 124927, '\P{_-is_Ethiopic}', "");
    Expect(0, 124927, '\P{^_-is_Ethiopic}', "");
    Error('\p{ :=Ethi}');
    Error('\P{ :=Ethi}');
    Expect(1, 124926, '\p{ethi}', "");
    Expect(0, 124926, '\p{^ethi}', "");
    Expect(0, 124926, '\P{ethi}', "");
    Expect(1, 124926, '\P{^ethi}', "");
    Expect(0, 124927, '\p{ethi}', "");
    Expect(1, 124927, '\p{^ethi}', "");
    Expect(1, 124927, '\P{ethi}', "");
    Expect(0, 124927, '\P{^ethi}', "");
    Expect(1, 124926, '\p{ ETHI}', "");
    Expect(0, 124926, '\p{^ ETHI}', "");
    Expect(0, 124926, '\P{ ETHI}', "");
    Expect(1, 124926, '\P{^ ETHI}', "");
    Expect(0, 124927, '\p{ ETHI}', "");
    Expect(1, 124927, '\p{^ ETHI}', "");
    Expect(1, 124927, '\P{ ETHI}', "");
    Expect(0, 124927, '\P{^ ETHI}', "");
    Error('\p{	is_ETHI/a/}');
    Error('\P{	is_ETHI/a/}');
    Expect(1, 124926, '\p{isethi}', "");
    Expect(0, 124926, '\p{^isethi}', "");
    Expect(0, 124926, '\P{isethi}', "");
    Expect(1, 124926, '\P{^isethi}', "");
    Expect(0, 124927, '\p{isethi}', "");
    Expect(1, 124927, '\p{^isethi}', "");
    Expect(1, 124927, '\P{isethi}', "");
    Expect(0, 124927, '\P{^isethi}', "");
    Expect(1, 124926, '\p{ 	Is_ethi}', "");
    Expect(0, 124926, '\p{^ 	Is_ethi}', "");
    Expect(0, 124926, '\P{ 	Is_ethi}', "");
    Expect(1, 124926, '\P{^ 	Is_ethi}', "");
    Expect(0, 124927, '\p{ 	Is_ethi}', "");
    Expect(1, 124927, '\p{^ 	Is_ethi}', "");
    Expect(1, 124927, '\P{ 	Is_ethi}', "");
    Expect(0, 124927, '\P{^ 	Is_ethi}', "");
    Error('\p{	ethiopic_Extended:=}');
    Error('\P{	ethiopic_Extended:=}');
    Expect(1, 11743, '\p{ethiopicextended}', "");
    Expect(0, 11743, '\p{^ethiopicextended}', "");
    Expect(0, 11743, '\P{ethiopicextended}', "");
    Expect(1, 11743, '\P{^ethiopicextended}', "");
    Expect(0, 11744, '\p{ethiopicextended}', "");
    Expect(1, 11744, '\p{^ethiopicextended}', "");
    Expect(1, 11744, '\P{ethiopicextended}', "");
    Expect(0, 11744, '\P{^ethiopicextended}', "");
    Expect(1, 11743, '\p{--ETHIOPIC_EXTENDED}', "");
    Expect(0, 11743, '\p{^--ETHIOPIC_EXTENDED}', "");
    Expect(0, 11743, '\P{--ETHIOPIC_EXTENDED}', "");
    Expect(1, 11743, '\P{^--ETHIOPIC_EXTENDED}', "");
    Expect(0, 11744, '\p{--ETHIOPIC_EXTENDED}', "");
    Expect(1, 11744, '\p{^--ETHIOPIC_EXTENDED}', "");
    Expect(1, 11744, '\P{--ETHIOPIC_EXTENDED}', "");
    Expect(0, 11744, '\P{^--ETHIOPIC_EXTENDED}', "");
    Error('\p{_Is_Ethiopic_EXTENDED/a/}');
    Error('\P{_Is_Ethiopic_EXTENDED/a/}');
    Expect(1, 11743, '\p{isethiopicextended}', "");
    Expect(0, 11743, '\p{^isethiopicextended}', "");
    Expect(0, 11743, '\P{isethiopicextended}', "");
    Expect(1, 11743, '\P{^isethiopicextended}', "");
    Expect(0, 11744, '\p{isethiopicextended}', "");
    Expect(1, 11744, '\p{^isethiopicextended}', "");
    Expect(1, 11744, '\P{isethiopicextended}', "");
    Expect(0, 11744, '\P{^isethiopicextended}', "");
    Expect(1, 11743, '\p{	-Is_ethiopic_Extended}', "");
    Expect(0, 11743, '\p{^	-Is_ethiopic_Extended}', "");
    Expect(0, 11743, '\P{	-Is_ethiopic_Extended}', "");
    Expect(1, 11743, '\P{^	-Is_ethiopic_Extended}', "");
    Expect(0, 11744, '\p{	-Is_ethiopic_Extended}', "");
    Expect(1, 11744, '\p{^	-Is_ethiopic_Extended}', "");
    Expect(1, 11744, '\P{	-Is_ethiopic_Extended}', "");
    Expect(0, 11744, '\P{^	-Is_ethiopic_Extended}', "");
    Error('\p{__In_ETHIOPIC_Extended/a/}');
    Error('\P{__In_ETHIOPIC_Extended/a/}');
    Expect(1, 11743, '\p{inethiopicextended}', "");
    Expect(0, 11743, '\p{^inethiopicextended}', "");
    Expect(0, 11743, '\P{inethiopicextended}', "");
    Expect(1, 11743, '\P{^inethiopicextended}', "");
    Expect(0, 11744, '\p{inethiopicextended}', "");
    Expect(1, 11744, '\p{^inethiopicextended}', "");
    Expect(1, 11744, '\P{inethiopicextended}', "");
    Expect(0, 11744, '\P{^inethiopicextended}', "");
    Expect(1, 11743, '\p{-In_Ethiopic_Extended}', "");
    Expect(0, 11743, '\p{^-In_Ethiopic_Extended}', "");
    Expect(0, 11743, '\P{-In_Ethiopic_Extended}', "");
    Expect(1, 11743, '\P{^-In_Ethiopic_Extended}', "");
    Expect(0, 11744, '\p{-In_Ethiopic_Extended}', "");
    Expect(1, 11744, '\p{^-In_Ethiopic_Extended}', "");
    Expect(1, 11744, '\P{-In_Ethiopic_Extended}', "");
    Expect(0, 11744, '\P{^-In_Ethiopic_Extended}', "");
    Error('\p{ Ethiopic_Ext:=}');
    Error('\P{ Ethiopic_Ext:=}');
    Expect(1, 11743, '\p{ethiopicext}', "");
    Expect(0, 11743, '\p{^ethiopicext}', "");
    Expect(0, 11743, '\P{ethiopicext}', "");
    Expect(1, 11743, '\P{^ethiopicext}', "");
    Expect(0, 11744, '\p{ethiopicext}', "");
    Expect(1, 11744, '\p{^ethiopicext}', "");
    Expect(1, 11744, '\P{ethiopicext}', "");
    Expect(0, 11744, '\P{^ethiopicext}', "");
    Expect(1, 11743, '\p{ ethiopic_Ext}', "");
    Expect(0, 11743, '\p{^ ethiopic_Ext}', "");
    Expect(0, 11743, '\P{ ethiopic_Ext}', "");
    Expect(1, 11743, '\P{^ ethiopic_Ext}', "");
    Expect(0, 11744, '\p{ ethiopic_Ext}', "");
    Expect(1, 11744, '\p{^ ethiopic_Ext}', "");
    Expect(1, 11744, '\P{ ethiopic_Ext}', "");
    Expect(0, 11744, '\P{^ ethiopic_Ext}', "");
    Error('\p{ :=Is_ethiopic_Ext}');
    Error('\P{ :=Is_ethiopic_Ext}');
    Expect(1, 11743, '\p{isethiopicext}', "");
    Expect(0, 11743, '\p{^isethiopicext}', "");
    Expect(0, 11743, '\P{isethiopicext}', "");
    Expect(1, 11743, '\P{^isethiopicext}', "");
    Expect(0, 11744, '\p{isethiopicext}', "");
    Expect(1, 11744, '\p{^isethiopicext}', "");
    Expect(1, 11744, '\P{isethiopicext}', "");
    Expect(0, 11744, '\P{^isethiopicext}', "");
    Expect(1, 11743, '\p{Is_Ethiopic_ext}', "");
    Expect(0, 11743, '\p{^Is_Ethiopic_ext}', "");
    Expect(0, 11743, '\P{Is_Ethiopic_ext}', "");
    Expect(1, 11743, '\P{^Is_Ethiopic_ext}', "");
    Expect(0, 11744, '\p{Is_Ethiopic_ext}', "");
    Expect(1, 11744, '\p{^Is_Ethiopic_ext}', "");
    Expect(1, 11744, '\P{Is_Ethiopic_ext}', "");
    Expect(0, 11744, '\P{^Is_Ethiopic_ext}', "");
    Error('\p{-in_ETHIOPIC_EXT/a/}');
    Error('\P{-in_ETHIOPIC_EXT/a/}');
    Expect(1, 11743, '\p{inethiopicext}', "");
    Expect(0, 11743, '\p{^inethiopicext}', "");
    Expect(0, 11743, '\P{inethiopicext}', "");
    Expect(1, 11743, '\P{^inethiopicext}', "");
    Expect(0, 11744, '\p{inethiopicext}', "");
    Expect(1, 11744, '\p{^inethiopicext}', "");
    Expect(1, 11744, '\P{inethiopicext}', "");
    Expect(0, 11744, '\P{^inethiopicext}', "");
    Expect(1, 11743, '\p{	-In_Ethiopic_ext}', "");
    Expect(0, 11743, '\p{^	-In_Ethiopic_ext}', "");
    Expect(0, 11743, '\P{	-In_Ethiopic_ext}', "");
    Expect(1, 11743, '\P{^	-In_Ethiopic_ext}', "");
    Expect(0, 11744, '\p{	-In_Ethiopic_ext}', "");
    Expect(1, 11744, '\p{^	-In_Ethiopic_ext}', "");
    Expect(1, 11744, '\P{	-In_Ethiopic_ext}', "");
    Expect(0, 11744, '\P{^	-In_Ethiopic_ext}', "");
    Error('\p{ :=Ethiopic_Extended_A}');
    Error('\P{ :=Ethiopic_Extended_A}');
    Expect(1, 43823, '\p{ethiopicextendeda}', "");
    Expect(0, 43823, '\p{^ethiopicextendeda}', "");
    Expect(0, 43823, '\P{ethiopicextendeda}', "");
    Expect(1, 43823, '\P{^ethiopicextendeda}', "");
    Expect(0, 43824, '\p{ethiopicextendeda}', "");
    Expect(1, 43824, '\p{^ethiopicextendeda}', "");
    Expect(1, 43824, '\P{ethiopicextendeda}', "");
    Expect(0, 43824, '\P{^ethiopicextendeda}', "");
    Expect(1, 43823, '\p{_ ETHIOPIC_Extended_A}', "");
    Expect(0, 43823, '\p{^_ ETHIOPIC_Extended_A}', "");
    Expect(0, 43823, '\P{_ ETHIOPIC_Extended_A}', "");
    Expect(1, 43823, '\P{^_ ETHIOPIC_Extended_A}', "");
    Expect(0, 43824, '\p{_ ETHIOPIC_Extended_A}', "");
    Expect(1, 43824, '\p{^_ ETHIOPIC_Extended_A}', "");
    Expect(1, 43824, '\P{_ ETHIOPIC_Extended_A}', "");
    Expect(0, 43824, '\P{^_ ETHIOPIC_Extended_A}', "");
    Error('\p{	-IS_ETHIOPIC_extended_a:=}');
    Error('\P{	-IS_ETHIOPIC_extended_a:=}');
    Expect(1, 43823, '\p{isethiopicextendeda}', "");
    Expect(0, 43823, '\p{^isethiopicextendeda}', "");
    Expect(0, 43823, '\P{isethiopicextendeda}', "");
    Expect(1, 43823, '\P{^isethiopicextendeda}', "");
    Expect(0, 43824, '\p{isethiopicextendeda}', "");
    Expect(1, 43824, '\p{^isethiopicextendeda}', "");
    Expect(1, 43824, '\P{isethiopicextendeda}', "");
    Expect(0, 43824, '\P{^isethiopicextendeda}', "");
    Expect(1, 43823, '\p{	_Is_Ethiopic_Extended_A}', "");
    Expect(0, 43823, '\p{^	_Is_Ethiopic_Extended_A}', "");
    Expect(0, 43823, '\P{	_Is_Ethiopic_Extended_A}', "");
    Expect(1, 43823, '\P{^	_Is_Ethiopic_Extended_A}', "");
    Expect(0, 43824, '\p{	_Is_Ethiopic_Extended_A}', "");
    Expect(1, 43824, '\p{^	_Is_Ethiopic_Extended_A}', "");
    Expect(1, 43824, '\P{	_Is_Ethiopic_Extended_A}', "");
    Expect(0, 43824, '\P{^	_Is_Ethiopic_Extended_A}', "");
    Error('\p{_	in_Ethiopic_Extended_A:=}');
    Error('\P{_	in_Ethiopic_Extended_A:=}');
    Expect(1, 43823, '\p{inethiopicextendeda}', "");
    Expect(0, 43823, '\p{^inethiopicextendeda}', "");
    Expect(0, 43823, '\P{inethiopicextendeda}', "");
    Expect(1, 43823, '\P{^inethiopicextendeda}', "");
    Expect(0, 43824, '\p{inethiopicextendeda}', "");
    Expect(1, 43824, '\p{^inethiopicextendeda}', "");
    Expect(1, 43824, '\P{inethiopicextendeda}', "");
    Expect(0, 43824, '\P{^inethiopicextendeda}', "");
    Expect(1, 43823, '\p{ _In_Ethiopic_EXTENDED_A}', "");
    Expect(0, 43823, '\p{^ _In_Ethiopic_EXTENDED_A}', "");
    Expect(0, 43823, '\P{ _In_Ethiopic_EXTENDED_A}', "");
    Expect(1, 43823, '\P{^ _In_Ethiopic_EXTENDED_A}', "");
    Expect(0, 43824, '\p{ _In_Ethiopic_EXTENDED_A}', "");
    Expect(1, 43824, '\p{^ _In_Ethiopic_EXTENDED_A}', "");
    Expect(1, 43824, '\P{ _In_Ethiopic_EXTENDED_A}', "");
    Expect(0, 43824, '\P{^ _In_Ethiopic_EXTENDED_A}', "");
    Error('\p{	/a/ethiopic_Ext_A}');
    Error('\P{	/a/ethiopic_Ext_A}');
    Expect(1, 43823, '\p{ethiopicexta}', "");
    Expect(0, 43823, '\p{^ethiopicexta}', "");
    Expect(0, 43823, '\P{ethiopicexta}', "");
    Expect(1, 43823, '\P{^ethiopicexta}', "");
    Expect(0, 43824, '\p{ethiopicexta}', "");
    Expect(1, 43824, '\p{^ethiopicexta}', "");
    Expect(1, 43824, '\P{ethiopicexta}', "");
    Expect(0, 43824, '\P{^ethiopicexta}', "");
    Expect(1, 43823, '\p{ ETHIOPIC_EXT_a}', "");
    Expect(0, 43823, '\p{^ ETHIOPIC_EXT_a}', "");
    Expect(0, 43823, '\P{ ETHIOPIC_EXT_a}', "");
    Expect(1, 43823, '\P{^ ETHIOPIC_EXT_a}', "");
    Expect(0, 43824, '\p{ ETHIOPIC_EXT_a}', "");
    Expect(1, 43824, '\p{^ ETHIOPIC_EXT_a}', "");
    Expect(1, 43824, '\P{ ETHIOPIC_EXT_a}', "");
    Expect(0, 43824, '\P{^ ETHIOPIC_EXT_a}', "");
    Error('\p{/a/-Is_ethiopic_ext_A}');
    Error('\P{/a/-Is_ethiopic_ext_A}');
    Expect(1, 43823, '\p{isethiopicexta}', "");
    Expect(0, 43823, '\p{^isethiopicexta}', "");
    Expect(0, 43823, '\P{isethiopicexta}', "");
    Expect(1, 43823, '\P{^isethiopicexta}', "");
    Expect(0, 43824, '\p{isethiopicexta}', "");
    Expect(1, 43824, '\p{^isethiopicexta}', "");
    Expect(1, 43824, '\P{isethiopicexta}', "");
    Expect(0, 43824, '\P{^isethiopicexta}', "");
    Expect(1, 43823, '\p{	 is_ethiopic_Ext_a}', "");
    Expect(0, 43823, '\p{^	 is_ethiopic_Ext_a}', "");
    Expect(0, 43823, '\P{	 is_ethiopic_Ext_a}', "");
    Expect(1, 43823, '\P{^	 is_ethiopic_Ext_a}', "");
    Expect(0, 43824, '\p{	 is_ethiopic_Ext_a}', "");
    Expect(1, 43824, '\p{^	 is_ethiopic_Ext_a}', "");
    Expect(1, 43824, '\P{	 is_ethiopic_Ext_a}', "");
    Expect(0, 43824, '\P{^	 is_ethiopic_Ext_a}', "");
    Error('\p{-	In_Ethiopic_Ext_A/a/}');
    Error('\P{-	In_Ethiopic_Ext_A/a/}');
    Expect(1, 43823, '\p{inethiopicexta}', "");
    Expect(0, 43823, '\p{^inethiopicexta}', "");
    Expect(0, 43823, '\P{inethiopicexta}', "");
    Expect(1, 43823, '\P{^inethiopicexta}', "");
    Expect(0, 43824, '\p{inethiopicexta}', "");
    Expect(1, 43824, '\p{^inethiopicexta}', "");
    Expect(1, 43824, '\P{inethiopicexta}', "");
    Expect(0, 43824, '\P{^inethiopicexta}', "");
    Expect(1, 43823, '\p{-	In_ETHIOPIC_ext_A}', "");
    Expect(0, 43823, '\p{^-	In_ETHIOPIC_ext_A}', "");
    Expect(0, 43823, '\P{-	In_ETHIOPIC_ext_A}', "");
    Expect(1, 43823, '\P{^-	In_ETHIOPIC_ext_A}', "");
    Expect(0, 43824, '\p{-	In_ETHIOPIC_ext_A}', "");
    Expect(1, 43824, '\p{^-	In_ETHIOPIC_ext_A}', "");
    Expect(1, 43824, '\P{-	In_ETHIOPIC_ext_A}', "");
    Expect(0, 43824, '\P{^-	In_ETHIOPIC_ext_A}', "");
    Error('\p{ 	ETHIOPIC_EXTENDED_B/a/}');
    Error('\P{ 	ETHIOPIC_EXTENDED_B/a/}');
    Expect(1, 124927, '\p{ethiopicextendedb}', "");
    Expect(0, 124927, '\p{^ethiopicextendedb}', "");
    Expect(0, 124927, '\P{ethiopicextendedb}', "");
    Expect(1, 124927, '\P{^ethiopicextendedb}', "");
    Expect(0, 124928, '\p{ethiopicextendedb}', "");
    Expect(1, 124928, '\p{^ethiopicextendedb}', "");
    Expect(1, 124928, '\P{ethiopicextendedb}', "");
    Expect(0, 124928, '\P{^ethiopicextendedb}', "");
    Expect(1, 124927, '\p{ _Ethiopic_Extended_B}', "");
    Expect(0, 124927, '\p{^ _Ethiopic_Extended_B}', "");
    Expect(0, 124927, '\P{ _Ethiopic_Extended_B}', "");
    Expect(1, 124927, '\P{^ _Ethiopic_Extended_B}', "");
    Expect(0, 124928, '\p{ _Ethiopic_Extended_B}', "");
    Expect(1, 124928, '\p{^ _Ethiopic_Extended_B}', "");
    Expect(1, 124928, '\P{ _Ethiopic_Extended_B}', "");
    Expect(0, 124928, '\P{^ _Ethiopic_Extended_B}', "");
    Error('\p{/a/	-Is_ETHIOPIC_Extended_B}');
    Error('\P{/a/	-Is_ETHIOPIC_Extended_B}');
    Expect(1, 124927, '\p{isethiopicextendedb}', "");
    Expect(0, 124927, '\p{^isethiopicextendedb}', "");
    Expect(0, 124927, '\P{isethiopicextendedb}', "");
    Expect(1, 124927, '\P{^isethiopicextendedb}', "");
    Expect(0, 124928, '\p{isethiopicextendedb}', "");
    Expect(1, 124928, '\p{^isethiopicextendedb}', "");
    Expect(1, 124928, '\P{isethiopicextendedb}', "");
    Expect(0, 124928, '\P{^isethiopicextendedb}', "");
    Expect(1, 124927, '\p{_ is_Ethiopic_Extended_b}', "");
    Expect(0, 124927, '\p{^_ is_Ethiopic_Extended_b}', "");
    Expect(0, 124927, '\P{_ is_Ethiopic_Extended_b}', "");
    Expect(1, 124927, '\P{^_ is_Ethiopic_Extended_b}', "");
    Expect(0, 124928, '\p{_ is_Ethiopic_Extended_b}', "");
    Expect(1, 124928, '\p{^_ is_Ethiopic_Extended_b}', "");
    Expect(1, 124928, '\P{_ is_Ethiopic_Extended_b}', "");
    Expect(0, 124928, '\P{^_ is_Ethiopic_Extended_b}', "");
    Error('\p{/a/ _in_ETHIOPIC_Extended_B}');
    Error('\P{/a/ _in_ETHIOPIC_Extended_B}');
    Expect(1, 124927, '\p{inethiopicextendedb}', "");
    Expect(0, 124927, '\p{^inethiopicextendedb}', "");
    Expect(0, 124927, '\P{inethiopicextendedb}', "");
    Expect(1, 124927, '\P{^inethiopicextendedb}', "");
    Expect(0, 124928, '\p{inethiopicextendedb}', "");
    Expect(1, 124928, '\p{^inethiopicextendedb}', "");
    Expect(1, 124928, '\P{inethiopicextendedb}', "");
    Expect(0, 124928, '\P{^inethiopicextendedb}', "");
    Expect(1, 124927, '\p{	-In_ethiopic_extended_B}', "");
    Expect(0, 124927, '\p{^	-In_ethiopic_extended_B}', "");
    Expect(0, 124927, '\P{	-In_ethiopic_extended_B}', "");
    Expect(1, 124927, '\P{^	-In_ethiopic_extended_B}', "");
    Expect(0, 124928, '\p{	-In_ethiopic_extended_B}', "");
    Expect(1, 124928, '\p{^	-In_ethiopic_extended_B}', "");
    Expect(1, 124928, '\P{	-In_ethiopic_extended_B}', "");
    Expect(0, 124928, '\P{^	-In_ethiopic_extended_B}', "");
    Error('\p{__Ethiopic_Ext_B/a/}');
    Error('\P{__Ethiopic_Ext_B/a/}');
    Expect(1, 124927, '\p{ethiopicextb}', "");
    Expect(0, 124927, '\p{^ethiopicextb}', "");
    Expect(0, 124927, '\P{ethiopicextb}', "");
    Expect(1, 124927, '\P{^ethiopicextb}', "");
    Expect(0, 124928, '\p{ethiopicextb}', "");
    Expect(1, 124928, '\p{^ethiopicextb}', "");
    Expect(1, 124928, '\P{ethiopicextb}', "");
    Expect(0, 124928, '\P{^ethiopicextb}', "");
    Expect(1, 124927, '\p{  ETHIOPIC_Ext_B}', "");
    Expect(0, 124927, '\p{^  ETHIOPIC_Ext_B}', "");
    Expect(0, 124927, '\P{  ETHIOPIC_Ext_B}', "");
    Expect(1, 124927, '\P{^  ETHIOPIC_Ext_B}', "");
    Expect(0, 124928, '\p{  ETHIOPIC_Ext_B}', "");
    Expect(1, 124928, '\p{^  ETHIOPIC_Ext_B}', "");
    Expect(1, 124928, '\P{  ETHIOPIC_Ext_B}', "");
    Expect(0, 124928, '\P{^  ETHIOPIC_Ext_B}', "");
    Error('\p{:=IS_ETHIOPIC_EXT_b}');
    Error('\P{:=IS_ETHIOPIC_EXT_b}');
    Expect(1, 124927, '\p{isethiopicextb}', "");
    Expect(0, 124927, '\p{^isethiopicextb}', "");
    Expect(0, 124927, '\P{isethiopicextb}', "");
    Expect(1, 124927, '\P{^isethiopicextb}', "");
    Expect(0, 124928, '\p{isethiopicextb}', "");
    Expect(1, 124928, '\p{^isethiopicextb}', "");
    Expect(1, 124928, '\P{isethiopicextb}', "");
    Expect(0, 124928, '\P{^isethiopicextb}', "");
    Expect(1, 124927, '\p{	-Is_ethiopic_EXT_B}', "");
    Expect(0, 124927, '\p{^	-Is_ethiopic_EXT_B}', "");
    Expect(0, 124927, '\P{	-Is_ethiopic_EXT_B}', "");
    Expect(1, 124927, '\P{^	-Is_ethiopic_EXT_B}', "");
    Expect(0, 124928, '\p{	-Is_ethiopic_EXT_B}', "");
    Expect(1, 124928, '\p{^	-Is_ethiopic_EXT_B}', "");
    Expect(1, 124928, '\P{	-Is_ethiopic_EXT_B}', "");
    Expect(0, 124928, '\P{^	-Is_ethiopic_EXT_B}', "");
    Error('\p{-	In_ETHIOPIC_Ext_b:=}');
    Error('\P{-	In_ETHIOPIC_Ext_b:=}');
    Expect(1, 124927, '\p{inethiopicextb}', "");
    Expect(0, 124927, '\p{^inethiopicextb}', "");
    Expect(0, 124927, '\P{inethiopicextb}', "");
    Expect(1, 124927, '\P{^inethiopicextb}', "");
    Expect(0, 124928, '\p{inethiopicextb}', "");
    Expect(1, 124928, '\p{^inethiopicextb}', "");
    Expect(1, 124928, '\P{inethiopicextb}', "");
    Expect(0, 124928, '\P{^inethiopicextb}', "");
    Expect(1, 124927, '\p{	-in_ETHIOPIC_ext_B}', "");
    Expect(0, 124927, '\p{^	-in_ETHIOPIC_ext_B}', "");
    Expect(0, 124927, '\P{	-in_ETHIOPIC_ext_B}', "");
    Expect(1, 124927, '\P{^	-in_ETHIOPIC_ext_B}', "");
    Expect(0, 124928, '\p{	-in_ETHIOPIC_ext_B}', "");
    Expect(1, 124928, '\p{^	-in_ETHIOPIC_ext_B}', "");
    Expect(1, 124928, '\P{	-in_ETHIOPIC_ext_B}', "");
    Expect(0, 124928, '\P{^	-in_ETHIOPIC_ext_B}', "");
    Error('\p{:=_ETHIOPIC_supplement}');
    Error('\P{:=_ETHIOPIC_supplement}');
    Expect(1, 5023, '\p{ethiopicsupplement}', "");
    Expect(0, 5023, '\p{^ethiopicsupplement}', "");
    Expect(0, 5023, '\P{ethiopicsupplement}', "");
    Expect(1, 5023, '\P{^ethiopicsupplement}', "");
    Expect(0, 5024, '\p{ethiopicsupplement}', "");
    Expect(1, 5024, '\p{^ethiopicsupplement}', "");
    Expect(1, 5024, '\P{ethiopicsupplement}', "");
    Expect(0, 5024, '\P{^ethiopicsupplement}', "");
    Expect(1, 5023, '\p{  ethiopic_Supplement}', "");
    Expect(0, 5023, '\p{^  ethiopic_Supplement}', "");
    Expect(0, 5023, '\P{  ethiopic_Supplement}', "");
    Expect(1, 5023, '\P{^  ethiopic_Supplement}', "");
    Expect(0, 5024, '\p{  ethiopic_Supplement}', "");
    Expect(1, 5024, '\p{^  ethiopic_Supplement}', "");
    Expect(1, 5024, '\P{  ethiopic_Supplement}', "");
    Expect(0, 5024, '\P{^  ethiopic_Supplement}', "");
    Error('\p{:=IS_ETHIOPIC_SUPPLEMENT}');
    Error('\P{:=IS_ETHIOPIC_SUPPLEMENT}');
    Expect(1, 5023, '\p{isethiopicsupplement}', "");
    Expect(0, 5023, '\p{^isethiopicsupplement}', "");
    Expect(0, 5023, '\P{isethiopicsupplement}', "");
    Expect(1, 5023, '\P{^isethiopicsupplement}', "");
    Expect(0, 5024, '\p{isethiopicsupplement}', "");
    Expect(1, 5024, '\p{^isethiopicsupplement}', "");
    Expect(1, 5024, '\P{isethiopicsupplement}', "");
    Expect(0, 5024, '\P{^isethiopicsupplement}', "");
    Expect(1, 5023, '\p{_is_ethiopic_supplement}', "");
    Expect(0, 5023, '\p{^_is_ethiopic_supplement}', "");
    Expect(0, 5023, '\P{_is_ethiopic_supplement}', "");
    Expect(1, 5023, '\P{^_is_ethiopic_supplement}', "");
    Expect(0, 5024, '\p{_is_ethiopic_supplement}', "");
    Expect(1, 5024, '\p{^_is_ethiopic_supplement}', "");
    Expect(1, 5024, '\P{_is_ethiopic_supplement}', "");
    Expect(0, 5024, '\P{^_is_ethiopic_supplement}', "");
    Error('\p{/a/-	In_ethiopic_Supplement}');
    Error('\P{/a/-	In_ethiopic_Supplement}');
    Expect(1, 5023, '\p{inethiopicsupplement}', "");
    Expect(0, 5023, '\p{^inethiopicsupplement}', "");
    Expect(0, 5023, '\P{inethiopicsupplement}', "");
    Expect(1, 5023, '\P{^inethiopicsupplement}', "");
    Expect(0, 5024, '\p{inethiopicsupplement}', "");
    Expect(1, 5024, '\p{^inethiopicsupplement}', "");
    Expect(1, 5024, '\P{inethiopicsupplement}', "");
    Expect(0, 5024, '\P{^inethiopicsupplement}', "");
    Expect(1, 5023, '\p{_-In_Ethiopic_SUPPLEMENT}', "");
    Expect(0, 5023, '\p{^_-In_Ethiopic_SUPPLEMENT}', "");
    Expect(0, 5023, '\P{_-In_Ethiopic_SUPPLEMENT}', "");
    Expect(1, 5023, '\P{^_-In_Ethiopic_SUPPLEMENT}', "");
    Expect(0, 5024, '\p{_-In_Ethiopic_SUPPLEMENT}', "");
    Expect(1, 5024, '\p{^_-In_Ethiopic_SUPPLEMENT}', "");
    Expect(1, 5024, '\P{_-In_Ethiopic_SUPPLEMENT}', "");
    Expect(0, 5024, '\P{^_-In_Ethiopic_SUPPLEMENT}', "");
    Error('\p{:= ETHIOPIC_sup}');
    Error('\P{:= ETHIOPIC_sup}');
    Expect(1, 5023, '\p{ethiopicsup}', "");
    Expect(0, 5023, '\p{^ethiopicsup}', "");
    Expect(0, 5023, '\P{ethiopicsup}', "");
    Expect(1, 5023, '\P{^ethiopicsup}', "");
    Expect(0, 5024, '\p{ethiopicsup}', "");
    Expect(1, 5024, '\p{^ethiopicsup}', "");
    Expect(1, 5024, '\P{ethiopicsup}', "");
    Expect(0, 5024, '\P{^ethiopicsup}', "");
    Expect(1, 5023, '\p{_ethiopic_Sup}', "");
    Expect(0, 5023, '\p{^_ethiopic_Sup}', "");
    Expect(0, 5023, '\P{_ethiopic_Sup}', "");
    Expect(1, 5023, '\P{^_ethiopic_Sup}', "");
    Expect(0, 5024, '\p{_ethiopic_Sup}', "");
    Expect(1, 5024, '\p{^_ethiopic_Sup}', "");
    Expect(1, 5024, '\P{_ethiopic_Sup}', "");
    Expect(0, 5024, '\P{^_ethiopic_Sup}', "");
    Error('\p{--Is_Ethiopic_Sup:=}');
    Error('\P{--Is_Ethiopic_Sup:=}');
    Expect(1, 5023, '\p{isethiopicsup}', "");
    Expect(0, 5023, '\p{^isethiopicsup}', "");
    Expect(0, 5023, '\P{isethiopicsup}', "");
    Expect(1, 5023, '\P{^isethiopicsup}', "");
    Expect(0, 5024, '\p{isethiopicsup}', "");
    Expect(1, 5024, '\p{^isethiopicsup}', "");
    Expect(1, 5024, '\P{isethiopicsup}', "");
    Expect(0, 5024, '\P{^isethiopicsup}', "");
    Expect(1, 5023, '\p{- Is_Ethiopic_SUP}', "");
    Expect(0, 5023, '\p{^- Is_Ethiopic_SUP}', "");
    Expect(0, 5023, '\P{- Is_Ethiopic_SUP}', "");
    Expect(1, 5023, '\P{^- Is_Ethiopic_SUP}', "");
    Expect(0, 5024, '\p{- Is_Ethiopic_SUP}', "");
    Expect(1, 5024, '\p{^- Is_Ethiopic_SUP}', "");
    Expect(1, 5024, '\P{- Is_Ethiopic_SUP}', "");
    Expect(0, 5024, '\P{^- Is_Ethiopic_SUP}', "");
    Error('\p{-:=In_ethiopic_SUP}');
    Error('\P{-:=In_ethiopic_SUP}');
    Expect(1, 5023, '\p{inethiopicsup}', "");
    Expect(0, 5023, '\p{^inethiopicsup}', "");
    Expect(0, 5023, '\P{inethiopicsup}', "");
    Expect(1, 5023, '\P{^inethiopicsup}', "");
    Expect(0, 5024, '\p{inethiopicsup}', "");
    Expect(1, 5024, '\p{^inethiopicsup}', "");
    Expect(1, 5024, '\P{inethiopicsup}', "");
    Expect(0, 5024, '\P{^inethiopicsup}', "");
    Expect(1, 5023, '\p{ _in_Ethiopic_sup}', "");
    Expect(0, 5023, '\p{^ _in_Ethiopic_sup}', "");
    Expect(0, 5023, '\P{ _in_Ethiopic_sup}', "");
    Expect(1, 5023, '\P{^ _in_Ethiopic_sup}', "");
    Expect(0, 5024, '\p{ _in_Ethiopic_sup}', "");
    Expect(1, 5024, '\p{^ _in_Ethiopic_sup}', "");
    Expect(1, 5024, '\P{ _in_Ethiopic_sup}', "");
    Expect(0, 5024, '\P{^ _in_Ethiopic_sup}', "");
    Error('\p{Expands_On_NFC}');
    Error('\P{Expands_On_NFC}');
    Error('\p{XO_NFC}');
    Error('\P{XO_NFC}');
    Error('\p{Expands_On_NFD}');
    Error('\P{Expands_On_NFD}');
    Error('\p{XO_NFD}');
    Error('\P{XO_NFD}');
    Error('\p{Expands_On_NFKC}');
    Error('\P{Expands_On_NFKC}');
    Error('\p{XO_NFKC}');
    Error('\P{XO_NFKC}');
    Error('\p{Expands_On_NFKD}');
    Error('\P{Expands_On_NFKD}');
    Error('\p{XO_NFKD}');
    Error('\P{XO_NFKD}');
    Error('\p{ extended_Pictographic:=}');
    Error('\P{ extended_Pictographic:=}');
    Expect(1, 131069, '\p{extendedpictographic}', "");
    Expect(0, 131069, '\p{^extendedpictographic}', "");
    Expect(0, 131069, '\P{extendedpictographic}', "");
    Expect(1, 131069, '\P{^extendedpictographic}', "");
    Expect(0, 131072, '\p{extendedpictographic}', "");
    Expect(1, 131072, '\p{^extendedpictographic}', "");
    Expect(1, 131072, '\P{extendedpictographic}', "");
    Expect(0, 131072, '\P{^extendedpictographic}', "");
    Expect(1, 131069, '\p{__EXTENDED_pictographic}', "");
    Expect(0, 131069, '\p{^__EXTENDED_pictographic}', "");
    Expect(0, 131069, '\P{__EXTENDED_pictographic}', "");
    Expect(1, 131069, '\P{^__EXTENDED_pictographic}', "");
    Expect(0, 131072, '\p{__EXTENDED_pictographic}', "");
    Expect(1, 131072, '\p{^__EXTENDED_pictographic}', "");
    Expect(1, 131072, '\P{__EXTENDED_pictographic}', "");
    Expect(0, 131072, '\P{^__EXTENDED_pictographic}', "");
    Error('\p{ /a/is_extended_Pictographic}');
    Error('\P{ /a/is_extended_Pictographic}');
    Expect(1, 131069, '\p{isextendedpictographic}', "");
    Expect(0, 131069, '\p{^isextendedpictographic}', "");
    Expect(0, 131069, '\P{isextendedpictographic}', "");
    Expect(1, 131069, '\P{^isextendedpictographic}', "");
    Expect(0, 131072, '\p{isextendedpictographic}', "");
    Expect(1, 131072, '\p{^isextendedpictographic}', "");
    Expect(1, 131072, '\P{isextendedpictographic}', "");
    Expect(0, 131072, '\P{^isextendedpictographic}', "");
    Expect(1, 131069, '\p{  Is_Extended_Pictographic}', "");
    Expect(0, 131069, '\p{^  Is_Extended_Pictographic}', "");
    Expect(0, 131069, '\P{  Is_Extended_Pictographic}', "");
    Expect(1, 131069, '\P{^  Is_Extended_Pictographic}', "");
    Expect(0, 131072, '\p{  Is_Extended_Pictographic}', "");
    Expect(1, 131072, '\p{^  Is_Extended_Pictographic}', "");
    Expect(1, 131072, '\P{  Is_Extended_Pictographic}', "");
    Expect(0, 131072, '\P{^  Is_Extended_Pictographic}', "");
    Error('\p{:=_ExtPict}');
    Error('\P{:=_ExtPict}');
    Expect(1, 131069, '\p{extpict}', "");
    Expect(0, 131069, '\p{^extpict}', "");
    Expect(0, 131069, '\P{extpict}', "");
    Expect(1, 131069, '\P{^extpict}', "");
    Expect(0, 131072, '\p{extpict}', "");
    Expect(1, 131072, '\p{^extpict}', "");
    Expect(1, 131072, '\P{extpict}', "");
    Expect(0, 131072, '\P{^extpict}', "");
    Expect(1, 131069, '\p{-	ExtPict}', "");
    Expect(0, 131069, '\p{^-	ExtPict}', "");
    Expect(0, 131069, '\P{-	ExtPict}', "");
    Expect(1, 131069, '\P{^-	ExtPict}', "");
    Expect(0, 131072, '\p{-	ExtPict}', "");
    Expect(1, 131072, '\p{^-	ExtPict}', "");
    Expect(1, 131072, '\P{-	ExtPict}', "");
    Expect(0, 131072, '\P{^-	ExtPict}', "");
    Error('\p{	/a/is_extpict}');
    Error('\P{	/a/is_extpict}');
    Expect(1, 131069, '\p{isextpict}', "");
    Expect(0, 131069, '\p{^isextpict}', "");
    Expect(0, 131069, '\P{isextpict}', "");
    Expect(1, 131069, '\P{^isextpict}', "");
    Expect(0, 131072, '\p{isextpict}', "");
    Expect(1, 131072, '\p{^isextpict}', "");
    Expect(1, 131072, '\P{isextpict}', "");
    Expect(0, 131072, '\P{^isextpict}', "");
    Expect(1, 131069, '\p{-	Is_EXTPICT}', "");
    Expect(0, 131069, '\p{^-	Is_EXTPICT}', "");
    Expect(0, 131069, '\P{-	Is_EXTPICT}', "");
    Expect(1, 131069, '\P{^-	Is_EXTPICT}', "");
    Expect(0, 131072, '\p{-	Is_EXTPICT}', "");
    Expect(1, 131072, '\p{^-	Is_EXTPICT}', "");
    Expect(1, 131072, '\P{-	Is_EXTPICT}', "");
    Expect(0, 131072, '\P{^-	Is_EXTPICT}', "");
    Error('\p{:=-Extender}');
    Error('\P{:=-Extender}');
    Expect(1, 125254, '\p{extender}', "");
    Expect(0, 125254, '\p{^extender}', "");
    Expect(0, 125254, '\P{extender}', "");
    Expect(1, 125254, '\P{^extender}', "");
    Expect(0, 125255, '\p{extender}', "");
    Expect(1, 125255, '\p{^extender}', "");
    Expect(1, 125255, '\P{extender}', "");
    Expect(0, 125255, '\P{^extender}', "");
    Expect(1, 125254, '\p{--EXTENDER}', "");
    Expect(0, 125254, '\p{^--EXTENDER}', "");
    Expect(0, 125254, '\P{--EXTENDER}', "");
    Expect(1, 125254, '\P{^--EXTENDER}', "");
    Expect(0, 125255, '\p{--EXTENDER}', "");
    Expect(1, 125255, '\p{^--EXTENDER}', "");
    Expect(1, 125255, '\P{--EXTENDER}', "");
    Expect(0, 125255, '\P{^--EXTENDER}', "");
    Error('\p{  is_Extender:=}');
    Error('\P{  is_Extender:=}');
    Expect(1, 125254, '\p{isextender}', "");
    Expect(0, 125254, '\p{^isextender}', "");
    Expect(0, 125254, '\P{isextender}', "");
    Expect(1, 125254, '\P{^isextender}', "");
    Expect(0, 125255, '\p{isextender}', "");
    Expect(1, 125255, '\p{^isextender}', "");
    Expect(1, 125255, '\P{isextender}', "");
    Expect(0, 125255, '\P{^isextender}', "");
    Expect(1, 125254, '\p{ _Is_Extender}', "");
    Expect(0, 125254, '\p{^ _Is_Extender}', "");
    Expect(0, 125254, '\P{ _Is_Extender}', "");
    Expect(1, 125254, '\P{^ _Is_Extender}', "");
    Expect(0, 125255, '\p{ _Is_Extender}', "");
    Expect(1, 125255, '\p{^ _Is_Extender}', "");
    Expect(1, 125255, '\P{ _Is_Extender}', "");
    Expect(0, 125255, '\P{^ _Is_Extender}', "");
    Error('\p{:=--Ext}');
    Error('\P{:=--Ext}');
    Expect(1, 125254, '\p{ext}', "");
    Expect(0, 125254, '\p{^ext}', "");
    Expect(0, 125254, '\P{ext}', "");
    Expect(1, 125254, '\P{^ext}', "");
    Expect(0, 125255, '\p{ext}', "");
    Expect(1, 125255, '\p{^ext}', "");
    Expect(1, 125255, '\P{ext}', "");
    Expect(0, 125255, '\P{^ext}', "");
    Expect(1, 125254, '\p{-ext}', "");
    Expect(0, 125254, '\p{^-ext}', "");
    Expect(0, 125254, '\P{-ext}', "");
    Expect(1, 125254, '\P{^-ext}', "");
    Expect(0, 125255, '\p{-ext}', "");
    Expect(1, 125255, '\p{^-ext}', "");
    Expect(1, 125255, '\P{-ext}', "");
    Expect(0, 125255, '\P{^-ext}', "");
    Error('\p{:=_ IS_Ext}');
    Error('\P{:=_ IS_Ext}');
    Expect(1, 125254, '\p{isext}', "");
    Expect(0, 125254, '\p{^isext}', "");
    Expect(0, 125254, '\P{isext}', "");
    Expect(1, 125254, '\P{^isext}', "");
    Expect(0, 125255, '\p{isext}', "");
    Expect(1, 125255, '\p{^isext}', "");
    Expect(1, 125255, '\P{isext}', "");
    Expect(0, 125255, '\P{^isext}', "");
    Expect(1, 125254, '\p{_Is_ext}', "");
    Expect(0, 125254, '\p{^_Is_ext}', "");
    Expect(0, 125254, '\P{_Is_ext}', "");
    Expect(1, 125254, '\P{^_Is_ext}', "");
    Expect(0, 125255, '\p{_Is_ext}', "");
    Expect(1, 125255, '\p{^_Is_ext}', "");
    Expect(1, 125255, '\P{_Is_ext}', "");
    Expect(0, 125255, '\P{^_Is_ext}', "");
    Error('\p{:=Final_Punctuation}');
    Error('\P{:=Final_Punctuation}');
    Expect(1, 11809, '\p{finalpunctuation}', "");
    Expect(0, 11809, '\p{^finalpunctuation}', "");
    Expect(0, 11809, '\P{finalpunctuation}', "");
    Expect(1, 11809, '\P{^finalpunctuation}', "");
    Expect(0, 11810, '\p{finalpunctuation}', "");
    Expect(1, 11810, '\p{^finalpunctuation}', "");
    Expect(1, 11810, '\P{finalpunctuation}', "");
    Expect(0, 11810, '\P{^finalpunctuation}', "");
    Expect(1, 11809, '\p{_-Final_Punctuation}', "");
    Expect(0, 11809, '\p{^_-Final_Punctuation}', "");
    Expect(0, 11809, '\P{_-Final_Punctuation}', "");
    Expect(1, 11809, '\P{^_-Final_Punctuation}', "");
    Expect(0, 11810, '\p{_-Final_Punctuation}', "");
    Expect(1, 11810, '\p{^_-Final_Punctuation}', "");
    Expect(1, 11810, '\P{_-Final_Punctuation}', "");
    Expect(0, 11810, '\P{^_-Final_Punctuation}', "");
    Error('\p{	:=Is_FINAL_PUNCTUATION}');
    Error('\P{	:=Is_FINAL_PUNCTUATION}');
    Expect(1, 11809, '\p{isfinalpunctuation}', "");
    Expect(0, 11809, '\p{^isfinalpunctuation}', "");
    Expect(0, 11809, '\P{isfinalpunctuation}', "");
    Expect(1, 11809, '\P{^isfinalpunctuation}', "");
    Expect(0, 11810, '\p{isfinalpunctuation}', "");
    Expect(1, 11810, '\p{^isfinalpunctuation}', "");
    Expect(1, 11810, '\P{isfinalpunctuation}', "");
    Expect(0, 11810, '\P{^isfinalpunctuation}', "");
    Expect(1, 11809, '\p{ Is_FINAL_PUNCTUATION}', "");
    Expect(0, 11809, '\p{^ Is_FINAL_PUNCTUATION}', "");
    Expect(0, 11809, '\P{ Is_FINAL_PUNCTUATION}', "");
    Expect(1, 11809, '\P{^ Is_FINAL_PUNCTUATION}', "");
    Expect(0, 11810, '\p{ Is_FINAL_PUNCTUATION}', "");
    Expect(1, 11810, '\p{^ Is_FINAL_PUNCTUATION}', "");
    Expect(1, 11810, '\P{ Is_FINAL_PUNCTUATION}', "");
    Expect(0, 11810, '\P{^ Is_FINAL_PUNCTUATION}', "");
    Error('\p{_pf/a/}');
    Error('\P{_pf/a/}');
    Expect(1, 11809, '\p{pf}', "");
    Expect(0, 11809, '\p{^pf}', "");
    Expect(0, 11809, '\P{pf}', "");
    Expect(1, 11809, '\P{^pf}', "");
    Expect(0, 11810, '\p{pf}', "");
    Expect(1, 11810, '\p{^pf}', "");
    Expect(1, 11810, '\P{pf}', "");
    Expect(0, 11810, '\P{^pf}', "");
    Expect(1, 11809, '\p{	Pf}', "");
    Expect(0, 11809, '\p{^	Pf}', "");
    Expect(0, 11809, '\P{	Pf}', "");
    Expect(1, 11809, '\P{^	Pf}', "");
    Expect(0, 11810, '\p{	Pf}', "");
    Expect(1, 11810, '\p{^	Pf}', "");
    Expect(1, 11810, '\P{	Pf}', "");
    Expect(0, 11810, '\P{^	Pf}', "");
    Error('\p{/a/is_PF}');
    Error('\P{/a/is_PF}');
    Expect(1, 11809, '\p{ispf}', "");
    Expect(0, 11809, '\p{^ispf}', "");
    Expect(0, 11809, '\P{ispf}', "");
    Expect(1, 11809, '\P{^ispf}', "");
    Expect(0, 11810, '\p{ispf}', "");
    Expect(1, 11810, '\p{^ispf}', "");
    Expect(1, 11810, '\P{ispf}', "");
    Expect(0, 11810, '\P{^ispf}', "");
    Expect(1, 11809, '\p{_	is_Pf}', "");
    Expect(0, 11809, '\p{^_	is_Pf}', "");
    Expect(0, 11809, '\P{_	is_Pf}', "");
    Expect(1, 11809, '\P{^_	is_Pf}', "");
    Expect(0, 11810, '\p{_	is_Pf}', "");
    Expect(1, 11810, '\p{^_	is_Pf}', "");
    Expect(1, 11810, '\P{_	is_Pf}', "");
    Expect(0, 11810, '\P{^_	is_Pf}', "");
    Error('\p{:=_format}');
    Error('\P{:=_format}');
    Expect(1, 917631, '\p{format}', "");
    Expect(0, 917631, '\p{^format}', "");
    Expect(0, 917631, '\P{format}', "");
    Expect(1, 917631, '\P{^format}', "");
    Expect(0, 917632, '\p{format}', "");
    Expect(1, 917632, '\p{^format}', "");
    Expect(1, 917632, '\P{format}', "");
    Expect(0, 917632, '\P{^format}', "");
    Expect(1, 917631, '\p{	_Format}', "");
    Expect(0, 917631, '\p{^	_Format}', "");
    Expect(0, 917631, '\P{	_Format}', "");
    Expect(1, 917631, '\P{^	_Format}', "");
    Expect(0, 917632, '\p{	_Format}', "");
    Expect(1, 917632, '\p{^	_Format}', "");
    Expect(1, 917632, '\P{	_Format}', "");
    Expect(0, 917632, '\P{^	_Format}', "");
    Error('\p{ -Is_Format:=}');
    Error('\P{ -Is_Format:=}');
    Expect(1, 917631, '\p{isformat}', "");
    Expect(0, 917631, '\p{^isformat}', "");
    Expect(0, 917631, '\P{isformat}', "");
    Expect(1, 917631, '\P{^isformat}', "");
    Expect(0, 917632, '\p{isformat}', "");
    Expect(1, 917632, '\p{^isformat}', "");
    Expect(1, 917632, '\P{isformat}', "");
    Expect(0, 917632, '\P{^isformat}', "");
    Expect(1, 917631, '\p{-	is_Format}', "");
    Expect(0, 917631, '\p{^-	is_Format}', "");
    Expect(0, 917631, '\P{-	is_Format}', "");
    Expect(1, 917631, '\P{^-	is_Format}', "");
    Expect(0, 917632, '\p{-	is_Format}', "");
    Expect(1, 917632, '\p{^-	is_Format}', "");
    Expect(1, 917632, '\P{-	is_Format}', "");
    Expect(0, 917632, '\P{^-	is_Format}', "");
    Error('\p{	_cf:=}');
    Error('\P{	_cf:=}');
    Expect(1, 917631, '\p{cf}', "");
    Expect(0, 917631, '\p{^cf}', "");
    Expect(0, 917631, '\P{cf}', "");
    Expect(1, 917631, '\P{^cf}', "");
    Expect(0, 917632, '\p{cf}', "");
    Expect(1, 917632, '\p{^cf}', "");
    Expect(1, 917632, '\P{cf}', "");
    Expect(0, 917632, '\P{^cf}', "");
    Expect(1, 917631, '\p{- CF}', "");
    Expect(0, 917631, '\p{^- CF}', "");
    Expect(0, 917631, '\P{- CF}', "");
    Expect(1, 917631, '\P{^- CF}', "");
    Expect(0, 917632, '\p{- CF}', "");
    Expect(1, 917632, '\p{^- CF}', "");
    Expect(1, 917632, '\P{- CF}', "");
    Expect(0, 917632, '\P{^- CF}', "");
    Error('\p{/a/ -IS_Cf}');
    Error('\P{/a/ -IS_Cf}');
    Expect(1, 917631, '\p{iscf}', "");
    Expect(0, 917631, '\p{^iscf}', "");
    Expect(0, 917631, '\P{iscf}', "");
    Expect(1, 917631, '\P{^iscf}', "");
    Expect(0, 917632, '\p{iscf}', "");
    Expect(1, 917632, '\p{^iscf}', "");
    Expect(1, 917632, '\P{iscf}', "");
    Expect(0, 917632, '\P{^iscf}', "");
    Expect(1, 917631, '\p{-	IS_Cf}', "");
    Expect(0, 917631, '\p{^-	IS_Cf}', "");
    Expect(0, 917631, '\P{-	IS_Cf}', "");
    Expect(1, 917631, '\P{^-	IS_Cf}', "");
    Expect(0, 917632, '\p{-	IS_Cf}', "");
    Expect(1, 917632, '\p{^-	IS_Cf}', "");
    Expect(1, 917632, '\P{-	IS_Cf}', "");
    Expect(0, 917632, '\P{^-	IS_Cf}', "");
    Error('\p{/a/-Full_Composition_Exclusion}');
    Error('\P{/a/-Full_Composition_Exclusion}');
    Expect(1, 195101, '\p{fullcompositionexclusion}', "");
    Expect(0, 195101, '\p{^fullcompositionexclusion}', "");
    Expect(0, 195101, '\P{fullcompositionexclusion}', "");
    Expect(1, 195101, '\P{^fullcompositionexclusion}', "");
    Expect(0, 195102, '\p{fullcompositionexclusion}', "");
    Expect(1, 195102, '\p{^fullcompositionexclusion}', "");
    Expect(1, 195102, '\P{fullcompositionexclusion}', "");
    Expect(0, 195102, '\P{^fullcompositionexclusion}', "");
    Expect(1, 195101, '\p{  Full_Composition_exclusion}', "");
    Expect(0, 195101, '\p{^  Full_Composition_exclusion}', "");
    Expect(0, 195101, '\P{  Full_Composition_exclusion}', "");
    Expect(1, 195101, '\P{^  Full_Composition_exclusion}', "");
    Expect(0, 195102, '\p{  Full_Composition_exclusion}', "");
    Expect(1, 195102, '\p{^  Full_Composition_exclusion}', "");
    Expect(1, 195102, '\P{  Full_Composition_exclusion}', "");
    Expect(0, 195102, '\P{^  Full_Composition_exclusion}', "");
    Error('\p{:= Is_Full_Composition_exclusion}');
    Error('\P{:= Is_Full_Composition_exclusion}');
    Expect(1, 195101, '\p{isfullcompositionexclusion}', "");
    Expect(0, 195101, '\p{^isfullcompositionexclusion}', "");
    Expect(0, 195101, '\P{isfullcompositionexclusion}', "");
    Expect(1, 195101, '\P{^isfullcompositionexclusion}', "");
    Expect(0, 195102, '\p{isfullcompositionexclusion}', "");
    Expect(1, 195102, '\p{^isfullcompositionexclusion}', "");
    Expect(1, 195102, '\P{isfullcompositionexclusion}', "");
    Expect(0, 195102, '\P{^isfullcompositionexclusion}', "");
    Expect(1, 195101, '\p{ 	is_Full_Composition_EXCLUSION}', "");
    Expect(0, 195101, '\p{^ 	is_Full_Composition_EXCLUSION}', "");
    Expect(0, 195101, '\P{ 	is_Full_Composition_EXCLUSION}', "");
    Expect(1, 195101, '\P{^ 	is_Full_Composition_EXCLUSION}', "");
    Expect(0, 195102, '\p{ 	is_Full_Composition_EXCLUSION}', "");
    Expect(1, 195102, '\p{^ 	is_Full_Composition_EXCLUSION}', "");
    Expect(1, 195102, '\P{ 	is_Full_Composition_EXCLUSION}', "");
    Expect(0, 195102, '\P{^ 	is_Full_Composition_EXCLUSION}', "");
    Error('\p{ /a/comp_EX}');
    Error('\P{ /a/comp_EX}');
    Expect(1, 195101, '\p{compex}', "");
    Expect(0, 195101, '\p{^compex}', "");
    Expect(0, 195101, '\P{compex}', "");
    Expect(1, 195101, '\P{^compex}', "");
    Expect(0, 195102, '\p{compex}', "");
    Expect(1, 195102, '\p{^compex}', "");
    Expect(1, 195102, '\P{compex}', "");
    Expect(0, 195102, '\P{^compex}', "");
    Expect(1, 195101, '\p{Comp_Ex}', "");
    Expect(0, 195101, '\p{^Comp_Ex}', "");
    Expect(0, 195101, '\P{Comp_Ex}', "");
    Expect(1, 195101, '\P{^Comp_Ex}', "");
    Expect(0, 195102, '\p{Comp_Ex}', "");
    Expect(1, 195102, '\p{^Comp_Ex}', "");
    Expect(1, 195102, '\P{Comp_Ex}', "");
    Expect(0, 195102, '\P{^Comp_Ex}', "");
    Error('\p{ /a/IS_Comp_Ex}');
    Error('\P{ /a/IS_Comp_Ex}');
    Expect(1, 195101, '\p{iscompex}', "");
    Expect(0, 195101, '\p{^iscompex}', "");
    Expect(0, 195101, '\P{iscompex}', "");
    Expect(1, 195101, '\P{^iscompex}', "");
    Expect(0, 195102, '\p{iscompex}', "");
    Expect(1, 195102, '\p{^iscompex}', "");
    Expect(1, 195102, '\P{iscompex}', "");
    Expect(0, 195102, '\P{^iscompex}', "");
    Expect(1, 195101, '\p{- is_COMP_ex}', "");
    Expect(0, 195101, '\p{^- is_COMP_ex}', "");
    Expect(0, 195101, '\P{- is_COMP_ex}', "");
    Expect(1, 195101, '\P{^- is_COMP_ex}', "");
    Expect(0, 195102, '\p{- is_COMP_ex}', "");
    Expect(1, 195102, '\p{^- is_COMP_ex}', "");
    Expect(1, 195102, '\P{- is_COMP_ex}', "");
    Expect(0, 195102, '\P{^- is_COMP_ex}', "");
    Error('\p{	general_Punctuation/a/}');
    Error('\P{	general_Punctuation/a/}');
    Expect(1, 8303, '\p{generalpunctuation}', "");
    Expect(0, 8303, '\p{^generalpunctuation}', "");
    Expect(0, 8303, '\P{generalpunctuation}', "");
    Expect(1, 8303, '\P{^generalpunctuation}', "");
    Expect(0, 8304, '\p{generalpunctuation}', "");
    Expect(1, 8304, '\p{^generalpunctuation}', "");
    Expect(1, 8304, '\P{generalpunctuation}', "");
    Expect(0, 8304, '\P{^generalpunctuation}', "");
    Expect(1, 8303, '\p{__general_Punctuation}', "");
    Expect(0, 8303, '\p{^__general_Punctuation}', "");
    Expect(0, 8303, '\P{__general_Punctuation}', "");
    Expect(1, 8303, '\P{^__general_Punctuation}', "");
    Expect(0, 8304, '\p{__general_Punctuation}', "");
    Expect(1, 8304, '\p{^__general_Punctuation}', "");
    Expect(1, 8304, '\P{__general_Punctuation}', "");
    Expect(0, 8304, '\P{^__general_Punctuation}', "");
    Error('\p{	/a/Is_General_Punctuation}');
    Error('\P{	/a/Is_General_Punctuation}');
    Expect(1, 8303, '\p{isgeneralpunctuation}', "");
    Expect(0, 8303, '\p{^isgeneralpunctuation}', "");
    Expect(0, 8303, '\P{isgeneralpunctuation}', "");
    Expect(1, 8303, '\P{^isgeneralpunctuation}', "");
    Expect(0, 8304, '\p{isgeneralpunctuation}', "");
    Expect(1, 8304, '\p{^isgeneralpunctuation}', "");
    Expect(1, 8304, '\P{isgeneralpunctuation}', "");
    Expect(0, 8304, '\P{^isgeneralpunctuation}', "");
    Expect(1, 8303, '\p{-IS_general_punctuation}', "");
    Expect(0, 8303, '\p{^-IS_general_punctuation}', "");
    Expect(0, 8303, '\P{-IS_general_punctuation}', "");
    Expect(1, 8303, '\P{^-IS_general_punctuation}', "");
    Expect(0, 8304, '\p{-IS_general_punctuation}', "");
    Expect(1, 8304, '\p{^-IS_general_punctuation}', "");
    Expect(1, 8304, '\P{-IS_general_punctuation}', "");
    Expect(0, 8304, '\P{^-IS_general_punctuation}', "");
    Error('\p{-in_General_punctuation:=}');
    Error('\P{-in_General_punctuation:=}');
    Expect(1, 8303, '\p{ingeneralpunctuation}', "");
    Expect(0, 8303, '\p{^ingeneralpunctuation}', "");
    Expect(0, 8303, '\P{ingeneralpunctuation}', "");
    Expect(1, 8303, '\P{^ingeneralpunctuation}', "");
    Expect(0, 8304, '\p{ingeneralpunctuation}', "");
    Expect(1, 8304, '\p{^ingeneralpunctuation}', "");
    Expect(1, 8304, '\P{ingeneralpunctuation}', "");
    Expect(0, 8304, '\P{^ingeneralpunctuation}', "");
    Expect(1, 8303, '\p{IN_General_Punctuation}', "");
    Expect(0, 8303, '\p{^IN_General_Punctuation}', "");
    Expect(0, 8303, '\P{IN_General_Punctuation}', "");
    Expect(1, 8303, '\P{^IN_General_Punctuation}', "");
    Expect(0, 8304, '\p{IN_General_Punctuation}', "");
    Expect(1, 8304, '\p{^IN_General_Punctuation}', "");
    Expect(1, 8304, '\P{IN_General_Punctuation}', "");
    Expect(0, 8304, '\P{^IN_General_Punctuation}', "");
    Error('\p{-/a/In_punctuation}');
    Error('\P{-/a/In_punctuation}');
    Expect(1, 8303, '\p{inpunctuation}', "");
    Expect(0, 8303, '\p{^inpunctuation}', "");
    Expect(0, 8303, '\P{inpunctuation}', "");
    Expect(1, 8303, '\P{^inpunctuation}', "");
    Expect(0, 8304, '\p{inpunctuation}', "");
    Expect(1, 8304, '\p{^inpunctuation}', "");
    Expect(1, 8304, '\P{inpunctuation}', "");
    Expect(0, 8304, '\P{^inpunctuation}', "");
    Expect(1, 8303, '\p{		in_Punctuation}', "");
    Expect(0, 8303, '\p{^		in_Punctuation}', "");
    Expect(0, 8303, '\P{		in_Punctuation}', "");
    Expect(1, 8303, '\P{^		in_Punctuation}', "");
    Expect(0, 8304, '\p{		in_Punctuation}', "");
    Expect(1, 8304, '\p{^		in_Punctuation}', "");
    Expect(1, 8304, '\P{		in_Punctuation}', "");
    Expect(0, 8304, '\P{^		in_Punctuation}', "");
    Error('\p{:=  GEOMETRIC_Shapes}');
    Error('\P{:=  GEOMETRIC_Shapes}');
    Expect(1, 9727, '\p{geometricshapes}', "");
    Expect(0, 9727, '\p{^geometricshapes}', "");
    Expect(0, 9727, '\P{geometricshapes}', "");
    Expect(1, 9727, '\P{^geometricshapes}', "");
    Expect(0, 9728, '\p{geometricshapes}', "");
    Expect(1, 9728, '\p{^geometricshapes}', "");
    Expect(1, 9728, '\P{geometricshapes}', "");
    Expect(0, 9728, '\P{^geometricshapes}', "");
    Expect(1, 9727, '\p{_ Geometric_shapes}', "");
    Expect(0, 9727, '\p{^_ Geometric_shapes}', "");
    Expect(0, 9727, '\P{_ Geometric_shapes}', "");
    Expect(1, 9727, '\P{^_ Geometric_shapes}', "");
    Expect(0, 9728, '\p{_ Geometric_shapes}', "");
    Expect(1, 9728, '\p{^_ Geometric_shapes}', "");
    Expect(1, 9728, '\P{_ Geometric_shapes}', "");
    Expect(0, 9728, '\P{^_ Geometric_shapes}', "");
    Error('\p{_/a/IS_Geometric_SHAPES}');
    Error('\P{_/a/IS_Geometric_SHAPES}');
    Expect(1, 9727, '\p{isgeometricshapes}', "");
    Expect(0, 9727, '\p{^isgeometricshapes}', "");
    Expect(0, 9727, '\P{isgeometricshapes}', "");
    Expect(1, 9727, '\P{^isgeometricshapes}', "");
    Expect(0, 9728, '\p{isgeometricshapes}', "");
    Expect(1, 9728, '\p{^isgeometricshapes}', "");
    Expect(1, 9728, '\P{isgeometricshapes}', "");
    Expect(0, 9728, '\P{^isgeometricshapes}', "");
    Expect(1, 9727, '\p{	IS_geometric_SHAPES}', "");
    Expect(0, 9727, '\p{^	IS_geometric_SHAPES}', "");
    Expect(0, 9727, '\P{	IS_geometric_SHAPES}', "");
    Expect(1, 9727, '\P{^	IS_geometric_SHAPES}', "");
    Expect(0, 9728, '\p{	IS_geometric_SHAPES}', "");
    Expect(1, 9728, '\p{^	IS_geometric_SHAPES}', "");
    Expect(1, 9728, '\P{	IS_geometric_SHAPES}', "");
    Expect(0, 9728, '\P{^	IS_geometric_SHAPES}', "");
    Error('\p{_In_Geometric_Shapes:=}');
    Error('\P{_In_Geometric_Shapes:=}');
    Expect(1, 9727, '\p{ingeometricshapes}', "");
    Expect(0, 9727, '\p{^ingeometricshapes}', "");
    Expect(0, 9727, '\P{ingeometricshapes}', "");
    Expect(1, 9727, '\P{^ingeometricshapes}', "");
    Expect(0, 9728, '\p{ingeometricshapes}', "");
    Expect(1, 9728, '\p{^ingeometricshapes}', "");
    Expect(1, 9728, '\P{ingeometricshapes}', "");
    Expect(0, 9728, '\P{^ingeometricshapes}', "");
    Expect(1, 9727, '\p{--In_Geometric_SHAPES}', "");
    Expect(0, 9727, '\p{^--In_Geometric_SHAPES}', "");
    Expect(0, 9727, '\P{--In_Geometric_SHAPES}', "");
    Expect(1, 9727, '\P{^--In_Geometric_SHAPES}', "");
    Expect(0, 9728, '\p{--In_Geometric_SHAPES}', "");
    Expect(1, 9728, '\p{^--In_Geometric_SHAPES}', "");
    Expect(1, 9728, '\P{--In_Geometric_SHAPES}', "");
    Expect(0, 9728, '\P{^--In_Geometric_SHAPES}', "");
    Error('\p{_:=Geometric_SHAPES_Extended}');
    Error('\P{_:=Geometric_SHAPES_Extended}');
    Expect(1, 129023, '\p{geometricshapesextended}', "");
    Expect(0, 129023, '\p{^geometricshapesextended}', "");
    Expect(0, 129023, '\P{geometricshapesextended}', "");
    Expect(1, 129023, '\P{^geometricshapesextended}', "");
    Expect(0, 129024, '\p{geometricshapesextended}', "");
    Expect(1, 129024, '\p{^geometricshapesextended}', "");
    Expect(1, 129024, '\P{geometricshapesextended}', "");
    Expect(0, 129024, '\P{^geometricshapesextended}', "");
    Expect(1, 129023, '\p{	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129023, '\p{^	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129023, '\P{	 GEOMETRIC_Shapes_Extended}', "");
    Expect(1, 129023, '\P{^	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129024, '\p{	 GEOMETRIC_Shapes_Extended}', "");
    Expect(1, 129024, '\p{^	 GEOMETRIC_Shapes_Extended}', "");
    Expect(1, 129024, '\P{	 GEOMETRIC_Shapes_Extended}', "");
    Expect(0, 129024, '\P{^	 GEOMETRIC_Shapes_Extended}', "");
    Error('\p{	 IS_GEOMETRIC_Shapes_extended/a/}');
    Error('\P{	 IS_GEOMETRIC_Shapes_extended/a/}');
    Expect(1, 129023, '\p{isgeometricshapesextended}', "");
    Expect(0, 129023, '\p{^isgeometricshapesextended}', "");
    Expect(0, 129023, '\P{isgeometricshapesextended}', "");
    Expect(1, 129023, '\P{^isgeometricshapesextended}', "");
    Expect(0, 129024, '\p{isgeometricshapesextended}', "");
    Expect(1, 129024, '\p{^isgeometricshapesextended}', "");
    Expect(1, 129024, '\P{isgeometricshapesextended}', "");
    Expect(0, 129024, '\P{^isgeometricshapesextended}', "");
    Expect(1, 129023, '\p{ is_geometric_SHAPES_Extended}', "");
    Expect(0, 129023, '\p{^ is_geometric_SHAPES_Extended}', "");
    Expect(0, 129023, '\P{ is_geometric_SHAPES_Extended}', "");
    Expect(1, 129023, '\P{^ is_geometric_SHAPES_Extended}', "");
    Expect(0, 129024, '\p{ is_geometric_SHAPES_Extended}', "");
    Expect(1, 129024, '\p{^ is_geometric_SHAPES_Extended}', "");
    Expect(1, 129024, '\P{ is_geometric_SHAPES_Extended}', "");
    Expect(0, 129024, '\P{^ is_geometric_SHAPES_Extended}', "");
    Error('\p{-/a/In_Geometric_SHAPES_EXTENDED}');
    Error('\P{-/a/In_Geometric_SHAPES_EXTENDED}');
    Expect(1, 129023, '\p{ingeometricshapesextended}', "");
    Expect(0, 129023, '\p{^ingeometricshapesextended}', "");
    Expect(0, 129023, '\P{ingeometricshapesextended}', "");
    Expect(1, 129023, '\P{^ingeometricshapesextended}', "");
    Expect(0, 129024, '\p{ingeometricshapesextended}', "");
    Expect(1, 129024, '\p{^ingeometricshapesextended}', "");
    Expect(1, 129024, '\P{ingeometricshapesextended}', "");
    Expect(0, 129024, '\P{^ingeometricshapesextended}', "");
    Expect(1, 129023, '\p{ in_Geometric_shapes_extended}', "");
    Expect(0, 129023, '\p{^ in_Geometric_shapes_extended}', "");
    Expect(0, 129023, '\P{ in_Geometric_shapes_extended}', "");
    Expect(1, 129023, '\P{^ in_Geometric_shapes_extended}', "");
    Expect(0, 129024, '\p{ in_Geometric_shapes_extended}', "");
    Expect(1, 129024, '\p{^ in_Geometric_shapes_extended}', "");
    Expect(1, 129024, '\P{ in_Geometric_shapes_extended}', "");
    Expect(0, 129024, '\P{^ in_Geometric_shapes_extended}', "");
    Error('\p{ :=Geometric_Shapes_EXT}');
    Error('\P{ :=Geometric_Shapes_EXT}');
    Expect(1, 129023, '\p{geometricshapesext}', "");
    Expect(0, 129023, '\p{^geometricshapesext}', "");
    Expect(0, 129023, '\P{geometricshapesext}', "");
    Expect(1, 129023, '\P{^geometricshapesext}', "");
    Expect(0, 129024, '\p{geometricshapesext}', "");
    Expect(1, 129024, '\p{^geometricshapesext}', "");
    Expect(1, 129024, '\P{geometricshapesext}', "");
    Expect(0, 129024, '\P{^geometricshapesext}', "");
    Expect(1, 129023, '\p{-_Geometric_shapes_EXT}', "");
    Expect(0, 129023, '\p{^-_Geometric_shapes_EXT}', "");
    Expect(0, 129023, '\P{-_Geometric_shapes_EXT}', "");
    Expect(1, 129023, '\P{^-_Geometric_shapes_EXT}', "");
    Expect(0, 129024, '\p{-_Geometric_shapes_EXT}', "");
    Expect(1, 129024, '\p{^-_Geometric_shapes_EXT}', "");
    Expect(1, 129024, '\P{-_Geometric_shapes_EXT}', "");
    Expect(0, 129024, '\P{^-_Geometric_shapes_EXT}', "");
    Error('\p{:= Is_Geometric_SHAPES_Ext}');
    Error('\P{:= Is_Geometric_SHAPES_Ext}');
    Expect(1, 129023, '\p{isgeometricshapesext}', "");
    Expect(0, 129023, '\p{^isgeometricshapesext}', "");
    Expect(0, 129023, '\P{isgeometricshapesext}', "");
    Expect(1, 129023, '\P{^isgeometricshapesext}', "");
    Expect(0, 129024, '\p{isgeometricshapesext}', "");
    Expect(1, 129024, '\p{^isgeometricshapesext}', "");
    Expect(1, 129024, '\P{isgeometricshapesext}', "");
    Expect(0, 129024, '\P{^isgeometricshapesext}', "");
    Expect(1, 129023, '\p{-Is_Geometric_Shapes_Ext}', "");
    Expect(0, 129023, '\p{^-Is_Geometric_Shapes_Ext}', "");
    Expect(0, 129023, '\P{-Is_Geometric_Shapes_Ext}', "");
    Expect(1, 129023, '\P{^-Is_Geometric_Shapes_Ext}', "");
    Expect(0, 129024, '\p{-Is_Geometric_Shapes_Ext}', "");
    Expect(1, 129024, '\p{^-Is_Geometric_Shapes_Ext}', "");
    Expect(1, 129024, '\P{-Is_Geometric_Shapes_Ext}', "");
    Expect(0, 129024, '\P{^-Is_Geometric_Shapes_Ext}', "");
    Error('\p{_-in_Geometric_shapes_EXT:=}');
    Error('\P{_-in_Geometric_shapes_EXT:=}');
    Expect(1, 129023, '\p{ingeometricshapesext}', "");
    Expect(0, 129023, '\p{^ingeometricshapesext}', "");
    Expect(0, 129023, '\P{ingeometricshapesext}', "");
    Expect(1, 129023, '\P{^ingeometricshapesext}', "");
    Expect(0, 129024, '\p{ingeometricshapesext}', "");
    Expect(1, 129024, '\p{^ingeometricshapesext}', "");
    Expect(1, 129024, '\P{ingeometricshapesext}', "");
    Expect(0, 129024, '\P{^ingeometricshapesext}', "");
    Expect(1, 129023, '\p{_	IN_Geometric_Shapes_Ext}', "");
    Expect(0, 129023, '\p{^_	IN_Geometric_Shapes_Ext}', "");
    Expect(0, 129023, '\P{_	IN_Geometric_Shapes_Ext}', "");
    Expect(1, 129023, '\P{^_	IN_Geometric_Shapes_Ext}', "");
    Expect(0, 129024, '\p{_	IN_Geometric_Shapes_Ext}', "");
    Expect(1, 129024, '\p{^_	IN_Geometric_Shapes_Ext}', "");
    Expect(1, 129024, '\P{_	IN_Geometric_Shapes_Ext}', "");
    Expect(0, 129024, '\P{^_	IN_Geometric_Shapes_Ext}', "");
    Error('\p{/a/_ Georgian}');
    Error('\P{/a/_ Georgian}');
    Expect(1, 11565, '\p{georgian}', "");
    Expect(0, 11565, '\p{^georgian}', "");
    Expect(0, 11565, '\P{georgian}', "");
    Expect(1, 11565, '\P{^georgian}', "");
    Expect(0, 11566, '\p{georgian}', "");
    Expect(1, 11566, '\p{^georgian}', "");
    Expect(1, 11566, '\P{georgian}', "");
    Expect(0, 11566, '\P{^georgian}', "");
    Expect(1, 11565, '\p{_Georgian}', "");
    Expect(0, 11565, '\p{^_Georgian}', "");
    Expect(0, 11565, '\P{_Georgian}', "");
    Expect(1, 11565, '\P{^_Georgian}', "");
    Expect(0, 11566, '\p{_Georgian}', "");
    Expect(1, 11566, '\p{^_Georgian}', "");
    Expect(1, 11566, '\P{_Georgian}', "");
    Expect(0, 11566, '\P{^_Georgian}', "");
    Error('\p{/a/_IS_Georgian}');
    Error('\P{/a/_IS_Georgian}');
    Expect(1, 11565, '\p{isgeorgian}', "");
    Expect(0, 11565, '\p{^isgeorgian}', "");
    Expect(0, 11565, '\P{isgeorgian}', "");
    Expect(1, 11565, '\P{^isgeorgian}', "");
    Expect(0, 11566, '\p{isgeorgian}', "");
    Expect(1, 11566, '\p{^isgeorgian}', "");
    Expect(1, 11566, '\P{isgeorgian}', "");
    Expect(0, 11566, '\P{^isgeorgian}', "");
    Expect(1, 11565, '\p{	 Is_Georgian}', "");
    Expect(0, 11565, '\p{^	 Is_Georgian}', "");
    Expect(0, 11565, '\P{	 Is_Georgian}', "");
    Expect(1, 11565, '\P{^	 Is_Georgian}', "");
    Expect(0, 11566, '\p{	 Is_Georgian}', "");
    Expect(1, 11566, '\p{^	 Is_Georgian}', "");
    Expect(1, 11566, '\P{	 Is_Georgian}', "");
    Expect(0, 11566, '\P{^	 Is_Georgian}', "");
    Error('\p{:=		GEOR}');
    Error('\P{:=		GEOR}');
    Expect(1, 11565, '\p{geor}', "");
    Expect(0, 11565, '\p{^geor}', "");
    Expect(0, 11565, '\P{geor}', "");
    Expect(1, 11565, '\P{^geor}', "");
    Expect(0, 11566, '\p{geor}', "");
    Expect(1, 11566, '\p{^geor}', "");
    Expect(1, 11566, '\P{geor}', "");
    Expect(0, 11566, '\P{^geor}', "");
    Expect(1, 11565, '\p{-Geor}', "");
    Expect(0, 11565, '\p{^-Geor}', "");
    Expect(0, 11565, '\P{-Geor}', "");
    Expect(1, 11565, '\P{^-Geor}', "");
    Expect(0, 11566, '\p{-Geor}', "");
    Expect(1, 11566, '\p{^-Geor}', "");
    Expect(1, 11566, '\P{-Geor}', "");
    Expect(0, 11566, '\P{^-Geor}', "");
    Error('\p{--Is_Geor/a/}');
    Error('\P{--Is_Geor/a/}');
    Expect(1, 11565, '\p{isgeor}', "");
    Expect(0, 11565, '\p{^isgeor}', "");
    Expect(0, 11565, '\P{isgeor}', "");
    Expect(1, 11565, '\P{^isgeor}', "");
    Expect(0, 11566, '\p{isgeor}', "");
    Expect(1, 11566, '\p{^isgeor}', "");
    Expect(1, 11566, '\P{isgeor}', "");
    Expect(0, 11566, '\P{^isgeor}', "");
    Expect(1, 11565, '\p{		is_Geor}', "");
    Expect(0, 11565, '\p{^		is_Geor}', "");
    Expect(0, 11565, '\P{		is_Geor}', "");
    Expect(1, 11565, '\P{^		is_Geor}', "");
    Expect(0, 11566, '\p{		is_Geor}', "");
    Expect(1, 11566, '\p{^		is_Geor}', "");
    Expect(1, 11566, '\P{		is_Geor}', "");
    Expect(0, 11566, '\P{^		is_Geor}', "");
    Error('\p{	 Georgian_Extended:=}');
    Error('\P{	 Georgian_Extended:=}');
    Expect(1, 7359, '\p{georgianextended}', "");
    Expect(0, 7359, '\p{^georgianextended}', "");
    Expect(0, 7359, '\P{georgianextended}', "");
    Expect(1, 7359, '\P{^georgianextended}', "");
    Expect(0, 7360, '\p{georgianextended}', "");
    Expect(1, 7360, '\p{^georgianextended}', "");
    Expect(1, 7360, '\P{georgianextended}', "");
    Expect(0, 7360, '\P{^georgianextended}', "");
    Expect(1, 7359, '\p{	_Georgian_EXTENDED}', "");
    Expect(0, 7359, '\p{^	_Georgian_EXTENDED}', "");
    Expect(0, 7359, '\P{	_Georgian_EXTENDED}', "");
    Expect(1, 7359, '\P{^	_Georgian_EXTENDED}', "");
    Expect(0, 7360, '\p{	_Georgian_EXTENDED}', "");
    Expect(1, 7360, '\p{^	_Georgian_EXTENDED}', "");
    Expect(1, 7360, '\P{	_Georgian_EXTENDED}', "");
    Expect(0, 7360, '\P{^	_Georgian_EXTENDED}', "");
    Error('\p{-IS_georgian_Extended/a/}');
    Error('\P{-IS_georgian_Extended/a/}');
    Expect(1, 7359, '\p{isgeorgianextended}', "");
    Expect(0, 7359, '\p{^isgeorgianextended}', "");
    Expect(0, 7359, '\P{isgeorgianextended}', "");
    Expect(1, 7359, '\P{^isgeorgianextended}', "");
    Expect(0, 7360, '\p{isgeorgianextended}', "");
    Expect(1, 7360, '\p{^isgeorgianextended}', "");
    Expect(1, 7360, '\P{isgeorgianextended}', "");
    Expect(0, 7360, '\P{^isgeorgianextended}', "");
    Expect(1, 7359, '\p{-Is_Georgian_Extended}', "");
    Expect(0, 7359, '\p{^-Is_Georgian_Extended}', "");
    Expect(0, 7359, '\P{-Is_Georgian_Extended}', "");
    Expect(1, 7359, '\P{^-Is_Georgian_Extended}', "");
    Expect(0, 7360, '\p{-Is_Georgian_Extended}', "");
    Expect(1, 7360, '\p{^-Is_Georgian_Extended}', "");
    Expect(1, 7360, '\P{-Is_Georgian_Extended}', "");
    Expect(0, 7360, '\P{^-Is_Georgian_Extended}', "");
    Error('\p{:=_ In_georgian_Extended}');
    Error('\P{:=_ In_georgian_Extended}');
    Expect(1, 7359, '\p{ingeorgianextended}', "");
    Expect(0, 7359, '\p{^ingeorgianextended}', "");
    Expect(0, 7359, '\P{ingeorgianextended}', "");
    Expect(1, 7359, '\P{^ingeorgianextended}', "");
    Expect(0, 7360, '\p{ingeorgianextended}', "");
    Expect(1, 7360, '\p{^ingeorgianextended}', "");
    Expect(1, 7360, '\P{ingeorgianextended}', "");
    Expect(0, 7360, '\P{^ingeorgianextended}', "");
    Expect(1, 7359, '\p{ In_GEORGIAN_EXTENDED}', "");
    Expect(0, 7359, '\p{^ In_GEORGIAN_EXTENDED}', "");
    Expect(0, 7359, '\P{ In_GEORGIAN_EXTENDED}', "");
    Expect(1, 7359, '\P{^ In_GEORGIAN_EXTENDED}', "");
    Expect(0, 7360, '\p{ In_GEORGIAN_EXTENDED}', "");
    Expect(1, 7360, '\p{^ In_GEORGIAN_EXTENDED}', "");
    Expect(1, 7360, '\P{ In_GEORGIAN_EXTENDED}', "");
    Expect(0, 7360, '\P{^ In_GEORGIAN_EXTENDED}', "");
    Error('\p{__Georgian_Ext/a/}');
    Error('\P{__Georgian_Ext/a/}');
    Expect(1, 7359, '\p{georgianext}', "");
    Expect(0, 7359, '\p{^georgianext}', "");
    Expect(0, 7359, '\P{georgianext}', "");
    Expect(1, 7359, '\P{^georgianext}', "");
    Expect(0, 7360, '\p{georgianext}', "");
    Expect(1, 7360, '\p{^georgianext}', "");
    Expect(1, 7360, '\P{georgianext}', "");
    Expect(0, 7360, '\P{^georgianext}', "");
    Expect(1, 7359, '\p{ -GEORGIAN_EXT}', "");
    Expect(0, 7359, '\p{^ -GEORGIAN_EXT}', "");
    Expect(0, 7359, '\P{ -GEORGIAN_EXT}', "");
    Expect(1, 7359, '\P{^ -GEORGIAN_EXT}', "");
    Expect(0, 7360, '\p{ -GEORGIAN_EXT}', "");
    Expect(1, 7360, '\p{^ -GEORGIAN_EXT}', "");
    Expect(1, 7360, '\P{ -GEORGIAN_EXT}', "");
    Expect(0, 7360, '\P{^ -GEORGIAN_EXT}', "");
    Error('\p{-:=Is_Georgian_Ext}');
    Error('\P{-:=Is_Georgian_Ext}');
    Expect(1, 7359, '\p{isgeorgianext}', "");
    Expect(0, 7359, '\p{^isgeorgianext}', "");
    Expect(0, 7359, '\P{isgeorgianext}', "");
    Expect(1, 7359, '\P{^isgeorgianext}', "");
    Expect(0, 7360, '\p{isgeorgianext}', "");
    Expect(1, 7360, '\p{^isgeorgianext}', "");
    Expect(1, 7360, '\P{isgeorgianext}', "");
    Expect(0, 7360, '\P{^isgeorgianext}', "");
    Expect(1, 7359, '\p{_-is_GEORGIAN_Ext}', "");
    Expect(0, 7359, '\p{^_-is_GEORGIAN_Ext}', "");
    Expect(0, 7359, '\P{_-is_GEORGIAN_Ext}', "");
    Expect(1, 7359, '\P{^_-is_GEORGIAN_Ext}', "");
    Expect(0, 7360, '\p{_-is_GEORGIAN_Ext}', "");
    Expect(1, 7360, '\p{^_-is_GEORGIAN_Ext}', "");
    Expect(1, 7360, '\P{_-is_GEORGIAN_Ext}', "");
    Expect(0, 7360, '\P{^_-is_GEORGIAN_Ext}', "");
    Error('\p{ :=In_Georgian_Ext}');
    Error('\P{ :=In_Georgian_Ext}');
    Expect(1, 7359, '\p{ingeorgianext}', "");
    Expect(0, 7359, '\p{^ingeorgianext}', "");
    Expect(0, 7359, '\P{ingeorgianext}', "");
    Expect(1, 7359, '\P{^ingeorgianext}', "");
    Expect(0, 7360, '\p{ingeorgianext}', "");
    Expect(1, 7360, '\p{^ingeorgianext}', "");
    Expect(1, 7360, '\P{ingeorgianext}', "");
    Expect(0, 7360, '\P{^ingeorgianext}', "");
    Expect(1, 7359, '\p{	 In_Georgian_Ext}', "");
    Expect(0, 7359, '\p{^	 In_Georgian_Ext}', "");
    Expect(0, 7359, '\P{	 In_Georgian_Ext}', "");
    Expect(1, 7359, '\P{^	 In_Georgian_Ext}', "");
    Expect(0, 7360, '\p{	 In_Georgian_Ext}', "");
    Expect(1, 7360, '\p{^	 In_Georgian_Ext}', "");
    Expect(1, 7360, '\P{	 In_Georgian_Ext}', "");
    Expect(0, 7360, '\P{^	 In_Georgian_Ext}', "");
    Error('\p{/a/georgian_Supplement}');
    Error('\P{/a/georgian_Supplement}');
    Expect(1, 11567, '\p{georgiansupplement}', "");
    Expect(0, 11567, '\p{^georgiansupplement}', "");
    Expect(0, 11567, '\P{georgiansupplement}', "");
    Expect(1, 11567, '\P{^georgiansupplement}', "");
    Expect(0, 11568, '\p{georgiansupplement}', "");
    Expect(1, 11568, '\p{^georgiansupplement}', "");
    Expect(1, 11568, '\P{georgiansupplement}', "");
    Expect(0, 11568, '\P{^georgiansupplement}', "");
    Expect(1, 11567, '\p{_	GEORGIAN_Supplement}', "");
    Expect(0, 11567, '\p{^_	GEORGIAN_Supplement}', "");
    Expect(0, 11567, '\P{_	GEORGIAN_Supplement}', "");
    Expect(1, 11567, '\P{^_	GEORGIAN_Supplement}', "");
    Expect(0, 11568, '\p{_	GEORGIAN_Supplement}', "");
    Expect(1, 11568, '\p{^_	GEORGIAN_Supplement}', "");
    Expect(1, 11568, '\P{_	GEORGIAN_Supplement}', "");
    Expect(0, 11568, '\P{^_	GEORGIAN_Supplement}', "");
    Error('\p{__IS_Georgian_Supplement/a/}');
    Error('\P{__IS_Georgian_Supplement/a/}');
    Expect(1, 11567, '\p{isgeorgiansupplement}', "");
    Expect(0, 11567, '\p{^isgeorgiansupplement}', "");
    Expect(0, 11567, '\P{isgeorgiansupplement}', "");
    Expect(1, 11567, '\P{^isgeorgiansupplement}', "");
    Expect(0, 11568, '\p{isgeorgiansupplement}', "");
    Expect(1, 11568, '\p{^isgeorgiansupplement}', "");
    Expect(1, 11568, '\P{isgeorgiansupplement}', "");
    Expect(0, 11568, '\P{^isgeorgiansupplement}', "");
    Expect(1, 11567, '\p{Is_georgian_SUPPLEMENT}', "");
    Expect(0, 11567, '\p{^Is_georgian_SUPPLEMENT}', "");
    Expect(0, 11567, '\P{Is_georgian_SUPPLEMENT}', "");
    Expect(1, 11567, '\P{^Is_georgian_SUPPLEMENT}', "");
    Expect(0, 11568, '\p{Is_georgian_SUPPLEMENT}', "");
    Expect(1, 11568, '\p{^Is_georgian_SUPPLEMENT}', "");
    Expect(1, 11568, '\P{Is_georgian_SUPPLEMENT}', "");
    Expect(0, 11568, '\P{^Is_georgian_SUPPLEMENT}', "");
    Error('\p{ /a/IN_GEORGIAN_Supplement}');
    Error('\P{ /a/IN_GEORGIAN_Supplement}');
    Expect(1, 11567, '\p{ingeorgiansupplement}', "");
    Expect(0, 11567, '\p{^ingeorgiansupplement}', "");
    Expect(0, 11567, '\P{ingeorgiansupplement}', "");
    Expect(1, 11567, '\P{^ingeorgiansupplement}', "");
    Expect(0, 11568, '\p{ingeorgiansupplement}', "");
    Expect(1, 11568, '\p{^ingeorgiansupplement}', "");
    Expect(1, 11568, '\P{ingeorgiansupplement}', "");
    Expect(0, 11568, '\P{^ingeorgiansupplement}', "");
    Expect(1, 11567, '\p{ IN_Georgian_supplement}', "");
    Expect(0, 11567, '\p{^ IN_Georgian_supplement}', "");
    Expect(0, 11567, '\P{ IN_Georgian_supplement}', "");
    Expect(1, 11567, '\P{^ IN_Georgian_supplement}', "");
    Expect(0, 11568, '\p{ IN_Georgian_supplement}', "");
    Expect(1, 11568, '\p{^ IN_Georgian_supplement}', "");
    Expect(1, 11568, '\P{ IN_Georgian_supplement}', "");
    Expect(0, 11568, '\P{^ IN_Georgian_supplement}', "");
    Error('\p{	 Georgian_SUP:=}');
    Error('\P{	 Georgian_SUP:=}');
    Expect(1, 11567, '\p{georgiansup}', "");
    Expect(0, 11567, '\p{^georgiansup}', "");
    Expect(0, 11567, '\P{georgiansup}', "");
    Expect(1, 11567, '\P{^georgiansup}', "");
    Expect(0, 11568, '\p{georgiansup}', "");
    Expect(1, 11568, '\p{^georgiansup}', "");
    Expect(1, 11568, '\P{georgiansup}', "");
    Expect(0, 11568, '\P{^georgiansup}', "");
    Expect(1, 11567, '\p{--Georgian_SUP}', "");
    Expect(0, 11567, '\p{^--Georgian_SUP}', "");
    Expect(0, 11567, '\P{--Georgian_SUP}', "");
    Expect(1, 11567, '\P{^--Georgian_SUP}', "");
    Expect(0, 11568, '\p{--Georgian_SUP}', "");
    Expect(1, 11568, '\p{^--Georgian_SUP}', "");
    Expect(1, 11568, '\P{--Georgian_SUP}', "");
    Expect(0, 11568, '\P{^--Georgian_SUP}', "");
    Error('\p{/a/-	Is_georgian_Sup}');
    Error('\P{/a/-	Is_georgian_Sup}');
    Expect(1, 11567, '\p{isgeorgiansup}', "");
    Expect(0, 11567, '\p{^isgeorgiansup}', "");
    Expect(0, 11567, '\P{isgeorgiansup}', "");
    Expect(1, 11567, '\P{^isgeorgiansup}', "");
    Expect(0, 11568, '\p{isgeorgiansup}', "");
    Expect(1, 11568, '\p{^isgeorgiansup}', "");
    Expect(1, 11568, '\P{isgeorgiansup}', "");
    Expect(0, 11568, '\P{^isgeorgiansup}', "");
    Expect(1, 11567, '\p{ Is_Georgian_SUP}', "");
    Expect(0, 11567, '\p{^ Is_Georgian_SUP}', "");
    Expect(0, 11567, '\P{ Is_Georgian_SUP}', "");
    Expect(1, 11567, '\P{^ Is_Georgian_SUP}', "");
    Expect(0, 11568, '\p{ Is_Georgian_SUP}', "");
    Expect(1, 11568, '\p{^ Is_Georgian_SUP}', "");
    Expect(1, 11568, '\P{ Is_Georgian_SUP}', "");
    Expect(0, 11568, '\P{^ Is_Georgian_SUP}', "");
    Error('\p{/a/		In_Georgian_SUP}');
    Error('\P{/a/		In_Georgian_SUP}');
    Expect(1, 11567, '\p{ingeorgiansup}', "");
    Expect(0, 11567, '\p{^ingeorgiansup}', "");
    Expect(0, 11567, '\P{ingeorgiansup}', "");
    Expect(1, 11567, '\P{^ingeorgiansup}', "");
    Expect(0, 11568, '\p{ingeorgiansup}', "");
    Expect(1, 11568, '\p{^ingeorgiansup}', "");
    Expect(1, 11568, '\P{ingeorgiansup}', "");
    Expect(0, 11568, '\P{^ingeorgiansup}', "");
    Expect(1, 11567, '\p{_ IN_Georgian_Sup}', "");
    Expect(0, 11567, '\p{^_ IN_Georgian_Sup}', "");
    Expect(0, 11567, '\P{_ IN_Georgian_Sup}', "");
    Expect(1, 11567, '\P{^_ IN_Georgian_Sup}', "");
    Expect(0, 11568, '\p{_ IN_Georgian_Sup}', "");
    Expect(1, 11568, '\p{^_ IN_Georgian_Sup}', "");
    Expect(1, 11568, '\P{_ IN_Georgian_Sup}', "");
    Expect(0, 11568, '\P{^_ IN_Georgian_Sup}', "");
    Error('\p{_GLAGOLITIC/a/}');
    Error('\P{_GLAGOLITIC/a/}');
    Expect(1, 122922, '\p{glagolitic}', "");
    Expect(0, 122922, '\p{^glagolitic}', "");
    Expect(0, 122922, '\P{glagolitic}', "");
    Expect(1, 122922, '\P{^glagolitic}', "");
    Expect(0, 122923, '\p{glagolitic}', "");
    Expect(1, 122923, '\p{^glagolitic}', "");
    Expect(1, 122923, '\P{glagolitic}', "");
    Expect(0, 122923, '\P{^glagolitic}', "");
    Expect(1, 122922, '\p{-glagolitic}', "");
    Expect(0, 122922, '\p{^-glagolitic}', "");
    Expect(0, 122922, '\P{-glagolitic}', "");
    Expect(1, 122922, '\P{^-glagolitic}', "");
    Expect(0, 122923, '\p{-glagolitic}', "");
    Expect(1, 122923, '\p{^-glagolitic}', "");
    Expect(1, 122923, '\P{-glagolitic}', "");
    Expect(0, 122923, '\P{^-glagolitic}', "");
    Error('\p{:=--Is_Glagolitic}');
    Error('\P{:=--Is_Glagolitic}');
    Expect(1, 122922, '\p{isglagolitic}', "");
    Expect(0, 122922, '\p{^isglagolitic}', "");
    Expect(0, 122922, '\P{isglagolitic}', "");
    Expect(1, 122922, '\P{^isglagolitic}', "");
    Expect(0, 122923, '\p{isglagolitic}', "");
    Expect(1, 122923, '\p{^isglagolitic}', "");
    Expect(1, 122923, '\P{isglagolitic}', "");
    Expect(0, 122923, '\P{^isglagolitic}', "");
    Expect(1, 122922, '\p{_Is_Glagolitic}', "");
    Expect(0, 122922, '\p{^_Is_Glagolitic}', "");
    Expect(0, 122922, '\P{_Is_Glagolitic}', "");
    Expect(1, 122922, '\P{^_Is_Glagolitic}', "");
    Expect(0, 122923, '\p{_Is_Glagolitic}', "");
    Expect(1, 122923, '\p{^_Is_Glagolitic}', "");
    Expect(1, 122923, '\P{_Is_Glagolitic}', "");
    Expect(0, 122923, '\P{^_Is_Glagolitic}', "");
    Error('\p{	glag:=}');
    Error('\P{	glag:=}');
    Expect(1, 122922, '\p{glag}', "");
    Expect(0, 122922, '\p{^glag}', "");
    Expect(0, 122922, '\P{glag}', "");
    Expect(1, 122922, '\P{^glag}', "");
    Expect(0, 122923, '\p{glag}', "");
    Expect(1, 122923, '\p{^glag}', "");
    Expect(1, 122923, '\P{glag}', "");
    Expect(0, 122923, '\P{^glag}', "");
    Expect(1, 122922, '\p{__Glag}', "");
    Expect(0, 122922, '\p{^__Glag}', "");
    Expect(0, 122922, '\P{__Glag}', "");
    Expect(1, 122922, '\P{^__Glag}', "");
    Expect(0, 122923, '\p{__Glag}', "");
    Expect(1, 122923, '\p{^__Glag}', "");
    Expect(1, 122923, '\P{__Glag}', "");
    Expect(0, 122923, '\P{^__Glag}', "");
    Error('\p{-is_GLAG:=}');
    Error('\P{-is_GLAG:=}');
    Expect(1, 122922, '\p{isglag}', "");
    Expect(0, 122922, '\p{^isglag}', "");
    Expect(0, 122922, '\P{isglag}', "");
    Expect(1, 122922, '\P{^isglag}', "");
    Expect(0, 122923, '\p{isglag}', "");
    Expect(1, 122923, '\p{^isglag}', "");
    Expect(1, 122923, '\P{isglag}', "");
    Expect(0, 122923, '\P{^isglag}', "");
    Expect(1, 122922, '\p{_IS_Glag}', "");
    Expect(0, 122922, '\p{^_IS_Glag}', "");
    Expect(0, 122922, '\P{_IS_Glag}', "");
    Expect(1, 122922, '\P{^_IS_Glag}', "");
    Expect(0, 122923, '\p{_IS_Glag}', "");
    Expect(1, 122923, '\p{^_IS_Glag}', "");
    Expect(1, 122923, '\P{_IS_Glag}', "");
    Expect(0, 122923, '\P{^_IS_Glag}', "");
    Error('\p{--GLAGOLITIC_supplement/a/}');
    Error('\P{--GLAGOLITIC_supplement/a/}');
    Expect(1, 122927, '\p{glagoliticsupplement}', "");
    Expect(0, 122927, '\p{^glagoliticsupplement}', "");
    Expect(0, 122927, '\P{glagoliticsupplement}', "");
    Expect(1, 122927, '\P{^glagoliticsupplement}', "");
    Expect(0, 122928, '\p{glagoliticsupplement}', "");
    Expect(1, 122928, '\p{^glagoliticsupplement}', "");
    Expect(1, 122928, '\P{glagoliticsupplement}', "");
    Expect(0, 122928, '\P{^glagoliticsupplement}', "");
    Expect(1, 122927, '\p{__Glagolitic_SUPPLEMENT}', "");
    Expect(0, 122927, '\p{^__Glagolitic_SUPPLEMENT}', "");
    Expect(0, 122927, '\P{__Glagolitic_SUPPLEMENT}', "");
    Expect(1, 122927, '\P{^__Glagolitic_SUPPLEMENT}', "");
    Expect(0, 122928, '\p{__Glagolitic_SUPPLEMENT}', "");
    Expect(1, 122928, '\p{^__Glagolitic_SUPPLEMENT}', "");
    Expect(1, 122928, '\P{__Glagolitic_SUPPLEMENT}', "");
    Expect(0, 122928, '\P{^__Glagolitic_SUPPLEMENT}', "");
    Error('\p{_/a/is_GLAGOLITIC_supplement}');
    Error('\P{_/a/is_GLAGOLITIC_supplement}');
    Expect(1, 122927, '\p{isglagoliticsupplement}', "");
    Expect(0, 122927, '\p{^isglagoliticsupplement}', "");
    Expect(0, 122927, '\P{isglagoliticsupplement}', "");
    Expect(1, 122927, '\P{^isglagoliticsupplement}', "");
    Expect(0, 122928, '\p{isglagoliticsupplement}', "");
    Expect(1, 122928, '\p{^isglagoliticsupplement}', "");
    Expect(1, 122928, '\P{isglagoliticsupplement}', "");
    Expect(0, 122928, '\P{^isglagoliticsupplement}', "");
    Expect(1, 122927, '\p{ is_glagolitic_SUPPLEMENT}', "");
    Expect(0, 122927, '\p{^ is_glagolitic_SUPPLEMENT}', "");
    Expect(0, 122927, '\P{ is_glagolitic_SUPPLEMENT}', "");
    Expect(1, 122927, '\P{^ is_glagolitic_SUPPLEMENT}', "");
    Expect(0, 122928, '\p{ is_glagolitic_SUPPLEMENT}', "");
    Expect(1, 122928, '\p{^ is_glagolitic_SUPPLEMENT}', "");
    Expect(1, 122928, '\P{ is_glagolitic_SUPPLEMENT}', "");
    Expect(0, 122928, '\P{^ is_glagolitic_SUPPLEMENT}', "");
    Error('\p{	/a/in_glagolitic_supplement}');
    Error('\P{	/a/in_glagolitic_supplement}');
    Expect(1, 122927, '\p{inglagoliticsupplement}', "");
    Expect(0, 122927, '\p{^inglagoliticsupplement}', "");
    Expect(0, 122927, '\P{inglagoliticsupplement}', "");
    Expect(1, 122927, '\P{^inglagoliticsupplement}', "");
    Expect(0, 122928, '\p{inglagoliticsupplement}', "");
    Expect(1, 122928, '\p{^inglagoliticsupplement}', "");
    Expect(1, 122928, '\P{inglagoliticsupplement}', "");
    Expect(0, 122928, '\P{^inglagoliticsupplement}', "");
    Expect(1, 122927, '\p{  IN_GLAGOLITIC_Supplement}', "");
    Expect(0, 122927, '\p{^  IN_GLAGOLITIC_Supplement}', "");
    Expect(0, 122927, '\P{  IN_GLAGOLITIC_Supplement}', "");
    Expect(1, 122927, '\P{^  IN_GLAGOLITIC_Supplement}', "");
    Expect(0, 122928, '\p{  IN_GLAGOLITIC_Supplement}', "");
    Expect(1, 122928, '\p{^  IN_GLAGOLITIC_Supplement}', "");
    Expect(1, 122928, '\P{  IN_GLAGOLITIC_Supplement}', "");
    Expect(0, 122928, '\P{^  IN_GLAGOLITIC_Supplement}', "");
    Error('\p{:=-Glagolitic_Sup}');
    Error('\P{:=-Glagolitic_Sup}');
    Expect(1, 122927, '\p{glagoliticsup}', "");
    Expect(0, 122927, '\p{^glagoliticsup}', "");
    Expect(0, 122927, '\P{glagoliticsup}', "");
    Expect(1, 122927, '\P{^glagoliticsup}', "");
    Expect(0, 122928, '\p{glagoliticsup}', "");
    Expect(1, 122928, '\p{^glagoliticsup}', "");
    Expect(1, 122928, '\P{glagoliticsup}', "");
    Expect(0, 122928, '\P{^glagoliticsup}', "");
    Expect(1, 122927, '\p{__Glagolitic_sup}', "");
    Expect(0, 122927, '\p{^__Glagolitic_sup}', "");
    Expect(0, 122927, '\P{__Glagolitic_sup}', "");
    Expect(1, 122927, '\P{^__Glagolitic_sup}', "");
    Expect(0, 122928, '\p{__Glagolitic_sup}', "");
    Expect(1, 122928, '\p{^__Glagolitic_sup}', "");
    Expect(1, 122928, '\P{__Glagolitic_sup}', "");
    Expect(0, 122928, '\P{^__Glagolitic_sup}', "");
    Error('\p{	IS_Glagolitic_Sup/a/}');
    Error('\P{	IS_Glagolitic_Sup/a/}');
    Expect(1, 122927, '\p{isglagoliticsup}', "");
    Expect(0, 122927, '\p{^isglagoliticsup}', "");
    Expect(0, 122927, '\P{isglagoliticsup}', "");
    Expect(1, 122927, '\P{^isglagoliticsup}', "");
    Expect(0, 122928, '\p{isglagoliticsup}', "");
    Expect(1, 122928, '\p{^isglagoliticsup}', "");
    Expect(1, 122928, '\P{isglagoliticsup}', "");
    Expect(0, 122928, '\P{^isglagoliticsup}', "");
    Expect(1, 122927, '\p{	_Is_Glagolitic_Sup}', "");
    Expect(0, 122927, '\p{^	_Is_Glagolitic_Sup}', "");
    Expect(0, 122927, '\P{	_Is_Glagolitic_Sup}', "");
    Expect(1, 122927, '\P{^	_Is_Glagolitic_Sup}', "");
    Expect(0, 122928, '\p{	_Is_Glagolitic_Sup}', "");
    Expect(1, 122928, '\p{^	_Is_Glagolitic_Sup}', "");
    Expect(1, 122928, '\P{	_Is_Glagolitic_Sup}', "");
    Expect(0, 122928, '\P{^	_Is_Glagolitic_Sup}', "");
    Error('\p{_/a/IN_Glagolitic_sup}');
    Error('\P{_/a/IN_Glagolitic_sup}');
    Expect(1, 122927, '\p{inglagoliticsup}', "");
    Expect(0, 122927, '\p{^inglagoliticsup}', "");
    Expect(0, 122927, '\P{inglagoliticsup}', "");
    Expect(1, 122927, '\P{^inglagoliticsup}', "");
    Expect(0, 122928, '\p{inglagoliticsup}', "");
    Expect(1, 122928, '\p{^inglagoliticsup}', "");
    Expect(1, 122928, '\P{inglagoliticsup}', "");
    Expect(0, 122928, '\P{^inglagoliticsup}', "");
    Expect(1, 122927, '\p{ -In_GLAGOLITIC_sup}', "");
    Expect(0, 122927, '\p{^ -In_GLAGOLITIC_sup}', "");
    Expect(0, 122927, '\P{ -In_GLAGOLITIC_sup}', "");
    Expect(1, 122927, '\P{^ -In_GLAGOLITIC_sup}', "");
    Expect(0, 122928, '\p{ -In_GLAGOLITIC_sup}', "");
    Expect(1, 122928, '\p{^ -In_GLAGOLITIC_sup}', "");
    Expect(1, 122928, '\P{ -In_GLAGOLITIC_sup}', "");
    Expect(0, 122928, '\P{^ -In_GLAGOLITIC_sup}', "");
    Error('\p{_/a/gothic}');
    Error('\P{_/a/gothic}');
    Expect(1, 66378, '\p{gothic}', "");
    Expect(0, 66378, '\p{^gothic}', "");
    Expect(0, 66378, '\P{gothic}', "");
    Expect(1, 66378, '\P{^gothic}', "");
    Expect(0, 66379, '\p{gothic}', "");
    Expect(1, 66379, '\p{^gothic}', "");
    Expect(1, 66379, '\P{gothic}', "");
    Expect(0, 66379, '\P{^gothic}', "");
    Expect(1, 66378, '\p{- GOTHIC}', "");
    Expect(0, 66378, '\p{^- GOTHIC}', "");
    Expect(0, 66378, '\P{- GOTHIC}', "");
    Expect(1, 66378, '\P{^- GOTHIC}', "");
    Expect(0, 66379, '\p{- GOTHIC}', "");
    Expect(1, 66379, '\p{^- GOTHIC}', "");
    Expect(1, 66379, '\P{- GOTHIC}', "");
    Expect(0, 66379, '\P{^- GOTHIC}', "");
    Error('\p{:=	_is_GOTHIC}');
    Error('\P{:=	_is_GOTHIC}');
    Expect(1, 66378, '\p{isgothic}', "");
    Expect(0, 66378, '\p{^isgothic}', "");
    Expect(0, 66378, '\P{isgothic}', "");
    Expect(1, 66378, '\P{^isgothic}', "");
    Expect(0, 66379, '\p{isgothic}', "");
    Expect(1, 66379, '\p{^isgothic}', "");
    Expect(1, 66379, '\P{isgothic}', "");
    Expect(0, 66379, '\P{^isgothic}', "");
    Expect(1, 66378, '\p{	-Is_GOTHIC}', "");
    Expect(0, 66378, '\p{^	-Is_GOTHIC}', "");
    Expect(0, 66378, '\P{	-Is_GOTHIC}', "");
    Expect(1, 66378, '\P{^	-Is_GOTHIC}', "");
    Expect(0, 66379, '\p{	-Is_GOTHIC}', "");
    Expect(1, 66379, '\p{^	-Is_GOTHIC}', "");
    Expect(1, 66379, '\P{	-Is_GOTHIC}', "");
    Expect(0, 66379, '\P{^	-Is_GOTHIC}', "");
    Error('\p{:=	-Goth}');
    Error('\P{:=	-Goth}');
    Expect(1, 66378, '\p{goth}', "");
    Expect(0, 66378, '\p{^goth}', "");
    Expect(0, 66378, '\P{goth}', "");
    Expect(1, 66378, '\P{^goth}', "");
    Expect(0, 66379, '\p{goth}', "");
    Expect(1, 66379, '\p{^goth}', "");
    Expect(1, 66379, '\P{goth}', "");
    Expect(0, 66379, '\P{^goth}', "");
    Expect(1, 66378, '\p{	-Goth}', "");
    Expect(0, 66378, '\p{^	-Goth}', "");
    Expect(0, 66378, '\P{	-Goth}', "");
    Expect(1, 66378, '\P{^	-Goth}', "");
    Expect(0, 66379, '\p{	-Goth}', "");
    Expect(1, 66379, '\p{^	-Goth}', "");
    Expect(1, 66379, '\P{	-Goth}', "");
    Expect(0, 66379, '\P{^	-Goth}', "");
    Error('\p{:=	is_Goth}');
    Error('\P{:=	is_Goth}');
    Expect(1, 66378, '\p{isgoth}', "");
    Expect(0, 66378, '\p{^isgoth}', "");
    Expect(0, 66378, '\P{isgoth}', "");
    Expect(1, 66378, '\P{^isgoth}', "");
    Expect(0, 66379, '\p{isgoth}', "");
    Expect(1, 66379, '\p{^isgoth}', "");
    Expect(1, 66379, '\P{isgoth}', "");
    Expect(0, 66379, '\P{^isgoth}', "");
    Expect(1, 66378, '\p{ Is_GOTH}', "");
    Expect(0, 66378, '\p{^ Is_GOTH}', "");
    Expect(0, 66378, '\P{ Is_GOTH}', "");
    Expect(1, 66378, '\P{^ Is_GOTH}', "");
    Expect(0, 66379, '\p{ Is_GOTH}', "");
    Expect(1, 66379, '\p{^ Is_GOTH}', "");
    Expect(1, 66379, '\P{ Is_GOTH}', "");
    Expect(0, 66379, '\P{^ Is_GOTH}', "");
    Error('\p{-Grantha/a/}');
    Error('\P{-Grantha/a/}');
    Expect(1, 73683, '\p{grantha}', "");
    Expect(0, 73683, '\p{^grantha}', "");
    Expect(0, 73683, '\P{grantha}', "");
    Expect(1, 73683, '\P{^grantha}', "");
    Expect(0, 73684, '\p{grantha}', "");
    Expect(1, 73684, '\p{^grantha}', "");
    Expect(1, 73684, '\P{grantha}', "");
    Expect(0, 73684, '\P{^grantha}', "");
    Expect(1, 73683, '\p{_ Grantha}', "");
    Expect(0, 73683, '\p{^_ Grantha}', "");
    Expect(0, 73683, '\P{_ Grantha}', "");
    Expect(1, 73683, '\P{^_ Grantha}', "");
    Expect(0, 73684, '\p{_ Grantha}', "");
    Expect(1, 73684, '\p{^_ Grantha}', "");
    Expect(1, 73684, '\P{_ Grantha}', "");
    Expect(0, 73684, '\P{^_ Grantha}', "");
    Error('\p{/a/Is_GRANTHA}');
    Error('\P{/a/Is_GRANTHA}');
    Expect(1, 73683, '\p{isgrantha}', "");
    Expect(0, 73683, '\p{^isgrantha}', "");
    Expect(0, 73683, '\P{isgrantha}', "");
    Expect(1, 73683, '\P{^isgrantha}', "");
    Expect(0, 73684, '\p{isgrantha}', "");
    Expect(1, 73684, '\p{^isgrantha}', "");
    Expect(1, 73684, '\P{isgrantha}', "");
    Expect(0, 73684, '\P{^isgrantha}', "");
    Expect(1, 73683, '\p{	IS_Grantha}', "");
    Expect(0, 73683, '\p{^	IS_Grantha}', "");
    Expect(0, 73683, '\P{	IS_Grantha}', "");
    Expect(1, 73683, '\P{^	IS_Grantha}', "");
    Expect(0, 73684, '\p{	IS_Grantha}', "");
    Expect(1, 73684, '\p{^	IS_Grantha}', "");
    Expect(1, 73684, '\P{	IS_Grantha}', "");
    Expect(0, 73684, '\P{^	IS_Grantha}', "");
    Error('\p{_ GRAN:=}');
    Error('\P{_ GRAN:=}');
    Expect(1, 73683, '\p{gran}', "");
    Expect(0, 73683, '\p{^gran}', "");
    Expect(0, 73683, '\P{gran}', "");
    Expect(1, 73683, '\P{^gran}', "");
    Expect(0, 73684, '\p{gran}', "");
    Expect(1, 73684, '\p{^gran}', "");
    Expect(1, 73684, '\P{gran}', "");
    Expect(0, 73684, '\P{^gran}', "");
    Expect(1, 73683, '\p{__GRAN}', "");
    Expect(0, 73683, '\p{^__GRAN}', "");
    Expect(0, 73683, '\P{__GRAN}', "");
    Expect(1, 73683, '\P{^__GRAN}', "");
    Expect(0, 73684, '\p{__GRAN}', "");
    Expect(1, 73684, '\p{^__GRAN}', "");
    Expect(1, 73684, '\P{__GRAN}', "");
    Expect(0, 73684, '\P{^__GRAN}', "");
    Error('\p{_ IS_GRAN:=}');
    Error('\P{_ IS_GRAN:=}');
    Expect(1, 73683, '\p{isgran}', "");
    Expect(0, 73683, '\p{^isgran}', "");
    Expect(0, 73683, '\P{isgran}', "");
    Expect(1, 73683, '\P{^isgran}', "");
    Expect(0, 73684, '\p{isgran}', "");
    Expect(1, 73684, '\p{^isgran}', "");
    Expect(1, 73684, '\P{isgran}', "");
    Expect(0, 73684, '\P{^isgran}', "");
    Expect(1, 73683, '\p{-_is_gran}', "");
    Expect(0, 73683, '\p{^-_is_gran}', "");
    Expect(0, 73683, '\P{-_is_gran}', "");
    Expect(1, 73683, '\P{^-_is_gran}', "");
    Expect(0, 73684, '\p{-_is_gran}', "");
    Expect(1, 73684, '\p{^-_is_gran}', "");
    Expect(1, 73684, '\P{-_is_gran}', "");
    Expect(0, 73684, '\P{^-_is_gran}', "");
    Error('\p{:=	XPosixGraph}');
    Error('\P{:=	XPosixGraph}');
    Expect(1, 1114109, '\p{xposixgraph}', "");
    Expect(0, 1114109, '\p{^xposixgraph}', "");
    Expect(0, 1114109, '\P{xposixgraph}', "");
    Expect(1, 1114109, '\P{^xposixgraph}', "");
    Expect(0, 918000, '\p{xposixgraph}', "");
    Expect(1, 918000, '\p{^xposixgraph}', "");
    Expect(1, 918000, '\P{xposixgraph}', "");
    Expect(0, 918000, '\P{^xposixgraph}', "");
    Expect(1, 1114109, '\p{	XPosixGraph}', "");
    Expect(0, 1114109, '\p{^	XPosixGraph}', "");
    Expect(0, 1114109, '\P{	XPosixGraph}', "");
    Expect(1, 1114109, '\P{^	XPosixGraph}', "");
    Expect(0, 918000, '\p{	XPosixGraph}', "");
    Expect(1, 918000, '\p{^	XPosixGraph}', "");
    Expect(1, 918000, '\P{	XPosixGraph}', "");
    Expect(0, 918000, '\P{^	XPosixGraph}', "");
    Error('\p{:=graph}');
    Error('\P{:=graph}');
    Expect(1, 1114109, '\p{graph}', "");
    Expect(0, 1114109, '\p{^graph}', "");
    Expect(0, 1114109, '\P{graph}', "");
    Expect(1, 1114109, '\P{^graph}', "");
    Expect(0, 918000, '\p{graph}', "");
    Expect(1, 918000, '\p{^graph}', "");
    Expect(1, 918000, '\P{graph}', "");
    Expect(0, 918000, '\P{^graph}', "");
    Expect(1, 1114109, '\p{_Graph}', "");
    Expect(0, 1114109, '\p{^_Graph}', "");
    Expect(0, 1114109, '\P{_Graph}', "");
    Expect(1, 1114109, '\P{^_Graph}', "");
    Expect(0, 918000, '\p{_Graph}', "");
    Expect(1, 918000, '\p{^_Graph}', "");
    Expect(1, 918000, '\P{_Graph}', "");
    Expect(0, 918000, '\P{^_Graph}', "");
    Error('\p{Is_XPOSIXGRAPH/a/}');
    Error('\P{Is_XPOSIXGRAPH/a/}');
    Expect(1, 1114109, '\p{isxposixgraph}', "");
    Expect(0, 1114109, '\p{^isxposixgraph}', "");
    Expect(0, 1114109, '\P{isxposixgraph}', "");
    Expect(1, 1114109, '\P{^isxposixgraph}', "");
    Expect(0, 918000, '\p{isxposixgraph}', "");
    Expect(1, 918000, '\p{^isxposixgraph}', "");
    Expect(1, 918000, '\P{isxposixgraph}', "");
    Expect(0, 918000, '\P{^isxposixgraph}', "");
    Expect(1, 1114109, '\p{_-is_XPosixGraph}', "");
    Expect(0, 1114109, '\p{^_-is_XPosixGraph}', "");
    Expect(0, 1114109, '\P{_-is_XPosixGraph}', "");
    Expect(1, 1114109, '\P{^_-is_XPosixGraph}', "");
    Expect(0, 918000, '\p{_-is_XPosixGraph}', "");
    Expect(1, 918000, '\p{^_-is_XPosixGraph}', "");
    Expect(1, 918000, '\P{_-is_XPosixGraph}', "");
    Expect(0, 918000, '\P{^_-is_XPosixGraph}', "");
    Error('\p{/a/ is_Graph}');
    Error('\P{/a/ is_Graph}');
    Expect(1, 1114109, '\p{isgraph}', "");
    Expect(0, 1114109, '\p{^isgraph}', "");
    Expect(0, 1114109, '\P{isgraph}', "");
    Expect(1, 1114109, '\P{^isgraph}', "");
    Expect(0, 918000, '\p{isgraph}', "");
    Expect(1, 918000, '\p{^isgraph}', "");
    Expect(1, 918000, '\P{isgraph}', "");
    Expect(0, 918000, '\P{^isgraph}', "");
    Expect(1, 1114109, '\p{	 IS_GRAPH}', "");
    Expect(0, 1114109, '\p{^	 IS_GRAPH}', "");
    Expect(0, 1114109, '\P{	 IS_GRAPH}', "");
    Expect(1, 1114109, '\P{^	 IS_GRAPH}', "");
    Expect(0, 918000, '\p{	 IS_GRAPH}', "");
    Expect(1, 918000, '\p{^	 IS_GRAPH}', "");
    Expect(1, 918000, '\P{	 IS_GRAPH}', "");
    Expect(0, 918000, '\P{^	 IS_GRAPH}', "");
    Error('\p{-/a/Grapheme_Base}');
    Error('\P{-/a/Grapheme_Base}');
    Expect(1, 201546, '\p{graphemebase}', "");
    Expect(0, 201546, '\p{^graphemebase}', "");
    Expect(0, 201546, '\P{graphemebase}', "");
    Expect(1, 201546, '\P{^graphemebase}', "");
    Expect(0, 201547, '\p{graphemebase}', "");
    Expect(1, 201547, '\p{^graphemebase}', "");
    Expect(1, 201547, '\P{graphemebase}', "");
    Expect(0, 201547, '\P{^graphemebase}', "");
    Expect(1, 201546, '\p{_-Grapheme_Base}', "");
    Expect(0, 201546, '\p{^_-Grapheme_Base}', "");
    Expect(0, 201546, '\P{_-Grapheme_Base}', "");
    Expect(1, 201546, '\P{^_-Grapheme_Base}', "");
    Expect(0, 201547, '\p{_-Grapheme_Base}', "");
    Expect(1, 201547, '\p{^_-Grapheme_Base}', "");
    Expect(1, 201547, '\P{_-Grapheme_Base}', "");
    Expect(0, 201547, '\P{^_-Grapheme_Base}', "");
    Error('\p{:=_Is_GRAPHEME_Base}');
    Error('\P{:=_Is_GRAPHEME_Base}');
    Expect(1, 201546, '\p{isgraphemebase}', "");
    Expect(0, 201546, '\p{^isgraphemebase}', "");
    Expect(0, 201546, '\P{isgraphemebase}', "");
    Expect(1, 201546, '\P{^isgraphemebase}', "");
    Expect(0, 201547, '\p{isgraphemebase}', "");
    Expect(1, 201547, '\p{^isgraphemebase}', "");
    Expect(1, 201547, '\P{isgraphemebase}', "");
    Expect(0, 201547, '\P{^isgraphemebase}', "");
    Expect(1, 201546, '\p{	Is_GRAPHEME_base}', "");
    Expect(0, 201546, '\p{^	Is_GRAPHEME_base}', "");
    Expect(0, 201546, '\P{	Is_GRAPHEME_base}', "");
    Expect(1, 201546, '\P{^	Is_GRAPHEME_base}', "");
    Expect(0, 201547, '\p{	Is_GRAPHEME_base}', "");
    Expect(1, 201547, '\p{^	Is_GRAPHEME_base}', "");
    Expect(1, 201547, '\P{	Is_GRAPHEME_base}', "");
    Expect(0, 201547, '\P{^	Is_GRAPHEME_base}', "");
    Error('\p{- Gr_Base/a/}');
    Error('\P{- Gr_Base/a/}');
    Expect(1, 201546, '\p{grbase}', "");
    Expect(0, 201546, '\p{^grbase}', "");
    Expect(0, 201546, '\P{grbase}', "");
    Expect(1, 201546, '\P{^grbase}', "");
    Expect(0, 201547, '\p{grbase}', "");
    Expect(1, 201547, '\p{^grbase}', "");
    Expect(1, 201547, '\P{grbase}', "");
    Expect(0, 201547, '\P{^grbase}', "");
    Expect(1, 201546, '\p{-GR_base}', "");
    Expect(0, 201546, '\p{^-GR_base}', "");
    Expect(0, 201546, '\P{-GR_base}', "");
    Expect(1, 201546, '\P{^-GR_base}', "");
    Expect(0, 201547, '\p{-GR_base}', "");
    Expect(1, 201547, '\p{^-GR_base}', "");
    Expect(1, 201547, '\P{-GR_base}', "");
    Expect(0, 201547, '\P{^-GR_base}', "");
    Error('\p{:=Is_gr_Base}');
    Error('\P{:=Is_gr_Base}');
    Expect(1, 201546, '\p{isgrbase}', "");
    Expect(0, 201546, '\p{^isgrbase}', "");
    Expect(0, 201546, '\P{isgrbase}', "");
    Expect(1, 201546, '\P{^isgrbase}', "");
    Expect(0, 201547, '\p{isgrbase}', "");
    Expect(1, 201547, '\p{^isgrbase}', "");
    Expect(1, 201547, '\P{isgrbase}', "");
    Expect(0, 201547, '\P{^isgrbase}', "");
    Expect(1, 201546, '\p{	IS_Gr_Base}', "");
    Expect(0, 201546, '\p{^	IS_Gr_Base}', "");
    Expect(0, 201546, '\P{	IS_Gr_Base}', "");
    Expect(1, 201546, '\P{^	IS_Gr_Base}', "");
    Expect(0, 201547, '\p{	IS_Gr_Base}', "");
    Expect(1, 201547, '\p{^	IS_Gr_Base}', "");
    Expect(1, 201547, '\P{	IS_Gr_Base}', "");
    Expect(0, 201547, '\P{^	IS_Gr_Base}', "");
    Error('\p{-Grapheme_Extend/a/}');
    Error('\P{-Grapheme_Extend/a/}');
    Expect(1, 917999, '\p{graphemeextend}', "");
    Expect(0, 917999, '\p{^graphemeextend}', "");
    Expect(0, 917999, '\P{graphemeextend}', "");
    Expect(1, 917999, '\P{^graphemeextend}', "");
    Expect(0, 918000, '\p{graphemeextend}', "");
    Expect(1, 918000, '\p{^graphemeextend}', "");
    Expect(1, 918000, '\P{graphemeextend}', "");
    Expect(0, 918000, '\P{^graphemeextend}', "");
    Expect(1, 917999, '\p{		Grapheme_Extend}', "");
    Expect(0, 917999, '\p{^		Grapheme_Extend}', "");
    Expect(0, 917999, '\P{		Grapheme_Extend}', "");
    Expect(1, 917999, '\P{^		Grapheme_Extend}', "");
    Expect(0, 918000, '\p{		Grapheme_Extend}', "");
    Expect(1, 918000, '\p{^		Grapheme_Extend}', "");
    Expect(1, 918000, '\P{		Grapheme_Extend}', "");
    Expect(0, 918000, '\P{^		Grapheme_Extend}', "");
    Error('\p{-IS_Grapheme_Extend:=}');
    Error('\P{-IS_Grapheme_Extend:=}');
    Expect(1, 917999, '\p{isgraphemeextend}', "");
    Expect(0, 917999, '\p{^isgraphemeextend}', "");
    Expect(0, 917999, '\P{isgraphemeextend}', "");
    Expect(1, 917999, '\P{^isgraphemeextend}', "");
    Expect(0, 918000, '\p{isgraphemeextend}', "");
    Expect(1, 918000, '\p{^isgraphemeextend}', "");
    Expect(1, 918000, '\P{isgraphemeextend}', "");
    Expect(0, 918000, '\P{^isgraphemeextend}', "");
    Expect(1, 917999, '\p{_IS_GRAPHEME_extend}', "");
    Expect(0, 917999, '\p{^_IS_GRAPHEME_extend}', "");
    Expect(0, 917999, '\P{_IS_GRAPHEME_extend}', "");
    Expect(1, 917999, '\P{^_IS_GRAPHEME_extend}', "");
    Expect(0, 918000, '\p{_IS_GRAPHEME_extend}', "");
    Expect(1, 918000, '\p{^_IS_GRAPHEME_extend}', "");
    Expect(1, 918000, '\P{_IS_GRAPHEME_extend}', "");
    Expect(0, 918000, '\P{^_IS_GRAPHEME_extend}', "");
    Error('\p{/a/-	gr_EXT}');
    Error('\P{/a/-	gr_EXT}');
    Expect(1, 917999, '\p{grext}', "");
    Expect(0, 917999, '\p{^grext}', "");
    Expect(0, 917999, '\P{grext}', "");
    Expect(1, 917999, '\P{^grext}', "");
    Expect(0, 918000, '\p{grext}', "");
    Expect(1, 918000, '\p{^grext}', "");
    Expect(1, 918000, '\P{grext}', "");
    Expect(0, 918000, '\P{^grext}', "");
    Expect(1, 917999, '\p{ 	gr_ext}', "");
    Expect(0, 917999, '\p{^ 	gr_ext}', "");
    Expect(0, 917999, '\P{ 	gr_ext}', "");
    Expect(1, 917999, '\P{^ 	gr_ext}', "");
    Expect(0, 918000, '\p{ 	gr_ext}', "");
    Expect(1, 918000, '\p{^ 	gr_ext}', "");
    Expect(1, 918000, '\P{ 	gr_ext}', "");
    Expect(0, 918000, '\P{^ 	gr_ext}', "");
    Error('\p{/a/Is_Gr_EXT}');
    Error('\P{/a/Is_Gr_EXT}');
    Expect(1, 917999, '\p{isgrext}', "");
    Expect(0, 917999, '\p{^isgrext}', "");
    Expect(0, 917999, '\P{isgrext}', "");
    Expect(1, 917999, '\P{^isgrext}', "");
    Expect(0, 918000, '\p{isgrext}', "");
    Expect(1, 918000, '\p{^isgrext}', "");
    Expect(1, 918000, '\P{isgrext}', "");
    Expect(0, 918000, '\P{^isgrext}', "");
    Expect(1, 917999, '\p{IS_Gr_Ext}', "");
    Expect(0, 917999, '\p{^IS_Gr_Ext}', "");
    Expect(0, 917999, '\P{IS_Gr_Ext}', "");
    Expect(1, 917999, '\P{^IS_Gr_Ext}', "");
    Expect(0, 918000, '\p{IS_Gr_Ext}', "");
    Expect(1, 918000, '\p{^IS_Gr_Ext}', "");
    Expect(1, 918000, '\P{IS_Gr_Ext}', "");
    Expect(0, 918000, '\P{^IS_Gr_Ext}', "");
    Error('\p{Grapheme_Link}');
    Error('\P{Grapheme_Link}');
    Error('\p{Gr_Link}');
    Error('\P{Gr_Link}');
    Error('\p{-/a/Greek}');
    Error('\P{-/a/Greek}');
    Expect(1, 119365, '\p{greek}', "");
    Expect(0, 119365, '\p{^greek}', "");
    Expect(0, 119365, '\P{greek}', "");
    Expect(1, 119365, '\P{^greek}', "");
    Expect(0, 119366, '\p{greek}', "");
    Expect(1, 119366, '\p{^greek}', "");
    Expect(1, 119366, '\P{greek}', "");
    Expect(0, 119366, '\P{^greek}', "");
    Expect(1, 119365, '\p{_ Greek}', "");
    Expect(0, 119365, '\p{^_ Greek}', "");
    Expect(0, 119365, '\P{_ Greek}', "");
    Expect(1, 119365, '\P{^_ Greek}', "");
    Expect(0, 119366, '\p{_ Greek}', "");
    Expect(1, 119366, '\p{^_ Greek}', "");
    Expect(1, 119366, '\P{_ Greek}', "");
    Expect(0, 119366, '\P{^_ Greek}', "");
    Error('\p{/a/-_IS_Greek}');
    Error('\P{/a/-_IS_Greek}');
    Expect(1, 119365, '\p{isgreek}', "");
    Expect(0, 119365, '\p{^isgreek}', "");
    Expect(0, 119365, '\P{isgreek}', "");
    Expect(1, 119365, '\P{^isgreek}', "");
    Expect(0, 119366, '\p{isgreek}', "");
    Expect(1, 119366, '\p{^isgreek}', "");
    Expect(1, 119366, '\P{isgreek}', "");
    Expect(0, 119366, '\P{^isgreek}', "");
    Expect(1, 119365, '\p{_	Is_Greek}', "");
    Expect(0, 119365, '\p{^_	Is_Greek}', "");
    Expect(0, 119365, '\P{_	Is_Greek}', "");
    Expect(1, 119365, '\P{^_	Is_Greek}', "");
    Expect(0, 119366, '\p{_	Is_Greek}', "");
    Expect(1, 119366, '\p{^_	Is_Greek}', "");
    Expect(1, 119366, '\P{_	Is_Greek}', "");
    Expect(0, 119366, '\P{^_	Is_Greek}', "");
    Error('\p{_grek:=}');
    Error('\P{_grek:=}');
    Expect(1, 119365, '\p{grek}', "");
    Expect(0, 119365, '\p{^grek}', "");
    Expect(0, 119365, '\P{grek}', "");
    Expect(1, 119365, '\P{^grek}', "");
    Expect(0, 119366, '\p{grek}', "");
    Expect(1, 119366, '\p{^grek}', "");
    Expect(1, 119366, '\P{grek}', "");
    Expect(0, 119366, '\P{^grek}', "");
    Expect(1, 119365, '\p{_Grek}', "");
    Expect(0, 119365, '\p{^_Grek}', "");
    Expect(0, 119365, '\P{_Grek}', "");
    Expect(1, 119365, '\P{^_Grek}', "");
    Expect(0, 119366, '\p{_Grek}', "");
    Expect(1, 119366, '\p{^_Grek}', "");
    Expect(1, 119366, '\P{_Grek}', "");
    Expect(0, 119366, '\P{^_Grek}', "");
    Error('\p{:=-	is_Grek}');
    Error('\P{:=-	is_Grek}');
    Expect(1, 119365, '\p{isgrek}', "");
    Expect(0, 119365, '\p{^isgrek}', "");
    Expect(0, 119365, '\P{isgrek}', "");
    Expect(1, 119365, '\P{^isgrek}', "");
    Expect(0, 119366, '\p{isgrek}', "");
    Expect(1, 119366, '\p{^isgrek}', "");
    Expect(1, 119366, '\P{isgrek}', "");
    Expect(0, 119366, '\P{^isgrek}', "");
    Expect(1, 119365, '\p{-	IS_Grek}', "");
    Expect(0, 119365, '\p{^-	IS_Grek}', "");
    Expect(0, 119365, '\P{-	IS_Grek}', "");
    Expect(1, 119365, '\P{^-	IS_Grek}', "");
    Expect(0, 119366, '\p{-	IS_Grek}', "");
    Expect(1, 119366, '\p{^-	IS_Grek}', "");
    Expect(1, 119366, '\P{-	IS_Grek}', "");
    Expect(0, 119366, '\P{^-	IS_Grek}', "");
    Error('\p{/a/ 	GREEK_And_COPTIC}');
    Error('\P{/a/ 	GREEK_And_COPTIC}');
    Expect(1, 1023, '\p{greekandcoptic}', "");
    Expect(0, 1023, '\p{^greekandcoptic}', "");
    Expect(0, 1023, '\P{greekandcoptic}', "");
    Expect(1, 1023, '\P{^greekandcoptic}', "");
    Expect(0, 1024, '\p{greekandcoptic}', "");
    Expect(1, 1024, '\p{^greekandcoptic}', "");
    Expect(1, 1024, '\P{greekandcoptic}', "");
    Expect(0, 1024, '\P{^greekandcoptic}', "");
    Expect(1, 1023, '\p{	 GREEK_AND_coptic}', "");
    Expect(0, 1023, '\p{^	 GREEK_AND_coptic}', "");
    Expect(0, 1023, '\P{	 GREEK_AND_coptic}', "");
    Expect(1, 1023, '\P{^	 GREEK_AND_coptic}', "");
    Expect(0, 1024, '\p{	 GREEK_AND_coptic}', "");
    Expect(1, 1024, '\p{^	 GREEK_AND_coptic}', "");
    Expect(1, 1024, '\P{	 GREEK_AND_coptic}', "");
    Expect(0, 1024, '\P{^	 GREEK_AND_coptic}', "");
    Error('\p{ :=Is_Greek_And_Coptic}');
    Error('\P{ :=Is_Greek_And_Coptic}');
    Expect(1, 1023, '\p{isgreekandcoptic}', "");
    Expect(0, 1023, '\p{^isgreekandcoptic}', "");
    Expect(0, 1023, '\P{isgreekandcoptic}', "");
    Expect(1, 1023, '\P{^isgreekandcoptic}', "");
    Expect(0, 1024, '\p{isgreekandcoptic}', "");
    Expect(1, 1024, '\p{^isgreekandcoptic}', "");
    Expect(1, 1024, '\P{isgreekandcoptic}', "");
    Expect(0, 1024, '\P{^isgreekandcoptic}', "");
    Expect(1, 1023, '\p{		Is_greek_And_Coptic}', "");
    Expect(0, 1023, '\p{^		Is_greek_And_Coptic}', "");
    Expect(0, 1023, '\P{		Is_greek_And_Coptic}', "");
    Expect(1, 1023, '\P{^		Is_greek_And_Coptic}', "");
    Expect(0, 1024, '\p{		Is_greek_And_Coptic}', "");
    Expect(1, 1024, '\p{^		Is_greek_And_Coptic}', "");
    Expect(1, 1024, '\P{		Is_greek_And_Coptic}', "");
    Expect(0, 1024, '\P{^		Is_greek_And_Coptic}', "");
    Error('\p{--in_GREEK_And_coptic:=}');
    Error('\P{--in_GREEK_And_coptic:=}');
    Expect(1, 1023, '\p{ingreekandcoptic}', "");
    Expect(0, 1023, '\p{^ingreekandcoptic}', "");
    Expect(0, 1023, '\P{ingreekandcoptic}', "");
    Expect(1, 1023, '\P{^ingreekandcoptic}', "");
    Expect(0, 1024, '\p{ingreekandcoptic}', "");
    Expect(1, 1024, '\p{^ingreekandcoptic}', "");
    Expect(1, 1024, '\P{ingreekandcoptic}', "");
    Expect(0, 1024, '\P{^ingreekandcoptic}', "");
    Expect(1, 1023, '\p{ in_Greek_And_coptic}', "");
    Expect(0, 1023, '\p{^ in_Greek_And_coptic}', "");
    Expect(0, 1023, '\P{ in_Greek_And_coptic}', "");
    Expect(1, 1023, '\P{^ in_Greek_And_coptic}', "");
    Expect(0, 1024, '\p{ in_Greek_And_coptic}', "");
    Expect(1, 1024, '\p{^ in_Greek_And_coptic}', "");
    Expect(1, 1024, '\P{ in_Greek_And_coptic}', "");
    Expect(0, 1024, '\P{^ in_Greek_And_coptic}', "");
    Error('\p{ -IN_Greek/a/}');
    Error('\P{ -IN_Greek/a/}');
    Expect(1, 1023, '\p{ingreek}', "");
    Expect(0, 1023, '\p{^ingreek}', "");
    Expect(0, 1023, '\P{ingreek}', "");
    Expect(1, 1023, '\P{^ingreek}', "");
    Expect(0, 1024, '\p{ingreek}', "");
    Expect(1, 1024, '\p{^ingreek}', "");
    Expect(1, 1024, '\P{ingreek}', "");
    Expect(0, 1024, '\P{^ingreek}', "");
    Expect(1, 1023, '\p{ -In_greek}', "");
    Expect(0, 1023, '\p{^ -In_greek}', "");
    Expect(0, 1023, '\P{ -In_greek}', "");
    Expect(1, 1023, '\P{^ -In_greek}', "");
    Expect(0, 1024, '\p{ -In_greek}', "");
    Expect(1, 1024, '\p{^ -In_greek}', "");
    Expect(1, 1024, '\P{ -In_greek}', "");
    Expect(0, 1024, '\P{^ -In_greek}', "");
    Error('\p{	_Greek_Extended:=}');
    Error('\P{	_Greek_Extended:=}');
    Expect(1, 8191, '\p{greekextended}', "");
    Expect(0, 8191, '\p{^greekextended}', "");
    Expect(0, 8191, '\P{greekextended}', "");
    Expect(1, 8191, '\P{^greekextended}', "");
    Expect(0, 8192, '\p{greekextended}', "");
    Expect(1, 8192, '\p{^greekextended}', "");
    Expect(1, 8192, '\P{greekextended}', "");
    Expect(0, 8192, '\P{^greekextended}', "");
    Expect(1, 8191, '\p{_GREEK_Extended}', "");
    Expect(0, 8191, '\p{^_GREEK_Extended}', "");
    Expect(0, 8191, '\P{_GREEK_Extended}', "");
    Expect(1, 8191, '\P{^_GREEK_Extended}', "");
    Expect(0, 8192, '\p{_GREEK_Extended}', "");
    Expect(1, 8192, '\p{^_GREEK_Extended}', "");
    Expect(1, 8192, '\P{_GREEK_Extended}', "");
    Expect(0, 8192, '\P{^_GREEK_Extended}', "");
    Error('\p{ /a/Is_Greek_EXTENDED}');
    Error('\P{ /a/Is_Greek_EXTENDED}');
    Expect(1, 8191, '\p{isgreekextended}', "");
    Expect(0, 8191, '\p{^isgreekextended}', "");
    Expect(0, 8191, '\P{isgreekextended}', "");
    Expect(1, 8191, '\P{^isgreekextended}', "");
    Expect(0, 8192, '\p{isgreekextended}', "");
    Expect(1, 8192, '\p{^isgreekextended}', "");
    Expect(1, 8192, '\P{isgreekextended}', "");
    Expect(0, 8192, '\P{^isgreekextended}', "");
    Expect(1, 8191, '\p{-	is_Greek_Extended}', "");
    Expect(0, 8191, '\p{^-	is_Greek_Extended}', "");
    Expect(0, 8191, '\P{-	is_Greek_Extended}', "");
    Expect(1, 8191, '\P{^-	is_Greek_Extended}', "");
    Expect(0, 8192, '\p{-	is_Greek_Extended}', "");
    Expect(1, 8192, '\p{^-	is_Greek_Extended}', "");
    Expect(1, 8192, '\P{-	is_Greek_Extended}', "");
    Expect(0, 8192, '\P{^-	is_Greek_Extended}', "");
    Error('\p{/a/	in_Greek_extended}');
    Error('\P{/a/	in_Greek_extended}');
    Expect(1, 8191, '\p{ingreekextended}', "");
    Expect(0, 8191, '\p{^ingreekextended}', "");
    Expect(0, 8191, '\P{ingreekextended}', "");
    Expect(1, 8191, '\P{^ingreekextended}', "");
    Expect(0, 8192, '\p{ingreekextended}', "");
    Expect(1, 8192, '\p{^ingreekextended}', "");
    Expect(1, 8192, '\P{ingreekextended}', "");
    Expect(0, 8192, '\P{^ingreekextended}', "");
    Expect(1, 8191, '\p{	-IN_greek_extended}', "");
    Expect(0, 8191, '\p{^	-IN_greek_extended}', "");
    Expect(0, 8191, '\P{	-IN_greek_extended}', "");
    Expect(1, 8191, '\P{^	-IN_greek_extended}', "");
    Expect(0, 8192, '\p{	-IN_greek_extended}', "");
    Expect(1, 8192, '\p{^	-IN_greek_extended}', "");
    Expect(1, 8192, '\P{	-IN_greek_extended}', "");
    Expect(0, 8192, '\P{^	-IN_greek_extended}', "");
    Error('\p{:=	 greek_Ext}');
    Error('\P{:=	 greek_Ext}');
    Expect(1, 8191, '\p{greekext}', "");
    Expect(0, 8191, '\p{^greekext}', "");
    Expect(0, 8191, '\P{greekext}', "");
    Expect(1, 8191, '\P{^greekext}', "");
    Expect(0, 8192, '\p{greekext}', "");
    Expect(1, 8192, '\p{^greekext}', "");
    Expect(1, 8192, '\P{greekext}', "");
    Expect(0, 8192, '\P{^greekext}', "");
    Expect(1, 8191, '\p{	 Greek_Ext}', "");
    Expect(0, 8191, '\p{^	 Greek_Ext}', "");
    Expect(0, 8191, '\P{	 Greek_Ext}', "");
    Expect(1, 8191, '\P{^	 Greek_Ext}', "");
    Expect(0, 8192, '\p{	 Greek_Ext}', "");
    Expect(1, 8192, '\p{^	 Greek_Ext}', "");
    Expect(1, 8192, '\P{	 Greek_Ext}', "");
    Expect(0, 8192, '\P{^	 Greek_Ext}', "");
    Error('\p{:=is_GREEK_Ext}');
    Error('\P{:=is_GREEK_Ext}');
    Expect(1, 8191, '\p{isgreekext}', "");
    Expect(0, 8191, '\p{^isgreekext}', "");
    Expect(0, 8191, '\P{isgreekext}', "");
    Expect(1, 8191, '\P{^isgreekext}', "");
    Expect(0, 8192, '\p{isgreekext}', "");
    Expect(1, 8192, '\p{^isgreekext}', "");
    Expect(1, 8192, '\P{isgreekext}', "");
    Expect(0, 8192, '\P{^isgreekext}', "");
    Expect(1, 8191, '\p{_ Is_greek_Ext}', "");
    Expect(0, 8191, '\p{^_ Is_greek_Ext}', "");
    Expect(0, 8191, '\P{_ Is_greek_Ext}', "");
    Expect(1, 8191, '\P{^_ Is_greek_Ext}', "");
    Expect(0, 8192, '\p{_ Is_greek_Ext}', "");
    Expect(1, 8192, '\p{^_ Is_greek_Ext}', "");
    Expect(1, 8192, '\P{_ Is_greek_Ext}', "");
    Expect(0, 8192, '\P{^_ Is_greek_Ext}', "");
    Error('\p{-In_Greek_Ext/a/}');
    Error('\P{-In_Greek_Ext/a/}');
    Expect(1, 8191, '\p{ingreekext}', "");
    Expect(0, 8191, '\p{^ingreekext}', "");
    Expect(0, 8191, '\P{ingreekext}', "");
    Expect(1, 8191, '\P{^ingreekext}', "");
    Expect(0, 8192, '\p{ingreekext}', "");
    Expect(1, 8192, '\p{^ingreekext}', "");
    Expect(1, 8192, '\P{ingreekext}', "");
    Expect(0, 8192, '\P{^ingreekext}', "");
    Expect(1, 8191, '\p{- In_GREEK_Ext}', "");
    Expect(0, 8191, '\p{^- In_GREEK_Ext}', "");
    Expect(0, 8191, '\P{- In_GREEK_Ext}', "");
    Expect(1, 8191, '\P{^- In_GREEK_Ext}', "");
    Expect(0, 8192, '\p{- In_GREEK_Ext}', "");
    Expect(1, 8192, '\p{^- In_GREEK_Ext}', "");
    Expect(1, 8192, '\P{- In_GREEK_Ext}', "");
    Expect(0, 8192, '\P{^- In_GREEK_Ext}', "");
    Error('\p{-	GUJARATI:=}');
    Error('\P{-	GUJARATI:=}');
    Expect(1, 43065, '\p{gujarati}', "");
    Expect(0, 43065, '\p{^gujarati}', "");
    Expect(0, 43065, '\P{gujarati}', "");
    Expect(1, 43065, '\P{^gujarati}', "");
    Expect(0, 43066, '\p{gujarati}', "");
    Expect(1, 43066, '\p{^gujarati}', "");
    Expect(1, 43066, '\P{gujarati}', "");
    Expect(0, 43066, '\P{^gujarati}', "");
    Expect(1, 43065, '\p{-_GUJARATI}', "");
    Expect(0, 43065, '\p{^-_GUJARATI}', "");
    Expect(0, 43065, '\P{-_GUJARATI}', "");
    Expect(1, 43065, '\P{^-_GUJARATI}', "");
    Expect(0, 43066, '\p{-_GUJARATI}', "");
    Expect(1, 43066, '\p{^-_GUJARATI}', "");
    Expect(1, 43066, '\P{-_GUJARATI}', "");
    Expect(0, 43066, '\P{^-_GUJARATI}', "");
    Error('\p{	/a/Is_Gujarati}');
    Error('\P{	/a/Is_Gujarati}');
    Expect(1, 43065, '\p{isgujarati}', "");
    Expect(0, 43065, '\p{^isgujarati}', "");
    Expect(0, 43065, '\P{isgujarati}', "");
    Expect(1, 43065, '\P{^isgujarati}', "");
    Expect(0, 43066, '\p{isgujarati}', "");
    Expect(1, 43066, '\p{^isgujarati}', "");
    Expect(1, 43066, '\P{isgujarati}', "");
    Expect(0, 43066, '\P{^isgujarati}', "");
    Expect(1, 43065, '\p{-_Is_Gujarati}', "");
    Expect(0, 43065, '\p{^-_Is_Gujarati}', "");
    Expect(0, 43065, '\P{-_Is_Gujarati}', "");
    Expect(1, 43065, '\P{^-_Is_Gujarati}', "");
    Expect(0, 43066, '\p{-_Is_Gujarati}', "");
    Expect(1, 43066, '\p{^-_Is_Gujarati}', "");
    Expect(1, 43066, '\P{-_Is_Gujarati}', "");
    Expect(0, 43066, '\P{^-_Is_Gujarati}', "");
    Error('\p{ gujr/a/}');
    Error('\P{ gujr/a/}');
    Expect(1, 43065, '\p{gujr}', "");
    Expect(0, 43065, '\p{^gujr}', "");
    Expect(0, 43065, '\P{gujr}', "");
    Expect(1, 43065, '\P{^gujr}', "");
    Expect(0, 43066, '\p{gujr}', "");
    Expect(1, 43066, '\p{^gujr}', "");
    Expect(1, 43066, '\P{gujr}', "");
    Expect(0, 43066, '\P{^gujr}', "");
    Expect(1, 43065, '\p{		Gujr}', "");
    Expect(0, 43065, '\p{^		Gujr}', "");
    Expect(0, 43065, '\P{		Gujr}', "");
    Expect(1, 43065, '\P{^		Gujr}', "");
    Expect(0, 43066, '\p{		Gujr}', "");
    Expect(1, 43066, '\p{^		Gujr}', "");
    Expect(1, 43066, '\P{		Gujr}', "");
    Expect(0, 43066, '\P{^		Gujr}', "");
    Error('\p{_/a/is_Gujr}');
    Error('\P{_/a/is_Gujr}');
    Expect(1, 43065, '\p{isgujr}', "");
    Expect(0, 43065, '\p{^isgujr}', "");
    Expect(0, 43065, '\P{isgujr}', "");
    Expect(1, 43065, '\P{^isgujr}', "");
    Expect(0, 43066, '\p{isgujr}', "");
    Expect(1, 43066, '\p{^isgujr}', "");
    Expect(1, 43066, '\P{isgujr}', "");
    Expect(0, 43066, '\P{^isgujr}', "");
    Expect(1, 43065, '\p{ -Is_GUJR}', "");
    Expect(0, 43065, '\p{^ -Is_GUJR}', "");
    Expect(0, 43065, '\P{ -Is_GUJR}', "");
    Expect(1, 43065, '\P{^ -Is_GUJR}', "");
    Expect(0, 43066, '\p{ -Is_GUJR}', "");
    Expect(1, 43066, '\p{^ -Is_GUJR}', "");
    Expect(1, 43066, '\P{ -Is_GUJR}', "");
    Expect(0, 43066, '\P{^ -Is_GUJR}', "");
    Error('\p{ :=Gunjala_Gondi}');
    Error('\P{ :=Gunjala_Gondi}');
    Expect(1, 73129, '\p{gunjalagondi}', "");
    Expect(0, 73129, '\p{^gunjalagondi}', "");
    Expect(0, 73129, '\P{gunjalagondi}', "");
    Expect(1, 73129, '\P{^gunjalagondi}', "");
    Expect(0, 73130, '\p{gunjalagondi}', "");
    Expect(1, 73130, '\p{^gunjalagondi}', "");
    Expect(1, 73130, '\P{gunjalagondi}', "");
    Expect(0, 73130, '\P{^gunjalagondi}', "");
    Expect(1, 73129, '\p{ _Gunjala_gondi}', "");
    Expect(0, 73129, '\p{^ _Gunjala_gondi}', "");
    Expect(0, 73129, '\P{ _Gunjala_gondi}', "");
    Expect(1, 73129, '\P{^ _Gunjala_gondi}', "");
    Expect(0, 73130, '\p{ _Gunjala_gondi}', "");
    Expect(1, 73130, '\p{^ _Gunjala_gondi}', "");
    Expect(1, 73130, '\P{ _Gunjala_gondi}', "");
    Expect(0, 73130, '\P{^ _Gunjala_gondi}', "");
    Error('\p{:=-_is_GUNJALA_GONDI}');
    Error('\P{:=-_is_GUNJALA_GONDI}');
    Expect(1, 73129, '\p{isgunjalagondi}', "");
    Expect(0, 73129, '\p{^isgunjalagondi}', "");
    Expect(0, 73129, '\P{isgunjalagondi}', "");
    Expect(1, 73129, '\P{^isgunjalagondi}', "");
    Expect(0, 73130, '\p{isgunjalagondi}', "");
    Expect(1, 73130, '\p{^isgunjalagondi}', "");
    Expect(1, 73130, '\P{isgunjalagondi}', "");
    Expect(0, 73130, '\P{^isgunjalagondi}', "");
    Expect(1, 73129, '\p{_-is_GUNJALA_GONDI}', "");
    Expect(0, 73129, '\p{^_-is_GUNJALA_GONDI}', "");
    Expect(0, 73129, '\P{_-is_GUNJALA_GONDI}', "");
    Expect(1, 73129, '\P{^_-is_GUNJALA_GONDI}', "");
    Expect(0, 73130, '\p{_-is_GUNJALA_GONDI}', "");
    Expect(1, 73130, '\p{^_-is_GUNJALA_GONDI}', "");
    Expect(1, 73130, '\P{_-is_GUNJALA_GONDI}', "");
    Expect(0, 73130, '\P{^_-is_GUNJALA_GONDI}', "");
    Error('\p{_-GONG:=}');
    Error('\P{_-GONG:=}');
    Expect(1, 73129, '\p{gong}', "");
    Expect(0, 73129, '\p{^gong}', "");
    Expect(0, 73129, '\P{gong}', "");
    Expect(1, 73129, '\P{^gong}', "");
    Expect(0, 73130, '\p{gong}', "");
    Expect(1, 73130, '\p{^gong}', "");
    Expect(1, 73130, '\P{gong}', "");
    Expect(0, 73130, '\P{^gong}', "");
    Expect(1, 73129, '\p{_ GONG}', "");
    Expect(0, 73129, '\p{^_ GONG}', "");
    Expect(0, 73129, '\P{_ GONG}', "");
    Expect(1, 73129, '\P{^_ GONG}', "");
    Expect(0, 73130, '\p{_ GONG}', "");
    Expect(1, 73130, '\p{^_ GONG}', "");
    Expect(1, 73130, '\P{_ GONG}', "");
    Expect(0, 73130, '\P{^_ GONG}', "");
    Error('\p{_:=is_Gong}');
    Error('\P{_:=is_Gong}');
    Expect(1, 73129, '\p{isgong}', "");
    Expect(0, 73129, '\p{^isgong}', "");
    Expect(0, 73129, '\P{isgong}', "");
    Expect(1, 73129, '\P{^isgong}', "");
    Expect(0, 73130, '\p{isgong}', "");
    Expect(1, 73130, '\p{^isgong}', "");
    Expect(1, 73130, '\P{isgong}', "");
    Expect(0, 73130, '\P{^isgong}', "");
    Expect(1, 73129, '\p{ IS_Gong}', "");
    Expect(0, 73129, '\p{^ IS_Gong}', "");
    Expect(0, 73129, '\P{ IS_Gong}', "");
    Expect(1, 73129, '\P{^ IS_Gong}', "");
    Expect(0, 73130, '\p{ IS_Gong}', "");
    Expect(1, 73130, '\p{^ IS_Gong}', "");
    Expect(1, 73130, '\P{ IS_Gong}', "");
    Expect(0, 73130, '\P{^ IS_Gong}', "");
    Error('\p{GURMUKHI:=}');
    Error('\P{GURMUKHI:=}');
    Expect(1, 43065, '\p{gurmukhi}', "");
    Expect(0, 43065, '\p{^gurmukhi}', "");
    Expect(0, 43065, '\P{gurmukhi}', "");
    Expect(1, 43065, '\P{^gurmukhi}', "");
    Expect(0, 43066, '\p{gurmukhi}', "");
    Expect(1, 43066, '\p{^gurmukhi}', "");
    Expect(1, 43066, '\P{gurmukhi}', "");
    Expect(0, 43066, '\P{^gurmukhi}', "");
    Expect(1, 43065, '\p{_ GURMUKHI}', "");
    Expect(0, 43065, '\p{^_ GURMUKHI}', "");
    Expect(0, 43065, '\P{_ GURMUKHI}', "");
    Expect(1, 43065, '\P{^_ GURMUKHI}', "");
    Expect(0, 43066, '\p{_ GURMUKHI}', "");
    Expect(1, 43066, '\p{^_ GURMUKHI}', "");
    Expect(1, 43066, '\P{_ GURMUKHI}', "");
    Expect(0, 43066, '\P{^_ GURMUKHI}', "");
    Error('\p{-Is_Gurmukhi/a/}');
    Error('\P{-Is_Gurmukhi/a/}');
    Expect(1, 43065, '\p{isgurmukhi}', "");
    Expect(0, 43065, '\p{^isgurmukhi}', "");
    Expect(0, 43065, '\P{isgurmukhi}', "");
    Expect(1, 43065, '\P{^isgurmukhi}', "");
    Expect(0, 43066, '\p{isgurmukhi}', "");
    Expect(1, 43066, '\p{^isgurmukhi}', "");
    Expect(1, 43066, '\P{isgurmukhi}', "");
    Expect(0, 43066, '\P{^isgurmukhi}', "");
    Expect(1, 43065, '\p{__IS_gurmukhi}', "");
    Expect(0, 43065, '\p{^__IS_gurmukhi}', "");
    Expect(0, 43065, '\P{__IS_gurmukhi}', "");
    Expect(1, 43065, '\P{^__IS_gurmukhi}', "");
    Expect(0, 43066, '\p{__IS_gurmukhi}', "");
    Expect(1, 43066, '\p{^__IS_gurmukhi}', "");
    Expect(1, 43066, '\P{__IS_gurmukhi}', "");
    Expect(0, 43066, '\P{^__IS_gurmukhi}', "");
    Error('\p{:=guru}');
    Error('\P{:=guru}');
    Expect(1, 43065, '\p{guru}', "");
    Expect(0, 43065, '\p{^guru}', "");
    Expect(0, 43065, '\P{guru}', "");
    Expect(1, 43065, '\P{^guru}', "");
    Expect(0, 43066, '\p{guru}', "");
    Expect(1, 43066, '\p{^guru}', "");
    Expect(1, 43066, '\P{guru}', "");
    Expect(0, 43066, '\P{^guru}', "");
    Expect(1, 43065, '\p{- GURU}', "");
    Expect(0, 43065, '\p{^- GURU}', "");
    Expect(0, 43065, '\P{- GURU}', "");
    Expect(1, 43065, '\P{^- GURU}', "");
    Expect(0, 43066, '\p{- GURU}', "");
    Expect(1, 43066, '\p{^- GURU}', "");
    Expect(1, 43066, '\P{- GURU}', "");
    Expect(0, 43066, '\P{^- GURU}', "");
    Error('\p{_-IS_Guru/a/}');
    Error('\P{_-IS_Guru/a/}');
    Expect(1, 43065, '\p{isguru}', "");
    Expect(0, 43065, '\p{^isguru}', "");
    Expect(0, 43065, '\P{isguru}', "");
    Expect(1, 43065, '\P{^isguru}', "");
    Expect(0, 43066, '\p{isguru}', "");
    Expect(1, 43066, '\p{^isguru}', "");
    Expect(1, 43066, '\P{isguru}', "");
    Expect(0, 43066, '\P{^isguru}', "");
    Expect(1, 43065, '\p{	_Is_GURU}', "");
    Expect(0, 43065, '\p{^	_Is_GURU}', "");
    Expect(0, 43065, '\P{	_Is_GURU}', "");
    Expect(1, 43065, '\P{^	_Is_GURU}', "");
    Expect(0, 43066, '\p{	_Is_GURU}', "");
    Expect(1, 43066, '\p{^	_Is_GURU}', "");
    Expect(1, 43066, '\P{	_Is_GURU}', "");
    Expect(0, 43066, '\P{^	_Is_GURU}', "");
    Error('\p{:=_ Halfwidth_And_Fullwidth_FORMS}');
    Error('\P{:=_ Halfwidth_And_Fullwidth_FORMS}');
    Expect(1, 65519, '\p{halfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\p{^halfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\P{halfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\P{^halfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\p{halfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\p{^halfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\P{halfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\P{^halfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\p{_-HALFWIDTH_and_Fullwidth_forms}', "");
    Expect(0, 65519, '\p{^_-HALFWIDTH_and_Fullwidth_forms}', "");
    Expect(0, 65519, '\P{_-HALFWIDTH_and_Fullwidth_forms}', "");
    Expect(1, 65519, '\P{^_-HALFWIDTH_and_Fullwidth_forms}', "");
    Expect(0, 65520, '\p{_-HALFWIDTH_and_Fullwidth_forms}', "");
    Expect(1, 65520, '\p{^_-HALFWIDTH_and_Fullwidth_forms}', "");
    Expect(1, 65520, '\P{_-HALFWIDTH_and_Fullwidth_forms}', "");
    Expect(0, 65520, '\P{^_-HALFWIDTH_and_Fullwidth_forms}', "");
    Error('\p{_:=Is_Halfwidth_AND_Fullwidth_FORMS}');
    Error('\P{_:=Is_Halfwidth_AND_Fullwidth_FORMS}');
    Expect(1, 65519, '\p{ishalfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\p{^ishalfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\P{ishalfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\P{^ishalfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\p{ishalfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\p{^ishalfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\P{ishalfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\P{^ishalfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\p{ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65519, '\p{^ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65519, '\P{ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Expect(1, 65519, '\P{^ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65520, '\p{ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Expect(1, 65520, '\p{^ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Expect(1, 65520, '\P{ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65520, '\P{^ 	IS_HALFWIDTH_AND_FULLWIDTH_FORMS}', "");
    Error('\p{/a/ In_Halfwidth_And_fullwidth_Forms}');
    Error('\P{/a/ In_Halfwidth_And_fullwidth_Forms}');
    Expect(1, 65519, '\p{inhalfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\p{^inhalfwidthandfullwidthforms}', "");
    Expect(0, 65519, '\P{inhalfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\P{^inhalfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\p{inhalfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\p{^inhalfwidthandfullwidthforms}', "");
    Expect(1, 65520, '\P{inhalfwidthandfullwidthforms}', "");
    Expect(0, 65520, '\P{^inhalfwidthandfullwidthforms}', "");
    Expect(1, 65519, '\p{		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65519, '\p{^		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65519, '\P{		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Expect(1, 65519, '\P{^		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65520, '\p{		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Expect(1, 65520, '\p{^		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Expect(1, 65520, '\P{		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Expect(0, 65520, '\P{^		IN_Halfwidth_AND_FULLWIDTH_FORMS}', "");
    Error('\p{-_half_And_Full_Forms:=}');
    Error('\P{-_half_And_Full_Forms:=}');
    Expect(1, 65519, '\p{halfandfullforms}', "");
    Expect(0, 65519, '\p{^halfandfullforms}', "");
    Expect(0, 65519, '\P{halfandfullforms}', "");
    Expect(1, 65519, '\P{^halfandfullforms}', "");
    Expect(0, 65520, '\p{halfandfullforms}', "");
    Expect(1, 65520, '\p{^halfandfullforms}', "");
    Expect(1, 65520, '\P{halfandfullforms}', "");
    Expect(0, 65520, '\P{^halfandfullforms}', "");
    Expect(1, 65519, '\p{_Half_AND_FULL_Forms}', "");
    Expect(0, 65519, '\p{^_Half_AND_FULL_Forms}', "");
    Expect(0, 65519, '\P{_Half_AND_FULL_Forms}', "");
    Expect(1, 65519, '\P{^_Half_AND_FULL_Forms}', "");
    Expect(0, 65520, '\p{_Half_AND_FULL_Forms}', "");
    Expect(1, 65520, '\p{^_Half_AND_FULL_Forms}', "");
    Expect(1, 65520, '\P{_Half_AND_FULL_Forms}', "");
    Expect(0, 65520, '\P{^_Half_AND_FULL_Forms}', "");
    Error('\p{:= -is_half_And_FULL_Forms}');
    Error('\P{:= -is_half_And_FULL_Forms}');
    Expect(1, 65519, '\p{ishalfandfullforms}', "");
    Expect(0, 65519, '\p{^ishalfandfullforms}', "");
    Expect(0, 65519, '\P{ishalfandfullforms}', "");
    Expect(1, 65519, '\P{^ishalfandfullforms}', "");
    Expect(0, 65520, '\p{ishalfandfullforms}', "");
    Expect(1, 65520, '\p{^ishalfandfullforms}', "");
    Expect(1, 65520, '\P{ishalfandfullforms}', "");
    Expect(0, 65520, '\P{^ishalfandfullforms}', "");
    Expect(1, 65519, '\p{		is_HALF_and_Full_Forms}', "");
    Expect(0, 65519, '\p{^		is_HALF_and_Full_Forms}', "");
    Expect(0, 65519, '\P{		is_HALF_and_Full_Forms}', "");
    Expect(1, 65519, '\P{^		is_HALF_and_Full_Forms}', "");
    Expect(0, 65520, '\p{		is_HALF_and_Full_Forms}', "");
    Expect(1, 65520, '\p{^		is_HALF_and_Full_Forms}', "");
    Expect(1, 65520, '\P{		is_HALF_and_Full_Forms}', "");
    Expect(0, 65520, '\P{^		is_HALF_and_Full_Forms}', "");
    Error('\p{/a/In_half_and_Full_FORMS}');
    Error('\P{/a/In_half_and_Full_FORMS}');
    Expect(1, 65519, '\p{inhalfandfullforms}', "");
    Expect(0, 65519, '\p{^inhalfandfullforms}', "");
    Expect(0, 65519, '\P{inhalfandfullforms}', "");
    Expect(1, 65519, '\P{^inhalfandfullforms}', "");
    Expect(0, 65520, '\p{inhalfandfullforms}', "");
    Expect(1, 65520, '\p{^inhalfandfullforms}', "");
    Expect(1, 65520, '\P{inhalfandfullforms}', "");
    Expect(0, 65520, '\P{^inhalfandfullforms}', "");
    Expect(1, 65519, '\p{	In_half_AND_full_Forms}', "");
    Expect(0, 65519, '\p{^	In_half_AND_full_Forms}', "");
    Expect(0, 65519, '\P{	In_half_AND_full_Forms}', "");
    Expect(1, 65519, '\P{^	In_half_AND_full_Forms}', "");
    Expect(0, 65520, '\p{	In_half_AND_full_Forms}', "");
    Expect(1, 65520, '\p{^	In_half_AND_full_Forms}', "");
    Expect(1, 65520, '\P{	In_half_AND_full_Forms}', "");
    Expect(0, 65520, '\P{^	In_half_AND_full_Forms}', "");
    Error('\p{_-Han:=}');
    Error('\P{_-Han:=}');
    Expect(1, 201546, '\p{han}', "");
    Expect(0, 201546, '\p{^han}', "");
    Expect(0, 201546, '\P{han}', "");
    Expect(1, 201546, '\P{^han}', "");
    Expect(0, 201547, '\p{han}', "");
    Expect(1, 201547, '\p{^han}', "");
    Expect(1, 201547, '\P{han}', "");
    Expect(0, 201547, '\P{^han}', "");
    Expect(1, 201546, '\p{ Han}', "");
    Expect(0, 201546, '\p{^ Han}', "");
    Expect(0, 201546, '\P{ Han}', "");
    Expect(1, 201546, '\P{^ Han}', "");
    Expect(0, 201547, '\p{ Han}', "");
    Expect(1, 201547, '\p{^ Han}', "");
    Expect(1, 201547, '\P{ Han}', "");
    Expect(0, 201547, '\P{^ Han}', "");
    Error('\p{  Is_han/a/}');
    Error('\P{  Is_han/a/}');
    Expect(1, 201546, '\p{ishan}', "");
    Expect(0, 201546, '\p{^ishan}', "");
    Expect(0, 201546, '\P{ishan}', "");
    Expect(1, 201546, '\P{^ishan}', "");
    Expect(0, 201547, '\p{ishan}', "");
    Expect(1, 201547, '\p{^ishan}', "");
    Expect(1, 201547, '\P{ishan}', "");
    Expect(0, 201547, '\P{^ishan}', "");
    Expect(1, 201546, '\p{ IS_HAN}', "");
    Expect(0, 201546, '\p{^ IS_HAN}', "");
    Expect(0, 201546, '\P{ IS_HAN}', "");
    Expect(1, 201546, '\P{^ IS_HAN}', "");
    Expect(0, 201547, '\p{ IS_HAN}', "");
    Expect(1, 201547, '\p{^ IS_HAN}', "");
    Expect(1, 201547, '\P{ IS_HAN}', "");
    Expect(0, 201547, '\P{^ IS_HAN}', "");
    Error('\p{ :=Hani}');
    Error('\P{ :=Hani}');
    Expect(1, 201546, '\p{hani}', "");
    Expect(0, 201546, '\p{^hani}', "");
    Expect(0, 201546, '\P{hani}', "");
    Expect(1, 201546, '\P{^hani}', "");
    Expect(0, 201547, '\p{hani}', "");
    Expect(1, 201547, '\p{^hani}', "");
    Expect(1, 201547, '\P{hani}', "");
    Expect(0, 201547, '\P{^hani}', "");
    Expect(1, 201546, '\p{ -Hani}', "");
    Expect(0, 201546, '\p{^ -Hani}', "");
    Expect(0, 201546, '\P{ -Hani}', "");
    Expect(1, 201546, '\P{^ -Hani}', "");
    Expect(0, 201547, '\p{ -Hani}', "");
    Expect(1, 201547, '\p{^ -Hani}', "");
    Expect(1, 201547, '\P{ -Hani}', "");
    Expect(0, 201547, '\P{^ -Hani}', "");
    Error('\p{:=__Is_HANI}');
    Error('\P{:=__Is_HANI}');
    Expect(1, 201546, '\p{ishani}', "");
    Expect(0, 201546, '\p{^ishani}', "");
    Expect(0, 201546, '\P{ishani}', "");
    Expect(1, 201546, '\P{^ishani}', "");
    Expect(0, 201547, '\p{ishani}', "");
    Expect(1, 201547, '\p{^ishani}', "");
    Expect(1, 201547, '\P{ishani}', "");
    Expect(0, 201547, '\P{^ishani}', "");
    Expect(1, 201546, '\p{	 IS_Hani}', "");
    Expect(0, 201546, '\p{^	 IS_Hani}', "");
    Expect(0, 201546, '\P{	 IS_Hani}', "");
    Expect(1, 201546, '\P{^	 IS_Hani}', "");
    Expect(0, 201547, '\p{	 IS_Hani}', "");
    Expect(1, 201547, '\p{^	 IS_Hani}', "");
    Expect(1, 201547, '\P{	 IS_Hani}', "");
    Expect(0, 201547, '\P{^	 IS_Hani}', "");
    Error('\p{/a/_-HANGUL}');
    Error('\P{/a/_-HANGUL}');
    Expect(1, 65500, '\p{hangul}', "");
    Expect(0, 65500, '\p{^hangul}', "");
    Expect(0, 65500, '\P{hangul}', "");
    Expect(1, 65500, '\P{^hangul}', "");
    Expect(0, 65501, '\p{hangul}', "");
    Expect(1, 65501, '\p{^hangul}', "");
    Expect(1, 65501, '\P{hangul}', "");
    Expect(0, 65501, '\P{^hangul}', "");
    Expect(1, 65500, '\p{-HANGUL}', "");
    Expect(0, 65500, '\p{^-HANGUL}', "");
    Expect(0, 65500, '\P{-HANGUL}', "");
    Expect(1, 65500, '\P{^-HANGUL}', "");
    Expect(0, 65501, '\p{-HANGUL}', "");
    Expect(1, 65501, '\p{^-HANGUL}', "");
    Expect(1, 65501, '\P{-HANGUL}', "");
    Expect(0, 65501, '\P{^-HANGUL}', "");
    Error('\p{-/a/Is_HANGUL}');
    Error('\P{-/a/Is_HANGUL}');
    Expect(1, 65500, '\p{ishangul}', "");
    Expect(0, 65500, '\p{^ishangul}', "");
    Expect(0, 65500, '\P{ishangul}', "");
    Expect(1, 65500, '\P{^ishangul}', "");
    Expect(0, 65501, '\p{ishangul}', "");
    Expect(1, 65501, '\p{^ishangul}', "");
    Expect(1, 65501, '\P{ishangul}', "");
    Expect(0, 65501, '\P{^ishangul}', "");
    Expect(1, 65500, '\p{- Is_Hangul}', "");
    Expect(0, 65500, '\p{^- Is_Hangul}', "");
    Expect(0, 65500, '\P{- Is_Hangul}', "");
    Expect(1, 65500, '\P{^- Is_Hangul}', "");
    Expect(0, 65501, '\p{- Is_Hangul}', "");
    Expect(1, 65501, '\p{^- Is_Hangul}', "");
    Expect(1, 65501, '\P{- Is_Hangul}', "");
    Expect(0, 65501, '\P{^- Is_Hangul}', "");
    Error('\p{:=_-hang}');
    Error('\P{:=_-hang}');
    Expect(1, 65500, '\p{hang}', "");
    Expect(0, 65500, '\p{^hang}', "");
    Expect(0, 65500, '\P{hang}', "");
    Expect(1, 65500, '\P{^hang}', "");
    Expect(0, 65501, '\p{hang}', "");
    Expect(1, 65501, '\p{^hang}', "");
    Expect(1, 65501, '\P{hang}', "");
    Expect(0, 65501, '\P{^hang}', "");
    Expect(1, 65500, '\p{_hang}', "");
    Expect(0, 65500, '\p{^_hang}', "");
    Expect(0, 65500, '\P{_hang}', "");
    Expect(1, 65500, '\P{^_hang}', "");
    Expect(0, 65501, '\p{_hang}', "");
    Expect(1, 65501, '\p{^_hang}', "");
    Expect(1, 65501, '\P{_hang}', "");
    Expect(0, 65501, '\P{^_hang}', "");
    Error('\p{:= _Is_Hang}');
    Error('\P{:= _Is_Hang}');
    Expect(1, 65500, '\p{ishang}', "");
    Expect(0, 65500, '\p{^ishang}', "");
    Expect(0, 65500, '\P{ishang}', "");
    Expect(1, 65500, '\P{^ishang}', "");
    Expect(0, 65501, '\p{ishang}', "");
    Expect(1, 65501, '\p{^ishang}', "");
    Expect(1, 65501, '\P{ishang}', "");
    Expect(0, 65501, '\P{^ishang}', "");
    Expect(1, 65500, '\p{	is_hang}', "");
    Expect(0, 65500, '\p{^	is_hang}', "");
    Expect(0, 65500, '\P{	is_hang}', "");
    Expect(1, 65500, '\P{^	is_hang}', "");
    Expect(0, 65501, '\p{	is_hang}', "");
    Expect(1, 65501, '\p{^	is_hang}', "");
    Expect(1, 65501, '\P{	is_hang}', "");
    Expect(0, 65501, '\P{^	is_hang}', "");
    Error('\p{:=hangul_Compatibility_jamo}');
    Error('\P{:=hangul_Compatibility_jamo}');
    Expect(1, 12687, '\p{hangulcompatibilityjamo}', "");
    Expect(0, 12687, '\p{^hangulcompatibilityjamo}', "");
    Expect(0, 12687, '\P{hangulcompatibilityjamo}', "");
    Expect(1, 12687, '\P{^hangulcompatibilityjamo}', "");
    Expect(0, 12688, '\p{hangulcompatibilityjamo}', "");
    Expect(1, 12688, '\p{^hangulcompatibilityjamo}', "");
    Expect(1, 12688, '\P{hangulcompatibilityjamo}', "");
    Expect(0, 12688, '\P{^hangulcompatibilityjamo}', "");
    Expect(1, 12687, '\p{-Hangul_Compatibility_JAMO}', "");
    Expect(0, 12687, '\p{^-Hangul_Compatibility_JAMO}', "");
    Expect(0, 12687, '\P{-Hangul_Compatibility_JAMO}', "");
    Expect(1, 12687, '\P{^-Hangul_Compatibility_JAMO}', "");
    Expect(0, 12688, '\p{-Hangul_Compatibility_JAMO}', "");
    Expect(1, 12688, '\p{^-Hangul_Compatibility_JAMO}', "");
    Expect(1, 12688, '\P{-Hangul_Compatibility_JAMO}', "");
    Expect(0, 12688, '\P{^-Hangul_Compatibility_JAMO}', "");
    Error('\p{	:=Is_Hangul_compatibility_jamo}');
    Error('\P{	:=Is_Hangul_compatibility_jamo}');
    Expect(1, 12687, '\p{ishangulcompatibilityjamo}', "");
    Expect(0, 12687, '\p{^ishangulcompatibilityjamo}', "");
    Expect(0, 12687, '\P{ishangulcompatibilityjamo}', "");
    Expect(1, 12687, '\P{^ishangulcompatibilityjamo}', "");
    Expect(0, 12688, '\p{ishangulcompatibilityjamo}', "");
    Expect(1, 12688, '\p{^ishangulcompatibilityjamo}', "");
    Expect(1, 12688, '\P{ishangulcompatibilityjamo}', "");
    Expect(0, 12688, '\P{^ishangulcompatibilityjamo}', "");
    Expect(1, 12687, '\p{	 Is_Hangul_Compatibility_JAMO}', "");
    Expect(0, 12687, '\p{^	 Is_Hangul_Compatibility_JAMO}', "");
    Expect(0, 12687, '\P{	 Is_Hangul_Compatibility_JAMO}', "");
    Expect(1, 12687, '\P{^	 Is_Hangul_Compatibility_JAMO}', "");
    Expect(0, 12688, '\p{	 Is_Hangul_Compatibility_JAMO}', "");
    Expect(1, 12688, '\p{^	 Is_Hangul_Compatibility_JAMO}', "");
    Expect(1, 12688, '\P{	 Is_Hangul_Compatibility_JAMO}', "");
    Expect(0, 12688, '\P{^	 Is_Hangul_Compatibility_JAMO}', "");
    Error('\p{/a/_ In_Hangul_Compatibility_Jamo}');
    Error('\P{/a/_ In_Hangul_Compatibility_Jamo}');
    Expect(1, 12687, '\p{inhangulcompatibilityjamo}', "");
    Expect(0, 12687, '\p{^inhangulcompatibilityjamo}', "");
    Expect(0, 12687, '\P{inhangulcompatibilityjamo}', "");
    Expect(1, 12687, '\P{^inhangulcompatibilityjamo}', "");
    Expect(0, 12688, '\p{inhangulcompatibilityjamo}', "");
    Expect(1, 12688, '\p{^inhangulcompatibilityjamo}', "");
    Expect(1, 12688, '\P{inhangulcompatibilityjamo}', "");
    Expect(0, 12688, '\P{^inhangulcompatibilityjamo}', "");
    Expect(1, 12687, '\p{ _In_hangul_COMPATIBILITY_JAMO}', "");
    Expect(0, 12687, '\p{^ _In_hangul_COMPATIBILITY_JAMO}', "");
    Expect(0, 12687, '\P{ _In_hangul_COMPATIBILITY_JAMO}', "");
    Expect(1, 12687, '\P{^ _In_hangul_COMPATIBILITY_JAMO}', "");
    Expect(0, 12688, '\p{ _In_hangul_COMPATIBILITY_JAMO}', "");
    Expect(1, 12688, '\p{^ _In_hangul_COMPATIBILITY_JAMO}', "");
    Expect(1, 12688, '\P{ _In_hangul_COMPATIBILITY_JAMO}', "");
    Expect(0, 12688, '\P{^ _In_hangul_COMPATIBILITY_JAMO}', "");
    Error('\p{:=compat_jamo}');
    Error('\P{:=compat_jamo}');
    Expect(1, 12687, '\p{compatjamo}', "");
    Expect(0, 12687, '\p{^compatjamo}', "");
    Expect(0, 12687, '\P{compatjamo}', "");
    Expect(1, 12687, '\P{^compatjamo}', "");
    Expect(0, 12688, '\p{compatjamo}', "");
    Expect(1, 12688, '\p{^compatjamo}', "");
    Expect(1, 12688, '\P{compatjamo}', "");
    Expect(0, 12688, '\P{^compatjamo}', "");
    Expect(1, 12687, '\p{- COMPAT_Jamo}', "");
    Expect(0, 12687, '\p{^- COMPAT_Jamo}', "");
    Expect(0, 12687, '\P{- COMPAT_Jamo}', "");
    Expect(1, 12687, '\P{^- COMPAT_Jamo}', "");
    Expect(0, 12688, '\p{- COMPAT_Jamo}', "");
    Expect(1, 12688, '\p{^- COMPAT_Jamo}', "");
    Expect(1, 12688, '\P{- COMPAT_Jamo}', "");
    Expect(0, 12688, '\P{^- COMPAT_Jamo}', "");
    Error('\p{  is_COMPAT_Jamo/a/}');
    Error('\P{  is_COMPAT_Jamo/a/}');
    Expect(1, 12687, '\p{iscompatjamo}', "");
    Expect(0, 12687, '\p{^iscompatjamo}', "");
    Expect(0, 12687, '\P{iscompatjamo}', "");
    Expect(1, 12687, '\P{^iscompatjamo}', "");
    Expect(0, 12688, '\p{iscompatjamo}', "");
    Expect(1, 12688, '\p{^iscompatjamo}', "");
    Expect(1, 12688, '\P{iscompatjamo}', "");
    Expect(0, 12688, '\P{^iscompatjamo}', "");
    Expect(1, 12687, '\p{ IS_Compat_jamo}', "");
    Expect(0, 12687, '\p{^ IS_Compat_jamo}', "");
    Expect(0, 12687, '\P{ IS_Compat_jamo}', "");
    Expect(1, 12687, '\P{^ IS_Compat_jamo}', "");
    Expect(0, 12688, '\p{ IS_Compat_jamo}', "");
    Expect(1, 12688, '\p{^ IS_Compat_jamo}', "");
    Expect(1, 12688, '\P{ IS_Compat_jamo}', "");
    Expect(0, 12688, '\P{^ IS_Compat_jamo}', "");
    Error('\p{:=_-In_COMPAT_Jamo}');
    Error('\P{:=_-In_COMPAT_Jamo}');
    Expect(1, 12687, '\p{incompatjamo}', "");
    Expect(0, 12687, '\p{^incompatjamo}', "");
    Expect(0, 12687, '\P{incompatjamo}', "");
    Expect(1, 12687, '\P{^incompatjamo}', "");
    Expect(0, 12688, '\p{incompatjamo}', "");
    Expect(1, 12688, '\p{^incompatjamo}', "");
    Expect(1, 12688, '\P{incompatjamo}', "");
    Expect(0, 12688, '\P{^incompatjamo}', "");
    Expect(1, 12687, '\p{		IN_Compat_jamo}', "");
    Expect(0, 12687, '\p{^		IN_Compat_jamo}', "");
    Expect(0, 12687, '\P{		IN_Compat_jamo}', "");
    Expect(1, 12687, '\P{^		IN_Compat_jamo}', "");
    Expect(0, 12688, '\p{		IN_Compat_jamo}', "");
    Expect(1, 12688, '\p{^		IN_Compat_jamo}', "");
    Expect(1, 12688, '\P{		IN_Compat_jamo}', "");
    Expect(0, 12688, '\P{^		IN_Compat_jamo}', "");
    Error('\p{:= -HANGUL_jamo}');
    Error('\P{:= -HANGUL_jamo}');
    Expect(1, 4607, '\p{hanguljamo}', "");
    Expect(0, 4607, '\p{^hanguljamo}', "");
    Expect(0, 4607, '\P{hanguljamo}', "");
    Expect(1, 4607, '\P{^hanguljamo}', "");
    Expect(0, 4608, '\p{hanguljamo}', "");
    Expect(1, 4608, '\p{^hanguljamo}', "");
    Expect(1, 4608, '\P{hanguljamo}', "");
    Expect(0, 4608, '\P{^hanguljamo}', "");
    Expect(1, 4607, '\p{_Hangul_Jamo}', "");
    Expect(0, 4607, '\p{^_Hangul_Jamo}', "");
    Expect(0, 4607, '\P{_Hangul_Jamo}', "");
    Expect(1, 4607, '\P{^_Hangul_Jamo}', "");
    Expect(0, 4608, '\p{_Hangul_Jamo}', "");
    Expect(1, 4608, '\p{^_Hangul_Jamo}', "");
    Expect(1, 4608, '\P{_Hangul_Jamo}', "");
    Expect(0, 4608, '\P{^_Hangul_Jamo}', "");
    Error('\p{_/a/Is_Hangul_Jamo}');
    Error('\P{_/a/Is_Hangul_Jamo}');
    Expect(1, 4607, '\p{ishanguljamo}', "");
    Expect(0, 4607, '\p{^ishanguljamo}', "");
    Expect(0, 4607, '\P{ishanguljamo}', "");
    Expect(1, 4607, '\P{^ishanguljamo}', "");
    Expect(0, 4608, '\p{ishanguljamo}', "");
    Expect(1, 4608, '\p{^ishanguljamo}', "");
    Expect(1, 4608, '\P{ishanguljamo}', "");
    Expect(0, 4608, '\P{^ishanguljamo}', "");
    Expect(1, 4607, '\p{	 IS_hangul_JAMO}', "");
    Expect(0, 4607, '\p{^	 IS_hangul_JAMO}', "");
    Expect(0, 4607, '\P{	 IS_hangul_JAMO}', "");
    Expect(1, 4607, '\P{^	 IS_hangul_JAMO}', "");
    Expect(0, 4608, '\p{	 IS_hangul_JAMO}', "");
    Expect(1, 4608, '\p{^	 IS_hangul_JAMO}', "");
    Expect(1, 4608, '\P{	 IS_hangul_JAMO}', "");
    Expect(0, 4608, '\P{^	 IS_hangul_JAMO}', "");
    Error('\p{/a/ _In_Hangul_jamo}');
    Error('\P{/a/ _In_Hangul_jamo}');
    Expect(1, 4607, '\p{inhanguljamo}', "");
    Expect(0, 4607, '\p{^inhanguljamo}', "");
    Expect(0, 4607, '\P{inhanguljamo}', "");
    Expect(1, 4607, '\P{^inhanguljamo}', "");
    Expect(0, 4608, '\p{inhanguljamo}', "");
    Expect(1, 4608, '\p{^inhanguljamo}', "");
    Expect(1, 4608, '\P{inhanguljamo}', "");
    Expect(0, 4608, '\P{^inhanguljamo}', "");
    Expect(1, 4607, '\p{-	in_Hangul_jamo}', "");
    Expect(0, 4607, '\p{^-	in_Hangul_jamo}', "");
    Expect(0, 4607, '\P{-	in_Hangul_jamo}', "");
    Expect(1, 4607, '\P{^-	in_Hangul_jamo}', "");
    Expect(0, 4608, '\p{-	in_Hangul_jamo}', "");
    Expect(1, 4608, '\p{^-	in_Hangul_jamo}', "");
    Expect(1, 4608, '\P{-	in_Hangul_jamo}', "");
    Expect(0, 4608, '\P{^-	in_Hangul_jamo}', "");
    Error('\p{	Jamo:=}');
    Error('\P{	Jamo:=}');
    Expect(1, 4607, '\p{jamo}', "");
    Expect(0, 4607, '\p{^jamo}', "");
    Expect(0, 4607, '\P{jamo}', "");
    Expect(1, 4607, '\P{^jamo}', "");
    Expect(0, 4608, '\p{jamo}', "");
    Expect(1, 4608, '\p{^jamo}', "");
    Expect(1, 4608, '\P{jamo}', "");
    Expect(0, 4608, '\P{^jamo}', "");
    Expect(1, 4607, '\p{	Jamo}', "");
    Expect(0, 4607, '\p{^	Jamo}', "");
    Expect(0, 4607, '\P{	Jamo}', "");
    Expect(1, 4607, '\P{^	Jamo}', "");
    Expect(0, 4608, '\p{	Jamo}', "");
    Expect(1, 4608, '\p{^	Jamo}', "");
    Expect(1, 4608, '\P{	Jamo}', "");
    Expect(0, 4608, '\P{^	Jamo}', "");
    Error('\p{/a/Is_jamo}');
    Error('\P{/a/Is_jamo}');
    Expect(1, 4607, '\p{isjamo}', "");
    Expect(0, 4607, '\p{^isjamo}', "");
    Expect(0, 4607, '\P{isjamo}', "");
    Expect(1, 4607, '\P{^isjamo}', "");
    Expect(0, 4608, '\p{isjamo}', "");
    Expect(1, 4608, '\p{^isjamo}', "");
    Expect(1, 4608, '\P{isjamo}', "");
    Expect(0, 4608, '\P{^isjamo}', "");
    Expect(1, 4607, '\p{-	IS_jamo}', "");
    Expect(0, 4607, '\p{^-	IS_jamo}', "");
    Expect(0, 4607, '\P{-	IS_jamo}', "");
    Expect(1, 4607, '\P{^-	IS_jamo}', "");
    Expect(0, 4608, '\p{-	IS_jamo}', "");
    Expect(1, 4608, '\p{^-	IS_jamo}', "");
    Expect(1, 4608, '\P{-	IS_jamo}', "");
    Expect(0, 4608, '\P{^-	IS_jamo}', "");
    Error('\p{	/a/IN_Jamo}');
    Error('\P{	/a/IN_Jamo}');
    Expect(1, 4607, '\p{injamo}', "");
    Expect(0, 4607, '\p{^injamo}', "");
    Expect(0, 4607, '\P{injamo}', "");
    Expect(1, 4607, '\P{^injamo}', "");
    Expect(0, 4608, '\p{injamo}', "");
    Expect(1, 4608, '\p{^injamo}', "");
    Expect(1, 4608, '\P{injamo}', "");
    Expect(0, 4608, '\P{^injamo}', "");
    Expect(1, 4607, '\p{	IN_Jamo}', "");
    Expect(0, 4607, '\p{^	IN_Jamo}', "");
    Expect(0, 4607, '\P{	IN_Jamo}', "");
    Expect(1, 4607, '\P{^	IN_Jamo}', "");
    Expect(0, 4608, '\p{	IN_Jamo}', "");
    Expect(1, 4608, '\p{^	IN_Jamo}', "");
    Expect(1, 4608, '\P{	IN_Jamo}', "");
    Expect(0, 4608, '\P{^	IN_Jamo}', "");
    Error('\p{:=  hangul_Jamo_Extended_a}');
    Error('\P{:=  hangul_Jamo_Extended_a}');
    Expect(1, 43391, '\p{hanguljamoextendeda}', "");
    Expect(0, 43391, '\p{^hanguljamoextendeda}', "");
    Expect(0, 43391, '\P{hanguljamoextendeda}', "");
    Expect(1, 43391, '\P{^hanguljamoextendeda}', "");
    Expect(0, 43392, '\p{hanguljamoextendeda}', "");
    Expect(1, 43392, '\p{^hanguljamoextendeda}', "");
    Expect(1, 43392, '\P{hanguljamoextendeda}', "");
    Expect(0, 43392, '\P{^hanguljamoextendeda}', "");
    Expect(1, 43391, '\p{_-HANGUL_JAMO_Extended_A}', "");
    Expect(0, 43391, '\p{^_-HANGUL_JAMO_Extended_A}', "");
    Expect(0, 43391, '\P{_-HANGUL_JAMO_Extended_A}', "");
    Expect(1, 43391, '\P{^_-HANGUL_JAMO_Extended_A}', "");
    Expect(0, 43392, '\p{_-HANGUL_JAMO_Extended_A}', "");
    Expect(1, 43392, '\p{^_-HANGUL_JAMO_Extended_A}', "");
    Expect(1, 43392, '\P{_-HANGUL_JAMO_Extended_A}', "");
    Expect(0, 43392, '\P{^_-HANGUL_JAMO_Extended_A}', "");
    Error('\p{-:=is_Hangul_jamo_extended_A}');
    Error('\P{-:=is_Hangul_jamo_extended_A}');
    Expect(1, 43391, '\p{ishanguljamoextendeda}', "");
    Expect(0, 43391, '\p{^ishanguljamoextendeda}', "");
    Expect(0, 43391, '\P{ishanguljamoextendeda}', "");
    Expect(1, 43391, '\P{^ishanguljamoextendeda}', "");
    Expect(0, 43392, '\p{ishanguljamoextendeda}', "");
    Expect(1, 43392, '\p{^ishanguljamoextendeda}', "");
    Expect(1, 43392, '\P{ishanguljamoextendeda}', "");
    Expect(0, 43392, '\P{^ishanguljamoextendeda}', "");
    Expect(1, 43391, '\p{_	Is_hangul_Jamo_Extended_A}', "");
    Expect(0, 43391, '\p{^_	Is_hangul_Jamo_Extended_A}', "");
    Expect(0, 43391, '\P{_	Is_hangul_Jamo_Extended_A}', "");
    Expect(1, 43391, '\P{^_	Is_hangul_Jamo_Extended_A}', "");
    Expect(0, 43392, '\p{_	Is_hangul_Jamo_Extended_A}', "");
    Expect(1, 43392, '\p{^_	Is_hangul_Jamo_Extended_A}', "");
    Expect(1, 43392, '\P{_	Is_hangul_Jamo_Extended_A}', "");
    Expect(0, 43392, '\P{^_	Is_hangul_Jamo_Extended_A}', "");
    Error('\p{		IN_Hangul_Jamo_Extended_A/a/}');
    Error('\P{		IN_Hangul_Jamo_Extended_A/a/}');
    Expect(1, 43391, '\p{inhanguljamoextendeda}', "");
    Expect(0, 43391, '\p{^inhanguljamoextendeda}', "");
    Expect(0, 43391, '\P{inhanguljamoextendeda}', "");
    Expect(1, 43391, '\P{^inhanguljamoextendeda}', "");
    Expect(0, 43392, '\p{inhanguljamoextendeda}', "");
    Expect(1, 43392, '\p{^inhanguljamoextendeda}', "");
    Expect(1, 43392, '\P{inhanguljamoextendeda}', "");
    Expect(0, 43392, '\P{^inhanguljamoextendeda}', "");
    Expect(1, 43391, '\p{ _In_HANGUL_Jamo_extended_A}', "");
    Expect(0, 43391, '\p{^ _In_HANGUL_Jamo_extended_A}', "");
    Expect(0, 43391, '\P{ _In_HANGUL_Jamo_extended_A}', "");
    Expect(1, 43391, '\P{^ _In_HANGUL_Jamo_extended_A}', "");
    Expect(0, 43392, '\p{ _In_HANGUL_Jamo_extended_A}', "");
    Expect(1, 43392, '\p{^ _In_HANGUL_Jamo_extended_A}', "");
    Expect(1, 43392, '\P{ _In_HANGUL_Jamo_extended_A}', "");
    Expect(0, 43392, '\P{^ _In_HANGUL_Jamo_extended_A}', "");
    Error('\p{ _jamo_Ext_A:=}');
    Error('\P{ _jamo_Ext_A:=}');
    Expect(1, 43391, '\p{jamoexta}', "");
    Expect(0, 43391, '\p{^jamoexta}', "");
    Expect(0, 43391, '\P{jamoexta}', "");
    Expect(1, 43391, '\P{^jamoexta}', "");
    Expect(0, 43392, '\p{jamoexta}', "");
    Expect(1, 43392, '\p{^jamoexta}', "");
    Expect(1, 43392, '\P{jamoexta}', "");
    Expect(0, 43392, '\P{^jamoexta}', "");
    Expect(1, 43391, '\p{	jamo_Ext_a}', "");
    Expect(0, 43391, '\p{^	jamo_Ext_a}', "");
    Expect(0, 43391, '\P{	jamo_Ext_a}', "");
    Expect(1, 43391, '\P{^	jamo_Ext_a}', "");
    Expect(0, 43392, '\p{	jamo_Ext_a}', "");
    Expect(1, 43392, '\p{^	jamo_Ext_a}', "");
    Expect(1, 43392, '\P{	jamo_Ext_a}', "");
    Expect(0, 43392, '\P{^	jamo_Ext_a}', "");
    Error('\p{_/a/Is_Jamo_Ext_a}');
    Error('\P{_/a/Is_Jamo_Ext_a}');
    Expect(1, 43391, '\p{isjamoexta}', "");
    Expect(0, 43391, '\p{^isjamoexta}', "");
    Expect(0, 43391, '\P{isjamoexta}', "");
    Expect(1, 43391, '\P{^isjamoexta}', "");
    Expect(0, 43392, '\p{isjamoexta}', "");
    Expect(1, 43392, '\p{^isjamoexta}', "");
    Expect(1, 43392, '\P{isjamoexta}', "");
    Expect(0, 43392, '\P{^isjamoexta}', "");
    Expect(1, 43391, '\p{	IS_Jamo_ext_A}', "");
    Expect(0, 43391, '\p{^	IS_Jamo_ext_A}', "");
    Expect(0, 43391, '\P{	IS_Jamo_ext_A}', "");
    Expect(1, 43391, '\P{^	IS_Jamo_ext_A}', "");
    Expect(0, 43392, '\p{	IS_Jamo_ext_A}', "");
    Expect(1, 43392, '\p{^	IS_Jamo_ext_A}', "");
    Expect(1, 43392, '\P{	IS_Jamo_ext_A}', "");
    Expect(0, 43392, '\P{^	IS_Jamo_ext_A}', "");
    Error('\p{_in_jamo_EXT_a/a/}');
    Error('\P{_in_jamo_EXT_a/a/}');
    Expect(1, 43391, '\p{injamoexta}', "");
    Expect(0, 43391, '\p{^injamoexta}', "");
    Expect(0, 43391, '\P{injamoexta}', "");
    Expect(1, 43391, '\P{^injamoexta}', "");
    Expect(0, 43392, '\p{injamoexta}', "");
    Expect(1, 43392, '\p{^injamoexta}', "");
    Expect(1, 43392, '\P{injamoexta}', "");
    Expect(0, 43392, '\P{^injamoexta}', "");
    Expect(1, 43391, '\p{_In_jamo_Ext_A}', "");
    Expect(0, 43391, '\p{^_In_jamo_Ext_A}', "");
    Expect(0, 43391, '\P{_In_jamo_Ext_A}', "");
    Expect(1, 43391, '\P{^_In_jamo_Ext_A}', "");
    Expect(0, 43392, '\p{_In_jamo_Ext_A}', "");
    Expect(1, 43392, '\p{^_In_jamo_Ext_A}', "");
    Expect(1, 43392, '\P{_In_jamo_Ext_A}', "");
    Expect(0, 43392, '\P{^_In_jamo_Ext_A}', "");
    Error('\p{:=Hangul_Jamo_Extended_B}');
    Error('\P{:=Hangul_Jamo_Extended_B}');
    Expect(1, 55295, '\p{hanguljamoextendedb}', "");
    Expect(0, 55295, '\p{^hanguljamoextendedb}', "");
    Expect(0, 55295, '\P{hanguljamoextendedb}', "");
    Expect(1, 55295, '\P{^hanguljamoextendedb}', "");
    Expect(0, 57344, '\p{hanguljamoextendedb}', "");
    Expect(1, 57344, '\p{^hanguljamoextendedb}', "");
    Expect(1, 57344, '\P{hanguljamoextendedb}', "");
    Expect(0, 57344, '\P{^hanguljamoextendedb}', "");
    Expect(1, 55295, '\p{--Hangul_Jamo_Extended_b}', "");
    Expect(0, 55295, '\p{^--Hangul_Jamo_Extended_b}', "");
    Expect(0, 55295, '\P{--Hangul_Jamo_Extended_b}', "");
    Expect(1, 55295, '\P{^--Hangul_Jamo_Extended_b}', "");
    Expect(0, 57344, '\p{--Hangul_Jamo_Extended_b}', "");
    Expect(1, 57344, '\p{^--Hangul_Jamo_Extended_b}', "");
    Expect(1, 57344, '\P{--Hangul_Jamo_Extended_b}', "");
    Expect(0, 57344, '\P{^--Hangul_Jamo_Extended_b}', "");
    Error('\p{:=	 Is_Hangul_jamo_Extended_B}');
    Error('\P{:=	 Is_Hangul_jamo_Extended_B}');
    Expect(1, 55295, '\p{ishanguljamoextendedb}', "");
    Expect(0, 55295, '\p{^ishanguljamoextendedb}', "");
    Expect(0, 55295, '\P{ishanguljamoextendedb}', "");
    Expect(1, 55295, '\P{^ishanguljamoextendedb}', "");
    Expect(0, 57344, '\p{ishanguljamoextendedb}', "");
    Expect(1, 57344, '\p{^ishanguljamoextendedb}', "");
    Expect(1, 57344, '\P{ishanguljamoextendedb}', "");
    Expect(0, 57344, '\P{^ishanguljamoextendedb}', "");
    Expect(1, 55295, '\p{		IS_Hangul_Jamo_Extended_B}', "");
    Expect(0, 55295, '\p{^		IS_Hangul_Jamo_Extended_B}', "");
    Expect(0, 55295, '\P{		IS_Hangul_Jamo_Extended_B}', "");
    Expect(1, 55295, '\P{^		IS_Hangul_Jamo_Extended_B}', "");
    Expect(0, 57344, '\p{		IS_Hangul_Jamo_Extended_B}', "");
    Expect(1, 57344, '\p{^		IS_Hangul_Jamo_Extended_B}', "");
    Expect(1, 57344, '\P{		IS_Hangul_Jamo_Extended_B}', "");
    Expect(0, 57344, '\P{^		IS_Hangul_Jamo_Extended_B}', "");
    Error('\p{_IN_hangul_Jamo_Extended_B:=}');
    Error('\P{_IN_hangul_Jamo_Extended_B:=}');
    Expect(1, 55295, '\p{inhanguljamoextendedb}', "");
    Expect(0, 55295, '\p{^inhanguljamoextendedb}', "");
    Expect(0, 55295, '\P{inhanguljamoextendedb}', "");
    Expect(1, 55295, '\P{^inhanguljamoextendedb}', "");
    Expect(0, 57344, '\p{inhanguljamoextendedb}', "");
    Expect(1, 57344, '\p{^inhanguljamoextendedb}', "");
    Expect(1, 57344, '\P{inhanguljamoextendedb}', "");
    Expect(0, 57344, '\P{^inhanguljamoextendedb}', "");
    Expect(1, 55295, '\p{ in_hangul_jamo_EXTENDED_B}', "");
    Expect(0, 55295, '\p{^ in_hangul_jamo_EXTENDED_B}', "");
    Expect(0, 55295, '\P{ in_hangul_jamo_EXTENDED_B}', "");
    Expect(1, 55295, '\P{^ in_hangul_jamo_EXTENDED_B}', "");
    Expect(0, 57344, '\p{ in_hangul_jamo_EXTENDED_B}', "");
    Expect(1, 57344, '\p{^ in_hangul_jamo_EXTENDED_B}', "");
    Expect(1, 57344, '\P{ in_hangul_jamo_EXTENDED_B}', "");
    Expect(0, 57344, '\P{^ in_hangul_jamo_EXTENDED_B}', "");
    Error('\p{  JAMO_Ext_b:=}');
    Error('\P{  JAMO_Ext_b:=}');
    Expect(1, 55295, '\p{jamoextb}', "");
    Expect(0, 55295, '\p{^jamoextb}', "");
    Expect(0, 55295, '\P{jamoextb}', "");
    Expect(1, 55295, '\P{^jamoextb}', "");
    Expect(0, 57344, '\p{jamoextb}', "");
    Expect(1, 57344, '\p{^jamoextb}', "");
    Expect(1, 57344, '\P{jamoextb}', "");
    Expect(0, 57344, '\P{^jamoextb}', "");
    Expect(1, 55295, '\p{-jamo_Ext_B}', "");
    Expect(0, 55295, '\p{^-jamo_Ext_B}', "");
    Expect(0, 55295, '\P{-jamo_Ext_B}', "");
    Expect(1, 55295, '\P{^-jamo_Ext_B}', "");
    Expect(0, 57344, '\p{-jamo_Ext_B}', "");
    Expect(1, 57344, '\p{^-jamo_Ext_B}', "");
    Expect(1, 57344, '\P{-jamo_Ext_B}', "");
    Expect(0, 57344, '\P{^-jamo_Ext_B}', "");
    Error('\p{_/a/is_Jamo_ext_B}');
    Error('\P{_/a/is_Jamo_ext_B}');
    Expect(1, 55295, '\p{isjamoextb}', "");
    Expect(0, 55295, '\p{^isjamoextb}', "");
    Expect(0, 55295, '\P{isjamoextb}', "");
    Expect(1, 55295, '\P{^isjamoextb}', "");
    Expect(0, 57344, '\p{isjamoextb}', "");
    Expect(1, 57344, '\p{^isjamoextb}', "");
    Expect(1, 57344, '\P{isjamoextb}', "");
    Expect(0, 57344, '\P{^isjamoextb}', "");
    Expect(1, 55295, '\p{_ Is_Jamo_ext_b}', "");
    Expect(0, 55295, '\p{^_ Is_Jamo_ext_b}', "");
    Expect(0, 55295, '\P{_ Is_Jamo_ext_b}', "");
    Expect(1, 55295, '\P{^_ Is_Jamo_ext_b}', "");
    Expect(0, 57344, '\p{_ Is_Jamo_ext_b}', "");
    Expect(1, 57344, '\p{^_ Is_Jamo_ext_b}', "");
    Expect(1, 57344, '\P{_ Is_Jamo_ext_b}', "");
    Expect(0, 57344, '\P{^_ Is_Jamo_ext_b}', "");
    Error('\p{-_IN_JAMO_EXT_b:=}');
    Error('\P{-_IN_JAMO_EXT_b:=}');
    Expect(1, 55295, '\p{injamoextb}', "");
    Expect(0, 55295, '\p{^injamoextb}', "");
    Expect(0, 55295, '\P{injamoextb}', "");
    Expect(1, 55295, '\P{^injamoextb}', "");
    Expect(0, 57344, '\p{injamoextb}', "");
    Expect(1, 57344, '\p{^injamoextb}', "");
    Expect(1, 57344, '\P{injamoextb}', "");
    Expect(0, 57344, '\P{^injamoextb}', "");
    Expect(1, 55295, '\p{	In_jamo_Ext_B}', "");
    Expect(0, 55295, '\p{^	In_jamo_Ext_B}', "");
    Expect(0, 55295, '\P{	In_jamo_Ext_B}', "");
    Expect(1, 55295, '\P{^	In_jamo_Ext_B}', "");
    Expect(0, 57344, '\p{	In_jamo_Ext_B}', "");
    Expect(1, 57344, '\p{^	In_jamo_Ext_B}', "");
    Expect(1, 57344, '\P{	In_jamo_Ext_B}', "");
    Expect(0, 57344, '\P{^	In_jamo_Ext_B}', "");
    Error('\p{_/a/Hangul_Syllables}');
    Error('\P{_/a/Hangul_Syllables}');
    Expect(1, 55215, '\p{hangulsyllables}', "");
    Expect(0, 55215, '\p{^hangulsyllables}', "");
    Expect(0, 55215, '\P{hangulsyllables}', "");
    Expect(1, 55215, '\P{^hangulsyllables}', "");
    Expect(0, 55216, '\p{hangulsyllables}', "");
    Expect(1, 55216, '\p{^hangulsyllables}', "");
    Expect(1, 55216, '\P{hangulsyllables}', "");
    Expect(0, 55216, '\P{^hangulsyllables}', "");
    Expect(1, 55215, '\p{ Hangul_syllables}', "");
    Expect(0, 55215, '\p{^ Hangul_syllables}', "");
    Expect(0, 55215, '\P{ Hangul_syllables}', "");
    Expect(1, 55215, '\P{^ Hangul_syllables}', "");
    Expect(0, 55216, '\p{ Hangul_syllables}', "");
    Expect(1, 55216, '\p{^ Hangul_syllables}', "");
    Expect(1, 55216, '\P{ Hangul_syllables}', "");
    Expect(0, 55216, '\P{^ Hangul_syllables}', "");
    Error('\p{-/a/Is_hangul_syllables}');
    Error('\P{-/a/Is_hangul_syllables}');
    Expect(1, 55215, '\p{ishangulsyllables}', "");
    Expect(0, 55215, '\p{^ishangulsyllables}', "");
    Expect(0, 55215, '\P{ishangulsyllables}', "");
    Expect(1, 55215, '\P{^ishangulsyllables}', "");
    Expect(0, 55216, '\p{ishangulsyllables}', "");
    Expect(1, 55216, '\p{^ishangulsyllables}', "");
    Expect(1, 55216, '\P{ishangulsyllables}', "");
    Expect(0, 55216, '\P{^ishangulsyllables}', "");
    Expect(1, 55215, '\p{		Is_Hangul_SYLLABLES}', "");
    Expect(0, 55215, '\p{^		Is_Hangul_SYLLABLES}', "");
    Expect(0, 55215, '\P{		Is_Hangul_SYLLABLES}', "");
    Expect(1, 55215, '\P{^		Is_Hangul_SYLLABLES}', "");
    Expect(0, 55216, '\p{		Is_Hangul_SYLLABLES}', "");
    Expect(1, 55216, '\p{^		Is_Hangul_SYLLABLES}', "");
    Expect(1, 55216, '\P{		Is_Hangul_SYLLABLES}', "");
    Expect(0, 55216, '\P{^		Is_Hangul_SYLLABLES}', "");
    Error('\p{:=_In_HANGUL_Syllables}');
    Error('\P{:=_In_HANGUL_Syllables}');
    Expect(1, 55215, '\p{inhangulsyllables}', "");
    Expect(0, 55215, '\p{^inhangulsyllables}', "");
    Expect(0, 55215, '\P{inhangulsyllables}', "");
    Expect(1, 55215, '\P{^inhangulsyllables}', "");
    Expect(0, 55216, '\p{inhangulsyllables}', "");
    Expect(1, 55216, '\p{^inhangulsyllables}', "");
    Expect(1, 55216, '\P{inhangulsyllables}', "");
    Expect(0, 55216, '\P{^inhangulsyllables}', "");
    Expect(1, 55215, '\p{--in_HANGUL_SYLLABLES}', "");
    Expect(0, 55215, '\p{^--in_HANGUL_SYLLABLES}', "");
    Expect(0, 55215, '\P{--in_HANGUL_SYLLABLES}', "");
    Expect(1, 55215, '\P{^--in_HANGUL_SYLLABLES}', "");
    Expect(0, 55216, '\p{--in_HANGUL_SYLLABLES}', "");
    Expect(1, 55216, '\p{^--in_HANGUL_SYLLABLES}', "");
    Expect(1, 55216, '\P{--in_HANGUL_SYLLABLES}', "");
    Expect(0, 55216, '\P{^--in_HANGUL_SYLLABLES}', "");
    Error('\p{-/a/in_Hangul}');
    Error('\P{-/a/in_Hangul}');
    Expect(1, 55215, '\p{inhangul}', "");
    Expect(0, 55215, '\p{^inhangul}', "");
    Expect(0, 55215, '\P{inhangul}', "");
    Expect(1, 55215, '\P{^inhangul}', "");
    Expect(0, 55216, '\p{inhangul}', "");
    Expect(1, 55216, '\p{^inhangul}', "");
    Expect(1, 55216, '\P{inhangul}', "");
    Expect(0, 55216, '\P{^inhangul}', "");
    Expect(1, 55215, '\p{ IN_HANGUL}', "");
    Expect(0, 55215, '\p{^ IN_HANGUL}', "");
    Expect(0, 55215, '\P{ IN_HANGUL}', "");
    Expect(1, 55215, '\P{^ IN_HANGUL}', "");
    Expect(0, 55216, '\p{ IN_HANGUL}', "");
    Expect(1, 55216, '\p{^ IN_HANGUL}', "");
    Expect(1, 55216, '\P{ IN_HANGUL}', "");
    Expect(0, 55216, '\P{^ IN_HANGUL}', "");
    Error('\p{/a/		Hanifi_rohingya}');
    Error('\P{/a/		Hanifi_rohingya}');
    Expect(1, 68921, '\p{hanifirohingya}', "");
    Expect(0, 68921, '\p{^hanifirohingya}', "");
    Expect(0, 68921, '\P{hanifirohingya}', "");
    Expect(1, 68921, '\P{^hanifirohingya}', "");
    Expect(0, 68922, '\p{hanifirohingya}', "");
    Expect(1, 68922, '\p{^hanifirohingya}', "");
    Expect(1, 68922, '\P{hanifirohingya}', "");
    Expect(0, 68922, '\P{^hanifirohingya}', "");
    Expect(1, 68921, '\p{	_Hanifi_Rohingya}', "");
    Expect(0, 68921, '\p{^	_Hanifi_Rohingya}', "");
    Expect(0, 68921, '\P{	_Hanifi_Rohingya}', "");
    Expect(1, 68921, '\P{^	_Hanifi_Rohingya}', "");
    Expect(0, 68922, '\p{	_Hanifi_Rohingya}', "");
    Expect(1, 68922, '\p{^	_Hanifi_Rohingya}', "");
    Expect(1, 68922, '\P{	_Hanifi_Rohingya}', "");
    Expect(0, 68922, '\P{^	_Hanifi_Rohingya}', "");
    Error('\p{-	Is_Hanifi_rohingya/a/}');
    Error('\P{-	Is_Hanifi_rohingya/a/}');
    Expect(1, 68921, '\p{ishanifirohingya}', "");
    Expect(0, 68921, '\p{^ishanifirohingya}', "");
    Expect(0, 68921, '\P{ishanifirohingya}', "");
    Expect(1, 68921, '\P{^ishanifirohingya}', "");
    Expect(0, 68922, '\p{ishanifirohingya}', "");
    Expect(1, 68922, '\p{^ishanifirohingya}', "");
    Expect(1, 68922, '\P{ishanifirohingya}', "");
    Expect(0, 68922, '\P{^ishanifirohingya}', "");
    Expect(1, 68921, '\p{	IS_HANIFI_Rohingya}', "");
    Expect(0, 68921, '\p{^	IS_HANIFI_Rohingya}', "");
    Expect(0, 68921, '\P{	IS_HANIFI_Rohingya}', "");
    Expect(1, 68921, '\P{^	IS_HANIFI_Rohingya}', "");
    Expect(0, 68922, '\p{	IS_HANIFI_Rohingya}', "");
    Expect(1, 68922, '\p{^	IS_HANIFI_Rohingya}', "");
    Expect(1, 68922, '\P{	IS_HANIFI_Rohingya}', "");
    Expect(0, 68922, '\P{^	IS_HANIFI_Rohingya}', "");
    Error('\p{-:=Rohg}');
    Error('\P{-:=Rohg}');
    Expect(1, 68921, '\p{rohg}', "");
    Expect(0, 68921, '\p{^rohg}', "");
    Expect(0, 68921, '\P{rohg}', "");
    Expect(1, 68921, '\P{^rohg}', "");
    Expect(0, 68922, '\p{rohg}', "");
    Expect(1, 68922, '\p{^rohg}', "");
    Expect(1, 68922, '\P{rohg}', "");
    Expect(0, 68922, '\P{^rohg}', "");
    Expect(1, 68921, '\p{_ROHG}', "");
    Expect(0, 68921, '\p{^_ROHG}', "");
    Expect(0, 68921, '\P{_ROHG}', "");
    Expect(1, 68921, '\P{^_ROHG}', "");
    Expect(0, 68922, '\p{_ROHG}', "");
    Expect(1, 68922, '\p{^_ROHG}', "");
    Expect(1, 68922, '\P{_ROHG}', "");
    Expect(0, 68922, '\P{^_ROHG}', "");
    Error('\p{:=_Is_Rohg}');
    Error('\P{:=_Is_Rohg}');
    Expect(1, 68921, '\p{isrohg}', "");
    Expect(0, 68921, '\p{^isrohg}', "");
    Expect(0, 68921, '\P{isrohg}', "");
    Expect(1, 68921, '\P{^isrohg}', "");
    Expect(0, 68922, '\p{isrohg}', "");
    Expect(1, 68922, '\p{^isrohg}', "");
    Expect(1, 68922, '\P{isrohg}', "");
    Expect(0, 68922, '\P{^isrohg}', "");
    Expect(1, 68921, '\p{_Is_rohg}', "");
    Expect(0, 68921, '\p{^_Is_rohg}', "");
    Expect(0, 68921, '\P{_Is_rohg}', "");
    Expect(1, 68921, '\P{^_Is_rohg}', "");
    Expect(0, 68922, '\p{_Is_rohg}', "");
    Expect(1, 68922, '\p{^_Is_rohg}', "");
    Expect(1, 68922, '\P{_Is_rohg}', "");
    Expect(0, 68922, '\P{^_Is_rohg}', "");
    Error('\p{/a/hanunoo}');
    Error('\P{/a/hanunoo}');
    Expect(1, 5942, '\p{hanunoo}', "");
    Expect(0, 5942, '\p{^hanunoo}', "");
    Expect(0, 5942, '\P{hanunoo}', "");
    Expect(1, 5942, '\P{^hanunoo}', "");
    Expect(0, 5943, '\p{hanunoo}', "");
    Expect(1, 5943, '\p{^hanunoo}', "");
    Expect(1, 5943, '\P{hanunoo}', "");
    Expect(0, 5943, '\P{^hanunoo}', "");
    Expect(1, 5942, '\p{  Hanunoo}', "");
    Expect(0, 5942, '\p{^  Hanunoo}', "");
    Expect(0, 5942, '\P{  Hanunoo}', "");
    Expect(1, 5942, '\P{^  Hanunoo}', "");
    Expect(0, 5943, '\p{  Hanunoo}', "");
    Expect(1, 5943, '\p{^  Hanunoo}', "");
    Expect(1, 5943, '\P{  Hanunoo}', "");
    Expect(0, 5943, '\P{^  Hanunoo}', "");
    Error('\p{-_is_Hanunoo:=}');
    Error('\P{-_is_Hanunoo:=}');
    Expect(1, 5942, '\p{ishanunoo}', "");
    Expect(0, 5942, '\p{^ishanunoo}', "");
    Expect(0, 5942, '\P{ishanunoo}', "");
    Expect(1, 5942, '\P{^ishanunoo}', "");
    Expect(0, 5943, '\p{ishanunoo}', "");
    Expect(1, 5943, '\p{^ishanunoo}', "");
    Expect(1, 5943, '\P{ishanunoo}', "");
    Expect(0, 5943, '\P{^ishanunoo}', "");
    Expect(1, 5942, '\p{-is_Hanunoo}', "");
    Expect(0, 5942, '\p{^-is_Hanunoo}', "");
    Expect(0, 5942, '\P{-is_Hanunoo}', "");
    Expect(1, 5942, '\P{^-is_Hanunoo}', "");
    Expect(0, 5943, '\p{-is_Hanunoo}', "");
    Expect(1, 5943, '\p{^-is_Hanunoo}', "");
    Expect(1, 5943, '\P{-is_Hanunoo}', "");
    Expect(0, 5943, '\P{^-is_Hanunoo}', "");
    Error('\p{	/a/HANO}');
    Error('\P{	/a/HANO}');
    Expect(1, 5942, '\p{hano}', "");
    Expect(0, 5942, '\p{^hano}', "");
    Expect(0, 5942, '\P{hano}', "");
    Expect(1, 5942, '\P{^hano}', "");
    Expect(0, 5943, '\p{hano}', "");
    Expect(1, 5943, '\p{^hano}', "");
    Expect(1, 5943, '\P{hano}', "");
    Expect(0, 5943, '\P{^hano}', "");
    Expect(1, 5942, '\p{ hano}', "");
    Expect(0, 5942, '\p{^ hano}', "");
    Expect(0, 5942, '\P{ hano}', "");
    Expect(1, 5942, '\P{^ hano}', "");
    Expect(0, 5943, '\p{ hano}', "");
    Expect(1, 5943, '\p{^ hano}', "");
    Expect(1, 5943, '\P{ hano}', "");
    Expect(0, 5943, '\P{^ hano}', "");
    Error('\p{/a/IS_hano}');
    Error('\P{/a/IS_hano}');
    Expect(1, 5942, '\p{ishano}', "");
    Expect(0, 5942, '\p{^ishano}', "");
    Expect(0, 5942, '\P{ishano}', "");
    Expect(1, 5942, '\P{^ishano}', "");
    Expect(0, 5943, '\p{ishano}', "");
    Expect(1, 5943, '\p{^ishano}', "");
    Expect(1, 5943, '\P{ishano}', "");
    Expect(0, 5943, '\P{^ishano}', "");
    Expect(1, 5942, '\p{_IS_HANO}', "");
    Expect(0, 5942, '\p{^_IS_HANO}', "");
    Expect(0, 5942, '\P{_IS_HANO}', "");
    Expect(1, 5942, '\P{^_IS_HANO}', "");
    Expect(0, 5943, '\p{_IS_HANO}', "");
    Expect(1, 5943, '\p{^_IS_HANO}', "");
    Expect(1, 5943, '\P{_IS_HANO}', "");
    Expect(0, 5943, '\P{^_IS_HANO}', "");
    Error('\p{:=_ Hatran}');
    Error('\P{:=_ Hatran}');
    Expect(1, 67839, '\p{hatran}', "");
    Expect(0, 67839, '\p{^hatran}', "");
    Expect(0, 67839, '\P{hatran}', "");
    Expect(1, 67839, '\P{^hatran}', "");
    Expect(0, 67840, '\p{hatran}', "");
    Expect(1, 67840, '\p{^hatran}', "");
    Expect(1, 67840, '\P{hatran}', "");
    Expect(0, 67840, '\P{^hatran}', "");
    Expect(1, 67839, '\p{-	Hatran}', "");
    Expect(0, 67839, '\p{^-	Hatran}', "");
    Expect(0, 67839, '\P{-	Hatran}', "");
    Expect(1, 67839, '\P{^-	Hatran}', "");
    Expect(0, 67840, '\p{-	Hatran}', "");
    Expect(1, 67840, '\p{^-	Hatran}', "");
    Expect(1, 67840, '\P{-	Hatran}', "");
    Expect(0, 67840, '\P{^-	Hatran}', "");
    Error('\p{:=is_Hatran}');
    Error('\P{:=is_Hatran}');
    Expect(1, 67839, '\p{ishatran}', "");
    Expect(0, 67839, '\p{^ishatran}', "");
    Expect(0, 67839, '\P{ishatran}', "");
    Expect(1, 67839, '\P{^ishatran}', "");
    Expect(0, 67840, '\p{ishatran}', "");
    Expect(1, 67840, '\p{^ishatran}', "");
    Expect(1, 67840, '\P{ishatran}', "");
    Expect(0, 67840, '\P{^ishatran}', "");
    Expect(1, 67839, '\p{_	is_hatran}', "");
    Expect(0, 67839, '\p{^_	is_hatran}', "");
    Expect(0, 67839, '\P{_	is_hatran}', "");
    Expect(1, 67839, '\P{^_	is_hatran}', "");
    Expect(0, 67840, '\p{_	is_hatran}', "");
    Expect(1, 67840, '\p{^_	is_hatran}', "");
    Expect(1, 67840, '\P{_	is_hatran}', "");
    Expect(0, 67840, '\P{^_	is_hatran}', "");
    Error('\p{-/a/HATR}');
    Error('\P{-/a/HATR}');
    Expect(1, 67839, '\p{hatr}', "");
    Expect(0, 67839, '\p{^hatr}', "");
    Expect(0, 67839, '\P{hatr}', "");
    Expect(1, 67839, '\P{^hatr}', "");
    Expect(0, 67840, '\p{hatr}', "");
    Expect(1, 67840, '\p{^hatr}', "");
    Expect(1, 67840, '\P{hatr}', "");
    Expect(0, 67840, '\P{^hatr}', "");
    Expect(1, 67839, '\p{_	Hatr}', "");
    Expect(0, 67839, '\p{^_	Hatr}', "");
    Expect(0, 67839, '\P{_	Hatr}', "");
    Expect(1, 67839, '\P{^_	Hatr}', "");
    Expect(0, 67840, '\p{_	Hatr}', "");
    Expect(1, 67840, '\p{^_	Hatr}', "");
    Expect(1, 67840, '\P{_	Hatr}', "");
    Expect(0, 67840, '\P{^_	Hatr}', "");
    Error('\p{/a/--is_Hatr}');
    Error('\P{/a/--is_Hatr}');
    Expect(1, 67839, '\p{ishatr}', "");
    Expect(0, 67839, '\p{^ishatr}', "");
    Expect(0, 67839, '\P{ishatr}', "");
    Expect(1, 67839, '\P{^ishatr}', "");
    Expect(0, 67840, '\p{ishatr}', "");
    Expect(1, 67840, '\p{^ishatr}', "");
    Expect(1, 67840, '\P{ishatr}', "");
    Expect(0, 67840, '\P{^ishatr}', "");
    Expect(1, 67839, '\p{_Is_hatr}', "");
    Expect(0, 67839, '\p{^_Is_hatr}', "");
    Expect(0, 67839, '\P{_Is_hatr}', "");
    Expect(1, 67839, '\P{^_Is_hatr}', "");
    Expect(0, 67840, '\p{_Is_hatr}', "");
    Expect(1, 67840, '\p{^_Is_hatr}', "");
    Expect(1, 67840, '\P{_Is_hatr}', "");
    Expect(0, 67840, '\P{^_Is_hatr}', "");
    Error('\p{/a/-	Hebrew}');
    Error('\P{/a/-	Hebrew}');
    Expect(1, 64335, '\p{hebrew}', "");
    Expect(0, 64335, '\p{^hebrew}', "");
    Expect(0, 64335, '\P{hebrew}', "");
    Expect(1, 64335, '\P{^hebrew}', "");
    Expect(0, 64336, '\p{hebrew}', "");
    Expect(1, 64336, '\p{^hebrew}', "");
    Expect(1, 64336, '\P{hebrew}', "");
    Expect(0, 64336, '\P{^hebrew}', "");
    Expect(1, 64335, '\p{-_hebrew}', "");
    Expect(0, 64335, '\p{^-_hebrew}', "");
    Expect(0, 64335, '\P{-_hebrew}', "");
    Expect(1, 64335, '\P{^-_hebrew}', "");
    Expect(0, 64336, '\p{-_hebrew}', "");
    Expect(1, 64336, '\p{^-_hebrew}', "");
    Expect(1, 64336, '\P{-_hebrew}', "");
    Expect(0, 64336, '\P{^-_hebrew}', "");
    Error('\p{-	Is_hebrew:=}');
    Error('\P{-	Is_hebrew:=}');
    Expect(1, 64335, '\p{ishebrew}', "");
    Expect(0, 64335, '\p{^ishebrew}', "");
    Expect(0, 64335, '\P{ishebrew}', "");
    Expect(1, 64335, '\P{^ishebrew}', "");
    Expect(0, 64336, '\p{ishebrew}', "");
    Expect(1, 64336, '\p{^ishebrew}', "");
    Expect(1, 64336, '\P{ishebrew}', "");
    Expect(0, 64336, '\P{^ishebrew}', "");
    Expect(1, 64335, '\p{	-Is_hebrew}', "");
    Expect(0, 64335, '\p{^	-Is_hebrew}', "");
    Expect(0, 64335, '\P{	-Is_hebrew}', "");
    Expect(1, 64335, '\P{^	-Is_hebrew}', "");
    Expect(0, 64336, '\p{	-Is_hebrew}', "");
    Expect(1, 64336, '\p{^	-Is_hebrew}', "");
    Expect(1, 64336, '\P{	-Is_hebrew}', "");
    Expect(0, 64336, '\P{^	-Is_hebrew}', "");
    Error('\p{ hebr:=}');
    Error('\P{ hebr:=}');
    Expect(1, 64335, '\p{hebr}', "");
    Expect(0, 64335, '\p{^hebr}', "");
    Expect(0, 64335, '\P{hebr}', "");
    Expect(1, 64335, '\P{^hebr}', "");
    Expect(0, 64336, '\p{hebr}', "");
    Expect(1, 64336, '\p{^hebr}', "");
    Expect(1, 64336, '\P{hebr}', "");
    Expect(0, 64336, '\P{^hebr}', "");
    Expect(1, 64335, '\p{-_HEBR}', "");
    Expect(0, 64335, '\p{^-_HEBR}', "");
    Expect(0, 64335, '\P{-_HEBR}', "");
    Expect(1, 64335, '\P{^-_HEBR}', "");
    Expect(0, 64336, '\p{-_HEBR}', "");
    Expect(1, 64336, '\p{^-_HEBR}', "");
    Expect(1, 64336, '\P{-_HEBR}', "");
    Expect(0, 64336, '\P{^-_HEBR}', "");
    Error('\p{_:=is_Hebr}');
    Error('\P{_:=is_Hebr}');
    Expect(1, 64335, '\p{ishebr}', "");
    Expect(0, 64335, '\p{^ishebr}', "");
    Expect(0, 64335, '\P{ishebr}', "");
    Expect(1, 64335, '\P{^ishebr}', "");
    Expect(0, 64336, '\p{ishebr}', "");
    Expect(1, 64336, '\p{^ishebr}', "");
    Expect(1, 64336, '\P{ishebr}', "");
    Expect(0, 64336, '\P{^ishebr}', "");
    Expect(1, 64335, '\p{_	IS_Hebr}', "");
    Expect(0, 64335, '\p{^_	IS_Hebr}', "");
    Expect(0, 64335, '\P{_	IS_Hebr}', "");
    Expect(1, 64335, '\P{^_	IS_Hebr}', "");
    Expect(0, 64336, '\p{_	IS_Hebr}', "");
    Expect(1, 64336, '\p{^_	IS_Hebr}', "");
    Expect(1, 64336, '\P{_	IS_Hebr}', "");
    Expect(0, 64336, '\P{^_	IS_Hebr}', "");
    Error('\p{/a/-_High_private_use_surrogates}');
    Error('\P{/a/-_High_private_use_surrogates}');
    Expect(1, 56319, '\p{highprivateusesurrogates}', "");
    Expect(0, 56319, '\p{^highprivateusesurrogates}', "");
    Expect(0, 56319, '\P{highprivateusesurrogates}', "");
    Expect(1, 56319, '\P{^highprivateusesurrogates}', "");
    Expect(0, 57344, '\p{highprivateusesurrogates}', "");
    Expect(1, 57344, '\p{^highprivateusesurrogates}', "");
    Expect(1, 57344, '\P{highprivateusesurrogates}', "");
    Expect(0, 57344, '\P{^highprivateusesurrogates}', "");
    Expect(1, 56319, '\p{ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Expect(0, 56319, '\p{^ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Expect(0, 56319, '\P{ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Expect(1, 56319, '\P{^ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Expect(0, 57344, '\p{ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Expect(1, 57344, '\p{^ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Expect(1, 57344, '\P{ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Expect(0, 57344, '\P{^ 	HIGH_PRIVATE_Use_SURROGATES}', "");
    Error('\p{	:=Is_High_Private_USE_Surrogates}');
    Error('\P{	:=Is_High_Private_USE_Surrogates}');
    Expect(1, 56319, '\p{ishighprivateusesurrogates}', "");
    Expect(0, 56319, '\p{^ishighprivateusesurrogates}', "");
    Expect(0, 56319, '\P{ishighprivateusesurrogates}', "");
    Expect(1, 56319, '\P{^ishighprivateusesurrogates}', "");
    Expect(0, 57344, '\p{ishighprivateusesurrogates}', "");
    Expect(1, 57344, '\p{^ishighprivateusesurrogates}', "");
    Expect(1, 57344, '\P{ishighprivateusesurrogates}', "");
    Expect(0, 57344, '\P{^ishighprivateusesurrogates}', "");
    Expect(1, 56319, '\p{Is_High_private_use_SURROGATES}', "");
    Expect(0, 56319, '\p{^Is_High_private_use_SURROGATES}', "");
    Expect(0, 56319, '\P{Is_High_private_use_SURROGATES}', "");
    Expect(1, 56319, '\P{^Is_High_private_use_SURROGATES}', "");
    Expect(0, 57344, '\p{Is_High_private_use_SURROGATES}', "");
    Expect(1, 57344, '\p{^Is_High_private_use_SURROGATES}', "");
    Expect(1, 57344, '\P{Is_High_private_use_SURROGATES}', "");
    Expect(0, 57344, '\P{^Is_High_private_use_SURROGATES}', "");
    Error('\p{	/a/in_high_Private_use_Surrogates}');
    Error('\P{	/a/in_high_Private_use_Surrogates}');
    Expect(1, 56319, '\p{inhighprivateusesurrogates}', "");
    Expect(0, 56319, '\p{^inhighprivateusesurrogates}', "");
    Expect(0, 56319, '\P{inhighprivateusesurrogates}', "");
    Expect(1, 56319, '\P{^inhighprivateusesurrogates}', "");
    Expect(0, 57344, '\p{inhighprivateusesurrogates}', "");
    Expect(1, 57344, '\p{^inhighprivateusesurrogates}', "");
    Expect(1, 57344, '\P{inhighprivateusesurrogates}', "");
    Expect(0, 57344, '\P{^inhighprivateusesurrogates}', "");
    Expect(1, 56319, '\p{In_High_Private_Use_SURROGATES}', "");
    Expect(0, 56319, '\p{^In_High_Private_Use_SURROGATES}', "");
    Expect(0, 56319, '\P{In_High_Private_Use_SURROGATES}', "");
    Expect(1, 56319, '\P{^In_High_Private_Use_SURROGATES}', "");
    Expect(0, 57344, '\p{In_High_Private_Use_SURROGATES}', "");
    Expect(1, 57344, '\p{^In_High_Private_Use_SURROGATES}', "");
    Expect(1, 57344, '\P{In_High_Private_Use_SURROGATES}', "");
    Expect(0, 57344, '\P{^In_High_Private_Use_SURROGATES}', "");
    Error('\p{/a/_HIGH_PU_Surrogates}');
    Error('\P{/a/_HIGH_PU_Surrogates}');
    Expect(1, 56319, '\p{highpusurrogates}', "");
    Expect(0, 56319, '\p{^highpusurrogates}', "");
    Expect(0, 56319, '\P{highpusurrogates}', "");
    Expect(1, 56319, '\P{^highpusurrogates}', "");
    Expect(0, 57344, '\p{highpusurrogates}', "");
    Expect(1, 57344, '\p{^highpusurrogates}', "");
    Expect(1, 57344, '\P{highpusurrogates}', "");
    Expect(0, 57344, '\P{^highpusurrogates}', "");
    Expect(1, 56319, '\p{-high_PU_SURROGATES}', "");
    Expect(0, 56319, '\p{^-high_PU_SURROGATES}', "");
    Expect(0, 56319, '\P{-high_PU_SURROGATES}', "");
    Expect(1, 56319, '\P{^-high_PU_SURROGATES}', "");
    Expect(0, 57344, '\p{-high_PU_SURROGATES}', "");
    Expect(1, 57344, '\p{^-high_PU_SURROGATES}', "");
    Expect(1, 57344, '\P{-high_PU_SURROGATES}', "");
    Expect(0, 57344, '\P{^-high_PU_SURROGATES}', "");
    Error('\p{	-Is_High_PU_Surrogates:=}');
    Error('\P{	-Is_High_PU_Surrogates:=}');
    Expect(1, 56319, '\p{ishighpusurrogates}', "");
    Expect(0, 56319, '\p{^ishighpusurrogates}', "");
    Expect(0, 56319, '\P{ishighpusurrogates}', "");
    Expect(1, 56319, '\P{^ishighpusurrogates}', "");
    Expect(0, 57344, '\p{ishighpusurrogates}', "");
    Expect(1, 57344, '\p{^ishighpusurrogates}', "");
    Expect(1, 57344, '\P{ishighpusurrogates}', "");
    Expect(0, 57344, '\P{^ishighpusurrogates}', "");
    Expect(1, 56319, '\p{_	is_High_PU_Surrogates}', "");
    Expect(0, 56319, '\p{^_	is_High_PU_Surrogates}', "");
    Expect(0, 56319, '\P{_	is_High_PU_Surrogates}', "");
    Expect(1, 56319, '\P{^_	is_High_PU_Surrogates}', "");
    Expect(0, 57344, '\p{_	is_High_PU_Surrogates}', "");
    Expect(1, 57344, '\p{^_	is_High_PU_Surrogates}', "");
    Expect(1, 57344, '\P{_	is_High_PU_Surrogates}', "");
    Expect(0, 57344, '\P{^_	is_High_PU_Surrogates}', "");
    Error('\p{_:=In_high_PU_Surrogates}');
    Error('\P{_:=In_high_PU_Surrogates}');
    Expect(1, 56319, '\p{inhighpusurrogates}', "");
    Expect(0, 56319, '\p{^inhighpusurrogates}', "");
    Expect(0, 56319, '\P{inhighpusurrogates}', "");
    Expect(1, 56319, '\P{^inhighpusurrogates}', "");
    Expect(0, 57344, '\p{inhighpusurrogates}', "");
    Expect(1, 57344, '\p{^inhighpusurrogates}', "");
    Expect(1, 57344, '\P{inhighpusurrogates}', "");
    Expect(0, 57344, '\P{^inhighpusurrogates}', "");
    Expect(1, 56319, '\p{_in_High_PU_Surrogates}', "");
    Expect(0, 56319, '\p{^_in_High_PU_Surrogates}', "");
    Expect(0, 56319, '\P{_in_High_PU_Surrogates}', "");
    Expect(1, 56319, '\P{^_in_High_PU_Surrogates}', "");
    Expect(0, 57344, '\p{_in_High_PU_Surrogates}', "");
    Expect(1, 57344, '\p{^_in_High_PU_Surrogates}', "");
    Expect(1, 57344, '\P{_in_High_PU_Surrogates}', "");
    Expect(0, 57344, '\P{^_in_High_PU_Surrogates}', "");
    Error('\p{	:=high_Surrogates}');
    Error('\P{	:=high_Surrogates}');
    Expect(1, 56191, '\p{highsurrogates}', "");
    Expect(0, 56191, '\p{^highsurrogates}', "");
    Expect(0, 56191, '\P{highsurrogates}', "");
    Expect(1, 56191, '\P{^highsurrogates}', "");
    Expect(0, 57344, '\p{highsurrogates}', "");
    Expect(1, 57344, '\p{^highsurrogates}', "");
    Expect(1, 57344, '\P{highsurrogates}', "");
    Expect(0, 57344, '\P{^highsurrogates}', "");
    Expect(1, 56191, '\p{ _HIGH_SURROGATES}', "");
    Expect(0, 56191, '\p{^ _HIGH_SURROGATES}', "");
    Expect(0, 56191, '\P{ _HIGH_SURROGATES}', "");
    Expect(1, 56191, '\P{^ _HIGH_SURROGATES}', "");
    Expect(0, 57344, '\p{ _HIGH_SURROGATES}', "");
    Expect(1, 57344, '\p{^ _HIGH_SURROGATES}', "");
    Expect(1, 57344, '\P{ _HIGH_SURROGATES}', "");
    Expect(0, 57344, '\P{^ _HIGH_SURROGATES}', "");
    Error('\p{ /a/IS_high_surrogates}');
    Error('\P{ /a/IS_high_surrogates}');
    Expect(1, 56191, '\p{ishighsurrogates}', "");
    Expect(0, 56191, '\p{^ishighsurrogates}', "");
    Expect(0, 56191, '\P{ishighsurrogates}', "");
    Expect(1, 56191, '\P{^ishighsurrogates}', "");
    Expect(0, 57344, '\p{ishighsurrogates}', "");
    Expect(1, 57344, '\p{^ishighsurrogates}', "");
    Expect(1, 57344, '\P{ishighsurrogates}', "");
    Expect(0, 57344, '\P{^ishighsurrogates}', "");
    Expect(1, 56191, '\p{	_is_high_SURROGATES}', "");
    Expect(0, 56191, '\p{^	_is_high_SURROGATES}', "");
    Expect(0, 56191, '\P{	_is_high_SURROGATES}', "");
    Expect(1, 56191, '\P{^	_is_high_SURROGATES}', "");
    Expect(0, 57344, '\p{	_is_high_SURROGATES}', "");
    Expect(1, 57344, '\p{^	_is_high_SURROGATES}', "");
    Expect(1, 57344, '\P{	_is_high_SURROGATES}', "");
    Expect(0, 57344, '\P{^	_is_high_SURROGATES}', "");
    Error('\p{	In_High_surrogates/a/}');
    Error('\P{	In_High_surrogates/a/}');
    Expect(1, 56191, '\p{inhighsurrogates}', "");
    Expect(0, 56191, '\p{^inhighsurrogates}', "");
    Expect(0, 56191, '\P{inhighsurrogates}', "");
    Expect(1, 56191, '\P{^inhighsurrogates}', "");
    Expect(0, 57344, '\p{inhighsurrogates}', "");
    Expect(1, 57344, '\p{^inhighsurrogates}', "");
    Expect(1, 57344, '\P{inhighsurrogates}', "");
    Expect(0, 57344, '\P{^inhighsurrogates}', "");
    Expect(1, 56191, '\p{-_In_High_Surrogates}', "");
    Expect(0, 56191, '\p{^-_In_High_Surrogates}', "");
    Expect(0, 56191, '\P{-_In_High_Surrogates}', "");
    Expect(1, 56191, '\P{^-_In_High_Surrogates}', "");
    Expect(0, 57344, '\p{-_In_High_Surrogates}', "");
    Expect(1, 57344, '\p{^-_In_High_Surrogates}', "");
    Expect(1, 57344, '\P{-_In_High_Surrogates}', "");
    Expect(0, 57344, '\P{^-_In_High_Surrogates}', "");
    Error('\p{:=	-Hiragana}');
    Error('\P{:=	-Hiragana}');
    Expect(1, 127488, '\p{hiragana}', "");
    Expect(0, 127488, '\p{^hiragana}', "");
    Expect(0, 127488, '\P{hiragana}', "");
    Expect(1, 127488, '\P{^hiragana}', "");
    Expect(0, 127489, '\p{hiragana}', "");
    Expect(1, 127489, '\p{^hiragana}', "");
    Expect(1, 127489, '\P{hiragana}', "");
    Expect(0, 127489, '\P{^hiragana}', "");
    Expect(1, 127488, '\p{- HIRAGANA}', "");
    Expect(0, 127488, '\p{^- HIRAGANA}', "");
    Expect(0, 127488, '\P{- HIRAGANA}', "");
    Expect(1, 127488, '\P{^- HIRAGANA}', "");
    Expect(0, 127489, '\p{- HIRAGANA}', "");
    Expect(1, 127489, '\p{^- HIRAGANA}', "");
    Expect(1, 127489, '\P{- HIRAGANA}', "");
    Expect(0, 127489, '\P{^- HIRAGANA}', "");
    Error('\p{/a/ Is_Hiragana}');
    Error('\P{/a/ Is_Hiragana}');
    Expect(1, 127488, '\p{ishiragana}', "");
    Expect(0, 127488, '\p{^ishiragana}', "");
    Expect(0, 127488, '\P{ishiragana}', "");
    Expect(1, 127488, '\P{^ishiragana}', "");
    Expect(0, 127489, '\p{ishiragana}', "");
    Expect(1, 127489, '\p{^ishiragana}', "");
    Expect(1, 127489, '\P{ishiragana}', "");
    Expect(0, 127489, '\P{^ishiragana}', "");
    Expect(1, 127488, '\p{		IS_hiragana}', "");
    Expect(0, 127488, '\p{^		IS_hiragana}', "");
    Expect(0, 127488, '\P{		IS_hiragana}', "");
    Expect(1, 127488, '\P{^		IS_hiragana}', "");
    Expect(0, 127489, '\p{		IS_hiragana}', "");
    Expect(1, 127489, '\p{^		IS_hiragana}', "");
    Expect(1, 127489, '\P{		IS_hiragana}', "");
    Expect(0, 127489, '\P{^		IS_hiragana}', "");
    Error('\p{/a/Hira}');
    Error('\P{/a/Hira}');
    Expect(1, 127488, '\p{hira}', "");
    Expect(0, 127488, '\p{^hira}', "");
    Expect(0, 127488, '\P{hira}', "");
    Expect(1, 127488, '\P{^hira}', "");
    Expect(0, 127489, '\p{hira}', "");
    Expect(1, 127489, '\p{^hira}', "");
    Expect(1, 127489, '\P{hira}', "");
    Expect(0, 127489, '\P{^hira}', "");
    Expect(1, 127488, '\p{ HIRA}', "");
    Expect(0, 127488, '\p{^ HIRA}', "");
    Expect(0, 127488, '\P{ HIRA}', "");
    Expect(1, 127488, '\P{^ HIRA}', "");
    Expect(0, 127489, '\p{ HIRA}', "");
    Expect(1, 127489, '\p{^ HIRA}', "");
    Expect(1, 127489, '\P{ HIRA}', "");
    Expect(0, 127489, '\P{^ HIRA}', "");
    Error('\p{-:=IS_Hira}');
    Error('\P{-:=IS_Hira}');
    Expect(1, 127488, '\p{ishira}', "");
    Expect(0, 127488, '\p{^ishira}', "");
    Expect(0, 127488, '\P{ishira}', "");
    Expect(1, 127488, '\P{^ishira}', "");
    Expect(0, 127489, '\p{ishira}', "");
    Expect(1, 127489, '\p{^ishira}', "");
    Expect(1, 127489, '\P{ishira}', "");
    Expect(0, 127489, '\P{^ishira}', "");
    Expect(1, 127488, '\p{	 is_HIRA}', "");
    Expect(0, 127488, '\p{^	 is_HIRA}', "");
    Expect(0, 127488, '\P{	 is_HIRA}', "");
    Expect(1, 127488, '\P{^	 is_HIRA}', "");
    Expect(0, 127489, '\p{	 is_HIRA}', "");
    Expect(1, 127489, '\p{^	 is_HIRA}', "");
    Expect(1, 127489, '\P{	 is_HIRA}', "");
    Expect(0, 127489, '\P{^	 is_HIRA}', "");
    Error('\p{:=_-Hyphen}');
    Error('\P{:=_-Hyphen}');
    Expect(1, 65381, '\p{hyphen}', 'deprecated');
    Expect(0, 65381, '\p{^hyphen}', 'deprecated');
    Expect(0, 65381, '\P{hyphen}', 'deprecated');
    Expect(1, 65381, '\P{^hyphen}', 'deprecated');
    Expect(0, 65382, '\p{hyphen}', 'deprecated');
    Expect(1, 65382, '\p{^hyphen}', 'deprecated');
    Expect(1, 65382, '\P{hyphen}', 'deprecated');
    Expect(0, 65382, '\P{^hyphen}', 'deprecated');
    Expect(1, 65381, '\p{ -hyphen}', 'deprecated');
    Expect(0, 65381, '\p{^ -hyphen}', 'deprecated');
    Expect(0, 65381, '\P{ -hyphen}', 'deprecated');
    Expect(1, 65381, '\P{^ -hyphen}', 'deprecated');
    Expect(0, 65382, '\p{ -hyphen}', 'deprecated');
    Expect(1, 65382, '\p{^ -hyphen}', 'deprecated');
    Expect(1, 65382, '\P{ -hyphen}', 'deprecated');
    Expect(0, 65382, '\P{^ -hyphen}', 'deprecated');
    Error('\p{_IS_Hyphen/a/}');
    Error('\P{_IS_Hyphen/a/}');
    Expect(1, 65381, '\p{ishyphen}', 'deprecated');
    Expect(0, 65381, '\p{^ishyphen}', 'deprecated');
    Expect(0, 65381, '\P{ishyphen}', 'deprecated');
    Expect(1, 65381, '\P{^ishyphen}', 'deprecated');
    Expect(0, 65382, '\p{ishyphen}', 'deprecated');
    Expect(1, 65382, '\p{^ishyphen}', 'deprecated');
    Expect(1, 65382, '\P{ishyphen}', 'deprecated');
    Expect(0, 65382, '\P{^ishyphen}', 'deprecated');
    Expect(1, 65381, '\p{	Is_Hyphen}', 'deprecated');
    Expect(0, 65381, '\p{^	Is_Hyphen}', 'deprecated');
    Expect(0, 65381, '\P{	Is_Hyphen}', 'deprecated');
    Expect(1, 65381, '\P{^	Is_Hyphen}', 'deprecated');
    Expect(0, 65382, '\p{	Is_Hyphen}', 'deprecated');
    Expect(1, 65382, '\p{^	Is_Hyphen}', 'deprecated');
    Expect(1, 65382, '\P{	Is_Hyphen}', 'deprecated');
    Expect(0, 65382, '\P{^	Is_Hyphen}', 'deprecated');
    Error('\p{__ID_CONTINUE:=}');
    Error('\P{__ID_CONTINUE:=}');
    Expect(1, 917999, '\p{idcontinue}', "");
    Expect(0, 917999, '\p{^idcontinue}', "");
    Expect(0, 917999, '\P{idcontinue}', "");
    Expect(1, 917999, '\P{^idcontinue}', "");
    Expect(0, 918000, '\p{idcontinue}', "");
    Expect(1, 918000, '\p{^idcontinue}', "");
    Expect(1, 918000, '\P{idcontinue}', "");
    Expect(0, 918000, '\P{^idcontinue}', "");
    Expect(1, 917999, '\p{ ID_continue}', "");
    Expect(0, 917999, '\p{^ ID_continue}', "");
    Expect(0, 917999, '\P{ ID_continue}', "");
    Expect(1, 917999, '\P{^ ID_continue}', "");
    Expect(0, 918000, '\p{ ID_continue}', "");
    Expect(1, 918000, '\p{^ ID_continue}', "");
    Expect(1, 918000, '\P{ ID_continue}', "");
    Expect(0, 918000, '\P{^ ID_continue}', "");
    Error('\p{	:=Is_ID_continue}');
    Error('\P{	:=Is_ID_continue}');
    Expect(1, 917999, '\p{isidcontinue}', "");
    Expect(0, 917999, '\p{^isidcontinue}', "");
    Expect(0, 917999, '\P{isidcontinue}', "");
    Expect(1, 917999, '\P{^isidcontinue}', "");
    Expect(0, 918000, '\p{isidcontinue}', "");
    Expect(1, 918000, '\p{^isidcontinue}', "");
    Expect(1, 918000, '\P{isidcontinue}', "");
    Expect(0, 918000, '\P{^isidcontinue}', "");
    Expect(1, 917999, '\p{ 	Is_ID_Continue}', "");
    Expect(0, 917999, '\p{^ 	Is_ID_Continue}', "");
    Expect(0, 917999, '\P{ 	Is_ID_Continue}', "");
    Expect(1, 917999, '\P{^ 	Is_ID_Continue}', "");
    Expect(0, 918000, '\p{ 	Is_ID_Continue}', "");
    Expect(1, 918000, '\p{^ 	Is_ID_Continue}', "");
    Expect(1, 918000, '\P{ 	Is_ID_Continue}', "");
    Expect(0, 918000, '\P{^ 	Is_ID_Continue}', "");
    Error('\p{_/a/IDC}');
    Error('\P{_/a/IDC}');
    Expect(1, 917999, '\p{idc}', "");
    Expect(0, 917999, '\p{^idc}', "");
    Expect(0, 917999, '\P{idc}', "");
    Expect(1, 917999, '\P{^idc}', "");
    Expect(0, 918000, '\p{idc}', "");
    Expect(1, 918000, '\p{^idc}', "");
    Expect(1, 918000, '\P{idc}', "");
    Expect(0, 918000, '\P{^idc}', "");
    Expect(1, 917999, '\p{_IDC}', "");
    Expect(0, 917999, '\p{^_IDC}', "");
    Expect(0, 917999, '\P{_IDC}', "");
    Expect(1, 917999, '\P{^_IDC}', "");
    Expect(0, 918000, '\p{_IDC}', "");
    Expect(1, 918000, '\p{^_IDC}', "");
    Expect(1, 918000, '\P{_IDC}', "");
    Expect(0, 918000, '\P{^_IDC}', "");
    Error('\p{-/a/IS_IDC}');
    Error('\P{-/a/IS_IDC}');
    Expect(1, 917999, '\p{isidc}', "");
    Expect(0, 917999, '\p{^isidc}', "");
    Expect(0, 917999, '\P{isidc}', "");
    Expect(1, 917999, '\P{^isidc}', "");
    Expect(0, 918000, '\p{isidc}', "");
    Expect(1, 918000, '\p{^isidc}', "");
    Expect(1, 918000, '\P{isidc}', "");
    Expect(0, 918000, '\P{^isidc}', "");
    Expect(1, 917999, '\p{ IS_IDC}', "");
    Expect(0, 917999, '\p{^ IS_IDC}', "");
    Expect(0, 917999, '\P{ IS_IDC}', "");
    Expect(1, 917999, '\P{^ IS_IDC}', "");
    Expect(0, 918000, '\p{ IS_IDC}', "");
    Expect(1, 918000, '\p{^ IS_IDC}', "");
    Expect(1, 918000, '\P{ IS_IDC}', "");
    Expect(0, 918000, '\P{^ IS_IDC}', "");
    Error('\p{ :=id_START}');
    Error('\P{ :=id_START}');
    Expect(1, 201546, '\p{idstart}', "");
    Expect(0, 201546, '\p{^idstart}', "");
    Expect(0, 201546, '\P{idstart}', "");
    Expect(1, 201546, '\P{^idstart}', "");
    Expect(0, 201547, '\p{idstart}', "");
    Expect(1, 201547, '\p{^idstart}', "");
    Expect(1, 201547, '\P{idstart}', "");
    Expect(0, 201547, '\P{^idstart}', "");
    Expect(1, 201546, '\p{	ID_start}', "");
    Expect(0, 201546, '\p{^	ID_start}', "");
    Expect(0, 201546, '\P{	ID_start}', "");
    Expect(1, 201546, '\P{^	ID_start}', "");
    Expect(0, 201547, '\p{	ID_start}', "");
    Expect(1, 201547, '\p{^	ID_start}', "");
    Expect(1, 201547, '\P{	ID_start}', "");
    Expect(0, 201547, '\P{^	ID_start}', "");
    Error('\p{:=-is_id_Start}');
    Error('\P{:=-is_id_Start}');
    Expect(1, 201546, '\p{isidstart}', "");
    Expect(0, 201546, '\p{^isidstart}', "");
    Expect(0, 201546, '\P{isidstart}', "");
    Expect(1, 201546, '\P{^isidstart}', "");
    Expect(0, 201547, '\p{isidstart}', "");
    Expect(1, 201547, '\p{^isidstart}', "");
    Expect(1, 201547, '\P{isidstart}', "");
    Expect(0, 201547, '\P{^isidstart}', "");
    Expect(1, 201546, '\p{	Is_ID_START}', "");
    Expect(0, 201546, '\p{^	Is_ID_START}', "");
    Expect(0, 201546, '\P{	Is_ID_START}', "");
    Expect(1, 201546, '\P{^	Is_ID_START}', "");
    Expect(0, 201547, '\p{	Is_ID_START}', "");
    Expect(1, 201547, '\p{^	Is_ID_START}', "");
    Expect(1, 201547, '\P{	Is_ID_START}', "");
    Expect(0, 201547, '\P{^	Is_ID_START}', "");
    Error('\p{ _IDS:=}');
    Error('\P{ _IDS:=}');
    Expect(1, 201546, '\p{ids}', "");
    Expect(0, 201546, '\p{^ids}', "");
    Expect(0, 201546, '\P{ids}', "");
    Expect(1, 201546, '\P{^ids}', "");
    Expect(0, 201547, '\p{ids}', "");
    Expect(1, 201547, '\p{^ids}', "");
    Expect(1, 201547, '\P{ids}', "");
    Expect(0, 201547, '\P{^ids}', "");
    Expect(1, 201546, '\p{IDS}', "");
    Expect(0, 201546, '\p{^IDS}', "");
    Expect(0, 201546, '\P{IDS}', "");
    Expect(1, 201546, '\P{^IDS}', "");
    Expect(0, 201547, '\p{IDS}', "");
    Expect(1, 201547, '\p{^IDS}', "");
    Expect(1, 201547, '\P{IDS}', "");
    Expect(0, 201547, '\P{^IDS}', "");
    Error('\p{/a/Is_IDS}');
    Error('\P{/a/Is_IDS}');
    Expect(1, 201546, '\p{isids}', "");
    Expect(0, 201546, '\p{^isids}', "");
    Expect(0, 201546, '\P{isids}', "");
    Expect(1, 201546, '\P{^isids}', "");
    Expect(0, 201547, '\p{isids}', "");
    Expect(1, 201547, '\p{^isids}', "");
    Expect(1, 201547, '\P{isids}', "");
    Expect(0, 201547, '\P{^isids}', "");
    Expect(1, 201546, '\p{_is_IDS}', "");
    Expect(0, 201546, '\p{^_is_IDS}', "");
    Expect(0, 201546, '\P{_is_IDS}', "");
    Expect(1, 201546, '\P{^_is_IDS}', "");
    Expect(0, 201547, '\p{_is_IDS}', "");
    Expect(1, 201547, '\p{^_is_IDS}', "");
    Expect(1, 201547, '\P{_is_IDS}', "");
    Expect(0, 201547, '\P{^_is_IDS}', "");
    Error('\p{	:=IDEOGRAPHIC}');
    Error('\P{	:=IDEOGRAPHIC}');
    Expect(1, 201546, '\p{ideographic}', "");
    Expect(0, 201546, '\p{^ideographic}', "");
    Expect(0, 201546, '\P{ideographic}', "");
    Expect(1, 201546, '\P{^ideographic}', "");
    Expect(0, 201547, '\p{ideographic}', "");
    Expect(1, 201547, '\p{^ideographic}', "");
    Expect(1, 201547, '\P{ideographic}', "");
    Expect(0, 201547, '\P{^ideographic}', "");
    Expect(1, 201546, '\p{ 	Ideographic}', "");
    Expect(0, 201546, '\p{^ 	Ideographic}', "");
    Expect(0, 201546, '\P{ 	Ideographic}', "");
    Expect(1, 201546, '\P{^ 	Ideographic}', "");
    Expect(0, 201547, '\p{ 	Ideographic}', "");
    Expect(1, 201547, '\p{^ 	Ideographic}', "");
    Expect(1, 201547, '\P{ 	Ideographic}', "");
    Expect(0, 201547, '\P{^ 	Ideographic}', "");
    Error('\p{/a/is_IDEOGRAPHIC}');
    Error('\P{/a/is_IDEOGRAPHIC}');
    Expect(1, 201546, '\p{isideographic}', "");
    Expect(0, 201546, '\p{^isideographic}', "");
    Expect(0, 201546, '\P{isideographic}', "");
    Expect(1, 201546, '\P{^isideographic}', "");
    Expect(0, 201547, '\p{isideographic}', "");
    Expect(1, 201547, '\p{^isideographic}', "");
    Expect(1, 201547, '\P{isideographic}', "");
    Expect(0, 201547, '\P{^isideographic}', "");
    Expect(1, 201546, '\p{-_Is_Ideographic}', "");
    Expect(0, 201546, '\p{^-_Is_Ideographic}', "");
    Expect(0, 201546, '\P{-_Is_Ideographic}', "");
    Expect(1, 201546, '\P{^-_Is_Ideographic}', "");
    Expect(0, 201547, '\p{-_Is_Ideographic}', "");
    Expect(1, 201547, '\p{^-_Is_Ideographic}', "");
    Expect(1, 201547, '\P{-_Is_Ideographic}', "");
    Expect(0, 201547, '\P{^-_Is_Ideographic}', "");
    Error('\p{_/a/ideo}');
    Error('\P{_/a/ideo}');
    Expect(1, 201546, '\p{ideo}', "");
    Expect(0, 201546, '\p{^ideo}', "");
    Expect(0, 201546, '\P{ideo}', "");
    Expect(1, 201546, '\P{^ideo}', "");
    Expect(0, 201547, '\p{ideo}', "");
    Expect(1, 201547, '\p{^ideo}', "");
    Expect(1, 201547, '\P{ideo}', "");
    Expect(0, 201547, '\P{^ideo}', "");
    Expect(1, 201546, '\p{  Ideo}', "");
    Expect(0, 201546, '\p{^  Ideo}', "");
    Expect(0, 201546, '\P{  Ideo}', "");
    Expect(1, 201546, '\P{^  Ideo}', "");
    Expect(0, 201547, '\p{  Ideo}', "");
    Expect(1, 201547, '\p{^  Ideo}', "");
    Expect(1, 201547, '\P{  Ideo}', "");
    Expect(0, 201547, '\P{^  Ideo}', "");
    Error('\p{/a/--Is_ideo}');
    Error('\P{/a/--Is_ideo}');
    Expect(1, 201546, '\p{isideo}', "");
    Expect(0, 201546, '\p{^isideo}', "");
    Expect(0, 201546, '\P{isideo}', "");
    Expect(1, 201546, '\P{^isideo}', "");
    Expect(0, 201547, '\p{isideo}', "");
    Expect(1, 201547, '\p{^isideo}', "");
    Expect(1, 201547, '\P{isideo}', "");
    Expect(0, 201547, '\P{^isideo}', "");
    Expect(1, 201546, '\p{-_is_Ideo}', "");
    Expect(0, 201546, '\p{^-_is_Ideo}', "");
    Expect(0, 201546, '\P{-_is_Ideo}', "");
    Expect(1, 201546, '\P{^-_is_Ideo}', "");
    Expect(0, 201547, '\p{-_is_Ideo}', "");
    Expect(1, 201547, '\p{^-_is_Ideo}', "");
    Expect(1, 201547, '\P{-_is_Ideo}', "");
    Expect(0, 201547, '\P{^-_is_Ideo}', "");
    Error('\p{/a/IDEOGRAPHIC_Description_characters}');
    Error('\P{/a/IDEOGRAPHIC_Description_characters}');
    Expect(1, 12287, '\p{ideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\p{^ideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\P{ideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\P{^ideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\p{ideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\p{^ideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\P{ideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\P{^ideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\p{_	Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12287, '\p{^_	Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12287, '\P{_	Ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12287, '\P{^_	Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12288, '\p{_	Ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12288, '\p{^_	Ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12288, '\P{_	Ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12288, '\P{^_	Ideographic_DESCRIPTION_characters}', "");
    Error('\p{:=	 Is_IDEOGRAPHIC_Description_CHARACTERS}');
    Error('\P{:=	 Is_IDEOGRAPHIC_Description_CHARACTERS}');
    Expect(1, 12287, '\p{isideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\p{^isideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\P{isideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\P{^isideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\p{isideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\p{^isideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\P{isideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\P{^isideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\p{ _IS_Ideographic_Description_characters}', "");
    Expect(0, 12287, '\p{^ _IS_Ideographic_Description_characters}', "");
    Expect(0, 12287, '\P{ _IS_Ideographic_Description_characters}', "");
    Expect(1, 12287, '\P{^ _IS_Ideographic_Description_characters}', "");
    Expect(0, 12288, '\p{ _IS_Ideographic_Description_characters}', "");
    Expect(1, 12288, '\p{^ _IS_Ideographic_Description_characters}', "");
    Expect(1, 12288, '\P{ _IS_Ideographic_Description_characters}', "");
    Expect(0, 12288, '\P{^ _IS_Ideographic_Description_characters}', "");
    Error('\p{/a/ In_Ideographic_description_characters}');
    Error('\P{/a/ In_Ideographic_description_characters}');
    Expect(1, 12287, '\p{inideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\p{^inideographicdescriptioncharacters}', "");
    Expect(0, 12287, '\P{inideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\P{^inideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\p{inideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\p{^inideographicdescriptioncharacters}', "");
    Expect(1, 12288, '\P{inideographicdescriptioncharacters}', "");
    Expect(0, 12288, '\P{^inideographicdescriptioncharacters}', "");
    Expect(1, 12287, '\p{	in_ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12287, '\p{^	in_ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12287, '\P{	in_ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12287, '\P{^	in_ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12288, '\p{	in_ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12288, '\p{^	in_ideographic_DESCRIPTION_characters}', "");
    Expect(1, 12288, '\P{	in_ideographic_DESCRIPTION_characters}', "");
    Expect(0, 12288, '\P{^	in_ideographic_DESCRIPTION_characters}', "");
    Error('\p{:=-_in_IDC}');
    Error('\P{:=-_in_IDC}');
    Expect(1, 12287, '\p{inidc}', "");
    Expect(0, 12287, '\p{^inidc}', "");
    Expect(0, 12287, '\P{inidc}', "");
    Expect(1, 12287, '\P{^inidc}', "");
    Expect(0, 12288, '\p{inidc}', "");
    Expect(1, 12288, '\p{^inidc}', "");
    Expect(1, 12288, '\P{inidc}', "");
    Expect(0, 12288, '\P{^inidc}', "");
    Expect(1, 12287, '\p{__In_idc}', "");
    Expect(0, 12287, '\p{^__In_idc}', "");
    Expect(0, 12287, '\P{__In_idc}', "");
    Expect(1, 12287, '\P{^__In_idc}', "");
    Expect(0, 12288, '\p{__In_idc}', "");
    Expect(1, 12288, '\p{^__In_idc}', "");
    Expect(1, 12288, '\P{__In_idc}', "");
    Expect(0, 12288, '\P{^__In_idc}', "");
    Error('\p{	/a/IDEOGRAPHIC_SYMBOLS_and_PUNCTUATION}');
    Error('\P{	/a/IDEOGRAPHIC_SYMBOLS_and_PUNCTUATION}');
    Expect(1, 94207, '\p{ideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\p{^ideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\P{ideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\P{^ideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\p{ideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\p{^ideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\P{ideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\P{^ideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\p{	Ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94207, '\p{^	Ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94207, '\P{	Ideographic_symbols_And_Punctuation}', "");
    Expect(1, 94207, '\P{^	Ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94208, '\p{	Ideographic_symbols_And_Punctuation}', "");
    Expect(1, 94208, '\p{^	Ideographic_symbols_And_Punctuation}', "");
    Expect(1, 94208, '\P{	Ideographic_symbols_And_Punctuation}', "");
    Expect(0, 94208, '\P{^	Ideographic_symbols_And_Punctuation}', "");
    Error('\p{_is_IDEOGRAPHIC_Symbols_And_Punctuation:=}');
    Error('\P{_is_IDEOGRAPHIC_Symbols_And_Punctuation:=}');
    Expect(1, 94207, '\p{isideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\p{^isideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\P{isideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\P{^isideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\p{isideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\p{^isideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\P{isideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\P{^isideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\p{__IS_ideographic_Symbols_And_punctuation}', "");
    Expect(0, 94207, '\p{^__IS_ideographic_Symbols_And_punctuation}', "");
    Expect(0, 94207, '\P{__IS_ideographic_Symbols_And_punctuation}', "");
    Expect(1, 94207, '\P{^__IS_ideographic_Symbols_And_punctuation}', "");
    Expect(0, 94208, '\p{__IS_ideographic_Symbols_And_punctuation}', "");
    Expect(1, 94208, '\p{^__IS_ideographic_Symbols_And_punctuation}', "");
    Expect(1, 94208, '\P{__IS_ideographic_Symbols_And_punctuation}', "");
    Expect(0, 94208, '\P{^__IS_ideographic_Symbols_And_punctuation}', "");
    Error('\p{/a/	-In_IDEOGRAPHIC_Symbols_And_Punctuation}');
    Error('\P{/a/	-In_IDEOGRAPHIC_Symbols_And_Punctuation}');
    Expect(1, 94207, '\p{inideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\p{^inideographicsymbolsandpunctuation}', "");
    Expect(0, 94207, '\P{inideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\P{^inideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\p{inideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\p{^inideographicsymbolsandpunctuation}', "");
    Expect(1, 94208, '\P{inideographicsymbolsandpunctuation}', "");
    Expect(0, 94208, '\P{^inideographicsymbolsandpunctuation}', "");
    Expect(1, 94207, '\p{--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Expect(0, 94207, '\p{^--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Expect(0, 94207, '\P{--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Expect(1, 94207, '\P{^--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Expect(0, 94208, '\p{--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Expect(1, 94208, '\p{^--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Expect(1, 94208, '\P{--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Expect(0, 94208, '\P{^--IN_IDEOGRAPHIC_Symbols_and_PUNCTUATION}', "");
    Error('\p{	 Ideographic_SYMBOLS/a/}');
    Error('\P{	 Ideographic_SYMBOLS/a/}');
    Expect(1, 94207, '\p{ideographicsymbols}', "");
    Expect(0, 94207, '\p{^ideographicsymbols}', "");
    Expect(0, 94207, '\P{ideographicsymbols}', "");
    Expect(1, 94207, '\P{^ideographicsymbols}', "");
    Expect(0, 94208, '\p{ideographicsymbols}', "");
    Expect(1, 94208, '\p{^ideographicsymbols}', "");
    Expect(1, 94208, '\P{ideographicsymbols}', "");
    Expect(0, 94208, '\P{^ideographicsymbols}', "");
    Expect(1, 94207, '\p{_ IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94207, '\p{^_ IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94207, '\P{_ IDEOGRAPHIC_Symbols}', "");
    Expect(1, 94207, '\P{^_ IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94208, '\p{_ IDEOGRAPHIC_Symbols}', "");
    Expect(1, 94208, '\p{^_ IDEOGRAPHIC_Symbols}', "");
    Expect(1, 94208, '\P{_ IDEOGRAPHIC_Symbols}', "");
    Expect(0, 94208, '\P{^_ IDEOGRAPHIC_Symbols}', "");
    Error('\p{:=	 Is_Ideographic_Symbols}');
    Error('\P{:=	 Is_Ideographic_Symbols}');
    Expect(1, 94207, '\p{isideographicsymbols}', "");
    Expect(0, 94207, '\p{^isideographicsymbols}', "");
    Expect(0, 94207, '\P{isideographicsymbols}', "");
    Expect(1, 94207, '\P{^isideographicsymbols}', "");
    Expect(0, 94208, '\p{isideographicsymbols}', "");
    Expect(1, 94208, '\p{^isideographicsymbols}', "");
    Expect(1, 94208, '\P{isideographicsymbols}', "");
    Expect(0, 94208, '\P{^isideographicsymbols}', "");
    Expect(1, 94207, '\p{_-is_Ideographic_Symbols}', "");
    Expect(0, 94207, '\p{^_-is_Ideographic_Symbols}', "");
    Expect(0, 94207, '\P{_-is_Ideographic_Symbols}', "");
    Expect(1, 94207, '\P{^_-is_Ideographic_Symbols}', "");
    Expect(0, 94208, '\p{_-is_Ideographic_Symbols}', "");
    Expect(1, 94208, '\p{^_-is_Ideographic_Symbols}', "");
    Expect(1, 94208, '\P{_-is_Ideographic_Symbols}', "");
    Expect(0, 94208, '\P{^_-is_Ideographic_Symbols}', "");
    Error('\p{:=-_IN_Ideographic_symbols}');
    Error('\P{:=-_IN_Ideographic_symbols}');
    Expect(1, 94207, '\p{inideographicsymbols}', "");
    Expect(0, 94207, '\p{^inideographicsymbols}', "");
    Expect(0, 94207, '\P{inideographicsymbols}', "");
    Expect(1, 94207, '\P{^inideographicsymbols}', "");
    Expect(0, 94208, '\p{inideographicsymbols}', "");
    Expect(1, 94208, '\p{^inideographicsymbols}', "");
    Expect(1, 94208, '\P{inideographicsymbols}', "");
    Expect(0, 94208, '\P{^inideographicsymbols}', "");
    Expect(1, 94207, '\p{_-in_Ideographic_SYMBOLS}', "");
    Expect(0, 94207, '\p{^_-in_Ideographic_SYMBOLS}', "");
    Expect(0, 94207, '\P{_-in_Ideographic_SYMBOLS}', "");
    Expect(1, 94207, '\P{^_-in_Ideographic_SYMBOLS}', "");
    Expect(0, 94208, '\p{_-in_Ideographic_SYMBOLS}', "");
    Expect(1, 94208, '\p{^_-in_Ideographic_SYMBOLS}', "");
    Expect(1, 94208, '\P{_-in_Ideographic_SYMBOLS}', "");
    Expect(0, 94208, '\P{^_-in_Ideographic_SYMBOLS}', "");
    Error('\p{/a/ 	IDS_Binary_Operator}');
    Error('\P{/a/ 	IDS_Binary_Operator}');
    Expect(1, 12283, '\p{idsbinaryoperator}', "");
    Expect(0, 12283, '\p{^idsbinaryoperator}', "");
    Expect(0, 12283, '\P{idsbinaryoperator}', "");
    Expect(1, 12283, '\P{^idsbinaryoperator}', "");
    Expect(0, 12284, '\p{idsbinaryoperator}', "");
    Expect(1, 12284, '\p{^idsbinaryoperator}', "");
    Expect(1, 12284, '\P{idsbinaryoperator}', "");
    Expect(0, 12284, '\P{^idsbinaryoperator}', "");
    Expect(1, 12283, '\p{ 	ids_Binary_Operator}', "");
    Expect(0, 12283, '\p{^ 	ids_Binary_Operator}', "");
    Expect(0, 12283, '\P{ 	ids_Binary_Operator}', "");
    Expect(1, 12283, '\P{^ 	ids_Binary_Operator}', "");
    Expect(0, 12284, '\p{ 	ids_Binary_Operator}', "");
    Expect(1, 12284, '\p{^ 	ids_Binary_Operator}', "");
    Expect(1, 12284, '\P{ 	ids_Binary_Operator}', "");
    Expect(0, 12284, '\P{^ 	ids_Binary_Operator}', "");
    Error('\p{:=-IS_ids_Binary_operator}');
    Error('\P{:=-IS_ids_Binary_operator}');
    Expect(1, 12283, '\p{isidsbinaryoperator}', "");
    Expect(0, 12283, '\p{^isidsbinaryoperator}', "");
    Expect(0, 12283, '\P{isidsbinaryoperator}', "");
    Expect(1, 12283, '\P{^isidsbinaryoperator}', "");
    Expect(0, 12284, '\p{isidsbinaryoperator}', "");
    Expect(1, 12284, '\p{^isidsbinaryoperator}', "");
    Expect(1, 12284, '\P{isidsbinaryoperator}', "");
    Expect(0, 12284, '\P{^isidsbinaryoperator}', "");
    Expect(1, 12283, '\p{	_is_IDS_binary_Operator}', "");
    Expect(0, 12283, '\p{^	_is_IDS_binary_Operator}', "");
    Expect(0, 12283, '\P{	_is_IDS_binary_Operator}', "");
    Expect(1, 12283, '\P{^	_is_IDS_binary_Operator}', "");
    Expect(0, 12284, '\p{	_is_IDS_binary_Operator}', "");
    Expect(1, 12284, '\p{^	_is_IDS_binary_Operator}', "");
    Expect(1, 12284, '\P{	_is_IDS_binary_Operator}', "");
    Expect(0, 12284, '\P{^	_is_IDS_binary_Operator}', "");
    Error('\p{		IDSB/a/}');
    Error('\P{		IDSB/a/}');
    Expect(1, 12283, '\p{idsb}', "");
    Expect(0, 12283, '\p{^idsb}', "");
    Expect(0, 12283, '\P{idsb}', "");
    Expect(1, 12283, '\P{^idsb}', "");
    Expect(0, 12284, '\p{idsb}', "");
    Expect(1, 12284, '\p{^idsb}', "");
    Expect(1, 12284, '\P{idsb}', "");
    Expect(0, 12284, '\P{^idsb}', "");
    Expect(1, 12283, '\p{-idsb}', "");
    Expect(0, 12283, '\p{^-idsb}', "");
    Expect(0, 12283, '\P{-idsb}', "");
    Expect(1, 12283, '\P{^-idsb}', "");
    Expect(0, 12284, '\p{-idsb}', "");
    Expect(1, 12284, '\p{^-idsb}', "");
    Expect(1, 12284, '\P{-idsb}', "");
    Expect(0, 12284, '\P{^-idsb}', "");
    Error('\p{	-is_IDSB:=}');
    Error('\P{	-is_IDSB:=}');
    Expect(1, 12283, '\p{isidsb}', "");
    Expect(0, 12283, '\p{^isidsb}', "");
    Expect(0, 12283, '\P{isidsb}', "");
    Expect(1, 12283, '\P{^isidsb}', "");
    Expect(0, 12284, '\p{isidsb}', "");
    Expect(1, 12284, '\p{^isidsb}', "");
    Expect(1, 12284, '\P{isidsb}', "");
    Expect(0, 12284, '\P{^isidsb}', "");
    Expect(1, 12283, '\p{ Is_IDSB}', "");
    Expect(0, 12283, '\p{^ Is_IDSB}', "");
    Expect(0, 12283, '\P{ Is_IDSB}', "");
    Expect(1, 12283, '\P{^ Is_IDSB}', "");
    Expect(0, 12284, '\p{ Is_IDSB}', "");
    Expect(1, 12284, '\p{^ Is_IDSB}', "");
    Expect(1, 12284, '\P{ Is_IDSB}', "");
    Expect(0, 12284, '\P{^ Is_IDSB}', "");
    Error('\p{/a/	 IDS_TRINARY_Operator}');
    Error('\P{/a/	 IDS_TRINARY_Operator}');
    Expect(1, 12275, '\p{idstrinaryoperator}', "");
    Expect(0, 12275, '\p{^idstrinaryoperator}', "");
    Expect(0, 12275, '\P{idstrinaryoperator}', "");
    Expect(1, 12275, '\P{^idstrinaryoperator}', "");
    Expect(0, 12276, '\p{idstrinaryoperator}', "");
    Expect(1, 12276, '\p{^idstrinaryoperator}', "");
    Expect(1, 12276, '\P{idstrinaryoperator}', "");
    Expect(0, 12276, '\P{^idstrinaryoperator}', "");
    Expect(1, 12275, '\p{__IDS_trinary_Operator}', "");
    Expect(0, 12275, '\p{^__IDS_trinary_Operator}', "");
    Expect(0, 12275, '\P{__IDS_trinary_Operator}', "");
    Expect(1, 12275, '\P{^__IDS_trinary_Operator}', "");
    Expect(0, 12276, '\p{__IDS_trinary_Operator}', "");
    Expect(1, 12276, '\p{^__IDS_trinary_Operator}', "");
    Expect(1, 12276, '\P{__IDS_trinary_Operator}', "");
    Expect(0, 12276, '\P{^__IDS_trinary_Operator}', "");
    Error('\p{:=	-Is_IDS_TRINARY_operator}');
    Error('\P{:=	-Is_IDS_TRINARY_operator}');
    Expect(1, 12275, '\p{isidstrinaryoperator}', "");
    Expect(0, 12275, '\p{^isidstrinaryoperator}', "");
    Expect(0, 12275, '\P{isidstrinaryoperator}', "");
    Expect(1, 12275, '\P{^isidstrinaryoperator}', "");
    Expect(0, 12276, '\p{isidstrinaryoperator}', "");
    Expect(1, 12276, '\p{^isidstrinaryoperator}', "");
    Expect(1, 12276, '\P{isidstrinaryoperator}', "");
    Expect(0, 12276, '\P{^isidstrinaryoperator}', "");
    Expect(1, 12275, '\p{	 is_ids_Trinary_operator}', "");
    Expect(0, 12275, '\p{^	 is_ids_Trinary_operator}', "");
    Expect(0, 12275, '\P{	 is_ids_Trinary_operator}', "");
    Expect(1, 12275, '\P{^	 is_ids_Trinary_operator}', "");
    Expect(0, 12276, '\p{	 is_ids_Trinary_operator}', "");
    Expect(1, 12276, '\p{^	 is_ids_Trinary_operator}', "");
    Expect(1, 12276, '\P{	 is_ids_Trinary_operator}', "");
    Expect(0, 12276, '\P{^	 is_ids_Trinary_operator}', "");
    Error('\p{:=	IDST}');
    Error('\P{:=	IDST}');
    Expect(1, 12275, '\p{idst}', "");
    Expect(0, 12275, '\p{^idst}', "");
    Expect(0, 12275, '\P{idst}', "");
    Expect(1, 12275, '\P{^idst}', "");
    Expect(0, 12276, '\p{idst}', "");
    Expect(1, 12276, '\p{^idst}', "");
    Expect(1, 12276, '\P{idst}', "");
    Expect(0, 12276, '\P{^idst}', "");
    Expect(1, 12275, '\p{- IDST}', "");
    Expect(0, 12275, '\p{^- IDST}', "");
    Expect(0, 12275, '\P{- IDST}', "");
    Expect(1, 12275, '\P{^- IDST}', "");
    Expect(0, 12276, '\p{- IDST}', "");
    Expect(1, 12276, '\p{^- IDST}', "");
    Expect(1, 12276, '\P{- IDST}', "");
    Expect(0, 12276, '\P{^- IDST}', "");
    Error('\p{/a/IS_idst}');
    Error('\P{/a/IS_idst}');
    Expect(1, 12275, '\p{isidst}', "");
    Expect(0, 12275, '\p{^isidst}', "");
    Expect(0, 12275, '\P{isidst}', "");
    Expect(1, 12275, '\P{^isidst}', "");
    Expect(0, 12276, '\p{isidst}', "");
    Expect(1, 12276, '\p{^isidst}', "");
    Expect(1, 12276, '\P{isidst}', "");
    Expect(0, 12276, '\P{^isidst}', "");
    Expect(1, 12275, '\p{ -is_idst}', "");
    Expect(0, 12275, '\p{^ -is_idst}', "");
    Expect(0, 12275, '\P{ -is_idst}', "");
    Expect(1, 12275, '\P{^ -is_idst}', "");
    Expect(0, 12276, '\p{ -is_idst}', "");
    Expect(1, 12276, '\p{^ -is_idst}', "");
    Expect(1, 12276, '\P{ -is_idst}', "");
    Expect(0, 12276, '\P{^ -is_idst}', "");
    Error('\p{-	imperial_aramaic/a/}');
    Error('\P{-	imperial_aramaic/a/}');
    Expect(1, 67679, '\p{imperialaramaic}', "");
    Expect(0, 67679, '\p{^imperialaramaic}', "");
    Expect(0, 67679, '\P{imperialaramaic}', "");
    Expect(1, 67679, '\P{^imperialaramaic}', "");
    Expect(0, 67680, '\p{imperialaramaic}', "");
    Expect(1, 67680, '\p{^imperialaramaic}', "");
    Expect(1, 67680, '\P{imperialaramaic}', "");
    Expect(0, 67680, '\P{^imperialaramaic}', "");
    Expect(1, 67679, '\p{IMPERIAL_Aramaic}', "");
    Expect(0, 67679, '\p{^IMPERIAL_Aramaic}', "");
    Expect(0, 67679, '\P{IMPERIAL_Aramaic}', "");
    Expect(1, 67679, '\P{^IMPERIAL_Aramaic}', "");
    Expect(0, 67680, '\p{IMPERIAL_Aramaic}', "");
    Expect(1, 67680, '\p{^IMPERIAL_Aramaic}', "");
    Expect(1, 67680, '\P{IMPERIAL_Aramaic}', "");
    Expect(0, 67680, '\P{^IMPERIAL_Aramaic}', "");
    Error('\p{_:=Is_Imperial_aramaic}');
    Error('\P{_:=Is_Imperial_aramaic}');
    Expect(1, 67679, '\p{isimperialaramaic}', "");
    Expect(0, 67679, '\p{^isimperialaramaic}', "");
    Expect(0, 67679, '\P{isimperialaramaic}', "");
    Expect(1, 67679, '\P{^isimperialaramaic}', "");
    Expect(0, 67680, '\p{isimperialaramaic}', "");
    Expect(1, 67680, '\p{^isimperialaramaic}', "");
    Expect(1, 67680, '\P{isimperialaramaic}', "");
    Expect(0, 67680, '\P{^isimperialaramaic}', "");
    Expect(1, 67679, '\p{-	is_Imperial_Aramaic}', "");
    Expect(0, 67679, '\p{^-	is_Imperial_Aramaic}', "");
    Expect(0, 67679, '\P{-	is_Imperial_Aramaic}', "");
    Expect(1, 67679, '\P{^-	is_Imperial_Aramaic}', "");
    Expect(0, 67680, '\p{-	is_Imperial_Aramaic}', "");
    Expect(1, 67680, '\p{^-	is_Imperial_Aramaic}', "");
    Expect(1, 67680, '\P{-	is_Imperial_Aramaic}', "");
    Expect(0, 67680, '\P{^-	is_Imperial_Aramaic}', "");
    Error('\p{/a/- Armi}');
    Error('\P{/a/- Armi}');
    Expect(1, 67679, '\p{armi}', "");
    Expect(0, 67679, '\p{^armi}', "");
    Expect(0, 67679, '\P{armi}', "");
    Expect(1, 67679, '\P{^armi}', "");
    Expect(0, 67680, '\p{armi}', "");
    Expect(1, 67680, '\p{^armi}', "");
    Expect(1, 67680, '\P{armi}', "");
    Expect(0, 67680, '\P{^armi}', "");
    Expect(1, 67679, '\p{	armi}', "");
    Expect(0, 67679, '\p{^	armi}', "");
    Expect(0, 67679, '\P{	armi}', "");
    Expect(1, 67679, '\P{^	armi}', "");
    Expect(0, 67680, '\p{	armi}', "");
    Expect(1, 67680, '\p{^	armi}', "");
    Expect(1, 67680, '\P{	armi}', "");
    Expect(0, 67680, '\P{^	armi}', "");
    Error('\p{/a/	-Is_ARMI}');
    Error('\P{/a/	-Is_ARMI}');
    Expect(1, 67679, '\p{isarmi}', "");
    Expect(0, 67679, '\p{^isarmi}', "");
    Expect(0, 67679, '\P{isarmi}', "");
    Expect(1, 67679, '\P{^isarmi}', "");
    Expect(0, 67680, '\p{isarmi}', "");
    Expect(1, 67680, '\p{^isarmi}', "");
    Expect(1, 67680, '\P{isarmi}', "");
    Expect(0, 67680, '\P{^isarmi}', "");
    Expect(1, 67679, '\p{ Is_Armi}', "");
    Expect(0, 67679, '\p{^ Is_Armi}', "");
    Expect(0, 67679, '\P{ Is_Armi}', "");
    Expect(1, 67679, '\P{^ Is_Armi}', "");
    Expect(0, 67680, '\p{ Is_Armi}', "");
    Expect(1, 67680, '\p{^ Is_Armi}', "");
    Expect(1, 67680, '\P{ Is_Armi}', "");
    Expect(0, 67680, '\P{^ Is_Armi}', "");
    Error('\p{/a/ In_Adlam}');
    Error('\P{/a/ In_Adlam}');
    Expect(1, 125279, '\p{inadlam}', "");
    Expect(0, 125279, '\p{^inadlam}', "");
    Expect(0, 125279, '\P{inadlam}', "");
    Expect(1, 125279, '\P{^inadlam}', "");
    Expect(0, 125280, '\p{inadlam}', "");
    Expect(1, 125280, '\p{^inadlam}', "");
    Expect(1, 125280, '\P{inadlam}', "");
    Expect(0, 125280, '\P{^inadlam}', "");
    Expect(1, 125279, '\p{_-In_adlam}', "");
    Expect(0, 125279, '\p{^_-In_adlam}', "");
    Expect(0, 125279, '\P{_-In_adlam}', "");
    Expect(1, 125279, '\P{^_-In_adlam}', "");
    Expect(0, 125280, '\p{_-In_adlam}', "");
    Expect(1, 125280, '\p{^_-In_adlam}', "");
    Expect(1, 125280, '\P{_-In_adlam}', "");
    Expect(0, 125280, '\P{^_-In_adlam}', "");
    Error('\p{/a/_ In_ADLAM}');
    Error('\P{/a/_ In_ADLAM}');
    Expect(1, 125279, '\p{  in_adlam}', "");
    Expect(0, 125279, '\p{^  in_adlam}', "");
    Expect(0, 125279, '\P{  in_adlam}', "");
    Expect(1, 125279, '\P{^  in_adlam}', "");
    Expect(0, 125280, '\p{  in_adlam}', "");
    Expect(1, 125280, '\p{^  in_adlam}', "");
    Expect(1, 125280, '\P{  in_adlam}', "");
    Expect(0, 125280, '\P{^  in_adlam}', "");
    Error('\p{-IN_ahom/a/}');
    Error('\P{-IN_ahom/a/}');
    Expect(1, 71503, '\p{inahom}', "");
    Expect(0, 71503, '\p{^inahom}', "");
    Expect(0, 71503, '\P{inahom}', "");
    Expect(1, 71503, '\P{^inahom}', "");
    Expect(0, 71504, '\p{inahom}', "");
    Expect(1, 71504, '\p{^inahom}', "");
    Expect(1, 71504, '\P{inahom}', "");
    Expect(0, 71504, '\P{^inahom}', "");
    Expect(1, 71503, '\p{- IN_Ahom}', "");
    Expect(0, 71503, '\p{^- IN_Ahom}', "");
    Expect(0, 71503, '\P{- IN_Ahom}', "");
    Expect(1, 71503, '\P{^- IN_Ahom}', "");
    Expect(0, 71504, '\p{- IN_Ahom}', "");
    Expect(1, 71504, '\p{^- IN_Ahom}', "");
    Expect(1, 71504, '\P{- IN_Ahom}', "");
    Expect(0, 71504, '\P{^- IN_Ahom}', "");
    Error('\p{/a/-In_Ahom}');
    Error('\P{/a/-In_Ahom}');
    Expect(1, 71503, '\p{  IN_Ahom}', "");
    Expect(0, 71503, '\p{^  IN_Ahom}', "");
    Expect(0, 71503, '\P{  IN_Ahom}', "");
    Expect(1, 71503, '\P{^  IN_Ahom}', "");
    Expect(0, 71504, '\p{  IN_Ahom}', "");
    Expect(1, 71504, '\p{^  IN_Ahom}', "");
    Expect(1, 71504, '\P{  IN_Ahom}', "");
    Expect(0, 71504, '\P{^  IN_Ahom}', "");
    Error('\p{/a/ -in_Anatolian_Hieroglyphs}');
    Error('\P{/a/ -in_Anatolian_Hieroglyphs}');
    Expect(1, 83583, '\p{inanatolianhieroglyphs}', "");
    Expect(0, 83583, '\p{^inanatolianhieroglyphs}', "");
    Expect(0, 83583, '\P{inanatolianhieroglyphs}', "");
    Expect(1, 83583, '\P{^inanatolianhieroglyphs}', "");
    Expect(0, 83584, '\p{inanatolianhieroglyphs}', "");
    Expect(1, 83584, '\p{^inanatolianhieroglyphs}', "");
    Expect(1, 83584, '\P{inanatolianhieroglyphs}', "");
    Expect(0, 83584, '\P{^inanatolianhieroglyphs}', "");
    Expect(1, 83583, '\p{__IN_Anatolian_Hieroglyphs}', "");
    Expect(0, 83583, '\p{^__IN_Anatolian_Hieroglyphs}', "");
    Expect(0, 83583, '\P{__IN_Anatolian_Hieroglyphs}', "");
    Expect(1, 83583, '\P{^__IN_Anatolian_Hieroglyphs}', "");
    Expect(0, 83584, '\p{__IN_Anatolian_Hieroglyphs}', "");
    Expect(1, 83584, '\p{^__IN_Anatolian_Hieroglyphs}', "");
    Expect(1, 83584, '\P{__IN_Anatolian_Hieroglyphs}', "");
    Expect(0, 83584, '\P{^__IN_Anatolian_Hieroglyphs}', "");
    Error('\p{ :=IN_anatolian_hieroglyphs}');
    Error('\P{ :=IN_anatolian_hieroglyphs}');
    Expect(1, 83583, '\p{_in_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83583, '\p{^_in_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83583, '\P{_in_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83583, '\P{^_in_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83584, '\p{_in_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83584, '\p{^_in_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83584, '\P{_in_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83584, '\P{^_in_ANATOLIAN_Hieroglyphs}', "");
    Error('\p{-/a/In_ARABIC}');
    Error('\P{-/a/In_ARABIC}');
    Expect(1, 1791, '\p{inarabic}', "");
    Expect(0, 1791, '\p{^inarabic}', "");
    Expect(0, 1791, '\P{inarabic}', "");
    Expect(1, 1791, '\P{^inarabic}', "");
    Expect(0, 1792, '\p{inarabic}', "");
    Expect(1, 1792, '\p{^inarabic}', "");
    Expect(1, 1792, '\P{inarabic}', "");
    Expect(0, 1792, '\P{^inarabic}', "");
    Expect(1, 1791, '\p{_In_ARABIC}', "");
    Expect(0, 1791, '\p{^_In_ARABIC}', "");
    Expect(0, 1791, '\P{_In_ARABIC}', "");
    Expect(1, 1791, '\P{^_In_ARABIC}', "");
    Expect(0, 1792, '\p{_In_ARABIC}', "");
    Expect(1, 1792, '\p{^_In_ARABIC}', "");
    Expect(1, 1792, '\P{_In_ARABIC}', "");
    Expect(0, 1792, '\P{^_In_ARABIC}', "");
    Error('\p{	/a/in_Arabic}');
    Error('\P{	/a/in_Arabic}');
    Expect(1, 1791, '\p{	In_Arabic}', "");
    Expect(0, 1791, '\p{^	In_Arabic}', "");
    Expect(0, 1791, '\P{	In_Arabic}', "");
    Expect(1, 1791, '\P{^	In_Arabic}', "");
    Expect(0, 1792, '\p{	In_Arabic}', "");
    Expect(1, 1792, '\p{^	In_Arabic}', "");
    Expect(1, 1792, '\P{	In_Arabic}', "");
    Expect(0, 1792, '\P{^	In_Arabic}', "");
    Error('\p{	/a/IN_armenian}');
    Error('\P{	/a/IN_armenian}');
    Expect(1, 1423, '\p{inarmenian}', "");
    Expect(0, 1423, '\p{^inarmenian}', "");
    Expect(0, 1423, '\P{inarmenian}', "");
    Expect(1, 1423, '\P{^inarmenian}', "");
    Expect(0, 1424, '\p{inarmenian}', "");
    Expect(1, 1424, '\p{^inarmenian}', "");
    Expect(1, 1424, '\P{inarmenian}', "");
    Expect(0, 1424, '\P{^inarmenian}', "");
    Expect(1, 1423, '\p{_	IN_armenian}', "");
    Expect(0, 1423, '\p{^_	IN_armenian}', "");
    Expect(0, 1423, '\P{_	IN_armenian}', "");
    Expect(1, 1423, '\P{^_	IN_armenian}', "");
    Expect(0, 1424, '\p{_	IN_armenian}', "");
    Expect(1, 1424, '\p{^_	IN_armenian}', "");
    Expect(1, 1424, '\P{_	IN_armenian}', "");
    Expect(0, 1424, '\P{^_	IN_armenian}', "");
    Error('\p{-in_armenian:=}');
    Error('\P{-in_armenian:=}');
    Expect(1, 1423, '\p{ _In_ARMENIAN}', "");
    Expect(0, 1423, '\p{^ _In_ARMENIAN}', "");
    Expect(0, 1423, '\P{ _In_ARMENIAN}', "");
    Expect(1, 1423, '\P{^ _In_ARMENIAN}', "");
    Expect(0, 1424, '\p{ _In_ARMENIAN}', "");
    Expect(1, 1424, '\p{^ _In_ARMENIAN}', "");
    Expect(1, 1424, '\P{ _In_ARMENIAN}', "");
    Expect(0, 1424, '\P{^ _In_ARMENIAN}', "");
    Error('\p{- IN_AVESTAN/a/}');
    Error('\P{- IN_AVESTAN/a/}');
    Expect(1, 68415, '\p{inavestan}', "");
    Expect(0, 68415, '\p{^inavestan}', "");
    Expect(0, 68415, '\P{inavestan}', "");
    Expect(1, 68415, '\P{^inavestan}', "");
    Expect(0, 68416, '\p{inavestan}', "");
    Expect(1, 68416, '\p{^inavestan}', "");
    Expect(1, 68416, '\P{inavestan}', "");
    Expect(0, 68416, '\P{^inavestan}', "");
    Expect(1, 68415, '\p{__in_Avestan}', "");
    Expect(0, 68415, '\p{^__in_Avestan}', "");
    Expect(0, 68415, '\P{__in_Avestan}', "");
    Expect(1, 68415, '\P{^__in_Avestan}', "");
    Expect(0, 68416, '\p{__in_Avestan}', "");
    Expect(1, 68416, '\p{^__in_Avestan}', "");
    Expect(1, 68416, '\P{__in_Avestan}', "");
    Expect(0, 68416, '\P{^__in_Avestan}', "");
    Error('\p{:=In_Avestan}');
    Error('\P{:=In_Avestan}');
    Expect(1, 68415, '\p{	In_AVESTAN}', "");
    Expect(0, 68415, '\p{^	In_AVESTAN}', "");
    Expect(0, 68415, '\P{	In_AVESTAN}', "");
    Expect(1, 68415, '\P{^	In_AVESTAN}', "");
    Expect(0, 68416, '\p{	In_AVESTAN}', "");
    Expect(1, 68416, '\p{^	In_AVESTAN}', "");
    Expect(1, 68416, '\P{	In_AVESTAN}', "");
    Expect(0, 68416, '\P{^	In_AVESTAN}', "");
    Error('\p{:=IN_Balinese}');
    Error('\P{:=IN_Balinese}');
    Expect(1, 7039, '\p{inbalinese}', "");
    Expect(0, 7039, '\p{^inbalinese}', "");
    Expect(0, 7039, '\P{inbalinese}', "");
    Expect(1, 7039, '\P{^inbalinese}', "");
    Expect(0, 7040, '\p{inbalinese}', "");
    Expect(1, 7040, '\p{^inbalinese}', "");
    Expect(1, 7040, '\P{inbalinese}', "");
    Expect(0, 7040, '\P{^inbalinese}', "");
    Expect(1, 7039, '\p{-in_BALINESE}', "");
    Expect(0, 7039, '\p{^-in_BALINESE}', "");
    Expect(0, 7039, '\P{-in_BALINESE}', "");
    Expect(1, 7039, '\P{^-in_BALINESE}', "");
    Expect(0, 7040, '\p{-in_BALINESE}', "");
    Expect(1, 7040, '\p{^-in_BALINESE}', "");
    Expect(1, 7040, '\P{-in_BALINESE}', "");
    Expect(0, 7040, '\P{^-in_BALINESE}', "");
    Error('\p{/a/ 	in_balinese}');
    Error('\P{/a/ 	in_balinese}');
    Expect(1, 7039, '\p{  IN_Balinese}', "");
    Expect(0, 7039, '\p{^  IN_Balinese}', "");
    Expect(0, 7039, '\P{  IN_Balinese}', "");
    Expect(1, 7039, '\P{^  IN_Balinese}', "");
    Expect(0, 7040, '\p{  IN_Balinese}', "");
    Expect(1, 7040, '\p{^  IN_Balinese}', "");
    Expect(1, 7040, '\P{  IN_Balinese}', "");
    Expect(0, 7040, '\P{^  IN_Balinese}', "");
    Error('\p{-:=IN_BAMUM}');
    Error('\P{-:=IN_BAMUM}');
    Expect(1, 42751, '\p{inbamum}', "");
    Expect(0, 42751, '\p{^inbamum}', "");
    Expect(0, 42751, '\P{inbamum}', "");
    Expect(1, 42751, '\P{^inbamum}', "");
    Expect(0, 42752, '\p{inbamum}', "");
    Expect(1, 42752, '\p{^inbamum}', "");
    Expect(1, 42752, '\P{inbamum}', "");
    Expect(0, 42752, '\P{^inbamum}', "");
    Expect(1, 42751, '\p{_ In_BAMUM}', "");
    Expect(0, 42751, '\p{^_ In_BAMUM}', "");
    Expect(0, 42751, '\P{_ In_BAMUM}', "");
    Expect(1, 42751, '\P{^_ In_BAMUM}', "");
    Expect(0, 42752, '\p{_ In_BAMUM}', "");
    Expect(1, 42752, '\p{^_ In_BAMUM}', "");
    Expect(1, 42752, '\P{_ In_BAMUM}', "");
    Expect(0, 42752, '\P{^_ In_BAMUM}', "");
    Error('\p{:=	-in_BAMUM}');
    Error('\P{:=	-in_BAMUM}');
    Expect(1, 42751, '\p{_in_bamum}', "");
    Expect(0, 42751, '\p{^_in_bamum}', "");
    Expect(0, 42751, '\P{_in_bamum}', "");
    Expect(1, 42751, '\P{^_in_bamum}', "");
    Expect(0, 42752, '\p{_in_bamum}', "");
    Expect(1, 42752, '\p{^_in_bamum}', "");
    Expect(1, 42752, '\P{_in_bamum}', "");
    Expect(0, 42752, '\P{^_in_bamum}', "");
    Error('\p{ 	In_Bassa_VAH:=}');
    Error('\P{ 	In_Bassa_VAH:=}');
    Expect(1, 92927, '\p{inbassavah}', "");
    Expect(0, 92927, '\p{^inbassavah}', "");
    Expect(0, 92927, '\P{inbassavah}', "");
    Expect(1, 92927, '\P{^inbassavah}', "");
    Expect(0, 92928, '\p{inbassavah}', "");
    Expect(1, 92928, '\p{^inbassavah}', "");
    Expect(1, 92928, '\P{inbassavah}', "");
    Expect(0, 92928, '\P{^inbassavah}', "");
    Expect(1, 92927, '\p{_In_BASSA_VAH}', "");
    Expect(0, 92927, '\p{^_In_BASSA_VAH}', "");
    Expect(0, 92927, '\P{_In_BASSA_VAH}', "");
    Expect(1, 92927, '\P{^_In_BASSA_VAH}', "");
    Expect(0, 92928, '\p{_In_BASSA_VAH}', "");
    Expect(1, 92928, '\p{^_In_BASSA_VAH}', "");
    Expect(1, 92928, '\P{_In_BASSA_VAH}', "");
    Expect(0, 92928, '\P{^_In_BASSA_VAH}', "");
    Error('\p{	:=IN_bassa_Vah}');
    Error('\P{	:=IN_bassa_Vah}');
    Expect(1, 92927, '\p{_-in_Bassa_Vah}', "");
    Expect(0, 92927, '\p{^_-in_Bassa_Vah}', "");
    Expect(0, 92927, '\P{_-in_Bassa_Vah}', "");
    Expect(1, 92927, '\P{^_-in_Bassa_Vah}', "");
    Expect(0, 92928, '\p{_-in_Bassa_Vah}', "");
    Expect(1, 92928, '\p{^_-in_Bassa_Vah}', "");
    Expect(1, 92928, '\P{_-in_Bassa_Vah}', "");
    Expect(0, 92928, '\P{^_-in_Bassa_Vah}', "");
    Error('\p{:= 	In_Batak}');
    Error('\P{:= 	In_Batak}');
    Expect(1, 7167, '\p{inbatak}', "");
    Expect(0, 7167, '\p{^inbatak}', "");
    Expect(0, 7167, '\P{inbatak}', "");
    Expect(1, 7167, '\P{^inbatak}', "");
    Expect(0, 7168, '\p{inbatak}', "");
    Expect(1, 7168, '\p{^inbatak}', "");
    Expect(1, 7168, '\P{inbatak}', "");
    Expect(0, 7168, '\P{^inbatak}', "");
    Expect(1, 7167, '\p{		In_Batak}', "");
    Expect(0, 7167, '\p{^		In_Batak}', "");
    Expect(0, 7167, '\P{		In_Batak}', "");
    Expect(1, 7167, '\P{^		In_Batak}', "");
    Expect(0, 7168, '\p{		In_Batak}', "");
    Expect(1, 7168, '\p{^		In_Batak}', "");
    Expect(1, 7168, '\P{		In_Batak}', "");
    Expect(0, 7168, '\P{^		In_Batak}', "");
    Error('\p{ _In_Batak/a/}');
    Error('\P{ _In_Batak/a/}');
    Expect(1, 7167, '\p{__In_Batak}', "");
    Expect(0, 7167, '\p{^__In_Batak}', "");
    Expect(0, 7167, '\P{__In_Batak}', "");
    Expect(1, 7167, '\P{^__In_Batak}', "");
    Expect(0, 7168, '\p{__In_Batak}', "");
    Expect(1, 7168, '\p{^__In_Batak}', "");
    Expect(1, 7168, '\P{__In_Batak}', "");
    Expect(0, 7168, '\P{^__In_Batak}', "");
    Error('\p{-:=IN_Bengali}');
    Error('\P{-:=IN_Bengali}');
    Expect(1, 2559, '\p{inbengali}', "");
    Expect(0, 2559, '\p{^inbengali}', "");
    Expect(0, 2559, '\P{inbengali}', "");
    Expect(1, 2559, '\P{^inbengali}', "");
    Expect(0, 2560, '\p{inbengali}', "");
    Expect(1, 2560, '\p{^inbengali}', "");
    Expect(1, 2560, '\P{inbengali}', "");
    Expect(0, 2560, '\P{^inbengali}', "");
    Expect(1, 2559, '\p{	in_Bengali}', "");
    Expect(0, 2559, '\p{^	in_Bengali}', "");
    Expect(0, 2559, '\P{	in_Bengali}', "");
    Expect(1, 2559, '\P{^	in_Bengali}', "");
    Expect(0, 2560, '\p{	in_Bengali}', "");
    Expect(1, 2560, '\p{^	in_Bengali}', "");
    Expect(1, 2560, '\P{	in_Bengali}', "");
    Expect(0, 2560, '\P{^	in_Bengali}', "");
    Error('\p{-/a/In_Bengali}');
    Error('\P{-/a/In_Bengali}');
    Expect(1, 2559, '\p{	_In_Bengali}', "");
    Expect(0, 2559, '\p{^	_In_Bengali}', "");
    Expect(0, 2559, '\P{	_In_Bengali}', "");
    Expect(1, 2559, '\P{^	_In_Bengali}', "");
    Expect(0, 2560, '\p{	_In_Bengali}', "");
    Expect(1, 2560, '\p{^	_In_Bengali}', "");
    Expect(1, 2560, '\P{	_In_Bengali}', "");
    Expect(0, 2560, '\P{^	_In_Bengali}', "");
    Error('\p{/a/__IN_BHAIKSUKI}');
    Error('\P{/a/__IN_BHAIKSUKI}');
    Expect(1, 72815, '\p{inbhaiksuki}', "");
    Expect(0, 72815, '\p{^inbhaiksuki}', "");
    Expect(0, 72815, '\P{inbhaiksuki}', "");
    Expect(1, 72815, '\P{^inbhaiksuki}', "");
    Expect(0, 72816, '\p{inbhaiksuki}', "");
    Expect(1, 72816, '\p{^inbhaiksuki}', "");
    Expect(1, 72816, '\P{inbhaiksuki}', "");
    Expect(0, 72816, '\P{^inbhaiksuki}', "");
    Expect(1, 72815, '\p{-	In_Bhaiksuki}', "");
    Expect(0, 72815, '\p{^-	In_Bhaiksuki}', "");
    Expect(0, 72815, '\P{-	In_Bhaiksuki}', "");
    Expect(1, 72815, '\P{^-	In_Bhaiksuki}', "");
    Expect(0, 72816, '\p{-	In_Bhaiksuki}', "");
    Expect(1, 72816, '\p{^-	In_Bhaiksuki}', "");
    Expect(1, 72816, '\P{-	In_Bhaiksuki}', "");
    Expect(0, 72816, '\P{^-	In_Bhaiksuki}', "");
    Error('\p{/a/	-IN_bhaiksuki}');
    Error('\P{/a/	-IN_bhaiksuki}');
    Expect(1, 72815, '\p{ In_Bhaiksuki}', "");
    Expect(0, 72815, '\p{^ In_Bhaiksuki}', "");
    Expect(0, 72815, '\P{ In_Bhaiksuki}', "");
    Expect(1, 72815, '\P{^ In_Bhaiksuki}', "");
    Expect(0, 72816, '\p{ In_Bhaiksuki}', "");
    Expect(1, 72816, '\p{^ In_Bhaiksuki}', "");
    Expect(1, 72816, '\P{ In_Bhaiksuki}', "");
    Expect(0, 72816, '\P{^ In_Bhaiksuki}', "");
    Error('\p{_/a/In_bopomofo}');
    Error('\P{_/a/In_bopomofo}');
    Expect(1, 12591, '\p{inbopomofo}', "");
    Expect(0, 12591, '\p{^inbopomofo}', "");
    Expect(0, 12591, '\P{inbopomofo}', "");
    Expect(1, 12591, '\P{^inbopomofo}', "");
    Expect(0, 12592, '\p{inbopomofo}', "");
    Expect(1, 12592, '\p{^inbopomofo}', "");
    Expect(1, 12592, '\P{inbopomofo}', "");
    Expect(0, 12592, '\P{^inbopomofo}', "");
    Expect(1, 12591, '\p{	 In_Bopomofo}', "");
    Expect(0, 12591, '\p{^	 In_Bopomofo}', "");
    Expect(0, 12591, '\P{	 In_Bopomofo}', "");
    Expect(1, 12591, '\P{^	 In_Bopomofo}', "");
    Expect(0, 12592, '\p{	 In_Bopomofo}', "");
    Expect(1, 12592, '\p{^	 In_Bopomofo}', "");
    Expect(1, 12592, '\P{	 In_Bopomofo}', "");
    Expect(0, 12592, '\P{^	 In_Bopomofo}', "");
    Error('\p{-/a/in_bopomofo}');
    Error('\P{-/a/in_bopomofo}');
    Expect(1, 12591, '\p{-_in_BOPOMOFO}', "");
    Expect(0, 12591, '\p{^-_in_BOPOMOFO}', "");
    Expect(0, 12591, '\P{-_in_BOPOMOFO}', "");
    Expect(1, 12591, '\P{^-_in_BOPOMOFO}', "");
    Expect(0, 12592, '\p{-_in_BOPOMOFO}', "");
    Expect(1, 12592, '\p{^-_in_BOPOMOFO}', "");
    Expect(1, 12592, '\P{-_in_BOPOMOFO}', "");
    Expect(0, 12592, '\P{^-_in_BOPOMOFO}', "");
    Error('\p{-:=In_Brahmi}');
    Error('\P{-:=In_Brahmi}');
    Expect(1, 69759, '\p{inbrahmi}', "");
    Expect(0, 69759, '\p{^inbrahmi}', "");
    Expect(0, 69759, '\P{inbrahmi}', "");
    Expect(1, 69759, '\P{^inbrahmi}', "");
    Expect(0, 69760, '\p{inbrahmi}', "");
    Expect(1, 69760, '\p{^inbrahmi}', "");
    Expect(1, 69760, '\P{inbrahmi}', "");
    Expect(0, 69760, '\P{^inbrahmi}', "");
    Expect(1, 69759, '\p{	-IN_brahmi}', "");
    Expect(0, 69759, '\p{^	-IN_brahmi}', "");
    Expect(0, 69759, '\P{	-IN_brahmi}', "");
    Expect(1, 69759, '\P{^	-IN_brahmi}', "");
    Expect(0, 69760, '\p{	-IN_brahmi}', "");
    Expect(1, 69760, '\p{^	-IN_brahmi}', "");
    Expect(1, 69760, '\P{	-IN_brahmi}', "");
    Expect(0, 69760, '\P{^	-IN_brahmi}', "");
    Error('\p{	:=In_Brahmi}');
    Error('\P{	:=In_Brahmi}');
    Expect(1, 69759, '\p{-	In_Brahmi}', "");
    Expect(0, 69759, '\p{^-	In_Brahmi}', "");
    Expect(0, 69759, '\P{-	In_Brahmi}', "");
    Expect(1, 69759, '\P{^-	In_Brahmi}', "");
    Expect(0, 69760, '\p{-	In_Brahmi}', "");
    Expect(1, 69760, '\p{^-	In_Brahmi}', "");
    Expect(1, 69760, '\P{-	In_Brahmi}', "");
    Expect(0, 69760, '\P{^-	In_Brahmi}', "");
    Error('\p{-In_BUGINESE:=}');
    Error('\P{-In_BUGINESE:=}');
    Expect(1, 6687, '\p{inbuginese}', "");
    Expect(0, 6687, '\p{^inbuginese}', "");
    Expect(0, 6687, '\P{inbuginese}', "");
    Expect(1, 6687, '\P{^inbuginese}', "");
    Expect(0, 6688, '\p{inbuginese}', "");
    Expect(1, 6688, '\p{^inbuginese}', "");
    Expect(1, 6688, '\P{inbuginese}', "");
    Expect(0, 6688, '\P{^inbuginese}', "");
    Expect(1, 6687, '\p{-_IN_Buginese}', "");
    Expect(0, 6687, '\p{^-_IN_Buginese}', "");
    Expect(0, 6687, '\P{-_IN_Buginese}', "");
    Expect(1, 6687, '\P{^-_IN_Buginese}', "");
    Expect(0, 6688, '\p{-_IN_Buginese}', "");
    Expect(1, 6688, '\p{^-_IN_Buginese}', "");
    Expect(1, 6688, '\P{-_IN_Buginese}', "");
    Expect(0, 6688, '\P{^-_IN_Buginese}', "");
    Error('\p{_ In_buginese:=}');
    Error('\P{_ In_buginese:=}');
    Expect(1, 6687, '\p{_IN_buginese}', "");
    Expect(0, 6687, '\p{^_IN_buginese}', "");
    Expect(0, 6687, '\P{_IN_buginese}', "");
    Expect(1, 6687, '\P{^_IN_buginese}', "");
    Expect(0, 6688, '\p{_IN_buginese}', "");
    Expect(1, 6688, '\p{^_IN_buginese}', "");
    Expect(1, 6688, '\P{_IN_buginese}', "");
    Expect(0, 6688, '\P{^_IN_buginese}', "");
    Error('\p{-in_Buhid/a/}');
    Error('\P{-in_Buhid/a/}');
    Expect(1, 5983, '\p{inbuhid}', "");
    Expect(0, 5983, '\p{^inbuhid}', "");
    Expect(0, 5983, '\P{inbuhid}', "");
    Expect(1, 5983, '\P{^inbuhid}', "");
    Expect(0, 5984, '\p{inbuhid}', "");
    Expect(1, 5984, '\p{^inbuhid}', "");
    Expect(1, 5984, '\P{inbuhid}', "");
    Expect(0, 5984, '\P{^inbuhid}', "");
    Expect(1, 5983, '\p{_In_buhid}', "");
    Expect(0, 5983, '\p{^_In_buhid}', "");
    Expect(0, 5983, '\P{_In_buhid}', "");
    Expect(1, 5983, '\P{^_In_buhid}', "");
    Expect(0, 5984, '\p{_In_buhid}', "");
    Expect(1, 5984, '\p{^_In_buhid}', "");
    Expect(1, 5984, '\P{_In_buhid}', "");
    Expect(0, 5984, '\P{^_In_buhid}', "");
    Error('\p{_:=in_Buhid}');
    Error('\P{_:=in_Buhid}');
    Expect(1, 5983, '\p{in_BUHID}', "");
    Expect(0, 5983, '\p{^in_BUHID}', "");
    Expect(0, 5983, '\P{in_BUHID}', "");
    Expect(1, 5983, '\P{^in_BUHID}', "");
    Expect(0, 5984, '\p{in_BUHID}', "");
    Expect(1, 5984, '\p{^in_BUHID}', "");
    Expect(1, 5984, '\P{in_BUHID}', "");
    Expect(0, 5984, '\P{^in_BUHID}', "");
    Error('\p{/a/__In_Carian}');
    Error('\P{/a/__In_Carian}');
    Expect(1, 66271, '\p{incarian}', "");
    Expect(0, 66271, '\p{^incarian}', "");
    Expect(0, 66271, '\P{incarian}', "");
    Expect(1, 66271, '\P{^incarian}', "");
    Expect(0, 66272, '\p{incarian}', "");
    Expect(1, 66272, '\p{^incarian}', "");
    Expect(1, 66272, '\P{incarian}', "");
    Expect(0, 66272, '\P{^incarian}', "");
    Expect(1, 66271, '\p{  in_Carian}', "");
    Expect(0, 66271, '\p{^  in_Carian}', "");
    Expect(0, 66271, '\P{  in_Carian}', "");
    Expect(1, 66271, '\P{^  in_Carian}', "");
    Expect(0, 66272, '\p{  in_Carian}', "");
    Expect(1, 66272, '\p{^  in_Carian}', "");
    Expect(1, 66272, '\P{  in_Carian}', "");
    Expect(0, 66272, '\P{^  in_Carian}', "");
    Error('\p{ _In_CARIAN:=}');
    Error('\P{ _In_CARIAN:=}');
    Expect(1, 66271, '\p{_-in_Carian}', "");
    Expect(0, 66271, '\p{^_-in_Carian}', "");
    Expect(0, 66271, '\P{_-in_Carian}', "");
    Expect(1, 66271, '\P{^_-in_Carian}', "");
    Expect(0, 66272, '\p{_-in_Carian}', "");
    Expect(1, 66272, '\p{^_-in_Carian}', "");
    Expect(1, 66272, '\P{_-in_Carian}', "");
    Expect(0, 66272, '\P{^_-in_Carian}', "");
    Error('\p{/a/-	In_CAUCASIAN_Albanian}');
    Error('\P{/a/-	In_CAUCASIAN_Albanian}');
    Expect(1, 66927, '\p{incaucasianalbanian}', "");
    Expect(0, 66927, '\p{^incaucasianalbanian}', "");
    Expect(0, 66927, '\P{incaucasianalbanian}', "");
    Expect(1, 66927, '\P{^incaucasianalbanian}', "");
    Expect(0, 66928, '\p{incaucasianalbanian}', "");
    Expect(1, 66928, '\p{^incaucasianalbanian}', "");
    Expect(1, 66928, '\P{incaucasianalbanian}', "");
    Expect(0, 66928, '\P{^incaucasianalbanian}', "");
    Expect(1, 66927, '\p{_In_Caucasian_Albanian}', "");
    Expect(0, 66927, '\p{^_In_Caucasian_Albanian}', "");
    Expect(0, 66927, '\P{_In_Caucasian_Albanian}', "");
    Expect(1, 66927, '\P{^_In_Caucasian_Albanian}', "");
    Expect(0, 66928, '\p{_In_Caucasian_Albanian}', "");
    Expect(1, 66928, '\p{^_In_Caucasian_Albanian}', "");
    Expect(1, 66928, '\P{_In_Caucasian_Albanian}', "");
    Expect(0, 66928, '\P{^_In_Caucasian_Albanian}', "");
    Error('\p{_-In_Caucasian_Albanian/a/}');
    Error('\P{_-In_Caucasian_Albanian/a/}');
    Expect(1, 66927, '\p{-_In_CAUCASIAN_Albanian}', "");
    Expect(0, 66927, '\p{^-_In_CAUCASIAN_Albanian}', "");
    Expect(0, 66927, '\P{-_In_CAUCASIAN_Albanian}', "");
    Expect(1, 66927, '\P{^-_In_CAUCASIAN_Albanian}', "");
    Expect(0, 66928, '\p{-_In_CAUCASIAN_Albanian}', "");
    Expect(1, 66928, '\p{^-_In_CAUCASIAN_Albanian}', "");
    Expect(1, 66928, '\P{-_In_CAUCASIAN_Albanian}', "");
    Expect(0, 66928, '\P{^-_In_CAUCASIAN_Albanian}', "");
    Error('\p{	IN_Chakma:=}');
    Error('\P{	IN_Chakma:=}');
    Expect(1, 69967, '\p{inchakma}', "");
    Expect(0, 69967, '\p{^inchakma}', "");
    Expect(0, 69967, '\P{inchakma}', "");
    Expect(1, 69967, '\P{^inchakma}', "");
    Expect(0, 69968, '\p{inchakma}', "");
    Expect(1, 69968, '\p{^inchakma}', "");
    Expect(1, 69968, '\P{inchakma}', "");
    Expect(0, 69968, '\P{^inchakma}', "");
    Expect(1, 69967, '\p{-_In_Chakma}', "");
    Expect(0, 69967, '\p{^-_In_Chakma}', "");
    Expect(0, 69967, '\P{-_In_Chakma}', "");
    Expect(1, 69967, '\P{^-_In_Chakma}', "");
    Expect(0, 69968, '\p{-_In_Chakma}', "");
    Expect(1, 69968, '\p{^-_In_Chakma}', "");
    Expect(1, 69968, '\P{-_In_Chakma}', "");
    Expect(0, 69968, '\P{^-_In_Chakma}', "");
    Error('\p{ :=IN_Chakma}');
    Error('\P{ :=IN_Chakma}');
    Expect(1, 69967, '\p{_-IN_CHAKMA}', "");
    Expect(0, 69967, '\p{^_-IN_CHAKMA}', "");
    Expect(0, 69967, '\P{_-IN_CHAKMA}', "");
    Expect(1, 69967, '\P{^_-IN_CHAKMA}', "");
    Expect(0, 69968, '\p{_-IN_CHAKMA}', "");
    Expect(1, 69968, '\p{^_-IN_CHAKMA}', "");
    Expect(1, 69968, '\P{_-IN_CHAKMA}', "");
    Expect(0, 69968, '\P{^_-IN_CHAKMA}', "");
    Error('\p{/a/- In_Cham}');
    Error('\P{/a/- In_Cham}');
    Expect(1, 43615, '\p{incham}', "");
    Expect(0, 43615, '\p{^incham}', "");
    Expect(0, 43615, '\P{incham}', "");
    Expect(1, 43615, '\P{^incham}', "");
    Expect(0, 43616, '\p{incham}', "");
    Expect(1, 43616, '\p{^incham}', "");
    Expect(1, 43616, '\P{incham}', "");
    Expect(0, 43616, '\P{^incham}', "");
    Expect(1, 43615, '\p{	IN_Cham}', "");
    Expect(0, 43615, '\p{^	IN_Cham}', "");
    Expect(0, 43615, '\P{	IN_Cham}', "");
    Expect(1, 43615, '\P{^	IN_Cham}', "");
    Expect(0, 43616, '\p{	IN_Cham}', "");
    Expect(1, 43616, '\p{^	IN_Cham}', "");
    Expect(1, 43616, '\P{	IN_Cham}', "");
    Expect(0, 43616, '\P{^	IN_Cham}', "");
    Error('\p{	-IN_Cham/a/}');
    Error('\P{	-IN_Cham/a/}');
    Expect(1, 43615, '\p{-	In_Cham}', "");
    Expect(0, 43615, '\p{^-	In_Cham}', "");
    Expect(0, 43615, '\P{-	In_Cham}', "");
    Expect(1, 43615, '\P{^-	In_Cham}', "");
    Expect(0, 43616, '\p{-	In_Cham}', "");
    Expect(1, 43616, '\p{^-	In_Cham}', "");
    Expect(1, 43616, '\P{-	In_Cham}', "");
    Expect(0, 43616, '\P{^-	In_Cham}', "");
    Error('\p{:=-In_cherokee}');
    Error('\P{:=-In_cherokee}');
    Expect(1, 5119, '\p{incherokee}', "");
    Expect(0, 5119, '\p{^incherokee}', "");
    Expect(0, 5119, '\P{incherokee}', "");
    Expect(1, 5119, '\P{^incherokee}', "");
    Expect(0, 5120, '\p{incherokee}', "");
    Expect(1, 5120, '\p{^incherokee}', "");
    Expect(1, 5120, '\P{incherokee}', "");
    Expect(0, 5120, '\P{^incherokee}', "");
    Expect(1, 5119, '\p{_in_Cherokee}', "");
    Expect(0, 5119, '\p{^_in_Cherokee}', "");
    Expect(0, 5119, '\P{_in_Cherokee}', "");
    Expect(1, 5119, '\P{^_in_Cherokee}', "");
    Expect(0, 5120, '\p{_in_Cherokee}', "");
    Expect(1, 5120, '\p{^_in_Cherokee}', "");
    Expect(1, 5120, '\P{_in_Cherokee}', "");
    Expect(0, 5120, '\P{^_in_Cherokee}', "");
    Error('\p{-/a/IN_cherokee}');
    Error('\P{-/a/IN_cherokee}');
    Expect(1, 5119, '\p{in_cherokee}', "");
    Expect(0, 5119, '\p{^in_cherokee}', "");
    Expect(0, 5119, '\P{in_cherokee}', "");
    Expect(1, 5119, '\P{^in_cherokee}', "");
    Expect(0, 5120, '\p{in_cherokee}', "");
    Expect(1, 5120, '\p{^in_cherokee}', "");
    Expect(1, 5120, '\P{in_cherokee}', "");
    Expect(0, 5120, '\P{^in_cherokee}', "");
    Error('\p{  IN_CHORASMIAN:=}');
    Error('\P{  IN_CHORASMIAN:=}');
    Expect(1, 69599, '\p{inchorasmian}', "");
    Expect(0, 69599, '\p{^inchorasmian}', "");
    Expect(0, 69599, '\P{inchorasmian}', "");
    Expect(1, 69599, '\P{^inchorasmian}', "");
    Expect(0, 69600, '\p{inchorasmian}', "");
    Expect(1, 69600, '\p{^inchorasmian}', "");
    Expect(1, 69600, '\P{inchorasmian}', "");
    Expect(0, 69600, '\P{^inchorasmian}', "");
    Expect(1, 69599, '\p{	In_CHORASMIAN}', "");
    Expect(0, 69599, '\p{^	In_CHORASMIAN}', "");
    Expect(0, 69599, '\P{	In_CHORASMIAN}', "");
    Expect(1, 69599, '\P{^	In_CHORASMIAN}', "");
    Expect(0, 69600, '\p{	In_CHORASMIAN}', "");
    Expect(1, 69600, '\p{^	In_CHORASMIAN}', "");
    Expect(1, 69600, '\P{	In_CHORASMIAN}', "");
    Expect(0, 69600, '\P{^	In_CHORASMIAN}', "");
    Error('\p{ in_Chorasmian:=}');
    Error('\P{ in_Chorasmian:=}');
    Expect(1, 69599, '\p{ _In_Chorasmian}', "");
    Expect(0, 69599, '\p{^ _In_Chorasmian}', "");
    Expect(0, 69599, '\P{ _In_Chorasmian}', "");
    Expect(1, 69599, '\P{^ _In_Chorasmian}', "");
    Expect(0, 69600, '\p{ _In_Chorasmian}', "");
    Expect(1, 69600, '\p{^ _In_Chorasmian}', "");
    Expect(1, 69600, '\P{ _In_Chorasmian}', "");
    Expect(0, 69600, '\P{^ _In_Chorasmian}', "");
    Error('\p{/a/_IN_Coptic}');
    Error('\P{/a/_IN_Coptic}');
    Expect(1, 11519, '\p{incoptic}', "");
    Expect(0, 11519, '\p{^incoptic}', "");
    Expect(0, 11519, '\P{incoptic}', "");
    Expect(1, 11519, '\P{^incoptic}', "");
    Expect(0, 11520, '\p{incoptic}', "");
    Expect(1, 11520, '\p{^incoptic}', "");
    Expect(1, 11520, '\P{incoptic}', "");
    Expect(0, 11520, '\P{^incoptic}', "");
    Expect(1, 11519, '\p{_ in_Coptic}', "");
    Expect(0, 11519, '\p{^_ in_Coptic}', "");
    Expect(0, 11519, '\P{_ in_Coptic}', "");
    Expect(1, 11519, '\P{^_ in_Coptic}', "");
    Expect(0, 11520, '\p{_ in_Coptic}', "");
    Expect(1, 11520, '\p{^_ in_Coptic}', "");
    Expect(1, 11520, '\P{_ in_Coptic}', "");
    Expect(0, 11520, '\P{^_ in_Coptic}', "");
    Error('\p{:=In_coptic}');
    Error('\P{:=In_coptic}');
    Expect(1, 11519, '\p{_In_COPTIC}', "");
    Expect(0, 11519, '\p{^_In_COPTIC}', "");
    Expect(0, 11519, '\P{_In_COPTIC}', "");
    Expect(1, 11519, '\P{^_In_COPTIC}', "");
    Expect(0, 11520, '\p{_In_COPTIC}', "");
    Expect(1, 11520, '\p{^_In_COPTIC}', "");
    Expect(1, 11520, '\P{_In_COPTIC}', "");
    Expect(0, 11520, '\P{^_In_COPTIC}', "");
    Error('\p{	_In_cuneiform:=}');
    Error('\P{	_In_cuneiform:=}');
    Expect(1, 74751, '\p{incuneiform}', "");
    Expect(0, 74751, '\p{^incuneiform}', "");
    Expect(0, 74751, '\P{incuneiform}', "");
    Expect(1, 74751, '\P{^incuneiform}', "");
    Expect(0, 74752, '\p{incuneiform}', "");
    Expect(1, 74752, '\p{^incuneiform}', "");
    Expect(1, 74752, '\P{incuneiform}', "");
    Expect(0, 74752, '\P{^incuneiform}', "");
    Expect(1, 74751, '\p{--IN_CUNEIFORM}', "");
    Expect(0, 74751, '\p{^--IN_CUNEIFORM}', "");
    Expect(0, 74751, '\P{--IN_CUNEIFORM}', "");
    Expect(1, 74751, '\P{^--IN_CUNEIFORM}', "");
    Expect(0, 74752, '\p{--IN_CUNEIFORM}', "");
    Expect(1, 74752, '\p{^--IN_CUNEIFORM}', "");
    Expect(1, 74752, '\P{--IN_CUNEIFORM}', "");
    Expect(0, 74752, '\P{^--IN_CUNEIFORM}', "");
    Error('\p{	/a/In_CUNEIFORM}');
    Error('\P{	/a/In_CUNEIFORM}');
    Expect(1, 74751, '\p{ in_CUNEIFORM}', "");
    Expect(0, 74751, '\p{^ in_CUNEIFORM}', "");
    Expect(0, 74751, '\P{ in_CUNEIFORM}', "");
    Expect(1, 74751, '\P{^ in_CUNEIFORM}', "");
    Expect(0, 74752, '\p{ in_CUNEIFORM}', "");
    Expect(1, 74752, '\p{^ in_CUNEIFORM}', "");
    Expect(1, 74752, '\P{ in_CUNEIFORM}', "");
    Expect(0, 74752, '\P{^ in_CUNEIFORM}', "");
    Error('\p{-/a/In_Cypro_Minoan}');
    Error('\P{-/a/In_Cypro_Minoan}');
    Expect(1, 77823, '\p{incyprominoan}', "");
    Expect(0, 77823, '\p{^incyprominoan}', "");
    Expect(0, 77823, '\P{incyprominoan}', "");
    Expect(1, 77823, '\P{^incyprominoan}', "");
    Expect(0, 77824, '\p{incyprominoan}', "");
    Expect(1, 77824, '\p{^incyprominoan}', "");
    Expect(1, 77824, '\P{incyprominoan}', "");
    Expect(0, 77824, '\P{^incyprominoan}', "");
    Expect(1, 77823, '\p{ _in_cypro_Minoan}', "");
    Expect(0, 77823, '\p{^ _in_cypro_Minoan}', "");
    Expect(0, 77823, '\P{ _in_cypro_Minoan}', "");
    Expect(1, 77823, '\P{^ _in_cypro_Minoan}', "");
    Expect(0, 77824, '\p{ _in_cypro_Minoan}', "");
    Expect(1, 77824, '\p{^ _in_cypro_Minoan}', "");
    Expect(1, 77824, '\P{ _in_cypro_Minoan}', "");
    Expect(0, 77824, '\P{^ _in_cypro_Minoan}', "");
    Error('\p{/a/	In_CYPRO_Minoan}');
    Error('\P{/a/	In_CYPRO_Minoan}');
    Expect(1, 77823, '\p{_-IN_CYPRO_minoan}', "");
    Expect(0, 77823, '\p{^_-IN_CYPRO_minoan}', "");
    Expect(0, 77823, '\P{_-IN_CYPRO_minoan}', "");
    Expect(1, 77823, '\P{^_-IN_CYPRO_minoan}', "");
    Expect(0, 77824, '\p{_-IN_CYPRO_minoan}', "");
    Expect(1, 77824, '\p{^_-IN_CYPRO_minoan}', "");
    Expect(1, 77824, '\P{_-IN_CYPRO_minoan}', "");
    Expect(0, 77824, '\P{^_-IN_CYPRO_minoan}', "");
    Error('\p{-:=IN_Cyrillic}');
    Error('\P{-:=IN_Cyrillic}');
    Expect(1, 1279, '\p{incyrillic}', "");
    Expect(0, 1279, '\p{^incyrillic}', "");
    Expect(0, 1279, '\P{incyrillic}', "");
    Expect(1, 1279, '\P{^incyrillic}', "");
    Expect(0, 1280, '\p{incyrillic}', "");
    Expect(1, 1280, '\p{^incyrillic}', "");
    Expect(1, 1280, '\P{incyrillic}', "");
    Expect(0, 1280, '\P{^incyrillic}', "");
    Expect(1, 1279, '\p{__IN_cyrillic}', "");
    Expect(0, 1279, '\p{^__IN_cyrillic}', "");
    Expect(0, 1279, '\P{__IN_cyrillic}', "");
    Expect(1, 1279, '\P{^__IN_cyrillic}', "");
    Expect(0, 1280, '\p{__IN_cyrillic}', "");
    Expect(1, 1280, '\p{^__IN_cyrillic}', "");
    Expect(1, 1280, '\P{__IN_cyrillic}', "");
    Expect(0, 1280, '\P{^__IN_cyrillic}', "");
    Error('\p{:=IN_Cyrillic}');
    Error('\P{:=IN_Cyrillic}');
    Expect(1, 1279, '\p{ in_Cyrillic}', "");
    Expect(0, 1279, '\p{^ in_Cyrillic}', "");
    Expect(0, 1279, '\P{ in_Cyrillic}', "");
    Expect(1, 1279, '\P{^ in_Cyrillic}', "");
    Expect(0, 1280, '\p{ in_Cyrillic}', "");
    Expect(1, 1280, '\p{^ in_Cyrillic}', "");
    Expect(1, 1280, '\P{ in_Cyrillic}', "");
    Expect(0, 1280, '\P{^ in_Cyrillic}', "");
    Error('\p{_	in_Deseret/a/}');
    Error('\P{_	in_Deseret/a/}');
    Expect(1, 66639, '\p{indeseret}', "");
    Expect(0, 66639, '\p{^indeseret}', "");
    Expect(0, 66639, '\P{indeseret}', "");
    Expect(1, 66639, '\P{^indeseret}', "");
    Expect(0, 66640, '\p{indeseret}', "");
    Expect(1, 66640, '\p{^indeseret}', "");
    Expect(1, 66640, '\P{indeseret}', "");
    Expect(0, 66640, '\P{^indeseret}', "");
    Expect(1, 66639, '\p{-In_Deseret}', "");
    Expect(0, 66639, '\p{^-In_Deseret}', "");
    Expect(0, 66639, '\P{-In_Deseret}', "");
    Expect(1, 66639, '\P{^-In_Deseret}', "");
    Expect(0, 66640, '\p{-In_Deseret}', "");
    Expect(1, 66640, '\p{^-In_Deseret}', "");
    Expect(1, 66640, '\P{-In_Deseret}', "");
    Expect(0, 66640, '\P{^-In_Deseret}', "");
    Error('\p{	in_deseret:=}');
    Error('\P{	in_deseret:=}');
    Expect(1, 66639, '\p{_ In_Deseret}', "");
    Expect(0, 66639, '\p{^_ In_Deseret}', "");
    Expect(0, 66639, '\P{_ In_Deseret}', "");
    Expect(1, 66639, '\P{^_ In_Deseret}', "");
    Expect(0, 66640, '\p{_ In_Deseret}', "");
    Expect(1, 66640, '\p{^_ In_Deseret}', "");
    Expect(1, 66640, '\P{_ In_Deseret}', "");
    Expect(0, 66640, '\P{^_ In_Deseret}', "");
    Error('\p{/a/	In_devanagari}');
    Error('\P{/a/	In_devanagari}');
    Expect(1, 2431, '\p{indevanagari}', "");
    Expect(0, 2431, '\p{^indevanagari}', "");
    Expect(0, 2431, '\P{indevanagari}', "");
    Expect(1, 2431, '\P{^indevanagari}', "");
    Expect(0, 2432, '\p{indevanagari}', "");
    Expect(1, 2432, '\p{^indevanagari}', "");
    Expect(1, 2432, '\P{indevanagari}', "");
    Expect(0, 2432, '\P{^indevanagari}', "");
    Expect(1, 2431, '\p{	In_Devanagari}', "");
    Expect(0, 2431, '\p{^	In_Devanagari}', "");
    Expect(0, 2431, '\P{	In_Devanagari}', "");
    Expect(1, 2431, '\P{^	In_Devanagari}', "");
    Expect(0, 2432, '\p{	In_Devanagari}', "");
    Expect(1, 2432, '\p{^	In_Devanagari}', "");
    Expect(1, 2432, '\P{	In_Devanagari}', "");
    Expect(0, 2432, '\P{^	In_Devanagari}', "");
    Error('\p{	:=in_devanagari}');
    Error('\P{	:=in_devanagari}');
    Expect(1, 2431, '\p{-	in_DEVANAGARI}', "");
    Expect(0, 2431, '\p{^-	in_DEVANAGARI}', "");
    Expect(0, 2431, '\P{-	in_DEVANAGARI}', "");
    Expect(1, 2431, '\P{^-	in_DEVANAGARI}', "");
    Expect(0, 2432, '\p{-	in_DEVANAGARI}', "");
    Expect(1, 2432, '\p{^-	in_DEVANAGARI}', "");
    Expect(1, 2432, '\P{-	in_DEVANAGARI}', "");
    Expect(0, 2432, '\P{^-	in_DEVANAGARI}', "");
    Error('\p{-_IN_DIVES_Akuru:=}');
    Error('\P{-_IN_DIVES_Akuru:=}');
    Expect(1, 72031, '\p{indivesakuru}', "");
    Expect(0, 72031, '\p{^indivesakuru}', "");
    Expect(0, 72031, '\P{indivesakuru}', "");
    Expect(1, 72031, '\P{^indivesakuru}', "");
    Expect(0, 72032, '\p{indivesakuru}', "");
    Expect(1, 72032, '\p{^indivesakuru}', "");
    Expect(1, 72032, '\P{indivesakuru}', "");
    Expect(0, 72032, '\P{^indivesakuru}', "");
    Expect(1, 72031, '\p{--in_Dives_Akuru}', "");
    Expect(0, 72031, '\p{^--in_Dives_Akuru}', "");
    Expect(0, 72031, '\P{--in_Dives_Akuru}', "");
    Expect(1, 72031, '\P{^--in_Dives_Akuru}', "");
    Expect(0, 72032, '\p{--in_Dives_Akuru}', "");
    Expect(1, 72032, '\p{^--in_Dives_Akuru}', "");
    Expect(1, 72032, '\P{--in_Dives_Akuru}', "");
    Expect(0, 72032, '\P{^--in_Dives_Akuru}', "");
    Error('\p{/a/In_DIVES_Akuru}');
    Error('\P{/a/In_DIVES_Akuru}');
    Expect(1, 72031, '\p{-_in_dives_Akuru}', "");
    Expect(0, 72031, '\p{^-_in_dives_Akuru}', "");
    Expect(0, 72031, '\P{-_in_dives_Akuru}', "");
    Expect(1, 72031, '\P{^-_in_dives_Akuru}', "");
    Expect(0, 72032, '\p{-_in_dives_Akuru}', "");
    Expect(1, 72032, '\p{^-_in_dives_Akuru}', "");
    Expect(1, 72032, '\P{-_in_dives_Akuru}', "");
    Expect(0, 72032, '\P{^-_in_dives_Akuru}', "");
    Error('\p{/a/ 	In_Dogra}');
    Error('\P{/a/ 	In_Dogra}');
    Expect(1, 71759, '\p{indogra}', "");
    Expect(0, 71759, '\p{^indogra}', "");
    Expect(0, 71759, '\P{indogra}', "");
    Expect(1, 71759, '\P{^indogra}', "");
    Expect(0, 71760, '\p{indogra}', "");
    Expect(1, 71760, '\p{^indogra}', "");
    Expect(1, 71760, '\P{indogra}', "");
    Expect(0, 71760, '\P{^indogra}', "");
    Expect(1, 71759, '\p{  in_Dogra}', "");
    Expect(0, 71759, '\p{^  in_Dogra}', "");
    Expect(0, 71759, '\P{  in_Dogra}', "");
    Expect(1, 71759, '\P{^  in_Dogra}', "");
    Expect(0, 71760, '\p{  in_Dogra}', "");
    Expect(1, 71760, '\p{^  in_Dogra}', "");
    Expect(1, 71760, '\P{  in_Dogra}', "");
    Expect(0, 71760, '\P{^  in_Dogra}', "");
    Error('\p{IN_Dogra/a/}');
    Error('\P{IN_Dogra/a/}');
    Expect(1, 71759, '\p{ In_dogra}', "");
    Expect(0, 71759, '\p{^ In_dogra}', "");
    Expect(0, 71759, '\P{ In_dogra}', "");
    Expect(1, 71759, '\P{^ In_dogra}', "");
    Expect(0, 71760, '\p{ In_dogra}', "");
    Expect(1, 71760, '\p{^ In_dogra}', "");
    Expect(1, 71760, '\P{ In_dogra}', "");
    Expect(0, 71760, '\P{^ In_dogra}', "");
    Error('\p{:=	_In_duployan}');
    Error('\P{:=	_In_duployan}');
    Expect(1, 113823, '\p{induployan}', "");
    Expect(0, 113823, '\p{^induployan}', "");
    Expect(0, 113823, '\P{induployan}', "");
    Expect(1, 113823, '\P{^induployan}', "");
    Expect(0, 113824, '\p{induployan}', "");
    Expect(1, 113824, '\p{^induployan}', "");
    Expect(1, 113824, '\P{induployan}', "");
    Expect(0, 113824, '\P{^induployan}', "");
    Expect(1, 113823, '\p{-IN_Duployan}', "");
    Expect(0, 113823, '\p{^-IN_Duployan}', "");
    Expect(0, 113823, '\P{-IN_Duployan}', "");
    Expect(1, 113823, '\P{^-IN_Duployan}', "");
    Expect(0, 113824, '\p{-IN_Duployan}', "");
    Expect(1, 113824, '\p{^-IN_Duployan}', "");
    Expect(1, 113824, '\P{-IN_Duployan}', "");
    Expect(0, 113824, '\P{^-IN_Duployan}', "");
    Error('\p{:= -In_Duployan}');
    Error('\P{:= -In_Duployan}');
    Expect(1, 113823, '\p{	-In_DUPLOYAN}', "");
    Expect(0, 113823, '\p{^	-In_DUPLOYAN}', "");
    Expect(0, 113823, '\P{	-In_DUPLOYAN}', "");
    Expect(1, 113823, '\P{^	-In_DUPLOYAN}', "");
    Expect(0, 113824, '\p{	-In_DUPLOYAN}', "");
    Expect(1, 113824, '\p{^	-In_DUPLOYAN}', "");
    Expect(1, 113824, '\P{	-In_DUPLOYAN}', "");
    Expect(0, 113824, '\P{^	-In_DUPLOYAN}', "");
    Error('\p{ :=In_Egyptian_Hieroglyphs}');
    Error('\P{ :=In_Egyptian_Hieroglyphs}');
    Expect(1, 78895, '\p{inegyptianhieroglyphs}', "");
    Expect(0, 78895, '\p{^inegyptianhieroglyphs}', "");
    Expect(0, 78895, '\P{inegyptianhieroglyphs}', "");
    Expect(1, 78895, '\P{^inegyptianhieroglyphs}', "");
    Expect(0, 78896, '\p{inegyptianhieroglyphs}', "");
    Expect(1, 78896, '\p{^inegyptianhieroglyphs}', "");
    Expect(1, 78896, '\P{inegyptianhieroglyphs}', "");
    Expect(0, 78896, '\P{^inegyptianhieroglyphs}', "");
    Expect(1, 78895, '\p{	-In_Egyptian_Hieroglyphs}', "");
    Expect(0, 78895, '\p{^	-In_Egyptian_Hieroglyphs}', "");
    Expect(0, 78895, '\P{	-In_Egyptian_Hieroglyphs}', "");
    Expect(1, 78895, '\P{^	-In_Egyptian_Hieroglyphs}', "");
    Expect(0, 78896, '\p{	-In_Egyptian_Hieroglyphs}', "");
    Expect(1, 78896, '\p{^	-In_Egyptian_Hieroglyphs}', "");
    Expect(1, 78896, '\P{	-In_Egyptian_Hieroglyphs}', "");
    Expect(0, 78896, '\P{^	-In_Egyptian_Hieroglyphs}', "");
    Error('\p{-_In_Egyptian_Hieroglyphs/a/}');
    Error('\P{-_In_Egyptian_Hieroglyphs/a/}');
    Expect(1, 78895, '\p{__In_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78895, '\p{^__In_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78895, '\P{__In_EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78895, '\P{^__In_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78896, '\p{__In_EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78896, '\p{^__In_EGYPTIAN_Hieroglyphs}', "");
    Expect(1, 78896, '\P{__In_EGYPTIAN_Hieroglyphs}', "");
    Expect(0, 78896, '\P{^__In_EGYPTIAN_Hieroglyphs}', "");
    Error('\p{  In_Elbasan:=}');
    Error('\P{  In_Elbasan:=}');
    Expect(1, 66863, '\p{inelbasan}', "");
    Expect(0, 66863, '\p{^inelbasan}', "");
    Expect(0, 66863, '\P{inelbasan}', "");
    Expect(1, 66863, '\P{^inelbasan}', "");
    Expect(0, 66864, '\p{inelbasan}', "");
    Expect(1, 66864, '\p{^inelbasan}', "");
    Expect(1, 66864, '\P{inelbasan}', "");
    Expect(0, 66864, '\P{^inelbasan}', "");
    Expect(1, 66863, '\p{ in_ELBASAN}', "");
    Expect(0, 66863, '\p{^ in_ELBASAN}', "");
    Expect(0, 66863, '\P{ in_ELBASAN}', "");
    Expect(1, 66863, '\P{^ in_ELBASAN}', "");
    Expect(0, 66864, '\p{ in_ELBASAN}', "");
    Expect(1, 66864, '\p{^ in_ELBASAN}', "");
    Expect(1, 66864, '\P{ in_ELBASAN}', "");
    Expect(0, 66864, '\P{^ in_ELBASAN}', "");
    Error('\p{:=- in_ELBASAN}');
    Error('\P{:=- in_ELBASAN}');
    Expect(1, 66863, '\p{		In_Elbasan}', "");
    Expect(0, 66863, '\p{^		In_Elbasan}', "");
    Expect(0, 66863, '\P{		In_Elbasan}', "");
    Expect(1, 66863, '\P{^		In_Elbasan}', "");
    Expect(0, 66864, '\p{		In_Elbasan}', "");
    Expect(1, 66864, '\p{^		In_Elbasan}', "");
    Expect(1, 66864, '\P{		In_Elbasan}', "");
    Expect(0, 66864, '\P{^		In_Elbasan}', "");
    Error('\p{	_In_ELYMAIC:=}');
    Error('\P{	_In_ELYMAIC:=}');
    Expect(1, 69631, '\p{inelymaic}', "");
    Expect(0, 69631, '\p{^inelymaic}', "");
    Expect(0, 69631, '\P{inelymaic}', "");
    Expect(1, 69631, '\P{^inelymaic}', "");
    Expect(0, 69632, '\p{inelymaic}', "");
    Expect(1, 69632, '\p{^inelymaic}', "");
    Expect(1, 69632, '\P{inelymaic}', "");
    Expect(0, 69632, '\P{^inelymaic}', "");
    Expect(1, 69631, '\p{In_Elymaic}', "");
    Expect(0, 69631, '\p{^In_Elymaic}', "");
    Expect(0, 69631, '\P{In_Elymaic}', "");
    Expect(1, 69631, '\P{^In_Elymaic}', "");
    Expect(0, 69632, '\p{In_Elymaic}', "");
    Expect(1, 69632, '\p{^In_Elymaic}', "");
    Expect(1, 69632, '\P{In_Elymaic}', "");
    Expect(0, 69632, '\P{^In_Elymaic}', "");
    Error('\p{	in_Elymaic/a/}');
    Error('\P{	in_Elymaic/a/}');
    Expect(1, 69631, '\p{-_In_ELYMAIC}', "");
    Expect(0, 69631, '\p{^-_In_ELYMAIC}', "");
    Expect(0, 69631, '\P{-_In_ELYMAIC}', "");
    Expect(1, 69631, '\P{^-_In_ELYMAIC}', "");
    Expect(0, 69632, '\p{-_In_ELYMAIC}', "");
    Expect(1, 69632, '\p{^-_In_ELYMAIC}', "");
    Expect(1, 69632, '\P{-_In_ELYMAIC}', "");
    Expect(0, 69632, '\P{^-_In_ELYMAIC}', "");
    Error('\p{	 in_Ethiopic:=}');
    Error('\P{	 in_Ethiopic:=}');
    Expect(1, 4991, '\p{inethiopic}', "");
    Expect(0, 4991, '\p{^inethiopic}', "");
    Expect(0, 4991, '\P{inethiopic}', "");
    Expect(1, 4991, '\P{^inethiopic}', "");
    Expect(0, 4992, '\p{inethiopic}', "");
    Expect(1, 4992, '\p{^inethiopic}', "");
    Expect(1, 4992, '\P{inethiopic}', "");
    Expect(0, 4992, '\P{^inethiopic}', "");
    Expect(1, 4991, '\p{- IN_ETHIOPIC}', "");
    Expect(0, 4991, '\p{^- IN_ETHIOPIC}', "");
    Expect(0, 4991, '\P{- IN_ETHIOPIC}', "");
    Expect(1, 4991, '\P{^- IN_ETHIOPIC}', "");
    Expect(0, 4992, '\p{- IN_ETHIOPIC}', "");
    Expect(1, 4992, '\p{^- IN_ETHIOPIC}', "");
    Expect(1, 4992, '\P{- IN_ETHIOPIC}', "");
    Expect(0, 4992, '\P{^- IN_ETHIOPIC}', "");
    Error('\p{ -in_ethiopic:=}');
    Error('\P{ -in_ethiopic:=}');
    Expect(1, 4991, '\p{ _in_ETHIOPIC}', "");
    Expect(0, 4991, '\p{^ _in_ETHIOPIC}', "");
    Expect(0, 4991, '\P{ _in_ETHIOPIC}', "");
    Expect(1, 4991, '\P{^ _in_ETHIOPIC}', "");
    Expect(0, 4992, '\p{ _in_ETHIOPIC}', "");
    Expect(1, 4992, '\p{^ _in_ETHIOPIC}', "");
    Expect(1, 4992, '\P{ _in_ETHIOPIC}', "");
    Expect(0, 4992, '\P{^ _in_ETHIOPIC}', "");
    Error('\p{:=	_In_Georgian}');
    Error('\P{:=	_In_Georgian}');
    Expect(1, 4351, '\p{ingeorgian}', "");
    Expect(0, 4351, '\p{^ingeorgian}', "");
    Expect(0, 4351, '\P{ingeorgian}', "");
    Expect(1, 4351, '\P{^ingeorgian}', "");
    Expect(0, 4352, '\p{ingeorgian}', "");
    Expect(1, 4352, '\p{^ingeorgian}', "");
    Expect(1, 4352, '\P{ingeorgian}', "");
    Expect(0, 4352, '\P{^ingeorgian}', "");
    Expect(1, 4351, '\p{_In_georgian}', "");
    Expect(0, 4351, '\p{^_In_georgian}', "");
    Expect(0, 4351, '\P{_In_georgian}', "");
    Expect(1, 4351, '\P{^_In_georgian}', "");
    Expect(0, 4352, '\p{_In_georgian}', "");
    Expect(1, 4352, '\p{^_In_georgian}', "");
    Expect(1, 4352, '\P{_In_georgian}', "");
    Expect(0, 4352, '\P{^_In_georgian}', "");
    Error('\p{ /a/in_Georgian}');
    Error('\P{ /a/in_Georgian}');
    Expect(1, 4351, '\p{ IN_Georgian}', "");
    Expect(0, 4351, '\p{^ IN_Georgian}', "");
    Expect(0, 4351, '\P{ IN_Georgian}', "");
    Expect(1, 4351, '\P{^ IN_Georgian}', "");
    Expect(0, 4352, '\p{ IN_Georgian}', "");
    Expect(1, 4352, '\p{^ IN_Georgian}', "");
    Expect(1, 4352, '\P{ IN_Georgian}', "");
    Expect(0, 4352, '\P{^ IN_Georgian}', "");
    Error('\p{		in_Glagolitic/a/}');
    Error('\P{		in_Glagolitic/a/}');
    Expect(1, 11359, '\p{inglagolitic}', "");
    Expect(0, 11359, '\p{^inglagolitic}', "");
    Expect(0, 11359, '\P{inglagolitic}', "");
    Expect(1, 11359, '\P{^inglagolitic}', "");
    Expect(0, 11360, '\p{inglagolitic}', "");
    Expect(1, 11360, '\p{^inglagolitic}', "");
    Expect(1, 11360, '\P{inglagolitic}', "");
    Expect(0, 11360, '\P{^inglagolitic}', "");
    Expect(1, 11359, '\p{ 	IN_glagolitic}', "");
    Expect(0, 11359, '\p{^ 	IN_glagolitic}', "");
    Expect(0, 11359, '\P{ 	IN_glagolitic}', "");
    Expect(1, 11359, '\P{^ 	IN_glagolitic}', "");
    Expect(0, 11360, '\p{ 	IN_glagolitic}', "");
    Expect(1, 11360, '\p{^ 	IN_glagolitic}', "");
    Expect(1, 11360, '\P{ 	IN_glagolitic}', "");
    Expect(0, 11360, '\P{^ 	IN_glagolitic}', "");
    Error('\p{	:=In_glagolitic}');
    Error('\P{	:=In_glagolitic}');
    Expect(1, 11359, '\p{-_in_GLAGOLITIC}', "");
    Expect(0, 11359, '\p{^-_in_GLAGOLITIC}', "");
    Expect(0, 11359, '\P{-_in_GLAGOLITIC}', "");
    Expect(1, 11359, '\P{^-_in_GLAGOLITIC}', "");
    Expect(0, 11360, '\p{-_in_GLAGOLITIC}', "");
    Expect(1, 11360, '\p{^-_in_GLAGOLITIC}', "");
    Expect(1, 11360, '\P{-_in_GLAGOLITIC}', "");
    Expect(0, 11360, '\P{^-_in_GLAGOLITIC}', "");
    Error('\p{_In_Gothic:=}');
    Error('\P{_In_Gothic:=}');
    Expect(1, 66383, '\p{ingothic}', "");
    Expect(0, 66383, '\p{^ingothic}', "");
    Expect(0, 66383, '\P{ingothic}', "");
    Expect(1, 66383, '\P{^ingothic}', "");
    Expect(0, 66384, '\p{ingothic}', "");
    Expect(1, 66384, '\p{^ingothic}', "");
    Expect(1, 66384, '\P{ingothic}', "");
    Expect(0, 66384, '\P{^ingothic}', "");
    Expect(1, 66383, '\p{_ In_GOTHIC}', "");
    Expect(0, 66383, '\p{^_ In_GOTHIC}', "");
    Expect(0, 66383, '\P{_ In_GOTHIC}', "");
    Expect(1, 66383, '\P{^_ In_GOTHIC}', "");
    Expect(0, 66384, '\p{_ In_GOTHIC}', "");
    Expect(1, 66384, '\p{^_ In_GOTHIC}', "");
    Expect(1, 66384, '\P{_ In_GOTHIC}', "");
    Expect(0, 66384, '\P{^_ In_GOTHIC}', "");
    Error('\p{-:=In_gothic}');
    Error('\P{-:=In_gothic}');
    Expect(1, 66383, '\p{_	IN_Gothic}', "");
    Expect(0, 66383, '\p{^_	IN_Gothic}', "");
    Expect(0, 66383, '\P{_	IN_Gothic}', "");
    Expect(1, 66383, '\P{^_	IN_Gothic}', "");
    Expect(0, 66384, '\p{_	IN_Gothic}', "");
    Expect(1, 66384, '\p{^_	IN_Gothic}', "");
    Expect(1, 66384, '\P{_	IN_Gothic}', "");
    Expect(0, 66384, '\P{^_	IN_Gothic}', "");
    Error('\p{ /a/In_Grantha}');
    Error('\P{ /a/In_Grantha}');
    Expect(1, 70527, '\p{ingrantha}', "");
    Expect(0, 70527, '\p{^ingrantha}', "");
    Expect(0, 70527, '\P{ingrantha}', "");
    Expect(1, 70527, '\P{^ingrantha}', "");
    Expect(0, 70528, '\p{ingrantha}', "");
    Expect(1, 70528, '\p{^ingrantha}', "");
    Expect(1, 70528, '\P{ingrantha}', "");
    Expect(0, 70528, '\P{^ingrantha}', "");
    Expect(1, 70527, '\p{ 	In_Grantha}', "");
    Expect(0, 70527, '\p{^ 	In_Grantha}', "");
    Expect(0, 70527, '\P{ 	In_Grantha}', "");
    Expect(1, 70527, '\P{^ 	In_Grantha}', "");
    Expect(0, 70528, '\p{ 	In_Grantha}', "");
    Expect(1, 70528, '\p{^ 	In_Grantha}', "");
    Expect(1, 70528, '\P{ 	In_Grantha}', "");
    Expect(0, 70528, '\P{^ 	In_Grantha}', "");
    Error('\p{/a/in_Grantha}');
    Error('\P{/a/in_Grantha}');
    Expect(1, 70527, '\p{-_IN_GRANTHA}', "");
    Expect(0, 70527, '\p{^-_IN_GRANTHA}', "");
    Expect(0, 70527, '\P{-_IN_GRANTHA}', "");
    Expect(1, 70527, '\P{^-_IN_GRANTHA}', "");
    Expect(0, 70528, '\p{-_IN_GRANTHA}', "");
    Expect(1, 70528, '\p{^-_IN_GRANTHA}', "");
    Expect(1, 70528, '\P{-_IN_GRANTHA}', "");
    Expect(0, 70528, '\P{^-_IN_GRANTHA}', "");
    Error('\p{:=-_IN_Gujarati}');
    Error('\P{:=-_IN_Gujarati}');
    Expect(1, 2815, '\p{ingujarati}', "");
    Expect(0, 2815, '\p{^ingujarati}', "");
    Expect(0, 2815, '\P{ingujarati}', "");
    Expect(1, 2815, '\P{^ingujarati}', "");
    Expect(0, 2816, '\p{ingujarati}', "");
    Expect(1, 2816, '\p{^ingujarati}', "");
    Expect(1, 2816, '\P{ingujarati}', "");
    Expect(0, 2816, '\P{^ingujarati}', "");
    Expect(1, 2815, '\p{-_In_Gujarati}', "");
    Expect(0, 2815, '\p{^-_In_Gujarati}', "");
    Expect(0, 2815, '\P{-_In_Gujarati}', "");
    Expect(1, 2815, '\P{^-_In_Gujarati}', "");
    Expect(0, 2816, '\p{-_In_Gujarati}', "");
    Expect(1, 2816, '\p{^-_In_Gujarati}', "");
    Expect(1, 2816, '\P{-_In_Gujarati}', "");
    Expect(0, 2816, '\P{^-_In_Gujarati}', "");
    Error('\p{-/a/IN_gujarati}');
    Error('\P{-/a/IN_gujarati}');
    Expect(1, 2815, '\p{-In_Gujarati}', "");
    Expect(0, 2815, '\p{^-In_Gujarati}', "");
    Expect(0, 2815, '\P{-In_Gujarati}', "");
    Expect(1, 2815, '\P{^-In_Gujarati}', "");
    Expect(0, 2816, '\p{-In_Gujarati}', "");
    Expect(1, 2816, '\p{^-In_Gujarati}', "");
    Expect(1, 2816, '\P{-In_Gujarati}', "");
    Expect(0, 2816, '\P{^-In_Gujarati}', "");
    Error('\p{  in_gunjala_Gondi:=}');
    Error('\P{  in_gunjala_Gondi:=}');
    Expect(1, 73135, '\p{ingunjalagondi}', "");
    Expect(0, 73135, '\p{^ingunjalagondi}', "");
    Expect(0, 73135, '\P{ingunjalagondi}', "");
    Expect(1, 73135, '\P{^ingunjalagondi}', "");
    Expect(0, 73136, '\p{ingunjalagondi}', "");
    Expect(1, 73136, '\p{^ingunjalagondi}', "");
    Expect(1, 73136, '\P{ingunjalagondi}', "");
    Expect(0, 73136, '\P{^ingunjalagondi}', "");
    Expect(1, 73135, '\p{_	IN_Gunjala_Gondi}', "");
    Expect(0, 73135, '\p{^_	IN_Gunjala_Gondi}', "");
    Expect(0, 73135, '\P{_	IN_Gunjala_Gondi}', "");
    Expect(1, 73135, '\P{^_	IN_Gunjala_Gondi}', "");
    Expect(0, 73136, '\p{_	IN_Gunjala_Gondi}', "");
    Expect(1, 73136, '\p{^_	IN_Gunjala_Gondi}', "");
    Expect(1, 73136, '\P{_	IN_Gunjala_Gondi}', "");
    Expect(0, 73136, '\P{^_	IN_Gunjala_Gondi}', "");
    Error('\p{/a/__In_Gunjala_gondi}');
    Error('\P{/a/__In_Gunjala_gondi}');
    Expect(1, 73135, '\p{-In_GUNJALA_Gondi}', "");
    Expect(0, 73135, '\p{^-In_GUNJALA_Gondi}', "");
    Expect(0, 73135, '\P{-In_GUNJALA_Gondi}', "");
    Expect(1, 73135, '\P{^-In_GUNJALA_Gondi}', "");
    Expect(0, 73136, '\p{-In_GUNJALA_Gondi}', "");
    Expect(1, 73136, '\p{^-In_GUNJALA_Gondi}', "");
    Expect(1, 73136, '\P{-In_GUNJALA_Gondi}', "");
    Expect(0, 73136, '\P{^-In_GUNJALA_Gondi}', "");
    Error('\p{:=-In_GURMUKHI}');
    Error('\P{:=-In_GURMUKHI}');
    Expect(1, 2687, '\p{ingurmukhi}', "");
    Expect(0, 2687, '\p{^ingurmukhi}', "");
    Expect(0, 2687, '\P{ingurmukhi}', "");
    Expect(1, 2687, '\P{^ingurmukhi}', "");
    Expect(0, 2688, '\p{ingurmukhi}', "");
    Expect(1, 2688, '\p{^ingurmukhi}', "");
    Expect(1, 2688, '\P{ingurmukhi}', "");
    Expect(0, 2688, '\P{^ingurmukhi}', "");
    Expect(1, 2687, '\p{ 	IN_GURMUKHI}', "");
    Expect(0, 2687, '\p{^ 	IN_GURMUKHI}', "");
    Expect(0, 2687, '\P{ 	IN_GURMUKHI}', "");
    Expect(1, 2687, '\P{^ 	IN_GURMUKHI}', "");
    Expect(0, 2688, '\p{ 	IN_GURMUKHI}', "");
    Expect(1, 2688, '\p{^ 	IN_GURMUKHI}', "");
    Expect(1, 2688, '\P{ 	IN_GURMUKHI}', "");
    Expect(0, 2688, '\P{^ 	IN_GURMUKHI}', "");
    Error('\p{:=		In_Gurmukhi}');
    Error('\P{:=		In_Gurmukhi}');
    Expect(1, 2687, '\p{ -In_GURMUKHI}', "");
    Expect(0, 2687, '\p{^ -In_GURMUKHI}', "");
    Expect(0, 2687, '\P{ -In_GURMUKHI}', "");
    Expect(1, 2687, '\P{^ -In_GURMUKHI}', "");
    Expect(0, 2688, '\p{ -In_GURMUKHI}', "");
    Expect(1, 2688, '\p{^ -In_GURMUKHI}', "");
    Expect(1, 2688, '\P{ -In_GURMUKHI}', "");
    Expect(0, 2688, '\P{^ -In_GURMUKHI}', "");
    Error('\p{		In_Hanifi_Rohingya:=}');
    Error('\P{		In_Hanifi_Rohingya:=}');
    Expect(1, 68927, '\p{inhanifirohingya}', "");
    Expect(0, 68927, '\p{^inhanifirohingya}', "");
    Expect(0, 68927, '\P{inhanifirohingya}', "");
    Expect(1, 68927, '\P{^inhanifirohingya}', "");
    Expect(0, 68928, '\p{inhanifirohingya}', "");
    Expect(1, 68928, '\p{^inhanifirohingya}', "");
    Expect(1, 68928, '\P{inhanifirohingya}', "");
    Expect(0, 68928, '\P{^inhanifirohingya}', "");
    Expect(1, 68927, '\p{ -In_HANIFI_Rohingya}', "");
    Expect(0, 68927, '\p{^ -In_HANIFI_Rohingya}', "");
    Expect(0, 68927, '\P{ -In_HANIFI_Rohingya}', "");
    Expect(1, 68927, '\P{^ -In_HANIFI_Rohingya}', "");
    Expect(0, 68928, '\p{ -In_HANIFI_Rohingya}', "");
    Expect(1, 68928, '\p{^ -In_HANIFI_Rohingya}', "");
    Expect(1, 68928, '\P{ -In_HANIFI_Rohingya}', "");
    Expect(0, 68928, '\P{^ -In_HANIFI_Rohingya}', "");
    Error('\p{_	IN_HANIFI_Rohingya:=}');
    Error('\P{_	IN_HANIFI_Rohingya:=}');
    Expect(1, 68927, '\p{ IN_Hanifi_ROHINGYA}', "");
    Expect(0, 68927, '\p{^ IN_Hanifi_ROHINGYA}', "");
    Expect(0, 68927, '\P{ IN_Hanifi_ROHINGYA}', "");
    Expect(1, 68927, '\P{^ IN_Hanifi_ROHINGYA}', "");
    Expect(0, 68928, '\p{ IN_Hanifi_ROHINGYA}', "");
    Expect(1, 68928, '\p{^ IN_Hanifi_ROHINGYA}', "");
    Expect(1, 68928, '\P{ IN_Hanifi_ROHINGYA}', "");
    Expect(0, 68928, '\P{^ IN_Hanifi_ROHINGYA}', "");
    Error('\p{_/a/in_Hanunoo}');
    Error('\P{_/a/in_Hanunoo}');
    Expect(1, 5951, '\p{inhanunoo}', "");
    Expect(0, 5951, '\p{^inhanunoo}', "");
    Expect(0, 5951, '\P{inhanunoo}', "");
    Expect(1, 5951, '\P{^inhanunoo}', "");
    Expect(0, 5952, '\p{inhanunoo}', "");
    Expect(1, 5952, '\p{^inhanunoo}', "");
    Expect(1, 5952, '\P{inhanunoo}', "");
    Expect(0, 5952, '\P{^inhanunoo}', "");
    Expect(1, 5951, '\p{	In_Hanunoo}', "");
    Expect(0, 5951, '\p{^	In_Hanunoo}', "");
    Expect(0, 5951, '\P{	In_Hanunoo}', "");
    Expect(1, 5951, '\P{^	In_Hanunoo}', "");
    Expect(0, 5952, '\p{	In_Hanunoo}', "");
    Expect(1, 5952, '\p{^	In_Hanunoo}', "");
    Expect(1, 5952, '\P{	In_Hanunoo}', "");
    Expect(0, 5952, '\P{^	In_Hanunoo}', "");
    Error('\p{	_IN_Hanunoo:=}');
    Error('\P{	_IN_Hanunoo:=}');
    Expect(1, 5951, '\p{_In_hanunoo}', "");
    Expect(0, 5951, '\p{^_In_hanunoo}', "");
    Expect(0, 5951, '\P{_In_hanunoo}', "");
    Expect(1, 5951, '\P{^_In_hanunoo}', "");
    Expect(0, 5952, '\p{_In_hanunoo}', "");
    Expect(1, 5952, '\p{^_In_hanunoo}', "");
    Expect(1, 5952, '\P{_In_hanunoo}', "");
    Expect(0, 5952, '\P{^_In_hanunoo}', "");
    Error('\p{_:=IN_Hatran}');
    Error('\P{_:=IN_Hatran}');
    Expect(1, 67839, '\p{inhatran}', "");
    Expect(0, 67839, '\p{^inhatran}', "");
    Expect(0, 67839, '\P{inhatran}', "");
    Expect(1, 67839, '\P{^inhatran}', "");
    Expect(0, 67840, '\p{inhatran}', "");
    Expect(1, 67840, '\p{^inhatran}', "");
    Expect(1, 67840, '\P{inhatran}', "");
    Expect(0, 67840, '\P{^inhatran}', "");
    Expect(1, 67839, '\p{--In_Hatran}', "");
    Expect(0, 67839, '\p{^--In_Hatran}', "");
    Expect(0, 67839, '\P{--In_Hatran}', "");
    Expect(1, 67839, '\P{^--In_Hatran}', "");
    Expect(0, 67840, '\p{--In_Hatran}', "");
    Expect(1, 67840, '\p{^--In_Hatran}', "");
    Expect(1, 67840, '\P{--In_Hatran}', "");
    Expect(0, 67840, '\P{^--In_Hatran}', "");
    Error('\p{ -In_hatran/a/}');
    Error('\P{ -In_hatran/a/}');
    Expect(1, 67839, '\p{_In_Hatran}', "");
    Expect(0, 67839, '\p{^_In_Hatran}', "");
    Expect(0, 67839, '\P{_In_Hatran}', "");
    Expect(1, 67839, '\P{^_In_Hatran}', "");
    Expect(0, 67840, '\p{_In_Hatran}', "");
    Expect(1, 67840, '\p{^_In_Hatran}', "");
    Expect(1, 67840, '\P{_In_Hatran}', "");
    Expect(0, 67840, '\P{^_In_Hatran}', "");
    Error('\p{/a/  In_Hebrew}');
    Error('\P{/a/  In_Hebrew}');
    Expect(1, 1535, '\p{inhebrew}', "");
    Expect(0, 1535, '\p{^inhebrew}', "");
    Expect(0, 1535, '\P{inhebrew}', "");
    Expect(1, 1535, '\P{^inhebrew}', "");
    Expect(0, 1536, '\p{inhebrew}', "");
    Expect(1, 1536, '\p{^inhebrew}', "");
    Expect(1, 1536, '\P{inhebrew}', "");
    Expect(0, 1536, '\P{^inhebrew}', "");
    Expect(1, 1535, '\p{  In_Hebrew}', "");
    Expect(0, 1535, '\p{^  In_Hebrew}', "");
    Expect(0, 1535, '\P{  In_Hebrew}', "");
    Expect(1, 1535, '\P{^  In_Hebrew}', "");
    Expect(0, 1536, '\p{  In_Hebrew}', "");
    Expect(1, 1536, '\p{^  In_Hebrew}', "");
    Expect(1, 1536, '\P{  In_Hebrew}', "");
    Expect(0, 1536, '\P{^  In_Hebrew}', "");
    Error('\p{	:=in_hebrew}');
    Error('\P{	:=in_hebrew}');
    Expect(1, 1535, '\p{ _In_HEBREW}', "");
    Expect(0, 1535, '\p{^ _In_HEBREW}', "");
    Expect(0, 1535, '\P{ _In_HEBREW}', "");
    Expect(1, 1535, '\P{^ _In_HEBREW}', "");
    Expect(0, 1536, '\p{ _In_HEBREW}', "");
    Expect(1, 1536, '\p{^ _In_HEBREW}', "");
    Expect(1, 1536, '\P{ _In_HEBREW}', "");
    Expect(0, 1536, '\P{^ _In_HEBREW}', "");
    Error('\p{ 	In_HIRAGANA:=}');
    Error('\P{ 	In_HIRAGANA:=}');
    Expect(1, 12447, '\p{inhiragana}', "");
    Expect(0, 12447, '\p{^inhiragana}', "");
    Expect(0, 12447, '\P{inhiragana}', "");
    Expect(1, 12447, '\P{^inhiragana}', "");
    Expect(0, 12448, '\p{inhiragana}', "");
    Expect(1, 12448, '\p{^inhiragana}', "");
    Expect(1, 12448, '\P{inhiragana}', "");
    Expect(0, 12448, '\P{^inhiragana}', "");
    Expect(1, 12447, '\p{	IN_HIRAGANA}', "");
    Expect(0, 12447, '\p{^	IN_HIRAGANA}', "");
    Expect(0, 12447, '\P{	IN_HIRAGANA}', "");
    Expect(1, 12447, '\P{^	IN_HIRAGANA}', "");
    Expect(0, 12448, '\p{	IN_HIRAGANA}', "");
    Expect(1, 12448, '\p{^	IN_HIRAGANA}', "");
    Expect(1, 12448, '\P{	IN_HIRAGANA}', "");
    Expect(0, 12448, '\P{^	IN_HIRAGANA}', "");
    Error('\p{:=		In_HIRAGANA}');
    Error('\P{:=		In_HIRAGANA}');
    Expect(1, 12447, '\p{- IN_Hiragana}', "");
    Expect(0, 12447, '\p{^- IN_Hiragana}', "");
    Expect(0, 12447, '\P{- IN_Hiragana}', "");
    Expect(1, 12447, '\P{^- IN_Hiragana}', "");
    Expect(0, 12448, '\p{- IN_Hiragana}', "");
    Expect(1, 12448, '\p{^- IN_Hiragana}', "");
    Expect(1, 12448, '\P{- IN_Hiragana}', "");
    Expect(0, 12448, '\P{^- IN_Hiragana}', "");
    Error('\p{_:=IN_Imperial_Aramaic}');
    Error('\P{_:=IN_Imperial_Aramaic}');
    Expect(1, 67679, '\p{inimperialaramaic}', "");
    Expect(0, 67679, '\p{^inimperialaramaic}', "");
    Expect(0, 67679, '\P{inimperialaramaic}', "");
    Expect(1, 67679, '\P{^inimperialaramaic}', "");
    Expect(0, 67680, '\p{inimperialaramaic}', "");
    Expect(1, 67680, '\p{^inimperialaramaic}', "");
    Expect(1, 67680, '\P{inimperialaramaic}', "");
    Expect(0, 67680, '\P{^inimperialaramaic}', "");
    Expect(1, 67679, '\p{_	In_Imperial_aramaic}', "");
    Expect(0, 67679, '\p{^_	In_Imperial_aramaic}', "");
    Expect(0, 67679, '\P{_	In_Imperial_aramaic}', "");
    Expect(1, 67679, '\P{^_	In_Imperial_aramaic}', "");
    Expect(0, 67680, '\p{_	In_Imperial_aramaic}', "");
    Expect(1, 67680, '\p{^_	In_Imperial_aramaic}', "");
    Expect(1, 67680, '\P{_	In_Imperial_aramaic}', "");
    Expect(0, 67680, '\P{^_	In_Imperial_aramaic}', "");
    Error('\p{/a/-In_Imperial_ARAMAIC}');
    Error('\P{/a/-In_Imperial_ARAMAIC}');
    Expect(1, 67679, '\p{_ IN_Imperial_Aramaic}', "");
    Expect(0, 67679, '\p{^_ IN_Imperial_Aramaic}', "");
    Expect(0, 67679, '\P{_ IN_Imperial_Aramaic}', "");
    Expect(1, 67679, '\P{^_ IN_Imperial_Aramaic}', "");
    Expect(0, 67680, '\p{_ IN_Imperial_Aramaic}', "");
    Expect(1, 67680, '\p{^_ IN_Imperial_Aramaic}', "");
    Expect(1, 67680, '\P{_ IN_Imperial_Aramaic}', "");
    Expect(0, 67680, '\P{^_ IN_Imperial_Aramaic}', "");
    Error('\p{:=--IN_Inscriptional_Pahlavi}');
    Error('\P{:=--IN_Inscriptional_Pahlavi}');
    Expect(1, 68479, '\p{ininscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^ininscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{ininscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^ininscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{ininscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^ininscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{ininscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^ininscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{_In_Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\p{^_In_Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\P{_In_Inscriptional_pahlavi}', "");
    Expect(1, 68479, '\P{^_In_Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\p{_In_Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\p{^_In_Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\P{_In_Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\P{^_In_Inscriptional_pahlavi}', "");
    Error('\p{	in_Inscriptional_pahlavi:=}');
    Error('\P{	in_Inscriptional_pahlavi:=}');
    Expect(1, 68479, '\p{-IN_Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\p{^-IN_Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\P{-IN_Inscriptional_pahlavi}', "");
    Expect(1, 68479, '\P{^-IN_Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\p{-IN_Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\p{^-IN_Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\P{-IN_Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\P{^-IN_Inscriptional_pahlavi}', "");
    Error('\p{ /a/In_Inscriptional_Parthian}');
    Error('\P{ /a/In_Inscriptional_Parthian}');
    Expect(1, 68447, '\p{ininscriptionalparthian}', "");
    Expect(0, 68447, '\p{^ininscriptionalparthian}', "");
    Expect(0, 68447, '\P{ininscriptionalparthian}', "");
    Expect(1, 68447, '\P{^ininscriptionalparthian}', "");
    Expect(0, 68448, '\p{ininscriptionalparthian}', "");
    Expect(1, 68448, '\p{^ininscriptionalparthian}', "");
    Expect(1, 68448, '\P{ininscriptionalparthian}', "");
    Expect(0, 68448, '\P{^ininscriptionalparthian}', "");
    Expect(1, 68447, '\p{--in_Inscriptional_Parthian}', "");
    Expect(0, 68447, '\p{^--in_Inscriptional_Parthian}', "");
    Expect(0, 68447, '\P{--in_Inscriptional_Parthian}', "");
    Expect(1, 68447, '\P{^--in_Inscriptional_Parthian}', "");
    Expect(0, 68448, '\p{--in_Inscriptional_Parthian}', "");
    Expect(1, 68448, '\p{^--in_Inscriptional_Parthian}', "");
    Expect(1, 68448, '\P{--in_Inscriptional_Parthian}', "");
    Expect(0, 68448, '\P{^--in_Inscriptional_Parthian}', "");
    Error('\p{	_In_inscriptional_Parthian/a/}');
    Error('\P{	_In_inscriptional_Parthian/a/}');
    Expect(1, 68447, '\p{	In_Inscriptional_Parthian}', "");
    Expect(0, 68447, '\p{^	In_Inscriptional_Parthian}', "");
    Expect(0, 68447, '\P{	In_Inscriptional_Parthian}', "");
    Expect(1, 68447, '\P{^	In_Inscriptional_Parthian}', "");
    Expect(0, 68448, '\p{	In_Inscriptional_Parthian}', "");
    Expect(1, 68448, '\p{^	In_Inscriptional_Parthian}', "");
    Expect(1, 68448, '\P{	In_Inscriptional_Parthian}', "");
    Expect(0, 68448, '\P{^	In_Inscriptional_Parthian}', "");
    Error('\p{-IN_javanese:=}');
    Error('\P{-IN_javanese:=}');
    Expect(1, 43487, '\p{injavanese}', "");
    Expect(0, 43487, '\p{^injavanese}', "");
    Expect(0, 43487, '\P{injavanese}', "");
    Expect(1, 43487, '\P{^injavanese}', "");
    Expect(0, 43488, '\p{injavanese}', "");
    Expect(1, 43488, '\p{^injavanese}', "");
    Expect(1, 43488, '\P{injavanese}', "");
    Expect(0, 43488, '\P{^injavanese}', "");
    Expect(1, 43487, '\p{_-IN_Javanese}', "");
    Expect(0, 43487, '\p{^_-IN_Javanese}', "");
    Expect(0, 43487, '\P{_-IN_Javanese}', "");
    Expect(1, 43487, '\P{^_-IN_Javanese}', "");
    Expect(0, 43488, '\p{_-IN_Javanese}', "");
    Expect(1, 43488, '\p{^_-IN_Javanese}', "");
    Expect(1, 43488, '\P{_-IN_Javanese}', "");
    Expect(0, 43488, '\P{^_-IN_Javanese}', "");
    Error('\p{_-in_Javanese:=}');
    Error('\P{_-in_Javanese:=}');
    Expect(1, 43487, '\p{ In_JAVANESE}', "");
    Expect(0, 43487, '\p{^ In_JAVANESE}', "");
    Expect(0, 43487, '\P{ In_JAVANESE}', "");
    Expect(1, 43487, '\P{^ In_JAVANESE}', "");
    Expect(0, 43488, '\p{ In_JAVANESE}', "");
    Expect(1, 43488, '\p{^ In_JAVANESE}', "");
    Expect(1, 43488, '\P{ In_JAVANESE}', "");
    Expect(0, 43488, '\P{^ In_JAVANESE}', "");
    Error('\p{- In_Kaithi:=}');
    Error('\P{- In_Kaithi:=}');
    Expect(1, 69839, '\p{inkaithi}', "");
    Expect(0, 69839, '\p{^inkaithi}', "");
    Expect(0, 69839, '\P{inkaithi}', "");
    Expect(1, 69839, '\P{^inkaithi}', "");
    Expect(0, 69840, '\p{inkaithi}', "");
    Expect(1, 69840, '\p{^inkaithi}', "");
    Expect(1, 69840, '\P{inkaithi}', "");
    Expect(0, 69840, '\P{^inkaithi}', "");
    Expect(1, 69839, '\p{in_KAITHI}', "");
    Expect(0, 69839, '\p{^in_KAITHI}', "");
    Expect(0, 69839, '\P{in_KAITHI}', "");
    Expect(1, 69839, '\P{^in_KAITHI}', "");
    Expect(0, 69840, '\p{in_KAITHI}', "");
    Expect(1, 69840, '\p{^in_KAITHI}', "");
    Expect(1, 69840, '\P{in_KAITHI}', "");
    Expect(0, 69840, '\P{^in_KAITHI}', "");
    Error('\p{/a/ in_Kaithi}');
    Error('\P{/a/ in_Kaithi}');
    Expect(1, 69839, '\p{	IN_Kaithi}', "");
    Expect(0, 69839, '\p{^	IN_Kaithi}', "");
    Expect(0, 69839, '\P{	IN_Kaithi}', "");
    Expect(1, 69839, '\P{^	IN_Kaithi}', "");
    Expect(0, 69840, '\p{	IN_Kaithi}', "");
    Expect(1, 69840, '\p{^	IN_Kaithi}', "");
    Expect(1, 69840, '\P{	IN_Kaithi}', "");
    Expect(0, 69840, '\P{^	IN_Kaithi}', "");
    Error('\p{_:=In_Kannada}');
    Error('\P{_:=In_Kannada}');
    Expect(1, 3327, '\p{inkannada}', "");
    Expect(0, 3327, '\p{^inkannada}', "");
    Expect(0, 3327, '\P{inkannada}', "");
    Expect(1, 3327, '\P{^inkannada}', "");
    Expect(0, 3328, '\p{inkannada}', "");
    Expect(1, 3328, '\p{^inkannada}', "");
    Expect(1, 3328, '\P{inkannada}', "");
    Expect(0, 3328, '\P{^inkannada}', "");
    Expect(1, 3327, '\p{-In_Kannada}', "");
    Expect(0, 3327, '\p{^-In_Kannada}', "");
    Expect(0, 3327, '\P{-In_Kannada}', "");
    Expect(1, 3327, '\P{^-In_Kannada}', "");
    Expect(0, 3328, '\p{-In_Kannada}', "");
    Expect(1, 3328, '\p{^-In_Kannada}', "");
    Expect(1, 3328, '\P{-In_Kannada}', "");
    Expect(0, 3328, '\P{^-In_Kannada}', "");
    Error('\p{	In_KANNADA:=}');
    Error('\P{	In_KANNADA:=}');
    Expect(1, 3327, '\p{ -in_Kannada}', "");
    Expect(0, 3327, '\p{^ -in_Kannada}', "");
    Expect(0, 3327, '\P{ -in_Kannada}', "");
    Expect(1, 3327, '\P{^ -in_Kannada}', "");
    Expect(0, 3328, '\p{ -in_Kannada}', "");
    Expect(1, 3328, '\p{^ -in_Kannada}', "");
    Expect(1, 3328, '\P{ -in_Kannada}', "");
    Expect(0, 3328, '\P{^ -in_Kannada}', "");
    Error('\p{_	In_Katakana/a/}');
    Error('\P{_	In_Katakana/a/}');
    Expect(1, 12543, '\p{inkatakana}', "");
    Expect(0, 12543, '\p{^inkatakana}', "");
    Expect(0, 12543, '\P{inkatakana}', "");
    Expect(1, 12543, '\P{^inkatakana}', "");
    Expect(0, 12544, '\p{inkatakana}', "");
    Expect(1, 12544, '\p{^inkatakana}', "");
    Expect(1, 12544, '\P{inkatakana}', "");
    Expect(0, 12544, '\P{^inkatakana}', "");
    Expect(1, 12543, '\p{-In_katakana}', "");
    Expect(0, 12543, '\p{^-In_katakana}', "");
    Expect(0, 12543, '\P{-In_katakana}', "");
    Expect(1, 12543, '\P{^-In_katakana}', "");
    Expect(0, 12544, '\p{-In_katakana}', "");
    Expect(1, 12544, '\p{^-In_katakana}', "");
    Expect(1, 12544, '\P{-In_katakana}', "");
    Expect(0, 12544, '\P{^-In_katakana}', "");
    Error('\p{ 	IN_Katakana:=}');
    Error('\P{ 	IN_Katakana:=}');
    Expect(1, 12543, '\p{__In_Katakana}', "");
    Expect(0, 12543, '\p{^__In_Katakana}', "");
    Expect(0, 12543, '\P{__In_Katakana}', "");
    Expect(1, 12543, '\P{^__In_Katakana}', "");
    Expect(0, 12544, '\p{__In_Katakana}', "");
    Expect(1, 12544, '\p{^__In_Katakana}', "");
    Expect(1, 12544, '\P{__In_Katakana}', "");
    Expect(0, 12544, '\P{^__In_Katakana}', "");
    Error('\p{_/a/in_Kayah_Li}');
    Error('\P{_/a/in_Kayah_Li}');
    Expect(1, 43311, '\p{inkayahli}', "");
    Expect(0, 43311, '\p{^inkayahli}', "");
    Expect(0, 43311, '\P{inkayahli}', "");
    Expect(1, 43311, '\P{^inkayahli}', "");
    Expect(0, 43312, '\p{inkayahli}', "");
    Expect(1, 43312, '\p{^inkayahli}', "");
    Expect(1, 43312, '\P{inkayahli}', "");
    Expect(0, 43312, '\P{^inkayahli}', "");
    Expect(1, 43311, '\p{_IN_Kayah_Li}', "");
    Expect(0, 43311, '\p{^_IN_Kayah_Li}', "");
    Expect(0, 43311, '\P{_IN_Kayah_Li}', "");
    Expect(1, 43311, '\P{^_IN_Kayah_Li}', "");
    Expect(0, 43312, '\p{_IN_Kayah_Li}', "");
    Expect(1, 43312, '\p{^_IN_Kayah_Li}', "");
    Expect(1, 43312, '\P{_IN_Kayah_Li}', "");
    Expect(0, 43312, '\P{^_IN_Kayah_Li}', "");
    Error('\p{:=-In_KAYAH_Li}');
    Error('\P{:=-In_KAYAH_Li}');
    Expect(1, 43311, '\p{-	In_Kayah_Li}', "");
    Expect(0, 43311, '\p{^-	In_Kayah_Li}', "");
    Expect(0, 43311, '\P{-	In_Kayah_Li}', "");
    Expect(1, 43311, '\P{^-	In_Kayah_Li}', "");
    Expect(0, 43312, '\p{-	In_Kayah_Li}', "");
    Expect(1, 43312, '\p{^-	In_Kayah_Li}', "");
    Expect(1, 43312, '\P{-	In_Kayah_Li}', "");
    Expect(0, 43312, '\P{^-	In_Kayah_Li}', "");
    Error('\p{-in_Kharoshthi:=}');
    Error('\P{-in_Kharoshthi:=}');
    Expect(1, 68191, '\p{inkharoshthi}', "");
    Expect(0, 68191, '\p{^inkharoshthi}', "");
    Expect(0, 68191, '\P{inkharoshthi}', "");
    Expect(1, 68191, '\P{^inkharoshthi}', "");
    Expect(0, 68192, '\p{inkharoshthi}', "");
    Expect(1, 68192, '\p{^inkharoshthi}', "");
    Expect(1, 68192, '\P{inkharoshthi}', "");
    Expect(0, 68192, '\P{^inkharoshthi}', "");
    Expect(1, 68191, '\p{  In_Kharoshthi}', "");
    Expect(0, 68191, '\p{^  In_Kharoshthi}', "");
    Expect(0, 68191, '\P{  In_Kharoshthi}', "");
    Expect(1, 68191, '\P{^  In_Kharoshthi}', "");
    Expect(0, 68192, '\p{  In_Kharoshthi}', "");
    Expect(1, 68192, '\p{^  In_Kharoshthi}', "");
    Expect(1, 68192, '\P{  In_Kharoshthi}', "");
    Expect(0, 68192, '\P{^  In_Kharoshthi}', "");
    Error('\p{-/a/IN_Kharoshthi}');
    Error('\P{-/a/IN_Kharoshthi}');
    Expect(1, 68191, '\p{_ in_KHAROSHTHI}', "");
    Expect(0, 68191, '\p{^_ in_KHAROSHTHI}', "");
    Expect(0, 68191, '\P{_ in_KHAROSHTHI}', "");
    Expect(1, 68191, '\P{^_ in_KHAROSHTHI}', "");
    Expect(0, 68192, '\p{_ in_KHAROSHTHI}', "");
    Expect(1, 68192, '\p{^_ in_KHAROSHTHI}', "");
    Expect(1, 68192, '\P{_ in_KHAROSHTHI}', "");
    Expect(0, 68192, '\P{^_ in_KHAROSHTHI}', "");
    Error('\p{ :=In_Khitan_Small_Script}');
    Error('\P{ :=In_Khitan_Small_Script}');
    Expect(1, 101631, '\p{inkhitansmallscript}', "");
    Expect(0, 101631, '\p{^inkhitansmallscript}', "");
    Expect(0, 101631, '\P{inkhitansmallscript}', "");
    Expect(1, 101631, '\P{^inkhitansmallscript}', "");
    Expect(0, 101632, '\p{inkhitansmallscript}', "");
    Expect(1, 101632, '\p{^inkhitansmallscript}', "");
    Expect(1, 101632, '\P{inkhitansmallscript}', "");
    Expect(0, 101632, '\P{^inkhitansmallscript}', "");
    Expect(1, 101631, '\p{- In_Khitan_small_SCRIPT}', "");
    Expect(0, 101631, '\p{^- In_Khitan_small_SCRIPT}', "");
    Expect(0, 101631, '\P{- In_Khitan_small_SCRIPT}', "");
    Expect(1, 101631, '\P{^- In_Khitan_small_SCRIPT}', "");
    Expect(0, 101632, '\p{- In_Khitan_small_SCRIPT}', "");
    Expect(1, 101632, '\p{^- In_Khitan_small_SCRIPT}', "");
    Expect(1, 101632, '\P{- In_Khitan_small_SCRIPT}', "");
    Expect(0, 101632, '\P{^- In_Khitan_small_SCRIPT}', "");
    Error('\p{	:=In_khitan_small_Script}');
    Error('\P{	:=In_khitan_small_Script}');
    Expect(1, 101631, '\p{in_Khitan_Small_Script}', "");
    Expect(0, 101631, '\p{^in_Khitan_Small_Script}', "");
    Expect(0, 101631, '\P{in_Khitan_Small_Script}', "");
    Expect(1, 101631, '\P{^in_Khitan_Small_Script}', "");
    Expect(0, 101632, '\p{in_Khitan_Small_Script}', "");
    Expect(1, 101632, '\p{^in_Khitan_Small_Script}', "");
    Expect(1, 101632, '\P{in_Khitan_Small_Script}', "");
    Expect(0, 101632, '\P{^in_Khitan_Small_Script}', "");
    Error('\p{/a/ In_Khmer}');
    Error('\P{/a/ In_Khmer}');
    Expect(1, 6143, '\p{inkhmer}', "");
    Expect(0, 6143, '\p{^inkhmer}', "");
    Expect(0, 6143, '\P{inkhmer}', "");
    Expect(1, 6143, '\P{^inkhmer}', "");
    Expect(0, 6144, '\p{inkhmer}', "");
    Expect(1, 6144, '\p{^inkhmer}', "");
    Expect(1, 6144, '\P{inkhmer}', "");
    Expect(0, 6144, '\P{^inkhmer}', "");
    Expect(1, 6143, '\p{ _In_Khmer}', "");
    Expect(0, 6143, '\p{^ _In_Khmer}', "");
    Expect(0, 6143, '\P{ _In_Khmer}', "");
    Expect(1, 6143, '\P{^ _In_Khmer}', "");
    Expect(0, 6144, '\p{ _In_Khmer}', "");
    Expect(1, 6144, '\p{^ _In_Khmer}', "");
    Expect(1, 6144, '\P{ _In_Khmer}', "");
    Expect(0, 6144, '\P{^ _In_Khmer}', "");
    Error('\p{:=in_khmer}');
    Error('\P{:=in_khmer}');
    Expect(1, 6143, '\p{-	IN_Khmer}', "");
    Expect(0, 6143, '\p{^-	IN_Khmer}', "");
    Expect(0, 6143, '\P{-	IN_Khmer}', "");
    Expect(1, 6143, '\P{^-	IN_Khmer}', "");
    Expect(0, 6144, '\p{-	IN_Khmer}', "");
    Expect(1, 6144, '\p{^-	IN_Khmer}', "");
    Expect(1, 6144, '\P{-	IN_Khmer}', "");
    Expect(0, 6144, '\P{^-	IN_Khmer}', "");
    Error('\p{_:=In_khojki}');
    Error('\P{_:=In_khojki}');
    Expect(1, 70223, '\p{inkhojki}', "");
    Expect(0, 70223, '\p{^inkhojki}', "");
    Expect(0, 70223, '\P{inkhojki}', "");
    Expect(1, 70223, '\P{^inkhojki}', "");
    Expect(0, 70224, '\p{inkhojki}', "");
    Expect(1, 70224, '\p{^inkhojki}', "");
    Expect(1, 70224, '\P{inkhojki}', "");
    Expect(0, 70224, '\P{^inkhojki}', "");
    Expect(1, 70223, '\p{ -In_khojki}', "");
    Expect(0, 70223, '\p{^ -In_khojki}', "");
    Expect(0, 70223, '\P{ -In_khojki}', "");
    Expect(1, 70223, '\P{^ -In_khojki}', "");
    Expect(0, 70224, '\p{ -In_khojki}', "");
    Expect(1, 70224, '\p{^ -In_khojki}', "");
    Expect(1, 70224, '\P{ -In_khojki}', "");
    Expect(0, 70224, '\P{^ -In_khojki}', "");
    Error('\p{:=	 In_Khojki}');
    Error('\P{:=	 In_Khojki}');
    Expect(1, 70223, '\p{	-in_Khojki}', "");
    Expect(0, 70223, '\p{^	-in_Khojki}', "");
    Expect(0, 70223, '\P{	-in_Khojki}', "");
    Expect(1, 70223, '\P{^	-in_Khojki}', "");
    Expect(0, 70224, '\p{	-in_Khojki}', "");
    Expect(1, 70224, '\p{^	-in_Khojki}', "");
    Expect(1, 70224, '\P{	-in_Khojki}', "");
    Expect(0, 70224, '\P{^	-in_Khojki}', "");
    Error('\p{_-IN_khudawadi/a/}');
    Error('\P{_-IN_khudawadi/a/}');
    Expect(1, 70399, '\p{inkhudawadi}', "");
    Expect(0, 70399, '\p{^inkhudawadi}', "");
    Expect(0, 70399, '\P{inkhudawadi}', "");
    Expect(1, 70399, '\P{^inkhudawadi}', "");
    Expect(0, 70400, '\p{inkhudawadi}', "");
    Expect(1, 70400, '\p{^inkhudawadi}', "");
    Expect(1, 70400, '\P{inkhudawadi}', "");
    Expect(0, 70400, '\P{^inkhudawadi}', "");
    Expect(1, 70399, '\p{	IN_Khudawadi}', "");
    Expect(0, 70399, '\p{^	IN_Khudawadi}', "");
    Expect(0, 70399, '\P{	IN_Khudawadi}', "");
    Expect(1, 70399, '\P{^	IN_Khudawadi}', "");
    Expect(0, 70400, '\p{	IN_Khudawadi}', "");
    Expect(1, 70400, '\p{^	IN_Khudawadi}', "");
    Expect(1, 70400, '\P{	IN_Khudawadi}', "");
    Expect(0, 70400, '\P{^	IN_Khudawadi}', "");
    Error('\p{/a/ -In_Khudawadi}');
    Error('\P{/a/ -In_Khudawadi}');
    Expect(1, 70399, '\p{- In_Khudawadi}', "");
    Expect(0, 70399, '\p{^- In_Khudawadi}', "");
    Expect(0, 70399, '\P{- In_Khudawadi}', "");
    Expect(1, 70399, '\P{^- In_Khudawadi}', "");
    Expect(0, 70400, '\p{- In_Khudawadi}', "");
    Expect(1, 70400, '\p{^- In_Khudawadi}', "");
    Expect(1, 70400, '\P{- In_Khudawadi}', "");
    Expect(0, 70400, '\P{^- In_Khudawadi}', "");
    Error('\p{/a/-	IN_lao}');
    Error('\P{/a/-	IN_lao}');
    Expect(1, 3839, '\p{inlao}', "");
    Expect(0, 3839, '\p{^inlao}', "");
    Expect(0, 3839, '\P{inlao}', "");
    Expect(1, 3839, '\P{^inlao}', "");
    Expect(0, 3840, '\p{inlao}', "");
    Expect(1, 3840, '\p{^inlao}', "");
    Expect(1, 3840, '\P{inlao}', "");
    Expect(0, 3840, '\P{^inlao}', "");
    Expect(1, 3839, '\p{in_lao}', "");
    Expect(0, 3839, '\p{^in_lao}', "");
    Expect(0, 3839, '\P{in_lao}', "");
    Expect(1, 3839, '\P{^in_lao}', "");
    Expect(0, 3840, '\p{in_lao}', "");
    Expect(1, 3840, '\p{^in_lao}', "");
    Expect(1, 3840, '\P{in_lao}', "");
    Expect(0, 3840, '\P{^in_lao}', "");
    Error('\p{ 	In_Lao:=}');
    Error('\P{ 	In_Lao:=}');
    Expect(1, 3839, '\p{- IN_LAO}', "");
    Expect(0, 3839, '\p{^- IN_LAO}', "");
    Expect(0, 3839, '\P{- IN_LAO}', "");
    Expect(1, 3839, '\P{^- IN_LAO}', "");
    Expect(0, 3840, '\p{- IN_LAO}', "");
    Expect(1, 3840, '\p{^- IN_LAO}', "");
    Expect(1, 3840, '\P{- IN_LAO}', "");
    Expect(0, 3840, '\P{^- IN_LAO}', "");
    Error('\p{__In_Lepcha/a/}');
    Error('\P{__In_Lepcha/a/}');
    Expect(1, 7247, '\p{inlepcha}', "");
    Expect(0, 7247, '\p{^inlepcha}', "");
    Expect(0, 7247, '\P{inlepcha}', "");
    Expect(1, 7247, '\P{^inlepcha}', "");
    Expect(0, 7248, '\p{inlepcha}', "");
    Expect(1, 7248, '\p{^inlepcha}', "");
    Expect(1, 7248, '\P{inlepcha}', "");
    Expect(0, 7248, '\P{^inlepcha}', "");
    Expect(1, 7247, '\p{IN_LEPCHA}', "");
    Expect(0, 7247, '\p{^IN_LEPCHA}', "");
    Expect(0, 7247, '\P{IN_LEPCHA}', "");
    Expect(1, 7247, '\P{^IN_LEPCHA}', "");
    Expect(0, 7248, '\p{IN_LEPCHA}', "");
    Expect(1, 7248, '\p{^IN_LEPCHA}', "");
    Expect(1, 7248, '\P{IN_LEPCHA}', "");
    Expect(0, 7248, '\P{^IN_LEPCHA}', "");
    Error('\p{/a/  IN_Lepcha}');
    Error('\P{/a/  IN_Lepcha}');
    Expect(1, 7247, '\p{ in_lepcha}', "");
    Expect(0, 7247, '\p{^ in_lepcha}', "");
    Expect(0, 7247, '\P{ in_lepcha}', "");
    Expect(1, 7247, '\P{^ in_lepcha}', "");
    Expect(0, 7248, '\p{ in_lepcha}', "");
    Expect(1, 7248, '\p{^ in_lepcha}', "");
    Expect(1, 7248, '\P{ in_lepcha}', "");
    Expect(0, 7248, '\P{^ in_lepcha}', "");
    Error('\p{/a/ In_LIMBU}');
    Error('\P{/a/ In_LIMBU}');
    Expect(1, 6479, '\p{inlimbu}', "");
    Expect(0, 6479, '\p{^inlimbu}', "");
    Expect(0, 6479, '\P{inlimbu}', "");
    Expect(1, 6479, '\P{^inlimbu}', "");
    Expect(0, 6480, '\p{inlimbu}', "");
    Expect(1, 6480, '\p{^inlimbu}', "");
    Expect(1, 6480, '\P{inlimbu}', "");
    Expect(0, 6480, '\P{^inlimbu}', "");
    Expect(1, 6479, '\p{	In_LIMBU}', "");
    Expect(0, 6479, '\p{^	In_LIMBU}', "");
    Expect(0, 6479, '\P{	In_LIMBU}', "");
    Expect(1, 6479, '\P{^	In_LIMBU}', "");
    Expect(0, 6480, '\p{	In_LIMBU}', "");
    Expect(1, 6480, '\p{^	In_LIMBU}', "");
    Expect(1, 6480, '\P{	In_LIMBU}', "");
    Expect(0, 6480, '\P{^	In_LIMBU}', "");
    Error('\p{- In_Limbu:=}');
    Error('\P{- In_Limbu:=}');
    Expect(1, 6479, '\p{ In_Limbu}', "");
    Expect(0, 6479, '\p{^ In_Limbu}', "");
    Expect(0, 6479, '\P{ In_Limbu}', "");
    Expect(1, 6479, '\P{^ In_Limbu}', "");
    Expect(0, 6480, '\p{ In_Limbu}', "");
    Expect(1, 6480, '\p{^ In_Limbu}', "");
    Expect(1, 6480, '\P{ In_Limbu}', "");
    Expect(0, 6480, '\P{^ In_Limbu}', "");
    Error('\p{-:=In_Linear_a}');
    Error('\P{-:=In_Linear_a}');
    Expect(1, 67455, '\p{inlineara}', "");
    Expect(0, 67455, '\p{^inlineara}', "");
    Expect(0, 67455, '\P{inlineara}', "");
    Expect(1, 67455, '\P{^inlineara}', "");
    Expect(0, 67456, '\p{inlineara}', "");
    Expect(1, 67456, '\p{^inlineara}', "");
    Expect(1, 67456, '\P{inlineara}', "");
    Expect(0, 67456, '\P{^inlineara}', "");
    Expect(1, 67455, '\p{_IN_LINEAR_A}', "");
    Expect(0, 67455, '\p{^_IN_LINEAR_A}', "");
    Expect(0, 67455, '\P{_IN_LINEAR_A}', "");
    Expect(1, 67455, '\P{^_IN_LINEAR_A}', "");
    Expect(0, 67456, '\p{_IN_LINEAR_A}', "");
    Expect(1, 67456, '\p{^_IN_LINEAR_A}', "");
    Expect(1, 67456, '\P{_IN_LINEAR_A}', "");
    Expect(0, 67456, '\P{^_IN_LINEAR_A}', "");
    Error('\p{:=	_In_Linear_A}');
    Error('\P{:=	_In_Linear_A}');
    Expect(1, 67455, '\p{-	IN_linear_A}', "");
    Expect(0, 67455, '\p{^-	IN_linear_A}', "");
    Expect(0, 67455, '\P{-	IN_linear_A}', "");
    Expect(1, 67455, '\P{^-	IN_linear_A}', "");
    Expect(0, 67456, '\p{-	IN_linear_A}', "");
    Expect(1, 67456, '\p{^-	IN_linear_A}', "");
    Expect(1, 67456, '\P{-	IN_linear_A}', "");
    Expect(0, 67456, '\P{^-	IN_linear_A}', "");
    Error('\p{	In_lisu:=}');
    Error('\P{	In_lisu:=}');
    Expect(1, 42239, '\p{inlisu}', "");
    Expect(0, 42239, '\p{^inlisu}', "");
    Expect(0, 42239, '\P{inlisu}', "");
    Expect(1, 42239, '\P{^inlisu}', "");
    Expect(0, 42240, '\p{inlisu}', "");
    Expect(1, 42240, '\p{^inlisu}', "");
    Expect(1, 42240, '\P{inlisu}', "");
    Expect(0, 42240, '\P{^inlisu}', "");
    Expect(1, 42239, '\p{		in_LISU}', "");
    Expect(0, 42239, '\p{^		in_LISU}', "");
    Expect(0, 42239, '\P{		in_LISU}', "");
    Expect(1, 42239, '\P{^		in_LISU}', "");
    Expect(0, 42240, '\p{		in_LISU}', "");
    Expect(1, 42240, '\p{^		in_LISU}', "");
    Expect(1, 42240, '\P{		in_LISU}', "");
    Expect(0, 42240, '\P{^		in_LISU}', "");
    Error('\p{	/a/In_LISU}');
    Error('\P{	/a/In_LISU}');
    Expect(1, 42239, '\p{ 	IN_LISU}', "");
    Expect(0, 42239, '\p{^ 	IN_LISU}', "");
    Expect(0, 42239, '\P{ 	IN_LISU}', "");
    Expect(1, 42239, '\P{^ 	IN_LISU}', "");
    Expect(0, 42240, '\p{ 	IN_LISU}', "");
    Expect(1, 42240, '\p{^ 	IN_LISU}', "");
    Expect(1, 42240, '\P{ 	IN_LISU}', "");
    Expect(0, 42240, '\P{^ 	IN_LISU}', "");
    Error('\p{ /a/In_LYCIAN}');
    Error('\P{ /a/In_LYCIAN}');
    Expect(1, 66207, '\p{inlycian}', "");
    Expect(0, 66207, '\p{^inlycian}', "");
    Expect(0, 66207, '\P{inlycian}', "");
    Expect(1, 66207, '\P{^inlycian}', "");
    Expect(0, 66208, '\p{inlycian}', "");
    Expect(1, 66208, '\p{^inlycian}', "");
    Expect(1, 66208, '\P{inlycian}', "");
    Expect(0, 66208, '\P{^inlycian}', "");
    Expect(1, 66207, '\p{_in_lycian}', "");
    Expect(0, 66207, '\p{^_in_lycian}', "");
    Expect(0, 66207, '\P{_in_lycian}', "");
    Expect(1, 66207, '\P{^_in_lycian}', "");
    Expect(0, 66208, '\p{_in_lycian}', "");
    Expect(1, 66208, '\p{^_in_lycian}', "");
    Expect(1, 66208, '\P{_in_lycian}', "");
    Expect(0, 66208, '\P{^_in_lycian}', "");
    Error('\p{/a/ in_lycian}');
    Error('\P{/a/ in_lycian}');
    Expect(1, 66207, '\p{  In_Lycian}', "");
    Expect(0, 66207, '\p{^  In_Lycian}', "");
    Expect(0, 66207, '\P{  In_Lycian}', "");
    Expect(1, 66207, '\P{^  In_Lycian}', "");
    Expect(0, 66208, '\p{  In_Lycian}', "");
    Expect(1, 66208, '\p{^  In_Lycian}', "");
    Expect(1, 66208, '\P{  In_Lycian}', "");
    Expect(0, 66208, '\P{^  In_Lycian}', "");
    Error('\p{- in_Lydian:=}');
    Error('\P{- in_Lydian:=}');
    Expect(1, 67903, '\p{inlydian}', "");
    Expect(0, 67903, '\p{^inlydian}', "");
    Expect(0, 67903, '\P{inlydian}', "");
    Expect(1, 67903, '\P{^inlydian}', "");
    Expect(0, 67904, '\p{inlydian}', "");
    Expect(1, 67904, '\p{^inlydian}', "");
    Expect(1, 67904, '\P{inlydian}', "");
    Expect(0, 67904, '\P{^inlydian}', "");
    Expect(1, 67903, '\p{_In_Lydian}', "");
    Expect(0, 67903, '\p{^_In_Lydian}', "");
    Expect(0, 67903, '\P{_In_Lydian}', "");
    Expect(1, 67903, '\P{^_In_Lydian}', "");
    Expect(0, 67904, '\p{_In_Lydian}', "");
    Expect(1, 67904, '\p{^_In_Lydian}', "");
    Expect(1, 67904, '\P{_In_Lydian}', "");
    Expect(0, 67904, '\P{^_In_Lydian}', "");
    Error('\p{_in_lydian:=}');
    Error('\P{_in_lydian:=}');
    Expect(1, 67903, '\p{-_In_lydian}', "");
    Expect(0, 67903, '\p{^-_In_lydian}', "");
    Expect(0, 67903, '\P{-_In_lydian}', "");
    Expect(1, 67903, '\P{^-_In_lydian}', "");
    Expect(0, 67904, '\p{-_In_lydian}', "");
    Expect(1, 67904, '\p{^-_In_lydian}', "");
    Expect(1, 67904, '\P{-_In_lydian}', "");
    Expect(0, 67904, '\P{^-_In_lydian}', "");
    Error('\p{:=	_In_Mahajani}');
    Error('\P{:=	_In_Mahajani}');
    Expect(1, 70015, '\p{inmahajani}', "");
    Expect(0, 70015, '\p{^inmahajani}', "");
    Expect(0, 70015, '\P{inmahajani}', "");
    Expect(1, 70015, '\P{^inmahajani}', "");
    Expect(0, 70016, '\p{inmahajani}', "");
    Expect(1, 70016, '\p{^inmahajani}', "");
    Expect(1, 70016, '\P{inmahajani}', "");
    Expect(0, 70016, '\P{^inmahajani}', "");
    Expect(1, 70015, '\p{-	in_Mahajani}', "");
    Expect(0, 70015, '\p{^-	in_Mahajani}', "");
    Expect(0, 70015, '\P{-	in_Mahajani}', "");
    Expect(1, 70015, '\P{^-	in_Mahajani}', "");
    Expect(0, 70016, '\p{-	in_Mahajani}', "");
    Expect(1, 70016, '\p{^-	in_Mahajani}', "");
    Expect(1, 70016, '\P{-	in_Mahajani}', "");
    Expect(0, 70016, '\P{^-	in_Mahajani}', "");
    Error('\p{:=  In_MAHAJANI}');
    Error('\P{:=  In_MAHAJANI}');
    Expect(1, 70015, '\p{ 	IN_MAHAJANI}', "");
    Expect(0, 70015, '\p{^ 	IN_MAHAJANI}', "");
    Expect(0, 70015, '\P{ 	IN_MAHAJANI}', "");
    Expect(1, 70015, '\P{^ 	IN_MAHAJANI}', "");
    Expect(0, 70016, '\p{ 	IN_MAHAJANI}', "");
    Expect(1, 70016, '\p{^ 	IN_MAHAJANI}', "");
    Expect(1, 70016, '\P{ 	IN_MAHAJANI}', "");
    Expect(0, 70016, '\P{^ 	IN_MAHAJANI}', "");
    Error('\p{:=-In_MAKASAR}');
    Error('\P{:=-In_MAKASAR}');
    Expect(1, 73471, '\p{inmakasar}', "");
    Expect(0, 73471, '\p{^inmakasar}', "");
    Expect(0, 73471, '\P{inmakasar}', "");
    Expect(1, 73471, '\P{^inmakasar}', "");
    Expect(0, 73472, '\p{inmakasar}', "");
    Expect(1, 73472, '\p{^inmakasar}', "");
    Expect(1, 73472, '\P{inmakasar}', "");
    Expect(0, 73472, '\P{^inmakasar}', "");
    Expect(1, 73471, '\p{ 	In_Makasar}', "");
    Expect(0, 73471, '\p{^ 	In_Makasar}', "");
    Expect(0, 73471, '\P{ 	In_Makasar}', "");
    Expect(1, 73471, '\P{^ 	In_Makasar}', "");
    Expect(0, 73472, '\p{ 	In_Makasar}', "");
    Expect(1, 73472, '\p{^ 	In_Makasar}', "");
    Expect(1, 73472, '\P{ 	In_Makasar}', "");
    Expect(0, 73472, '\P{^ 	In_Makasar}', "");
    Error('\p{/a/in_MAKASAR}');
    Error('\P{/a/in_MAKASAR}');
    Expect(1, 73471, '\p{in_makasar}', "");
    Expect(0, 73471, '\p{^in_makasar}', "");
    Expect(0, 73471, '\P{in_makasar}', "");
    Expect(1, 73471, '\P{^in_makasar}', "");
    Expect(0, 73472, '\p{in_makasar}', "");
    Expect(1, 73472, '\p{^in_makasar}', "");
    Expect(1, 73472, '\P{in_makasar}', "");
    Expect(0, 73472, '\P{^in_makasar}', "");
    Error('\p{	In_malayalam/a/}');
    Error('\P{	In_malayalam/a/}');
    Expect(1, 3455, '\p{inmalayalam}', "");
    Expect(0, 3455, '\p{^inmalayalam}', "");
    Expect(0, 3455, '\P{inmalayalam}', "");
    Expect(1, 3455, '\P{^inmalayalam}', "");
    Expect(0, 3456, '\p{inmalayalam}', "");
    Expect(1, 3456, '\p{^inmalayalam}', "");
    Expect(1, 3456, '\P{inmalayalam}', "");
    Expect(0, 3456, '\P{^inmalayalam}', "");
    Expect(1, 3455, '\p{	In_MALAYALAM}', "");
    Expect(0, 3455, '\p{^	In_MALAYALAM}', "");
    Expect(0, 3455, '\P{	In_MALAYALAM}', "");
    Expect(1, 3455, '\P{^	In_MALAYALAM}', "");
    Expect(0, 3456, '\p{	In_MALAYALAM}', "");
    Expect(1, 3456, '\p{^	In_MALAYALAM}', "");
    Expect(1, 3456, '\P{	In_MALAYALAM}', "");
    Expect(0, 3456, '\P{^	In_MALAYALAM}', "");
    Error('\p{-IN_Malayalam/a/}');
    Error('\P{-IN_Malayalam/a/}');
    Expect(1, 3455, '\p{ _In_Malayalam}', "");
    Expect(0, 3455, '\p{^ _In_Malayalam}', "");
    Expect(0, 3455, '\P{ _In_Malayalam}', "");
    Expect(1, 3455, '\P{^ _In_Malayalam}', "");
    Expect(0, 3456, '\p{ _In_Malayalam}', "");
    Expect(1, 3456, '\p{^ _In_Malayalam}', "");
    Expect(1, 3456, '\P{ _In_Malayalam}', "");
    Expect(0, 3456, '\P{^ _In_Malayalam}', "");
    Error('\p{/a/_in_MANDAIC}');
    Error('\P{/a/_in_MANDAIC}');
    Expect(1, 2143, '\p{inmandaic}', "");
    Expect(0, 2143, '\p{^inmandaic}', "");
    Expect(0, 2143, '\P{inmandaic}', "");
    Expect(1, 2143, '\P{^inmandaic}', "");
    Expect(0, 2144, '\p{inmandaic}', "");
    Expect(1, 2144, '\p{^inmandaic}', "");
    Expect(1, 2144, '\P{inmandaic}', "");
    Expect(0, 2144, '\P{^inmandaic}', "");
    Expect(1, 2143, '\p{_ In_Mandaic}', "");
    Expect(0, 2143, '\p{^_ In_Mandaic}', "");
    Expect(0, 2143, '\P{_ In_Mandaic}', "");
    Expect(1, 2143, '\P{^_ In_Mandaic}', "");
    Expect(0, 2144, '\p{_ In_Mandaic}', "");
    Expect(1, 2144, '\p{^_ In_Mandaic}', "");
    Expect(1, 2144, '\P{_ In_Mandaic}', "");
    Expect(0, 2144, '\P{^_ In_Mandaic}', "");
    Error('\p{IN_mandaic:=}');
    Error('\P{IN_mandaic:=}');
    Expect(1, 2143, '\p{__In_Mandaic}', "");
    Expect(0, 2143, '\p{^__In_Mandaic}', "");
    Expect(0, 2143, '\P{__In_Mandaic}', "");
    Expect(1, 2143, '\P{^__In_Mandaic}', "");
    Expect(0, 2144, '\p{__In_Mandaic}', "");
    Expect(1, 2144, '\p{^__In_Mandaic}', "");
    Expect(1, 2144, '\P{__In_Mandaic}', "");
    Expect(0, 2144, '\P{^__In_Mandaic}', "");
    Error('\p{:=_IN_MANICHAEAN}');
    Error('\P{:=_IN_MANICHAEAN}');
    Expect(1, 68351, '\p{inmanichaean}', "");
    Expect(0, 68351, '\p{^inmanichaean}', "");
    Expect(0, 68351, '\P{inmanichaean}', "");
    Expect(1, 68351, '\P{^inmanichaean}', "");
    Expect(0, 68352, '\p{inmanichaean}', "");
    Expect(1, 68352, '\p{^inmanichaean}', "");
    Expect(1, 68352, '\P{inmanichaean}', "");
    Expect(0, 68352, '\P{^inmanichaean}', "");
    Expect(1, 68351, '\p{	 In_Manichaean}', "");
    Expect(0, 68351, '\p{^	 In_Manichaean}', "");
    Expect(0, 68351, '\P{	 In_Manichaean}', "");
    Expect(1, 68351, '\P{^	 In_Manichaean}', "");
    Expect(0, 68352, '\p{	 In_Manichaean}', "");
    Expect(1, 68352, '\p{^	 In_Manichaean}', "");
    Expect(1, 68352, '\P{	 In_Manichaean}', "");
    Expect(0, 68352, '\P{^	 In_Manichaean}', "");
    Error('\p{_:=In_MANICHAEAN}');
    Error('\P{_:=In_MANICHAEAN}');
    Expect(1, 68351, '\p{_ In_MANICHAEAN}', "");
    Expect(0, 68351, '\p{^_ In_MANICHAEAN}', "");
    Expect(0, 68351, '\P{_ In_MANICHAEAN}', "");
    Expect(1, 68351, '\P{^_ In_MANICHAEAN}', "");
    Expect(0, 68352, '\p{_ In_MANICHAEAN}', "");
    Expect(1, 68352, '\p{^_ In_MANICHAEAN}', "");
    Expect(1, 68352, '\P{_ In_MANICHAEAN}', "");
    Expect(0, 68352, '\P{^_ In_MANICHAEAN}', "");
    Error('\p{_ In_marchen:=}');
    Error('\P{_ In_marchen:=}');
    Expect(1, 72895, '\p{inmarchen}', "");
    Expect(0, 72895, '\p{^inmarchen}', "");
    Expect(0, 72895, '\P{inmarchen}', "");
    Expect(1, 72895, '\P{^inmarchen}', "");
    Expect(0, 72896, '\p{inmarchen}', "");
    Expect(1, 72896, '\p{^inmarchen}', "");
    Expect(1, 72896, '\P{inmarchen}', "");
    Expect(0, 72896, '\P{^inmarchen}', "");
    Expect(1, 72895, '\p{_in_marchen}', "");
    Expect(0, 72895, '\p{^_in_marchen}', "");
    Expect(0, 72895, '\P{_in_marchen}', "");
    Expect(1, 72895, '\P{^_in_marchen}', "");
    Expect(0, 72896, '\p{_in_marchen}', "");
    Expect(1, 72896, '\p{^_in_marchen}', "");
    Expect(1, 72896, '\P{_in_marchen}', "");
    Expect(0, 72896, '\P{^_in_marchen}', "");
    Error('\p{-	IN_Marchen:=}');
    Error('\P{-	IN_Marchen:=}');
    Expect(1, 72895, '\p{In_marchen}', "");
    Expect(0, 72895, '\p{^In_marchen}', "");
    Expect(0, 72895, '\P{In_marchen}', "");
    Expect(1, 72895, '\P{^In_marchen}', "");
    Expect(0, 72896, '\p{In_marchen}', "");
    Expect(1, 72896, '\p{^In_marchen}', "");
    Expect(1, 72896, '\P{In_marchen}', "");
    Expect(0, 72896, '\P{^In_marchen}', "");
    Error('\p{ _IN_masaram_Gondi/a/}');
    Error('\P{ _IN_masaram_Gondi/a/}');
    Expect(1, 73055, '\p{inmasaramgondi}', "");
    Expect(0, 73055, '\p{^inmasaramgondi}', "");
    Expect(0, 73055, '\P{inmasaramgondi}', "");
    Expect(1, 73055, '\P{^inmasaramgondi}', "");
    Expect(0, 73056, '\p{inmasaramgondi}', "");
    Expect(1, 73056, '\p{^inmasaramgondi}', "");
    Expect(1, 73056, '\P{inmasaramgondi}', "");
    Expect(0, 73056, '\P{^inmasaramgondi}', "");
    Expect(1, 73055, '\p{_ In_Masaram_GONDI}', "");
    Expect(0, 73055, '\p{^_ In_Masaram_GONDI}', "");
    Expect(0, 73055, '\P{_ In_Masaram_GONDI}', "");
    Expect(1, 73055, '\P{^_ In_Masaram_GONDI}', "");
    Expect(0, 73056, '\p{_ In_Masaram_GONDI}', "");
    Expect(1, 73056, '\p{^_ In_Masaram_GONDI}', "");
    Expect(1, 73056, '\P{_ In_Masaram_GONDI}', "");
    Expect(0, 73056, '\P{^_ In_Masaram_GONDI}', "");
    Error('\p{/a/  In_MASARAM_GONDI}');
    Error('\P{/a/  In_MASARAM_GONDI}');
    Expect(1, 73055, '\p{ -In_MASARAM_Gondi}', "");
    Expect(0, 73055, '\p{^ -In_MASARAM_Gondi}', "");
    Expect(0, 73055, '\P{ -In_MASARAM_Gondi}', "");
    Expect(1, 73055, '\P{^ -In_MASARAM_Gondi}', "");
    Expect(0, 73056, '\p{ -In_MASARAM_Gondi}', "");
    Expect(1, 73056, '\p{^ -In_MASARAM_Gondi}', "");
    Expect(1, 73056, '\P{ -In_MASARAM_Gondi}', "");
    Expect(0, 73056, '\P{^ -In_MASARAM_Gondi}', "");
    Error('\p{:=	-in_Medefaidrin}');
    Error('\P{:=	-in_Medefaidrin}');
    Expect(1, 93855, '\p{inmedefaidrin}', "");
    Expect(0, 93855, '\p{^inmedefaidrin}', "");
    Expect(0, 93855, '\P{inmedefaidrin}', "");
    Expect(1, 93855, '\P{^inmedefaidrin}', "");
    Expect(0, 93856, '\p{inmedefaidrin}', "");
    Expect(1, 93856, '\p{^inmedefaidrin}', "");
    Expect(1, 93856, '\P{inmedefaidrin}', "");
    Expect(0, 93856, '\P{^inmedefaidrin}', "");
    Expect(1, 93855, '\p{ -IN_medefaidrin}', "");
    Expect(0, 93855, '\p{^ -IN_medefaidrin}', "");
    Expect(0, 93855, '\P{ -IN_medefaidrin}', "");
    Expect(1, 93855, '\P{^ -IN_medefaidrin}', "");
    Expect(0, 93856, '\p{ -IN_medefaidrin}', "");
    Expect(1, 93856, '\p{^ -IN_medefaidrin}', "");
    Expect(1, 93856, '\P{ -IN_medefaidrin}', "");
    Expect(0, 93856, '\P{^ -IN_medefaidrin}', "");
    Error('\p{ :=in_MEDEFAIDRIN}');
    Error('\P{ :=in_MEDEFAIDRIN}');
    Expect(1, 93855, '\p{--IN_Medefaidrin}', "");
    Expect(0, 93855, '\p{^--IN_Medefaidrin}', "");
    Expect(0, 93855, '\P{--IN_Medefaidrin}', "");
    Expect(1, 93855, '\P{^--IN_Medefaidrin}', "");
    Expect(0, 93856, '\p{--IN_Medefaidrin}', "");
    Expect(1, 93856, '\p{^--IN_Medefaidrin}', "");
    Expect(1, 93856, '\P{--IN_Medefaidrin}', "");
    Expect(0, 93856, '\P{^--IN_Medefaidrin}', "");
    Error('\p{/a/	In_MEETEI_Mayek}');
    Error('\P{/a/	In_MEETEI_Mayek}');
    Expect(1, 44031, '\p{inmeeteimayek}', "");
    Expect(0, 44031, '\p{^inmeeteimayek}', "");
    Expect(0, 44031, '\P{inmeeteimayek}', "");
    Expect(1, 44031, '\P{^inmeeteimayek}', "");
    Expect(0, 44032, '\p{inmeeteimayek}', "");
    Expect(1, 44032, '\p{^inmeeteimayek}', "");
    Expect(1, 44032, '\P{inmeeteimayek}', "");
    Expect(0, 44032, '\P{^inmeeteimayek}', "");
    Expect(1, 44031, '\p{	-IN_Meetei_mayek}', "");
    Expect(0, 44031, '\p{^	-IN_Meetei_mayek}', "");
    Expect(0, 44031, '\P{	-IN_Meetei_mayek}', "");
    Expect(1, 44031, '\P{^	-IN_Meetei_mayek}', "");
    Expect(0, 44032, '\p{	-IN_Meetei_mayek}', "");
    Expect(1, 44032, '\p{^	-IN_Meetei_mayek}', "");
    Expect(1, 44032, '\P{	-IN_Meetei_mayek}', "");
    Expect(0, 44032, '\P{^	-IN_Meetei_mayek}', "");
    Error('\p{ :=In_meetei_Mayek}');
    Error('\P{ :=In_meetei_Mayek}');
    Expect(1, 44031, '\p{-IN_meetei_Mayek}', "");
    Expect(0, 44031, '\p{^-IN_meetei_Mayek}', "");
    Expect(0, 44031, '\P{-IN_meetei_Mayek}', "");
    Expect(1, 44031, '\P{^-IN_meetei_Mayek}', "");
    Expect(0, 44032, '\p{-IN_meetei_Mayek}', "");
    Expect(1, 44032, '\p{^-IN_meetei_Mayek}', "");
    Expect(1, 44032, '\P{-IN_meetei_Mayek}', "");
    Expect(0, 44032, '\P{^-IN_meetei_Mayek}', "");
    Error('\p{in_Mende_KIKAKUI:=}');
    Error('\P{in_Mende_KIKAKUI:=}');
    Expect(1, 125151, '\p{inmendekikakui}', "");
    Expect(0, 125151, '\p{^inmendekikakui}', "");
    Expect(0, 125151, '\P{inmendekikakui}', "");
    Expect(1, 125151, '\P{^inmendekikakui}', "");
    Expect(0, 125152, '\p{inmendekikakui}', "");
    Expect(1, 125152, '\p{^inmendekikakui}', "");
    Expect(1, 125152, '\P{inmendekikakui}', "");
    Expect(0, 125152, '\P{^inmendekikakui}', "");
    Expect(1, 125151, '\p{	In_MENDE_KIKAKUI}', "");
    Expect(0, 125151, '\p{^	In_MENDE_KIKAKUI}', "");
    Expect(0, 125151, '\P{	In_MENDE_KIKAKUI}', "");
    Expect(1, 125151, '\P{^	In_MENDE_KIKAKUI}', "");
    Expect(0, 125152, '\p{	In_MENDE_KIKAKUI}', "");
    Expect(1, 125152, '\p{^	In_MENDE_KIKAKUI}', "");
    Expect(1, 125152, '\P{	In_MENDE_KIKAKUI}', "");
    Expect(0, 125152, '\P{^	In_MENDE_KIKAKUI}', "");
    Error('\p{:= _in_mende_kikakui}');
    Error('\P{:= _in_mende_kikakui}');
    Expect(1, 125151, '\p{_	IN_mende_Kikakui}', "");
    Expect(0, 125151, '\p{^_	IN_mende_Kikakui}', "");
    Expect(0, 125151, '\P{_	IN_mende_Kikakui}', "");
    Expect(1, 125151, '\P{^_	IN_mende_Kikakui}', "");
    Expect(0, 125152, '\p{_	IN_mende_Kikakui}', "");
    Expect(1, 125152, '\p{^_	IN_mende_Kikakui}', "");
    Expect(1, 125152, '\P{_	IN_mende_Kikakui}', "");
    Expect(0, 125152, '\P{^_	IN_mende_Kikakui}', "");
    Error('\p{:=	_in_meroitic_cursive}');
    Error('\P{:=	_in_meroitic_cursive}');
    Expect(1, 68095, '\p{inmeroiticcursive}', "");
    Expect(0, 68095, '\p{^inmeroiticcursive}', "");
    Expect(0, 68095, '\P{inmeroiticcursive}', "");
    Expect(1, 68095, '\P{^inmeroiticcursive}', "");
    Expect(0, 68096, '\p{inmeroiticcursive}', "");
    Expect(1, 68096, '\p{^inmeroiticcursive}', "");
    Expect(1, 68096, '\P{inmeroiticcursive}', "");
    Expect(0, 68096, '\P{^inmeroiticcursive}', "");
    Expect(1, 68095, '\p{-In_MEROITIC_Cursive}', "");
    Expect(0, 68095, '\p{^-In_MEROITIC_Cursive}', "");
    Expect(0, 68095, '\P{-In_MEROITIC_Cursive}', "");
    Expect(1, 68095, '\P{^-In_MEROITIC_Cursive}', "");
    Expect(0, 68096, '\p{-In_MEROITIC_Cursive}', "");
    Expect(1, 68096, '\p{^-In_MEROITIC_Cursive}', "");
    Expect(1, 68096, '\P{-In_MEROITIC_Cursive}', "");
    Expect(0, 68096, '\P{^-In_MEROITIC_Cursive}', "");
    Error('\p{--In_MEROITIC_CURSIVE/a/}');
    Error('\P{--In_MEROITIC_CURSIVE/a/}');
    Expect(1, 68095, '\p{_In_Meroitic_Cursive}', "");
    Expect(0, 68095, '\p{^_In_Meroitic_Cursive}', "");
    Expect(0, 68095, '\P{_In_Meroitic_Cursive}', "");
    Expect(1, 68095, '\P{^_In_Meroitic_Cursive}', "");
    Expect(0, 68096, '\p{_In_Meroitic_Cursive}', "");
    Expect(1, 68096, '\p{^_In_Meroitic_Cursive}', "");
    Expect(1, 68096, '\P{_In_Meroitic_Cursive}', "");
    Expect(0, 68096, '\P{^_In_Meroitic_Cursive}', "");
    Error('\p{/a/	in_MEROITIC_hieroglyphs}');
    Error('\P{/a/	in_MEROITIC_hieroglyphs}');
    Expect(1, 67999, '\p{inmeroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^inmeroitichieroglyphs}', "");
    Expect(0, 67999, '\P{inmeroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^inmeroitichieroglyphs}', "");
    Expect(0, 68000, '\p{inmeroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^inmeroitichieroglyphs}', "");
    Expect(1, 68000, '\P{inmeroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^inmeroitichieroglyphs}', "");
    Expect(1, 67999, '\p{ In_Meroitic_hieroglyphs}', "");
    Expect(0, 67999, '\p{^ In_Meroitic_hieroglyphs}', "");
    Expect(0, 67999, '\P{ In_Meroitic_hieroglyphs}', "");
    Expect(1, 67999, '\P{^ In_Meroitic_hieroglyphs}', "");
    Expect(0, 68000, '\p{ In_Meroitic_hieroglyphs}', "");
    Expect(1, 68000, '\p{^ In_Meroitic_hieroglyphs}', "");
    Expect(1, 68000, '\P{ In_Meroitic_hieroglyphs}', "");
    Expect(0, 68000, '\P{^ In_Meroitic_hieroglyphs}', "");
    Error('\p{ 	IN_MEROITIC_Hieroglyphs:=}');
    Error('\P{ 	IN_MEROITIC_Hieroglyphs:=}');
    Expect(1, 67999, '\p{  in_MEROITIC_Hieroglyphs}', "");
    Expect(0, 67999, '\p{^  in_MEROITIC_Hieroglyphs}', "");
    Expect(0, 67999, '\P{  in_MEROITIC_Hieroglyphs}', "");
    Expect(1, 67999, '\P{^  in_MEROITIC_Hieroglyphs}', "");
    Expect(0, 68000, '\p{  in_MEROITIC_Hieroglyphs}', "");
    Expect(1, 68000, '\p{^  in_MEROITIC_Hieroglyphs}', "");
    Expect(1, 68000, '\P{  in_MEROITIC_Hieroglyphs}', "");
    Expect(0, 68000, '\P{^  in_MEROITIC_Hieroglyphs}', "");
    Error('\p{-In_MIAO:=}');
    Error('\P{-In_MIAO:=}');
    Expect(1, 94111, '\p{inmiao}', "");
    Expect(0, 94111, '\p{^inmiao}', "");
    Expect(0, 94111, '\P{inmiao}', "");
    Expect(1, 94111, '\P{^inmiao}', "");
    Expect(0, 94112, '\p{inmiao}', "");
    Expect(1, 94112, '\p{^inmiao}', "");
    Expect(1, 94112, '\P{inmiao}', "");
    Expect(0, 94112, '\P{^inmiao}', "");
    Expect(1, 94111, '\p{ _In_miao}', "");
    Expect(0, 94111, '\p{^ _In_miao}', "");
    Expect(0, 94111, '\P{ _In_miao}', "");
    Expect(1, 94111, '\P{^ _In_miao}', "");
    Expect(0, 94112, '\p{ _In_miao}', "");
    Expect(1, 94112, '\p{^ _In_miao}', "");
    Expect(1, 94112, '\P{ _In_miao}', "");
    Expect(0, 94112, '\P{^ _In_miao}', "");
    Error('\p{	/a/In_Miao}');
    Error('\P{	/a/In_Miao}');
    Error('\p{		in_Modi:=}');
    Error('\P{		in_Modi:=}');
    Expect(1, 71263, '\p{inmodi}', "");
    Expect(0, 71263, '\p{^inmodi}', "");
    Expect(0, 71263, '\P{inmodi}', "");
    Expect(1, 71263, '\P{^inmodi}', "");
    Expect(0, 71264, '\p{inmodi}', "");
    Expect(1, 71264, '\p{^inmodi}', "");
    Expect(1, 71264, '\P{inmodi}', "");
    Expect(0, 71264, '\P{^inmodi}', "");
    Expect(1, 71263, '\p{-IN_modi}', "");
    Expect(0, 71263, '\p{^-IN_modi}', "");
    Expect(0, 71263, '\P{-IN_modi}', "");
    Expect(1, 71263, '\P{^-IN_modi}', "");
    Expect(0, 71264, '\p{-IN_modi}', "");
    Expect(1, 71264, '\p{^-IN_modi}', "");
    Expect(1, 71264, '\P{-IN_modi}', "");
    Expect(0, 71264, '\P{^-IN_modi}', "");
    Error('\p{- In_Modi:=}');
    Error('\P{- In_Modi:=}');
    Expect(1, 71263, '\p{  IN_Modi}', "");
    Expect(0, 71263, '\p{^  IN_Modi}', "");
    Expect(0, 71263, '\P{  IN_Modi}', "");
    Expect(1, 71263, '\P{^  IN_Modi}', "");
    Expect(0, 71264, '\p{  IN_Modi}', "");
    Expect(1, 71264, '\p{^  IN_Modi}', "");
    Expect(1, 71264, '\P{  IN_Modi}', "");
    Expect(0, 71264, '\P{^  IN_Modi}', "");
    Error('\p{:=_ in_Mongolian}');
    Error('\P{:=_ in_Mongolian}');
    Expect(1, 6319, '\p{inmongolian}', "");
    Expect(0, 6319, '\p{^inmongolian}', "");
    Expect(0, 6319, '\P{inmongolian}', "");
    Expect(1, 6319, '\P{^inmongolian}', "");
    Expect(0, 6320, '\p{inmongolian}', "");
    Expect(1, 6320, '\p{^inmongolian}', "");
    Expect(1, 6320, '\P{inmongolian}', "");
    Expect(0, 6320, '\P{^inmongolian}', "");
    Expect(1, 6319, '\p{_IN_mongolian}', "");
    Expect(0, 6319, '\p{^_IN_mongolian}', "");
    Expect(0, 6319, '\P{_IN_mongolian}', "");
    Expect(1, 6319, '\P{^_IN_mongolian}', "");
    Expect(0, 6320, '\p{_IN_mongolian}', "");
    Expect(1, 6320, '\p{^_IN_mongolian}', "");
    Expect(1, 6320, '\P{_IN_mongolian}', "");
    Expect(0, 6320, '\P{^_IN_mongolian}', "");
    Error('\p{	:=in_mongolian}');
    Error('\P{	:=in_mongolian}');
    Expect(1, 6319, '\p{_	in_MONGOLIAN}', "");
    Expect(0, 6319, '\p{^_	in_MONGOLIAN}', "");
    Expect(0, 6319, '\P{_	in_MONGOLIAN}', "");
    Expect(1, 6319, '\P{^_	in_MONGOLIAN}', "");
    Expect(0, 6320, '\p{_	in_MONGOLIAN}', "");
    Expect(1, 6320, '\p{^_	in_MONGOLIAN}', "");
    Expect(1, 6320, '\P{_	in_MONGOLIAN}', "");
    Expect(0, 6320, '\P{^_	in_MONGOLIAN}', "");
    Error('\p{:=-	in_Mro}');
    Error('\P{:=-	in_Mro}');
    Expect(1, 92783, '\p{inmro}', "");
    Expect(0, 92783, '\p{^inmro}', "");
    Expect(0, 92783, '\P{inmro}', "");
    Expect(1, 92783, '\P{^inmro}', "");
    Expect(0, 92784, '\p{inmro}', "");
    Expect(1, 92784, '\p{^inmro}', "");
    Expect(1, 92784, '\P{inmro}', "");
    Expect(0, 92784, '\P{^inmro}', "");
    Expect(1, 92783, '\p{-In_mro}', "");
    Expect(0, 92783, '\p{^-In_mro}', "");
    Expect(0, 92783, '\P{-In_mro}', "");
    Expect(1, 92783, '\P{^-In_mro}', "");
    Expect(0, 92784, '\p{-In_mro}', "");
    Expect(1, 92784, '\p{^-In_mro}', "");
    Expect(1, 92784, '\P{-In_mro}', "");
    Expect(0, 92784, '\P{^-In_mro}', "");
    Error('\p{	-in_MRO/a/}');
    Error('\P{	-in_MRO/a/}');
    Expect(1, 92783, '\p{ In_MRO}', "");
    Expect(0, 92783, '\p{^ In_MRO}', "");
    Expect(0, 92783, '\P{ In_MRO}', "");
    Expect(1, 92783, '\P{^ In_MRO}', "");
    Expect(0, 92784, '\p{ In_MRO}', "");
    Expect(1, 92784, '\p{^ In_MRO}', "");
    Expect(1, 92784, '\P{ In_MRO}', "");
    Expect(0, 92784, '\P{^ In_MRO}', "");
    Error('\p{/a/ IN_Multani}');
    Error('\P{/a/ IN_Multani}');
    Expect(1, 70319, '\p{inmultani}', "");
    Expect(0, 70319, '\p{^inmultani}', "");
    Expect(0, 70319, '\P{inmultani}', "");
    Expect(1, 70319, '\P{^inmultani}', "");
    Expect(0, 70320, '\p{inmultani}', "");
    Expect(1, 70320, '\p{^inmultani}', "");
    Expect(1, 70320, '\P{inmultani}', "");
    Expect(0, 70320, '\P{^inmultani}', "");
    Expect(1, 70319, '\p{_-In_MULTANI}', "");
    Expect(0, 70319, '\p{^_-In_MULTANI}', "");
    Expect(0, 70319, '\P{_-In_MULTANI}', "");
    Expect(1, 70319, '\P{^_-In_MULTANI}', "");
    Expect(0, 70320, '\p{_-In_MULTANI}', "");
    Expect(1, 70320, '\p{^_-In_MULTANI}', "");
    Expect(1, 70320, '\P{_-In_MULTANI}', "");
    Expect(0, 70320, '\P{^_-In_MULTANI}', "");
    Error('\p{-	IN_MULTANI:=}');
    Error('\P{-	IN_MULTANI:=}');
    Expect(1, 70319, '\p{--In_MULTANI}', "");
    Expect(0, 70319, '\p{^--In_MULTANI}', "");
    Expect(0, 70319, '\P{--In_MULTANI}', "");
    Expect(1, 70319, '\P{^--In_MULTANI}', "");
    Expect(0, 70320, '\p{--In_MULTANI}', "");
    Expect(1, 70320, '\p{^--In_MULTANI}', "");
    Expect(1, 70320, '\P{--In_MULTANI}', "");
    Expect(0, 70320, '\P{^--In_MULTANI}', "");
    Error('\p{:=-In_Myanmar}');
    Error('\P{:=-In_Myanmar}');
    Expect(1, 4255, '\p{inmyanmar}', "");
    Expect(0, 4255, '\p{^inmyanmar}', "");
    Expect(0, 4255, '\P{inmyanmar}', "");
    Expect(1, 4255, '\P{^inmyanmar}', "");
    Expect(0, 4256, '\p{inmyanmar}', "");
    Expect(1, 4256, '\p{^inmyanmar}', "");
    Expect(1, 4256, '\P{inmyanmar}', "");
    Expect(0, 4256, '\P{^inmyanmar}', "");
    Expect(1, 4255, '\p{In_myanmar}', "");
    Expect(0, 4255, '\p{^In_myanmar}', "");
    Expect(0, 4255, '\P{In_myanmar}', "");
    Expect(1, 4255, '\P{^In_myanmar}', "");
    Expect(0, 4256, '\p{In_myanmar}', "");
    Expect(1, 4256, '\p{^In_myanmar}', "");
    Expect(1, 4256, '\P{In_myanmar}', "");
    Expect(0, 4256, '\P{^In_myanmar}', "");
    Error('\p{:=_in_MYANMAR}');
    Error('\P{:=_in_MYANMAR}');
    Expect(1, 4255, '\p{ _In_myanmar}', "");
    Expect(0, 4255, '\p{^ _In_myanmar}', "");
    Expect(0, 4255, '\P{ _In_myanmar}', "");
    Expect(1, 4255, '\P{^ _In_myanmar}', "");
    Expect(0, 4256, '\p{ _In_myanmar}', "");
    Expect(1, 4256, '\p{^ _In_myanmar}', "");
    Expect(1, 4256, '\P{ _In_myanmar}', "");
    Expect(0, 4256, '\P{^ _In_myanmar}', "");
    Error('\p{:= _In_Nabataean}');
    Error('\P{:= _In_Nabataean}');
    Expect(1, 67759, '\p{innabataean}', "");
    Expect(0, 67759, '\p{^innabataean}', "");
    Expect(0, 67759, '\P{innabataean}', "");
    Expect(1, 67759, '\P{^innabataean}', "");
    Expect(0, 67760, '\p{innabataean}', "");
    Expect(1, 67760, '\p{^innabataean}', "");
    Expect(1, 67760, '\P{innabataean}', "");
    Expect(0, 67760, '\P{^innabataean}', "");
    Expect(1, 67759, '\p{ 	IN_Nabataean}', "");
    Expect(0, 67759, '\p{^ 	IN_Nabataean}', "");
    Expect(0, 67759, '\P{ 	IN_Nabataean}', "");
    Expect(1, 67759, '\P{^ 	IN_Nabataean}', "");
    Expect(0, 67760, '\p{ 	IN_Nabataean}', "");
    Expect(1, 67760, '\p{^ 	IN_Nabataean}', "");
    Expect(1, 67760, '\P{ 	IN_Nabataean}', "");
    Expect(0, 67760, '\P{^ 	IN_Nabataean}', "");
    Error('\p{ 	In_NABATAEAN/a/}');
    Error('\P{ 	In_NABATAEAN/a/}');
    Expect(1, 67759, '\p{	_in_Nabataean}', "");
    Expect(0, 67759, '\p{^	_in_Nabataean}', "");
    Expect(0, 67759, '\P{	_in_Nabataean}', "");
    Expect(1, 67759, '\P{^	_in_Nabataean}', "");
    Expect(0, 67760, '\p{	_in_Nabataean}', "");
    Expect(1, 67760, '\p{^	_in_Nabataean}', "");
    Expect(1, 67760, '\P{	_in_Nabataean}', "");
    Expect(0, 67760, '\P{^	_in_Nabataean}', "");
    Error('\p{ :=in_nandinagari}');
    Error('\P{ :=in_nandinagari}');
    Expect(1, 72191, '\p{innandinagari}', "");
    Expect(0, 72191, '\p{^innandinagari}', "");
    Expect(0, 72191, '\P{innandinagari}', "");
    Expect(1, 72191, '\P{^innandinagari}', "");
    Expect(0, 72192, '\p{innandinagari}', "");
    Expect(1, 72192, '\p{^innandinagari}', "");
    Expect(1, 72192, '\P{innandinagari}', "");
    Expect(0, 72192, '\P{^innandinagari}', "");
    Expect(1, 72191, '\p{_	IN_Nandinagari}', "");
    Expect(0, 72191, '\p{^_	IN_Nandinagari}', "");
    Expect(0, 72191, '\P{_	IN_Nandinagari}', "");
    Expect(1, 72191, '\P{^_	IN_Nandinagari}', "");
    Expect(0, 72192, '\p{_	IN_Nandinagari}', "");
    Expect(1, 72192, '\p{^_	IN_Nandinagari}', "");
    Expect(1, 72192, '\P{_	IN_Nandinagari}', "");
    Expect(0, 72192, '\P{^_	IN_Nandinagari}', "");
    Error('\p{- In_Nandinagari/a/}');
    Error('\P{- In_Nandinagari/a/}');
    Expect(1, 72191, '\p{	_IN_NANDINAGARI}', "");
    Expect(0, 72191, '\p{^	_IN_NANDINAGARI}', "");
    Expect(0, 72191, '\P{	_IN_NANDINAGARI}', "");
    Expect(1, 72191, '\P{^	_IN_NANDINAGARI}', "");
    Expect(0, 72192, '\p{	_IN_NANDINAGARI}', "");
    Expect(1, 72192, '\p{^	_IN_NANDINAGARI}', "");
    Expect(1, 72192, '\P{	_IN_NANDINAGARI}', "");
    Expect(0, 72192, '\P{^	_IN_NANDINAGARI}', "");
    Error('\p{/a/	-In_New_Tai_lue}');
    Error('\P{/a/	-In_New_Tai_lue}');
    Expect(1, 6623, '\p{innewtailue}', "");
    Expect(0, 6623, '\p{^innewtailue}', "");
    Expect(0, 6623, '\P{innewtailue}', "");
    Expect(1, 6623, '\P{^innewtailue}', "");
    Expect(0, 6624, '\p{innewtailue}', "");
    Expect(1, 6624, '\p{^innewtailue}', "");
    Expect(1, 6624, '\P{innewtailue}', "");
    Expect(0, 6624, '\P{^innewtailue}', "");
    Expect(1, 6623, '\p{-IN_New_Tai_Lue}', "");
    Expect(0, 6623, '\p{^-IN_New_Tai_Lue}', "");
    Expect(0, 6623, '\P{-IN_New_Tai_Lue}', "");
    Expect(1, 6623, '\P{^-IN_New_Tai_Lue}', "");
    Expect(0, 6624, '\p{-IN_New_Tai_Lue}', "");
    Expect(1, 6624, '\p{^-IN_New_Tai_Lue}', "");
    Expect(1, 6624, '\P{-IN_New_Tai_Lue}', "");
    Expect(0, 6624, '\P{^-IN_New_Tai_Lue}', "");
    Error('\p{_ in_new_TAI_Lue:=}');
    Error('\P{_ in_new_TAI_Lue:=}');
    Expect(1, 6623, '\p{ 	In_New_Tai_lue}', "");
    Expect(0, 6623, '\p{^ 	In_New_Tai_lue}', "");
    Expect(0, 6623, '\P{ 	In_New_Tai_lue}', "");
    Expect(1, 6623, '\P{^ 	In_New_Tai_lue}', "");
    Expect(0, 6624, '\p{ 	In_New_Tai_lue}', "");
    Expect(1, 6624, '\p{^ 	In_New_Tai_lue}', "");
    Expect(1, 6624, '\P{ 	In_New_Tai_lue}', "");
    Expect(0, 6624, '\P{^ 	In_New_Tai_lue}', "");
    Error('\p{-/a/IN_Newa}');
    Error('\P{-/a/IN_Newa}');
    Expect(1, 70783, '\p{innewa}', "");
    Expect(0, 70783, '\p{^innewa}', "");
    Expect(0, 70783, '\P{innewa}', "");
    Expect(1, 70783, '\P{^innewa}', "");
    Expect(0, 70784, '\p{innewa}', "");
    Expect(1, 70784, '\p{^innewa}', "");
    Expect(1, 70784, '\P{innewa}', "");
    Expect(0, 70784, '\P{^innewa}', "");
    Expect(1, 70783, '\p{- in_Newa}', "");
    Expect(0, 70783, '\p{^- in_Newa}', "");
    Expect(0, 70783, '\P{- in_Newa}', "");
    Expect(1, 70783, '\P{^- in_Newa}', "");
    Expect(0, 70784, '\p{- in_Newa}', "");
    Expect(1, 70784, '\p{^- in_Newa}', "");
    Expect(1, 70784, '\P{- in_Newa}', "");
    Expect(0, 70784, '\P{^- in_Newa}', "");
    Error('\p{:=_-In_NEWA}');
    Error('\P{:=_-In_NEWA}');
    Expect(1, 70783, '\p{-	in_Newa}', "");
    Expect(0, 70783, '\p{^-	in_Newa}', "");
    Expect(0, 70783, '\P{-	in_Newa}', "");
    Expect(1, 70783, '\P{^-	in_Newa}', "");
    Expect(0, 70784, '\p{-	in_Newa}', "");
    Expect(1, 70784, '\p{^-	in_Newa}', "");
    Expect(1, 70784, '\P{-	in_Newa}', "");
    Expect(0, 70784, '\P{^-	in_Newa}', "");
    Error('\p{_/a/In_nko}');
    Error('\P{_/a/In_nko}');
    Expect(1, 2047, '\p{innko}', "");
    Expect(0, 2047, '\p{^innko}', "");
    Expect(0, 2047, '\P{innko}', "");
    Expect(1, 2047, '\P{^innko}', "");
    Expect(0, 2048, '\p{innko}', "");
    Expect(1, 2048, '\p{^innko}', "");
    Expect(1, 2048, '\P{innko}', "");
    Expect(0, 2048, '\P{^innko}', "");
    Expect(1, 2047, '\p{		In_NKo}', "");
    Expect(0, 2047, '\p{^		In_NKo}', "");
    Expect(0, 2047, '\P{		In_NKo}', "");
    Expect(1, 2047, '\P{^		In_NKo}', "");
    Expect(0, 2048, '\p{		In_NKo}', "");
    Expect(1, 2048, '\p{^		In_NKo}', "");
    Expect(1, 2048, '\P{		In_NKo}', "");
    Expect(0, 2048, '\P{^		In_NKo}', "");
    Error('\p{	:=In_nko}');
    Error('\P{	:=In_nko}');
    Expect(1, 2047, '\p{ -in_NKo}', "");
    Expect(0, 2047, '\p{^ -in_NKo}', "");
    Expect(0, 2047, '\P{ -in_NKo}', "");
    Expect(1, 2047, '\P{^ -in_NKo}', "");
    Expect(0, 2048, '\p{ -in_NKo}', "");
    Expect(1, 2048, '\p{^ -in_NKo}', "");
    Expect(1, 2048, '\P{ -in_NKo}', "");
    Expect(0, 2048, '\P{^ -in_NKo}', "");
    Error('\p{/a/	In_nushu}');
    Error('\P{/a/	In_nushu}');
    Expect(1, 111359, '\p{innushu}', "");
    Expect(0, 111359, '\p{^innushu}', "");
    Expect(0, 111359, '\P{innushu}', "");
    Expect(1, 111359, '\P{^innushu}', "");
    Expect(0, 111360, '\p{innushu}', "");
    Expect(1, 111360, '\p{^innushu}', "");
    Expect(1, 111360, '\P{innushu}', "");
    Expect(0, 111360, '\P{^innushu}', "");
    Expect(1, 111359, '\p{_	In_NUSHU}', "");
    Expect(0, 111359, '\p{^_	In_NUSHU}', "");
    Expect(0, 111359, '\P{_	In_NUSHU}', "");
    Expect(1, 111359, '\P{^_	In_NUSHU}', "");
    Expect(0, 111360, '\p{_	In_NUSHU}', "");
    Expect(1, 111360, '\p{^_	In_NUSHU}', "");
    Expect(1, 111360, '\P{_	In_NUSHU}', "");
    Expect(0, 111360, '\P{^_	In_NUSHU}', "");
    Error('\p{--IN_nushu/a/}');
    Error('\P{--IN_nushu/a/}');
    Expect(1, 111359, '\p{In_NUSHU}', "");
    Expect(0, 111359, '\p{^In_NUSHU}', "");
    Expect(0, 111359, '\P{In_NUSHU}', "");
    Expect(1, 111359, '\P{^In_NUSHU}', "");
    Expect(0, 111360, '\p{In_NUSHU}', "");
    Expect(1, 111360, '\p{^In_NUSHU}', "");
    Expect(1, 111360, '\P{In_NUSHU}', "");
    Expect(0, 111360, '\P{^In_NUSHU}', "");
    Error('\p{ _in_nyiakeng_PUACHUE_HMONG/a/}');
    Error('\P{ _in_nyiakeng_PUACHUE_HMONG/a/}');
    Expect(1, 123215, '\p{innyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^innyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{innyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^innyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{innyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^innyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{innyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^innyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{	 IN_nyiakeng_puachue_Hmong}', "");
    Expect(0, 123215, '\p{^	 IN_nyiakeng_puachue_Hmong}', "");
    Expect(0, 123215, '\P{	 IN_nyiakeng_puachue_Hmong}', "");
    Expect(1, 123215, '\P{^	 IN_nyiakeng_puachue_Hmong}', "");
    Expect(0, 123216, '\p{	 IN_nyiakeng_puachue_Hmong}', "");
    Expect(1, 123216, '\p{^	 IN_nyiakeng_puachue_Hmong}', "");
    Expect(1, 123216, '\P{	 IN_nyiakeng_puachue_Hmong}', "");
    Expect(0, 123216, '\P{^	 IN_nyiakeng_puachue_Hmong}', "");
    Error('\p{:=In_nyiakeng_Puachue_hmong}');
    Error('\P{:=In_nyiakeng_Puachue_hmong}');
    Expect(1, 123215, '\p{ -in_nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\p{^ -in_nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\P{ -in_nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123215, '\P{^ -in_nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\p{ -in_nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\p{^ -in_nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\P{ -in_nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\P{^ -in_nyiakeng_Puachue_Hmong}', "");
    Error('\p{:= In_Ogham}');
    Error('\P{:= In_Ogham}');
    Expect(1, 5791, '\p{inogham}', "");
    Expect(0, 5791, '\p{^inogham}', "");
    Expect(0, 5791, '\P{inogham}', "");
    Expect(1, 5791, '\P{^inogham}', "");
    Expect(0, 5792, '\p{inogham}', "");
    Expect(1, 5792, '\p{^inogham}', "");
    Expect(1, 5792, '\P{inogham}', "");
    Expect(0, 5792, '\P{^inogham}', "");
    Expect(1, 5791, '\p{--In_ogham}', "");
    Expect(0, 5791, '\p{^--In_ogham}', "");
    Expect(0, 5791, '\P{--In_ogham}', "");
    Expect(1, 5791, '\P{^--In_ogham}', "");
    Expect(0, 5792, '\p{--In_ogham}', "");
    Expect(1, 5792, '\p{^--In_ogham}', "");
    Expect(1, 5792, '\P{--In_ogham}', "");
    Expect(0, 5792, '\P{^--In_ogham}', "");
    Error('\p{ 	in_Ogham:=}');
    Error('\P{ 	in_Ogham:=}');
    Expect(1, 5791, '\p{ -In_Ogham}', "");
    Expect(0, 5791, '\p{^ -In_Ogham}', "");
    Expect(0, 5791, '\P{ -In_Ogham}', "");
    Expect(1, 5791, '\P{^ -In_Ogham}', "");
    Expect(0, 5792, '\p{ -In_Ogham}', "");
    Expect(1, 5792, '\p{^ -In_Ogham}', "");
    Expect(1, 5792, '\P{ -In_Ogham}', "");
    Expect(0, 5792, '\P{^ -In_Ogham}', "");
    Error('\p{-:=In_ol_CHIKI}');
    Error('\P{-:=In_ol_CHIKI}');
    Expect(1, 7295, '\p{inolchiki}', "");
    Expect(0, 7295, '\p{^inolchiki}', "");
    Expect(0, 7295, '\P{inolchiki}', "");
    Expect(1, 7295, '\P{^inolchiki}', "");
    Expect(0, 7296, '\p{inolchiki}', "");
    Expect(1, 7296, '\p{^inolchiki}', "");
    Expect(1, 7296, '\P{inolchiki}', "");
    Expect(0, 7296, '\P{^inolchiki}', "");
    Expect(1, 7295, '\p{	In_OL_Chiki}', "");
    Expect(0, 7295, '\p{^	In_OL_Chiki}', "");
    Expect(0, 7295, '\P{	In_OL_Chiki}', "");
    Expect(1, 7295, '\P{^	In_OL_Chiki}', "");
    Expect(0, 7296, '\p{	In_OL_Chiki}', "");
    Expect(1, 7296, '\p{^	In_OL_Chiki}', "");
    Expect(1, 7296, '\P{	In_OL_Chiki}', "");
    Expect(0, 7296, '\P{^	In_OL_Chiki}', "");
    Error('\p{ :=In_Ol_chiki}');
    Error('\P{ :=In_Ol_chiki}');
    Expect(1, 7295, '\p{_-In_OL_Chiki}', "");
    Expect(0, 7295, '\p{^_-In_OL_Chiki}', "");
    Expect(0, 7295, '\P{_-In_OL_Chiki}', "");
    Expect(1, 7295, '\P{^_-In_OL_Chiki}', "");
    Expect(0, 7296, '\p{_-In_OL_Chiki}', "");
    Expect(1, 7296, '\p{^_-In_OL_Chiki}', "");
    Expect(1, 7296, '\P{_-In_OL_Chiki}', "");
    Expect(0, 7296, '\P{^_-In_OL_Chiki}', "");
    Error('\p{-In_Old_HUNGARIAN:=}');
    Error('\P{-In_Old_HUNGARIAN:=}');
    Expect(1, 68863, '\p{inoldhungarian}', "");
    Expect(0, 68863, '\p{^inoldhungarian}', "");
    Expect(0, 68863, '\P{inoldhungarian}', "");
    Expect(1, 68863, '\P{^inoldhungarian}', "");
    Expect(0, 68864, '\p{inoldhungarian}', "");
    Expect(1, 68864, '\p{^inoldhungarian}', "");
    Expect(1, 68864, '\P{inoldhungarian}', "");
    Expect(0, 68864, '\P{^inoldhungarian}', "");
    Expect(1, 68863, '\p{  In_OLD_hungarian}', "");
    Expect(0, 68863, '\p{^  In_OLD_hungarian}', "");
    Expect(0, 68863, '\P{  In_OLD_hungarian}', "");
    Expect(1, 68863, '\P{^  In_OLD_hungarian}', "");
    Expect(0, 68864, '\p{  In_OLD_hungarian}', "");
    Expect(1, 68864, '\p{^  In_OLD_hungarian}', "");
    Expect(1, 68864, '\P{  In_OLD_hungarian}', "");
    Expect(0, 68864, '\P{^  In_OLD_hungarian}', "");
    Error('\p{ _In_OLD_HUNGARIAN:=}');
    Error('\P{ _In_OLD_HUNGARIAN:=}');
    Expect(1, 68863, '\p{	_In_Old_Hungarian}', "");
    Expect(0, 68863, '\p{^	_In_Old_Hungarian}', "");
    Expect(0, 68863, '\P{	_In_Old_Hungarian}', "");
    Expect(1, 68863, '\P{^	_In_Old_Hungarian}', "");
    Expect(0, 68864, '\p{	_In_Old_Hungarian}', "");
    Expect(1, 68864, '\p{^	_In_Old_Hungarian}', "");
    Expect(1, 68864, '\P{	_In_Old_Hungarian}', "");
    Expect(0, 68864, '\P{^	_In_Old_Hungarian}', "");
    Error('\p{	 In_Old_italic/a/}');
    Error('\P{	 In_Old_italic/a/}');
    Expect(1, 66351, '\p{inolditalic}', "");
    Expect(0, 66351, '\p{^inolditalic}', "");
    Expect(0, 66351, '\P{inolditalic}', "");
    Expect(1, 66351, '\P{^inolditalic}', "");
    Expect(0, 66352, '\p{inolditalic}', "");
    Expect(1, 66352, '\p{^inolditalic}', "");
    Expect(1, 66352, '\P{inolditalic}', "");
    Expect(0, 66352, '\P{^inolditalic}', "");
    Expect(1, 66351, '\p{_ In_Old_italic}', "");
    Expect(0, 66351, '\p{^_ In_Old_italic}', "");
    Expect(0, 66351, '\P{_ In_Old_italic}', "");
    Expect(1, 66351, '\P{^_ In_Old_italic}', "");
    Expect(0, 66352, '\p{_ In_Old_italic}', "");
    Expect(1, 66352, '\p{^_ In_Old_italic}', "");
    Expect(1, 66352, '\P{_ In_Old_italic}', "");
    Expect(0, 66352, '\P{^_ In_Old_italic}', "");
    Error('\p{	_in_old_italic:=}');
    Error('\P{	_in_old_italic:=}');
    Expect(1, 66351, '\p{ 	in_OLD_italic}', "");
    Expect(0, 66351, '\p{^ 	in_OLD_italic}', "");
    Expect(0, 66351, '\P{ 	in_OLD_italic}', "");
    Expect(1, 66351, '\P{^ 	in_OLD_italic}', "");
    Expect(0, 66352, '\p{ 	in_OLD_italic}', "");
    Expect(1, 66352, '\p{^ 	in_OLD_italic}', "");
    Expect(1, 66352, '\P{ 	in_OLD_italic}', "");
    Expect(0, 66352, '\P{^ 	in_OLD_italic}', "");
    Error('\p{_in_Old_NORTH_Arabian/a/}');
    Error('\P{_in_Old_NORTH_Arabian/a/}');
    Expect(1, 68255, '\p{inoldnortharabian}', "");
    Expect(0, 68255, '\p{^inoldnortharabian}', "");
    Expect(0, 68255, '\P{inoldnortharabian}', "");
    Expect(1, 68255, '\P{^inoldnortharabian}', "");
    Expect(0, 68256, '\p{inoldnortharabian}', "");
    Expect(1, 68256, '\p{^inoldnortharabian}', "");
    Expect(1, 68256, '\P{inoldnortharabian}', "");
    Expect(0, 68256, '\P{^inoldnortharabian}', "");
    Expect(1, 68255, '\p{	 IN_Old_north_Arabian}', "");
    Expect(0, 68255, '\p{^	 IN_Old_north_Arabian}', "");
    Expect(0, 68255, '\P{	 IN_Old_north_Arabian}', "");
    Expect(1, 68255, '\P{^	 IN_Old_north_Arabian}', "");
    Expect(0, 68256, '\p{	 IN_Old_north_Arabian}', "");
    Expect(1, 68256, '\p{^	 IN_Old_north_Arabian}', "");
    Expect(1, 68256, '\P{	 IN_Old_north_Arabian}', "");
    Expect(0, 68256, '\P{^	 IN_Old_north_Arabian}', "");
    Error('\p{ :=In_old_North_ARABIAN}');
    Error('\P{ :=In_old_North_ARABIAN}');
    Expect(1, 68255, '\p{ In_Old_NORTH_Arabian}', "");
    Expect(0, 68255, '\p{^ In_Old_NORTH_Arabian}', "");
    Expect(0, 68255, '\P{ In_Old_NORTH_Arabian}', "");
    Expect(1, 68255, '\P{^ In_Old_NORTH_Arabian}', "");
    Expect(0, 68256, '\p{ In_Old_NORTH_Arabian}', "");
    Expect(1, 68256, '\p{^ In_Old_NORTH_Arabian}', "");
    Expect(1, 68256, '\P{ In_Old_NORTH_Arabian}', "");
    Expect(0, 68256, '\P{^ In_Old_NORTH_Arabian}', "");
    Error('\p{-/a/In_OLD_PERMIC}');
    Error('\P{-/a/In_OLD_PERMIC}');
    Expect(1, 66431, '\p{inoldpermic}', "");
    Expect(0, 66431, '\p{^inoldpermic}', "");
    Expect(0, 66431, '\P{inoldpermic}', "");
    Expect(1, 66431, '\P{^inoldpermic}', "");
    Expect(0, 66432, '\p{inoldpermic}', "");
    Expect(1, 66432, '\p{^inoldpermic}', "");
    Expect(1, 66432, '\P{inoldpermic}', "");
    Expect(0, 66432, '\P{^inoldpermic}', "");
    Expect(1, 66431, '\p{ -IN_Old_PERMIC}', "");
    Expect(0, 66431, '\p{^ -IN_Old_PERMIC}', "");
    Expect(0, 66431, '\P{ -IN_Old_PERMIC}', "");
    Expect(1, 66431, '\P{^ -IN_Old_PERMIC}', "");
    Expect(0, 66432, '\p{ -IN_Old_PERMIC}', "");
    Expect(1, 66432, '\p{^ -IN_Old_PERMIC}', "");
    Expect(1, 66432, '\P{ -IN_Old_PERMIC}', "");
    Expect(0, 66432, '\P{^ -IN_Old_PERMIC}', "");
    Error('\p{-	In_OLD_Permic:=}');
    Error('\P{-	In_OLD_Permic:=}');
    Expect(1, 66431, '\p{--In_OLD_permic}', "");
    Expect(0, 66431, '\p{^--In_OLD_permic}', "");
    Expect(0, 66431, '\P{--In_OLD_permic}', "");
    Expect(1, 66431, '\P{^--In_OLD_permic}', "");
    Expect(0, 66432, '\p{--In_OLD_permic}', "");
    Expect(1, 66432, '\p{^--In_OLD_permic}', "");
    Expect(1, 66432, '\P{--In_OLD_permic}', "");
    Expect(0, 66432, '\P{^--In_OLD_permic}', "");
    Error('\p{		In_OLD_PERSIAN:=}');
    Error('\P{		In_OLD_PERSIAN:=}');
    Expect(1, 66527, '\p{inoldpersian}', "");
    Expect(0, 66527, '\p{^inoldpersian}', "");
    Expect(0, 66527, '\P{inoldpersian}', "");
    Expect(1, 66527, '\P{^inoldpersian}', "");
    Expect(0, 66528, '\p{inoldpersian}', "");
    Expect(1, 66528, '\p{^inoldpersian}', "");
    Expect(1, 66528, '\P{inoldpersian}', "");
    Expect(0, 66528, '\P{^inoldpersian}', "");
    Expect(1, 66527, '\p{ in_old_PERSIAN}', "");
    Expect(0, 66527, '\p{^ in_old_PERSIAN}', "");
    Expect(0, 66527, '\P{ in_old_PERSIAN}', "");
    Expect(1, 66527, '\P{^ in_old_PERSIAN}', "");
    Expect(0, 66528, '\p{ in_old_PERSIAN}', "");
    Expect(1, 66528, '\p{^ in_old_PERSIAN}', "");
    Expect(1, 66528, '\P{ in_old_PERSIAN}', "");
    Expect(0, 66528, '\P{^ in_old_PERSIAN}', "");
    Error('\p{_/a/In_old_Persian}');
    Error('\P{_/a/In_old_Persian}');
    Expect(1, 66527, '\p{_In_old_Persian}', "");
    Expect(0, 66527, '\p{^_In_old_Persian}', "");
    Expect(0, 66527, '\P{_In_old_Persian}', "");
    Expect(1, 66527, '\P{^_In_old_Persian}', "");
    Expect(0, 66528, '\p{_In_old_Persian}', "");
    Expect(1, 66528, '\p{^_In_old_Persian}', "");
    Expect(1, 66528, '\P{_In_old_Persian}', "");
    Expect(0, 66528, '\P{^_In_old_Persian}', "");
    Error('\p{/a/	 In_Old_Sogdian}');
    Error('\P{/a/	 In_Old_Sogdian}');
    Expect(1, 69423, '\p{inoldsogdian}', "");
    Expect(0, 69423, '\p{^inoldsogdian}', "");
    Expect(0, 69423, '\P{inoldsogdian}', "");
    Expect(1, 69423, '\P{^inoldsogdian}', "");
    Expect(0, 69424, '\p{inoldsogdian}', "");
    Expect(1, 69424, '\p{^inoldsogdian}', "");
    Expect(1, 69424, '\P{inoldsogdian}', "");
    Expect(0, 69424, '\P{^inoldsogdian}', "");
    Expect(1, 69423, '\p{	_In_Old_Sogdian}', "");
    Expect(0, 69423, '\p{^	_In_Old_Sogdian}', "");
    Expect(0, 69423, '\P{	_In_Old_Sogdian}', "");
    Expect(1, 69423, '\P{^	_In_Old_Sogdian}', "");
    Expect(0, 69424, '\p{	_In_Old_Sogdian}', "");
    Expect(1, 69424, '\p{^	_In_Old_Sogdian}', "");
    Expect(1, 69424, '\P{	_In_Old_Sogdian}', "");
    Expect(0, 69424, '\P{^	_In_Old_Sogdian}', "");
    Error('\p{:=		In_Old_Sogdian}');
    Error('\P{:=		In_Old_Sogdian}');
    Expect(1, 69423, '\p{_	IN_OLD_sogdian}', "");
    Expect(0, 69423, '\p{^_	IN_OLD_sogdian}', "");
    Expect(0, 69423, '\P{_	IN_OLD_sogdian}', "");
    Expect(1, 69423, '\P{^_	IN_OLD_sogdian}', "");
    Expect(0, 69424, '\p{_	IN_OLD_sogdian}', "");
    Expect(1, 69424, '\p{^_	IN_OLD_sogdian}', "");
    Expect(1, 69424, '\P{_	IN_OLD_sogdian}', "");
    Expect(0, 69424, '\P{^_	IN_OLD_sogdian}', "");
    Error('\p{/a/-In_OLD_South_arabian}');
    Error('\P{/a/-In_OLD_South_arabian}');
    Expect(1, 68223, '\p{inoldsoutharabian}', "");
    Expect(0, 68223, '\p{^inoldsoutharabian}', "");
    Expect(0, 68223, '\P{inoldsoutharabian}', "");
    Expect(1, 68223, '\P{^inoldsoutharabian}', "");
    Expect(0, 68224, '\p{inoldsoutharabian}', "");
    Expect(1, 68224, '\p{^inoldsoutharabian}', "");
    Expect(1, 68224, '\P{inoldsoutharabian}', "");
    Expect(0, 68224, '\P{^inoldsoutharabian}', "");
    Expect(1, 68223, '\p{ -In_Old_SOUTH_Arabian}', "");
    Expect(0, 68223, '\p{^ -In_Old_SOUTH_Arabian}', "");
    Expect(0, 68223, '\P{ -In_Old_SOUTH_Arabian}', "");
    Expect(1, 68223, '\P{^ -In_Old_SOUTH_Arabian}', "");
    Expect(0, 68224, '\p{ -In_Old_SOUTH_Arabian}', "");
    Expect(1, 68224, '\p{^ -In_Old_SOUTH_Arabian}', "");
    Expect(1, 68224, '\P{ -In_Old_SOUTH_Arabian}', "");
    Expect(0, 68224, '\P{^ -In_Old_SOUTH_Arabian}', "");
    Error('\p{_/a/In_Old_South_Arabian}');
    Error('\P{_/a/In_Old_South_Arabian}');
    Expect(1, 68223, '\p{- In_old_south_ARABIAN}', "");
    Expect(0, 68223, '\p{^- In_old_south_ARABIAN}', "");
    Expect(0, 68223, '\P{- In_old_south_ARABIAN}', "");
    Expect(1, 68223, '\P{^- In_old_south_ARABIAN}', "");
    Expect(0, 68224, '\p{- In_old_south_ARABIAN}', "");
    Expect(1, 68224, '\p{^- In_old_south_ARABIAN}', "");
    Expect(1, 68224, '\P{- In_old_south_ARABIAN}', "");
    Expect(0, 68224, '\P{^- In_old_south_ARABIAN}', "");
    Error('\p{--In_Old_turkic:=}');
    Error('\P{--In_Old_turkic:=}');
    Expect(1, 68687, '\p{inoldturkic}', "");
    Expect(0, 68687, '\p{^inoldturkic}', "");
    Expect(0, 68687, '\P{inoldturkic}', "");
    Expect(1, 68687, '\P{^inoldturkic}', "");
    Expect(0, 68688, '\p{inoldturkic}', "");
    Expect(1, 68688, '\p{^inoldturkic}', "");
    Expect(1, 68688, '\P{inoldturkic}', "");
    Expect(0, 68688, '\P{^inoldturkic}', "");
    Expect(1, 68687, '\p{-In_OLD_Turkic}', "");
    Expect(0, 68687, '\p{^-In_OLD_Turkic}', "");
    Expect(0, 68687, '\P{-In_OLD_Turkic}', "");
    Expect(1, 68687, '\P{^-In_OLD_Turkic}', "");
    Expect(0, 68688, '\p{-In_OLD_Turkic}', "");
    Expect(1, 68688, '\p{^-In_OLD_Turkic}', "");
    Expect(1, 68688, '\P{-In_OLD_Turkic}', "");
    Expect(0, 68688, '\P{^-In_OLD_Turkic}', "");
    Error('\p{ :=in_OLD_Turkic}');
    Error('\P{ :=in_OLD_Turkic}');
    Expect(1, 68687, '\p{-_In_old_Turkic}', "");
    Expect(0, 68687, '\p{^-_In_old_Turkic}', "");
    Expect(0, 68687, '\P{-_In_old_Turkic}', "");
    Expect(1, 68687, '\P{^-_In_old_Turkic}', "");
    Expect(0, 68688, '\p{-_In_old_Turkic}', "");
    Expect(1, 68688, '\p{^-_In_old_Turkic}', "");
    Expect(1, 68688, '\P{-_In_old_Turkic}', "");
    Expect(0, 68688, '\P{^-_In_old_Turkic}', "");
    Error('\p{:=	-in_Old_uyghur}');
    Error('\P{:=	-in_Old_uyghur}');
    Expect(1, 69551, '\p{inolduyghur}', "");
    Expect(0, 69551, '\p{^inolduyghur}', "");
    Expect(0, 69551, '\P{inolduyghur}', "");
    Expect(1, 69551, '\P{^inolduyghur}', "");
    Expect(0, 69552, '\p{inolduyghur}', "");
    Expect(1, 69552, '\p{^inolduyghur}', "");
    Expect(1, 69552, '\P{inolduyghur}', "");
    Expect(0, 69552, '\P{^inolduyghur}', "");
    Expect(1, 69551, '\p{ _In_OLD_UYGHUR}', "");
    Expect(0, 69551, '\p{^ _In_OLD_UYGHUR}', "");
    Expect(0, 69551, '\P{ _In_OLD_UYGHUR}', "");
    Expect(1, 69551, '\P{^ _In_OLD_UYGHUR}', "");
    Expect(0, 69552, '\p{ _In_OLD_UYGHUR}', "");
    Expect(1, 69552, '\p{^ _In_OLD_UYGHUR}', "");
    Expect(1, 69552, '\P{ _In_OLD_UYGHUR}', "");
    Expect(0, 69552, '\P{^ _In_OLD_UYGHUR}', "");
    Error('\p{:=- In_old_UYGHUR}');
    Error('\P{:=- In_old_UYGHUR}');
    Expect(1, 69551, '\p{	In_OLD_UYGHUR}', "");
    Expect(0, 69551, '\p{^	In_OLD_UYGHUR}', "");
    Expect(0, 69551, '\P{	In_OLD_UYGHUR}', "");
    Expect(1, 69551, '\P{^	In_OLD_UYGHUR}', "");
    Expect(0, 69552, '\p{	In_OLD_UYGHUR}', "");
    Expect(1, 69552, '\p{^	In_OLD_UYGHUR}', "");
    Expect(1, 69552, '\P{	In_OLD_UYGHUR}', "");
    Expect(0, 69552, '\P{^	In_OLD_UYGHUR}', "");
    Error('\p{:=_in_oriya}');
    Error('\P{:=_in_oriya}');
    Expect(1, 2943, '\p{inoriya}', "");
    Expect(0, 2943, '\p{^inoriya}', "");
    Expect(0, 2943, '\P{inoriya}', "");
    Expect(1, 2943, '\P{^inoriya}', "");
    Expect(0, 2944, '\p{inoriya}', "");
    Expect(1, 2944, '\p{^inoriya}', "");
    Expect(1, 2944, '\P{inoriya}', "");
    Expect(0, 2944, '\P{^inoriya}', "");
    Expect(1, 2943, '\p{_in_oriya}', "");
    Expect(0, 2943, '\p{^_in_oriya}', "");
    Expect(0, 2943, '\P{_in_oriya}', "");
    Expect(1, 2943, '\P{^_in_oriya}', "");
    Expect(0, 2944, '\p{_in_oriya}', "");
    Expect(1, 2944, '\p{^_in_oriya}', "");
    Expect(1, 2944, '\P{_in_oriya}', "");
    Expect(0, 2944, '\P{^_in_oriya}', "");
    Error('\p{- IN_Oriya:=}');
    Error('\P{- IN_Oriya:=}');
    Expect(1, 2943, '\p{_IN_ORIYA}', "");
    Expect(0, 2943, '\p{^_IN_ORIYA}', "");
    Expect(0, 2943, '\P{_IN_ORIYA}', "");
    Expect(1, 2943, '\P{^_IN_ORIYA}', "");
    Expect(0, 2944, '\p{_IN_ORIYA}', "");
    Expect(1, 2944, '\p{^_IN_ORIYA}', "");
    Expect(1, 2944, '\P{_IN_ORIYA}', "");
    Expect(0, 2944, '\P{^_IN_ORIYA}', "");
    Error('\p{:=__In_osage}');
    Error('\P{:=__In_osage}');
    Expect(1, 66815, '\p{inosage}', "");
    Expect(0, 66815, '\p{^inosage}', "");
    Expect(0, 66815, '\P{inosage}', "");
    Expect(1, 66815, '\P{^inosage}', "");
    Expect(0, 66816, '\p{inosage}', "");
    Expect(1, 66816, '\p{^inosage}', "");
    Expect(1, 66816, '\P{inosage}', "");
    Expect(0, 66816, '\P{^inosage}', "");
    Expect(1, 66815, '\p{-_IN_OSAGE}', "");
    Expect(0, 66815, '\p{^-_IN_OSAGE}', "");
    Expect(0, 66815, '\P{-_IN_OSAGE}', "");
    Expect(1, 66815, '\P{^-_IN_OSAGE}', "");
    Expect(0, 66816, '\p{-_IN_OSAGE}', "");
    Expect(1, 66816, '\p{^-_IN_OSAGE}', "");
    Expect(1, 66816, '\P{-_IN_OSAGE}', "");
    Expect(0, 66816, '\P{^-_IN_OSAGE}', "");
    Error('\p{	 In_osage/a/}');
    Error('\P{	 In_osage/a/}');
    Expect(1, 66815, '\p{	In_Osage}', "");
    Expect(0, 66815, '\p{^	In_Osage}', "");
    Expect(0, 66815, '\P{	In_Osage}', "");
    Expect(1, 66815, '\P{^	In_Osage}', "");
    Expect(0, 66816, '\p{	In_Osage}', "");
    Expect(1, 66816, '\p{^	In_Osage}', "");
    Expect(1, 66816, '\P{	In_Osage}', "");
    Expect(0, 66816, '\P{^	In_Osage}', "");
    Error('\p{:=-_In_Osmanya}');
    Error('\P{:=-_In_Osmanya}');
    Expect(1, 66735, '\p{inosmanya}', "");
    Expect(0, 66735, '\p{^inosmanya}', "");
    Expect(0, 66735, '\P{inosmanya}', "");
    Expect(1, 66735, '\P{^inosmanya}', "");
    Expect(0, 66736, '\p{inosmanya}', "");
    Expect(1, 66736, '\p{^inosmanya}', "");
    Expect(1, 66736, '\P{inosmanya}', "");
    Expect(0, 66736, '\P{^inosmanya}', "");
    Expect(1, 66735, '\p{In_Osmanya}', "");
    Expect(0, 66735, '\p{^In_Osmanya}', "");
    Expect(0, 66735, '\P{In_Osmanya}', "");
    Expect(1, 66735, '\P{^In_Osmanya}', "");
    Expect(0, 66736, '\p{In_Osmanya}', "");
    Expect(1, 66736, '\p{^In_Osmanya}', "");
    Expect(1, 66736, '\P{In_Osmanya}', "");
    Expect(0, 66736, '\P{^In_Osmanya}', "");
    Error('\p{		in_Osmanya:=}');
    Error('\P{		in_Osmanya:=}');
    Expect(1, 66735, '\p{IN_OSMANYA}', "");
    Expect(0, 66735, '\p{^IN_OSMANYA}', "");
    Expect(0, 66735, '\P{IN_OSMANYA}', "");
    Expect(1, 66735, '\P{^IN_OSMANYA}', "");
    Expect(0, 66736, '\p{IN_OSMANYA}', "");
    Expect(1, 66736, '\p{^IN_OSMANYA}', "");
    Expect(1, 66736, '\P{IN_OSMANYA}', "");
    Expect(0, 66736, '\P{^IN_OSMANYA}', "");
    Error('\p{/a/_in_Pahawh_HMONG}');
    Error('\P{/a/_in_Pahawh_HMONG}');
    Expect(1, 93071, '\p{inpahawhhmong}', "");
    Expect(0, 93071, '\p{^inpahawhhmong}', "");
    Expect(0, 93071, '\P{inpahawhhmong}', "");
    Expect(1, 93071, '\P{^inpahawhhmong}', "");
    Expect(0, 93072, '\p{inpahawhhmong}', "");
    Expect(1, 93072, '\p{^inpahawhhmong}', "");
    Expect(1, 93072, '\P{inpahawhhmong}', "");
    Expect(0, 93072, '\P{^inpahawhhmong}', "");
    Expect(1, 93071, '\p{	In_Pahawh_Hmong}', "");
    Expect(0, 93071, '\p{^	In_Pahawh_Hmong}', "");
    Expect(0, 93071, '\P{	In_Pahawh_Hmong}', "");
    Expect(1, 93071, '\P{^	In_Pahawh_Hmong}', "");
    Expect(0, 93072, '\p{	In_Pahawh_Hmong}', "");
    Expect(1, 93072, '\p{^	In_Pahawh_Hmong}', "");
    Expect(1, 93072, '\P{	In_Pahawh_Hmong}', "");
    Expect(0, 93072, '\P{^	In_Pahawh_Hmong}', "");
    Error('\p{In_pahawh_Hmong:=}');
    Error('\P{In_pahawh_Hmong:=}');
    Expect(1, 93071, '\p{__In_Pahawh_HMONG}', "");
    Expect(0, 93071, '\p{^__In_Pahawh_HMONG}', "");
    Expect(0, 93071, '\P{__In_Pahawh_HMONG}', "");
    Expect(1, 93071, '\P{^__In_Pahawh_HMONG}', "");
    Expect(0, 93072, '\p{__In_Pahawh_HMONG}', "");
    Expect(1, 93072, '\p{^__In_Pahawh_HMONG}', "");
    Expect(1, 93072, '\P{__In_Pahawh_HMONG}', "");
    Expect(0, 93072, '\P{^__In_Pahawh_HMONG}', "");
    Error('\p{_ in_palmyrene/a/}');
    Error('\P{_ in_palmyrene/a/}');
    Expect(1, 67711, '\p{inpalmyrene}', "");
    Expect(0, 67711, '\p{^inpalmyrene}', "");
    Expect(0, 67711, '\P{inpalmyrene}', "");
    Expect(1, 67711, '\P{^inpalmyrene}', "");
    Expect(0, 67712, '\p{inpalmyrene}', "");
    Expect(1, 67712, '\p{^inpalmyrene}', "");
    Expect(1, 67712, '\P{inpalmyrene}', "");
    Expect(0, 67712, '\P{^inpalmyrene}', "");
    Expect(1, 67711, '\p{IN_palmyrene}', "");
    Expect(0, 67711, '\p{^IN_palmyrene}', "");
    Expect(0, 67711, '\P{IN_palmyrene}', "");
    Expect(1, 67711, '\P{^IN_palmyrene}', "");
    Expect(0, 67712, '\p{IN_palmyrene}', "");
    Expect(1, 67712, '\p{^IN_palmyrene}', "");
    Expect(1, 67712, '\P{IN_palmyrene}', "");
    Expect(0, 67712, '\P{^IN_palmyrene}', "");
    Error('\p{/a/-in_palmyrene}');
    Error('\P{/a/-in_palmyrene}');
    Expect(1, 67711, '\p{-	In_palmyrene}', "");
    Expect(0, 67711, '\p{^-	In_palmyrene}', "");
    Expect(0, 67711, '\P{-	In_palmyrene}', "");
    Expect(1, 67711, '\P{^-	In_palmyrene}', "");
    Expect(0, 67712, '\p{-	In_palmyrene}', "");
    Expect(1, 67712, '\p{^-	In_palmyrene}', "");
    Expect(1, 67712, '\P{-	In_palmyrene}', "");
    Expect(0, 67712, '\P{^-	In_palmyrene}', "");
    Error('\p{_ In_pau_Cin_Hau/a/}');
    Error('\P{_ In_pau_Cin_Hau/a/}');
    Expect(1, 72447, '\p{inpaucinhau}', "");
    Expect(0, 72447, '\p{^inpaucinhau}', "");
    Expect(0, 72447, '\P{inpaucinhau}', "");
    Expect(1, 72447, '\P{^inpaucinhau}', "");
    Expect(0, 72448, '\p{inpaucinhau}', "");
    Expect(1, 72448, '\p{^inpaucinhau}', "");
    Expect(1, 72448, '\P{inpaucinhau}', "");
    Expect(0, 72448, '\P{^inpaucinhau}', "");
    Expect(1, 72447, '\p{-	In_Pau_cin_Hau}', "");
    Expect(0, 72447, '\p{^-	In_Pau_cin_Hau}', "");
    Expect(0, 72447, '\P{-	In_Pau_cin_Hau}', "");
    Expect(1, 72447, '\P{^-	In_Pau_cin_Hau}', "");
    Expect(0, 72448, '\p{-	In_Pau_cin_Hau}', "");
    Expect(1, 72448, '\p{^-	In_Pau_cin_Hau}', "");
    Expect(1, 72448, '\P{-	In_Pau_cin_Hau}', "");
    Expect(0, 72448, '\P{^-	In_Pau_cin_Hau}', "");
    Error('\p{	:=IN_Pau_Cin_Hau}');
    Error('\P{	:=IN_Pau_Cin_Hau}');
    Expect(1, 72447, '\p{	In_Pau_Cin_Hau}', "");
    Expect(0, 72447, '\p{^	In_Pau_Cin_Hau}', "");
    Expect(0, 72447, '\P{	In_Pau_Cin_Hau}', "");
    Expect(1, 72447, '\P{^	In_Pau_Cin_Hau}', "");
    Expect(0, 72448, '\p{	In_Pau_Cin_Hau}', "");
    Expect(1, 72448, '\p{^	In_Pau_Cin_Hau}', "");
    Expect(1, 72448, '\P{	In_Pau_Cin_Hau}', "");
    Expect(0, 72448, '\P{^	In_Pau_Cin_Hau}', "");
    Error('\p{/a/ 	IN_Phags_pa}');
    Error('\P{/a/ 	IN_Phags_pa}');
    Expect(1, 43135, '\p{inphagspa}', "");
    Expect(0, 43135, '\p{^inphagspa}', "");
    Expect(0, 43135, '\P{inphagspa}', "");
    Expect(1, 43135, '\P{^inphagspa}', "");
    Expect(0, 43136, '\p{inphagspa}', "");
    Expect(1, 43136, '\p{^inphagspa}', "");
    Expect(1, 43136, '\P{inphagspa}', "");
    Expect(0, 43136, '\P{^inphagspa}', "");
    Expect(1, 43135, '\p{ IN_Phags_pa}', "");
    Expect(0, 43135, '\p{^ IN_Phags_pa}', "");
    Expect(0, 43135, '\P{ IN_Phags_pa}', "");
    Expect(1, 43135, '\P{^ IN_Phags_pa}', "");
    Expect(0, 43136, '\p{ IN_Phags_pa}', "");
    Expect(1, 43136, '\p{^ IN_Phags_pa}', "");
    Expect(1, 43136, '\P{ IN_Phags_pa}', "");
    Expect(0, 43136, '\P{^ IN_Phags_pa}', "");
    Error('\p{-In_Phags_Pa/a/}');
    Error('\P{-In_Phags_Pa/a/}');
    Expect(1, 43135, '\p{In_Phags_pa}', "");
    Expect(0, 43135, '\p{^In_Phags_pa}', "");
    Expect(0, 43135, '\P{In_Phags_pa}', "");
    Expect(1, 43135, '\P{^In_Phags_pa}', "");
    Expect(0, 43136, '\p{In_Phags_pa}', "");
    Expect(1, 43136, '\p{^In_Phags_pa}', "");
    Expect(1, 43136, '\P{In_Phags_pa}', "");
    Expect(0, 43136, '\P{^In_Phags_pa}', "");
    Error('\p{:= -in_Phoenician}');
    Error('\P{:= -in_Phoenician}');
    Expect(1, 67871, '\p{inphoenician}', "");
    Expect(0, 67871, '\p{^inphoenician}', "");
    Expect(0, 67871, '\P{inphoenician}', "");
    Expect(1, 67871, '\P{^inphoenician}', "");
    Expect(0, 67872, '\p{inphoenician}', "");
    Expect(1, 67872, '\p{^inphoenician}', "");
    Expect(1, 67872, '\P{inphoenician}', "");
    Expect(0, 67872, '\P{^inphoenician}', "");
    Expect(1, 67871, '\p{-	In_phoenician}', "");
    Expect(0, 67871, '\p{^-	In_phoenician}', "");
    Expect(0, 67871, '\P{-	In_phoenician}', "");
    Expect(1, 67871, '\P{^-	In_phoenician}', "");
    Expect(0, 67872, '\p{-	In_phoenician}', "");
    Expect(1, 67872, '\p{^-	In_phoenician}', "");
    Expect(1, 67872, '\P{-	In_phoenician}', "");
    Expect(0, 67872, '\P{^-	In_phoenician}', "");
    Error('\p{-/a/in_PHOENICIAN}');
    Error('\P{-/a/in_PHOENICIAN}');
    Expect(1, 67871, '\p{- IN_Phoenician}', "");
    Expect(0, 67871, '\p{^- IN_Phoenician}', "");
    Expect(0, 67871, '\P{- IN_Phoenician}', "");
    Expect(1, 67871, '\P{^- IN_Phoenician}', "");
    Expect(0, 67872, '\p{- IN_Phoenician}', "");
    Expect(1, 67872, '\p{^- IN_Phoenician}', "");
    Expect(1, 67872, '\P{- IN_Phoenician}', "");
    Expect(0, 67872, '\P{^- IN_Phoenician}', "");
    Error('\p{- In_psalter_pahlavi:=}');
    Error('\P{- In_psalter_pahlavi:=}');
    Expect(1, 68527, '\p{inpsalterpahlavi}', "");
    Expect(0, 68527, '\p{^inpsalterpahlavi}', "");
    Expect(0, 68527, '\P{inpsalterpahlavi}', "");
    Expect(1, 68527, '\P{^inpsalterpahlavi}', "");
    Expect(0, 68528, '\p{inpsalterpahlavi}', "");
    Expect(1, 68528, '\p{^inpsalterpahlavi}', "");
    Expect(1, 68528, '\P{inpsalterpahlavi}', "");
    Expect(0, 68528, '\P{^inpsalterpahlavi}', "");
    Expect(1, 68527, '\p{	-in_psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^	-in_psalter_pahlavi}', "");
    Expect(0, 68527, '\P{	-in_psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^	-in_psalter_pahlavi}', "");
    Expect(0, 68528, '\p{	-in_psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^	-in_psalter_pahlavi}', "");
    Expect(1, 68528, '\P{	-in_psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^	-in_psalter_pahlavi}', "");
    Error('\p{/a/	in_Psalter_Pahlavi}');
    Error('\P{/a/	in_Psalter_Pahlavi}');
    Expect(1, 68527, '\p{	In_PSALTER_Pahlavi}', "");
    Expect(0, 68527, '\p{^	In_PSALTER_Pahlavi}', "");
    Expect(0, 68527, '\P{	In_PSALTER_Pahlavi}', "");
    Expect(1, 68527, '\P{^	In_PSALTER_Pahlavi}', "");
    Expect(0, 68528, '\p{	In_PSALTER_Pahlavi}', "");
    Expect(1, 68528, '\p{^	In_PSALTER_Pahlavi}', "");
    Expect(1, 68528, '\P{	In_PSALTER_Pahlavi}', "");
    Expect(0, 68528, '\P{^	In_PSALTER_Pahlavi}', "");
    Error('\p{ In_Rejang/a/}');
    Error('\P{ In_Rejang/a/}');
    Expect(1, 43359, '\p{inrejang}', "");
    Expect(0, 43359, '\p{^inrejang}', "");
    Expect(0, 43359, '\P{inrejang}', "");
    Expect(1, 43359, '\P{^inrejang}', "");
    Expect(0, 43360, '\p{inrejang}', "");
    Expect(1, 43360, '\p{^inrejang}', "");
    Expect(1, 43360, '\P{inrejang}', "");
    Expect(0, 43360, '\P{^inrejang}', "");
    Expect(1, 43359, '\p{__IN_Rejang}', "");
    Expect(0, 43359, '\p{^__IN_Rejang}', "");
    Expect(0, 43359, '\P{__IN_Rejang}', "");
    Expect(1, 43359, '\P{^__IN_Rejang}', "");
    Expect(0, 43360, '\p{__IN_Rejang}', "");
    Expect(1, 43360, '\p{^__IN_Rejang}', "");
    Expect(1, 43360, '\P{__IN_Rejang}', "");
    Expect(0, 43360, '\P{^__IN_Rejang}', "");
    Error('\p{	IN_Rejang/a/}');
    Error('\P{	IN_Rejang/a/}');
    Expect(1, 43359, '\p{ -IN_rejang}', "");
    Expect(0, 43359, '\p{^ -IN_rejang}', "");
    Expect(0, 43359, '\P{ -IN_rejang}', "");
    Expect(1, 43359, '\P{^ -IN_rejang}', "");
    Expect(0, 43360, '\p{ -IN_rejang}', "");
    Expect(1, 43360, '\p{^ -IN_rejang}', "");
    Expect(1, 43360, '\P{ -IN_rejang}', "");
    Expect(0, 43360, '\P{^ -IN_rejang}', "");
    Error('\p{:= -In_runic}');
    Error('\P{:= -In_runic}');
    Expect(1, 5887, '\p{inrunic}', "");
    Expect(0, 5887, '\p{^inrunic}', "");
    Expect(0, 5887, '\P{inrunic}', "");
    Expect(1, 5887, '\P{^inrunic}', "");
    Expect(0, 5888, '\p{inrunic}', "");
    Expect(1, 5888, '\p{^inrunic}', "");
    Expect(1, 5888, '\P{inrunic}', "");
    Expect(0, 5888, '\P{^inrunic}', "");
    Expect(1, 5887, '\p{_In_Runic}', "");
    Expect(0, 5887, '\p{^_In_Runic}', "");
    Expect(0, 5887, '\P{_In_Runic}', "");
    Expect(1, 5887, '\P{^_In_Runic}', "");
    Expect(0, 5888, '\p{_In_Runic}', "");
    Expect(1, 5888, '\p{^_In_Runic}', "");
    Expect(1, 5888, '\P{_In_Runic}', "");
    Expect(0, 5888, '\P{^_In_Runic}', "");
    Error('\p{:=-	IN_Runic}');
    Error('\P{:=-	IN_Runic}');
    Expect(1, 5887, '\p{_ IN_RUNIC}', "");
    Expect(0, 5887, '\p{^_ IN_RUNIC}', "");
    Expect(0, 5887, '\P{_ IN_RUNIC}', "");
    Expect(1, 5887, '\P{^_ IN_RUNIC}', "");
    Expect(0, 5888, '\p{_ IN_RUNIC}', "");
    Expect(1, 5888, '\p{^_ IN_RUNIC}', "");
    Expect(1, 5888, '\P{_ IN_RUNIC}', "");
    Expect(0, 5888, '\P{^_ IN_RUNIC}', "");
    Error('\p{_ in_SAMARITAN:=}');
    Error('\P{_ in_SAMARITAN:=}');
    Expect(1, 2111, '\p{insamaritan}', "");
    Expect(0, 2111, '\p{^insamaritan}', "");
    Expect(0, 2111, '\P{insamaritan}', "");
    Expect(1, 2111, '\P{^insamaritan}', "");
    Expect(0, 2112, '\p{insamaritan}', "");
    Expect(1, 2112, '\p{^insamaritan}', "");
    Expect(1, 2112, '\P{insamaritan}', "");
    Expect(0, 2112, '\P{^insamaritan}', "");
    Expect(1, 2111, '\p{	in_Samaritan}', "");
    Expect(0, 2111, '\p{^	in_Samaritan}', "");
    Expect(0, 2111, '\P{	in_Samaritan}', "");
    Expect(1, 2111, '\P{^	in_Samaritan}', "");
    Expect(0, 2112, '\p{	in_Samaritan}', "");
    Expect(1, 2112, '\p{^	in_Samaritan}', "");
    Expect(1, 2112, '\P{	in_Samaritan}', "");
    Expect(0, 2112, '\P{^	in_Samaritan}', "");
    Error('\p{	:=In_Samaritan}');
    Error('\P{	:=In_Samaritan}');
    Expect(1, 2111, '\p{ In_samaritan}', "");
    Expect(0, 2111, '\p{^ In_samaritan}', "");
    Expect(0, 2111, '\P{ In_samaritan}', "");
    Expect(1, 2111, '\P{^ In_samaritan}', "");
    Expect(0, 2112, '\p{ In_samaritan}', "");
    Expect(1, 2112, '\p{^ In_samaritan}', "");
    Expect(1, 2112, '\P{ In_samaritan}', "");
    Expect(0, 2112, '\P{^ In_samaritan}', "");
    Error('\p{/a/	_in_Saurashtra}');
    Error('\P{/a/	_in_Saurashtra}');
    Expect(1, 43231, '\p{insaurashtra}', "");
    Expect(0, 43231, '\p{^insaurashtra}', "");
    Expect(0, 43231, '\P{insaurashtra}', "");
    Expect(1, 43231, '\P{^insaurashtra}', "");
    Expect(0, 43232, '\p{insaurashtra}', "");
    Expect(1, 43232, '\p{^insaurashtra}', "");
    Expect(1, 43232, '\P{insaurashtra}', "");
    Expect(0, 43232, '\P{^insaurashtra}', "");
    Expect(1, 43231, '\p{-IN_Saurashtra}', "");
    Expect(0, 43231, '\p{^-IN_Saurashtra}', "");
    Expect(0, 43231, '\P{-IN_Saurashtra}', "");
    Expect(1, 43231, '\P{^-IN_Saurashtra}', "");
    Expect(0, 43232, '\p{-IN_Saurashtra}', "");
    Expect(1, 43232, '\p{^-IN_Saurashtra}', "");
    Expect(1, 43232, '\P{-IN_Saurashtra}', "");
    Expect(0, 43232, '\P{^-IN_Saurashtra}', "");
    Error('\p{/a/		in_Saurashtra}');
    Error('\P{/a/		in_Saurashtra}');
    Expect(1, 43231, '\p{-In_SAURASHTRA}', "");
    Expect(0, 43231, '\p{^-In_SAURASHTRA}', "");
    Expect(0, 43231, '\P{-In_SAURASHTRA}', "");
    Expect(1, 43231, '\P{^-In_SAURASHTRA}', "");
    Expect(0, 43232, '\p{-In_SAURASHTRA}', "");
    Expect(1, 43232, '\p{^-In_SAURASHTRA}', "");
    Expect(1, 43232, '\P{-In_SAURASHTRA}', "");
    Expect(0, 43232, '\P{^-In_SAURASHTRA}', "");
    Error('\p{:=__In_Sharada}');
    Error('\P{:=__In_Sharada}');
    Expect(1, 70111, '\p{insharada}', "");
    Expect(0, 70111, '\p{^insharada}', "");
    Expect(0, 70111, '\P{insharada}', "");
    Expect(1, 70111, '\P{^insharada}', "");
    Expect(0, 70112, '\p{insharada}', "");
    Expect(1, 70112, '\p{^insharada}', "");
    Expect(1, 70112, '\P{insharada}', "");
    Expect(0, 70112, '\P{^insharada}', "");
    Expect(1, 70111, '\p{  In_SHARADA}', "");
    Expect(0, 70111, '\p{^  In_SHARADA}', "");
    Expect(0, 70111, '\P{  In_SHARADA}', "");
    Expect(1, 70111, '\P{^  In_SHARADA}', "");
    Expect(0, 70112, '\p{  In_SHARADA}', "");
    Expect(1, 70112, '\p{^  In_SHARADA}', "");
    Expect(1, 70112, '\P{  In_SHARADA}', "");
    Expect(0, 70112, '\P{^  In_SHARADA}', "");
    Error('\p{- In_Sharada/a/}');
    Error('\P{- In_Sharada/a/}');
    Expect(1, 70111, '\p{	IN_SHARADA}', "");
    Expect(0, 70111, '\p{^	IN_SHARADA}', "");
    Expect(0, 70111, '\P{	IN_SHARADA}', "");
    Expect(1, 70111, '\P{^	IN_SHARADA}', "");
    Expect(0, 70112, '\p{	IN_SHARADA}', "");
    Expect(1, 70112, '\p{^	IN_SHARADA}', "");
    Expect(1, 70112, '\P{	IN_SHARADA}', "");
    Expect(0, 70112, '\P{^	IN_SHARADA}', "");
    Error('\p{- IN_SHAVIAN:=}');
    Error('\P{- IN_SHAVIAN:=}');
    Expect(1, 66687, '\p{inshavian}', "");
    Expect(0, 66687, '\p{^inshavian}', "");
    Expect(0, 66687, '\P{inshavian}', "");
    Expect(1, 66687, '\P{^inshavian}', "");
    Expect(0, 66688, '\p{inshavian}', "");
    Expect(1, 66688, '\p{^inshavian}', "");
    Expect(1, 66688, '\P{inshavian}', "");
    Expect(0, 66688, '\P{^inshavian}', "");
    Expect(1, 66687, '\p{ IN_shavian}', "");
    Expect(0, 66687, '\p{^ IN_shavian}', "");
    Expect(0, 66687, '\P{ IN_shavian}', "");
    Expect(1, 66687, '\P{^ IN_shavian}', "");
    Expect(0, 66688, '\p{ IN_shavian}', "");
    Expect(1, 66688, '\p{^ IN_shavian}', "");
    Expect(1, 66688, '\P{ IN_shavian}', "");
    Expect(0, 66688, '\P{^ IN_shavian}', "");
    Error('\p{ :=In_SHAVIAN}');
    Error('\P{ :=In_SHAVIAN}');
    Expect(1, 66687, '\p{	-IN_shavian}', "");
    Expect(0, 66687, '\p{^	-IN_shavian}', "");
    Expect(0, 66687, '\P{	-IN_shavian}', "");
    Expect(1, 66687, '\P{^	-IN_shavian}', "");
    Expect(0, 66688, '\p{	-IN_shavian}', "");
    Expect(1, 66688, '\p{^	-IN_shavian}', "");
    Expect(1, 66688, '\P{	-IN_shavian}', "");
    Expect(0, 66688, '\P{^	-IN_shavian}', "");
    Error('\p{-In_SIDDHAM/a/}');
    Error('\P{-In_SIDDHAM/a/}');
    Expect(1, 71167, '\p{insiddham}', "");
    Expect(0, 71167, '\p{^insiddham}', "");
    Expect(0, 71167, '\P{insiddham}', "");
    Expect(1, 71167, '\P{^insiddham}', "");
    Expect(0, 71168, '\p{insiddham}', "");
    Expect(1, 71168, '\p{^insiddham}', "");
    Expect(1, 71168, '\P{insiddham}', "");
    Expect(0, 71168, '\P{^insiddham}', "");
    Expect(1, 71167, '\p{	_IN_siddham}', "");
    Expect(0, 71167, '\p{^	_IN_siddham}', "");
    Expect(0, 71167, '\P{	_IN_siddham}', "");
    Expect(1, 71167, '\P{^	_IN_siddham}', "");
    Expect(0, 71168, '\p{	_IN_siddham}', "");
    Expect(1, 71168, '\p{^	_IN_siddham}', "");
    Expect(1, 71168, '\P{	_IN_siddham}', "");
    Expect(0, 71168, '\P{^	_IN_siddham}', "");
    Error('\p{/a/- In_siddham}');
    Error('\P{/a/- In_siddham}');
    Expect(1, 71167, '\p{_In_Siddham}', "");
    Expect(0, 71167, '\p{^_In_Siddham}', "");
    Expect(0, 71167, '\P{_In_Siddham}', "");
    Expect(1, 71167, '\P{^_In_Siddham}', "");
    Expect(0, 71168, '\p{_In_Siddham}', "");
    Expect(1, 71168, '\p{^_In_Siddham}', "");
    Expect(1, 71168, '\P{_In_Siddham}', "");
    Expect(0, 71168, '\P{^_In_Siddham}', "");
    Error('\p{:=__IN_Sinhala}');
    Error('\P{:=__IN_Sinhala}');
    Expect(1, 3583, '\p{insinhala}', "");
    Expect(0, 3583, '\p{^insinhala}', "");
    Expect(0, 3583, '\P{insinhala}', "");
    Expect(1, 3583, '\P{^insinhala}', "");
    Expect(0, 3584, '\p{insinhala}', "");
    Expect(1, 3584, '\p{^insinhala}', "");
    Expect(1, 3584, '\P{insinhala}', "");
    Expect(0, 3584, '\P{^insinhala}', "");
    Expect(1, 3583, '\p{	-In_sinhala}', "");
    Expect(0, 3583, '\p{^	-In_sinhala}', "");
    Expect(0, 3583, '\P{	-In_sinhala}', "");
    Expect(1, 3583, '\P{^	-In_sinhala}', "");
    Expect(0, 3584, '\p{	-In_sinhala}', "");
    Expect(1, 3584, '\p{^	-In_sinhala}', "");
    Expect(1, 3584, '\P{	-In_sinhala}', "");
    Expect(0, 3584, '\P{^	-In_sinhala}', "");
    Error('\p{IN_SINHALA/a/}');
    Error('\P{IN_SINHALA/a/}');
    Expect(1, 3583, '\p{- In_Sinhala}', "");
    Expect(0, 3583, '\p{^- In_Sinhala}', "");
    Expect(0, 3583, '\P{- In_Sinhala}', "");
    Expect(1, 3583, '\P{^- In_Sinhala}', "");
    Expect(0, 3584, '\p{- In_Sinhala}', "");
    Expect(1, 3584, '\p{^- In_Sinhala}', "");
    Expect(1, 3584, '\P{- In_Sinhala}', "");
    Expect(0, 3584, '\P{^- In_Sinhala}', "");
    Error('\p{	In_Sogdian:=}');
    Error('\P{	In_Sogdian:=}');
    Expect(1, 69487, '\p{insogdian}', "");
    Expect(0, 69487, '\p{^insogdian}', "");
    Expect(0, 69487, '\P{insogdian}', "");
    Expect(1, 69487, '\P{^insogdian}', "");
    Expect(0, 69488, '\p{insogdian}', "");
    Expect(1, 69488, '\p{^insogdian}', "");
    Expect(1, 69488, '\P{insogdian}', "");
    Expect(0, 69488, '\P{^insogdian}', "");
    Expect(1, 69487, '\p{ -IN_sogdian}', "");
    Expect(0, 69487, '\p{^ -IN_sogdian}', "");
    Expect(0, 69487, '\P{ -IN_sogdian}', "");
    Expect(1, 69487, '\P{^ -IN_sogdian}', "");
    Expect(0, 69488, '\p{ -IN_sogdian}', "");
    Expect(1, 69488, '\p{^ -IN_sogdian}', "");
    Expect(1, 69488, '\P{ -IN_sogdian}', "");
    Expect(0, 69488, '\P{^ -IN_sogdian}', "");
    Error('\p{:= in_Sogdian}');
    Error('\P{:= in_Sogdian}');
    Expect(1, 69487, '\p{--In_Sogdian}', "");
    Expect(0, 69487, '\p{^--In_Sogdian}', "");
    Expect(0, 69487, '\P{--In_Sogdian}', "");
    Expect(1, 69487, '\P{^--In_Sogdian}', "");
    Expect(0, 69488, '\p{--In_Sogdian}', "");
    Expect(1, 69488, '\p{^--In_Sogdian}', "");
    Expect(1, 69488, '\P{--In_Sogdian}', "");
    Expect(0, 69488, '\P{^--In_Sogdian}', "");
    Error('\p{:=	_In_Sora_SOMPENG}');
    Error('\P{:=	_In_Sora_SOMPENG}');
    Expect(1, 69887, '\p{insorasompeng}', "");
    Expect(0, 69887, '\p{^insorasompeng}', "");
    Expect(0, 69887, '\P{insorasompeng}', "");
    Expect(1, 69887, '\P{^insorasompeng}', "");
    Expect(0, 69888, '\p{insorasompeng}', "");
    Expect(1, 69888, '\p{^insorasompeng}', "");
    Expect(1, 69888, '\P{insorasompeng}', "");
    Expect(0, 69888, '\P{^insorasompeng}', "");
    Expect(1, 69887, '\p{	_In_Sora_Sompeng}', "");
    Expect(0, 69887, '\p{^	_In_Sora_Sompeng}', "");
    Expect(0, 69887, '\P{	_In_Sora_Sompeng}', "");
    Expect(1, 69887, '\P{^	_In_Sora_Sompeng}', "");
    Expect(0, 69888, '\p{	_In_Sora_Sompeng}', "");
    Expect(1, 69888, '\p{^	_In_Sora_Sompeng}', "");
    Expect(1, 69888, '\P{	_In_Sora_Sompeng}', "");
    Expect(0, 69888, '\P{^	_In_Sora_Sompeng}', "");
    Error('\p{ 	in_Sora_SOMPENG/a/}');
    Error('\P{ 	in_Sora_SOMPENG/a/}');
    Expect(1, 69887, '\p{		in_Sora_Sompeng}', "");
    Expect(0, 69887, '\p{^		in_Sora_Sompeng}', "");
    Expect(0, 69887, '\P{		in_Sora_Sompeng}', "");
    Expect(1, 69887, '\P{^		in_Sora_Sompeng}', "");
    Expect(0, 69888, '\p{		in_Sora_Sompeng}', "");
    Expect(1, 69888, '\p{^		in_Sora_Sompeng}', "");
    Expect(1, 69888, '\P{		in_Sora_Sompeng}', "");
    Expect(0, 69888, '\P{^		in_Sora_Sompeng}', "");
    Error('\p{ /a/in_SOYOMBO}');
    Error('\P{ /a/in_SOYOMBO}');
    Expect(1, 72367, '\p{insoyombo}', "");
    Expect(0, 72367, '\p{^insoyombo}', "");
    Expect(0, 72367, '\P{insoyombo}', "");
    Expect(1, 72367, '\P{^insoyombo}', "");
    Expect(0, 72368, '\p{insoyombo}', "");
    Expect(1, 72368, '\p{^insoyombo}', "");
    Expect(1, 72368, '\P{insoyombo}', "");
    Expect(0, 72368, '\P{^insoyombo}', "");
    Expect(1, 72367, '\p{_	IN_soyombo}', "");
    Expect(0, 72367, '\p{^_	IN_soyombo}', "");
    Expect(0, 72367, '\P{_	IN_soyombo}', "");
    Expect(1, 72367, '\P{^_	IN_soyombo}', "");
    Expect(0, 72368, '\p{_	IN_soyombo}', "");
    Expect(1, 72368, '\p{^_	IN_soyombo}', "");
    Expect(1, 72368, '\P{_	IN_soyombo}', "");
    Expect(0, 72368, '\P{^_	IN_soyombo}', "");
    Error('\p{	 IN_Soyombo/a/}');
    Error('\P{	 IN_Soyombo/a/}');
    Expect(1, 72367, '\p{ In_Soyombo}', "");
    Expect(0, 72367, '\p{^ In_Soyombo}', "");
    Expect(0, 72367, '\P{ In_Soyombo}', "");
    Expect(1, 72367, '\P{^ In_Soyombo}', "");
    Expect(0, 72368, '\p{ In_Soyombo}', "");
    Expect(1, 72368, '\p{^ In_Soyombo}', "");
    Expect(1, 72368, '\P{ In_Soyombo}', "");
    Expect(0, 72368, '\P{^ In_Soyombo}', "");
    Error('\p{-IN_Sundanese:=}');
    Error('\P{-IN_Sundanese:=}');
    Expect(1, 7103, '\p{insundanese}', "");
    Expect(0, 7103, '\p{^insundanese}', "");
    Expect(0, 7103, '\P{insundanese}', "");
    Expect(1, 7103, '\P{^insundanese}', "");
    Expect(0, 7104, '\p{insundanese}', "");
    Expect(1, 7104, '\p{^insundanese}', "");
    Expect(1, 7104, '\P{insundanese}', "");
    Expect(0, 7104, '\P{^insundanese}', "");
    Expect(1, 7103, '\p{ _In_Sundanese}', "");
    Expect(0, 7103, '\p{^ _In_Sundanese}', "");
    Expect(0, 7103, '\P{ _In_Sundanese}', "");
    Expect(1, 7103, '\P{^ _In_Sundanese}', "");
    Expect(0, 7104, '\p{ _In_Sundanese}', "");
    Expect(1, 7104, '\p{^ _In_Sundanese}', "");
    Expect(1, 7104, '\P{ _In_Sundanese}', "");
    Expect(0, 7104, '\P{^ _In_Sundanese}', "");
    Error('\p{In_Sundanese/a/}');
    Error('\P{In_Sundanese/a/}');
    Expect(1, 7103, '\p{_IN_Sundanese}', "");
    Expect(0, 7103, '\p{^_IN_Sundanese}', "");
    Expect(0, 7103, '\P{_IN_Sundanese}', "");
    Expect(1, 7103, '\P{^_IN_Sundanese}', "");
    Expect(0, 7104, '\p{_IN_Sundanese}', "");
    Expect(1, 7104, '\p{^_IN_Sundanese}', "");
    Expect(1, 7104, '\P{_IN_Sundanese}', "");
    Expect(0, 7104, '\P{^_IN_Sundanese}', "");
    Error('\p{/a/--In_syloti_nagri}');
    Error('\P{/a/--In_syloti_nagri}');
    Expect(1, 43055, '\p{insylotinagri}', "");
    Expect(0, 43055, '\p{^insylotinagri}', "");
    Expect(0, 43055, '\P{insylotinagri}', "");
    Expect(1, 43055, '\P{^insylotinagri}', "");
    Expect(0, 43056, '\p{insylotinagri}', "");
    Expect(1, 43056, '\p{^insylotinagri}', "");
    Expect(1, 43056, '\P{insylotinagri}', "");
    Expect(0, 43056, '\P{^insylotinagri}', "");
    Expect(1, 43055, '\p{_In_Syloti_Nagri}', "");
    Expect(0, 43055, '\p{^_In_Syloti_Nagri}', "");
    Expect(0, 43055, '\P{_In_Syloti_Nagri}', "");
    Expect(1, 43055, '\P{^_In_Syloti_Nagri}', "");
    Expect(0, 43056, '\p{_In_Syloti_Nagri}', "");
    Expect(1, 43056, '\p{^_In_Syloti_Nagri}', "");
    Expect(1, 43056, '\P{_In_Syloti_Nagri}', "");
    Expect(0, 43056, '\P{^_In_Syloti_Nagri}', "");
    Error('\p{-_In_SYLOTI_NAGRI/a/}');
    Error('\P{-_In_SYLOTI_NAGRI/a/}');
    Expect(1, 43055, '\p{-In_syloti_nagri}', "");
    Expect(0, 43055, '\p{^-In_syloti_nagri}', "");
    Expect(0, 43055, '\P{-In_syloti_nagri}', "");
    Expect(1, 43055, '\P{^-In_syloti_nagri}', "");
    Expect(0, 43056, '\p{-In_syloti_nagri}', "");
    Expect(1, 43056, '\p{^-In_syloti_nagri}', "");
    Expect(1, 43056, '\P{-In_syloti_nagri}', "");
    Expect(0, 43056, '\P{^-In_syloti_nagri}', "");
    Error('\p{-/a/In_Syriac}');
    Error('\P{-/a/In_Syriac}');
    Expect(1, 1871, '\p{insyriac}', "");
    Expect(0, 1871, '\p{^insyriac}', "");
    Expect(0, 1871, '\P{insyriac}', "");
    Expect(1, 1871, '\P{^insyriac}', "");
    Expect(0, 1872, '\p{insyriac}', "");
    Expect(1, 1872, '\p{^insyriac}', "");
    Expect(1, 1872, '\P{insyriac}', "");
    Expect(0, 1872, '\P{^insyriac}', "");
    Expect(1, 1871, '\p{ -in_SYRIAC}', "");
    Expect(0, 1871, '\p{^ -in_SYRIAC}', "");
    Expect(0, 1871, '\P{ -in_SYRIAC}', "");
    Expect(1, 1871, '\P{^ -in_SYRIAC}', "");
    Expect(0, 1872, '\p{ -in_SYRIAC}', "");
    Expect(1, 1872, '\p{^ -in_SYRIAC}', "");
    Expect(1, 1872, '\P{ -in_SYRIAC}', "");
    Expect(0, 1872, '\P{^ -in_SYRIAC}', "");
    Error('\p{ :=in_syriac}');
    Error('\P{ :=in_syriac}');
    Expect(1, 1871, '\p{-_In_Syriac}', "");
    Expect(0, 1871, '\p{^-_In_Syriac}', "");
    Expect(0, 1871, '\P{-_In_Syriac}', "");
    Expect(1, 1871, '\P{^-_In_Syriac}', "");
    Expect(0, 1872, '\p{-_In_Syriac}', "");
    Expect(1, 1872, '\p{^-_In_Syriac}', "");
    Expect(1, 1872, '\P{-_In_Syriac}', "");
    Expect(0, 1872, '\P{^-_In_Syriac}', "");
    Error('\p{-:=In_Tagalog}');
    Error('\P{-:=In_Tagalog}');
    Expect(1, 5919, '\p{intagalog}', "");
    Expect(0, 5919, '\p{^intagalog}', "");
    Expect(0, 5919, '\P{intagalog}', "");
    Expect(1, 5919, '\P{^intagalog}', "");
    Expect(0, 5920, '\p{intagalog}', "");
    Expect(1, 5920, '\p{^intagalog}', "");
    Expect(1, 5920, '\P{intagalog}', "");
    Expect(0, 5920, '\P{^intagalog}', "");
    Expect(1, 5919, '\p{_In_Tagalog}', "");
    Expect(0, 5919, '\p{^_In_Tagalog}', "");
    Expect(0, 5919, '\P{_In_Tagalog}', "");
    Expect(1, 5919, '\P{^_In_Tagalog}', "");
    Expect(0, 5920, '\p{_In_Tagalog}', "");
    Expect(1, 5920, '\p{^_In_Tagalog}', "");
    Expect(1, 5920, '\P{_In_Tagalog}', "");
    Expect(0, 5920, '\P{^_In_Tagalog}', "");
    Error('\p{_:=In_TAGALOG}');
    Error('\P{_:=In_TAGALOG}');
    Expect(1, 5919, '\p{	In_Tagalog}', "");
    Expect(0, 5919, '\p{^	In_Tagalog}', "");
    Expect(0, 5919, '\P{	In_Tagalog}', "");
    Expect(1, 5919, '\P{^	In_Tagalog}', "");
    Expect(0, 5920, '\p{	In_Tagalog}', "");
    Expect(1, 5920, '\p{^	In_Tagalog}', "");
    Expect(1, 5920, '\P{	In_Tagalog}', "");
    Expect(0, 5920, '\P{^	In_Tagalog}', "");
    Error('\p{:= IN_tagbanwa}');
    Error('\P{:= IN_tagbanwa}');
    Expect(1, 6015, '\p{intagbanwa}', "");
    Expect(0, 6015, '\p{^intagbanwa}', "");
    Expect(0, 6015, '\P{intagbanwa}', "");
    Expect(1, 6015, '\P{^intagbanwa}', "");
    Expect(0, 6016, '\p{intagbanwa}', "");
    Expect(1, 6016, '\p{^intagbanwa}', "");
    Expect(1, 6016, '\P{intagbanwa}', "");
    Expect(0, 6016, '\P{^intagbanwa}', "");
    Expect(1, 6015, '\p{-	In_Tagbanwa}', "");
    Expect(0, 6015, '\p{^-	In_Tagbanwa}', "");
    Expect(0, 6015, '\P{-	In_Tagbanwa}', "");
    Expect(1, 6015, '\P{^-	In_Tagbanwa}', "");
    Expect(0, 6016, '\p{-	In_Tagbanwa}', "");
    Expect(1, 6016, '\p{^-	In_Tagbanwa}', "");
    Expect(1, 6016, '\P{-	In_Tagbanwa}', "");
    Expect(0, 6016, '\P{^-	In_Tagbanwa}', "");
    Error('\p{	:=IN_Tagbanwa}');
    Error('\P{	:=IN_Tagbanwa}');
    Expect(1, 6015, '\p{- IN_TAGBANWA}', "");
    Expect(0, 6015, '\p{^- IN_TAGBANWA}', "");
    Expect(0, 6015, '\P{- IN_TAGBANWA}', "");
    Expect(1, 6015, '\P{^- IN_TAGBANWA}', "");
    Expect(0, 6016, '\p{- IN_TAGBANWA}', "");
    Expect(1, 6016, '\p{^- IN_TAGBANWA}', "");
    Expect(1, 6016, '\P{- IN_TAGBANWA}', "");
    Expect(0, 6016, '\P{^- IN_TAGBANWA}', "");
    Error('\p{-	In_tai_LE/a/}');
    Error('\P{-	In_tai_LE/a/}');
    Expect(1, 6527, '\p{intaile}', "");
    Expect(0, 6527, '\p{^intaile}', "");
    Expect(0, 6527, '\P{intaile}', "");
    Expect(1, 6527, '\P{^intaile}', "");
    Expect(0, 6528, '\p{intaile}', "");
    Expect(1, 6528, '\p{^intaile}', "");
    Expect(1, 6528, '\P{intaile}', "");
    Expect(0, 6528, '\P{^intaile}', "");
    Expect(1, 6527, '\p{-	IN_Tai_LE}', "");
    Expect(0, 6527, '\p{^-	IN_Tai_LE}', "");
    Expect(0, 6527, '\P{-	IN_Tai_LE}', "");
    Expect(1, 6527, '\P{^-	IN_Tai_LE}', "");
    Expect(0, 6528, '\p{-	IN_Tai_LE}', "");
    Expect(1, 6528, '\p{^-	IN_Tai_LE}', "");
    Expect(1, 6528, '\P{-	IN_Tai_LE}', "");
    Expect(0, 6528, '\P{^-	IN_Tai_LE}', "");
    Error('\p{-/a/IN_TAI_Le}');
    Error('\P{-/a/IN_TAI_Le}');
    Expect(1, 6527, '\p{	in_Tai_Le}', "");
    Expect(0, 6527, '\p{^	in_Tai_Le}', "");
    Expect(0, 6527, '\P{	in_Tai_Le}', "");
    Expect(1, 6527, '\P{^	in_Tai_Le}', "");
    Expect(0, 6528, '\p{	in_Tai_Le}', "");
    Expect(1, 6528, '\p{^	in_Tai_Le}', "");
    Expect(1, 6528, '\P{	in_Tai_Le}', "");
    Expect(0, 6528, '\P{^	in_Tai_Le}', "");
    Error('\p{--In_tai_tham:=}');
    Error('\P{--In_tai_tham:=}');
    Expect(1, 6831, '\p{intaitham}', "");
    Expect(0, 6831, '\p{^intaitham}', "");
    Expect(0, 6831, '\P{intaitham}', "");
    Expect(1, 6831, '\P{^intaitham}', "");
    Expect(0, 6832, '\p{intaitham}', "");
    Expect(1, 6832, '\p{^intaitham}', "");
    Expect(1, 6832, '\P{intaitham}', "");
    Expect(0, 6832, '\P{^intaitham}', "");
    Expect(1, 6831, '\p{__IN_tai_THAM}', "");
    Expect(0, 6831, '\p{^__IN_tai_THAM}', "");
    Expect(0, 6831, '\P{__IN_tai_THAM}', "");
    Expect(1, 6831, '\P{^__IN_tai_THAM}', "");
    Expect(0, 6832, '\p{__IN_tai_THAM}', "");
    Expect(1, 6832, '\p{^__IN_tai_THAM}', "");
    Expect(1, 6832, '\P{__IN_tai_THAM}', "");
    Expect(0, 6832, '\P{^__IN_tai_THAM}', "");
    Error('\p{_	In_Tai_tham/a/}');
    Error('\P{_	In_Tai_tham/a/}');
    Expect(1, 6831, '\p{_	in_Tai_THAM}', "");
    Expect(0, 6831, '\p{^_	in_Tai_THAM}', "");
    Expect(0, 6831, '\P{_	in_Tai_THAM}', "");
    Expect(1, 6831, '\P{^_	in_Tai_THAM}', "");
    Expect(0, 6832, '\p{_	in_Tai_THAM}', "");
    Expect(1, 6832, '\p{^_	in_Tai_THAM}', "");
    Expect(1, 6832, '\P{_	in_Tai_THAM}', "");
    Expect(0, 6832, '\P{^_	in_Tai_THAM}', "");
    Error('\p{:=__In_TAI_viet}');
    Error('\P{:=__In_TAI_viet}');
    Expect(1, 43743, '\p{intaiviet}', "");
    Expect(0, 43743, '\p{^intaiviet}', "");
    Expect(0, 43743, '\P{intaiviet}', "");
    Expect(1, 43743, '\P{^intaiviet}', "");
    Expect(0, 43744, '\p{intaiviet}', "");
    Expect(1, 43744, '\p{^intaiviet}', "");
    Expect(1, 43744, '\P{intaiviet}', "");
    Expect(0, 43744, '\P{^intaiviet}', "");
    Expect(1, 43743, '\p{-In_Tai_Viet}', "");
    Expect(0, 43743, '\p{^-In_Tai_Viet}', "");
    Expect(0, 43743, '\P{-In_Tai_Viet}', "");
    Expect(1, 43743, '\P{^-In_Tai_Viet}', "");
    Expect(0, 43744, '\p{-In_Tai_Viet}', "");
    Expect(1, 43744, '\p{^-In_Tai_Viet}', "");
    Expect(1, 43744, '\P{-In_Tai_Viet}', "");
    Expect(0, 43744, '\P{^-In_Tai_Viet}', "");
    Error('\p{:=- In_TAI_VIET}');
    Error('\P{:=- In_TAI_VIET}');
    Expect(1, 43743, '\p{- in_Tai_Viet}', "");
    Expect(0, 43743, '\p{^- in_Tai_Viet}', "");
    Expect(0, 43743, '\P{- in_Tai_Viet}', "");
    Expect(1, 43743, '\P{^- in_Tai_Viet}', "");
    Expect(0, 43744, '\p{- in_Tai_Viet}', "");
    Expect(1, 43744, '\p{^- in_Tai_Viet}', "");
    Expect(1, 43744, '\P{- in_Tai_Viet}', "");
    Expect(0, 43744, '\P{^- in_Tai_Viet}', "");
    Error('\p{__In_Takri:=}');
    Error('\P{__In_Takri:=}');
    Expect(1, 71375, '\p{intakri}', "");
    Expect(0, 71375, '\p{^intakri}', "");
    Expect(0, 71375, '\P{intakri}', "");
    Expect(1, 71375, '\P{^intakri}', "");
    Expect(0, 71376, '\p{intakri}', "");
    Expect(1, 71376, '\p{^intakri}', "");
    Expect(1, 71376, '\P{intakri}', "");
    Expect(0, 71376, '\P{^intakri}', "");
    Expect(1, 71375, '\p{	_In_takri}', "");
    Expect(0, 71375, '\p{^	_In_takri}', "");
    Expect(0, 71375, '\P{	_In_takri}', "");
    Expect(1, 71375, '\P{^	_In_takri}', "");
    Expect(0, 71376, '\p{	_In_takri}', "");
    Expect(1, 71376, '\p{^	_In_takri}', "");
    Expect(1, 71376, '\P{	_In_takri}', "");
    Expect(0, 71376, '\P{^	_In_takri}', "");
    Error('\p{:=	-In_Takri}');
    Error('\P{:=	-In_Takri}');
    Expect(1, 71375, '\p{	in_Takri}', "");
    Expect(0, 71375, '\p{^	in_Takri}', "");
    Expect(0, 71375, '\P{	in_Takri}', "");
    Expect(1, 71375, '\P{^	in_Takri}', "");
    Expect(0, 71376, '\p{	in_Takri}', "");
    Expect(1, 71376, '\p{^	in_Takri}', "");
    Expect(1, 71376, '\P{	in_Takri}', "");
    Expect(0, 71376, '\P{^	in_Takri}', "");
    Error('\p{/a/ In_TAMIL}');
    Error('\P{/a/ In_TAMIL}');
    Expect(1, 3071, '\p{intamil}', "");
    Expect(0, 3071, '\p{^intamil}', "");
    Expect(0, 3071, '\P{intamil}', "");
    Expect(1, 3071, '\P{^intamil}', "");
    Expect(0, 3072, '\p{intamil}', "");
    Expect(1, 3072, '\p{^intamil}', "");
    Expect(1, 3072, '\P{intamil}', "");
    Expect(0, 3072, '\P{^intamil}', "");
    Expect(1, 3071, '\p{	In_Tamil}', "");
    Expect(0, 3071, '\p{^	In_Tamil}', "");
    Expect(0, 3071, '\P{	In_Tamil}', "");
    Expect(1, 3071, '\P{^	In_Tamil}', "");
    Expect(0, 3072, '\p{	In_Tamil}', "");
    Expect(1, 3072, '\p{^	In_Tamil}', "");
    Expect(1, 3072, '\P{	In_Tamil}', "");
    Expect(0, 3072, '\P{^	In_Tamil}', "");
    Error('\p{:=-	in_Tamil}');
    Error('\P{:=-	in_Tamil}');
    Expect(1, 3071, '\p{  in_tamil}', "");
    Expect(0, 3071, '\p{^  in_tamil}', "");
    Expect(0, 3071, '\P{  in_tamil}', "");
    Expect(1, 3071, '\P{^  in_tamil}', "");
    Expect(0, 3072, '\p{  in_tamil}', "");
    Expect(1, 3072, '\p{^  in_tamil}', "");
    Expect(1, 3072, '\P{  in_tamil}', "");
    Expect(0, 3072, '\P{^  in_tamil}', "");
    Error('\p{_In_Tangsa:=}');
    Error('\P{_In_Tangsa:=}');
    Expect(1, 92879, '\p{intangsa}', "");
    Expect(0, 92879, '\p{^intangsa}', "");
    Expect(0, 92879, '\P{intangsa}', "");
    Expect(1, 92879, '\P{^intangsa}', "");
    Expect(0, 92880, '\p{intangsa}', "");
    Expect(1, 92880, '\p{^intangsa}', "");
    Expect(1, 92880, '\P{intangsa}', "");
    Expect(0, 92880, '\P{^intangsa}', "");
    Expect(1, 92879, '\p{__In_Tangsa}', "");
    Expect(0, 92879, '\p{^__In_Tangsa}', "");
    Expect(0, 92879, '\P{__In_Tangsa}', "");
    Expect(1, 92879, '\P{^__In_Tangsa}', "");
    Expect(0, 92880, '\p{__In_Tangsa}', "");
    Expect(1, 92880, '\p{^__In_Tangsa}', "");
    Expect(1, 92880, '\P{__In_Tangsa}', "");
    Expect(0, 92880, '\P{^__In_Tangsa}', "");
    Error('\p{  In_Tangsa/a/}');
    Error('\P{  In_Tangsa/a/}');
    Expect(1, 92879, '\p{ in_Tangsa}', "");
    Expect(0, 92879, '\p{^ in_Tangsa}', "");
    Expect(0, 92879, '\P{ in_Tangsa}', "");
    Expect(1, 92879, '\P{^ in_Tangsa}', "");
    Expect(0, 92880, '\p{ in_Tangsa}', "");
    Expect(1, 92880, '\p{^ in_Tangsa}', "");
    Expect(1, 92880, '\P{ in_Tangsa}', "");
    Expect(0, 92880, '\P{^ in_Tangsa}', "");
    Error('\p{ /a/IN_Tangut}');
    Error('\P{ /a/IN_Tangut}');
    Expect(1, 100351, '\p{intangut}', "");
    Expect(0, 100351, '\p{^intangut}', "");
    Expect(0, 100351, '\P{intangut}', "");
    Expect(1, 100351, '\P{^intangut}', "");
    Expect(0, 100352, '\p{intangut}', "");
    Expect(1, 100352, '\p{^intangut}', "");
    Expect(1, 100352, '\P{intangut}', "");
    Expect(0, 100352, '\P{^intangut}', "");
    Expect(1, 100351, '\p{ 	IN_Tangut}', "");
    Expect(0, 100351, '\p{^ 	IN_Tangut}', "");
    Expect(0, 100351, '\P{ 	IN_Tangut}', "");
    Expect(1, 100351, '\P{^ 	IN_Tangut}', "");
    Expect(0, 100352, '\p{ 	IN_Tangut}', "");
    Expect(1, 100352, '\p{^ 	IN_Tangut}', "");
    Expect(1, 100352, '\P{ 	IN_Tangut}', "");
    Expect(0, 100352, '\P{^ 	IN_Tangut}', "");
    Error('\p{_in_TANGUT:=}');
    Error('\P{_in_TANGUT:=}');
    Expect(1, 100351, '\p{_	in_Tangut}', "");
    Expect(0, 100351, '\p{^_	in_Tangut}', "");
    Expect(0, 100351, '\P{_	in_Tangut}', "");
    Expect(1, 100351, '\P{^_	in_Tangut}', "");
    Expect(0, 100352, '\p{_	in_Tangut}', "");
    Expect(1, 100352, '\p{^_	in_Tangut}', "");
    Expect(1, 100352, '\P{_	in_Tangut}', "");
    Expect(0, 100352, '\P{^_	in_Tangut}', "");
    Error('\p{:=	_In_TELUGU}');
    Error('\P{:=	_In_TELUGU}');
    Expect(1, 3199, '\p{intelugu}', "");
    Expect(0, 3199, '\p{^intelugu}', "");
    Expect(0, 3199, '\P{intelugu}', "");
    Expect(1, 3199, '\P{^intelugu}', "");
    Expect(0, 3200, '\p{intelugu}', "");
    Expect(1, 3200, '\p{^intelugu}', "");
    Expect(1, 3200, '\P{intelugu}', "");
    Expect(0, 3200, '\P{^intelugu}', "");
    Expect(1, 3199, '\p{		in_telugu}', "");
    Expect(0, 3199, '\p{^		in_telugu}', "");
    Expect(0, 3199, '\P{		in_telugu}', "");
    Expect(1, 3199, '\P{^		in_telugu}', "");
    Expect(0, 3200, '\p{		in_telugu}', "");
    Expect(1, 3200, '\p{^		in_telugu}', "");
    Expect(1, 3200, '\P{		in_telugu}', "");
    Expect(0, 3200, '\P{^		in_telugu}', "");
    Error('\p{ in_telugu/a/}');
    Error('\P{ in_telugu/a/}');
    Expect(1, 3199, '\p{	 IN_telugu}', "");
    Expect(0, 3199, '\p{^	 IN_telugu}', "");
    Expect(0, 3199, '\P{	 IN_telugu}', "");
    Expect(1, 3199, '\P{^	 IN_telugu}', "");
    Expect(0, 3200, '\p{	 IN_telugu}', "");
    Expect(1, 3200, '\p{^	 IN_telugu}', "");
    Expect(1, 3200, '\P{	 IN_telugu}', "");
    Expect(0, 3200, '\P{^	 IN_telugu}', "");
    Error('\p{/a/_ in_Thaana}');
    Error('\P{/a/_ in_Thaana}');
    Expect(1, 1983, '\p{inthaana}', "");
    Expect(0, 1983, '\p{^inthaana}', "");
    Expect(0, 1983, '\P{inthaana}', "");
    Expect(1, 1983, '\P{^inthaana}', "");
    Expect(0, 1984, '\p{inthaana}', "");
    Expect(1, 1984, '\p{^inthaana}', "");
    Expect(1, 1984, '\P{inthaana}', "");
    Expect(0, 1984, '\P{^inthaana}', "");
    Expect(1, 1983, '\p{- IN_THAANA}', "");
    Expect(0, 1983, '\p{^- IN_THAANA}', "");
    Expect(0, 1983, '\P{- IN_THAANA}', "");
    Expect(1, 1983, '\P{^- IN_THAANA}', "");
    Expect(0, 1984, '\p{- IN_THAANA}', "");
    Expect(1, 1984, '\p{^- IN_THAANA}', "");
    Expect(1, 1984, '\P{- IN_THAANA}', "");
    Expect(0, 1984, '\P{^- IN_THAANA}', "");
    Error('\p{_in_THAANA:=}');
    Error('\P{_in_THAANA:=}');
    Expect(1, 1983, '\p{_	In_thaana}', "");
    Expect(0, 1983, '\p{^_	In_thaana}', "");
    Expect(0, 1983, '\P{_	In_thaana}', "");
    Expect(1, 1983, '\P{^_	In_thaana}', "");
    Expect(0, 1984, '\p{_	In_thaana}', "");
    Expect(1, 1984, '\p{^_	In_thaana}', "");
    Expect(1, 1984, '\P{_	In_thaana}', "");
    Expect(0, 1984, '\P{^_	In_thaana}', "");
    Error('\p{	/a/IN_THAI}');
    Error('\P{	/a/IN_THAI}');
    Expect(1, 3711, '\p{inthai}', "");
    Expect(0, 3711, '\p{^inthai}', "");
    Expect(0, 3711, '\P{inthai}', "");
    Expect(1, 3711, '\P{^inthai}', "");
    Expect(0, 3712, '\p{inthai}', "");
    Expect(1, 3712, '\p{^inthai}', "");
    Expect(1, 3712, '\P{inthai}', "");
    Expect(0, 3712, '\P{^inthai}', "");
    Expect(1, 3711, '\p{-in_Thai}', "");
    Expect(0, 3711, '\p{^-in_Thai}', "");
    Expect(0, 3711, '\P{-in_Thai}', "");
    Expect(1, 3711, '\P{^-in_Thai}', "");
    Expect(0, 3712, '\p{-in_Thai}', "");
    Expect(1, 3712, '\p{^-in_Thai}', "");
    Expect(1, 3712, '\P{-in_Thai}', "");
    Expect(0, 3712, '\P{^-in_Thai}', "");
    Error('\p{ IN_Thai/a/}');
    Error('\P{ IN_Thai/a/}');
    Expect(1, 3711, '\p{_ IN_thai}', "");
    Expect(0, 3711, '\p{^_ IN_thai}', "");
    Expect(0, 3711, '\P{_ IN_thai}', "");
    Expect(1, 3711, '\P{^_ IN_thai}', "");
    Expect(0, 3712, '\p{_ IN_thai}', "");
    Expect(1, 3712, '\p{^_ IN_thai}', "");
    Expect(1, 3712, '\P{_ IN_thai}', "");
    Expect(0, 3712, '\P{^_ IN_thai}', "");
    Error('\p{ :=IN_Tibetan}');
    Error('\P{ :=IN_Tibetan}');
    Expect(1, 4095, '\p{intibetan}', "");
    Expect(0, 4095, '\p{^intibetan}', "");
    Expect(0, 4095, '\P{intibetan}', "");
    Expect(1, 4095, '\P{^intibetan}', "");
    Expect(0, 4096, '\p{intibetan}', "");
    Expect(1, 4096, '\p{^intibetan}', "");
    Expect(1, 4096, '\P{intibetan}', "");
    Expect(0, 4096, '\P{^intibetan}', "");
    Expect(1, 4095, '\p{-_in_Tibetan}', "");
    Expect(0, 4095, '\p{^-_in_Tibetan}', "");
    Expect(0, 4095, '\P{-_in_Tibetan}', "");
    Expect(1, 4095, '\P{^-_in_Tibetan}', "");
    Expect(0, 4096, '\p{-_in_Tibetan}', "");
    Expect(1, 4096, '\p{^-_in_Tibetan}', "");
    Expect(1, 4096, '\P{-_in_Tibetan}', "");
    Expect(0, 4096, '\P{^-_in_Tibetan}', "");
    Error('\p{:=	 In_tibetan}');
    Error('\P{:=	 In_tibetan}');
    Expect(1, 4095, '\p{_ IN_tibetan}', "");
    Expect(0, 4095, '\p{^_ IN_tibetan}', "");
    Expect(0, 4095, '\P{_ IN_tibetan}', "");
    Expect(1, 4095, '\P{^_ IN_tibetan}', "");
    Expect(0, 4096, '\p{_ IN_tibetan}', "");
    Expect(1, 4096, '\p{^_ IN_tibetan}', "");
    Expect(1, 4096, '\P{_ IN_tibetan}', "");
    Expect(0, 4096, '\P{^_ IN_tibetan}', "");
    Error('\p{/a/IN_tifinagh}');
    Error('\P{/a/IN_tifinagh}');
    Expect(1, 11647, '\p{intifinagh}', "");
    Expect(0, 11647, '\p{^intifinagh}', "");
    Expect(0, 11647, '\P{intifinagh}', "");
    Expect(1, 11647, '\P{^intifinagh}', "");
    Expect(0, 11648, '\p{intifinagh}', "");
    Expect(1, 11648, '\p{^intifinagh}', "");
    Expect(1, 11648, '\P{intifinagh}', "");
    Expect(0, 11648, '\P{^intifinagh}', "");
    Expect(1, 11647, '\p{-	In_Tifinagh}', "");
    Expect(0, 11647, '\p{^-	In_Tifinagh}', "");
    Expect(0, 11647, '\P{-	In_Tifinagh}', "");
    Expect(1, 11647, '\P{^-	In_Tifinagh}', "");
    Expect(0, 11648, '\p{-	In_Tifinagh}', "");
    Expect(1, 11648, '\p{^-	In_Tifinagh}', "");
    Expect(1, 11648, '\P{-	In_Tifinagh}', "");
    Expect(0, 11648, '\P{^-	In_Tifinagh}', "");
    Error('\p{/a/ -In_Tifinagh}');
    Error('\P{/a/ -In_Tifinagh}');
    Expect(1, 11647, '\p{__In_tifinagh}', "");
    Expect(0, 11647, '\p{^__In_tifinagh}', "");
    Expect(0, 11647, '\P{__In_tifinagh}', "");
    Expect(1, 11647, '\P{^__In_tifinagh}', "");
    Expect(0, 11648, '\p{__In_tifinagh}', "");
    Expect(1, 11648, '\p{^__In_tifinagh}', "");
    Expect(1, 11648, '\P{__In_tifinagh}', "");
    Expect(0, 11648, '\P{^__In_tifinagh}', "");
    Error('\p{--in_Tirhuta:=}');
    Error('\P{--in_Tirhuta:=}');
    Expect(1, 70879, '\p{intirhuta}', "");
    Expect(0, 70879, '\p{^intirhuta}', "");
    Expect(0, 70879, '\P{intirhuta}', "");
    Expect(1, 70879, '\P{^intirhuta}', "");
    Expect(0, 70880, '\p{intirhuta}', "");
    Expect(1, 70880, '\p{^intirhuta}', "");
    Expect(1, 70880, '\P{intirhuta}', "");
    Expect(0, 70880, '\P{^intirhuta}', "");
    Expect(1, 70879, '\p{	in_Tirhuta}', "");
    Expect(0, 70879, '\p{^	in_Tirhuta}', "");
    Expect(0, 70879, '\P{	in_Tirhuta}', "");
    Expect(1, 70879, '\P{^	in_Tirhuta}', "");
    Expect(0, 70880, '\p{	in_Tirhuta}', "");
    Expect(1, 70880, '\p{^	in_Tirhuta}', "");
    Expect(1, 70880, '\P{	in_Tirhuta}', "");
    Expect(0, 70880, '\P{^	in_Tirhuta}', "");
    Error('\p{/a/	-IN_Tirhuta}');
    Error('\P{/a/	-IN_Tirhuta}');
    Expect(1, 70879, '\p{_In_Tirhuta}', "");
    Expect(0, 70879, '\p{^_In_Tirhuta}', "");
    Expect(0, 70879, '\P{_In_Tirhuta}', "");
    Expect(1, 70879, '\P{^_In_Tirhuta}', "");
    Expect(0, 70880, '\p{_In_Tirhuta}', "");
    Expect(1, 70880, '\p{^_In_Tirhuta}', "");
    Expect(1, 70880, '\P{_In_Tirhuta}', "");
    Expect(0, 70880, '\P{^_In_Tirhuta}', "");
    Error('\p{- IN_Toto/a/}');
    Error('\P{- IN_Toto/a/}');
    Expect(1, 123583, '\p{intoto}', "");
    Expect(0, 123583, '\p{^intoto}', "");
    Expect(0, 123583, '\P{intoto}', "");
    Expect(1, 123583, '\P{^intoto}', "");
    Expect(0, 123584, '\p{intoto}', "");
    Expect(1, 123584, '\p{^intoto}', "");
    Expect(1, 123584, '\P{intoto}', "");
    Expect(0, 123584, '\P{^intoto}', "");
    Expect(1, 123583, '\p{ In_Toto}', "");
    Expect(0, 123583, '\p{^ In_Toto}', "");
    Expect(0, 123583, '\P{ In_Toto}', "");
    Expect(1, 123583, '\P{^ In_Toto}', "");
    Expect(0, 123584, '\p{ In_Toto}', "");
    Expect(1, 123584, '\p{^ In_Toto}', "");
    Expect(1, 123584, '\P{ In_Toto}', "");
    Expect(0, 123584, '\P{^ In_Toto}', "");
    Error('\p{ :=In_Toto}');
    Error('\P{ :=In_Toto}');
    Expect(1, 123583, '\p{	In_TOTO}', "");
    Expect(0, 123583, '\p{^	In_TOTO}', "");
    Expect(0, 123583, '\P{	In_TOTO}', "");
    Expect(1, 123583, '\P{^	In_TOTO}', "");
    Expect(0, 123584, '\p{	In_TOTO}', "");
    Expect(1, 123584, '\p{^	In_TOTO}', "");
    Expect(1, 123584, '\P{	In_TOTO}', "");
    Expect(0, 123584, '\P{^	In_TOTO}', "");
    Error('\p{:=-In_Ugaritic}');
    Error('\P{:=-In_Ugaritic}');
    Expect(1, 66463, '\p{inugaritic}', "");
    Expect(0, 66463, '\p{^inugaritic}', "");
    Expect(0, 66463, '\P{inugaritic}', "");
    Expect(1, 66463, '\P{^inugaritic}', "");
    Expect(0, 66464, '\p{inugaritic}', "");
    Expect(1, 66464, '\p{^inugaritic}', "");
    Expect(1, 66464, '\P{inugaritic}', "");
    Expect(0, 66464, '\P{^inugaritic}', "");
    Expect(1, 66463, '\p{ _In_UGARITIC}', "");
    Expect(0, 66463, '\p{^ _In_UGARITIC}', "");
    Expect(0, 66463, '\P{ _In_UGARITIC}', "");
    Expect(1, 66463, '\P{^ _In_UGARITIC}', "");
    Expect(0, 66464, '\p{ _In_UGARITIC}', "");
    Expect(1, 66464, '\p{^ _In_UGARITIC}', "");
    Expect(1, 66464, '\P{ _In_UGARITIC}', "");
    Expect(0, 66464, '\P{^ _In_UGARITIC}', "");
    Error('\p{ In_ugaritic:=}');
    Error('\P{ In_ugaritic:=}');
    Expect(1, 66463, '\p{	In_Ugaritic}', "");
    Expect(0, 66463, '\p{^	In_Ugaritic}', "");
    Expect(0, 66463, '\P{	In_Ugaritic}', "");
    Expect(1, 66463, '\P{^	In_Ugaritic}', "");
    Expect(0, 66464, '\p{	In_Ugaritic}', "");
    Expect(1, 66464, '\p{^	In_Ugaritic}', "");
    Expect(1, 66464, '\P{	In_Ugaritic}', "");
    Expect(0, 66464, '\P{^	In_Ugaritic}', "");
    Error('\p{-in_Vai/a/}');
    Error('\P{-in_Vai/a/}');
    Expect(1, 42559, '\p{invai}', "");
    Expect(0, 42559, '\p{^invai}', "");
    Expect(0, 42559, '\P{invai}', "");
    Expect(1, 42559, '\P{^invai}', "");
    Expect(0, 42560, '\p{invai}', "");
    Expect(1, 42560, '\p{^invai}', "");
    Expect(1, 42560, '\P{invai}', "");
    Expect(0, 42560, '\P{^invai}', "");
    Expect(1, 42559, '\p{-IN_vai}', "");
    Expect(0, 42559, '\p{^-IN_vai}', "");
    Expect(0, 42559, '\P{-IN_vai}', "");
    Expect(1, 42559, '\P{^-IN_vai}', "");
    Expect(0, 42560, '\p{-IN_vai}', "");
    Expect(1, 42560, '\p{^-IN_vai}', "");
    Expect(1, 42560, '\P{-IN_vai}', "");
    Expect(0, 42560, '\P{^-IN_vai}', "");
    Error('\p{/a/ In_Vai}');
    Error('\P{/a/ In_Vai}');
    Expect(1, 42559, '\p{ In_VAI}', "");
    Expect(0, 42559, '\p{^ In_VAI}', "");
    Expect(0, 42559, '\P{ In_VAI}', "");
    Expect(1, 42559, '\P{^ In_VAI}', "");
    Expect(0, 42560, '\p{ In_VAI}', "");
    Expect(1, 42560, '\p{^ In_VAI}', "");
    Expect(1, 42560, '\P{ In_VAI}', "");
    Expect(0, 42560, '\P{^ In_VAI}', "");
    Error('\p{		in_VITHKUQI/a/}');
    Error('\P{		in_VITHKUQI/a/}');
    Expect(1, 67007, '\p{invithkuqi}', "");
    Expect(0, 67007, '\p{^invithkuqi}', "");
    Expect(0, 67007, '\P{invithkuqi}', "");
    Expect(1, 67007, '\P{^invithkuqi}', "");
    Expect(0, 67008, '\p{invithkuqi}', "");
    Expect(1, 67008, '\p{^invithkuqi}', "");
    Expect(1, 67008, '\P{invithkuqi}', "");
    Expect(0, 67008, '\P{^invithkuqi}', "");
    Expect(1, 67007, '\p{	-In_vithkuqi}', "");
    Expect(0, 67007, '\p{^	-In_vithkuqi}', "");
    Expect(0, 67007, '\P{	-In_vithkuqi}', "");
    Expect(1, 67007, '\P{^	-In_vithkuqi}', "");
    Expect(0, 67008, '\p{	-In_vithkuqi}', "");
    Expect(1, 67008, '\p{^	-In_vithkuqi}', "");
    Expect(1, 67008, '\P{	-In_vithkuqi}', "");
    Expect(0, 67008, '\P{^	-In_vithkuqi}', "");
    Error('\p{/a/- In_vithkuqi}');
    Error('\P{/a/- In_vithkuqi}');
    Expect(1, 67007, '\p{-In_Vithkuqi}', "");
    Expect(0, 67007, '\p{^-In_Vithkuqi}', "");
    Expect(0, 67007, '\P{-In_Vithkuqi}', "");
    Expect(1, 67007, '\P{^-In_Vithkuqi}', "");
    Expect(0, 67008, '\p{-In_Vithkuqi}', "");
    Expect(1, 67008, '\p{^-In_Vithkuqi}', "");
    Expect(1, 67008, '\P{-In_Vithkuqi}', "");
    Expect(0, 67008, '\P{^-In_Vithkuqi}', "");
    Error('\p{/a/_-In_Wancho}');
    Error('\P{/a/_-In_Wancho}');
    Expect(1, 123647, '\p{inwancho}', "");
    Expect(0, 123647, '\p{^inwancho}', "");
    Expect(0, 123647, '\P{inwancho}', "");
    Expect(1, 123647, '\P{^inwancho}', "");
    Expect(0, 123648, '\p{inwancho}', "");
    Expect(1, 123648, '\p{^inwancho}', "");
    Expect(1, 123648, '\P{inwancho}', "");
    Expect(0, 123648, '\P{^inwancho}', "");
    Expect(1, 123647, '\p{ In_Wancho}', "");
    Expect(0, 123647, '\p{^ In_Wancho}', "");
    Expect(0, 123647, '\P{ In_Wancho}', "");
    Expect(1, 123647, '\P{^ In_Wancho}', "");
    Expect(0, 123648, '\p{ In_Wancho}', "");
    Expect(1, 123648, '\p{^ In_Wancho}', "");
    Expect(1, 123648, '\P{ In_Wancho}', "");
    Expect(0, 123648, '\P{^ In_Wancho}', "");
    Error('\p{/a/ In_WANCHO}');
    Error('\P{/a/ In_WANCHO}');
    Expect(1, 123647, '\p{_	In_Wancho}', "");
    Expect(0, 123647, '\p{^_	In_Wancho}', "");
    Expect(0, 123647, '\P{_	In_Wancho}', "");
    Expect(1, 123647, '\P{^_	In_Wancho}', "");
    Expect(0, 123648, '\p{_	In_Wancho}', "");
    Expect(1, 123648, '\p{^_	In_Wancho}', "");
    Expect(1, 123648, '\P{_	In_Wancho}', "");
    Expect(0, 123648, '\P{^_	In_Wancho}', "");
    Error('\p{-:=In_Warang_citi}');
    Error('\P{-:=In_Warang_citi}');
    Expect(1, 71935, '\p{inwarangciti}', "");
    Expect(0, 71935, '\p{^inwarangciti}', "");
    Expect(0, 71935, '\P{inwarangciti}', "");
    Expect(1, 71935, '\P{^inwarangciti}', "");
    Expect(0, 71936, '\p{inwarangciti}', "");
    Expect(1, 71936, '\p{^inwarangciti}', "");
    Expect(1, 71936, '\P{inwarangciti}', "");
    Expect(0, 71936, '\P{^inwarangciti}', "");
    Expect(1, 71935, '\p{-_in_warang_citi}', "");
    Expect(0, 71935, '\p{^-_in_warang_citi}', "");
    Expect(0, 71935, '\P{-_in_warang_citi}', "");
    Expect(1, 71935, '\P{^-_in_warang_citi}', "");
    Expect(0, 71936, '\p{-_in_warang_citi}', "");
    Expect(1, 71936, '\p{^-_in_warang_citi}', "");
    Expect(1, 71936, '\P{-_in_warang_citi}', "");
    Expect(0, 71936, '\P{^-_in_warang_citi}', "");
    Error('\p{_In_warang_Citi/a/}');
    Error('\P{_In_warang_Citi/a/}');
    Expect(1, 71935, '\p{_IN_Warang_citi}', "");
    Expect(0, 71935, '\p{^_IN_Warang_citi}', "");
    Expect(0, 71935, '\P{_IN_Warang_citi}', "");
    Expect(1, 71935, '\P{^_IN_Warang_citi}', "");
    Expect(0, 71936, '\p{_IN_Warang_citi}', "");
    Expect(1, 71936, '\p{^_IN_Warang_citi}', "");
    Expect(1, 71936, '\P{_IN_Warang_citi}', "");
    Expect(0, 71936, '\P{^_IN_Warang_citi}', "");
    Error('\p{:=	IN_YEZIDI}');
    Error('\P{:=	IN_YEZIDI}');
    Expect(1, 69311, '\p{inyezidi}', "");
    Expect(0, 69311, '\p{^inyezidi}', "");
    Expect(0, 69311, '\P{inyezidi}', "");
    Expect(1, 69311, '\P{^inyezidi}', "");
    Expect(0, 69312, '\p{inyezidi}', "");
    Expect(1, 69312, '\p{^inyezidi}', "");
    Expect(1, 69312, '\P{inyezidi}', "");
    Expect(0, 69312, '\P{^inyezidi}', "");
    Expect(1, 69311, '\p{-IN_YEZIDI}', "");
    Expect(0, 69311, '\p{^-IN_YEZIDI}', "");
    Expect(0, 69311, '\P{-IN_YEZIDI}', "");
    Expect(1, 69311, '\P{^-IN_YEZIDI}', "");
    Expect(0, 69312, '\p{-IN_YEZIDI}', "");
    Expect(1, 69312, '\p{^-IN_YEZIDI}', "");
    Expect(1, 69312, '\P{-IN_YEZIDI}', "");
    Expect(0, 69312, '\P{^-IN_YEZIDI}', "");
    Error('\p{_ In_yezidi/a/}');
    Error('\P{_ In_yezidi/a/}');
    Expect(1, 69311, '\p{  IN_YEZIDI}', "");
    Expect(0, 69311, '\p{^  IN_YEZIDI}', "");
    Expect(0, 69311, '\P{  IN_YEZIDI}', "");
    Expect(1, 69311, '\P{^  IN_YEZIDI}', "");
    Expect(0, 69312, '\p{  IN_YEZIDI}', "");
    Expect(1, 69312, '\p{^  IN_YEZIDI}', "");
    Expect(1, 69312, '\P{  IN_YEZIDI}', "");
    Expect(0, 69312, '\P{^  IN_YEZIDI}', "");
    Error('\p{	 in_Zanabazar_SQUARE:=}');
    Error('\P{	 in_Zanabazar_SQUARE:=}');
    Expect(1, 72271, '\p{inzanabazarsquare}', "");
    Expect(0, 72271, '\p{^inzanabazarsquare}', "");
    Expect(0, 72271, '\P{inzanabazarsquare}', "");
    Expect(1, 72271, '\P{^inzanabazarsquare}', "");
    Expect(0, 72272, '\p{inzanabazarsquare}', "");
    Expect(1, 72272, '\p{^inzanabazarsquare}', "");
    Expect(1, 72272, '\P{inzanabazarsquare}', "");
    Expect(0, 72272, '\P{^inzanabazarsquare}', "");
    Expect(1, 72271, '\p{-IN_Zanabazar_Square}', "");
    Expect(0, 72271, '\p{^-IN_Zanabazar_Square}', "");
    Expect(0, 72271, '\P{-IN_Zanabazar_Square}', "");
    Expect(1, 72271, '\P{^-IN_Zanabazar_Square}', "");
    Expect(0, 72272, '\p{-IN_Zanabazar_Square}', "");
    Expect(1, 72272, '\p{^-IN_Zanabazar_Square}', "");
    Expect(1, 72272, '\P{-IN_Zanabazar_Square}', "");
    Expect(0, 72272, '\P{^-IN_Zanabazar_Square}', "");
    Error('\p{	:=In_Zanabazar_SQUARE}');
    Error('\P{	:=In_Zanabazar_SQUARE}');
    Expect(1, 72271, '\p{_IN_Zanabazar_Square}', "");
    Expect(0, 72271, '\p{^_IN_Zanabazar_Square}', "");
    Expect(0, 72271, '\P{_IN_Zanabazar_Square}', "");
    Expect(1, 72271, '\P{^_IN_Zanabazar_Square}', "");
    Expect(0, 72272, '\p{_IN_Zanabazar_Square}', "");
    Expect(1, 72272, '\p{^_IN_Zanabazar_Square}', "");
    Expect(1, 72272, '\P{_IN_Zanabazar_Square}', "");
    Expect(0, 72272, '\P{^_IN_Zanabazar_Square}', "");
    Error('\p{	Indic_siyaq_NUMBERS/a/}');
    Error('\P{	Indic_siyaq_NUMBERS/a/}');
    Expect(1, 126143, '\p{indicsiyaqnumbers}', "");
    Expect(0, 126143, '\p{^indicsiyaqnumbers}', "");
    Expect(0, 126143, '\P{indicsiyaqnumbers}', "");
    Expect(1, 126143, '\P{^indicsiyaqnumbers}', "");
    Expect(0, 126144, '\p{indicsiyaqnumbers}', "");
    Expect(1, 126144, '\p{^indicsiyaqnumbers}', "");
    Expect(1, 126144, '\P{indicsiyaqnumbers}', "");
    Expect(0, 126144, '\P{^indicsiyaqnumbers}', "");
    Expect(1, 126143, '\p{		Indic_Siyaq_numbers}', "");
    Expect(0, 126143, '\p{^		Indic_Siyaq_numbers}', "");
    Expect(0, 126143, '\P{		Indic_Siyaq_numbers}', "");
    Expect(1, 126143, '\P{^		Indic_Siyaq_numbers}', "");
    Expect(0, 126144, '\p{		Indic_Siyaq_numbers}', "");
    Expect(1, 126144, '\p{^		Indic_Siyaq_numbers}', "");
    Expect(1, 126144, '\P{		Indic_Siyaq_numbers}', "");
    Expect(0, 126144, '\P{^		Indic_Siyaq_numbers}', "");
    Error('\p{/a/-is_Indic_SIYAQ_numbers}');
    Error('\P{/a/-is_Indic_SIYAQ_numbers}');
    Expect(1, 126143, '\p{isindicsiyaqnumbers}', "");
    Expect(0, 126143, '\p{^isindicsiyaqnumbers}', "");
    Expect(0, 126143, '\P{isindicsiyaqnumbers}', "");
    Expect(1, 126143, '\P{^isindicsiyaqnumbers}', "");
    Expect(0, 126144, '\p{isindicsiyaqnumbers}', "");
    Expect(1, 126144, '\p{^isindicsiyaqnumbers}', "");
    Expect(1, 126144, '\P{isindicsiyaqnumbers}', "");
    Expect(0, 126144, '\P{^isindicsiyaqnumbers}', "");
    Expect(1, 126143, '\p{Is_Indic_SIYAQ_Numbers}', "");
    Expect(0, 126143, '\p{^Is_Indic_SIYAQ_Numbers}', "");
    Expect(0, 126143, '\P{Is_Indic_SIYAQ_Numbers}', "");
    Expect(1, 126143, '\P{^Is_Indic_SIYAQ_Numbers}', "");
    Expect(0, 126144, '\p{Is_Indic_SIYAQ_Numbers}', "");
    Expect(1, 126144, '\p{^Is_Indic_SIYAQ_Numbers}', "");
    Expect(1, 126144, '\P{Is_Indic_SIYAQ_Numbers}', "");
    Expect(0, 126144, '\P{^Is_Indic_SIYAQ_Numbers}', "");
    Error('\p{_In_indic_Siyaq_numbers:=}');
    Error('\P{_In_indic_Siyaq_numbers:=}');
    Expect(1, 126143, '\p{inindicsiyaqnumbers}', "");
    Expect(0, 126143, '\p{^inindicsiyaqnumbers}', "");
    Expect(0, 126143, '\P{inindicsiyaqnumbers}', "");
    Expect(1, 126143, '\P{^inindicsiyaqnumbers}', "");
    Expect(0, 126144, '\p{inindicsiyaqnumbers}', "");
    Expect(1, 126144, '\p{^inindicsiyaqnumbers}', "");
    Expect(1, 126144, '\P{inindicsiyaqnumbers}', "");
    Expect(0, 126144, '\P{^inindicsiyaqnumbers}', "");
    Expect(1, 126143, '\p{	 IN_INDIC_Siyaq_Numbers}', "");
    Expect(0, 126143, '\p{^	 IN_INDIC_Siyaq_Numbers}', "");
    Expect(0, 126143, '\P{	 IN_INDIC_Siyaq_Numbers}', "");
    Expect(1, 126143, '\P{^	 IN_INDIC_Siyaq_Numbers}', "");
    Expect(0, 126144, '\p{	 IN_INDIC_Siyaq_Numbers}', "");
    Expect(1, 126144, '\p{^	 IN_INDIC_Siyaq_Numbers}', "");
    Expect(1, 126144, '\P{	 IN_INDIC_Siyaq_Numbers}', "");
    Expect(0, 126144, '\P{^	 IN_INDIC_Siyaq_Numbers}', "");
    Error('\p{--inherited/a/}');
    Error('\P{--inherited/a/}');
    Expect(1, 917999, '\p{inherited}', "");
    Expect(0, 917999, '\p{^inherited}', "");
    Expect(0, 917999, '\P{inherited}', "");
    Expect(1, 917999, '\P{^inherited}', "");
    Expect(0, 918000, '\p{inherited}', "");
    Expect(1, 918000, '\p{^inherited}', "");
    Expect(1, 918000, '\P{inherited}', "");
    Expect(0, 918000, '\P{^inherited}', "");
    Expect(1, 917999, '\p{- INHERITED}', "");
    Expect(0, 917999, '\p{^- INHERITED}', "");
    Expect(0, 917999, '\P{- INHERITED}', "");
    Expect(1, 917999, '\P{^- INHERITED}', "");
    Expect(0, 918000, '\p{- INHERITED}', "");
    Expect(1, 918000, '\p{^- INHERITED}', "");
    Expect(1, 918000, '\P{- INHERITED}', "");
    Expect(0, 918000, '\P{^- INHERITED}', "");
    Error('\p{-:=Is_Inherited}');
    Error('\P{-:=Is_Inherited}');
    Expect(1, 917999, '\p{isinherited}', "");
    Expect(0, 917999, '\p{^isinherited}', "");
    Expect(0, 917999, '\P{isinherited}', "");
    Expect(1, 917999, '\P{^isinherited}', "");
    Expect(0, 918000, '\p{isinherited}', "");
    Expect(1, 918000, '\p{^isinherited}', "");
    Expect(1, 918000, '\P{isinherited}', "");
    Expect(0, 918000, '\P{^isinherited}', "");
    Expect(1, 917999, '\p{-	Is_Inherited}', "");
    Expect(0, 917999, '\p{^-	Is_Inherited}', "");
    Expect(0, 917999, '\P{-	Is_Inherited}', "");
    Expect(1, 917999, '\P{^-	Is_Inherited}', "");
    Expect(0, 918000, '\p{-	Is_Inherited}', "");
    Expect(1, 918000, '\p{^-	Is_Inherited}', "");
    Expect(1, 918000, '\P{-	Is_Inherited}', "");
    Expect(0, 918000, '\P{^-	Is_Inherited}', "");
    Error('\p{ /a/zinh}');
    Error('\P{ /a/zinh}');
    Expect(1, 917999, '\p{zinh}', "");
    Expect(0, 917999, '\p{^zinh}', "");
    Expect(0, 917999, '\P{zinh}', "");
    Expect(1, 917999, '\P{^zinh}', "");
    Expect(0, 918000, '\p{zinh}', "");
    Expect(1, 918000, '\p{^zinh}', "");
    Expect(1, 918000, '\P{zinh}', "");
    Expect(0, 918000, '\P{^zinh}', "");
    Expect(1, 917999, '\p{_Zinh}', "");
    Expect(0, 917999, '\p{^_Zinh}', "");
    Expect(0, 917999, '\P{_Zinh}', "");
    Expect(1, 917999, '\P{^_Zinh}', "");
    Expect(0, 918000, '\p{_Zinh}', "");
    Expect(1, 918000, '\p{^_Zinh}', "");
    Expect(1, 918000, '\P{_Zinh}', "");
    Expect(0, 918000, '\P{^_Zinh}', "");
    Error('\p{/a/--IS_Zinh}');
    Error('\P{/a/--IS_Zinh}');
    Expect(1, 917999, '\p{iszinh}', "");
    Expect(0, 917999, '\p{^iszinh}', "");
    Expect(0, 917999, '\P{iszinh}', "");
    Expect(1, 917999, '\P{^iszinh}', "");
    Expect(0, 918000, '\p{iszinh}', "");
    Expect(1, 918000, '\p{^iszinh}', "");
    Expect(1, 918000, '\P{iszinh}', "");
    Expect(0, 918000, '\P{^iszinh}', "");
    Expect(1, 917999, '\p{_Is_ZINH}', "");
    Expect(0, 917999, '\p{^_Is_ZINH}', "");
    Expect(0, 917999, '\P{_Is_ZINH}', "");
    Expect(1, 917999, '\P{^_Is_ZINH}', "");
    Expect(0, 918000, '\p{_Is_ZINH}', "");
    Expect(1, 918000, '\p{^_Is_ZINH}', "");
    Expect(1, 918000, '\P{_Is_ZINH}', "");
    Expect(0, 918000, '\P{^_Is_ZINH}', "");
    Error('\p{	-qaai:=}');
    Error('\P{	-qaai:=}');
    Expect(1, 917999, '\p{qaai}', "");
    Expect(0, 917999, '\p{^qaai}', "");
    Expect(0, 917999, '\P{qaai}', "");
    Expect(1, 917999, '\P{^qaai}', "");
    Expect(0, 918000, '\p{qaai}', "");
    Expect(1, 918000, '\p{^qaai}', "");
    Expect(1, 918000, '\P{qaai}', "");
    Expect(0, 918000, '\P{^qaai}', "");
    Expect(1, 917999, '\p{ qaai}', "");
    Expect(0, 917999, '\p{^ qaai}', "");
    Expect(0, 917999, '\P{ qaai}', "");
    Expect(1, 917999, '\P{^ qaai}', "");
    Expect(0, 918000, '\p{ qaai}', "");
    Expect(1, 918000, '\p{^ qaai}', "");
    Expect(1, 918000, '\P{ qaai}', "");
    Expect(0, 918000, '\P{^ qaai}', "");
    Error('\p{/a/-	is_Qaai}');
    Error('\P{/a/-	is_Qaai}');
    Expect(1, 917999, '\p{isqaai}', "");
    Expect(0, 917999, '\p{^isqaai}', "");
    Expect(0, 917999, '\P{isqaai}', "");
    Expect(1, 917999, '\P{^isqaai}', "");
    Expect(0, 918000, '\p{isqaai}', "");
    Expect(1, 918000, '\p{^isqaai}', "");
    Expect(1, 918000, '\P{isqaai}', "");
    Expect(0, 918000, '\P{^isqaai}', "");
    Expect(1, 917999, '\p{_	Is_QAAI}', "");
    Expect(0, 917999, '\p{^_	Is_QAAI}', "");
    Expect(0, 917999, '\P{_	Is_QAAI}', "");
    Expect(1, 917999, '\P{^_	Is_QAAI}', "");
    Expect(0, 918000, '\p{_	Is_QAAI}', "");
    Expect(1, 918000, '\p{^_	Is_QAAI}', "");
    Expect(1, 918000, '\P{_	Is_QAAI}', "");
    Expect(0, 918000, '\P{^_	Is_QAAI}', "");
    Error('\p{	-Initial_Punctuation:=}');
    Error('\P{	-Initial_Punctuation:=}');
    Expect(1, 11808, '\p{initialpunctuation}', "");
    Expect(0, 11808, '\p{^initialpunctuation}', "");
    Expect(0, 11808, '\P{initialpunctuation}', "");
    Expect(1, 11808, '\P{^initialpunctuation}', "");
    Expect(0, 11809, '\p{initialpunctuation}', "");
    Expect(1, 11809, '\p{^initialpunctuation}', "");
    Expect(1, 11809, '\P{initialpunctuation}', "");
    Expect(0, 11809, '\P{^initialpunctuation}', "");
    Expect(1, 11808, '\p{	_Initial_punctuation}', "");
    Expect(0, 11808, '\p{^	_Initial_punctuation}', "");
    Expect(0, 11808, '\P{	_Initial_punctuation}', "");
    Expect(1, 11808, '\P{^	_Initial_punctuation}', "");
    Expect(0, 11809, '\p{	_Initial_punctuation}', "");
    Expect(1, 11809, '\p{^	_Initial_punctuation}', "");
    Expect(1, 11809, '\P{	_Initial_punctuation}', "");
    Expect(0, 11809, '\P{^	_Initial_punctuation}', "");
    Error('\p{/a/IS_initial_Punctuation}');
    Error('\P{/a/IS_initial_Punctuation}');
    Expect(1, 11808, '\p{isinitialpunctuation}', "");
    Expect(0, 11808, '\p{^isinitialpunctuation}', "");
    Expect(0, 11808, '\P{isinitialpunctuation}', "");
    Expect(1, 11808, '\P{^isinitialpunctuation}', "");
    Expect(0, 11809, '\p{isinitialpunctuation}', "");
    Expect(1, 11809, '\p{^isinitialpunctuation}', "");
    Expect(1, 11809, '\P{isinitialpunctuation}', "");
    Expect(0, 11809, '\P{^isinitialpunctuation}', "");
    Expect(1, 11808, '\p{-	is_INITIAL_Punctuation}', "");
    Expect(0, 11808, '\p{^-	is_INITIAL_Punctuation}', "");
    Expect(0, 11808, '\P{-	is_INITIAL_Punctuation}', "");
    Expect(1, 11808, '\P{^-	is_INITIAL_Punctuation}', "");
    Expect(0, 11809, '\p{-	is_INITIAL_Punctuation}', "");
    Expect(1, 11809, '\p{^-	is_INITIAL_Punctuation}', "");
    Expect(1, 11809, '\P{-	is_INITIAL_Punctuation}', "");
    Expect(0, 11809, '\P{^-	is_INITIAL_Punctuation}', "");
    Error('\p{- pi:=}');
    Error('\P{- pi:=}');
    Expect(1, 11808, '\p{pi}', "");
    Expect(0, 11808, '\p{^pi}', "");
    Expect(0, 11808, '\P{pi}', "");
    Expect(1, 11808, '\P{^pi}', "");
    Expect(0, 11809, '\p{pi}', "");
    Expect(1, 11809, '\p{^pi}', "");
    Expect(1, 11809, '\P{pi}', "");
    Expect(0, 11809, '\P{^pi}', "");
    Expect(1, 11808, '\p{ _PI}', "");
    Expect(0, 11808, '\p{^ _PI}', "");
    Expect(0, 11808, '\P{ _PI}', "");
    Expect(1, 11808, '\P{^ _PI}', "");
    Expect(0, 11809, '\p{ _PI}', "");
    Expect(1, 11809, '\p{^ _PI}', "");
    Expect(1, 11809, '\P{ _PI}', "");
    Expect(0, 11809, '\P{^ _PI}', "");
    Error('\p{:=- Is_Pi}');
    Error('\P{:=- Is_Pi}');
    Expect(1, 11808, '\p{ispi}', "");
    Expect(0, 11808, '\p{^ispi}', "");
    Expect(0, 11808, '\P{ispi}', "");
    Expect(1, 11808, '\P{^ispi}', "");
    Expect(0, 11809, '\p{ispi}', "");
    Expect(1, 11809, '\p{^ispi}', "");
    Expect(1, 11809, '\P{ispi}', "");
    Expect(0, 11809, '\P{^ispi}', "");
    Expect(1, 11808, '\p{		IS_Pi}', "");
    Expect(0, 11808, '\p{^		IS_Pi}', "");
    Expect(0, 11808, '\P{		IS_Pi}', "");
    Expect(1, 11808, '\P{^		IS_Pi}', "");
    Expect(0, 11809, '\p{		IS_Pi}', "");
    Expect(1, 11809, '\p{^		IS_Pi}', "");
    Expect(1, 11809, '\P{		IS_Pi}', "");
    Expect(0, 11809, '\P{^		IS_Pi}', "");
    Error('\p{/a/Inscriptional_PAHLAVI}');
    Error('\P{/a/Inscriptional_PAHLAVI}');
    Expect(1, 68479, '\p{inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{_ inscriptional_pahlavi}', "");
    Expect(0, 68479, '\p{^_ inscriptional_pahlavi}', "");
    Expect(0, 68479, '\P{_ inscriptional_pahlavi}', "");
    Expect(1, 68479, '\P{^_ inscriptional_pahlavi}', "");
    Expect(0, 68480, '\p{_ inscriptional_pahlavi}', "");
    Expect(1, 68480, '\p{^_ inscriptional_pahlavi}', "");
    Expect(1, 68480, '\P{_ inscriptional_pahlavi}', "");
    Expect(0, 68480, '\P{^_ inscriptional_pahlavi}', "");
    Error('\p{:=-IS_INSCRIPTIONAL_Pahlavi}');
    Error('\P{:=-IS_INSCRIPTIONAL_Pahlavi}');
    Expect(1, 68479, '\p{isinscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^isinscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{isinscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^isinscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{isinscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^isinscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{isinscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^isinscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{		is_inscriptional_Pahlavi}', "");
    Expect(0, 68479, '\p{^		is_inscriptional_Pahlavi}', "");
    Expect(0, 68479, '\P{		is_inscriptional_Pahlavi}', "");
    Expect(1, 68479, '\P{^		is_inscriptional_Pahlavi}', "");
    Expect(0, 68480, '\p{		is_inscriptional_Pahlavi}', "");
    Expect(1, 68480, '\p{^		is_inscriptional_Pahlavi}', "");
    Expect(1, 68480, '\P{		is_inscriptional_Pahlavi}', "");
    Expect(0, 68480, '\P{^		is_inscriptional_Pahlavi}', "");
    Error('\p{/a/phli}');
    Error('\P{/a/phli}');
    Expect(1, 68479, '\p{phli}', "");
    Expect(0, 68479, '\p{^phli}', "");
    Expect(0, 68479, '\P{phli}', "");
    Expect(1, 68479, '\P{^phli}', "");
    Expect(0, 68480, '\p{phli}', "");
    Expect(1, 68480, '\p{^phli}', "");
    Expect(1, 68480, '\P{phli}', "");
    Expect(0, 68480, '\P{^phli}', "");
    Expect(1, 68479, '\p{ 	phli}', "");
    Expect(0, 68479, '\p{^ 	phli}', "");
    Expect(0, 68479, '\P{ 	phli}', "");
    Expect(1, 68479, '\P{^ 	phli}', "");
    Expect(0, 68480, '\p{ 	phli}', "");
    Expect(1, 68480, '\p{^ 	phli}', "");
    Expect(1, 68480, '\P{ 	phli}', "");
    Expect(0, 68480, '\P{^ 	phli}', "");
    Error('\p{_	is_Phli:=}');
    Error('\P{_	is_Phli:=}');
    Expect(1, 68479, '\p{isphli}', "");
    Expect(0, 68479, '\p{^isphli}', "");
    Expect(0, 68479, '\P{isphli}', "");
    Expect(1, 68479, '\P{^isphli}', "");
    Expect(0, 68480, '\p{isphli}', "");
    Expect(1, 68480, '\p{^isphli}', "");
    Expect(1, 68480, '\P{isphli}', "");
    Expect(0, 68480, '\P{^isphli}', "");
    Expect(1, 68479, '\p{ Is_phli}', "");
    Expect(0, 68479, '\p{^ Is_phli}', "");
    Expect(0, 68479, '\P{ Is_phli}', "");
    Expect(1, 68479, '\P{^ Is_phli}', "");
    Expect(0, 68480, '\p{ Is_phli}', "");
    Expect(1, 68480, '\p{^ Is_phli}', "");
    Expect(1, 68480, '\P{ Is_phli}', "");
    Expect(0, 68480, '\P{^ Is_phli}', "");
    Error('\p{:= _INSCRIPTIONAL_Parthian}');
    Error('\P{:= _INSCRIPTIONAL_Parthian}');
    Expect(1, 68447, '\p{inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^inscriptionalparthian}', "");
    Expect(0, 68447, '\P{inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^inscriptionalparthian}', "");
    Expect(0, 68448, '\p{inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^inscriptionalparthian}', "");
    Expect(1, 68448, '\P{inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^inscriptionalparthian}', "");
    Expect(1, 68447, '\p{	 inscriptional_parthian}', "");
    Expect(0, 68447, '\p{^	 inscriptional_parthian}', "");
    Expect(0, 68447, '\P{	 inscriptional_parthian}', "");
    Expect(1, 68447, '\P{^	 inscriptional_parthian}', "");
    Expect(0, 68448, '\p{	 inscriptional_parthian}', "");
    Expect(1, 68448, '\p{^	 inscriptional_parthian}', "");
    Expect(1, 68448, '\P{	 inscriptional_parthian}', "");
    Expect(0, 68448, '\P{^	 inscriptional_parthian}', "");
    Error('\p{ :=Is_Inscriptional_Parthian}');
    Error('\P{ :=Is_Inscriptional_Parthian}');
    Expect(1, 68447, '\p{isinscriptionalparthian}', "");
    Expect(0, 68447, '\p{^isinscriptionalparthian}', "");
    Expect(0, 68447, '\P{isinscriptionalparthian}', "");
    Expect(1, 68447, '\P{^isinscriptionalparthian}', "");
    Expect(0, 68448, '\p{isinscriptionalparthian}', "");
    Expect(1, 68448, '\p{^isinscriptionalparthian}', "");
    Expect(1, 68448, '\P{isinscriptionalparthian}', "");
    Expect(0, 68448, '\P{^isinscriptionalparthian}', "");
    Expect(1, 68447, '\p{		is_INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68447, '\p{^		is_INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68447, '\P{		is_INSCRIPTIONAL_Parthian}', "");
    Expect(1, 68447, '\P{^		is_INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68448, '\p{		is_INSCRIPTIONAL_Parthian}', "");
    Expect(1, 68448, '\p{^		is_INSCRIPTIONAL_Parthian}', "");
    Expect(1, 68448, '\P{		is_INSCRIPTIONAL_Parthian}', "");
    Expect(0, 68448, '\P{^		is_INSCRIPTIONAL_Parthian}', "");
    Error('\p{	_Prti/a/}');
    Error('\P{	_Prti/a/}');
    Expect(1, 68447, '\p{prti}', "");
    Expect(0, 68447, '\p{^prti}', "");
    Expect(0, 68447, '\P{prti}', "");
    Expect(1, 68447, '\P{^prti}', "");
    Expect(0, 68448, '\p{prti}', "");
    Expect(1, 68448, '\p{^prti}', "");
    Expect(1, 68448, '\P{prti}', "");
    Expect(0, 68448, '\P{^prti}', "");
    Expect(1, 68447, '\p{ PRTI}', "");
    Expect(0, 68447, '\p{^ PRTI}', "");
    Expect(0, 68447, '\P{ PRTI}', "");
    Expect(1, 68447, '\P{^ PRTI}', "");
    Expect(0, 68448, '\p{ PRTI}', "");
    Expect(1, 68448, '\p{^ PRTI}', "");
    Expect(1, 68448, '\P{ PRTI}', "");
    Expect(0, 68448, '\P{^ PRTI}', "");
    Error('\p{:=IS_PRTI}');
    Error('\P{:=IS_PRTI}');
    Expect(1, 68447, '\p{isprti}', "");
    Expect(0, 68447, '\p{^isprti}', "");
    Expect(0, 68447, '\P{isprti}', "");
    Expect(1, 68447, '\P{^isprti}', "");
    Expect(0, 68448, '\p{isprti}', "");
    Expect(1, 68448, '\p{^isprti}', "");
    Expect(1, 68448, '\P{isprti}', "");
    Expect(0, 68448, '\P{^isprti}', "");
    Expect(1, 68447, '\p{	-Is_Prti}', "");
    Expect(0, 68447, '\p{^	-Is_Prti}', "");
    Expect(0, 68447, '\P{	-Is_Prti}', "");
    Expect(1, 68447, '\P{^	-Is_Prti}', "");
    Expect(0, 68448, '\p{	-Is_Prti}', "");
    Expect(1, 68448, '\p{^	-Is_Prti}', "");
    Expect(1, 68448, '\P{	-Is_Prti}', "");
    Expect(0, 68448, '\P{^	-Is_Prti}', "");
    Error('\p{	/a/IPA_extensions}');
    Error('\P{	/a/IPA_extensions}');
    Expect(1, 687, '\p{ipaextensions}', "");
    Expect(0, 687, '\p{^ipaextensions}', "");
    Expect(0, 687, '\P{ipaextensions}', "");
    Expect(1, 687, '\P{^ipaextensions}', "");
    Expect(0, 688, '\p{ipaextensions}', "");
    Expect(1, 688, '\p{^ipaextensions}', "");
    Expect(1, 688, '\P{ipaextensions}', "");
    Expect(0, 688, '\P{^ipaextensions}', "");
    Expect(1, 687, '\p{- IPA_extensions}', "");
    Expect(0, 687, '\p{^- IPA_extensions}', "");
    Expect(0, 687, '\P{- IPA_extensions}', "");
    Expect(1, 687, '\P{^- IPA_extensions}', "");
    Expect(0, 688, '\p{- IPA_extensions}', "");
    Expect(1, 688, '\p{^- IPA_extensions}', "");
    Expect(1, 688, '\P{- IPA_extensions}', "");
    Expect(0, 688, '\P{^- IPA_extensions}', "");
    Error('\p{:=_Is_ipa_extensions}');
    Error('\P{:=_Is_ipa_extensions}');
    Expect(1, 687, '\p{isipaextensions}', "");
    Expect(0, 687, '\p{^isipaextensions}', "");
    Expect(0, 687, '\P{isipaextensions}', "");
    Expect(1, 687, '\P{^isipaextensions}', "");
    Expect(0, 688, '\p{isipaextensions}', "");
    Expect(1, 688, '\p{^isipaextensions}', "");
    Expect(1, 688, '\P{isipaextensions}', "");
    Expect(0, 688, '\P{^isipaextensions}', "");
    Expect(1, 687, '\p{ -Is_IPA_extensions}', "");
    Expect(0, 687, '\p{^ -Is_IPA_extensions}', "");
    Expect(0, 687, '\P{ -Is_IPA_extensions}', "");
    Expect(1, 687, '\P{^ -Is_IPA_extensions}', "");
    Expect(0, 688, '\p{ -Is_IPA_extensions}', "");
    Expect(1, 688, '\p{^ -Is_IPA_extensions}', "");
    Expect(1, 688, '\P{ -Is_IPA_extensions}', "");
    Expect(0, 688, '\P{^ -Is_IPA_extensions}', "");
    Error('\p{ /a/in_IPA_Extensions}');
    Error('\P{ /a/in_IPA_Extensions}');
    Expect(1, 687, '\p{inipaextensions}', "");
    Expect(0, 687, '\p{^inipaextensions}', "");
    Expect(0, 687, '\P{inipaextensions}', "");
    Expect(1, 687, '\P{^inipaextensions}', "");
    Expect(0, 688, '\p{inipaextensions}', "");
    Expect(1, 688, '\p{^inipaextensions}', "");
    Expect(1, 688, '\P{inipaextensions}', "");
    Expect(0, 688, '\P{^inipaextensions}', "");
    Expect(1, 687, '\p{ in_IPA_EXTENSIONS}', "");
    Expect(0, 687, '\p{^ in_IPA_EXTENSIONS}', "");
    Expect(0, 687, '\P{ in_IPA_EXTENSIONS}', "");
    Expect(1, 687, '\P{^ in_IPA_EXTENSIONS}', "");
    Expect(0, 688, '\p{ in_IPA_EXTENSIONS}', "");
    Expect(1, 688, '\p{^ in_IPA_EXTENSIONS}', "");
    Expect(1, 688, '\P{ in_IPA_EXTENSIONS}', "");
    Expect(0, 688, '\P{^ in_IPA_EXTENSIONS}', "");
    Error('\p{  IPA_EXT/a/}');
    Error('\P{  IPA_EXT/a/}');
    Expect(1, 687, '\p{ipaext}', "");
    Expect(0, 687, '\p{^ipaext}', "");
    Expect(0, 687, '\P{ipaext}', "");
    Expect(1, 687, '\P{^ipaext}', "");
    Expect(0, 688, '\p{ipaext}', "");
    Expect(1, 688, '\p{^ipaext}', "");
    Expect(1, 688, '\P{ipaext}', "");
    Expect(0, 688, '\P{^ipaext}', "");
    Expect(1, 687, '\p{__IPA_Ext}', "");
    Expect(0, 687, '\p{^__IPA_Ext}', "");
    Expect(0, 687, '\P{__IPA_Ext}', "");
    Expect(1, 687, '\P{^__IPA_Ext}', "");
    Expect(0, 688, '\p{__IPA_Ext}', "");
    Expect(1, 688, '\p{^__IPA_Ext}', "");
    Expect(1, 688, '\P{__IPA_Ext}', "");
    Expect(0, 688, '\P{^__IPA_Ext}', "");
    Error('\p{  Is_ipa_Ext:=}');
    Error('\P{  Is_ipa_Ext:=}');
    Expect(1, 687, '\p{isipaext}', "");
    Expect(0, 687, '\p{^isipaext}', "");
    Expect(0, 687, '\P{isipaext}', "");
    Expect(1, 687, '\P{^isipaext}', "");
    Expect(0, 688, '\p{isipaext}', "");
    Expect(1, 688, '\p{^isipaext}', "");
    Expect(1, 688, '\P{isipaext}', "");
    Expect(0, 688, '\P{^isipaext}', "");
    Expect(1, 687, '\p{	_IS_IPA_Ext}', "");
    Expect(0, 687, '\p{^	_IS_IPA_Ext}', "");
    Expect(0, 687, '\P{	_IS_IPA_Ext}', "");
    Expect(1, 687, '\P{^	_IS_IPA_Ext}', "");
    Expect(0, 688, '\p{	_IS_IPA_Ext}', "");
    Expect(1, 688, '\p{^	_IS_IPA_Ext}', "");
    Expect(1, 688, '\P{	_IS_IPA_Ext}', "");
    Expect(0, 688, '\P{^	_IS_IPA_Ext}', "");
    Error('\p{	:=In_ipa_Ext}');
    Error('\P{	:=In_ipa_Ext}');
    Expect(1, 687, '\p{inipaext}', "");
    Expect(0, 687, '\p{^inipaext}', "");
    Expect(0, 687, '\P{inipaext}', "");
    Expect(1, 687, '\P{^inipaext}', "");
    Expect(0, 688, '\p{inipaext}', "");
    Expect(1, 688, '\p{^inipaext}', "");
    Expect(1, 688, '\P{inipaext}', "");
    Expect(0, 688, '\P{^inipaext}', "");
    Expect(1, 687, '\p{ _In_IPA_Ext}', "");
    Expect(0, 687, '\p{^ _In_IPA_Ext}', "");
    Expect(0, 687, '\P{ _In_IPA_Ext}', "");
    Expect(1, 687, '\P{^ _In_IPA_Ext}', "");
    Expect(0, 688, '\p{ _In_IPA_Ext}', "");
    Expect(1, 688, '\p{^ _In_IPA_Ext}', "");
    Expect(1, 688, '\P{ _In_IPA_Ext}', "");
    Expect(0, 688, '\P{^ _In_IPA_Ext}', "");
    Error('\p{	/a/Javanese}');
    Error('\P{	/a/Javanese}');
    Expect(1, 43487, '\p{javanese}', "");
    Expect(0, 43487, '\p{^javanese}', "");
    Expect(0, 43487, '\P{javanese}', "");
    Expect(1, 43487, '\P{^javanese}', "");
    Expect(0, 43488, '\p{javanese}', "");
    Expect(1, 43488, '\p{^javanese}', "");
    Expect(1, 43488, '\P{javanese}', "");
    Expect(0, 43488, '\P{^javanese}', "");
    Expect(1, 43487, '\p{	-javanese}', "");
    Expect(0, 43487, '\p{^	-javanese}', "");
    Expect(0, 43487, '\P{	-javanese}', "");
    Expect(1, 43487, '\P{^	-javanese}', "");
    Expect(0, 43488, '\p{	-javanese}', "");
    Expect(1, 43488, '\p{^	-javanese}', "");
    Expect(1, 43488, '\P{	-javanese}', "");
    Expect(0, 43488, '\P{^	-javanese}', "");
    Error('\p{	/a/Is_Javanese}');
    Error('\P{	/a/Is_Javanese}');
    Expect(1, 43487, '\p{isjavanese}', "");
    Expect(0, 43487, '\p{^isjavanese}', "");
    Expect(0, 43487, '\P{isjavanese}', "");
    Expect(1, 43487, '\P{^isjavanese}', "");
    Expect(0, 43488, '\p{isjavanese}', "");
    Expect(1, 43488, '\p{^isjavanese}', "");
    Expect(1, 43488, '\P{isjavanese}', "");
    Expect(0, 43488, '\P{^isjavanese}', "");
    Expect(1, 43487, '\p{		is_Javanese}', "");
    Expect(0, 43487, '\p{^		is_Javanese}', "");
    Expect(0, 43487, '\P{		is_Javanese}', "");
    Expect(1, 43487, '\P{^		is_Javanese}', "");
    Expect(0, 43488, '\p{		is_Javanese}', "");
    Expect(1, 43488, '\p{^		is_Javanese}', "");
    Expect(1, 43488, '\P{		is_Javanese}', "");
    Expect(0, 43488, '\P{^		is_Javanese}', "");
    Error('\p{-JAVA/a/}');
    Error('\P{-JAVA/a/}');
    Expect(1, 43487, '\p{java}', "");
    Expect(0, 43487, '\p{^java}', "");
    Expect(0, 43487, '\P{java}', "");
    Expect(1, 43487, '\P{^java}', "");
    Expect(0, 43488, '\p{java}', "");
    Expect(1, 43488, '\p{^java}', "");
    Expect(1, 43488, '\P{java}', "");
    Expect(0, 43488, '\P{^java}', "");
    Expect(1, 43487, '\p{ 	Java}', "");
    Expect(0, 43487, '\p{^ 	Java}', "");
    Expect(0, 43487, '\P{ 	Java}', "");
    Expect(1, 43487, '\P{^ 	Java}', "");
    Expect(0, 43488, '\p{ 	Java}', "");
    Expect(1, 43488, '\p{^ 	Java}', "");
    Expect(1, 43488, '\P{ 	Java}', "");
    Expect(0, 43488, '\P{^ 	Java}', "");
    Error('\p{_:=Is_JAVA}');
    Error('\P{_:=Is_JAVA}');
    Expect(1, 43487, '\p{isjava}', "");
    Expect(0, 43487, '\p{^isjava}', "");
    Expect(0, 43487, '\P{isjava}', "");
    Expect(1, 43487, '\P{^isjava}', "");
    Expect(0, 43488, '\p{isjava}', "");
    Expect(1, 43488, '\p{^isjava}', "");
    Expect(1, 43488, '\P{isjava}', "");
    Expect(0, 43488, '\P{^isjava}', "");
    Expect(1, 43487, '\p{ _Is_Java}', "");
    Expect(0, 43487, '\p{^ _Is_Java}', "");
    Expect(0, 43487, '\P{ _Is_Java}', "");
    Expect(1, 43487, '\P{^ _Is_Java}', "");
    Expect(0, 43488, '\p{ _Is_Java}', "");
    Expect(1, 43488, '\p{^ _Is_Java}', "");
    Expect(1, 43488, '\P{ _Is_Java}', "");
    Expect(0, 43488, '\P{^ _Is_Java}', "");
    Error('\p{/a/	-join_Control}');
    Error('\P{/a/	-join_Control}');
    Expect(1, 8205, '\p{joincontrol}', "");
    Expect(0, 8205, '\p{^joincontrol}', "");
    Expect(0, 8205, '\P{joincontrol}', "");
    Expect(1, 8205, '\P{^joincontrol}', "");
    Expect(0, 8206, '\p{joincontrol}', "");
    Expect(1, 8206, '\p{^joincontrol}', "");
    Expect(1, 8206, '\P{joincontrol}', "");
    Expect(0, 8206, '\P{^joincontrol}', "");
    Expect(1, 8205, '\p{	join_control}', "");
    Expect(0, 8205, '\p{^	join_control}', "");
    Expect(0, 8205, '\P{	join_control}', "");
    Expect(1, 8205, '\P{^	join_control}', "");
    Expect(0, 8206, '\p{	join_control}', "");
    Expect(1, 8206, '\p{^	join_control}', "");
    Expect(1, 8206, '\P{	join_control}', "");
    Expect(0, 8206, '\P{^	join_control}', "");
    Error('\p{	IS_join_control:=}');
    Error('\P{	IS_join_control:=}');
    Expect(1, 8205, '\p{isjoincontrol}', "");
    Expect(0, 8205, '\p{^isjoincontrol}', "");
    Expect(0, 8205, '\P{isjoincontrol}', "");
    Expect(1, 8205, '\P{^isjoincontrol}', "");
    Expect(0, 8206, '\p{isjoincontrol}', "");
    Expect(1, 8206, '\p{^isjoincontrol}', "");
    Expect(1, 8206, '\P{isjoincontrol}', "");
    Expect(0, 8206, '\P{^isjoincontrol}', "");
    Expect(1, 8205, '\p{	IS_JOIN_Control}', "");
    Expect(0, 8205, '\p{^	IS_JOIN_Control}', "");
    Expect(0, 8205, '\P{	IS_JOIN_Control}', "");
    Expect(1, 8205, '\P{^	IS_JOIN_Control}', "");
    Expect(0, 8206, '\p{	IS_JOIN_Control}', "");
    Expect(1, 8206, '\p{^	IS_JOIN_Control}', "");
    Expect(1, 8206, '\P{	IS_JOIN_Control}', "");
    Expect(0, 8206, '\P{^	IS_JOIN_Control}', "");
    Error('\p{:=join_C}');
    Error('\P{:=join_C}');
    Expect(1, 8205, '\p{joinc}', "");
    Expect(0, 8205, '\p{^joinc}', "");
    Expect(0, 8205, '\P{joinc}', "");
    Expect(1, 8205, '\P{^joinc}', "");
    Expect(0, 8206, '\p{joinc}', "");
    Expect(1, 8206, '\p{^joinc}', "");
    Expect(1, 8206, '\P{joinc}', "");
    Expect(0, 8206, '\P{^joinc}', "");
    Expect(1, 8205, '\p{- Join_C}', "");
    Expect(0, 8205, '\p{^- Join_C}', "");
    Expect(0, 8205, '\P{- Join_C}', "");
    Expect(1, 8205, '\P{^- Join_C}', "");
    Expect(0, 8206, '\p{- Join_C}', "");
    Expect(1, 8206, '\p{^- Join_C}', "");
    Expect(1, 8206, '\P{- Join_C}', "");
    Expect(0, 8206, '\P{^- Join_C}', "");
    Error('\p{	/a/Is_Join_C}');
    Error('\P{	/a/Is_Join_C}');
    Expect(1, 8205, '\p{isjoinc}', "");
    Expect(0, 8205, '\p{^isjoinc}', "");
    Expect(0, 8205, '\P{isjoinc}', "");
    Expect(1, 8205, '\P{^isjoinc}', "");
    Expect(0, 8206, '\p{isjoinc}', "");
    Expect(1, 8206, '\p{^isjoinc}', "");
    Expect(1, 8206, '\P{isjoinc}', "");
    Expect(0, 8206, '\P{^isjoinc}', "");
    Expect(1, 8205, '\p{	 Is_Join_C}', "");
    Expect(0, 8205, '\p{^	 Is_Join_C}', "");
    Expect(0, 8205, '\P{	 Is_Join_C}', "");
    Expect(1, 8205, '\P{^	 Is_Join_C}', "");
    Expect(0, 8206, '\p{	 Is_Join_C}', "");
    Expect(1, 8206, '\p{^	 Is_Join_C}', "");
    Expect(1, 8206, '\P{	 Is_Join_C}', "");
    Expect(0, 8206, '\P{^	 Is_Join_C}', "");
    Error('\p{:=_Kaithi}');
    Error('\P{:=_Kaithi}');
    Expect(1, 69837, '\p{kaithi}', "");
    Expect(0, 69837, '\p{^kaithi}', "");
    Expect(0, 69837, '\P{kaithi}', "");
    Expect(1, 69837, '\P{^kaithi}', "");
    Expect(0, 69838, '\p{kaithi}', "");
    Expect(1, 69838, '\p{^kaithi}', "");
    Expect(1, 69838, '\P{kaithi}', "");
    Expect(0, 69838, '\P{^kaithi}', "");
    Expect(1, 69837, '\p{-	Kaithi}', "");
    Expect(0, 69837, '\p{^-	Kaithi}', "");
    Expect(0, 69837, '\P{-	Kaithi}', "");
    Expect(1, 69837, '\P{^-	Kaithi}', "");
    Expect(0, 69838, '\p{-	Kaithi}', "");
    Expect(1, 69838, '\p{^-	Kaithi}', "");
    Expect(1, 69838, '\P{-	Kaithi}', "");
    Expect(0, 69838, '\P{^-	Kaithi}', "");
    Error('\p{:=_-Is_KAITHI}');
    Error('\P{:=_-Is_KAITHI}');
    Expect(1, 69837, '\p{iskaithi}', "");
    Expect(0, 69837, '\p{^iskaithi}', "");
    Expect(0, 69837, '\P{iskaithi}', "");
    Expect(1, 69837, '\P{^iskaithi}', "");
    Expect(0, 69838, '\p{iskaithi}', "");
    Expect(1, 69838, '\p{^iskaithi}', "");
    Expect(1, 69838, '\P{iskaithi}', "");
    Expect(0, 69838, '\P{^iskaithi}', "");
    Expect(1, 69837, '\p{_-Is_Kaithi}', "");
    Expect(0, 69837, '\p{^_-Is_Kaithi}', "");
    Expect(0, 69837, '\P{_-Is_Kaithi}', "");
    Expect(1, 69837, '\P{^_-Is_Kaithi}', "");
    Expect(0, 69838, '\p{_-Is_Kaithi}', "");
    Expect(1, 69838, '\p{^_-Is_Kaithi}', "");
    Expect(1, 69838, '\P{_-Is_Kaithi}', "");
    Expect(0, 69838, '\P{^_-Is_Kaithi}', "");
    Error('\p{_/a/Kthi}');
    Error('\P{_/a/Kthi}');
    Expect(1, 69837, '\p{kthi}', "");
    Expect(0, 69837, '\p{^kthi}', "");
    Expect(0, 69837, '\P{kthi}', "");
    Expect(1, 69837, '\P{^kthi}', "");
    Expect(0, 69838, '\p{kthi}', "");
    Expect(1, 69838, '\p{^kthi}', "");
    Expect(1, 69838, '\P{kthi}', "");
    Expect(0, 69838, '\P{^kthi}', "");
    Error('\p{:=-	Is_kthi}');
    Error('\P{:=-	Is_kthi}');
    Expect(1, 69837, '\p{iskthi}', "");
    Expect(0, 69837, '\p{^iskthi}', "");
    Expect(0, 69837, '\P{iskthi}', "");
    Expect(1, 69837, '\P{^iskthi}', "");
    Expect(0, 69838, '\p{iskthi}', "");
    Expect(1, 69838, '\p{^iskthi}', "");
    Expect(1, 69838, '\P{iskthi}', "");
    Expect(0, 69838, '\P{^iskthi}', "");
    Expect(1, 69837, '\p{	Is_kthi}', "");
    Expect(0, 69837, '\p{^	Is_kthi}', "");
    Expect(0, 69837, '\P{	Is_kthi}', "");
    Expect(1, 69837, '\P{^	Is_kthi}', "");
    Expect(0, 69838, '\p{	Is_kthi}', "");
    Expect(1, 69838, '\p{^	Is_kthi}', "");
    Expect(1, 69838, '\P{	Is_kthi}', "");
    Expect(0, 69838, '\P{^	Is_kthi}', "");
    Error('\p{/a/ kana_extended_a}');
    Error('\P{/a/ kana_extended_a}');
    Expect(1, 110895, '\p{kanaextendeda}', "");
    Expect(0, 110895, '\p{^kanaextendeda}', "");
    Expect(0, 110895, '\P{kanaextendeda}', "");
    Expect(1, 110895, '\P{^kanaextendeda}', "");
    Expect(0, 110896, '\p{kanaextendeda}', "");
    Expect(1, 110896, '\p{^kanaextendeda}', "");
    Expect(1, 110896, '\P{kanaextendeda}', "");
    Expect(0, 110896, '\P{^kanaextendeda}', "");
    Expect(1, 110895, '\p{-Kana_Extended_a}', "");
    Expect(0, 110895, '\p{^-Kana_Extended_a}', "");
    Expect(0, 110895, '\P{-Kana_Extended_a}', "");
    Expect(1, 110895, '\P{^-Kana_Extended_a}', "");
    Expect(0, 110896, '\p{-Kana_Extended_a}', "");
    Expect(1, 110896, '\p{^-Kana_Extended_a}', "");
    Expect(1, 110896, '\P{-Kana_Extended_a}', "");
    Expect(0, 110896, '\P{^-Kana_Extended_a}', "");
    Error('\p{-	is_Kana_Extended_A:=}');
    Error('\P{-	is_Kana_Extended_A:=}');
    Expect(1, 110895, '\p{iskanaextendeda}', "");
    Expect(0, 110895, '\p{^iskanaextendeda}', "");
    Expect(0, 110895, '\P{iskanaextendeda}', "");
    Expect(1, 110895, '\P{^iskanaextendeda}', "");
    Expect(0, 110896, '\p{iskanaextendeda}', "");
    Expect(1, 110896, '\p{^iskanaextendeda}', "");
    Expect(1, 110896, '\P{iskanaextendeda}', "");
    Expect(0, 110896, '\P{^iskanaextendeda}', "");
    Expect(1, 110895, '\p{	is_Kana_extended_a}', "");
    Expect(0, 110895, '\p{^	is_Kana_extended_a}', "");
    Expect(0, 110895, '\P{	is_Kana_extended_a}', "");
    Expect(1, 110895, '\P{^	is_Kana_extended_a}', "");
    Expect(0, 110896, '\p{	is_Kana_extended_a}', "");
    Expect(1, 110896, '\p{^	is_Kana_extended_a}', "");
    Expect(1, 110896, '\P{	is_Kana_extended_a}', "");
    Expect(0, 110896, '\P{^	is_Kana_extended_a}', "");
    Error('\p{	In_Kana_extended_a/a/}');
    Error('\P{	In_Kana_extended_a/a/}');
    Expect(1, 110895, '\p{inkanaextendeda}', "");
    Expect(0, 110895, '\p{^inkanaextendeda}', "");
    Expect(0, 110895, '\P{inkanaextendeda}', "");
    Expect(1, 110895, '\P{^inkanaextendeda}', "");
    Expect(0, 110896, '\p{inkanaextendeda}', "");
    Expect(1, 110896, '\p{^inkanaextendeda}', "");
    Expect(1, 110896, '\P{inkanaextendeda}', "");
    Expect(0, 110896, '\P{^inkanaextendeda}', "");
    Expect(1, 110895, '\p{--In_Kana_EXTENDED_a}', "");
    Expect(0, 110895, '\p{^--In_Kana_EXTENDED_a}', "");
    Expect(0, 110895, '\P{--In_Kana_EXTENDED_a}', "");
    Expect(1, 110895, '\P{^--In_Kana_EXTENDED_a}', "");
    Expect(0, 110896, '\p{--In_Kana_EXTENDED_a}', "");
    Expect(1, 110896, '\p{^--In_Kana_EXTENDED_a}', "");
    Expect(1, 110896, '\P{--In_Kana_EXTENDED_a}', "");
    Expect(0, 110896, '\P{^--In_Kana_EXTENDED_a}', "");
    Error('\p{_/a/kana_EXT_A}');
    Error('\P{_/a/kana_EXT_A}');
    Expect(1, 110895, '\p{kanaexta}', "");
    Expect(0, 110895, '\p{^kanaexta}', "");
    Expect(0, 110895, '\P{kanaexta}', "");
    Expect(1, 110895, '\P{^kanaexta}', "");
    Expect(0, 110896, '\p{kanaexta}', "");
    Expect(1, 110896, '\p{^kanaexta}', "");
    Expect(1, 110896, '\P{kanaexta}', "");
    Expect(0, 110896, '\P{^kanaexta}', "");
    Expect(1, 110895, '\p{ 	Kana_Ext_a}', "");
    Expect(0, 110895, '\p{^ 	Kana_Ext_a}', "");
    Expect(0, 110895, '\P{ 	Kana_Ext_a}', "");
    Expect(1, 110895, '\P{^ 	Kana_Ext_a}', "");
    Expect(0, 110896, '\p{ 	Kana_Ext_a}', "");
    Expect(1, 110896, '\p{^ 	Kana_Ext_a}', "");
    Expect(1, 110896, '\P{ 	Kana_Ext_a}', "");
    Expect(0, 110896, '\P{^ 	Kana_Ext_a}', "");
    Error('\p{_is_kana_ext_A/a/}');
    Error('\P{_is_kana_ext_A/a/}');
    Expect(1, 110895, '\p{iskanaexta}', "");
    Expect(0, 110895, '\p{^iskanaexta}', "");
    Expect(0, 110895, '\P{iskanaexta}', "");
    Expect(1, 110895, '\P{^iskanaexta}', "");
    Expect(0, 110896, '\p{iskanaexta}', "");
    Expect(1, 110896, '\p{^iskanaexta}', "");
    Expect(1, 110896, '\P{iskanaexta}', "");
    Expect(0, 110896, '\P{^iskanaexta}', "");
    Expect(1, 110895, '\p{-	Is_kana_EXT_a}', "");
    Expect(0, 110895, '\p{^-	Is_kana_EXT_a}', "");
    Expect(0, 110895, '\P{-	Is_kana_EXT_a}', "");
    Expect(1, 110895, '\P{^-	Is_kana_EXT_a}', "");
    Expect(0, 110896, '\p{-	Is_kana_EXT_a}', "");
    Expect(1, 110896, '\p{^-	Is_kana_EXT_a}', "");
    Expect(1, 110896, '\P{-	Is_kana_EXT_a}', "");
    Expect(0, 110896, '\P{^-	Is_kana_EXT_a}', "");
    Error('\p{_/a/IN_KANA_Ext_a}');
    Error('\P{_/a/IN_KANA_Ext_a}');
    Expect(1, 110895, '\p{inkanaexta}', "");
    Expect(0, 110895, '\p{^inkanaexta}', "");
    Expect(0, 110895, '\P{inkanaexta}', "");
    Expect(1, 110895, '\P{^inkanaexta}', "");
    Expect(0, 110896, '\p{inkanaexta}', "");
    Expect(1, 110896, '\p{^inkanaexta}', "");
    Expect(1, 110896, '\P{inkanaexta}', "");
    Expect(0, 110896, '\P{^inkanaexta}', "");
    Expect(1, 110895, '\p{__in_Kana_Ext_A}', "");
    Expect(0, 110895, '\p{^__in_Kana_Ext_A}', "");
    Expect(0, 110895, '\P{__in_Kana_Ext_A}', "");
    Expect(1, 110895, '\P{^__in_Kana_Ext_A}', "");
    Expect(0, 110896, '\p{__in_Kana_Ext_A}', "");
    Expect(1, 110896, '\p{^__in_Kana_Ext_A}', "");
    Expect(1, 110896, '\P{__in_Kana_Ext_A}', "");
    Expect(0, 110896, '\P{^__in_Kana_Ext_A}', "");
    Error('\p{/a/	kana_EXTENDED_B}');
    Error('\P{/a/	kana_EXTENDED_B}');
    Expect(1, 110591, '\p{kanaextendedb}', "");
    Expect(0, 110591, '\p{^kanaextendedb}', "");
    Expect(0, 110591, '\P{kanaextendedb}', "");
    Expect(1, 110591, '\P{^kanaextendedb}', "");
    Expect(0, 110592, '\p{kanaextendedb}', "");
    Expect(1, 110592, '\p{^kanaextendedb}', "");
    Expect(1, 110592, '\P{kanaextendedb}', "");
    Expect(0, 110592, '\P{^kanaextendedb}', "");
    Expect(1, 110591, '\p{--Kana_Extended_b}', "");
    Expect(0, 110591, '\p{^--Kana_Extended_b}', "");
    Expect(0, 110591, '\P{--Kana_Extended_b}', "");
    Expect(1, 110591, '\P{^--Kana_Extended_b}', "");
    Expect(0, 110592, '\p{--Kana_Extended_b}', "");
    Expect(1, 110592, '\p{^--Kana_Extended_b}', "");
    Expect(1, 110592, '\P{--Kana_Extended_b}', "");
    Expect(0, 110592, '\P{^--Kana_Extended_b}', "");
    Error('\p{:=IS_KANA_EXTENDED_B}');
    Error('\P{:=IS_KANA_EXTENDED_B}');
    Expect(1, 110591, '\p{iskanaextendedb}', "");
    Expect(0, 110591, '\p{^iskanaextendedb}', "");
    Expect(0, 110591, '\P{iskanaextendedb}', "");
    Expect(1, 110591, '\P{^iskanaextendedb}', "");
    Expect(0, 110592, '\p{iskanaextendedb}', "");
    Expect(1, 110592, '\p{^iskanaextendedb}', "");
    Expect(1, 110592, '\P{iskanaextendedb}', "");
    Expect(0, 110592, '\P{^iskanaextendedb}', "");
    Expect(1, 110591, '\p{-_Is_KANA_EXTENDED_B}', "");
    Expect(0, 110591, '\p{^-_Is_KANA_EXTENDED_B}', "");
    Expect(0, 110591, '\P{-_Is_KANA_EXTENDED_B}', "");
    Expect(1, 110591, '\P{^-_Is_KANA_EXTENDED_B}', "");
    Expect(0, 110592, '\p{-_Is_KANA_EXTENDED_B}', "");
    Expect(1, 110592, '\p{^-_Is_KANA_EXTENDED_B}', "");
    Expect(1, 110592, '\P{-_Is_KANA_EXTENDED_B}', "");
    Expect(0, 110592, '\P{^-_Is_KANA_EXTENDED_B}', "");
    Error('\p{_/a/IN_Kana_extended_B}');
    Error('\P{_/a/IN_Kana_extended_B}');
    Expect(1, 110591, '\p{inkanaextendedb}', "");
    Expect(0, 110591, '\p{^inkanaextendedb}', "");
    Expect(0, 110591, '\P{inkanaextendedb}', "");
    Expect(1, 110591, '\P{^inkanaextendedb}', "");
    Expect(0, 110592, '\p{inkanaextendedb}', "");
    Expect(1, 110592, '\p{^inkanaextendedb}', "");
    Expect(1, 110592, '\P{inkanaextendedb}', "");
    Expect(0, 110592, '\P{^inkanaextendedb}', "");
    Expect(1, 110591, '\p{ -IN_KANA_Extended_B}', "");
    Expect(0, 110591, '\p{^ -IN_KANA_Extended_B}', "");
    Expect(0, 110591, '\P{ -IN_KANA_Extended_B}', "");
    Expect(1, 110591, '\P{^ -IN_KANA_Extended_B}', "");
    Expect(0, 110592, '\p{ -IN_KANA_Extended_B}', "");
    Expect(1, 110592, '\p{^ -IN_KANA_Extended_B}', "");
    Expect(1, 110592, '\P{ -IN_KANA_Extended_B}', "");
    Expect(0, 110592, '\P{^ -IN_KANA_Extended_B}', "");
    Error('\p{_-KANA_Ext_B/a/}');
    Error('\P{_-KANA_Ext_B/a/}');
    Expect(1, 110591, '\p{kanaextb}', "");
    Expect(0, 110591, '\p{^kanaextb}', "");
    Expect(0, 110591, '\P{kanaextb}', "");
    Expect(1, 110591, '\P{^kanaextb}', "");
    Expect(0, 110592, '\p{kanaextb}', "");
    Expect(1, 110592, '\p{^kanaextb}', "");
    Expect(1, 110592, '\P{kanaextb}', "");
    Expect(0, 110592, '\P{^kanaextb}', "");
    Expect(1, 110591, '\p{		KANA_Ext_B}', "");
    Expect(0, 110591, '\p{^		KANA_Ext_B}', "");
    Expect(0, 110591, '\P{		KANA_Ext_B}', "");
    Expect(1, 110591, '\P{^		KANA_Ext_B}', "");
    Expect(0, 110592, '\p{		KANA_Ext_B}', "");
    Expect(1, 110592, '\p{^		KANA_Ext_B}', "");
    Expect(1, 110592, '\P{		KANA_Ext_B}', "");
    Expect(0, 110592, '\P{^		KANA_Ext_B}', "");
    Error('\p{- Is_Kana_EXT_B:=}');
    Error('\P{- Is_Kana_EXT_B:=}');
    Expect(1, 110591, '\p{iskanaextb}', "");
    Expect(0, 110591, '\p{^iskanaextb}', "");
    Expect(0, 110591, '\P{iskanaextb}', "");
    Expect(1, 110591, '\P{^iskanaextb}', "");
    Expect(0, 110592, '\p{iskanaextb}', "");
    Expect(1, 110592, '\p{^iskanaextb}', "");
    Expect(1, 110592, '\P{iskanaextb}', "");
    Expect(0, 110592, '\P{^iskanaextb}', "");
    Expect(1, 110591, '\p{ -Is_kana_EXT_b}', "");
    Expect(0, 110591, '\p{^ -Is_kana_EXT_b}', "");
    Expect(0, 110591, '\P{ -Is_kana_EXT_b}', "");
    Expect(1, 110591, '\P{^ -Is_kana_EXT_b}', "");
    Expect(0, 110592, '\p{ -Is_kana_EXT_b}', "");
    Expect(1, 110592, '\p{^ -Is_kana_EXT_b}', "");
    Expect(1, 110592, '\P{ -Is_kana_EXT_b}', "");
    Expect(0, 110592, '\P{^ -Is_kana_EXT_b}', "");
    Error('\p{/a/	-In_kana_Ext_b}');
    Error('\P{/a/	-In_kana_Ext_b}');
    Expect(1, 110591, '\p{inkanaextb}', "");
    Expect(0, 110591, '\p{^inkanaextb}', "");
    Expect(0, 110591, '\P{inkanaextb}', "");
    Expect(1, 110591, '\P{^inkanaextb}', "");
    Expect(0, 110592, '\p{inkanaextb}', "");
    Expect(1, 110592, '\p{^inkanaextb}', "");
    Expect(1, 110592, '\P{inkanaextb}', "");
    Expect(0, 110592, '\P{^inkanaextb}', "");
    Expect(1, 110591, '\p{_IN_Kana_Ext_B}', "");
    Expect(0, 110591, '\p{^_IN_Kana_Ext_B}', "");
    Expect(0, 110591, '\P{_IN_Kana_Ext_B}', "");
    Expect(1, 110591, '\P{^_IN_Kana_Ext_B}', "");
    Expect(0, 110592, '\p{_IN_Kana_Ext_B}', "");
    Expect(1, 110592, '\p{^_IN_Kana_Ext_B}', "");
    Expect(1, 110592, '\P{_IN_Kana_Ext_B}', "");
    Expect(0, 110592, '\P{^_IN_Kana_Ext_B}', "");
    Error('\p{:= 	Kana_SUPPLEMENT}');
    Error('\P{:= 	Kana_SUPPLEMENT}');
    Expect(1, 110847, '\p{kanasupplement}', "");
    Expect(0, 110847, '\p{^kanasupplement}', "");
    Expect(0, 110847, '\P{kanasupplement}', "");
    Expect(1, 110847, '\P{^kanasupplement}', "");
    Expect(0, 110848, '\p{kanasupplement}', "");
    Expect(1, 110848, '\p{^kanasupplement}', "");
    Expect(1, 110848, '\P{kanasupplement}', "");
    Expect(0, 110848, '\P{^kanasupplement}', "");
    Expect(1, 110847, '\p{ kana_Supplement}', "");
    Expect(0, 110847, '\p{^ kana_Supplement}', "");
    Expect(0, 110847, '\P{ kana_Supplement}', "");
    Expect(1, 110847, '\P{^ kana_Supplement}', "");
    Expect(0, 110848, '\p{ kana_Supplement}', "");
    Expect(1, 110848, '\p{^ kana_Supplement}', "");
    Expect(1, 110848, '\P{ kana_Supplement}', "");
    Expect(0, 110848, '\P{^ kana_Supplement}', "");
    Error('\p{:=Is_Kana_Supplement}');
    Error('\P{:=Is_Kana_Supplement}');
    Expect(1, 110847, '\p{iskanasupplement}', "");
    Expect(0, 110847, '\p{^iskanasupplement}', "");
    Expect(0, 110847, '\P{iskanasupplement}', "");
    Expect(1, 110847, '\P{^iskanasupplement}', "");
    Expect(0, 110848, '\p{iskanasupplement}', "");
    Expect(1, 110848, '\p{^iskanasupplement}', "");
    Expect(1, 110848, '\P{iskanasupplement}', "");
    Expect(0, 110848, '\P{^iskanasupplement}', "");
    Expect(1, 110847, '\p{_ is_Kana_Supplement}', "");
    Expect(0, 110847, '\p{^_ is_Kana_Supplement}', "");
    Expect(0, 110847, '\P{_ is_Kana_Supplement}', "");
    Expect(1, 110847, '\P{^_ is_Kana_Supplement}', "");
    Expect(0, 110848, '\p{_ is_Kana_Supplement}', "");
    Expect(1, 110848, '\p{^_ is_Kana_Supplement}', "");
    Expect(1, 110848, '\P{_ is_Kana_Supplement}', "");
    Expect(0, 110848, '\P{^_ is_Kana_Supplement}', "");
    Error('\p{:=IN_KANA_supplement}');
    Error('\P{:=IN_KANA_supplement}');
    Expect(1, 110847, '\p{inkanasupplement}', "");
    Expect(0, 110847, '\p{^inkanasupplement}', "");
    Expect(0, 110847, '\P{inkanasupplement}', "");
    Expect(1, 110847, '\P{^inkanasupplement}', "");
    Expect(0, 110848, '\p{inkanasupplement}', "");
    Expect(1, 110848, '\p{^inkanasupplement}', "");
    Expect(1, 110848, '\P{inkanasupplement}', "");
    Expect(0, 110848, '\P{^inkanasupplement}', "");
    Expect(1, 110847, '\p{_IN_kana_Supplement}', "");
    Expect(0, 110847, '\p{^_IN_kana_Supplement}', "");
    Expect(0, 110847, '\P{_IN_kana_Supplement}', "");
    Expect(1, 110847, '\P{^_IN_kana_Supplement}', "");
    Expect(0, 110848, '\p{_IN_kana_Supplement}', "");
    Expect(1, 110848, '\p{^_IN_kana_Supplement}', "");
    Expect(1, 110848, '\P{_IN_kana_Supplement}', "");
    Expect(0, 110848, '\P{^_IN_kana_Supplement}', "");
    Error('\p{	 Kana_Sup:=}');
    Error('\P{	 Kana_Sup:=}');
    Expect(1, 110847, '\p{kanasup}', "");
    Expect(0, 110847, '\p{^kanasup}', "");
    Expect(0, 110847, '\P{kanasup}', "");
    Expect(1, 110847, '\P{^kanasup}', "");
    Expect(0, 110848, '\p{kanasup}', "");
    Expect(1, 110848, '\p{^kanasup}', "");
    Expect(1, 110848, '\P{kanasup}', "");
    Expect(0, 110848, '\P{^kanasup}', "");
    Expect(1, 110847, '\p{- Kana_sup}', "");
    Expect(0, 110847, '\p{^- Kana_sup}', "");
    Expect(0, 110847, '\P{- Kana_sup}', "");
    Expect(1, 110847, '\P{^- Kana_sup}', "");
    Expect(0, 110848, '\p{- Kana_sup}', "");
    Expect(1, 110848, '\p{^- Kana_sup}', "");
    Expect(1, 110848, '\P{- Kana_sup}', "");
    Expect(0, 110848, '\P{^- Kana_sup}', "");
    Error('\p{/a/-IS_Kana_sup}');
    Error('\P{/a/-IS_Kana_sup}');
    Expect(1, 110847, '\p{iskanasup}', "");
    Expect(0, 110847, '\p{^iskanasup}', "");
    Expect(0, 110847, '\P{iskanasup}', "");
    Expect(1, 110847, '\P{^iskanasup}', "");
    Expect(0, 110848, '\p{iskanasup}', "");
    Expect(1, 110848, '\p{^iskanasup}', "");
    Expect(1, 110848, '\P{iskanasup}', "");
    Expect(0, 110848, '\P{^iskanasup}', "");
    Expect(1, 110847, '\p{  IS_Kana_sup}', "");
    Expect(0, 110847, '\p{^  IS_Kana_sup}', "");
    Expect(0, 110847, '\P{  IS_Kana_sup}', "");
    Expect(1, 110847, '\P{^  IS_Kana_sup}', "");
    Expect(0, 110848, '\p{  IS_Kana_sup}', "");
    Expect(1, 110848, '\p{^  IS_Kana_sup}', "");
    Expect(1, 110848, '\P{  IS_Kana_sup}', "");
    Expect(0, 110848, '\P{^  IS_Kana_sup}', "");
    Error('\p{/a/In_Kana_sup}');
    Error('\P{/a/In_Kana_sup}');
    Expect(1, 110847, '\p{inkanasup}', "");
    Expect(0, 110847, '\p{^inkanasup}', "");
    Expect(0, 110847, '\P{inkanasup}', "");
    Expect(1, 110847, '\P{^inkanasup}', "");
    Expect(0, 110848, '\p{inkanasup}', "");
    Expect(1, 110848, '\p{^inkanasup}', "");
    Expect(1, 110848, '\P{inkanasup}', "");
    Expect(0, 110848, '\P{^inkanasup}', "");
    Expect(1, 110847, '\p{ -In_Kana_SUP}', "");
    Expect(0, 110847, '\p{^ -In_Kana_SUP}', "");
    Expect(0, 110847, '\P{ -In_Kana_SUP}', "");
    Expect(1, 110847, '\P{^ -In_Kana_SUP}', "");
    Expect(0, 110848, '\p{ -In_Kana_SUP}', "");
    Expect(1, 110848, '\p{^ -In_Kana_SUP}', "");
    Expect(1, 110848, '\P{ -In_Kana_SUP}', "");
    Expect(0, 110848, '\P{^ -In_Kana_SUP}', "");
    Error('\p{:=	_Kanbun}');
    Error('\P{:=	_Kanbun}');
    Expect(1, 12703, '\p{kanbun}', "");
    Expect(0, 12703, '\p{^kanbun}', "");
    Expect(0, 12703, '\P{kanbun}', "");
    Expect(1, 12703, '\P{^kanbun}', "");
    Expect(0, 12704, '\p{kanbun}', "");
    Expect(1, 12704, '\p{^kanbun}', "");
    Expect(1, 12704, '\P{kanbun}', "");
    Expect(0, 12704, '\P{^kanbun}', "");
    Expect(1, 12703, '\p{ _Kanbun}', "");
    Expect(0, 12703, '\p{^ _Kanbun}', "");
    Expect(0, 12703, '\P{ _Kanbun}', "");
    Expect(1, 12703, '\P{^ _Kanbun}', "");
    Expect(0, 12704, '\p{ _Kanbun}', "");
    Expect(1, 12704, '\p{^ _Kanbun}', "");
    Expect(1, 12704, '\P{ _Kanbun}', "");
    Expect(0, 12704, '\P{^ _Kanbun}', "");
    Error('\p{  IS_Kanbun:=}');
    Error('\P{  IS_Kanbun:=}');
    Expect(1, 12703, '\p{iskanbun}', "");
    Expect(0, 12703, '\p{^iskanbun}', "");
    Expect(0, 12703, '\P{iskanbun}', "");
    Expect(1, 12703, '\P{^iskanbun}', "");
    Expect(0, 12704, '\p{iskanbun}', "");
    Expect(1, 12704, '\p{^iskanbun}', "");
    Expect(1, 12704, '\P{iskanbun}', "");
    Expect(0, 12704, '\P{^iskanbun}', "");
    Expect(1, 12703, '\p{-Is_KANBUN}', "");
    Expect(0, 12703, '\p{^-Is_KANBUN}', "");
    Expect(0, 12703, '\P{-Is_KANBUN}', "");
    Expect(1, 12703, '\P{^-Is_KANBUN}', "");
    Expect(0, 12704, '\p{-Is_KANBUN}', "");
    Expect(1, 12704, '\p{^-Is_KANBUN}', "");
    Expect(1, 12704, '\P{-Is_KANBUN}', "");
    Expect(0, 12704, '\P{^-Is_KANBUN}', "");
    Error('\p{_/a/in_KANBUN}');
    Error('\P{_/a/in_KANBUN}');
    Expect(1, 12703, '\p{inkanbun}', "");
    Expect(0, 12703, '\p{^inkanbun}', "");
    Expect(0, 12703, '\P{inkanbun}', "");
    Expect(1, 12703, '\P{^inkanbun}', "");
    Expect(0, 12704, '\p{inkanbun}', "");
    Expect(1, 12704, '\p{^inkanbun}', "");
    Expect(1, 12704, '\P{inkanbun}', "");
    Expect(0, 12704, '\P{^inkanbun}', "");
    Expect(1, 12703, '\p{	In_KANBUN}', "");
    Expect(0, 12703, '\p{^	In_KANBUN}', "");
    Expect(0, 12703, '\P{	In_KANBUN}', "");
    Expect(1, 12703, '\P{^	In_KANBUN}', "");
    Expect(0, 12704, '\p{	In_KANBUN}', "");
    Expect(1, 12704, '\p{^	In_KANBUN}', "");
    Expect(1, 12704, '\P{	In_KANBUN}', "");
    Expect(0, 12704, '\P{^	In_KANBUN}', "");
    Error('\p{/a/_KANGXI_RADICALS}');
    Error('\P{/a/_KANGXI_RADICALS}');
    Expect(1, 12255, '\p{kangxiradicals}', "");
    Expect(0, 12255, '\p{^kangxiradicals}', "");
    Expect(0, 12255, '\P{kangxiradicals}', "");
    Expect(1, 12255, '\P{^kangxiradicals}', "");
    Expect(0, 12256, '\p{kangxiradicals}', "");
    Expect(1, 12256, '\p{^kangxiradicals}', "");
    Expect(1, 12256, '\P{kangxiradicals}', "");
    Expect(0, 12256, '\P{^kangxiradicals}', "");
    Expect(1, 12255, '\p{-	Kangxi_Radicals}', "");
    Expect(0, 12255, '\p{^-	Kangxi_Radicals}', "");
    Expect(0, 12255, '\P{-	Kangxi_Radicals}', "");
    Expect(1, 12255, '\P{^-	Kangxi_Radicals}', "");
    Expect(0, 12256, '\p{-	Kangxi_Radicals}', "");
    Expect(1, 12256, '\p{^-	Kangxi_Radicals}', "");
    Expect(1, 12256, '\P{-	Kangxi_Radicals}', "");
    Expect(0, 12256, '\P{^-	Kangxi_Radicals}', "");
    Error('\p{:= Is_kangxi_radicals}');
    Error('\P{:= Is_kangxi_radicals}');
    Expect(1, 12255, '\p{iskangxiradicals}', "");
    Expect(0, 12255, '\p{^iskangxiradicals}', "");
    Expect(0, 12255, '\P{iskangxiradicals}', "");
    Expect(1, 12255, '\P{^iskangxiradicals}', "");
    Expect(0, 12256, '\p{iskangxiradicals}', "");
    Expect(1, 12256, '\p{^iskangxiradicals}', "");
    Expect(1, 12256, '\P{iskangxiradicals}', "");
    Expect(0, 12256, '\P{^iskangxiradicals}', "");
    Expect(1, 12255, '\p{-is_Kangxi_RADICALS}', "");
    Expect(0, 12255, '\p{^-is_Kangxi_RADICALS}', "");
    Expect(0, 12255, '\P{-is_Kangxi_RADICALS}', "");
    Expect(1, 12255, '\P{^-is_Kangxi_RADICALS}', "");
    Expect(0, 12256, '\p{-is_Kangxi_RADICALS}', "");
    Expect(1, 12256, '\p{^-is_Kangxi_RADICALS}', "");
    Expect(1, 12256, '\P{-is_Kangxi_RADICALS}', "");
    Expect(0, 12256, '\P{^-is_Kangxi_RADICALS}', "");
    Error('\p{/a/IN_kangxi_radicals}');
    Error('\P{/a/IN_kangxi_radicals}');
    Expect(1, 12255, '\p{inkangxiradicals}', "");
    Expect(0, 12255, '\p{^inkangxiradicals}', "");
    Expect(0, 12255, '\P{inkangxiradicals}', "");
    Expect(1, 12255, '\P{^inkangxiradicals}', "");
    Expect(0, 12256, '\p{inkangxiradicals}', "");
    Expect(1, 12256, '\p{^inkangxiradicals}', "");
    Expect(1, 12256, '\P{inkangxiradicals}', "");
    Expect(0, 12256, '\P{^inkangxiradicals}', "");
    Expect(1, 12255, '\p{__In_Kangxi_radicals}', "");
    Expect(0, 12255, '\p{^__In_Kangxi_radicals}', "");
    Expect(0, 12255, '\P{__In_Kangxi_radicals}', "");
    Expect(1, 12255, '\P{^__In_Kangxi_radicals}', "");
    Expect(0, 12256, '\p{__In_Kangxi_radicals}', "");
    Expect(1, 12256, '\p{^__In_Kangxi_radicals}', "");
    Expect(1, 12256, '\P{__In_Kangxi_radicals}', "");
    Expect(0, 12256, '\P{^__In_Kangxi_radicals}', "");
    Error('\p{:=_Kangxi}');
    Error('\P{:=_Kangxi}');
    Expect(1, 12255, '\p{kangxi}', "");
    Expect(0, 12255, '\p{^kangxi}', "");
    Expect(0, 12255, '\P{kangxi}', "");
    Expect(1, 12255, '\P{^kangxi}', "");
    Expect(0, 12256, '\p{kangxi}', "");
    Expect(1, 12256, '\p{^kangxi}', "");
    Expect(1, 12256, '\P{kangxi}', "");
    Expect(0, 12256, '\P{^kangxi}', "");
    Expect(1, 12255, '\p{-	Kangxi}', "");
    Expect(0, 12255, '\p{^-	Kangxi}', "");
    Expect(0, 12255, '\P{-	Kangxi}', "");
    Expect(1, 12255, '\P{^-	Kangxi}', "");
    Expect(0, 12256, '\p{-	Kangxi}', "");
    Expect(1, 12256, '\p{^-	Kangxi}', "");
    Expect(1, 12256, '\P{-	Kangxi}', "");
    Expect(0, 12256, '\P{^-	Kangxi}', "");
    Error('\p{/a/ 	Is_kangxi}');
    Error('\P{/a/ 	Is_kangxi}');
    Expect(1, 12255, '\p{iskangxi}', "");
    Expect(0, 12255, '\p{^iskangxi}', "");
    Expect(0, 12255, '\P{iskangxi}', "");
    Expect(1, 12255, '\P{^iskangxi}', "");
    Expect(0, 12256, '\p{iskangxi}', "");
    Expect(1, 12256, '\p{^iskangxi}', "");
    Expect(1, 12256, '\P{iskangxi}', "");
    Expect(0, 12256, '\P{^iskangxi}', "");
    Expect(1, 12255, '\p{_Is_Kangxi}', "");
    Expect(0, 12255, '\p{^_Is_Kangxi}', "");
    Expect(0, 12255, '\P{_Is_Kangxi}', "");
    Expect(1, 12255, '\P{^_Is_Kangxi}', "");
    Expect(0, 12256, '\p{_Is_Kangxi}', "");
    Expect(1, 12256, '\p{^_Is_Kangxi}', "");
    Expect(1, 12256, '\P{_Is_Kangxi}', "");
    Expect(0, 12256, '\P{^_Is_Kangxi}', "");
    Error('\p{/a/	-In_KANGXI}');
    Error('\P{/a/	-In_KANGXI}');
    Expect(1, 12255, '\p{inkangxi}', "");
    Expect(0, 12255, '\p{^inkangxi}', "");
    Expect(0, 12255, '\P{inkangxi}', "");
    Expect(1, 12255, '\P{^inkangxi}', "");
    Expect(0, 12256, '\p{inkangxi}', "");
    Expect(1, 12256, '\p{^inkangxi}', "");
    Expect(1, 12256, '\P{inkangxi}', "");
    Expect(0, 12256, '\P{^inkangxi}', "");
    Expect(1, 12255, '\p{		IN_Kangxi}', "");
    Expect(0, 12255, '\p{^		IN_Kangxi}', "");
    Expect(0, 12255, '\P{		IN_Kangxi}', "");
    Expect(1, 12255, '\P{^		IN_Kangxi}', "");
    Expect(0, 12256, '\p{		IN_Kangxi}', "");
    Expect(1, 12256, '\p{^		IN_Kangxi}', "");
    Expect(1, 12256, '\P{		IN_Kangxi}', "");
    Expect(0, 12256, '\P{^		IN_Kangxi}', "");
    Error('\p{	:=kannada}');
    Error('\P{	:=kannada}');
    Expect(1, 43061, '\p{kannada}', "");
    Expect(0, 43061, '\p{^kannada}', "");
    Expect(0, 43061, '\P{kannada}', "");
    Expect(1, 43061, '\P{^kannada}', "");
    Expect(0, 43062, '\p{kannada}', "");
    Expect(1, 43062, '\p{^kannada}', "");
    Expect(1, 43062, '\P{kannada}', "");
    Expect(0, 43062, '\P{^kannada}', "");
    Expect(1, 43061, '\p{	Kannada}', "");
    Expect(0, 43061, '\p{^	Kannada}', "");
    Expect(0, 43061, '\P{	Kannada}', "");
    Expect(1, 43061, '\P{^	Kannada}', "");
    Expect(0, 43062, '\p{	Kannada}', "");
    Expect(1, 43062, '\p{^	Kannada}', "");
    Expect(1, 43062, '\P{	Kannada}', "");
    Expect(0, 43062, '\P{^	Kannada}', "");
    Error('\p{:=	_Is_Kannada}');
    Error('\P{:=	_Is_Kannada}');
    Expect(1, 43061, '\p{iskannada}', "");
    Expect(0, 43061, '\p{^iskannada}', "");
    Expect(0, 43061, '\P{iskannada}', "");
    Expect(1, 43061, '\P{^iskannada}', "");
    Expect(0, 43062, '\p{iskannada}', "");
    Expect(1, 43062, '\p{^iskannada}', "");
    Expect(1, 43062, '\P{iskannada}', "");
    Expect(0, 43062, '\P{^iskannada}', "");
    Expect(1, 43061, '\p{-_Is_kannada}', "");
    Expect(0, 43061, '\p{^-_Is_kannada}', "");
    Expect(0, 43061, '\P{-_Is_kannada}', "");
    Expect(1, 43061, '\P{^-_Is_kannada}', "");
    Expect(0, 43062, '\p{-_Is_kannada}', "");
    Expect(1, 43062, '\p{^-_Is_kannada}', "");
    Expect(1, 43062, '\P{-_Is_kannada}', "");
    Expect(0, 43062, '\P{^-_Is_kannada}', "");
    Error('\p{:=--Knda}');
    Error('\P{:=--Knda}');
    Expect(1, 43061, '\p{knda}', "");
    Expect(0, 43061, '\p{^knda}', "");
    Expect(0, 43061, '\P{knda}', "");
    Expect(1, 43061, '\P{^knda}', "");
    Expect(0, 43062, '\p{knda}', "");
    Expect(1, 43062, '\p{^knda}', "");
    Expect(1, 43062, '\P{knda}', "");
    Expect(0, 43062, '\P{^knda}', "");
    Expect(1, 43061, '\p{  knda}', "");
    Expect(0, 43061, '\p{^  knda}', "");
    Expect(0, 43061, '\P{  knda}', "");
    Expect(1, 43061, '\P{^  knda}', "");
    Expect(0, 43062, '\p{  knda}', "");
    Expect(1, 43062, '\p{^  knda}', "");
    Expect(1, 43062, '\P{  knda}', "");
    Expect(0, 43062, '\P{^  knda}', "");
    Error('\p{/a/	_is_knda}');
    Error('\P{/a/	_is_knda}');
    Expect(1, 43061, '\p{isknda}', "");
    Expect(0, 43061, '\p{^isknda}', "");
    Expect(0, 43061, '\P{isknda}', "");
    Expect(1, 43061, '\P{^isknda}', "");
    Expect(0, 43062, '\p{isknda}', "");
    Expect(1, 43062, '\p{^isknda}', "");
    Expect(1, 43062, '\P{isknda}', "");
    Expect(0, 43062, '\P{^isknda}', "");
    Expect(1, 43061, '\p{ Is_knda}', "");
    Expect(0, 43061, '\p{^ Is_knda}', "");
    Expect(0, 43061, '\P{ Is_knda}', "");
    Expect(1, 43061, '\P{^ Is_knda}', "");
    Expect(0, 43062, '\p{ Is_knda}', "");
    Expect(1, 43062, '\p{^ Is_knda}', "");
    Expect(1, 43062, '\P{ Is_knda}', "");
    Expect(0, 43062, '\P{^ Is_knda}', "");
    Error('\p{ 	katakana/a/}');
    Error('\P{ 	katakana/a/}');
    Expect(1, 110951, '\p{katakana}', "");
    Expect(0, 110951, '\p{^katakana}', "");
    Expect(0, 110951, '\P{katakana}', "");
    Expect(1, 110951, '\P{^katakana}', "");
    Expect(0, 110952, '\p{katakana}', "");
    Expect(1, 110952, '\p{^katakana}', "");
    Expect(1, 110952, '\P{katakana}', "");
    Expect(0, 110952, '\P{^katakana}', "");
    Expect(1, 110951, '\p{- Katakana}', "");
    Expect(0, 110951, '\p{^- Katakana}', "");
    Expect(0, 110951, '\P{- Katakana}', "");
    Expect(1, 110951, '\P{^- Katakana}', "");
    Expect(0, 110952, '\p{- Katakana}', "");
    Expect(1, 110952, '\p{^- Katakana}', "");
    Expect(1, 110952, '\P{- Katakana}', "");
    Expect(0, 110952, '\P{^- Katakana}', "");
    Error('\p{:=is_KATAKANA}');
    Error('\P{:=is_KATAKANA}');
    Expect(1, 110951, '\p{iskatakana}', "");
    Expect(0, 110951, '\p{^iskatakana}', "");
    Expect(0, 110951, '\P{iskatakana}', "");
    Expect(1, 110951, '\P{^iskatakana}', "");
    Expect(0, 110952, '\p{iskatakana}', "");
    Expect(1, 110952, '\p{^iskatakana}', "");
    Expect(1, 110952, '\P{iskatakana}', "");
    Expect(0, 110952, '\P{^iskatakana}', "");
    Expect(1, 110951, '\p{ _Is_KATAKANA}', "");
    Expect(0, 110951, '\p{^ _Is_KATAKANA}', "");
    Expect(0, 110951, '\P{ _Is_KATAKANA}', "");
    Expect(1, 110951, '\P{^ _Is_KATAKANA}', "");
    Expect(0, 110952, '\p{ _Is_KATAKANA}', "");
    Expect(1, 110952, '\p{^ _Is_KATAKANA}', "");
    Expect(1, 110952, '\P{ _Is_KATAKANA}', "");
    Expect(0, 110952, '\P{^ _Is_KATAKANA}', "");
    Error('\p{:= _KANA}');
    Error('\P{:= _KANA}');
    Expect(1, 110951, '\p{kana}', "");
    Expect(0, 110951, '\p{^kana}', "");
    Expect(0, 110951, '\P{kana}', "");
    Expect(1, 110951, '\P{^kana}', "");
    Expect(0, 110952, '\p{kana}', "");
    Expect(1, 110952, '\p{^kana}', "");
    Expect(1, 110952, '\P{kana}', "");
    Expect(0, 110952, '\P{^kana}', "");
    Expect(1, 110951, '\p{_-kana}', "");
    Expect(0, 110951, '\p{^_-kana}', "");
    Expect(0, 110951, '\P{_-kana}', "");
    Expect(1, 110951, '\P{^_-kana}', "");
    Expect(0, 110952, '\p{_-kana}', "");
    Expect(1, 110952, '\p{^_-kana}', "");
    Expect(1, 110952, '\P{_-kana}', "");
    Expect(0, 110952, '\P{^_-kana}', "");
    Error('\p{	 is_Kana/a/}');
    Error('\P{	 is_Kana/a/}');
    Expect(1, 110951, '\p{iskana}', "");
    Expect(0, 110951, '\p{^iskana}', "");
    Expect(0, 110951, '\P{iskana}', "");
    Expect(1, 110951, '\P{^iskana}', "");
    Expect(0, 110952, '\p{iskana}', "");
    Expect(1, 110952, '\p{^iskana}', "");
    Expect(1, 110952, '\P{iskana}', "");
    Expect(0, 110952, '\P{^iskana}', "");
    Expect(1, 110951, '\p{	Is_kana}', "");
    Expect(0, 110951, '\p{^	Is_kana}', "");
    Expect(0, 110951, '\P{	Is_kana}', "");
    Expect(1, 110951, '\P{^	Is_kana}', "");
    Expect(0, 110952, '\p{	Is_kana}', "");
    Expect(1, 110952, '\p{^	Is_kana}', "");
    Expect(1, 110952, '\P{	Is_kana}', "");
    Expect(0, 110952, '\P{^	Is_kana}', "");
    Error('\p{Katakana_Or_Hiragana}');
    Error('\P{Katakana_Or_Hiragana}');
    Error('\p{Hrkt}');
    Error('\P{Hrkt}');
    Error('\p{:=	_KATAKANA_Phonetic_extensions}');
    Error('\P{:=	_KATAKANA_Phonetic_extensions}');
    Expect(1, 12799, '\p{katakanaphoneticextensions}', "");
    Expect(0, 12799, '\p{^katakanaphoneticextensions}', "");
    Expect(0, 12799, '\P{katakanaphoneticextensions}', "");
    Expect(1, 12799, '\P{^katakanaphoneticextensions}', "");
    Expect(0, 12800, '\p{katakanaphoneticextensions}', "");
    Expect(1, 12800, '\p{^katakanaphoneticextensions}', "");
    Expect(1, 12800, '\P{katakanaphoneticextensions}', "");
    Expect(0, 12800, '\P{^katakanaphoneticextensions}', "");
    Expect(1, 12799, '\p{-KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12799, '\p{^-KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12799, '\P{-KATAKANA_Phonetic_Extensions}', "");
    Expect(1, 12799, '\P{^-KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12800, '\p{-KATAKANA_Phonetic_Extensions}', "");
    Expect(1, 12800, '\p{^-KATAKANA_Phonetic_Extensions}', "");
    Expect(1, 12800, '\P{-KATAKANA_Phonetic_Extensions}', "");
    Expect(0, 12800, '\P{^-KATAKANA_Phonetic_Extensions}', "");
    Error('\p{:=_is_KATAKANA_Phonetic_extensions}');
    Error('\P{:=_is_KATAKANA_Phonetic_extensions}');
    Expect(1, 12799, '\p{iskatakanaphoneticextensions}', "");
    Expect(0, 12799, '\p{^iskatakanaphoneticextensions}', "");
    Expect(0, 12799, '\P{iskatakanaphoneticextensions}', "");
    Expect(1, 12799, '\P{^iskatakanaphoneticextensions}', "");
    Expect(0, 12800, '\p{iskatakanaphoneticextensions}', "");
    Expect(1, 12800, '\p{^iskatakanaphoneticextensions}', "");
    Expect(1, 12800, '\P{iskatakanaphoneticextensions}', "");
    Expect(0, 12800, '\P{^iskatakanaphoneticextensions}', "");
    Expect(1, 12799, '\p{_ is_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12799, '\p{^_ is_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12799, '\P{_ is_KATAKANA_phonetic_Extensions}', "");
    Expect(1, 12799, '\P{^_ is_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12800, '\p{_ is_KATAKANA_phonetic_Extensions}', "");
    Expect(1, 12800, '\p{^_ is_KATAKANA_phonetic_Extensions}', "");
    Expect(1, 12800, '\P{_ is_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12800, '\P{^_ is_KATAKANA_phonetic_Extensions}', "");
    Error('\p{_-in_KATAKANA_Phonetic_extensions/a/}');
    Error('\P{_-in_KATAKANA_Phonetic_extensions/a/}');
    Expect(1, 12799, '\p{inkatakanaphoneticextensions}', "");
    Expect(0, 12799, '\p{^inkatakanaphoneticextensions}', "");
    Expect(0, 12799, '\P{inkatakanaphoneticextensions}', "");
    Expect(1, 12799, '\P{^inkatakanaphoneticextensions}', "");
    Expect(0, 12800, '\p{inkatakanaphoneticextensions}', "");
    Expect(1, 12800, '\p{^inkatakanaphoneticextensions}', "");
    Expect(1, 12800, '\P{inkatakanaphoneticextensions}', "");
    Expect(0, 12800, '\P{^inkatakanaphoneticextensions}', "");
    Expect(1, 12799, '\p{-_In_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12799, '\p{^-_In_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12799, '\P{-_In_KATAKANA_phonetic_Extensions}', "");
    Expect(1, 12799, '\P{^-_In_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12800, '\p{-_In_KATAKANA_phonetic_Extensions}', "");
    Expect(1, 12800, '\p{^-_In_KATAKANA_phonetic_Extensions}', "");
    Expect(1, 12800, '\P{-_In_KATAKANA_phonetic_Extensions}', "");
    Expect(0, 12800, '\P{^-_In_KATAKANA_phonetic_Extensions}', "");
    Error('\p{:=Katakana_EXT}');
    Error('\P{:=Katakana_EXT}');
    Expect(1, 12799, '\p{katakanaext}', "");
    Expect(0, 12799, '\p{^katakanaext}', "");
    Expect(0, 12799, '\P{katakanaext}', "");
    Expect(1, 12799, '\P{^katakanaext}', "");
    Expect(0, 12800, '\p{katakanaext}', "");
    Expect(1, 12800, '\p{^katakanaext}', "");
    Expect(1, 12800, '\P{katakanaext}', "");
    Expect(0, 12800, '\P{^katakanaext}', "");
    Expect(1, 12799, '\p{-	katakana_Ext}', "");
    Expect(0, 12799, '\p{^-	katakana_Ext}', "");
    Expect(0, 12799, '\P{-	katakana_Ext}', "");
    Expect(1, 12799, '\P{^-	katakana_Ext}', "");
    Expect(0, 12800, '\p{-	katakana_Ext}', "");
    Expect(1, 12800, '\p{^-	katakana_Ext}', "");
    Expect(1, 12800, '\P{-	katakana_Ext}', "");
    Expect(0, 12800, '\P{^-	katakana_Ext}', "");
    Error('\p{-:=is_Katakana_ext}');
    Error('\P{-:=is_Katakana_ext}');
    Expect(1, 12799, '\p{iskatakanaext}', "");
    Expect(0, 12799, '\p{^iskatakanaext}', "");
    Expect(0, 12799, '\P{iskatakanaext}', "");
    Expect(1, 12799, '\P{^iskatakanaext}', "");
    Expect(0, 12800, '\p{iskatakanaext}', "");
    Expect(1, 12800, '\p{^iskatakanaext}', "");
    Expect(1, 12800, '\P{iskatakanaext}', "");
    Expect(0, 12800, '\P{^iskatakanaext}', "");
    Expect(1, 12799, '\p{_-Is_Katakana_Ext}', "");
    Expect(0, 12799, '\p{^_-Is_Katakana_Ext}', "");
    Expect(0, 12799, '\P{_-Is_Katakana_Ext}', "");
    Expect(1, 12799, '\P{^_-Is_Katakana_Ext}', "");
    Expect(0, 12800, '\p{_-Is_Katakana_Ext}', "");
    Expect(1, 12800, '\p{^_-Is_Katakana_Ext}', "");
    Expect(1, 12800, '\P{_-Is_Katakana_Ext}', "");
    Expect(0, 12800, '\P{^_-Is_Katakana_Ext}', "");
    Error('\p{-/a/IN_KATAKANA_EXT}');
    Error('\P{-/a/IN_KATAKANA_EXT}');
    Expect(1, 12799, '\p{inkatakanaext}', "");
    Expect(0, 12799, '\p{^inkatakanaext}', "");
    Expect(0, 12799, '\P{inkatakanaext}', "");
    Expect(1, 12799, '\P{^inkatakanaext}', "");
    Expect(0, 12800, '\p{inkatakanaext}', "");
    Expect(1, 12800, '\p{^inkatakanaext}', "");
    Expect(1, 12800, '\P{inkatakanaext}', "");
    Expect(0, 12800, '\P{^inkatakanaext}', "");
    Expect(1, 12799, '\p{ IN_Katakana_Ext}', "");
    Expect(0, 12799, '\p{^ IN_Katakana_Ext}', "");
    Expect(0, 12799, '\P{ IN_Katakana_Ext}', "");
    Expect(1, 12799, '\P{^ IN_Katakana_Ext}', "");
    Expect(0, 12800, '\p{ IN_Katakana_Ext}', "");
    Expect(1, 12800, '\p{^ IN_Katakana_Ext}', "");
    Expect(1, 12800, '\P{ IN_Katakana_Ext}', "");
    Expect(0, 12800, '\P{^ IN_Katakana_Ext}', "");
    Error('\p{_ Kayah_Li/a/}');
    Error('\P{_ Kayah_Li/a/}');
    Expect(1, 43311, '\p{kayahli}', "");
    Expect(0, 43311, '\p{^kayahli}', "");
    Expect(0, 43311, '\P{kayahli}', "");
    Expect(1, 43311, '\P{^kayahli}', "");
    Expect(0, 43312, '\p{kayahli}', "");
    Expect(1, 43312, '\p{^kayahli}', "");
    Expect(1, 43312, '\P{kayahli}', "");
    Expect(0, 43312, '\P{^kayahli}', "");
    Expect(1, 43311, '\p{_kayah_li}', "");
    Expect(0, 43311, '\p{^_kayah_li}', "");
    Expect(0, 43311, '\P{_kayah_li}', "");
    Expect(1, 43311, '\P{^_kayah_li}', "");
    Expect(0, 43312, '\p{_kayah_li}', "");
    Expect(1, 43312, '\p{^_kayah_li}', "");
    Expect(1, 43312, '\P{_kayah_li}', "");
    Expect(0, 43312, '\P{^_kayah_li}', "");
    Error('\p{-	IS_KAYAH_Li/a/}');
    Error('\P{-	IS_KAYAH_Li/a/}');
    Expect(1, 43311, '\p{iskayahli}', "");
    Expect(0, 43311, '\p{^iskayahli}', "");
    Expect(0, 43311, '\P{iskayahli}', "");
    Expect(1, 43311, '\P{^iskayahli}', "");
    Expect(0, 43312, '\p{iskayahli}', "");
    Expect(1, 43312, '\p{^iskayahli}', "");
    Expect(1, 43312, '\P{iskayahli}', "");
    Expect(0, 43312, '\P{^iskayahli}', "");
    Expect(1, 43311, '\p{-IS_Kayah_Li}', "");
    Expect(0, 43311, '\p{^-IS_Kayah_Li}', "");
    Expect(0, 43311, '\P{-IS_Kayah_Li}', "");
    Expect(1, 43311, '\P{^-IS_Kayah_Li}', "");
    Expect(0, 43312, '\p{-IS_Kayah_Li}', "");
    Expect(1, 43312, '\p{^-IS_Kayah_Li}', "");
    Expect(1, 43312, '\P{-IS_Kayah_Li}', "");
    Expect(0, 43312, '\P{^-IS_Kayah_Li}', "");
    Error('\p{	 KALI:=}');
    Error('\P{	 KALI:=}');
    Expect(1, 43311, '\p{kali}', "");
    Expect(0, 43311, '\p{^kali}', "");
    Expect(0, 43311, '\P{kali}', "");
    Expect(1, 43311, '\P{^kali}', "");
    Expect(0, 43312, '\p{kali}', "");
    Expect(1, 43312, '\p{^kali}', "");
    Expect(1, 43312, '\P{kali}', "");
    Expect(0, 43312, '\P{^kali}', "");
    Expect(1, 43311, '\p{_Kali}', "");
    Expect(0, 43311, '\p{^_Kali}', "");
    Expect(0, 43311, '\P{_Kali}', "");
    Expect(1, 43311, '\P{^_Kali}', "");
    Expect(0, 43312, '\p{_Kali}', "");
    Expect(1, 43312, '\p{^_Kali}', "");
    Expect(1, 43312, '\P{_Kali}', "");
    Expect(0, 43312, '\P{^_Kali}', "");
    Error('\p{ /a/Is_kali}');
    Error('\P{ /a/Is_kali}');
    Expect(1, 43311, '\p{iskali}', "");
    Expect(0, 43311, '\p{^iskali}', "");
    Expect(0, 43311, '\P{iskali}', "");
    Expect(1, 43311, '\P{^iskali}', "");
    Expect(0, 43312, '\p{iskali}', "");
    Expect(1, 43312, '\p{^iskali}', "");
    Expect(1, 43312, '\P{iskali}', "");
    Expect(0, 43312, '\P{^iskali}', "");
    Expect(1, 43311, '\p{_Is_kali}', "");
    Expect(0, 43311, '\p{^_Is_kali}', "");
    Expect(0, 43311, '\P{_Is_kali}', "");
    Expect(1, 43311, '\P{^_Is_kali}', "");
    Expect(0, 43312, '\p{_Is_kali}', "");
    Expect(1, 43312, '\p{^_Is_kali}', "");
    Expect(1, 43312, '\P{_Is_kali}', "");
    Expect(0, 43312, '\P{^_Is_kali}', "");
    Error('\p{/a/		KHAROSHTHI}');
    Error('\P{/a/		KHAROSHTHI}');
    Expect(1, 68184, '\p{kharoshthi}', "");
    Expect(0, 68184, '\p{^kharoshthi}', "");
    Expect(0, 68184, '\P{kharoshthi}', "");
    Expect(1, 68184, '\P{^kharoshthi}', "");
    Expect(0, 68185, '\p{kharoshthi}', "");
    Expect(1, 68185, '\p{^kharoshthi}', "");
    Expect(1, 68185, '\P{kharoshthi}', "");
    Expect(0, 68185, '\P{^kharoshthi}', "");
    Expect(1, 68184, '\p{  Kharoshthi}', "");
    Expect(0, 68184, '\p{^  Kharoshthi}', "");
    Expect(0, 68184, '\P{  Kharoshthi}', "");
    Expect(1, 68184, '\P{^  Kharoshthi}', "");
    Expect(0, 68185, '\p{  Kharoshthi}', "");
    Expect(1, 68185, '\p{^  Kharoshthi}', "");
    Expect(1, 68185, '\P{  Kharoshthi}', "");
    Expect(0, 68185, '\P{^  Kharoshthi}', "");
    Error('\p{/a/Is_kharoshthi}');
    Error('\P{/a/Is_kharoshthi}');
    Expect(1, 68184, '\p{iskharoshthi}', "");
    Expect(0, 68184, '\p{^iskharoshthi}', "");
    Expect(0, 68184, '\P{iskharoshthi}', "");
    Expect(1, 68184, '\P{^iskharoshthi}', "");
    Expect(0, 68185, '\p{iskharoshthi}', "");
    Expect(1, 68185, '\p{^iskharoshthi}', "");
    Expect(1, 68185, '\P{iskharoshthi}', "");
    Expect(0, 68185, '\P{^iskharoshthi}', "");
    Expect(1, 68184, '\p{  is_KHAROSHTHI}', "");
    Expect(0, 68184, '\p{^  is_KHAROSHTHI}', "");
    Expect(0, 68184, '\P{  is_KHAROSHTHI}', "");
    Expect(1, 68184, '\P{^  is_KHAROSHTHI}', "");
    Expect(0, 68185, '\p{  is_KHAROSHTHI}', "");
    Expect(1, 68185, '\p{^  is_KHAROSHTHI}', "");
    Expect(1, 68185, '\P{  is_KHAROSHTHI}', "");
    Expect(0, 68185, '\P{^  is_KHAROSHTHI}', "");
    Error('\p{-KHAR/a/}');
    Error('\P{-KHAR/a/}');
    Expect(1, 68184, '\p{khar}', "");
    Expect(0, 68184, '\p{^khar}', "");
    Expect(0, 68184, '\P{khar}', "");
    Expect(1, 68184, '\P{^khar}', "");
    Expect(0, 68185, '\p{khar}', "");
    Expect(1, 68185, '\p{^khar}', "");
    Expect(1, 68185, '\P{khar}', "");
    Expect(0, 68185, '\P{^khar}', "");
    Expect(1, 68184, '\p{__Khar}', "");
    Expect(0, 68184, '\p{^__Khar}', "");
    Expect(0, 68184, '\P{__Khar}', "");
    Expect(1, 68184, '\P{^__Khar}', "");
    Expect(0, 68185, '\p{__Khar}', "");
    Expect(1, 68185, '\p{^__Khar}', "");
    Expect(1, 68185, '\P{__Khar}', "");
    Expect(0, 68185, '\P{^__Khar}', "");
    Error('\p{:=Is_Khar}');
    Error('\P{:=Is_Khar}');
    Expect(1, 68184, '\p{iskhar}', "");
    Expect(0, 68184, '\p{^iskhar}', "");
    Expect(0, 68184, '\P{iskhar}', "");
    Expect(1, 68184, '\P{^iskhar}', "");
    Expect(0, 68185, '\p{iskhar}', "");
    Expect(1, 68185, '\p{^iskhar}', "");
    Expect(1, 68185, '\P{iskhar}', "");
    Expect(0, 68185, '\P{^iskhar}', "");
    Expect(1, 68184, '\p{ _IS_KHAR}', "");
    Expect(0, 68184, '\p{^ _IS_KHAR}', "");
    Expect(0, 68184, '\P{ _IS_KHAR}', "");
    Expect(1, 68184, '\P{^ _IS_KHAR}', "");
    Expect(0, 68185, '\p{ _IS_KHAR}', "");
    Expect(1, 68185, '\p{^ _IS_KHAR}', "");
    Expect(1, 68185, '\P{ _IS_KHAR}', "");
    Expect(0, 68185, '\P{^ _IS_KHAR}', "");
    Error('\p{	:=Khitan_small_Script}');
    Error('\P{	:=Khitan_small_Script}');
    Expect(1, 101589, '\p{khitansmallscript}', "");
    Expect(0, 101589, '\p{^khitansmallscript}', "");
    Expect(0, 101589, '\P{khitansmallscript}', "");
    Expect(1, 101589, '\P{^khitansmallscript}', "");
    Expect(0, 101590, '\p{khitansmallscript}', "");
    Expect(1, 101590, '\p{^khitansmallscript}', "");
    Expect(1, 101590, '\P{khitansmallscript}', "");
    Expect(0, 101590, '\P{^khitansmallscript}', "");
    Expect(1, 101589, '\p{	-khitan_SMALL_script}', "");
    Expect(0, 101589, '\p{^	-khitan_SMALL_script}', "");
    Expect(0, 101589, '\P{	-khitan_SMALL_script}', "");
    Expect(1, 101589, '\P{^	-khitan_SMALL_script}', "");
    Expect(0, 101590, '\p{	-khitan_SMALL_script}', "");
    Expect(1, 101590, '\p{^	-khitan_SMALL_script}', "");
    Expect(1, 101590, '\P{	-khitan_SMALL_script}', "");
    Expect(0, 101590, '\P{^	-khitan_SMALL_script}', "");
    Error('\p{:=	 is_khitan_Small_script}');
    Error('\P{:=	 is_khitan_Small_script}');
    Expect(1, 101589, '\p{iskhitansmallscript}', "");
    Expect(0, 101589, '\p{^iskhitansmallscript}', "");
    Expect(0, 101589, '\P{iskhitansmallscript}', "");
    Expect(1, 101589, '\P{^iskhitansmallscript}', "");
    Expect(0, 101590, '\p{iskhitansmallscript}', "");
    Expect(1, 101590, '\p{^iskhitansmallscript}', "");
    Expect(1, 101590, '\P{iskhitansmallscript}', "");
    Expect(0, 101590, '\P{^iskhitansmallscript}', "");
    Expect(1, 101589, '\p{Is_Khitan_Small_Script}', "");
    Expect(0, 101589, '\p{^Is_Khitan_Small_Script}', "");
    Expect(0, 101589, '\P{Is_Khitan_Small_Script}', "");
    Expect(1, 101589, '\P{^Is_Khitan_Small_Script}', "");
    Expect(0, 101590, '\p{Is_Khitan_Small_Script}', "");
    Expect(1, 101590, '\p{^Is_Khitan_Small_Script}', "");
    Expect(1, 101590, '\P{Is_Khitan_Small_Script}', "");
    Expect(0, 101590, '\P{^Is_Khitan_Small_Script}', "");
    Error('\p{		Kits:=}');
    Error('\P{		Kits:=}');
    Expect(1, 101589, '\p{kits}', "");
    Expect(0, 101589, '\p{^kits}', "");
    Expect(0, 101589, '\P{kits}', "");
    Expect(1, 101589, '\P{^kits}', "");
    Expect(0, 101590, '\p{kits}', "");
    Expect(1, 101590, '\p{^kits}', "");
    Expect(1, 101590, '\P{kits}', "");
    Expect(0, 101590, '\P{^kits}', "");
    Expect(1, 101589, '\p{ -Kits}', "");
    Expect(0, 101589, '\p{^ -Kits}', "");
    Expect(0, 101589, '\P{ -Kits}', "");
    Expect(1, 101589, '\P{^ -Kits}', "");
    Expect(0, 101590, '\p{ -Kits}', "");
    Expect(1, 101590, '\p{^ -Kits}', "");
    Expect(1, 101590, '\P{ -Kits}', "");
    Expect(0, 101590, '\P{^ -Kits}', "");
    Error('\p{:=-IS_Kits}');
    Error('\P{:=-IS_Kits}');
    Expect(1, 101589, '\p{iskits}', "");
    Expect(0, 101589, '\p{^iskits}', "");
    Expect(0, 101589, '\P{iskits}', "");
    Expect(1, 101589, '\P{^iskits}', "");
    Expect(0, 101590, '\p{iskits}', "");
    Expect(1, 101590, '\p{^iskits}', "");
    Expect(1, 101590, '\P{iskits}', "");
    Expect(0, 101590, '\P{^iskits}', "");
    Expect(1, 101589, '\p{ Is_Kits}', "");
    Expect(0, 101589, '\p{^ Is_Kits}', "");
    Expect(0, 101589, '\P{ Is_Kits}', "");
    Expect(1, 101589, '\P{^ Is_Kits}', "");
    Expect(0, 101590, '\p{ Is_Kits}', "");
    Expect(1, 101590, '\p{^ Is_Kits}', "");
    Expect(1, 101590, '\P{ Is_Kits}', "");
    Expect(0, 101590, '\P{^ Is_Kits}', "");
    Error('\p{	:=Khmer}');
    Error('\P{	:=Khmer}');
    Expect(1, 6655, '\p{khmer}', "");
    Expect(0, 6655, '\p{^khmer}', "");
    Expect(0, 6655, '\P{khmer}', "");
    Expect(1, 6655, '\P{^khmer}', "");
    Expect(0, 6656, '\p{khmer}', "");
    Expect(1, 6656, '\p{^khmer}', "");
    Expect(1, 6656, '\P{khmer}', "");
    Expect(0, 6656, '\P{^khmer}', "");
    Expect(1, 6655, '\p{	 KHMER}', "");
    Expect(0, 6655, '\p{^	 KHMER}', "");
    Expect(0, 6655, '\P{	 KHMER}', "");
    Expect(1, 6655, '\P{^	 KHMER}', "");
    Expect(0, 6656, '\p{	 KHMER}', "");
    Expect(1, 6656, '\p{^	 KHMER}', "");
    Expect(1, 6656, '\P{	 KHMER}', "");
    Expect(0, 6656, '\P{^	 KHMER}', "");
    Error('\p{__Is_Khmer/a/}');
    Error('\P{__Is_Khmer/a/}');
    Expect(1, 6655, '\p{iskhmer}', "");
    Expect(0, 6655, '\p{^iskhmer}', "");
    Expect(0, 6655, '\P{iskhmer}', "");
    Expect(1, 6655, '\P{^iskhmer}', "");
    Expect(0, 6656, '\p{iskhmer}', "");
    Expect(1, 6656, '\p{^iskhmer}', "");
    Expect(1, 6656, '\P{iskhmer}', "");
    Expect(0, 6656, '\P{^iskhmer}', "");
    Expect(1, 6655, '\p{ 	Is_khmer}', "");
    Expect(0, 6655, '\p{^ 	Is_khmer}', "");
    Expect(0, 6655, '\P{ 	Is_khmer}', "");
    Expect(1, 6655, '\P{^ 	Is_khmer}', "");
    Expect(0, 6656, '\p{ 	Is_khmer}', "");
    Expect(1, 6656, '\p{^ 	Is_khmer}', "");
    Expect(1, 6656, '\P{ 	Is_khmer}', "");
    Expect(0, 6656, '\P{^ 	Is_khmer}', "");
    Error('\p{	:=Khmr}');
    Error('\P{	:=Khmr}');
    Expect(1, 6655, '\p{khmr}', "");
    Expect(0, 6655, '\p{^khmr}', "");
    Expect(0, 6655, '\P{khmr}', "");
    Expect(1, 6655, '\P{^khmr}', "");
    Expect(0, 6656, '\p{khmr}', "");
    Expect(1, 6656, '\p{^khmr}', "");
    Expect(1, 6656, '\P{khmr}', "");
    Expect(0, 6656, '\P{^khmr}', "");
    Expect(1, 6655, '\p{-khmr}', "");
    Expect(0, 6655, '\p{^-khmr}', "");
    Expect(0, 6655, '\P{-khmr}', "");
    Expect(1, 6655, '\P{^-khmr}', "");
    Expect(0, 6656, '\p{-khmr}', "");
    Expect(1, 6656, '\p{^-khmr}', "");
    Expect(1, 6656, '\P{-khmr}', "");
    Expect(0, 6656, '\P{^-khmr}', "");
    Error('\p{_-Is_Khmr/a/}');
    Error('\P{_-Is_Khmr/a/}');
    Expect(1, 6655, '\p{iskhmr}', "");
    Expect(0, 6655, '\p{^iskhmr}', "");
    Expect(0, 6655, '\P{iskhmr}', "");
    Expect(1, 6655, '\P{^iskhmr}', "");
    Expect(0, 6656, '\p{iskhmr}', "");
    Expect(1, 6656, '\p{^iskhmr}', "");
    Expect(1, 6656, '\P{iskhmr}', "");
    Expect(0, 6656, '\P{^iskhmr}', "");
    Expect(1, 6655, '\p{_Is_Khmr}', "");
    Expect(0, 6655, '\p{^_Is_Khmr}', "");
    Expect(0, 6655, '\P{_Is_Khmr}', "");
    Expect(1, 6655, '\P{^_Is_Khmr}', "");
    Expect(0, 6656, '\p{_Is_Khmr}', "");
    Expect(1, 6656, '\p{^_Is_Khmr}', "");
    Expect(1, 6656, '\P{_Is_Khmr}', "");
    Expect(0, 6656, '\P{^_Is_Khmr}', "");
    Error('\p{ /a/khmer_SYMBOLS}');
    Error('\P{ /a/khmer_SYMBOLS}');
    Expect(1, 6655, '\p{khmersymbols}', "");
    Expect(0, 6655, '\p{^khmersymbols}', "");
    Expect(0, 6655, '\P{khmersymbols}', "");
    Expect(1, 6655, '\P{^khmersymbols}', "");
    Expect(0, 6656, '\p{khmersymbols}', "");
    Expect(1, 6656, '\p{^khmersymbols}', "");
    Expect(1, 6656, '\P{khmersymbols}', "");
    Expect(0, 6656, '\P{^khmersymbols}', "");
    Expect(1, 6655, '\p{-_KHMER_SYMBOLS}', "");
    Expect(0, 6655, '\p{^-_KHMER_SYMBOLS}', "");
    Expect(0, 6655, '\P{-_KHMER_SYMBOLS}', "");
    Expect(1, 6655, '\P{^-_KHMER_SYMBOLS}', "");
    Expect(0, 6656, '\p{-_KHMER_SYMBOLS}', "");
    Expect(1, 6656, '\p{^-_KHMER_SYMBOLS}', "");
    Expect(1, 6656, '\P{-_KHMER_SYMBOLS}', "");
    Expect(0, 6656, '\P{^-_KHMER_SYMBOLS}', "");
    Error('\p{	:=is_khmer_SYMBOLS}');
    Error('\P{	:=is_khmer_SYMBOLS}');
    Expect(1, 6655, '\p{iskhmersymbols}', "");
    Expect(0, 6655, '\p{^iskhmersymbols}', "");
    Expect(0, 6655, '\P{iskhmersymbols}', "");
    Expect(1, 6655, '\P{^iskhmersymbols}', "");
    Expect(0, 6656, '\p{iskhmersymbols}', "");
    Expect(1, 6656, '\p{^iskhmersymbols}', "");
    Expect(1, 6656, '\P{iskhmersymbols}', "");
    Expect(0, 6656, '\P{^iskhmersymbols}', "");
    Expect(1, 6655, '\p{_	IS_Khmer_Symbols}', "");
    Expect(0, 6655, '\p{^_	IS_Khmer_Symbols}', "");
    Expect(0, 6655, '\P{_	IS_Khmer_Symbols}', "");
    Expect(1, 6655, '\P{^_	IS_Khmer_Symbols}', "");
    Expect(0, 6656, '\p{_	IS_Khmer_Symbols}', "");
    Expect(1, 6656, '\p{^_	IS_Khmer_Symbols}', "");
    Expect(1, 6656, '\P{_	IS_Khmer_Symbols}', "");
    Expect(0, 6656, '\P{^_	IS_Khmer_Symbols}', "");
    Error('\p{/a/IN_KHMER_SYMBOLS}');
    Error('\P{/a/IN_KHMER_SYMBOLS}');
    Expect(1, 6655, '\p{inkhmersymbols}', "");
    Expect(0, 6655, '\p{^inkhmersymbols}', "");
    Expect(0, 6655, '\P{inkhmersymbols}', "");
    Expect(1, 6655, '\P{^inkhmersymbols}', "");
    Expect(0, 6656, '\p{inkhmersymbols}', "");
    Expect(1, 6656, '\p{^inkhmersymbols}', "");
    Expect(1, 6656, '\P{inkhmersymbols}', "");
    Expect(0, 6656, '\P{^inkhmersymbols}', "");
    Expect(1, 6655, '\p{-	IN_KHMER_Symbols}', "");
    Expect(0, 6655, '\p{^-	IN_KHMER_Symbols}', "");
    Expect(0, 6655, '\P{-	IN_KHMER_Symbols}', "");
    Expect(1, 6655, '\P{^-	IN_KHMER_Symbols}', "");
    Expect(0, 6656, '\p{-	IN_KHMER_Symbols}', "");
    Expect(1, 6656, '\p{^-	IN_KHMER_Symbols}', "");
    Expect(1, 6656, '\P{-	IN_KHMER_Symbols}', "");
    Expect(0, 6656, '\P{^-	IN_KHMER_Symbols}', "");
    Error('\p{:=	KHOJKI}');
    Error('\P{:=	KHOJKI}');
    Expect(1, 70206, '\p{khojki}', "");
    Expect(0, 70206, '\p{^khojki}', "");
    Expect(0, 70206, '\P{khojki}', "");
    Expect(1, 70206, '\P{^khojki}', "");
    Expect(0, 70207, '\p{khojki}', "");
    Expect(1, 70207, '\p{^khojki}', "");
    Expect(1, 70207, '\P{khojki}', "");
    Expect(0, 70207, '\P{^khojki}', "");
    Expect(1, 70206, '\p{ khojki}', "");
    Expect(0, 70206, '\p{^ khojki}', "");
    Expect(0, 70206, '\P{ khojki}', "");
    Expect(1, 70206, '\P{^ khojki}', "");
    Expect(0, 70207, '\p{ khojki}', "");
    Expect(1, 70207, '\p{^ khojki}', "");
    Expect(1, 70207, '\P{ khojki}', "");
    Expect(0, 70207, '\P{^ khojki}', "");
    Error('\p{_-is_KHOJKI:=}');
    Error('\P{_-is_KHOJKI:=}');
    Expect(1, 70206, '\p{iskhojki}', "");
    Expect(0, 70206, '\p{^iskhojki}', "");
    Expect(0, 70206, '\P{iskhojki}', "");
    Expect(1, 70206, '\P{^iskhojki}', "");
    Expect(0, 70207, '\p{iskhojki}', "");
    Expect(1, 70207, '\p{^iskhojki}', "");
    Expect(1, 70207, '\P{iskhojki}', "");
    Expect(0, 70207, '\P{^iskhojki}', "");
    Expect(1, 70206, '\p{- is_KHOJKI}', "");
    Expect(0, 70206, '\p{^- is_KHOJKI}', "");
    Expect(0, 70206, '\P{- is_KHOJKI}', "");
    Expect(1, 70206, '\P{^- is_KHOJKI}', "");
    Expect(0, 70207, '\p{- is_KHOJKI}', "");
    Expect(1, 70207, '\p{^- is_KHOJKI}', "");
    Expect(1, 70207, '\P{- is_KHOJKI}', "");
    Expect(0, 70207, '\P{^- is_KHOJKI}', "");
    Error('\p{:=  khoj}');
    Error('\P{:=  khoj}');
    Expect(1, 70206, '\p{khoj}', "");
    Expect(0, 70206, '\p{^khoj}', "");
    Expect(0, 70206, '\P{khoj}', "");
    Expect(1, 70206, '\P{^khoj}', "");
    Expect(0, 70207, '\p{khoj}', "");
    Expect(1, 70207, '\p{^khoj}', "");
    Expect(1, 70207, '\P{khoj}', "");
    Expect(0, 70207, '\P{^khoj}', "");
    Expect(1, 70206, '\p{ -Khoj}', "");
    Expect(0, 70206, '\p{^ -Khoj}', "");
    Expect(0, 70206, '\P{ -Khoj}', "");
    Expect(1, 70206, '\P{^ -Khoj}', "");
    Expect(0, 70207, '\p{ -Khoj}', "");
    Expect(1, 70207, '\p{^ -Khoj}', "");
    Expect(1, 70207, '\P{ -Khoj}', "");
    Expect(0, 70207, '\P{^ -Khoj}', "");
    Error('\p{	_IS_KHOJ/a/}');
    Error('\P{	_IS_KHOJ/a/}');
    Expect(1, 70206, '\p{iskhoj}', "");
    Expect(0, 70206, '\p{^iskhoj}', "");
    Expect(0, 70206, '\P{iskhoj}', "");
    Expect(1, 70206, '\P{^iskhoj}', "");
    Expect(0, 70207, '\p{iskhoj}', "");
    Expect(1, 70207, '\p{^iskhoj}', "");
    Expect(1, 70207, '\P{iskhoj}', "");
    Expect(0, 70207, '\P{^iskhoj}', "");
    Expect(1, 70206, '\p{__Is_Khoj}', "");
    Expect(0, 70206, '\p{^__Is_Khoj}', "");
    Expect(0, 70206, '\P{__Is_Khoj}', "");
    Expect(1, 70206, '\P{^__Is_Khoj}', "");
    Expect(0, 70207, '\p{__Is_Khoj}', "");
    Expect(1, 70207, '\p{^__Is_Khoj}', "");
    Expect(1, 70207, '\P{__Is_Khoj}', "");
    Expect(0, 70207, '\P{^__Is_Khoj}', "");
    Error('\p{_/a/Khudawadi}');
    Error('\P{_/a/Khudawadi}');
    Expect(1, 70393, '\p{khudawadi}', "");
    Expect(0, 70393, '\p{^khudawadi}', "");
    Expect(0, 70393, '\P{khudawadi}', "");
    Expect(1, 70393, '\P{^khudawadi}', "");
    Expect(0, 70394, '\p{khudawadi}', "");
    Expect(1, 70394, '\p{^khudawadi}', "");
    Expect(1, 70394, '\P{khudawadi}', "");
    Expect(0, 70394, '\P{^khudawadi}', "");
    Expect(1, 70393, '\p{_ Khudawadi}', "");
    Expect(0, 70393, '\p{^_ Khudawadi}', "");
    Expect(0, 70393, '\P{_ Khudawadi}', "");
    Expect(1, 70393, '\P{^_ Khudawadi}', "");
    Expect(0, 70394, '\p{_ Khudawadi}', "");
    Expect(1, 70394, '\p{^_ Khudawadi}', "");
    Expect(1, 70394, '\P{_ Khudawadi}', "");
    Expect(0, 70394, '\P{^_ Khudawadi}', "");
    Error('\p{:=IS_KHUDAWADI}');
    Error('\P{:=IS_KHUDAWADI}');
    Expect(1, 70393, '\p{iskhudawadi}', "");
    Expect(0, 70393, '\p{^iskhudawadi}', "");
    Expect(0, 70393, '\P{iskhudawadi}', "");
    Expect(1, 70393, '\P{^iskhudawadi}', "");
    Expect(0, 70394, '\p{iskhudawadi}', "");
    Expect(1, 70394, '\p{^iskhudawadi}', "");
    Expect(1, 70394, '\P{iskhudawadi}', "");
    Expect(0, 70394, '\P{^iskhudawadi}', "");
    Expect(1, 70393, '\p{-Is_Khudawadi}', "");
    Expect(0, 70393, '\p{^-Is_Khudawadi}', "");
    Expect(0, 70393, '\P{-Is_Khudawadi}', "");
    Expect(1, 70393, '\P{^-Is_Khudawadi}', "");
    Expect(0, 70394, '\p{-Is_Khudawadi}', "");
    Expect(1, 70394, '\p{^-Is_Khudawadi}', "");
    Expect(1, 70394, '\P{-Is_Khudawadi}', "");
    Expect(0, 70394, '\P{^-Is_Khudawadi}', "");
    Error('\p{/a/_-Sind}');
    Error('\P{/a/_-Sind}');
    Expect(1, 70393, '\p{sind}', "");
    Expect(0, 70393, '\p{^sind}', "");
    Expect(0, 70393, '\P{sind}', "");
    Expect(1, 70393, '\P{^sind}', "");
    Expect(0, 70394, '\p{sind}', "");
    Expect(1, 70394, '\p{^sind}', "");
    Expect(1, 70394, '\P{sind}', "");
    Expect(0, 70394, '\P{^sind}', "");
    Expect(1, 70393, '\p{ 	sind}', "");
    Expect(0, 70393, '\p{^ 	sind}', "");
    Expect(0, 70393, '\P{ 	sind}', "");
    Expect(1, 70393, '\P{^ 	sind}', "");
    Expect(0, 70394, '\p{ 	sind}', "");
    Expect(1, 70394, '\p{^ 	sind}', "");
    Expect(1, 70394, '\P{ 	sind}', "");
    Expect(0, 70394, '\P{^ 	sind}', "");
    Error('\p{	 Is_sind/a/}');
    Error('\P{	 Is_sind/a/}');
    Expect(1, 70393, '\p{issind}', "");
    Expect(0, 70393, '\p{^issind}', "");
    Expect(0, 70393, '\P{issind}', "");
    Expect(1, 70393, '\P{^issind}', "");
    Expect(0, 70394, '\p{issind}', "");
    Expect(1, 70394, '\p{^issind}', "");
    Expect(1, 70394, '\P{issind}', "");
    Expect(0, 70394, '\P{^issind}', "");
    Expect(1, 70393, '\p{-is_sind}', "");
    Expect(0, 70393, '\p{^-is_sind}', "");
    Expect(0, 70393, '\P{-is_sind}', "");
    Expect(1, 70393, '\P{^-is_sind}', "");
    Expect(0, 70394, '\p{-is_sind}', "");
    Expect(1, 70394, '\p{^-is_sind}', "");
    Expect(1, 70394, '\P{-is_sind}', "");
    Expect(0, 70394, '\P{^-is_sind}', "");
    Error('\p{:=__Lao}');
    Error('\P{:=__Lao}');
    Expect(1, 3807, '\p{lao}', "");
    Expect(0, 3807, '\p{^lao}', "");
    Expect(0, 3807, '\P{lao}', "");
    Expect(1, 3807, '\P{^lao}', "");
    Expect(0, 3808, '\p{lao}', "");
    Expect(1, 3808, '\p{^lao}', "");
    Expect(1, 3808, '\P{lao}', "");
    Expect(0, 3808, '\P{^lao}', "");
    Expect(1, 3807, '\p{ _LAO}', "");
    Expect(0, 3807, '\p{^ _LAO}', "");
    Expect(0, 3807, '\P{ _LAO}', "");
    Expect(1, 3807, '\P{^ _LAO}', "");
    Expect(0, 3808, '\p{ _LAO}', "");
    Expect(1, 3808, '\p{^ _LAO}', "");
    Expect(1, 3808, '\P{ _LAO}', "");
    Expect(0, 3808, '\P{^ _LAO}', "");
    Error('\p{/a/	Is_Lao}');
    Error('\P{/a/	Is_Lao}');
    Expect(1, 3807, '\p{islao}', "");
    Expect(0, 3807, '\p{^islao}', "");
    Expect(0, 3807, '\P{islao}', "");
    Expect(1, 3807, '\P{^islao}', "");
    Expect(0, 3808, '\p{islao}', "");
    Expect(1, 3808, '\p{^islao}', "");
    Expect(1, 3808, '\P{islao}', "");
    Expect(0, 3808, '\P{^islao}', "");
    Expect(1, 3807, '\p{ -Is_Lao}', "");
    Expect(0, 3807, '\p{^ -Is_Lao}', "");
    Expect(0, 3807, '\P{ -Is_Lao}', "");
    Expect(1, 3807, '\P{^ -Is_Lao}', "");
    Expect(0, 3808, '\p{ -Is_Lao}', "");
    Expect(1, 3808, '\p{^ -Is_Lao}', "");
    Expect(1, 3808, '\P{ -Is_Lao}', "");
    Expect(0, 3808, '\P{^ -Is_Lao}', "");
    Error('\p{ :=Laoo}');
    Error('\P{ :=Laoo}');
    Expect(1, 3807, '\p{laoo}', "");
    Expect(0, 3807, '\p{^laoo}', "");
    Expect(0, 3807, '\P{laoo}', "");
    Expect(1, 3807, '\P{^laoo}', "");
    Expect(0, 3808, '\p{laoo}', "");
    Expect(1, 3808, '\p{^laoo}', "");
    Expect(1, 3808, '\P{laoo}', "");
    Expect(0, 3808, '\P{^laoo}', "");
    Expect(1, 3807, '\p{-_Laoo}', "");
    Expect(0, 3807, '\p{^-_Laoo}', "");
    Expect(0, 3807, '\P{-_Laoo}', "");
    Expect(1, 3807, '\P{^-_Laoo}', "");
    Expect(0, 3808, '\p{-_Laoo}', "");
    Expect(1, 3808, '\p{^-_Laoo}', "");
    Expect(1, 3808, '\P{-_Laoo}', "");
    Expect(0, 3808, '\P{^-_Laoo}', "");
    Error('\p{ _Is_LAOO/a/}');
    Error('\P{ _Is_LAOO/a/}');
    Expect(1, 3807, '\p{islaoo}', "");
    Expect(0, 3807, '\p{^islaoo}', "");
    Expect(0, 3807, '\P{islaoo}', "");
    Expect(1, 3807, '\P{^islaoo}', "");
    Expect(0, 3808, '\p{islaoo}', "");
    Expect(1, 3808, '\p{^islaoo}', "");
    Expect(1, 3808, '\P{islaoo}', "");
    Expect(0, 3808, '\P{^islaoo}', "");
    Expect(1, 3807, '\p{ _IS_laoo}', "");
    Expect(0, 3807, '\p{^ _IS_laoo}', "");
    Expect(0, 3807, '\P{ _IS_laoo}', "");
    Expect(1, 3807, '\P{^ _IS_laoo}', "");
    Expect(0, 3808, '\p{ _IS_laoo}', "");
    Expect(1, 3808, '\p{^ _IS_laoo}', "");
    Expect(1, 3808, '\P{ _IS_laoo}', "");
    Expect(0, 3808, '\P{^ _IS_laoo}', "");
    Error('\p{:= latin}');
    Error('\P{:= latin}');
    Expect(1, 122654, '\p{latin}', "");
    Expect(0, 122654, '\p{^latin}', "");
    Expect(0, 122654, '\P{latin}', "");
    Expect(1, 122654, '\P{^latin}', "");
    Expect(0, 122655, '\p{latin}', "");
    Expect(1, 122655, '\p{^latin}', "");
    Expect(1, 122655, '\P{latin}', "");
    Expect(0, 122655, '\P{^latin}', "");
    Expect(1, 122654, '\p{-	Latin}', "");
    Expect(0, 122654, '\p{^-	Latin}', "");
    Expect(0, 122654, '\P{-	Latin}', "");
    Expect(1, 122654, '\P{^-	Latin}', "");
    Expect(0, 122655, '\p{-	Latin}', "");
    Expect(1, 122655, '\p{^-	Latin}', "");
    Expect(1, 122655, '\P{-	Latin}', "");
    Expect(0, 122655, '\P{^-	Latin}', "");
    Error('\p{-Is_Latin:=}');
    Error('\P{-Is_Latin:=}');
    Expect(1, 122654, '\p{islatin}', "");
    Expect(0, 122654, '\p{^islatin}', "");
    Expect(0, 122654, '\P{islatin}', "");
    Expect(1, 122654, '\P{^islatin}', "");
    Expect(0, 122655, '\p{islatin}', "");
    Expect(1, 122655, '\p{^islatin}', "");
    Expect(1, 122655, '\P{islatin}', "");
    Expect(0, 122655, '\P{^islatin}', "");
    Expect(1, 122654, '\p{  Is_latin}', "");
    Expect(0, 122654, '\p{^  Is_latin}', "");
    Expect(0, 122654, '\P{  Is_latin}', "");
    Expect(1, 122654, '\P{^  Is_latin}', "");
    Expect(0, 122655, '\p{  Is_latin}', "");
    Expect(1, 122655, '\p{^  Is_latin}', "");
    Expect(1, 122655, '\P{  Is_latin}', "");
    Expect(0, 122655, '\P{^  Is_latin}', "");
    Error('\p{ _LATN:=}');
    Error('\P{ _LATN:=}');
    Expect(1, 122654, '\p{latn}', "");
    Expect(0, 122654, '\p{^latn}', "");
    Expect(0, 122654, '\P{latn}', "");
    Expect(1, 122654, '\P{^latn}', "");
    Expect(0, 122655, '\p{latn}', "");
    Expect(1, 122655, '\p{^latn}', "");
    Expect(1, 122655, '\P{latn}', "");
    Expect(0, 122655, '\P{^latn}', "");
    Expect(1, 122654, '\p{	Latn}', "");
    Expect(0, 122654, '\p{^	Latn}', "");
    Expect(0, 122654, '\P{	Latn}', "");
    Expect(1, 122654, '\P{^	Latn}', "");
    Expect(0, 122655, '\p{	Latn}', "");
    Expect(1, 122655, '\p{^	Latn}', "");
    Expect(1, 122655, '\P{	Latn}', "");
    Expect(0, 122655, '\P{^	Latn}', "");
    Error('\p{/a/_Is_Latn}');
    Error('\P{/a/_Is_Latn}');
    Expect(1, 122654, '\p{islatn}', "");
    Expect(0, 122654, '\p{^islatn}', "");
    Expect(0, 122654, '\P{islatn}', "");
    Expect(1, 122654, '\P{^islatn}', "");
    Expect(0, 122655, '\p{islatn}', "");
    Expect(1, 122655, '\p{^islatn}', "");
    Expect(1, 122655, '\P{islatn}', "");
    Expect(0, 122655, '\P{^islatn}', "");
    Expect(1, 122654, '\p{--Is_Latn}', "");
    Expect(0, 122654, '\p{^--Is_Latn}', "");
    Expect(0, 122654, '\P{--Is_Latn}', "");
    Expect(1, 122654, '\P{^--Is_Latn}', "");
    Expect(0, 122655, '\p{--Is_Latn}', "");
    Expect(1, 122655, '\p{^--Is_Latn}', "");
    Expect(1, 122655, '\P{--Is_Latn}', "");
    Expect(0, 122655, '\P{^--Is_Latn}', "");
    Error('\p{/a/__latin_1_SUPPLEMENT}');
    Error('\P{/a/__latin_1_SUPPLEMENT}');
    Expect(1, 255, '\p{latin1supplement}', "");
    Expect(0, 255, '\p{^latin1supplement}', "");
    Expect(0, 255, '\P{latin1supplement}', "");
    Expect(1, 255, '\P{^latin1supplement}', "");
    Expect(0, 256, '\p{latin1supplement}', "");
    Expect(1, 256, '\p{^latin1supplement}', "");
    Expect(1, 256, '\P{latin1supplement}', "");
    Expect(0, 256, '\P{^latin1supplement}', "");
    Expect(1, 255, '\p{ _Latin_1_Supplement}', "");
    Expect(0, 255, '\p{^ _Latin_1_Supplement}', "");
    Expect(0, 255, '\P{ _Latin_1_Supplement}', "");
    Expect(1, 255, '\P{^ _Latin_1_Supplement}', "");
    Expect(0, 256, '\p{ _Latin_1_Supplement}', "");
    Expect(1, 256, '\p{^ _Latin_1_Supplement}', "");
    Expect(1, 256, '\P{ _Latin_1_Supplement}', "");
    Expect(0, 256, '\P{^ _Latin_1_Supplement}', "");
    Error('\p{-Is_Latin_1_Supplement:=}');
    Error('\P{-Is_Latin_1_Supplement:=}');
    Expect(1, 255, '\p{islatin1supplement}', "");
    Expect(0, 255, '\p{^islatin1supplement}', "");
    Expect(0, 255, '\P{islatin1supplement}', "");
    Expect(1, 255, '\P{^islatin1supplement}', "");
    Expect(0, 256, '\p{islatin1supplement}', "");
    Expect(1, 256, '\p{^islatin1supplement}', "");
    Expect(1, 256, '\P{islatin1supplement}', "");
    Expect(0, 256, '\P{^islatin1supplement}', "");
    Expect(1, 255, '\p{_-IS_Latin_1_Supplement}', "");
    Expect(0, 255, '\p{^_-IS_Latin_1_Supplement}', "");
    Expect(0, 255, '\P{_-IS_Latin_1_Supplement}', "");
    Expect(1, 255, '\P{^_-IS_Latin_1_Supplement}', "");
    Expect(0, 256, '\p{_-IS_Latin_1_Supplement}', "");
    Expect(1, 256, '\p{^_-IS_Latin_1_Supplement}', "");
    Expect(1, 256, '\P{_-IS_Latin_1_Supplement}', "");
    Expect(0, 256, '\P{^_-IS_Latin_1_Supplement}', "");
    Error('\p{ /a/in_latin_1_supplement}');
    Error('\P{ /a/in_latin_1_supplement}');
    Expect(1, 255, '\p{inlatin1supplement}', "");
    Expect(0, 255, '\p{^inlatin1supplement}', "");
    Expect(0, 255, '\P{inlatin1supplement}', "");
    Expect(1, 255, '\P{^inlatin1supplement}', "");
    Expect(0, 256, '\p{inlatin1supplement}', "");
    Expect(1, 256, '\p{^inlatin1supplement}', "");
    Expect(1, 256, '\P{inlatin1supplement}', "");
    Expect(0, 256, '\P{^inlatin1supplement}', "");
    Expect(1, 255, '\p{_In_latin_1_supplement}', "");
    Expect(0, 255, '\p{^_In_latin_1_supplement}', "");
    Expect(0, 255, '\P{_In_latin_1_supplement}', "");
    Expect(1, 255, '\P{^_In_latin_1_supplement}', "");
    Expect(0, 256, '\p{_In_latin_1_supplement}', "");
    Expect(1, 256, '\p{^_In_latin_1_supplement}', "");
    Expect(1, 256, '\P{_In_latin_1_supplement}', "");
    Expect(0, 256, '\P{^_In_latin_1_supplement}', "");
    Error('\p{:=	-Latin_1_SUP}');
    Error('\P{:=	-Latin_1_SUP}');
    Expect(1, 255, '\p{latin1sup}', "");
    Expect(0, 255, '\p{^latin1sup}', "");
    Expect(0, 255, '\P{latin1sup}', "");
    Expect(1, 255, '\P{^latin1sup}', "");
    Expect(0, 256, '\p{latin1sup}', "");
    Expect(1, 256, '\p{^latin1sup}', "");
    Expect(1, 256, '\P{latin1sup}', "");
    Expect(0, 256, '\P{^latin1sup}', "");
    Expect(1, 255, '\p{_ latin_1_Sup}', "");
    Expect(0, 255, '\p{^_ latin_1_Sup}', "");
    Expect(0, 255, '\P{_ latin_1_Sup}', "");
    Expect(1, 255, '\P{^_ latin_1_Sup}', "");
    Expect(0, 256, '\p{_ latin_1_Sup}', "");
    Expect(1, 256, '\p{^_ latin_1_Sup}', "");
    Expect(1, 256, '\P{_ latin_1_Sup}', "");
    Expect(0, 256, '\P{^_ latin_1_Sup}', "");
    Error('\p{	_IS_latin_1_Sup/a/}');
    Error('\P{	_IS_latin_1_Sup/a/}');
    Expect(1, 255, '\p{islatin1sup}', "");
    Expect(0, 255, '\p{^islatin1sup}', "");
    Expect(0, 255, '\P{islatin1sup}', "");
    Expect(1, 255, '\P{^islatin1sup}', "");
    Expect(0, 256, '\p{islatin1sup}', "");
    Expect(1, 256, '\p{^islatin1sup}', "");
    Expect(1, 256, '\P{islatin1sup}', "");
    Expect(0, 256, '\P{^islatin1sup}', "");
    Expect(1, 255, '\p{	Is_Latin_1_Sup}', "");
    Expect(0, 255, '\p{^	Is_Latin_1_Sup}', "");
    Expect(0, 255, '\P{	Is_Latin_1_Sup}', "");
    Expect(1, 255, '\P{^	Is_Latin_1_Sup}', "");
    Expect(0, 256, '\p{	Is_Latin_1_Sup}', "");
    Expect(1, 256, '\p{^	Is_Latin_1_Sup}', "");
    Expect(1, 256, '\P{	Is_Latin_1_Sup}', "");
    Expect(0, 256, '\P{^	Is_Latin_1_Sup}', "");
    Error('\p{		IN_Latin_1_SUP/a/}');
    Error('\P{		IN_Latin_1_SUP/a/}');
    Expect(1, 255, '\p{inlatin1sup}', "");
    Expect(0, 255, '\p{^inlatin1sup}', "");
    Expect(0, 255, '\P{inlatin1sup}', "");
    Expect(1, 255, '\P{^inlatin1sup}', "");
    Expect(0, 256, '\p{inlatin1sup}', "");
    Expect(1, 256, '\p{^inlatin1sup}', "");
    Expect(1, 256, '\P{inlatin1sup}', "");
    Expect(0, 256, '\P{^inlatin1sup}', "");
    Expect(1, 255, '\p{- IN_Latin_1_sup}', "");
    Expect(0, 255, '\p{^- IN_Latin_1_sup}', "");
    Expect(0, 255, '\P{- IN_Latin_1_sup}', "");
    Expect(1, 255, '\P{^- IN_Latin_1_sup}', "");
    Expect(0, 256, '\p{- IN_Latin_1_sup}', "");
    Expect(1, 256, '\p{^- IN_Latin_1_sup}', "");
    Expect(1, 256, '\P{- IN_Latin_1_sup}', "");
    Expect(0, 256, '\P{^- IN_Latin_1_sup}', "");
    Error('\p{/a/ Latin_1}');
    Error('\P{/a/ Latin_1}');
    Expect(1, 255, '\p{latin1}', "");
    Expect(0, 255, '\p{^latin1}', "");
    Expect(0, 255, '\P{latin1}', "");
    Expect(1, 255, '\P{^latin1}', "");
    Expect(0, 256, '\p{latin1}', "");
    Expect(1, 256, '\p{^latin1}', "");
    Expect(1, 256, '\P{latin1}', "");
    Expect(0, 256, '\P{^latin1}', "");
    Expect(1, 255, '\p{	Latin_1}', "");
    Expect(0, 255, '\p{^	Latin_1}', "");
    Expect(0, 255, '\P{	Latin_1}', "");
    Expect(1, 255, '\P{^	Latin_1}', "");
    Expect(0, 256, '\p{	Latin_1}', "");
    Expect(1, 256, '\p{^	Latin_1}', "");
    Expect(1, 256, '\P{	Latin_1}', "");
    Expect(0, 256, '\P{^	Latin_1}', "");
    Error('\p{/a/__is_latin_1}');
    Error('\P{/a/__is_latin_1}');
    Expect(1, 255, '\p{islatin1}', "");
    Expect(0, 255, '\p{^islatin1}', "");
    Expect(0, 255, '\P{islatin1}', "");
    Expect(1, 255, '\P{^islatin1}', "");
    Expect(0, 256, '\p{islatin1}', "");
    Expect(1, 256, '\p{^islatin1}', "");
    Expect(1, 256, '\P{islatin1}', "");
    Expect(0, 256, '\P{^islatin1}', "");
    Expect(1, 255, '\p{ 	IS_Latin_1}', "");
    Expect(0, 255, '\p{^ 	IS_Latin_1}', "");
    Expect(0, 255, '\P{ 	IS_Latin_1}', "");
    Expect(1, 255, '\P{^ 	IS_Latin_1}', "");
    Expect(0, 256, '\p{ 	IS_Latin_1}', "");
    Expect(1, 256, '\p{^ 	IS_Latin_1}', "");
    Expect(1, 256, '\P{ 	IS_Latin_1}', "");
    Expect(0, 256, '\P{^ 	IS_Latin_1}', "");
    Error('\p{/a/	In_Latin_1}');
    Error('\P{/a/	In_Latin_1}');
    Expect(1, 255, '\p{inlatin1}', "");
    Expect(0, 255, '\p{^inlatin1}', "");
    Expect(0, 255, '\P{inlatin1}', "");
    Expect(1, 255, '\P{^inlatin1}', "");
    Expect(0, 256, '\p{inlatin1}', "");
    Expect(1, 256, '\p{^inlatin1}', "");
    Expect(1, 256, '\P{inlatin1}', "");
    Expect(0, 256, '\P{^inlatin1}', "");
    Expect(1, 255, '\p{  In_latin_1}', "");
    Expect(0, 255, '\p{^  In_latin_1}', "");
    Expect(0, 255, '\P{  In_latin_1}', "");
    Expect(1, 255, '\P{^  In_latin_1}', "");
    Expect(0, 256, '\p{  In_latin_1}', "");
    Expect(1, 256, '\p{^  In_latin_1}', "");
    Expect(1, 256, '\P{  In_latin_1}', "");
    Expect(0, 256, '\P{^  In_latin_1}', "");
    Error('\p{	Latin_Extended_a/a/}');
    Error('\P{	Latin_Extended_a/a/}');
    Expect(1, 383, '\p{latinextendeda}', "");
    Expect(0, 383, '\p{^latinextendeda}', "");
    Expect(0, 383, '\P{latinextendeda}', "");
    Expect(1, 383, '\P{^latinextendeda}', "");
    Expect(0, 384, '\p{latinextendeda}', "");
    Expect(1, 384, '\p{^latinextendeda}', "");
    Expect(1, 384, '\P{latinextendeda}', "");
    Expect(0, 384, '\P{^latinextendeda}', "");
    Expect(1, 383, '\p{_ Latin_Extended_A}', "");
    Expect(0, 383, '\p{^_ Latin_Extended_A}', "");
    Expect(0, 383, '\P{_ Latin_Extended_A}', "");
    Expect(1, 383, '\P{^_ Latin_Extended_A}', "");
    Expect(0, 384, '\p{_ Latin_Extended_A}', "");
    Expect(1, 384, '\p{^_ Latin_Extended_A}', "");
    Expect(1, 384, '\P{_ Latin_Extended_A}', "");
    Expect(0, 384, '\P{^_ Latin_Extended_A}', "");
    Error('\p{:=Is_latin_extended_A}');
    Error('\P{:=Is_latin_extended_A}');
    Expect(1, 383, '\p{islatinextendeda}', "");
    Expect(0, 383, '\p{^islatinextendeda}', "");
    Expect(0, 383, '\P{islatinextendeda}', "");
    Expect(1, 383, '\P{^islatinextendeda}', "");
    Expect(0, 384, '\p{islatinextendeda}', "");
    Expect(1, 384, '\p{^islatinextendeda}', "");
    Expect(1, 384, '\P{islatinextendeda}', "");
    Expect(0, 384, '\P{^islatinextendeda}', "");
    Expect(1, 383, '\p{ -is_LATIN_Extended_A}', "");
    Expect(0, 383, '\p{^ -is_LATIN_Extended_A}', "");
    Expect(0, 383, '\P{ -is_LATIN_Extended_A}', "");
    Expect(1, 383, '\P{^ -is_LATIN_Extended_A}', "");
    Expect(0, 384, '\p{ -is_LATIN_Extended_A}', "");
    Expect(1, 384, '\p{^ -is_LATIN_Extended_A}', "");
    Expect(1, 384, '\P{ -is_LATIN_Extended_A}', "");
    Expect(0, 384, '\P{^ -is_LATIN_Extended_A}', "");
    Error('\p{	in_latin_Extended_A:=}');
    Error('\P{	in_latin_Extended_A:=}');
    Expect(1, 383, '\p{inlatinextendeda}', "");
    Expect(0, 383, '\p{^inlatinextendeda}', "");
    Expect(0, 383, '\P{inlatinextendeda}', "");
    Expect(1, 383, '\P{^inlatinextendeda}', "");
    Expect(0, 384, '\p{inlatinextendeda}', "");
    Expect(1, 384, '\p{^inlatinextendeda}', "");
    Expect(1, 384, '\P{inlatinextendeda}', "");
    Expect(0, 384, '\P{^inlatinextendeda}', "");
    Expect(1, 383, '\p{- in_LATIN_EXTENDED_A}', "");
    Expect(0, 383, '\p{^- in_LATIN_EXTENDED_A}', "");
    Expect(0, 383, '\P{- in_LATIN_EXTENDED_A}', "");
    Expect(1, 383, '\P{^- in_LATIN_EXTENDED_A}', "");
    Expect(0, 384, '\p{- in_LATIN_EXTENDED_A}', "");
    Expect(1, 384, '\p{^- in_LATIN_EXTENDED_A}', "");
    Expect(1, 384, '\P{- in_LATIN_EXTENDED_A}', "");
    Expect(0, 384, '\P{^- in_LATIN_EXTENDED_A}', "");
    Error('\p{/a/-	Latin_EXT_A}');
    Error('\P{/a/-	Latin_EXT_A}');
    Expect(1, 383, '\p{latinexta}', "");
    Expect(0, 383, '\p{^latinexta}', "");
    Expect(0, 383, '\P{latinexta}', "");
    Expect(1, 383, '\P{^latinexta}', "");
    Expect(0, 384, '\p{latinexta}', "");
    Expect(1, 384, '\p{^latinexta}', "");
    Expect(1, 384, '\P{latinexta}', "");
    Expect(0, 384, '\P{^latinexta}', "");
    Expect(1, 383, '\p{-	LATIN_Ext_A}', "");
    Expect(0, 383, '\p{^-	LATIN_Ext_A}', "");
    Expect(0, 383, '\P{-	LATIN_Ext_A}', "");
    Expect(1, 383, '\P{^-	LATIN_Ext_A}', "");
    Expect(0, 384, '\p{-	LATIN_Ext_A}', "");
    Expect(1, 384, '\p{^-	LATIN_Ext_A}', "");
    Expect(1, 384, '\P{-	LATIN_Ext_A}', "");
    Expect(0, 384, '\P{^-	LATIN_Ext_A}', "");
    Error('\p{:=-	Is_Latin_Ext_A}');
    Error('\P{:=-	Is_Latin_Ext_A}');
    Expect(1, 383, '\p{islatinexta}', "");
    Expect(0, 383, '\p{^islatinexta}', "");
    Expect(0, 383, '\P{islatinexta}', "");
    Expect(1, 383, '\P{^islatinexta}', "");
    Expect(0, 384, '\p{islatinexta}', "");
    Expect(1, 384, '\p{^islatinexta}', "");
    Expect(1, 384, '\P{islatinexta}', "");
    Expect(0, 384, '\P{^islatinexta}', "");
    Expect(1, 383, '\p{ _is_Latin_Ext_a}', "");
    Expect(0, 383, '\p{^ _is_Latin_Ext_a}', "");
    Expect(0, 383, '\P{ _is_Latin_Ext_a}', "");
    Expect(1, 383, '\P{^ _is_Latin_Ext_a}', "");
    Expect(0, 384, '\p{ _is_Latin_Ext_a}', "");
    Expect(1, 384, '\p{^ _is_Latin_Ext_a}', "");
    Expect(1, 384, '\P{ _is_Latin_Ext_a}', "");
    Expect(0, 384, '\P{^ _is_Latin_Ext_a}', "");
    Error('\p{:=-	in_Latin_Ext_A}');
    Error('\P{:=-	in_Latin_Ext_A}');
    Expect(1, 383, '\p{inlatinexta}', "");
    Expect(0, 383, '\p{^inlatinexta}', "");
    Expect(0, 383, '\P{inlatinexta}', "");
    Expect(1, 383, '\P{^inlatinexta}', "");
    Expect(0, 384, '\p{inlatinexta}', "");
    Expect(1, 384, '\p{^inlatinexta}', "");
    Expect(1, 384, '\P{inlatinexta}', "");
    Expect(0, 384, '\P{^inlatinexta}', "");
    Expect(1, 383, '\p{ IN_latin_ext_A}', "");
    Expect(0, 383, '\p{^ IN_latin_ext_A}', "");
    Expect(0, 383, '\P{ IN_latin_ext_A}', "");
    Expect(1, 383, '\P{^ IN_latin_ext_A}', "");
    Expect(0, 384, '\p{ IN_latin_ext_A}', "");
    Expect(1, 384, '\p{^ IN_latin_ext_A}', "");
    Expect(1, 384, '\P{ IN_latin_ext_A}', "");
    Expect(0, 384, '\P{^ IN_latin_ext_A}', "");
    Error('\p{ 	Latin_Extended_Additional:=}');
    Error('\P{ 	Latin_Extended_Additional:=}');
    Expect(1, 7935, '\p{latinextendedadditional}', "");
    Expect(0, 7935, '\p{^latinextendedadditional}', "");
    Expect(0, 7935, '\P{latinextendedadditional}', "");
    Expect(1, 7935, '\P{^latinextendedadditional}', "");
    Expect(0, 7936, '\p{latinextendedadditional}', "");
    Expect(1, 7936, '\p{^latinextendedadditional}', "");
    Expect(1, 7936, '\P{latinextendedadditional}', "");
    Expect(0, 7936, '\P{^latinextendedadditional}', "");
    Expect(1, 7935, '\p{ Latin_EXTENDED_additional}', "");
    Expect(0, 7935, '\p{^ Latin_EXTENDED_additional}', "");
    Expect(0, 7935, '\P{ Latin_EXTENDED_additional}', "");
    Expect(1, 7935, '\P{^ Latin_EXTENDED_additional}', "");
    Expect(0, 7936, '\p{ Latin_EXTENDED_additional}', "");
    Expect(1, 7936, '\p{^ Latin_EXTENDED_additional}', "");
    Expect(1, 7936, '\P{ Latin_EXTENDED_additional}', "");
    Expect(0, 7936, '\P{^ Latin_EXTENDED_additional}', "");
    Error('\p{/a/		is_LATIN_Extended_additional}');
    Error('\P{/a/		is_LATIN_Extended_additional}');
    Expect(1, 7935, '\p{islatinextendedadditional}', "");
    Expect(0, 7935, '\p{^islatinextendedadditional}', "");
    Expect(0, 7935, '\P{islatinextendedadditional}', "");
    Expect(1, 7935, '\P{^islatinextendedadditional}', "");
    Expect(0, 7936, '\p{islatinextendedadditional}', "");
    Expect(1, 7936, '\p{^islatinextendedadditional}', "");
    Expect(1, 7936, '\P{islatinextendedadditional}', "");
    Expect(0, 7936, '\P{^islatinextendedadditional}', "");
    Expect(1, 7935, '\p{  IS_Latin_Extended_additional}', "");
    Expect(0, 7935, '\p{^  IS_Latin_Extended_additional}', "");
    Expect(0, 7935, '\P{  IS_Latin_Extended_additional}', "");
    Expect(1, 7935, '\P{^  IS_Latin_Extended_additional}', "");
    Expect(0, 7936, '\p{  IS_Latin_Extended_additional}', "");
    Expect(1, 7936, '\p{^  IS_Latin_Extended_additional}', "");
    Expect(1, 7936, '\P{  IS_Latin_Extended_additional}', "");
    Expect(0, 7936, '\P{^  IS_Latin_Extended_additional}', "");
    Error('\p{_ In_latin_Extended_ADDITIONAL/a/}');
    Error('\P{_ In_latin_Extended_ADDITIONAL/a/}');
    Expect(1, 7935, '\p{inlatinextendedadditional}', "");
    Expect(0, 7935, '\p{^inlatinextendedadditional}', "");
    Expect(0, 7935, '\P{inlatinextendedadditional}', "");
    Expect(1, 7935, '\P{^inlatinextendedadditional}', "");
    Expect(0, 7936, '\p{inlatinextendedadditional}', "");
    Expect(1, 7936, '\p{^inlatinextendedadditional}', "");
    Expect(1, 7936, '\P{inlatinextendedadditional}', "");
    Expect(0, 7936, '\P{^inlatinextendedadditional}', "");
    Expect(1, 7935, '\p{ _In_latin_extended_Additional}', "");
    Expect(0, 7935, '\p{^ _In_latin_extended_Additional}', "");
    Expect(0, 7935, '\P{ _In_latin_extended_Additional}', "");
    Expect(1, 7935, '\P{^ _In_latin_extended_Additional}', "");
    Expect(0, 7936, '\p{ _In_latin_extended_Additional}', "");
    Expect(1, 7936, '\p{^ _In_latin_extended_Additional}', "");
    Expect(1, 7936, '\P{ _In_latin_extended_Additional}', "");
    Expect(0, 7936, '\P{^ _In_latin_extended_Additional}', "");
    Error('\p{ latin_EXT_additional:=}');
    Error('\P{ latin_EXT_additional:=}');
    Expect(1, 7935, '\p{latinextadditional}', "");
    Expect(0, 7935, '\p{^latinextadditional}', "");
    Expect(0, 7935, '\P{latinextadditional}', "");
    Expect(1, 7935, '\P{^latinextadditional}', "");
    Expect(0, 7936, '\p{latinextadditional}', "");
    Expect(1, 7936, '\p{^latinextadditional}', "");
    Expect(1, 7936, '\P{latinextadditional}', "");
    Expect(0, 7936, '\P{^latinextadditional}', "");
    Expect(1, 7935, '\p{		Latin_ext_ADDITIONAL}', "");
    Expect(0, 7935, '\p{^		Latin_ext_ADDITIONAL}', "");
    Expect(0, 7935, '\P{		Latin_ext_ADDITIONAL}', "");
    Expect(1, 7935, '\P{^		Latin_ext_ADDITIONAL}', "");
    Expect(0, 7936, '\p{		Latin_ext_ADDITIONAL}', "");
    Expect(1, 7936, '\p{^		Latin_ext_ADDITIONAL}', "");
    Expect(1, 7936, '\P{		Latin_ext_ADDITIONAL}', "");
    Expect(0, 7936, '\P{^		Latin_ext_ADDITIONAL}', "");
    Error('\p{ 	Is_latin_Ext_additional/a/}');
    Error('\P{ 	Is_latin_Ext_additional/a/}');
    Expect(1, 7935, '\p{islatinextadditional}', "");
    Expect(0, 7935, '\p{^islatinextadditional}', "");
    Expect(0, 7935, '\P{islatinextadditional}', "");
    Expect(1, 7935, '\P{^islatinextadditional}', "");
    Expect(0, 7936, '\p{islatinextadditional}', "");
    Expect(1, 7936, '\p{^islatinextadditional}', "");
    Expect(1, 7936, '\P{islatinextadditional}', "");
    Expect(0, 7936, '\P{^islatinextadditional}', "");
    Expect(1, 7935, '\p{ Is_Latin_Ext_ADDITIONAL}', "");
    Expect(0, 7935, '\p{^ Is_Latin_Ext_ADDITIONAL}', "");
    Expect(0, 7935, '\P{ Is_Latin_Ext_ADDITIONAL}', "");
    Expect(1, 7935, '\P{^ Is_Latin_Ext_ADDITIONAL}', "");
    Expect(0, 7936, '\p{ Is_Latin_Ext_ADDITIONAL}', "");
    Expect(1, 7936, '\p{^ Is_Latin_Ext_ADDITIONAL}', "");
    Expect(1, 7936, '\P{ Is_Latin_Ext_ADDITIONAL}', "");
    Expect(0, 7936, '\P{^ Is_Latin_Ext_ADDITIONAL}', "");
    Error('\p{_-IN_latin_ext_Additional:=}');
    Error('\P{_-IN_latin_ext_Additional:=}');
    Expect(1, 7935, '\p{inlatinextadditional}', "");
    Expect(0, 7935, '\p{^inlatinextadditional}', "");
    Expect(0, 7935, '\P{inlatinextadditional}', "");
    Expect(1, 7935, '\P{^inlatinextadditional}', "");
    Expect(0, 7936, '\p{inlatinextadditional}', "");
    Expect(1, 7936, '\p{^inlatinextadditional}', "");
    Expect(1, 7936, '\P{inlatinextadditional}', "");
    Expect(0, 7936, '\P{^inlatinextadditional}', "");
    Expect(1, 7935, '\p{ -IN_Latin_Ext_Additional}', "");
    Expect(0, 7935, '\p{^ -IN_Latin_Ext_Additional}', "");
    Expect(0, 7935, '\P{ -IN_Latin_Ext_Additional}', "");
    Expect(1, 7935, '\P{^ -IN_Latin_Ext_Additional}', "");
    Expect(0, 7936, '\p{ -IN_Latin_Ext_Additional}', "");
    Expect(1, 7936, '\p{^ -IN_Latin_Ext_Additional}', "");
    Expect(1, 7936, '\P{ -IN_Latin_Ext_Additional}', "");
    Expect(0, 7936, '\P{^ -IN_Latin_Ext_Additional}', "");
    Error('\p{ -latin_Extended_B/a/}');
    Error('\P{ -latin_Extended_B/a/}');
    Expect(1, 591, '\p{latinextendedb}', "");
    Expect(0, 591, '\p{^latinextendedb}', "");
    Expect(0, 591, '\P{latinextendedb}', "");
    Expect(1, 591, '\P{^latinextendedb}', "");
    Expect(0, 592, '\p{latinextendedb}', "");
    Expect(1, 592, '\p{^latinextendedb}', "");
    Expect(1, 592, '\P{latinextendedb}', "");
    Expect(0, 592, '\P{^latinextendedb}', "");
    Expect(1, 591, '\p{-	LATIN_Extended_B}', "");
    Expect(0, 591, '\p{^-	LATIN_Extended_B}', "");
    Expect(0, 591, '\P{-	LATIN_Extended_B}', "");
    Expect(1, 591, '\P{^-	LATIN_Extended_B}', "");
    Expect(0, 592, '\p{-	LATIN_Extended_B}', "");
    Expect(1, 592, '\p{^-	LATIN_Extended_B}', "");
    Expect(1, 592, '\P{-	LATIN_Extended_B}', "");
    Expect(0, 592, '\P{^-	LATIN_Extended_B}', "");
    Error('\p{Is_Latin_EXTENDED_B/a/}');
    Error('\P{Is_Latin_EXTENDED_B/a/}');
    Expect(1, 591, '\p{islatinextendedb}', "");
    Expect(0, 591, '\p{^islatinextendedb}', "");
    Expect(0, 591, '\P{islatinextendedb}', "");
    Expect(1, 591, '\P{^islatinextendedb}', "");
    Expect(0, 592, '\p{islatinextendedb}', "");
    Expect(1, 592, '\p{^islatinextendedb}', "");
    Expect(1, 592, '\P{islatinextendedb}', "");
    Expect(0, 592, '\P{^islatinextendedb}', "");
    Expect(1, 591, '\p{_-IS_latin_Extended_B}', "");
    Expect(0, 591, '\p{^_-IS_latin_Extended_B}', "");
    Expect(0, 591, '\P{_-IS_latin_Extended_B}', "");
    Expect(1, 591, '\P{^_-IS_latin_Extended_B}', "");
    Expect(0, 592, '\p{_-IS_latin_Extended_B}', "");
    Expect(1, 592, '\p{^_-IS_latin_Extended_B}', "");
    Expect(1, 592, '\P{_-IS_latin_Extended_B}', "");
    Expect(0, 592, '\P{^_-IS_latin_Extended_B}', "");
    Error('\p{/a/In_Latin_Extended_b}');
    Error('\P{/a/In_Latin_Extended_b}');
    Expect(1, 591, '\p{inlatinextendedb}', "");
    Expect(0, 591, '\p{^inlatinextendedb}', "");
    Expect(0, 591, '\P{inlatinextendedb}', "");
    Expect(1, 591, '\P{^inlatinextendedb}', "");
    Expect(0, 592, '\p{inlatinextendedb}', "");
    Expect(1, 592, '\p{^inlatinextendedb}', "");
    Expect(1, 592, '\P{inlatinextendedb}', "");
    Expect(0, 592, '\P{^inlatinextendedb}', "");
    Expect(1, 591, '\p{-In_Latin_Extended_B}', "");
    Expect(0, 591, '\p{^-In_Latin_Extended_B}', "");
    Expect(0, 591, '\P{-In_Latin_Extended_B}', "");
    Expect(1, 591, '\P{^-In_Latin_Extended_B}', "");
    Expect(0, 592, '\p{-In_Latin_Extended_B}', "");
    Expect(1, 592, '\p{^-In_Latin_Extended_B}', "");
    Expect(1, 592, '\P{-In_Latin_Extended_B}', "");
    Expect(0, 592, '\P{^-In_Latin_Extended_B}', "");
    Error('\p{:=	latin_ext_B}');
    Error('\P{:=	latin_ext_B}');
    Expect(1, 591, '\p{latinextb}', "");
    Expect(0, 591, '\p{^latinextb}', "");
    Expect(0, 591, '\P{latinextb}', "");
    Expect(1, 591, '\P{^latinextb}', "");
    Expect(0, 592, '\p{latinextb}', "");
    Expect(1, 592, '\p{^latinextb}', "");
    Expect(1, 592, '\P{latinextb}', "");
    Expect(0, 592, '\P{^latinextb}', "");
    Expect(1, 591, '\p{ -latin_EXT_b}', "");
    Expect(0, 591, '\p{^ -latin_EXT_b}', "");
    Expect(0, 591, '\P{ -latin_EXT_b}', "");
    Expect(1, 591, '\P{^ -latin_EXT_b}', "");
    Expect(0, 592, '\p{ -latin_EXT_b}', "");
    Expect(1, 592, '\p{^ -latin_EXT_b}', "");
    Expect(1, 592, '\P{ -latin_EXT_b}', "");
    Expect(0, 592, '\P{^ -latin_EXT_b}', "");
    Error('\p{_Is_latin_EXT_B:=}');
    Error('\P{_Is_latin_EXT_B:=}');
    Expect(1, 591, '\p{islatinextb}', "");
    Expect(0, 591, '\p{^islatinextb}', "");
    Expect(0, 591, '\P{islatinextb}', "");
    Expect(1, 591, '\P{^islatinextb}', "");
    Expect(0, 592, '\p{islatinextb}', "");
    Expect(1, 592, '\p{^islatinextb}', "");
    Expect(1, 592, '\P{islatinextb}', "");
    Expect(0, 592, '\P{^islatinextb}', "");
    Expect(1, 591, '\p{	IS_latin_ext_B}', "");
    Expect(0, 591, '\p{^	IS_latin_ext_B}', "");
    Expect(0, 591, '\P{	IS_latin_ext_B}', "");
    Expect(1, 591, '\P{^	IS_latin_ext_B}', "");
    Expect(0, 592, '\p{	IS_latin_ext_B}', "");
    Expect(1, 592, '\p{^	IS_latin_ext_B}', "");
    Expect(1, 592, '\P{	IS_latin_ext_B}', "");
    Expect(0, 592, '\P{^	IS_latin_ext_B}', "");
    Error('\p{/a/	_in_latin_EXT_b}');
    Error('\P{/a/	_in_latin_EXT_b}');
    Expect(1, 591, '\p{inlatinextb}', "");
    Expect(0, 591, '\p{^inlatinextb}', "");
    Expect(0, 591, '\P{inlatinextb}', "");
    Expect(1, 591, '\P{^inlatinextb}', "");
    Expect(0, 592, '\p{inlatinextb}', "");
    Expect(1, 592, '\p{^inlatinextb}', "");
    Expect(1, 592, '\P{inlatinextb}', "");
    Expect(0, 592, '\P{^inlatinextb}', "");
    Expect(1, 591, '\p{	IN_LATIN_EXT_B}', "");
    Expect(0, 591, '\p{^	IN_LATIN_EXT_B}', "");
    Expect(0, 591, '\P{	IN_LATIN_EXT_B}', "");
    Expect(1, 591, '\P{^	IN_LATIN_EXT_B}', "");
    Expect(0, 592, '\p{	IN_LATIN_EXT_B}', "");
    Expect(1, 592, '\p{^	IN_LATIN_EXT_B}', "");
    Expect(1, 592, '\P{	IN_LATIN_EXT_B}', "");
    Expect(0, 592, '\P{^	IN_LATIN_EXT_B}', "");
    Error('\p{LATIN_EXTENDED_C/a/}');
    Error('\P{LATIN_EXTENDED_C/a/}');
    Expect(1, 11391, '\p{latinextendedc}', "");
    Expect(0, 11391, '\p{^latinextendedc}', "");
    Expect(0, 11391, '\P{latinextendedc}', "");
    Expect(1, 11391, '\P{^latinextendedc}', "");
    Expect(0, 11392, '\p{latinextendedc}', "");
    Expect(1, 11392, '\p{^latinextendedc}', "");
    Expect(1, 11392, '\P{latinextendedc}', "");
    Expect(0, 11392, '\P{^latinextendedc}', "");
    Expect(1, 11391, '\p{ Latin_extended_C}', "");
    Expect(0, 11391, '\p{^ Latin_extended_C}', "");
    Expect(0, 11391, '\P{ Latin_extended_C}', "");
    Expect(1, 11391, '\P{^ Latin_extended_C}', "");
    Expect(0, 11392, '\p{ Latin_extended_C}', "");
    Expect(1, 11392, '\p{^ Latin_extended_C}', "");
    Expect(1, 11392, '\P{ Latin_extended_C}', "");
    Expect(0, 11392, '\P{^ Latin_extended_C}', "");
    Error('\p{/a/Is_latin_Extended_c}');
    Error('\P{/a/Is_latin_Extended_c}');
    Expect(1, 11391, '\p{islatinextendedc}', "");
    Expect(0, 11391, '\p{^islatinextendedc}', "");
    Expect(0, 11391, '\P{islatinextendedc}', "");
    Expect(1, 11391, '\P{^islatinextendedc}', "");
    Expect(0, 11392, '\p{islatinextendedc}', "");
    Expect(1, 11392, '\p{^islatinextendedc}', "");
    Expect(1, 11392, '\P{islatinextendedc}', "");
    Expect(0, 11392, '\P{^islatinextendedc}', "");
    Expect(1, 11391, '\p{	is_Latin_EXTENDED_C}', "");
    Expect(0, 11391, '\p{^	is_Latin_EXTENDED_C}', "");
    Expect(0, 11391, '\P{	is_Latin_EXTENDED_C}', "");
    Expect(1, 11391, '\P{^	is_Latin_EXTENDED_C}', "");
    Expect(0, 11392, '\p{	is_Latin_EXTENDED_C}', "");
    Expect(1, 11392, '\p{^	is_Latin_EXTENDED_C}', "");
    Expect(1, 11392, '\P{	is_Latin_EXTENDED_C}', "");
    Expect(0, 11392, '\P{^	is_Latin_EXTENDED_C}', "");
    Error('\p{-:=IN_Latin_extended_c}');
    Error('\P{-:=IN_Latin_extended_c}');
    Expect(1, 11391, '\p{inlatinextendedc}', "");
    Expect(0, 11391, '\p{^inlatinextendedc}', "");
    Expect(0, 11391, '\P{inlatinextendedc}', "");
    Expect(1, 11391, '\P{^inlatinextendedc}', "");
    Expect(0, 11392, '\p{inlatinextendedc}', "");
    Expect(1, 11392, '\p{^inlatinextendedc}', "");
    Expect(1, 11392, '\P{inlatinextendedc}', "");
    Expect(0, 11392, '\P{^inlatinextendedc}', "");
    Expect(1, 11391, '\p{_	IN_Latin_Extended_C}', "");
    Expect(0, 11391, '\p{^_	IN_Latin_Extended_C}', "");
    Expect(0, 11391, '\P{_	IN_Latin_Extended_C}', "");
    Expect(1, 11391, '\P{^_	IN_Latin_Extended_C}', "");
    Expect(0, 11392, '\p{_	IN_Latin_Extended_C}', "");
    Expect(1, 11392, '\p{^_	IN_Latin_Extended_C}', "");
    Expect(1, 11392, '\P{_	IN_Latin_Extended_C}', "");
    Expect(0, 11392, '\P{^_	IN_Latin_Extended_C}', "");
    Error('\p{:=-_Latin_Ext_c}');
    Error('\P{:=-_Latin_Ext_c}');
    Expect(1, 11391, '\p{latinextc}', "");
    Expect(0, 11391, '\p{^latinextc}', "");
    Expect(0, 11391, '\P{latinextc}', "");
    Expect(1, 11391, '\P{^latinextc}', "");
    Expect(0, 11392, '\p{latinextc}', "");
    Expect(1, 11392, '\p{^latinextc}', "");
    Expect(1, 11392, '\P{latinextc}', "");
    Expect(0, 11392, '\P{^latinextc}', "");
    Expect(1, 11391, '\p{_	LATIN_Ext_C}', "");
    Expect(0, 11391, '\p{^_	LATIN_Ext_C}', "");
    Expect(0, 11391, '\P{_	LATIN_Ext_C}', "");
    Expect(1, 11391, '\P{^_	LATIN_Ext_C}', "");
    Expect(0, 11392, '\p{_	LATIN_Ext_C}', "");
    Expect(1, 11392, '\p{^_	LATIN_Ext_C}', "");
    Expect(1, 11392, '\P{_	LATIN_Ext_C}', "");
    Expect(0, 11392, '\P{^_	LATIN_Ext_C}', "");
    Error('\p{:=Is_LATIN_Ext_C}');
    Error('\P{:=Is_LATIN_Ext_C}');
    Expect(1, 11391, '\p{islatinextc}', "");
    Expect(0, 11391, '\p{^islatinextc}', "");
    Expect(0, 11391, '\P{islatinextc}', "");
    Expect(1, 11391, '\P{^islatinextc}', "");
    Expect(0, 11392, '\p{islatinextc}', "");
    Expect(1, 11392, '\p{^islatinextc}', "");
    Expect(1, 11392, '\P{islatinextc}', "");
    Expect(0, 11392, '\P{^islatinextc}', "");
    Expect(1, 11391, '\p{-	is_latin_ext_C}', "");
    Expect(0, 11391, '\p{^-	is_latin_ext_C}', "");
    Expect(0, 11391, '\P{-	is_latin_ext_C}', "");
    Expect(1, 11391, '\P{^-	is_latin_ext_C}', "");
    Expect(0, 11392, '\p{-	is_latin_ext_C}', "");
    Expect(1, 11392, '\p{^-	is_latin_ext_C}', "");
    Expect(1, 11392, '\P{-	is_latin_ext_C}', "");
    Expect(0, 11392, '\P{^-	is_latin_ext_C}', "");
    Error('\p{ :=In_latin_ext_c}');
    Error('\P{ :=In_latin_ext_c}');
    Expect(1, 11391, '\p{inlatinextc}', "");
    Expect(0, 11391, '\p{^inlatinextc}', "");
    Expect(0, 11391, '\P{inlatinextc}', "");
    Expect(1, 11391, '\P{^inlatinextc}', "");
    Expect(0, 11392, '\p{inlatinextc}', "");
    Expect(1, 11392, '\p{^inlatinextc}', "");
    Expect(1, 11392, '\P{inlatinextc}', "");
    Expect(0, 11392, '\P{^inlatinextc}', "");
    Expect(1, 11391, '\p{_-in_Latin_ext_C}', "");
    Expect(0, 11391, '\p{^_-in_Latin_ext_C}', "");
    Expect(0, 11391, '\P{_-in_Latin_ext_C}', "");
    Expect(1, 11391, '\P{^_-in_Latin_ext_C}', "");
    Expect(0, 11392, '\p{_-in_Latin_ext_C}', "");
    Expect(1, 11392, '\p{^_-in_Latin_ext_C}', "");
    Expect(1, 11392, '\P{_-in_Latin_ext_C}', "");
    Expect(0, 11392, '\P{^_-in_Latin_ext_C}', "");
    Error('\p{_:=LATIN_EXTENDED_d}');
    Error('\P{_:=LATIN_EXTENDED_d}');
    Expect(1, 43007, '\p{latinextendedd}', "");
    Expect(0, 43007, '\p{^latinextendedd}', "");
    Expect(0, 43007, '\P{latinextendedd}', "");
    Expect(1, 43007, '\P{^latinextendedd}', "");
    Expect(0, 43008, '\p{latinextendedd}', "");
    Expect(1, 43008, '\p{^latinextendedd}', "");
    Expect(1, 43008, '\P{latinextendedd}', "");
    Expect(0, 43008, '\P{^latinextendedd}', "");
    Expect(1, 43007, '\p{-	latin_Extended_D}', "");
    Expect(0, 43007, '\p{^-	latin_Extended_D}', "");
    Expect(0, 43007, '\P{-	latin_Extended_D}', "");
    Expect(1, 43007, '\P{^-	latin_Extended_D}', "");
    Expect(0, 43008, '\p{-	latin_Extended_D}', "");
    Expect(1, 43008, '\p{^-	latin_Extended_D}', "");
    Expect(1, 43008, '\P{-	latin_Extended_D}', "");
    Expect(0, 43008, '\P{^-	latin_Extended_D}', "");
    Error('\p{/a/is_Latin_Extended_D}');
    Error('\P{/a/is_Latin_Extended_D}');
    Expect(1, 43007, '\p{islatinextendedd}', "");
    Expect(0, 43007, '\p{^islatinextendedd}', "");
    Expect(0, 43007, '\P{islatinextendedd}', "");
    Expect(1, 43007, '\P{^islatinextendedd}', "");
    Expect(0, 43008, '\p{islatinextendedd}', "");
    Expect(1, 43008, '\p{^islatinextendedd}', "");
    Expect(1, 43008, '\P{islatinextendedd}', "");
    Expect(0, 43008, '\P{^islatinextendedd}', "");
    Expect(1, 43007, '\p{-_Is_latin_Extended_D}', "");
    Expect(0, 43007, '\p{^-_Is_latin_Extended_D}', "");
    Expect(0, 43007, '\P{-_Is_latin_Extended_D}', "");
    Expect(1, 43007, '\P{^-_Is_latin_Extended_D}', "");
    Expect(0, 43008, '\p{-_Is_latin_Extended_D}', "");
    Expect(1, 43008, '\p{^-_Is_latin_Extended_D}', "");
    Expect(1, 43008, '\P{-_Is_latin_Extended_D}', "");
    Expect(0, 43008, '\P{^-_Is_latin_Extended_D}', "");
    Error('\p{/a/_ IN_latin_EXTENDED_d}');
    Error('\P{/a/_ IN_latin_EXTENDED_d}');
    Expect(1, 43007, '\p{inlatinextendedd}', "");
    Expect(0, 43007, '\p{^inlatinextendedd}', "");
    Expect(0, 43007, '\P{inlatinextendedd}', "");
    Expect(1, 43007, '\P{^inlatinextendedd}', "");
    Expect(0, 43008, '\p{inlatinextendedd}', "");
    Expect(1, 43008, '\p{^inlatinextendedd}', "");
    Expect(1, 43008, '\P{inlatinextendedd}', "");
    Expect(0, 43008, '\P{^inlatinextendedd}', "");
    Expect(1, 43007, '\p{-In_Latin_EXTENDED_d}', "");
    Expect(0, 43007, '\p{^-In_Latin_EXTENDED_d}', "");
    Expect(0, 43007, '\P{-In_Latin_EXTENDED_d}', "");
    Expect(1, 43007, '\P{^-In_Latin_EXTENDED_d}', "");
    Expect(0, 43008, '\p{-In_Latin_EXTENDED_d}', "");
    Expect(1, 43008, '\p{^-In_Latin_EXTENDED_d}', "");
    Expect(1, 43008, '\P{-In_Latin_EXTENDED_d}', "");
    Expect(0, 43008, '\P{^-In_Latin_EXTENDED_d}', "");
    Error('\p{-Latin_Ext_D:=}');
    Error('\P{-Latin_Ext_D:=}');
    Expect(1, 43007, '\p{latinextd}', "");
    Expect(0, 43007, '\p{^latinextd}', "");
    Expect(0, 43007, '\P{latinextd}', "");
    Expect(1, 43007, '\P{^latinextd}', "");
    Expect(0, 43008, '\p{latinextd}', "");
    Expect(1, 43008, '\p{^latinextd}', "");
    Expect(1, 43008, '\P{latinextd}', "");
    Expect(0, 43008, '\P{^latinextd}', "");
    Expect(1, 43007, '\p{	-latin_ext_D}', "");
    Expect(0, 43007, '\p{^	-latin_ext_D}', "");
    Expect(0, 43007, '\P{	-latin_ext_D}', "");
    Expect(1, 43007, '\P{^	-latin_ext_D}', "");
    Expect(0, 43008, '\p{	-latin_ext_D}', "");
    Expect(1, 43008, '\p{^	-latin_ext_D}', "");
    Expect(1, 43008, '\P{	-latin_ext_D}', "");
    Expect(0, 43008, '\P{^	-latin_ext_D}', "");
    Error('\p{_	IS_Latin_ext_d/a/}');
    Error('\P{_	IS_Latin_ext_d/a/}');
    Expect(1, 43007, '\p{islatinextd}', "");
    Expect(0, 43007, '\p{^islatinextd}', "");
    Expect(0, 43007, '\P{islatinextd}', "");
    Expect(1, 43007, '\P{^islatinextd}', "");
    Expect(0, 43008, '\p{islatinextd}', "");
    Expect(1, 43008, '\p{^islatinextd}', "");
    Expect(1, 43008, '\P{islatinextd}', "");
    Expect(0, 43008, '\P{^islatinextd}', "");
    Expect(1, 43007, '\p{_-IS_Latin_EXT_D}', "");
    Expect(0, 43007, '\p{^_-IS_Latin_EXT_D}', "");
    Expect(0, 43007, '\P{_-IS_Latin_EXT_D}', "");
    Expect(1, 43007, '\P{^_-IS_Latin_EXT_D}', "");
    Expect(0, 43008, '\p{_-IS_Latin_EXT_D}', "");
    Expect(1, 43008, '\p{^_-IS_Latin_EXT_D}', "");
    Expect(1, 43008, '\P{_-IS_Latin_EXT_D}', "");
    Expect(0, 43008, '\P{^_-IS_Latin_EXT_D}', "");
    Error('\p{:=__In_LATIN_ext_D}');
    Error('\P{:=__In_LATIN_ext_D}');
    Expect(1, 43007, '\p{inlatinextd}', "");
    Expect(0, 43007, '\p{^inlatinextd}', "");
    Expect(0, 43007, '\P{inlatinextd}', "");
    Expect(1, 43007, '\P{^inlatinextd}', "");
    Expect(0, 43008, '\p{inlatinextd}', "");
    Expect(1, 43008, '\p{^inlatinextd}', "");
    Expect(1, 43008, '\P{inlatinextd}', "");
    Expect(0, 43008, '\P{^inlatinextd}', "");
    Expect(1, 43007, '\p{	_In_Latin_ext_d}', "");
    Expect(0, 43007, '\p{^	_In_Latin_ext_d}', "");
    Expect(0, 43007, '\P{	_In_Latin_ext_d}', "");
    Expect(1, 43007, '\P{^	_In_Latin_ext_d}', "");
    Expect(0, 43008, '\p{	_In_Latin_ext_d}', "");
    Expect(1, 43008, '\p{^	_In_Latin_ext_d}', "");
    Expect(1, 43008, '\P{	_In_Latin_ext_d}', "");
    Expect(0, 43008, '\P{^	_In_Latin_ext_d}', "");
    Error('\p{ 	Latin_Extended_E/a/}');
    Error('\P{ 	Latin_Extended_E/a/}');
    Expect(1, 43887, '\p{latinextendede}', "");
    Expect(0, 43887, '\p{^latinextendede}', "");
    Expect(0, 43887, '\P{latinextendede}', "");
    Expect(1, 43887, '\P{^latinextendede}', "");
    Expect(0, 43888, '\p{latinextendede}', "");
    Expect(1, 43888, '\p{^latinextendede}', "");
    Expect(1, 43888, '\P{latinextendede}', "");
    Expect(0, 43888, '\P{^latinextendede}', "");
    Expect(1, 43887, '\p{ -Latin_extended_e}', "");
    Expect(0, 43887, '\p{^ -Latin_extended_e}', "");
    Expect(0, 43887, '\P{ -Latin_extended_e}', "");
    Expect(1, 43887, '\P{^ -Latin_extended_e}', "");
    Expect(0, 43888, '\p{ -Latin_extended_e}', "");
    Expect(1, 43888, '\p{^ -Latin_extended_e}', "");
    Expect(1, 43888, '\P{ -Latin_extended_e}', "");
    Expect(0, 43888, '\P{^ -Latin_extended_e}', "");
    Error('\p{:=Is_Latin_extended_E}');
    Error('\P{:=Is_Latin_extended_E}');
    Expect(1, 43887, '\p{islatinextendede}', "");
    Expect(0, 43887, '\p{^islatinextendede}', "");
    Expect(0, 43887, '\P{islatinextendede}', "");
    Expect(1, 43887, '\P{^islatinextendede}', "");
    Expect(0, 43888, '\p{islatinextendede}', "");
    Expect(1, 43888, '\p{^islatinextendede}', "");
    Expect(1, 43888, '\P{islatinextendede}', "");
    Expect(0, 43888, '\P{^islatinextendede}', "");
    Expect(1, 43887, '\p{ -Is_Latin_Extended_E}', "");
    Expect(0, 43887, '\p{^ -Is_Latin_Extended_E}', "");
    Expect(0, 43887, '\P{ -Is_Latin_Extended_E}', "");
    Expect(1, 43887, '\P{^ -Is_Latin_Extended_E}', "");
    Expect(0, 43888, '\p{ -Is_Latin_Extended_E}', "");
    Expect(1, 43888, '\p{^ -Is_Latin_Extended_E}', "");
    Expect(1, 43888, '\P{ -Is_Latin_Extended_E}', "");
    Expect(0, 43888, '\P{^ -Is_Latin_Extended_E}', "");
    Error('\p{- IN_LATIN_extended_e/a/}');
    Error('\P{- IN_LATIN_extended_e/a/}');
    Expect(1, 43887, '\p{inlatinextendede}', "");
    Expect(0, 43887, '\p{^inlatinextendede}', "");
    Expect(0, 43887, '\P{inlatinextendede}', "");
    Expect(1, 43887, '\P{^inlatinextendede}', "");
    Expect(0, 43888, '\p{inlatinextendede}', "");
    Expect(1, 43888, '\p{^inlatinextendede}', "");
    Expect(1, 43888, '\P{inlatinextendede}', "");
    Expect(0, 43888, '\P{^inlatinextendede}', "");
    Expect(1, 43887, '\p{_In_Latin_extended_E}', "");
    Expect(0, 43887, '\p{^_In_Latin_extended_E}', "");
    Expect(0, 43887, '\P{_In_Latin_extended_E}', "");
    Expect(1, 43887, '\P{^_In_Latin_extended_E}', "");
    Expect(0, 43888, '\p{_In_Latin_extended_E}', "");
    Expect(1, 43888, '\p{^_In_Latin_extended_E}', "");
    Expect(1, 43888, '\P{_In_Latin_extended_E}', "");
    Expect(0, 43888, '\P{^_In_Latin_extended_E}', "");
    Error('\p{-/a/Latin_Ext_E}');
    Error('\P{-/a/Latin_Ext_E}');
    Expect(1, 43887, '\p{latinexte}', "");
    Expect(0, 43887, '\p{^latinexte}', "");
    Expect(0, 43887, '\P{latinexte}', "");
    Expect(1, 43887, '\P{^latinexte}', "");
    Expect(0, 43888, '\p{latinexte}', "");
    Expect(1, 43888, '\p{^latinexte}', "");
    Expect(1, 43888, '\P{latinexte}', "");
    Expect(0, 43888, '\P{^latinexte}', "");
    Expect(1, 43887, '\p{__Latin_ext_E}', "");
    Expect(0, 43887, '\p{^__Latin_ext_E}', "");
    Expect(0, 43887, '\P{__Latin_ext_E}', "");
    Expect(1, 43887, '\P{^__Latin_ext_E}', "");
    Expect(0, 43888, '\p{__Latin_ext_E}', "");
    Expect(1, 43888, '\p{^__Latin_ext_E}', "");
    Expect(1, 43888, '\P{__Latin_ext_E}', "");
    Expect(0, 43888, '\P{^__Latin_ext_E}', "");
    Error('\p{	IS_latin_EXT_E/a/}');
    Error('\P{	IS_latin_EXT_E/a/}');
    Expect(1, 43887, '\p{islatinexte}', "");
    Expect(0, 43887, '\p{^islatinexte}', "");
    Expect(0, 43887, '\P{islatinexte}', "");
    Expect(1, 43887, '\P{^islatinexte}', "");
    Expect(0, 43888, '\p{islatinexte}', "");
    Expect(1, 43888, '\p{^islatinexte}', "");
    Expect(1, 43888, '\P{islatinexte}', "");
    Expect(0, 43888, '\P{^islatinexte}', "");
    Expect(1, 43887, '\p{--Is_Latin_Ext_E}', "");
    Expect(0, 43887, '\p{^--Is_Latin_Ext_E}', "");
    Expect(0, 43887, '\P{--Is_Latin_Ext_E}', "");
    Expect(1, 43887, '\P{^--Is_Latin_Ext_E}', "");
    Expect(0, 43888, '\p{--Is_Latin_Ext_E}', "");
    Expect(1, 43888, '\p{^--Is_Latin_Ext_E}', "");
    Expect(1, 43888, '\P{--Is_Latin_Ext_E}', "");
    Expect(0, 43888, '\P{^--Is_Latin_Ext_E}', "");
    Error('\p{:=-_In_Latin_Ext_E}');
    Error('\P{:=-_In_Latin_Ext_E}');
    Expect(1, 43887, '\p{inlatinexte}', "");
    Expect(0, 43887, '\p{^inlatinexte}', "");
    Expect(0, 43887, '\P{inlatinexte}', "");
    Expect(1, 43887, '\P{^inlatinexte}', "");
    Expect(0, 43888, '\p{inlatinexte}', "");
    Expect(1, 43888, '\p{^inlatinexte}', "");
    Expect(1, 43888, '\P{inlatinexte}', "");
    Expect(0, 43888, '\P{^inlatinexte}', "");
    Expect(1, 43887, '\p{--In_Latin_Ext_e}', "");
    Expect(0, 43887, '\p{^--In_Latin_Ext_e}', "");
    Expect(0, 43887, '\P{--In_Latin_Ext_e}', "");
    Expect(1, 43887, '\P{^--In_Latin_Ext_e}', "");
    Expect(0, 43888, '\p{--In_Latin_Ext_e}', "");
    Expect(1, 43888, '\p{^--In_Latin_Ext_e}', "");
    Expect(1, 43888, '\P{--In_Latin_Ext_e}', "");
    Expect(0, 43888, '\P{^--In_Latin_Ext_e}', "");
    Error('\p{-:=LATIN_EXTENDED_F}');
    Error('\P{-:=LATIN_EXTENDED_F}');
    Expect(1, 67519, '\p{latinextendedf}', "");
    Expect(0, 67519, '\p{^latinextendedf}', "");
    Expect(0, 67519, '\P{latinextendedf}', "");
    Expect(1, 67519, '\P{^latinextendedf}', "");
    Expect(0, 67520, '\p{latinextendedf}', "");
    Expect(1, 67520, '\p{^latinextendedf}', "");
    Expect(1, 67520, '\P{latinextendedf}', "");
    Expect(0, 67520, '\P{^latinextendedf}', "");
    Expect(1, 67519, '\p{ Latin_extended_F}', "");
    Expect(0, 67519, '\p{^ Latin_extended_F}', "");
    Expect(0, 67519, '\P{ Latin_extended_F}', "");
    Expect(1, 67519, '\P{^ Latin_extended_F}', "");
    Expect(0, 67520, '\p{ Latin_extended_F}', "");
    Expect(1, 67520, '\p{^ Latin_extended_F}', "");
    Expect(1, 67520, '\P{ Latin_extended_F}', "");
    Expect(0, 67520, '\P{^ Latin_extended_F}', "");
    Error('\p{/a/	_Is_LATIN_EXTENDED_F}');
    Error('\P{/a/	_Is_LATIN_EXTENDED_F}');
    Expect(1, 67519, '\p{islatinextendedf}', "");
    Expect(0, 67519, '\p{^islatinextendedf}', "");
    Expect(0, 67519, '\P{islatinextendedf}', "");
    Expect(1, 67519, '\P{^islatinextendedf}', "");
    Expect(0, 67520, '\p{islatinextendedf}', "");
    Expect(1, 67520, '\p{^islatinextendedf}', "");
    Expect(1, 67520, '\P{islatinextendedf}', "");
    Expect(0, 67520, '\P{^islatinextendedf}', "");
    Expect(1, 67519, '\p{	Is_Latin_extended_F}', "");
    Expect(0, 67519, '\p{^	Is_Latin_extended_F}', "");
    Expect(0, 67519, '\P{	Is_Latin_extended_F}', "");
    Expect(1, 67519, '\P{^	Is_Latin_extended_F}', "");
    Expect(0, 67520, '\p{	Is_Latin_extended_F}', "");
    Expect(1, 67520, '\p{^	Is_Latin_extended_F}', "");
    Expect(1, 67520, '\P{	Is_Latin_extended_F}', "");
    Expect(0, 67520, '\P{^	Is_Latin_extended_F}', "");
    Error('\p{		In_latin_Extended_F:=}');
    Error('\P{		In_latin_Extended_F:=}');
    Expect(1, 67519, '\p{inlatinextendedf}', "");
    Expect(0, 67519, '\p{^inlatinextendedf}', "");
    Expect(0, 67519, '\P{inlatinextendedf}', "");
    Expect(1, 67519, '\P{^inlatinextendedf}', "");
    Expect(0, 67520, '\p{inlatinextendedf}', "");
    Expect(1, 67520, '\p{^inlatinextendedf}', "");
    Expect(1, 67520, '\P{inlatinextendedf}', "");
    Expect(0, 67520, '\P{^inlatinextendedf}', "");
    Expect(1, 67519, '\p{-IN_latin_EXTENDED_f}', "");
    Expect(0, 67519, '\p{^-IN_latin_EXTENDED_f}', "");
    Expect(0, 67519, '\P{-IN_latin_EXTENDED_f}', "");
    Expect(1, 67519, '\P{^-IN_latin_EXTENDED_f}', "");
    Expect(0, 67520, '\p{-IN_latin_EXTENDED_f}', "");
    Expect(1, 67520, '\p{^-IN_latin_EXTENDED_f}', "");
    Expect(1, 67520, '\P{-IN_latin_EXTENDED_f}', "");
    Expect(0, 67520, '\P{^-IN_latin_EXTENDED_f}', "");
    Error('\p{:= _LATIN_EXT_F}');
    Error('\P{:= _LATIN_EXT_F}');
    Expect(1, 67519, '\p{latinextf}', "");
    Expect(0, 67519, '\p{^latinextf}', "");
    Expect(0, 67519, '\P{latinextf}', "");
    Expect(1, 67519, '\P{^latinextf}', "");
    Expect(0, 67520, '\p{latinextf}', "");
    Expect(1, 67520, '\p{^latinextf}', "");
    Expect(1, 67520, '\P{latinextf}', "");
    Expect(0, 67520, '\P{^latinextf}', "");
    Expect(1, 67519, '\p{ -LATIN_Ext_F}', "");
    Expect(0, 67519, '\p{^ -LATIN_Ext_F}', "");
    Expect(0, 67519, '\P{ -LATIN_Ext_F}', "");
    Expect(1, 67519, '\P{^ -LATIN_Ext_F}', "");
    Expect(0, 67520, '\p{ -LATIN_Ext_F}', "");
    Expect(1, 67520, '\p{^ -LATIN_Ext_F}', "");
    Expect(1, 67520, '\P{ -LATIN_Ext_F}', "");
    Expect(0, 67520, '\P{^ -LATIN_Ext_F}', "");
    Error('\p{:=--Is_Latin_ext_F}');
    Error('\P{:=--Is_Latin_ext_F}');
    Expect(1, 67519, '\p{islatinextf}', "");
    Expect(0, 67519, '\p{^islatinextf}', "");
    Expect(0, 67519, '\P{islatinextf}', "");
    Expect(1, 67519, '\P{^islatinextf}', "");
    Expect(0, 67520, '\p{islatinextf}', "");
    Expect(1, 67520, '\p{^islatinextf}', "");
    Expect(1, 67520, '\P{islatinextf}', "");
    Expect(0, 67520, '\P{^islatinextf}', "");
    Expect(1, 67519, '\p{	Is_latin_EXT_F}', "");
    Expect(0, 67519, '\p{^	Is_latin_EXT_F}', "");
    Expect(0, 67519, '\P{	Is_latin_EXT_F}', "");
    Expect(1, 67519, '\P{^	Is_latin_EXT_F}', "");
    Expect(0, 67520, '\p{	Is_latin_EXT_F}', "");
    Expect(1, 67520, '\p{^	Is_latin_EXT_F}', "");
    Expect(1, 67520, '\P{	Is_latin_EXT_F}', "");
    Expect(0, 67520, '\P{^	Is_latin_EXT_F}', "");
    Error('\p{	_In_LATIN_EXT_F/a/}');
    Error('\P{	_In_LATIN_EXT_F/a/}');
    Expect(1, 67519, '\p{inlatinextf}', "");
    Expect(0, 67519, '\p{^inlatinextf}', "");
    Expect(0, 67519, '\P{inlatinextf}', "");
    Expect(1, 67519, '\P{^inlatinextf}', "");
    Expect(0, 67520, '\p{inlatinextf}', "");
    Expect(1, 67520, '\p{^inlatinextf}', "");
    Expect(1, 67520, '\P{inlatinextf}', "");
    Expect(0, 67520, '\P{^inlatinextf}', "");
    Expect(1, 67519, '\p{ _In_LATIN_EXT_F}', "");
    Expect(0, 67519, '\p{^ _In_LATIN_EXT_F}', "");
    Expect(0, 67519, '\P{ _In_LATIN_EXT_F}', "");
    Expect(1, 67519, '\P{^ _In_LATIN_EXT_F}', "");
    Expect(0, 67520, '\p{ _In_LATIN_EXT_F}', "");
    Expect(1, 67520, '\p{^ _In_LATIN_EXT_F}', "");
    Expect(1, 67520, '\P{ _In_LATIN_EXT_F}', "");
    Expect(0, 67520, '\P{^ _In_LATIN_EXT_F}', "");
    Error('\p{-/a/LATIN_extended_G}');
    Error('\P{-/a/LATIN_extended_G}');
    Expect(1, 122879, '\p{latinextendedg}', "");
    Expect(0, 122879, '\p{^latinextendedg}', "");
    Expect(0, 122879, '\P{latinextendedg}', "");
    Expect(1, 122879, '\P{^latinextendedg}', "");
    Expect(0, 122880, '\p{latinextendedg}', "");
    Expect(1, 122880, '\p{^latinextendedg}', "");
    Expect(1, 122880, '\P{latinextendedg}', "");
    Expect(0, 122880, '\P{^latinextendedg}', "");
    Expect(1, 122879, '\p{_LATIN_Extended_G}', "");
    Expect(0, 122879, '\p{^_LATIN_Extended_G}', "");
    Expect(0, 122879, '\P{_LATIN_Extended_G}', "");
    Expect(1, 122879, '\P{^_LATIN_Extended_G}', "");
    Expect(0, 122880, '\p{_LATIN_Extended_G}', "");
    Expect(1, 122880, '\p{^_LATIN_Extended_G}', "");
    Expect(1, 122880, '\P{_LATIN_Extended_G}', "");
    Expect(0, 122880, '\P{^_LATIN_Extended_G}', "");
    Error('\p{/a/-Is_LATIN_extended_G}');
    Error('\P{/a/-Is_LATIN_extended_G}');
    Expect(1, 122879, '\p{islatinextendedg}', "");
    Expect(0, 122879, '\p{^islatinextendedg}', "");
    Expect(0, 122879, '\P{islatinextendedg}', "");
    Expect(1, 122879, '\P{^islatinextendedg}', "");
    Expect(0, 122880, '\p{islatinextendedg}', "");
    Expect(1, 122880, '\p{^islatinextendedg}', "");
    Expect(1, 122880, '\P{islatinextendedg}', "");
    Expect(0, 122880, '\P{^islatinextendedg}', "");
    Expect(1, 122879, '\p{ -Is_latin_Extended_g}', "");
    Expect(0, 122879, '\p{^ -Is_latin_Extended_g}', "");
    Expect(0, 122879, '\P{ -Is_latin_Extended_g}', "");
    Expect(1, 122879, '\P{^ -Is_latin_Extended_g}', "");
    Expect(0, 122880, '\p{ -Is_latin_Extended_g}', "");
    Expect(1, 122880, '\p{^ -Is_latin_Extended_g}', "");
    Expect(1, 122880, '\P{ -Is_latin_Extended_g}', "");
    Expect(0, 122880, '\P{^ -Is_latin_Extended_g}', "");
    Error('\p{:=	In_Latin_Extended_G}');
    Error('\P{:=	In_Latin_Extended_G}');
    Expect(1, 122879, '\p{inlatinextendedg}', "");
    Expect(0, 122879, '\p{^inlatinextendedg}', "");
    Expect(0, 122879, '\P{inlatinextendedg}', "");
    Expect(1, 122879, '\P{^inlatinextendedg}', "");
    Expect(0, 122880, '\p{inlatinextendedg}', "");
    Expect(1, 122880, '\p{^inlatinextendedg}', "");
    Expect(1, 122880, '\P{inlatinextendedg}', "");
    Expect(0, 122880, '\P{^inlatinextendedg}', "");
    Expect(1, 122879, '\p{	 IN_LATIN_Extended_G}', "");
    Expect(0, 122879, '\p{^	 IN_LATIN_Extended_G}', "");
    Expect(0, 122879, '\P{	 IN_LATIN_Extended_G}', "");
    Expect(1, 122879, '\P{^	 IN_LATIN_Extended_G}', "");
    Expect(0, 122880, '\p{	 IN_LATIN_Extended_G}', "");
    Expect(1, 122880, '\p{^	 IN_LATIN_Extended_G}', "");
    Expect(1, 122880, '\P{	 IN_LATIN_Extended_G}', "");
    Expect(0, 122880, '\P{^	 IN_LATIN_Extended_G}', "");
    Error('\p{_ LATIN_Ext_g:=}');
    Error('\P{_ LATIN_Ext_g:=}');
    Expect(1, 122879, '\p{latinextg}', "");
    Expect(0, 122879, '\p{^latinextg}', "");
    Expect(0, 122879, '\P{latinextg}', "");
    Expect(1, 122879, '\P{^latinextg}', "");
    Expect(0, 122880, '\p{latinextg}', "");
    Expect(1, 122880, '\p{^latinextg}', "");
    Expect(1, 122880, '\P{latinextg}', "");
    Expect(0, 122880, '\P{^latinextg}', "");
    Expect(1, 122879, '\p{--Latin_ext_g}', "");
    Expect(0, 122879, '\p{^--Latin_ext_g}', "");
    Expect(0, 122879, '\P{--Latin_ext_g}', "");
    Expect(1, 122879, '\P{^--Latin_ext_g}', "");
    Expect(0, 122880, '\p{--Latin_ext_g}', "");
    Expect(1, 122880, '\p{^--Latin_ext_g}', "");
    Expect(1, 122880, '\P{--Latin_ext_g}', "");
    Expect(0, 122880, '\P{^--Latin_ext_g}', "");
    Error('\p{--is_Latin_EXT_g:=}');
    Error('\P{--is_Latin_EXT_g:=}');
    Expect(1, 122879, '\p{islatinextg}', "");
    Expect(0, 122879, '\p{^islatinextg}', "");
    Expect(0, 122879, '\P{islatinextg}', "");
    Expect(1, 122879, '\P{^islatinextg}', "");
    Expect(0, 122880, '\p{islatinextg}', "");
    Expect(1, 122880, '\p{^islatinextg}', "");
    Expect(1, 122880, '\P{islatinextg}', "");
    Expect(0, 122880, '\P{^islatinextg}', "");
    Expect(1, 122879, '\p{- Is_Latin_ext_G}', "");
    Expect(0, 122879, '\p{^- Is_Latin_ext_G}', "");
    Expect(0, 122879, '\P{- Is_Latin_ext_G}', "");
    Expect(1, 122879, '\P{^- Is_Latin_ext_G}', "");
    Expect(0, 122880, '\p{- Is_Latin_ext_G}', "");
    Expect(1, 122880, '\p{^- Is_Latin_ext_G}', "");
    Expect(1, 122880, '\P{- Is_Latin_ext_G}', "");
    Expect(0, 122880, '\P{^- Is_Latin_ext_G}', "");
    Error('\p{:= In_Latin_Ext_g}');
    Error('\P{:= In_Latin_Ext_g}');
    Expect(1, 122879, '\p{inlatinextg}', "");
    Expect(0, 122879, '\p{^inlatinextg}', "");
    Expect(0, 122879, '\P{inlatinextg}', "");
    Expect(1, 122879, '\P{^inlatinextg}', "");
    Expect(0, 122880, '\p{inlatinextg}', "");
    Expect(1, 122880, '\p{^inlatinextg}', "");
    Expect(1, 122880, '\P{inlatinextg}', "");
    Expect(0, 122880, '\P{^inlatinextg}', "");
    Expect(1, 122879, '\p{ 	In_Latin_EXT_G}', "");
    Expect(0, 122879, '\p{^ 	In_Latin_EXT_G}', "");
    Expect(0, 122879, '\P{ 	In_Latin_EXT_G}', "");
    Expect(1, 122879, '\P{^ 	In_Latin_EXT_G}', "");
    Expect(0, 122880, '\p{ 	In_Latin_EXT_G}', "");
    Expect(1, 122880, '\p{^ 	In_Latin_EXT_G}', "");
    Expect(1, 122880, '\P{ 	In_Latin_EXT_G}', "");
    Expect(0, 122880, '\P{^ 	In_Latin_EXT_G}', "");
    Error('\p{ 	lepcha/a/}');
    Error('\P{ 	lepcha/a/}');
    Expect(1, 7247, '\p{lepcha}', "");
    Expect(0, 7247, '\p{^lepcha}', "");
    Expect(0, 7247, '\P{lepcha}', "");
    Expect(1, 7247, '\P{^lepcha}', "");
    Expect(0, 7248, '\p{lepcha}', "");
    Expect(1, 7248, '\p{^lepcha}', "");
    Expect(1, 7248, '\P{lepcha}', "");
    Expect(0, 7248, '\P{^lepcha}', "");
    Expect(1, 7247, '\p{ 	lepcha}', "");
    Expect(0, 7247, '\p{^ 	lepcha}', "");
    Expect(0, 7247, '\P{ 	lepcha}', "");
    Expect(1, 7247, '\P{^ 	lepcha}', "");
    Expect(0, 7248, '\p{ 	lepcha}', "");
    Expect(1, 7248, '\p{^ 	lepcha}', "");
    Expect(1, 7248, '\P{ 	lepcha}', "");
    Expect(0, 7248, '\P{^ 	lepcha}', "");
    Error('\p{-:=Is_LEPCHA}');
    Error('\P{-:=Is_LEPCHA}');
    Expect(1, 7247, '\p{islepcha}', "");
    Expect(0, 7247, '\p{^islepcha}', "");
    Expect(0, 7247, '\P{islepcha}', "");
    Expect(1, 7247, '\P{^islepcha}', "");
    Expect(0, 7248, '\p{islepcha}', "");
    Expect(1, 7248, '\p{^islepcha}', "");
    Expect(1, 7248, '\P{islepcha}', "");
    Expect(0, 7248, '\P{^islepcha}', "");
    Expect(1, 7247, '\p{	_Is_LEPCHA}', "");
    Expect(0, 7247, '\p{^	_Is_LEPCHA}', "");
    Expect(0, 7247, '\P{	_Is_LEPCHA}', "");
    Expect(1, 7247, '\P{^	_Is_LEPCHA}', "");
    Expect(0, 7248, '\p{	_Is_LEPCHA}', "");
    Expect(1, 7248, '\p{^	_Is_LEPCHA}', "");
    Expect(1, 7248, '\P{	_Is_LEPCHA}', "");
    Expect(0, 7248, '\P{^	_Is_LEPCHA}', "");
    Error('\p{/a/Lepc}');
    Error('\P{/a/Lepc}');
    Expect(1, 7247, '\p{lepc}', "");
    Expect(0, 7247, '\p{^lepc}', "");
    Expect(0, 7247, '\P{lepc}', "");
    Expect(1, 7247, '\P{^lepc}', "");
    Expect(0, 7248, '\p{lepc}', "");
    Expect(1, 7248, '\p{^lepc}', "");
    Expect(1, 7248, '\P{lepc}', "");
    Expect(0, 7248, '\P{^lepc}', "");
    Expect(1, 7247, '\p{ lepc}', "");
    Expect(0, 7247, '\p{^ lepc}', "");
    Expect(0, 7247, '\P{ lepc}', "");
    Expect(1, 7247, '\P{^ lepc}', "");
    Expect(0, 7248, '\p{ lepc}', "");
    Expect(1, 7248, '\p{^ lepc}', "");
    Expect(1, 7248, '\P{ lepc}', "");
    Expect(0, 7248, '\P{^ lepc}', "");
    Error('\p{-	Is_LEPC:=}');
    Error('\P{-	Is_LEPC:=}');
    Expect(1, 7247, '\p{islepc}', "");
    Expect(0, 7247, '\p{^islepc}', "");
    Expect(0, 7247, '\P{islepc}', "");
    Expect(1, 7247, '\P{^islepc}', "");
    Expect(0, 7248, '\p{islepc}', "");
    Expect(1, 7248, '\p{^islepc}', "");
    Expect(1, 7248, '\P{islepc}', "");
    Expect(0, 7248, '\P{^islepc}', "");
    Expect(1, 7247, '\p{ is_lepc}', "");
    Expect(0, 7247, '\p{^ is_lepc}', "");
    Expect(0, 7247, '\P{ is_lepc}', "");
    Expect(1, 7247, '\P{^ is_lepc}', "");
    Expect(0, 7248, '\p{ is_lepc}', "");
    Expect(1, 7248, '\p{^ is_lepc}', "");
    Expect(1, 7248, '\P{ is_lepc}', "");
    Expect(0, 7248, '\P{^ is_lepc}', "");
    Error('\p{ /a/LETTER}');
    Error('\P{ /a/LETTER}');
    Expect(1, 201546, '\p{letter}', "");
    Expect(0, 201546, '\p{^letter}', "");
    Expect(0, 201546, '\P{letter}', "");
    Expect(1, 201546, '\P{^letter}', "");
    Expect(0, 201547, '\p{letter}', "");
    Expect(1, 201547, '\p{^letter}', "");
    Expect(1, 201547, '\P{letter}', "");
    Expect(0, 201547, '\P{^letter}', "");
    Expect(1, 201546, '\p{_	Letter}', "");
    Expect(0, 201546, '\p{^_	Letter}', "");
    Expect(0, 201546, '\P{_	Letter}', "");
    Expect(1, 201546, '\P{^_	Letter}', "");
    Expect(0, 201547, '\p{_	Letter}', "");
    Expect(1, 201547, '\p{^_	Letter}', "");
    Expect(1, 201547, '\P{_	Letter}', "");
    Expect(0, 201547, '\P{^_	Letter}', "");
    Error('\p{:=	is_letter}');
    Error('\P{:=	is_letter}');
    Expect(1, 201546, '\p{isletter}', "");
    Expect(0, 201546, '\p{^isletter}', "");
    Expect(0, 201546, '\P{isletter}', "");
    Expect(1, 201546, '\P{^isletter}', "");
    Expect(0, 201547, '\p{isletter}', "");
    Expect(1, 201547, '\p{^isletter}', "");
    Expect(1, 201547, '\P{isletter}', "");
    Expect(0, 201547, '\P{^isletter}', "");
    Expect(1, 201546, '\p{-_is_LETTER}', "");
    Expect(0, 201546, '\p{^-_is_LETTER}', "");
    Expect(0, 201546, '\P{-_is_LETTER}', "");
    Expect(1, 201546, '\P{^-_is_LETTER}', "");
    Expect(0, 201547, '\p{-_is_LETTER}', "");
    Expect(1, 201547, '\p{^-_is_LETTER}', "");
    Expect(1, 201547, '\P{-_is_LETTER}', "");
    Expect(0, 201547, '\P{^-_is_LETTER}', "");
    Error('\p{:=l}');
    Error('\P{:=l}');
    Expect(1, 201546, '\p{l}', "");
    Expect(0, 201546, '\p{^l}', "");
    Expect(0, 201546, '\P{l}', "");
    Expect(1, 201546, '\P{^l}', "");
    Expect(0, 201547, '\p{l}', "");
    Expect(1, 201547, '\p{^l}', "");
    Expect(1, 201547, '\P{l}', "");
    Expect(0, 201547, '\P{^l}', "");
    Expect(1, 201546, '\p{ 	L}', "");
    Expect(0, 201546, '\p{^ 	L}', "");
    Expect(0, 201546, '\P{ 	L}', "");
    Expect(1, 201546, '\P{^ 	L}', "");
    Expect(0, 201547, '\p{ 	L}', "");
    Expect(1, 201547, '\p{^ 	L}', "");
    Expect(1, 201547, '\P{ 	L}', "");
    Expect(0, 201547, '\P{^ 	L}', "");
    Error('\p{		IS_L:=}');
    Error('\P{		IS_L:=}');
    Expect(1, 201546, '\p{isl}', "");
    Expect(0, 201546, '\p{^isl}', "");
    Expect(0, 201546, '\P{isl}', "");
    Expect(1, 201546, '\P{^isl}', "");
    Expect(0, 201547, '\p{isl}', "");
    Expect(1, 201547, '\p{^isl}', "");
    Expect(1, 201547, '\P{isl}', "");
    Expect(0, 201547, '\P{^isl}', "");
    Expect(1, 201546, '\p{is_l}', "");
    Expect(0, 201546, '\p{^is_l}', "");
    Expect(0, 201546, '\P{is_l}', "");
    Expect(1, 201546, '\P{^is_l}', "");
    Expect(0, 201547, '\p{is_l}', "");
    Expect(1, 201547, '\p{^is_l}', "");
    Expect(1, 201547, '\P{is_l}', "");
    Expect(0, 201547, '\P{^is_l}', "");
    Error('\p{:=_-Letter_Number}');
    Error('\P{:=_-Letter_Number}');
    Expect(1, 74862, '\p{letternumber}', "");
    Expect(0, 74862, '\p{^letternumber}', "");
    Expect(0, 74862, '\P{letternumber}', "");
    Expect(1, 74862, '\P{^letternumber}', "");
    Expect(0, 74863, '\p{letternumber}', "");
    Expect(1, 74863, '\p{^letternumber}', "");
    Expect(1, 74863, '\P{letternumber}', "");
    Expect(0, 74863, '\P{^letternumber}', "");
    Expect(1, 74862, '\p{ _Letter_number}', "");
    Expect(0, 74862, '\p{^ _Letter_number}', "");
    Expect(0, 74862, '\P{ _Letter_number}', "");
    Expect(1, 74862, '\P{^ _Letter_number}', "");
    Expect(0, 74863, '\p{ _Letter_number}', "");
    Expect(1, 74863, '\p{^ _Letter_number}', "");
    Expect(1, 74863, '\P{ _Letter_number}', "");
    Expect(0, 74863, '\P{^ _Letter_number}', "");
    Error('\p{	-Is_LETTER_Number:=}');
    Error('\P{	-Is_LETTER_Number:=}');
    Expect(1, 74862, '\p{isletternumber}', "");
    Expect(0, 74862, '\p{^isletternumber}', "");
    Expect(0, 74862, '\P{isletternumber}', "");
    Expect(1, 74862, '\P{^isletternumber}', "");
    Expect(0, 74863, '\p{isletternumber}', "");
    Expect(1, 74863, '\p{^isletternumber}', "");
    Expect(1, 74863, '\P{isletternumber}', "");
    Expect(0, 74863, '\P{^isletternumber}', "");
    Expect(1, 74862, '\p{-Is_Letter_number}', "");
    Expect(0, 74862, '\p{^-Is_Letter_number}', "");
    Expect(0, 74862, '\P{-Is_Letter_number}', "");
    Expect(1, 74862, '\P{^-Is_Letter_number}', "");
    Expect(0, 74863, '\p{-Is_Letter_number}', "");
    Expect(1, 74863, '\p{^-Is_Letter_number}', "");
    Expect(1, 74863, '\P{-Is_Letter_number}', "");
    Expect(0, 74863, '\P{^-Is_Letter_number}', "");
    Error('\p{	/a/nl}');
    Error('\P{	/a/nl}');
    Expect(1, 74862, '\p{nl}', "");
    Expect(0, 74862, '\p{^nl}', "");
    Expect(0, 74862, '\P{nl}', "");
    Expect(1, 74862, '\P{^nl}', "");
    Expect(0, 74863, '\p{nl}', "");
    Expect(1, 74863, '\p{^nl}', "");
    Expect(1, 74863, '\P{nl}', "");
    Expect(0, 74863, '\P{^nl}', "");
    Expect(1, 74862, '\p{-_Nl}', "");
    Expect(0, 74862, '\p{^-_Nl}', "");
    Expect(0, 74862, '\P{-_Nl}', "");
    Expect(1, 74862, '\P{^-_Nl}', "");
    Expect(0, 74863, '\p{-_Nl}', "");
    Expect(1, 74863, '\p{^-_Nl}', "");
    Expect(1, 74863, '\P{-_Nl}', "");
    Expect(0, 74863, '\P{^-_Nl}', "");
    Error('\p{:=  IS_NL}');
    Error('\P{:=  IS_NL}');
    Expect(1, 74862, '\p{isnl}', "");
    Expect(0, 74862, '\p{^isnl}', "");
    Expect(0, 74862, '\P{isnl}', "");
    Expect(1, 74862, '\P{^isnl}', "");
    Expect(0, 74863, '\p{isnl}', "");
    Expect(1, 74863, '\p{^isnl}', "");
    Expect(1, 74863, '\P{isnl}', "");
    Expect(0, 74863, '\P{^isnl}', "");
    Expect(1, 74862, '\p{ _is_Nl}', "");
    Expect(0, 74862, '\p{^ _is_Nl}', "");
    Expect(0, 74862, '\P{ _is_Nl}', "");
    Expect(1, 74862, '\P{^ _is_Nl}', "");
    Expect(0, 74863, '\p{ _is_Nl}', "");
    Expect(1, 74863, '\p{^ _is_Nl}', "");
    Expect(1, 74863, '\P{ _is_Nl}', "");
    Expect(0, 74863, '\P{^ _is_Nl}', "");
    Error('\p{/a/-	LETTERLIKE_symbols}');
    Error('\P{/a/-	LETTERLIKE_symbols}');
    Expect(1, 8527, '\p{letterlikesymbols}', "");
    Expect(0, 8527, '\p{^letterlikesymbols}', "");
    Expect(0, 8527, '\P{letterlikesymbols}', "");
    Expect(1, 8527, '\P{^letterlikesymbols}', "");
    Expect(0, 8528, '\p{letterlikesymbols}', "");
    Expect(1, 8528, '\p{^letterlikesymbols}', "");
    Expect(1, 8528, '\P{letterlikesymbols}', "");
    Expect(0, 8528, '\P{^letterlikesymbols}', "");
    Expect(1, 8527, '\p{ 	Letterlike_Symbols}', "");
    Expect(0, 8527, '\p{^ 	Letterlike_Symbols}', "");
    Expect(0, 8527, '\P{ 	Letterlike_Symbols}', "");
    Expect(1, 8527, '\P{^ 	Letterlike_Symbols}', "");
    Expect(0, 8528, '\p{ 	Letterlike_Symbols}', "");
    Expect(1, 8528, '\p{^ 	Letterlike_Symbols}', "");
    Expect(1, 8528, '\P{ 	Letterlike_Symbols}', "");
    Expect(0, 8528, '\P{^ 	Letterlike_Symbols}', "");
    Error('\p{_:=Is_LETTERLIKE_Symbols}');
    Error('\P{_:=Is_LETTERLIKE_Symbols}');
    Expect(1, 8527, '\p{isletterlikesymbols}', "");
    Expect(0, 8527, '\p{^isletterlikesymbols}', "");
    Expect(0, 8527, '\P{isletterlikesymbols}', "");
    Expect(1, 8527, '\P{^isletterlikesymbols}', "");
    Expect(0, 8528, '\p{isletterlikesymbols}', "");
    Expect(1, 8528, '\p{^isletterlikesymbols}', "");
    Expect(1, 8528, '\P{isletterlikesymbols}', "");
    Expect(0, 8528, '\P{^isletterlikesymbols}', "");
    Expect(1, 8527, '\p{ is_Letterlike_SYMBOLS}', "");
    Expect(0, 8527, '\p{^ is_Letterlike_SYMBOLS}', "");
    Expect(0, 8527, '\P{ is_Letterlike_SYMBOLS}', "");
    Expect(1, 8527, '\P{^ is_Letterlike_SYMBOLS}', "");
    Expect(0, 8528, '\p{ is_Letterlike_SYMBOLS}', "");
    Expect(1, 8528, '\p{^ is_Letterlike_SYMBOLS}', "");
    Expect(1, 8528, '\P{ is_Letterlike_SYMBOLS}', "");
    Expect(0, 8528, '\P{^ is_Letterlike_SYMBOLS}', "");
    Error('\p{:=in_Letterlike_SYMBOLS}');
    Error('\P{:=in_Letterlike_SYMBOLS}');
    Expect(1, 8527, '\p{inletterlikesymbols}', "");
    Expect(0, 8527, '\p{^inletterlikesymbols}', "");
    Expect(0, 8527, '\P{inletterlikesymbols}', "");
    Expect(1, 8527, '\P{^inletterlikesymbols}', "");
    Expect(0, 8528, '\p{inletterlikesymbols}', "");
    Expect(1, 8528, '\p{^inletterlikesymbols}', "");
    Expect(1, 8528, '\P{inletterlikesymbols}', "");
    Expect(0, 8528, '\P{^inletterlikesymbols}', "");
    Expect(1, 8527, '\p{_in_Letterlike_Symbols}', "");
    Expect(0, 8527, '\p{^_in_Letterlike_Symbols}', "");
    Expect(0, 8527, '\P{_in_Letterlike_Symbols}', "");
    Expect(1, 8527, '\P{^_in_Letterlike_Symbols}', "");
    Expect(0, 8528, '\p{_in_Letterlike_Symbols}', "");
    Expect(1, 8528, '\p{^_in_Letterlike_Symbols}', "");
    Expect(1, 8528, '\P{_in_Letterlike_Symbols}', "");
    Expect(0, 8528, '\P{^_in_Letterlike_Symbols}', "");
    Error('\p{_/a/Limbu}');
    Error('\P{_/a/Limbu}');
    Expect(1, 6479, '\p{limbu}', "");
    Expect(0, 6479, '\p{^limbu}', "");
    Expect(0, 6479, '\P{limbu}', "");
    Expect(1, 6479, '\P{^limbu}', "");
    Expect(0, 6480, '\p{limbu}', "");
    Expect(1, 6480, '\p{^limbu}', "");
    Expect(1, 6480, '\P{limbu}', "");
    Expect(0, 6480, '\P{^limbu}', "");
    Expect(1, 6479, '\p{		limbu}', "");
    Expect(0, 6479, '\p{^		limbu}', "");
    Expect(0, 6479, '\P{		limbu}', "");
    Expect(1, 6479, '\P{^		limbu}', "");
    Expect(0, 6480, '\p{		limbu}', "");
    Expect(1, 6480, '\p{^		limbu}', "");
    Expect(1, 6480, '\P{		limbu}', "");
    Expect(0, 6480, '\P{^		limbu}', "");
    Error('\p{ -Is_limbu/a/}');
    Error('\P{ -Is_limbu/a/}');
    Expect(1, 6479, '\p{islimbu}', "");
    Expect(0, 6479, '\p{^islimbu}', "");
    Expect(0, 6479, '\P{islimbu}', "");
    Expect(1, 6479, '\P{^islimbu}', "");
    Expect(0, 6480, '\p{islimbu}', "");
    Expect(1, 6480, '\p{^islimbu}', "");
    Expect(1, 6480, '\P{islimbu}', "");
    Expect(0, 6480, '\P{^islimbu}', "");
    Expect(1, 6479, '\p{		is_Limbu}', "");
    Expect(0, 6479, '\p{^		is_Limbu}', "");
    Expect(0, 6479, '\P{		is_Limbu}', "");
    Expect(1, 6479, '\P{^		is_Limbu}', "");
    Expect(0, 6480, '\p{		is_Limbu}', "");
    Expect(1, 6480, '\p{^		is_Limbu}', "");
    Expect(1, 6480, '\P{		is_Limbu}', "");
    Expect(0, 6480, '\P{^		is_Limbu}', "");
    Error('\p{	 Limb/a/}');
    Error('\P{	 Limb/a/}');
    Expect(1, 6479, '\p{limb}', "");
    Expect(0, 6479, '\p{^limb}', "");
    Expect(0, 6479, '\P{limb}', "");
    Expect(1, 6479, '\P{^limb}', "");
    Expect(0, 6480, '\p{limb}', "");
    Expect(1, 6480, '\p{^limb}', "");
    Expect(1, 6480, '\P{limb}', "");
    Expect(0, 6480, '\P{^limb}', "");
    Expect(1, 6479, '\p{ Limb}', "");
    Expect(0, 6479, '\p{^ Limb}', "");
    Expect(0, 6479, '\P{ Limb}', "");
    Expect(1, 6479, '\P{^ Limb}', "");
    Expect(0, 6480, '\p{ Limb}', "");
    Expect(1, 6480, '\p{^ Limb}', "");
    Expect(1, 6480, '\P{ Limb}', "");
    Expect(0, 6480, '\P{^ Limb}', "");
    Error('\p{:=-Is_Limb}');
    Error('\P{:=-Is_Limb}');
    Expect(1, 6479, '\p{islimb}', "");
    Expect(0, 6479, '\p{^islimb}', "");
    Expect(0, 6479, '\P{islimb}', "");
    Expect(1, 6479, '\P{^islimb}', "");
    Expect(0, 6480, '\p{islimb}', "");
    Expect(1, 6480, '\p{^islimb}', "");
    Expect(1, 6480, '\P{islimb}', "");
    Expect(0, 6480, '\P{^islimb}', "");
    Expect(1, 6479, '\p{Is_Limb}', "");
    Expect(0, 6479, '\p{^Is_Limb}', "");
    Expect(0, 6479, '\P{Is_Limb}', "");
    Expect(1, 6479, '\P{^Is_Limb}', "");
    Expect(0, 6480, '\p{Is_Limb}', "");
    Expect(1, 6480, '\p{^Is_Limb}', "");
    Expect(1, 6480, '\P{Is_Limb}', "");
    Expect(0, 6480, '\P{^Is_Limb}', "");
    Error('\p{:=- Line_Separator}');
    Error('\P{:=- Line_Separator}');
    Expect(1, 8232, '\p{lineseparator}', "");
    Expect(0, 8232, '\p{^lineseparator}', "");
    Expect(0, 8232, '\P{lineseparator}', "");
    Expect(1, 8232, '\P{^lineseparator}', "");
    Expect(0, 8233, '\p{lineseparator}', "");
    Expect(1, 8233, '\p{^lineseparator}', "");
    Expect(1, 8233, '\P{lineseparator}', "");
    Expect(0, 8233, '\P{^lineseparator}', "");
    Expect(1, 8232, '\p{_Line_SEPARATOR}', "");
    Expect(0, 8232, '\p{^_Line_SEPARATOR}', "");
    Expect(0, 8232, '\P{_Line_SEPARATOR}', "");
    Expect(1, 8232, '\P{^_Line_SEPARATOR}', "");
    Expect(0, 8233, '\p{_Line_SEPARATOR}', "");
    Expect(1, 8233, '\p{^_Line_SEPARATOR}', "");
    Expect(1, 8233, '\P{_Line_SEPARATOR}', "");
    Expect(0, 8233, '\P{^_Line_SEPARATOR}', "");
    Error('\p{_/a/IS_Line_SEPARATOR}');
    Error('\P{_/a/IS_Line_SEPARATOR}');
    Expect(1, 8232, '\p{islineseparator}', "");
    Expect(0, 8232, '\p{^islineseparator}', "");
    Expect(0, 8232, '\P{islineseparator}', "");
    Expect(1, 8232, '\P{^islineseparator}', "");
    Expect(0, 8233, '\p{islineseparator}', "");
    Expect(1, 8233, '\p{^islineseparator}', "");
    Expect(1, 8233, '\P{islineseparator}', "");
    Expect(0, 8233, '\P{^islineseparator}', "");
    Expect(1, 8232, '\p{ -Is_line_Separator}', "");
    Expect(0, 8232, '\p{^ -Is_line_Separator}', "");
    Expect(0, 8232, '\P{ -Is_line_Separator}', "");
    Expect(1, 8232, '\P{^ -Is_line_Separator}', "");
    Expect(0, 8233, '\p{ -Is_line_Separator}', "");
    Expect(1, 8233, '\p{^ -Is_line_Separator}', "");
    Expect(1, 8233, '\P{ -Is_line_Separator}', "");
    Expect(0, 8233, '\P{^ -Is_line_Separator}', "");
    Error('\p{ ZL:=}');
    Error('\P{ ZL:=}');
    Expect(1, 8232, '\p{zl}', "");
    Expect(0, 8232, '\p{^zl}', "");
    Expect(0, 8232, '\P{zl}', "");
    Expect(1, 8232, '\P{^zl}', "");
    Expect(0, 8233, '\p{zl}', "");
    Expect(1, 8233, '\p{^zl}', "");
    Expect(1, 8233, '\P{zl}', "");
    Expect(0, 8233, '\P{^zl}', "");
    Expect(1, 8232, '\p{		zl}', "");
    Expect(0, 8232, '\p{^		zl}', "");
    Expect(0, 8232, '\P{		zl}', "");
    Expect(1, 8232, '\P{^		zl}', "");
    Expect(0, 8233, '\p{		zl}', "");
    Expect(1, 8233, '\p{^		zl}', "");
    Expect(1, 8233, '\P{		zl}', "");
    Expect(0, 8233, '\P{^		zl}', "");
    Error('\p{__IS_Zl/a/}');
    Error('\P{__IS_Zl/a/}');
    Expect(1, 8232, '\p{iszl}', "");
    Expect(0, 8232, '\p{^iszl}', "");
    Expect(0, 8232, '\P{iszl}', "");
    Expect(1, 8232, '\P{^iszl}', "");
    Expect(0, 8233, '\p{iszl}', "");
    Expect(1, 8233, '\p{^iszl}', "");
    Expect(1, 8233, '\P{iszl}', "");
    Expect(0, 8233, '\P{^iszl}', "");
    Expect(1, 8232, '\p{  IS_Zl}', "");
    Expect(0, 8232, '\p{^  IS_Zl}', "");
    Expect(0, 8232, '\P{  IS_Zl}', "");
    Expect(1, 8232, '\P{^  IS_Zl}', "");
    Expect(0, 8233, '\p{  IS_Zl}', "");
    Expect(1, 8233, '\p{^  IS_Zl}', "");
    Expect(1, 8233, '\P{  IS_Zl}', "");
    Expect(0, 8233, '\P{^  IS_Zl}', "");
    Error('\p{-Linear_a/a/}');
    Error('\P{-Linear_a/a/}');
    Expect(1, 67431, '\p{lineara}', "");
    Expect(0, 67431, '\p{^lineara}', "");
    Expect(0, 67431, '\P{lineara}', "");
    Expect(1, 67431, '\P{^lineara}', "");
    Expect(0, 67432, '\p{lineara}', "");
    Expect(1, 67432, '\p{^lineara}', "");
    Expect(1, 67432, '\P{lineara}', "");
    Expect(0, 67432, '\P{^lineara}', "");
    Expect(1, 67431, '\p{	 linear_a}', "");
    Expect(0, 67431, '\p{^	 linear_a}', "");
    Expect(0, 67431, '\P{	 linear_a}', "");
    Expect(1, 67431, '\P{^	 linear_a}', "");
    Expect(0, 67432, '\p{	 linear_a}', "");
    Expect(1, 67432, '\p{^	 linear_a}', "");
    Expect(1, 67432, '\P{	 linear_a}', "");
    Expect(0, 67432, '\P{^	 linear_a}', "");
    Error('\p{is_linear_A/a/}');
    Error('\P{is_linear_A/a/}');
    Expect(1, 67431, '\p{islineara}', "");
    Expect(0, 67431, '\p{^islineara}', "");
    Expect(0, 67431, '\P{islineara}', "");
    Expect(1, 67431, '\P{^islineara}', "");
    Expect(0, 67432, '\p{islineara}', "");
    Expect(1, 67432, '\p{^islineara}', "");
    Expect(1, 67432, '\P{islineara}', "");
    Expect(0, 67432, '\P{^islineara}', "");
    Expect(1, 67431, '\p{IS_linear_A}', "");
    Expect(0, 67431, '\p{^IS_linear_A}', "");
    Expect(0, 67431, '\P{IS_linear_A}', "");
    Expect(1, 67431, '\P{^IS_linear_A}', "");
    Expect(0, 67432, '\p{IS_linear_A}', "");
    Expect(1, 67432, '\p{^IS_linear_A}', "");
    Expect(1, 67432, '\P{IS_linear_A}', "");
    Expect(0, 67432, '\P{^IS_linear_A}', "");
    Error('\p{-Lina:=}');
    Error('\P{-Lina:=}');
    Expect(1, 67431, '\p{lina}', "");
    Expect(0, 67431, '\p{^lina}', "");
    Expect(0, 67431, '\P{lina}', "");
    Expect(1, 67431, '\P{^lina}', "");
    Expect(0, 67432, '\p{lina}', "");
    Expect(1, 67432, '\p{^lina}', "");
    Expect(1, 67432, '\P{lina}', "");
    Expect(0, 67432, '\P{^lina}', "");
    Expect(1, 67431, '\p{-LINA}', "");
    Expect(0, 67431, '\p{^-LINA}', "");
    Expect(0, 67431, '\P{-LINA}', "");
    Expect(1, 67431, '\P{^-LINA}', "");
    Expect(0, 67432, '\p{-LINA}', "");
    Expect(1, 67432, '\p{^-LINA}', "");
    Expect(1, 67432, '\P{-LINA}', "");
    Expect(0, 67432, '\P{^-LINA}', "");
    Error('\p{-is_Lina:=}');
    Error('\P{-is_Lina:=}');
    Expect(1, 67431, '\p{islina}', "");
    Expect(0, 67431, '\p{^islina}', "");
    Expect(0, 67431, '\P{islina}', "");
    Expect(1, 67431, '\P{^islina}', "");
    Expect(0, 67432, '\p{islina}', "");
    Expect(1, 67432, '\p{^islina}', "");
    Expect(1, 67432, '\P{islina}', "");
    Expect(0, 67432, '\P{^islina}', "");
    Expect(1, 67431, '\p{ -IS_Lina}', "");
    Expect(0, 67431, '\p{^ -IS_Lina}', "");
    Expect(0, 67431, '\P{ -IS_Lina}', "");
    Expect(1, 67431, '\P{^ -IS_Lina}', "");
    Expect(0, 67432, '\p{ -IS_Lina}', "");
    Expect(1, 67432, '\p{^ -IS_Lina}', "");
    Expect(1, 67432, '\P{ -IS_Lina}', "");
    Expect(0, 67432, '\P{^ -IS_Lina}', "");
    Error('\p{ LINEAR_B:=}');
    Error('\P{ LINEAR_B:=}');
    Expect(1, 65855, '\p{linearb}', "");
    Expect(0, 65855, '\p{^linearb}', "");
    Expect(0, 65855, '\P{linearb}', "");
    Expect(1, 65855, '\P{^linearb}', "");
    Expect(0, 65856, '\p{linearb}', "");
    Expect(1, 65856, '\p{^linearb}', "");
    Expect(1, 65856, '\P{linearb}', "");
    Expect(0, 65856, '\P{^linearb}', "");
    Expect(1, 65855, '\p{- LINEAR_B}', "");
    Expect(0, 65855, '\p{^- LINEAR_B}', "");
    Expect(0, 65855, '\P{- LINEAR_B}', "");
    Expect(1, 65855, '\P{^- LINEAR_B}', "");
    Expect(0, 65856, '\p{- LINEAR_B}', "");
    Expect(1, 65856, '\p{^- LINEAR_B}', "");
    Expect(1, 65856, '\P{- LINEAR_B}', "");
    Expect(0, 65856, '\P{^- LINEAR_B}', "");
    Error('\p{	/a/IS_LINEAR_B}');
    Error('\P{	/a/IS_LINEAR_B}');
    Expect(1, 65855, '\p{islinearb}', "");
    Expect(0, 65855, '\p{^islinearb}', "");
    Expect(0, 65855, '\P{islinearb}', "");
    Expect(1, 65855, '\P{^islinearb}', "");
    Expect(0, 65856, '\p{islinearb}', "");
    Expect(1, 65856, '\p{^islinearb}', "");
    Expect(1, 65856, '\P{islinearb}', "");
    Expect(0, 65856, '\P{^islinearb}', "");
    Expect(1, 65855, '\p{_-Is_linear_B}', "");
    Expect(0, 65855, '\p{^_-Is_linear_B}', "");
    Expect(0, 65855, '\P{_-Is_linear_B}', "");
    Expect(1, 65855, '\P{^_-Is_linear_B}', "");
    Expect(0, 65856, '\p{_-Is_linear_B}', "");
    Expect(1, 65856, '\p{^_-Is_linear_B}', "");
    Expect(1, 65856, '\P{_-Is_linear_B}', "");
    Expect(0, 65856, '\P{^_-Is_linear_B}', "");
    Error('\p{:=		Linb}');
    Error('\P{:=		Linb}');
    Expect(1, 65855, '\p{linb}', "");
    Expect(0, 65855, '\p{^linb}', "");
    Expect(0, 65855, '\P{linb}', "");
    Expect(1, 65855, '\P{^linb}', "");
    Expect(0, 65856, '\p{linb}', "");
    Expect(1, 65856, '\p{^linb}', "");
    Expect(1, 65856, '\P{linb}', "");
    Expect(0, 65856, '\P{^linb}', "");
    Expect(1, 65855, '\p{ _LINB}', "");
    Expect(0, 65855, '\p{^ _LINB}', "");
    Expect(0, 65855, '\P{ _LINB}', "");
    Expect(1, 65855, '\P{^ _LINB}', "");
    Expect(0, 65856, '\p{ _LINB}', "");
    Expect(1, 65856, '\p{^ _LINB}', "");
    Expect(1, 65856, '\P{ _LINB}', "");
    Expect(0, 65856, '\P{^ _LINB}', "");
    Error('\p{_/a/IS_Linb}');
    Error('\P{_/a/IS_Linb}');
    Expect(1, 65855, '\p{islinb}', "");
    Expect(0, 65855, '\p{^islinb}', "");
    Expect(0, 65855, '\P{islinb}', "");
    Expect(1, 65855, '\P{^islinb}', "");
    Expect(0, 65856, '\p{islinb}', "");
    Expect(1, 65856, '\p{^islinb}', "");
    Expect(1, 65856, '\P{islinb}', "");
    Expect(0, 65856, '\P{^islinb}', "");
    Expect(1, 65855, '\p{-_is_linb}', "");
    Expect(0, 65855, '\p{^-_is_linb}', "");
    Expect(0, 65855, '\P{-_is_linb}', "");
    Expect(1, 65855, '\P{^-_is_linb}', "");
    Expect(0, 65856, '\p{-_is_linb}', "");
    Expect(1, 65856, '\p{^-_is_linb}', "");
    Expect(1, 65856, '\P{-_is_linb}', "");
    Expect(0, 65856, '\P{^-_is_linb}', "");
    Error('\p{ _Linear_B_ideograms/a/}');
    Error('\P{ _Linear_B_ideograms/a/}');
    Expect(1, 65791, '\p{linearbideograms}', "");
    Expect(0, 65791, '\p{^linearbideograms}', "");
    Expect(0, 65791, '\P{linearbideograms}', "");
    Expect(1, 65791, '\P{^linearbideograms}', "");
    Expect(0, 65792, '\p{linearbideograms}', "");
    Expect(1, 65792, '\p{^linearbideograms}', "");
    Expect(1, 65792, '\P{linearbideograms}', "");
    Expect(0, 65792, '\P{^linearbideograms}', "");
    Expect(1, 65791, '\p{-Linear_b_Ideograms}', "");
    Expect(0, 65791, '\p{^-Linear_b_Ideograms}', "");
    Expect(0, 65791, '\P{-Linear_b_Ideograms}', "");
    Expect(1, 65791, '\P{^-Linear_b_Ideograms}', "");
    Expect(0, 65792, '\p{-Linear_b_Ideograms}', "");
    Expect(1, 65792, '\p{^-Linear_b_Ideograms}', "");
    Expect(1, 65792, '\P{-Linear_b_Ideograms}', "");
    Expect(0, 65792, '\P{^-Linear_b_Ideograms}', "");
    Error('\p{/a/  is_LINEAR_B_Ideograms}');
    Error('\P{/a/  is_LINEAR_B_Ideograms}');
    Expect(1, 65791, '\p{islinearbideograms}', "");
    Expect(0, 65791, '\p{^islinearbideograms}', "");
    Expect(0, 65791, '\P{islinearbideograms}', "");
    Expect(1, 65791, '\P{^islinearbideograms}', "");
    Expect(0, 65792, '\p{islinearbideograms}', "");
    Expect(1, 65792, '\p{^islinearbideograms}', "");
    Expect(1, 65792, '\P{islinearbideograms}', "");
    Expect(0, 65792, '\P{^islinearbideograms}', "");
    Expect(1, 65791, '\p{_-Is_LINEAR_B_Ideograms}', "");
    Expect(0, 65791, '\p{^_-Is_LINEAR_B_Ideograms}', "");
    Expect(0, 65791, '\P{_-Is_LINEAR_B_Ideograms}', "");
    Expect(1, 65791, '\P{^_-Is_LINEAR_B_Ideograms}', "");
    Expect(0, 65792, '\p{_-Is_LINEAR_B_Ideograms}', "");
    Expect(1, 65792, '\p{^_-Is_LINEAR_B_Ideograms}', "");
    Expect(1, 65792, '\P{_-Is_LINEAR_B_Ideograms}', "");
    Expect(0, 65792, '\P{^_-Is_LINEAR_B_Ideograms}', "");
    Error('\p{-	in_Linear_B_ideograms/a/}');
    Error('\P{-	in_Linear_B_ideograms/a/}');
    Expect(1, 65791, '\p{inlinearbideograms}', "");
    Expect(0, 65791, '\p{^inlinearbideograms}', "");
    Expect(0, 65791, '\P{inlinearbideograms}', "");
    Expect(1, 65791, '\P{^inlinearbideograms}', "");
    Expect(0, 65792, '\p{inlinearbideograms}', "");
    Expect(1, 65792, '\p{^inlinearbideograms}', "");
    Expect(1, 65792, '\P{inlinearbideograms}', "");
    Expect(0, 65792, '\P{^inlinearbideograms}', "");
    Expect(1, 65791, '\p{ _IN_Linear_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\p{^ _IN_Linear_B_IDEOGRAMS}', "");
    Expect(0, 65791, '\P{ _IN_Linear_B_IDEOGRAMS}', "");
    Expect(1, 65791, '\P{^ _IN_Linear_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\p{ _IN_Linear_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\p{^ _IN_Linear_B_IDEOGRAMS}', "");
    Expect(1, 65792, '\P{ _IN_Linear_B_IDEOGRAMS}', "");
    Expect(0, 65792, '\P{^ _IN_Linear_B_IDEOGRAMS}', "");
    Error('\p{ :=Linear_B_Syllabary}');
    Error('\P{ :=Linear_B_Syllabary}');
    Expect(1, 65663, '\p{linearbsyllabary}', "");
    Expect(0, 65663, '\p{^linearbsyllabary}', "");
    Expect(0, 65663, '\P{linearbsyllabary}', "");
    Expect(1, 65663, '\P{^linearbsyllabary}', "");
    Expect(0, 65664, '\p{linearbsyllabary}', "");
    Expect(1, 65664, '\p{^linearbsyllabary}', "");
    Expect(1, 65664, '\P{linearbsyllabary}', "");
    Expect(0, 65664, '\P{^linearbsyllabary}', "");
    Expect(1, 65663, '\p{-_Linear_B_syllabary}', "");
    Expect(0, 65663, '\p{^-_Linear_B_syllabary}', "");
    Expect(0, 65663, '\P{-_Linear_B_syllabary}', "");
    Expect(1, 65663, '\P{^-_Linear_B_syllabary}', "");
    Expect(0, 65664, '\p{-_Linear_B_syllabary}', "");
    Expect(1, 65664, '\p{^-_Linear_B_syllabary}', "");
    Expect(1, 65664, '\P{-_Linear_B_syllabary}', "");
    Expect(0, 65664, '\P{^-_Linear_B_syllabary}', "");
    Error('\p{-Is_linear_b_Syllabary/a/}');
    Error('\P{-Is_linear_b_Syllabary/a/}');
    Expect(1, 65663, '\p{islinearbsyllabary}', "");
    Expect(0, 65663, '\p{^islinearbsyllabary}', "");
    Expect(0, 65663, '\P{islinearbsyllabary}', "");
    Expect(1, 65663, '\P{^islinearbsyllabary}', "");
    Expect(0, 65664, '\p{islinearbsyllabary}', "");
    Expect(1, 65664, '\p{^islinearbsyllabary}', "");
    Expect(1, 65664, '\P{islinearbsyllabary}', "");
    Expect(0, 65664, '\P{^islinearbsyllabary}', "");
    Expect(1, 65663, '\p{ -is_Linear_B_SYLLABARY}', "");
    Expect(0, 65663, '\p{^ -is_Linear_B_SYLLABARY}', "");
    Expect(0, 65663, '\P{ -is_Linear_B_SYLLABARY}', "");
    Expect(1, 65663, '\P{^ -is_Linear_B_SYLLABARY}', "");
    Expect(0, 65664, '\p{ -is_Linear_B_SYLLABARY}', "");
    Expect(1, 65664, '\p{^ -is_Linear_B_SYLLABARY}', "");
    Expect(1, 65664, '\P{ -is_Linear_B_SYLLABARY}', "");
    Expect(0, 65664, '\P{^ -is_Linear_B_SYLLABARY}', "");
    Error('\p{ 	In_linear_B_Syllabary/a/}');
    Error('\P{ 	In_linear_B_Syllabary/a/}');
    Expect(1, 65663, '\p{inlinearbsyllabary}', "");
    Expect(0, 65663, '\p{^inlinearbsyllabary}', "");
    Expect(0, 65663, '\P{inlinearbsyllabary}', "");
    Expect(1, 65663, '\P{^inlinearbsyllabary}', "");
    Expect(0, 65664, '\p{inlinearbsyllabary}', "");
    Expect(1, 65664, '\p{^inlinearbsyllabary}', "");
    Expect(1, 65664, '\P{inlinearbsyllabary}', "");
    Expect(0, 65664, '\P{^inlinearbsyllabary}', "");
    Expect(1, 65663, '\p{IN_Linear_B_SYLLABARY}', "");
    Expect(0, 65663, '\p{^IN_Linear_B_SYLLABARY}', "");
    Expect(0, 65663, '\P{IN_Linear_B_SYLLABARY}', "");
    Expect(1, 65663, '\P{^IN_Linear_B_SYLLABARY}', "");
    Expect(0, 65664, '\p{IN_Linear_B_SYLLABARY}', "");
    Expect(1, 65664, '\p{^IN_Linear_B_SYLLABARY}', "");
    Expect(1, 65664, '\P{IN_Linear_B_SYLLABARY}', "");
    Expect(0, 65664, '\P{^IN_Linear_B_SYLLABARY}', "");
    Error('\p{/a/Lisu}');
    Error('\P{/a/Lisu}');
    Expect(1, 73648, '\p{lisu}', "");
    Expect(0, 73648, '\p{^lisu}', "");
    Expect(0, 73648, '\P{lisu}', "");
    Expect(1, 73648, '\P{^lisu}', "");
    Expect(0, 73649, '\p{lisu}', "");
    Expect(1, 73649, '\p{^lisu}', "");
    Expect(1, 73649, '\P{lisu}', "");
    Expect(0, 73649, '\P{^lisu}', "");
    Expect(1, 73648, '\p{	-lisu}', "");
    Expect(0, 73648, '\p{^	-lisu}', "");
    Expect(0, 73648, '\P{	-lisu}', "");
    Expect(1, 73648, '\P{^	-lisu}', "");
    Expect(0, 73649, '\p{	-lisu}', "");
    Expect(1, 73649, '\p{^	-lisu}', "");
    Expect(1, 73649, '\P{	-lisu}', "");
    Expect(0, 73649, '\P{^	-lisu}', "");
    Error('\p{:=_ Is_Lisu}');
    Error('\P{:=_ Is_Lisu}');
    Expect(1, 73648, '\p{islisu}', "");
    Expect(0, 73648, '\p{^islisu}', "");
    Expect(0, 73648, '\P{islisu}', "");
    Expect(1, 73648, '\P{^islisu}', "");
    Expect(0, 73649, '\p{islisu}', "");
    Expect(1, 73649, '\p{^islisu}', "");
    Expect(1, 73649, '\P{islisu}', "");
    Expect(0, 73649, '\P{^islisu}', "");
    Expect(1, 73648, '\p{ -IS_Lisu}', "");
    Expect(0, 73648, '\p{^ -IS_Lisu}', "");
    Expect(0, 73648, '\P{ -IS_Lisu}', "");
    Expect(1, 73648, '\P{^ -IS_Lisu}', "");
    Expect(0, 73649, '\p{ -IS_Lisu}', "");
    Expect(1, 73649, '\p{^ -IS_Lisu}', "");
    Expect(1, 73649, '\P{ -IS_Lisu}', "");
    Expect(0, 73649, '\P{^ -IS_Lisu}', "");
    Error('\p{	LISU_Supplement/a/}');
    Error('\P{	LISU_Supplement/a/}');
    Expect(1, 73663, '\p{lisusupplement}', "");
    Expect(0, 73663, '\p{^lisusupplement}', "");
    Expect(0, 73663, '\P{lisusupplement}', "");
    Expect(1, 73663, '\P{^lisusupplement}', "");
    Expect(0, 73664, '\p{lisusupplement}', "");
    Expect(1, 73664, '\p{^lisusupplement}', "");
    Expect(1, 73664, '\P{lisusupplement}', "");
    Expect(0, 73664, '\P{^lisusupplement}', "");
    Expect(1, 73663, '\p{__Lisu_supplement}', "");
    Expect(0, 73663, '\p{^__Lisu_supplement}', "");
    Expect(0, 73663, '\P{__Lisu_supplement}', "");
    Expect(1, 73663, '\P{^__Lisu_supplement}', "");
    Expect(0, 73664, '\p{__Lisu_supplement}', "");
    Expect(1, 73664, '\p{^__Lisu_supplement}', "");
    Expect(1, 73664, '\P{__Lisu_supplement}', "");
    Expect(0, 73664, '\P{^__Lisu_supplement}', "");
    Error('\p{-:=IS_Lisu_Supplement}');
    Error('\P{-:=IS_Lisu_Supplement}');
    Expect(1, 73663, '\p{islisusupplement}', "");
    Expect(0, 73663, '\p{^islisusupplement}', "");
    Expect(0, 73663, '\P{islisusupplement}', "");
    Expect(1, 73663, '\P{^islisusupplement}', "");
    Expect(0, 73664, '\p{islisusupplement}', "");
    Expect(1, 73664, '\p{^islisusupplement}', "");
    Expect(1, 73664, '\P{islisusupplement}', "");
    Expect(0, 73664, '\P{^islisusupplement}', "");
    Expect(1, 73663, '\p{	-is_lisu_supplement}', "");
    Expect(0, 73663, '\p{^	-is_lisu_supplement}', "");
    Expect(0, 73663, '\P{	-is_lisu_supplement}', "");
    Expect(1, 73663, '\P{^	-is_lisu_supplement}', "");
    Expect(0, 73664, '\p{	-is_lisu_supplement}', "");
    Expect(1, 73664, '\p{^	-is_lisu_supplement}', "");
    Expect(1, 73664, '\P{	-is_lisu_supplement}', "");
    Expect(0, 73664, '\P{^	-is_lisu_supplement}', "");
    Error('\p{_In_Lisu_SUPPLEMENT/a/}');
    Error('\P{_In_Lisu_SUPPLEMENT/a/}');
    Expect(1, 73663, '\p{inlisusupplement}', "");
    Expect(0, 73663, '\p{^inlisusupplement}', "");
    Expect(0, 73663, '\P{inlisusupplement}', "");
    Expect(1, 73663, '\P{^inlisusupplement}', "");
    Expect(0, 73664, '\p{inlisusupplement}', "");
    Expect(1, 73664, '\p{^inlisusupplement}', "");
    Expect(1, 73664, '\P{inlisusupplement}', "");
    Expect(0, 73664, '\P{^inlisusupplement}', "");
    Expect(1, 73663, '\p{-In_Lisu_supplement}', "");
    Expect(0, 73663, '\p{^-In_Lisu_supplement}', "");
    Expect(0, 73663, '\P{-In_Lisu_supplement}', "");
    Expect(1, 73663, '\P{^-In_Lisu_supplement}', "");
    Expect(0, 73664, '\p{-In_Lisu_supplement}', "");
    Expect(1, 73664, '\p{^-In_Lisu_supplement}', "");
    Expect(1, 73664, '\P{-In_Lisu_supplement}', "");
    Expect(0, 73664, '\P{^-In_Lisu_supplement}', "");
    Error('\p{_	Lisu_Sup:=}');
    Error('\P{_	Lisu_Sup:=}');
    Expect(1, 73663, '\p{lisusup}', "");
    Expect(0, 73663, '\p{^lisusup}', "");
    Expect(0, 73663, '\P{lisusup}', "");
    Expect(1, 73663, '\P{^lisusup}', "");
    Expect(0, 73664, '\p{lisusup}', "");
    Expect(1, 73664, '\p{^lisusup}', "");
    Expect(1, 73664, '\P{lisusup}', "");
    Expect(0, 73664, '\P{^lisusup}', "");
    Expect(1, 73663, '\p{		Lisu_Sup}', "");
    Expect(0, 73663, '\p{^		Lisu_Sup}', "");
    Expect(0, 73663, '\P{		Lisu_Sup}', "");
    Expect(1, 73663, '\P{^		Lisu_Sup}', "");
    Expect(0, 73664, '\p{		Lisu_Sup}', "");
    Expect(1, 73664, '\p{^		Lisu_Sup}', "");
    Expect(1, 73664, '\P{		Lisu_Sup}', "");
    Expect(0, 73664, '\P{^		Lisu_Sup}', "");
    Error('\p{/a/is_LISU_sup}');
    Error('\P{/a/is_LISU_sup}');
    Expect(1, 73663, '\p{islisusup}', "");
    Expect(0, 73663, '\p{^islisusup}', "");
    Expect(0, 73663, '\P{islisusup}', "");
    Expect(1, 73663, '\P{^islisusup}', "");
    Expect(0, 73664, '\p{islisusup}', "");
    Expect(1, 73664, '\p{^islisusup}', "");
    Expect(1, 73664, '\P{islisusup}', "");
    Expect(0, 73664, '\P{^islisusup}', "");
    Expect(1, 73663, '\p{_-is_LISU_SUP}', "");
    Expect(0, 73663, '\p{^_-is_LISU_SUP}', "");
    Expect(0, 73663, '\P{_-is_LISU_SUP}', "");
    Expect(1, 73663, '\P{^_-is_LISU_SUP}', "");
    Expect(0, 73664, '\p{_-is_LISU_SUP}', "");
    Expect(1, 73664, '\p{^_-is_LISU_SUP}', "");
    Expect(1, 73664, '\P{_-is_LISU_SUP}', "");
    Expect(0, 73664, '\P{^_-is_LISU_SUP}', "");
    Error('\p{/a/_ in_LISU_Sup}');
    Error('\P{/a/_ in_LISU_Sup}');
    Expect(1, 73663, '\p{inlisusup}', "");
    Expect(0, 73663, '\p{^inlisusup}', "");
    Expect(0, 73663, '\P{inlisusup}', "");
    Expect(1, 73663, '\P{^inlisusup}', "");
    Expect(0, 73664, '\p{inlisusup}', "");
    Expect(1, 73664, '\p{^inlisusup}', "");
    Expect(1, 73664, '\P{inlisusup}', "");
    Expect(0, 73664, '\P{^inlisusup}', "");
    Expect(1, 73663, '\p{- in_Lisu_SUP}', "");
    Expect(0, 73663, '\p{^- in_Lisu_SUP}', "");
    Expect(0, 73663, '\P{- in_Lisu_SUP}', "");
    Expect(1, 73663, '\P{^- in_Lisu_SUP}', "");
    Expect(0, 73664, '\p{- in_Lisu_SUP}', "");
    Expect(1, 73664, '\p{^- in_Lisu_SUP}', "");
    Expect(1, 73664, '\P{- in_Lisu_SUP}', "");
    Expect(0, 73664, '\P{^- in_Lisu_SUP}', "");
    Error('\p{	_Logical_Order_Exception:=}');
    Error('\P{	_Logical_Order_Exception:=}');
    Expect(1, 43708, '\p{logicalorderexception}', "");
    Expect(0, 43708, '\p{^logicalorderexception}', "");
    Expect(0, 43708, '\P{logicalorderexception}', "");
    Expect(1, 43708, '\P{^logicalorderexception}', "");
    Expect(0, 43709, '\p{logicalorderexception}', "");
    Expect(1, 43709, '\p{^logicalorderexception}', "");
    Expect(1, 43709, '\P{logicalorderexception}', "");
    Expect(0, 43709, '\P{^logicalorderexception}', "");
    Expect(1, 43708, '\p{	Logical_order_EXCEPTION}', "");
    Expect(0, 43708, '\p{^	Logical_order_EXCEPTION}', "");
    Expect(0, 43708, '\P{	Logical_order_EXCEPTION}', "");
    Expect(1, 43708, '\P{^	Logical_order_EXCEPTION}', "");
    Expect(0, 43709, '\p{	Logical_order_EXCEPTION}', "");
    Expect(1, 43709, '\p{^	Logical_order_EXCEPTION}', "");
    Expect(1, 43709, '\P{	Logical_order_EXCEPTION}', "");
    Expect(0, 43709, '\P{^	Logical_order_EXCEPTION}', "");
    Error('\p{/a/-is_Logical_order_Exception}');
    Error('\P{/a/-is_Logical_order_Exception}');
    Expect(1, 43708, '\p{islogicalorderexception}', "");
    Expect(0, 43708, '\p{^islogicalorderexception}', "");
    Expect(0, 43708, '\P{islogicalorderexception}', "");
    Expect(1, 43708, '\P{^islogicalorderexception}', "");
    Expect(0, 43709, '\p{islogicalorderexception}', "");
    Expect(1, 43709, '\p{^islogicalorderexception}', "");
    Expect(1, 43709, '\P{islogicalorderexception}', "");
    Expect(0, 43709, '\P{^islogicalorderexception}', "");
    Expect(1, 43708, '\p{__is_LOGICAL_order_exception}', "");
    Expect(0, 43708, '\p{^__is_LOGICAL_order_exception}', "");
    Expect(0, 43708, '\P{__is_LOGICAL_order_exception}', "");
    Expect(1, 43708, '\P{^__is_LOGICAL_order_exception}', "");
    Expect(0, 43709, '\p{__is_LOGICAL_order_exception}', "");
    Expect(1, 43709, '\p{^__is_LOGICAL_order_exception}', "");
    Expect(1, 43709, '\P{__is_LOGICAL_order_exception}', "");
    Expect(0, 43709, '\P{^__is_LOGICAL_order_exception}', "");
    Error('\p{:=_	loe}');
    Error('\P{:=_	loe}');
    Expect(1, 43708, '\p{loe}', "");
    Expect(0, 43708, '\p{^loe}', "");
    Expect(0, 43708, '\P{loe}', "");
    Expect(1, 43708, '\P{^loe}', "");
    Expect(0, 43709, '\p{loe}', "");
    Expect(1, 43709, '\p{^loe}', "");
    Expect(1, 43709, '\P{loe}', "");
    Expect(0, 43709, '\P{^loe}', "");
    Expect(1, 43708, '\p{	 loe}', "");
    Expect(0, 43708, '\p{^	 loe}', "");
    Expect(0, 43708, '\P{	 loe}', "");
    Expect(1, 43708, '\P{^	 loe}', "");
    Expect(0, 43709, '\p{	 loe}', "");
    Expect(1, 43709, '\p{^	 loe}', "");
    Expect(1, 43709, '\P{	 loe}', "");
    Expect(0, 43709, '\P{^	 loe}', "");
    Error('\p{ :=is_LOE}');
    Error('\P{ :=is_LOE}');
    Expect(1, 43708, '\p{isloe}', "");
    Expect(0, 43708, '\p{^isloe}', "");
    Expect(0, 43708, '\P{isloe}', "");
    Expect(1, 43708, '\P{^isloe}', "");
    Expect(0, 43709, '\p{isloe}', "");
    Expect(1, 43709, '\p{^isloe}', "");
    Expect(1, 43709, '\P{isloe}', "");
    Expect(0, 43709, '\P{^isloe}', "");
    Expect(1, 43708, '\p{	_Is_LOE}', "");
    Expect(0, 43708, '\p{^	_Is_LOE}', "");
    Expect(0, 43708, '\P{	_Is_LOE}', "");
    Expect(1, 43708, '\P{^	_Is_LOE}', "");
    Expect(0, 43709, '\p{	_Is_LOE}', "");
    Expect(1, 43709, '\p{^	_Is_LOE}', "");
    Expect(1, 43709, '\P{	_Is_LOE}', "");
    Expect(0, 43709, '\P{^	_Is_LOE}', "");
    Error('\p{--Low_SURROGATES:=}');
    Error('\P{--Low_SURROGATES:=}');
    Expect(1, 57343, '\p{lowsurrogates}', "");
    Expect(0, 57343, '\p{^lowsurrogates}', "");
    Expect(0, 57343, '\P{lowsurrogates}', "");
    Expect(1, 57343, '\P{^lowsurrogates}', "");
    Expect(0, 57344, '\p{lowsurrogates}', "");
    Expect(1, 57344, '\p{^lowsurrogates}', "");
    Expect(1, 57344, '\P{lowsurrogates}', "");
    Expect(0, 57344, '\P{^lowsurrogates}', "");
    Expect(1, 57343, '\p{_	low_Surrogates}', "");
    Expect(0, 57343, '\p{^_	low_Surrogates}', "");
    Expect(0, 57343, '\P{_	low_Surrogates}', "");
    Expect(1, 57343, '\P{^_	low_Surrogates}', "");
    Expect(0, 57344, '\p{_	low_Surrogates}', "");
    Expect(1, 57344, '\p{^_	low_Surrogates}', "");
    Expect(1, 57344, '\P{_	low_Surrogates}', "");
    Expect(0, 57344, '\P{^_	low_Surrogates}', "");
    Error('\p{:=  Is_Low_SURROGATES}');
    Error('\P{:=  Is_Low_SURROGATES}');
    Expect(1, 57343, '\p{islowsurrogates}', "");
    Expect(0, 57343, '\p{^islowsurrogates}', "");
    Expect(0, 57343, '\P{islowsurrogates}', "");
    Expect(1, 57343, '\P{^islowsurrogates}', "");
    Expect(0, 57344, '\p{islowsurrogates}', "");
    Expect(1, 57344, '\p{^islowsurrogates}', "");
    Expect(1, 57344, '\P{islowsurrogates}', "");
    Expect(0, 57344, '\P{^islowsurrogates}', "");
    Expect(1, 57343, '\p{-IS_LOW_SURROGATES}', "");
    Expect(0, 57343, '\p{^-IS_LOW_SURROGATES}', "");
    Expect(0, 57343, '\P{-IS_LOW_SURROGATES}', "");
    Expect(1, 57343, '\P{^-IS_LOW_SURROGATES}', "");
    Expect(0, 57344, '\p{-IS_LOW_SURROGATES}', "");
    Expect(1, 57344, '\p{^-IS_LOW_SURROGATES}', "");
    Expect(1, 57344, '\P{-IS_LOW_SURROGATES}', "");
    Expect(0, 57344, '\P{^-IS_LOW_SURROGATES}', "");
    Error('\p{_:=in_LOW_surrogates}');
    Error('\P{_:=in_LOW_surrogates}');
    Expect(1, 57343, '\p{inlowsurrogates}', "");
    Expect(0, 57343, '\p{^inlowsurrogates}', "");
    Expect(0, 57343, '\P{inlowsurrogates}', "");
    Expect(1, 57343, '\P{^inlowsurrogates}', "");
    Expect(0, 57344, '\p{inlowsurrogates}', "");
    Expect(1, 57344, '\p{^inlowsurrogates}', "");
    Expect(1, 57344, '\P{inlowsurrogates}', "");
    Expect(0, 57344, '\P{^inlowsurrogates}', "");
    Expect(1, 57343, '\p{--In_Low_SURROGATES}', "");
    Expect(0, 57343, '\p{^--In_Low_SURROGATES}', "");
    Expect(0, 57343, '\P{--In_Low_SURROGATES}', "");
    Expect(1, 57343, '\P{^--In_Low_SURROGATES}', "");
    Expect(0, 57344, '\p{--In_Low_SURROGATES}', "");
    Expect(1, 57344, '\p{^--In_Low_SURROGATES}', "");
    Expect(1, 57344, '\P{--In_Low_SURROGATES}', "");
    Expect(0, 57344, '\P{^--In_Low_SURROGATES}', "");
    Error('\p{-	lowercase_Letter:=}');
    Error('\P{-	lowercase_Letter:=}');
    Expect(1, 125251, '\p{lowercaseletter}', "");
    Expect(0, 125251, '\p{^lowercaseletter}', "");
    Expect(0, 125251, '\P{lowercaseletter}', "");
    Expect(1, 125251, '\P{^lowercaseletter}', "");
    Expect(0, 125252, '\p{lowercaseletter}', "");
    Expect(1, 125252, '\p{^lowercaseletter}', "");
    Expect(1, 125252, '\P{lowercaseletter}', "");
    Expect(0, 125252, '\P{^lowercaseletter}', "");
    Expect(1, 125251, '\p{	-LOWERCASE_Letter}', "");
    Expect(0, 125251, '\p{^	-LOWERCASE_Letter}', "");
    Expect(0, 125251, '\P{	-LOWERCASE_Letter}', "");
    Expect(1, 125251, '\P{^	-LOWERCASE_Letter}', "");
    Expect(0, 125252, '\p{	-LOWERCASE_Letter}', "");
    Expect(1, 125252, '\p{^	-LOWERCASE_Letter}', "");
    Expect(1, 125252, '\P{	-LOWERCASE_Letter}', "");
    Expect(0, 125252, '\P{^	-LOWERCASE_Letter}', "");
    Error('\p{  is_LOWERCASE_LETTER:=}');
    Error('\P{  is_LOWERCASE_LETTER:=}');
    Expect(1, 125251, '\p{islowercaseletter}', "");
    Expect(0, 125251, '\p{^islowercaseletter}', "");
    Expect(0, 125251, '\P{islowercaseletter}', "");
    Expect(1, 125251, '\P{^islowercaseletter}', "");
    Expect(0, 125252, '\p{islowercaseletter}', "");
    Expect(1, 125252, '\p{^islowercaseletter}', "");
    Expect(1, 125252, '\P{islowercaseletter}', "");
    Expect(0, 125252, '\P{^islowercaseletter}', "");
    Expect(1, 125251, '\p{_-Is_Lowercase_LETTER}', "");
    Expect(0, 125251, '\p{^_-Is_Lowercase_LETTER}', "");
    Expect(0, 125251, '\P{_-Is_Lowercase_LETTER}', "");
    Expect(1, 125251, '\P{^_-Is_Lowercase_LETTER}', "");
    Expect(0, 125252, '\p{_-Is_Lowercase_LETTER}', "");
    Expect(1, 125252, '\p{^_-Is_Lowercase_LETTER}', "");
    Expect(1, 125252, '\P{_-Is_Lowercase_LETTER}', "");
    Expect(0, 125252, '\P{^_-Is_Lowercase_LETTER}', "");
    Error('\p{		Ll/a/}');
    Error('\P{		Ll/a/}');
    Expect(1, 125251, '\p{ll}', "");
    Expect(0, 125251, '\p{^ll}', "");
    Expect(0, 125251, '\P{ll}', "");
    Expect(1, 125251, '\P{^ll}', "");
    Expect(0, 125252, '\p{ll}', "");
    Expect(1, 125252, '\p{^ll}', "");
    Expect(1, 125252, '\P{ll}', "");
    Expect(0, 125252, '\P{^ll}', "");
    Expect(1, 125251, '\p{-	LL}', "");
    Expect(0, 125251, '\p{^-	LL}', "");
    Expect(0, 125251, '\P{-	LL}', "");
    Expect(1, 125251, '\P{^-	LL}', "");
    Expect(0, 125252, '\p{-	LL}', "");
    Expect(1, 125252, '\p{^-	LL}', "");
    Expect(1, 125252, '\P{-	LL}', "");
    Expect(0, 125252, '\P{^-	LL}', "");
    Error('\p{:=	_is_Ll}');
    Error('\P{:=	_is_Ll}');
    Expect(1, 125251, '\p{isll}', "");
    Expect(0, 125251, '\p{^isll}', "");
    Expect(0, 125251, '\P{isll}', "");
    Expect(1, 125251, '\P{^isll}', "");
    Expect(0, 125252, '\p{isll}', "");
    Expect(1, 125252, '\p{^isll}', "");
    Expect(1, 125252, '\P{isll}', "");
    Expect(0, 125252, '\P{^isll}', "");
    Expect(1, 125251, '\p{	_IS_Ll}', "");
    Expect(0, 125251, '\p{^	_IS_Ll}', "");
    Expect(0, 125251, '\P{	_IS_Ll}', "");
    Expect(1, 125251, '\P{^	_IS_Ll}', "");
    Expect(0, 125252, '\p{	_IS_Ll}', "");
    Expect(1, 125252, '\p{^	_IS_Ll}', "");
    Expect(1, 125252, '\P{	_IS_Ll}', "");
    Expect(0, 125252, '\P{^	_IS_Ll}', "");
    Error('\p{ :=Lycian}');
    Error('\P{ :=Lycian}');
    Expect(1, 66204, '\p{lycian}', "");
    Expect(0, 66204, '\p{^lycian}', "");
    Expect(0, 66204, '\P{lycian}', "");
    Expect(1, 66204, '\P{^lycian}', "");
    Expect(0, 66205, '\p{lycian}', "");
    Expect(1, 66205, '\p{^lycian}', "");
    Expect(1, 66205, '\P{lycian}', "");
    Expect(0, 66205, '\P{^lycian}', "");
    Expect(1, 66204, '\p{_ lycian}', "");
    Expect(0, 66204, '\p{^_ lycian}', "");
    Expect(0, 66204, '\P{_ lycian}', "");
    Expect(1, 66204, '\P{^_ lycian}', "");
    Expect(0, 66205, '\p{_ lycian}', "");
    Expect(1, 66205, '\p{^_ lycian}', "");
    Expect(1, 66205, '\P{_ lycian}', "");
    Expect(0, 66205, '\P{^_ lycian}', "");
    Error('\p{ /a/IS_Lycian}');
    Error('\P{ /a/IS_Lycian}');
    Expect(1, 66204, '\p{islycian}', "");
    Expect(0, 66204, '\p{^islycian}', "");
    Expect(0, 66204, '\P{islycian}', "");
    Expect(1, 66204, '\P{^islycian}', "");
    Expect(0, 66205, '\p{islycian}', "");
    Expect(1, 66205, '\p{^islycian}', "");
    Expect(1, 66205, '\P{islycian}', "");
    Expect(0, 66205, '\P{^islycian}', "");
    Expect(1, 66204, '\p{-IS_Lycian}', "");
    Expect(0, 66204, '\p{^-IS_Lycian}', "");
    Expect(0, 66204, '\P{-IS_Lycian}', "");
    Expect(1, 66204, '\P{^-IS_Lycian}', "");
    Expect(0, 66205, '\p{-IS_Lycian}', "");
    Expect(1, 66205, '\p{^-IS_Lycian}', "");
    Expect(1, 66205, '\P{-IS_Lycian}', "");
    Expect(0, 66205, '\P{^-IS_Lycian}', "");
    Error('\p{  lyci:=}');
    Error('\P{  lyci:=}');
    Expect(1, 66204, '\p{lyci}', "");
    Expect(0, 66204, '\p{^lyci}', "");
    Expect(0, 66204, '\P{lyci}', "");
    Expect(1, 66204, '\P{^lyci}', "");
    Expect(0, 66205, '\p{lyci}', "");
    Expect(1, 66205, '\p{^lyci}', "");
    Expect(1, 66205, '\P{lyci}', "");
    Expect(0, 66205, '\P{^lyci}', "");
    Expect(1, 66204, '\p{	-Lyci}', "");
    Expect(0, 66204, '\p{^	-Lyci}', "");
    Expect(0, 66204, '\P{	-Lyci}', "");
    Expect(1, 66204, '\P{^	-Lyci}', "");
    Expect(0, 66205, '\p{	-Lyci}', "");
    Expect(1, 66205, '\p{^	-Lyci}', "");
    Expect(1, 66205, '\P{	-Lyci}', "");
    Expect(0, 66205, '\P{^	-Lyci}', "");
    Error('\p{:=__Is_Lyci}');
    Error('\P{:=__Is_Lyci}');
    Expect(1, 66204, '\p{islyci}', "");
    Expect(0, 66204, '\p{^islyci}', "");
    Expect(0, 66204, '\P{islyci}', "");
    Expect(1, 66204, '\P{^islyci}', "");
    Expect(0, 66205, '\p{islyci}', "");
    Expect(1, 66205, '\p{^islyci}', "");
    Expect(1, 66205, '\P{islyci}', "");
    Expect(0, 66205, '\P{^islyci}', "");
    Expect(1, 66204, '\p{ _Is_Lyci}', "");
    Expect(0, 66204, '\p{^ _Is_Lyci}', "");
    Expect(0, 66204, '\P{ _Is_Lyci}', "");
    Expect(1, 66204, '\P{^ _Is_Lyci}', "");
    Expect(0, 66205, '\p{ _Is_Lyci}', "");
    Expect(1, 66205, '\p{^ _Is_Lyci}', "");
    Expect(1, 66205, '\P{ _Is_Lyci}', "");
    Expect(0, 66205, '\P{^ _Is_Lyci}', "");
    Error('\p{__lydian:=}');
    Error('\P{__lydian:=}');
    Expect(1, 67903, '\p{lydian}', "");
    Expect(0, 67903, '\p{^lydian}', "");
    Expect(0, 67903, '\P{lydian}', "");
    Expect(1, 67903, '\P{^lydian}', "");
    Expect(0, 67904, '\p{lydian}', "");
    Expect(1, 67904, '\p{^lydian}', "");
    Expect(1, 67904, '\P{lydian}', "");
    Expect(0, 67904, '\P{^lydian}', "");
    Expect(1, 67903, '\p{		lydian}', "");
    Expect(0, 67903, '\p{^		lydian}', "");
    Expect(0, 67903, '\P{		lydian}', "");
    Expect(1, 67903, '\P{^		lydian}', "");
    Expect(0, 67904, '\p{		lydian}', "");
    Expect(1, 67904, '\p{^		lydian}', "");
    Expect(1, 67904, '\P{		lydian}', "");
    Expect(0, 67904, '\P{^		lydian}', "");
    Error('\p{/a/	-Is_Lydian}');
    Error('\P{/a/	-Is_Lydian}');
    Expect(1, 67903, '\p{islydian}', "");
    Expect(0, 67903, '\p{^islydian}', "");
    Expect(0, 67903, '\P{islydian}', "");
    Expect(1, 67903, '\P{^islydian}', "");
    Expect(0, 67904, '\p{islydian}', "");
    Expect(1, 67904, '\p{^islydian}', "");
    Expect(1, 67904, '\P{islydian}', "");
    Expect(0, 67904, '\P{^islydian}', "");
    Expect(1, 67903, '\p{-	is_Lydian}', "");
    Expect(0, 67903, '\p{^-	is_Lydian}', "");
    Expect(0, 67903, '\P{-	is_Lydian}', "");
    Expect(1, 67903, '\P{^-	is_Lydian}', "");
    Expect(0, 67904, '\p{-	is_Lydian}', "");
    Expect(1, 67904, '\p{^-	is_Lydian}', "");
    Expect(1, 67904, '\P{-	is_Lydian}', "");
    Expect(0, 67904, '\P{^-	is_Lydian}', "");
    Error('\p{:=	_Lydi}');
    Error('\P{:=	_Lydi}');
    Expect(1, 67903, '\p{lydi}', "");
    Expect(0, 67903, '\p{^lydi}', "");
    Expect(0, 67903, '\P{lydi}', "");
    Expect(1, 67903, '\P{^lydi}', "");
    Expect(0, 67904, '\p{lydi}', "");
    Expect(1, 67904, '\p{^lydi}', "");
    Expect(1, 67904, '\P{lydi}', "");
    Expect(0, 67904, '\P{^lydi}', "");
    Expect(1, 67903, '\p{	Lydi}', "");
    Expect(0, 67903, '\p{^	Lydi}', "");
    Expect(0, 67903, '\P{	Lydi}', "");
    Expect(1, 67903, '\P{^	Lydi}', "");
    Expect(0, 67904, '\p{	Lydi}', "");
    Expect(1, 67904, '\p{^	Lydi}', "");
    Expect(1, 67904, '\P{	Lydi}', "");
    Expect(0, 67904, '\P{^	Lydi}', "");
    Error('\p{ :=is_Lydi}');
    Error('\P{ :=is_Lydi}');
    Expect(1, 67903, '\p{islydi}', "");
    Expect(0, 67903, '\p{^islydi}', "");
    Expect(0, 67903, '\P{islydi}', "");
    Expect(1, 67903, '\P{^islydi}', "");
    Expect(0, 67904, '\p{islydi}', "");
    Expect(1, 67904, '\p{^islydi}', "");
    Expect(1, 67904, '\P{islydi}', "");
    Expect(0, 67904, '\P{^islydi}', "");
    Expect(1, 67903, '\p{-Is_LYDI}', "");
    Expect(0, 67903, '\p{^-Is_LYDI}', "");
    Expect(0, 67903, '\P{-Is_LYDI}', "");
    Expect(1, 67903, '\P{^-Is_LYDI}', "");
    Expect(0, 67904, '\p{-Is_LYDI}', "");
    Expect(1, 67904, '\p{^-Is_LYDI}', "");
    Expect(1, 67904, '\P{-Is_LYDI}', "");
    Expect(0, 67904, '\P{^-Is_LYDI}', "");
    Error('\p{  Mahajani:=}');
    Error('\P{  Mahajani:=}');
    Expect(1, 70006, '\p{mahajani}', "");
    Expect(0, 70006, '\p{^mahajani}', "");
    Expect(0, 70006, '\P{mahajani}', "");
    Expect(1, 70006, '\P{^mahajani}', "");
    Expect(0, 70007, '\p{mahajani}', "");
    Expect(1, 70007, '\p{^mahajani}', "");
    Expect(1, 70007, '\P{mahajani}', "");
    Expect(0, 70007, '\P{^mahajani}', "");
    Expect(1, 70006, '\p{_ MAHAJANI}', "");
    Expect(0, 70006, '\p{^_ MAHAJANI}', "");
    Expect(0, 70006, '\P{_ MAHAJANI}', "");
    Expect(1, 70006, '\P{^_ MAHAJANI}', "");
    Expect(0, 70007, '\p{_ MAHAJANI}', "");
    Expect(1, 70007, '\p{^_ MAHAJANI}', "");
    Expect(1, 70007, '\P{_ MAHAJANI}', "");
    Expect(0, 70007, '\P{^_ MAHAJANI}', "");
    Error('\p{-_Is_Mahajani/a/}');
    Error('\P{-_Is_Mahajani/a/}');
    Expect(1, 70006, '\p{ismahajani}', "");
    Expect(0, 70006, '\p{^ismahajani}', "");
    Expect(0, 70006, '\P{ismahajani}', "");
    Expect(1, 70006, '\P{^ismahajani}', "");
    Expect(0, 70007, '\p{ismahajani}', "");
    Expect(1, 70007, '\p{^ismahajani}', "");
    Expect(1, 70007, '\P{ismahajani}', "");
    Expect(0, 70007, '\P{^ismahajani}', "");
    Expect(1, 70006, '\p{-_is_mahajani}', "");
    Expect(0, 70006, '\p{^-_is_mahajani}', "");
    Expect(0, 70006, '\P{-_is_mahajani}', "");
    Expect(1, 70006, '\P{^-_is_mahajani}', "");
    Expect(0, 70007, '\p{-_is_mahajani}', "");
    Expect(1, 70007, '\p{^-_is_mahajani}', "");
    Expect(1, 70007, '\P{-_is_mahajani}', "");
    Expect(0, 70007, '\P{^-_is_mahajani}', "");
    Error('\p{ -Mahj/a/}');
    Error('\P{ -Mahj/a/}');
    Expect(1, 70006, '\p{mahj}', "");
    Expect(0, 70006, '\p{^mahj}', "");
    Expect(0, 70006, '\P{mahj}', "");
    Expect(1, 70006, '\P{^mahj}', "");
    Expect(0, 70007, '\p{mahj}', "");
    Expect(1, 70007, '\p{^mahj}', "");
    Expect(1, 70007, '\P{mahj}', "");
    Expect(0, 70007, '\P{^mahj}', "");
    Expect(1, 70006, '\p{-mahj}', "");
    Expect(0, 70006, '\p{^-mahj}', "");
    Expect(0, 70006, '\P{-mahj}', "");
    Expect(1, 70006, '\P{^-mahj}', "");
    Expect(0, 70007, '\p{-mahj}', "");
    Expect(1, 70007, '\p{^-mahj}', "");
    Expect(1, 70007, '\P{-mahj}', "");
    Expect(0, 70007, '\P{^-mahj}', "");
    Error('\p{	Is_mahj/a/}');
    Error('\P{	Is_mahj/a/}');
    Expect(1, 70006, '\p{ismahj}', "");
    Expect(0, 70006, '\p{^ismahj}', "");
    Expect(0, 70006, '\P{ismahj}', "");
    Expect(1, 70006, '\P{^ismahj}', "");
    Expect(0, 70007, '\p{ismahj}', "");
    Expect(1, 70007, '\p{^ismahj}', "");
    Expect(1, 70007, '\P{ismahj}', "");
    Expect(0, 70007, '\P{^ismahj}', "");
    Expect(1, 70006, '\p{		Is_Mahj}', "");
    Expect(0, 70006, '\p{^		Is_Mahj}', "");
    Expect(0, 70006, '\P{		Is_Mahj}', "");
    Expect(1, 70006, '\P{^		Is_Mahj}', "");
    Expect(0, 70007, '\p{		Is_Mahj}', "");
    Expect(1, 70007, '\p{^		Is_Mahj}', "");
    Expect(1, 70007, '\P{		Is_Mahj}', "");
    Expect(0, 70007, '\P{^		Is_Mahj}', "");
    Error('\p{/a/-	mahjong_Tiles}');
    Error('\P{/a/-	mahjong_Tiles}');
    Expect(1, 127023, '\p{mahjongtiles}', "");
    Expect(0, 127023, '\p{^mahjongtiles}', "");
    Expect(0, 127023, '\P{mahjongtiles}', "");
    Expect(1, 127023, '\P{^mahjongtiles}', "");
    Expect(0, 127024, '\p{mahjongtiles}', "");
    Expect(1, 127024, '\p{^mahjongtiles}', "");
    Expect(1, 127024, '\P{mahjongtiles}', "");
    Expect(0, 127024, '\P{^mahjongtiles}', "");
    Expect(1, 127023, '\p{  MAHJONG_Tiles}', "");
    Expect(0, 127023, '\p{^  MAHJONG_Tiles}', "");
    Expect(0, 127023, '\P{  MAHJONG_Tiles}', "");
    Expect(1, 127023, '\P{^  MAHJONG_Tiles}', "");
    Expect(0, 127024, '\p{  MAHJONG_Tiles}', "");
    Expect(1, 127024, '\p{^  MAHJONG_Tiles}', "");
    Expect(1, 127024, '\P{  MAHJONG_Tiles}', "");
    Expect(0, 127024, '\P{^  MAHJONG_Tiles}', "");
    Error('\p{:=IS_Mahjong_Tiles}');
    Error('\P{:=IS_Mahjong_Tiles}');
    Expect(1, 127023, '\p{ismahjongtiles}', "");
    Expect(0, 127023, '\p{^ismahjongtiles}', "");
    Expect(0, 127023, '\P{ismahjongtiles}', "");
    Expect(1, 127023, '\P{^ismahjongtiles}', "");
    Expect(0, 127024, '\p{ismahjongtiles}', "");
    Expect(1, 127024, '\p{^ismahjongtiles}', "");
    Expect(1, 127024, '\P{ismahjongtiles}', "");
    Expect(0, 127024, '\P{^ismahjongtiles}', "");
    Expect(1, 127023, '\p{_	is_Mahjong_Tiles}', "");
    Expect(0, 127023, '\p{^_	is_Mahjong_Tiles}', "");
    Expect(0, 127023, '\P{_	is_Mahjong_Tiles}', "");
    Expect(1, 127023, '\P{^_	is_Mahjong_Tiles}', "");
    Expect(0, 127024, '\p{_	is_Mahjong_Tiles}', "");
    Expect(1, 127024, '\p{^_	is_Mahjong_Tiles}', "");
    Expect(1, 127024, '\P{_	is_Mahjong_Tiles}', "");
    Expect(0, 127024, '\P{^_	is_Mahjong_Tiles}', "");
    Error('\p{_ in_Mahjong_Tiles/a/}');
    Error('\P{_ in_Mahjong_Tiles/a/}');
    Expect(1, 127023, '\p{inmahjongtiles}', "");
    Expect(0, 127023, '\p{^inmahjongtiles}', "");
    Expect(0, 127023, '\P{inmahjongtiles}', "");
    Expect(1, 127023, '\P{^inmahjongtiles}', "");
    Expect(0, 127024, '\p{inmahjongtiles}', "");
    Expect(1, 127024, '\p{^inmahjongtiles}', "");
    Expect(1, 127024, '\P{inmahjongtiles}', "");
    Expect(0, 127024, '\P{^inmahjongtiles}', "");
    Expect(1, 127023, '\p{-_in_mahjong_Tiles}', "");
    Expect(0, 127023, '\p{^-_in_mahjong_Tiles}', "");
    Expect(0, 127023, '\P{-_in_mahjong_Tiles}', "");
    Expect(1, 127023, '\P{^-_in_mahjong_Tiles}', "");
    Expect(0, 127024, '\p{-_in_mahjong_Tiles}', "");
    Expect(1, 127024, '\p{^-_in_mahjong_Tiles}', "");
    Expect(1, 127024, '\P{-_in_mahjong_Tiles}', "");
    Expect(0, 127024, '\P{^-_in_mahjong_Tiles}', "");
    Error('\p{-/a/MAHJONG}');
    Error('\P{-/a/MAHJONG}');
    Expect(1, 127023, '\p{mahjong}', "");
    Expect(0, 127023, '\p{^mahjong}', "");
    Expect(0, 127023, '\P{mahjong}', "");
    Expect(1, 127023, '\P{^mahjong}', "");
    Expect(0, 127024, '\p{mahjong}', "");
    Expect(1, 127024, '\p{^mahjong}', "");
    Expect(1, 127024, '\P{mahjong}', "");
    Expect(0, 127024, '\P{^mahjong}', "");
    Expect(1, 127023, '\p{ _mahjong}', "");
    Expect(0, 127023, '\p{^ _mahjong}', "");
    Expect(0, 127023, '\P{ _mahjong}', "");
    Expect(1, 127023, '\P{^ _mahjong}', "");
    Expect(0, 127024, '\p{ _mahjong}', "");
    Expect(1, 127024, '\p{^ _mahjong}', "");
    Expect(1, 127024, '\P{ _mahjong}', "");
    Expect(0, 127024, '\P{^ _mahjong}', "");
    Error('\p{/a/	 Is_mahjong}');
    Error('\P{/a/	 Is_mahjong}');
    Expect(1, 127023, '\p{ismahjong}', "");
    Expect(0, 127023, '\p{^ismahjong}', "");
    Expect(0, 127023, '\P{ismahjong}', "");
    Expect(1, 127023, '\P{^ismahjong}', "");
    Expect(0, 127024, '\p{ismahjong}', "");
    Expect(1, 127024, '\p{^ismahjong}', "");
    Expect(1, 127024, '\P{ismahjong}', "");
    Expect(0, 127024, '\P{^ismahjong}', "");
    Expect(1, 127023, '\p{ 	Is_mahjong}', "");
    Expect(0, 127023, '\p{^ 	Is_mahjong}', "");
    Expect(0, 127023, '\P{ 	Is_mahjong}', "");
    Expect(1, 127023, '\P{^ 	Is_mahjong}', "");
    Expect(0, 127024, '\p{ 	Is_mahjong}', "");
    Expect(1, 127024, '\p{^ 	Is_mahjong}', "");
    Expect(1, 127024, '\P{ 	Is_mahjong}', "");
    Expect(0, 127024, '\P{^ 	Is_mahjong}', "");
    Error('\p{_-In_Mahjong/a/}');
    Error('\P{_-In_Mahjong/a/}');
    Expect(1, 127023, '\p{inmahjong}', "");
    Expect(0, 127023, '\p{^inmahjong}', "");
    Expect(0, 127023, '\P{inmahjong}', "");
    Expect(1, 127023, '\P{^inmahjong}', "");
    Expect(0, 127024, '\p{inmahjong}', "");
    Expect(1, 127024, '\p{^inmahjong}', "");
    Expect(1, 127024, '\P{inmahjong}', "");
    Expect(0, 127024, '\P{^inmahjong}', "");
    Expect(1, 127023, '\p{--in_mahjong}', "");
    Expect(0, 127023, '\p{^--in_mahjong}', "");
    Expect(0, 127023, '\P{--in_mahjong}', "");
    Expect(1, 127023, '\P{^--in_mahjong}', "");
    Expect(0, 127024, '\p{--in_mahjong}', "");
    Expect(1, 127024, '\p{^--in_mahjong}', "");
    Expect(1, 127024, '\P{--in_mahjong}', "");
    Expect(0, 127024, '\P{^--in_mahjong}', "");
    Error('\p{	makasar:=}');
    Error('\P{	makasar:=}');
    Expect(1, 73464, '\p{makasar}', "");
    Expect(0, 73464, '\p{^makasar}', "");
    Expect(0, 73464, '\P{makasar}', "");
    Expect(1, 73464, '\P{^makasar}', "");
    Expect(0, 73465, '\p{makasar}', "");
    Expect(1, 73465, '\p{^makasar}', "");
    Expect(1, 73465, '\P{makasar}', "");
    Expect(0, 73465, '\P{^makasar}', "");
    Expect(1, 73464, '\p{ 	makasar}', "");
    Expect(0, 73464, '\p{^ 	makasar}', "");
    Expect(0, 73464, '\P{ 	makasar}', "");
    Expect(1, 73464, '\P{^ 	makasar}', "");
    Expect(0, 73465, '\p{ 	makasar}', "");
    Expect(1, 73465, '\p{^ 	makasar}', "");
    Expect(1, 73465, '\P{ 	makasar}', "");
    Expect(0, 73465, '\P{^ 	makasar}', "");
    Error('\p{-/a/is_makasar}');
    Error('\P{-/a/is_makasar}');
    Expect(1, 73464, '\p{ismakasar}', "");
    Expect(0, 73464, '\p{^ismakasar}', "");
    Expect(0, 73464, '\P{ismakasar}', "");
    Expect(1, 73464, '\P{^ismakasar}', "");
    Expect(0, 73465, '\p{ismakasar}', "");
    Expect(1, 73465, '\p{^ismakasar}', "");
    Expect(1, 73465, '\P{ismakasar}', "");
    Expect(0, 73465, '\P{^ismakasar}', "");
    Expect(1, 73464, '\p{_Is_MAKASAR}', "");
    Expect(0, 73464, '\p{^_Is_MAKASAR}', "");
    Expect(0, 73464, '\P{_Is_MAKASAR}', "");
    Expect(1, 73464, '\P{^_Is_MAKASAR}', "");
    Expect(0, 73465, '\p{_Is_MAKASAR}', "");
    Expect(1, 73465, '\p{^_Is_MAKASAR}', "");
    Expect(1, 73465, '\P{_Is_MAKASAR}', "");
    Expect(0, 73465, '\P{^_Is_MAKASAR}', "");
    Error('\p{/a/_	maka}');
    Error('\P{/a/_	maka}');
    Expect(1, 73464, '\p{maka}', "");
    Expect(0, 73464, '\p{^maka}', "");
    Expect(0, 73464, '\P{maka}', "");
    Expect(1, 73464, '\P{^maka}', "");
    Expect(0, 73465, '\p{maka}', "");
    Expect(1, 73465, '\p{^maka}', "");
    Expect(1, 73465, '\P{maka}', "");
    Expect(0, 73465, '\P{^maka}', "");
    Expect(1, 73464, '\p{_MAKA}', "");
    Expect(0, 73464, '\p{^_MAKA}', "");
    Expect(0, 73464, '\P{_MAKA}', "");
    Expect(1, 73464, '\P{^_MAKA}', "");
    Expect(0, 73465, '\p{_MAKA}', "");
    Expect(1, 73465, '\p{^_MAKA}', "");
    Expect(1, 73465, '\P{_MAKA}', "");
    Expect(0, 73465, '\P{^_MAKA}', "");
    Error('\p{:=IS_Maka}');
    Error('\P{:=IS_Maka}');
    Expect(1, 73464, '\p{ismaka}', "");
    Expect(0, 73464, '\p{^ismaka}', "");
    Expect(0, 73464, '\P{ismaka}', "");
    Expect(1, 73464, '\P{^ismaka}', "");
    Expect(0, 73465, '\p{ismaka}', "");
    Expect(1, 73465, '\p{^ismaka}', "");
    Expect(1, 73465, '\P{ismaka}', "");
    Expect(0, 73465, '\P{^ismaka}', "");
    Expect(1, 73464, '\p{	IS_maka}', "");
    Expect(0, 73464, '\p{^	IS_maka}', "");
    Expect(0, 73464, '\P{	IS_maka}', "");
    Expect(1, 73464, '\P{^	IS_maka}', "");
    Expect(0, 73465, '\p{	IS_maka}', "");
    Expect(1, 73465, '\p{^	IS_maka}', "");
    Expect(1, 73465, '\P{	IS_maka}', "");
    Expect(0, 73465, '\P{^	IS_maka}', "");
    Error('\p{		Malayalam:=}');
    Error('\P{		Malayalam:=}');
    Expect(1, 43058, '\p{malayalam}', "");
    Expect(0, 43058, '\p{^malayalam}', "");
    Expect(0, 43058, '\P{malayalam}', "");
    Expect(1, 43058, '\P{^malayalam}', "");
    Expect(0, 43059, '\p{malayalam}', "");
    Expect(1, 43059, '\p{^malayalam}', "");
    Expect(1, 43059, '\P{malayalam}', "");
    Expect(0, 43059, '\P{^malayalam}', "");
    Expect(1, 43058, '\p{__Malayalam}', "");
    Expect(0, 43058, '\p{^__Malayalam}', "");
    Expect(0, 43058, '\P{__Malayalam}', "");
    Expect(1, 43058, '\P{^__Malayalam}', "");
    Expect(0, 43059, '\p{__Malayalam}', "");
    Expect(1, 43059, '\p{^__Malayalam}', "");
    Expect(1, 43059, '\P{__Malayalam}', "");
    Expect(0, 43059, '\P{^__Malayalam}', "");
    Error('\p{:=-	is_Malayalam}');
    Error('\P{:=-	is_Malayalam}');
    Expect(1, 43058, '\p{ismalayalam}', "");
    Expect(0, 43058, '\p{^ismalayalam}', "");
    Expect(0, 43058, '\P{ismalayalam}', "");
    Expect(1, 43058, '\P{^ismalayalam}', "");
    Expect(0, 43059, '\p{ismalayalam}', "");
    Expect(1, 43059, '\p{^ismalayalam}', "");
    Expect(1, 43059, '\P{ismalayalam}', "");
    Expect(0, 43059, '\P{^ismalayalam}', "");
    Expect(1, 43058, '\p{  Is_malayalam}', "");
    Expect(0, 43058, '\p{^  Is_malayalam}', "");
    Expect(0, 43058, '\P{  Is_malayalam}', "");
    Expect(1, 43058, '\P{^  Is_malayalam}', "");
    Expect(0, 43059, '\p{  Is_malayalam}', "");
    Expect(1, 43059, '\p{^  Is_malayalam}', "");
    Expect(1, 43059, '\P{  Is_malayalam}', "");
    Expect(0, 43059, '\P{^  Is_malayalam}', "");
    Error('\p{/a/_-MLYM}');
    Error('\P{/a/_-MLYM}');
    Expect(1, 43058, '\p{mlym}', "");
    Expect(0, 43058, '\p{^mlym}', "");
    Expect(0, 43058, '\P{mlym}', "");
    Expect(1, 43058, '\P{^mlym}', "");
    Expect(0, 43059, '\p{mlym}', "");
    Expect(1, 43059, '\p{^mlym}', "");
    Expect(1, 43059, '\P{mlym}', "");
    Expect(0, 43059, '\P{^mlym}', "");
    Expect(1, 43058, '\p{_Mlym}', "");
    Expect(0, 43058, '\p{^_Mlym}', "");
    Expect(0, 43058, '\P{_Mlym}', "");
    Expect(1, 43058, '\P{^_Mlym}', "");
    Expect(0, 43059, '\p{_Mlym}', "");
    Expect(1, 43059, '\p{^_Mlym}', "");
    Expect(1, 43059, '\P{_Mlym}', "");
    Expect(0, 43059, '\P{^_Mlym}', "");
    Error('\p{__is_mlym/a/}');
    Error('\P{__is_mlym/a/}');
    Expect(1, 43058, '\p{ismlym}', "");
    Expect(0, 43058, '\p{^ismlym}', "");
    Expect(0, 43058, '\P{ismlym}', "");
    Expect(1, 43058, '\P{^ismlym}', "");
    Expect(0, 43059, '\p{ismlym}', "");
    Expect(1, 43059, '\p{^ismlym}', "");
    Expect(1, 43059, '\P{ismlym}', "");
    Expect(0, 43059, '\P{^ismlym}', "");
    Expect(1, 43058, '\p{-_Is_mlym}', "");
    Expect(0, 43058, '\p{^-_Is_mlym}', "");
    Expect(0, 43058, '\P{-_Is_mlym}', "");
    Expect(1, 43058, '\P{^-_Is_mlym}', "");
    Expect(0, 43059, '\p{-_Is_mlym}', "");
    Expect(1, 43059, '\p{^-_Is_mlym}', "");
    Expect(1, 43059, '\P{-_Is_mlym}', "");
    Expect(0, 43059, '\P{^-_Is_mlym}', "");
    Error('\p{/a/		MANDAIC}');
    Error('\P{/a/		MANDAIC}');
    Expect(1, 2142, '\p{mandaic}', "");
    Expect(0, 2142, '\p{^mandaic}', "");
    Expect(0, 2142, '\P{mandaic}', "");
    Expect(1, 2142, '\P{^mandaic}', "");
    Expect(0, 2143, '\p{mandaic}', "");
    Expect(1, 2143, '\p{^mandaic}', "");
    Expect(1, 2143, '\P{mandaic}', "");
    Expect(0, 2143, '\P{^mandaic}', "");
    Expect(1, 2142, '\p{	_MANDAIC}', "");
    Expect(0, 2142, '\p{^	_MANDAIC}', "");
    Expect(0, 2142, '\P{	_MANDAIC}', "");
    Expect(1, 2142, '\P{^	_MANDAIC}', "");
    Expect(0, 2143, '\p{	_MANDAIC}', "");
    Expect(1, 2143, '\p{^	_MANDAIC}', "");
    Expect(1, 2143, '\P{	_MANDAIC}', "");
    Expect(0, 2143, '\P{^	_MANDAIC}', "");
    Error('\p{_/a/Is_Mandaic}');
    Error('\P{_/a/Is_Mandaic}');
    Expect(1, 2142, '\p{ismandaic}', "");
    Expect(0, 2142, '\p{^ismandaic}', "");
    Expect(0, 2142, '\P{ismandaic}', "");
    Expect(1, 2142, '\P{^ismandaic}', "");
    Expect(0, 2143, '\p{ismandaic}', "");
    Expect(1, 2143, '\p{^ismandaic}', "");
    Expect(1, 2143, '\P{ismandaic}', "");
    Expect(0, 2143, '\P{^ismandaic}', "");
    Expect(1, 2142, '\p{	is_Mandaic}', "");
    Expect(0, 2142, '\p{^	is_Mandaic}', "");
    Expect(0, 2142, '\P{	is_Mandaic}', "");
    Expect(1, 2142, '\P{^	is_Mandaic}', "");
    Expect(0, 2143, '\p{	is_Mandaic}', "");
    Expect(1, 2143, '\p{^	is_Mandaic}', "");
    Expect(1, 2143, '\P{	is_Mandaic}', "");
    Expect(0, 2143, '\P{^	is_Mandaic}', "");
    Error('\p{__mand:=}');
    Error('\P{__mand:=}');
    Expect(1, 2142, '\p{mand}', "");
    Expect(0, 2142, '\p{^mand}', "");
    Expect(0, 2142, '\P{mand}', "");
    Expect(1, 2142, '\P{^mand}', "");
    Expect(0, 2143, '\p{mand}', "");
    Expect(1, 2143, '\p{^mand}', "");
    Expect(1, 2143, '\P{mand}', "");
    Expect(0, 2143, '\P{^mand}', "");
    Expect(1, 2142, '\p{	 MAND}', "");
    Expect(0, 2142, '\p{^	 MAND}', "");
    Expect(0, 2142, '\P{	 MAND}', "");
    Expect(1, 2142, '\P{^	 MAND}', "");
    Expect(0, 2143, '\p{	 MAND}', "");
    Expect(1, 2143, '\p{^	 MAND}', "");
    Expect(1, 2143, '\P{	 MAND}', "");
    Expect(0, 2143, '\P{^	 MAND}', "");
    Error('\p{-Is_mand:=}');
    Error('\P{-Is_mand:=}');
    Expect(1, 2142, '\p{ismand}', "");
    Expect(0, 2142, '\p{^ismand}', "");
    Expect(0, 2142, '\P{ismand}', "");
    Expect(1, 2142, '\P{^ismand}', "");
    Expect(0, 2143, '\p{ismand}', "");
    Expect(1, 2143, '\p{^ismand}', "");
    Expect(1, 2143, '\P{ismand}', "");
    Expect(0, 2143, '\P{^ismand}', "");
    Expect(1, 2142, '\p{-	is_MAND}', "");
    Expect(0, 2142, '\p{^-	is_MAND}', "");
    Expect(0, 2142, '\P{-	is_MAND}', "");
    Expect(1, 2142, '\P{^-	is_MAND}', "");
    Expect(0, 2143, '\p{-	is_MAND}', "");
    Expect(1, 2143, '\p{^-	is_MAND}', "");
    Expect(1, 2143, '\P{-	is_MAND}', "");
    Expect(0, 2143, '\P{^-	is_MAND}', "");
    Error('\p{_/a/MANICHAEAN}');
    Error('\P{_/a/MANICHAEAN}');
    Expect(1, 68342, '\p{manichaean}', "");
    Expect(0, 68342, '\p{^manichaean}', "");
    Expect(0, 68342, '\P{manichaean}', "");
    Expect(1, 68342, '\P{^manichaean}', "");
    Expect(0, 68343, '\p{manichaean}', "");
    Expect(1, 68343, '\p{^manichaean}', "");
    Expect(1, 68343, '\P{manichaean}', "");
    Expect(0, 68343, '\P{^manichaean}', "");
    Expect(1, 68342, '\p{-Manichaean}', "");
    Expect(0, 68342, '\p{^-Manichaean}', "");
    Expect(0, 68342, '\P{-Manichaean}', "");
    Expect(1, 68342, '\P{^-Manichaean}', "");
    Expect(0, 68343, '\p{-Manichaean}', "");
    Expect(1, 68343, '\p{^-Manichaean}', "");
    Expect(1, 68343, '\P{-Manichaean}', "");
    Expect(0, 68343, '\P{^-Manichaean}', "");
    Error('\p{/a/-Is_Manichaean}');
    Error('\P{/a/-Is_Manichaean}');
    Expect(1, 68342, '\p{ismanichaean}', "");
    Expect(0, 68342, '\p{^ismanichaean}', "");
    Expect(0, 68342, '\P{ismanichaean}', "");
    Expect(1, 68342, '\P{^ismanichaean}', "");
    Expect(0, 68343, '\p{ismanichaean}', "");
    Expect(1, 68343, '\p{^ismanichaean}', "");
    Expect(1, 68343, '\P{ismanichaean}', "");
    Expect(0, 68343, '\P{^ismanichaean}', "");
    Expect(1, 68342, '\p{-_IS_Manichaean}', "");
    Expect(0, 68342, '\p{^-_IS_Manichaean}', "");
    Expect(0, 68342, '\P{-_IS_Manichaean}', "");
    Expect(1, 68342, '\P{^-_IS_Manichaean}', "");
    Expect(0, 68343, '\p{-_IS_Manichaean}', "");
    Expect(1, 68343, '\p{^-_IS_Manichaean}', "");
    Expect(1, 68343, '\P{-_IS_Manichaean}', "");
    Expect(0, 68343, '\P{^-_IS_Manichaean}', "");
    Error('\p{mani:=}');
    Error('\P{mani:=}');
    Expect(1, 68342, '\p{mani}', "");
    Expect(0, 68342, '\p{^mani}', "");
    Expect(0, 68342, '\P{mani}', "");
    Expect(1, 68342, '\P{^mani}', "");
    Expect(0, 68343, '\p{mani}', "");
    Expect(1, 68343, '\p{^mani}', "");
    Expect(1, 68343, '\P{mani}', "");
    Expect(0, 68343, '\P{^mani}', "");
    Expect(1, 68342, '\p{		Mani}', "");
    Expect(0, 68342, '\p{^		Mani}', "");
    Expect(0, 68342, '\P{		Mani}', "");
    Expect(1, 68342, '\P{^		Mani}', "");
    Expect(0, 68343, '\p{		Mani}', "");
    Expect(1, 68343, '\p{^		Mani}', "");
    Expect(1, 68343, '\P{		Mani}', "");
    Expect(0, 68343, '\P{^		Mani}', "");
    Error('\p{_/a/Is_MANI}');
    Error('\P{_/a/Is_MANI}');
    Expect(1, 68342, '\p{ismani}', "");
    Expect(0, 68342, '\p{^ismani}', "");
    Expect(0, 68342, '\P{ismani}', "");
    Expect(1, 68342, '\P{^ismani}', "");
    Expect(0, 68343, '\p{ismani}', "");
    Expect(1, 68343, '\p{^ismani}', "");
    Expect(1, 68343, '\P{ismani}', "");
    Expect(0, 68343, '\P{^ismani}', "");
    Expect(1, 68342, '\p{_	Is_Mani}', "");
    Expect(0, 68342, '\p{^_	Is_Mani}', "");
    Expect(0, 68342, '\P{_	Is_Mani}', "");
    Expect(1, 68342, '\P{^_	Is_Mani}', "");
    Expect(0, 68343, '\p{_	Is_Mani}', "");
    Expect(1, 68343, '\p{^_	Is_Mani}', "");
    Expect(1, 68343, '\P{_	Is_Mani}', "");
    Expect(0, 68343, '\P{^_	Is_Mani}', "");
    Error('\p{	:=marchen}');
    Error('\P{	:=marchen}');
    Expect(1, 72886, '\p{marchen}', "");
    Expect(0, 72886, '\p{^marchen}', "");
    Expect(0, 72886, '\P{marchen}', "");
    Expect(1, 72886, '\P{^marchen}', "");
    Expect(0, 72887, '\p{marchen}', "");
    Expect(1, 72887, '\p{^marchen}', "");
    Expect(1, 72887, '\P{marchen}', "");
    Expect(0, 72887, '\P{^marchen}', "");
    Expect(1, 72886, '\p{ -Marchen}', "");
    Expect(0, 72886, '\p{^ -Marchen}', "");
    Expect(0, 72886, '\P{ -Marchen}', "");
    Expect(1, 72886, '\P{^ -Marchen}', "");
    Expect(0, 72887, '\p{ -Marchen}', "");
    Expect(1, 72887, '\p{^ -Marchen}', "");
    Expect(1, 72887, '\P{ -Marchen}', "");
    Expect(0, 72887, '\P{^ -Marchen}', "");
    Error('\p{:=_	is_Marchen}');
    Error('\P{:=_	is_Marchen}');
    Expect(1, 72886, '\p{ismarchen}', "");
    Expect(0, 72886, '\p{^ismarchen}', "");
    Expect(0, 72886, '\P{ismarchen}', "");
    Expect(1, 72886, '\P{^ismarchen}', "");
    Expect(0, 72887, '\p{ismarchen}', "");
    Expect(1, 72887, '\p{^ismarchen}', "");
    Expect(1, 72887, '\P{ismarchen}', "");
    Expect(0, 72887, '\P{^ismarchen}', "");
    Expect(1, 72886, '\p{  Is_MARCHEN}', "");
    Expect(0, 72886, '\p{^  Is_MARCHEN}', "");
    Expect(0, 72886, '\P{  Is_MARCHEN}', "");
    Expect(1, 72886, '\P{^  Is_MARCHEN}', "");
    Expect(0, 72887, '\p{  Is_MARCHEN}', "");
    Expect(1, 72887, '\p{^  Is_MARCHEN}', "");
    Expect(1, 72887, '\P{  Is_MARCHEN}', "");
    Expect(0, 72887, '\P{^  Is_MARCHEN}', "");
    Error('\p{ :=Marc}');
    Error('\P{ :=Marc}');
    Expect(1, 72886, '\p{marc}', "");
    Expect(0, 72886, '\p{^marc}', "");
    Expect(0, 72886, '\P{marc}', "");
    Expect(1, 72886, '\P{^marc}', "");
    Expect(0, 72887, '\p{marc}', "");
    Expect(1, 72887, '\p{^marc}', "");
    Expect(1, 72887, '\P{marc}', "");
    Expect(0, 72887, '\P{^marc}', "");
    Expect(1, 72886, '\p{_ MARC}', "");
    Expect(0, 72886, '\p{^_ MARC}', "");
    Expect(0, 72886, '\P{_ MARC}', "");
    Expect(1, 72886, '\P{^_ MARC}', "");
    Expect(0, 72887, '\p{_ MARC}', "");
    Expect(1, 72887, '\p{^_ MARC}', "");
    Expect(1, 72887, '\P{_ MARC}', "");
    Expect(0, 72887, '\P{^_ MARC}', "");
    Error('\p{	_Is_MARC/a/}');
    Error('\P{	_Is_MARC/a/}');
    Expect(1, 72886, '\p{ismarc}', "");
    Expect(0, 72886, '\p{^ismarc}', "");
    Expect(0, 72886, '\P{ismarc}', "");
    Expect(1, 72886, '\P{^ismarc}', "");
    Expect(0, 72887, '\p{ismarc}', "");
    Expect(1, 72887, '\p{^ismarc}', "");
    Expect(1, 72887, '\P{ismarc}', "");
    Expect(0, 72887, '\P{^ismarc}', "");
    Expect(1, 72886, '\p{_-Is_Marc}', "");
    Expect(0, 72886, '\p{^_-Is_Marc}', "");
    Expect(0, 72886, '\P{_-Is_Marc}', "");
    Expect(1, 72886, '\P{^_-Is_Marc}', "");
    Expect(0, 72887, '\p{_-Is_Marc}', "");
    Expect(1, 72887, '\p{^_-Is_Marc}', "");
    Expect(1, 72887, '\P{_-Is_Marc}', "");
    Expect(0, 72887, '\P{^_-Is_Marc}', "");
    Error('\p{ :=Mark}');
    Error('\P{ :=Mark}');
    Expect(1, 917999, '\p{mark}', "");
    Expect(0, 917999, '\p{^mark}', "");
    Expect(0, 917999, '\P{mark}', "");
    Expect(1, 917999, '\P{^mark}', "");
    Expect(0, 918000, '\p{mark}', "");
    Expect(1, 918000, '\p{^mark}', "");
    Expect(1, 918000, '\P{mark}', "");
    Expect(0, 918000, '\P{^mark}', "");
    Expect(1, 917999, '\p{  MARK}', "");
    Expect(0, 917999, '\p{^  MARK}', "");
    Expect(0, 917999, '\P{  MARK}', "");
    Expect(1, 917999, '\P{^  MARK}', "");
    Expect(0, 918000, '\p{  MARK}', "");
    Expect(1, 918000, '\p{^  MARK}', "");
    Expect(1, 918000, '\P{  MARK}', "");
    Expect(0, 918000, '\P{^  MARK}', "");
    Error('\p{		Is_mark/a/}');
    Error('\P{		Is_mark/a/}');
    Expect(1, 917999, '\p{ismark}', "");
    Expect(0, 917999, '\p{^ismark}', "");
    Expect(0, 917999, '\P{ismark}', "");
    Expect(1, 917999, '\P{^ismark}', "");
    Expect(0, 918000, '\p{ismark}', "");
    Expect(1, 918000, '\p{^ismark}', "");
    Expect(1, 918000, '\P{ismark}', "");
    Expect(0, 918000, '\P{^ismark}', "");
    Expect(1, 917999, '\p{	is_Mark}', "");
    Expect(0, 917999, '\p{^	is_Mark}', "");
    Expect(0, 917999, '\P{	is_Mark}', "");
    Expect(1, 917999, '\P{^	is_Mark}', "");
    Expect(0, 918000, '\p{	is_Mark}', "");
    Expect(1, 918000, '\p{^	is_Mark}', "");
    Expect(1, 918000, '\P{	is_Mark}', "");
    Expect(0, 918000, '\P{^	is_Mark}', "");
    Error('\p{-m:=}');
    Error('\P{-m:=}');
    Expect(1, 917999, '\p{m}', "");
    Expect(0, 917999, '\p{^m}', "");
    Expect(0, 917999, '\P{m}', "");
    Expect(1, 917999, '\P{^m}', "");
    Expect(0, 918000, '\p{m}', "");
    Expect(1, 918000, '\p{^m}', "");
    Expect(1, 918000, '\P{m}', "");
    Expect(0, 918000, '\P{^m}', "");
    Expect(1, 917999, '\p{_M}', "");
    Expect(0, 917999, '\p{^_M}', "");
    Expect(0, 917999, '\P{_M}', "");
    Expect(1, 917999, '\P{^_M}', "");
    Expect(0, 918000, '\p{_M}', "");
    Expect(1, 918000, '\p{^_M}', "");
    Expect(1, 918000, '\P{_M}', "");
    Expect(0, 918000, '\P{^_M}', "");
    Error('\p{/a/ 	is_M}');
    Error('\P{/a/ 	is_M}');
    Expect(1, 917999, '\p{ism}', "");
    Expect(0, 917999, '\p{^ism}', "");
    Expect(0, 917999, '\P{ism}', "");
    Expect(1, 917999, '\P{^ism}', "");
    Expect(0, 918000, '\p{ism}', "");
    Expect(1, 918000, '\p{^ism}', "");
    Expect(1, 918000, '\P{ism}', "");
    Expect(0, 918000, '\P{^ism}', "");
    Expect(1, 917999, '\p{-	Is_M}', "");
    Expect(0, 917999, '\p{^-	Is_M}', "");
    Expect(0, 917999, '\P{-	Is_M}', "");
    Expect(1, 917999, '\P{^-	Is_M}', "");
    Expect(0, 918000, '\p{-	Is_M}', "");
    Expect(1, 918000, '\p{^-	Is_M}', "");
    Expect(1, 918000, '\P{-	Is_M}', "");
    Expect(0, 918000, '\P{^-	Is_M}', "");
    Error('\p{:= 	Combining_Mark}');
    Error('\P{:= 	Combining_Mark}');
    Expect(1, 917999, '\p{combiningmark}', "");
    Expect(0, 917999, '\p{^combiningmark}', "");
    Expect(0, 917999, '\P{combiningmark}', "");
    Expect(1, 917999, '\P{^combiningmark}', "");
    Expect(0, 918000, '\p{combiningmark}', "");
    Expect(1, 918000, '\p{^combiningmark}', "");
    Expect(1, 918000, '\P{combiningmark}', "");
    Expect(0, 918000, '\P{^combiningmark}', "");
    Expect(1, 917999, '\p{  Combining_Mark}', "");
    Expect(0, 917999, '\p{^  Combining_Mark}', "");
    Expect(0, 917999, '\P{  Combining_Mark}', "");
    Expect(1, 917999, '\P{^  Combining_Mark}', "");
    Expect(0, 918000, '\p{  Combining_Mark}', "");
    Expect(1, 918000, '\p{^  Combining_Mark}', "");
    Expect(1, 918000, '\P{  Combining_Mark}', "");
    Expect(0, 918000, '\P{^  Combining_Mark}', "");
    Error('\p{ -Is_COMBINING_Mark:=}');
    Error('\P{ -Is_COMBINING_Mark:=}');
    Expect(1, 917999, '\p{iscombiningmark}', "");
    Expect(0, 917999, '\p{^iscombiningmark}', "");
    Expect(0, 917999, '\P{iscombiningmark}', "");
    Expect(1, 917999, '\P{^iscombiningmark}', "");
    Expect(0, 918000, '\p{iscombiningmark}', "");
    Expect(1, 918000, '\p{^iscombiningmark}', "");
    Expect(1, 918000, '\P{iscombiningmark}', "");
    Expect(0, 918000, '\P{^iscombiningmark}', "");
    Expect(1, 917999, '\p{--is_Combining_MARK}', "");
    Expect(0, 917999, '\p{^--is_Combining_MARK}', "");
    Expect(0, 917999, '\P{--is_Combining_MARK}', "");
    Expect(1, 917999, '\P{^--is_Combining_MARK}', "");
    Expect(0, 918000, '\p{--is_Combining_MARK}', "");
    Expect(1, 918000, '\p{^--is_Combining_MARK}', "");
    Expect(1, 918000, '\P{--is_Combining_MARK}', "");
    Expect(0, 918000, '\P{^--is_Combining_MARK}', "");
    Error('\p{:= _Masaram_gondi}');
    Error('\P{:= _Masaram_gondi}');
    Expect(1, 73049, '\p{masaramgondi}', "");
    Expect(0, 73049, '\p{^masaramgondi}', "");
    Expect(0, 73049, '\P{masaramgondi}', "");
    Expect(1, 73049, '\P{^masaramgondi}', "");
    Expect(0, 73050, '\p{masaramgondi}', "");
    Expect(1, 73050, '\p{^masaramgondi}', "");
    Expect(1, 73050, '\P{masaramgondi}', "");
    Expect(0, 73050, '\P{^masaramgondi}', "");
    Expect(1, 73049, '\p{ Masaram_Gondi}', "");
    Expect(0, 73049, '\p{^ Masaram_Gondi}', "");
    Expect(0, 73049, '\P{ Masaram_Gondi}', "");
    Expect(1, 73049, '\P{^ Masaram_Gondi}', "");
    Expect(0, 73050, '\p{ Masaram_Gondi}', "");
    Expect(1, 73050, '\p{^ Masaram_Gondi}', "");
    Expect(1, 73050, '\P{ Masaram_Gondi}', "");
    Expect(0, 73050, '\P{^ Masaram_Gondi}', "");
    Error('\p{/a/__Is_masaram_gondi}');
    Error('\P{/a/__Is_masaram_gondi}');
    Expect(1, 73049, '\p{ismasaramgondi}', "");
    Expect(0, 73049, '\p{^ismasaramgondi}', "");
    Expect(0, 73049, '\P{ismasaramgondi}', "");
    Expect(1, 73049, '\P{^ismasaramgondi}', "");
    Expect(0, 73050, '\p{ismasaramgondi}', "");
    Expect(1, 73050, '\p{^ismasaramgondi}', "");
    Expect(1, 73050, '\P{ismasaramgondi}', "");
    Expect(0, 73050, '\P{^ismasaramgondi}', "");
    Expect(1, 73049, '\p{__Is_Masaram_GONDI}', "");
    Expect(0, 73049, '\p{^__Is_Masaram_GONDI}', "");
    Expect(0, 73049, '\P{__Is_Masaram_GONDI}', "");
    Expect(1, 73049, '\P{^__Is_Masaram_GONDI}', "");
    Expect(0, 73050, '\p{__Is_Masaram_GONDI}', "");
    Expect(1, 73050, '\p{^__Is_Masaram_GONDI}', "");
    Expect(1, 73050, '\P{__Is_Masaram_GONDI}', "");
    Expect(0, 73050, '\P{^__Is_Masaram_GONDI}', "");
    Error('\p{	_GONM:=}');
    Error('\P{	_GONM:=}');
    Expect(1, 73049, '\p{gonm}', "");
    Expect(0, 73049, '\p{^gonm}', "");
    Expect(0, 73049, '\P{gonm}', "");
    Expect(1, 73049, '\P{^gonm}', "");
    Expect(0, 73050, '\p{gonm}', "");
    Expect(1, 73050, '\p{^gonm}', "");
    Expect(1, 73050, '\P{gonm}', "");
    Expect(0, 73050, '\P{^gonm}', "");
    Expect(1, 73049, '\p{  Gonm}', "");
    Expect(0, 73049, '\p{^  Gonm}', "");
    Expect(0, 73049, '\P{  Gonm}', "");
    Expect(1, 73049, '\P{^  Gonm}', "");
    Expect(0, 73050, '\p{  Gonm}', "");
    Expect(1, 73050, '\p{^  Gonm}', "");
    Expect(1, 73050, '\P{  Gonm}', "");
    Expect(0, 73050, '\P{^  Gonm}', "");
    Error('\p{	:=is_Gonm}');
    Error('\P{	:=is_Gonm}');
    Expect(1, 73049, '\p{isgonm}', "");
    Expect(0, 73049, '\p{^isgonm}', "");
    Expect(0, 73049, '\P{isgonm}', "");
    Expect(1, 73049, '\P{^isgonm}', "");
    Expect(0, 73050, '\p{isgonm}', "");
    Expect(1, 73050, '\p{^isgonm}', "");
    Expect(1, 73050, '\P{isgonm}', "");
    Expect(0, 73050, '\P{^isgonm}', "");
    Expect(1, 73049, '\p{-	Is_gonm}', "");
    Expect(0, 73049, '\p{^-	Is_gonm}', "");
    Expect(0, 73049, '\P{-	Is_gonm}', "");
    Expect(1, 73049, '\P{^-	Is_gonm}', "");
    Expect(0, 73050, '\p{-	Is_gonm}', "");
    Expect(1, 73050, '\p{^-	Is_gonm}', "");
    Expect(1, 73050, '\P{-	Is_gonm}', "");
    Expect(0, 73050, '\P{^-	Is_gonm}', "");
    Error('\p{-	Math/a/}');
    Error('\P{-	Math/a/}');
    Expect(1, 126705, '\p{math}', "");
    Expect(0, 126705, '\p{^math}', "");
    Expect(0, 126705, '\P{math}', "");
    Expect(1, 126705, '\P{^math}', "");
    Expect(0, 126706, '\p{math}', "");
    Expect(1, 126706, '\p{^math}', "");
    Expect(1, 126706, '\P{math}', "");
    Expect(0, 126706, '\P{^math}', "");
    Expect(1, 126705, '\p{__Math}', "");
    Expect(0, 126705, '\p{^__Math}', "");
    Expect(0, 126705, '\P{__Math}', "");
    Expect(1, 126705, '\P{^__Math}', "");
    Expect(0, 126706, '\p{__Math}', "");
    Expect(1, 126706, '\p{^__Math}', "");
    Expect(1, 126706, '\P{__Math}', "");
    Expect(0, 126706, '\P{^__Math}', "");
    Error('\p{Is_Math/a/}');
    Error('\P{Is_Math/a/}');
    Expect(1, 126705, '\p{ismath}', "");
    Expect(0, 126705, '\p{^ismath}', "");
    Expect(0, 126705, '\P{ismath}', "");
    Expect(1, 126705, '\P{^ismath}', "");
    Expect(0, 126706, '\p{ismath}', "");
    Expect(1, 126706, '\p{^ismath}', "");
    Expect(1, 126706, '\P{ismath}', "");
    Expect(0, 126706, '\P{^ismath}', "");
    Expect(1, 126705, '\p{ IS_MATH}', "");
    Expect(0, 126705, '\p{^ IS_MATH}', "");
    Expect(0, 126705, '\P{ IS_MATH}', "");
    Expect(1, 126705, '\P{^ IS_MATH}', "");
    Expect(0, 126706, '\p{ IS_MATH}', "");
    Expect(1, 126706, '\p{^ IS_MATH}', "");
    Expect(1, 126706, '\P{ IS_MATH}', "");
    Expect(0, 126706, '\P{^ IS_MATH}', "");
    Error('\p{	Math_Symbol:=}');
    Error('\P{	Math_Symbol:=}');
    Expect(1, 126705, '\p{mathsymbol}', "");
    Expect(0, 126705, '\p{^mathsymbol}', "");
    Expect(0, 126705, '\P{mathsymbol}', "");
    Expect(1, 126705, '\P{^mathsymbol}', "");
    Expect(0, 126706, '\p{mathsymbol}', "");
    Expect(1, 126706, '\p{^mathsymbol}', "");
    Expect(1, 126706, '\P{mathsymbol}', "");
    Expect(0, 126706, '\P{^mathsymbol}', "");
    Expect(1, 126705, '\p{_MATH_symbol}', "");
    Expect(0, 126705, '\p{^_MATH_symbol}', "");
    Expect(0, 126705, '\P{_MATH_symbol}', "");
    Expect(1, 126705, '\P{^_MATH_symbol}', "");
    Expect(0, 126706, '\p{_MATH_symbol}', "");
    Expect(1, 126706, '\p{^_MATH_symbol}', "");
    Expect(1, 126706, '\P{_MATH_symbol}', "");
    Expect(0, 126706, '\P{^_MATH_symbol}', "");
    Error('\p{:=_Is_Math_SYMBOL}');
    Error('\P{:=_Is_Math_SYMBOL}');
    Expect(1, 126705, '\p{ismathsymbol}', "");
    Expect(0, 126705, '\p{^ismathsymbol}', "");
    Expect(0, 126705, '\P{ismathsymbol}', "");
    Expect(1, 126705, '\P{^ismathsymbol}', "");
    Expect(0, 126706, '\p{ismathsymbol}', "");
    Expect(1, 126706, '\p{^ismathsymbol}', "");
    Expect(1, 126706, '\P{ismathsymbol}', "");
    Expect(0, 126706, '\P{^ismathsymbol}', "");
    Expect(1, 126705, '\p{	is_math_symbol}', "");
    Expect(0, 126705, '\p{^	is_math_symbol}', "");
    Expect(0, 126705, '\P{	is_math_symbol}', "");
    Expect(1, 126705, '\P{^	is_math_symbol}', "");
    Expect(0, 126706, '\p{	is_math_symbol}', "");
    Expect(1, 126706, '\p{^	is_math_symbol}', "");
    Expect(1, 126706, '\P{	is_math_symbol}', "");
    Expect(0, 126706, '\P{^	is_math_symbol}', "");
    Error('\p{-:=Sm}');
    Error('\P{-:=Sm}');
    Expect(1, 126705, '\p{sm}', "");
    Expect(0, 126705, '\p{^sm}', "");
    Expect(0, 126705, '\P{sm}', "");
    Expect(1, 126705, '\P{^sm}', "");
    Expect(0, 126706, '\p{sm}', "");
    Expect(1, 126706, '\p{^sm}', "");
    Expect(1, 126706, '\P{sm}', "");
    Expect(0, 126706, '\P{^sm}', "");
    Expect(1, 126705, '\p{_sm}', "");
    Expect(0, 126705, '\p{^_sm}', "");
    Expect(0, 126705, '\P{_sm}', "");
    Expect(1, 126705, '\P{^_sm}', "");
    Expect(0, 126706, '\p{_sm}', "");
    Expect(1, 126706, '\p{^_sm}', "");
    Expect(1, 126706, '\P{_sm}', "");
    Expect(0, 126706, '\P{^_sm}', "");
    Error('\p{:=is_SM}');
    Error('\P{:=is_SM}');
    Expect(1, 126705, '\p{issm}', "");
    Expect(0, 126705, '\p{^issm}', "");
    Expect(0, 126705, '\P{issm}', "");
    Expect(1, 126705, '\P{^issm}', "");
    Expect(0, 126706, '\p{issm}', "");
    Expect(1, 126706, '\p{^issm}', "");
    Expect(1, 126706, '\P{issm}', "");
    Expect(0, 126706, '\P{^issm}', "");
    Expect(1, 126705, '\p{  Is_sm}', "");
    Expect(0, 126705, '\p{^  Is_sm}', "");
    Expect(0, 126705, '\P{  Is_sm}', "");
    Expect(1, 126705, '\P{^  Is_sm}', "");
    Expect(0, 126706, '\p{  Is_sm}', "");
    Expect(1, 126706, '\p{^  Is_sm}', "");
    Expect(1, 126706, '\P{  Is_sm}', "");
    Expect(0, 126706, '\P{^  Is_sm}', "");
    Error('\p{/a/- mathematical_alphanumeric_Symbols}');
    Error('\P{/a/- mathematical_alphanumeric_Symbols}');
    Expect(1, 120831, '\p{mathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\p{^mathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\P{mathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\P{^mathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\p{mathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\p{^mathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\P{mathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\P{^mathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\p{_mathematical_ALPHANUMERIC_Symbols}', "");
    Expect(0, 120831, '\p{^_mathematical_ALPHANUMERIC_Symbols}', "");
    Expect(0, 120831, '\P{_mathematical_ALPHANUMERIC_Symbols}', "");
    Expect(1, 120831, '\P{^_mathematical_ALPHANUMERIC_Symbols}', "");
    Expect(0, 120832, '\p{_mathematical_ALPHANUMERIC_Symbols}', "");
    Expect(1, 120832, '\p{^_mathematical_ALPHANUMERIC_Symbols}', "");
    Expect(1, 120832, '\P{_mathematical_ALPHANUMERIC_Symbols}', "");
    Expect(0, 120832, '\P{^_mathematical_ALPHANUMERIC_Symbols}', "");
    Error('\p{/a/		Is_MATHEMATICAL_ALPHANUMERIC_symbols}');
    Error('\P{/a/		Is_MATHEMATICAL_ALPHANUMERIC_symbols}');
    Expect(1, 120831, '\p{ismathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\p{^ismathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\P{ismathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\P{^ismathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\p{ismathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\p{^ismathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\P{ismathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\P{^ismathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\p{_ IS_Mathematical_alphanumeric_Symbols}', "");
    Expect(0, 120831, '\p{^_ IS_Mathematical_alphanumeric_Symbols}', "");
    Expect(0, 120831, '\P{_ IS_Mathematical_alphanumeric_Symbols}', "");
    Expect(1, 120831, '\P{^_ IS_Mathematical_alphanumeric_Symbols}', "");
    Expect(0, 120832, '\p{_ IS_Mathematical_alphanumeric_Symbols}', "");
    Expect(1, 120832, '\p{^_ IS_Mathematical_alphanumeric_Symbols}', "");
    Expect(1, 120832, '\P{_ IS_Mathematical_alphanumeric_Symbols}', "");
    Expect(0, 120832, '\P{^_ IS_Mathematical_alphanumeric_Symbols}', "");
    Error('\p{/a/ _In_MATHEMATICAL_alphanumeric_Symbols}');
    Error('\P{/a/ _In_MATHEMATICAL_alphanumeric_Symbols}');
    Expect(1, 120831, '\p{inmathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\p{^inmathematicalalphanumericsymbols}', "");
    Expect(0, 120831, '\P{inmathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\P{^inmathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\p{inmathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\p{^inmathematicalalphanumericsymbols}', "");
    Expect(1, 120832, '\P{inmathematicalalphanumericsymbols}', "");
    Expect(0, 120832, '\P{^inmathematicalalphanumericsymbols}', "");
    Expect(1, 120831, '\p{	_in_Mathematical_Alphanumeric_Symbols}', "");
    Expect(0, 120831, '\p{^	_in_Mathematical_Alphanumeric_Symbols}', "");
    Expect(0, 120831, '\P{	_in_Mathematical_Alphanumeric_Symbols}', "");
    Expect(1, 120831, '\P{^	_in_Mathematical_Alphanumeric_Symbols}', "");
    Expect(0, 120832, '\p{	_in_Mathematical_Alphanumeric_Symbols}', "");
    Expect(1, 120832, '\p{^	_in_Mathematical_Alphanumeric_Symbols}', "");
    Expect(1, 120832, '\P{	_in_Mathematical_Alphanumeric_Symbols}', "");
    Expect(0, 120832, '\P{^	_in_Mathematical_Alphanumeric_Symbols}', "");
    Error('\p{/a/		Math_Alphanum}');
    Error('\P{/a/		Math_Alphanum}');
    Expect(1, 120831, '\p{mathalphanum}', "");
    Expect(0, 120831, '\p{^mathalphanum}', "");
    Expect(0, 120831, '\P{mathalphanum}', "");
    Expect(1, 120831, '\P{^mathalphanum}', "");
    Expect(0, 120832, '\p{mathalphanum}', "");
    Expect(1, 120832, '\p{^mathalphanum}', "");
    Expect(1, 120832, '\P{mathalphanum}', "");
    Expect(0, 120832, '\P{^mathalphanum}', "");
    Expect(1, 120831, '\p{ math_Alphanum}', "");
    Expect(0, 120831, '\p{^ math_Alphanum}', "");
    Expect(0, 120831, '\P{ math_Alphanum}', "");
    Expect(1, 120831, '\P{^ math_Alphanum}', "");
    Expect(0, 120832, '\p{ math_Alphanum}', "");
    Expect(1, 120832, '\p{^ math_Alphanum}', "");
    Expect(1, 120832, '\P{ math_Alphanum}', "");
    Expect(0, 120832, '\P{^ math_Alphanum}', "");
    Error('\p{-Is_math_Alphanum/a/}');
    Error('\P{-Is_math_Alphanum/a/}');
    Expect(1, 120831, '\p{ismathalphanum}', "");
    Expect(0, 120831, '\p{^ismathalphanum}', "");
    Expect(0, 120831, '\P{ismathalphanum}', "");
    Expect(1, 120831, '\P{^ismathalphanum}', "");
    Expect(0, 120832, '\p{ismathalphanum}', "");
    Expect(1, 120832, '\p{^ismathalphanum}', "");
    Expect(1, 120832, '\P{ismathalphanum}', "");
    Expect(0, 120832, '\P{^ismathalphanum}', "");
    Expect(1, 120831, '\p{ is_MATH_alphanum}', "");
    Expect(0, 120831, '\p{^ is_MATH_alphanum}', "");
    Expect(0, 120831, '\P{ is_MATH_alphanum}', "");
    Expect(1, 120831, '\P{^ is_MATH_alphanum}', "");
    Expect(0, 120832, '\p{ is_MATH_alphanum}', "");
    Expect(1, 120832, '\p{^ is_MATH_alphanum}', "");
    Expect(1, 120832, '\P{ is_MATH_alphanum}', "");
    Expect(0, 120832, '\P{^ is_MATH_alphanum}', "");
    Error('\p{		In_Math_Alphanum:=}');
    Error('\P{		In_Math_Alphanum:=}');
    Expect(1, 120831, '\p{inmathalphanum}', "");
    Expect(0, 120831, '\p{^inmathalphanum}', "");
    Expect(0, 120831, '\P{inmathalphanum}', "");
    Expect(1, 120831, '\P{^inmathalphanum}', "");
    Expect(0, 120832, '\p{inmathalphanum}', "");
    Expect(1, 120832, '\p{^inmathalphanum}', "");
    Expect(1, 120832, '\P{inmathalphanum}', "");
    Expect(0, 120832, '\P{^inmathalphanum}', "");
    Expect(1, 120831, '\p{ _In_math_alphanum}', "");
    Expect(0, 120831, '\p{^ _In_math_alphanum}', "");
    Expect(0, 120831, '\P{ _In_math_alphanum}', "");
    Expect(1, 120831, '\P{^ _In_math_alphanum}', "");
    Expect(0, 120832, '\p{ _In_math_alphanum}', "");
    Expect(1, 120832, '\p{^ _In_math_alphanum}', "");
    Expect(1, 120832, '\P{ _In_math_alphanum}', "");
    Expect(0, 120832, '\P{^ _In_math_alphanum}', "");
    Error('\p{	:=mathematical_Operators}');
    Error('\P{	:=mathematical_Operators}');
    Expect(1, 8959, '\p{mathematicaloperators}', "");
    Expect(0, 8959, '\p{^mathematicaloperators}', "");
    Expect(0, 8959, '\P{mathematicaloperators}', "");
    Expect(1, 8959, '\P{^mathematicaloperators}', "");
    Expect(0, 8960, '\p{mathematicaloperators}', "");
    Expect(1, 8960, '\p{^mathematicaloperators}', "");
    Expect(1, 8960, '\P{mathematicaloperators}', "");
    Expect(0, 8960, '\P{^mathematicaloperators}', "");
    Expect(1, 8959, '\p{--mathematical_operators}', "");
    Expect(0, 8959, '\p{^--mathematical_operators}', "");
    Expect(0, 8959, '\P{--mathematical_operators}', "");
    Expect(1, 8959, '\P{^--mathematical_operators}', "");
    Expect(0, 8960, '\p{--mathematical_operators}', "");
    Expect(1, 8960, '\p{^--mathematical_operators}', "");
    Expect(1, 8960, '\P{--mathematical_operators}', "");
    Expect(0, 8960, '\P{^--mathematical_operators}', "");
    Error('\p{-IS_Mathematical_operators:=}');
    Error('\P{-IS_Mathematical_operators:=}');
    Expect(1, 8959, '\p{ismathematicaloperators}', "");
    Expect(0, 8959, '\p{^ismathematicaloperators}', "");
    Expect(0, 8959, '\P{ismathematicaloperators}', "");
    Expect(1, 8959, '\P{^ismathematicaloperators}', "");
    Expect(0, 8960, '\p{ismathematicaloperators}', "");
    Expect(1, 8960, '\p{^ismathematicaloperators}', "");
    Expect(1, 8960, '\P{ismathematicaloperators}', "");
    Expect(0, 8960, '\P{^ismathematicaloperators}', "");
    Expect(1, 8959, '\p{_ Is_Mathematical_Operators}', "");
    Expect(0, 8959, '\p{^_ Is_Mathematical_Operators}', "");
    Expect(0, 8959, '\P{_ Is_Mathematical_Operators}', "");
    Expect(1, 8959, '\P{^_ Is_Mathematical_Operators}', "");
    Expect(0, 8960, '\p{_ Is_Mathematical_Operators}', "");
    Expect(1, 8960, '\p{^_ Is_Mathematical_Operators}', "");
    Expect(1, 8960, '\P{_ Is_Mathematical_Operators}', "");
    Expect(0, 8960, '\P{^_ Is_Mathematical_Operators}', "");
    Error('\p{:=--In_mathematical_Operators}');
    Error('\P{:=--In_mathematical_Operators}');
    Expect(1, 8959, '\p{inmathematicaloperators}', "");
    Expect(0, 8959, '\p{^inmathematicaloperators}', "");
    Expect(0, 8959, '\P{inmathematicaloperators}', "");
    Expect(1, 8959, '\P{^inmathematicaloperators}', "");
    Expect(0, 8960, '\p{inmathematicaloperators}', "");
    Expect(1, 8960, '\p{^inmathematicaloperators}', "");
    Expect(1, 8960, '\P{inmathematicaloperators}', "");
    Expect(0, 8960, '\P{^inmathematicaloperators}', "");
    Expect(1, 8959, '\p{_IN_Mathematical_operators}', "");
    Expect(0, 8959, '\p{^_IN_Mathematical_operators}', "");
    Expect(0, 8959, '\P{_IN_Mathematical_operators}', "");
    Expect(1, 8959, '\P{^_IN_Mathematical_operators}', "");
    Expect(0, 8960, '\p{_IN_Mathematical_operators}', "");
    Expect(1, 8960, '\p{^_IN_Mathematical_operators}', "");
    Expect(1, 8960, '\P{_IN_Mathematical_operators}', "");
    Expect(0, 8960, '\P{^_IN_Mathematical_operators}', "");
    Error('\p{ /a/Math_operators}');
    Error('\P{ /a/Math_operators}');
    Expect(1, 8959, '\p{mathoperators}', "");
    Expect(0, 8959, '\p{^mathoperators}', "");
    Expect(0, 8959, '\P{mathoperators}', "");
    Expect(1, 8959, '\P{^mathoperators}', "");
    Expect(0, 8960, '\p{mathoperators}', "");
    Expect(1, 8960, '\p{^mathoperators}', "");
    Expect(1, 8960, '\P{mathoperators}', "");
    Expect(0, 8960, '\P{^mathoperators}', "");
    Expect(1, 8959, '\p{--MATH_OPERATORS}', "");
    Expect(0, 8959, '\p{^--MATH_OPERATORS}', "");
    Expect(0, 8959, '\P{--MATH_OPERATORS}', "");
    Expect(1, 8959, '\P{^--MATH_OPERATORS}', "");
    Expect(0, 8960, '\p{--MATH_OPERATORS}', "");
    Expect(1, 8960, '\p{^--MATH_OPERATORS}', "");
    Expect(1, 8960, '\P{--MATH_OPERATORS}', "");
    Expect(0, 8960, '\P{^--MATH_OPERATORS}', "");
    Error('\p{/a/		Is_math_operators}');
    Error('\P{/a/		Is_math_operators}');
    Expect(1, 8959, '\p{ismathoperators}', "");
    Expect(0, 8959, '\p{^ismathoperators}', "");
    Expect(0, 8959, '\P{ismathoperators}', "");
    Expect(1, 8959, '\P{^ismathoperators}', "");
    Expect(0, 8960, '\p{ismathoperators}', "");
    Expect(1, 8960, '\p{^ismathoperators}', "");
    Expect(1, 8960, '\P{ismathoperators}', "");
    Expect(0, 8960, '\P{^ismathoperators}', "");
    Expect(1, 8959, '\p{--is_MATH_OPERATORS}', "");
    Expect(0, 8959, '\p{^--is_MATH_OPERATORS}', "");
    Expect(0, 8959, '\P{--is_MATH_OPERATORS}', "");
    Expect(1, 8959, '\P{^--is_MATH_OPERATORS}', "");
    Expect(0, 8960, '\p{--is_MATH_OPERATORS}', "");
    Expect(1, 8960, '\p{^--is_MATH_OPERATORS}', "");
    Expect(1, 8960, '\P{--is_MATH_OPERATORS}', "");
    Expect(0, 8960, '\P{^--is_MATH_OPERATORS}', "");
    Error('\p{  In_Math_Operators/a/}');
    Error('\P{  In_Math_Operators/a/}');
    Expect(1, 8959, '\p{inmathoperators}', "");
    Expect(0, 8959, '\p{^inmathoperators}', "");
    Expect(0, 8959, '\P{inmathoperators}', "");
    Expect(1, 8959, '\P{^inmathoperators}', "");
    Expect(0, 8960, '\p{inmathoperators}', "");
    Expect(1, 8960, '\p{^inmathoperators}', "");
    Expect(1, 8960, '\P{inmathoperators}', "");
    Expect(0, 8960, '\P{^inmathoperators}', "");
    Expect(1, 8959, '\p{ -IN_Math_OPERATORS}', "");
    Expect(0, 8959, '\p{^ -IN_Math_OPERATORS}', "");
    Expect(0, 8959, '\P{ -IN_Math_OPERATORS}', "");
    Expect(1, 8959, '\P{^ -IN_Math_OPERATORS}', "");
    Expect(0, 8960, '\p{ -IN_Math_OPERATORS}', "");
    Expect(1, 8960, '\p{^ -IN_Math_OPERATORS}', "");
    Expect(1, 8960, '\P{ -IN_Math_OPERATORS}', "");
    Expect(0, 8960, '\P{^ -IN_Math_OPERATORS}', "");
    Error('\p{/a/	Mayan_Numerals}');
    Error('\P{/a/	Mayan_Numerals}');
    Expect(1, 119551, '\p{mayannumerals}', "");
    Expect(0, 119551, '\p{^mayannumerals}', "");
    Expect(0, 119551, '\P{mayannumerals}', "");
    Expect(1, 119551, '\P{^mayannumerals}', "");
    Expect(0, 119552, '\p{mayannumerals}', "");
    Expect(1, 119552, '\p{^mayannumerals}', "");
    Expect(1, 119552, '\P{mayannumerals}', "");
    Expect(0, 119552, '\P{^mayannumerals}', "");
    Expect(1, 119551, '\p{ Mayan_Numerals}', "");
    Expect(0, 119551, '\p{^ Mayan_Numerals}', "");
    Expect(0, 119551, '\P{ Mayan_Numerals}', "");
    Expect(1, 119551, '\P{^ Mayan_Numerals}', "");
    Expect(0, 119552, '\p{ Mayan_Numerals}', "");
    Expect(1, 119552, '\p{^ Mayan_Numerals}', "");
    Expect(1, 119552, '\P{ Mayan_Numerals}', "");
    Expect(0, 119552, '\P{^ Mayan_Numerals}', "");
    Error('\p{:= -Is_MAYAN_numerals}');
    Error('\P{:= -Is_MAYAN_numerals}');
    Expect(1, 119551, '\p{ismayannumerals}', "");
    Expect(0, 119551, '\p{^ismayannumerals}', "");
    Expect(0, 119551, '\P{ismayannumerals}', "");
    Expect(1, 119551, '\P{^ismayannumerals}', "");
    Expect(0, 119552, '\p{ismayannumerals}', "");
    Expect(1, 119552, '\p{^ismayannumerals}', "");
    Expect(1, 119552, '\P{ismayannumerals}', "");
    Expect(0, 119552, '\P{^ismayannumerals}', "");
    Expect(1, 119551, '\p{__is_Mayan_NUMERALS}', "");
    Expect(0, 119551, '\p{^__is_Mayan_NUMERALS}', "");
    Expect(0, 119551, '\P{__is_Mayan_NUMERALS}', "");
    Expect(1, 119551, '\P{^__is_Mayan_NUMERALS}', "");
    Expect(0, 119552, '\p{__is_Mayan_NUMERALS}', "");
    Expect(1, 119552, '\p{^__is_Mayan_NUMERALS}', "");
    Expect(1, 119552, '\P{__is_Mayan_NUMERALS}', "");
    Expect(0, 119552, '\P{^__is_Mayan_NUMERALS}', "");
    Error('\p{:=	 in_Mayan_Numerals}');
    Error('\P{:=	 in_Mayan_Numerals}');
    Expect(1, 119551, '\p{inmayannumerals}', "");
    Expect(0, 119551, '\p{^inmayannumerals}', "");
    Expect(0, 119551, '\P{inmayannumerals}', "");
    Expect(1, 119551, '\P{^inmayannumerals}', "");
    Expect(0, 119552, '\p{inmayannumerals}', "");
    Expect(1, 119552, '\p{^inmayannumerals}', "");
    Expect(1, 119552, '\P{inmayannumerals}', "");
    Expect(0, 119552, '\P{^inmayannumerals}', "");
    Expect(1, 119551, '\p{ -IN_mayan_Numerals}', "");
    Expect(0, 119551, '\p{^ -IN_mayan_Numerals}', "");
    Expect(0, 119551, '\P{ -IN_mayan_Numerals}', "");
    Expect(1, 119551, '\P{^ -IN_mayan_Numerals}', "");
    Expect(0, 119552, '\p{ -IN_mayan_Numerals}', "");
    Expect(1, 119552, '\p{^ -IN_mayan_Numerals}', "");
    Expect(1, 119552, '\P{ -IN_mayan_Numerals}', "");
    Expect(0, 119552, '\P{^ -IN_mayan_Numerals}', "");
    Error('\p{	 Medefaidrin:=}');
    Error('\P{	 Medefaidrin:=}');
    Expect(1, 93850, '\p{medefaidrin}', "");
    Expect(0, 93850, '\p{^medefaidrin}', "");
    Expect(0, 93850, '\P{medefaidrin}', "");
    Expect(1, 93850, '\P{^medefaidrin}', "");
    Expect(0, 93851, '\p{medefaidrin}', "");
    Expect(1, 93851, '\p{^medefaidrin}', "");
    Expect(1, 93851, '\P{medefaidrin}', "");
    Expect(0, 93851, '\P{^medefaidrin}', "");
    Expect(1, 93850, '\p{ _medefaidrin}', "");
    Expect(0, 93850, '\p{^ _medefaidrin}', "");
    Expect(0, 93850, '\P{ _medefaidrin}', "");
    Expect(1, 93850, '\P{^ _medefaidrin}', "");
    Expect(0, 93851, '\p{ _medefaidrin}', "");
    Expect(1, 93851, '\p{^ _medefaidrin}', "");
    Expect(1, 93851, '\P{ _medefaidrin}', "");
    Expect(0, 93851, '\P{^ _medefaidrin}', "");
    Error('\p{:=_is_medefaidrin}');
    Error('\P{:=_is_medefaidrin}');
    Expect(1, 93850, '\p{ismedefaidrin}', "");
    Expect(0, 93850, '\p{^ismedefaidrin}', "");
    Expect(0, 93850, '\P{ismedefaidrin}', "");
    Expect(1, 93850, '\P{^ismedefaidrin}', "");
    Expect(0, 93851, '\p{ismedefaidrin}', "");
    Expect(1, 93851, '\p{^ismedefaidrin}', "");
    Expect(1, 93851, '\P{ismedefaidrin}', "");
    Expect(0, 93851, '\P{^ismedefaidrin}', "");
    Expect(1, 93850, '\p{  Is_Medefaidrin}', "");
    Expect(0, 93850, '\p{^  Is_Medefaidrin}', "");
    Expect(0, 93850, '\P{  Is_Medefaidrin}', "");
    Expect(1, 93850, '\P{^  Is_Medefaidrin}', "");
    Expect(0, 93851, '\p{  Is_Medefaidrin}', "");
    Expect(1, 93851, '\p{^  Is_Medefaidrin}', "");
    Expect(1, 93851, '\P{  Is_Medefaidrin}', "");
    Expect(0, 93851, '\P{^  Is_Medefaidrin}', "");
    Error('\p{_ MEDF:=}');
    Error('\P{_ MEDF:=}');
    Expect(1, 93850, '\p{medf}', "");
    Expect(0, 93850, '\p{^medf}', "");
    Expect(0, 93850, '\P{medf}', "");
    Expect(1, 93850, '\P{^medf}', "");
    Expect(0, 93851, '\p{medf}', "");
    Expect(1, 93851, '\p{^medf}', "");
    Expect(1, 93851, '\P{medf}', "");
    Expect(0, 93851, '\P{^medf}', "");
    Expect(1, 93850, '\p{ medf}', "");
    Expect(0, 93850, '\p{^ medf}', "");
    Expect(0, 93850, '\P{ medf}', "");
    Expect(1, 93850, '\P{^ medf}', "");
    Expect(0, 93851, '\p{ medf}', "");
    Expect(1, 93851, '\p{^ medf}', "");
    Expect(1, 93851, '\P{ medf}', "");
    Expect(0, 93851, '\P{^ medf}', "");
    Error('\p{ /a/is_MEDF}');
    Error('\P{ /a/is_MEDF}');
    Expect(1, 93850, '\p{ismedf}', "");
    Expect(0, 93850, '\p{^ismedf}', "");
    Expect(0, 93850, '\P{ismedf}', "");
    Expect(1, 93850, '\P{^ismedf}', "");
    Expect(0, 93851, '\p{ismedf}', "");
    Expect(1, 93851, '\p{^ismedf}', "");
    Expect(1, 93851, '\P{ismedf}', "");
    Expect(0, 93851, '\P{^ismedf}', "");
    Expect(1, 93850, '\p{ _IS_MEDF}', "");
    Expect(0, 93850, '\p{^ _IS_MEDF}', "");
    Expect(0, 93850, '\P{ _IS_MEDF}', "");
    Expect(1, 93850, '\P{^ _IS_MEDF}', "");
    Expect(0, 93851, '\p{ _IS_MEDF}', "");
    Expect(1, 93851, '\p{^ _IS_MEDF}', "");
    Expect(1, 93851, '\P{ _IS_MEDF}', "");
    Expect(0, 93851, '\P{^ _IS_MEDF}', "");
    Error('\p{  Meetei_Mayek:=}');
    Error('\P{  Meetei_Mayek:=}');
    Expect(1, 44025, '\p{meeteimayek}', "");
    Expect(0, 44025, '\p{^meeteimayek}', "");
    Expect(0, 44025, '\P{meeteimayek}', "");
    Expect(1, 44025, '\P{^meeteimayek}', "");
    Expect(0, 44026, '\p{meeteimayek}', "");
    Expect(1, 44026, '\p{^meeteimayek}', "");
    Expect(1, 44026, '\P{meeteimayek}', "");
    Expect(0, 44026, '\P{^meeteimayek}', "");
    Expect(1, 44025, '\p{		Meetei_MAYEK}', "");
    Expect(0, 44025, '\p{^		Meetei_MAYEK}', "");
    Expect(0, 44025, '\P{		Meetei_MAYEK}', "");
    Expect(1, 44025, '\P{^		Meetei_MAYEK}', "");
    Expect(0, 44026, '\p{		Meetei_MAYEK}', "");
    Expect(1, 44026, '\p{^		Meetei_MAYEK}', "");
    Expect(1, 44026, '\P{		Meetei_MAYEK}', "");
    Expect(0, 44026, '\P{^		Meetei_MAYEK}', "");
    Error('\p{_:=is_Meetei_Mayek}');
    Error('\P{_:=is_Meetei_Mayek}');
    Expect(1, 44025, '\p{ismeeteimayek}', "");
    Expect(0, 44025, '\p{^ismeeteimayek}', "");
    Expect(0, 44025, '\P{ismeeteimayek}', "");
    Expect(1, 44025, '\P{^ismeeteimayek}', "");
    Expect(0, 44026, '\p{ismeeteimayek}', "");
    Expect(1, 44026, '\p{^ismeeteimayek}', "");
    Expect(1, 44026, '\P{ismeeteimayek}', "");
    Expect(0, 44026, '\P{^ismeeteimayek}', "");
    Expect(1, 44025, '\p{--IS_meetei_mayek}', "");
    Expect(0, 44025, '\p{^--IS_meetei_mayek}', "");
    Expect(0, 44025, '\P{--IS_meetei_mayek}', "");
    Expect(1, 44025, '\P{^--IS_meetei_mayek}', "");
    Expect(0, 44026, '\p{--IS_meetei_mayek}', "");
    Expect(1, 44026, '\p{^--IS_meetei_mayek}', "");
    Expect(1, 44026, '\P{--IS_meetei_mayek}', "");
    Expect(0, 44026, '\P{^--IS_meetei_mayek}', "");
    Error('\p{:=mtei}');
    Error('\P{:=mtei}');
    Expect(1, 44025, '\p{mtei}', "");
    Expect(0, 44025, '\p{^mtei}', "");
    Expect(0, 44025, '\P{mtei}', "");
    Expect(1, 44025, '\P{^mtei}', "");
    Expect(0, 44026, '\p{mtei}', "");
    Expect(1, 44026, '\p{^mtei}', "");
    Expect(1, 44026, '\P{mtei}', "");
    Expect(0, 44026, '\P{^mtei}', "");
    Expect(1, 44025, '\p{_ mtei}', "");
    Expect(0, 44025, '\p{^_ mtei}', "");
    Expect(0, 44025, '\P{_ mtei}', "");
    Expect(1, 44025, '\P{^_ mtei}', "");
    Expect(0, 44026, '\p{_ mtei}', "");
    Expect(1, 44026, '\p{^_ mtei}', "");
    Expect(1, 44026, '\P{_ mtei}', "");
    Expect(0, 44026, '\P{^_ mtei}', "");
    Error('\p{/a/--is_Mtei}');
    Error('\P{/a/--is_Mtei}');
    Expect(1, 44025, '\p{ismtei}', "");
    Expect(0, 44025, '\p{^ismtei}', "");
    Expect(0, 44025, '\P{ismtei}', "");
    Expect(1, 44025, '\P{^ismtei}', "");
    Expect(0, 44026, '\p{ismtei}', "");
    Expect(1, 44026, '\p{^ismtei}', "");
    Expect(1, 44026, '\P{ismtei}', "");
    Expect(0, 44026, '\P{^ismtei}', "");
    Expect(1, 44025, '\p{		IS_Mtei}', "");
    Expect(0, 44025, '\p{^		IS_Mtei}', "");
    Expect(0, 44025, '\P{		IS_Mtei}', "");
    Expect(1, 44025, '\P{^		IS_Mtei}', "");
    Expect(0, 44026, '\p{		IS_Mtei}', "");
    Expect(1, 44026, '\p{^		IS_Mtei}', "");
    Expect(1, 44026, '\P{		IS_Mtei}', "");
    Expect(0, 44026, '\P{^		IS_Mtei}', "");
    Error('\p{/a/	-Meetei_Mayek_Extensions}');
    Error('\P{/a/	-Meetei_Mayek_Extensions}');
    Expect(1, 43775, '\p{meeteimayekextensions}', "");
    Expect(0, 43775, '\p{^meeteimayekextensions}', "");
    Expect(0, 43775, '\P{meeteimayekextensions}', "");
    Expect(1, 43775, '\P{^meeteimayekextensions}', "");
    Expect(0, 43776, '\p{meeteimayekextensions}', "");
    Expect(1, 43776, '\p{^meeteimayekextensions}', "");
    Expect(1, 43776, '\P{meeteimayekextensions}', "");
    Expect(0, 43776, '\P{^meeteimayekextensions}', "");
    Expect(1, 43775, '\p{	 Meetei_Mayek_Extensions}', "");
    Expect(0, 43775, '\p{^	 Meetei_Mayek_Extensions}', "");
    Expect(0, 43775, '\P{	 Meetei_Mayek_Extensions}', "");
    Expect(1, 43775, '\P{^	 Meetei_Mayek_Extensions}', "");
    Expect(0, 43776, '\p{	 Meetei_Mayek_Extensions}', "");
    Expect(1, 43776, '\p{^	 Meetei_Mayek_Extensions}', "");
    Expect(1, 43776, '\P{	 Meetei_Mayek_Extensions}', "");
    Expect(0, 43776, '\P{^	 Meetei_Mayek_Extensions}', "");
    Error('\p{_IS_Meetei_Mayek_Extensions:=}');
    Error('\P{_IS_Meetei_Mayek_Extensions:=}');
    Expect(1, 43775, '\p{ismeeteimayekextensions}', "");
    Expect(0, 43775, '\p{^ismeeteimayekextensions}', "");
    Expect(0, 43775, '\P{ismeeteimayekextensions}', "");
    Expect(1, 43775, '\P{^ismeeteimayekextensions}', "");
    Expect(0, 43776, '\p{ismeeteimayekextensions}', "");
    Expect(1, 43776, '\p{^ismeeteimayekextensions}', "");
    Expect(1, 43776, '\P{ismeeteimayekextensions}', "");
    Expect(0, 43776, '\P{^ismeeteimayekextensions}', "");
    Expect(1, 43775, '\p{ is_MEETEI_mayek_Extensions}', "");
    Expect(0, 43775, '\p{^ is_MEETEI_mayek_Extensions}', "");
    Expect(0, 43775, '\P{ is_MEETEI_mayek_Extensions}', "");
    Expect(1, 43775, '\P{^ is_MEETEI_mayek_Extensions}', "");
    Expect(0, 43776, '\p{ is_MEETEI_mayek_Extensions}', "");
    Expect(1, 43776, '\p{^ is_MEETEI_mayek_Extensions}', "");
    Expect(1, 43776, '\P{ is_MEETEI_mayek_Extensions}', "");
    Expect(0, 43776, '\P{^ is_MEETEI_mayek_Extensions}', "");
    Error('\p{:=_ In_MEETEI_mayek_EXTENSIONS}');
    Error('\P{:=_ In_MEETEI_mayek_EXTENSIONS}');
    Expect(1, 43775, '\p{inmeeteimayekextensions}', "");
    Expect(0, 43775, '\p{^inmeeteimayekextensions}', "");
    Expect(0, 43775, '\P{inmeeteimayekextensions}', "");
    Expect(1, 43775, '\P{^inmeeteimayekextensions}', "");
    Expect(0, 43776, '\p{inmeeteimayekextensions}', "");
    Expect(1, 43776, '\p{^inmeeteimayekextensions}', "");
    Expect(1, 43776, '\P{inmeeteimayekextensions}', "");
    Expect(0, 43776, '\P{^inmeeteimayekextensions}', "");
    Expect(1, 43775, '\p{In_Meetei_mayek_Extensions}', "");
    Expect(0, 43775, '\p{^In_Meetei_mayek_Extensions}', "");
    Expect(0, 43775, '\P{In_Meetei_mayek_Extensions}', "");
    Expect(1, 43775, '\P{^In_Meetei_mayek_Extensions}', "");
    Expect(0, 43776, '\p{In_Meetei_mayek_Extensions}', "");
    Expect(1, 43776, '\p{^In_Meetei_mayek_Extensions}', "");
    Expect(1, 43776, '\P{In_Meetei_mayek_Extensions}', "");
    Expect(0, 43776, '\P{^In_Meetei_mayek_Extensions}', "");
    Error('\p{ /a/Meetei_Mayek_Ext}');
    Error('\P{ /a/Meetei_Mayek_Ext}');
    Expect(1, 43775, '\p{meeteimayekext}', "");
    Expect(0, 43775, '\p{^meeteimayekext}', "");
    Expect(0, 43775, '\P{meeteimayekext}', "");
    Expect(1, 43775, '\P{^meeteimayekext}', "");
    Expect(0, 43776, '\p{meeteimayekext}', "");
    Expect(1, 43776, '\p{^meeteimayekext}', "");
    Expect(1, 43776, '\P{meeteimayekext}', "");
    Expect(0, 43776, '\P{^meeteimayekext}', "");
    Expect(1, 43775, '\p{-meetei_MAYEK_Ext}', "");
    Expect(0, 43775, '\p{^-meetei_MAYEK_Ext}', "");
    Expect(0, 43775, '\P{-meetei_MAYEK_Ext}', "");
    Expect(1, 43775, '\P{^-meetei_MAYEK_Ext}', "");
    Expect(0, 43776, '\p{-meetei_MAYEK_Ext}', "");
    Expect(1, 43776, '\p{^-meetei_MAYEK_Ext}', "");
    Expect(1, 43776, '\P{-meetei_MAYEK_Ext}', "");
    Expect(0, 43776, '\P{^-meetei_MAYEK_Ext}', "");
    Error('\p{__Is_Meetei_mayek_EXT/a/}');
    Error('\P{__Is_Meetei_mayek_EXT/a/}');
    Expect(1, 43775, '\p{ismeeteimayekext}', "");
    Expect(0, 43775, '\p{^ismeeteimayekext}', "");
    Expect(0, 43775, '\P{ismeeteimayekext}', "");
    Expect(1, 43775, '\P{^ismeeteimayekext}', "");
    Expect(0, 43776, '\p{ismeeteimayekext}', "");
    Expect(1, 43776, '\p{^ismeeteimayekext}', "");
    Expect(1, 43776, '\P{ismeeteimayekext}', "");
    Expect(0, 43776, '\P{^ismeeteimayekext}', "");
    Expect(1, 43775, '\p{_ is_meetei_mayek_Ext}', "");
    Expect(0, 43775, '\p{^_ is_meetei_mayek_Ext}', "");
    Expect(0, 43775, '\P{_ is_meetei_mayek_Ext}', "");
    Expect(1, 43775, '\P{^_ is_meetei_mayek_Ext}', "");
    Expect(0, 43776, '\p{_ is_meetei_mayek_Ext}', "");
    Expect(1, 43776, '\p{^_ is_meetei_mayek_Ext}', "");
    Expect(1, 43776, '\P{_ is_meetei_mayek_Ext}', "");
    Expect(0, 43776, '\P{^_ is_meetei_mayek_Ext}', "");
    Error('\p{/a/	IN_meetei_mayek_EXT}');
    Error('\P{/a/	IN_meetei_mayek_EXT}');
    Expect(1, 43775, '\p{inmeeteimayekext}', "");
    Expect(0, 43775, '\p{^inmeeteimayekext}', "");
    Expect(0, 43775, '\P{inmeeteimayekext}', "");
    Expect(1, 43775, '\P{^inmeeteimayekext}', "");
    Expect(0, 43776, '\p{inmeeteimayekext}', "");
    Expect(1, 43776, '\p{^inmeeteimayekext}', "");
    Expect(1, 43776, '\P{inmeeteimayekext}', "");
    Expect(0, 43776, '\P{^inmeeteimayekext}', "");
    Expect(1, 43775, '\p{ 	in_Meetei_MAYEK_ext}', "");
    Expect(0, 43775, '\p{^ 	in_Meetei_MAYEK_ext}', "");
    Expect(0, 43775, '\P{ 	in_Meetei_MAYEK_ext}', "");
    Expect(1, 43775, '\P{^ 	in_Meetei_MAYEK_ext}', "");
    Expect(0, 43776, '\p{ 	in_Meetei_MAYEK_ext}', "");
    Expect(1, 43776, '\p{^ 	in_Meetei_MAYEK_ext}', "");
    Expect(1, 43776, '\P{ 	in_Meetei_MAYEK_ext}', "");
    Expect(0, 43776, '\P{^ 	in_Meetei_MAYEK_ext}', "");
    Error('\p{:=Mende_KIKAKUI}');
    Error('\P{:=Mende_KIKAKUI}');
    Expect(1, 125142, '\p{mendekikakui}', "");
    Expect(0, 125142, '\p{^mendekikakui}', "");
    Expect(0, 125142, '\P{mendekikakui}', "");
    Expect(1, 125142, '\P{^mendekikakui}', "");
    Expect(0, 125143, '\p{mendekikakui}', "");
    Expect(1, 125143, '\p{^mendekikakui}', "");
    Expect(1, 125143, '\P{mendekikakui}', "");
    Expect(0, 125143, '\P{^mendekikakui}', "");
    Expect(1, 125142, '\p{- Mende_Kikakui}', "");
    Expect(0, 125142, '\p{^- Mende_Kikakui}', "");
    Expect(0, 125142, '\P{- Mende_Kikakui}', "");
    Expect(1, 125142, '\P{^- Mende_Kikakui}', "");
    Expect(0, 125143, '\p{- Mende_Kikakui}', "");
    Expect(1, 125143, '\p{^- Mende_Kikakui}', "");
    Expect(1, 125143, '\P{- Mende_Kikakui}', "");
    Expect(0, 125143, '\P{^- Mende_Kikakui}', "");
    Error('\p{/a/ -is_Mende_Kikakui}');
    Error('\P{/a/ -is_Mende_Kikakui}');
    Expect(1, 125142, '\p{ismendekikakui}', "");
    Expect(0, 125142, '\p{^ismendekikakui}', "");
    Expect(0, 125142, '\P{ismendekikakui}', "");
    Expect(1, 125142, '\P{^ismendekikakui}', "");
    Expect(0, 125143, '\p{ismendekikakui}', "");
    Expect(1, 125143, '\p{^ismendekikakui}', "");
    Expect(1, 125143, '\P{ismendekikakui}', "");
    Expect(0, 125143, '\P{^ismendekikakui}', "");
    Expect(1, 125142, '\p{	Is_MENDE_kikakui}', "");
    Expect(0, 125142, '\p{^	Is_MENDE_kikakui}', "");
    Expect(0, 125142, '\P{	Is_MENDE_kikakui}', "");
    Expect(1, 125142, '\P{^	Is_MENDE_kikakui}', "");
    Expect(0, 125143, '\p{	Is_MENDE_kikakui}', "");
    Expect(1, 125143, '\p{^	Is_MENDE_kikakui}', "");
    Expect(1, 125143, '\P{	Is_MENDE_kikakui}', "");
    Expect(0, 125143, '\P{^	Is_MENDE_kikakui}', "");
    Error('\p{/a/	_MEND}');
    Error('\P{/a/	_MEND}');
    Expect(1, 125142, '\p{mend}', "");
    Expect(0, 125142, '\p{^mend}', "");
    Expect(0, 125142, '\P{mend}', "");
    Expect(1, 125142, '\P{^mend}', "");
    Expect(0, 125143, '\p{mend}', "");
    Expect(1, 125143, '\p{^mend}', "");
    Expect(1, 125143, '\P{mend}', "");
    Expect(0, 125143, '\P{^mend}', "");
    Expect(1, 125142, '\p{ -Mend}', "");
    Expect(0, 125142, '\p{^ -Mend}', "");
    Expect(0, 125142, '\P{ -Mend}', "");
    Expect(1, 125142, '\P{^ -Mend}', "");
    Expect(0, 125143, '\p{ -Mend}', "");
    Expect(1, 125143, '\p{^ -Mend}', "");
    Expect(1, 125143, '\P{ -Mend}', "");
    Expect(0, 125143, '\P{^ -Mend}', "");
    Error('\p{:=_	Is_Mend}');
    Error('\P{:=_	Is_Mend}');
    Expect(1, 125142, '\p{ismend}', "");
    Expect(0, 125142, '\p{^ismend}', "");
    Expect(0, 125142, '\P{ismend}', "");
    Expect(1, 125142, '\P{^ismend}', "");
    Expect(0, 125143, '\p{ismend}', "");
    Expect(1, 125143, '\p{^ismend}', "");
    Expect(1, 125143, '\P{ismend}', "");
    Expect(0, 125143, '\P{^ismend}', "");
    Expect(1, 125142, '\p{	_Is_mend}', "");
    Expect(0, 125142, '\p{^	_Is_mend}', "");
    Expect(0, 125142, '\P{	_Is_mend}', "");
    Expect(1, 125142, '\P{^	_Is_mend}', "");
    Expect(0, 125143, '\p{	_Is_mend}', "");
    Expect(1, 125143, '\p{^	_Is_mend}', "");
    Expect(1, 125143, '\P{	_Is_mend}', "");
    Expect(0, 125143, '\P{^	_Is_mend}', "");
    Error('\p{-_MEROITIC_Cursive/a/}');
    Error('\P{-_MEROITIC_Cursive/a/}');
    Expect(1, 68095, '\p{meroiticcursive}', "");
    Expect(0, 68095, '\p{^meroiticcursive}', "");
    Expect(0, 68095, '\P{meroiticcursive}', "");
    Expect(1, 68095, '\P{^meroiticcursive}', "");
    Expect(0, 68096, '\p{meroiticcursive}', "");
    Expect(1, 68096, '\p{^meroiticcursive}', "");
    Expect(1, 68096, '\P{meroiticcursive}', "");
    Expect(0, 68096, '\P{^meroiticcursive}', "");
    Expect(1, 68095, '\p{ meroitic_cursive}', "");
    Expect(0, 68095, '\p{^ meroitic_cursive}', "");
    Expect(0, 68095, '\P{ meroitic_cursive}', "");
    Expect(1, 68095, '\P{^ meroitic_cursive}', "");
    Expect(0, 68096, '\p{ meroitic_cursive}', "");
    Expect(1, 68096, '\p{^ meroitic_cursive}', "");
    Expect(1, 68096, '\P{ meroitic_cursive}', "");
    Expect(0, 68096, '\P{^ meroitic_cursive}', "");
    Error('\p{_:=Is_meroitic_CURSIVE}');
    Error('\P{_:=Is_meroitic_CURSIVE}');
    Expect(1, 68095, '\p{ismeroiticcursive}', "");
    Expect(0, 68095, '\p{^ismeroiticcursive}', "");
    Expect(0, 68095, '\P{ismeroiticcursive}', "");
    Expect(1, 68095, '\P{^ismeroiticcursive}', "");
    Expect(0, 68096, '\p{ismeroiticcursive}', "");
    Expect(1, 68096, '\p{^ismeroiticcursive}', "");
    Expect(1, 68096, '\P{ismeroiticcursive}', "");
    Expect(0, 68096, '\P{^ismeroiticcursive}', "");
    Expect(1, 68095, '\p{-_Is_Meroitic_Cursive}', "");
    Expect(0, 68095, '\p{^-_Is_Meroitic_Cursive}', "");
    Expect(0, 68095, '\P{-_Is_Meroitic_Cursive}', "");
    Expect(1, 68095, '\P{^-_Is_Meroitic_Cursive}', "");
    Expect(0, 68096, '\p{-_Is_Meroitic_Cursive}', "");
    Expect(1, 68096, '\p{^-_Is_Meroitic_Cursive}', "");
    Expect(1, 68096, '\P{-_Is_Meroitic_Cursive}', "");
    Expect(0, 68096, '\P{^-_Is_Meroitic_Cursive}', "");
    Error('\p{ _merc/a/}');
    Error('\P{ _merc/a/}');
    Expect(1, 68095, '\p{merc}', "");
    Expect(0, 68095, '\p{^merc}', "");
    Expect(0, 68095, '\P{merc}', "");
    Expect(1, 68095, '\P{^merc}', "");
    Expect(0, 68096, '\p{merc}', "");
    Expect(1, 68096, '\p{^merc}', "");
    Expect(1, 68096, '\P{merc}', "");
    Expect(0, 68096, '\P{^merc}', "");
    Expect(1, 68095, '\p{-Merc}', "");
    Expect(0, 68095, '\p{^-Merc}', "");
    Expect(0, 68095, '\P{-Merc}', "");
    Expect(1, 68095, '\P{^-Merc}', "");
    Expect(0, 68096, '\p{-Merc}', "");
    Expect(1, 68096, '\p{^-Merc}', "");
    Expect(1, 68096, '\P{-Merc}', "");
    Expect(0, 68096, '\P{^-Merc}', "");
    Error('\p{- is_Merc:=}');
    Error('\P{- is_Merc:=}');
    Expect(1, 68095, '\p{ismerc}', "");
    Expect(0, 68095, '\p{^ismerc}', "");
    Expect(0, 68095, '\P{ismerc}', "");
    Expect(1, 68095, '\P{^ismerc}', "");
    Expect(0, 68096, '\p{ismerc}', "");
    Expect(1, 68096, '\p{^ismerc}', "");
    Expect(1, 68096, '\P{ismerc}', "");
    Expect(0, 68096, '\P{^ismerc}', "");
    Expect(1, 68095, '\p{ 	IS_merc}', "");
    Expect(0, 68095, '\p{^ 	IS_merc}', "");
    Expect(0, 68095, '\P{ 	IS_merc}', "");
    Expect(1, 68095, '\P{^ 	IS_merc}', "");
    Expect(0, 68096, '\p{ 	IS_merc}', "");
    Expect(1, 68096, '\p{^ 	IS_merc}', "");
    Expect(1, 68096, '\P{ 	IS_merc}', "");
    Expect(0, 68096, '\P{^ 	IS_merc}', "");
    Error('\p{_:=meroitic_Hieroglyphs}');
    Error('\P{_:=meroitic_Hieroglyphs}');
    Expect(1, 67999, '\p{meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{- Meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\p{^- Meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\P{- Meroitic_Hieroglyphs}', "");
    Expect(1, 67999, '\P{^- Meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\p{- Meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\p{^- Meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\P{- Meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\P{^- Meroitic_Hieroglyphs}', "");
    Error('\p{-_Is_Meroitic_hieroglyphs/a/}');
    Error('\P{-_Is_Meroitic_hieroglyphs/a/}');
    Expect(1, 67999, '\p{ismeroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^ismeroitichieroglyphs}', "");
    Expect(0, 67999, '\P{ismeroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^ismeroitichieroglyphs}', "");
    Expect(0, 68000, '\p{ismeroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^ismeroitichieroglyphs}', "");
    Expect(1, 68000, '\P{ismeroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^ismeroitichieroglyphs}', "");
    Expect(1, 67999, '\p{		Is_Meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\p{^		Is_Meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\P{		Is_Meroitic_Hieroglyphs}', "");
    Expect(1, 67999, '\P{^		Is_Meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\p{		Is_Meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\p{^		Is_Meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\P{		Is_Meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\P{^		Is_Meroitic_Hieroglyphs}', "");
    Error('\p{--Mero:=}');
    Error('\P{--Mero:=}');
    Expect(1, 67999, '\p{mero}', "");
    Expect(0, 67999, '\p{^mero}', "");
    Expect(0, 67999, '\P{mero}', "");
    Expect(1, 67999, '\P{^mero}', "");
    Expect(0, 68000, '\p{mero}', "");
    Expect(1, 68000, '\p{^mero}', "");
    Expect(1, 68000, '\P{mero}', "");
    Expect(0, 68000, '\P{^mero}', "");
    Expect(1, 67999, '\p{__Mero}', "");
    Expect(0, 67999, '\p{^__Mero}', "");
    Expect(0, 67999, '\P{__Mero}', "");
    Expect(1, 67999, '\P{^__Mero}', "");
    Expect(0, 68000, '\p{__Mero}', "");
    Expect(1, 68000, '\p{^__Mero}', "");
    Expect(1, 68000, '\P{__Mero}', "");
    Expect(0, 68000, '\P{^__Mero}', "");
    Error('\p{ -is_Mero:=}');
    Error('\P{ -is_Mero:=}');
    Expect(1, 67999, '\p{ismero}', "");
    Expect(0, 67999, '\p{^ismero}', "");
    Expect(0, 67999, '\P{ismero}', "");
    Expect(1, 67999, '\P{^ismero}', "");
    Expect(0, 68000, '\p{ismero}', "");
    Expect(1, 68000, '\p{^ismero}', "");
    Expect(1, 68000, '\P{ismero}', "");
    Expect(0, 68000, '\P{^ismero}', "");
    Expect(1, 67999, '\p{- Is_mero}', "");
    Expect(0, 67999, '\p{^- Is_mero}', "");
    Expect(0, 67999, '\P{- Is_mero}', "");
    Expect(1, 67999, '\P{^- Is_mero}', "");
    Expect(0, 68000, '\p{- Is_mero}', "");
    Expect(1, 68000, '\p{^- Is_mero}', "");
    Expect(1, 68000, '\P{- Is_mero}', "");
    Expect(0, 68000, '\P{^- Is_mero}', "");
    Error('\p{/a/		MIAO}');
    Error('\P{/a/		MIAO}');
    Expect(1, 94111, '\p{miao}', "");
    Expect(0, 94111, '\p{^miao}', "");
    Expect(0, 94111, '\P{miao}', "");
    Expect(1, 94111, '\P{^miao}', "");
    Expect(0, 94112, '\p{miao}', "");
    Expect(1, 94112, '\p{^miao}', "");
    Expect(1, 94112, '\P{miao}', "");
    Expect(0, 94112, '\P{^miao}', "");
    Expect(1, 94111, '\p{-	Miao}', "");
    Expect(0, 94111, '\p{^-	Miao}', "");
    Expect(0, 94111, '\P{-	Miao}', "");
    Expect(1, 94111, '\P{^-	Miao}', "");
    Expect(0, 94112, '\p{-	Miao}', "");
    Expect(1, 94112, '\p{^-	Miao}', "");
    Expect(1, 94112, '\P{-	Miao}', "");
    Expect(0, 94112, '\P{^-	Miao}', "");
    Error('\p{/a/is_Miao}');
    Error('\P{/a/is_Miao}');
    Expect(1, 94111, '\p{ismiao}', "");
    Expect(0, 94111, '\p{^ismiao}', "");
    Expect(0, 94111, '\P{ismiao}', "");
    Expect(1, 94111, '\P{^ismiao}', "");
    Expect(0, 94112, '\p{ismiao}', "");
    Expect(1, 94112, '\p{^ismiao}', "");
    Expect(1, 94112, '\P{ismiao}', "");
    Expect(0, 94112, '\P{^ismiao}', "");
    Expect(1, 94111, '\p{		IS_miao}', "");
    Expect(0, 94111, '\p{^		IS_miao}', "");
    Expect(0, 94111, '\P{		IS_miao}', "");
    Expect(1, 94111, '\P{^		IS_miao}', "");
    Expect(0, 94112, '\p{		IS_miao}', "");
    Expect(1, 94112, '\p{^		IS_miao}', "");
    Expect(1, 94112, '\P{		IS_miao}', "");
    Expect(0, 94112, '\P{^		IS_miao}', "");
    Error('\p{:=Plrd}');
    Error('\P{:=Plrd}');
    Expect(1, 94111, '\p{plrd}', "");
    Expect(0, 94111, '\p{^plrd}', "");
    Expect(0, 94111, '\P{plrd}', "");
    Expect(1, 94111, '\P{^plrd}', "");
    Expect(0, 94112, '\p{plrd}', "");
    Expect(1, 94112, '\p{^plrd}', "");
    Expect(1, 94112, '\P{plrd}', "");
    Expect(0, 94112, '\P{^plrd}', "");
    Expect(1, 94111, '\p{ 	Plrd}', "");
    Expect(0, 94111, '\p{^ 	Plrd}', "");
    Expect(0, 94111, '\P{ 	Plrd}', "");
    Expect(1, 94111, '\P{^ 	Plrd}', "");
    Expect(0, 94112, '\p{ 	Plrd}', "");
    Expect(1, 94112, '\p{^ 	Plrd}', "");
    Expect(1, 94112, '\P{ 	Plrd}', "");
    Expect(0, 94112, '\P{^ 	Plrd}', "");
    Error('\p{-/a/Is_Plrd}');
    Error('\P{-/a/Is_Plrd}');
    Expect(1, 94111, '\p{isplrd}', "");
    Expect(0, 94111, '\p{^isplrd}', "");
    Expect(0, 94111, '\P{isplrd}', "");
    Expect(1, 94111, '\P{^isplrd}', "");
    Expect(0, 94112, '\p{isplrd}', "");
    Expect(1, 94112, '\p{^isplrd}', "");
    Expect(1, 94112, '\P{isplrd}', "");
    Expect(0, 94112, '\P{^isplrd}', "");
    Expect(1, 94111, '\p{_ is_PLRD}', "");
    Expect(0, 94111, '\p{^_ is_PLRD}', "");
    Expect(0, 94111, '\P{_ is_PLRD}', "");
    Expect(1, 94111, '\P{^_ is_PLRD}', "");
    Expect(0, 94112, '\p{_ is_PLRD}', "");
    Expect(1, 94112, '\p{^_ is_PLRD}', "");
    Expect(1, 94112, '\P{_ is_PLRD}', "");
    Expect(0, 94112, '\P{^_ is_PLRD}', "");
    Error('\p{ Miscellaneous_MATHEMATICAL_Symbols_A:=}');
    Error('\P{ Miscellaneous_MATHEMATICAL_Symbols_A:=}');
    Expect(1, 10223, '\p{miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\p{^miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\P{miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\P{^miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\p{miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\p{^miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\P{miscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\P{^miscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\p{-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Expect(0, 10223, '\p{^-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Expect(0, 10223, '\P{-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Expect(1, 10223, '\P{^-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Expect(0, 10224, '\p{-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Expect(1, 10224, '\p{^-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Expect(1, 10224, '\P{-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Expect(0, 10224, '\P{^-	MISCELLANEOUS_Mathematical_symbols_A}', "");
    Error('\p{/a/_Is_Miscellaneous_MATHEMATICAL_symbols_A}');
    Error('\P{/a/_Is_Miscellaneous_MATHEMATICAL_symbols_A}');
    Expect(1, 10223, '\p{ismiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\P{ismiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\p{ismiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\P{ismiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\p{	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10223, '\p{^	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10223, '\P{	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(1, 10223, '\P{^	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10224, '\p{	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(1, 10224, '\p{^	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(1, 10224, '\P{	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Expect(0, 10224, '\P{^	_Is_Miscellaneous_Mathematical_SYMBOLS_A}', "");
    Error('\p{:= in_MISCELLANEOUS_MATHEMATICAL_Symbols_A}');
    Error('\P{:= in_MISCELLANEOUS_MATHEMATICAL_Symbols_A}');
    Expect(1, 10223, '\p{inmiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10223, '\P{inmiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\p{inmiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10224, '\P{inmiscellaneousmathematicalsymbolsa}', "");
    Expect(0, 10224, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
    Expect(1, 10223, '\p{	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Expect(0, 10223, '\p{^	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Expect(0, 10223, '\P{	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Expect(1, 10223, '\P{^	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Expect(0, 10224, '\p{	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Expect(1, 10224, '\p{^	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Expect(1, 10224, '\P{	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Expect(0, 10224, '\P{^	 In_Miscellaneous_MATHEMATICAL_Symbols_A}', "");
    Error('\p{:=__Misc_math_Symbols_a}');
    Error('\P{:=__Misc_math_Symbols_a}');
    Expect(1, 10223, '\p{miscmathsymbolsa}', "");
    Expect(0, 10223, '\p{^miscmathsymbolsa}', "");
    Expect(0, 10223, '\P{miscmathsymbolsa}', "");
    Expect(1, 10223, '\P{^miscmathsymbolsa}', "");
    Expect(0, 10224, '\p{miscmathsymbolsa}', "");
    Expect(1, 10224, '\p{^miscmathsymbolsa}', "");
    Expect(1, 10224, '\P{miscmathsymbolsa}', "");
    Expect(0, 10224, '\P{^miscmathsymbolsa}', "");
    Expect(1, 10223, '\p{-_Misc_Math_symbols_a}', "");
    Expect(0, 10223, '\p{^-_Misc_Math_symbols_a}', "");
    Expect(0, 10223, '\P{-_Misc_Math_symbols_a}', "");
    Expect(1, 10223, '\P{^-_Misc_Math_symbols_a}', "");
    Expect(0, 10224, '\p{-_Misc_Math_symbols_a}', "");
    Expect(1, 10224, '\p{^-_Misc_Math_symbols_a}', "");
    Expect(1, 10224, '\P{-_Misc_Math_symbols_a}', "");
    Expect(0, 10224, '\P{^-_Misc_Math_symbols_a}', "");
    Error('\p{/a/Is_Misc_MATH_Symbols_A}');
    Error('\P{/a/Is_Misc_MATH_Symbols_A}');
    Expect(1, 10223, '\p{ismiscmathsymbolsa}', "");
    Expect(0, 10223, '\p{^ismiscmathsymbolsa}', "");
    Expect(0, 10223, '\P{ismiscmathsymbolsa}', "");
    Expect(1, 10223, '\P{^ismiscmathsymbolsa}', "");
    Expect(0, 10224, '\p{ismiscmathsymbolsa}', "");
    Expect(1, 10224, '\p{^ismiscmathsymbolsa}', "");
    Expect(1, 10224, '\P{ismiscmathsymbolsa}', "");
    Expect(0, 10224, '\P{^ismiscmathsymbolsa}', "");
    Expect(1, 10223, '\p{is_Misc_math_Symbols_A}', "");
    Expect(0, 10223, '\p{^is_Misc_math_Symbols_A}', "");
    Expect(0, 10223, '\P{is_Misc_math_Symbols_A}', "");
    Expect(1, 10223, '\P{^is_Misc_math_Symbols_A}', "");
    Expect(0, 10224, '\p{is_Misc_math_Symbols_A}', "");
    Expect(1, 10224, '\p{^is_Misc_math_Symbols_A}', "");
    Expect(1, 10224, '\P{is_Misc_math_Symbols_A}', "");
    Expect(0, 10224, '\P{^is_Misc_math_Symbols_A}', "");
    Error('\p{:=		In_misc_Math_symbols_A}');
    Error('\P{:=		In_misc_Math_symbols_A}');
    Expect(1, 10223, '\p{inmiscmathsymbolsa}', "");
    Expect(0, 10223, '\p{^inmiscmathsymbolsa}', "");
    Expect(0, 10223, '\P{inmiscmathsymbolsa}', "");
    Expect(1, 10223, '\P{^inmiscmathsymbolsa}', "");
    Expect(0, 10224, '\p{inmiscmathsymbolsa}', "");
    Expect(1, 10224, '\p{^inmiscmathsymbolsa}', "");
    Expect(1, 10224, '\P{inmiscmathsymbolsa}', "");
    Expect(0, 10224, '\P{^inmiscmathsymbolsa}', "");
    Expect(1, 10223, '\p{_In_MISC_MATH_Symbols_A}', "");
    Expect(0, 10223, '\p{^_In_MISC_MATH_Symbols_A}', "");
    Expect(0, 10223, '\P{_In_MISC_MATH_Symbols_A}', "");
    Expect(1, 10223, '\P{^_In_MISC_MATH_Symbols_A}', "");
    Expect(0, 10224, '\p{_In_MISC_MATH_Symbols_A}', "");
    Expect(1, 10224, '\p{^_In_MISC_MATH_Symbols_A}', "");
    Expect(1, 10224, '\P{_In_MISC_MATH_Symbols_A}', "");
    Expect(0, 10224, '\P{^_In_MISC_MATH_Symbols_A}', "");
    Error('\p{/a/	miscellaneous_Mathematical_symbols_B}');
    Error('\P{/a/	miscellaneous_Mathematical_symbols_B}');
    Expect(1, 10751, '\p{miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\p{^miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\P{miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\P{^miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\p{miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\p{^miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\P{miscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\P{^miscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\p{_-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10751, '\p{^_-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10751, '\P{_-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(1, 10751, '\P{^_-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10752, '\p{_-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(1, 10752, '\p{^_-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(1, 10752, '\P{_-Miscellaneous_Mathematical_Symbols_B}', "");
    Expect(0, 10752, '\P{^_-Miscellaneous_Mathematical_Symbols_B}', "");
    Error('\p{/a/- Is_Miscellaneous_Mathematical_Symbols_B}');
    Error('\P{/a/- Is_Miscellaneous_Mathematical_Symbols_B}');
    Expect(1, 10751, '\p{ismiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\P{ismiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\p{ismiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\P{ismiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\p{		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Expect(0, 10751, '\p{^		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Expect(0, 10751, '\P{		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Expect(1, 10751, '\P{^		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Expect(0, 10752, '\p{		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Expect(1, 10752, '\p{^		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Expect(1, 10752, '\P{		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Expect(0, 10752, '\P{^		is_MISCELLANEOUS_Mathematical_Symbols_B}', "");
    Error('\p{:= _In_Miscellaneous_mathematical_Symbols_B}');
    Error('\P{:= _In_Miscellaneous_mathematical_Symbols_B}');
    Expect(1, 10751, '\p{inmiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10751, '\P{inmiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\p{inmiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10752, '\P{inmiscellaneousmathematicalsymbolsb}', "");
    Expect(0, 10752, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
    Expect(1, 10751, '\p{- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Expect(0, 10751, '\p{^- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Expect(0, 10751, '\P{- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Expect(1, 10751, '\P{^- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Expect(0, 10752, '\p{- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Expect(1, 10752, '\p{^- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Expect(1, 10752, '\P{- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Expect(0, 10752, '\P{^- In_miscellaneous_Mathematical_SYMBOLS_B}', "");
    Error('\p{MISC_math_Symbols_B:=}');
    Error('\P{MISC_math_Symbols_B:=}');
    Expect(1, 10751, '\p{miscmathsymbolsb}', "");
    Expect(0, 10751, '\p{^miscmathsymbolsb}', "");
    Expect(0, 10751, '\P{miscmathsymbolsb}', "");
    Expect(1, 10751, '\P{^miscmathsymbolsb}', "");
    Expect(0, 10752, '\p{miscmathsymbolsb}', "");
    Expect(1, 10752, '\p{^miscmathsymbolsb}', "");
    Expect(1, 10752, '\P{miscmathsymbolsb}', "");
    Expect(0, 10752, '\P{^miscmathsymbolsb}', "");
    Expect(1, 10751, '\p{_ misc_math_symbols_B}', "");
    Expect(0, 10751, '\p{^_ misc_math_symbols_B}', "");
    Expect(0, 10751, '\P{_ misc_math_symbols_B}', "");
    Expect(1, 10751, '\P{^_ misc_math_symbols_B}', "");
    Expect(0, 10752, '\p{_ misc_math_symbols_B}', "");
    Expect(1, 10752, '\p{^_ misc_math_symbols_B}', "");
    Expect(1, 10752, '\P{_ misc_math_symbols_B}', "");
    Expect(0, 10752, '\P{^_ misc_math_symbols_B}', "");
    Error('\p{_ Is_Misc_MATH_symbols_B:=}');
    Error('\P{_ Is_Misc_MATH_symbols_B:=}');
    Expect(1, 10751, '\p{ismiscmathsymbolsb}', "");
    Expect(0, 10751, '\p{^ismiscmathsymbolsb}', "");
    Expect(0, 10751, '\P{ismiscmathsymbolsb}', "");
    Expect(1, 10751, '\P{^ismiscmathsymbolsb}', "");
    Expect(0, 10752, '\p{ismiscmathsymbolsb}', "");
    Expect(1, 10752, '\p{^ismiscmathsymbolsb}', "");
    Expect(1, 10752, '\P{ismiscmathsymbolsb}', "");
    Expect(0, 10752, '\P{^ismiscmathsymbolsb}', "");
    Expect(1, 10751, '\p{ Is_Misc_Math_SYMBOLS_B}', "");
    Expect(0, 10751, '\p{^ Is_Misc_Math_SYMBOLS_B}', "");
    Expect(0, 10751, '\P{ Is_Misc_Math_SYMBOLS_B}', "");
    Expect(1, 10751, '\P{^ Is_Misc_Math_SYMBOLS_B}', "");
    Expect(0, 10752, '\p{ Is_Misc_Math_SYMBOLS_B}', "");
    Expect(1, 10752, '\p{^ Is_Misc_Math_SYMBOLS_B}', "");
    Expect(1, 10752, '\P{ Is_Misc_Math_SYMBOLS_B}', "");
    Expect(0, 10752, '\P{^ Is_Misc_Math_SYMBOLS_B}', "");
    Error('\p{-_in_Misc_math_Symbols_B:=}');
    Error('\P{-_in_Misc_math_Symbols_B:=}');
    Expect(1, 10751, '\p{inmiscmathsymbolsb}', "");
    Expect(0, 10751, '\p{^inmiscmathsymbolsb}', "");
    Expect(0, 10751, '\P{inmiscmathsymbolsb}', "");
    Expect(1, 10751, '\P{^inmiscmathsymbolsb}', "");
    Expect(0, 10752, '\p{inmiscmathsymbolsb}', "");
    Expect(1, 10752, '\p{^inmiscmathsymbolsb}', "");
    Expect(1, 10752, '\P{inmiscmathsymbolsb}', "");
    Expect(0, 10752, '\P{^inmiscmathsymbolsb}', "");
    Expect(1, 10751, '\p{-	In_Misc_math_symbols_B}', "");
    Expect(0, 10751, '\p{^-	In_Misc_math_symbols_B}', "");
    Expect(0, 10751, '\P{-	In_Misc_math_symbols_B}', "");
    Expect(1, 10751, '\P{^-	In_Misc_math_symbols_B}', "");
    Expect(0, 10752, '\p{-	In_Misc_math_symbols_B}', "");
    Expect(1, 10752, '\p{^-	In_Misc_math_symbols_B}', "");
    Expect(1, 10752, '\P{-	In_Misc_math_symbols_B}', "");
    Expect(0, 10752, '\P{^-	In_Misc_math_symbols_B}', "");
    Error('\p{-Miscellaneous_symbols:=}');
    Error('\P{-Miscellaneous_symbols:=}');
    Expect(1, 9983, '\p{miscellaneoussymbols}', "");
    Expect(0, 9983, '\p{^miscellaneoussymbols}', "");
    Expect(0, 9983, '\P{miscellaneoussymbols}', "");
    Expect(1, 9983, '\P{^miscellaneoussymbols}', "");
    Expect(0, 9984, '\p{miscellaneoussymbols}', "");
    Expect(1, 9984, '\p{^miscellaneoussymbols}', "");
    Expect(1, 9984, '\P{miscellaneoussymbols}', "");
    Expect(0, 9984, '\P{^miscellaneoussymbols}', "");
    Expect(1, 9983, '\p{	 Miscellaneous_SYMBOLS}', "");
    Expect(0, 9983, '\p{^	 Miscellaneous_SYMBOLS}', "");
    Expect(0, 9983, '\P{	 Miscellaneous_SYMBOLS}', "");
    Expect(1, 9983, '\P{^	 Miscellaneous_SYMBOLS}', "");
    Expect(0, 9984, '\p{	 Miscellaneous_SYMBOLS}', "");
    Expect(1, 9984, '\p{^	 Miscellaneous_SYMBOLS}', "");
    Expect(1, 9984, '\P{	 Miscellaneous_SYMBOLS}', "");
    Expect(0, 9984, '\P{^	 Miscellaneous_SYMBOLS}', "");
    Error('\p{/a/-	is_Miscellaneous_symbols}');
    Error('\P{/a/-	is_Miscellaneous_symbols}');
    Expect(1, 9983, '\p{ismiscellaneoussymbols}', "");
    Expect(0, 9983, '\p{^ismiscellaneoussymbols}', "");
    Expect(0, 9983, '\P{ismiscellaneoussymbols}', "");
    Expect(1, 9983, '\P{^ismiscellaneoussymbols}', "");
    Expect(0, 9984, '\p{ismiscellaneoussymbols}', "");
    Expect(1, 9984, '\p{^ismiscellaneoussymbols}', "");
    Expect(1, 9984, '\P{ismiscellaneoussymbols}', "");
    Expect(0, 9984, '\P{^ismiscellaneoussymbols}', "");
    Expect(1, 9983, '\p{_	is_MISCELLANEOUS_Symbols}', "");
    Expect(0, 9983, '\p{^_	is_MISCELLANEOUS_Symbols}', "");
    Expect(0, 9983, '\P{_	is_MISCELLANEOUS_Symbols}', "");
    Expect(1, 9983, '\P{^_	is_MISCELLANEOUS_Symbols}', "");
    Expect(0, 9984, '\p{_	is_MISCELLANEOUS_Symbols}', "");
    Expect(1, 9984, '\p{^_	is_MISCELLANEOUS_Symbols}', "");
    Expect(1, 9984, '\P{_	is_MISCELLANEOUS_Symbols}', "");
    Expect(0, 9984, '\P{^_	is_MISCELLANEOUS_Symbols}', "");
    Error('\p{-:=in_Miscellaneous_Symbols}');
    Error('\P{-:=in_Miscellaneous_Symbols}');
    Expect(1, 9983, '\p{inmiscellaneoussymbols}', "");
    Expect(0, 9983, '\p{^inmiscellaneoussymbols}', "");
    Expect(0, 9983, '\P{inmiscellaneoussymbols}', "");
    Expect(1, 9983, '\P{^inmiscellaneoussymbols}', "");
    Expect(0, 9984, '\p{inmiscellaneoussymbols}', "");
    Expect(1, 9984, '\p{^inmiscellaneoussymbols}', "");
    Expect(1, 9984, '\P{inmiscellaneoussymbols}', "");
    Expect(0, 9984, '\P{^inmiscellaneoussymbols}', "");
    Expect(1, 9983, '\p{_in_Miscellaneous_Symbols}', "");
    Expect(0, 9983, '\p{^_in_Miscellaneous_Symbols}', "");
    Expect(0, 9983, '\P{_in_Miscellaneous_Symbols}', "");
    Expect(1, 9983, '\P{^_in_Miscellaneous_Symbols}', "");
    Expect(0, 9984, '\p{_in_Miscellaneous_Symbols}', "");
    Expect(1, 9984, '\p{^_in_Miscellaneous_Symbols}', "");
    Expect(1, 9984, '\P{_in_Miscellaneous_Symbols}', "");
    Expect(0, 9984, '\P{^_in_Miscellaneous_Symbols}', "");
    Error('\p{_ Misc_Symbols:=}');
    Error('\P{_ Misc_Symbols:=}');
    Expect(1, 9983, '\p{miscsymbols}', "");
    Expect(0, 9983, '\p{^miscsymbols}', "");
    Expect(0, 9983, '\P{miscsymbols}', "");
    Expect(1, 9983, '\P{^miscsymbols}', "");
    Expect(0, 9984, '\p{miscsymbols}', "");
    Expect(1, 9984, '\p{^miscsymbols}', "");
    Expect(1, 9984, '\P{miscsymbols}', "");
    Expect(0, 9984, '\P{^miscsymbols}', "");
    Expect(1, 9983, '\p{	misc_Symbols}', "");
    Expect(0, 9983, '\p{^	misc_Symbols}', "");
    Expect(0, 9983, '\P{	misc_Symbols}', "");
    Expect(1, 9983, '\P{^	misc_Symbols}', "");
    Expect(0, 9984, '\p{	misc_Symbols}', "");
    Expect(1, 9984, '\p{^	misc_Symbols}', "");
    Expect(1, 9984, '\P{	misc_Symbols}', "");
    Expect(0, 9984, '\P{^	misc_Symbols}', "");
    Error('\p{-_Is_Misc_Symbols:=}');
    Error('\P{-_Is_Misc_Symbols:=}');
    Expect(1, 9983, '\p{ismiscsymbols}', "");
    Expect(0, 9983, '\p{^ismiscsymbols}', "");
    Expect(0, 9983, '\P{ismiscsymbols}', "");
    Expect(1, 9983, '\P{^ismiscsymbols}', "");
    Expect(0, 9984, '\p{ismiscsymbols}', "");
    Expect(1, 9984, '\p{^ismiscsymbols}', "");
    Expect(1, 9984, '\P{ismiscsymbols}', "");
    Expect(0, 9984, '\P{^ismiscsymbols}', "");
    Expect(1, 9983, '\p{	_IS_MISC_Symbols}', "");
    Expect(0, 9983, '\p{^	_IS_MISC_Symbols}', "");
    Expect(0, 9983, '\P{	_IS_MISC_Symbols}', "");
    Expect(1, 9983, '\P{^	_IS_MISC_Symbols}', "");
    Expect(0, 9984, '\p{	_IS_MISC_Symbols}', "");
    Expect(1, 9984, '\p{^	_IS_MISC_Symbols}', "");
    Expect(1, 9984, '\P{	_IS_MISC_Symbols}', "");
    Expect(0, 9984, '\P{^	_IS_MISC_Symbols}', "");
    Error('\p{:=	_IN_Misc_SYMBOLS}');
    Error('\P{:=	_IN_Misc_SYMBOLS}');
    Expect(1, 9983, '\p{inmiscsymbols}', "");
    Expect(0, 9983, '\p{^inmiscsymbols}', "");
    Expect(0, 9983, '\P{inmiscsymbols}', "");
    Expect(1, 9983, '\P{^inmiscsymbols}', "");
    Expect(0, 9984, '\p{inmiscsymbols}', "");
    Expect(1, 9984, '\p{^inmiscsymbols}', "");
    Expect(1, 9984, '\P{inmiscsymbols}', "");
    Expect(0, 9984, '\P{^inmiscsymbols}', "");
    Expect(1, 9983, '\p{_	in_misc_SYMBOLS}', "");
    Expect(0, 9983, '\p{^_	in_misc_SYMBOLS}', "");
    Expect(0, 9983, '\P{_	in_misc_SYMBOLS}', "");
    Expect(1, 9983, '\P{^_	in_misc_SYMBOLS}', "");
    Expect(0, 9984, '\p{_	in_misc_SYMBOLS}', "");
    Expect(1, 9984, '\p{^_	in_misc_SYMBOLS}', "");
    Expect(1, 9984, '\P{_	in_misc_SYMBOLS}', "");
    Expect(0, 9984, '\P{^_	in_misc_SYMBOLS}', "");
    Error('\p{:=_MISCELLANEOUS_Symbols_and_Arrows}');
    Error('\P{:=_MISCELLANEOUS_Symbols_and_Arrows}');
    Expect(1, 11263, '\p{miscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\p{^miscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\P{miscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\P{^miscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\p{miscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\p{^miscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\P{miscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\P{^miscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\p{	-miscellaneous_symbols_And_Arrows}', "");
    Expect(0, 11263, '\p{^	-miscellaneous_symbols_And_Arrows}', "");
    Expect(0, 11263, '\P{	-miscellaneous_symbols_And_Arrows}', "");
    Expect(1, 11263, '\P{^	-miscellaneous_symbols_And_Arrows}', "");
    Expect(0, 11264, '\p{	-miscellaneous_symbols_And_Arrows}', "");
    Expect(1, 11264, '\p{^	-miscellaneous_symbols_And_Arrows}', "");
    Expect(1, 11264, '\P{	-miscellaneous_symbols_And_Arrows}', "");
    Expect(0, 11264, '\P{^	-miscellaneous_symbols_And_Arrows}', "");
    Error('\p{/a/	_IS_miscellaneous_symbols_And_ARROWS}');
    Error('\P{/a/	_IS_miscellaneous_symbols_And_ARROWS}');
    Expect(1, 11263, '\p{ismiscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\p{^ismiscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\P{ismiscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\P{^ismiscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\p{ismiscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\p{^ismiscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\P{ismiscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\P{^ismiscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\p{--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Expect(0, 11263, '\p{^--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Expect(0, 11263, '\P{--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Expect(1, 11263, '\P{^--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Expect(0, 11264, '\p{--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Expect(1, 11264, '\p{^--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Expect(1, 11264, '\P{--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Expect(0, 11264, '\P{^--Is_MISCELLANEOUS_symbols_and_Arrows}', "");
    Error('\p{	/a/In_MISCELLANEOUS_SYMBOLS_AND_ARROWS}');
    Error('\P{	/a/In_MISCELLANEOUS_SYMBOLS_AND_ARROWS}');
    Expect(1, 11263, '\p{inmiscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\p{^inmiscellaneoussymbolsandarrows}', "");
    Expect(0, 11263, '\P{inmiscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\P{^inmiscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\p{inmiscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\p{^inmiscellaneoussymbolsandarrows}', "");
    Expect(1, 11264, '\P{inmiscellaneoussymbolsandarrows}', "");
    Expect(0, 11264, '\P{^inmiscellaneoussymbolsandarrows}', "");
    Expect(1, 11263, '\p{--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11263, '\p{^--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11263, '\P{--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(1, 11263, '\P{^--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11264, '\p{--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(1, 11264, '\p{^--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(1, 11264, '\P{--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Expect(0, 11264, '\P{^--IN_MISCELLANEOUS_SYMBOLS_And_Arrows}', "");
    Error('\p{/a/	Misc_ARROWS}');
    Error('\P{/a/	Misc_ARROWS}');
    Expect(1, 11263, '\p{miscarrows}', "");
    Expect(0, 11263, '\p{^miscarrows}', "");
    Expect(0, 11263, '\P{miscarrows}', "");
    Expect(1, 11263, '\P{^miscarrows}', "");
    Expect(0, 11264, '\p{miscarrows}', "");
    Expect(1, 11264, '\p{^miscarrows}', "");
    Expect(1, 11264, '\P{miscarrows}', "");
    Expect(0, 11264, '\P{^miscarrows}', "");
    Expect(1, 11263, '\p{	_misc_arrows}', "");
    Expect(0, 11263, '\p{^	_misc_arrows}', "");
    Expect(0, 11263, '\P{	_misc_arrows}', "");
    Expect(1, 11263, '\P{^	_misc_arrows}', "");
    Expect(0, 11264, '\p{	_misc_arrows}', "");
    Expect(1, 11264, '\p{^	_misc_arrows}', "");
    Expect(1, 11264, '\P{	_misc_arrows}', "");
    Expect(0, 11264, '\P{^	_misc_arrows}', "");
    Error('\p{/a/ -Is_Misc_arrows}');
    Error('\P{/a/ -Is_Misc_arrows}');
    Expect(1, 11263, '\p{ismiscarrows}', "");
    Expect(0, 11263, '\p{^ismiscarrows}', "");
    Expect(0, 11263, '\P{ismiscarrows}', "");
    Expect(1, 11263, '\P{^ismiscarrows}', "");
    Expect(0, 11264, '\p{ismiscarrows}', "");
    Expect(1, 11264, '\p{^ismiscarrows}', "");
    Expect(1, 11264, '\P{ismiscarrows}', "");
    Expect(0, 11264, '\P{^ismiscarrows}', "");
    Expect(1, 11263, '\p{ is_MISC_Arrows}', "");
    Expect(0, 11263, '\p{^ is_MISC_Arrows}', "");
    Expect(0, 11263, '\P{ is_MISC_Arrows}', "");
    Expect(1, 11263, '\P{^ is_MISC_Arrows}', "");
    Expect(0, 11264, '\p{ is_MISC_Arrows}', "");
    Expect(1, 11264, '\p{^ is_MISC_Arrows}', "");
    Expect(1, 11264, '\P{ is_MISC_Arrows}', "");
    Expect(0, 11264, '\P{^ is_MISC_Arrows}', "");
    Error('\p{  IN_Misc_ARROWS:=}');
    Error('\P{  IN_Misc_ARROWS:=}');
    Expect(1, 11263, '\p{inmiscarrows}', "");
    Expect(0, 11263, '\p{^inmiscarrows}', "");
    Expect(0, 11263, '\P{inmiscarrows}', "");
    Expect(1, 11263, '\P{^inmiscarrows}', "");
    Expect(0, 11264, '\p{inmiscarrows}', "");
    Expect(1, 11264, '\p{^inmiscarrows}', "");
    Expect(1, 11264, '\P{inmiscarrows}', "");
    Expect(0, 11264, '\P{^inmiscarrows}', "");
    Expect(1, 11263, '\p{-_IN_misc_ARROWS}', "");
    Expect(0, 11263, '\p{^-_IN_misc_ARROWS}', "");
    Expect(0, 11263, '\P{-_IN_misc_ARROWS}', "");
    Expect(1, 11263, '\P{^-_IN_misc_ARROWS}', "");
    Expect(0, 11264, '\p{-_IN_misc_ARROWS}', "");
    Expect(1, 11264, '\p{^-_IN_misc_ARROWS}', "");
    Expect(1, 11264, '\P{-_IN_misc_ARROWS}', "");
    Expect(0, 11264, '\P{^-_IN_misc_ARROWS}', "");
    Error('\p{ -Miscellaneous_SYMBOLS_And_pictographs:=}');
    Error('\P{ -Miscellaneous_SYMBOLS_And_pictographs:=}');
    Expect(1, 128511, '\p{miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\p{^miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\P{miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\P{^miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\p{miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\p{^miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\P{miscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\P{^miscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\p{	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Expect(0, 128511, '\p{^	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Expect(0, 128511, '\P{	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Expect(1, 128511, '\P{^	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Expect(0, 128512, '\p{	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Expect(1, 128512, '\p{^	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Expect(1, 128512, '\P{	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Expect(0, 128512, '\P{^	-MISCELLANEOUS_symbols_And_Pictographs}', "");
    Error('\p{_/a/is_MISCELLANEOUS_Symbols_And_pictographs}');
    Error('\P{_/a/is_MISCELLANEOUS_Symbols_And_pictographs}');
    Expect(1, 128511, '\p{ismiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\p{^ismiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\P{ismiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\P{^ismiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\p{ismiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\p{^ismiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\P{ismiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\P{^ismiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\p{  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Expect(0, 128511, '\p{^  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Expect(0, 128511, '\P{  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Expect(1, 128511, '\P{^  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Expect(0, 128512, '\p{  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Expect(1, 128512, '\p{^  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Expect(1, 128512, '\P{  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Expect(0, 128512, '\P{^  Is_Miscellaneous_symbols_And_Pictographs}', "");
    Error('\p{/a/_In_Miscellaneous_Symbols_AND_pictographs}');
    Error('\P{/a/_In_Miscellaneous_Symbols_AND_pictographs}');
    Expect(1, 128511, '\p{inmiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\p{^inmiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128511, '\P{inmiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\P{^inmiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\p{inmiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\p{^inmiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128512, '\P{inmiscellaneoussymbolsandpictographs}', "");
    Expect(0, 128512, '\P{^inmiscellaneoussymbolsandpictographs}', "");
    Expect(1, 128511, '\p{-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Expect(0, 128511, '\p{^-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Expect(0, 128511, '\P{-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Expect(1, 128511, '\P{^-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Expect(0, 128512, '\p{-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Expect(1, 128512, '\p{^-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Expect(1, 128512, '\P{-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Expect(0, 128512, '\P{^-in_miscellaneous_Symbols_AND_Pictographs}', "");
    Error('\p{:=- Misc_pictographs}');
    Error('\P{:=- Misc_pictographs}');
    Expect(1, 128511, '\p{miscpictographs}', "");
    Expect(0, 128511, '\p{^miscpictographs}', "");
    Expect(0, 128511, '\P{miscpictographs}', "");
    Expect(1, 128511, '\P{^miscpictographs}', "");
    Expect(0, 128512, '\p{miscpictographs}', "");
    Expect(1, 128512, '\p{^miscpictographs}', "");
    Expect(1, 128512, '\P{miscpictographs}', "");
    Expect(0, 128512, '\P{^miscpictographs}', "");
    Expect(1, 128511, '\p{-Misc_PICTOGRAPHS}', "");
    Expect(0, 128511, '\p{^-Misc_PICTOGRAPHS}', "");
    Expect(0, 128511, '\P{-Misc_PICTOGRAPHS}', "");
    Expect(1, 128511, '\P{^-Misc_PICTOGRAPHS}', "");
    Expect(0, 128512, '\p{-Misc_PICTOGRAPHS}', "");
    Expect(1, 128512, '\p{^-Misc_PICTOGRAPHS}', "");
    Expect(1, 128512, '\P{-Misc_PICTOGRAPHS}', "");
    Expect(0, 128512, '\P{^-Misc_PICTOGRAPHS}', "");
    Error('\p{	 Is_Misc_PICTOGRAPHS:=}');
    Error('\P{	 Is_Misc_PICTOGRAPHS:=}');
    Expect(1, 128511, '\p{ismiscpictographs}', "");
    Expect(0, 128511, '\p{^ismiscpictographs}', "");
    Expect(0, 128511, '\P{ismiscpictographs}', "");
    Expect(1, 128511, '\P{^ismiscpictographs}', "");
    Expect(0, 128512, '\p{ismiscpictographs}', "");
    Expect(1, 128512, '\p{^ismiscpictographs}', "");
    Expect(1, 128512, '\P{ismiscpictographs}', "");
    Expect(0, 128512, '\P{^ismiscpictographs}', "");
    Expect(1, 128511, '\p{-Is_MISC_pictographs}', "");
    Expect(0, 128511, '\p{^-Is_MISC_pictographs}', "");
    Expect(0, 128511, '\P{-Is_MISC_pictographs}', "");
    Expect(1, 128511, '\P{^-Is_MISC_pictographs}', "");
    Expect(0, 128512, '\p{-Is_MISC_pictographs}', "");
    Expect(1, 128512, '\p{^-Is_MISC_pictographs}', "");
    Expect(1, 128512, '\P{-Is_MISC_pictographs}', "");
    Expect(0, 128512, '\P{^-Is_MISC_pictographs}', "");
    Error('\p{	In_Misc_Pictographs:=}');
    Error('\P{	In_Misc_Pictographs:=}');
    Expect(1, 128511, '\p{inmiscpictographs}', "");
    Expect(0, 128511, '\p{^inmiscpictographs}', "");
    Expect(0, 128511, '\P{inmiscpictographs}', "");
    Expect(1, 128511, '\P{^inmiscpictographs}', "");
    Expect(0, 128512, '\p{inmiscpictographs}', "");
    Expect(1, 128512, '\p{^inmiscpictographs}', "");
    Expect(1, 128512, '\P{inmiscpictographs}', "");
    Expect(0, 128512, '\P{^inmiscpictographs}', "");
    Expect(1, 128511, '\p{ _in_Misc_pictographs}', "");
    Expect(0, 128511, '\p{^ _in_Misc_pictographs}', "");
    Expect(0, 128511, '\P{ _in_Misc_pictographs}', "");
    Expect(1, 128511, '\P{^ _in_Misc_pictographs}', "");
    Expect(0, 128512, '\p{ _in_Misc_pictographs}', "");
    Expect(1, 128512, '\p{^ _in_Misc_pictographs}', "");
    Expect(1, 128512, '\P{ _in_Misc_pictographs}', "");
    Expect(0, 128512, '\P{^ _in_Misc_pictographs}', "");
    Error('\p{/a/_MISCELLANEOUS_technical}');
    Error('\P{/a/_MISCELLANEOUS_technical}');
    Expect(1, 9215, '\p{miscellaneoustechnical}', "");
    Expect(0, 9215, '\p{^miscellaneoustechnical}', "");
    Expect(0, 9215, '\P{miscellaneoustechnical}', "");
    Expect(1, 9215, '\P{^miscellaneoustechnical}', "");
    Expect(0, 9216, '\p{miscellaneoustechnical}', "");
    Expect(1, 9216, '\p{^miscellaneoustechnical}', "");
    Expect(1, 9216, '\P{miscellaneoustechnical}', "");
    Expect(0, 9216, '\P{^miscellaneoustechnical}', "");
    Expect(1, 9215, '\p{__Miscellaneous_technical}', "");
    Expect(0, 9215, '\p{^__Miscellaneous_technical}', "");
    Expect(0, 9215, '\P{__Miscellaneous_technical}', "");
    Expect(1, 9215, '\P{^__Miscellaneous_technical}', "");
    Expect(0, 9216, '\p{__Miscellaneous_technical}', "");
    Expect(1, 9216, '\p{^__Miscellaneous_technical}', "");
    Expect(1, 9216, '\P{__Miscellaneous_technical}', "");
    Expect(0, 9216, '\P{^__Miscellaneous_technical}', "");
    Error('\p{:=Is_miscellaneous_Technical}');
    Error('\P{:=Is_miscellaneous_Technical}');
    Expect(1, 9215, '\p{ismiscellaneoustechnical}', "");
    Expect(0, 9215, '\p{^ismiscellaneoustechnical}', "");
    Expect(0, 9215, '\P{ismiscellaneoustechnical}', "");
    Expect(1, 9215, '\P{^ismiscellaneoustechnical}', "");
    Expect(0, 9216, '\p{ismiscellaneoustechnical}', "");
    Expect(1, 9216, '\p{^ismiscellaneoustechnical}', "");
    Expect(1, 9216, '\P{ismiscellaneoustechnical}', "");
    Expect(0, 9216, '\P{^ismiscellaneoustechnical}', "");
    Expect(1, 9215, '\p{_ Is_Miscellaneous_TECHNICAL}', "");
    Expect(0, 9215, '\p{^_ Is_Miscellaneous_TECHNICAL}', "");
    Expect(0, 9215, '\P{_ Is_Miscellaneous_TECHNICAL}', "");
    Expect(1, 9215, '\P{^_ Is_Miscellaneous_TECHNICAL}', "");
    Expect(0, 9216, '\p{_ Is_Miscellaneous_TECHNICAL}', "");
    Expect(1, 9216, '\p{^_ Is_Miscellaneous_TECHNICAL}', "");
    Expect(1, 9216, '\P{_ Is_Miscellaneous_TECHNICAL}', "");
    Expect(0, 9216, '\P{^_ Is_Miscellaneous_TECHNICAL}', "");
    Error('\p{-/a/IN_Miscellaneous_Technical}');
    Error('\P{-/a/IN_Miscellaneous_Technical}');
    Expect(1, 9215, '\p{inmiscellaneoustechnical}', "");
    Expect(0, 9215, '\p{^inmiscellaneoustechnical}', "");
    Expect(0, 9215, '\P{inmiscellaneoustechnical}', "");
    Expect(1, 9215, '\P{^inmiscellaneoustechnical}', "");
    Expect(0, 9216, '\p{inmiscellaneoustechnical}', "");
    Expect(1, 9216, '\p{^inmiscellaneoustechnical}', "");
    Expect(1, 9216, '\P{inmiscellaneoustechnical}', "");
    Expect(0, 9216, '\P{^inmiscellaneoustechnical}', "");
    Expect(1, 9215, '\p{ IN_miscellaneous_Technical}', "");
    Expect(0, 9215, '\p{^ IN_miscellaneous_Technical}', "");
    Expect(0, 9215, '\P{ IN_miscellaneous_Technical}', "");
    Expect(1, 9215, '\P{^ IN_miscellaneous_Technical}', "");
    Expect(0, 9216, '\p{ IN_miscellaneous_Technical}', "");
    Expect(1, 9216, '\p{^ IN_miscellaneous_Technical}', "");
    Expect(1, 9216, '\P{ IN_miscellaneous_Technical}', "");
    Expect(0, 9216, '\P{^ IN_miscellaneous_Technical}', "");
    Error('\p{/a/	_misc_Technical}');
    Error('\P{/a/	_misc_Technical}');
    Expect(1, 9215, '\p{misctechnical}', "");
    Expect(0, 9215, '\p{^misctechnical}', "");
    Expect(0, 9215, '\P{misctechnical}', "");
    Expect(1, 9215, '\P{^misctechnical}', "");
    Expect(0, 9216, '\p{misctechnical}', "");
    Expect(1, 9216, '\p{^misctechnical}', "");
    Expect(1, 9216, '\P{misctechnical}', "");
    Expect(0, 9216, '\P{^misctechnical}', "");
    Expect(1, 9215, '\p{	_misc_Technical}', "");
    Expect(0, 9215, '\p{^	_misc_Technical}', "");
    Expect(0, 9215, '\P{	_misc_Technical}', "");
    Expect(1, 9215, '\P{^	_misc_Technical}', "");
    Expect(0, 9216, '\p{	_misc_Technical}', "");
    Expect(1, 9216, '\p{^	_misc_Technical}', "");
    Expect(1, 9216, '\P{	_misc_Technical}', "");
    Expect(0, 9216, '\P{^	_misc_Technical}', "");
    Error('\p{-:=Is_Misc_Technical}');
    Error('\P{-:=Is_Misc_Technical}');
    Expect(1, 9215, '\p{ismisctechnical}', "");
    Expect(0, 9215, '\p{^ismisctechnical}', "");
    Expect(0, 9215, '\P{ismisctechnical}', "");
    Expect(1, 9215, '\P{^ismisctechnical}', "");
    Expect(0, 9216, '\p{ismisctechnical}', "");
    Expect(1, 9216, '\p{^ismisctechnical}', "");
    Expect(1, 9216, '\P{ismisctechnical}', "");
    Expect(0, 9216, '\P{^ismisctechnical}', "");
    Expect(1, 9215, '\p{-is_Misc_TECHNICAL}', "");
    Expect(0, 9215, '\p{^-is_Misc_TECHNICAL}', "");
    Expect(0, 9215, '\P{-is_Misc_TECHNICAL}', "");
    Expect(1, 9215, '\P{^-is_Misc_TECHNICAL}', "");
    Expect(0, 9216, '\p{-is_Misc_TECHNICAL}', "");
    Expect(1, 9216, '\p{^-is_Misc_TECHNICAL}', "");
    Expect(1, 9216, '\P{-is_Misc_TECHNICAL}', "");
    Expect(0, 9216, '\P{^-is_Misc_TECHNICAL}', "");
    Error('\p{_/a/IN_Misc_Technical}');
    Error('\P{_/a/IN_Misc_Technical}');
    Expect(1, 9215, '\p{inmisctechnical}', "");
    Expect(0, 9215, '\p{^inmisctechnical}', "");
    Expect(0, 9215, '\P{inmisctechnical}', "");
    Expect(1, 9215, '\P{^inmisctechnical}', "");
    Expect(0, 9216, '\p{inmisctechnical}', "");
    Expect(1, 9216, '\p{^inmisctechnical}', "");
    Expect(1, 9216, '\P{inmisctechnical}', "");
    Expect(0, 9216, '\P{^inmisctechnical}', "");
    Expect(1, 9215, '\p{ -In_misc_technical}', "");
    Expect(0, 9215, '\p{^ -In_misc_technical}', "");
    Expect(0, 9215, '\P{ -In_misc_technical}', "");
    Expect(1, 9215, '\P{^ -In_misc_technical}', "");
    Expect(0, 9216, '\p{ -In_misc_technical}', "");
    Expect(1, 9216, '\p{^ -In_misc_technical}', "");
    Expect(1, 9216, '\P{ -In_misc_technical}', "");
    Expect(0, 9216, '\P{^ -In_misc_technical}', "");
    Error('\p{:=__modi}');
    Error('\P{:=__modi}');
    Expect(1, 71257, '\p{modi}', "");
    Expect(0, 71257, '\p{^modi}', "");
    Expect(0, 71257, '\P{modi}', "");
    Expect(1, 71257, '\P{^modi}', "");
    Expect(0, 71258, '\p{modi}', "");
    Expect(1, 71258, '\p{^modi}', "");
    Expect(1, 71258, '\P{modi}', "");
    Expect(0, 71258, '\P{^modi}', "");
    Expect(1, 71257, '\p{_ modi}', "");
    Expect(0, 71257, '\p{^_ modi}', "");
    Expect(0, 71257, '\P{_ modi}', "");
    Expect(1, 71257, '\P{^_ modi}', "");
    Expect(0, 71258, '\p{_ modi}', "");
    Expect(1, 71258, '\p{^_ modi}', "");
    Expect(1, 71258, '\P{_ modi}', "");
    Expect(0, 71258, '\P{^_ modi}', "");
    Error('\p{:=	Is_Modi}');
    Error('\P{:=	Is_Modi}');
    Expect(1, 71257, '\p{ismodi}', "");
    Expect(0, 71257, '\p{^ismodi}', "");
    Expect(0, 71257, '\P{ismodi}', "");
    Expect(1, 71257, '\P{^ismodi}', "");
    Expect(0, 71258, '\p{ismodi}', "");
    Expect(1, 71258, '\p{^ismodi}', "");
    Expect(1, 71258, '\P{ismodi}', "");
    Expect(0, 71258, '\P{^ismodi}', "");
    Expect(1, 71257, '\p{  Is_Modi}', "");
    Expect(0, 71257, '\p{^  Is_Modi}', "");
    Expect(0, 71257, '\P{  Is_Modi}', "");
    Expect(1, 71257, '\P{^  Is_Modi}', "");
    Expect(0, 71258, '\p{  Is_Modi}', "");
    Expect(1, 71258, '\p{^  Is_Modi}', "");
    Expect(1, 71258, '\P{  Is_Modi}', "");
    Expect(0, 71258, '\P{^  Is_Modi}', "");
    Error('\p{_/a/modifier_letter}');
    Error('\P{_/a/modifier_letter}');
    Expect(1, 125259, '\p{modifierletter}', "");
    Expect(0, 125259, '\p{^modifierletter}', "");
    Expect(0, 125259, '\P{modifierletter}', "");
    Expect(1, 125259, '\P{^modifierletter}', "");
    Expect(0, 125260, '\p{modifierletter}', "");
    Expect(1, 125260, '\p{^modifierletter}', "");
    Expect(1, 125260, '\P{modifierletter}', "");
    Expect(0, 125260, '\P{^modifierletter}', "");
    Expect(1, 125259, '\p{Modifier_Letter}', "");
    Expect(0, 125259, '\p{^Modifier_Letter}', "");
    Expect(0, 125259, '\P{Modifier_Letter}', "");
    Expect(1, 125259, '\P{^Modifier_Letter}', "");
    Expect(0, 125260, '\p{Modifier_Letter}', "");
    Expect(1, 125260, '\p{^Modifier_Letter}', "");
    Expect(1, 125260, '\P{Modifier_Letter}', "");
    Expect(0, 125260, '\P{^Modifier_Letter}', "");
    Error('\p{_/a/Is_modifier_Letter}');
    Error('\P{_/a/Is_modifier_Letter}');
    Expect(1, 125259, '\p{ismodifierletter}', "");
    Expect(0, 125259, '\p{^ismodifierletter}', "");
    Expect(0, 125259, '\P{ismodifierletter}', "");
    Expect(1, 125259, '\P{^ismodifierletter}', "");
    Expect(0, 125260, '\p{ismodifierletter}', "");
    Expect(1, 125260, '\p{^ismodifierletter}', "");
    Expect(1, 125260, '\P{ismodifierletter}', "");
    Expect(0, 125260, '\P{^ismodifierletter}', "");
    Expect(1, 125259, '\p{		is_Modifier_Letter}', "");
    Expect(0, 125259, '\p{^		is_Modifier_Letter}', "");
    Expect(0, 125259, '\P{		is_Modifier_Letter}', "");
    Expect(1, 125259, '\P{^		is_Modifier_Letter}', "");
    Expect(0, 125260, '\p{		is_Modifier_Letter}', "");
    Expect(1, 125260, '\p{^		is_Modifier_Letter}', "");
    Expect(1, 125260, '\P{		is_Modifier_Letter}', "");
    Expect(0, 125260, '\P{^		is_Modifier_Letter}', "");
    Error('\p{	/a/Lm}');
    Error('\P{	/a/Lm}');
    Expect(1, 125259, '\p{lm}', "");
    Expect(0, 125259, '\p{^lm}', "");
    Expect(0, 125259, '\P{lm}', "");
    Expect(1, 125259, '\P{^lm}', "");
    Expect(0, 125260, '\p{lm}', "");
    Expect(1, 125260, '\p{^lm}', "");
    Expect(1, 125260, '\P{lm}', "");
    Expect(0, 125260, '\P{^lm}', "");
    Expect(1, 125259, '\p{ Lm}', "");
    Expect(0, 125259, '\p{^ Lm}', "");
    Expect(0, 125259, '\P{ Lm}', "");
    Expect(1, 125259, '\P{^ Lm}', "");
    Expect(0, 125260, '\p{ Lm}', "");
    Expect(1, 125260, '\p{^ Lm}', "");
    Expect(1, 125260, '\P{ Lm}', "");
    Expect(0, 125260, '\P{^ Lm}', "");
    Error('\p{-	Is_LM:=}');
    Error('\P{-	Is_LM:=}');
    Expect(1, 125259, '\p{islm}', "");
    Expect(0, 125259, '\p{^islm}', "");
    Expect(0, 125259, '\P{islm}', "");
    Expect(1, 125259, '\P{^islm}', "");
    Expect(0, 125260, '\p{islm}', "");
    Expect(1, 125260, '\p{^islm}', "");
    Expect(1, 125260, '\P{islm}', "");
    Expect(0, 125260, '\P{^islm}', "");
    Expect(1, 125259, '\p{_	Is_Lm}', "");
    Expect(0, 125259, '\p{^_	Is_Lm}', "");
    Expect(0, 125259, '\P{_	Is_Lm}', "");
    Expect(1, 125259, '\P{^_	Is_Lm}', "");
    Expect(0, 125260, '\p{_	Is_Lm}', "");
    Expect(1, 125260, '\p{^_	Is_Lm}', "");
    Expect(1, 125260, '\P{_	Is_Lm}', "");
    Expect(0, 125260, '\P{^_	Is_Lm}', "");
    Error('\p{_:=Modifier_SYMBOL}');
    Error('\P{_:=Modifier_SYMBOL}');
    Expect(1, 127999, '\p{modifiersymbol}', "");
    Expect(0, 127999, '\p{^modifiersymbol}', "");
    Expect(0, 127999, '\P{modifiersymbol}', "");
    Expect(1, 127999, '\P{^modifiersymbol}', "");
    Expect(0, 128000, '\p{modifiersymbol}', "");
    Expect(1, 128000, '\p{^modifiersymbol}', "");
    Expect(1, 128000, '\P{modifiersymbol}', "");
    Expect(0, 128000, '\P{^modifiersymbol}', "");
    Expect(1, 127999, '\p{_-MODIFIER_symbol}', "");
    Expect(0, 127999, '\p{^_-MODIFIER_symbol}', "");
    Expect(0, 127999, '\P{_-MODIFIER_symbol}', "");
    Expect(1, 127999, '\P{^_-MODIFIER_symbol}', "");
    Expect(0, 128000, '\p{_-MODIFIER_symbol}', "");
    Expect(1, 128000, '\p{^_-MODIFIER_symbol}', "");
    Expect(1, 128000, '\P{_-MODIFIER_symbol}', "");
    Expect(0, 128000, '\P{^_-MODIFIER_symbol}', "");
    Error('\p{:=Is_modifier_Symbol}');
    Error('\P{:=Is_modifier_Symbol}');
    Expect(1, 127999, '\p{ismodifiersymbol}', "");
    Expect(0, 127999, '\p{^ismodifiersymbol}', "");
    Expect(0, 127999, '\P{ismodifiersymbol}', "");
    Expect(1, 127999, '\P{^ismodifiersymbol}', "");
    Expect(0, 128000, '\p{ismodifiersymbol}', "");
    Expect(1, 128000, '\p{^ismodifiersymbol}', "");
    Expect(1, 128000, '\P{ismodifiersymbol}', "");
    Expect(0, 128000, '\P{^ismodifiersymbol}', "");
    Expect(1, 127999, '\p{	_is_modifier_symbol}', "");
    Expect(0, 127999, '\p{^	_is_modifier_symbol}', "");
    Expect(0, 127999, '\P{	_is_modifier_symbol}', "");
    Expect(1, 127999, '\P{^	_is_modifier_symbol}', "");
    Expect(0, 128000, '\p{	_is_modifier_symbol}', "");
    Expect(1, 128000, '\p{^	_is_modifier_symbol}', "");
    Expect(1, 128000, '\P{	_is_modifier_symbol}', "");
    Expect(0, 128000, '\P{^	_is_modifier_symbol}', "");
    Error('\p{-:=Sk}');
    Error('\P{-:=Sk}');
    Expect(1, 127999, '\p{sk}', "");
    Expect(0, 127999, '\p{^sk}', "");
    Expect(0, 127999, '\P{sk}', "");
    Expect(1, 127999, '\P{^sk}', "");
    Expect(0, 128000, '\p{sk}', "");
    Expect(1, 128000, '\p{^sk}', "");
    Expect(1, 128000, '\P{sk}', "");
    Expect(0, 128000, '\P{^sk}', "");
    Expect(1, 127999, '\p{_-SK}', "");
    Expect(0, 127999, '\p{^_-SK}', "");
    Expect(0, 127999, '\P{_-SK}', "");
    Expect(1, 127999, '\P{^_-SK}', "");
    Expect(0, 128000, '\p{_-SK}', "");
    Expect(1, 128000, '\p{^_-SK}', "");
    Expect(1, 128000, '\P{_-SK}', "");
    Expect(0, 128000, '\P{^_-SK}', "");
    Error('\p{:=	-Is_SK}');
    Error('\P{:=	-Is_SK}');
    Expect(1, 127999, '\p{issk}', "");
    Expect(0, 127999, '\p{^issk}', "");
    Expect(0, 127999, '\P{issk}', "");
    Expect(1, 127999, '\P{^issk}', "");
    Expect(0, 128000, '\p{issk}', "");
    Expect(1, 128000, '\p{^issk}', "");
    Expect(1, 128000, '\P{issk}', "");
    Expect(0, 128000, '\P{^issk}', "");
    Expect(1, 127999, '\p{ IS_SK}', "");
    Expect(0, 127999, '\p{^ IS_SK}', "");
    Expect(0, 127999, '\P{ IS_SK}', "");
    Expect(1, 127999, '\P{^ IS_SK}', "");
    Expect(0, 128000, '\p{ IS_SK}', "");
    Expect(1, 128000, '\p{^ IS_SK}', "");
    Expect(1, 128000, '\P{ IS_SK}', "");
    Expect(0, 128000, '\P{^ IS_SK}', "");
    Error('\p{:= 	modifier_Tone_Letters}');
    Error('\P{:= 	modifier_Tone_Letters}');
    Expect(1, 42783, '\p{modifiertoneletters}', "");
    Expect(0, 42783, '\p{^modifiertoneletters}', "");
    Expect(0, 42783, '\P{modifiertoneletters}', "");
    Expect(1, 42783, '\P{^modifiertoneletters}', "");
    Expect(0, 42784, '\p{modifiertoneletters}', "");
    Expect(1, 42784, '\p{^modifiertoneletters}', "");
    Expect(1, 42784, '\P{modifiertoneletters}', "");
    Expect(0, 42784, '\P{^modifiertoneletters}', "");
    Expect(1, 42783, '\p{	Modifier_Tone_LETTERS}', "");
    Expect(0, 42783, '\p{^	Modifier_Tone_LETTERS}', "");
    Expect(0, 42783, '\P{	Modifier_Tone_LETTERS}', "");
    Expect(1, 42783, '\P{^	Modifier_Tone_LETTERS}', "");
    Expect(0, 42784, '\p{	Modifier_Tone_LETTERS}', "");
    Expect(1, 42784, '\p{^	Modifier_Tone_LETTERS}', "");
    Expect(1, 42784, '\P{	Modifier_Tone_LETTERS}', "");
    Expect(0, 42784, '\P{^	Modifier_Tone_LETTERS}', "");
    Error('\p{ :=is_Modifier_Tone_letters}');
    Error('\P{ :=is_Modifier_Tone_letters}');
    Expect(1, 42783, '\p{ismodifiertoneletters}', "");
    Expect(0, 42783, '\p{^ismodifiertoneletters}', "");
    Expect(0, 42783, '\P{ismodifiertoneletters}', "");
    Expect(1, 42783, '\P{^ismodifiertoneletters}', "");
    Expect(0, 42784, '\p{ismodifiertoneletters}', "");
    Expect(1, 42784, '\p{^ismodifiertoneletters}', "");
    Expect(1, 42784, '\P{ismodifiertoneletters}', "");
    Expect(0, 42784, '\P{^ismodifiertoneletters}', "");
    Expect(1, 42783, '\p{ _Is_MODIFIER_TONE_letters}', "");
    Expect(0, 42783, '\p{^ _Is_MODIFIER_TONE_letters}', "");
    Expect(0, 42783, '\P{ _Is_MODIFIER_TONE_letters}', "");
    Expect(1, 42783, '\P{^ _Is_MODIFIER_TONE_letters}', "");
    Expect(0, 42784, '\p{ _Is_MODIFIER_TONE_letters}', "");
    Expect(1, 42784, '\p{^ _Is_MODIFIER_TONE_letters}', "");
    Expect(1, 42784, '\P{ _Is_MODIFIER_TONE_letters}', "");
    Expect(0, 42784, '\P{^ _Is_MODIFIER_TONE_letters}', "");
    Error('\p{	In_Modifier_Tone_Letters:=}');
    Error('\P{	In_Modifier_Tone_Letters:=}');
    Expect(1, 42783, '\p{inmodifiertoneletters}', "");
    Expect(0, 42783, '\p{^inmodifiertoneletters}', "");
    Expect(0, 42783, '\P{inmodifiertoneletters}', "");
    Expect(1, 42783, '\P{^inmodifiertoneletters}', "");
    Expect(0, 42784, '\p{inmodifiertoneletters}', "");
    Expect(1, 42784, '\p{^inmodifiertoneletters}', "");
    Expect(1, 42784, '\P{inmodifiertoneletters}', "");
    Expect(0, 42784, '\P{^inmodifiertoneletters}', "");
    Expect(1, 42783, '\p{-In_modifier_Tone_LETTERS}', "");
    Expect(0, 42783, '\p{^-In_modifier_Tone_LETTERS}', "");
    Expect(0, 42783, '\P{-In_modifier_Tone_LETTERS}', "");
    Expect(1, 42783, '\P{^-In_modifier_Tone_LETTERS}', "");
    Expect(0, 42784, '\p{-In_modifier_Tone_LETTERS}', "");
    Expect(1, 42784, '\p{^-In_modifier_Tone_LETTERS}', "");
    Expect(1, 42784, '\P{-In_modifier_Tone_LETTERS}', "");
    Expect(0, 42784, '\P{^-In_modifier_Tone_LETTERS}', "");
    Error('\p{/a/-MONGOLIAN}');
    Error('\P{/a/-MONGOLIAN}');
    Expect(1, 71276, '\p{mongolian}', "");
    Expect(0, 71276, '\p{^mongolian}', "");
    Expect(0, 71276, '\P{mongolian}', "");
    Expect(1, 71276, '\P{^mongolian}', "");
    Expect(0, 71277, '\p{mongolian}', "");
    Expect(1, 71277, '\p{^mongolian}', "");
    Expect(1, 71277, '\P{mongolian}', "");
    Expect(0, 71277, '\P{^mongolian}', "");
    Expect(1, 71276, '\p{-	Mongolian}', "");
    Expect(0, 71276, '\p{^-	Mongolian}', "");
    Expect(0, 71276, '\P{-	Mongolian}', "");
    Expect(1, 71276, '\P{^-	Mongolian}', "");
    Expect(0, 71277, '\p{-	Mongolian}', "");
    Expect(1, 71277, '\p{^-	Mongolian}', "");
    Expect(1, 71277, '\P{-	Mongolian}', "");
    Expect(0, 71277, '\P{^-	Mongolian}', "");
    Error('\p{-/a/is_MONGOLIAN}');
    Error('\P{-/a/is_MONGOLIAN}');
    Expect(1, 71276, '\p{ismongolian}', "");
    Expect(0, 71276, '\p{^ismongolian}', "");
    Expect(0, 71276, '\P{ismongolian}', "");
    Expect(1, 71276, '\P{^ismongolian}', "");
    Expect(0, 71277, '\p{ismongolian}', "");
    Expect(1, 71277, '\p{^ismongolian}', "");
    Expect(1, 71277, '\P{ismongolian}', "");
    Expect(0, 71277, '\P{^ismongolian}', "");
    Expect(1, 71276, '\p{_Is_Mongolian}', "");
    Expect(0, 71276, '\p{^_Is_Mongolian}', "");
    Expect(0, 71276, '\P{_Is_Mongolian}', "");
    Expect(1, 71276, '\P{^_Is_Mongolian}', "");
    Expect(0, 71277, '\p{_Is_Mongolian}', "");
    Expect(1, 71277, '\p{^_Is_Mongolian}', "");
    Expect(1, 71277, '\P{_Is_Mongolian}', "");
    Expect(0, 71277, '\P{^_Is_Mongolian}', "");
    Error('\p{_:=mong}');
    Error('\P{_:=mong}');
    Expect(1, 71276, '\p{mong}', "");
    Expect(0, 71276, '\p{^mong}', "");
    Expect(0, 71276, '\P{mong}', "");
    Expect(1, 71276, '\P{^mong}', "");
    Expect(0, 71277, '\p{mong}', "");
    Expect(1, 71277, '\p{^mong}', "");
    Expect(1, 71277, '\P{mong}', "");
    Expect(0, 71277, '\P{^mong}', "");
    Expect(1, 71276, '\p{ MONG}', "");
    Expect(0, 71276, '\p{^ MONG}', "");
    Expect(0, 71276, '\P{ MONG}', "");
    Expect(1, 71276, '\P{^ MONG}', "");
    Expect(0, 71277, '\p{ MONG}', "");
    Expect(1, 71277, '\p{^ MONG}', "");
    Expect(1, 71277, '\P{ MONG}', "");
    Expect(0, 71277, '\P{^ MONG}', "");
    Error('\p{:=_-Is_mong}');
    Error('\P{:=_-Is_mong}');
    Expect(1, 71276, '\p{ismong}', "");
    Expect(0, 71276, '\p{^ismong}', "");
    Expect(0, 71276, '\P{ismong}', "");
    Expect(1, 71276, '\P{^ismong}', "");
    Expect(0, 71277, '\p{ismong}', "");
    Expect(1, 71277, '\p{^ismong}', "");
    Expect(1, 71277, '\P{ismong}', "");
    Expect(0, 71277, '\P{^ismong}', "");
    Expect(1, 71276, '\p{		Is_Mong}', "");
    Expect(0, 71276, '\p{^		Is_Mong}', "");
    Expect(0, 71276, '\P{		Is_Mong}', "");
    Expect(1, 71276, '\P{^		Is_Mong}', "");
    Expect(0, 71277, '\p{		Is_Mong}', "");
    Expect(1, 71277, '\p{^		Is_Mong}', "");
    Expect(1, 71277, '\P{		Is_Mong}', "");
    Expect(0, 71277, '\P{^		Is_Mong}', "");
    Error('\p{-_mongolian_Supplement:=}');
    Error('\P{-_mongolian_Supplement:=}');
    Expect(1, 71295, '\p{mongoliansupplement}', "");
    Expect(0, 71295, '\p{^mongoliansupplement}', "");
    Expect(0, 71295, '\P{mongoliansupplement}', "");
    Expect(1, 71295, '\P{^mongoliansupplement}', "");
    Expect(0, 71296, '\p{mongoliansupplement}', "");
    Expect(1, 71296, '\p{^mongoliansupplement}', "");
    Expect(1, 71296, '\P{mongoliansupplement}', "");
    Expect(0, 71296, '\P{^mongoliansupplement}', "");
    Expect(1, 71295, '\p{	-mongolian_Supplement}', "");
    Expect(0, 71295, '\p{^	-mongolian_Supplement}', "");
    Expect(0, 71295, '\P{	-mongolian_Supplement}', "");
    Expect(1, 71295, '\P{^	-mongolian_Supplement}', "");
    Expect(0, 71296, '\p{	-mongolian_Supplement}', "");
    Expect(1, 71296, '\p{^	-mongolian_Supplement}', "");
    Expect(1, 71296, '\P{	-mongolian_Supplement}', "");
    Expect(0, 71296, '\P{^	-mongolian_Supplement}', "");
    Error('\p{/a/IS_mongolian_Supplement}');
    Error('\P{/a/IS_mongolian_Supplement}');
    Expect(1, 71295, '\p{ismongoliansupplement}', "");
    Expect(0, 71295, '\p{^ismongoliansupplement}', "");
    Expect(0, 71295, '\P{ismongoliansupplement}', "");
    Expect(1, 71295, '\P{^ismongoliansupplement}', "");
    Expect(0, 71296, '\p{ismongoliansupplement}', "");
    Expect(1, 71296, '\p{^ismongoliansupplement}', "");
    Expect(1, 71296, '\P{ismongoliansupplement}', "");
    Expect(0, 71296, '\P{^ismongoliansupplement}', "");
    Expect(1, 71295, '\p{_Is_Mongolian_supplement}', "");
    Expect(0, 71295, '\p{^_Is_Mongolian_supplement}', "");
    Expect(0, 71295, '\P{_Is_Mongolian_supplement}', "");
    Expect(1, 71295, '\P{^_Is_Mongolian_supplement}', "");
    Expect(0, 71296, '\p{_Is_Mongolian_supplement}', "");
    Expect(1, 71296, '\p{^_Is_Mongolian_supplement}', "");
    Expect(1, 71296, '\P{_Is_Mongolian_supplement}', "");
    Expect(0, 71296, '\P{^_Is_Mongolian_supplement}', "");
    Error('\p{:=_	in_Mongolian_SUPPLEMENT}');
    Error('\P{:=_	in_Mongolian_SUPPLEMENT}');
    Expect(1, 71295, '\p{inmongoliansupplement}', "");
    Expect(0, 71295, '\p{^inmongoliansupplement}', "");
    Expect(0, 71295, '\P{inmongoliansupplement}', "");
    Expect(1, 71295, '\P{^inmongoliansupplement}', "");
    Expect(0, 71296, '\p{inmongoliansupplement}', "");
    Expect(1, 71296, '\p{^inmongoliansupplement}', "");
    Expect(1, 71296, '\P{inmongoliansupplement}', "");
    Expect(0, 71296, '\P{^inmongoliansupplement}', "");
    Expect(1, 71295, '\p{ 	In_mongolian_SUPPLEMENT}', "");
    Expect(0, 71295, '\p{^ 	In_mongolian_SUPPLEMENT}', "");
    Expect(0, 71295, '\P{ 	In_mongolian_SUPPLEMENT}', "");
    Expect(1, 71295, '\P{^ 	In_mongolian_SUPPLEMENT}', "");
    Expect(0, 71296, '\p{ 	In_mongolian_SUPPLEMENT}', "");
    Expect(1, 71296, '\p{^ 	In_mongolian_SUPPLEMENT}', "");
    Expect(1, 71296, '\P{ 	In_mongolian_SUPPLEMENT}', "");
    Expect(0, 71296, '\P{^ 	In_mongolian_SUPPLEMENT}', "");
    Error('\p{:= Mongolian_Sup}');
    Error('\P{:= Mongolian_Sup}');
    Expect(1, 71295, '\p{mongoliansup}', "");
    Expect(0, 71295, '\p{^mongoliansup}', "");
    Expect(0, 71295, '\P{mongoliansup}', "");
    Expect(1, 71295, '\P{^mongoliansup}', "");
    Expect(0, 71296, '\p{mongoliansup}', "");
    Expect(1, 71296, '\p{^mongoliansup}', "");
    Expect(1, 71296, '\P{mongoliansup}', "");
    Expect(0, 71296, '\P{^mongoliansup}', "");
    Expect(1, 71295, '\p{-	Mongolian_SUP}', "");
    Expect(0, 71295, '\p{^-	Mongolian_SUP}', "");
    Expect(0, 71295, '\P{-	Mongolian_SUP}', "");
    Expect(1, 71295, '\P{^-	Mongolian_SUP}', "");
    Expect(0, 71296, '\p{-	Mongolian_SUP}', "");
    Expect(1, 71296, '\p{^-	Mongolian_SUP}', "");
    Expect(1, 71296, '\P{-	Mongolian_SUP}', "");
    Expect(0, 71296, '\P{^-	Mongolian_SUP}', "");
    Error('\p{/a/__is_MONGOLIAN_sup}');
    Error('\P{/a/__is_MONGOLIAN_sup}');
    Expect(1, 71295, '\p{ismongoliansup}', "");
    Expect(0, 71295, '\p{^ismongoliansup}', "");
    Expect(0, 71295, '\P{ismongoliansup}', "");
    Expect(1, 71295, '\P{^ismongoliansup}', "");
    Expect(0, 71296, '\p{ismongoliansup}', "");
    Expect(1, 71296, '\p{^ismongoliansup}', "");
    Expect(1, 71296, '\P{ismongoliansup}', "");
    Expect(0, 71296, '\P{^ismongoliansup}', "");
    Expect(1, 71295, '\p{-Is_Mongolian_Sup}', "");
    Expect(0, 71295, '\p{^-Is_Mongolian_Sup}', "");
    Expect(0, 71295, '\P{-Is_Mongolian_Sup}', "");
    Expect(1, 71295, '\P{^-Is_Mongolian_Sup}', "");
    Expect(0, 71296, '\p{-Is_Mongolian_Sup}', "");
    Expect(1, 71296, '\p{^-Is_Mongolian_Sup}', "");
    Expect(1, 71296, '\P{-Is_Mongolian_Sup}', "");
    Expect(0, 71296, '\P{^-Is_Mongolian_Sup}', "");
    Error('\p{-_In_Mongolian_Sup:=}');
    Error('\P{-_In_Mongolian_Sup:=}');
    Expect(1, 71295, '\p{inmongoliansup}', "");
    Expect(0, 71295, '\p{^inmongoliansup}', "");
    Expect(0, 71295, '\P{inmongoliansup}', "");
    Expect(1, 71295, '\P{^inmongoliansup}', "");
    Expect(0, 71296, '\p{inmongoliansup}', "");
    Expect(1, 71296, '\p{^inmongoliansup}', "");
    Expect(1, 71296, '\P{inmongoliansup}', "");
    Expect(0, 71296, '\P{^inmongoliansup}', "");
    Expect(1, 71295, '\p{- In_MONGOLIAN_Sup}', "");
    Expect(0, 71295, '\p{^- In_MONGOLIAN_Sup}', "");
    Expect(0, 71295, '\P{- In_MONGOLIAN_Sup}', "");
    Expect(1, 71295, '\P{^- In_MONGOLIAN_Sup}', "");
    Expect(0, 71296, '\p{- In_MONGOLIAN_Sup}', "");
    Expect(1, 71296, '\p{^- In_MONGOLIAN_Sup}', "");
    Expect(1, 71296, '\P{- In_MONGOLIAN_Sup}', "");
    Expect(0, 71296, '\P{^- In_MONGOLIAN_Sup}', "");
    Error('\p{ MRO:=}');
    Error('\P{ MRO:=}');
    Expect(1, 92783, '\p{mro}', "");
    Expect(0, 92783, '\p{^mro}', "");
    Expect(0, 92783, '\P{mro}', "");
    Expect(1, 92783, '\P{^mro}', "");
    Expect(0, 92784, '\p{mro}', "");
    Expect(1, 92784, '\p{^mro}', "");
    Expect(1, 92784, '\P{mro}', "");
    Expect(0, 92784, '\P{^mro}', "");
    Expect(1, 92783, '\p{-MRO}', "");
    Expect(0, 92783, '\p{^-MRO}', "");
    Expect(0, 92783, '\P{-MRO}', "");
    Expect(1, 92783, '\P{^-MRO}', "");
    Expect(0, 92784, '\p{-MRO}', "");
    Expect(1, 92784, '\p{^-MRO}', "");
    Expect(1, 92784, '\P{-MRO}', "");
    Expect(0, 92784, '\P{^-MRO}', "");
    Error('\p{/a/ Is_MRO}');
    Error('\P{/a/ Is_MRO}');
    Expect(1, 92783, '\p{ismro}', "");
    Expect(0, 92783, '\p{^ismro}', "");
    Expect(0, 92783, '\P{ismro}', "");
    Expect(1, 92783, '\P{^ismro}', "");
    Expect(0, 92784, '\p{ismro}', "");
    Expect(1, 92784, '\p{^ismro}', "");
    Expect(1, 92784, '\P{ismro}', "");
    Expect(0, 92784, '\P{^ismro}', "");
    Expect(1, 92783, '\p{ _Is_mro}', "");
    Expect(0, 92783, '\p{^ _Is_mro}', "");
    Expect(0, 92783, '\P{ _Is_mro}', "");
    Expect(1, 92783, '\P{^ _Is_mro}', "");
    Expect(0, 92784, '\p{ _Is_mro}', "");
    Expect(1, 92784, '\p{^ _Is_mro}', "");
    Expect(1, 92784, '\P{ _Is_mro}', "");
    Expect(0, 92784, '\P{^ _Is_mro}', "");
    Error('\p{-:=MROO}');
    Error('\P{-:=MROO}');
    Expect(1, 92783, '\p{mroo}', "");
    Expect(0, 92783, '\p{^mroo}', "");
    Expect(0, 92783, '\P{mroo}', "");
    Expect(1, 92783, '\P{^mroo}', "");
    Expect(0, 92784, '\p{mroo}', "");
    Expect(1, 92784, '\p{^mroo}', "");
    Expect(1, 92784, '\P{mroo}', "");
    Expect(0, 92784, '\P{^mroo}', "");
    Expect(1, 92783, '\p{	 Mroo}', "");
    Expect(0, 92783, '\p{^	 Mroo}', "");
    Expect(0, 92783, '\P{	 Mroo}', "");
    Expect(1, 92783, '\P{^	 Mroo}', "");
    Expect(0, 92784, '\p{	 Mroo}', "");
    Expect(1, 92784, '\p{^	 Mroo}', "");
    Expect(1, 92784, '\P{	 Mroo}', "");
    Expect(0, 92784, '\P{^	 Mroo}', "");
    Error('\p{_:=Is_mroo}');
    Error('\P{_:=Is_mroo}');
    Expect(1, 92783, '\p{ismroo}', "");
    Expect(0, 92783, '\p{^ismroo}', "");
    Expect(0, 92783, '\P{ismroo}', "");
    Expect(1, 92783, '\P{^ismroo}', "");
    Expect(0, 92784, '\p{ismroo}', "");
    Expect(1, 92784, '\p{^ismroo}', "");
    Expect(1, 92784, '\P{ismroo}', "");
    Expect(0, 92784, '\P{^ismroo}', "");
    Expect(1, 92783, '\p{-_is_MROO}', "");
    Expect(0, 92783, '\p{^-_is_MROO}', "");
    Expect(0, 92783, '\P{-_is_MROO}', "");
    Expect(1, 92783, '\P{^-_is_MROO}', "");
    Expect(0, 92784, '\p{-_is_MROO}', "");
    Expect(1, 92784, '\p{^-_is_MROO}', "");
    Expect(1, 92784, '\P{-_is_MROO}', "");
    Expect(0, 92784, '\P{^-_is_MROO}', "");
    Error('\p{:=-	multani}');
    Error('\P{:=-	multani}');
    Expect(1, 70313, '\p{multani}', "");
    Expect(0, 70313, '\p{^multani}', "");
    Expect(0, 70313, '\P{multani}', "");
    Expect(1, 70313, '\P{^multani}', "");
    Expect(0, 70314, '\p{multani}', "");
    Expect(1, 70314, '\p{^multani}', "");
    Expect(1, 70314, '\P{multani}', "");
    Expect(0, 70314, '\P{^multani}', "");
    Expect(1, 70313, '\p{--multani}', "");
    Expect(0, 70313, '\p{^--multani}', "");
    Expect(0, 70313, '\P{--multani}', "");
    Expect(1, 70313, '\P{^--multani}', "");
    Expect(0, 70314, '\p{--multani}', "");
    Expect(1, 70314, '\p{^--multani}', "");
    Expect(1, 70314, '\P{--multani}', "");
    Expect(0, 70314, '\P{^--multani}', "");
    Error('\p{-_Is_multani:=}');
    Error('\P{-_Is_multani:=}');
    Expect(1, 70313, '\p{ismultani}', "");
    Expect(0, 70313, '\p{^ismultani}', "");
    Expect(0, 70313, '\P{ismultani}', "");
    Expect(1, 70313, '\P{^ismultani}', "");
    Expect(0, 70314, '\p{ismultani}', "");
    Expect(1, 70314, '\p{^ismultani}', "");
    Expect(1, 70314, '\P{ismultani}', "");
    Expect(0, 70314, '\P{^ismultani}', "");
    Expect(1, 70313, '\p{-Is_Multani}', "");
    Expect(0, 70313, '\p{^-Is_Multani}', "");
    Expect(0, 70313, '\P{-Is_Multani}', "");
    Expect(1, 70313, '\P{^-Is_Multani}', "");
    Expect(0, 70314, '\p{-Is_Multani}', "");
    Expect(1, 70314, '\p{^-Is_Multani}', "");
    Expect(1, 70314, '\P{-Is_Multani}', "");
    Expect(0, 70314, '\P{^-Is_Multani}', "");
    Error('\p{	-MULT:=}');
    Error('\P{	-MULT:=}');
    Expect(1, 70313, '\p{mult}', "");
    Expect(0, 70313, '\p{^mult}', "");
    Expect(0, 70313, '\P{mult}', "");
    Expect(1, 70313, '\P{^mult}', "");
    Expect(0, 70314, '\p{mult}', "");
    Expect(1, 70314, '\p{^mult}', "");
    Expect(1, 70314, '\P{mult}', "");
    Expect(0, 70314, '\P{^mult}', "");
    Expect(1, 70313, '\p{	MULT}', "");
    Expect(0, 70313, '\p{^	MULT}', "");
    Expect(0, 70313, '\P{	MULT}', "");
    Expect(1, 70313, '\P{^	MULT}', "");
    Expect(0, 70314, '\p{	MULT}', "");
    Expect(1, 70314, '\p{^	MULT}', "");
    Expect(1, 70314, '\P{	MULT}', "");
    Expect(0, 70314, '\P{^	MULT}', "");
    Error('\p{_/a/Is_MULT}');
    Error('\P{_/a/Is_MULT}');
    Expect(1, 70313, '\p{ismult}', "");
    Expect(0, 70313, '\p{^ismult}', "");
    Expect(0, 70313, '\P{ismult}', "");
    Expect(1, 70313, '\P{^ismult}', "");
    Expect(0, 70314, '\p{ismult}', "");
    Expect(1, 70314, '\p{^ismult}', "");
    Expect(1, 70314, '\P{ismult}', "");
    Expect(0, 70314, '\P{^ismult}', "");
    Expect(1, 70313, '\p{ Is_Mult}', "");
    Expect(0, 70313, '\p{^ Is_Mult}', "");
    Expect(0, 70313, '\P{ Is_Mult}', "");
    Expect(1, 70313, '\P{^ Is_Mult}', "");
    Expect(0, 70314, '\p{ Is_Mult}', "");
    Expect(1, 70314, '\p{^ Is_Mult}', "");
    Expect(1, 70314, '\P{ Is_Mult}', "");
    Expect(0, 70314, '\P{^ Is_Mult}', "");
    Error('\p{/a/ _Musical_symbols}');
    Error('\P{/a/ _Musical_symbols}');
    Expect(1, 119295, '\p{musicalsymbols}', "");
    Expect(0, 119295, '\p{^musicalsymbols}', "");
    Expect(0, 119295, '\P{musicalsymbols}', "");
    Expect(1, 119295, '\P{^musicalsymbols}', "");
    Expect(0, 119296, '\p{musicalsymbols}', "");
    Expect(1, 119296, '\p{^musicalsymbols}', "");
    Expect(1, 119296, '\P{musicalsymbols}', "");
    Expect(0, 119296, '\P{^musicalsymbols}', "");
    Expect(1, 119295, '\p{  Musical_SYMBOLS}', "");
    Expect(0, 119295, '\p{^  Musical_SYMBOLS}', "");
    Expect(0, 119295, '\P{  Musical_SYMBOLS}', "");
    Expect(1, 119295, '\P{^  Musical_SYMBOLS}', "");
    Expect(0, 119296, '\p{  Musical_SYMBOLS}', "");
    Expect(1, 119296, '\p{^  Musical_SYMBOLS}', "");
    Expect(1, 119296, '\P{  Musical_SYMBOLS}', "");
    Expect(0, 119296, '\P{^  Musical_SYMBOLS}', "");
    Error('\p{:=	Is_MUSICAL_Symbols}');
    Error('\P{:=	Is_MUSICAL_Symbols}');
    Expect(1, 119295, '\p{ismusicalsymbols}', "");
    Expect(0, 119295, '\p{^ismusicalsymbols}', "");
    Expect(0, 119295, '\P{ismusicalsymbols}', "");
    Expect(1, 119295, '\P{^ismusicalsymbols}', "");
    Expect(0, 119296, '\p{ismusicalsymbols}', "");
    Expect(1, 119296, '\p{^ismusicalsymbols}', "");
    Expect(1, 119296, '\P{ismusicalsymbols}', "");
    Expect(0, 119296, '\P{^ismusicalsymbols}', "");
    Expect(1, 119295, '\p{-_Is_MUSICAL_Symbols}', "");
    Expect(0, 119295, '\p{^-_Is_MUSICAL_Symbols}', "");
    Expect(0, 119295, '\P{-_Is_MUSICAL_Symbols}', "");
    Expect(1, 119295, '\P{^-_Is_MUSICAL_Symbols}', "");
    Expect(0, 119296, '\p{-_Is_MUSICAL_Symbols}', "");
    Expect(1, 119296, '\p{^-_Is_MUSICAL_Symbols}', "");
    Expect(1, 119296, '\P{-_Is_MUSICAL_Symbols}', "");
    Expect(0, 119296, '\P{^-_Is_MUSICAL_Symbols}', "");
    Error('\p{ in_Musical_SYMBOLS/a/}');
    Error('\P{ in_Musical_SYMBOLS/a/}');
    Expect(1, 119295, '\p{inmusicalsymbols}', "");
    Expect(0, 119295, '\p{^inmusicalsymbols}', "");
    Expect(0, 119295, '\P{inmusicalsymbols}', "");
    Expect(1, 119295, '\P{^inmusicalsymbols}', "");
    Expect(0, 119296, '\p{inmusicalsymbols}', "");
    Expect(1, 119296, '\p{^inmusicalsymbols}', "");
    Expect(1, 119296, '\P{inmusicalsymbols}', "");
    Expect(0, 119296, '\P{^inmusicalsymbols}', "");
    Expect(1, 119295, '\p{ In_MUSICAL_symbols}', "");
    Expect(0, 119295, '\p{^ In_MUSICAL_symbols}', "");
    Expect(0, 119295, '\P{ In_MUSICAL_symbols}', "");
    Expect(1, 119295, '\P{^ In_MUSICAL_symbols}', "");
    Expect(0, 119296, '\p{ In_MUSICAL_symbols}', "");
    Expect(1, 119296, '\p{^ In_MUSICAL_symbols}', "");
    Expect(1, 119296, '\P{ In_MUSICAL_symbols}', "");
    Expect(0, 119296, '\P{^ In_MUSICAL_symbols}', "");
    Error('\p{/a/ _Music}');
    Error('\P{/a/ _Music}');
    Expect(1, 119295, '\p{music}', "");
    Expect(0, 119295, '\p{^music}', "");
    Expect(0, 119295, '\P{music}', "");
    Expect(1, 119295, '\P{^music}', "");
    Expect(0, 119296, '\p{music}', "");
    Expect(1, 119296, '\p{^music}', "");
    Expect(1, 119296, '\P{music}', "");
    Expect(0, 119296, '\P{^music}', "");
    Expect(1, 119295, '\p{Music}', "");
    Expect(0, 119295, '\p{^Music}', "");
    Expect(0, 119295, '\P{Music}', "");
    Expect(1, 119295, '\P{^Music}', "");
    Expect(0, 119296, '\p{Music}', "");
    Expect(1, 119296, '\p{^Music}', "");
    Expect(1, 119296, '\P{Music}', "");
    Expect(0, 119296, '\P{^Music}', "");
    Error('\p{		is_MUSIC/a/}');
    Error('\P{		is_MUSIC/a/}');
    Expect(1, 119295, '\p{ismusic}', "");
    Expect(0, 119295, '\p{^ismusic}', "");
    Expect(0, 119295, '\P{ismusic}', "");
    Expect(1, 119295, '\P{^ismusic}', "");
    Expect(0, 119296, '\p{ismusic}', "");
    Expect(1, 119296, '\p{^ismusic}', "");
    Expect(1, 119296, '\P{ismusic}', "");
    Expect(0, 119296, '\P{^ismusic}', "");
    Expect(1, 119295, '\p{_ Is_MUSIC}', "");
    Expect(0, 119295, '\p{^_ Is_MUSIC}', "");
    Expect(0, 119295, '\P{_ Is_MUSIC}', "");
    Expect(1, 119295, '\P{^_ Is_MUSIC}', "");
    Expect(0, 119296, '\p{_ Is_MUSIC}', "");
    Expect(1, 119296, '\p{^_ Is_MUSIC}', "");
    Expect(1, 119296, '\P{_ Is_MUSIC}', "");
    Expect(0, 119296, '\P{^_ Is_MUSIC}', "");
    Error('\p{_/a/In_MUSIC}');
    Error('\P{_/a/In_MUSIC}');
    Expect(1, 119295, '\p{inmusic}', "");
    Expect(0, 119295, '\p{^inmusic}', "");
    Expect(0, 119295, '\P{inmusic}', "");
    Expect(1, 119295, '\P{^inmusic}', "");
    Expect(0, 119296, '\p{inmusic}', "");
    Expect(1, 119296, '\p{^inmusic}', "");
    Expect(1, 119296, '\P{inmusic}', "");
    Expect(0, 119296, '\P{^inmusic}', "");
    Expect(1, 119295, '\p{_	In_Music}', "");
    Expect(0, 119295, '\p{^_	In_Music}', "");
    Expect(0, 119295, '\P{_	In_Music}', "");
    Expect(1, 119295, '\P{^_	In_Music}', "");
    Expect(0, 119296, '\p{_	In_Music}', "");
    Expect(1, 119296, '\p{^_	In_Music}', "");
    Expect(1, 119296, '\P{_	In_Music}', "");
    Expect(0, 119296, '\P{^_	In_Music}', "");
    Error('\p{	MYANMAR/a/}');
    Error('\P{	MYANMAR/a/}');
    Expect(1, 43647, '\p{myanmar}', "");
    Expect(0, 43647, '\p{^myanmar}', "");
    Expect(0, 43647, '\P{myanmar}', "");
    Expect(1, 43647, '\P{^myanmar}', "");
    Expect(0, 43648, '\p{myanmar}', "");
    Expect(1, 43648, '\p{^myanmar}', "");
    Expect(1, 43648, '\P{myanmar}', "");
    Expect(0, 43648, '\P{^myanmar}', "");
    Expect(1, 43647, '\p{	MYANMAR}', "");
    Expect(0, 43647, '\p{^	MYANMAR}', "");
    Expect(0, 43647, '\P{	MYANMAR}', "");
    Expect(1, 43647, '\P{^	MYANMAR}', "");
    Expect(0, 43648, '\p{	MYANMAR}', "");
    Expect(1, 43648, '\p{^	MYANMAR}', "");
    Expect(1, 43648, '\P{	MYANMAR}', "");
    Expect(0, 43648, '\P{^	MYANMAR}', "");
    Error('\p{_:=Is_MYANMAR}');
    Error('\P{_:=Is_MYANMAR}');
    Expect(1, 43647, '\p{ismyanmar}', "");
    Expect(0, 43647, '\p{^ismyanmar}', "");
    Expect(0, 43647, '\P{ismyanmar}', "");
    Expect(1, 43647, '\P{^ismyanmar}', "");
    Expect(0, 43648, '\p{ismyanmar}', "");
    Expect(1, 43648, '\p{^ismyanmar}', "");
    Expect(1, 43648, '\P{ismyanmar}', "");
    Expect(0, 43648, '\P{^ismyanmar}', "");
    Expect(1, 43647, '\p{_	Is_MYANMAR}', "");
    Expect(0, 43647, '\p{^_	Is_MYANMAR}', "");
    Expect(0, 43647, '\P{_	Is_MYANMAR}', "");
    Expect(1, 43647, '\P{^_	Is_MYANMAR}', "");
    Expect(0, 43648, '\p{_	Is_MYANMAR}', "");
    Expect(1, 43648, '\p{^_	Is_MYANMAR}', "");
    Expect(1, 43648, '\P{_	Is_MYANMAR}', "");
    Expect(0, 43648, '\P{^_	Is_MYANMAR}', "");
    Error('\p{  Mymr:=}');
    Error('\P{  Mymr:=}');
    Expect(1, 43647, '\p{mymr}', "");
    Expect(0, 43647, '\p{^mymr}', "");
    Expect(0, 43647, '\P{mymr}', "");
    Expect(1, 43647, '\P{^mymr}', "");
    Expect(0, 43648, '\p{mymr}', "");
    Expect(1, 43648, '\p{^mymr}', "");
    Expect(1, 43648, '\P{mymr}', "");
    Expect(0, 43648, '\P{^mymr}', "");
    Expect(1, 43647, '\p{_mymr}', "");
    Expect(0, 43647, '\p{^_mymr}', "");
    Expect(0, 43647, '\P{_mymr}', "");
    Expect(1, 43647, '\P{^_mymr}', "");
    Expect(0, 43648, '\p{_mymr}', "");
    Expect(1, 43648, '\p{^_mymr}', "");
    Expect(1, 43648, '\P{_mymr}', "");
    Expect(0, 43648, '\P{^_mymr}', "");
    Error('\p{/a/_IS_mymr}');
    Error('\P{/a/_IS_mymr}');
    Expect(1, 43647, '\p{ismymr}', "");
    Expect(0, 43647, '\p{^ismymr}', "");
    Expect(0, 43647, '\P{ismymr}', "");
    Expect(1, 43647, '\P{^ismymr}', "");
    Expect(0, 43648, '\p{ismymr}', "");
    Expect(1, 43648, '\p{^ismymr}', "");
    Expect(1, 43648, '\P{ismymr}', "");
    Expect(0, 43648, '\P{^ismymr}', "");
    Expect(1, 43647, '\p{  is_Mymr}', "");
    Expect(0, 43647, '\p{^  is_Mymr}', "");
    Expect(0, 43647, '\P{  is_Mymr}', "");
    Expect(1, 43647, '\P{^  is_Mymr}', "");
    Expect(0, 43648, '\p{  is_Mymr}', "");
    Expect(1, 43648, '\p{^  is_Mymr}', "");
    Expect(1, 43648, '\P{  is_Mymr}', "");
    Expect(0, 43648, '\P{^  is_Mymr}', "");
    Error('\p{_Myanmar_extended_A/a/}');
    Error('\P{_Myanmar_extended_A/a/}');
    Expect(1, 43647, '\p{myanmarextendeda}', "");
    Expect(0, 43647, '\p{^myanmarextendeda}', "");
    Expect(0, 43647, '\P{myanmarextendeda}', "");
    Expect(1, 43647, '\P{^myanmarextendeda}', "");
    Expect(0, 43648, '\p{myanmarextendeda}', "");
    Expect(1, 43648, '\p{^myanmarextendeda}', "");
    Expect(1, 43648, '\P{myanmarextendeda}', "");
    Expect(0, 43648, '\P{^myanmarextendeda}', "");
    Expect(1, 43647, '\p{- Myanmar_Extended_A}', "");
    Expect(0, 43647, '\p{^- Myanmar_Extended_A}', "");
    Expect(0, 43647, '\P{- Myanmar_Extended_A}', "");
    Expect(1, 43647, '\P{^- Myanmar_Extended_A}', "");
    Expect(0, 43648, '\p{- Myanmar_Extended_A}', "");
    Expect(1, 43648, '\p{^- Myanmar_Extended_A}', "");
    Expect(1, 43648, '\P{- Myanmar_Extended_A}', "");
    Expect(0, 43648, '\P{^- Myanmar_Extended_A}', "");
    Error('\p{ /a/Is_myanmar_extended_A}');
    Error('\P{ /a/Is_myanmar_extended_A}');
    Expect(1, 43647, '\p{ismyanmarextendeda}', "");
    Expect(0, 43647, '\p{^ismyanmarextendeda}', "");
    Expect(0, 43647, '\P{ismyanmarextendeda}', "");
    Expect(1, 43647, '\P{^ismyanmarextendeda}', "");
    Expect(0, 43648, '\p{ismyanmarextendeda}', "");
    Expect(1, 43648, '\p{^ismyanmarextendeda}', "");
    Expect(1, 43648, '\P{ismyanmarextendeda}', "");
    Expect(0, 43648, '\P{^ismyanmarextendeda}', "");
    Expect(1, 43647, '\p{	-Is_Myanmar_EXTENDED_A}', "");
    Expect(0, 43647, '\p{^	-Is_Myanmar_EXTENDED_A}', "");
    Expect(0, 43647, '\P{	-Is_Myanmar_EXTENDED_A}', "");
    Expect(1, 43647, '\P{^	-Is_Myanmar_EXTENDED_A}', "");
    Expect(0, 43648, '\p{	-Is_Myanmar_EXTENDED_A}', "");
    Expect(1, 43648, '\p{^	-Is_Myanmar_EXTENDED_A}', "");
    Expect(1, 43648, '\P{	-Is_Myanmar_EXTENDED_A}', "");
    Expect(0, 43648, '\P{^	-Is_Myanmar_EXTENDED_A}', "");
    Error('\p{_:=In_myanmar_Extended_A}');
    Error('\P{_:=In_myanmar_Extended_A}');
    Expect(1, 43647, '\p{inmyanmarextendeda}', "");
    Expect(0, 43647, '\p{^inmyanmarextendeda}', "");
    Expect(0, 43647, '\P{inmyanmarextendeda}', "");
    Expect(1, 43647, '\P{^inmyanmarextendeda}', "");
    Expect(0, 43648, '\p{inmyanmarextendeda}', "");
    Expect(1, 43648, '\p{^inmyanmarextendeda}', "");
    Expect(1, 43648, '\P{inmyanmarextendeda}', "");
    Expect(0, 43648, '\P{^inmyanmarextendeda}', "");
    Expect(1, 43647, '\p{	_IN_Myanmar_Extended_A}', "");
    Expect(0, 43647, '\p{^	_IN_Myanmar_Extended_A}', "");
    Expect(0, 43647, '\P{	_IN_Myanmar_Extended_A}', "");
    Expect(1, 43647, '\P{^	_IN_Myanmar_Extended_A}', "");
    Expect(0, 43648, '\p{	_IN_Myanmar_Extended_A}', "");
    Expect(1, 43648, '\p{^	_IN_Myanmar_Extended_A}', "");
    Expect(1, 43648, '\P{	_IN_Myanmar_Extended_A}', "");
    Expect(0, 43648, '\P{^	_IN_Myanmar_Extended_A}', "");
    Error('\p{:=_MYANMAR_Ext_A}');
    Error('\P{:=_MYANMAR_Ext_A}');
    Expect(1, 43647, '\p{myanmarexta}', "");
    Expect(0, 43647, '\p{^myanmarexta}', "");
    Expect(0, 43647, '\P{myanmarexta}', "");
    Expect(1, 43647, '\P{^myanmarexta}', "");
    Expect(0, 43648, '\p{myanmarexta}', "");
    Expect(1, 43648, '\p{^myanmarexta}', "");
    Expect(1, 43648, '\P{myanmarexta}', "");
    Expect(0, 43648, '\P{^myanmarexta}', "");
    Expect(1, 43647, '\p{ MYANMAR_Ext_a}', "");
    Expect(0, 43647, '\p{^ MYANMAR_Ext_a}', "");
    Expect(0, 43647, '\P{ MYANMAR_Ext_a}', "");
    Expect(1, 43647, '\P{^ MYANMAR_Ext_a}', "");
    Expect(0, 43648, '\p{ MYANMAR_Ext_a}', "");
    Expect(1, 43648, '\p{^ MYANMAR_Ext_a}', "");
    Expect(1, 43648, '\P{ MYANMAR_Ext_a}', "");
    Expect(0, 43648, '\P{^ MYANMAR_Ext_a}', "");
    Error('\p{	/a/Is_MYANMAR_ext_a}');
    Error('\P{	/a/Is_MYANMAR_ext_a}');
    Expect(1, 43647, '\p{ismyanmarexta}', "");
    Expect(0, 43647, '\p{^ismyanmarexta}', "");
    Expect(0, 43647, '\P{ismyanmarexta}', "");
    Expect(1, 43647, '\P{^ismyanmarexta}', "");
    Expect(0, 43648, '\p{ismyanmarexta}', "");
    Expect(1, 43648, '\p{^ismyanmarexta}', "");
    Expect(1, 43648, '\P{ismyanmarexta}', "");
    Expect(0, 43648, '\P{^ismyanmarexta}', "");
    Expect(1, 43647, '\p{ Is_MYANMAR_Ext_A}', "");
    Expect(0, 43647, '\p{^ Is_MYANMAR_Ext_A}', "");
    Expect(0, 43647, '\P{ Is_MYANMAR_Ext_A}', "");
    Expect(1, 43647, '\P{^ Is_MYANMAR_Ext_A}', "");
    Expect(0, 43648, '\p{ Is_MYANMAR_Ext_A}', "");
    Expect(1, 43648, '\p{^ Is_MYANMAR_Ext_A}', "");
    Expect(1, 43648, '\P{ Is_MYANMAR_Ext_A}', "");
    Expect(0, 43648, '\P{^ Is_MYANMAR_Ext_A}', "");
    Error('\p{:=_ IN_myanmar_Ext_A}');
    Error('\P{:=_ IN_myanmar_Ext_A}');
    Expect(1, 43647, '\p{inmyanmarexta}', "");
    Expect(0, 43647, '\p{^inmyanmarexta}', "");
    Expect(0, 43647, '\P{inmyanmarexta}', "");
    Expect(1, 43647, '\P{^inmyanmarexta}', "");
    Expect(0, 43648, '\p{inmyanmarexta}', "");
    Expect(1, 43648, '\p{^inmyanmarexta}', "");
    Expect(1, 43648, '\P{inmyanmarexta}', "");
    Expect(0, 43648, '\P{^inmyanmarexta}', "");
    Expect(1, 43647, '\p{ 	In_Myanmar_Ext_A}', "");
    Expect(0, 43647, '\p{^ 	In_Myanmar_Ext_A}', "");
    Expect(0, 43647, '\P{ 	In_Myanmar_Ext_A}', "");
    Expect(1, 43647, '\P{^ 	In_Myanmar_Ext_A}', "");
    Expect(0, 43648, '\p{ 	In_Myanmar_Ext_A}', "");
    Expect(1, 43648, '\p{^ 	In_Myanmar_Ext_A}', "");
    Expect(1, 43648, '\P{ 	In_Myanmar_Ext_A}', "");
    Expect(0, 43648, '\P{^ 	In_Myanmar_Ext_A}', "");
    Error('\p{:=_ myanmar_Extended_B}');
    Error('\P{:=_ myanmar_Extended_B}');
    Expect(1, 43519, '\p{myanmarextendedb}', "");
    Expect(0, 43519, '\p{^myanmarextendedb}', "");
    Expect(0, 43519, '\P{myanmarextendedb}', "");
    Expect(1, 43519, '\P{^myanmarextendedb}', "");
    Expect(0, 43520, '\p{myanmarextendedb}', "");
    Expect(1, 43520, '\p{^myanmarextendedb}', "");
    Expect(1, 43520, '\P{myanmarextendedb}', "");
    Expect(0, 43520, '\P{^myanmarextendedb}', "");
    Expect(1, 43519, '\p{ MYANMAR_Extended_B}', "");
    Expect(0, 43519, '\p{^ MYANMAR_Extended_B}', "");
    Expect(0, 43519, '\P{ MYANMAR_Extended_B}', "");
    Expect(1, 43519, '\P{^ MYANMAR_Extended_B}', "");
    Expect(0, 43520, '\p{ MYANMAR_Extended_B}', "");
    Expect(1, 43520, '\p{^ MYANMAR_Extended_B}', "");
    Expect(1, 43520, '\P{ MYANMAR_Extended_B}', "");
    Expect(0, 43520, '\P{^ MYANMAR_Extended_B}', "");
    Error('\p{ :=IS_MYANMAR_extended_B}');
    Error('\P{ :=IS_MYANMAR_extended_B}');
    Expect(1, 43519, '\p{ismyanmarextendedb}', "");
    Expect(0, 43519, '\p{^ismyanmarextendedb}', "");
    Expect(0, 43519, '\P{ismyanmarextendedb}', "");
    Expect(1, 43519, '\P{^ismyanmarextendedb}', "");
    Expect(0, 43520, '\p{ismyanmarextendedb}', "");
    Expect(1, 43520, '\p{^ismyanmarextendedb}', "");
    Expect(1, 43520, '\P{ismyanmarextendedb}', "");
    Expect(0, 43520, '\P{^ismyanmarextendedb}', "");
    Expect(1, 43519, '\p{		IS_Myanmar_Extended_B}', "");
    Expect(0, 43519, '\p{^		IS_Myanmar_Extended_B}', "");
    Expect(0, 43519, '\P{		IS_Myanmar_Extended_B}', "");
    Expect(1, 43519, '\P{^		IS_Myanmar_Extended_B}', "");
    Expect(0, 43520, '\p{		IS_Myanmar_Extended_B}', "");
    Expect(1, 43520, '\p{^		IS_Myanmar_Extended_B}', "");
    Expect(1, 43520, '\P{		IS_Myanmar_Extended_B}', "");
    Expect(0, 43520, '\P{^		IS_Myanmar_Extended_B}', "");
    Error('\p{_	IN_myanmar_Extended_B:=}');
    Error('\P{_	IN_myanmar_Extended_B:=}');
    Expect(1, 43519, '\p{inmyanmarextendedb}', "");
    Expect(0, 43519, '\p{^inmyanmarextendedb}', "");
    Expect(0, 43519, '\P{inmyanmarextendedb}', "");
    Expect(1, 43519, '\P{^inmyanmarextendedb}', "");
    Expect(0, 43520, '\p{inmyanmarextendedb}', "");
    Expect(1, 43520, '\p{^inmyanmarextendedb}', "");
    Expect(1, 43520, '\P{inmyanmarextendedb}', "");
    Expect(0, 43520, '\P{^inmyanmarextendedb}', "");
    Expect(1, 43519, '\p{_In_MYANMAR_EXTENDED_B}', "");
    Expect(0, 43519, '\p{^_In_MYANMAR_EXTENDED_B}', "");
    Expect(0, 43519, '\P{_In_MYANMAR_EXTENDED_B}', "");
    Expect(1, 43519, '\P{^_In_MYANMAR_EXTENDED_B}', "");
    Expect(0, 43520, '\p{_In_MYANMAR_EXTENDED_B}', "");
    Expect(1, 43520, '\p{^_In_MYANMAR_EXTENDED_B}', "");
    Expect(1, 43520, '\P{_In_MYANMAR_EXTENDED_B}', "");
    Expect(0, 43520, '\P{^_In_MYANMAR_EXTENDED_B}', "");
    Error('\p{:=	 Myanmar_Ext_B}');
    Error('\P{:=	 Myanmar_Ext_B}');
    Expect(1, 43519, '\p{myanmarextb}', "");
    Expect(0, 43519, '\p{^myanmarextb}', "");
    Expect(0, 43519, '\P{myanmarextb}', "");
    Expect(1, 43519, '\P{^myanmarextb}', "");
    Expect(0, 43520, '\p{myanmarextb}', "");
    Expect(1, 43520, '\p{^myanmarextb}', "");
    Expect(1, 43520, '\P{myanmarextb}', "");
    Expect(0, 43520, '\P{^myanmarextb}', "");
    Expect(1, 43519, '\p{_ Myanmar_Ext_B}', "");
    Expect(0, 43519, '\p{^_ Myanmar_Ext_B}', "");
    Expect(0, 43519, '\P{_ Myanmar_Ext_B}', "");
    Expect(1, 43519, '\P{^_ Myanmar_Ext_B}', "");
    Expect(0, 43520, '\p{_ Myanmar_Ext_B}', "");
    Expect(1, 43520, '\p{^_ Myanmar_Ext_B}', "");
    Expect(1, 43520, '\P{_ Myanmar_Ext_B}', "");
    Expect(0, 43520, '\P{^_ Myanmar_Ext_B}', "");
    Error('\p{/a/ -Is_myanmar_EXT_B}');
    Error('\P{/a/ -Is_myanmar_EXT_B}');
    Expect(1, 43519, '\p{ismyanmarextb}', "");
    Expect(0, 43519, '\p{^ismyanmarextb}', "");
    Expect(0, 43519, '\P{ismyanmarextb}', "");
    Expect(1, 43519, '\P{^ismyanmarextb}', "");
    Expect(0, 43520, '\p{ismyanmarextb}', "");
    Expect(1, 43520, '\p{^ismyanmarextb}', "");
    Expect(1, 43520, '\P{ismyanmarextb}', "");
    Expect(0, 43520, '\P{^ismyanmarextb}', "");
    Expect(1, 43519, '\p{ is_myanmar_EXT_B}', "");
    Expect(0, 43519, '\p{^ is_myanmar_EXT_B}', "");
    Expect(0, 43519, '\P{ is_myanmar_EXT_B}', "");
    Expect(1, 43519, '\P{^ is_myanmar_EXT_B}', "");
    Expect(0, 43520, '\p{ is_myanmar_EXT_B}', "");
    Expect(1, 43520, '\p{^ is_myanmar_EXT_B}', "");
    Expect(1, 43520, '\P{ is_myanmar_EXT_B}', "");
    Expect(0, 43520, '\P{^ is_myanmar_EXT_B}', "");
    Error('\p{ _In_MYANMAR_Ext_B/a/}');
    Error('\P{ _In_MYANMAR_Ext_B/a/}');
    Expect(1, 43519, '\p{inmyanmarextb}', "");
    Expect(0, 43519, '\p{^inmyanmarextb}', "");
    Expect(0, 43519, '\P{inmyanmarextb}', "");
    Expect(1, 43519, '\P{^inmyanmarextb}', "");
    Expect(0, 43520, '\p{inmyanmarextb}', "");
    Expect(1, 43520, '\p{^inmyanmarextb}', "");
    Expect(1, 43520, '\P{inmyanmarextb}', "");
    Expect(0, 43520, '\P{^inmyanmarextb}', "");
    Expect(1, 43519, '\p{_ In_myanmar_Ext_B}', "");
    Expect(0, 43519, '\p{^_ In_myanmar_Ext_B}', "");
    Expect(0, 43519, '\P{_ In_myanmar_Ext_B}', "");
    Expect(1, 43519, '\P{^_ In_myanmar_Ext_B}', "");
    Expect(0, 43520, '\p{_ In_myanmar_Ext_B}', "");
    Expect(1, 43520, '\p{^_ In_myanmar_Ext_B}', "");
    Expect(1, 43520, '\P{_ In_myanmar_Ext_B}', "");
    Expect(0, 43520, '\P{^_ In_myanmar_Ext_B}', "");
    Error('\p{:= _Nabataean}');
    Error('\P{:= _Nabataean}');
    Expect(1, 67759, '\p{nabataean}', "");
    Expect(0, 67759, '\p{^nabataean}', "");
    Expect(0, 67759, '\P{nabataean}', "");
    Expect(1, 67759, '\P{^nabataean}', "");
    Expect(0, 67760, '\p{nabataean}', "");
    Expect(1, 67760, '\p{^nabataean}', "");
    Expect(1, 67760, '\P{nabataean}', "");
    Expect(0, 67760, '\P{^nabataean}', "");
    Expect(1, 67759, '\p{- Nabataean}', "");
    Expect(0, 67759, '\p{^- Nabataean}', "");
    Expect(0, 67759, '\P{- Nabataean}', "");
    Expect(1, 67759, '\P{^- Nabataean}', "");
    Expect(0, 67760, '\p{- Nabataean}', "");
    Expect(1, 67760, '\p{^- Nabataean}', "");
    Expect(1, 67760, '\P{- Nabataean}', "");
    Expect(0, 67760, '\P{^- Nabataean}', "");
    Error('\p{/a/is_Nabataean}');
    Error('\P{/a/is_Nabataean}');
    Expect(1, 67759, '\p{isnabataean}', "");
    Expect(0, 67759, '\p{^isnabataean}', "");
    Expect(0, 67759, '\P{isnabataean}', "");
    Expect(1, 67759, '\P{^isnabataean}', "");
    Expect(0, 67760, '\p{isnabataean}', "");
    Expect(1, 67760, '\p{^isnabataean}', "");
    Expect(1, 67760, '\P{isnabataean}', "");
    Expect(0, 67760, '\P{^isnabataean}', "");
    Expect(1, 67759, '\p{-_is_NABATAEAN}', "");
    Expect(0, 67759, '\p{^-_is_NABATAEAN}', "");
    Expect(0, 67759, '\P{-_is_NABATAEAN}', "");
    Expect(1, 67759, '\P{^-_is_NABATAEAN}', "");
    Expect(0, 67760, '\p{-_is_NABATAEAN}', "");
    Expect(1, 67760, '\p{^-_is_NABATAEAN}', "");
    Expect(1, 67760, '\P{-_is_NABATAEAN}', "");
    Expect(0, 67760, '\P{^-_is_NABATAEAN}', "");
    Error('\p{-/a/nbat}');
    Error('\P{-/a/nbat}');
    Expect(1, 67759, '\p{nbat}', "");
    Expect(0, 67759, '\p{^nbat}', "");
    Expect(0, 67759, '\P{nbat}', "");
    Expect(1, 67759, '\P{^nbat}', "");
    Expect(0, 67760, '\p{nbat}', "");
    Expect(1, 67760, '\p{^nbat}', "");
    Expect(1, 67760, '\P{nbat}', "");
    Expect(0, 67760, '\P{^nbat}', "");
    Expect(1, 67759, '\p{_Nbat}', "");
    Expect(0, 67759, '\p{^_Nbat}', "");
    Expect(0, 67759, '\P{_Nbat}', "");
    Expect(1, 67759, '\P{^_Nbat}', "");
    Expect(0, 67760, '\p{_Nbat}', "");
    Expect(1, 67760, '\p{^_Nbat}', "");
    Expect(1, 67760, '\P{_Nbat}', "");
    Expect(0, 67760, '\P{^_Nbat}', "");
    Error('\p{:=	-IS_nbat}');
    Error('\P{:=	-IS_nbat}');
    Expect(1, 67759, '\p{isnbat}', "");
    Expect(0, 67759, '\p{^isnbat}', "");
    Expect(0, 67759, '\P{isnbat}', "");
    Expect(1, 67759, '\P{^isnbat}', "");
    Expect(0, 67760, '\p{isnbat}', "");
    Expect(1, 67760, '\p{^isnbat}', "");
    Expect(1, 67760, '\P{isnbat}', "");
    Expect(0, 67760, '\P{^isnbat}', "");
    Expect(1, 67759, '\p{ _Is_nbat}', "");
    Expect(0, 67759, '\p{^ _Is_nbat}', "");
    Expect(0, 67759, '\P{ _Is_nbat}', "");
    Expect(1, 67759, '\P{^ _Is_nbat}', "");
    Expect(0, 67760, '\p{ _Is_nbat}', "");
    Expect(1, 67760, '\p{^ _Is_nbat}', "");
    Expect(1, 67760, '\P{ _Is_nbat}', "");
    Expect(0, 67760, '\P{^ _Is_nbat}', "");
    Error('\p{_/a/Nandinagari}');
    Error('\P{_/a/Nandinagari}');
    Expect(1, 72164, '\p{nandinagari}', "");
    Expect(0, 72164, '\p{^nandinagari}', "");
    Expect(0, 72164, '\P{nandinagari}', "");
    Expect(1, 72164, '\P{^nandinagari}', "");
    Expect(0, 72165, '\p{nandinagari}', "");
    Expect(1, 72165, '\p{^nandinagari}', "");
    Expect(1, 72165, '\P{nandinagari}', "");
    Expect(0, 72165, '\P{^nandinagari}', "");
    Expect(1, 72164, '\p{- nandinagari}', "");
    Expect(0, 72164, '\p{^- nandinagari}', "");
    Expect(0, 72164, '\P{- nandinagari}', "");
    Expect(1, 72164, '\P{^- nandinagari}', "");
    Expect(0, 72165, '\p{- nandinagari}', "");
    Expect(1, 72165, '\p{^- nandinagari}', "");
    Expect(1, 72165, '\P{- nandinagari}', "");
    Expect(0, 72165, '\P{^- nandinagari}', "");
    Error('\p{:=	 Is_Nandinagari}');
    Error('\P{:=	 Is_Nandinagari}');
    Expect(1, 72164, '\p{isnandinagari}', "");
    Expect(0, 72164, '\p{^isnandinagari}', "");
    Expect(0, 72164, '\P{isnandinagari}', "");
    Expect(1, 72164, '\P{^isnandinagari}', "");
    Expect(0, 72165, '\p{isnandinagari}', "");
    Expect(1, 72165, '\p{^isnandinagari}', "");
    Expect(1, 72165, '\P{isnandinagari}', "");
    Expect(0, 72165, '\P{^isnandinagari}', "");
    Expect(1, 72164, '\p{	Is_Nandinagari}', "");
    Expect(0, 72164, '\p{^	Is_Nandinagari}', "");
    Expect(0, 72164, '\P{	Is_Nandinagari}', "");
    Expect(1, 72164, '\P{^	Is_Nandinagari}', "");
    Expect(0, 72165, '\p{	Is_Nandinagari}', "");
    Expect(1, 72165, '\p{^	Is_Nandinagari}', "");
    Expect(1, 72165, '\P{	Is_Nandinagari}', "");
    Expect(0, 72165, '\P{^	Is_Nandinagari}', "");
    Error('\p{_-NAND:=}');
    Error('\P{_-NAND:=}');
    Expect(1, 72164, '\p{nand}', "");
    Expect(0, 72164, '\p{^nand}', "");
    Expect(0, 72164, '\P{nand}', "");
    Expect(1, 72164, '\P{^nand}', "");
    Expect(0, 72165, '\p{nand}', "");
    Expect(1, 72165, '\p{^nand}', "");
    Expect(1, 72165, '\P{nand}', "");
    Expect(0, 72165, '\P{^nand}', "");
    Expect(1, 72164, '\p{_	nand}', "");
    Expect(0, 72164, '\p{^_	nand}', "");
    Expect(0, 72164, '\P{_	nand}', "");
    Expect(1, 72164, '\P{^_	nand}', "");
    Expect(0, 72165, '\p{_	nand}', "");
    Expect(1, 72165, '\p{^_	nand}', "");
    Expect(1, 72165, '\P{_	nand}', "");
    Expect(0, 72165, '\P{^_	nand}', "");
    Error('\p{_:=Is_NAND}');
    Error('\P{_:=Is_NAND}');
    Expect(1, 72164, '\p{isnand}', "");
    Expect(0, 72164, '\p{^isnand}', "");
    Expect(0, 72164, '\P{isnand}', "");
    Expect(1, 72164, '\P{^isnand}', "");
    Expect(0, 72165, '\p{isnand}', "");
    Expect(1, 72165, '\p{^isnand}', "");
    Expect(1, 72165, '\P{isnand}', "");
    Expect(0, 72165, '\P{^isnand}', "");
    Expect(1, 72164, '\p{	-Is_nand}', "");
    Expect(0, 72164, '\p{^	-Is_nand}', "");
    Expect(0, 72164, '\P{	-Is_nand}', "");
    Expect(1, 72164, '\P{^	-Is_nand}', "");
    Expect(0, 72165, '\p{	-Is_nand}', "");
    Expect(1, 72165, '\p{^	-Is_nand}', "");
    Expect(1, 72165, '\P{	-Is_nand}', "");
    Expect(0, 72165, '\P{^	-Is_nand}', "");
    Error('\p{	:=NEW_Tai_Lue}');
    Error('\P{	:=NEW_Tai_Lue}');
    Expect(1, 6623, '\p{newtailue}', "");
    Expect(0, 6623, '\p{^newtailue}', "");
    Expect(0, 6623, '\P{newtailue}', "");
    Expect(1, 6623, '\P{^newtailue}', "");
    Expect(0, 6624, '\p{newtailue}', "");
    Expect(1, 6624, '\p{^newtailue}', "");
    Expect(1, 6624, '\P{newtailue}', "");
    Expect(0, 6624, '\P{^newtailue}', "");
    Expect(1, 6623, '\p{ _New_Tai_Lue}', "");
    Expect(0, 6623, '\p{^ _New_Tai_Lue}', "");
    Expect(0, 6623, '\P{ _New_Tai_Lue}', "");
    Expect(1, 6623, '\P{^ _New_Tai_Lue}', "");
    Expect(0, 6624, '\p{ _New_Tai_Lue}', "");
    Expect(1, 6624, '\p{^ _New_Tai_Lue}', "");
    Expect(1, 6624, '\P{ _New_Tai_Lue}', "");
    Expect(0, 6624, '\P{^ _New_Tai_Lue}', "");
    Error('\p{:=Is_new_tai_Lue}');
    Error('\P{:=Is_new_tai_Lue}');
    Expect(1, 6623, '\p{isnewtailue}', "");
    Expect(0, 6623, '\p{^isnewtailue}', "");
    Expect(0, 6623, '\P{isnewtailue}', "");
    Expect(1, 6623, '\P{^isnewtailue}', "");
    Expect(0, 6624, '\p{isnewtailue}', "");
    Expect(1, 6624, '\p{^isnewtailue}', "");
    Expect(1, 6624, '\P{isnewtailue}', "");
    Expect(0, 6624, '\P{^isnewtailue}', "");
    Expect(1, 6623, '\p{_is_new_tai_Lue}', "");
    Expect(0, 6623, '\p{^_is_new_tai_Lue}', "");
    Expect(0, 6623, '\P{_is_new_tai_Lue}', "");
    Expect(1, 6623, '\P{^_is_new_tai_Lue}', "");
    Expect(0, 6624, '\p{_is_new_tai_Lue}', "");
    Expect(1, 6624, '\p{^_is_new_tai_Lue}', "");
    Expect(1, 6624, '\P{_is_new_tai_Lue}', "");
    Expect(0, 6624, '\P{^_is_new_tai_Lue}', "");
    Error('\p{:=--Talu}');
    Error('\P{:=--Talu}');
    Expect(1, 6623, '\p{talu}', "");
    Expect(0, 6623, '\p{^talu}', "");
    Expect(0, 6623, '\P{talu}', "");
    Expect(1, 6623, '\P{^talu}', "");
    Expect(0, 6624, '\p{talu}', "");
    Expect(1, 6624, '\p{^talu}', "");
    Expect(1, 6624, '\P{talu}', "");
    Expect(0, 6624, '\P{^talu}', "");
    Expect(1, 6623, '\p{	_talu}', "");
    Expect(0, 6623, '\p{^	_talu}', "");
    Expect(0, 6623, '\P{	_talu}', "");
    Expect(1, 6623, '\P{^	_talu}', "");
    Expect(0, 6624, '\p{	_talu}', "");
    Expect(1, 6624, '\p{^	_talu}', "");
    Expect(1, 6624, '\P{	_talu}', "");
    Expect(0, 6624, '\P{^	_talu}', "");
    Error('\p{  Is_Talu/a/}');
    Error('\P{  Is_Talu/a/}');
    Expect(1, 6623, '\p{istalu}', "");
    Expect(0, 6623, '\p{^istalu}', "");
    Expect(0, 6623, '\P{istalu}', "");
    Expect(1, 6623, '\P{^istalu}', "");
    Expect(0, 6624, '\p{istalu}', "");
    Expect(1, 6624, '\p{^istalu}', "");
    Expect(1, 6624, '\P{istalu}', "");
    Expect(0, 6624, '\P{^istalu}', "");
    Expect(1, 6623, '\p{ 	IS_TALU}', "");
    Expect(0, 6623, '\p{^ 	IS_TALU}', "");
    Expect(0, 6623, '\P{ 	IS_TALU}', "");
    Expect(1, 6623, '\P{^ 	IS_TALU}', "");
    Expect(0, 6624, '\p{ 	IS_TALU}', "");
    Expect(1, 6624, '\p{^ 	IS_TALU}', "");
    Expect(1, 6624, '\P{ 	IS_TALU}', "");
    Expect(0, 6624, '\P{^ 	IS_TALU}', "");
    Error('\p{/a/ NEWA}');
    Error('\P{/a/ NEWA}');
    Expect(1, 70753, '\p{newa}', "");
    Expect(0, 70753, '\p{^newa}', "");
    Expect(0, 70753, '\P{newa}', "");
    Expect(1, 70753, '\P{^newa}', "");
    Expect(0, 70754, '\p{newa}', "");
    Expect(1, 70754, '\p{^newa}', "");
    Expect(1, 70754, '\P{newa}', "");
    Expect(0, 70754, '\P{^newa}', "");
    Expect(1, 70753, '\p{	newa}', "");
    Expect(0, 70753, '\p{^	newa}', "");
    Expect(0, 70753, '\P{	newa}', "");
    Expect(1, 70753, '\P{^	newa}', "");
    Expect(0, 70754, '\p{	newa}', "");
    Expect(1, 70754, '\p{^	newa}', "");
    Expect(1, 70754, '\P{	newa}', "");
    Expect(0, 70754, '\P{^	newa}', "");
    Error('\p{	:=Is_Newa}');
    Error('\P{	:=Is_Newa}');
    Expect(1, 70753, '\p{isnewa}', "");
    Expect(0, 70753, '\p{^isnewa}', "");
    Expect(0, 70753, '\P{isnewa}', "");
    Expect(1, 70753, '\P{^isnewa}', "");
    Expect(0, 70754, '\p{isnewa}', "");
    Expect(1, 70754, '\p{^isnewa}', "");
    Expect(1, 70754, '\P{isnewa}', "");
    Expect(0, 70754, '\P{^isnewa}', "");
    Expect(1, 70753, '\p{ Is_NEWA}', "");
    Expect(0, 70753, '\p{^ Is_NEWA}', "");
    Expect(0, 70753, '\P{ Is_NEWA}', "");
    Expect(1, 70753, '\P{^ Is_NEWA}', "");
    Expect(0, 70754, '\p{ Is_NEWA}', "");
    Expect(1, 70754, '\p{^ Is_NEWA}', "");
    Expect(1, 70754, '\P{ Is_NEWA}', "");
    Expect(0, 70754, '\P{^ Is_NEWA}', "");
    Error('\p{:=NKO}');
    Error('\P{:=NKO}');
    Expect(1, 64831, '\p{nko}', "");
    Expect(0, 64831, '\p{^nko}', "");
    Expect(0, 64831, '\P{nko}', "");
    Expect(1, 64831, '\P{^nko}', "");
    Expect(0, 64832, '\p{nko}', "");
    Expect(1, 64832, '\p{^nko}', "");
    Expect(1, 64832, '\P{nko}', "");
    Expect(0, 64832, '\P{^nko}', "");
    Expect(1, 64831, '\p{- NKO}', "");
    Expect(0, 64831, '\p{^- NKO}', "");
    Expect(0, 64831, '\P{- NKO}', "");
    Expect(1, 64831, '\P{^- NKO}', "");
    Expect(0, 64832, '\p{- NKO}', "");
    Expect(1, 64832, '\p{^- NKO}', "");
    Expect(1, 64832, '\P{- NKO}', "");
    Expect(0, 64832, '\P{^- NKO}', "");
    Error('\p{:=--IS_Nko}');
    Error('\P{:=--IS_Nko}');
    Expect(1, 64831, '\p{isnko}', "");
    Expect(0, 64831, '\p{^isnko}', "");
    Expect(0, 64831, '\P{isnko}', "");
    Expect(1, 64831, '\P{^isnko}', "");
    Expect(0, 64832, '\p{isnko}', "");
    Expect(1, 64832, '\p{^isnko}', "");
    Expect(1, 64832, '\P{isnko}', "");
    Expect(0, 64832, '\P{^isnko}', "");
    Expect(1, 64831, '\p{-	is_Nko}', "");
    Expect(0, 64831, '\p{^-	is_Nko}', "");
    Expect(0, 64831, '\P{-	is_Nko}', "");
    Expect(1, 64831, '\P{^-	is_Nko}', "");
    Expect(0, 64832, '\p{-	is_Nko}', "");
    Expect(1, 64832, '\p{^-	is_Nko}', "");
    Expect(1, 64832, '\P{-	is_Nko}', "");
    Expect(0, 64832, '\P{^-	is_Nko}', "");
    Error('\p{:= NKOO}');
    Error('\P{:= NKOO}');
    Expect(1, 64831, '\p{nkoo}', "");
    Expect(0, 64831, '\p{^nkoo}', "");
    Expect(0, 64831, '\P{nkoo}', "");
    Expect(1, 64831, '\P{^nkoo}', "");
    Expect(0, 64832, '\p{nkoo}', "");
    Expect(1, 64832, '\p{^nkoo}', "");
    Expect(1, 64832, '\P{nkoo}', "");
    Expect(0, 64832, '\P{^nkoo}', "");
    Expect(1, 64831, '\p{_-Nkoo}', "");
    Expect(0, 64831, '\p{^_-Nkoo}', "");
    Expect(0, 64831, '\P{_-Nkoo}', "");
    Expect(1, 64831, '\P{^_-Nkoo}', "");
    Expect(0, 64832, '\p{_-Nkoo}', "");
    Expect(1, 64832, '\p{^_-Nkoo}', "");
    Expect(1, 64832, '\P{_-Nkoo}', "");
    Expect(0, 64832, '\P{^_-Nkoo}', "");
    Error('\p{ /a/is_NKOO}');
    Error('\P{ /a/is_NKOO}');
    Expect(1, 64831, '\p{isnkoo}', "");
    Expect(0, 64831, '\p{^isnkoo}', "");
    Expect(0, 64831, '\P{isnkoo}', "");
    Expect(1, 64831, '\P{^isnkoo}', "");
    Expect(0, 64832, '\p{isnkoo}', "");
    Expect(1, 64832, '\p{^isnkoo}', "");
    Expect(1, 64832, '\P{isnkoo}', "");
    Expect(0, 64832, '\P{^isnkoo}', "");
    Expect(1, 64831, '\p{__Is_Nkoo}', "");
    Expect(0, 64831, '\p{^__Is_Nkoo}', "");
    Expect(0, 64831, '\P{__Is_Nkoo}', "");
    Expect(1, 64831, '\P{^__Is_Nkoo}', "");
    Expect(0, 64832, '\p{__Is_Nkoo}', "");
    Expect(1, 64832, '\p{^__Is_Nkoo}', "");
    Expect(1, 64832, '\P{__Is_Nkoo}', "");
    Expect(0, 64832, '\P{^__Is_Nkoo}', "");
    Error('\p{-/a/no_Block}');
    Error('\P{-/a/no_Block}');
    Expect(1, 918000, '\p{noblock}', "");
    Expect(0, 918000, '\p{^noblock}', "");
    Expect(0, 918000, '\P{noblock}', "");
    Expect(1, 918000, '\P{^noblock}', "");
    Expect(0, 983040, '\p{noblock}', "");
    Expect(1, 983040, '\p{^noblock}', "");
    Expect(1, 983040, '\P{noblock}', "");
    Expect(0, 983040, '\P{^noblock}', "");
    Expect(1, 918000, '\p{_-No_block}', "");
    Expect(0, 918000, '\p{^_-No_block}', "");
    Expect(0, 918000, '\P{_-No_block}', "");
    Expect(1, 918000, '\P{^_-No_block}', "");
    Expect(0, 983040, '\p{_-No_block}', "");
    Expect(1, 983040, '\p{^_-No_block}', "");
    Expect(1, 983040, '\P{_-No_block}', "");
    Expect(0, 983040, '\P{^_-No_block}', "");
    Error('\p{:=_	Is_No_Block}');
    Error('\P{:=_	Is_No_Block}');
    Expect(1, 918000, '\p{isnoblock}', "");
    Expect(0, 918000, '\p{^isnoblock}', "");
    Expect(0, 918000, '\P{isnoblock}', "");
    Expect(1, 918000, '\P{^isnoblock}', "");
    Expect(0, 983040, '\p{isnoblock}', "");
    Expect(1, 983040, '\p{^isnoblock}', "");
    Expect(1, 983040, '\P{isnoblock}', "");
    Expect(0, 983040, '\P{^isnoblock}', "");
    Expect(1, 918000, '\p{ Is_No_block}', "");
    Expect(0, 918000, '\p{^ Is_No_block}', "");
    Expect(0, 918000, '\P{ Is_No_block}', "");
    Expect(1, 918000, '\P{^ Is_No_block}', "");
    Expect(0, 983040, '\p{ Is_No_block}', "");
    Expect(1, 983040, '\p{^ Is_No_block}', "");
    Expect(1, 983040, '\P{ Is_No_block}', "");
    Expect(0, 983040, '\P{^ Is_No_block}', "");
    Error('\p{	:=IN_No_Block}');
    Error('\P{	:=IN_No_Block}');
    Expect(1, 918000, '\p{innoblock}', "");
    Expect(0, 918000, '\p{^innoblock}', "");
    Expect(0, 918000, '\P{innoblock}', "");
    Expect(1, 918000, '\P{^innoblock}', "");
    Expect(0, 983040, '\p{innoblock}', "");
    Expect(1, 983040, '\p{^innoblock}', "");
    Expect(1, 983040, '\P{innoblock}', "");
    Expect(0, 983040, '\P{^innoblock}', "");
    Expect(1, 918000, '\p{ 	in_NO_BLOCK}', "");
    Expect(0, 918000, '\p{^ 	in_NO_BLOCK}', "");
    Expect(0, 918000, '\P{ 	in_NO_BLOCK}', "");
    Expect(1, 918000, '\P{^ 	in_NO_BLOCK}', "");
    Expect(0, 983040, '\p{ 	in_NO_BLOCK}', "");
    Expect(1, 983040, '\p{^ 	in_NO_BLOCK}', "");
    Expect(1, 983040, '\P{ 	in_NO_BLOCK}', "");
    Expect(0, 983040, '\P{^ 	in_NO_BLOCK}', "");
    Error('\p{:=	_NB}');
    Error('\P{:=	_NB}');
    Expect(1, 918000, '\p{nb}', "");
    Expect(0, 918000, '\p{^nb}', "");
    Expect(0, 918000, '\P{nb}', "");
    Expect(1, 918000, '\P{^nb}', "");
    Expect(0, 983040, '\p{nb}', "");
    Expect(1, 983040, '\p{^nb}', "");
    Expect(1, 983040, '\P{nb}', "");
    Expect(0, 983040, '\P{^nb}', "");
    Expect(1, 918000, '\p{ NB}', "");
    Expect(0, 918000, '\p{^ NB}', "");
    Expect(0, 918000, '\P{ NB}', "");
    Expect(1, 918000, '\P{^ NB}', "");
    Expect(0, 983040, '\p{ NB}', "");
    Expect(1, 983040, '\p{^ NB}', "");
    Expect(1, 983040, '\P{ NB}', "");
    Expect(0, 983040, '\P{^ NB}', "");
    Error('\p{:=-	Is_nb}');
    Error('\P{:=-	Is_nb}');
    Expect(1, 918000, '\p{isnb}', "");
    Expect(0, 918000, '\p{^isnb}', "");
    Expect(0, 918000, '\P{isnb}', "");
    Expect(1, 918000, '\P{^isnb}', "");
    Expect(0, 983040, '\p{isnb}', "");
    Expect(1, 983040, '\p{^isnb}', "");
    Expect(1, 983040, '\P{isnb}', "");
    Expect(0, 983040, '\P{^isnb}', "");
    Expect(1, 918000, '\p{__is_NB}', "");
    Expect(0, 918000, '\p{^__is_NB}', "");
    Expect(0, 918000, '\P{__is_NB}', "");
    Expect(1, 918000, '\P{^__is_NB}', "");
    Expect(0, 983040, '\p{__is_NB}', "");
    Expect(1, 983040, '\p{^__is_NB}', "");
    Expect(1, 983040, '\P{__is_NB}', "");
    Expect(0, 983040, '\P{^__is_NB}', "");
    Error('\p{	/a/in_NB}');
    Error('\P{	/a/in_NB}');
    Expect(1, 918000, '\p{innb}', "");
    Expect(0, 918000, '\p{^innb}', "");
    Expect(0, 918000, '\P{innb}', "");
    Expect(1, 918000, '\P{^innb}', "");
    Expect(0, 983040, '\p{innb}', "");
    Expect(1, 983040, '\p{^innb}', "");
    Expect(1, 983040, '\P{innb}', "");
    Expect(0, 983040, '\P{^innb}', "");
    Expect(1, 918000, '\p{-	In_NB}', "");
    Expect(0, 918000, '\p{^-	In_NB}', "");
    Expect(0, 918000, '\P{-	In_NB}', "");
    Expect(1, 918000, '\P{^-	In_NB}', "");
    Expect(0, 983040, '\p{-	In_NB}', "");
    Expect(1, 983040, '\p{^-	In_NB}', "");
    Expect(1, 983040, '\P{-	In_NB}', "");
    Expect(0, 983040, '\P{^-	In_NB}', "");
    Error('\p{ Noncharacter_Code_Point:=}');
    Error('\P{ Noncharacter_Code_Point:=}');
    Expect(1, 1114111, '\p{noncharactercodepoint}', "");
    Expect(0, 1114111, '\p{^noncharactercodepoint}', "");
    Expect(0, 1114111, '\P{noncharactercodepoint}', "");
    Expect(1, 1114111, '\P{^noncharactercodepoint}', "");
    Expect(0, 1114109, '\p{noncharactercodepoint}', "");
    Expect(1, 1114109, '\p{^noncharactercodepoint}', "");
    Expect(1, 1114109, '\P{noncharactercodepoint}', "");
    Expect(0, 1114109, '\P{^noncharactercodepoint}', "");
    Expect(1, 1114111, '\p{	NONCHARACTER_CODE_Point}', "");
    Expect(0, 1114111, '\p{^	NONCHARACTER_CODE_Point}', "");
    Expect(0, 1114111, '\P{	NONCHARACTER_CODE_Point}', "");
    Expect(1, 1114111, '\P{^	NONCHARACTER_CODE_Point}', "");
    Expect(0, 1114109, '\p{	NONCHARACTER_CODE_Point}', "");
    Expect(1, 1114109, '\p{^	NONCHARACTER_CODE_Point}', "");
    Expect(1, 1114109, '\P{	NONCHARACTER_CODE_Point}', "");
    Expect(0, 1114109, '\P{^	NONCHARACTER_CODE_Point}', "");
    Error('\p{:=	-Is_Noncharacter_Code_Point}');
    Error('\P{:=	-Is_Noncharacter_Code_Point}');
    Expect(1, 1114111, '\p{isnoncharactercodepoint}', "");
    Expect(0, 1114111, '\p{^isnoncharactercodepoint}', "");
    Expect(0, 1114111, '\P{isnoncharactercodepoint}', "");
    Expect(1, 1114111, '\P{^isnoncharactercodepoint}', "");
    Expect(0, 1114109, '\p{isnoncharactercodepoint}', "");
    Expect(1, 1114109, '\p{^isnoncharactercodepoint}', "");
    Expect(1, 1114109, '\P{isnoncharactercodepoint}', "");
    Expect(0, 1114109, '\P{^isnoncharactercodepoint}', "");
    Expect(1, 1114111, '\p{_	is_NONCHARACTER_Code_Point}', "");
    Expect(0, 1114111, '\p{^_	is_NONCHARACTER_Code_Point}', "");
    Expect(0, 1114111, '\P{_	is_NONCHARACTER_Code_Point}', "");
    Expect(1, 1114111, '\P{^_	is_NONCHARACTER_Code_Point}', "");
    Expect(0, 1114109, '\p{_	is_NONCHARACTER_Code_Point}', "");
    Expect(1, 1114109, '\p{^_	is_NONCHARACTER_Code_Point}', "");
    Expect(1, 1114109, '\P{_	is_NONCHARACTER_Code_Point}', "");
    Expect(0, 1114109, '\P{^_	is_NONCHARACTER_Code_Point}', "");
    Error('\p{-/a/nchar}');
    Error('\P{-/a/nchar}');
    Expect(1, 1114111, '\p{nchar}', "");
    Expect(0, 1114111, '\p{^nchar}', "");
    Expect(0, 1114111, '\P{nchar}', "");
    Expect(1, 1114111, '\P{^nchar}', "");
    Expect(0, 1114109, '\p{nchar}', "");
    Expect(1, 1114109, '\p{^nchar}', "");
    Expect(1, 1114109, '\P{nchar}', "");
    Expect(0, 1114109, '\P{^nchar}', "");
    Expect(1, 1114111, '\p{	NCHAR}', "");
    Expect(0, 1114111, '\p{^	NCHAR}', "");
    Expect(0, 1114111, '\P{	NCHAR}', "");
    Expect(1, 1114111, '\P{^	NCHAR}', "");
    Expect(0, 1114109, '\p{	NCHAR}', "");
    Expect(1, 1114109, '\p{^	NCHAR}', "");
    Expect(1, 1114109, '\P{	NCHAR}', "");
    Expect(0, 1114109, '\P{^	NCHAR}', "");
    Error('\p{	:=IS_NChar}');
    Error('\P{	:=IS_NChar}');
    Expect(1, 1114111, '\p{isnchar}', "");
    Expect(0, 1114111, '\p{^isnchar}', "");
    Expect(0, 1114111, '\P{isnchar}', "");
    Expect(1, 1114111, '\P{^isnchar}', "");
    Expect(0, 1114109, '\p{isnchar}', "");
    Expect(1, 1114109, '\p{^isnchar}', "");
    Expect(1, 1114109, '\P{isnchar}', "");
    Expect(0, 1114109, '\P{^isnchar}', "");
    Expect(1, 1114111, '\p{-Is_NChar}', "");
    Expect(0, 1114111, '\p{^-Is_NChar}', "");
    Expect(0, 1114111, '\P{-Is_NChar}', "");
    Expect(1, 1114111, '\P{^-Is_NChar}', "");
    Expect(0, 1114109, '\p{-Is_NChar}', "");
    Expect(1, 1114109, '\p{^-Is_NChar}', "");
    Expect(1, 1114109, '\P{-Is_NChar}', "");
    Expect(0, 1114109, '\P{^-Is_NChar}', "");
    Error('\p{  NONSPACING_Mark/a/}');
    Error('\P{  NONSPACING_Mark/a/}');
    Expect(1, 917999, '\p{nonspacingmark}', "");
    Expect(0, 917999, '\p{^nonspacingmark}', "");
    Expect(0, 917999, '\P{nonspacingmark}', "");
    Expect(1, 917999, '\P{^nonspacingmark}', "");
    Expect(0, 918000, '\p{nonspacingmark}', "");
    Expect(1, 918000, '\p{^nonspacingmark}', "");
    Expect(1, 918000, '\P{nonspacingmark}', "");
    Expect(0, 918000, '\P{^nonspacingmark}', "");
    Expect(1, 917999, '\p{ _Nonspacing_Mark}', "");
    Expect(0, 917999, '\p{^ _Nonspacing_Mark}', "");
    Expect(0, 917999, '\P{ _Nonspacing_Mark}', "");
    Expect(1, 917999, '\P{^ _Nonspacing_Mark}', "");
    Expect(0, 918000, '\p{ _Nonspacing_Mark}', "");
    Expect(1, 918000, '\p{^ _Nonspacing_Mark}', "");
    Expect(1, 918000, '\P{ _Nonspacing_Mark}', "");
    Expect(0, 918000, '\P{^ _Nonspacing_Mark}', "");
    Error('\p{/a/  Is_NONSPACING_mark}');
    Error('\P{/a/  Is_NONSPACING_mark}');
    Expect(1, 917999, '\p{isnonspacingmark}', "");
    Expect(0, 917999, '\p{^isnonspacingmark}', "");
    Expect(0, 917999, '\P{isnonspacingmark}', "");
    Expect(1, 917999, '\P{^isnonspacingmark}', "");
    Expect(0, 918000, '\p{isnonspacingmark}', "");
    Expect(1, 918000, '\p{^isnonspacingmark}', "");
    Expect(1, 918000, '\P{isnonspacingmark}', "");
    Expect(0, 918000, '\P{^isnonspacingmark}', "");
    Expect(1, 917999, '\p{	-is_NONSPACING_Mark}', "");
    Expect(0, 917999, '\p{^	-is_NONSPACING_Mark}', "");
    Expect(0, 917999, '\P{	-is_NONSPACING_Mark}', "");
    Expect(1, 917999, '\P{^	-is_NONSPACING_Mark}', "");
    Expect(0, 918000, '\p{	-is_NONSPACING_Mark}', "");
    Expect(1, 918000, '\p{^	-is_NONSPACING_Mark}', "");
    Expect(1, 918000, '\P{	-is_NONSPACING_Mark}', "");
    Expect(0, 918000, '\P{^	-is_NONSPACING_Mark}', "");
    Error('\p{_/a/Mn}');
    Error('\P{_/a/Mn}');
    Expect(1, 917999, '\p{mn}', "");
    Expect(0, 917999, '\p{^mn}', "");
    Expect(0, 917999, '\P{mn}', "");
    Expect(1, 917999, '\P{^mn}', "");
    Expect(0, 918000, '\p{mn}', "");
    Expect(1, 918000, '\p{^mn}', "");
    Expect(1, 918000, '\P{mn}', "");
    Expect(0, 918000, '\P{^mn}', "");
    Expect(1, 917999, '\p{_mn}', "");
    Expect(0, 917999, '\p{^_mn}', "");
    Expect(0, 917999, '\P{_mn}', "");
    Expect(1, 917999, '\P{^_mn}', "");
    Expect(0, 918000, '\p{_mn}', "");
    Expect(1, 918000, '\p{^_mn}', "");
    Expect(1, 918000, '\P{_mn}', "");
    Expect(0, 918000, '\P{^_mn}', "");
    Error('\p{:=	-IS_MN}');
    Error('\P{:=	-IS_MN}');
    Expect(1, 917999, '\p{ismn}', "");
    Expect(0, 917999, '\p{^ismn}', "");
    Expect(0, 917999, '\P{ismn}', "");
    Expect(1, 917999, '\P{^ismn}', "");
    Expect(0, 918000, '\p{ismn}', "");
    Expect(1, 918000, '\p{^ismn}', "");
    Expect(1, 918000, '\P{ismn}', "");
    Expect(0, 918000, '\P{^ismn}', "");
    Expect(1, 917999, '\p{- is_Mn}', "");
    Expect(0, 917999, '\p{^- is_Mn}', "");
    Expect(0, 917999, '\P{- is_Mn}', "");
    Expect(1, 917999, '\P{^- is_Mn}', "");
    Expect(0, 918000, '\p{- is_Mn}', "");
    Expect(1, 918000, '\p{^- is_Mn}', "");
    Expect(1, 918000, '\P{- is_Mn}', "");
    Expect(0, 918000, '\P{^- is_Mn}', "");
    Error('\p{:=Number}');
    Error('\P{:=Number}');
    Expect(1, 130041, '\p{number}', "");
    Expect(0, 130041, '\p{^number}', "");
    Expect(0, 130041, '\P{number}', "");
    Expect(1, 130041, '\P{^number}', "");
    Expect(0, 130042, '\p{number}', "");
    Expect(1, 130042, '\p{^number}', "");
    Expect(1, 130042, '\P{number}', "");
    Expect(0, 130042, '\P{^number}', "");
    Expect(1, 130041, '\p{	_Number}', "");
    Expect(0, 130041, '\p{^	_Number}', "");
    Expect(0, 130041, '\P{	_Number}', "");
    Expect(1, 130041, '\P{^	_Number}', "");
    Expect(0, 130042, '\p{	_Number}', "");
    Expect(1, 130042, '\p{^	_Number}', "");
    Expect(1, 130042, '\P{	_Number}', "");
    Expect(0, 130042, '\P{^	_Number}', "");
    Error('\p{_/a/Is_NUMBER}');
    Error('\P{_/a/Is_NUMBER}');
    Expect(1, 130041, '\p{isnumber}', "");
    Expect(0, 130041, '\p{^isnumber}', "");
    Expect(0, 130041, '\P{isnumber}', "");
    Expect(1, 130041, '\P{^isnumber}', "");
    Expect(0, 130042, '\p{isnumber}', "");
    Expect(1, 130042, '\p{^isnumber}', "");
    Expect(1, 130042, '\P{isnumber}', "");
    Expect(0, 130042, '\P{^isnumber}', "");
    Expect(1, 130041, '\p{ Is_number}', "");
    Expect(0, 130041, '\p{^ Is_number}', "");
    Expect(0, 130041, '\P{ Is_number}', "");
    Expect(1, 130041, '\P{^ Is_number}', "");
    Expect(0, 130042, '\p{ Is_number}', "");
    Expect(1, 130042, '\p{^ Is_number}', "");
    Expect(1, 130042, '\P{ Is_number}', "");
    Expect(0, 130042, '\P{^ Is_number}', "");
    Error('\p{	:=N}');
    Error('\P{	:=N}');
    Expect(1, 130041, '\p{n}', "");
    Expect(0, 130041, '\p{^n}', "");
    Expect(0, 130041, '\P{n}', "");
    Expect(1, 130041, '\P{^n}', "");
    Expect(0, 130042, '\p{n}', "");
    Expect(1, 130042, '\p{^n}', "");
    Expect(1, 130042, '\P{n}', "");
    Expect(0, 130042, '\P{^n}', "");
    Expect(1, 130041, '\p{	-n}', "");
    Expect(0, 130041, '\p{^	-n}', "");
    Expect(0, 130041, '\P{	-n}', "");
    Expect(1, 130041, '\P{^	-n}', "");
    Expect(0, 130042, '\p{	-n}', "");
    Expect(1, 130042, '\p{^	-n}', "");
    Expect(1, 130042, '\P{	-n}', "");
    Expect(0, 130042, '\P{^	-n}', "");
    Error('\p{/a/_ IS_n}');
    Error('\P{/a/_ IS_n}');
    Expect(1, 130041, '\p{isn}', "");
    Expect(0, 130041, '\p{^isn}', "");
    Expect(0, 130041, '\P{isn}', "");
    Expect(1, 130041, '\P{^isn}', "");
    Expect(0, 130042, '\p{isn}', "");
    Expect(1, 130042, '\p{^isn}', "");
    Expect(1, 130042, '\P{isn}', "");
    Expect(0, 130042, '\P{^isn}', "");
    Expect(1, 130041, '\p{_-is_N}', "");
    Expect(0, 130041, '\p{^_-is_N}', "");
    Expect(0, 130041, '\P{_-is_N}', "");
    Expect(1, 130041, '\P{^_-is_N}', "");
    Expect(0, 130042, '\p{_-is_N}', "");
    Expect(1, 130042, '\p{^_-is_N}', "");
    Expect(1, 130042, '\P{_-is_N}', "");
    Expect(0, 130042, '\P{^_-is_N}', "");
    Error('\p{ :=number_Forms}');
    Error('\P{ :=number_Forms}');
    Expect(1, 8591, '\p{numberforms}', "");
    Expect(0, 8591, '\p{^numberforms}', "");
    Expect(0, 8591, '\P{numberforms}', "");
    Expect(1, 8591, '\P{^numberforms}', "");
    Expect(0, 8592, '\p{numberforms}', "");
    Expect(1, 8592, '\p{^numberforms}', "");
    Expect(1, 8592, '\P{numberforms}', "");
    Expect(0, 8592, '\P{^numberforms}', "");
    Expect(1, 8591, '\p{-	Number_Forms}', "");
    Expect(0, 8591, '\p{^-	Number_Forms}', "");
    Expect(0, 8591, '\P{-	Number_Forms}', "");
    Expect(1, 8591, '\P{^-	Number_Forms}', "");
    Expect(0, 8592, '\p{-	Number_Forms}', "");
    Expect(1, 8592, '\p{^-	Number_Forms}', "");
    Expect(1, 8592, '\P{-	Number_Forms}', "");
    Expect(0, 8592, '\P{^-	Number_Forms}', "");
    Error('\p{/a/is_number_FORMS}');
    Error('\P{/a/is_number_FORMS}');
    Expect(1, 8591, '\p{isnumberforms}', "");
    Expect(0, 8591, '\p{^isnumberforms}', "");
    Expect(0, 8591, '\P{isnumberforms}', "");
    Expect(1, 8591, '\P{^isnumberforms}', "");
    Expect(0, 8592, '\p{isnumberforms}', "");
    Expect(1, 8592, '\p{^isnumberforms}', "");
    Expect(1, 8592, '\P{isnumberforms}', "");
    Expect(0, 8592, '\P{^isnumberforms}', "");
    Expect(1, 8591, '\p{_is_Number_FORMS}', "");
    Expect(0, 8591, '\p{^_is_Number_FORMS}', "");
    Expect(0, 8591, '\P{_is_Number_FORMS}', "");
    Expect(1, 8591, '\P{^_is_Number_FORMS}', "");
    Expect(0, 8592, '\p{_is_Number_FORMS}', "");
    Expect(1, 8592, '\p{^_is_Number_FORMS}', "");
    Expect(1, 8592, '\P{_is_Number_FORMS}', "");
    Expect(0, 8592, '\P{^_is_Number_FORMS}', "");
    Error('\p{:=		IN_Number_forms}');
    Error('\P{:=		IN_Number_forms}');
    Expect(1, 8591, '\p{innumberforms}', "");
    Expect(0, 8591, '\p{^innumberforms}', "");
    Expect(0, 8591, '\P{innumberforms}', "");
    Expect(1, 8591, '\P{^innumberforms}', "");
    Expect(0, 8592, '\p{innumberforms}', "");
    Expect(1, 8592, '\p{^innumberforms}', "");
    Expect(1, 8592, '\P{innumberforms}', "");
    Expect(0, 8592, '\P{^innumberforms}', "");
    Expect(1, 8591, '\p{ 	In_NUMBER_Forms}', "");
    Expect(0, 8591, '\p{^ 	In_NUMBER_Forms}', "");
    Expect(0, 8591, '\P{ 	In_NUMBER_Forms}', "");
    Expect(1, 8591, '\P{^ 	In_NUMBER_Forms}', "");
    Expect(0, 8592, '\p{ 	In_NUMBER_Forms}', "");
    Expect(1, 8592, '\p{^ 	In_NUMBER_Forms}', "");
    Expect(1, 8592, '\P{ 	In_NUMBER_Forms}', "");
    Expect(0, 8592, '\P{^ 	In_NUMBER_Forms}', "");
    Error('\p{/a/	-Nushu}');
    Error('\P{/a/	-Nushu}');
    Expect(1, 111355, '\p{nushu}', "");
    Expect(0, 111355, '\p{^nushu}', "");
    Expect(0, 111355, '\P{nushu}', "");
    Expect(1, 111355, '\P{^nushu}', "");
    Expect(0, 111356, '\p{nushu}', "");
    Expect(1, 111356, '\p{^nushu}', "");
    Expect(1, 111356, '\P{nushu}', "");
    Expect(0, 111356, '\P{^nushu}', "");
    Expect(1, 111355, '\p{-	Nushu}', "");
    Expect(0, 111355, '\p{^-	Nushu}', "");
    Expect(0, 111355, '\P{-	Nushu}', "");
    Expect(1, 111355, '\P{^-	Nushu}', "");
    Expect(0, 111356, '\p{-	Nushu}', "");
    Expect(1, 111356, '\p{^-	Nushu}', "");
    Expect(1, 111356, '\P{-	Nushu}', "");
    Expect(0, 111356, '\P{^-	Nushu}', "");
    Error('\p{  is_nushu:=}');
    Error('\P{  is_nushu:=}');
    Expect(1, 111355, '\p{isnushu}', "");
    Expect(0, 111355, '\p{^isnushu}', "");
    Expect(0, 111355, '\P{isnushu}', "");
    Expect(1, 111355, '\P{^isnushu}', "");
    Expect(0, 111356, '\p{isnushu}', "");
    Expect(1, 111356, '\p{^isnushu}', "");
    Expect(1, 111356, '\P{isnushu}', "");
    Expect(0, 111356, '\P{^isnushu}', "");
    Expect(1, 111355, '\p{ IS_Nushu}', "");
    Expect(0, 111355, '\p{^ IS_Nushu}', "");
    Expect(0, 111355, '\P{ IS_Nushu}', "");
    Expect(1, 111355, '\P{^ IS_Nushu}', "");
    Expect(0, 111356, '\p{ IS_Nushu}', "");
    Expect(1, 111356, '\p{^ IS_Nushu}', "");
    Expect(1, 111356, '\P{ IS_Nushu}', "");
    Expect(0, 111356, '\P{^ IS_Nushu}', "");
    Error('\p{/a/		NSHU}');
    Error('\P{/a/		NSHU}');
    Expect(1, 111355, '\p{nshu}', "");
    Expect(0, 111355, '\p{^nshu}', "");
    Expect(0, 111355, '\P{nshu}', "");
    Expect(1, 111355, '\P{^nshu}', "");
    Expect(0, 111356, '\p{nshu}', "");
    Expect(1, 111356, '\p{^nshu}', "");
    Expect(1, 111356, '\P{nshu}', "");
    Expect(0, 111356, '\P{^nshu}', "");
    Expect(1, 111355, '\p{	Nshu}', "");
    Expect(0, 111355, '\p{^	Nshu}', "");
    Expect(0, 111355, '\P{	Nshu}', "");
    Expect(1, 111355, '\P{^	Nshu}', "");
    Expect(0, 111356, '\p{	Nshu}', "");
    Expect(1, 111356, '\p{^	Nshu}', "");
    Expect(1, 111356, '\P{	Nshu}', "");
    Expect(0, 111356, '\P{^	Nshu}', "");
    Error('\p{ IS_Nshu:=}');
    Error('\P{ IS_Nshu:=}');
    Expect(1, 111355, '\p{isnshu}', "");
    Expect(0, 111355, '\p{^isnshu}', "");
    Expect(0, 111355, '\P{isnshu}', "");
    Expect(1, 111355, '\P{^isnshu}', "");
    Expect(0, 111356, '\p{isnshu}', "");
    Expect(1, 111356, '\p{^isnshu}', "");
    Expect(1, 111356, '\P{isnshu}', "");
    Expect(0, 111356, '\P{^isnshu}', "");
    Expect(1, 111355, '\p{ is_nshu}', "");
    Expect(0, 111355, '\p{^ is_nshu}', "");
    Expect(0, 111355, '\P{ is_nshu}', "");
    Expect(1, 111355, '\P{^ is_nshu}', "");
    Expect(0, 111356, '\p{ is_nshu}', "");
    Expect(1, 111356, '\p{^ is_nshu}', "");
    Expect(1, 111356, '\P{ is_nshu}', "");
    Expect(0, 111356, '\P{^ is_nshu}', "");
    Error('\p{ 	Nyiakeng_puachue_Hmong/a/}');
    Error('\P{ 	Nyiakeng_puachue_Hmong/a/}');
    Expect(1, 123215, '\p{nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{ 	Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\p{^ 	Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\P{ 	Nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123215, '\P{^ 	Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\p{ 	Nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\p{^ 	Nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\P{ 	Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\P{^ 	Nyiakeng_Puachue_Hmong}', "");
    Error('\p{_	Is_Nyiakeng_PUACHUE_Hmong:=}');
    Error('\P{_	Is_Nyiakeng_PUACHUE_Hmong:=}');
    Expect(1, 123215, '\p{isnyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^isnyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{isnyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^isnyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{isnyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^isnyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{isnyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^isnyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{- Is_Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\p{^- Is_Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123215, '\P{- Is_Nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123215, '\P{^- Is_Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\p{- Is_Nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\p{^- Is_Nyiakeng_Puachue_Hmong}', "");
    Expect(1, 123216, '\P{- Is_Nyiakeng_Puachue_Hmong}', "");
    Expect(0, 123216, '\P{^- Is_Nyiakeng_Puachue_Hmong}', "");
    Error('\p{/a/	-HMNP}');
    Error('\P{/a/	-HMNP}');
    Expect(1, 123215, '\p{hmnp}', "");
    Expect(0, 123215, '\p{^hmnp}', "");
    Expect(0, 123215, '\P{hmnp}', "");
    Expect(1, 123215, '\P{^hmnp}', "");
    Expect(0, 123216, '\p{hmnp}', "");
    Expect(1, 123216, '\p{^hmnp}', "");
    Expect(1, 123216, '\P{hmnp}', "");
    Expect(0, 123216, '\P{^hmnp}', "");
    Expect(1, 123215, '\p{__hmnp}', "");
    Expect(0, 123215, '\p{^__hmnp}', "");
    Expect(0, 123215, '\P{__hmnp}', "");
    Expect(1, 123215, '\P{^__hmnp}', "");
    Expect(0, 123216, '\p{__hmnp}', "");
    Expect(1, 123216, '\p{^__hmnp}', "");
    Expect(1, 123216, '\P{__hmnp}', "");
    Expect(0, 123216, '\P{^__hmnp}', "");
    Error('\p{:=IS_Hmnp}');
    Error('\P{:=IS_Hmnp}');
    Expect(1, 123215, '\p{ishmnp}', "");
    Expect(0, 123215, '\p{^ishmnp}', "");
    Expect(0, 123215, '\P{ishmnp}', "");
    Expect(1, 123215, '\P{^ishmnp}', "");
    Expect(0, 123216, '\p{ishmnp}', "");
    Expect(1, 123216, '\p{^ishmnp}', "");
    Expect(1, 123216, '\P{ishmnp}', "");
    Expect(0, 123216, '\P{^ishmnp}', "");
    Expect(1, 123215, '\p{--Is_Hmnp}', "");
    Expect(0, 123215, '\p{^--Is_Hmnp}', "");
    Expect(0, 123215, '\P{--Is_Hmnp}', "");
    Expect(1, 123215, '\P{^--Is_Hmnp}', "");
    Expect(0, 123216, '\p{--Is_Hmnp}', "");
    Expect(1, 123216, '\p{^--Is_Hmnp}', "");
    Expect(1, 123216, '\P{--Is_Hmnp}', "");
    Expect(0, 123216, '\P{^--Is_Hmnp}', "");
    Error('\p{:=__Ogham}');
    Error('\P{:=__Ogham}');
    Expect(1, 5788, '\p{ogham}', "");
    Expect(0, 5788, '\p{^ogham}', "");
    Expect(0, 5788, '\P{ogham}', "");
    Expect(1, 5788, '\P{^ogham}', "");
    Expect(0, 5789, '\p{ogham}', "");
    Expect(1, 5789, '\p{^ogham}', "");
    Expect(1, 5789, '\P{ogham}', "");
    Expect(0, 5789, '\P{^ogham}', "");
    Expect(1, 5788, '\p{_	ogham}', "");
    Expect(0, 5788, '\p{^_	ogham}', "");
    Expect(0, 5788, '\P{_	ogham}', "");
    Expect(1, 5788, '\P{^_	ogham}', "");
    Expect(0, 5789, '\p{_	ogham}', "");
    Expect(1, 5789, '\p{^_	ogham}', "");
    Expect(1, 5789, '\P{_	ogham}', "");
    Expect(0, 5789, '\P{^_	ogham}', "");
    Error('\p{-	is_ogham:=}');
    Error('\P{-	is_ogham:=}');
    Expect(1, 5788, '\p{isogham}', "");
    Expect(0, 5788, '\p{^isogham}', "");
    Expect(0, 5788, '\P{isogham}', "");
    Expect(1, 5788, '\P{^isogham}', "");
    Expect(0, 5789, '\p{isogham}', "");
    Expect(1, 5789, '\p{^isogham}', "");
    Expect(1, 5789, '\P{isogham}', "");
    Expect(0, 5789, '\P{^isogham}', "");
    Expect(1, 5788, '\p{--Is_OGHAM}', "");
    Expect(0, 5788, '\p{^--Is_OGHAM}', "");
    Expect(0, 5788, '\P{--Is_OGHAM}', "");
    Expect(1, 5788, '\P{^--Is_OGHAM}', "");
    Expect(0, 5789, '\p{--Is_OGHAM}', "");
    Expect(1, 5789, '\p{^--Is_OGHAM}', "");
    Expect(1, 5789, '\P{--Is_OGHAM}', "");
    Expect(0, 5789, '\P{^--Is_OGHAM}', "");
    Error('\p{ 	OGAM:=}');
    Error('\P{ 	OGAM:=}');
    Expect(1, 5788, '\p{ogam}', "");
    Expect(0, 5788, '\p{^ogam}', "");
    Expect(0, 5788, '\P{ogam}', "");
    Expect(1, 5788, '\P{^ogam}', "");
    Expect(0, 5789, '\p{ogam}', "");
    Expect(1, 5789, '\p{^ogam}', "");
    Expect(1, 5789, '\P{ogam}', "");
    Expect(0, 5789, '\P{^ogam}', "");
    Expect(1, 5788, '\p{-Ogam}', "");
    Expect(0, 5788, '\p{^-Ogam}', "");
    Expect(0, 5788, '\P{-Ogam}', "");
    Expect(1, 5788, '\P{^-Ogam}', "");
    Expect(0, 5789, '\p{-Ogam}', "");
    Expect(1, 5789, '\p{^-Ogam}', "");
    Expect(1, 5789, '\P{-Ogam}', "");
    Expect(0, 5789, '\P{^-Ogam}', "");
    Error('\p{-	IS_ogam:=}');
    Error('\P{-	IS_ogam:=}');
    Expect(1, 5788, '\p{isogam}', "");
    Expect(0, 5788, '\p{^isogam}', "");
    Expect(0, 5788, '\P{isogam}', "");
    Expect(1, 5788, '\P{^isogam}', "");
    Expect(0, 5789, '\p{isogam}', "");
    Expect(1, 5789, '\p{^isogam}', "");
    Expect(1, 5789, '\P{isogam}', "");
    Expect(0, 5789, '\P{^isogam}', "");
    Expect(1, 5788, '\p{ _is_Ogam}', "");
    Expect(0, 5788, '\p{^ _is_Ogam}', "");
    Expect(0, 5788, '\P{ _is_Ogam}', "");
    Expect(1, 5788, '\P{^ _is_Ogam}', "");
    Expect(0, 5789, '\p{ _is_Ogam}', "");
    Expect(1, 5789, '\p{^ _is_Ogam}', "");
    Expect(1, 5789, '\P{ _is_Ogam}', "");
    Expect(0, 5789, '\P{^ _is_Ogam}', "");
    Error('\p{-OL_CHIKI/a/}');
    Error('\P{-OL_CHIKI/a/}');
    Expect(1, 7295, '\p{olchiki}', "");
    Expect(0, 7295, '\p{^olchiki}', "");
    Expect(0, 7295, '\P{olchiki}', "");
    Expect(1, 7295, '\P{^olchiki}', "");
    Expect(0, 7296, '\p{olchiki}', "");
    Expect(1, 7296, '\p{^olchiki}', "");
    Expect(1, 7296, '\P{olchiki}', "");
    Expect(0, 7296, '\P{^olchiki}', "");
    Expect(1, 7295, '\p{_	ol_chiki}', "");
    Expect(0, 7295, '\p{^_	ol_chiki}', "");
    Expect(0, 7295, '\P{_	ol_chiki}', "");
    Expect(1, 7295, '\P{^_	ol_chiki}', "");
    Expect(0, 7296, '\p{_	ol_chiki}', "");
    Expect(1, 7296, '\p{^_	ol_chiki}', "");
    Expect(1, 7296, '\P{_	ol_chiki}', "");
    Expect(0, 7296, '\P{^_	ol_chiki}', "");
    Error('\p{_	IS_Ol_chiki:=}');
    Error('\P{_	IS_Ol_chiki:=}');
    Expect(1, 7295, '\p{isolchiki}', "");
    Expect(0, 7295, '\p{^isolchiki}', "");
    Expect(0, 7295, '\P{isolchiki}', "");
    Expect(1, 7295, '\P{^isolchiki}', "");
    Expect(0, 7296, '\p{isolchiki}', "");
    Expect(1, 7296, '\p{^isolchiki}', "");
    Expect(1, 7296, '\P{isolchiki}', "");
    Expect(0, 7296, '\P{^isolchiki}', "");
    Expect(1, 7295, '\p{	is_Ol_chiki}', "");
    Expect(0, 7295, '\p{^	is_Ol_chiki}', "");
    Expect(0, 7295, '\P{	is_Ol_chiki}', "");
    Expect(1, 7295, '\P{^	is_Ol_chiki}', "");
    Expect(0, 7296, '\p{	is_Ol_chiki}', "");
    Expect(1, 7296, '\p{^	is_Ol_chiki}', "");
    Expect(1, 7296, '\P{	is_Ol_chiki}', "");
    Expect(0, 7296, '\P{^	is_Ol_chiki}', "");
    Error('\p{:= 	Olck}');
    Error('\P{:= 	Olck}');
    Expect(1, 7295, '\p{olck}', "");
    Expect(0, 7295, '\p{^olck}', "");
    Expect(0, 7295, '\P{olck}', "");
    Expect(1, 7295, '\P{^olck}', "");
    Expect(0, 7296, '\p{olck}', "");
    Expect(1, 7296, '\p{^olck}', "");
    Expect(1, 7296, '\P{olck}', "");
    Expect(0, 7296, '\P{^olck}', "");
    Error('\p{:=-Is_olck}');
    Error('\P{:=-Is_olck}');
    Expect(1, 7295, '\p{isolck}', "");
    Expect(0, 7295, '\p{^isolck}', "");
    Expect(0, 7295, '\P{isolck}', "");
    Expect(1, 7295, '\P{^isolck}', "");
    Expect(0, 7296, '\p{isolck}', "");
    Expect(1, 7296, '\p{^isolck}', "");
    Expect(1, 7296, '\P{isolck}', "");
    Expect(0, 7296, '\P{^isolck}', "");
    Expect(1, 7295, '\p{ IS_Olck}', "");
    Expect(0, 7295, '\p{^ IS_Olck}', "");
    Expect(0, 7295, '\P{ IS_Olck}', "");
    Expect(1, 7295, '\P{^ IS_Olck}', "");
    Expect(0, 7296, '\p{ IS_Olck}', "");
    Expect(1, 7296, '\p{^ IS_Olck}', "");
    Expect(1, 7296, '\P{ IS_Olck}', "");
    Expect(0, 7296, '\P{^ IS_Olck}', "");
    Error('\p{_/a/Old_HUNGARIAN}');
    Error('\P{_/a/Old_HUNGARIAN}');
    Expect(1, 68863, '\p{oldhungarian}', "");
    Expect(0, 68863, '\p{^oldhungarian}', "");
    Expect(0, 68863, '\P{oldhungarian}', "");
    Expect(1, 68863, '\P{^oldhungarian}', "");
    Expect(0, 68864, '\p{oldhungarian}', "");
    Expect(1, 68864, '\p{^oldhungarian}', "");
    Expect(1, 68864, '\P{oldhungarian}', "");
    Expect(0, 68864, '\P{^oldhungarian}', "");
    Expect(1, 68863, '\p{ -Old_Hungarian}', "");
    Expect(0, 68863, '\p{^ -Old_Hungarian}', "");
    Expect(0, 68863, '\P{ -Old_Hungarian}', "");
    Expect(1, 68863, '\P{^ -Old_Hungarian}', "");
    Expect(0, 68864, '\p{ -Old_Hungarian}', "");
    Expect(1, 68864, '\p{^ -Old_Hungarian}', "");
    Expect(1, 68864, '\P{ -Old_Hungarian}', "");
    Expect(0, 68864, '\P{^ -Old_Hungarian}', "");
    Error('\p{is_old_HUNGARIAN/a/}');
    Error('\P{is_old_HUNGARIAN/a/}');
    Expect(1, 68863, '\p{isoldhungarian}', "");
    Expect(0, 68863, '\p{^isoldhungarian}', "");
    Expect(0, 68863, '\P{isoldhungarian}', "");
    Expect(1, 68863, '\P{^isoldhungarian}', "");
    Expect(0, 68864, '\p{isoldhungarian}', "");
    Expect(1, 68864, '\p{^isoldhungarian}', "");
    Expect(1, 68864, '\P{isoldhungarian}', "");
    Expect(0, 68864, '\P{^isoldhungarian}', "");
    Expect(1, 68863, '\p{  IS_OLD_HUNGARIAN}', "");
    Expect(0, 68863, '\p{^  IS_OLD_HUNGARIAN}', "");
    Expect(0, 68863, '\P{  IS_OLD_HUNGARIAN}', "");
    Expect(1, 68863, '\P{^  IS_OLD_HUNGARIAN}', "");
    Expect(0, 68864, '\p{  IS_OLD_HUNGARIAN}', "");
    Expect(1, 68864, '\p{^  IS_OLD_HUNGARIAN}', "");
    Expect(1, 68864, '\P{  IS_OLD_HUNGARIAN}', "");
    Expect(0, 68864, '\P{^  IS_OLD_HUNGARIAN}', "");
    Error('\p{/a/ Hung}');
    Error('\P{/a/ Hung}');
    Expect(1, 68863, '\p{hung}', "");
    Expect(0, 68863, '\p{^hung}', "");
    Expect(0, 68863, '\P{hung}', "");
    Expect(1, 68863, '\P{^hung}', "");
    Expect(0, 68864, '\p{hung}', "");
    Expect(1, 68864, '\p{^hung}', "");
    Expect(1, 68864, '\P{hung}', "");
    Expect(0, 68864, '\P{^hung}', "");
    Expect(1, 68863, '\p{-	hung}', "");
    Expect(0, 68863, '\p{^-	hung}', "");
    Expect(0, 68863, '\P{-	hung}', "");
    Expect(1, 68863, '\P{^-	hung}', "");
    Expect(0, 68864, '\p{-	hung}', "");
    Expect(1, 68864, '\p{^-	hung}', "");
    Expect(1, 68864, '\P{-	hung}', "");
    Expect(0, 68864, '\P{^-	hung}', "");
    Error('\p{-:=Is_Hung}');
    Error('\P{-:=Is_Hung}');
    Expect(1, 68863, '\p{ishung}', "");
    Expect(0, 68863, '\p{^ishung}', "");
    Expect(0, 68863, '\P{ishung}', "");
    Expect(1, 68863, '\P{^ishung}', "");
    Expect(0, 68864, '\p{ishung}', "");
    Expect(1, 68864, '\p{^ishung}', "");
    Expect(1, 68864, '\P{ishung}', "");
    Expect(0, 68864, '\P{^ishung}', "");
    Expect(1, 68863, '\p{-	is_Hung}', "");
    Expect(0, 68863, '\p{^-	is_Hung}', "");
    Expect(0, 68863, '\P{-	is_Hung}', "");
    Expect(1, 68863, '\P{^-	is_Hung}', "");
    Expect(0, 68864, '\p{-	is_Hung}', "");
    Expect(1, 68864, '\p{^-	is_Hung}', "");
    Expect(1, 68864, '\P{-	is_Hung}', "");
    Expect(0, 68864, '\P{^-	is_Hung}', "");
    Error('\p{/a/	old_Italic}');
    Error('\P{/a/	old_Italic}');
    Expect(1, 66351, '\p{olditalic}', "");
    Expect(0, 66351, '\p{^olditalic}', "");
    Expect(0, 66351, '\P{olditalic}', "");
    Expect(1, 66351, '\P{^olditalic}', "");
    Expect(0, 66352, '\p{olditalic}', "");
    Expect(1, 66352, '\p{^olditalic}', "");
    Expect(1, 66352, '\P{olditalic}', "");
    Expect(0, 66352, '\P{^olditalic}', "");
    Expect(1, 66351, '\p{--Old_italic}', "");
    Expect(0, 66351, '\p{^--Old_italic}', "");
    Expect(0, 66351, '\P{--Old_italic}', "");
    Expect(1, 66351, '\P{^--Old_italic}', "");
    Expect(0, 66352, '\p{--Old_italic}', "");
    Expect(1, 66352, '\p{^--Old_italic}', "");
    Expect(1, 66352, '\P{--Old_italic}', "");
    Expect(0, 66352, '\P{^--Old_italic}', "");
    Error('\p{:=is_Old_italic}');
    Error('\P{:=is_Old_italic}');
    Expect(1, 66351, '\p{isolditalic}', "");
    Expect(0, 66351, '\p{^isolditalic}', "");
    Expect(0, 66351, '\P{isolditalic}', "");
    Expect(1, 66351, '\P{^isolditalic}', "");
    Expect(0, 66352, '\p{isolditalic}', "");
    Expect(1, 66352, '\p{^isolditalic}', "");
    Expect(1, 66352, '\P{isolditalic}', "");
    Expect(0, 66352, '\P{^isolditalic}', "");
    Expect(1, 66351, '\p{ _Is_Old_Italic}', "");
    Expect(0, 66351, '\p{^ _Is_Old_Italic}', "");
    Expect(0, 66351, '\P{ _Is_Old_Italic}', "");
    Expect(1, 66351, '\P{^ _Is_Old_Italic}', "");
    Expect(0, 66352, '\p{ _Is_Old_Italic}', "");
    Expect(1, 66352, '\p{^ _Is_Old_Italic}', "");
    Expect(1, 66352, '\P{ _Is_Old_Italic}', "");
    Expect(0, 66352, '\P{^ _Is_Old_Italic}', "");
    Error('\p{-	ITAL/a/}');
    Error('\P{-	ITAL/a/}');
    Expect(1, 66351, '\p{ital}', "");
    Expect(0, 66351, '\p{^ital}', "");
    Expect(0, 66351, '\P{ital}', "");
    Expect(1, 66351, '\P{^ital}', "");
    Expect(0, 66352, '\p{ital}', "");
    Expect(1, 66352, '\p{^ital}', "");
    Expect(1, 66352, '\P{ital}', "");
    Expect(0, 66352, '\P{^ital}', "");
    Expect(1, 66351, '\p{  Ital}', "");
    Expect(0, 66351, '\p{^  Ital}', "");
    Expect(0, 66351, '\P{  Ital}', "");
    Expect(1, 66351, '\P{^  Ital}', "");
    Expect(0, 66352, '\p{  Ital}', "");
    Expect(1, 66352, '\p{^  Ital}', "");
    Expect(1, 66352, '\P{  Ital}', "");
    Expect(0, 66352, '\P{^  Ital}', "");
    Error('\p{--is_ITAL:=}');
    Error('\P{--is_ITAL:=}');
    Expect(1, 66351, '\p{isital}', "");
    Expect(0, 66351, '\p{^isital}', "");
    Expect(0, 66351, '\P{isital}', "");
    Expect(1, 66351, '\P{^isital}', "");
    Expect(0, 66352, '\p{isital}', "");
    Expect(1, 66352, '\p{^isital}', "");
    Expect(1, 66352, '\P{isital}', "");
    Expect(0, 66352, '\P{^isital}', "");
    Expect(1, 66351, '\p{ 	Is_Ital}', "");
    Expect(0, 66351, '\p{^ 	Is_Ital}', "");
    Expect(0, 66351, '\P{ 	Is_Ital}', "");
    Expect(1, 66351, '\P{^ 	Is_Ital}', "");
    Expect(0, 66352, '\p{ 	Is_Ital}', "");
    Expect(1, 66352, '\p{^ 	Is_Ital}', "");
    Expect(1, 66352, '\P{ 	Is_Ital}', "");
    Expect(0, 66352, '\P{^ 	Is_Ital}', "");
    Error('\p{	:=old_North_arabian}');
    Error('\P{	:=old_North_arabian}');
    Expect(1, 68255, '\p{oldnortharabian}', "");
    Expect(0, 68255, '\p{^oldnortharabian}', "");
    Expect(0, 68255, '\P{oldnortharabian}', "");
    Expect(1, 68255, '\P{^oldnortharabian}', "");
    Expect(0, 68256, '\p{oldnortharabian}', "");
    Expect(1, 68256, '\p{^oldnortharabian}', "");
    Expect(1, 68256, '\P{oldnortharabian}', "");
    Expect(0, 68256, '\P{^oldnortharabian}', "");
    Expect(1, 68255, '\p{	 Old_North_Arabian}', "");
    Expect(0, 68255, '\p{^	 Old_North_Arabian}', "");
    Expect(0, 68255, '\P{	 Old_North_Arabian}', "");
    Expect(1, 68255, '\P{^	 Old_North_Arabian}', "");
    Expect(0, 68256, '\p{	 Old_North_Arabian}', "");
    Expect(1, 68256, '\p{^	 Old_North_Arabian}', "");
    Expect(1, 68256, '\P{	 Old_North_Arabian}', "");
    Expect(0, 68256, '\P{^	 Old_North_Arabian}', "");
    Error('\p{__IS_old_North_ARABIAN/a/}');
    Error('\P{__IS_old_North_ARABIAN/a/}');
    Expect(1, 68255, '\p{isoldnortharabian}', "");
    Expect(0, 68255, '\p{^isoldnortharabian}', "");
    Expect(0, 68255, '\P{isoldnortharabian}', "");
    Expect(1, 68255, '\P{^isoldnortharabian}', "");
    Expect(0, 68256, '\p{isoldnortharabian}', "");
    Expect(1, 68256, '\p{^isoldnortharabian}', "");
    Expect(1, 68256, '\P{isoldnortharabian}', "");
    Expect(0, 68256, '\P{^isoldnortharabian}', "");
    Expect(1, 68255, '\p{Is_OLD_NORTH_Arabian}', "");
    Expect(0, 68255, '\p{^Is_OLD_NORTH_Arabian}', "");
    Expect(0, 68255, '\P{Is_OLD_NORTH_Arabian}', "");
    Expect(1, 68255, '\P{^Is_OLD_NORTH_Arabian}', "");
    Expect(0, 68256, '\p{Is_OLD_NORTH_Arabian}', "");
    Expect(1, 68256, '\p{^Is_OLD_NORTH_Arabian}', "");
    Expect(1, 68256, '\P{Is_OLD_NORTH_Arabian}', "");
    Expect(0, 68256, '\P{^Is_OLD_NORTH_Arabian}', "");
    Error('\p{	:=NARB}');
    Error('\P{	:=NARB}');
    Expect(1, 68255, '\p{narb}', "");
    Expect(0, 68255, '\p{^narb}', "");
    Expect(0, 68255, '\P{narb}', "");
    Expect(1, 68255, '\P{^narb}', "");
    Expect(0, 68256, '\p{narb}', "");
    Expect(1, 68256, '\p{^narb}', "");
    Expect(1, 68256, '\P{narb}', "");
    Expect(0, 68256, '\P{^narb}', "");
    Expect(1, 68255, '\p{ narb}', "");
    Expect(0, 68255, '\p{^ narb}', "");
    Expect(0, 68255, '\P{ narb}', "");
    Expect(1, 68255, '\P{^ narb}', "");
    Expect(0, 68256, '\p{ narb}', "");
    Expect(1, 68256, '\p{^ narb}', "");
    Expect(1, 68256, '\P{ narb}', "");
    Expect(0, 68256, '\P{^ narb}', "");
    Error('\p{ 	is_Narb/a/}');
    Error('\P{ 	is_Narb/a/}');
    Expect(1, 68255, '\p{isnarb}', "");
    Expect(0, 68255, '\p{^isnarb}', "");
    Expect(0, 68255, '\P{isnarb}', "");
    Expect(1, 68255, '\P{^isnarb}', "");
    Expect(0, 68256, '\p{isnarb}', "");
    Expect(1, 68256, '\p{^isnarb}', "");
    Expect(1, 68256, '\P{isnarb}', "");
    Expect(0, 68256, '\P{^isnarb}', "");
    Expect(1, 68255, '\p{	is_Narb}', "");
    Expect(0, 68255, '\p{^	is_Narb}', "");
    Expect(0, 68255, '\P{	is_Narb}', "");
    Expect(1, 68255, '\P{^	is_Narb}', "");
    Expect(0, 68256, '\p{	is_Narb}', "");
    Expect(1, 68256, '\p{^	is_Narb}', "");
    Expect(1, 68256, '\P{	is_Narb}', "");
    Expect(0, 68256, '\P{^	is_Narb}', "");
    Error('\p{ :=OLD_Permic}');
    Error('\P{ :=OLD_Permic}');
    Expect(1, 66426, '\p{oldpermic}', "");
    Expect(0, 66426, '\p{^oldpermic}', "");
    Expect(0, 66426, '\P{oldpermic}', "");
    Expect(1, 66426, '\P{^oldpermic}', "");
    Expect(0, 66427, '\p{oldpermic}', "");
    Expect(1, 66427, '\p{^oldpermic}', "");
    Expect(1, 66427, '\P{oldpermic}', "");
    Expect(0, 66427, '\P{^oldpermic}', "");
    Expect(1, 66426, '\p{-_OLD_Permic}', "");
    Expect(0, 66426, '\p{^-_OLD_Permic}', "");
    Expect(0, 66426, '\P{-_OLD_Permic}', "");
    Expect(1, 66426, '\P{^-_OLD_Permic}', "");
    Expect(0, 66427, '\p{-_OLD_Permic}', "");
    Expect(1, 66427, '\p{^-_OLD_Permic}', "");
    Expect(1, 66427, '\P{-_OLD_Permic}', "");
    Expect(0, 66427, '\P{^-_OLD_Permic}', "");
    Error('\p{-:=is_Old_PERMIC}');
    Error('\P{-:=is_Old_PERMIC}');
    Expect(1, 66426, '\p{isoldpermic}', "");
    Expect(0, 66426, '\p{^isoldpermic}', "");
    Expect(0, 66426, '\P{isoldpermic}', "");
    Expect(1, 66426, '\P{^isoldpermic}', "");
    Expect(0, 66427, '\p{isoldpermic}', "");
    Expect(1, 66427, '\p{^isoldpermic}', "");
    Expect(1, 66427, '\P{isoldpermic}', "");
    Expect(0, 66427, '\P{^isoldpermic}', "");
    Expect(1, 66426, '\p{_-Is_Old_permic}', "");
    Expect(0, 66426, '\p{^_-Is_Old_permic}', "");
    Expect(0, 66426, '\P{_-Is_Old_permic}', "");
    Expect(1, 66426, '\P{^_-Is_Old_permic}', "");
    Expect(0, 66427, '\p{_-Is_Old_permic}', "");
    Expect(1, 66427, '\p{^_-Is_Old_permic}', "");
    Expect(1, 66427, '\P{_-Is_Old_permic}', "");
    Expect(0, 66427, '\P{^_-Is_Old_permic}', "");
    Error('\p{/a/-_Perm}');
    Error('\P{/a/-_Perm}');
    Expect(1, 66426, '\p{perm}', "");
    Expect(0, 66426, '\p{^perm}', "");
    Expect(0, 66426, '\P{perm}', "");
    Expect(1, 66426, '\P{^perm}', "");
    Expect(0, 66427, '\p{perm}', "");
    Expect(1, 66427, '\p{^perm}', "");
    Expect(1, 66427, '\P{perm}', "");
    Expect(0, 66427, '\P{^perm}', "");
    Expect(1, 66426, '\p{_ perm}', "");
    Expect(0, 66426, '\p{^_ perm}', "");
    Expect(0, 66426, '\P{_ perm}', "");
    Expect(1, 66426, '\P{^_ perm}', "");
    Expect(0, 66427, '\p{_ perm}', "");
    Expect(1, 66427, '\p{^_ perm}', "");
    Expect(1, 66427, '\P{_ perm}', "");
    Expect(0, 66427, '\P{^_ perm}', "");
    Error('\p{:= Is_perm}');
    Error('\P{:= Is_perm}');
    Expect(1, 66426, '\p{isperm}', "");
    Expect(0, 66426, '\p{^isperm}', "");
    Expect(0, 66426, '\P{isperm}', "");
    Expect(1, 66426, '\P{^isperm}', "");
    Expect(0, 66427, '\p{isperm}', "");
    Expect(1, 66427, '\p{^isperm}', "");
    Expect(1, 66427, '\P{isperm}', "");
    Expect(0, 66427, '\P{^isperm}', "");
    Expect(1, 66426, '\p{Is_PERM}', "");
    Expect(0, 66426, '\p{^Is_PERM}', "");
    Expect(0, 66426, '\P{Is_PERM}', "");
    Expect(1, 66426, '\P{^Is_PERM}', "");
    Expect(0, 66427, '\p{Is_PERM}', "");
    Expect(1, 66427, '\p{^Is_PERM}', "");
    Expect(1, 66427, '\P{Is_PERM}', "");
    Expect(0, 66427, '\P{^Is_PERM}', "");
    Error('\p{	_old_Persian/a/}');
    Error('\P{	_old_Persian/a/}');
    Expect(1, 66517, '\p{oldpersian}', "");
    Expect(0, 66517, '\p{^oldpersian}', "");
    Expect(0, 66517, '\P{oldpersian}', "");
    Expect(1, 66517, '\P{^oldpersian}', "");
    Expect(0, 66518, '\p{oldpersian}', "");
    Expect(1, 66518, '\p{^oldpersian}', "");
    Expect(1, 66518, '\P{oldpersian}', "");
    Expect(0, 66518, '\P{^oldpersian}', "");
    Expect(1, 66517, '\p{_Old_PERSIAN}', "");
    Expect(0, 66517, '\p{^_Old_PERSIAN}', "");
    Expect(0, 66517, '\P{_Old_PERSIAN}', "");
    Expect(1, 66517, '\P{^_Old_PERSIAN}', "");
    Expect(0, 66518, '\p{_Old_PERSIAN}', "");
    Expect(1, 66518, '\p{^_Old_PERSIAN}', "");
    Expect(1, 66518, '\P{_Old_PERSIAN}', "");
    Expect(0, 66518, '\P{^_Old_PERSIAN}', "");
    Error('\p{:=_is_Old_Persian}');
    Error('\P{:=_is_Old_Persian}');
    Expect(1, 66517, '\p{isoldpersian}', "");
    Expect(0, 66517, '\p{^isoldpersian}', "");
    Expect(0, 66517, '\P{isoldpersian}', "");
    Expect(1, 66517, '\P{^isoldpersian}', "");
    Expect(0, 66518, '\p{isoldpersian}', "");
    Expect(1, 66518, '\p{^isoldpersian}', "");
    Expect(1, 66518, '\P{isoldpersian}', "");
    Expect(0, 66518, '\P{^isoldpersian}', "");
    Expect(1, 66517, '\p{-	is_OLD_PERSIAN}', "");
    Expect(0, 66517, '\p{^-	is_OLD_PERSIAN}', "");
    Expect(0, 66517, '\P{-	is_OLD_PERSIAN}', "");
    Expect(1, 66517, '\P{^-	is_OLD_PERSIAN}', "");
    Expect(0, 66518, '\p{-	is_OLD_PERSIAN}', "");
    Expect(1, 66518, '\p{^-	is_OLD_PERSIAN}', "");
    Expect(1, 66518, '\P{-	is_OLD_PERSIAN}', "");
    Expect(0, 66518, '\P{^-	is_OLD_PERSIAN}', "");
    Error('\p{	:=xpeo}');
    Error('\P{	:=xpeo}');
    Expect(1, 66517, '\p{xpeo}', "");
    Expect(0, 66517, '\p{^xpeo}', "");
    Expect(0, 66517, '\P{xpeo}', "");
    Expect(1, 66517, '\P{^xpeo}', "");
    Expect(0, 66518, '\p{xpeo}', "");
    Expect(1, 66518, '\p{^xpeo}', "");
    Expect(1, 66518, '\P{xpeo}', "");
    Expect(0, 66518, '\P{^xpeo}', "");
    Expect(1, 66517, '\p{		xpeo}', "");
    Expect(0, 66517, '\p{^		xpeo}', "");
    Expect(0, 66517, '\P{		xpeo}', "");
    Expect(1, 66517, '\P{^		xpeo}', "");
    Expect(0, 66518, '\p{		xpeo}', "");
    Expect(1, 66518, '\p{^		xpeo}', "");
    Expect(1, 66518, '\P{		xpeo}', "");
    Expect(0, 66518, '\P{^		xpeo}', "");
    Error('\p{_-IS_Xpeo/a/}');
    Error('\P{_-IS_Xpeo/a/}');
    Expect(1, 66517, '\p{isxpeo}', "");
    Expect(0, 66517, '\p{^isxpeo}', "");
    Expect(0, 66517, '\P{isxpeo}', "");
    Expect(1, 66517, '\P{^isxpeo}', "");
    Expect(0, 66518, '\p{isxpeo}', "");
    Expect(1, 66518, '\p{^isxpeo}', "");
    Expect(1, 66518, '\P{isxpeo}', "");
    Expect(0, 66518, '\P{^isxpeo}', "");
    Expect(1, 66517, '\p{		is_Xpeo}', "");
    Expect(0, 66517, '\p{^		is_Xpeo}', "");
    Expect(0, 66517, '\P{		is_Xpeo}', "");
    Expect(1, 66517, '\P{^		is_Xpeo}', "");
    Expect(0, 66518, '\p{		is_Xpeo}', "");
    Expect(1, 66518, '\p{^		is_Xpeo}', "");
    Expect(1, 66518, '\P{		is_Xpeo}', "");
    Expect(0, 66518, '\P{^		is_Xpeo}', "");
    Error('\p{/a/ _Old_Sogdian}');
    Error('\P{/a/ _Old_Sogdian}');
    Expect(1, 69415, '\p{oldsogdian}', "");
    Expect(0, 69415, '\p{^oldsogdian}', "");
    Expect(0, 69415, '\P{oldsogdian}', "");
    Expect(1, 69415, '\P{^oldsogdian}', "");
    Expect(0, 69416, '\p{oldsogdian}', "");
    Expect(1, 69416, '\p{^oldsogdian}', "");
    Expect(1, 69416, '\P{oldsogdian}', "");
    Expect(0, 69416, '\P{^oldsogdian}', "");
    Expect(1, 69415, '\p{	 OLD_Sogdian}', "");
    Expect(0, 69415, '\p{^	 OLD_Sogdian}', "");
    Expect(0, 69415, '\P{	 OLD_Sogdian}', "");
    Expect(1, 69415, '\P{^	 OLD_Sogdian}', "");
    Expect(0, 69416, '\p{	 OLD_Sogdian}', "");
    Expect(1, 69416, '\p{^	 OLD_Sogdian}', "");
    Expect(1, 69416, '\P{	 OLD_Sogdian}', "");
    Expect(0, 69416, '\P{^	 OLD_Sogdian}', "");
    Error('\p{- IS_Old_SOGDIAN:=}');
    Error('\P{- IS_Old_SOGDIAN:=}');
    Expect(1, 69415, '\p{isoldsogdian}', "");
    Expect(0, 69415, '\p{^isoldsogdian}', "");
    Expect(0, 69415, '\P{isoldsogdian}', "");
    Expect(1, 69415, '\P{^isoldsogdian}', "");
    Expect(0, 69416, '\p{isoldsogdian}', "");
    Expect(1, 69416, '\p{^isoldsogdian}', "");
    Expect(1, 69416, '\P{isoldsogdian}', "");
    Expect(0, 69416, '\P{^isoldsogdian}', "");
    Expect(1, 69415, '\p{ _Is_Old_Sogdian}', "");
    Expect(0, 69415, '\p{^ _Is_Old_Sogdian}', "");
    Expect(0, 69415, '\P{ _Is_Old_Sogdian}', "");
    Expect(1, 69415, '\P{^ _Is_Old_Sogdian}', "");
    Expect(0, 69416, '\p{ _Is_Old_Sogdian}', "");
    Expect(1, 69416, '\p{^ _Is_Old_Sogdian}', "");
    Expect(1, 69416, '\P{ _Is_Old_Sogdian}', "");
    Expect(0, 69416, '\P{^ _Is_Old_Sogdian}', "");
    Error('\p{:=	sogo}');
    Error('\P{:=	sogo}');
    Expect(1, 69415, '\p{sogo}', "");
    Expect(0, 69415, '\p{^sogo}', "");
    Expect(0, 69415, '\P{sogo}', "");
    Expect(1, 69415, '\P{^sogo}', "");
    Expect(0, 69416, '\p{sogo}', "");
    Expect(1, 69416, '\p{^sogo}', "");
    Expect(1, 69416, '\P{sogo}', "");
    Expect(0, 69416, '\P{^sogo}', "");
    Expect(1, 69415, '\p{ 	SOGO}', "");
    Expect(0, 69415, '\p{^ 	SOGO}', "");
    Expect(0, 69415, '\P{ 	SOGO}', "");
    Expect(1, 69415, '\P{^ 	SOGO}', "");
    Expect(0, 69416, '\p{ 	SOGO}', "");
    Expect(1, 69416, '\p{^ 	SOGO}', "");
    Expect(1, 69416, '\P{ 	SOGO}', "");
    Expect(0, 69416, '\P{^ 	SOGO}', "");
    Error('\p{	/a/Is_Sogo}');
    Error('\P{	/a/Is_Sogo}');
    Expect(1, 69415, '\p{issogo}', "");
    Expect(0, 69415, '\p{^issogo}', "");
    Expect(0, 69415, '\P{issogo}', "");
    Expect(1, 69415, '\P{^issogo}', "");
    Expect(0, 69416, '\p{issogo}', "");
    Expect(1, 69416, '\p{^issogo}', "");
    Expect(1, 69416, '\P{issogo}', "");
    Expect(0, 69416, '\P{^issogo}', "");
    Expect(1, 69415, '\p{_Is_Sogo}', "");
    Expect(0, 69415, '\p{^_Is_Sogo}', "");
    Expect(0, 69415, '\P{_Is_Sogo}', "");
    Expect(1, 69415, '\P{^_Is_Sogo}', "");
    Expect(0, 69416, '\p{_Is_Sogo}', "");
    Expect(1, 69416, '\p{^_Is_Sogo}', "");
    Expect(1, 69416, '\P{_Is_Sogo}', "");
    Expect(0, 69416, '\P{^_Is_Sogo}', "");
    Error('\p{_	old_SOUTH_ARABIAN:=}');
    Error('\P{_	old_SOUTH_ARABIAN:=}');
    Expect(1, 68223, '\p{oldsoutharabian}', "");
    Expect(0, 68223, '\p{^oldsoutharabian}', "");
    Expect(0, 68223, '\P{oldsoutharabian}', "");
    Expect(1, 68223, '\P{^oldsoutharabian}', "");
    Expect(0, 68224, '\p{oldsoutharabian}', "");
    Expect(1, 68224, '\p{^oldsoutharabian}', "");
    Expect(1, 68224, '\P{oldsoutharabian}', "");
    Expect(0, 68224, '\P{^oldsoutharabian}', "");
    Expect(1, 68223, '\p{	-old_South_Arabian}', "");
    Expect(0, 68223, '\p{^	-old_South_Arabian}', "");
    Expect(0, 68223, '\P{	-old_South_Arabian}', "");
    Expect(1, 68223, '\P{^	-old_South_Arabian}', "");
    Expect(0, 68224, '\p{	-old_South_Arabian}', "");
    Expect(1, 68224, '\p{^	-old_South_Arabian}', "");
    Expect(1, 68224, '\P{	-old_South_Arabian}', "");
    Expect(0, 68224, '\P{^	-old_South_Arabian}', "");
    Error('\p{/a/-Is_OLD_South_Arabian}');
    Error('\P{/a/-Is_OLD_South_Arabian}');
    Expect(1, 68223, '\p{isoldsoutharabian}', "");
    Expect(0, 68223, '\p{^isoldsoutharabian}', "");
    Expect(0, 68223, '\P{isoldsoutharabian}', "");
    Expect(1, 68223, '\P{^isoldsoutharabian}', "");
    Expect(0, 68224, '\p{isoldsoutharabian}', "");
    Expect(1, 68224, '\p{^isoldsoutharabian}', "");
    Expect(1, 68224, '\P{isoldsoutharabian}', "");
    Expect(0, 68224, '\P{^isoldsoutharabian}', "");
    Expect(1, 68223, '\p{ Is_OLD_South_arabian}', "");
    Expect(0, 68223, '\p{^ Is_OLD_South_arabian}', "");
    Expect(0, 68223, '\P{ Is_OLD_South_arabian}', "");
    Expect(1, 68223, '\P{^ Is_OLD_South_arabian}', "");
    Expect(0, 68224, '\p{ Is_OLD_South_arabian}', "");
    Expect(1, 68224, '\p{^ Is_OLD_South_arabian}', "");
    Expect(1, 68224, '\P{ Is_OLD_South_arabian}', "");
    Expect(0, 68224, '\P{^ Is_OLD_South_arabian}', "");
    Error('\p{	Sarb/a/}');
    Error('\P{	Sarb/a/}');
    Expect(1, 68223, '\p{sarb}', "");
    Expect(0, 68223, '\p{^sarb}', "");
    Expect(0, 68223, '\P{sarb}', "");
    Expect(1, 68223, '\P{^sarb}', "");
    Expect(0, 68224, '\p{sarb}', "");
    Expect(1, 68224, '\p{^sarb}', "");
    Expect(1, 68224, '\P{sarb}', "");
    Expect(0, 68224, '\P{^sarb}', "");
    Expect(1, 68223, '\p{ SARB}', "");
    Expect(0, 68223, '\p{^ SARB}', "");
    Expect(0, 68223, '\P{ SARB}', "");
    Expect(1, 68223, '\P{^ SARB}', "");
    Expect(0, 68224, '\p{ SARB}', "");
    Expect(1, 68224, '\p{^ SARB}', "");
    Expect(1, 68224, '\P{ SARB}', "");
    Expect(0, 68224, '\P{^ SARB}', "");
    Error('\p{-Is_Sarb:=}');
    Error('\P{-Is_Sarb:=}');
    Expect(1, 68223, '\p{issarb}', "");
    Expect(0, 68223, '\p{^issarb}', "");
    Expect(0, 68223, '\P{issarb}', "");
    Expect(1, 68223, '\P{^issarb}', "");
    Expect(0, 68224, '\p{issarb}', "");
    Expect(1, 68224, '\p{^issarb}', "");
    Expect(1, 68224, '\P{issarb}', "");
    Expect(0, 68224, '\P{^issarb}', "");
    Expect(1, 68223, '\p{ is_Sarb}', "");
    Expect(0, 68223, '\p{^ is_Sarb}', "");
    Expect(0, 68223, '\P{ is_Sarb}', "");
    Expect(1, 68223, '\P{^ is_Sarb}', "");
    Expect(0, 68224, '\p{ is_Sarb}', "");
    Expect(1, 68224, '\p{^ is_Sarb}', "");
    Expect(1, 68224, '\P{ is_Sarb}', "");
    Expect(0, 68224, '\P{^ is_Sarb}', "");
    Error('\p{-:=old_Turkic}');
    Error('\P{-:=old_Turkic}');
    Expect(1, 68680, '\p{oldturkic}', "");
    Expect(0, 68680, '\p{^oldturkic}', "");
    Expect(0, 68680, '\P{oldturkic}', "");
    Expect(1, 68680, '\P{^oldturkic}', "");
    Expect(0, 68681, '\p{oldturkic}', "");
    Expect(1, 68681, '\p{^oldturkic}', "");
    Expect(1, 68681, '\P{oldturkic}', "");
    Expect(0, 68681, '\P{^oldturkic}', "");
    Expect(1, 68680, '\p{-OLD_Turkic}', "");
    Expect(0, 68680, '\p{^-OLD_Turkic}', "");
    Expect(0, 68680, '\P{-OLD_Turkic}', "");
    Expect(1, 68680, '\P{^-OLD_Turkic}', "");
    Expect(0, 68681, '\p{-OLD_Turkic}', "");
    Expect(1, 68681, '\p{^-OLD_Turkic}', "");
    Expect(1, 68681, '\P{-OLD_Turkic}', "");
    Expect(0, 68681, '\P{^-OLD_Turkic}', "");
    Error('\p{-/a/is_old_turkic}');
    Error('\P{-/a/is_old_turkic}');
    Expect(1, 68680, '\p{isoldturkic}', "");
    Expect(0, 68680, '\p{^isoldturkic}', "");
    Expect(0, 68680, '\P{isoldturkic}', "");
    Expect(1, 68680, '\P{^isoldturkic}', "");
    Expect(0, 68681, '\p{isoldturkic}', "");
    Expect(1, 68681, '\p{^isoldturkic}', "");
    Expect(1, 68681, '\P{isoldturkic}', "");
    Expect(0, 68681, '\P{^isoldturkic}', "");
    Expect(1, 68680, '\p{_is_OLD_TURKIC}', "");
    Expect(0, 68680, '\p{^_is_OLD_TURKIC}', "");
    Expect(0, 68680, '\P{_is_OLD_TURKIC}', "");
    Expect(1, 68680, '\P{^_is_OLD_TURKIC}', "");
    Expect(0, 68681, '\p{_is_OLD_TURKIC}', "");
    Expect(1, 68681, '\p{^_is_OLD_TURKIC}', "");
    Expect(1, 68681, '\P{_is_OLD_TURKIC}', "");
    Expect(0, 68681, '\P{^_is_OLD_TURKIC}', "");
    Error('\p{:=__orkh}');
    Error('\P{:=__orkh}');
    Expect(1, 68680, '\p{orkh}', "");
    Expect(0, 68680, '\p{^orkh}', "");
    Expect(0, 68680, '\P{orkh}', "");
    Expect(1, 68680, '\P{^orkh}', "");
    Expect(0, 68681, '\p{orkh}', "");
    Expect(1, 68681, '\p{^orkh}', "");
    Expect(1, 68681, '\P{orkh}', "");
    Expect(0, 68681, '\P{^orkh}', "");
    Expect(1, 68680, '\p{_Orkh}', "");
    Expect(0, 68680, '\p{^_Orkh}', "");
    Expect(0, 68680, '\P{_Orkh}', "");
    Expect(1, 68680, '\P{^_Orkh}', "");
    Expect(0, 68681, '\p{_Orkh}', "");
    Expect(1, 68681, '\p{^_Orkh}', "");
    Expect(1, 68681, '\P{_Orkh}', "");
    Expect(0, 68681, '\P{^_Orkh}', "");
    Error('\p{-:=is_ORKH}');
    Error('\P{-:=is_ORKH}');
    Expect(1, 68680, '\p{isorkh}', "");
    Expect(0, 68680, '\p{^isorkh}', "");
    Expect(0, 68680, '\P{isorkh}', "");
    Expect(1, 68680, '\P{^isorkh}', "");
    Expect(0, 68681, '\p{isorkh}', "");
    Expect(1, 68681, '\p{^isorkh}', "");
    Expect(1, 68681, '\P{isorkh}', "");
    Expect(0, 68681, '\P{^isorkh}', "");
    Expect(1, 68680, '\p{  IS_orkh}', "");
    Expect(0, 68680, '\p{^  IS_orkh}', "");
    Expect(0, 68680, '\P{  IS_orkh}', "");
    Expect(1, 68680, '\P{^  IS_orkh}', "");
    Expect(0, 68681, '\p{  IS_orkh}', "");
    Expect(1, 68681, '\p{^  IS_orkh}', "");
    Expect(1, 68681, '\P{  IS_orkh}', "");
    Expect(0, 68681, '\P{^  IS_orkh}', "");
    Error('\p{	OLD_UYGHUR:=}');
    Error('\P{	OLD_UYGHUR:=}');
    Expect(1, 69513, '\p{olduyghur}', "");
    Expect(0, 69513, '\p{^olduyghur}', "");
    Expect(0, 69513, '\P{olduyghur}', "");
    Expect(1, 69513, '\P{^olduyghur}', "");
    Expect(0, 69514, '\p{olduyghur}', "");
    Expect(1, 69514, '\p{^olduyghur}', "");
    Expect(1, 69514, '\P{olduyghur}', "");
    Expect(0, 69514, '\P{^olduyghur}', "");
    Expect(1, 69513, '\p{-_Old_uyghur}', "");
    Expect(0, 69513, '\p{^-_Old_uyghur}', "");
    Expect(0, 69513, '\P{-_Old_uyghur}', "");
    Expect(1, 69513, '\P{^-_Old_uyghur}', "");
    Expect(0, 69514, '\p{-_Old_uyghur}', "");
    Expect(1, 69514, '\p{^-_Old_uyghur}', "");
    Expect(1, 69514, '\P{-_Old_uyghur}', "");
    Expect(0, 69514, '\P{^-_Old_uyghur}', "");
    Error('\p{:=	Is_Old_UYGHUR}');
    Error('\P{:=	Is_Old_UYGHUR}');
    Expect(1, 69513, '\p{isolduyghur}', "");
    Expect(0, 69513, '\p{^isolduyghur}', "");
    Expect(0, 69513, '\P{isolduyghur}', "");
    Expect(1, 69513, '\P{^isolduyghur}', "");
    Expect(0, 69514, '\p{isolduyghur}', "");
    Expect(1, 69514, '\p{^isolduyghur}', "");
    Expect(1, 69514, '\P{isolduyghur}', "");
    Expect(0, 69514, '\P{^isolduyghur}', "");
    Expect(1, 69513, '\p{	_Is_Old_uyghur}', "");
    Expect(0, 69513, '\p{^	_Is_Old_uyghur}', "");
    Expect(0, 69513, '\P{	_Is_Old_uyghur}', "");
    Expect(1, 69513, '\P{^	_Is_Old_uyghur}', "");
    Expect(0, 69514, '\p{	_Is_Old_uyghur}', "");
    Expect(1, 69514, '\p{^	_Is_Old_uyghur}', "");
    Expect(1, 69514, '\P{	_Is_Old_uyghur}', "");
    Expect(0, 69514, '\P{^	_Is_Old_uyghur}', "");
    Error('\p{:=_ Ougr}');
    Error('\P{:=_ Ougr}');
    Expect(1, 69513, '\p{ougr}', "");
    Expect(0, 69513, '\p{^ougr}', "");
    Expect(0, 69513, '\P{ougr}', "");
    Expect(1, 69513, '\P{^ougr}', "");
    Expect(0, 69514, '\p{ougr}', "");
    Expect(1, 69514, '\p{^ougr}', "");
    Expect(1, 69514, '\P{ougr}', "");
    Expect(0, 69514, '\P{^ougr}', "");
    Expect(1, 69513, '\p{	Ougr}', "");
    Expect(0, 69513, '\p{^	Ougr}', "");
    Expect(0, 69513, '\P{	Ougr}', "");
    Expect(1, 69513, '\P{^	Ougr}', "");
    Expect(0, 69514, '\p{	Ougr}', "");
    Expect(1, 69514, '\p{^	Ougr}', "");
    Expect(1, 69514, '\P{	Ougr}', "");
    Expect(0, 69514, '\P{^	Ougr}', "");
    Error('\p{ Is_OUGR:=}');
    Error('\P{ Is_OUGR:=}');
    Expect(1, 69513, '\p{isougr}', "");
    Expect(0, 69513, '\p{^isougr}', "");
    Expect(0, 69513, '\P{isougr}', "");
    Expect(1, 69513, '\P{^isougr}', "");
    Expect(0, 69514, '\p{isougr}', "");
    Expect(1, 69514, '\p{^isougr}', "");
    Expect(1, 69514, '\P{isougr}', "");
    Expect(0, 69514, '\P{^isougr}', "");
    Expect(1, 69513, '\p{_ IS_Ougr}', "");
    Expect(0, 69513, '\p{^_ IS_Ougr}', "");
    Expect(0, 69513, '\P{_ IS_Ougr}', "");
    Expect(1, 69513, '\P{^_ IS_Ougr}', "");
    Expect(0, 69514, '\p{_ IS_Ougr}', "");
    Expect(1, 69514, '\p{^_ IS_Ougr}', "");
    Expect(1, 69514, '\P{_ IS_Ougr}', "");
    Expect(0, 69514, '\P{^_ IS_Ougr}', "");
    Error('\p{--OPEN_PUNCTUATION:=}');
    Error('\P{--OPEN_PUNCTUATION:=}');
    Expect(1, 65378, '\p{openpunctuation}', "");
    Expect(0, 65378, '\p{^openpunctuation}', "");
    Expect(0, 65378, '\P{openpunctuation}', "");
    Expect(1, 65378, '\P{^openpunctuation}', "");
    Expect(0, 65379, '\p{openpunctuation}', "");
    Expect(1, 65379, '\p{^openpunctuation}', "");
    Expect(1, 65379, '\P{openpunctuation}', "");
    Expect(0, 65379, '\P{^openpunctuation}', "");
    Expect(1, 65378, '\p{-Open_PUNCTUATION}', "");
    Expect(0, 65378, '\p{^-Open_PUNCTUATION}', "");
    Expect(0, 65378, '\P{-Open_PUNCTUATION}', "");
    Expect(1, 65378, '\P{^-Open_PUNCTUATION}', "");
    Expect(0, 65379, '\p{-Open_PUNCTUATION}', "");
    Expect(1, 65379, '\p{^-Open_PUNCTUATION}', "");
    Expect(1, 65379, '\P{-Open_PUNCTUATION}', "");
    Expect(0, 65379, '\P{^-Open_PUNCTUATION}', "");
    Error('\p{-/a/is_open_Punctuation}');
    Error('\P{-/a/is_open_Punctuation}');
    Expect(1, 65378, '\p{isopenpunctuation}', "");
    Expect(0, 65378, '\p{^isopenpunctuation}', "");
    Expect(0, 65378, '\P{isopenpunctuation}', "");
    Expect(1, 65378, '\P{^isopenpunctuation}', "");
    Expect(0, 65379, '\p{isopenpunctuation}', "");
    Expect(1, 65379, '\p{^isopenpunctuation}', "");
    Expect(1, 65379, '\P{isopenpunctuation}', "");
    Expect(0, 65379, '\P{^isopenpunctuation}', "");
    Expect(1, 65378, '\p{		Is_Open_punctuation}', "");
    Expect(0, 65378, '\p{^		Is_Open_punctuation}', "");
    Expect(0, 65378, '\P{		Is_Open_punctuation}', "");
    Expect(1, 65378, '\P{^		Is_Open_punctuation}', "");
    Expect(0, 65379, '\p{		Is_Open_punctuation}', "");
    Expect(1, 65379, '\p{^		Is_Open_punctuation}', "");
    Expect(1, 65379, '\P{		Is_Open_punctuation}', "");
    Expect(0, 65379, '\P{^		Is_Open_punctuation}', "");
    Error('\p{-/a/Ps}');
    Error('\P{-/a/Ps}');
    Expect(1, 65378, '\p{ps}', "");
    Expect(0, 65378, '\p{^ps}', "");
    Expect(0, 65378, '\P{ps}', "");
    Expect(1, 65378, '\P{^ps}', "");
    Expect(0, 65379, '\p{ps}', "");
    Expect(1, 65379, '\p{^ps}', "");
    Expect(1, 65379, '\P{ps}', "");
    Expect(0, 65379, '\P{^ps}', "");
    Expect(1, 65378, '\p{ _Ps}', "");
    Expect(0, 65378, '\p{^ _Ps}', "");
    Expect(0, 65378, '\P{ _Ps}', "");
    Expect(1, 65378, '\P{^ _Ps}', "");
    Expect(0, 65379, '\p{ _Ps}', "");
    Expect(1, 65379, '\p{^ _Ps}', "");
    Expect(1, 65379, '\P{ _Ps}', "");
    Expect(0, 65379, '\P{^ _Ps}', "");
    Error('\p{_	Is_Ps:=}');
    Error('\P{_	Is_Ps:=}');
    Expect(1, 65378, '\p{isps}', "");
    Expect(0, 65378, '\p{^isps}', "");
    Expect(0, 65378, '\P{isps}', "");
    Expect(1, 65378, '\P{^isps}', "");
    Expect(0, 65379, '\p{isps}', "");
    Expect(1, 65379, '\p{^isps}', "");
    Expect(1, 65379, '\P{isps}', "");
    Expect(0, 65379, '\P{^isps}', "");
    Expect(1, 65378, '\p{ _is_Ps}', "");
    Expect(0, 65378, '\p{^ _is_Ps}', "");
    Expect(0, 65378, '\P{ _is_Ps}', "");
    Expect(1, 65378, '\P{^ _is_Ps}', "");
    Expect(0, 65379, '\p{ _is_Ps}', "");
    Expect(1, 65379, '\p{^ _is_Ps}', "");
    Expect(1, 65379, '\P{ _is_Ps}', "");
    Expect(0, 65379, '\P{^ _is_Ps}', "");
    Error('\p{	:=OPTICAL_Character_Recognition}');
    Error('\P{	:=OPTICAL_Character_Recognition}');
    Expect(1, 9311, '\p{opticalcharacterrecognition}', "");
    Expect(0, 9311, '\p{^opticalcharacterrecognition}', "");
    Expect(0, 9311, '\P{opticalcharacterrecognition}', "");
    Expect(1, 9311, '\P{^opticalcharacterrecognition}', "");
    Expect(0, 9312, '\p{opticalcharacterrecognition}', "");
    Expect(1, 9312, '\p{^opticalcharacterrecognition}', "");
    Expect(1, 9312, '\P{opticalcharacterrecognition}', "");
    Expect(0, 9312, '\P{^opticalcharacterrecognition}', "");
    Expect(1, 9311, '\p{  Optical_CHARACTER_Recognition}', "");
    Expect(0, 9311, '\p{^  Optical_CHARACTER_Recognition}', "");
    Expect(0, 9311, '\P{  Optical_CHARACTER_Recognition}', "");
    Expect(1, 9311, '\P{^  Optical_CHARACTER_Recognition}', "");
    Expect(0, 9312, '\p{  Optical_CHARACTER_Recognition}', "");
    Expect(1, 9312, '\p{^  Optical_CHARACTER_Recognition}', "");
    Expect(1, 9312, '\P{  Optical_CHARACTER_Recognition}', "");
    Expect(0, 9312, '\P{^  Optical_CHARACTER_Recognition}', "");
    Error('\p{_:=Is_OPTICAL_Character_recognition}');
    Error('\P{_:=Is_OPTICAL_Character_recognition}');
    Expect(1, 9311, '\p{isopticalcharacterrecognition}', "");
    Expect(0, 9311, '\p{^isopticalcharacterrecognition}', "");
    Expect(0, 9311, '\P{isopticalcharacterrecognition}', "");
    Expect(1, 9311, '\P{^isopticalcharacterrecognition}', "");
    Expect(0, 9312, '\p{isopticalcharacterrecognition}', "");
    Expect(1, 9312, '\p{^isopticalcharacterrecognition}', "");
    Expect(1, 9312, '\P{isopticalcharacterrecognition}', "");
    Expect(0, 9312, '\P{^isopticalcharacterrecognition}', "");
    Expect(1, 9311, '\p{-Is_Optical_Character_Recognition}', "");
    Expect(0, 9311, '\p{^-Is_Optical_Character_Recognition}', "");
    Expect(0, 9311, '\P{-Is_Optical_Character_Recognition}', "");
    Expect(1, 9311, '\P{^-Is_Optical_Character_Recognition}', "");
    Expect(0, 9312, '\p{-Is_Optical_Character_Recognition}', "");
    Expect(1, 9312, '\p{^-Is_Optical_Character_Recognition}', "");
    Expect(1, 9312, '\P{-Is_Optical_Character_Recognition}', "");
    Expect(0, 9312, '\P{^-Is_Optical_Character_Recognition}', "");
    Error('\p{ /a/In_OPTICAL_Character_recognition}');
    Error('\P{ /a/In_OPTICAL_Character_recognition}');
    Expect(1, 9311, '\p{inopticalcharacterrecognition}', "");
    Expect(0, 9311, '\p{^inopticalcharacterrecognition}', "");
    Expect(0, 9311, '\P{inopticalcharacterrecognition}', "");
    Expect(1, 9311, '\P{^inopticalcharacterrecognition}', "");
    Expect(0, 9312, '\p{inopticalcharacterrecognition}', "");
    Expect(1, 9312, '\p{^inopticalcharacterrecognition}', "");
    Expect(1, 9312, '\P{inopticalcharacterrecognition}', "");
    Expect(0, 9312, '\P{^inopticalcharacterrecognition}', "");
    Expect(1, 9311, '\p{	 In_Optical_CHARACTER_recognition}', "");
    Expect(0, 9311, '\p{^	 In_Optical_CHARACTER_recognition}', "");
    Expect(0, 9311, '\P{	 In_Optical_CHARACTER_recognition}', "");
    Expect(1, 9311, '\P{^	 In_Optical_CHARACTER_recognition}', "");
    Expect(0, 9312, '\p{	 In_Optical_CHARACTER_recognition}', "");
    Expect(1, 9312, '\p{^	 In_Optical_CHARACTER_recognition}', "");
    Expect(1, 9312, '\P{	 In_Optical_CHARACTER_recognition}', "");
    Expect(0, 9312, '\P{^	 In_Optical_CHARACTER_recognition}', "");
    Error('\p{	:=OCR}');
    Error('\P{	:=OCR}');
    Expect(1, 9311, '\p{ocr}', "");
    Expect(0, 9311, '\p{^ocr}', "");
    Expect(0, 9311, '\P{ocr}', "");
    Expect(1, 9311, '\P{^ocr}', "");
    Expect(0, 9312, '\p{ocr}', "");
    Expect(1, 9312, '\p{^ocr}', "");
    Expect(1, 9312, '\P{ocr}', "");
    Expect(0, 9312, '\P{^ocr}', "");
    Expect(1, 9311, '\p{OCR}', "");
    Expect(0, 9311, '\p{^OCR}', "");
    Expect(0, 9311, '\P{OCR}', "");
    Expect(1, 9311, '\P{^OCR}', "");
    Expect(0, 9312, '\p{OCR}', "");
    Expect(1, 9312, '\p{^OCR}', "");
    Expect(1, 9312, '\P{OCR}', "");
    Expect(0, 9312, '\P{^OCR}', "");
    Error('\p{__is_OCR/a/}');
    Error('\P{__is_OCR/a/}');
    Expect(1, 9311, '\p{isocr}', "");
    Expect(0, 9311, '\p{^isocr}', "");
    Expect(0, 9311, '\P{isocr}', "");
    Expect(1, 9311, '\P{^isocr}', "");
    Expect(0, 9312, '\p{isocr}', "");
    Expect(1, 9312, '\p{^isocr}', "");
    Expect(1, 9312, '\P{isocr}', "");
    Expect(0, 9312, '\P{^isocr}', "");
    Expect(1, 9311, '\p{_is_ocr}', "");
    Expect(0, 9311, '\p{^_is_ocr}', "");
    Expect(0, 9311, '\P{_is_ocr}', "");
    Expect(1, 9311, '\P{^_is_ocr}', "");
    Expect(0, 9312, '\p{_is_ocr}', "");
    Expect(1, 9312, '\p{^_is_ocr}', "");
    Expect(1, 9312, '\P{_is_ocr}', "");
    Expect(0, 9312, '\P{^_is_ocr}', "");
    Error('\p{  IN_OCR/a/}');
    Error('\P{  IN_OCR/a/}');
    Expect(1, 9311, '\p{inocr}', "");
    Expect(0, 9311, '\p{^inocr}', "");
    Expect(0, 9311, '\P{inocr}', "");
    Expect(1, 9311, '\P{^inocr}', "");
    Expect(0, 9312, '\p{inocr}', "");
    Expect(1, 9312, '\p{^inocr}', "");
    Expect(1, 9312, '\P{inocr}', "");
    Expect(0, 9312, '\P{^inocr}', "");
    Expect(1, 9311, '\p{_In_OCR}', "");
    Expect(0, 9311, '\p{^_In_OCR}', "");
    Expect(0, 9311, '\P{_In_OCR}', "");
    Expect(1, 9311, '\P{^_In_OCR}', "");
    Expect(0, 9312, '\p{_In_OCR}', "");
    Expect(1, 9312, '\p{^_In_OCR}', "");
    Expect(1, 9312, '\P{_In_OCR}', "");
    Expect(0, 9312, '\P{^_In_OCR}', "");
    Error('\p{	oriya:=}');
    Error('\P{	oriya:=}');
    Expect(1, 7410, '\p{oriya}', "");
    Expect(0, 7410, '\p{^oriya}', "");
    Expect(0, 7410, '\P{oriya}', "");
    Expect(1, 7410, '\P{^oriya}', "");
    Expect(0, 7411, '\p{oriya}', "");
    Expect(1, 7411, '\p{^oriya}', "");
    Expect(1, 7411, '\P{oriya}', "");
    Expect(0, 7411, '\P{^oriya}', "");
    Expect(1, 7410, '\p{_Oriya}', "");
    Expect(0, 7410, '\p{^_Oriya}', "");
    Expect(0, 7410, '\P{_Oriya}', "");
    Expect(1, 7410, '\P{^_Oriya}', "");
    Expect(0, 7411, '\p{_Oriya}', "");
    Expect(1, 7411, '\p{^_Oriya}', "");
    Expect(1, 7411, '\P{_Oriya}', "");
    Expect(0, 7411, '\P{^_Oriya}', "");
    Error('\p{_/a/is_Oriya}');
    Error('\P{_/a/is_Oriya}');
    Expect(1, 7410, '\p{isoriya}', "");
    Expect(0, 7410, '\p{^isoriya}', "");
    Expect(0, 7410, '\P{isoriya}', "");
    Expect(1, 7410, '\P{^isoriya}', "");
    Expect(0, 7411, '\p{isoriya}', "");
    Expect(1, 7411, '\p{^isoriya}', "");
    Expect(1, 7411, '\P{isoriya}', "");
    Expect(0, 7411, '\P{^isoriya}', "");
    Expect(1, 7410, '\p{		Is_Oriya}', "");
    Expect(0, 7410, '\p{^		Is_Oriya}', "");
    Expect(0, 7410, '\P{		Is_Oriya}', "");
    Expect(1, 7410, '\P{^		Is_Oriya}', "");
    Expect(0, 7411, '\p{		Is_Oriya}', "");
    Expect(1, 7411, '\p{^		Is_Oriya}', "");
    Expect(1, 7411, '\P{		Is_Oriya}', "");
    Expect(0, 7411, '\P{^		Is_Oriya}', "");
    Error('\p{_:=orya}');
    Error('\P{_:=orya}');
    Expect(1, 7410, '\p{orya}', "");
    Expect(0, 7410, '\p{^orya}', "");
    Expect(0, 7410, '\P{orya}', "");
    Expect(1, 7410, '\P{^orya}', "");
    Expect(0, 7411, '\p{orya}', "");
    Expect(1, 7411, '\p{^orya}', "");
    Expect(1, 7411, '\P{orya}', "");
    Expect(0, 7411, '\P{^orya}', "");
    Expect(1, 7410, '\p{		orya}', "");
    Expect(0, 7410, '\p{^		orya}', "");
    Expect(0, 7410, '\P{		orya}', "");
    Expect(1, 7410, '\P{^		orya}', "");
    Expect(0, 7411, '\p{		orya}', "");
    Expect(1, 7411, '\p{^		orya}', "");
    Expect(1, 7411, '\P{		orya}', "");
    Expect(0, 7411, '\P{^		orya}', "");
    Error('\p{:=-IS_Orya}');
    Error('\P{:=-IS_Orya}');
    Expect(1, 7410, '\p{isorya}', "");
    Expect(0, 7410, '\p{^isorya}', "");
    Expect(0, 7410, '\P{isorya}', "");
    Expect(1, 7410, '\P{^isorya}', "");
    Expect(0, 7411, '\p{isorya}', "");
    Expect(1, 7411, '\p{^isorya}', "");
    Expect(1, 7411, '\P{isorya}', "");
    Expect(0, 7411, '\P{^isorya}', "");
    Expect(1, 7410, '\p{-_is_Orya}', "");
    Expect(0, 7410, '\p{^-_is_Orya}', "");
    Expect(0, 7410, '\P{-_is_Orya}', "");
    Expect(1, 7410, '\P{^-_is_Orya}', "");
    Expect(0, 7411, '\p{-_is_Orya}', "");
    Expect(1, 7411, '\p{^-_is_Orya}', "");
    Expect(1, 7411, '\P{-_is_Orya}', "");
    Expect(0, 7411, '\P{^-_is_Orya}', "");
    Error('\p{ /a/ornamental_Dingbats}');
    Error('\P{ /a/ornamental_Dingbats}');
    Expect(1, 128639, '\p{ornamentaldingbats}', "");
    Expect(0, 128639, '\p{^ornamentaldingbats}', "");
    Expect(0, 128639, '\P{ornamentaldingbats}', "");
    Expect(1, 128639, '\P{^ornamentaldingbats}', "");
    Expect(0, 128640, '\p{ornamentaldingbats}', "");
    Expect(1, 128640, '\p{^ornamentaldingbats}', "");
    Expect(1, 128640, '\P{ornamentaldingbats}', "");
    Expect(0, 128640, '\P{^ornamentaldingbats}', "");
    Expect(1, 128639, '\p{_ornamental_dingbats}', "");
    Expect(0, 128639, '\p{^_ornamental_dingbats}', "");
    Expect(0, 128639, '\P{_ornamental_dingbats}', "");
    Expect(1, 128639, '\P{^_ornamental_dingbats}', "");
    Expect(0, 128640, '\p{_ornamental_dingbats}', "");
    Expect(1, 128640, '\p{^_ornamental_dingbats}', "");
    Expect(1, 128640, '\P{_ornamental_dingbats}', "");
    Expect(0, 128640, '\P{^_ornamental_dingbats}', "");
    Error('\p{-is_Ornamental_dingbats/a/}');
    Error('\P{-is_Ornamental_dingbats/a/}');
    Expect(1, 128639, '\p{isornamentaldingbats}', "");
    Expect(0, 128639, '\p{^isornamentaldingbats}', "");
    Expect(0, 128639, '\P{isornamentaldingbats}', "");
    Expect(1, 128639, '\P{^isornamentaldingbats}', "");
    Expect(0, 128640, '\p{isornamentaldingbats}', "");
    Expect(1, 128640, '\p{^isornamentaldingbats}', "");
    Expect(1, 128640, '\P{isornamentaldingbats}', "");
    Expect(0, 128640, '\P{^isornamentaldingbats}', "");
    Expect(1, 128639, '\p{	 is_Ornamental_Dingbats}', "");
    Expect(0, 128639, '\p{^	 is_Ornamental_Dingbats}', "");
    Expect(0, 128639, '\P{	 is_Ornamental_Dingbats}', "");
    Expect(1, 128639, '\P{^	 is_Ornamental_Dingbats}', "");
    Expect(0, 128640, '\p{	 is_Ornamental_Dingbats}', "");
    Expect(1, 128640, '\p{^	 is_Ornamental_Dingbats}', "");
    Expect(1, 128640, '\P{	 is_Ornamental_Dingbats}', "");
    Expect(0, 128640, '\P{^	 is_Ornamental_Dingbats}', "");
    Error('\p{	_In_Ornamental_Dingbats:=}');
    Error('\P{	_In_Ornamental_Dingbats:=}');
    Expect(1, 128639, '\p{inornamentaldingbats}', "");
    Expect(0, 128639, '\p{^inornamentaldingbats}', "");
    Expect(0, 128639, '\P{inornamentaldingbats}', "");
    Expect(1, 128639, '\P{^inornamentaldingbats}', "");
    Expect(0, 128640, '\p{inornamentaldingbats}', "");
    Expect(1, 128640, '\p{^inornamentaldingbats}', "");
    Expect(1, 128640, '\P{inornamentaldingbats}', "");
    Expect(0, 128640, '\P{^inornamentaldingbats}', "");
    Expect(1, 128639, '\p{_-in_Ornamental_DINGBATS}', "");
    Expect(0, 128639, '\p{^_-in_Ornamental_DINGBATS}', "");
    Expect(0, 128639, '\P{_-in_Ornamental_DINGBATS}', "");
    Expect(1, 128639, '\P{^_-in_Ornamental_DINGBATS}', "");
    Expect(0, 128640, '\p{_-in_Ornamental_DINGBATS}', "");
    Expect(1, 128640, '\p{^_-in_Ornamental_DINGBATS}', "");
    Expect(1, 128640, '\P{_-in_Ornamental_DINGBATS}', "");
    Expect(0, 128640, '\P{^_-in_Ornamental_DINGBATS}', "");
    Error('\p{_osage:=}');
    Error('\P{_osage:=}');
    Expect(1, 66811, '\p{osage}', "");
    Expect(0, 66811, '\p{^osage}', "");
    Expect(0, 66811, '\P{osage}', "");
    Expect(1, 66811, '\P{^osage}', "");
    Expect(0, 66812, '\p{osage}', "");
    Expect(1, 66812, '\p{^osage}', "");
    Expect(1, 66812, '\P{osage}', "");
    Expect(0, 66812, '\P{^osage}', "");
    Expect(1, 66811, '\p{	-Osage}', "");
    Expect(0, 66811, '\p{^	-Osage}', "");
    Expect(0, 66811, '\P{	-Osage}', "");
    Expect(1, 66811, '\P{^	-Osage}', "");
    Expect(0, 66812, '\p{	-Osage}', "");
    Expect(1, 66812, '\p{^	-Osage}', "");
    Expect(1, 66812, '\P{	-Osage}', "");
    Expect(0, 66812, '\P{^	-Osage}', "");
    Error('\p{:=-Is_osage}');
    Error('\P{:=-Is_osage}');
    Expect(1, 66811, '\p{isosage}', "");
    Expect(0, 66811, '\p{^isosage}', "");
    Expect(0, 66811, '\P{isosage}', "");
    Expect(1, 66811, '\P{^isosage}', "");
    Expect(0, 66812, '\p{isosage}', "");
    Expect(1, 66812, '\p{^isosage}', "");
    Expect(1, 66812, '\P{isosage}', "");
    Expect(0, 66812, '\P{^isosage}', "");
    Expect(1, 66811, '\p{ Is_OSAGE}', "");
    Expect(0, 66811, '\p{^ Is_OSAGE}', "");
    Expect(0, 66811, '\P{ Is_OSAGE}', "");
    Expect(1, 66811, '\P{^ Is_OSAGE}', "");
    Expect(0, 66812, '\p{ Is_OSAGE}', "");
    Expect(1, 66812, '\p{^ Is_OSAGE}', "");
    Expect(1, 66812, '\P{ Is_OSAGE}', "");
    Expect(0, 66812, '\P{^ Is_OSAGE}', "");
    Error('\p{:= -Osge}');
    Error('\P{:= -Osge}');
    Expect(1, 66811, '\p{osge}', "");
    Expect(0, 66811, '\p{^osge}', "");
    Expect(0, 66811, '\P{osge}', "");
    Expect(1, 66811, '\P{^osge}', "");
    Expect(0, 66812, '\p{osge}', "");
    Expect(1, 66812, '\p{^osge}', "");
    Expect(1, 66812, '\P{osge}', "");
    Expect(0, 66812, '\P{^osge}', "");
    Expect(1, 66811, '\p{	OSGE}', "");
    Expect(0, 66811, '\p{^	OSGE}', "");
    Expect(0, 66811, '\P{	OSGE}', "");
    Expect(1, 66811, '\P{^	OSGE}', "");
    Expect(0, 66812, '\p{	OSGE}', "");
    Expect(1, 66812, '\p{^	OSGE}', "");
    Expect(1, 66812, '\P{	OSGE}', "");
    Expect(0, 66812, '\P{^	OSGE}', "");
    Error('\p{:=_-IS_OSGE}');
    Error('\P{:=_-IS_OSGE}');
    Expect(1, 66811, '\p{isosge}', "");
    Expect(0, 66811, '\p{^isosge}', "");
    Expect(0, 66811, '\P{isosge}', "");
    Expect(1, 66811, '\P{^isosge}', "");
    Expect(0, 66812, '\p{isosge}', "");
    Expect(1, 66812, '\p{^isosge}', "");
    Expect(1, 66812, '\P{isosge}', "");
    Expect(0, 66812, '\P{^isosge}', "");
    Expect(1, 66811, '\p{		Is_OSGE}', "");
    Expect(0, 66811, '\p{^		Is_OSGE}', "");
    Expect(0, 66811, '\P{		Is_OSGE}', "");
    Expect(1, 66811, '\P{^		Is_OSGE}', "");
    Expect(0, 66812, '\p{		Is_OSGE}', "");
    Expect(1, 66812, '\p{^		Is_OSGE}', "");
    Expect(1, 66812, '\P{		Is_OSGE}', "");
    Expect(0, 66812, '\P{^		Is_OSGE}', "");
    Error('\p{:=_-osmanya}');
    Error('\P{:=_-osmanya}');
    Expect(1, 66729, '\p{osmanya}', "");
    Expect(0, 66729, '\p{^osmanya}', "");
    Expect(0, 66729, '\P{osmanya}', "");
    Expect(1, 66729, '\P{^osmanya}', "");
    Expect(0, 66730, '\p{osmanya}', "");
    Expect(1, 66730, '\p{^osmanya}', "");
    Expect(1, 66730, '\P{osmanya}', "");
    Expect(0, 66730, '\P{^osmanya}', "");
    Expect(1, 66729, '\p{	Osmanya}', "");
    Expect(0, 66729, '\p{^	Osmanya}', "");
    Expect(0, 66729, '\P{	Osmanya}', "");
    Expect(1, 66729, '\P{^	Osmanya}', "");
    Expect(0, 66730, '\p{	Osmanya}', "");
    Expect(1, 66730, '\p{^	Osmanya}', "");
    Expect(1, 66730, '\P{	Osmanya}', "");
    Expect(0, 66730, '\P{^	Osmanya}', "");
    Error('\p{	/a/is_Osmanya}');
    Error('\P{	/a/is_Osmanya}');
    Expect(1, 66729, '\p{isosmanya}', "");
    Expect(0, 66729, '\p{^isosmanya}', "");
    Expect(0, 66729, '\P{isosmanya}', "");
    Expect(1, 66729, '\P{^isosmanya}', "");
    Expect(0, 66730, '\p{isosmanya}', "");
    Expect(1, 66730, '\p{^isosmanya}', "");
    Expect(1, 66730, '\P{isosmanya}', "");
    Expect(0, 66730, '\P{^isosmanya}', "");
    Expect(1, 66729, '\p{-IS_Osmanya}', "");
    Expect(0, 66729, '\p{^-IS_Osmanya}', "");
    Expect(0, 66729, '\P{-IS_Osmanya}', "");
    Expect(1, 66729, '\P{^-IS_Osmanya}', "");
    Expect(0, 66730, '\p{-IS_Osmanya}', "");
    Expect(1, 66730, '\p{^-IS_Osmanya}', "");
    Expect(1, 66730, '\P{-IS_Osmanya}', "");
    Expect(0, 66730, '\P{^-IS_Osmanya}', "");
    Error('\p{:=--OSMA}');
    Error('\P{:=--OSMA}');
    Expect(1, 66729, '\p{osma}', "");
    Expect(0, 66729, '\p{^osma}', "");
    Expect(0, 66729, '\P{osma}', "");
    Expect(1, 66729, '\P{^osma}', "");
    Expect(0, 66730, '\p{osma}', "");
    Expect(1, 66730, '\p{^osma}', "");
    Expect(1, 66730, '\P{osma}', "");
    Expect(0, 66730, '\P{^osma}', "");
    Expect(1, 66729, '\p{--OSMA}', "");
    Expect(0, 66729, '\p{^--OSMA}', "");
    Expect(0, 66729, '\P{--OSMA}', "");
    Expect(1, 66729, '\P{^--OSMA}', "");
    Expect(0, 66730, '\p{--OSMA}', "");
    Expect(1, 66730, '\p{^--OSMA}', "");
    Expect(1, 66730, '\P{--OSMA}', "");
    Expect(0, 66730, '\P{^--OSMA}', "");
    Error('\p{ is_osma/a/}');
    Error('\P{ is_osma/a/}');
    Expect(1, 66729, '\p{isosma}', "");
    Expect(0, 66729, '\p{^isosma}', "");
    Expect(0, 66729, '\P{isosma}', "");
    Expect(1, 66729, '\P{^isosma}', "");
    Expect(0, 66730, '\p{isosma}', "");
    Expect(1, 66730, '\p{^isosma}', "");
    Expect(1, 66730, '\P{isosma}', "");
    Expect(0, 66730, '\P{^isosma}', "");
    Expect(1, 66729, '\p{-_IS_Osma}', "");
    Expect(0, 66729, '\p{^-_IS_Osma}', "");
    Expect(0, 66729, '\P{-_IS_Osma}', "");
    Expect(1, 66729, '\P{^-_IS_Osma}', "");
    Expect(0, 66730, '\p{-_IS_Osma}', "");
    Expect(1, 66730, '\p{^-_IS_Osma}', "");
    Expect(1, 66730, '\P{-_IS_Osma}', "");
    Expect(0, 66730, '\P{^-_IS_Osma}', "");
    Error('\p{/a/__OTHER}');
    Error('\P{/a/__OTHER}');
    Expect(1, 918000, '\p{other}', "");
    Expect(0, 918000, '\p{^other}', "");
    Expect(0, 918000, '\P{other}', "");
    Expect(1, 918000, '\P{^other}', "");
    Expect(0, 917999, '\p{other}', "");
    Expect(1, 917999, '\p{^other}', "");
    Expect(1, 917999, '\P{other}', "");
    Expect(0, 917999, '\P{^other}', "");
    Expect(1, 918000, '\p{	_Other}', "");
    Expect(0, 918000, '\p{^	_Other}', "");
    Expect(0, 918000, '\P{	_Other}', "");
    Expect(1, 918000, '\P{^	_Other}', "");
    Expect(0, 917999, '\p{	_Other}', "");
    Expect(1, 917999, '\p{^	_Other}', "");
    Expect(1, 917999, '\P{	_Other}', "");
    Expect(0, 917999, '\P{^	_Other}', "");
    Error('\p{	IS_other/a/}');
    Error('\P{	IS_other/a/}');
    Expect(1, 918000, '\p{isother}', "");
    Expect(0, 918000, '\p{^isother}', "");
    Expect(0, 918000, '\P{isother}', "");
    Expect(1, 918000, '\P{^isother}', "");
    Expect(0, 917999, '\p{isother}', "");
    Expect(1, 917999, '\p{^isother}', "");
    Expect(1, 917999, '\P{isother}', "");
    Expect(0, 917999, '\P{^isother}', "");
    Expect(1, 918000, '\p{	 Is_OTHER}', "");
    Expect(0, 918000, '\p{^	 Is_OTHER}', "");
    Expect(0, 918000, '\P{	 Is_OTHER}', "");
    Expect(1, 918000, '\P{^	 Is_OTHER}', "");
    Expect(0, 917999, '\p{	 Is_OTHER}', "");
    Expect(1, 917999, '\p{^	 Is_OTHER}', "");
    Expect(1, 917999, '\P{	 Is_OTHER}', "");
    Expect(0, 917999, '\P{^	 Is_OTHER}', "");
    Error('\p{	:=C}');
    Error('\P{	:=C}');
    Expect(1, 918000, '\p{c}', "");
    Expect(0, 918000, '\p{^c}', "");
    Expect(0, 918000, '\P{c}', "");
    Expect(1, 918000, '\P{^c}', "");
    Expect(0, 917999, '\p{c}', "");
    Expect(1, 917999, '\p{^c}', "");
    Expect(1, 917999, '\P{c}', "");
    Expect(0, 917999, '\P{^c}', "");
    Expect(1, 918000, '\p{--C}', "");
    Expect(0, 918000, '\p{^--C}', "");
    Expect(0, 918000, '\P{--C}', "");
    Expect(1, 918000, '\P{^--C}', "");
    Expect(0, 917999, '\p{--C}', "");
    Expect(1, 917999, '\p{^--C}', "");
    Expect(1, 917999, '\P{--C}', "");
    Expect(0, 917999, '\P{^--C}', "");
    Error('\p{		IS_C/a/}');
    Error('\P{		IS_C/a/}');
    Expect(1, 918000, '\p{isc}', "");
    Expect(0, 918000, '\p{^isc}', "");
    Expect(0, 918000, '\P{isc}', "");
    Expect(1, 918000, '\P{^isc}', "");
    Expect(0, 917999, '\p{isc}', "");
    Expect(1, 917999, '\p{^isc}', "");
    Expect(1, 917999, '\P{isc}', "");
    Expect(0, 917999, '\P{^isc}', "");
    Expect(1, 918000, '\p{ Is_C}', "");
    Expect(0, 918000, '\p{^ Is_C}', "");
    Expect(0, 918000, '\P{ Is_C}', "");
    Expect(1, 918000, '\P{^ Is_C}', "");
    Expect(0, 917999, '\p{ Is_C}', "");
    Expect(1, 917999, '\p{^ Is_C}', "");
    Expect(1, 917999, '\P{ Is_C}', "");
    Expect(0, 917999, '\P{^ Is_C}', "");
    Error('\p{Other_Alphabetic}');
    Error('\P{Other_Alphabetic}');
    Error('\p{OAlpha}');
    Error('\P{OAlpha}');
    Error('\p{Other_Default_Ignorable_Code_Point}');
    Error('\P{Other_Default_Ignorable_Code_Point}');
    Error('\p{ODI}');
    Error('\P{ODI}');
    Error('\p{Other_Grapheme_Extend}');
    Error('\P{Other_Grapheme_Extend}');
    Error('\p{OGr_Ext}');
    Error('\P{OGr_Ext}');
    Error('\p{Other_ID_Continue}');
    Error('\P{Other_ID_Continue}');
    Error('\p{OIDC}');
    Error('\P{OIDC}');
    Error('\p{Other_ID_Start}');
    Error('\P{Other_ID_Start}');
    Error('\p{OIDS}');
    Error('\P{OIDS}');
    Error('\p{	OTHER_Letter/a/}');
    Error('\P{	OTHER_Letter/a/}');
    Expect(1, 201546, '\p{otherletter}', "");
    Expect(0, 201546, '\p{^otherletter}', "");
    Expect(0, 201546, '\P{otherletter}', "");
    Expect(1, 201546, '\P{^otherletter}', "");
    Expect(0, 201547, '\p{otherletter}', "");
    Expect(1, 201547, '\p{^otherletter}', "");
    Expect(1, 201547, '\P{otherletter}', "");
    Expect(0, 201547, '\P{^otherletter}', "");
    Expect(1, 201546, '\p{-other_letter}', "");
    Expect(0, 201546, '\p{^-other_letter}', "");
    Expect(0, 201546, '\P{-other_letter}', "");
    Expect(1, 201546, '\P{^-other_letter}', "");
    Expect(0, 201547, '\p{-other_letter}', "");
    Expect(1, 201547, '\p{^-other_letter}', "");
    Expect(1, 201547, '\P{-other_letter}', "");
    Expect(0, 201547, '\P{^-other_letter}', "");
    Error('\p{	is_other_Letter:=}');
    Error('\P{	is_other_Letter:=}');
    Expect(1, 201546, '\p{isotherletter}', "");
    Expect(0, 201546, '\p{^isotherletter}', "");
    Expect(0, 201546, '\P{isotherletter}', "");
    Expect(1, 201546, '\P{^isotherletter}', "");
    Expect(0, 201547, '\p{isotherletter}', "");
    Expect(1, 201547, '\p{^isotherletter}', "");
    Expect(1, 201547, '\P{isotherletter}', "");
    Expect(0, 201547, '\P{^isotherletter}', "");
    Expect(1, 201546, '\p{_Is_OTHER_Letter}', "");
    Expect(0, 201546, '\p{^_Is_OTHER_Letter}', "");
    Expect(0, 201546, '\P{_Is_OTHER_Letter}', "");
    Expect(1, 201546, '\P{^_Is_OTHER_Letter}', "");
    Expect(0, 201547, '\p{_Is_OTHER_Letter}', "");
    Expect(1, 201547, '\p{^_Is_OTHER_Letter}', "");
    Expect(1, 201547, '\P{_Is_OTHER_Letter}', "");
    Expect(0, 201547, '\P{^_Is_OTHER_Letter}', "");
    Error('\p{	:=Lo}');
    Error('\P{	:=Lo}');
    Expect(1, 201546, '\p{lo}', "");
    Expect(0, 201546, '\p{^lo}', "");
    Expect(0, 201546, '\P{lo}', "");
    Expect(1, 201546, '\P{^lo}', "");
    Expect(0, 201547, '\p{lo}', "");
    Expect(1, 201547, '\p{^lo}', "");
    Expect(1, 201547, '\P{lo}', "");
    Expect(0, 201547, '\P{^lo}', "");
    Expect(1, 201546, '\p{ Lo}', "");
    Expect(0, 201546, '\p{^ Lo}', "");
    Expect(0, 201546, '\P{ Lo}', "");
    Expect(1, 201546, '\P{^ Lo}', "");
    Expect(0, 201547, '\p{ Lo}', "");
    Expect(1, 201547, '\p{^ Lo}', "");
    Expect(1, 201547, '\P{ Lo}', "");
    Expect(0, 201547, '\P{^ Lo}', "");
    Error('\p{/a/_	IS_Lo}');
    Error('\P{/a/_	IS_Lo}');
    Expect(1, 201546, '\p{islo}', "");
    Expect(0, 201546, '\p{^islo}', "");
    Expect(0, 201546, '\P{islo}', "");
    Expect(1, 201546, '\P{^islo}', "");
    Expect(0, 201547, '\p{islo}', "");
    Expect(1, 201547, '\p{^islo}', "");
    Expect(1, 201547, '\P{islo}', "");
    Expect(0, 201547, '\P{^islo}', "");
    Expect(1, 201546, '\p{_-Is_LO}', "");
    Expect(0, 201546, '\p{^_-Is_LO}', "");
    Expect(0, 201546, '\P{_-Is_LO}', "");
    Expect(1, 201546, '\P{^_-Is_LO}', "");
    Expect(0, 201547, '\p{_-Is_LO}', "");
    Expect(1, 201547, '\p{^_-Is_LO}', "");
    Expect(1, 201547, '\P{_-Is_LO}', "");
    Expect(0, 201547, '\P{^_-Is_LO}', "");
    Error('\p{Other_Lowercase}');
    Error('\P{Other_Lowercase}');
    Error('\p{OLower}');
    Error('\P{OLower}');
    Error('\p{Other_Math}');
    Error('\P{Other_Math}');
    Error('\p{OMath}');
    Error('\P{OMath}');
    Error('\p{/a/ -OTHER_Number}');
    Error('\P{/a/ -OTHER_Number}');
    Expect(1, 127244, '\p{othernumber}', "");
    Expect(0, 127244, '\p{^othernumber}', "");
    Expect(0, 127244, '\P{othernumber}', "");
    Expect(1, 127244, '\P{^othernumber}', "");
    Expect(0, 127245, '\p{othernumber}', "");
    Expect(1, 127245, '\p{^othernumber}', "");
    Expect(1, 127245, '\P{othernumber}', "");
    Expect(0, 127245, '\P{^othernumber}', "");
    Expect(1, 127244, '\p{	-OTHER_Number}', "");
    Expect(0, 127244, '\p{^	-OTHER_Number}', "");
    Expect(0, 127244, '\P{	-OTHER_Number}', "");
    Expect(1, 127244, '\P{^	-OTHER_Number}', "");
    Expect(0, 127245, '\p{	-OTHER_Number}', "");
    Expect(1, 127245, '\p{^	-OTHER_Number}', "");
    Expect(1, 127245, '\P{	-OTHER_Number}', "");
    Expect(0, 127245, '\P{^	-OTHER_Number}', "");
    Error('\p{_:=is_OTHER_Number}');
    Error('\P{_:=is_OTHER_Number}');
    Expect(1, 127244, '\p{isothernumber}', "");
    Expect(0, 127244, '\p{^isothernumber}', "");
    Expect(0, 127244, '\P{isothernumber}', "");
    Expect(1, 127244, '\P{^isothernumber}', "");
    Expect(0, 127245, '\p{isothernumber}', "");
    Expect(1, 127245, '\p{^isothernumber}', "");
    Expect(1, 127245, '\P{isothernumber}', "");
    Expect(0, 127245, '\P{^isothernumber}', "");
    Expect(1, 127244, '\p{__Is_other_Number}', "");
    Expect(0, 127244, '\p{^__Is_other_Number}', "");
    Expect(0, 127244, '\P{__Is_other_Number}', "");
    Expect(1, 127244, '\P{^__Is_other_Number}', "");
    Expect(0, 127245, '\p{__Is_other_Number}', "");
    Expect(1, 127245, '\p{^__Is_other_Number}', "");
    Expect(1, 127245, '\P{__Is_other_Number}', "");
    Expect(0, 127245, '\P{^__Is_other_Number}', "");
    Error('\p{ :=No}');
    Error('\P{ :=No}');
    Expect(1, 127244, '\p{no}', "");
    Expect(0, 127244, '\p{^no}', "");
    Expect(0, 127244, '\P{no}', "");
    Expect(1, 127244, '\P{^no}', "");
    Expect(0, 127245, '\p{no}', "");
    Expect(1, 127245, '\p{^no}', "");
    Expect(1, 127245, '\P{no}', "");
    Expect(0, 127245, '\P{^no}', "");
    Expect(1, 127244, '\p{_no}', "");
    Expect(0, 127244, '\p{^_no}', "");
    Expect(0, 127244, '\P{_no}', "");
    Expect(1, 127244, '\P{^_no}', "");
    Expect(0, 127245, '\p{_no}', "");
    Expect(1, 127245, '\p{^_no}', "");
    Expect(1, 127245, '\P{_no}', "");
    Expect(0, 127245, '\P{^_no}', "");
    Error('\p{/a/_ Is_NO}');
    Error('\P{/a/_ Is_NO}');
    Expect(1, 127244, '\p{isno}', "");
    Expect(0, 127244, '\p{^isno}', "");
    Expect(0, 127244, '\P{isno}', "");
    Expect(1, 127244, '\P{^isno}', "");
    Expect(0, 127245, '\p{isno}', "");
    Expect(1, 127245, '\p{^isno}', "");
    Expect(1, 127245, '\P{isno}', "");
    Expect(0, 127245, '\P{^isno}', "");
    Expect(1, 127244, '\p{	-Is_No}', "");
    Expect(0, 127244, '\p{^	-Is_No}', "");
    Expect(0, 127244, '\P{	-Is_No}', "");
    Expect(1, 127244, '\P{^	-Is_No}', "");
    Expect(0, 127245, '\p{	-Is_No}', "");
    Expect(1, 127245, '\p{^	-Is_No}', "");
    Expect(1, 127245, '\P{	-Is_No}', "");
    Expect(0, 127245, '\P{^	-Is_No}', "");
    Error('\p{:=  Other_Punctuation}');
    Error('\P{:=  Other_Punctuation}');
    Expect(1, 125279, '\p{otherpunctuation}', "");
    Expect(0, 125279, '\p{^otherpunctuation}', "");
    Expect(0, 125279, '\P{otherpunctuation}', "");
    Expect(1, 125279, '\P{^otherpunctuation}', "");
    Expect(0, 125280, '\p{otherpunctuation}', "");
    Expect(1, 125280, '\p{^otherpunctuation}', "");
    Expect(1, 125280, '\P{otherpunctuation}', "");
    Expect(0, 125280, '\P{^otherpunctuation}', "");
    Expect(1, 125279, '\p{_Other_PUNCTUATION}', "");
    Expect(0, 125279, '\p{^_Other_PUNCTUATION}', "");
    Expect(0, 125279, '\P{_Other_PUNCTUATION}', "");
    Expect(1, 125279, '\P{^_Other_PUNCTUATION}', "");
    Expect(0, 125280, '\p{_Other_PUNCTUATION}', "");
    Expect(1, 125280, '\p{^_Other_PUNCTUATION}', "");
    Expect(1, 125280, '\P{_Other_PUNCTUATION}', "");
    Expect(0, 125280, '\P{^_Other_PUNCTUATION}', "");
    Error('\p{	:=Is_OTHER_Punctuation}');
    Error('\P{	:=Is_OTHER_Punctuation}');
    Expect(1, 125279, '\p{isotherpunctuation}', "");
    Expect(0, 125279, '\p{^isotherpunctuation}', "");
    Expect(0, 125279, '\P{isotherpunctuation}', "");
    Expect(1, 125279, '\P{^isotherpunctuation}', "");
    Expect(0, 125280, '\p{isotherpunctuation}', "");
    Expect(1, 125280, '\p{^isotherpunctuation}', "");
    Expect(1, 125280, '\P{isotherpunctuation}', "");
    Expect(0, 125280, '\P{^isotherpunctuation}', "");
    Expect(1, 125279, '\p{_-IS_OTHER_Punctuation}', "");
    Expect(0, 125279, '\p{^_-IS_OTHER_Punctuation}', "");
    Expect(0, 125279, '\P{_-IS_OTHER_Punctuation}', "");
    Expect(1, 125279, '\P{^_-IS_OTHER_Punctuation}', "");
    Expect(0, 125280, '\p{_-IS_OTHER_Punctuation}', "");
    Expect(1, 125280, '\p{^_-IS_OTHER_Punctuation}', "");
    Expect(1, 125280, '\P{_-IS_OTHER_Punctuation}', "");
    Expect(0, 125280, '\P{^_-IS_OTHER_Punctuation}', "");
    Error('\p{:=_	Po}');
    Error('\P{:=_	Po}');
    Expect(1, 125279, '\p{po}', "");
    Expect(0, 125279, '\p{^po}', "");
    Expect(0, 125279, '\P{po}', "");
    Expect(1, 125279, '\P{^po}', "");
    Expect(0, 125280, '\p{po}', "");
    Expect(1, 125280, '\p{^po}', "");
    Expect(1, 125280, '\P{po}', "");
    Expect(0, 125280, '\P{^po}', "");
    Expect(1, 125279, '\p{  Po}', "");
    Expect(0, 125279, '\p{^  Po}', "");
    Expect(0, 125279, '\P{  Po}', "");
    Expect(1, 125279, '\P{^  Po}', "");
    Expect(0, 125280, '\p{  Po}', "");
    Expect(1, 125280, '\p{^  Po}', "");
    Expect(1, 125280, '\P{  Po}', "");
    Expect(0, 125280, '\P{^  Po}', "");
    Error('\p{:=-IS_PO}');
    Error('\P{:=-IS_PO}');
    Expect(1, 125279, '\p{ispo}', "");
    Expect(0, 125279, '\p{^ispo}', "");
    Expect(0, 125279, '\P{ispo}', "");
    Expect(1, 125279, '\P{^ispo}', "");
    Expect(0, 125280, '\p{ispo}', "");
    Expect(1, 125280, '\p{^ispo}', "");
    Expect(1, 125280, '\P{ispo}', "");
    Expect(0, 125280, '\P{^ispo}', "");
    Expect(1, 125279, '\p{_ is_po}', "");
    Expect(0, 125279, '\p{^_ is_po}', "");
    Expect(0, 125279, '\P{_ is_po}', "");
    Expect(1, 125279, '\P{^_ is_po}', "");
    Expect(0, 125280, '\p{_ is_po}', "");
    Expect(1, 125280, '\p{^_ is_po}', "");
    Expect(1, 125280, '\P{_ is_po}', "");
    Expect(0, 125280, '\P{^_ is_po}', "");
    Error('\p{:=	OTHER_Symbol}');
    Error('\P{:=	OTHER_Symbol}');
    Expect(1, 129994, '\p{othersymbol}', "");
    Expect(0, 129994, '\p{^othersymbol}', "");
    Expect(0, 129994, '\P{othersymbol}', "");
    Expect(1, 129994, '\P{^othersymbol}', "");
    Expect(0, 129995, '\p{othersymbol}', "");
    Expect(1, 129995, '\p{^othersymbol}', "");
    Expect(1, 129995, '\P{othersymbol}', "");
    Expect(0, 129995, '\P{^othersymbol}', "");
    Expect(1, 129994, '\p{_other_symbol}', "");
    Expect(0, 129994, '\p{^_other_symbol}', "");
    Expect(0, 129994, '\P{_other_symbol}', "");
    Expect(1, 129994, '\P{^_other_symbol}', "");
    Expect(0, 129995, '\p{_other_symbol}', "");
    Expect(1, 129995, '\p{^_other_symbol}', "");
    Expect(1, 129995, '\P{_other_symbol}', "");
    Expect(0, 129995, '\P{^_other_symbol}', "");
    Error('\p{-_is_Other_SYMBOL/a/}');
    Error('\P{-_is_Other_SYMBOL/a/}');
    Expect(1, 129994, '\p{isothersymbol}', "");
    Expect(0, 129994, '\p{^isothersymbol}', "");
    Expect(0, 129994, '\P{isothersymbol}', "");
    Expect(1, 129994, '\P{^isothersymbol}', "");
    Expect(0, 129995, '\p{isothersymbol}', "");
    Expect(1, 129995, '\p{^isothersymbol}', "");
    Expect(1, 129995, '\P{isothersymbol}', "");
    Expect(0, 129995, '\P{^isothersymbol}', "");
    Expect(1, 129994, '\p{Is_Other_Symbol}', "");
    Expect(0, 129994, '\p{^Is_Other_Symbol}', "");
    Expect(0, 129994, '\P{Is_Other_Symbol}', "");
    Expect(1, 129994, '\P{^Is_Other_Symbol}', "");
    Expect(0, 129995, '\p{Is_Other_Symbol}', "");
    Expect(1, 129995, '\p{^Is_Other_Symbol}', "");
    Expect(1, 129995, '\P{Is_Other_Symbol}', "");
    Expect(0, 129995, '\P{^Is_Other_Symbol}', "");
    Error('\p{/a/-_SO}');
    Error('\P{/a/-_SO}');
    Expect(1, 129994, '\p{so}', "");
    Expect(0, 129994, '\p{^so}', "");
    Expect(0, 129994, '\P{so}', "");
    Expect(1, 129994, '\P{^so}', "");
    Expect(0, 129995, '\p{so}', "");
    Expect(1, 129995, '\p{^so}', "");
    Expect(1, 129995, '\P{so}', "");
    Expect(0, 129995, '\P{^so}', "");
    Expect(1, 129994, '\p{-	SO}', "");
    Expect(0, 129994, '\p{^-	SO}', "");
    Expect(0, 129994, '\P{-	SO}', "");
    Expect(1, 129994, '\P{^-	SO}', "");
    Expect(0, 129995, '\p{-	SO}', "");
    Expect(1, 129995, '\p{^-	SO}', "");
    Expect(1, 129995, '\P{-	SO}', "");
    Expect(0, 129995, '\P{^-	SO}', "");
    Error('\p{/a/__Is_so}');
    Error('\P{/a/__Is_so}');
    Expect(1, 129994, '\p{isso}', "");
    Expect(0, 129994, '\p{^isso}', "");
    Expect(0, 129994, '\P{isso}', "");
    Expect(1, 129994, '\P{^isso}', "");
    Expect(0, 129995, '\p{isso}', "");
    Expect(1, 129995, '\p{^isso}', "");
    Expect(1, 129995, '\P{isso}', "");
    Expect(0, 129995, '\P{^isso}', "");
    Expect(1, 129994, '\p{Is_so}', "");
    Expect(0, 129994, '\p{^Is_so}', "");
    Expect(0, 129994, '\P{Is_so}', "");
    Expect(1, 129994, '\P{^Is_so}', "");
    Expect(0, 129995, '\p{Is_so}', "");
    Expect(1, 129995, '\p{^Is_so}', "");
    Expect(1, 129995, '\P{Is_so}', "");
    Expect(0, 129995, '\P{^Is_so}', "");
    Error('\p{Other_Uppercase}');
    Error('\P{Other_Uppercase}');
    Error('\p{OUpper}');
    Error('\P{OUpper}');
    Error('\p{ _Ottoman_siyaq_Numbers:=}');
    Error('\P{ _Ottoman_siyaq_Numbers:=}');
    Expect(1, 126287, '\p{ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\p{^ottomansiyaqnumbers}', "");
    Expect(0, 126287, '\P{ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\P{^ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\p{ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\p{^ottomansiyaqnumbers}', "");
    Expect(1, 126288, '\P{ottomansiyaqnumbers}', "");
    Expect(0, 126288, '\P{^ottomansiyaqnumbers}', "");
    Expect(1, 126287, '\p{ ottoman_siyaq_Numbers}', "");
    Expect(0, 126287, '\p{^ ottoman_siyaq_Numbers}', "");
    Expect(0, 126287, '\P{ ottoman_siyaq_Numbers}', "");
    Expect(1, 126287, '\P{^ ottoman_siyaq_Numbers}', "");
    Expect(0, 126288, '\p{ ottoman_siyaq_Numbers}', "");
    Expect(1, 126288, '\p{^ ottoman_siyaq_Numbers}', "");
    Expect(1, 126288, '\P{ ottoman_siyaq_Numbers}', "");
    Expect(0, 126288, '\P{^ ottoman_siyaq_Numbers}', "");
    Error('\p{/a/IS_ottoman_Siyaq_Numbers}');
    Error('\P{/a/IS_ottoman_Siyaq_Numbers}');
    Expect(1, 126287, '\p{isottomansiyaqnumbers}', "");
    Expect(0, 126287, '\p{^isottomansiyaqnumbers}', "");
    Expect(0, 126287, '\P{isottomansiyaqnumbers}', "");
    Expect(1, 126287, '\P{^isottomansiyaqnumbers}', "");
    Expect(0, 126288, '\p{isottomansiyaqnumbers}', "");
    Expect(1, 126288, '\p{^isottomansiyaqnumbers}', "");
    Expect(1, 126288, '\P{isottomansiyaqnumbers}', "");
    Expect(0, 126288, '\P{^isottomansiyaqnumbers}', "");
    Expect(1, 126287, '\p{		Is_Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126287, '\p{^		Is_Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126287, '\P{		Is_Ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126287, '\P{^		Is_Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126288, '\p{		Is_Ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126288, '\p{^		Is_Ottoman_Siyaq_NUMBERS}', "");
    Expect(1, 126288, '\P{		Is_Ottoman_Siyaq_NUMBERS}', "");
    Expect(0, 126288, '\P{^		Is_Ottoman_Siyaq_NUMBERS}', "");
    Error('\p{	/a/In_Ottoman_Siyaq_Numbers}');
    Error('\P{	/a/In_Ottoman_Siyaq_Numbers}');
    Expect(1, 126287, '\p{inottomansiyaqnumbers}', "");
    Expect(0, 126287, '\p{^inottomansiyaqnumbers}', "");
    Expect(0, 126287, '\P{inottomansiyaqnumbers}', "");
    Expect(1, 126287, '\P{^inottomansiyaqnumbers}', "");
    Expect(0, 126288, '\p{inottomansiyaqnumbers}', "");
    Expect(1, 126288, '\p{^inottomansiyaqnumbers}', "");
    Expect(1, 126288, '\P{inottomansiyaqnumbers}', "");
    Expect(0, 126288, '\P{^inottomansiyaqnumbers}', "");
    Expect(1, 126287, '\p{_in_OTTOMAN_siyaq_NUMBERS}', "");
    Expect(0, 126287, '\p{^_in_OTTOMAN_siyaq_NUMBERS}', "");
    Expect(0, 126287, '\P{_in_OTTOMAN_siyaq_NUMBERS}', "");
    Expect(1, 126287, '\P{^_in_OTTOMAN_siyaq_NUMBERS}', "");
    Expect(0, 126288, '\p{_in_OTTOMAN_siyaq_NUMBERS}', "");
    Expect(1, 126288, '\p{^_in_OTTOMAN_siyaq_NUMBERS}', "");
    Expect(1, 126288, '\P{_in_OTTOMAN_siyaq_NUMBERS}', "");
    Expect(0, 126288, '\P{^_in_OTTOMAN_siyaq_NUMBERS}', "");
    Error('\p{:= PAHAWH_Hmong}');
    Error('\P{:= PAHAWH_Hmong}');
    Expect(1, 93071, '\p{pahawhhmong}', "");
    Expect(0, 93071, '\p{^pahawhhmong}', "");
    Expect(0, 93071, '\P{pahawhhmong}', "");
    Expect(1, 93071, '\P{^pahawhhmong}', "");
    Expect(0, 93072, '\p{pahawhhmong}', "");
    Expect(1, 93072, '\p{^pahawhhmong}', "");
    Expect(1, 93072, '\P{pahawhhmong}', "");
    Expect(0, 93072, '\P{^pahawhhmong}', "");
    Expect(1, 93071, '\p{-PAHAWH_HMONG}', "");
    Expect(0, 93071, '\p{^-PAHAWH_HMONG}', "");
    Expect(0, 93071, '\P{-PAHAWH_HMONG}', "");
    Expect(1, 93071, '\P{^-PAHAWH_HMONG}', "");
    Expect(0, 93072, '\p{-PAHAWH_HMONG}', "");
    Expect(1, 93072, '\p{^-PAHAWH_HMONG}', "");
    Expect(1, 93072, '\P{-PAHAWH_HMONG}', "");
    Expect(0, 93072, '\P{^-PAHAWH_HMONG}', "");
    Error('\p{:= _Is_Pahawh_hmong}');
    Error('\P{:= _Is_Pahawh_hmong}');
    Expect(1, 93071, '\p{ispahawhhmong}', "");
    Expect(0, 93071, '\p{^ispahawhhmong}', "");
    Expect(0, 93071, '\P{ispahawhhmong}', "");
    Expect(1, 93071, '\P{^ispahawhhmong}', "");
    Expect(0, 93072, '\p{ispahawhhmong}', "");
    Expect(1, 93072, '\p{^ispahawhhmong}', "");
    Expect(1, 93072, '\P{ispahawhhmong}', "");
    Expect(0, 93072, '\P{^ispahawhhmong}', "");
    Expect(1, 93071, '\p{_IS_Pahawh_Hmong}', "");
    Expect(0, 93071, '\p{^_IS_Pahawh_Hmong}', "");
    Expect(0, 93071, '\P{_IS_Pahawh_Hmong}', "");
    Expect(1, 93071, '\P{^_IS_Pahawh_Hmong}', "");
    Expect(0, 93072, '\p{_IS_Pahawh_Hmong}', "");
    Expect(1, 93072, '\p{^_IS_Pahawh_Hmong}', "");
    Expect(1, 93072, '\P{_IS_Pahawh_Hmong}', "");
    Expect(0, 93072, '\P{^_IS_Pahawh_Hmong}', "");
    Error('\p{--Hmng/a/}');
    Error('\P{--Hmng/a/}');
    Expect(1, 93071, '\p{hmng}', "");
    Expect(0, 93071, '\p{^hmng}', "");
    Expect(0, 93071, '\P{hmng}', "");
    Expect(1, 93071, '\P{^hmng}', "");
    Expect(0, 93072, '\p{hmng}', "");
    Expect(1, 93072, '\p{^hmng}', "");
    Expect(1, 93072, '\P{hmng}', "");
    Expect(0, 93072, '\P{^hmng}', "");
    Expect(1, 93071, '\p{	_Hmng}', "");
    Expect(0, 93071, '\p{^	_Hmng}', "");
    Expect(0, 93071, '\P{	_Hmng}', "");
    Expect(1, 93071, '\P{^	_Hmng}', "");
    Expect(0, 93072, '\p{	_Hmng}', "");
    Expect(1, 93072, '\p{^	_Hmng}', "");
    Expect(1, 93072, '\P{	_Hmng}', "");
    Expect(0, 93072, '\P{^	_Hmng}', "");
    Error('\p{/a/-	Is_Hmng}');
    Error('\P{/a/-	Is_Hmng}');
    Expect(1, 93071, '\p{ishmng}', "");
    Expect(0, 93071, '\p{^ishmng}', "");
    Expect(0, 93071, '\P{ishmng}', "");
    Expect(1, 93071, '\P{^ishmng}', "");
    Expect(0, 93072, '\p{ishmng}', "");
    Expect(1, 93072, '\p{^ishmng}', "");
    Expect(1, 93072, '\P{ishmng}', "");
    Expect(0, 93072, '\P{^ishmng}', "");
    Expect(1, 93071, '\p{--IS_HMNG}', "");
    Expect(0, 93071, '\p{^--IS_HMNG}', "");
    Expect(0, 93071, '\P{--IS_HMNG}', "");
    Expect(1, 93071, '\P{^--IS_HMNG}', "");
    Expect(0, 93072, '\p{--IS_HMNG}', "");
    Expect(1, 93072, '\p{^--IS_HMNG}', "");
    Expect(1, 93072, '\P{--IS_HMNG}', "");
    Expect(0, 93072, '\P{^--IS_HMNG}', "");
    Error('\p{:=	palmyrene}');
    Error('\P{:=	palmyrene}');
    Expect(1, 67711, '\p{palmyrene}', "");
    Expect(0, 67711, '\p{^palmyrene}', "");
    Expect(0, 67711, '\P{palmyrene}', "");
    Expect(1, 67711, '\P{^palmyrene}', "");
    Expect(0, 67712, '\p{palmyrene}', "");
    Expect(1, 67712, '\p{^palmyrene}', "");
    Expect(1, 67712, '\P{palmyrene}', "");
    Expect(0, 67712, '\P{^palmyrene}', "");
    Expect(1, 67711, '\p{	Palmyrene}', "");
    Expect(0, 67711, '\p{^	Palmyrene}', "");
    Expect(0, 67711, '\P{	Palmyrene}', "");
    Expect(1, 67711, '\P{^	Palmyrene}', "");
    Expect(0, 67712, '\p{	Palmyrene}', "");
    Expect(1, 67712, '\p{^	Palmyrene}', "");
    Expect(1, 67712, '\P{	Palmyrene}', "");
    Expect(0, 67712, '\P{^	Palmyrene}', "");
    Error('\p{:= _is_Palmyrene}');
    Error('\P{:= _is_Palmyrene}');
    Expect(1, 67711, '\p{ispalmyrene}', "");
    Expect(0, 67711, '\p{^ispalmyrene}', "");
    Expect(0, 67711, '\P{ispalmyrene}', "");
    Expect(1, 67711, '\P{^ispalmyrene}', "");
    Expect(0, 67712, '\p{ispalmyrene}', "");
    Expect(1, 67712, '\p{^ispalmyrene}', "");
    Expect(1, 67712, '\P{ispalmyrene}', "");
    Expect(0, 67712, '\P{^ispalmyrene}', "");
    Expect(1, 67711, '\p{  IS_Palmyrene}', "");
    Expect(0, 67711, '\p{^  IS_Palmyrene}', "");
    Expect(0, 67711, '\P{  IS_Palmyrene}', "");
    Expect(1, 67711, '\P{^  IS_Palmyrene}', "");
    Expect(0, 67712, '\p{  IS_Palmyrene}', "");
    Expect(1, 67712, '\p{^  IS_Palmyrene}', "");
    Expect(1, 67712, '\P{  IS_Palmyrene}', "");
    Expect(0, 67712, '\P{^  IS_Palmyrene}', "");
    Error('\p{ :=palm}');
    Error('\P{ :=palm}');
    Expect(1, 67711, '\p{palm}', "");
    Expect(0, 67711, '\p{^palm}', "");
    Expect(0, 67711, '\P{palm}', "");
    Expect(1, 67711, '\P{^palm}', "");
    Expect(0, 67712, '\p{palm}', "");
    Expect(1, 67712, '\p{^palm}', "");
    Expect(1, 67712, '\P{palm}', "");
    Expect(0, 67712, '\P{^palm}', "");
    Expect(1, 67711, '\p{-	Palm}', "");
    Expect(0, 67711, '\p{^-	Palm}', "");
    Expect(0, 67711, '\P{-	Palm}', "");
    Expect(1, 67711, '\P{^-	Palm}', "");
    Expect(0, 67712, '\p{-	Palm}', "");
    Expect(1, 67712, '\p{^-	Palm}', "");
    Expect(1, 67712, '\P{-	Palm}', "");
    Expect(0, 67712, '\P{^-	Palm}', "");
    Error('\p{-:=Is_PALM}');
    Error('\P{-:=Is_PALM}');
    Expect(1, 67711, '\p{ispalm}', "");
    Expect(0, 67711, '\p{^ispalm}', "");
    Expect(0, 67711, '\P{ispalm}', "");
    Expect(1, 67711, '\P{^ispalm}', "");
    Expect(0, 67712, '\p{ispalm}', "");
    Expect(1, 67712, '\p{^ispalm}', "");
    Expect(1, 67712, '\P{ispalm}', "");
    Expect(0, 67712, '\P{^ispalm}', "");
    Expect(1, 67711, '\p{-Is_Palm}', "");
    Expect(0, 67711, '\p{^-Is_Palm}', "");
    Expect(0, 67711, '\P{-Is_Palm}', "");
    Expect(1, 67711, '\P{^-Is_Palm}', "");
    Expect(0, 67712, '\p{-Is_Palm}', "");
    Expect(1, 67712, '\p{^-Is_Palm}', "");
    Expect(1, 67712, '\P{-Is_Palm}', "");
    Expect(0, 67712, '\P{^-Is_Palm}', "");
    Error('\p{-:=Paragraph_SEPARATOR}');
    Error('\P{-:=Paragraph_SEPARATOR}');
    Expect(1, 8233, '\p{paragraphseparator}', "");
    Expect(0, 8233, '\p{^paragraphseparator}', "");
    Expect(0, 8233, '\P{paragraphseparator}', "");
    Expect(1, 8233, '\P{^paragraphseparator}', "");
    Expect(0, 8234, '\p{paragraphseparator}', "");
    Expect(1, 8234, '\p{^paragraphseparator}', "");
    Expect(1, 8234, '\P{paragraphseparator}', "");
    Expect(0, 8234, '\P{^paragraphseparator}', "");
    Expect(1, 8233, '\p{_	PARAGRAPH_Separator}', "");
    Expect(0, 8233, '\p{^_	PARAGRAPH_Separator}', "");
    Expect(0, 8233, '\P{_	PARAGRAPH_Separator}', "");
    Expect(1, 8233, '\P{^_	PARAGRAPH_Separator}', "");
    Expect(0, 8234, '\p{_	PARAGRAPH_Separator}', "");
    Expect(1, 8234, '\p{^_	PARAGRAPH_Separator}', "");
    Expect(1, 8234, '\P{_	PARAGRAPH_Separator}', "");
    Expect(0, 8234, '\P{^_	PARAGRAPH_Separator}', "");
    Error('\p{_-Is_paragraph_Separator:=}');
    Error('\P{_-Is_paragraph_Separator:=}');
    Expect(1, 8233, '\p{isparagraphseparator}', "");
    Expect(0, 8233, '\p{^isparagraphseparator}', "");
    Expect(0, 8233, '\P{isparagraphseparator}', "");
    Expect(1, 8233, '\P{^isparagraphseparator}', "");
    Expect(0, 8234, '\p{isparagraphseparator}', "");
    Expect(1, 8234, '\p{^isparagraphseparator}', "");
    Expect(1, 8234, '\P{isparagraphseparator}', "");
    Expect(0, 8234, '\P{^isparagraphseparator}', "");
    Expect(1, 8233, '\p{_is_paragraph_SEPARATOR}', "");
    Expect(0, 8233, '\p{^_is_paragraph_SEPARATOR}', "");
    Expect(0, 8233, '\P{_is_paragraph_SEPARATOR}', "");
    Expect(1, 8233, '\P{^_is_paragraph_SEPARATOR}', "");
    Expect(0, 8234, '\p{_is_paragraph_SEPARATOR}', "");
    Expect(1, 8234, '\p{^_is_paragraph_SEPARATOR}', "");
    Expect(1, 8234, '\P{_is_paragraph_SEPARATOR}', "");
    Expect(0, 8234, '\P{^_is_paragraph_SEPARATOR}', "");
    Error('\p{_/a/Zp}');
    Error('\P{_/a/Zp}');
    Expect(1, 8233, '\p{zp}', "");
    Expect(0, 8233, '\p{^zp}', "");
    Expect(0, 8233, '\P{zp}', "");
    Expect(1, 8233, '\P{^zp}', "");
    Expect(0, 8234, '\p{zp}', "");
    Expect(1, 8234, '\p{^zp}', "");
    Expect(1, 8234, '\P{zp}', "");
    Expect(0, 8234, '\P{^zp}', "");
    Expect(1, 8233, '\p{--Zp}', "");
    Expect(0, 8233, '\p{^--Zp}', "");
    Expect(0, 8233, '\P{--Zp}', "");
    Expect(1, 8233, '\P{^--Zp}', "");
    Expect(0, 8234, '\p{--Zp}', "");
    Expect(1, 8234, '\p{^--Zp}', "");
    Expect(1, 8234, '\P{--Zp}', "");
    Expect(0, 8234, '\P{^--Zp}', "");
    Error('\p{	-Is_ZP/a/}');
    Error('\P{	-Is_ZP/a/}');
    Expect(1, 8233, '\p{iszp}', "");
    Expect(0, 8233, '\p{^iszp}', "");
    Expect(0, 8233, '\P{iszp}', "");
    Expect(1, 8233, '\P{^iszp}', "");
    Expect(0, 8234, '\p{iszp}', "");
    Expect(1, 8234, '\p{^iszp}', "");
    Expect(1, 8234, '\P{iszp}', "");
    Expect(0, 8234, '\P{^iszp}', "");
    Expect(1, 8233, '\p{__Is_Zp}', "");
    Expect(0, 8233, '\p{^__Is_Zp}', "");
    Expect(0, 8233, '\P{__Is_Zp}', "");
    Expect(1, 8233, '\P{^__Is_Zp}', "");
    Expect(0, 8234, '\p{__Is_Zp}', "");
    Expect(1, 8234, '\p{^__Is_Zp}', "");
    Expect(1, 8234, '\P{__Is_Zp}', "");
    Expect(0, 8234, '\P{^__Is_Zp}', "");
    Error('\p{_Pattern_Syntax:=}');
    Error('\P{_Pattern_Syntax:=}');
    Expect(1, 65094, '\p{patternsyntax}', "");
    Expect(0, 65094, '\p{^patternsyntax}', "");
    Expect(0, 65094, '\P{patternsyntax}', "");
    Expect(1, 65094, '\P{^patternsyntax}', "");
    Expect(0, 65095, '\p{patternsyntax}', "");
    Expect(1, 65095, '\p{^patternsyntax}', "");
    Expect(1, 65095, '\P{patternsyntax}', "");
    Expect(0, 65095, '\P{^patternsyntax}', "");
    Expect(1, 65094, '\p{ 	Pattern_syntax}', "");
    Expect(0, 65094, '\p{^ 	Pattern_syntax}', "");
    Expect(0, 65094, '\P{ 	Pattern_syntax}', "");
    Expect(1, 65094, '\P{^ 	Pattern_syntax}', "");
    Expect(0, 65095, '\p{ 	Pattern_syntax}', "");
    Expect(1, 65095, '\p{^ 	Pattern_syntax}', "");
    Expect(1, 65095, '\P{ 	Pattern_syntax}', "");
    Expect(0, 65095, '\P{^ 	Pattern_syntax}', "");
    Error('\p{/a/-_IS_Pattern_Syntax}');
    Error('\P{/a/-_IS_Pattern_Syntax}');
    Expect(1, 65094, '\p{ispatternsyntax}', "");
    Expect(0, 65094, '\p{^ispatternsyntax}', "");
    Expect(0, 65094, '\P{ispatternsyntax}', "");
    Expect(1, 65094, '\P{^ispatternsyntax}', "");
    Expect(0, 65095, '\p{ispatternsyntax}', "");
    Expect(1, 65095, '\p{^ispatternsyntax}', "");
    Expect(1, 65095, '\P{ispatternsyntax}', "");
    Expect(0, 65095, '\P{^ispatternsyntax}', "");
    Expect(1, 65094, '\p{ -Is_Pattern_syntax}', "");
    Expect(0, 65094, '\p{^ -Is_Pattern_syntax}', "");
    Expect(0, 65094, '\P{ -Is_Pattern_syntax}', "");
    Expect(1, 65094, '\P{^ -Is_Pattern_syntax}', "");
    Expect(0, 65095, '\p{ -Is_Pattern_syntax}', "");
    Expect(1, 65095, '\p{^ -Is_Pattern_syntax}', "");
    Expect(1, 65095, '\P{ -Is_Pattern_syntax}', "");
    Expect(0, 65095, '\P{^ -Is_Pattern_syntax}', "");
    Error('\p{:=-	pat_SYN}');
    Error('\P{:=-	pat_SYN}');
    Expect(1, 65094, '\p{patsyn}', "");
    Expect(0, 65094, '\p{^patsyn}', "");
    Expect(0, 65094, '\P{patsyn}', "");
    Expect(1, 65094, '\P{^patsyn}', "");
    Expect(0, 65095, '\p{patsyn}', "");
    Expect(1, 65095, '\p{^patsyn}', "");
    Expect(1, 65095, '\P{patsyn}', "");
    Expect(0, 65095, '\P{^patsyn}', "");
    Expect(1, 65094, '\p{ _PAT_SYN}', "");
    Expect(0, 65094, '\p{^ _PAT_SYN}', "");
    Expect(0, 65094, '\P{ _PAT_SYN}', "");
    Expect(1, 65094, '\P{^ _PAT_SYN}', "");
    Expect(0, 65095, '\p{ _PAT_SYN}', "");
    Expect(1, 65095, '\p{^ _PAT_SYN}', "");
    Expect(1, 65095, '\P{ _PAT_SYN}', "");
    Expect(0, 65095, '\P{^ _PAT_SYN}', "");
    Error('\p{/a/		is_PAT_syn}');
    Error('\P{/a/		is_PAT_syn}');
    Expect(1, 65094, '\p{ispatsyn}', "");
    Expect(0, 65094, '\p{^ispatsyn}', "");
    Expect(0, 65094, '\P{ispatsyn}', "");
    Expect(1, 65094, '\P{^ispatsyn}', "");
    Expect(0, 65095, '\p{ispatsyn}', "");
    Expect(1, 65095, '\p{^ispatsyn}', "");
    Expect(1, 65095, '\P{ispatsyn}', "");
    Expect(0, 65095, '\P{^ispatsyn}', "");
    Expect(1, 65094, '\p{ Is_PAT_Syn}', "");
    Expect(0, 65094, '\p{^ Is_PAT_Syn}', "");
    Expect(0, 65094, '\P{ Is_PAT_Syn}', "");
    Expect(1, 65094, '\P{^ Is_PAT_Syn}', "");
    Expect(0, 65095, '\p{ Is_PAT_Syn}', "");
    Expect(1, 65095, '\p{^ Is_PAT_Syn}', "");
    Expect(1, 65095, '\P{ Is_PAT_Syn}', "");
    Expect(0, 65095, '\P{^ Is_PAT_Syn}', "");
    Error('\p{/a/  PATTERN_White_Space}');
    Error('\P{/a/  PATTERN_White_Space}');
    Expect(1, 8233, '\p{patternwhitespace}', "");
    Expect(0, 8233, '\p{^patternwhitespace}', "");
    Expect(0, 8233, '\P{patternwhitespace}', "");
    Expect(1, 8233, '\P{^patternwhitespace}', "");
    Expect(0, 8234, '\p{patternwhitespace}', "");
    Expect(1, 8234, '\p{^patternwhitespace}', "");
    Expect(1, 8234, '\P{patternwhitespace}', "");
    Expect(0, 8234, '\P{^patternwhitespace}', "");
    Expect(1, 8233, '\p{_	Pattern_White_Space}', "");
    Expect(0, 8233, '\p{^_	Pattern_White_Space}', "");
    Expect(0, 8233, '\P{_	Pattern_White_Space}', "");
    Expect(1, 8233, '\P{^_	Pattern_White_Space}', "");
    Expect(0, 8234, '\p{_	Pattern_White_Space}', "");
    Expect(1, 8234, '\p{^_	Pattern_White_Space}', "");
    Expect(1, 8234, '\P{_	Pattern_White_Space}', "");
    Expect(0, 8234, '\P{^_	Pattern_White_Space}', "");
    Error('\p{_ Is_PATTERN_WHITE_SPACE:=}');
    Error('\P{_ Is_PATTERN_WHITE_SPACE:=}');
    Expect(1, 8233, '\p{ispatternwhitespace}', "");
    Expect(0, 8233, '\p{^ispatternwhitespace}', "");
    Expect(0, 8233, '\P{ispatternwhitespace}', "");
    Expect(1, 8233, '\P{^ispatternwhitespace}', "");
    Expect(0, 8234, '\p{ispatternwhitespace}', "");
    Expect(1, 8234, '\p{^ispatternwhitespace}', "");
    Expect(1, 8234, '\P{ispatternwhitespace}', "");
    Expect(0, 8234, '\P{^ispatternwhitespace}', "");
    Expect(1, 8233, '\p{		is_Pattern_WHITE_SPACE}', "");
    Expect(0, 8233, '\p{^		is_Pattern_WHITE_SPACE}', "");
    Expect(0, 8233, '\P{		is_Pattern_WHITE_SPACE}', "");
    Expect(1, 8233, '\P{^		is_Pattern_WHITE_SPACE}', "");
    Expect(0, 8234, '\p{		is_Pattern_WHITE_SPACE}', "");
    Expect(1, 8234, '\p{^		is_Pattern_WHITE_SPACE}', "");
    Expect(1, 8234, '\P{		is_Pattern_WHITE_SPACE}', "");
    Expect(0, 8234, '\P{^		is_Pattern_WHITE_SPACE}', "");
    Error('\p{ :=Pat_WS}');
    Error('\P{ :=Pat_WS}');
    Expect(1, 8233, '\p{patws}', "");
    Expect(0, 8233, '\p{^patws}', "");
    Expect(0, 8233, '\P{patws}', "");
    Expect(1, 8233, '\P{^patws}', "");
    Expect(0, 8234, '\p{patws}', "");
    Expect(1, 8234, '\p{^patws}', "");
    Expect(1, 8234, '\P{patws}', "");
    Expect(0, 8234, '\P{^patws}', "");
    Expect(1, 8233, '\p{-PAT_WS}', "");
    Expect(0, 8233, '\p{^-PAT_WS}', "");
    Expect(0, 8233, '\P{-PAT_WS}', "");
    Expect(1, 8233, '\P{^-PAT_WS}', "");
    Expect(0, 8234, '\p{-PAT_WS}', "");
    Expect(1, 8234, '\p{^-PAT_WS}', "");
    Expect(1, 8234, '\P{-PAT_WS}', "");
    Expect(0, 8234, '\P{^-PAT_WS}', "");
    Error('\p{/a/IS_Pat_WS}');
    Error('\P{/a/IS_Pat_WS}');
    Expect(1, 8233, '\p{ispatws}', "");
    Expect(0, 8233, '\p{^ispatws}', "");
    Expect(0, 8233, '\P{ispatws}', "");
    Expect(1, 8233, '\P{^ispatws}', "");
    Expect(0, 8234, '\p{ispatws}', "");
    Expect(1, 8234, '\p{^ispatws}', "");
    Expect(1, 8234, '\P{ispatws}', "");
    Expect(0, 8234, '\P{^ispatws}', "");
    Expect(1, 8233, '\p{	_is_pat_WS}', "");
    Expect(0, 8233, '\p{^	_is_pat_WS}', "");
    Expect(0, 8233, '\P{	_is_pat_WS}', "");
    Expect(1, 8233, '\P{^	_is_pat_WS}', "");
    Expect(0, 8234, '\p{	_is_pat_WS}', "");
    Expect(1, 8234, '\p{^	_is_pat_WS}', "");
    Expect(1, 8234, '\P{	_is_pat_WS}', "");
    Expect(0, 8234, '\P{^	_is_pat_WS}', "");
    Error('\p{_pau_cin_Hau:=}');
    Error('\P{_pau_cin_Hau:=}');
    Expect(1, 72440, '\p{paucinhau}', "");
    Expect(0, 72440, '\p{^paucinhau}', "");
    Expect(0, 72440, '\P{paucinhau}', "");
    Expect(1, 72440, '\P{^paucinhau}', "");
    Expect(0, 72441, '\p{paucinhau}', "");
    Expect(1, 72441, '\p{^paucinhau}', "");
    Expect(1, 72441, '\P{paucinhau}', "");
    Expect(0, 72441, '\P{^paucinhau}', "");
    Expect(1, 72440, '\p{	-Pau_cin_HAU}', "");
    Expect(0, 72440, '\p{^	-Pau_cin_HAU}', "");
    Expect(0, 72440, '\P{	-Pau_cin_HAU}', "");
    Expect(1, 72440, '\P{^	-Pau_cin_HAU}', "");
    Expect(0, 72441, '\p{	-Pau_cin_HAU}', "");
    Expect(1, 72441, '\p{^	-Pau_cin_HAU}', "");
    Expect(1, 72441, '\P{	-Pau_cin_HAU}', "");
    Expect(0, 72441, '\P{^	-Pau_cin_HAU}', "");
    Error('\p{:=_Is_Pau_cin_Hau}');
    Error('\P{:=_Is_Pau_cin_Hau}');
    Expect(1, 72440, '\p{ispaucinhau}', "");
    Expect(0, 72440, '\p{^ispaucinhau}', "");
    Expect(0, 72440, '\P{ispaucinhau}', "");
    Expect(1, 72440, '\P{^ispaucinhau}', "");
    Expect(0, 72441, '\p{ispaucinhau}', "");
    Expect(1, 72441, '\p{^ispaucinhau}', "");
    Expect(1, 72441, '\P{ispaucinhau}', "");
    Expect(0, 72441, '\P{^ispaucinhau}', "");
    Expect(1, 72440, '\p{-Is_Pau_CIN_Hau}', "");
    Expect(0, 72440, '\p{^-Is_Pau_CIN_Hau}', "");
    Expect(0, 72440, '\P{-Is_Pau_CIN_Hau}', "");
    Expect(1, 72440, '\P{^-Is_Pau_CIN_Hau}', "");
    Expect(0, 72441, '\p{-Is_Pau_CIN_Hau}', "");
    Expect(1, 72441, '\p{^-Is_Pau_CIN_Hau}', "");
    Expect(1, 72441, '\P{-Is_Pau_CIN_Hau}', "");
    Expect(0, 72441, '\P{^-Is_Pau_CIN_Hau}', "");
    Error('\p{-_pauc:=}');
    Error('\P{-_pauc:=}');
    Expect(1, 72440, '\p{pauc}', "");
    Expect(0, 72440, '\p{^pauc}', "");
    Expect(0, 72440, '\P{pauc}', "");
    Expect(1, 72440, '\P{^pauc}', "");
    Expect(0, 72441, '\p{pauc}', "");
    Expect(1, 72441, '\p{^pauc}', "");
    Expect(1, 72441, '\P{pauc}', "");
    Expect(0, 72441, '\P{^pauc}', "");
    Expect(1, 72440, '\p{	Pauc}', "");
    Expect(0, 72440, '\p{^	Pauc}', "");
    Expect(0, 72440, '\P{	Pauc}', "");
    Expect(1, 72440, '\P{^	Pauc}', "");
    Expect(0, 72441, '\p{	Pauc}', "");
    Expect(1, 72441, '\p{^	Pauc}', "");
    Expect(1, 72441, '\P{	Pauc}', "");
    Expect(0, 72441, '\P{^	Pauc}', "");
    Error('\p{:= is_Pauc}');
    Error('\P{:= is_Pauc}');
    Expect(1, 72440, '\p{ispauc}', "");
    Expect(0, 72440, '\p{^ispauc}', "");
    Expect(0, 72440, '\P{ispauc}', "");
    Expect(1, 72440, '\P{^ispauc}', "");
    Expect(0, 72441, '\p{ispauc}', "");
    Expect(1, 72441, '\p{^ispauc}', "");
    Expect(1, 72441, '\P{ispauc}', "");
    Expect(0, 72441, '\P{^ispauc}', "");
    Expect(1, 72440, '\p{ -Is_Pauc}', "");
    Expect(0, 72440, '\p{^ -Is_Pauc}', "");
    Expect(0, 72440, '\P{ -Is_Pauc}', "");
    Expect(1, 72440, '\P{^ -Is_Pauc}', "");
    Expect(0, 72441, '\p{ -Is_Pauc}', "");
    Expect(1, 72441, '\p{^ -Is_Pauc}', "");
    Expect(1, 72441, '\P{ -Is_Pauc}', "");
    Expect(0, 72441, '\P{^ -Is_Pauc}', "");
    Error('\p{:=Phags_pa}');
    Error('\P{:=Phags_pa}');
    Expect(1, 43127, '\p{phagspa}', "");
    Expect(0, 43127, '\p{^phagspa}', "");
    Expect(0, 43127, '\P{phagspa}', "");
    Expect(1, 43127, '\P{^phagspa}', "");
    Expect(0, 43128, '\p{phagspa}', "");
    Expect(1, 43128, '\p{^phagspa}', "");
    Expect(1, 43128, '\P{phagspa}', "");
    Expect(0, 43128, '\P{^phagspa}', "");
    Expect(1, 43127, '\p{--phags_Pa}', "");
    Expect(0, 43127, '\p{^--phags_Pa}', "");
    Expect(0, 43127, '\P{--phags_Pa}', "");
    Expect(1, 43127, '\P{^--phags_Pa}', "");
    Expect(0, 43128, '\p{--phags_Pa}', "");
    Expect(1, 43128, '\p{^--phags_Pa}', "");
    Expect(1, 43128, '\P{--phags_Pa}', "");
    Expect(0, 43128, '\P{^--phags_Pa}', "");
    Error('\p{_:=is_Phags_pa}');
    Error('\P{_:=is_Phags_pa}');
    Expect(1, 43127, '\p{isphagspa}', "");
    Expect(0, 43127, '\p{^isphagspa}', "");
    Expect(0, 43127, '\P{isphagspa}', "");
    Expect(1, 43127, '\P{^isphagspa}', "");
    Expect(0, 43128, '\p{isphagspa}', "");
    Expect(1, 43128, '\p{^isphagspa}', "");
    Expect(1, 43128, '\P{isphagspa}', "");
    Expect(0, 43128, '\P{^isphagspa}', "");
    Expect(1, 43127, '\p{	-Is_PHAGS_PA}', "");
    Expect(0, 43127, '\p{^	-Is_PHAGS_PA}', "");
    Expect(0, 43127, '\P{	-Is_PHAGS_PA}', "");
    Expect(1, 43127, '\P{^	-Is_PHAGS_PA}', "");
    Expect(0, 43128, '\p{	-Is_PHAGS_PA}', "");
    Expect(1, 43128, '\p{^	-Is_PHAGS_PA}', "");
    Expect(1, 43128, '\P{	-Is_PHAGS_PA}', "");
    Expect(0, 43128, '\P{^	-Is_PHAGS_PA}', "");
    Error('\p{ :=phag}');
    Error('\P{ :=phag}');
    Expect(1, 43127, '\p{phag}', "");
    Expect(0, 43127, '\p{^phag}', "");
    Expect(0, 43127, '\P{phag}', "");
    Expect(1, 43127, '\P{^phag}', "");
    Expect(0, 43128, '\p{phag}', "");
    Expect(1, 43128, '\p{^phag}', "");
    Expect(1, 43128, '\P{phag}', "");
    Expect(0, 43128, '\P{^phag}', "");
    Expect(1, 43127, '\p{ _phag}', "");
    Expect(0, 43127, '\p{^ _phag}', "");
    Expect(0, 43127, '\P{ _phag}', "");
    Expect(1, 43127, '\P{^ _phag}', "");
    Expect(0, 43128, '\p{ _phag}', "");
    Expect(1, 43128, '\p{^ _phag}', "");
    Expect(1, 43128, '\P{ _phag}', "");
    Expect(0, 43128, '\P{^ _phag}', "");
    Error('\p{:=- Is_Phag}');
    Error('\P{:=- Is_Phag}');
    Expect(1, 43127, '\p{isphag}', "");
    Expect(0, 43127, '\p{^isphag}', "");
    Expect(0, 43127, '\P{isphag}', "");
    Expect(1, 43127, '\P{^isphag}', "");
    Expect(0, 43128, '\p{isphag}', "");
    Expect(1, 43128, '\p{^isphag}', "");
    Expect(1, 43128, '\P{isphag}', "");
    Expect(0, 43128, '\P{^isphag}', "");
    Expect(1, 43127, '\p{ 	Is_Phag}', "");
    Expect(0, 43127, '\p{^ 	Is_Phag}', "");
    Expect(0, 43127, '\P{ 	Is_Phag}', "");
    Expect(1, 43127, '\P{^ 	Is_Phag}', "");
    Expect(0, 43128, '\p{ 	Is_Phag}', "");
    Expect(1, 43128, '\p{^ 	Is_Phag}', "");
    Expect(1, 43128, '\P{ 	Is_Phag}', "");
    Expect(0, 43128, '\P{^ 	Is_Phag}', "");
    Error('\p{/a/	PHAISTOS_disc}');
    Error('\P{/a/	PHAISTOS_disc}');
    Expect(1, 66047, '\p{phaistosdisc}', "");
    Expect(0, 66047, '\p{^phaistosdisc}', "");
    Expect(0, 66047, '\P{phaistosdisc}', "");
    Expect(1, 66047, '\P{^phaistosdisc}', "");
    Expect(0, 66048, '\p{phaistosdisc}', "");
    Expect(1, 66048, '\p{^phaistosdisc}', "");
    Expect(1, 66048, '\P{phaistosdisc}', "");
    Expect(0, 66048, '\P{^phaistosdisc}', "");
    Expect(1, 66047, '\p{ Phaistos_DISC}', "");
    Expect(0, 66047, '\p{^ Phaistos_DISC}', "");
    Expect(0, 66047, '\P{ Phaistos_DISC}', "");
    Expect(1, 66047, '\P{^ Phaistos_DISC}', "");
    Expect(0, 66048, '\p{ Phaistos_DISC}', "");
    Expect(1, 66048, '\p{^ Phaistos_DISC}', "");
    Expect(1, 66048, '\P{ Phaistos_DISC}', "");
    Expect(0, 66048, '\P{^ Phaistos_DISC}', "");
    Error('\p{ /a/IS_PHAISTOS_Disc}');
    Error('\P{ /a/IS_PHAISTOS_Disc}');
    Expect(1, 66047, '\p{isphaistosdisc}', "");
    Expect(0, 66047, '\p{^isphaistosdisc}', "");
    Expect(0, 66047, '\P{isphaistosdisc}', "");
    Expect(1, 66047, '\P{^isphaistosdisc}', "");
    Expect(0, 66048, '\p{isphaistosdisc}', "");
    Expect(1, 66048, '\p{^isphaistosdisc}', "");
    Expect(1, 66048, '\P{isphaistosdisc}', "");
    Expect(0, 66048, '\P{^isphaistosdisc}', "");
    Expect(1, 66047, '\p{ is_PHAISTOS_Disc}', "");
    Expect(0, 66047, '\p{^ is_PHAISTOS_Disc}', "");
    Expect(0, 66047, '\P{ is_PHAISTOS_Disc}', "");
    Expect(1, 66047, '\P{^ is_PHAISTOS_Disc}', "");
    Expect(0, 66048, '\p{ is_PHAISTOS_Disc}', "");
    Expect(1, 66048, '\p{^ is_PHAISTOS_Disc}', "");
    Expect(1, 66048, '\P{ is_PHAISTOS_Disc}', "");
    Expect(0, 66048, '\P{^ is_PHAISTOS_Disc}', "");
    Error('\p{/a/		In_Phaistos_DISC}');
    Error('\P{/a/		In_Phaistos_DISC}');
    Expect(1, 66047, '\p{inphaistosdisc}', "");
    Expect(0, 66047, '\p{^inphaistosdisc}', "");
    Expect(0, 66047, '\P{inphaistosdisc}', "");
    Expect(1, 66047, '\P{^inphaistosdisc}', "");
    Expect(0, 66048, '\p{inphaistosdisc}', "");
    Expect(1, 66048, '\p{^inphaistosdisc}', "");
    Expect(1, 66048, '\P{inphaistosdisc}', "");
    Expect(0, 66048, '\P{^inphaistosdisc}', "");
    Expect(1, 66047, '\p{-_In_PHAISTOS_DISC}', "");
    Expect(0, 66047, '\p{^-_In_PHAISTOS_DISC}', "");
    Expect(0, 66047, '\P{-_In_PHAISTOS_DISC}', "");
    Expect(1, 66047, '\P{^-_In_PHAISTOS_DISC}', "");
    Expect(0, 66048, '\p{-_In_PHAISTOS_DISC}', "");
    Expect(1, 66048, '\p{^-_In_PHAISTOS_DISC}', "");
    Expect(1, 66048, '\P{-_In_PHAISTOS_DISC}', "");
    Expect(0, 66048, '\P{^-_In_PHAISTOS_DISC}', "");
    Error('\p{:=_	Phaistos}');
    Error('\P{:=_	Phaistos}');
    Expect(1, 66047, '\p{phaistos}', "");
    Expect(0, 66047, '\p{^phaistos}', "");
    Expect(0, 66047, '\P{phaistos}', "");
    Expect(1, 66047, '\P{^phaistos}', "");
    Expect(0, 66048, '\p{phaistos}', "");
    Expect(1, 66048, '\p{^phaistos}', "");
    Expect(1, 66048, '\P{phaistos}', "");
    Expect(0, 66048, '\P{^phaistos}', "");
    Expect(1, 66047, '\p{_	Phaistos}', "");
    Expect(0, 66047, '\p{^_	Phaistos}', "");
    Expect(0, 66047, '\P{_	Phaistos}', "");
    Expect(1, 66047, '\P{^_	Phaistos}', "");
    Expect(0, 66048, '\p{_	Phaistos}', "");
    Expect(1, 66048, '\p{^_	Phaistos}', "");
    Expect(1, 66048, '\P{_	Phaistos}', "");
    Expect(0, 66048, '\P{^_	Phaistos}', "");
    Error('\p{Is_Phaistos:=}');
    Error('\P{Is_Phaistos:=}');
    Expect(1, 66047, '\p{isphaistos}', "");
    Expect(0, 66047, '\p{^isphaistos}', "");
    Expect(0, 66047, '\P{isphaistos}', "");
    Expect(1, 66047, '\P{^isphaistos}', "");
    Expect(0, 66048, '\p{isphaistos}', "");
    Expect(1, 66048, '\p{^isphaistos}', "");
    Expect(1, 66048, '\P{isphaistos}', "");
    Expect(0, 66048, '\P{^isphaistos}', "");
    Expect(1, 66047, '\p{		Is_PHAISTOS}', "");
    Expect(0, 66047, '\p{^		Is_PHAISTOS}', "");
    Expect(0, 66047, '\P{		Is_PHAISTOS}', "");
    Expect(1, 66047, '\P{^		Is_PHAISTOS}', "");
    Expect(0, 66048, '\p{		Is_PHAISTOS}', "");
    Expect(1, 66048, '\p{^		Is_PHAISTOS}', "");
    Expect(1, 66048, '\P{		Is_PHAISTOS}', "");
    Expect(0, 66048, '\P{^		Is_PHAISTOS}', "");
    Error('\p{		IN_phaistos:=}');
    Error('\P{		IN_phaistos:=}');
    Expect(1, 66047, '\p{inphaistos}', "");
    Expect(0, 66047, '\p{^inphaistos}', "");
    Expect(0, 66047, '\P{inphaistos}', "");
    Expect(1, 66047, '\P{^inphaistos}', "");
    Expect(0, 66048, '\p{inphaistos}', "");
    Expect(1, 66048, '\p{^inphaistos}', "");
    Expect(1, 66048, '\P{inphaistos}', "");
    Expect(0, 66048, '\P{^inphaistos}', "");
    Expect(1, 66047, '\p{__IN_PHAISTOS}', "");
    Expect(0, 66047, '\p{^__IN_PHAISTOS}', "");
    Expect(0, 66047, '\P{__IN_PHAISTOS}', "");
    Expect(1, 66047, '\P{^__IN_PHAISTOS}', "");
    Expect(0, 66048, '\p{__IN_PHAISTOS}', "");
    Expect(1, 66048, '\p{^__IN_PHAISTOS}', "");
    Expect(1, 66048, '\P{__IN_PHAISTOS}', "");
    Expect(0, 66048, '\P{^__IN_PHAISTOS}', "");
    Error('\p{-:=phoenician}');
    Error('\P{-:=phoenician}');
    Expect(1, 67871, '\p{phoenician}', "");
    Expect(0, 67871, '\p{^phoenician}', "");
    Expect(0, 67871, '\P{phoenician}', "");
    Expect(1, 67871, '\P{^phoenician}', "");
    Expect(0, 67872, '\p{phoenician}', "");
    Expect(1, 67872, '\p{^phoenician}', "");
    Expect(1, 67872, '\P{phoenician}', "");
    Expect(0, 67872, '\P{^phoenician}', "");
    Expect(1, 67871, '\p{__phoenician}', "");
    Expect(0, 67871, '\p{^__phoenician}', "");
    Expect(0, 67871, '\P{__phoenician}', "");
    Expect(1, 67871, '\P{^__phoenician}', "");
    Expect(0, 67872, '\p{__phoenician}', "");
    Expect(1, 67872, '\p{^__phoenician}', "");
    Expect(1, 67872, '\P{__phoenician}', "");
    Expect(0, 67872, '\P{^__phoenician}', "");
    Error('\p{_ IS_Phoenician:=}');
    Error('\P{_ IS_Phoenician:=}');
    Expect(1, 67871, '\p{isphoenician}', "");
    Expect(0, 67871, '\p{^isphoenician}', "");
    Expect(0, 67871, '\P{isphoenician}', "");
    Expect(1, 67871, '\P{^isphoenician}', "");
    Expect(0, 67872, '\p{isphoenician}', "");
    Expect(1, 67872, '\p{^isphoenician}', "");
    Expect(1, 67872, '\P{isphoenician}', "");
    Expect(0, 67872, '\P{^isphoenician}', "");
    Expect(1, 67871, '\p{ IS_Phoenician}', "");
    Expect(0, 67871, '\p{^ IS_Phoenician}', "");
    Expect(0, 67871, '\P{ IS_Phoenician}', "");
    Expect(1, 67871, '\P{^ IS_Phoenician}', "");
    Expect(0, 67872, '\p{ IS_Phoenician}', "");
    Expect(1, 67872, '\p{^ IS_Phoenician}', "");
    Expect(1, 67872, '\P{ IS_Phoenician}', "");
    Expect(0, 67872, '\P{^ IS_Phoenician}', "");
    Error('\p{/a/	Phnx}');
    Error('\P{/a/	Phnx}');
    Expect(1, 67871, '\p{phnx}', "");
    Expect(0, 67871, '\p{^phnx}', "");
    Expect(0, 67871, '\P{phnx}', "");
    Expect(1, 67871, '\P{^phnx}', "");
    Expect(0, 67872, '\p{phnx}', "");
    Expect(1, 67872, '\p{^phnx}', "");
    Expect(1, 67872, '\P{phnx}', "");
    Expect(0, 67872, '\P{^phnx}', "");
    Expect(1, 67871, '\p{  Phnx}', "");
    Expect(0, 67871, '\p{^  Phnx}', "");
    Expect(0, 67871, '\P{  Phnx}', "");
    Expect(1, 67871, '\P{^  Phnx}', "");
    Expect(0, 67872, '\p{  Phnx}', "");
    Expect(1, 67872, '\p{^  Phnx}', "");
    Expect(1, 67872, '\P{  Phnx}', "");
    Expect(0, 67872, '\P{^  Phnx}', "");
    Error('\p{/a/ _Is_phnx}');
    Error('\P{/a/ _Is_phnx}');
    Expect(1, 67871, '\p{isphnx}', "");
    Expect(0, 67871, '\p{^isphnx}', "");
    Expect(0, 67871, '\P{isphnx}', "");
    Expect(1, 67871, '\P{^isphnx}', "");
    Expect(0, 67872, '\p{isphnx}', "");
    Expect(1, 67872, '\p{^isphnx}', "");
    Expect(1, 67872, '\P{isphnx}', "");
    Expect(0, 67872, '\P{^isphnx}', "");
    Expect(1, 67871, '\p{-is_PHNX}', "");
    Expect(0, 67871, '\p{^-is_PHNX}', "");
    Expect(0, 67871, '\P{-is_PHNX}', "");
    Expect(1, 67871, '\P{^-is_PHNX}', "");
    Expect(0, 67872, '\p{-is_PHNX}', "");
    Expect(1, 67872, '\p{^-is_PHNX}', "");
    Expect(1, 67872, '\P{-is_PHNX}', "");
    Expect(0, 67872, '\P{^-is_PHNX}', "");
    Error('\p{_phonetic_EXTENSIONS/a/}');
    Error('\P{_phonetic_EXTENSIONS/a/}');
    Expect(1, 7551, '\p{phoneticextensions}', "");
    Expect(0, 7551, '\p{^phoneticextensions}', "");
    Expect(0, 7551, '\P{phoneticextensions}', "");
    Expect(1, 7551, '\P{^phoneticextensions}', "");
    Expect(0, 7552, '\p{phoneticextensions}', "");
    Expect(1, 7552, '\p{^phoneticextensions}', "");
    Expect(1, 7552, '\P{phoneticextensions}', "");
    Expect(0, 7552, '\P{^phoneticextensions}', "");
    Expect(1, 7551, '\p{	-PHONETIC_extensions}', "");
    Expect(0, 7551, '\p{^	-PHONETIC_extensions}', "");
    Expect(0, 7551, '\P{	-PHONETIC_extensions}', "");
    Expect(1, 7551, '\P{^	-PHONETIC_extensions}', "");
    Expect(0, 7552, '\p{	-PHONETIC_extensions}', "");
    Expect(1, 7552, '\p{^	-PHONETIC_extensions}', "");
    Expect(1, 7552, '\P{	-PHONETIC_extensions}', "");
    Expect(0, 7552, '\P{^	-PHONETIC_extensions}', "");
    Error('\p{ -Is_Phonetic_Extensions:=}');
    Error('\P{ -Is_Phonetic_Extensions:=}');
    Expect(1, 7551, '\p{isphoneticextensions}', "");
    Expect(0, 7551, '\p{^isphoneticextensions}', "");
    Expect(0, 7551, '\P{isphoneticextensions}', "");
    Expect(1, 7551, '\P{^isphoneticextensions}', "");
    Expect(0, 7552, '\p{isphoneticextensions}', "");
    Expect(1, 7552, '\p{^isphoneticextensions}', "");
    Expect(1, 7552, '\P{isphoneticextensions}', "");
    Expect(0, 7552, '\P{^isphoneticextensions}', "");
    Expect(1, 7551, '\p{_ IS_Phonetic_Extensions}', "");
    Expect(0, 7551, '\p{^_ IS_Phonetic_Extensions}', "");
    Expect(0, 7551, '\P{_ IS_Phonetic_Extensions}', "");
    Expect(1, 7551, '\P{^_ IS_Phonetic_Extensions}', "");
    Expect(0, 7552, '\p{_ IS_Phonetic_Extensions}', "");
    Expect(1, 7552, '\p{^_ IS_Phonetic_Extensions}', "");
    Expect(1, 7552, '\P{_ IS_Phonetic_Extensions}', "");
    Expect(0, 7552, '\P{^_ IS_Phonetic_Extensions}', "");
    Error('\p{/a/__in_phonetic_Extensions}');
    Error('\P{/a/__in_phonetic_Extensions}');
    Expect(1, 7551, '\p{inphoneticextensions}', "");
    Expect(0, 7551, '\p{^inphoneticextensions}', "");
    Expect(0, 7551, '\P{inphoneticextensions}', "");
    Expect(1, 7551, '\P{^inphoneticextensions}', "");
    Expect(0, 7552, '\p{inphoneticextensions}', "");
    Expect(1, 7552, '\p{^inphoneticextensions}', "");
    Expect(1, 7552, '\P{inphoneticextensions}', "");
    Expect(0, 7552, '\P{^inphoneticextensions}', "");
    Expect(1, 7551, '\p{ 	In_Phonetic_Extensions}', "");
    Expect(0, 7551, '\p{^ 	In_Phonetic_Extensions}', "");
    Expect(0, 7551, '\P{ 	In_Phonetic_Extensions}', "");
    Expect(1, 7551, '\P{^ 	In_Phonetic_Extensions}', "");
    Expect(0, 7552, '\p{ 	In_Phonetic_Extensions}', "");
    Expect(1, 7552, '\p{^ 	In_Phonetic_Extensions}', "");
    Expect(1, 7552, '\P{ 	In_Phonetic_Extensions}', "");
    Expect(0, 7552, '\P{^ 	In_Phonetic_Extensions}', "");
    Error('\p{	PHONETIC_EXT/a/}');
    Error('\P{	PHONETIC_EXT/a/}');
    Expect(1, 7551, '\p{phoneticext}', "");
    Expect(0, 7551, '\p{^phoneticext}', "");
    Expect(0, 7551, '\P{phoneticext}', "");
    Expect(1, 7551, '\P{^phoneticext}', "");
    Expect(0, 7552, '\p{phoneticext}', "");
    Expect(1, 7552, '\p{^phoneticext}', "");
    Expect(1, 7552, '\P{phoneticext}', "");
    Expect(0, 7552, '\P{^phoneticext}', "");
    Expect(1, 7551, '\p{ _phonetic_EXT}', "");
    Expect(0, 7551, '\p{^ _phonetic_EXT}', "");
    Expect(0, 7551, '\P{ _phonetic_EXT}', "");
    Expect(1, 7551, '\P{^ _phonetic_EXT}', "");
    Expect(0, 7552, '\p{ _phonetic_EXT}', "");
    Expect(1, 7552, '\p{^ _phonetic_EXT}', "");
    Expect(1, 7552, '\P{ _phonetic_EXT}', "");
    Expect(0, 7552, '\P{^ _phonetic_EXT}', "");
    Error('\p{is_Phonetic_Ext/a/}');
    Error('\P{is_Phonetic_Ext/a/}');
    Expect(1, 7551, '\p{isphoneticext}', "");
    Expect(0, 7551, '\p{^isphoneticext}', "");
    Expect(0, 7551, '\P{isphoneticext}', "");
    Expect(1, 7551, '\P{^isphoneticext}', "");
    Expect(0, 7552, '\p{isphoneticext}', "");
    Expect(1, 7552, '\p{^isphoneticext}', "");
    Expect(1, 7552, '\P{isphoneticext}', "");
    Expect(0, 7552, '\P{^isphoneticext}', "");
    Expect(1, 7551, '\p{	_is_Phonetic_Ext}', "");
    Expect(0, 7551, '\p{^	_is_Phonetic_Ext}', "");
    Expect(0, 7551, '\P{	_is_Phonetic_Ext}', "");
    Expect(1, 7551, '\P{^	_is_Phonetic_Ext}', "");
    Expect(0, 7552, '\p{	_is_Phonetic_Ext}', "");
    Expect(1, 7552, '\p{^	_is_Phonetic_Ext}', "");
    Expect(1, 7552, '\P{	_is_Phonetic_Ext}', "");
    Expect(0, 7552, '\P{^	_is_Phonetic_Ext}', "");
    Error('\p{/a/	_In_Phonetic_Ext}');
    Error('\P{/a/	_In_Phonetic_Ext}');
    Expect(1, 7551, '\p{inphoneticext}', "");
    Expect(0, 7551, '\p{^inphoneticext}', "");
    Expect(0, 7551, '\P{inphoneticext}', "");
    Expect(1, 7551, '\P{^inphoneticext}', "");
    Expect(0, 7552, '\p{inphoneticext}', "");
    Expect(1, 7552, '\p{^inphoneticext}', "");
    Expect(1, 7552, '\P{inphoneticext}', "");
    Expect(0, 7552, '\P{^inphoneticext}', "");
    Expect(1, 7551, '\p{_In_PHONETIC_EXT}', "");
    Expect(0, 7551, '\p{^_In_PHONETIC_EXT}', "");
    Expect(0, 7551, '\P{_In_PHONETIC_EXT}', "");
    Expect(1, 7551, '\P{^_In_PHONETIC_EXT}', "");
    Expect(0, 7552, '\p{_In_PHONETIC_EXT}', "");
    Expect(1, 7552, '\p{^_In_PHONETIC_EXT}', "");
    Expect(1, 7552, '\P{_In_PHONETIC_EXT}', "");
    Expect(0, 7552, '\P{^_In_PHONETIC_EXT}', "");
    Error('\p{ /a/phonetic_EXTENSIONS_SUPPLEMENT}');
    Error('\P{ /a/phonetic_EXTENSIONS_SUPPLEMENT}');
    Expect(1, 7615, '\p{phoneticextensionssupplement}', "");
    Expect(0, 7615, '\p{^phoneticextensionssupplement}', "");
    Expect(0, 7615, '\P{phoneticextensionssupplement}', "");
    Expect(1, 7615, '\P{^phoneticextensionssupplement}', "");
    Expect(0, 7616, '\p{phoneticextensionssupplement}', "");
    Expect(1, 7616, '\p{^phoneticextensionssupplement}', "");
    Expect(1, 7616, '\P{phoneticextensionssupplement}', "");
    Expect(0, 7616, '\P{^phoneticextensionssupplement}', "");
    Expect(1, 7615, '\p{_	Phonetic_extensions_Supplement}', "");
    Expect(0, 7615, '\p{^_	Phonetic_extensions_Supplement}', "");
    Expect(0, 7615, '\P{_	Phonetic_extensions_Supplement}', "");
    Expect(1, 7615, '\P{^_	Phonetic_extensions_Supplement}', "");
    Expect(0, 7616, '\p{_	Phonetic_extensions_Supplement}', "");
    Expect(1, 7616, '\p{^_	Phonetic_extensions_Supplement}', "");
    Expect(1, 7616, '\P{_	Phonetic_extensions_Supplement}', "");
    Expect(0, 7616, '\P{^_	Phonetic_extensions_Supplement}', "");
    Error('\p{	:=is_phonetic_Extensions_Supplement}');
    Error('\P{	:=is_phonetic_Extensions_Supplement}');
    Expect(1, 7615, '\p{isphoneticextensionssupplement}', "");
    Expect(0, 7615, '\p{^isphoneticextensionssupplement}', "");
    Expect(0, 7615, '\P{isphoneticextensionssupplement}', "");
    Expect(1, 7615, '\P{^isphoneticextensionssupplement}', "");
    Expect(0, 7616, '\p{isphoneticextensionssupplement}', "");
    Expect(1, 7616, '\p{^isphoneticextensionssupplement}', "");
    Expect(1, 7616, '\P{isphoneticextensionssupplement}', "");
    Expect(0, 7616, '\P{^isphoneticextensionssupplement}', "");
    Expect(1, 7615, '\p{	_IS_phonetic_Extensions_Supplement}', "");
    Expect(0, 7615, '\p{^	_IS_phonetic_Extensions_Supplement}', "");
    Expect(0, 7615, '\P{	_IS_phonetic_Extensions_Supplement}', "");
    Expect(1, 7615, '\P{^	_IS_phonetic_Extensions_Supplement}', "");
    Expect(0, 7616, '\p{	_IS_phonetic_Extensions_Supplement}', "");
    Expect(1, 7616, '\p{^	_IS_phonetic_Extensions_Supplement}', "");
    Expect(1, 7616, '\P{	_IS_phonetic_Extensions_Supplement}', "");
    Expect(0, 7616, '\P{^	_IS_phonetic_Extensions_Supplement}', "");
    Error('\p{		In_Phonetic_Extensions_supplement:=}');
    Error('\P{		In_Phonetic_Extensions_supplement:=}');
    Expect(1, 7615, '\p{inphoneticextensionssupplement}', "");
    Expect(0, 7615, '\p{^inphoneticextensionssupplement}', "");
    Expect(0, 7615, '\P{inphoneticextensionssupplement}', "");
    Expect(1, 7615, '\P{^inphoneticextensionssupplement}', "");
    Expect(0, 7616, '\p{inphoneticextensionssupplement}', "");
    Expect(1, 7616, '\p{^inphoneticextensionssupplement}', "");
    Expect(1, 7616, '\P{inphoneticextensionssupplement}', "");
    Expect(0, 7616, '\P{^inphoneticextensionssupplement}', "");
    Expect(1, 7615, '\p{	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Expect(0, 7615, '\p{^	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Expect(0, 7615, '\P{	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Expect(1, 7615, '\P{^	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Expect(0, 7616, '\p{	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Expect(1, 7616, '\p{^	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Expect(1, 7616, '\P{	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Expect(0, 7616, '\P{^	_IN_Phonetic_EXTENSIONS_Supplement}', "");
    Error('\p{	 Phonetic_ext_SUP:=}');
    Error('\P{	 Phonetic_ext_SUP:=}');
    Expect(1, 7615, '\p{phoneticextsup}', "");
    Expect(0, 7615, '\p{^phoneticextsup}', "");
    Expect(0, 7615, '\P{phoneticextsup}', "");
    Expect(1, 7615, '\P{^phoneticextsup}', "");
    Expect(0, 7616, '\p{phoneticextsup}', "");
    Expect(1, 7616, '\p{^phoneticextsup}', "");
    Expect(1, 7616, '\P{phoneticextsup}', "");
    Expect(0, 7616, '\P{^phoneticextsup}', "");
    Expect(1, 7615, '\p{ -Phonetic_EXT_sup}', "");
    Expect(0, 7615, '\p{^ -Phonetic_EXT_sup}', "");
    Expect(0, 7615, '\P{ -Phonetic_EXT_sup}', "");
    Expect(1, 7615, '\P{^ -Phonetic_EXT_sup}', "");
    Expect(0, 7616, '\p{ -Phonetic_EXT_sup}', "");
    Expect(1, 7616, '\p{^ -Phonetic_EXT_sup}', "");
    Expect(1, 7616, '\P{ -Phonetic_EXT_sup}', "");
    Expect(0, 7616, '\P{^ -Phonetic_EXT_sup}', "");
    Error('\p{_-is_Phonetic_Ext_Sup/a/}');
    Error('\P{_-is_Phonetic_Ext_Sup/a/}');
    Expect(1, 7615, '\p{isphoneticextsup}', "");
    Expect(0, 7615, '\p{^isphoneticextsup}', "");
    Expect(0, 7615, '\P{isphoneticextsup}', "");
    Expect(1, 7615, '\P{^isphoneticextsup}', "");
    Expect(0, 7616, '\p{isphoneticextsup}', "");
    Expect(1, 7616, '\p{^isphoneticextsup}', "");
    Expect(1, 7616, '\P{isphoneticextsup}', "");
    Expect(0, 7616, '\P{^isphoneticextsup}', "");
    Expect(1, 7615, '\p{ -is_PHONETIC_EXT_SUP}', "");
    Expect(0, 7615, '\p{^ -is_PHONETIC_EXT_SUP}', "");
    Expect(0, 7615, '\P{ -is_PHONETIC_EXT_SUP}', "");
    Expect(1, 7615, '\P{^ -is_PHONETIC_EXT_SUP}', "");
    Expect(0, 7616, '\p{ -is_PHONETIC_EXT_SUP}', "");
    Expect(1, 7616, '\p{^ -is_PHONETIC_EXT_SUP}', "");
    Expect(1, 7616, '\P{ -is_PHONETIC_EXT_SUP}', "");
    Expect(0, 7616, '\P{^ -is_PHONETIC_EXT_SUP}', "");
    Error('\p{--In_Phonetic_Ext_sup/a/}');
    Error('\P{--In_Phonetic_Ext_sup/a/}');
    Expect(1, 7615, '\p{inphoneticextsup}', "");
    Expect(0, 7615, '\p{^inphoneticextsup}', "");
    Expect(0, 7615, '\P{inphoneticextsup}', "");
    Expect(1, 7615, '\P{^inphoneticextsup}', "");
    Expect(0, 7616, '\p{inphoneticextsup}', "");
    Expect(1, 7616, '\p{^inphoneticextsup}', "");
    Expect(1, 7616, '\P{inphoneticextsup}', "");
    Expect(0, 7616, '\P{^inphoneticextsup}', "");
    Expect(1, 7615, '\p{- In_PHONETIC_Ext_sup}', "");
    Expect(0, 7615, '\p{^- In_PHONETIC_Ext_sup}', "");
    Expect(0, 7615, '\P{- In_PHONETIC_Ext_sup}', "");
    Expect(1, 7615, '\P{^- In_PHONETIC_Ext_sup}', "");
    Expect(0, 7616, '\p{- In_PHONETIC_Ext_sup}', "");
    Expect(1, 7616, '\p{^- In_PHONETIC_Ext_sup}', "");
    Expect(1, 7616, '\P{- In_PHONETIC_Ext_sup}', "");
    Expect(0, 7616, '\P{^- In_PHONETIC_Ext_sup}', "");
    Error('\p{/a/_Playing_Cards}');
    Error('\P{/a/_Playing_Cards}');
    Expect(1, 127231, '\p{playingcards}', "");
    Expect(0, 127231, '\p{^playingcards}', "");
    Expect(0, 127231, '\P{playingcards}', "");
    Expect(1, 127231, '\P{^playingcards}', "");
    Expect(0, 127232, '\p{playingcards}', "");
    Expect(1, 127232, '\p{^playingcards}', "");
    Expect(1, 127232, '\P{playingcards}', "");
    Expect(0, 127232, '\P{^playingcards}', "");
    Expect(1, 127231, '\p{-Playing_cards}', "");
    Expect(0, 127231, '\p{^-Playing_cards}', "");
    Expect(0, 127231, '\P{-Playing_cards}', "");
    Expect(1, 127231, '\P{^-Playing_cards}', "");
    Expect(0, 127232, '\p{-Playing_cards}', "");
    Expect(1, 127232, '\p{^-Playing_cards}', "");
    Expect(1, 127232, '\P{-Playing_cards}', "");
    Expect(0, 127232, '\P{^-Playing_cards}', "");
    Error('\p{- Is_playing_cards/a/}');
    Error('\P{- Is_playing_cards/a/}');
    Expect(1, 127231, '\p{isplayingcards}', "");
    Expect(0, 127231, '\p{^isplayingcards}', "");
    Expect(0, 127231, '\P{isplayingcards}', "");
    Expect(1, 127231, '\P{^isplayingcards}', "");
    Expect(0, 127232, '\p{isplayingcards}', "");
    Expect(1, 127232, '\p{^isplayingcards}', "");
    Expect(1, 127232, '\P{isplayingcards}', "");
    Expect(0, 127232, '\P{^isplayingcards}', "");
    Expect(1, 127231, '\p{__is_Playing_Cards}', "");
    Expect(0, 127231, '\p{^__is_Playing_Cards}', "");
    Expect(0, 127231, '\P{__is_Playing_Cards}', "");
    Expect(1, 127231, '\P{^__is_Playing_Cards}', "");
    Expect(0, 127232, '\p{__is_Playing_Cards}', "");
    Expect(1, 127232, '\p{^__is_Playing_Cards}', "");
    Expect(1, 127232, '\P{__is_Playing_Cards}', "");
    Expect(0, 127232, '\P{^__is_Playing_Cards}', "");
    Error('\p{:= IN_PLAYING_CARDS}');
    Error('\P{:= IN_PLAYING_CARDS}');
    Expect(1, 127231, '\p{inplayingcards}', "");
    Expect(0, 127231, '\p{^inplayingcards}', "");
    Expect(0, 127231, '\P{inplayingcards}', "");
    Expect(1, 127231, '\P{^inplayingcards}', "");
    Expect(0, 127232, '\p{inplayingcards}', "");
    Expect(1, 127232, '\p{^inplayingcards}', "");
    Expect(1, 127232, '\P{inplayingcards}', "");
    Expect(0, 127232, '\P{^inplayingcards}', "");
    Expect(1, 127231, '\p{--IN_Playing_Cards}', "");
    Expect(0, 127231, '\p{^--IN_Playing_Cards}', "");
    Expect(0, 127231, '\P{--IN_Playing_Cards}', "");
    Expect(1, 127231, '\P{^--IN_Playing_Cards}', "");
    Expect(0, 127232, '\p{--IN_Playing_Cards}', "");
    Expect(1, 127232, '\p{^--IN_Playing_Cards}', "");
    Expect(1, 127232, '\P{--IN_Playing_Cards}', "");
    Expect(0, 127232, '\P{^--IN_Playing_Cards}', "");
    Error('\p{:=-_posixalnum}');
    Error('\P{:=-_posixalnum}');
    Expect(1, 122, '\p{posixalnum}', "");
    Expect(0, 122, '\p{^posixalnum}', "");
    Expect(0, 122, '\P{posixalnum}', "");
    Expect(1, 122, '\P{^posixalnum}', "");
    Expect(0, 123, '\p{posixalnum}', "");
    Expect(1, 123, '\p{^posixalnum}', "");
    Expect(1, 123, '\P{posixalnum}', "");
    Expect(0, 123, '\P{^posixalnum}', "");
    Expect(1, 122, '\p{-PosixAlnum}', "");
    Expect(0, 122, '\p{^-PosixAlnum}', "");
    Expect(0, 122, '\P{-PosixAlnum}', "");
    Expect(1, 122, '\P{^-PosixAlnum}', "");
    Expect(0, 123, '\p{-PosixAlnum}', "");
    Expect(1, 123, '\p{^-PosixAlnum}', "");
    Expect(1, 123, '\P{-PosixAlnum}', "");
    Expect(0, 123, '\P{^-PosixAlnum}', "");
    Error('\p{/a/_Is_PosixAlnum}');
    Error('\P{/a/_Is_PosixAlnum}');
    Expect(1, 122, '\p{isposixalnum}', "");
    Expect(0, 122, '\p{^isposixalnum}', "");
    Expect(0, 122, '\P{isposixalnum}', "");
    Expect(1, 122, '\P{^isposixalnum}', "");
    Expect(0, 123, '\p{isposixalnum}', "");
    Expect(1, 123, '\p{^isposixalnum}', "");
    Expect(1, 123, '\P{isposixalnum}', "");
    Expect(0, 123, '\P{^isposixalnum}', "");
    Expect(1, 122, '\p{ IS_POSIXALNUM}', "");
    Expect(0, 122, '\p{^ IS_POSIXALNUM}', "");
    Expect(0, 122, '\P{ IS_POSIXALNUM}', "");
    Expect(1, 122, '\P{^ IS_POSIXALNUM}', "");
    Expect(0, 123, '\p{ IS_POSIXALNUM}', "");
    Expect(1, 123, '\p{^ IS_POSIXALNUM}', "");
    Expect(1, 123, '\P{ IS_POSIXALNUM}', "");
    Expect(0, 123, '\P{^ IS_POSIXALNUM}', "");
    Error('\p{/a/-POSIXALPHA}');
    Error('\P{/a/-POSIXALPHA}');
    Expect(1, 122, '\p{posixalpha}', "");
    Expect(0, 122, '\p{^posixalpha}', "");
    Expect(0, 122, '\P{posixalpha}', "");
    Expect(1, 122, '\P{^posixalpha}', "");
    Expect(0, 123, '\p{posixalpha}', "");
    Expect(1, 123, '\p{^posixalpha}', "");
    Expect(1, 123, '\P{posixalpha}', "");
    Expect(0, 123, '\P{^posixalpha}', "");
    Expect(1, 122, '\p{-posixalpha}', "");
    Expect(0, 122, '\p{^-posixalpha}', "");
    Expect(0, 122, '\P{-posixalpha}', "");
    Expect(1, 122, '\P{^-posixalpha}', "");
    Expect(0, 123, '\p{-posixalpha}', "");
    Expect(1, 123, '\p{^-posixalpha}', "");
    Expect(1, 123, '\P{-posixalpha}', "");
    Expect(0, 123, '\P{^-posixalpha}', "");
    Error('\p{/a/_-is_PosixAlpha}');
    Error('\P{/a/_-is_PosixAlpha}');
    Expect(1, 122, '\p{isposixalpha}', "");
    Expect(0, 122, '\p{^isposixalpha}', "");
    Expect(0, 122, '\P{isposixalpha}', "");
    Expect(1, 122, '\P{^isposixalpha}', "");
    Expect(0, 123, '\p{isposixalpha}', "");
    Expect(1, 123, '\p{^isposixalpha}', "");
    Expect(1, 123, '\P{isposixalpha}', "");
    Expect(0, 123, '\P{^isposixalpha}', "");
    Expect(1, 122, '\p{_-Is_posixalpha}', "");
    Expect(0, 122, '\p{^_-Is_posixalpha}', "");
    Expect(0, 122, '\P{_-Is_posixalpha}', "");
    Expect(1, 122, '\P{^_-Is_posixalpha}', "");
    Expect(0, 123, '\p{_-Is_posixalpha}', "");
    Expect(1, 123, '\p{^_-Is_posixalpha}', "");
    Expect(1, 123, '\P{_-Is_posixalpha}', "");
    Expect(0, 123, '\P{^_-Is_posixalpha}', "");
    Error('\p{ -PosixBlank:=}');
    Error('\P{ -PosixBlank:=}');
    Expect(1, 32, '\p{posixblank}', "");
    Expect(0, 32, '\p{^posixblank}', "");
    Expect(0, 32, '\P{posixblank}', "");
    Expect(1, 32, '\P{^posixblank}', "");
    Expect(0, 33, '\p{posixblank}', "");
    Expect(1, 33, '\p{^posixblank}', "");
    Expect(1, 33, '\P{posixblank}', "");
    Expect(0, 33, '\P{^posixblank}', "");
    Expect(1, 32, '\p{ posixblank}', "");
    Expect(0, 32, '\p{^ posixblank}', "");
    Expect(0, 32, '\P{ posixblank}', "");
    Expect(1, 32, '\P{^ posixblank}', "");
    Expect(0, 33, '\p{ posixblank}', "");
    Expect(1, 33, '\p{^ posixblank}', "");
    Expect(1, 33, '\P{ posixblank}', "");
    Expect(0, 33, '\P{^ posixblank}', "");
    Error('\p{/a/_	Is_posixblank}');
    Error('\P{/a/_	Is_posixblank}');
    Expect(1, 32, '\p{isposixblank}', "");
    Expect(0, 32, '\p{^isposixblank}', "");
    Expect(0, 32, '\P{isposixblank}', "");
    Expect(1, 32, '\P{^isposixblank}', "");
    Expect(0, 33, '\p{isposixblank}', "");
    Expect(1, 33, '\p{^isposixblank}', "");
    Expect(1, 33, '\P{isposixblank}', "");
    Expect(0, 33, '\P{^isposixblank}', "");
    Expect(1, 32, '\p{ Is_PosixBlank}', "");
    Expect(0, 32, '\p{^ Is_PosixBlank}', "");
    Expect(0, 32, '\P{ Is_PosixBlank}', "");
    Expect(1, 32, '\P{^ Is_PosixBlank}', "");
    Expect(0, 33, '\p{ Is_PosixBlank}', "");
    Expect(1, 33, '\p{^ Is_PosixBlank}', "");
    Expect(1, 33, '\P{ Is_PosixBlank}', "");
    Expect(0, 33, '\P{^ Is_PosixBlank}', "");
    Error('\p{-PosixCntrl/a/}');
    Error('\P{-PosixCntrl/a/}');
    Expect(1, 127, '\p{posixcntrl}', "");
    Expect(0, 127, '\p{^posixcntrl}', "");
    Expect(0, 127, '\P{posixcntrl}', "");
    Expect(1, 127, '\P{^posixcntrl}', "");
    Expect(0, 128, '\p{posixcntrl}', "");
    Expect(1, 128, '\p{^posixcntrl}', "");
    Expect(1, 128, '\P{posixcntrl}', "");
    Expect(0, 128, '\P{^posixcntrl}', "");
    Error('\p{ :=Is_posixcntrl}');
    Error('\P{ :=Is_posixcntrl}');
    Expect(1, 127, '\p{isposixcntrl}', "");
    Expect(0, 127, '\p{^isposixcntrl}', "");
    Expect(0, 127, '\P{isposixcntrl}', "");
    Expect(1, 127, '\P{^isposixcntrl}', "");
    Expect(0, 128, '\p{isposixcntrl}', "");
    Expect(1, 128, '\p{^isposixcntrl}', "");
    Expect(1, 128, '\P{isposixcntrl}', "");
    Expect(0, 128, '\P{^isposixcntrl}', "");
    Expect(1, 127, '\p{__Is_posixcntrl}', "");
    Expect(0, 127, '\p{^__Is_posixcntrl}', "");
    Expect(0, 127, '\P{__Is_posixcntrl}', "");
    Expect(1, 127, '\P{^__Is_posixcntrl}', "");
    Expect(0, 128, '\p{__Is_posixcntrl}', "");
    Expect(1, 128, '\p{^__Is_posixcntrl}', "");
    Expect(1, 128, '\P{__Is_posixcntrl}', "");
    Expect(0, 128, '\P{^__Is_posixcntrl}', "");
    Error('\p{/a/_ POSIXDIGIT}');
    Error('\P{/a/_ POSIXDIGIT}');
    Expect(1, 57, '\p{posixdigit}', "");
    Expect(0, 57, '\p{^posixdigit}', "");
    Expect(0, 57, '\P{posixdigit}', "");
    Expect(1, 57, '\P{^posixdigit}', "");
    Expect(0, 58, '\p{posixdigit}', "");
    Expect(1, 58, '\p{^posixdigit}', "");
    Expect(1, 58, '\P{posixdigit}', "");
    Expect(0, 58, '\P{^posixdigit}', "");
    Expect(1, 57, '\p{	posixdigit}', "");
    Expect(0, 57, '\p{^	posixdigit}', "");
    Expect(0, 57, '\P{	posixdigit}', "");
    Expect(1, 57, '\P{^	posixdigit}', "");
    Expect(0, 58, '\p{	posixdigit}', "");
    Expect(1, 58, '\p{^	posixdigit}', "");
    Expect(1, 58, '\P{	posixdigit}', "");
    Expect(0, 58, '\P{^	posixdigit}', "");
    Error('\p{:= _is_POSIXDIGIT}');
    Error('\P{:= _is_POSIXDIGIT}');
    Expect(1, 57, '\p{isposixdigit}', "");
    Expect(0, 57, '\p{^isposixdigit}', "");
    Expect(0, 57, '\P{isposixdigit}', "");
    Expect(1, 57, '\P{^isposixdigit}', "");
    Expect(0, 58, '\p{isposixdigit}', "");
    Expect(1, 58, '\p{^isposixdigit}', "");
    Expect(1, 58, '\P{isposixdigit}', "");
    Expect(0, 58, '\P{^isposixdigit}', "");
    Expect(1, 57, '\p{_Is_PosixDigit}', "");
    Expect(0, 57, '\p{^_Is_PosixDigit}', "");
    Expect(0, 57, '\P{_Is_PosixDigit}', "");
    Expect(1, 57, '\P{^_Is_PosixDigit}', "");
    Expect(0, 58, '\p{_Is_PosixDigit}', "");
    Expect(1, 58, '\p{^_Is_PosixDigit}', "");
    Expect(1, 58, '\P{_Is_PosixDigit}', "");
    Expect(0, 58, '\P{^_Is_PosixDigit}', "");
    Error('\p{:= PosixGraph}');
    Error('\P{:= PosixGraph}');
    Expect(1, 126, '\p{posixgraph}', "");
    Expect(0, 126, '\p{^posixgraph}', "");
    Expect(0, 126, '\P{posixgraph}', "");
    Expect(1, 126, '\P{^posixgraph}', "");
    Expect(0, 127, '\p{posixgraph}', "");
    Expect(1, 127, '\p{^posixgraph}', "");
    Expect(1, 127, '\P{posixgraph}', "");
    Expect(0, 127, '\P{^posixgraph}', "");
    Expect(1, 126, '\p{ PosixGraph}', "");
    Expect(0, 126, '\p{^ PosixGraph}', "");
    Expect(0, 126, '\P{ PosixGraph}', "");
    Expect(1, 126, '\P{^ PosixGraph}', "");
    Expect(0, 127, '\p{ PosixGraph}', "");
    Expect(1, 127, '\p{^ PosixGraph}', "");
    Expect(1, 127, '\P{ PosixGraph}', "");
    Expect(0, 127, '\P{^ PosixGraph}', "");
    Error('\p{ -is_posixgraph:=}');
    Error('\P{ -is_posixgraph:=}');
    Expect(1, 126, '\p{isposixgraph}', "");
    Expect(0, 126, '\p{^isposixgraph}', "");
    Expect(0, 126, '\P{isposixgraph}', "");
    Expect(1, 126, '\P{^isposixgraph}', "");
    Expect(0, 127, '\p{isposixgraph}', "");
    Expect(1, 127, '\p{^isposixgraph}', "");
    Expect(1, 127, '\P{isposixgraph}', "");
    Expect(0, 127, '\P{^isposixgraph}', "");
    Expect(1, 126, '\p{__IS_POSIXGRAPH}', "");
    Expect(0, 126, '\p{^__IS_POSIXGRAPH}', "");
    Expect(0, 126, '\P{__IS_POSIXGRAPH}', "");
    Expect(1, 126, '\P{^__IS_POSIXGRAPH}', "");
    Expect(0, 127, '\p{__IS_POSIXGRAPH}', "");
    Expect(1, 127, '\p{^__IS_POSIXGRAPH}', "");
    Expect(1, 127, '\P{__IS_POSIXGRAPH}', "");
    Expect(0, 127, '\P{^__IS_POSIXGRAPH}', "");
    Error('\p{--PosixLower/a/}');
    Error('\P{--PosixLower/a/}');
    Expect(1, 122, '\p{posixlower}', "");
    Expect(0, 122, '\p{^posixlower}', "");
    Expect(0, 122, '\P{posixlower}', "");
    Expect(1, 122, '\P{^posixlower}', "");
    Expect(0, 123, '\p{posixlower}', "");
    Expect(1, 123, '\p{^posixlower}', "");
    Expect(1, 123, '\P{posixlower}', "");
    Expect(0, 123, '\P{^posixlower}', "");
    Expect(1, 122, '\p{__PosixLower}', "");
    Expect(0, 122, '\p{^__PosixLower}', "");
    Expect(0, 122, '\P{__PosixLower}', "");
    Expect(1, 122, '\P{^__PosixLower}', "");
    Expect(0, 123, '\p{__PosixLower}', "");
    Expect(1, 123, '\p{^__PosixLower}', "");
    Expect(1, 123, '\P{__PosixLower}', "");
    Expect(0, 123, '\P{^__PosixLower}', "");
    Error('\p{	:=is_POSIXLOWER}');
    Error('\P{	:=is_POSIXLOWER}');
    Expect(1, 122, '\p{isposixlower}', "");
    Expect(0, 122, '\p{^isposixlower}', "");
    Expect(0, 122, '\P{isposixlower}', "");
    Expect(1, 122, '\P{^isposixlower}', "");
    Expect(0, 123, '\p{isposixlower}', "");
    Expect(1, 123, '\p{^isposixlower}', "");
    Expect(1, 123, '\P{isposixlower}', "");
    Expect(0, 123, '\P{^isposixlower}', "");
    Expect(1, 122, '\p{__Is_posixlower}', "");
    Expect(0, 122, '\p{^__Is_posixlower}', "");
    Expect(0, 122, '\P{__Is_posixlower}', "");
    Expect(1, 122, '\P{^__Is_posixlower}', "");
    Expect(0, 123, '\p{__Is_posixlower}', "");
    Expect(1, 123, '\p{^__Is_posixlower}', "");
    Expect(1, 123, '\P{__Is_posixlower}', "");
    Expect(0, 123, '\P{^__Is_posixlower}', "");
    Error('\p{:=- PosixPrint}');
    Error('\P{:=- PosixPrint}');
    Expect(1, 126, '\p{posixprint}', "");
    Expect(0, 126, '\p{^posixprint}', "");
    Expect(0, 126, '\P{posixprint}', "");
    Expect(1, 126, '\P{^posixprint}', "");
    Expect(0, 127, '\p{posixprint}', "");
    Expect(1, 127, '\p{^posixprint}', "");
    Expect(1, 127, '\P{posixprint}', "");
    Expect(0, 127, '\P{^posixprint}', "");
    Expect(1, 126, '\p{- POSIXPRINT}', "");
    Expect(0, 126, '\p{^- POSIXPRINT}', "");
    Expect(0, 126, '\P{- POSIXPRINT}', "");
    Expect(1, 126, '\P{^- POSIXPRINT}', "");
    Expect(0, 127, '\p{- POSIXPRINT}', "");
    Expect(1, 127, '\p{^- POSIXPRINT}', "");
    Expect(1, 127, '\P{- POSIXPRINT}', "");
    Expect(0, 127, '\P{^- POSIXPRINT}', "");
    Error('\p{:=__Is_PosixPrint}');
    Error('\P{:=__Is_PosixPrint}');
    Expect(1, 126, '\p{isposixprint}', "");
    Expect(0, 126, '\p{^isposixprint}', "");
    Expect(0, 126, '\P{isposixprint}', "");
    Expect(1, 126, '\P{^isposixprint}', "");
    Expect(0, 127, '\p{isposixprint}', "");
    Expect(1, 127, '\p{^isposixprint}', "");
    Expect(1, 127, '\P{isposixprint}', "");
    Expect(0, 127, '\P{^isposixprint}', "");
    Expect(1, 126, '\p{	is_posixprint}', "");
    Expect(0, 126, '\p{^	is_posixprint}', "");
    Expect(0, 126, '\P{	is_posixprint}', "");
    Expect(1, 126, '\P{^	is_posixprint}', "");
    Expect(0, 127, '\p{	is_posixprint}', "");
    Expect(1, 127, '\p{^	is_posixprint}', "");
    Expect(1, 127, '\P{	is_posixprint}', "");
    Expect(0, 127, '\P{^	is_posixprint}', "");
    Error('\p{:=_ PosixPunct}');
    Error('\P{:=_ PosixPunct}');
    Expect(1, 126, '\p{posixpunct}', "");
    Expect(0, 126, '\p{^posixpunct}', "");
    Expect(0, 126, '\P{posixpunct}', "");
    Expect(1, 126, '\P{^posixpunct}', "");
    Expect(0, 127, '\p{posixpunct}', "");
    Expect(1, 127, '\p{^posixpunct}', "");
    Expect(1, 127, '\P{posixpunct}', "");
    Expect(0, 127, '\P{^posixpunct}', "");
    Expect(1, 126, '\p{POSIXPUNCT}', "");
    Expect(0, 126, '\p{^POSIXPUNCT}', "");
    Expect(0, 126, '\P{POSIXPUNCT}', "");
    Expect(1, 126, '\P{^POSIXPUNCT}', "");
    Expect(0, 127, '\p{POSIXPUNCT}', "");
    Expect(1, 127, '\p{^POSIXPUNCT}', "");
    Expect(1, 127, '\P{POSIXPUNCT}', "");
    Expect(0, 127, '\P{^POSIXPUNCT}', "");
    Error('\p{/a/-_Is_posixpunct}');
    Error('\P{/a/-_Is_posixpunct}');
    Expect(1, 126, '\p{isposixpunct}', "");
    Expect(0, 126, '\p{^isposixpunct}', "");
    Expect(0, 126, '\P{isposixpunct}', "");
    Expect(1, 126, '\P{^isposixpunct}', "");
    Expect(0, 127, '\p{isposixpunct}', "");
    Expect(1, 127, '\p{^isposixpunct}', "");
    Expect(1, 127, '\P{isposixpunct}', "");
    Expect(0, 127, '\P{^isposixpunct}', "");
    Expect(1, 126, '\p{	IS_PosixPunct}', "");
    Expect(0, 126, '\p{^	IS_PosixPunct}', "");
    Expect(0, 126, '\P{	IS_PosixPunct}', "");
    Expect(1, 126, '\P{^	IS_PosixPunct}', "");
    Expect(0, 127, '\p{	IS_PosixPunct}', "");
    Expect(1, 127, '\p{^	IS_PosixPunct}', "");
    Expect(1, 127, '\P{	IS_PosixPunct}', "");
    Expect(0, 127, '\P{^	IS_PosixPunct}', "");
    Error('\p{-POSIXSPACE/a/}');
    Error('\P{-POSIXSPACE/a/}');
    Expect(1, 32, '\p{posixspace}', "");
    Expect(0, 32, '\p{^posixspace}', "");
    Expect(0, 32, '\P{posixspace}', "");
    Expect(1, 32, '\P{^posixspace}', "");
    Expect(0, 33, '\p{posixspace}', "");
    Expect(1, 33, '\p{^posixspace}', "");
    Expect(1, 33, '\P{posixspace}', "");
    Expect(0, 33, '\P{^posixspace}', "");
    Expect(1, 32, '\p{-_PosixSpace}', "");
    Expect(0, 32, '\p{^-_PosixSpace}', "");
    Expect(0, 32, '\P{-_PosixSpace}', "");
    Expect(1, 32, '\P{^-_PosixSpace}', "");
    Expect(0, 33, '\p{-_PosixSpace}', "");
    Expect(1, 33, '\p{^-_PosixSpace}', "");
    Expect(1, 33, '\P{-_PosixSpace}', "");
    Expect(0, 33, '\P{^-_PosixSpace}', "");
    Error('\p{ :=PERLSPACE}');
    Error('\P{ :=PERLSPACE}');
    Expect(1, 32, '\p{perlspace}', "");
    Expect(0, 32, '\p{^perlspace}', "");
    Expect(0, 32, '\P{perlspace}', "");
    Expect(1, 32, '\P{^perlspace}', "");
    Expect(0, 33, '\p{perlspace}', "");
    Expect(1, 33, '\p{^perlspace}', "");
    Expect(1, 33, '\P{perlspace}', "");
    Expect(0, 33, '\P{^perlspace}', "");
    Expect(1, 32, '\p{-PERLSPACE}', "");
    Expect(0, 32, '\p{^-PERLSPACE}', "");
    Expect(0, 32, '\P{-PERLSPACE}', "");
    Expect(1, 32, '\P{^-PERLSPACE}', "");
    Expect(0, 33, '\p{-PERLSPACE}', "");
    Expect(1, 33, '\p{^-PERLSPACE}', "");
    Expect(1, 33, '\P{-PERLSPACE}', "");
    Expect(0, 33, '\P{^-PERLSPACE}', "");
    Error('\p{ IS_posixspace/a/}');
    Error('\P{ IS_posixspace/a/}');
    Expect(1, 32, '\p{isposixspace}', "");
    Expect(0, 32, '\p{^isposixspace}', "");
    Expect(0, 32, '\P{isposixspace}', "");
    Expect(1, 32, '\P{^isposixspace}', "");
    Expect(0, 33, '\p{isposixspace}', "");
    Expect(1, 33, '\p{^isposixspace}', "");
    Expect(1, 33, '\P{isposixspace}', "");
    Expect(0, 33, '\P{^isposixspace}', "");
    Expect(1, 32, '\p{-	Is_POSIXSPACE}', "");
    Expect(0, 32, '\p{^-	Is_POSIXSPACE}', "");
    Expect(0, 32, '\P{-	Is_POSIXSPACE}', "");
    Expect(1, 32, '\P{^-	Is_POSIXSPACE}', "");
    Expect(0, 33, '\p{-	Is_POSIXSPACE}', "");
    Expect(1, 33, '\p{^-	Is_POSIXSPACE}', "");
    Expect(1, 33, '\P{-	Is_POSIXSPACE}', "");
    Expect(0, 33, '\P{^-	Is_POSIXSPACE}', "");
    Error('\p{:=_-is_PERLSPACE}');
    Error('\P{:=_-is_PERLSPACE}');
    Expect(1, 32, '\p{isperlspace}', "");
    Expect(0, 32, '\p{^isperlspace}', "");
    Expect(0, 32, '\P{isperlspace}', "");
    Expect(1, 32, '\P{^isperlspace}', "");
    Expect(0, 33, '\p{isperlspace}', "");
    Expect(1, 33, '\p{^isperlspace}', "");
    Expect(1, 33, '\P{isperlspace}', "");
    Expect(0, 33, '\P{^isperlspace}', "");
    Expect(1, 32, '\p{ _Is_PerlSpace}', "");
    Expect(0, 32, '\p{^ _Is_PerlSpace}', "");
    Expect(0, 32, '\P{ _Is_PerlSpace}', "");
    Expect(1, 32, '\P{^ _Is_PerlSpace}', "");
    Expect(0, 33, '\p{ _Is_PerlSpace}', "");
    Expect(1, 33, '\p{^ _Is_PerlSpace}', "");
    Expect(1, 33, '\P{ _Is_PerlSpace}', "");
    Expect(0, 33, '\P{^ _Is_PerlSpace}', "");
    Error('\p{ 	posixupper:=}');
    Error('\P{ 	posixupper:=}');
    Expect(1, 90, '\p{posixupper}', "");
    Expect(0, 90, '\p{^posixupper}', "");
    Expect(0, 90, '\P{posixupper}', "");
    Expect(1, 90, '\P{^posixupper}', "");
    Expect(0, 91, '\p{posixupper}', "");
    Expect(1, 91, '\p{^posixupper}', "");
    Expect(1, 91, '\P{posixupper}', "");
    Expect(0, 91, '\P{^posixupper}', "");
    Expect(1, 90, '\p{ -POSIXUPPER}', "");
    Expect(0, 90, '\p{^ -POSIXUPPER}', "");
    Expect(0, 90, '\P{ -POSIXUPPER}', "");
    Expect(1, 90, '\P{^ -POSIXUPPER}', "");
    Expect(0, 91, '\p{ -POSIXUPPER}', "");
    Expect(1, 91, '\p{^ -POSIXUPPER}', "");
    Expect(1, 91, '\P{ -POSIXUPPER}', "");
    Expect(0, 91, '\P{^ -POSIXUPPER}', "");
    Error('\p{:=is_posixupper}');
    Error('\P{:=is_posixupper}');
    Expect(1, 90, '\p{isposixupper}', "");
    Expect(0, 90, '\p{^isposixupper}', "");
    Expect(0, 90, '\P{isposixupper}', "");
    Expect(1, 90, '\P{^isposixupper}', "");
    Expect(0, 91, '\p{isposixupper}', "");
    Expect(1, 91, '\p{^isposixupper}', "");
    Expect(1, 91, '\P{isposixupper}', "");
    Expect(0, 91, '\P{^isposixupper}', "");
    Expect(1, 90, '\p{__IS_posixupper}', "");
    Expect(0, 90, '\p{^__IS_posixupper}', "");
    Expect(0, 90, '\P{__IS_posixupper}', "");
    Expect(1, 90, '\P{^__IS_posixupper}', "");
    Expect(0, 91, '\p{__IS_posixupper}', "");
    Expect(1, 91, '\p{^__IS_posixupper}', "");
    Expect(1, 91, '\P{__IS_posixupper}', "");
    Expect(0, 91, '\P{^__IS_posixupper}', "");
    Error('\p{- POSIXWORD/a/}');
    Error('\P{- POSIXWORD/a/}');
    Expect(1, 122, '\p{posixword}', "");
    Expect(0, 122, '\p{^posixword}', "");
    Expect(0, 122, '\P{posixword}', "");
    Expect(1, 122, '\P{^posixword}', "");
    Expect(0, 123, '\p{posixword}', "");
    Expect(1, 123, '\p{^posixword}', "");
    Expect(1, 123, '\P{posixword}', "");
    Expect(0, 123, '\P{^posixword}', "");
    Expect(1, 122, '\p{- POSIXWORD}', "");
    Expect(0, 122, '\p{^- POSIXWORD}', "");
    Expect(0, 122, '\P{- POSIXWORD}', "");
    Expect(1, 122, '\P{^- POSIXWORD}', "");
    Expect(0, 123, '\p{- POSIXWORD}', "");
    Expect(1, 123, '\p{^- POSIXWORD}', "");
    Expect(1, 123, '\P{- POSIXWORD}', "");
    Expect(0, 123, '\P{^- POSIXWORD}', "");
    Error('\p{	-perlword:=}');
    Error('\P{	-perlword:=}');
    Expect(1, 122, '\p{perlword}', "");
    Expect(0, 122, '\p{^perlword}', "");
    Expect(0, 122, '\P{perlword}', "");
    Expect(1, 122, '\P{^perlword}', "");
    Expect(0, 123, '\p{perlword}', "");
    Expect(1, 123, '\p{^perlword}', "");
    Expect(1, 123, '\P{perlword}', "");
    Expect(0, 123, '\P{^perlword}', "");
    Expect(1, 122, '\p{_PERLWORD}', "");
    Expect(0, 122, '\p{^_PERLWORD}', "");
    Expect(0, 122, '\P{_PERLWORD}', "");
    Expect(1, 122, '\P{^_PERLWORD}', "");
    Expect(0, 123, '\p{_PERLWORD}', "");
    Expect(1, 123, '\p{^_PERLWORD}', "");
    Expect(1, 123, '\P{_PERLWORD}', "");
    Expect(0, 123, '\P{^_PERLWORD}', "");
    Error('\p{Is_POSIXWORD:=}');
    Error('\P{Is_POSIXWORD:=}');
    Expect(1, 122, '\p{isposixword}', "");
    Expect(0, 122, '\p{^isposixword}', "");
    Expect(0, 122, '\P{isposixword}', "");
    Expect(1, 122, '\P{^isposixword}', "");
    Expect(0, 123, '\p{isposixword}', "");
    Expect(1, 123, '\p{^isposixword}', "");
    Expect(1, 123, '\P{isposixword}', "");
    Expect(0, 123, '\P{^isposixword}', "");
    Expect(1, 122, '\p{		IS_POSIXWORD}', "");
    Expect(0, 122, '\p{^		IS_POSIXWORD}', "");
    Expect(0, 122, '\P{		IS_POSIXWORD}', "");
    Expect(1, 122, '\P{^		IS_POSIXWORD}', "");
    Expect(0, 123, '\p{		IS_POSIXWORD}', "");
    Expect(1, 123, '\p{^		IS_POSIXWORD}', "");
    Expect(1, 123, '\P{		IS_POSIXWORD}', "");
    Expect(0, 123, '\P{^		IS_POSIXWORD}', "");
    Error('\p{/a/ -Is_perlword}');
    Error('\P{/a/ -Is_perlword}');
    Expect(1, 122, '\p{isperlword}', "");
    Expect(0, 122, '\p{^isperlword}', "");
    Expect(0, 122, '\P{isperlword}', "");
    Expect(1, 122, '\P{^isperlword}', "");
    Expect(0, 123, '\p{isperlword}', "");
    Expect(1, 123, '\p{^isperlword}', "");
    Expect(1, 123, '\P{isperlword}', "");
    Expect(0, 123, '\P{^isperlword}', "");
    Expect(1, 122, '\p{_	Is_PERLWORD}', "");
    Expect(0, 122, '\p{^_	Is_PERLWORD}', "");
    Expect(0, 122, '\P{_	Is_PERLWORD}', "");
    Expect(1, 122, '\P{^_	Is_PERLWORD}', "");
    Expect(0, 123, '\p{_	Is_PERLWORD}', "");
    Expect(1, 123, '\p{^_	Is_PERLWORD}', "");
    Expect(1, 123, '\P{_	Is_PERLWORD}', "");
    Expect(0, 123, '\P{^_	Is_PERLWORD}', "");
    Error('\p{/a/	PosixXDigit}');
    Error('\P{/a/	PosixXDigit}');
    Expect(1, 102, '\p{posixxdigit}', "");
    Expect(0, 102, '\p{^posixxdigit}', "");
    Expect(0, 102, '\P{posixxdigit}', "");
    Expect(1, 102, '\P{^posixxdigit}', "");
    Expect(0, 103, '\p{posixxdigit}', "");
    Expect(1, 103, '\p{^posixxdigit}', "");
    Expect(1, 103, '\P{posixxdigit}', "");
    Expect(0, 103, '\P{^posixxdigit}', "");
    Expect(1, 102, '\p{  PosixXDigit}', "");
    Expect(0, 102, '\p{^  PosixXDigit}', "");
    Expect(0, 102, '\P{  PosixXDigit}', "");
    Expect(1, 102, '\P{^  PosixXDigit}', "");
    Expect(0, 103, '\p{  PosixXDigit}', "");
    Expect(1, 103, '\p{^  PosixXDigit}', "");
    Expect(1, 103, '\P{  PosixXDigit}', "");
    Expect(0, 103, '\P{^  PosixXDigit}', "");
    Error('\p{-/a/IS_PosixXDigit}');
    Error('\P{-/a/IS_PosixXDigit}');
    Expect(1, 102, '\p{isposixxdigit}', "");
    Expect(0, 102, '\p{^isposixxdigit}', "");
    Expect(0, 102, '\P{isposixxdigit}', "");
    Expect(1, 102, '\P{^isposixxdigit}', "");
    Expect(0, 103, '\p{isposixxdigit}', "");
    Expect(1, 103, '\p{^isposixxdigit}', "");
    Expect(1, 103, '\P{isposixxdigit}', "");
    Expect(0, 103, '\P{^isposixxdigit}', "");
    Expect(1, 102, '\p{-	is_PosixXDigit}', "");
    Expect(0, 102, '\p{^-	is_PosixXDigit}', "");
    Expect(0, 102, '\P{-	is_PosixXDigit}', "");
    Expect(1, 102, '\P{^-	is_PosixXDigit}', "");
    Expect(0, 103, '\p{-	is_PosixXDigit}', "");
    Expect(1, 103, '\p{^-	is_PosixXDigit}', "");
    Expect(1, 103, '\P{-	is_PosixXDigit}', "");
    Expect(0, 103, '\P{^-	is_PosixXDigit}', "");
    Error('\p{/a/	 ASCII_Hex_Digit}');
    Error('\P{/a/	 ASCII_Hex_Digit}');
    Expect(1, 102, '\p{asciihexdigit}', "");
    Expect(0, 102, '\p{^asciihexdigit}', "");
    Expect(0, 102, '\P{asciihexdigit}', "");
    Expect(1, 102, '\P{^asciihexdigit}', "");
    Expect(0, 103, '\p{asciihexdigit}', "");
    Expect(1, 103, '\p{^asciihexdigit}', "");
    Expect(1, 103, '\P{asciihexdigit}', "");
    Expect(0, 103, '\P{^asciihexdigit}', "");
    Expect(1, 102, '\p{-	ASCII_Hex_DIGIT}', "");
    Expect(0, 102, '\p{^-	ASCII_Hex_DIGIT}', "");
    Expect(0, 102, '\P{-	ASCII_Hex_DIGIT}', "");
    Expect(1, 102, '\P{^-	ASCII_Hex_DIGIT}', "");
    Expect(0, 103, '\p{-	ASCII_Hex_DIGIT}', "");
    Expect(1, 103, '\p{^-	ASCII_Hex_DIGIT}', "");
    Expect(1, 103, '\P{-	ASCII_Hex_DIGIT}', "");
    Expect(0, 103, '\P{^-	ASCII_Hex_DIGIT}', "");
    Error('\p{/a/_-IS_ASCII_Hex_Digit}');
    Error('\P{/a/_-IS_ASCII_Hex_Digit}');
    Expect(1, 102, '\p{isasciihexdigit}', "");
    Expect(0, 102, '\p{^isasciihexdigit}', "");
    Expect(0, 102, '\P{isasciihexdigit}', "");
    Expect(1, 102, '\P{^isasciihexdigit}', "");
    Expect(0, 103, '\p{isasciihexdigit}', "");
    Expect(1, 103, '\p{^isasciihexdigit}', "");
    Expect(1, 103, '\P{isasciihexdigit}', "");
    Expect(0, 103, '\P{^isasciihexdigit}', "");
    Expect(1, 102, '\p{_is_ascii_Hex_Digit}', "");
    Expect(0, 102, '\p{^_is_ascii_Hex_Digit}', "");
    Expect(0, 102, '\P{_is_ascii_Hex_Digit}', "");
    Expect(1, 102, '\P{^_is_ascii_Hex_Digit}', "");
    Expect(0, 103, '\p{_is_ascii_Hex_Digit}', "");
    Expect(1, 103, '\p{^_is_ascii_Hex_Digit}', "");
    Expect(1, 103, '\P{_is_ascii_Hex_Digit}', "");
    Expect(0, 103, '\P{^_is_ascii_Hex_Digit}', "");
    Error('\p{/a/	ahex}');
    Error('\P{/a/	ahex}');
    Expect(1, 102, '\p{ahex}', "");
    Expect(0, 102, '\p{^ahex}', "");
    Expect(0, 102, '\P{ahex}', "");
    Expect(1, 102, '\P{^ahex}', "");
    Expect(0, 103, '\p{ahex}', "");
    Expect(1, 103, '\p{^ahex}', "");
    Expect(1, 103, '\P{ahex}', "");
    Expect(0, 103, '\P{^ahex}', "");
    Expect(1, 102, '\p{_ AHex}', "");
    Expect(0, 102, '\p{^_ AHex}', "");
    Expect(0, 102, '\P{_ AHex}', "");
    Expect(1, 102, '\P{^_ AHex}', "");
    Expect(0, 103, '\p{_ AHex}', "");
    Expect(1, 103, '\p{^_ AHex}', "");
    Expect(1, 103, '\P{_ AHex}', "");
    Expect(0, 103, '\P{^_ AHex}', "");
    Error('\p{		is_AHex/a/}');
    Error('\P{		is_AHex/a/}');
    Expect(1, 102, '\p{isahex}', "");
    Expect(0, 102, '\p{^isahex}', "");
    Expect(0, 102, '\P{isahex}', "");
    Expect(1, 102, '\P{^isahex}', "");
    Expect(0, 103, '\p{isahex}', "");
    Expect(1, 103, '\p{^isahex}', "");
    Expect(1, 103, '\P{isahex}', "");
    Expect(0, 103, '\P{^isahex}', "");
    Expect(1, 102, '\p{	-Is_AHex}', "");
    Expect(0, 102, '\p{^	-Is_AHex}', "");
    Expect(0, 102, '\P{	-Is_AHex}', "");
    Expect(1, 102, '\P{^	-Is_AHex}', "");
    Expect(0, 103, '\p{	-Is_AHex}', "");
    Expect(1, 103, '\p{^	-Is_AHex}', "");
    Expect(1, 103, '\P{	-Is_AHex}', "");
    Expect(0, 103, '\P{^	-Is_AHex}', "");
    Error('\p{:=_-Prepended_concatenation_Mark}');
    Error('\P{:=_-Prepended_concatenation_Mark}');
    Expect(1, 69837, '\p{prependedconcatenationmark}', "");
    Expect(0, 69837, '\p{^prependedconcatenationmark}', "");
    Expect(0, 69837, '\P{prependedconcatenationmark}', "");
    Expect(1, 69837, '\P{^prependedconcatenationmark}', "");
    Expect(0, 69838, '\p{prependedconcatenationmark}', "");
    Expect(1, 69838, '\p{^prependedconcatenationmark}', "");
    Expect(1, 69838, '\P{prependedconcatenationmark}', "");
    Expect(0, 69838, '\P{^prependedconcatenationmark}', "");
    Expect(1, 69837, '\p{- PREPENDED_concatenation_Mark}', "");
    Expect(0, 69837, '\p{^- PREPENDED_concatenation_Mark}', "");
    Expect(0, 69837, '\P{- PREPENDED_concatenation_Mark}', "");
    Expect(1, 69837, '\P{^- PREPENDED_concatenation_Mark}', "");
    Expect(0, 69838, '\p{- PREPENDED_concatenation_Mark}', "");
    Expect(1, 69838, '\p{^- PREPENDED_concatenation_Mark}', "");
    Expect(1, 69838, '\P{- PREPENDED_concatenation_Mark}', "");
    Expect(0, 69838, '\P{^- PREPENDED_concatenation_Mark}', "");
    Error('\p{:=-_Is_Prepended_concatenation_Mark}');
    Error('\P{:=-_Is_Prepended_concatenation_Mark}');
    Expect(1, 69837, '\p{isprependedconcatenationmark}', "");
    Expect(0, 69837, '\p{^isprependedconcatenationmark}', "");
    Expect(0, 69837, '\P{isprependedconcatenationmark}', "");
    Expect(1, 69837, '\P{^isprependedconcatenationmark}', "");
    Expect(0, 69838, '\p{isprependedconcatenationmark}', "");
    Expect(1, 69838, '\p{^isprependedconcatenationmark}', "");
    Expect(1, 69838, '\P{isprependedconcatenationmark}', "");
    Expect(0, 69838, '\P{^isprependedconcatenationmark}', "");
    Expect(1, 69837, '\p{_Is_Prepended_concatenation_Mark}', "");
    Expect(0, 69837, '\p{^_Is_Prepended_concatenation_Mark}', "");
    Expect(0, 69837, '\P{_Is_Prepended_concatenation_Mark}', "");
    Expect(1, 69837, '\P{^_Is_Prepended_concatenation_Mark}', "");
    Expect(0, 69838, '\p{_Is_Prepended_concatenation_Mark}', "");
    Expect(1, 69838, '\p{^_Is_Prepended_concatenation_Mark}', "");
    Expect(1, 69838, '\P{_Is_Prepended_concatenation_Mark}', "");
    Expect(0, 69838, '\P{^_Is_Prepended_concatenation_Mark}', "");
    Error('\p{:=_	PCM}');
    Error('\P{:=_	PCM}');
    Expect(1, 69837, '\p{pcm}', "");
    Expect(0, 69837, '\p{^pcm}', "");
    Expect(0, 69837, '\P{pcm}', "");
    Expect(1, 69837, '\P{^pcm}', "");
    Expect(0, 69838, '\p{pcm}', "");
    Expect(1, 69838, '\p{^pcm}', "");
    Expect(1, 69838, '\P{pcm}', "");
    Expect(0, 69838, '\P{^pcm}', "");
    Expect(1, 69837, '\p{-PCM}', "");
    Expect(0, 69837, '\p{^-PCM}', "");
    Expect(0, 69837, '\P{-PCM}', "");
    Expect(1, 69837, '\P{^-PCM}', "");
    Expect(0, 69838, '\p{-PCM}', "");
    Expect(1, 69838, '\p{^-PCM}', "");
    Expect(1, 69838, '\P{-PCM}', "");
    Expect(0, 69838, '\P{^-PCM}', "");
    Error('\p{-/a/IS_PCM}');
    Error('\P{-/a/IS_PCM}');
    Expect(1, 69837, '\p{ispcm}', "");
    Expect(0, 69837, '\p{^ispcm}', "");
    Expect(0, 69837, '\P{ispcm}', "");
    Expect(1, 69837, '\P{^ispcm}', "");
    Expect(0, 69838, '\p{ispcm}', "");
    Expect(1, 69838, '\p{^ispcm}', "");
    Expect(1, 69838, '\P{ispcm}', "");
    Expect(0, 69838, '\P{^ispcm}', "");
    Expect(1, 69837, '\p{_is_PCM}', "");
    Expect(0, 69837, '\p{^_is_PCM}', "");
    Expect(0, 69837, '\P{_is_PCM}', "");
    Expect(1, 69837, '\P{^_is_PCM}', "");
    Expect(0, 69838, '\p{_is_PCM}', "");
    Expect(1, 69838, '\p{^_is_PCM}', "");
    Expect(1, 69838, '\P{_is_PCM}', "");
    Expect(0, 69838, '\P{^_is_PCM}', "");
    Error('\p{	:=XPosixPrint}');
    Error('\P{	:=XPosixPrint}');
    Expect(1, 1114109, '\p{xposixprint}', "");
    Expect(0, 1114109, '\p{^xposixprint}', "");
    Expect(0, 1114109, '\P{xposixprint}', "");
    Expect(1, 1114109, '\P{^xposixprint}', "");
    Expect(0, 918000, '\p{xposixprint}', "");
    Expect(1, 918000, '\p{^xposixprint}', "");
    Expect(1, 918000, '\P{xposixprint}', "");
    Expect(0, 918000, '\P{^xposixprint}', "");
    Expect(1, 1114109, '\p{-XPosixPrint}', "");
    Expect(0, 1114109, '\p{^-XPosixPrint}', "");
    Expect(0, 1114109, '\P{-XPosixPrint}', "");
    Expect(1, 1114109, '\P{^-XPosixPrint}', "");
    Expect(0, 918000, '\p{-XPosixPrint}', "");
    Expect(1, 918000, '\p{^-XPosixPrint}', "");
    Expect(1, 918000, '\P{-XPosixPrint}', "");
    Expect(0, 918000, '\P{^-XPosixPrint}', "");
    Error('\p{:=_Print}');
    Error('\P{:=_Print}');
    Expect(1, 1114109, '\p{print}', "");
    Expect(0, 1114109, '\p{^print}', "");
    Expect(0, 1114109, '\P{print}', "");
    Expect(1, 1114109, '\P{^print}', "");
    Expect(0, 918000, '\p{print}', "");
    Expect(1, 918000, '\p{^print}', "");
    Expect(1, 918000, '\P{print}', "");
    Expect(0, 918000, '\P{^print}', "");
    Expect(1, 1114109, '\p{-print}', "");
    Expect(0, 1114109, '\p{^-print}', "");
    Expect(0, 1114109, '\P{-print}', "");
    Expect(1, 1114109, '\P{^-print}', "");
    Expect(0, 918000, '\p{-print}', "");
    Expect(1, 918000, '\p{^-print}', "");
    Expect(1, 918000, '\P{-print}', "");
    Expect(0, 918000, '\P{^-print}', "");
    Error('\p{	Is_xposixprint:=}');
    Error('\P{	Is_xposixprint:=}');
    Expect(1, 1114109, '\p{isxposixprint}', "");
    Expect(0, 1114109, '\p{^isxposixprint}', "");
    Expect(0, 1114109, '\P{isxposixprint}', "");
    Expect(1, 1114109, '\P{^isxposixprint}', "");
    Expect(0, 918000, '\p{isxposixprint}', "");
    Expect(1, 918000, '\p{^isxposixprint}', "");
    Expect(1, 918000, '\P{isxposixprint}', "");
    Expect(0, 918000, '\P{^isxposixprint}', "");
    Expect(1, 1114109, '\p{_	IS_XPosixPrint}', "");
    Expect(0, 1114109, '\p{^_	IS_XPosixPrint}', "");
    Expect(0, 1114109, '\P{_	IS_XPosixPrint}', "");
    Expect(1, 1114109, '\P{^_	IS_XPosixPrint}', "");
    Expect(0, 918000, '\p{_	IS_XPosixPrint}', "");
    Expect(1, 918000, '\p{^_	IS_XPosixPrint}', "");
    Expect(1, 918000, '\P{_	IS_XPosixPrint}', "");
    Expect(0, 918000, '\P{^_	IS_XPosixPrint}', "");
    Error('\p{:=IS_Print}');
    Error('\P{:=IS_Print}');
    Expect(1, 1114109, '\p{isprint}', "");
    Expect(0, 1114109, '\p{^isprint}', "");
    Expect(0, 1114109, '\P{isprint}', "");
    Expect(1, 1114109, '\P{^isprint}', "");
    Expect(0, 918000, '\p{isprint}', "");
    Expect(1, 918000, '\p{^isprint}', "");
    Expect(1, 918000, '\P{isprint}', "");
    Expect(0, 918000, '\P{^isprint}', "");
    Expect(1, 1114109, '\p{  is_PRINT}', "");
    Expect(0, 1114109, '\p{^  is_PRINT}', "");
    Expect(0, 1114109, '\P{  is_PRINT}', "");
    Expect(1, 1114109, '\P{^  is_PRINT}', "");
    Expect(0, 918000, '\p{  is_PRINT}', "");
    Expect(1, 918000, '\p{^  is_PRINT}', "");
    Expect(1, 918000, '\P{  is_PRINT}', "");
    Expect(0, 918000, '\P{^  is_PRINT}', "");
    Error('\p{:=- PRIVATE_use}');
    Error('\P{:=- PRIVATE_use}');
    Expect(1, 1114109, '\p{privateuse}', "");
    Expect(0, 1114109, '\p{^privateuse}', "");
    Expect(0, 1114109, '\P{privateuse}', "");
    Expect(1, 1114109, '\P{^privateuse}', "");
    Expect(0, 63744, '\p{privateuse}', "");
    Expect(1, 63744, '\p{^privateuse}', "");
    Expect(1, 63744, '\P{privateuse}', "");
    Expect(0, 63744, '\P{^privateuse}', "");
    Expect(1, 1114109, '\p{Private_use}', "");
    Expect(0, 1114109, '\p{^Private_use}', "");
    Expect(0, 1114109, '\P{Private_use}', "");
    Expect(1, 1114109, '\P{^Private_use}', "");
    Expect(0, 63744, '\p{Private_use}', "");
    Expect(1, 63744, '\p{^Private_use}', "");
    Expect(1, 63744, '\P{Private_use}', "");
    Expect(0, 63744, '\P{^Private_use}', "");
    Error('\p{/a/	-Is_Private_Use}');
    Error('\P{/a/	-Is_Private_Use}');
    Expect(1, 1114109, '\p{isprivateuse}', "");
    Expect(0, 1114109, '\p{^isprivateuse}', "");
    Expect(0, 1114109, '\P{isprivateuse}', "");
    Expect(1, 1114109, '\P{^isprivateuse}', "");
    Expect(0, 63744, '\p{isprivateuse}', "");
    Expect(1, 63744, '\p{^isprivateuse}', "");
    Expect(1, 63744, '\P{isprivateuse}', "");
    Expect(0, 63744, '\P{^isprivateuse}', "");
    Expect(1, 1114109, '\p{	Is_Private_Use}', "");
    Expect(0, 1114109, '\p{^	Is_Private_Use}', "");
    Expect(0, 1114109, '\P{	Is_Private_Use}', "");
    Expect(1, 1114109, '\P{^	Is_Private_Use}', "");
    Expect(0, 63744, '\p{	Is_Private_Use}', "");
    Expect(1, 63744, '\p{^	Is_Private_Use}', "");
    Expect(1, 63744, '\P{	Is_Private_Use}', "");
    Expect(0, 63744, '\P{^	Is_Private_Use}', "");
    Error('\p{_	Co/a/}');
    Error('\P{_	Co/a/}');
    Expect(1, 1114109, '\p{co}', "");
    Expect(0, 1114109, '\p{^co}', "");
    Expect(0, 1114109, '\P{co}', "");
    Expect(1, 1114109, '\P{^co}', "");
    Expect(0, 63744, '\p{co}', "");
    Expect(1, 63744, '\p{^co}', "");
    Expect(1, 63744, '\P{co}', "");
    Expect(0, 63744, '\P{^co}', "");
    Expect(1, 1114109, '\p{		co}', "");
    Expect(0, 1114109, '\p{^		co}', "");
    Expect(0, 1114109, '\P{		co}', "");
    Expect(1, 1114109, '\P{^		co}', "");
    Expect(0, 63744, '\p{		co}', "");
    Expect(1, 63744, '\p{^		co}', "");
    Expect(1, 63744, '\P{		co}', "");
    Expect(0, 63744, '\P{^		co}', "");
    Error('\p{- is_Co:=}');
    Error('\P{- is_Co:=}');
    Expect(1, 1114109, '\p{isco}', "");
    Expect(0, 1114109, '\p{^isco}', "");
    Expect(0, 1114109, '\P{isco}', "");
    Expect(1, 1114109, '\P{^isco}', "");
    Expect(0, 63744, '\p{isco}', "");
    Expect(1, 63744, '\p{^isco}', "");
    Expect(1, 63744, '\P{isco}', "");
    Expect(0, 63744, '\P{^isco}', "");
    Expect(1, 1114109, '\p{	 Is_CO}', "");
    Expect(0, 1114109, '\p{^	 Is_CO}', "");
    Expect(0, 1114109, '\P{	 Is_CO}', "");
    Expect(1, 1114109, '\P{^	 Is_CO}', "");
    Expect(0, 63744, '\p{	 Is_CO}', "");
    Expect(1, 63744, '\p{^	 Is_CO}', "");
    Expect(1, 63744, '\P{	 Is_CO}', "");
    Expect(0, 63744, '\P{^	 Is_CO}', "");
    Error('\p{:=-	private_USE_Area}');
    Error('\P{:=-	private_USE_Area}');
    Expect(1, 63743, '\p{privateusearea}', "");
    Expect(0, 63743, '\p{^privateusearea}', "");
    Expect(0, 63743, '\P{privateusearea}', "");
    Expect(1, 63743, '\P{^privateusearea}', "");
    Expect(0, 63744, '\p{privateusearea}', "");
    Expect(1, 63744, '\p{^privateusearea}', "");
    Expect(1, 63744, '\P{privateusearea}', "");
    Expect(0, 63744, '\P{^privateusearea}', "");
    Expect(1, 63743, '\p{	PRIVATE_Use_Area}', "");
    Expect(0, 63743, '\p{^	PRIVATE_Use_Area}', "");
    Expect(0, 63743, '\P{	PRIVATE_Use_Area}', "");
    Expect(1, 63743, '\P{^	PRIVATE_Use_Area}', "");
    Expect(0, 63744, '\p{	PRIVATE_Use_Area}', "");
    Expect(1, 63744, '\p{^	PRIVATE_Use_Area}', "");
    Expect(1, 63744, '\P{	PRIVATE_Use_Area}', "");
    Expect(0, 63744, '\P{^	PRIVATE_Use_Area}', "");
    Error('\p{	/a/is_private_USE_AREA}');
    Error('\P{	/a/is_private_USE_AREA}');
    Expect(1, 63743, '\p{isprivateusearea}', "");
    Expect(0, 63743, '\p{^isprivateusearea}', "");
    Expect(0, 63743, '\P{isprivateusearea}', "");
    Expect(1, 63743, '\P{^isprivateusearea}', "");
    Expect(0, 63744, '\p{isprivateusearea}', "");
    Expect(1, 63744, '\p{^isprivateusearea}', "");
    Expect(1, 63744, '\P{isprivateusearea}', "");
    Expect(0, 63744, '\P{^isprivateusearea}', "");
    Expect(1, 63743, '\p{ _IS_PRIVATE_USE_AREA}', "");
    Expect(0, 63743, '\p{^ _IS_PRIVATE_USE_AREA}', "");
    Expect(0, 63743, '\P{ _IS_PRIVATE_USE_AREA}', "");
    Expect(1, 63743, '\P{^ _IS_PRIVATE_USE_AREA}', "");
    Expect(0, 63744, '\p{ _IS_PRIVATE_USE_AREA}', "");
    Expect(1, 63744, '\p{^ _IS_PRIVATE_USE_AREA}', "");
    Expect(1, 63744, '\P{ _IS_PRIVATE_USE_AREA}', "");
    Expect(0, 63744, '\P{^ _IS_PRIVATE_USE_AREA}', "");
    Error('\p{	In_Private_use_Area/a/}');
    Error('\P{	In_Private_use_Area/a/}');
    Expect(1, 63743, '\p{inprivateusearea}', "");
    Expect(0, 63743, '\p{^inprivateusearea}', "");
    Expect(0, 63743, '\P{inprivateusearea}', "");
    Expect(1, 63743, '\P{^inprivateusearea}', "");
    Expect(0, 63744, '\p{inprivateusearea}', "");
    Expect(1, 63744, '\p{^inprivateusearea}', "");
    Expect(1, 63744, '\P{inprivateusearea}', "");
    Expect(0, 63744, '\P{^inprivateusearea}', "");
    Expect(1, 63743, '\p{	 In_Private_use_Area}', "");
    Expect(0, 63743, '\p{^	 In_Private_use_Area}', "");
    Expect(0, 63743, '\P{	 In_Private_use_Area}', "");
    Expect(1, 63743, '\P{^	 In_Private_use_Area}', "");
    Expect(0, 63744, '\p{	 In_Private_use_Area}', "");
    Expect(1, 63744, '\p{^	 In_Private_use_Area}', "");
    Expect(1, 63744, '\P{	 In_Private_use_Area}', "");
    Expect(0, 63744, '\P{^	 In_Private_use_Area}', "");
    Error('\p{ /a/PUA}');
    Error('\P{ /a/PUA}');
    Expect(1, 63743, '\p{pua}', "");
    Expect(0, 63743, '\p{^pua}', "");
    Expect(0, 63743, '\P{pua}', "");
    Expect(1, 63743, '\P{^pua}', "");
    Expect(0, 63744, '\p{pua}', "");
    Expect(1, 63744, '\p{^pua}', "");
    Expect(1, 63744, '\P{pua}', "");
    Expect(0, 63744, '\P{^pua}', "");
    Expect(1, 63743, '\p{__PUA}', "");
    Expect(0, 63743, '\p{^__PUA}', "");
    Expect(0, 63743, '\P{__PUA}', "");
    Expect(1, 63743, '\P{^__PUA}', "");
    Expect(0, 63744, '\p{__PUA}', "");
    Expect(1, 63744, '\p{^__PUA}', "");
    Expect(1, 63744, '\P{__PUA}', "");
    Expect(0, 63744, '\P{^__PUA}', "");
    Error('\p{:=-	Is_PUA}');
    Error('\P{:=-	Is_PUA}');
    Expect(1, 63743, '\p{ispua}', "");
    Expect(0, 63743, '\p{^ispua}', "");
    Expect(0, 63743, '\P{ispua}', "");
    Expect(1, 63743, '\P{^ispua}', "");
    Expect(0, 63744, '\p{ispua}', "");
    Expect(1, 63744, '\p{^ispua}', "");
    Expect(1, 63744, '\P{ispua}', "");
    Expect(0, 63744, '\P{^ispua}', "");
    Expect(1, 63743, '\p{_is_PUA}', "");
    Expect(0, 63743, '\p{^_is_PUA}', "");
    Expect(0, 63743, '\P{_is_PUA}', "");
    Expect(1, 63743, '\P{^_is_PUA}', "");
    Expect(0, 63744, '\p{_is_PUA}', "");
    Expect(1, 63744, '\p{^_is_PUA}', "");
    Expect(1, 63744, '\P{_is_PUA}', "");
    Expect(0, 63744, '\P{^_is_PUA}', "");
    Error('\p{:=	In_PUA}');
    Error('\P{:=	In_PUA}');
    Expect(1, 63743, '\p{inpua}', "");
    Expect(0, 63743, '\p{^inpua}', "");
    Expect(0, 63743, '\P{inpua}', "");
    Expect(1, 63743, '\P{^inpua}', "");
    Expect(0, 63744, '\p{inpua}', "");
    Expect(1, 63744, '\p{^inpua}', "");
    Expect(1, 63744, '\P{inpua}', "");
    Expect(0, 63744, '\P{^inpua}', "");
    Expect(1, 63743, '\p{__In_pua}', "");
    Expect(0, 63743, '\p{^__In_pua}', "");
    Expect(0, 63743, '\P{__In_pua}', "");
    Expect(1, 63743, '\P{^__In_pua}', "");
    Expect(0, 63744, '\p{__In_pua}', "");
    Expect(1, 63744, '\p{^__In_pua}', "");
    Expect(1, 63744, '\P{__In_pua}', "");
    Expect(0, 63744, '\P{^__In_pua}', "");
    Error('\p{/a/-	In_Private_use}');
    Error('\P{/a/-	In_Private_use}');
    Expect(1, 63743, '\p{inprivateuse}', "");
    Expect(0, 63743, '\p{^inprivateuse}', "");
    Expect(0, 63743, '\P{inprivateuse}', "");
    Expect(1, 63743, '\P{^inprivateuse}', "");
    Expect(0, 63744, '\p{inprivateuse}', "");
    Expect(1, 63744, '\p{^inprivateuse}', "");
    Expect(1, 63744, '\P{inprivateuse}', "");
    Expect(0, 63744, '\P{^inprivateuse}', "");
    Expect(1, 63743, '\p{	 IN_PRIVATE_Use}', "");
    Expect(0, 63743, '\p{^	 IN_PRIVATE_Use}', "");
    Expect(0, 63743, '\P{	 IN_PRIVATE_Use}', "");
    Expect(1, 63743, '\P{^	 IN_PRIVATE_Use}', "");
    Expect(0, 63744, '\p{	 IN_PRIVATE_Use}', "");
    Expect(1, 63744, '\p{^	 IN_PRIVATE_Use}', "");
    Expect(1, 63744, '\P{	 IN_PRIVATE_Use}', "");
    Expect(0, 63744, '\P{^	 IN_PRIVATE_Use}', "");
    Error('\p{:= Psalter_Pahlavi}');
    Error('\P{:= Psalter_Pahlavi}');
    Expect(1, 68527, '\p{psalterpahlavi}', "");
    Expect(0, 68527, '\p{^psalterpahlavi}', "");
    Expect(0, 68527, '\P{psalterpahlavi}', "");
    Expect(1, 68527, '\P{^psalterpahlavi}', "");
    Expect(0, 68528, '\p{psalterpahlavi}', "");
    Expect(1, 68528, '\p{^psalterpahlavi}', "");
    Expect(1, 68528, '\P{psalterpahlavi}', "");
    Expect(0, 68528, '\P{^psalterpahlavi}', "");
    Expect(1, 68527, '\p{	Psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^	Psalter_pahlavi}', "");
    Expect(0, 68527, '\P{	Psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^	Psalter_pahlavi}', "");
    Expect(0, 68528, '\p{	Psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^	Psalter_pahlavi}', "");
    Expect(1, 68528, '\P{	Psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^	Psalter_pahlavi}', "");
    Error('\p{	 IS_PSALTER_pahlavi/a/}');
    Error('\P{	 IS_PSALTER_pahlavi/a/}');
    Expect(1, 68527, '\p{ispsalterpahlavi}', "");
    Expect(0, 68527, '\p{^ispsalterpahlavi}', "");
    Expect(0, 68527, '\P{ispsalterpahlavi}', "");
    Expect(1, 68527, '\P{^ispsalterpahlavi}', "");
    Expect(0, 68528, '\p{ispsalterpahlavi}', "");
    Expect(1, 68528, '\p{^ispsalterpahlavi}', "");
    Expect(1, 68528, '\P{ispsalterpahlavi}', "");
    Expect(0, 68528, '\P{^ispsalterpahlavi}', "");
    Expect(1, 68527, '\p{	 is_PSALTER_pahlavi}', "");
    Expect(0, 68527, '\p{^	 is_PSALTER_pahlavi}', "");
    Expect(0, 68527, '\P{	 is_PSALTER_pahlavi}', "");
    Expect(1, 68527, '\P{^	 is_PSALTER_pahlavi}', "");
    Expect(0, 68528, '\p{	 is_PSALTER_pahlavi}', "");
    Expect(1, 68528, '\p{^	 is_PSALTER_pahlavi}', "");
    Expect(1, 68528, '\P{	 is_PSALTER_pahlavi}', "");
    Expect(0, 68528, '\P{^	 is_PSALTER_pahlavi}', "");
    Error('\p{ _Phlp/a/}');
    Error('\P{ _Phlp/a/}');
    Expect(1, 68527, '\p{phlp}', "");
    Expect(0, 68527, '\p{^phlp}', "");
    Expect(0, 68527, '\P{phlp}', "");
    Expect(1, 68527, '\P{^phlp}', "");
    Expect(0, 68528, '\p{phlp}', "");
    Expect(1, 68528, '\p{^phlp}', "");
    Expect(1, 68528, '\P{phlp}', "");
    Expect(0, 68528, '\P{^phlp}', "");
    Expect(1, 68527, '\p{_-phlp}', "");
    Expect(0, 68527, '\p{^_-phlp}', "");
    Expect(0, 68527, '\P{_-phlp}', "");
    Expect(1, 68527, '\P{^_-phlp}', "");
    Expect(0, 68528, '\p{_-phlp}', "");
    Expect(1, 68528, '\p{^_-phlp}', "");
    Expect(1, 68528, '\P{_-phlp}', "");
    Expect(0, 68528, '\P{^_-phlp}', "");
    Error('\p{ -Is_phlp:=}');
    Error('\P{ -Is_phlp:=}');
    Expect(1, 68527, '\p{isphlp}', "");
    Expect(0, 68527, '\p{^isphlp}', "");
    Expect(0, 68527, '\P{isphlp}', "");
    Expect(1, 68527, '\P{^isphlp}', "");
    Expect(0, 68528, '\p{isphlp}', "");
    Expect(1, 68528, '\p{^isphlp}', "");
    Expect(1, 68528, '\P{isphlp}', "");
    Expect(0, 68528, '\P{^isphlp}', "");
    Expect(1, 68527, '\p{-_is_phlp}', "");
    Expect(0, 68527, '\p{^-_is_phlp}', "");
    Expect(0, 68527, '\P{-_is_phlp}', "");
    Expect(1, 68527, '\P{^-_is_phlp}', "");
    Expect(0, 68528, '\p{-_is_phlp}', "");
    Expect(1, 68528, '\p{^-_is_phlp}', "");
    Expect(1, 68528, '\P{-_is_phlp}', "");
    Expect(0, 68528, '\P{^-_is_phlp}', "");
    Error('\p{/a/ -punct}');
    Error('\P{/a/ -punct}');
    Expect(1, 125279, '\p{punct}', "");
    Expect(0, 125279, '\p{^punct}', "");
    Expect(0, 125279, '\P{punct}', "");
    Expect(1, 125279, '\P{^punct}', "");
    Expect(0, 125280, '\p{punct}', "");
    Expect(1, 125280, '\p{^punct}', "");
    Expect(1, 125280, '\P{punct}', "");
    Expect(0, 125280, '\P{^punct}', "");
    Expect(1, 125279, '\p{_PUNCT}', "");
    Expect(0, 125279, '\p{^_PUNCT}', "");
    Expect(0, 125279, '\P{_PUNCT}', "");
    Expect(1, 125279, '\P{^_PUNCT}', "");
    Expect(0, 125280, '\p{_PUNCT}', "");
    Expect(1, 125280, '\p{^_PUNCT}', "");
    Expect(1, 125280, '\P{_PUNCT}', "");
    Expect(0, 125280, '\P{^_PUNCT}', "");
    Error('\p{/a/	 Is_PUNCT}');
    Error('\P{/a/	 Is_PUNCT}');
    Expect(1, 125279, '\p{ispunct}', "");
    Expect(0, 125279, '\p{^ispunct}', "");
    Expect(0, 125279, '\P{ispunct}', "");
    Expect(1, 125279, '\P{^ispunct}', "");
    Expect(0, 125280, '\p{ispunct}', "");
    Expect(1, 125280, '\p{^ispunct}', "");
    Expect(1, 125280, '\P{ispunct}', "");
    Expect(0, 125280, '\P{^ispunct}', "");
    Expect(1, 125279, '\p{-_Is_punct}', "");
    Expect(0, 125279, '\p{^-_Is_punct}', "");
    Expect(0, 125279, '\P{-_Is_punct}', "");
    Expect(1, 125279, '\P{^-_Is_punct}', "");
    Expect(0, 125280, '\p{-_Is_punct}', "");
    Expect(1, 125280, '\p{^-_Is_punct}', "");
    Expect(1, 125280, '\P{-_Is_punct}', "");
    Expect(0, 125280, '\P{^-_Is_punct}', "");
    Error('\p{ _PUNCTUATION/a/}');
    Error('\P{ _PUNCTUATION/a/}');
    Expect(1, 125279, '\p{punctuation}', "");
    Expect(0, 125279, '\p{^punctuation}', "");
    Expect(0, 125279, '\P{punctuation}', "");
    Expect(1, 125279, '\P{^punctuation}', "");
    Expect(0, 125280, '\p{punctuation}', "");
    Expect(1, 125280, '\p{^punctuation}', "");
    Expect(1, 125280, '\P{punctuation}', "");
    Expect(0, 125280, '\P{^punctuation}', "");
    Expect(1, 125279, '\p{ punctuation}', "");
    Expect(0, 125279, '\p{^ punctuation}', "");
    Expect(0, 125279, '\P{ punctuation}', "");
    Expect(1, 125279, '\P{^ punctuation}', "");
    Expect(0, 125280, '\p{ punctuation}', "");
    Expect(1, 125280, '\p{^ punctuation}', "");
    Expect(1, 125280, '\P{ punctuation}', "");
    Expect(0, 125280, '\P{^ punctuation}', "");
    Error('\p{/a/__Is_Punctuation}');
    Error('\P{/a/__Is_Punctuation}');
    Expect(1, 125279, '\p{ispunctuation}', "");
    Expect(0, 125279, '\p{^ispunctuation}', "");
    Expect(0, 125279, '\P{ispunctuation}', "");
    Expect(1, 125279, '\P{^ispunctuation}', "");
    Expect(0, 125280, '\p{ispunctuation}', "");
    Expect(1, 125280, '\p{^ispunctuation}', "");
    Expect(1, 125280, '\P{ispunctuation}', "");
    Expect(0, 125280, '\P{^ispunctuation}', "");
    Expect(1, 125279, '\p{_is_PUNCTUATION}', "");
    Expect(0, 125279, '\p{^_is_PUNCTUATION}', "");
    Expect(0, 125279, '\P{_is_PUNCTUATION}', "");
    Expect(1, 125279, '\P{^_is_PUNCTUATION}', "");
    Expect(0, 125280, '\p{_is_PUNCTUATION}', "");
    Expect(1, 125280, '\p{^_is_PUNCTUATION}', "");
    Expect(1, 125280, '\P{_is_PUNCTUATION}', "");
    Expect(0, 125280, '\P{^_is_PUNCTUATION}', "");
    Error('\p{	 P:=}');
    Error('\P{	 P:=}');
    Expect(1, 125279, '\p{p}', "");
    Expect(0, 125279, '\p{^p}', "");
    Expect(0, 125279, '\P{p}', "");
    Expect(1, 125279, '\P{^p}', "");
    Expect(0, 125280, '\p{p}', "");
    Expect(1, 125280, '\p{^p}', "");
    Expect(1, 125280, '\P{p}', "");
    Expect(0, 125280, '\P{^p}', "");
    Expect(1, 125279, '\p{-P}', "");
    Expect(0, 125279, '\p{^-P}', "");
    Expect(0, 125279, '\P{-P}', "");
    Expect(1, 125279, '\P{^-P}', "");
    Expect(0, 125280, '\p{-P}', "");
    Expect(1, 125280, '\p{^-P}', "");
    Expect(1, 125280, '\P{-P}', "");
    Expect(0, 125280, '\P{^-P}', "");
    Error('\p{	:=Is_P}');
    Error('\P{	:=Is_P}');
    Expect(1, 125279, '\p{isp}', "");
    Expect(0, 125279, '\p{^isp}', "");
    Expect(0, 125279, '\P{isp}', "");
    Expect(1, 125279, '\P{^isp}', "");
    Expect(0, 125280, '\p{isp}', "");
    Expect(1, 125280, '\p{^isp}', "");
    Expect(1, 125280, '\P{isp}', "");
    Expect(0, 125280, '\P{^isp}', "");
    Expect(1, 125279, '\p{ -Is_P}', "");
    Expect(0, 125279, '\p{^ -Is_P}', "");
    Expect(0, 125279, '\P{ -Is_P}', "");
    Expect(1, 125279, '\P{^ -Is_P}', "");
    Expect(0, 125280, '\p{ -Is_P}', "");
    Expect(1, 125280, '\p{^ -Is_P}', "");
    Expect(1, 125280, '\P{ -Is_P}', "");
    Expect(0, 125280, '\P{^ -Is_P}', "");
    Error('\p{--Quotation_Mark/a/}');
    Error('\P{--Quotation_Mark/a/}');
    Expect(1, 65379, '\p{quotationmark}', "");
    Expect(0, 65379, '\p{^quotationmark}', "");
    Expect(0, 65379, '\P{quotationmark}', "");
    Expect(1, 65379, '\P{^quotationmark}', "");
    Expect(0, 65380, '\p{quotationmark}', "");
    Expect(1, 65380, '\p{^quotationmark}', "");
    Expect(1, 65380, '\P{quotationmark}', "");
    Expect(0, 65380, '\P{^quotationmark}', "");
    Expect(1, 65379, '\p{	QUOTATION_mark}', "");
    Expect(0, 65379, '\p{^	QUOTATION_mark}', "");
    Expect(0, 65379, '\P{	QUOTATION_mark}', "");
    Expect(1, 65379, '\P{^	QUOTATION_mark}', "");
    Expect(0, 65380, '\p{	QUOTATION_mark}', "");
    Expect(1, 65380, '\p{^	QUOTATION_mark}', "");
    Expect(1, 65380, '\P{	QUOTATION_mark}', "");
    Expect(0, 65380, '\P{^	QUOTATION_mark}', "");
    Error('\p{:=-IS_Quotation_mark}');
    Error('\P{:=-IS_Quotation_mark}');
    Expect(1, 65379, '\p{isquotationmark}', "");
    Expect(0, 65379, '\p{^isquotationmark}', "");
    Expect(0, 65379, '\P{isquotationmark}', "");
    Expect(1, 65379, '\P{^isquotationmark}', "");
    Expect(0, 65380, '\p{isquotationmark}', "");
    Expect(1, 65380, '\p{^isquotationmark}', "");
    Expect(1, 65380, '\P{isquotationmark}', "");
    Expect(0, 65380, '\P{^isquotationmark}', "");
    Expect(1, 65379, '\p{ 	Is_quotation_mark}', "");
    Expect(0, 65379, '\p{^ 	Is_quotation_mark}', "");
    Expect(0, 65379, '\P{ 	Is_quotation_mark}', "");
    Expect(1, 65379, '\P{^ 	Is_quotation_mark}', "");
    Expect(0, 65380, '\p{ 	Is_quotation_mark}', "");
    Expect(1, 65380, '\p{^ 	Is_quotation_mark}', "");
    Expect(1, 65380, '\P{ 	Is_quotation_mark}', "");
    Expect(0, 65380, '\P{^ 	Is_quotation_mark}', "");
    Error('\p{-	QMark/a/}');
    Error('\P{-	QMark/a/}');
    Expect(1, 65379, '\p{qmark}', "");
    Expect(0, 65379, '\p{^qmark}', "");
    Expect(0, 65379, '\P{qmark}', "");
    Expect(1, 65379, '\P{^qmark}', "");
    Expect(0, 65380, '\p{qmark}', "");
    Expect(1, 65380, '\p{^qmark}', "");
    Expect(1, 65380, '\P{qmark}', "");
    Expect(0, 65380, '\P{^qmark}', "");
    Expect(1, 65379, '\p{QMark}', "");
    Expect(0, 65379, '\p{^QMark}', "");
    Expect(0, 65379, '\P{QMark}', "");
    Expect(1, 65379, '\P{^QMark}', "");
    Expect(0, 65380, '\p{QMark}', "");
    Expect(1, 65380, '\p{^QMark}', "");
    Expect(1, 65380, '\P{QMark}', "");
    Expect(0, 65380, '\P{^QMark}', "");
    Error('\p{/a/	 Is_QMark}');
    Error('\P{/a/	 Is_QMark}');
    Expect(1, 65379, '\p{isqmark}', "");
    Expect(0, 65379, '\p{^isqmark}', "");
    Expect(0, 65379, '\P{isqmark}', "");
    Expect(1, 65379, '\P{^isqmark}', "");
    Expect(0, 65380, '\p{isqmark}', "");
    Expect(1, 65380, '\p{^isqmark}', "");
    Expect(1, 65380, '\P{isqmark}', "");
    Expect(0, 65380, '\P{^isqmark}', "");
    Expect(1, 65379, '\p{_is_qmark}', "");
    Expect(0, 65379, '\p{^_is_qmark}', "");
    Expect(0, 65379, '\P{_is_qmark}', "");
    Expect(1, 65379, '\P{^_is_qmark}', "");
    Expect(0, 65380, '\p{_is_qmark}', "");
    Expect(1, 65380, '\p{^_is_qmark}', "");
    Expect(1, 65380, '\P{_is_qmark}', "");
    Expect(0, 65380, '\P{^_is_qmark}', "");
    Error('\p{_-Radical:=}');
    Error('\P{_-Radical:=}');
    Expect(1, 12245, '\p{radical}', "");
    Expect(0, 12245, '\p{^radical}', "");
    Expect(0, 12245, '\P{radical}', "");
    Expect(1, 12245, '\P{^radical}', "");
    Expect(0, 12246, '\p{radical}', "");
    Expect(1, 12246, '\p{^radical}', "");
    Expect(1, 12246, '\P{radical}', "");
    Expect(0, 12246, '\P{^radical}', "");
    Expect(1, 12245, '\p{	 radical}', "");
    Expect(0, 12245, '\p{^	 radical}', "");
    Expect(0, 12245, '\P{	 radical}', "");
    Expect(1, 12245, '\P{^	 radical}', "");
    Expect(0, 12246, '\p{	 radical}', "");
    Expect(1, 12246, '\p{^	 radical}', "");
    Expect(1, 12246, '\P{	 radical}', "");
    Expect(0, 12246, '\P{^	 radical}', "");
    Error('\p{/a/	is_Radical}');
    Error('\P{/a/	is_Radical}');
    Expect(1, 12245, '\p{isradical}', "");
    Expect(0, 12245, '\p{^isradical}', "");
    Expect(0, 12245, '\P{isradical}', "");
    Expect(1, 12245, '\P{^isradical}', "");
    Expect(0, 12246, '\p{isradical}', "");
    Expect(1, 12246, '\p{^isradical}', "");
    Expect(1, 12246, '\P{isradical}', "");
    Expect(0, 12246, '\P{^isradical}', "");
    Expect(1, 12245, '\p{	 Is_RADICAL}', "");
    Expect(0, 12245, '\p{^	 Is_RADICAL}', "");
    Expect(0, 12245, '\P{	 Is_RADICAL}', "");
    Expect(1, 12245, '\P{^	 Is_RADICAL}', "");
    Expect(0, 12246, '\p{	 Is_RADICAL}', "");
    Expect(1, 12246, '\p{^	 Is_RADICAL}', "");
    Expect(1, 12246, '\P{	 Is_RADICAL}', "");
    Expect(0, 12246, '\P{^	 Is_RADICAL}', "");
    Error('\p{/a/-	Regional_INDICATOR}');
    Error('\P{/a/-	Regional_INDICATOR}');
    Expect(1, 127487, '\p{regionalindicator}', "");
    Expect(0, 127487, '\p{^regionalindicator}', "");
    Expect(0, 127487, '\P{regionalindicator}', "");
    Expect(1, 127487, '\P{^regionalindicator}', "");
    Expect(0, 127488, '\p{regionalindicator}', "");
    Expect(1, 127488, '\p{^regionalindicator}', "");
    Expect(1, 127488, '\P{regionalindicator}', "");
    Expect(0, 127488, '\P{^regionalindicator}', "");
    Expect(1, 127487, '\p{-Regional_indicator}', "");
    Expect(0, 127487, '\p{^-Regional_indicator}', "");
    Expect(0, 127487, '\P{-Regional_indicator}', "");
    Expect(1, 127487, '\P{^-Regional_indicator}', "");
    Expect(0, 127488, '\p{-Regional_indicator}', "");
    Expect(1, 127488, '\p{^-Regional_indicator}', "");
    Expect(1, 127488, '\P{-Regional_indicator}', "");
    Expect(0, 127488, '\P{^-Regional_indicator}', "");
    Error('\p{/a/is_REGIONAL_indicator}');
    Error('\P{/a/is_REGIONAL_indicator}');
    Expect(1, 127487, '\p{isregionalindicator}', "");
    Expect(0, 127487, '\p{^isregionalindicator}', "");
    Expect(0, 127487, '\P{isregionalindicator}', "");
    Expect(1, 127487, '\P{^isregionalindicator}', "");
    Expect(0, 127488, '\p{isregionalindicator}', "");
    Expect(1, 127488, '\p{^isregionalindicator}', "");
    Expect(1, 127488, '\P{isregionalindicator}', "");
    Expect(0, 127488, '\P{^isregionalindicator}', "");
    Expect(1, 127487, '\p{_ Is_REGIONAL_INDICATOR}', "");
    Expect(0, 127487, '\p{^_ Is_REGIONAL_INDICATOR}', "");
    Expect(0, 127487, '\P{_ Is_REGIONAL_INDICATOR}', "");
    Expect(1, 127487, '\P{^_ Is_REGIONAL_INDICATOR}', "");
    Expect(0, 127488, '\p{_ Is_REGIONAL_INDICATOR}', "");
    Expect(1, 127488, '\p{^_ Is_REGIONAL_INDICATOR}', "");
    Expect(1, 127488, '\P{_ Is_REGIONAL_INDICATOR}', "");
    Expect(0, 127488, '\P{^_ Is_REGIONAL_INDICATOR}', "");
    Error('\p{:=__ri}');
    Error('\P{:=__ri}');
    Expect(1, 127487, '\p{ri}', "");
    Expect(0, 127487, '\p{^ri}', "");
    Expect(0, 127487, '\P{ri}', "");
    Expect(1, 127487, '\P{^ri}', "");
    Expect(0, 127488, '\p{ri}', "");
    Expect(1, 127488, '\p{^ri}', "");
    Expect(1, 127488, '\P{ri}', "");
    Expect(0, 127488, '\P{^ri}', "");
    Expect(1, 127487, '\p{ _ri}', "");
    Expect(0, 127487, '\p{^ _ri}', "");
    Expect(0, 127487, '\P{ _ri}', "");
    Expect(1, 127487, '\P{^ _ri}', "");
    Expect(0, 127488, '\p{ _ri}', "");
    Expect(1, 127488, '\p{^ _ri}', "");
    Expect(1, 127488, '\P{ _ri}', "");
    Expect(0, 127488, '\P{^ _ri}', "");
    Error('\p{-:=is_ri}');
    Error('\P{-:=is_ri}');
    Expect(1, 127487, '\p{isri}', "");
    Expect(0, 127487, '\p{^isri}', "");
    Expect(0, 127487, '\P{isri}', "");
    Expect(1, 127487, '\P{^isri}', "");
    Expect(0, 127488, '\p{isri}', "");
    Expect(1, 127488, '\p{^isri}', "");
    Expect(1, 127488, '\P{isri}', "");
    Expect(0, 127488, '\P{^isri}', "");
    Expect(1, 127487, '\p{	is_RI}', "");
    Expect(0, 127487, '\p{^	is_RI}', "");
    Expect(0, 127487, '\P{	is_RI}', "");
    Expect(1, 127487, '\P{^	is_RI}', "");
    Expect(0, 127488, '\p{	is_RI}', "");
    Expect(1, 127488, '\p{^	is_RI}', "");
    Expect(1, 127488, '\P{	is_RI}', "");
    Expect(0, 127488, '\P{^	is_RI}', "");
    Error('\p{:=rejang}');
    Error('\P{:=rejang}');
    Expect(1, 43359, '\p{rejang}', "");
    Expect(0, 43359, '\p{^rejang}', "");
    Expect(0, 43359, '\P{rejang}', "");
    Expect(1, 43359, '\P{^rejang}', "");
    Expect(0, 43360, '\p{rejang}', "");
    Expect(1, 43360, '\p{^rejang}', "");
    Expect(1, 43360, '\P{rejang}', "");
    Expect(0, 43360, '\P{^rejang}', "");
    Expect(1, 43359, '\p{	 REJANG}', "");
    Expect(0, 43359, '\p{^	 REJANG}', "");
    Expect(0, 43359, '\P{	 REJANG}', "");
    Expect(1, 43359, '\P{^	 REJANG}', "");
    Expect(0, 43360, '\p{	 REJANG}', "");
    Expect(1, 43360, '\p{^	 REJANG}', "");
    Expect(1, 43360, '\P{	 REJANG}', "");
    Expect(0, 43360, '\P{^	 REJANG}', "");
    Error('\p{:= Is_rejang}');
    Error('\P{:= Is_rejang}');
    Expect(1, 43359, '\p{isrejang}', "");
    Expect(0, 43359, '\p{^isrejang}', "");
    Expect(0, 43359, '\P{isrejang}', "");
    Expect(1, 43359, '\P{^isrejang}', "");
    Expect(0, 43360, '\p{isrejang}', "");
    Expect(1, 43360, '\p{^isrejang}', "");
    Expect(1, 43360, '\P{isrejang}', "");
    Expect(0, 43360, '\P{^isrejang}', "");
    Expect(1, 43359, '\p{  is_Rejang}', "");
    Expect(0, 43359, '\p{^  is_Rejang}', "");
    Expect(0, 43359, '\P{  is_Rejang}', "");
    Expect(1, 43359, '\P{^  is_Rejang}', "");
    Expect(0, 43360, '\p{  is_Rejang}', "");
    Expect(1, 43360, '\p{^  is_Rejang}', "");
    Expect(1, 43360, '\P{  is_Rejang}', "");
    Expect(0, 43360, '\P{^  is_Rejang}', "");
    Error('\p{/a/_Rjng}');
    Error('\P{/a/_Rjng}');
    Expect(1, 43359, '\p{rjng}', "");
    Expect(0, 43359, '\p{^rjng}', "");
    Expect(0, 43359, '\P{rjng}', "");
    Expect(1, 43359, '\P{^rjng}', "");
    Expect(0, 43360, '\p{rjng}', "");
    Expect(1, 43360, '\p{^rjng}', "");
    Expect(1, 43360, '\P{rjng}', "");
    Expect(0, 43360, '\P{^rjng}', "");
    Expect(1, 43359, '\p{_-Rjng}', "");
    Expect(0, 43359, '\p{^_-Rjng}', "");
    Expect(0, 43359, '\P{_-Rjng}', "");
    Expect(1, 43359, '\P{^_-Rjng}', "");
    Expect(0, 43360, '\p{_-Rjng}', "");
    Expect(1, 43360, '\p{^_-Rjng}', "");
    Expect(1, 43360, '\P{_-Rjng}', "");
    Expect(0, 43360, '\P{^_-Rjng}', "");
    Error('\p{ :=Is_Rjng}');
    Error('\P{ :=Is_Rjng}');
    Expect(1, 43359, '\p{isrjng}', "");
    Expect(0, 43359, '\p{^isrjng}', "");
    Expect(0, 43359, '\P{isrjng}', "");
    Expect(1, 43359, '\P{^isrjng}', "");
    Expect(0, 43360, '\p{isrjng}', "");
    Expect(1, 43360, '\p{^isrjng}', "");
    Expect(1, 43360, '\P{isrjng}', "");
    Expect(0, 43360, '\P{^isrjng}', "");
    Expect(1, 43359, '\p{ 	IS_RJNG}', "");
    Expect(0, 43359, '\p{^ 	IS_RJNG}', "");
    Expect(0, 43359, '\P{ 	IS_RJNG}', "");
    Expect(1, 43359, '\P{^ 	IS_RJNG}', "");
    Expect(0, 43360, '\p{ 	IS_RJNG}', "");
    Expect(1, 43360, '\p{^ 	IS_RJNG}', "");
    Expect(1, 43360, '\P{ 	IS_RJNG}', "");
    Expect(0, 43360, '\P{^ 	IS_RJNG}', "");
    Error('\p{/a/	Rumi_NUMERAL_Symbols}');
    Error('\P{/a/	Rumi_NUMERAL_Symbols}');
    Expect(1, 69247, '\p{ruminumeralsymbols}', "");
    Expect(0, 69247, '\p{^ruminumeralsymbols}', "");
    Expect(0, 69247, '\P{ruminumeralsymbols}', "");
    Expect(1, 69247, '\P{^ruminumeralsymbols}', "");
    Expect(0, 69248, '\p{ruminumeralsymbols}', "");
    Expect(1, 69248, '\p{^ruminumeralsymbols}', "");
    Expect(1, 69248, '\P{ruminumeralsymbols}', "");
    Expect(0, 69248, '\P{^ruminumeralsymbols}', "");
    Expect(1, 69247, '\p{	RUMI_Numeral_Symbols}', "");
    Expect(0, 69247, '\p{^	RUMI_Numeral_Symbols}', "");
    Expect(0, 69247, '\P{	RUMI_Numeral_Symbols}', "");
    Expect(1, 69247, '\P{^	RUMI_Numeral_Symbols}', "");
    Expect(0, 69248, '\p{	RUMI_Numeral_Symbols}', "");
    Expect(1, 69248, '\p{^	RUMI_Numeral_Symbols}', "");
    Expect(1, 69248, '\P{	RUMI_Numeral_Symbols}', "");
    Expect(0, 69248, '\P{^	RUMI_Numeral_Symbols}', "");
    Error('\p{_:=IS_Rumi_Numeral_Symbols}');
    Error('\P{_:=IS_Rumi_Numeral_Symbols}');
    Expect(1, 69247, '\p{isruminumeralsymbols}', "");
    Expect(0, 69247, '\p{^isruminumeralsymbols}', "");
    Expect(0, 69247, '\P{isruminumeralsymbols}', "");
    Expect(1, 69247, '\P{^isruminumeralsymbols}', "");
    Expect(0, 69248, '\p{isruminumeralsymbols}', "");
    Expect(1, 69248, '\p{^isruminumeralsymbols}', "");
    Expect(1, 69248, '\P{isruminumeralsymbols}', "");
    Expect(0, 69248, '\P{^isruminumeralsymbols}', "");
    Expect(1, 69247, '\p{-Is_rumi_NUMERAL_Symbols}', "");
    Expect(0, 69247, '\p{^-Is_rumi_NUMERAL_Symbols}', "");
    Expect(0, 69247, '\P{-Is_rumi_NUMERAL_Symbols}', "");
    Expect(1, 69247, '\P{^-Is_rumi_NUMERAL_Symbols}', "");
    Expect(0, 69248, '\p{-Is_rumi_NUMERAL_Symbols}', "");
    Expect(1, 69248, '\p{^-Is_rumi_NUMERAL_Symbols}', "");
    Expect(1, 69248, '\P{-Is_rumi_NUMERAL_Symbols}', "");
    Expect(0, 69248, '\P{^-Is_rumi_NUMERAL_Symbols}', "");
    Error('\p{/a/	-in_rumi_NUMERAL_Symbols}');
    Error('\P{/a/	-in_rumi_NUMERAL_Symbols}');
    Expect(1, 69247, '\p{inruminumeralsymbols}', "");
    Expect(0, 69247, '\p{^inruminumeralsymbols}', "");
    Expect(0, 69247, '\P{inruminumeralsymbols}', "");
    Expect(1, 69247, '\P{^inruminumeralsymbols}', "");
    Expect(0, 69248, '\p{inruminumeralsymbols}', "");
    Expect(1, 69248, '\p{^inruminumeralsymbols}', "");
    Expect(1, 69248, '\P{inruminumeralsymbols}', "");
    Expect(0, 69248, '\P{^inruminumeralsymbols}', "");
    Expect(1, 69247, '\p{- in_Rumi_NUMERAL_SYMBOLS}', "");
    Expect(0, 69247, '\p{^- in_Rumi_NUMERAL_SYMBOLS}', "");
    Expect(0, 69247, '\P{- in_Rumi_NUMERAL_SYMBOLS}', "");
    Expect(1, 69247, '\P{^- in_Rumi_NUMERAL_SYMBOLS}', "");
    Expect(0, 69248, '\p{- in_Rumi_NUMERAL_SYMBOLS}', "");
    Expect(1, 69248, '\p{^- in_Rumi_NUMERAL_SYMBOLS}', "");
    Expect(1, 69248, '\P{- in_Rumi_NUMERAL_SYMBOLS}', "");
    Expect(0, 69248, '\P{^- in_Rumi_NUMERAL_SYMBOLS}', "");
    Error('\p{/a/ 	Rumi}');
    Error('\P{/a/ 	Rumi}');
    Expect(1, 69247, '\p{rumi}', "");
    Expect(0, 69247, '\p{^rumi}', "");
    Expect(0, 69247, '\P{rumi}', "");
    Expect(1, 69247, '\P{^rumi}', "");
    Expect(0, 69248, '\p{rumi}', "");
    Expect(1, 69248, '\p{^rumi}', "");
    Expect(1, 69248, '\P{rumi}', "");
    Expect(0, 69248, '\P{^rumi}', "");
    Expect(1, 69247, '\p{ 	rumi}', "");
    Expect(0, 69247, '\p{^ 	rumi}', "");
    Expect(0, 69247, '\P{ 	rumi}', "");
    Expect(1, 69247, '\P{^ 	rumi}', "");
    Expect(0, 69248, '\p{ 	rumi}', "");
    Expect(1, 69248, '\p{^ 	rumi}', "");
    Expect(1, 69248, '\P{ 	rumi}', "");
    Expect(0, 69248, '\P{^ 	rumi}', "");
    Error('\p{/a/-	is_Rumi}');
    Error('\P{/a/-	is_Rumi}');
    Expect(1, 69247, '\p{isrumi}', "");
    Expect(0, 69247, '\p{^isrumi}', "");
    Expect(0, 69247, '\P{isrumi}', "");
    Expect(1, 69247, '\P{^isrumi}', "");
    Expect(0, 69248, '\p{isrumi}', "");
    Expect(1, 69248, '\p{^isrumi}', "");
    Expect(1, 69248, '\P{isrumi}', "");
    Expect(0, 69248, '\P{^isrumi}', "");
    Expect(1, 69247, '\p{ IS_Rumi}', "");
    Expect(0, 69247, '\p{^ IS_Rumi}', "");
    Expect(0, 69247, '\P{ IS_Rumi}', "");
    Expect(1, 69247, '\P{^ IS_Rumi}', "");
    Expect(0, 69248, '\p{ IS_Rumi}', "");
    Expect(1, 69248, '\p{^ IS_Rumi}', "");
    Expect(1, 69248, '\P{ IS_Rumi}', "");
    Expect(0, 69248, '\P{^ IS_Rumi}', "");
    Error('\p{	-in_Rumi:=}');
    Error('\P{	-in_Rumi:=}');
    Expect(1, 69247, '\p{inrumi}', "");
    Expect(0, 69247, '\p{^inrumi}', "");
    Expect(0, 69247, '\P{inrumi}', "");
    Expect(1, 69247, '\P{^inrumi}', "");
    Expect(0, 69248, '\p{inrumi}', "");
    Expect(1, 69248, '\p{^inrumi}', "");
    Expect(1, 69248, '\P{inrumi}', "");
    Expect(0, 69248, '\P{^inrumi}', "");
    Expect(1, 69247, '\p{ in_Rumi}', "");
    Expect(0, 69247, '\p{^ in_Rumi}', "");
    Expect(0, 69247, '\P{ in_Rumi}', "");
    Expect(1, 69247, '\P{^ in_Rumi}', "");
    Expect(0, 69248, '\p{ in_Rumi}', "");
    Expect(1, 69248, '\p{^ in_Rumi}', "");
    Expect(1, 69248, '\P{ in_Rumi}', "");
    Expect(0, 69248, '\P{^ in_Rumi}', "");
    Error('\p{	-Runic/a/}');
    Error('\P{	-Runic/a/}');
    Expect(1, 5880, '\p{runic}', "");
    Expect(0, 5880, '\p{^runic}', "");
    Expect(0, 5880, '\P{runic}', "");
    Expect(1, 5880, '\P{^runic}', "");
    Expect(0, 5881, '\p{runic}', "");
    Expect(1, 5881, '\p{^runic}', "");
    Expect(1, 5881, '\P{runic}', "");
    Expect(0, 5881, '\P{^runic}', "");
    Expect(1, 5880, '\p{	 runic}', "");
    Expect(0, 5880, '\p{^	 runic}', "");
    Expect(0, 5880, '\P{	 runic}', "");
    Expect(1, 5880, '\P{^	 runic}', "");
    Expect(0, 5881, '\p{	 runic}', "");
    Expect(1, 5881, '\p{^	 runic}', "");
    Expect(1, 5881, '\P{	 runic}', "");
    Expect(0, 5881, '\P{^	 runic}', "");
    Error('\p{:=Is_Runic}');
    Error('\P{:=Is_Runic}');
    Expect(1, 5880, '\p{isrunic}', "");
    Expect(0, 5880, '\p{^isrunic}', "");
    Expect(0, 5880, '\P{isrunic}', "");
    Expect(1, 5880, '\P{^isrunic}', "");
    Expect(0, 5881, '\p{isrunic}', "");
}
if (!$::TESTCHUNK or $::TESTCHUNK == 4) {
    Expect(1, 5881, '\p{^isrunic}', "");
    Expect(1, 5881, '\P{isrunic}', "");
    Expect(0, 5881, '\P{^isrunic}', "");
    Expect(1, 5880, '\p{-is_runic}', "");
    Expect(0, 5880, '\p{^-is_runic}', "");
    Expect(0, 5880, '\P{-is_runic}', "");
    Expect(1, 5880, '\P{^-is_runic}', "");
    Expect(0, 5881, '\p{-is_runic}', "");
    Expect(1, 5881, '\p{^-is_runic}', "");
    Expect(1, 5881, '\P{-is_runic}', "");
    Expect(0, 5881, '\P{^-is_runic}', "");
    Error('\p{:=_	RUNR}');
    Error('\P{:=_	RUNR}');
    Expect(1, 5880, '\p{runr}', "");
    Expect(0, 5880, '\p{^runr}', "");
    Expect(0, 5880, '\P{runr}', "");
    Expect(1, 5880, '\P{^runr}', "");
    Expect(0, 5881, '\p{runr}', "");
    Expect(1, 5881, '\p{^runr}', "");
    Expect(1, 5881, '\P{runr}', "");
    Expect(0, 5881, '\P{^runr}', "");
    Expect(1, 5880, '\p{ Runr}', "");
    Expect(0, 5880, '\p{^ Runr}', "");
    Expect(0, 5880, '\P{ Runr}', "");
    Expect(1, 5880, '\P{^ Runr}', "");
    Expect(0, 5881, '\p{ Runr}', "");
    Expect(1, 5881, '\p{^ Runr}', "");
    Expect(1, 5881, '\P{ Runr}', "");
    Expect(0, 5881, '\P{^ Runr}', "");
    Error('\p{-	Is_Runr:=}');
    Error('\P{-	Is_Runr:=}');
    Expect(1, 5880, '\p{isrunr}', "");
    Expect(0, 5880, '\p{^isrunr}', "");
    Expect(0, 5880, '\P{isrunr}', "");
    Expect(1, 5880, '\P{^isrunr}', "");
    Expect(0, 5881, '\p{isrunr}', "");
    Expect(1, 5881, '\p{^isrunr}', "");
    Expect(1, 5881, '\P{isrunr}', "");
    Expect(0, 5881, '\P{^isrunr}', "");
    Expect(1, 5880, '\p{_is_RUNR}', "");
    Expect(0, 5880, '\p{^_is_RUNR}', "");
    Expect(0, 5880, '\P{_is_RUNR}', "");
    Expect(1, 5880, '\P{^_is_RUNR}', "");
    Expect(0, 5881, '\p{_is_RUNR}', "");
    Expect(1, 5881, '\p{^_is_RUNR}', "");
    Expect(1, 5881, '\P{_is_RUNR}', "");
    Expect(0, 5881, '\P{^_is_RUNR}', "");
    Error('\p{	_Samaritan/a/}');
    Error('\P{	_Samaritan/a/}');
    Expect(1, 2110, '\p{samaritan}', "");
    Expect(0, 2110, '\p{^samaritan}', "");
    Expect(0, 2110, '\P{samaritan}', "");
    Expect(1, 2110, '\P{^samaritan}', "");
    Expect(0, 2111, '\p{samaritan}', "");
    Expect(1, 2111, '\p{^samaritan}', "");
    Expect(1, 2111, '\P{samaritan}', "");
    Expect(0, 2111, '\P{^samaritan}', "");
    Expect(1, 2110, '\p{_samaritan}', "");
    Expect(0, 2110, '\p{^_samaritan}', "");
    Expect(0, 2110, '\P{_samaritan}', "");
    Expect(1, 2110, '\P{^_samaritan}', "");
    Expect(0, 2111, '\p{_samaritan}', "");
    Expect(1, 2111, '\p{^_samaritan}', "");
    Expect(1, 2111, '\P{_samaritan}', "");
    Expect(0, 2111, '\P{^_samaritan}', "");
    Error('\p{ /a/Is_Samaritan}');
    Error('\P{ /a/Is_Samaritan}');
    Expect(1, 2110, '\p{issamaritan}', "");
    Expect(0, 2110, '\p{^issamaritan}', "");
    Expect(0, 2110, '\P{issamaritan}', "");
    Expect(1, 2110, '\P{^issamaritan}', "");
    Expect(0, 2111, '\p{issamaritan}', "");
    Expect(1, 2111, '\p{^issamaritan}', "");
    Expect(1, 2111, '\P{issamaritan}', "");
    Expect(0, 2111, '\P{^issamaritan}', "");
    Expect(1, 2110, '\p{	-is_samaritan}', "");
    Expect(0, 2110, '\p{^	-is_samaritan}', "");
    Expect(0, 2110, '\P{	-is_samaritan}', "");
    Expect(1, 2110, '\P{^	-is_samaritan}', "");
    Expect(0, 2111, '\p{	-is_samaritan}', "");
    Expect(1, 2111, '\p{^	-is_samaritan}', "");
    Expect(1, 2111, '\P{	-is_samaritan}', "");
    Expect(0, 2111, '\P{^	-is_samaritan}', "");
    Error('\p{	/a/Samr}');
    Error('\P{	/a/Samr}');
    Expect(1, 2110, '\p{samr}', "");
    Expect(0, 2110, '\p{^samr}', "");
    Expect(0, 2110, '\P{samr}', "");
    Expect(1, 2110, '\P{^samr}', "");
    Expect(0, 2111, '\p{samr}', "");
    Expect(1, 2111, '\p{^samr}', "");
    Expect(1, 2111, '\P{samr}', "");
    Expect(0, 2111, '\P{^samr}', "");
    Expect(1, 2110, '\p{Samr}', "");
    Expect(0, 2110, '\p{^Samr}', "");
    Expect(0, 2110, '\P{Samr}', "");
    Expect(1, 2110, '\P{^Samr}', "");
    Expect(0, 2111, '\p{Samr}', "");
    Expect(1, 2111, '\p{^Samr}', "");
    Expect(1, 2111, '\P{Samr}', "");
    Expect(0, 2111, '\P{^Samr}', "");
    Error('\p{/a/-	Is_SAMR}');
    Error('\P{/a/-	Is_SAMR}');
    Expect(1, 2110, '\p{issamr}', "");
    Expect(0, 2110, '\p{^issamr}', "");
    Expect(0, 2110, '\P{issamr}', "");
    Expect(1, 2110, '\P{^issamr}', "");
    Expect(0, 2111, '\p{issamr}', "");
    Expect(1, 2111, '\p{^issamr}', "");
    Expect(1, 2111, '\P{issamr}', "");
    Expect(0, 2111, '\P{^issamr}', "");
    Expect(1, 2110, '\p{		IS_SAMR}', "");
    Expect(0, 2110, '\p{^		IS_SAMR}', "");
    Expect(0, 2110, '\P{		IS_SAMR}', "");
    Expect(1, 2110, '\P{^		IS_SAMR}', "");
    Expect(0, 2111, '\p{		IS_SAMR}', "");
    Expect(1, 2111, '\p{^		IS_SAMR}', "");
    Expect(1, 2111, '\P{		IS_SAMR}', "");
    Expect(0, 2111, '\P{^		IS_SAMR}', "");
    Error('\p{/a/_Saurashtra}');
    Error('\P{/a/_Saurashtra}');
    Expect(1, 43225, '\p{saurashtra}', "");
    Expect(0, 43225, '\p{^saurashtra}', "");
    Expect(0, 43225, '\P{saurashtra}', "");
    Expect(1, 43225, '\P{^saurashtra}', "");
    Expect(0, 43226, '\p{saurashtra}', "");
    Expect(1, 43226, '\p{^saurashtra}', "");
    Expect(1, 43226, '\P{saurashtra}', "");
    Expect(0, 43226, '\P{^saurashtra}', "");
    Expect(1, 43225, '\p{_Saurashtra}', "");
    Expect(0, 43225, '\p{^_Saurashtra}', "");
    Expect(0, 43225, '\P{_Saurashtra}', "");
    Expect(1, 43225, '\P{^_Saurashtra}', "");
    Expect(0, 43226, '\p{_Saurashtra}', "");
    Expect(1, 43226, '\p{^_Saurashtra}', "");
    Expect(1, 43226, '\P{_Saurashtra}', "");
    Expect(0, 43226, '\P{^_Saurashtra}', "");
    Error('\p{_ IS_SAURASHTRA/a/}');
    Error('\P{_ IS_SAURASHTRA/a/}');
    Expect(1, 43225, '\p{issaurashtra}', "");
    Expect(0, 43225, '\p{^issaurashtra}', "");
    Expect(0, 43225, '\P{issaurashtra}', "");
    Expect(1, 43225, '\P{^issaurashtra}', "");
    Expect(0, 43226, '\p{issaurashtra}', "");
    Expect(1, 43226, '\p{^issaurashtra}', "");
    Expect(1, 43226, '\P{issaurashtra}', "");
    Expect(0, 43226, '\P{^issaurashtra}', "");
    Expect(1, 43225, '\p{	Is_saurashtra}', "");
    Expect(0, 43225, '\p{^	Is_saurashtra}', "");
    Expect(0, 43225, '\P{	Is_saurashtra}', "");
    Expect(1, 43225, '\P{^	Is_saurashtra}', "");
    Expect(0, 43226, '\p{	Is_saurashtra}', "");
    Expect(1, 43226, '\p{^	Is_saurashtra}', "");
    Expect(1, 43226, '\P{	Is_saurashtra}', "");
    Expect(0, 43226, '\P{^	Is_saurashtra}', "");
    Error('\p{_SAUR:=}');
    Error('\P{_SAUR:=}');
    Expect(1, 43225, '\p{saur}', "");
    Expect(0, 43225, '\p{^saur}', "");
    Expect(0, 43225, '\P{saur}', "");
    Expect(1, 43225, '\P{^saur}', "");
    Expect(0, 43226, '\p{saur}', "");
    Expect(1, 43226, '\p{^saur}', "");
    Expect(1, 43226, '\P{saur}', "");
    Expect(0, 43226, '\P{^saur}', "");
    Expect(1, 43225, '\p{		SAUR}', "");
    Expect(0, 43225, '\p{^		SAUR}', "");
    Expect(0, 43225, '\P{		SAUR}', "");
    Expect(1, 43225, '\P{^		SAUR}', "");
    Expect(0, 43226, '\p{		SAUR}', "");
    Expect(1, 43226, '\p{^		SAUR}', "");
    Expect(1, 43226, '\P{		SAUR}', "");
    Expect(0, 43226, '\P{^		SAUR}', "");
    Error('\p{_Is_SAUR/a/}');
    Error('\P{_Is_SAUR/a/}');
    Expect(1, 43225, '\p{issaur}', "");
    Expect(0, 43225, '\p{^issaur}', "");
    Expect(0, 43225, '\P{issaur}', "");
    Expect(1, 43225, '\P{^issaur}', "");
    Expect(0, 43226, '\p{issaur}', "");
    Expect(1, 43226, '\p{^issaur}', "");
    Expect(1, 43226, '\P{issaur}', "");
    Expect(0, 43226, '\P{^issaur}', "");
    Expect(1, 43225, '\p{-_Is_Saur}', "");
    Expect(0, 43225, '\p{^-_Is_Saur}', "");
    Expect(0, 43225, '\P{-_Is_Saur}', "");
    Expect(1, 43225, '\P{^-_Is_Saur}', "");
    Expect(0, 43226, '\p{-_Is_Saur}', "");
    Expect(1, 43226, '\p{^-_Is_Saur}', "");
    Expect(1, 43226, '\P{-_Is_Saur}', "");
    Expect(0, 43226, '\P{^-_Is_Saur}', "");
    Error('\p{- Sentence_Terminal/a/}');
    Error('\P{- Sentence_Terminal/a/}');
    Expect(1, 121480, '\p{sentenceterminal}', "");
    Expect(0, 121480, '\p{^sentenceterminal}', "");
    Expect(0, 121480, '\P{sentenceterminal}', "");
    Expect(1, 121480, '\P{^sentenceterminal}', "");
    Expect(0, 121481, '\p{sentenceterminal}', "");
    Expect(1, 121481, '\p{^sentenceterminal}', "");
    Expect(1, 121481, '\P{sentenceterminal}', "");
    Expect(0, 121481, '\P{^sentenceterminal}', "");
    Expect(1, 121480, '\p{sentence_Terminal}', "");
    Expect(0, 121480, '\p{^sentence_Terminal}', "");
    Expect(0, 121480, '\P{sentence_Terminal}', "");
    Expect(1, 121480, '\P{^sentence_Terminal}', "");
    Expect(0, 121481, '\p{sentence_Terminal}', "");
    Expect(1, 121481, '\p{^sentence_Terminal}', "");
    Expect(1, 121481, '\P{sentence_Terminal}', "");
    Expect(0, 121481, '\P{^sentence_Terminal}', "");
    Error('\p{:=_IS_SENTENCE_Terminal}');
    Error('\P{:=_IS_SENTENCE_Terminal}');
    Expect(1, 121480, '\p{issentenceterminal}', "");
    Expect(0, 121480, '\p{^issentenceterminal}', "");
    Expect(0, 121480, '\P{issentenceterminal}', "");
    Expect(1, 121480, '\P{^issentenceterminal}', "");
    Expect(0, 121481, '\p{issentenceterminal}', "");
    Expect(1, 121481, '\p{^issentenceterminal}', "");
    Expect(1, 121481, '\P{issentenceterminal}', "");
    Expect(0, 121481, '\P{^issentenceterminal}', "");
    Expect(1, 121480, '\p{ -IS_Sentence_terminal}', "");
    Expect(0, 121480, '\p{^ -IS_Sentence_terminal}', "");
    Expect(0, 121480, '\P{ -IS_Sentence_terminal}', "");
    Expect(1, 121480, '\P{^ -IS_Sentence_terminal}', "");
    Expect(0, 121481, '\p{ -IS_Sentence_terminal}', "");
    Expect(1, 121481, '\p{^ -IS_Sentence_terminal}', "");
    Expect(1, 121481, '\P{ -IS_Sentence_terminal}', "");
    Expect(0, 121481, '\P{^ -IS_Sentence_terminal}', "");
    Error('\p{/a/  STERM}');
    Error('\P{/a/  STERM}');
    Expect(1, 121480, '\p{sterm}', "");
    Expect(0, 121480, '\p{^sterm}', "");
    Expect(0, 121480, '\P{sterm}', "");
    Expect(1, 121480, '\P{^sterm}', "");
    Expect(0, 121481, '\p{sterm}', "");
    Expect(1, 121481, '\p{^sterm}', "");
    Expect(1, 121481, '\P{sterm}', "");
    Expect(0, 121481, '\P{^sterm}', "");
    Expect(1, 121480, '\p{ _STerm}', "");
    Expect(0, 121480, '\p{^ _STerm}', "");
    Expect(0, 121480, '\P{ _STerm}', "");
    Expect(1, 121480, '\P{^ _STerm}', "");
    Expect(0, 121481, '\p{ _STerm}', "");
    Expect(1, 121481, '\p{^ _STerm}', "");
    Expect(1, 121481, '\P{ _STerm}', "");
    Expect(0, 121481, '\P{^ _STerm}', "");
    Error('\p{/a/ -Is_STERM}');
    Error('\P{/a/ -Is_STERM}');
    Expect(1, 121480, '\p{issterm}', "");
    Expect(0, 121480, '\p{^issterm}', "");
    Expect(0, 121480, '\P{issterm}', "");
    Expect(1, 121480, '\P{^issterm}', "");
    Expect(0, 121481, '\p{issterm}', "");
    Expect(1, 121481, '\p{^issterm}', "");
    Expect(1, 121481, '\P{issterm}', "");
    Expect(0, 121481, '\P{^issterm}', "");
    Expect(1, 121480, '\p{-_Is_STerm}', "");
    Expect(0, 121480, '\p{^-_Is_STerm}', "");
    Expect(0, 121480, '\P{-_Is_STerm}', "");
    Expect(1, 121480, '\P{^-_Is_STerm}', "");
    Expect(0, 121481, '\p{-_Is_STerm}', "");
    Expect(1, 121481, '\p{^-_Is_STerm}', "");
    Expect(1, 121481, '\P{-_Is_STerm}', "");
    Expect(0, 121481, '\P{^-_Is_STerm}', "");
    Error('\p{	/a/separator}');
    Error('\P{	/a/separator}');
    Expect(1, 12288, '\p{separator}', "");
    Expect(0, 12288, '\p{^separator}', "");
    Expect(0, 12288, '\P{separator}', "");
    Expect(1, 12288, '\P{^separator}', "");
    Expect(0, 12289, '\p{separator}', "");
    Expect(1, 12289, '\p{^separator}', "");
    Expect(1, 12289, '\P{separator}', "");
    Expect(0, 12289, '\P{^separator}', "");
    Expect(1, 12288, '\p{-_SEPARATOR}', "");
    Expect(0, 12288, '\p{^-_SEPARATOR}', "");
    Expect(0, 12288, '\P{-_SEPARATOR}', "");
    Expect(1, 12288, '\P{^-_SEPARATOR}', "");
    Expect(0, 12289, '\p{-_SEPARATOR}', "");
    Expect(1, 12289, '\p{^-_SEPARATOR}', "");
    Expect(1, 12289, '\P{-_SEPARATOR}', "");
    Expect(0, 12289, '\P{^-_SEPARATOR}', "");
    Error('\p{/a/--IS_Separator}');
    Error('\P{/a/--IS_Separator}');
    Expect(1, 12288, '\p{isseparator}', "");
    Expect(0, 12288, '\p{^isseparator}', "");
    Expect(0, 12288, '\P{isseparator}', "");
    Expect(1, 12288, '\P{^isseparator}', "");
    Expect(0, 12289, '\p{isseparator}', "");
    Expect(1, 12289, '\p{^isseparator}', "");
    Expect(1, 12289, '\P{isseparator}', "");
    Expect(0, 12289, '\P{^isseparator}', "");
    Expect(1, 12288, '\p{Is_Separator}', "");
    Expect(0, 12288, '\p{^Is_Separator}', "");
    Expect(0, 12288, '\P{Is_Separator}', "");
    Expect(1, 12288, '\P{^Is_Separator}', "");
    Expect(0, 12289, '\p{Is_Separator}', "");
    Expect(1, 12289, '\p{^Is_Separator}', "");
    Expect(1, 12289, '\P{Is_Separator}', "");
    Expect(0, 12289, '\P{^Is_Separator}', "");
    Error('\p{ /a/Z}');
    Error('\P{ /a/Z}');
    Expect(1, 12288, '\p{z}', "");
    Expect(0, 12288, '\p{^z}', "");
    Expect(0, 12288, '\P{z}', "");
    Expect(1, 12288, '\P{^z}', "");
    Expect(0, 12289, '\p{z}', "");
    Expect(1, 12289, '\p{^z}', "");
    Expect(1, 12289, '\P{z}', "");
    Expect(0, 12289, '\P{^z}', "");
    Expect(1, 12288, '\p{	Z}', "");
    Expect(0, 12288, '\p{^	Z}', "");
    Expect(0, 12288, '\P{	Z}', "");
    Expect(1, 12288, '\P{^	Z}', "");
    Expect(0, 12289, '\p{	Z}', "");
    Expect(1, 12289, '\p{^	Z}', "");
    Expect(1, 12289, '\P{	Z}', "");
    Expect(0, 12289, '\P{^	Z}', "");
    Error('\p{--Is_Z/a/}');
    Error('\P{--Is_Z/a/}');
    Expect(1, 12288, '\p{isz}', "");
    Expect(0, 12288, '\p{^isz}', "");
    Expect(0, 12288, '\P{isz}', "");
    Expect(1, 12288, '\P{^isz}', "");
    Expect(0, 12289, '\p{isz}', "");
    Expect(1, 12289, '\p{^isz}', "");
    Expect(1, 12289, '\P{isz}', "");
    Expect(0, 12289, '\P{^isz}', "");
    Expect(1, 12288, '\p{_-Is_z}', "");
    Expect(0, 12288, '\p{^_-Is_z}', "");
    Expect(0, 12288, '\P{_-Is_z}', "");
    Expect(1, 12288, '\P{^_-Is_z}', "");
    Expect(0, 12289, '\p{_-Is_z}', "");
    Expect(1, 12289, '\p{^_-Is_z}', "");
    Expect(1, 12289, '\P{_-Is_z}', "");
    Expect(0, 12289, '\P{^_-Is_z}', "");
    Error('\p{ /a/Sharada}');
    Error('\P{ /a/Sharada}');
    Expect(1, 70111, '\p{sharada}', "");
    Expect(0, 70111, '\p{^sharada}', "");
    Expect(0, 70111, '\P{sharada}', "");
    Expect(1, 70111, '\P{^sharada}', "");
    Expect(0, 70112, '\p{sharada}', "");
    Expect(1, 70112, '\p{^sharada}', "");
    Expect(1, 70112, '\P{sharada}', "");
    Expect(0, 70112, '\P{^sharada}', "");
    Expect(1, 70111, '\p{	SHARADA}', "");
    Expect(0, 70111, '\p{^	SHARADA}', "");
    Expect(0, 70111, '\P{	SHARADA}', "");
    Expect(1, 70111, '\P{^	SHARADA}', "");
    Expect(0, 70112, '\p{	SHARADA}', "");
    Expect(1, 70112, '\p{^	SHARADA}', "");
    Expect(1, 70112, '\P{	SHARADA}', "");
    Expect(0, 70112, '\P{^	SHARADA}', "");
    Error('\p{:=_ IS_Sharada}');
    Error('\P{:=_ IS_Sharada}');
    Expect(1, 70111, '\p{issharada}', "");
    Expect(0, 70111, '\p{^issharada}', "");
    Expect(0, 70111, '\P{issharada}', "");
    Expect(1, 70111, '\P{^issharada}', "");
    Expect(0, 70112, '\p{issharada}', "");
    Expect(1, 70112, '\p{^issharada}', "");
    Expect(1, 70112, '\P{issharada}', "");
    Expect(0, 70112, '\P{^issharada}', "");
    Expect(1, 70111, '\p{  IS_SHARADA}', "");
    Expect(0, 70111, '\p{^  IS_SHARADA}', "");
    Expect(0, 70111, '\P{  IS_SHARADA}', "");
    Expect(1, 70111, '\P{^  IS_SHARADA}', "");
    Expect(0, 70112, '\p{  IS_SHARADA}', "");
    Expect(1, 70112, '\p{^  IS_SHARADA}', "");
    Expect(1, 70112, '\P{  IS_SHARADA}', "");
    Expect(0, 70112, '\P{^  IS_SHARADA}', "");
    Error('\p{	 SHRD/a/}');
    Error('\P{	 SHRD/a/}');
    Expect(1, 70111, '\p{shrd}', "");
    Expect(0, 70111, '\p{^shrd}', "");
    Expect(0, 70111, '\P{shrd}', "");
    Expect(1, 70111, '\P{^shrd}', "");
    Expect(0, 70112, '\p{shrd}', "");
    Expect(1, 70112, '\p{^shrd}', "");
    Expect(1, 70112, '\P{shrd}', "");
    Expect(0, 70112, '\P{^shrd}', "");
    Expect(1, 70111, '\p{	SHRD}', "");
    Expect(0, 70111, '\p{^	SHRD}', "");
    Expect(0, 70111, '\P{	SHRD}', "");
    Expect(1, 70111, '\P{^	SHRD}', "");
    Expect(0, 70112, '\p{	SHRD}', "");
    Expect(1, 70112, '\p{^	SHRD}', "");
    Expect(1, 70112, '\P{	SHRD}', "");
    Expect(0, 70112, '\P{^	SHRD}', "");
    Error('\p{:=Is_shrd}');
    Error('\P{:=Is_shrd}');
    Expect(1, 70111, '\p{isshrd}', "");
    Expect(0, 70111, '\p{^isshrd}', "");
    Expect(0, 70111, '\P{isshrd}', "");
    Expect(1, 70111, '\P{^isshrd}', "");
    Expect(0, 70112, '\p{isshrd}', "");
    Expect(1, 70112, '\p{^isshrd}', "");
    Expect(1, 70112, '\P{isshrd}', "");
    Expect(0, 70112, '\P{^isshrd}', "");
    Expect(1, 70111, '\p{_Is_Shrd}', "");
    Expect(0, 70111, '\p{^_Is_Shrd}', "");
    Expect(0, 70111, '\P{_Is_Shrd}', "");
    Expect(1, 70111, '\P{^_Is_Shrd}', "");
    Expect(0, 70112, '\p{_Is_Shrd}', "");
    Expect(1, 70112, '\p{^_Is_Shrd}', "");
    Expect(1, 70112, '\P{_Is_Shrd}', "");
    Expect(0, 70112, '\P{^_Is_Shrd}', "");
    Error('\p{:=Shavian}');
    Error('\P{:=Shavian}');
    Expect(1, 66687, '\p{shavian}', "");
    Expect(0, 66687, '\p{^shavian}', "");
    Expect(0, 66687, '\P{shavian}', "");
    Expect(1, 66687, '\P{^shavian}', "");
    Expect(0, 66688, '\p{shavian}', "");
    Expect(1, 66688, '\p{^shavian}', "");
    Expect(1, 66688, '\P{shavian}', "");
    Expect(0, 66688, '\P{^shavian}', "");
    Expect(1, 66687, '\p{_	Shavian}', "");
    Expect(0, 66687, '\p{^_	Shavian}', "");
    Expect(0, 66687, '\P{_	Shavian}', "");
    Expect(1, 66687, '\P{^_	Shavian}', "");
    Expect(0, 66688, '\p{_	Shavian}', "");
    Expect(1, 66688, '\p{^_	Shavian}', "");
    Expect(1, 66688, '\P{_	Shavian}', "");
    Expect(0, 66688, '\P{^_	Shavian}', "");
    Error('\p{:=	_Is_shavian}');
    Error('\P{:=	_Is_shavian}');
    Expect(1, 66687, '\p{isshavian}', "");
    Expect(0, 66687, '\p{^isshavian}', "");
    Expect(0, 66687, '\P{isshavian}', "");
    Expect(1, 66687, '\P{^isshavian}', "");
    Expect(0, 66688, '\p{isshavian}', "");
    Expect(1, 66688, '\p{^isshavian}', "");
    Expect(1, 66688, '\P{isshavian}', "");
    Expect(0, 66688, '\P{^isshavian}', "");
    Expect(1, 66687, '\p{_ is_Shavian}', "");
    Expect(0, 66687, '\p{^_ is_Shavian}', "");
    Expect(0, 66687, '\P{_ is_Shavian}', "");
    Expect(1, 66687, '\P{^_ is_Shavian}', "");
    Expect(0, 66688, '\p{_ is_Shavian}', "");
    Expect(1, 66688, '\p{^_ is_Shavian}', "");
    Expect(1, 66688, '\P{_ is_Shavian}', "");
    Expect(0, 66688, '\P{^_ is_Shavian}', "");
    Error('\p{-/a/shaw}');
    Error('\P{-/a/shaw}');
    Expect(1, 66687, '\p{shaw}', "");
    Expect(0, 66687, '\p{^shaw}', "");
    Expect(0, 66687, '\P{shaw}', "");
    Expect(1, 66687, '\P{^shaw}', "");
    Expect(0, 66688, '\p{shaw}', "");
    Expect(1, 66688, '\p{^shaw}', "");
    Expect(1, 66688, '\P{shaw}', "");
    Expect(0, 66688, '\P{^shaw}', "");
    Expect(1, 66687, '\p{_Shaw}', "");
    Expect(0, 66687, '\p{^_Shaw}', "");
    Expect(0, 66687, '\P{_Shaw}', "");
    Expect(1, 66687, '\P{^_Shaw}', "");
    Expect(0, 66688, '\p{_Shaw}', "");
    Expect(1, 66688, '\p{^_Shaw}', "");
    Expect(1, 66688, '\P{_Shaw}', "");
    Expect(0, 66688, '\P{^_Shaw}', "");
    Error('\p{-/a/Is_Shaw}');
    Error('\P{-/a/Is_Shaw}');
    Expect(1, 66687, '\p{isshaw}', "");
    Expect(0, 66687, '\p{^isshaw}', "");
    Expect(0, 66687, '\P{isshaw}', "");
    Expect(1, 66687, '\P{^isshaw}', "");
    Expect(0, 66688, '\p{isshaw}', "");
    Expect(1, 66688, '\p{^isshaw}', "");
    Expect(1, 66688, '\P{isshaw}', "");
    Expect(0, 66688, '\P{^isshaw}', "");
    Expect(1, 66687, '\p{ _Is_Shaw}', "");
    Expect(0, 66687, '\p{^ _Is_Shaw}', "");
    Expect(0, 66687, '\P{ _Is_Shaw}', "");
    Expect(1, 66687, '\P{^ _Is_Shaw}', "");
    Expect(0, 66688, '\p{ _Is_Shaw}', "");
    Expect(1, 66688, '\p{^ _Is_Shaw}', "");
    Expect(1, 66688, '\P{ _Is_Shaw}', "");
    Expect(0, 66688, '\P{^ _Is_Shaw}', "");
    Error('\p{ :=shorthand_Format_Controls}');
    Error('\P{ :=shorthand_Format_Controls}');
    Expect(1, 113839, '\p{shorthandformatcontrols}', "");
    Expect(0, 113839, '\p{^shorthandformatcontrols}', "");
    Expect(0, 113839, '\P{shorthandformatcontrols}', "");
    Expect(1, 113839, '\P{^shorthandformatcontrols}', "");
    Expect(0, 113840, '\p{shorthandformatcontrols}', "");
    Expect(1, 113840, '\p{^shorthandformatcontrols}', "");
    Expect(1, 113840, '\P{shorthandformatcontrols}', "");
    Expect(0, 113840, '\P{^shorthandformatcontrols}', "");
    Expect(1, 113839, '\p{	_shorthand_FORMAT_controls}', "");
    Expect(0, 113839, '\p{^	_shorthand_FORMAT_controls}', "");
    Expect(0, 113839, '\P{	_shorthand_FORMAT_controls}', "");
    Expect(1, 113839, '\P{^	_shorthand_FORMAT_controls}', "");
    Expect(0, 113840, '\p{	_shorthand_FORMAT_controls}', "");
    Expect(1, 113840, '\p{^	_shorthand_FORMAT_controls}', "");
    Expect(1, 113840, '\P{	_shorthand_FORMAT_controls}', "");
    Expect(0, 113840, '\P{^	_shorthand_FORMAT_controls}', "");
    Error('\p{	:=Is_shorthand_FORMAT_CONTROLS}');
    Error('\P{	:=Is_shorthand_FORMAT_CONTROLS}');
    Expect(1, 113839, '\p{isshorthandformatcontrols}', "");
    Expect(0, 113839, '\p{^isshorthandformatcontrols}', "");
    Expect(0, 113839, '\P{isshorthandformatcontrols}', "");
    Expect(1, 113839, '\P{^isshorthandformatcontrols}', "");
    Expect(0, 113840, '\p{isshorthandformatcontrols}', "");
    Expect(1, 113840, '\p{^isshorthandformatcontrols}', "");
    Expect(1, 113840, '\P{isshorthandformatcontrols}', "");
    Expect(0, 113840, '\P{^isshorthandformatcontrols}', "");
    Expect(1, 113839, '\p{-Is_SHORTHAND_Format_Controls}', "");
    Expect(0, 113839, '\p{^-Is_SHORTHAND_Format_Controls}', "");
    Expect(0, 113839, '\P{-Is_SHORTHAND_Format_Controls}', "");
    Expect(1, 113839, '\P{^-Is_SHORTHAND_Format_Controls}', "");
    Expect(0, 113840, '\p{-Is_SHORTHAND_Format_Controls}', "");
    Expect(1, 113840, '\p{^-Is_SHORTHAND_Format_Controls}', "");
    Expect(1, 113840, '\P{-Is_SHORTHAND_Format_Controls}', "");
    Expect(0, 113840, '\P{^-Is_SHORTHAND_Format_Controls}', "");
    Error('\p{ _IN_shorthand_FORMAT_Controls/a/}');
    Error('\P{ _IN_shorthand_FORMAT_Controls/a/}');
    Expect(1, 113839, '\p{inshorthandformatcontrols}', "");
    Expect(0, 113839, '\p{^inshorthandformatcontrols}', "");
    Expect(0, 113839, '\P{inshorthandformatcontrols}', "");
    Expect(1, 113839, '\P{^inshorthandformatcontrols}', "");
    Expect(0, 113840, '\p{inshorthandformatcontrols}', "");
    Expect(1, 113840, '\p{^inshorthandformatcontrols}', "");
    Expect(1, 113840, '\P{inshorthandformatcontrols}', "");
    Expect(0, 113840, '\P{^inshorthandformatcontrols}', "");
    Expect(1, 113839, '\p{  In_shorthand_Format_CONTROLS}', "");
    Expect(0, 113839, '\p{^  In_shorthand_Format_CONTROLS}', "");
    Expect(0, 113839, '\P{  In_shorthand_Format_CONTROLS}', "");
    Expect(1, 113839, '\P{^  In_shorthand_Format_CONTROLS}', "");
    Expect(0, 113840, '\p{  In_shorthand_Format_CONTROLS}', "");
    Expect(1, 113840, '\p{^  In_shorthand_Format_CONTROLS}', "");
    Expect(1, 113840, '\P{  In_shorthand_Format_CONTROLS}', "");
    Expect(0, 113840, '\P{^  In_shorthand_Format_CONTROLS}', "");
    Error('\p{	:=Siddham}');
    Error('\P{	:=Siddham}');
    Expect(1, 71133, '\p{siddham}', "");
    Expect(0, 71133, '\p{^siddham}', "");
    Expect(0, 71133, '\P{siddham}', "");
    Expect(1, 71133, '\P{^siddham}', "");
    Expect(0, 71134, '\p{siddham}', "");
    Expect(1, 71134, '\p{^siddham}', "");
    Expect(1, 71134, '\P{siddham}', "");
    Expect(0, 71134, '\P{^siddham}', "");
    Expect(1, 71133, '\p{_Siddham}', "");
    Expect(0, 71133, '\p{^_Siddham}', "");
    Expect(0, 71133, '\P{_Siddham}', "");
    Expect(1, 71133, '\P{^_Siddham}', "");
    Expect(0, 71134, '\p{_Siddham}', "");
    Expect(1, 71134, '\p{^_Siddham}', "");
    Expect(1, 71134, '\P{_Siddham}', "");
    Expect(0, 71134, '\P{^_Siddham}', "");
    Error('\p{	_is_siddham:=}');
    Error('\P{	_is_siddham:=}');
    Expect(1, 71133, '\p{issiddham}', "");
    Expect(0, 71133, '\p{^issiddham}', "");
    Expect(0, 71133, '\P{issiddham}', "");
    Expect(1, 71133, '\P{^issiddham}', "");
    Expect(0, 71134, '\p{issiddham}', "");
    Expect(1, 71134, '\p{^issiddham}', "");
    Expect(1, 71134, '\P{issiddham}', "");
    Expect(0, 71134, '\P{^issiddham}', "");
    Expect(1, 71133, '\p{ 	is_SIDDHAM}', "");
    Expect(0, 71133, '\p{^ 	is_SIDDHAM}', "");
    Expect(0, 71133, '\P{ 	is_SIDDHAM}', "");
    Expect(1, 71133, '\P{^ 	is_SIDDHAM}', "");
    Expect(0, 71134, '\p{ 	is_SIDDHAM}', "");
    Expect(1, 71134, '\p{^ 	is_SIDDHAM}', "");
    Expect(1, 71134, '\P{ 	is_SIDDHAM}', "");
    Expect(0, 71134, '\P{^ 	is_SIDDHAM}', "");
    Error('\p{ /a/SIDD}');
    Error('\P{ /a/SIDD}');
    Expect(1, 71133, '\p{sidd}', "");
    Expect(0, 71133, '\p{^sidd}', "");
    Expect(0, 71133, '\P{sidd}', "");
    Expect(1, 71133, '\P{^sidd}', "");
    Expect(0, 71134, '\p{sidd}', "");
    Expect(1, 71134, '\p{^sidd}', "");
    Expect(1, 71134, '\P{sidd}', "");
    Expect(0, 71134, '\P{^sidd}', "");
    Expect(1, 71133, '\p{ Sidd}', "");
    Expect(0, 71133, '\p{^ Sidd}', "");
    Expect(0, 71133, '\P{ Sidd}', "");
    Expect(1, 71133, '\P{^ Sidd}', "");
    Expect(0, 71134, '\p{ Sidd}', "");
    Expect(1, 71134, '\p{^ Sidd}', "");
    Expect(1, 71134, '\P{ Sidd}', "");
    Expect(0, 71134, '\P{^ Sidd}', "");
    Error('\p{_:=is_Sidd}');
    Error('\P{_:=is_Sidd}');
    Expect(1, 71133, '\p{issidd}', "");
    Expect(0, 71133, '\p{^issidd}', "");
    Expect(0, 71133, '\P{issidd}', "");
    Expect(1, 71133, '\P{^issidd}', "");
    Expect(0, 71134, '\p{issidd}', "");
    Expect(1, 71134, '\p{^issidd}', "");
    Expect(1, 71134, '\P{issidd}', "");
    Expect(0, 71134, '\P{^issidd}', "");
    Expect(1, 71133, '\p{__IS_Sidd}', "");
    Expect(0, 71133, '\p{^__IS_Sidd}', "");
    Expect(0, 71133, '\P{__IS_Sidd}', "");
    Expect(1, 71133, '\P{^__IS_Sidd}', "");
    Expect(0, 71134, '\p{__IS_Sidd}', "");
    Expect(1, 71134, '\p{^__IS_Sidd}', "");
    Expect(1, 71134, '\P{__IS_Sidd}', "");
    Expect(0, 71134, '\P{^__IS_Sidd}', "");
    Error('\p{	/a/SignWriting}');
    Error('\P{	/a/SignWriting}');
    Expect(1, 121519, '\p{signwriting}', "");
    Expect(0, 121519, '\p{^signwriting}', "");
    Expect(0, 121519, '\P{signwriting}', "");
    Expect(1, 121519, '\P{^signwriting}', "");
    Expect(0, 121520, '\p{signwriting}', "");
    Expect(1, 121520, '\p{^signwriting}', "");
    Expect(1, 121520, '\P{signwriting}', "");
    Expect(0, 121520, '\P{^signwriting}', "");
    Expect(1, 121519, '\p{_-SIGNWRITING}', "");
    Expect(0, 121519, '\p{^_-SIGNWRITING}', "");
    Expect(0, 121519, '\P{_-SIGNWRITING}', "");
    Expect(1, 121519, '\P{^_-SIGNWRITING}', "");
    Expect(0, 121520, '\p{_-SIGNWRITING}', "");
    Expect(1, 121520, '\p{^_-SIGNWRITING}', "");
    Expect(1, 121520, '\P{_-SIGNWRITING}', "");
    Expect(0, 121520, '\P{^_-SIGNWRITING}', "");
    Error('\p{_:=IS_SignWriting}');
    Error('\P{_:=IS_SignWriting}');
    Expect(1, 121519, '\p{issignwriting}', "");
    Expect(0, 121519, '\p{^issignwriting}', "");
    Expect(0, 121519, '\P{issignwriting}', "");
    Expect(1, 121519, '\P{^issignwriting}', "");
    Expect(0, 121520, '\p{issignwriting}', "");
    Expect(1, 121520, '\p{^issignwriting}', "");
    Expect(1, 121520, '\P{issignwriting}', "");
    Expect(0, 121520, '\P{^issignwriting}', "");
    Expect(1, 121519, '\p{__Is_SignWriting}', "");
    Expect(0, 121519, '\p{^__Is_SignWriting}', "");
    Expect(0, 121519, '\P{__Is_SignWriting}', "");
    Expect(1, 121519, '\P{^__Is_SignWriting}', "");
    Expect(0, 121520, '\p{__Is_SignWriting}', "");
    Expect(1, 121520, '\p{^__Is_SignWriting}', "");
    Expect(1, 121520, '\P{__Is_SignWriting}', "");
    Expect(0, 121520, '\P{^__Is_SignWriting}', "");
    Error('\p{/a/	_Sgnw}');
    Error('\P{/a/	_Sgnw}');
    Expect(1, 121519, '\p{sgnw}', "");
    Expect(0, 121519, '\p{^sgnw}', "");
    Expect(0, 121519, '\P{sgnw}', "");
    Expect(1, 121519, '\P{^sgnw}', "");
    Expect(0, 121520, '\p{sgnw}', "");
    Expect(1, 121520, '\p{^sgnw}', "");
    Expect(1, 121520, '\P{sgnw}', "");
    Expect(0, 121520, '\P{^sgnw}', "");
    Expect(1, 121519, '\p{_ Sgnw}', "");
    Expect(0, 121519, '\p{^_ Sgnw}', "");
    Expect(0, 121519, '\P{_ Sgnw}', "");
    Expect(1, 121519, '\P{^_ Sgnw}', "");
    Expect(0, 121520, '\p{_ Sgnw}', "");
    Expect(1, 121520, '\p{^_ Sgnw}', "");
    Expect(1, 121520, '\P{_ Sgnw}', "");
    Expect(0, 121520, '\P{^_ Sgnw}', "");
    Error('\p{_:=Is_Sgnw}');
    Error('\P{_:=Is_Sgnw}');
    Expect(1, 121519, '\p{issgnw}', "");
    Expect(0, 121519, '\p{^issgnw}', "");
    Expect(0, 121519, '\P{issgnw}', "");
    Expect(1, 121519, '\P{^issgnw}', "");
    Expect(0, 121520, '\p{issgnw}', "");
    Expect(1, 121520, '\p{^issgnw}', "");
    Expect(1, 121520, '\P{issgnw}', "");
    Expect(0, 121520, '\P{^issgnw}', "");
    Expect(1, 121519, '\p{--Is_Sgnw}', "");
    Expect(0, 121519, '\p{^--Is_Sgnw}', "");
    Expect(0, 121519, '\P{--Is_Sgnw}', "");
    Expect(1, 121519, '\P{^--Is_Sgnw}', "");
    Expect(0, 121520, '\p{--Is_Sgnw}', "");
    Expect(1, 121520, '\p{^--Is_Sgnw}', "");
    Expect(1, 121520, '\P{--Is_Sgnw}', "");
    Expect(0, 121520, '\P{^--Is_Sgnw}', "");
    Error('\p{_	Sinhala:=}');
    Error('\P{_	Sinhala:=}');
    Expect(1, 70132, '\p{sinhala}', "");
    Expect(0, 70132, '\p{^sinhala}', "");
    Expect(0, 70132, '\P{sinhala}', "");
    Expect(1, 70132, '\P{^sinhala}', "");
    Expect(0, 70133, '\p{sinhala}', "");
    Expect(1, 70133, '\p{^sinhala}', "");
    Expect(1, 70133, '\P{sinhala}', "");
    Expect(0, 70133, '\P{^sinhala}', "");
    Expect(1, 70132, '\p{ -sinhala}', "");
    Expect(0, 70132, '\p{^ -sinhala}', "");
    Expect(0, 70132, '\P{ -sinhala}', "");
    Expect(1, 70132, '\P{^ -sinhala}', "");
    Expect(0, 70133, '\p{ -sinhala}', "");
    Expect(1, 70133, '\p{^ -sinhala}', "");
    Expect(1, 70133, '\P{ -sinhala}', "");
    Expect(0, 70133, '\P{^ -sinhala}', "");
    Error('\p{	/a/Is_SINHALA}');
    Error('\P{	/a/Is_SINHALA}');
    Expect(1, 70132, '\p{issinhala}', "");
    Expect(0, 70132, '\p{^issinhala}', "");
    Expect(0, 70132, '\P{issinhala}', "");
    Expect(1, 70132, '\P{^issinhala}', "");
    Expect(0, 70133, '\p{issinhala}', "");
    Expect(1, 70133, '\p{^issinhala}', "");
    Expect(1, 70133, '\P{issinhala}', "");
    Expect(0, 70133, '\P{^issinhala}', "");
    Expect(1, 70132, '\p{ 	IS_Sinhala}', "");
    Expect(0, 70132, '\p{^ 	IS_Sinhala}', "");
    Expect(0, 70132, '\P{ 	IS_Sinhala}', "");
    Expect(1, 70132, '\P{^ 	IS_Sinhala}', "");
    Expect(0, 70133, '\p{ 	IS_Sinhala}', "");
    Expect(1, 70133, '\p{^ 	IS_Sinhala}', "");
    Expect(1, 70133, '\P{ 	IS_Sinhala}', "");
    Expect(0, 70133, '\P{^ 	IS_Sinhala}', "");
    Error('\p{ -sinh/a/}');
    Error('\P{ -sinh/a/}');
    Expect(1, 70132, '\p{sinh}', "");
    Expect(0, 70132, '\p{^sinh}', "");
    Expect(0, 70132, '\P{sinh}', "");
    Expect(1, 70132, '\P{^sinh}', "");
    Expect(0, 70133, '\p{sinh}', "");
    Expect(1, 70133, '\p{^sinh}', "");
    Expect(1, 70133, '\P{sinh}', "");
    Expect(0, 70133, '\P{^sinh}', "");
    Expect(1, 70132, '\p{ Sinh}', "");
    Expect(0, 70132, '\p{^ Sinh}', "");
    Expect(0, 70132, '\P{ Sinh}', "");
    Expect(1, 70132, '\P{^ Sinh}', "");
    Expect(0, 70133, '\p{ Sinh}', "");
    Expect(1, 70133, '\p{^ Sinh}', "");
    Expect(1, 70133, '\P{ Sinh}', "");
    Expect(0, 70133, '\P{^ Sinh}', "");
    Error('\p{/a/-is_sinh}');
    Error('\P{/a/-is_sinh}');
    Expect(1, 70132, '\p{issinh}', "");
    Expect(0, 70132, '\p{^issinh}', "");
    Expect(0, 70132, '\P{issinh}', "");
    Expect(1, 70132, '\P{^issinh}', "");
    Expect(0, 70133, '\p{issinh}', "");
    Expect(1, 70133, '\p{^issinh}', "");
    Expect(1, 70133, '\P{issinh}', "");
    Expect(0, 70133, '\P{^issinh}', "");
    Expect(1, 70132, '\p{ _Is_Sinh}', "");
    Expect(0, 70132, '\p{^ _Is_Sinh}', "");
    Expect(0, 70132, '\P{ _Is_Sinh}', "");
    Expect(1, 70132, '\P{^ _Is_Sinh}', "");
    Expect(0, 70133, '\p{ _Is_Sinh}', "");
    Expect(1, 70133, '\p{^ _Is_Sinh}', "");
    Expect(1, 70133, '\P{ _Is_Sinh}', "");
    Expect(0, 70133, '\P{^ _Is_Sinh}', "");
    Error('\p{ sinhala_Archaic_numbers:=}');
    Error('\P{ sinhala_Archaic_numbers:=}');
    Expect(1, 70143, '\p{sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\p{^sinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\P{sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\P{^sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\p{sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\p{^sinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\P{sinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\P{^sinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\p{ sinhala_ARCHAIC_Numbers}', "");
    Expect(0, 70143, '\p{^ sinhala_ARCHAIC_Numbers}', "");
    Expect(0, 70143, '\P{ sinhala_ARCHAIC_Numbers}', "");
    Expect(1, 70143, '\P{^ sinhala_ARCHAIC_Numbers}', "");
    Expect(0, 70144, '\p{ sinhala_ARCHAIC_Numbers}', "");
    Expect(1, 70144, '\p{^ sinhala_ARCHAIC_Numbers}', "");
    Expect(1, 70144, '\P{ sinhala_ARCHAIC_Numbers}', "");
    Expect(0, 70144, '\P{^ sinhala_ARCHAIC_Numbers}', "");
    Error('\p{/a/Is_SINHALA_Archaic_NUMBERS}');
    Error('\P{/a/Is_SINHALA_Archaic_NUMBERS}');
    Expect(1, 70143, '\p{issinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\p{^issinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\P{issinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\P{^issinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\p{issinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\p{^issinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\P{issinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\P{^issinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\p{_Is_Sinhala_Archaic_Numbers}', "");
    Expect(0, 70143, '\p{^_Is_Sinhala_Archaic_Numbers}', "");
    Expect(0, 70143, '\P{_Is_Sinhala_Archaic_Numbers}', "");
    Expect(1, 70143, '\P{^_Is_Sinhala_Archaic_Numbers}', "");
    Expect(0, 70144, '\p{_Is_Sinhala_Archaic_Numbers}', "");
    Expect(1, 70144, '\p{^_Is_Sinhala_Archaic_Numbers}', "");
    Expect(1, 70144, '\P{_Is_Sinhala_Archaic_Numbers}', "");
    Expect(0, 70144, '\P{^_Is_Sinhala_Archaic_Numbers}', "");
    Error('\p{	-In_Sinhala_ARCHAIC_NUMBERS/a/}');
    Error('\P{	-In_Sinhala_ARCHAIC_NUMBERS/a/}');
    Expect(1, 70143, '\p{insinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\p{^insinhalaarchaicnumbers}', "");
    Expect(0, 70143, '\P{insinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\P{^insinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\p{insinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\p{^insinhalaarchaicnumbers}', "");
    Expect(1, 70144, '\P{insinhalaarchaicnumbers}', "");
    Expect(0, 70144, '\P{^insinhalaarchaicnumbers}', "");
    Expect(1, 70143, '\p{	 in_SINHALA_ARCHAIC_numbers}', "");
    Expect(0, 70143, '\p{^	 in_SINHALA_ARCHAIC_numbers}', "");
    Expect(0, 70143, '\P{	 in_SINHALA_ARCHAIC_numbers}', "");
    Expect(1, 70143, '\P{^	 in_SINHALA_ARCHAIC_numbers}', "");
    Expect(0, 70144, '\p{	 in_SINHALA_ARCHAIC_numbers}', "");
    Expect(1, 70144, '\p{^	 in_SINHALA_ARCHAIC_numbers}', "");
    Expect(1, 70144, '\P{	 in_SINHALA_ARCHAIC_numbers}', "");
    Expect(0, 70144, '\P{^	 in_SINHALA_ARCHAIC_numbers}', "");
    Error('\p{:=-_Small_form_VARIANTS}');
    Error('\P{:=-_Small_form_VARIANTS}');
    Expect(1, 65135, '\p{smallformvariants}', "");
    Expect(0, 65135, '\p{^smallformvariants}', "");
    Expect(0, 65135, '\P{smallformvariants}', "");
    Expect(1, 65135, '\P{^smallformvariants}', "");
    Expect(0, 65136, '\p{smallformvariants}', "");
    Expect(1, 65136, '\p{^smallformvariants}', "");
    Expect(1, 65136, '\P{smallformvariants}', "");
    Expect(0, 65136, '\P{^smallformvariants}', "");
    Expect(1, 65135, '\p{_ small_FORM_variants}', "");
    Expect(0, 65135, '\p{^_ small_FORM_variants}', "");
    Expect(0, 65135, '\P{_ small_FORM_variants}', "");
    Expect(1, 65135, '\P{^_ small_FORM_variants}', "");
    Expect(0, 65136, '\p{_ small_FORM_variants}', "");
    Expect(1, 65136, '\p{^_ small_FORM_variants}', "");
    Expect(1, 65136, '\P{_ small_FORM_variants}', "");
    Expect(0, 65136, '\P{^_ small_FORM_variants}', "");
    Error('\p{	/a/Is_small_form_Variants}');
    Error('\P{	/a/Is_small_form_Variants}');
    Expect(1, 65135, '\p{issmallformvariants}', "");
    Expect(0, 65135, '\p{^issmallformvariants}', "");
    Expect(0, 65135, '\P{issmallformvariants}', "");
    Expect(1, 65135, '\P{^issmallformvariants}', "");
    Expect(0, 65136, '\p{issmallformvariants}', "");
    Expect(1, 65136, '\p{^issmallformvariants}', "");
    Expect(1, 65136, '\P{issmallformvariants}', "");
    Expect(0, 65136, '\P{^issmallformvariants}', "");
    Expect(1, 65135, '\p{- is_Small_Form_Variants}', "");
    Expect(0, 65135, '\p{^- is_Small_Form_Variants}', "");
    Expect(0, 65135, '\P{- is_Small_Form_Variants}', "");
    Expect(1, 65135, '\P{^- is_Small_Form_Variants}', "");
    Expect(0, 65136, '\p{- is_Small_Form_Variants}', "");
    Expect(1, 65136, '\p{^- is_Small_Form_Variants}', "");
    Expect(1, 65136, '\P{- is_Small_Form_Variants}', "");
    Expect(0, 65136, '\P{^- is_Small_Form_Variants}', "");
    Error('\p{_in_small_Form_Variants/a/}');
    Error('\P{_in_small_Form_Variants/a/}');
    Expect(1, 65135, '\p{insmallformvariants}', "");
    Expect(0, 65135, '\p{^insmallformvariants}', "");
    Expect(0, 65135, '\P{insmallformvariants}', "");
    Expect(1, 65135, '\P{^insmallformvariants}', "");
    Expect(0, 65136, '\p{insmallformvariants}', "");
    Expect(1, 65136, '\p{^insmallformvariants}', "");
    Expect(1, 65136, '\P{insmallformvariants}', "");
    Expect(0, 65136, '\P{^insmallformvariants}', "");
    Expect(1, 65135, '\p{--IN_small_form_VARIANTS}', "");
    Expect(0, 65135, '\p{^--IN_small_form_VARIANTS}', "");
    Expect(0, 65135, '\P{--IN_small_form_VARIANTS}', "");
    Expect(1, 65135, '\P{^--IN_small_form_VARIANTS}', "");
    Expect(0, 65136, '\p{--IN_small_form_VARIANTS}', "");
    Expect(1, 65136, '\p{^--IN_small_form_VARIANTS}', "");
    Expect(1, 65136, '\P{--IN_small_form_VARIANTS}', "");
    Expect(0, 65136, '\P{^--IN_small_form_VARIANTS}', "");
    Error('\p{/a/ 	Small_Forms}');
    Error('\P{/a/ 	Small_Forms}');
    Expect(1, 65135, '\p{smallforms}', "");
    Expect(0, 65135, '\p{^smallforms}', "");
    Expect(0, 65135, '\P{smallforms}', "");
    Expect(1, 65135, '\P{^smallforms}', "");
    Expect(0, 65136, '\p{smallforms}', "");
    Expect(1, 65136, '\p{^smallforms}', "");
    Expect(1, 65136, '\P{smallforms}', "");
    Expect(0, 65136, '\P{^smallforms}', "");
    Expect(1, 65135, '\p{-_Small_forms}', "");
    Expect(0, 65135, '\p{^-_Small_forms}', "");
    Expect(0, 65135, '\P{-_Small_forms}', "");
    Expect(1, 65135, '\P{^-_Small_forms}', "");
    Expect(0, 65136, '\p{-_Small_forms}', "");
    Expect(1, 65136, '\p{^-_Small_forms}', "");
    Expect(1, 65136, '\P{-_Small_forms}', "");
    Expect(0, 65136, '\P{^-_Small_forms}', "");
    Error('\p{  Is_SMALL_Forms/a/}');
    Error('\P{  Is_SMALL_Forms/a/}');
    Expect(1, 65135, '\p{issmallforms}', "");
    Expect(0, 65135, '\p{^issmallforms}', "");
    Expect(0, 65135, '\P{issmallforms}', "");
    Expect(1, 65135, '\P{^issmallforms}', "");
    Expect(0, 65136, '\p{issmallforms}', "");
    Expect(1, 65136, '\p{^issmallforms}', "");
    Expect(1, 65136, '\P{issmallforms}', "");
    Expect(0, 65136, '\P{^issmallforms}', "");
    Expect(1, 65135, '\p{_	Is_Small_FORMS}', "");
    Expect(0, 65135, '\p{^_	Is_Small_FORMS}', "");
    Expect(0, 65135, '\P{_	Is_Small_FORMS}', "");
    Expect(1, 65135, '\P{^_	Is_Small_FORMS}', "");
    Expect(0, 65136, '\p{_	Is_Small_FORMS}', "");
    Expect(1, 65136, '\p{^_	Is_Small_FORMS}', "");
    Expect(1, 65136, '\P{_	Is_Small_FORMS}', "");
    Expect(0, 65136, '\P{^_	Is_Small_FORMS}', "");
    Error('\p{:=-_IN_SMALL_Forms}');
    Error('\P{:=-_IN_SMALL_Forms}');
    Expect(1, 65135, '\p{insmallforms}', "");
    Expect(0, 65135, '\p{^insmallforms}', "");
    Expect(0, 65135, '\P{insmallforms}', "");
    Expect(1, 65135, '\P{^insmallforms}', "");
    Expect(0, 65136, '\p{insmallforms}', "");
    Expect(1, 65136, '\p{^insmallforms}', "");
    Expect(1, 65136, '\P{insmallforms}', "");
    Expect(0, 65136, '\P{^insmallforms}', "");
    Expect(1, 65135, '\p{_-IN_small_forms}', "");
    Expect(0, 65135, '\p{^_-IN_small_forms}', "");
    Expect(0, 65135, '\P{_-IN_small_forms}', "");
    Expect(1, 65135, '\P{^_-IN_small_forms}', "");
    Expect(0, 65136, '\p{_-IN_small_forms}', "");
    Expect(1, 65136, '\p{^_-IN_small_forms}', "");
    Expect(1, 65136, '\P{_-IN_small_forms}', "");
    Expect(0, 65136, '\P{^_-IN_small_forms}', "");
    Error('\p{_-Small_kana_Extension/a/}');
    Error('\P{_-Small_kana_Extension/a/}');
    Expect(1, 110959, '\p{smallkanaextension}', "");
    Expect(0, 110959, '\p{^smallkanaextension}', "");
    Expect(0, 110959, '\P{smallkanaextension}', "");
    Expect(1, 110959, '\P{^smallkanaextension}', "");
    Expect(0, 110960, '\p{smallkanaextension}', "");
    Expect(1, 110960, '\p{^smallkanaextension}', "");
    Expect(1, 110960, '\P{smallkanaextension}', "");
    Expect(0, 110960, '\P{^smallkanaextension}', "");
    Expect(1, 110959, '\p{Small_Kana_Extension}', "");
    Expect(0, 110959, '\p{^Small_Kana_Extension}', "");
    Expect(0, 110959, '\P{Small_Kana_Extension}', "");
    Expect(1, 110959, '\P{^Small_Kana_Extension}', "");
    Expect(0, 110960, '\p{Small_Kana_Extension}', "");
    Expect(1, 110960, '\p{^Small_Kana_Extension}', "");
    Expect(1, 110960, '\P{Small_Kana_Extension}', "");
    Expect(0, 110960, '\P{^Small_Kana_Extension}', "");
    Error('\p{:=  is_SMALL_KANA_EXTENSION}');
    Error('\P{:=  is_SMALL_KANA_EXTENSION}');
    Expect(1, 110959, '\p{issmallkanaextension}', "");
    Expect(0, 110959, '\p{^issmallkanaextension}', "");
    Expect(0, 110959, '\P{issmallkanaextension}', "");
    Expect(1, 110959, '\P{^issmallkanaextension}', "");
    Expect(0, 110960, '\p{issmallkanaextension}', "");
    Expect(1, 110960, '\p{^issmallkanaextension}', "");
    Expect(1, 110960, '\P{issmallkanaextension}', "");
    Expect(0, 110960, '\P{^issmallkanaextension}', "");
    Expect(1, 110959, '\p{_	is_small_KANA_extension}', "");
    Expect(0, 110959, '\p{^_	is_small_KANA_extension}', "");
    Expect(0, 110959, '\P{_	is_small_KANA_extension}', "");
    Expect(1, 110959, '\P{^_	is_small_KANA_extension}', "");
    Expect(0, 110960, '\p{_	is_small_KANA_extension}', "");
    Expect(1, 110960, '\p{^_	is_small_KANA_extension}', "");
    Expect(1, 110960, '\P{_	is_small_KANA_extension}', "");
    Expect(0, 110960, '\P{^_	is_small_KANA_extension}', "");
    Error('\p{:=In_Small_kana_extension}');
    Error('\P{:=In_Small_kana_extension}');
    Expect(1, 110959, '\p{insmallkanaextension}', "");
    Expect(0, 110959, '\p{^insmallkanaextension}', "");
    Expect(0, 110959, '\P{insmallkanaextension}', "");
    Expect(1, 110959, '\P{^insmallkanaextension}', "");
    Expect(0, 110960, '\p{insmallkanaextension}', "");
    Expect(1, 110960, '\p{^insmallkanaextension}', "");
    Expect(1, 110960, '\P{insmallkanaextension}', "");
    Expect(0, 110960, '\P{^insmallkanaextension}', "");
    Expect(1, 110959, '\p{ 	IN_SMALL_Kana_Extension}', "");
    Expect(0, 110959, '\p{^ 	IN_SMALL_Kana_Extension}', "");
    Expect(0, 110959, '\P{ 	IN_SMALL_Kana_Extension}', "");
    Expect(1, 110959, '\P{^ 	IN_SMALL_Kana_Extension}', "");
    Expect(0, 110960, '\p{ 	IN_SMALL_Kana_Extension}', "");
    Expect(1, 110960, '\p{^ 	IN_SMALL_Kana_Extension}', "");
    Expect(1, 110960, '\P{ 	IN_SMALL_Kana_Extension}', "");
    Expect(0, 110960, '\P{^ 	IN_SMALL_Kana_Extension}', "");
    Error('\p{_:=Small_kana_Ext}');
    Error('\P{_:=Small_kana_Ext}');
    Expect(1, 110959, '\p{smallkanaext}', "");
    Expect(0, 110959, '\p{^smallkanaext}', "");
    Expect(0, 110959, '\P{smallkanaext}', "");
    Expect(1, 110959, '\P{^smallkanaext}', "");
    Expect(0, 110960, '\p{smallkanaext}', "");
    Expect(1, 110960, '\p{^smallkanaext}', "");
    Expect(1, 110960, '\P{smallkanaext}', "");
    Expect(0, 110960, '\P{^smallkanaext}', "");
    Expect(1, 110959, '\p{	_small_kana_Ext}', "");
    Expect(0, 110959, '\p{^	_small_kana_Ext}', "");
    Expect(0, 110959, '\P{	_small_kana_Ext}', "");
    Expect(1, 110959, '\P{^	_small_kana_Ext}', "");
    Expect(0, 110960, '\p{	_small_kana_Ext}', "");
    Expect(1, 110960, '\p{^	_small_kana_Ext}', "");
    Expect(1, 110960, '\P{	_small_kana_Ext}', "");
    Expect(0, 110960, '\P{^	_small_kana_Ext}', "");
    Error('\p{/a/ -Is_Small_KANA_Ext}');
    Error('\P{/a/ -Is_Small_KANA_Ext}');
    Expect(1, 110959, '\p{issmallkanaext}', "");
    Expect(0, 110959, '\p{^issmallkanaext}', "");
    Expect(0, 110959, '\P{issmallkanaext}', "");
    Expect(1, 110959, '\P{^issmallkanaext}', "");
    Expect(0, 110960, '\p{issmallkanaext}', "");
    Expect(1, 110960, '\p{^issmallkanaext}', "");
    Expect(1, 110960, '\P{issmallkanaext}', "");
    Expect(0, 110960, '\P{^issmallkanaext}', "");
    Expect(1, 110959, '\p{		Is_Small_Kana_Ext}', "");
    Expect(0, 110959, '\p{^		Is_Small_Kana_Ext}', "");
    Expect(0, 110959, '\P{		Is_Small_Kana_Ext}', "");
    Expect(1, 110959, '\P{^		Is_Small_Kana_Ext}', "");
    Expect(0, 110960, '\p{		Is_Small_Kana_Ext}', "");
    Expect(1, 110960, '\p{^		Is_Small_Kana_Ext}', "");
    Expect(1, 110960, '\P{		Is_Small_Kana_Ext}', "");
    Expect(0, 110960, '\P{^		Is_Small_Kana_Ext}', "");
    Error('\p{-/a/In_SMALL_Kana_EXT}');
    Error('\P{-/a/In_SMALL_Kana_EXT}');
    Expect(1, 110959, '\p{insmallkanaext}', "");
    Expect(0, 110959, '\p{^insmallkanaext}', "");
    Expect(0, 110959, '\P{insmallkanaext}', "");
    Expect(1, 110959, '\P{^insmallkanaext}', "");
    Expect(0, 110960, '\p{insmallkanaext}', "");
    Expect(1, 110960, '\p{^insmallkanaext}', "");
    Expect(1, 110960, '\P{insmallkanaext}', "");
    Expect(0, 110960, '\P{^insmallkanaext}', "");
    Expect(1, 110959, '\p{	-IN_Small_KANA_Ext}', "");
    Expect(0, 110959, '\p{^	-IN_Small_KANA_Ext}', "");
    Expect(0, 110959, '\P{	-IN_Small_KANA_Ext}', "");
    Expect(1, 110959, '\P{^	-IN_Small_KANA_Ext}', "");
    Expect(0, 110960, '\p{	-IN_Small_KANA_Ext}', "");
    Expect(1, 110960, '\p{^	-IN_Small_KANA_Ext}', "");
    Expect(1, 110960, '\P{	-IN_Small_KANA_Ext}', "");
    Expect(0, 110960, '\P{^	-IN_Small_KANA_Ext}', "");
    Error('\p{ SOFT_Dotted/a/}');
    Error('\P{ SOFT_Dotted/a/}');
    Expect(1, 122650, '\p{softdotted}', "");
    Expect(0, 122650, '\p{^softdotted}', "");
    Expect(0, 122650, '\P{softdotted}', "");
    Expect(1, 122650, '\P{^softdotted}', "");
    Expect(0, 122651, '\p{softdotted}', "");
    Expect(1, 122651, '\p{^softdotted}', "");
    Expect(1, 122651, '\P{softdotted}', "");
    Expect(0, 122651, '\P{^softdotted}', "");
    Expect(1, 122650, '\p{SOFT_Dotted}', "");
    Expect(0, 122650, '\p{^SOFT_Dotted}', "");
    Expect(0, 122650, '\P{SOFT_Dotted}', "");
    Expect(1, 122650, '\P{^SOFT_Dotted}', "");
    Expect(0, 122651, '\p{SOFT_Dotted}', "");
    Expect(1, 122651, '\p{^SOFT_Dotted}', "");
    Expect(1, 122651, '\P{SOFT_Dotted}', "");
    Expect(0, 122651, '\P{^SOFT_Dotted}', "");
    Error('\p{	is_SOFT_Dotted:=}');
    Error('\P{	is_SOFT_Dotted:=}');
    Expect(1, 122650, '\p{issoftdotted}', "");
    Expect(0, 122650, '\p{^issoftdotted}', "");
    Expect(0, 122650, '\P{issoftdotted}', "");
    Expect(1, 122650, '\P{^issoftdotted}', "");
    Expect(0, 122651, '\p{issoftdotted}', "");
    Expect(1, 122651, '\p{^issoftdotted}', "");
    Expect(1, 122651, '\P{issoftdotted}', "");
    Expect(0, 122651, '\P{^issoftdotted}', "");
    Expect(1, 122650, '\p{-IS_Soft_DOTTED}', "");
    Expect(0, 122650, '\p{^-IS_Soft_DOTTED}', "");
    Expect(0, 122650, '\P{-IS_Soft_DOTTED}', "");
    Expect(1, 122650, '\P{^-IS_Soft_DOTTED}', "");
    Expect(0, 122651, '\p{-IS_Soft_DOTTED}', "");
    Expect(1, 122651, '\p{^-IS_Soft_DOTTED}', "");
    Expect(1, 122651, '\P{-IS_Soft_DOTTED}', "");
    Expect(0, 122651, '\P{^-IS_Soft_DOTTED}', "");
    Error('\p{_/a/SD}');
    Error('\P{_/a/SD}');
    Expect(1, 122650, '\p{sd}', "");
    Expect(0, 122650, '\p{^sd}', "");
    Expect(0, 122650, '\P{sd}', "");
    Expect(1, 122650, '\P{^sd}', "");
    Expect(0, 122651, '\p{sd}', "");
    Expect(1, 122651, '\p{^sd}', "");
    Expect(1, 122651, '\P{sd}', "");
    Expect(0, 122651, '\P{^sd}', "");
    Expect(1, 122650, '\p{- SD}', "");
    Expect(0, 122650, '\p{^- SD}', "");
    Expect(0, 122650, '\P{- SD}', "");
    Expect(1, 122650, '\P{^- SD}', "");
    Expect(0, 122651, '\p{- SD}', "");
    Expect(1, 122651, '\p{^- SD}', "");
    Expect(1, 122651, '\P{- SD}', "");
    Expect(0, 122651, '\P{^- SD}', "");
    Error('\p{:=IS_SD}');
    Error('\P{:=IS_SD}');
    Expect(1, 122650, '\p{issd}', "");
    Expect(0, 122650, '\p{^issd}', "");
    Expect(0, 122650, '\P{issd}', "");
    Expect(1, 122650, '\P{^issd}', "");
    Expect(0, 122651, '\p{issd}', "");
    Expect(1, 122651, '\p{^issd}', "");
    Expect(1, 122651, '\P{issd}', "");
    Expect(0, 122651, '\P{^issd}', "");
    Expect(1, 122650, '\p{__IS_SD}', "");
    Expect(0, 122650, '\p{^__IS_SD}', "");
    Expect(0, 122650, '\P{__IS_SD}', "");
    Expect(1, 122650, '\P{^__IS_SD}', "");
    Expect(0, 122651, '\p{__IS_SD}', "");
    Expect(1, 122651, '\p{^__IS_SD}', "");
    Expect(1, 122651, '\P{__IS_SD}', "");
    Expect(0, 122651, '\P{^__IS_SD}', "");
    Error('\p{_SOGDIAN:=}');
    Error('\P{_SOGDIAN:=}');
    Expect(1, 69465, '\p{sogdian}', "");
    Expect(0, 69465, '\p{^sogdian}', "");
    Expect(0, 69465, '\P{sogdian}', "");
    Expect(1, 69465, '\P{^sogdian}', "");
    Expect(0, 69466, '\p{sogdian}', "");
    Expect(1, 69466, '\p{^sogdian}', "");
    Expect(1, 69466, '\P{sogdian}', "");
    Expect(0, 69466, '\P{^sogdian}', "");
    Error('\p{:=	Is_Sogdian}');
    Error('\P{:=	Is_Sogdian}');
    Expect(1, 69465, '\p{issogdian}', "");
    Expect(0, 69465, '\p{^issogdian}', "");
    Expect(0, 69465, '\P{issogdian}', "");
    Expect(1, 69465, '\P{^issogdian}', "");
    Expect(0, 69466, '\p{issogdian}', "");
    Expect(1, 69466, '\p{^issogdian}', "");
    Expect(1, 69466, '\P{issogdian}', "");
    Expect(0, 69466, '\P{^issogdian}', "");
    Expect(1, 69465, '\p{	 Is_sogdian}', "");
    Expect(0, 69465, '\p{^	 Is_sogdian}', "");
    Expect(0, 69465, '\P{	 Is_sogdian}', "");
    Expect(1, 69465, '\P{^	 Is_sogdian}', "");
    Expect(0, 69466, '\p{	 Is_sogdian}', "");
    Expect(1, 69466, '\p{^	 Is_sogdian}', "");
    Expect(1, 69466, '\P{	 Is_sogdian}', "");
    Expect(0, 69466, '\P{^	 Is_sogdian}', "");
    Error('\p{/a/SOGD}');
    Error('\P{/a/SOGD}');
    Expect(1, 69465, '\p{sogd}', "");
    Expect(0, 69465, '\p{^sogd}', "");
    Expect(0, 69465, '\P{sogd}', "");
    Expect(1, 69465, '\P{^sogd}', "");
    Expect(0, 69466, '\p{sogd}', "");
    Expect(1, 69466, '\p{^sogd}', "");
    Expect(1, 69466, '\P{sogd}', "");
    Expect(0, 69466, '\P{^sogd}', "");
    Expect(1, 69465, '\p{-Sogd}', "");
    Expect(0, 69465, '\p{^-Sogd}', "");
    Expect(0, 69465, '\P{-Sogd}', "");
    Expect(1, 69465, '\P{^-Sogd}', "");
    Expect(0, 69466, '\p{-Sogd}', "");
    Expect(1, 69466, '\p{^-Sogd}', "");
    Expect(1, 69466, '\P{-Sogd}', "");
    Expect(0, 69466, '\P{^-Sogd}', "");
    Error('\p{	-IS_SOGD:=}');
    Error('\P{	-IS_SOGD:=}');
    Expect(1, 69465, '\p{issogd}', "");
    Expect(0, 69465, '\p{^issogd}', "");
    Expect(0, 69465, '\P{issogd}', "");
    Expect(1, 69465, '\P{^issogd}', "");
    Expect(0, 69466, '\p{issogd}', "");
    Expect(1, 69466, '\p{^issogd}', "");
    Expect(1, 69466, '\P{issogd}', "");
    Expect(0, 69466, '\P{^issogd}', "");
    Expect(1, 69465, '\p{	is_Sogd}', "");
    Expect(0, 69465, '\p{^	is_Sogd}', "");
    Expect(0, 69465, '\P{	is_Sogd}', "");
    Expect(1, 69465, '\P{^	is_Sogd}', "");
    Expect(0, 69466, '\p{	is_Sogd}', "");
    Expect(1, 69466, '\p{^	is_Sogd}', "");
    Expect(1, 69466, '\P{	is_Sogd}', "");
    Expect(0, 69466, '\P{^	is_Sogd}', "");
    Error('\p{  sora_Sompeng:=}');
    Error('\P{  sora_Sompeng:=}');
    Expect(1, 69881, '\p{sorasompeng}', "");
    Expect(0, 69881, '\p{^sorasompeng}', "");
    Expect(0, 69881, '\P{sorasompeng}', "");
    Expect(1, 69881, '\P{^sorasompeng}', "");
    Expect(0, 69882, '\p{sorasompeng}', "");
    Expect(1, 69882, '\p{^sorasompeng}', "");
    Expect(1, 69882, '\P{sorasompeng}', "");
    Expect(0, 69882, '\P{^sorasompeng}', "");
    Expect(1, 69881, '\p{ _SORA_Sompeng}', "");
    Expect(0, 69881, '\p{^ _SORA_Sompeng}', "");
    Expect(0, 69881, '\P{ _SORA_Sompeng}', "");
    Expect(1, 69881, '\P{^ _SORA_Sompeng}', "");
    Expect(0, 69882, '\p{ _SORA_Sompeng}', "");
    Expect(1, 69882, '\p{^ _SORA_Sompeng}', "");
    Expect(1, 69882, '\P{ _SORA_Sompeng}', "");
    Expect(0, 69882, '\P{^ _SORA_Sompeng}', "");
    Error('\p{_:=IS_Sora_SOMPENG}');
    Error('\P{_:=IS_Sora_SOMPENG}');
    Expect(1, 69881, '\p{issorasompeng}', "");
    Expect(0, 69881, '\p{^issorasompeng}', "");
    Expect(0, 69881, '\P{issorasompeng}', "");
    Expect(1, 69881, '\P{^issorasompeng}', "");
    Expect(0, 69882, '\p{issorasompeng}', "");
    Expect(1, 69882, '\p{^issorasompeng}', "");
    Expect(1, 69882, '\P{issorasompeng}', "");
    Expect(0, 69882, '\P{^issorasompeng}', "");
    Expect(1, 69881, '\p{-_is_SORA_Sompeng}', "");
    Expect(0, 69881, '\p{^-_is_SORA_Sompeng}', "");
    Expect(0, 69881, '\P{-_is_SORA_Sompeng}', "");
    Expect(1, 69881, '\P{^-_is_SORA_Sompeng}', "");
    Expect(0, 69882, '\p{-_is_SORA_Sompeng}', "");
    Expect(1, 69882, '\p{^-_is_SORA_Sompeng}', "");
    Expect(1, 69882, '\P{-_is_SORA_Sompeng}', "");
    Expect(0, 69882, '\P{^-_is_SORA_Sompeng}', "");
    Error('\p{:=-_SORA}');
    Error('\P{:=-_SORA}');
    Expect(1, 69881, '\p{sora}', "");
    Expect(0, 69881, '\p{^sora}', "");
    Expect(0, 69881, '\P{sora}', "");
    Expect(1, 69881, '\P{^sora}', "");
    Expect(0, 69882, '\p{sora}', "");
    Expect(1, 69882, '\p{^sora}', "");
    Expect(1, 69882, '\P{sora}', "");
    Expect(0, 69882, '\P{^sora}', "");
    Expect(1, 69881, '\p{-Sora}', "");
    Expect(0, 69881, '\p{^-Sora}', "");
    Expect(0, 69881, '\P{-Sora}', "");
    Expect(1, 69881, '\P{^-Sora}', "");
    Expect(0, 69882, '\p{-Sora}', "");
    Expect(1, 69882, '\p{^-Sora}', "");
    Expect(1, 69882, '\P{-Sora}', "");
    Expect(0, 69882, '\P{^-Sora}', "");
    Error('\p{/a/	-Is_Sora}');
    Error('\P{/a/	-Is_Sora}');
    Expect(1, 69881, '\p{issora}', "");
    Expect(0, 69881, '\p{^issora}', "");
    Expect(0, 69881, '\P{issora}', "");
    Expect(1, 69881, '\P{^issora}', "");
    Expect(0, 69882, '\p{issora}', "");
    Expect(1, 69882, '\p{^issora}', "");
    Expect(1, 69882, '\P{issora}', "");
    Expect(0, 69882, '\P{^issora}', "");
    Expect(1, 69881, '\p{__is_sora}', "");
    Expect(0, 69881, '\p{^__is_sora}', "");
    Expect(0, 69881, '\P{__is_sora}', "");
    Expect(1, 69881, '\P{^__is_sora}', "");
    Expect(0, 69882, '\p{__is_sora}', "");
    Expect(1, 69882, '\p{^__is_sora}', "");
    Expect(1, 69882, '\P{__is_sora}', "");
    Expect(0, 69882, '\P{^__is_sora}', "");
    Error('\p{ /a/Soyombo}');
    Error('\P{ /a/Soyombo}');
    Expect(1, 72354, '\p{soyombo}', "");
    Expect(0, 72354, '\p{^soyombo}', "");
    Expect(0, 72354, '\P{soyombo}', "");
    Expect(1, 72354, '\P{^soyombo}', "");
    Expect(0, 72355, '\p{soyombo}', "");
    Expect(1, 72355, '\p{^soyombo}', "");
    Expect(1, 72355, '\P{soyombo}', "");
    Expect(0, 72355, '\P{^soyombo}', "");
    Expect(1, 72354, '\p{_-soyombo}', "");
    Expect(0, 72354, '\p{^_-soyombo}', "");
    Expect(0, 72354, '\P{_-soyombo}', "");
    Expect(1, 72354, '\P{^_-soyombo}', "");
    Expect(0, 72355, '\p{_-soyombo}', "");
    Expect(1, 72355, '\p{^_-soyombo}', "");
    Expect(1, 72355, '\P{_-soyombo}', "");
    Expect(0, 72355, '\P{^_-soyombo}', "");
    Error('\p{ 	Is_Soyombo/a/}');
    Error('\P{ 	Is_Soyombo/a/}');
    Expect(1, 72354, '\p{issoyombo}', "");
    Expect(0, 72354, '\p{^issoyombo}', "");
    Expect(0, 72354, '\P{issoyombo}', "");
    Expect(1, 72354, '\P{^issoyombo}', "");
    Expect(0, 72355, '\p{issoyombo}', "");
    Expect(1, 72355, '\p{^issoyombo}', "");
    Expect(1, 72355, '\P{issoyombo}', "");
    Expect(0, 72355, '\P{^issoyombo}', "");
    Expect(1, 72354, '\p{	_IS_Soyombo}', "");
    Expect(0, 72354, '\p{^	_IS_Soyombo}', "");
    Expect(0, 72354, '\P{	_IS_Soyombo}', "");
    Expect(1, 72354, '\P{^	_IS_Soyombo}', "");
    Expect(0, 72355, '\p{	_IS_Soyombo}', "");
    Expect(1, 72355, '\p{^	_IS_Soyombo}', "");
    Expect(1, 72355, '\P{	_IS_Soyombo}', "");
    Expect(0, 72355, '\P{^	_IS_Soyombo}', "");
    Error('\p{:= _SOYO}');
    Error('\P{:= _SOYO}');
    Expect(1, 72354, '\p{soyo}', "");
    Expect(0, 72354, '\p{^soyo}', "");
    Expect(0, 72354, '\P{soyo}', "");
    Expect(1, 72354, '\P{^soyo}', "");
    Expect(0, 72355, '\p{soyo}', "");
    Expect(1, 72355, '\p{^soyo}', "");
    Expect(1, 72355, '\P{soyo}', "");
    Expect(0, 72355, '\P{^soyo}', "");
    Expect(1, 72354, '\p{_soyo}', "");
    Expect(0, 72354, '\p{^_soyo}', "");
    Expect(0, 72354, '\P{_soyo}', "");
    Expect(1, 72354, '\P{^_soyo}', "");
    Expect(0, 72355, '\p{_soyo}', "");
    Expect(1, 72355, '\p{^_soyo}', "");
    Expect(1, 72355, '\P{_soyo}', "");
    Expect(0, 72355, '\P{^_soyo}', "");
    Error('\p{__is_SOYO/a/}');
    Error('\P{__is_SOYO/a/}');
    Expect(1, 72354, '\p{issoyo}', "");
    Expect(0, 72354, '\p{^issoyo}', "");
    Expect(0, 72354, '\P{issoyo}', "");
    Expect(1, 72354, '\P{^issoyo}', "");
    Expect(0, 72355, '\p{issoyo}', "");
    Expect(1, 72355, '\p{^issoyo}', "");
    Expect(1, 72355, '\P{issoyo}', "");
    Expect(0, 72355, '\P{^issoyo}', "");
    Expect(1, 72354, '\p{	Is_soyo}', "");
    Expect(0, 72354, '\p{^	Is_soyo}', "");
    Expect(0, 72354, '\P{	Is_soyo}', "");
    Expect(1, 72354, '\P{^	Is_soyo}', "");
    Expect(0, 72355, '\p{	Is_soyo}', "");
    Expect(1, 72355, '\p{^	Is_soyo}', "");
    Expect(1, 72355, '\P{	Is_soyo}', "");
    Expect(0, 72355, '\P{^	Is_soyo}', "");
    Error('\p{SPACE_Separator/a/}');
    Error('\P{SPACE_Separator/a/}');
    Expect(1, 12288, '\p{spaceseparator}', "");
    Expect(0, 12288, '\p{^spaceseparator}', "");
    Expect(0, 12288, '\P{spaceseparator}', "");
    Expect(1, 12288, '\P{^spaceseparator}', "");
    Expect(0, 12289, '\p{spaceseparator}', "");
    Expect(1, 12289, '\p{^spaceseparator}', "");
    Expect(1, 12289, '\P{spaceseparator}', "");
    Expect(0, 12289, '\P{^spaceseparator}', "");
    Expect(1, 12288, '\p{ Space_Separator}', "");
    Expect(0, 12288, '\p{^ Space_Separator}', "");
    Expect(0, 12288, '\P{ Space_Separator}', "");
    Expect(1, 12288, '\P{^ Space_Separator}', "");
    Expect(0, 12289, '\p{ Space_Separator}', "");
    Expect(1, 12289, '\p{^ Space_Separator}', "");
    Expect(1, 12289, '\P{ Space_Separator}', "");
    Expect(0, 12289, '\P{^ Space_Separator}', "");
    Error('\p{/a/ -IS_Space_Separator}');
    Error('\P{/a/ -IS_Space_Separator}');
    Expect(1, 12288, '\p{isspaceseparator}', "");
    Expect(0, 12288, '\p{^isspaceseparator}', "");
    Expect(0, 12288, '\P{isspaceseparator}', "");
    Expect(1, 12288, '\P{^isspaceseparator}', "");
    Expect(0, 12289, '\p{isspaceseparator}', "");
    Expect(1, 12289, '\p{^isspaceseparator}', "");
    Expect(1, 12289, '\P{isspaceseparator}', "");
    Expect(0, 12289, '\P{^isspaceseparator}', "");
    Expect(1, 12288, '\p{ Is_Space_separator}', "");
    Expect(0, 12288, '\p{^ Is_Space_separator}', "");
    Expect(0, 12288, '\P{ Is_Space_separator}', "");
    Expect(1, 12288, '\P{^ Is_Space_separator}', "");
    Expect(0, 12289, '\p{ Is_Space_separator}', "");
    Expect(1, 12289, '\p{^ Is_Space_separator}', "");
    Expect(1, 12289, '\P{ Is_Space_separator}', "");
    Expect(0, 12289, '\P{^ Is_Space_separator}', "");
    Error('\p{:=		Zs}');
    Error('\P{:=		Zs}');
    Expect(1, 12288, '\p{zs}', "");
    Expect(0, 12288, '\p{^zs}', "");
    Expect(0, 12288, '\P{zs}', "");
    Expect(1, 12288, '\P{^zs}', "");
    Expect(0, 12289, '\p{zs}', "");
    Expect(1, 12289, '\p{^zs}', "");
    Expect(1, 12289, '\P{zs}', "");
    Expect(0, 12289, '\P{^zs}', "");
    Expect(1, 12288, '\p{--ZS}', "");
    Expect(0, 12288, '\p{^--ZS}', "");
    Expect(0, 12288, '\P{--ZS}', "");
    Expect(1, 12288, '\P{^--ZS}', "");
    Expect(0, 12289, '\p{--ZS}', "");
    Expect(1, 12289, '\p{^--ZS}', "");
    Expect(1, 12289, '\P{--ZS}', "");
    Expect(0, 12289, '\P{^--ZS}', "");
    Error('\p{-_Is_ZS:=}');
    Error('\P{-_Is_ZS:=}');
    Expect(1, 12288, '\p{iszs}', "");
    Expect(0, 12288, '\p{^iszs}', "");
    Expect(0, 12288, '\P{iszs}', "");
    Expect(1, 12288, '\P{^iszs}', "");
    Expect(0, 12289, '\p{iszs}', "");
    Expect(1, 12289, '\p{^iszs}', "");
    Expect(1, 12289, '\P{iszs}', "");
    Expect(0, 12289, '\P{^iszs}', "");
    Expect(1, 12288, '\p{--IS_ZS}', "");
    Expect(0, 12288, '\p{^--IS_ZS}', "");
    Expect(0, 12288, '\P{--IS_ZS}', "");
    Expect(1, 12288, '\P{^--IS_ZS}', "");
    Expect(0, 12289, '\p{--IS_ZS}', "");
    Expect(1, 12289, '\p{^--IS_ZS}', "");
    Expect(1, 12289, '\P{--IS_ZS}', "");
    Expect(0, 12289, '\P{^--IS_ZS}', "");
    Error('\p{/a/SPACING_Mark}');
    Error('\P{/a/SPACING_Mark}');
    Expect(1, 119154, '\p{spacingmark}', "");
    Expect(0, 119154, '\p{^spacingmark}', "");
    Expect(0, 119154, '\P{spacingmark}', "");
    Expect(1, 119154, '\P{^spacingmark}', "");
    Expect(0, 119155, '\p{spacingmark}', "");
    Expect(1, 119155, '\p{^spacingmark}', "");
    Expect(1, 119155, '\P{spacingmark}', "");
    Expect(0, 119155, '\P{^spacingmark}', "");
    Expect(1, 119154, '\p{	SPACING_mark}', "");
    Expect(0, 119154, '\p{^	SPACING_mark}', "");
    Expect(0, 119154, '\P{	SPACING_mark}', "");
    Expect(1, 119154, '\P{^	SPACING_mark}', "");
    Expect(0, 119155, '\p{	SPACING_mark}', "");
    Expect(1, 119155, '\p{^	SPACING_mark}', "");
    Expect(1, 119155, '\P{	SPACING_mark}', "");
    Expect(0, 119155, '\P{^	SPACING_mark}', "");
    Error('\p{-:=is_Spacing_Mark}');
    Error('\P{-:=is_Spacing_Mark}');
    Expect(1, 119154, '\p{isspacingmark}', "");
    Expect(0, 119154, '\p{^isspacingmark}', "");
    Expect(0, 119154, '\P{isspacingmark}', "");
    Expect(1, 119154, '\P{^isspacingmark}', "");
    Expect(0, 119155, '\p{isspacingmark}', "");
    Expect(1, 119155, '\p{^isspacingmark}', "");
    Expect(1, 119155, '\P{isspacingmark}', "");
    Expect(0, 119155, '\P{^isspacingmark}', "");
    Expect(1, 119154, '\p{ -IS_Spacing_mark}', "");
    Expect(0, 119154, '\p{^ -IS_Spacing_mark}', "");
    Expect(0, 119154, '\P{ -IS_Spacing_mark}', "");
    Expect(1, 119154, '\P{^ -IS_Spacing_mark}', "");
    Expect(0, 119155, '\p{ -IS_Spacing_mark}', "");
    Expect(1, 119155, '\p{^ -IS_Spacing_mark}', "");
    Expect(1, 119155, '\P{ -IS_Spacing_mark}', "");
    Expect(0, 119155, '\P{^ -IS_Spacing_mark}', "");
    Error('\p{_ Mc:=}');
    Error('\P{_ Mc:=}');
    Expect(1, 119154, '\p{mc}', "");
    Expect(0, 119154, '\p{^mc}', "");
    Expect(0, 119154, '\P{mc}', "");
    Expect(1, 119154, '\P{^mc}', "");
    Expect(0, 119155, '\p{mc}', "");
    Expect(1, 119155, '\p{^mc}', "");
    Expect(1, 119155, '\P{mc}', "");
    Expect(0, 119155, '\P{^mc}', "");
    Expect(1, 119154, '\p{ mc}', "");
    Expect(0, 119154, '\p{^ mc}', "");
    Expect(0, 119154, '\P{ mc}', "");
    Expect(1, 119154, '\P{^ mc}', "");
    Expect(0, 119155, '\p{ mc}', "");
    Expect(1, 119155, '\p{^ mc}', "");
    Expect(1, 119155, '\P{ mc}', "");
    Expect(0, 119155, '\P{^ mc}', "");
    Error('\p{		Is_Mc/a/}');
    Error('\P{		Is_Mc/a/}');
    Expect(1, 119154, '\p{ismc}', "");
    Expect(0, 119154, '\p{^ismc}', "");
    Expect(0, 119154, '\P{ismc}', "");
    Expect(1, 119154, '\P{^ismc}', "");
    Expect(0, 119155, '\p{ismc}', "");
    Expect(1, 119155, '\p{^ismc}', "");
    Expect(1, 119155, '\P{ismc}', "");
    Expect(0, 119155, '\P{^ismc}', "");
    Expect(1, 119154, '\p{ Is_mc}', "");
    Expect(0, 119154, '\p{^ Is_mc}', "");
    Expect(0, 119154, '\P{ Is_mc}', "");
    Expect(1, 119154, '\P{^ Is_mc}', "");
    Expect(0, 119155, '\p{ Is_mc}', "");
    Expect(1, 119155, '\p{^ Is_mc}', "");
    Expect(1, 119155, '\P{ Is_mc}', "");
    Expect(0, 119155, '\P{^ Is_mc}', "");
    Error('\p{_Spacing_Modifier_LETTERS/a/}');
    Error('\P{_Spacing_Modifier_LETTERS/a/}');
    Expect(1, 767, '\p{spacingmodifierletters}', "");
    Expect(0, 767, '\p{^spacingmodifierletters}', "");
    Expect(0, 767, '\P{spacingmodifierletters}', "");
    Expect(1, 767, '\P{^spacingmodifierletters}', "");
    Expect(0, 768, '\p{spacingmodifierletters}', "");
    Expect(1, 768, '\p{^spacingmodifierletters}', "");
    Expect(1, 768, '\P{spacingmodifierletters}', "");
    Expect(0, 768, '\P{^spacingmodifierletters}', "");
    Expect(1, 767, '\p{_-spacing_MODIFIER_letters}', "");
    Expect(0, 767, '\p{^_-spacing_MODIFIER_letters}', "");
    Expect(0, 767, '\P{_-spacing_MODIFIER_letters}', "");
    Expect(1, 767, '\P{^_-spacing_MODIFIER_letters}', "");
    Expect(0, 768, '\p{_-spacing_MODIFIER_letters}', "");
    Expect(1, 768, '\p{^_-spacing_MODIFIER_letters}', "");
    Expect(1, 768, '\P{_-spacing_MODIFIER_letters}', "");
    Expect(0, 768, '\P{^_-spacing_MODIFIER_letters}', "");
    Error('\p{/a/ 	Is_spacing_modifier_letters}');
    Error('\P{/a/ 	Is_spacing_modifier_letters}');
    Expect(1, 767, '\p{isspacingmodifierletters}', "");
    Expect(0, 767, '\p{^isspacingmodifierletters}', "");
    Expect(0, 767, '\P{isspacingmodifierletters}', "");
    Expect(1, 767, '\P{^isspacingmodifierletters}', "");
    Expect(0, 768, '\p{isspacingmodifierletters}', "");
    Expect(1, 768, '\p{^isspacingmodifierletters}', "");
    Expect(1, 768, '\P{isspacingmodifierletters}', "");
    Expect(0, 768, '\P{^isspacingmodifierletters}', "");
    Expect(1, 767, '\p{  is_Spacing_Modifier_Letters}', "");
    Expect(0, 767, '\p{^  is_Spacing_Modifier_Letters}', "");
    Expect(0, 767, '\P{  is_Spacing_Modifier_Letters}', "");
    Expect(1, 767, '\P{^  is_Spacing_Modifier_Letters}', "");
    Expect(0, 768, '\p{  is_Spacing_Modifier_Letters}', "");
    Expect(1, 768, '\p{^  is_Spacing_Modifier_Letters}', "");
    Expect(1, 768, '\P{  is_Spacing_Modifier_Letters}', "");
    Expect(0, 768, '\P{^  is_Spacing_Modifier_Letters}', "");
    Error('\p{_/a/In_SPACING_MODIFIER_Letters}');
    Error('\P{_/a/In_SPACING_MODIFIER_Letters}');
    Expect(1, 767, '\p{inspacingmodifierletters}', "");
    Expect(0, 767, '\p{^inspacingmodifierletters}', "");
    Expect(0, 767, '\P{inspacingmodifierletters}', "");
    Expect(1, 767, '\P{^inspacingmodifierletters}', "");
    Expect(0, 768, '\p{inspacingmodifierletters}', "");
    Expect(1, 768, '\p{^inspacingmodifierletters}', "");
    Expect(1, 768, '\P{inspacingmodifierletters}', "");
    Expect(0, 768, '\P{^inspacingmodifierletters}', "");
    Expect(1, 767, '\p{	-in_Spacing_Modifier_letters}', "");
    Expect(0, 767, '\p{^	-in_Spacing_Modifier_letters}', "");
    Expect(0, 767, '\P{	-in_Spacing_Modifier_letters}', "");
    Expect(1, 767, '\P{^	-in_Spacing_Modifier_letters}', "");
    Expect(0, 768, '\p{	-in_Spacing_Modifier_letters}', "");
    Expect(1, 768, '\p{^	-in_Spacing_Modifier_letters}', "");
    Expect(1, 768, '\P{	-in_Spacing_Modifier_letters}', "");
    Expect(0, 768, '\P{^	-in_Spacing_Modifier_letters}', "");
    Error('\p{/a/_MODIFIER_letters}');
    Error('\P{/a/_MODIFIER_letters}');
    Expect(1, 767, '\p{modifierletters}', "");
    Expect(0, 767, '\p{^modifierletters}', "");
    Expect(0, 767, '\P{modifierletters}', "");
    Expect(1, 767, '\P{^modifierletters}', "");
    Expect(0, 768, '\p{modifierletters}', "");
    Expect(1, 768, '\p{^modifierletters}', "");
    Expect(1, 768, '\P{modifierletters}', "");
    Expect(0, 768, '\P{^modifierletters}', "");
    Expect(1, 767, '\p{ modifier_LETTERS}', "");
    Expect(0, 767, '\p{^ modifier_LETTERS}', "");
    Expect(0, 767, '\P{ modifier_LETTERS}', "");
    Expect(1, 767, '\P{^ modifier_LETTERS}', "");
    Expect(0, 768, '\p{ modifier_LETTERS}', "");
    Expect(1, 768, '\p{^ modifier_LETTERS}', "");
    Expect(1, 768, '\P{ modifier_LETTERS}', "");
    Expect(0, 768, '\P{^ modifier_LETTERS}', "");
    Error('\p{:=-_is_modifier_letters}');
    Error('\P{:=-_is_modifier_letters}');
    Expect(1, 767, '\p{ismodifierletters}', "");
    Expect(0, 767, '\p{^ismodifierletters}', "");
    Expect(0, 767, '\P{ismodifierletters}', "");
    Expect(1, 767, '\P{^ismodifierletters}', "");
    Expect(0, 768, '\p{ismodifierletters}', "");
    Expect(1, 768, '\p{^ismodifierletters}', "");
    Expect(1, 768, '\P{ismodifierletters}', "");
    Expect(0, 768, '\P{^ismodifierletters}', "");
    Expect(1, 767, '\p{		is_Modifier_Letters}', "");
    Expect(0, 767, '\p{^		is_Modifier_Letters}', "");
    Expect(0, 767, '\P{		is_Modifier_Letters}', "");
    Expect(1, 767, '\P{^		is_Modifier_Letters}', "");
    Expect(0, 768, '\p{		is_Modifier_Letters}', "");
    Expect(1, 768, '\p{^		is_Modifier_Letters}', "");
    Expect(1, 768, '\P{		is_Modifier_Letters}', "");
    Expect(0, 768, '\P{^		is_Modifier_Letters}', "");
    Error('\p{	-In_Modifier_letters:=}');
    Error('\P{	-In_Modifier_letters:=}');
    Expect(1, 767, '\p{inmodifierletters}', "");
    Expect(0, 767, '\p{^inmodifierletters}', "");
    Expect(0, 767, '\P{inmodifierletters}', "");
    Expect(1, 767, '\P{^inmodifierletters}', "");
    Expect(0, 768, '\p{inmodifierletters}', "");
    Expect(1, 768, '\p{^inmodifierletters}', "");
    Expect(1, 768, '\P{inmodifierletters}', "");
    Expect(0, 768, '\P{^inmodifierletters}', "");
    Expect(1, 767, '\p{		IN_Modifier_letters}', "");
    Expect(0, 767, '\p{^		IN_Modifier_letters}', "");
    Expect(0, 767, '\P{		IN_Modifier_letters}', "");
    Expect(1, 767, '\P{^		IN_Modifier_letters}', "");
    Expect(0, 768, '\p{		IN_Modifier_letters}', "");
    Expect(1, 768, '\p{^		IN_Modifier_letters}', "");
    Expect(1, 768, '\P{		IN_Modifier_letters}', "");
    Expect(0, 768, '\P{^		IN_Modifier_letters}', "");
    Error('\p{:=_ specials}');
    Error('\P{:=_ specials}');
    Expect(1, 65520, '\p{specials}', "");
    Expect(0, 65520, '\p{^specials}', "");
    Expect(0, 65520, '\P{specials}', "");
    Expect(1, 65520, '\P{^specials}', "");
    Expect(0, 65536, '\p{specials}', "");
    Expect(1, 65536, '\p{^specials}', "");
    Expect(1, 65536, '\P{specials}', "");
    Expect(0, 65536, '\P{^specials}', "");
    Expect(1, 65520, '\p{ _SPECIALS}', "");
    Expect(0, 65520, '\p{^ _SPECIALS}', "");
    Expect(0, 65520, '\P{ _SPECIALS}', "");
    Expect(1, 65520, '\P{^ _SPECIALS}', "");
    Expect(0, 65536, '\p{ _SPECIALS}', "");
    Expect(1, 65536, '\p{^ _SPECIALS}', "");
    Expect(1, 65536, '\P{ _SPECIALS}', "");
    Expect(0, 65536, '\P{^ _SPECIALS}', "");
    Error('\p{ _is_SPECIALS:=}');
    Error('\P{ _is_SPECIALS:=}');
    Expect(1, 65520, '\p{isspecials}', "");
    Expect(0, 65520, '\p{^isspecials}', "");
    Expect(0, 65520, '\P{isspecials}', "");
    Expect(1, 65520, '\P{^isspecials}', "");
    Expect(0, 65536, '\p{isspecials}', "");
    Expect(1, 65536, '\p{^isspecials}', "");
    Expect(1, 65536, '\P{isspecials}', "");
    Expect(0, 65536, '\P{^isspecials}', "");
    Expect(1, 65520, '\p{	-IS_SPECIALS}', "");
    Expect(0, 65520, '\p{^	-IS_SPECIALS}', "");
    Expect(0, 65520, '\P{	-IS_SPECIALS}', "");
    Expect(1, 65520, '\P{^	-IS_SPECIALS}', "");
    Expect(0, 65536, '\p{	-IS_SPECIALS}', "");
    Expect(1, 65536, '\p{^	-IS_SPECIALS}', "");
    Expect(1, 65536, '\P{	-IS_SPECIALS}', "");
    Expect(0, 65536, '\P{^	-IS_SPECIALS}', "");
    Error('\p{-IN_Specials:=}');
    Error('\P{-IN_Specials:=}');
    Expect(1, 65520, '\p{inspecials}', "");
    Expect(0, 65520, '\p{^inspecials}', "");
    Expect(0, 65520, '\P{inspecials}', "");
    Expect(1, 65520, '\P{^inspecials}', "");
    Expect(0, 65536, '\p{inspecials}', "");
    Expect(1, 65536, '\p{^inspecials}', "");
    Expect(1, 65536, '\P{inspecials}', "");
    Expect(0, 65536, '\P{^inspecials}', "");
    Expect(1, 65520, '\p{in_specials}', "");
    Expect(0, 65520, '\p{^in_specials}', "");
    Expect(0, 65520, '\P{in_specials}', "");
    Expect(1, 65520, '\P{^in_specials}', "");
    Expect(0, 65536, '\p{in_specials}', "");
    Expect(1, 65536, '\p{^in_specials}', "");
    Expect(1, 65536, '\P{in_specials}', "");
    Expect(0, 65536, '\P{^in_specials}', "");
    Error('\p{ -SUNDANESE/a/}');
    Error('\P{ -SUNDANESE/a/}');
    Expect(1, 7367, '\p{sundanese}', "");
    Expect(0, 7367, '\p{^sundanese}', "");
    Expect(0, 7367, '\P{sundanese}', "");
    Expect(1, 7367, '\P{^sundanese}', "");
    Expect(0, 7368, '\p{sundanese}', "");
    Expect(1, 7368, '\p{^sundanese}', "");
    Expect(1, 7368, '\P{sundanese}', "");
    Expect(0, 7368, '\P{^sundanese}', "");
    Expect(1, 7367, '\p{__sundanese}', "");
    Expect(0, 7367, '\p{^__sundanese}', "");
    Expect(0, 7367, '\P{__sundanese}', "");
    Expect(1, 7367, '\P{^__sundanese}', "");
    Expect(0, 7368, '\p{__sundanese}', "");
    Expect(1, 7368, '\p{^__sundanese}', "");
    Expect(1, 7368, '\P{__sundanese}', "");
    Expect(0, 7368, '\P{^__sundanese}', "");
    Error('\p{/a/	is_Sundanese}');
    Error('\P{/a/	is_Sundanese}');
    Expect(1, 7367, '\p{issundanese}', "");
    Expect(0, 7367, '\p{^issundanese}', "");
    Expect(0, 7367, '\P{issundanese}', "");
    Expect(1, 7367, '\P{^issundanese}', "");
    Expect(0, 7368, '\p{issundanese}', "");
    Expect(1, 7368, '\p{^issundanese}', "");
    Expect(1, 7368, '\P{issundanese}', "");
    Expect(0, 7368, '\P{^issundanese}', "");
    Expect(1, 7367, '\p{		is_sundanese}', "");
    Expect(0, 7367, '\p{^		is_sundanese}', "");
    Expect(0, 7367, '\P{		is_sundanese}', "");
    Expect(1, 7367, '\P{^		is_sundanese}', "");
    Expect(0, 7368, '\p{		is_sundanese}', "");
    Expect(1, 7368, '\p{^		is_sundanese}', "");
    Expect(1, 7368, '\P{		is_sundanese}', "");
    Expect(0, 7368, '\P{^		is_sundanese}', "");
    Error('\p{:=_Sund}');
    Error('\P{:=_Sund}');
    Expect(1, 7367, '\p{sund}', "");
    Expect(0, 7367, '\p{^sund}', "");
    Expect(0, 7367, '\P{sund}', "");
    Expect(1, 7367, '\P{^sund}', "");
    Expect(0, 7368, '\p{sund}', "");
    Expect(1, 7368, '\p{^sund}', "");
    Expect(1, 7368, '\P{sund}', "");
    Expect(0, 7368, '\P{^sund}', "");
    Expect(1, 7367, '\p{		SUND}', "");
    Expect(0, 7367, '\p{^		SUND}', "");
    Expect(0, 7367, '\P{		SUND}', "");
    Expect(1, 7367, '\P{^		SUND}', "");
    Expect(0, 7368, '\p{		SUND}', "");
    Expect(1, 7368, '\p{^		SUND}', "");
    Expect(1, 7368, '\P{		SUND}', "");
    Expect(0, 7368, '\P{^		SUND}', "");
    Error('\p{/a/		Is_SUND}');
    Error('\P{/a/		Is_SUND}');
    Expect(1, 7367, '\p{issund}', "");
    Expect(0, 7367, '\p{^issund}', "");
    Expect(0, 7367, '\P{issund}', "");
    Expect(1, 7367, '\P{^issund}', "");
    Expect(0, 7368, '\p{issund}', "");
    Expect(1, 7368, '\p{^issund}', "");
    Expect(1, 7368, '\P{issund}', "");
    Expect(0, 7368, '\P{^issund}', "");
    Expect(1, 7367, '\p{_	Is_sund}', "");
    Expect(0, 7367, '\p{^_	Is_sund}', "");
    Expect(0, 7367, '\P{_	Is_sund}', "");
    Expect(1, 7367, '\P{^_	Is_sund}', "");
    Expect(0, 7368, '\p{_	Is_sund}', "");
    Expect(1, 7368, '\p{^_	Is_sund}', "");
    Expect(1, 7368, '\P{_	Is_sund}', "");
    Expect(0, 7368, '\P{^_	Is_sund}', "");
    Error('\p{-	SUNDANESE_Supplement:=}');
    Error('\P{-	SUNDANESE_Supplement:=}');
    Expect(1, 7375, '\p{sundanesesupplement}', "");
    Expect(0, 7375, '\p{^sundanesesupplement}', "");
    Expect(0, 7375, '\P{sundanesesupplement}', "");
    Expect(1, 7375, '\P{^sundanesesupplement}', "");
    Expect(0, 7376, '\p{sundanesesupplement}', "");
    Expect(1, 7376, '\p{^sundanesesupplement}', "");
    Expect(1, 7376, '\P{sundanesesupplement}', "");
    Expect(0, 7376, '\P{^sundanesesupplement}', "");
    Expect(1, 7375, '\p{ Sundanese_supplement}', "");
    Expect(0, 7375, '\p{^ Sundanese_supplement}', "");
    Expect(0, 7375, '\P{ Sundanese_supplement}', "");
    Expect(1, 7375, '\P{^ Sundanese_supplement}', "");
    Expect(0, 7376, '\p{ Sundanese_supplement}', "");
    Expect(1, 7376, '\p{^ Sundanese_supplement}', "");
    Expect(1, 7376, '\P{ Sundanese_supplement}', "");
    Expect(0, 7376, '\P{^ Sundanese_supplement}', "");
    Error('\p{:=	_Is_SUNDANESE_Supplement}');
    Error('\P{:=	_Is_SUNDANESE_Supplement}');
    Expect(1, 7375, '\p{issundanesesupplement}', "");
    Expect(0, 7375, '\p{^issundanesesupplement}', "");
    Expect(0, 7375, '\P{issundanesesupplement}', "");
    Expect(1, 7375, '\P{^issundanesesupplement}', "");
    Expect(0, 7376, '\p{issundanesesupplement}', "");
    Expect(1, 7376, '\p{^issundanesesupplement}', "");
    Expect(1, 7376, '\P{issundanesesupplement}', "");
    Expect(0, 7376, '\P{^issundanesesupplement}', "");
    Expect(1, 7375, '\p{_-is_Sundanese_Supplement}', "");
    Expect(0, 7375, '\p{^_-is_Sundanese_Supplement}', "");
    Expect(0, 7375, '\P{_-is_Sundanese_Supplement}', "");
    Expect(1, 7375, '\P{^_-is_Sundanese_Supplement}', "");
    Expect(0, 7376, '\p{_-is_Sundanese_Supplement}', "");
    Expect(1, 7376, '\p{^_-is_Sundanese_Supplement}', "");
    Expect(1, 7376, '\P{_-is_Sundanese_Supplement}', "");
    Expect(0, 7376, '\P{^_-is_Sundanese_Supplement}', "");
    Error('\p{/a/_In_Sundanese_Supplement}');
    Error('\P{/a/_In_Sundanese_Supplement}');
    Expect(1, 7375, '\p{insundanesesupplement}', "");
    Expect(0, 7375, '\p{^insundanesesupplement}', "");
    Expect(0, 7375, '\P{insundanesesupplement}', "");
    Expect(1, 7375, '\P{^insundanesesupplement}', "");
    Expect(0, 7376, '\p{insundanesesupplement}', "");
    Expect(1, 7376, '\p{^insundanesesupplement}', "");
    Expect(1, 7376, '\P{insundanesesupplement}', "");
    Expect(0, 7376, '\P{^insundanesesupplement}', "");
    Expect(1, 7375, '\p{ -IN_sundanese_Supplement}', "");
    Expect(0, 7375, '\p{^ -IN_sundanese_Supplement}', "");
    Expect(0, 7375, '\P{ -IN_sundanese_Supplement}', "");
    Expect(1, 7375, '\P{^ -IN_sundanese_Supplement}', "");
    Expect(0, 7376, '\p{ -IN_sundanese_Supplement}', "");
    Expect(1, 7376, '\p{^ -IN_sundanese_Supplement}', "");
    Expect(1, 7376, '\P{ -IN_sundanese_Supplement}', "");
    Expect(0, 7376, '\P{^ -IN_sundanese_Supplement}', "");
    Error('\p{-:=Sundanese_Sup}');
    Error('\P{-:=Sundanese_Sup}');
    Expect(1, 7375, '\p{sundanesesup}', "");
    Expect(0, 7375, '\p{^sundanesesup}', "");
    Expect(0, 7375, '\P{sundanesesup}', "");
    Expect(1, 7375, '\P{^sundanesesup}', "");
    Expect(0, 7376, '\p{sundanesesup}', "");
    Expect(1, 7376, '\p{^sundanesesup}', "");
    Expect(1, 7376, '\P{sundanesesup}', "");
    Expect(0, 7376, '\P{^sundanesesup}', "");
    Expect(1, 7375, '\p{_-SUNDANESE_sup}', "");
    Expect(0, 7375, '\p{^_-SUNDANESE_sup}', "");
    Expect(0, 7375, '\P{_-SUNDANESE_sup}', "");
    Expect(1, 7375, '\P{^_-SUNDANESE_sup}', "");
    Expect(0, 7376, '\p{_-SUNDANESE_sup}', "");
    Expect(1, 7376, '\p{^_-SUNDANESE_sup}', "");
    Expect(1, 7376, '\P{_-SUNDANESE_sup}', "");
    Expect(0, 7376, '\P{^_-SUNDANESE_sup}', "");
    Error('\p{	:=is_Sundanese_sup}');
    Error('\P{	:=is_Sundanese_sup}');
    Expect(1, 7375, '\p{issundanesesup}', "");
    Expect(0, 7375, '\p{^issundanesesup}', "");
    Expect(0, 7375, '\P{issundanesesup}', "");
    Expect(1, 7375, '\P{^issundanesesup}', "");
    Expect(0, 7376, '\p{issundanesesup}', "");
    Expect(1, 7376, '\p{^issundanesesup}', "");
    Expect(1, 7376, '\P{issundanesesup}', "");
    Expect(0, 7376, '\P{^issundanesesup}', "");
    Expect(1, 7375, '\p{ 	IS_SUNDANESE_Sup}', "");
    Expect(0, 7375, '\p{^ 	IS_SUNDANESE_Sup}', "");
    Expect(0, 7375, '\P{ 	IS_SUNDANESE_Sup}', "");
    Expect(1, 7375, '\P{^ 	IS_SUNDANESE_Sup}', "");
    Expect(0, 7376, '\p{ 	IS_SUNDANESE_Sup}', "");
    Expect(1, 7376, '\p{^ 	IS_SUNDANESE_Sup}', "");
    Expect(1, 7376, '\P{ 	IS_SUNDANESE_Sup}', "");
    Expect(0, 7376, '\P{^ 	IS_SUNDANESE_Sup}', "");
    Error('\p{_/a/In_Sundanese_sup}');
    Error('\P{_/a/In_Sundanese_sup}');
    Expect(1, 7375, '\p{insundanesesup}', "");
    Expect(0, 7375, '\p{^insundanesesup}', "");
    Expect(0, 7375, '\P{insundanesesup}', "");
    Expect(1, 7375, '\P{^insundanesesup}', "");
    Expect(0, 7376, '\p{insundanesesup}', "");
    Expect(1, 7376, '\p{^insundanesesup}', "");
    Expect(1, 7376, '\P{insundanesesup}', "");
    Expect(0, 7376, '\P{^insundanesesup}', "");
    Expect(1, 7375, '\p{ IN_sundanese_Sup}', "");
    Expect(0, 7375, '\p{^ IN_sundanese_Sup}', "");
    Expect(0, 7375, '\P{ IN_sundanese_Sup}', "");
    Expect(1, 7375, '\P{^ IN_sundanese_Sup}', "");
    Expect(0, 7376, '\p{ IN_sundanese_Sup}', "");
    Expect(1, 7376, '\p{^ IN_sundanese_Sup}', "");
    Expect(1, 7376, '\P{ IN_sundanese_Sup}', "");
    Expect(0, 7376, '\P{^ IN_sundanese_Sup}', "");
    Error('\p{/a/-_Superscripts_And_SUBSCRIPTS}');
    Error('\P{/a/-_Superscripts_And_SUBSCRIPTS}');
    Expect(1, 8351, '\p{superscriptsandsubscripts}', "");
    Expect(0, 8351, '\p{^superscriptsandsubscripts}', "");
    Expect(0, 8351, '\P{superscriptsandsubscripts}', "");
    Expect(1, 8351, '\P{^superscriptsandsubscripts}', "");
    Expect(0, 8352, '\p{superscriptsandsubscripts}', "");
    Expect(1, 8352, '\p{^superscriptsandsubscripts}', "");
    Expect(1, 8352, '\P{superscriptsandsubscripts}', "");
    Expect(0, 8352, '\P{^superscriptsandsubscripts}', "");
    Expect(1, 8351, '\p{		SUPERSCRIPTS_And_Subscripts}', "");
    Expect(0, 8351, '\p{^		SUPERSCRIPTS_And_Subscripts}', "");
    Expect(0, 8351, '\P{		SUPERSCRIPTS_And_Subscripts}', "");
    Expect(1, 8351, '\P{^		SUPERSCRIPTS_And_Subscripts}', "");
    Expect(0, 8352, '\p{		SUPERSCRIPTS_And_Subscripts}', "");
    Expect(1, 8352, '\p{^		SUPERSCRIPTS_And_Subscripts}', "");
    Expect(1, 8352, '\P{		SUPERSCRIPTS_And_Subscripts}', "");
    Expect(0, 8352, '\P{^		SUPERSCRIPTS_And_Subscripts}', "");
    Error('\p{--IS_Superscripts_and_subscripts/a/}');
    Error('\P{--IS_Superscripts_and_subscripts/a/}');
    Expect(1, 8351, '\p{issuperscriptsandsubscripts}', "");
    Expect(0, 8351, '\p{^issuperscriptsandsubscripts}', "");
    Expect(0, 8351, '\P{issuperscriptsandsubscripts}', "");
    Expect(1, 8351, '\P{^issuperscriptsandsubscripts}', "");
    Expect(0, 8352, '\p{issuperscriptsandsubscripts}', "");
    Expect(1, 8352, '\p{^issuperscriptsandsubscripts}', "");
    Expect(1, 8352, '\P{issuperscriptsandsubscripts}', "");
    Expect(0, 8352, '\P{^issuperscriptsandsubscripts}', "");
    Expect(1, 8351, '\p{  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Expect(0, 8351, '\p{^  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Expect(0, 8351, '\P{  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Expect(1, 8351, '\P{^  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Expect(0, 8352, '\p{  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Expect(1, 8352, '\p{^  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Expect(1, 8352, '\P{  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Expect(0, 8352, '\P{^  is_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
    Error('\p{	 In_SUPERSCRIPTS_And_SUBSCRIPTS/a/}');
    Error('\P{	 In_SUPERSCRIPTS_And_SUBSCRIPTS/a/}');
    Expect(1, 8351, '\p{insuperscriptsandsubscripts}', "");
    Expect(0, 8351, '\p{^insuperscriptsandsubscripts}', "");
    Expect(0, 8351, '\P{insuperscriptsandsubscripts}', "");
    Expect(1, 8351, '\P{^insuperscriptsandsubscripts}', "");
    Expect(0, 8352, '\p{insuperscriptsandsubscripts}', "");
    Expect(1, 8352, '\p{^insuperscriptsandsubscripts}', "");
    Expect(1, 8352, '\P{insuperscriptsandsubscripts}', "");
    Expect(0, 8352, '\P{^insuperscriptsandsubscripts}', "");
    Expect(1, 8351, '\p{ -In_superscripts_AND_SUBSCRIPTS}', "");
    Expect(0, 8351, '\p{^ -In_superscripts_AND_SUBSCRIPTS}', "");
    Expect(0, 8351, '\P{ -In_superscripts_AND_SUBSCRIPTS}', "");
    Expect(1, 8351, '\P{^ -In_superscripts_AND_SUBSCRIPTS}', "");
    Expect(0, 8352, '\p{ -In_superscripts_AND_SUBSCRIPTS}', "");
    Expect(1, 8352, '\p{^ -In_superscripts_AND_SUBSCRIPTS}', "");
    Expect(1, 8352, '\P{ -In_superscripts_AND_SUBSCRIPTS}', "");
    Expect(0, 8352, '\P{^ -In_superscripts_AND_SUBSCRIPTS}', "");
    Error('\p{--Super_and_Sub:=}');
    Error('\P{--Super_and_Sub:=}');
    Expect(1, 8351, '\p{superandsub}', "");
    Expect(0, 8351, '\p{^superandsub}', "");
    Expect(0, 8351, '\P{superandsub}', "");
    Expect(1, 8351, '\P{^superandsub}', "");
    Expect(0, 8352, '\p{superandsub}', "");
    Expect(1, 8352, '\p{^superandsub}', "");
    Expect(1, 8352, '\P{superandsub}', "");
    Expect(0, 8352, '\P{^superandsub}', "");
    Expect(1, 8351, '\p{ Super_and_Sub}', "");
    Expect(0, 8351, '\p{^ Super_and_Sub}', "");
    Expect(0, 8351, '\P{ Super_and_Sub}', "");
    Expect(1, 8351, '\P{^ Super_and_Sub}', "");
    Expect(0, 8352, '\p{ Super_and_Sub}', "");
    Expect(1, 8352, '\p{^ Super_and_Sub}', "");
    Expect(1, 8352, '\P{ Super_and_Sub}', "");
    Expect(0, 8352, '\P{^ Super_and_Sub}', "");
    Error('\p{:=is_Super_AND_SUB}');
    Error('\P{:=is_Super_AND_SUB}');
    Expect(1, 8351, '\p{issuperandsub}', "");
    Expect(0, 8351, '\p{^issuperandsub}', "");
    Expect(0, 8351, '\P{issuperandsub}', "");
    Expect(1, 8351, '\P{^issuperandsub}', "");
    Expect(0, 8352, '\p{issuperandsub}', "");
    Expect(1, 8352, '\p{^issuperandsub}', "");
    Expect(1, 8352, '\P{issuperandsub}', "");
    Expect(0, 8352, '\P{^issuperandsub}', "");
    Expect(1, 8351, '\p{ 	is_Super_and_Sub}', "");
    Expect(0, 8351, '\p{^ 	is_Super_and_Sub}', "");
    Expect(0, 8351, '\P{ 	is_Super_and_Sub}', "");
    Expect(1, 8351, '\P{^ 	is_Super_and_Sub}', "");
    Expect(0, 8352, '\p{ 	is_Super_and_Sub}', "");
    Expect(1, 8352, '\p{^ 	is_Super_and_Sub}', "");
    Expect(1, 8352, '\P{ 	is_Super_and_Sub}', "");
    Expect(0, 8352, '\P{^ 	is_Super_and_Sub}', "");
    Error('\p{_	in_Super_And_Sub/a/}');
    Error('\P{_	in_Super_And_Sub/a/}');
    Expect(1, 8351, '\p{insuperandsub}', "");
    Expect(0, 8351, '\p{^insuperandsub}', "");
    Expect(0, 8351, '\P{insuperandsub}', "");
    Expect(1, 8351, '\P{^insuperandsub}', "");
    Expect(0, 8352, '\p{insuperandsub}', "");
    Expect(1, 8352, '\p{^insuperandsub}', "");
    Expect(1, 8352, '\P{insuperandsub}', "");
    Expect(0, 8352, '\P{^insuperandsub}', "");
    Expect(1, 8351, '\p{-In_Super_And_Sub}', "");
    Expect(0, 8351, '\p{^-In_Super_And_Sub}', "");
    Expect(0, 8351, '\P{-In_Super_And_Sub}', "");
    Expect(1, 8351, '\P{^-In_Super_And_Sub}', "");
    Expect(0, 8352, '\p{-In_Super_And_Sub}', "");
    Expect(1, 8352, '\p{^-In_Super_And_Sub}', "");
    Expect(1, 8352, '\P{-In_Super_And_Sub}', "");
    Expect(0, 8352, '\P{^-In_Super_And_Sub}', "");
    Error('\p{:=		supplemental_Arrows_A}');
    Error('\P{:=		supplemental_Arrows_A}');
    Expect(1, 10239, '\p{supplementalarrowsa}', "");
    Expect(0, 10239, '\p{^supplementalarrowsa}', "");
    Expect(0, 10239, '\P{supplementalarrowsa}', "");
    Expect(1, 10239, '\P{^supplementalarrowsa}', "");
    Expect(0, 10240, '\p{supplementalarrowsa}', "");
    Expect(1, 10240, '\p{^supplementalarrowsa}', "");
    Expect(1, 10240, '\P{supplementalarrowsa}', "");
    Expect(0, 10240, '\P{^supplementalarrowsa}', "");
    Expect(1, 10239, '\p{_Supplemental_ARROWS_A}', "");
    Expect(0, 10239, '\p{^_Supplemental_ARROWS_A}', "");
    Expect(0, 10239, '\P{_Supplemental_ARROWS_A}', "");
    Expect(1, 10239, '\P{^_Supplemental_ARROWS_A}', "");
    Expect(0, 10240, '\p{_Supplemental_ARROWS_A}', "");
    Expect(1, 10240, '\p{^_Supplemental_ARROWS_A}', "");
    Expect(1, 10240, '\P{_Supplemental_ARROWS_A}', "");
    Expect(0, 10240, '\P{^_Supplemental_ARROWS_A}', "");
    Error('\p{:=_ Is_supplemental_Arrows_A}');
    Error('\P{:=_ Is_supplemental_Arrows_A}');
    Expect(1, 10239, '\p{issupplementalarrowsa}', "");
    Expect(0, 10239, '\p{^issupplementalarrowsa}', "");
    Expect(0, 10239, '\P{issupplementalarrowsa}', "");
    Expect(1, 10239, '\P{^issupplementalarrowsa}', "");
    Expect(0, 10240, '\p{issupplementalarrowsa}', "");
    Expect(1, 10240, '\p{^issupplementalarrowsa}', "");
    Expect(1, 10240, '\P{issupplementalarrowsa}', "");
    Expect(0, 10240, '\P{^issupplementalarrowsa}', "");
    Expect(1, 10239, '\p{ Is_Supplemental_ARROWS_a}', "");
    Expect(0, 10239, '\p{^ Is_Supplemental_ARROWS_a}', "");
    Expect(0, 10239, '\P{ Is_Supplemental_ARROWS_a}', "");
    Expect(1, 10239, '\P{^ Is_Supplemental_ARROWS_a}', "");
    Expect(0, 10240, '\p{ Is_Supplemental_ARROWS_a}', "");
    Expect(1, 10240, '\p{^ Is_Supplemental_ARROWS_a}', "");
    Expect(1, 10240, '\P{ Is_Supplemental_ARROWS_a}', "");
    Expect(0, 10240, '\P{^ Is_Supplemental_ARROWS_a}', "");
    Error('\p{ IN_SUPPLEMENTAL_Arrows_A:=}');
    Error('\P{ IN_SUPPLEMENTAL_Arrows_A:=}');
    Expect(1, 10239, '\p{insupplementalarrowsa}', "");
    Expect(0, 10239, '\p{^insupplementalarrowsa}', "");
    Expect(0, 10239, '\P{insupplementalarrowsa}', "");
    Expect(1, 10239, '\P{^insupplementalarrowsa}', "");
    Expect(0, 10240, '\p{insupplementalarrowsa}', "");
    Expect(1, 10240, '\p{^insupplementalarrowsa}', "");
    Expect(1, 10240, '\P{insupplementalarrowsa}', "");
    Expect(0, 10240, '\P{^insupplementalarrowsa}', "");
    Expect(1, 10239, '\p{In_supplemental_Arrows_a}', "");
    Expect(0, 10239, '\p{^In_supplemental_Arrows_a}', "");
    Expect(0, 10239, '\P{In_supplemental_Arrows_a}', "");
    Expect(1, 10239, '\P{^In_supplemental_Arrows_a}', "");
    Expect(0, 10240, '\p{In_supplemental_Arrows_a}', "");
    Expect(1, 10240, '\p{^In_supplemental_Arrows_a}', "");
    Expect(1, 10240, '\P{In_supplemental_Arrows_a}', "");
    Expect(0, 10240, '\P{^In_supplemental_Arrows_a}', "");
    Error('\p{:=sup_ARROWS_a}');
    Error('\P{:=sup_ARROWS_a}');
    Expect(1, 10239, '\p{suparrowsa}', "");
    Expect(0, 10239, '\p{^suparrowsa}', "");
    Expect(0, 10239, '\P{suparrowsa}', "");
    Expect(1, 10239, '\P{^suparrowsa}', "");
    Expect(0, 10240, '\p{suparrowsa}', "");
    Expect(1, 10240, '\p{^suparrowsa}', "");
    Expect(1, 10240, '\P{suparrowsa}', "");
    Expect(0, 10240, '\P{^suparrowsa}', "");
    Expect(1, 10239, '\p{		Sup_arrows_A}', "");
    Expect(0, 10239, '\p{^		Sup_arrows_A}', "");
    Expect(0, 10239, '\P{		Sup_arrows_A}', "");
    Expect(1, 10239, '\P{^		Sup_arrows_A}', "");
    Expect(0, 10240, '\p{		Sup_arrows_A}', "");
    Expect(1, 10240, '\p{^		Sup_arrows_A}', "");
    Expect(1, 10240, '\P{		Sup_arrows_A}', "");
    Expect(0, 10240, '\P{^		Sup_arrows_A}', "");
    Error('\p{/a/_Is_SUP_ARROWS_A}');
    Error('\P{/a/_Is_SUP_ARROWS_A}');
    Expect(1, 10239, '\p{issuparrowsa}', "");
    Expect(0, 10239, '\p{^issuparrowsa}', "");
    Expect(0, 10239, '\P{issuparrowsa}', "");
    Expect(1, 10239, '\P{^issuparrowsa}', "");
    Expect(0, 10240, '\p{issuparrowsa}', "");
    Expect(1, 10240, '\p{^issuparrowsa}', "");
    Expect(1, 10240, '\P{issuparrowsa}', "");
    Expect(0, 10240, '\P{^issuparrowsa}', "");
    Expect(1, 10239, '\p{--IS_sup_ARROWS_A}', "");
    Expect(0, 10239, '\p{^--IS_sup_ARROWS_A}', "");
    Expect(0, 10239, '\P{--IS_sup_ARROWS_A}', "");
    Expect(1, 10239, '\P{^--IS_sup_ARROWS_A}', "");
    Expect(0, 10240, '\p{--IS_sup_ARROWS_A}', "");
    Expect(1, 10240, '\p{^--IS_sup_ARROWS_A}', "");
    Expect(1, 10240, '\P{--IS_sup_ARROWS_A}', "");
    Expect(0, 10240, '\P{^--IS_sup_ARROWS_A}', "");
    Error('\p{	in_sup_ARROWS_A/a/}');
    Error('\P{	in_sup_ARROWS_A/a/}');
    Expect(1, 10239, '\p{insuparrowsa}', "");
    Expect(0, 10239, '\p{^insuparrowsa}', "");
    Expect(0, 10239, '\P{insuparrowsa}', "");
    Expect(1, 10239, '\P{^insuparrowsa}', "");
    Expect(0, 10240, '\p{insuparrowsa}', "");
    Expect(1, 10240, '\p{^insuparrowsa}', "");
    Expect(1, 10240, '\P{insuparrowsa}', "");
    Expect(0, 10240, '\P{^insuparrowsa}', "");
    Expect(1, 10239, '\p{__In_sup_arrows_a}', "");
    Expect(0, 10239, '\p{^__In_sup_arrows_a}', "");
    Expect(0, 10239, '\P{__In_sup_arrows_a}', "");
    Expect(1, 10239, '\P{^__In_sup_arrows_a}', "");
    Expect(0, 10240, '\p{__In_sup_arrows_a}', "");
    Expect(1, 10240, '\p{^__In_sup_arrows_a}', "");
    Expect(1, 10240, '\P{__In_sup_arrows_a}', "");
    Expect(0, 10240, '\P{^__In_sup_arrows_a}', "");
    Error('\p{/a/	 supplemental_Arrows_b}');
    Error('\P{/a/	 supplemental_Arrows_b}');
    Expect(1, 10623, '\p{supplementalarrowsb}', "");
    Expect(0, 10623, '\p{^supplementalarrowsb}', "");
    Expect(0, 10623, '\P{supplementalarrowsb}', "");
    Expect(1, 10623, '\P{^supplementalarrowsb}', "");
    Expect(0, 10624, '\p{supplementalarrowsb}', "");
    Expect(1, 10624, '\p{^supplementalarrowsb}', "");
    Expect(1, 10624, '\P{supplementalarrowsb}', "");
    Expect(0, 10624, '\P{^supplementalarrowsb}', "");
    Expect(1, 10623, '\p{_-Supplemental_ARROWS_b}', "");
    Expect(0, 10623, '\p{^_-Supplemental_ARROWS_b}', "");
    Expect(0, 10623, '\P{_-Supplemental_ARROWS_b}', "");
    Expect(1, 10623, '\P{^_-Supplemental_ARROWS_b}', "");
    Expect(0, 10624, '\p{_-Supplemental_ARROWS_b}', "");
    Expect(1, 10624, '\p{^_-Supplemental_ARROWS_b}', "");
    Expect(1, 10624, '\P{_-Supplemental_ARROWS_b}', "");
    Expect(0, 10624, '\P{^_-Supplemental_ARROWS_b}', "");
    Error('\p{-is_supplemental_Arrows_B/a/}');
    Error('\P{-is_supplemental_Arrows_B/a/}');
    Expect(1, 10623, '\p{issupplementalarrowsb}', "");
    Expect(0, 10623, '\p{^issupplementalarrowsb}', "");
    Expect(0, 10623, '\P{issupplementalarrowsb}', "");
    Expect(1, 10623, '\P{^issupplementalarrowsb}', "");
    Expect(0, 10624, '\p{issupplementalarrowsb}', "");
    Expect(1, 10624, '\p{^issupplementalarrowsb}', "");
    Expect(1, 10624, '\P{issupplementalarrowsb}', "");
    Expect(0, 10624, '\P{^issupplementalarrowsb}', "");
    Expect(1, 10623, '\p{ Is_supplemental_Arrows_B}', "");
    Expect(0, 10623, '\p{^ Is_supplemental_Arrows_B}', "");
    Expect(0, 10623, '\P{ Is_supplemental_Arrows_B}', "");
    Expect(1, 10623, '\P{^ Is_supplemental_Arrows_B}', "");
    Expect(0, 10624, '\p{ Is_supplemental_Arrows_B}', "");
    Expect(1, 10624, '\p{^ Is_supplemental_Arrows_B}', "");
    Expect(1, 10624, '\P{ Is_supplemental_Arrows_B}', "");
    Expect(0, 10624, '\P{^ Is_supplemental_Arrows_B}', "");
    Error('\p{/a/ _in_supplemental_Arrows_B}');
    Error('\P{/a/ _in_supplemental_Arrows_B}');
    Expect(1, 10623, '\p{insupplementalarrowsb}', "");
    Expect(0, 10623, '\p{^insupplementalarrowsb}', "");
    Expect(0, 10623, '\P{insupplementalarrowsb}', "");
    Expect(1, 10623, '\P{^insupplementalarrowsb}', "");
    Expect(0, 10624, '\p{insupplementalarrowsb}', "");
    Expect(1, 10624, '\p{^insupplementalarrowsb}', "");
    Expect(1, 10624, '\P{insupplementalarrowsb}', "");
    Expect(0, 10624, '\P{^insupplementalarrowsb}', "");
    Expect(1, 10623, '\p{  in_SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10623, '\p{^  in_SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10623, '\P{  in_SUPPLEMENTAL_arrows_B}', "");
    Expect(1, 10623, '\P{^  in_SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10624, '\p{  in_SUPPLEMENTAL_arrows_B}', "");
    Expect(1, 10624, '\p{^  in_SUPPLEMENTAL_arrows_B}', "");
    Expect(1, 10624, '\P{  in_SUPPLEMENTAL_arrows_B}', "");
    Expect(0, 10624, '\P{^  in_SUPPLEMENTAL_arrows_B}', "");
    Error('\p{:= SUP_Arrows_B}');
    Error('\P{:= SUP_Arrows_B}');
    Expect(1, 10623, '\p{suparrowsb}', "");
    Expect(0, 10623, '\p{^suparrowsb}', "");
    Expect(0, 10623, '\P{suparrowsb}', "");
    Expect(1, 10623, '\P{^suparrowsb}', "");
    Expect(0, 10624, '\p{suparrowsb}', "");
    Expect(1, 10624, '\p{^suparrowsb}', "");
    Expect(1, 10624, '\P{suparrowsb}', "");
    Expect(0, 10624, '\P{^suparrowsb}', "");
    Expect(1, 10623, '\p{ sup_Arrows_B}', "");
    Expect(0, 10623, '\p{^ sup_Arrows_B}', "");
    Expect(0, 10623, '\P{ sup_Arrows_B}', "");
    Expect(1, 10623, '\P{^ sup_Arrows_B}', "");
    Expect(0, 10624, '\p{ sup_Arrows_B}', "");
    Expect(1, 10624, '\p{^ sup_Arrows_B}', "");
    Expect(1, 10624, '\P{ sup_Arrows_B}', "");
    Expect(0, 10624, '\P{^ sup_Arrows_B}', "");
    Error('\p{/a/IS_Sup_Arrows_B}');
    Error('\P{/a/IS_Sup_Arrows_B}');
    Expect(1, 10623, '\p{issuparrowsb}', "");
    Expect(0, 10623, '\p{^issuparrowsb}', "");
    Expect(0, 10623, '\P{issuparrowsb}', "");
    Expect(1, 10623, '\P{^issuparrowsb}', "");
    Expect(0, 10624, '\p{issuparrowsb}', "");
    Expect(1, 10624, '\p{^issuparrowsb}', "");
    Expect(1, 10624, '\P{issuparrowsb}', "");
    Expect(0, 10624, '\P{^issuparrowsb}', "");
    Expect(1, 10623, '\p{_ is_SUP_Arrows_B}', "");
    Expect(0, 10623, '\p{^_ is_SUP_Arrows_B}', "");
    Expect(0, 10623, '\P{_ is_SUP_Arrows_B}', "");
    Expect(1, 10623, '\P{^_ is_SUP_Arrows_B}', "");
    Expect(0, 10624, '\p{_ is_SUP_Arrows_B}', "");
    Expect(1, 10624, '\p{^_ is_SUP_Arrows_B}', "");
    Expect(1, 10624, '\P{_ is_SUP_Arrows_B}', "");
    Expect(0, 10624, '\P{^_ is_SUP_Arrows_B}', "");
    Error('\p{ :=in_sup_Arrows_B}');
    Error('\P{ :=in_sup_Arrows_B}');
    Expect(1, 10623, '\p{insuparrowsb}', "");
    Expect(0, 10623, '\p{^insuparrowsb}', "");
    Expect(0, 10623, '\P{insuparrowsb}', "");
    Expect(1, 10623, '\P{^insuparrowsb}', "");
    Expect(0, 10624, '\p{insuparrowsb}', "");
    Expect(1, 10624, '\p{^insuparrowsb}', "");
    Expect(1, 10624, '\P{insuparrowsb}', "");
    Expect(0, 10624, '\P{^insuparrowsb}', "");
    Expect(1, 10623, '\p{ _In_Sup_Arrows_B}', "");
    Expect(0, 10623, '\p{^ _In_Sup_Arrows_B}', "");
    Expect(0, 10623, '\P{ _In_Sup_Arrows_B}', "");
    Expect(1, 10623, '\P{^ _In_Sup_Arrows_B}', "");
    Expect(0, 10624, '\p{ _In_Sup_Arrows_B}', "");
    Expect(1, 10624, '\p{^ _In_Sup_Arrows_B}', "");
    Expect(1, 10624, '\P{ _In_Sup_Arrows_B}', "");
    Expect(0, 10624, '\P{^ _In_Sup_Arrows_B}', "");
    Error('\p{:=- SUPPLEMENTAL_Arrows_C}');
    Error('\P{:=- SUPPLEMENTAL_Arrows_C}');
    Expect(1, 129279, '\p{supplementalarrowsc}', "");
    Expect(0, 129279, '\p{^supplementalarrowsc}', "");
    Expect(0, 129279, '\P{supplementalarrowsc}', "");
    Expect(1, 129279, '\P{^supplementalarrowsc}', "");
    Expect(0, 129280, '\p{supplementalarrowsc}', "");
    Expect(1, 129280, '\p{^supplementalarrowsc}', "");
    Expect(1, 129280, '\P{supplementalarrowsc}', "");
    Expect(0, 129280, '\P{^supplementalarrowsc}', "");
    Expect(1, 129279, '\p{		Supplemental_arrows_c}', "");
    Expect(0, 129279, '\p{^		Supplemental_arrows_c}', "");
    Expect(0, 129279, '\P{		Supplemental_arrows_c}', "");
    Expect(1, 129279, '\P{^		Supplemental_arrows_c}', "");
    Expect(0, 129280, '\p{		Supplemental_arrows_c}', "");
    Expect(1, 129280, '\p{^		Supplemental_arrows_c}', "");
    Expect(1, 129280, '\P{		Supplemental_arrows_c}', "");
    Expect(0, 129280, '\P{^		Supplemental_arrows_c}', "");
    Error('\p{:=__is_supplemental_Arrows_C}');
    Error('\P{:=__is_supplemental_Arrows_C}');
    Expect(1, 129279, '\p{issupplementalarrowsc}', "");
    Expect(0, 129279, '\p{^issupplementalarrowsc}', "");
    Expect(0, 129279, '\P{issupplementalarrowsc}', "");
    Expect(1, 129279, '\P{^issupplementalarrowsc}', "");
    Expect(0, 129280, '\p{issupplementalarrowsc}', "");
    Expect(1, 129280, '\p{^issupplementalarrowsc}', "");
    Expect(1, 129280, '\P{issupplementalarrowsc}', "");
    Expect(0, 129280, '\P{^issupplementalarrowsc}', "");
    Expect(1, 129279, '\p{ _is_supplemental_Arrows_c}', "");
    Expect(0, 129279, '\p{^ _is_supplemental_Arrows_c}', "");
    Expect(0, 129279, '\P{ _is_supplemental_Arrows_c}', "");
    Expect(1, 129279, '\P{^ _is_supplemental_Arrows_c}', "");
    Expect(0, 129280, '\p{ _is_supplemental_Arrows_c}', "");
    Expect(1, 129280, '\p{^ _is_supplemental_Arrows_c}', "");
    Expect(1, 129280, '\P{ _is_supplemental_Arrows_c}', "");
    Expect(0, 129280, '\P{^ _is_supplemental_Arrows_c}', "");
    Error('\p{/a/ In_Supplemental_Arrows_C}');
    Error('\P{/a/ In_Supplemental_Arrows_C}');
    Expect(1, 129279, '\p{insupplementalarrowsc}', "");
    Expect(0, 129279, '\p{^insupplementalarrowsc}', "");
    Expect(0, 129279, '\P{insupplementalarrowsc}', "");
    Expect(1, 129279, '\P{^insupplementalarrowsc}', "");
    Expect(0, 129280, '\p{insupplementalarrowsc}', "");
    Expect(1, 129280, '\p{^insupplementalarrowsc}', "");
    Expect(1, 129280, '\P{insupplementalarrowsc}', "");
    Expect(0, 129280, '\P{^insupplementalarrowsc}', "");
    Expect(1, 129279, '\p{-IN_Supplemental_ARROWS_c}', "");
    Expect(0, 129279, '\p{^-IN_Supplemental_ARROWS_c}', "");
    Expect(0, 129279, '\P{-IN_Supplemental_ARROWS_c}', "");
    Expect(1, 129279, '\P{^-IN_Supplemental_ARROWS_c}', "");
    Expect(0, 129280, '\p{-IN_Supplemental_ARROWS_c}', "");
    Expect(1, 129280, '\p{^-IN_Supplemental_ARROWS_c}', "");
    Expect(1, 129280, '\P{-IN_Supplemental_ARROWS_c}', "");
    Expect(0, 129280, '\P{^-IN_Supplemental_ARROWS_c}', "");
    Error('\p{_:=SUP_arrows_C}');
    Error('\P{_:=SUP_arrows_C}');
    Expect(1, 129279, '\p{suparrowsc}', "");
    Expect(0, 129279, '\p{^suparrowsc}', "");
    Expect(0, 129279, '\P{suparrowsc}', "");
    Expect(1, 129279, '\P{^suparrowsc}', "");
    Expect(0, 129280, '\p{suparrowsc}', "");
    Expect(1, 129280, '\p{^suparrowsc}', "");
    Expect(1, 129280, '\P{suparrowsc}', "");
    Expect(0, 129280, '\P{^suparrowsc}', "");
    Expect(1, 129279, '\p{ -Sup_ARROWS_c}', "");
    Expect(0, 129279, '\p{^ -Sup_ARROWS_c}', "");
    Expect(0, 129279, '\P{ -Sup_ARROWS_c}', "");
    Expect(1, 129279, '\P{^ -Sup_ARROWS_c}', "");
    Expect(0, 129280, '\p{ -Sup_ARROWS_c}', "");
    Expect(1, 129280, '\p{^ -Sup_ARROWS_c}', "");
    Expect(1, 129280, '\P{ -Sup_ARROWS_c}', "");
    Expect(0, 129280, '\P{^ -Sup_ARROWS_c}', "");
    Error('\p{	/a/Is_SUP_ARROWS_c}');
    Error('\P{	/a/Is_SUP_ARROWS_c}');
    Expect(1, 129279, '\p{issuparrowsc}', "");
    Expect(0, 129279, '\p{^issuparrowsc}', "");
    Expect(0, 129279, '\P{issuparrowsc}', "");
    Expect(1, 129279, '\P{^issuparrowsc}', "");
    Expect(0, 129280, '\p{issuparrowsc}', "");
    Expect(1, 129280, '\p{^issuparrowsc}', "");
    Expect(1, 129280, '\P{issuparrowsc}', "");
    Expect(0, 129280, '\P{^issuparrowsc}', "");
    Expect(1, 129279, '\p{ is_SUP_Arrows_c}', "");
    Expect(0, 129279, '\p{^ is_SUP_Arrows_c}', "");
    Expect(0, 129279, '\P{ is_SUP_Arrows_c}', "");
    Expect(1, 129279, '\P{^ is_SUP_Arrows_c}', "");
    Expect(0, 129280, '\p{ is_SUP_Arrows_c}', "");
    Expect(1, 129280, '\p{^ is_SUP_Arrows_c}', "");
    Expect(1, 129280, '\P{ is_SUP_Arrows_c}', "");
    Expect(0, 129280, '\P{^ is_SUP_Arrows_c}', "");
    Error('\p{	/a/IN_Sup_Arrows_C}');
    Error('\P{	/a/IN_Sup_Arrows_C}');
    Expect(1, 129279, '\p{insuparrowsc}', "");
    Expect(0, 129279, '\p{^insuparrowsc}', "");
    Expect(0, 129279, '\P{insuparrowsc}', "");
    Expect(1, 129279, '\P{^insuparrowsc}', "");
    Expect(0, 129280, '\p{insuparrowsc}', "");
    Expect(1, 129280, '\p{^insuparrowsc}', "");
    Expect(1, 129280, '\P{insuparrowsc}', "");
    Expect(0, 129280, '\P{^insuparrowsc}', "");
    Expect(1, 129279, '\p{-_in_Sup_Arrows_C}', "");
    Expect(0, 129279, '\p{^-_in_Sup_Arrows_C}', "");
    Expect(0, 129279, '\P{-_in_Sup_Arrows_C}', "");
    Expect(1, 129279, '\P{^-_in_Sup_Arrows_C}', "");
    Expect(0, 129280, '\p{-_in_Sup_Arrows_C}', "");
    Expect(1, 129280, '\p{^-_in_Sup_Arrows_C}', "");
    Expect(1, 129280, '\P{-_in_Sup_Arrows_C}', "");
    Expect(0, 129280, '\P{^-_in_Sup_Arrows_C}', "");
    Error('\p{_-SUPPLEMENTAL_Mathematical_Operators/a/}');
    Error('\P{_-SUPPLEMENTAL_Mathematical_Operators/a/}');
    Expect(1, 11007, '\p{supplementalmathematicaloperators}', "");
    Expect(0, 11007, '\p{^supplementalmathematicaloperators}', "");
    Expect(0, 11007, '\P{supplementalmathematicaloperators}', "");
    Expect(1, 11007, '\P{^supplementalmathematicaloperators}', "");
    Expect(0, 11008, '\p{supplementalmathematicaloperators}', "");
    Expect(1, 11008, '\p{^supplementalmathematicaloperators}', "");
    Expect(1, 11008, '\P{supplementalmathematicaloperators}', "");
    Expect(0, 11008, '\P{^supplementalmathematicaloperators}', "");
    Expect(1, 11007, '\p{	Supplemental_mathematical_Operators}', "");
    Expect(0, 11007, '\p{^	Supplemental_mathematical_Operators}', "");
    Expect(0, 11007, '\P{	Supplemental_mathematical_Operators}', "");
    Expect(1, 11007, '\P{^	Supplemental_mathematical_Operators}', "");
    Expect(0, 11008, '\p{	Supplemental_mathematical_Operators}', "");
    Expect(1, 11008, '\p{^	Supplemental_mathematical_Operators}', "");
    Expect(1, 11008, '\P{	Supplemental_mathematical_Operators}', "");
    Expect(0, 11008, '\P{^	Supplemental_mathematical_Operators}', "");
    Error('\p{	_Is_Supplemental_Mathematical_operators/a/}');
    Error('\P{	_Is_Supplemental_Mathematical_operators/a/}');
    Expect(1, 11007, '\p{issupplementalmathematicaloperators}', "");
    Expect(0, 11007, '\p{^issupplementalmathematicaloperators}', "");
    Expect(0, 11007, '\P{issupplementalmathematicaloperators}', "");
    Expect(1, 11007, '\P{^issupplementalmathematicaloperators}', "");
    Expect(0, 11008, '\p{issupplementalmathematicaloperators}', "");
    Expect(1, 11008, '\p{^issupplementalmathematicaloperators}', "");
    Expect(1, 11008, '\P{issupplementalmathematicaloperators}', "");
    Expect(0, 11008, '\P{^issupplementalmathematicaloperators}', "");
    Expect(1, 11007, '\p{ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\p{^ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\P{ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11007, '\P{^ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\p{ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\p{^ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\P{ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\P{^ IS_SUPPLEMENTAL_Mathematical_OPERATORS}', "");
    Error('\p{_ In_Supplemental_Mathematical_Operators/a/}');
    Error('\P{_ In_Supplemental_Mathematical_Operators/a/}');
    Expect(1, 11007, '\p{insupplementalmathematicaloperators}', "");
    Expect(0, 11007, '\p{^insupplementalmathematicaloperators}', "");
    Expect(0, 11007, '\P{insupplementalmathematicaloperators}', "");
    Expect(1, 11007, '\P{^insupplementalmathematicaloperators}', "");
    Expect(0, 11008, '\p{insupplementalmathematicaloperators}', "");
    Expect(1, 11008, '\p{^insupplementalmathematicaloperators}', "");
    Expect(1, 11008, '\P{insupplementalmathematicaloperators}', "");
    Expect(0, 11008, '\P{^insupplementalmathematicaloperators}', "");
    Expect(1, 11007, '\p{	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\p{^	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Expect(0, 11007, '\P{	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Expect(1, 11007, '\P{^	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\p{	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\p{^	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Expect(1, 11008, '\P{	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Expect(0, 11008, '\P{^	_IN_Supplemental_Mathematical_OPERATORS}', "");
    Error('\p{Sup_Math_Operators/a/}');
    Error('\P{Sup_Math_Operators/a/}');
    Expect(1, 11007, '\p{supmathoperators}', "");
    Expect(0, 11007, '\p{^supmathoperators}', "");
    Expect(0, 11007, '\P{supmathoperators}', "");
    Expect(1, 11007, '\P{^supmathoperators}', "");
    Expect(0, 11008, '\p{supmathoperators}', "");
    Expect(1, 11008, '\p{^supmathoperators}', "");
    Expect(1, 11008, '\P{supmathoperators}', "");
    Expect(0, 11008, '\P{^supmathoperators}', "");
    Expect(1, 11007, '\p{ -Sup_Math_OPERATORS}', "");
    Expect(0, 11007, '\p{^ -Sup_Math_OPERATORS}', "");
    Expect(0, 11007, '\P{ -Sup_Math_OPERATORS}', "");
    Expect(1, 11007, '\P{^ -Sup_Math_OPERATORS}', "");
    Expect(0, 11008, '\p{ -Sup_Math_OPERATORS}', "");
    Expect(1, 11008, '\p{^ -Sup_Math_OPERATORS}', "");
    Expect(1, 11008, '\P{ -Sup_Math_OPERATORS}', "");
    Expect(0, 11008, '\P{^ -Sup_Math_OPERATORS}', "");
    Error('\p{/a/	Is_Sup_MATH_Operators}');
    Error('\P{/a/	Is_Sup_MATH_Operators}');
    Expect(1, 11007, '\p{issupmathoperators}', "");
    Expect(0, 11007, '\p{^issupmathoperators}', "");
    Expect(0, 11007, '\P{issupmathoperators}', "");
    Expect(1, 11007, '\P{^issupmathoperators}', "");
    Expect(0, 11008, '\p{issupmathoperators}', "");
    Expect(1, 11008, '\p{^issupmathoperators}', "");
    Expect(1, 11008, '\P{issupmathoperators}', "");
    Expect(0, 11008, '\P{^issupmathoperators}', "");
    Expect(1, 11007, '\p{	-IS_sup_Math_Operators}', "");
    Expect(0, 11007, '\p{^	-IS_sup_Math_Operators}', "");
    Expect(0, 11007, '\P{	-IS_sup_Math_Operators}', "");
    Expect(1, 11007, '\P{^	-IS_sup_Math_Operators}', "");
    Expect(0, 11008, '\p{	-IS_sup_Math_Operators}', "");
    Expect(1, 11008, '\p{^	-IS_sup_Math_Operators}', "");
    Expect(1, 11008, '\P{	-IS_sup_Math_Operators}', "");
    Expect(0, 11008, '\P{^	-IS_sup_Math_Operators}', "");
    Error('\p{:=_In_Sup_math_OPERATORS}');
    Error('\P{:=_In_Sup_math_OPERATORS}');
    Expect(1, 11007, '\p{insupmathoperators}', "");
    Expect(0, 11007, '\p{^insupmathoperators}', "");
    Expect(0, 11007, '\P{insupmathoperators}', "");
    Expect(1, 11007, '\P{^insupmathoperators}', "");
    Expect(0, 11008, '\p{insupmathoperators}', "");
    Expect(1, 11008, '\p{^insupmathoperators}', "");
    Expect(1, 11008, '\P{insupmathoperators}', "");
    Expect(0, 11008, '\P{^insupmathoperators}', "");
    Expect(1, 11007, '\p{-in_SUP_Math_OPERATORS}', "");
    Expect(0, 11007, '\p{^-in_SUP_Math_OPERATORS}', "");
    Expect(0, 11007, '\P{-in_SUP_Math_OPERATORS}', "");
    Expect(1, 11007, '\P{^-in_SUP_Math_OPERATORS}', "");
    Expect(0, 11008, '\p{-in_SUP_Math_OPERATORS}', "");
    Expect(1, 11008, '\p{^-in_SUP_Math_OPERATORS}', "");
    Expect(1, 11008, '\P{-in_SUP_Math_OPERATORS}', "");
    Expect(0, 11008, '\P{^-in_SUP_Math_OPERATORS}', "");
    Error('\p{- supplemental_PUNCTUATION:=}');
    Error('\P{- supplemental_PUNCTUATION:=}');
    Expect(1, 11903, '\p{supplementalpunctuation}', "");
    Expect(0, 11903, '\p{^supplementalpunctuation}', "");
    Expect(0, 11903, '\P{supplementalpunctuation}', "");
    Expect(1, 11903, '\P{^supplementalpunctuation}', "");
    Expect(0, 11904, '\p{supplementalpunctuation}', "");
    Expect(1, 11904, '\p{^supplementalpunctuation}', "");
    Expect(1, 11904, '\P{supplementalpunctuation}', "");
    Expect(0, 11904, '\P{^supplementalpunctuation}', "");
    Expect(1, 11903, '\p{ SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11903, '\p{^ SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11903, '\P{ SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(1, 11903, '\P{^ SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11904, '\p{ SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(1, 11904, '\p{^ SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(1, 11904, '\P{ SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11904, '\P{^ SUPPLEMENTAL_PUNCTUATION}', "");
    Error('\p{		Is_supplemental_PUNCTUATION:=}');
    Error('\P{		Is_supplemental_PUNCTUATION:=}');
    Expect(1, 11903, '\p{issupplementalpunctuation}', "");
    Expect(0, 11903, '\p{^issupplementalpunctuation}', "");
    Expect(0, 11903, '\P{issupplementalpunctuation}', "");
    Expect(1, 11903, '\P{^issupplementalpunctuation}', "");
    Expect(0, 11904, '\p{issupplementalpunctuation}', "");
    Expect(1, 11904, '\p{^issupplementalpunctuation}', "");
    Expect(1, 11904, '\P{issupplementalpunctuation}', "");
    Expect(0, 11904, '\P{^issupplementalpunctuation}', "");
    Expect(1, 11903, '\p{_-Is_supplemental_Punctuation}', "");
    Expect(0, 11903, '\p{^_-Is_supplemental_Punctuation}', "");
    Expect(0, 11903, '\P{_-Is_supplemental_Punctuation}', "");
    Expect(1, 11903, '\P{^_-Is_supplemental_Punctuation}', "");
    Expect(0, 11904, '\p{_-Is_supplemental_Punctuation}', "");
    Expect(1, 11904, '\p{^_-Is_supplemental_Punctuation}', "");
    Expect(1, 11904, '\P{_-Is_supplemental_Punctuation}', "");
    Expect(0, 11904, '\P{^_-Is_supplemental_Punctuation}', "");
    Error('\p{	/a/In_SUPPLEMENTAL_PUNCTUATION}');
    Error('\P{	/a/In_SUPPLEMENTAL_PUNCTUATION}');
    Expect(1, 11903, '\p{insupplementalpunctuation}', "");
    Expect(0, 11903, '\p{^insupplementalpunctuation}', "");
    Expect(0, 11903, '\P{insupplementalpunctuation}', "");
    Expect(1, 11903, '\P{^insupplementalpunctuation}', "");
    Expect(0, 11904, '\p{insupplementalpunctuation}', "");
    Expect(1, 11904, '\p{^insupplementalpunctuation}', "");
    Expect(1, 11904, '\P{insupplementalpunctuation}', "");
    Expect(0, 11904, '\P{^insupplementalpunctuation}', "");
    Expect(1, 11903, '\p{	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11903, '\p{^	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11903, '\P{	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(1, 11903, '\P{^	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11904, '\p{	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(1, 11904, '\p{^	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(1, 11904, '\P{	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Expect(0, 11904, '\P{^	-in_SUPPLEMENTAL_PUNCTUATION}', "");
    Error('\p{:=sup_Punctuation}');
    Error('\P{:=sup_Punctuation}');
    Expect(1, 11903, '\p{suppunctuation}', "");
    Expect(0, 11903, '\p{^suppunctuation}', "");
    Expect(0, 11903, '\P{suppunctuation}', "");
    Expect(1, 11903, '\P{^suppunctuation}', "");
    Expect(0, 11904, '\p{suppunctuation}', "");
    Expect(1, 11904, '\p{^suppunctuation}', "");
    Expect(1, 11904, '\P{suppunctuation}', "");
    Expect(0, 11904, '\P{^suppunctuation}', "");
    Expect(1, 11903, '\p{	_SUP_PUNCTUATION}', "");
    Expect(0, 11903, '\p{^	_SUP_PUNCTUATION}', "");
    Expect(0, 11903, '\P{	_SUP_PUNCTUATION}', "");
    Expect(1, 11903, '\P{^	_SUP_PUNCTUATION}', "");
    Expect(0, 11904, '\p{	_SUP_PUNCTUATION}', "");
    Expect(1, 11904, '\p{^	_SUP_PUNCTUATION}', "");
    Expect(1, 11904, '\P{	_SUP_PUNCTUATION}', "");
    Expect(0, 11904, '\P{^	_SUP_PUNCTUATION}', "");
    Error('\p{/a/Is_sup_Punctuation}');
    Error('\P{/a/Is_sup_Punctuation}');
    Expect(1, 11903, '\p{issuppunctuation}', "");
    Expect(0, 11903, '\p{^issuppunctuation}', "");
    Expect(0, 11903, '\P{issuppunctuation}', "");
    Expect(1, 11903, '\P{^issuppunctuation}', "");
    Expect(0, 11904, '\p{issuppunctuation}', "");
    Expect(1, 11904, '\p{^issuppunctuation}', "");
    Expect(1, 11904, '\P{issuppunctuation}', "");
    Expect(0, 11904, '\P{^issuppunctuation}', "");
    Expect(1, 11903, '\p{-	IS_Sup_PUNCTUATION}', "");
    Expect(0, 11903, '\p{^-	IS_Sup_PUNCTUATION}', "");
    Expect(0, 11903, '\P{-	IS_Sup_PUNCTUATION}', "");
    Expect(1, 11903, '\P{^-	IS_Sup_PUNCTUATION}', "");
    Expect(0, 11904, '\p{-	IS_Sup_PUNCTUATION}', "");
    Expect(1, 11904, '\p{^-	IS_Sup_PUNCTUATION}', "");
    Expect(1, 11904, '\P{-	IS_Sup_PUNCTUATION}', "");
    Expect(0, 11904, '\P{^-	IS_Sup_PUNCTUATION}', "");
    Error('\p{:= _IN_sup_PUNCTUATION}');
    Error('\P{:= _IN_sup_PUNCTUATION}');
    Expect(1, 11903, '\p{insuppunctuation}', "");
    Expect(0, 11903, '\p{^insuppunctuation}', "");
    Expect(0, 11903, '\P{insuppunctuation}', "");
    Expect(1, 11903, '\P{^insuppunctuation}', "");
    Expect(0, 11904, '\p{insuppunctuation}', "");
    Expect(1, 11904, '\p{^insuppunctuation}', "");
    Expect(1, 11904, '\P{insuppunctuation}', "");
    Expect(0, 11904, '\P{^insuppunctuation}', "");
    Expect(1, 11903, '\p{-in_Sup_PUNCTUATION}', "");
    Expect(0, 11903, '\p{^-in_Sup_PUNCTUATION}', "");
    Expect(0, 11903, '\P{-in_Sup_PUNCTUATION}', "");
    Expect(1, 11903, '\P{^-in_Sup_PUNCTUATION}', "");
    Expect(0, 11904, '\p{-in_Sup_PUNCTUATION}', "");
    Expect(1, 11904, '\p{^-in_Sup_PUNCTUATION}', "");
    Expect(1, 11904, '\P{-in_Sup_PUNCTUATION}', "");
    Expect(0, 11904, '\P{^-in_Sup_PUNCTUATION}', "");
    Error('\p{_:=supplemental_SYMBOLS_And_pictographs}');
    Error('\P{_:=supplemental_SYMBOLS_And_pictographs}');
    Expect(1, 129535, '\p{supplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^supplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{supplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^supplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{supplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^supplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{supplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^supplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Expect(0, 129535, '\p{^_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Expect(0, 129535, '\P{_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Expect(1, 129535, '\P{^_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Expect(0, 129536, '\p{_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Expect(1, 129536, '\p{^_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Expect(1, 129536, '\P{_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Expect(0, 129536, '\P{^_-supplemental_SYMBOLS_AND_Pictographs}', "");
    Error('\p{ /a/Is_Supplemental_SYMBOLS_AND_pictographs}');
    Error('\P{ /a/Is_Supplemental_SYMBOLS_AND_pictographs}');
    Expect(1, 129535, '\p{issupplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^issupplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{issupplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^issupplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{issupplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^issupplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{issupplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^issupplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{ IS_Supplemental_Symbols_And_Pictographs}', "");
    Expect(0, 129535, '\p{^ IS_Supplemental_Symbols_And_Pictographs}', "");
    Expect(0, 129535, '\P{ IS_Supplemental_Symbols_And_Pictographs}', "");
    Expect(1, 129535, '\P{^ IS_Supplemental_Symbols_And_Pictographs}', "");
    Expect(0, 129536, '\p{ IS_Supplemental_Symbols_And_Pictographs}', "");
    Expect(1, 129536, '\p{^ IS_Supplemental_Symbols_And_Pictographs}', "");
    Expect(1, 129536, '\P{ IS_Supplemental_Symbols_And_Pictographs}', "");
    Expect(0, 129536, '\P{^ IS_Supplemental_Symbols_And_Pictographs}', "");
    Error('\p{ -in_SUPPLEMENTAL_SYMBOLS_And_pictographs/a/}');
    Error('\P{ -in_SUPPLEMENTAL_SYMBOLS_And_pictographs/a/}');
    Expect(1, 129535, '\p{insupplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^insupplementalsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{insupplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^insupplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{insupplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^insupplementalsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{insupplementalsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^insupplementalsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129535, '\p{^_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129535, '\P{_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129535, '\P{^_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129536, '\p{_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129536, '\p{^_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Expect(1, 129536, '\P{_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Expect(0, 129536, '\P{^_ In_SUPPLEMENTAL_Symbols_And_PICTOGRAPHS}', "");
    Error('\p{:=Sup_SYMBOLS_And_pictographs}');
    Error('\P{:=Sup_SYMBOLS_And_pictographs}');
    Expect(1, 129535, '\p{supsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^supsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{supsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^supsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{supsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^supsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{supsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^supsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{-SUP_Symbols_And_Pictographs}', "");
    Expect(0, 129535, '\p{^-SUP_Symbols_And_Pictographs}', "");
    Expect(0, 129535, '\P{-SUP_Symbols_And_Pictographs}', "");
    Expect(1, 129535, '\P{^-SUP_Symbols_And_Pictographs}', "");
    Expect(0, 129536, '\p{-SUP_Symbols_And_Pictographs}', "");
    Expect(1, 129536, '\p{^-SUP_Symbols_And_Pictographs}', "");
    Expect(1, 129536, '\P{-SUP_Symbols_And_Pictographs}', "");
    Expect(0, 129536, '\P{^-SUP_Symbols_And_Pictographs}', "");
    Error('\p{-:=Is_Sup_SYMBOLS_And_PICTOGRAPHS}');
    Error('\P{-:=Is_Sup_SYMBOLS_And_PICTOGRAPHS}');
    Expect(1, 129535, '\p{issupsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^issupsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{issupsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^issupsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{issupsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^issupsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{issupsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^issupsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Expect(0, 129535, '\p{^ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Expect(0, 129535, '\P{ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Expect(1, 129535, '\P{^ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Expect(0, 129536, '\p{ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Expect(1, 129536, '\p{^ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Expect(1, 129536, '\P{ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Expect(0, 129536, '\P{^ is_Sup_Symbols_and_PICTOGRAPHS}', "");
    Error('\p{	_in_Sup_Symbols_And_Pictographs:=}');
    Error('\P{	_in_Sup_Symbols_And_Pictographs:=}');
    Expect(1, 129535, '\p{insupsymbolsandpictographs}', "");
    Expect(0, 129535, '\p{^insupsymbolsandpictographs}', "");
    Expect(0, 129535, '\P{insupsymbolsandpictographs}', "");
    Expect(1, 129535, '\P{^insupsymbolsandpictographs}', "");
    Expect(0, 129536, '\p{insupsymbolsandpictographs}', "");
    Expect(1, 129536, '\p{^insupsymbolsandpictographs}', "");
    Expect(1, 129536, '\P{insupsymbolsandpictographs}', "");
    Expect(0, 129536, '\P{^insupsymbolsandpictographs}', "");
    Expect(1, 129535, '\p{_In_sup_symbols_and_pictographs}', "");
    Expect(0, 129535, '\p{^_In_sup_symbols_and_pictographs}', "");
    Expect(0, 129535, '\P{_In_sup_symbols_and_pictographs}', "");
    Expect(1, 129535, '\P{^_In_sup_symbols_and_pictographs}', "");
    Expect(0, 129536, '\p{_In_sup_symbols_and_pictographs}', "");
    Expect(1, 129536, '\p{^_In_sup_symbols_and_pictographs}', "");
    Expect(1, 129536, '\P{_In_sup_symbols_and_pictographs}', "");
    Expect(0, 129536, '\P{^_In_sup_symbols_and_pictographs}', "");
    Error('\p{:=	_Supplementary_PRIVATE_USE_Area_a}');
    Error('\P{:=	_Supplementary_PRIVATE_USE_Area_a}');
    Expect(1, 983040, '\p{supplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\p{^supplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\P{supplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\P{^supplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\p{supplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\p{^supplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\P{supplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\P{^supplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\p{		Supplementary_Private_use_AREA_A}', "");
    Expect(0, 983040, '\p{^		Supplementary_Private_use_AREA_A}', "");
    Expect(0, 983040, '\P{		Supplementary_Private_use_AREA_A}', "");
    Expect(1, 983040, '\P{^		Supplementary_Private_use_AREA_A}', "");
    Expect(0, 1048576, '\p{		Supplementary_Private_use_AREA_A}', "");
    Expect(1, 1048576, '\p{^		Supplementary_Private_use_AREA_A}', "");
    Expect(1, 1048576, '\P{		Supplementary_Private_use_AREA_A}', "");
    Expect(0, 1048576, '\P{^		Supplementary_Private_use_AREA_A}', "");
    Error('\p{ -IS_supplementary_PRIVATE_use_Area_a/a/}');
    Error('\P{ -IS_supplementary_PRIVATE_use_Area_a/a/}');
    Expect(1, 983040, '\p{issupplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\p{^issupplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\P{issupplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\P{^issupplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\p{issupplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\p{^issupplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\P{issupplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\P{^issupplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\p{	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Expect(0, 983040, '\p{^	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Expect(0, 983040, '\P{	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Expect(1, 983040, '\P{^	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Expect(0, 1048576, '\p{	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Expect(1, 1048576, '\p{^	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Expect(1, 1048576, '\P{	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Expect(0, 1048576, '\P{^	-Is_supplementary_PRIVATE_Use_area_A}', "");
    Error('\p{ in_SUPPLEMENTARY_PRIVATE_Use_Area_A/a/}');
    Error('\P{ in_SUPPLEMENTARY_PRIVATE_Use_Area_A/a/}');
    Expect(1, 983040, '\p{insupplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\p{^insupplementaryprivateuseareaa}', "");
    Expect(0, 983040, '\P{insupplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\P{^insupplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\p{insupplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\p{^insupplementaryprivateuseareaa}', "");
    Expect(1, 1048576, '\P{insupplementaryprivateuseareaa}', "");
    Expect(0, 1048576, '\P{^insupplementaryprivateuseareaa}', "");
    Expect(1, 983040, '\p{ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Expect(0, 983040, '\p{^ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Expect(0, 983040, '\P{ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Expect(1, 983040, '\P{^ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Expect(0, 1048576, '\p{ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Expect(1, 1048576, '\p{^ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Expect(1, 1048576, '\P{ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Expect(0, 1048576, '\P{^ 	In_SUPPLEMENTARY_private_USE_Area_A}', "");
    Error('\p{-:=Sup_PUA_a}');
    Error('\P{-:=Sup_PUA_a}');
    Expect(1, 983040, '\p{suppuaa}', "");
    Expect(0, 983040, '\p{^suppuaa}', "");
    Expect(0, 983040, '\P{suppuaa}', "");
    Expect(1, 983040, '\P{^suppuaa}', "");
    Expect(0, 1048576, '\p{suppuaa}', "");
    Expect(1, 1048576, '\p{^suppuaa}', "");
    Expect(1, 1048576, '\P{suppuaa}', "");
    Expect(0, 1048576, '\P{^suppuaa}', "");
    Expect(1, 983040, '\p{		sup_PUA_A}', "");
    Expect(0, 983040, '\p{^		sup_PUA_A}', "");
    Expect(0, 983040, '\P{		sup_PUA_A}', "");
    Expect(1, 983040, '\P{^		sup_PUA_A}', "");
    Expect(0, 1048576, '\p{		sup_PUA_A}', "");
    Expect(1, 1048576, '\p{^		sup_PUA_A}', "");
    Expect(1, 1048576, '\P{		sup_PUA_A}', "");
    Expect(0, 1048576, '\P{^		sup_PUA_A}', "");
    Error('\p{- Is_sup_PUA_a:=}');
    Error('\P{- Is_sup_PUA_a:=}');
    Expect(1, 983040, '\p{issuppuaa}', "");
    Expect(0, 983040, '\p{^issuppuaa}', "");
    Expect(0, 983040, '\P{issuppuaa}', "");
    Expect(1, 983040, '\P{^issuppuaa}', "");
    Expect(0, 1048576, '\p{issuppuaa}', "");
    Expect(1, 1048576, '\p{^issuppuaa}', "");
    Expect(1, 1048576, '\P{issuppuaa}', "");
    Expect(0, 1048576, '\P{^issuppuaa}', "");
    Expect(1, 983040, '\p{-IS_sup_PUA_A}', "");
    Expect(0, 983040, '\p{^-IS_sup_PUA_A}', "");
    Expect(0, 983040, '\P{-IS_sup_PUA_A}', "");
    Expect(1, 983040, '\P{^-IS_sup_PUA_A}', "");
    Expect(0, 1048576, '\p{-IS_sup_PUA_A}', "");
    Expect(1, 1048576, '\p{^-IS_sup_PUA_A}', "");
    Expect(1, 1048576, '\P{-IS_sup_PUA_A}', "");
    Expect(0, 1048576, '\P{^-IS_sup_PUA_A}', "");
    Error('\p{	/a/In_SUP_pua_A}');
    Error('\P{	/a/In_SUP_pua_A}');
    Expect(1, 983040, '\p{insuppuaa}', "");
    Expect(0, 983040, '\p{^insuppuaa}', "");
    Expect(0, 983040, '\P{insuppuaa}', "");
    Expect(1, 983040, '\P{^insuppuaa}', "");
    Expect(0, 1048576, '\p{insuppuaa}', "");
    Expect(1, 1048576, '\p{^insuppuaa}', "");
    Expect(1, 1048576, '\P{insuppuaa}', "");
    Expect(0, 1048576, '\P{^insuppuaa}', "");
    Expect(1, 983040, '\p{-In_SUP_pua_A}', "");
    Expect(0, 983040, '\p{^-In_SUP_pua_A}', "");
    Expect(0, 983040, '\P{-In_SUP_pua_A}', "");
    Expect(1, 983040, '\P{^-In_SUP_pua_A}', "");
    Expect(0, 1048576, '\p{-In_SUP_pua_A}', "");
    Expect(1, 1048576, '\p{^-In_SUP_pua_A}', "");
    Expect(1, 1048576, '\P{-In_SUP_pua_A}', "");
    Expect(0, 1048576, '\P{^-In_SUP_pua_A}', "");
    Error('\p{_/a/Supplementary_private_Use_AREA_B}');
    Error('\P{_/a/Supplementary_private_Use_AREA_B}');
    Expect(1, 1048576, '\p{supplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\p{^supplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\P{supplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\P{^supplementaryprivateuseareab}', "");
    Expect(0, 1, '\p{supplementaryprivateuseareab}', "");
    Expect(1, 1, '\p{^supplementaryprivateuseareab}', "");
    Expect(1, 1, '\P{supplementaryprivateuseareab}', "");
    Expect(0, 1, '\P{^supplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\p{- supplementary_Private_Use_area_b}', "");
    Expect(0, 1048576, '\p{^- supplementary_Private_Use_area_b}', "");
    Expect(0, 1048576, '\P{- supplementary_Private_Use_area_b}', "");
    Expect(1, 1048576, '\P{^- supplementary_Private_Use_area_b}', "");
    Expect(0, 1, '\p{- supplementary_Private_Use_area_b}', "");
    Expect(1, 1, '\p{^- supplementary_Private_Use_area_b}', "");
    Expect(1, 1, '\P{- supplementary_Private_Use_area_b}', "");
    Expect(0, 1, '\P{^- supplementary_Private_Use_area_b}', "");
    Error('\p{	/a/is_supplementary_PRIVATE_USE_Area_B}');
    Error('\P{	/a/is_supplementary_PRIVATE_USE_Area_B}');
    Expect(1, 1048576, '\p{issupplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\p{^issupplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\P{issupplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\P{^issupplementaryprivateuseareab}', "");
    Expect(0, 1, '\p{issupplementaryprivateuseareab}', "");
    Expect(1, 1, '\p{^issupplementaryprivateuseareab}', "");
    Expect(1, 1, '\P{issupplementaryprivateuseareab}', "");
    Expect(0, 1, '\P{^issupplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\p{	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Expect(0, 1048576, '\p{^	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Expect(0, 1048576, '\P{	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Expect(1, 1048576, '\P{^	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Expect(0, 1, '\p{	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Expect(1, 1, '\p{^	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Expect(1, 1, '\P{	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Expect(0, 1, '\P{^	 Is_Supplementary_PRIVATE_Use_area_B}', "");
    Error('\p{_ in_Supplementary_PRIVATE_USE_Area_B:=}');
    Error('\P{_ in_Supplementary_PRIVATE_USE_Area_B:=}');
    Expect(1, 1048576, '\p{insupplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\p{^insupplementaryprivateuseareab}', "");
    Expect(0, 1048576, '\P{insupplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\P{^insupplementaryprivateuseareab}', "");
    Expect(0, 1, '\p{insupplementaryprivateuseareab}', "");
    Expect(1, 1, '\p{^insupplementaryprivateuseareab}', "");
    Expect(1, 1, '\P{insupplementaryprivateuseareab}', "");
    Expect(0, 1, '\P{^insupplementaryprivateuseareab}', "");
    Expect(1, 1048576, '\p{ -in_supplementary_Private_use_Area_B}', "");
    Expect(0, 1048576, '\p{^ -in_supplementary_Private_use_Area_B}', "");
    Expect(0, 1048576, '\P{ -in_supplementary_Private_use_Area_B}', "");
    Expect(1, 1048576, '\P{^ -in_supplementary_Private_use_Area_B}', "");
    Expect(0, 1, '\p{ -in_supplementary_Private_use_Area_B}', "");
    Expect(1, 1, '\p{^ -in_supplementary_Private_use_Area_B}', "");
    Expect(1, 1, '\P{ -in_supplementary_Private_use_Area_B}', "");
    Expect(0, 1, '\P{^ -in_supplementary_Private_use_Area_B}', "");
    Error('\p{:= _Sup_pua_B}');
    Error('\P{:= _Sup_pua_B}');
    Expect(1, 1048576, '\p{suppuab}', "");
    Expect(0, 1048576, '\p{^suppuab}', "");
    Expect(0, 1048576, '\P{suppuab}', "");
    Expect(1, 1048576, '\P{^suppuab}', "");
    Expect(0, 1, '\p{suppuab}', "");
    Expect(1, 1, '\p{^suppuab}', "");
    Expect(1, 1, '\P{suppuab}', "");
    Expect(0, 1, '\P{^suppuab}', "");
    Expect(1, 1048576, '\p{- sup_PUA_b}', "");
    Expect(0, 1048576, '\p{^- sup_PUA_b}', "");
    Expect(0, 1048576, '\P{- sup_PUA_b}', "");
    Expect(1, 1048576, '\P{^- sup_PUA_b}', "");
    Expect(0, 1, '\p{- sup_PUA_b}', "");
    Expect(1, 1, '\p{^- sup_PUA_b}', "");
    Expect(1, 1, '\P{- sup_PUA_b}', "");
    Expect(0, 1, '\P{^- sup_PUA_b}', "");
    Error('\p{-is_sup_pua_B/a/}');
    Error('\P{-is_sup_pua_B/a/}');
    Expect(1, 1048576, '\p{issuppuab}', "");
    Expect(0, 1048576, '\p{^issuppuab}', "");
    Expect(0, 1048576, '\P{issuppuab}', "");
    Expect(1, 1048576, '\P{^issuppuab}', "");
    Expect(0, 1, '\p{issuppuab}', "");
    Expect(1, 1, '\p{^issuppuab}', "");
    Expect(1, 1, '\P{issuppuab}', "");
    Expect(0, 1, '\P{^issuppuab}', "");
    Expect(1, 1048576, '\p{--Is_Sup_PUA_B}', "");
    Expect(0, 1048576, '\p{^--Is_Sup_PUA_B}', "");
    Expect(0, 1048576, '\P{--Is_Sup_PUA_B}', "");
    Expect(1, 1048576, '\P{^--Is_Sup_PUA_B}', "");
    Expect(0, 1, '\p{--Is_Sup_PUA_B}', "");
    Expect(1, 1, '\p{^--Is_Sup_PUA_B}', "");
    Expect(1, 1, '\P{--Is_Sup_PUA_B}', "");
    Expect(0, 1, '\P{^--Is_Sup_PUA_B}', "");
    Error('\p{ :=In_Sup_PUA_b}');
    Error('\P{ :=In_Sup_PUA_b}');
    Expect(1, 1048576, '\p{insuppuab}', "");
    Expect(0, 1048576, '\p{^insuppuab}', "");
    Expect(0, 1048576, '\P{insuppuab}', "");
    Expect(1, 1048576, '\P{^insuppuab}', "");
    Expect(0, 1, '\p{insuppuab}', "");
    Expect(1, 1, '\p{^insuppuab}', "");
    Expect(1, 1, '\P{insuppuab}', "");
    Expect(0, 1, '\P{^insuppuab}', "");
    Expect(1, 1048576, '\p{ 	In_Sup_PUA_B}', "");
    Expect(0, 1048576, '\p{^ 	In_Sup_PUA_B}', "");
    Expect(0, 1048576, '\P{ 	In_Sup_PUA_B}', "");
    Expect(1, 1048576, '\P{^ 	In_Sup_PUA_B}', "");
    Expect(0, 1, '\p{ 	In_Sup_PUA_B}', "");
    Expect(1, 1, '\p{^ 	In_Sup_PUA_B}', "");
    Expect(1, 1, '\P{ 	In_Sup_PUA_B}', "");
    Expect(0, 1, '\P{^ 	In_Sup_PUA_B}', "");
    Error('\p{	-SURROGATE/a/}');
    Error('\P{	-SURROGATE/a/}');
    Expect(1, 57343, '\p{surrogate}', "");
    Expect(0, 57343, '\p{^surrogate}', "");
    Expect(0, 57343, '\P{surrogate}', "");
    Expect(1, 57343, '\P{^surrogate}', "");
    Expect(0, 57344, '\p{surrogate}', "");
    Expect(1, 57344, '\p{^surrogate}', "");
    Expect(1, 57344, '\P{surrogate}', "");
    Expect(0, 57344, '\P{^surrogate}', "");
    Expect(1, 57343, '\p{__Surrogate}', "");
    Expect(0, 57343, '\p{^__Surrogate}', "");
    Expect(0, 57343, '\P{__Surrogate}', "");
    Expect(1, 57343, '\P{^__Surrogate}', "");
    Expect(0, 57344, '\p{__Surrogate}', "");
    Expect(1, 57344, '\p{^__Surrogate}', "");
    Expect(1, 57344, '\P{__Surrogate}', "");
    Expect(0, 57344, '\P{^__Surrogate}', "");
    Error('\p{ :=IS_Surrogate}');
    Error('\P{ :=IS_Surrogate}');
    Expect(1, 57343, '\p{issurrogate}', "");
    Expect(0, 57343, '\p{^issurrogate}', "");
    Expect(0, 57343, '\P{issurrogate}', "");
    Expect(1, 57343, '\P{^issurrogate}', "");
    Expect(0, 57344, '\p{issurrogate}', "");
    Expect(1, 57344, '\p{^issurrogate}', "");
    Expect(1, 57344, '\P{issurrogate}', "");
    Expect(0, 57344, '\P{^issurrogate}', "");
    Expect(1, 57343, '\p{_Is_surrogate}', "");
    Expect(0, 57343, '\p{^_Is_surrogate}', "");
    Expect(0, 57343, '\P{_Is_surrogate}', "");
    Expect(1, 57343, '\P{^_Is_surrogate}', "");
    Expect(0, 57344, '\p{_Is_surrogate}', "");
    Expect(1, 57344, '\p{^_Is_surrogate}', "");
    Expect(1, 57344, '\P{_Is_surrogate}', "");
    Expect(0, 57344, '\P{^_Is_surrogate}', "");
    Error('\p{	/a/Cs}');
    Error('\P{	/a/Cs}');
    Expect(1, 57343, '\p{cs}', "");
    Expect(0, 57343, '\p{^cs}', "");
    Expect(0, 57343, '\P{cs}', "");
    Expect(1, 57343, '\P{^cs}', "");
    Expect(0, 57344, '\p{cs}', "");
    Expect(1, 57344, '\p{^cs}', "");
    Expect(1, 57344, '\P{cs}', "");
    Expect(0, 57344, '\P{^cs}', "");
    Expect(1, 57343, '\p{	-cs}', "");
    Expect(0, 57343, '\p{^	-cs}', "");
    Expect(0, 57343, '\P{	-cs}', "");
    Expect(1, 57343, '\P{^	-cs}', "");
    Expect(0, 57344, '\p{	-cs}', "");
    Expect(1, 57344, '\p{^	-cs}', "");
    Expect(1, 57344, '\P{	-cs}', "");
    Expect(0, 57344, '\P{^	-cs}', "");
    Error('\p{ _Is_CS:=}');
    Error('\P{ _Is_CS:=}');
    Expect(1, 57343, '\p{iscs}', "");
    Expect(0, 57343, '\p{^iscs}', "");
    Expect(0, 57343, '\P{iscs}', "");
    Expect(1, 57343, '\P{^iscs}', "");
    Expect(0, 57344, '\p{iscs}', "");
    Expect(1, 57344, '\p{^iscs}', "");
    Expect(1, 57344, '\P{iscs}', "");
    Expect(0, 57344, '\P{^iscs}', "");
    Expect(1, 57343, '\p{__IS_CS}', "");
    Expect(0, 57343, '\p{^__IS_CS}', "");
    Expect(0, 57343, '\P{__IS_CS}', "");
    Expect(1, 57343, '\P{^__IS_CS}', "");
    Expect(0, 57344, '\p{__IS_CS}', "");
    Expect(1, 57344, '\p{^__IS_CS}', "");
    Expect(1, 57344, '\P{__IS_CS}', "");
    Expect(0, 57344, '\P{^__IS_CS}', "");
    Error('\p{/a/-_Sutton_SignWriting}');
    Error('\P{/a/-_Sutton_SignWriting}');
    Expect(1, 121519, '\p{suttonsignwriting}', "");
    Expect(0, 121519, '\p{^suttonsignwriting}', "");
    Expect(0, 121519, '\P{suttonsignwriting}', "");
    Expect(1, 121519, '\P{^suttonsignwriting}', "");
    Expect(0, 121520, '\p{suttonsignwriting}', "");
    Expect(1, 121520, '\p{^suttonsignwriting}', "");
    Expect(1, 121520, '\P{suttonsignwriting}', "");
    Expect(0, 121520, '\P{^suttonsignwriting}', "");
    Expect(1, 121519, '\p{ sutton_SignWriting}', "");
    Expect(0, 121519, '\p{^ sutton_SignWriting}', "");
    Expect(0, 121519, '\P{ sutton_SignWriting}', "");
    Expect(1, 121519, '\P{^ sutton_SignWriting}', "");
    Expect(0, 121520, '\p{ sutton_SignWriting}', "");
    Expect(1, 121520, '\p{^ sutton_SignWriting}', "");
    Expect(1, 121520, '\P{ sutton_SignWriting}', "");
    Expect(0, 121520, '\P{^ sutton_SignWriting}', "");
    Error('\p{/a/	 is_sutton_SignWriting}');
    Error('\P{/a/	 is_sutton_SignWriting}');
    Expect(1, 121519, '\p{issuttonsignwriting}', "");
    Expect(0, 121519, '\p{^issuttonsignwriting}', "");
    Expect(0, 121519, '\P{issuttonsignwriting}', "");
    Expect(1, 121519, '\P{^issuttonsignwriting}', "");
    Expect(0, 121520, '\p{issuttonsignwriting}', "");
    Expect(1, 121520, '\p{^issuttonsignwriting}', "");
    Expect(1, 121520, '\P{issuttonsignwriting}', "");
    Expect(0, 121520, '\P{^issuttonsignwriting}', "");
    Expect(1, 121519, '\p{	is_Sutton_SignWriting}', "");
    Expect(0, 121519, '\p{^	is_Sutton_SignWriting}', "");
    Expect(0, 121519, '\P{	is_Sutton_SignWriting}', "");
    Expect(1, 121519, '\P{^	is_Sutton_SignWriting}', "");
    Expect(0, 121520, '\p{	is_Sutton_SignWriting}', "");
    Expect(1, 121520, '\p{^	is_Sutton_SignWriting}', "");
    Expect(1, 121520, '\P{	is_Sutton_SignWriting}', "");
    Expect(0, 121520, '\P{^	is_Sutton_SignWriting}', "");
    Error('\p{_-in_Sutton_SIGNWRITING:=}');
    Error('\P{_-in_Sutton_SIGNWRITING:=}');
    Expect(1, 121519, '\p{insuttonsignwriting}', "");
    Expect(0, 121519, '\p{^insuttonsignwriting}', "");
    Expect(0, 121519, '\P{insuttonsignwriting}', "");
    Expect(1, 121519, '\P{^insuttonsignwriting}', "");
    Expect(0, 121520, '\p{insuttonsignwriting}', "");
    Expect(1, 121520, '\p{^insuttonsignwriting}', "");
    Expect(1, 121520, '\P{insuttonsignwriting}', "");
    Expect(0, 121520, '\P{^insuttonsignwriting}', "");
    Expect(1, 121519, '\p{_ In_SUTTON_SignWriting}', "");
    Expect(0, 121519, '\p{^_ In_SUTTON_SignWriting}', "");
    Expect(0, 121519, '\P{_ In_SUTTON_SignWriting}', "");
    Expect(1, 121519, '\P{^_ In_SUTTON_SignWriting}', "");
    Expect(0, 121520, '\p{_ In_SUTTON_SignWriting}', "");
    Expect(1, 121520, '\p{^_ In_SUTTON_SignWriting}', "");
    Expect(1, 121520, '\P{_ In_SUTTON_SignWriting}', "");
    Expect(0, 121520, '\P{^_ In_SUTTON_SignWriting}', "");
    Error('\p{/a/ SYLOTI_Nagri}');
    Error('\P{/a/ SYLOTI_Nagri}');
    Expect(1, 43052, '\p{sylotinagri}', "");
    Expect(0, 43052, '\p{^sylotinagri}', "");
    Expect(0, 43052, '\P{sylotinagri}', "");
    Expect(1, 43052, '\P{^sylotinagri}', "");
    Expect(0, 43053, '\p{sylotinagri}', "");
    Expect(1, 43053, '\p{^sylotinagri}', "");
    Expect(1, 43053, '\P{sylotinagri}', "");
    Expect(0, 43053, '\P{^sylotinagri}', "");
    Expect(1, 43052, '\p{ _SYLOTI_nagri}', "");
    Expect(0, 43052, '\p{^ _SYLOTI_nagri}', "");
    Expect(0, 43052, '\P{ _SYLOTI_nagri}', "");
    Expect(1, 43052, '\P{^ _SYLOTI_nagri}', "");
    Expect(0, 43053, '\p{ _SYLOTI_nagri}', "");
    Expect(1, 43053, '\p{^ _SYLOTI_nagri}', "");
    Expect(1, 43053, '\P{ _SYLOTI_nagri}', "");
    Expect(0, 43053, '\P{^ _SYLOTI_nagri}', "");
    Error('\p{ /a/Is_syloti_nagri}');
    Error('\P{ /a/Is_syloti_nagri}');
    Expect(1, 43052, '\p{issylotinagri}', "");
    Expect(0, 43052, '\p{^issylotinagri}', "");
    Expect(0, 43052, '\P{issylotinagri}', "");
    Expect(1, 43052, '\P{^issylotinagri}', "");
    Expect(0, 43053, '\p{issylotinagri}', "");
    Expect(1, 43053, '\p{^issylotinagri}', "");
    Expect(1, 43053, '\P{issylotinagri}', "");
    Expect(0, 43053, '\P{^issylotinagri}', "");
    Expect(1, 43052, '\p{-	is_syloti_nagri}', "");
    Expect(0, 43052, '\p{^-	is_syloti_nagri}', "");
    Expect(0, 43052, '\P{-	is_syloti_nagri}', "");
    Expect(1, 43052, '\P{^-	is_syloti_nagri}', "");
    Expect(0, 43053, '\p{-	is_syloti_nagri}', "");
    Expect(1, 43053, '\p{^-	is_syloti_nagri}', "");
    Expect(1, 43053, '\P{-	is_syloti_nagri}', "");
    Expect(0, 43053, '\P{^-	is_syloti_nagri}', "");
    Error('\p{:= Sylo}');
    Error('\P{:= Sylo}');
    Expect(1, 43052, '\p{sylo}', "");
    Expect(0, 43052, '\p{^sylo}', "");
    Expect(0, 43052, '\P{sylo}', "");
    Expect(1, 43052, '\P{^sylo}', "");
    Expect(0, 43053, '\p{sylo}', "");
    Expect(1, 43053, '\p{^sylo}', "");
    Expect(1, 43053, '\P{sylo}', "");
    Expect(0, 43053, '\P{^sylo}', "");
    Expect(1, 43052, '\p{--Sylo}', "");
    Expect(0, 43052, '\p{^--Sylo}', "");
    Expect(0, 43052, '\P{--Sylo}', "");
    Expect(1, 43052, '\P{^--Sylo}', "");
    Expect(0, 43053, '\p{--Sylo}', "");
    Expect(1, 43053, '\p{^--Sylo}', "");
    Expect(1, 43053, '\P{--Sylo}', "");
    Expect(0, 43053, '\P{^--Sylo}', "");
    Error('\p{:=-_is_Sylo}');
    Error('\P{:=-_is_Sylo}');
    Expect(1, 43052, '\p{issylo}', "");
    Expect(0, 43052, '\p{^issylo}', "");
    Expect(0, 43052, '\P{issylo}', "");
    Expect(1, 43052, '\P{^issylo}', "");
    Expect(0, 43053, '\p{issylo}', "");
    Expect(1, 43053, '\p{^issylo}', "");
    Expect(1, 43053, '\P{issylo}', "");
    Expect(0, 43053, '\P{^issylo}', "");
    Expect(1, 43052, '\p{	_is_Sylo}', "");
    Expect(0, 43052, '\p{^	_is_Sylo}', "");
    Expect(0, 43052, '\P{	_is_Sylo}', "");
    Expect(1, 43052, '\P{^	_is_Sylo}', "");
    Expect(0, 43053, '\p{	_is_Sylo}', "");
    Expect(1, 43053, '\p{^	_is_Sylo}', "");
    Expect(1, 43053, '\P{	_is_Sylo}', "");
    Expect(0, 43053, '\P{^	_is_Sylo}', "");
    Error('\p{:=	Symbol}');
    Error('\P{:=	Symbol}');
    Expect(1, 129994, '\p{symbol}', "");
    Expect(0, 129994, '\p{^symbol}', "");
    Expect(0, 129994, '\P{symbol}', "");
    Expect(1, 129994, '\P{^symbol}', "");
    Expect(0, 129995, '\p{symbol}', "");
    Expect(1, 129995, '\p{^symbol}', "");
    Expect(1, 129995, '\P{symbol}', "");
    Expect(0, 129995, '\P{^symbol}', "");
    Expect(1, 129994, '\p{-_Symbol}', "");
    Expect(0, 129994, '\p{^-_Symbol}', "");
    Expect(0, 129994, '\P{-_Symbol}', "");
    Expect(1, 129994, '\P{^-_Symbol}', "");
    Expect(0, 129995, '\p{-_Symbol}', "");
    Expect(1, 129995, '\p{^-_Symbol}', "");
    Expect(1, 129995, '\P{-_Symbol}', "");
    Expect(0, 129995, '\P{^-_Symbol}', "");
    Error('\p{- Is_symbol/a/}');
    Error('\P{- Is_symbol/a/}');
    Expect(1, 129994, '\p{issymbol}', "");
    Expect(0, 129994, '\p{^issymbol}', "");
    Expect(0, 129994, '\P{issymbol}', "");
    Expect(1, 129994, '\P{^issymbol}', "");
    Expect(0, 129995, '\p{issymbol}', "");
    Expect(1, 129995, '\p{^issymbol}', "");
    Expect(1, 129995, '\P{issymbol}', "");
    Expect(0, 129995, '\P{^issymbol}', "");
    Expect(1, 129994, '\p{_ IS_Symbol}', "");
    Expect(0, 129994, '\p{^_ IS_Symbol}', "");
    Expect(0, 129994, '\P{_ IS_Symbol}', "");
    Expect(1, 129994, '\P{^_ IS_Symbol}', "");
    Expect(0, 129995, '\p{_ IS_Symbol}', "");
    Expect(1, 129995, '\p{^_ IS_Symbol}', "");
    Expect(1, 129995, '\P{_ IS_Symbol}', "");
    Expect(0, 129995, '\P{^_ IS_Symbol}', "");
    Error('\p{:=	s}');
    Error('\P{:=	s}');
    Expect(1, 129994, '\p{s}', "");
    Expect(0, 129994, '\p{^s}', "");
    Expect(0, 129994, '\P{s}', "");
    Expect(1, 129994, '\P{^s}', "");
    Expect(0, 129995, '\p{s}', "");
    Expect(1, 129995, '\p{^s}', "");
    Expect(1, 129995, '\P{s}', "");
    Expect(0, 129995, '\P{^s}', "");
    Expect(1, 129994, '\p{	_S}', "");
    Expect(0, 129994, '\p{^	_S}', "");
    Expect(0, 129994, '\P{	_S}', "");
    Expect(1, 129994, '\P{^	_S}', "");
    Expect(0, 129995, '\p{	_S}', "");
    Expect(1, 129995, '\p{^	_S}', "");
    Expect(1, 129995, '\P{	_S}', "");
    Expect(0, 129995, '\P{^	_S}', "");
    Error('\p{_	IS_S:=}');
    Error('\P{_	IS_S:=}');
    Expect(1, 129994, '\p{iss}', "");
    Expect(0, 129994, '\p{^iss}', "");
    Expect(0, 129994, '\P{iss}', "");
    Expect(1, 129994, '\P{^iss}', "");
    Expect(0, 129995, '\p{iss}', "");
    Expect(1, 129995, '\p{^iss}', "");
    Expect(1, 129995, '\P{iss}', "");
    Expect(0, 129995, '\P{^iss}', "");
    Expect(1, 129994, '\p{	 is_s}', "");
    Expect(0, 129994, '\p{^	 is_s}', "");
    Expect(0, 129994, '\P{	 is_s}', "");
    Expect(1, 129994, '\P{^	 is_s}', "");
    Expect(0, 129995, '\p{	 is_s}', "");
    Expect(1, 129995, '\p{^	 is_s}', "");
    Expect(1, 129995, '\P{	 is_s}', "");
    Expect(0, 129995, '\P{^	 is_s}', "");
    Error('\p{	/a/symbols_and_Pictographs_Extended_A}');
    Error('\P{	/a/symbols_and_Pictographs_Extended_A}');
    Expect(1, 129791, '\p{symbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\p{^symbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\P{symbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\P{^symbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\p{symbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\p{^symbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\P{symbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\P{^symbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\p{__Symbols_And_Pictographs_extended_A}', "");
    Expect(0, 129791, '\p{^__Symbols_And_Pictographs_extended_A}', "");
    Expect(0, 129791, '\P{__Symbols_And_Pictographs_extended_A}', "");
    Expect(1, 129791, '\P{^__Symbols_And_Pictographs_extended_A}', "");
    Expect(0, 129792, '\p{__Symbols_And_Pictographs_extended_A}', "");
    Expect(1, 129792, '\p{^__Symbols_And_Pictographs_extended_A}', "");
    Expect(1, 129792, '\P{__Symbols_And_Pictographs_extended_A}', "");
    Expect(0, 129792, '\P{^__Symbols_And_Pictographs_extended_A}', "");
    Error('\p{:=	is_symbols_and_PICTOGRAPHS_Extended_A}');
    Error('\P{:=	is_symbols_and_PICTOGRAPHS_Extended_A}');
    Expect(1, 129791, '\p{issymbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\p{^issymbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\P{issymbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\P{^issymbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\p{issymbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\p{^issymbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\P{issymbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\P{^issymbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\p{--IS_symbols_AND_Pictographs_extended_a}', "");
    Expect(0, 129791, '\p{^--IS_symbols_AND_Pictographs_extended_a}', "");
    Expect(0, 129791, '\P{--IS_symbols_AND_Pictographs_extended_a}', "");
    Expect(1, 129791, '\P{^--IS_symbols_AND_Pictographs_extended_a}', "");
    Expect(0, 129792, '\p{--IS_symbols_AND_Pictographs_extended_a}', "");
    Expect(1, 129792, '\p{^--IS_symbols_AND_Pictographs_extended_a}', "");
    Expect(1, 129792, '\P{--IS_symbols_AND_Pictographs_extended_a}', "");
    Expect(0, 129792, '\P{^--IS_symbols_AND_Pictographs_extended_a}', "");
    Error('\p{_/a/In_Symbols_and_pictographs_EXTENDED_A}');
    Error('\P{_/a/In_Symbols_and_pictographs_EXTENDED_A}');
    Expect(1, 129791, '\p{insymbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\p{^insymbolsandpictographsextendeda}', "");
    Expect(0, 129791, '\P{insymbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\P{^insymbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\p{insymbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\p{^insymbolsandpictographsextendeda}', "");
    Expect(1, 129792, '\P{insymbolsandpictographsextendeda}', "");
    Expect(0, 129792, '\P{^insymbolsandpictographsextendeda}', "");
    Expect(1, 129791, '\p{ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Expect(0, 129791, '\p{^ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Expect(0, 129791, '\P{ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Expect(1, 129791, '\P{^ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Expect(0, 129792, '\p{ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Expect(1, 129792, '\p{^ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Expect(1, 129792, '\P{ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Expect(0, 129792, '\P{^ in_SYMBOLS_and_pictographs_EXTENDED_A}', "");
    Error('\p{-/a/SYMBOLS_And_PICTOGRAPHS_EXT_A}');
    Error('\P{-/a/SYMBOLS_And_PICTOGRAPHS_EXT_A}');
    Expect(1, 129791, '\p{symbolsandpictographsexta}', "");
    Expect(0, 129791, '\p{^symbolsandpictographsexta}', "");
    Expect(0, 129791, '\P{symbolsandpictographsexta}', "");
    Expect(1, 129791, '\P{^symbolsandpictographsexta}', "");
    Expect(0, 129792, '\p{symbolsandpictographsexta}', "");
    Expect(1, 129792, '\p{^symbolsandpictographsexta}', "");
    Expect(1, 129792, '\P{symbolsandpictographsexta}', "");
    Expect(0, 129792, '\P{^symbolsandpictographsexta}', "");
    Expect(1, 129791, '\p{		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Expect(0, 129791, '\p{^		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Expect(0, 129791, '\P{		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Expect(1, 129791, '\P{^		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Expect(0, 129792, '\p{		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Expect(1, 129792, '\p{^		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Expect(1, 129792, '\P{		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Expect(0, 129792, '\P{^		symbols_And_PICTOGRAPHS_Ext_A}', "");
    Error('\p{	/a/Is_Symbols_And_pictographs_ext_A}');
    Error('\P{	/a/Is_Symbols_And_pictographs_ext_A}');
    Expect(1, 129791, '\p{issymbolsandpictographsexta}', "");
    Expect(0, 129791, '\p{^issymbolsandpictographsexta}', "");
    Expect(0, 129791, '\P{issymbolsandpictographsexta}', "");
    Expect(1, 129791, '\P{^issymbolsandpictographsexta}', "");
    Expect(0, 129792, '\p{issymbolsandpictographsexta}', "");
    Expect(1, 129792, '\p{^issymbolsandpictographsexta}', "");
    Expect(1, 129792, '\P{issymbolsandpictographsexta}', "");
    Expect(0, 129792, '\P{^issymbolsandpictographsexta}', "");
    Expect(1, 129791, '\p{ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Expect(0, 129791, '\p{^ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Expect(0, 129791, '\P{ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Expect(1, 129791, '\P{^ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Expect(0, 129792, '\p{ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Expect(1, 129792, '\p{^ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Expect(1, 129792, '\P{ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Expect(0, 129792, '\P{^ -IS_Symbols_AND_Pictographs_Ext_a}', "");
    Error('\p{	In_Symbols_And_pictographs_EXT_a/a/}');
    Error('\P{	In_Symbols_And_pictographs_EXT_a/a/}');
    Expect(1, 129791, '\p{insymbolsandpictographsexta}', "");
    Expect(0, 129791, '\p{^insymbolsandpictographsexta}', "");
    Expect(0, 129791, '\P{insymbolsandpictographsexta}', "");
    Expect(1, 129791, '\P{^insymbolsandpictographsexta}', "");
    Expect(0, 129792, '\p{insymbolsandpictographsexta}', "");
    Expect(1, 129792, '\p{^insymbolsandpictographsexta}', "");
    Expect(1, 129792, '\P{insymbolsandpictographsexta}', "");
    Expect(0, 129792, '\P{^insymbolsandpictographsexta}', "");
    Expect(1, 129791, '\p{		In_Symbols_And_Pictographs_ext_A}', "");
    Expect(0, 129791, '\p{^		In_Symbols_And_Pictographs_ext_A}', "");
    Expect(0, 129791, '\P{		In_Symbols_And_Pictographs_ext_A}', "");
    Expect(1, 129791, '\P{^		In_Symbols_And_Pictographs_ext_A}', "");
    Expect(0, 129792, '\p{		In_Symbols_And_Pictographs_ext_A}', "");
    Expect(1, 129792, '\p{^		In_Symbols_And_Pictographs_ext_A}', "");
    Expect(1, 129792, '\P{		In_Symbols_And_Pictographs_ext_A}', "");
    Expect(0, 129792, '\P{^		In_Symbols_And_Pictographs_ext_A}', "");
    Error('\p{ Symbols_For_Legacy_Computing:=}');
    Error('\P{ Symbols_For_Legacy_Computing:=}');
    Expect(1, 130047, '\p{symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\p{^symbolsforlegacycomputing}', "");
    Expect(0, 130047, '\P{symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\P{^symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\p{symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\p{^symbolsforlegacycomputing}', "");
    Expect(1, 130048, '\P{symbolsforlegacycomputing}', "");
    Expect(0, 130048, '\P{^symbolsforlegacycomputing}', "");
    Expect(1, 130047, '\p{	-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130047, '\p{^	-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130047, '\P{	-Symbols_For_Legacy_Computing}', "");
    Expect(1, 130047, '\P{^	-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130048, '\p{	-Symbols_For_Legacy_Computing}', "");
    Expect(1, 130048, '\p{^	-Symbols_For_Legacy_Computing}', "");
    Expect(1, 130048, '\P{	-Symbols_For_Legacy_Computing}', "");
    Expect(0, 130048, '\P{^	-Symbols_For_Legacy_Computing}', "");
    Error('\p{:=Is_SYMBOLS_For_Legacy_COMPUTING}');
    Error('\P{:=Is_SYMBOLS_For_Legacy_COMPUTING}');
    Expect(1, 130047, '\p{issymbolsforlegacycomputing}', "");
    Expect(0, 130047, '\p{^issymbolsforlegacycomputing}', "");
    Expect(0, 130047, '\P{issymbolsforlegacycomputing}', "");
    Expect(1, 130047, '\P{^issymbolsforlegacycomputing}', "");
    Expect(0, 130048, '\p{issymbolsforlegacycomputing}', "");
    Expect(1, 130048, '\p{^issymbolsforlegacycomputing}', "");
    Expect(1, 130048, '\P{issymbolsforlegacycomputing}', "");
    Expect(0, 130048, '\P{^issymbolsforlegacycomputing}', "");
    Expect(1, 130047, '\p{-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Expect(0, 130047, '\p{^-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Expect(0, 130047, '\P{-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Expect(1, 130047, '\P{^-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Expect(0, 130048, '\p{-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Expect(1, 130048, '\p{^-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Expect(1, 130048, '\P{-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Expect(0, 130048, '\P{^-Is_SYMBOLS_FOR_legacy_Computing}', "");
    Error('\p{	:=in_symbols_For_Legacy_Computing}');
    Error('\P{	:=in_symbols_For_Legacy_Computing}');
    Expect(1, 130047, '\p{insymbolsforlegacycomputing}', "");
    Expect(0, 130047, '\p{^insymbolsforlegacycomputing}', "");
    Expect(0, 130047, '\P{insymbolsforlegacycomputing}', "");
    Expect(1, 130047, '\P{^insymbolsforlegacycomputing}', "");
    Expect(0, 130048, '\p{insymbolsforlegacycomputing}', "");
    Expect(1, 130048, '\p{^insymbolsforlegacycomputing}', "");
    Expect(1, 130048, '\P{insymbolsforlegacycomputing}', "");
    Expect(0, 130048, '\P{^insymbolsforlegacycomputing}', "");
    Expect(1, 130047, '\p{ In_Symbols_For_legacy_Computing}', "");
    Expect(0, 130047, '\p{^ In_Symbols_For_legacy_Computing}', "");
    Expect(0, 130047, '\P{ In_Symbols_For_legacy_Computing}', "");
    Expect(1, 130047, '\P{^ In_Symbols_For_legacy_Computing}', "");
    Expect(0, 130048, '\p{ In_Symbols_For_legacy_Computing}', "");
    Expect(1, 130048, '\p{^ In_Symbols_For_legacy_Computing}', "");
    Expect(1, 130048, '\P{ In_Symbols_For_legacy_Computing}', "");
    Expect(0, 130048, '\P{^ In_Symbols_For_legacy_Computing}', "");
    Error('\p{/a/- Syriac}');
    Error('\P{/a/- Syriac}');
    Expect(1, 7674, '\p{syriac}', "");
    Expect(0, 7674, '\p{^syriac}', "");
    Expect(0, 7674, '\P{syriac}', "");
    Expect(1, 7674, '\P{^syriac}', "");
    Expect(0, 7675, '\p{syriac}', "");
    Expect(1, 7675, '\p{^syriac}', "");
    Expect(1, 7675, '\P{syriac}', "");
    Expect(0, 7675, '\P{^syriac}', "");
    Expect(1, 7674, '\p{--syriac}', "");
    Expect(0, 7674, '\p{^--syriac}', "");
    Expect(0, 7674, '\P{--syriac}', "");
    Expect(1, 7674, '\P{^--syriac}', "");
    Expect(0, 7675, '\p{--syriac}', "");
    Expect(1, 7675, '\p{^--syriac}', "");
    Expect(1, 7675, '\P{--syriac}', "");
    Expect(0, 7675, '\P{^--syriac}', "");
    Error('\p{ -is_SYRIAC/a/}');
    Error('\P{ -is_SYRIAC/a/}');
    Expect(1, 7674, '\p{issyriac}', "");
    Expect(0, 7674, '\p{^issyriac}', "");
    Expect(0, 7674, '\P{issyriac}', "");
    Expect(1, 7674, '\P{^issyriac}', "");
    Expect(0, 7675, '\p{issyriac}', "");
    Expect(1, 7675, '\p{^issyriac}', "");
    Expect(1, 7675, '\P{issyriac}', "");
    Expect(0, 7675, '\P{^issyriac}', "");
    Expect(1, 7674, '\p{	_is_Syriac}', "");
    Expect(0, 7674, '\p{^	_is_Syriac}', "");
    Expect(0, 7674, '\P{	_is_Syriac}', "");
    Expect(1, 7674, '\P{^	_is_Syriac}', "");
    Expect(0, 7675, '\p{	_is_Syriac}', "");
    Expect(1, 7675, '\p{^	_is_Syriac}', "");
    Expect(1, 7675, '\P{	_is_Syriac}', "");
    Expect(0, 7675, '\P{^	_is_Syriac}', "");
    Error('\p{	_SYRC:=}');
    Error('\P{	_SYRC:=}');
    Expect(1, 7674, '\p{syrc}', "");
    Expect(0, 7674, '\p{^syrc}', "");
    Expect(0, 7674, '\P{syrc}', "");
    Expect(1, 7674, '\P{^syrc}', "");
    Expect(0, 7675, '\p{syrc}', "");
    Expect(1, 7675, '\p{^syrc}', "");
    Expect(1, 7675, '\P{syrc}', "");
    Expect(0, 7675, '\P{^syrc}', "");
    Expect(1, 7674, '\p{SYRC}', "");
    Expect(0, 7674, '\p{^SYRC}', "");
    Expect(0, 7674, '\P{SYRC}', "");
    Expect(1, 7674, '\P{^SYRC}', "");
    Expect(0, 7675, '\p{SYRC}', "");
    Expect(1, 7675, '\p{^SYRC}', "");
    Expect(1, 7675, '\P{SYRC}', "");
    Expect(0, 7675, '\P{^SYRC}', "");
    Error('\p{_/a/Is_SYRC}');
    Error('\P{_/a/Is_SYRC}');
    Expect(1, 7674, '\p{issyrc}', "");
    Expect(0, 7674, '\p{^issyrc}', "");
    Expect(0, 7674, '\P{issyrc}', "");
    Expect(1, 7674, '\P{^issyrc}', "");
    Expect(0, 7675, '\p{issyrc}', "");
    Expect(1, 7675, '\p{^issyrc}', "");
    Expect(1, 7675, '\P{issyrc}', "");
    Expect(0, 7675, '\P{^issyrc}', "");
    Expect(1, 7674, '\p{ _Is_SYRC}', "");
    Expect(0, 7674, '\p{^ _Is_SYRC}', "");
    Expect(0, 7674, '\P{ _Is_SYRC}', "");
    Expect(1, 7674, '\P{^ _Is_SYRC}', "");
    Expect(0, 7675, '\p{ _Is_SYRC}', "");
    Expect(1, 7675, '\p{^ _Is_SYRC}', "");
    Expect(1, 7675, '\P{ _Is_SYRC}', "");
    Expect(0, 7675, '\P{^ _Is_SYRC}', "");
    Error('\p{:=	SYRIAC_Supplement}');
    Error('\P{:=	SYRIAC_Supplement}');
    Expect(1, 2159, '\p{syriacsupplement}', "");
    Expect(0, 2159, '\p{^syriacsupplement}', "");
    Expect(0, 2159, '\P{syriacsupplement}', "");
    Expect(1, 2159, '\P{^syriacsupplement}', "");
    Expect(0, 2160, '\p{syriacsupplement}', "");
    Expect(1, 2160, '\p{^syriacsupplement}', "");
    Expect(1, 2160, '\P{syriacsupplement}', "");
    Expect(0, 2160, '\P{^syriacsupplement}', "");
    Expect(1, 2159, '\p{_-Syriac_supplement}', "");
    Expect(0, 2159, '\p{^_-Syriac_supplement}', "");
    Expect(0, 2159, '\P{_-Syriac_supplement}', "");
    Expect(1, 2159, '\P{^_-Syriac_supplement}', "");
    Expect(0, 2160, '\p{_-Syriac_supplement}', "");
    Expect(1, 2160, '\p{^_-Syriac_supplement}', "");
    Expect(1, 2160, '\P{_-Syriac_supplement}', "");
    Expect(0, 2160, '\P{^_-Syriac_supplement}', "");
    Error('\p{ /a/is_Syriac_SUPPLEMENT}');
    Error('\P{ /a/is_Syriac_SUPPLEMENT}');
    Expect(1, 2159, '\p{issyriacsupplement}', "");
    Expect(0, 2159, '\p{^issyriacsupplement}', "");
    Expect(0, 2159, '\P{issyriacsupplement}', "");
    Expect(1, 2159, '\P{^issyriacsupplement}', "");
    Expect(0, 2160, '\p{issyriacsupplement}', "");
    Expect(1, 2160, '\p{^issyriacsupplement}', "");
    Expect(1, 2160, '\P{issyriacsupplement}', "");
    Expect(0, 2160, '\P{^issyriacsupplement}', "");
    Expect(1, 2159, '\p{--is_Syriac_Supplement}', "");
    Expect(0, 2159, '\p{^--is_Syriac_Supplement}', "");
    Expect(0, 2159, '\P{--is_Syriac_Supplement}', "");
    Expect(1, 2159, '\P{^--is_Syriac_Supplement}', "");
    Expect(0, 2160, '\p{--is_Syriac_Supplement}', "");
    Expect(1, 2160, '\p{^--is_Syriac_Supplement}', "");
    Expect(1, 2160, '\P{--is_Syriac_Supplement}', "");
    Expect(0, 2160, '\P{^--is_Syriac_Supplement}', "");
    Error('\p{/a/in_syriac_Supplement}');
    Error('\P{/a/in_syriac_Supplement}');
    Expect(1, 2159, '\p{insyriacsupplement}', "");
    Expect(0, 2159, '\p{^insyriacsupplement}', "");
    Expect(0, 2159, '\P{insyriacsupplement}', "");
    Expect(1, 2159, '\P{^insyriacsupplement}', "");
    Expect(0, 2160, '\p{insyriacsupplement}', "");
    Expect(1, 2160, '\p{^insyriacsupplement}', "");
    Expect(1, 2160, '\P{insyriacsupplement}', "");
    Expect(0, 2160, '\P{^insyriacsupplement}', "");
    Expect(1, 2159, '\p{ _In_SYRIAC_Supplement}', "");
    Expect(0, 2159, '\p{^ _In_SYRIAC_Supplement}', "");
    Expect(0, 2159, '\P{ _In_SYRIAC_Supplement}', "");
    Expect(1, 2159, '\P{^ _In_SYRIAC_Supplement}', "");
    Expect(0, 2160, '\p{ _In_SYRIAC_Supplement}', "");
    Expect(1, 2160, '\p{^ _In_SYRIAC_Supplement}', "");
    Expect(1, 2160, '\P{ _In_SYRIAC_Supplement}', "");
    Expect(0, 2160, '\P{^ _In_SYRIAC_Supplement}', "");
    Error('\p{	/a/SYRIAC_sup}');
    Error('\P{	/a/SYRIAC_sup}');
    Expect(1, 2159, '\p{syriacsup}', "");
    Expect(0, 2159, '\p{^syriacsup}', "");
    Expect(0, 2159, '\P{syriacsup}', "");
    Expect(1, 2159, '\P{^syriacsup}', "");
    Expect(0, 2160, '\p{syriacsup}', "");
    Expect(1, 2160, '\p{^syriacsup}', "");
    Expect(1, 2160, '\P{syriacsup}', "");
    Expect(0, 2160, '\P{^syriacsup}', "");
    Expect(1, 2159, '\p{		Syriac_SUP}', "");
    Expect(0, 2159, '\p{^		Syriac_SUP}', "");
    Expect(0, 2159, '\P{		Syriac_SUP}', "");
    Expect(1, 2159, '\P{^		Syriac_SUP}', "");
    Expect(0, 2160, '\p{		Syriac_SUP}', "");
    Expect(1, 2160, '\p{^		Syriac_SUP}', "");
    Expect(1, 2160, '\P{		Syriac_SUP}', "");
    Expect(0, 2160, '\P{^		Syriac_SUP}', "");
    Error('\p{ /a/Is_syriac_sup}');
    Error('\P{ /a/Is_syriac_sup}');
    Expect(1, 2159, '\p{issyriacsup}', "");
    Expect(0, 2159, '\p{^issyriacsup}', "");
    Expect(0, 2159, '\P{issyriacsup}', "");
    Expect(1, 2159, '\P{^issyriacsup}', "");
    Expect(0, 2160, '\p{issyriacsup}', "");
    Expect(1, 2160, '\p{^issyriacsup}', "");
    Expect(1, 2160, '\P{issyriacsup}', "");
    Expect(0, 2160, '\P{^issyriacsup}', "");
    Expect(1, 2159, '\p{_-IS_syriac_Sup}', "");
    Expect(0, 2159, '\p{^_-IS_syriac_Sup}', "");
    Expect(0, 2159, '\P{_-IS_syriac_Sup}', "");
    Expect(1, 2159, '\P{^_-IS_syriac_Sup}', "");
    Expect(0, 2160, '\p{_-IS_syriac_Sup}', "");
    Expect(1, 2160, '\p{^_-IS_syriac_Sup}', "");
    Expect(1, 2160, '\P{_-IS_syriac_Sup}', "");
    Expect(0, 2160, '\P{^_-IS_syriac_Sup}', "");
    Error('\p{ In_Syriac_sup/a/}');
    Error('\P{ In_Syriac_sup/a/}');
    Expect(1, 2159, '\p{insyriacsup}', "");
    Expect(0, 2159, '\p{^insyriacsup}', "");
    Expect(0, 2159, '\P{insyriacsup}', "");
    Expect(1, 2159, '\P{^insyriacsup}', "");
    Expect(0, 2160, '\p{insyriacsup}', "");
    Expect(1, 2160, '\p{^insyriacsup}', "");
    Expect(1, 2160, '\P{insyriacsup}', "");
    Expect(0, 2160, '\P{^insyriacsup}', "");
    Expect(1, 2159, '\p{	In_Syriac_SUP}', "");
    Expect(0, 2159, '\p{^	In_Syriac_SUP}', "");
    Expect(0, 2159, '\P{	In_Syriac_SUP}', "");
    Expect(1, 2159, '\P{^	In_Syriac_SUP}', "");
    Expect(0, 2160, '\p{	In_Syriac_SUP}', "");
    Expect(1, 2160, '\p{^	In_Syriac_SUP}', "");
    Expect(1, 2160, '\P{	In_Syriac_SUP}', "");
    Expect(0, 2160, '\P{^	In_Syriac_SUP}', "");
    Error('\p{--TAGALOG/a/}');
    Error('\P{--TAGALOG/a/}');
    Expect(1, 5942, '\p{tagalog}', "");
    Expect(0, 5942, '\p{^tagalog}', "");
    Expect(0, 5942, '\P{tagalog}', "");
    Expect(1, 5942, '\P{^tagalog}', "");
    Expect(0, 5943, '\p{tagalog}', "");
    Expect(1, 5943, '\p{^tagalog}', "");
    Expect(1, 5943, '\P{tagalog}', "");
    Expect(0, 5943, '\P{^tagalog}', "");
    Expect(1, 5942, '\p{--Tagalog}', "");
    Expect(0, 5942, '\p{^--Tagalog}', "");
    Expect(0, 5942, '\P{--Tagalog}', "");
    Expect(1, 5942, '\P{^--Tagalog}', "");
    Expect(0, 5943, '\p{--Tagalog}', "");
    Expect(1, 5943, '\p{^--Tagalog}', "");
    Expect(1, 5943, '\P{--Tagalog}', "");
    Expect(0, 5943, '\P{^--Tagalog}', "");
    Error('\p{_/a/Is_Tagalog}');
    Error('\P{_/a/Is_Tagalog}');
    Expect(1, 5942, '\p{istagalog}', "");
    Expect(0, 5942, '\p{^istagalog}', "");
    Expect(0, 5942, '\P{istagalog}', "");
    Expect(1, 5942, '\P{^istagalog}', "");
    Expect(0, 5943, '\p{istagalog}', "");
    Expect(1, 5943, '\p{^istagalog}', "");
    Expect(1, 5943, '\P{istagalog}', "");
    Expect(0, 5943, '\P{^istagalog}', "");
    Expect(1, 5942, '\p{  IS_Tagalog}', "");
    Expect(0, 5942, '\p{^  IS_Tagalog}', "");
    Expect(0, 5942, '\P{  IS_Tagalog}', "");
    Expect(1, 5942, '\P{^  IS_Tagalog}', "");
    Expect(0, 5943, '\p{  IS_Tagalog}', "");
    Expect(1, 5943, '\p{^  IS_Tagalog}', "");
    Expect(1, 5943, '\P{  IS_Tagalog}', "");
    Expect(0, 5943, '\P{^  IS_Tagalog}', "");
    Error('\p{_/a/Tglg}');
    Error('\P{_/a/Tglg}');
    Expect(1, 5942, '\p{tglg}', "");
    Expect(0, 5942, '\p{^tglg}', "");
    Expect(0, 5942, '\P{tglg}', "");
    Expect(1, 5942, '\P{^tglg}', "");
    Expect(0, 5943, '\p{tglg}', "");
    Expect(1, 5943, '\p{^tglg}', "");
    Expect(1, 5943, '\P{tglg}', "");
    Expect(0, 5943, '\P{^tglg}', "");
    Expect(1, 5942, '\p{		TGLG}', "");
    Expect(0, 5942, '\p{^		TGLG}', "");
    Expect(0, 5942, '\P{		TGLG}', "");
    Expect(1, 5942, '\P{^		TGLG}', "");
    Expect(0, 5943, '\p{		TGLG}', "");
    Expect(1, 5943, '\p{^		TGLG}', "");
    Expect(1, 5943, '\P{		TGLG}', "");
    Expect(0, 5943, '\P{^		TGLG}', "");
    Error('\p{/a/	Is_Tglg}');
    Error('\P{/a/	Is_Tglg}');
    Expect(1, 5942, '\p{istglg}', "");
    Expect(0, 5942, '\p{^istglg}', "");
    Expect(0, 5942, '\P{istglg}', "");
    Expect(1, 5942, '\P{^istglg}', "");
    Expect(0, 5943, '\p{istglg}', "");
    Expect(1, 5943, '\p{^istglg}', "");
    Expect(1, 5943, '\P{istglg}', "");
    Expect(0, 5943, '\P{^istglg}', "");
    Expect(1, 5942, '\p{ IS_TGLG}', "");
    Expect(0, 5942, '\p{^ IS_TGLG}', "");
    Expect(0, 5942, '\P{ IS_TGLG}', "");
    Expect(1, 5942, '\P{^ IS_TGLG}', "");
    Expect(0, 5943, '\p{ IS_TGLG}', "");
    Expect(1, 5943, '\p{^ IS_TGLG}', "");
    Expect(1, 5943, '\P{ IS_TGLG}', "");
    Expect(0, 5943, '\P{^ IS_TGLG}', "");
    Error('\p{-	TAGBANWA/a/}');
    Error('\P{-	TAGBANWA/a/}');
    Expect(1, 6003, '\p{tagbanwa}', "");
    Expect(0, 6003, '\p{^tagbanwa}', "");
    Expect(0, 6003, '\P{tagbanwa}', "");
    Expect(1, 6003, '\P{^tagbanwa}', "");
    Expect(0, 6004, '\p{tagbanwa}', "");
    Expect(1, 6004, '\p{^tagbanwa}', "");
    Expect(1, 6004, '\P{tagbanwa}', "");
    Expect(0, 6004, '\P{^tagbanwa}', "");
    Expect(1, 6003, '\p{	Tagbanwa}', "");
    Expect(0, 6003, '\p{^	Tagbanwa}', "");
    Expect(0, 6003, '\P{	Tagbanwa}', "");
    Expect(1, 6003, '\P{^	Tagbanwa}', "");
    Expect(0, 6004, '\p{	Tagbanwa}', "");
    Expect(1, 6004, '\p{^	Tagbanwa}', "");
    Expect(1, 6004, '\P{	Tagbanwa}', "");
    Expect(0, 6004, '\P{^	Tagbanwa}', "");
    Error('\p{/a/Is_Tagbanwa}');
    Error('\P{/a/Is_Tagbanwa}');
    Expect(1, 6003, '\p{istagbanwa}', "");
    Expect(0, 6003, '\p{^istagbanwa}', "");
    Expect(0, 6003, '\P{istagbanwa}', "");
    Expect(1, 6003, '\P{^istagbanwa}', "");
    Expect(0, 6004, '\p{istagbanwa}', "");
    Expect(1, 6004, '\p{^istagbanwa}', "");
    Expect(1, 6004, '\P{istagbanwa}', "");
    Expect(0, 6004, '\P{^istagbanwa}', "");
    Expect(1, 6003, '\p{ -Is_Tagbanwa}', "");
    Expect(0, 6003, '\p{^ -Is_Tagbanwa}', "");
    Expect(0, 6003, '\P{ -Is_Tagbanwa}', "");
    Expect(1, 6003, '\P{^ -Is_Tagbanwa}', "");
    Expect(0, 6004, '\p{ -Is_Tagbanwa}', "");
    Expect(1, 6004, '\p{^ -Is_Tagbanwa}', "");
    Expect(1, 6004, '\P{ -Is_Tagbanwa}', "");
    Expect(0, 6004, '\P{^ -Is_Tagbanwa}', "");
    Error('\p{/a/tagb}');
    Error('\P{/a/tagb}');
    Expect(1, 6003, '\p{tagb}', "");
    Expect(0, 6003, '\p{^tagb}', "");
    Expect(0, 6003, '\P{tagb}', "");
    Expect(1, 6003, '\P{^tagb}', "");
    Expect(0, 6004, '\p{tagb}', "");
    Expect(1, 6004, '\p{^tagb}', "");
    Expect(1, 6004, '\P{tagb}', "");
    Expect(0, 6004, '\P{^tagb}', "");
    Expect(1, 6003, '\p{_-tagb}', "");
    Expect(0, 6003, '\p{^_-tagb}', "");
    Expect(0, 6003, '\P{_-tagb}', "");
    Expect(1, 6003, '\P{^_-tagb}', "");
    Expect(0, 6004, '\p{_-tagb}', "");
    Expect(1, 6004, '\p{^_-tagb}', "");
    Expect(1, 6004, '\P{_-tagb}', "");
    Expect(0, 6004, '\P{^_-tagb}', "");
    Error('\p{ 	Is_TAGB/a/}');
    Error('\P{ 	Is_TAGB/a/}');
    Expect(1, 6003, '\p{istagb}', "");
    Expect(0, 6003, '\p{^istagb}', "");
    Expect(0, 6003, '\P{istagb}', "");
    Expect(1, 6003, '\P{^istagb}', "");
    Expect(0, 6004, '\p{istagb}', "");
    Expect(1, 6004, '\p{^istagb}', "");
    Expect(1, 6004, '\P{istagb}', "");
    Expect(0, 6004, '\P{^istagb}', "");
    Expect(1, 6003, '\p{-	IS_tagb}', "");
    Expect(0, 6003, '\p{^-	IS_tagb}', "");
    Expect(0, 6003, '\P{-	IS_tagb}', "");
    Expect(1, 6003, '\P{^-	IS_tagb}', "");
    Expect(0, 6004, '\p{-	IS_tagb}', "");
    Expect(1, 6004, '\p{^-	IS_tagb}', "");
    Expect(1, 6004, '\P{-	IS_tagb}', "");
    Expect(0, 6004, '\P{^-	IS_tagb}', "");
    Error('\p{/a/ _Tags}');
    Error('\P{/a/ _Tags}');
    Expect(1, 917631, '\p{tags}', "");
    Expect(0, 917631, '\p{^tags}', "");
    Expect(0, 917631, '\P{tags}', "");
    Expect(1, 917631, '\P{^tags}', "");
    Expect(0, 917632, '\p{tags}', "");
    Expect(1, 917632, '\p{^tags}', "");
    Expect(1, 917632, '\P{tags}', "");
    Expect(0, 917632, '\P{^tags}', "");
    Expect(1, 917631, '\p{-	Tags}', "");
    Expect(0, 917631, '\p{^-	Tags}', "");
    Expect(0, 917631, '\P{-	Tags}', "");
    Expect(1, 917631, '\P{^-	Tags}', "");
    Expect(0, 917632, '\p{-	Tags}', "");
    Expect(1, 917632, '\p{^-	Tags}', "");
    Expect(1, 917632, '\P{-	Tags}', "");
    Expect(0, 917632, '\P{^-	Tags}', "");
    Error('\p{/a/- Is_TAGS}');
    Error('\P{/a/- Is_TAGS}');
    Expect(1, 917631, '\p{istags}', "");
    Expect(0, 917631, '\p{^istags}', "");
    Expect(0, 917631, '\P{istags}', "");
    Expect(1, 917631, '\P{^istags}', "");
    Expect(0, 917632, '\p{istags}', "");
    Expect(1, 917632, '\p{^istags}', "");
    Expect(1, 917632, '\P{istags}', "");
    Expect(0, 917632, '\P{^istags}', "");
    Expect(1, 917631, '\p{--Is_tags}', "");
    Expect(0, 917631, '\p{^--Is_tags}', "");
    Expect(0, 917631, '\P{--Is_tags}', "");
    Expect(1, 917631, '\P{^--Is_tags}', "");
    Expect(0, 917632, '\p{--Is_tags}', "");
    Expect(1, 917632, '\p{^--Is_tags}', "");
    Expect(1, 917632, '\P{--Is_tags}', "");
    Expect(0, 917632, '\P{^--Is_tags}', "");
    Error('\p{ IN_Tags/a/}');
    Error('\P{ IN_Tags/a/}');
    Expect(1, 917631, '\p{intags}', "");
    Expect(0, 917631, '\p{^intags}', "");
    Expect(0, 917631, '\P{intags}', "");
    Expect(1, 917631, '\P{^intags}', "");
    Expect(0, 917632, '\p{intags}', "");
    Expect(1, 917632, '\p{^intags}', "");
    Expect(1, 917632, '\P{intags}', "");
    Expect(0, 917632, '\P{^intags}', "");
    Expect(1, 917631, '\p{	 In_TAGS}', "");
    Expect(0, 917631, '\p{^	 In_TAGS}', "");
    Expect(0, 917631, '\P{	 In_TAGS}', "");
    Expect(1, 917631, '\P{^	 In_TAGS}', "");
    Expect(0, 917632, '\p{	 In_TAGS}', "");
    Expect(1, 917632, '\p{^	 In_TAGS}', "");
    Expect(1, 917632, '\P{	 In_TAGS}', "");
    Expect(0, 917632, '\P{^	 In_TAGS}', "");
    Error('\p{/a/	_Tai_Le}');
    Error('\P{/a/	_Tai_Le}');
    Expect(1, 6516, '\p{taile}', "");
    Expect(0, 6516, '\p{^taile}', "");
    Expect(0, 6516, '\P{taile}', "");
    Expect(1, 6516, '\P{^taile}', "");
    Expect(0, 6517, '\p{taile}', "");
    Expect(1, 6517, '\p{^taile}', "");
    Expect(1, 6517, '\P{taile}', "");
    Expect(0, 6517, '\P{^taile}', "");
    Expect(1, 6516, '\p{	-Tai_le}', "");
    Expect(0, 6516, '\p{^	-Tai_le}', "");
    Expect(0, 6516, '\P{	-Tai_le}', "");
    Expect(1, 6516, '\P{^	-Tai_le}', "");
    Expect(0, 6517, '\p{	-Tai_le}', "");
    Expect(1, 6517, '\p{^	-Tai_le}', "");
    Expect(1, 6517, '\P{	-Tai_le}', "");
    Expect(0, 6517, '\P{^	-Tai_le}', "");
    Error('\p{-/a/Is_Tai_Le}');
    Error('\P{-/a/Is_Tai_Le}');
    Expect(1, 6516, '\p{istaile}', "");
    Expect(0, 6516, '\p{^istaile}', "");
    Expect(0, 6516, '\P{istaile}', "");
    Expect(1, 6516, '\P{^istaile}', "");
    Expect(0, 6517, '\p{istaile}', "");
    Expect(1, 6517, '\p{^istaile}', "");
    Expect(1, 6517, '\P{istaile}', "");
    Expect(0, 6517, '\P{^istaile}', "");
    Expect(1, 6516, '\p{		is_Tai_Le}', "");
    Expect(0, 6516, '\p{^		is_Tai_Le}', "");
    Expect(0, 6516, '\P{		is_Tai_Le}', "");
    Expect(1, 6516, '\P{^		is_Tai_Le}', "");
    Expect(0, 6517, '\p{		is_Tai_Le}', "");
    Expect(1, 6517, '\p{^		is_Tai_Le}', "");
    Expect(1, 6517, '\P{		is_Tai_Le}', "");
    Expect(0, 6517, '\P{^		is_Tai_Le}', "");
    Error('\p{/a/--Tale}');
    Error('\P{/a/--Tale}');
    Expect(1, 6516, '\p{tale}', "");
    Expect(0, 6516, '\p{^tale}', "");
    Expect(0, 6516, '\P{tale}', "");
    Expect(1, 6516, '\P{^tale}', "");
    Expect(0, 6517, '\p{tale}', "");
    Expect(1, 6517, '\p{^tale}', "");
    Expect(1, 6517, '\P{tale}', "");
    Expect(0, 6517, '\P{^tale}', "");
    Expect(1, 6516, '\p{ -TALE}', "");
    Expect(0, 6516, '\p{^ -TALE}', "");
    Expect(0, 6516, '\P{ -TALE}', "");
    Expect(1, 6516, '\P{^ -TALE}', "");
    Expect(0, 6517, '\p{ -TALE}', "");
    Expect(1, 6517, '\p{^ -TALE}', "");
    Expect(1, 6517, '\P{ -TALE}', "");
    Expect(0, 6517, '\P{^ -TALE}', "");
    Error('\p{-	is_Tale/a/}');
    Error('\P{-	is_Tale/a/}');
    Expect(1, 6516, '\p{istale}', "");
    Expect(0, 6516, '\p{^istale}', "");
    Expect(0, 6516, '\P{istale}', "");
    Expect(1, 6516, '\P{^istale}', "");
    Expect(0, 6517, '\p{istale}', "");
    Expect(1, 6517, '\p{^istale}', "");
    Expect(1, 6517, '\P{istale}', "");
    Expect(0, 6517, '\P{^istale}', "");
    Expect(1, 6516, '\p{_ IS_tale}', "");
    Expect(0, 6516, '\p{^_ IS_tale}', "");
    Expect(0, 6516, '\P{_ IS_tale}', "");
    Expect(1, 6516, '\P{^_ IS_tale}', "");
    Expect(0, 6517, '\p{_ IS_tale}', "");
    Expect(1, 6517, '\p{^_ IS_tale}', "");
    Expect(1, 6517, '\P{_ IS_tale}', "");
    Expect(0, 6517, '\P{^_ IS_tale}', "");
    Error('\p{	_TAI_THAM:=}');
    Error('\P{	_TAI_THAM:=}');
    Expect(1, 6829, '\p{taitham}', "");
    Expect(0, 6829, '\p{^taitham}', "");
    Expect(0, 6829, '\P{taitham}', "");
    Expect(1, 6829, '\P{^taitham}', "");
    Expect(0, 6830, '\p{taitham}', "");
    Expect(1, 6830, '\p{^taitham}', "");
    Expect(1, 6830, '\P{taitham}', "");
    Expect(0, 6830, '\P{^taitham}', "");
    Expect(1, 6829, '\p{- Tai_Tham}', "");
    Expect(0, 6829, '\p{^- Tai_Tham}', "");
    Expect(0, 6829, '\P{- Tai_Tham}', "");
    Expect(1, 6829, '\P{^- Tai_Tham}', "");
    Expect(0, 6830, '\p{- Tai_Tham}', "");
    Expect(1, 6830, '\p{^- Tai_Tham}', "");
    Expect(1, 6830, '\P{- Tai_Tham}', "");
    Expect(0, 6830, '\P{^- Tai_Tham}', "");
    Error('\p{	:=is_Tai_tham}');
    Error('\P{	:=is_Tai_tham}');
    Expect(1, 6829, '\p{istaitham}', "");
    Expect(0, 6829, '\p{^istaitham}', "");
    Expect(0, 6829, '\P{istaitham}', "");
    Expect(1, 6829, '\P{^istaitham}', "");
    Expect(0, 6830, '\p{istaitham}', "");
    Expect(1, 6830, '\p{^istaitham}', "");
    Expect(1, 6830, '\P{istaitham}', "");
    Expect(0, 6830, '\P{^istaitham}', "");
    Expect(1, 6829, '\p{-is_tai_Tham}', "");
    Expect(0, 6829, '\p{^-is_tai_Tham}', "");
    Expect(0, 6829, '\P{-is_tai_Tham}', "");
    Expect(1, 6829, '\P{^-is_tai_Tham}', "");
    Expect(0, 6830, '\p{-is_tai_Tham}', "");
    Expect(1, 6830, '\p{^-is_tai_Tham}', "");
    Expect(1, 6830, '\P{-is_tai_Tham}', "");
    Expect(0, 6830, '\P{^-is_tai_Tham}', "");
    Error('\p{/a/ Lana}');
    Error('\P{/a/ Lana}');
    Expect(1, 6829, '\p{lana}', "");
    Expect(0, 6829, '\p{^lana}', "");
    Expect(0, 6829, '\P{lana}', "");
    Expect(1, 6829, '\P{^lana}', "");
    Expect(0, 6830, '\p{lana}', "");
    Expect(1, 6830, '\p{^lana}', "");
    Expect(1, 6830, '\P{lana}', "");
    Expect(0, 6830, '\P{^lana}', "");
    Expect(1, 6829, '\p{_Lana}', "");
    Expect(0, 6829, '\p{^_Lana}', "");
    Expect(0, 6829, '\P{_Lana}', "");
    Expect(1, 6829, '\P{^_Lana}', "");
    Expect(0, 6830, '\p{_Lana}', "");
    Expect(1, 6830, '\p{^_Lana}', "");
    Expect(1, 6830, '\P{_Lana}', "");
    Expect(0, 6830, '\P{^_Lana}', "");
    Error('\p{is_lana/a/}');
    Error('\P{is_lana/a/}');
    Expect(1, 6829, '\p{islana}', "");
    Expect(0, 6829, '\p{^islana}', "");
    Expect(0, 6829, '\P{islana}', "");
    Expect(1, 6829, '\P{^islana}', "");
    Expect(0, 6830, '\p{islana}', "");
    Expect(1, 6830, '\p{^islana}', "");
    Expect(1, 6830, '\P{islana}', "");
    Expect(0, 6830, '\P{^islana}', "");
    Expect(1, 6829, '\p{  IS_LANA}', "");
    Expect(0, 6829, '\p{^  IS_LANA}', "");
    Expect(0, 6829, '\P{  IS_LANA}', "");
    Expect(1, 6829, '\P{^  IS_LANA}', "");
    Expect(0, 6830, '\p{  IS_LANA}', "");
    Expect(1, 6830, '\p{^  IS_LANA}', "");
    Expect(1, 6830, '\P{  IS_LANA}', "");
    Expect(0, 6830, '\P{^  IS_LANA}', "");
    Error('\p{-	Tai_viet:=}');
    Error('\P{-	Tai_viet:=}');
    Expect(1, 43743, '\p{taiviet}', "");
    Expect(0, 43743, '\p{^taiviet}', "");
    Expect(0, 43743, '\P{taiviet}', "");
    Expect(1, 43743, '\P{^taiviet}', "");
    Expect(0, 43744, '\p{taiviet}', "");
    Expect(1, 43744, '\p{^taiviet}', "");
    Expect(1, 43744, '\P{taiviet}', "");
    Expect(0, 43744, '\P{^taiviet}', "");
    Expect(1, 43743, '\p{	tai_VIET}', "");
    Expect(0, 43743, '\p{^	tai_VIET}', "");
    Expect(0, 43743, '\P{	tai_VIET}', "");
    Expect(1, 43743, '\P{^	tai_VIET}', "");
    Expect(0, 43744, '\p{	tai_VIET}', "");
    Expect(1, 43744, '\p{^	tai_VIET}', "");
    Expect(1, 43744, '\P{	tai_VIET}', "");
    Expect(0, 43744, '\P{^	tai_VIET}', "");
    Error('\p{ 	Is_Tai_VIET/a/}');
    Error('\P{ 	Is_Tai_VIET/a/}');
    Expect(1, 43743, '\p{istaiviet}', "");
    Expect(0, 43743, '\p{^istaiviet}', "");
    Expect(0, 43743, '\P{istaiviet}', "");
    Expect(1, 43743, '\P{^istaiviet}', "");
    Expect(0, 43744, '\p{istaiviet}', "");
    Expect(1, 43744, '\p{^istaiviet}', "");
    Expect(1, 43744, '\P{istaiviet}', "");
    Expect(0, 43744, '\P{^istaiviet}', "");
    Expect(1, 43743, '\p{ Is_TAI_VIET}', "");
    Expect(0, 43743, '\p{^ Is_TAI_VIET}', "");
    Expect(0, 43743, '\P{ Is_TAI_VIET}', "");
    Expect(1, 43743, '\P{^ Is_TAI_VIET}', "");
    Expect(0, 43744, '\p{ Is_TAI_VIET}', "");
    Expect(1, 43744, '\p{^ Is_TAI_VIET}', "");
    Expect(1, 43744, '\P{ Is_TAI_VIET}', "");
    Expect(0, 43744, '\P{^ Is_TAI_VIET}', "");
    Error('\p{_	TAVT/a/}');
    Error('\P{_	TAVT/a/}');
    Expect(1, 43743, '\p{tavt}', "");
    Expect(0, 43743, '\p{^tavt}', "");
    Expect(0, 43743, '\P{tavt}', "");
    Expect(1, 43743, '\P{^tavt}', "");
    Expect(0, 43744, '\p{tavt}', "");
    Expect(1, 43744, '\p{^tavt}', "");
    Expect(1, 43744, '\P{tavt}', "");
    Expect(0, 43744, '\P{^tavt}', "");
    Expect(1, 43743, '\p{ Tavt}', "");
    Expect(0, 43743, '\p{^ Tavt}', "");
    Expect(0, 43743, '\P{ Tavt}', "");
    Expect(1, 43743, '\P{^ Tavt}', "");
    Expect(0, 43744, '\p{ Tavt}', "");
    Expect(1, 43744, '\p{^ Tavt}', "");
    Expect(1, 43744, '\P{ Tavt}', "");
    Expect(0, 43744, '\P{^ Tavt}', "");
    Error('\p{/a/ -IS_Tavt}');
    Error('\P{/a/ -IS_Tavt}');
    Expect(1, 43743, '\p{istavt}', "");
    Expect(0, 43743, '\p{^istavt}', "");
    Expect(0, 43743, '\P{istavt}', "");
    Expect(1, 43743, '\P{^istavt}', "");
    Expect(0, 43744, '\p{istavt}', "");
    Expect(1, 43744, '\p{^istavt}', "");
    Expect(1, 43744, '\P{istavt}', "");
    Expect(0, 43744, '\P{^istavt}', "");
    Expect(1, 43743, '\p{--is_Tavt}', "");
    Expect(0, 43743, '\p{^--is_Tavt}', "");
    Expect(0, 43743, '\P{--is_Tavt}', "");
    Expect(1, 43743, '\P{^--is_Tavt}', "");
    Expect(0, 43744, '\p{--is_Tavt}', "");
    Expect(1, 43744, '\p{^--is_Tavt}', "");
    Expect(1, 43744, '\P{--is_Tavt}', "");
    Expect(0, 43744, '\P{^--is_Tavt}', "");
    Error('\p{-Tai_xuan_Jing_Symbols/a/}');
    Error('\P{-Tai_xuan_Jing_Symbols/a/}');
    Expect(1, 119647, '\p{taixuanjingsymbols}', "");
    Expect(0, 119647, '\p{^taixuanjingsymbols}', "");
    Expect(0, 119647, '\P{taixuanjingsymbols}', "");
    Expect(1, 119647, '\P{^taixuanjingsymbols}', "");
    Expect(0, 119648, '\p{taixuanjingsymbols}', "");
    Expect(1, 119648, '\p{^taixuanjingsymbols}', "");
    Expect(1, 119648, '\P{taixuanjingsymbols}', "");
    Expect(0, 119648, '\P{^taixuanjingsymbols}', "");
    Expect(1, 119647, '\p{-_Tai_Xuan_Jing_Symbols}', "");
    Expect(0, 119647, '\p{^-_Tai_Xuan_Jing_Symbols}', "");
    Expect(0, 119647, '\P{-_Tai_Xuan_Jing_Symbols}', "");
    Expect(1, 119647, '\P{^-_Tai_Xuan_Jing_Symbols}', "");
    Expect(0, 119648, '\p{-_Tai_Xuan_Jing_Symbols}', "");
    Expect(1, 119648, '\p{^-_Tai_Xuan_Jing_Symbols}', "");
    Expect(1, 119648, '\P{-_Tai_Xuan_Jing_Symbols}', "");
    Expect(0, 119648, '\P{^-_Tai_Xuan_Jing_Symbols}', "");
    Error('\p{  Is_TAI_Xuan_Jing_SYMBOLS/a/}');
    Error('\P{  Is_TAI_Xuan_Jing_SYMBOLS/a/}');
    Expect(1, 119647, '\p{istaixuanjingsymbols}', "");
    Expect(0, 119647, '\p{^istaixuanjingsymbols}', "");
    Expect(0, 119647, '\P{istaixuanjingsymbols}', "");
    Expect(1, 119647, '\P{^istaixuanjingsymbols}', "");
    Expect(0, 119648, '\p{istaixuanjingsymbols}', "");
    Expect(1, 119648, '\p{^istaixuanjingsymbols}', "");
    Expect(1, 119648, '\P{istaixuanjingsymbols}', "");
    Expect(0, 119648, '\P{^istaixuanjingsymbols}', "");
    Expect(1, 119647, '\p{  Is_Tai_Xuan_jing_Symbols}', "");
    Expect(0, 119647, '\p{^  Is_Tai_Xuan_jing_Symbols}', "");
    Expect(0, 119647, '\P{  Is_Tai_Xuan_jing_Symbols}', "");
    Expect(1, 119647, '\P{^  Is_Tai_Xuan_jing_Symbols}', "");
    Expect(0, 119648, '\p{  Is_Tai_Xuan_jing_Symbols}', "");
    Expect(1, 119648, '\p{^  Is_Tai_Xuan_jing_Symbols}', "");
    Expect(1, 119648, '\P{  Is_Tai_Xuan_jing_Symbols}', "");
    Expect(0, 119648, '\P{^  Is_Tai_Xuan_jing_Symbols}', "");
    Error('\p{ :=In_tai_XUAN_Jing_Symbols}');
    Error('\P{ :=In_tai_XUAN_Jing_Symbols}');
    Expect(1, 119647, '\p{intaixuanjingsymbols}', "");
    Expect(0, 119647, '\p{^intaixuanjingsymbols}', "");
    Expect(0, 119647, '\P{intaixuanjingsymbols}', "");
    Expect(1, 119647, '\P{^intaixuanjingsymbols}', "");
    Expect(0, 119648, '\p{intaixuanjingsymbols}', "");
    Expect(1, 119648, '\p{^intaixuanjingsymbols}', "");
    Expect(1, 119648, '\P{intaixuanjingsymbols}', "");
    Expect(0, 119648, '\P{^intaixuanjingsymbols}', "");
    Expect(1, 119647, '\p{ In_TAI_xuan_Jing_Symbols}', "");
    Expect(0, 119647, '\p{^ In_TAI_xuan_Jing_Symbols}', "");
    Expect(0, 119647, '\P{ In_TAI_xuan_Jing_Symbols}', "");
    Expect(1, 119647, '\P{^ In_TAI_xuan_Jing_Symbols}', "");
    Expect(0, 119648, '\p{ In_TAI_xuan_Jing_Symbols}', "");
    Expect(1, 119648, '\p{^ In_TAI_xuan_Jing_Symbols}', "");
    Expect(1, 119648, '\P{ In_TAI_xuan_Jing_Symbols}', "");
    Expect(0, 119648, '\P{^ In_TAI_xuan_Jing_Symbols}', "");
    Error('\p{-_tai_Xuan_Jing:=}');
    Error('\P{-_tai_Xuan_Jing:=}');
    Expect(1, 119647, '\p{taixuanjing}', "");
    Expect(0, 119647, '\p{^taixuanjing}', "");
    Expect(0, 119647, '\P{taixuanjing}', "");
    Expect(1, 119647, '\P{^taixuanjing}', "");
    Expect(0, 119648, '\p{taixuanjing}', "");
    Expect(1, 119648, '\p{^taixuanjing}', "");
    Expect(1, 119648, '\P{taixuanjing}', "");
    Expect(0, 119648, '\P{^taixuanjing}', "");
    Expect(1, 119647, '\p{ -Tai_Xuan_Jing}', "");
    Expect(0, 119647, '\p{^ -Tai_Xuan_Jing}', "");
    Expect(0, 119647, '\P{ -Tai_Xuan_Jing}', "");
    Expect(1, 119647, '\P{^ -Tai_Xuan_Jing}', "");
    Expect(0, 119648, '\p{ -Tai_Xuan_Jing}', "");
    Expect(1, 119648, '\p{^ -Tai_Xuan_Jing}', "");
    Expect(1, 119648, '\P{ -Tai_Xuan_Jing}', "");
    Expect(0, 119648, '\P{^ -Tai_Xuan_Jing}', "");
    Error('\p{:=  Is_Tai_xuan_Jing}');
    Error('\P{:=  Is_Tai_xuan_Jing}');
    Expect(1, 119647, '\p{istaixuanjing}', "");
    Expect(0, 119647, '\p{^istaixuanjing}', "");
    Expect(0, 119647, '\P{istaixuanjing}', "");
    Expect(1, 119647, '\P{^istaixuanjing}', "");
    Expect(0, 119648, '\p{istaixuanjing}', "");
    Expect(1, 119648, '\p{^istaixuanjing}', "");
    Expect(1, 119648, '\P{istaixuanjing}', "");
    Expect(0, 119648, '\P{^istaixuanjing}', "");
    Expect(1, 119647, '\p{	_is_Tai_XUAN_JING}', "");
    Expect(0, 119647, '\p{^	_is_Tai_XUAN_JING}', "");
    Expect(0, 119647, '\P{	_is_Tai_XUAN_JING}', "");
    Expect(1, 119647, '\P{^	_is_Tai_XUAN_JING}', "");
    Expect(0, 119648, '\p{	_is_Tai_XUAN_JING}', "");
    Expect(1, 119648, '\p{^	_is_Tai_XUAN_JING}', "");
    Expect(1, 119648, '\P{	_is_Tai_XUAN_JING}', "");
    Expect(0, 119648, '\P{^	_is_Tai_XUAN_JING}', "");
    Error('\p{__IN_tai_XUAN_Jing:=}');
    Error('\P{__IN_tai_XUAN_Jing:=}');
    Expect(1, 119647, '\p{intaixuanjing}', "");
    Expect(0, 119647, '\p{^intaixuanjing}', "");
    Expect(0, 119647, '\P{intaixuanjing}', "");
    Expect(1, 119647, '\P{^intaixuanjing}', "");
    Expect(0, 119648, '\p{intaixuanjing}', "");
    Expect(1, 119648, '\p{^intaixuanjing}', "");
    Expect(1, 119648, '\P{intaixuanjing}', "");
    Expect(0, 119648, '\P{^intaixuanjing}', "");
    Expect(1, 119647, '\p{		in_TAI_Xuan_jing}', "");
    Expect(0, 119647, '\p{^		in_TAI_Xuan_jing}', "");
    Expect(0, 119647, '\P{		in_TAI_Xuan_jing}', "");
    Expect(1, 119647, '\P{^		in_TAI_Xuan_jing}', "");
    Expect(0, 119648, '\p{		in_TAI_Xuan_jing}', "");
    Expect(1, 119648, '\p{^		in_TAI_Xuan_jing}', "");
    Expect(1, 119648, '\P{		in_TAI_Xuan_jing}', "");
    Expect(0, 119648, '\P{^		in_TAI_Xuan_jing}', "");
    Error('\p{ Takri/a/}');
    Error('\P{ Takri/a/}');
    Expect(1, 71369, '\p{takri}', "");
    Expect(0, 71369, '\p{^takri}', "");
    Expect(0, 71369, '\P{takri}', "");
    Expect(1, 71369, '\P{^takri}', "");
    Expect(0, 71370, '\p{takri}', "");
    Expect(1, 71370, '\p{^takri}', "");
    Expect(1, 71370, '\P{takri}', "");
    Expect(0, 71370, '\P{^takri}', "");
    Expect(1, 71369, '\p{ TAKRI}', "");
    Expect(0, 71369, '\p{^ TAKRI}', "");
    Expect(0, 71369, '\P{ TAKRI}', "");
    Expect(1, 71369, '\P{^ TAKRI}', "");
    Expect(0, 71370, '\p{ TAKRI}', "");
    Expect(1, 71370, '\p{^ TAKRI}', "");
    Expect(1, 71370, '\P{ TAKRI}', "");
    Expect(0, 71370, '\P{^ TAKRI}', "");
    Error('\p{_/a/IS_Takri}');
    Error('\P{_/a/IS_Takri}');
    Expect(1, 71369, '\p{istakri}', "");
    Expect(0, 71369, '\p{^istakri}', "");
    Expect(0, 71369, '\P{istakri}', "");
    Expect(1, 71369, '\P{^istakri}', "");
    Expect(0, 71370, '\p{istakri}', "");
    Expect(1, 71370, '\p{^istakri}', "");
    Expect(1, 71370, '\P{istakri}', "");
    Expect(0, 71370, '\P{^istakri}', "");
    Expect(1, 71369, '\p{		is_Takri}', "");
    Expect(0, 71369, '\p{^		is_Takri}', "");
    Expect(0, 71369, '\P{		is_Takri}', "");
    Expect(1, 71369, '\P{^		is_Takri}', "");
    Expect(0, 71370, '\p{		is_Takri}', "");
    Expect(1, 71370, '\p{^		is_Takri}', "");
    Expect(1, 71370, '\P{		is_Takri}', "");
    Expect(0, 71370, '\P{^		is_Takri}', "");
    Error('\p{:=_	Takr}');
    Error('\P{:=_	Takr}');
    Expect(1, 71369, '\p{takr}', "");
    Expect(0, 71369, '\p{^takr}', "");
    Expect(0, 71369, '\P{takr}', "");
    Expect(1, 71369, '\P{^takr}', "");
    Expect(0, 71370, '\p{takr}', "");
    Expect(1, 71370, '\p{^takr}', "");
    Expect(1, 71370, '\P{takr}', "");
    Expect(0, 71370, '\P{^takr}', "");
    Expect(1, 71369, '\p{ Takr}', "");
    Expect(0, 71369, '\p{^ Takr}', "");
    Expect(0, 71369, '\P{ Takr}', "");
    Expect(1, 71369, '\P{^ Takr}', "");
    Expect(0, 71370, '\p{ Takr}', "");
    Expect(1, 71370, '\p{^ Takr}', "");
    Expect(1, 71370, '\P{ Takr}', "");
    Expect(0, 71370, '\P{^ Takr}', "");
    Error('\p{Is_takr/a/}');
    Error('\P{Is_takr/a/}');
    Expect(1, 71369, '\p{istakr}', "");
    Expect(0, 71369, '\p{^istakr}', "");
    Expect(0, 71369, '\P{istakr}', "");
    Expect(1, 71369, '\P{^istakr}', "");
    Expect(0, 71370, '\p{istakr}', "");
    Expect(1, 71370, '\p{^istakr}', "");
    Expect(1, 71370, '\P{istakr}', "");
    Expect(0, 71370, '\P{^istakr}', "");
    Expect(1, 71369, '\p{_ Is_Takr}', "");
    Expect(0, 71369, '\p{^_ Is_Takr}', "");
    Expect(0, 71369, '\P{_ Is_Takr}', "");
    Expect(1, 71369, '\P{^_ Is_Takr}', "");
    Expect(0, 71370, '\p{_ Is_Takr}', "");
    Expect(1, 71370, '\p{^_ Is_Takr}', "");
    Expect(1, 71370, '\P{_ Is_Takr}', "");
    Expect(0, 71370, '\P{^_ Is_Takr}', "");
    Error('\p{-/a/Tamil}');
    Error('\P{-/a/Tamil}');
    Expect(1, 73727, '\p{tamil}', "");
    Expect(0, 73727, '\p{^tamil}', "");
    Expect(0, 73727, '\P{tamil}', "");
    Expect(1, 73727, '\P{^tamil}', "");
    Expect(0, 73728, '\p{tamil}', "");
    Expect(1, 73728, '\p{^tamil}', "");
    Expect(1, 73728, '\P{tamil}', "");
    Expect(0, 73728, '\P{^tamil}', "");
    Expect(1, 73727, '\p{__tamil}', "");
    Expect(0, 73727, '\p{^__tamil}', "");
    Expect(0, 73727, '\P{__tamil}', "");
    Expect(1, 73727, '\P{^__tamil}', "");
    Expect(0, 73728, '\p{__tamil}', "");
    Expect(1, 73728, '\p{^__tamil}', "");
    Expect(1, 73728, '\P{__tamil}', "");
    Expect(0, 73728, '\P{^__tamil}', "");
    Error('\p{:=	 IS_TAMIL}');
    Error('\P{:=	 IS_TAMIL}');
    Expect(1, 73727, '\p{istamil}', "");
    Expect(0, 73727, '\p{^istamil}', "");
    Expect(0, 73727, '\P{istamil}', "");
    Expect(1, 73727, '\P{^istamil}', "");
    Expect(0, 73728, '\p{istamil}', "");
    Expect(1, 73728, '\p{^istamil}', "");
    Expect(1, 73728, '\P{istamil}', "");
    Expect(0, 73728, '\P{^istamil}', "");
    Expect(1, 73727, '\p{ -Is_TAMIL}', "");
    Expect(0, 73727, '\p{^ -Is_TAMIL}', "");
    Expect(0, 73727, '\P{ -Is_TAMIL}', "");
    Expect(1, 73727, '\P{^ -Is_TAMIL}', "");
    Expect(0, 73728, '\p{ -Is_TAMIL}', "");
    Expect(1, 73728, '\p{^ -Is_TAMIL}', "");
    Expect(1, 73728, '\P{ -Is_TAMIL}', "");
    Expect(0, 73728, '\P{^ -Is_TAMIL}', "");
    Error('\p{/a/ 	taml}');
    Error('\P{/a/ 	taml}');
    Expect(1, 73727, '\p{taml}', "");
    Expect(0, 73727, '\p{^taml}', "");
    Expect(0, 73727, '\P{taml}', "");
    Expect(1, 73727, '\P{^taml}', "");
    Expect(0, 73728, '\p{taml}', "");
    Expect(1, 73728, '\p{^taml}', "");
    Expect(1, 73728, '\P{taml}', "");
    Expect(0, 73728, '\P{^taml}', "");
    Expect(1, 73727, '\p{_-Taml}', "");
    Expect(0, 73727, '\p{^_-Taml}', "");
    Expect(0, 73727, '\P{_-Taml}', "");
    Expect(1, 73727, '\P{^_-Taml}', "");
    Expect(0, 73728, '\p{_-Taml}', "");
    Expect(1, 73728, '\p{^_-Taml}', "");
    Expect(1, 73728, '\P{_-Taml}', "");
    Expect(0, 73728, '\P{^_-Taml}', "");
    Error('\p{/a/ -is_Taml}');
    Error('\P{/a/ -is_Taml}');
    Expect(1, 73727, '\p{istaml}', "");
    Expect(0, 73727, '\p{^istaml}', "");
    Expect(0, 73727, '\P{istaml}', "");
    Expect(1, 73727, '\P{^istaml}', "");
    Expect(0, 73728, '\p{istaml}', "");
    Expect(1, 73728, '\p{^istaml}', "");
    Expect(1, 73728, '\P{istaml}', "");
    Expect(0, 73728, '\P{^istaml}', "");
    Expect(1, 73727, '\p{		IS_TAML}', "");
    Expect(0, 73727, '\p{^		IS_TAML}', "");
    Expect(0, 73727, '\P{		IS_TAML}', "");
    Expect(1, 73727, '\P{^		IS_TAML}', "");
    Expect(0, 73728, '\p{		IS_TAML}', "");
    Expect(1, 73728, '\p{^		IS_TAML}', "");
    Expect(1, 73728, '\P{		IS_TAML}', "");
    Expect(0, 73728, '\P{^		IS_TAML}', "");
    Error('\p{	_Tamil_Supplement/a/}');
    Error('\P{	_Tamil_Supplement/a/}');
    Expect(1, 73727, '\p{tamilsupplement}', "");
    Expect(0, 73727, '\p{^tamilsupplement}', "");
    Expect(0, 73727, '\P{tamilsupplement}', "");
    Expect(1, 73727, '\P{^tamilsupplement}', "");
    Expect(0, 73728, '\p{tamilsupplement}', "");
    Expect(1, 73728, '\p{^tamilsupplement}', "");
    Expect(1, 73728, '\P{tamilsupplement}', "");
    Expect(0, 73728, '\P{^tamilsupplement}', "");
    Expect(1, 73727, '\p{Tamil_supplement}', "");
    Expect(0, 73727, '\p{^Tamil_supplement}', "");
    Expect(0, 73727, '\P{Tamil_supplement}', "");
    Expect(1, 73727, '\P{^Tamil_supplement}', "");
    Expect(0, 73728, '\p{Tamil_supplement}', "");
    Expect(1, 73728, '\p{^Tamil_supplement}', "");
    Expect(1, 73728, '\P{Tamil_supplement}', "");
    Expect(0, 73728, '\P{^Tamil_supplement}', "");
    Error('\p{:=Is_tamil_Supplement}');
    Error('\P{:=Is_tamil_Supplement}');
    Expect(1, 73727, '\p{istamilsupplement}', "");
    Expect(0, 73727, '\p{^istamilsupplement}', "");
    Expect(0, 73727, '\P{istamilsupplement}', "");
    Expect(1, 73727, '\P{^istamilsupplement}', "");
    Expect(0, 73728, '\p{istamilsupplement}', "");
    Expect(1, 73728, '\p{^istamilsupplement}', "");
    Expect(1, 73728, '\P{istamilsupplement}', "");
    Expect(0, 73728, '\P{^istamilsupplement}', "");
    Expect(1, 73727, '\p{--IS_tamil_SUPPLEMENT}', "");
    Expect(0, 73727, '\p{^--IS_tamil_SUPPLEMENT}', "");
    Expect(0, 73727, '\P{--IS_tamil_SUPPLEMENT}', "");
    Expect(1, 73727, '\P{^--IS_tamil_SUPPLEMENT}', "");
    Expect(0, 73728, '\p{--IS_tamil_SUPPLEMENT}', "");
    Expect(1, 73728, '\p{^--IS_tamil_SUPPLEMENT}', "");
    Expect(1, 73728, '\P{--IS_tamil_SUPPLEMENT}', "");
    Expect(0, 73728, '\P{^--IS_tamil_SUPPLEMENT}', "");
    Error('\p{	In_Tamil_SUPPLEMENT:=}');
    Error('\P{	In_Tamil_SUPPLEMENT:=}');
    Expect(1, 73727, '\p{intamilsupplement}', "");
    Expect(0, 73727, '\p{^intamilsupplement}', "");
    Expect(0, 73727, '\P{intamilsupplement}', "");
    Expect(1, 73727, '\P{^intamilsupplement}', "");
    Expect(0, 73728, '\p{intamilsupplement}', "");
    Expect(1, 73728, '\p{^intamilsupplement}', "");
    Expect(1, 73728, '\P{intamilsupplement}', "");
    Expect(0, 73728, '\P{^intamilsupplement}', "");
    Expect(1, 73727, '\p{-_In_Tamil_SUPPLEMENT}', "");
    Expect(0, 73727, '\p{^-_In_Tamil_SUPPLEMENT}', "");
    Expect(0, 73727, '\P{-_In_Tamil_SUPPLEMENT}', "");
    Expect(1, 73727, '\P{^-_In_Tamil_SUPPLEMENT}', "");
    Expect(0, 73728, '\p{-_In_Tamil_SUPPLEMENT}', "");
    Expect(1, 73728, '\p{^-_In_Tamil_SUPPLEMENT}', "");
    Expect(1, 73728, '\P{-_In_Tamil_SUPPLEMENT}', "");
    Expect(0, 73728, '\P{^-_In_Tamil_SUPPLEMENT}', "");
    Error('\p{ 	Tamil_SUP:=}');
    Error('\P{ 	Tamil_SUP:=}');
    Expect(1, 73727, '\p{tamilsup}', "");
    Expect(0, 73727, '\p{^tamilsup}', "");
    Expect(0, 73727, '\P{tamilsup}', "");
    Expect(1, 73727, '\P{^tamilsup}', "");
    Expect(0, 73728, '\p{tamilsup}', "");
    Expect(1, 73728, '\p{^tamilsup}', "");
    Expect(1, 73728, '\P{tamilsup}', "");
    Expect(0, 73728, '\P{^tamilsup}', "");
    Expect(1, 73727, '\p{	Tamil_Sup}', "");
    Expect(0, 73727, '\p{^	Tamil_Sup}', "");
    Expect(0, 73727, '\P{	Tamil_Sup}', "");
    Expect(1, 73727, '\P{^	Tamil_Sup}', "");
    Expect(0, 73728, '\p{	Tamil_Sup}', "");
    Expect(1, 73728, '\p{^	Tamil_Sup}', "");
    Expect(1, 73728, '\P{	Tamil_Sup}', "");
    Expect(0, 73728, '\P{^	Tamil_Sup}', "");
    Error('\p{:= _is_TAMIL_sup}');
    Error('\P{:= _is_TAMIL_sup}');
    Expect(1, 73727, '\p{istamilsup}', "");
    Expect(0, 73727, '\p{^istamilsup}', "");
    Expect(0, 73727, '\P{istamilsup}', "");
    Expect(1, 73727, '\P{^istamilsup}', "");
    Expect(0, 73728, '\p{istamilsup}', "");
    Expect(1, 73728, '\p{^istamilsup}', "");
    Expect(1, 73728, '\P{istamilsup}', "");
    Expect(0, 73728, '\P{^istamilsup}', "");
    Expect(1, 73727, '\p{	_Is_Tamil_SUP}', "");
    Expect(0, 73727, '\p{^	_Is_Tamil_SUP}', "");
    Expect(0, 73727, '\P{	_Is_Tamil_SUP}', "");
    Expect(1, 73727, '\P{^	_Is_Tamil_SUP}', "");
    Expect(0, 73728, '\p{	_Is_Tamil_SUP}', "");
    Expect(1, 73728, '\p{^	_Is_Tamil_SUP}', "");
    Expect(1, 73728, '\P{	_Is_Tamil_SUP}', "");
    Expect(0, 73728, '\P{^	_Is_Tamil_SUP}', "");
    Error('\p{ 	In_Tamil_sup/a/}');
    Error('\P{ 	In_Tamil_sup/a/}');
    Expect(1, 73727, '\p{intamilsup}', "");
    Expect(0, 73727, '\p{^intamilsup}', "");
    Expect(0, 73727, '\P{intamilsup}', "");
    Expect(1, 73727, '\P{^intamilsup}', "");
    Expect(0, 73728, '\p{intamilsup}', "");
    Expect(1, 73728, '\p{^intamilsup}', "");
    Expect(1, 73728, '\P{intamilsup}', "");
    Expect(0, 73728, '\P{^intamilsup}', "");
    Expect(1, 73727, '\p{ IN_Tamil_sup}', "");
    Expect(0, 73727, '\p{^ IN_Tamil_sup}', "");
    Expect(0, 73727, '\P{ IN_Tamil_sup}', "");
    Expect(1, 73727, '\P{^ IN_Tamil_sup}', "");
    Expect(0, 73728, '\p{ IN_Tamil_sup}', "");
    Expect(1, 73728, '\p{^ IN_Tamil_sup}', "");
    Expect(1, 73728, '\P{ IN_Tamil_sup}', "");
    Expect(0, 73728, '\P{^ IN_Tamil_sup}', "");
    Error('\p{:=Tangsa}');
    Error('\P{:=Tangsa}');
    Expect(1, 92873, '\p{tangsa}', "");
    Expect(0, 92873, '\p{^tangsa}', "");
    Expect(0, 92873, '\P{tangsa}', "");
    Expect(1, 92873, '\P{^tangsa}', "");
    Expect(0, 92874, '\p{tangsa}', "");
    Expect(1, 92874, '\p{^tangsa}', "");
    Expect(1, 92874, '\P{tangsa}', "");
    Expect(0, 92874, '\P{^tangsa}', "");
    Expect(1, 92873, '\p{--Tangsa}', "");
    Expect(0, 92873, '\p{^--Tangsa}', "");
    Expect(0, 92873, '\P{--Tangsa}', "");
    Expect(1, 92873, '\P{^--Tangsa}', "");
    Expect(0, 92874, '\p{--Tangsa}', "");
    Expect(1, 92874, '\p{^--Tangsa}', "");
    Expect(1, 92874, '\P{--Tangsa}', "");
    Expect(0, 92874, '\P{^--Tangsa}', "");
    Error('\p{-:=is_Tangsa}');
    Error('\P{-:=is_Tangsa}');
    Expect(1, 92873, '\p{istangsa}', "");
    Expect(0, 92873, '\p{^istangsa}', "");
    Expect(0, 92873, '\P{istangsa}', "");
    Expect(1, 92873, '\P{^istangsa}', "");
    Expect(0, 92874, '\p{istangsa}', "");
    Expect(1, 92874, '\p{^istangsa}', "");
    Expect(1, 92874, '\P{istangsa}', "");
    Expect(0, 92874, '\P{^istangsa}', "");
    Expect(1, 92873, '\p{-IS_tangsa}', "");
    Expect(0, 92873, '\p{^-IS_tangsa}', "");
    Expect(0, 92873, '\P{-IS_tangsa}', "");
    Expect(1, 92873, '\P{^-IS_tangsa}', "");
    Expect(0, 92874, '\p{-IS_tangsa}', "");
    Expect(1, 92874, '\p{^-IS_tangsa}', "");
    Expect(1, 92874, '\P{-IS_tangsa}', "");
    Expect(0, 92874, '\P{^-IS_tangsa}', "");
    Error('\p{/a/_-Tnsa}');
    Error('\P{/a/_-Tnsa}');
    Expect(1, 92873, '\p{tnsa}', "");
    Expect(0, 92873, '\p{^tnsa}', "");
    Expect(0, 92873, '\P{tnsa}', "");
    Expect(1, 92873, '\P{^tnsa}', "");
    Expect(0, 92874, '\p{tnsa}', "");
    Expect(1, 92874, '\p{^tnsa}', "");
    Expect(1, 92874, '\P{tnsa}', "");
    Expect(0, 92874, '\P{^tnsa}', "");
    Expect(1, 92873, '\p{	tnsa}', "");
    Expect(0, 92873, '\p{^	tnsa}', "");
    Expect(0, 92873, '\P{	tnsa}', "");
    Expect(1, 92873, '\P{^	tnsa}', "");
    Expect(0, 92874, '\p{	tnsa}', "");
    Expect(1, 92874, '\p{^	tnsa}', "");
    Expect(1, 92874, '\P{	tnsa}', "");
    Expect(0, 92874, '\P{^	tnsa}', "");
    Error('\p{	/a/Is_TNSA}');
    Error('\P{	/a/Is_TNSA}');
    Expect(1, 92873, '\p{istnsa}', "");
    Expect(0, 92873, '\p{^istnsa}', "");
    Expect(0, 92873, '\P{istnsa}', "");
    Expect(1, 92873, '\P{^istnsa}', "");
    Expect(0, 92874, '\p{istnsa}', "");
    Expect(1, 92874, '\p{^istnsa}', "");
    Expect(1, 92874, '\P{istnsa}', "");
    Expect(0, 92874, '\P{^istnsa}', "");
    Expect(1, 92873, '\p{ 	is_Tnsa}', "");
    Expect(0, 92873, '\p{^ 	is_Tnsa}', "");
    Expect(0, 92873, '\P{ 	is_Tnsa}', "");
    Expect(1, 92873, '\P{^ 	is_Tnsa}', "");
    Expect(0, 92874, '\p{ 	is_Tnsa}', "");
    Expect(1, 92874, '\p{^ 	is_Tnsa}', "");
    Expect(1, 92874, '\P{ 	is_Tnsa}', "");
    Expect(0, 92874, '\P{^ 	is_Tnsa}', "");
    Error('\p{_ TANGUT:=}');
    Error('\P{_ TANGUT:=}');
    Expect(1, 101640, '\p{tangut}', "");
    Expect(0, 101640, '\p{^tangut}', "");
    Expect(0, 101640, '\P{tangut}', "");
    Expect(1, 101640, '\P{^tangut}', "");
    Expect(0, 101641, '\p{tangut}', "");
    Expect(1, 101641, '\p{^tangut}', "");
    Expect(1, 101641, '\P{tangut}', "");
    Expect(0, 101641, '\P{^tangut}', "");
    Expect(1, 101640, '\p{_-Tangut}', "");
    Expect(0, 101640, '\p{^_-Tangut}', "");
    Expect(0, 101640, '\P{_-Tangut}', "");
    Expect(1, 101640, '\P{^_-Tangut}', "");
    Expect(0, 101641, '\p{_-Tangut}', "");
    Expect(1, 101641, '\p{^_-Tangut}', "");
    Expect(1, 101641, '\P{_-Tangut}', "");
    Expect(0, 101641, '\P{^_-Tangut}', "");
    Error('\p{_	is_TANGUT:=}');
    Error('\P{_	is_TANGUT:=}');
    Expect(1, 101640, '\p{istangut}', "");
    Expect(0, 101640, '\p{^istangut}', "");
    Expect(0, 101640, '\P{istangut}', "");
    Expect(1, 101640, '\P{^istangut}', "");
    Expect(0, 101641, '\p{istangut}', "");
    Expect(1, 101641, '\p{^istangut}', "");
    Expect(1, 101641, '\P{istangut}', "");
    Expect(0, 101641, '\P{^istangut}', "");
    Expect(1, 101640, '\p{ -IS_Tangut}', "");
    Expect(0, 101640, '\p{^ -IS_Tangut}', "");
    Expect(0, 101640, '\P{ -IS_Tangut}', "");
    Expect(1, 101640, '\P{^ -IS_Tangut}', "");
    Expect(0, 101641, '\p{ -IS_Tangut}', "");
    Expect(1, 101641, '\p{^ -IS_Tangut}', "");
    Expect(1, 101641, '\P{ -IS_Tangut}', "");
    Expect(0, 101641, '\P{^ -IS_Tangut}', "");
    Error('\p{-TANG:=}');
    Error('\P{-TANG:=}');
    Expect(1, 101640, '\p{tang}', "");
    Expect(0, 101640, '\p{^tang}', "");
    Expect(0, 101640, '\P{tang}', "");
    Expect(1, 101640, '\P{^tang}', "");
    Expect(0, 101641, '\p{tang}', "");
    Expect(1, 101641, '\p{^tang}', "");
    Expect(1, 101641, '\P{tang}', "");
    Expect(0, 101641, '\P{^tang}', "");
    Expect(1, 101640, '\p{	Tang}', "");
    Expect(0, 101640, '\p{^	Tang}', "");
    Expect(0, 101640, '\P{	Tang}', "");
    Expect(1, 101640, '\P{^	Tang}', "");
    Expect(0, 101641, '\p{	Tang}', "");
    Expect(1, 101641, '\p{^	Tang}', "");
    Expect(1, 101641, '\P{	Tang}', "");
    Expect(0, 101641, '\P{^	Tang}', "");
    Error('\p{:=_Is_TANG}');
    Error('\P{:=_Is_TANG}');
    Expect(1, 101640, '\p{istang}', "");
    Expect(0, 101640, '\p{^istang}', "");
    Expect(0, 101640, '\P{istang}', "");
    Expect(1, 101640, '\P{^istang}', "");
    Expect(0, 101641, '\p{istang}', "");
    Expect(1, 101641, '\p{^istang}', "");
    Expect(1, 101641, '\P{istang}', "");
    Expect(0, 101641, '\P{^istang}', "");
    Expect(1, 101640, '\p{ 	Is_tang}', "");
    Expect(0, 101640, '\p{^ 	Is_tang}', "");
    Expect(0, 101640, '\P{ 	Is_tang}', "");
    Expect(1, 101640, '\P{^ 	Is_tang}', "");
    Expect(0, 101641, '\p{ 	Is_tang}', "");
    Expect(1, 101641, '\p{^ 	Is_tang}', "");
    Expect(1, 101641, '\P{ 	Is_tang}', "");
    Expect(0, 101641, '\P{^ 	Is_tang}', "");
    Error('\p{ :=TANGUT_Components}');
    Error('\P{ :=TANGUT_Components}');
    Expect(1, 101119, '\p{tangutcomponents}', "");
    Expect(0, 101119, '\p{^tangutcomponents}', "");
    Expect(0, 101119, '\P{tangutcomponents}', "");
    Expect(1, 101119, '\P{^tangutcomponents}', "");
    Expect(0, 101120, '\p{tangutcomponents}', "");
    Expect(1, 101120, '\p{^tangutcomponents}', "");
    Expect(1, 101120, '\P{tangutcomponents}', "");
    Expect(0, 101120, '\P{^tangutcomponents}', "");
    Expect(1, 101119, '\p{_-tangut_components}', "");
    Expect(0, 101119, '\p{^_-tangut_components}', "");
    Expect(0, 101119, '\P{_-tangut_components}', "");
    Expect(1, 101119, '\P{^_-tangut_components}', "");
    Expect(0, 101120, '\p{_-tangut_components}', "");
    Expect(1, 101120, '\p{^_-tangut_components}', "");
    Expect(1, 101120, '\P{_-tangut_components}', "");
    Expect(0, 101120, '\P{^_-tangut_components}', "");
    Error('\p{	Is_tangut_components/a/}');
    Error('\P{	Is_tangut_components/a/}');
    Expect(1, 101119, '\p{istangutcomponents}', "");
    Expect(0, 101119, '\p{^istangutcomponents}', "");
    Expect(0, 101119, '\P{istangutcomponents}', "");
    Expect(1, 101119, '\P{^istangutcomponents}', "");
    Expect(0, 101120, '\p{istangutcomponents}', "");
    Expect(1, 101120, '\p{^istangutcomponents}', "");
    Expect(1, 101120, '\P{istangutcomponents}', "");
    Expect(0, 101120, '\P{^istangutcomponents}', "");
    Expect(1, 101119, '\p{_-Is_Tangut_Components}', "");
    Expect(0, 101119, '\p{^_-Is_Tangut_Components}', "");
    Expect(0, 101119, '\P{_-Is_Tangut_Components}', "");
    Expect(1, 101119, '\P{^_-Is_Tangut_Components}', "");
    Expect(0, 101120, '\p{_-Is_Tangut_Components}', "");
    Expect(1, 101120, '\p{^_-Is_Tangut_Components}', "");
    Expect(1, 101120, '\P{_-Is_Tangut_Components}', "");
    Expect(0, 101120, '\P{^_-Is_Tangut_Components}', "");
    Error('\p{/a/-	IN_tangut_COMPONENTS}');
    Error('\P{/a/-	IN_tangut_COMPONENTS}');
    Expect(1, 101119, '\p{intangutcomponents}', "");
    Expect(0, 101119, '\p{^intangutcomponents}', "");
    Expect(0, 101119, '\P{intangutcomponents}', "");
    Expect(1, 101119, '\P{^intangutcomponents}', "");
    Expect(0, 101120, '\p{intangutcomponents}', "");
    Expect(1, 101120, '\p{^intangutcomponents}', "");
    Expect(1, 101120, '\P{intangutcomponents}', "");
    Expect(0, 101120, '\P{^intangutcomponents}', "");
    Expect(1, 101119, '\p{_ In_TANGUT_Components}', "");
    Expect(0, 101119, '\p{^_ In_TANGUT_Components}', "");
    Expect(0, 101119, '\P{_ In_TANGUT_Components}', "");
    Expect(1, 101119, '\P{^_ In_TANGUT_Components}', "");
    Expect(0, 101120, '\p{_ In_TANGUT_Components}', "");
    Expect(1, 101120, '\p{^_ In_TANGUT_Components}', "");
    Expect(1, 101120, '\P{_ In_TANGUT_Components}', "");
    Expect(0, 101120, '\P{^_ In_TANGUT_Components}', "");
    Error('\p{-/a/tangut_Supplement}');
    Error('\P{-/a/tangut_Supplement}');
    Expect(1, 101759, '\p{tangutsupplement}', "");
    Expect(0, 101759, '\p{^tangutsupplement}', "");
    Expect(0, 101759, '\P{tangutsupplement}', "");
    Expect(1, 101759, '\P{^tangutsupplement}', "");
    Expect(0, 101760, '\p{tangutsupplement}', "");
    Expect(1, 101760, '\p{^tangutsupplement}', "");
    Expect(1, 101760, '\P{tangutsupplement}', "");
    Expect(0, 101760, '\P{^tangutsupplement}', "");
    Expect(1, 101759, '\p{__Tangut_supplement}', "");
    Expect(0, 101759, '\p{^__Tangut_supplement}', "");
    Expect(0, 101759, '\P{__Tangut_supplement}', "");
    Expect(1, 101759, '\P{^__Tangut_supplement}', "");
    Expect(0, 101760, '\p{__Tangut_supplement}', "");
    Expect(1, 101760, '\p{^__Tangut_supplement}', "");
    Expect(1, 101760, '\P{__Tangut_supplement}', "");
    Expect(0, 101760, '\P{^__Tangut_supplement}', "");
    Error('\p{/a/	 Is_Tangut_SUPPLEMENT}');
    Error('\P{/a/	 Is_Tangut_SUPPLEMENT}');
    Expect(1, 101759, '\p{istangutsupplement}', "");
    Expect(0, 101759, '\p{^istangutsupplement}', "");
    Expect(0, 101759, '\P{istangutsupplement}', "");
    Expect(1, 101759, '\P{^istangutsupplement}', "");
    Expect(0, 101760, '\p{istangutsupplement}', "");
    Expect(1, 101760, '\p{^istangutsupplement}', "");
    Expect(1, 101760, '\P{istangutsupplement}', "");
    Expect(0, 101760, '\P{^istangutsupplement}', "");
    Expect(1, 101759, '\p{ is_Tangut_supplement}', "");
    Expect(0, 101759, '\p{^ is_Tangut_supplement}', "");
    Expect(0, 101759, '\P{ is_Tangut_supplement}', "");
    Expect(1, 101759, '\P{^ is_Tangut_supplement}', "");
    Expect(0, 101760, '\p{ is_Tangut_supplement}', "");
    Expect(1, 101760, '\p{^ is_Tangut_supplement}', "");
    Expect(1, 101760, '\P{ is_Tangut_supplement}', "");
    Expect(0, 101760, '\P{^ is_Tangut_supplement}', "");
    Error('\p{-:=in_tangut_SUPPLEMENT}');
    Error('\P{-:=in_tangut_SUPPLEMENT}');
    Expect(1, 101759, '\p{intangutsupplement}', "");
    Expect(0, 101759, '\p{^intangutsupplement}', "");
    Expect(0, 101759, '\P{intangutsupplement}', "");
    Expect(1, 101759, '\P{^intangutsupplement}', "");
    Expect(0, 101760, '\p{intangutsupplement}', "");
    Expect(1, 101760, '\p{^intangutsupplement}', "");
    Expect(1, 101760, '\P{intangutsupplement}', "");
    Expect(0, 101760, '\P{^intangutsupplement}', "");
    Expect(1, 101759, '\p{-_In_TANGUT_SUPPLEMENT}', "");
    Expect(0, 101759, '\p{^-_In_TANGUT_SUPPLEMENT}', "");
    Expect(0, 101759, '\P{-_In_TANGUT_SUPPLEMENT}', "");
    Expect(1, 101759, '\P{^-_In_TANGUT_SUPPLEMENT}', "");
    Expect(0, 101760, '\p{-_In_TANGUT_SUPPLEMENT}', "");
    Expect(1, 101760, '\p{^-_In_TANGUT_SUPPLEMENT}', "");
    Expect(1, 101760, '\P{-_In_TANGUT_SUPPLEMENT}', "");
    Expect(0, 101760, '\P{^-_In_TANGUT_SUPPLEMENT}', "");
    Error('\p{:=_-Tangut_Sup}');
    Error('\P{:=_-Tangut_Sup}');
    Expect(1, 101759, '\p{tangutsup}', "");
    Expect(0, 101759, '\p{^tangutsup}', "");
    Expect(0, 101759, '\P{tangutsup}', "");
    Expect(1, 101759, '\P{^tangutsup}', "");
    Expect(0, 101760, '\p{tangutsup}', "");
    Expect(1, 101760, '\p{^tangutsup}', "");
    Expect(1, 101760, '\P{tangutsup}', "");
    Expect(0, 101760, '\P{^tangutsup}', "");
    Expect(1, 101759, '\p{- tangut_Sup}', "");
    Expect(0, 101759, '\p{^- tangut_Sup}', "");
    Expect(0, 101759, '\P{- tangut_Sup}', "");
    Expect(1, 101759, '\P{^- tangut_Sup}', "");
    Expect(0, 101760, '\p{- tangut_Sup}', "");
    Expect(1, 101760, '\p{^- tangut_Sup}', "");
    Expect(1, 101760, '\P{- tangut_Sup}', "");
    Expect(0, 101760, '\P{^- tangut_Sup}', "");
    Error('\p{_/a/Is_tangut_SUP}');
    Error('\P{_/a/Is_tangut_SUP}');
    Expect(1, 101759, '\p{istangutsup}', "");
    Expect(0, 101759, '\p{^istangutsup}', "");
    Expect(0, 101759, '\P{istangutsup}', "");
    Expect(1, 101759, '\P{^istangutsup}', "");
    Expect(0, 101760, '\p{istangutsup}', "");
    Expect(1, 101760, '\p{^istangutsup}', "");
    Expect(1, 101760, '\P{istangutsup}', "");
    Expect(0, 101760, '\P{^istangutsup}', "");
    Expect(1, 101759, '\p{-IS_Tangut_Sup}', "");
    Expect(0, 101759, '\p{^-IS_Tangut_Sup}', "");
    Expect(0, 101759, '\P{-IS_Tangut_Sup}', "");
    Expect(1, 101759, '\P{^-IS_Tangut_Sup}', "");
    Expect(0, 101760, '\p{-IS_Tangut_Sup}', "");
    Expect(1, 101760, '\p{^-IS_Tangut_Sup}', "");
    Expect(1, 101760, '\P{-IS_Tangut_Sup}', "");
    Expect(0, 101760, '\P{^-IS_Tangut_Sup}', "");
    Error('\p{ in_Tangut_SUP/a/}');
    Error('\P{ in_Tangut_SUP/a/}');
    Expect(1, 101759, '\p{intangutsup}', "");
    Expect(0, 101759, '\p{^intangutsup}', "");
    Expect(0, 101759, '\P{intangutsup}', "");
    Expect(1, 101759, '\P{^intangutsup}', "");
    Expect(0, 101760, '\p{intangutsup}', "");
    Expect(1, 101760, '\p{^intangutsup}', "");
    Expect(1, 101760, '\P{intangutsup}', "");
    Expect(0, 101760, '\P{^intangutsup}', "");
    Expect(1, 101759, '\p{  in_Tangut_Sup}', "");
    Expect(0, 101759, '\p{^  in_Tangut_Sup}', "");
    Expect(0, 101759, '\P{  in_Tangut_Sup}', "");
    Expect(1, 101759, '\P{^  in_Tangut_Sup}', "");
    Expect(0, 101760, '\p{  in_Tangut_Sup}', "");
    Expect(1, 101760, '\p{^  in_Tangut_Sup}', "");
    Expect(1, 101760, '\P{  in_Tangut_Sup}', "");
    Expect(0, 101760, '\P{^  in_Tangut_Sup}', "");
    Error('\p{/a/	_Telugu}');
    Error('\P{/a/	_Telugu}');
    Expect(1, 7410, '\p{telugu}', "");
    Expect(0, 7410, '\p{^telugu}', "");
    Expect(0, 7410, '\P{telugu}', "");
    Expect(1, 7410, '\P{^telugu}', "");
    Expect(0, 7411, '\p{telugu}', "");
    Expect(1, 7411, '\p{^telugu}', "");
    Expect(1, 7411, '\P{telugu}', "");
    Expect(0, 7411, '\P{^telugu}', "");
    Expect(1, 7410, '\p{ TELUGU}', "");
    Expect(0, 7410, '\p{^ TELUGU}', "");
    Expect(0, 7410, '\P{ TELUGU}', "");
    Expect(1, 7410, '\P{^ TELUGU}', "");
    Expect(0, 7411, '\p{ TELUGU}', "");
    Expect(1, 7411, '\p{^ TELUGU}', "");
    Expect(1, 7411, '\P{ TELUGU}', "");
    Expect(0, 7411, '\P{^ TELUGU}', "");
    Error('\p{:=	 is_TELUGU}');
    Error('\P{:=	 is_TELUGU}');
    Expect(1, 7410, '\p{istelugu}', "");
    Expect(0, 7410, '\p{^istelugu}', "");
    Expect(0, 7410, '\P{istelugu}', "");
    Expect(1, 7410, '\P{^istelugu}', "");
    Expect(0, 7411, '\p{istelugu}', "");
    Expect(1, 7411, '\p{^istelugu}', "");
    Expect(1, 7411, '\P{istelugu}', "");
    Expect(0, 7411, '\P{^istelugu}', "");
    Expect(1, 7410, '\p{_ is_Telugu}', "");
    Expect(0, 7410, '\p{^_ is_Telugu}', "");
    Expect(0, 7410, '\P{_ is_Telugu}', "");
    Expect(1, 7410, '\P{^_ is_Telugu}', "");
    Expect(0, 7411, '\p{_ is_Telugu}', "");
    Expect(1, 7411, '\p{^_ is_Telugu}', "");
    Expect(1, 7411, '\P{_ is_Telugu}', "");
    Expect(0, 7411, '\P{^_ is_Telugu}', "");
    Error('\p{/a/_ Telu}');
    Error('\P{/a/_ Telu}');
    Expect(1, 7410, '\p{telu}', "");
    Expect(0, 7410, '\p{^telu}', "");
    Expect(0, 7410, '\P{telu}', "");
    Expect(1, 7410, '\P{^telu}', "");
    Expect(0, 7411, '\p{telu}', "");
    Expect(1, 7411, '\p{^telu}', "");
    Expect(1, 7411, '\P{telu}', "");
    Expect(0, 7411, '\P{^telu}', "");
    Expect(1, 7410, '\p{ 	TELU}', "");
    Expect(0, 7410, '\p{^ 	TELU}', "");
    Expect(0, 7410, '\P{ 	TELU}', "");
    Expect(1, 7410, '\P{^ 	TELU}', "");
    Expect(0, 7411, '\p{ 	TELU}', "");
    Expect(1, 7411, '\p{^ 	TELU}', "");
    Expect(1, 7411, '\P{ 	TELU}', "");
    Expect(0, 7411, '\P{^ 	TELU}', "");
    Error('\p{	:=Is_Telu}');
    Error('\P{	:=Is_Telu}');
    Expect(1, 7410, '\p{istelu}', "");
    Expect(0, 7410, '\p{^istelu}', "");
    Expect(0, 7410, '\P{istelu}', "");
    Expect(1, 7410, '\P{^istelu}', "");
    Expect(0, 7411, '\p{istelu}', "");
    Expect(1, 7411, '\p{^istelu}', "");
    Expect(1, 7411, '\P{istelu}', "");
    Expect(0, 7411, '\P{^istelu}', "");
    Expect(1, 7410, '\p{--Is_Telu}', "");
    Expect(0, 7410, '\p{^--Is_Telu}', "");
    Expect(0, 7410, '\P{--Is_Telu}', "");
    Expect(1, 7410, '\P{^--Is_Telu}', "");
    Expect(0, 7411, '\p{--Is_Telu}', "");
    Expect(1, 7411, '\p{^--Is_Telu}', "");
    Expect(1, 7411, '\P{--Is_Telu}', "");
    Expect(0, 7411, '\P{^--Is_Telu}', "");
    Error('\p{:=Terminal_PUNCTUATION}');
    Error('\P{:=Terminal_PUNCTUATION}');
    Expect(1, 121482, '\p{terminalpunctuation}', "");
    Expect(0, 121482, '\p{^terminalpunctuation}', "");
    Expect(0, 121482, '\P{terminalpunctuation}', "");
    Expect(1, 121482, '\P{^terminalpunctuation}', "");
    Expect(0, 121483, '\p{terminalpunctuation}', "");
    Expect(1, 121483, '\p{^terminalpunctuation}', "");
    Expect(1, 121483, '\P{terminalpunctuation}', "");
    Expect(0, 121483, '\P{^terminalpunctuation}', "");
    Expect(1, 121482, '\p{	terminal_Punctuation}', "");
    Expect(0, 121482, '\p{^	terminal_Punctuation}', "");
    Expect(0, 121482, '\P{	terminal_Punctuation}', "");
    Expect(1, 121482, '\P{^	terminal_Punctuation}', "");
    Expect(0, 121483, '\p{	terminal_Punctuation}', "");
    Expect(1, 121483, '\p{^	terminal_Punctuation}', "");
    Expect(1, 121483, '\P{	terminal_Punctuation}', "");
    Expect(0, 121483, '\P{^	terminal_Punctuation}', "");
    Error('\p{ /a/Is_TERMINAL_Punctuation}');
    Error('\P{ /a/Is_TERMINAL_Punctuation}');
    Expect(1, 121482, '\p{isterminalpunctuation}', "");
    Expect(0, 121482, '\p{^isterminalpunctuation}', "");
    Expect(0, 121482, '\P{isterminalpunctuation}', "");
    Expect(1, 121482, '\P{^isterminalpunctuation}', "");
    Expect(0, 121483, '\p{isterminalpunctuation}', "");
    Expect(1, 121483, '\p{^isterminalpunctuation}', "");
    Expect(1, 121483, '\P{isterminalpunctuation}', "");
    Expect(0, 121483, '\P{^isterminalpunctuation}', "");
    Expect(1, 121482, '\p{  is_Terminal_PUNCTUATION}', "");
    Expect(0, 121482, '\p{^  is_Terminal_PUNCTUATION}', "");
    Expect(0, 121482, '\P{  is_Terminal_PUNCTUATION}', "");
    Expect(1, 121482, '\P{^  is_Terminal_PUNCTUATION}', "");
    Expect(0, 121483, '\p{  is_Terminal_PUNCTUATION}', "");
    Expect(1, 121483, '\p{^  is_Terminal_PUNCTUATION}', "");
    Expect(1, 121483, '\P{  is_Terminal_PUNCTUATION}', "");
    Expect(0, 121483, '\P{^  is_Terminal_PUNCTUATION}', "");
    Error('\p{ term/a/}');
    Error('\P{ term/a/}');
    Expect(1, 121482, '\p{term}', "");
    Expect(0, 121482, '\p{^term}', "");
    Expect(0, 121482, '\P{term}', "");
    Expect(1, 121482, '\P{^term}', "");
    Expect(0, 121483, '\p{term}', "");
    Expect(1, 121483, '\p{^term}', "");
    Expect(1, 121483, '\P{term}', "");
    Expect(0, 121483, '\P{^term}', "");
    Expect(1, 121482, '\p{ -Term}', "");
    Expect(0, 121482, '\p{^ -Term}', "");
    Expect(0, 121482, '\P{ -Term}', "");
    Expect(1, 121482, '\P{^ -Term}', "");
    Expect(0, 121483, '\p{ -Term}', "");
    Expect(1, 121483, '\p{^ -Term}', "");
    Expect(1, 121483, '\P{ -Term}', "");
    Expect(0, 121483, '\P{^ -Term}', "");
    Error('\p{/a/	is_term}');
    Error('\P{/a/	is_term}');
    Expect(1, 121482, '\p{isterm}', "");
    Expect(0, 121482, '\p{^isterm}', "");
    Expect(0, 121482, '\P{isterm}', "");
    Expect(1, 121482, '\P{^isterm}', "");
    Expect(0, 121483, '\p{isterm}', "");
    Expect(1, 121483, '\p{^isterm}', "");
    Expect(1, 121483, '\P{isterm}', "");
    Expect(0, 121483, '\P{^isterm}', "");
    Expect(1, 121482, '\p{-IS_Term}', "");
    Expect(0, 121482, '\p{^-IS_Term}', "");
    Expect(0, 121482, '\P{-IS_Term}', "");
    Expect(1, 121482, '\P{^-IS_Term}', "");
    Expect(0, 121483, '\p{-IS_Term}', "");
    Expect(1, 121483, '\p{^-IS_Term}', "");
    Expect(1, 121483, '\P{-IS_Term}', "");
    Expect(0, 121483, '\P{^-IS_Term}', "");
    Error('\p{:= -Thaana}');
    Error('\P{:= -Thaana}');
    Expect(1, 65021, '\p{thaana}', "");
    Expect(0, 65021, '\p{^thaana}', "");
    Expect(0, 65021, '\P{thaana}', "");
    Expect(1, 65021, '\P{^thaana}', "");
    Expect(0, 65022, '\p{thaana}', "");
    Expect(1, 65022, '\p{^thaana}', "");
    Expect(1, 65022, '\P{thaana}', "");
    Expect(0, 65022, '\P{^thaana}', "");
    Expect(1, 65021, '\p{-thaana}', "");
    Expect(0, 65021, '\p{^-thaana}', "");
    Expect(0, 65021, '\P{-thaana}', "");
    Expect(1, 65021, '\P{^-thaana}', "");
    Expect(0, 65022, '\p{-thaana}', "");
    Expect(1, 65022, '\p{^-thaana}', "");
    Expect(1, 65022, '\P{-thaana}', "");
    Expect(0, 65022, '\P{^-thaana}', "");
    Error('\p{ Is_Thaana:=}');
    Error('\P{ Is_Thaana:=}');
    Expect(1, 65021, '\p{isthaana}', "");
    Expect(0, 65021, '\p{^isthaana}', "");
    Expect(0, 65021, '\P{isthaana}', "");
    Expect(1, 65021, '\P{^isthaana}', "");
    Expect(0, 65022, '\p{isthaana}', "");
    Expect(1, 65022, '\p{^isthaana}', "");
    Expect(1, 65022, '\P{isthaana}', "");
    Expect(0, 65022, '\P{^isthaana}', "");
    Expect(1, 65021, '\p{--IS_THAANA}', "");
    Expect(0, 65021, '\p{^--IS_THAANA}', "");
    Expect(0, 65021, '\P{--IS_THAANA}', "");
    Expect(1, 65021, '\P{^--IS_THAANA}', "");
    Expect(0, 65022, '\p{--IS_THAANA}', "");
    Expect(1, 65022, '\p{^--IS_THAANA}', "");
    Expect(1, 65022, '\P{--IS_THAANA}', "");
    Expect(0, 65022, '\P{^--IS_THAANA}', "");
    Error('\p{/a/	_thaa}');
    Error('\P{/a/	_thaa}');
    Expect(1, 65021, '\p{thaa}', "");
    Expect(0, 65021, '\p{^thaa}', "");
    Expect(0, 65021, '\P{thaa}', "");
    Expect(1, 65021, '\P{^thaa}', "");
    Expect(0, 65022, '\p{thaa}', "");
    Expect(1, 65022, '\p{^thaa}', "");
    Expect(1, 65022, '\P{thaa}', "");
    Expect(0, 65022, '\P{^thaa}', "");
    Expect(1, 65021, '\p{_Thaa}', "");
    Expect(0, 65021, '\p{^_Thaa}', "");
    Expect(0, 65021, '\P{_Thaa}', "");
    Expect(1, 65021, '\P{^_Thaa}', "");
    Expect(0, 65022, '\p{_Thaa}', "");
    Expect(1, 65022, '\p{^_Thaa}', "");
    Expect(1, 65022, '\P{_Thaa}', "");
    Expect(0, 65022, '\P{^_Thaa}', "");
    Error('\p{:= -is_Thaa}');
    Error('\P{:= -is_Thaa}');
    Expect(1, 65021, '\p{isthaa}', "");
    Expect(0, 65021, '\p{^isthaa}', "");
    Expect(0, 65021, '\P{isthaa}', "");
    Expect(1, 65021, '\P{^isthaa}', "");
    Expect(0, 65022, '\p{isthaa}', "");
    Expect(1, 65022, '\p{^isthaa}', "");
    Expect(1, 65022, '\P{isthaa}', "");
    Expect(0, 65022, '\P{^isthaa}', "");
    Expect(1, 65021, '\p{-Is_Thaa}', "");
    Expect(0, 65021, '\p{^-Is_Thaa}', "");
    Expect(0, 65021, '\P{-Is_Thaa}', "");
    Expect(1, 65021, '\P{^-Is_Thaa}', "");
    Expect(0, 65022, '\p{-Is_Thaa}', "");
    Expect(1, 65022, '\p{^-Is_Thaa}', "");
    Expect(1, 65022, '\P{-Is_Thaa}', "");
    Expect(0, 65022, '\P{^-Is_Thaa}', "");
    Error('\p{ _Thai/a/}');
    Error('\P{ _Thai/a/}');
    Expect(1, 3675, '\p{thai}', "");
    Expect(0, 3675, '\p{^thai}', "");
    Expect(0, 3675, '\P{thai}', "");
    Expect(1, 3675, '\P{^thai}', "");
    Expect(0, 3676, '\p{thai}', "");
    Expect(1, 3676, '\p{^thai}', "");
    Expect(1, 3676, '\P{thai}', "");
    Expect(0, 3676, '\P{^thai}', "");
    Expect(1, 3675, '\p{-Thai}', "");
    Expect(0, 3675, '\p{^-Thai}', "");
    Expect(0, 3675, '\P{-Thai}', "");
    Expect(1, 3675, '\P{^-Thai}', "");
    Expect(0, 3676, '\p{-Thai}', "");
    Expect(1, 3676, '\p{^-Thai}', "");
    Expect(1, 3676, '\P{-Thai}', "");
    Expect(0, 3676, '\P{^-Thai}', "");
    Error('\p{:=  IS_Thai}');
    Error('\P{:=  IS_Thai}');
    Expect(1, 3675, '\p{isthai}', "");
    Expect(0, 3675, '\p{^isthai}', "");
    Expect(0, 3675, '\P{isthai}', "");
    Expect(1, 3675, '\P{^isthai}', "");
    Expect(0, 3676, '\p{isthai}', "");
    Expect(1, 3676, '\p{^isthai}', "");
    Expect(1, 3676, '\P{isthai}', "");
    Expect(0, 3676, '\P{^isthai}', "");
    Expect(1, 3675, '\p{-	IS_THAI}', "");
    Expect(0, 3675, '\p{^-	IS_THAI}', "");
    Expect(0, 3675, '\P{-	IS_THAI}', "");
    Expect(1, 3675, '\P{^-	IS_THAI}', "");
    Expect(0, 3676, '\p{-	IS_THAI}', "");
    Expect(1, 3676, '\p{^-	IS_THAI}', "");
    Expect(1, 3676, '\P{-	IS_THAI}', "");
    Expect(0, 3676, '\P{^-	IS_THAI}', "");
    Error('\p{_/a/Tibetan}');
    Error('\P{_/a/Tibetan}');
    Expect(1, 4058, '\p{tibetan}', "");
    Expect(0, 4058, '\p{^tibetan}', "");
    Expect(0, 4058, '\P{tibetan}', "");
    Expect(1, 4058, '\P{^tibetan}', "");
    Expect(0, 4059, '\p{tibetan}', "");
    Expect(1, 4059, '\p{^tibetan}', "");
    Expect(1, 4059, '\P{tibetan}', "");
    Expect(0, 4059, '\P{^tibetan}', "");
    Expect(1, 4058, '\p{__tibetan}', "");
    Expect(0, 4058, '\p{^__tibetan}', "");
    Expect(0, 4058, '\P{__tibetan}', "");
    Expect(1, 4058, '\P{^__tibetan}', "");
    Expect(0, 4059, '\p{__tibetan}', "");
    Expect(1, 4059, '\p{^__tibetan}', "");
    Expect(1, 4059, '\P{__tibetan}', "");
    Expect(0, 4059, '\P{^__tibetan}', "");
    Error('\p{/a/_Is_Tibetan}');
    Error('\P{/a/_Is_Tibetan}');
    Expect(1, 4058, '\p{istibetan}', "");
    Expect(0, 4058, '\p{^istibetan}', "");
    Expect(0, 4058, '\P{istibetan}', "");
    Expect(1, 4058, '\P{^istibetan}', "");
    Expect(0, 4059, '\p{istibetan}', "");
    Expect(1, 4059, '\p{^istibetan}', "");
    Expect(1, 4059, '\P{istibetan}', "");
    Expect(0, 4059, '\P{^istibetan}', "");
    Expect(1, 4058, '\p{-_Is_Tibetan}', "");
    Expect(0, 4058, '\p{^-_Is_Tibetan}', "");
    Expect(0, 4058, '\P{-_Is_Tibetan}', "");
    Expect(1, 4058, '\P{^-_Is_Tibetan}', "");
    Expect(0, 4059, '\p{-_Is_Tibetan}', "");
    Expect(1, 4059, '\p{^-_Is_Tibetan}', "");
    Expect(1, 4059, '\P{-_Is_Tibetan}', "");
    Expect(0, 4059, '\P{^-_Is_Tibetan}', "");
    Error('\p{-/a/TIBT}');
    Error('\P{-/a/TIBT}');
    Expect(1, 4058, '\p{tibt}', "");
    Expect(0, 4058, '\p{^tibt}', "");
    Expect(0, 4058, '\P{tibt}', "");
    Expect(1, 4058, '\P{^tibt}', "");
    Expect(0, 4059, '\p{tibt}', "");
    Expect(1, 4059, '\p{^tibt}', "");
    Expect(1, 4059, '\P{tibt}', "");
    Expect(0, 4059, '\P{^tibt}', "");
    Expect(1, 4058, '\p{ Tibt}', "");
    Expect(0, 4058, '\p{^ Tibt}', "");
    Expect(0, 4058, '\P{ Tibt}', "");
    Expect(1, 4058, '\P{^ Tibt}', "");
    Expect(0, 4059, '\p{ Tibt}', "");
    Expect(1, 4059, '\p{^ Tibt}', "");
    Expect(1, 4059, '\P{ Tibt}', "");
    Expect(0, 4059, '\P{^ Tibt}', "");
    Error('\p{ :=Is_Tibt}');
    Error('\P{ :=Is_Tibt}');
    Expect(1, 4058, '\p{istibt}', "");
    Expect(0, 4058, '\p{^istibt}', "");
    Expect(0, 4058, '\P{istibt}', "");
    Expect(1, 4058, '\P{^istibt}', "");
    Expect(0, 4059, '\p{istibt}', "");
    Expect(1, 4059, '\p{^istibt}', "");
    Expect(1, 4059, '\P{istibt}', "");
    Expect(0, 4059, '\P{^istibt}', "");
    Expect(1, 4058, '\p{-	IS_Tibt}', "");
    Expect(0, 4058, '\p{^-	IS_Tibt}', "");
    Expect(0, 4058, '\P{-	IS_Tibt}', "");
    Expect(1, 4058, '\P{^-	IS_Tibt}', "");
    Expect(0, 4059, '\p{-	IS_Tibt}', "");
    Expect(1, 4059, '\p{^-	IS_Tibt}', "");
    Expect(1, 4059, '\P{-	IS_Tibt}', "");
    Expect(0, 4059, '\P{^-	IS_Tibt}', "");
    Error('\p{--TIFINAGH:=}');
    Error('\P{--TIFINAGH:=}');
    Expect(1, 11647, '\p{tifinagh}', "");
    Expect(0, 11647, '\p{^tifinagh}', "");
    Expect(0, 11647, '\P{tifinagh}', "");
    Expect(1, 11647, '\P{^tifinagh}', "");
    Expect(0, 11648, '\p{tifinagh}', "");
    Expect(1, 11648, '\p{^tifinagh}', "");
    Expect(1, 11648, '\P{tifinagh}', "");
    Expect(0, 11648, '\P{^tifinagh}', "");
    Expect(1, 11647, '\p{-_TIFINAGH}', "");
    Expect(0, 11647, '\p{^-_TIFINAGH}', "");
    Expect(0, 11647, '\P{-_TIFINAGH}', "");
    Expect(1, 11647, '\P{^-_TIFINAGH}', "");
    Expect(0, 11648, '\p{-_TIFINAGH}', "");
    Expect(1, 11648, '\p{^-_TIFINAGH}', "");
    Expect(1, 11648, '\P{-_TIFINAGH}', "");
    Expect(0, 11648, '\P{^-_TIFINAGH}', "");
    Error('\p{-	Is_Tifinagh/a/}');
    Error('\P{-	Is_Tifinagh/a/}');
    Expect(1, 11647, '\p{istifinagh}', "");
    Expect(0, 11647, '\p{^istifinagh}', "");
    Expect(0, 11647, '\P{istifinagh}', "");
    Expect(1, 11647, '\P{^istifinagh}', "");
    Expect(0, 11648, '\p{istifinagh}', "");
    Expect(1, 11648, '\p{^istifinagh}', "");
    Expect(1, 11648, '\P{istifinagh}', "");
    Expect(0, 11648, '\P{^istifinagh}', "");
    Expect(1, 11647, '\p{- IS_Tifinagh}', "");
    Expect(0, 11647, '\p{^- IS_Tifinagh}', "");
    Expect(0, 11647, '\P{- IS_Tifinagh}', "");
    Expect(1, 11647, '\P{^- IS_Tifinagh}', "");
    Expect(0, 11648, '\p{- IS_Tifinagh}', "");
    Expect(1, 11648, '\p{^- IS_Tifinagh}', "");
    Expect(1, 11648, '\P{- IS_Tifinagh}', "");
    Expect(0, 11648, '\P{^- IS_Tifinagh}', "");
    Error('\p{	tfng/a/}');
    Error('\P{	tfng/a/}');
    Expect(1, 11647, '\p{tfng}', "");
    Expect(0, 11647, '\p{^tfng}', "");
    Expect(0, 11647, '\P{tfng}', "");
    Expect(1, 11647, '\P{^tfng}', "");
    Expect(0, 11648, '\p{tfng}', "");
    Expect(1, 11648, '\p{^tfng}', "");
    Expect(1, 11648, '\P{tfng}', "");
    Expect(0, 11648, '\P{^tfng}', "");
    Expect(1, 11647, '\p{_TFNG}', "");
    Expect(0, 11647, '\p{^_TFNG}', "");
    Expect(0, 11647, '\P{_TFNG}', "");
    Expect(1, 11647, '\P{^_TFNG}', "");
    Expect(0, 11648, '\p{_TFNG}', "");
    Expect(1, 11648, '\p{^_TFNG}', "");
    Expect(1, 11648, '\P{_TFNG}', "");
    Expect(0, 11648, '\P{^_TFNG}', "");
    Error('\p{/a/is_tfng}');
    Error('\P{/a/is_tfng}');
    Expect(1, 11647, '\p{istfng}', "");
    Expect(0, 11647, '\p{^istfng}', "");
    Expect(0, 11647, '\P{istfng}', "");
    Expect(1, 11647, '\P{^istfng}', "");
    Expect(0, 11648, '\p{istfng}', "");
    Expect(1, 11648, '\p{^istfng}', "");
    Expect(1, 11648, '\P{istfng}', "");
    Expect(0, 11648, '\P{^istfng}', "");
    Expect(1, 11647, '\p{_	IS_Tfng}', "");
    Expect(0, 11647, '\p{^_	IS_Tfng}', "");
    Expect(0, 11647, '\P{_	IS_Tfng}', "");
    Expect(1, 11647, '\P{^_	IS_Tfng}', "");
    Expect(0, 11648, '\p{_	IS_Tfng}', "");
    Expect(1, 11648, '\p{^_	IS_Tfng}', "");
    Expect(1, 11648, '\P{_	IS_Tfng}', "");
    Expect(0, 11648, '\P{^_	IS_Tfng}', "");
    Error('\p{	tirhuta/a/}');
    Error('\P{	tirhuta/a/}');
    Expect(1, 70873, '\p{tirhuta}', "");
    Expect(0, 70873, '\p{^tirhuta}', "");
    Expect(0, 70873, '\P{tirhuta}', "");
    Expect(1, 70873, '\P{^tirhuta}', "");
    Expect(0, 70874, '\p{tirhuta}', "");
    Expect(1, 70874, '\p{^tirhuta}', "");
    Expect(1, 70874, '\P{tirhuta}', "");
    Expect(0, 70874, '\P{^tirhuta}', "");
    Expect(1, 70873, '\p{  tirhuta}', "");
    Expect(0, 70873, '\p{^  tirhuta}', "");
    Expect(0, 70873, '\P{  tirhuta}', "");
    Expect(1, 70873, '\P{^  tirhuta}', "");
    Expect(0, 70874, '\p{  tirhuta}', "");
    Expect(1, 70874, '\p{^  tirhuta}', "");
    Expect(1, 70874, '\P{  tirhuta}', "");
    Expect(0, 70874, '\P{^  tirhuta}', "");
    Error('\p{-/a/IS_Tirhuta}');
    Error('\P{-/a/IS_Tirhuta}');
    Expect(1, 70873, '\p{istirhuta}', "");
    Expect(0, 70873, '\p{^istirhuta}', "");
    Expect(0, 70873, '\P{istirhuta}', "");
    Expect(1, 70873, '\P{^istirhuta}', "");
    Expect(0, 70874, '\p{istirhuta}', "");
    Expect(1, 70874, '\p{^istirhuta}', "");
    Expect(1, 70874, '\P{istirhuta}', "");
    Expect(0, 70874, '\P{^istirhuta}', "");
    Expect(1, 70873, '\p{	_Is_tirhuta}', "");
    Expect(0, 70873, '\p{^	_Is_tirhuta}', "");
    Expect(0, 70873, '\P{	_Is_tirhuta}', "");
    Expect(1, 70873, '\P{^	_Is_tirhuta}', "");
    Expect(0, 70874, '\p{	_Is_tirhuta}', "");
    Expect(1, 70874, '\p{^	_Is_tirhuta}', "");
    Expect(1, 70874, '\P{	_Is_tirhuta}', "");
    Expect(0, 70874, '\P{^	_Is_tirhuta}', "");
    Error('\p{:= TIRH}');
    Error('\P{:= TIRH}');
    Expect(1, 70873, '\p{tirh}', "");
    Expect(0, 70873, '\p{^tirh}', "");
    Expect(0, 70873, '\P{tirh}', "");
    Expect(1, 70873, '\P{^tirh}', "");
    Expect(0, 70874, '\p{tirh}', "");
    Expect(1, 70874, '\p{^tirh}', "");
    Expect(1, 70874, '\P{tirh}', "");
    Expect(0, 70874, '\P{^tirh}', "");
    Expect(1, 70873, '\p{Tirh}', "");
    Expect(0, 70873, '\p{^Tirh}', "");
    Expect(0, 70873, '\P{Tirh}', "");
    Expect(1, 70873, '\P{^Tirh}', "");
    Expect(0, 70874, '\p{Tirh}', "");
    Expect(1, 70874, '\p{^Tirh}', "");
    Expect(1, 70874, '\P{Tirh}', "");
    Expect(0, 70874, '\P{^Tirh}', "");
    Error('\p{ Is_TIRH:=}');
    Error('\P{ Is_TIRH:=}');
    Expect(1, 70873, '\p{istirh}', "");
    Expect(0, 70873, '\p{^istirh}', "");
    Expect(0, 70873, '\P{istirh}', "");
    Expect(1, 70873, '\P{^istirh}', "");
    Expect(0, 70874, '\p{istirh}', "");
    Expect(1, 70874, '\p{^istirh}', "");
    Expect(1, 70874, '\P{istirh}', "");
    Expect(0, 70874, '\P{^istirh}', "");
    Expect(1, 70873, '\p{	_Is_Tirh}', "");
    Expect(0, 70873, '\p{^	_Is_Tirh}', "");
    Expect(0, 70873, '\P{	_Is_Tirh}', "");
    Expect(1, 70873, '\P{^	_Is_Tirh}', "");
    Expect(0, 70874, '\p{	_Is_Tirh}', "");
    Expect(1, 70874, '\p{^	_Is_Tirh}', "");
    Expect(1, 70874, '\P{	_Is_Tirh}', "");
    Expect(0, 70874, '\P{^	_Is_Tirh}', "");
    Error('\p{	 TITLECASE:=}');
    Error('\P{	 TITLECASE:=}');
    Expect(1, 8188, '\p{titlecase}', "");
    Expect(0, 8188, '\p{^titlecase}', "");
    Expect(0, 8188, '\P{titlecase}', "");
    Expect(1, 8188, '\P{^titlecase}', "");
    Expect(0, 8189, '\p{titlecase}', "");
    Expect(1, 8189, '\p{^titlecase}', "");
    Expect(1, 8189, '\P{titlecase}', "");
    Expect(0, 8189, '\P{^titlecase}', "");
    Expect(1, 8188, '\p{ titlecase}', "");
    Expect(0, 8188, '\p{^ titlecase}', "");
    Expect(0, 8188, '\P{ titlecase}', "");
    Expect(1, 8188, '\P{^ titlecase}', "");
    Expect(0, 8189, '\p{ titlecase}', "");
    Expect(1, 8189, '\p{^ titlecase}', "");
    Expect(1, 8189, '\P{ titlecase}', "");
    Expect(0, 8189, '\P{^ titlecase}', "");
    Error('\p{_	Title/a/}');
    Error('\P{_	Title/a/}');
    Expect(1, 8188, '\p{title}', "");
    Expect(0, 8188, '\p{^title}', "");
    Expect(0, 8188, '\P{title}', "");
    Expect(1, 8188, '\P{^title}', "");
    Expect(0, 8189, '\p{title}', "");
    Expect(1, 8189, '\p{^title}', "");
    Expect(1, 8189, '\P{title}', "");
    Expect(0, 8189, '\P{^title}', "");
    Expect(1, 8188, '\p{- TITLE}', "");
    Expect(0, 8188, '\p{^- TITLE}', "");
    Expect(0, 8188, '\P{- TITLE}', "");
    Expect(1, 8188, '\P{^- TITLE}', "");
    Expect(0, 8189, '\p{- TITLE}', "");
    Expect(1, 8189, '\p{^- TITLE}', "");
    Expect(1, 8189, '\P{- TITLE}', "");
    Expect(0, 8189, '\P{^- TITLE}', "");
    Error('\p{ /a/Is_titlecase}');
    Error('\P{ /a/Is_titlecase}');
    Expect(1, 8188, '\p{istitlecase}', "");
    Expect(0, 8188, '\p{^istitlecase}', "");
    Expect(0, 8188, '\P{istitlecase}', "");
    Expect(1, 8188, '\P{^istitlecase}', "");
    Expect(0, 8189, '\p{istitlecase}', "");
    Expect(1, 8189, '\p{^istitlecase}', "");
    Expect(1, 8189, '\P{istitlecase}', "");
    Expect(0, 8189, '\P{^istitlecase}', "");
    Expect(1, 8188, '\p{	_IS_Titlecase}', "");
    Expect(0, 8188, '\p{^	_IS_Titlecase}', "");
    Expect(0, 8188, '\P{	_IS_Titlecase}', "");
    Expect(1, 8188, '\P{^	_IS_Titlecase}', "");
    Expect(0, 8189, '\p{	_IS_Titlecase}', "");
    Expect(1, 8189, '\p{^	_IS_Titlecase}', "");
    Expect(1, 8189, '\P{	_IS_Titlecase}', "");
    Expect(0, 8189, '\P{^	_IS_Titlecase}', "");
    Error('\p{_ Is_Title:=}');
    Error('\P{_ Is_Title:=}');
    Expect(1, 8188, '\p{istitle}', "");
    Expect(0, 8188, '\p{^istitle}', "");
    Expect(0, 8188, '\P{istitle}', "");
    Expect(1, 8188, '\P{^istitle}', "");
    Expect(0, 8189, '\p{istitle}', "");
    Expect(1, 8189, '\p{^istitle}', "");
    Expect(1, 8189, '\P{istitle}', "");
    Expect(0, 8189, '\P{^istitle}', "");
    Expect(1, 8188, '\p{ is_Title}', "");
    Expect(0, 8188, '\p{^ is_Title}', "");
    Expect(0, 8188, '\P{ is_Title}', "");
    Expect(1, 8188, '\P{^ is_Title}', "");
    Expect(0, 8189, '\p{ is_Title}', "");
    Expect(1, 8189, '\p{^ is_Title}', "");
    Expect(1, 8189, '\P{ is_Title}', "");
    Expect(0, 8189, '\P{^ is_Title}', "");
    Error('\p{--TITLECASE_Letter:=}');
    Error('\P{--TITLECASE_Letter:=}');
    Expect(1, 8188, '\p{titlecaseletter}', "");
    Expect(0, 8188, '\p{^titlecaseletter}', "");
    Expect(0, 8188, '\P{titlecaseletter}', "");
    Expect(1, 8188, '\P{^titlecaseletter}', "");
    Expect(0, 8189, '\p{titlecaseletter}', "");
    Expect(1, 8189, '\p{^titlecaseletter}', "");
    Expect(1, 8189, '\P{titlecaseletter}', "");
    Expect(0, 8189, '\P{^titlecaseletter}', "");
    Expect(1, 8188, '\p{ -Titlecase_LETTER}', "");
    Expect(0, 8188, '\p{^ -Titlecase_LETTER}', "");
    Expect(0, 8188, '\P{ -Titlecase_LETTER}', "");
    Expect(1, 8188, '\P{^ -Titlecase_LETTER}', "");
    Expect(0, 8189, '\p{ -Titlecase_LETTER}', "");
    Expect(1, 8189, '\p{^ -Titlecase_LETTER}', "");
    Expect(1, 8189, '\P{ -Titlecase_LETTER}', "");
    Expect(0, 8189, '\P{^ -Titlecase_LETTER}', "");
    Error('\p{--Is_Titlecase_LETTER:=}');
    Error('\P{--Is_Titlecase_LETTER:=}');
    Expect(1, 8188, '\p{istitlecaseletter}', "");
    Expect(0, 8188, '\p{^istitlecaseletter}', "");
    Expect(0, 8188, '\P{istitlecaseletter}', "");
    Expect(1, 8188, '\P{^istitlecaseletter}', "");
    Expect(0, 8189, '\p{istitlecaseletter}', "");
    Expect(1, 8189, '\p{^istitlecaseletter}', "");
    Expect(1, 8189, '\P{istitlecaseletter}', "");
    Expect(0, 8189, '\P{^istitlecaseletter}', "");
    Expect(1, 8188, '\p{ _Is_titlecase_Letter}', "");
    Expect(0, 8188, '\p{^ _Is_titlecase_Letter}', "");
    Expect(0, 8188, '\P{ _Is_titlecase_Letter}', "");
    Expect(1, 8188, '\P{^ _Is_titlecase_Letter}', "");
    Expect(0, 8189, '\p{ _Is_titlecase_Letter}', "");
    Expect(1, 8189, '\p{^ _Is_titlecase_Letter}', "");
    Expect(1, 8189, '\P{ _Is_titlecase_Letter}', "");
    Expect(0, 8189, '\P{^ _Is_titlecase_Letter}', "");
    Error('\p{LT:=}');
    Error('\P{LT:=}');
    Expect(1, 8188, '\p{lt}', "");
    Expect(0, 8188, '\p{^lt}', "");
    Expect(0, 8188, '\P{lt}', "");
    Expect(1, 8188, '\P{^lt}', "");
    Expect(0, 8189, '\p{lt}', "");
    Expect(1, 8189, '\p{^lt}', "");
    Expect(1, 8189, '\P{lt}', "");
    Expect(0, 8189, '\P{^lt}', "");
    Expect(1, 8188, '\p{ Lt}', "");
    Expect(0, 8188, '\p{^ Lt}', "");
    Expect(0, 8188, '\P{ Lt}', "");
    Expect(1, 8188, '\P{^ Lt}', "");
    Expect(0, 8189, '\p{ Lt}', "");
    Expect(1, 8189, '\p{^ Lt}', "");
    Expect(1, 8189, '\P{ Lt}', "");
    Expect(0, 8189, '\P{^ Lt}', "");
    Error('\p{:=-Is_LT}');
    Error('\P{:=-Is_LT}');
    Expect(1, 8188, '\p{islt}', "");
    Expect(0, 8188, '\p{^islt}', "");
    Expect(0, 8188, '\P{islt}', "");
    Expect(1, 8188, '\P{^islt}', "");
    Expect(0, 8189, '\p{islt}', "");
    Expect(1, 8189, '\p{^islt}', "");
    Expect(1, 8189, '\P{islt}', "");
    Expect(0, 8189, '\P{^islt}', "");
    Expect(1, 8188, '\p{ 	is_Lt}', "");
    Expect(0, 8188, '\p{^ 	is_Lt}', "");
    Expect(0, 8188, '\P{ 	is_Lt}', "");
    Expect(1, 8188, '\P{^ 	is_Lt}', "");
    Expect(0, 8189, '\p{ 	is_Lt}', "");
    Expect(1, 8189, '\p{^ 	is_Lt}', "");
    Expect(1, 8189, '\P{ 	is_Lt}', "");
    Expect(0, 8189, '\P{^ 	is_Lt}', "");
    Error('\p{	TOTO/a/}');
    Error('\P{	TOTO/a/}');
    Expect(1, 123566, '\p{toto}', "");
    Expect(0, 123566, '\p{^toto}', "");
    Expect(0, 123566, '\P{toto}', "");
    Expect(1, 123566, '\P{^toto}', "");
    Expect(0, 123567, '\p{toto}', "");
    Expect(1, 123567, '\p{^toto}', "");
    Expect(1, 123567, '\P{toto}', "");
    Expect(0, 123567, '\P{^toto}', "");
    Expect(1, 123566, '\p{		toto}', "");
    Expect(0, 123566, '\p{^		toto}', "");
    Expect(0, 123566, '\P{		toto}', "");
    Expect(1, 123566, '\P{^		toto}', "");
    Expect(0, 123567, '\p{		toto}', "");
    Expect(1, 123567, '\p{^		toto}', "");
    Expect(1, 123567, '\P{		toto}', "");
    Expect(0, 123567, '\P{^		toto}', "");
    Error('\p{	-Is_Toto/a/}');
    Error('\P{	-Is_Toto/a/}');
    Expect(1, 123566, '\p{istoto}', "");
    Expect(0, 123566, '\p{^istoto}', "");
    Expect(0, 123566, '\P{istoto}', "");
    Expect(1, 123566, '\P{^istoto}', "");
    Expect(0, 123567, '\p{istoto}', "");
    Expect(1, 123567, '\p{^istoto}', "");
    Expect(1, 123567, '\P{istoto}', "");
    Expect(0, 123567, '\P{^istoto}', "");
    Expect(1, 123566, '\p{_-Is_Toto}', "");
    Expect(0, 123566, '\p{^_-Is_Toto}', "");
    Expect(0, 123566, '\P{_-Is_Toto}', "");
    Expect(1, 123566, '\P{^_-Is_Toto}', "");
    Expect(0, 123567, '\p{_-Is_Toto}', "");
    Expect(1, 123567, '\p{^_-Is_Toto}', "");
    Expect(1, 123567, '\P{_-Is_Toto}', "");
    Expect(0, 123567, '\P{^_-Is_Toto}', "");
    Error('\p{ /a/Transport_And_MAP_symbols}');
    Error('\P{ /a/Transport_And_MAP_symbols}');
    Expect(1, 128767, '\p{transportandmapsymbols}', "");
    Expect(0, 128767, '\p{^transportandmapsymbols}', "");
    Expect(0, 128767, '\P{transportandmapsymbols}', "");
    Expect(1, 128767, '\P{^transportandmapsymbols}', "");
    Expect(0, 128768, '\p{transportandmapsymbols}', "");
    Expect(1, 128768, '\p{^transportandmapsymbols}', "");
    Expect(1, 128768, '\P{transportandmapsymbols}', "");
    Expect(0, 128768, '\P{^transportandmapsymbols}', "");
    Expect(1, 128767, '\p{_transport_and_map_Symbols}', "");
    Expect(0, 128767, '\p{^_transport_and_map_Symbols}', "");
    Expect(0, 128767, '\P{_transport_and_map_Symbols}', "");
    Expect(1, 128767, '\P{^_transport_and_map_Symbols}', "");
    Expect(0, 128768, '\p{_transport_and_map_Symbols}', "");
    Expect(1, 128768, '\p{^_transport_and_map_Symbols}', "");
    Expect(1, 128768, '\P{_transport_and_map_Symbols}', "");
    Expect(0, 128768, '\P{^_transport_and_map_Symbols}', "");
    Error('\p{ :=Is_transport_and_map_Symbols}');
    Error('\P{ :=Is_transport_and_map_Symbols}');
    Expect(1, 128767, '\p{istransportandmapsymbols}', "");
    Expect(0, 128767, '\p{^istransportandmapsymbols}', "");
    Expect(0, 128767, '\P{istransportandmapsymbols}', "");
    Expect(1, 128767, '\P{^istransportandmapsymbols}', "");
    Expect(0, 128768, '\p{istransportandmapsymbols}', "");
    Expect(1, 128768, '\p{^istransportandmapsymbols}', "");
    Expect(1, 128768, '\P{istransportandmapsymbols}', "");
    Expect(0, 128768, '\P{^istransportandmapsymbols}', "");
    Expect(1, 128767, '\p{-	IS_Transport_And_MAP_Symbols}', "");
    Expect(0, 128767, '\p{^-	IS_Transport_And_MAP_Symbols}', "");
    Expect(0, 128767, '\P{-	IS_Transport_And_MAP_Symbols}', "");
    Expect(1, 128767, '\P{^-	IS_Transport_And_MAP_Symbols}', "");
    Expect(0, 128768, '\p{-	IS_Transport_And_MAP_Symbols}', "");
    Expect(1, 128768, '\p{^-	IS_Transport_And_MAP_Symbols}', "");
    Expect(1, 128768, '\P{-	IS_Transport_And_MAP_Symbols}', "");
    Expect(0, 128768, '\P{^-	IS_Transport_And_MAP_Symbols}', "");
    Error('\p{/a/ -In_Transport_And_map_SYMBOLS}');
    Error('\P{/a/ -In_Transport_And_map_SYMBOLS}');
    Expect(1, 128767, '\p{intransportandmapsymbols}', "");
    Expect(0, 128767, '\p{^intransportandmapsymbols}', "");
    Expect(0, 128767, '\P{intransportandmapsymbols}', "");
    Expect(1, 128767, '\P{^intransportandmapsymbols}', "");
    Expect(0, 128768, '\p{intransportandmapsymbols}', "");
    Expect(1, 128768, '\p{^intransportandmapsymbols}', "");
    Expect(1, 128768, '\P{intransportandmapsymbols}', "");
    Expect(0, 128768, '\P{^intransportandmapsymbols}', "");
    Expect(1, 128767, '\p{	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Expect(0, 128767, '\p{^	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Expect(0, 128767, '\P{	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Expect(1, 128767, '\P{^	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Expect(0, 128768, '\p{	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Expect(1, 128768, '\p{^	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Expect(1, 128768, '\P{	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Expect(0, 128768, '\P{^	-in_TRANSPORT_and_map_SYMBOLS}', "");
    Error('\p{/a/transport_and_Map}');
    Error('\P{/a/transport_and_Map}');
    Expect(1, 128767, '\p{transportandmap}', "");
    Expect(0, 128767, '\p{^transportandmap}', "");
    Expect(0, 128767, '\P{transportandmap}', "");
    Expect(1, 128767, '\P{^transportandmap}', "");
    Expect(0, 128768, '\p{transportandmap}', "");
    Expect(1, 128768, '\p{^transportandmap}', "");
    Expect(1, 128768, '\P{transportandmap}', "");
    Expect(0, 128768, '\P{^transportandmap}', "");
    Expect(1, 128767, '\p{_Transport_AND_Map}', "");
    Expect(0, 128767, '\p{^_Transport_AND_Map}', "");
    Expect(0, 128767, '\P{_Transport_AND_Map}', "");
    Expect(1, 128767, '\P{^_Transport_AND_Map}', "");
    Expect(0, 128768, '\p{_Transport_AND_Map}', "");
    Expect(1, 128768, '\p{^_Transport_AND_Map}', "");
    Expect(1, 128768, '\P{_Transport_AND_Map}', "");
    Expect(0, 128768, '\P{^_Transport_AND_Map}', "");
    Error('\p{/a/  IS_Transport_And_map}');
    Error('\P{/a/  IS_Transport_And_map}');
    Expect(1, 128767, '\p{istransportandmap}', "");
    Expect(0, 128767, '\p{^istransportandmap}', "");
    Expect(0, 128767, '\P{istransportandmap}', "");
    Expect(1, 128767, '\P{^istransportandmap}', "");
    Expect(0, 128768, '\p{istransportandmap}', "");
    Expect(1, 128768, '\p{^istransportandmap}', "");
    Expect(1, 128768, '\P{istransportandmap}', "");
    Expect(0, 128768, '\P{^istransportandmap}', "");
    Expect(1, 128767, '\p{_ Is_Transport_and_map}', "");
    Expect(0, 128767, '\p{^_ Is_Transport_and_map}', "");
    Expect(0, 128767, '\P{_ Is_Transport_and_map}', "");
    Expect(1, 128767, '\P{^_ Is_Transport_and_map}', "");
    Expect(0, 128768, '\p{_ Is_Transport_and_map}', "");
    Expect(1, 128768, '\p{^_ Is_Transport_and_map}', "");
    Expect(1, 128768, '\P{_ Is_Transport_and_map}', "");
    Expect(0, 128768, '\P{^_ Is_Transport_and_map}', "");
    Error('\p{	-In_transport_And_Map:=}');
    Error('\P{	-In_transport_And_Map:=}');
    Expect(1, 128767, '\p{intransportandmap}', "");
    Expect(0, 128767, '\p{^intransportandmap}', "");
    Expect(0, 128767, '\P{intransportandmap}', "");
    Expect(1, 128767, '\P{^intransportandmap}', "");
    Expect(0, 128768, '\p{intransportandmap}', "");
    Expect(1, 128768, '\p{^intransportandmap}', "");
    Expect(1, 128768, '\P{intransportandmap}', "");
    Expect(0, 128768, '\P{^intransportandmap}', "");
    Expect(1, 128767, '\p{In_transport_And_Map}', "");
    Expect(0, 128767, '\p{^In_transport_And_Map}', "");
    Expect(0, 128767, '\P{In_transport_And_Map}', "");
    Expect(1, 128767, '\P{^In_transport_And_Map}', "");
    Expect(0, 128768, '\p{In_transport_And_Map}', "");
    Expect(1, 128768, '\p{^In_transport_And_Map}', "");
    Expect(1, 128768, '\P{In_transport_And_Map}', "");
    Expect(0, 128768, '\P{^In_transport_And_Map}', "");
    Error('\p{ :=ugaritic}');
    Error('\P{ :=ugaritic}');
    Expect(1, 66463, '\p{ugaritic}', "");
    Expect(0, 66463, '\p{^ugaritic}', "");
    Expect(0, 66463, '\P{ugaritic}', "");
    Expect(1, 66463, '\P{^ugaritic}', "");
    Expect(0, 66464, '\p{ugaritic}', "");
    Expect(1, 66464, '\p{^ugaritic}', "");
    Expect(1, 66464, '\P{ugaritic}', "");
    Expect(0, 66464, '\P{^ugaritic}', "");
    Expect(1, 66463, '\p{ _UGARITIC}', "");
    Expect(0, 66463, '\p{^ _UGARITIC}', "");
    Expect(0, 66463, '\P{ _UGARITIC}', "");
    Expect(1, 66463, '\P{^ _UGARITIC}', "");
    Expect(0, 66464, '\p{ _UGARITIC}', "");
    Expect(1, 66464, '\p{^ _UGARITIC}', "");
    Expect(1, 66464, '\P{ _UGARITIC}', "");
    Expect(0, 66464, '\P{^ _UGARITIC}', "");
    Error('\p{:=-	Is_ugaritic}');
    Error('\P{:=-	Is_ugaritic}');
    Expect(1, 66463, '\p{isugaritic}', "");
    Expect(0, 66463, '\p{^isugaritic}', "");
    Expect(0, 66463, '\P{isugaritic}', "");
    Expect(1, 66463, '\P{^isugaritic}', "");
    Expect(0, 66464, '\p{isugaritic}', "");
    Expect(1, 66464, '\p{^isugaritic}', "");
    Expect(1, 66464, '\P{isugaritic}', "");
    Expect(0, 66464, '\P{^isugaritic}', "");
    Expect(1, 66463, '\p{_Is_ugaritic}', "");
    Expect(0, 66463, '\p{^_Is_ugaritic}', "");
    Expect(0, 66463, '\P{_Is_ugaritic}', "");
    Expect(1, 66463, '\P{^_Is_ugaritic}', "");
    Expect(0, 66464, '\p{_Is_ugaritic}', "");
    Expect(1, 66464, '\p{^_Is_ugaritic}', "");
    Expect(1, 66464, '\P{_Is_ugaritic}', "");
    Expect(0, 66464, '\P{^_Is_ugaritic}', "");
    Error('\p{	UGAR:=}');
    Error('\P{	UGAR:=}');
    Expect(1, 66463, '\p{ugar}', "");
    Expect(0, 66463, '\p{^ugar}', "");
    Expect(0, 66463, '\P{ugar}', "");
    Expect(1, 66463, '\P{^ugar}', "");
    Expect(0, 66464, '\p{ugar}', "");
    Expect(1, 66464, '\p{^ugar}', "");
    Expect(1, 66464, '\P{ugar}', "");
    Expect(0, 66464, '\P{^ugar}', "");
    Expect(1, 66463, '\p{ ugar}', "");
    Expect(0, 66463, '\p{^ ugar}', "");
    Expect(0, 66463, '\P{ ugar}', "");
    Expect(1, 66463, '\P{^ ugar}', "");
    Expect(0, 66464, '\p{ ugar}', "");
    Expect(1, 66464, '\p{^ ugar}', "");
    Expect(1, 66464, '\P{ ugar}', "");
    Expect(0, 66464, '\P{^ ugar}', "");
    Error('\p{-:=Is_Ugar}');
    Error('\P{-:=Is_Ugar}');
    Expect(1, 66463, '\p{isugar}', "");
    Expect(0, 66463, '\p{^isugar}', "");
    Expect(0, 66463, '\P{isugar}', "");
    Expect(1, 66463, '\P{^isugar}', "");
    Expect(0, 66464, '\p{isugar}', "");
    Expect(1, 66464, '\p{^isugar}', "");
    Expect(1, 66464, '\P{isugar}', "");
    Expect(0, 66464, '\P{^isugar}', "");
    Expect(1, 66463, '\p{  IS_Ugar}', "");
    Expect(0, 66463, '\p{^  IS_Ugar}', "");
    Expect(0, 66463, '\P{  IS_Ugar}', "");
    Expect(1, 66463, '\P{^  IS_Ugar}', "");
    Expect(0, 66464, '\p{  IS_Ugar}', "");
    Expect(1, 66464, '\p{^  IS_Ugar}', "");
    Expect(1, 66464, '\P{  IS_Ugar}', "");
    Expect(0, 66464, '\P{^  IS_Ugar}', "");
    Error('\p{	:=UNASSIGNED}');
    Error('\P{	:=UNASSIGNED}');
    Expect(1, 918000, '\p{unassigned}', "");
    Expect(0, 918000, '\p{^unassigned}', "");
    Expect(0, 918000, '\P{unassigned}', "");
    Expect(1, 918000, '\P{^unassigned}', "");
    Expect(0, 1114109, '\p{unassigned}', "");
    Expect(1, 1114109, '\p{^unassigned}', "");
    Expect(1, 1114109, '\P{unassigned}', "");
    Expect(0, 1114109, '\P{^unassigned}', "");
    Expect(1, 918000, '\p{__Unassigned}', "");
    Expect(0, 918000, '\p{^__Unassigned}', "");
    Expect(0, 918000, '\P{__Unassigned}', "");
    Expect(1, 918000, '\P{^__Unassigned}', "");
    Expect(0, 1114109, '\p{__Unassigned}', "");
    Expect(1, 1114109, '\p{^__Unassigned}', "");
    Expect(1, 1114109, '\P{__Unassigned}', "");
    Expect(0, 1114109, '\P{^__Unassigned}', "");
    Error('\p{-:=IS_Unassigned}');
    Error('\P{-:=IS_Unassigned}');
    Expect(1, 918000, '\p{isunassigned}', "");
    Expect(0, 918000, '\p{^isunassigned}', "");
    Expect(0, 918000, '\P{isunassigned}', "");
    Expect(1, 918000, '\P{^isunassigned}', "");
    Expect(0, 1114109, '\p{isunassigned}', "");
    Expect(1, 1114109, '\p{^isunassigned}', "");
    Expect(1, 1114109, '\P{isunassigned}', "");
    Expect(0, 1114109, '\P{^isunassigned}', "");
    Expect(1, 918000, '\p{ _Is_UNASSIGNED}', "");
    Expect(0, 918000, '\p{^ _Is_UNASSIGNED}', "");
    Expect(0, 918000, '\P{ _Is_UNASSIGNED}', "");
    Expect(1, 918000, '\P{^ _Is_UNASSIGNED}', "");
    Expect(0, 1114109, '\p{ _Is_UNASSIGNED}', "");
    Expect(1, 1114109, '\p{^ _Is_UNASSIGNED}', "");
    Expect(1, 1114109, '\P{ _Is_UNASSIGNED}', "");
    Expect(0, 1114109, '\P{^ _Is_UNASSIGNED}', "");
    Error('\p{:=  Cn}');
    Error('\P{:=  Cn}');
    Expect(1, 918000, '\p{cn}', "");
    Expect(0, 918000, '\p{^cn}', "");
    Expect(0, 918000, '\P{cn}', "");
    Expect(1, 918000, '\P{^cn}', "");
    Expect(0, 1114109, '\p{cn}', "");
    Expect(1, 1114109, '\p{^cn}', "");
    Expect(1, 1114109, '\P{cn}', "");
    Expect(0, 1114109, '\P{^cn}', "");
    Expect(1, 918000, '\p{ CN}', "");
    Expect(0, 918000, '\p{^ CN}', "");
    Expect(0, 918000, '\P{ CN}', "");
    Expect(1, 918000, '\P{^ CN}', "");
    Expect(0, 1114109, '\p{ CN}', "");
    Expect(1, 1114109, '\p{^ CN}', "");
    Expect(1, 1114109, '\P{ CN}', "");
    Expect(0, 1114109, '\P{^ CN}', "");
    Error('\p{:= 	Is_CN}');
    Error('\P{:= 	Is_CN}');
    Expect(1, 918000, '\p{iscn}', "");
    Expect(0, 918000, '\p{^iscn}', "");
    Expect(0, 918000, '\P{iscn}', "");
    Expect(1, 918000, '\P{^iscn}', "");
    Expect(0, 1114109, '\p{iscn}', "");
    Expect(1, 1114109, '\p{^iscn}', "");
    Expect(1, 1114109, '\P{iscn}', "");
    Expect(0, 1114109, '\P{^iscn}', "");
    Expect(1, 918000, '\p{--IS_Cn}', "");
    Expect(0, 918000, '\p{^--IS_Cn}', "");
    Expect(0, 918000, '\P{--IS_Cn}', "");
    Expect(1, 918000, '\P{^--IS_Cn}', "");
    Expect(0, 1114109, '\p{--IS_Cn}', "");
    Expect(1, 1114109, '\p{^--IS_Cn}', "");
    Expect(1, 1114109, '\P{--IS_Cn}', "");
    Expect(0, 1114109, '\P{^--IS_Cn}', "");
    Error('\p{/a/	-UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS}');
    Error('\P{/a/	-UNIFIED_CANADIAN_ABORIGINAL_SYLLABICS}');
    Expect(1, 5759, '\p{unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\p{^unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\P{unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\P{^unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\p{unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\p{^unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\P{unifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\P{^unifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\p{_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5759, '\p{^_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5759, '\P{_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5759, '\P{^_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5760, '\p{_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5760, '\p{^_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5760, '\P{_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5760, '\P{^_UNIFIED_Canadian_Aboriginal_Syllabics}', "");
    Error('\p{/a/_ Is_UNIFIED_canadian_aboriginal_Syllabics}');
    Error('\P{/a/_ Is_UNIFIED_canadian_aboriginal_Syllabics}');
    Expect(1, 5759, '\p{isunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\P{isunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\p{isunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\P{isunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\p{__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5759, '\p{^__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5759, '\P{__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5759, '\P{^__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5760, '\p{__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5760, '\p{^__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5760, '\P{__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5760, '\P{^__Is_Unified_Canadian_Aboriginal_Syllabics}', "");
    Error('\p{_/a/In_Unified_canadian_ABORIGINAL_SYLLABICS}');
    Error('\P{_/a/In_Unified_canadian_ABORIGINAL_SYLLABICS}');
    Expect(1, 5759, '\p{inunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5759, '\P{inunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\p{inunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5760, '\P{inunifiedcanadianaboriginalsyllabics}', "");
    Expect(0, 5760, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
    Expect(1, 5759, '\p{ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5759, '\p{^ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5759, '\P{ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5759, '\P{^ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5760, '\p{ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5760, '\p{^ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Expect(1, 5760, '\P{ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Expect(0, 5760, '\P{^ In_Unified_canadian_Aboriginal_Syllabics}', "");
    Error('\p{:=  UCAS}');
    Error('\P{:=  UCAS}');
    Expect(1, 5759, '\p{ucas}', "");
    Expect(0, 5759, '\p{^ucas}', "");
    Expect(0, 5759, '\P{ucas}', "");
    Expect(1, 5759, '\P{^ucas}', "");
    Expect(0, 5760, '\p{ucas}', "");
    Expect(1, 5760, '\p{^ucas}', "");
    Expect(1, 5760, '\P{ucas}', "");
    Expect(0, 5760, '\P{^ucas}', "");
    Expect(1, 5759, '\p{_UCAS}', "");
    Expect(0, 5759, '\p{^_UCAS}', "");
    Expect(0, 5759, '\P{_UCAS}', "");
    Expect(1, 5759, '\P{^_UCAS}', "");
    Expect(0, 5760, '\p{_UCAS}', "");
    Expect(1, 5760, '\p{^_UCAS}', "");
    Expect(1, 5760, '\P{_UCAS}', "");
    Expect(0, 5760, '\P{^_UCAS}', "");
    Error('\p{:=	 IS_UCAS}');
    Error('\P{:=	 IS_UCAS}');
    Expect(1, 5759, '\p{isucas}', "");
    Expect(0, 5759, '\p{^isucas}', "");
    Expect(0, 5759, '\P{isucas}', "");
    Expect(1, 5759, '\P{^isucas}', "");
    Expect(0, 5760, '\p{isucas}', "");
    Expect(1, 5760, '\p{^isucas}', "");
    Expect(1, 5760, '\P{isucas}', "");
    Expect(0, 5760, '\P{^isucas}', "");
    Expect(1, 5759, '\p{	is_ucas}', "");
    Expect(0, 5759, '\p{^	is_ucas}', "");
    Expect(0, 5759, '\P{	is_ucas}', "");
    Expect(1, 5759, '\P{^	is_ucas}', "");
    Expect(0, 5760, '\p{	is_ucas}', "");
    Expect(1, 5760, '\p{^	is_ucas}', "");
    Expect(1, 5760, '\P{	is_ucas}', "");
    Expect(0, 5760, '\P{^	is_ucas}', "");
    Error('\p{/a/_In_ucas}');
    Error('\P{/a/_In_ucas}');
    Expect(1, 5759, '\p{inucas}', "");
    Expect(0, 5759, '\p{^inucas}', "");
    Expect(0, 5759, '\P{inucas}', "");
    Expect(1, 5759, '\P{^inucas}', "");
    Expect(0, 5760, '\p{inucas}', "");
    Expect(1, 5760, '\p{^inucas}', "");
    Expect(1, 5760, '\P{inucas}', "");
    Expect(0, 5760, '\P{^inucas}', "");
    Expect(1, 5759, '\p{-_in_UCAS}', "");
    Expect(0, 5759, '\p{^-_in_UCAS}', "");
    Expect(0, 5759, '\P{-_in_UCAS}', "");
    Expect(1, 5759, '\P{^-_in_UCAS}', "");
    Expect(0, 5760, '\p{-_in_UCAS}', "");
    Expect(1, 5760, '\p{^-_in_UCAS}', "");
    Expect(1, 5760, '\P{-_in_UCAS}', "");
    Expect(0, 5760, '\P{^-_in_UCAS}', "");
    Error('\p{-_Canadian_syllabics/a/}');
    Error('\P{-_Canadian_syllabics/a/}');
    Expect(1, 5759, '\p{canadiansyllabics}', "");
    Expect(0, 5759, '\p{^canadiansyllabics}', "");
    Expect(0, 5759, '\P{canadiansyllabics}', "");
    Expect(1, 5759, '\P{^canadiansyllabics}', "");
    Expect(0, 5760, '\p{canadiansyllabics}', "");
    Expect(1, 5760, '\p{^canadiansyllabics}', "");
    Expect(1, 5760, '\P{canadiansyllabics}', "");
    Expect(0, 5760, '\P{^canadiansyllabics}', "");
    Expect(1, 5759, '\p{_-CANADIAN_syllabics}', "");
    Expect(0, 5759, '\p{^_-CANADIAN_syllabics}', "");
    Expect(0, 5759, '\P{_-CANADIAN_syllabics}', "");
    Expect(1, 5759, '\P{^_-CANADIAN_syllabics}', "");
    Expect(0, 5760, '\p{_-CANADIAN_syllabics}', "");
    Expect(1, 5760, '\p{^_-CANADIAN_syllabics}', "");
    Expect(1, 5760, '\P{_-CANADIAN_syllabics}', "");
    Expect(0, 5760, '\P{^_-CANADIAN_syllabics}', "");
    Error('\p{--IS_Canadian_SYLLABICS/a/}');
    Error('\P{--IS_Canadian_SYLLABICS/a/}');
    Expect(1, 5759, '\p{iscanadiansyllabics}', "");
    Expect(0, 5759, '\p{^iscanadiansyllabics}', "");
    Expect(0, 5759, '\P{iscanadiansyllabics}', "");
    Expect(1, 5759, '\P{^iscanadiansyllabics}', "");
    Expect(0, 5760, '\p{iscanadiansyllabics}', "");
    Expect(1, 5760, '\p{^iscanadiansyllabics}', "");
    Expect(1, 5760, '\P{iscanadiansyllabics}', "");
    Expect(0, 5760, '\P{^iscanadiansyllabics}', "");
    Expect(1, 5759, '\p{	 Is_CANADIAN_Syllabics}', "");
    Expect(0, 5759, '\p{^	 Is_CANADIAN_Syllabics}', "");
    Expect(0, 5759, '\P{	 Is_CANADIAN_Syllabics}', "");
    Expect(1, 5759, '\P{^	 Is_CANADIAN_Syllabics}', "");
    Expect(0, 5760, '\p{	 Is_CANADIAN_Syllabics}', "");
    Expect(1, 5760, '\p{^	 Is_CANADIAN_Syllabics}', "");
    Expect(1, 5760, '\P{	 Is_CANADIAN_Syllabics}', "");
    Expect(0, 5760, '\P{^	 Is_CANADIAN_Syllabics}', "");
    Error('\p{:=- in_canadian_Syllabics}');
    Error('\P{:=- in_canadian_Syllabics}');
    Expect(1, 5759, '\p{incanadiansyllabics}', "");
    Expect(0, 5759, '\p{^incanadiansyllabics}', "");
    Expect(0, 5759, '\P{incanadiansyllabics}', "");
    Expect(1, 5759, '\P{^incanadiansyllabics}', "");
    Expect(0, 5760, '\p{incanadiansyllabics}', "");
    Expect(1, 5760, '\p{^incanadiansyllabics}', "");
    Expect(1, 5760, '\P{incanadiansyllabics}', "");
    Expect(0, 5760, '\P{^incanadiansyllabics}', "");
    Expect(1, 5759, '\p{  in_Canadian_Syllabics}', "");
    Expect(0, 5759, '\p{^  in_Canadian_Syllabics}', "");
    Expect(0, 5759, '\P{  in_Canadian_Syllabics}', "");
    Expect(1, 5759, '\P{^  in_Canadian_Syllabics}', "");
    Expect(0, 5760, '\p{  in_Canadian_Syllabics}', "");
    Expect(1, 5760, '\p{^  in_Canadian_Syllabics}', "");
    Expect(1, 5760, '\P{  in_Canadian_Syllabics}', "");
    Expect(0, 5760, '\P{^  in_Canadian_Syllabics}', "");
    Error('\p{/a/_ Unified_CANADIAN_ABORIGINAL_Syllabics_extended}');
    Error('\P{/a/_ Unified_CANADIAN_ABORIGINAL_Syllabics_extended}');
    Expect(1, 6399, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\p{_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Expect(0, 6399, '\p{^_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Expect(0, 6399, '\P{_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Expect(1, 6399, '\P{^_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Expect(0, 6400, '\p{_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Expect(1, 6400, '\p{^_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Expect(1, 6400, '\P{_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Expect(0, 6400, '\P{^_ unified_CANADIAN_Aboriginal_SYLLABICS_Extended}', "");
    Error('\p{:=-Is_unified_CANADIAN_Aboriginal_syllabics_Extended}');
    Error('\P{:=-Is_unified_CANADIAN_Aboriginal_syllabics_Extended}');
    Expect(1, 6399, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\p{  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6399, '\p{^  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6399, '\P{  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(1, 6399, '\P{^  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6400, '\p{  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(1, 6400, '\p{^  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(1, 6400, '\P{  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Expect(0, 6400, '\P{^  Is_unified_CANADIAN_ABORIGINAL_SYLLABICS_EXTENDED}', "");
    Error('\p{/a/__IN_unified_Canadian_aboriginal_Syllabics_Extended}');
    Error('\P{/a/__IN_unified_Canadian_aboriginal_Syllabics_Extended}');
    Expect(1, 6399, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6399, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6400, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(0, 6400, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
    Expect(1, 6399, '\p{_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6399, '\p{^_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6399, '\P{_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Expect(1, 6399, '\P{^_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6400, '\p{_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Expect(1, 6400, '\p{^_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Expect(1, 6400, '\P{_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Expect(0, 6400, '\P{^_ In_UNIFIED_CANADIAN_aboriginal_Syllabics_EXTENDED}', "");
    Error('\p{/a/--UCAS_EXT}');
    Error('\P{/a/--UCAS_EXT}');
    Expect(1, 6399, '\p{ucasext}', "");
    Expect(0, 6399, '\p{^ucasext}', "");
    Expect(0, 6399, '\P{ucasext}', "");
    Expect(1, 6399, '\P{^ucasext}', "");
    Expect(0, 6400, '\p{ucasext}', "");
    Expect(1, 6400, '\p{^ucasext}', "");
    Expect(1, 6400, '\P{ucasext}', "");
    Expect(0, 6400, '\P{^ucasext}', "");
    Expect(1, 6399, '\p{_ ucas_EXT}', "");
    Expect(0, 6399, '\p{^_ ucas_EXT}', "");
    Expect(0, 6399, '\P{_ ucas_EXT}', "");
    Expect(1, 6399, '\P{^_ ucas_EXT}', "");
    Expect(0, 6400, '\p{_ ucas_EXT}', "");
    Expect(1, 6400, '\p{^_ ucas_EXT}', "");
    Expect(1, 6400, '\P{_ ucas_EXT}', "");
    Expect(0, 6400, '\P{^_ ucas_EXT}', "");
    Error('\p{- IS_ucas_Ext:=}');
    Error('\P{- IS_ucas_Ext:=}');
    Expect(1, 6399, '\p{isucasext}', "");
    Expect(0, 6399, '\p{^isucasext}', "");
    Expect(0, 6399, '\P{isucasext}', "");
    Expect(1, 6399, '\P{^isucasext}', "");
    Expect(0, 6400, '\p{isucasext}', "");
    Expect(1, 6400, '\p{^isucasext}', "");
    Expect(1, 6400, '\P{isucasext}', "");
    Expect(0, 6400, '\P{^isucasext}', "");
    Expect(1, 6399, '\p{	-Is_UCAS_ext}', "");
    Expect(0, 6399, '\p{^	-Is_UCAS_ext}', "");
    Expect(0, 6399, '\P{	-Is_UCAS_ext}', "");
    Expect(1, 6399, '\P{^	-Is_UCAS_ext}', "");
    Expect(0, 6400, '\p{	-Is_UCAS_ext}', "");
    Expect(1, 6400, '\p{^	-Is_UCAS_ext}', "");
    Expect(1, 6400, '\P{	-Is_UCAS_ext}', "");
    Expect(0, 6400, '\P{^	-Is_UCAS_ext}', "");
    Error('\p{_In_UCAS_ext/a/}');
    Error('\P{_In_UCAS_ext/a/}');
    Expect(1, 6399, '\p{inucasext}', "");
    Expect(0, 6399, '\p{^inucasext}', "");
    Expect(0, 6399, '\P{inucasext}', "");
    Expect(1, 6399, '\P{^inucasext}', "");
    Expect(0, 6400, '\p{inucasext}', "");
    Expect(1, 6400, '\p{^inucasext}', "");
    Expect(1, 6400, '\P{inucasext}', "");
    Expect(0, 6400, '\P{^inucasext}', "");
    Expect(1, 6399, '\p{-in_ucas_EXT}', "");
    Expect(0, 6399, '\p{^-in_ucas_EXT}', "");
    Expect(0, 6399, '\P{-in_ucas_EXT}', "");
    Expect(1, 6399, '\P{^-in_ucas_EXT}', "");
    Expect(0, 6400, '\p{-in_ucas_EXT}', "");
    Expect(1, 6400, '\p{^-in_ucas_EXT}', "");
    Expect(1, 6400, '\P{-in_ucas_EXT}', "");
    Expect(0, 6400, '\P{^-in_ucas_EXT}', "");
    Error('\p{/a/--UNIFIED_canadian_ABORIGINAL_Syllabics_EXTENDED_A}');
    Error('\P{/a/--UNIFIED_canadian_ABORIGINAL_Syllabics_EXTENDED_A}');
    Expect(1, 72383, '\p{unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\p{^unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\P{unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\P{^unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\p{unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\p{^unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\P{unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\P{^unifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\p{__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Expect(0, 72383, '\p{^__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Expect(0, 72383, '\P{__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Expect(1, 72383, '\P{^__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Expect(0, 72384, '\p{__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Expect(1, 72384, '\p{^__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Expect(1, 72384, '\P{__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Expect(0, 72384, '\P{^__Unified_Canadian_Aboriginal_Syllabics_EXTENDED_A}', "");
    Error('\p{ /a/IS_Unified_canadian_ABORIGINAL_syllabics_extended_A}');
    Error('\P{ /a/IS_Unified_canadian_ABORIGINAL_syllabics_extended_A}');
    Expect(1, 72383, '\p{isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\p{^isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\P{isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\P{^isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\p{isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\p{^isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\P{isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\P{^isunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\p{	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Expect(0, 72383, '\p{^	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Expect(0, 72383, '\P{	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Expect(1, 72383, '\P{^	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Expect(0, 72384, '\p{	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Expect(1, 72384, '\p{^	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Expect(1, 72384, '\P{	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Expect(0, 72384, '\P{^	 IS_Unified_Canadian_aboriginal_Syllabics_extended_A}', "");
    Error('\p{_:=In_UNIFIED_canadian_Aboriginal_syllabics_Extended_a}');
    Error('\P{_:=In_UNIFIED_canadian_Aboriginal_syllabics_Extended_a}');
    Expect(1, 72383, '\p{inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\p{^inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72383, '\P{inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\P{^inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\p{inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\p{^inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72384, '\P{inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(0, 72384, '\P{^inunifiedcanadianaboriginalsyllabicsextendeda}', "");
    Expect(1, 72383, '\p{-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Expect(0, 72383, '\p{^-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Expect(0, 72383, '\P{-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Expect(1, 72383, '\P{^-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Expect(0, 72384, '\p{-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Expect(1, 72384, '\p{^-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Expect(1, 72384, '\P{-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Expect(0, 72384, '\P{^-_IN_Unified_canadian_Aboriginal_SYLLABICS_EXTENDED_a}', "");
    Error('\p{-:=UCAS_Ext_A}');
    Error('\P{-:=UCAS_Ext_A}');
    Expect(1, 72383, '\p{ucasexta}', "");
    Expect(0, 72383, '\p{^ucasexta}', "");
    Expect(0, 72383, '\P{ucasexta}', "");
    Expect(1, 72383, '\P{^ucasexta}', "");
    Expect(0, 72384, '\p{ucasexta}', "");
    Expect(1, 72384, '\p{^ucasexta}', "");
    Expect(1, 72384, '\P{ucasexta}', "");
    Expect(0, 72384, '\P{^ucasexta}', "");
    Expect(1, 72383, '\p{_UCAS_Ext_a}', "");
    Expect(0, 72383, '\p{^_UCAS_Ext_a}', "");
    Expect(0, 72383, '\P{_UCAS_Ext_a}', "");
    Expect(1, 72383, '\P{^_UCAS_Ext_a}', "");
    Expect(0, 72384, '\p{_UCAS_Ext_a}', "");
    Expect(1, 72384, '\p{^_UCAS_Ext_a}', "");
    Expect(1, 72384, '\P{_UCAS_Ext_a}', "");
    Expect(0, 72384, '\P{^_UCAS_Ext_a}', "");
    Error('\p{:=IS_UCAS_Ext_A}');
    Error('\P{:=IS_UCAS_Ext_A}');
    Expect(1, 72383, '\p{isucasexta}', "");
    Expect(0, 72383, '\p{^isucasexta}', "");
    Expect(0, 72383, '\P{isucasexta}', "");
    Expect(1, 72383, '\P{^isucasexta}', "");
    Expect(0, 72384, '\p{isucasexta}', "");
    Expect(1, 72384, '\p{^isucasexta}', "");
    Expect(1, 72384, '\P{isucasexta}', "");
    Expect(0, 72384, '\P{^isucasexta}', "");
    Expect(1, 72383, '\p{ -is_UCAS_ext_A}', "");
    Expect(0, 72383, '\p{^ -is_UCAS_ext_A}', "");
    Expect(0, 72383, '\P{ -is_UCAS_ext_A}', "");
    Expect(1, 72383, '\P{^ -is_UCAS_ext_A}', "");
    Expect(0, 72384, '\p{ -is_UCAS_ext_A}', "");
    Expect(1, 72384, '\p{^ -is_UCAS_ext_A}', "");
    Expect(1, 72384, '\P{ -is_UCAS_ext_A}', "");
    Expect(0, 72384, '\P{^ -is_UCAS_ext_A}', "");
    Error('\p{_:=in_ucas_ext_A}');
    Error('\P{_:=in_ucas_ext_A}');
    Expect(1, 72383, '\p{inucasexta}', "");
    Expect(0, 72383, '\p{^inucasexta}', "");
    Expect(0, 72383, '\P{inucasexta}', "");
    Expect(1, 72383, '\P{^inucasexta}', "");
    Expect(0, 72384, '\p{inucasexta}', "");
    Expect(1, 72384, '\p{^inucasexta}', "");
    Expect(1, 72384, '\P{inucasexta}', "");
    Expect(0, 72384, '\P{^inucasexta}', "");
    Expect(1, 72383, '\p{_in_ucas_Ext_A}', "");
    Expect(0, 72383, '\p{^_in_ucas_Ext_A}', "");
    Expect(0, 72383, '\P{_in_ucas_Ext_A}', "");
    Expect(1, 72383, '\P{^_in_ucas_Ext_A}', "");
    Expect(0, 72384, '\p{_in_ucas_Ext_A}', "");
    Expect(1, 72384, '\p{^_in_ucas_Ext_A}', "");
    Expect(1, 72384, '\P{_in_ucas_Ext_A}', "");
    Expect(0, 72384, '\P{^_in_ucas_Ext_A}', "");
    Error('\p{_:=UNIFIED_IDEOGRAPH}');
    Error('\P{_:=UNIFIED_IDEOGRAPH}');
    Expect(1, 201546, '\p{unifiedideograph}', "");
    Expect(0, 201546, '\p{^unifiedideograph}', "");
    Expect(0, 201546, '\P{unifiedideograph}', "");
    Expect(1, 201546, '\P{^unifiedideograph}', "");
    Expect(0, 201547, '\p{unifiedideograph}', "");
    Expect(1, 201547, '\p{^unifiedideograph}', "");
    Expect(1, 201547, '\P{unifiedideograph}', "");
    Expect(0, 201547, '\P{^unifiedideograph}', "");
    Expect(1, 201546, '\p{-	unified_Ideograph}', "");
    Expect(0, 201546, '\p{^-	unified_Ideograph}', "");
    Expect(0, 201546, '\P{-	unified_Ideograph}', "");
    Expect(1, 201546, '\P{^-	unified_Ideograph}', "");
    Expect(0, 201547, '\p{-	unified_Ideograph}', "");
    Expect(1, 201547, '\p{^-	unified_Ideograph}', "");
    Expect(1, 201547, '\P{-	unified_Ideograph}', "");
    Expect(0, 201547, '\P{^-	unified_Ideograph}', "");
    Error('\p{:=_	Is_unified_Ideograph}');
    Error('\P{:=_	Is_unified_Ideograph}');
    Expect(1, 201546, '\p{isunifiedideograph}', "");
    Expect(0, 201546, '\p{^isunifiedideograph}', "");
    Expect(0, 201546, '\P{isunifiedideograph}', "");
    Expect(1, 201546, '\P{^isunifiedideograph}', "");
    Expect(0, 201547, '\p{isunifiedideograph}', "");
    Expect(1, 201547, '\p{^isunifiedideograph}', "");
    Expect(1, 201547, '\P{isunifiedideograph}', "");
    Expect(0, 201547, '\P{^isunifiedideograph}', "");
    Expect(1, 201546, '\p{ _Is_Unified_ideograph}', "");
    Expect(0, 201546, '\p{^ _Is_Unified_ideograph}', "");
    Expect(0, 201546, '\P{ _Is_Unified_ideograph}', "");
    Expect(1, 201546, '\P{^ _Is_Unified_ideograph}', "");
    Expect(0, 201547, '\p{ _Is_Unified_ideograph}', "");
    Expect(1, 201547, '\p{^ _Is_Unified_ideograph}', "");
    Expect(1, 201547, '\P{ _Is_Unified_ideograph}', "");
    Expect(0, 201547, '\P{^ _Is_Unified_ideograph}', "");
    Error('\p{_/a/UIdeo}');
    Error('\P{_/a/UIdeo}');
    Expect(1, 201546, '\p{uideo}', "");
    Expect(0, 201546, '\p{^uideo}', "");
    Expect(0, 201546, '\P{uideo}', "");
    Expect(1, 201546, '\P{^uideo}', "");
    Expect(0, 201547, '\p{uideo}', "");
    Expect(1, 201547, '\p{^uideo}', "");
    Expect(1, 201547, '\P{uideo}', "");
    Expect(0, 201547, '\P{^uideo}', "");
    Expect(1, 201546, '\p{-UIdeo}', "");
    Expect(0, 201546, '\p{^-UIdeo}', "");
    Expect(0, 201546, '\P{-UIdeo}', "");
    Expect(1, 201546, '\P{^-UIdeo}', "");
    Expect(0, 201547, '\p{-UIdeo}', "");
    Expect(1, 201547, '\p{^-UIdeo}', "");
    Expect(1, 201547, '\P{-UIdeo}', "");
    Expect(0, 201547, '\P{^-UIdeo}', "");
    Error('\p{-:=is_UIdeo}');
    Error('\P{-:=is_UIdeo}');
    Expect(1, 201546, '\p{isuideo}', "");
    Expect(0, 201546, '\p{^isuideo}', "");
    Expect(0, 201546, '\P{isuideo}', "");
    Expect(1, 201546, '\P{^isuideo}', "");
    Expect(0, 201547, '\p{isuideo}', "");
    Expect(1, 201547, '\p{^isuideo}', "");
    Expect(1, 201547, '\P{isuideo}', "");
    Expect(0, 201547, '\P{^isuideo}', "");
    Expect(1, 201546, '\p{_Is_UIdeo}', "");
    Expect(0, 201546, '\p{^_Is_UIdeo}', "");
    Expect(0, 201546, '\P{_Is_UIdeo}', "");
    Expect(1, 201546, '\P{^_Is_UIdeo}', "");
    Expect(0, 201547, '\p{_Is_UIdeo}', "");
    Expect(1, 201547, '\p{^_Is_UIdeo}', "");
    Expect(1, 201547, '\P{_Is_UIdeo}', "");
    Expect(0, 201547, '\P{^_Is_UIdeo}', "");
    Error('\p{ :=Unknown}');
    Error('\P{ :=Unknown}');
    Expect(1, 918000, '\p{unknown}', "");
    Expect(0, 918000, '\p{^unknown}', "");
    Expect(0, 918000, '\P{unknown}', "");
    Expect(1, 918000, '\P{^unknown}', "");
    Expect(0, 917999, '\p{unknown}', "");
    Expect(1, 917999, '\p{^unknown}', "");
    Expect(1, 917999, '\P{unknown}', "");
    Expect(0, 917999, '\P{^unknown}', "");
    Expect(1, 918000, '\p{- unknown}', "");
    Expect(0, 918000, '\p{^- unknown}', "");
    Expect(0, 918000, '\P{- unknown}', "");
    Expect(1, 918000, '\P{^- unknown}', "");
    Expect(0, 917999, '\p{- unknown}', "");
    Expect(1, 917999, '\p{^- unknown}', "");
    Expect(1, 917999, '\P{- unknown}', "");
    Expect(0, 917999, '\P{^- unknown}', "");
    Error('\p{:= 	Is_Unknown}');
    Error('\P{:= 	Is_Unknown}');
    Expect(1, 918000, '\p{isunknown}', "");
    Expect(0, 918000, '\p{^isunknown}', "");
    Expect(0, 918000, '\P{isunknown}', "");
    Expect(1, 918000, '\P{^isunknown}', "");
    Expect(0, 917999, '\p{isunknown}', "");
    Expect(1, 917999, '\p{^isunknown}', "");
    Expect(1, 917999, '\P{isunknown}', "");
    Expect(0, 917999, '\P{^isunknown}', "");
    Expect(1, 918000, '\p{__Is_Unknown}', "");
    Expect(0, 918000, '\p{^__Is_Unknown}', "");
    Expect(0, 918000, '\P{__Is_Unknown}', "");
    Expect(1, 918000, '\P{^__Is_Unknown}', "");
    Expect(0, 917999, '\p{__Is_Unknown}', "");
    Expect(1, 917999, '\p{^__Is_Unknown}', "");
    Expect(1, 917999, '\P{__Is_Unknown}', "");
    Expect(0, 917999, '\P{^__Is_Unknown}', "");
    Error('\p{/a/zzzz}');
    Error('\P{/a/zzzz}');
    Expect(1, 918000, '\p{zzzz}', "");
    Expect(0, 918000, '\p{^zzzz}', "");
    Expect(0, 918000, '\P{zzzz}', "");
    Expect(1, 918000, '\P{^zzzz}', "");
    Expect(0, 917999, '\p{zzzz}', "");
    Expect(1, 917999, '\p{^zzzz}', "");
    Expect(1, 917999, '\P{zzzz}', "");
    Expect(0, 917999, '\P{^zzzz}', "");
    Expect(1, 918000, '\p{		Zzzz}', "");
    Expect(0, 918000, '\p{^		Zzzz}', "");
    Expect(0, 918000, '\P{		Zzzz}', "");
    Expect(1, 918000, '\P{^		Zzzz}', "");
    Expect(0, 917999, '\p{		Zzzz}', "");
    Expect(1, 917999, '\p{^		Zzzz}', "");
    Expect(1, 917999, '\P{		Zzzz}', "");
    Expect(0, 917999, '\P{^		Zzzz}', "");
    Error('\p{_	IS_Zzzz/a/}');
    Error('\P{_	IS_Zzzz/a/}');
    Expect(1, 918000, '\p{iszzzz}', "");
    Expect(0, 918000, '\p{^iszzzz}', "");
    Expect(0, 918000, '\P{iszzzz}', "");
    Expect(1, 918000, '\P{^iszzzz}', "");
    Expect(0, 917999, '\p{iszzzz}', "");
    Expect(1, 917999, '\p{^iszzzz}', "");
    Expect(1, 917999, '\P{iszzzz}', "");
    Expect(0, 917999, '\P{^iszzzz}', "");
    Expect(1, 918000, '\p{_ IS_Zzzz}', "");
    Expect(0, 918000, '\p{^_ IS_Zzzz}', "");
    Expect(0, 918000, '\P{_ IS_Zzzz}', "");
    Expect(1, 918000, '\P{^_ IS_Zzzz}', "");
    Expect(0, 917999, '\p{_ IS_Zzzz}', "");
    Expect(1, 917999, '\p{^_ IS_Zzzz}', "");
    Expect(1, 917999, '\P{_ IS_Zzzz}', "");
    Expect(0, 917999, '\P{^_ IS_Zzzz}', "");
    Error('\p{	/a/Uppercase_letter}');
    Error('\P{	/a/Uppercase_letter}');
    Expect(1, 125217, '\p{uppercaseletter}', "");
    Expect(0, 125217, '\p{^uppercaseletter}', "");
    Expect(0, 125217, '\P{uppercaseletter}', "");
    Expect(1, 125217, '\P{^uppercaseletter}', "");
    Expect(0, 125218, '\p{uppercaseletter}', "");
    Expect(1, 125218, '\p{^uppercaseletter}', "");
    Expect(1, 125218, '\P{uppercaseletter}', "");
    Expect(0, 125218, '\P{^uppercaseletter}', "");
    Expect(1, 125217, '\p{ uppercase_LETTER}', "");
    Expect(0, 125217, '\p{^ uppercase_LETTER}', "");
    Expect(0, 125217, '\P{ uppercase_LETTER}', "");
    Expect(1, 125217, '\P{^ uppercase_LETTER}', "");
    Expect(0, 125218, '\p{ uppercase_LETTER}', "");
    Expect(1, 125218, '\p{^ uppercase_LETTER}', "");
    Expect(1, 125218, '\P{ uppercase_LETTER}', "");
    Expect(0, 125218, '\P{^ uppercase_LETTER}', "");
    Error('\p{	-is_UPPERCASE_letter/a/}');
    Error('\P{	-is_UPPERCASE_letter/a/}');
    Expect(1, 125217, '\p{isuppercaseletter}', "");
    Expect(0, 125217, '\p{^isuppercaseletter}', "");
    Expect(0, 125217, '\P{isuppercaseletter}', "");
    Expect(1, 125217, '\P{^isuppercaseletter}', "");
    Expect(0, 125218, '\p{isuppercaseletter}', "");
    Expect(1, 125218, '\p{^isuppercaseletter}', "");
    Expect(1, 125218, '\P{isuppercaseletter}', "");
    Expect(0, 125218, '\P{^isuppercaseletter}', "");
    Expect(1, 125217, '\p{	Is_Uppercase_Letter}', "");
    Expect(0, 125217, '\p{^	Is_Uppercase_Letter}', "");
    Expect(0, 125217, '\P{	Is_Uppercase_Letter}', "");
    Expect(1, 125217, '\P{^	Is_Uppercase_Letter}', "");
    Expect(0, 125218, '\p{	Is_Uppercase_Letter}', "");
    Expect(1, 125218, '\p{^	Is_Uppercase_Letter}', "");
    Expect(1, 125218, '\P{	Is_Uppercase_Letter}', "");
    Expect(0, 125218, '\P{^	Is_Uppercase_Letter}', "");
    Error('\p{:=-LU}');
    Error('\P{:=-LU}');
    Expect(1, 125217, '\p{lu}', "");
    Expect(0, 125217, '\p{^lu}', "");
    Expect(0, 125217, '\P{lu}', "");
    Expect(1, 125217, '\P{^lu}', "");
    Expect(0, 125218, '\p{lu}', "");
    Expect(1, 125218, '\p{^lu}', "");
    Expect(1, 125218, '\P{lu}', "");
    Expect(0, 125218, '\P{^lu}', "");
    Expect(1, 125217, '\p{-lu}', "");
    Expect(0, 125217, '\p{^-lu}', "");
    Expect(0, 125217, '\P{-lu}', "");
    Expect(1, 125217, '\P{^-lu}', "");
    Expect(0, 125218, '\p{-lu}', "");
    Expect(1, 125218, '\p{^-lu}', "");
    Expect(1, 125218, '\P{-lu}', "");
    Expect(0, 125218, '\P{^-lu}', "");
    Error('\p{:=  is_Lu}');
    Error('\P{:=  is_Lu}');
    Expect(1, 125217, '\p{islu}', "");
    Expect(0, 125217, '\p{^islu}', "");
    Expect(0, 125217, '\P{islu}', "");
    Expect(1, 125217, '\P{^islu}', "");
    Expect(0, 125218, '\p{islu}', "");
    Expect(1, 125218, '\p{^islu}', "");
    Expect(1, 125218, '\P{islu}', "");
    Expect(0, 125218, '\P{^islu}', "");
    Expect(1, 125217, '\p{		Is_Lu}', "");
    Expect(0, 125217, '\p{^		Is_Lu}', "");
    Expect(0, 125217, '\P{		Is_Lu}', "");
    Expect(1, 125217, '\P{^		Is_Lu}', "");
    Expect(0, 125218, '\p{		Is_Lu}', "");
    Expect(1, 125218, '\p{^		Is_Lu}', "");
    Expect(1, 125218, '\P{		Is_Lu}', "");
    Expect(0, 125218, '\P{^		Is_Lu}', "");
    Error('\p{/a/	 Vai}');
    Error('\P{/a/	 Vai}');
    Expect(1, 42539, '\p{vai}', "");
    Expect(0, 42539, '\p{^vai}', "");
    Expect(0, 42539, '\P{vai}', "");
    Expect(1, 42539, '\P{^vai}', "");
    Expect(0, 42540, '\p{vai}', "");
    Expect(1, 42540, '\p{^vai}', "");
    Expect(1, 42540, '\P{vai}', "");
    Expect(0, 42540, '\P{^vai}', "");
    Expect(1, 42539, '\p{ -VAI}', "");
    Expect(0, 42539, '\p{^ -VAI}', "");
    Expect(0, 42539, '\P{ -VAI}', "");
    Expect(1, 42539, '\P{^ -VAI}', "");
    Expect(0, 42540, '\p{ -VAI}', "");
    Expect(1, 42540, '\p{^ -VAI}', "");
    Expect(1, 42540, '\P{ -VAI}', "");
    Expect(0, 42540, '\P{^ -VAI}', "");
    Error('\p{-	Is_VAI:=}');
    Error('\P{-	Is_VAI:=}');
    Expect(1, 42539, '\p{isvai}', "");
    Expect(0, 42539, '\p{^isvai}', "");
    Expect(0, 42539, '\P{isvai}', "");
    Expect(1, 42539, '\P{^isvai}', "");
    Expect(0, 42540, '\p{isvai}', "");
    Expect(1, 42540, '\p{^isvai}', "");
    Expect(1, 42540, '\P{isvai}', "");
    Expect(0, 42540, '\P{^isvai}', "");
    Expect(1, 42539, '\p{_-Is_vai}', "");
    Expect(0, 42539, '\p{^_-Is_vai}', "");
    Expect(0, 42539, '\P{_-Is_vai}', "");
    Expect(1, 42539, '\P{^_-Is_vai}', "");
    Expect(0, 42540, '\p{_-Is_vai}', "");
    Expect(1, 42540, '\p{^_-Is_vai}', "");
    Expect(1, 42540, '\P{_-Is_vai}', "");
    Expect(0, 42540, '\P{^_-Is_vai}', "");
    Error('\p{:= -vaii}');
    Error('\P{:= -vaii}');
    Expect(1, 42539, '\p{vaii}', "");
    Expect(0, 42539, '\p{^vaii}', "");
    Expect(0, 42539, '\P{vaii}', "");
    Expect(1, 42539, '\P{^vaii}', "");
    Expect(0, 42540, '\p{vaii}', "");
    Expect(1, 42540, '\p{^vaii}', "");
    Expect(1, 42540, '\P{vaii}', "");
    Expect(0, 42540, '\P{^vaii}', "");
    Expect(1, 42539, '\p{	vaii}', "");
    Expect(0, 42539, '\p{^	vaii}', "");
    Expect(0, 42539, '\P{	vaii}', "");
    Expect(1, 42539, '\P{^	vaii}', "");
    Expect(0, 42540, '\p{	vaii}', "");
    Expect(1, 42540, '\p{^	vaii}', "");
    Expect(1, 42540, '\P{	vaii}', "");
    Expect(0, 42540, '\P{^	vaii}', "");
    Error('\p{:= _IS_Vaii}');
    Error('\P{:= _IS_Vaii}');
    Expect(1, 42539, '\p{isvaii}', "");
    Expect(0, 42539, '\p{^isvaii}', "");
    Expect(0, 42539, '\P{isvaii}', "");
    Expect(1, 42539, '\P{^isvaii}', "");
    Expect(0, 42540, '\p{isvaii}', "");
    Expect(1, 42540, '\p{^isvaii}', "");
    Expect(1, 42540, '\P{isvaii}', "");
    Expect(0, 42540, '\P{^isvaii}', "");
    Expect(1, 42539, '\p{_ is_Vaii}', "");
    Expect(0, 42539, '\p{^_ is_Vaii}', "");
    Expect(0, 42539, '\P{_ is_Vaii}', "");
    Expect(1, 42539, '\P{^_ is_Vaii}', "");
    Expect(0, 42540, '\p{_ is_Vaii}', "");
    Expect(1, 42540, '\p{^_ is_Vaii}', "");
    Expect(1, 42540, '\P{_ is_Vaii}', "");
    Expect(0, 42540, '\P{^_ is_Vaii}', "");
    Error('\p{/a/	_variation_Selector}');
    Error('\P{/a/	_variation_Selector}');
    Expect(1, 917999, '\p{variationselector}', "");
    Expect(0, 917999, '\p{^variationselector}', "");
    Expect(0, 917999, '\P{variationselector}', "");
    Expect(1, 917999, '\P{^variationselector}', "");
    Expect(0, 918000, '\p{variationselector}', "");
    Expect(1, 918000, '\p{^variationselector}', "");
    Expect(1, 918000, '\P{variationselector}', "");
    Expect(0, 918000, '\P{^variationselector}', "");
    Expect(1, 917999, '\p{  Variation_Selector}', "");
    Expect(0, 917999, '\p{^  Variation_Selector}', "");
    Expect(0, 917999, '\P{  Variation_Selector}', "");
    Expect(1, 917999, '\P{^  Variation_Selector}', "");
    Expect(0, 918000, '\p{  Variation_Selector}', "");
    Expect(1, 918000, '\p{^  Variation_Selector}', "");
    Expect(1, 918000, '\P{  Variation_Selector}', "");
    Expect(0, 918000, '\P{^  Variation_Selector}', "");
    Error('\p{:= -Is_VARIATION_Selector}');
    Error('\P{:= -Is_VARIATION_Selector}');
    Expect(1, 917999, '\p{isvariationselector}', "");
    Expect(0, 917999, '\p{^isvariationselector}', "");
    Expect(0, 917999, '\P{isvariationselector}', "");
    Expect(1, 917999, '\P{^isvariationselector}', "");
    Expect(0, 918000, '\p{isvariationselector}', "");
    Expect(1, 918000, '\p{^isvariationselector}', "");
    Expect(1, 918000, '\P{isvariationselector}', "");
    Expect(0, 918000, '\P{^isvariationselector}', "");
    Expect(1, 917999, '\p{ -IS_Variation_Selector}', "");
    Expect(0, 917999, '\p{^ -IS_Variation_Selector}', "");
    Expect(0, 917999, '\P{ -IS_Variation_Selector}', "");
    Expect(1, 917999, '\P{^ -IS_Variation_Selector}', "");
    Expect(0, 918000, '\p{ -IS_Variation_Selector}', "");
    Expect(1, 918000, '\p{^ -IS_Variation_Selector}', "");
    Expect(1, 918000, '\P{ -IS_Variation_Selector}', "");
    Expect(0, 918000, '\P{^ -IS_Variation_Selector}', "");
    Error('\p{/a/ 	VS}');
    Error('\P{/a/ 	VS}');
    Expect(1, 917999, '\p{vs}', "");
    Expect(0, 917999, '\p{^vs}', "");
    Expect(0, 917999, '\P{vs}', "");
    Expect(1, 917999, '\P{^vs}', "");
    Expect(0, 918000, '\p{vs}', "");
    Expect(1, 918000, '\p{^vs}', "");
    Expect(1, 918000, '\P{vs}', "");
    Expect(0, 918000, '\P{^vs}', "");
    Expect(1, 917999, '\p{-VS}', "");
    Expect(0, 917999, '\p{^-VS}', "");
    Expect(0, 917999, '\P{-VS}', "");
    Expect(1, 917999, '\P{^-VS}', "");
    Expect(0, 918000, '\p{-VS}', "");
    Expect(1, 918000, '\p{^-VS}', "");
    Expect(1, 918000, '\P{-VS}', "");
    Expect(0, 918000, '\P{^-VS}', "");
    Error('\p{_	IS_VS:=}');
    Error('\P{_	IS_VS:=}');
    Expect(1, 917999, '\p{isvs}', "");
    Expect(0, 917999, '\p{^isvs}', "");
    Expect(0, 917999, '\P{isvs}', "");
    Expect(1, 917999, '\P{^isvs}', "");
    Expect(0, 918000, '\p{isvs}', "");
    Expect(1, 918000, '\p{^isvs}', "");
    Expect(1, 918000, '\P{isvs}', "");
    Expect(0, 918000, '\P{^isvs}', "");
    Expect(1, 917999, '\p{	 Is_VS}', "");
    Expect(0, 917999, '\p{^	 Is_VS}', "");
    Expect(0, 917999, '\P{	 Is_VS}', "");
    Expect(1, 917999, '\P{^	 Is_VS}', "");
    Expect(0, 918000, '\p{	 Is_VS}', "");
    Expect(1, 918000, '\p{^	 Is_VS}', "");
    Expect(1, 918000, '\P{	 Is_VS}', "");
    Expect(0, 918000, '\P{^	 Is_VS}', "");
    Error('\p{/a/	-variation_selectors}');
    Error('\P{/a/	-variation_selectors}');
    Expect(1, 65039, '\p{variationselectors}', "");
    Expect(0, 65039, '\p{^variationselectors}', "");
    Expect(0, 65039, '\P{variationselectors}', "");
    Expect(1, 65039, '\P{^variationselectors}', "");
    Expect(0, 65040, '\p{variationselectors}', "");
    Expect(1, 65040, '\p{^variationselectors}', "");
    Expect(1, 65040, '\P{variationselectors}', "");
    Expect(0, 65040, '\P{^variationselectors}', "");
    Expect(1, 65039, '\p{	-VARIATION_SELECTORS}', "");
    Expect(0, 65039, '\p{^	-VARIATION_SELECTORS}', "");
    Expect(0, 65039, '\P{	-VARIATION_SELECTORS}', "");
    Expect(1, 65039, '\P{^	-VARIATION_SELECTORS}', "");
    Expect(0, 65040, '\p{	-VARIATION_SELECTORS}', "");
    Expect(1, 65040, '\p{^	-VARIATION_SELECTORS}', "");
    Expect(1, 65040, '\P{	-VARIATION_SELECTORS}', "");
    Expect(0, 65040, '\P{^	-VARIATION_SELECTORS}', "");
    Error('\p{ _Is_Variation_SELECTORS:=}');
    Error('\P{ _Is_Variation_SELECTORS:=}');
    Expect(1, 65039, '\p{isvariationselectors}', "");
    Expect(0, 65039, '\p{^isvariationselectors}', "");
    Expect(0, 65039, '\P{isvariationselectors}', "");
    Expect(1, 65039, '\P{^isvariationselectors}', "");
    Expect(0, 65040, '\p{isvariationselectors}', "");
    Expect(1, 65040, '\p{^isvariationselectors}', "");
    Expect(1, 65040, '\P{isvariationselectors}', "");
    Expect(0, 65040, '\P{^isvariationselectors}', "");
    Expect(1, 65039, '\p{--IS_variation_SELECTORS}', "");
    Expect(0, 65039, '\p{^--IS_variation_SELECTORS}', "");
    Expect(0, 65039, '\P{--IS_variation_SELECTORS}', "");
    Expect(1, 65039, '\P{^--IS_variation_SELECTORS}', "");
    Expect(0, 65040, '\p{--IS_variation_SELECTORS}', "");
    Expect(1, 65040, '\p{^--IS_variation_SELECTORS}', "");
    Expect(1, 65040, '\P{--IS_variation_SELECTORS}', "");
    Expect(0, 65040, '\P{^--IS_variation_SELECTORS}', "");
    Error('\p{:= In_Variation_Selectors}');
    Error('\P{:= In_Variation_Selectors}');
    Expect(1, 65039, '\p{invariationselectors}', "");
    Expect(0, 65039, '\p{^invariationselectors}', "");
    Expect(0, 65039, '\P{invariationselectors}', "");
    Expect(1, 65039, '\P{^invariationselectors}', "");
    Expect(0, 65040, '\p{invariationselectors}', "");
    Expect(1, 65040, '\p{^invariationselectors}', "");
    Expect(1, 65040, '\P{invariationselectors}', "");
    Expect(0, 65040, '\P{^invariationselectors}', "");
    Expect(1, 65039, '\p{  in_Variation_Selectors}', "");
    Expect(0, 65039, '\p{^  in_Variation_Selectors}', "");
    Expect(0, 65039, '\P{  in_Variation_Selectors}', "");
    Expect(1, 65039, '\P{^  in_Variation_Selectors}', "");
    Expect(0, 65040, '\p{  in_Variation_Selectors}', "");
    Expect(1, 65040, '\p{^  in_Variation_Selectors}', "");
    Expect(1, 65040, '\P{  in_Variation_Selectors}', "");
    Expect(0, 65040, '\P{^  in_Variation_Selectors}', "");
    Error('\p{/a/ -In_VS}');
    Error('\P{/a/ -In_VS}');
    Expect(1, 65039, '\p{invs}', "");
    Expect(0, 65039, '\p{^invs}', "");
    Expect(0, 65039, '\P{invs}', "");
    Expect(1, 65039, '\P{^invs}', "");
    Expect(0, 65040, '\p{invs}', "");
    Expect(1, 65040, '\p{^invs}', "");
    Expect(1, 65040, '\P{invs}', "");
    Expect(0, 65040, '\P{^invs}', "");
    Expect(1, 65039, '\p{_-IN_VS}', "");
    Expect(0, 65039, '\p{^_-IN_VS}', "");
    Expect(0, 65039, '\P{_-IN_VS}', "");
    Expect(1, 65039, '\P{^_-IN_VS}', "");
    Expect(0, 65040, '\p{_-IN_VS}', "");
    Expect(1, 65040, '\p{^_-IN_VS}', "");
    Expect(1, 65040, '\P{_-IN_VS}', "");
    Expect(0, 65040, '\P{^_-IN_VS}', "");
    Error('\p{:=-_VARIATION_Selectors_Supplement}');
    Error('\P{:=-_VARIATION_Selectors_Supplement}');
    Expect(1, 917999, '\p{variationselectorssupplement}', "");
    Expect(0, 917999, '\p{^variationselectorssupplement}', "");
    Expect(0, 917999, '\P{variationselectorssupplement}', "");
    Expect(1, 917999, '\P{^variationselectorssupplement}', "");
    Expect(0, 918000, '\p{variationselectorssupplement}', "");
    Expect(1, 918000, '\p{^variationselectorssupplement}', "");
    Expect(1, 918000, '\P{variationselectorssupplement}', "");
    Expect(0, 918000, '\P{^variationselectorssupplement}', "");
    Expect(1, 917999, '\p{_variation_Selectors_Supplement}', "");
    Expect(0, 917999, '\p{^_variation_Selectors_Supplement}', "");
    Expect(0, 917999, '\P{_variation_Selectors_Supplement}', "");
    Expect(1, 917999, '\P{^_variation_Selectors_Supplement}', "");
    Expect(0, 918000, '\p{_variation_Selectors_Supplement}', "");
    Expect(1, 918000, '\p{^_variation_Selectors_Supplement}', "");
    Expect(1, 918000, '\P{_variation_Selectors_Supplement}', "");
    Expect(0, 918000, '\P{^_variation_Selectors_Supplement}', "");
    Error('\p{ /a/is_variation_selectors_Supplement}');
    Error('\P{ /a/is_variation_selectors_Supplement}');
    Expect(1, 917999, '\p{isvariationselectorssupplement}', "");
    Expect(0, 917999, '\p{^isvariationselectorssupplement}', "");
    Expect(0, 917999, '\P{isvariationselectorssupplement}', "");
    Expect(1, 917999, '\P{^isvariationselectorssupplement}', "");
    Expect(0, 918000, '\p{isvariationselectorssupplement}', "");
    Expect(1, 918000, '\p{^isvariationselectorssupplement}', "");
    Expect(1, 918000, '\P{isvariationselectorssupplement}', "");
    Expect(0, 918000, '\P{^isvariationselectorssupplement}', "");
    Expect(1, 917999, '\p{ _is_Variation_SELECTORS_Supplement}', "");
    Expect(0, 917999, '\p{^ _is_Variation_SELECTORS_Supplement}', "");
    Expect(0, 917999, '\P{ _is_Variation_SELECTORS_Supplement}', "");
    Expect(1, 917999, '\P{^ _is_Variation_SELECTORS_Supplement}', "");
    Expect(0, 918000, '\p{ _is_Variation_SELECTORS_Supplement}', "");
    Expect(1, 918000, '\p{^ _is_Variation_SELECTORS_Supplement}', "");
    Expect(1, 918000, '\P{ _is_Variation_SELECTORS_Supplement}', "");
    Expect(0, 918000, '\P{^ _is_Variation_SELECTORS_Supplement}', "");
    Error('\p{/a/ -In_VARIATION_Selectors_Supplement}');
    Error('\P{/a/ -In_VARIATION_Selectors_Supplement}');
    Expect(1, 917999, '\p{invariationselectorssupplement}', "");
    Expect(0, 917999, '\p{^invariationselectorssupplement}', "");
    Expect(0, 917999, '\P{invariationselectorssupplement}', "");
    Expect(1, 917999, '\P{^invariationselectorssupplement}', "");
    Expect(0, 918000, '\p{invariationselectorssupplement}', "");
    Expect(1, 918000, '\p{^invariationselectorssupplement}', "");
    Expect(1, 918000, '\P{invariationselectorssupplement}', "");
    Expect(0, 918000, '\P{^invariationselectorssupplement}', "");
    Expect(1, 917999, '\p{_In_variation_Selectors_Supplement}', "");
    Expect(0, 917999, '\p{^_In_variation_Selectors_Supplement}', "");
    Expect(0, 917999, '\P{_In_variation_Selectors_Supplement}', "");
    Expect(1, 917999, '\P{^_In_variation_Selectors_Supplement}', "");
    Expect(0, 918000, '\p{_In_variation_Selectors_Supplement}', "");
    Expect(1, 918000, '\p{^_In_variation_Selectors_Supplement}', "");
    Expect(1, 918000, '\P{_In_variation_Selectors_Supplement}', "");
    Expect(0, 918000, '\P{^_In_variation_Selectors_Supplement}', "");
    Error('\p{-	VS_Sup:=}');
    Error('\P{-	VS_Sup:=}');
    Expect(1, 917999, '\p{vssup}', "");
    Expect(0, 917999, '\p{^vssup}', "");
    Expect(0, 917999, '\P{vssup}', "");
    Expect(1, 917999, '\P{^vssup}', "");
    Expect(0, 918000, '\p{vssup}', "");
    Expect(1, 918000, '\p{^vssup}', "");
    Expect(1, 918000, '\P{vssup}', "");
    Expect(0, 918000, '\P{^vssup}', "");
    Expect(1, 917999, '\p{VS_Sup}', "");
    Expect(0, 917999, '\p{^VS_Sup}', "");
    Expect(0, 917999, '\P{VS_Sup}', "");
    Expect(1, 917999, '\P{^VS_Sup}', "");
    Expect(0, 918000, '\p{VS_Sup}', "");
    Expect(1, 918000, '\p{^VS_Sup}', "");
    Expect(1, 918000, '\P{VS_Sup}', "");
    Expect(0, 918000, '\P{^VS_Sup}', "");
    Error('\p{	:=is_VS_sup}');
    Error('\P{	:=is_VS_sup}');
    Expect(1, 917999, '\p{isvssup}', "");
    Expect(0, 917999, '\p{^isvssup}', "");
    Expect(0, 917999, '\P{isvssup}', "");
    Expect(1, 917999, '\P{^isvssup}', "");
    Expect(0, 918000, '\p{isvssup}', "");
    Expect(1, 918000, '\p{^isvssup}', "");
    Expect(1, 918000, '\P{isvssup}', "");
    Expect(0, 918000, '\P{^isvssup}', "");
    Expect(1, 917999, '\p{	-Is_VS_sup}', "");
    Expect(0, 917999, '\p{^	-Is_VS_sup}', "");
    Expect(0, 917999, '\P{	-Is_VS_sup}', "");
    Expect(1, 917999, '\P{^	-Is_VS_sup}', "");
    Expect(0, 918000, '\p{	-Is_VS_sup}', "");
    Expect(1, 918000, '\p{^	-Is_VS_sup}', "");
    Expect(1, 918000, '\P{	-Is_VS_sup}', "");
    Expect(0, 918000, '\P{^	-Is_VS_sup}', "");
    Error('\p{-/a/In_VS_Sup}');
    Error('\P{-/a/In_VS_Sup}');
    Expect(1, 917999, '\p{invssup}', "");
    Expect(0, 917999, '\p{^invssup}', "");
    Expect(0, 917999, '\P{invssup}', "");
    Expect(1, 917999, '\P{^invssup}', "");
    Expect(0, 918000, '\p{invssup}', "");
    Expect(1, 918000, '\p{^invssup}', "");
    Expect(1, 918000, '\P{invssup}', "");
    Expect(0, 918000, '\P{^invssup}', "");
    Expect(1, 917999, '\p{	_In_vs_Sup}', "");
    Expect(0, 917999, '\p{^	_In_vs_Sup}', "");
    Expect(0, 917999, '\P{	_In_vs_Sup}', "");
    Expect(1, 917999, '\P{^	_In_vs_Sup}', "");
    Expect(0, 918000, '\p{	_In_vs_Sup}', "");
    Expect(1, 918000, '\p{^	_In_vs_Sup}', "");
    Expect(1, 918000, '\P{	_In_vs_Sup}', "");
    Expect(0, 918000, '\P{^	_In_vs_Sup}', "");
    Error('\p{-:=vedic_extensions}');
    Error('\P{-:=vedic_extensions}');
    Expect(1, 7423, '\p{vedicextensions}', "");
    Expect(0, 7423, '\p{^vedicextensions}', "");
    Expect(0, 7423, '\P{vedicextensions}', "");
    Expect(1, 7423, '\P{^vedicextensions}', "");
    Expect(0, 7424, '\p{vedicextensions}', "");
    Expect(1, 7424, '\p{^vedicextensions}', "");
    Expect(1, 7424, '\P{vedicextensions}', "");
    Expect(0, 7424, '\P{^vedicextensions}', "");
    Expect(1, 7423, '\p{__Vedic_EXTENSIONS}', "");
    Expect(0, 7423, '\p{^__Vedic_EXTENSIONS}', "");
    Expect(0, 7423, '\P{__Vedic_EXTENSIONS}', "");
    Expect(1, 7423, '\P{^__Vedic_EXTENSIONS}', "");
    Expect(0, 7424, '\p{__Vedic_EXTENSIONS}', "");
    Expect(1, 7424, '\p{^__Vedic_EXTENSIONS}', "");
    Expect(1, 7424, '\P{__Vedic_EXTENSIONS}', "");
    Expect(0, 7424, '\P{^__Vedic_EXTENSIONS}', "");
    Error('\p{:=_ is_vedic_EXTENSIONS}');
    Error('\P{:=_ is_vedic_EXTENSIONS}');
    Expect(1, 7423, '\p{isvedicextensions}', "");
    Expect(0, 7423, '\p{^isvedicextensions}', "");
    Expect(0, 7423, '\P{isvedicextensions}', "");
    Expect(1, 7423, '\P{^isvedicextensions}', "");
    Expect(0, 7424, '\p{isvedicextensions}', "");
    Expect(1, 7424, '\p{^isvedicextensions}', "");
    Expect(1, 7424, '\P{isvedicextensions}', "");
    Expect(0, 7424, '\P{^isvedicextensions}', "");
    Expect(1, 7423, '\p{ _is_Vedic_extensions}', "");
    Expect(0, 7423, '\p{^ _is_Vedic_extensions}', "");
    Expect(0, 7423, '\P{ _is_Vedic_extensions}', "");
    Expect(1, 7423, '\P{^ _is_Vedic_extensions}', "");
    Expect(0, 7424, '\p{ _is_Vedic_extensions}', "");
    Expect(1, 7424, '\p{^ _is_Vedic_extensions}', "");
    Expect(1, 7424, '\P{ _is_Vedic_extensions}', "");
    Expect(0, 7424, '\P{^ _is_Vedic_extensions}', "");
    Error('\p{:= in_Vedic_Extensions}');
    Error('\P{:= in_Vedic_Extensions}');
    Expect(1, 7423, '\p{invedicextensions}', "");
    Expect(0, 7423, '\p{^invedicextensions}', "");
    Expect(0, 7423, '\P{invedicextensions}', "");
    Expect(1, 7423, '\P{^invedicextensions}', "");
    Expect(0, 7424, '\p{invedicextensions}', "");
    Expect(1, 7424, '\p{^invedicextensions}', "");
    Expect(1, 7424, '\P{invedicextensions}', "");
    Expect(0, 7424, '\P{^invedicextensions}', "");
    Expect(1, 7423, '\p{-in_vedic_extensions}', "");
    Expect(0, 7423, '\p{^-in_vedic_extensions}', "");
    Expect(0, 7423, '\P{-in_vedic_extensions}', "");
    Expect(1, 7423, '\P{^-in_vedic_extensions}', "");
    Expect(0, 7424, '\p{-in_vedic_extensions}', "");
    Expect(1, 7424, '\p{^-in_vedic_extensions}', "");
    Expect(1, 7424, '\P{-in_vedic_extensions}', "");
    Expect(0, 7424, '\P{^-in_vedic_extensions}', "");
    Error('\p{:=-VEDIC_EXT}');
    Error('\P{:=-VEDIC_EXT}');
    Expect(1, 7423, '\p{vedicext}', "");
    Expect(0, 7423, '\p{^vedicext}', "");
    Expect(0, 7423, '\P{vedicext}', "");
    Expect(1, 7423, '\P{^vedicext}', "");
    Expect(0, 7424, '\p{vedicext}', "");
    Expect(1, 7424, '\p{^vedicext}', "");
    Expect(1, 7424, '\P{vedicext}', "");
    Expect(0, 7424, '\P{^vedicext}', "");
    Expect(1, 7423, '\p{	vedic_EXT}', "");
    Expect(0, 7423, '\p{^	vedic_EXT}', "");
    Expect(0, 7423, '\P{	vedic_EXT}', "");
    Expect(1, 7423, '\P{^	vedic_EXT}', "");
    Expect(0, 7424, '\p{	vedic_EXT}', "");
    Expect(1, 7424, '\p{^	vedic_EXT}', "");
    Expect(1, 7424, '\P{	vedic_EXT}', "");
    Expect(0, 7424, '\P{^	vedic_EXT}', "");
    Error('\p{:=  is_VEDIC_ext}');
    Error('\P{:=  is_VEDIC_ext}');
    Expect(1, 7423, '\p{isvedicext}', "");
    Expect(0, 7423, '\p{^isvedicext}', "");
    Expect(0, 7423, '\P{isvedicext}', "");
    Expect(1, 7423, '\P{^isvedicext}', "");
    Expect(0, 7424, '\p{isvedicext}', "");
    Expect(1, 7424, '\p{^isvedicext}', "");
    Expect(1, 7424, '\P{isvedicext}', "");
    Expect(0, 7424, '\P{^isvedicext}', "");
    Expect(1, 7423, '\p{ _IS_VEDIC_ext}', "");
    Expect(0, 7423, '\p{^ _IS_VEDIC_ext}', "");
    Expect(0, 7423, '\P{ _IS_VEDIC_ext}', "");
    Expect(1, 7423, '\P{^ _IS_VEDIC_ext}', "");
    Expect(0, 7424, '\p{ _IS_VEDIC_ext}', "");
    Expect(1, 7424, '\p{^ _IS_VEDIC_ext}', "");
    Expect(1, 7424, '\P{ _IS_VEDIC_ext}', "");
    Expect(0, 7424, '\P{^ _IS_VEDIC_ext}', "");
    Error('\p{	/a/In_vedic_Ext}');
    Error('\P{	/a/In_vedic_Ext}');
    Expect(1, 7423, '\p{invedicext}', "");
    Expect(0, 7423, '\p{^invedicext}', "");
    Expect(0, 7423, '\P{invedicext}', "");
    Expect(1, 7423, '\P{^invedicext}', "");
    Expect(0, 7424, '\p{invedicext}', "");
    Expect(1, 7424, '\p{^invedicext}', "");
    Expect(1, 7424, '\P{invedicext}', "");
    Expect(0, 7424, '\P{^invedicext}', "");
    Expect(1, 7423, '\p{-_in_Vedic_Ext}', "");
    Expect(0, 7423, '\p{^-_in_Vedic_Ext}', "");
    Expect(0, 7423, '\P{-_in_Vedic_Ext}', "");
    Expect(1, 7423, '\P{^-_in_Vedic_Ext}', "");
    Expect(0, 7424, '\p{-_in_Vedic_Ext}', "");
    Expect(1, 7424, '\p{^-_in_Vedic_Ext}', "");
    Expect(1, 7424, '\P{-_in_Vedic_Ext}', "");
    Expect(0, 7424, '\P{^-_in_Vedic_Ext}', "");
    Error('\p{/a/-	vertical_Forms}');
    Error('\P{/a/-	vertical_Forms}');
    Expect(1, 65055, '\p{verticalforms}', "");
    Expect(0, 65055, '\p{^verticalforms}', "");
    Expect(0, 65055, '\P{verticalforms}', "");
    Expect(1, 65055, '\P{^verticalforms}', "");
    Expect(0, 65056, '\p{verticalforms}', "");
    Expect(1, 65056, '\p{^verticalforms}', "");
    Expect(1, 65056, '\P{verticalforms}', "");
    Expect(0, 65056, '\P{^verticalforms}', "");
    Expect(1, 65055, '\p{ Vertical_forms}', "");
    Expect(0, 65055, '\p{^ Vertical_forms}', "");
    Expect(0, 65055, '\P{ Vertical_forms}', "");
    Expect(1, 65055, '\P{^ Vertical_forms}', "");
    Expect(0, 65056, '\p{ Vertical_forms}', "");
    Expect(1, 65056, '\p{^ Vertical_forms}', "");
    Expect(1, 65056, '\P{ Vertical_forms}', "");
    Expect(0, 65056, '\P{^ Vertical_forms}', "");
    Error('\p{	:=Is_Vertical_Forms}');
    Error('\P{	:=Is_Vertical_Forms}');
    Expect(1, 65055, '\p{isverticalforms}', "");
    Expect(0, 65055, '\p{^isverticalforms}', "");
    Expect(0, 65055, '\P{isverticalforms}', "");
    Expect(1, 65055, '\P{^isverticalforms}', "");
    Expect(0, 65056, '\p{isverticalforms}', "");
    Expect(1, 65056, '\p{^isverticalforms}', "");
    Expect(1, 65056, '\P{isverticalforms}', "");
    Expect(0, 65056, '\P{^isverticalforms}', "");
    Expect(1, 65055, '\p{_-Is_Vertical_Forms}', "");
    Expect(0, 65055, '\p{^_-Is_Vertical_Forms}', "");
    Expect(0, 65055, '\P{_-Is_Vertical_Forms}', "");
    Expect(1, 65055, '\P{^_-Is_Vertical_Forms}', "");
    Expect(0, 65056, '\p{_-Is_Vertical_Forms}', "");
    Expect(1, 65056, '\p{^_-Is_Vertical_Forms}', "");
    Expect(1, 65056, '\P{_-Is_Vertical_Forms}', "");
    Expect(0, 65056, '\P{^_-Is_Vertical_Forms}', "");
    Error('\p{_In_vertical_forms/a/}');
    Error('\P{_In_vertical_forms/a/}');
    Expect(1, 65055, '\p{inverticalforms}', "");
    Expect(0, 65055, '\p{^inverticalforms}', "");
    Expect(0, 65055, '\P{inverticalforms}', "");
    Expect(1, 65055, '\P{^inverticalforms}', "");
    Expect(0, 65056, '\p{inverticalforms}', "");
    Expect(1, 65056, '\p{^inverticalforms}', "");
    Expect(1, 65056, '\P{inverticalforms}', "");
    Expect(0, 65056, '\P{^inverticalforms}', "");
    Expect(1, 65055, '\p{-IN_VERTICAL_Forms}', "");
    Expect(0, 65055, '\p{^-IN_VERTICAL_Forms}', "");
    Expect(0, 65055, '\P{-IN_VERTICAL_Forms}', "");
    Expect(1, 65055, '\P{^-IN_VERTICAL_Forms}', "");
    Expect(0, 65056, '\p{-IN_VERTICAL_Forms}', "");
    Expect(1, 65056, '\p{^-IN_VERTICAL_Forms}', "");
    Expect(1, 65056, '\P{-IN_VERTICAL_Forms}', "");
    Expect(0, 65056, '\P{^-IN_VERTICAL_Forms}', "");
    Error('\p{	:=VERTSPACE}');
    Error('\P{	:=VERTSPACE}');
    Expect(1, 8233, '\p{vertspace}', "");
    Expect(0, 8233, '\p{^vertspace}', "");
    Expect(0, 8233, '\P{vertspace}', "");
    Expect(1, 8233, '\P{^vertspace}', "");
    Expect(0, 8234, '\p{vertspace}', "");
    Expect(1, 8234, '\p{^vertspace}', "");
    Expect(1, 8234, '\P{vertspace}', "");
    Expect(0, 8234, '\P{^vertspace}', "");
    Expect(1, 8233, '\p{-VertSpace}', "");
    Expect(0, 8233, '\p{^-VertSpace}', "");
    Expect(0, 8233, '\P{-VertSpace}', "");
    Expect(1, 8233, '\P{^-VertSpace}', "");
    Expect(0, 8234, '\p{-VertSpace}', "");
    Expect(1, 8234, '\p{^-VertSpace}', "");
    Expect(1, 8234, '\P{-VertSpace}', "");
    Expect(0, 8234, '\P{^-VertSpace}', "");
    Error('\p{:=		Is_VertSpace}');
    Error('\P{:=		Is_VertSpace}');
    Expect(1, 8233, '\p{isvertspace}', "");
    Expect(0, 8233, '\p{^isvertspace}', "");
    Expect(0, 8233, '\P{isvertspace}', "");
    Expect(1, 8233, '\P{^isvertspace}', "");
    Expect(0, 8234, '\p{isvertspace}', "");
    Expect(1, 8234, '\p{^isvertspace}', "");
    Expect(1, 8234, '\P{isvertspace}', "");
    Expect(0, 8234, '\P{^isvertspace}', "");
    Expect(1, 8233, '\p{_Is_VertSpace}', "");
    Expect(0, 8233, '\p{^_Is_VertSpace}', "");
    Expect(0, 8233, '\P{_Is_VertSpace}', "");
    Expect(1, 8233, '\P{^_Is_VertSpace}', "");
    Expect(0, 8234, '\p{_Is_VertSpace}', "");
    Expect(1, 8234, '\p{^_Is_VertSpace}', "");
    Expect(1, 8234, '\P{_Is_VertSpace}', "");
    Expect(0, 8234, '\P{^_Is_VertSpace}', "");
    Error('\p{/a/	 VITHKUQI}');
    Error('\P{/a/	 VITHKUQI}');
    Expect(1, 67004, '\p{vithkuqi}', "");
    Expect(0, 67004, '\p{^vithkuqi}', "");
    Expect(0, 67004, '\P{vithkuqi}', "");
    Expect(1, 67004, '\P{^vithkuqi}', "");
    Expect(0, 67005, '\p{vithkuqi}', "");
    Expect(1, 67005, '\p{^vithkuqi}', "");
    Expect(1, 67005, '\P{vithkuqi}', "");
    Expect(0, 67005, '\P{^vithkuqi}', "");
    Expect(1, 67004, '\p{Vithkuqi}', "");
    Expect(0, 67004, '\p{^Vithkuqi}', "");
    Expect(0, 67004, '\P{Vithkuqi}', "");
    Expect(1, 67004, '\P{^Vithkuqi}', "");
    Expect(0, 67005, '\p{Vithkuqi}', "");
    Expect(1, 67005, '\p{^Vithkuqi}', "");
    Expect(1, 67005, '\P{Vithkuqi}', "");
    Expect(0, 67005, '\P{^Vithkuqi}', "");
    Error('\p{/a/is_vithkuqi}');
    Error('\P{/a/is_vithkuqi}');
    Expect(1, 67004, '\p{isvithkuqi}', "");
    Expect(0, 67004, '\p{^isvithkuqi}', "");
    Expect(0, 67004, '\P{isvithkuqi}', "");
    Expect(1, 67004, '\P{^isvithkuqi}', "");
    Expect(0, 67005, '\p{isvithkuqi}', "");
    Expect(1, 67005, '\p{^isvithkuqi}', "");
    Expect(1, 67005, '\P{isvithkuqi}', "");
    Expect(0, 67005, '\P{^isvithkuqi}', "");
    Expect(1, 67004, '\p{_Is_VITHKUQI}', "");
    Expect(0, 67004, '\p{^_Is_VITHKUQI}', "");
    Expect(0, 67004, '\P{_Is_VITHKUQI}', "");
    Expect(1, 67004, '\P{^_Is_VITHKUQI}', "");
    Expect(0, 67005, '\p{_Is_VITHKUQI}', "");
    Expect(1, 67005, '\p{^_Is_VITHKUQI}', "");
    Expect(1, 67005, '\P{_Is_VITHKUQI}', "");
    Expect(0, 67005, '\P{^_Is_VITHKUQI}', "");
    Error('\p{ /a/VITH}');
    Error('\P{ /a/VITH}');
    Expect(1, 67004, '\p{vith}', "");
    Expect(0, 67004, '\p{^vith}', "");
    Expect(0, 67004, '\P{vith}', "");
    Expect(1, 67004, '\P{^vith}', "");
    Expect(0, 67005, '\p{vith}', "");
    Expect(1, 67005, '\p{^vith}', "");
    Expect(1, 67005, '\P{vith}', "");
    Expect(0, 67005, '\P{^vith}', "");
    Expect(1, 67004, '\p{_	Vith}', "");
    Expect(0, 67004, '\p{^_	Vith}', "");
    Expect(0, 67004, '\P{_	Vith}', "");
    Expect(1, 67004, '\P{^_	Vith}', "");
    Expect(0, 67005, '\p{_	Vith}', "");
    Expect(1, 67005, '\p{^_	Vith}', "");
    Expect(1, 67005, '\P{_	Vith}', "");
    Expect(0, 67005, '\P{^_	Vith}', "");
    Error('\p{_ Is_VITH/a/}');
    Error('\P{_ Is_VITH/a/}');
    Expect(1, 67004, '\p{isvith}', "");
    Expect(0, 67004, '\p{^isvith}', "");
    Expect(0, 67004, '\P{isvith}', "");
    Expect(1, 67004, '\P{^isvith}', "");
    Expect(0, 67005, '\p{isvith}', "");
    Expect(1, 67005, '\p{^isvith}', "");
    Expect(1, 67005, '\P{isvith}', "");
    Expect(0, 67005, '\P{^isvith}', "");
    Expect(1, 67004, '\p{	-Is_VITH}', "");
    Expect(0, 67004, '\p{^	-Is_VITH}', "");
    Expect(0, 67004, '\P{	-Is_VITH}', "");
    Expect(1, 67004, '\P{^	-Is_VITH}', "");
    Expect(0, 67005, '\p{	-Is_VITH}', "");
    Expect(1, 67005, '\p{^	-Is_VITH}', "");
    Expect(1, 67005, '\P{	-Is_VITH}', "");
    Expect(0, 67005, '\P{^	-Is_VITH}', "");
    Error('\p{	_Wancho:=}');
    Error('\P{	_Wancho:=}');
    Expect(1, 123647, '\p{wancho}', "");
    Expect(0, 123647, '\p{^wancho}', "");
    Expect(0, 123647, '\P{wancho}', "");
    Expect(1, 123647, '\P{^wancho}', "");
    Expect(0, 123648, '\p{wancho}', "");
    Expect(1, 123648, '\p{^wancho}', "");
    Expect(1, 123648, '\P{wancho}', "");
    Expect(0, 123648, '\P{^wancho}', "");
    Expect(1, 123647, '\p{	_Wancho}', "");
    Expect(0, 123647, '\p{^	_Wancho}', "");
    Expect(0, 123647, '\P{	_Wancho}', "");
    Expect(1, 123647, '\P{^	_Wancho}', "");
    Expect(0, 123648, '\p{	_Wancho}', "");
    Expect(1, 123648, '\p{^	_Wancho}', "");
    Expect(1, 123648, '\P{	_Wancho}', "");
    Expect(0, 123648, '\P{^	_Wancho}', "");
    Error('\p{	Is_Wancho/a/}');
    Error('\P{	Is_Wancho/a/}');
    Expect(1, 123647, '\p{iswancho}', "");
    Expect(0, 123647, '\p{^iswancho}', "");
    Expect(0, 123647, '\P{iswancho}', "");
    Expect(1, 123647, '\P{^iswancho}', "");
    Expect(0, 123648, '\p{iswancho}', "");
    Expect(1, 123648, '\p{^iswancho}', "");
    Expect(1, 123648, '\P{iswancho}', "");
    Expect(0, 123648, '\P{^iswancho}', "");
    Expect(1, 123647, '\p{_is_wancho}', "");
    Expect(0, 123647, '\p{^_is_wancho}', "");
    Expect(0, 123647, '\P{_is_wancho}', "");
    Expect(1, 123647, '\P{^_is_wancho}', "");
    Expect(0, 123648, '\p{_is_wancho}', "");
    Expect(1, 123648, '\p{^_is_wancho}', "");
    Expect(1, 123648, '\P{_is_wancho}', "");
    Expect(0, 123648, '\P{^_is_wancho}', "");
    Error('\p{/a/-_Wcho}');
    Error('\P{/a/-_Wcho}');
    Expect(1, 123647, '\p{wcho}', "");
    Expect(0, 123647, '\p{^wcho}', "");
    Expect(0, 123647, '\P{wcho}', "");
    Expect(1, 123647, '\P{^wcho}', "");
    Expect(0, 123648, '\p{wcho}', "");
    Expect(1, 123648, '\p{^wcho}', "");
    Expect(1, 123648, '\P{wcho}', "");
    Expect(0, 123648, '\P{^wcho}', "");
    Expect(1, 123647, '\p{	 Wcho}', "");
    Expect(0, 123647, '\p{^	 Wcho}', "");
    Expect(0, 123647, '\P{	 Wcho}', "");
    Expect(1, 123647, '\P{^	 Wcho}', "");
    Expect(0, 123648, '\p{	 Wcho}', "");
    Expect(1, 123648, '\p{^	 Wcho}', "");
    Expect(1, 123648, '\P{	 Wcho}', "");
    Expect(0, 123648, '\P{^	 Wcho}', "");
    Error('\p{	IS_WCHO:=}');
    Error('\P{	IS_WCHO:=}');
    Expect(1, 123647, '\p{iswcho}', "");
    Expect(0, 123647, '\p{^iswcho}', "");
    Expect(0, 123647, '\P{iswcho}', "");
    Expect(1, 123647, '\P{^iswcho}', "");
    Expect(0, 123648, '\p{iswcho}', "");
    Expect(1, 123648, '\p{^iswcho}', "");
    Expect(1, 123648, '\P{iswcho}', "");
    Expect(0, 123648, '\P{^iswcho}', "");
    Expect(1, 123647, '\p{		Is_Wcho}', "");
    Expect(0, 123647, '\p{^		Is_Wcho}', "");
    Expect(0, 123647, '\P{		Is_Wcho}', "");
    Expect(1, 123647, '\P{^		Is_Wcho}', "");
    Expect(0, 123648, '\p{		Is_Wcho}', "");
    Expect(1, 123648, '\p{^		Is_Wcho}', "");
    Expect(1, 123648, '\P{		Is_Wcho}', "");
    Expect(0, 123648, '\P{^		Is_Wcho}', "");
    Error('\p{ WARANG_CITI/a/}');
    Error('\P{ WARANG_CITI/a/}');
    Expect(1, 71935, '\p{warangciti}', "");
    Expect(0, 71935, '\p{^warangciti}', "");
    Expect(0, 71935, '\P{warangciti}', "");
    Expect(1, 71935, '\P{^warangciti}', "");
    Expect(0, 71936, '\p{warangciti}', "");
    Expect(1, 71936, '\p{^warangciti}', "");
    Expect(1, 71936, '\P{warangciti}', "");
    Expect(0, 71936, '\P{^warangciti}', "");
    Expect(1, 71935, '\p{_	Warang_Citi}', "");
    Expect(0, 71935, '\p{^_	Warang_Citi}', "");
    Expect(0, 71935, '\P{_	Warang_Citi}', "");
    Expect(1, 71935, '\P{^_	Warang_Citi}', "");
    Expect(0, 71936, '\p{_	Warang_Citi}', "");
    Expect(1, 71936, '\p{^_	Warang_Citi}', "");
    Expect(1, 71936, '\P{_	Warang_Citi}', "");
    Expect(0, 71936, '\P{^_	Warang_Citi}', "");
    Error('\p{_/a/Is_Warang_CITI}');
    Error('\P{_/a/Is_Warang_CITI}');
    Expect(1, 71935, '\p{iswarangciti}', "");
    Expect(0, 71935, '\p{^iswarangciti}', "");
    Expect(0, 71935, '\P{iswarangciti}', "");
    Expect(1, 71935, '\P{^iswarangciti}', "");
    Expect(0, 71936, '\p{iswarangciti}', "");
    Expect(1, 71936, '\p{^iswarangciti}', "");
    Expect(1, 71936, '\P{iswarangciti}', "");
    Expect(0, 71936, '\P{^iswarangciti}', "");
    Expect(1, 71935, '\p{_Is_WARANG_Citi}', "");
    Expect(0, 71935, '\p{^_Is_WARANG_Citi}', "");
    Expect(0, 71935, '\P{_Is_WARANG_Citi}', "");
    Expect(1, 71935, '\P{^_Is_WARANG_Citi}', "");
    Expect(0, 71936, '\p{_Is_WARANG_Citi}', "");
    Expect(1, 71936, '\p{^_Is_WARANG_Citi}', "");
    Expect(1, 71936, '\P{_Is_WARANG_Citi}', "");
    Expect(0, 71936, '\P{^_Is_WARANG_Citi}', "");
    Error('\p{	Wara:=}');
    Error('\P{	Wara:=}');
    Expect(1, 71935, '\p{wara}', "");
    Expect(0, 71935, '\p{^wara}', "");
    Expect(0, 71935, '\P{wara}', "");
    Expect(1, 71935, '\P{^wara}', "");
    Expect(0, 71936, '\p{wara}', "");
    Expect(1, 71936, '\p{^wara}', "");
    Expect(1, 71936, '\P{wara}', "");
    Expect(0, 71936, '\P{^wara}', "");
    Expect(1, 71935, '\p{-wara}', "");
    Expect(0, 71935, '\p{^-wara}', "");
    Expect(0, 71935, '\P{-wara}', "");
    Expect(1, 71935, '\P{^-wara}', "");
    Expect(0, 71936, '\p{-wara}', "");
    Expect(1, 71936, '\p{^-wara}', "");
    Expect(1, 71936, '\P{-wara}', "");
    Expect(0, 71936, '\P{^-wara}', "");
    Error('\p{-	is_Wara/a/}');
    Error('\P{-	is_Wara/a/}');
    Expect(1, 71935, '\p{iswara}', "");
    Expect(0, 71935, '\p{^iswara}', "");
    Expect(0, 71935, '\P{iswara}', "");
    Expect(1, 71935, '\P{^iswara}', "");
    Expect(0, 71936, '\p{iswara}', "");
    Expect(1, 71936, '\p{^iswara}', "");
    Expect(1, 71936, '\P{iswara}', "");
    Expect(0, 71936, '\P{^iswara}', "");
    Expect(1, 71935, '\p{__is_wara}', "");
    Expect(0, 71935, '\p{^__is_wara}', "");
    Expect(0, 71935, '\P{__is_wara}', "");
    Expect(1, 71935, '\P{^__is_wara}', "");
    Expect(0, 71936, '\p{__is_wara}', "");
    Expect(1, 71936, '\p{^__is_wara}', "");
    Expect(1, 71936, '\P{__is_wara}', "");
    Expect(0, 71936, '\P{^__is_wara}', "");
    Error('\p{	:=White_Space}');
    Error('\P{	:=White_Space}');
    Expect(1, 12288, '\p{whitespace}', "");
    Expect(0, 12288, '\p{^whitespace}', "");
    Expect(0, 12288, '\P{whitespace}', "");
    Expect(1, 12288, '\P{^whitespace}', "");
    Expect(0, 12289, '\p{whitespace}', "");
    Expect(1, 12289, '\p{^whitespace}', "");
    Expect(1, 12289, '\P{whitespace}', "");
    Expect(0, 12289, '\P{^whitespace}', "");
    Expect(1, 12288, '\p{_White_space}', "");
    Expect(0, 12288, '\p{^_White_space}', "");
    Expect(0, 12288, '\P{_White_space}', "");
    Expect(1, 12288, '\P{^_White_space}', "");
    Expect(0, 12289, '\p{_White_space}', "");
    Expect(1, 12289, '\p{^_White_space}', "");
    Expect(1, 12289, '\P{_White_space}', "");
    Expect(0, 12289, '\P{^_White_space}', "");
    Error('\p{:=		Is_WHITE_SPACE}');
    Error('\P{:=		Is_WHITE_SPACE}');
    Expect(1, 12288, '\p{iswhitespace}', "");
    Expect(0, 12288, '\p{^iswhitespace}', "");
    Expect(0, 12288, '\P{iswhitespace}', "");
    Expect(1, 12288, '\P{^iswhitespace}', "");
    Expect(0, 12289, '\p{iswhitespace}', "");
    Expect(1, 12289, '\p{^iswhitespace}', "");
    Expect(1, 12289, '\P{iswhitespace}', "");
    Expect(0, 12289, '\P{^iswhitespace}', "");
    Expect(1, 12288, '\p{_	Is_White_Space}', "");
    Expect(0, 12288, '\p{^_	Is_White_Space}', "");
    Expect(0, 12288, '\P{_	Is_White_Space}', "");
    Expect(1, 12288, '\P{^_	Is_White_Space}', "");
    Expect(0, 12289, '\p{_	Is_White_Space}', "");
    Expect(1, 12289, '\p{^_	Is_White_Space}', "");
    Expect(1, 12289, '\P{_	Is_White_Space}', "");
    Expect(0, 12289, '\P{^_	Is_White_Space}', "");
    Error('\p{:=--wspace}');
    Error('\P{:=--wspace}');
    Expect(1, 12288, '\p{wspace}', "");
    Expect(0, 12288, '\p{^wspace}', "");
    Expect(0, 12288, '\P{wspace}', "");
    Expect(1, 12288, '\P{^wspace}', "");
    Expect(0, 12289, '\p{wspace}', "");
    Expect(1, 12289, '\p{^wspace}', "");
    Expect(1, 12289, '\P{wspace}', "");
    Expect(0, 12289, '\P{^wspace}', "");
    Expect(1, 12288, '\p{-WSpace}', "");
    Expect(0, 12288, '\p{^-WSpace}', "");
    Expect(0, 12288, '\P{-WSpace}', "");
    Expect(1, 12288, '\P{^-WSpace}', "");
    Expect(0, 12289, '\p{-WSpace}', "");
    Expect(1, 12289, '\p{^-WSpace}', "");
    Expect(1, 12289, '\P{-WSpace}', "");
    Expect(0, 12289, '\P{^-WSpace}', "");
    Error('\p{_/a/is_WSpace}');
    Error('\P{_/a/is_WSpace}');
    Expect(1, 12288, '\p{iswspace}', "");
    Expect(0, 12288, '\p{^iswspace}', "");
    Expect(0, 12288, '\P{iswspace}', "");
    Expect(1, 12288, '\P{^iswspace}', "");
    Expect(0, 12289, '\p{iswspace}', "");
    Expect(1, 12289, '\p{^iswspace}', "");
    Expect(1, 12289, '\P{iswspace}', "");
    Expect(0, 12289, '\P{^iswspace}', "");
    Expect(1, 12288, '\p{	_IS_WSpace}', "");
    Expect(0, 12288, '\p{^	_IS_WSpace}', "");
    Expect(0, 12288, '\P{	_IS_WSpace}', "");
    Expect(1, 12288, '\P{^	_IS_WSpace}', "");
    Expect(0, 12289, '\p{	_IS_WSpace}', "");
    Expect(1, 12289, '\p{^	_IS_WSpace}', "");
    Expect(1, 12289, '\P{	_IS_WSpace}', "");
    Expect(0, 12289, '\P{^	_IS_WSpace}', "");
    Error('\p{-/a/Space}');
    Error('\P{-/a/Space}');
    Expect(1, 12288, '\p{space}', "");
    Expect(0, 12288, '\p{^space}', "");
    Expect(0, 12288, '\P{space}', "");
    Expect(1, 12288, '\P{^space}', "");
    Expect(0, 12289, '\p{space}', "");
    Expect(1, 12289, '\p{^space}', "");
    Expect(1, 12289, '\P{space}', "");
    Expect(0, 12289, '\P{^space}', "");
    Expect(1, 12288, '\p{_ SPACE}', "");
    Expect(0, 12288, '\p{^_ SPACE}', "");
    Expect(0, 12288, '\P{_ SPACE}', "");
    Expect(1, 12288, '\P{^_ SPACE}', "");
    Expect(0, 12289, '\p{_ SPACE}', "");
    Expect(1, 12289, '\p{^_ SPACE}', "");
    Expect(1, 12289, '\P{_ SPACE}', "");
    Expect(0, 12289, '\P{^_ SPACE}', "");
    Error('\p{/a/ _Is_Space}');
    Error('\P{/a/ _Is_Space}');
    Expect(1, 12288, '\p{isspace}', "");
    Expect(0, 12288, '\p{^isspace}', "");
    Expect(0, 12288, '\P{isspace}', "");
    Expect(1, 12288, '\P{^isspace}', "");
    Expect(0, 12289, '\p{isspace}', "");
    Expect(1, 12289, '\p{^isspace}', "");
    Expect(1, 12289, '\P{isspace}', "");
    Expect(0, 12289, '\P{^isspace}', "");
    Expect(1, 12288, '\p{	-Is_Space}', "");
    Expect(0, 12288, '\p{^	-Is_Space}', "");
    Expect(0, 12288, '\P{	-Is_Space}', "");
    Expect(1, 12288, '\P{^	-Is_Space}', "");
    Expect(0, 12289, '\p{	-Is_Space}', "");
    Expect(1, 12289, '\p{^	-Is_Space}', "");
    Expect(1, 12289, '\P{	-Is_Space}', "");
    Expect(0, 12289, '\P{^	-Is_Space}', "");
    Error('\p{:=	-XPosixWord}');
    Error('\P{:=	-XPosixWord}');
    Expect(1, 917999, '\p{xposixword}', "");
    Expect(0, 917999, '\p{^xposixword}', "");
    Expect(0, 917999, '\P{xposixword}', "");
    Expect(1, 917999, '\P{^xposixword}', "");
    Expect(0, 918000, '\p{xposixword}', "");
    Expect(1, 918000, '\p{^xposixword}', "");
    Expect(1, 918000, '\P{xposixword}', "");
    Expect(0, 918000, '\P{^xposixword}', "");
    Expect(1, 917999, '\p{-XPOSIXWORD}', "");
    Expect(0, 917999, '\p{^-XPOSIXWORD}', "");
    Expect(0, 917999, '\P{-XPOSIXWORD}', "");
    Expect(1, 917999, '\P{^-XPOSIXWORD}', "");
    Expect(0, 918000, '\p{-XPOSIXWORD}', "");
    Expect(1, 918000, '\p{^-XPOSIXWORD}', "");
    Expect(1, 918000, '\P{-XPOSIXWORD}', "");
    Expect(0, 918000, '\P{^-XPOSIXWORD}', "");
    Error('\p{  Word/a/}');
    Error('\P{  Word/a/}');
    Expect(1, 917999, '\p{word}', "");
    Expect(0, 917999, '\p{^word}', "");
    Expect(0, 917999, '\P{word}', "");
    Expect(1, 917999, '\P{^word}', "");
    Expect(0, 918000, '\p{word}', "");
    Expect(1, 918000, '\p{^word}', "");
    Expect(1, 918000, '\P{word}', "");
    Expect(0, 918000, '\P{^word}', "");
    Expect(1, 917999, '\p{-Word}', "");
    Expect(0, 917999, '\p{^-Word}', "");
    Expect(0, 917999, '\P{-Word}', "");
    Expect(1, 917999, '\P{^-Word}', "");
    Expect(0, 918000, '\p{-Word}', "");
    Expect(1, 918000, '\p{^-Word}', "");
    Expect(1, 918000, '\P{-Word}', "");
    Expect(0, 918000, '\P{^-Word}', "");
    Error('\p{/a/--is_XPosixWord}');
    Error('\P{/a/--is_XPosixWord}');
    Expect(1, 917999, '\p{isxposixword}', "");
    Expect(0, 917999, '\p{^isxposixword}', "");
    Expect(0, 917999, '\P{isxposixword}', "");
    Expect(1, 917999, '\P{^isxposixword}', "");
    Expect(0, 918000, '\p{isxposixword}', "");
    Expect(1, 918000, '\p{^isxposixword}', "");
    Expect(1, 918000, '\P{isxposixword}', "");
    Expect(0, 918000, '\P{^isxposixword}', "");
    Expect(1, 917999, '\p{	_IS_XPOSIXWORD}', "");
    Expect(0, 917999, '\p{^	_IS_XPOSIXWORD}', "");
    Expect(0, 917999, '\P{	_IS_XPOSIXWORD}', "");
    Expect(1, 917999, '\P{^	_IS_XPOSIXWORD}', "");
    Expect(0, 918000, '\p{	_IS_XPOSIXWORD}', "");
    Expect(1, 918000, '\p{^	_IS_XPOSIXWORD}', "");
    Expect(1, 918000, '\P{	_IS_XPOSIXWORD}', "");
    Expect(0, 918000, '\P{^	_IS_XPOSIXWORD}', "");
    Error('\p{	 Is_Word:=}');
    Error('\P{	 Is_Word:=}');
    Expect(1, 917999, '\p{isword}', "");
    Expect(0, 917999, '\p{^isword}', "");
    Expect(0, 917999, '\P{isword}', "");
    Expect(1, 917999, '\P{^isword}', "");
    Expect(0, 918000, '\p{isword}', "");
    Expect(1, 918000, '\p{^isword}', "");
    Expect(1, 918000, '\P{isword}', "");
    Expect(0, 918000, '\P{^isword}', "");
    Expect(1, 917999, '\p{ 	Is_Word}', "");
    Expect(0, 917999, '\p{^ 	Is_Word}', "");
    Expect(0, 917999, '\P{ 	Is_Word}', "");
    Expect(1, 917999, '\P{^ 	Is_Word}', "");
    Expect(0, 918000, '\p{ 	Is_Word}', "");
    Expect(1, 918000, '\p{^ 	Is_Word}', "");
    Expect(1, 918000, '\P{ 	Is_Word}', "");
    Expect(0, 918000, '\P{^ 	Is_Word}', "");
    Error('\p{/a/ _xposixxdigit}');
    Error('\P{/a/ _xposixxdigit}');
    Expect(1, 65350, '\p{xposixxdigit}', "");
    Expect(0, 65350, '\p{^xposixxdigit}', "");
    Expect(0, 65350, '\P{xposixxdigit}', "");
    Expect(1, 65350, '\P{^xposixxdigit}', "");
    Expect(0, 65351, '\p{xposixxdigit}', "");
    Expect(1, 65351, '\p{^xposixxdigit}', "");
    Expect(1, 65351, '\P{xposixxdigit}', "");
    Expect(0, 65351, '\P{^xposixxdigit}', "");
    Expect(1, 65350, '\p{ -XPosixXDigit}', "");
    Expect(0, 65350, '\p{^ -XPosixXDigit}', "");
    Expect(0, 65350, '\P{ -XPosixXDigit}', "");
    Expect(1, 65350, '\P{^ -XPosixXDigit}', "");
    Expect(0, 65351, '\p{ -XPosixXDigit}', "");
    Expect(1, 65351, '\p{^ -XPosixXDigit}', "");
    Expect(1, 65351, '\P{ -XPosixXDigit}', "");
    Expect(0, 65351, '\P{^ -XPosixXDigit}', "");
    Error('\p{_/a/XDigit}');
    Error('\P{_/a/XDigit}');
    Expect(1, 65350, '\p{xdigit}', "");
    Expect(0, 65350, '\p{^xdigit}', "");
    Expect(0, 65350, '\P{xdigit}', "");
    Expect(1, 65350, '\P{^xdigit}', "");
    Expect(0, 65351, '\p{xdigit}', "");
    Expect(1, 65351, '\p{^xdigit}', "");
    Expect(1, 65351, '\P{xdigit}', "");
    Expect(0, 65351, '\P{^xdigit}', "");
    Expect(1, 65350, '\p{XDigit}', "");
    Expect(0, 65350, '\p{^XDigit}', "");
    Expect(0, 65350, '\P{XDigit}', "");
    Expect(1, 65350, '\P{^XDigit}', "");
    Expect(0, 65351, '\p{XDigit}', "");
    Expect(1, 65351, '\p{^XDigit}', "");
    Expect(1, 65351, '\P{XDigit}', "");
    Expect(0, 65351, '\P{^XDigit}', "");
    Error('\p{	 is_xposixxdigit/a/}');
    Error('\P{	 is_xposixxdigit/a/}');
    Expect(1, 65350, '\p{isxposixxdigit}', "");
    Expect(0, 65350, '\p{^isxposixxdigit}', "");
    Expect(0, 65350, '\P{isxposixxdigit}', "");
    Expect(1, 65350, '\P{^isxposixxdigit}', "");
    Expect(0, 65351, '\p{isxposixxdigit}', "");
    Expect(1, 65351, '\p{^isxposixxdigit}', "");
    Expect(1, 65351, '\P{isxposixxdigit}', "");
    Expect(0, 65351, '\P{^isxposixxdigit}', "");
    Expect(1, 65350, '\p{-is_xposixxdigit}', "");
    Expect(0, 65350, '\p{^-is_xposixxdigit}', "");
    Expect(0, 65350, '\P{-is_xposixxdigit}', "");
    Expect(1, 65350, '\P{^-is_xposixxdigit}', "");
    Expect(0, 65351, '\p{-is_xposixxdigit}', "");
    Expect(1, 65351, '\p{^-is_xposixxdigit}', "");
    Expect(1, 65351, '\P{-is_xposixxdigit}', "");
    Expect(0, 65351, '\P{^-is_xposixxdigit}', "");
    Error('\p{/a/-	Is_XDIGIT}');
    Error('\P{/a/-	Is_XDIGIT}');
    Expect(1, 65350, '\p{isxdigit}', "");
    Expect(0, 65350, '\p{^isxdigit}', "");
    Expect(0, 65350, '\P{isxdigit}', "");
    Expect(1, 65350, '\P{^isxdigit}', "");
    Expect(0, 65351, '\p{isxdigit}', "");
    Expect(1, 65351, '\p{^isxdigit}', "");
    Expect(1, 65351, '\P{isxdigit}', "");
    Expect(0, 65351, '\P{^isxdigit}', "");
    Expect(1, 65350, '\p{-is_XDigit}', "");
    Expect(0, 65350, '\p{^-is_XDigit}', "");
    Expect(0, 65350, '\P{-is_XDigit}', "");
    Expect(1, 65350, '\P{^-is_XDigit}', "");
    Expect(0, 65351, '\p{-is_XDigit}', "");
    Expect(1, 65351, '\p{^-is_XDigit}', "");
    Expect(1, 65351, '\P{-is_XDigit}', "");
    Expect(0, 65351, '\P{^-is_XDigit}', "");
    Error('\p{:=-Hex_Digit}');
    Error('\P{:=-Hex_Digit}');
    Expect(1, 65350, '\p{hexdigit}', "");
    Expect(0, 65350, '\p{^hexdigit}', "");
    Expect(0, 65350, '\P{hexdigit}', "");
    Expect(1, 65350, '\P{^hexdigit}', "");
    Expect(0, 65351, '\p{hexdigit}', "");
    Expect(1, 65351, '\p{^hexdigit}', "");
    Expect(1, 65351, '\P{hexdigit}', "");
    Expect(0, 65351, '\P{^hexdigit}', "");
    Expect(1, 65350, '\p{_-hex_DIGIT}', "");
    Expect(0, 65350, '\p{^_-hex_DIGIT}', "");
    Expect(0, 65350, '\P{_-hex_DIGIT}', "");
    Expect(1, 65350, '\P{^_-hex_DIGIT}', "");
    Expect(0, 65351, '\p{_-hex_DIGIT}', "");
    Expect(1, 65351, '\p{^_-hex_DIGIT}', "");
    Expect(1, 65351, '\P{_-hex_DIGIT}', "");
    Expect(0, 65351, '\P{^_-hex_DIGIT}', "");
    Error('\p{/a/_ Is_HEX_DIGIT}');
    Error('\P{/a/_ Is_HEX_DIGIT}');
    Expect(1, 65350, '\p{ishexdigit}', "");
    Expect(0, 65350, '\p{^ishexdigit}', "");
    Expect(0, 65350, '\P{ishexdigit}', "");
    Expect(1, 65350, '\P{^ishexdigit}', "");
    Expect(0, 65351, '\p{ishexdigit}', "");
    Expect(1, 65351, '\p{^ishexdigit}', "");
    Expect(1, 65351, '\P{ishexdigit}', "");
    Expect(0, 65351, '\P{^ishexdigit}', "");
    Expect(1, 65350, '\p{_ IS_Hex_DIGIT}', "");
    Expect(0, 65350, '\p{^_ IS_Hex_DIGIT}', "");
    Expect(0, 65350, '\P{_ IS_Hex_DIGIT}', "");
    Expect(1, 65350, '\P{^_ IS_Hex_DIGIT}', "");
    Expect(0, 65351, '\p{_ IS_Hex_DIGIT}', "");
    Expect(1, 65351, '\p{^_ IS_Hex_DIGIT}', "");
    Expect(1, 65351, '\P{_ IS_Hex_DIGIT}', "");
    Expect(0, 65351, '\P{^_ IS_Hex_DIGIT}', "");
    Error('\p{/a/-_hex}');
    Error('\P{/a/-_hex}');
    Expect(1, 65350, '\p{hex}', "");
    Expect(0, 65350, '\p{^hex}', "");
    Expect(0, 65350, '\P{hex}', "");
    Expect(1, 65350, '\P{^hex}', "");
    Expect(0, 65351, '\p{hex}', "");
    Expect(1, 65351, '\p{^hex}', "");
    Expect(1, 65351, '\P{hex}', "");
    Expect(0, 65351, '\P{^hex}', "");
    Expect(1, 65350, '\p{__HEX}', "");
    Expect(0, 65350, '\p{^__HEX}', "");
    Expect(0, 65350, '\P{__HEX}', "");
    Expect(1, 65350, '\P{^__HEX}', "");
    Expect(0, 65351, '\p{__HEX}', "");
    Expect(1, 65351, '\p{^__HEX}', "");
    Expect(1, 65351, '\P{__HEX}', "");
    Expect(0, 65351, '\P{^__HEX}', "");
    Error('\p{	Is_HEX:=}');
    Error('\P{	Is_HEX:=}');
    Expect(1, 65350, '\p{ishex}', "");
    Expect(0, 65350, '\p{^ishex}', "");
    Expect(0, 65350, '\P{ishex}', "");
    Expect(1, 65350, '\P{^ishex}', "");
    Expect(0, 65351, '\p{ishex}', "");
    Expect(1, 65351, '\p{^ishex}', "");
    Expect(1, 65351, '\P{ishex}', "");
    Expect(0, 65351, '\P{^ishex}', "");
    Expect(1, 65350, '\p{  IS_Hex}', "");
    Expect(0, 65350, '\p{^  IS_Hex}', "");
    Expect(0, 65350, '\P{  IS_Hex}', "");
    Expect(1, 65350, '\P{^  IS_Hex}', "");
    Expect(0, 65351, '\p{  IS_Hex}', "");
    Expect(1, 65351, '\p{^  IS_Hex}', "");
    Expect(1, 65351, '\P{  IS_Hex}', "");
    Expect(0, 65351, '\P{^  IS_Hex}', "");
    Error('\p{-:=XID_CONTINUE}');
    Error('\P{-:=XID_CONTINUE}');
    Expect(1, 917999, '\p{xidcontinue}', "");
    Expect(0, 917999, '\p{^xidcontinue}', "");
    Expect(0, 917999, '\P{xidcontinue}', "");
    Expect(1, 917999, '\P{^xidcontinue}', "");
    Expect(0, 918000, '\p{xidcontinue}', "");
    Expect(1, 918000, '\p{^xidcontinue}', "");
    Expect(1, 918000, '\P{xidcontinue}', "");
    Expect(0, 918000, '\P{^xidcontinue}', "");
    Expect(1, 917999, '\p{	-XID_Continue}', "");
    Expect(0, 917999, '\p{^	-XID_Continue}', "");
    Expect(0, 917999, '\P{	-XID_Continue}', "");
    Expect(1, 917999, '\P{^	-XID_Continue}', "");
    Expect(0, 918000, '\p{	-XID_Continue}', "");
    Expect(1, 918000, '\p{^	-XID_Continue}', "");
    Expect(1, 918000, '\P{	-XID_Continue}', "");
    Expect(0, 918000, '\P{^	-XID_Continue}', "");
    Error('\p{:=-is_XID_continue}');
    Error('\P{:=-is_XID_continue}');
    Expect(1, 917999, '\p{isxidcontinue}', "");
    Expect(0, 917999, '\p{^isxidcontinue}', "");
    Expect(0, 917999, '\P{isxidcontinue}', "");
    Expect(1, 917999, '\P{^isxidcontinue}', "");
    Expect(0, 918000, '\p{isxidcontinue}', "");
    Expect(1, 918000, '\p{^isxidcontinue}', "");
    Expect(1, 918000, '\P{isxidcontinue}', "");
    Expect(0, 918000, '\P{^isxidcontinue}', "");
    Expect(1, 917999, '\p{IS_XID_Continue}', "");
    Expect(0, 917999, '\p{^IS_XID_Continue}', "");
    Expect(0, 917999, '\P{IS_XID_Continue}', "");
    Expect(1, 917999, '\P{^IS_XID_Continue}', "");
    Expect(0, 918000, '\p{IS_XID_Continue}', "");
    Expect(1, 918000, '\p{^IS_XID_Continue}', "");
    Expect(1, 918000, '\P{IS_XID_Continue}', "");
    Expect(0, 918000, '\P{^IS_XID_Continue}', "");
    Error('\p{/a/ xidc}');
    Error('\P{/a/ xidc}');
    Expect(1, 917999, '\p{xidc}', "");
    Expect(0, 917999, '\p{^xidc}', "");
    Expect(0, 917999, '\P{xidc}', "");
    Expect(1, 917999, '\P{^xidc}', "");
    Expect(0, 918000, '\p{xidc}', "");
    Expect(1, 918000, '\p{^xidc}', "");
    Expect(1, 918000, '\P{xidc}', "");
    Expect(0, 918000, '\P{^xidc}', "");
    Expect(1, 917999, '\p{_-xidc}', "");
    Expect(0, 917999, '\p{^_-xidc}', "");
    Expect(0, 917999, '\P{_-xidc}', "");
    Expect(1, 917999, '\P{^_-xidc}', "");
    Expect(0, 918000, '\p{_-xidc}', "");
    Expect(1, 918000, '\p{^_-xidc}', "");
    Expect(1, 918000, '\P{_-xidc}', "");
    Expect(0, 918000, '\P{^_-xidc}', "");
    Error('\p{:=	_Is_XIDC}');
    Error('\P{:=	_Is_XIDC}');
    Expect(1, 917999, '\p{isxidc}', "");
    Expect(0, 917999, '\p{^isxidc}', "");
    Expect(0, 917999, '\P{isxidc}', "");
    Expect(1, 917999, '\P{^isxidc}', "");
    Expect(0, 918000, '\p{isxidc}', "");
    Expect(1, 918000, '\p{^isxidc}', "");
    Expect(1, 918000, '\P{isxidc}', "");
    Expect(0, 918000, '\P{^isxidc}', "");
    Expect(1, 917999, '\p{ Is_XIDC}', "");
    Expect(0, 917999, '\p{^ Is_XIDC}', "");
    Expect(0, 917999, '\P{ Is_XIDC}', "");
    Expect(1, 917999, '\P{^ Is_XIDC}', "");
    Expect(0, 918000, '\p{ Is_XIDC}', "");
    Expect(1, 918000, '\p{^ Is_XIDC}', "");
    Expect(1, 918000, '\P{ Is_XIDC}', "");
    Expect(0, 918000, '\P{^ Is_XIDC}', "");
    Error('\p{	 XID_Start/a/}');
    Error('\P{	 XID_Start/a/}');
    Expect(1, 201546, '\p{xidstart}', "");
    Expect(0, 201546, '\p{^xidstart}', "");
    Expect(0, 201546, '\P{xidstart}', "");
    Expect(1, 201546, '\P{^xidstart}', "");
    Expect(0, 201547, '\p{xidstart}', "");
    Expect(1, 201547, '\p{^xidstart}', "");
    Expect(1, 201547, '\P{xidstart}', "");
    Expect(0, 201547, '\P{^xidstart}', "");
    Expect(1, 201546, '\p{ XID_start}', "");
    Expect(0, 201546, '\p{^ XID_start}', "");
    Expect(0, 201546, '\P{ XID_start}', "");
    Expect(1, 201546, '\P{^ XID_start}', "");
    Expect(0, 201547, '\p{ XID_start}', "");
    Expect(1, 201547, '\p{^ XID_start}', "");
    Expect(1, 201547, '\P{ XID_start}', "");
    Expect(0, 201547, '\P{^ XID_start}', "");
    Error('\p{ :=IS_XID_start}');
    Error('\P{ :=IS_XID_start}');
    Expect(1, 201546, '\p{isxidstart}', "");
    Expect(0, 201546, '\p{^isxidstart}', "");
    Expect(0, 201546, '\P{isxidstart}', "");
    Expect(1, 201546, '\P{^isxidstart}', "");
    Expect(0, 201547, '\p{isxidstart}', "");
    Expect(1, 201547, '\p{^isxidstart}', "");
    Expect(1, 201547, '\P{isxidstart}', "");
    Expect(0, 201547, '\P{^isxidstart}', "");
    Expect(1, 201546, '\p{	 IS_XID_START}', "");
    Expect(0, 201546, '\p{^	 IS_XID_START}', "");
    Expect(0, 201546, '\P{	 IS_XID_START}', "");
    Expect(1, 201546, '\P{^	 IS_XID_START}', "");
    Expect(0, 201547, '\p{	 IS_XID_START}', "");
    Expect(1, 201547, '\p{^	 IS_XID_START}', "");
    Expect(1, 201547, '\P{	 IS_XID_START}', "");
    Expect(0, 201547, '\P{^	 IS_XID_START}', "");
    Error('\p{-XIDS:=}');
    Error('\P{-XIDS:=}');
    Expect(1, 201546, '\p{xids}', "");
    Expect(0, 201546, '\p{^xids}', "");
    Expect(0, 201546, '\P{xids}', "");
    Expect(1, 201546, '\P{^xids}', "");
    Expect(0, 201547, '\p{xids}', "");
    Expect(1, 201547, '\p{^xids}', "");
    Expect(1, 201547, '\P{xids}', "");
    Expect(0, 201547, '\P{^xids}', "");
    Expect(1, 201546, '\p{	 xids}', "");
    Expect(0, 201546, '\p{^	 xids}', "");
    Expect(0, 201546, '\P{	 xids}', "");
    Expect(1, 201546, '\P{^	 xids}', "");
    Expect(0, 201547, '\p{	 xids}', "");
    Expect(1, 201547, '\p{^	 xids}', "");
    Expect(1, 201547, '\P{	 xids}', "");
    Expect(0, 201547, '\P{^	 xids}', "");
    Error('\p{:=Is_xids}');
    Error('\P{:=Is_xids}');
    Expect(1, 201546, '\p{isxids}', "");
    Expect(0, 201546, '\p{^isxids}', "");
    Expect(0, 201546, '\P{isxids}', "");
    Expect(1, 201546, '\P{^isxids}', "");
    Expect(0, 201547, '\p{isxids}', "");
    Expect(1, 201547, '\p{^isxids}', "");
    Expect(1, 201547, '\P{isxids}', "");
    Expect(0, 201547, '\P{^isxids}', "");
    Expect(1, 201546, '\p{-Is_XIDS}', "");
    Expect(0, 201546, '\p{^-Is_XIDS}', "");
    Expect(0, 201546, '\P{-Is_XIDS}', "");
    Expect(1, 201546, '\P{^-Is_XIDS}', "");
    Expect(0, 201547, '\p{-Is_XIDS}', "");
    Expect(1, 201547, '\p{^-Is_XIDS}', "");
    Expect(1, 201547, '\P{-Is_XIDS}', "");
    Expect(0, 201547, '\P{^-Is_XIDS}', "");
    Error('\p{	/a/xposixalpha}');
    Error('\P{	/a/xposixalpha}');
    Expect(1, 201546, '\p{xposixalpha}', "");
    Expect(0, 201546, '\p{^xposixalpha}', "");
    Expect(0, 201546, '\P{xposixalpha}', "");
    Expect(1, 201546, '\P{^xposixalpha}', "");
    Expect(0, 201547, '\p{xposixalpha}', "");
    Expect(1, 201547, '\p{^xposixalpha}', "");
    Expect(1, 201547, '\P{xposixalpha}', "");
    Expect(0, 201547, '\P{^xposixalpha}', "");
    Expect(1, 201546, '\p{	_XPOSIXALPHA}', "");
    Expect(0, 201546, '\p{^	_XPOSIXALPHA}', "");
    Expect(0, 201546, '\P{	_XPOSIXALPHA}', "");
    Expect(1, 201546, '\P{^	_XPOSIXALPHA}', "");
    Expect(0, 201547, '\p{	_XPOSIXALPHA}', "");
    Expect(1, 201547, '\p{^	_XPOSIXALPHA}', "");
    Expect(1, 201547, '\P{	_XPOSIXALPHA}', "");
    Expect(0, 201547, '\P{^	_XPOSIXALPHA}', "");
    Error('\p{/a/	is_XPosixAlpha}');
    Error('\P{/a/	is_XPosixAlpha}');
    Expect(1, 201546, '\p{isxposixalpha}', "");
    Expect(0, 201546, '\p{^isxposixalpha}', "");
    Expect(0, 201546, '\P{isxposixalpha}', "");
    Expect(1, 201546, '\P{^isxposixalpha}', "");
    Expect(0, 201547, '\p{isxposixalpha}', "");
    Expect(1, 201547, '\p{^isxposixalpha}', "");
    Expect(1, 201547, '\P{isxposixalpha}', "");
    Expect(0, 201547, '\P{^isxposixalpha}', "");
    Expect(1, 201546, '\p{	-IS_XPOSIXALPHA}', "");
    Expect(0, 201546, '\p{^	-IS_XPOSIXALPHA}', "");
    Expect(0, 201546, '\P{	-IS_XPOSIXALPHA}', "");
    Expect(1, 201546, '\P{^	-IS_XPOSIXALPHA}', "");
    Expect(0, 201547, '\p{	-IS_XPOSIXALPHA}', "");
    Expect(1, 201547, '\p{^	-IS_XPOSIXALPHA}', "");
    Expect(1, 201547, '\P{	-IS_XPOSIXALPHA}', "");
    Expect(0, 201547, '\P{^	-IS_XPOSIXALPHA}', "");
    Error('\p{/a/__alphabetic}');
    Error('\P{/a/__alphabetic}');
    Expect(1, 201546, '\p{alphabetic}', "");
    Expect(0, 201546, '\p{^alphabetic}', "");
    Expect(0, 201546, '\P{alphabetic}', "");
    Expect(1, 201546, '\P{^alphabetic}', "");
    Expect(0, 201547, '\p{alphabetic}', "");
    Expect(1, 201547, '\p{^alphabetic}', "");
    Expect(1, 201547, '\P{alphabetic}', "");
    Expect(0, 201547, '\P{^alphabetic}', "");
    Expect(1, 201546, '\p{_ALPHABETIC}', "");
    Expect(0, 201546, '\p{^_ALPHABETIC}', "");
    Expect(0, 201546, '\P{_ALPHABETIC}', "");
    Expect(1, 201546, '\P{^_ALPHABETIC}', "");
    Expect(0, 201547, '\p{_ALPHABETIC}', "");
    Expect(1, 201547, '\p{^_ALPHABETIC}', "");
    Expect(1, 201547, '\P{_ALPHABETIC}', "");
    Expect(0, 201547, '\P{^_ALPHABETIC}', "");
    Error('\p{:=Is_Alphabetic}');
    Error('\P{:=Is_Alphabetic}');
    Expect(1, 201546, '\p{isalphabetic}', "");
    Expect(0, 201546, '\p{^isalphabetic}', "");
    Expect(0, 201546, '\P{isalphabetic}', "");
    Expect(1, 201546, '\P{^isalphabetic}', "");
    Expect(0, 201547, '\p{isalphabetic}', "");
    Expect(1, 201547, '\p{^isalphabetic}', "");
    Expect(1, 201547, '\P{isalphabetic}', "");
    Expect(0, 201547, '\P{^isalphabetic}', "");
    Expect(1, 201546, '\p{ Is_Alphabetic}', "");
    Expect(0, 201546, '\p{^ Is_Alphabetic}', "");
    Expect(0, 201546, '\P{ Is_Alphabetic}', "");
    Expect(1, 201546, '\P{^ Is_Alphabetic}', "");
    Expect(0, 201547, '\p{ Is_Alphabetic}', "");
    Expect(1, 201547, '\p{^ Is_Alphabetic}', "");
    Expect(1, 201547, '\P{ Is_Alphabetic}', "");
    Expect(0, 201547, '\P{^ Is_Alphabetic}', "");
    Error('\p{-Alpha/a/}');
    Error('\P{-Alpha/a/}');
    Expect(1, 201546, '\p{alpha}', "");
    Expect(0, 201546, '\p{^alpha}', "");
    Expect(0, 201546, '\P{alpha}', "");
    Expect(1, 201546, '\P{^alpha}', "");
    Expect(0, 201547, '\p{alpha}', "");
    Expect(1, 201547, '\p{^alpha}', "");
    Expect(1, 201547, '\P{alpha}', "");
    Expect(0, 201547, '\P{^alpha}', "");
    Expect(1, 201546, '\p{	alpha}', "");
    Expect(0, 201546, '\p{^	alpha}', "");
    Expect(0, 201546, '\P{	alpha}', "");
    Expect(1, 201546, '\P{^	alpha}', "");
    Expect(0, 201547, '\p{	alpha}', "");
    Expect(1, 201547, '\p{^	alpha}', "");
    Expect(1, 201547, '\P{	alpha}', "");
    Expect(0, 201547, '\P{^	alpha}', "");
    Error('\p{ :=Is_Alpha}');
    Error('\P{ :=Is_Alpha}');
    Expect(1, 201546, '\p{isalpha}', "");
    Expect(0, 201546, '\p{^isalpha}', "");
    Expect(0, 201546, '\P{isalpha}', "");
    Expect(1, 201546, '\P{^isalpha}', "");
    Expect(0, 201547, '\p{isalpha}', "");
    Expect(1, 201547, '\p{^isalpha}', "");
    Expect(1, 201547, '\P{isalpha}', "");
    Expect(0, 201547, '\P{^isalpha}', "");
    Expect(1, 201546, '\p{- Is_ALPHA}', "");
    Expect(0, 201546, '\p{^- Is_ALPHA}', "");
    Expect(0, 201546, '\P{- Is_ALPHA}', "");
    Expect(1, 201546, '\P{^- Is_ALPHA}', "");
    Expect(0, 201547, '\p{- Is_ALPHA}', "");
    Expect(1, 201547, '\p{^- Is_ALPHA}', "");
    Expect(1, 201547, '\P{- Is_ALPHA}', "");
    Expect(0, 201547, '\P{^- Is_ALPHA}', "");
    Error('\p{:= XPosixLower}');
    Error('\P{:= XPosixLower}');
    Expect(1, 125251, '\p{xposixlower}', "");
    Expect(0, 125251, '\p{^xposixlower}', "");
    Expect(0, 125251, '\P{xposixlower}', "");
    Expect(1, 125251, '\P{^xposixlower}', "");
    Expect(0, 125252, '\p{xposixlower}', "");
    Expect(1, 125252, '\p{^xposixlower}', "");
    Expect(1, 125252, '\P{xposixlower}', "");
    Expect(0, 125252, '\P{^xposixlower}', "");
    Expect(1, 125251, '\p{		XPosixLower}', "");
    Expect(0, 125251, '\p{^		XPosixLower}', "");
    Expect(0, 125251, '\P{		XPosixLower}', "");
    Expect(1, 125251, '\P{^		XPosixLower}', "");
    Expect(0, 125252, '\p{		XPosixLower}', "");
    Expect(1, 125252, '\p{^		XPosixLower}', "");
    Expect(1, 125252, '\P{		XPosixLower}', "");
    Expect(0, 125252, '\P{^		XPosixLower}', "");
    Error('\p{Is_XPOSIXLOWER:=}');
    Error('\P{Is_XPOSIXLOWER:=}');
    Expect(1, 125251, '\p{isxposixlower}', "");
    Expect(0, 125251, '\p{^isxposixlower}', "");
    Expect(0, 125251, '\P{isxposixlower}', "");
    Expect(1, 125251, '\P{^isxposixlower}', "");
    Expect(0, 125252, '\p{isxposixlower}', "");
    Expect(1, 125252, '\p{^isxposixlower}', "");
    Expect(1, 125252, '\P{isxposixlower}', "");
    Expect(0, 125252, '\P{^isxposixlower}', "");
    Expect(1, 125251, '\p{ -IS_XPOSIXLOWER}', "");
    Expect(0, 125251, '\p{^ -IS_XPOSIXLOWER}', "");
    Expect(0, 125251, '\P{ -IS_XPOSIXLOWER}', "");
    Expect(1, 125251, '\P{^ -IS_XPOSIXLOWER}', "");
    Expect(0, 125252, '\p{ -IS_XPOSIXLOWER}', "");
    Expect(1, 125252, '\p{^ -IS_XPOSIXLOWER}', "");
    Expect(1, 125252, '\P{ -IS_XPOSIXLOWER}', "");
    Expect(0, 125252, '\P{^ -IS_XPOSIXLOWER}', "");
    Error('\p{-/a/LOWERCASE}');
    Error('\P{-/a/LOWERCASE}');
    Expect(1, 125251, '\p{lowercase}', "");
    Expect(0, 125251, '\p{^lowercase}', "");
    Expect(0, 125251, '\P{lowercase}', "");
    Expect(1, 125251, '\P{^lowercase}', "");
    Expect(0, 125252, '\p{lowercase}', "");
    Expect(1, 125252, '\p{^lowercase}', "");
    Expect(1, 125252, '\P{lowercase}', "");
    Expect(0, 125252, '\P{^lowercase}', "");
    Expect(1, 125251, '\p{_ Lowercase}', "");
    Expect(0, 125251, '\p{^_ Lowercase}', "");
    Expect(0, 125251, '\P{_ Lowercase}', "");
    Expect(1, 125251, '\P{^_ Lowercase}', "");
    Expect(0, 125252, '\p{_ Lowercase}', "");
    Expect(1, 125252, '\p{^_ Lowercase}', "");
    Expect(1, 125252, '\P{_ Lowercase}', "");
    Expect(0, 125252, '\P{^_ Lowercase}', "");
    Error('\p{_/a/Is_LOWERCASE}');
    Error('\P{_/a/Is_LOWERCASE}');
    Expect(1, 125251, '\p{islowercase}', "");
    Expect(0, 125251, '\p{^islowercase}', "");
    Expect(0, 125251, '\P{islowercase}', "");
    Expect(1, 125251, '\P{^islowercase}', "");
    Expect(0, 125252, '\p{islowercase}', "");
    Expect(1, 125252, '\p{^islowercase}', "");
    Expect(1, 125252, '\P{islowercase}', "");
    Expect(0, 125252, '\P{^islowercase}', "");
    Expect(1, 125251, '\p{-_is_LOWERCASE}', "");
    Expect(0, 125251, '\p{^-_is_LOWERCASE}', "");
    Expect(0, 125251, '\P{-_is_LOWERCASE}', "");
    Expect(1, 125251, '\P{^-_is_LOWERCASE}', "");
    Expect(0, 125252, '\p{-_is_LOWERCASE}', "");
    Expect(1, 125252, '\p{^-_is_LOWERCASE}', "");
    Expect(1, 125252, '\P{-_is_LOWERCASE}', "");
    Expect(0, 125252, '\P{^-_is_LOWERCASE}', "");
    Error('\p{_:=Lower}');
    Error('\P{_:=Lower}');
    Expect(1, 125251, '\p{lower}', "");
    Expect(0, 125251, '\p{^lower}', "");
    Expect(0, 125251, '\P{lower}', "");
    Expect(1, 125251, '\P{^lower}', "");
    Expect(0, 125252, '\p{lower}', "");
    Expect(1, 125252, '\p{^lower}', "");
    Expect(1, 125252, '\P{lower}', "");
    Expect(0, 125252, '\P{^lower}', "");
    Expect(1, 125251, '\p{-LOWER}', "");
    Expect(0, 125251, '\p{^-LOWER}', "");
    Expect(0, 125251, '\P{-LOWER}', "");
    Expect(1, 125251, '\P{^-LOWER}', "");
    Expect(0, 125252, '\p{-LOWER}', "");
    Expect(1, 125252, '\p{^-LOWER}', "");
    Expect(1, 125252, '\P{-LOWER}', "");
    Expect(0, 125252, '\P{^-LOWER}', "");
    Error('\p{	Is_Lower/a/}');
    Error('\P{	Is_Lower/a/}');
    Expect(1, 125251, '\p{islower}', "");
    Expect(0, 125251, '\p{^islower}', "");
    Expect(0, 125251, '\P{islower}', "");
    Expect(1, 125251, '\P{^islower}', "");
    Expect(0, 125252, '\p{islower}', "");
    Expect(1, 125252, '\p{^islower}', "");
    Expect(1, 125252, '\P{islower}', "");
    Expect(0, 125252, '\P{^islower}', "");
    Expect(1, 125251, '\p{	-Is_Lower}', "");
    Expect(0, 125251, '\p{^	-Is_Lower}', "");
    Expect(0, 125251, '\P{	-Is_Lower}', "");
    Expect(1, 125251, '\P{^	-Is_Lower}', "");
    Expect(0, 125252, '\p{	-Is_Lower}', "");
    Expect(1, 125252, '\p{^	-Is_Lower}', "");
    Expect(1, 125252, '\P{	-Is_Lower}', "");
    Expect(0, 125252, '\P{^	-Is_Lower}', "");
    Error('\p{/a/ -XPosixPunct}');
    Error('\P{/a/ -XPosixPunct}');
    Expect(1, 125279, '\p{xposixpunct}', "");
    Expect(0, 125279, '\p{^xposixpunct}', "");
    Expect(0, 125279, '\P{xposixpunct}', "");
    Expect(1, 125279, '\P{^xposixpunct}', "");
    Expect(0, 125280, '\p{xposixpunct}', "");
    Expect(1, 125280, '\p{^xposixpunct}', "");
    Expect(1, 125280, '\P{xposixpunct}', "");
    Expect(0, 125280, '\P{^xposixpunct}', "");
    Expect(1, 125279, '\p{	XPosixPunct}', "");
    Expect(0, 125279, '\p{^	XPosixPunct}', "");
    Expect(0, 125279, '\P{	XPosixPunct}', "");
    Expect(1, 125279, '\P{^	XPosixPunct}', "");
    Expect(0, 125280, '\p{	XPosixPunct}', "");
    Expect(1, 125280, '\p{^	XPosixPunct}', "");
    Expect(1, 125280, '\P{	XPosixPunct}', "");
    Expect(0, 125280, '\P{^	XPosixPunct}', "");
    Error('\p{_ IS_XPosixPunct/a/}');
    Error('\P{_ IS_XPosixPunct/a/}');
    Expect(1, 125279, '\p{isxposixpunct}', "");
    Expect(0, 125279, '\p{^isxposixpunct}', "");
    Expect(0, 125279, '\P{isxposixpunct}', "");
    Expect(1, 125279, '\P{^isxposixpunct}', "");
    Expect(0, 125280, '\p{isxposixpunct}', "");
    Expect(1, 125280, '\p{^isxposixpunct}', "");
    Expect(1, 125280, '\P{isxposixpunct}', "");
    Expect(0, 125280, '\P{^isxposixpunct}', "");
    Expect(1, 125279, '\p{_-is_XPOSIXPUNCT}', "");
    Expect(0, 125279, '\p{^_-is_XPOSIXPUNCT}', "");
    Expect(0, 125279, '\P{_-is_XPOSIXPUNCT}', "");
    Expect(1, 125279, '\P{^_-is_XPOSIXPUNCT}', "");
    Expect(0, 125280, '\p{_-is_XPOSIXPUNCT}', "");
    Expect(1, 125280, '\p{^_-is_XPOSIXPUNCT}', "");
    Expect(1, 125280, '\P{_-is_XPOSIXPUNCT}', "");
    Expect(0, 125280, '\P{^_-is_XPOSIXPUNCT}', "");
    Error('\p{ _xposixspace/a/}');
    Error('\P{ _xposixspace/a/}');
    Expect(1, 12288, '\p{xposixspace}', "");
    Expect(0, 12288, '\p{^xposixspace}', "");
    Expect(0, 12288, '\P{xposixspace}', "");
    Expect(1, 12288, '\P{^xposixspace}', "");
    Expect(0, 12289, '\p{xposixspace}', "");
    Expect(1, 12289, '\p{^xposixspace}', "");
    Expect(1, 12289, '\P{xposixspace}', "");
    Expect(0, 12289, '\P{^xposixspace}', "");
    Expect(1, 12288, '\p{ 	XPosixSpace}', "");
    Expect(0, 12288, '\p{^ 	XPosixSpace}', "");
    Expect(0, 12288, '\P{ 	XPosixSpace}', "");
    Expect(1, 12288, '\P{^ 	XPosixSpace}', "");
    Expect(0, 12289, '\p{ 	XPosixSpace}', "");
    Expect(1, 12289, '\p{^ 	XPosixSpace}', "");
    Expect(1, 12289, '\P{ 	XPosixSpace}', "");
    Expect(0, 12289, '\P{^ 	XPosixSpace}', "");
    Error('\p{-:=XPerlSpace}');
    Error('\P{-:=XPerlSpace}');
    Expect(1, 12288, '\p{xperlspace}', "");
    Expect(0, 12288, '\p{^xperlspace}', "");
    Expect(0, 12288, '\P{xperlspace}', "");
    Expect(1, 12288, '\P{^xperlspace}', "");
    Expect(0, 12289, '\p{xperlspace}', "");
    Expect(1, 12289, '\p{^xperlspace}', "");
    Expect(1, 12289, '\P{xperlspace}', "");
    Expect(0, 12289, '\P{^xperlspace}', "");
    Expect(1, 12288, '\p{ 	XPerlSpace}', "");
    Expect(0, 12288, '\p{^ 	XPerlSpace}', "");
    Expect(0, 12288, '\P{ 	XPerlSpace}', "");
    Expect(1, 12288, '\P{^ 	XPerlSpace}', "");
    Expect(0, 12289, '\p{ 	XPerlSpace}', "");
    Expect(1, 12289, '\p{^ 	XPerlSpace}', "");
    Expect(1, 12289, '\P{ 	XPerlSpace}', "");
    Expect(0, 12289, '\P{^ 	XPerlSpace}', "");
    Error('\p{/a/-SpacePerl}');
    Error('\P{/a/-SpacePerl}');
    Expect(1, 12288, '\p{spaceperl}', "");
    Expect(0, 12288, '\p{^spaceperl}', "");
    Expect(0, 12288, '\P{spaceperl}', "");
    Expect(1, 12288, '\P{^spaceperl}', "");
    Expect(0, 12289, '\p{spaceperl}', "");
    Expect(1, 12289, '\p{^spaceperl}', "");
    Expect(1, 12289, '\P{spaceperl}', "");
    Expect(0, 12289, '\P{^spaceperl}', "");
    Expect(1, 12288, '\p{-spaceperl}', "");
    Expect(0, 12288, '\p{^-spaceperl}', "");
    Expect(0, 12288, '\P{-spaceperl}', "");
    Expect(1, 12288, '\P{^-spaceperl}', "");
    Expect(0, 12289, '\p{-spaceperl}', "");
    Expect(1, 12289, '\p{^-spaceperl}', "");
    Expect(1, 12289, '\P{-spaceperl}', "");
    Expect(0, 12289, '\P{^-spaceperl}', "");
    Error('\p{/a/is_XPosixSpace}');
    Error('\P{/a/is_XPosixSpace}');
    Expect(1, 12288, '\p{isxposixspace}', "");
    Expect(0, 12288, '\p{^isxposixspace}', "");
    Expect(0, 12288, '\P{isxposixspace}', "");
    Expect(1, 12288, '\P{^isxposixspace}', "");
    Expect(0, 12289, '\p{isxposixspace}', "");
    Expect(1, 12289, '\p{^isxposixspace}', "");
    Expect(1, 12289, '\P{isxposixspace}', "");
    Expect(0, 12289, '\P{^isxposixspace}', "");
    Expect(1, 12288, '\p{-is_xposixspace}', "");
    Expect(0, 12288, '\p{^-is_xposixspace}', "");
    Expect(0, 12288, '\P{-is_xposixspace}', "");
    Expect(1, 12288, '\P{^-is_xposixspace}', "");
    Expect(0, 12289, '\p{-is_xposixspace}', "");
    Expect(1, 12289, '\p{^-is_xposixspace}', "");
    Expect(1, 12289, '\P{-is_xposixspace}', "");
    Expect(0, 12289, '\P{^-is_xposixspace}', "");
    Error('\p{  Is_XPERLSPACE/a/}');
    Error('\P{  Is_XPERLSPACE/a/}');
    Expect(1, 12288, '\p{isxperlspace}', "");
    Expect(0, 12288, '\p{^isxperlspace}', "");
    Expect(0, 12288, '\P{isxperlspace}', "");
    Expect(1, 12288, '\P{^isxperlspace}', "");
    Expect(0, 12289, '\p{isxperlspace}', "");
    Expect(1, 12289, '\p{^isxperlspace}', "");
    Expect(1, 12289, '\P{isxperlspace}', "");
    Expect(0, 12289, '\P{^isxperlspace}', "");
    Expect(1, 12288, '\p{_Is_xperlspace}', "");
    Expect(0, 12288, '\p{^_Is_xperlspace}', "");
    Expect(0, 12288, '\P{_Is_xperlspace}', "");
    Expect(1, 12288, '\P{^_Is_xperlspace}', "");
    Expect(0, 12289, '\p{_Is_xperlspace}', "");
    Expect(1, 12289, '\p{^_Is_xperlspace}', "");
    Expect(1, 12289, '\P{_Is_xperlspace}', "");
    Expect(0, 12289, '\P{^_Is_xperlspace}', "");
    Error('\p{/a/IS_SpacePerl}');
    Error('\P{/a/IS_SpacePerl}');
    Expect(1, 12288, '\p{isspaceperl}', "");
    Expect(0, 12288, '\p{^isspaceperl}', "");
    Expect(0, 12288, '\P{isspaceperl}', "");
    Expect(1, 12288, '\P{^isspaceperl}', "");
    Expect(0, 12289, '\p{isspaceperl}', "");
    Expect(1, 12289, '\p{^isspaceperl}', "");
    Expect(1, 12289, '\P{isspaceperl}', "");
    Expect(0, 12289, '\P{^isspaceperl}', "");
    Expect(1, 12288, '\p{	is_spaceperl}', "");
    Expect(0, 12288, '\p{^	is_spaceperl}', "");
    Expect(0, 12288, '\P{	is_spaceperl}', "");
    Expect(1, 12288, '\P{^	is_spaceperl}', "");
    Expect(0, 12289, '\p{	is_spaceperl}', "");
    Expect(1, 12289, '\p{^	is_spaceperl}', "");
    Expect(1, 12289, '\P{	is_spaceperl}', "");
    Expect(0, 12289, '\P{^	is_spaceperl}', "");
    Error('\p{/a/XPosixUpper}');
    Error('\P{/a/XPosixUpper}');
    Expect(1, 127369, '\p{xposixupper}', "");
    Expect(0, 127369, '\p{^xposixupper}', "");
    Expect(0, 127369, '\P{xposixupper}', "");
    Expect(1, 127369, '\P{^xposixupper}', "");
    Expect(0, 127370, '\p{xposixupper}', "");
    Expect(1, 127370, '\p{^xposixupper}', "");
    Expect(1, 127370, '\P{xposixupper}', "");
    Expect(0, 127370, '\P{^xposixupper}', "");
    Expect(1, 127369, '\p{_ xposixupper}', "");
    Expect(0, 127369, '\p{^_ xposixupper}', "");
    Expect(0, 127369, '\P{_ xposixupper}', "");
    Expect(1, 127369, '\P{^_ xposixupper}', "");
    Expect(0, 127370, '\p{_ xposixupper}', "");
    Expect(1, 127370, '\p{^_ xposixupper}', "");
    Expect(1, 127370, '\P{_ xposixupper}', "");
    Expect(0, 127370, '\P{^_ xposixupper}', "");
    Error('\p{--Is_XPOSIXUPPER/a/}');
    Error('\P{--Is_XPOSIXUPPER/a/}');
    Expect(1, 127369, '\p{isxposixupper}', "");
    Expect(0, 127369, '\p{^isxposixupper}', "");
    Expect(0, 127369, '\P{isxposixupper}', "");
    Expect(1, 127369, '\P{^isxposixupper}', "");
    Expect(0, 127370, '\p{isxposixupper}', "");
    Expect(1, 127370, '\p{^isxposixupper}', "");
    Expect(1, 127370, '\P{isxposixupper}', "");
    Expect(0, 127370, '\P{^isxposixupper}', "");
    Expect(1, 127369, '\p{	 IS_XPOSIXUPPER}', "");
    Expect(0, 127369, '\p{^	 IS_XPOSIXUPPER}', "");
    Expect(0, 127369, '\P{	 IS_XPOSIXUPPER}', "");
    Expect(1, 127369, '\P{^	 IS_XPOSIXUPPER}', "");
    Expect(0, 127370, '\p{	 IS_XPOSIXUPPER}', "");
    Expect(1, 127370, '\p{^	 IS_XPOSIXUPPER}', "");
    Expect(1, 127370, '\P{	 IS_XPOSIXUPPER}', "");
    Expect(0, 127370, '\P{^	 IS_XPOSIXUPPER}', "");
    Error('\p{	UPPERCASE/a/}');
    Error('\P{	UPPERCASE/a/}');
    Expect(1, 127369, '\p{uppercase}', "");
    Expect(0, 127369, '\p{^uppercase}', "");
    Expect(0, 127369, '\P{uppercase}', "");
    Expect(1, 127369, '\P{^uppercase}', "");
    Expect(0, 127370, '\p{uppercase}', "");
    Expect(1, 127370, '\p{^uppercase}', "");
    Expect(1, 127370, '\P{uppercase}', "");
    Expect(0, 127370, '\P{^uppercase}', "");
    Expect(1, 127369, '\p{_Uppercase}', "");
    Expect(0, 127369, '\p{^_Uppercase}', "");
    Expect(0, 127369, '\P{_Uppercase}', "");
    Expect(1, 127369, '\P{^_Uppercase}', "");
    Expect(0, 127370, '\p{_Uppercase}', "");
    Expect(1, 127370, '\p{^_Uppercase}', "");
    Expect(1, 127370, '\P{_Uppercase}', "");
    Expect(0, 127370, '\P{^_Uppercase}', "");
    Error('\p{ :=is_Uppercase}');
    Error('\P{ :=is_Uppercase}');
    Expect(1, 127369, '\p{isuppercase}', "");
    Expect(0, 127369, '\p{^isuppercase}', "");
    Expect(0, 127369, '\P{isuppercase}', "");
    Expect(1, 127369, '\P{^isuppercase}', "");
    Expect(0, 127370, '\p{isuppercase}', "");
    Expect(1, 127370, '\p{^isuppercase}', "");
    Expect(1, 127370, '\P{isuppercase}', "");
    Expect(0, 127370, '\P{^isuppercase}', "");
    Expect(1, 127369, '\p{_IS_Uppercase}', "");
    Expect(0, 127369, '\p{^_IS_Uppercase}', "");
    Expect(0, 127369, '\P{_IS_Uppercase}', "");
    Expect(1, 127369, '\P{^_IS_Uppercase}', "");
    Expect(0, 127370, '\p{_IS_Uppercase}', "");
    Expect(1, 127370, '\p{^_IS_Uppercase}', "");
    Expect(1, 127370, '\P{_IS_Uppercase}', "");
    Expect(0, 127370, '\P{^_IS_Uppercase}', "");
    Error('\p{- Upper/a/}');
    Error('\P{- Upper/a/}');
    Expect(1, 127369, '\p{upper}', "");
    Expect(0, 127369, '\p{^upper}', "");
    Expect(0, 127369, '\P{upper}', "");
    Expect(1, 127369, '\P{^upper}', "");
    Expect(0, 127370, '\p{upper}', "");
    Expect(1, 127370, '\p{^upper}', "");
    Expect(1, 127370, '\P{upper}', "");
    Expect(0, 127370, '\P{^upper}', "");
    Expect(1, 127369, '\p{		Upper}', "");
    Expect(0, 127369, '\p{^		Upper}', "");
    Expect(0, 127369, '\P{		Upper}', "");
    Expect(1, 127369, '\P{^		Upper}', "");
    Expect(0, 127370, '\p{		Upper}', "");
    Expect(1, 127370, '\p{^		Upper}', "");
    Expect(1, 127370, '\P{		Upper}', "");
    Expect(0, 127370, '\P{^		Upper}', "");
    Error('\p{ /a/Is_UPPER}');
    Error('\P{ /a/Is_UPPER}');
    Expect(1, 127369, '\p{isupper}', "");
    Expect(0, 127369, '\p{^isupper}', "");
    Expect(0, 127369, '\P{isupper}', "");
    Expect(1, 127369, '\P{^isupper}', "");
    Expect(0, 127370, '\p{isupper}', "");
    Expect(1, 127370, '\p{^isupper}', "");
    Expect(1, 127370, '\P{isupper}', "");
    Expect(0, 127370, '\P{^isupper}', "");
    Expect(1, 127369, '\p{ 	Is_upper}', "");
    Expect(0, 127369, '\p{^ 	Is_upper}', "");
    Expect(0, 127369, '\P{ 	Is_upper}', "");
    Expect(1, 127369, '\P{^ 	Is_upper}', "");
    Expect(0, 127370, '\p{ 	Is_upper}', "");
    Expect(1, 127370, '\p{^ 	Is_upper}', "");
    Expect(1, 127370, '\P{ 	Is_upper}', "");
    Expect(0, 127370, '\P{^ 	Is_upper}', "");
    Error('\p{	:=Yezidi}');
    Error('\P{	:=Yezidi}');
    Expect(1, 69297, '\p{yezidi}', "");
    Expect(0, 69297, '\p{^yezidi}', "");
    Expect(0, 69297, '\P{yezidi}', "");
    Expect(1, 69297, '\P{^yezidi}', "");
    Expect(0, 69298, '\p{yezidi}', "");
    Expect(1, 69298, '\p{^yezidi}', "");
    Expect(1, 69298, '\P{yezidi}', "");
    Expect(0, 69298, '\P{^yezidi}', "");
    Expect(1, 69297, '\p{-Yezidi}', "");
    Expect(0, 69297, '\p{^-Yezidi}', "");
    Expect(0, 69297, '\P{-Yezidi}', "");
    Expect(1, 69297, '\P{^-Yezidi}', "");
    Expect(0, 69298, '\p{-Yezidi}', "");
    Expect(1, 69298, '\p{^-Yezidi}', "");
    Expect(1, 69298, '\P{-Yezidi}', "");
    Expect(0, 69298, '\P{^-Yezidi}', "");
    Error('\p{/a/	_is_Yezidi}');
    Error('\P{/a/	_is_Yezidi}');
    Expect(1, 69297, '\p{isyezidi}', "");
    Expect(0, 69297, '\p{^isyezidi}', "");
    Expect(0, 69297, '\P{isyezidi}', "");
    Expect(1, 69297, '\P{^isyezidi}', "");
    Expect(0, 69298, '\p{isyezidi}', "");
    Expect(1, 69298, '\p{^isyezidi}', "");
    Expect(1, 69298, '\P{isyezidi}', "");
    Expect(0, 69298, '\P{^isyezidi}', "");
    Expect(1, 69297, '\p{ Is_Yezidi}', "");
    Expect(0, 69297, '\p{^ Is_Yezidi}', "");
    Expect(0, 69297, '\P{ Is_Yezidi}', "");
    Expect(1, 69297, '\P{^ Is_Yezidi}', "");
    Expect(0, 69298, '\p{ Is_Yezidi}', "");
    Expect(1, 69298, '\p{^ Is_Yezidi}', "");
    Expect(1, 69298, '\P{ Is_Yezidi}', "");
    Expect(0, 69298, '\P{^ Is_Yezidi}', "");
    Error('\p{ _yezi/a/}');
    Error('\P{ _yezi/a/}');
    Expect(1, 69297, '\p{yezi}', "");
    Expect(0, 69297, '\p{^yezi}', "");
    Expect(0, 69297, '\P{yezi}', "");
    Expect(1, 69297, '\P{^yezi}', "");
    Expect(0, 69298, '\p{yezi}', "");
    Expect(1, 69298, '\p{^yezi}', "");
    Expect(1, 69298, '\P{yezi}', "");
    Expect(0, 69298, '\P{^yezi}', "");
    Expect(1, 69297, '\p{_ Yezi}', "");
    Expect(0, 69297, '\p{^_ Yezi}', "");
    Expect(0, 69297, '\P{_ Yezi}', "");
    Expect(1, 69297, '\P{^_ Yezi}', "");
    Expect(0, 69298, '\p{_ Yezi}', "");
    Expect(1, 69298, '\p{^_ Yezi}', "");
    Expect(1, 69298, '\P{_ Yezi}', "");
    Expect(0, 69298, '\P{^_ Yezi}', "");
    Error('\p{ 	Is_Yezi/a/}');
    Error('\P{ 	Is_Yezi/a/}');
    Expect(1, 69297, '\p{isyezi}', "");
    Expect(0, 69297, '\p{^isyezi}', "");
    Expect(0, 69297, '\P{isyezi}', "");
    Expect(1, 69297, '\P{^isyezi}', "");
    Expect(0, 69298, '\p{isyezi}', "");
    Expect(1, 69298, '\p{^isyezi}', "");
    Expect(1, 69298, '\P{isyezi}', "");
    Expect(0, 69298, '\P{^isyezi}', "");
    Expect(1, 69297, '\p{-_IS_Yezi}', "");
    Expect(0, 69297, '\p{^-_IS_Yezi}', "");
    Expect(0, 69297, '\P{-_IS_Yezi}', "");
    Expect(1, 69297, '\P{^-_IS_Yezi}', "");
    Expect(0, 69298, '\p{-_IS_Yezi}', "");
    Expect(1, 69298, '\p{^-_IS_Yezi}', "");
    Expect(1, 69298, '\P{-_IS_Yezi}', "");
    Expect(0, 69298, '\P{^-_IS_Yezi}', "");
    Error('\p{:=	yi}');
    Error('\P{:=	yi}');
    Expect(1, 65381, '\p{yi}', "");
    Expect(0, 65381, '\p{^yi}', "");
    Expect(0, 65381, '\P{yi}', "");
    Expect(1, 65381, '\P{^yi}', "");
    Expect(0, 65382, '\p{yi}', "");
    Expect(1, 65382, '\p{^yi}', "");
    Expect(1, 65382, '\P{yi}', "");
    Expect(0, 65382, '\P{^yi}', "");
    Expect(1, 65381, '\p{	 Yi}', "");
    Expect(0, 65381, '\p{^	 Yi}', "");
    Expect(0, 65381, '\P{	 Yi}', "");
    Expect(1, 65381, '\P{^	 Yi}', "");
    Expect(0, 65382, '\p{	 Yi}', "");
    Expect(1, 65382, '\p{^	 Yi}', "");
    Expect(1, 65382, '\P{	 Yi}', "");
    Expect(0, 65382, '\P{^	 Yi}', "");
    Error('\p{:=-	Is_Yi}');
    Error('\P{:=-	Is_Yi}');
    Expect(1, 65381, '\p{isyi}', "");
    Expect(0, 65381, '\p{^isyi}', "");
    Expect(0, 65381, '\P{isyi}', "");
    Expect(1, 65381, '\P{^isyi}', "");
    Expect(0, 65382, '\p{isyi}', "");
    Expect(1, 65382, '\p{^isyi}', "");
    Expect(1, 65382, '\P{isyi}', "");
    Expect(0, 65382, '\P{^isyi}', "");
    Expect(1, 65381, '\p{- is_yi}', "");
    Expect(0, 65381, '\p{^- is_yi}', "");
    Expect(0, 65381, '\P{- is_yi}', "");
    Expect(1, 65381, '\P{^- is_yi}', "");
    Expect(0, 65382, '\p{- is_yi}', "");
    Expect(1, 65382, '\p{^- is_yi}', "");
    Expect(1, 65382, '\P{- is_yi}', "");
    Expect(0, 65382, '\P{^- is_yi}', "");
    Error('\p{-:=yiii}');
    Error('\P{-:=yiii}');
    Expect(1, 65381, '\p{yiii}', "");
    Expect(0, 65381, '\p{^yiii}', "");
    Expect(0, 65381, '\P{yiii}', "");
    Expect(1, 65381, '\P{^yiii}', "");
    Expect(0, 65382, '\p{yiii}', "");
    Expect(1, 65382, '\p{^yiii}', "");
    Expect(1, 65382, '\P{yiii}', "");
    Expect(0, 65382, '\P{^yiii}', "");
    Expect(1, 65381, '\p{  YIII}', "");
    Expect(0, 65381, '\p{^  YIII}', "");
    Expect(0, 65381, '\P{  YIII}', "");
    Expect(1, 65381, '\P{^  YIII}', "");
    Expect(0, 65382, '\p{  YIII}', "");
    Expect(1, 65382, '\p{^  YIII}', "");
    Expect(1, 65382, '\P{  YIII}', "");
    Expect(0, 65382, '\P{^  YIII}', "");
    Error('\p{/a/  Is_yiii}');
    Error('\P{/a/  Is_yiii}');
    Expect(1, 65381, '\p{isyiii}', "");
    Expect(0, 65381, '\p{^isyiii}', "");
    Expect(0, 65381, '\P{isyiii}', "");
    Expect(1, 65381, '\P{^isyiii}', "");
    Expect(0, 65382, '\p{isyiii}', "");
    Expect(1, 65382, '\p{^isyiii}', "");
    Expect(1, 65382, '\P{isyiii}', "");
    Expect(0, 65382, '\P{^isyiii}', "");
    Expect(1, 65381, '\p{	Is_Yiii}', "");
    Expect(0, 65381, '\p{^	Is_Yiii}', "");
    Expect(0, 65381, '\P{	Is_Yiii}', "");
    Expect(1, 65381, '\P{^	Is_Yiii}', "");
    Expect(0, 65382, '\p{	Is_Yiii}', "");
    Expect(1, 65382, '\p{^	Is_Yiii}', "");
    Expect(1, 65382, '\P{	Is_Yiii}', "");
    Expect(0, 65382, '\P{^	Is_Yiii}', "");
    Error('\p{-/a/Yi_RADICALS}');
    Error('\P{-/a/Yi_RADICALS}');
    Expect(1, 42191, '\p{yiradicals}', "");
    Expect(0, 42191, '\p{^yiradicals}', "");
    Expect(0, 42191, '\P{yiradicals}', "");
    Expect(1, 42191, '\P{^yiradicals}', "");
    Expect(0, 42192, '\p{yiradicals}', "");
    Expect(1, 42192, '\p{^yiradicals}', "");
    Expect(1, 42192, '\P{yiradicals}', "");
    Expect(0, 42192, '\P{^yiradicals}', "");
    Expect(1, 42191, '\p{ -YI_Radicals}', "");
    Expect(0, 42191, '\p{^ -YI_Radicals}', "");
    Expect(0, 42191, '\P{ -YI_Radicals}', "");
    Expect(1, 42191, '\P{^ -YI_Radicals}', "");
    Expect(0, 42192, '\p{ -YI_Radicals}', "");
    Expect(1, 42192, '\p{^ -YI_Radicals}', "");
    Expect(1, 42192, '\P{ -YI_Radicals}', "");
    Expect(0, 42192, '\P{^ -YI_Radicals}', "");
    Error('\p{-/a/IS_Yi_Radicals}');
    Error('\P{-/a/IS_Yi_Radicals}');
    Expect(1, 42191, '\p{isyiradicals}', "");
    Expect(0, 42191, '\p{^isyiradicals}', "");
    Expect(0, 42191, '\P{isyiradicals}', "");
    Expect(1, 42191, '\P{^isyiradicals}', "");
    Expect(0, 42192, '\p{isyiradicals}', "");
    Expect(1, 42192, '\p{^isyiradicals}', "");
    Expect(1, 42192, '\P{isyiradicals}', "");
    Expect(0, 42192, '\P{^isyiradicals}', "");
    Expect(1, 42191, '\p{	 Is_Yi_Radicals}', "");
    Expect(0, 42191, '\p{^	 Is_Yi_Radicals}', "");
    Expect(0, 42191, '\P{	 Is_Yi_Radicals}', "");
    Expect(1, 42191, '\P{^	 Is_Yi_Radicals}', "");
    Expect(0, 42192, '\p{	 Is_Yi_Radicals}', "");
    Expect(1, 42192, '\p{^	 Is_Yi_Radicals}', "");
    Expect(1, 42192, '\P{	 Is_Yi_Radicals}', "");
    Expect(0, 42192, '\P{^	 Is_Yi_Radicals}', "");
    Error('\p{/a/	 In_YI_radicals}');
    Error('\P{/a/	 In_YI_radicals}');
    Expect(1, 42191, '\p{inyiradicals}', "");
    Expect(0, 42191, '\p{^inyiradicals}', "");
    Expect(0, 42191, '\P{inyiradicals}', "");
    Expect(1, 42191, '\P{^inyiradicals}', "");
    Expect(0, 42192, '\p{inyiradicals}', "");
    Expect(1, 42192, '\p{^inyiradicals}', "");
    Expect(1, 42192, '\P{inyiradicals}', "");
    Expect(0, 42192, '\P{^inyiradicals}', "");
    Expect(1, 42191, '\p{_-IN_Yi_Radicals}', "");
    Expect(0, 42191, '\p{^_-IN_Yi_Radicals}', "");
    Expect(0, 42191, '\P{_-IN_Yi_Radicals}', "");
    Expect(1, 42191, '\P{^_-IN_Yi_Radicals}', "");
    Expect(0, 42192, '\p{_-IN_Yi_Radicals}', "");
    Expect(1, 42192, '\p{^_-IN_Yi_Radicals}', "");
    Expect(1, 42192, '\P{_-IN_Yi_Radicals}', "");
    Expect(0, 42192, '\P{^_-IN_Yi_Radicals}', "");
    Error('\p{ Yi_syllables:=}');
    Error('\P{ Yi_syllables:=}');
    Expect(1, 42127, '\p{yisyllables}', "");
    Expect(0, 42127, '\p{^yisyllables}', "");
    Expect(0, 42127, '\P{yisyllables}', "");
    Expect(1, 42127, '\P{^yisyllables}', "");
    Expect(0, 42128, '\p{yisyllables}', "");
    Expect(1, 42128, '\p{^yisyllables}', "");
    Expect(1, 42128, '\P{yisyllables}', "");
    Expect(0, 42128, '\P{^yisyllables}', "");
    Expect(1, 42127, '\p{ yi_SYLLABLES}', "");
    Expect(0, 42127, '\p{^ yi_SYLLABLES}', "");
    Expect(0, 42127, '\P{ yi_SYLLABLES}', "");
    Expect(1, 42127, '\P{^ yi_SYLLABLES}', "");
    Expect(0, 42128, '\p{ yi_SYLLABLES}', "");
    Expect(1, 42128, '\p{^ yi_SYLLABLES}', "");
    Expect(1, 42128, '\P{ yi_SYLLABLES}', "");
    Expect(0, 42128, '\P{^ yi_SYLLABLES}', "");
    Error('\p{-:=is_YI_syllables}');
    Error('\P{-:=is_YI_syllables}');
    Expect(1, 42127, '\p{isyisyllables}', "");
    Expect(0, 42127, '\p{^isyisyllables}', "");
    Expect(0, 42127, '\P{isyisyllables}', "");
    Expect(1, 42127, '\P{^isyisyllables}', "");
    Expect(0, 42128, '\p{isyisyllables}', "");
    Expect(1, 42128, '\p{^isyisyllables}', "");
    Expect(1, 42128, '\P{isyisyllables}', "");
    Expect(0, 42128, '\P{^isyisyllables}', "");
    Expect(1, 42127, '\p{- Is_yi_Syllables}', "");
    Expect(0, 42127, '\p{^- Is_yi_Syllables}', "");
    Expect(0, 42127, '\P{- Is_yi_Syllables}', "");
    Expect(1, 42127, '\P{^- Is_yi_Syllables}', "");
    Expect(0, 42128, '\p{- Is_yi_Syllables}', "");
    Expect(1, 42128, '\p{^- Is_yi_Syllables}', "");
    Expect(1, 42128, '\P{- Is_yi_Syllables}', "");
    Expect(0, 42128, '\P{^- Is_yi_Syllables}', "");
    Error('\p{/a/In_Yi_syllables}');
    Error('\P{/a/In_Yi_syllables}');
    Expect(1, 42127, '\p{inyisyllables}', "");
    Expect(0, 42127, '\p{^inyisyllables}', "");
    Expect(0, 42127, '\P{inyisyllables}', "");
    Expect(1, 42127, '\P{^inyisyllables}', "");
    Expect(0, 42128, '\p{inyisyllables}', "");
    Expect(1, 42128, '\p{^inyisyllables}', "");
    Expect(1, 42128, '\P{inyisyllables}', "");
    Expect(0, 42128, '\P{^inyisyllables}', "");
    Expect(1, 42127, '\p{-_IN_yi_syllables}', "");
    Expect(0, 42127, '\p{^-_IN_yi_syllables}', "");
    Expect(0, 42127, '\P{-_IN_yi_syllables}', "");
    Expect(1, 42127, '\P{^-_IN_yi_syllables}', "");
    Expect(0, 42128, '\p{-_IN_yi_syllables}', "");
    Expect(1, 42128, '\p{^-_IN_yi_syllables}', "");
    Expect(1, 42128, '\P{-_IN_yi_syllables}', "");
    Expect(0, 42128, '\P{^-_IN_yi_syllables}', "");
    Error('\p{:=_YIJING_HEXAGRAM_symbols}');
    Error('\P{:=_YIJING_HEXAGRAM_symbols}');
    Expect(1, 19967, '\p{yijinghexagramsymbols}', "");
    Expect(0, 19967, '\p{^yijinghexagramsymbols}', "");
    Expect(0, 19967, '\P{yijinghexagramsymbols}', "");
    Expect(1, 19967, '\P{^yijinghexagramsymbols}', "");
    Expect(0, 19968, '\p{yijinghexagramsymbols}', "");
    Expect(1, 19968, '\p{^yijinghexagramsymbols}', "");
    Expect(1, 19968, '\P{yijinghexagramsymbols}', "");
    Expect(0, 19968, '\P{^yijinghexagramsymbols}', "");
    Expect(1, 19967, '\p{__Yijing_HEXAGRAM_symbols}', "");
    Expect(0, 19967, '\p{^__Yijing_HEXAGRAM_symbols}', "");
    Expect(0, 19967, '\P{__Yijing_HEXAGRAM_symbols}', "");
    Expect(1, 19967, '\P{^__Yijing_HEXAGRAM_symbols}', "");
    Expect(0, 19968, '\p{__Yijing_HEXAGRAM_symbols}', "");
    Expect(1, 19968, '\p{^__Yijing_HEXAGRAM_symbols}', "");
    Expect(1, 19968, '\P{__Yijing_HEXAGRAM_symbols}', "");
    Expect(0, 19968, '\P{^__Yijing_HEXAGRAM_symbols}', "");
    Error('\p{-	Is_Yijing_hexagram_symbols:=}');
    Error('\P{-	Is_Yijing_hexagram_symbols:=}');
    Expect(1, 19967, '\p{isyijinghexagramsymbols}', "");
    Expect(0, 19967, '\p{^isyijinghexagramsymbols}', "");
    Expect(0, 19967, '\P{isyijinghexagramsymbols}', "");
    Expect(1, 19967, '\P{^isyijinghexagramsymbols}', "");
    Expect(0, 19968, '\p{isyijinghexagramsymbols}', "");
    Expect(1, 19968, '\p{^isyijinghexagramsymbols}', "");
    Expect(1, 19968, '\P{isyijinghexagramsymbols}', "");
    Expect(0, 19968, '\P{^isyijinghexagramsymbols}', "");
    Expect(1, 19967, '\p{		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Expect(0, 19967, '\p{^		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Expect(0, 19967, '\P{		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Expect(1, 19967, '\P{^		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Expect(0, 19968, '\p{		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Expect(1, 19968, '\p{^		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Expect(1, 19968, '\P{		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Expect(0, 19968, '\P{^		IS_YIJING_HEXAGRAM_SYMBOLS}', "");
    Error('\p{/a/_	In_yijing_HEXAGRAM_symbols}');
    Error('\P{/a/_	In_yijing_HEXAGRAM_symbols}');
    Expect(1, 19967, '\p{inyijinghexagramsymbols}', "");
    Expect(0, 19967, '\p{^inyijinghexagramsymbols}', "");
    Expect(0, 19967, '\P{inyijinghexagramsymbols}', "");
    Expect(1, 19967, '\P{^inyijinghexagramsymbols}', "");
    Expect(0, 19968, '\p{inyijinghexagramsymbols}', "");
    Expect(1, 19968, '\p{^inyijinghexagramsymbols}', "");
    Expect(1, 19968, '\P{inyijinghexagramsymbols}', "");
    Expect(0, 19968, '\P{^inyijinghexagramsymbols}', "");
    Expect(1, 19967, '\p{- In_YIJING_Hexagram_Symbols}', "");
    Expect(0, 19967, '\p{^- In_YIJING_Hexagram_Symbols}', "");
    Expect(0, 19967, '\P{- In_YIJING_Hexagram_Symbols}', "");
    Expect(1, 19967, '\P{^- In_YIJING_Hexagram_Symbols}', "");
    Expect(0, 19968, '\p{- In_YIJING_Hexagram_Symbols}', "");
    Expect(1, 19968, '\p{^- In_YIJING_Hexagram_Symbols}', "");
    Expect(1, 19968, '\P{- In_YIJING_Hexagram_Symbols}', "");
    Expect(0, 19968, '\P{^- In_YIJING_Hexagram_Symbols}', "");
    Error('\p{	-yijing/a/}');
    Error('\P{	-yijing/a/}');
    Expect(1, 19967, '\p{yijing}', "");
    Expect(0, 19967, '\p{^yijing}', "");
    Expect(0, 19967, '\P{yijing}', "");
    Expect(1, 19967, '\P{^yijing}', "");
    Expect(0, 19968, '\p{yijing}', "");
    Expect(1, 19968, '\p{^yijing}', "");
    Expect(1, 19968, '\P{yijing}', "");
    Expect(0, 19968, '\P{^yijing}', "");
    Expect(1, 19967, '\p{	yijing}', "");
    Expect(0, 19967, '\p{^	yijing}', "");
    Expect(0, 19967, '\P{	yijing}', "");
    Expect(1, 19967, '\P{^	yijing}', "");
    Expect(0, 19968, '\p{	yijing}', "");
    Expect(1, 19968, '\p{^	yijing}', "");
    Expect(1, 19968, '\P{	yijing}', "");
    Expect(0, 19968, '\P{^	yijing}', "");
    Error('\p{:= 	Is_Yijing}');
    Error('\P{:= 	Is_Yijing}');
    Expect(1, 19967, '\p{isyijing}', "");
    Expect(0, 19967, '\p{^isyijing}', "");
    Expect(0, 19967, '\P{isyijing}', "");
    Expect(1, 19967, '\P{^isyijing}', "");
    Expect(0, 19968, '\p{isyijing}', "");
    Expect(1, 19968, '\p{^isyijing}', "");
    Expect(1, 19968, '\P{isyijing}', "");
    Expect(0, 19968, '\P{^isyijing}', "");
    Expect(1, 19967, '\p{ -is_Yijing}', "");
    Expect(0, 19967, '\p{^ -is_Yijing}', "");
    Expect(0, 19967, '\P{ -is_Yijing}', "");
    Expect(1, 19967, '\P{^ -is_Yijing}', "");
    Expect(0, 19968, '\p{ -is_Yijing}', "");
    Expect(1, 19968, '\p{^ -is_Yijing}', "");
    Expect(1, 19968, '\P{ -is_Yijing}', "");
    Expect(0, 19968, '\P{^ -is_Yijing}', "");
    Error('\p{ /a/In_yijing}');
    Error('\P{ /a/In_yijing}');
    Expect(1, 19967, '\p{inyijing}', "");
    Expect(0, 19967, '\p{^inyijing}', "");
    Expect(0, 19967, '\P{inyijing}', "");
    Expect(1, 19967, '\P{^inyijing}', "");
    Expect(0, 19968, '\p{inyijing}', "");
    Expect(1, 19968, '\p{^inyijing}', "");
    Expect(1, 19968, '\P{inyijing}', "");
    Expect(0, 19968, '\P{^inyijing}', "");
    Expect(1, 19967, '\p{-In_Yijing}', "");
    Expect(0, 19967, '\p{^-In_Yijing}', "");
    Expect(0, 19967, '\P{-In_Yijing}', "");
    Expect(1, 19967, '\P{^-In_Yijing}', "");
    Expect(0, 19968, '\p{-In_Yijing}', "");
    Expect(1, 19968, '\p{^-In_Yijing}', "");
    Expect(1, 19968, '\P{-In_Yijing}', "");
    Expect(0, 19968, '\P{^-In_Yijing}', "");
    Error('\p{/a/ -Zanabazar_SQUARE}');
    Error('\P{/a/ -Zanabazar_SQUARE}');
    Expect(1, 72263, '\p{zanabazarsquare}', "");
    Expect(0, 72263, '\p{^zanabazarsquare}', "");
    Expect(0, 72263, '\P{zanabazarsquare}', "");
    Expect(1, 72263, '\P{^zanabazarsquare}', "");
    Expect(0, 72264, '\p{zanabazarsquare}', "");
    Expect(1, 72264, '\p{^zanabazarsquare}', "");
    Expect(1, 72264, '\P{zanabazarsquare}', "");
    Expect(0, 72264, '\P{^zanabazarsquare}', "");
    Expect(1, 72263, '\p{	Zanabazar_Square}', "");
    Expect(0, 72263, '\p{^	Zanabazar_Square}', "");
    Expect(0, 72263, '\P{	Zanabazar_Square}', "");
    Expect(1, 72263, '\P{^	Zanabazar_Square}', "");
    Expect(0, 72264, '\p{	Zanabazar_Square}', "");
    Expect(1, 72264, '\p{^	Zanabazar_Square}', "");
    Expect(1, 72264, '\P{	Zanabazar_Square}', "");
    Expect(0, 72264, '\P{^	Zanabazar_Square}', "");
    Error('\p{/a/--Is_ZANABAZAR_Square}');
    Error('\P{/a/--Is_ZANABAZAR_Square}');
    Expect(1, 72263, '\p{iszanabazarsquare}', "");
    Expect(0, 72263, '\p{^iszanabazarsquare}', "");
    Expect(0, 72263, '\P{iszanabazarsquare}', "");
    Expect(1, 72263, '\P{^iszanabazarsquare}', "");
    Expect(0, 72264, '\p{iszanabazarsquare}', "");
    Expect(1, 72264, '\p{^iszanabazarsquare}', "");
    Expect(1, 72264, '\P{iszanabazarsquare}', "");
    Expect(0, 72264, '\P{^iszanabazarsquare}', "");
    Expect(1, 72263, '\p{_is_Zanabazar_square}', "");
    Expect(0, 72263, '\p{^_is_Zanabazar_square}', "");
    Expect(0, 72263, '\P{_is_Zanabazar_square}', "");
    Expect(1, 72263, '\P{^_is_Zanabazar_square}', "");
    Expect(0, 72264, '\p{_is_Zanabazar_square}', "");
    Expect(1, 72264, '\p{^_is_Zanabazar_square}', "");
    Expect(1, 72264, '\P{_is_Zanabazar_square}', "");
    Expect(0, 72264, '\P{^_is_Zanabazar_square}', "");
    Error('\p{:=  zanb}');
    Error('\P{:=  zanb}');
    Expect(1, 72263, '\p{zanb}', "");
    Expect(0, 72263, '\p{^zanb}', "");
    Expect(0, 72263, '\P{zanb}', "");
    Expect(1, 72263, '\P{^zanb}', "");
    Expect(0, 72264, '\p{zanb}', "");
    Expect(1, 72264, '\p{^zanb}', "");
    Expect(1, 72264, '\P{zanb}', "");
    Expect(0, 72264, '\P{^zanb}', "");
    Expect(1, 72263, '\p{	Zanb}', "");
    Expect(0, 72263, '\p{^	Zanb}', "");
    Expect(0, 72263, '\P{	Zanb}', "");
    Expect(1, 72263, '\P{^	Zanb}', "");
    Expect(0, 72264, '\p{	Zanb}', "");
    Expect(1, 72264, '\p{^	Zanb}', "");
    Expect(1, 72264, '\P{	Zanb}', "");
    Expect(0, 72264, '\P{^	Zanb}', "");
    Error('\p{_/a/IS_Zanb}');
    Error('\P{_/a/IS_Zanb}');
    Expect(1, 72263, '\p{iszanb}', "");
    Expect(0, 72263, '\p{^iszanb}', "");
    Expect(0, 72263, '\P{iszanb}', "");
    Expect(1, 72263, '\P{^iszanb}', "");
    Expect(0, 72264, '\p{iszanb}', "");
    Expect(1, 72264, '\p{^iszanb}', "");
    Expect(1, 72264, '\P{iszanb}', "");
    Expect(0, 72264, '\P{^iszanb}', "");
    Expect(1, 72263, '\p{	 Is_Zanb}', "");
    Expect(0, 72263, '\p{^	 Is_Zanb}', "");
    Expect(0, 72263, '\P{	 Is_Zanb}', "");
    Expect(1, 72263, '\P{^	 Is_Zanb}', "");
    Expect(0, 72264, '\p{	 Is_Zanb}', "");
    Expect(1, 72264, '\p{^	 Is_Zanb}', "");
    Expect(1, 72264, '\P{	 Is_Zanb}', "");
    Expect(0, 72264, '\P{^	 Is_Zanb}', "");
    Error('\p{	-Znamenny_musical_notation/a/}');
    Error('\P{	-Znamenny_musical_notation/a/}');
    Expect(1, 118735, '\p{znamennymusicalnotation}', "");
    Expect(0, 118735, '\p{^znamennymusicalnotation}', "");
    Expect(0, 118735, '\P{znamennymusicalnotation}', "");
    Expect(1, 118735, '\P{^znamennymusicalnotation}', "");
    Expect(0, 118736, '\p{znamennymusicalnotation}', "");
    Expect(1, 118736, '\p{^znamennymusicalnotation}', "");
    Expect(1, 118736, '\P{znamennymusicalnotation}', "");
    Expect(0, 118736, '\P{^znamennymusicalnotation}', "");
    Expect(1, 118735, '\p{-Znamenny_Musical_Notation}', "");
    Expect(0, 118735, '\p{^-Znamenny_Musical_Notation}', "");
    Expect(0, 118735, '\P{-Znamenny_Musical_Notation}', "");
    Expect(1, 118735, '\P{^-Znamenny_Musical_Notation}', "");
    Expect(0, 118736, '\p{-Znamenny_Musical_Notation}', "");
    Expect(1, 118736, '\p{^-Znamenny_Musical_Notation}', "");
    Expect(1, 118736, '\P{-Znamenny_Musical_Notation}', "");
    Expect(0, 118736, '\P{^-Znamenny_Musical_Notation}', "");
    Error('\p{ -IS_ZNAMENNY_MUSICAL_NOTATION:=}');
    Error('\P{ -IS_ZNAMENNY_MUSICAL_NOTATION:=}');
    Expect(1, 118735, '\p{isznamennymusicalnotation}', "");
    Expect(0, 118735, '\p{^isznamennymusicalnotation}', "");
    Expect(0, 118735, '\P{isznamennymusicalnotation}', "");
    Expect(1, 118735, '\P{^isznamennymusicalnotation}', "");
    Expect(0, 118736, '\p{isznamennymusicalnotation}', "");
    Expect(1, 118736, '\p{^isznamennymusicalnotation}', "");
    Expect(1, 118736, '\P{isznamennymusicalnotation}', "");
    Expect(0, 118736, '\P{^isznamennymusicalnotation}', "");
    Expect(1, 118735, '\p{	_is_ZNAMENNY_Musical_Notation}', "");
    Expect(0, 118735, '\p{^	_is_ZNAMENNY_Musical_Notation}', "");
    Expect(0, 118735, '\P{	_is_ZNAMENNY_Musical_Notation}', "");
    Expect(1, 118735, '\P{^	_is_ZNAMENNY_Musical_Notation}', "");
    Expect(0, 118736, '\p{	_is_ZNAMENNY_Musical_Notation}', "");
    Expect(1, 118736, '\p{^	_is_ZNAMENNY_Musical_Notation}', "");
    Expect(1, 118736, '\P{	_is_ZNAMENNY_Musical_Notation}', "");
    Expect(0, 118736, '\P{^	_is_ZNAMENNY_Musical_Notation}', "");
    Error('\p{ :=In_ZNAMENNY_musical_Notation}');
    Error('\P{ :=In_ZNAMENNY_musical_Notation}');
    Expect(1, 118735, '\p{inznamennymusicalnotation}', "");
    Expect(0, 118735, '\p{^inznamennymusicalnotation}', "");
    Expect(0, 118735, '\P{inznamennymusicalnotation}', "");
    Expect(1, 118735, '\P{^inznamennymusicalnotation}', "");
    Expect(0, 118736, '\p{inznamennymusicalnotation}', "");
    Expect(1, 118736, '\p{^inznamennymusicalnotation}', "");
    Expect(1, 118736, '\P{inznamennymusicalnotation}', "");
    Expect(0, 118736, '\P{^inznamennymusicalnotation}', "");
    Expect(1, 118735, '\p{ 	IN_Znamenny_musical_Notation}', "");
    Expect(0, 118735, '\p{^ 	IN_Znamenny_musical_Notation}', "");
    Expect(0, 118735, '\P{ 	IN_Znamenny_musical_Notation}', "");
    Expect(1, 118735, '\P{^ 	IN_Znamenny_musical_Notation}', "");
    Expect(0, 118736, '\p{ 	IN_Znamenny_musical_Notation}', "");
    Expect(1, 118736, '\p{^ 	IN_Znamenny_musical_Notation}', "");
    Expect(1, 118736, '\P{ 	IN_Znamenny_musical_Notation}', "");
    Expect(0, 118736, '\P{^ 	IN_Znamenny_musical_Notation}', "");
    Error('\p{:=Znamenny_Music}');
    Error('\P{:=Znamenny_Music}');
    Expect(1, 118735, '\p{znamennymusic}', "");
    Expect(0, 118735, '\p{^znamennymusic}', "");
    Expect(0, 118735, '\P{znamennymusic}', "");
    Expect(1, 118735, '\P{^znamennymusic}', "");
    Expect(0, 118736, '\p{znamennymusic}', "");
    Expect(1, 118736, '\p{^znamennymusic}', "");
    Expect(1, 118736, '\P{znamennymusic}', "");
    Expect(0, 118736, '\P{^znamennymusic}', "");
    Expect(1, 118735, '\p{- ZNAMENNY_MUSIC}', "");
    Expect(0, 118735, '\p{^- ZNAMENNY_MUSIC}', "");
    Expect(0, 118735, '\P{- ZNAMENNY_MUSIC}', "");
    Expect(1, 118735, '\P{^- ZNAMENNY_MUSIC}', "");
    Expect(0, 118736, '\p{- ZNAMENNY_MUSIC}', "");
    Expect(1, 118736, '\p{^- ZNAMENNY_MUSIC}', "");
    Expect(1, 118736, '\P{- ZNAMENNY_MUSIC}', "");
    Expect(0, 118736, '\P{^- ZNAMENNY_MUSIC}', "");
    Error('\p{:=-_Is_ZNAMENNY_music}');
    Error('\P{:=-_Is_ZNAMENNY_music}');
    Expect(1, 118735, '\p{isznamennymusic}', "");
    Expect(0, 118735, '\p{^isznamennymusic}', "");
    Expect(0, 118735, '\P{isznamennymusic}', "");
    Expect(1, 118735, '\P{^isznamennymusic}', "");
    Expect(0, 118736, '\p{isznamennymusic}', "");
    Expect(1, 118736, '\p{^isznamennymusic}', "");
    Expect(1, 118736, '\P{isznamennymusic}', "");
    Expect(0, 118736, '\P{^isznamennymusic}', "");
    Expect(1, 118735, '\p{	_Is_Znamenny_Music}', "");
    Expect(0, 118735, '\p{^	_Is_Znamenny_Music}', "");
    Expect(0, 118735, '\P{	_Is_Znamenny_Music}', "");
    Expect(1, 118735, '\P{^	_Is_Znamenny_Music}', "");
    Expect(0, 118736, '\p{	_Is_Znamenny_Music}', "");
    Expect(1, 118736, '\p{^	_Is_Znamenny_Music}', "");
    Expect(1, 118736, '\P{	_Is_Znamenny_Music}', "");
    Expect(0, 118736, '\P{^	_Is_Znamenny_Music}', "");
    Error('\p{-:=In_ZNAMENNY_MUSIC}');
    Error('\P{-:=In_ZNAMENNY_MUSIC}');
    Expect(1, 118735, '\p{inznamennymusic}', "");
    Expect(0, 118735, '\p{^inznamennymusic}', "");
    Expect(0, 118735, '\P{inznamennymusic}', "");
    Expect(1, 118735, '\P{^inznamennymusic}', "");
    Expect(0, 118736, '\p{inznamennymusic}', "");
    Expect(1, 118736, '\p{^inznamennymusic}', "");
    Expect(1, 118736, '\P{inznamennymusic}', "");
    Expect(0, 118736, '\P{^inznamennymusic}', "");
    Expect(1, 118735, '\p{in_znamenny_Music}', "");
    Expect(0, 118735, '\p{^in_znamenny_Music}', "");
    Expect(0, 118735, '\P{in_znamenny_Music}', "");
    Expect(1, 118735, '\P{^in_znamenny_Music}', "");
    Expect(0, 118736, '\p{in_znamenny_Music}', "");
    Expect(1, 118736, '\p{^in_znamenny_Music}', "");
    Expect(1, 118736, '\P{in_znamenny_Music}', "");
    Expect(0, 118736, '\P{^in_znamenny_Music}', "");
    Error('\p{perlcharnames}');
    Error('\P{perlcharnames}');
    Error('\p{perldecimaldigit}');
    Error('\P{perldecimaldigit}');
    Error('\p{perldecompositionmapping}');
    Error('\P{perldecompositionmapping}');
    Error('\p{Quotation_Mark=-NO:=}');
    Error('\P{Quotation_Mark=-NO:=}');
    Expect(1, 65380, '\p{Quotation_Mark=:\ANo\z:}', "");;
    Expect(0, 65379, '\p{Quotation_Mark=:\ANo\z:}', "");;
    Expect(1, 65380, '\p{Quotation_Mark=no}', "");
    Expect(0, 65380, '\p{^Quotation_Mark=no}', "");
    Expect(0, 65380, '\P{Quotation_Mark=no}', "");
    Expect(1, 65380, '\P{^Quotation_Mark=no}', "");
    Expect(0, 65379, '\p{Quotation_Mark=no}', "");
    Expect(1, 65379, '\p{^Quotation_Mark=no}', "");
    Expect(1, 65379, '\P{Quotation_Mark=no}', "");
    Expect(0, 65379, '\P{^Quotation_Mark=no}', "");
    Expect(1, 65380, '\p{Quotation_Mark=:\Ano\z:}', "");;
    Expect(0, 65379, '\p{Quotation_Mark=:\Ano\z:}', "");;
    Expect(1, 65380, '\p{Quotation_Mark=	-No}', "");
    Expect(0, 65380, '\p{^Quotation_Mark=	-No}', "");
    Expect(0, 65380, '\P{Quotation_Mark=	-No}', "");
    Expect(1, 65380, '\P{^Quotation_Mark=	-No}', "");
    Expect(0, 65379, '\p{Quotation_Mark=	-No}', "");
    Expect(1, 65379, '\p{^Quotation_Mark=	-No}', "");
    Expect(1, 65379, '\P{Quotation_Mark=	-No}', "");
    Expect(0, 65379, '\P{^Quotation_Mark=	-No}', "");
    Error('\p{QMark=/a/-N}');
    Error('\P{QMark=/a/-N}');
    Expect(1, 65380, '\p{QMark=:\AN\z:}', "");;
    Expect(0, 65379, '\p{QMark=:\AN\z:}', "");;
    Expect(1, 65380, '\p{QMark=n}', "");
    Expect(0, 65380, '\p{^QMark=n}', "");
    Expect(0, 65380, '\P{QMark=n}', "");
    Expect(1, 65380, '\P{^QMark=n}', "");
    Expect(0, 65379, '\p{QMark=n}', "");
    Expect(1, 65379, '\p{^QMark=n}', "");
    Expect(1, 65379, '\P{QMark=n}', "");
    Expect(0, 65379, '\P{^QMark=n}', "");
    Expect(1, 65380, '\p{QMark=:\An\z:}', "");;
    Expect(0, 65379, '\p{QMark=:\An\z:}', "");;
    Expect(1, 65380, '\p{QMark=_N}', "");
    Expect(0, 65380, '\p{^QMark=_N}', "");
    Expect(0, 65380, '\P{QMark=_N}', "");
    Expect(1, 65380, '\P{^QMark=_N}', "");
    Expect(0, 65379, '\p{QMark=_N}', "");
    Expect(1, 65379, '\p{^QMark=_N}', "");
    Expect(1, 65379, '\P{QMark=_N}', "");
    Expect(0, 65379, '\P{^QMark=_N}', "");
    Error('\p{Is_Quotation_Mark=/a/-_F}');
    Error('\P{Is_Quotation_Mark=/a/-_F}');
    Expect(1, 65380, '\p{Is_Quotation_Mark=f}', "");
    Expect(0, 65380, '\p{^Is_Quotation_Mark=f}', "");
    Expect(0, 65380, '\P{Is_Quotation_Mark=f}', "");
    Expect(1, 65380, '\P{^Is_Quotation_Mark=f}', "");
    Expect(0, 65379, '\p{Is_Quotation_Mark=f}', "");
    Expect(1, 65379, '\p{^Is_Quotation_Mark=f}', "");
    Expect(1, 65379, '\P{Is_Quotation_Mark=f}', "");
    Expect(0, 65379, '\P{^Is_Quotation_Mark=f}', "");
    Expect(1, 65380, '\p{Is_Quotation_Mark= F}', "");
    Expect(0, 65380, '\p{^Is_Quotation_Mark= F}', "");
    Expect(0, 65380, '\P{Is_Quotation_Mark= F}', "");
    Expect(1, 65380, '\P{^Is_Quotation_Mark= F}', "");
    Expect(0, 65379, '\p{Is_Quotation_Mark= F}', "");
    Expect(1, 65379, '\p{^Is_Quotation_Mark= F}', "");
    Expect(1, 65379, '\P{Is_Quotation_Mark= F}', "");
    Expect(0, 65379, '\P{^Is_Quotation_Mark= F}', "");
    Error('\p{Is_QMark=  false:=}');
    Error('\P{Is_QMark=  false:=}');
    Expect(1, 65380, '\p{Is_QMark=false}', "");
    Expect(0, 65380, '\p{^Is_QMark=false}', "");
    Expect(0, 65380, '\P{Is_QMark=false}', "");
    Expect(1, 65380, '\P{^Is_QMark=false}', "");
    Expect(0, 65379, '\p{Is_QMark=false}', "");
    Expect(1, 65379, '\p{^Is_QMark=false}', "");
    Expect(1, 65379, '\P{Is_QMark=false}', "");
    Expect(0, 65379, '\P{^Is_QMark=false}', "");
    Expect(1, 65380, '\p{Is_QMark=-False}', "");
    Expect(0, 65380, '\p{^Is_QMark=-False}', "");
    Expect(0, 65380, '\P{Is_QMark=-False}', "");
    Expect(1, 65380, '\P{^Is_QMark=-False}', "");
    Expect(0, 65379, '\p{Is_QMark=-False}', "");
    Expect(1, 65379, '\p{^Is_QMark=-False}', "");
    Expect(1, 65379, '\P{Is_QMark=-False}', "");
    Expect(0, 65379, '\P{^Is_QMark=-False}', "");
    Error('\p{Quotation_Mark=:= Yes}');
    Error('\P{Quotation_Mark=:= Yes}');
    Expect(1, 65379, '\p{Quotation_Mark=:\AYes\z:}', "");;
    Expect(0, 65380, '\p{Quotation_Mark=:\AYes\z:}', "");;
    Expect(1, 65379, '\p{Quotation_Mark=yes}', "");
    Expect(0, 65379, '\p{^Quotation_Mark=yes}', "");
    Expect(0, 65379, '\P{Quotation_Mark=yes}', "");
    Expect(1, 65379, '\P{^Quotation_Mark=yes}', "");
    Expect(0, 65380, '\p{Quotation_Mark=yes}', "");
    Expect(1, 65380, '\p{^Quotation_Mark=yes}', "");
    Expect(1, 65380, '\P{Quotation_Mark=yes}', "");
    Expect(0, 65380, '\P{^Quotation_Mark=yes}', "");
    Expect(1, 65379, '\p{Quotation_Mark=:\Ayes\z:}', "");;
    Expect(0, 65380, '\p{Quotation_Mark=:\Ayes\z:}', "");;
    Expect(1, 65379, '\p{Quotation_Mark=- YES}', "");
    Expect(0, 65379, '\p{^Quotation_Mark=- YES}', "");
    Expect(0, 65379, '\P{Quotation_Mark=- YES}', "");
    Expect(1, 65379, '\P{^Quotation_Mark=- YES}', "");
    Expect(0, 65380, '\p{Quotation_Mark=- YES}', "");
    Expect(1, 65380, '\p{^Quotation_Mark=- YES}', "");
    Expect(1, 65380, '\P{Quotation_Mark=- YES}', "");
    Expect(0, 65380, '\P{^Quotation_Mark=- YES}', "");
    Error('\p{QMark=		Y/a/}');
    Error('\P{QMark=		Y/a/}');
    Expect(1, 65379, '\p{QMark=:\AY\z:}', "");;
    Expect(0, 65380, '\p{QMark=:\AY\z:}', "");;
    Expect(1, 65379, '\p{QMark:   y}', "");
    Expect(0, 65379, '\p{^QMark:   y}', "");
    Expect(0, 65379, '\P{QMark:   y}', "");
    Expect(1, 65379, '\P{^QMark:   y}', "");
    Expect(0, 65380, '\p{QMark:   y}', "");
    Expect(1, 65380, '\p{^QMark:   y}', "");
    Expect(1, 65380, '\P{QMark:   y}', "");
    Expect(0, 65380, '\P{^QMark:   y}', "");
    Expect(1, 65379, '\p{QMark=:\Ay\z:}', "");;
    Expect(0, 65380, '\p{QMark=:\Ay\z:}', "");;
    Expect(1, 65379, '\p{QMark=-Y}', "");
    Expect(0, 65379, '\p{^QMark=-Y}', "");
    Expect(0, 65379, '\P{QMark=-Y}', "");
    Expect(1, 65379, '\P{^QMark=-Y}', "");
    Expect(0, 65380, '\p{QMark=-Y}', "");
    Expect(1, 65380, '\p{^QMark=-Y}', "");
    Expect(1, 65380, '\P{QMark=-Y}', "");
    Expect(0, 65380, '\P{^QMark=-Y}', "");
    Error('\p{Is_Quotation_Mark= _T:=}');
    Error('\P{Is_Quotation_Mark= _T:=}');
    Expect(1, 65379, '\p{Is_Quotation_Mark=t}', "");
    Expect(0, 65379, '\p{^Is_Quotation_Mark=t}', "");
    Expect(0, 65379, '\P{Is_Quotation_Mark=t}', "");
    Expect(1, 65379, '\P{^Is_Quotation_Mark=t}', "");
    Expect(0, 65380, '\p{Is_Quotation_Mark=t}', "");
    Expect(1, 65380, '\p{^Is_Quotation_Mark=t}', "");
    Expect(1, 65380, '\P{Is_Quotation_Mark=t}', "");
    Expect(0, 65380, '\P{^Is_Quotation_Mark=t}', "");
    Expect(1, 65379, '\p{Is_Quotation_Mark: _T}', "");
    Expect(0, 65379, '\p{^Is_Quotation_Mark: _T}', "");
    Expect(0, 65379, '\P{Is_Quotation_Mark: _T}', "");
    Expect(1, 65379, '\P{^Is_Quotation_Mark: _T}', "");
    Expect(0, 65380, '\p{Is_Quotation_Mark: _T}', "");
    Expect(1, 65380, '\p{^Is_Quotation_Mark: _T}', "");
    Expect(1, 65380, '\P{Is_Quotation_Mark: _T}', "");
    Expect(0, 65380, '\P{^Is_Quotation_Mark: _T}', "");
    Error('\p{Is_QMark=-TRUE/a/}');
    Error('\P{Is_QMark=-TRUE/a/}');
    Expect(1, 65379, '\p{Is_QMark=true}', "");
    Expect(0, 65379, '\p{^Is_QMark=true}', "");
    Expect(0, 65379, '\P{Is_QMark=true}', "");
    Expect(1, 65379, '\P{^Is_QMark=true}', "");
    Expect(0, 65380, '\p{Is_QMark=true}', "");
    Expect(1, 65380, '\p{^Is_QMark=true}', "");
    Expect(1, 65380, '\P{Is_QMark=true}', "");
    Expect(0, 65380, '\P{^Is_QMark=true}', "");
    Expect(1, 65379, '\p{Is_QMark=	_true}', "");
    Expect(0, 65379, '\p{^Is_QMark=	_true}', "");
    Expect(0, 65379, '\P{Is_QMark=	_true}', "");
    Expect(1, 65379, '\P{^Is_QMark=	_true}', "");
    Expect(0, 65380, '\p{Is_QMark=	_true}', "");
    Expect(1, 65380, '\p{^Is_QMark=	_true}', "");
    Expect(1, 65380, '\P{Is_QMark=	_true}', "");
    Expect(0, 65380, '\P{^Is_QMark=	_true}', "");
    Error('\p{Radical:   _:=No}');
    Error('\P{Radical:   _:=No}');
    Expect(1, 12246, '\p{Radical=:\ANo\z:}', "");;
    Expect(0, 12245, '\p{Radical=:\ANo\z:}', "");;
    Expect(1, 12246, '\p{Radical=no}', "");
    Expect(0, 12246, '\p{^Radical=no}', "");
    Expect(0, 12246, '\P{Radical=no}', "");
    Expect(1, 12246, '\P{^Radical=no}', "");
    Expect(0, 12245, '\p{Radical=no}', "");
    Expect(1, 12245, '\p{^Radical=no}', "");
    Expect(1, 12245, '\P{Radical=no}', "");
    Expect(0, 12245, '\P{^Radical=no}', "");
    Expect(1, 12246, '\p{Radical=:\Ano\z:}', "");;
    Expect(0, 12245, '\p{Radical=:\Ano\z:}', "");;
    Expect(1, 12246, '\p{Radical=-_No}', "");
    Expect(0, 12246, '\p{^Radical=-_No}', "");
    Expect(0, 12246, '\P{Radical=-_No}', "");
    Expect(1, 12246, '\P{^Radical=-_No}', "");
    Expect(0, 12245, '\p{Radical=-_No}', "");
    Expect(1, 12245, '\p{^Radical=-_No}', "");
    Expect(1, 12245, '\P{Radical=-_No}', "");
    Expect(0, 12245, '\P{^Radical=-_No}', "");
    Error('\p{Is_Radical= :=N}');
    Error('\P{Is_Radical= :=N}');
    Expect(1, 12246, '\p{Is_Radical:n}', "");
    Expect(0, 12246, '\p{^Is_Radical:n}', "");
    Expect(0, 12246, '\P{Is_Radical:n}', "");
    Expect(1, 12246, '\P{^Is_Radical:n}', "");
    Expect(0, 12245, '\p{Is_Radical:n}', "");
    Expect(1, 12245, '\p{^Is_Radical:n}', "");
    Expect(1, 12245, '\P{Is_Radical:n}', "");
    Expect(0, 12245, '\P{^Is_Radical:n}', "");
    Expect(1, 12246, '\p{Is_Radical=	 N}', "");
    Expect(0, 12246, '\p{^Is_Radical=	 N}', "");
    Expect(0, 12246, '\P{Is_Radical=	 N}', "");
    Expect(1, 12246, '\P{^Is_Radical=	 N}', "");
    Expect(0, 12245, '\p{Is_Radical=	 N}', "");
    Expect(1, 12245, '\p{^Is_Radical=	 N}', "");
    Expect(1, 12245, '\P{Is_Radical=	 N}', "");
    Expect(0, 12245, '\P{^Is_Radical=	 N}', "");
    Error('\p{Radical=F/a/}');
    Error('\P{Radical=F/a/}');
    Expect(1, 12246, '\p{Radical=:\AF\z:}', "");;
    Expect(0, 12245, '\p{Radical=:\AF\z:}', "");;
    Expect(1, 12246, '\p{Radical=f}', "");
    Expect(0, 12246, '\p{^Radical=f}', "");
    Expect(0, 12246, '\P{Radical=f}', "");
    Expect(1, 12246, '\P{^Radical=f}', "");
    Expect(0, 12245, '\p{Radical=f}', "");
    Expect(1, 12245, '\p{^Radical=f}', "");
    Expect(1, 12245, '\P{Radical=f}', "");
    Expect(0, 12245, '\P{^Radical=f}', "");
    Expect(1, 12246, '\p{Radical=:\Af\z:}', "");;
    Expect(0, 12245, '\p{Radical=:\Af\z:}', "");;
    Expect(1, 12246, '\p{Radical=		F}', "");
    Expect(0, 12246, '\p{^Radical=		F}', "");
    Expect(0, 12246, '\P{Radical=		F}', "");
    Expect(1, 12246, '\P{^Radical=		F}', "");
    Expect(0, 12245, '\p{Radical=		F}', "");
    Expect(1, 12245, '\p{^Radical=		F}', "");
    Expect(1, 12245, '\P{Radical=		F}', "");
    Expect(0, 12245, '\P{^Radical=		F}', "");
    Error('\p{Is_Radical=/a/ -False}');
    Error('\P{Is_Radical=/a/ -False}');
    Expect(1, 12246, '\p{Is_Radical=false}', "");
    Expect(0, 12246, '\p{^Is_Radical=false}', "");
    Expect(0, 12246, '\P{Is_Radical=false}', "");
    Expect(1, 12246, '\P{^Is_Radical=false}', "");
    Expect(0, 12245, '\p{Is_Radical=false}', "");
    Expect(1, 12245, '\p{^Is_Radical=false}', "");
    Expect(1, 12245, '\P{Is_Radical=false}', "");
    Expect(0, 12245, '\P{^Is_Radical=false}', "");
    Expect(1, 12246, '\p{Is_Radical:    _False}', "");
    Expect(0, 12246, '\p{^Is_Radical:    _False}', "");
    Expect(0, 12246, '\P{Is_Radical:    _False}', "");
    Expect(1, 12246, '\P{^Is_Radical:    _False}', "");
    Expect(0, 12245, '\p{Is_Radical:    _False}', "");
    Expect(1, 12245, '\p{^Is_Radical:    _False}', "");
    Expect(1, 12245, '\P{Is_Radical:    _False}', "");
    Expect(0, 12245, '\P{^Is_Radical:    _False}', "");
    Error('\p{Radical=:=Yes}');
    Error('\P{Radical=:=Yes}');
    Expect(1, 12245, '\p{Radical=:\AYes\z:}', "");;
    Expect(0, 12246, '\p{Radical=:\AYes\z:}', "");;
    Expect(1, 12245, '\p{Radical=yes}', "");
    Expect(0, 12245, '\p{^Radical=yes}', "");
    Expect(0, 12245, '\P{Radical=yes}', "");
    Expect(1, 12245, '\P{^Radical=yes}', "");
    Expect(0, 12246, '\p{Radical=yes}', "");
    Expect(1, 12246, '\p{^Radical=yes}', "");
    Expect(1, 12246, '\P{Radical=yes}', "");
    Expect(0, 12246, '\P{^Radical=yes}', "");
    Expect(1, 12245, '\p{Radical=:\Ayes\z:}', "");;
    Expect(0, 12246, '\p{Radical=:\Ayes\z:}', "");;
    Expect(1, 12245, '\p{Radical: -	Yes}', "");
    Expect(0, 12245, '\p{^Radical: -	Yes}', "");
    Expect(0, 12245, '\P{Radical: -	Yes}', "");
    Expect(1, 12245, '\P{^Radical: -	Yes}', "");
    Expect(0, 12246, '\p{Radical: -	Yes}', "");
    Expect(1, 12246, '\p{^Radical: -	Yes}', "");
    Expect(1, 12246, '\P{Radical: -	Yes}', "");
    Expect(0, 12246, '\P{^Radical: -	Yes}', "");
    Error('\p{Is_Radical=:= Y}');
    Error('\P{Is_Radical=:= Y}');
    Expect(1, 12245, '\p{Is_Radical=y}', "");
    Expect(0, 12245, '\p{^Is_Radical=y}', "");
    Expect(0, 12245, '\P{Is_Radical=y}', "");
    Expect(1, 12245, '\P{^Is_Radical=y}', "");
    Expect(0, 12246, '\p{Is_Radical=y}', "");
    Expect(1, 12246, '\p{^Is_Radical=y}', "");
    Expect(1, 12246, '\P{Is_Radical=y}', "");
    Expect(0, 12246, '\P{^Is_Radical=y}', "");
    Expect(1, 12245, '\p{Is_Radical=-	Y}', "");
    Expect(0, 12245, '\p{^Is_Radical=-	Y}', "");
    Expect(0, 12245, '\P{Is_Radical=-	Y}', "");
    Expect(1, 12245, '\P{^Is_Radical=-	Y}', "");
    Expect(0, 12246, '\p{Is_Radical=-	Y}', "");
    Expect(1, 12246, '\p{^Is_Radical=-	Y}', "");
    Expect(1, 12246, '\P{Is_Radical=-	Y}', "");
    Expect(0, 12246, '\P{^Is_Radical=-	Y}', "");
    Error('\p{Radical=/a/ T}');
    Error('\P{Radical=/a/ T}');
    Expect(1, 12245, '\p{Radical=:\AT\z:}', "");;
    Expect(0, 12246, '\p{Radical=:\AT\z:}', "");;
    Expect(1, 12245, '\p{Radical=t}', "");
    Expect(0, 12245, '\p{^Radical=t}', "");
    Expect(0, 12245, '\P{Radical=t}', "");
    Expect(1, 12245, '\P{^Radical=t}', "");
    Expect(0, 12246, '\p{Radical=t}', "");
    Expect(1, 12246, '\p{^Radical=t}', "");
    Expect(1, 12246, '\P{Radical=t}', "");
    Expect(0, 12246, '\P{^Radical=t}', "");
    Expect(1, 12245, '\p{Radical=:\At\z:}', "");;
    Expect(0, 12246, '\p{Radical=:\At\z:}', "");;
    Expect(1, 12245, '\p{Radical=_t}', "");
    Expect(0, 12245, '\p{^Radical=_t}', "");
    Expect(0, 12245, '\P{Radical=_t}', "");
    Expect(1, 12245, '\P{^Radical=_t}', "");
    Expect(0, 12246, '\p{Radical=_t}', "");
    Expect(1, 12246, '\p{^Radical=_t}', "");
    Expect(1, 12246, '\P{Radical=_t}', "");
    Expect(0, 12246, '\P{^Radical=_t}', "");
    Error('\p{Is_Radical=	true/a/}');
    Error('\P{Is_Radical=	true/a/}');
    Expect(1, 12245, '\p{Is_Radical=true}', "");
    Expect(0, 12245, '\p{^Is_Radical=true}', "");
    Expect(0, 12245, '\P{Is_Radical=true}', "");
    Expect(1, 12245, '\P{^Is_Radical=true}', "");
    Expect(0, 12246, '\p{Is_Radical=true}', "");
    Expect(1, 12246, '\p{^Is_Radical=true}', "");
    Expect(1, 12246, '\P{Is_Radical=true}', "");
    Expect(0, 12246, '\P{^Is_Radical=true}', "");
    Expect(1, 12245, '\p{Is_Radical=	true}', "");
    Expect(0, 12245, '\p{^Is_Radical=	true}', "");
    Expect(0, 12245, '\P{Is_Radical=	true}', "");
    Expect(1, 12245, '\P{^Is_Radical=	true}', "");
    Expect(0, 12246, '\p{Is_Radical=	true}', "");
    Expect(1, 12246, '\p{^Is_Radical=	true}', "");
    Expect(1, 12246, '\P{Is_Radical=	true}', "");
    Expect(0, 12246, '\P{^Is_Radical=	true}', "");
    Error('\p{Regional_Indicator= 	No/a/}');
    Error('\P{Regional_Indicator= 	No/a/}');
    Expect(1, 127488, '\p{Regional_Indicator=:\ANo\z:}', "");;
    Expect(0, 127487, '\p{Regional_Indicator=:\ANo\z:}', "");;
    Expect(1, 127488, '\p{Regional_Indicator=no}', "");
    Expect(0, 127488, '\p{^Regional_Indicator=no}', "");
    Expect(0, 127488, '\P{Regional_Indicator=no}', "");
    Expect(1, 127488, '\P{^Regional_Indicator=no}', "");
    Expect(0, 127487, '\p{Regional_Indicator=no}', "");
    Expect(1, 127487, '\p{^Regional_Indicator=no}', "");
    Expect(1, 127487, '\P{Regional_Indicator=no}', "");
    Expect(0, 127487, '\P{^Regional_Indicator=no}', "");
    Expect(1, 127488, '\p{Regional_Indicator=:\Ano\z:}', "");;
    Expect(0, 127487, '\p{Regional_Indicator=:\Ano\z:}', "");;
    Expect(1, 127488, '\p{Regional_Indicator=_no}', "");
    Expect(0, 127488, '\p{^Regional_Indicator=_no}', "");
    Expect(0, 127488, '\P{Regional_Indicator=_no}', "");
    Expect(1, 127488, '\P{^Regional_Indicator=_no}', "");
    Expect(0, 127487, '\p{Regional_Indicator=_no}', "");
    Expect(1, 127487, '\p{^Regional_Indicator=_no}', "");
    Expect(1, 127487, '\P{Regional_Indicator=_no}', "");
    Expect(0, 127487, '\P{^Regional_Indicator=_no}', "");
    Error('\p{RI=	_n:=}');
    Error('\P{RI=	_n:=}');
    Expect(1, 127488, '\p{RI=:\AN\z:}', "");;
    Expect(0, 127487, '\p{RI=:\AN\z:}', "");;
    Expect(1, 127488, '\p{RI=n}', "");
    Expect(0, 127488, '\p{^RI=n}', "");
    Expect(0, 127488, '\P{RI=n}', "");
    Expect(1, 127488, '\P{^RI=n}', "");
    Expect(0, 127487, '\p{RI=n}', "");
    Expect(1, 127487, '\p{^RI=n}', "");
    Expect(1, 127487, '\P{RI=n}', "");
    Expect(0, 127487, '\P{^RI=n}', "");
    Expect(1, 127488, '\p{RI=:\An\z:}', "");;
    Expect(0, 127487, '\p{RI=:\An\z:}', "");;
    Expect(1, 127488, '\p{RI= -N}', "");
    Expect(0, 127488, '\p{^RI= -N}', "");
    Expect(0, 127488, '\P{RI= -N}', "");
    Expect(1, 127488, '\P{^RI= -N}', "");
    Expect(0, 127487, '\p{RI= -N}', "");
    Expect(1, 127487, '\p{^RI= -N}', "");
    Expect(1, 127487, '\P{RI= -N}', "");
    Expect(0, 127487, '\P{^RI= -N}', "");
    Error('\p{Is_Regional_Indicator=/a/F}');
    Error('\P{Is_Regional_Indicator=/a/F}');
    Expect(1, 127488, '\p{Is_Regional_Indicator:   f}', "");
    Expect(0, 127488, '\p{^Is_Regional_Indicator:   f}', "");
    Expect(0, 127488, '\P{Is_Regional_Indicator:   f}', "");
    Expect(1, 127488, '\P{^Is_Regional_Indicator:   f}', "");
    Expect(0, 127487, '\p{Is_Regional_Indicator:   f}', "");
    Expect(1, 127487, '\p{^Is_Regional_Indicator:   f}', "");
    Expect(1, 127487, '\P{Is_Regional_Indicator:   f}', "");
    Expect(0, 127487, '\P{^Is_Regional_Indicator:   f}', "");
    Expect(1, 127488, '\p{Is_Regional_Indicator=__F}', "");
    Expect(0, 127488, '\p{^Is_Regional_Indicator=__F}', "");
    Expect(0, 127488, '\P{Is_Regional_Indicator=__F}', "");
    Expect(1, 127488, '\P{^Is_Regional_Indicator=__F}', "");
    Expect(0, 127487, '\p{Is_Regional_Indicator=__F}', "");
    Expect(1, 127487, '\p{^Is_Regional_Indicator=__F}', "");
    Expect(1, 127487, '\P{Is_Regional_Indicator=__F}', "");
    Expect(0, 127487, '\P{^Is_Regional_Indicator=__F}', "");
    Error('\p{Is_RI=_:=false}');
    Error('\P{Is_RI=_:=false}');
    Expect(1, 127488, '\p{Is_RI=false}', "");
    Expect(0, 127488, '\p{^Is_RI=false}', "");
    Expect(0, 127488, '\P{Is_RI=false}', "");
    Expect(1, 127488, '\P{^Is_RI=false}', "");
    Expect(0, 127487, '\p{Is_RI=false}', "");
    Expect(1, 127487, '\p{^Is_RI=false}', "");
    Expect(1, 127487, '\P{Is_RI=false}', "");
    Expect(0, 127487, '\P{^Is_RI=false}', "");
    Expect(1, 127488, '\p{Is_RI=- False}', "");
    Expect(0, 127488, '\p{^Is_RI=- False}', "");
    Expect(0, 127488, '\P{Is_RI=- False}', "");
    Expect(1, 127488, '\P{^Is_RI=- False}', "");
    Expect(0, 127487, '\p{Is_RI=- False}', "");
    Expect(1, 127487, '\p{^Is_RI=- False}', "");
    Expect(1, 127487, '\P{Is_RI=- False}', "");
    Expect(0, 127487, '\P{^Is_RI=- False}', "");
    Error('\p{Regional_Indicator: :=Yes}');
    Error('\P{Regional_Indicator: :=Yes}');
    Expect(1, 127487, '\p{Regional_Indicator=:\AYes\z:}', "");;
    Expect(0, 127488, '\p{Regional_Indicator=:\AYes\z:}', "");;
    Expect(1, 127487, '\p{Regional_Indicator=yes}', "");
    Expect(0, 127487, '\p{^Regional_Indicator=yes}', "");
    Expect(0, 127487, '\P{Regional_Indicator=yes}', "");
    Expect(1, 127487, '\P{^Regional_Indicator=yes}', "");
    Expect(0, 127488, '\p{Regional_Indicator=yes}', "");
    Expect(1, 127488, '\p{^Regional_Indicator=yes}', "");
    Expect(1, 127488, '\P{Regional_Indicator=yes}', "");
    Expect(0, 127488, '\P{^Regional_Indicator=yes}', "");
    Expect(1, 127487, '\p{Regional_Indicator=:\Ayes\z:}', "");;
    Expect(0, 127488, '\p{Regional_Indicator=:\Ayes\z:}', "");;
    Expect(1, 127487, '\p{Regional_Indicator=-_Yes}', "");
    Expect(0, 127487, '\p{^Regional_Indicator=-_Yes}', "");
    Expect(0, 127487, '\P{Regional_Indicator=-_Yes}', "");
    Expect(1, 127487, '\P{^Regional_Indicator=-_Yes}', "");
    Expect(0, 127488, '\p{Regional_Indicator=-_Yes}', "");
    Expect(1, 127488, '\p{^Regional_Indicator=-_Yes}', "");
    Expect(1, 127488, '\P{Regional_Indicator=-_Yes}', "");
    Expect(0, 127488, '\P{^Regional_Indicator=-_Yes}', "");
    Error('\p{RI= _Y:=}');
    Error('\P{RI= _Y:=}');
    Expect(1, 127487, '\p{RI=:\AY\z:}', "");;
    Expect(0, 127488, '\p{RI=:\AY\z:}', "");;
    Expect(1, 127487, '\p{RI=y}', "");
    Expect(0, 127487, '\p{^RI=y}', "");
    Expect(0, 127487, '\P{RI=y}', "");
    Expect(1, 127487, '\P{^RI=y}', "");
    Expect(0, 127488, '\p{RI=y}', "");
    Expect(1, 127488, '\p{^RI=y}', "");
    Expect(1, 127488, '\P{RI=y}', "");
    Expect(0, 127488, '\P{^RI=y}', "");
    Expect(1, 127487, '\p{RI=:\Ay\z:}', "");;
    Expect(0, 127488, '\p{RI=:\Ay\z:}', "");;
    Expect(1, 127487, '\p{RI=		Y}', "");
    Expect(0, 127487, '\p{^RI=		Y}', "");
    Expect(0, 127487, '\P{RI=		Y}', "");
    Expect(1, 127487, '\P{^RI=		Y}', "");
    Expect(0, 127488, '\p{RI=		Y}', "");
    Expect(1, 127488, '\p{^RI=		Y}', "");
    Expect(1, 127488, '\P{RI=		Y}', "");
    Expect(0, 127488, '\P{^RI=		Y}', "");
    Error('\p{Is_Regional_Indicator= _T:=}');
    Error('\P{Is_Regional_Indicator= _T:=}');
    Expect(1, 127487, '\p{Is_Regional_Indicator:   t}', "");
    Expect(0, 127487, '\p{^Is_Regional_Indicator:   t}', "");
    Expect(0, 127487, '\P{Is_Regional_Indicator:   t}', "");
    Expect(1, 127487, '\P{^Is_Regional_Indicator:   t}', "");
    Expect(0, 127488, '\p{Is_Regional_Indicator:   t}', "");
    Expect(1, 127488, '\p{^Is_Regional_Indicator:   t}', "");
    Expect(1, 127488, '\P{Is_Regional_Indicator:   t}', "");
    Expect(0, 127488, '\P{^Is_Regional_Indicator:   t}', "");
    Expect(1, 127487, '\p{Is_Regional_Indicator= -T}', "");
    Expect(0, 127487, '\p{^Is_Regional_Indicator= -T}', "");
    Expect(0, 127487, '\P{Is_Regional_Indicator= -T}', "");
    Expect(1, 127487, '\P{^Is_Regional_Indicator= -T}', "");
    Expect(0, 127488, '\p{Is_Regional_Indicator= -T}', "");
    Expect(1, 127488, '\p{^Is_Regional_Indicator= -T}', "");
    Expect(1, 127488, '\P{Is_Regional_Indicator= -T}', "");
    Expect(0, 127488, '\P{^Is_Regional_Indicator= -T}', "");
    Error('\p{Is_RI=	-True:=}');
    Error('\P{Is_RI=	-True:=}');
    Expect(1, 127487, '\p{Is_RI: true}', "");
    Expect(0, 127487, '\p{^Is_RI: true}', "");
    Expect(0, 127487, '\P{Is_RI: true}', "");
    Expect(1, 127487, '\P{^Is_RI: true}', "");
    Expect(0, 127488, '\p{Is_RI: true}', "");
    Expect(1, 127488, '\p{^Is_RI: true}', "");
    Expect(1, 127488, '\P{Is_RI: true}', "");
    Expect(0, 127488, '\P{^Is_RI: true}', "");
    Expect(1, 127487, '\p{Is_RI=_True}', "");
    Expect(0, 127487, '\p{^Is_RI=_True}', "");
    Expect(0, 127487, '\P{Is_RI=_True}', "");
    Expect(1, 127487, '\P{^Is_RI=_True}', "");
    Expect(0, 127488, '\p{Is_RI=_True}', "");
    Expect(1, 127488, '\p{^Is_RI=_True}', "");
    Expect(1, 127488, '\P{Is_RI=_True}', "");
    Expect(0, 127488, '\P{^Is_RI=_True}', "");
    Error('\p{sentencebreak}');
    Error('\P{sentencebreak}');
    Error('\p{sb}');
    Error('\P{sb}');
    Error('\p{_perlsb}');
    Error('\P{_perlsb}');
    Error('\p{Sentence_Break=/a/_	ATerm}');
    Error('\P{Sentence_Break=/a/_	ATerm}');
    Expect(1, 65294, '\p{Sentence_Break=:\AATerm\z:}', "");;
    Expect(0, 65295, '\p{Sentence_Break=:\AATerm\z:}', "");;
    Expect(1, 65294, '\p{Sentence_Break=aterm}', "");
    Expect(0, 65294, '\p{^Sentence_Break=aterm}', "");
    Expect(0, 65294, '\P{Sentence_Break=aterm}', "");
    Expect(1, 65294, '\P{^Sentence_Break=aterm}', "");
    Expect(0, 65295, '\p{Sentence_Break=aterm}', "");
    Expect(1, 65295, '\p{^Sentence_Break=aterm}', "");
    Expect(1, 65295, '\P{Sentence_Break=aterm}', "");
    Expect(0, 65295, '\P{^Sentence_Break=aterm}', "");
    Expect(1, 65294, '\p{Sentence_Break=:\Aaterm\z:}', "");;
    Expect(0, 65295, '\p{Sentence_Break=:\Aaterm\z:}', "");;
    Expect(1, 65294, '\p{Sentence_Break=	 ATerm}', "");
    Expect(0, 65294, '\p{^Sentence_Break=	 ATerm}', "");
    Expect(0, 65294, '\P{Sentence_Break=	 ATerm}', "");
    Expect(1, 65294, '\P{^Sentence_Break=	 ATerm}', "");
    Expect(0, 65295, '\p{Sentence_Break=	 ATerm}', "");
    Expect(1, 65295, '\p{^Sentence_Break=	 ATerm}', "");
    Expect(1, 65295, '\P{Sentence_Break=	 ATerm}', "");
    Expect(0, 65295, '\P{^Sentence_Break=	 ATerm}', "");
    Error('\p{SB=-AT:=}');
    Error('\P{SB=-AT:=}');
    Expect(1, 65294, '\p{SB=:\AAT\z:}', "");;
    Expect(0, 65295, '\p{SB=:\AAT\z:}', "");;
    Expect(1, 65294, '\p{SB=at}', "");
    Expect(0, 65294, '\p{^SB=at}', "");
    Expect(0, 65294, '\P{SB=at}', "");
    Expect(1, 65294, '\P{^SB=at}', "");
    Expect(0, 65295, '\p{SB=at}', "");
    Expect(1, 65295, '\p{^SB=at}', "");
    Expect(1, 65295, '\P{SB=at}', "");
    Expect(0, 65295, '\P{^SB=at}', "");
    Expect(1, 65294, '\p{SB=:\Aat\z:}', "");;
    Expect(0, 65295, '\p{SB=:\Aat\z:}', "");;
    Expect(1, 65294, '\p{SB=--AT}', "");
    Expect(0, 65294, '\p{^SB=--AT}', "");
    Expect(0, 65294, '\P{SB=--AT}', "");
    Expect(1, 65294, '\P{^SB=--AT}', "");
    Expect(0, 65295, '\p{SB=--AT}', "");
    Expect(1, 65295, '\p{^SB=--AT}', "");
    Expect(1, 65295, '\P{SB=--AT}', "");
    Expect(0, 65295, '\P{^SB=--AT}', "");
    Error('\p{Is_Sentence_Break=	-aterm:=}');
    Error('\P{Is_Sentence_Break=	-aterm:=}');
    Expect(1, 65294, '\p{Is_Sentence_Break=aterm}', "");
    Expect(0, 65294, '\p{^Is_Sentence_Break=aterm}', "");
    Expect(0, 65294, '\P{Is_Sentence_Break=aterm}', "");
    Expect(1, 65294, '\P{^Is_Sentence_Break=aterm}', "");
    Expect(0, 65295, '\p{Is_Sentence_Break=aterm}', "");
    Expect(1, 65295, '\p{^Is_Sentence_Break=aterm}', "");
    Expect(1, 65295, '\P{Is_Sentence_Break=aterm}', "");
    Expect(0, 65295, '\P{^Is_Sentence_Break=aterm}', "");
    Expect(1, 65294, '\p{Is_Sentence_Break: 	-ATerm}', "");
    Expect(0, 65294, '\p{^Is_Sentence_Break: 	-ATerm}', "");
    Expect(0, 65294, '\P{Is_Sentence_Break: 	-ATerm}', "");
    Expect(1, 65294, '\P{^Is_Sentence_Break: 	-ATerm}', "");
    Expect(0, 65295, '\p{Is_Sentence_Break: 	-ATerm}', "");
    Expect(1, 65295, '\p{^Is_Sentence_Break: 	-ATerm}', "");
    Expect(1, 65295, '\P{Is_Sentence_Break: 	-ATerm}', "");
    Expect(0, 65295, '\P{^Is_Sentence_Break: 	-ATerm}', "");
    Error('\p{Is_SB=_ AT/a/}');
    Error('\P{Is_SB=_ AT/a/}');
    Expect(1, 65294, '\p{Is_SB=at}', "");
    Expect(0, 65294, '\p{^Is_SB=at}', "");
    Expect(0, 65294, '\P{Is_SB=at}', "");
    Expect(1, 65294, '\P{^Is_SB=at}', "");
    Expect(0, 65295, '\p{Is_SB=at}', "");
    Expect(1, 65295, '\p{^Is_SB=at}', "");
    Expect(1, 65295, '\P{Is_SB=at}', "");
    Expect(0, 65295, '\P{^Is_SB=at}', "");
    Expect(1, 65294, '\p{Is_SB=-at}', "");
    Expect(0, 65294, '\p{^Is_SB=-at}', "");
    Expect(0, 65294, '\P{Is_SB=-at}', "");
    Expect(1, 65294, '\P{^Is_SB=-at}', "");
    Expect(0, 65295, '\p{Is_SB=-at}', "");
    Expect(1, 65295, '\p{^Is_SB=-at}', "");
    Expect(1, 65295, '\P{Is_SB=-at}', "");
    Expect(0, 65295, '\P{^Is_SB=-at}', "");
    Error('\p{Sentence_Break=:=	-close}');
    Error('\P{Sentence_Break=:=	-close}');
    Expect(1, 128632, '\p{Sentence_Break=:\AClose\z:}', "");;
    Expect(0, 128633, '\p{Sentence_Break=:\AClose\z:}', "");;
    Expect(1, 128632, '\p{Sentence_Break=close}', "");
    Expect(0, 128632, '\p{^Sentence_Break=close}', "");
    Expect(0, 128632, '\P{Sentence_Break=close}', "");
    Expect(1, 128632, '\P{^Sentence_Break=close}', "");
    Expect(0, 128633, '\p{Sentence_Break=close}', "");
    Expect(1, 128633, '\p{^Sentence_Break=close}', "");
    Expect(1, 128633, '\P{Sentence_Break=close}', "");
    Expect(0, 128633, '\P{^Sentence_Break=close}', "");
    Expect(1, 128632, '\p{Sentence_Break=:\Aclose\z:}', "");;
    Expect(0, 128633, '\p{Sentence_Break=:\Aclose\z:}', "");;
    Expect(1, 128632, '\p{Sentence_Break: - CLOSE}', "");
    Expect(0, 128632, '\p{^Sentence_Break: - CLOSE}', "");
    Expect(0, 128632, '\P{Sentence_Break: - CLOSE}', "");
    Expect(1, 128632, '\P{^Sentence_Break: - CLOSE}', "");
    Expect(0, 128633, '\p{Sentence_Break: - CLOSE}', "");
    Expect(1, 128633, '\p{^Sentence_Break: - CLOSE}', "");
    Expect(1, 128633, '\P{Sentence_Break: - CLOSE}', "");
    Expect(0, 128633, '\P{^Sentence_Break: - CLOSE}', "");
    Error('\p{SB=--CL/a/}');
    Error('\P{SB=--CL/a/}');
    Expect(1, 128632, '\p{SB=:\ACL\z:}', "");;
    Expect(0, 128633, '\p{SB=:\ACL\z:}', "");;
    Expect(1, 128632, '\p{SB: cl}', "");
    Expect(0, 128632, '\p{^SB: cl}', "");
    Expect(0, 128632, '\P{SB: cl}', "");
    Expect(1, 128632, '\P{^SB: cl}', "");
    Expect(0, 128633, '\p{SB: cl}', "");
    Expect(1, 128633, '\p{^SB: cl}', "");
    Expect(1, 128633, '\P{SB: cl}', "");
    Expect(0, 128633, '\P{^SB: cl}', "");
    Expect(1, 128632, '\p{SB=:\Acl\z:}', "");;
    Expect(0, 128633, '\p{SB=:\Acl\z:}', "");;
    Expect(1, 128632, '\p{SB=	cl}', "");
    Expect(0, 128632, '\p{^SB=	cl}', "");
    Expect(0, 128632, '\P{SB=	cl}', "");
    Expect(1, 128632, '\P{^SB=	cl}', "");
    Expect(0, 128633, '\p{SB=	cl}', "");
    Expect(1, 128633, '\p{^SB=	cl}', "");
    Expect(1, 128633, '\P{SB=	cl}', "");
    Expect(0, 128633, '\P{^SB=	cl}', "");
    Error('\p{Is_Sentence_Break=	:=Close}');
    Error('\P{Is_Sentence_Break=	:=Close}');
    Expect(1, 128632, '\p{Is_Sentence_Break=close}', "");
    Expect(0, 128632, '\p{^Is_Sentence_Break=close}', "");
    Expect(0, 128632, '\P{Is_Sentence_Break=close}', "");
    Expect(1, 128632, '\P{^Is_Sentence_Break=close}', "");
    Expect(0, 128633, '\p{Is_Sentence_Break=close}', "");
    Expect(1, 128633, '\p{^Is_Sentence_Break=close}', "");
    Expect(1, 128633, '\P{Is_Sentence_Break=close}', "");
    Expect(0, 128633, '\P{^Is_Sentence_Break=close}', "");
    Expect(1, 128632, '\p{Is_Sentence_Break=_-CLOSE}', "");
    Expect(0, 128632, '\p{^Is_Sentence_Break=_-CLOSE}', "");
    Expect(0, 128632, '\P{Is_Sentence_Break=_-CLOSE}', "");
    Expect(1, 128632, '\P{^Is_Sentence_Break=_-CLOSE}', "");
    Expect(0, 128633, '\p{Is_Sentence_Break=_-CLOSE}', "");
    Expect(1, 128633, '\p{^Is_Sentence_Break=_-CLOSE}', "");
    Expect(1, 128633, '\P{Is_Sentence_Break=_-CLOSE}', "");
    Expect(0, 128633, '\P{^Is_Sentence_Break=_-CLOSE}', "");
    Error('\p{Is_SB=	-CL/a/}');
    Error('\P{Is_SB=	-CL/a/}');
    Expect(1, 128632, '\p{Is_SB=cl}', "");
    Expect(0, 128632, '\p{^Is_SB=cl}', "");
    Expect(0, 128632, '\P{Is_SB=cl}', "");
    Expect(1, 128632, '\P{^Is_SB=cl}', "");
    Expect(0, 128633, '\p{Is_SB=cl}', "");
    Expect(1, 128633, '\p{^Is_SB=cl}', "");
    Expect(1, 128633, '\P{Is_SB=cl}', "");
    Expect(0, 128633, '\P{^Is_SB=cl}', "");
    Expect(1, 128632, '\p{Is_SB=_cl}', "");
    Expect(0, 128632, '\p{^Is_SB=_cl}', "");
    Expect(0, 128632, '\P{Is_SB=_cl}', "");
    Expect(1, 128632, '\P{^Is_SB=_cl}', "");
    Expect(0, 128633, '\p{Is_SB=_cl}', "");
    Expect(1, 128633, '\p{^Is_SB=_cl}', "");
    Expect(1, 128633, '\P{Is_SB=_cl}', "");
    Expect(0, 128633, '\P{^Is_SB=_cl}', "");
    Error('\p{Sentence_Break:	- CR:=}');
    Error('\P{Sentence_Break:	- CR:=}');
    Expect(1, 13, '\p{Sentence_Break=:\ACR\z:}', "");;
    Expect(0, 14, '\p{Sentence_Break=:\ACR\z:}', "");;
    Expect(1, 13, '\p{Sentence_Break=cr}', "");
    Expect(0, 13, '\p{^Sentence_Break=cr}', "");
    Expect(0, 13, '\P{Sentence_Break=cr}', "");
    Expect(1, 13, '\P{^Sentence_Break=cr}', "");
    Expect(0, 14, '\p{Sentence_Break=cr}', "");
    Expect(1, 14, '\p{^Sentence_Break=cr}', "");
    Expect(1, 14, '\P{Sentence_Break=cr}', "");
    Expect(0, 14, '\P{^Sentence_Break=cr}', "");
    Expect(1, 13, '\p{Sentence_Break=:\Acr\z:}', "");;
    Expect(0, 14, '\p{Sentence_Break=:\Acr\z:}', "");;
    Expect(1, 13, '\p{Sentence_Break= _cr}', "");
    Expect(0, 13, '\p{^Sentence_Break= _cr}', "");
    Expect(0, 13, '\P{Sentence_Break= _cr}', "");
    Expect(1, 13, '\P{^Sentence_Break= _cr}', "");
    Expect(0, 14, '\p{Sentence_Break= _cr}', "");
    Expect(1, 14, '\p{^Sentence_Break= _cr}', "");
    Expect(1, 14, '\P{Sentence_Break= _cr}', "");
    Expect(0, 14, '\P{^Sentence_Break= _cr}', "");
    Error('\p{SB= :=CR}');
    Error('\P{SB= :=CR}');
    Expect(1, 13, '\p{SB=:\ACR\z:}', "");;
    Expect(0, 14, '\p{SB=:\ACR\z:}', "");;
    Expect(1, 13, '\p{SB=cr}', "");
    Expect(0, 13, '\p{^SB=cr}', "");
    Expect(0, 13, '\P{SB=cr}', "");
    Expect(1, 13, '\P{^SB=cr}', "");
    Expect(0, 14, '\p{SB=cr}', "");
    Expect(1, 14, '\p{^SB=cr}', "");
    Expect(1, 14, '\P{SB=cr}', "");
    Expect(0, 14, '\P{^SB=cr}', "");
    Expect(1, 13, '\p{SB=:\Acr\z:}', "");;
    Expect(0, 14, '\p{SB=:\Acr\z:}', "");;
    Expect(1, 13, '\p{SB=--CR}', "");
    Expect(0, 13, '\p{^SB=--CR}', "");
    Expect(0, 13, '\P{SB=--CR}', "");
    Expect(1, 13, '\P{^SB=--CR}', "");
    Expect(0, 14, '\p{SB=--CR}', "");
    Expect(1, 14, '\p{^SB=--CR}', "");
    Expect(1, 14, '\P{SB=--CR}', "");
    Expect(0, 14, '\P{^SB=--CR}', "");
    Error('\p{Is_Sentence_Break=-:=CR}');
    Error('\P{Is_Sentence_Break=-:=CR}');
    Expect(1, 13, '\p{Is_Sentence_Break=cr}', "");
    Expect(0, 13, '\p{^Is_Sentence_Break=cr}', "");
    Expect(0, 13, '\P{Is_Sentence_Break=cr}', "");
    Expect(1, 13, '\P{^Is_Sentence_Break=cr}', "");
    Expect(0, 14, '\p{Is_Sentence_Break=cr}', "");
    Expect(1, 14, '\p{^Is_Sentence_Break=cr}', "");
    Expect(1, 14, '\P{Is_Sentence_Break=cr}', "");
    Expect(0, 14, '\P{^Is_Sentence_Break=cr}', "");
    Expect(1, 13, '\p{Is_Sentence_Break= CR}', "");
    Expect(0, 13, '\p{^Is_Sentence_Break= CR}', "");
    Expect(0, 13, '\P{Is_Sentence_Break= CR}', "");
    Expect(1, 13, '\P{^Is_Sentence_Break= CR}', "");
    Expect(0, 14, '\p{Is_Sentence_Break= CR}', "");
    Expect(1, 14, '\p{^Is_Sentence_Break= CR}', "");
    Expect(1, 14, '\P{Is_Sentence_Break= CR}', "");
    Expect(0, 14, '\P{^Is_Sentence_Break= CR}', "");
    Error('\p{Is_SB=:=_-cr}');
    Error('\P{Is_SB=:=_-cr}');
    Expect(1, 13, '\p{Is_SB: cr}', "");
    Expect(0, 13, '\p{^Is_SB: cr}', "");
    Expect(0, 13, '\P{Is_SB: cr}', "");
    Expect(1, 13, '\P{^Is_SB: cr}', "");
    Expect(0, 14, '\p{Is_SB: cr}', "");
    Expect(1, 14, '\p{^Is_SB: cr}', "");
    Expect(1, 14, '\P{Is_SB: cr}', "");
    Expect(0, 14, '\P{^Is_SB: cr}', "");
    Expect(1, 13, '\p{Is_SB=CR}', "");
    Expect(0, 13, '\p{^Is_SB=CR}', "");
    Expect(0, 13, '\P{Is_SB=CR}', "");
    Expect(1, 13, '\P{^Is_SB=CR}', "");
    Expect(0, 14, '\p{Is_SB=CR}', "");
    Expect(1, 14, '\p{^Is_SB=CR}', "");
    Expect(1, 14, '\P{Is_SB=CR}', "");
    Expect(0, 14, '\P{^Is_SB=CR}', "");
    Error('\p{Sentence_Break=	:=extend}');
    Error('\P{Sentence_Break=	:=extend}');
    Expect(1, 917999, '\p{Sentence_Break=:\AExtend\z:}', "");;
    Expect(0, 918000, '\p{Sentence_Break=:\AExtend\z:}', "");;
    Expect(1, 917999, '\p{Sentence_Break=extend}', "");
    Expect(0, 917999, '\p{^Sentence_Break=extend}', "");
    Expect(0, 917999, '\P{Sentence_Break=extend}', "");
    Expect(1, 917999, '\P{^Sentence_Break=extend}', "");
    Expect(0, 918000, '\p{Sentence_Break=extend}', "");
    Expect(1, 918000, '\p{^Sentence_Break=extend}', "");
    Expect(1, 918000, '\P{Sentence_Break=extend}', "");
    Expect(0, 918000, '\P{^Sentence_Break=extend}', "");
    Expect(1, 917999, '\p{Sentence_Break=:\Aextend\z:}', "");;
    Expect(0, 918000, '\p{Sentence_Break=:\Aextend\z:}', "");;
    Expect(1, 917999, '\p{Sentence_Break=_ Extend}', "");
    Expect(0, 917999, '\p{^Sentence_Break=_ Extend}', "");
    Expect(0, 917999, '\P{Sentence_Break=_ Extend}', "");
    Expect(1, 917999, '\P{^Sentence_Break=_ Extend}', "");
    Expect(0, 918000, '\p{Sentence_Break=_ Extend}', "");
    Expect(1, 918000, '\p{^Sentence_Break=_ Extend}', "");
    Expect(1, 918000, '\P{Sentence_Break=_ Extend}', "");
    Expect(0, 918000, '\P{^Sentence_Break=_ Extend}', "");
    Error('\p{SB=--EX:=}');
    Error('\P{SB=--EX:=}');
    Expect(1, 917999, '\p{SB=:\AEX\z:}', "");;
    Expect(0, 918000, '\p{SB=:\AEX\z:}', "");;
    Expect(1, 917999, '\p{SB=ex}', "");
    Expect(0, 917999, '\p{^SB=ex}', "");
    Expect(0, 917999, '\P{SB=ex}', "");
    Expect(1, 917999, '\P{^SB=ex}', "");
    Expect(0, 918000, '\p{SB=ex}', "");
    Expect(1, 918000, '\p{^SB=ex}', "");
    Expect(1, 918000, '\P{SB=ex}', "");
    Expect(0, 918000, '\P{^SB=ex}', "");
    Expect(1, 917999, '\p{SB=:\Aex\z:}', "");;
    Expect(0, 918000, '\p{SB=:\Aex\z:}', "");;
    Expect(1, 917999, '\p{SB=-	EX}', "");
    Expect(0, 917999, '\p{^SB=-	EX}', "");
    Expect(0, 917999, '\P{SB=-	EX}', "");
    Expect(1, 917999, '\P{^SB=-	EX}', "");
    Expect(0, 918000, '\p{SB=-	EX}', "");
    Expect(1, 918000, '\p{^SB=-	EX}', "");
    Expect(1, 918000, '\P{SB=-	EX}', "");
    Expect(0, 918000, '\P{^SB=-	EX}', "");
    Error('\p{Is_Sentence_Break=/a/ EXTEND}');
    Error('\P{Is_Sentence_Break=/a/ EXTEND}');
    Expect(1, 917999, '\p{Is_Sentence_Break=extend}', "");
    Expect(0, 917999, '\p{^Is_Sentence_Break=extend}', "");
    Expect(0, 917999, '\P{Is_Sentence_Break=extend}', "");
    Expect(1, 917999, '\P{^Is_Sentence_Break=extend}', "");
    Expect(0, 918000, '\p{Is_Sentence_Break=extend}', "");
    Expect(1, 918000, '\p{^Is_Sentence_Break=extend}', "");
    Expect(1, 918000, '\P{Is_Sentence_Break=extend}', "");
    Expect(0, 918000, '\P{^Is_Sentence_Break=extend}', "");
    Expect(1, 917999, '\p{Is_Sentence_Break=__EXTEND}', "");
    Expect(0, 917999, '\p{^Is_Sentence_Break=__EXTEND}', "");
    Expect(0, 917999, '\P{Is_Sentence_Break=__EXTEND}', "");
    Expect(1, 917999, '\P{^Is_Sentence_Break=__EXTEND}', "");
    Expect(0, 918000, '\p{Is_Sentence_Break=__EXTEND}', "");
    Expect(1, 918000, '\p{^Is_Sentence_Break=__EXTEND}', "");
    Expect(1, 918000, '\P{Is_Sentence_Break=__EXTEND}', "");
    Expect(0, 918000, '\P{^Is_Sentence_Break=__EXTEND}', "");
    Error('\p{Is_SB=:=-_ex}');
    Error('\P{Is_SB=:=-_ex}');
    Expect(1, 917999, '\p{Is_SB=ex}', "");
    Expect(0, 917999, '\p{^Is_SB=ex}', "");
    Expect(0, 917999, '\P{Is_SB=ex}', "");
    Expect(1, 917999, '\P{^Is_SB=ex}', "");
    Expect(0, 918000, '\p{Is_SB=ex}', "");
    Expect(1, 918000, '\p{^Is_SB=ex}', "");
    Expect(1, 918000, '\P{Is_SB=ex}', "");
    Expect(0, 918000, '\P{^Is_SB=ex}', "");
    Expect(1, 917999, '\p{Is_SB=  ex}', "");
    Expect(0, 917999, '\p{^Is_SB=  ex}', "");
    Expect(0, 917999, '\P{Is_SB=  ex}', "");
    Expect(1, 917999, '\P{^Is_SB=  ex}', "");
    Expect(0, 918000, '\p{Is_SB=  ex}', "");
    Expect(1, 918000, '\p{^Is_SB=  ex}', "");
    Expect(1, 918000, '\P{Is_SB=  ex}', "");
    Expect(0, 918000, '\P{^Is_SB=  ex}', "");
    Error('\p{Sentence_Break=/a/FORMAT}');
    Error('\P{Sentence_Break=/a/FORMAT}');
    Expect(1, 917505, '\p{Sentence_Break=:\AFormat\z:}', "");;
    Expect(0, 917506, '\p{Sentence_Break=:\AFormat\z:}', "");;
    Expect(1, 917505, '\p{Sentence_Break=format}', "");
    Expect(0, 917505, '\p{^Sentence_Break=format}', "");
    Expect(0, 917505, '\P{Sentence_Break=format}', "");
    Expect(1, 917505, '\P{^Sentence_Break=format}', "");
    Expect(0, 917506, '\p{Sentence_Break=format}', "");
    Expect(1, 917506, '\p{^Sentence_Break=format}', "");
    Expect(1, 917506, '\P{Sentence_Break=format}', "");
    Expect(0, 917506, '\P{^Sentence_Break=format}', "");
    Expect(1, 917505, '\p{Sentence_Break=:\Aformat\z:}', "");;
    Expect(0, 917506, '\p{Sentence_Break=:\Aformat\z:}', "");;
    Expect(1, 917505, '\p{Sentence_Break:	FORMAT}', "");
    Expect(0, 917505, '\p{^Sentence_Break:	FORMAT}', "");
    Expect(0, 917505, '\P{Sentence_Break:	FORMAT}', "");
    Expect(1, 917505, '\P{^Sentence_Break:	FORMAT}', "");
    Expect(0, 917506, '\p{Sentence_Break:	FORMAT}', "");
    Expect(1, 917506, '\p{^Sentence_Break:	FORMAT}', "");
    Expect(1, 917506, '\P{Sentence_Break:	FORMAT}', "");
    Expect(0, 917506, '\P{^Sentence_Break:	FORMAT}', "");
    Error('\p{SB= :=FO}');
    Error('\P{SB= :=FO}');
    Expect(1, 917505, '\p{SB=:\AFO\z:}', "");;
    Expect(0, 917506, '\p{SB=:\AFO\z:}', "");;
    Expect(1, 917505, '\p{SB:	fo}', "");
    Expect(0, 917505, '\p{^SB:	fo}', "");
    Expect(0, 917505, '\P{SB:	fo}', "");
    Expect(1, 917505, '\P{^SB:	fo}', "");
    Expect(0, 917506, '\p{SB:	fo}', "");
    Expect(1, 917506, '\p{^SB:	fo}', "");
    Expect(1, 917506, '\P{SB:	fo}', "");
    Expect(0, 917506, '\P{^SB:	fo}', "");
    Expect(1, 917505, '\p{SB=:\Afo\z:}', "");;
    Expect(0, 917506, '\p{SB=:\Afo\z:}', "");;
    Expect(1, 917505, '\p{SB:   -FO}', "");
    Expect(0, 917505, '\p{^SB:   -FO}', "");
    Expect(0, 917505, '\P{SB:   -FO}', "");
    Expect(1, 917505, '\P{^SB:   -FO}', "");
    Expect(0, 917506, '\p{SB:   -FO}', "");
    Expect(1, 917506, '\p{^SB:   -FO}', "");
    Expect(1, 917506, '\P{SB:   -FO}', "");
    Expect(0, 917506, '\P{^SB:   -FO}', "");
    Error('\p{Is_Sentence_Break=/a/_-Format}');
    Error('\P{Is_Sentence_Break=/a/_-Format}');
    Expect(1, 917505, '\p{Is_Sentence_Break=format}', "");
    Expect(0, 917505, '\p{^Is_Sentence_Break=format}', "");
    Expect(0, 917505, '\P{Is_Sentence_Break=format}', "");
    Expect(1, 917505, '\P{^Is_Sentence_Break=format}', "");
    Expect(0, 917506, '\p{Is_Sentence_Break=format}', "");
    Expect(1, 917506, '\p{^Is_Sentence_Break=format}', "");
    Expect(1, 917506, '\P{Is_Sentence_Break=format}', "");
    Expect(0, 917506, '\P{^Is_Sentence_Break=format}', "");
    Expect(1, 917505, '\p{Is_Sentence_Break=-format}', "");
    Expect(0, 917505, '\p{^Is_Sentence_Break=-format}', "");
    Expect(0, 917505, '\P{Is_Sentence_Break=-format}', "");
    Expect(1, 917505, '\P{^Is_Sentence_Break=-format}', "");
    Expect(0, 917506, '\p{Is_Sentence_Break=-format}', "");
    Expect(1, 917506, '\p{^Is_Sentence_Break=-format}', "");
    Expect(1, 917506, '\P{Is_Sentence_Break=-format}', "");
    Expect(0, 917506, '\P{^Is_Sentence_Break=-format}', "");
    Error('\p{Is_SB=	FO/a/}');
    Error('\P{Is_SB=	FO/a/}');
    Expect(1, 917505, '\p{Is_SB=fo}', "");
    Expect(0, 917505, '\p{^Is_SB=fo}', "");
    Expect(0, 917505, '\P{Is_SB=fo}', "");
    Expect(1, 917505, '\P{^Is_SB=fo}', "");
    Expect(0, 917506, '\p{Is_SB=fo}', "");
    Expect(1, 917506, '\p{^Is_SB=fo}', "");
    Expect(1, 917506, '\P{Is_SB=fo}', "");
    Expect(0, 917506, '\P{^Is_SB=fo}', "");
    Expect(1, 917505, '\p{Is_SB=-FO}', "");
    Expect(0, 917505, '\p{^Is_SB=-FO}', "");
    Expect(0, 917505, '\P{Is_SB=-FO}', "");
    Expect(1, 917505, '\P{^Is_SB=-FO}', "");
    Expect(0, 917506, '\p{Is_SB=-FO}', "");
    Expect(1, 917506, '\p{^Is_SB=-FO}', "");
    Expect(1, 917506, '\P{Is_SB=-FO}', "");
    Expect(0, 917506, '\P{^Is_SB=-FO}', "");
    Error('\p{Sentence_Break=_-OLETTER:=}');
    Error('\P{Sentence_Break=_-OLETTER:=}');
    Expect(1, 201546, '\p{Sentence_Break=:\AOLetter\z:}', "");;
    Expect(0, 201547, '\p{Sentence_Break=:\AOLetter\z:}', "");;
    Expect(1, 201546, '\p{Sentence_Break=oletter}', "");
    Expect(0, 201546, '\p{^Sentence_Break=oletter}', "");
    Expect(0, 201546, '\P{Sentence_Break=oletter}', "");
    Expect(1, 201546, '\P{^Sentence_Break=oletter}', "");
    Expect(0, 201547, '\p{Sentence_Break=oletter}', "");
    Expect(1, 201547, '\p{^Sentence_Break=oletter}', "");
    Expect(1, 201547, '\P{Sentence_Break=oletter}', "");
    Expect(0, 201547, '\P{^Sentence_Break=oletter}', "");
    Expect(1, 201546, '\p{Sentence_Break=:\Aoletter\z:}', "");;
    Expect(0, 201547, '\p{Sentence_Break=:\Aoletter\z:}', "");;
    Expect(1, 201546, '\p{Sentence_Break=		OLetter}', "");
    Expect(0, 201546, '\p{^Sentence_Break=		OLetter}', "");
    Expect(0, 201546, '\P{Sentence_Break=		OLetter}', "");
    Expect(1, 201546, '\P{^Sentence_Break=		OLetter}', "");
    Expect(0, 201547, '\p{Sentence_Break=		OLetter}', "");
    Expect(1, 201547, '\p{^Sentence_Break=		OLetter}', "");
    Expect(1, 201547, '\P{Sentence_Break=		OLetter}', "");
    Expect(0, 201547, '\P{^Sentence_Break=		OLetter}', "");
    Error('\p{SB:	 LE/a/}');
    Error('\P{SB:	 LE/a/}');
    Expect(1, 201546, '\p{SB=:\ALE\z:}', "");;
    Expect(0, 201547, '\p{SB=:\ALE\z:}', "");;
    Expect(1, 201546, '\p{SB=le}', "");
    Expect(0, 201546, '\p{^SB=le}', "");
    Expect(0, 201546, '\P{SB=le}', "");
    Expect(1, 201546, '\P{^SB=le}', "");
    Expect(0, 201547, '\p{SB=le}', "");
    Expect(1, 201547, '\p{^SB=le}', "");
    Expect(1, 201547, '\P{SB=le}', "");
    Expect(0, 201547, '\P{^SB=le}', "");
    Expect(1, 201546, '\p{SB=:\Ale\z:}', "");;
    Expect(0, 201547, '\p{SB=:\Ale\z:}', "");;
    Expect(1, 201546, '\p{SB=	 LE}', "");
    Expect(0, 201546, '\p{^SB=	 LE}', "");
    Expect(0, 201546, '\P{SB=	 LE}', "");
    Expect(1, 201546, '\P{^SB=	 LE}', "");
    Expect(0, 201547, '\p{SB=	 LE}', "");
    Expect(1, 201547, '\p{^SB=	 LE}', "");
    Expect(1, 201547, '\P{SB=	 LE}', "");
    Expect(0, 201547, '\P{^SB=	 LE}', "");
    Error('\p{Is_Sentence_Break=/a/OLetter}');
    Error('\P{Is_Sentence_Break=/a/OLetter}');
    Expect(1, 201546, '\p{Is_Sentence_Break:oletter}', "");
    Expect(0, 201546, '\p{^Is_Sentence_Break:oletter}', "");
    Expect(0, 201546, '\P{Is_Sentence_Break:oletter}', "");
    Expect(1, 201546, '\P{^Is_Sentence_Break:oletter}', "");
    Expect(0, 201547, '\p{Is_Sentence_Break:oletter}', "");
    Expect(1, 201547, '\p{^Is_Sentence_Break:oletter}', "");
    Expect(1, 201547, '\P{Is_Sentence_Break:oletter}', "");
    Expect(0, 201547, '\P{^Is_Sentence_Break:oletter}', "");
    Expect(1, 201546, '\p{Is_Sentence_Break=OLETTER}', "");
    Expect(0, 201546, '\p{^Is_Sentence_Break=OLETTER}', "");
    Expect(0, 201546, '\P{Is_Sentence_Break=OLETTER}', "");
    Expect(1, 201546, '\P{^Is_Sentence_Break=OLETTER}', "");
    Expect(0, 201547, '\p{Is_Sentence_Break=OLETTER}', "");
    Expect(1, 201547, '\p{^Is_Sentence_Break=OLETTER}', "");
    Expect(1, 201547, '\P{Is_Sentence_Break=OLETTER}', "");
    Expect(0, 201547, '\P{^Is_Sentence_Break=OLETTER}', "");
    Error('\p{Is_SB=	/a/LE}');
    Error('\P{Is_SB=	/a/LE}');
    Expect(1, 201546, '\p{Is_SB=le}', "");
    Expect(0, 201546, '\p{^Is_SB=le}', "");
    Expect(0, 201546, '\P{Is_SB=le}', "");
    Expect(1, 201546, '\P{^Is_SB=le}', "");
    Expect(0, 201547, '\p{Is_SB=le}', "");
    Expect(1, 201547, '\p{^Is_SB=le}', "");
    Expect(1, 201547, '\P{Is_SB=le}', "");
    Expect(0, 201547, '\P{^Is_SB=le}', "");
    Expect(1, 201546, '\p{Is_SB=	_LE}', "");
    Expect(0, 201546, '\p{^Is_SB=	_LE}', "");
    Expect(0, 201546, '\P{Is_SB=	_LE}', "");
    Expect(1, 201546, '\P{^Is_SB=	_LE}', "");
    Expect(0, 201547, '\p{Is_SB=	_LE}', "");
    Expect(1, 201547, '\p{^Is_SB=	_LE}', "");
    Expect(1, 201547, '\P{Is_SB=	_LE}', "");
    Expect(0, 201547, '\P{^Is_SB=	_LE}', "");
    Error('\p{Sentence_Break=:=- LF}');
    Error('\P{Sentence_Break=:=- LF}');
    Expect(1, 10, '\p{Sentence_Break=:\ALF\z:}', "");;
    Expect(0, 11, '\p{Sentence_Break=:\ALF\z:}', "");;
    Expect(1, 10, '\p{Sentence_Break=lf}', "");
    Expect(0, 10, '\p{^Sentence_Break=lf}', "");
    Expect(0, 10, '\P{Sentence_Break=lf}', "");
    Expect(1, 10, '\P{^Sentence_Break=lf}', "");
    Expect(0, 11, '\p{Sentence_Break=lf}', "");
    Expect(1, 11, '\p{^Sentence_Break=lf}', "");
    Expect(1, 11, '\P{Sentence_Break=lf}', "");
    Expect(0, 11, '\P{^Sentence_Break=lf}', "");
    Expect(1, 10, '\p{Sentence_Break=:\Alf\z:}', "");;
    Expect(0, 11, '\p{Sentence_Break=:\Alf\z:}', "");;
    Expect(1, 10, '\p{Sentence_Break=	LF}', "");
    Expect(0, 10, '\p{^Sentence_Break=	LF}', "");
    Expect(0, 10, '\P{Sentence_Break=	LF}', "");
    Expect(1, 10, '\P{^Sentence_Break=	LF}', "");
    Expect(0, 11, '\p{Sentence_Break=	LF}', "");
    Expect(1, 11, '\p{^Sentence_Break=	LF}', "");
    Expect(1, 11, '\P{Sentence_Break=	LF}', "");
    Expect(0, 11, '\P{^Sentence_Break=	LF}', "");
    Error('\p{SB=/a/LF}');
    Error('\P{SB=/a/LF}');
    Expect(1, 10, '\p{SB=:\ALF\z:}', "");;
    Expect(0, 11, '\p{SB=:\ALF\z:}', "");;
    Expect(1, 10, '\p{SB=lf}', "");
    Expect(0, 10, '\p{^SB=lf}', "");
    Expect(0, 10, '\P{SB=lf}', "");
    Expect(1, 10, '\P{^SB=lf}', "");
    Expect(0, 11, '\p{SB=lf}', "");
    Expect(1, 11, '\p{^SB=lf}', "");
    Expect(1, 11, '\P{SB=lf}', "");
    Expect(0, 11, '\P{^SB=lf}', "");
    Expect(1, 10, '\p{SB=:\Alf\z:}', "");;
    Expect(0, 11, '\p{SB=:\Alf\z:}', "");;
    Expect(1, 10, '\p{SB:   LF}', "");
    Expect(0, 10, '\p{^SB:   LF}', "");
    Expect(0, 10, '\P{SB:   LF}', "");
    Expect(1, 10, '\P{^SB:   LF}', "");
    Expect(0, 11, '\p{SB:   LF}', "");
    Expect(1, 11, '\p{^SB:   LF}', "");
    Expect(1, 11, '\P{SB:   LF}', "");
    Expect(0, 11, '\P{^SB:   LF}', "");
    Error('\p{Is_Sentence_Break=:=LF}');
    Error('\P{Is_Sentence_Break=:=LF}');
    Expect(1, 10, '\p{Is_Sentence_Break=lf}', "");
    Expect(0, 10, '\p{^Is_Sentence_Break=lf}', "");
    Expect(0, 10, '\P{Is_Sentence_Break=lf}', "");
    Expect(1, 10, '\P{^Is_Sentence_Break=lf}', "");
    Expect(0, 11, '\p{Is_Sentence_Break=lf}', "");
    Expect(1, 11, '\p{^Is_Sentence_Break=lf}', "");
    Expect(1, 11, '\P{Is_Sentence_Break=lf}', "");
    Expect(0, 11, '\P{^Is_Sentence_Break=lf}', "");
    Expect(1, 10, '\p{Is_Sentence_Break=_	LF}', "");
    Expect(0, 10, '\p{^Is_Sentence_Break=_	LF}', "");
    Expect(0, 10, '\P{Is_Sentence_Break=_	LF}', "");
    Expect(1, 10, '\P{^Is_Sentence_Break=_	LF}', "");
    Expect(0, 11, '\p{Is_Sentence_Break=_	LF}', "");
    Expect(1, 11, '\p{^Is_Sentence_Break=_	LF}', "");
    Expect(1, 11, '\P{Is_Sentence_Break=_	LF}', "");
    Expect(0, 11, '\P{^Is_Sentence_Break=_	LF}', "");
    Error('\p{Is_SB=	/a/LF}');
    Error('\P{Is_SB=	/a/LF}');
    Expect(1, 10, '\p{Is_SB=lf}', "");
    Expect(0, 10, '\p{^Is_SB=lf}', "");
    Expect(0, 10, '\P{Is_SB=lf}', "");
    Expect(1, 10, '\P{^Is_SB=lf}', "");
    Expect(0, 11, '\p{Is_SB=lf}', "");
    Expect(1, 11, '\p{^Is_SB=lf}', "");
    Expect(1, 11, '\P{Is_SB=lf}', "");
    Expect(0, 11, '\P{^Is_SB=lf}', "");
    Expect(1, 10, '\p{Is_SB= 	LF}', "");
    Expect(0, 10, '\p{^Is_SB= 	LF}', "");
    Expect(0, 10, '\P{Is_SB= 	LF}', "");
    Expect(1, 10, '\P{^Is_SB= 	LF}', "");
    Expect(0, 11, '\p{Is_SB= 	LF}', "");
    Expect(1, 11, '\p{^Is_SB= 	LF}', "");
    Expect(1, 11, '\P{Is_SB= 	LF}', "");
    Expect(0, 11, '\P{^Is_SB= 	LF}', "");
    Error('\p{Sentence_Break=_lower/a/}');
    Error('\P{Sentence_Break=_lower/a/}');
    Expect(1, 125251, '\p{Sentence_Break=:\ALower\z:}', "");;
    Expect(0, 125252, '\p{Sentence_Break=:\ALower\z:}', "");;
    Expect(1, 125251, '\p{Sentence_Break=lower}', "");
    Expect(0, 125251, '\p{^Sentence_Break=lower}', "");
    Expect(0, 125251, '\P{Sentence_Break=lower}', "");
    Expect(1, 125251, '\P{^Sentence_Break=lower}', "");
    Expect(0, 125252, '\p{Sentence_Break=lower}', "");
    Expect(1, 125252, '\p{^Sentence_Break=lower}', "");
    Expect(1, 125252, '\P{Sentence_Break=lower}', "");
    Expect(0, 125252, '\P{^Sentence_Break=lower}', "");
    Expect(1, 125251, '\p{Sentence_Break=:\Alower\z:}', "");;
    Expect(0, 125252, '\p{Sentence_Break=:\Alower\z:}', "");;
    Expect(1, 125251, '\p{Sentence_Break=-_LOWER}', "");
    Expect(0, 125251, '\p{^Sentence_Break=-_LOWER}', "");
    Expect(0, 125251, '\P{Sentence_Break=-_LOWER}', "");
    Expect(1, 125251, '\P{^Sentence_Break=-_LOWER}', "");
    Expect(0, 125252, '\p{Sentence_Break=-_LOWER}', "");
    Expect(1, 125252, '\p{^Sentence_Break=-_LOWER}', "");
    Expect(1, 125252, '\P{Sentence_Break=-_LOWER}', "");
    Expect(0, 125252, '\P{^Sentence_Break=-_LOWER}', "");
    Error('\p{SB=:= LO}');
    Error('\P{SB=:= LO}');
    Expect(1, 125251, '\p{SB=:\ALO\z:}', "");;
    Expect(0, 125252, '\p{SB=:\ALO\z:}', "");;
    Expect(1, 125251, '\p{SB=lo}', "");
    Expect(0, 125251, '\p{^SB=lo}', "");
    Expect(0, 125251, '\P{SB=lo}', "");
    Expect(1, 125251, '\P{^SB=lo}', "");
    Expect(0, 125252, '\p{SB=lo}', "");
    Expect(1, 125252, '\p{^SB=lo}', "");
    Expect(1, 125252, '\P{SB=lo}', "");
    Expect(0, 125252, '\P{^SB=lo}', "");
    Expect(1, 125251, '\p{SB=:\Alo\z:}', "");;
    Expect(0, 125252, '\p{SB=:\Alo\z:}', "");;
    Expect(1, 125251, '\p{SB=_lo}', "");
    Expect(0, 125251, '\p{^SB=_lo}', "");
    Expect(0, 125251, '\P{SB=_lo}', "");
    Expect(1, 125251, '\P{^SB=_lo}', "");
    Expect(0, 125252, '\p{SB=_lo}', "");
    Expect(1, 125252, '\p{^SB=_lo}', "");
    Expect(1, 125252, '\P{SB=_lo}', "");
    Expect(0, 125252, '\P{^SB=_lo}', "");
    Error('\p{Is_Sentence_Break=_Lower:=}');
    Error('\P{Is_Sentence_Break=_Lower:=}');
    Expect(1, 125251, '\p{Is_Sentence_Break=lower}', "");
    Expect(0, 125251, '\p{^Is_Sentence_Break=lower}', "");
    Expect(0, 125251, '\P{Is_Sentence_Break=lower}', "");
    Expect(1, 125251, '\P{^Is_Sentence_Break=lower}', "");
    Expect(0, 125252, '\p{Is_Sentence_Break=lower}', "");
    Expect(1, 125252, '\p{^Is_Sentence_Break=lower}', "");
    Expect(1, 125252, '\P{Is_Sentence_Break=lower}', "");
    Expect(0, 125252, '\P{^Is_Sentence_Break=lower}', "");
    Expect(1, 125251, '\p{Is_Sentence_Break=	 Lower}', "");
    Expect(0, 125251, '\p{^Is_Sentence_Break=	 Lower}', "");
    Expect(0, 125251, '\P{Is_Sentence_Break=	 Lower}', "");
    Expect(1, 125251, '\P{^Is_Sentence_Break=	 Lower}', "");
    Expect(0, 125252, '\p{Is_Sentence_Break=	 Lower}', "");
    Expect(1, 125252, '\p{^Is_Sentence_Break=	 Lower}', "");
    Expect(1, 125252, '\P{Is_Sentence_Break=	 Lower}', "");
    Expect(0, 125252, '\P{^Is_Sentence_Break=	 Lower}', "");
    Error('\p{Is_SB=_:=lo}');
    Error('\P{Is_SB=_:=lo}');
    Expect(1, 125251, '\p{Is_SB=lo}', "");
    Expect(0, 125251, '\p{^Is_SB=lo}', "");
    Expect(0, 125251, '\P{Is_SB=lo}', "");
    Expect(1, 125251, '\P{^Is_SB=lo}', "");
    Expect(0, 125252, '\p{Is_SB=lo}', "");
    Expect(1, 125252, '\p{^Is_SB=lo}', "");
    Expect(1, 125252, '\P{Is_SB=lo}', "");
    Expect(0, 125252, '\P{^Is_SB=lo}', "");
    Expect(1, 125251, '\p{Is_SB=-lo}', "");
    Expect(0, 125251, '\p{^Is_SB=-lo}', "");
    Expect(0, 125251, '\P{Is_SB=-lo}', "");
    Expect(1, 125251, '\P{^Is_SB=-lo}', "");
    Expect(0, 125252, '\p{Is_SB=-lo}', "");
    Expect(1, 125252, '\p{^Is_SB=-lo}', "");
    Expect(1, 125252, '\P{Is_SB=-lo}', "");
    Expect(0, 125252, '\P{^Is_SB=-lo}', "");
    Error('\p{Sentence_Break=_Numeric/a/}');
    Error('\P{Sentence_Break=_Numeric/a/}');
    Expect(1, 130041, '\p{Sentence_Break=:\ANumeric\z:}', "");;
    Expect(0, 130042, '\p{Sentence_Break=:\ANumeric\z:}', "");;
    Expect(1, 130041, '\p{Sentence_Break=numeric}', "");
    Expect(0, 130041, '\p{^Sentence_Break=numeric}', "");
    Expect(0, 130041, '\P{Sentence_Break=numeric}', "");
    Expect(1, 130041, '\P{^Sentence_Break=numeric}', "");
    Expect(0, 130042, '\p{Sentence_Break=numeric}', "");
    Expect(1, 130042, '\p{^Sentence_Break=numeric}', "");
    Expect(1, 130042, '\P{Sentence_Break=numeric}', "");
    Expect(0, 130042, '\P{^Sentence_Break=numeric}', "");
    Expect(1, 130041, '\p{Sentence_Break=:\Anumeric\z:}', "");;
    Expect(0, 130042, '\p{Sentence_Break=:\Anumeric\z:}', "");;
    Expect(1, 130041, '\p{Sentence_Break=-Numeric}', "");
    Expect(0, 130041, '\p{^Sentence_Break=-Numeric}', "");
    Expect(0, 130041, '\P{Sentence_Break=-Numeric}', "");
    Expect(1, 130041, '\P{^Sentence_Break=-Numeric}', "");
    Expect(0, 130042, '\p{Sentence_Break=-Numeric}', "");
    Expect(1, 130042, '\p{^Sentence_Break=-Numeric}', "");
    Expect(1, 130042, '\P{Sentence_Break=-Numeric}', "");
    Expect(0, 130042, '\P{^Sentence_Break=-Numeric}', "");
    Error('\p{SB=NU:=}');
    Error('\P{SB=NU:=}');
    Expect(1, 130041, '\p{SB=:\ANU\z:}', "");;
    Expect(0, 130042, '\p{SB=:\ANU\z:}', "");;
    Expect(1, 130041, '\p{SB=nu}', "");
    Expect(0, 130041, '\p{^SB=nu}', "");
    Expect(0, 130041, '\P{SB=nu}', "");
    Expect(1, 130041, '\P{^SB=nu}', "");
    Expect(0, 130042, '\p{SB=nu}', "");
    Expect(1, 130042, '\p{^SB=nu}', "");
    Expect(1, 130042, '\P{SB=nu}', "");
    Expect(0, 130042, '\P{^SB=nu}', "");
    Expect(1, 130041, '\p{SB=:\Anu\z:}', "");;
    Expect(0, 130042, '\p{SB=:\Anu\z:}', "");;
    Expect(1, 130041, '\p{SB= 	NU}', "");
    Expect(0, 130041, '\p{^SB= 	NU}', "");
    Expect(0, 130041, '\P{SB= 	NU}', "");
    Expect(1, 130041, '\P{^SB= 	NU}', "");
    Expect(0, 130042, '\p{SB= 	NU}', "");
    Expect(1, 130042, '\p{^SB= 	NU}', "");
    Expect(1, 130042, '\P{SB= 	NU}', "");
    Expect(0, 130042, '\P{^SB= 	NU}', "");
    Error('\p{Is_Sentence_Break=_/a/NUMERIC}');
    Error('\P{Is_Sentence_Break=_/a/NUMERIC}');
    Expect(1, 130041, '\p{Is_Sentence_Break=numeric}', "");
    Expect(0, 130041, '\p{^Is_Sentence_Break=numeric}', "");
    Expect(0, 130041, '\P{Is_Sentence_Break=numeric}', "");
    Expect(1, 130041, '\P{^Is_Sentence_Break=numeric}', "");
    Expect(0, 130042, '\p{Is_Sentence_Break=numeric}', "");
    Expect(1, 130042, '\p{^Is_Sentence_Break=numeric}', "");
    Expect(1, 130042, '\P{Is_Sentence_Break=numeric}', "");
    Expect(0, 130042, '\P{^Is_Sentence_Break=numeric}', "");
    Expect(1, 130041, '\p{Is_Sentence_Break= Numeric}', "");
    Expect(0, 130041, '\p{^Is_Sentence_Break= Numeric}', "");
    Expect(0, 130041, '\P{Is_Sentence_Break= Numeric}', "");
    Expect(1, 130041, '\P{^Is_Sentence_Break= Numeric}', "");
    Expect(0, 130042, '\p{Is_Sentence_Break= Numeric}', "");
    Expect(1, 130042, '\p{^Is_Sentence_Break= Numeric}', "");
    Expect(1, 130042, '\P{Is_Sentence_Break= Numeric}', "");
    Expect(0, 130042, '\P{^Is_Sentence_Break= Numeric}', "");
    Error('\p{Is_SB=	/a/NU}');
    Error('\P{Is_SB=	/a/NU}');
    Expect(1, 130041, '\p{Is_SB=nu}', "");
    Expect(0, 130041, '\p{^Is_SB=nu}', "");
    Expect(0, 130041, '\P{Is_SB=nu}', "");
    Expect(1, 130041, '\P{^Is_SB=nu}', "");
    Expect(0, 130042, '\p{Is_SB=nu}', "");
    Expect(1, 130042, '\p{^Is_SB=nu}', "");
    Expect(1, 130042, '\P{Is_SB=nu}', "");
    Expect(0, 130042, '\P{^Is_SB=nu}', "");
    Expect(1, 130041, '\p{Is_SB:	-NU}', "");
    Expect(0, 130041, '\p{^Is_SB:	-NU}', "");
    Expect(0, 130041, '\P{Is_SB:	-NU}', "");
    Expect(1, 130041, '\P{^Is_SB:	-NU}', "");
    Expect(0, 130042, '\p{Is_SB:	-NU}', "");
    Expect(1, 130042, '\p{^Is_SB:	-NU}', "");
    Expect(1, 130042, '\P{Is_SB:	-NU}', "");
    Expect(0, 130042, '\P{^Is_SB:	-NU}', "");
    Error('\p{Sentence_Break=/a/	 SContinue}');
    Error('\P{Sentence_Break=/a/	 SContinue}');
    Expect(1, 65380, '\p{Sentence_Break=:\ASContinue\z:}', "");;
    Expect(0, 65381, '\p{Sentence_Break=:\ASContinue\z:}', "");;
    Expect(1, 65380, '\p{Sentence_Break=scontinue}', "");
    Expect(0, 65380, '\p{^Sentence_Break=scontinue}', "");
    Expect(0, 65380, '\P{Sentence_Break=scontinue}', "");
    Expect(1, 65380, '\P{^Sentence_Break=scontinue}', "");
    Expect(0, 65381, '\p{Sentence_Break=scontinue}', "");
    Expect(1, 65381, '\p{^Sentence_Break=scontinue}', "");
    Expect(1, 65381, '\P{Sentence_Break=scontinue}', "");
    Expect(0, 65381, '\P{^Sentence_Break=scontinue}', "");
    Expect(1, 65380, '\p{Sentence_Break=:\Ascontinue\z:}', "");;
    Expect(0, 65381, '\p{Sentence_Break=:\Ascontinue\z:}', "");;
    Expect(1, 65380, '\p{Sentence_Break=-SContinue}', "");
    Expect(0, 65380, '\p{^Sentence_Break=-SContinue}', "");
    Expect(0, 65380, '\P{Sentence_Break=-SContinue}', "");
    Expect(1, 65380, '\P{^Sentence_Break=-SContinue}', "");
    Expect(0, 65381, '\p{Sentence_Break=-SContinue}', "");
    Expect(1, 65381, '\p{^Sentence_Break=-SContinue}', "");
    Expect(1, 65381, '\P{Sentence_Break=-SContinue}', "");
    Expect(0, 65381, '\P{^Sentence_Break=-SContinue}', "");
    Error('\p{SB=_:=SC}');
    Error('\P{SB=_:=SC}');
    Expect(1, 65380, '\p{SB=:\ASC\z:}', "");;
    Expect(0, 65381, '\p{SB=:\ASC\z:}', "");;
    Expect(1, 65380, '\p{SB=sc}', "");
    Expect(0, 65380, '\p{^SB=sc}', "");
    Expect(0, 65380, '\P{SB=sc}', "");
    Expect(1, 65380, '\P{^SB=sc}', "");
    Expect(0, 65381, '\p{SB=sc}', "");
    Expect(1, 65381, '\p{^SB=sc}', "");
    Expect(1, 65381, '\P{SB=sc}', "");
    Expect(0, 65381, '\P{^SB=sc}', "");
    Expect(1, 65380, '\p{SB=:\Asc\z:}', "");;
    Expect(0, 65381, '\p{SB=:\Asc\z:}', "");;
    Expect(1, 65380, '\p{SB:	_	SC}', "");
    Expect(0, 65380, '\p{^SB:	_	SC}', "");
    Expect(0, 65380, '\P{SB:	_	SC}', "");
    Expect(1, 65380, '\P{^SB:	_	SC}', "");
    Expect(0, 65381, '\p{SB:	_	SC}', "");
    Expect(1, 65381, '\p{^SB:	_	SC}', "");
    Expect(1, 65381, '\P{SB:	_	SC}', "");
    Expect(0, 65381, '\P{^SB:	_	SC}', "");
    Error('\p{Is_Sentence_Break=/a/ SCONTINUE}');
    Error('\P{Is_Sentence_Break=/a/ SCONTINUE}');
    Expect(1, 65380, '\p{Is_Sentence_Break=scontinue}', "");
    Expect(0, 65380, '\p{^Is_Sentence_Break=scontinue}', "");
    Expect(0, 65380, '\P{Is_Sentence_Break=scontinue}', "");
    Expect(1, 65380, '\P{^Is_Sentence_Break=scontinue}', "");
    Expect(0, 65381, '\p{Is_Sentence_Break=scontinue}', "");
    Expect(1, 65381, '\p{^Is_Sentence_Break=scontinue}', "");
    Expect(1, 65381, '\P{Is_Sentence_Break=scontinue}', "");
    Expect(0, 65381, '\P{^Is_Sentence_Break=scontinue}', "");
    Expect(1, 65380, '\p{Is_Sentence_Break= 	SContinue}', "");
    Expect(0, 65380, '\p{^Is_Sentence_Break= 	SContinue}', "");
    Expect(0, 65380, '\P{Is_Sentence_Break= 	SContinue}', "");
    Expect(1, 65380, '\P{^Is_Sentence_Break= 	SContinue}', "");
    Expect(0, 65381, '\p{Is_Sentence_Break= 	SContinue}', "");
    Expect(1, 65381, '\p{^Is_Sentence_Break= 	SContinue}', "");
    Expect(1, 65381, '\P{Is_Sentence_Break= 	SContinue}', "");
    Expect(0, 65381, '\P{^Is_Sentence_Break= 	SContinue}', "");
    Error('\p{Is_SB=_	SC:=}');
    Error('\P{Is_SB=_	SC:=}');
    Expect(1, 65380, '\p{Is_SB=sc}', "");
    Expect(0, 65380, '\p{^Is_SB=sc}', "");
    Expect(0, 65380, '\P{Is_SB=sc}', "");
    Expect(1, 65380, '\P{^Is_SB=sc}', "");
    Expect(0, 65381, '\p{Is_SB=sc}', "");
    Expect(1, 65381, '\p{^Is_SB=sc}', "");
    Expect(1, 65381, '\P{Is_SB=sc}', "");
    Expect(0, 65381, '\P{^Is_SB=sc}', "");
    Expect(1, 65380, '\p{Is_SB=__sc}', "");
    Expect(0, 65380, '\p{^Is_SB=__sc}', "");
    Expect(0, 65380, '\P{Is_SB=__sc}', "");
    Expect(1, 65380, '\P{^Is_SB=__sc}', "");
    Expect(0, 65381, '\p{Is_SB=__sc}', "");
    Expect(1, 65381, '\p{^Is_SB=__sc}', "");
    Expect(1, 65381, '\P{Is_SB=__sc}', "");
    Expect(0, 65381, '\P{^Is_SB=__sc}', "");
    Error('\p{Sentence_Break=/a/ _Sep}');
    Error('\P{Sentence_Break=/a/ _Sep}');
    Expect(1, 8233, '\p{Sentence_Break=:\ASep\z:}', "");;
    Expect(0, 8234, '\p{Sentence_Break=:\ASep\z:}', "");;
    Expect(1, 8233, '\p{Sentence_Break=sep}', "");
    Expect(0, 8233, '\p{^Sentence_Break=sep}', "");
    Expect(0, 8233, '\P{Sentence_Break=sep}', "");
    Expect(1, 8233, '\P{^Sentence_Break=sep}', "");
    Expect(0, 8234, '\p{Sentence_Break=sep}', "");
    Expect(1, 8234, '\p{^Sentence_Break=sep}', "");
    Expect(1, 8234, '\P{Sentence_Break=sep}', "");
    Expect(0, 8234, '\P{^Sentence_Break=sep}', "");
    Expect(1, 8233, '\p{Sentence_Break=:\Asep\z:}', "");;
    Expect(0, 8234, '\p{Sentence_Break=:\Asep\z:}', "");;
    Expect(1, 8233, '\p{Sentence_Break=		sep}', "");
    Expect(0, 8233, '\p{^Sentence_Break=		sep}', "");
    Expect(0, 8233, '\P{Sentence_Break=		sep}', "");
    Expect(1, 8233, '\P{^Sentence_Break=		sep}', "");
    Expect(0, 8234, '\p{Sentence_Break=		sep}', "");
    Expect(1, 8234, '\p{^Sentence_Break=		sep}', "");
    Expect(1, 8234, '\P{Sentence_Break=		sep}', "");
    Expect(0, 8234, '\P{^Sentence_Break=		sep}', "");
    Error('\p{SB=/a/		SE}');
    Error('\P{SB=/a/		SE}');
    Expect(1, 8233, '\p{SB=:\ASE\z:}', "");;
    Expect(0, 8234, '\p{SB=:\ASE\z:}', "");;
    Expect(1, 8233, '\p{SB=se}', "");
    Expect(0, 8233, '\p{^SB=se}', "");
    Expect(0, 8233, '\P{SB=se}', "");
    Expect(1, 8233, '\P{^SB=se}', "");
    Expect(0, 8234, '\p{SB=se}', "");
    Expect(1, 8234, '\p{^SB=se}', "");
    Expect(1, 8234, '\P{SB=se}', "");
    Expect(0, 8234, '\P{^SB=se}', "");
    Expect(1, 8233, '\p{SB=:\Ase\z:}', "");;
    Expect(0, 8234, '\p{SB=:\Ase\z:}', "");;
    Expect(1, 8233, '\p{SB=-SE}', "");
    Expect(0, 8233, '\p{^SB=-SE}', "");
    Expect(0, 8233, '\P{SB=-SE}', "");
    Expect(1, 8233, '\P{^SB=-SE}', "");
    Expect(0, 8234, '\p{SB=-SE}', "");
    Expect(1, 8234, '\p{^SB=-SE}', "");
    Expect(1, 8234, '\P{SB=-SE}', "");
    Expect(0, 8234, '\P{^SB=-SE}', "");
    Error('\p{Is_Sentence_Break=/a/	-Sep}');
    Error('\P{Is_Sentence_Break=/a/	-Sep}');
    Expect(1, 8233, '\p{Is_Sentence_Break=sep}', "");
    Expect(0, 8233, '\p{^Is_Sentence_Break=sep}', "");
    Expect(0, 8233, '\P{Is_Sentence_Break=sep}', "");
    Expect(1, 8233, '\P{^Is_Sentence_Break=sep}', "");
    Expect(0, 8234, '\p{Is_Sentence_Break=sep}', "");
    Expect(1, 8234, '\p{^Is_Sentence_Break=sep}', "");
    Expect(1, 8234, '\P{Is_Sentence_Break=sep}', "");
    Expect(0, 8234, '\P{^Is_Sentence_Break=sep}', "");
    Expect(1, 8233, '\p{Is_Sentence_Break= Sep}', "");
    Expect(0, 8233, '\p{^Is_Sentence_Break= Sep}', "");
    Expect(0, 8233, '\P{Is_Sentence_Break= Sep}', "");
    Expect(1, 8233, '\P{^Is_Sentence_Break= Sep}', "");
    Expect(0, 8234, '\p{Is_Sentence_Break= Sep}', "");
    Expect(1, 8234, '\p{^Is_Sentence_Break= Sep}', "");
    Expect(1, 8234, '\P{Is_Sentence_Break= Sep}', "");
    Expect(0, 8234, '\P{^Is_Sentence_Break= Sep}', "");
    Error('\p{Is_SB=_-SE/a/}');
    Error('\P{Is_SB=_-SE/a/}');
    Expect(1, 8233, '\p{Is_SB=se}', "");
    Expect(0, 8233, '\p{^Is_SB=se}', "");
    Expect(0, 8233, '\P{Is_SB=se}', "");
    Expect(1, 8233, '\P{^Is_SB=se}', "");
    Expect(0, 8234, '\p{Is_SB=se}', "");
    Expect(1, 8234, '\p{^Is_SB=se}', "");
    Expect(1, 8234, '\P{Is_SB=se}', "");
    Expect(0, 8234, '\P{^Is_SB=se}', "");
    Expect(1, 8233, '\p{Is_SB=  SE}', "");
    Expect(0, 8233, '\p{^Is_SB=  SE}', "");
    Expect(0, 8233, '\P{Is_SB=  SE}', "");
    Expect(1, 8233, '\P{^Is_SB=  SE}', "");
    Expect(0, 8234, '\p{Is_SB=  SE}', "");
    Expect(1, 8234, '\p{^Is_SB=  SE}', "");
    Expect(1, 8234, '\P{Is_SB=  SE}', "");
    Expect(0, 8234, '\P{^Is_SB=  SE}', "");
    Error('\p{Sentence_Break=:=- Sp}');
    Error('\P{Sentence_Break=:=- Sp}');
    Expect(1, 12288, '\p{Sentence_Break=:\ASp\z:}', "");;
    Expect(0, 12289, '\p{Sentence_Break=:\ASp\z:}', "");;
    Expect(1, 12288, '\p{Sentence_Break=sp}', "");
    Expect(0, 12288, '\p{^Sentence_Break=sp}', "");
    Expect(0, 12288, '\P{Sentence_Break=sp}', "");
    Expect(1, 12288, '\P{^Sentence_Break=sp}', "");
    Expect(0, 12289, '\p{Sentence_Break=sp}', "");
    Expect(1, 12289, '\p{^Sentence_Break=sp}', "");
    Expect(1, 12289, '\P{Sentence_Break=sp}', "");
    Expect(0, 12289, '\P{^Sentence_Break=sp}', "");
    Expect(1, 12288, '\p{Sentence_Break=:\Asp\z:}', "");;
    Expect(0, 12289, '\p{Sentence_Break=:\Asp\z:}', "");;
    Expect(1, 12288, '\p{Sentence_Break=	sp}', "");
    Expect(0, 12288, '\p{^Sentence_Break=	sp}', "");
    Expect(0, 12288, '\P{Sentence_Break=	sp}', "");
    Expect(1, 12288, '\P{^Sentence_Break=	sp}', "");
    Expect(0, 12289, '\p{Sentence_Break=	sp}', "");
    Expect(1, 12289, '\p{^Sentence_Break=	sp}', "");
    Expect(1, 12289, '\P{Sentence_Break=	sp}', "");
    Expect(0, 12289, '\P{^Sentence_Break=	sp}', "");
    Error('\p{SB=_sp/a/}');
    Error('\P{SB=_sp/a/}');
    Expect(1, 12288, '\p{SB=:\ASp\z:}', "");;
    Expect(0, 12289, '\p{SB=:\ASp\z:}', "");;
    Expect(1, 12288, '\p{SB=sp}', "");
    Expect(0, 12288, '\p{^SB=sp}', "");
    Expect(0, 12288, '\P{SB=sp}', "");
    Expect(1, 12288, '\P{^SB=sp}', "");
    Expect(0, 12289, '\p{SB=sp}', "");
    Expect(1, 12289, '\p{^SB=sp}', "");
    Expect(1, 12289, '\P{SB=sp}', "");
    Expect(0, 12289, '\P{^SB=sp}', "");
    Expect(1, 12288, '\p{SB=:\Asp\z:}', "");;
    Expect(0, 12289, '\p{SB=:\Asp\z:}', "");;
    Expect(1, 12288, '\p{SB= Sp}', "");
    Expect(0, 12288, '\p{^SB= Sp}', "");
    Expect(0, 12288, '\P{SB= Sp}', "");
    Expect(1, 12288, '\P{^SB= Sp}', "");
    Expect(0, 12289, '\p{SB= Sp}', "");
    Expect(1, 12289, '\p{^SB= Sp}', "");
    Expect(1, 12289, '\P{SB= Sp}', "");
    Expect(0, 12289, '\P{^SB= Sp}', "");
    Error('\p{Is_Sentence_Break=/a/_	Sp}');
    Error('\P{Is_Sentence_Break=/a/_	Sp}');
    Expect(1, 12288, '\p{Is_Sentence_Break=sp}', "");
    Expect(0, 12288, '\p{^Is_Sentence_Break=sp}', "");
    Expect(0, 12288, '\P{Is_Sentence_Break=sp}', "");
    Expect(1, 12288, '\P{^Is_Sentence_Break=sp}', "");
    Expect(0, 12289, '\p{Is_Sentence_Break=sp}', "");
    Expect(1, 12289, '\p{^Is_Sentence_Break=sp}', "");
    Expect(1, 12289, '\P{Is_Sentence_Break=sp}', "");
    Expect(0, 12289, '\P{^Is_Sentence_Break=sp}', "");
    Expect(1, 12288, '\p{Is_Sentence_Break=_ SP}', "");
    Expect(0, 12288, '\p{^Is_Sentence_Break=_ SP}', "");
    Expect(0, 12288, '\P{Is_Sentence_Break=_ SP}', "");
    Expect(1, 12288, '\P{^Is_Sentence_Break=_ SP}', "");
    Expect(0, 12289, '\p{Is_Sentence_Break=_ SP}', "");
    Expect(1, 12289, '\p{^Is_Sentence_Break=_ SP}', "");
    Expect(1, 12289, '\P{Is_Sentence_Break=_ SP}', "");
    Expect(0, 12289, '\P{^Is_Sentence_Break=_ SP}', "");
    Error('\p{Is_SB::= 	Sp}');
    Error('\P{Is_SB::= 	Sp}');
    Expect(1, 12288, '\p{Is_SB=sp}', "");
    Expect(0, 12288, '\p{^Is_SB=sp}', "");
    Expect(0, 12288, '\P{Is_SB=sp}', "");
    Expect(1, 12288, '\P{^Is_SB=sp}', "");
    Expect(0, 12289, '\p{Is_SB=sp}', "");
    Expect(1, 12289, '\p{^Is_SB=sp}', "");
    Expect(1, 12289, '\P{Is_SB=sp}', "");
    Expect(0, 12289, '\P{^Is_SB=sp}', "");
    Expect(1, 12288, '\p{Is_SB=-sp}', "");
    Expect(0, 12288, '\p{^Is_SB=-sp}', "");
    Expect(0, 12288, '\P{Is_SB=-sp}', "");
    Expect(1, 12288, '\P{^Is_SB=-sp}', "");
    Expect(0, 12289, '\p{Is_SB=-sp}', "");
    Expect(1, 12289, '\p{^Is_SB=-sp}', "");
    Expect(1, 12289, '\P{Is_SB=-sp}', "");
    Expect(0, 12289, '\P{^Is_SB=-sp}', "");
    Error('\p{Sentence_Break=	_STerm/a/}');
    Error('\P{Sentence_Break=	_STerm/a/}');
    Expect(1, 121480, '\p{Sentence_Break=:\ASTerm\z:}', "");;
    Expect(0, 121481, '\p{Sentence_Break=:\ASTerm\z:}', "");;
    Expect(1, 121480, '\p{Sentence_Break=sterm}', "");
    Expect(0, 121480, '\p{^Sentence_Break=sterm}', "");
    Expect(0, 121480, '\P{Sentence_Break=sterm}', "");
    Expect(1, 121480, '\P{^Sentence_Break=sterm}', "");
    Expect(0, 121481, '\p{Sentence_Break=sterm}', "");
    Expect(1, 121481, '\p{^Sentence_Break=sterm}', "");
    Expect(1, 121481, '\P{Sentence_Break=sterm}', "");
    Expect(0, 121481, '\P{^Sentence_Break=sterm}', "");
    Expect(1, 121480, '\p{Sentence_Break=:\Asterm\z:}', "");;
    Expect(0, 121481, '\p{Sentence_Break=:\Asterm\z:}', "");;
    Expect(1, 121480, '\p{Sentence_Break= STERM}', "");
    Expect(0, 121480, '\p{^Sentence_Break= STERM}', "");
    Expect(0, 121480, '\P{Sentence_Break= STERM}', "");
    Expect(1, 121480, '\P{^Sentence_Break= STERM}', "");
    Expect(0, 121481, '\p{Sentence_Break= STERM}', "");
    Expect(1, 121481, '\p{^Sentence_Break= STERM}', "");
    Expect(1, 121481, '\P{Sentence_Break= STERM}', "");
    Expect(0, 121481, '\P{^Sentence_Break= STERM}', "");
    Error('\p{SB=:=	_ST}');
    Error('\P{SB=:=	_ST}');
    Expect(1, 121480, '\p{SB=:\AST\z:}', "");;
    Expect(0, 121481, '\p{SB=:\AST\z:}', "");;
    Expect(1, 121480, '\p{SB=st}', "");
    Expect(0, 121480, '\p{^SB=st}', "");
    Expect(0, 121480, '\P{SB=st}', "");
    Expect(1, 121480, '\P{^SB=st}', "");
    Expect(0, 121481, '\p{SB=st}', "");
    Expect(1, 121481, '\p{^SB=st}', "");
    Expect(1, 121481, '\P{SB=st}', "");
    Expect(0, 121481, '\P{^SB=st}', "");
    Expect(1, 121480, '\p{SB=:\Ast\z:}', "");;
    Expect(0, 121481, '\p{SB=:\Ast\z:}', "");;
    Expect(1, 121480, '\p{SB=_ ST}', "");
    Expect(0, 121480, '\p{^SB=_ ST}', "");
    Expect(0, 121480, '\P{SB=_ ST}', "");
    Expect(1, 121480, '\P{^SB=_ ST}', "");
    Expect(0, 121481, '\p{SB=_ ST}', "");
    Expect(1, 121481, '\p{^SB=_ ST}', "");
    Expect(1, 121481, '\P{SB=_ ST}', "");
    Expect(0, 121481, '\P{^SB=_ ST}', "");
    Error('\p{Is_Sentence_Break=_ sterm/a/}');
    Error('\P{Is_Sentence_Break=_ sterm/a/}');
    Expect(1, 121480, '\p{Is_Sentence_Break=sterm}', "");
    Expect(0, 121480, '\p{^Is_Sentence_Break=sterm}', "");
    Expect(0, 121480, '\P{Is_Sentence_Break=sterm}', "");
    Expect(1, 121480, '\P{^Is_Sentence_Break=sterm}', "");
    Expect(0, 121481, '\p{Is_Sentence_Break=sterm}', "");
    Expect(1, 121481, '\p{^Is_Sentence_Break=sterm}', "");
    Expect(1, 121481, '\P{Is_Sentence_Break=sterm}', "");
    Expect(0, 121481, '\P{^Is_Sentence_Break=sterm}', "");
    Expect(1, 121480, '\p{Is_Sentence_Break=_	STerm}', "");
    Expect(0, 121480, '\p{^Is_Sentence_Break=_	STerm}', "");
    Expect(0, 121480, '\P{Is_Sentence_Break=_	STerm}', "");
    Expect(1, 121480, '\P{^Is_Sentence_Break=_	STerm}', "");
    Expect(0, 121481, '\p{Is_Sentence_Break=_	STerm}', "");
    Expect(1, 121481, '\p{^Is_Sentence_Break=_	STerm}', "");
    Expect(1, 121481, '\P{Is_Sentence_Break=_	STerm}', "");
    Expect(0, 121481, '\P{^Is_Sentence_Break=_	STerm}', "");
    Error('\p{Is_SB=_	ST/a/}');
    Error('\P{Is_SB=_	ST/a/}');
    Expect(1, 121480, '\p{Is_SB=st}', "");
    Expect(0, 121480, '\p{^Is_SB=st}', "");
    Expect(0, 121480, '\P{Is_SB=st}', "");
    Expect(1, 121480, '\P{^Is_SB=st}', "");
    Expect(0, 121481, '\p{Is_SB=st}', "");
    Expect(1, 121481, '\p{^Is_SB=st}', "");
    Expect(1, 121481, '\P{Is_SB=st}', "");
    Expect(0, 121481, '\P{^Is_SB=st}', "");
    Expect(1, 121480, '\p{Is_SB:  	ST}', "");
    Expect(0, 121480, '\p{^Is_SB:  	ST}', "");
    Expect(0, 121480, '\P{Is_SB:  	ST}', "");
    Expect(1, 121480, '\P{^Is_SB:  	ST}', "");
    Expect(0, 121481, '\p{Is_SB:  	ST}', "");
    Expect(1, 121481, '\p{^Is_SB:  	ST}', "");
    Expect(1, 121481, '\P{Is_SB:  	ST}', "");
    Expect(0, 121481, '\P{^Is_SB:  	ST}', "");
    Error('\p{Sentence_Break=_-Upper:=}');
    Error('\P{Sentence_Break=_-Upper:=}');
    Expect(1, 127369, '\p{Sentence_Break=:\AUpper\z:}', "");;
    Expect(0, 127370, '\p{Sentence_Break=:\AUpper\z:}', "");;
    Expect(1, 127369, '\p{Sentence_Break: upper}', "");
    Expect(0, 127369, '\p{^Sentence_Break: upper}', "");
    Expect(0, 127369, '\P{Sentence_Break: upper}', "");
    Expect(1, 127369, '\P{^Sentence_Break: upper}', "");
    Expect(0, 127370, '\p{Sentence_Break: upper}', "");
    Expect(1, 127370, '\p{^Sentence_Break: upper}', "");
    Expect(1, 127370, '\P{Sentence_Break: upper}', "");
    Expect(0, 127370, '\P{^Sentence_Break: upper}', "");
    Expect(1, 127369, '\p{Sentence_Break=:\Aupper\z:}', "");;
    Expect(0, 127370, '\p{Sentence_Break=:\Aupper\z:}', "");;
    Expect(1, 127369, '\p{Sentence_Break=_UPPER}', "");
    Expect(0, 127369, '\p{^Sentence_Break=_UPPER}', "");
    Expect(0, 127369, '\P{Sentence_Break=_UPPER}', "");
    Expect(1, 127369, '\P{^Sentence_Break=_UPPER}', "");
    Expect(0, 127370, '\p{Sentence_Break=_UPPER}', "");
    Expect(1, 127370, '\p{^Sentence_Break=_UPPER}', "");
    Expect(1, 127370, '\P{Sentence_Break=_UPPER}', "");
    Expect(0, 127370, '\P{^Sentence_Break=_UPPER}', "");
    Error('\p{SB=:=	 UP}');
    Error('\P{SB=:=	 UP}');
    Expect(1, 127369, '\p{SB=:\AUP\z:}', "");;
    Expect(0, 127370, '\p{SB=:\AUP\z:}', "");;
    Expect(1, 127369, '\p{SB=up}', "");
    Expect(0, 127369, '\p{^SB=up}', "");
    Expect(0, 127369, '\P{SB=up}', "");
    Expect(1, 127369, '\P{^SB=up}', "");
    Expect(0, 127370, '\p{SB=up}', "");
    Expect(1, 127370, '\p{^SB=up}', "");
    Expect(1, 127370, '\P{SB=up}', "");
    Expect(0, 127370, '\P{^SB=up}', "");
    Expect(1, 127369, '\p{SB=:\Aup\z:}', "");;
    Expect(0, 127370, '\p{SB=:\Aup\z:}', "");;
    Expect(1, 127369, '\p{SB= UP}', "");
    Expect(0, 127369, '\p{^SB= UP}', "");
    Expect(0, 127369, '\P{SB= UP}', "");
    Expect(1, 127369, '\P{^SB= UP}', "");
    Expect(0, 127370, '\p{SB= UP}', "");
    Expect(1, 127370, '\p{^SB= UP}', "");
    Expect(1, 127370, '\P{SB= UP}', "");
    Expect(0, 127370, '\P{^SB= UP}', "");
    Error('\p{Is_Sentence_Break=	/a/Upper}');
    Error('\P{Is_Sentence_Break=	/a/Upper}');
    Expect(1, 127369, '\p{Is_Sentence_Break=upper}', "");
    Expect(0, 127369, '\p{^Is_Sentence_Break=upper}', "");
    Expect(0, 127369, '\P{Is_Sentence_Break=upper}', "");
    Expect(1, 127369, '\P{^Is_Sentence_Break=upper}', "");
    Expect(0, 127370, '\p{Is_Sentence_Break=upper}', "");
    Expect(1, 127370, '\p{^Is_Sentence_Break=upper}', "");
    Expect(1, 127370, '\P{Is_Sentence_Break=upper}', "");
    Expect(0, 127370, '\P{^Is_Sentence_Break=upper}', "");
    Expect(1, 127369, '\p{Is_Sentence_Break:   UPPER}', "");
    Expect(0, 127369, '\p{^Is_Sentence_Break:   UPPER}', "");
    Expect(0, 127369, '\P{Is_Sentence_Break:   UPPER}', "");
    Expect(1, 127369, '\P{^Is_Sentence_Break:   UPPER}', "");
    Expect(0, 127370, '\p{Is_Sentence_Break:   UPPER}', "");
    Expect(1, 127370, '\p{^Is_Sentence_Break:   UPPER}', "");
    Expect(1, 127370, '\P{Is_Sentence_Break:   UPPER}', "");
    Expect(0, 127370, '\P{^Is_Sentence_Break:   UPPER}', "");
    Error('\p{Is_SB: _UP/a/}');
    Error('\P{Is_SB: _UP/a/}');
    Expect(1, 127369, '\p{Is_SB=up}', "");
    Expect(0, 127369, '\p{^Is_SB=up}', "");
    Expect(0, 127369, '\P{Is_SB=up}', "");
    Expect(1, 127369, '\P{^Is_SB=up}', "");
    Expect(0, 127370, '\p{Is_SB=up}', "");
    Expect(1, 127370, '\p{^Is_SB=up}', "");
    Expect(1, 127370, '\P{Is_SB=up}', "");
    Expect(0, 127370, '\P{^Is_SB=up}', "");
    Expect(1, 127369, '\p{Is_SB=	 up}', "");
    Expect(0, 127369, '\p{^Is_SB=	 up}', "");
    Expect(0, 127369, '\P{Is_SB=	 up}', "");
    Expect(1, 127369, '\P{^Is_SB=	 up}', "");
    Expect(0, 127370, '\p{Is_SB=	 up}', "");
    Expect(1, 127370, '\p{^Is_SB=	 up}', "");
    Expect(1, 127370, '\P{Is_SB=	 up}', "");
    Expect(0, 127370, '\P{^Is_SB=	 up}', "");
    Error('\p{Sentence_Break=	OTHER/a/}');
    Error('\P{Sentence_Break=	OTHER/a/}');
    Expect(1, 918000, '\p{Sentence_Break=:\AOther\z:}', "");;
    Expect(0, 917999, '\p{Sentence_Break=:\AOther\z:}', "");;
    Expect(1, 918000, '\p{Sentence_Break=other}', "");
    Expect(0, 918000, '\p{^Sentence_Break=other}', "");
    Expect(0, 918000, '\P{Sentence_Break=other}', "");
    Expect(1, 918000, '\P{^Sentence_Break=other}', "");
    Expect(0, 917999, '\p{Sentence_Break=other}', "");
    Expect(1, 917999, '\p{^Sentence_Break=other}', "");
    Expect(1, 917999, '\P{Sentence_Break=other}', "");
    Expect(0, 917999, '\P{^Sentence_Break=other}', "");
    Expect(1, 918000, '\p{Sentence_Break=:\Aother\z:}', "");;
    Expect(0, 917999, '\p{Sentence_Break=:\Aother\z:}', "");;
    Expect(1, 918000, '\p{Sentence_Break=-Other}', "");
    Expect(0, 918000, '\p{^Sentence_Break=-Other}', "");
    Expect(0, 918000, '\P{Sentence_Break=-Other}', "");
    Expect(1, 918000, '\P{^Sentence_Break=-Other}', "");
    Expect(0, 917999, '\p{Sentence_Break=-Other}', "");
    Expect(1, 917999, '\p{^Sentence_Break=-Other}', "");
    Expect(1, 917999, '\P{Sentence_Break=-Other}', "");
    Expect(0, 917999, '\P{^Sentence_Break=-Other}', "");
    Error('\p{SB:__xx/a/}');
    Error('\P{SB:__xx/a/}');
    Expect(1, 918000, '\p{SB=:\AXX\z:}', "");;
    Expect(0, 917999, '\p{SB=:\AXX\z:}', "");;
    Expect(1, 918000, '\p{SB=xx}', "");
    Expect(0, 918000, '\p{^SB=xx}', "");
    Expect(0, 918000, '\P{SB=xx}', "");
    Expect(1, 918000, '\P{^SB=xx}', "");
    Expect(0, 917999, '\p{SB=xx}', "");
    Expect(1, 917999, '\p{^SB=xx}', "");
    Expect(1, 917999, '\P{SB=xx}', "");
    Expect(0, 917999, '\P{^SB=xx}', "");
    Expect(1, 918000, '\p{SB=:\Axx\z:}', "");;
    Expect(0, 917999, '\p{SB=:\Axx\z:}', "");;
    Expect(1, 918000, '\p{SB=	-XX}', "");
    Expect(0, 918000, '\p{^SB=	-XX}', "");
    Expect(0, 918000, '\P{SB=	-XX}', "");
    Expect(1, 918000, '\P{^SB=	-XX}', "");
    Expect(0, 917999, '\p{SB=	-XX}', "");
    Expect(1, 917999, '\p{^SB=	-XX}', "");
    Expect(1, 917999, '\P{SB=	-XX}', "");
    Expect(0, 917999, '\P{^SB=	-XX}', "");
    Error('\p{Is_Sentence_Break=-/a/OTHER}');
    Error('\P{Is_Sentence_Break=-/a/OTHER}');
    Expect(1, 918000, '\p{Is_Sentence_Break=other}', "");
    Expect(0, 918000, '\p{^Is_Sentence_Break=other}', "");
    Expect(0, 918000, '\P{Is_Sentence_Break=other}', "");
    Expect(1, 918000, '\P{^Is_Sentence_Break=other}', "");
    Expect(0, 917999, '\p{Is_Sentence_Break=other}', "");
    Expect(1, 917999, '\p{^Is_Sentence_Break=other}', "");
    Expect(1, 917999, '\P{Is_Sentence_Break=other}', "");
    Expect(0, 917999, '\P{^Is_Sentence_Break=other}', "");
    Expect(1, 918000, '\p{Is_Sentence_Break=-_OTHER}', "");
    Expect(0, 918000, '\p{^Is_Sentence_Break=-_OTHER}', "");
    Expect(0, 918000, '\P{Is_Sentence_Break=-_OTHER}', "");
    Expect(1, 918000, '\P{^Is_Sentence_Break=-_OTHER}', "");
    Expect(0, 917999, '\p{Is_Sentence_Break=-_OTHER}', "");
    Expect(1, 917999, '\p{^Is_Sentence_Break=-_OTHER}', "");
    Expect(1, 917999, '\P{Is_Sentence_Break=-_OTHER}', "");
    Expect(0, 917999, '\P{^Is_Sentence_Break=-_OTHER}', "");
    Error('\p{Is_SB=/a/__XX}');
    Error('\P{Is_SB=/a/__XX}');
    Expect(1, 918000, '\p{Is_SB=xx}', "");
    Expect(0, 918000, '\p{^Is_SB=xx}', "");
    Expect(0, 918000, '\P{Is_SB=xx}', "");
    Expect(1, 918000, '\P{^Is_SB=xx}', "");
    Expect(0, 917999, '\p{Is_SB=xx}', "");
    Expect(1, 917999, '\p{^Is_SB=xx}', "");
    Expect(1, 917999, '\P{Is_SB=xx}', "");
    Expect(0, 917999, '\P{^Is_SB=xx}', "");
    Expect(1, 918000, '\p{Is_SB:   -XX}', "");
    Expect(0, 918000, '\p{^Is_SB:   -XX}', "");
    Expect(0, 918000, '\P{Is_SB:   -XX}', "");
    Expect(1, 918000, '\P{^Is_SB:   -XX}', "");
    Expect(0, 917999, '\p{Is_SB:   -XX}', "");
    Expect(1, 917999, '\p{^Is_SB:   -XX}', "");
    Expect(1, 917999, '\P{Is_SB:   -XX}', "");
    Expect(0, 917999, '\P{^Is_SB:   -XX}', "");
    Error('\p{script}');
    Error('\P{script}');
    Error('\p{Script=:=Adlam}');
    Error('\P{Script=:=Adlam}');
    Expect(1, 125279, '\p{Script=:\AAdlam\z:}', "");;
    Expect(0, 125280, '\p{Script=:\AAdlam\z:}', "");;
    Expect(1, 125279, '\p{Script:	adlam}', "");
    Expect(0, 125279, '\p{^Script:	adlam}', "");
    Expect(0, 125279, '\P{Script:	adlam}', "");
    Expect(1, 125279, '\P{^Script:	adlam}', "");
    Expect(0, 125280, '\p{Script:	adlam}', "");
    Expect(1, 125280, '\p{^Script:	adlam}', "");
    Expect(1, 125280, '\P{Script:	adlam}', "");
    Expect(0, 125280, '\P{^Script:	adlam}', "");
    Expect(1, 125279, '\p{Script=:\Aadlam\z:}', "");;
    Expect(0, 125280, '\p{Script=:\Aadlam\z:}', "");;
    Expect(1, 125279, '\p{Script=--Adlam}', "");
    Expect(0, 125279, '\p{^Script=--Adlam}', "");
    Expect(0, 125279, '\P{Script=--Adlam}', "");
    Expect(1, 125279, '\P{^Script=--Adlam}', "");
    Expect(0, 125280, '\p{Script=--Adlam}', "");
    Expect(1, 125280, '\p{^Script=--Adlam}', "");
    Expect(1, 125280, '\P{Script=--Adlam}', "");
    Expect(0, 125280, '\P{^Script=--Adlam}', "");
    Error('\p{Sc=	/a/ADLM}');
    Error('\P{Sc=	/a/ADLM}');
    Expect(1, 125279, '\p{Sc=:\AAdlm\z:}', "");;
    Expect(0, 125280, '\p{Sc=:\AAdlm\z:}', "");;
    Expect(1, 125279, '\p{Sc=adlm}', "");
    Expect(0, 125279, '\p{^Sc=adlm}', "");
    Expect(0, 125279, '\P{Sc=adlm}', "");
    Expect(1, 125279, '\P{^Sc=adlm}', "");
    Expect(0, 125280, '\p{Sc=adlm}', "");
    Expect(1, 125280, '\p{^Sc=adlm}', "");
    Expect(1, 125280, '\P{Sc=adlm}', "");
    Expect(0, 125280, '\P{^Sc=adlm}', "");
    Expect(1, 125279, '\p{Sc=:\Aadlm\z:}', "");;
    Expect(0, 125280, '\p{Sc=:\Aadlm\z:}', "");;
    Expect(1, 125279, '\p{Sc=  Adlm}', "");
    Expect(0, 125279, '\p{^Sc=  Adlm}', "");
    Expect(0, 125279, '\P{Sc=  Adlm}', "");
    Expect(1, 125279, '\P{^Sc=  Adlm}', "");
    Expect(0, 125280, '\p{Sc=  Adlm}', "");
    Expect(1, 125280, '\p{^Sc=  Adlm}', "");
    Expect(1, 125280, '\P{Sc=  Adlm}', "");
    Expect(0, 125280, '\P{^Sc=  Adlm}', "");
    Error('\p{Is_Script=:= 	ADLAM}');
    Error('\P{Is_Script=:= 	ADLAM}');
    Expect(1, 125279, '\p{Is_Script=adlam}', "");
    Expect(0, 125279, '\p{^Is_Script=adlam}', "");
    Expect(0, 125279, '\P{Is_Script=adlam}', "");
    Expect(1, 125279, '\P{^Is_Script=adlam}', "");
    Expect(0, 125280, '\p{Is_Script=adlam}', "");
    Expect(1, 125280, '\p{^Is_Script=adlam}', "");
    Expect(1, 125280, '\P{Is_Script=adlam}', "");
    Expect(0, 125280, '\P{^Is_Script=adlam}', "");
    Expect(1, 125279, '\p{Is_Script=	-Adlam}', "");
    Expect(0, 125279, '\p{^Is_Script=	-Adlam}', "");
    Expect(0, 125279, '\P{Is_Script=	-Adlam}', "");
    Expect(1, 125279, '\P{^Is_Script=	-Adlam}', "");
    Expect(0, 125280, '\p{Is_Script=	-Adlam}', "");
    Expect(1, 125280, '\p{^Is_Script=	-Adlam}', "");
    Expect(1, 125280, '\P{Is_Script=	-Adlam}', "");
    Expect(0, 125280, '\P{^Is_Script=	-Adlam}', "");
    Error('\p{Is_Sc=/a/ 	Adlm}');
    Error('\P{Is_Sc=/a/ 	Adlm}');
    Expect(1, 125279, '\p{Is_Sc=adlm}', "");
    Expect(0, 125279, '\p{^Is_Sc=adlm}', "");
    Expect(0, 125279, '\P{Is_Sc=adlm}', "");
    Expect(1, 125279, '\P{^Is_Sc=adlm}', "");
    Expect(0, 125280, '\p{Is_Sc=adlm}', "");
    Expect(1, 125280, '\p{^Is_Sc=adlm}', "");
    Expect(1, 125280, '\P{Is_Sc=adlm}', "");
    Expect(0, 125280, '\P{^Is_Sc=adlm}', "");
    Expect(1, 125279, '\p{Is_Sc=__Adlm}', "");
    Expect(0, 125279, '\p{^Is_Sc=__Adlm}', "");
    Expect(0, 125279, '\P{Is_Sc=__Adlm}', "");
    Expect(1, 125279, '\P{^Is_Sc=__Adlm}', "");
    Expect(0, 125280, '\p{Is_Sc=__Adlm}', "");
    Expect(1, 125280, '\p{^Is_Sc=__Adlm}', "");
    Expect(1, 125280, '\P{Is_Sc=__Adlm}', "");
    Expect(0, 125280, '\P{^Is_Sc=__Adlm}', "");
    Error('\p{Script=:=Caucasian_ALBANIAN}');
    Error('\P{Script=:=Caucasian_ALBANIAN}');
    Expect(1, 66927, '\p{Script=:\ACaucasian_Albanian\z:}', "");;
    Expect(0, 66928, '\p{Script=:\ACaucasian_Albanian\z:}', "");;
    Expect(1, 66927, '\p{Script=caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Script=caucasianalbanian}', "");
    Expect(0, 66927, '\P{Script=caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Script=caucasianalbanian}', "");
    Expect(0, 66928, '\p{Script=caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Script=caucasianalbanian}', "");
    Expect(1, 66928, '\P{Script=caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Script=caucasianalbanian}', "");
    Expect(1, 66927, '\p{Script=:\Acaucasianalbanian\z:}', "");;
    Expect(0, 66928, '\p{Script=:\Acaucasianalbanian\z:}', "");;
    Expect(1, 66927, '\p{Script=  caucasian_albanian}', "");
    Expect(0, 66927, '\p{^Script=  caucasian_albanian}', "");
    Expect(0, 66927, '\P{Script=  caucasian_albanian}', "");
    Expect(1, 66927, '\P{^Script=  caucasian_albanian}', "");
    Expect(0, 66928, '\p{Script=  caucasian_albanian}', "");
    Expect(1, 66928, '\p{^Script=  caucasian_albanian}', "");
    Expect(1, 66928, '\P{Script=  caucasian_albanian}', "");
    Expect(0, 66928, '\P{^Script=  caucasian_albanian}', "");
    Error('\p{Sc=_/a/aghb}');
    Error('\P{Sc=_/a/aghb}');
    Expect(1, 66927, '\p{Sc=:\AAghb\z:}', "");;
    Expect(0, 66928, '\p{Sc=:\AAghb\z:}', "");;
    Expect(1, 66927, '\p{Sc=aghb}', "");
    Expect(0, 66927, '\p{^Sc=aghb}', "");
    Expect(0, 66927, '\P{Sc=aghb}', "");
    Expect(1, 66927, '\P{^Sc=aghb}', "");
    Expect(0, 66928, '\p{Sc=aghb}', "");
    Expect(1, 66928, '\p{^Sc=aghb}', "");
    Expect(1, 66928, '\P{Sc=aghb}', "");
    Expect(0, 66928, '\P{^Sc=aghb}', "");
    Expect(1, 66927, '\p{Sc=:\Aaghb\z:}', "");;
    Expect(0, 66928, '\p{Sc=:\Aaghb\z:}', "");;
    Expect(1, 66927, '\p{Sc=-_aghb}', "");
    Expect(0, 66927, '\p{^Sc=-_aghb}', "");
    Expect(0, 66927, '\P{Sc=-_aghb}', "");
    Expect(1, 66927, '\P{^Sc=-_aghb}', "");
    Expect(0, 66928, '\p{Sc=-_aghb}', "");
    Expect(1, 66928, '\p{^Sc=-_aghb}', "");
    Expect(1, 66928, '\P{Sc=-_aghb}', "");
    Expect(0, 66928, '\P{^Sc=-_aghb}', "");
    Error('\p{Is_Script: 	Caucasian_Albanian/a/}');
    Error('\P{Is_Script: 	Caucasian_Albanian/a/}');
    Expect(1, 66927, '\p{Is_Script=caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Is_Script=caucasianalbanian}', "");
    Expect(0, 66927, '\P{Is_Script=caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Is_Script=caucasianalbanian}', "");
    Expect(0, 66928, '\p{Is_Script=caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Is_Script=caucasianalbanian}', "");
    Expect(1, 66928, '\P{Is_Script=caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Is_Script=caucasianalbanian}', "");
    Expect(1, 66927, '\p{Is_Script=_-caucasian_Albanian}', "");
    Expect(0, 66927, '\p{^Is_Script=_-caucasian_Albanian}', "");
    Expect(0, 66927, '\P{Is_Script=_-caucasian_Albanian}', "");
    Expect(1, 66927, '\P{^Is_Script=_-caucasian_Albanian}', "");
    Expect(0, 66928, '\p{Is_Script=_-caucasian_Albanian}', "");
    Expect(1, 66928, '\p{^Is_Script=_-caucasian_Albanian}', "");
    Expect(1, 66928, '\P{Is_Script=_-caucasian_Albanian}', "");
    Expect(0, 66928, '\P{^Is_Script=_-caucasian_Albanian}', "");
    Error('\p{Is_Sc=_aghb:=}');
    Error('\P{Is_Sc=_aghb:=}');
    Expect(1, 66927, '\p{Is_Sc: aghb}', "");
    Expect(0, 66927, '\p{^Is_Sc: aghb}', "");
    Expect(0, 66927, '\P{Is_Sc: aghb}', "");
    Expect(1, 66927, '\P{^Is_Sc: aghb}', "");
    Expect(0, 66928, '\p{Is_Sc: aghb}', "");
    Expect(1, 66928, '\p{^Is_Sc: aghb}', "");
    Expect(1, 66928, '\P{Is_Sc: aghb}', "");
    Expect(0, 66928, '\P{^Is_Sc: aghb}', "");
    Expect(1, 66927, '\p{Is_Sc=- Aghb}', "");
    Expect(0, 66927, '\p{^Is_Sc=- Aghb}', "");
    Expect(0, 66927, '\P{Is_Sc=- Aghb}', "");
    Expect(1, 66927, '\P{^Is_Sc=- Aghb}', "");
    Expect(0, 66928, '\p{Is_Sc=- Aghb}', "");
    Expect(1, 66928, '\p{^Is_Sc=- Aghb}', "");
    Expect(1, 66928, '\P{Is_Sc=- Aghb}', "");
    Expect(0, 66928, '\P{^Is_Sc=- Aghb}', "");
    Error('\p{Script=:= Ahom}');
    Error('\P{Script=:= Ahom}');
    Expect(1, 71494, '\p{Script=:\AAhom\z:}', "");;
    Expect(0, 71495, '\p{Script=:\AAhom\z:}', "");;
    Expect(1, 71494, '\p{Script:	ahom}', "");
    Expect(0, 71494, '\p{^Script:	ahom}', "");
    Expect(0, 71494, '\P{Script:	ahom}', "");
    Expect(1, 71494, '\P{^Script:	ahom}', "");
    Expect(0, 71495, '\p{Script:	ahom}', "");
    Expect(1, 71495, '\p{^Script:	ahom}', "");
    Expect(1, 71495, '\P{Script:	ahom}', "");
    Expect(0, 71495, '\P{^Script:	ahom}', "");
    Expect(1, 71494, '\p{Script=:\Aahom\z:}', "");;
    Expect(0, 71495, '\p{Script=:\Aahom\z:}', "");;
    Expect(1, 71494, '\p{Script=-Ahom}', "");
    Expect(0, 71494, '\p{^Script=-Ahom}', "");
    Expect(0, 71494, '\P{Script=-Ahom}', "");
    Expect(1, 71494, '\P{^Script=-Ahom}', "");
    Expect(0, 71495, '\p{Script=-Ahom}', "");
    Expect(1, 71495, '\p{^Script=-Ahom}', "");
    Expect(1, 71495, '\P{Script=-Ahom}', "");
    Expect(0, 71495, '\P{^Script=-Ahom}', "");
    Error('\p{Sc= /a/ahom}');
    Error('\P{Sc= /a/ahom}');
    Expect(1, 71494, '\p{Sc=:\AAhom\z:}', "");;
    Expect(0, 71495, '\p{Sc=:\AAhom\z:}', "");;
    Expect(1, 71494, '\p{Sc=ahom}', "");
    Expect(0, 71494, '\p{^Sc=ahom}', "");
    Expect(0, 71494, '\P{Sc=ahom}', "");
    Expect(1, 71494, '\P{^Sc=ahom}', "");
    Expect(0, 71495, '\p{Sc=ahom}', "");
    Expect(1, 71495, '\p{^Sc=ahom}', "");
    Expect(1, 71495, '\P{Sc=ahom}', "");
    Expect(0, 71495, '\P{^Sc=ahom}', "");
    Expect(1, 71494, '\p{Sc=:\Aahom\z:}', "");;
    Expect(0, 71495, '\p{Sc=:\Aahom\z:}', "");;
    Expect(1, 71494, '\p{Sc=_	Ahom}', "");
    Expect(0, 71494, '\p{^Sc=_	Ahom}', "");
    Expect(0, 71494, '\P{Sc=_	Ahom}', "");
    Expect(1, 71494, '\P{^Sc=_	Ahom}', "");
    Expect(0, 71495, '\p{Sc=_	Ahom}', "");
    Expect(1, 71495, '\p{^Sc=_	Ahom}', "");
    Expect(1, 71495, '\P{Sc=_	Ahom}', "");
    Expect(0, 71495, '\P{^Sc=_	Ahom}', "");
    Error('\p{Is_Script=:=		ahom}');
    Error('\P{Is_Script=:=		ahom}');
    Expect(1, 71494, '\p{Is_Script=ahom}', "");
    Expect(0, 71494, '\p{^Is_Script=ahom}', "");
    Expect(0, 71494, '\P{Is_Script=ahom}', "");
    Expect(1, 71494, '\P{^Is_Script=ahom}', "");
    Expect(0, 71495, '\p{Is_Script=ahom}', "");
    Expect(1, 71495, '\p{^Is_Script=ahom}', "");
    Expect(1, 71495, '\P{Is_Script=ahom}', "");
    Expect(0, 71495, '\P{^Is_Script=ahom}', "");
    Expect(1, 71494, '\p{Is_Script:	_Ahom}', "");
    Expect(0, 71494, '\p{^Is_Script:	_Ahom}', "");
    Expect(0, 71494, '\P{Is_Script:	_Ahom}', "");
    Expect(1, 71494, '\P{^Is_Script:	_Ahom}', "");
    Expect(0, 71495, '\p{Is_Script:	_Ahom}', "");
    Expect(1, 71495, '\p{^Is_Script:	_Ahom}', "");
    Expect(1, 71495, '\P{Is_Script:	_Ahom}', "");
    Expect(0, 71495, '\P{^Is_Script:	_Ahom}', "");
    Error('\p{Is_Sc=:=-Ahom}');
    Error('\P{Is_Sc=:=-Ahom}');
    Expect(1, 71494, '\p{Is_Sc=ahom}', "");
    Expect(0, 71494, '\p{^Is_Sc=ahom}', "");
    Expect(0, 71494, '\P{Is_Sc=ahom}', "");
    Expect(1, 71494, '\P{^Is_Sc=ahom}', "");
    Expect(0, 71495, '\p{Is_Sc=ahom}', "");
    Expect(1, 71495, '\p{^Is_Sc=ahom}', "");
    Expect(1, 71495, '\P{Is_Sc=ahom}', "");
    Expect(0, 71495, '\P{^Is_Sc=ahom}', "");
    Expect(1, 71494, '\p{Is_Sc: 	-Ahom}', "");
    Expect(0, 71494, '\p{^Is_Sc: 	-Ahom}', "");
    Expect(0, 71494, '\P{Is_Sc: 	-Ahom}', "");
    Expect(1, 71494, '\P{^Is_Sc: 	-Ahom}', "");
    Expect(0, 71495, '\p{Is_Sc: 	-Ahom}', "");
    Expect(1, 71495, '\p{^Is_Sc: 	-Ahom}', "");
    Expect(1, 71495, '\P{Is_Sc: 	-Ahom}', "");
    Expect(0, 71495, '\P{^Is_Sc: 	-Ahom}', "");
    Error('\p{Script=/a/	-Arabic}');
    Error('\P{Script=/a/	-Arabic}');
    Expect(1, 126705, '\p{Script=:\AArabic\z:}', "");;
    Expect(0, 126706, '\p{Script=:\AArabic\z:}', "");;
    Expect(1, 126705, '\p{Script=arabic}', "");
    Expect(0, 126705, '\p{^Script=arabic}', "");
    Expect(0, 126705, '\P{Script=arabic}', "");
    Expect(1, 126705, '\P{^Script=arabic}', "");
    Expect(0, 126706, '\p{Script=arabic}', "");
    Expect(1, 126706, '\p{^Script=arabic}', "");
    Expect(1, 126706, '\P{Script=arabic}', "");
    Expect(0, 126706, '\P{^Script=arabic}', "");
    Expect(1, 126705, '\p{Script=:\Aarabic\z:}', "");;
    Expect(0, 126706, '\p{Script=:\Aarabic\z:}', "");;
    Expect(1, 126705, '\p{Script=	 Arabic}', "");
    Expect(0, 126705, '\p{^Script=	 Arabic}', "");
    Expect(0, 126705, '\P{Script=	 Arabic}', "");
    Expect(1, 126705, '\P{^Script=	 Arabic}', "");
    Expect(0, 126706, '\p{Script=	 Arabic}', "");
    Expect(1, 126706, '\p{^Script=	 Arabic}', "");
    Expect(1, 126706, '\P{Script=	 Arabic}', "");
    Expect(0, 126706, '\P{^Script=	 Arabic}', "");
    Error('\p{Sc=_/a/Arab}');
    Error('\P{Sc=_/a/Arab}');
    Expect(1, 126705, '\p{Sc=:\AArab\z:}', "");;
    Expect(0, 126706, '\p{Sc=:\AArab\z:}', "");;
    Expect(1, 126705, '\p{Sc=arab}', "");
    Expect(0, 126705, '\p{^Sc=arab}', "");
    Expect(0, 126705, '\P{Sc=arab}', "");
    Expect(1, 126705, '\P{^Sc=arab}', "");
    Expect(0, 126706, '\p{Sc=arab}', "");
    Expect(1, 126706, '\p{^Sc=arab}', "");
    Expect(1, 126706, '\P{Sc=arab}', "");
    Expect(0, 126706, '\P{^Sc=arab}', "");
    Expect(1, 126705, '\p{Sc=:\Aarab\z:}', "");;
    Expect(0, 126706, '\p{Sc=:\Aarab\z:}', "");;
    Expect(1, 126705, '\p{Sc=	-Arab}', "");
    Expect(0, 126705, '\p{^Sc=	-Arab}', "");
    Expect(0, 126705, '\P{Sc=	-Arab}', "");
    Expect(1, 126705, '\P{^Sc=	-Arab}', "");
    Expect(0, 126706, '\p{Sc=	-Arab}', "");
    Expect(1, 126706, '\p{^Sc=	-Arab}', "");
    Expect(1, 126706, '\P{Sc=	-Arab}', "");
    Expect(0, 126706, '\P{^Sc=	-Arab}', "");
    Error('\p{Is_Script=:=_ Arabic}');
    Error('\P{Is_Script=:=_ Arabic}');
    Expect(1, 126705, '\p{Is_Script=arabic}', "");
    Expect(0, 126705, '\p{^Is_Script=arabic}', "");
    Expect(0, 126705, '\P{Is_Script=arabic}', "");
    Expect(1, 126705, '\P{^Is_Script=arabic}', "");
    Expect(0, 126706, '\p{Is_Script=arabic}', "");
    Expect(1, 126706, '\p{^Is_Script=arabic}', "");
    Expect(1, 126706, '\P{Is_Script=arabic}', "");
    Expect(0, 126706, '\P{^Is_Script=arabic}', "");
    Expect(1, 126705, '\p{Is_Script=ARABIC}', "");
    Expect(0, 126705, '\p{^Is_Script=ARABIC}', "");
    Expect(0, 126705, '\P{Is_Script=ARABIC}', "");
    Expect(1, 126705, '\P{^Is_Script=ARABIC}', "");
    Expect(0, 126706, '\p{Is_Script=ARABIC}', "");
    Expect(1, 126706, '\p{^Is_Script=ARABIC}', "");
    Expect(1, 126706, '\P{Is_Script=ARABIC}', "");
    Expect(0, 126706, '\P{^Is_Script=ARABIC}', "");
    Error('\p{Is_Sc=_:=Arab}');
    Error('\P{Is_Sc=_:=Arab}');
    Expect(1, 126705, '\p{Is_Sc=arab}', "");
    Expect(0, 126705, '\p{^Is_Sc=arab}', "");
    Expect(0, 126705, '\P{Is_Sc=arab}', "");
    Expect(1, 126705, '\P{^Is_Sc=arab}', "");
    Expect(0, 126706, '\p{Is_Sc=arab}', "");
    Expect(1, 126706, '\p{^Is_Sc=arab}', "");
    Expect(1, 126706, '\P{Is_Sc=arab}', "");
    Expect(0, 126706, '\P{^Is_Sc=arab}', "");
    Expect(1, 126705, '\p{Is_Sc:   -	Arab}', "");
    Expect(0, 126705, '\p{^Is_Sc:   -	Arab}', "");
    Expect(0, 126705, '\P{Is_Sc:   -	Arab}', "");
    Expect(1, 126705, '\P{^Is_Sc:   -	Arab}', "");
    Expect(0, 126706, '\p{Is_Sc:   -	Arab}', "");
    Expect(1, 126706, '\p{^Is_Sc:   -	Arab}', "");
    Expect(1, 126706, '\P{Is_Sc:   -	Arab}', "");
    Expect(0, 126706, '\P{^Is_Sc:   -	Arab}', "");
    Error('\p{Script=/a/		Imperial_ARAMAIC}');
    Error('\P{Script=/a/		Imperial_ARAMAIC}');
    Expect(1, 67679, '\p{Script=:\AImperial_Aramaic\z:}', "");;
    Expect(0, 67680, '\p{Script=:\AImperial_Aramaic\z:}', "");;
    Expect(1, 67679, '\p{Script=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Script=imperialaramaic}', "");
    Expect(0, 67679, '\P{Script=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Script=imperialaramaic}', "");
    Expect(0, 67680, '\p{Script=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Script=imperialaramaic}', "");
    Expect(1, 67680, '\P{Script=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Script=imperialaramaic}', "");
    Expect(1, 67679, '\p{Script=:\Aimperialaramaic\z:}', "");;
    Expect(0, 67680, '\p{Script=:\Aimperialaramaic\z:}', "");;
    Expect(1, 67679, '\p{Script=Imperial_Aramaic}', "");
    Expect(0, 67679, '\p{^Script=Imperial_Aramaic}', "");
    Expect(0, 67679, '\P{Script=Imperial_Aramaic}', "");
    Expect(1, 67679, '\P{^Script=Imperial_Aramaic}', "");
    Expect(0, 67680, '\p{Script=Imperial_Aramaic}', "");
    Expect(1, 67680, '\p{^Script=Imperial_Aramaic}', "");
    Expect(1, 67680, '\P{Script=Imperial_Aramaic}', "");
    Expect(0, 67680, '\P{^Script=Imperial_Aramaic}', "");
    Error('\p{Sc=	 Armi:=}');
    Error('\P{Sc=	 Armi:=}');
    Expect(1, 67679, '\p{Sc=:\AArmi\z:}', "");;
    Expect(0, 67680, '\p{Sc=:\AArmi\z:}', "");;
    Expect(1, 67679, '\p{Sc=armi}', "");
    Expect(0, 67679, '\p{^Sc=armi}', "");
    Expect(0, 67679, '\P{Sc=armi}', "");
    Expect(1, 67679, '\P{^Sc=armi}', "");
    Expect(0, 67680, '\p{Sc=armi}', "");
    Expect(1, 67680, '\p{^Sc=armi}', "");
    Expect(1, 67680, '\P{Sc=armi}', "");
    Expect(0, 67680, '\P{^Sc=armi}', "");
    Expect(1, 67679, '\p{Sc=:\Aarmi\z:}', "");;
    Expect(0, 67680, '\p{Sc=:\Aarmi\z:}', "");;
    Expect(1, 67679, '\p{Sc=_ Armi}', "");
    Expect(0, 67679, '\p{^Sc=_ Armi}', "");
    Expect(0, 67679, '\P{Sc=_ Armi}', "");
    Expect(1, 67679, '\P{^Sc=_ Armi}', "");
    Expect(0, 67680, '\p{Sc=_ Armi}', "");
    Expect(1, 67680, '\p{^Sc=_ Armi}', "");
    Expect(1, 67680, '\P{Sc=_ Armi}', "");
    Expect(0, 67680, '\P{^Sc=_ Armi}', "");
    Error('\p{Is_Script:   _/a/Imperial_Aramaic}');
    Error('\P{Is_Script:   _/a/Imperial_Aramaic}');
    Expect(1, 67679, '\p{Is_Script=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Is_Script=imperialaramaic}', "");
    Expect(0, 67679, '\P{Is_Script=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Is_Script=imperialaramaic}', "");
    Expect(0, 67680, '\p{Is_Script=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Is_Script=imperialaramaic}', "");
    Expect(1, 67680, '\P{Is_Script=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Is_Script=imperialaramaic}', "");
    Expect(1, 67679, '\p{Is_Script=-_Imperial_ARAMAIC}', "");
    Expect(0, 67679, '\p{^Is_Script=-_Imperial_ARAMAIC}', "");
    Expect(0, 67679, '\P{Is_Script=-_Imperial_ARAMAIC}', "");
    Expect(1, 67679, '\P{^Is_Script=-_Imperial_ARAMAIC}', "");
    Expect(0, 67680, '\p{Is_Script=-_Imperial_ARAMAIC}', "");
    Expect(1, 67680, '\p{^Is_Script=-_Imperial_ARAMAIC}', "");
    Expect(1, 67680, '\P{Is_Script=-_Imperial_ARAMAIC}', "");
    Expect(0, 67680, '\P{^Is_Script=-_Imperial_ARAMAIC}', "");
    Error('\p{Is_Sc=/a/ -Armi}');
    Error('\P{Is_Sc=/a/ -Armi}');
    Expect(1, 67679, '\p{Is_Sc=armi}', "");
    Expect(0, 67679, '\p{^Is_Sc=armi}', "");
    Expect(0, 67679, '\P{Is_Sc=armi}', "");
    Expect(1, 67679, '\P{^Is_Sc=armi}', "");
    Expect(0, 67680, '\p{Is_Sc=armi}', "");
    Expect(1, 67680, '\p{^Is_Sc=armi}', "");
    Expect(1, 67680, '\P{Is_Sc=armi}', "");
    Expect(0, 67680, '\P{^Is_Sc=armi}', "");
    Expect(1, 67679, '\p{Is_Sc=-ARMI}', "");
    Expect(0, 67679, '\p{^Is_Sc=-ARMI}', "");
    Expect(0, 67679, '\P{Is_Sc=-ARMI}', "");
    Expect(1, 67679, '\P{^Is_Sc=-ARMI}', "");
    Expect(0, 67680, '\p{Is_Sc=-ARMI}', "");
    Expect(1, 67680, '\p{^Is_Sc=-ARMI}', "");
    Expect(1, 67680, '\P{Is_Sc=-ARMI}', "");
    Expect(0, 67680, '\P{^Is_Sc=-ARMI}', "");
    Error('\p{Script:	/a/	Armenian}');
    Error('\P{Script:	/a/	Armenian}');
    Expect(1, 64279, '\p{Script=:\AArmenian\z:}', "");;
    Expect(0, 64280, '\p{Script=:\AArmenian\z:}', "");;
    Expect(1, 64279, '\p{Script=armenian}', "");
    Expect(0, 64279, '\p{^Script=armenian}', "");
    Expect(0, 64279, '\P{Script=armenian}', "");
    Expect(1, 64279, '\P{^Script=armenian}', "");
    Expect(0, 64280, '\p{Script=armenian}', "");
    Expect(1, 64280, '\p{^Script=armenian}', "");
    Expect(1, 64280, '\P{Script=armenian}', "");
    Expect(0, 64280, '\P{^Script=armenian}', "");
    Expect(1, 64279, '\p{Script=:\Aarmenian\z:}', "");;
    Expect(0, 64280, '\p{Script=:\Aarmenian\z:}', "");;
    Expect(1, 64279, '\p{Script=	ARMENIAN}', "");
    Expect(0, 64279, '\p{^Script=	ARMENIAN}', "");
    Expect(0, 64279, '\P{Script=	ARMENIAN}', "");
    Expect(1, 64279, '\P{^Script=	ARMENIAN}', "");
    Expect(0, 64280, '\p{Script=	ARMENIAN}', "");
    Expect(1, 64280, '\p{^Script=	ARMENIAN}', "");
    Expect(1, 64280, '\P{Script=	ARMENIAN}', "");
    Expect(0, 64280, '\P{^Script=	ARMENIAN}', "");
    Error('\p{Sc: armn/a/}');
    Error('\P{Sc: armn/a/}');
    Expect(1, 64279, '\p{Sc=:\AArmn\z:}', "");;
    Expect(0, 64280, '\p{Sc=:\AArmn\z:}', "");;
    Expect(1, 64279, '\p{Sc=armn}', "");
    Expect(0, 64279, '\p{^Sc=armn}', "");
    Expect(0, 64279, '\P{Sc=armn}', "");
    Expect(1, 64279, '\P{^Sc=armn}', "");
    Expect(0, 64280, '\p{Sc=armn}', "");
    Expect(1, 64280, '\p{^Sc=armn}', "");
    Expect(1, 64280, '\P{Sc=armn}', "");
    Expect(0, 64280, '\P{^Sc=armn}', "");
    Expect(1, 64279, '\p{Sc=:\Aarmn\z:}', "");;
    Expect(0, 64280, '\p{Sc=:\Aarmn\z:}', "");;
    Expect(1, 64279, '\p{Sc= _Armn}', "");
    Expect(0, 64279, '\p{^Sc= _Armn}', "");
    Expect(0, 64279, '\P{Sc= _Armn}', "");
    Expect(1, 64279, '\P{^Sc= _Armn}', "");
    Expect(0, 64280, '\p{Sc= _Armn}', "");
    Expect(1, 64280, '\p{^Sc= _Armn}', "");
    Expect(1, 64280, '\P{Sc= _Armn}', "");
    Expect(0, 64280, '\P{^Sc= _Armn}', "");
    Error('\p{Is_Script=-/a/Armenian}');
    Error('\P{Is_Script=-/a/Armenian}');
    Expect(1, 64279, '\p{Is_Script=armenian}', "");
    Expect(0, 64279, '\p{^Is_Script=armenian}', "");
    Expect(0, 64279, '\P{Is_Script=armenian}', "");
    Expect(1, 64279, '\P{^Is_Script=armenian}', "");
    Expect(0, 64280, '\p{Is_Script=armenian}', "");
    Expect(1, 64280, '\p{^Is_Script=armenian}', "");
    Expect(1, 64280, '\P{Is_Script=armenian}', "");
    Expect(0, 64280, '\P{^Is_Script=armenian}', "");
    Expect(1, 64279, '\p{Is_Script=-	Armenian}', "");
    Expect(0, 64279, '\p{^Is_Script=-	Armenian}', "");
    Expect(0, 64279, '\P{Is_Script=-	Armenian}', "");
    Expect(1, 64279, '\P{^Is_Script=-	Armenian}', "");
    Expect(0, 64280, '\p{Is_Script=-	Armenian}', "");
    Expect(1, 64280, '\p{^Is_Script=-	Armenian}', "");
    Expect(1, 64280, '\P{Is_Script=-	Armenian}', "");
    Expect(0, 64280, '\P{^Is_Script=-	Armenian}', "");
    Error('\p{Is_Sc=:= _armn}');
    Error('\P{Is_Sc=:= _armn}');
    Expect(1, 64279, '\p{Is_Sc=armn}', "");
    Expect(0, 64279, '\p{^Is_Sc=armn}', "");
    Expect(0, 64279, '\P{Is_Sc=armn}', "");
    Expect(1, 64279, '\P{^Is_Sc=armn}', "");
    Expect(0, 64280, '\p{Is_Sc=armn}', "");
    Expect(1, 64280, '\p{^Is_Sc=armn}', "");
    Expect(1, 64280, '\P{Is_Sc=armn}', "");
    Expect(0, 64280, '\P{^Is_Sc=armn}', "");
    Expect(1, 64279, '\p{Is_Sc=	armn}', "");
    Expect(0, 64279, '\p{^Is_Sc=	armn}', "");
    Expect(0, 64279, '\P{Is_Sc=	armn}', "");
    Expect(1, 64279, '\P{^Is_Sc=	armn}', "");
    Expect(0, 64280, '\p{Is_Sc=	armn}', "");
    Expect(1, 64280, '\p{^Is_Sc=	armn}', "");
    Expect(1, 64280, '\P{Is_Sc=	armn}', "");
    Expect(0, 64280, '\P{^Is_Sc=	armn}', "");
    Error('\p{Script=-/a/avestan}');
    Error('\P{Script=-/a/avestan}');
    Expect(1, 68415, '\p{Script=:\AAvestan\z:}', "");;
    Expect(0, 68416, '\p{Script=:\AAvestan\z:}', "");;
    Expect(1, 68415, '\p{Script=avestan}', "");
    Expect(0, 68415, '\p{^Script=avestan}', "");
    Expect(0, 68415, '\P{Script=avestan}', "");
    Expect(1, 68415, '\P{^Script=avestan}', "");
    Expect(0, 68416, '\p{Script=avestan}', "");
    Expect(1, 68416, '\p{^Script=avestan}', "");
    Expect(1, 68416, '\P{Script=avestan}', "");
    Expect(0, 68416, '\P{^Script=avestan}', "");
    Expect(1, 68415, '\p{Script=:\Aavestan\z:}', "");;
    Expect(0, 68416, '\p{Script=:\Aavestan\z:}', "");;
    Expect(1, 68415, '\p{Script=_Avestan}', "");
    Expect(0, 68415, '\p{^Script=_Avestan}', "");
    Expect(0, 68415, '\P{Script=_Avestan}', "");
    Expect(1, 68415, '\P{^Script=_Avestan}', "");
    Expect(0, 68416, '\p{Script=_Avestan}', "");
    Expect(1, 68416, '\p{^Script=_Avestan}', "");
    Expect(1, 68416, '\P{Script=_Avestan}', "");
    Expect(0, 68416, '\P{^Script=_Avestan}', "");
    Error('\p{Sc=:=	 AVST}');
    Error('\P{Sc=:=	 AVST}');
    Expect(1, 68415, '\p{Sc=:\AAvst\z:}', "");;
    Expect(0, 68416, '\p{Sc=:\AAvst\z:}', "");;
    Expect(1, 68415, '\p{Sc=avst}', "");
    Expect(0, 68415, '\p{^Sc=avst}', "");
    Expect(0, 68415, '\P{Sc=avst}', "");
    Expect(1, 68415, '\P{^Sc=avst}', "");
    Expect(0, 68416, '\p{Sc=avst}', "");
    Expect(1, 68416, '\p{^Sc=avst}', "");
    Expect(1, 68416, '\P{Sc=avst}', "");
    Expect(0, 68416, '\P{^Sc=avst}', "");
    Expect(1, 68415, '\p{Sc=:\Aavst\z:}', "");;
    Expect(0, 68416, '\p{Sc=:\Aavst\z:}', "");;
    Expect(1, 68415, '\p{Sc=_ Avst}', "");
    Expect(0, 68415, '\p{^Sc=_ Avst}', "");
    Expect(0, 68415, '\P{Sc=_ Avst}', "");
    Expect(1, 68415, '\P{^Sc=_ Avst}', "");
    Expect(0, 68416, '\p{Sc=_ Avst}', "");
    Expect(1, 68416, '\p{^Sc=_ Avst}', "");
    Expect(1, 68416, '\P{Sc=_ Avst}', "");
    Expect(0, 68416, '\P{^Sc=_ Avst}', "");
    Error('\p{Is_Script=	_AVESTAN:=}');
    Error('\P{Is_Script=	_AVESTAN:=}');
    Expect(1, 68415, '\p{Is_Script:   avestan}', "");
    Expect(0, 68415, '\p{^Is_Script:   avestan}', "");
    Expect(0, 68415, '\P{Is_Script:   avestan}', "");
    Expect(1, 68415, '\P{^Is_Script:   avestan}', "");
    Expect(0, 68416, '\p{Is_Script:   avestan}', "");
    Expect(1, 68416, '\p{^Is_Script:   avestan}', "");
    Expect(1, 68416, '\P{Is_Script:   avestan}', "");
    Expect(0, 68416, '\P{^Is_Script:   avestan}', "");
    Expect(1, 68415, '\p{Is_Script=Avestan}', "");
    Expect(0, 68415, '\p{^Is_Script=Avestan}', "");
    Expect(0, 68415, '\P{Is_Script=Avestan}', "");
    Expect(1, 68415, '\P{^Is_Script=Avestan}', "");
    Expect(0, 68416, '\p{Is_Script=Avestan}', "");
    Expect(1, 68416, '\p{^Is_Script=Avestan}', "");
    Expect(1, 68416, '\P{Is_Script=Avestan}', "");
    Expect(0, 68416, '\P{^Is_Script=Avestan}', "");
    Error('\p{Is_Sc=_:=Avst}');
    Error('\P{Is_Sc=_:=Avst}');
    Expect(1, 68415, '\p{Is_Sc=avst}', "");
    Expect(0, 68415, '\p{^Is_Sc=avst}', "");
    Expect(0, 68415, '\P{Is_Sc=avst}', "");
    Expect(1, 68415, '\P{^Is_Sc=avst}', "");
    Expect(0, 68416, '\p{Is_Sc=avst}', "");
    Expect(1, 68416, '\p{^Is_Sc=avst}', "");
    Expect(1, 68416, '\P{Is_Sc=avst}', "");
    Expect(0, 68416, '\P{^Is_Sc=avst}', "");
    Expect(1, 68415, '\p{Is_Sc=-	avst}', "");
    Expect(0, 68415, '\p{^Is_Sc=-	avst}', "");
    Expect(0, 68415, '\P{Is_Sc=-	avst}', "");
    Expect(1, 68415, '\P{^Is_Sc=-	avst}', "");
    Expect(0, 68416, '\p{Is_Sc=-	avst}', "");
    Expect(1, 68416, '\p{^Is_Sc=-	avst}', "");
    Expect(1, 68416, '\P{Is_Sc=-	avst}', "");
    Expect(0, 68416, '\P{^Is_Sc=-	avst}', "");
    Error('\p{Script:	 :=Balinese}');
    Error('\P{Script:	 :=Balinese}');
    Expect(1, 7038, '\p{Script=:\ABalinese\z:}', "");;
    Expect(0, 7039, '\p{Script=:\ABalinese\z:}', "");;
    Expect(1, 7038, '\p{Script=balinese}', "");
    Expect(0, 7038, '\p{^Script=balinese}', "");
    Expect(0, 7038, '\P{Script=balinese}', "");
    Expect(1, 7038, '\P{^Script=balinese}', "");
    Expect(0, 7039, '\p{Script=balinese}', "");
    Expect(1, 7039, '\p{^Script=balinese}', "");
    Expect(1, 7039, '\P{Script=balinese}', "");
    Expect(0, 7039, '\P{^Script=balinese}', "");
    Expect(1, 7038, '\p{Script=:\Abalinese\z:}', "");;
    Expect(0, 7039, '\p{Script=:\Abalinese\z:}', "");;
    Expect(1, 7038, '\p{Script=__BALINESE}', "");
    Expect(0, 7038, '\p{^Script=__BALINESE}', "");
    Expect(0, 7038, '\P{Script=__BALINESE}', "");
    Expect(1, 7038, '\P{^Script=__BALINESE}', "");
    Expect(0, 7039, '\p{Script=__BALINESE}', "");
    Expect(1, 7039, '\p{^Script=__BALINESE}', "");
    Expect(1, 7039, '\P{Script=__BALINESE}', "");
    Expect(0, 7039, '\P{^Script=__BALINESE}', "");
    Error('\p{Sc=_:=Bali}');
    Error('\P{Sc=_:=Bali}');
    Expect(1, 7038, '\p{Sc=:\ABali\z:}', "");;
    Expect(0, 7039, '\p{Sc=:\ABali\z:}', "");;
    Expect(1, 7038, '\p{Sc=bali}', "");
    Expect(0, 7038, '\p{^Sc=bali}', "");
    Expect(0, 7038, '\P{Sc=bali}', "");
    Expect(1, 7038, '\P{^Sc=bali}', "");
    Expect(0, 7039, '\p{Sc=bali}', "");
    Expect(1, 7039, '\p{^Sc=bali}', "");
    Expect(1, 7039, '\P{Sc=bali}', "");
    Expect(0, 7039, '\P{^Sc=bali}', "");
    Expect(1, 7038, '\p{Sc=:\Abali\z:}', "");;
    Expect(0, 7039, '\p{Sc=:\Abali\z:}', "");;
    Expect(1, 7038, '\p{Sc: -	Bali}', "");
    Expect(0, 7038, '\p{^Sc: -	Bali}', "");
    Expect(0, 7038, '\P{Sc: -	Bali}', "");
    Expect(1, 7038, '\P{^Sc: -	Bali}', "");
    Expect(0, 7039, '\p{Sc: -	Bali}', "");
    Expect(1, 7039, '\p{^Sc: -	Bali}', "");
    Expect(1, 7039, '\P{Sc: -	Bali}', "");
    Expect(0, 7039, '\P{^Sc: -	Bali}', "");
    Error('\p{Is_Script=:=_	Balinese}');
    Error('\P{Is_Script=:=_	Balinese}');
    Expect(1, 7038, '\p{Is_Script=balinese}', "");
    Expect(0, 7038, '\p{^Is_Script=balinese}', "");
    Expect(0, 7038, '\P{Is_Script=balinese}', "");
    Expect(1, 7038, '\P{^Is_Script=balinese}', "");
    Expect(0, 7039, '\p{Is_Script=balinese}', "");
    Expect(1, 7039, '\p{^Is_Script=balinese}', "");
    Expect(1, 7039, '\P{Is_Script=balinese}', "");
    Expect(0, 7039, '\P{^Is_Script=balinese}', "");
    Expect(1, 7038, '\p{Is_Script= Balinese}', "");
    Expect(0, 7038, '\p{^Is_Script= Balinese}', "");
    Expect(0, 7038, '\P{Is_Script= Balinese}', "");
    Expect(1, 7038, '\P{^Is_Script= Balinese}', "");
    Expect(0, 7039, '\p{Is_Script= Balinese}', "");
    Expect(1, 7039, '\p{^Is_Script= Balinese}', "");
    Expect(1, 7039, '\P{Is_Script= Balinese}', "");
    Expect(0, 7039, '\P{^Is_Script= Balinese}', "");
    Error('\p{Is_Sc=/a/-	Bali}');
    Error('\P{Is_Sc=/a/-	Bali}');
    Expect(1, 7038, '\p{Is_Sc=bali}', "");
    Expect(0, 7038, '\p{^Is_Sc=bali}', "");
    Expect(0, 7038, '\P{Is_Sc=bali}', "");
    Expect(1, 7038, '\P{^Is_Sc=bali}', "");
    Expect(0, 7039, '\p{Is_Sc=bali}', "");
    Expect(1, 7039, '\p{^Is_Sc=bali}', "");
    Expect(1, 7039, '\P{Is_Sc=bali}', "");
    Expect(0, 7039, '\P{^Is_Sc=bali}', "");
    Expect(1, 7038, '\p{Is_Sc= -BALI}', "");
    Expect(0, 7038, '\p{^Is_Sc= -BALI}', "");
    Expect(0, 7038, '\P{Is_Sc= -BALI}', "");
    Expect(1, 7038, '\P{^Is_Sc= -BALI}', "");
    Expect(0, 7039, '\p{Is_Sc= -BALI}', "");
    Expect(1, 7039, '\p{^Is_Sc= -BALI}', "");
    Expect(1, 7039, '\P{Is_Sc= -BALI}', "");
    Expect(0, 7039, '\P{^Is_Sc= -BALI}', "");
    Error('\p{Script:/a/ _bamum}');
    Error('\P{Script:/a/ _bamum}');
    Expect(1, 92728, '\p{Script=:\ABamum\z:}', "");;
    Expect(0, 92729, '\p{Script=:\ABamum\z:}', "");;
    Expect(1, 92728, '\p{Script=bamum}', "");
    Expect(0, 92728, '\p{^Script=bamum}', "");
    Expect(0, 92728, '\P{Script=bamum}', "");
    Expect(1, 92728, '\P{^Script=bamum}', "");
    Expect(0, 92729, '\p{Script=bamum}', "");
    Expect(1, 92729, '\p{^Script=bamum}', "");
    Expect(1, 92729, '\P{Script=bamum}', "");
    Expect(0, 92729, '\P{^Script=bamum}', "");
    Expect(1, 92728, '\p{Script=:\Abamum\z:}', "");;
    Expect(0, 92729, '\p{Script=:\Abamum\z:}', "");;
    Expect(1, 92728, '\p{Script=_BAMUM}', "");
    Expect(0, 92728, '\p{^Script=_BAMUM}', "");
    Expect(0, 92728, '\P{Script=_BAMUM}', "");
    Expect(1, 92728, '\P{^Script=_BAMUM}', "");
    Expect(0, 92729, '\p{Script=_BAMUM}', "");
    Expect(1, 92729, '\p{^Script=_BAMUM}', "");
    Expect(1, 92729, '\P{Script=_BAMUM}', "");
    Expect(0, 92729, '\P{^Script=_BAMUM}', "");
    Error('\p{Sc: _:=BAMU}');
    Error('\P{Sc: _:=BAMU}');
    Expect(1, 92728, '\p{Sc=:\ABamu\z:}', "");;
    Expect(0, 92729, '\p{Sc=:\ABamu\z:}', "");;
    Expect(1, 92728, '\p{Sc=bamu}', "");
    Expect(0, 92728, '\p{^Sc=bamu}', "");
    Expect(0, 92728, '\P{Sc=bamu}', "");
    Expect(1, 92728, '\P{^Sc=bamu}', "");
    Expect(0, 92729, '\p{Sc=bamu}', "");
    Expect(1, 92729, '\p{^Sc=bamu}', "");
    Expect(1, 92729, '\P{Sc=bamu}', "");
    Expect(0, 92729, '\P{^Sc=bamu}', "");
    Expect(1, 92728, '\p{Sc=:\Abamu\z:}', "");;
    Expect(0, 92729, '\p{Sc=:\Abamu\z:}', "");;
    Expect(1, 92728, '\p{Sc=-_bamu}', "");
    Expect(0, 92728, '\p{^Sc=-_bamu}', "");
    Expect(0, 92728, '\P{Sc=-_bamu}', "");
    Expect(1, 92728, '\P{^Sc=-_bamu}', "");
    Expect(0, 92729, '\p{Sc=-_bamu}', "");
    Expect(1, 92729, '\p{^Sc=-_bamu}', "");
    Expect(1, 92729, '\P{Sc=-_bamu}', "");
    Expect(0, 92729, '\P{^Sc=-_bamu}', "");
    Error('\p{Is_Script=/a/--Bamum}');
    Error('\P{Is_Script=/a/--Bamum}');
    Expect(1, 92728, '\p{Is_Script=bamum}', "");
    Expect(0, 92728, '\p{^Is_Script=bamum}', "");
    Expect(0, 92728, '\P{Is_Script=bamum}', "");
    Expect(1, 92728, '\P{^Is_Script=bamum}', "");
    Expect(0, 92729, '\p{Is_Script=bamum}', "");
    Expect(1, 92729, '\p{^Is_Script=bamum}', "");
    Expect(1, 92729, '\P{Is_Script=bamum}', "");
    Expect(0, 92729, '\P{^Is_Script=bamum}', "");
    Expect(1, 92728, '\p{Is_Script=_Bamum}', "");
    Expect(0, 92728, '\p{^Is_Script=_Bamum}', "");
    Expect(0, 92728, '\P{Is_Script=_Bamum}', "");
    Expect(1, 92728, '\P{^Is_Script=_Bamum}', "");
    Expect(0, 92729, '\p{Is_Script=_Bamum}', "");
    Expect(1, 92729, '\p{^Is_Script=_Bamum}', "");
    Expect(1, 92729, '\P{Is_Script=_Bamum}', "");
    Expect(0, 92729, '\P{^Is_Script=_Bamum}', "");
    Error('\p{Is_Sc: :=	Bamu}');
    Error('\P{Is_Sc: :=	Bamu}');
    Expect(1, 92728, '\p{Is_Sc=bamu}', "");
    Expect(0, 92728, '\p{^Is_Sc=bamu}', "");
    Expect(0, 92728, '\P{Is_Sc=bamu}', "");
    Expect(1, 92728, '\P{^Is_Sc=bamu}', "");
    Expect(0, 92729, '\p{Is_Sc=bamu}', "");
    Expect(1, 92729, '\p{^Is_Sc=bamu}', "");
    Expect(1, 92729, '\P{Is_Sc=bamu}', "");
    Expect(0, 92729, '\P{^Is_Sc=bamu}', "");
    Expect(1, 92728, '\p{Is_Sc=	-bamu}', "");
    Expect(0, 92728, '\p{^Is_Sc=	-bamu}', "");
    Expect(0, 92728, '\P{Is_Sc=	-bamu}', "");
    Expect(1, 92728, '\P{^Is_Sc=	-bamu}', "");
    Expect(0, 92729, '\p{Is_Sc=	-bamu}', "");
    Expect(1, 92729, '\p{^Is_Sc=	-bamu}', "");
    Expect(1, 92729, '\P{Is_Sc=	-bamu}', "");
    Expect(0, 92729, '\P{^Is_Sc=	-bamu}', "");
    Error('\p{Script=/a/--BASSA_Vah}');
    Error('\P{Script=/a/--BASSA_Vah}');
    Expect(1, 92917, '\p{Script=:\ABassa_Vah\z:}', "");;
    Expect(0, 92918, '\p{Script=:\ABassa_Vah\z:}', "");;
    Expect(1, 92917, '\p{Script=bassavah}', "");
    Expect(0, 92917, '\p{^Script=bassavah}', "");
    Expect(0, 92917, '\P{Script=bassavah}', "");
    Expect(1, 92917, '\P{^Script=bassavah}', "");
    Expect(0, 92918, '\p{Script=bassavah}', "");
    Expect(1, 92918, '\p{^Script=bassavah}', "");
    Expect(1, 92918, '\P{Script=bassavah}', "");
    Expect(0, 92918, '\P{^Script=bassavah}', "");
    Expect(1, 92917, '\p{Script=:\Abassavah\z:}', "");;
    Expect(0, 92918, '\p{Script=:\Abassavah\z:}', "");;
    Expect(1, 92917, '\p{Script=	-bassa_Vah}', "");
    Expect(0, 92917, '\p{^Script=	-bassa_Vah}', "");
    Expect(0, 92917, '\P{Script=	-bassa_Vah}', "");
    Expect(1, 92917, '\P{^Script=	-bassa_Vah}', "");
    Expect(0, 92918, '\p{Script=	-bassa_Vah}', "");
    Expect(1, 92918, '\p{^Script=	-bassa_Vah}', "");
    Expect(1, 92918, '\P{Script=	-bassa_Vah}', "");
    Expect(0, 92918, '\P{^Script=	-bassa_Vah}', "");
    Error('\p{Sc=_/a/BASS}');
    Error('\P{Sc=_/a/BASS}');
    Expect(1, 92917, '\p{Sc=:\ABass\z:}', "");;
    Expect(0, 92918, '\p{Sc=:\ABass\z:}', "");;
    Expect(1, 92917, '\p{Sc=bass}', "");
    Expect(0, 92917, '\p{^Sc=bass}', "");
    Expect(0, 92917, '\P{Sc=bass}', "");
    Expect(1, 92917, '\P{^Sc=bass}', "");
    Expect(0, 92918, '\p{Sc=bass}', "");
    Expect(1, 92918, '\p{^Sc=bass}', "");
    Expect(1, 92918, '\P{Sc=bass}', "");
    Expect(0, 92918, '\P{^Sc=bass}', "");
    Expect(1, 92917, '\p{Sc=:\Abass\z:}', "");;
    Expect(0, 92918, '\p{Sc=:\Abass\z:}', "");;
    Expect(1, 92917, '\p{Sc=	-Bass}', "");
    Expect(0, 92917, '\p{^Sc=	-Bass}', "");
    Expect(0, 92917, '\P{Sc=	-Bass}', "");
    Expect(1, 92917, '\P{^Sc=	-Bass}', "");
    Expect(0, 92918, '\p{Sc=	-Bass}', "");
    Expect(1, 92918, '\p{^Sc=	-Bass}', "");
    Expect(1, 92918, '\P{Sc=	-Bass}', "");
    Expect(0, 92918, '\P{^Sc=	-Bass}', "");
    Error('\p{Is_Script=-:=BASSA_Vah}');
    Error('\P{Is_Script=-:=BASSA_Vah}');
    Expect(1, 92917, '\p{Is_Script=bassavah}', "");
    Expect(0, 92917, '\p{^Is_Script=bassavah}', "");
    Expect(0, 92917, '\P{Is_Script=bassavah}', "");
    Expect(1, 92917, '\P{^Is_Script=bassavah}', "");
    Expect(0, 92918, '\p{Is_Script=bassavah}', "");
    Expect(1, 92918, '\p{^Is_Script=bassavah}', "");
    Expect(1, 92918, '\P{Is_Script=bassavah}', "");
    Expect(0, 92918, '\P{^Is_Script=bassavah}', "");
    Expect(1, 92917, '\p{Is_Script=	-Bassa_vah}', "");
    Expect(0, 92917, '\p{^Is_Script=	-Bassa_vah}', "");
    Expect(0, 92917, '\P{Is_Script=	-Bassa_vah}', "");
    Expect(1, 92917, '\P{^Is_Script=	-Bassa_vah}', "");
    Expect(0, 92918, '\p{Is_Script=	-Bassa_vah}', "");
    Expect(1, 92918, '\p{^Is_Script=	-Bassa_vah}', "");
    Expect(1, 92918, '\P{Is_Script=	-Bassa_vah}', "");
    Expect(0, 92918, '\P{^Is_Script=	-Bassa_vah}', "");
    Error('\p{Is_Sc=:=	 Bass}');
    Error('\P{Is_Sc=:=	 Bass}');
    Expect(1, 92917, '\p{Is_Sc=bass}', "");
    Expect(0, 92917, '\p{^Is_Sc=bass}', "");
    Expect(0, 92917, '\P{Is_Sc=bass}', "");
    Expect(1, 92917, '\P{^Is_Sc=bass}', "");
    Expect(0, 92918, '\p{Is_Sc=bass}', "");
    Expect(1, 92918, '\p{^Is_Sc=bass}', "");
    Expect(1, 92918, '\P{Is_Sc=bass}', "");
    Expect(0, 92918, '\P{^Is_Sc=bass}', "");
    Expect(1, 92917, '\p{Is_Sc=		Bass}', "");
    Expect(0, 92917, '\p{^Is_Sc=		Bass}', "");
    Expect(0, 92917, '\P{Is_Sc=		Bass}', "");
    Expect(1, 92917, '\P{^Is_Sc=		Bass}', "");
    Expect(0, 92918, '\p{Is_Sc=		Bass}', "");
    Expect(1, 92918, '\p{^Is_Sc=		Bass}', "");
    Expect(1, 92918, '\P{Is_Sc=		Bass}', "");
    Expect(0, 92918, '\P{^Is_Sc=		Bass}', "");
    Error('\p{Script=_/a/batak}');
    Error('\P{Script=_/a/batak}');
    Expect(1, 7167, '\p{Script=:\ABatak\z:}', "");;
    Expect(0, 7168, '\p{Script=:\ABatak\z:}', "");;
    Expect(1, 7167, '\p{Script=batak}', "");
    Expect(0, 7167, '\p{^Script=batak}', "");
    Expect(0, 7167, '\P{Script=batak}', "");
    Expect(1, 7167, '\P{^Script=batak}', "");
    Expect(0, 7168, '\p{Script=batak}', "");
    Expect(1, 7168, '\p{^Script=batak}', "");
    Expect(1, 7168, '\P{Script=batak}', "");
    Expect(0, 7168, '\P{^Script=batak}', "");
    Expect(1, 7167, '\p{Script=:\Abatak\z:}', "");;
    Expect(0, 7168, '\p{Script=:\Abatak\z:}', "");;
    Expect(1, 7167, '\p{Script= _batak}', "");
    Expect(0, 7167, '\p{^Script= _batak}', "");
    Expect(0, 7167, '\P{Script= _batak}', "");
    Expect(1, 7167, '\P{^Script= _batak}', "");
    Expect(0, 7168, '\p{Script= _batak}', "");
    Expect(1, 7168, '\p{^Script= _batak}', "");
    Expect(1, 7168, '\P{Script= _batak}', "");
    Expect(0, 7168, '\P{^Script= _batak}', "");
    Error('\p{Sc=/a/--Batk}');
    Error('\P{Sc=/a/--Batk}');
    Expect(1, 7167, '\p{Sc=:\ABatk\z:}', "");;
    Expect(0, 7168, '\p{Sc=:\ABatk\z:}', "");;
    Expect(1, 7167, '\p{Sc=batk}', "");
    Expect(0, 7167, '\p{^Sc=batk}', "");
    Expect(0, 7167, '\P{Sc=batk}', "");
    Expect(1, 7167, '\P{^Sc=batk}', "");
    Expect(0, 7168, '\p{Sc=batk}', "");
    Expect(1, 7168, '\p{^Sc=batk}', "");
    Expect(1, 7168, '\P{Sc=batk}', "");
    Expect(0, 7168, '\P{^Sc=batk}', "");
    Expect(1, 7167, '\p{Sc=:\Abatk\z:}', "");;
    Expect(0, 7168, '\p{Sc=:\Abatk\z:}', "");;
    Expect(1, 7167, '\p{Sc=	_batk}', "");
    Expect(0, 7167, '\p{^Sc=	_batk}', "");
    Expect(0, 7167, '\P{Sc=	_batk}', "");
    Expect(1, 7167, '\P{^Sc=	_batk}', "");
    Expect(0, 7168, '\p{Sc=	_batk}', "");
    Expect(1, 7168, '\p{^Sc=	_batk}', "");
    Expect(1, 7168, '\P{Sc=	_batk}', "");
    Expect(0, 7168, '\P{^Sc=	_batk}', "");
    Error('\p{Is_Script=/a/ -BATAK}');
    Error('\P{Is_Script=/a/ -BATAK}');
    Expect(1, 7167, '\p{Is_Script=batak}', "");
    Expect(0, 7167, '\p{^Is_Script=batak}', "");
    Expect(0, 7167, '\P{Is_Script=batak}', "");
    Expect(1, 7167, '\P{^Is_Script=batak}', "");
    Expect(0, 7168, '\p{Is_Script=batak}', "");
    Expect(1, 7168, '\p{^Is_Script=batak}', "");
    Expect(1, 7168, '\P{Is_Script=batak}', "");
    Expect(0, 7168, '\P{^Is_Script=batak}', "");
    Expect(1, 7167, '\p{Is_Script= Batak}', "");
    Expect(0, 7167, '\p{^Is_Script= Batak}', "");
    Expect(0, 7167, '\P{Is_Script= Batak}', "");
    Expect(1, 7167, '\P{^Is_Script= Batak}', "");
    Expect(0, 7168, '\p{Is_Script= Batak}', "");
    Expect(1, 7168, '\p{^Is_Script= Batak}', "");
    Expect(1, 7168, '\P{Is_Script= Batak}', "");
    Expect(0, 7168, '\P{^Is_Script= Batak}', "");
    Error('\p{Is_Sc=-BATK/a/}');
    Error('\P{Is_Sc=-BATK/a/}');
    Expect(1, 7167, '\p{Is_Sc=batk}', "");
    Expect(0, 7167, '\p{^Is_Sc=batk}', "");
    Expect(0, 7167, '\P{Is_Sc=batk}', "");
    Expect(1, 7167, '\P{^Is_Sc=batk}', "");
    Expect(0, 7168, '\p{Is_Sc=batk}', "");
    Expect(1, 7168, '\p{^Is_Sc=batk}', "");
    Expect(1, 7168, '\P{Is_Sc=batk}', "");
    Expect(0, 7168, '\P{^Is_Sc=batk}', "");
    Expect(1, 7167, '\p{Is_Sc=_ BATK}', "");
    Expect(0, 7167, '\p{^Is_Sc=_ BATK}', "");
    Expect(0, 7167, '\P{Is_Sc=_ BATK}', "");
    Expect(1, 7167, '\P{^Is_Sc=_ BATK}', "");
    Expect(0, 7168, '\p{Is_Sc=_ BATK}', "");
    Expect(1, 7168, '\p{^Is_Sc=_ BATK}', "");
    Expect(1, 7168, '\P{Is_Sc=_ BATK}', "");
    Expect(0, 7168, '\P{^Is_Sc=_ BATK}', "");
    Error('\p{Script=-	BENGALI:=}');
    Error('\P{Script=-	BENGALI:=}');
    Expect(1, 2558, '\p{Script=:\ABengali\z:}', "");;
    Expect(0, 2559, '\p{Script=:\ABengali\z:}', "");;
    Expect(1, 2558, '\p{Script=bengali}', "");
    Expect(0, 2558, '\p{^Script=bengali}', "");
    Expect(0, 2558, '\P{Script=bengali}', "");
    Expect(1, 2558, '\P{^Script=bengali}', "");
    Expect(0, 2559, '\p{Script=bengali}', "");
    Expect(1, 2559, '\p{^Script=bengali}', "");
    Expect(1, 2559, '\P{Script=bengali}', "");
    Expect(0, 2559, '\P{^Script=bengali}', "");
    Expect(1, 2558, '\p{Script=:\Abengali\z:}', "");;
    Expect(0, 2559, '\p{Script=:\Abengali\z:}', "");;
    Expect(1, 2558, '\p{Script=_	Bengali}', "");
    Expect(0, 2558, '\p{^Script=_	Bengali}', "");
    Expect(0, 2558, '\P{Script=_	Bengali}', "");
    Expect(1, 2558, '\P{^Script=_	Bengali}', "");
    Expect(0, 2559, '\p{Script=_	Bengali}', "");
    Expect(1, 2559, '\p{^Script=_	Bengali}', "");
    Expect(1, 2559, '\P{Script=_	Bengali}', "");
    Expect(0, 2559, '\P{^Script=_	Bengali}', "");
    Error('\p{Sc= Beng:=}');
    Error('\P{Sc= Beng:=}');
    Expect(1, 2558, '\p{Sc=:\ABeng\z:}', "");;
    Expect(0, 2559, '\p{Sc=:\ABeng\z:}', "");;
    Expect(1, 2558, '\p{Sc:beng}', "");
    Expect(0, 2558, '\p{^Sc:beng}', "");
    Expect(0, 2558, '\P{Sc:beng}', "");
    Expect(1, 2558, '\P{^Sc:beng}', "");
    Expect(0, 2559, '\p{Sc:beng}', "");
    Expect(1, 2559, '\p{^Sc:beng}', "");
    Expect(1, 2559, '\P{Sc:beng}', "");
    Expect(0, 2559, '\P{^Sc:beng}', "");
    Expect(1, 2558, '\p{Sc=:\Abeng\z:}', "");;
    Expect(0, 2559, '\p{Sc=:\Abeng\z:}', "");;
    Expect(1, 2558, '\p{Sc=-_beng}', "");
    Expect(0, 2558, '\p{^Sc=-_beng}', "");
    Expect(0, 2558, '\P{Sc=-_beng}', "");
    Expect(1, 2558, '\P{^Sc=-_beng}', "");
    Expect(0, 2559, '\p{Sc=-_beng}', "");
    Expect(1, 2559, '\p{^Sc=-_beng}', "");
    Expect(1, 2559, '\P{Sc=-_beng}', "");
    Expect(0, 2559, '\P{^Sc=-_beng}', "");
    Error('\p{Is_Script:   	Bengali:=}');
    Error('\P{Is_Script:   	Bengali:=}');
    Expect(1, 2558, '\p{Is_Script=bengali}', "");
    Expect(0, 2558, '\p{^Is_Script=bengali}', "");
    Expect(0, 2558, '\P{Is_Script=bengali}', "");
    Expect(1, 2558, '\P{^Is_Script=bengali}', "");
    Expect(0, 2559, '\p{Is_Script=bengali}', "");
    Expect(1, 2559, '\p{^Is_Script=bengali}', "");
    Expect(1, 2559, '\P{Is_Script=bengali}', "");
    Expect(0, 2559, '\P{^Is_Script=bengali}', "");
    Expect(1, 2558, '\p{Is_Script=-	Bengali}', "");
    Expect(0, 2558, '\p{^Is_Script=-	Bengali}', "");
    Expect(0, 2558, '\P{Is_Script=-	Bengali}', "");
    Expect(1, 2558, '\P{^Is_Script=-	Bengali}', "");
    Expect(0, 2559, '\p{Is_Script=-	Bengali}', "");
    Expect(1, 2559, '\p{^Is_Script=-	Bengali}', "");
    Expect(1, 2559, '\P{Is_Script=-	Bengali}', "");
    Expect(0, 2559, '\P{^Is_Script=-	Bengali}', "");
    Error('\p{Is_Sc=:=- BENG}');
    Error('\P{Is_Sc=:=- BENG}');
    Expect(1, 2558, '\p{Is_Sc=beng}', "");
    Expect(0, 2558, '\p{^Is_Sc=beng}', "");
    Expect(0, 2558, '\P{Is_Sc=beng}', "");
    Expect(1, 2558, '\P{^Is_Sc=beng}', "");
    Expect(0, 2559, '\p{Is_Sc=beng}', "");
    Expect(1, 2559, '\p{^Is_Sc=beng}', "");
    Expect(1, 2559, '\P{Is_Sc=beng}', "");
    Expect(0, 2559, '\P{^Is_Sc=beng}', "");
    Expect(1, 2558, '\p{Is_Sc: 	BENG}', "");
    Expect(0, 2558, '\p{^Is_Sc: 	BENG}', "");
    Expect(0, 2558, '\P{Is_Sc: 	BENG}', "");
    Expect(1, 2558, '\P{^Is_Sc: 	BENG}', "");
    Expect(0, 2559, '\p{Is_Sc: 	BENG}', "");
    Expect(1, 2559, '\p{^Is_Sc: 	BENG}', "");
    Expect(1, 2559, '\P{Is_Sc: 	BENG}', "");
    Expect(0, 2559, '\P{^Is_Sc: 	BENG}', "");
    Error('\p{Script=_ Bhaiksuki/a/}');
    Error('\P{Script=_ Bhaiksuki/a/}');
    Expect(1, 72812, '\p{Script=:\ABhaiksuki\z:}', "");;
    Expect(0, 72813, '\p{Script=:\ABhaiksuki\z:}', "");;
    Expect(1, 72812, '\p{Script=bhaiksuki}', "");
    Expect(0, 72812, '\p{^Script=bhaiksuki}', "");
    Expect(0, 72812, '\P{Script=bhaiksuki}', "");
    Expect(1, 72812, '\P{^Script=bhaiksuki}', "");
    Expect(0, 72813, '\p{Script=bhaiksuki}', "");
    Expect(1, 72813, '\p{^Script=bhaiksuki}', "");
    Expect(1, 72813, '\P{Script=bhaiksuki}', "");
    Expect(0, 72813, '\P{^Script=bhaiksuki}', "");
    Expect(1, 72812, '\p{Script=:\Abhaiksuki\z:}', "");;
    Expect(0, 72813, '\p{Script=:\Abhaiksuki\z:}', "");;
    Expect(1, 72812, '\p{Script=__BHAIKSUKI}', "");
    Expect(0, 72812, '\p{^Script=__BHAIKSUKI}', "");
    Expect(0, 72812, '\P{Script=__BHAIKSUKI}', "");
    Expect(1, 72812, '\P{^Script=__BHAIKSUKI}', "");
    Expect(0, 72813, '\p{Script=__BHAIKSUKI}', "");
    Expect(1, 72813, '\p{^Script=__BHAIKSUKI}', "");
    Expect(1, 72813, '\P{Script=__BHAIKSUKI}', "");
    Expect(0, 72813, '\P{^Script=__BHAIKSUKI}', "");
    Error('\p{Sc:_:=BHKS}');
    Error('\P{Sc:_:=BHKS}');
    Expect(1, 72812, '\p{Sc=:\ABhks\z:}', "");;
    Expect(0, 72813, '\p{Sc=:\ABhks\z:}', "");;
    Expect(1, 72812, '\p{Sc=bhks}', "");
    Expect(0, 72812, '\p{^Sc=bhks}', "");
    Expect(0, 72812, '\P{Sc=bhks}', "");
    Expect(1, 72812, '\P{^Sc=bhks}', "");
    Expect(0, 72813, '\p{Sc=bhks}', "");
    Expect(1, 72813, '\p{^Sc=bhks}', "");
    Expect(1, 72813, '\P{Sc=bhks}', "");
    Expect(0, 72813, '\P{^Sc=bhks}', "");
    Expect(1, 72812, '\p{Sc=:\Abhks\z:}', "");;
    Expect(0, 72813, '\p{Sc=:\Abhks\z:}', "");;
    Expect(1, 72812, '\p{Sc:-_Bhks}', "");
    Expect(0, 72812, '\p{^Sc:-_Bhks}', "");
    Expect(0, 72812, '\P{Sc:-_Bhks}', "");
    Expect(1, 72812, '\P{^Sc:-_Bhks}', "");
    Expect(0, 72813, '\p{Sc:-_Bhks}', "");
    Expect(1, 72813, '\p{^Sc:-_Bhks}', "");
    Expect(1, 72813, '\P{Sc:-_Bhks}', "");
    Expect(0, 72813, '\P{^Sc:-_Bhks}', "");
    Error('\p{Is_Script=:=	Bhaiksuki}');
    Error('\P{Is_Script=:=	Bhaiksuki}');
    Expect(1, 72812, '\p{Is_Script=bhaiksuki}', "");
    Expect(0, 72812, '\p{^Is_Script=bhaiksuki}', "");
    Expect(0, 72812, '\P{Is_Script=bhaiksuki}', "");
    Expect(1, 72812, '\P{^Is_Script=bhaiksuki}', "");
    Expect(0, 72813, '\p{Is_Script=bhaiksuki}', "");
    Expect(1, 72813, '\p{^Is_Script=bhaiksuki}', "");
    Expect(1, 72813, '\P{Is_Script=bhaiksuki}', "");
    Expect(0, 72813, '\P{^Is_Script=bhaiksuki}', "");
    Expect(1, 72812, '\p{Is_Script= Bhaiksuki}', "");
    Expect(0, 72812, '\p{^Is_Script= Bhaiksuki}', "");
    Expect(0, 72812, '\P{Is_Script= Bhaiksuki}', "");
    Expect(1, 72812, '\P{^Is_Script= Bhaiksuki}', "");
    Expect(0, 72813, '\p{Is_Script= Bhaiksuki}', "");
    Expect(1, 72813, '\p{^Is_Script= Bhaiksuki}', "");
    Expect(1, 72813, '\P{Is_Script= Bhaiksuki}', "");
    Expect(0, 72813, '\P{^Is_Script= Bhaiksuki}', "");
    Error('\p{Is_Sc=:=bhks}');
    Error('\P{Is_Sc=:=bhks}');
    Expect(1, 72812, '\p{Is_Sc=bhks}', "");
    Expect(0, 72812, '\p{^Is_Sc=bhks}', "");
    Expect(0, 72812, '\P{Is_Sc=bhks}', "");
    Expect(1, 72812, '\P{^Is_Sc=bhks}', "");
    Expect(0, 72813, '\p{Is_Sc=bhks}', "");
    Expect(1, 72813, '\p{^Is_Sc=bhks}', "");
    Expect(1, 72813, '\P{Is_Sc=bhks}', "");
    Expect(0, 72813, '\P{^Is_Sc=bhks}', "");
    Expect(1, 72812, '\p{Is_Sc= 	Bhks}', "");
    Expect(0, 72812, '\p{^Is_Sc= 	Bhks}', "");
    Expect(0, 72812, '\P{Is_Sc= 	Bhks}', "");
    Expect(1, 72812, '\P{^Is_Sc= 	Bhks}', "");
    Expect(0, 72813, '\p{Is_Sc= 	Bhks}', "");
    Expect(1, 72813, '\p{^Is_Sc= 	Bhks}', "");
    Expect(1, 72813, '\P{Is_Sc= 	Bhks}', "");
    Expect(0, 72813, '\P{^Is_Sc= 	Bhks}', "");
    Error('\p{Script:	 /a/BOPOMOFO}');
    Error('\P{Script:	 /a/BOPOMOFO}');
    Expect(1, 12735, '\p{Script=:\ABopomofo\z:}', "");;
    Expect(0, 12736, '\p{Script=:\ABopomofo\z:}', "");;
    Expect(1, 12735, '\p{Script=bopomofo}', "");
    Expect(0, 12735, '\p{^Script=bopomofo}', "");
    Expect(0, 12735, '\P{Script=bopomofo}', "");
    Expect(1, 12735, '\P{^Script=bopomofo}', "");
    Expect(0, 12736, '\p{Script=bopomofo}', "");
    Expect(1, 12736, '\p{^Script=bopomofo}', "");
    Expect(1, 12736, '\P{Script=bopomofo}', "");
    Expect(0, 12736, '\P{^Script=bopomofo}', "");
    Expect(1, 12735, '\p{Script=:\Abopomofo\z:}', "");;
    Expect(0, 12736, '\p{Script=:\Abopomofo\z:}', "");;
    Expect(1, 12735, '\p{Script=  Bopomofo}', "");
    Expect(0, 12735, '\p{^Script=  Bopomofo}', "");
    Expect(0, 12735, '\P{Script=  Bopomofo}', "");
    Expect(1, 12735, '\P{^Script=  Bopomofo}', "");
    Expect(0, 12736, '\p{Script=  Bopomofo}', "");
    Expect(1, 12736, '\p{^Script=  Bopomofo}', "");
    Expect(1, 12736, '\P{Script=  Bopomofo}', "");
    Expect(0, 12736, '\P{^Script=  Bopomofo}', "");
    Error('\p{Sc=_/a/bopo}');
    Error('\P{Sc=_/a/bopo}');
    Expect(1, 12735, '\p{Sc=:\ABopo\z:}', "");;
    Expect(0, 12736, '\p{Sc=:\ABopo\z:}', "");;
    Expect(1, 12735, '\p{Sc=bopo}', "");
    Expect(0, 12735, '\p{^Sc=bopo}', "");
    Expect(0, 12735, '\P{Sc=bopo}', "");
    Expect(1, 12735, '\P{^Sc=bopo}', "");
    Expect(0, 12736, '\p{Sc=bopo}', "");
    Expect(1, 12736, '\p{^Sc=bopo}', "");
    Expect(1, 12736, '\P{Sc=bopo}', "");
    Expect(0, 12736, '\P{^Sc=bopo}', "");
    Expect(1, 12735, '\p{Sc=:\Abopo\z:}', "");;
    Expect(0, 12736, '\p{Sc=:\Abopo\z:}', "");;
    Expect(1, 12735, '\p{Sc=-	bopo}', "");
    Expect(0, 12735, '\p{^Sc=-	bopo}', "");
    Expect(0, 12735, '\P{Sc=-	bopo}', "");
    Expect(1, 12735, '\P{^Sc=-	bopo}', "");
    Expect(0, 12736, '\p{Sc=-	bopo}', "");
    Expect(1, 12736, '\p{^Sc=-	bopo}', "");
    Expect(1, 12736, '\P{Sc=-	bopo}', "");
    Expect(0, 12736, '\P{^Sc=-	bopo}', "");
    Error('\p{Is_Script=-	bopomofo/a/}');
    Error('\P{Is_Script=-	bopomofo/a/}');
    Expect(1, 12735, '\p{Is_Script=bopomofo}', "");
    Expect(0, 12735, '\p{^Is_Script=bopomofo}', "");
    Expect(0, 12735, '\P{Is_Script=bopomofo}', "");
    Expect(1, 12735, '\P{^Is_Script=bopomofo}', "");
    Expect(0, 12736, '\p{Is_Script=bopomofo}', "");
    Expect(1, 12736, '\p{^Is_Script=bopomofo}', "");
    Expect(1, 12736, '\P{Is_Script=bopomofo}', "");
    Expect(0, 12736, '\P{^Is_Script=bopomofo}', "");
    Expect(1, 12735, '\p{Is_Script=Bopomofo}', "");
    Expect(0, 12735, '\p{^Is_Script=Bopomofo}', "");
    Expect(0, 12735, '\P{Is_Script=Bopomofo}', "");
    Expect(1, 12735, '\P{^Is_Script=Bopomofo}', "");
    Expect(0, 12736, '\p{Is_Script=Bopomofo}', "");
    Expect(1, 12736, '\p{^Is_Script=Bopomofo}', "");
    Expect(1, 12736, '\P{Is_Script=Bopomofo}', "");
    Expect(0, 12736, '\P{^Is_Script=Bopomofo}', "");
    Error('\p{Is_Sc=:=_	BOPO}');
    Error('\P{Is_Sc=:=_	BOPO}');
    Expect(1, 12735, '\p{Is_Sc=bopo}', "");
    Expect(0, 12735, '\p{^Is_Sc=bopo}', "");
    Expect(0, 12735, '\P{Is_Sc=bopo}', "");
    Expect(1, 12735, '\P{^Is_Sc=bopo}', "");
    Expect(0, 12736, '\p{Is_Sc=bopo}', "");
    Expect(1, 12736, '\p{^Is_Sc=bopo}', "");
    Expect(1, 12736, '\P{Is_Sc=bopo}', "");
    Expect(0, 12736, '\P{^Is_Sc=bopo}', "");
    Expect(1, 12735, '\p{Is_Sc=_-bopo}', "");
    Expect(0, 12735, '\p{^Is_Sc=_-bopo}', "");
    Expect(0, 12735, '\P{Is_Sc=_-bopo}', "");
    Expect(1, 12735, '\P{^Is_Sc=_-bopo}', "");
    Expect(0, 12736, '\p{Is_Sc=_-bopo}', "");
    Expect(1, 12736, '\p{^Is_Sc=_-bopo}', "");
    Expect(1, 12736, '\P{Is_Sc=_-bopo}', "");
    Expect(0, 12736, '\P{^Is_Sc=_-bopo}', "");
    Error('\p{Script=	Brahmi/a/}');
    Error('\P{Script=	Brahmi/a/}');
    Expect(1, 69759, '\p{Script=:\ABrahmi\z:}', "");;
    Expect(0, 69760, '\p{Script=:\ABrahmi\z:}', "");;
    Expect(1, 69759, '\p{Script=brahmi}', "");
    Expect(0, 69759, '\p{^Script=brahmi}', "");
    Expect(0, 69759, '\P{Script=brahmi}', "");
    Expect(1, 69759, '\P{^Script=brahmi}', "");
    Expect(0, 69760, '\p{Script=brahmi}', "");
    Expect(1, 69760, '\p{^Script=brahmi}', "");
    Expect(1, 69760, '\P{Script=brahmi}', "");
    Expect(0, 69760, '\P{^Script=brahmi}', "");
    Expect(1, 69759, '\p{Script=:\Abrahmi\z:}', "");;
    Expect(0, 69760, '\p{Script=:\Abrahmi\z:}', "");;
    Expect(1, 69759, '\p{Script= -brahmi}', "");
    Expect(0, 69759, '\p{^Script= -brahmi}', "");
    Expect(0, 69759, '\P{Script= -brahmi}', "");
    Expect(1, 69759, '\P{^Script= -brahmi}', "");
    Expect(0, 69760, '\p{Script= -brahmi}', "");
    Expect(1, 69760, '\p{^Script= -brahmi}', "");
    Expect(1, 69760, '\P{Script= -brahmi}', "");
    Expect(0, 69760, '\P{^Script= -brahmi}', "");
    Error('\p{Sc= :=Brah}');
    Error('\P{Sc= :=Brah}');
    Expect(1, 69759, '\p{Sc=:\ABrah\z:}', "");;
    Expect(0, 69760, '\p{Sc=:\ABrah\z:}', "");;
    Expect(1, 69759, '\p{Sc=brah}', "");
    Expect(0, 69759, '\p{^Sc=brah}', "");
    Expect(0, 69759, '\P{Sc=brah}', "");
    Expect(1, 69759, '\P{^Sc=brah}', "");
    Expect(0, 69760, '\p{Sc=brah}', "");
    Expect(1, 69760, '\p{^Sc=brah}', "");
    Expect(1, 69760, '\P{Sc=brah}', "");
    Expect(0, 69760, '\P{^Sc=brah}', "");
    Expect(1, 69759, '\p{Sc=:\Abrah\z:}', "");;
    Expect(0, 69760, '\p{Sc=:\Abrah\z:}', "");;
    Expect(1, 69759, '\p{Sc=_Brah}', "");
    Expect(0, 69759, '\p{^Sc=_Brah}', "");
    Expect(0, 69759, '\P{Sc=_Brah}', "");
    Expect(1, 69759, '\P{^Sc=_Brah}', "");
    Expect(0, 69760, '\p{Sc=_Brah}', "");
    Expect(1, 69760, '\p{^Sc=_Brah}', "");
    Expect(1, 69760, '\P{Sc=_Brah}', "");
    Expect(0, 69760, '\P{^Sc=_Brah}', "");
    Error('\p{Is_Script=/a/ -brahmi}');
    Error('\P{Is_Script=/a/ -brahmi}');
    Expect(1, 69759, '\p{Is_Script: brahmi}', "");
    Expect(0, 69759, '\p{^Is_Script: brahmi}', "");
    Expect(0, 69759, '\P{Is_Script: brahmi}', "");
    Expect(1, 69759, '\P{^Is_Script: brahmi}', "");
    Expect(0, 69760, '\p{Is_Script: brahmi}', "");
    Expect(1, 69760, '\p{^Is_Script: brahmi}', "");
    Expect(1, 69760, '\P{Is_Script: brahmi}', "");
    Expect(0, 69760, '\P{^Is_Script: brahmi}', "");
    Expect(1, 69759, '\p{Is_Script=__Brahmi}', "");
    Expect(0, 69759, '\p{^Is_Script=__Brahmi}', "");
    Expect(0, 69759, '\P{Is_Script=__Brahmi}', "");
    Expect(1, 69759, '\P{^Is_Script=__Brahmi}', "");
    Expect(0, 69760, '\p{Is_Script=__Brahmi}', "");
    Expect(1, 69760, '\p{^Is_Script=__Brahmi}', "");
    Expect(1, 69760, '\P{Is_Script=__Brahmi}', "");
    Expect(0, 69760, '\P{^Is_Script=__Brahmi}', "");
    Error('\p{Is_Sc=_/a/Brah}');
    Error('\P{Is_Sc=_/a/Brah}');
    Expect(1, 69759, '\p{Is_Sc=brah}', "");
    Expect(0, 69759, '\p{^Is_Sc=brah}', "");
    Expect(0, 69759, '\P{Is_Sc=brah}', "");
    Expect(1, 69759, '\P{^Is_Sc=brah}', "");
    Expect(0, 69760, '\p{Is_Sc=brah}', "");
    Expect(1, 69760, '\p{^Is_Sc=brah}', "");
    Expect(1, 69760, '\P{Is_Sc=brah}', "");
    Expect(0, 69760, '\P{^Is_Sc=brah}', "");
    Expect(1, 69759, '\p{Is_Sc= _Brah}', "");
    Expect(0, 69759, '\p{^Is_Sc= _Brah}', "");
    Expect(0, 69759, '\P{Is_Sc= _Brah}', "");
    Expect(1, 69759, '\P{^Is_Sc= _Brah}', "");
    Expect(0, 69760, '\p{Is_Sc= _Brah}', "");
    Expect(1, 69760, '\p{^Is_Sc= _Brah}', "");
    Expect(1, 69760, '\P{Is_Sc= _Brah}', "");
    Expect(0, 69760, '\P{^Is_Sc= _Brah}', "");
    Error('\p{Script:   /a/ 	braille}');
    Error('\P{Script:   /a/ 	braille}');
    Expect(1, 10495, '\p{Script=:\ABraille\z:}', "");;
    Expect(0, 10496, '\p{Script=:\ABraille\z:}', "");;
    Expect(1, 10495, '\p{Script=braille}', "");
    Expect(0, 10495, '\p{^Script=braille}', "");
    Expect(0, 10495, '\P{Script=braille}', "");
    Expect(1, 10495, '\P{^Script=braille}', "");
    Expect(0, 10496, '\p{Script=braille}', "");
    Expect(1, 10496, '\p{^Script=braille}', "");
    Expect(1, 10496, '\P{Script=braille}', "");
    Expect(0, 10496, '\P{^Script=braille}', "");
    Expect(1, 10495, '\p{Script=:\Abraille\z:}', "");;
    Expect(0, 10496, '\p{Script=:\Abraille\z:}', "");;
    Expect(1, 10495, '\p{Script=_ braille}', "");
    Expect(0, 10495, '\p{^Script=_ braille}', "");
    Expect(0, 10495, '\P{Script=_ braille}', "");
    Expect(1, 10495, '\P{^Script=_ braille}', "");
    Expect(0, 10496, '\p{Script=_ braille}', "");
    Expect(1, 10496, '\p{^Script=_ braille}', "");
    Expect(1, 10496, '\P{Script=_ braille}', "");
    Expect(0, 10496, '\P{^Script=_ braille}', "");
    Error('\p{Sc=/a/ BRAI}');
    Error('\P{Sc=/a/ BRAI}');
    Expect(1, 10495, '\p{Sc=:\ABrai\z:}', "");;
    Expect(0, 10496, '\p{Sc=:\ABrai\z:}', "");;
    Expect(1, 10495, '\p{Sc=brai}', "");
    Expect(0, 10495, '\p{^Sc=brai}', "");
    Expect(0, 10495, '\P{Sc=brai}', "");
    Expect(1, 10495, '\P{^Sc=brai}', "");
    Expect(0, 10496, '\p{Sc=brai}', "");
    Expect(1, 10496, '\p{^Sc=brai}', "");
    Expect(1, 10496, '\P{Sc=brai}', "");
    Expect(0, 10496, '\P{^Sc=brai}', "");
    Expect(1, 10495, '\p{Sc=:\Abrai\z:}', "");;
    Expect(0, 10496, '\p{Sc=:\Abrai\z:}', "");;
    Expect(1, 10495, '\p{Sc= 	Brai}', "");
    Expect(0, 10495, '\p{^Sc= 	Brai}', "");
    Expect(0, 10495, '\P{Sc= 	Brai}', "");
    Expect(1, 10495, '\P{^Sc= 	Brai}', "");
    Expect(0, 10496, '\p{Sc= 	Brai}', "");
    Expect(1, 10496, '\p{^Sc= 	Brai}', "");
    Expect(1, 10496, '\P{Sc= 	Brai}', "");
    Expect(0, 10496, '\P{^Sc= 	Brai}', "");
    Error('\p{Is_Script=/a/_	Braille}');
    Error('\P{Is_Script=/a/_	Braille}');
    Expect(1, 10495, '\p{Is_Script=braille}', "");
    Expect(0, 10495, '\p{^Is_Script=braille}', "");
    Expect(0, 10495, '\P{Is_Script=braille}', "");
    Expect(1, 10495, '\P{^Is_Script=braille}', "");
    Expect(0, 10496, '\p{Is_Script=braille}', "");
    Expect(1, 10496, '\p{^Is_Script=braille}', "");
    Expect(1, 10496, '\P{Is_Script=braille}', "");
    Expect(0, 10496, '\P{^Is_Script=braille}', "");
    Expect(1, 10495, '\p{Is_Script=_Braille}', "");
    Expect(0, 10495, '\p{^Is_Script=_Braille}', "");
    Expect(0, 10495, '\P{Is_Script=_Braille}', "");
    Expect(1, 10495, '\P{^Is_Script=_Braille}', "");
    Expect(0, 10496, '\p{Is_Script=_Braille}', "");
    Expect(1, 10496, '\p{^Is_Script=_Braille}', "");
    Expect(1, 10496, '\P{Is_Script=_Braille}', "");
    Expect(0, 10496, '\P{^Is_Script=_Braille}', "");
    Error('\p{Is_Sc=:=-Brai}');
    Error('\P{Is_Sc=:=-Brai}');
    Expect(1, 10495, '\p{Is_Sc=brai}', "");
    Expect(0, 10495, '\p{^Is_Sc=brai}', "");
    Expect(0, 10495, '\P{Is_Sc=brai}', "");
    Expect(1, 10495, '\P{^Is_Sc=brai}', "");
    Expect(0, 10496, '\p{Is_Sc=brai}', "");
    Expect(1, 10496, '\p{^Is_Sc=brai}', "");
    Expect(1, 10496, '\P{Is_Sc=brai}', "");
    Expect(0, 10496, '\P{^Is_Sc=brai}', "");
    Expect(1, 10495, '\p{Is_Sc: -Brai}', "");
    Expect(0, 10495, '\p{^Is_Sc: -Brai}', "");
    Expect(0, 10495, '\P{Is_Sc: -Brai}', "");
    Expect(1, 10495, '\P{^Is_Sc: -Brai}', "");
    Expect(0, 10496, '\p{Is_Sc: -Brai}', "");
    Expect(1, 10496, '\p{^Is_Sc: -Brai}', "");
    Expect(1, 10496, '\P{Is_Sc: -Brai}', "");
    Expect(0, 10496, '\P{^Is_Sc: -Brai}', "");
    Error('\p{Script=:= buginese}');
    Error('\P{Script=:= buginese}');
    Expect(1, 6687, '\p{Script=:\ABuginese\z:}', "");;
    Expect(0, 6688, '\p{Script=:\ABuginese\z:}', "");;
    Expect(1, 6687, '\p{Script=buginese}', "");
    Expect(0, 6687, '\p{^Script=buginese}', "");
    Expect(0, 6687, '\P{Script=buginese}', "");
    Expect(1, 6687, '\P{^Script=buginese}', "");
    Expect(0, 6688, '\p{Script=buginese}', "");
    Expect(1, 6688, '\p{^Script=buginese}', "");
    Expect(1, 6688, '\P{Script=buginese}', "");
    Expect(0, 6688, '\P{^Script=buginese}', "");
    Expect(1, 6687, '\p{Script=:\Abuginese\z:}', "");;
    Expect(0, 6688, '\p{Script=:\Abuginese\z:}', "");;
    Expect(1, 6687, '\p{Script:	 _Buginese}', "");
    Expect(0, 6687, '\p{^Script:	 _Buginese}', "");
    Expect(0, 6687, '\P{Script:	 _Buginese}', "");
    Expect(1, 6687, '\P{^Script:	 _Buginese}', "");
    Expect(0, 6688, '\p{Script:	 _Buginese}', "");
    Expect(1, 6688, '\p{^Script:	 _Buginese}', "");
    Expect(1, 6688, '\P{Script:	 _Buginese}', "");
    Expect(0, 6688, '\P{^Script:	 _Buginese}', "");
    Error('\p{Sc= Bugi:=}');
    Error('\P{Sc= Bugi:=}');
    Expect(1, 6687, '\p{Sc=:\ABugi\z:}', "");;
    Expect(0, 6688, '\p{Sc=:\ABugi\z:}', "");;
    Expect(1, 6687, '\p{Sc: bugi}', "");
    Expect(0, 6687, '\p{^Sc: bugi}', "");
    Expect(0, 6687, '\P{Sc: bugi}', "");
    Expect(1, 6687, '\P{^Sc: bugi}', "");
    Expect(0, 6688, '\p{Sc: bugi}', "");
    Expect(1, 6688, '\p{^Sc: bugi}', "");
    Expect(1, 6688, '\P{Sc: bugi}', "");
    Expect(0, 6688, '\P{^Sc: bugi}', "");
    Expect(1, 6687, '\p{Sc=:\Abugi\z:}', "");;
    Expect(0, 6688, '\p{Sc=:\Abugi\z:}', "");;
    Expect(1, 6687, '\p{Sc:	  BUGI}', "");
    Expect(0, 6687, '\p{^Sc:	  BUGI}', "");
    Expect(0, 6687, '\P{Sc:	  BUGI}', "");
    Expect(1, 6687, '\P{^Sc:	  BUGI}', "");
    Expect(0, 6688, '\p{Sc:	  BUGI}', "");
    Expect(1, 6688, '\p{^Sc:	  BUGI}', "");
    Expect(1, 6688, '\P{Sc:	  BUGI}', "");
    Expect(0, 6688, '\P{^Sc:	  BUGI}', "");
    Error('\p{Is_Script=_	buginese/a/}');
    Error('\P{Is_Script=_	buginese/a/}');
    Expect(1, 6687, '\p{Is_Script=buginese}', "");
    Expect(0, 6687, '\p{^Is_Script=buginese}', "");
    Expect(0, 6687, '\P{Is_Script=buginese}', "");
    Expect(1, 6687, '\P{^Is_Script=buginese}', "");
    Expect(0, 6688, '\p{Is_Script=buginese}', "");
    Expect(1, 6688, '\p{^Is_Script=buginese}', "");
    Expect(1, 6688, '\P{Is_Script=buginese}', "");
    Expect(0, 6688, '\P{^Is_Script=buginese}', "");
    Expect(1, 6687, '\p{Is_Script=_	Buginese}', "");
    Expect(0, 6687, '\p{^Is_Script=_	Buginese}', "");
    Expect(0, 6687, '\P{Is_Script=_	Buginese}', "");
    Expect(1, 6687, '\P{^Is_Script=_	Buginese}', "");
    Expect(0, 6688, '\p{Is_Script=_	Buginese}', "");
    Expect(1, 6688, '\p{^Is_Script=_	Buginese}', "");
    Expect(1, 6688, '\P{Is_Script=_	Buginese}', "");
    Expect(0, 6688, '\P{^Is_Script=_	Buginese}', "");
    Error('\p{Is_Sc=:=-Bugi}');
    Error('\P{Is_Sc=:=-Bugi}');
    Expect(1, 6687, '\p{Is_Sc=bugi}', "");
    Expect(0, 6687, '\p{^Is_Sc=bugi}', "");
    Expect(0, 6687, '\P{Is_Sc=bugi}', "");
    Expect(1, 6687, '\P{^Is_Sc=bugi}', "");
    Expect(0, 6688, '\p{Is_Sc=bugi}', "");
    Expect(1, 6688, '\p{^Is_Sc=bugi}', "");
    Expect(1, 6688, '\P{Is_Sc=bugi}', "");
    Expect(0, 6688, '\P{^Is_Sc=bugi}', "");
    Expect(1, 6687, '\p{Is_Sc=  Bugi}', "");
    Expect(0, 6687, '\p{^Is_Sc=  Bugi}', "");
    Expect(0, 6687, '\P{Is_Sc=  Bugi}', "");
    Expect(1, 6687, '\P{^Is_Sc=  Bugi}', "");
    Expect(0, 6688, '\p{Is_Sc=  Bugi}', "");
    Expect(1, 6688, '\p{^Is_Sc=  Bugi}', "");
    Expect(1, 6688, '\P{Is_Sc=  Bugi}', "");
    Expect(0, 6688, '\P{^Is_Sc=  Bugi}', "");
    Error('\p{Script=:=	Buhid}');
    Error('\P{Script=:=	Buhid}');
    Expect(1, 5971, '\p{Script=:\ABuhid\z:}', "");;
    Expect(0, 5972, '\p{Script=:\ABuhid\z:}', "");;
    Expect(1, 5971, '\p{Script=buhid}', "");
    Expect(0, 5971, '\p{^Script=buhid}', "");
    Expect(0, 5971, '\P{Script=buhid}', "");
    Expect(1, 5971, '\P{^Script=buhid}', "");
    Expect(0, 5972, '\p{Script=buhid}', "");
    Expect(1, 5972, '\p{^Script=buhid}', "");
    Expect(1, 5972, '\P{Script=buhid}', "");
    Expect(0, 5972, '\P{^Script=buhid}', "");
    Expect(1, 5971, '\p{Script=:\Abuhid\z:}', "");;
    Expect(0, 5972, '\p{Script=:\Abuhid\z:}', "");;
    Expect(1, 5971, '\p{Script: _Buhid}', "");
    Expect(0, 5971, '\p{^Script: _Buhid}', "");
    Expect(0, 5971, '\P{Script: _Buhid}', "");
    Expect(1, 5971, '\P{^Script: _Buhid}', "");
    Expect(0, 5972, '\p{Script: _Buhid}', "");
    Expect(1, 5972, '\p{^Script: _Buhid}', "");
    Expect(1, 5972, '\P{Script: _Buhid}', "");
    Expect(0, 5972, '\P{^Script: _Buhid}', "");
    Error('\p{Sc=/a/ Buhd}');
    Error('\P{Sc=/a/ Buhd}');
    Expect(1, 5971, '\p{Sc=:\ABuhd\z:}', "");;
    Expect(0, 5972, '\p{Sc=:\ABuhd\z:}', "");;
    Expect(1, 5971, '\p{Sc=buhd}', "");
    Expect(0, 5971, '\p{^Sc=buhd}', "");
    Expect(0, 5971, '\P{Sc=buhd}', "");
    Expect(1, 5971, '\P{^Sc=buhd}', "");
    Expect(0, 5972, '\p{Sc=buhd}', "");
    Expect(1, 5972, '\p{^Sc=buhd}', "");
    Expect(1, 5972, '\P{Sc=buhd}', "");
    Expect(0, 5972, '\P{^Sc=buhd}', "");
    Expect(1, 5971, '\p{Sc=:\Abuhd\z:}', "");;
    Expect(0, 5972, '\p{Sc=:\Abuhd\z:}', "");;
    Expect(1, 5971, '\p{Sc=__BUHD}', "");
    Expect(0, 5971, '\p{^Sc=__BUHD}', "");
    Expect(0, 5971, '\P{Sc=__BUHD}', "");
    Expect(1, 5971, '\P{^Sc=__BUHD}', "");
    Expect(0, 5972, '\p{Sc=__BUHD}', "");
    Expect(1, 5972, '\p{^Sc=__BUHD}', "");
    Expect(1, 5972, '\P{Sc=__BUHD}', "");
    Expect(0, 5972, '\P{^Sc=__BUHD}', "");
    Error('\p{Is_Script=	Buhid/a/}');
    Error('\P{Is_Script=	Buhid/a/}');
    Expect(1, 5971, '\p{Is_Script:	buhid}', "");
    Expect(0, 5971, '\p{^Is_Script:	buhid}', "");
    Expect(0, 5971, '\P{Is_Script:	buhid}', "");
    Expect(1, 5971, '\P{^Is_Script:	buhid}', "");
    Expect(0, 5972, '\p{Is_Script:	buhid}', "");
    Expect(1, 5972, '\p{^Is_Script:	buhid}', "");
    Expect(1, 5972, '\P{Is_Script:	buhid}', "");
    Expect(0, 5972, '\P{^Is_Script:	buhid}', "");
    Expect(1, 5971, '\p{Is_Script=- BUHID}', "");
    Expect(0, 5971, '\p{^Is_Script=- BUHID}', "");
    Expect(0, 5971, '\P{Is_Script=- BUHID}', "");
    Expect(1, 5971, '\P{^Is_Script=- BUHID}', "");
    Expect(0, 5972, '\p{Is_Script=- BUHID}', "");
    Expect(1, 5972, '\p{^Is_Script=- BUHID}', "");
    Expect(1, 5972, '\P{Is_Script=- BUHID}', "");
    Expect(0, 5972, '\P{^Is_Script=- BUHID}', "");
    Error('\p{Is_Sc= :=Buhd}');
    Error('\P{Is_Sc= :=Buhd}');
    Expect(1, 5971, '\p{Is_Sc=buhd}', "");
    Expect(0, 5971, '\p{^Is_Sc=buhd}', "");
    Expect(0, 5971, '\P{Is_Sc=buhd}', "");
    Expect(1, 5971, '\P{^Is_Sc=buhd}', "");
    Expect(0, 5972, '\p{Is_Sc=buhd}', "");
    Expect(1, 5972, '\p{^Is_Sc=buhd}', "");
    Expect(1, 5972, '\P{Is_Sc=buhd}', "");
    Expect(0, 5972, '\P{^Is_Sc=buhd}', "");
    Expect(1, 5971, '\p{Is_Sc=_ BUHD}', "");
    Expect(0, 5971, '\p{^Is_Sc=_ BUHD}', "");
    Expect(0, 5971, '\P{Is_Sc=_ BUHD}', "");
    Expect(1, 5971, '\P{^Is_Sc=_ BUHD}', "");
    Expect(0, 5972, '\p{Is_Sc=_ BUHD}', "");
    Expect(1, 5972, '\p{^Is_Sc=_ BUHD}', "");
    Expect(1, 5972, '\P{Is_Sc=_ BUHD}', "");
    Expect(0, 5972, '\P{^Is_Sc=_ BUHD}', "");
    Error('\p{Script=Chakma:=}');
    Error('\P{Script=Chakma:=}');
    Expect(1, 69959, '\p{Script=:\AChakma\z:}', "");;
    Expect(0, 69960, '\p{Script=:\AChakma\z:}', "");;
    Expect(1, 69959, '\p{Script=chakma}', "");
    Expect(0, 69959, '\p{^Script=chakma}', "");
    Expect(0, 69959, '\P{Script=chakma}', "");
    Expect(1, 69959, '\P{^Script=chakma}', "");
    Expect(0, 69960, '\p{Script=chakma}', "");
    Expect(1, 69960, '\p{^Script=chakma}', "");
    Expect(1, 69960, '\P{Script=chakma}', "");
    Expect(0, 69960, '\P{^Script=chakma}', "");
    Expect(1, 69959, '\p{Script=:\Achakma\z:}', "");;
    Expect(0, 69960, '\p{Script=:\Achakma\z:}', "");;
    Expect(1, 69959, '\p{Script=		Chakma}', "");
    Expect(0, 69959, '\p{^Script=		Chakma}', "");
    Expect(0, 69959, '\P{Script=		Chakma}', "");
    Expect(1, 69959, '\P{^Script=		Chakma}', "");
    Expect(0, 69960, '\p{Script=		Chakma}', "");
    Expect(1, 69960, '\p{^Script=		Chakma}', "");
    Expect(1, 69960, '\P{Script=		Chakma}', "");
    Expect(0, 69960, '\P{^Script=		Chakma}', "");
    Error('\p{Sc=:=-Cakm}');
    Error('\P{Sc=:=-Cakm}');
    Expect(1, 69959, '\p{Sc=:\ACakm\z:}', "");;
    Expect(0, 69960, '\p{Sc=:\ACakm\z:}', "");;
    Expect(1, 69959, '\p{Sc=cakm}', "");
    Expect(0, 69959, '\p{^Sc=cakm}', "");
    Expect(0, 69959, '\P{Sc=cakm}', "");
    Expect(1, 69959, '\P{^Sc=cakm}', "");
    Expect(0, 69960, '\p{Sc=cakm}', "");
    Expect(1, 69960, '\p{^Sc=cakm}', "");
    Expect(1, 69960, '\P{Sc=cakm}', "");
    Expect(0, 69960, '\P{^Sc=cakm}', "");
    Expect(1, 69959, '\p{Sc=:\Acakm\z:}', "");;
    Expect(0, 69960, '\p{Sc=:\Acakm\z:}', "");;
    Expect(1, 69959, '\p{Sc=_CAKM}', "");
    Expect(0, 69959, '\p{^Sc=_CAKM}', "");
    Expect(0, 69959, '\P{Sc=_CAKM}', "");
    Expect(1, 69959, '\P{^Sc=_CAKM}', "");
    Expect(0, 69960, '\p{Sc=_CAKM}', "");
    Expect(1, 69960, '\p{^Sc=_CAKM}', "");
    Expect(1, 69960, '\P{Sc=_CAKM}', "");
    Expect(0, 69960, '\P{^Sc=_CAKM}', "");
    Error('\p{Is_Script=:= 	chakma}');
    Error('\P{Is_Script=:= 	chakma}');
    Expect(1, 69959, '\p{Is_Script=chakma}', "");
    Expect(0, 69959, '\p{^Is_Script=chakma}', "");
    Expect(0, 69959, '\P{Is_Script=chakma}', "");
    Expect(1, 69959, '\P{^Is_Script=chakma}', "");
    Expect(0, 69960, '\p{Is_Script=chakma}', "");
    Expect(1, 69960, '\p{^Is_Script=chakma}', "");
    Expect(1, 69960, '\P{Is_Script=chakma}', "");
    Expect(0, 69960, '\P{^Is_Script=chakma}', "");
    Expect(1, 69959, '\p{Is_Script= 	Chakma}', "");
    Expect(0, 69959, '\p{^Is_Script= 	Chakma}', "");
    Expect(0, 69959, '\P{Is_Script= 	Chakma}', "");
    Expect(1, 69959, '\P{^Is_Script= 	Chakma}', "");
    Expect(0, 69960, '\p{Is_Script= 	Chakma}', "");
    Expect(1, 69960, '\p{^Is_Script= 	Chakma}', "");
    Expect(1, 69960, '\P{Is_Script= 	Chakma}', "");
    Expect(0, 69960, '\P{^Is_Script= 	Chakma}', "");
    Error('\p{Is_Sc=:=	cakm}');
    Error('\P{Is_Sc=:=	cakm}');
    Expect(1, 69959, '\p{Is_Sc=cakm}', "");
    Expect(0, 69959, '\p{^Is_Sc=cakm}', "");
    Expect(0, 69959, '\P{Is_Sc=cakm}', "");
    Expect(1, 69959, '\P{^Is_Sc=cakm}', "");
    Expect(0, 69960, '\p{Is_Sc=cakm}', "");
    Expect(1, 69960, '\p{^Is_Sc=cakm}', "");
    Expect(1, 69960, '\P{Is_Sc=cakm}', "");
    Expect(0, 69960, '\P{^Is_Sc=cakm}', "");
    Expect(1, 69959, '\p{Is_Sc=		Cakm}', "");
    Expect(0, 69959, '\p{^Is_Sc=		Cakm}', "");
    Expect(0, 69959, '\P{Is_Sc=		Cakm}', "");
    Expect(1, 69959, '\P{^Is_Sc=		Cakm}', "");
    Expect(0, 69960, '\p{Is_Sc=		Cakm}', "");
    Expect(1, 69960, '\p{^Is_Sc=		Cakm}', "");
    Expect(1, 69960, '\P{Is_Sc=		Cakm}', "");
    Expect(0, 69960, '\P{^Is_Sc=		Cakm}', "");
    Error('\p{Script=:=		CANADIAN_Aboriginal}');
    Error('\P{Script=:=		CANADIAN_Aboriginal}');
    Expect(1, 72383, '\p{Script=:\ACanadian_Aboriginal\z:}', "");;
    Expect(0, 72384, '\p{Script=:\ACanadian_Aboriginal\z:}', "");;
    Expect(1, 72383, '\p{Script=canadianaboriginal}', "");
    Expect(0, 72383, '\p{^Script=canadianaboriginal}', "");
    Expect(0, 72383, '\P{Script=canadianaboriginal}', "");
    Expect(1, 72383, '\P{^Script=canadianaboriginal}', "");
    Expect(0, 72384, '\p{Script=canadianaboriginal}', "");
    Expect(1, 72384, '\p{^Script=canadianaboriginal}', "");
    Expect(1, 72384, '\P{Script=canadianaboriginal}', "");
    Expect(0, 72384, '\P{^Script=canadianaboriginal}', "");
    Expect(1, 72383, '\p{Script=:\Acanadianaboriginal\z:}', "");;
    Expect(0, 72384, '\p{Script=:\Acanadianaboriginal\z:}', "");;
    Expect(1, 72383, '\p{Script=	canadian_ABORIGINAL}', "");
    Expect(0, 72383, '\p{^Script=	canadian_ABORIGINAL}', "");
    Expect(0, 72383, '\P{Script=	canadian_ABORIGINAL}', "");
    Expect(1, 72383, '\P{^Script=	canadian_ABORIGINAL}', "");
    Expect(0, 72384, '\p{Script=	canadian_ABORIGINAL}', "");
    Expect(1, 72384, '\p{^Script=	canadian_ABORIGINAL}', "");
    Expect(1, 72384, '\P{Script=	canadian_ABORIGINAL}', "");
    Expect(0, 72384, '\P{^Script=	canadian_ABORIGINAL}', "");
    Error('\p{Sc=/a/-Cans}');
    Error('\P{Sc=/a/-Cans}');
    Expect(1, 72383, '\p{Sc=:\ACans\z:}', "");;
    Expect(0, 72384, '\p{Sc=:\ACans\z:}', "");;
    Expect(1, 72383, '\p{Sc=cans}', "");
    Expect(0, 72383, '\p{^Sc=cans}', "");
    Expect(0, 72383, '\P{Sc=cans}', "");
    Expect(1, 72383, '\P{^Sc=cans}', "");
    Expect(0, 72384, '\p{Sc=cans}', "");
    Expect(1, 72384, '\p{^Sc=cans}', "");
    Expect(1, 72384, '\P{Sc=cans}', "");
    Expect(0, 72384, '\P{^Sc=cans}', "");
    Expect(1, 72383, '\p{Sc=:\Acans\z:}', "");;
    Expect(0, 72384, '\p{Sc=:\Acans\z:}', "");;
    Expect(1, 72383, '\p{Sc=_	Cans}', "");
    Expect(0, 72383, '\p{^Sc=_	Cans}', "");
    Expect(0, 72383, '\P{Sc=_	Cans}', "");
    Expect(1, 72383, '\P{^Sc=_	Cans}', "");
    Expect(0, 72384, '\p{Sc=_	Cans}', "");
    Expect(1, 72384, '\p{^Sc=_	Cans}', "");
    Expect(1, 72384, '\P{Sc=_	Cans}', "");
    Expect(0, 72384, '\P{^Sc=_	Cans}', "");
    Error('\p{Is_Script:   -Canadian_aboriginal/a/}');
    Error('\P{Is_Script:   -Canadian_aboriginal/a/}');
    Expect(1, 72383, '\p{Is_Script=canadianaboriginal}', "");
    Expect(0, 72383, '\p{^Is_Script=canadianaboriginal}', "");
    Expect(0, 72383, '\P{Is_Script=canadianaboriginal}', "");
    Expect(1, 72383, '\P{^Is_Script=canadianaboriginal}', "");
    Expect(0, 72384, '\p{Is_Script=canadianaboriginal}', "");
    Expect(1, 72384, '\p{^Is_Script=canadianaboriginal}', "");
    Expect(1, 72384, '\P{Is_Script=canadianaboriginal}', "");
    Expect(0, 72384, '\P{^Is_Script=canadianaboriginal}', "");
    Expect(1, 72383, '\p{Is_Script=	 Canadian_aboriginal}', "");
    Expect(0, 72383, '\p{^Is_Script=	 Canadian_aboriginal}', "");
    Expect(0, 72383, '\P{Is_Script=	 Canadian_aboriginal}', "");
    Expect(1, 72383, '\P{^Is_Script=	 Canadian_aboriginal}', "");
    Expect(0, 72384, '\p{Is_Script=	 Canadian_aboriginal}', "");
    Expect(1, 72384, '\p{^Is_Script=	 Canadian_aboriginal}', "");
    Expect(1, 72384, '\P{Is_Script=	 Canadian_aboriginal}', "");
    Expect(0, 72384, '\P{^Is_Script=	 Canadian_aboriginal}', "");
    Error('\p{Is_Sc=	/a/Cans}');
    Error('\P{Is_Sc=	/a/Cans}');
    Expect(1, 72383, '\p{Is_Sc=cans}', "");
    Expect(0, 72383, '\p{^Is_Sc=cans}', "");
    Expect(0, 72383, '\P{Is_Sc=cans}', "");
    Expect(1, 72383, '\P{^Is_Sc=cans}', "");
    Expect(0, 72384, '\p{Is_Sc=cans}', "");
    Expect(1, 72384, '\p{^Is_Sc=cans}', "");
    Expect(1, 72384, '\P{Is_Sc=cans}', "");
    Expect(0, 72384, '\P{^Is_Sc=cans}', "");
    Expect(1, 72383, '\p{Is_Sc=__CANS}', "");
    Expect(0, 72383, '\p{^Is_Sc=__CANS}', "");
    Expect(0, 72383, '\P{Is_Sc=__CANS}', "");
    Expect(1, 72383, '\P{^Is_Sc=__CANS}', "");
    Expect(0, 72384, '\p{Is_Sc=__CANS}', "");
    Expect(1, 72384, '\p{^Is_Sc=__CANS}', "");
    Expect(1, 72384, '\P{Is_Sc=__CANS}', "");
    Expect(0, 72384, '\P{^Is_Sc=__CANS}', "");
    Error('\p{Script=/a/_CARIAN}');
    Error('\P{Script=/a/_CARIAN}');
    Expect(1, 66256, '\p{Script=:\ACarian\z:}', "");;
    Expect(0, 66257, '\p{Script=:\ACarian\z:}', "");;
    Expect(1, 66256, '\p{Script=carian}', "");
    Expect(0, 66256, '\p{^Script=carian}', "");
    Expect(0, 66256, '\P{Script=carian}', "");
    Expect(1, 66256, '\P{^Script=carian}', "");
    Expect(0, 66257, '\p{Script=carian}', "");
    Expect(1, 66257, '\p{^Script=carian}', "");
    Expect(1, 66257, '\P{Script=carian}', "");
    Expect(0, 66257, '\P{^Script=carian}', "");
    Expect(1, 66256, '\p{Script=:\Acarian\z:}', "");;
    Expect(0, 66257, '\p{Script=:\Acarian\z:}', "");;
    Expect(1, 66256, '\p{Script: --CARIAN}', "");
    Expect(0, 66256, '\p{^Script: --CARIAN}', "");
    Expect(0, 66256, '\P{Script: --CARIAN}', "");
    Expect(1, 66256, '\P{^Script: --CARIAN}', "");
    Expect(0, 66257, '\p{Script: --CARIAN}', "");
    Expect(1, 66257, '\p{^Script: --CARIAN}', "");
    Expect(1, 66257, '\P{Script: --CARIAN}', "");
    Expect(0, 66257, '\P{^Script: --CARIAN}', "");
    Error('\p{Sc=-_Cari:=}');
    Error('\P{Sc=-_Cari:=}');
    Expect(1, 66256, '\p{Sc=:\ACari\z:}', "");;
    Expect(0, 66257, '\p{Sc=:\ACari\z:}', "");;
    Expect(1, 66256, '\p{Sc=cari}', "");
    Expect(0, 66256, '\p{^Sc=cari}', "");
    Expect(0, 66256, '\P{Sc=cari}', "");
    Expect(1, 66256, '\P{^Sc=cari}', "");
    Expect(0, 66257, '\p{Sc=cari}', "");
    Expect(1, 66257, '\p{^Sc=cari}', "");
    Expect(1, 66257, '\P{Sc=cari}', "");
    Expect(0, 66257, '\P{^Sc=cari}', "");
    Expect(1, 66256, '\p{Sc=:\Acari\z:}', "");;
    Expect(0, 66257, '\p{Sc=:\Acari\z:}', "");;
    Expect(1, 66256, '\p{Sc=-	cari}', "");
    Expect(0, 66256, '\p{^Sc=-	cari}', "");
    Expect(0, 66256, '\P{Sc=-	cari}', "");
    Expect(1, 66256, '\P{^Sc=-	cari}', "");
    Expect(0, 66257, '\p{Sc=-	cari}', "");
    Expect(1, 66257, '\p{^Sc=-	cari}', "");
    Expect(1, 66257, '\P{Sc=-	cari}', "");
    Expect(0, 66257, '\P{^Sc=-	cari}', "");
    Error('\p{Is_Script=	Carian/a/}');
    Error('\P{Is_Script=	Carian/a/}');
    Expect(1, 66256, '\p{Is_Script=carian}', "");
    Expect(0, 66256, '\p{^Is_Script=carian}', "");
    Expect(0, 66256, '\P{Is_Script=carian}', "");
    Expect(1, 66256, '\P{^Is_Script=carian}', "");
    Expect(0, 66257, '\p{Is_Script=carian}', "");
    Expect(1, 66257, '\p{^Is_Script=carian}', "");
    Expect(1, 66257, '\P{Is_Script=carian}', "");
    Expect(0, 66257, '\P{^Is_Script=carian}', "");
    Expect(1, 66256, '\p{Is_Script=--carian}', "");
    Expect(0, 66256, '\p{^Is_Script=--carian}', "");
    Expect(0, 66256, '\P{Is_Script=--carian}', "");
    Expect(1, 66256, '\P{^Is_Script=--carian}', "");
    Expect(0, 66257, '\p{Is_Script=--carian}', "");
    Expect(1, 66257, '\p{^Is_Script=--carian}', "");
    Expect(1, 66257, '\P{Is_Script=--carian}', "");
    Expect(0, 66257, '\P{^Is_Script=--carian}', "");
    Error('\p{Is_Sc= :=cari}');
    Error('\P{Is_Sc= :=cari}');
    Expect(1, 66256, '\p{Is_Sc=cari}', "");
    Expect(0, 66256, '\p{^Is_Sc=cari}', "");
    Expect(0, 66256, '\P{Is_Sc=cari}', "");
    Expect(1, 66256, '\P{^Is_Sc=cari}', "");
    Expect(0, 66257, '\p{Is_Sc=cari}', "");
    Expect(1, 66257, '\p{^Is_Sc=cari}', "");
    Expect(1, 66257, '\P{Is_Sc=cari}', "");
    Expect(0, 66257, '\P{^Is_Sc=cari}', "");
    Expect(1, 66256, '\p{Is_Sc= 	Cari}', "");
    Expect(0, 66256, '\p{^Is_Sc= 	Cari}', "");
    Expect(0, 66256, '\P{Is_Sc= 	Cari}', "");
    Expect(1, 66256, '\P{^Is_Sc= 	Cari}', "");
    Expect(0, 66257, '\p{Is_Sc= 	Cari}', "");
    Expect(1, 66257, '\p{^Is_Sc= 	Cari}', "");
    Expect(1, 66257, '\P{Is_Sc= 	Cari}', "");
    Expect(0, 66257, '\P{^Is_Sc= 	Cari}', "");
    Error('\p{Script=:=-cham}');
    Error('\P{Script=:=-cham}');
    Expect(1, 43615, '\p{Script=:\ACham\z:}', "");;
    Expect(0, 43616, '\p{Script=:\ACham\z:}', "");;
    Expect(1, 43615, '\p{Script=cham}', "");
    Expect(0, 43615, '\p{^Script=cham}', "");
    Expect(0, 43615, '\P{Script=cham}', "");
    Expect(1, 43615, '\P{^Script=cham}', "");
    Expect(0, 43616, '\p{Script=cham}', "");
    Expect(1, 43616, '\p{^Script=cham}', "");
    Expect(1, 43616, '\P{Script=cham}', "");
    Expect(0, 43616, '\P{^Script=cham}', "");
    Expect(1, 43615, '\p{Script=:\Acham\z:}', "");;
    Expect(0, 43616, '\p{Script=:\Acham\z:}', "");;
    Expect(1, 43615, '\p{Script=- Cham}', "");
    Expect(0, 43615, '\p{^Script=- Cham}', "");
    Expect(0, 43615, '\P{Script=- Cham}', "");
    Expect(1, 43615, '\P{^Script=- Cham}', "");
    Expect(0, 43616, '\p{Script=- Cham}', "");
    Expect(1, 43616, '\p{^Script=- Cham}', "");
    Expect(1, 43616, '\P{Script=- Cham}', "");
    Expect(0, 43616, '\P{^Script=- Cham}', "");
    Error('\p{Sc=_:=cham}');
    Error('\P{Sc=_:=cham}');
    Expect(1, 43615, '\p{Sc=:\ACham\z:}', "");;
    Expect(0, 43616, '\p{Sc=:\ACham\z:}', "");;
    Expect(1, 43615, '\p{Sc=cham}', "");
    Expect(0, 43615, '\p{^Sc=cham}', "");
    Expect(0, 43615, '\P{Sc=cham}', "");
    Expect(1, 43615, '\P{^Sc=cham}', "");
    Expect(0, 43616, '\p{Sc=cham}', "");
    Expect(1, 43616, '\p{^Sc=cham}', "");
    Expect(1, 43616, '\P{Sc=cham}', "");
    Expect(0, 43616, '\P{^Sc=cham}', "");
    Expect(1, 43615, '\p{Sc=:\Acham\z:}', "");;
    Expect(0, 43616, '\p{Sc=:\Acham\z:}', "");;
    Expect(1, 43615, '\p{Sc=-CHAM}', "");
    Expect(0, 43615, '\p{^Sc=-CHAM}', "");
    Expect(0, 43615, '\P{Sc=-CHAM}', "");
    Expect(1, 43615, '\P{^Sc=-CHAM}', "");
    Expect(0, 43616, '\p{Sc=-CHAM}', "");
    Expect(1, 43616, '\p{^Sc=-CHAM}', "");
    Expect(1, 43616, '\P{Sc=-CHAM}', "");
    Expect(0, 43616, '\P{^Sc=-CHAM}', "");
    Error('\p{Is_Script= 	Cham:=}');
    Error('\P{Is_Script= 	Cham:=}');
    Expect(1, 43615, '\p{Is_Script=cham}', "");
    Expect(0, 43615, '\p{^Is_Script=cham}', "");
    Expect(0, 43615, '\P{Is_Script=cham}', "");
    Expect(1, 43615, '\P{^Is_Script=cham}', "");
    Expect(0, 43616, '\p{Is_Script=cham}', "");
    Expect(1, 43616, '\p{^Is_Script=cham}', "");
    Expect(1, 43616, '\P{Is_Script=cham}', "");
    Expect(0, 43616, '\P{^Is_Script=cham}', "");
    Expect(1, 43615, '\p{Is_Script=- CHAM}', "");
    Expect(0, 43615, '\p{^Is_Script=- CHAM}', "");
    Expect(0, 43615, '\P{Is_Script=- CHAM}', "");
    Expect(1, 43615, '\P{^Is_Script=- CHAM}', "");
    Expect(0, 43616, '\p{Is_Script=- CHAM}', "");
    Expect(1, 43616, '\p{^Is_Script=- CHAM}', "");
    Expect(1, 43616, '\P{Is_Script=- CHAM}', "");
    Expect(0, 43616, '\P{^Is_Script=- CHAM}', "");
    Error('\p{Is_Sc=_/a/Cham}');
    Error('\P{Is_Sc=_/a/Cham}');
    Expect(1, 43615, '\p{Is_Sc=cham}', "");
    Expect(0, 43615, '\p{^Is_Sc=cham}', "");
    Expect(0, 43615, '\P{Is_Sc=cham}', "");
    Expect(1, 43615, '\P{^Is_Sc=cham}', "");
    Expect(0, 43616, '\p{Is_Sc=cham}', "");
    Expect(1, 43616, '\p{^Is_Sc=cham}', "");
    Expect(1, 43616, '\P{Is_Sc=cham}', "");
    Expect(0, 43616, '\P{^Is_Sc=cham}', "");
    Expect(1, 43615, '\p{Is_Sc= -Cham}', "");
    Expect(0, 43615, '\p{^Is_Sc= -Cham}', "");
    Expect(0, 43615, '\P{Is_Sc= -Cham}', "");
    Expect(1, 43615, '\P{^Is_Sc= -Cham}', "");
    Expect(0, 43616, '\p{Is_Sc= -Cham}', "");
    Expect(1, 43616, '\p{^Is_Sc= -Cham}', "");
    Expect(1, 43616, '\P{Is_Sc= -Cham}', "");
    Expect(0, 43616, '\P{^Is_Sc= -Cham}', "");
    Error('\p{Script=--Cherokee:=}');
    Error('\P{Script=--Cherokee:=}');
    Expect(1, 43967, '\p{Script=:\ACherokee\z:}', "");;
    Expect(0, 43968, '\p{Script=:\ACherokee\z:}', "");;
    Expect(1, 43967, '\p{Script=cherokee}', "");
    Expect(0, 43967, '\p{^Script=cherokee}', "");
    Expect(0, 43967, '\P{Script=cherokee}', "");
    Expect(1, 43967, '\P{^Script=cherokee}', "");
    Expect(0, 43968, '\p{Script=cherokee}', "");
    Expect(1, 43968, '\p{^Script=cherokee}', "");
    Expect(1, 43968, '\P{Script=cherokee}', "");
    Expect(0, 43968, '\P{^Script=cherokee}', "");
    Expect(1, 43967, '\p{Script=:\Acherokee\z:}', "");;
    Expect(0, 43968, '\p{Script=:\Acherokee\z:}', "");;
    Expect(1, 43967, '\p{Script=		Cherokee}', "");
    Expect(0, 43967, '\p{^Script=		Cherokee}', "");
    Expect(0, 43967, '\P{Script=		Cherokee}', "");
    Expect(1, 43967, '\P{^Script=		Cherokee}', "");
    Expect(0, 43968, '\p{Script=		Cherokee}', "");
    Expect(1, 43968, '\p{^Script=		Cherokee}', "");
    Expect(1, 43968, '\P{Script=		Cherokee}', "");
    Expect(0, 43968, '\P{^Script=		Cherokee}', "");
    Error('\p{Sc=:=- Cher}');
    Error('\P{Sc=:=- Cher}');
    Expect(1, 43967, '\p{Sc=:\ACher\z:}', "");;
    Expect(0, 43968, '\p{Sc=:\ACher\z:}', "");;
    Expect(1, 43967, '\p{Sc=cher}', "");
    Expect(0, 43967, '\p{^Sc=cher}', "");
    Expect(0, 43967, '\P{Sc=cher}', "");
    Expect(1, 43967, '\P{^Sc=cher}', "");
    Expect(0, 43968, '\p{Sc=cher}', "");
    Expect(1, 43968, '\p{^Sc=cher}', "");
    Expect(1, 43968, '\P{Sc=cher}', "");
    Expect(0, 43968, '\P{^Sc=cher}', "");
    Expect(1, 43967, '\p{Sc=:\Acher\z:}', "");;
    Expect(0, 43968, '\p{Sc=:\Acher\z:}', "");;
    Expect(1, 43967, '\p{Sc=CHER}', "");
    Expect(0, 43967, '\p{^Sc=CHER}', "");
    Expect(0, 43967, '\P{Sc=CHER}', "");
    Expect(1, 43967, '\P{^Sc=CHER}', "");
    Expect(0, 43968, '\p{Sc=CHER}', "");
    Expect(1, 43968, '\p{^Sc=CHER}', "");
    Expect(1, 43968, '\P{Sc=CHER}', "");
    Expect(0, 43968, '\P{^Sc=CHER}', "");
    Error('\p{Is_Script=/a/_ CHEROKEE}');
    Error('\P{Is_Script=/a/_ CHEROKEE}');
    Expect(1, 43967, '\p{Is_Script=cherokee}', "");
    Expect(0, 43967, '\p{^Is_Script=cherokee}', "");
    Expect(0, 43967, '\P{Is_Script=cherokee}', "");
    Expect(1, 43967, '\P{^Is_Script=cherokee}', "");
    Expect(0, 43968, '\p{Is_Script=cherokee}', "");
    Expect(1, 43968, '\p{^Is_Script=cherokee}', "");
    Expect(1, 43968, '\P{Is_Script=cherokee}', "");
    Expect(0, 43968, '\P{^Is_Script=cherokee}', "");
    Expect(1, 43967, '\p{Is_Script=	-Cherokee}', "");
    Expect(0, 43967, '\p{^Is_Script=	-Cherokee}', "");
    Expect(0, 43967, '\P{Is_Script=	-Cherokee}', "");
    Expect(1, 43967, '\P{^Is_Script=	-Cherokee}', "");
    Expect(0, 43968, '\p{Is_Script=	-Cherokee}', "");
    Expect(1, 43968, '\p{^Is_Script=	-Cherokee}', "");
    Expect(1, 43968, '\P{Is_Script=	-Cherokee}', "");
    Expect(0, 43968, '\P{^Is_Script=	-Cherokee}', "");
    Error('\p{Is_Sc=__CHER/a/}');
    Error('\P{Is_Sc=__CHER/a/}');
    Expect(1, 43967, '\p{Is_Sc: cher}', "");
    Expect(0, 43967, '\p{^Is_Sc: cher}', "");
    Expect(0, 43967, '\P{Is_Sc: cher}', "");
    Expect(1, 43967, '\P{^Is_Sc: cher}', "");
    Expect(0, 43968, '\p{Is_Sc: cher}', "");
    Expect(1, 43968, '\p{^Is_Sc: cher}', "");
    Expect(1, 43968, '\P{Is_Sc: cher}', "");
    Expect(0, 43968, '\P{^Is_Sc: cher}', "");
    Expect(1, 43967, '\p{Is_Sc=-Cher}', "");
    Expect(0, 43967, '\p{^Is_Sc=-Cher}', "");
    Expect(0, 43967, '\P{Is_Sc=-Cher}', "");
    Expect(1, 43967, '\P{^Is_Sc=-Cher}', "");
    Expect(0, 43968, '\p{Is_Sc=-Cher}', "");
    Expect(1, 43968, '\p{^Is_Sc=-Cher}', "");
    Expect(1, 43968, '\P{Is_Sc=-Cher}', "");
    Expect(0, 43968, '\P{^Is_Sc=-Cher}', "");
    Error('\p{Script=/a/ _Chorasmian}');
    Error('\P{Script=/a/ _Chorasmian}');
    Expect(1, 69579, '\p{Script=:\AChorasmian\z:}', "");;
    Expect(0, 69580, '\p{Script=:\AChorasmian\z:}', "");;
    Expect(1, 69579, '\p{Script=chorasmian}', "");
    Expect(0, 69579, '\p{^Script=chorasmian}', "");
    Expect(0, 69579, '\P{Script=chorasmian}', "");
    Expect(1, 69579, '\P{^Script=chorasmian}', "");
    Expect(0, 69580, '\p{Script=chorasmian}', "");
    Expect(1, 69580, '\p{^Script=chorasmian}', "");
    Expect(1, 69580, '\P{Script=chorasmian}', "");
    Expect(0, 69580, '\P{^Script=chorasmian}', "");
    Expect(1, 69579, '\p{Script=:\Achorasmian\z:}', "");;
    Expect(0, 69580, '\p{Script=:\Achorasmian\z:}', "");;
    Expect(1, 69579, '\p{Script=CHORASMIAN}', "");
    Expect(0, 69579, '\p{^Script=CHORASMIAN}', "");
    Expect(0, 69579, '\P{Script=CHORASMIAN}', "");
    Expect(1, 69579, '\P{^Script=CHORASMIAN}', "");
    Expect(0, 69580, '\p{Script=CHORASMIAN}', "");
    Expect(1, 69580, '\p{^Script=CHORASMIAN}', "");
    Expect(1, 69580, '\P{Script=CHORASMIAN}', "");
    Expect(0, 69580, '\P{^Script=CHORASMIAN}', "");
    Error('\p{Sc=/a/	-Chrs}');
    Error('\P{Sc=/a/	-Chrs}');
    Expect(1, 69579, '\p{Sc=:\AChrs\z:}', "");;
    Expect(0, 69580, '\p{Sc=:\AChrs\z:}', "");;
    Expect(1, 69579, '\p{Sc=chrs}', "");
    Expect(0, 69579, '\p{^Sc=chrs}', "");
    Expect(0, 69579, '\P{Sc=chrs}', "");
    Expect(1, 69579, '\P{^Sc=chrs}', "");
    Expect(0, 69580, '\p{Sc=chrs}', "");
    Expect(1, 69580, '\p{^Sc=chrs}', "");
    Expect(1, 69580, '\P{Sc=chrs}', "");
    Expect(0, 69580, '\P{^Sc=chrs}', "");
    Expect(1, 69579, '\p{Sc=:\Achrs\z:}', "");;
    Expect(0, 69580, '\p{Sc=:\Achrs\z:}', "");;
    Expect(1, 69579, '\p{Sc:			CHRS}', "");
    Expect(0, 69579, '\p{^Sc:			CHRS}', "");
    Expect(0, 69579, '\P{Sc:			CHRS}', "");
    Expect(1, 69579, '\P{^Sc:			CHRS}', "");
    Expect(0, 69580, '\p{Sc:			CHRS}', "");
    Expect(1, 69580, '\p{^Sc:			CHRS}', "");
    Expect(1, 69580, '\P{Sc:			CHRS}', "");
    Expect(0, 69580, '\P{^Sc:			CHRS}', "");
    Error('\p{Is_Script=-:=CHORASMIAN}');
    Error('\P{Is_Script=-:=CHORASMIAN}');
    Expect(1, 69579, '\p{Is_Script=chorasmian}', "");
    Expect(0, 69579, '\p{^Is_Script=chorasmian}', "");
    Expect(0, 69579, '\P{Is_Script=chorasmian}', "");
    Expect(1, 69579, '\P{^Is_Script=chorasmian}', "");
    Expect(0, 69580, '\p{Is_Script=chorasmian}', "");
    Expect(1, 69580, '\p{^Is_Script=chorasmian}', "");
    Expect(1, 69580, '\P{Is_Script=chorasmian}', "");
    Expect(0, 69580, '\P{^Is_Script=chorasmian}', "");
    Expect(1, 69579, '\p{Is_Script=-	CHORASMIAN}', "");
    Expect(0, 69579, '\p{^Is_Script=-	CHORASMIAN}', "");
    Expect(0, 69579, '\P{Is_Script=-	CHORASMIAN}', "");
    Expect(1, 69579, '\P{^Is_Script=-	CHORASMIAN}', "");
    Expect(0, 69580, '\p{Is_Script=-	CHORASMIAN}', "");
    Expect(1, 69580, '\p{^Is_Script=-	CHORASMIAN}', "");
    Expect(1, 69580, '\P{Is_Script=-	CHORASMIAN}', "");
    Expect(0, 69580, '\P{^Is_Script=-	CHORASMIAN}', "");
    Error('\p{Is_Sc=/a/-_Chrs}');
    Error('\P{Is_Sc=/a/-_Chrs}');
    Expect(1, 69579, '\p{Is_Sc=chrs}', "");
    Expect(0, 69579, '\p{^Is_Sc=chrs}', "");
    Expect(0, 69579, '\P{Is_Sc=chrs}', "");
    Expect(1, 69579, '\P{^Is_Sc=chrs}', "");
    Expect(0, 69580, '\p{Is_Sc=chrs}', "");
    Expect(1, 69580, '\p{^Is_Sc=chrs}', "");
    Expect(1, 69580, '\P{Is_Sc=chrs}', "");
    Expect(0, 69580, '\P{^Is_Sc=chrs}', "");
    Expect(1, 69579, '\p{Is_Sc=-_CHRS}', "");
    Expect(0, 69579, '\p{^Is_Sc=-_CHRS}', "");
    Expect(0, 69579, '\P{Is_Sc=-_CHRS}', "");
    Expect(1, 69579, '\P{^Is_Sc=-_CHRS}', "");
    Expect(0, 69580, '\p{Is_Sc=-_CHRS}', "");
    Expect(1, 69580, '\p{^Is_Sc=-_CHRS}', "");
    Expect(1, 69580, '\P{Is_Sc=-_CHRS}', "");
    Expect(0, 69580, '\P{^Is_Sc=-_CHRS}', "");
    Error('\p{Script= :=COPTIC}');
    Error('\P{Script= :=COPTIC}');
    Expect(1, 11519, '\p{Script=:\ACoptic\z:}', "");;
    Expect(0, 11520, '\p{Script=:\ACoptic\z:}', "");;
    Expect(1, 11519, '\p{Script=coptic}', "");
    Expect(0, 11519, '\p{^Script=coptic}', "");
    Expect(0, 11519, '\P{Script=coptic}', "");
    Expect(1, 11519, '\P{^Script=coptic}', "");
    Expect(0, 11520, '\p{Script=coptic}', "");
    Expect(1, 11520, '\p{^Script=coptic}', "");
    Expect(1, 11520, '\P{Script=coptic}', "");
    Expect(0, 11520, '\P{^Script=coptic}', "");
    Expect(1, 11519, '\p{Script=:\Acoptic\z:}', "");;
    Expect(0, 11520, '\p{Script=:\Acoptic\z:}', "");;
    Expect(1, 11519, '\p{Script= _coptic}', "");
    Expect(0, 11519, '\p{^Script= _coptic}', "");
    Expect(0, 11519, '\P{Script= _coptic}', "");
    Expect(1, 11519, '\P{^Script= _coptic}', "");
    Expect(0, 11520, '\p{Script= _coptic}', "");
    Expect(1, 11520, '\p{^Script= _coptic}', "");
    Expect(1, 11520, '\P{Script= _coptic}', "");
    Expect(0, 11520, '\P{^Script= _coptic}', "");
    Error('\p{Sc= :=Copt}');
    Error('\P{Sc= :=Copt}');
    Expect(1, 11519, '\p{Sc=:\ACopt\z:}', "");;
    Expect(0, 11520, '\p{Sc=:\ACopt\z:}', "");;
    Expect(1, 11519, '\p{Sc=copt}', "");
    Expect(0, 11519, '\p{^Sc=copt}', "");
    Expect(0, 11519, '\P{Sc=copt}', "");
    Expect(1, 11519, '\P{^Sc=copt}', "");
    Expect(0, 11520, '\p{Sc=copt}', "");
    Expect(1, 11520, '\p{^Sc=copt}', "");
    Expect(1, 11520, '\P{Sc=copt}', "");
    Expect(0, 11520, '\P{^Sc=copt}', "");
    Expect(1, 11519, '\p{Sc=:\Acopt\z:}', "");;
    Expect(0, 11520, '\p{Sc=:\Acopt\z:}', "");;
    Expect(1, 11519, '\p{Sc:   _	Copt}', "");
    Expect(0, 11519, '\p{^Sc:   _	Copt}', "");
    Expect(0, 11519, '\P{Sc:   _	Copt}', "");
    Expect(1, 11519, '\P{^Sc:   _	Copt}', "");
    Expect(0, 11520, '\p{Sc:   _	Copt}', "");
    Expect(1, 11520, '\p{^Sc:   _	Copt}', "");
    Expect(1, 11520, '\P{Sc:   _	Copt}', "");
    Expect(0, 11520, '\P{^Sc:   _	Copt}', "");
    Error('\p{Is_Script=/a/Qaac}');
    Error('\P{Is_Script=/a/Qaac}');
    Expect(1, 11519, '\p{Is_Script=qaac}', "");
    Expect(0, 11519, '\p{^Is_Script=qaac}', "");
    Expect(0, 11519, '\P{Is_Script=qaac}', "");
    Expect(1, 11519, '\P{^Is_Script=qaac}', "");
    Expect(0, 11520, '\p{Is_Script=qaac}', "");
    Expect(1, 11520, '\p{^Is_Script=qaac}', "");
    Expect(1, 11520, '\P{Is_Script=qaac}', "");
    Expect(0, 11520, '\P{^Is_Script=qaac}', "");
    Expect(1, 11519, '\p{Is_Script:    QAAC}', "");
    Expect(0, 11519, '\p{^Is_Script:    QAAC}', "");
    Expect(0, 11519, '\P{Is_Script:    QAAC}', "");
    Expect(1, 11519, '\P{^Is_Script:    QAAC}', "");
    Expect(0, 11520, '\p{Is_Script:    QAAC}', "");
    Expect(1, 11520, '\p{^Is_Script:    QAAC}', "");
    Expect(1, 11520, '\P{Is_Script:    QAAC}', "");
    Expect(0, 11520, '\P{^Is_Script:    QAAC}', "");
    Error('\p{Is_Sc=-:=Coptic}');
    Error('\P{Is_Sc=-:=Coptic}');
    Expect(1, 11519, '\p{Is_Sc=coptic}', "");
    Expect(0, 11519, '\p{^Is_Sc=coptic}', "");
    Expect(0, 11519, '\P{Is_Sc=coptic}', "");
    Expect(1, 11519, '\P{^Is_Sc=coptic}', "");
    Expect(0, 11520, '\p{Is_Sc=coptic}', "");
    Expect(1, 11520, '\p{^Is_Sc=coptic}', "");
    Expect(1, 11520, '\P{Is_Sc=coptic}', "");
    Expect(0, 11520, '\P{^Is_Sc=coptic}', "");
    Expect(1, 11519, '\p{Is_Sc= -Coptic}', "");
    Expect(0, 11519, '\p{^Is_Sc= -Coptic}', "");
    Expect(0, 11519, '\P{Is_Sc= -Coptic}', "");
    Expect(1, 11519, '\P{^Is_Sc= -Coptic}', "");
    Expect(0, 11520, '\p{Is_Sc= -Coptic}', "");
    Expect(1, 11520, '\p{^Is_Sc= -Coptic}', "");
    Expect(1, 11520, '\P{Is_Sc= -Coptic}', "");
    Expect(0, 11520, '\P{^Is_Sc= -Coptic}', "");
    Error('\p{Script:	_:=cypro_Minoan}');
    Error('\P{Script:	_:=cypro_Minoan}');
    Expect(1, 77810, '\p{Script=:\ACypro_Minoan\z:}', "");;
    Expect(0, 77811, '\p{Script=:\ACypro_Minoan\z:}', "");;
    Expect(1, 77810, '\p{Script=cyprominoan}', "");
    Expect(0, 77810, '\p{^Script=cyprominoan}', "");
    Expect(0, 77810, '\P{Script=cyprominoan}', "");
    Expect(1, 77810, '\P{^Script=cyprominoan}', "");
    Expect(0, 77811, '\p{Script=cyprominoan}', "");
    Expect(1, 77811, '\p{^Script=cyprominoan}', "");
    Expect(1, 77811, '\P{Script=cyprominoan}', "");
    Expect(0, 77811, '\P{^Script=cyprominoan}', "");
    Expect(1, 77810, '\p{Script=:\Acyprominoan\z:}', "");;
    Expect(0, 77811, '\p{Script=:\Acyprominoan\z:}', "");;
    Expect(1, 77810, '\p{Script=_-cypro_Minoan}', "");
    Expect(0, 77810, '\p{^Script=_-cypro_Minoan}', "");
    Expect(0, 77810, '\P{Script=_-cypro_Minoan}', "");
    Expect(1, 77810, '\P{^Script=_-cypro_Minoan}', "");
    Expect(0, 77811, '\p{Script=_-cypro_Minoan}', "");
    Expect(1, 77811, '\p{^Script=_-cypro_Minoan}', "");
    Expect(1, 77811, '\P{Script=_-cypro_Minoan}', "");
    Expect(0, 77811, '\P{^Script=_-cypro_Minoan}', "");
    Error('\p{Sc= 	CPMN:=}');
    Error('\P{Sc= 	CPMN:=}');
    Expect(1, 77810, '\p{Sc=:\ACpmn\z:}', "");;
    Expect(0, 77811, '\p{Sc=:\ACpmn\z:}', "");;
    Expect(1, 77810, '\p{Sc:cpmn}', "");
    Expect(0, 77810, '\p{^Sc:cpmn}', "");
    Expect(0, 77810, '\P{Sc:cpmn}', "");
    Expect(1, 77810, '\P{^Sc:cpmn}', "");
    Expect(0, 77811, '\p{Sc:cpmn}', "");
    Expect(1, 77811, '\p{^Sc:cpmn}', "");
    Expect(1, 77811, '\P{Sc:cpmn}', "");
    Expect(0, 77811, '\P{^Sc:cpmn}', "");
    Expect(1, 77810, '\p{Sc=:\Acpmn\z:}', "");;
    Expect(0, 77811, '\p{Sc=:\Acpmn\z:}', "");;
    Expect(1, 77810, '\p{Sc:   -Cpmn}', "");
    Expect(0, 77810, '\p{^Sc:   -Cpmn}', "");
    Expect(0, 77810, '\P{Sc:   -Cpmn}', "");
    Expect(1, 77810, '\P{^Sc:   -Cpmn}', "");
    Expect(0, 77811, '\p{Sc:   -Cpmn}', "");
    Expect(1, 77811, '\p{^Sc:   -Cpmn}', "");
    Expect(1, 77811, '\P{Sc:   -Cpmn}', "");
    Expect(0, 77811, '\P{^Sc:   -Cpmn}', "");
    Error('\p{Is_Script=:=-_Cypro_Minoan}');
    Error('\P{Is_Script=:=-_Cypro_Minoan}');
    Expect(1, 77810, '\p{Is_Script=cyprominoan}', "");
    Expect(0, 77810, '\p{^Is_Script=cyprominoan}', "");
    Expect(0, 77810, '\P{Is_Script=cyprominoan}', "");
    Expect(1, 77810, '\P{^Is_Script=cyprominoan}', "");
    Expect(0, 77811, '\p{Is_Script=cyprominoan}', "");
    Expect(1, 77811, '\p{^Is_Script=cyprominoan}', "");
    Expect(1, 77811, '\P{Is_Script=cyprominoan}', "");
    Expect(0, 77811, '\P{^Is_Script=cyprominoan}', "");
    Expect(1, 77810, '\p{Is_Script= Cypro_minoan}', "");
    Expect(0, 77810, '\p{^Is_Script= Cypro_minoan}', "");
    Expect(0, 77810, '\P{Is_Script= Cypro_minoan}', "");
    Expect(1, 77810, '\P{^Is_Script= Cypro_minoan}', "");
    Expect(0, 77811, '\p{Is_Script= Cypro_minoan}', "");
    Expect(1, 77811, '\p{^Is_Script= Cypro_minoan}', "");
    Expect(1, 77811, '\P{Is_Script= Cypro_minoan}', "");
    Expect(0, 77811, '\P{^Is_Script= Cypro_minoan}', "");
    Error('\p{Is_Sc=/a/_CPMN}');
    Error('\P{Is_Sc=/a/_CPMN}');
    Expect(1, 77810, '\p{Is_Sc=cpmn}', "");
    Expect(0, 77810, '\p{^Is_Sc=cpmn}', "");
    Expect(0, 77810, '\P{Is_Sc=cpmn}', "");
    Expect(1, 77810, '\P{^Is_Sc=cpmn}', "");
    Expect(0, 77811, '\p{Is_Sc=cpmn}', "");
    Expect(1, 77811, '\p{^Is_Sc=cpmn}', "");
    Expect(1, 77811, '\P{Is_Sc=cpmn}', "");
    Expect(0, 77811, '\P{^Is_Sc=cpmn}', "");
    Expect(1, 77810, '\p{Is_Sc:  _cpmn}', "");
    Expect(0, 77810, '\p{^Is_Sc:  _cpmn}', "");
    Expect(0, 77810, '\P{Is_Sc:  _cpmn}', "");
    Expect(1, 77810, '\P{^Is_Sc:  _cpmn}', "");
    Expect(0, 77811, '\p{Is_Sc:  _cpmn}', "");
    Expect(1, 77811, '\p{^Is_Sc:  _cpmn}', "");
    Expect(1, 77811, '\P{Is_Sc:  _cpmn}', "");
    Expect(0, 77811, '\P{^Is_Sc:  _cpmn}', "");
    Error('\p{Script= /a/Cypriot}');
    Error('\P{Script= /a/Cypriot}');
    Expect(1, 67647, '\p{Script=:\ACypriot\z:}', "");;
    Expect(0, 67648, '\p{Script=:\ACypriot\z:}', "");;
    Expect(1, 67647, '\p{Script=cypriot}', "");
    Expect(0, 67647, '\p{^Script=cypriot}', "");
    Expect(0, 67647, '\P{Script=cypriot}', "");
    Expect(1, 67647, '\P{^Script=cypriot}', "");
    Expect(0, 67648, '\p{Script=cypriot}', "");
    Expect(1, 67648, '\p{^Script=cypriot}', "");
    Expect(1, 67648, '\P{Script=cypriot}', "");
    Expect(0, 67648, '\P{^Script=cypriot}', "");
    Expect(1, 67647, '\p{Script=:\Acypriot\z:}', "");;
    Expect(0, 67648, '\p{Script=:\Acypriot\z:}', "");;
    Expect(1, 67647, '\p{Script=	Cypriot}', "");
    Expect(0, 67647, '\p{^Script=	Cypriot}', "");
    Expect(0, 67647, '\P{Script=	Cypriot}', "");
    Expect(1, 67647, '\P{^Script=	Cypriot}', "");
    Expect(0, 67648, '\p{Script=	Cypriot}', "");
    Expect(1, 67648, '\p{^Script=	Cypriot}', "");
    Expect(1, 67648, '\P{Script=	Cypriot}', "");
    Expect(0, 67648, '\P{^Script=	Cypriot}', "");
    Error('\p{Sc=/a/ Cprt}');
    Error('\P{Sc=/a/ Cprt}');
    Expect(1, 67647, '\p{Sc=:\ACprt\z:}', "");;
    Expect(0, 67648, '\p{Sc=:\ACprt\z:}', "");;
    Expect(1, 67647, '\p{Sc=cprt}', "");
    Expect(0, 67647, '\p{^Sc=cprt}', "");
    Expect(0, 67647, '\P{Sc=cprt}', "");
    Expect(1, 67647, '\P{^Sc=cprt}', "");
    Expect(0, 67648, '\p{Sc=cprt}', "");
    Expect(1, 67648, '\p{^Sc=cprt}', "");
    Expect(1, 67648, '\P{Sc=cprt}', "");
    Expect(0, 67648, '\P{^Sc=cprt}', "");
    Expect(1, 67647, '\p{Sc=:\Acprt\z:}', "");;
    Expect(0, 67648, '\p{Sc=:\Acprt\z:}', "");;
    Expect(1, 67647, '\p{Sc=__Cprt}', "");
    Expect(0, 67647, '\p{^Sc=__Cprt}', "");
    Expect(0, 67647, '\P{Sc=__Cprt}', "");
    Expect(1, 67647, '\P{^Sc=__Cprt}', "");
    Expect(0, 67648, '\p{Sc=__Cprt}', "");
    Expect(1, 67648, '\p{^Sc=__Cprt}', "");
    Expect(1, 67648, '\P{Sc=__Cprt}', "");
    Expect(0, 67648, '\P{^Sc=__Cprt}', "");
    Error('\p{Is_Script=/a/__Cypriot}');
    Error('\P{Is_Script=/a/__Cypriot}');
    Expect(1, 67647, '\p{Is_Script=cypriot}', "");
    Expect(0, 67647, '\p{^Is_Script=cypriot}', "");
    Expect(0, 67647, '\P{Is_Script=cypriot}', "");
    Expect(1, 67647, '\P{^Is_Script=cypriot}', "");
    Expect(0, 67648, '\p{Is_Script=cypriot}', "");
    Expect(1, 67648, '\p{^Is_Script=cypriot}', "");
    Expect(1, 67648, '\P{Is_Script=cypriot}', "");
    Expect(0, 67648, '\P{^Is_Script=cypriot}', "");
    Expect(1, 67647, '\p{Is_Script=_-Cypriot}', "");
    Expect(0, 67647, '\p{^Is_Script=_-Cypriot}', "");
    Expect(0, 67647, '\P{Is_Script=_-Cypriot}', "");
    Expect(1, 67647, '\P{^Is_Script=_-Cypriot}', "");
    Expect(0, 67648, '\p{Is_Script=_-Cypriot}', "");
    Expect(1, 67648, '\p{^Is_Script=_-Cypriot}', "");
    Expect(1, 67648, '\P{Is_Script=_-Cypriot}', "");
    Expect(0, 67648, '\P{^Is_Script=_-Cypriot}', "");
    Error('\p{Is_Sc= Cprt/a/}');
    Error('\P{Is_Sc= Cprt/a/}');
    Expect(1, 67647, '\p{Is_Sc=cprt}', "");
    Expect(0, 67647, '\p{^Is_Sc=cprt}', "");
    Expect(0, 67647, '\P{Is_Sc=cprt}', "");
    Expect(1, 67647, '\P{^Is_Sc=cprt}', "");
    Expect(0, 67648, '\p{Is_Sc=cprt}', "");
    Expect(1, 67648, '\p{^Is_Sc=cprt}', "");
    Expect(1, 67648, '\P{Is_Sc=cprt}', "");
    Expect(0, 67648, '\P{^Is_Sc=cprt}', "");
    Expect(1, 67647, '\p{Is_Sc=_cprt}', "");
    Expect(0, 67647, '\p{^Is_Sc=_cprt}', "");
    Expect(0, 67647, '\P{Is_Sc=_cprt}', "");
    Expect(1, 67647, '\P{^Is_Sc=_cprt}', "");
    Expect(0, 67648, '\p{Is_Sc=_cprt}', "");
    Expect(1, 67648, '\p{^Is_Sc=_cprt}', "");
    Expect(1, 67648, '\P{Is_Sc=_cprt}', "");
    Expect(0, 67648, '\P{^Is_Sc=_cprt}', "");
    Error('\p{Script=/a/Cyrillic}');
    Error('\P{Script=/a/Cyrillic}');
    Expect(1, 65071, '\p{Script=:\ACyrillic\z:}', "");;
    Expect(0, 65072, '\p{Script=:\ACyrillic\z:}', "");;
    Expect(1, 65071, '\p{Script=cyrillic}', "");
    Expect(0, 65071, '\p{^Script=cyrillic}', "");
    Expect(0, 65071, '\P{Script=cyrillic}', "");
    Expect(1, 65071, '\P{^Script=cyrillic}', "");
    Expect(0, 65072, '\p{Script=cyrillic}', "");
    Expect(1, 65072, '\p{^Script=cyrillic}', "");
    Expect(1, 65072, '\P{Script=cyrillic}', "");
    Expect(0, 65072, '\P{^Script=cyrillic}', "");
    Expect(1, 65071, '\p{Script=:\Acyrillic\z:}', "");;
    Expect(0, 65072, '\p{Script=:\Acyrillic\z:}', "");;
    Expect(1, 65071, '\p{Script=--CYRILLIC}', "");
    Expect(0, 65071, '\p{^Script=--CYRILLIC}', "");
    Expect(0, 65071, '\P{Script=--CYRILLIC}', "");
    Expect(1, 65071, '\P{^Script=--CYRILLIC}', "");
    Expect(0, 65072, '\p{Script=--CYRILLIC}', "");
    Expect(1, 65072, '\p{^Script=--CYRILLIC}', "");
    Expect(1, 65072, '\P{Script=--CYRILLIC}', "");
    Expect(0, 65072, '\P{^Script=--CYRILLIC}', "");
    Error('\p{Sc:   	_Cyrl/a/}');
    Error('\P{Sc:   	_Cyrl/a/}');
    Expect(1, 65071, '\p{Sc=:\ACyrl\z:}', "");;
    Expect(0, 65072, '\p{Sc=:\ACyrl\z:}', "");;
    Expect(1, 65071, '\p{Sc=cyrl}', "");
    Expect(0, 65071, '\p{^Sc=cyrl}', "");
    Expect(0, 65071, '\P{Sc=cyrl}', "");
    Expect(1, 65071, '\P{^Sc=cyrl}', "");
    Expect(0, 65072, '\p{Sc=cyrl}', "");
    Expect(1, 65072, '\p{^Sc=cyrl}', "");
    Expect(1, 65072, '\P{Sc=cyrl}', "");
    Expect(0, 65072, '\P{^Sc=cyrl}', "");
    Expect(1, 65071, '\p{Sc=:\Acyrl\z:}', "");;
    Expect(0, 65072, '\p{Sc=:\Acyrl\z:}', "");;
    Expect(1, 65071, '\p{Sc=Cyrl}', "");
    Expect(0, 65071, '\p{^Sc=Cyrl}', "");
    Expect(0, 65071, '\P{Sc=Cyrl}', "");
    Expect(1, 65071, '\P{^Sc=Cyrl}', "");
    Expect(0, 65072, '\p{Sc=Cyrl}', "");
    Expect(1, 65072, '\p{^Sc=Cyrl}', "");
    Expect(1, 65072, '\P{Sc=Cyrl}', "");
    Expect(0, 65072, '\P{^Sc=Cyrl}', "");
    Error('\p{Is_Script:	 :=Cyrillic}');
    Error('\P{Is_Script:	 :=Cyrillic}');
    Expect(1, 65071, '\p{Is_Script=cyrillic}', "");
    Expect(0, 65071, '\p{^Is_Script=cyrillic}', "");
    Expect(0, 65071, '\P{Is_Script=cyrillic}', "");
    Expect(1, 65071, '\P{^Is_Script=cyrillic}', "");
    Expect(0, 65072, '\p{Is_Script=cyrillic}', "");
    Expect(1, 65072, '\p{^Is_Script=cyrillic}', "");
    Expect(1, 65072, '\P{Is_Script=cyrillic}', "");
    Expect(0, 65072, '\P{^Is_Script=cyrillic}', "");
    Expect(1, 65071, '\p{Is_Script:	 Cyrillic}', "");
    Expect(0, 65071, '\p{^Is_Script:	 Cyrillic}', "");
    Expect(0, 65071, '\P{Is_Script:	 Cyrillic}', "");
    Expect(1, 65071, '\P{^Is_Script:	 Cyrillic}', "");
    Expect(0, 65072, '\p{Is_Script:	 Cyrillic}', "");
    Expect(1, 65072, '\p{^Is_Script:	 Cyrillic}', "");
    Expect(1, 65072, '\P{Is_Script:	 Cyrillic}', "");
    Expect(0, 65072, '\P{^Is_Script:	 Cyrillic}', "");
    Error('\p{Is_Sc=_	cyrl:=}');
    Error('\P{Is_Sc=_	cyrl:=}');
    Expect(1, 65071, '\p{Is_Sc=cyrl}', "");
    Expect(0, 65071, '\p{^Is_Sc=cyrl}', "");
    Expect(0, 65071, '\P{Is_Sc=cyrl}', "");
    Expect(1, 65071, '\P{^Is_Sc=cyrl}', "");
    Expect(0, 65072, '\p{Is_Sc=cyrl}', "");
    Expect(1, 65072, '\p{^Is_Sc=cyrl}', "");
    Expect(1, 65072, '\P{Is_Sc=cyrl}', "");
    Expect(0, 65072, '\P{^Is_Sc=cyrl}', "");
    Expect(1, 65071, '\p{Is_Sc=_Cyrl}', "");
    Expect(0, 65071, '\p{^Is_Sc=_Cyrl}', "");
    Expect(0, 65071, '\P{Is_Sc=_Cyrl}', "");
    Expect(1, 65071, '\P{^Is_Sc=_Cyrl}', "");
    Expect(0, 65072, '\p{Is_Sc=_Cyrl}', "");
    Expect(1, 65072, '\p{^Is_Sc=_Cyrl}', "");
    Expect(1, 65072, '\P{Is_Sc=_Cyrl}', "");
    Expect(0, 65072, '\P{^Is_Sc=_Cyrl}', "");
    Error('\p{Script=_:=Devanagari}');
    Error('\P{Script=_:=Devanagari}');
    Expect(1, 43263, '\p{Script=:\ADevanagari\z:}', "");;
    Expect(0, 43264, '\p{Script=:\ADevanagari\z:}', "");;
    Expect(1, 43263, '\p{Script=devanagari}', "");
    Expect(0, 43263, '\p{^Script=devanagari}', "");
    Expect(0, 43263, '\P{Script=devanagari}', "");
    Expect(1, 43263, '\P{^Script=devanagari}', "");
    Expect(0, 43264, '\p{Script=devanagari}', "");
    Expect(1, 43264, '\p{^Script=devanagari}', "");
    Expect(1, 43264, '\P{Script=devanagari}', "");
    Expect(0, 43264, '\P{^Script=devanagari}', "");
    Expect(1, 43263, '\p{Script=:\Adevanagari\z:}', "");;
    Expect(0, 43264, '\p{Script=:\Adevanagari\z:}', "");;
    Expect(1, 43263, '\p{Script=_ DEVANAGARI}', "");
    Expect(0, 43263, '\p{^Script=_ DEVANAGARI}', "");
    Expect(0, 43263, '\P{Script=_ DEVANAGARI}', "");
    Expect(1, 43263, '\P{^Script=_ DEVANAGARI}', "");
    Expect(0, 43264, '\p{Script=_ DEVANAGARI}', "");
    Expect(1, 43264, '\p{^Script=_ DEVANAGARI}', "");
    Expect(1, 43264, '\P{Script=_ DEVANAGARI}', "");
    Expect(0, 43264, '\P{^Script=_ DEVANAGARI}', "");
    Error('\p{Sc=/a/deva}');
    Error('\P{Sc=/a/deva}');
    Expect(1, 43263, '\p{Sc=:\ADeva\z:}', "");;
    Expect(0, 43264, '\p{Sc=:\ADeva\z:}', "");;
    Expect(1, 43263, '\p{Sc=deva}', "");
    Expect(0, 43263, '\p{^Sc=deva}', "");
    Expect(0, 43263, '\P{Sc=deva}', "");
    Expect(1, 43263, '\P{^Sc=deva}', "");
    Expect(0, 43264, '\p{Sc=deva}', "");
    Expect(1, 43264, '\p{^Sc=deva}', "");
    Expect(1, 43264, '\P{Sc=deva}', "");
    Expect(0, 43264, '\P{^Sc=deva}', "");
    Expect(1, 43263, '\p{Sc=:\Adeva\z:}', "");;
    Expect(0, 43264, '\p{Sc=:\Adeva\z:}', "");;
    Expect(1, 43263, '\p{Sc=_Deva}', "");
    Expect(0, 43263, '\p{^Sc=_Deva}', "");
    Expect(0, 43263, '\P{Sc=_Deva}', "");
    Expect(1, 43263, '\P{^Sc=_Deva}', "");
    Expect(0, 43264, '\p{Sc=_Deva}', "");
    Expect(1, 43264, '\p{^Sc=_Deva}', "");
    Expect(1, 43264, '\P{Sc=_Deva}', "");
    Expect(0, 43264, '\P{^Sc=_Deva}', "");
    Error('\p{Is_Script=:=devanagari}');
    Error('\P{Is_Script=:=devanagari}');
    Expect(1, 43263, '\p{Is_Script=devanagari}', "");
    Expect(0, 43263, '\p{^Is_Script=devanagari}', "");
    Expect(0, 43263, '\P{Is_Script=devanagari}', "");
    Expect(1, 43263, '\P{^Is_Script=devanagari}', "");
    Expect(0, 43264, '\p{Is_Script=devanagari}', "");
    Expect(1, 43264, '\p{^Is_Script=devanagari}', "");
    Expect(1, 43264, '\P{Is_Script=devanagari}', "");
    Expect(0, 43264, '\P{^Is_Script=devanagari}', "");
    Expect(1, 43263, '\p{Is_Script= DEVANAGARI}', "");
    Expect(0, 43263, '\p{^Is_Script= DEVANAGARI}', "");
    Expect(0, 43263, '\P{Is_Script= DEVANAGARI}', "");
    Expect(1, 43263, '\P{^Is_Script= DEVANAGARI}', "");
    Expect(0, 43264, '\p{Is_Script= DEVANAGARI}', "");
    Expect(1, 43264, '\p{^Is_Script= DEVANAGARI}', "");
    Expect(1, 43264, '\P{Is_Script= DEVANAGARI}', "");
    Expect(0, 43264, '\P{^Is_Script= DEVANAGARI}', "");
    Error('\p{Is_Sc=-/a/Deva}');
    Error('\P{Is_Sc=-/a/Deva}');
    Expect(1, 43263, '\p{Is_Sc=deva}', "");
    Expect(0, 43263, '\p{^Is_Sc=deva}', "");
    Expect(0, 43263, '\P{Is_Sc=deva}', "");
    Expect(1, 43263, '\P{^Is_Sc=deva}', "");
    Expect(0, 43264, '\p{Is_Sc=deva}', "");
    Expect(1, 43264, '\p{^Is_Sc=deva}', "");
    Expect(1, 43264, '\P{Is_Sc=deva}', "");
    Expect(0, 43264, '\P{^Is_Sc=deva}', "");
    Expect(1, 43263, '\p{Is_Sc=	_DEVA}', "");
    Expect(0, 43263, '\p{^Is_Sc=	_DEVA}', "");
    Expect(0, 43263, '\P{Is_Sc=	_DEVA}', "");
    Expect(1, 43263, '\P{^Is_Sc=	_DEVA}', "");
    Expect(0, 43264, '\p{Is_Sc=	_DEVA}', "");
    Expect(1, 43264, '\p{^Is_Sc=	_DEVA}', "");
    Expect(1, 43264, '\P{Is_Sc=	_DEVA}', "");
    Expect(0, 43264, '\P{^Is_Sc=	_DEVA}', "");
    Error('\p{Script=_	DIVES_Akuru:=}');
    Error('\P{Script=_	DIVES_Akuru:=}');
    Expect(1, 72025, '\p{Script=:\ADives_Akuru\z:}', "");;
    Expect(0, 72026, '\p{Script=:\ADives_Akuru\z:}', "");;
    Expect(1, 72025, '\p{Script:   divesakuru}', "");
    Expect(0, 72025, '\p{^Script:   divesakuru}', "");
    Expect(0, 72025, '\P{Script:   divesakuru}', "");
    Expect(1, 72025, '\P{^Script:   divesakuru}', "");
    Expect(0, 72026, '\p{Script:   divesakuru}', "");
    Expect(1, 72026, '\p{^Script:   divesakuru}', "");
    Expect(1, 72026, '\P{Script:   divesakuru}', "");
    Expect(0, 72026, '\P{^Script:   divesakuru}', "");
    Expect(1, 72025, '\p{Script=:\Adivesakuru\z:}', "");;
    Expect(0, 72026, '\p{Script=:\Adivesakuru\z:}', "");;
    Expect(1, 72025, '\p{Script:	- Dives_Akuru}', "");
    Expect(0, 72025, '\p{^Script:	- Dives_Akuru}', "");
    Expect(0, 72025, '\P{Script:	- Dives_Akuru}', "");
    Expect(1, 72025, '\P{^Script:	- Dives_Akuru}', "");
    Expect(0, 72026, '\p{Script:	- Dives_Akuru}', "");
    Expect(1, 72026, '\p{^Script:	- Dives_Akuru}', "");
    Expect(1, 72026, '\P{Script:	- Dives_Akuru}', "");
    Expect(0, 72026, '\P{^Script:	- Dives_Akuru}', "");
    Error('\p{Sc=-DIAK/a/}');
    Error('\P{Sc=-DIAK/a/}');
    Expect(1, 72025, '\p{Sc=:\ADiak\z:}', "");;
    Expect(0, 72026, '\p{Sc=:\ADiak\z:}', "");;
    Expect(1, 72025, '\p{Sc=diak}', "");
    Expect(0, 72025, '\p{^Sc=diak}', "");
    Expect(0, 72025, '\P{Sc=diak}', "");
    Expect(1, 72025, '\P{^Sc=diak}', "");
    Expect(0, 72026, '\p{Sc=diak}', "");
    Expect(1, 72026, '\p{^Sc=diak}', "");
    Expect(1, 72026, '\P{Sc=diak}', "");
    Expect(0, 72026, '\P{^Sc=diak}', "");
    Expect(1, 72025, '\p{Sc=:\Adiak\z:}', "");;
    Expect(0, 72026, '\p{Sc=:\Adiak\z:}', "");;
    Expect(1, 72025, '\p{Sc=	_Diak}', "");
    Expect(0, 72025, '\p{^Sc=	_Diak}', "");
    Expect(0, 72025, '\P{Sc=	_Diak}', "");
    Expect(1, 72025, '\P{^Sc=	_Diak}', "");
    Expect(0, 72026, '\p{Sc=	_Diak}', "");
    Expect(1, 72026, '\p{^Sc=	_Diak}', "");
    Expect(1, 72026, '\P{Sc=	_Diak}', "");
    Expect(0, 72026, '\P{^Sc=	_Diak}', "");
    Error('\p{Is_Script=:=-	Dives_AKURU}');
    Error('\P{Is_Script=:=-	Dives_AKURU}');
    Expect(1, 72025, '\p{Is_Script=divesakuru}', "");
    Expect(0, 72025, '\p{^Is_Script=divesakuru}', "");
    Expect(0, 72025, '\P{Is_Script=divesakuru}', "");
    Expect(1, 72025, '\P{^Is_Script=divesakuru}', "");
    Expect(0, 72026, '\p{Is_Script=divesakuru}', "");
    Expect(1, 72026, '\p{^Is_Script=divesakuru}', "");
    Expect(1, 72026, '\P{Is_Script=divesakuru}', "");
    Expect(0, 72026, '\P{^Is_Script=divesakuru}', "");
    Expect(1, 72025, '\p{Is_Script=--dives_Akuru}', "");
    Expect(0, 72025, '\p{^Is_Script=--dives_Akuru}', "");
    Expect(0, 72025, '\P{Is_Script=--dives_Akuru}', "");
    Expect(1, 72025, '\P{^Is_Script=--dives_Akuru}', "");
    Expect(0, 72026, '\p{Is_Script=--dives_Akuru}', "");
    Expect(1, 72026, '\p{^Is_Script=--dives_Akuru}', "");
    Expect(1, 72026, '\P{Is_Script=--dives_Akuru}', "");
    Expect(0, 72026, '\P{^Is_Script=--dives_Akuru}', "");
    Error('\p{Is_Sc=:=-DIAK}');
    Error('\P{Is_Sc=:=-DIAK}');
    Expect(1, 72025, '\p{Is_Sc=diak}', "");
    Expect(0, 72025, '\p{^Is_Sc=diak}', "");
    Expect(0, 72025, '\P{Is_Sc=diak}', "");
    Expect(1, 72025, '\P{^Is_Sc=diak}', "");
    Expect(0, 72026, '\p{Is_Sc=diak}', "");
    Expect(1, 72026, '\p{^Is_Sc=diak}', "");
    Expect(1, 72026, '\P{Is_Sc=diak}', "");
    Expect(0, 72026, '\P{^Is_Sc=diak}', "");
    Expect(1, 72025, '\p{Is_Sc= 	DIAK}', "");
    Expect(0, 72025, '\p{^Is_Sc= 	DIAK}', "");
    Expect(0, 72025, '\P{Is_Sc= 	DIAK}', "");
    Expect(1, 72025, '\P{^Is_Sc= 	DIAK}', "");
    Expect(0, 72026, '\p{Is_Sc= 	DIAK}', "");
    Expect(1, 72026, '\p{^Is_Sc= 	DIAK}', "");
    Expect(1, 72026, '\P{Is_Sc= 	DIAK}', "");
    Expect(0, 72026, '\P{^Is_Sc= 	DIAK}', "");
    Error('\p{Script= /a/Dogra}');
    Error('\P{Script= /a/Dogra}');
    Expect(1, 71739, '\p{Script=:\ADogra\z:}', "");;
    Expect(0, 71740, '\p{Script=:\ADogra\z:}', "");;
    Expect(1, 71739, '\p{Script=dogra}', "");
    Expect(0, 71739, '\p{^Script=dogra}', "");
    Expect(0, 71739, '\P{Script=dogra}', "");
    Expect(1, 71739, '\P{^Script=dogra}', "");
    Expect(0, 71740, '\p{Script=dogra}', "");
    Expect(1, 71740, '\p{^Script=dogra}', "");
    Expect(1, 71740, '\P{Script=dogra}', "");
    Expect(0, 71740, '\P{^Script=dogra}', "");
    Expect(1, 71739, '\p{Script=:\Adogra\z:}', "");;
    Expect(0, 71740, '\p{Script=:\Adogra\z:}', "");;
    Expect(1, 71739, '\p{Script=_-DOGRA}', "");
    Expect(0, 71739, '\p{^Script=_-DOGRA}', "");
    Expect(0, 71739, '\P{Script=_-DOGRA}', "");
    Expect(1, 71739, '\P{^Script=_-DOGRA}', "");
    Expect(0, 71740, '\p{Script=_-DOGRA}', "");
    Expect(1, 71740, '\p{^Script=_-DOGRA}', "");
    Expect(1, 71740, '\P{Script=_-DOGRA}', "");
    Expect(0, 71740, '\P{^Script=_-DOGRA}', "");
    Error('\p{Sc=		Dogr/a/}');
    Error('\P{Sc=		Dogr/a/}');
    Expect(1, 71739, '\p{Sc=:\ADogr\z:}', "");;
    Expect(0, 71740, '\p{Sc=:\ADogr\z:}', "");;
    Expect(1, 71739, '\p{Sc=dogr}', "");
    Expect(0, 71739, '\p{^Sc=dogr}', "");
    Expect(0, 71739, '\P{Sc=dogr}', "");
    Expect(1, 71739, '\P{^Sc=dogr}', "");
    Expect(0, 71740, '\p{Sc=dogr}', "");
    Expect(1, 71740, '\p{^Sc=dogr}', "");
    Expect(1, 71740, '\P{Sc=dogr}', "");
    Expect(0, 71740, '\P{^Sc=dogr}', "");
    Expect(1, 71739, '\p{Sc=:\Adogr\z:}', "");;
    Expect(0, 71740, '\p{Sc=:\Adogr\z:}', "");;
    Expect(1, 71739, '\p{Sc=_-Dogr}', "");
    Expect(0, 71739, '\p{^Sc=_-Dogr}', "");
    Expect(0, 71739, '\P{Sc=_-Dogr}', "");
    Expect(1, 71739, '\P{^Sc=_-Dogr}', "");
    Expect(0, 71740, '\p{Sc=_-Dogr}', "");
    Expect(1, 71740, '\p{^Sc=_-Dogr}', "");
    Expect(1, 71740, '\P{Sc=_-Dogr}', "");
    Expect(0, 71740, '\P{^Sc=_-Dogr}', "");
    Error('\p{Is_Script=:=Dogra}');
    Error('\P{Is_Script=:=Dogra}');
    Expect(1, 71739, '\p{Is_Script=dogra}', "");
    Expect(0, 71739, '\p{^Is_Script=dogra}', "");
    Expect(0, 71739, '\P{Is_Script=dogra}', "");
    Expect(1, 71739, '\P{^Is_Script=dogra}', "");
    Expect(0, 71740, '\p{Is_Script=dogra}', "");
    Expect(1, 71740, '\p{^Is_Script=dogra}', "");
    Expect(1, 71740, '\P{Is_Script=dogra}', "");
    Expect(0, 71740, '\P{^Is_Script=dogra}', "");
    Expect(1, 71739, '\p{Is_Script=_	Dogra}', "");
    Expect(0, 71739, '\p{^Is_Script=_	Dogra}', "");
    Expect(0, 71739, '\P{Is_Script=_	Dogra}', "");
    Expect(1, 71739, '\P{^Is_Script=_	Dogra}', "");
    Expect(0, 71740, '\p{Is_Script=_	Dogra}', "");
    Expect(1, 71740, '\p{^Is_Script=_	Dogra}', "");
    Expect(1, 71740, '\P{Is_Script=_	Dogra}', "");
    Expect(0, 71740, '\P{^Is_Script=_	Dogra}', "");
    Error('\p{Is_Sc=	-DOGR/a/}');
    Error('\P{Is_Sc=	-DOGR/a/}');
    Expect(1, 71739, '\p{Is_Sc=dogr}', "");
    Expect(0, 71739, '\p{^Is_Sc=dogr}', "");
    Expect(0, 71739, '\P{Is_Sc=dogr}', "");
    Expect(1, 71739, '\P{^Is_Sc=dogr}', "");
    Expect(0, 71740, '\p{Is_Sc=dogr}', "");
    Expect(1, 71740, '\p{^Is_Sc=dogr}', "");
    Expect(1, 71740, '\P{Is_Sc=dogr}', "");
    Expect(0, 71740, '\P{^Is_Sc=dogr}', "");
    Expect(1, 71739, '\p{Is_Sc=_dogr}', "");
    Expect(0, 71739, '\p{^Is_Sc=_dogr}', "");
    Expect(0, 71739, '\P{Is_Sc=_dogr}', "");
    Expect(1, 71739, '\P{^Is_Sc=_dogr}', "");
    Expect(0, 71740, '\p{Is_Sc=_dogr}', "");
    Expect(1, 71740, '\p{^Is_Sc=_dogr}', "");
    Expect(1, 71740, '\P{Is_Sc=_dogr}', "");
    Expect(0, 71740, '\P{^Is_Sc=_dogr}', "");
    Error('\p{Script=/a/-	Deseret}');
    Error('\P{Script=/a/-	Deseret}');
    Expect(1, 66639, '\p{Script=:\ADeseret\z:}', "");;
    Expect(0, 66640, '\p{Script=:\ADeseret\z:}', "");;
    Expect(1, 66639, '\p{Script=deseret}', "");
    Expect(0, 66639, '\p{^Script=deseret}', "");
    Expect(0, 66639, '\P{Script=deseret}', "");
    Expect(1, 66639, '\P{^Script=deseret}', "");
    Expect(0, 66640, '\p{Script=deseret}', "");
    Expect(1, 66640, '\p{^Script=deseret}', "");
    Expect(1, 66640, '\P{Script=deseret}', "");
    Expect(0, 66640, '\P{^Script=deseret}', "");
    Expect(1, 66639, '\p{Script=:\Adeseret\z:}', "");;
    Expect(0, 66640, '\p{Script=:\Adeseret\z:}', "");;
    Expect(1, 66639, '\p{Script=- Deseret}', "");
    Expect(0, 66639, '\p{^Script=- Deseret}', "");
    Expect(0, 66639, '\P{Script=- Deseret}', "");
    Expect(1, 66639, '\P{^Script=- Deseret}', "");
    Expect(0, 66640, '\p{Script=- Deseret}', "");
    Expect(1, 66640, '\p{^Script=- Deseret}', "");
    Expect(1, 66640, '\P{Script=- Deseret}', "");
    Expect(0, 66640, '\P{^Script=- Deseret}', "");
    Error('\p{Sc=:= -DSRT}');
    Error('\P{Sc=:= -DSRT}');
    Expect(1, 66639, '\p{Sc=:\ADsrt\z:}', "");;
    Expect(0, 66640, '\p{Sc=:\ADsrt\z:}', "");;
    Expect(1, 66639, '\p{Sc=dsrt}', "");
    Expect(0, 66639, '\p{^Sc=dsrt}', "");
    Expect(0, 66639, '\P{Sc=dsrt}', "");
    Expect(1, 66639, '\P{^Sc=dsrt}', "");
    Expect(0, 66640, '\p{Sc=dsrt}', "");
    Expect(1, 66640, '\p{^Sc=dsrt}', "");
    Expect(1, 66640, '\P{Sc=dsrt}', "");
    Expect(0, 66640, '\P{^Sc=dsrt}', "");
    Expect(1, 66639, '\p{Sc=:\Adsrt\z:}', "");;
    Expect(0, 66640, '\p{Sc=:\Adsrt\z:}', "");;
    Expect(1, 66639, '\p{Sc=_	dsrt}', "");
    Expect(0, 66639, '\p{^Sc=_	dsrt}', "");
    Expect(0, 66639, '\P{Sc=_	dsrt}', "");
    Expect(1, 66639, '\P{^Sc=_	dsrt}', "");
    Expect(0, 66640, '\p{Sc=_	dsrt}', "");
    Expect(1, 66640, '\p{^Sc=_	dsrt}', "");
    Expect(1, 66640, '\P{Sc=_	dsrt}', "");
    Expect(0, 66640, '\P{^Sc=_	dsrt}', "");
    Error('\p{Is_Script=:=	Deseret}');
    Error('\P{Is_Script=:=	Deseret}');
    Expect(1, 66639, '\p{Is_Script:	deseret}', "");
    Expect(0, 66639, '\p{^Is_Script:	deseret}', "");
    Expect(0, 66639, '\P{Is_Script:	deseret}', "");
    Expect(1, 66639, '\P{^Is_Script:	deseret}', "");
    Expect(0, 66640, '\p{Is_Script:	deseret}', "");
    Expect(1, 66640, '\p{^Is_Script:	deseret}', "");
    Expect(1, 66640, '\P{Is_Script:	deseret}', "");
    Expect(0, 66640, '\P{^Is_Script:	deseret}', "");
    Expect(1, 66639, '\p{Is_Script=__Deseret}', "");
    Expect(0, 66639, '\p{^Is_Script=__Deseret}', "");
    Expect(0, 66639, '\P{Is_Script=__Deseret}', "");
    Expect(1, 66639, '\P{^Is_Script=__Deseret}', "");
    Expect(0, 66640, '\p{Is_Script=__Deseret}', "");
    Expect(1, 66640, '\p{^Is_Script=__Deseret}', "");
    Expect(1, 66640, '\P{Is_Script=__Deseret}', "");
    Expect(0, 66640, '\P{^Is_Script=__Deseret}', "");
    Error('\p{Is_Sc=_ Dsrt:=}');
    Error('\P{Is_Sc=_ Dsrt:=}');
    Expect(1, 66639, '\p{Is_Sc=dsrt}', "");
    Expect(0, 66639, '\p{^Is_Sc=dsrt}', "");
    Expect(0, 66639, '\P{Is_Sc=dsrt}', "");
    Expect(1, 66639, '\P{^Is_Sc=dsrt}', "");
    Expect(0, 66640, '\p{Is_Sc=dsrt}', "");
    Expect(1, 66640, '\p{^Is_Sc=dsrt}', "");
    Expect(1, 66640, '\P{Is_Sc=dsrt}', "");
    Expect(0, 66640, '\P{^Is_Sc=dsrt}', "");
    Expect(1, 66639, '\p{Is_Sc=- DSRT}', "");
    Expect(0, 66639, '\p{^Is_Sc=- DSRT}', "");
    Expect(0, 66639, '\P{Is_Sc=- DSRT}', "");
    Expect(1, 66639, '\P{^Is_Sc=- DSRT}', "");
    Expect(0, 66640, '\p{Is_Sc=- DSRT}', "");
    Expect(1, 66640, '\p{^Is_Sc=- DSRT}', "");
    Expect(1, 66640, '\P{Is_Sc=- DSRT}', "");
    Expect(0, 66640, '\P{^Is_Sc=- DSRT}', "");
    Error('\p{Script=-_DUPLOYAN:=}');
    Error('\P{Script=-_DUPLOYAN:=}');
    Expect(1, 113823, '\p{Script=:\ADuployan\z:}', "");;
    Expect(0, 113824, '\p{Script=:\ADuployan\z:}', "");;
    Expect(1, 113823, '\p{Script=duployan}', "");
    Expect(0, 113823, '\p{^Script=duployan}', "");
    Expect(0, 113823, '\P{Script=duployan}', "");
    Expect(1, 113823, '\P{^Script=duployan}', "");
    Expect(0, 113824, '\p{Script=duployan}', "");
    Expect(1, 113824, '\p{^Script=duployan}', "");
    Expect(1, 113824, '\P{Script=duployan}', "");
    Expect(0, 113824, '\P{^Script=duployan}', "");
    Expect(1, 113823, '\p{Script=:\Aduployan\z:}', "");;
    Expect(0, 113824, '\p{Script=:\Aduployan\z:}', "");;
    Expect(1, 113823, '\p{Script=_	Duployan}', "");
    Expect(0, 113823, '\p{^Script=_	Duployan}', "");
    Expect(0, 113823, '\P{Script=_	Duployan}', "");
    Expect(1, 113823, '\P{^Script=_	Duployan}', "");
    Expect(0, 113824, '\p{Script=_	Duployan}', "");
    Expect(1, 113824, '\p{^Script=_	Duployan}', "");
    Expect(1, 113824, '\P{Script=_	Duployan}', "");
    Expect(0, 113824, '\P{^Script=_	Duployan}', "");
    Error('\p{Sc=__dupl:=}');
    Error('\P{Sc=__dupl:=}');
    Expect(1, 113823, '\p{Sc=:\ADupl\z:}', "");;
    Expect(0, 113824, '\p{Sc=:\ADupl\z:}', "");;
    Expect(1, 113823, '\p{Sc:   dupl}', "");
    Expect(0, 113823, '\p{^Sc:   dupl}', "");
    Expect(0, 113823, '\P{Sc:   dupl}', "");
    Expect(1, 113823, '\P{^Sc:   dupl}', "");
    Expect(0, 113824, '\p{Sc:   dupl}', "");
    Expect(1, 113824, '\p{^Sc:   dupl}', "");
    Expect(1, 113824, '\P{Sc:   dupl}', "");
    Expect(0, 113824, '\P{^Sc:   dupl}', "");
    Expect(1, 113823, '\p{Sc=:\Adupl\z:}', "");;
    Expect(0, 113824, '\p{Sc=:\Adupl\z:}', "");;
    Expect(1, 113823, '\p{Sc=--dupl}', "");
    Expect(0, 113823, '\p{^Sc=--dupl}', "");
    Expect(0, 113823, '\P{Sc=--dupl}', "");
    Expect(1, 113823, '\P{^Sc=--dupl}', "");
    Expect(0, 113824, '\p{Sc=--dupl}', "");
    Expect(1, 113824, '\p{^Sc=--dupl}', "");
    Expect(1, 113824, '\P{Sc=--dupl}', "");
    Expect(0, 113824, '\P{^Sc=--dupl}', "");
    Error('\p{Is_Script=:= Duployan}');
    Error('\P{Is_Script=:= Duployan}');
    Expect(1, 113823, '\p{Is_Script=duployan}', "");
    Expect(0, 113823, '\p{^Is_Script=duployan}', "");
    Expect(0, 113823, '\P{Is_Script=duployan}', "");
    Expect(1, 113823, '\P{^Is_Script=duployan}', "");
    Expect(0, 113824, '\p{Is_Script=duployan}', "");
    Expect(1, 113824, '\p{^Is_Script=duployan}', "");
    Expect(1, 113824, '\P{Is_Script=duployan}', "");
    Expect(0, 113824, '\P{^Is_Script=duployan}', "");
    Expect(1, 113823, '\p{Is_Script=- Duployan}', "");
    Expect(0, 113823, '\p{^Is_Script=- Duployan}', "");
    Expect(0, 113823, '\P{Is_Script=- Duployan}', "");
    Expect(1, 113823, '\P{^Is_Script=- Duployan}', "");
    Expect(0, 113824, '\p{Is_Script=- Duployan}', "");
    Expect(1, 113824, '\p{^Is_Script=- Duployan}', "");
    Expect(1, 113824, '\P{Is_Script=- Duployan}', "");
    Expect(0, 113824, '\P{^Is_Script=- Duployan}', "");
    Error('\p{Is_Sc=  Dupl/a/}');
    Error('\P{Is_Sc=  Dupl/a/}');
    Expect(1, 113823, '\p{Is_Sc=dupl}', "");
    Expect(0, 113823, '\p{^Is_Sc=dupl}', "");
    Expect(0, 113823, '\P{Is_Sc=dupl}', "");
    Expect(1, 113823, '\P{^Is_Sc=dupl}', "");
    Expect(0, 113824, '\p{Is_Sc=dupl}', "");
    Expect(1, 113824, '\p{^Is_Sc=dupl}', "");
    Expect(1, 113824, '\P{Is_Sc=dupl}', "");
    Expect(0, 113824, '\P{^Is_Sc=dupl}', "");
    Expect(1, 113823, '\p{Is_Sc=Dupl}', "");
    Expect(0, 113823, '\p{^Is_Sc=Dupl}', "");
    Expect(0, 113823, '\P{Is_Sc=Dupl}', "");
    Expect(1, 113823, '\P{^Is_Sc=Dupl}', "");
    Expect(0, 113824, '\p{Is_Sc=Dupl}', "");
    Expect(1, 113824, '\p{^Is_Sc=Dupl}', "");
    Expect(1, 113824, '\P{Is_Sc=Dupl}', "");
    Expect(0, 113824, '\P{^Is_Sc=Dupl}', "");
    Error('\p{Script=/a/--EGYPTIAN_hieroglyphs}');
    Error('\P{Script=/a/--EGYPTIAN_hieroglyphs}');
    Expect(1, 78904, '\p{Script=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(0, 78905, '\p{Script=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(1, 78904, '\p{Script=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\p{^Script=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\P{Script=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\P{^Script=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\p{Script=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\p{^Script=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\P{Script=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\P{^Script=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\p{Script=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(0, 78905, '\p{Script=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(1, 78904, '\p{Script=	Egyptian_Hieroglyphs}', "");
    Expect(0, 78904, '\p{^Script=	Egyptian_Hieroglyphs}', "");
    Expect(0, 78904, '\P{Script=	Egyptian_Hieroglyphs}', "");
    Expect(1, 78904, '\P{^Script=	Egyptian_Hieroglyphs}', "");
    Expect(0, 78905, '\p{Script=	Egyptian_Hieroglyphs}', "");
    Expect(1, 78905, '\p{^Script=	Egyptian_Hieroglyphs}', "");
    Expect(1, 78905, '\P{Script=	Egyptian_Hieroglyphs}', "");
    Expect(0, 78905, '\P{^Script=	Egyptian_Hieroglyphs}', "");
    Error('\p{Sc=:=	_Egyp}');
    Error('\P{Sc=:=	_Egyp}');
    Expect(1, 78904, '\p{Sc=:\AEgyp\z:}', "");;
    Expect(0, 78905, '\p{Sc=:\AEgyp\z:}', "");;
    Expect(1, 78904, '\p{Sc=egyp}', "");
    Expect(0, 78904, '\p{^Sc=egyp}', "");
    Expect(0, 78904, '\P{Sc=egyp}', "");
    Expect(1, 78904, '\P{^Sc=egyp}', "");
    Expect(0, 78905, '\p{Sc=egyp}', "");
    Expect(1, 78905, '\p{^Sc=egyp}', "");
    Expect(1, 78905, '\P{Sc=egyp}', "");
    Expect(0, 78905, '\P{^Sc=egyp}', "");
    Expect(1, 78904, '\p{Sc=:\Aegyp\z:}', "");;
    Expect(0, 78905, '\p{Sc=:\Aegyp\z:}', "");;
    Expect(1, 78904, '\p{Sc=	egyp}', "");
    Expect(0, 78904, '\p{^Sc=	egyp}', "");
    Expect(0, 78904, '\P{Sc=	egyp}', "");
    Expect(1, 78904, '\P{^Sc=	egyp}', "");
    Expect(0, 78905, '\p{Sc=	egyp}', "");
    Expect(1, 78905, '\p{^Sc=	egyp}', "");
    Expect(1, 78905, '\P{Sc=	egyp}', "");
    Expect(0, 78905, '\P{^Sc=	egyp}', "");
    Error('\p{Is_Script=:=  Egyptian_hieroglyphs}');
    Error('\P{Is_Script=:=  Egyptian_hieroglyphs}');
    Expect(1, 78904, '\p{Is_Script=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\p{^Is_Script=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\P{Is_Script=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\P{^Is_Script=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\p{Is_Script=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\p{^Is_Script=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\P{Is_Script=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\P{^Is_Script=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\p{Is_Script=	_egyptian_Hieroglyphs}', "");
    Expect(0, 78904, '\p{^Is_Script=	_egyptian_Hieroglyphs}', "");
    Expect(0, 78904, '\P{Is_Script=	_egyptian_Hieroglyphs}', "");
    Expect(1, 78904, '\P{^Is_Script=	_egyptian_Hieroglyphs}', "");
    Expect(0, 78905, '\p{Is_Script=	_egyptian_Hieroglyphs}', "");
    Expect(1, 78905, '\p{^Is_Script=	_egyptian_Hieroglyphs}', "");
    Expect(1, 78905, '\P{Is_Script=	_egyptian_Hieroglyphs}', "");
    Expect(0, 78905, '\P{^Is_Script=	_egyptian_Hieroglyphs}', "");
    Error('\p{Is_Sc=-/a/egyp}');
    Error('\P{Is_Sc=-/a/egyp}');
    Expect(1, 78904, '\p{Is_Sc=egyp}', "");
    Expect(0, 78904, '\p{^Is_Sc=egyp}', "");
    Expect(0, 78904, '\P{Is_Sc=egyp}', "");
    Expect(1, 78904, '\P{^Is_Sc=egyp}', "");
    Expect(0, 78905, '\p{Is_Sc=egyp}', "");
    Expect(1, 78905, '\p{^Is_Sc=egyp}', "");
    Expect(1, 78905, '\P{Is_Sc=egyp}', "");
    Expect(0, 78905, '\P{^Is_Sc=egyp}', "");
    Expect(1, 78904, '\p{Is_Sc=- EGYP}', "");
    Expect(0, 78904, '\p{^Is_Sc=- EGYP}', "");
    Expect(0, 78904, '\P{Is_Sc=- EGYP}', "");
    Expect(1, 78904, '\P{^Is_Sc=- EGYP}', "");
    Expect(0, 78905, '\p{Is_Sc=- EGYP}', "");
    Expect(1, 78905, '\p{^Is_Sc=- EGYP}', "");
    Expect(1, 78905, '\P{Is_Sc=- EGYP}', "");
    Expect(0, 78905, '\P{^Is_Sc=- EGYP}', "");
    Error('\p{Script=-_ELBASAN:=}');
    Error('\P{Script=-_ELBASAN:=}');
    Expect(1, 66855, '\p{Script=:\AElbasan\z:}', "");;
    Expect(0, 66856, '\p{Script=:\AElbasan\z:}', "");;
    Expect(1, 66855, '\p{Script:   elbasan}', "");
    Expect(0, 66855, '\p{^Script:   elbasan}', "");
    Expect(0, 66855, '\P{Script:   elbasan}', "");
    Expect(1, 66855, '\P{^Script:   elbasan}', "");
    Expect(0, 66856, '\p{Script:   elbasan}', "");
    Expect(1, 66856, '\p{^Script:   elbasan}', "");
    Expect(1, 66856, '\P{Script:   elbasan}', "");
    Expect(0, 66856, '\P{^Script:   elbasan}', "");
    Expect(1, 66855, '\p{Script=:\Aelbasan\z:}', "");;
    Expect(0, 66856, '\p{Script=:\Aelbasan\z:}', "");;
    Expect(1, 66855, '\p{Script=--elbasan}', "");
    Expect(0, 66855, '\p{^Script=--elbasan}', "");
    Expect(0, 66855, '\P{Script=--elbasan}', "");
    Expect(1, 66855, '\P{^Script=--elbasan}', "");
    Expect(0, 66856, '\p{Script=--elbasan}', "");
    Expect(1, 66856, '\p{^Script=--elbasan}', "");
    Expect(1, 66856, '\P{Script=--elbasan}', "");
    Expect(0, 66856, '\P{^Script=--elbasan}', "");
    Error('\p{Sc=-:=Elba}');
    Error('\P{Sc=-:=Elba}');
    Expect(1, 66855, '\p{Sc=:\AElba\z:}', "");;
    Expect(0, 66856, '\p{Sc=:\AElba\z:}', "");;
    Expect(1, 66855, '\p{Sc=elba}', "");
    Expect(0, 66855, '\p{^Sc=elba}', "");
    Expect(0, 66855, '\P{Sc=elba}', "");
    Expect(1, 66855, '\P{^Sc=elba}', "");
    Expect(0, 66856, '\p{Sc=elba}', "");
    Expect(1, 66856, '\p{^Sc=elba}', "");
    Expect(1, 66856, '\P{Sc=elba}', "");
    Expect(0, 66856, '\P{^Sc=elba}', "");
    Expect(1, 66855, '\p{Sc=:\Aelba\z:}', "");;
    Expect(0, 66856, '\p{Sc=:\Aelba\z:}', "");;
    Expect(1, 66855, '\p{Sc=--ELBA}', "");
    Expect(0, 66855, '\p{^Sc=--ELBA}', "");
    Expect(0, 66855, '\P{Sc=--ELBA}', "");
    Expect(1, 66855, '\P{^Sc=--ELBA}', "");
    Expect(0, 66856, '\p{Sc=--ELBA}', "");
    Expect(1, 66856, '\p{^Sc=--ELBA}', "");
    Expect(1, 66856, '\P{Sc=--ELBA}', "");
    Expect(0, 66856, '\P{^Sc=--ELBA}', "");
    Error('\p{Is_Script=_/a/Elbasan}');
    Error('\P{Is_Script=_/a/Elbasan}');
    Expect(1, 66855, '\p{Is_Script=elbasan}', "");
    Expect(0, 66855, '\p{^Is_Script=elbasan}', "");
    Expect(0, 66855, '\P{Is_Script=elbasan}', "");
    Expect(1, 66855, '\P{^Is_Script=elbasan}', "");
    Expect(0, 66856, '\p{Is_Script=elbasan}', "");
    Expect(1, 66856, '\p{^Is_Script=elbasan}', "");
    Expect(1, 66856, '\P{Is_Script=elbasan}', "");
    Expect(0, 66856, '\P{^Is_Script=elbasan}', "");
    Expect(1, 66855, '\p{Is_Script=- Elbasan}', "");
    Expect(0, 66855, '\p{^Is_Script=- Elbasan}', "");
    Expect(0, 66855, '\P{Is_Script=- Elbasan}', "");
    Expect(1, 66855, '\P{^Is_Script=- Elbasan}', "");
    Expect(0, 66856, '\p{Is_Script=- Elbasan}', "");
    Expect(1, 66856, '\p{^Is_Script=- Elbasan}', "");
    Expect(1, 66856, '\P{Is_Script=- Elbasan}', "");
    Expect(0, 66856, '\P{^Is_Script=- Elbasan}', "");
    Error('\p{Is_Sc=/a/	ELBA}');
    Error('\P{Is_Sc=/a/	ELBA}');
    Expect(1, 66855, '\p{Is_Sc=elba}', "");
    Expect(0, 66855, '\p{^Is_Sc=elba}', "");
    Expect(0, 66855, '\P{Is_Sc=elba}', "");
    Expect(1, 66855, '\P{^Is_Sc=elba}', "");
    Expect(0, 66856, '\p{Is_Sc=elba}', "");
    Expect(1, 66856, '\p{^Is_Sc=elba}', "");
    Expect(1, 66856, '\P{Is_Sc=elba}', "");
    Expect(0, 66856, '\P{^Is_Sc=elba}', "");
    Expect(1, 66855, '\p{Is_Sc:- elba}', "");
    Expect(0, 66855, '\p{^Is_Sc:- elba}', "");
    Expect(0, 66855, '\P{Is_Sc:- elba}', "");
    Expect(1, 66855, '\P{^Is_Sc:- elba}', "");
    Expect(0, 66856, '\p{Is_Sc:- elba}', "");
    Expect(1, 66856, '\p{^Is_Sc:- elba}', "");
    Expect(1, 66856, '\P{Is_Sc:- elba}', "");
    Expect(0, 66856, '\P{^Is_Sc:- elba}', "");
    Error('\p{Script=		Elymaic/a/}');
    Error('\P{Script=		Elymaic/a/}');
    Expect(1, 69622, '\p{Script=:\AElymaic\z:}', "");;
    Expect(0, 69623, '\p{Script=:\AElymaic\z:}', "");;
    Expect(1, 69622, '\p{Script=elymaic}', "");
    Expect(0, 69622, '\p{^Script=elymaic}', "");
    Expect(0, 69622, '\P{Script=elymaic}', "");
    Expect(1, 69622, '\P{^Script=elymaic}', "");
    Expect(0, 69623, '\p{Script=elymaic}', "");
    Expect(1, 69623, '\p{^Script=elymaic}', "");
    Expect(1, 69623, '\P{Script=elymaic}', "");
    Expect(0, 69623, '\P{^Script=elymaic}', "");
    Expect(1, 69622, '\p{Script=:\Aelymaic\z:}', "");;
    Expect(0, 69623, '\p{Script=:\Aelymaic\z:}', "");;
    Expect(1, 69622, '\p{Script=	 ELYMAIC}', "");
    Expect(0, 69622, '\p{^Script=	 ELYMAIC}', "");
    Expect(0, 69622, '\P{Script=	 ELYMAIC}', "");
    Expect(1, 69622, '\P{^Script=	 ELYMAIC}', "");
    Expect(0, 69623, '\p{Script=	 ELYMAIC}', "");
    Expect(1, 69623, '\p{^Script=	 ELYMAIC}', "");
    Expect(1, 69623, '\P{Script=	 ELYMAIC}', "");
    Expect(0, 69623, '\P{^Script=	 ELYMAIC}', "");
    Error('\p{Sc=  elym/a/}');
    Error('\P{Sc=  elym/a/}');
    Expect(1, 69622, '\p{Sc=:\AElym\z:}', "");;
    Expect(0, 69623, '\p{Sc=:\AElym\z:}', "");;
    Expect(1, 69622, '\p{Sc=elym}', "");
    Expect(0, 69622, '\p{^Sc=elym}', "");
    Expect(0, 69622, '\P{Sc=elym}', "");
    Expect(1, 69622, '\P{^Sc=elym}', "");
    Expect(0, 69623, '\p{Sc=elym}', "");
    Expect(1, 69623, '\p{^Sc=elym}', "");
    Expect(1, 69623, '\P{Sc=elym}', "");
    Expect(0, 69623, '\P{^Sc=elym}', "");
    Expect(1, 69622, '\p{Sc=:\Aelym\z:}', "");;
    Expect(0, 69623, '\p{Sc=:\Aelym\z:}', "");;
    Expect(1, 69622, '\p{Sc=- ELYM}', "");
    Expect(0, 69622, '\p{^Sc=- ELYM}', "");
    Expect(0, 69622, '\P{Sc=- ELYM}', "");
    Expect(1, 69622, '\P{^Sc=- ELYM}', "");
    Expect(0, 69623, '\p{Sc=- ELYM}', "");
    Expect(1, 69623, '\p{^Sc=- ELYM}', "");
    Expect(1, 69623, '\P{Sc=- ELYM}', "");
    Expect(0, 69623, '\P{^Sc=- ELYM}', "");
    Error('\p{Is_Script=	/a/Elymaic}');
    Error('\P{Is_Script=	/a/Elymaic}');
    Expect(1, 69622, '\p{Is_Script=elymaic}', "");
    Expect(0, 69622, '\p{^Is_Script=elymaic}', "");
    Expect(0, 69622, '\P{Is_Script=elymaic}', "");
    Expect(1, 69622, '\P{^Is_Script=elymaic}', "");
    Expect(0, 69623, '\p{Is_Script=elymaic}', "");
    Expect(1, 69623, '\p{^Is_Script=elymaic}', "");
    Expect(1, 69623, '\P{Is_Script=elymaic}', "");
    Expect(0, 69623, '\P{^Is_Script=elymaic}', "");
    Expect(1, 69622, '\p{Is_Script=-_ELYMAIC}', "");
    Expect(0, 69622, '\p{^Is_Script=-_ELYMAIC}', "");
    Expect(0, 69622, '\P{Is_Script=-_ELYMAIC}', "");
    Expect(1, 69622, '\P{^Is_Script=-_ELYMAIC}', "");
    Expect(0, 69623, '\p{Is_Script=-_ELYMAIC}', "");
    Expect(1, 69623, '\p{^Is_Script=-_ELYMAIC}', "");
    Expect(1, 69623, '\P{Is_Script=-_ELYMAIC}', "");
    Expect(0, 69623, '\P{^Is_Script=-_ELYMAIC}', "");
    Error('\p{Is_Sc=	/a/ELYM}');
    Error('\P{Is_Sc=	/a/ELYM}');
    Expect(1, 69622, '\p{Is_Sc=elym}', "");
    Expect(0, 69622, '\p{^Is_Sc=elym}', "");
    Expect(0, 69622, '\P{Is_Sc=elym}', "");
    Expect(1, 69622, '\P{^Is_Sc=elym}', "");
    Expect(0, 69623, '\p{Is_Sc=elym}', "");
    Expect(1, 69623, '\p{^Is_Sc=elym}', "");
    Expect(1, 69623, '\P{Is_Sc=elym}', "");
    Expect(0, 69623, '\P{^Is_Sc=elym}', "");
    Expect(1, 69622, '\p{Is_Sc=- elym}', "");
    Expect(0, 69622, '\p{^Is_Sc=- elym}', "");
    Expect(0, 69622, '\P{Is_Sc=- elym}', "");
    Expect(1, 69622, '\P{^Is_Sc=- elym}', "");
    Expect(0, 69623, '\p{Is_Sc=- elym}', "");
    Expect(1, 69623, '\p{^Is_Sc=- elym}', "");
    Expect(1, 69623, '\P{Is_Sc=- elym}', "");
    Expect(0, 69623, '\P{^Is_Sc=- elym}', "");
    Error('\p{Script: 	ETHIOPIC/a/}');
    Error('\P{Script: 	ETHIOPIC/a/}');
    Expect(1, 124926, '\p{Script=:\AEthiopic\z:}', "");;
    Expect(0, 124927, '\p{Script=:\AEthiopic\z:}', "");;
    Expect(1, 124926, '\p{Script=ethiopic}', "");
    Expect(0, 124926, '\p{^Script=ethiopic}', "");
    Expect(0, 124926, '\P{Script=ethiopic}', "");
    Expect(1, 124926, '\P{^Script=ethiopic}', "");
    Expect(0, 124927, '\p{Script=ethiopic}', "");
    Expect(1, 124927, '\p{^Script=ethiopic}', "");
    Expect(1, 124927, '\P{Script=ethiopic}', "");
    Expect(0, 124927, '\P{^Script=ethiopic}', "");
    Expect(1, 124926, '\p{Script=:\Aethiopic\z:}', "");;
    Expect(0, 124927, '\p{Script=:\Aethiopic\z:}', "");;
    Expect(1, 124926, '\p{Script= 	ETHIOPIC}', "");
    Expect(0, 124926, '\p{^Script= 	ETHIOPIC}', "");
    Expect(0, 124926, '\P{Script= 	ETHIOPIC}', "");
    Expect(1, 124926, '\P{^Script= 	ETHIOPIC}', "");
    Expect(0, 124927, '\p{Script= 	ETHIOPIC}', "");
    Expect(1, 124927, '\p{^Script= 	ETHIOPIC}', "");
    Expect(1, 124927, '\P{Script= 	ETHIOPIC}', "");
    Expect(0, 124927, '\P{^Script= 	ETHIOPIC}', "");
    Error('\p{Sc=_Ethi/a/}');
    Error('\P{Sc=_Ethi/a/}');
    Expect(1, 124926, '\p{Sc=:\AEthi\z:}', "");;
    Expect(0, 124927, '\p{Sc=:\AEthi\z:}', "");;
    Expect(1, 124926, '\p{Sc=ethi}', "");
    Expect(0, 124926, '\p{^Sc=ethi}', "");
    Expect(0, 124926, '\P{Sc=ethi}', "");
    Expect(1, 124926, '\P{^Sc=ethi}', "");
    Expect(0, 124927, '\p{Sc=ethi}', "");
    Expect(1, 124927, '\p{^Sc=ethi}', "");
    Expect(1, 124927, '\P{Sc=ethi}', "");
    Expect(0, 124927, '\P{^Sc=ethi}', "");
    Expect(1, 124926, '\p{Sc=:\Aethi\z:}', "");;
    Expect(0, 124927, '\p{Sc=:\Aethi\z:}', "");;
    Expect(1, 124926, '\p{Sc=-Ethi}', "");
    Expect(0, 124926, '\p{^Sc=-Ethi}', "");
    Expect(0, 124926, '\P{Sc=-Ethi}', "");
    Expect(1, 124926, '\P{^Sc=-Ethi}', "");
    Expect(0, 124927, '\p{Sc=-Ethi}', "");
    Expect(1, 124927, '\p{^Sc=-Ethi}', "");
    Expect(1, 124927, '\P{Sc=-Ethi}', "");
    Expect(0, 124927, '\P{^Sc=-Ethi}', "");
    Error('\p{Is_Script=	/a/ETHIOPIC}');
    Error('\P{Is_Script=	/a/ETHIOPIC}');
    Expect(1, 124926, '\p{Is_Script=ethiopic}', "");
    Expect(0, 124926, '\p{^Is_Script=ethiopic}', "");
    Expect(0, 124926, '\P{Is_Script=ethiopic}', "");
    Expect(1, 124926, '\P{^Is_Script=ethiopic}', "");
    Expect(0, 124927, '\p{Is_Script=ethiopic}', "");
    Expect(1, 124927, '\p{^Is_Script=ethiopic}', "");
    Expect(1, 124927, '\P{Is_Script=ethiopic}', "");
    Expect(0, 124927, '\P{^Is_Script=ethiopic}', "");
    Expect(1, 124926, '\p{Is_Script=	-ETHIOPIC}', "");
    Expect(0, 124926, '\p{^Is_Script=	-ETHIOPIC}', "");
    Expect(0, 124926, '\P{Is_Script=	-ETHIOPIC}', "");
    Expect(1, 124926, '\P{^Is_Script=	-ETHIOPIC}', "");
    Expect(0, 124927, '\p{Is_Script=	-ETHIOPIC}', "");
    Expect(1, 124927, '\p{^Is_Script=	-ETHIOPIC}', "");
    Expect(1, 124927, '\P{Is_Script=	-ETHIOPIC}', "");
    Expect(0, 124927, '\P{^Is_Script=	-ETHIOPIC}', "");
    Error('\p{Is_Sc=	 ETHI:=}');
    Error('\P{Is_Sc=	 ETHI:=}');
    Expect(1, 124926, '\p{Is_Sc=ethi}', "");
    Expect(0, 124926, '\p{^Is_Sc=ethi}', "");
    Expect(0, 124926, '\P{Is_Sc=ethi}', "");
    Expect(1, 124926, '\P{^Is_Sc=ethi}', "");
    Expect(0, 124927, '\p{Is_Sc=ethi}', "");
    Expect(1, 124927, '\p{^Is_Sc=ethi}', "");
    Expect(1, 124927, '\P{Is_Sc=ethi}', "");
    Expect(0, 124927, '\P{^Is_Sc=ethi}', "");
    Expect(1, 124926, '\p{Is_Sc=		Ethi}', "");
    Expect(0, 124926, '\p{^Is_Sc=		Ethi}', "");
    Expect(0, 124926, '\P{Is_Sc=		Ethi}', "");
    Expect(1, 124926, '\P{^Is_Sc=		Ethi}', "");
    Expect(0, 124927, '\p{Is_Sc=		Ethi}', "");
    Expect(1, 124927, '\p{^Is_Sc=		Ethi}', "");
    Expect(1, 124927, '\P{Is_Sc=		Ethi}', "");
    Expect(0, 124927, '\P{^Is_Sc=		Ethi}', "");
    Error('\p{Script=:=GEORGIAN}');
    Error('\P{Script=:=GEORGIAN}');
    Expect(1, 11565, '\p{Script=:\AGeorgian\z:}', "");;
    Expect(0, 11566, '\p{Script=:\AGeorgian\z:}', "");;
    Expect(1, 11565, '\p{Script=georgian}', "");
    Expect(0, 11565, '\p{^Script=georgian}', "");
    Expect(0, 11565, '\P{Script=georgian}', "");
    Expect(1, 11565, '\P{^Script=georgian}', "");
    Expect(0, 11566, '\p{Script=georgian}', "");
    Expect(1, 11566, '\p{^Script=georgian}', "");
    Expect(1, 11566, '\P{Script=georgian}', "");
    Expect(0, 11566, '\P{^Script=georgian}', "");
    Expect(1, 11565, '\p{Script=:\Ageorgian\z:}', "");;
    Expect(0, 11566, '\p{Script=:\Ageorgian\z:}', "");;
    Expect(1, 11565, '\p{Script=	 GEORGIAN}', "");
    Expect(0, 11565, '\p{^Script=	 GEORGIAN}', "");
    Expect(0, 11565, '\P{Script=	 GEORGIAN}', "");
    Expect(1, 11565, '\P{^Script=	 GEORGIAN}', "");
    Expect(0, 11566, '\p{Script=	 GEORGIAN}', "");
    Expect(1, 11566, '\p{^Script=	 GEORGIAN}', "");
    Expect(1, 11566, '\P{Script=	 GEORGIAN}', "");
    Expect(0, 11566, '\P{^Script=	 GEORGIAN}', "");
    Error('\p{Sc=:= -Geor}');
    Error('\P{Sc=:= -Geor}');
    Expect(1, 11565, '\p{Sc=:\AGeor\z:}', "");;
    Expect(0, 11566, '\p{Sc=:\AGeor\z:}', "");;
    Expect(1, 11565, '\p{Sc=geor}', "");
    Expect(0, 11565, '\p{^Sc=geor}', "");
    Expect(0, 11565, '\P{Sc=geor}', "");
    Expect(1, 11565, '\P{^Sc=geor}', "");
    Expect(0, 11566, '\p{Sc=geor}', "");
    Expect(1, 11566, '\p{^Sc=geor}', "");
    Expect(1, 11566, '\P{Sc=geor}', "");
    Expect(0, 11566, '\P{^Sc=geor}', "");
    Expect(1, 11565, '\p{Sc=:\Ageor\z:}', "");;
    Expect(0, 11566, '\p{Sc=:\Ageor\z:}', "");;
    Expect(1, 11565, '\p{Sc=	Geor}', "");
    Expect(0, 11565, '\p{^Sc=	Geor}', "");
    Expect(0, 11565, '\P{Sc=	Geor}', "");
    Expect(1, 11565, '\P{^Sc=	Geor}', "");
    Expect(0, 11566, '\p{Sc=	Geor}', "");
    Expect(1, 11566, '\p{^Sc=	Geor}', "");
    Expect(1, 11566, '\P{Sc=	Geor}', "");
    Expect(0, 11566, '\P{^Sc=	Geor}', "");
    Error('\p{Is_Script=	/a/georgian}');
    Error('\P{Is_Script=	/a/georgian}');
    Expect(1, 11565, '\p{Is_Script=georgian}', "");
    Expect(0, 11565, '\p{^Is_Script=georgian}', "");
    Expect(0, 11565, '\P{Is_Script=georgian}', "");
    Expect(1, 11565, '\P{^Is_Script=georgian}', "");
    Expect(0, 11566, '\p{Is_Script=georgian}', "");
    Expect(1, 11566, '\p{^Is_Script=georgian}', "");
    Expect(1, 11566, '\P{Is_Script=georgian}', "");
    Expect(0, 11566, '\P{^Is_Script=georgian}', "");
    Expect(1, 11565, '\p{Is_Script= _Georgian}', "");
    Expect(0, 11565, '\p{^Is_Script= _Georgian}', "");
    Expect(0, 11565, '\P{Is_Script= _Georgian}', "");
    Expect(1, 11565, '\P{^Is_Script= _Georgian}', "");
    Expect(0, 11566, '\p{Is_Script= _Georgian}', "");
    Expect(1, 11566, '\p{^Is_Script= _Georgian}', "");
    Expect(1, 11566, '\P{Is_Script= _Georgian}', "");
    Expect(0, 11566, '\P{^Is_Script= _Georgian}', "");
    Error('\p{Is_Sc=_/a/Geor}');
    Error('\P{Is_Sc=_/a/Geor}');
    Expect(1, 11565, '\p{Is_Sc=geor}', "");
    Expect(0, 11565, '\p{^Is_Sc=geor}', "");
    Expect(0, 11565, '\P{Is_Sc=geor}', "");
    Expect(1, 11565, '\P{^Is_Sc=geor}', "");
    Expect(0, 11566, '\p{Is_Sc=geor}', "");
    Expect(1, 11566, '\p{^Is_Sc=geor}', "");
    Expect(1, 11566, '\P{Is_Sc=geor}', "");
    Expect(0, 11566, '\P{^Is_Sc=geor}', "");
    Expect(1, 11565, '\p{Is_Sc=-geor}', "");
    Expect(0, 11565, '\p{^Is_Sc=-geor}', "");
    Expect(0, 11565, '\P{Is_Sc=-geor}', "");
    Expect(1, 11565, '\P{^Is_Sc=-geor}', "");
    Expect(0, 11566, '\p{Is_Sc=-geor}', "");
    Expect(1, 11566, '\p{^Is_Sc=-geor}', "");
    Expect(1, 11566, '\P{Is_Sc=-geor}', "");
    Expect(0, 11566, '\P{^Is_Sc=-geor}', "");
    Error('\p{Script= Glagolitic/a/}');
    Error('\P{Script= Glagolitic/a/}');
    Expect(1, 122922, '\p{Script=:\AGlagolitic\z:}', "");;
    Expect(0, 122923, '\p{Script=:\AGlagolitic\z:}', "");;
    Expect(1, 122922, '\p{Script=glagolitic}', "");
    Expect(0, 122922, '\p{^Script=glagolitic}', "");
    Expect(0, 122922, '\P{Script=glagolitic}', "");
    Expect(1, 122922, '\P{^Script=glagolitic}', "");
    Expect(0, 122923, '\p{Script=glagolitic}', "");
    Expect(1, 122923, '\p{^Script=glagolitic}', "");
    Expect(1, 122923, '\P{Script=glagolitic}', "");
    Expect(0, 122923, '\P{^Script=glagolitic}', "");
    Expect(1, 122922, '\p{Script=:\Aglagolitic\z:}', "");;
    Expect(0, 122923, '\p{Script=:\Aglagolitic\z:}', "");;
    Expect(1, 122922, '\p{Script=_Glagolitic}', "");
    Expect(0, 122922, '\p{^Script=_Glagolitic}', "");
    Expect(0, 122922, '\P{Script=_Glagolitic}', "");
    Expect(1, 122922, '\P{^Script=_Glagolitic}', "");
    Expect(0, 122923, '\p{Script=_Glagolitic}', "");
    Expect(1, 122923, '\p{^Script=_Glagolitic}', "");
    Expect(1, 122923, '\P{Script=_Glagolitic}', "");
    Expect(0, 122923, '\P{^Script=_Glagolitic}', "");
    Error('\p{Sc::=- glag}');
    Error('\P{Sc::=- glag}');
    Expect(1, 122922, '\p{Sc=:\AGlag\z:}', "");;
    Expect(0, 122923, '\p{Sc=:\AGlag\z:}', "");;
    Expect(1, 122922, '\p{Sc=glag}', "");
    Expect(0, 122922, '\p{^Sc=glag}', "");
    Expect(0, 122922, '\P{Sc=glag}', "");
    Expect(1, 122922, '\P{^Sc=glag}', "");
    Expect(0, 122923, '\p{Sc=glag}', "");
    Expect(1, 122923, '\p{^Sc=glag}', "");
    Expect(1, 122923, '\P{Sc=glag}', "");
    Expect(0, 122923, '\P{^Sc=glag}', "");
    Expect(1, 122922, '\p{Sc=:\Aglag\z:}', "");;
    Expect(0, 122923, '\p{Sc=:\Aglag\z:}', "");;
    Expect(1, 122922, '\p{Sc=	_Glag}', "");
    Expect(0, 122922, '\p{^Sc=	_Glag}', "");
    Expect(0, 122922, '\P{Sc=	_Glag}', "");
    Expect(1, 122922, '\P{^Sc=	_Glag}', "");
    Expect(0, 122923, '\p{Sc=	_Glag}', "");
    Expect(1, 122923, '\p{^Sc=	_Glag}', "");
    Expect(1, 122923, '\P{Sc=	_Glag}', "");
    Expect(0, 122923, '\P{^Sc=	_Glag}', "");
    Error('\p{Is_Script=--GLAGOLITIC:=}');
    Error('\P{Is_Script=--GLAGOLITIC:=}');
    Expect(1, 122922, '\p{Is_Script: glagolitic}', "");
    Expect(0, 122922, '\p{^Is_Script: glagolitic}', "");
    Expect(0, 122922, '\P{Is_Script: glagolitic}', "");
    Expect(1, 122922, '\P{^Is_Script: glagolitic}', "");
    Expect(0, 122923, '\p{Is_Script: glagolitic}', "");
    Expect(1, 122923, '\p{^Is_Script: glagolitic}', "");
    Expect(1, 122923, '\P{Is_Script: glagolitic}', "");
    Expect(0, 122923, '\P{^Is_Script: glagolitic}', "");
    Expect(1, 122922, '\p{Is_Script= 	Glagolitic}', "");
    Expect(0, 122922, '\p{^Is_Script= 	Glagolitic}', "");
    Expect(0, 122922, '\P{Is_Script= 	Glagolitic}', "");
    Expect(1, 122922, '\P{^Is_Script= 	Glagolitic}', "");
    Expect(0, 122923, '\p{Is_Script= 	Glagolitic}', "");
    Expect(1, 122923, '\p{^Is_Script= 	Glagolitic}', "");
    Expect(1, 122923, '\P{Is_Script= 	Glagolitic}', "");
    Expect(0, 122923, '\P{^Is_Script= 	Glagolitic}', "");
    Error('\p{Is_Sc= /a/Glag}');
    Error('\P{Is_Sc= /a/Glag}');
    Expect(1, 122922, '\p{Is_Sc=glag}', "");
    Expect(0, 122922, '\p{^Is_Sc=glag}', "");
    Expect(0, 122922, '\P{Is_Sc=glag}', "");
    Expect(1, 122922, '\P{^Is_Sc=glag}', "");
    Expect(0, 122923, '\p{Is_Sc=glag}', "");
    Expect(1, 122923, '\p{^Is_Sc=glag}', "");
    Expect(1, 122923, '\P{Is_Sc=glag}', "");
    Expect(0, 122923, '\P{^Is_Sc=glag}', "");
    Expect(1, 122922, '\p{Is_Sc=__Glag}', "");
    Expect(0, 122922, '\p{^Is_Sc=__Glag}', "");
    Expect(0, 122922, '\P{Is_Sc=__Glag}', "");
    Expect(1, 122922, '\P{^Is_Sc=__Glag}', "");
    Expect(0, 122923, '\p{Is_Sc=__Glag}', "");
    Expect(1, 122923, '\p{^Is_Sc=__Glag}', "");
    Expect(1, 122923, '\P{Is_Sc=__Glag}', "");
    Expect(0, 122923, '\P{^Is_Sc=__Glag}', "");
    Error('\p{Script=/a/-_GUNJALA_Gondi}');
    Error('\P{Script=/a/-_GUNJALA_Gondi}');
    Expect(1, 73129, '\p{Script=:\AGunjala_Gondi\z:}', "");;
    Expect(0, 73130, '\p{Script=:\AGunjala_Gondi\z:}', "");;
    Expect(1, 73129, '\p{Script:	gunjalagondi}', "");
    Expect(0, 73129, '\p{^Script:	gunjalagondi}', "");
    Expect(0, 73129, '\P{Script:	gunjalagondi}', "");
    Expect(1, 73129, '\P{^Script:	gunjalagondi}', "");
    Expect(0, 73130, '\p{Script:	gunjalagondi}', "");
    Expect(1, 73130, '\p{^Script:	gunjalagondi}', "");
    Expect(1, 73130, '\P{Script:	gunjalagondi}', "");
    Expect(0, 73130, '\P{^Script:	gunjalagondi}', "");
    Expect(1, 73129, '\p{Script=:\Agunjalagondi\z:}', "");;
    Expect(0, 73130, '\p{Script=:\Agunjalagondi\z:}', "");;
    Expect(1, 73129, '\p{Script=  Gunjala_Gondi}', "");
    Expect(0, 73129, '\p{^Script=  Gunjala_Gondi}', "");
    Expect(0, 73129, '\P{Script=  Gunjala_Gondi}', "");
    Expect(1, 73129, '\P{^Script=  Gunjala_Gondi}', "");
    Expect(0, 73130, '\p{Script=  Gunjala_Gondi}', "");
    Expect(1, 73130, '\p{^Script=  Gunjala_Gondi}', "");
    Expect(1, 73130, '\P{Script=  Gunjala_Gondi}', "");
    Expect(0, 73130, '\P{^Script=  Gunjala_Gondi}', "");
    Error('\p{Sc=:=	Gong}');
    Error('\P{Sc=:=	Gong}');
    Expect(1, 73129, '\p{Sc=:\AGong\z:}', "");;
    Expect(0, 73130, '\p{Sc=:\AGong\z:}', "");;
    Expect(1, 73129, '\p{Sc:gong}', "");
    Expect(0, 73129, '\p{^Sc:gong}', "");
    Expect(0, 73129, '\P{Sc:gong}', "");
    Expect(1, 73129, '\P{^Sc:gong}', "");
    Expect(0, 73130, '\p{Sc:gong}', "");
    Expect(1, 73130, '\p{^Sc:gong}', "");
    Expect(1, 73130, '\P{Sc:gong}', "");
    Expect(0, 73130, '\P{^Sc:gong}', "");
    Expect(1, 73129, '\p{Sc=:\Agong\z:}', "");;
    Expect(0, 73130, '\p{Sc=:\Agong\z:}', "");;
    Expect(1, 73129, '\p{Sc=- GONG}', "");
    Expect(0, 73129, '\p{^Sc=- GONG}', "");
    Expect(0, 73129, '\P{Sc=- GONG}', "");
    Expect(1, 73129, '\P{^Sc=- GONG}', "");
    Expect(0, 73130, '\p{Sc=- GONG}', "");
    Expect(1, 73130, '\p{^Sc=- GONG}', "");
    Expect(1, 73130, '\P{Sc=- GONG}', "");
    Expect(0, 73130, '\P{^Sc=- GONG}', "");
    Error('\p{Is_Script=	:=Gunjala_GONDI}');
    Error('\P{Is_Script=	:=Gunjala_GONDI}');
    Expect(1, 73129, '\p{Is_Script=gunjalagondi}', "");
    Expect(0, 73129, '\p{^Is_Script=gunjalagondi}', "");
    Expect(0, 73129, '\P{Is_Script=gunjalagondi}', "");
    Expect(1, 73129, '\P{^Is_Script=gunjalagondi}', "");
    Expect(0, 73130, '\p{Is_Script=gunjalagondi}', "");
    Expect(1, 73130, '\p{^Is_Script=gunjalagondi}', "");
    Expect(1, 73130, '\P{Is_Script=gunjalagondi}', "");
    Expect(0, 73130, '\P{^Is_Script=gunjalagondi}', "");
    Expect(1, 73129, '\p{Is_Script:-_gunjala_Gondi}', "");
    Expect(0, 73129, '\p{^Is_Script:-_gunjala_Gondi}', "");
    Expect(0, 73129, '\P{Is_Script:-_gunjala_Gondi}', "");
    Expect(1, 73129, '\P{^Is_Script:-_gunjala_Gondi}', "");
    Expect(0, 73130, '\p{Is_Script:-_gunjala_Gondi}', "");
    Expect(1, 73130, '\p{^Is_Script:-_gunjala_Gondi}', "");
    Expect(1, 73130, '\P{Is_Script:-_gunjala_Gondi}', "");
    Expect(0, 73130, '\P{^Is_Script:-_gunjala_Gondi}', "");
    Error('\p{Is_Sc=_Gong/a/}');
    Error('\P{Is_Sc=_Gong/a/}');
    Expect(1, 73129, '\p{Is_Sc=gong}', "");
    Expect(0, 73129, '\p{^Is_Sc=gong}', "");
    Expect(0, 73129, '\P{Is_Sc=gong}', "");
    Expect(1, 73129, '\P{^Is_Sc=gong}', "");
    Expect(0, 73130, '\p{Is_Sc=gong}', "");
    Expect(1, 73130, '\p{^Is_Sc=gong}', "");
    Expect(1, 73130, '\P{Is_Sc=gong}', "");
    Expect(0, 73130, '\P{^Is_Sc=gong}', "");
    Expect(1, 73129, '\p{Is_Sc:   _	Gong}', "");
    Expect(0, 73129, '\p{^Is_Sc:   _	Gong}', "");
    Expect(0, 73129, '\P{Is_Sc:   _	Gong}', "");
    Expect(1, 73129, '\P{^Is_Sc:   _	Gong}', "");
    Expect(0, 73130, '\p{Is_Sc:   _	Gong}', "");
    Expect(1, 73130, '\p{^Is_Sc:   _	Gong}', "");
    Expect(1, 73130, '\P{Is_Sc:   _	Gong}', "");
    Expect(0, 73130, '\P{^Is_Sc:   _	Gong}', "");
    Error('\p{Script= masaram_Gondi/a/}');
    Error('\P{Script= masaram_Gondi/a/}');
    Expect(1, 73049, '\p{Script=:\AMasaram_Gondi\z:}', "");;
    Expect(0, 73050, '\p{Script=:\AMasaram_Gondi\z:}', "");;
    Expect(1, 73049, '\p{Script=masaramgondi}', "");
    Expect(0, 73049, '\p{^Script=masaramgondi}', "");
    Expect(0, 73049, '\P{Script=masaramgondi}', "");
    Expect(1, 73049, '\P{^Script=masaramgondi}', "");
    Expect(0, 73050, '\p{Script=masaramgondi}', "");
    Expect(1, 73050, '\p{^Script=masaramgondi}', "");
    Expect(1, 73050, '\P{Script=masaramgondi}', "");
    Expect(0, 73050, '\P{^Script=masaramgondi}', "");
    Expect(1, 73049, '\p{Script=:\Amasaramgondi\z:}', "");;
    Expect(0, 73050, '\p{Script=:\Amasaramgondi\z:}', "");;
    Expect(1, 73049, '\p{Script=_	Masaram_Gondi}', "");
    Expect(0, 73049, '\p{^Script=_	Masaram_Gondi}', "");
    Expect(0, 73049, '\P{Script=_	Masaram_Gondi}', "");
    Expect(1, 73049, '\P{^Script=_	Masaram_Gondi}', "");
    Expect(0, 73050, '\p{Script=_	Masaram_Gondi}', "");
    Expect(1, 73050, '\p{^Script=_	Masaram_Gondi}', "");
    Expect(1, 73050, '\P{Script=_	Masaram_Gondi}', "");
    Expect(0, 73050, '\P{^Script=_	Masaram_Gondi}', "");
    Error('\p{Sc=	:=gonm}');
    Error('\P{Sc=	:=gonm}');
    Expect(1, 73049, '\p{Sc=:\AGonm\z:}', "");;
    Expect(0, 73050, '\p{Sc=:\AGonm\z:}', "");;
    Expect(1, 73049, '\p{Sc:gonm}', "");
    Expect(0, 73049, '\p{^Sc:gonm}', "");
    Expect(0, 73049, '\P{Sc:gonm}', "");
    Expect(1, 73049, '\P{^Sc:gonm}', "");
    Expect(0, 73050, '\p{Sc:gonm}', "");
    Expect(1, 73050, '\p{^Sc:gonm}', "");
    Expect(1, 73050, '\P{Sc:gonm}', "");
    Expect(0, 73050, '\P{^Sc:gonm}', "");
    Expect(1, 73049, '\p{Sc=:\Agonm\z:}', "");;
    Expect(0, 73050, '\p{Sc=:\Agonm\z:}', "");;
    Expect(1, 73049, '\p{Sc=	_Gonm}', "");
    Expect(0, 73049, '\p{^Sc=	_Gonm}', "");
    Expect(0, 73049, '\P{Sc=	_Gonm}', "");
    Expect(1, 73049, '\P{^Sc=	_Gonm}', "");
    Expect(0, 73050, '\p{Sc=	_Gonm}', "");
    Expect(1, 73050, '\p{^Sc=	_Gonm}', "");
    Expect(1, 73050, '\P{Sc=	_Gonm}', "");
    Expect(0, 73050, '\P{^Sc=	_Gonm}', "");
    Error('\p{Is_Script=_:=Masaram_GONDI}');
    Error('\P{Is_Script=_:=Masaram_GONDI}');
    Expect(1, 73049, '\p{Is_Script=masaramgondi}', "");
    Expect(0, 73049, '\p{^Is_Script=masaramgondi}', "");
    Expect(0, 73049, '\P{Is_Script=masaramgondi}', "");
    Expect(1, 73049, '\P{^Is_Script=masaramgondi}', "");
    Expect(0, 73050, '\p{Is_Script=masaramgondi}', "");
    Expect(1, 73050, '\p{^Is_Script=masaramgondi}', "");
    Expect(1, 73050, '\P{Is_Script=masaramgondi}', "");
    Expect(0, 73050, '\P{^Is_Script=masaramgondi}', "");
    Expect(1, 73049, '\p{Is_Script=-masaram_gondi}', "");
    Expect(0, 73049, '\p{^Is_Script=-masaram_gondi}', "");
    Expect(0, 73049, '\P{Is_Script=-masaram_gondi}', "");
    Expect(1, 73049, '\P{^Is_Script=-masaram_gondi}', "");
    Expect(0, 73050, '\p{Is_Script=-masaram_gondi}', "");
    Expect(1, 73050, '\p{^Is_Script=-masaram_gondi}', "");
    Expect(1, 73050, '\P{Is_Script=-masaram_gondi}', "");
    Expect(0, 73050, '\P{^Is_Script=-masaram_gondi}', "");
    Error('\p{Is_Sc=:=	 Gonm}');
    Error('\P{Is_Sc=:=	 Gonm}');
    Expect(1, 73049, '\p{Is_Sc=gonm}', "");
    Expect(0, 73049, '\p{^Is_Sc=gonm}', "");
    Expect(0, 73049, '\P{Is_Sc=gonm}', "");
    Expect(1, 73049, '\P{^Is_Sc=gonm}', "");
    Expect(0, 73050, '\p{Is_Sc=gonm}', "");
    Expect(1, 73050, '\p{^Is_Sc=gonm}', "");
    Expect(1, 73050, '\P{Is_Sc=gonm}', "");
    Expect(0, 73050, '\P{^Is_Sc=gonm}', "");
    Expect(1, 73049, '\p{Is_Sc=	_GONM}', "");
    Expect(0, 73049, '\p{^Is_Sc=	_GONM}', "");
    Expect(0, 73049, '\P{Is_Sc=	_GONM}', "");
    Expect(1, 73049, '\P{^Is_Sc=	_GONM}', "");
    Expect(0, 73050, '\p{Is_Sc=	_GONM}', "");
    Expect(1, 73050, '\p{^Is_Sc=	_GONM}', "");
    Expect(1, 73050, '\P{Is_Sc=	_GONM}', "");
    Expect(0, 73050, '\P{^Is_Sc=	_GONM}', "");
    Error('\p{Script=/a/-GOTHIC}');
    Error('\P{Script=/a/-GOTHIC}');
    Expect(1, 66378, '\p{Script=:\AGothic\z:}', "");;
    Expect(0, 66379, '\p{Script=:\AGothic\z:}', "");;
    Expect(1, 66378, '\p{Script:	gothic}', "");
    Expect(0, 66378, '\p{^Script:	gothic}', "");
    Expect(0, 66378, '\P{Script:	gothic}', "");
    Expect(1, 66378, '\P{^Script:	gothic}', "");
    Expect(0, 66379, '\p{Script:	gothic}', "");
    Expect(1, 66379, '\p{^Script:	gothic}', "");
    Expect(1, 66379, '\P{Script:	gothic}', "");
    Expect(0, 66379, '\P{^Script:	gothic}', "");
    Expect(1, 66378, '\p{Script=:\Agothic\z:}', "");;
    Expect(0, 66379, '\p{Script=:\Agothic\z:}', "");;
    Expect(1, 66378, '\p{Script=__gothic}', "");
    Expect(0, 66378, '\p{^Script=__gothic}', "");
    Expect(0, 66378, '\P{Script=__gothic}', "");
    Expect(1, 66378, '\P{^Script=__gothic}', "");
    Expect(0, 66379, '\p{Script=__gothic}', "");
    Expect(1, 66379, '\p{^Script=__gothic}', "");
    Expect(1, 66379, '\P{Script=__gothic}', "");
    Expect(0, 66379, '\P{^Script=__gothic}', "");
    Error('\p{Sc=:=_	Goth}');
    Error('\P{Sc=:=_	Goth}');
    Expect(1, 66378, '\p{Sc=:\AGoth\z:}', "");;
    Expect(0, 66379, '\p{Sc=:\AGoth\z:}', "");;
    Expect(1, 66378, '\p{Sc=goth}', "");
    Expect(0, 66378, '\p{^Sc=goth}', "");
    Expect(0, 66378, '\P{Sc=goth}', "");
    Expect(1, 66378, '\P{^Sc=goth}', "");
    Expect(0, 66379, '\p{Sc=goth}', "");
    Expect(1, 66379, '\p{^Sc=goth}', "");
    Expect(1, 66379, '\P{Sc=goth}', "");
    Expect(0, 66379, '\P{^Sc=goth}', "");
    Expect(1, 66378, '\p{Sc=:\Agoth\z:}', "");;
    Expect(0, 66379, '\p{Sc=:\Agoth\z:}', "");;
    Expect(1, 66378, '\p{Sc= 	Goth}', "");
    Expect(0, 66378, '\p{^Sc= 	Goth}', "");
    Expect(0, 66378, '\P{Sc= 	Goth}', "");
    Expect(1, 66378, '\P{^Sc= 	Goth}', "");
    Expect(0, 66379, '\p{Sc= 	Goth}', "");
    Expect(1, 66379, '\p{^Sc= 	Goth}', "");
    Expect(1, 66379, '\P{Sc= 	Goth}', "");
    Expect(0, 66379, '\P{^Sc= 	Goth}', "");
    Error('\p{Is_Script=_/a/gothic}');
    Error('\P{Is_Script=_/a/gothic}');
    Expect(1, 66378, '\p{Is_Script=gothic}', "");
    Expect(0, 66378, '\p{^Is_Script=gothic}', "");
    Expect(0, 66378, '\P{Is_Script=gothic}', "");
    Expect(1, 66378, '\P{^Is_Script=gothic}', "");
    Expect(0, 66379, '\p{Is_Script=gothic}', "");
    Expect(1, 66379, '\p{^Is_Script=gothic}', "");
    Expect(1, 66379, '\P{Is_Script=gothic}', "");
    Expect(0, 66379, '\P{^Is_Script=gothic}', "");
    Expect(1, 66378, '\p{Is_Script=-_Gothic}', "");
    Expect(0, 66378, '\p{^Is_Script=-_Gothic}', "");
    Expect(0, 66378, '\P{Is_Script=-_Gothic}', "");
    Expect(1, 66378, '\P{^Is_Script=-_Gothic}', "");
    Expect(0, 66379, '\p{Is_Script=-_Gothic}', "");
    Expect(1, 66379, '\p{^Is_Script=-_Gothic}', "");
    Expect(1, 66379, '\P{Is_Script=-_Gothic}', "");
    Expect(0, 66379, '\P{^Is_Script=-_Gothic}', "");
    Error('\p{Is_Sc:   	/a/goth}');
    Error('\P{Is_Sc:   	/a/goth}');
    Expect(1, 66378, '\p{Is_Sc=goth}', "");
    Expect(0, 66378, '\p{^Is_Sc=goth}', "");
    Expect(0, 66378, '\P{Is_Sc=goth}', "");
    Expect(1, 66378, '\P{^Is_Sc=goth}', "");
    Expect(0, 66379, '\p{Is_Sc=goth}', "");
    Expect(1, 66379, '\p{^Is_Sc=goth}', "");
    Expect(1, 66379, '\P{Is_Sc=goth}', "");
    Expect(0, 66379, '\P{^Is_Sc=goth}', "");
    Expect(1, 66378, '\p{Is_Sc=- Goth}', "");
    Expect(0, 66378, '\p{^Is_Sc=- Goth}', "");
    Expect(0, 66378, '\P{Is_Sc=- Goth}', "");
    Expect(1, 66378, '\P{^Is_Sc=- Goth}', "");
    Expect(0, 66379, '\p{Is_Sc=- Goth}', "");
    Expect(1, 66379, '\p{^Is_Sc=- Goth}', "");
    Expect(1, 66379, '\P{Is_Sc=- Goth}', "");
    Expect(0, 66379, '\P{^Is_Sc=- Goth}', "");
    Error('\p{Script=		GRANTHA:=}');
    Error('\P{Script=		GRANTHA:=}');
    Expect(1, 70516, '\p{Script=:\AGrantha\z:}', "");;
    Expect(0, 70517, '\p{Script=:\AGrantha\z:}', "");;
    Expect(1, 70516, '\p{Script=grantha}', "");
    Expect(0, 70516, '\p{^Script=grantha}', "");
    Expect(0, 70516, '\P{Script=grantha}', "");
    Expect(1, 70516, '\P{^Script=grantha}', "");
    Expect(0, 70517, '\p{Script=grantha}', "");
    Expect(1, 70517, '\p{^Script=grantha}', "");
    Expect(1, 70517, '\P{Script=grantha}', "");
    Expect(0, 70517, '\P{^Script=grantha}', "");
    Expect(1, 70516, '\p{Script=:\Agrantha\z:}', "");;
    Expect(0, 70517, '\p{Script=:\Agrantha\z:}', "");;
    Expect(1, 70516, '\p{Script:    grantha}', "");
    Expect(0, 70516, '\p{^Script:    grantha}', "");
    Expect(0, 70516, '\P{Script:    grantha}', "");
    Expect(1, 70516, '\P{^Script:    grantha}', "");
    Expect(0, 70517, '\p{Script:    grantha}', "");
    Expect(1, 70517, '\p{^Script:    grantha}', "");
    Expect(1, 70517, '\P{Script:    grantha}', "");
    Expect(0, 70517, '\P{^Script:    grantha}', "");
    Error('\p{Sc=	:=Gran}');
    Error('\P{Sc=	:=Gran}');
    Expect(1, 70516, '\p{Sc=:\AGran\z:}', "");;
    Expect(0, 70517, '\p{Sc=:\AGran\z:}', "");;
    Expect(1, 70516, '\p{Sc=gran}', "");
    Expect(0, 70516, '\p{^Sc=gran}', "");
    Expect(0, 70516, '\P{Sc=gran}', "");
    Expect(1, 70516, '\P{^Sc=gran}', "");
    Expect(0, 70517, '\p{Sc=gran}', "");
    Expect(1, 70517, '\p{^Sc=gran}', "");
    Expect(1, 70517, '\P{Sc=gran}', "");
    Expect(0, 70517, '\P{^Sc=gran}', "");
    Expect(1, 70516, '\p{Sc=:\Agran\z:}', "");;
    Expect(0, 70517, '\p{Sc=:\Agran\z:}', "");;
    Expect(1, 70516, '\p{Sc=-Gran}', "");
    Expect(0, 70516, '\p{^Sc=-Gran}', "");
    Expect(0, 70516, '\P{Sc=-Gran}', "");
    Expect(1, 70516, '\P{^Sc=-Gran}', "");
    Expect(0, 70517, '\p{Sc=-Gran}', "");
    Expect(1, 70517, '\p{^Sc=-Gran}', "");
    Expect(1, 70517, '\P{Sc=-Gran}', "");
    Expect(0, 70517, '\P{^Sc=-Gran}', "");
    Error('\p{Is_Script=:=Grantha}');
    Error('\P{Is_Script=:=Grantha}');
    Expect(1, 70516, '\p{Is_Script:grantha}', "");
    Expect(0, 70516, '\p{^Is_Script:grantha}', "");
    Expect(0, 70516, '\P{Is_Script:grantha}', "");
    Expect(1, 70516, '\P{^Is_Script:grantha}', "");
    Expect(0, 70517, '\p{Is_Script:grantha}', "");
    Expect(1, 70517, '\p{^Is_Script:grantha}', "");
    Expect(1, 70517, '\P{Is_Script:grantha}', "");
    Expect(0, 70517, '\P{^Is_Script:grantha}', "");
    Expect(1, 70516, '\p{Is_Script=	GRANTHA}', "");
    Expect(0, 70516, '\p{^Is_Script=	GRANTHA}', "");
    Expect(0, 70516, '\P{Is_Script=	GRANTHA}', "");
    Expect(1, 70516, '\P{^Is_Script=	GRANTHA}', "");
    Expect(0, 70517, '\p{Is_Script=	GRANTHA}', "");
    Expect(1, 70517, '\p{^Is_Script=	GRANTHA}', "");
    Expect(1, 70517, '\P{Is_Script=	GRANTHA}', "");
    Expect(0, 70517, '\P{^Is_Script=	GRANTHA}', "");
    Error('\p{Is_Sc:-gran:=}');
    Error('\P{Is_Sc:-gran:=}');
    Expect(1, 70516, '\p{Is_Sc=gran}', "");
    Expect(0, 70516, '\p{^Is_Sc=gran}', "");
    Expect(0, 70516, '\P{Is_Sc=gran}', "");
    Expect(1, 70516, '\P{^Is_Sc=gran}', "");
    Expect(0, 70517, '\p{Is_Sc=gran}', "");
    Expect(1, 70517, '\p{^Is_Sc=gran}', "");
    Expect(1, 70517, '\P{Is_Sc=gran}', "");
    Expect(0, 70517, '\P{^Is_Sc=gran}', "");
    Expect(1, 70516, '\p{Is_Sc=_ GRAN}', "");
    Expect(0, 70516, '\p{^Is_Sc=_ GRAN}', "");
    Expect(0, 70516, '\P{Is_Sc=_ GRAN}', "");
    Expect(1, 70516, '\P{^Is_Sc=_ GRAN}', "");
    Expect(0, 70517, '\p{Is_Sc=_ GRAN}', "");
    Expect(1, 70517, '\p{^Is_Sc=_ GRAN}', "");
    Expect(1, 70517, '\P{Is_Sc=_ GRAN}', "");
    Expect(0, 70517, '\P{^Is_Sc=_ GRAN}', "");
    Error('\p{Script: -/a/Greek}');
    Error('\P{Script: -/a/Greek}');
    Expect(1, 119365, '\p{Script=:\AGreek\z:}', "");;
    Expect(0, 119366, '\p{Script=:\AGreek\z:}', "");;
    Expect(1, 119365, '\p{Script:	greek}', "");
    Expect(0, 119365, '\p{^Script:	greek}', "");
    Expect(0, 119365, '\P{Script:	greek}', "");
    Expect(1, 119365, '\P{^Script:	greek}', "");
    Expect(0, 119366, '\p{Script:	greek}', "");
    Expect(1, 119366, '\p{^Script:	greek}', "");
    Expect(1, 119366, '\P{Script:	greek}', "");
    Expect(0, 119366, '\P{^Script:	greek}', "");
    Expect(1, 119365, '\p{Script=:\Agreek\z:}', "");;
    Expect(0, 119366, '\p{Script=:\Agreek\z:}', "");;
    Expect(1, 119365, '\p{Script=		GREEK}', "");
    Expect(0, 119365, '\p{^Script=		GREEK}', "");
    Expect(0, 119365, '\P{Script=		GREEK}', "");
    Expect(1, 119365, '\P{^Script=		GREEK}', "");
    Expect(0, 119366, '\p{Script=		GREEK}', "");
    Expect(1, 119366, '\p{^Script=		GREEK}', "");
    Expect(1, 119366, '\P{Script=		GREEK}', "");
    Expect(0, 119366, '\P{^Script=		GREEK}', "");
    Error('\p{Sc=	/a/Grek}');
    Error('\P{Sc=	/a/Grek}');
    Expect(1, 119365, '\p{Sc=:\AGrek\z:}', "");;
    Expect(0, 119366, '\p{Sc=:\AGrek\z:}', "");;
    Expect(1, 119365, '\p{Sc=grek}', "");
    Expect(0, 119365, '\p{^Sc=grek}', "");
    Expect(0, 119365, '\P{Sc=grek}', "");
    Expect(1, 119365, '\P{^Sc=grek}', "");
    Expect(0, 119366, '\p{Sc=grek}', "");
    Expect(1, 119366, '\p{^Sc=grek}', "");
    Expect(1, 119366, '\P{Sc=grek}', "");
    Expect(0, 119366, '\P{^Sc=grek}', "");
    Expect(1, 119365, '\p{Sc=:\Agrek\z:}', "");;
    Expect(0, 119366, '\p{Sc=:\Agrek\z:}', "");;
    Expect(1, 119365, '\p{Sc=_	Grek}', "");
    Expect(0, 119365, '\p{^Sc=_	Grek}', "");
    Expect(0, 119365, '\P{Sc=_	Grek}', "");
    Expect(1, 119365, '\P{^Sc=_	Grek}', "");
    Expect(0, 119366, '\p{Sc=_	Grek}', "");
    Expect(1, 119366, '\p{^Sc=_	Grek}', "");
    Expect(1, 119366, '\P{Sc=_	Grek}', "");
    Expect(0, 119366, '\P{^Sc=_	Grek}', "");
    Error('\p{Is_Script=__Greek/a/}');
    Error('\P{Is_Script=__Greek/a/}');
    Expect(1, 119365, '\p{Is_Script=greek}', "");
    Expect(0, 119365, '\p{^Is_Script=greek}', "");
    Expect(0, 119365, '\P{Is_Script=greek}', "");
    Expect(1, 119365, '\P{^Is_Script=greek}', "");
    Expect(0, 119366, '\p{Is_Script=greek}', "");
    Expect(1, 119366, '\p{^Is_Script=greek}', "");
    Expect(1, 119366, '\P{Is_Script=greek}', "");
    Expect(0, 119366, '\P{^Is_Script=greek}', "");
    Expect(1, 119365, '\p{Is_Script=-_Greek}', "");
    Expect(0, 119365, '\p{^Is_Script=-_Greek}', "");
    Expect(0, 119365, '\P{Is_Script=-_Greek}', "");
    Expect(1, 119365, '\P{^Is_Script=-_Greek}', "");
    Expect(0, 119366, '\p{Is_Script=-_Greek}', "");
    Expect(1, 119366, '\p{^Is_Script=-_Greek}', "");
    Expect(1, 119366, '\P{Is_Script=-_Greek}', "");
    Expect(0, 119366, '\P{^Is_Script=-_Greek}', "");
    Error('\p{Is_Sc=_/a/Grek}');
    Error('\P{Is_Sc=_/a/Grek}');
    Expect(1, 119365, '\p{Is_Sc=grek}', "");
    Expect(0, 119365, '\p{^Is_Sc=grek}', "");
    Expect(0, 119365, '\P{Is_Sc=grek}', "");
    Expect(1, 119365, '\P{^Is_Sc=grek}', "");
    Expect(0, 119366, '\p{Is_Sc=grek}', "");
    Expect(1, 119366, '\p{^Is_Sc=grek}', "");
    Expect(1, 119366, '\P{Is_Sc=grek}', "");
    Expect(0, 119366, '\P{^Is_Sc=grek}', "");
    Expect(1, 119365, '\p{Is_Sc=	grek}', "");
    Expect(0, 119365, '\p{^Is_Sc=	grek}', "");
    Expect(0, 119365, '\P{Is_Sc=	grek}', "");
    Expect(1, 119365, '\P{^Is_Sc=	grek}', "");
    Expect(0, 119366, '\p{Is_Sc=	grek}', "");
    Expect(1, 119366, '\p{^Is_Sc=	grek}', "");
    Expect(1, 119366, '\P{Is_Sc=	grek}', "");
    Expect(0, 119366, '\P{^Is_Sc=	grek}', "");
    Error('\p{Script=- Gujarati/a/}');
    Error('\P{Script=- Gujarati/a/}');
    Expect(1, 2815, '\p{Script=:\AGujarati\z:}', "");;
    Expect(0, 2816, '\p{Script=:\AGujarati\z:}', "");;
    Expect(1, 2815, '\p{Script=gujarati}', "");
    Expect(0, 2815, '\p{^Script=gujarati}', "");
    Expect(0, 2815, '\P{Script=gujarati}', "");
    Expect(1, 2815, '\P{^Script=gujarati}', "");
    Expect(0, 2816, '\p{Script=gujarati}', "");
    Expect(1, 2816, '\p{^Script=gujarati}', "");
    Expect(1, 2816, '\P{Script=gujarati}', "");
    Expect(0, 2816, '\P{^Script=gujarati}', "");
    Expect(1, 2815, '\p{Script=:\Agujarati\z:}', "");;
    Expect(0, 2816, '\p{Script=:\Agujarati\z:}', "");;
    Expect(1, 2815, '\p{Script= -gujarati}', "");
    Expect(0, 2815, '\p{^Script= -gujarati}', "");
    Expect(0, 2815, '\P{Script= -gujarati}', "");
    Expect(1, 2815, '\P{^Script= -gujarati}', "");
    Expect(0, 2816, '\p{Script= -gujarati}', "");
    Expect(1, 2816, '\p{^Script= -gujarati}', "");
    Expect(1, 2816, '\P{Script= -gujarati}', "");
    Expect(0, 2816, '\P{^Script= -gujarati}', "");
    Error('\p{Sc= 	gujr:=}');
    Error('\P{Sc= 	gujr:=}');
    Expect(1, 2815, '\p{Sc=:\AGujr\z:}', "");;
    Expect(0, 2816, '\p{Sc=:\AGujr\z:}', "");;
    Expect(1, 2815, '\p{Sc=gujr}', "");
    Expect(0, 2815, '\p{^Sc=gujr}', "");
    Expect(0, 2815, '\P{Sc=gujr}', "");
    Expect(1, 2815, '\P{^Sc=gujr}', "");
    Expect(0, 2816, '\p{Sc=gujr}', "");
    Expect(1, 2816, '\p{^Sc=gujr}', "");
    Expect(1, 2816, '\P{Sc=gujr}', "");
    Expect(0, 2816, '\P{^Sc=gujr}', "");
    Expect(1, 2815, '\p{Sc=:\Agujr\z:}', "");;
    Expect(0, 2816, '\p{Sc=:\Agujr\z:}', "");;
    Expect(1, 2815, '\p{Sc=	-Gujr}', "");
    Expect(0, 2815, '\p{^Sc=	-Gujr}', "");
    Expect(0, 2815, '\P{Sc=	-Gujr}', "");
    Expect(1, 2815, '\P{^Sc=	-Gujr}', "");
    Expect(0, 2816, '\p{Sc=	-Gujr}', "");
    Expect(1, 2816, '\p{^Sc=	-Gujr}', "");
    Expect(1, 2816, '\P{Sc=	-Gujr}', "");
    Expect(0, 2816, '\P{^Sc=	-Gujr}', "");
    Error('\p{Is_Script=/a/	gujarati}');
    Error('\P{Is_Script=/a/	gujarati}');
    Expect(1, 2815, '\p{Is_Script=gujarati}', "");
    Expect(0, 2815, '\p{^Is_Script=gujarati}', "");
    Expect(0, 2815, '\P{Is_Script=gujarati}', "");
    Expect(1, 2815, '\P{^Is_Script=gujarati}', "");
    Expect(0, 2816, '\p{Is_Script=gujarati}', "");
    Expect(1, 2816, '\p{^Is_Script=gujarati}', "");
    Expect(1, 2816, '\P{Is_Script=gujarati}', "");
    Expect(0, 2816, '\P{^Is_Script=gujarati}', "");
    Expect(1, 2815, '\p{Is_Script=	gujarati}', "");
    Expect(0, 2815, '\p{^Is_Script=	gujarati}', "");
    Expect(0, 2815, '\P{Is_Script=	gujarati}', "");
    Expect(1, 2815, '\P{^Is_Script=	gujarati}', "");
    Expect(0, 2816, '\p{Is_Script=	gujarati}', "");
    Expect(1, 2816, '\p{^Is_Script=	gujarati}', "");
    Expect(1, 2816, '\P{Is_Script=	gujarati}', "");
    Expect(0, 2816, '\P{^Is_Script=	gujarati}', "");
    Error('\p{Is_Sc= /a/gujr}');
    Error('\P{Is_Sc= /a/gujr}');
    Expect(1, 2815, '\p{Is_Sc=gujr}', "");
    Expect(0, 2815, '\p{^Is_Sc=gujr}', "");
    Expect(0, 2815, '\P{Is_Sc=gujr}', "");
    Expect(1, 2815, '\P{^Is_Sc=gujr}', "");
    Expect(0, 2816, '\p{Is_Sc=gujr}', "");
    Expect(1, 2816, '\p{^Is_Sc=gujr}', "");
    Expect(1, 2816, '\P{Is_Sc=gujr}', "");
    Expect(0, 2816, '\P{^Is_Sc=gujr}', "");
    Expect(1, 2815, '\p{Is_Sc=-	Gujr}', "");
    Expect(0, 2815, '\p{^Is_Sc=-	Gujr}', "");
    Expect(0, 2815, '\P{Is_Sc=-	Gujr}', "");
    Expect(1, 2815, '\P{^Is_Sc=-	Gujr}', "");
    Expect(0, 2816, '\p{Is_Sc=-	Gujr}', "");
    Expect(1, 2816, '\p{^Is_Sc=-	Gujr}', "");
    Expect(1, 2816, '\P{Is_Sc=-	Gujr}', "");
    Expect(0, 2816, '\P{^Is_Sc=-	Gujr}', "");
    Error('\p{Script=/a/Gurmukhi}');
    Error('\P{Script=/a/Gurmukhi}');
    Expect(1, 2678, '\p{Script=:\AGurmukhi\z:}', "");;
    Expect(0, 2679, '\p{Script=:\AGurmukhi\z:}', "");;
    Expect(1, 2678, '\p{Script=gurmukhi}', "");
    Expect(0, 2678, '\p{^Script=gurmukhi}', "");
    Expect(0, 2678, '\P{Script=gurmukhi}', "");
    Expect(1, 2678, '\P{^Script=gurmukhi}', "");
    Expect(0, 2679, '\p{Script=gurmukhi}', "");
    Expect(1, 2679, '\p{^Script=gurmukhi}', "");
    Expect(1, 2679, '\P{Script=gurmukhi}', "");
    Expect(0, 2679, '\P{^Script=gurmukhi}', "");
    Expect(1, 2678, '\p{Script=:\Agurmukhi\z:}', "");;
    Expect(0, 2679, '\p{Script=:\Agurmukhi\z:}', "");;
    Expect(1, 2678, '\p{Script=	_Gurmukhi}', "");
    Expect(0, 2678, '\p{^Script=	_Gurmukhi}', "");
    Expect(0, 2678, '\P{Script=	_Gurmukhi}', "");
    Expect(1, 2678, '\P{^Script=	_Gurmukhi}', "");
    Expect(0, 2679, '\p{Script=	_Gurmukhi}', "");
    Expect(1, 2679, '\p{^Script=	_Gurmukhi}', "");
    Expect(1, 2679, '\P{Script=	_Gurmukhi}', "");
    Expect(0, 2679, '\P{^Script=	_Gurmukhi}', "");
    Error('\p{Sc=:=	_Guru}');
    Error('\P{Sc=:=	_Guru}');
    Expect(1, 2678, '\p{Sc=:\AGuru\z:}', "");;
    Expect(0, 2679, '\p{Sc=:\AGuru\z:}', "");;
    Expect(1, 2678, '\p{Sc=guru}', "");
    Expect(0, 2678, '\p{^Sc=guru}', "");
    Expect(0, 2678, '\P{Sc=guru}', "");
    Expect(1, 2678, '\P{^Sc=guru}', "");
    Expect(0, 2679, '\p{Sc=guru}', "");
    Expect(1, 2679, '\p{^Sc=guru}', "");
    Expect(1, 2679, '\P{Sc=guru}', "");
    Expect(0, 2679, '\P{^Sc=guru}', "");
    Expect(1, 2678, '\p{Sc=:\Aguru\z:}', "");;
    Expect(0, 2679, '\p{Sc=:\Aguru\z:}', "");;
    Expect(1, 2678, '\p{Sc= _GURU}', "");
    Expect(0, 2678, '\p{^Sc= _GURU}', "");
    Expect(0, 2678, '\P{Sc= _GURU}', "");
    Expect(1, 2678, '\P{^Sc= _GURU}', "");
    Expect(0, 2679, '\p{Sc= _GURU}', "");
    Expect(1, 2679, '\p{^Sc= _GURU}', "");
    Expect(1, 2679, '\P{Sc= _GURU}', "");
    Expect(0, 2679, '\P{^Sc= _GURU}', "");
    Error('\p{Is_Script:		-Gurmukhi:=}');
    Error('\P{Is_Script:		-Gurmukhi:=}');
    Expect(1, 2678, '\p{Is_Script:	gurmukhi}', "");
    Expect(0, 2678, '\p{^Is_Script:	gurmukhi}', "");
    Expect(0, 2678, '\P{Is_Script:	gurmukhi}', "");
    Expect(1, 2678, '\P{^Is_Script:	gurmukhi}', "");
    Expect(0, 2679, '\p{Is_Script:	gurmukhi}', "");
    Expect(1, 2679, '\p{^Is_Script:	gurmukhi}', "");
    Expect(1, 2679, '\P{Is_Script:	gurmukhi}', "");
    Expect(0, 2679, '\P{^Is_Script:	gurmukhi}', "");
    Expect(1, 2678, '\p{Is_Script=	Gurmukhi}', "");
    Expect(0, 2678, '\p{^Is_Script=	Gurmukhi}', "");
    Expect(0, 2678, '\P{Is_Script=	Gurmukhi}', "");
    Expect(1, 2678, '\P{^Is_Script=	Gurmukhi}', "");
    Expect(0, 2679, '\p{Is_Script=	Gurmukhi}', "");
    Expect(1, 2679, '\p{^Is_Script=	Gurmukhi}', "");
    Expect(1, 2679, '\P{Is_Script=	Gurmukhi}', "");
    Expect(0, 2679, '\P{^Is_Script=	Gurmukhi}', "");
    Error('\p{Is_Sc=/a/_Guru}');
    Error('\P{Is_Sc=/a/_Guru}');
    Expect(1, 2678, '\p{Is_Sc=guru}', "");
    Expect(0, 2678, '\p{^Is_Sc=guru}', "");
    Expect(0, 2678, '\P{Is_Sc=guru}', "");
    Expect(1, 2678, '\P{^Is_Sc=guru}', "");
    Expect(0, 2679, '\p{Is_Sc=guru}', "");
    Expect(1, 2679, '\p{^Is_Sc=guru}', "");
    Expect(1, 2679, '\P{Is_Sc=guru}', "");
    Expect(0, 2679, '\P{^Is_Sc=guru}', "");
    Expect(1, 2678, '\p{Is_Sc:			Guru}', "");
    Expect(0, 2678, '\p{^Is_Sc:			Guru}', "");
    Expect(0, 2678, '\P{Is_Sc:			Guru}', "");
    Expect(1, 2678, '\P{^Is_Sc:			Guru}', "");
    Expect(0, 2679, '\p{Is_Sc:			Guru}', "");
    Expect(1, 2679, '\p{^Is_Sc:			Guru}', "");
    Expect(1, 2679, '\P{Is_Sc:			Guru}', "");
    Expect(0, 2679, '\P{^Is_Sc:			Guru}', "");
    Error('\p{Script=:=Hangul}');
    Error('\P{Script=:=Hangul}');
    Expect(1, 65500, '\p{Script=:\AHangul\z:}', "");;
    Expect(0, 65501, '\p{Script=:\AHangul\z:}', "");;
    Expect(1, 65500, '\p{Script=hangul}', "");
    Expect(0, 65500, '\p{^Script=hangul}', "");
    Expect(0, 65500, '\P{Script=hangul}', "");
    Expect(1, 65500, '\P{^Script=hangul}', "");
    Expect(0, 65501, '\p{Script=hangul}', "");
    Expect(1, 65501, '\p{^Script=hangul}', "");
    Expect(1, 65501, '\P{Script=hangul}', "");
    Expect(0, 65501, '\P{^Script=hangul}', "");
    Expect(1, 65500, '\p{Script=:\Ahangul\z:}', "");;
    Expect(0, 65501, '\p{Script=:\Ahangul\z:}', "");;
    Expect(1, 65500, '\p{Script= -hangul}', "");
    Expect(0, 65500, '\p{^Script= -hangul}', "");
    Expect(0, 65500, '\P{Script= -hangul}', "");
    Expect(1, 65500, '\P{^Script= -hangul}', "");
    Expect(0, 65501, '\p{Script= -hangul}', "");
    Expect(1, 65501, '\p{^Script= -hangul}', "");
    Expect(1, 65501, '\P{Script= -hangul}', "");
    Expect(0, 65501, '\P{^Script= -hangul}', "");
    Error('\p{Sc=/a/_ HANG}');
    Error('\P{Sc=/a/_ HANG}');
    Expect(1, 65500, '\p{Sc=:\AHang\z:}', "");;
    Expect(0, 65501, '\p{Sc=:\AHang\z:}', "");;
    Expect(1, 65500, '\p{Sc=hang}', "");
    Expect(0, 65500, '\p{^Sc=hang}', "");
    Expect(0, 65500, '\P{Sc=hang}', "");
    Expect(1, 65500, '\P{^Sc=hang}', "");
    Expect(0, 65501, '\p{Sc=hang}', "");
    Expect(1, 65501, '\p{^Sc=hang}', "");
    Expect(1, 65501, '\P{Sc=hang}', "");
    Expect(0, 65501, '\P{^Sc=hang}', "");
    Expect(1, 65500, '\p{Sc=:\Ahang\z:}', "");;
    Expect(0, 65501, '\p{Sc=:\Ahang\z:}', "");;
    Expect(1, 65500, '\p{Sc= Hang}', "");
    Expect(0, 65500, '\p{^Sc= Hang}', "");
    Expect(0, 65500, '\P{Sc= Hang}', "");
    Expect(1, 65500, '\P{^Sc= Hang}', "");
    Expect(0, 65501, '\p{Sc= Hang}', "");
    Expect(1, 65501, '\p{^Sc= Hang}', "");
    Expect(1, 65501, '\P{Sc= Hang}', "");
    Expect(0, 65501, '\P{^Sc= Hang}', "");
    Error('\p{Is_Script=	:=Hangul}');
    Error('\P{Is_Script=	:=Hangul}');
    Expect(1, 65500, '\p{Is_Script=hangul}', "");
    Expect(0, 65500, '\p{^Is_Script=hangul}', "");
    Expect(0, 65500, '\P{Is_Script=hangul}', "");
    Expect(1, 65500, '\P{^Is_Script=hangul}', "");
    Expect(0, 65501, '\p{Is_Script=hangul}', "");
    Expect(1, 65501, '\p{^Is_Script=hangul}', "");
    Expect(1, 65501, '\P{Is_Script=hangul}', "");
    Expect(0, 65501, '\P{^Is_Script=hangul}', "");
    Expect(1, 65500, '\p{Is_Script=	Hangul}', "");
    Expect(0, 65500, '\p{^Is_Script=	Hangul}', "");
    Expect(0, 65500, '\P{Is_Script=	Hangul}', "");
    Expect(1, 65500, '\P{^Is_Script=	Hangul}', "");
    Expect(0, 65501, '\p{Is_Script=	Hangul}', "");
    Expect(1, 65501, '\p{^Is_Script=	Hangul}', "");
    Expect(1, 65501, '\P{Is_Script=	Hangul}', "");
    Expect(0, 65501, '\P{^Is_Script=	Hangul}', "");
    Error('\p{Is_Sc=/a/ -hang}');
    Error('\P{Is_Sc=/a/ -hang}');
    Expect(1, 65500, '\p{Is_Sc=hang}', "");
    Expect(0, 65500, '\p{^Is_Sc=hang}', "");
    Expect(0, 65500, '\P{Is_Sc=hang}', "");
    Expect(1, 65500, '\P{^Is_Sc=hang}', "");
    Expect(0, 65501, '\p{Is_Sc=hang}', "");
    Expect(1, 65501, '\p{^Is_Sc=hang}', "");
    Expect(1, 65501, '\P{Is_Sc=hang}', "");
    Expect(0, 65501, '\P{^Is_Sc=hang}', "");
    Expect(1, 65500, '\p{Is_Sc= 	HANG}', "");
    Expect(0, 65500, '\p{^Is_Sc= 	HANG}', "");
    Expect(0, 65500, '\P{Is_Sc= 	HANG}', "");
    Expect(1, 65500, '\P{^Is_Sc= 	HANG}', "");
    Expect(0, 65501, '\p{Is_Sc= 	HANG}', "");
    Expect(1, 65501, '\p{^Is_Sc= 	HANG}', "");
    Expect(1, 65501, '\P{Is_Sc= 	HANG}', "");
    Expect(0, 65501, '\P{^Is_Sc= 	HANG}', "");
    Error('\p{Script=:=	Han}');
    Error('\P{Script=:=	Han}');
    Expect(1, 201546, '\p{Script=:\AHan\z:}', "");;
    Expect(0, 201547, '\p{Script=:\AHan\z:}', "");;
    Expect(1, 201546, '\p{Script=han}', "");
    Expect(0, 201546, '\p{^Script=han}', "");
    Expect(0, 201546, '\P{Script=han}', "");
    Expect(1, 201546, '\P{^Script=han}', "");
    Expect(0, 201547, '\p{Script=han}', "");
    Expect(1, 201547, '\p{^Script=han}', "");
    Expect(1, 201547, '\P{Script=han}', "");
    Expect(0, 201547, '\P{^Script=han}', "");
    Expect(1, 201546, '\p{Script=:\Ahan\z:}', "");;
    Expect(0, 201547, '\p{Script=:\Ahan\z:}', "");;
    Expect(1, 201546, '\p{Script= han}', "");
    Expect(0, 201546, '\p{^Script= han}', "");
    Expect(0, 201546, '\P{Script= han}', "");
    Expect(1, 201546, '\P{^Script= han}', "");
    Expect(0, 201547, '\p{Script= han}', "");
    Expect(1, 201547, '\p{^Script= han}', "");
    Expect(1, 201547, '\P{Script= han}', "");
    Expect(0, 201547, '\P{^Script= han}', "");
    Error('\p{Sc=	Hani:=}');
    Error('\P{Sc=	Hani:=}');
    Expect(1, 201546, '\p{Sc=:\AHani\z:}', "");;
    Expect(0, 201547, '\p{Sc=:\AHani\z:}', "");;
    Expect(1, 201546, '\p{Sc=hani}', "");
    Expect(0, 201546, '\p{^Sc=hani}', "");
    Expect(0, 201546, '\P{Sc=hani}', "");
    Expect(1, 201546, '\P{^Sc=hani}', "");
    Expect(0, 201547, '\p{Sc=hani}', "");
    Expect(1, 201547, '\p{^Sc=hani}', "");
    Expect(1, 201547, '\P{Sc=hani}', "");
    Expect(0, 201547, '\P{^Sc=hani}', "");
    Expect(1, 201546, '\p{Sc=:\Ahani\z:}', "");;
    Expect(0, 201547, '\p{Sc=:\Ahani\z:}', "");;
    Expect(1, 201546, '\p{Sc=  Hani}', "");
    Expect(0, 201546, '\p{^Sc=  Hani}', "");
    Expect(0, 201546, '\P{Sc=  Hani}', "");
    Expect(1, 201546, '\P{^Sc=  Hani}', "");
    Expect(0, 201547, '\p{Sc=  Hani}', "");
    Expect(1, 201547, '\p{^Sc=  Hani}', "");
    Expect(1, 201547, '\P{Sc=  Hani}', "");
    Expect(0, 201547, '\P{^Sc=  Hani}', "");
    Error('\p{Is_Script=	_Han:=}');
    Error('\P{Is_Script=	_Han:=}');
    Expect(1, 201546, '\p{Is_Script=han}', "");
    Expect(0, 201546, '\p{^Is_Script=han}', "");
    Expect(0, 201546, '\P{Is_Script=han}', "");
    Expect(1, 201546, '\P{^Is_Script=han}', "");
    Expect(0, 201547, '\p{Is_Script=han}', "");
    Expect(1, 201547, '\p{^Is_Script=han}', "");
    Expect(1, 201547, '\P{Is_Script=han}', "");
    Expect(0, 201547, '\P{^Is_Script=han}', "");
    Expect(1, 201546, '\p{Is_Script=	_han}', "");
    Expect(0, 201546, '\p{^Is_Script=	_han}', "");
    Expect(0, 201546, '\P{Is_Script=	_han}', "");
    Expect(1, 201546, '\P{^Is_Script=	_han}', "");
    Expect(0, 201547, '\p{Is_Script=	_han}', "");
    Expect(1, 201547, '\p{^Is_Script=	_han}', "");
    Expect(1, 201547, '\P{Is_Script=	_han}', "");
    Expect(0, 201547, '\P{^Is_Script=	_han}', "");
    Error('\p{Is_Sc=/a/	Hani}');
    Error('\P{Is_Sc=/a/	Hani}');
    Expect(1, 201546, '\p{Is_Sc=hani}', "");
    Expect(0, 201546, '\p{^Is_Sc=hani}', "");
    Expect(0, 201546, '\P{Is_Sc=hani}', "");
    Expect(1, 201546, '\P{^Is_Sc=hani}', "");
    Expect(0, 201547, '\p{Is_Sc=hani}', "");
    Expect(1, 201547, '\p{^Is_Sc=hani}', "");
    Expect(1, 201547, '\P{Is_Sc=hani}', "");
    Expect(0, 201547, '\P{^Is_Sc=hani}', "");
    Expect(1, 201546, '\p{Is_Sc=_HANI}', "");
    Expect(0, 201546, '\p{^Is_Sc=_HANI}', "");
    Expect(0, 201546, '\P{Is_Sc=_HANI}', "");
    Expect(1, 201546, '\P{^Is_Sc=_HANI}', "");
    Expect(0, 201547, '\p{Is_Sc=_HANI}', "");
    Expect(1, 201547, '\p{^Is_Sc=_HANI}', "");
    Expect(1, 201547, '\P{Is_Sc=_HANI}', "");
    Expect(0, 201547, '\P{^Is_Sc=_HANI}', "");
    Error('\p{Script=-:=Hanunoo}');
    Error('\P{Script=-:=Hanunoo}');
    Expect(1, 5940, '\p{Script=:\AHanunoo\z:}', "");;
    Expect(0, 5941, '\p{Script=:\AHanunoo\z:}', "");;
    Expect(1, 5940, '\p{Script=hanunoo}', "");
    Expect(0, 5940, '\p{^Script=hanunoo}', "");
    Expect(0, 5940, '\P{Script=hanunoo}', "");
    Expect(1, 5940, '\P{^Script=hanunoo}', "");
    Expect(0, 5941, '\p{Script=hanunoo}', "");
    Expect(1, 5941, '\p{^Script=hanunoo}', "");
    Expect(1, 5941, '\P{Script=hanunoo}', "");
    Expect(0, 5941, '\P{^Script=hanunoo}', "");
    Expect(1, 5940, '\p{Script=:\Ahanunoo\z:}', "");;
    Expect(0, 5941, '\p{Script=:\Ahanunoo\z:}', "");;
    Expect(1, 5940, '\p{Script=_HANUNOO}', "");
    Expect(0, 5940, '\p{^Script=_HANUNOO}', "");
    Expect(0, 5940, '\P{Script=_HANUNOO}', "");
    Expect(1, 5940, '\P{^Script=_HANUNOO}', "");
    Expect(0, 5941, '\p{Script=_HANUNOO}', "");
    Expect(1, 5941, '\p{^Script=_HANUNOO}', "");
    Expect(1, 5941, '\P{Script=_HANUNOO}', "");
    Expect(0, 5941, '\P{^Script=_HANUNOO}', "");
    Error('\p{Sc=/a/	-Hano}');
    Error('\P{Sc=/a/	-Hano}');
    Expect(1, 5940, '\p{Sc=:\AHano\z:}', "");;
    Expect(0, 5941, '\p{Sc=:\AHano\z:}', "");;
    Expect(1, 5940, '\p{Sc: hano}', "");
    Expect(0, 5940, '\p{^Sc: hano}', "");
    Expect(0, 5940, '\P{Sc: hano}', "");
    Expect(1, 5940, '\P{^Sc: hano}', "");
    Expect(0, 5941, '\p{Sc: hano}', "");
    Expect(1, 5941, '\p{^Sc: hano}', "");
    Expect(1, 5941, '\P{Sc: hano}', "");
    Expect(0, 5941, '\P{^Sc: hano}', "");
    Expect(1, 5940, '\p{Sc=:\Ahano\z:}', "");;
    Expect(0, 5941, '\p{Sc=:\Ahano\z:}', "");;
    Expect(1, 5940, '\p{Sc=--Hano}', "");
    Expect(0, 5940, '\p{^Sc=--Hano}', "");
    Expect(0, 5940, '\P{Sc=--Hano}', "");
    Expect(1, 5940, '\P{^Sc=--Hano}', "");
    Expect(0, 5941, '\p{Sc=--Hano}', "");
    Expect(1, 5941, '\p{^Sc=--Hano}', "");
    Expect(1, 5941, '\P{Sc=--Hano}', "");
    Expect(0, 5941, '\P{^Sc=--Hano}', "");
    Error('\p{Is_Script=:=--hanunoo}');
    Error('\P{Is_Script=:=--hanunoo}');
    Expect(1, 5940, '\p{Is_Script=hanunoo}', "");
    Expect(0, 5940, '\p{^Is_Script=hanunoo}', "");
    Expect(0, 5940, '\P{Is_Script=hanunoo}', "");
    Expect(1, 5940, '\P{^Is_Script=hanunoo}', "");
    Expect(0, 5941, '\p{Is_Script=hanunoo}', "");
    Expect(1, 5941, '\p{^Is_Script=hanunoo}', "");
    Expect(1, 5941, '\P{Is_Script=hanunoo}', "");
    Expect(0, 5941, '\P{^Is_Script=hanunoo}', "");
    Expect(1, 5940, '\p{Is_Script= _hanunoo}', "");
    Expect(0, 5940, '\p{^Is_Script= _hanunoo}', "");
    Expect(0, 5940, '\P{Is_Script= _hanunoo}', "");
    Expect(1, 5940, '\P{^Is_Script= _hanunoo}', "");
    Expect(0, 5941, '\p{Is_Script= _hanunoo}', "");
    Expect(1, 5941, '\p{^Is_Script= _hanunoo}', "");
    Expect(1, 5941, '\P{Is_Script= _hanunoo}', "");
    Expect(0, 5941, '\P{^Is_Script= _hanunoo}', "");
    Error('\p{Is_Sc=_Hano/a/}');
    Error('\P{Is_Sc=_Hano/a/}');
    Expect(1, 5940, '\p{Is_Sc=hano}', "");
    Expect(0, 5940, '\p{^Is_Sc=hano}', "");
    Expect(0, 5940, '\P{Is_Sc=hano}', "");
    Expect(1, 5940, '\P{^Is_Sc=hano}', "");
    Expect(0, 5941, '\p{Is_Sc=hano}', "");
    Expect(1, 5941, '\p{^Is_Sc=hano}', "");
    Expect(1, 5941, '\P{Is_Sc=hano}', "");
    Expect(0, 5941, '\P{^Is_Sc=hano}', "");
    Expect(1, 5940, '\p{Is_Sc=-	HANO}', "");
    Expect(0, 5940, '\p{^Is_Sc=-	HANO}', "");
    Expect(0, 5940, '\P{Is_Sc=-	HANO}', "");
    Expect(1, 5940, '\P{^Is_Sc=-	HANO}', "");
    Expect(0, 5941, '\p{Is_Sc=-	HANO}', "");
    Expect(1, 5941, '\p{^Is_Sc=-	HANO}', "");
    Expect(1, 5941, '\P{Is_Sc=-	HANO}', "");
    Expect(0, 5941, '\P{^Is_Sc=-	HANO}', "");
    Error('\p{Script= Hatran:=}');
    Error('\P{Script= Hatran:=}');
    Expect(1, 67839, '\p{Script=:\AHatran\z:}', "");;
    Expect(0, 67840, '\p{Script=:\AHatran\z:}', "");;
    Expect(1, 67839, '\p{Script: hatran}', "");
    Expect(0, 67839, '\p{^Script: hatran}', "");
    Expect(0, 67839, '\P{Script: hatran}', "");
    Expect(1, 67839, '\P{^Script: hatran}', "");
    Expect(0, 67840, '\p{Script: hatran}', "");
    Expect(1, 67840, '\p{^Script: hatran}', "");
    Expect(1, 67840, '\P{Script: hatran}', "");
    Expect(0, 67840, '\P{^Script: hatran}', "");
    Expect(1, 67839, '\p{Script=:\Ahatran\z:}', "");;
    Expect(0, 67840, '\p{Script=:\Ahatran\z:}', "");;
    Expect(1, 67839, '\p{Script= -Hatran}', "");
    Expect(0, 67839, '\p{^Script= -Hatran}', "");
    Expect(0, 67839, '\P{Script= -Hatran}', "");
    Expect(1, 67839, '\P{^Script= -Hatran}', "");
    Expect(0, 67840, '\p{Script= -Hatran}', "");
    Expect(1, 67840, '\p{^Script= -Hatran}', "");
    Expect(1, 67840, '\P{Script= -Hatran}', "");
    Expect(0, 67840, '\P{^Script= -Hatran}', "");
    Error('\p{Sc=-:=hatr}');
    Error('\P{Sc=-:=hatr}');
    Expect(1, 67839, '\p{Sc=:\AHatr\z:}', "");;
    Expect(0, 67840, '\p{Sc=:\AHatr\z:}', "");;
    Expect(1, 67839, '\p{Sc=hatr}', "");
    Expect(0, 67839, '\p{^Sc=hatr}', "");
    Expect(0, 67839, '\P{Sc=hatr}', "");
    Expect(1, 67839, '\P{^Sc=hatr}', "");
    Expect(0, 67840, '\p{Sc=hatr}', "");
    Expect(1, 67840, '\p{^Sc=hatr}', "");
    Expect(1, 67840, '\P{Sc=hatr}', "");
    Expect(0, 67840, '\P{^Sc=hatr}', "");
    Expect(1, 67839, '\p{Sc=:\Ahatr\z:}', "");;
    Expect(0, 67840, '\p{Sc=:\Ahatr\z:}', "");;
    Expect(1, 67839, '\p{Sc= Hatr}', "");
    Expect(0, 67839, '\p{^Sc= Hatr}', "");
    Expect(0, 67839, '\P{Sc= Hatr}', "");
    Expect(1, 67839, '\P{^Sc= Hatr}', "");
    Expect(0, 67840, '\p{Sc= Hatr}', "");
    Expect(1, 67840, '\p{^Sc= Hatr}', "");
    Expect(1, 67840, '\P{Sc= Hatr}', "");
    Expect(0, 67840, '\P{^Sc= Hatr}', "");
    Error('\p{Is_Script=- Hatran/a/}');
    Error('\P{Is_Script=- Hatran/a/}');
    Expect(1, 67839, '\p{Is_Script=hatran}', "");
    Expect(0, 67839, '\p{^Is_Script=hatran}', "");
    Expect(0, 67839, '\P{Is_Script=hatran}', "");
    Expect(1, 67839, '\P{^Is_Script=hatran}', "");
    Expect(0, 67840, '\p{Is_Script=hatran}', "");
    Expect(1, 67840, '\p{^Is_Script=hatran}', "");
    Expect(1, 67840, '\P{Is_Script=hatran}', "");
    Expect(0, 67840, '\P{^Is_Script=hatran}', "");
    Expect(1, 67839, '\p{Is_Script=_hatran}', "");
    Expect(0, 67839, '\p{^Is_Script=_hatran}', "");
    Expect(0, 67839, '\P{Is_Script=_hatran}', "");
    Expect(1, 67839, '\P{^Is_Script=_hatran}', "");
    Expect(0, 67840, '\p{Is_Script=_hatran}', "");
    Expect(1, 67840, '\p{^Is_Script=_hatran}', "");
    Expect(1, 67840, '\P{Is_Script=_hatran}', "");
    Expect(0, 67840, '\P{^Is_Script=_hatran}', "");
    Error('\p{Is_Sc=:= Hatr}');
    Error('\P{Is_Sc=:= Hatr}');
    Expect(1, 67839, '\p{Is_Sc=hatr}', "");
    Expect(0, 67839, '\p{^Is_Sc=hatr}', "");
    Expect(0, 67839, '\P{Is_Sc=hatr}', "");
    Expect(1, 67839, '\P{^Is_Sc=hatr}', "");
    Expect(0, 67840, '\p{Is_Sc=hatr}', "");
    Expect(1, 67840, '\p{^Is_Sc=hatr}', "");
    Expect(1, 67840, '\P{Is_Sc=hatr}', "");
    Expect(0, 67840, '\P{^Is_Sc=hatr}', "");
    Expect(1, 67839, '\p{Is_Sc=-Hatr}', "");
    Expect(0, 67839, '\p{^Is_Sc=-Hatr}', "");
    Expect(0, 67839, '\P{Is_Sc=-Hatr}', "");
    Expect(1, 67839, '\P{^Is_Sc=-Hatr}', "");
    Expect(0, 67840, '\p{Is_Sc=-Hatr}', "");
    Expect(1, 67840, '\p{^Is_Sc=-Hatr}', "");
    Expect(1, 67840, '\P{Is_Sc=-Hatr}', "");
    Expect(0, 67840, '\P{^Is_Sc=-Hatr}', "");
    Error('\p{Script=:= Hebrew}');
    Error('\P{Script=:= Hebrew}');
    Expect(1, 64335, '\p{Script=:\AHebrew\z:}', "");;
    Expect(0, 64336, '\p{Script=:\AHebrew\z:}', "");;
    Expect(1, 64335, '\p{Script=hebrew}', "");
    Expect(0, 64335, '\p{^Script=hebrew}', "");
    Expect(0, 64335, '\P{Script=hebrew}', "");
    Expect(1, 64335, '\P{^Script=hebrew}', "");
    Expect(0, 64336, '\p{Script=hebrew}', "");
    Expect(1, 64336, '\p{^Script=hebrew}', "");
    Expect(1, 64336, '\P{Script=hebrew}', "");
    Expect(0, 64336, '\P{^Script=hebrew}', "");
    Expect(1, 64335, '\p{Script=:\Ahebrew\z:}', "");;
    Expect(0, 64336, '\p{Script=:\Ahebrew\z:}', "");;
    Expect(1, 64335, '\p{Script:	-HEBREW}', "");
    Expect(0, 64335, '\p{^Script:	-HEBREW}', "");
    Expect(0, 64335, '\P{Script:	-HEBREW}', "");
    Expect(1, 64335, '\P{^Script:	-HEBREW}', "");
    Expect(0, 64336, '\p{Script:	-HEBREW}', "");
    Expect(1, 64336, '\p{^Script:	-HEBREW}', "");
    Expect(1, 64336, '\P{Script:	-HEBREW}', "");
    Expect(0, 64336, '\P{^Script:	-HEBREW}', "");
    Error('\p{Sc=-	HEBR:=}');
    Error('\P{Sc=-	HEBR:=}');
    Expect(1, 64335, '\p{Sc=:\AHebr\z:}', "");;
    Expect(0, 64336, '\p{Sc=:\AHebr\z:}', "");;
    Expect(1, 64335, '\p{Sc=hebr}', "");
    Expect(0, 64335, '\p{^Sc=hebr}', "");
    Expect(0, 64335, '\P{Sc=hebr}', "");
    Expect(1, 64335, '\P{^Sc=hebr}', "");
    Expect(0, 64336, '\p{Sc=hebr}', "");
    Expect(1, 64336, '\p{^Sc=hebr}', "");
    Expect(1, 64336, '\P{Sc=hebr}', "");
    Expect(0, 64336, '\P{^Sc=hebr}', "");
    Expect(1, 64335, '\p{Sc=:\Ahebr\z:}', "");;
    Expect(0, 64336, '\p{Sc=:\Ahebr\z:}', "");;
    Expect(1, 64335, '\p{Sc=Hebr}', "");
    Expect(0, 64335, '\p{^Sc=Hebr}', "");
    Expect(0, 64335, '\P{Sc=Hebr}', "");
    Expect(1, 64335, '\P{^Sc=Hebr}', "");
    Expect(0, 64336, '\p{Sc=Hebr}', "");
    Expect(1, 64336, '\p{^Sc=Hebr}', "");
    Expect(1, 64336, '\P{Sc=Hebr}', "");
    Expect(0, 64336, '\P{^Sc=Hebr}', "");
    Error('\p{Is_Script=-/a/hebrew}');
    Error('\P{Is_Script=-/a/hebrew}');
    Expect(1, 64335, '\p{Is_Script=hebrew}', "");
    Expect(0, 64335, '\p{^Is_Script=hebrew}', "");
    Expect(0, 64335, '\P{Is_Script=hebrew}', "");
    Expect(1, 64335, '\P{^Is_Script=hebrew}', "");
    Expect(0, 64336, '\p{Is_Script=hebrew}', "");
    Expect(1, 64336, '\p{^Is_Script=hebrew}', "");
    Expect(1, 64336, '\P{Is_Script=hebrew}', "");
    Expect(0, 64336, '\P{^Is_Script=hebrew}', "");
    Expect(1, 64335, '\p{Is_Script= Hebrew}', "");
    Expect(0, 64335, '\p{^Is_Script= Hebrew}', "");
    Expect(0, 64335, '\P{Is_Script= Hebrew}', "");
    Expect(1, 64335, '\P{^Is_Script= Hebrew}', "");
    Expect(0, 64336, '\p{Is_Script= Hebrew}', "");
    Expect(1, 64336, '\p{^Is_Script= Hebrew}', "");
    Expect(1, 64336, '\P{Is_Script= Hebrew}', "");
    Expect(0, 64336, '\P{^Is_Script= Hebrew}', "");
    Error('\p{Is_Sc:  /a/hebr}');
    Error('\P{Is_Sc:  /a/hebr}');
    Expect(1, 64335, '\p{Is_Sc=hebr}', "");
    Expect(0, 64335, '\p{^Is_Sc=hebr}', "");
    Expect(0, 64335, '\P{Is_Sc=hebr}', "");
    Expect(1, 64335, '\P{^Is_Sc=hebr}', "");
    Expect(0, 64336, '\p{Is_Sc=hebr}', "");
    Expect(1, 64336, '\p{^Is_Sc=hebr}', "");
    Expect(1, 64336, '\P{Is_Sc=hebr}', "");
    Expect(0, 64336, '\P{^Is_Sc=hebr}', "");
    Expect(1, 64335, '\p{Is_Sc=-	HEBR}', "");
    Expect(0, 64335, '\p{^Is_Sc=-	HEBR}', "");
    Expect(0, 64335, '\P{Is_Sc=-	HEBR}', "");
    Expect(1, 64335, '\P{^Is_Sc=-	HEBR}', "");
    Expect(0, 64336, '\p{Is_Sc=-	HEBR}', "");
    Expect(1, 64336, '\p{^Is_Sc=-	HEBR}', "");
    Expect(1, 64336, '\P{Is_Sc=-	HEBR}', "");
    Expect(0, 64336, '\P{^Is_Sc=-	HEBR}', "");
    Error('\p{Script=	Hiragana/a/}');
    Error('\P{Script=	Hiragana/a/}');
    Expect(1, 127488, '\p{Script=:\AHiragana\z:}', "");;
    Expect(0, 127489, '\p{Script=:\AHiragana\z:}', "");;
    Expect(1, 127488, '\p{Script=hiragana}', "");
    Expect(0, 127488, '\p{^Script=hiragana}', "");
    Expect(0, 127488, '\P{Script=hiragana}', "");
    Expect(1, 127488, '\P{^Script=hiragana}', "");
    Expect(0, 127489, '\p{Script=hiragana}', "");
    Expect(1, 127489, '\p{^Script=hiragana}', "");
    Expect(1, 127489, '\P{Script=hiragana}', "");
    Expect(0, 127489, '\P{^Script=hiragana}', "");
    Expect(1, 127488, '\p{Script=:\Ahiragana\z:}', "");;
    Expect(0, 127489, '\p{Script=:\Ahiragana\z:}', "");;
    Expect(1, 127488, '\p{Script=-_Hiragana}', "");
    Expect(0, 127488, '\p{^Script=-_Hiragana}', "");
    Expect(0, 127488, '\P{Script=-_Hiragana}', "");
    Expect(1, 127488, '\P{^Script=-_Hiragana}', "");
    Expect(0, 127489, '\p{Script=-_Hiragana}', "");
    Expect(1, 127489, '\p{^Script=-_Hiragana}', "");
    Expect(1, 127489, '\P{Script=-_Hiragana}', "");
    Expect(0, 127489, '\P{^Script=-_Hiragana}', "");
    Error('\p{Sc=:=	-HIRA}');
    Error('\P{Sc=:=	-HIRA}');
    Expect(1, 127488, '\p{Sc=:\AHira\z:}', "");;
    Expect(0, 127489, '\p{Sc=:\AHira\z:}', "");;
    Expect(1, 127488, '\p{Sc=hira}', "");
    Expect(0, 127488, '\p{^Sc=hira}', "");
    Expect(0, 127488, '\P{Sc=hira}', "");
    Expect(1, 127488, '\P{^Sc=hira}', "");
    Expect(0, 127489, '\p{Sc=hira}', "");
    Expect(1, 127489, '\p{^Sc=hira}', "");
    Expect(1, 127489, '\P{Sc=hira}', "");
    Expect(0, 127489, '\P{^Sc=hira}', "");
    Expect(1, 127488, '\p{Sc=:\Ahira\z:}', "");;
    Expect(0, 127489, '\p{Sc=:\Ahira\z:}', "");;
    Expect(1, 127488, '\p{Sc=_hira}', "");
    Expect(0, 127488, '\p{^Sc=_hira}', "");
    Expect(0, 127488, '\P{Sc=_hira}', "");
    Expect(1, 127488, '\P{^Sc=_hira}', "");
    Expect(0, 127489, '\p{Sc=_hira}', "");
    Expect(1, 127489, '\p{^Sc=_hira}', "");
    Expect(1, 127489, '\P{Sc=_hira}', "");
    Expect(0, 127489, '\P{^Sc=_hira}', "");
    Error('\p{Is_Script=--hiragana/a/}');
    Error('\P{Is_Script=--hiragana/a/}');
    Expect(1, 127488, '\p{Is_Script=hiragana}', "");
    Expect(0, 127488, '\p{^Is_Script=hiragana}', "");
    Expect(0, 127488, '\P{Is_Script=hiragana}', "");
    Expect(1, 127488, '\P{^Is_Script=hiragana}', "");
    Expect(0, 127489, '\p{Is_Script=hiragana}', "");
    Expect(1, 127489, '\p{^Is_Script=hiragana}', "");
    Expect(1, 127489, '\P{Is_Script=hiragana}', "");
    Expect(0, 127489, '\P{^Is_Script=hiragana}', "");
    Expect(1, 127488, '\p{Is_Script=  Hiragana}', "");
    Expect(0, 127488, '\p{^Is_Script=  Hiragana}', "");
    Expect(0, 127488, '\P{Is_Script=  Hiragana}', "");
    Expect(1, 127488, '\P{^Is_Script=  Hiragana}', "");
    Expect(0, 127489, '\p{Is_Script=  Hiragana}', "");
    Expect(1, 127489, '\p{^Is_Script=  Hiragana}', "");
    Expect(1, 127489, '\P{Is_Script=  Hiragana}', "");
    Expect(0, 127489, '\P{^Is_Script=  Hiragana}', "");
    Error('\p{Is_Sc=-/a/HIRA}');
    Error('\P{Is_Sc=-/a/HIRA}');
    Expect(1, 127488, '\p{Is_Sc:   hira}', "");
    Expect(0, 127488, '\p{^Is_Sc:   hira}', "");
    Expect(0, 127488, '\P{Is_Sc:   hira}', "");
    Expect(1, 127488, '\P{^Is_Sc:   hira}', "");
    Expect(0, 127489, '\p{Is_Sc:   hira}', "");
    Expect(1, 127489, '\p{^Is_Sc:   hira}', "");
    Expect(1, 127489, '\P{Is_Sc:   hira}', "");
    Expect(0, 127489, '\P{^Is_Sc:   hira}', "");
    Expect(1, 127488, '\p{Is_Sc:	-Hira}', "");
    Expect(0, 127488, '\p{^Is_Sc:	-Hira}', "");
    Expect(0, 127488, '\P{Is_Sc:	-Hira}', "");
    Expect(1, 127488, '\P{^Is_Sc:	-Hira}', "");
    Expect(0, 127489, '\p{Is_Sc:	-Hira}', "");
    Expect(1, 127489, '\p{^Is_Sc:	-Hira}', "");
    Expect(1, 127489, '\P{Is_Sc:	-Hira}', "");
    Expect(0, 127489, '\P{^Is_Sc:	-Hira}', "");
    Error('\p{Script=:=_ANATOLIAN_hieroglyphs}');
    Error('\P{Script=:=_ANATOLIAN_hieroglyphs}');
    Expect(1, 83526, '\p{Script=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(0, 83527, '\p{Script=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(1, 83526, '\p{Script=anatolianhieroglyphs}', "");
    Expect(0, 83526, '\p{^Script=anatolianhieroglyphs}', "");
    Expect(0, 83526, '\P{Script=anatolianhieroglyphs}', "");
    Expect(1, 83526, '\P{^Script=anatolianhieroglyphs}', "");
    Expect(0, 83527, '\p{Script=anatolianhieroglyphs}', "");
    Expect(1, 83527, '\p{^Script=anatolianhieroglyphs}', "");
    Expect(1, 83527, '\P{Script=anatolianhieroglyphs}', "");
    Expect(0, 83527, '\P{^Script=anatolianhieroglyphs}', "");
    Expect(1, 83526, '\p{Script=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(0, 83527, '\p{Script=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(1, 83526, '\p{Script=-_Anatolian_Hieroglyphs}', "");
    Expect(0, 83526, '\p{^Script=-_Anatolian_Hieroglyphs}', "");
    Expect(0, 83526, '\P{Script=-_Anatolian_Hieroglyphs}', "");
    Expect(1, 83526, '\P{^Script=-_Anatolian_Hieroglyphs}', "");
    Expect(0, 83527, '\p{Script=-_Anatolian_Hieroglyphs}', "");
    Expect(1, 83527, '\p{^Script=-_Anatolian_Hieroglyphs}', "");
    Expect(1, 83527, '\P{Script=-_Anatolian_Hieroglyphs}', "");
    Expect(0, 83527, '\P{^Script=-_Anatolian_Hieroglyphs}', "");
    Error('\p{Sc=	 hluw/a/}');
    Error('\P{Sc=	 hluw/a/}');
    Expect(1, 83526, '\p{Sc=:\AHluw\z:}', "");;
    Expect(0, 83527, '\p{Sc=:\AHluw\z:}', "");;
    Expect(1, 83526, '\p{Sc=hluw}', "");
    Expect(0, 83526, '\p{^Sc=hluw}', "");
    Expect(0, 83526, '\P{Sc=hluw}', "");
    Expect(1, 83526, '\P{^Sc=hluw}', "");
    Expect(0, 83527, '\p{Sc=hluw}', "");
    Expect(1, 83527, '\p{^Sc=hluw}', "");
    Expect(1, 83527, '\P{Sc=hluw}', "");
    Expect(0, 83527, '\P{^Sc=hluw}', "");
    Expect(1, 83526, '\p{Sc=:\Ahluw\z:}', "");;
    Expect(0, 83527, '\p{Sc=:\Ahluw\z:}', "");;
    Expect(1, 83526, '\p{Sc=_Hluw}', "");
    Expect(0, 83526, '\p{^Sc=_Hluw}', "");
    Expect(0, 83526, '\P{Sc=_Hluw}', "");
    Expect(1, 83526, '\P{^Sc=_Hluw}', "");
    Expect(0, 83527, '\p{Sc=_Hluw}', "");
    Expect(1, 83527, '\p{^Sc=_Hluw}', "");
    Expect(1, 83527, '\P{Sc=_Hluw}', "");
    Expect(0, 83527, '\P{^Sc=_Hluw}', "");
    Error('\p{Is_Script=:=_Anatolian_Hieroglyphs}');
    Error('\P{Is_Script=:=_Anatolian_Hieroglyphs}');
    Expect(1, 83526, '\p{Is_Script=anatolianhieroglyphs}', "");
    Expect(0, 83526, '\p{^Is_Script=anatolianhieroglyphs}', "");
    Expect(0, 83526, '\P{Is_Script=anatolianhieroglyphs}', "");
    Expect(1, 83526, '\P{^Is_Script=anatolianhieroglyphs}', "");
    Expect(0, 83527, '\p{Is_Script=anatolianhieroglyphs}', "");
    Expect(1, 83527, '\p{^Is_Script=anatolianhieroglyphs}', "");
    Expect(1, 83527, '\P{Is_Script=anatolianhieroglyphs}', "");
    Expect(0, 83527, '\P{^Is_Script=anatolianhieroglyphs}', "");
    Expect(1, 83526, '\p{Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83526, '\p{^Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83526, '\P{Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83526, '\P{^Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83527, '\p{Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83527, '\p{^Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Expect(1, 83527, '\P{Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Expect(0, 83527, '\P{^Is_Script=_ANATOLIAN_Hieroglyphs}', "");
    Error('\p{Is_Sc= :=Hluw}');
    Error('\P{Is_Sc= :=Hluw}');
    Expect(1, 83526, '\p{Is_Sc=hluw}', "");
    Expect(0, 83526, '\p{^Is_Sc=hluw}', "");
    Expect(0, 83526, '\P{Is_Sc=hluw}', "");
    Expect(1, 83526, '\P{^Is_Sc=hluw}', "");
    Expect(0, 83527, '\p{Is_Sc=hluw}', "");
    Expect(1, 83527, '\p{^Is_Sc=hluw}', "");
    Expect(1, 83527, '\P{Is_Sc=hluw}', "");
    Expect(0, 83527, '\P{^Is_Sc=hluw}', "");
    Expect(1, 83526, '\p{Is_Sc=-Hluw}', "");
    Expect(0, 83526, '\p{^Is_Sc=-Hluw}', "");
    Expect(0, 83526, '\P{Is_Sc=-Hluw}', "");
    Expect(1, 83526, '\P{^Is_Sc=-Hluw}', "");
    Expect(0, 83527, '\p{Is_Sc=-Hluw}', "");
    Expect(1, 83527, '\p{^Is_Sc=-Hluw}', "");
    Expect(1, 83527, '\P{Is_Sc=-Hluw}', "");
    Expect(0, 83527, '\P{^Is_Sc=-Hluw}', "");
    Error('\p{Script:	/a/ pahawh_hmong}');
    Error('\P{Script:	/a/ pahawh_hmong}');
    Expect(1, 93071, '\p{Script=:\APahawh_Hmong\z:}', "");;
    Expect(0, 93072, '\p{Script=:\APahawh_Hmong\z:}', "");;
    Expect(1, 93071, '\p{Script=pahawhhmong}', "");
    Expect(0, 93071, '\p{^Script=pahawhhmong}', "");
    Expect(0, 93071, '\P{Script=pahawhhmong}', "");
    Expect(1, 93071, '\P{^Script=pahawhhmong}', "");
    Expect(0, 93072, '\p{Script=pahawhhmong}', "");
    Expect(1, 93072, '\p{^Script=pahawhhmong}', "");
    Expect(1, 93072, '\P{Script=pahawhhmong}', "");
    Expect(0, 93072, '\P{^Script=pahawhhmong}', "");
    Expect(1, 93071, '\p{Script=:\Apahawhhmong\z:}', "");;
    Expect(0, 93072, '\p{Script=:\Apahawhhmong\z:}', "");;
    Expect(1, 93071, '\p{Script:			Pahawh_hmong}', "");
    Expect(0, 93071, '\p{^Script:			Pahawh_hmong}', "");
    Expect(0, 93071, '\P{Script:			Pahawh_hmong}', "");
    Expect(1, 93071, '\P{^Script:			Pahawh_hmong}', "");
    Expect(0, 93072, '\p{Script:			Pahawh_hmong}', "");
    Expect(1, 93072, '\p{^Script:			Pahawh_hmong}', "");
    Expect(1, 93072, '\P{Script:			Pahawh_hmong}', "");
    Expect(0, 93072, '\P{^Script:			Pahawh_hmong}', "");
    Error('\p{Sc=/a/	 hmng}');
    Error('\P{Sc=/a/	 hmng}');
    Expect(1, 93071, '\p{Sc=:\AHmng\z:}', "");;
    Expect(0, 93072, '\p{Sc=:\AHmng\z:}', "");;
    Expect(1, 93071, '\p{Sc=hmng}', "");
    Expect(0, 93071, '\p{^Sc=hmng}', "");
    Expect(0, 93071, '\P{Sc=hmng}', "");
    Expect(1, 93071, '\P{^Sc=hmng}', "");
    Expect(0, 93072, '\p{Sc=hmng}', "");
    Expect(1, 93072, '\p{^Sc=hmng}', "");
    Expect(1, 93072, '\P{Sc=hmng}', "");
    Expect(0, 93072, '\P{^Sc=hmng}', "");
    Expect(1, 93071, '\p{Sc=:\Ahmng\z:}', "");;
    Expect(0, 93072, '\p{Sc=:\Ahmng\z:}', "");;
    Expect(1, 93071, '\p{Sc= 	Hmng}', "");
    Expect(0, 93071, '\p{^Sc= 	Hmng}', "");
    Expect(0, 93071, '\P{Sc= 	Hmng}', "");
    Expect(1, 93071, '\P{^Sc= 	Hmng}', "");
    Expect(0, 93072, '\p{Sc= 	Hmng}', "");
    Expect(1, 93072, '\p{^Sc= 	Hmng}', "");
    Expect(1, 93072, '\P{Sc= 	Hmng}', "");
    Expect(0, 93072, '\P{^Sc= 	Hmng}', "");
    Error('\p{Is_Script=:= _PAHAWH_Hmong}');
    Error('\P{Is_Script=:= _PAHAWH_Hmong}');
    Expect(1, 93071, '\p{Is_Script=pahawhhmong}', "");
    Expect(0, 93071, '\p{^Is_Script=pahawhhmong}', "");
    Expect(0, 93071, '\P{Is_Script=pahawhhmong}', "");
    Expect(1, 93071, '\P{^Is_Script=pahawhhmong}', "");
    Expect(0, 93072, '\p{Is_Script=pahawhhmong}', "");
    Expect(1, 93072, '\p{^Is_Script=pahawhhmong}', "");
    Expect(1, 93072, '\P{Is_Script=pahawhhmong}', "");
    Expect(0, 93072, '\P{^Is_Script=pahawhhmong}', "");
    Expect(1, 93071, '\p{Is_Script=-Pahawh_Hmong}', "");
    Expect(0, 93071, '\p{^Is_Script=-Pahawh_Hmong}', "");
    Expect(0, 93071, '\P{Is_Script=-Pahawh_Hmong}', "");
    Expect(1, 93071, '\P{^Is_Script=-Pahawh_Hmong}', "");
    Expect(0, 93072, '\p{Is_Script=-Pahawh_Hmong}', "");
    Expect(1, 93072, '\p{^Is_Script=-Pahawh_Hmong}', "");
    Expect(1, 93072, '\P{Is_Script=-Pahawh_Hmong}', "");
    Expect(0, 93072, '\P{^Is_Script=-Pahawh_Hmong}', "");
    Error('\p{Is_Sc=_/a/hmng}');
    Error('\P{Is_Sc=_/a/hmng}');
    Expect(1, 93071, '\p{Is_Sc=hmng}', "");
    Expect(0, 93071, '\p{^Is_Sc=hmng}', "");
    Expect(0, 93071, '\P{Is_Sc=hmng}', "");
    Expect(1, 93071, '\P{^Is_Sc=hmng}', "");
    Expect(0, 93072, '\p{Is_Sc=hmng}', "");
    Expect(1, 93072, '\p{^Is_Sc=hmng}', "");
    Expect(1, 93072, '\P{Is_Sc=hmng}', "");
    Expect(0, 93072, '\P{^Is_Sc=hmng}', "");
    Expect(1, 93071, '\p{Is_Sc=  Hmng}', "");
    Expect(0, 93071, '\p{^Is_Sc=  Hmng}', "");
    Expect(0, 93071, '\P{Is_Sc=  Hmng}', "");
    Expect(1, 93071, '\P{^Is_Sc=  Hmng}', "");
    Expect(0, 93072, '\p{Is_Sc=  Hmng}', "");
    Expect(1, 93072, '\p{^Is_Sc=  Hmng}', "");
    Expect(1, 93072, '\P{Is_Sc=  Hmng}', "");
    Expect(0, 93072, '\P{^Is_Sc=  Hmng}', "");
    Error('\p{Script=:= 	nyiakeng_puachue_Hmong}');
    Error('\P{Script=:= 	nyiakeng_puachue_Hmong}');
    Expect(1, 123215, '\p{Script=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(0, 123216, '\p{Script=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(1, 123215, '\p{Script:   nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Script:   nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Script:   nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Script:   nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Script:   nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Script:   nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Script:   nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Script:   nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Script=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(0, 123216, '\p{Script=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(1, 123215, '\p{Script=	nyiakeng_PUACHUE_hmong}', "");
    Expect(0, 123215, '\p{^Script=	nyiakeng_PUACHUE_hmong}', "");
    Expect(0, 123215, '\P{Script=	nyiakeng_PUACHUE_hmong}', "");
    Expect(1, 123215, '\P{^Script=	nyiakeng_PUACHUE_hmong}', "");
    Expect(0, 123216, '\p{Script=	nyiakeng_PUACHUE_hmong}', "");
    Expect(1, 123216, '\p{^Script=	nyiakeng_PUACHUE_hmong}', "");
    Expect(1, 123216, '\P{Script=	nyiakeng_PUACHUE_hmong}', "");
    Expect(0, 123216, '\P{^Script=	nyiakeng_PUACHUE_hmong}', "");
    Error('\p{Sc=_HMNP/a/}');
    Error('\P{Sc=_HMNP/a/}');
    Expect(1, 123215, '\p{Sc=:\AHmnp\z:}', "");;
    Expect(0, 123216, '\p{Sc=:\AHmnp\z:}', "");;
    Expect(1, 123215, '\p{Sc:	hmnp}', "");
    Expect(0, 123215, '\p{^Sc:	hmnp}', "");
    Expect(0, 123215, '\P{Sc:	hmnp}', "");
    Expect(1, 123215, '\P{^Sc:	hmnp}', "");
    Expect(0, 123216, '\p{Sc:	hmnp}', "");
    Expect(1, 123216, '\p{^Sc:	hmnp}', "");
    Expect(1, 123216, '\P{Sc:	hmnp}', "");
    Expect(0, 123216, '\P{^Sc:	hmnp}', "");
    Expect(1, 123215, '\p{Sc=:\Ahmnp\z:}', "");;
    Expect(0, 123216, '\p{Sc=:\Ahmnp\z:}', "");;
    Expect(1, 123215, '\p{Sc=_HMNP}', "");
    Expect(0, 123215, '\p{^Sc=_HMNP}', "");
    Expect(0, 123215, '\P{Sc=_HMNP}', "");
    Expect(1, 123215, '\P{^Sc=_HMNP}', "");
    Expect(0, 123216, '\p{Sc=_HMNP}', "");
    Expect(1, 123216, '\p{^Sc=_HMNP}', "");
    Expect(1, 123216, '\P{Sc=_HMNP}', "");
    Expect(0, 123216, '\P{^Sc=_HMNP}', "");
    Error('\p{Is_Script=_:=Nyiakeng_Puachue_hmong}');
    Error('\P{Is_Script=_:=Nyiakeng_Puachue_hmong}');
    Expect(1, 123215, '\p{Is_Script=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Is_Script=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Is_Script=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Is_Script=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Is_Script=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Is_Script=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Is_Script=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Is_Script=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Expect(0, 123215, '\p{^Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Expect(0, 123215, '\P{Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Expect(1, 123215, '\P{^Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Expect(0, 123216, '\p{Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Expect(1, 123216, '\p{^Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Expect(1, 123216, '\P{Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Expect(0, 123216, '\P{^Is_Script= -NYIAKENG_puachue_Hmong}', "");
    Error('\p{Is_Sc= HMNP/a/}');
    Error('\P{Is_Sc= HMNP/a/}');
    Expect(1, 123215, '\p{Is_Sc:hmnp}', "");
    Expect(0, 123215, '\p{^Is_Sc:hmnp}', "");
    Expect(0, 123215, '\P{Is_Sc:hmnp}', "");
    Expect(1, 123215, '\P{^Is_Sc:hmnp}', "");
    Expect(0, 123216, '\p{Is_Sc:hmnp}', "");
    Expect(1, 123216, '\p{^Is_Sc:hmnp}', "");
    Expect(1, 123216, '\P{Is_Sc:hmnp}', "");
    Expect(0, 123216, '\P{^Is_Sc:hmnp}', "");
    Expect(1, 123215, '\p{Is_Sc=--Hmnp}', "");
    Expect(0, 123215, '\p{^Is_Sc=--Hmnp}', "");
    Expect(0, 123215, '\P{Is_Sc=--Hmnp}', "");
    Expect(1, 123215, '\P{^Is_Sc=--Hmnp}', "");
    Expect(0, 123216, '\p{Is_Sc=--Hmnp}', "");
    Expect(1, 123216, '\p{^Is_Sc=--Hmnp}', "");
    Expect(1, 123216, '\P{Is_Sc=--Hmnp}', "");
    Expect(0, 123216, '\P{^Is_Sc=--Hmnp}', "");
    Error('\p{Script=Katakana_Or_Hiragana}');
    Error('\P{Script=Katakana_Or_Hiragana}');
    Error('\p{Sc=Hrkt}');
    Error('\P{Sc=Hrkt}');
    Error('\p{Is_Script=Katakana_Or_Hiragana}');
    Error('\P{Is_Script=Katakana_Or_Hiragana}');
    Error('\p{Is_Sc=Hrkt}');
    Error('\P{Is_Sc=Hrkt}');
    Error('\p{Script=- Old_hungarian/a/}');
    Error('\P{Script=- Old_hungarian/a/}');
    Expect(1, 68863, '\p{Script=:\AOld_Hungarian\z:}', "");;
    Expect(0, 68864, '\p{Script=:\AOld_Hungarian\z:}', "");;
    Expect(1, 68863, '\p{Script=oldhungarian}', "");
    Expect(0, 68863, '\p{^Script=oldhungarian}', "");
    Expect(0, 68863, '\P{Script=oldhungarian}', "");
    Expect(1, 68863, '\P{^Script=oldhungarian}', "");
    Expect(0, 68864, '\p{Script=oldhungarian}', "");
    Expect(1, 68864, '\p{^Script=oldhungarian}', "");
    Expect(1, 68864, '\P{Script=oldhungarian}', "");
    Expect(0, 68864, '\P{^Script=oldhungarian}', "");
    Expect(1, 68863, '\p{Script=:\Aoldhungarian\z:}', "");;
    Expect(0, 68864, '\p{Script=:\Aoldhungarian\z:}', "");;
    Expect(1, 68863, '\p{Script= 	OLD_hungarian}', "");
    Expect(0, 68863, '\p{^Script= 	OLD_hungarian}', "");
    Expect(0, 68863, '\P{Script= 	OLD_hungarian}', "");
    Expect(1, 68863, '\P{^Script= 	OLD_hungarian}', "");
    Expect(0, 68864, '\p{Script= 	OLD_hungarian}', "");
    Expect(1, 68864, '\p{^Script= 	OLD_hungarian}', "");
    Expect(1, 68864, '\P{Script= 	OLD_hungarian}', "");
    Expect(0, 68864, '\P{^Script= 	OLD_hungarian}', "");
    Error('\p{Sc=:= -hung}');
    Error('\P{Sc=:= -hung}');
    Expect(1, 68863, '\p{Sc=:\AHung\z:}', "");;
    Expect(0, 68864, '\p{Sc=:\AHung\z:}', "");;
    Expect(1, 68863, '\p{Sc=hung}', "");
    Expect(0, 68863, '\p{^Sc=hung}', "");
    Expect(0, 68863, '\P{Sc=hung}', "");
    Expect(1, 68863, '\P{^Sc=hung}', "");
    Expect(0, 68864, '\p{Sc=hung}', "");
    Expect(1, 68864, '\p{^Sc=hung}', "");
    Expect(1, 68864, '\P{Sc=hung}', "");
    Expect(0, 68864, '\P{^Sc=hung}', "");
    Expect(1, 68863, '\p{Sc=:\Ahung\z:}', "");;
    Expect(0, 68864, '\p{Sc=:\Ahung\z:}', "");;
    Expect(1, 68863, '\p{Sc=	HUNG}', "");
    Expect(0, 68863, '\p{^Sc=	HUNG}', "");
    Expect(0, 68863, '\P{Sc=	HUNG}', "");
    Expect(1, 68863, '\P{^Sc=	HUNG}', "");
    Expect(0, 68864, '\p{Sc=	HUNG}', "");
    Expect(1, 68864, '\p{^Sc=	HUNG}', "");
    Expect(1, 68864, '\P{Sc=	HUNG}', "");
    Expect(0, 68864, '\P{^Sc=	HUNG}', "");
    Error('\p{Is_Script=-Old_hungarian/a/}');
    Error('\P{Is_Script=-Old_hungarian/a/}');
    Expect(1, 68863, '\p{Is_Script=oldhungarian}', "");
    Expect(0, 68863, '\p{^Is_Script=oldhungarian}', "");
    Expect(0, 68863, '\P{Is_Script=oldhungarian}', "");
    Expect(1, 68863, '\P{^Is_Script=oldhungarian}', "");
    Expect(0, 68864, '\p{Is_Script=oldhungarian}', "");
    Expect(1, 68864, '\p{^Is_Script=oldhungarian}', "");
    Expect(1, 68864, '\P{Is_Script=oldhungarian}', "");
    Expect(0, 68864, '\P{^Is_Script=oldhungarian}', "");
    Expect(1, 68863, '\p{Is_Script=_ old_hungarian}', "");
    Expect(0, 68863, '\p{^Is_Script=_ old_hungarian}', "");
    Expect(0, 68863, '\P{Is_Script=_ old_hungarian}', "");
    Expect(1, 68863, '\P{^Is_Script=_ old_hungarian}', "");
    Expect(0, 68864, '\p{Is_Script=_ old_hungarian}', "");
    Expect(1, 68864, '\p{^Is_Script=_ old_hungarian}', "");
    Expect(1, 68864, '\P{Is_Script=_ old_hungarian}', "");
    Expect(0, 68864, '\P{^Is_Script=_ old_hungarian}', "");
    Error('\p{Is_Sc=:=-Hung}');
    Error('\P{Is_Sc=:=-Hung}');
    Expect(1, 68863, '\p{Is_Sc: hung}', "");
    Expect(0, 68863, '\p{^Is_Sc: hung}', "");
    Expect(0, 68863, '\P{Is_Sc: hung}', "");
    Expect(1, 68863, '\P{^Is_Sc: hung}', "");
    Expect(0, 68864, '\p{Is_Sc: hung}', "");
    Expect(1, 68864, '\p{^Is_Sc: hung}', "");
    Expect(1, 68864, '\P{Is_Sc: hung}', "");
    Expect(0, 68864, '\P{^Is_Sc: hung}', "");
    Expect(1, 68863, '\p{Is_Sc=	Hung}', "");
    Expect(0, 68863, '\p{^Is_Sc=	Hung}', "");
    Expect(0, 68863, '\P{Is_Sc=	Hung}', "");
    Expect(1, 68863, '\P{^Is_Sc=	Hung}', "");
    Expect(0, 68864, '\p{Is_Sc=	Hung}', "");
    Expect(1, 68864, '\p{^Is_Sc=	Hung}', "");
    Expect(1, 68864, '\P{Is_Sc=	Hung}', "");
    Expect(0, 68864, '\P{^Is_Sc=	Hung}', "");
    Error('\p{Script=/a/	Old_Italic}');
    Error('\P{Script=/a/	Old_Italic}');
    Expect(1, 66351, '\p{Script=:\AOld_Italic\z:}', "");;
    Expect(0, 66352, '\p{Script=:\AOld_Italic\z:}', "");;
    Expect(1, 66351, '\p{Script=olditalic}', "");
    Expect(0, 66351, '\p{^Script=olditalic}', "");
    Expect(0, 66351, '\P{Script=olditalic}', "");
    Expect(1, 66351, '\P{^Script=olditalic}', "");
    Expect(0, 66352, '\p{Script=olditalic}', "");
    Expect(1, 66352, '\p{^Script=olditalic}', "");
    Expect(1, 66352, '\P{Script=olditalic}', "");
    Expect(0, 66352, '\P{^Script=olditalic}', "");
    Expect(1, 66351, '\p{Script=:\Aolditalic\z:}', "");;
    Expect(0, 66352, '\p{Script=:\Aolditalic\z:}', "");;
    Expect(1, 66351, '\p{Script=_	Old_ITALIC}', "");
    Expect(0, 66351, '\p{^Script=_	Old_ITALIC}', "");
    Expect(0, 66351, '\P{Script=_	Old_ITALIC}', "");
    Expect(1, 66351, '\P{^Script=_	Old_ITALIC}', "");
    Expect(0, 66352, '\p{Script=_	Old_ITALIC}', "");
    Expect(1, 66352, '\p{^Script=_	Old_ITALIC}', "");
    Expect(1, 66352, '\P{Script=_	Old_ITALIC}', "");
    Expect(0, 66352, '\P{^Script=_	Old_ITALIC}', "");
    Error('\p{Sc=- ITAL/a/}');
    Error('\P{Sc=- ITAL/a/}');
    Expect(1, 66351, '\p{Sc=:\AItal\z:}', "");;
    Expect(0, 66352, '\p{Sc=:\AItal\z:}', "");;
    Expect(1, 66351, '\p{Sc=ital}', "");
    Expect(0, 66351, '\p{^Sc=ital}', "");
    Expect(0, 66351, '\P{Sc=ital}', "");
    Expect(1, 66351, '\P{^Sc=ital}', "");
    Expect(0, 66352, '\p{Sc=ital}', "");
    Expect(1, 66352, '\p{^Sc=ital}', "");
    Expect(1, 66352, '\P{Sc=ital}', "");
    Expect(0, 66352, '\P{^Sc=ital}', "");
    Expect(1, 66351, '\p{Sc=:\Aital\z:}', "");;
    Expect(0, 66352, '\p{Sc=:\Aital\z:}', "");;
    Expect(1, 66351, '\p{Sc=	-Ital}', "");
    Expect(0, 66351, '\p{^Sc=	-Ital}', "");
    Expect(0, 66351, '\P{Sc=	-Ital}', "");
    Expect(1, 66351, '\P{^Sc=	-Ital}', "");
    Expect(0, 66352, '\p{Sc=	-Ital}', "");
    Expect(1, 66352, '\p{^Sc=	-Ital}', "");
    Expect(1, 66352, '\P{Sc=	-Ital}', "");
    Expect(0, 66352, '\P{^Sc=	-Ital}', "");
    Error('\p{Is_Script=/a/--Old_ITALIC}');
    Error('\P{Is_Script=/a/--Old_ITALIC}');
    Expect(1, 66351, '\p{Is_Script=olditalic}', "");
    Expect(0, 66351, '\p{^Is_Script=olditalic}', "");
    Expect(0, 66351, '\P{Is_Script=olditalic}', "");
    Expect(1, 66351, '\P{^Is_Script=olditalic}', "");
    Expect(0, 66352, '\p{Is_Script=olditalic}', "");
    Expect(1, 66352, '\p{^Is_Script=olditalic}', "");
    Expect(1, 66352, '\P{Is_Script=olditalic}', "");
    Expect(0, 66352, '\P{^Is_Script=olditalic}', "");
    Expect(1, 66351, '\p{Is_Script=		old_Italic}', "");
    Expect(0, 66351, '\p{^Is_Script=		old_Italic}', "");
    Expect(0, 66351, '\P{Is_Script=		old_Italic}', "");
    Expect(1, 66351, '\P{^Is_Script=		old_Italic}', "");
    Expect(0, 66352, '\p{Is_Script=		old_Italic}', "");
    Expect(1, 66352, '\p{^Is_Script=		old_Italic}', "");
    Expect(1, 66352, '\P{Is_Script=		old_Italic}', "");
    Expect(0, 66352, '\P{^Is_Script=		old_Italic}', "");
    Error('\p{Is_Sc=/a/	-ITAL}');
    Error('\P{Is_Sc=/a/	-ITAL}');
    Expect(1, 66351, '\p{Is_Sc=ital}', "");
    Expect(0, 66351, '\p{^Is_Sc=ital}', "");
    Expect(0, 66351, '\P{Is_Sc=ital}', "");
    Expect(1, 66351, '\P{^Is_Sc=ital}', "");
    Expect(0, 66352, '\p{Is_Sc=ital}', "");
    Expect(1, 66352, '\p{^Is_Sc=ital}', "");
    Expect(1, 66352, '\P{Is_Sc=ital}', "");
    Expect(0, 66352, '\P{^Is_Sc=ital}', "");
    Expect(1, 66351, '\p{Is_Sc:   Ital}', "");
    Expect(0, 66351, '\p{^Is_Sc:   Ital}', "");
    Expect(0, 66351, '\P{Is_Sc:   Ital}', "");
    Expect(1, 66351, '\P{^Is_Sc:   Ital}', "");
    Expect(0, 66352, '\p{Is_Sc:   Ital}', "");
    Expect(1, 66352, '\p{^Is_Sc:   Ital}', "");
    Expect(1, 66352, '\P{Is_Sc:   Ital}', "");
    Expect(0, 66352, '\P{^Is_Sc:   Ital}', "");
    Error('\p{Script=_/a/Javanese}');
    Error('\P{Script=_/a/Javanese}');
    Expect(1, 43487, '\p{Script=:\AJavanese\z:}', "");;
    Expect(0, 43488, '\p{Script=:\AJavanese\z:}', "");;
    Expect(1, 43487, '\p{Script=javanese}', "");
    Expect(0, 43487, '\p{^Script=javanese}', "");
    Expect(0, 43487, '\P{Script=javanese}', "");
    Expect(1, 43487, '\P{^Script=javanese}', "");
    Expect(0, 43488, '\p{Script=javanese}', "");
    Expect(1, 43488, '\p{^Script=javanese}', "");
    Expect(1, 43488, '\P{Script=javanese}', "");
    Expect(0, 43488, '\P{^Script=javanese}', "");
    Expect(1, 43487, '\p{Script=:\Ajavanese\z:}', "");;
    Expect(0, 43488, '\p{Script=:\Ajavanese\z:}', "");;
    Expect(1, 43487, '\p{Script= 	Javanese}', "");
    Expect(0, 43487, '\p{^Script= 	Javanese}', "");
    Expect(0, 43487, '\P{Script= 	Javanese}', "");
    Expect(1, 43487, '\P{^Script= 	Javanese}', "");
    Expect(0, 43488, '\p{Script= 	Javanese}', "");
    Expect(1, 43488, '\p{^Script= 	Javanese}', "");
    Expect(1, 43488, '\P{Script= 	Javanese}', "");
    Expect(0, 43488, '\P{^Script= 	Javanese}', "");
    Error('\p{Sc=--JAVA/a/}');
    Error('\P{Sc=--JAVA/a/}');
    Expect(1, 43487, '\p{Sc=:\AJava\z:}', "");;
    Expect(0, 43488, '\p{Sc=:\AJava\z:}', "");;
    Expect(1, 43487, '\p{Sc=java}', "");
    Expect(0, 43487, '\p{^Sc=java}', "");
    Expect(0, 43487, '\P{Sc=java}', "");
    Expect(1, 43487, '\P{^Sc=java}', "");
    Expect(0, 43488, '\p{Sc=java}', "");
    Expect(1, 43488, '\p{^Sc=java}', "");
    Expect(1, 43488, '\P{Sc=java}', "");
    Expect(0, 43488, '\P{^Sc=java}', "");
    Expect(1, 43487, '\p{Sc=:\Ajava\z:}', "");;
    Expect(0, 43488, '\p{Sc=:\Ajava\z:}', "");;
    Expect(1, 43487, '\p{Sc=--Java}', "");
    Expect(0, 43487, '\p{^Sc=--Java}', "");
    Expect(0, 43487, '\P{Sc=--Java}', "");
    Expect(1, 43487, '\P{^Sc=--Java}', "");
    Expect(0, 43488, '\p{Sc=--Java}', "");
    Expect(1, 43488, '\p{^Sc=--Java}', "");
    Expect(1, 43488, '\P{Sc=--Java}', "");
    Expect(0, 43488, '\P{^Sc=--Java}', "");
    Error('\p{Is_Script=_/a/JAVANESE}');
    Error('\P{Is_Script=_/a/JAVANESE}');
    Expect(1, 43487, '\p{Is_Script:   javanese}', "");
    Expect(0, 43487, '\p{^Is_Script:   javanese}', "");
    Expect(0, 43487, '\P{Is_Script:   javanese}', "");
    Expect(1, 43487, '\P{^Is_Script:   javanese}', "");
    Expect(0, 43488, '\p{Is_Script:   javanese}', "");
    Expect(1, 43488, '\p{^Is_Script:   javanese}', "");
    Expect(1, 43488, '\P{Is_Script:   javanese}', "");
    Expect(0, 43488, '\P{^Is_Script:   javanese}', "");
    Expect(1, 43487, '\p{Is_Script:	- Javanese}', "");
    Expect(0, 43487, '\p{^Is_Script:	- Javanese}', "");
    Expect(0, 43487, '\P{Is_Script:	- Javanese}', "");
    Expect(1, 43487, '\P{^Is_Script:	- Javanese}', "");
    Expect(0, 43488, '\p{Is_Script:	- Javanese}', "");
    Expect(1, 43488, '\p{^Is_Script:	- Javanese}', "");
    Expect(1, 43488, '\P{Is_Script:	- Javanese}', "");
    Expect(0, 43488, '\P{^Is_Script:	- Javanese}', "");
    Error('\p{Is_Sc=/a/ Java}');
    Error('\P{Is_Sc=/a/ Java}');
    Expect(1, 43487, '\p{Is_Sc=java}', "");
    Expect(0, 43487, '\p{^Is_Sc=java}', "");
    Expect(0, 43487, '\P{Is_Sc=java}', "");
    Expect(1, 43487, '\P{^Is_Sc=java}', "");
    Expect(0, 43488, '\p{Is_Sc=java}', "");
    Expect(1, 43488, '\p{^Is_Sc=java}', "");
    Expect(1, 43488, '\P{Is_Sc=java}', "");
    Expect(0, 43488, '\P{^Is_Sc=java}', "");
    Expect(1, 43487, '\p{Is_Sc= -Java}', "");
    Expect(0, 43487, '\p{^Is_Sc= -Java}', "");
    Expect(0, 43487, '\P{Is_Sc= -Java}', "");
    Expect(1, 43487, '\P{^Is_Sc= -Java}', "");
    Expect(0, 43488, '\p{Is_Sc= -Java}', "");
    Expect(1, 43488, '\p{^Is_Sc= -Java}', "");
    Expect(1, 43488, '\P{Is_Sc= -Java}', "");
    Expect(0, 43488, '\P{^Is_Sc= -Java}', "");
    Error('\p{Script=/a/_-KAYAH_li}');
    Error('\P{Script=/a/_-KAYAH_li}');
    Expect(1, 43311, '\p{Script=:\AKayah_Li\z:}', "");;
    Expect(0, 43312, '\p{Script=:\AKayah_Li\z:}', "");;
    Expect(1, 43311, '\p{Script=kayahli}', "");
    Expect(0, 43311, '\p{^Script=kayahli}', "");
    Expect(0, 43311, '\P{Script=kayahli}', "");
    Expect(1, 43311, '\P{^Script=kayahli}', "");
    Expect(0, 43312, '\p{Script=kayahli}', "");
    Expect(1, 43312, '\p{^Script=kayahli}', "");
    Expect(1, 43312, '\P{Script=kayahli}', "");
    Expect(0, 43312, '\P{^Script=kayahli}', "");
    Expect(1, 43311, '\p{Script=:\Akayahli\z:}', "");;
    Expect(0, 43312, '\p{Script=:\Akayahli\z:}', "");;
    Expect(1, 43311, '\p{Script=		Kayah_Li}', "");
    Expect(0, 43311, '\p{^Script=		Kayah_Li}', "");
    Expect(0, 43311, '\P{Script=		Kayah_Li}', "");
    Expect(1, 43311, '\P{^Script=		Kayah_Li}', "");
    Expect(0, 43312, '\p{Script=		Kayah_Li}', "");
    Expect(1, 43312, '\p{^Script=		Kayah_Li}', "");
    Expect(1, 43312, '\P{Script=		Kayah_Li}', "");
    Expect(0, 43312, '\P{^Script=		Kayah_Li}', "");
    Error('\p{Sc=:=_Kali}');
    Error('\P{Sc=:=_Kali}');
    Expect(1, 43311, '\p{Sc=:\AKali\z:}', "");;
    Expect(0, 43312, '\p{Sc=:\AKali\z:}', "");;
    Expect(1, 43311, '\p{Sc=kali}', "");
    Expect(0, 43311, '\p{^Sc=kali}', "");
    Expect(0, 43311, '\P{Sc=kali}', "");
    Expect(1, 43311, '\P{^Sc=kali}', "");
    Expect(0, 43312, '\p{Sc=kali}', "");
    Expect(1, 43312, '\p{^Sc=kali}', "");
    Expect(1, 43312, '\P{Sc=kali}', "");
    Expect(0, 43312, '\P{^Sc=kali}', "");
    Expect(1, 43311, '\p{Sc=:\Akali\z:}', "");;
    Expect(0, 43312, '\p{Sc=:\Akali\z:}', "");;
    Expect(1, 43311, '\p{Sc= -KALI}', "");
    Expect(0, 43311, '\p{^Sc= -KALI}', "");
    Expect(0, 43311, '\P{Sc= -KALI}', "");
    Expect(1, 43311, '\P{^Sc= -KALI}', "");
    Expect(0, 43312, '\p{Sc= -KALI}', "");
    Expect(1, 43312, '\p{^Sc= -KALI}', "");
    Expect(1, 43312, '\P{Sc= -KALI}', "");
    Expect(0, 43312, '\P{^Sc= -KALI}', "");
    Error('\p{Is_Script: :=KAYAH_LI}');
    Error('\P{Is_Script: :=KAYAH_LI}');
    Expect(1, 43311, '\p{Is_Script=kayahli}', "");
    Expect(0, 43311, '\p{^Is_Script=kayahli}', "");
    Expect(0, 43311, '\P{Is_Script=kayahli}', "");
    Expect(1, 43311, '\P{^Is_Script=kayahli}', "");
    Expect(0, 43312, '\p{Is_Script=kayahli}', "");
    Expect(1, 43312, '\p{^Is_Script=kayahli}', "");
    Expect(1, 43312, '\P{Is_Script=kayahli}', "");
    Expect(0, 43312, '\P{^Is_Script=kayahli}', "");
    Expect(1, 43311, '\p{Is_Script:	- kayah_li}', "");
    Expect(0, 43311, '\p{^Is_Script:	- kayah_li}', "");
    Expect(0, 43311, '\P{Is_Script:	- kayah_li}', "");
    Expect(1, 43311, '\P{^Is_Script:	- kayah_li}', "");
    Expect(0, 43312, '\p{Is_Script:	- kayah_li}', "");
    Expect(1, 43312, '\p{^Is_Script:	- kayah_li}', "");
    Expect(1, 43312, '\P{Is_Script:	- kayah_li}', "");
    Expect(0, 43312, '\P{^Is_Script:	- kayah_li}', "");
    Error('\p{Is_Sc=:=Kali}');
    Error('\P{Is_Sc=:=Kali}');
    Expect(1, 43311, '\p{Is_Sc:kali}', "");
    Expect(0, 43311, '\p{^Is_Sc:kali}', "");
    Expect(0, 43311, '\P{Is_Sc:kali}', "");
    Expect(1, 43311, '\P{^Is_Sc:kali}', "");
    Expect(0, 43312, '\p{Is_Sc:kali}', "");
    Expect(1, 43312, '\p{^Is_Sc:kali}', "");
    Expect(1, 43312, '\P{Is_Sc:kali}', "");
    Expect(0, 43312, '\P{^Is_Sc:kali}', "");
    Expect(1, 43311, '\p{Is_Sc=	 Kali}', "");
    Expect(0, 43311, '\p{^Is_Sc=	 Kali}', "");
    Expect(0, 43311, '\P{Is_Sc=	 Kali}', "");
    Expect(1, 43311, '\P{^Is_Sc=	 Kali}', "");
    Expect(0, 43312, '\p{Is_Sc=	 Kali}', "");
    Expect(1, 43312, '\p{^Is_Sc=	 Kali}', "");
    Expect(1, 43312, '\P{Is_Sc=	 Kali}', "");
    Expect(0, 43312, '\P{^Is_Sc=	 Kali}', "");
    Error('\p{Script=-/a/Katakana}');
    Error('\P{Script=-/a/Katakana}');
    Expect(1, 110951, '\p{Script=:\AKatakana\z:}', "");;
    Expect(0, 110952, '\p{Script=:\AKatakana\z:}', "");;
    Expect(1, 110951, '\p{Script=katakana}', "");
    Expect(0, 110951, '\p{^Script=katakana}', "");
    Expect(0, 110951, '\P{Script=katakana}', "");
    Expect(1, 110951, '\P{^Script=katakana}', "");
    Expect(0, 110952, '\p{Script=katakana}', "");
    Expect(1, 110952, '\p{^Script=katakana}', "");
    Expect(1, 110952, '\P{Script=katakana}', "");
    Expect(0, 110952, '\P{^Script=katakana}', "");
    Expect(1, 110951, '\p{Script=:\Akatakana\z:}', "");;
    Expect(0, 110952, '\p{Script=:\Akatakana\z:}', "");;
    Expect(1, 110951, '\p{Script: 	-Katakana}', "");
    Expect(0, 110951, '\p{^Script: 	-Katakana}', "");
    Expect(0, 110951, '\P{Script: 	-Katakana}', "");
    Expect(1, 110951, '\P{^Script: 	-Katakana}', "");
    Expect(0, 110952, '\p{Script: 	-Katakana}', "");
    Expect(1, 110952, '\p{^Script: 	-Katakana}', "");
    Expect(1, 110952, '\P{Script: 	-Katakana}', "");
    Expect(0, 110952, '\P{^Script: 	-Katakana}', "");
    Error('\p{Sc=_Kana/a/}');
    Error('\P{Sc=_Kana/a/}');
    Expect(1, 110951, '\p{Sc=:\AKana\z:}', "");;
    Expect(0, 110952, '\p{Sc=:\AKana\z:}', "");;
    Expect(1, 110951, '\p{Sc=kana}', "");
    Expect(0, 110951, '\p{^Sc=kana}', "");
    Expect(0, 110951, '\P{Sc=kana}', "");
    Expect(1, 110951, '\P{^Sc=kana}', "");
    Expect(0, 110952, '\p{Sc=kana}', "");
    Expect(1, 110952, '\p{^Sc=kana}', "");
    Expect(1, 110952, '\P{Sc=kana}', "");
    Expect(0, 110952, '\P{^Sc=kana}', "");
    Expect(1, 110951, '\p{Sc=:\Akana\z:}', "");;
    Expect(0, 110952, '\p{Sc=:\Akana\z:}', "");;
    Expect(1, 110951, '\p{Sc=-kana}', "");
    Expect(0, 110951, '\p{^Sc=-kana}', "");
    Expect(0, 110951, '\P{Sc=-kana}', "");
    Expect(1, 110951, '\P{^Sc=-kana}', "");
    Expect(0, 110952, '\p{Sc=-kana}', "");
    Expect(1, 110952, '\p{^Sc=-kana}', "");
    Expect(1, 110952, '\P{Sc=-kana}', "");
    Expect(0, 110952, '\P{^Sc=-kana}', "");
    Error('\p{Is_Script=_:=KATAKANA}');
    Error('\P{Is_Script=_:=KATAKANA}');
    Expect(1, 110951, '\p{Is_Script=katakana}', "");
    Expect(0, 110951, '\p{^Is_Script=katakana}', "");
    Expect(0, 110951, '\P{Is_Script=katakana}', "");
    Expect(1, 110951, '\P{^Is_Script=katakana}', "");
    Expect(0, 110952, '\p{Is_Script=katakana}', "");
    Expect(1, 110952, '\p{^Is_Script=katakana}', "");
    Expect(1, 110952, '\P{Is_Script=katakana}', "");
    Expect(0, 110952, '\P{^Is_Script=katakana}', "");
    Expect(1, 110951, '\p{Is_Script=-Katakana}', "");
    Expect(0, 110951, '\p{^Is_Script=-Katakana}', "");
    Expect(0, 110951, '\P{Is_Script=-Katakana}', "");
    Expect(1, 110951, '\P{^Is_Script=-Katakana}', "");
    Expect(0, 110952, '\p{Is_Script=-Katakana}', "");
    Expect(1, 110952, '\p{^Is_Script=-Katakana}', "");
    Expect(1, 110952, '\P{Is_Script=-Katakana}', "");
    Expect(0, 110952, '\P{^Is_Script=-Katakana}', "");
    Error('\p{Is_Sc= /a/Kana}');
    Error('\P{Is_Sc= /a/Kana}');
    Expect(1, 110951, '\p{Is_Sc=kana}', "");
    Expect(0, 110951, '\p{^Is_Sc=kana}', "");
    Expect(0, 110951, '\P{Is_Sc=kana}', "");
    Expect(1, 110951, '\P{^Is_Sc=kana}', "");
    Expect(0, 110952, '\p{Is_Sc=kana}', "");
    Expect(1, 110952, '\p{^Is_Sc=kana}', "");
    Expect(1, 110952, '\P{Is_Sc=kana}', "");
    Expect(0, 110952, '\P{^Is_Sc=kana}', "");
    Expect(1, 110951, '\p{Is_Sc=	_kana}', "");
    Expect(0, 110951, '\p{^Is_Sc=	_kana}', "");
    Expect(0, 110951, '\P{Is_Sc=	_kana}', "");
    Expect(1, 110951, '\P{^Is_Sc=	_kana}', "");
    Expect(0, 110952, '\p{Is_Sc=	_kana}', "");
    Expect(1, 110952, '\p{^Is_Sc=	_kana}', "");
    Expect(1, 110952, '\P{Is_Sc=	_kana}', "");
    Expect(0, 110952, '\P{^Is_Sc=	_kana}', "");
    Error('\p{Script:	_ Kharoshthi/a/}');
    Error('\P{Script:	_ Kharoshthi/a/}');
    Expect(1, 68184, '\p{Script=:\AKharoshthi\z:}', "");;
    Expect(0, 68185, '\p{Script=:\AKharoshthi\z:}', "");;
    Expect(1, 68184, '\p{Script=kharoshthi}', "");
    Expect(0, 68184, '\p{^Script=kharoshthi}', "");
    Expect(0, 68184, '\P{Script=kharoshthi}', "");
    Expect(1, 68184, '\P{^Script=kharoshthi}', "");
    Expect(0, 68185, '\p{Script=kharoshthi}', "");
    Expect(1, 68185, '\p{^Script=kharoshthi}', "");
    Expect(1, 68185, '\P{Script=kharoshthi}', "");
    Expect(0, 68185, '\P{^Script=kharoshthi}', "");
    Expect(1, 68184, '\p{Script=:\Akharoshthi\z:}', "");;
    Expect(0, 68185, '\p{Script=:\Akharoshthi\z:}', "");;
    Expect(1, 68184, '\p{Script:   	-Kharoshthi}', "");
    Expect(0, 68184, '\p{^Script:   	-Kharoshthi}', "");
    Expect(0, 68184, '\P{Script:   	-Kharoshthi}', "");
    Expect(1, 68184, '\P{^Script:   	-Kharoshthi}', "");
    Expect(0, 68185, '\p{Script:   	-Kharoshthi}', "");
    Expect(1, 68185, '\p{^Script:   	-Kharoshthi}', "");
    Expect(1, 68185, '\P{Script:   	-Kharoshthi}', "");
    Expect(0, 68185, '\P{^Script:   	-Kharoshthi}', "");
    Error('\p{Sc: /a/Khar}');
    Error('\P{Sc: /a/Khar}');
    Expect(1, 68184, '\p{Sc=:\AKhar\z:}', "");;
    Expect(0, 68185, '\p{Sc=:\AKhar\z:}', "");;
    Expect(1, 68184, '\p{Sc=khar}', "");
    Expect(0, 68184, '\p{^Sc=khar}', "");
    Expect(0, 68184, '\P{Sc=khar}', "");
    Expect(1, 68184, '\P{^Sc=khar}', "");
    Expect(0, 68185, '\p{Sc=khar}', "");
    Expect(1, 68185, '\p{^Sc=khar}', "");
    Expect(1, 68185, '\P{Sc=khar}', "");
    Expect(0, 68185, '\P{^Sc=khar}', "");
    Expect(1, 68184, '\p{Sc=:\Akhar\z:}', "");;
    Expect(0, 68185, '\p{Sc=:\Akhar\z:}', "");;
    Expect(1, 68184, '\p{Sc=__Khar}', "");
    Expect(0, 68184, '\p{^Sc=__Khar}', "");
    Expect(0, 68184, '\P{Sc=__Khar}', "");
    Expect(1, 68184, '\P{^Sc=__Khar}', "");
    Expect(0, 68185, '\p{Sc=__Khar}', "");
    Expect(1, 68185, '\p{^Sc=__Khar}', "");
    Expect(1, 68185, '\P{Sc=__Khar}', "");
    Expect(0, 68185, '\P{^Sc=__Khar}', "");
    Error('\p{Is_Script=	kharoshthi/a/}');
    Error('\P{Is_Script=	kharoshthi/a/}');
    Expect(1, 68184, '\p{Is_Script=kharoshthi}', "");
    Expect(0, 68184, '\p{^Is_Script=kharoshthi}', "");
    Expect(0, 68184, '\P{Is_Script=kharoshthi}', "");
    Expect(1, 68184, '\P{^Is_Script=kharoshthi}', "");
    Expect(0, 68185, '\p{Is_Script=kharoshthi}', "");
    Expect(1, 68185, '\p{^Is_Script=kharoshthi}', "");
    Expect(1, 68185, '\P{Is_Script=kharoshthi}', "");
    Expect(0, 68185, '\P{^Is_Script=kharoshthi}', "");
    Expect(1, 68184, '\p{Is_Script=  Kharoshthi}', "");
    Expect(0, 68184, '\p{^Is_Script=  Kharoshthi}', "");
    Expect(0, 68184, '\P{Is_Script=  Kharoshthi}', "");
    Expect(1, 68184, '\P{^Is_Script=  Kharoshthi}', "");
    Expect(0, 68185, '\p{Is_Script=  Kharoshthi}', "");
    Expect(1, 68185, '\p{^Is_Script=  Kharoshthi}', "");
    Expect(1, 68185, '\P{Is_Script=  Kharoshthi}', "");
    Expect(0, 68185, '\P{^Is_Script=  Kharoshthi}', "");
    Error('\p{Is_Sc:   - KHAR:=}');
    Error('\P{Is_Sc:   - KHAR:=}');
    Expect(1, 68184, '\p{Is_Sc=khar}', "");
    Expect(0, 68184, '\p{^Is_Sc=khar}', "");
    Expect(0, 68184, '\P{Is_Sc=khar}', "");
    Expect(1, 68184, '\P{^Is_Sc=khar}', "");
    Expect(0, 68185, '\p{Is_Sc=khar}', "");
    Expect(1, 68185, '\p{^Is_Sc=khar}', "");
    Expect(1, 68185, '\P{Is_Sc=khar}', "");
    Expect(0, 68185, '\P{^Is_Sc=khar}', "");
    Expect(1, 68184, '\p{Is_Sc= -KHAR}', "");
    Expect(0, 68184, '\p{^Is_Sc= -KHAR}', "");
    Expect(0, 68184, '\P{Is_Sc= -KHAR}', "");
    Expect(1, 68184, '\P{^Is_Sc= -KHAR}', "");
    Expect(0, 68185, '\p{Is_Sc= -KHAR}', "");
    Expect(1, 68185, '\p{^Is_Sc= -KHAR}', "");
    Expect(1, 68185, '\P{Is_Sc= -KHAR}', "");
    Expect(0, 68185, '\P{^Is_Sc= -KHAR}', "");
    Error('\p{Script=-/a/Khmer}');
    Error('\P{Script=-/a/Khmer}');
    Expect(1, 6655, '\p{Script=:\AKhmer\z:}', "");;
    Expect(0, 6656, '\p{Script=:\AKhmer\z:}', "");;
    Expect(1, 6655, '\p{Script=khmer}', "");
    Expect(0, 6655, '\p{^Script=khmer}', "");
    Expect(0, 6655, '\P{Script=khmer}', "");
    Expect(1, 6655, '\P{^Script=khmer}', "");
    Expect(0, 6656, '\p{Script=khmer}', "");
    Expect(1, 6656, '\p{^Script=khmer}', "");
    Expect(1, 6656, '\P{Script=khmer}', "");
    Expect(0, 6656, '\P{^Script=khmer}', "");
    Expect(1, 6655, '\p{Script=:\Akhmer\z:}', "");;
    Expect(0, 6656, '\p{Script=:\Akhmer\z:}', "");;
    Expect(1, 6655, '\p{Script=_-Khmer}', "");
    Expect(0, 6655, '\p{^Script=_-Khmer}', "");
    Expect(0, 6655, '\P{Script=_-Khmer}', "");
    Expect(1, 6655, '\P{^Script=_-Khmer}', "");
    Expect(0, 6656, '\p{Script=_-Khmer}', "");
    Expect(1, 6656, '\p{^Script=_-Khmer}', "");
    Expect(1, 6656, '\P{Script=_-Khmer}', "");
    Expect(0, 6656, '\P{^Script=_-Khmer}', "");
    Error('\p{Sc=/a/--khmr}');
    Error('\P{Sc=/a/--khmr}');
    Expect(1, 6655, '\p{Sc=:\AKhmr\z:}', "");;
    Expect(0, 6656, '\p{Sc=:\AKhmr\z:}', "");;
    Expect(1, 6655, '\p{Sc=khmr}', "");
    Expect(0, 6655, '\p{^Sc=khmr}', "");
    Expect(0, 6655, '\P{Sc=khmr}', "");
    Expect(1, 6655, '\P{^Sc=khmr}', "");
    Expect(0, 6656, '\p{Sc=khmr}', "");
    Expect(1, 6656, '\p{^Sc=khmr}', "");
    Expect(1, 6656, '\P{Sc=khmr}', "");
    Expect(0, 6656, '\P{^Sc=khmr}', "");
    Expect(1, 6655, '\p{Sc=:\Akhmr\z:}', "");;
    Expect(0, 6656, '\p{Sc=:\Akhmr\z:}', "");;
    Expect(1, 6655, '\p{Sc=	khmr}', "");
    Expect(0, 6655, '\p{^Sc=	khmr}', "");
    Expect(0, 6655, '\P{Sc=	khmr}', "");
    Expect(1, 6655, '\P{^Sc=	khmr}', "");
    Expect(0, 6656, '\p{Sc=	khmr}', "");
    Expect(1, 6656, '\p{^Sc=	khmr}', "");
    Expect(1, 6656, '\P{Sc=	khmr}', "");
    Expect(0, 6656, '\P{^Sc=	khmr}', "");
    Error('\p{Is_Script=/a/--Khmer}');
    Error('\P{Is_Script=/a/--Khmer}');
    Expect(1, 6655, '\p{Is_Script=khmer}', "");
    Expect(0, 6655, '\p{^Is_Script=khmer}', "");
    Expect(0, 6655, '\P{Is_Script=khmer}', "");
    Expect(1, 6655, '\P{^Is_Script=khmer}', "");
    Expect(0, 6656, '\p{Is_Script=khmer}', "");
    Expect(1, 6656, '\p{^Is_Script=khmer}', "");
    Expect(1, 6656, '\P{Is_Script=khmer}', "");
    Expect(0, 6656, '\P{^Is_Script=khmer}', "");
    Expect(1, 6655, '\p{Is_Script=--Khmer}', "");
    Expect(0, 6655, '\p{^Is_Script=--Khmer}', "");
    Expect(0, 6655, '\P{Is_Script=--Khmer}', "");
    Expect(1, 6655, '\P{^Is_Script=--Khmer}', "");
    Expect(0, 6656, '\p{Is_Script=--Khmer}', "");
    Expect(1, 6656, '\p{^Is_Script=--Khmer}', "");
    Expect(1, 6656, '\P{Is_Script=--Khmer}', "");
    Expect(0, 6656, '\P{^Is_Script=--Khmer}', "");
    Error('\p{Is_Sc=:=khmr}');
    Error('\P{Is_Sc=:=khmr}');
    Expect(1, 6655, '\p{Is_Sc=khmr}', "");
    Expect(0, 6655, '\p{^Is_Sc=khmr}', "");
    Expect(0, 6655, '\P{Is_Sc=khmr}', "");
    Expect(1, 6655, '\P{^Is_Sc=khmr}', "");
    Expect(0, 6656, '\p{Is_Sc=khmr}', "");
    Expect(1, 6656, '\p{^Is_Sc=khmr}', "");
    Expect(1, 6656, '\P{Is_Sc=khmr}', "");
    Expect(0, 6656, '\P{^Is_Sc=khmr}', "");
    Expect(1, 6655, '\p{Is_Sc=	Khmr}', "");
    Expect(0, 6655, '\p{^Is_Sc=	Khmr}', "");
    Expect(0, 6655, '\P{Is_Sc=	Khmr}', "");
    Expect(1, 6655, '\P{^Is_Sc=	Khmr}', "");
    Expect(0, 6656, '\p{Is_Sc=	Khmr}', "");
    Expect(1, 6656, '\p{^Is_Sc=	Khmr}', "");
    Expect(1, 6656, '\P{Is_Sc=	Khmr}', "");
    Expect(0, 6656, '\P{^Is_Sc=	Khmr}', "");
    Error('\p{Script=- Khojki/a/}');
    Error('\P{Script=- Khojki/a/}');
    Expect(1, 70206, '\p{Script=:\AKhojki\z:}', "");;
    Expect(0, 70207, '\p{Script=:\AKhojki\z:}', "");;
    Expect(1, 70206, '\p{Script: khojki}', "");
    Expect(0, 70206, '\p{^Script: khojki}', "");
    Expect(0, 70206, '\P{Script: khojki}', "");
    Expect(1, 70206, '\P{^Script: khojki}', "");
    Expect(0, 70207, '\p{Script: khojki}', "");
    Expect(1, 70207, '\p{^Script: khojki}', "");
    Expect(1, 70207, '\P{Script: khojki}', "");
    Expect(0, 70207, '\P{^Script: khojki}', "");
    Expect(1, 70206, '\p{Script=:\Akhojki\z:}', "");;
    Expect(0, 70207, '\p{Script=:\Akhojki\z:}', "");;
    Expect(1, 70206, '\p{Script= KHOJKI}', "");
    Expect(0, 70206, '\p{^Script= KHOJKI}', "");
    Expect(0, 70206, '\P{Script= KHOJKI}', "");
    Expect(1, 70206, '\P{^Script= KHOJKI}', "");
    Expect(0, 70207, '\p{Script= KHOJKI}', "");
    Expect(1, 70207, '\p{^Script= KHOJKI}', "");
    Expect(1, 70207, '\P{Script= KHOJKI}', "");
    Expect(0, 70207, '\P{^Script= KHOJKI}', "");
    Error('\p{Sc:/a/ khoj}');
    Error('\P{Sc:/a/ khoj}');
    Expect(1, 70206, '\p{Sc=:\AKhoj\z:}', "");;
    Expect(0, 70207, '\p{Sc=:\AKhoj\z:}', "");;
    Expect(1, 70206, '\p{Sc=khoj}', "");
    Expect(0, 70206, '\p{^Sc=khoj}', "");
    Expect(0, 70206, '\P{Sc=khoj}', "");
    Expect(1, 70206, '\P{^Sc=khoj}', "");
    Expect(0, 70207, '\p{Sc=khoj}', "");
    Expect(1, 70207, '\p{^Sc=khoj}', "");
    Expect(1, 70207, '\P{Sc=khoj}', "");
    Expect(0, 70207, '\P{^Sc=khoj}', "");
    Expect(1, 70206, '\p{Sc=:\Akhoj\z:}', "");;
    Expect(0, 70207, '\p{Sc=:\Akhoj\z:}', "");;
    Expect(1, 70206, '\p{Sc=		Khoj}', "");
    Expect(0, 70206, '\p{^Sc=		Khoj}', "");
    Expect(0, 70206, '\P{Sc=		Khoj}', "");
    Expect(1, 70206, '\P{^Sc=		Khoj}', "");
    Expect(0, 70207, '\p{Sc=		Khoj}', "");
    Expect(1, 70207, '\p{^Sc=		Khoj}', "");
    Expect(1, 70207, '\P{Sc=		Khoj}', "");
    Expect(0, 70207, '\P{^Sc=		Khoj}', "");
    Error('\p{Is_Script=	KHOJKI:=}');
    Error('\P{Is_Script=	KHOJKI:=}');
    Expect(1, 70206, '\p{Is_Script=khojki}', "");
    Expect(0, 70206, '\p{^Is_Script=khojki}', "");
    Expect(0, 70206, '\P{Is_Script=khojki}', "");
    Expect(1, 70206, '\P{^Is_Script=khojki}', "");
    Expect(0, 70207, '\p{Is_Script=khojki}', "");
    Expect(1, 70207, '\p{^Is_Script=khojki}', "");
    Expect(1, 70207, '\P{Is_Script=khojki}', "");
    Expect(0, 70207, '\P{^Is_Script=khojki}', "");
    Expect(1, 70206, '\p{Is_Script=	khojki}', "");
    Expect(0, 70206, '\p{^Is_Script=	khojki}', "");
    Expect(0, 70206, '\P{Is_Script=	khojki}', "");
    Expect(1, 70206, '\P{^Is_Script=	khojki}', "");
    Expect(0, 70207, '\p{Is_Script=	khojki}', "");
    Expect(1, 70207, '\p{^Is_Script=	khojki}', "");
    Expect(1, 70207, '\P{Is_Script=	khojki}', "");
    Expect(0, 70207, '\P{^Is_Script=	khojki}', "");
    Error('\p{Is_Sc=- Khoj/a/}');
    Error('\P{Is_Sc=- Khoj/a/}');
    Expect(1, 70206, '\p{Is_Sc=khoj}', "");
    Expect(0, 70206, '\p{^Is_Sc=khoj}', "");
    Expect(0, 70206, '\P{Is_Sc=khoj}', "");
    Expect(1, 70206, '\P{^Is_Sc=khoj}', "");
    Expect(0, 70207, '\p{Is_Sc=khoj}', "");
    Expect(1, 70207, '\p{^Is_Sc=khoj}', "");
    Expect(1, 70207, '\P{Is_Sc=khoj}', "");
    Expect(0, 70207, '\P{^Is_Sc=khoj}', "");
    Expect(1, 70206, '\p{Is_Sc:   _ KHOJ}', "");
    Expect(0, 70206, '\p{^Is_Sc:   _ KHOJ}', "");
    Expect(0, 70206, '\P{Is_Sc:   _ KHOJ}', "");
    Expect(1, 70206, '\P{^Is_Sc:   _ KHOJ}', "");
    Expect(0, 70207, '\p{Is_Sc:   _ KHOJ}', "");
    Expect(1, 70207, '\p{^Is_Sc:   _ KHOJ}', "");
    Expect(1, 70207, '\P{Is_Sc:   _ KHOJ}', "");
    Expect(0, 70207, '\P{^Is_Sc:   _ KHOJ}', "");
    Error('\p{Script=  khitan_small_script:=}');
    Error('\P{Script=  khitan_small_script:=}');
    Expect(1, 101589, '\p{Script=:\AKhitan_Small_Script\z:}', "");;
    Expect(0, 101590, '\p{Script=:\AKhitan_Small_Script\z:}', "");;
    Expect(1, 101589, '\p{Script=khitansmallscript}', "");
    Expect(0, 101589, '\p{^Script=khitansmallscript}', "");
    Expect(0, 101589, '\P{Script=khitansmallscript}', "");
    Expect(1, 101589, '\P{^Script=khitansmallscript}', "");
    Expect(0, 101590, '\p{Script=khitansmallscript}', "");
    Expect(1, 101590, '\p{^Script=khitansmallscript}', "");
    Expect(1, 101590, '\P{Script=khitansmallscript}', "");
    Expect(0, 101590, '\P{^Script=khitansmallscript}', "");
    Expect(1, 101589, '\p{Script=:\Akhitansmallscript\z:}', "");;
    Expect(0, 101590, '\p{Script=:\Akhitansmallscript\z:}', "");;
    Expect(1, 101589, '\p{Script=		Khitan_small_script}', "");
    Expect(0, 101589, '\p{^Script=		Khitan_small_script}', "");
    Expect(0, 101589, '\P{Script=		Khitan_small_script}', "");
    Expect(1, 101589, '\P{^Script=		Khitan_small_script}', "");
    Expect(0, 101590, '\p{Script=		Khitan_small_script}', "");
    Expect(1, 101590, '\p{^Script=		Khitan_small_script}', "");
    Expect(1, 101590, '\P{Script=		Khitan_small_script}', "");
    Expect(0, 101590, '\P{^Script=		Khitan_small_script}', "");
    Error('\p{Sc=_	Kits:=}');
    Error('\P{Sc=_	Kits:=}');
    Expect(1, 101589, '\p{Sc=:\AKits\z:}', "");;
    Expect(0, 101590, '\p{Sc=:\AKits\z:}', "");;
    Expect(1, 101589, '\p{Sc=kits}', "");
    Expect(0, 101589, '\p{^Sc=kits}', "");
    Expect(0, 101589, '\P{Sc=kits}', "");
    Expect(1, 101589, '\P{^Sc=kits}', "");
    Expect(0, 101590, '\p{Sc=kits}', "");
    Expect(1, 101590, '\p{^Sc=kits}', "");
    Expect(1, 101590, '\P{Sc=kits}', "");
    Expect(0, 101590, '\P{^Sc=kits}', "");
    Expect(1, 101589, '\p{Sc=:\Akits\z:}', "");;
    Expect(0, 101590, '\p{Sc=:\Akits\z:}', "");;
    Expect(1, 101589, '\p{Sc= kits}', "");
    Expect(0, 101589, '\p{^Sc= kits}', "");
    Expect(0, 101589, '\P{Sc= kits}', "");
    Expect(1, 101589, '\P{^Sc= kits}', "");
    Expect(0, 101590, '\p{Sc= kits}', "");
    Expect(1, 101590, '\p{^Sc= kits}', "");
    Expect(1, 101590, '\P{Sc= kits}', "");
    Expect(0, 101590, '\P{^Sc= kits}', "");
    Error('\p{Is_Script=	khitan_Small_Script/a/}');
    Error('\P{Is_Script=	khitan_Small_Script/a/}');
    Expect(1, 101589, '\p{Is_Script=khitansmallscript}', "");
    Expect(0, 101589, '\p{^Is_Script=khitansmallscript}', "");
    Expect(0, 101589, '\P{Is_Script=khitansmallscript}', "");
    Expect(1, 101589, '\P{^Is_Script=khitansmallscript}', "");
    Expect(0, 101590, '\p{Is_Script=khitansmallscript}', "");
    Expect(1, 101590, '\p{^Is_Script=khitansmallscript}', "");
    Expect(1, 101590, '\P{Is_Script=khitansmallscript}', "");
    Expect(0, 101590, '\P{^Is_Script=khitansmallscript}', "");
    Expect(1, 101589, '\p{Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Expect(0, 101589, '\p{^Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Expect(0, 101589, '\P{Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Expect(1, 101589, '\P{^Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Expect(0, 101590, '\p{Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Expect(1, 101590, '\p{^Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Expect(1, 101590, '\P{Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Expect(0, 101590, '\P{^Is_Script:   __Khitan_SMALL_SCRIPT}', "");
    Error('\p{Is_Sc= /a/kits}');
    Error('\P{Is_Sc= /a/kits}');
    Expect(1, 101589, '\p{Is_Sc=kits}', "");
    Expect(0, 101589, '\p{^Is_Sc=kits}', "");
    Expect(0, 101589, '\P{Is_Sc=kits}', "");
    Expect(1, 101589, '\P{^Is_Sc=kits}', "");
    Expect(0, 101590, '\p{Is_Sc=kits}', "");
    Expect(1, 101590, '\p{^Is_Sc=kits}', "");
    Expect(1, 101590, '\P{Is_Sc=kits}', "");
    Expect(0, 101590, '\P{^Is_Sc=kits}', "");
    Expect(1, 101589, '\p{Is_Sc: -_kits}', "");
    Expect(0, 101589, '\p{^Is_Sc: -_kits}', "");
    Expect(0, 101589, '\P{Is_Sc: -_kits}', "");
    Expect(1, 101589, '\P{^Is_Sc: -_kits}', "");
    Expect(0, 101590, '\p{Is_Sc: -_kits}', "");
    Expect(1, 101590, '\p{^Is_Sc: -_kits}', "");
    Expect(1, 101590, '\P{Is_Sc: -_kits}', "");
    Expect(0, 101590, '\P{^Is_Sc: -_kits}', "");
    Error('\p{Script=	:=kannada}');
    Error('\P{Script=	:=kannada}');
    Expect(1, 3314, '\p{Script=:\AKannada\z:}', "");;
    Expect(0, 3315, '\p{Script=:\AKannada\z:}', "");;
    Expect(1, 3314, '\p{Script=kannada}', "");
    Expect(0, 3314, '\p{^Script=kannada}', "");
    Expect(0, 3314, '\P{Script=kannada}', "");
    Expect(1, 3314, '\P{^Script=kannada}', "");
    Expect(0, 3315, '\p{Script=kannada}', "");
    Expect(1, 3315, '\p{^Script=kannada}', "");
    Expect(1, 3315, '\P{Script=kannada}', "");
    Expect(0, 3315, '\P{^Script=kannada}', "");
    Expect(1, 3314, '\p{Script=:\Akannada\z:}', "");;
    Expect(0, 3315, '\p{Script=:\Akannada\z:}', "");;
    Expect(1, 3314, '\p{Script=__kannada}', "");
    Expect(0, 3314, '\p{^Script=__kannada}', "");
    Expect(0, 3314, '\P{Script=__kannada}', "");
    Expect(1, 3314, '\P{^Script=__kannada}', "");
    Expect(0, 3315, '\p{Script=__kannada}', "");
    Expect(1, 3315, '\p{^Script=__kannada}', "");
    Expect(1, 3315, '\P{Script=__kannada}', "");
    Expect(0, 3315, '\P{^Script=__kannada}', "");
    Error('\p{Sc=:=_	Knda}');
    Error('\P{Sc=:=_	Knda}');
    Expect(1, 3314, '\p{Sc=:\AKnda\z:}', "");;
    Expect(0, 3315, '\p{Sc=:\AKnda\z:}', "");;
    Expect(1, 3314, '\p{Sc:   knda}', "");
    Expect(0, 3314, '\p{^Sc:   knda}', "");
    Expect(0, 3314, '\P{Sc:   knda}', "");
    Expect(1, 3314, '\P{^Sc:   knda}', "");
    Expect(0, 3315, '\p{Sc:   knda}', "");
    Expect(1, 3315, '\p{^Sc:   knda}', "");
    Expect(1, 3315, '\P{Sc:   knda}', "");
    Expect(0, 3315, '\P{^Sc:   knda}', "");
    Expect(1, 3314, '\p{Sc=:\Aknda\z:}', "");;
    Expect(0, 3315, '\p{Sc=:\Aknda\z:}', "");;
    Expect(1, 3314, '\p{Sc=-	knda}', "");
    Expect(0, 3314, '\p{^Sc=-	knda}', "");
    Expect(0, 3314, '\P{Sc=-	knda}', "");
    Expect(1, 3314, '\P{^Sc=-	knda}', "");
    Expect(0, 3315, '\p{Sc=-	knda}', "");
    Expect(1, 3315, '\p{^Sc=-	knda}', "");
    Expect(1, 3315, '\P{Sc=-	knda}', "");
    Expect(0, 3315, '\P{^Sc=-	knda}', "");
    Error('\p{Is_Script= Kannada/a/}');
    Error('\P{Is_Script= Kannada/a/}');
    Expect(1, 3314, '\p{Is_Script=kannada}', "");
    Expect(0, 3314, '\p{^Is_Script=kannada}', "");
    Expect(0, 3314, '\P{Is_Script=kannada}', "");
    Expect(1, 3314, '\P{^Is_Script=kannada}', "");
    Expect(0, 3315, '\p{Is_Script=kannada}', "");
    Expect(1, 3315, '\p{^Is_Script=kannada}', "");
    Expect(1, 3315, '\P{Is_Script=kannada}', "");
    Expect(0, 3315, '\P{^Is_Script=kannada}', "");
    Expect(1, 3314, '\p{Is_Script=_	Kannada}', "");
    Expect(0, 3314, '\p{^Is_Script=_	Kannada}', "");
    Expect(0, 3314, '\P{Is_Script=_	Kannada}', "");
    Expect(1, 3314, '\P{^Is_Script=_	Kannada}', "");
    Expect(0, 3315, '\p{Is_Script=_	Kannada}', "");
    Expect(1, 3315, '\p{^Is_Script=_	Kannada}', "");
    Expect(1, 3315, '\P{Is_Script=_	Kannada}', "");
    Expect(0, 3315, '\P{^Is_Script=_	Kannada}', "");
    Error('\p{Is_Sc=_/a/Knda}');
    Error('\P{Is_Sc=_/a/Knda}');
    Expect(1, 3314, '\p{Is_Sc=knda}', "");
    Expect(0, 3314, '\p{^Is_Sc=knda}', "");
    Expect(0, 3314, '\P{Is_Sc=knda}', "");
    Expect(1, 3314, '\P{^Is_Sc=knda}', "");
    Expect(0, 3315, '\p{Is_Sc=knda}', "");
    Expect(1, 3315, '\p{^Is_Sc=knda}', "");
    Expect(1, 3315, '\P{Is_Sc=knda}', "");
    Expect(0, 3315, '\P{^Is_Sc=knda}', "");
    Expect(1, 3314, '\p{Is_Sc= knda}', "");
    Expect(0, 3314, '\p{^Is_Sc= knda}', "");
    Expect(0, 3314, '\P{Is_Sc= knda}', "");
    Expect(1, 3314, '\P{^Is_Sc= knda}', "");
    Expect(0, 3315, '\p{Is_Sc= knda}', "");
    Expect(1, 3315, '\p{^Is_Sc= knda}', "");
    Expect(1, 3315, '\P{Is_Sc= knda}', "");
    Expect(0, 3315, '\P{^Is_Sc= knda}', "");
    Error('\p{Script= -Kaithi/a/}');
    Error('\P{Script= -Kaithi/a/}');
    Expect(1, 69837, '\p{Script=:\AKaithi\z:}', "");;
    Expect(0, 69838, '\p{Script=:\AKaithi\z:}', "");;
    Expect(1, 69837, '\p{Script=kaithi}', "");
    Expect(0, 69837, '\p{^Script=kaithi}', "");
    Expect(0, 69837, '\P{Script=kaithi}', "");
    Expect(1, 69837, '\P{^Script=kaithi}', "");
    Expect(0, 69838, '\p{Script=kaithi}', "");
    Expect(1, 69838, '\p{^Script=kaithi}', "");
    Expect(1, 69838, '\P{Script=kaithi}', "");
    Expect(0, 69838, '\P{^Script=kaithi}', "");
    Expect(1, 69837, '\p{Script=:\Akaithi\z:}', "");;
    Expect(0, 69838, '\p{Script=:\Akaithi\z:}', "");;
    Expect(1, 69837, '\p{Script=-_kaithi}', "");
    Expect(0, 69837, '\p{^Script=-_kaithi}', "");
    Expect(0, 69837, '\P{Script=-_kaithi}', "");
    Expect(1, 69837, '\P{^Script=-_kaithi}', "");
    Expect(0, 69838, '\p{Script=-_kaithi}', "");
    Expect(1, 69838, '\p{^Script=-_kaithi}', "");
    Expect(1, 69838, '\P{Script=-_kaithi}', "");
    Expect(0, 69838, '\P{^Script=-_kaithi}', "");
    Error('\p{Sc=_/a/KTHI}');
    Error('\P{Sc=_/a/KTHI}');
    Expect(1, 69837, '\p{Sc=:\AKthi\z:}', "");;
    Expect(0, 69838, '\p{Sc=:\AKthi\z:}', "");;
    Expect(1, 69837, '\p{Sc=kthi}', "");
    Expect(0, 69837, '\p{^Sc=kthi}', "");
    Expect(0, 69837, '\P{Sc=kthi}', "");
    Expect(1, 69837, '\P{^Sc=kthi}', "");
    Expect(0, 69838, '\p{Sc=kthi}', "");
    Expect(1, 69838, '\p{^Sc=kthi}', "");
    Expect(1, 69838, '\P{Sc=kthi}', "");
    Expect(0, 69838, '\P{^Sc=kthi}', "");
    Expect(1, 69837, '\p{Sc=:\Akthi\z:}', "");;
    Expect(0, 69838, '\p{Sc=:\Akthi\z:}', "");;
    Expect(1, 69837, '\p{Sc= 	Kthi}', "");
    Expect(0, 69837, '\p{^Sc= 	Kthi}', "");
    Expect(0, 69837, '\P{Sc= 	Kthi}', "");
    Expect(1, 69837, '\P{^Sc= 	Kthi}', "");
    Expect(0, 69838, '\p{Sc= 	Kthi}', "");
    Expect(1, 69838, '\p{^Sc= 	Kthi}', "");
    Expect(1, 69838, '\P{Sc= 	Kthi}', "");
    Expect(0, 69838, '\P{^Sc= 	Kthi}', "");
    Error('\p{Is_Script=	_Kaithi:=}');
    Error('\P{Is_Script=	_Kaithi:=}');
    Expect(1, 69837, '\p{Is_Script=kaithi}', "");
    Expect(0, 69837, '\p{^Is_Script=kaithi}', "");
    Expect(0, 69837, '\P{Is_Script=kaithi}', "");
    Expect(1, 69837, '\P{^Is_Script=kaithi}', "");
    Expect(0, 69838, '\p{Is_Script=kaithi}', "");
    Expect(1, 69838, '\p{^Is_Script=kaithi}', "");
    Expect(1, 69838, '\P{Is_Script=kaithi}', "");
    Expect(0, 69838, '\P{^Is_Script=kaithi}', "");
    Expect(1, 69837, '\p{Is_Script=	 Kaithi}', "");
    Expect(0, 69837, '\p{^Is_Script=	 Kaithi}', "");
    Expect(0, 69837, '\P{Is_Script=	 Kaithi}', "");
    Expect(1, 69837, '\P{^Is_Script=	 Kaithi}', "");
    Expect(0, 69838, '\p{Is_Script=	 Kaithi}', "");
    Expect(1, 69838, '\p{^Is_Script=	 Kaithi}', "");
    Expect(1, 69838, '\P{Is_Script=	 Kaithi}', "");
    Expect(0, 69838, '\P{^Is_Script=	 Kaithi}', "");
    Error('\p{Is_Sc=_Kthi/a/}');
    Error('\P{Is_Sc=_Kthi/a/}');
    Expect(1, 69837, '\p{Is_Sc=kthi}', "");
    Expect(0, 69837, '\p{^Is_Sc=kthi}', "");
    Expect(0, 69837, '\P{Is_Sc=kthi}', "");
    Expect(1, 69837, '\P{^Is_Sc=kthi}', "");
    Expect(0, 69838, '\p{Is_Sc=kthi}', "");
    Expect(1, 69838, '\p{^Is_Sc=kthi}', "");
    Expect(1, 69838, '\P{Is_Sc=kthi}', "");
    Expect(0, 69838, '\P{^Is_Sc=kthi}', "");
    Expect(1, 69837, '\p{Is_Sc: -_kthi}', "");
    Expect(0, 69837, '\p{^Is_Sc: -_kthi}', "");
    Expect(0, 69837, '\P{Is_Sc: -_kthi}', "");
    Expect(1, 69837, '\P{^Is_Sc: -_kthi}', "");
    Expect(0, 69838, '\p{Is_Sc: -_kthi}', "");
    Expect(1, 69838, '\p{^Is_Sc: -_kthi}', "");
    Expect(1, 69838, '\P{Is_Sc: -_kthi}', "");
    Expect(0, 69838, '\P{^Is_Sc: -_kthi}', "");
    Error('\p{Script=	_Tai_Tham:=}');
    Error('\P{Script=	_Tai_Tham:=}');
    Expect(1, 6829, '\p{Script=:\ATai_Tham\z:}', "");;
    Expect(0, 6830, '\p{Script=:\ATai_Tham\z:}', "");;
    Expect(1, 6829, '\p{Script=taitham}', "");
    Expect(0, 6829, '\p{^Script=taitham}', "");
    Expect(0, 6829, '\P{Script=taitham}', "");
    Expect(1, 6829, '\P{^Script=taitham}', "");
    Expect(0, 6830, '\p{Script=taitham}', "");
    Expect(1, 6830, '\p{^Script=taitham}', "");
    Expect(1, 6830, '\P{Script=taitham}', "");
    Expect(0, 6830, '\P{^Script=taitham}', "");
    Expect(1, 6829, '\p{Script=:\Ataitham\z:}', "");;
    Expect(0, 6830, '\p{Script=:\Ataitham\z:}', "");;
    Expect(1, 6829, '\p{Script=-Tai_Tham}', "");
    Expect(0, 6829, '\p{^Script=-Tai_Tham}', "");
    Expect(0, 6829, '\P{Script=-Tai_Tham}', "");
    Expect(1, 6829, '\P{^Script=-Tai_Tham}', "");
    Expect(0, 6830, '\p{Script=-Tai_Tham}', "");
    Expect(1, 6830, '\p{^Script=-Tai_Tham}', "");
    Expect(1, 6830, '\P{Script=-Tai_Tham}', "");
    Expect(0, 6830, '\P{^Script=-Tai_Tham}', "");
    Error('\p{Sc=	Lana/a/}');
    Error('\P{Sc=	Lana/a/}');
    Expect(1, 6829, '\p{Sc=:\ALana\z:}', "");;
    Expect(0, 6830, '\p{Sc=:\ALana\z:}', "");;
    Expect(1, 6829, '\p{Sc=lana}', "");
    Expect(0, 6829, '\p{^Sc=lana}', "");
    Expect(0, 6829, '\P{Sc=lana}', "");
    Expect(1, 6829, '\P{^Sc=lana}', "");
    Expect(0, 6830, '\p{Sc=lana}', "");
    Expect(1, 6830, '\p{^Sc=lana}', "");
    Expect(1, 6830, '\P{Sc=lana}', "");
    Expect(0, 6830, '\P{^Sc=lana}', "");
    Expect(1, 6829, '\p{Sc=:\Alana\z:}', "");;
    Expect(0, 6830, '\p{Sc=:\Alana\z:}', "");;
    Expect(1, 6829, '\p{Sc= 	Lana}', "");
    Expect(0, 6829, '\p{^Sc= 	Lana}', "");
    Expect(0, 6829, '\P{Sc= 	Lana}', "");
    Expect(1, 6829, '\P{^Sc= 	Lana}', "");
    Expect(0, 6830, '\p{Sc= 	Lana}', "");
    Expect(1, 6830, '\p{^Sc= 	Lana}', "");
    Expect(1, 6830, '\P{Sc= 	Lana}', "");
    Expect(0, 6830, '\P{^Sc= 	Lana}', "");
    Error('\p{Is_Script=/a/_Tai_tham}');
    Error('\P{Is_Script=/a/_Tai_tham}');
    Expect(1, 6829, '\p{Is_Script=taitham}', "");
    Expect(0, 6829, '\p{^Is_Script=taitham}', "");
    Expect(0, 6829, '\P{Is_Script=taitham}', "");
    Expect(1, 6829, '\P{^Is_Script=taitham}', "");
    Expect(0, 6830, '\p{Is_Script=taitham}', "");
    Expect(1, 6830, '\p{^Is_Script=taitham}', "");
    Expect(1, 6830, '\P{Is_Script=taitham}', "");
    Expect(0, 6830, '\P{^Is_Script=taitham}', "");
    Expect(1, 6829, '\p{Is_Script=-Tai_Tham}', "");
    Expect(0, 6829, '\p{^Is_Script=-Tai_Tham}', "");
    Expect(0, 6829, '\P{Is_Script=-Tai_Tham}', "");
    Expect(1, 6829, '\P{^Is_Script=-Tai_Tham}', "");
    Expect(0, 6830, '\p{Is_Script=-Tai_Tham}', "");
    Expect(1, 6830, '\p{^Is_Script=-Tai_Tham}', "");
    Expect(1, 6830, '\P{Is_Script=-Tai_Tham}', "");
    Expect(0, 6830, '\P{^Is_Script=-Tai_Tham}', "");
    Error('\p{Is_Sc=	:=Lana}');
    Error('\P{Is_Sc=	:=Lana}');
    Expect(1, 6829, '\p{Is_Sc:lana}', "");
    Expect(0, 6829, '\p{^Is_Sc:lana}', "");
    Expect(0, 6829, '\P{Is_Sc:lana}', "");
    Expect(1, 6829, '\P{^Is_Sc:lana}', "");
    Expect(0, 6830, '\p{Is_Sc:lana}', "");
    Expect(1, 6830, '\p{^Is_Sc:lana}', "");
    Expect(1, 6830, '\P{Is_Sc:lana}', "");
    Expect(0, 6830, '\P{^Is_Sc:lana}', "");
    Expect(1, 6829, '\p{Is_Sc:		-LANA}', "");
    Expect(0, 6829, '\p{^Is_Sc:		-LANA}', "");
    Expect(0, 6829, '\P{Is_Sc:		-LANA}', "");
    Expect(1, 6829, '\P{^Is_Sc:		-LANA}', "");
    Expect(0, 6830, '\p{Is_Sc:		-LANA}', "");
    Expect(1, 6830, '\p{^Is_Sc:		-LANA}', "");
    Expect(1, 6830, '\P{Is_Sc:		-LANA}', "");
    Expect(0, 6830, '\P{^Is_Sc:		-LANA}', "");
    Error('\p{Script=/a/ 	LAO}');
    Error('\P{Script=/a/ 	LAO}');
    Expect(1, 3807, '\p{Script=:\ALao\z:}', "");;
    Expect(0, 3808, '\p{Script=:\ALao\z:}', "");;
    Expect(1, 3807, '\p{Script=lao}', "");
    Expect(0, 3807, '\p{^Script=lao}', "");
    Expect(0, 3807, '\P{Script=lao}', "");
    Expect(1, 3807, '\P{^Script=lao}', "");
    Expect(0, 3808, '\p{Script=lao}', "");
    Expect(1, 3808, '\p{^Script=lao}', "");
    Expect(1, 3808, '\P{Script=lao}', "");
    Expect(0, 3808, '\P{^Script=lao}', "");
    Expect(1, 3807, '\p{Script=:\Alao\z:}', "");;
    Expect(0, 3808, '\p{Script=:\Alao\z:}', "");;
    Expect(1, 3807, '\p{Script=_Lao}', "");
    Expect(0, 3807, '\p{^Script=_Lao}', "");
    Expect(0, 3807, '\P{Script=_Lao}', "");
    Expect(1, 3807, '\P{^Script=_Lao}', "");
    Expect(0, 3808, '\p{Script=_Lao}', "");
    Expect(1, 3808, '\p{^Script=_Lao}', "");
    Expect(1, 3808, '\P{Script=_Lao}', "");
    Expect(0, 3808, '\P{^Script=_Lao}', "");
    Error('\p{Sc=:=_ Laoo}');
    Error('\P{Sc=:=_ Laoo}');
    Expect(1, 3807, '\p{Sc=:\ALaoo\z:}', "");;
    Expect(0, 3808, '\p{Sc=:\ALaoo\z:}', "");;
    Expect(1, 3807, '\p{Sc=laoo}', "");
    Expect(0, 3807, '\p{^Sc=laoo}', "");
    Expect(0, 3807, '\P{Sc=laoo}', "");
    Expect(1, 3807, '\P{^Sc=laoo}', "");
    Expect(0, 3808, '\p{Sc=laoo}', "");
    Expect(1, 3808, '\p{^Sc=laoo}', "");
    Expect(1, 3808, '\P{Sc=laoo}', "");
    Expect(0, 3808, '\P{^Sc=laoo}', "");
    Expect(1, 3807, '\p{Sc=:\Alaoo\z:}', "");;
    Expect(0, 3808, '\p{Sc=:\Alaoo\z:}', "");;
    Expect(1, 3807, '\p{Sc=_Laoo}', "");
    Expect(0, 3807, '\p{^Sc=_Laoo}', "");
    Expect(0, 3807, '\P{Sc=_Laoo}', "");
    Expect(1, 3807, '\P{^Sc=_Laoo}', "");
    Expect(0, 3808, '\p{Sc=_Laoo}', "");
    Expect(1, 3808, '\p{^Sc=_Laoo}', "");
    Expect(1, 3808, '\P{Sc=_Laoo}', "");
    Expect(0, 3808, '\P{^Sc=_Laoo}', "");
    Error('\p{Is_Script=:=	 Lao}');
    Error('\P{Is_Script=:=	 Lao}');
    Expect(1, 3807, '\p{Is_Script=lao}', "");
    Expect(0, 3807, '\p{^Is_Script=lao}', "");
    Expect(0, 3807, '\P{Is_Script=lao}', "");
    Expect(1, 3807, '\P{^Is_Script=lao}', "");
    Expect(0, 3808, '\p{Is_Script=lao}', "");
    Expect(1, 3808, '\p{^Is_Script=lao}', "");
    Expect(1, 3808, '\P{Is_Script=lao}', "");
    Expect(0, 3808, '\P{^Is_Script=lao}', "");
    Expect(1, 3807, '\p{Is_Script=Lao}', "");
    Expect(0, 3807, '\p{^Is_Script=Lao}', "");
    Expect(0, 3807, '\P{Is_Script=Lao}', "");
    Expect(1, 3807, '\P{^Is_Script=Lao}', "");
    Expect(0, 3808, '\p{Is_Script=Lao}', "");
    Expect(1, 3808, '\p{^Is_Script=Lao}', "");
    Expect(1, 3808, '\P{Is_Script=Lao}', "");
    Expect(0, 3808, '\P{^Is_Script=Lao}', "");
    Error('\p{Is_Sc= :=Laoo}');
    Error('\P{Is_Sc= :=Laoo}');
    Expect(1, 3807, '\p{Is_Sc=laoo}', "");
    Expect(0, 3807, '\p{^Is_Sc=laoo}', "");
    Expect(0, 3807, '\P{Is_Sc=laoo}', "");
    Expect(1, 3807, '\P{^Is_Sc=laoo}', "");
    Expect(0, 3808, '\p{Is_Sc=laoo}', "");
    Expect(1, 3808, '\p{^Is_Sc=laoo}', "");
    Expect(1, 3808, '\P{Is_Sc=laoo}', "");
    Expect(0, 3808, '\P{^Is_Sc=laoo}', "");
    Expect(1, 3807, '\p{Is_Sc: -_LAOO}', "");
    Expect(0, 3807, '\p{^Is_Sc: -_LAOO}', "");
    Expect(0, 3807, '\P{Is_Sc: -_LAOO}', "");
    Expect(1, 3807, '\P{^Is_Sc: -_LAOO}', "");
    Expect(0, 3808, '\p{Is_Sc: -_LAOO}', "");
    Expect(1, 3808, '\p{^Is_Sc: -_LAOO}', "");
    Expect(1, 3808, '\P{Is_Sc: -_LAOO}', "");
    Expect(0, 3808, '\P{^Is_Sc: -_LAOO}', "");
    Error('\p{Script=:=latin}');
    Error('\P{Script=:=latin}');
    Expect(1, 122654, '\p{Script=:\ALatin\z:}', "");;
    Expect(0, 122655, '\p{Script=:\ALatin\z:}', "");;
    Expect(1, 122654, '\p{Script:   latin}', "");
    Expect(0, 122654, '\p{^Script:   latin}', "");
    Expect(0, 122654, '\P{Script:   latin}', "");
    Expect(1, 122654, '\P{^Script:   latin}', "");
    Expect(0, 122655, '\p{Script:   latin}', "");
    Expect(1, 122655, '\p{^Script:   latin}', "");
    Expect(1, 122655, '\P{Script:   latin}', "");
    Expect(0, 122655, '\P{^Script:   latin}', "");
    Expect(1, 122654, '\p{Script=:\Alatin\z:}', "");;
    Expect(0, 122655, '\p{Script=:\Alatin\z:}', "");;
    Expect(1, 122654, '\p{Script= Latin}', "");
    Expect(0, 122654, '\p{^Script= Latin}', "");
    Expect(0, 122654, '\P{Script= Latin}', "");
    Expect(1, 122654, '\P{^Script= Latin}', "");
    Expect(0, 122655, '\p{Script= Latin}', "");
    Expect(1, 122655, '\p{^Script= Latin}', "");
    Expect(1, 122655, '\P{Script= Latin}', "");
    Expect(0, 122655, '\P{^Script= Latin}', "");
    Error('\p{Sc= latn/a/}');
    Error('\P{Sc= latn/a/}');
    Expect(1, 122654, '\p{Sc=:\ALatn\z:}', "");;
    Expect(0, 122655, '\p{Sc=:\ALatn\z:}', "");;
    Expect(1, 122654, '\p{Sc=latn}', "");
    Expect(0, 122654, '\p{^Sc=latn}', "");
    Expect(0, 122654, '\P{Sc=latn}', "");
    Expect(1, 122654, '\P{^Sc=latn}', "");
    Expect(0, 122655, '\p{Sc=latn}', "");
    Expect(1, 122655, '\p{^Sc=latn}', "");
    Expect(1, 122655, '\P{Sc=latn}', "");
    Expect(0, 122655, '\P{^Sc=latn}', "");
    Expect(1, 122654, '\p{Sc=:\Alatn\z:}', "");;
    Expect(0, 122655, '\p{Sc=:\Alatn\z:}', "");;
    Expect(1, 122654, '\p{Sc= -Latn}', "");
    Expect(0, 122654, '\p{^Sc= -Latn}', "");
    Expect(0, 122654, '\P{Sc= -Latn}', "");
    Expect(1, 122654, '\P{^Sc= -Latn}', "");
    Expect(0, 122655, '\p{Sc= -Latn}', "");
    Expect(1, 122655, '\p{^Sc= -Latn}', "");
    Expect(1, 122655, '\P{Sc= -Latn}', "");
    Expect(0, 122655, '\P{^Sc= -Latn}', "");
    Error('\p{Is_Script= :=Latin}');
    Error('\P{Is_Script= :=Latin}');
    Expect(1, 122654, '\p{Is_Script=latin}', "");
    Expect(0, 122654, '\p{^Is_Script=latin}', "");
    Expect(0, 122654, '\P{Is_Script=latin}', "");
    Expect(1, 122654, '\P{^Is_Script=latin}', "");
    Expect(0, 122655, '\p{Is_Script=latin}', "");
    Expect(1, 122655, '\p{^Is_Script=latin}', "");
    Expect(1, 122655, '\P{Is_Script=latin}', "");
    Expect(0, 122655, '\P{^Is_Script=latin}', "");
    Expect(1, 122654, '\p{Is_Script=_	latin}', "");
    Expect(0, 122654, '\p{^Is_Script=_	latin}', "");
    Expect(0, 122654, '\P{Is_Script=_	latin}', "");
    Expect(1, 122654, '\P{^Is_Script=_	latin}', "");
    Expect(0, 122655, '\p{Is_Script=_	latin}', "");
    Expect(1, 122655, '\p{^Is_Script=_	latin}', "");
    Expect(1, 122655, '\P{Is_Script=_	latin}', "");
    Expect(0, 122655, '\P{^Is_Script=_	latin}', "");
    Error('\p{Is_Sc=-latn/a/}');
    Error('\P{Is_Sc=-latn/a/}');
    Expect(1, 122654, '\p{Is_Sc: latn}', "");
    Expect(0, 122654, '\p{^Is_Sc: latn}', "");
    Expect(0, 122654, '\P{Is_Sc: latn}', "");
    Expect(1, 122654, '\P{^Is_Sc: latn}', "");
    Expect(0, 122655, '\p{Is_Sc: latn}', "");
    Expect(1, 122655, '\p{^Is_Sc: latn}', "");
    Expect(1, 122655, '\P{Is_Sc: latn}', "");
    Expect(0, 122655, '\P{^Is_Sc: latn}', "");
    Expect(1, 122654, '\p{Is_Sc=_-latn}', "");
    Expect(0, 122654, '\p{^Is_Sc=_-latn}', "");
    Expect(0, 122654, '\P{Is_Sc=_-latn}', "");
    Expect(1, 122654, '\P{^Is_Sc=_-latn}', "");
    Expect(0, 122655, '\p{Is_Sc=_-latn}', "");
    Expect(1, 122655, '\p{^Is_Sc=_-latn}', "");
    Expect(1, 122655, '\P{Is_Sc=_-latn}', "");
    Expect(0, 122655, '\P{^Is_Sc=_-latn}', "");
    Error('\p{Script=_LEPCHA/a/}');
    Error('\P{Script=_LEPCHA/a/}');
    Expect(1, 7247, '\p{Script=:\ALepcha\z:}', "");;
    Expect(0, 7248, '\p{Script=:\ALepcha\z:}', "");;
    Expect(1, 7247, '\p{Script:lepcha}', "");
    Expect(0, 7247, '\p{^Script:lepcha}', "");
    Expect(0, 7247, '\P{Script:lepcha}', "");
    Expect(1, 7247, '\P{^Script:lepcha}', "");
    Expect(0, 7248, '\p{Script:lepcha}', "");
    Expect(1, 7248, '\p{^Script:lepcha}', "");
    Expect(1, 7248, '\P{Script:lepcha}', "");
    Expect(0, 7248, '\P{^Script:lepcha}', "");
    Expect(1, 7247, '\p{Script=:\Alepcha\z:}', "");;
    Expect(0, 7248, '\p{Script=:\Alepcha\z:}', "");;
    Expect(1, 7247, '\p{Script= -Lepcha}', "");
    Expect(0, 7247, '\p{^Script= -Lepcha}', "");
    Expect(0, 7247, '\P{Script= -Lepcha}', "");
    Expect(1, 7247, '\P{^Script= -Lepcha}', "");
    Expect(0, 7248, '\p{Script= -Lepcha}', "");
    Expect(1, 7248, '\p{^Script= -Lepcha}', "");
    Expect(1, 7248, '\P{Script= -Lepcha}', "");
    Expect(0, 7248, '\P{^Script= -Lepcha}', "");
    Error('\p{Sc=_:=lepc}');
    Error('\P{Sc=_:=lepc}');
    Expect(1, 7247, '\p{Sc=:\ALepc\z:}', "");;
    Expect(0, 7248, '\p{Sc=:\ALepc\z:}', "");;
    Expect(1, 7247, '\p{Sc=lepc}', "");
    Expect(0, 7247, '\p{^Sc=lepc}', "");
    Expect(0, 7247, '\P{Sc=lepc}', "");
    Expect(1, 7247, '\P{^Sc=lepc}', "");
    Expect(0, 7248, '\p{Sc=lepc}', "");
    Expect(1, 7248, '\p{^Sc=lepc}', "");
    Expect(1, 7248, '\P{Sc=lepc}', "");
    Expect(0, 7248, '\P{^Sc=lepc}', "");
    Expect(1, 7247, '\p{Sc=:\Alepc\z:}', "");;
    Expect(0, 7248, '\p{Sc=:\Alepc\z:}', "");;
    Expect(1, 7247, '\p{Sc=_ LEPC}', "");
    Expect(0, 7247, '\p{^Sc=_ LEPC}', "");
    Expect(0, 7247, '\P{Sc=_ LEPC}', "");
    Expect(1, 7247, '\P{^Sc=_ LEPC}', "");
    Expect(0, 7248, '\p{Sc=_ LEPC}', "");
    Expect(1, 7248, '\p{^Sc=_ LEPC}', "");
    Expect(1, 7248, '\P{Sc=_ LEPC}', "");
    Expect(0, 7248, '\P{^Sc=_ LEPC}', "");
    Error('\p{Is_Script=-_Lepcha:=}');
    Error('\P{Is_Script=-_Lepcha:=}');
    Expect(1, 7247, '\p{Is_Script=lepcha}', "");
    Expect(0, 7247, '\p{^Is_Script=lepcha}', "");
    Expect(0, 7247, '\P{Is_Script=lepcha}', "");
    Expect(1, 7247, '\P{^Is_Script=lepcha}', "");
    Expect(0, 7248, '\p{Is_Script=lepcha}', "");
    Expect(1, 7248, '\p{^Is_Script=lepcha}', "");
    Expect(1, 7248, '\P{Is_Script=lepcha}', "");
    Expect(0, 7248, '\P{^Is_Script=lepcha}', "");
    Expect(1, 7247, '\p{Is_Script= _LEPCHA}', "");
    Expect(0, 7247, '\p{^Is_Script= _LEPCHA}', "");
    Expect(0, 7247, '\P{Is_Script= _LEPCHA}', "");
    Expect(1, 7247, '\P{^Is_Script= _LEPCHA}', "");
    Expect(0, 7248, '\p{Is_Script= _LEPCHA}', "");
    Expect(1, 7248, '\p{^Is_Script= _LEPCHA}', "");
    Expect(1, 7248, '\P{Is_Script= _LEPCHA}', "");
    Expect(0, 7248, '\P{^Is_Script= _LEPCHA}', "");
    Error('\p{Is_Sc=- Lepc/a/}');
    Error('\P{Is_Sc=- Lepc/a/}');
    Expect(1, 7247, '\p{Is_Sc=lepc}', "");
    Expect(0, 7247, '\p{^Is_Sc=lepc}', "");
    Expect(0, 7247, '\P{Is_Sc=lepc}', "");
    Expect(1, 7247, '\P{^Is_Sc=lepc}', "");
    Expect(0, 7248, '\p{Is_Sc=lepc}', "");
    Expect(1, 7248, '\p{^Is_Sc=lepc}', "");
    Expect(1, 7248, '\P{Is_Sc=lepc}', "");
    Expect(0, 7248, '\P{^Is_Sc=lepc}', "");
    Expect(1, 7247, '\p{Is_Sc=__LEPC}', "");
    Expect(0, 7247, '\p{^Is_Sc=__LEPC}', "");
    Expect(0, 7247, '\P{Is_Sc=__LEPC}', "");
    Expect(1, 7247, '\P{^Is_Sc=__LEPC}', "");
    Expect(0, 7248, '\p{Is_Sc=__LEPC}', "");
    Expect(1, 7248, '\p{^Is_Sc=__LEPC}', "");
    Expect(1, 7248, '\P{Is_Sc=__LEPC}', "");
    Expect(0, 7248, '\P{^Is_Sc=__LEPC}', "");
    Error('\p{Script=:=-_LIMBU}');
    Error('\P{Script=:=-_LIMBU}');
    Expect(1, 6479, '\p{Script=:\ALimbu\z:}', "");;
    Expect(0, 6480, '\p{Script=:\ALimbu\z:}', "");;
    Expect(1, 6479, '\p{Script=limbu}', "");
    Expect(0, 6479, '\p{^Script=limbu}', "");
    Expect(0, 6479, '\P{Script=limbu}', "");
    Expect(1, 6479, '\P{^Script=limbu}', "");
    Expect(0, 6480, '\p{Script=limbu}', "");
    Expect(1, 6480, '\p{^Script=limbu}', "");
    Expect(1, 6480, '\P{Script=limbu}', "");
    Expect(0, 6480, '\P{^Script=limbu}', "");
    Expect(1, 6479, '\p{Script=:\Alimbu\z:}', "");;
    Expect(0, 6480, '\p{Script=:\Alimbu\z:}', "");;
    Expect(1, 6479, '\p{Script=	LIMBU}', "");
    Expect(0, 6479, '\p{^Script=	LIMBU}', "");
    Expect(0, 6479, '\P{Script=	LIMBU}', "");
    Expect(1, 6479, '\P{^Script=	LIMBU}', "");
    Expect(0, 6480, '\p{Script=	LIMBU}', "");
    Expect(1, 6480, '\p{^Script=	LIMBU}', "");
    Expect(1, 6480, '\P{Script=	LIMBU}', "");
    Expect(0, 6480, '\P{^Script=	LIMBU}', "");
    Error('\p{Sc=__Limb:=}');
    Error('\P{Sc=__Limb:=}');
    Expect(1, 6479, '\p{Sc=:\ALimb\z:}', "");;
    Expect(0, 6480, '\p{Sc=:\ALimb\z:}', "");;
    Expect(1, 6479, '\p{Sc=limb}', "");
    Expect(0, 6479, '\p{^Sc=limb}', "");
    Expect(0, 6479, '\P{Sc=limb}', "");
    Expect(1, 6479, '\P{^Sc=limb}', "");
    Expect(0, 6480, '\p{Sc=limb}', "");
    Expect(1, 6480, '\p{^Sc=limb}', "");
    Expect(1, 6480, '\P{Sc=limb}', "");
    Expect(0, 6480, '\P{^Sc=limb}', "");
    Expect(1, 6479, '\p{Sc=:\Alimb\z:}', "");;
    Expect(0, 6480, '\p{Sc=:\Alimb\z:}', "");;
    Expect(1, 6479, '\p{Sc=__Limb}', "");
    Expect(0, 6479, '\p{^Sc=__Limb}', "");
    Expect(0, 6479, '\P{Sc=__Limb}', "");
    Expect(1, 6479, '\P{^Sc=__Limb}', "");
    Expect(0, 6480, '\p{Sc=__Limb}', "");
    Expect(1, 6480, '\p{^Sc=__Limb}', "");
    Expect(1, 6480, '\P{Sc=__Limb}', "");
    Expect(0, 6480, '\P{^Sc=__Limb}', "");
    Error('\p{Is_Script:   /a/__LIMBU}');
    Error('\P{Is_Script:   /a/__LIMBU}');
    Expect(1, 6479, '\p{Is_Script=limbu}', "");
    Expect(0, 6479, '\p{^Is_Script=limbu}', "");
    Expect(0, 6479, '\P{Is_Script=limbu}', "");
    Expect(1, 6479, '\P{^Is_Script=limbu}', "");
    Expect(0, 6480, '\p{Is_Script=limbu}', "");
    Expect(1, 6480, '\p{^Is_Script=limbu}', "");
    Expect(1, 6480, '\P{Is_Script=limbu}', "");
    Expect(0, 6480, '\P{^Is_Script=limbu}', "");
    Expect(1, 6479, '\p{Is_Script=-LIMBU}', "");
    Expect(0, 6479, '\p{^Is_Script=-LIMBU}', "");
    Expect(0, 6479, '\P{Is_Script=-LIMBU}', "");
    Expect(1, 6479, '\P{^Is_Script=-LIMBU}', "");
    Expect(0, 6480, '\p{Is_Script=-LIMBU}', "");
    Expect(1, 6480, '\p{^Is_Script=-LIMBU}', "");
    Expect(1, 6480, '\P{Is_Script=-LIMBU}', "");
    Expect(0, 6480, '\P{^Is_Script=-LIMBU}', "");
    Error('\p{Is_Sc=- Limb/a/}');
    Error('\P{Is_Sc=- Limb/a/}');
    Expect(1, 6479, '\p{Is_Sc=limb}', "");
    Expect(0, 6479, '\p{^Is_Sc=limb}', "");
    Expect(0, 6479, '\P{Is_Sc=limb}', "");
    Expect(1, 6479, '\P{^Is_Sc=limb}', "");
    Expect(0, 6480, '\p{Is_Sc=limb}', "");
    Expect(1, 6480, '\p{^Is_Sc=limb}', "");
    Expect(1, 6480, '\P{Is_Sc=limb}', "");
    Expect(0, 6480, '\P{^Is_Sc=limb}', "");
    Expect(1, 6479, '\p{Is_Sc:-	Limb}', "");
    Expect(0, 6479, '\p{^Is_Sc:-	Limb}', "");
    Expect(0, 6479, '\P{Is_Sc:-	Limb}', "");
    Expect(1, 6479, '\P{^Is_Sc:-	Limb}', "");
    Expect(0, 6480, '\p{Is_Sc:-	Limb}', "");
    Expect(1, 6480, '\p{^Is_Sc:-	Limb}', "");
    Expect(1, 6480, '\P{Is_Sc:-	Limb}', "");
    Expect(0, 6480, '\P{^Is_Sc:-	Limb}', "");
    Error('\p{Script=	Linear_A:=}');
    Error('\P{Script=	Linear_A:=}');
    Expect(1, 67431, '\p{Script=:\ALinear_A\z:}', "");;
    Expect(0, 67432, '\p{Script=:\ALinear_A\z:}', "");;
    Expect(1, 67431, '\p{Script: lineara}', "");
    Expect(0, 67431, '\p{^Script: lineara}', "");
    Expect(0, 67431, '\P{Script: lineara}', "");
    Expect(1, 67431, '\P{^Script: lineara}', "");
    Expect(0, 67432, '\p{Script: lineara}', "");
    Expect(1, 67432, '\p{^Script: lineara}', "");
    Expect(1, 67432, '\P{Script: lineara}', "");
    Expect(0, 67432, '\P{^Script: lineara}', "");
    Expect(1, 67431, '\p{Script=:\Alineara\z:}', "");;
    Expect(0, 67432, '\p{Script=:\Alineara\z:}', "");;
    Expect(1, 67431, '\p{Script= LINEAR_A}', "");
    Expect(0, 67431, '\p{^Script= LINEAR_A}', "");
    Expect(0, 67431, '\P{Script= LINEAR_A}', "");
    Expect(1, 67431, '\P{^Script= LINEAR_A}', "");
    Expect(0, 67432, '\p{Script= LINEAR_A}', "");
    Expect(1, 67432, '\p{^Script= LINEAR_A}', "");
    Expect(1, 67432, '\P{Script= LINEAR_A}', "");
    Expect(0, 67432, '\P{^Script= LINEAR_A}', "");
    Error('\p{Sc:		/a/Lina}');
    Error('\P{Sc:		/a/Lina}');
    Expect(1, 67431, '\p{Sc=:\ALina\z:}', "");;
    Expect(0, 67432, '\p{Sc=:\ALina\z:}', "");;
    Expect(1, 67431, '\p{Sc=lina}', "");
    Expect(0, 67431, '\p{^Sc=lina}', "");
    Expect(0, 67431, '\P{Sc=lina}', "");
    Expect(1, 67431, '\P{^Sc=lina}', "");
    Expect(0, 67432, '\p{Sc=lina}', "");
    Expect(1, 67432, '\p{^Sc=lina}', "");
    Expect(1, 67432, '\P{Sc=lina}', "");
    Expect(0, 67432, '\P{^Sc=lina}', "");
    Expect(1, 67431, '\p{Sc=:\Alina\z:}', "");;
    Expect(0, 67432, '\p{Sc=:\Alina\z:}', "");;
    Expect(1, 67431, '\p{Sc= Lina}', "");
    Expect(0, 67431, '\p{^Sc= Lina}', "");
    Expect(0, 67431, '\P{Sc= Lina}', "");
    Expect(1, 67431, '\P{^Sc= Lina}', "");
    Expect(0, 67432, '\p{Sc= Lina}', "");
    Expect(1, 67432, '\p{^Sc= Lina}', "");
    Expect(1, 67432, '\P{Sc= Lina}', "");
    Expect(0, 67432, '\P{^Sc= Lina}', "");
    Error('\p{Is_Script:	:= 	LINEAR_A}');
    Error('\P{Is_Script:	:= 	LINEAR_A}');
    Expect(1, 67431, '\p{Is_Script=lineara}', "");
    Expect(0, 67431, '\p{^Is_Script=lineara}', "");
    Expect(0, 67431, '\P{Is_Script=lineara}', "");
    Expect(1, 67431, '\P{^Is_Script=lineara}', "");
    Expect(0, 67432, '\p{Is_Script=lineara}', "");
    Expect(1, 67432, '\p{^Is_Script=lineara}', "");
    Expect(1, 67432, '\P{Is_Script=lineara}', "");
    Expect(0, 67432, '\P{^Is_Script=lineara}', "");
    Expect(1, 67431, '\p{Is_Script=--Linear_a}', "");
    Expect(0, 67431, '\p{^Is_Script=--Linear_a}', "");
    Expect(0, 67431, '\P{Is_Script=--Linear_a}', "");
    Expect(1, 67431, '\P{^Is_Script=--Linear_a}', "");
    Expect(0, 67432, '\p{Is_Script=--Linear_a}', "");
    Expect(1, 67432, '\p{^Is_Script=--Linear_a}', "");
    Expect(1, 67432, '\P{Is_Script=--Linear_a}', "");
    Expect(0, 67432, '\P{^Is_Script=--Linear_a}', "");
    Error('\p{Is_Sc: :=Lina}');
    Error('\P{Is_Sc: :=Lina}');
    Expect(1, 67431, '\p{Is_Sc=lina}', "");
    Expect(0, 67431, '\p{^Is_Sc=lina}', "");
    Expect(0, 67431, '\P{Is_Sc=lina}', "");
    Expect(1, 67431, '\P{^Is_Sc=lina}', "");
    Expect(0, 67432, '\p{Is_Sc=lina}', "");
    Expect(1, 67432, '\p{^Is_Sc=lina}', "");
    Expect(1, 67432, '\P{Is_Sc=lina}', "");
    Expect(0, 67432, '\P{^Is_Sc=lina}', "");
    Expect(1, 67431, '\p{Is_Sc=- Lina}', "");
    Expect(0, 67431, '\p{^Is_Sc=- Lina}', "");
    Expect(0, 67431, '\P{Is_Sc=- Lina}', "");
    Expect(1, 67431, '\P{^Is_Sc=- Lina}', "");
    Expect(0, 67432, '\p{Is_Sc=- Lina}', "");
    Expect(1, 67432, '\p{^Is_Sc=- Lina}', "");
    Expect(1, 67432, '\P{Is_Sc=- Lina}', "");
    Expect(0, 67432, '\P{^Is_Sc=- Lina}', "");
    Error('\p{Script=:=-_Linear_B}');
    Error('\P{Script=:=-_Linear_B}');
    Expect(1, 65786, '\p{Script=:\ALinear_B\z:}', "");;
    Expect(0, 65787, '\p{Script=:\ALinear_B\z:}', "");;
    Expect(1, 65786, '\p{Script:	linearb}', "");
    Expect(0, 65786, '\p{^Script:	linearb}', "");
    Expect(0, 65786, '\P{Script:	linearb}', "");
    Expect(1, 65786, '\P{^Script:	linearb}', "");
    Expect(0, 65787, '\p{Script:	linearb}', "");
    Expect(1, 65787, '\p{^Script:	linearb}', "");
    Expect(1, 65787, '\P{Script:	linearb}', "");
    Expect(0, 65787, '\P{^Script:	linearb}', "");
    Expect(1, 65786, '\p{Script=:\Alinearb\z:}', "");;
    Expect(0, 65787, '\p{Script=:\Alinearb\z:}', "");;
    Expect(1, 65786, '\p{Script=_-LINEAR_b}', "");
    Expect(0, 65786, '\p{^Script=_-LINEAR_b}', "");
    Expect(0, 65786, '\P{Script=_-LINEAR_b}', "");
    Expect(1, 65786, '\P{^Script=_-LINEAR_b}', "");
    Expect(0, 65787, '\p{Script=_-LINEAR_b}', "");
    Expect(1, 65787, '\p{^Script=_-LINEAR_b}', "");
    Expect(1, 65787, '\P{Script=_-LINEAR_b}', "");
    Expect(0, 65787, '\P{^Script=_-LINEAR_b}', "");
    Error('\p{Sc=-:=Linb}');
    Error('\P{Sc=-:=Linb}');
    Expect(1, 65786, '\p{Sc=:\ALinb\z:}', "");;
    Expect(0, 65787, '\p{Sc=:\ALinb\z:}', "");;
    Expect(1, 65786, '\p{Sc=linb}', "");
    Expect(0, 65786, '\p{^Sc=linb}', "");
    Expect(0, 65786, '\P{Sc=linb}', "");
    Expect(1, 65786, '\P{^Sc=linb}', "");
    Expect(0, 65787, '\p{Sc=linb}', "");
    Expect(1, 65787, '\p{^Sc=linb}', "");
    Expect(1, 65787, '\P{Sc=linb}', "");
    Expect(0, 65787, '\P{^Sc=linb}', "");
    Expect(1, 65786, '\p{Sc=:\Alinb\z:}', "");;
    Expect(0, 65787, '\p{Sc=:\Alinb\z:}', "");;
    Expect(1, 65786, '\p{Sc= -Linb}', "");
    Expect(0, 65786, '\p{^Sc= -Linb}', "");
    Expect(0, 65786, '\P{Sc= -Linb}', "");
    Expect(1, 65786, '\P{^Sc= -Linb}', "");
    Expect(0, 65787, '\p{Sc= -Linb}', "");
    Expect(1, 65787, '\p{^Sc= -Linb}', "");
    Expect(1, 65787, '\P{Sc= -Linb}', "");
    Expect(0, 65787, '\P{^Sc= -Linb}', "");
    Error('\p{Is_Script:   /a/LINEAR_B}');
    Error('\P{Is_Script:   /a/LINEAR_B}');
    Expect(1, 65786, '\p{Is_Script=linearb}', "");
    Expect(0, 65786, '\p{^Is_Script=linearb}', "");
    Expect(0, 65786, '\P{Is_Script=linearb}', "");
    Expect(1, 65786, '\P{^Is_Script=linearb}', "");
    Expect(0, 65787, '\p{Is_Script=linearb}', "");
    Expect(1, 65787, '\p{^Is_Script=linearb}', "");
    Expect(1, 65787, '\P{Is_Script=linearb}', "");
    Expect(0, 65787, '\P{^Is_Script=linearb}', "");
    Expect(1, 65786, '\p{Is_Script=  LINEAR_B}', "");
    Expect(0, 65786, '\p{^Is_Script=  LINEAR_B}', "");
    Expect(0, 65786, '\P{Is_Script=  LINEAR_B}', "");
    Expect(1, 65786, '\P{^Is_Script=  LINEAR_B}', "");
    Expect(0, 65787, '\p{Is_Script=  LINEAR_B}', "");
    Expect(1, 65787, '\p{^Is_Script=  LINEAR_B}', "");
    Expect(1, 65787, '\P{Is_Script=  LINEAR_B}', "");
    Expect(0, 65787, '\P{^Is_Script=  LINEAR_B}', "");
    Error('\p{Is_Sc=/a/LINB}');
    Error('\P{Is_Sc=/a/LINB}');
    Expect(1, 65786, '\p{Is_Sc=linb}', "");
    Expect(0, 65786, '\p{^Is_Sc=linb}', "");
    Expect(0, 65786, '\P{Is_Sc=linb}', "");
    Expect(1, 65786, '\P{^Is_Sc=linb}', "");
    Expect(0, 65787, '\p{Is_Sc=linb}', "");
    Expect(1, 65787, '\p{^Is_Sc=linb}', "");
    Expect(1, 65787, '\P{Is_Sc=linb}', "");
    Expect(0, 65787, '\P{^Is_Sc=linb}', "");
    Expect(1, 65786, '\p{Is_Sc=	linb}', "");
    Expect(0, 65786, '\p{^Is_Sc=	linb}', "");
    Expect(0, 65786, '\P{Is_Sc=	linb}', "");
    Expect(1, 65786, '\P{^Is_Sc=	linb}', "");
    Expect(0, 65787, '\p{Is_Sc=	linb}', "");
    Expect(1, 65787, '\p{^Is_Sc=	linb}', "");
    Expect(1, 65787, '\P{Is_Sc=	linb}', "");
    Expect(0, 65787, '\P{^Is_Sc=	linb}', "");
    Error('\p{Script=-_Lisu:=}');
    Error('\P{Script=-_Lisu:=}');
    Expect(1, 73648, '\p{Script=:\ALisu\z:}', "");;
    Expect(0, 73649, '\p{Script=:\ALisu\z:}', "");;
    Expect(1, 73648, '\p{Script=lisu}', "");
    Expect(0, 73648, '\p{^Script=lisu}', "");
    Expect(0, 73648, '\P{Script=lisu}', "");
    Expect(1, 73648, '\P{^Script=lisu}', "");
    Expect(0, 73649, '\p{Script=lisu}', "");
    Expect(1, 73649, '\p{^Script=lisu}', "");
    Expect(1, 73649, '\P{Script=lisu}', "");
    Expect(0, 73649, '\P{^Script=lisu}', "");
    Expect(1, 73648, '\p{Script=:\Alisu\z:}', "");;
    Expect(0, 73649, '\p{Script=:\Alisu\z:}', "");;
    Expect(1, 73648, '\p{Script=LISU}', "");
    Expect(0, 73648, '\p{^Script=LISU}', "");
    Expect(0, 73648, '\P{Script=LISU}', "");
    Expect(1, 73648, '\P{^Script=LISU}', "");
    Expect(0, 73649, '\p{Script=LISU}', "");
    Expect(1, 73649, '\p{^Script=LISU}', "");
    Expect(1, 73649, '\P{Script=LISU}', "");
    Expect(0, 73649, '\P{^Script=LISU}', "");
    Error('\p{Sc= :=Lisu}');
    Error('\P{Sc= :=Lisu}');
    Expect(1, 73648, '\p{Sc=:\ALisu\z:}', "");;
    Expect(0, 73649, '\p{Sc=:\ALisu\z:}', "");;
    Expect(1, 73648, '\p{Sc=lisu}', "");
    Expect(0, 73648, '\p{^Sc=lisu}', "");
    Expect(0, 73648, '\P{Sc=lisu}', "");
    Expect(1, 73648, '\P{^Sc=lisu}', "");
    Expect(0, 73649, '\p{Sc=lisu}', "");
    Expect(1, 73649, '\p{^Sc=lisu}', "");
    Expect(1, 73649, '\P{Sc=lisu}', "");
    Expect(0, 73649, '\P{^Sc=lisu}', "");
    Expect(1, 73648, '\p{Sc=:\Alisu\z:}', "");;
    Expect(0, 73649, '\p{Sc=:\Alisu\z:}', "");;
    Expect(1, 73648, '\p{Sc=		LISU}', "");
    Expect(0, 73648, '\p{^Sc=		LISU}', "");
    Expect(0, 73648, '\P{Sc=		LISU}', "");
    Expect(1, 73648, '\P{^Sc=		LISU}', "");
    Expect(0, 73649, '\p{Sc=		LISU}', "");
    Expect(1, 73649, '\p{^Sc=		LISU}', "");
    Expect(1, 73649, '\P{Sc=		LISU}', "");
    Expect(0, 73649, '\P{^Sc=		LISU}', "");
    Error('\p{Is_Script=  lisu/a/}');
    Error('\P{Is_Script=  lisu/a/}');
    Expect(1, 73648, '\p{Is_Script=lisu}', "");
    Expect(0, 73648, '\p{^Is_Script=lisu}', "");
    Expect(0, 73648, '\P{Is_Script=lisu}', "");
    Expect(1, 73648, '\P{^Is_Script=lisu}', "");
    Expect(0, 73649, '\p{Is_Script=lisu}', "");
    Expect(1, 73649, '\p{^Is_Script=lisu}', "");
    Expect(1, 73649, '\P{Is_Script=lisu}', "");
    Expect(0, 73649, '\P{^Is_Script=lisu}', "");
    Expect(1, 73648, '\p{Is_Script=-LISU}', "");
    Expect(0, 73648, '\p{^Is_Script=-LISU}', "");
    Expect(0, 73648, '\P{Is_Script=-LISU}', "");
    Expect(1, 73648, '\P{^Is_Script=-LISU}', "");
    Expect(0, 73649, '\p{Is_Script=-LISU}', "");
    Expect(1, 73649, '\p{^Is_Script=-LISU}', "");
    Expect(1, 73649, '\P{Is_Script=-LISU}', "");
    Expect(0, 73649, '\P{^Is_Script=-LISU}', "");
    Error('\p{Is_Sc=_-Lisu:=}');
    Error('\P{Is_Sc=_-Lisu:=}');
    Expect(1, 73648, '\p{Is_Sc=lisu}', "");
    Expect(0, 73648, '\p{^Is_Sc=lisu}', "");
    Expect(0, 73648, '\P{Is_Sc=lisu}', "");
    Expect(1, 73648, '\P{^Is_Sc=lisu}', "");
    Expect(0, 73649, '\p{Is_Sc=lisu}', "");
    Expect(1, 73649, '\p{^Is_Sc=lisu}', "");
    Expect(1, 73649, '\P{Is_Sc=lisu}', "");
    Expect(0, 73649, '\P{^Is_Sc=lisu}', "");
    Expect(1, 73648, '\p{Is_Sc= 	LISU}', "");
    Expect(0, 73648, '\p{^Is_Sc= 	LISU}', "");
    Expect(0, 73648, '\P{Is_Sc= 	LISU}', "");
    Expect(1, 73648, '\P{^Is_Sc= 	LISU}', "");
    Expect(0, 73649, '\p{Is_Sc= 	LISU}', "");
    Expect(1, 73649, '\p{^Is_Sc= 	LISU}', "");
    Expect(1, 73649, '\P{Is_Sc= 	LISU}', "");
    Expect(0, 73649, '\P{^Is_Sc= 	LISU}', "");
    Error('\p{Script=/a/_ lycian}');
    Error('\P{Script=/a/_ lycian}');
    Expect(1, 66204, '\p{Script=:\ALycian\z:}', "");;
    Expect(0, 66205, '\p{Script=:\ALycian\z:}', "");;
    Expect(1, 66204, '\p{Script=lycian}', "");
    Expect(0, 66204, '\p{^Script=lycian}', "");
    Expect(0, 66204, '\P{Script=lycian}', "");
    Expect(1, 66204, '\P{^Script=lycian}', "");
    Expect(0, 66205, '\p{Script=lycian}', "");
    Expect(1, 66205, '\p{^Script=lycian}', "");
    Expect(1, 66205, '\P{Script=lycian}', "");
    Expect(0, 66205, '\P{^Script=lycian}', "");
    Expect(1, 66204, '\p{Script=:\Alycian\z:}', "");;
    Expect(0, 66205, '\p{Script=:\Alycian\z:}', "");;
    Expect(1, 66204, '\p{Script= 	Lycian}', "");
    Expect(0, 66204, '\p{^Script= 	Lycian}', "");
    Expect(0, 66204, '\P{Script= 	Lycian}', "");
    Expect(1, 66204, '\P{^Script= 	Lycian}', "");
    Expect(0, 66205, '\p{Script= 	Lycian}', "");
    Expect(1, 66205, '\p{^Script= 	Lycian}', "");
    Expect(1, 66205, '\P{Script= 	Lycian}', "");
    Expect(0, 66205, '\P{^Script= 	Lycian}', "");
    Error('\p{Sc=	Lyci:=}');
    Error('\P{Sc=	Lyci:=}');
    Expect(1, 66204, '\p{Sc=:\ALyci\z:}', "");;
    Expect(0, 66205, '\p{Sc=:\ALyci\z:}', "");;
    Expect(1, 66204, '\p{Sc=lyci}', "");
    Expect(0, 66204, '\p{^Sc=lyci}', "");
    Expect(0, 66204, '\P{Sc=lyci}', "");
    Expect(1, 66204, '\P{^Sc=lyci}', "");
    Expect(0, 66205, '\p{Sc=lyci}', "");
    Expect(1, 66205, '\p{^Sc=lyci}', "");
    Expect(1, 66205, '\P{Sc=lyci}', "");
    Expect(0, 66205, '\P{^Sc=lyci}', "");
    Expect(1, 66204, '\p{Sc=:\Alyci\z:}', "");;
    Expect(0, 66205, '\p{Sc=:\Alyci\z:}', "");;
    Expect(1, 66204, '\p{Sc=_	Lyci}', "");
    Expect(0, 66204, '\p{^Sc=_	Lyci}', "");
    Expect(0, 66204, '\P{Sc=_	Lyci}', "");
    Expect(1, 66204, '\P{^Sc=_	Lyci}', "");
    Expect(0, 66205, '\p{Sc=_	Lyci}', "");
    Expect(1, 66205, '\p{^Sc=_	Lyci}', "");
    Expect(1, 66205, '\P{Sc=_	Lyci}', "");
    Expect(0, 66205, '\P{^Sc=_	Lyci}', "");
    Error('\p{Is_Script=--lycian/a/}');
    Error('\P{Is_Script=--lycian/a/}');
    Expect(1, 66204, '\p{Is_Script=lycian}', "");
    Expect(0, 66204, '\p{^Is_Script=lycian}', "");
    Expect(0, 66204, '\P{Is_Script=lycian}', "");
    Expect(1, 66204, '\P{^Is_Script=lycian}', "");
    Expect(0, 66205, '\p{Is_Script=lycian}', "");
    Expect(1, 66205, '\p{^Is_Script=lycian}', "");
    Expect(1, 66205, '\P{Is_Script=lycian}', "");
    Expect(0, 66205, '\P{^Is_Script=lycian}', "");
    Expect(1, 66204, '\p{Is_Script=_-Lycian}', "");
    Expect(0, 66204, '\p{^Is_Script=_-Lycian}', "");
    Expect(0, 66204, '\P{Is_Script=_-Lycian}', "");
    Expect(1, 66204, '\P{^Is_Script=_-Lycian}', "");
    Expect(0, 66205, '\p{Is_Script=_-Lycian}', "");
    Expect(1, 66205, '\p{^Is_Script=_-Lycian}', "");
    Expect(1, 66205, '\P{Is_Script=_-Lycian}', "");
    Expect(0, 66205, '\P{^Is_Script=_-Lycian}', "");
    Error('\p{Is_Sc=- Lyci/a/}');
    Error('\P{Is_Sc=- Lyci/a/}');
    Expect(1, 66204, '\p{Is_Sc=lyci}', "");
    Expect(0, 66204, '\p{^Is_Sc=lyci}', "");
    Expect(0, 66204, '\P{Is_Sc=lyci}', "");
    Expect(1, 66204, '\P{^Is_Sc=lyci}', "");
    Expect(0, 66205, '\p{Is_Sc=lyci}', "");
    Expect(1, 66205, '\p{^Is_Sc=lyci}', "");
    Expect(1, 66205, '\P{Is_Sc=lyci}', "");
    Expect(0, 66205, '\P{^Is_Sc=lyci}', "");
    Expect(1, 66204, '\p{Is_Sc=		lyci}', "");
    Expect(0, 66204, '\p{^Is_Sc=		lyci}', "");
    Expect(0, 66204, '\P{Is_Sc=		lyci}', "");
    Expect(1, 66204, '\P{^Is_Sc=		lyci}', "");
    Expect(0, 66205, '\p{Is_Sc=		lyci}', "");
    Expect(1, 66205, '\p{^Is_Sc=		lyci}', "");
    Expect(1, 66205, '\P{Is_Sc=		lyci}', "");
    Expect(0, 66205, '\P{^Is_Sc=		lyci}', "");
    Error('\p{Script=:=	-Lydian}');
    Error('\P{Script=:=	-Lydian}');
    Expect(1, 67903, '\p{Script=:\ALydian\z:}', "");;
    Expect(0, 67904, '\p{Script=:\ALydian\z:}', "");;
    Expect(1, 67903, '\p{Script: lydian}', "");
    Expect(0, 67903, '\p{^Script: lydian}', "");
    Expect(0, 67903, '\P{Script: lydian}', "");
    Expect(1, 67903, '\P{^Script: lydian}', "");
    Expect(0, 67904, '\p{Script: lydian}', "");
    Expect(1, 67904, '\p{^Script: lydian}', "");
    Expect(1, 67904, '\P{Script: lydian}', "");
    Expect(0, 67904, '\P{^Script: lydian}', "");
    Expect(1, 67903, '\p{Script=:\Alydian\z:}', "");;
    Expect(0, 67904, '\p{Script=:\Alydian\z:}', "");;
    Expect(1, 67903, '\p{Script=		Lydian}', "");
    Expect(0, 67903, '\p{^Script=		Lydian}', "");
    Expect(0, 67903, '\P{Script=		Lydian}', "");
    Expect(1, 67903, '\P{^Script=		Lydian}', "");
    Expect(0, 67904, '\p{Script=		Lydian}', "");
    Expect(1, 67904, '\p{^Script=		Lydian}', "");
    Expect(1, 67904, '\P{Script=		Lydian}', "");
    Expect(0, 67904, '\P{^Script=		Lydian}', "");
    Error('\p{Sc:/a/lydi}');
    Error('\P{Sc:/a/lydi}');
    Expect(1, 67903, '\p{Sc=:\ALydi\z:}', "");;
    Expect(0, 67904, '\p{Sc=:\ALydi\z:}', "");;
    Expect(1, 67903, '\p{Sc=lydi}', "");
    Expect(0, 67903, '\p{^Sc=lydi}', "");
    Expect(0, 67903, '\P{Sc=lydi}', "");
    Expect(1, 67903, '\P{^Sc=lydi}', "");
    Expect(0, 67904, '\p{Sc=lydi}', "");
    Expect(1, 67904, '\p{^Sc=lydi}', "");
    Expect(1, 67904, '\P{Sc=lydi}', "");
    Expect(0, 67904, '\P{^Sc=lydi}', "");
    Expect(1, 67903, '\p{Sc=:\Alydi\z:}', "");;
    Expect(0, 67904, '\p{Sc=:\Alydi\z:}', "");;
    Expect(1, 67903, '\p{Sc= Lydi}', "");
    Expect(0, 67903, '\p{^Sc= Lydi}', "");
    Expect(0, 67903, '\P{Sc= Lydi}', "");
    Expect(1, 67903, '\P{^Sc= Lydi}', "");
    Expect(0, 67904, '\p{Sc= Lydi}', "");
    Expect(1, 67904, '\p{^Sc= Lydi}', "");
    Expect(1, 67904, '\P{Sc= Lydi}', "");
    Expect(0, 67904, '\P{^Sc= Lydi}', "");
    Error('\p{Is_Script=	/a/Lydian}');
    Error('\P{Is_Script=	/a/Lydian}');
    Expect(1, 67903, '\p{Is_Script=lydian}', "");
    Expect(0, 67903, '\p{^Is_Script=lydian}', "");
    Expect(0, 67903, '\P{Is_Script=lydian}', "");
    Expect(1, 67903, '\P{^Is_Script=lydian}', "");
    Expect(0, 67904, '\p{Is_Script=lydian}', "");
    Expect(1, 67904, '\p{^Is_Script=lydian}', "");
    Expect(1, 67904, '\P{Is_Script=lydian}', "");
    Expect(0, 67904, '\P{^Is_Script=lydian}', "");
    Expect(1, 67903, '\p{Is_Script=_	lydian}', "");
    Expect(0, 67903, '\p{^Is_Script=_	lydian}', "");
    Expect(0, 67903, '\P{Is_Script=_	lydian}', "");
    Expect(1, 67903, '\P{^Is_Script=_	lydian}', "");
    Expect(0, 67904, '\p{Is_Script=_	lydian}', "");
    Expect(1, 67904, '\p{^Is_Script=_	lydian}', "");
    Expect(1, 67904, '\P{Is_Script=_	lydian}', "");
    Expect(0, 67904, '\P{^Is_Script=_	lydian}', "");
    Error('\p{Is_Sc= /a/Lydi}');
    Error('\P{Is_Sc= /a/Lydi}');
    Expect(1, 67903, '\p{Is_Sc=lydi}', "");
    Expect(0, 67903, '\p{^Is_Sc=lydi}', "");
    Expect(0, 67903, '\P{Is_Sc=lydi}', "");
    Expect(1, 67903, '\P{^Is_Sc=lydi}', "");
    Expect(0, 67904, '\p{Is_Sc=lydi}', "");
    Expect(1, 67904, '\p{^Is_Sc=lydi}', "");
    Expect(1, 67904, '\P{Is_Sc=lydi}', "");
    Expect(0, 67904, '\P{^Is_Sc=lydi}', "");
    Expect(1, 67903, '\p{Is_Sc=-lydi}', "");
    Expect(0, 67903, '\p{^Is_Sc=-lydi}', "");
    Expect(0, 67903, '\P{Is_Sc=-lydi}', "");
    Expect(1, 67903, '\P{^Is_Sc=-lydi}', "");
    Expect(0, 67904, '\p{Is_Sc=-lydi}', "");
    Expect(1, 67904, '\p{^Is_Sc=-lydi}', "");
    Expect(1, 67904, '\P{Is_Sc=-lydi}', "");
    Expect(0, 67904, '\P{^Is_Sc=-lydi}', "");
    Error('\p{Script=_Mahajani/a/}');
    Error('\P{Script=_Mahajani/a/}');
    Expect(1, 70006, '\p{Script=:\AMahajani\z:}', "");;
    Expect(0, 70007, '\p{Script=:\AMahajani\z:}', "");;
    Expect(1, 70006, '\p{Script=mahajani}', "");
    Expect(0, 70006, '\p{^Script=mahajani}', "");
    Expect(0, 70006, '\P{Script=mahajani}', "");
    Expect(1, 70006, '\P{^Script=mahajani}', "");
    Expect(0, 70007, '\p{Script=mahajani}', "");
    Expect(1, 70007, '\p{^Script=mahajani}', "");
    Expect(1, 70007, '\P{Script=mahajani}', "");
    Expect(0, 70007, '\P{^Script=mahajani}', "");
    Expect(1, 70006, '\p{Script=:\Amahajani\z:}', "");;
    Expect(0, 70007, '\p{Script=:\Amahajani\z:}', "");;
    Expect(1, 70006, '\p{Script=_ Mahajani}', "");
    Expect(0, 70006, '\p{^Script=_ Mahajani}', "");
    Expect(0, 70006, '\P{Script=_ Mahajani}', "");
    Expect(1, 70006, '\P{^Script=_ Mahajani}', "");
    Expect(0, 70007, '\p{Script=_ Mahajani}', "");
    Expect(1, 70007, '\p{^Script=_ Mahajani}', "");
    Expect(1, 70007, '\P{Script=_ Mahajani}', "");
    Expect(0, 70007, '\P{^Script=_ Mahajani}', "");
    Error('\p{Sc=:= Mahj}');
    Error('\P{Sc=:= Mahj}');
    Expect(1, 70006, '\p{Sc=:\AMahj\z:}', "");;
    Expect(0, 70007, '\p{Sc=:\AMahj\z:}', "");;
    Expect(1, 70006, '\p{Sc=mahj}', "");
    Expect(0, 70006, '\p{^Sc=mahj}', "");
    Expect(0, 70006, '\P{Sc=mahj}', "");
    Expect(1, 70006, '\P{^Sc=mahj}', "");
    Expect(0, 70007, '\p{Sc=mahj}', "");
    Expect(1, 70007, '\p{^Sc=mahj}', "");
    Expect(1, 70007, '\P{Sc=mahj}', "");
    Expect(0, 70007, '\P{^Sc=mahj}', "");
    Expect(1, 70006, '\p{Sc=:\Amahj\z:}', "");;
    Expect(0, 70007, '\p{Sc=:\Amahj\z:}', "");;
    Expect(1, 70006, '\p{Sc=-	mahj}', "");
    Expect(0, 70006, '\p{^Sc=-	mahj}', "");
    Expect(0, 70006, '\P{Sc=-	mahj}', "");
    Expect(1, 70006, '\P{^Sc=-	mahj}', "");
    Expect(0, 70007, '\p{Sc=-	mahj}', "");
    Expect(1, 70007, '\p{^Sc=-	mahj}', "");
    Expect(1, 70007, '\P{Sc=-	mahj}', "");
    Expect(0, 70007, '\P{^Sc=-	mahj}', "");
    Error('\p{Is_Script=_	mahajani/a/}');
    Error('\P{Is_Script=_	mahajani/a/}');
    Expect(1, 70006, '\p{Is_Script=mahajani}', "");
    Expect(0, 70006, '\p{^Is_Script=mahajani}', "");
    Expect(0, 70006, '\P{Is_Script=mahajani}', "");
    Expect(1, 70006, '\P{^Is_Script=mahajani}', "");
    Expect(0, 70007, '\p{Is_Script=mahajani}', "");
    Expect(1, 70007, '\p{^Is_Script=mahajani}', "");
    Expect(1, 70007, '\P{Is_Script=mahajani}', "");
    Expect(0, 70007, '\P{^Is_Script=mahajani}', "");
    Expect(1, 70006, '\p{Is_Script=--Mahajani}', "");
    Expect(0, 70006, '\p{^Is_Script=--Mahajani}', "");
    Expect(0, 70006, '\P{Is_Script=--Mahajani}', "");
    Expect(1, 70006, '\P{^Is_Script=--Mahajani}', "");
    Expect(0, 70007, '\p{Is_Script=--Mahajani}', "");
    Expect(1, 70007, '\p{^Is_Script=--Mahajani}', "");
    Expect(1, 70007, '\P{Is_Script=--Mahajani}', "");
    Expect(0, 70007, '\P{^Is_Script=--Mahajani}', "");
    Error('\p{Is_Sc=	:=Mahj}');
    Error('\P{Is_Sc=	:=Mahj}');
    Expect(1, 70006, '\p{Is_Sc=mahj}', "");
    Expect(0, 70006, '\p{^Is_Sc=mahj}', "");
    Expect(0, 70006, '\P{Is_Sc=mahj}', "");
    Expect(1, 70006, '\P{^Is_Sc=mahj}', "");
    Expect(0, 70007, '\p{Is_Sc=mahj}', "");
    Expect(1, 70007, '\p{^Is_Sc=mahj}', "");
    Expect(1, 70007, '\P{Is_Sc=mahj}', "");
    Expect(0, 70007, '\P{^Is_Sc=mahj}', "");
    Expect(1, 70006, '\p{Is_Sc:  	Mahj}', "");
    Expect(0, 70006, '\p{^Is_Sc:  	Mahj}', "");
    Expect(0, 70006, '\P{Is_Sc:  	Mahj}', "");
    Expect(1, 70006, '\P{^Is_Sc:  	Mahj}', "");
    Expect(0, 70007, '\p{Is_Sc:  	Mahj}', "");
    Expect(1, 70007, '\p{^Is_Sc:  	Mahj}', "");
    Expect(1, 70007, '\P{Is_Sc:  	Mahj}', "");
    Expect(0, 70007, '\P{^Is_Sc:  	Mahj}', "");
    Error('\p{Script=	 Makasar/a/}');
    Error('\P{Script=	 Makasar/a/}');
    Expect(1, 73464, '\p{Script=:\AMakasar\z:}', "");;
    Expect(0, 73465, '\p{Script=:\AMakasar\z:}', "");;
    Expect(1, 73464, '\p{Script=makasar}', "");
    Expect(0, 73464, '\p{^Script=makasar}', "");
    Expect(0, 73464, '\P{Script=makasar}', "");
    Expect(1, 73464, '\P{^Script=makasar}', "");
    Expect(0, 73465, '\p{Script=makasar}', "");
    Expect(1, 73465, '\p{^Script=makasar}', "");
    Expect(1, 73465, '\P{Script=makasar}', "");
    Expect(0, 73465, '\P{^Script=makasar}', "");
    Expect(1, 73464, '\p{Script=:\Amakasar\z:}', "");;
    Expect(0, 73465, '\p{Script=:\Amakasar\z:}', "");;
    Expect(1, 73464, '\p{Script:   _Makasar}', "");
    Expect(0, 73464, '\p{^Script:   _Makasar}', "");
    Expect(0, 73464, '\P{Script:   _Makasar}', "");
    Expect(1, 73464, '\P{^Script:   _Makasar}', "");
    Expect(0, 73465, '\p{Script:   _Makasar}', "");
    Expect(1, 73465, '\p{^Script:   _Makasar}', "");
    Expect(1, 73465, '\P{Script:   _Makasar}', "");
    Expect(0, 73465, '\P{^Script:   _Makasar}', "");
    Error('\p{Sc=:= 	Maka}');
    Error('\P{Sc=:= 	Maka}');
    Expect(1, 73464, '\p{Sc=:\AMaka\z:}', "");;
    Expect(0, 73465, '\p{Sc=:\AMaka\z:}', "");;
    Expect(1, 73464, '\p{Sc=maka}', "");
    Expect(0, 73464, '\p{^Sc=maka}', "");
    Expect(0, 73464, '\P{Sc=maka}', "");
    Expect(1, 73464, '\P{^Sc=maka}', "");
    Expect(0, 73465, '\p{Sc=maka}', "");
    Expect(1, 73465, '\p{^Sc=maka}', "");
    Expect(1, 73465, '\P{Sc=maka}', "");
    Expect(0, 73465, '\P{^Sc=maka}', "");
    Expect(1, 73464, '\p{Sc=:\Amaka\z:}', "");;
    Expect(0, 73465, '\p{Sc=:\Amaka\z:}', "");;
    Expect(1, 73464, '\p{Sc=- maka}', "");
    Expect(0, 73464, '\p{^Sc=- maka}', "");
    Expect(0, 73464, '\P{Sc=- maka}', "");
    Expect(1, 73464, '\P{^Sc=- maka}', "");
    Expect(0, 73465, '\p{Sc=- maka}', "");
    Expect(1, 73465, '\p{^Sc=- maka}', "");
    Expect(1, 73465, '\P{Sc=- maka}', "");
    Expect(0, 73465, '\P{^Sc=- maka}', "");
    Error('\p{Is_Script: _:=makasar}');
    Error('\P{Is_Script: _:=makasar}');
    Expect(1, 73464, '\p{Is_Script=makasar}', "");
    Expect(0, 73464, '\p{^Is_Script=makasar}', "");
    Expect(0, 73464, '\P{Is_Script=makasar}', "");
    Expect(1, 73464, '\P{^Is_Script=makasar}', "");
    Expect(0, 73465, '\p{Is_Script=makasar}', "");
    Expect(1, 73465, '\p{^Is_Script=makasar}', "");
    Expect(1, 73465, '\P{Is_Script=makasar}', "");
    Expect(0, 73465, '\P{^Is_Script=makasar}', "");
    Expect(1, 73464, '\p{Is_Script=	-makasar}', "");
    Expect(0, 73464, '\p{^Is_Script=	-makasar}', "");
    Expect(0, 73464, '\P{Is_Script=	-makasar}', "");
    Expect(1, 73464, '\P{^Is_Script=	-makasar}', "");
    Expect(0, 73465, '\p{Is_Script=	-makasar}', "");
    Expect(1, 73465, '\p{^Is_Script=	-makasar}', "");
    Expect(1, 73465, '\P{Is_Script=	-makasar}', "");
    Expect(0, 73465, '\P{^Is_Script=	-makasar}', "");
    Error('\p{Is_Sc:	MAKA/a/}');
    Error('\P{Is_Sc:	MAKA/a/}');
    Expect(1, 73464, '\p{Is_Sc=maka}', "");
    Expect(0, 73464, '\p{^Is_Sc=maka}', "");
    Expect(0, 73464, '\P{Is_Sc=maka}', "");
    Expect(1, 73464, '\P{^Is_Sc=maka}', "");
    Expect(0, 73465, '\p{Is_Sc=maka}', "");
    Expect(1, 73465, '\p{^Is_Sc=maka}', "");
    Expect(1, 73465, '\P{Is_Sc=maka}', "");
    Expect(0, 73465, '\P{^Is_Sc=maka}', "");
    Expect(1, 73464, '\p{Is_Sc=-_MAKA}', "");
    Expect(0, 73464, '\p{^Is_Sc=-_MAKA}', "");
    Expect(0, 73464, '\P{Is_Sc=-_MAKA}', "");
    Expect(1, 73464, '\P{^Is_Sc=-_MAKA}', "");
    Expect(0, 73465, '\p{Is_Sc=-_MAKA}', "");
    Expect(1, 73465, '\p{^Is_Sc=-_MAKA}', "");
    Expect(1, 73465, '\P{Is_Sc=-_MAKA}', "");
    Expect(0, 73465, '\P{^Is_Sc=-_MAKA}', "");
    Error('\p{Script:   :=_	MANDAIC}');
    Error('\P{Script:   :=_	MANDAIC}');
    Expect(1, 2142, '\p{Script=:\AMandaic\z:}', "");;
    Expect(0, 2143, '\p{Script=:\AMandaic\z:}', "");;
    Expect(1, 2142, '\p{Script=mandaic}', "");
    Expect(0, 2142, '\p{^Script=mandaic}', "");
    Expect(0, 2142, '\P{Script=mandaic}', "");
    Expect(1, 2142, '\P{^Script=mandaic}', "");
    Expect(0, 2143, '\p{Script=mandaic}', "");
    Expect(1, 2143, '\p{^Script=mandaic}', "");
    Expect(1, 2143, '\P{Script=mandaic}', "");
    Expect(0, 2143, '\P{^Script=mandaic}', "");
    Expect(1, 2142, '\p{Script=:\Amandaic\z:}', "");;
    Expect(0, 2143, '\p{Script=:\Amandaic\z:}', "");;
    Expect(1, 2142, '\p{Script= -Mandaic}', "");
    Expect(0, 2142, '\p{^Script= -Mandaic}', "");
    Expect(0, 2142, '\P{Script= -Mandaic}', "");
    Expect(1, 2142, '\P{^Script= -Mandaic}', "");
    Expect(0, 2143, '\p{Script= -Mandaic}', "");
    Expect(1, 2143, '\p{^Script= -Mandaic}', "");
    Expect(1, 2143, '\P{Script= -Mandaic}', "");
    Expect(0, 2143, '\P{^Script= -Mandaic}', "");
    Error('\p{Sc=/a/MAND}');
    Error('\P{Sc=/a/MAND}');
    Expect(1, 2142, '\p{Sc=:\AMand\z:}', "");;
    Expect(0, 2143, '\p{Sc=:\AMand\z:}', "");;
    Expect(1, 2142, '\p{Sc=mand}', "");
    Expect(0, 2142, '\p{^Sc=mand}', "");
    Expect(0, 2142, '\P{Sc=mand}', "");
    Expect(1, 2142, '\P{^Sc=mand}', "");
    Expect(0, 2143, '\p{Sc=mand}', "");
    Expect(1, 2143, '\p{^Sc=mand}', "");
    Expect(1, 2143, '\P{Sc=mand}', "");
    Expect(0, 2143, '\P{^Sc=mand}', "");
    Expect(1, 2142, '\p{Sc=:\Amand\z:}', "");;
    Expect(0, 2143, '\p{Sc=:\Amand\z:}', "");;
    Expect(1, 2142, '\p{Sc=-MAND}', "");
    Expect(0, 2142, '\p{^Sc=-MAND}', "");
    Expect(0, 2142, '\P{Sc=-MAND}', "");
    Expect(1, 2142, '\P{^Sc=-MAND}', "");
    Expect(0, 2143, '\p{Sc=-MAND}', "");
    Expect(1, 2143, '\p{^Sc=-MAND}', "");
    Expect(1, 2143, '\P{Sc=-MAND}', "");
    Expect(0, 2143, '\P{^Sc=-MAND}', "");
    Error('\p{Is_Script= -Mandaic:=}');
    Error('\P{Is_Script= -Mandaic:=}');
    Expect(1, 2142, '\p{Is_Script=mandaic}', "");
    Expect(0, 2142, '\p{^Is_Script=mandaic}', "");
    Expect(0, 2142, '\P{Is_Script=mandaic}', "");
    Expect(1, 2142, '\P{^Is_Script=mandaic}', "");
    Expect(0, 2143, '\p{Is_Script=mandaic}', "");
    Expect(1, 2143, '\p{^Is_Script=mandaic}', "");
    Expect(1, 2143, '\P{Is_Script=mandaic}', "");
    Expect(0, 2143, '\P{^Is_Script=mandaic}', "");
    Expect(1, 2142, '\p{Is_Script=-	Mandaic}', "");
    Expect(0, 2142, '\p{^Is_Script=-	Mandaic}', "");
    Expect(0, 2142, '\P{Is_Script=-	Mandaic}', "");
    Expect(1, 2142, '\P{^Is_Script=-	Mandaic}', "");
    Expect(0, 2143, '\p{Is_Script=-	Mandaic}', "");
    Expect(1, 2143, '\p{^Is_Script=-	Mandaic}', "");
    Expect(1, 2143, '\P{Is_Script=-	Mandaic}', "");
    Expect(0, 2143, '\P{^Is_Script=-	Mandaic}', "");
    Error('\p{Is_Sc=:=Mand}');
    Error('\P{Is_Sc=:=Mand}');
    Expect(1, 2142, '\p{Is_Sc=mand}', "");
    Expect(0, 2142, '\p{^Is_Sc=mand}', "");
    Expect(0, 2142, '\P{Is_Sc=mand}', "");
    Expect(1, 2142, '\P{^Is_Sc=mand}', "");
    Expect(0, 2143, '\p{Is_Sc=mand}', "");
    Expect(1, 2143, '\p{^Is_Sc=mand}', "");
    Expect(1, 2143, '\P{Is_Sc=mand}', "");
    Expect(0, 2143, '\P{^Is_Sc=mand}', "");
    Expect(1, 2142, '\p{Is_Sc=-	Mand}', "");
    Expect(0, 2142, '\p{^Is_Sc=-	Mand}', "");
    Expect(0, 2142, '\P{Is_Sc=-	Mand}', "");
    Expect(1, 2142, '\P{^Is_Sc=-	Mand}', "");
    Expect(0, 2143, '\p{Is_Sc=-	Mand}', "");
    Expect(1, 2143, '\p{^Is_Sc=-	Mand}', "");
    Expect(1, 2143, '\P{Is_Sc=-	Mand}', "");
    Expect(0, 2143, '\P{^Is_Sc=-	Mand}', "");
    Error('\p{Script=--Manichaean:=}');
    Error('\P{Script=--Manichaean:=}');
    Expect(1, 68342, '\p{Script=:\AManichaean\z:}', "");;
    Expect(0, 68343, '\p{Script=:\AManichaean\z:}', "");;
    Expect(1, 68342, '\p{Script=manichaean}', "");
    Expect(0, 68342, '\p{^Script=manichaean}', "");
    Expect(0, 68342, '\P{Script=manichaean}', "");
    Expect(1, 68342, '\P{^Script=manichaean}', "");
    Expect(0, 68343, '\p{Script=manichaean}', "");
    Expect(1, 68343, '\p{^Script=manichaean}', "");
    Expect(1, 68343, '\P{Script=manichaean}', "");
    Expect(0, 68343, '\P{^Script=manichaean}', "");
    Expect(1, 68342, '\p{Script=:\Amanichaean\z:}', "");;
    Expect(0, 68343, '\p{Script=:\Amanichaean\z:}', "");;
    Expect(1, 68342, '\p{Script=--MANICHAEAN}', "");
    Expect(0, 68342, '\p{^Script=--MANICHAEAN}', "");
    Expect(0, 68342, '\P{Script=--MANICHAEAN}', "");
    Expect(1, 68342, '\P{^Script=--MANICHAEAN}', "");
    Expect(0, 68343, '\p{Script=--MANICHAEAN}', "");
    Expect(1, 68343, '\p{^Script=--MANICHAEAN}', "");
    Expect(1, 68343, '\P{Script=--MANICHAEAN}', "");
    Expect(0, 68343, '\P{^Script=--MANICHAEAN}', "");
    Error('\p{Sc=-_Mani:=}');
    Error('\P{Sc=-_Mani:=}');
    Expect(1, 68342, '\p{Sc=:\AMani\z:}', "");;
    Expect(0, 68343, '\p{Sc=:\AMani\z:}', "");;
    Expect(1, 68342, '\p{Sc=mani}', "");
    Expect(0, 68342, '\p{^Sc=mani}', "");
    Expect(0, 68342, '\P{Sc=mani}', "");
    Expect(1, 68342, '\P{^Sc=mani}', "");
    Expect(0, 68343, '\p{Sc=mani}', "");
    Expect(1, 68343, '\p{^Sc=mani}', "");
    Expect(1, 68343, '\P{Sc=mani}', "");
    Expect(0, 68343, '\P{^Sc=mani}', "");
    Expect(1, 68342, '\p{Sc=:\Amani\z:}', "");;
    Expect(0, 68343, '\p{Sc=:\Amani\z:}', "");;
    Expect(1, 68342, '\p{Sc=_Mani}', "");
    Expect(0, 68342, '\p{^Sc=_Mani}', "");
    Expect(0, 68342, '\P{Sc=_Mani}', "");
    Expect(1, 68342, '\P{^Sc=_Mani}', "");
    Expect(0, 68343, '\p{Sc=_Mani}', "");
    Expect(1, 68343, '\p{^Sc=_Mani}', "");
    Expect(1, 68343, '\P{Sc=_Mani}', "");
    Expect(0, 68343, '\P{^Sc=_Mani}', "");
    Error('\p{Is_Script= /a/Manichaean}');
    Error('\P{Is_Script= /a/Manichaean}');
    Expect(1, 68342, '\p{Is_Script=manichaean}', "");
    Expect(0, 68342, '\p{^Is_Script=manichaean}', "");
    Expect(0, 68342, '\P{Is_Script=manichaean}', "");
    Expect(1, 68342, '\P{^Is_Script=manichaean}', "");
    Expect(0, 68343, '\p{Is_Script=manichaean}', "");
    Expect(1, 68343, '\p{^Is_Script=manichaean}', "");
    Expect(1, 68343, '\P{Is_Script=manichaean}', "");
    Expect(0, 68343, '\P{^Is_Script=manichaean}', "");
    Expect(1, 68342, '\p{Is_Script=-Manichaean}', "");
    Expect(0, 68342, '\p{^Is_Script=-Manichaean}', "");
    Expect(0, 68342, '\P{Is_Script=-Manichaean}', "");
    Expect(1, 68342, '\P{^Is_Script=-Manichaean}', "");
    Expect(0, 68343, '\p{Is_Script=-Manichaean}', "");
    Expect(1, 68343, '\p{^Is_Script=-Manichaean}', "");
    Expect(1, 68343, '\P{Is_Script=-Manichaean}', "");
    Expect(0, 68343, '\P{^Is_Script=-Manichaean}', "");
    Error('\p{Is_Sc=:=mani}');
    Error('\P{Is_Sc=:=mani}');
    Expect(1, 68342, '\p{Is_Sc=mani}', "");
    Expect(0, 68342, '\p{^Is_Sc=mani}', "");
    Expect(0, 68342, '\P{Is_Sc=mani}', "");
    Expect(1, 68342, '\P{^Is_Sc=mani}', "");
    Expect(0, 68343, '\p{Is_Sc=mani}', "");
    Expect(1, 68343, '\p{^Is_Sc=mani}', "");
    Expect(1, 68343, '\P{Is_Sc=mani}', "");
    Expect(0, 68343, '\P{^Is_Sc=mani}', "");
    Expect(1, 68342, '\p{Is_Sc= mani}', "");
    Expect(0, 68342, '\p{^Is_Sc= mani}', "");
    Expect(0, 68342, '\P{Is_Sc= mani}', "");
    Expect(1, 68342, '\P{^Is_Sc= mani}', "");
    Expect(0, 68343, '\p{Is_Sc= mani}', "");
    Expect(1, 68343, '\p{^Is_Sc= mani}', "");
    Expect(1, 68343, '\P{Is_Sc= mani}', "");
    Expect(0, 68343, '\P{^Is_Sc= mani}', "");
    Error('\p{Script=	/a/MARCHEN}');
    Error('\P{Script=	/a/MARCHEN}');
    Expect(1, 72886, '\p{Script=:\AMarchen\z:}', "");;
    Expect(0, 72887, '\p{Script=:\AMarchen\z:}', "");;
    Expect(1, 72886, '\p{Script=marchen}', "");
    Expect(0, 72886, '\p{^Script=marchen}', "");
    Expect(0, 72886, '\P{Script=marchen}', "");
    Expect(1, 72886, '\P{^Script=marchen}', "");
    Expect(0, 72887, '\p{Script=marchen}', "");
    Expect(1, 72887, '\p{^Script=marchen}', "");
    Expect(1, 72887, '\P{Script=marchen}', "");
    Expect(0, 72887, '\P{^Script=marchen}', "");
    Expect(1, 72886, '\p{Script=:\Amarchen\z:}', "");;
    Expect(0, 72887, '\p{Script=:\Amarchen\z:}', "");;
    Expect(1, 72886, '\p{Script=-	Marchen}', "");
    Expect(0, 72886, '\p{^Script=-	Marchen}', "");
    Expect(0, 72886, '\P{Script=-	Marchen}', "");
    Expect(1, 72886, '\P{^Script=-	Marchen}', "");
    Expect(0, 72887, '\p{Script=-	Marchen}', "");
    Expect(1, 72887, '\p{^Script=-	Marchen}', "");
    Expect(1, 72887, '\P{Script=-	Marchen}', "");
    Expect(0, 72887, '\P{^Script=-	Marchen}', "");
    Error('\p{Sc= Marc:=}');
    Error('\P{Sc= Marc:=}');
    Expect(1, 72886, '\p{Sc=:\AMarc\z:}', "");;
    Expect(0, 72887, '\p{Sc=:\AMarc\z:}', "");;
    Expect(1, 72886, '\p{Sc=marc}', "");
    Expect(0, 72886, '\p{^Sc=marc}', "");
    Expect(0, 72886, '\P{Sc=marc}', "");
    Expect(1, 72886, '\P{^Sc=marc}', "");
    Expect(0, 72887, '\p{Sc=marc}', "");
    Expect(1, 72887, '\p{^Sc=marc}', "");
    Expect(1, 72887, '\P{Sc=marc}', "");
    Expect(0, 72887, '\P{^Sc=marc}', "");
    Expect(1, 72886, '\p{Sc=:\Amarc\z:}', "");;
    Expect(0, 72887, '\p{Sc=:\Amarc\z:}', "");;
    Expect(1, 72886, '\p{Sc=Marc}', "");
    Expect(0, 72886, '\p{^Sc=Marc}', "");
    Expect(0, 72886, '\P{Sc=Marc}', "");
    Expect(1, 72886, '\P{^Sc=Marc}', "");
    Expect(0, 72887, '\p{Sc=Marc}', "");
    Expect(1, 72887, '\p{^Sc=Marc}', "");
    Expect(1, 72887, '\P{Sc=Marc}', "");
    Expect(0, 72887, '\P{^Sc=Marc}', "");
    Error('\p{Is_Script=:=_MARCHEN}');
    Error('\P{Is_Script=:=_MARCHEN}');
    Expect(1, 72886, '\p{Is_Script:marchen}', "");
    Expect(0, 72886, '\p{^Is_Script:marchen}', "");
    Expect(0, 72886, '\P{Is_Script:marchen}', "");
    Expect(1, 72886, '\P{^Is_Script:marchen}', "");
    Expect(0, 72887, '\p{Is_Script:marchen}', "");
    Expect(1, 72887, '\p{^Is_Script:marchen}', "");
    Expect(1, 72887, '\P{Is_Script:marchen}', "");
    Expect(0, 72887, '\P{^Is_Script:marchen}', "");
    Expect(1, 72886, '\p{Is_Script= -marchen}', "");
    Expect(0, 72886, '\p{^Is_Script= -marchen}', "");
    Expect(0, 72886, '\P{Is_Script= -marchen}', "");
    Expect(1, 72886, '\P{^Is_Script= -marchen}', "");
    Expect(0, 72887, '\p{Is_Script= -marchen}', "");
    Expect(1, 72887, '\p{^Is_Script= -marchen}', "");
    Expect(1, 72887, '\P{Is_Script= -marchen}', "");
    Expect(0, 72887, '\P{^Is_Script= -marchen}', "");
    Error('\p{Is_Sc= :=marc}');
    Error('\P{Is_Sc= :=marc}');
    Expect(1, 72886, '\p{Is_Sc:marc}', "");
    Expect(0, 72886, '\p{^Is_Sc:marc}', "");
    Expect(0, 72886, '\P{Is_Sc:marc}', "");
    Expect(1, 72886, '\P{^Is_Sc:marc}', "");
    Expect(0, 72887, '\p{Is_Sc:marc}', "");
    Expect(1, 72887, '\p{^Is_Sc:marc}', "");
    Expect(1, 72887, '\P{Is_Sc:marc}', "");
    Expect(0, 72887, '\P{^Is_Sc:marc}', "");
    Expect(1, 72886, '\p{Is_Sc=  MARC}', "");
    Expect(0, 72886, '\p{^Is_Sc=  MARC}', "");
    Expect(0, 72886, '\P{Is_Sc=  MARC}', "");
    Expect(1, 72886, '\P{^Is_Sc=  MARC}', "");
    Expect(0, 72887, '\p{Is_Sc=  MARC}', "");
    Expect(1, 72887, '\p{^Is_Sc=  MARC}', "");
    Expect(1, 72887, '\P{Is_Sc=  MARC}', "");
    Expect(0, 72887, '\P{^Is_Sc=  MARC}', "");
    Error('\p{Script=-:=MEDEFAIDRIN}');
    Error('\P{Script=-:=MEDEFAIDRIN}');
    Expect(1, 93850, '\p{Script=:\AMedefaidrin\z:}', "");;
    Expect(0, 93851, '\p{Script=:\AMedefaidrin\z:}', "");;
    Expect(1, 93850, '\p{Script:   medefaidrin}', "");
    Expect(0, 93850, '\p{^Script:   medefaidrin}', "");
    Expect(0, 93850, '\P{Script:   medefaidrin}', "");
    Expect(1, 93850, '\P{^Script:   medefaidrin}', "");
    Expect(0, 93851, '\p{Script:   medefaidrin}', "");
    Expect(1, 93851, '\p{^Script:   medefaidrin}', "");
    Expect(1, 93851, '\P{Script:   medefaidrin}', "");
    Expect(0, 93851, '\P{^Script:   medefaidrin}', "");
    Expect(1, 93850, '\p{Script=:\Amedefaidrin\z:}', "");;
    Expect(0, 93851, '\p{Script=:\Amedefaidrin\z:}', "");;
    Expect(1, 93850, '\p{Script= _MEDEFAIDRIN}', "");
    Expect(0, 93850, '\p{^Script= _MEDEFAIDRIN}', "");
    Expect(0, 93850, '\P{Script= _MEDEFAIDRIN}', "");
    Expect(1, 93850, '\P{^Script= _MEDEFAIDRIN}', "");
    Expect(0, 93851, '\p{Script= _MEDEFAIDRIN}', "");
    Expect(1, 93851, '\p{^Script= _MEDEFAIDRIN}', "");
    Expect(1, 93851, '\P{Script= _MEDEFAIDRIN}', "");
    Expect(0, 93851, '\P{^Script= _MEDEFAIDRIN}', "");
    Error('\p{Sc=/a/_Medf}');
    Error('\P{Sc=/a/_Medf}');
    Expect(1, 93850, '\p{Sc=:\AMedf\z:}', "");;
    Expect(0, 93851, '\p{Sc=:\AMedf\z:}', "");;
    Expect(1, 93850, '\p{Sc=medf}', "");
    Expect(0, 93850, '\p{^Sc=medf}', "");
    Expect(0, 93850, '\P{Sc=medf}', "");
    Expect(1, 93850, '\P{^Sc=medf}', "");
    Expect(0, 93851, '\p{Sc=medf}', "");
    Expect(1, 93851, '\p{^Sc=medf}', "");
    Expect(1, 93851, '\P{Sc=medf}', "");
    Expect(0, 93851, '\P{^Sc=medf}', "");
    Expect(1, 93850, '\p{Sc=:\Amedf\z:}', "");;
    Expect(0, 93851, '\p{Sc=:\Amedf\z:}', "");;
    Expect(1, 93850, '\p{Sc=_Medf}', "");
    Expect(0, 93850, '\p{^Sc=_Medf}', "");
    Expect(0, 93850, '\P{Sc=_Medf}', "");
    Expect(1, 93850, '\P{^Sc=_Medf}', "");
    Expect(0, 93851, '\p{Sc=_Medf}', "");
    Expect(1, 93851, '\p{^Sc=_Medf}', "");
    Expect(1, 93851, '\P{Sc=_Medf}', "");
    Expect(0, 93851, '\P{^Sc=_Medf}', "");
    Error('\p{Is_Script=-/a/MEDEFAIDRIN}');
    Error('\P{Is_Script=-/a/MEDEFAIDRIN}');
    Expect(1, 93850, '\p{Is_Script=medefaidrin}', "");
    Expect(0, 93850, '\p{^Is_Script=medefaidrin}', "");
    Expect(0, 93850, '\P{Is_Script=medefaidrin}', "");
    Expect(1, 93850, '\P{^Is_Script=medefaidrin}', "");
    Expect(0, 93851, '\p{Is_Script=medefaidrin}', "");
    Expect(1, 93851, '\p{^Is_Script=medefaidrin}', "");
    Expect(1, 93851, '\P{Is_Script=medefaidrin}', "");
    Expect(0, 93851, '\P{^Is_Script=medefaidrin}', "");
    Expect(1, 93850, '\p{Is_Script=_ Medefaidrin}', "");
    Expect(0, 93850, '\p{^Is_Script=_ Medefaidrin}', "");
    Expect(0, 93850, '\P{Is_Script=_ Medefaidrin}', "");
    Expect(1, 93850, '\P{^Is_Script=_ Medefaidrin}', "");
    Expect(0, 93851, '\p{Is_Script=_ Medefaidrin}', "");
    Expect(1, 93851, '\p{^Is_Script=_ Medefaidrin}', "");
    Expect(1, 93851, '\P{Is_Script=_ Medefaidrin}', "");
    Expect(0, 93851, '\P{^Is_Script=_ Medefaidrin}', "");
    Error('\p{Is_Sc=/a/Medf}');
    Error('\P{Is_Sc=/a/Medf}');
    Expect(1, 93850, '\p{Is_Sc=medf}', "");
    Expect(0, 93850, '\p{^Is_Sc=medf}', "");
    Expect(0, 93850, '\P{Is_Sc=medf}', "");
    Expect(1, 93850, '\P{^Is_Sc=medf}', "");
    Expect(0, 93851, '\p{Is_Sc=medf}', "");
    Expect(1, 93851, '\p{^Is_Sc=medf}', "");
    Expect(1, 93851, '\P{Is_Sc=medf}', "");
    Expect(0, 93851, '\P{^Is_Sc=medf}', "");
    Expect(1, 93850, '\p{Is_Sc=- MEDF}', "");
    Expect(0, 93850, '\p{^Is_Sc=- MEDF}', "");
    Expect(0, 93850, '\P{Is_Sc=- MEDF}', "");
    Expect(1, 93850, '\P{^Is_Sc=- MEDF}', "");
    Expect(0, 93851, '\p{Is_Sc=- MEDF}', "");
    Expect(1, 93851, '\p{^Is_Sc=- MEDF}', "");
    Expect(1, 93851, '\P{Is_Sc=- MEDF}', "");
    Expect(0, 93851, '\P{^Is_Sc=- MEDF}', "");
    Error('\p{Script=	Mende_kikakui:=}');
    Error('\P{Script=	Mende_kikakui:=}');
    Expect(1, 125142, '\p{Script=:\AMende_Kikakui\z:}', "");;
    Expect(0, 125143, '\p{Script=:\AMende_Kikakui\z:}', "");;
    Expect(1, 125142, '\p{Script:   mendekikakui}', "");
    Expect(0, 125142, '\p{^Script:   mendekikakui}', "");
    Expect(0, 125142, '\P{Script:   mendekikakui}', "");
    Expect(1, 125142, '\P{^Script:   mendekikakui}', "");
    Expect(0, 125143, '\p{Script:   mendekikakui}', "");
    Expect(1, 125143, '\p{^Script:   mendekikakui}', "");
    Expect(1, 125143, '\P{Script:   mendekikakui}', "");
    Expect(0, 125143, '\P{^Script:   mendekikakui}', "");
    Expect(1, 125142, '\p{Script=:\Amendekikakui\z:}', "");;
    Expect(0, 125143, '\p{Script=:\Amendekikakui\z:}', "");;
    Expect(1, 125142, '\p{Script=_ Mende_Kikakui}', "");
    Expect(0, 125142, '\p{^Script=_ Mende_Kikakui}', "");
    Expect(0, 125142, '\P{Script=_ Mende_Kikakui}', "");
    Expect(1, 125142, '\P{^Script=_ Mende_Kikakui}', "");
    Expect(0, 125143, '\p{Script=_ Mende_Kikakui}', "");
    Expect(1, 125143, '\p{^Script=_ Mende_Kikakui}', "");
    Expect(1, 125143, '\P{Script=_ Mende_Kikakui}', "");
    Expect(0, 125143, '\P{^Script=_ Mende_Kikakui}', "");
    Error('\p{Sc=_:=Mend}');
    Error('\P{Sc=_:=Mend}');
    Expect(1, 125142, '\p{Sc=:\AMend\z:}', "");;
    Expect(0, 125143, '\p{Sc=:\AMend\z:}', "");;
    Expect(1, 125142, '\p{Sc=mend}', "");
    Expect(0, 125142, '\p{^Sc=mend}', "");
    Expect(0, 125142, '\P{Sc=mend}', "");
    Expect(1, 125142, '\P{^Sc=mend}', "");
    Expect(0, 125143, '\p{Sc=mend}', "");
    Expect(1, 125143, '\p{^Sc=mend}', "");
    Expect(1, 125143, '\P{Sc=mend}', "");
    Expect(0, 125143, '\P{^Sc=mend}', "");
    Expect(1, 125142, '\p{Sc=:\Amend\z:}', "");;
    Expect(0, 125143, '\p{Sc=:\Amend\z:}', "");;
    Expect(1, 125142, '\p{Sc=	Mend}', "");
    Expect(0, 125142, '\p{^Sc=	Mend}', "");
    Expect(0, 125142, '\P{Sc=	Mend}', "");
    Expect(1, 125142, '\P{^Sc=	Mend}', "");
    Expect(0, 125143, '\p{Sc=	Mend}', "");
    Expect(1, 125143, '\p{^Sc=	Mend}', "");
    Expect(1, 125143, '\P{Sc=	Mend}', "");
    Expect(0, 125143, '\P{^Sc=	Mend}', "");
    Error('\p{Is_Script=  Mende_Kikakui/a/}');
    Error('\P{Is_Script=  Mende_Kikakui/a/}');
    Expect(1, 125142, '\p{Is_Script=mendekikakui}', "");
    Expect(0, 125142, '\p{^Is_Script=mendekikakui}', "");
    Expect(0, 125142, '\P{Is_Script=mendekikakui}', "");
    Expect(1, 125142, '\P{^Is_Script=mendekikakui}', "");
    Expect(0, 125143, '\p{Is_Script=mendekikakui}', "");
    Expect(1, 125143, '\p{^Is_Script=mendekikakui}', "");
    Expect(1, 125143, '\P{Is_Script=mendekikakui}', "");
    Expect(0, 125143, '\P{^Is_Script=mendekikakui}', "");
    Expect(1, 125142, '\p{Is_Script:   --Mende_KIKAKUI}', "");
    Expect(0, 125142, '\p{^Is_Script:   --Mende_KIKAKUI}', "");
    Expect(0, 125142, '\P{Is_Script:   --Mende_KIKAKUI}', "");
    Expect(1, 125142, '\P{^Is_Script:   --Mende_KIKAKUI}', "");
    Expect(0, 125143, '\p{Is_Script:   --Mende_KIKAKUI}', "");
    Expect(1, 125143, '\p{^Is_Script:   --Mende_KIKAKUI}', "");
    Expect(1, 125143, '\P{Is_Script:   --Mende_KIKAKUI}', "");
    Expect(0, 125143, '\P{^Is_Script:   --Mende_KIKAKUI}', "");
    Error('\p{Is_Sc=:=_ MEND}');
    Error('\P{Is_Sc=:=_ MEND}');
    Expect(1, 125142, '\p{Is_Sc=mend}', "");
    Expect(0, 125142, '\p{^Is_Sc=mend}', "");
    Expect(0, 125142, '\P{Is_Sc=mend}', "");
    Expect(1, 125142, '\P{^Is_Sc=mend}', "");
    Expect(0, 125143, '\p{Is_Sc=mend}', "");
    Expect(1, 125143, '\p{^Is_Sc=mend}', "");
    Expect(1, 125143, '\P{Is_Sc=mend}', "");
    Expect(0, 125143, '\P{^Is_Sc=mend}', "");
    Expect(1, 125142, '\p{Is_Sc:   	MEND}', "");
    Expect(0, 125142, '\p{^Is_Sc:   	MEND}', "");
    Expect(0, 125142, '\P{Is_Sc:   	MEND}', "");
    Expect(1, 125142, '\P{^Is_Sc:   	MEND}', "");
    Expect(0, 125143, '\p{Is_Sc:   	MEND}', "");
    Expect(1, 125143, '\p{^Is_Sc:   	MEND}', "");
    Expect(1, 125143, '\P{Is_Sc:   	MEND}', "");
    Expect(0, 125143, '\P{^Is_Sc:   	MEND}', "");
    Error('\p{Script=/a/- Meroitic_CURSIVE}');
    Error('\P{Script=/a/- Meroitic_CURSIVE}');
    Expect(1, 68095, '\p{Script=:\AMeroitic_Cursive\z:}', "");;
    Expect(0, 68096, '\p{Script=:\AMeroitic_Cursive\z:}', "");;
    Expect(1, 68095, '\p{Script=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Script=meroiticcursive}', "");
    Expect(0, 68095, '\P{Script=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Script=meroiticcursive}', "");
    Expect(0, 68096, '\p{Script=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Script=meroiticcursive}', "");
    Expect(1, 68096, '\P{Script=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Script=meroiticcursive}', "");
    Expect(1, 68095, '\p{Script=:\Ameroiticcursive\z:}', "");;
    Expect(0, 68096, '\p{Script=:\Ameroiticcursive\z:}', "");;
    Expect(1, 68095, '\p{Script=__MEROITIC_cursive}', "");
    Expect(0, 68095, '\p{^Script=__MEROITIC_cursive}', "");
    Expect(0, 68095, '\P{Script=__MEROITIC_cursive}', "");
    Expect(1, 68095, '\P{^Script=__MEROITIC_cursive}', "");
    Expect(0, 68096, '\p{Script=__MEROITIC_cursive}', "");
    Expect(1, 68096, '\p{^Script=__MEROITIC_cursive}', "");
    Expect(1, 68096, '\P{Script=__MEROITIC_cursive}', "");
    Expect(0, 68096, '\P{^Script=__MEROITIC_cursive}', "");
    Error('\p{Sc=_	Merc/a/}');
    Error('\P{Sc=_	Merc/a/}');
    Expect(1, 68095, '\p{Sc=:\AMerc\z:}', "");;
    Expect(0, 68096, '\p{Sc=:\AMerc\z:}', "");;
    Expect(1, 68095, '\p{Sc=merc}', "");
    Expect(0, 68095, '\p{^Sc=merc}', "");
    Expect(0, 68095, '\P{Sc=merc}', "");
    Expect(1, 68095, '\P{^Sc=merc}', "");
    Expect(0, 68096, '\p{Sc=merc}', "");
    Expect(1, 68096, '\p{^Sc=merc}', "");
    Expect(1, 68096, '\P{Sc=merc}', "");
    Expect(0, 68096, '\P{^Sc=merc}', "");
    Expect(1, 68095, '\p{Sc=:\Amerc\z:}', "");;
    Expect(0, 68096, '\p{Sc=:\Amerc\z:}', "");;
    Expect(1, 68095, '\p{Sc= _Merc}', "");
    Expect(0, 68095, '\p{^Sc= _Merc}', "");
    Expect(0, 68095, '\P{Sc= _Merc}', "");
    Expect(1, 68095, '\P{^Sc= _Merc}', "");
    Expect(0, 68096, '\p{Sc= _Merc}', "");
    Expect(1, 68096, '\p{^Sc= _Merc}', "");
    Expect(1, 68096, '\P{Sc= _Merc}', "");
    Expect(0, 68096, '\P{^Sc= _Merc}', "");
    Error('\p{Is_Script=	meroitic_CURSIVE:=}');
    Error('\P{Is_Script=	meroitic_CURSIVE:=}');
    Expect(1, 68095, '\p{Is_Script=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Is_Script=meroiticcursive}', "");
    Expect(0, 68095, '\P{Is_Script=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Is_Script=meroiticcursive}', "");
    Expect(0, 68096, '\p{Is_Script=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Is_Script=meroiticcursive}', "");
    Expect(1, 68096, '\P{Is_Script=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Is_Script=meroiticcursive}', "");
    Expect(1, 68095, '\p{Is_Script=_Meroitic_Cursive}', "");
    Expect(0, 68095, '\p{^Is_Script=_Meroitic_Cursive}', "");
    Expect(0, 68095, '\P{Is_Script=_Meroitic_Cursive}', "");
    Expect(1, 68095, '\P{^Is_Script=_Meroitic_Cursive}', "");
    Expect(0, 68096, '\p{Is_Script=_Meroitic_Cursive}', "");
    Expect(1, 68096, '\p{^Is_Script=_Meroitic_Cursive}', "");
    Expect(1, 68096, '\P{Is_Script=_Meroitic_Cursive}', "");
    Expect(0, 68096, '\P{^Is_Script=_Meroitic_Cursive}', "");
    Error('\p{Is_Sc= Merc:=}');
    Error('\P{Is_Sc= Merc:=}');
    Expect(1, 68095, '\p{Is_Sc=merc}', "");
    Expect(0, 68095, '\p{^Is_Sc=merc}', "");
    Expect(0, 68095, '\P{Is_Sc=merc}', "");
    Expect(1, 68095, '\P{^Is_Sc=merc}', "");
    Expect(0, 68096, '\p{Is_Sc=merc}', "");
    Expect(1, 68096, '\p{^Is_Sc=merc}', "");
    Expect(1, 68096, '\P{Is_Sc=merc}', "");
    Expect(0, 68096, '\P{^Is_Sc=merc}', "");
    Expect(1, 68095, '\p{Is_Sc=-Merc}', "");
    Expect(0, 68095, '\p{^Is_Sc=-Merc}', "");
    Expect(0, 68095, '\P{Is_Sc=-Merc}', "");
    Expect(1, 68095, '\P{^Is_Sc=-Merc}', "");
    Expect(0, 68096, '\p{Is_Sc=-Merc}', "");
    Expect(1, 68096, '\p{^Is_Sc=-Merc}', "");
    Expect(1, 68096, '\P{Is_Sc=-Merc}', "");
    Expect(0, 68096, '\P{^Is_Sc=-Merc}', "");
    Error('\p{Script=/a/		MEROITIC_Hieroglyphs}');
    Error('\P{Script=/a/		MEROITIC_Hieroglyphs}');
    Expect(1, 67999, '\p{Script=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Script=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Script=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Script=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Script=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Script=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Script=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Script=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Script=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Script=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Script=:\Ameroitichieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Script=:\Ameroitichieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Script:    MEROITIC_Hieroglyphs}', "");
    Expect(0, 67999, '\p{^Script:    MEROITIC_Hieroglyphs}', "");
    Expect(0, 67999, '\P{Script:    MEROITIC_Hieroglyphs}', "");
    Expect(1, 67999, '\P{^Script:    MEROITIC_Hieroglyphs}', "");
    Expect(0, 68000, '\p{Script:    MEROITIC_Hieroglyphs}', "");
    Expect(1, 68000, '\p{^Script:    MEROITIC_Hieroglyphs}', "");
    Expect(1, 68000, '\P{Script:    MEROITIC_Hieroglyphs}', "");
    Expect(0, 68000, '\P{^Script:    MEROITIC_Hieroglyphs}', "");
    Error('\p{Sc=/a/mero}');
    Error('\P{Sc=/a/mero}');
    Expect(1, 67999, '\p{Sc=:\AMero\z:}', "");;
    Expect(0, 68000, '\p{Sc=:\AMero\z:}', "");;
    Expect(1, 67999, '\p{Sc=mero}', "");
    Expect(0, 67999, '\p{^Sc=mero}', "");
    Expect(0, 67999, '\P{Sc=mero}', "");
    Expect(1, 67999, '\P{^Sc=mero}', "");
    Expect(0, 68000, '\p{Sc=mero}', "");
    Expect(1, 68000, '\p{^Sc=mero}', "");
    Expect(1, 68000, '\P{Sc=mero}', "");
    Expect(0, 68000, '\P{^Sc=mero}', "");
    Expect(1, 67999, '\p{Sc=:\Amero\z:}', "");;
    Expect(0, 68000, '\p{Sc=:\Amero\z:}', "");;
    Expect(1, 67999, '\p{Sc=- mero}', "");
    Expect(0, 67999, '\p{^Sc=- mero}', "");
    Expect(0, 67999, '\P{Sc=- mero}', "");
    Expect(1, 67999, '\P{^Sc=- mero}', "");
    Expect(0, 68000, '\p{Sc=- mero}', "");
    Expect(1, 68000, '\p{^Sc=- mero}', "");
    Expect(1, 68000, '\P{Sc=- mero}', "");
    Expect(0, 68000, '\P{^Sc=- mero}', "");
    Error('\p{Is_Script=:=meroitic_HIEROGLYPHS}');
    Error('\P{Is_Script=:=meroitic_HIEROGLYPHS}');
    Expect(1, 67999, '\p{Is_Script=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Is_Script=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Is_Script=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Is_Script=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Is_Script=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Is_Script=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Is_Script=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Is_Script=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Is_Script=-	meroitic_hieroglyphs}', "");
    Expect(0, 67999, '\p{^Is_Script=-	meroitic_hieroglyphs}', "");
    Expect(0, 67999, '\P{Is_Script=-	meroitic_hieroglyphs}', "");
    Expect(1, 67999, '\P{^Is_Script=-	meroitic_hieroglyphs}', "");
    Expect(0, 68000, '\p{Is_Script=-	meroitic_hieroglyphs}', "");
    Expect(1, 68000, '\p{^Is_Script=-	meroitic_hieroglyphs}', "");
    Expect(1, 68000, '\P{Is_Script=-	meroitic_hieroglyphs}', "");
    Expect(0, 68000, '\P{^Is_Script=-	meroitic_hieroglyphs}', "");
    Error('\p{Is_Sc: 	/a/MERO}');
    Error('\P{Is_Sc: 	/a/MERO}');
    Expect(1, 67999, '\p{Is_Sc=mero}', "");
    Expect(0, 67999, '\p{^Is_Sc=mero}', "");
    Expect(0, 67999, '\P{Is_Sc=mero}', "");
    Expect(1, 67999, '\P{^Is_Sc=mero}', "");
    Expect(0, 68000, '\p{Is_Sc=mero}', "");
    Expect(1, 68000, '\p{^Is_Sc=mero}', "");
    Expect(1, 68000, '\P{Is_Sc=mero}', "");
    Expect(0, 68000, '\P{^Is_Sc=mero}', "");
    Expect(1, 67999, '\p{Is_Sc= 	Mero}', "");
    Expect(0, 67999, '\p{^Is_Sc= 	Mero}', "");
    Expect(0, 67999, '\P{Is_Sc= 	Mero}', "");
    Expect(1, 67999, '\P{^Is_Sc= 	Mero}', "");
    Expect(0, 68000, '\p{Is_Sc= 	Mero}', "");
    Expect(1, 68000, '\p{^Is_Sc= 	Mero}', "");
    Expect(1, 68000, '\P{Is_Sc= 	Mero}', "");
    Expect(0, 68000, '\P{^Is_Sc= 	Mero}', "");
    Error('\p{Script:	:=malayalam}');
    Error('\P{Script:	:=malayalam}');
    Expect(1, 3455, '\p{Script=:\AMalayalam\z:}', "");;
    Expect(0, 3456, '\p{Script=:\AMalayalam\z:}', "");;
    Expect(1, 3455, '\p{Script=malayalam}', "");
    Expect(0, 3455, '\p{^Script=malayalam}', "");
    Expect(0, 3455, '\P{Script=malayalam}', "");
    Expect(1, 3455, '\P{^Script=malayalam}', "");
    Expect(0, 3456, '\p{Script=malayalam}', "");
    Expect(1, 3456, '\p{^Script=malayalam}', "");
    Expect(1, 3456, '\P{Script=malayalam}', "");
    Expect(0, 3456, '\P{^Script=malayalam}', "");
    Expect(1, 3455, '\p{Script=:\Amalayalam\z:}', "");;
    Expect(0, 3456, '\p{Script=:\Amalayalam\z:}', "");;
    Expect(1, 3455, '\p{Script:	malayalam}', "");
    Expect(0, 3455, '\p{^Script:	malayalam}', "");
    Expect(0, 3455, '\P{Script:	malayalam}', "");
    Expect(1, 3455, '\P{^Script:	malayalam}', "");
    Expect(0, 3456, '\p{Script:	malayalam}', "");
    Expect(1, 3456, '\p{^Script:	malayalam}', "");
    Expect(1, 3456, '\P{Script:	malayalam}', "");
    Expect(0, 3456, '\P{^Script:	malayalam}', "");
    Error('\p{Sc:	 -Mlym:=}');
    Error('\P{Sc:	 -Mlym:=}');
    Expect(1, 3455, '\p{Sc=:\AMlym\z:}', "");;
    Expect(0, 3456, '\p{Sc=:\AMlym\z:}', "");;
    Expect(1, 3455, '\p{Sc=mlym}', "");
    Expect(0, 3455, '\p{^Sc=mlym}', "");
    Expect(0, 3455, '\P{Sc=mlym}', "");
    Expect(1, 3455, '\P{^Sc=mlym}', "");
    Expect(0, 3456, '\p{Sc=mlym}', "");
    Expect(1, 3456, '\p{^Sc=mlym}', "");
    Expect(1, 3456, '\P{Sc=mlym}', "");
    Expect(0, 3456, '\P{^Sc=mlym}', "");
    Expect(1, 3455, '\p{Sc=:\Amlym\z:}', "");;
    Expect(0, 3456, '\p{Sc=:\Amlym\z:}', "");;
    Expect(1, 3455, '\p{Sc=  Mlym}', "");
    Expect(0, 3455, '\p{^Sc=  Mlym}', "");
    Expect(0, 3455, '\P{Sc=  Mlym}', "");
    Expect(1, 3455, '\P{^Sc=  Mlym}', "");
    Expect(0, 3456, '\p{Sc=  Mlym}', "");
    Expect(1, 3456, '\p{^Sc=  Mlym}', "");
    Expect(1, 3456, '\P{Sc=  Mlym}', "");
    Expect(0, 3456, '\P{^Sc=  Mlym}', "");
    Error('\p{Is_Script=_-malayalam:=}');
    Error('\P{Is_Script=_-malayalam:=}');
    Expect(1, 3455, '\p{Is_Script=malayalam}', "");
    Expect(0, 3455, '\p{^Is_Script=malayalam}', "");
    Expect(0, 3455, '\P{Is_Script=malayalam}', "");
    Expect(1, 3455, '\P{^Is_Script=malayalam}', "");
    Expect(0, 3456, '\p{Is_Script=malayalam}', "");
    Expect(1, 3456, '\p{^Is_Script=malayalam}', "");
    Expect(1, 3456, '\P{Is_Script=malayalam}', "");
    Expect(0, 3456, '\P{^Is_Script=malayalam}', "");
    Expect(1, 3455, '\p{Is_Script=	_Malayalam}', "");
    Expect(0, 3455, '\p{^Is_Script=	_Malayalam}', "");
    Expect(0, 3455, '\P{Is_Script=	_Malayalam}', "");
    Expect(1, 3455, '\P{^Is_Script=	_Malayalam}', "");
    Expect(0, 3456, '\p{Is_Script=	_Malayalam}', "");
    Expect(1, 3456, '\p{^Is_Script=	_Malayalam}', "");
    Expect(1, 3456, '\P{Is_Script=	_Malayalam}', "");
    Expect(0, 3456, '\P{^Is_Script=	_Malayalam}', "");
    Error('\p{Is_Sc=/a/mlym}');
    Error('\P{Is_Sc=/a/mlym}');
    Expect(1, 3455, '\p{Is_Sc=mlym}', "");
    Expect(0, 3455, '\p{^Is_Sc=mlym}', "");
    Expect(0, 3455, '\P{Is_Sc=mlym}', "");
    Expect(1, 3455, '\P{^Is_Sc=mlym}', "");
    Expect(0, 3456, '\p{Is_Sc=mlym}', "");
    Expect(1, 3456, '\p{^Is_Sc=mlym}', "");
    Expect(1, 3456, '\P{Is_Sc=mlym}', "");
    Expect(0, 3456, '\P{^Is_Sc=mlym}', "");
    Expect(1, 3455, '\p{Is_Sc:    	MLYM}', "");
    Expect(0, 3455, '\p{^Is_Sc:    	MLYM}', "");
    Expect(0, 3455, '\P{Is_Sc:    	MLYM}', "");
    Expect(1, 3455, '\P{^Is_Sc:    	MLYM}', "");
    Expect(0, 3456, '\p{Is_Sc:    	MLYM}', "");
    Expect(1, 3456, '\p{^Is_Sc:    	MLYM}', "");
    Expect(1, 3456, '\P{Is_Sc:    	MLYM}', "");
    Expect(0, 3456, '\P{^Is_Sc:    	MLYM}', "");
    Error('\p{Script=:=	-MODI}');
    Error('\P{Script=:=	-MODI}');
    Expect(1, 71257, '\p{Script=:\AModi\z:}', "");;
    Expect(0, 71258, '\p{Script=:\AModi\z:}', "");;
    Expect(1, 71257, '\p{Script=modi}', "");
    Expect(0, 71257, '\p{^Script=modi}', "");
    Expect(0, 71257, '\P{Script=modi}', "");
    Expect(1, 71257, '\P{^Script=modi}', "");
    Expect(0, 71258, '\p{Script=modi}', "");
    Expect(1, 71258, '\p{^Script=modi}', "");
    Expect(1, 71258, '\P{Script=modi}', "");
    Expect(0, 71258, '\P{^Script=modi}', "");
    Expect(1, 71257, '\p{Script=:\Amodi\z:}', "");;
    Expect(0, 71258, '\p{Script=:\Amodi\z:}', "");;
    Expect(1, 71257, '\p{Script:  modi}', "");
    Expect(0, 71257, '\p{^Script:  modi}', "");
    Expect(0, 71257, '\P{Script:  modi}', "");
    Expect(1, 71257, '\P{^Script:  modi}', "");
    Expect(0, 71258, '\p{Script:  modi}', "");
    Expect(1, 71258, '\p{^Script:  modi}', "");
    Expect(1, 71258, '\P{Script:  modi}', "");
    Expect(0, 71258, '\P{^Script:  modi}', "");
    Error('\p{Sc=/a/-	Modi}');
    Error('\P{Sc=/a/-	Modi}');
    Expect(1, 71257, '\p{Sc=:\AModi\z:}', "");;
    Expect(0, 71258, '\p{Sc=:\AModi\z:}', "");;
    Expect(1, 71257, '\p{Sc=modi}', "");
    Expect(0, 71257, '\p{^Sc=modi}', "");
    Expect(0, 71257, '\P{Sc=modi}', "");
    Expect(1, 71257, '\P{^Sc=modi}', "");
    Expect(0, 71258, '\p{Sc=modi}', "");
    Expect(1, 71258, '\p{^Sc=modi}', "");
    Expect(1, 71258, '\P{Sc=modi}', "");
    Expect(0, 71258, '\P{^Sc=modi}', "");
    Expect(1, 71257, '\p{Sc=:\Amodi\z:}', "");;
    Expect(0, 71258, '\p{Sc=:\Amodi\z:}', "");;
    Expect(1, 71257, '\p{Sc=	Modi}', "");
    Expect(0, 71257, '\p{^Sc=	Modi}', "");
    Expect(0, 71257, '\P{Sc=	Modi}', "");
    Expect(1, 71257, '\P{^Sc=	Modi}', "");
    Expect(0, 71258, '\p{Sc=	Modi}', "");
    Expect(1, 71258, '\p{^Sc=	Modi}', "");
    Expect(1, 71258, '\P{Sc=	Modi}', "");
    Expect(0, 71258, '\P{^Sc=	Modi}', "");
    Error('\p{Is_Script=:=  MODI}');
    Error('\P{Is_Script=:=  MODI}');
    Expect(1, 71257, '\p{Is_Script: modi}', "");
    Expect(0, 71257, '\p{^Is_Script: modi}', "");
    Expect(0, 71257, '\P{Is_Script: modi}', "");
    Expect(1, 71257, '\P{^Is_Script: modi}', "");
    Expect(0, 71258, '\p{Is_Script: modi}', "");
    Expect(1, 71258, '\p{^Is_Script: modi}', "");
    Expect(1, 71258, '\P{Is_Script: modi}', "");
    Expect(0, 71258, '\P{^Is_Script: modi}', "");
    Expect(1, 71257, '\p{Is_Script=	 Modi}', "");
    Expect(0, 71257, '\p{^Is_Script=	 Modi}', "");
    Expect(0, 71257, '\P{Is_Script=	 Modi}', "");
    Expect(1, 71257, '\P{^Is_Script=	 Modi}', "");
    Expect(0, 71258, '\p{Is_Script=	 Modi}', "");
    Expect(1, 71258, '\p{^Is_Script=	 Modi}', "");
    Expect(1, 71258, '\P{Is_Script=	 Modi}', "");
    Expect(0, 71258, '\P{^Is_Script=	 Modi}', "");
    Error('\p{Is_Sc=/a/--MODI}');
    Error('\P{Is_Sc=/a/--MODI}');
    Expect(1, 71257, '\p{Is_Sc=modi}', "");
    Expect(0, 71257, '\p{^Is_Sc=modi}', "");
    Expect(0, 71257, '\P{Is_Sc=modi}', "");
    Expect(1, 71257, '\P{^Is_Sc=modi}', "");
    Expect(0, 71258, '\p{Is_Sc=modi}', "");
    Expect(1, 71258, '\p{^Is_Sc=modi}', "");
    Expect(1, 71258, '\P{Is_Sc=modi}', "");
    Expect(0, 71258, '\P{^Is_Sc=modi}', "");
    Expect(1, 71257, '\p{Is_Sc=-_Modi}', "");
    Expect(0, 71257, '\p{^Is_Sc=-_Modi}', "");
    Expect(0, 71257, '\P{Is_Sc=-_Modi}', "");
    Expect(1, 71257, '\P{^Is_Sc=-_Modi}', "");
    Expect(0, 71258, '\p{Is_Sc=-_Modi}', "");
    Expect(1, 71258, '\p{^Is_Sc=-_Modi}', "");
    Expect(1, 71258, '\P{Is_Sc=-_Modi}', "");
    Expect(0, 71258, '\P{^Is_Sc=-_Modi}', "");
    Error('\p{Script=/a/_Mongolian}');
    Error('\P{Script=/a/_Mongolian}');
    Expect(1, 71276, '\p{Script=:\AMongolian\z:}', "");;
    Expect(0, 71277, '\p{Script=:\AMongolian\z:}', "");;
    Expect(1, 71276, '\p{Script=mongolian}', "");
    Expect(0, 71276, '\p{^Script=mongolian}', "");
    Expect(0, 71276, '\P{Script=mongolian}', "");
    Expect(1, 71276, '\P{^Script=mongolian}', "");
    Expect(0, 71277, '\p{Script=mongolian}', "");
    Expect(1, 71277, '\p{^Script=mongolian}', "");
    Expect(1, 71277, '\P{Script=mongolian}', "");
    Expect(0, 71277, '\P{^Script=mongolian}', "");
    Expect(1, 71276, '\p{Script=:\Amongolian\z:}', "");;
    Expect(0, 71277, '\p{Script=:\Amongolian\z:}', "");;
    Expect(1, 71276, '\p{Script=	Mongolian}', "");
    Expect(0, 71276, '\p{^Script=	Mongolian}', "");
    Expect(0, 71276, '\P{Script=	Mongolian}', "");
    Expect(1, 71276, '\P{^Script=	Mongolian}', "");
    Expect(0, 71277, '\p{Script=	Mongolian}', "");
    Expect(1, 71277, '\p{^Script=	Mongolian}', "");
    Expect(1, 71277, '\P{Script=	Mongolian}', "");
    Expect(0, 71277, '\P{^Script=	Mongolian}', "");
    Error('\p{Sc: mong:=}');
    Error('\P{Sc: mong:=}');
    Expect(1, 71276, '\p{Sc=:\AMong\z:}', "");;
    Expect(0, 71277, '\p{Sc=:\AMong\z:}', "");;
    Expect(1, 71276, '\p{Sc=mong}', "");
    Expect(0, 71276, '\p{^Sc=mong}', "");
    Expect(0, 71276, '\P{Sc=mong}', "");
    Expect(1, 71276, '\P{^Sc=mong}', "");
    Expect(0, 71277, '\p{Sc=mong}', "");
    Expect(1, 71277, '\p{^Sc=mong}', "");
    Expect(1, 71277, '\P{Sc=mong}', "");
    Expect(0, 71277, '\P{^Sc=mong}', "");
    Expect(1, 71276, '\p{Sc=:\Among\z:}', "");;
    Expect(0, 71277, '\p{Sc=:\Among\z:}', "");;
    Expect(1, 71276, '\p{Sc:-Mong}', "");
    Expect(0, 71276, '\p{^Sc:-Mong}', "");
    Expect(0, 71276, '\P{Sc:-Mong}', "");
    Expect(1, 71276, '\P{^Sc:-Mong}', "");
    Expect(0, 71277, '\p{Sc:-Mong}', "");
    Expect(1, 71277, '\p{^Sc:-Mong}', "");
    Expect(1, 71277, '\P{Sc:-Mong}', "");
    Expect(0, 71277, '\P{^Sc:-Mong}', "");
    Error('\p{Is_Script=:=	-Mongolian}');
    Error('\P{Is_Script=:=	-Mongolian}');
    Expect(1, 71276, '\p{Is_Script=mongolian}', "");
    Expect(0, 71276, '\p{^Is_Script=mongolian}', "");
    Expect(0, 71276, '\P{Is_Script=mongolian}', "");
    Expect(1, 71276, '\P{^Is_Script=mongolian}', "");
    Expect(0, 71277, '\p{Is_Script=mongolian}', "");
    Expect(1, 71277, '\p{^Is_Script=mongolian}', "");
    Expect(1, 71277, '\P{Is_Script=mongolian}', "");
    Expect(0, 71277, '\P{^Is_Script=mongolian}', "");
    Expect(1, 71276, '\p{Is_Script:MONGOLIAN}', "");
    Expect(0, 71276, '\p{^Is_Script:MONGOLIAN}', "");
    Expect(0, 71276, '\P{Is_Script:MONGOLIAN}', "");
    Expect(1, 71276, '\P{^Is_Script:MONGOLIAN}', "");
    Expect(0, 71277, '\p{Is_Script:MONGOLIAN}', "");
    Expect(1, 71277, '\p{^Is_Script:MONGOLIAN}', "");
    Expect(1, 71277, '\P{Is_Script:MONGOLIAN}', "");
    Expect(0, 71277, '\P{^Is_Script:MONGOLIAN}', "");
    Error('\p{Is_Sc: --Mong:=}');
    Error('\P{Is_Sc: --Mong:=}');
    Expect(1, 71276, '\p{Is_Sc=mong}', "");
    Expect(0, 71276, '\p{^Is_Sc=mong}', "");
    Expect(0, 71276, '\P{Is_Sc=mong}', "");
    Expect(1, 71276, '\P{^Is_Sc=mong}', "");
    Expect(0, 71277, '\p{Is_Sc=mong}', "");
    Expect(1, 71277, '\p{^Is_Sc=mong}', "");
    Expect(1, 71277, '\P{Is_Sc=mong}', "");
    Expect(0, 71277, '\P{^Is_Sc=mong}', "");
    Expect(1, 71276, '\p{Is_Sc=-Mong}', "");
    Expect(0, 71276, '\p{^Is_Sc=-Mong}', "");
    Expect(0, 71276, '\P{Is_Sc=-Mong}', "");
    Expect(1, 71276, '\P{^Is_Sc=-Mong}', "");
    Expect(0, 71277, '\p{Is_Sc=-Mong}', "");
    Expect(1, 71277, '\p{^Is_Sc=-Mong}', "");
    Expect(1, 71277, '\P{Is_Sc=-Mong}', "");
    Expect(0, 71277, '\P{^Is_Sc=-Mong}', "");
    Error('\p{Script=:=_-mro}');
    Error('\P{Script=:=_-mro}');
    Expect(1, 92783, '\p{Script=:\AMro\z:}', "");;
    Expect(0, 92784, '\p{Script=:\AMro\z:}', "");;
    Expect(1, 92783, '\p{Script=mro}', "");
    Expect(0, 92783, '\p{^Script=mro}', "");
    Expect(0, 92783, '\P{Script=mro}', "");
    Expect(1, 92783, '\P{^Script=mro}', "");
    Expect(0, 92784, '\p{Script=mro}', "");
    Expect(1, 92784, '\p{^Script=mro}', "");
    Expect(1, 92784, '\P{Script=mro}', "");
    Expect(0, 92784, '\P{^Script=mro}', "");
    Expect(1, 92783, '\p{Script=:\Amro\z:}', "");;
    Expect(0, 92784, '\p{Script=:\Amro\z:}', "");;
    Expect(1, 92783, '\p{Script=__Mro}', "");
    Expect(0, 92783, '\p{^Script=__Mro}', "");
    Expect(0, 92783, '\P{Script=__Mro}', "");
    Expect(1, 92783, '\P{^Script=__Mro}', "");
    Expect(0, 92784, '\p{Script=__Mro}', "");
    Expect(1, 92784, '\p{^Script=__Mro}', "");
    Expect(1, 92784, '\P{Script=__Mro}', "");
    Expect(0, 92784, '\P{^Script=__Mro}', "");
    Error('\p{Sc=_mroo:=}');
    Error('\P{Sc=_mroo:=}');
    Expect(1, 92783, '\p{Sc=:\AMroo\z:}', "");;
    Expect(0, 92784, '\p{Sc=:\AMroo\z:}', "");;
    Expect(1, 92783, '\p{Sc=mroo}', "");
    Expect(0, 92783, '\p{^Sc=mroo}', "");
    Expect(0, 92783, '\P{Sc=mroo}', "");
    Expect(1, 92783, '\P{^Sc=mroo}', "");
    Expect(0, 92784, '\p{Sc=mroo}', "");
    Expect(1, 92784, '\p{^Sc=mroo}', "");
    Expect(1, 92784, '\P{Sc=mroo}', "");
    Expect(0, 92784, '\P{^Sc=mroo}', "");
    Expect(1, 92783, '\p{Sc=:\Amroo\z:}', "");;
    Expect(0, 92784, '\p{Sc=:\Amroo\z:}', "");;
    Expect(1, 92783, '\p{Sc=	-mroo}', "");
    Expect(0, 92783, '\p{^Sc=	-mroo}', "");
    Expect(0, 92783, '\P{Sc=	-mroo}', "");
    Expect(1, 92783, '\P{^Sc=	-mroo}', "");
    Expect(0, 92784, '\p{Sc=	-mroo}', "");
    Expect(1, 92784, '\p{^Sc=	-mroo}', "");
    Expect(1, 92784, '\P{Sc=	-mroo}', "");
    Expect(0, 92784, '\P{^Sc=	-mroo}', "");
    Error('\p{Is_Script=_-mro/a/}');
    Error('\P{Is_Script=_-mro/a/}');
    Expect(1, 92783, '\p{Is_Script=mro}', "");
    Expect(0, 92783, '\p{^Is_Script=mro}', "");
    Expect(0, 92783, '\P{Is_Script=mro}', "");
    Expect(1, 92783, '\P{^Is_Script=mro}', "");
    Expect(0, 92784, '\p{Is_Script=mro}', "");
    Expect(1, 92784, '\p{^Is_Script=mro}', "");
    Expect(1, 92784, '\P{Is_Script=mro}', "");
    Expect(0, 92784, '\P{^Is_Script=mro}', "");
    Expect(1, 92783, '\p{Is_Script=_MRO}', "");
    Expect(0, 92783, '\p{^Is_Script=_MRO}', "");
    Expect(0, 92783, '\P{Is_Script=_MRO}', "");
    Expect(1, 92783, '\P{^Is_Script=_MRO}', "");
    Expect(0, 92784, '\p{Is_Script=_MRO}', "");
    Expect(1, 92784, '\p{^Is_Script=_MRO}', "");
    Expect(1, 92784, '\P{Is_Script=_MRO}', "");
    Expect(0, 92784, '\P{^Is_Script=_MRO}', "");
    Error('\p{Is_Sc=/a/  Mroo}');
    Error('\P{Is_Sc=/a/  Mroo}');
    Expect(1, 92783, '\p{Is_Sc=mroo}', "");
    Expect(0, 92783, '\p{^Is_Sc=mroo}', "");
    Expect(0, 92783, '\P{Is_Sc=mroo}', "");
    Expect(1, 92783, '\P{^Is_Sc=mroo}', "");
    Expect(0, 92784, '\p{Is_Sc=mroo}', "");
    Expect(1, 92784, '\p{^Is_Sc=mroo}', "");
    Expect(1, 92784, '\P{Is_Sc=mroo}', "");
    Expect(0, 92784, '\P{^Is_Sc=mroo}', "");
    Expect(1, 92783, '\p{Is_Sc=__MROO}', "");
    Expect(0, 92783, '\p{^Is_Sc=__MROO}', "");
    Expect(0, 92783, '\P{Is_Sc=__MROO}', "");
    Expect(1, 92783, '\P{^Is_Sc=__MROO}', "");
    Expect(0, 92784, '\p{Is_Sc=__MROO}', "");
    Expect(1, 92784, '\p{^Is_Sc=__MROO}', "");
    Expect(1, 92784, '\P{Is_Sc=__MROO}', "");
    Expect(0, 92784, '\P{^Is_Sc=__MROO}', "");
    Error('\p{Script= :=Meetei_mayek}');
    Error('\P{Script= :=Meetei_mayek}');
    Expect(1, 44025, '\p{Script=:\AMeetei_Mayek\z:}', "");;
    Expect(0, 44026, '\p{Script=:\AMeetei_Mayek\z:}', "");;
    Expect(1, 44025, '\p{Script=meeteimayek}', "");
    Expect(0, 44025, '\p{^Script=meeteimayek}', "");
    Expect(0, 44025, '\P{Script=meeteimayek}', "");
    Expect(1, 44025, '\P{^Script=meeteimayek}', "");
    Expect(0, 44026, '\p{Script=meeteimayek}', "");
    Expect(1, 44026, '\p{^Script=meeteimayek}', "");
    Expect(1, 44026, '\P{Script=meeteimayek}', "");
    Expect(0, 44026, '\P{^Script=meeteimayek}', "");
    Expect(1, 44025, '\p{Script=:\Ameeteimayek\z:}', "");;
    Expect(0, 44026, '\p{Script=:\Ameeteimayek\z:}', "");;
    Expect(1, 44025, '\p{Script=-meetei_Mayek}', "");
    Expect(0, 44025, '\p{^Script=-meetei_Mayek}', "");
    Expect(0, 44025, '\P{Script=-meetei_Mayek}', "");
    Expect(1, 44025, '\P{^Script=-meetei_Mayek}', "");
    Expect(0, 44026, '\p{Script=-meetei_Mayek}', "");
    Expect(1, 44026, '\p{^Script=-meetei_Mayek}', "");
    Expect(1, 44026, '\P{Script=-meetei_Mayek}', "");
    Expect(0, 44026, '\P{^Script=-meetei_Mayek}', "");
    Error('\p{Sc=:=_-MTEI}');
    Error('\P{Sc=:=_-MTEI}');
    Expect(1, 44025, '\p{Sc=:\AMtei\z:}', "");;
    Expect(0, 44026, '\p{Sc=:\AMtei\z:}', "");;
    Expect(1, 44025, '\p{Sc=mtei}', "");
    Expect(0, 44025, '\p{^Sc=mtei}', "");
    Expect(0, 44025, '\P{Sc=mtei}', "");
    Expect(1, 44025, '\P{^Sc=mtei}', "");
    Expect(0, 44026, '\p{Sc=mtei}', "");
    Expect(1, 44026, '\p{^Sc=mtei}', "");
    Expect(1, 44026, '\P{Sc=mtei}', "");
    Expect(0, 44026, '\P{^Sc=mtei}', "");
    Expect(1, 44025, '\p{Sc=:\Amtei\z:}', "");;
    Expect(0, 44026, '\p{Sc=:\Amtei\z:}', "");;
    Expect(1, 44025, '\p{Sc= _MTEI}', "");
    Expect(0, 44025, '\p{^Sc= _MTEI}', "");
    Expect(0, 44025, '\P{Sc= _MTEI}', "");
    Expect(1, 44025, '\P{^Sc= _MTEI}', "");
    Expect(0, 44026, '\p{Sc= _MTEI}', "");
    Expect(1, 44026, '\p{^Sc= _MTEI}', "");
    Expect(1, 44026, '\P{Sc= _MTEI}', "");
    Expect(0, 44026, '\P{^Sc= _MTEI}', "");
    Error('\p{Is_Script= -Meetei_mayek:=}');
    Error('\P{Is_Script= -Meetei_mayek:=}');
    Expect(1, 44025, '\p{Is_Script=meeteimayek}', "");
    Expect(0, 44025, '\p{^Is_Script=meeteimayek}', "");
    Expect(0, 44025, '\P{Is_Script=meeteimayek}', "");
    Expect(1, 44025, '\P{^Is_Script=meeteimayek}', "");
    Expect(0, 44026, '\p{Is_Script=meeteimayek}', "");
    Expect(1, 44026, '\p{^Is_Script=meeteimayek}', "");
    Expect(1, 44026, '\P{Is_Script=meeteimayek}', "");
    Expect(0, 44026, '\P{^Is_Script=meeteimayek}', "");
    Expect(1, 44025, '\p{Is_Script=_Meetei_mayek}', "");
    Expect(0, 44025, '\p{^Is_Script=_Meetei_mayek}', "");
    Expect(0, 44025, '\P{Is_Script=_Meetei_mayek}', "");
    Expect(1, 44025, '\P{^Is_Script=_Meetei_mayek}', "");
    Expect(0, 44026, '\p{Is_Script=_Meetei_mayek}', "");
    Expect(1, 44026, '\p{^Is_Script=_Meetei_mayek}', "");
    Expect(1, 44026, '\P{Is_Script=_Meetei_mayek}', "");
    Expect(0, 44026, '\P{^Is_Script=_Meetei_mayek}', "");
    Error('\p{Is_Sc=_:=Mtei}');
    Error('\P{Is_Sc=_:=Mtei}');
    Expect(1, 44025, '\p{Is_Sc=mtei}', "");
    Expect(0, 44025, '\p{^Is_Sc=mtei}', "");
    Expect(0, 44025, '\P{Is_Sc=mtei}', "");
    Expect(1, 44025, '\P{^Is_Sc=mtei}', "");
    Expect(0, 44026, '\p{Is_Sc=mtei}', "");
    Expect(1, 44026, '\p{^Is_Sc=mtei}', "");
    Expect(1, 44026, '\P{Is_Sc=mtei}', "");
    Expect(0, 44026, '\P{^Is_Sc=mtei}', "");
    Expect(1, 44025, '\p{Is_Sc=-_Mtei}', "");
    Expect(0, 44025, '\p{^Is_Sc=-_Mtei}', "");
    Expect(0, 44025, '\P{Is_Sc=-_Mtei}', "");
    Expect(1, 44025, '\P{^Is_Sc=-_Mtei}', "");
    Expect(0, 44026, '\p{Is_Sc=-_Mtei}', "");
    Expect(1, 44026, '\p{^Is_Sc=-_Mtei}', "");
    Expect(1, 44026, '\P{Is_Sc=-_Mtei}', "");
    Expect(0, 44026, '\P{^Is_Sc=-_Mtei}', "");
    Error('\p{Script= Multani:=}');
    Error('\P{Script= Multani:=}');
    Expect(1, 70313, '\p{Script=:\AMultani\z:}', "");;
    Expect(0, 70314, '\p{Script=:\AMultani\z:}', "");;
    Expect(1, 70313, '\p{Script=multani}', "");
    Expect(0, 70313, '\p{^Script=multani}', "");
    Expect(0, 70313, '\P{Script=multani}', "");
    Expect(1, 70313, '\P{^Script=multani}', "");
    Expect(0, 70314, '\p{Script=multani}', "");
    Expect(1, 70314, '\p{^Script=multani}', "");
    Expect(1, 70314, '\P{Script=multani}', "");
    Expect(0, 70314, '\P{^Script=multani}', "");
    Expect(1, 70313, '\p{Script=:\Amultani\z:}', "");;
    Expect(0, 70314, '\p{Script=:\Amultani\z:}', "");;
    Expect(1, 70313, '\p{Script:   -Multani}', "");
    Expect(0, 70313, '\p{^Script:   -Multani}', "");
    Expect(0, 70313, '\P{Script:   -Multani}', "");
    Expect(1, 70313, '\P{^Script:   -Multani}', "");
    Expect(0, 70314, '\p{Script:   -Multani}', "");
    Expect(1, 70314, '\p{^Script:   -Multani}', "");
    Expect(1, 70314, '\P{Script:   -Multani}', "");
    Expect(0, 70314, '\P{^Script:   -Multani}', "");
    Error('\p{Sc=:=_MULT}');
    Error('\P{Sc=:=_MULT}');
    Expect(1, 70313, '\p{Sc=:\AMult\z:}', "");;
    Expect(0, 70314, '\p{Sc=:\AMult\z:}', "");;
    Expect(1, 70313, '\p{Sc=mult}', "");
    Expect(0, 70313, '\p{^Sc=mult}', "");
    Expect(0, 70313, '\P{Sc=mult}', "");
    Expect(1, 70313, '\P{^Sc=mult}', "");
    Expect(0, 70314, '\p{Sc=mult}', "");
    Expect(1, 70314, '\p{^Sc=mult}', "");
    Expect(1, 70314, '\P{Sc=mult}', "");
    Expect(0, 70314, '\P{^Sc=mult}', "");
    Expect(1, 70313, '\p{Sc=:\Amult\z:}', "");;
    Expect(0, 70314, '\p{Sc=:\Amult\z:}', "");;
    Expect(1, 70313, '\p{Sc=	mult}', "");
    Expect(0, 70313, '\p{^Sc=	mult}', "");
    Expect(0, 70313, '\P{Sc=	mult}', "");
    Expect(1, 70313, '\P{^Sc=	mult}', "");
    Expect(0, 70314, '\p{Sc=	mult}', "");
    Expect(1, 70314, '\p{^Sc=	mult}', "");
    Expect(1, 70314, '\P{Sc=	mult}', "");
    Expect(0, 70314, '\P{^Sc=	mult}', "");
    Error('\p{Is_Script=_ MULTANI:=}');
    Error('\P{Is_Script=_ MULTANI:=}');
    Expect(1, 70313, '\p{Is_Script:	multani}', "");
    Expect(0, 70313, '\p{^Is_Script:	multani}', "");
    Expect(0, 70313, '\P{Is_Script:	multani}', "");
    Expect(1, 70313, '\P{^Is_Script:	multani}', "");
    Expect(0, 70314, '\p{Is_Script:	multani}', "");
    Expect(1, 70314, '\p{^Is_Script:	multani}', "");
    Expect(1, 70314, '\P{Is_Script:	multani}', "");
    Expect(0, 70314, '\P{^Is_Script:	multani}', "");
    Expect(1, 70313, '\p{Is_Script=	MULTANI}', "");
    Expect(0, 70313, '\p{^Is_Script=	MULTANI}', "");
    Expect(0, 70313, '\P{Is_Script=	MULTANI}', "");
    Expect(1, 70313, '\P{^Is_Script=	MULTANI}', "");
    Expect(0, 70314, '\p{Is_Script=	MULTANI}', "");
    Expect(1, 70314, '\p{^Is_Script=	MULTANI}', "");
    Expect(1, 70314, '\P{Is_Script=	MULTANI}', "");
    Expect(0, 70314, '\P{^Is_Script=	MULTANI}', "");
    Error('\p{Is_Sc=	_MULT:=}');
    Error('\P{Is_Sc=	_MULT:=}');
    Expect(1, 70313, '\p{Is_Sc: mult}', "");
    Expect(0, 70313, '\p{^Is_Sc: mult}', "");
    Expect(0, 70313, '\P{Is_Sc: mult}', "");
    Expect(1, 70313, '\P{^Is_Sc: mult}', "");
    Expect(0, 70314, '\p{Is_Sc: mult}', "");
    Expect(1, 70314, '\p{^Is_Sc: mult}', "");
    Expect(1, 70314, '\P{Is_Sc: mult}', "");
    Expect(0, 70314, '\P{^Is_Sc: mult}', "");
    Expect(1, 70313, '\p{Is_Sc=- mult}', "");
    Expect(0, 70313, '\p{^Is_Sc=- mult}', "");
    Expect(0, 70313, '\P{Is_Sc=- mult}', "");
    Expect(1, 70313, '\P{^Is_Sc=- mult}', "");
    Expect(0, 70314, '\p{Is_Sc=- mult}', "");
    Expect(1, 70314, '\p{^Is_Sc=- mult}', "");
    Expect(1, 70314, '\P{Is_Sc=- mult}', "");
    Expect(0, 70314, '\P{^Is_Sc=- mult}', "");
    Error('\p{Script=	Myanmar:=}');
    Error('\P{Script=	Myanmar:=}');
    Expect(1, 43647, '\p{Script=:\AMyanmar\z:}', "");;
    Expect(0, 43648, '\p{Script=:\AMyanmar\z:}', "");;
    Expect(1, 43647, '\p{Script=myanmar}', "");
    Expect(0, 43647, '\p{^Script=myanmar}', "");
    Expect(0, 43647, '\P{Script=myanmar}', "");
    Expect(1, 43647, '\P{^Script=myanmar}', "");
    Expect(0, 43648, '\p{Script=myanmar}', "");
    Expect(1, 43648, '\p{^Script=myanmar}', "");
    Expect(1, 43648, '\P{Script=myanmar}', "");
    Expect(0, 43648, '\P{^Script=myanmar}', "");
    Expect(1, 43647, '\p{Script=:\Amyanmar\z:}', "");;
    Expect(0, 43648, '\p{Script=:\Amyanmar\z:}', "");;
    Expect(1, 43647, '\p{Script=	Myanmar}', "");
    Expect(0, 43647, '\p{^Script=	Myanmar}', "");
    Expect(0, 43647, '\P{Script=	Myanmar}', "");
    Expect(1, 43647, '\P{^Script=	Myanmar}', "");
    Expect(0, 43648, '\p{Script=	Myanmar}', "");
    Expect(1, 43648, '\p{^Script=	Myanmar}', "");
    Expect(1, 43648, '\P{Script=	Myanmar}', "");
    Expect(0, 43648, '\P{^Script=	Myanmar}', "");
    Error('\p{Sc=/a/	mymr}');
    Error('\P{Sc=/a/	mymr}');
    Expect(1, 43647, '\p{Sc=:\AMymr\z:}', "");;
    Expect(0, 43648, '\p{Sc=:\AMymr\z:}', "");;
    Expect(1, 43647, '\p{Sc:   mymr}', "");
    Expect(0, 43647, '\p{^Sc:   mymr}', "");
    Expect(0, 43647, '\P{Sc:   mymr}', "");
    Expect(1, 43647, '\P{^Sc:   mymr}', "");
    Expect(0, 43648, '\p{Sc:   mymr}', "");
    Expect(1, 43648, '\p{^Sc:   mymr}', "");
    Expect(1, 43648, '\P{Sc:   mymr}', "");
    Expect(0, 43648, '\P{^Sc:   mymr}', "");
    Expect(1, 43647, '\p{Sc=:\Amymr\z:}', "");;
    Expect(0, 43648, '\p{Sc=:\Amymr\z:}', "");;
    Expect(1, 43647, '\p{Sc= mymr}', "");
    Expect(0, 43647, '\p{^Sc= mymr}', "");
    Expect(0, 43647, '\P{Sc= mymr}', "");
    Expect(1, 43647, '\P{^Sc= mymr}', "");
    Expect(0, 43648, '\p{Sc= mymr}', "");
    Expect(1, 43648, '\p{^Sc= mymr}', "");
    Expect(1, 43648, '\P{Sc= mymr}', "");
    Expect(0, 43648, '\P{^Sc= mymr}', "");
    Error('\p{Is_Script=:=MYANMAR}');
    Error('\P{Is_Script=:=MYANMAR}');
    Expect(1, 43647, '\p{Is_Script=myanmar}', "");
    Expect(0, 43647, '\p{^Is_Script=myanmar}', "");
    Expect(0, 43647, '\P{Is_Script=myanmar}', "");
    Expect(1, 43647, '\P{^Is_Script=myanmar}', "");
    Expect(0, 43648, '\p{Is_Script=myanmar}', "");
    Expect(1, 43648, '\p{^Is_Script=myanmar}', "");
    Expect(1, 43648, '\P{Is_Script=myanmar}', "");
    Expect(0, 43648, '\P{^Is_Script=myanmar}', "");
    Expect(1, 43647, '\p{Is_Script=	 Myanmar}', "");
    Expect(0, 43647, '\p{^Is_Script=	 Myanmar}', "");
    Expect(0, 43647, '\P{Is_Script=	 Myanmar}', "");
    Expect(1, 43647, '\P{^Is_Script=	 Myanmar}', "");
    Expect(0, 43648, '\p{Is_Script=	 Myanmar}', "");
    Expect(1, 43648, '\p{^Is_Script=	 Myanmar}', "");
    Expect(1, 43648, '\P{Is_Script=	 Myanmar}', "");
    Expect(0, 43648, '\P{^Is_Script=	 Myanmar}', "");
    Error('\p{Is_Sc=_-Mymr/a/}');
    Error('\P{Is_Sc=_-Mymr/a/}');
    Expect(1, 43647, '\p{Is_Sc=mymr}', "");
    Expect(0, 43647, '\p{^Is_Sc=mymr}', "");
    Expect(0, 43647, '\P{Is_Sc=mymr}', "");
    Expect(1, 43647, '\P{^Is_Sc=mymr}', "");
    Expect(0, 43648, '\p{Is_Sc=mymr}', "");
    Expect(1, 43648, '\p{^Is_Sc=mymr}', "");
    Expect(1, 43648, '\P{Is_Sc=mymr}', "");
    Expect(0, 43648, '\P{^Is_Sc=mymr}', "");
    Expect(1, 43647, '\p{Is_Sc=	Mymr}', "");
    Expect(0, 43647, '\p{^Is_Sc=	Mymr}', "");
    Expect(0, 43647, '\P{Is_Sc=	Mymr}', "");
    Expect(1, 43647, '\P{^Is_Sc=	Mymr}', "");
    Expect(0, 43648, '\p{Is_Sc=	Mymr}', "");
    Expect(1, 43648, '\p{^Is_Sc=	Mymr}', "");
    Expect(1, 43648, '\P{Is_Sc=	Mymr}', "");
    Expect(0, 43648, '\P{^Is_Sc=	Mymr}', "");
    Error('\p{Script=:=	 Nandinagari}');
    Error('\P{Script=:=	 Nandinagari}');
    Expect(1, 72164, '\p{Script=:\ANandinagari\z:}', "");;
    Expect(0, 72165, '\p{Script=:\ANandinagari\z:}', "");;
    Expect(1, 72164, '\p{Script=nandinagari}', "");
    Expect(0, 72164, '\p{^Script=nandinagari}', "");
    Expect(0, 72164, '\P{Script=nandinagari}', "");
    Expect(1, 72164, '\P{^Script=nandinagari}', "");
    Expect(0, 72165, '\p{Script=nandinagari}', "");
    Expect(1, 72165, '\p{^Script=nandinagari}', "");
    Expect(1, 72165, '\P{Script=nandinagari}', "");
    Expect(0, 72165, '\P{^Script=nandinagari}', "");
    Expect(1, 72164, '\p{Script=:\Anandinagari\z:}', "");;
    Expect(0, 72165, '\p{Script=:\Anandinagari\z:}', "");;
    Expect(1, 72164, '\p{Script=-_NANDINAGARI}', "");
    Expect(0, 72164, '\p{^Script=-_NANDINAGARI}', "");
    Expect(0, 72164, '\P{Script=-_NANDINAGARI}', "");
    Expect(1, 72164, '\P{^Script=-_NANDINAGARI}', "");
    Expect(0, 72165, '\p{Script=-_NANDINAGARI}', "");
    Expect(1, 72165, '\p{^Script=-_NANDINAGARI}', "");
    Expect(1, 72165, '\P{Script=-_NANDINAGARI}', "");
    Expect(0, 72165, '\P{^Script=-_NANDINAGARI}', "");
    Error('\p{Sc=__NAND/a/}');
    Error('\P{Sc=__NAND/a/}');
    Expect(1, 72164, '\p{Sc=:\ANand\z:}', "");;
    Expect(0, 72165, '\p{Sc=:\ANand\z:}', "");;
    Expect(1, 72164, '\p{Sc=nand}', "");
    Expect(0, 72164, '\p{^Sc=nand}', "");
    Expect(0, 72164, '\P{Sc=nand}', "");
    Expect(1, 72164, '\P{^Sc=nand}', "");
    Expect(0, 72165, '\p{Sc=nand}', "");
    Expect(1, 72165, '\p{^Sc=nand}', "");
    Expect(1, 72165, '\P{Sc=nand}', "");
    Expect(0, 72165, '\P{^Sc=nand}', "");
    Expect(1, 72164, '\p{Sc=:\Anand\z:}', "");;
    Expect(0, 72165, '\p{Sc=:\Anand\z:}', "");;
    Expect(1, 72164, '\p{Sc=_Nand}', "");
    Expect(0, 72164, '\p{^Sc=_Nand}', "");
    Expect(0, 72164, '\P{Sc=_Nand}', "");
    Expect(1, 72164, '\P{^Sc=_Nand}', "");
    Expect(0, 72165, '\p{Sc=_Nand}', "");
    Expect(1, 72165, '\p{^Sc=_Nand}', "");
    Expect(1, 72165, '\P{Sc=_Nand}', "");
    Expect(0, 72165, '\P{^Sc=_Nand}', "");
    Error('\p{Is_Script=Nandinagari/a/}');
    Error('\P{Is_Script=Nandinagari/a/}');
    Expect(1, 72164, '\p{Is_Script=nandinagari}', "");
    Expect(0, 72164, '\p{^Is_Script=nandinagari}', "");
    Expect(0, 72164, '\P{Is_Script=nandinagari}', "");
    Expect(1, 72164, '\P{^Is_Script=nandinagari}', "");
    Expect(0, 72165, '\p{Is_Script=nandinagari}', "");
    Expect(1, 72165, '\p{^Is_Script=nandinagari}', "");
    Expect(1, 72165, '\P{Is_Script=nandinagari}', "");
    Expect(0, 72165, '\P{^Is_Script=nandinagari}', "");
    Expect(1, 72164, '\p{Is_Script=_	nandinagari}', "");
    Expect(0, 72164, '\p{^Is_Script=_	nandinagari}', "");
    Expect(0, 72164, '\P{Is_Script=_	nandinagari}', "");
    Expect(1, 72164, '\P{^Is_Script=_	nandinagari}', "");
    Expect(0, 72165, '\p{Is_Script=_	nandinagari}', "");
    Expect(1, 72165, '\p{^Is_Script=_	nandinagari}', "");
    Expect(1, 72165, '\P{Is_Script=_	nandinagari}', "");
    Expect(0, 72165, '\P{^Is_Script=_	nandinagari}', "");
    Error('\p{Is_Sc=-/a/Nand}');
    Error('\P{Is_Sc=-/a/Nand}');
    Expect(1, 72164, '\p{Is_Sc:   nand}', "");
    Expect(0, 72164, '\p{^Is_Sc:   nand}', "");
    Expect(0, 72164, '\P{Is_Sc:   nand}', "");
    Expect(1, 72164, '\P{^Is_Sc:   nand}', "");
    Expect(0, 72165, '\p{Is_Sc:   nand}', "");
    Expect(1, 72165, '\p{^Is_Sc:   nand}', "");
    Expect(1, 72165, '\P{Is_Sc:   nand}', "");
    Expect(0, 72165, '\P{^Is_Sc:   nand}', "");
    Expect(1, 72164, '\p{Is_Sc=-Nand}', "");
    Expect(0, 72164, '\p{^Is_Sc=-Nand}', "");
    Expect(0, 72164, '\P{Is_Sc=-Nand}', "");
    Expect(1, 72164, '\P{^Is_Sc=-Nand}', "");
    Expect(0, 72165, '\p{Is_Sc=-Nand}', "");
    Expect(1, 72165, '\p{^Is_Sc=-Nand}', "");
    Expect(1, 72165, '\P{Is_Sc=-Nand}', "");
    Expect(0, 72165, '\P{^Is_Sc=-Nand}', "");
    Error('\p{Script=_/a/old_NORTH_arabian}');
    Error('\P{Script=_/a/old_NORTH_arabian}');
    Expect(1, 68255, '\p{Script=:\AOld_North_Arabian\z:}', "");;
    Expect(0, 68256, '\p{Script=:\AOld_North_Arabian\z:}', "");;
    Expect(1, 68255, '\p{Script=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Script=oldnortharabian}', "");
    Expect(0, 68255, '\P{Script=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Script=oldnortharabian}', "");
    Expect(0, 68256, '\p{Script=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Script=oldnortharabian}', "");
    Expect(1, 68256, '\P{Script=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Script=oldnortharabian}', "");
    Expect(1, 68255, '\p{Script=:\Aoldnortharabian\z:}', "");;
    Expect(0, 68256, '\p{Script=:\Aoldnortharabian\z:}', "");;
    Expect(1, 68255, '\p{Script=	old_NORTH_ARABIAN}', "");
    Expect(0, 68255, '\p{^Script=	old_NORTH_ARABIAN}', "");
    Expect(0, 68255, '\P{Script=	old_NORTH_ARABIAN}', "");
    Expect(1, 68255, '\P{^Script=	old_NORTH_ARABIAN}', "");
    Expect(0, 68256, '\p{Script=	old_NORTH_ARABIAN}', "");
    Expect(1, 68256, '\p{^Script=	old_NORTH_ARABIAN}', "");
    Expect(1, 68256, '\P{Script=	old_NORTH_ARABIAN}', "");
    Expect(0, 68256, '\P{^Script=	old_NORTH_ARABIAN}', "");
    Error('\p{Sc: /a/	 narb}');
    Error('\P{Sc: /a/	 narb}');
    Expect(1, 68255, '\p{Sc=:\ANarb\z:}', "");;
    Expect(0, 68256, '\p{Sc=:\ANarb\z:}', "");;
    Expect(1, 68255, '\p{Sc=narb}', "");
    Expect(0, 68255, '\p{^Sc=narb}', "");
    Expect(0, 68255, '\P{Sc=narb}', "");
    Expect(1, 68255, '\P{^Sc=narb}', "");
    Expect(0, 68256, '\p{Sc=narb}', "");
    Expect(1, 68256, '\p{^Sc=narb}', "");
    Expect(1, 68256, '\P{Sc=narb}', "");
    Expect(0, 68256, '\P{^Sc=narb}', "");
    Expect(1, 68255, '\p{Sc=:\Anarb\z:}', "");;
    Expect(0, 68256, '\p{Sc=:\Anarb\z:}', "");;
    Expect(1, 68255, '\p{Sc=	 NARB}', "");
    Expect(0, 68255, '\p{^Sc=	 NARB}', "");
    Expect(0, 68255, '\P{Sc=	 NARB}', "");
    Expect(1, 68255, '\P{^Sc=	 NARB}', "");
    Expect(0, 68256, '\p{Sc=	 NARB}', "");
    Expect(1, 68256, '\p{^Sc=	 NARB}', "");
    Expect(1, 68256, '\P{Sc=	 NARB}', "");
    Expect(0, 68256, '\P{^Sc=	 NARB}', "");
    Error('\p{Is_Script=:=Old_North_arabian}');
    Error('\P{Is_Script=:=Old_North_arabian}');
    Expect(1, 68255, '\p{Is_Script=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Is_Script=oldnortharabian}', "");
    Expect(0, 68255, '\P{Is_Script=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Is_Script=oldnortharabian}', "");
    Expect(0, 68256, '\p{Is_Script=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Is_Script=oldnortharabian}', "");
    Expect(1, 68256, '\P{Is_Script=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Is_Script=oldnortharabian}', "");
    Expect(1, 68255, '\p{Is_Script=_-Old_north_arabian}', "");
    Expect(0, 68255, '\p{^Is_Script=_-Old_north_arabian}', "");
    Expect(0, 68255, '\P{Is_Script=_-Old_north_arabian}', "");
    Expect(1, 68255, '\P{^Is_Script=_-Old_north_arabian}', "");
    Expect(0, 68256, '\p{Is_Script=_-Old_north_arabian}', "");
    Expect(1, 68256, '\p{^Is_Script=_-Old_north_arabian}', "");
    Expect(1, 68256, '\P{Is_Script=_-Old_north_arabian}', "");
    Expect(0, 68256, '\P{^Is_Script=_-Old_north_arabian}', "");
    Error('\p{Is_Sc=:=-Narb}');
    Error('\P{Is_Sc=:=-Narb}');
    Expect(1, 68255, '\p{Is_Sc=narb}', "");
    Expect(0, 68255, '\p{^Is_Sc=narb}', "");
    Expect(0, 68255, '\P{Is_Sc=narb}', "");
    Expect(1, 68255, '\P{^Is_Sc=narb}', "");
    Expect(0, 68256, '\p{Is_Sc=narb}', "");
    Expect(1, 68256, '\p{^Is_Sc=narb}', "");
    Expect(1, 68256, '\P{Is_Sc=narb}', "");
    Expect(0, 68256, '\P{^Is_Sc=narb}', "");
    Expect(1, 68255, '\p{Is_Sc=  Narb}', "");
    Expect(0, 68255, '\p{^Is_Sc=  Narb}', "");
    Expect(0, 68255, '\P{Is_Sc=  Narb}', "");
    Expect(1, 68255, '\P{^Is_Sc=  Narb}', "");
    Expect(0, 68256, '\p{Is_Sc=  Narb}', "");
    Expect(1, 68256, '\p{^Is_Sc=  Narb}', "");
    Expect(1, 68256, '\P{Is_Sc=  Narb}', "");
    Expect(0, 68256, '\P{^Is_Sc=  Narb}', "");
    Error('\p{Script:	/a/Nabataean}');
    Error('\P{Script:	/a/Nabataean}');
    Expect(1, 67759, '\p{Script=:\ANabataean\z:}', "");;
    Expect(0, 67760, '\p{Script=:\ANabataean\z:}', "");;
    Expect(1, 67759, '\p{Script=nabataean}', "");
    Expect(0, 67759, '\p{^Script=nabataean}', "");
    Expect(0, 67759, '\P{Script=nabataean}', "");
    Expect(1, 67759, '\P{^Script=nabataean}', "");
    Expect(0, 67760, '\p{Script=nabataean}', "");
    Expect(1, 67760, '\p{^Script=nabataean}', "");
    Expect(1, 67760, '\P{Script=nabataean}', "");
    Expect(0, 67760, '\P{^Script=nabataean}', "");
    Expect(1, 67759, '\p{Script=:\Anabataean\z:}', "");;
    Expect(0, 67760, '\p{Script=:\Anabataean\z:}', "");;
    Expect(1, 67759, '\p{Script=	 nabataean}', "");
    Expect(0, 67759, '\p{^Script=	 nabataean}', "");
    Expect(0, 67759, '\P{Script=	 nabataean}', "");
    Expect(1, 67759, '\P{^Script=	 nabataean}', "");
    Expect(0, 67760, '\p{Script=	 nabataean}', "");
    Expect(1, 67760, '\p{^Script=	 nabataean}', "");
    Expect(1, 67760, '\P{Script=	 nabataean}', "");
    Expect(0, 67760, '\P{^Script=	 nabataean}', "");
    Error('\p{Sc=/a/Nbat}');
    Error('\P{Sc=/a/Nbat}');
    Expect(1, 67759, '\p{Sc=:\ANbat\z:}', "");;
    Expect(0, 67760, '\p{Sc=:\ANbat\z:}', "");;
    Expect(1, 67759, '\p{Sc=nbat}', "");
    Expect(0, 67759, '\p{^Sc=nbat}', "");
    Expect(0, 67759, '\P{Sc=nbat}', "");
    Expect(1, 67759, '\P{^Sc=nbat}', "");
    Expect(0, 67760, '\p{Sc=nbat}', "");
    Expect(1, 67760, '\p{^Sc=nbat}', "");
    Expect(1, 67760, '\P{Sc=nbat}', "");
    Expect(0, 67760, '\P{^Sc=nbat}', "");
    Expect(1, 67759, '\p{Sc=:\Anbat\z:}', "");;
    Expect(0, 67760, '\p{Sc=:\Anbat\z:}', "");;
    Expect(1, 67759, '\p{Sc=	_NBAT}', "");
    Expect(0, 67759, '\p{^Sc=	_NBAT}', "");
    Expect(0, 67759, '\P{Sc=	_NBAT}', "");
    Expect(1, 67759, '\P{^Sc=	_NBAT}', "");
    Expect(0, 67760, '\p{Sc=	_NBAT}', "");
    Expect(1, 67760, '\p{^Sc=	_NBAT}', "");
    Expect(1, 67760, '\P{Sc=	_NBAT}', "");
    Expect(0, 67760, '\P{^Sc=	_NBAT}', "");
    Error('\p{Is_Script:- nabataean/a/}');
    Error('\P{Is_Script:- nabataean/a/}');
    Expect(1, 67759, '\p{Is_Script=nabataean}', "");
    Expect(0, 67759, '\p{^Is_Script=nabataean}', "");
    Expect(0, 67759, '\P{Is_Script=nabataean}', "");
    Expect(1, 67759, '\P{^Is_Script=nabataean}', "");
    Expect(0, 67760, '\p{Is_Script=nabataean}', "");
    Expect(1, 67760, '\p{^Is_Script=nabataean}', "");
    Expect(1, 67760, '\P{Is_Script=nabataean}', "");
    Expect(0, 67760, '\P{^Is_Script=nabataean}', "");
    Expect(1, 67759, '\p{Is_Script= _Nabataean}', "");
    Expect(0, 67759, '\p{^Is_Script= _Nabataean}', "");
    Expect(0, 67759, '\P{Is_Script= _Nabataean}', "");
    Expect(1, 67759, '\P{^Is_Script= _Nabataean}', "");
    Expect(0, 67760, '\p{Is_Script= _Nabataean}', "");
    Expect(1, 67760, '\p{^Is_Script= _Nabataean}', "");
    Expect(1, 67760, '\P{Is_Script= _Nabataean}', "");
    Expect(0, 67760, '\P{^Is_Script= _Nabataean}', "");
    Error('\p{Is_Sc=  nbat/a/}');
    Error('\P{Is_Sc=  nbat/a/}');
    Expect(1, 67759, '\p{Is_Sc=nbat}', "");
    Expect(0, 67759, '\p{^Is_Sc=nbat}', "");
    Expect(0, 67759, '\P{Is_Sc=nbat}', "");
    Expect(1, 67759, '\P{^Is_Sc=nbat}', "");
    Expect(0, 67760, '\p{Is_Sc=nbat}', "");
    Expect(1, 67760, '\p{^Is_Sc=nbat}', "");
    Expect(1, 67760, '\P{Is_Sc=nbat}', "");
    Expect(0, 67760, '\P{^Is_Sc=nbat}', "");
    Expect(1, 67759, '\p{Is_Sc: nbat}', "");
    Expect(0, 67759, '\p{^Is_Sc: nbat}', "");
    Expect(0, 67759, '\P{Is_Sc: nbat}', "");
    Expect(1, 67759, '\P{^Is_Sc: nbat}', "");
    Expect(0, 67760, '\p{Is_Sc: nbat}', "");
    Expect(1, 67760, '\p{^Is_Sc: nbat}', "");
    Expect(1, 67760, '\P{Is_Sc: nbat}', "");
    Expect(0, 67760, '\P{^Is_Sc: nbat}', "");
    Error('\p{Script:		Newa:=}');
    Error('\P{Script:		Newa:=}');
    Expect(1, 70753, '\p{Script=:\ANewa\z:}', "");;
    Expect(0, 70754, '\p{Script=:\ANewa\z:}', "");;
    Expect(1, 70753, '\p{Script=newa}', "");
    Expect(0, 70753, '\p{^Script=newa}', "");
    Expect(0, 70753, '\P{Script=newa}', "");
    Expect(1, 70753, '\P{^Script=newa}', "");
    Expect(0, 70754, '\p{Script=newa}', "");
    Expect(1, 70754, '\p{^Script=newa}', "");
    Expect(1, 70754, '\P{Script=newa}', "");
    Expect(0, 70754, '\P{^Script=newa}', "");
    Expect(1, 70753, '\p{Script=:\Anewa\z:}', "");;
    Expect(0, 70754, '\p{Script=:\Anewa\z:}', "");;
    Expect(1, 70753, '\p{Script=_ Newa}', "");
    Expect(0, 70753, '\p{^Script=_ Newa}', "");
    Expect(0, 70753, '\P{Script=_ Newa}', "");
    Expect(1, 70753, '\P{^Script=_ Newa}', "");
    Expect(0, 70754, '\p{Script=_ Newa}', "");
    Expect(1, 70754, '\p{^Script=_ Newa}', "");
    Expect(1, 70754, '\P{Script=_ Newa}', "");
    Expect(0, 70754, '\P{^Script=_ Newa}', "");
    Error('\p{Sc=/a/_ Newa}');
    Error('\P{Sc=/a/_ Newa}');
    Expect(1, 70753, '\p{Sc=:\ANewa\z:}', "");;
    Expect(0, 70754, '\p{Sc=:\ANewa\z:}', "");;
    Expect(1, 70753, '\p{Sc=newa}', "");
    Expect(0, 70753, '\p{^Sc=newa}', "");
    Expect(0, 70753, '\P{Sc=newa}', "");
    Expect(1, 70753, '\P{^Sc=newa}', "");
    Expect(0, 70754, '\p{Sc=newa}', "");
    Expect(1, 70754, '\p{^Sc=newa}', "");
    Expect(1, 70754, '\P{Sc=newa}', "");
    Expect(0, 70754, '\P{^Sc=newa}', "");
    Expect(1, 70753, '\p{Sc=:\Anewa\z:}', "");;
    Expect(0, 70754, '\p{Sc=:\Anewa\z:}', "");;
    Expect(1, 70753, '\p{Sc=_Newa}', "");
    Expect(0, 70753, '\p{^Sc=_Newa}', "");
    Expect(0, 70753, '\P{Sc=_Newa}', "");
    Expect(1, 70753, '\P{^Sc=_Newa}', "");
    Expect(0, 70754, '\p{Sc=_Newa}', "");
    Expect(1, 70754, '\p{^Sc=_Newa}', "");
    Expect(1, 70754, '\P{Sc=_Newa}', "");
    Expect(0, 70754, '\P{^Sc=_Newa}', "");
    Error('\p{Is_Script:	/a/--Newa}');
    Error('\P{Is_Script:	/a/--Newa}');
    Expect(1, 70753, '\p{Is_Script=newa}', "");
    Expect(0, 70753, '\p{^Is_Script=newa}', "");
    Expect(0, 70753, '\P{Is_Script=newa}', "");
    Expect(1, 70753, '\P{^Is_Script=newa}', "");
    Expect(0, 70754, '\p{Is_Script=newa}', "");
    Expect(1, 70754, '\p{^Is_Script=newa}', "");
    Expect(1, 70754, '\P{Is_Script=newa}', "");
    Expect(0, 70754, '\P{^Is_Script=newa}', "");
    Expect(1, 70753, '\p{Is_Script=_	Newa}', "");
    Expect(0, 70753, '\p{^Is_Script=_	Newa}', "");
    Expect(0, 70753, '\P{Is_Script=_	Newa}', "");
    Expect(1, 70753, '\P{^Is_Script=_	Newa}', "");
    Expect(0, 70754, '\p{Is_Script=_	Newa}', "");
    Expect(1, 70754, '\p{^Is_Script=_	Newa}', "");
    Expect(1, 70754, '\P{Is_Script=_	Newa}', "");
    Expect(0, 70754, '\P{^Is_Script=_	Newa}', "");
    Error('\p{Is_Sc=-:=NEWA}');
    Error('\P{Is_Sc=-:=NEWA}');
    Expect(1, 70753, '\p{Is_Sc=newa}', "");
    Expect(0, 70753, '\p{^Is_Sc=newa}', "");
    Expect(0, 70753, '\P{Is_Sc=newa}', "");
    Expect(1, 70753, '\P{^Is_Sc=newa}', "");
    Expect(0, 70754, '\p{Is_Sc=newa}', "");
    Expect(1, 70754, '\p{^Is_Sc=newa}', "");
    Expect(1, 70754, '\P{Is_Sc=newa}', "");
    Expect(0, 70754, '\P{^Is_Sc=newa}', "");
    Expect(1, 70753, '\p{Is_Sc=_	Newa}', "");
    Expect(0, 70753, '\p{^Is_Sc=_	Newa}', "");
    Expect(0, 70753, '\P{Is_Sc=_	Newa}', "");
    Expect(1, 70753, '\P{^Is_Sc=_	Newa}', "");
    Expect(0, 70754, '\p{Is_Sc=_	Newa}', "");
    Expect(1, 70754, '\p{^Is_Sc=_	Newa}', "");
    Expect(1, 70754, '\P{Is_Sc=_	Newa}', "");
    Expect(0, 70754, '\P{^Is_Sc=_	Newa}', "");
    Error('\p{Script=_:=Nko}');
    Error('\P{Script=_:=Nko}');
    Expect(1, 2047, '\p{Script=:\ANko\z:}', "");;
    Expect(0, 2048, '\p{Script=:\ANko\z:}', "");;
    Expect(1, 2047, '\p{Script=nko}', "");
    Expect(0, 2047, '\p{^Script=nko}', "");
    Expect(0, 2047, '\P{Script=nko}', "");
    Expect(1, 2047, '\P{^Script=nko}', "");
    Expect(0, 2048, '\p{Script=nko}', "");
    Expect(1, 2048, '\p{^Script=nko}', "");
    Expect(1, 2048, '\P{Script=nko}', "");
    Expect(0, 2048, '\P{^Script=nko}', "");
    Expect(1, 2047, '\p{Script=:\Anko\z:}', "");;
    Expect(0, 2048, '\p{Script=:\Anko\z:}', "");;
    Error('\p{Sc=	:=Nkoo}');
    Error('\P{Sc=	:=Nkoo}');
    Expect(1, 2047, '\p{Sc=:\ANkoo\z:}', "");;
    Expect(0, 2048, '\p{Sc=:\ANkoo\z:}', "");;
    Expect(1, 2047, '\p{Sc=nkoo}', "");
    Expect(0, 2047, '\p{^Sc=nkoo}', "");
    Expect(0, 2047, '\P{Sc=nkoo}', "");
    Expect(1, 2047, '\P{^Sc=nkoo}', "");
    Expect(0, 2048, '\p{Sc=nkoo}', "");
    Expect(1, 2048, '\p{^Sc=nkoo}', "");
    Expect(1, 2048, '\P{Sc=nkoo}', "");
    Expect(0, 2048, '\P{^Sc=nkoo}', "");
    Expect(1, 2047, '\p{Sc=:\Ankoo\z:}', "");;
    Expect(0, 2048, '\p{Sc=:\Ankoo\z:}', "");;
    Expect(1, 2047, '\p{Sc:_	Nkoo}', "");
    Expect(0, 2047, '\p{^Sc:_	Nkoo}', "");
    Expect(0, 2047, '\P{Sc:_	Nkoo}', "");
    Expect(1, 2047, '\P{^Sc:_	Nkoo}', "");
    Expect(0, 2048, '\p{Sc:_	Nkoo}', "");
    Expect(1, 2048, '\p{^Sc:_	Nkoo}', "");
    Expect(1, 2048, '\P{Sc:_	Nkoo}', "");
    Expect(0, 2048, '\P{^Sc:_	Nkoo}', "");
    Error('\p{Is_Script=/a/NKO}');
    Error('\P{Is_Script=/a/NKO}');
    Expect(1, 2047, '\p{Is_Script=nko}', "");
    Expect(0, 2047, '\p{^Is_Script=nko}', "");
    Expect(0, 2047, '\P{Is_Script=nko}', "");
    Expect(1, 2047, '\P{^Is_Script=nko}', "");
    Expect(0, 2048, '\p{Is_Script=nko}', "");
    Expect(1, 2048, '\p{^Is_Script=nko}', "");
    Expect(1, 2048, '\P{Is_Script=nko}', "");
    Expect(0, 2048, '\P{^Is_Script=nko}', "");
    Expect(1, 2047, '\p{Is_Script=	_NKO}', "");
    Expect(0, 2047, '\p{^Is_Script=	_NKO}', "");
    Expect(0, 2047, '\P{Is_Script=	_NKO}', "");
    Expect(1, 2047, '\P{^Is_Script=	_NKO}', "");
    Expect(0, 2048, '\p{Is_Script=	_NKO}', "");
    Expect(1, 2048, '\p{^Is_Script=	_NKO}', "");
    Expect(1, 2048, '\P{Is_Script=	_NKO}', "");
    Expect(0, 2048, '\P{^Is_Script=	_NKO}', "");
    Error('\p{Is_Sc=:=-_Nkoo}');
    Error('\P{Is_Sc=:=-_Nkoo}');
    Expect(1, 2047, '\p{Is_Sc=nkoo}', "");
    Expect(0, 2047, '\p{^Is_Sc=nkoo}', "");
    Expect(0, 2047, '\P{Is_Sc=nkoo}', "");
    Expect(1, 2047, '\P{^Is_Sc=nkoo}', "");
    Expect(0, 2048, '\p{Is_Sc=nkoo}', "");
    Expect(1, 2048, '\p{^Is_Sc=nkoo}', "");
    Expect(1, 2048, '\P{Is_Sc=nkoo}', "");
    Expect(0, 2048, '\P{^Is_Sc=nkoo}', "");
    Expect(1, 2047, '\p{Is_Sc:   	NKOO}', "");
    Expect(0, 2047, '\p{^Is_Sc:   	NKOO}', "");
    Expect(0, 2047, '\P{Is_Sc:   	NKOO}', "");
    Expect(1, 2047, '\P{^Is_Sc:   	NKOO}', "");
    Expect(0, 2048, '\p{Is_Sc:   	NKOO}', "");
    Expect(1, 2048, '\p{^Is_Sc:   	NKOO}', "");
    Expect(1, 2048, '\P{Is_Sc:   	NKOO}', "");
    Expect(0, 2048, '\P{^Is_Sc:   	NKOO}', "");
    Error('\p{Script=:=Nushu}');
    Error('\P{Script=:=Nushu}');
    Expect(1, 111355, '\p{Script=:\ANushu\z:}', "");;
    Expect(0, 111356, '\p{Script=:\ANushu\z:}', "");;
    Expect(1, 111355, '\p{Script=nushu}', "");
    Expect(0, 111355, '\p{^Script=nushu}', "");
    Expect(0, 111355, '\P{Script=nushu}', "");
    Expect(1, 111355, '\P{^Script=nushu}', "");
    Expect(0, 111356, '\p{Script=nushu}', "");
    Expect(1, 111356, '\p{^Script=nushu}', "");
    Expect(1, 111356, '\P{Script=nushu}', "");
    Expect(0, 111356, '\P{^Script=nushu}', "");
    Expect(1, 111355, '\p{Script=:\Anushu\z:}', "");;
    Expect(0, 111356, '\p{Script=:\Anushu\z:}', "");;
    Expect(1, 111355, '\p{Script=		NUSHU}', "");
    Expect(0, 111355, '\p{^Script=		NUSHU}', "");
    Expect(0, 111355, '\P{Script=		NUSHU}', "");
    Expect(1, 111355, '\P{^Script=		NUSHU}', "");
    Expect(0, 111356, '\p{Script=		NUSHU}', "");
    Expect(1, 111356, '\p{^Script=		NUSHU}', "");
    Expect(1, 111356, '\P{Script=		NUSHU}', "");
    Expect(0, 111356, '\P{^Script=		NUSHU}', "");
    Error('\p{Sc=:=nshu}');
    Error('\P{Sc=:=nshu}');
    Expect(1, 111355, '\p{Sc=:\ANshu\z:}', "");;
    Expect(0, 111356, '\p{Sc=:\ANshu\z:}', "");;
    Expect(1, 111355, '\p{Sc=nshu}', "");
    Expect(0, 111355, '\p{^Sc=nshu}', "");
    Expect(0, 111355, '\P{Sc=nshu}', "");
    Expect(1, 111355, '\P{^Sc=nshu}', "");
    Expect(0, 111356, '\p{Sc=nshu}', "");
    Expect(1, 111356, '\p{^Sc=nshu}', "");
    Expect(1, 111356, '\P{Sc=nshu}', "");
    Expect(0, 111356, '\P{^Sc=nshu}', "");
    Expect(1, 111355, '\p{Sc=:\Anshu\z:}', "");;
    Expect(0, 111356, '\p{Sc=:\Anshu\z:}', "");;
    Expect(1, 111355, '\p{Sc=-NSHU}', "");
    Expect(0, 111355, '\p{^Sc=-NSHU}', "");
    Expect(0, 111355, '\P{Sc=-NSHU}', "");
    Expect(1, 111355, '\P{^Sc=-NSHU}', "");
    Expect(0, 111356, '\p{Sc=-NSHU}', "");
    Expect(1, 111356, '\p{^Sc=-NSHU}', "");
    Expect(1, 111356, '\P{Sc=-NSHU}', "");
    Expect(0, 111356, '\P{^Sc=-NSHU}', "");
    Error('\p{Is_Script= /a/Nushu}');
    Error('\P{Is_Script= /a/Nushu}');
    Expect(1, 111355, '\p{Is_Script=nushu}', "");
    Expect(0, 111355, '\p{^Is_Script=nushu}', "");
    Expect(0, 111355, '\P{Is_Script=nushu}', "");
    Expect(1, 111355, '\P{^Is_Script=nushu}', "");
    Expect(0, 111356, '\p{Is_Script=nushu}', "");
    Expect(1, 111356, '\p{^Is_Script=nushu}', "");
    Expect(1, 111356, '\P{Is_Script=nushu}', "");
    Expect(0, 111356, '\P{^Is_Script=nushu}', "");
    Expect(1, 111355, '\p{Is_Script=_-Nushu}', "");
    Expect(0, 111355, '\p{^Is_Script=_-Nushu}', "");
    Expect(0, 111355, '\P{Is_Script=_-Nushu}', "");
    Expect(1, 111355, '\P{^Is_Script=_-Nushu}', "");
    Expect(0, 111356, '\p{Is_Script=_-Nushu}', "");
    Expect(1, 111356, '\p{^Is_Script=_-Nushu}', "");
    Expect(1, 111356, '\P{Is_Script=_-Nushu}', "");
    Expect(0, 111356, '\P{^Is_Script=_-Nushu}', "");
    Error('\p{Is_Sc=-_nshu/a/}');
    Error('\P{Is_Sc=-_nshu/a/}');
    Expect(1, 111355, '\p{Is_Sc=nshu}', "");
    Expect(0, 111355, '\p{^Is_Sc=nshu}', "");
    Expect(0, 111355, '\P{Is_Sc=nshu}', "");
    Expect(1, 111355, '\P{^Is_Sc=nshu}', "");
    Expect(0, 111356, '\p{Is_Sc=nshu}', "");
    Expect(1, 111356, '\p{^Is_Sc=nshu}', "");
    Expect(1, 111356, '\P{Is_Sc=nshu}', "");
    Expect(0, 111356, '\P{^Is_Sc=nshu}', "");
    Expect(1, 111355, '\p{Is_Sc=-	NSHU}', "");
    Expect(0, 111355, '\p{^Is_Sc=-	NSHU}', "");
    Expect(0, 111355, '\P{Is_Sc=-	NSHU}', "");
    Expect(1, 111355, '\P{^Is_Sc=-	NSHU}', "");
    Expect(0, 111356, '\p{Is_Sc=-	NSHU}', "");
    Expect(1, 111356, '\p{^Is_Sc=-	NSHU}', "");
    Expect(1, 111356, '\P{Is_Sc=-	NSHU}', "");
    Expect(0, 111356, '\P{^Is_Sc=-	NSHU}', "");
    Error('\p{Script:/a/	-Ogham}');
    Error('\P{Script:/a/	-Ogham}');
    Expect(1, 5788, '\p{Script=:\AOgham\z:}', "");;
    Expect(0, 5789, '\p{Script=:\AOgham\z:}', "");;
    Expect(1, 5788, '\p{Script=ogham}', "");
    Expect(0, 5788, '\p{^Script=ogham}', "");
    Expect(0, 5788, '\P{Script=ogham}', "");
    Expect(1, 5788, '\P{^Script=ogham}', "");
    Expect(0, 5789, '\p{Script=ogham}', "");
    Expect(1, 5789, '\p{^Script=ogham}', "");
    Expect(1, 5789, '\P{Script=ogham}', "");
    Expect(0, 5789, '\P{^Script=ogham}', "");
    Expect(1, 5788, '\p{Script=:\Aogham\z:}', "");;
    Expect(0, 5789, '\p{Script=:\Aogham\z:}', "");;
    Expect(1, 5788, '\p{Script=		Ogham}', "");
    Expect(0, 5788, '\p{^Script=		Ogham}', "");
    Expect(0, 5788, '\P{Script=		Ogham}', "");
    Expect(1, 5788, '\P{^Script=		Ogham}', "");
    Expect(0, 5789, '\p{Script=		Ogham}', "");
    Expect(1, 5789, '\p{^Script=		Ogham}', "");
    Expect(1, 5789, '\P{Script=		Ogham}', "");
    Expect(0, 5789, '\P{^Script=		Ogham}', "");
    Error('\p{Sc=/a/Ogam}');
    Error('\P{Sc=/a/Ogam}');
    Expect(1, 5788, '\p{Sc=:\AOgam\z:}', "");;
    Expect(0, 5789, '\p{Sc=:\AOgam\z:}', "");;
    Expect(1, 5788, '\p{Sc=ogam}', "");
    Expect(0, 5788, '\p{^Sc=ogam}', "");
    Expect(0, 5788, '\P{Sc=ogam}', "");
    Expect(1, 5788, '\P{^Sc=ogam}', "");
    Expect(0, 5789, '\p{Sc=ogam}', "");
    Expect(1, 5789, '\p{^Sc=ogam}', "");
    Expect(1, 5789, '\P{Sc=ogam}', "");
    Expect(0, 5789, '\P{^Sc=ogam}', "");
    Expect(1, 5788, '\p{Sc=:\Aogam\z:}', "");;
    Expect(0, 5789, '\p{Sc=:\Aogam\z:}', "");;
    Expect(1, 5788, '\p{Sc=-_Ogam}', "");
    Expect(0, 5788, '\p{^Sc=-_Ogam}', "");
    Expect(0, 5788, '\P{Sc=-_Ogam}', "");
    Expect(1, 5788, '\P{^Sc=-_Ogam}', "");
    Expect(0, 5789, '\p{Sc=-_Ogam}', "");
    Expect(1, 5789, '\p{^Sc=-_Ogam}', "");
    Expect(1, 5789, '\P{Sc=-_Ogam}', "");
    Expect(0, 5789, '\P{^Sc=-_Ogam}', "");
    Error('\p{Is_Script=	:=Ogham}');
    Error('\P{Is_Script=	:=Ogham}');
    Expect(1, 5788, '\p{Is_Script=ogham}', "");
    Expect(0, 5788, '\p{^Is_Script=ogham}', "");
    Expect(0, 5788, '\P{Is_Script=ogham}', "");
    Expect(1, 5788, '\P{^Is_Script=ogham}', "");
    Expect(0, 5789, '\p{Is_Script=ogham}', "");
    Expect(1, 5789, '\p{^Is_Script=ogham}', "");
    Expect(1, 5789, '\P{Is_Script=ogham}', "");
    Expect(0, 5789, '\P{^Is_Script=ogham}', "");
    Expect(1, 5788, '\p{Is_Script:   _ogham}', "");
    Expect(0, 5788, '\p{^Is_Script:   _ogham}', "");
    Expect(0, 5788, '\P{Is_Script:   _ogham}', "");
    Expect(1, 5788, '\P{^Is_Script:   _ogham}', "");
    Expect(0, 5789, '\p{Is_Script:   _ogham}', "");
    Expect(1, 5789, '\p{^Is_Script:   _ogham}', "");
    Expect(1, 5789, '\P{Is_Script:   _ogham}', "");
    Expect(0, 5789, '\P{^Is_Script:   _ogham}', "");
    Error('\p{Is_Sc=__OGAM:=}');
    Error('\P{Is_Sc=__OGAM:=}');
    Expect(1, 5788, '\p{Is_Sc:ogam}', "");
    Expect(0, 5788, '\p{^Is_Sc:ogam}', "");
    Expect(0, 5788, '\P{Is_Sc:ogam}', "");
    Expect(1, 5788, '\P{^Is_Sc:ogam}', "");
    Expect(0, 5789, '\p{Is_Sc:ogam}', "");
    Expect(1, 5789, '\p{^Is_Sc:ogam}', "");
    Expect(1, 5789, '\P{Is_Sc:ogam}', "");
    Expect(0, 5789, '\P{^Is_Sc:ogam}', "");
    Expect(1, 5788, '\p{Is_Sc=-	Ogam}', "");
    Expect(0, 5788, '\p{^Is_Sc=-	Ogam}', "");
    Expect(0, 5788, '\P{Is_Sc=-	Ogam}', "");
    Expect(1, 5788, '\P{^Is_Sc=-	Ogam}', "");
    Expect(0, 5789, '\p{Is_Sc=-	Ogam}', "");
    Expect(1, 5789, '\p{^Is_Sc=-	Ogam}', "");
    Expect(1, 5789, '\P{Is_Sc=-	Ogam}', "");
    Expect(0, 5789, '\P{^Is_Sc=-	Ogam}', "");
    Error('\p{Script=- ol_Chiki:=}');
    Error('\P{Script=- ol_Chiki:=}');
    Expect(1, 7295, '\p{Script=:\AOl_Chiki\z:}', "");;
    Expect(0, 7296, '\p{Script=:\AOl_Chiki\z:}', "");;
    Expect(1, 7295, '\p{Script: olchiki}', "");
    Expect(0, 7295, '\p{^Script: olchiki}', "");
    Expect(0, 7295, '\P{Script: olchiki}', "");
    Expect(1, 7295, '\P{^Script: olchiki}', "");
    Expect(0, 7296, '\p{Script: olchiki}', "");
    Expect(1, 7296, '\p{^Script: olchiki}', "");
    Expect(1, 7296, '\P{Script: olchiki}', "");
    Expect(0, 7296, '\P{^Script: olchiki}', "");
    Expect(1, 7295, '\p{Script=:\Aolchiki\z:}', "");;
    Expect(0, 7296, '\p{Script=:\Aolchiki\z:}', "");;
    Expect(1, 7295, '\p{Script=-	ol_Chiki}', "");
    Expect(0, 7295, '\p{^Script=-	ol_Chiki}', "");
    Expect(0, 7295, '\P{Script=-	ol_Chiki}', "");
    Expect(1, 7295, '\P{^Script=-	ol_Chiki}', "");
    Expect(0, 7296, '\p{Script=-	ol_Chiki}', "");
    Expect(1, 7296, '\p{^Script=-	ol_Chiki}', "");
    Expect(1, 7296, '\P{Script=-	ol_Chiki}', "");
    Expect(0, 7296, '\P{^Script=-	ol_Chiki}', "");
    Error('\p{Sc=:= _olck}');
    Error('\P{Sc=:= _olck}');
    Expect(1, 7295, '\p{Sc=:\AOlck\z:}', "");;
    Expect(0, 7296, '\p{Sc=:\AOlck\z:}', "");;
    Expect(1, 7295, '\p{Sc:	olck}', "");
    Expect(0, 7295, '\p{^Sc:	olck}', "");
    Expect(0, 7295, '\P{Sc:	olck}', "");
    Expect(1, 7295, '\P{^Sc:	olck}', "");
    Expect(0, 7296, '\p{Sc:	olck}', "");
    Expect(1, 7296, '\p{^Sc:	olck}', "");
    Expect(1, 7296, '\P{Sc:	olck}', "");
    Expect(0, 7296, '\P{^Sc:	olck}', "");
    Expect(1, 7295, '\p{Sc=:\Aolck\z:}', "");;
    Expect(0, 7296, '\p{Sc=:\Aolck\z:}', "");;
    Expect(1, 7295, '\p{Sc=	-olck}', "");
    Expect(0, 7295, '\p{^Sc=	-olck}', "");
    Expect(0, 7295, '\P{Sc=	-olck}', "");
    Expect(1, 7295, '\P{^Sc=	-olck}', "");
    Expect(0, 7296, '\p{Sc=	-olck}', "");
    Expect(1, 7296, '\p{^Sc=	-olck}', "");
    Expect(1, 7296, '\P{Sc=	-olck}', "");
    Expect(0, 7296, '\P{^Sc=	-olck}', "");
    Error('\p{Is_Script=/a/_ Ol_chiki}');
    Error('\P{Is_Script=/a/_ Ol_chiki}');
    Expect(1, 7295, '\p{Is_Script=olchiki}', "");
    Expect(0, 7295, '\p{^Is_Script=olchiki}', "");
    Expect(0, 7295, '\P{Is_Script=olchiki}', "");
    Expect(1, 7295, '\P{^Is_Script=olchiki}', "");
    Expect(0, 7296, '\p{Is_Script=olchiki}', "");
    Expect(1, 7296, '\p{^Is_Script=olchiki}', "");
    Expect(1, 7296, '\P{Is_Script=olchiki}', "");
    Expect(0, 7296, '\P{^Is_Script=olchiki}', "");
    Expect(1, 7295, '\p{Is_Script=  OL_Chiki}', "");
    Expect(0, 7295, '\p{^Is_Script=  OL_Chiki}', "");
    Expect(0, 7295, '\P{Is_Script=  OL_Chiki}', "");
    Expect(1, 7295, '\P{^Is_Script=  OL_Chiki}', "");
    Expect(0, 7296, '\p{Is_Script=  OL_Chiki}', "");
    Expect(1, 7296, '\p{^Is_Script=  OL_Chiki}', "");
    Expect(1, 7296, '\P{Is_Script=  OL_Chiki}', "");
    Expect(0, 7296, '\P{^Is_Script=  OL_Chiki}', "");
    Error('\p{Is_Sc=	Olck:=}');
    Error('\P{Is_Sc=	Olck:=}');
    Expect(1, 7295, '\p{Is_Sc:	olck}', "");
    Expect(0, 7295, '\p{^Is_Sc:	olck}', "");
    Expect(0, 7295, '\P{Is_Sc:	olck}', "");
    Expect(1, 7295, '\P{^Is_Sc:	olck}', "");
    Expect(0, 7296, '\p{Is_Sc:	olck}', "");
    Expect(1, 7296, '\p{^Is_Sc:	olck}', "");
    Expect(1, 7296, '\P{Is_Sc:	olck}', "");
    Expect(0, 7296, '\P{^Is_Sc:	olck}', "");
    Expect(1, 7295, '\p{Is_Sc=-olck}', "");
    Expect(0, 7295, '\p{^Is_Sc=-olck}', "");
    Expect(0, 7295, '\P{Is_Sc=-olck}', "");
    Expect(1, 7295, '\P{^Is_Sc=-olck}', "");
    Expect(0, 7296, '\p{Is_Sc=-olck}', "");
    Expect(1, 7296, '\p{^Is_Sc=-olck}', "");
    Expect(1, 7296, '\P{Is_Sc=-olck}', "");
    Expect(0, 7296, '\P{^Is_Sc=-olck}', "");
    Error('\p{Script=:=		old_TURKIC}');
    Error('\P{Script=:=		old_TURKIC}');
    Expect(1, 68680, '\p{Script=:\AOld_Turkic\z:}', "");;
    Expect(0, 68681, '\p{Script=:\AOld_Turkic\z:}', "");;
    Expect(1, 68680, '\p{Script=oldturkic}', "");
    Expect(0, 68680, '\p{^Script=oldturkic}', "");
    Expect(0, 68680, '\P{Script=oldturkic}', "");
    Expect(1, 68680, '\P{^Script=oldturkic}', "");
    Expect(0, 68681, '\p{Script=oldturkic}', "");
    Expect(1, 68681, '\p{^Script=oldturkic}', "");
    Expect(1, 68681, '\P{Script=oldturkic}', "");
    Expect(0, 68681, '\P{^Script=oldturkic}', "");
    Expect(1, 68680, '\p{Script=:\Aoldturkic\z:}', "");;
    Expect(0, 68681, '\p{Script=:\Aoldturkic\z:}', "");;
    Expect(1, 68680, '\p{Script=--OLD_Turkic}', "");
    Expect(0, 68680, '\p{^Script=--OLD_Turkic}', "");
    Expect(0, 68680, '\P{Script=--OLD_Turkic}', "");
    Expect(1, 68680, '\P{^Script=--OLD_Turkic}', "");
    Expect(0, 68681, '\p{Script=--OLD_Turkic}', "");
    Expect(1, 68681, '\p{^Script=--OLD_Turkic}', "");
    Expect(1, 68681, '\P{Script=--OLD_Turkic}', "");
    Expect(0, 68681, '\P{^Script=--OLD_Turkic}', "");
    Error('\p{Sc=	-Orkh/a/}');
    Error('\P{Sc=	-Orkh/a/}');
    Expect(1, 68680, '\p{Sc=:\AOrkh\z:}', "");;
    Expect(0, 68681, '\p{Sc=:\AOrkh\z:}', "");;
    Expect(1, 68680, '\p{Sc=orkh}', "");
    Expect(0, 68680, '\p{^Sc=orkh}', "");
    Expect(0, 68680, '\P{Sc=orkh}', "");
    Expect(1, 68680, '\P{^Sc=orkh}', "");
    Expect(0, 68681, '\p{Sc=orkh}', "");
    Expect(1, 68681, '\p{^Sc=orkh}', "");
    Expect(1, 68681, '\P{Sc=orkh}', "");
    Expect(0, 68681, '\P{^Sc=orkh}', "");
    Expect(1, 68680, '\p{Sc=:\Aorkh\z:}', "");;
    Expect(0, 68681, '\p{Sc=:\Aorkh\z:}', "");;
    Expect(1, 68680, '\p{Sc: _Orkh}', "");
    Expect(0, 68680, '\p{^Sc: _Orkh}', "");
    Expect(0, 68680, '\P{Sc: _Orkh}', "");
    Expect(1, 68680, '\P{^Sc: _Orkh}', "");
    Expect(0, 68681, '\p{Sc: _Orkh}', "");
    Expect(1, 68681, '\p{^Sc: _Orkh}', "");
    Expect(1, 68681, '\P{Sc: _Orkh}', "");
    Expect(0, 68681, '\P{^Sc: _Orkh}', "");
    Error('\p{Is_Script=/a/-_old_Turkic}');
    Error('\P{Is_Script=/a/-_old_Turkic}');
    Expect(1, 68680, '\p{Is_Script=oldturkic}', "");
    Expect(0, 68680, '\p{^Is_Script=oldturkic}', "");
    Expect(0, 68680, '\P{Is_Script=oldturkic}', "");
    Expect(1, 68680, '\P{^Is_Script=oldturkic}', "");
    Expect(0, 68681, '\p{Is_Script=oldturkic}', "");
    Expect(1, 68681, '\p{^Is_Script=oldturkic}', "");
    Expect(1, 68681, '\P{Is_Script=oldturkic}', "");
    Expect(0, 68681, '\P{^Is_Script=oldturkic}', "");
    Expect(1, 68680, '\p{Is_Script:   -	Old_Turkic}', "");
    Expect(0, 68680, '\p{^Is_Script:   -	Old_Turkic}', "");
    Expect(0, 68680, '\P{Is_Script:   -	Old_Turkic}', "");
    Expect(1, 68680, '\P{^Is_Script:   -	Old_Turkic}', "");
    Expect(0, 68681, '\p{Is_Script:   -	Old_Turkic}', "");
    Expect(1, 68681, '\p{^Is_Script:   -	Old_Turkic}', "");
    Expect(1, 68681, '\P{Is_Script:   -	Old_Turkic}', "");
    Expect(0, 68681, '\P{^Is_Script:   -	Old_Turkic}', "");
    Error('\p{Is_Sc=/a/-	ORKH}');
    Error('\P{Is_Sc=/a/-	ORKH}');
    Expect(1, 68680, '\p{Is_Sc:orkh}', "");
    Expect(0, 68680, '\p{^Is_Sc:orkh}', "");
    Expect(0, 68680, '\P{Is_Sc:orkh}', "");
    Expect(1, 68680, '\P{^Is_Sc:orkh}', "");
    Expect(0, 68681, '\p{Is_Sc:orkh}', "");
    Expect(1, 68681, '\p{^Is_Sc:orkh}', "");
    Expect(1, 68681, '\P{Is_Sc:orkh}', "");
    Expect(0, 68681, '\P{^Is_Sc:orkh}', "");
    Expect(1, 68680, '\p{Is_Sc=	_orkh}', "");
    Expect(0, 68680, '\p{^Is_Sc=	_orkh}', "");
    Expect(0, 68680, '\P{Is_Sc=	_orkh}', "");
    Expect(1, 68680, '\P{^Is_Sc=	_orkh}', "");
    Expect(0, 68681, '\p{Is_Sc=	_orkh}', "");
    Expect(1, 68681, '\p{^Is_Sc=	_orkh}', "");
    Expect(1, 68681, '\P{Is_Sc=	_orkh}', "");
    Expect(0, 68681, '\P{^Is_Sc=	_orkh}', "");
    Error('\p{Script=_-Oriya/a/}');
    Error('\P{Script=_-Oriya/a/}');
    Expect(1, 2935, '\p{Script=:\AOriya\z:}', "");;
    Expect(0, 2936, '\p{Script=:\AOriya\z:}', "");;
    Expect(1, 2935, '\p{Script=oriya}', "");
    Expect(0, 2935, '\p{^Script=oriya}', "");
    Expect(0, 2935, '\P{Script=oriya}', "");
    Expect(1, 2935, '\P{^Script=oriya}', "");
    Expect(0, 2936, '\p{Script=oriya}', "");
    Expect(1, 2936, '\p{^Script=oriya}', "");
    Expect(1, 2936, '\P{Script=oriya}', "");
    Expect(0, 2936, '\P{^Script=oriya}', "");
    Expect(1, 2935, '\p{Script=:\Aoriya\z:}', "");;
    Expect(0, 2936, '\p{Script=:\Aoriya\z:}', "");;
    Expect(1, 2935, '\p{Script=-	ORIYA}', "");
    Expect(0, 2935, '\p{^Script=-	ORIYA}', "");
    Expect(0, 2935, '\P{Script=-	ORIYA}', "");
    Expect(1, 2935, '\P{^Script=-	ORIYA}', "");
    Expect(0, 2936, '\p{Script=-	ORIYA}', "");
    Expect(1, 2936, '\p{^Script=-	ORIYA}', "");
    Expect(1, 2936, '\P{Script=-	ORIYA}', "");
    Expect(0, 2936, '\P{^Script=-	ORIYA}', "");
    Error('\p{Sc= _ORYA/a/}');
    Error('\P{Sc= _ORYA/a/}');
    Expect(1, 2935, '\p{Sc=:\AOrya\z:}', "");;
    Expect(0, 2936, '\p{Sc=:\AOrya\z:}', "");;
    Expect(1, 2935, '\p{Sc=orya}', "");
    Expect(0, 2935, '\p{^Sc=orya}', "");
    Expect(0, 2935, '\P{Sc=orya}', "");
    Expect(1, 2935, '\P{^Sc=orya}', "");
    Expect(0, 2936, '\p{Sc=orya}', "");
    Expect(1, 2936, '\p{^Sc=orya}', "");
    Expect(1, 2936, '\P{Sc=orya}', "");
    Expect(0, 2936, '\P{^Sc=orya}', "");
    Expect(1, 2935, '\p{Sc=:\Aorya\z:}', "");;
    Expect(0, 2936, '\p{Sc=:\Aorya\z:}', "");;
    Expect(1, 2935, '\p{Sc=	 orya}', "");
    Expect(0, 2935, '\p{^Sc=	 orya}', "");
    Expect(0, 2935, '\P{Sc=	 orya}', "");
    Expect(1, 2935, '\P{^Sc=	 orya}', "");
    Expect(0, 2936, '\p{Sc=	 orya}', "");
    Expect(1, 2936, '\p{^Sc=	 orya}', "");
    Expect(1, 2936, '\P{Sc=	 orya}', "");
    Expect(0, 2936, '\P{^Sc=	 orya}', "");
    Error('\p{Is_Script=_:=ORIYA}');
    Error('\P{Is_Script=_:=ORIYA}');
    Expect(1, 2935, '\p{Is_Script=oriya}', "");
    Expect(0, 2935, '\p{^Is_Script=oriya}', "");
    Expect(0, 2935, '\P{Is_Script=oriya}', "");
    Expect(1, 2935, '\P{^Is_Script=oriya}', "");
    Expect(0, 2936, '\p{Is_Script=oriya}', "");
    Expect(1, 2936, '\p{^Is_Script=oriya}', "");
    Expect(1, 2936, '\P{Is_Script=oriya}', "");
    Expect(0, 2936, '\P{^Is_Script=oriya}', "");
    Expect(1, 2935, '\p{Is_Script= ORIYA}', "");
    Expect(0, 2935, '\p{^Is_Script= ORIYA}', "");
    Expect(0, 2935, '\P{Is_Script= ORIYA}', "");
    Expect(1, 2935, '\P{^Is_Script= ORIYA}', "");
    Expect(0, 2936, '\p{Is_Script= ORIYA}', "");
    Expect(1, 2936, '\p{^Is_Script= ORIYA}', "");
    Expect(1, 2936, '\P{Is_Script= ORIYA}', "");
    Expect(0, 2936, '\P{^Is_Script= ORIYA}', "");
    Error('\p{Is_Sc=_/a/orya}');
    Error('\P{Is_Sc=_/a/orya}');
    Expect(1, 2935, '\p{Is_Sc=orya}', "");
    Expect(0, 2935, '\p{^Is_Sc=orya}', "");
    Expect(0, 2935, '\P{Is_Sc=orya}', "");
    Expect(1, 2935, '\P{^Is_Sc=orya}', "");
    Expect(0, 2936, '\p{Is_Sc=orya}', "");
    Expect(1, 2936, '\p{^Is_Sc=orya}', "");
    Expect(1, 2936, '\P{Is_Sc=orya}', "");
    Expect(0, 2936, '\P{^Is_Sc=orya}', "");
    Expect(1, 2935, '\p{Is_Sc=	-Orya}', "");
    Expect(0, 2935, '\p{^Is_Sc=	-Orya}', "");
    Expect(0, 2935, '\P{Is_Sc=	-Orya}', "");
    Expect(1, 2935, '\P{^Is_Sc=	-Orya}', "");
    Expect(0, 2936, '\p{Is_Sc=	-Orya}', "");
    Expect(1, 2936, '\p{^Is_Sc=	-Orya}', "");
    Expect(1, 2936, '\P{Is_Sc=	-Orya}', "");
    Expect(0, 2936, '\P{^Is_Sc=	-Orya}', "");
    Error('\p{Script=/a/_	OSAGE}');
    Error('\P{Script=/a/_	OSAGE}');
    Expect(1, 66811, '\p{Script=:\AOsage\z:}', "");;
    Expect(0, 66812, '\p{Script=:\AOsage\z:}', "");;
    Expect(1, 66811, '\p{Script=osage}', "");
    Expect(0, 66811, '\p{^Script=osage}', "");
    Expect(0, 66811, '\P{Script=osage}', "");
    Expect(1, 66811, '\P{^Script=osage}', "");
    Expect(0, 66812, '\p{Script=osage}', "");
    Expect(1, 66812, '\p{^Script=osage}', "");
    Expect(1, 66812, '\P{Script=osage}', "");
    Expect(0, 66812, '\P{^Script=osage}', "");
    Expect(1, 66811, '\p{Script=:\Aosage\z:}', "");;
    Expect(0, 66812, '\p{Script=:\Aosage\z:}', "");;
    Expect(1, 66811, '\p{Script=_Osage}', "");
    Expect(0, 66811, '\p{^Script=_Osage}', "");
    Expect(0, 66811, '\P{Script=_Osage}', "");
    Expect(1, 66811, '\P{^Script=_Osage}', "");
    Expect(0, 66812, '\p{Script=_Osage}', "");
    Expect(1, 66812, '\p{^Script=_Osage}', "");
    Expect(1, 66812, '\P{Script=_Osage}', "");
    Expect(0, 66812, '\P{^Script=_Osage}', "");
    Error('\p{Sc=/a/- Osge}');
    Error('\P{Sc=/a/- Osge}');
    Expect(1, 66811, '\p{Sc=:\AOsge\z:}', "");;
    Expect(0, 66812, '\p{Sc=:\AOsge\z:}', "");;
    Expect(1, 66811, '\p{Sc=osge}', "");
    Expect(0, 66811, '\p{^Sc=osge}', "");
    Expect(0, 66811, '\P{Sc=osge}', "");
    Expect(1, 66811, '\P{^Sc=osge}', "");
    Expect(0, 66812, '\p{Sc=osge}', "");
    Expect(1, 66812, '\p{^Sc=osge}', "");
    Expect(1, 66812, '\P{Sc=osge}', "");
    Expect(0, 66812, '\P{^Sc=osge}', "");
    Expect(1, 66811, '\p{Sc=:\Aosge\z:}', "");;
    Expect(0, 66812, '\p{Sc=:\Aosge\z:}', "");;
    Expect(1, 66811, '\p{Sc=_OSGE}', "");
    Expect(0, 66811, '\p{^Sc=_OSGE}', "");
    Expect(0, 66811, '\P{Sc=_OSGE}', "");
    Expect(1, 66811, '\P{^Sc=_OSGE}', "");
    Expect(0, 66812, '\p{Sc=_OSGE}', "");
    Expect(1, 66812, '\p{^Sc=_OSGE}', "");
    Expect(1, 66812, '\P{Sc=_OSGE}', "");
    Expect(0, 66812, '\P{^Sc=_OSGE}', "");
    Error('\p{Is_Script= :=OSAGE}');
    Error('\P{Is_Script= :=OSAGE}');
    Expect(1, 66811, '\p{Is_Script=osage}', "");
    Expect(0, 66811, '\p{^Is_Script=osage}', "");
    Expect(0, 66811, '\P{Is_Script=osage}', "");
    Expect(1, 66811, '\P{^Is_Script=osage}', "");
    Expect(0, 66812, '\p{Is_Script=osage}', "");
    Expect(1, 66812, '\p{^Is_Script=osage}', "");
    Expect(1, 66812, '\P{Is_Script=osage}', "");
    Expect(0, 66812, '\P{^Is_Script=osage}', "");
    Expect(1, 66811, '\p{Is_Script=_	OSAGE}', "");
    Expect(0, 66811, '\p{^Is_Script=_	OSAGE}', "");
    Expect(0, 66811, '\P{Is_Script=_	OSAGE}', "");
    Expect(1, 66811, '\P{^Is_Script=_	OSAGE}', "");
    Expect(0, 66812, '\p{Is_Script=_	OSAGE}', "");
    Expect(1, 66812, '\p{^Is_Script=_	OSAGE}', "");
    Expect(1, 66812, '\P{Is_Script=_	OSAGE}', "");
    Expect(0, 66812, '\P{^Is_Script=_	OSAGE}', "");
    Error('\p{Is_Sc=/a/	Osge}');
    Error('\P{Is_Sc=/a/	Osge}');
    Expect(1, 66811, '\p{Is_Sc=osge}', "");
    Expect(0, 66811, '\p{^Is_Sc=osge}', "");
    Expect(0, 66811, '\P{Is_Sc=osge}', "");
    Expect(1, 66811, '\P{^Is_Sc=osge}', "");
    Expect(0, 66812, '\p{Is_Sc=osge}', "");
    Expect(1, 66812, '\p{^Is_Sc=osge}', "");
    Expect(1, 66812, '\P{Is_Sc=osge}', "");
    Expect(0, 66812, '\P{^Is_Sc=osge}', "");
    Expect(1, 66811, '\p{Is_Sc=	Osge}', "");
    Expect(0, 66811, '\p{^Is_Sc=	Osge}', "");
    Expect(0, 66811, '\P{Is_Sc=	Osge}', "");
    Expect(1, 66811, '\P{^Is_Sc=	Osge}', "");
    Expect(0, 66812, '\p{Is_Sc=	Osge}', "");
    Expect(1, 66812, '\p{^Is_Sc=	Osge}', "");
    Expect(1, 66812, '\P{Is_Sc=	Osge}', "");
    Expect(0, 66812, '\P{^Is_Sc=	Osge}', "");
    Error('\p{Script::= _Osmanya}');
    Error('\P{Script::= _Osmanya}');
    Expect(1, 66729, '\p{Script=:\AOsmanya\z:}', "");;
    Expect(0, 66730, '\p{Script=:\AOsmanya\z:}', "");;
    Expect(1, 66729, '\p{Script=osmanya}', "");
    Expect(0, 66729, '\p{^Script=osmanya}', "");
    Expect(0, 66729, '\P{Script=osmanya}', "");
    Expect(1, 66729, '\P{^Script=osmanya}', "");
    Expect(0, 66730, '\p{Script=osmanya}', "");
    Expect(1, 66730, '\p{^Script=osmanya}', "");
    Expect(1, 66730, '\P{Script=osmanya}', "");
    Expect(0, 66730, '\P{^Script=osmanya}', "");
    Expect(1, 66729, '\p{Script=:\Aosmanya\z:}', "");;
    Expect(0, 66730, '\p{Script=:\Aosmanya\z:}', "");;
    Expect(1, 66729, '\p{Script=-_osmanya}', "");
    Expect(0, 66729, '\p{^Script=-_osmanya}', "");
    Expect(0, 66729, '\P{Script=-_osmanya}', "");
    Expect(1, 66729, '\P{^Script=-_osmanya}', "");
    Expect(0, 66730, '\p{Script=-_osmanya}', "");
    Expect(1, 66730, '\p{^Script=-_osmanya}', "");
    Expect(1, 66730, '\P{Script=-_osmanya}', "");
    Expect(0, 66730, '\P{^Script=-_osmanya}', "");
    Error('\p{Sc=_osma:=}');
    Error('\P{Sc=_osma:=}');
    Expect(1, 66729, '\p{Sc=:\AOsma\z:}', "");;
    Expect(0, 66730, '\p{Sc=:\AOsma\z:}', "");;
    Expect(1, 66729, '\p{Sc=osma}', "");
    Expect(0, 66729, '\p{^Sc=osma}', "");
    Expect(0, 66729, '\P{Sc=osma}', "");
    Expect(1, 66729, '\P{^Sc=osma}', "");
    Expect(0, 66730, '\p{Sc=osma}', "");
    Expect(1, 66730, '\p{^Sc=osma}', "");
    Expect(1, 66730, '\P{Sc=osma}', "");
    Expect(0, 66730, '\P{^Sc=osma}', "");
    Expect(1, 66729, '\p{Sc=:\Aosma\z:}', "");;
    Expect(0, 66730, '\p{Sc=:\Aosma\z:}', "");;
    Expect(1, 66729, '\p{Sc= OSMA}', "");
    Expect(0, 66729, '\p{^Sc= OSMA}', "");
    Expect(0, 66729, '\P{Sc= OSMA}', "");
    Expect(1, 66729, '\P{^Sc= OSMA}', "");
    Expect(0, 66730, '\p{Sc= OSMA}', "");
    Expect(1, 66730, '\p{^Sc= OSMA}', "");
    Expect(1, 66730, '\P{Sc= OSMA}', "");
    Expect(0, 66730, '\P{^Sc= OSMA}', "");
    Error('\p{Is_Script=:= OSMANYA}');
    Error('\P{Is_Script=:= OSMANYA}');
    Expect(1, 66729, '\p{Is_Script=osmanya}', "");
    Expect(0, 66729, '\p{^Is_Script=osmanya}', "");
    Expect(0, 66729, '\P{Is_Script=osmanya}', "");
    Expect(1, 66729, '\P{^Is_Script=osmanya}', "");
    Expect(0, 66730, '\p{Is_Script=osmanya}', "");
    Expect(1, 66730, '\p{^Is_Script=osmanya}', "");
    Expect(1, 66730, '\P{Is_Script=osmanya}', "");
    Expect(0, 66730, '\P{^Is_Script=osmanya}', "");
    Expect(1, 66729, '\p{Is_Script:		-Osmanya}', "");
    Expect(0, 66729, '\p{^Is_Script:		-Osmanya}', "");
    Expect(0, 66729, '\P{Is_Script:		-Osmanya}', "");
    Expect(1, 66729, '\P{^Is_Script:		-Osmanya}', "");
    Expect(0, 66730, '\p{Is_Script:		-Osmanya}', "");
    Expect(1, 66730, '\p{^Is_Script:		-Osmanya}', "");
    Expect(1, 66730, '\P{Is_Script:		-Osmanya}', "");
    Expect(0, 66730, '\P{^Is_Script:		-Osmanya}', "");
    Error('\p{Is_Sc= 	Osma:=}');
    Error('\P{Is_Sc= 	Osma:=}');
    Expect(1, 66729, '\p{Is_Sc=osma}', "");
    Expect(0, 66729, '\p{^Is_Sc=osma}', "");
    Expect(0, 66729, '\P{Is_Sc=osma}', "");
    Expect(1, 66729, '\P{^Is_Sc=osma}', "");
    Expect(0, 66730, '\p{Is_Sc=osma}', "");
    Expect(1, 66730, '\p{^Is_Sc=osma}', "");
    Expect(1, 66730, '\P{Is_Sc=osma}', "");
    Expect(0, 66730, '\P{^Is_Sc=osma}', "");
    Expect(1, 66729, '\p{Is_Sc=	-OSMA}', "");
    Expect(0, 66729, '\p{^Is_Sc=	-OSMA}', "");
    Expect(0, 66729, '\P{Is_Sc=	-OSMA}', "");
    Expect(1, 66729, '\P{^Is_Sc=	-OSMA}', "");
    Expect(0, 66730, '\p{Is_Sc=	-OSMA}', "");
    Expect(1, 66730, '\p{^Is_Sc=	-OSMA}', "");
    Expect(1, 66730, '\P{Is_Sc=	-OSMA}', "");
    Expect(0, 66730, '\P{^Is_Sc=	-OSMA}', "");
    Error('\p{Script=_:=Old_Uyghur}');
    Error('\P{Script=_:=Old_Uyghur}');
    Expect(1, 69513, '\p{Script=:\AOld_Uyghur\z:}', "");;
    Expect(0, 69514, '\p{Script=:\AOld_Uyghur\z:}', "");;
    Expect(1, 69513, '\p{Script=olduyghur}', "");
    Expect(0, 69513, '\p{^Script=olduyghur}', "");
    Expect(0, 69513, '\P{Script=olduyghur}', "");
    Expect(1, 69513, '\P{^Script=olduyghur}', "");
    Expect(0, 69514, '\p{Script=olduyghur}', "");
    Expect(1, 69514, '\p{^Script=olduyghur}', "");
    Expect(1, 69514, '\P{Script=olduyghur}', "");
    Expect(0, 69514, '\P{^Script=olduyghur}', "");
    Expect(1, 69513, '\p{Script=:\Aolduyghur\z:}', "");;
    Expect(0, 69514, '\p{Script=:\Aolduyghur\z:}', "");;
    Expect(1, 69513, '\p{Script=	old_uyghur}', "");
    Expect(0, 69513, '\p{^Script=	old_uyghur}', "");
    Expect(0, 69513, '\P{Script=	old_uyghur}', "");
    Expect(1, 69513, '\P{^Script=	old_uyghur}', "");
    Expect(0, 69514, '\p{Script=	old_uyghur}', "");
    Expect(1, 69514, '\p{^Script=	old_uyghur}', "");
    Expect(1, 69514, '\P{Script=	old_uyghur}', "");
    Expect(0, 69514, '\P{^Script=	old_uyghur}', "");
    Error('\p{Sc=:=	Ougr}');
    Error('\P{Sc=:=	Ougr}');
    Expect(1, 69513, '\p{Sc=:\AOugr\z:}', "");;
    Expect(0, 69514, '\p{Sc=:\AOugr\z:}', "");;
    Expect(1, 69513, '\p{Sc=ougr}', "");
    Expect(0, 69513, '\p{^Sc=ougr}', "");
    Expect(0, 69513, '\P{Sc=ougr}', "");
    Expect(1, 69513, '\P{^Sc=ougr}', "");
    Expect(0, 69514, '\p{Sc=ougr}', "");
    Expect(1, 69514, '\p{^Sc=ougr}', "");
    Expect(1, 69514, '\P{Sc=ougr}', "");
    Expect(0, 69514, '\P{^Sc=ougr}', "");
    Expect(1, 69513, '\p{Sc=:\Aougr\z:}', "");;
    Expect(0, 69514, '\p{Sc=:\Aougr\z:}', "");;
    Expect(1, 69513, '\p{Sc=-ougr}', "");
    Expect(0, 69513, '\p{^Sc=-ougr}', "");
    Expect(0, 69513, '\P{Sc=-ougr}', "");
    Expect(1, 69513, '\P{^Sc=-ougr}', "");
    Expect(0, 69514, '\p{Sc=-ougr}', "");
    Expect(1, 69514, '\p{^Sc=-ougr}', "");
    Expect(1, 69514, '\P{Sc=-ougr}', "");
    Expect(0, 69514, '\P{^Sc=-ougr}', "");
    Error('\p{Is_Script=/a/_ Old_uyghur}');
    Error('\P{Is_Script=/a/_ Old_uyghur}');
    Expect(1, 69513, '\p{Is_Script: olduyghur}', "");
    Expect(0, 69513, '\p{^Is_Script: olduyghur}', "");
    Expect(0, 69513, '\P{Is_Script: olduyghur}', "");
    Expect(1, 69513, '\P{^Is_Script: olduyghur}', "");
    Expect(0, 69514, '\p{Is_Script: olduyghur}', "");
    Expect(1, 69514, '\p{^Is_Script: olduyghur}', "");
    Expect(1, 69514, '\P{Is_Script: olduyghur}', "");
    Expect(0, 69514, '\P{^Is_Script: olduyghur}', "");
    Expect(1, 69513, '\p{Is_Script= _OLD_uyghur}', "");
    Expect(0, 69513, '\p{^Is_Script= _OLD_uyghur}', "");
    Expect(0, 69513, '\P{Is_Script= _OLD_uyghur}', "");
    Expect(1, 69513, '\P{^Is_Script= _OLD_uyghur}', "");
    Expect(0, 69514, '\p{Is_Script= _OLD_uyghur}', "");
    Expect(1, 69514, '\p{^Is_Script= _OLD_uyghur}', "");
    Expect(1, 69514, '\P{Is_Script= _OLD_uyghur}', "");
    Expect(0, 69514, '\P{^Is_Script= _OLD_uyghur}', "");
    Error('\p{Is_Sc= /a/OUGR}');
    Error('\P{Is_Sc= /a/OUGR}');
    Expect(1, 69513, '\p{Is_Sc=ougr}', "");
    Expect(0, 69513, '\p{^Is_Sc=ougr}', "");
    Expect(0, 69513, '\P{Is_Sc=ougr}', "");
    Expect(1, 69513, '\P{^Is_Sc=ougr}', "");
    Expect(0, 69514, '\p{Is_Sc=ougr}', "");
    Expect(1, 69514, '\p{^Is_Sc=ougr}', "");
    Expect(1, 69514, '\P{Is_Sc=ougr}', "");
    Expect(0, 69514, '\P{^Is_Sc=ougr}', "");
    Expect(1, 69513, '\p{Is_Sc=-	ougr}', "");
    Expect(0, 69513, '\p{^Is_Sc=-	ougr}', "");
    Expect(0, 69513, '\P{Is_Sc=-	ougr}', "");
    Expect(1, 69513, '\P{^Is_Sc=-	ougr}', "");
    Expect(0, 69514, '\p{Is_Sc=-	ougr}', "");
    Expect(1, 69514, '\p{^Is_Sc=-	ougr}', "");
    Expect(1, 69514, '\P{Is_Sc=-	ougr}', "");
    Expect(0, 69514, '\P{^Is_Sc=-	ougr}', "");
    Error('\p{Script=:=-PALMYRENE}');
    Error('\P{Script=:=-PALMYRENE}');
    Expect(1, 67711, '\p{Script=:\APalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Script=:\APalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Script=palmyrene}', "");
    Expect(0, 67711, '\p{^Script=palmyrene}', "");
    Expect(0, 67711, '\P{Script=palmyrene}', "");
    Expect(1, 67711, '\P{^Script=palmyrene}', "");
    Expect(0, 67712, '\p{Script=palmyrene}', "");
    Expect(1, 67712, '\p{^Script=palmyrene}', "");
    Expect(1, 67712, '\P{Script=palmyrene}', "");
    Expect(0, 67712, '\P{^Script=palmyrene}', "");
    Expect(1, 67711, '\p{Script=:\Apalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Script=:\Apalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Script=	_PALMYRENE}', "");
    Expect(0, 67711, '\p{^Script=	_PALMYRENE}', "");
    Expect(0, 67711, '\P{Script=	_PALMYRENE}', "");
    Expect(1, 67711, '\P{^Script=	_PALMYRENE}', "");
    Expect(0, 67712, '\p{Script=	_PALMYRENE}', "");
    Expect(1, 67712, '\p{^Script=	_PALMYRENE}', "");
    Expect(1, 67712, '\P{Script=	_PALMYRENE}', "");
    Expect(0, 67712, '\P{^Script=	_PALMYRENE}', "");
    Error('\p{Sc=__PALM:=}');
    Error('\P{Sc=__PALM:=}');
    Expect(1, 67711, '\p{Sc=:\APalm\z:}', "");;
    Expect(0, 67712, '\p{Sc=:\APalm\z:}', "");;
    Expect(1, 67711, '\p{Sc=palm}', "");
    Expect(0, 67711, '\p{^Sc=palm}', "");
    Expect(0, 67711, '\P{Sc=palm}', "");
    Expect(1, 67711, '\P{^Sc=palm}', "");
    Expect(0, 67712, '\p{Sc=palm}', "");
    Expect(1, 67712, '\p{^Sc=palm}', "");
    Expect(1, 67712, '\P{Sc=palm}', "");
    Expect(0, 67712, '\P{^Sc=palm}', "");
    Expect(1, 67711, '\p{Sc=:\Apalm\z:}', "");;
    Expect(0, 67712, '\p{Sc=:\Apalm\z:}', "");;
    Expect(1, 67711, '\p{Sc=_-Palm}', "");
    Expect(0, 67711, '\p{^Sc=_-Palm}', "");
    Expect(0, 67711, '\P{Sc=_-Palm}', "");
    Expect(1, 67711, '\P{^Sc=_-Palm}', "");
    Expect(0, 67712, '\p{Sc=_-Palm}', "");
    Expect(1, 67712, '\p{^Sc=_-Palm}', "");
    Expect(1, 67712, '\P{Sc=_-Palm}', "");
    Expect(0, 67712, '\P{^Sc=_-Palm}', "");
    Error('\p{Is_Script=:=-	Palmyrene}');
    Error('\P{Is_Script=:=-	Palmyrene}');
    Expect(1, 67711, '\p{Is_Script=palmyrene}', "");
    Expect(0, 67711, '\p{^Is_Script=palmyrene}', "");
    Expect(0, 67711, '\P{Is_Script=palmyrene}', "");
    Expect(1, 67711, '\P{^Is_Script=palmyrene}', "");
    Expect(0, 67712, '\p{Is_Script=palmyrene}', "");
    Expect(1, 67712, '\p{^Is_Script=palmyrene}', "");
    Expect(1, 67712, '\P{Is_Script=palmyrene}', "");
    Expect(0, 67712, '\P{^Is_Script=palmyrene}', "");
    Expect(1, 67711, '\p{Is_Script=-PALMYRENE}', "");
    Expect(0, 67711, '\p{^Is_Script=-PALMYRENE}', "");
    Expect(0, 67711, '\P{Is_Script=-PALMYRENE}', "");
    Expect(1, 67711, '\P{^Is_Script=-PALMYRENE}', "");
    Expect(0, 67712, '\p{Is_Script=-PALMYRENE}', "");
    Expect(1, 67712, '\p{^Is_Script=-PALMYRENE}', "");
    Expect(1, 67712, '\P{Is_Script=-PALMYRENE}', "");
    Expect(0, 67712, '\P{^Is_Script=-PALMYRENE}', "");
    Error('\p{Is_Sc=	:=palm}');
    Error('\P{Is_Sc=	:=palm}');
    Expect(1, 67711, '\p{Is_Sc=palm}', "");
    Expect(0, 67711, '\p{^Is_Sc=palm}', "");
    Expect(0, 67711, '\P{Is_Sc=palm}', "");
    Expect(1, 67711, '\P{^Is_Sc=palm}', "");
    Expect(0, 67712, '\p{Is_Sc=palm}', "");
    Expect(1, 67712, '\p{^Is_Sc=palm}', "");
    Expect(1, 67712, '\P{Is_Sc=palm}', "");
    Expect(0, 67712, '\P{^Is_Sc=palm}', "");
    Expect(1, 67711, '\p{Is_Sc=_Palm}', "");
    Expect(0, 67711, '\p{^Is_Sc=_Palm}', "");
    Expect(0, 67711, '\P{Is_Sc=_Palm}', "");
    Expect(1, 67711, '\P{^Is_Sc=_Palm}', "");
    Expect(0, 67712, '\p{Is_Sc=_Palm}', "");
    Expect(1, 67712, '\p{^Is_Sc=_Palm}', "");
    Expect(1, 67712, '\P{Is_Sc=_Palm}', "");
    Expect(0, 67712, '\P{^Is_Sc=_Palm}', "");
    Error('\p{Script=_Pau_cin_hau:=}');
    Error('\P{Script=_Pau_cin_hau:=}');
    Expect(1, 72440, '\p{Script=:\APau_Cin_Hau\z:}', "");;
    Expect(0, 72441, '\p{Script=:\APau_Cin_Hau\z:}', "");;
    Expect(1, 72440, '\p{Script=paucinhau}', "");
    Expect(0, 72440, '\p{^Script=paucinhau}', "");
    Expect(0, 72440, '\P{Script=paucinhau}', "");
    Expect(1, 72440, '\P{^Script=paucinhau}', "");
    Expect(0, 72441, '\p{Script=paucinhau}', "");
    Expect(1, 72441, '\p{^Script=paucinhau}', "");
    Expect(1, 72441, '\P{Script=paucinhau}', "");
    Expect(0, 72441, '\P{^Script=paucinhau}', "");
    Expect(1, 72440, '\p{Script=:\Apaucinhau\z:}', "");;
    Expect(0, 72441, '\p{Script=:\Apaucinhau\z:}', "");;
    Expect(1, 72440, '\p{Script=__pau_CIN_Hau}', "");
    Expect(0, 72440, '\p{^Script=__pau_CIN_Hau}', "");
    Expect(0, 72440, '\P{Script=__pau_CIN_Hau}', "");
    Expect(1, 72440, '\P{^Script=__pau_CIN_Hau}', "");
    Expect(0, 72441, '\p{Script=__pau_CIN_Hau}', "");
    Expect(1, 72441, '\p{^Script=__pau_CIN_Hau}', "");
    Expect(1, 72441, '\P{Script=__pau_CIN_Hau}', "");
    Expect(0, 72441, '\P{^Script=__pau_CIN_Hau}', "");
    Error('\p{Sc=_/a/pauc}');
    Error('\P{Sc=_/a/pauc}');
    Expect(1, 72440, '\p{Sc=:\APauc\z:}', "");;
    Expect(0, 72441, '\p{Sc=:\APauc\z:}', "");;
    Expect(1, 72440, '\p{Sc=pauc}', "");
    Expect(0, 72440, '\p{^Sc=pauc}', "");
    Expect(0, 72440, '\P{Sc=pauc}', "");
    Expect(1, 72440, '\P{^Sc=pauc}', "");
    Expect(0, 72441, '\p{Sc=pauc}', "");
    Expect(1, 72441, '\p{^Sc=pauc}', "");
    Expect(1, 72441, '\P{Sc=pauc}', "");
    Expect(0, 72441, '\P{^Sc=pauc}', "");
    Expect(1, 72440, '\p{Sc=:\Apauc\z:}', "");;
    Expect(0, 72441, '\p{Sc=:\Apauc\z:}', "");;
    Expect(1, 72440, '\p{Sc=_Pauc}', "");
    Expect(0, 72440, '\p{^Sc=_Pauc}', "");
    Expect(0, 72440, '\P{Sc=_Pauc}', "");
    Expect(1, 72440, '\P{^Sc=_Pauc}', "");
    Expect(0, 72441, '\p{Sc=_Pauc}', "");
    Expect(1, 72441, '\p{^Sc=_Pauc}', "");
    Expect(1, 72441, '\P{Sc=_Pauc}', "");
    Expect(0, 72441, '\P{^Sc=_Pauc}', "");
    Error('\p{Is_Script=/a/_	pau_CIN_HAU}');
    Error('\P{Is_Script=/a/_	pau_CIN_HAU}');
    Expect(1, 72440, '\p{Is_Script=paucinhau}', "");
    Expect(0, 72440, '\p{^Is_Script=paucinhau}', "");
    Expect(0, 72440, '\P{Is_Script=paucinhau}', "");
    Expect(1, 72440, '\P{^Is_Script=paucinhau}', "");
    Expect(0, 72441, '\p{Is_Script=paucinhau}', "");
    Expect(1, 72441, '\p{^Is_Script=paucinhau}', "");
    Expect(1, 72441, '\P{Is_Script=paucinhau}', "");
    Expect(0, 72441, '\P{^Is_Script=paucinhau}', "");
    Expect(1, 72440, '\p{Is_Script=_pau_cin_hau}', "");
    Expect(0, 72440, '\p{^Is_Script=_pau_cin_hau}', "");
    Expect(0, 72440, '\P{Is_Script=_pau_cin_hau}', "");
    Expect(1, 72440, '\P{^Is_Script=_pau_cin_hau}', "");
    Expect(0, 72441, '\p{Is_Script=_pau_cin_hau}', "");
    Expect(1, 72441, '\p{^Is_Script=_pau_cin_hau}', "");
    Expect(1, 72441, '\P{Is_Script=_pau_cin_hau}', "");
    Expect(0, 72441, '\P{^Is_Script=_pau_cin_hau}', "");
    Error('\p{Is_Sc=__Pauc/a/}');
    Error('\P{Is_Sc=__Pauc/a/}');
    Expect(1, 72440, '\p{Is_Sc=pauc}', "");
    Expect(0, 72440, '\p{^Is_Sc=pauc}', "");
    Expect(0, 72440, '\P{Is_Sc=pauc}', "");
    Expect(1, 72440, '\P{^Is_Sc=pauc}', "");
    Expect(0, 72441, '\p{Is_Sc=pauc}', "");
    Expect(1, 72441, '\p{^Is_Sc=pauc}', "");
    Expect(1, 72441, '\P{Is_Sc=pauc}', "");
    Expect(0, 72441, '\P{^Is_Sc=pauc}', "");
    Expect(1, 72440, '\p{Is_Sc=	-Pauc}', "");
    Expect(0, 72440, '\p{^Is_Sc=	-Pauc}', "");
    Expect(0, 72440, '\P{Is_Sc=	-Pauc}', "");
    Expect(1, 72440, '\P{^Is_Sc=	-Pauc}', "");
    Expect(0, 72441, '\p{Is_Sc=	-Pauc}', "");
    Expect(1, 72441, '\p{^Is_Sc=	-Pauc}', "");
    Expect(1, 72441, '\P{Is_Sc=	-Pauc}', "");
    Expect(0, 72441, '\P{^Is_Sc=	-Pauc}', "");
    Error('\p{Script=	_OLD_PERMIC/a/}');
    Error('\P{Script=	_OLD_PERMIC/a/}');
    Expect(1, 66426, '\p{Script=:\AOld_Permic\z:}', "");;
    Expect(0, 66427, '\p{Script=:\AOld_Permic\z:}', "");;
    Expect(1, 66426, '\p{Script=oldpermic}', "");
    Expect(0, 66426, '\p{^Script=oldpermic}', "");
    Expect(0, 66426, '\P{Script=oldpermic}', "");
    Expect(1, 66426, '\P{^Script=oldpermic}', "");
    Expect(0, 66427, '\p{Script=oldpermic}', "");
    Expect(1, 66427, '\p{^Script=oldpermic}', "");
    Expect(1, 66427, '\P{Script=oldpermic}', "");
    Expect(0, 66427, '\P{^Script=oldpermic}', "");
    Expect(1, 66426, '\p{Script=:\Aoldpermic\z:}', "");;
    Expect(0, 66427, '\p{Script=:\Aoldpermic\z:}', "");;
    Expect(1, 66426, '\p{Script=  Old_permic}', "");
    Expect(0, 66426, '\p{^Script=  Old_permic}', "");
    Expect(0, 66426, '\P{Script=  Old_permic}', "");
    Expect(1, 66426, '\P{^Script=  Old_permic}', "");
    Expect(0, 66427, '\p{Script=  Old_permic}', "");
    Expect(1, 66427, '\p{^Script=  Old_permic}', "");
    Expect(1, 66427, '\P{Script=  Old_permic}', "");
    Expect(0, 66427, '\P{^Script=  Old_permic}', "");
    Error('\p{Sc= :=Perm}');
    Error('\P{Sc= :=Perm}');
    Expect(1, 66426, '\p{Sc=:\APerm\z:}', "");;
    Expect(0, 66427, '\p{Sc=:\APerm\z:}', "");;
    Expect(1, 66426, '\p{Sc=perm}', "");
    Expect(0, 66426, '\p{^Sc=perm}', "");
    Expect(0, 66426, '\P{Sc=perm}', "");
    Expect(1, 66426, '\P{^Sc=perm}', "");
    Expect(0, 66427, '\p{Sc=perm}', "");
    Expect(1, 66427, '\p{^Sc=perm}', "");
    Expect(1, 66427, '\P{Sc=perm}', "");
    Expect(0, 66427, '\P{^Sc=perm}', "");
    Expect(1, 66426, '\p{Sc=:\Aperm\z:}', "");;
    Expect(0, 66427, '\p{Sc=:\Aperm\z:}', "");;
    Expect(1, 66426, '\p{Sc=  Perm}', "");
    Expect(0, 66426, '\p{^Sc=  Perm}', "");
    Expect(0, 66426, '\P{Sc=  Perm}', "");
    Expect(1, 66426, '\P{^Sc=  Perm}', "");
    Expect(0, 66427, '\p{Sc=  Perm}', "");
    Expect(1, 66427, '\p{^Sc=  Perm}', "");
    Expect(1, 66427, '\P{Sc=  Perm}', "");
    Expect(0, 66427, '\P{^Sc=  Perm}', "");
    Error('\p{Is_Script=-/a/Old_permic}');
    Error('\P{Is_Script=-/a/Old_permic}');
    Expect(1, 66426, '\p{Is_Script=oldpermic}', "");
    Expect(0, 66426, '\p{^Is_Script=oldpermic}', "");
    Expect(0, 66426, '\P{Is_Script=oldpermic}', "");
    Expect(1, 66426, '\P{^Is_Script=oldpermic}', "");
    Expect(0, 66427, '\p{Is_Script=oldpermic}', "");
    Expect(1, 66427, '\p{^Is_Script=oldpermic}', "");
    Expect(1, 66427, '\P{Is_Script=oldpermic}', "");
    Expect(0, 66427, '\P{^Is_Script=oldpermic}', "");
    Expect(1, 66426, '\p{Is_Script= 	old_PERMIC}', "");
    Expect(0, 66426, '\p{^Is_Script= 	old_PERMIC}', "");
    Expect(0, 66426, '\P{Is_Script= 	old_PERMIC}', "");
    Expect(1, 66426, '\P{^Is_Script= 	old_PERMIC}', "");
    Expect(0, 66427, '\p{Is_Script= 	old_PERMIC}', "");
    Expect(1, 66427, '\p{^Is_Script= 	old_PERMIC}', "");
    Expect(1, 66427, '\P{Is_Script= 	old_PERMIC}', "");
    Expect(0, 66427, '\P{^Is_Script= 	old_PERMIC}', "");
    Error('\p{Is_Sc=__PERM/a/}');
    Error('\P{Is_Sc=__PERM/a/}');
    Expect(1, 66426, '\p{Is_Sc=perm}', "");
    Expect(0, 66426, '\p{^Is_Sc=perm}', "");
    Expect(0, 66426, '\P{Is_Sc=perm}', "");
    Expect(1, 66426, '\P{^Is_Sc=perm}', "");
    Expect(0, 66427, '\p{Is_Sc=perm}', "");
    Expect(1, 66427, '\p{^Is_Sc=perm}', "");
    Expect(1, 66427, '\P{Is_Sc=perm}', "");
    Expect(0, 66427, '\P{^Is_Sc=perm}', "");
    Expect(1, 66426, '\p{Is_Sc=	 perm}', "");
    Expect(0, 66426, '\p{^Is_Sc=	 perm}', "");
    Expect(0, 66426, '\P{Is_Sc=	 perm}', "");
    Expect(1, 66426, '\P{^Is_Sc=	 perm}', "");
    Expect(0, 66427, '\p{Is_Sc=	 perm}', "");
    Expect(1, 66427, '\p{^Is_Sc=	 perm}', "");
    Expect(1, 66427, '\P{Is_Sc=	 perm}', "");
    Expect(0, 66427, '\P{^Is_Sc=	 perm}', "");
    Error('\p{Script=	-PHAGS_PA/a/}');
    Error('\P{Script=	-PHAGS_PA/a/}');
    Expect(1, 43127, '\p{Script=:\APhags_Pa\z:}', "");;
    Expect(0, 43128, '\p{Script=:\APhags_Pa\z:}', "");;
    Expect(1, 43127, '\p{Script=phagspa}', "");
    Expect(0, 43127, '\p{^Script=phagspa}', "");
    Expect(0, 43127, '\P{Script=phagspa}', "");
    Expect(1, 43127, '\P{^Script=phagspa}', "");
    Expect(0, 43128, '\p{Script=phagspa}', "");
    Expect(1, 43128, '\p{^Script=phagspa}', "");
    Expect(1, 43128, '\P{Script=phagspa}', "");
    Expect(0, 43128, '\P{^Script=phagspa}', "");
    Expect(1, 43127, '\p{Script=:\Aphagspa\z:}', "");;
    Expect(0, 43128, '\p{Script=:\Aphagspa\z:}', "");;
    Expect(1, 43127, '\p{Script= 	Phags_Pa}', "");
    Expect(0, 43127, '\p{^Script= 	Phags_Pa}', "");
    Expect(0, 43127, '\P{Script= 	Phags_Pa}', "");
    Expect(1, 43127, '\P{^Script= 	Phags_Pa}', "");
    Expect(0, 43128, '\p{Script= 	Phags_Pa}', "");
    Expect(1, 43128, '\p{^Script= 	Phags_Pa}', "");
    Expect(1, 43128, '\P{Script= 	Phags_Pa}', "");
    Expect(0, 43128, '\P{^Script= 	Phags_Pa}', "");
    Error('\p{Sc:-:=Phag}');
    Error('\P{Sc:-:=Phag}');
    Expect(1, 43127, '\p{Sc=:\APhag\z:}', "");;
    Expect(0, 43128, '\p{Sc=:\APhag\z:}', "");;
    Expect(1, 43127, '\p{Sc=phag}', "");
    Expect(0, 43127, '\p{^Sc=phag}', "");
    Expect(0, 43127, '\P{Sc=phag}', "");
    Expect(1, 43127, '\P{^Sc=phag}', "");
    Expect(0, 43128, '\p{Sc=phag}', "");
    Expect(1, 43128, '\p{^Sc=phag}', "");
    Expect(1, 43128, '\P{Sc=phag}', "");
    Expect(0, 43128, '\P{^Sc=phag}', "");
    Expect(1, 43127, '\p{Sc=:\Aphag\z:}', "");;
    Expect(0, 43128, '\p{Sc=:\Aphag\z:}', "");;
    Expect(1, 43127, '\p{Sc: -Phag}', "");
    Expect(0, 43127, '\p{^Sc: -Phag}', "");
    Expect(0, 43127, '\P{Sc: -Phag}', "");
    Expect(1, 43127, '\P{^Sc: -Phag}', "");
    Expect(0, 43128, '\p{Sc: -Phag}', "");
    Expect(1, 43128, '\p{^Sc: -Phag}', "");
    Expect(1, 43128, '\P{Sc: -Phag}', "");
    Expect(0, 43128, '\P{^Sc: -Phag}', "");
    Error('\p{Is_Script=-_Phags_pa/a/}');
    Error('\P{Is_Script=-_Phags_pa/a/}');
    Expect(1, 43127, '\p{Is_Script=phagspa}', "");
    Expect(0, 43127, '\p{^Is_Script=phagspa}', "");
    Expect(0, 43127, '\P{Is_Script=phagspa}', "");
    Expect(1, 43127, '\P{^Is_Script=phagspa}', "");
    Expect(0, 43128, '\p{Is_Script=phagspa}', "");
    Expect(1, 43128, '\p{^Is_Script=phagspa}', "");
    Expect(1, 43128, '\P{Is_Script=phagspa}', "");
    Expect(0, 43128, '\P{^Is_Script=phagspa}', "");
    Expect(1, 43127, '\p{Is_Script:	PHAGS_PA}', "");
    Expect(0, 43127, '\p{^Is_Script:	PHAGS_PA}', "");
    Expect(0, 43127, '\P{Is_Script:	PHAGS_PA}', "");
    Expect(1, 43127, '\P{^Is_Script:	PHAGS_PA}', "");
    Expect(0, 43128, '\p{Is_Script:	PHAGS_PA}', "");
    Expect(1, 43128, '\p{^Is_Script:	PHAGS_PA}', "");
    Expect(1, 43128, '\P{Is_Script:	PHAGS_PA}', "");
    Expect(0, 43128, '\P{^Is_Script:	PHAGS_PA}', "");
    Error('\p{Is_Sc=--phag:=}');
    Error('\P{Is_Sc=--phag:=}');
    Expect(1, 43127, '\p{Is_Sc=phag}', "");
    Expect(0, 43127, '\p{^Is_Sc=phag}', "");
    Expect(0, 43127, '\P{Is_Sc=phag}', "");
    Expect(1, 43127, '\P{^Is_Sc=phag}', "");
    Expect(0, 43128, '\p{Is_Sc=phag}', "");
    Expect(1, 43128, '\p{^Is_Sc=phag}', "");
    Expect(1, 43128, '\P{Is_Sc=phag}', "");
    Expect(0, 43128, '\P{^Is_Sc=phag}', "");
    Expect(1, 43127, '\p{Is_Sc=-Phag}', "");
    Expect(0, 43127, '\p{^Is_Sc=-Phag}', "");
    Expect(0, 43127, '\P{Is_Sc=-Phag}', "");
    Expect(1, 43127, '\P{^Is_Sc=-Phag}', "");
    Expect(0, 43128, '\p{Is_Sc=-Phag}', "");
    Expect(1, 43128, '\p{^Is_Sc=-Phag}', "");
    Expect(1, 43128, '\P{Is_Sc=-Phag}', "");
    Expect(0, 43128, '\P{^Is_Sc=-Phag}', "");
    Error('\p{Script= /a/Inscriptional_PAHLAVI}');
    Error('\P{Script= /a/Inscriptional_PAHLAVI}');
    Expect(1, 68479, '\p{Script=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(0, 68480, '\p{Script=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(1, 68479, '\p{Script=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Script=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Script=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Script=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Script=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Script=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Script=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Script=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Script=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(0, 68480, '\p{Script=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(1, 68479, '\p{Script=--Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\p{^Script=--Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\P{Script=--Inscriptional_pahlavi}', "");
    Expect(1, 68479, '\P{^Script=--Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\p{Script=--Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\p{^Script=--Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\P{Script=--Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\P{^Script=--Inscriptional_pahlavi}', "");
    Error('\p{Sc=:=	Phli}');
    Error('\P{Sc=:=	Phli}');
    Expect(1, 68479, '\p{Sc=:\APhli\z:}', "");;
    Expect(0, 68480, '\p{Sc=:\APhli\z:}', "");;
    Expect(1, 68479, '\p{Sc=phli}', "");
    Expect(0, 68479, '\p{^Sc=phli}', "");
    Expect(0, 68479, '\P{Sc=phli}', "");
    Expect(1, 68479, '\P{^Sc=phli}', "");
    Expect(0, 68480, '\p{Sc=phli}', "");
    Expect(1, 68480, '\p{^Sc=phli}', "");
    Expect(1, 68480, '\P{Sc=phli}', "");
    Expect(0, 68480, '\P{^Sc=phli}', "");
    Expect(1, 68479, '\p{Sc=:\Aphli\z:}', "");;
    Expect(0, 68480, '\p{Sc=:\Aphli\z:}', "");;
    Expect(1, 68479, '\p{Sc= 	phli}', "");
    Expect(0, 68479, '\p{^Sc= 	phli}', "");
    Expect(0, 68479, '\P{Sc= 	phli}', "");
    Expect(1, 68479, '\P{^Sc= 	phli}', "");
    Expect(0, 68480, '\p{Sc= 	phli}', "");
    Expect(1, 68480, '\p{^Sc= 	phli}', "");
    Expect(1, 68480, '\P{Sc= 	phli}', "");
    Expect(0, 68480, '\P{^Sc= 	phli}', "");
    Error('\p{Is_Script=		INSCRIPTIONAL_Pahlavi:=}');
    Error('\P{Is_Script=		INSCRIPTIONAL_Pahlavi:=}');
    Expect(1, 68479, '\p{Is_Script:	inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Is_Script:	inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Is_Script:	inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Is_Script:	inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Is_Script:	inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Is_Script:	inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Is_Script:	inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Is_Script:	inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Is_Script= _Inscriptional_Pahlavi}', "");
    Expect(0, 68479, '\p{^Is_Script= _Inscriptional_Pahlavi}', "");
    Expect(0, 68479, '\P{Is_Script= _Inscriptional_Pahlavi}', "");
    Expect(1, 68479, '\P{^Is_Script= _Inscriptional_Pahlavi}', "");
    Expect(0, 68480, '\p{Is_Script= _Inscriptional_Pahlavi}', "");
    Expect(1, 68480, '\p{^Is_Script= _Inscriptional_Pahlavi}', "");
    Expect(1, 68480, '\P{Is_Script= _Inscriptional_Pahlavi}', "");
    Expect(0, 68480, '\P{^Is_Script= _Inscriptional_Pahlavi}', "");
    Error('\p{Is_Sc=/a/-	Phli}');
    Error('\P{Is_Sc=/a/-	Phli}');
    Expect(1, 68479, '\p{Is_Sc=phli}', "");
    Expect(0, 68479, '\p{^Is_Sc=phli}', "");
    Expect(0, 68479, '\P{Is_Sc=phli}', "");
    Expect(1, 68479, '\P{^Is_Sc=phli}', "");
    Expect(0, 68480, '\p{Is_Sc=phli}', "");
    Expect(1, 68480, '\p{^Is_Sc=phli}', "");
    Expect(1, 68480, '\P{Is_Sc=phli}', "");
    Expect(0, 68480, '\P{^Is_Sc=phli}', "");
    Expect(1, 68479, '\p{Is_Sc= _phli}', "");
    Expect(0, 68479, '\p{^Is_Sc= _phli}', "");
    Expect(0, 68479, '\P{Is_Sc= _phli}', "");
    Expect(1, 68479, '\P{^Is_Sc= _phli}', "");
    Expect(0, 68480, '\p{Is_Sc= _phli}', "");
    Expect(1, 68480, '\p{^Is_Sc= _phli}', "");
    Expect(1, 68480, '\P{Is_Sc= _phli}', "");
    Expect(0, 68480, '\P{^Is_Sc= _phli}', "");
    Error('\p{Script=psalter_Pahlavi:=}');
    Error('\P{Script=psalter_Pahlavi:=}');
    Expect(1, 68527, '\p{Script=:\APsalter_Pahlavi\z:}', "");;
    Expect(0, 68528, '\p{Script=:\APsalter_Pahlavi\z:}', "");;
    Expect(1, 68527, '\p{Script=psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Script=psalterpahlavi}', "");
    Expect(0, 68527, '\P{Script=psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Script=psalterpahlavi}', "");
    Expect(0, 68528, '\p{Script=psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Script=psalterpahlavi}', "");
    Expect(1, 68528, '\P{Script=psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Script=psalterpahlavi}', "");
    Expect(1, 68527, '\p{Script=:\Apsalterpahlavi\z:}', "");;
    Expect(0, 68528, '\p{Script=:\Apsalterpahlavi\z:}', "");;
    Expect(1, 68527, '\p{Script=--Psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^Script=--Psalter_pahlavi}', "");
    Expect(0, 68527, '\P{Script=--Psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^Script=--Psalter_pahlavi}', "");
    Expect(0, 68528, '\p{Script=--Psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^Script=--Psalter_pahlavi}', "");
    Expect(1, 68528, '\P{Script=--Psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^Script=--Psalter_pahlavi}', "");
    Error('\p{Sc=:=_-Phlp}');
    Error('\P{Sc=:=_-Phlp}');
    Expect(1, 68527, '\p{Sc=:\APhlp\z:}', "");;
    Expect(0, 68528, '\p{Sc=:\APhlp\z:}', "");;
    Expect(1, 68527, '\p{Sc=phlp}', "");
    Expect(0, 68527, '\p{^Sc=phlp}', "");
    Expect(0, 68527, '\P{Sc=phlp}', "");
    Expect(1, 68527, '\P{^Sc=phlp}', "");
    Expect(0, 68528, '\p{Sc=phlp}', "");
    Expect(1, 68528, '\p{^Sc=phlp}', "");
    Expect(1, 68528, '\P{Sc=phlp}', "");
    Expect(0, 68528, '\P{^Sc=phlp}', "");
    Expect(1, 68527, '\p{Sc=:\Aphlp\z:}', "");;
    Expect(0, 68528, '\p{Sc=:\Aphlp\z:}', "");;
    Expect(1, 68527, '\p{Sc:   		Phlp}', "");
    Expect(0, 68527, '\p{^Sc:   		Phlp}', "");
    Expect(0, 68527, '\P{Sc:   		Phlp}', "");
    Expect(1, 68527, '\P{^Sc:   		Phlp}', "");
    Expect(0, 68528, '\p{Sc:   		Phlp}', "");
    Expect(1, 68528, '\p{^Sc:   		Phlp}', "");
    Expect(1, 68528, '\P{Sc:   		Phlp}', "");
    Expect(0, 68528, '\P{^Sc:   		Phlp}', "");
    Error('\p{Is_Script= PSALTER_Pahlavi:=}');
    Error('\P{Is_Script= PSALTER_Pahlavi:=}');
    Expect(1, 68527, '\p{Is_Script:   psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Is_Script:   psalterpahlavi}', "");
    Expect(0, 68527, '\P{Is_Script:   psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Is_Script:   psalterpahlavi}', "");
    Expect(0, 68528, '\p{Is_Script:   psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Is_Script:   psalterpahlavi}', "");
    Expect(1, 68528, '\P{Is_Script:   psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Is_Script:   psalterpahlavi}', "");
    Expect(1, 68527, '\p{Is_Script=_	PSALTER_Pahlavi}', "");
    Expect(0, 68527, '\p{^Is_Script=_	PSALTER_Pahlavi}', "");
    Expect(0, 68527, '\P{Is_Script=_	PSALTER_Pahlavi}', "");
    Expect(1, 68527, '\P{^Is_Script=_	PSALTER_Pahlavi}', "");
    Expect(0, 68528, '\p{Is_Script=_	PSALTER_Pahlavi}', "");
    Expect(1, 68528, '\p{^Is_Script=_	PSALTER_Pahlavi}', "");
    Expect(1, 68528, '\P{Is_Script=_	PSALTER_Pahlavi}', "");
    Expect(0, 68528, '\P{^Is_Script=_	PSALTER_Pahlavi}', "");
    Error('\p{Is_Sc=	phlp:=}');
    Error('\P{Is_Sc=	phlp:=}');
    Expect(1, 68527, '\p{Is_Sc=phlp}', "");
    Expect(0, 68527, '\p{^Is_Sc=phlp}', "");
    Expect(0, 68527, '\P{Is_Sc=phlp}', "");
    Expect(1, 68527, '\P{^Is_Sc=phlp}', "");
    Expect(0, 68528, '\p{Is_Sc=phlp}', "");
    Expect(1, 68528, '\p{^Is_Sc=phlp}', "");
    Expect(1, 68528, '\P{Is_Sc=phlp}', "");
    Expect(0, 68528, '\P{^Is_Sc=phlp}', "");
    Expect(1, 68527, '\p{Is_Sc=_-Phlp}', "");
    Expect(0, 68527, '\p{^Is_Sc=_-Phlp}', "");
    Expect(0, 68527, '\P{Is_Sc=_-Phlp}', "");
    Expect(1, 68527, '\P{^Is_Sc=_-Phlp}', "");
    Expect(0, 68528, '\p{Is_Sc=_-Phlp}', "");
    Expect(1, 68528, '\p{^Is_Sc=_-Phlp}', "");
    Expect(1, 68528, '\P{Is_Sc=_-Phlp}', "");
    Expect(0, 68528, '\P{^Is_Sc=_-Phlp}', "");
    Error('\p{Script=-/a/phoenician}');
    Error('\P{Script=-/a/phoenician}');
    Expect(1, 67871, '\p{Script=:\APhoenician\z:}', "");;
    Expect(0, 67872, '\p{Script=:\APhoenician\z:}', "");;
    Expect(1, 67871, '\p{Script:phoenician}', "");
    Expect(0, 67871, '\p{^Script:phoenician}', "");
    Expect(0, 67871, '\P{Script:phoenician}', "");
    Expect(1, 67871, '\P{^Script:phoenician}', "");
    Expect(0, 67872, '\p{Script:phoenician}', "");
    Expect(1, 67872, '\p{^Script:phoenician}', "");
    Expect(1, 67872, '\P{Script:phoenician}', "");
    Expect(0, 67872, '\P{^Script:phoenician}', "");
    Expect(1, 67871, '\p{Script=:\Aphoenician\z:}', "");;
    Expect(0, 67872, '\p{Script=:\Aphoenician\z:}', "");;
    Error('\p{Sc=-Phnx/a/}');
    Error('\P{Sc=-Phnx/a/}');
    Expect(1, 67871, '\p{Sc=:\APhnx\z:}', "");;
    Expect(0, 67872, '\p{Sc=:\APhnx\z:}', "");;
    Expect(1, 67871, '\p{Sc:phnx}', "");
    Expect(0, 67871, '\p{^Sc:phnx}', "");
    Expect(0, 67871, '\P{Sc:phnx}', "");
    Expect(1, 67871, '\P{^Sc:phnx}', "");
    Expect(0, 67872, '\p{Sc:phnx}', "");
    Expect(1, 67872, '\p{^Sc:phnx}', "");
    Expect(1, 67872, '\P{Sc:phnx}', "");
    Expect(0, 67872, '\P{^Sc:phnx}', "");
    Expect(1, 67871, '\p{Sc=:\Aphnx\z:}', "");;
    Expect(0, 67872, '\p{Sc=:\Aphnx\z:}', "");;
    Expect(1, 67871, '\p{Sc= PHNX}', "");
    Expect(0, 67871, '\p{^Sc= PHNX}', "");
    Expect(0, 67871, '\P{Sc= PHNX}', "");
    Expect(1, 67871, '\P{^Sc= PHNX}', "");
    Expect(0, 67872, '\p{Sc= PHNX}', "");
    Expect(1, 67872, '\p{^Sc= PHNX}', "");
    Expect(1, 67872, '\P{Sc= PHNX}', "");
    Expect(0, 67872, '\P{^Sc= PHNX}', "");
    Error('\p{Is_Script=_ PHOENICIAN/a/}');
    Error('\P{Is_Script=_ PHOENICIAN/a/}');
    Expect(1, 67871, '\p{Is_Script=phoenician}', "");
    Expect(0, 67871, '\p{^Is_Script=phoenician}', "");
    Expect(0, 67871, '\P{Is_Script=phoenician}', "");
    Expect(1, 67871, '\P{^Is_Script=phoenician}', "");
    Expect(0, 67872, '\p{Is_Script=phoenician}', "");
    Expect(1, 67872, '\p{^Is_Script=phoenician}', "");
    Expect(1, 67872, '\P{Is_Script=phoenician}', "");
    Expect(0, 67872, '\P{^Is_Script=phoenician}', "");
    Expect(1, 67871, '\p{Is_Script=		phoenician}', "");
    Expect(0, 67871, '\p{^Is_Script=		phoenician}', "");
    Expect(0, 67871, '\P{Is_Script=		phoenician}', "");
    Expect(1, 67871, '\P{^Is_Script=		phoenician}', "");
    Expect(0, 67872, '\p{Is_Script=		phoenician}', "");
    Expect(1, 67872, '\p{^Is_Script=		phoenician}', "");
    Expect(1, 67872, '\P{Is_Script=		phoenician}', "");
    Expect(0, 67872, '\P{^Is_Script=		phoenician}', "");
    Error('\p{Is_Sc= :=Phnx}');
    Error('\P{Is_Sc= :=Phnx}');
    Expect(1, 67871, '\p{Is_Sc=phnx}', "");
    Expect(0, 67871, '\p{^Is_Sc=phnx}', "");
    Expect(0, 67871, '\P{Is_Sc=phnx}', "");
    Expect(1, 67871, '\P{^Is_Sc=phnx}', "");
    Expect(0, 67872, '\p{Is_Sc=phnx}', "");
    Expect(1, 67872, '\p{^Is_Sc=phnx}', "");
    Expect(1, 67872, '\P{Is_Sc=phnx}', "");
    Expect(0, 67872, '\P{^Is_Sc=phnx}', "");
    Expect(1, 67871, '\p{Is_Sc=_-Phnx}', "");
    Expect(0, 67871, '\p{^Is_Sc=_-Phnx}', "");
    Expect(0, 67871, '\P{Is_Sc=_-Phnx}', "");
    Expect(1, 67871, '\P{^Is_Sc=_-Phnx}', "");
    Expect(0, 67872, '\p{Is_Sc=_-Phnx}', "");
    Expect(1, 67872, '\p{^Is_Sc=_-Phnx}', "");
    Expect(1, 67872, '\P{Is_Sc=_-Phnx}', "");
    Expect(0, 67872, '\P{^Is_Sc=_-Phnx}', "");
    Error('\p{Script=_/a/MIAO}');
    Error('\P{Script=_/a/MIAO}');
    Expect(1, 94111, '\p{Script=:\AMiao\z:}', "");;
    Expect(0, 94112, '\p{Script=:\AMiao\z:}', "");;
    Expect(1, 94111, '\p{Script=miao}', "");
    Expect(0, 94111, '\p{^Script=miao}', "");
    Expect(0, 94111, '\P{Script=miao}', "");
    Expect(1, 94111, '\P{^Script=miao}', "");
    Expect(0, 94112, '\p{Script=miao}', "");
    Expect(1, 94112, '\p{^Script=miao}', "");
    Expect(1, 94112, '\P{Script=miao}', "");
    Expect(0, 94112, '\P{^Script=miao}', "");
    Expect(1, 94111, '\p{Script=:\Amiao\z:}', "");;
    Expect(0, 94112, '\p{Script=:\Amiao\z:}', "");;
    Expect(1, 94111, '\p{Script=_-Miao}', "");
    Expect(0, 94111, '\p{^Script=_-Miao}', "");
    Expect(0, 94111, '\P{Script=_-Miao}', "");
    Expect(1, 94111, '\P{^Script=_-Miao}', "");
    Expect(0, 94112, '\p{Script=_-Miao}', "");
    Expect(1, 94112, '\p{^Script=_-Miao}', "");
    Expect(1, 94112, '\P{Script=_-Miao}', "");
    Expect(0, 94112, '\P{^Script=_-Miao}', "");
    Error('\p{Sc=-_Plrd:=}');
    Error('\P{Sc=-_Plrd:=}');
    Expect(1, 94111, '\p{Sc=:\APlrd\z:}', "");;
    Expect(0, 94112, '\p{Sc=:\APlrd\z:}', "");;
    Expect(1, 94111, '\p{Sc=plrd}', "");
    Expect(0, 94111, '\p{^Sc=plrd}', "");
    Expect(0, 94111, '\P{Sc=plrd}', "");
    Expect(1, 94111, '\P{^Sc=plrd}', "");
    Expect(0, 94112, '\p{Sc=plrd}', "");
    Expect(1, 94112, '\p{^Sc=plrd}', "");
    Expect(1, 94112, '\P{Sc=plrd}', "");
    Expect(0, 94112, '\P{^Sc=plrd}', "");
    Expect(1, 94111, '\p{Sc=:\Aplrd\z:}', "");;
    Expect(0, 94112, '\p{Sc=:\Aplrd\z:}', "");;
    Expect(1, 94111, '\p{Sc=Plrd}', "");
    Expect(0, 94111, '\p{^Sc=Plrd}', "");
    Expect(0, 94111, '\P{Sc=Plrd}', "");
    Expect(1, 94111, '\P{^Sc=Plrd}', "");
    Expect(0, 94112, '\p{Sc=Plrd}', "");
    Expect(1, 94112, '\p{^Sc=Plrd}', "");
    Expect(1, 94112, '\P{Sc=Plrd}', "");
    Expect(0, 94112, '\P{^Sc=Plrd}', "");
    Error('\p{Is_Script=/a/		Miao}');
    Error('\P{Is_Script=/a/		Miao}');
    Expect(1, 94111, '\p{Is_Script=miao}', "");
    Expect(0, 94111, '\p{^Is_Script=miao}', "");
    Expect(0, 94111, '\P{Is_Script=miao}', "");
    Expect(1, 94111, '\P{^Is_Script=miao}', "");
    Expect(0, 94112, '\p{Is_Script=miao}', "");
    Expect(1, 94112, '\p{^Is_Script=miao}', "");
    Expect(1, 94112, '\P{Is_Script=miao}', "");
    Expect(0, 94112, '\P{^Is_Script=miao}', "");
    Expect(1, 94111, '\p{Is_Script=_-Miao}', "");
    Expect(0, 94111, '\p{^Is_Script=_-Miao}', "");
    Expect(0, 94111, '\P{Is_Script=_-Miao}', "");
    Expect(1, 94111, '\P{^Is_Script=_-Miao}', "");
    Expect(0, 94112, '\p{Is_Script=_-Miao}', "");
    Expect(1, 94112, '\p{^Is_Script=_-Miao}', "");
    Expect(1, 94112, '\P{Is_Script=_-Miao}', "");
    Expect(0, 94112, '\P{^Is_Script=_-Miao}', "");
    Error('\p{Is_Sc=_Plrd/a/}');
    Error('\P{Is_Sc=_Plrd/a/}');
    Expect(1, 94111, '\p{Is_Sc=plrd}', "");
    Expect(0, 94111, '\p{^Is_Sc=plrd}', "");
    Expect(0, 94111, '\P{Is_Sc=plrd}', "");
    Expect(1, 94111, '\P{^Is_Sc=plrd}', "");
    Expect(0, 94112, '\p{Is_Sc=plrd}', "");
    Expect(1, 94112, '\p{^Is_Sc=plrd}', "");
    Expect(1, 94112, '\P{Is_Sc=plrd}', "");
    Expect(0, 94112, '\P{^Is_Sc=plrd}', "");
    Expect(1, 94111, '\p{Is_Sc=- Plrd}', "");
    Expect(0, 94111, '\p{^Is_Sc=- Plrd}', "");
    Expect(0, 94111, '\P{Is_Sc=- Plrd}', "");
    Expect(1, 94111, '\P{^Is_Sc=- Plrd}', "");
    Expect(0, 94112, '\p{Is_Sc=- Plrd}', "");
    Expect(1, 94112, '\p{^Is_Sc=- Plrd}', "");
    Expect(1, 94112, '\P{Is_Sc=- Plrd}', "");
    Expect(0, 94112, '\P{^Is_Sc=- Plrd}', "");
    Error('\p{Script=-:=Inscriptional_Parthian}');
    Error('\P{Script=-:=Inscriptional_Parthian}');
    Expect(1, 68447, '\p{Script=:\AInscriptional_Parthian\z:}', "");;
    Expect(0, 68448, '\p{Script=:\AInscriptional_Parthian\z:}', "");;
    Expect(1, 68447, '\p{Script=inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Script=inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Script=inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Script=inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Script=inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Script=inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Script=inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Script=inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Script=:\Ainscriptionalparthian\z:}', "");;
    Expect(0, 68448, '\p{Script=:\Ainscriptionalparthian\z:}', "");;
    Expect(1, 68447, '\p{Script= Inscriptional_Parthian}', "");
    Expect(0, 68447, '\p{^Script= Inscriptional_Parthian}', "");
    Expect(0, 68447, '\P{Script= Inscriptional_Parthian}', "");
    Expect(1, 68447, '\P{^Script= Inscriptional_Parthian}', "");
    Expect(0, 68448, '\p{Script= Inscriptional_Parthian}', "");
    Expect(1, 68448, '\p{^Script= Inscriptional_Parthian}', "");
    Expect(1, 68448, '\P{Script= Inscriptional_Parthian}', "");
    Expect(0, 68448, '\P{^Script= Inscriptional_Parthian}', "");
    Error('\p{Sc=/a/Prti}');
    Error('\P{Sc=/a/Prti}');
    Expect(1, 68447, '\p{Sc=:\APrti\z:}', "");;
    Expect(0, 68448, '\p{Sc=:\APrti\z:}', "");;
    Expect(1, 68447, '\p{Sc=prti}', "");
    Expect(0, 68447, '\p{^Sc=prti}', "");
    Expect(0, 68447, '\P{Sc=prti}', "");
    Expect(1, 68447, '\P{^Sc=prti}', "");
    Expect(0, 68448, '\p{Sc=prti}', "");
    Expect(1, 68448, '\p{^Sc=prti}', "");
    Expect(1, 68448, '\P{Sc=prti}', "");
    Expect(0, 68448, '\P{^Sc=prti}', "");
    Expect(1, 68447, '\p{Sc=:\Aprti\z:}', "");;
    Expect(0, 68448, '\p{Sc=:\Aprti\z:}', "");;
    Expect(1, 68447, '\p{Sc=-PRTI}', "");
    Expect(0, 68447, '\p{^Sc=-PRTI}', "");
    Expect(0, 68447, '\P{Sc=-PRTI}', "");
    Expect(1, 68447, '\P{^Sc=-PRTI}', "");
    Expect(0, 68448, '\p{Sc=-PRTI}', "");
    Expect(1, 68448, '\p{^Sc=-PRTI}', "");
    Expect(1, 68448, '\P{Sc=-PRTI}', "");
    Expect(0, 68448, '\P{^Sc=-PRTI}', "");
    Error('\p{Is_Script= inscriptional_parthian:=}');
    Error('\P{Is_Script= inscriptional_parthian:=}');
    Expect(1, 68447, '\p{Is_Script=inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Is_Script=inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Is_Script=inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Is_Script=inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Is_Script=inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Is_Script=inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Is_Script=inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Is_Script=inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Is_Script=_inscriptional_parthian}', "");
    Expect(0, 68447, '\p{^Is_Script=_inscriptional_parthian}', "");
    Expect(0, 68447, '\P{Is_Script=_inscriptional_parthian}', "");
    Expect(1, 68447, '\P{^Is_Script=_inscriptional_parthian}', "");
    Expect(0, 68448, '\p{Is_Script=_inscriptional_parthian}', "");
    Expect(1, 68448, '\p{^Is_Script=_inscriptional_parthian}', "");
    Expect(1, 68448, '\P{Is_Script=_inscriptional_parthian}', "");
    Expect(0, 68448, '\P{^Is_Script=_inscriptional_parthian}', "");
    Error('\p{Is_Sc=:=	PRTI}');
    Error('\P{Is_Sc=:=	PRTI}');
    Expect(1, 68447, '\p{Is_Sc:   prti}', "");
    Expect(0, 68447, '\p{^Is_Sc:   prti}', "");
    Expect(0, 68447, '\P{Is_Sc:   prti}', "");
    Expect(1, 68447, '\P{^Is_Sc:   prti}', "");
    Expect(0, 68448, '\p{Is_Sc:   prti}', "");
    Expect(1, 68448, '\p{^Is_Sc:   prti}', "");
    Expect(1, 68448, '\P{Is_Sc:   prti}', "");
    Expect(0, 68448, '\P{^Is_Sc:   prti}', "");
    Expect(1, 68447, '\p{Is_Sc=PRTI}', "");
    Expect(0, 68447, '\p{^Is_Sc=PRTI}', "");
    Expect(0, 68447, '\P{Is_Sc=PRTI}', "");
    Expect(1, 68447, '\P{^Is_Sc=PRTI}', "");
    Expect(0, 68448, '\p{Is_Sc=PRTI}', "");
    Expect(1, 68448, '\p{^Is_Sc=PRTI}', "");
    Expect(1, 68448, '\P{Is_Sc=PRTI}', "");
    Expect(0, 68448, '\P{^Is_Sc=PRTI}', "");
    Error('\p{Script:/a/_-REJANG}');
    Error('\P{Script:/a/_-REJANG}');
    Expect(1, 43359, '\p{Script=:\ARejang\z:}', "");;
    Expect(0, 43360, '\p{Script=:\ARejang\z:}', "");;
    Expect(1, 43359, '\p{Script=rejang}', "");
    Expect(0, 43359, '\p{^Script=rejang}', "");
    Expect(0, 43359, '\P{Script=rejang}', "");
    Expect(1, 43359, '\P{^Script=rejang}', "");
    Expect(0, 43360, '\p{Script=rejang}', "");
    Expect(1, 43360, '\p{^Script=rejang}', "");
    Expect(1, 43360, '\P{Script=rejang}', "");
    Expect(0, 43360, '\P{^Script=rejang}', "");
    Expect(1, 43359, '\p{Script=:\Arejang\z:}', "");;
    Expect(0, 43360, '\p{Script=:\Arejang\z:}', "");;
    Expect(1, 43359, '\p{Script=-_rejang}', "");
    Expect(0, 43359, '\p{^Script=-_rejang}', "");
    Expect(0, 43359, '\P{Script=-_rejang}', "");
    Expect(1, 43359, '\P{^Script=-_rejang}', "");
    Expect(0, 43360, '\p{Script=-_rejang}', "");
    Expect(1, 43360, '\p{^Script=-_rejang}', "");
    Expect(1, 43360, '\P{Script=-_rejang}', "");
    Expect(0, 43360, '\P{^Script=-_rejang}', "");
    Error('\p{Sc=rjng/a/}');
    Error('\P{Sc=rjng/a/}');
    Expect(1, 43359, '\p{Sc=:\ARjng\z:}', "");;
    Expect(0, 43360, '\p{Sc=:\ARjng\z:}', "");;
    Expect(1, 43359, '\p{Sc: rjng}', "");
    Expect(0, 43359, '\p{^Sc: rjng}', "");
    Expect(0, 43359, '\P{Sc: rjng}', "");
    Expect(1, 43359, '\P{^Sc: rjng}', "");
    Expect(0, 43360, '\p{Sc: rjng}', "");
    Expect(1, 43360, '\p{^Sc: rjng}', "");
    Expect(1, 43360, '\P{Sc: rjng}', "");
    Expect(0, 43360, '\P{^Sc: rjng}', "");
    Expect(1, 43359, '\p{Sc=:\Arjng\z:}', "");;
    Expect(0, 43360, '\p{Sc=:\Arjng\z:}', "");;
    Expect(1, 43359, '\p{Sc=RJNG}', "");
    Expect(0, 43359, '\p{^Sc=RJNG}', "");
    Expect(0, 43359, '\P{Sc=RJNG}', "");
    Expect(1, 43359, '\P{^Sc=RJNG}', "");
    Expect(0, 43360, '\p{Sc=RJNG}', "");
    Expect(1, 43360, '\p{^Sc=RJNG}', "");
    Expect(1, 43360, '\P{Sc=RJNG}', "");
    Expect(0, 43360, '\P{^Sc=RJNG}', "");
    Error('\p{Is_Script= /a/Rejang}');
    Error('\P{Is_Script= /a/Rejang}');
    Expect(1, 43359, '\p{Is_Script=rejang}', "");
    Expect(0, 43359, '\p{^Is_Script=rejang}', "");
    Expect(0, 43359, '\P{Is_Script=rejang}', "");
    Expect(1, 43359, '\P{^Is_Script=rejang}', "");
    Expect(0, 43360, '\p{Is_Script=rejang}', "");
    Expect(1, 43360, '\p{^Is_Script=rejang}', "");
    Expect(1, 43360, '\P{Is_Script=rejang}', "");
    Expect(0, 43360, '\P{^Is_Script=rejang}', "");
    Expect(1, 43359, '\p{Is_Script=  Rejang}', "");
    Expect(0, 43359, '\p{^Is_Script=  Rejang}', "");
    Expect(0, 43359, '\P{Is_Script=  Rejang}', "");
    Expect(1, 43359, '\P{^Is_Script=  Rejang}', "");
    Expect(0, 43360, '\p{Is_Script=  Rejang}', "");
    Expect(1, 43360, '\p{^Is_Script=  Rejang}', "");
    Expect(1, 43360, '\P{Is_Script=  Rejang}', "");
    Expect(0, 43360, '\P{^Is_Script=  Rejang}', "");
    Error('\p{Is_Sc=:=_ rjng}');
    Error('\P{Is_Sc=:=_ rjng}');
    Expect(1, 43359, '\p{Is_Sc=rjng}', "");
    Expect(0, 43359, '\p{^Is_Sc=rjng}', "");
    Expect(0, 43359, '\P{Is_Sc=rjng}', "");
    Expect(1, 43359, '\P{^Is_Sc=rjng}', "");
    Expect(0, 43360, '\p{Is_Sc=rjng}', "");
    Expect(1, 43360, '\p{^Is_Sc=rjng}', "");
    Expect(1, 43360, '\P{Is_Sc=rjng}', "");
    Expect(0, 43360, '\P{^Is_Sc=rjng}', "");
    Expect(1, 43359, '\p{Is_Sc= _rjng}', "");
    Expect(0, 43359, '\p{^Is_Sc= _rjng}', "");
    Expect(0, 43359, '\P{Is_Sc= _rjng}', "");
    Expect(1, 43359, '\P{^Is_Sc= _rjng}', "");
    Expect(0, 43360, '\p{Is_Sc= _rjng}', "");
    Expect(1, 43360, '\p{^Is_Sc= _rjng}', "");
    Expect(1, 43360, '\P{Is_Sc= _rjng}', "");
    Expect(0, 43360, '\P{^Is_Sc= _rjng}', "");
    Error('\p{Script=/a/HANIFI_Rohingya}');
    Error('\P{Script=/a/HANIFI_Rohingya}');
    Expect(1, 68921, '\p{Script=:\AHanifi_Rohingya\z:}', "");;
    Expect(0, 68922, '\p{Script=:\AHanifi_Rohingya\z:}', "");;
    Expect(1, 68921, '\p{Script=hanifirohingya}', "");
    Expect(0, 68921, '\p{^Script=hanifirohingya}', "");
    Expect(0, 68921, '\P{Script=hanifirohingya}', "");
    Expect(1, 68921, '\P{^Script=hanifirohingya}', "");
    Expect(0, 68922, '\p{Script=hanifirohingya}', "");
    Expect(1, 68922, '\p{^Script=hanifirohingya}', "");
    Expect(1, 68922, '\P{Script=hanifirohingya}', "");
    Expect(0, 68922, '\P{^Script=hanifirohingya}', "");
    Expect(1, 68921, '\p{Script=:\Ahanifirohingya\z:}', "");;
    Expect(0, 68922, '\p{Script=:\Ahanifirohingya\z:}', "");;
    Expect(1, 68921, '\p{Script=-_Hanifi_rohingya}', "");
    Expect(0, 68921, '\p{^Script=-_Hanifi_rohingya}', "");
    Expect(0, 68921, '\P{Script=-_Hanifi_rohingya}', "");
    Expect(1, 68921, '\P{^Script=-_Hanifi_rohingya}', "");
    Expect(0, 68922, '\p{Script=-_Hanifi_rohingya}', "");
    Expect(1, 68922, '\p{^Script=-_Hanifi_rohingya}', "");
    Expect(1, 68922, '\P{Script=-_Hanifi_rohingya}', "");
    Expect(0, 68922, '\P{^Script=-_Hanifi_rohingya}', "");
    Error('\p{Sc=-:=Rohg}');
    Error('\P{Sc=-:=Rohg}');
    Expect(1, 68921, '\p{Sc=:\ARohg\z:}', "");;
    Expect(0, 68922, '\p{Sc=:\ARohg\z:}', "");;
    Expect(1, 68921, '\p{Sc=rohg}', "");
    Expect(0, 68921, '\p{^Sc=rohg}', "");
    Expect(0, 68921, '\P{Sc=rohg}', "");
    Expect(1, 68921, '\P{^Sc=rohg}', "");
    Expect(0, 68922, '\p{Sc=rohg}', "");
    Expect(1, 68922, '\p{^Sc=rohg}', "");
    Expect(1, 68922, '\P{Sc=rohg}', "");
    Expect(0, 68922, '\P{^Sc=rohg}', "");
    Expect(1, 68921, '\p{Sc=:\Arohg\z:}', "");;
    Expect(0, 68922, '\p{Sc=:\Arohg\z:}', "");;
    Expect(1, 68921, '\p{Sc=_rohg}', "");
    Expect(0, 68921, '\p{^Sc=_rohg}', "");
    Expect(0, 68921, '\P{Sc=_rohg}', "");
    Expect(1, 68921, '\P{^Sc=_rohg}', "");
    Expect(0, 68922, '\p{Sc=_rohg}', "");
    Expect(1, 68922, '\p{^Sc=_rohg}', "");
    Expect(1, 68922, '\P{Sc=_rohg}', "");
    Expect(0, 68922, '\P{^Sc=_rohg}', "");
    Error('\p{Is_Script=/a/-hanifi_rohingya}');
    Error('\P{Is_Script=/a/-hanifi_rohingya}');
    Expect(1, 68921, '\p{Is_Script=hanifirohingya}', "");
    Expect(0, 68921, '\p{^Is_Script=hanifirohingya}', "");
    Expect(0, 68921, '\P{Is_Script=hanifirohingya}', "");
    Expect(1, 68921, '\P{^Is_Script=hanifirohingya}', "");
    Expect(0, 68922, '\p{Is_Script=hanifirohingya}', "");
    Expect(1, 68922, '\p{^Is_Script=hanifirohingya}', "");
    Expect(1, 68922, '\P{Is_Script=hanifirohingya}', "");
    Expect(0, 68922, '\P{^Is_Script=hanifirohingya}', "");
    Expect(1, 68921, '\p{Is_Script=_ Hanifi_rohingya}', "");
    Expect(0, 68921, '\p{^Is_Script=_ Hanifi_rohingya}', "");
    Expect(0, 68921, '\P{Is_Script=_ Hanifi_rohingya}', "");
    Expect(1, 68921, '\P{^Is_Script=_ Hanifi_rohingya}', "");
    Expect(0, 68922, '\p{Is_Script=_ Hanifi_rohingya}', "");
    Expect(1, 68922, '\p{^Is_Script=_ Hanifi_rohingya}', "");
    Expect(1, 68922, '\P{Is_Script=_ Hanifi_rohingya}', "");
    Expect(0, 68922, '\P{^Is_Script=_ Hanifi_rohingya}', "");
    Error('\p{Is_Sc=_:=Rohg}');
    Error('\P{Is_Sc=_:=Rohg}');
    Expect(1, 68921, '\p{Is_Sc:	rohg}', "");
    Expect(0, 68921, '\p{^Is_Sc:	rohg}', "");
    Expect(0, 68921, '\P{Is_Sc:	rohg}', "");
    Expect(1, 68921, '\P{^Is_Sc:	rohg}', "");
    Expect(0, 68922, '\p{Is_Sc:	rohg}', "");
    Expect(1, 68922, '\p{^Is_Sc:	rohg}', "");
    Expect(1, 68922, '\P{Is_Sc:	rohg}', "");
    Expect(0, 68922, '\P{^Is_Sc:	rohg}', "");
    Expect(1, 68921, '\p{Is_Sc=-ROHG}', "");
    Expect(0, 68921, '\p{^Is_Sc=-ROHG}', "");
    Expect(0, 68921, '\P{Is_Sc=-ROHG}', "");
    Expect(1, 68921, '\P{^Is_Sc=-ROHG}', "");
    Expect(0, 68922, '\p{Is_Sc=-ROHG}', "");
    Expect(1, 68922, '\p{^Is_Sc=-ROHG}', "");
    Expect(1, 68922, '\P{Is_Sc=-ROHG}', "");
    Expect(0, 68922, '\P{^Is_Sc=-ROHG}', "");
    Error('\p{Script=:=_	Runic}');
    Error('\P{Script=:=_	Runic}');
    Expect(1, 5880, '\p{Script=:\ARunic\z:}', "");;
    Expect(0, 5881, '\p{Script=:\ARunic\z:}', "");;
    Expect(1, 5880, '\p{Script=runic}', "");
    Expect(0, 5880, '\p{^Script=runic}', "");
    Expect(0, 5880, '\P{Script=runic}', "");
    Expect(1, 5880, '\P{^Script=runic}', "");
    Expect(0, 5881, '\p{Script=runic}', "");
    Expect(1, 5881, '\p{^Script=runic}', "");
    Expect(1, 5881, '\P{Script=runic}', "");
    Expect(0, 5881, '\P{^Script=runic}', "");
    Expect(1, 5880, '\p{Script=:\Arunic\z:}', "");;
    Expect(0, 5881, '\p{Script=:\Arunic\z:}', "");;
    Expect(1, 5880, '\p{Script=	 RUNIC}', "");
    Expect(0, 5880, '\p{^Script=	 RUNIC}', "");
    Expect(0, 5880, '\P{Script=	 RUNIC}', "");
    Expect(1, 5880, '\P{^Script=	 RUNIC}', "");
    Expect(0, 5881, '\p{Script=	 RUNIC}', "");
    Expect(1, 5881, '\p{^Script=	 RUNIC}', "");
    Expect(1, 5881, '\P{Script=	 RUNIC}', "");
    Expect(0, 5881, '\P{^Script=	 RUNIC}', "");
    Error('\p{Sc=	 Runr/a/}');
    Error('\P{Sc=	 Runr/a/}');
    Expect(1, 5880, '\p{Sc=:\ARunr\z:}', "");;
    Expect(0, 5881, '\p{Sc=:\ARunr\z:}', "");;
    Expect(1, 5880, '\p{Sc=runr}', "");
    Expect(0, 5880, '\p{^Sc=runr}', "");
    Expect(0, 5880, '\P{Sc=runr}', "");
    Expect(1, 5880, '\P{^Sc=runr}', "");
    Expect(0, 5881, '\p{Sc=runr}', "");
    Expect(1, 5881, '\p{^Sc=runr}', "");
    Expect(1, 5881, '\P{Sc=runr}', "");
    Expect(0, 5881, '\P{^Sc=runr}', "");
    Expect(1, 5880, '\p{Sc=:\Arunr\z:}', "");;
    Expect(0, 5881, '\p{Sc=:\Arunr\z:}', "");;
    Expect(1, 5880, '\p{Sc=_Runr}', "");
    Expect(0, 5880, '\p{^Sc=_Runr}', "");
    Expect(0, 5880, '\P{Sc=_Runr}', "");
    Expect(1, 5880, '\P{^Sc=_Runr}', "");
    Expect(0, 5881, '\p{Sc=_Runr}', "");
    Expect(1, 5881, '\p{^Sc=_Runr}', "");
    Expect(1, 5881, '\P{Sc=_Runr}', "");
    Expect(0, 5881, '\P{^Sc=_Runr}', "");
    Error('\p{Is_Script=/a/Runic}');
    Error('\P{Is_Script=/a/Runic}');
    Expect(1, 5880, '\p{Is_Script=runic}', "");
    Expect(0, 5880, '\p{^Is_Script=runic}', "");
    Expect(0, 5880, '\P{Is_Script=runic}', "");
    Expect(1, 5880, '\P{^Is_Script=runic}', "");
    Expect(0, 5881, '\p{Is_Script=runic}', "");
    Expect(1, 5881, '\p{^Is_Script=runic}', "");
    Expect(1, 5881, '\P{Is_Script=runic}', "");
    Expect(0, 5881, '\P{^Is_Script=runic}', "");
    Expect(1, 5880, '\p{Is_Script=  RUNIC}', "");
    Expect(0, 5880, '\p{^Is_Script=  RUNIC}', "");
    Expect(0, 5880, '\P{Is_Script=  RUNIC}', "");
    Expect(1, 5880, '\P{^Is_Script=  RUNIC}', "");
    Expect(0, 5881, '\p{Is_Script=  RUNIC}', "");
    Expect(1, 5881, '\p{^Is_Script=  RUNIC}', "");
    Expect(1, 5881, '\P{Is_Script=  RUNIC}', "");
    Expect(0, 5881, '\P{^Is_Script=  RUNIC}', "");
    Error('\p{Is_Sc=-:=runr}');
    Error('\P{Is_Sc=-:=runr}');
    Expect(1, 5880, '\p{Is_Sc=runr}', "");
    Expect(0, 5880, '\p{^Is_Sc=runr}', "");
    Expect(0, 5880, '\P{Is_Sc=runr}', "");
    Expect(1, 5880, '\P{^Is_Sc=runr}', "");
    Expect(0, 5881, '\p{Is_Sc=runr}', "");
    Expect(1, 5881, '\p{^Is_Sc=runr}', "");
    Expect(1, 5881, '\P{Is_Sc=runr}', "");
    Expect(0, 5881, '\P{^Is_Sc=runr}', "");
    Expect(1, 5880, '\p{Is_Sc=	Runr}', "");
    Expect(0, 5880, '\p{^Is_Sc=	Runr}', "");
    Expect(0, 5880, '\P{Is_Sc=	Runr}', "");
    Expect(1, 5880, '\P{^Is_Sc=	Runr}', "");
    Expect(0, 5881, '\p{Is_Sc=	Runr}', "");
    Expect(1, 5881, '\p{^Is_Sc=	Runr}', "");
    Expect(1, 5881, '\P{Is_Sc=	Runr}', "");
    Expect(0, 5881, '\P{^Is_Sc=	Runr}', "");
    Error('\p{Script=-:=Samaritan}');
    Error('\P{Script=-:=Samaritan}');
    Expect(1, 2110, '\p{Script=:\ASamaritan\z:}', "");;
    Expect(0, 2111, '\p{Script=:\ASamaritan\z:}', "");;
    Expect(1, 2110, '\p{Script=samaritan}', "");
    Expect(0, 2110, '\p{^Script=samaritan}', "");
    Expect(0, 2110, '\P{Script=samaritan}', "");
    Expect(1, 2110, '\P{^Script=samaritan}', "");
    Expect(0, 2111, '\p{Script=samaritan}', "");
    Expect(1, 2111, '\p{^Script=samaritan}', "");
    Expect(1, 2111, '\P{Script=samaritan}', "");
    Expect(0, 2111, '\P{^Script=samaritan}', "");
    Expect(1, 2110, '\p{Script=:\Asamaritan\z:}', "");;
    Expect(0, 2111, '\p{Script=:\Asamaritan\z:}', "");;
    Expect(1, 2110, '\p{Script=-samaritan}', "");
    Expect(0, 2110, '\p{^Script=-samaritan}', "");
    Expect(0, 2110, '\P{Script=-samaritan}', "");
    Expect(1, 2110, '\P{^Script=-samaritan}', "");
    Expect(0, 2111, '\p{Script=-samaritan}', "");
    Expect(1, 2111, '\p{^Script=-samaritan}', "");
    Expect(1, 2111, '\P{Script=-samaritan}', "");
    Expect(0, 2111, '\P{^Script=-samaritan}', "");
    Error('\p{Sc=_:=samr}');
    Error('\P{Sc=_:=samr}');
    Expect(1, 2110, '\p{Sc=:\ASamr\z:}', "");;
    Expect(0, 2111, '\p{Sc=:\ASamr\z:}', "");;
    Expect(1, 2110, '\p{Sc=samr}', "");
    Expect(0, 2110, '\p{^Sc=samr}', "");
    Expect(0, 2110, '\P{Sc=samr}', "");
    Expect(1, 2110, '\P{^Sc=samr}', "");
    Expect(0, 2111, '\p{Sc=samr}', "");
    Expect(1, 2111, '\p{^Sc=samr}', "");
    Expect(1, 2111, '\P{Sc=samr}', "");
    Expect(0, 2111, '\P{^Sc=samr}', "");
    Expect(1, 2110, '\p{Sc=:\Asamr\z:}', "");;
    Expect(0, 2111, '\p{Sc=:\Asamr\z:}', "");;
    Expect(1, 2110, '\p{Sc=- samr}', "");
    Expect(0, 2110, '\p{^Sc=- samr}', "");
    Expect(0, 2110, '\P{Sc=- samr}', "");
    Expect(1, 2110, '\P{^Sc=- samr}', "");
    Expect(0, 2111, '\p{Sc=- samr}', "");
    Expect(1, 2111, '\p{^Sc=- samr}', "");
    Expect(1, 2111, '\P{Sc=- samr}', "");
    Expect(0, 2111, '\P{^Sc=- samr}', "");
    Error('\p{Is_Script=:=__samaritan}');
    Error('\P{Is_Script=:=__samaritan}');
    Expect(1, 2110, '\p{Is_Script=samaritan}', "");
    Expect(0, 2110, '\p{^Is_Script=samaritan}', "");
    Expect(0, 2110, '\P{Is_Script=samaritan}', "");
    Expect(1, 2110, '\P{^Is_Script=samaritan}', "");
    Expect(0, 2111, '\p{Is_Script=samaritan}', "");
    Expect(1, 2111, '\p{^Is_Script=samaritan}', "");
    Expect(1, 2111, '\P{Is_Script=samaritan}', "");
    Expect(0, 2111, '\P{^Is_Script=samaritan}', "");
    Expect(1, 2110, '\p{Is_Script=_	Samaritan}', "");
    Expect(0, 2110, '\p{^Is_Script=_	Samaritan}', "");
    Expect(0, 2110, '\P{Is_Script=_	Samaritan}', "");
    Expect(1, 2110, '\P{^Is_Script=_	Samaritan}', "");
    Expect(0, 2111, '\p{Is_Script=_	Samaritan}', "");
    Expect(1, 2111, '\p{^Is_Script=_	Samaritan}', "");
    Expect(1, 2111, '\P{Is_Script=_	Samaritan}', "");
    Expect(0, 2111, '\P{^Is_Script=_	Samaritan}', "");
    Error('\p{Is_Sc=_SAMR:=}');
    Error('\P{Is_Sc=_SAMR:=}');
    Expect(1, 2110, '\p{Is_Sc=samr}', "");
    Expect(0, 2110, '\p{^Is_Sc=samr}', "");
    Expect(0, 2110, '\P{Is_Sc=samr}', "");
    Expect(1, 2110, '\P{^Is_Sc=samr}', "");
    Expect(0, 2111, '\p{Is_Sc=samr}', "");
    Expect(1, 2111, '\p{^Is_Sc=samr}', "");
    Expect(1, 2111, '\P{Is_Sc=samr}', "");
    Expect(0, 2111, '\P{^Is_Sc=samr}', "");
    Expect(1, 2110, '\p{Is_Sc=		SAMR}', "");
    Expect(0, 2110, '\p{^Is_Sc=		SAMR}', "");
    Expect(0, 2110, '\P{Is_Sc=		SAMR}', "");
    Expect(1, 2110, '\P{^Is_Sc=		SAMR}', "");
    Expect(0, 2111, '\p{Is_Sc=		SAMR}', "");
    Expect(1, 2111, '\p{^Is_Sc=		SAMR}', "");
    Expect(1, 2111, '\P{Is_Sc=		SAMR}', "");
    Expect(0, 2111, '\P{^Is_Sc=		SAMR}', "");
    Error('\p{Script=__OLD_south_Arabian/a/}');
    Error('\P{Script=__OLD_south_Arabian/a/}');
    Expect(1, 68223, '\p{Script=:\AOld_South_Arabian\z:}', "");;
    Expect(0, 68224, '\p{Script=:\AOld_South_Arabian\z:}', "");;
    Expect(1, 68223, '\p{Script=oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Script=oldsoutharabian}', "");
    Expect(0, 68223, '\P{Script=oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Script=oldsoutharabian}', "");
    Expect(0, 68224, '\p{Script=oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Script=oldsoutharabian}', "");
    Expect(1, 68224, '\P{Script=oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Script=oldsoutharabian}', "");
    Expect(1, 68223, '\p{Script=:\Aoldsoutharabian\z:}', "");;
    Expect(0, 68224, '\p{Script=:\Aoldsoutharabian\z:}', "");;
    Expect(1, 68223, '\p{Script= _Old_SOUTH_arabian}', "");
    Expect(0, 68223, '\p{^Script= _Old_SOUTH_arabian}', "");
    Expect(0, 68223, '\P{Script= _Old_SOUTH_arabian}', "");
    Expect(1, 68223, '\P{^Script= _Old_SOUTH_arabian}', "");
    Expect(0, 68224, '\p{Script= _Old_SOUTH_arabian}', "");
    Expect(1, 68224, '\p{^Script= _Old_SOUTH_arabian}', "");
    Expect(1, 68224, '\P{Script= _Old_SOUTH_arabian}', "");
    Expect(0, 68224, '\P{^Script= _Old_SOUTH_arabian}', "");
    Error('\p{Sc= -Sarb:=}');
    Error('\P{Sc= -Sarb:=}');
    Expect(1, 68223, '\p{Sc=:\ASarb\z:}', "");;
    Expect(0, 68224, '\p{Sc=:\ASarb\z:}', "");;
    Expect(1, 68223, '\p{Sc=sarb}', "");
    Expect(0, 68223, '\p{^Sc=sarb}', "");
    Expect(0, 68223, '\P{Sc=sarb}', "");
    Expect(1, 68223, '\P{^Sc=sarb}', "");
    Expect(0, 68224, '\p{Sc=sarb}', "");
    Expect(1, 68224, '\p{^Sc=sarb}', "");
    Expect(1, 68224, '\P{Sc=sarb}', "");
    Expect(0, 68224, '\P{^Sc=sarb}', "");
    Expect(1, 68223, '\p{Sc=:\Asarb\z:}', "");;
    Expect(0, 68224, '\p{Sc=:\Asarb\z:}', "");;
    Expect(1, 68223, '\p{Sc:   -_Sarb}', "");
    Expect(0, 68223, '\p{^Sc:   -_Sarb}', "");
    Expect(0, 68223, '\P{Sc:   -_Sarb}', "");
    Expect(1, 68223, '\P{^Sc:   -_Sarb}', "");
    Expect(0, 68224, '\p{Sc:   -_Sarb}', "");
    Expect(1, 68224, '\p{^Sc:   -_Sarb}', "");
    Expect(1, 68224, '\P{Sc:   -_Sarb}', "");
    Expect(0, 68224, '\P{^Sc:   -_Sarb}', "");
    Error('\p{Is_Script= _Old_South_Arabian/a/}');
    Error('\P{Is_Script= _Old_South_Arabian/a/}');
    Expect(1, 68223, '\p{Is_Script=oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Is_Script=oldsoutharabian}', "");
    Expect(0, 68223, '\P{Is_Script=oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Is_Script=oldsoutharabian}', "");
    Expect(0, 68224, '\p{Is_Script=oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Is_Script=oldsoutharabian}', "");
    Expect(1, 68224, '\P{Is_Script=oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Is_Script=oldsoutharabian}', "");
    Expect(1, 68223, '\p{Is_Script:	_OLD_south_Arabian}', "");
    Expect(0, 68223, '\p{^Is_Script:	_OLD_south_Arabian}', "");
    Expect(0, 68223, '\P{Is_Script:	_OLD_south_Arabian}', "");
    Expect(1, 68223, '\P{^Is_Script:	_OLD_south_Arabian}', "");
    Expect(0, 68224, '\p{Is_Script:	_OLD_south_Arabian}', "");
    Expect(1, 68224, '\p{^Is_Script:	_OLD_south_Arabian}', "");
    Expect(1, 68224, '\P{Is_Script:	_OLD_south_Arabian}', "");
    Expect(0, 68224, '\P{^Is_Script:	_OLD_south_Arabian}', "");
    Error('\p{Is_Sc=	_sarb/a/}');
    Error('\P{Is_Sc=	_sarb/a/}');
    Expect(1, 68223, '\p{Is_Sc=sarb}', "");
    Expect(0, 68223, '\p{^Is_Sc=sarb}', "");
    Expect(0, 68223, '\P{Is_Sc=sarb}', "");
    Expect(1, 68223, '\P{^Is_Sc=sarb}', "");
    Expect(0, 68224, '\p{Is_Sc=sarb}', "");
    Expect(1, 68224, '\p{^Is_Sc=sarb}', "");
    Expect(1, 68224, '\P{Is_Sc=sarb}', "");
    Expect(0, 68224, '\P{^Is_Sc=sarb}', "");
    Expect(1, 68223, '\p{Is_Sc= -sarb}', "");
    Expect(0, 68223, '\p{^Is_Sc= -sarb}', "");
    Expect(0, 68223, '\P{Is_Sc= -sarb}', "");
    Expect(1, 68223, '\P{^Is_Sc= -sarb}', "");
    Expect(0, 68224, '\p{Is_Sc= -sarb}', "");
    Expect(1, 68224, '\p{^Is_Sc= -sarb}', "");
    Expect(1, 68224, '\P{Is_Sc= -sarb}', "");
    Expect(0, 68224, '\P{^Is_Sc= -sarb}', "");
    Error('\p{Script=_-Saurashtra/a/}');
    Error('\P{Script=_-Saurashtra/a/}');
    Expect(1, 43225, '\p{Script=:\ASaurashtra\z:}', "");;
    Expect(0, 43226, '\p{Script=:\ASaurashtra\z:}', "");;
    Expect(1, 43225, '\p{Script=saurashtra}', "");
    Expect(0, 43225, '\p{^Script=saurashtra}', "");
    Expect(0, 43225, '\P{Script=saurashtra}', "");
    Expect(1, 43225, '\P{^Script=saurashtra}', "");
    Expect(0, 43226, '\p{Script=saurashtra}', "");
    Expect(1, 43226, '\p{^Script=saurashtra}', "");
    Expect(1, 43226, '\P{Script=saurashtra}', "");
    Expect(0, 43226, '\P{^Script=saurashtra}', "");
    Expect(1, 43225, '\p{Script=:\Asaurashtra\z:}', "");;
    Expect(0, 43226, '\p{Script=:\Asaurashtra\z:}', "");;
    Expect(1, 43225, '\p{Script=	_Saurashtra}', "");
    Expect(0, 43225, '\p{^Script=	_Saurashtra}', "");
    Expect(0, 43225, '\P{Script=	_Saurashtra}', "");
    Expect(1, 43225, '\P{^Script=	_Saurashtra}', "");
    Expect(0, 43226, '\p{Script=	_Saurashtra}', "");
    Expect(1, 43226, '\p{^Script=	_Saurashtra}', "");
    Expect(1, 43226, '\P{Script=	_Saurashtra}', "");
    Expect(0, 43226, '\P{^Script=	_Saurashtra}', "");
    Error('\p{Sc=  Saur/a/}');
    Error('\P{Sc=  Saur/a/}');
    Expect(1, 43225, '\p{Sc=:\ASaur\z:}', "");;
    Expect(0, 43226, '\p{Sc=:\ASaur\z:}', "");;
    Expect(1, 43225, '\p{Sc=saur}', "");
    Expect(0, 43225, '\p{^Sc=saur}', "");
    Expect(0, 43225, '\P{Sc=saur}', "");
    Expect(1, 43225, '\P{^Sc=saur}', "");
    Expect(0, 43226, '\p{Sc=saur}', "");
    Expect(1, 43226, '\p{^Sc=saur}', "");
    Expect(1, 43226, '\P{Sc=saur}', "");
    Expect(0, 43226, '\P{^Sc=saur}', "");
    Expect(1, 43225, '\p{Sc=:\Asaur\z:}', "");;
    Expect(0, 43226, '\p{Sc=:\Asaur\z:}', "");;
    Expect(1, 43225, '\p{Sc= 	saur}', "");
    Expect(0, 43225, '\p{^Sc= 	saur}', "");
    Expect(0, 43225, '\P{Sc= 	saur}', "");
    Expect(1, 43225, '\P{^Sc= 	saur}', "");
    Expect(0, 43226, '\p{Sc= 	saur}', "");
    Expect(1, 43226, '\p{^Sc= 	saur}', "");
    Expect(1, 43226, '\P{Sc= 	saur}', "");
    Expect(0, 43226, '\P{^Sc= 	saur}', "");
    Error('\p{Is_Script=--Saurashtra:=}');
    Error('\P{Is_Script=--Saurashtra:=}');
    Expect(1, 43225, '\p{Is_Script=saurashtra}', "");
    Expect(0, 43225, '\p{^Is_Script=saurashtra}', "");
    Expect(0, 43225, '\P{Is_Script=saurashtra}', "");
    Expect(1, 43225, '\P{^Is_Script=saurashtra}', "");
    Expect(0, 43226, '\p{Is_Script=saurashtra}', "");
    Expect(1, 43226, '\p{^Is_Script=saurashtra}', "");
    Expect(1, 43226, '\P{Is_Script=saurashtra}', "");
    Expect(0, 43226, '\P{^Is_Script=saurashtra}', "");
    Expect(1, 43225, '\p{Is_Script=	 saurashtra}', "");
    Expect(0, 43225, '\p{^Is_Script=	 saurashtra}', "");
    Expect(0, 43225, '\P{Is_Script=	 saurashtra}', "");
    Expect(1, 43225, '\P{^Is_Script=	 saurashtra}', "");
    Expect(0, 43226, '\p{Is_Script=	 saurashtra}', "");
    Expect(1, 43226, '\p{^Is_Script=	 saurashtra}', "");
    Expect(1, 43226, '\P{Is_Script=	 saurashtra}', "");
    Expect(0, 43226, '\P{^Is_Script=	 saurashtra}', "");
    Error('\p{Is_Sc=_/a/Saur}');
    Error('\P{Is_Sc=_/a/Saur}');
    Expect(1, 43225, '\p{Is_Sc=saur}', "");
    Expect(0, 43225, '\p{^Is_Sc=saur}', "");
    Expect(0, 43225, '\P{Is_Sc=saur}', "");
    Expect(1, 43225, '\P{^Is_Sc=saur}', "");
    Expect(0, 43226, '\p{Is_Sc=saur}', "");
    Expect(1, 43226, '\p{^Is_Sc=saur}', "");
    Expect(1, 43226, '\P{Is_Sc=saur}', "");
    Expect(0, 43226, '\P{^Is_Sc=saur}', "");
    Expect(1, 43225, '\p{Is_Sc=	SAUR}', "");
    Expect(0, 43225, '\p{^Is_Sc=	SAUR}', "");
    Expect(0, 43225, '\P{Is_Sc=	SAUR}', "");
    Expect(1, 43225, '\P{^Is_Sc=	SAUR}', "");
    Expect(0, 43226, '\p{Is_Sc=	SAUR}', "");
    Expect(1, 43226, '\p{^Is_Sc=	SAUR}', "");
    Expect(1, 43226, '\P{Is_Sc=	SAUR}', "");
    Expect(0, 43226, '\P{^Is_Sc=	SAUR}', "");
    Error('\p{Script=/a/_SignWriting}');
    Error('\P{Script=/a/_SignWriting}');
    Expect(1, 121519, '\p{Script=:\ASignWriting\z:}', "");;
    Expect(0, 121520, '\p{Script=:\ASignWriting\z:}', "");;
    Expect(1, 121519, '\p{Script=signwriting}', "");
    Expect(0, 121519, '\p{^Script=signwriting}', "");
    Expect(0, 121519, '\P{Script=signwriting}', "");
    Expect(1, 121519, '\P{^Script=signwriting}', "");
    Expect(0, 121520, '\p{Script=signwriting}', "");
    Expect(1, 121520, '\p{^Script=signwriting}', "");
    Expect(1, 121520, '\P{Script=signwriting}', "");
    Expect(0, 121520, '\P{^Script=signwriting}', "");
    Expect(1, 121519, '\p{Script=:\Asignwriting\z:}', "");;
    Expect(0, 121520, '\p{Script=:\Asignwriting\z:}', "");;
    Expect(1, 121519, '\p{Script= -signwriting}', "");
    Expect(0, 121519, '\p{^Script= -signwriting}', "");
    Expect(0, 121519, '\P{Script= -signwriting}', "");
    Expect(1, 121519, '\P{^Script= -signwriting}', "");
    Expect(0, 121520, '\p{Script= -signwriting}', "");
    Expect(1, 121520, '\p{^Script= -signwriting}', "");
    Expect(1, 121520, '\P{Script= -signwriting}', "");
    Expect(0, 121520, '\P{^Script= -signwriting}', "");
    Error('\p{Sc= /a/sgnw}');
    Error('\P{Sc= /a/sgnw}');
    Expect(1, 121519, '\p{Sc=:\ASgnw\z:}', "");;
    Expect(0, 121520, '\p{Sc=:\ASgnw\z:}', "");;
    Expect(1, 121519, '\p{Sc:   sgnw}', "");
    Expect(0, 121519, '\p{^Sc:   sgnw}', "");
    Expect(0, 121519, '\P{Sc:   sgnw}', "");
    Expect(1, 121519, '\P{^Sc:   sgnw}', "");
    Expect(0, 121520, '\p{Sc:   sgnw}', "");
    Expect(1, 121520, '\p{^Sc:   sgnw}', "");
    Expect(1, 121520, '\P{Sc:   sgnw}', "");
    Expect(0, 121520, '\P{^Sc:   sgnw}', "");
    Expect(1, 121519, '\p{Sc=:\Asgnw\z:}', "");;
    Expect(0, 121520, '\p{Sc=:\Asgnw\z:}', "");;
    Expect(1, 121519, '\p{Sc=--SGNW}', "");
    Expect(0, 121519, '\p{^Sc=--SGNW}', "");
    Expect(0, 121519, '\P{Sc=--SGNW}', "");
    Expect(1, 121519, '\P{^Sc=--SGNW}', "");
    Expect(0, 121520, '\p{Sc=--SGNW}', "");
    Expect(1, 121520, '\p{^Sc=--SGNW}', "");
    Expect(1, 121520, '\P{Sc=--SGNW}', "");
    Expect(0, 121520, '\P{^Sc=--SGNW}', "");
    Error('\p{Is_Script=-/a/SignWriting}');
    Error('\P{Is_Script=-/a/SignWriting}');
    Expect(1, 121519, '\p{Is_Script=signwriting}', "");
    Expect(0, 121519, '\p{^Is_Script=signwriting}', "");
    Expect(0, 121519, '\P{Is_Script=signwriting}', "");
    Expect(1, 121519, '\P{^Is_Script=signwriting}', "");
    Expect(0, 121520, '\p{Is_Script=signwriting}', "");
    Expect(1, 121520, '\p{^Is_Script=signwriting}', "");
    Expect(1, 121520, '\P{Is_Script=signwriting}', "");
    Expect(0, 121520, '\P{^Is_Script=signwriting}', "");
    Expect(1, 121519, '\p{Is_Script=_SignWriting}', "");
    Expect(0, 121519, '\p{^Is_Script=_SignWriting}', "");
    Expect(0, 121519, '\P{Is_Script=_SignWriting}', "");
    Expect(1, 121519, '\P{^Is_Script=_SignWriting}', "");
    Expect(0, 121520, '\p{Is_Script=_SignWriting}', "");
    Expect(1, 121520, '\p{^Is_Script=_SignWriting}', "");
    Expect(1, 121520, '\P{Is_Script=_SignWriting}', "");
    Expect(0, 121520, '\P{^Is_Script=_SignWriting}', "");
    Error('\p{Is_Sc=_	Sgnw/a/}');
    Error('\P{Is_Sc=_	Sgnw/a/}');
    Expect(1, 121519, '\p{Is_Sc=sgnw}', "");
    Expect(0, 121519, '\p{^Is_Sc=sgnw}', "");
    Expect(0, 121519, '\P{Is_Sc=sgnw}', "");
    Expect(1, 121519, '\P{^Is_Sc=sgnw}', "");
    Expect(0, 121520, '\p{Is_Sc=sgnw}', "");
    Expect(1, 121520, '\p{^Is_Sc=sgnw}', "");
    Expect(1, 121520, '\P{Is_Sc=sgnw}', "");
    Expect(0, 121520, '\P{^Is_Sc=sgnw}', "");
    Expect(1, 121519, '\p{Is_Sc=_	Sgnw}', "");
    Expect(0, 121519, '\p{^Is_Sc=_	Sgnw}', "");
    Expect(0, 121519, '\P{Is_Sc=_	Sgnw}', "");
    Expect(1, 121519, '\P{^Is_Sc=_	Sgnw}', "");
    Expect(0, 121520, '\p{Is_Sc=_	Sgnw}', "");
    Expect(1, 121520, '\p{^Is_Sc=_	Sgnw}', "");
    Expect(1, 121520, '\P{Is_Sc=_	Sgnw}', "");
    Expect(0, 121520, '\P{^Is_Sc=_	Sgnw}', "");
    Error('\p{Script=:=_	SHAVIAN}');
    Error('\P{Script=:=_	SHAVIAN}');
    Expect(1, 66687, '\p{Script=:\AShavian\z:}', "");;
    Expect(0, 66688, '\p{Script=:\AShavian\z:}', "");;
    Expect(1, 66687, '\p{Script=shavian}', "");
    Expect(0, 66687, '\p{^Script=shavian}', "");
    Expect(0, 66687, '\P{Script=shavian}', "");
    Expect(1, 66687, '\P{^Script=shavian}', "");
    Expect(0, 66688, '\p{Script=shavian}', "");
    Expect(1, 66688, '\p{^Script=shavian}', "");
    Expect(1, 66688, '\P{Script=shavian}', "");
    Expect(0, 66688, '\P{^Script=shavian}', "");
    Expect(1, 66687, '\p{Script=:\Ashavian\z:}', "");;
    Expect(0, 66688, '\p{Script=:\Ashavian\z:}', "");;
    Expect(1, 66687, '\p{Script=_	SHAVIAN}', "");
    Expect(0, 66687, '\p{^Script=_	SHAVIAN}', "");
    Expect(0, 66687, '\P{Script=_	SHAVIAN}', "");
    Expect(1, 66687, '\P{^Script=_	SHAVIAN}', "");
    Expect(0, 66688, '\p{Script=_	SHAVIAN}', "");
    Expect(1, 66688, '\p{^Script=_	SHAVIAN}', "");
    Expect(1, 66688, '\P{Script=_	SHAVIAN}', "");
    Expect(0, 66688, '\P{^Script=_	SHAVIAN}', "");
    Error('\p{Sc=/a/SHAW}');
    Error('\P{Sc=/a/SHAW}');
    Expect(1, 66687, '\p{Sc=:\AShaw\z:}', "");;
    Expect(0, 66688, '\p{Sc=:\AShaw\z:}', "");;
    Expect(1, 66687, '\p{Sc=shaw}', "");
    Expect(0, 66687, '\p{^Sc=shaw}', "");
    Expect(0, 66687, '\P{Sc=shaw}', "");
    Expect(1, 66687, '\P{^Sc=shaw}', "");
    Expect(0, 66688, '\p{Sc=shaw}', "");
    Expect(1, 66688, '\p{^Sc=shaw}', "");
    Expect(1, 66688, '\P{Sc=shaw}', "");
    Expect(0, 66688, '\P{^Sc=shaw}', "");
    Expect(1, 66687, '\p{Sc=:\Ashaw\z:}', "");;
    Expect(0, 66688, '\p{Sc=:\Ashaw\z:}', "");;
    Expect(1, 66687, '\p{Sc=	Shaw}', "");
    Expect(0, 66687, '\p{^Sc=	Shaw}', "");
    Expect(0, 66687, '\P{Sc=	Shaw}', "");
    Expect(1, 66687, '\P{^Sc=	Shaw}', "");
    Expect(0, 66688, '\p{Sc=	Shaw}', "");
    Expect(1, 66688, '\p{^Sc=	Shaw}', "");
    Expect(1, 66688, '\P{Sc=	Shaw}', "");
    Expect(0, 66688, '\P{^Sc=	Shaw}', "");
    Error('\p{Is_Script=:=	-shavian}');
    Error('\P{Is_Script=:=	-shavian}');
    Expect(1, 66687, '\p{Is_Script=shavian}', "");
    Expect(0, 66687, '\p{^Is_Script=shavian}', "");
    Expect(0, 66687, '\P{Is_Script=shavian}', "");
    Expect(1, 66687, '\P{^Is_Script=shavian}', "");
    Expect(0, 66688, '\p{Is_Script=shavian}', "");
    Expect(1, 66688, '\p{^Is_Script=shavian}', "");
    Expect(1, 66688, '\P{Is_Script=shavian}', "");
    Expect(0, 66688, '\P{^Is_Script=shavian}', "");
    Expect(1, 66687, '\p{Is_Script=- shavian}', "");
    Expect(0, 66687, '\p{^Is_Script=- shavian}', "");
    Expect(0, 66687, '\P{Is_Script=- shavian}', "");
    Expect(1, 66687, '\P{^Is_Script=- shavian}', "");
    Expect(0, 66688, '\p{Is_Script=- shavian}', "");
    Expect(1, 66688, '\p{^Is_Script=- shavian}', "");
    Expect(1, 66688, '\P{Is_Script=- shavian}', "");
    Expect(0, 66688, '\P{^Is_Script=- shavian}', "");
    Error('\p{Is_Sc=/a/-_shaw}');
    Error('\P{Is_Sc=/a/-_shaw}');
    Expect(1, 66687, '\p{Is_Sc=shaw}', "");
    Expect(0, 66687, '\p{^Is_Sc=shaw}', "");
    Expect(0, 66687, '\P{Is_Sc=shaw}', "");
    Expect(1, 66687, '\P{^Is_Sc=shaw}', "");
    Expect(0, 66688, '\p{Is_Sc=shaw}', "");
    Expect(1, 66688, '\p{^Is_Sc=shaw}', "");
    Expect(1, 66688, '\P{Is_Sc=shaw}', "");
    Expect(0, 66688, '\P{^Is_Sc=shaw}', "");
    Expect(1, 66687, '\p{Is_Sc=  SHAW}', "");
    Expect(0, 66687, '\p{^Is_Sc=  SHAW}', "");
    Expect(0, 66687, '\P{Is_Sc=  SHAW}', "");
    Expect(1, 66687, '\P{^Is_Sc=  SHAW}', "");
    Expect(0, 66688, '\p{Is_Sc=  SHAW}', "");
    Expect(1, 66688, '\p{^Is_Sc=  SHAW}', "");
    Expect(1, 66688, '\P{Is_Sc=  SHAW}', "");
    Expect(0, 66688, '\P{^Is_Sc=  SHAW}', "");
    Error('\p{Script=_ Sharada/a/}');
    Error('\P{Script=_ Sharada/a/}');
    Expect(1, 70111, '\p{Script=:\ASharada\z:}', "");;
    Expect(0, 70112, '\p{Script=:\ASharada\z:}', "");;
    Expect(1, 70111, '\p{Script=sharada}', "");
    Expect(0, 70111, '\p{^Script=sharada}', "");
    Expect(0, 70111, '\P{Script=sharada}', "");
    Expect(1, 70111, '\P{^Script=sharada}', "");
    Expect(0, 70112, '\p{Script=sharada}', "");
    Expect(1, 70112, '\p{^Script=sharada}', "");
    Expect(1, 70112, '\P{Script=sharada}', "");
    Expect(0, 70112, '\P{^Script=sharada}', "");
    Expect(1, 70111, '\p{Script=:\Asharada\z:}', "");;
    Expect(0, 70112, '\p{Script=:\Asharada\z:}', "");;
    Expect(1, 70111, '\p{Script:-Sharada}', "");
    Expect(0, 70111, '\p{^Script:-Sharada}', "");
    Expect(0, 70111, '\P{Script:-Sharada}', "");
    Expect(1, 70111, '\P{^Script:-Sharada}', "");
    Expect(0, 70112, '\p{Script:-Sharada}', "");
    Expect(1, 70112, '\p{^Script:-Sharada}', "");
    Expect(1, 70112, '\P{Script:-Sharada}', "");
    Expect(0, 70112, '\P{^Script:-Sharada}', "");
    Error('\p{Sc= Shrd:=}');
    Error('\P{Sc= Shrd:=}');
    Expect(1, 70111, '\p{Sc=:\AShrd\z:}', "");;
    Expect(0, 70112, '\p{Sc=:\AShrd\z:}', "");;
    Expect(1, 70111, '\p{Sc=shrd}', "");
    Expect(0, 70111, '\p{^Sc=shrd}', "");
    Expect(0, 70111, '\P{Sc=shrd}', "");
    Expect(1, 70111, '\P{^Sc=shrd}', "");
    Expect(0, 70112, '\p{Sc=shrd}', "");
    Expect(1, 70112, '\p{^Sc=shrd}', "");
    Expect(1, 70112, '\P{Sc=shrd}', "");
    Expect(0, 70112, '\P{^Sc=shrd}', "");
    Expect(1, 70111, '\p{Sc=:\Ashrd\z:}', "");;
    Expect(0, 70112, '\p{Sc=:\Ashrd\z:}', "");;
    Expect(1, 70111, '\p{Sc= 	SHRD}', "");
    Expect(0, 70111, '\p{^Sc= 	SHRD}', "");
    Expect(0, 70111, '\P{Sc= 	SHRD}', "");
    Expect(1, 70111, '\P{^Sc= 	SHRD}', "");
    Expect(0, 70112, '\p{Sc= 	SHRD}', "");
    Expect(1, 70112, '\p{^Sc= 	SHRD}', "");
    Expect(1, 70112, '\P{Sc= 	SHRD}', "");
    Expect(0, 70112, '\P{^Sc= 	SHRD}', "");
    Error('\p{Is_Script=Sharada:=}');
    Error('\P{Is_Script=Sharada:=}');
    Expect(1, 70111, '\p{Is_Script=sharada}', "");
    Expect(0, 70111, '\p{^Is_Script=sharada}', "");
    Expect(0, 70111, '\P{Is_Script=sharada}', "");
    Expect(1, 70111, '\P{^Is_Script=sharada}', "");
    Expect(0, 70112, '\p{Is_Script=sharada}', "");
    Expect(1, 70112, '\p{^Is_Script=sharada}', "");
    Expect(1, 70112, '\P{Is_Script=sharada}', "");
    Expect(0, 70112, '\P{^Is_Script=sharada}', "");
    Expect(1, 70111, '\p{Is_Script= SHARADA}', "");
    Expect(0, 70111, '\p{^Is_Script= SHARADA}', "");
    Expect(0, 70111, '\P{Is_Script= SHARADA}', "");
    Expect(1, 70111, '\P{^Is_Script= SHARADA}', "");
    Expect(0, 70112, '\p{Is_Script= SHARADA}', "");
    Expect(1, 70112, '\p{^Is_Script= SHARADA}', "");
    Expect(1, 70112, '\P{Is_Script= SHARADA}', "");
    Expect(0, 70112, '\P{^Is_Script= SHARADA}', "");
    Error('\p{Is_Sc=_/a/Shrd}');
    Error('\P{Is_Sc=_/a/Shrd}');
    Expect(1, 70111, '\p{Is_Sc=shrd}', "");
    Expect(0, 70111, '\p{^Is_Sc=shrd}', "");
    Expect(0, 70111, '\P{Is_Sc=shrd}', "");
    Expect(1, 70111, '\P{^Is_Sc=shrd}', "");
    Expect(0, 70112, '\p{Is_Sc=shrd}', "");
    Expect(1, 70112, '\p{^Is_Sc=shrd}', "");
    Expect(1, 70112, '\P{Is_Sc=shrd}', "");
    Expect(0, 70112, '\P{^Is_Sc=shrd}', "");
    Expect(1, 70111, '\p{Is_Sc= 	Shrd}', "");
    Expect(0, 70111, '\p{^Is_Sc= 	Shrd}', "");
    Expect(0, 70111, '\P{Is_Sc= 	Shrd}', "");
    Expect(1, 70111, '\P{^Is_Sc= 	Shrd}', "");
    Expect(0, 70112, '\p{Is_Sc= 	Shrd}', "");
    Expect(1, 70112, '\p{^Is_Sc= 	Shrd}', "");
    Expect(1, 70112, '\P{Is_Sc= 	Shrd}', "");
    Expect(0, 70112, '\P{^Is_Sc= 	Shrd}', "");
    Error('\p{Script:-/a/siddham}');
    Error('\P{Script:-/a/siddham}');
    Expect(1, 71133, '\p{Script=:\ASiddham\z:}', "");;
    Expect(0, 71134, '\p{Script=:\ASiddham\z:}', "");;
    Expect(1, 71133, '\p{Script=siddham}', "");
    Expect(0, 71133, '\p{^Script=siddham}', "");
    Expect(0, 71133, '\P{Script=siddham}', "");
    Expect(1, 71133, '\P{^Script=siddham}', "");
    Expect(0, 71134, '\p{Script=siddham}', "");
    Expect(1, 71134, '\p{^Script=siddham}', "");
    Expect(1, 71134, '\P{Script=siddham}', "");
    Expect(0, 71134, '\P{^Script=siddham}', "");
    Expect(1, 71133, '\p{Script=:\Asiddham\z:}', "");;
    Expect(0, 71134, '\p{Script=:\Asiddham\z:}', "");;
    Expect(1, 71133, '\p{Script=- Siddham}', "");
    Expect(0, 71133, '\p{^Script=- Siddham}', "");
    Expect(0, 71133, '\P{Script=- Siddham}', "");
    Expect(1, 71133, '\P{^Script=- Siddham}', "");
    Expect(0, 71134, '\p{Script=- Siddham}', "");
    Expect(1, 71134, '\p{^Script=- Siddham}', "");
    Expect(1, 71134, '\P{Script=- Siddham}', "");
    Expect(0, 71134, '\P{^Script=- Siddham}', "");
    Error('\p{Sc=:=_-Sidd}');
    Error('\P{Sc=:=_-Sidd}');
    Expect(1, 71133, '\p{Sc=:\ASidd\z:}', "");;
    Expect(0, 71134, '\p{Sc=:\ASidd\z:}', "");;
    Expect(1, 71133, '\p{Sc=sidd}', "");
    Expect(0, 71133, '\p{^Sc=sidd}', "");
    Expect(0, 71133, '\P{Sc=sidd}', "");
    Expect(1, 71133, '\P{^Sc=sidd}', "");
    Expect(0, 71134, '\p{Sc=sidd}', "");
    Expect(1, 71134, '\p{^Sc=sidd}', "");
    Expect(1, 71134, '\P{Sc=sidd}', "");
    Expect(0, 71134, '\P{^Sc=sidd}', "");
    Expect(1, 71133, '\p{Sc=:\Asidd\z:}', "");;
    Expect(0, 71134, '\p{Sc=:\Asidd\z:}', "");;
    Expect(1, 71133, '\p{Sc=-_Sidd}', "");
    Expect(0, 71133, '\p{^Sc=-_Sidd}', "");
    Expect(0, 71133, '\P{Sc=-_Sidd}', "");
    Expect(1, 71133, '\P{^Sc=-_Sidd}', "");
    Expect(0, 71134, '\p{Sc=-_Sidd}', "");
    Expect(1, 71134, '\p{^Sc=-_Sidd}', "");
    Expect(1, 71134, '\P{Sc=-_Sidd}', "");
    Expect(0, 71134, '\P{^Sc=-_Sidd}', "");
    Error('\p{Is_Script=:=_-siddham}');
    Error('\P{Is_Script=:=_-siddham}');
    Expect(1, 71133, '\p{Is_Script=siddham}', "");
    Expect(0, 71133, '\p{^Is_Script=siddham}', "");
    Expect(0, 71133, '\P{Is_Script=siddham}', "");
    Expect(1, 71133, '\P{^Is_Script=siddham}', "");
    Expect(0, 71134, '\p{Is_Script=siddham}', "");
    Expect(1, 71134, '\p{^Is_Script=siddham}', "");
    Expect(1, 71134, '\P{Is_Script=siddham}', "");
    Expect(0, 71134, '\P{^Is_Script=siddham}', "");
    Expect(1, 71133, '\p{Is_Script=		Siddham}', "");
    Expect(0, 71133, '\p{^Is_Script=		Siddham}', "");
    Expect(0, 71133, '\P{Is_Script=		Siddham}', "");
    Expect(1, 71133, '\P{^Is_Script=		Siddham}', "");
    Expect(0, 71134, '\p{Is_Script=		Siddham}', "");
    Expect(1, 71134, '\p{^Is_Script=		Siddham}', "");
    Expect(1, 71134, '\P{Is_Script=		Siddham}', "");
    Expect(0, 71134, '\P{^Is_Script=		Siddham}', "");
    Error('\p{Is_Sc=:=_Sidd}');
    Error('\P{Is_Sc=:=_Sidd}');
    Expect(1, 71133, '\p{Is_Sc=sidd}', "");
    Expect(0, 71133, '\p{^Is_Sc=sidd}', "");
    Expect(0, 71133, '\P{Is_Sc=sidd}', "");
    Expect(1, 71133, '\P{^Is_Sc=sidd}', "");
    Expect(0, 71134, '\p{Is_Sc=sidd}', "");
    Expect(1, 71134, '\p{^Is_Sc=sidd}', "");
    Expect(1, 71134, '\P{Is_Sc=sidd}', "");
    Expect(0, 71134, '\P{^Is_Sc=sidd}', "");
    Expect(1, 71133, '\p{Is_Sc:  _Sidd}', "");
    Expect(0, 71133, '\p{^Is_Sc:  _Sidd}', "");
    Expect(0, 71133, '\P{Is_Sc:  _Sidd}', "");
    Expect(1, 71133, '\P{^Is_Sc:  _Sidd}', "");
    Expect(0, 71134, '\p{Is_Sc:  _Sidd}', "");
    Expect(1, 71134, '\p{^Is_Sc:  _Sidd}', "");
    Expect(1, 71134, '\P{Is_Sc:  _Sidd}', "");
    Expect(0, 71134, '\P{^Is_Sc:  _Sidd}', "");
    Error('\p{Script=/a/- khudawadi}');
    Error('\P{Script=/a/- khudawadi}');
    Expect(1, 70393, '\p{Script=:\AKhudawadi\z:}', "");;
    Expect(0, 70394, '\p{Script=:\AKhudawadi\z:}', "");;
    Expect(1, 70393, '\p{Script=khudawadi}', "");
    Expect(0, 70393, '\p{^Script=khudawadi}', "");
    Expect(0, 70393, '\P{Script=khudawadi}', "");
    Expect(1, 70393, '\P{^Script=khudawadi}', "");
    Expect(0, 70394, '\p{Script=khudawadi}', "");
    Expect(1, 70394, '\p{^Script=khudawadi}', "");
    Expect(1, 70394, '\P{Script=khudawadi}', "");
    Expect(0, 70394, '\P{^Script=khudawadi}', "");
    Expect(1, 70393, '\p{Script=:\Akhudawadi\z:}', "");;
    Expect(0, 70394, '\p{Script=:\Akhudawadi\z:}', "");;
    Expect(1, 70393, '\p{Script=_ KHUDAWADI}', "");
    Expect(0, 70393, '\p{^Script=_ KHUDAWADI}', "");
    Expect(0, 70393, '\P{Script=_ KHUDAWADI}', "");
    Expect(1, 70393, '\P{^Script=_ KHUDAWADI}', "");
    Expect(0, 70394, '\p{Script=_ KHUDAWADI}', "");
    Expect(1, 70394, '\p{^Script=_ KHUDAWADI}', "");
    Expect(1, 70394, '\P{Script=_ KHUDAWADI}', "");
    Expect(0, 70394, '\P{^Script=_ KHUDAWADI}', "");
    Error('\p{Sc=/a/-sind}');
    Error('\P{Sc=/a/-sind}');
    Expect(1, 70393, '\p{Sc=:\ASind\z:}', "");;
    Expect(0, 70394, '\p{Sc=:\ASind\z:}', "");;
    Expect(1, 70393, '\p{Sc=sind}', "");
    Expect(0, 70393, '\p{^Sc=sind}', "");
    Expect(0, 70393, '\P{Sc=sind}', "");
    Expect(1, 70393, '\P{^Sc=sind}', "");
    Expect(0, 70394, '\p{Sc=sind}', "");
    Expect(1, 70394, '\p{^Sc=sind}', "");
    Expect(1, 70394, '\P{Sc=sind}', "");
    Expect(0, 70394, '\P{^Sc=sind}', "");
    Expect(1, 70393, '\p{Sc=:\Asind\z:}', "");;
    Expect(0, 70394, '\p{Sc=:\Asind\z:}', "");;
    Expect(1, 70393, '\p{Sc:   _ Sind}', "");
    Expect(0, 70393, '\p{^Sc:   _ Sind}', "");
    Expect(0, 70393, '\P{Sc:   _ Sind}', "");
    Expect(1, 70393, '\P{^Sc:   _ Sind}', "");
    Expect(0, 70394, '\p{Sc:   _ Sind}', "");
    Expect(1, 70394, '\p{^Sc:   _ Sind}', "");
    Expect(1, 70394, '\P{Sc:   _ Sind}', "");
    Expect(0, 70394, '\P{^Sc:   _ Sind}', "");
    Error('\p{Is_Script=:=--Khudawadi}');
    Error('\P{Is_Script=:=--Khudawadi}');
    Expect(1, 70393, '\p{Is_Script=khudawadi}', "");
    Expect(0, 70393, '\p{^Is_Script=khudawadi}', "");
    Expect(0, 70393, '\P{Is_Script=khudawadi}', "");
    Expect(1, 70393, '\P{^Is_Script=khudawadi}', "");
    Expect(0, 70394, '\p{Is_Script=khudawadi}', "");
    Expect(1, 70394, '\p{^Is_Script=khudawadi}', "");
    Expect(1, 70394, '\P{Is_Script=khudawadi}', "");
    Expect(0, 70394, '\P{^Is_Script=khudawadi}', "");
    Expect(1, 70393, '\p{Is_Script=	Khudawadi}', "");
    Expect(0, 70393, '\p{^Is_Script=	Khudawadi}', "");
    Expect(0, 70393, '\P{Is_Script=	Khudawadi}', "");
    Expect(1, 70393, '\P{^Is_Script=	Khudawadi}', "");
    Expect(0, 70394, '\p{Is_Script=	Khudawadi}', "");
    Expect(1, 70394, '\p{^Is_Script=	Khudawadi}', "");
    Expect(1, 70394, '\P{Is_Script=	Khudawadi}', "");
    Expect(0, 70394, '\P{^Is_Script=	Khudawadi}', "");
    Error('\p{Is_Sc=-:=sind}');
    Error('\P{Is_Sc=-:=sind}');
    Expect(1, 70393, '\p{Is_Sc=sind}', "");
    Expect(0, 70393, '\p{^Is_Sc=sind}', "");
    Expect(0, 70393, '\P{Is_Sc=sind}', "");
    Expect(1, 70393, '\P{^Is_Sc=sind}', "");
    Expect(0, 70394, '\p{Is_Sc=sind}', "");
    Expect(1, 70394, '\p{^Is_Sc=sind}', "");
    Expect(1, 70394, '\P{Is_Sc=sind}', "");
    Expect(0, 70394, '\P{^Is_Sc=sind}', "");
    Expect(1, 70393, '\p{Is_Sc:  _SIND}', "");
    Expect(0, 70393, '\p{^Is_Sc:  _SIND}', "");
    Expect(0, 70393, '\P{Is_Sc:  _SIND}', "");
    Expect(1, 70393, '\P{^Is_Sc:  _SIND}', "");
    Expect(0, 70394, '\p{Is_Sc:  _SIND}', "");
    Expect(1, 70394, '\p{^Is_Sc:  _SIND}', "");
    Expect(1, 70394, '\P{Is_Sc:  _SIND}', "");
    Expect(0, 70394, '\P{^Is_Sc:  _SIND}', "");
    Error('\p{Script=_/a/sinhala}');
    Error('\P{Script=_/a/sinhala}');
    Expect(1, 70132, '\p{Script=:\ASinhala\z:}', "");;
    Expect(0, 70133, '\p{Script=:\ASinhala\z:}', "");;
    Expect(1, 70132, '\p{Script=sinhala}', "");
    Expect(0, 70132, '\p{^Script=sinhala}', "");
    Expect(0, 70132, '\P{Script=sinhala}', "");
    Expect(1, 70132, '\P{^Script=sinhala}', "");
    Expect(0, 70133, '\p{Script=sinhala}', "");
    Expect(1, 70133, '\p{^Script=sinhala}', "");
    Expect(1, 70133, '\P{Script=sinhala}', "");
    Expect(0, 70133, '\P{^Script=sinhala}', "");
    Expect(1, 70132, '\p{Script=:\Asinhala\z:}', "");;
    Expect(0, 70133, '\p{Script=:\Asinhala\z:}', "");;
    Expect(1, 70132, '\p{Script=_	SINHALA}', "");
    Expect(0, 70132, '\p{^Script=_	SINHALA}', "");
    Expect(0, 70132, '\P{Script=_	SINHALA}', "");
    Expect(1, 70132, '\P{^Script=_	SINHALA}', "");
    Expect(0, 70133, '\p{Script=_	SINHALA}', "");
    Expect(1, 70133, '\p{^Script=_	SINHALA}', "");
    Expect(1, 70133, '\P{Script=_	SINHALA}', "");
    Expect(0, 70133, '\P{^Script=_	SINHALA}', "");
    Error('\p{Sc=-SINH/a/}');
    Error('\P{Sc=-SINH/a/}');
    Expect(1, 70132, '\p{Sc=:\ASinh\z:}', "");;
    Expect(0, 70133, '\p{Sc=:\ASinh\z:}', "");;
    Expect(1, 70132, '\p{Sc=sinh}', "");
    Expect(0, 70132, '\p{^Sc=sinh}', "");
    Expect(0, 70132, '\P{Sc=sinh}', "");
    Expect(1, 70132, '\P{^Sc=sinh}', "");
    Expect(0, 70133, '\p{Sc=sinh}', "");
    Expect(1, 70133, '\p{^Sc=sinh}', "");
    Expect(1, 70133, '\P{Sc=sinh}', "");
    Expect(0, 70133, '\P{^Sc=sinh}', "");
    Expect(1, 70132, '\p{Sc=:\Asinh\z:}', "");;
    Expect(0, 70133, '\p{Sc=:\Asinh\z:}', "");;
    Expect(1, 70132, '\p{Sc=	Sinh}', "");
    Expect(0, 70132, '\p{^Sc=	Sinh}', "");
    Expect(0, 70132, '\P{Sc=	Sinh}', "");
    Expect(1, 70132, '\P{^Sc=	Sinh}', "");
    Expect(0, 70133, '\p{Sc=	Sinh}', "");
    Expect(1, 70133, '\p{^Sc=	Sinh}', "");
    Expect(1, 70133, '\P{Sc=	Sinh}', "");
    Expect(0, 70133, '\P{^Sc=	Sinh}', "");
    Error('\p{Is_Script=/a/--Sinhala}');
    Error('\P{Is_Script=/a/--Sinhala}');
    Expect(1, 70132, '\p{Is_Script=sinhala}', "");
    Expect(0, 70132, '\p{^Is_Script=sinhala}', "");
    Expect(0, 70132, '\P{Is_Script=sinhala}', "");
    Expect(1, 70132, '\P{^Is_Script=sinhala}', "");
    Expect(0, 70133, '\p{Is_Script=sinhala}', "");
    Expect(1, 70133, '\p{^Is_Script=sinhala}', "");
    Expect(1, 70133, '\P{Is_Script=sinhala}', "");
    Expect(0, 70133, '\P{^Is_Script=sinhala}', "");
    Expect(1, 70132, '\p{Is_Script=--Sinhala}', "");
    Expect(0, 70132, '\p{^Is_Script=--Sinhala}', "");
    Expect(0, 70132, '\P{Is_Script=--Sinhala}', "");
    Expect(1, 70132, '\P{^Is_Script=--Sinhala}', "");
    Expect(0, 70133, '\p{Is_Script=--Sinhala}', "");
    Expect(1, 70133, '\p{^Is_Script=--Sinhala}', "");
    Expect(1, 70133, '\P{Is_Script=--Sinhala}', "");
    Expect(0, 70133, '\P{^Is_Script=--Sinhala}', "");
    Error('\p{Is_Sc=/a/__Sinh}');
    Error('\P{Is_Sc=/a/__Sinh}');
    Expect(1, 70132, '\p{Is_Sc=sinh}', "");
    Expect(0, 70132, '\p{^Is_Sc=sinh}', "");
    Expect(0, 70132, '\P{Is_Sc=sinh}', "");
    Expect(1, 70132, '\P{^Is_Sc=sinh}', "");
    Expect(0, 70133, '\p{Is_Sc=sinh}', "");
    Expect(1, 70133, '\p{^Is_Sc=sinh}', "");
    Expect(1, 70133, '\P{Is_Sc=sinh}', "");
    Expect(0, 70133, '\P{^Is_Sc=sinh}', "");
    Expect(1, 70132, '\p{Is_Sc:   _ Sinh}', "");
    Expect(0, 70132, '\p{^Is_Sc:   _ Sinh}', "");
    Expect(0, 70132, '\P{Is_Sc:   _ Sinh}', "");
    Expect(1, 70132, '\P{^Is_Sc:   _ Sinh}', "");
    Expect(0, 70133, '\p{Is_Sc:   _ Sinh}', "");
    Expect(1, 70133, '\p{^Is_Sc:   _ Sinh}', "");
    Expect(1, 70133, '\P{Is_Sc:   _ Sinh}', "");
    Expect(0, 70133, '\P{^Is_Sc:   _ Sinh}', "");
    Error('\p{Script=/a/__Sogdian}');
    Error('\P{Script=/a/__Sogdian}');
    Expect(1, 69465, '\p{Script=:\ASogdian\z:}', "");;
    Expect(0, 69466, '\p{Script=:\ASogdian\z:}', "");;
    Expect(1, 69465, '\p{Script=sogdian}', "");
    Expect(0, 69465, '\p{^Script=sogdian}', "");
    Expect(0, 69465, '\P{Script=sogdian}', "");
    Expect(1, 69465, '\P{^Script=sogdian}', "");
    Expect(0, 69466, '\p{Script=sogdian}', "");
    Expect(1, 69466, '\p{^Script=sogdian}', "");
    Expect(1, 69466, '\P{Script=sogdian}', "");
    Expect(0, 69466, '\P{^Script=sogdian}', "");
    Expect(1, 69465, '\p{Script=:\Asogdian\z:}', "");;
    Expect(0, 69466, '\p{Script=:\Asogdian\z:}', "");;
    Expect(1, 69465, '\p{Script= SOGDIAN}', "");
    Expect(0, 69465, '\p{^Script= SOGDIAN}', "");
    Expect(0, 69465, '\P{Script= SOGDIAN}', "");
    Expect(1, 69465, '\P{^Script= SOGDIAN}', "");
    Expect(0, 69466, '\p{Script= SOGDIAN}', "");
    Expect(1, 69466, '\p{^Script= SOGDIAN}', "");
    Expect(1, 69466, '\P{Script= SOGDIAN}', "");
    Expect(0, 69466, '\P{^Script= SOGDIAN}', "");
    Error('\p{Sc=_	sogd:=}');
    Error('\P{Sc=_	sogd:=}');
    Expect(1, 69465, '\p{Sc=:\ASogd\z:}', "");;
    Expect(0, 69466, '\p{Sc=:\ASogd\z:}', "");;
    Expect(1, 69465, '\p{Sc=sogd}', "");
    Expect(0, 69465, '\p{^Sc=sogd}', "");
    Expect(0, 69465, '\P{Sc=sogd}', "");
    Expect(1, 69465, '\P{^Sc=sogd}', "");
    Expect(0, 69466, '\p{Sc=sogd}', "");
    Expect(1, 69466, '\p{^Sc=sogd}', "");
    Expect(1, 69466, '\P{Sc=sogd}', "");
    Expect(0, 69466, '\P{^Sc=sogd}', "");
    Expect(1, 69465, '\p{Sc=:\Asogd\z:}', "");;
    Expect(0, 69466, '\p{Sc=:\Asogd\z:}', "");;
    Expect(1, 69465, '\p{Sc= -SOGD}', "");
    Expect(0, 69465, '\p{^Sc= -SOGD}', "");
    Expect(0, 69465, '\P{Sc= -SOGD}', "");
    Expect(1, 69465, '\P{^Sc= -SOGD}', "");
    Expect(0, 69466, '\p{Sc= -SOGD}', "");
    Expect(1, 69466, '\p{^Sc= -SOGD}', "");
    Expect(1, 69466, '\P{Sc= -SOGD}', "");
    Expect(0, 69466, '\P{^Sc= -SOGD}', "");
    Error('\p{Is_Script:	-sogdian:=}');
    Error('\P{Is_Script:	-sogdian:=}');
    Expect(1, 69465, '\p{Is_Script: sogdian}', "");
    Expect(0, 69465, '\p{^Is_Script: sogdian}', "");
    Expect(0, 69465, '\P{Is_Script: sogdian}', "");
    Expect(1, 69465, '\P{^Is_Script: sogdian}', "");
    Expect(0, 69466, '\p{Is_Script: sogdian}', "");
    Expect(1, 69466, '\p{^Is_Script: sogdian}', "");
    Expect(1, 69466, '\P{Is_Script: sogdian}', "");
    Expect(0, 69466, '\P{^Is_Script: sogdian}', "");
    Expect(1, 69465, '\p{Is_Script=-SOGDIAN}', "");
    Expect(0, 69465, '\p{^Is_Script=-SOGDIAN}', "");
    Expect(0, 69465, '\P{Is_Script=-SOGDIAN}', "");
    Expect(1, 69465, '\P{^Is_Script=-SOGDIAN}', "");
    Expect(0, 69466, '\p{Is_Script=-SOGDIAN}', "");
    Expect(1, 69466, '\p{^Is_Script=-SOGDIAN}', "");
    Expect(1, 69466, '\P{Is_Script=-SOGDIAN}', "");
    Expect(0, 69466, '\P{^Is_Script=-SOGDIAN}', "");
    Error('\p{Is_Sc=	:=Sogd}');
    Error('\P{Is_Sc=	:=Sogd}');
    Expect(1, 69465, '\p{Is_Sc:   sogd}', "");
    Expect(0, 69465, '\p{^Is_Sc:   sogd}', "");
    Expect(0, 69465, '\P{Is_Sc:   sogd}', "");
    Expect(1, 69465, '\P{^Is_Sc:   sogd}', "");
    Expect(0, 69466, '\p{Is_Sc:   sogd}', "");
    Expect(1, 69466, '\p{^Is_Sc:   sogd}', "");
    Expect(1, 69466, '\P{Is_Sc:   sogd}', "");
    Expect(0, 69466, '\P{^Is_Sc:   sogd}', "");
    Expect(1, 69465, '\p{Is_Sc=-_Sogd}', "");
    Expect(0, 69465, '\p{^Is_Sc=-_Sogd}', "");
    Expect(0, 69465, '\P{Is_Sc=-_Sogd}', "");
    Expect(1, 69465, '\P{^Is_Sc=-_Sogd}', "");
    Expect(0, 69466, '\p{Is_Sc=-_Sogd}', "");
    Expect(1, 69466, '\p{^Is_Sc=-_Sogd}', "");
    Expect(1, 69466, '\P{Is_Sc=-_Sogd}', "");
    Expect(0, 69466, '\P{^Is_Sc=-_Sogd}', "");
    Error('\p{Script:	/a/Old_Sogdian}');
    Error('\P{Script:	/a/Old_Sogdian}');
    Expect(1, 69415, '\p{Script=:\AOld_Sogdian\z:}', "");;
    Expect(0, 69416, '\p{Script=:\AOld_Sogdian\z:}', "");;
    Expect(1, 69415, '\p{Script=oldsogdian}', "");
    Expect(0, 69415, '\p{^Script=oldsogdian}', "");
    Expect(0, 69415, '\P{Script=oldsogdian}', "");
    Expect(1, 69415, '\P{^Script=oldsogdian}', "");
    Expect(0, 69416, '\p{Script=oldsogdian}', "");
    Expect(1, 69416, '\p{^Script=oldsogdian}', "");
    Expect(1, 69416, '\P{Script=oldsogdian}', "");
    Expect(0, 69416, '\P{^Script=oldsogdian}', "");
    Expect(1, 69415, '\p{Script=:\Aoldsogdian\z:}', "");;
    Expect(0, 69416, '\p{Script=:\Aoldsogdian\z:}', "");;
    Expect(1, 69415, '\p{Script=_ Old_Sogdian}', "");
    Expect(0, 69415, '\p{^Script=_ Old_Sogdian}', "");
    Expect(0, 69415, '\P{Script=_ Old_Sogdian}', "");
    Expect(1, 69415, '\P{^Script=_ Old_Sogdian}', "");
    Expect(0, 69416, '\p{Script=_ Old_Sogdian}', "");
    Expect(1, 69416, '\p{^Script=_ Old_Sogdian}', "");
    Expect(1, 69416, '\P{Script=_ Old_Sogdian}', "");
    Expect(0, 69416, '\P{^Script=_ Old_Sogdian}', "");
    Error('\p{Sc=-SOGO:=}');
    Error('\P{Sc=-SOGO:=}');
    Expect(1, 69415, '\p{Sc=:\ASogo\z:}', "");;
    Expect(0, 69416, '\p{Sc=:\ASogo\z:}', "");;
    Expect(1, 69415, '\p{Sc=sogo}', "");
    Expect(0, 69415, '\p{^Sc=sogo}', "");
    Expect(0, 69415, '\P{Sc=sogo}', "");
    Expect(1, 69415, '\P{^Sc=sogo}', "");
    Expect(0, 69416, '\p{Sc=sogo}', "");
    Expect(1, 69416, '\p{^Sc=sogo}', "");
    Expect(1, 69416, '\P{Sc=sogo}', "");
    Expect(0, 69416, '\P{^Sc=sogo}', "");
    Expect(1, 69415, '\p{Sc=:\Asogo\z:}', "");;
    Expect(0, 69416, '\p{Sc=:\Asogo\z:}', "");;
    Expect(1, 69415, '\p{Sc=-	Sogo}', "");
    Expect(0, 69415, '\p{^Sc=-	Sogo}', "");
    Expect(0, 69415, '\P{Sc=-	Sogo}', "");
    Expect(1, 69415, '\P{^Sc=-	Sogo}', "");
    Expect(0, 69416, '\p{Sc=-	Sogo}', "");
    Expect(1, 69416, '\p{^Sc=-	Sogo}', "");
    Expect(1, 69416, '\P{Sc=-	Sogo}', "");
    Expect(0, 69416, '\P{^Sc=-	Sogo}', "");
    Error('\p{Is_Script=  old_SOGDIAN:=}');
    Error('\P{Is_Script=  old_SOGDIAN:=}');
    Expect(1, 69415, '\p{Is_Script=oldsogdian}', "");
    Expect(0, 69415, '\p{^Is_Script=oldsogdian}', "");
    Expect(0, 69415, '\P{Is_Script=oldsogdian}', "");
    Expect(1, 69415, '\P{^Is_Script=oldsogdian}', "");
    Expect(0, 69416, '\p{Is_Script=oldsogdian}', "");
    Expect(1, 69416, '\p{^Is_Script=oldsogdian}', "");
    Expect(1, 69416, '\P{Is_Script=oldsogdian}', "");
    Expect(0, 69416, '\P{^Is_Script=oldsogdian}', "");
    Expect(1, 69415, '\p{Is_Script=		Old_Sogdian}', "");
    Expect(0, 69415, '\p{^Is_Script=		Old_Sogdian}', "");
    Expect(0, 69415, '\P{Is_Script=		Old_Sogdian}', "");
    Expect(1, 69415, '\P{^Is_Script=		Old_Sogdian}', "");
    Expect(0, 69416, '\p{Is_Script=		Old_Sogdian}', "");
    Expect(1, 69416, '\p{^Is_Script=		Old_Sogdian}', "");
    Expect(1, 69416, '\P{Is_Script=		Old_Sogdian}', "");
    Expect(0, 69416, '\P{^Is_Script=		Old_Sogdian}', "");
    Error('\p{Is_Sc= :=SOGO}');
    Error('\P{Is_Sc= :=SOGO}');
    Expect(1, 69415, '\p{Is_Sc:   sogo}', "");
    Expect(0, 69415, '\p{^Is_Sc:   sogo}', "");
    Expect(0, 69415, '\P{Is_Sc:   sogo}', "");
    Expect(1, 69415, '\P{^Is_Sc:   sogo}', "");
    Expect(0, 69416, '\p{Is_Sc:   sogo}', "");
    Expect(1, 69416, '\p{^Is_Sc:   sogo}', "");
    Expect(1, 69416, '\P{Is_Sc:   sogo}', "");
    Expect(0, 69416, '\P{^Is_Sc:   sogo}', "");
    Expect(1, 69415, '\p{Is_Sc=_Sogo}', "");
    Expect(0, 69415, '\p{^Is_Sc=_Sogo}', "");
    Expect(0, 69415, '\P{Is_Sc=_Sogo}', "");
    Expect(1, 69415, '\P{^Is_Sc=_Sogo}', "");
    Expect(0, 69416, '\p{Is_Sc=_Sogo}', "");
    Expect(1, 69416, '\p{^Is_Sc=_Sogo}', "");
    Expect(1, 69416, '\P{Is_Sc=_Sogo}', "");
    Expect(0, 69416, '\P{^Is_Sc=_Sogo}', "");
    Error('\p{Script= SORA_sompeng:=}');
    Error('\P{Script= SORA_sompeng:=}');
    Expect(1, 69881, '\p{Script=:\ASora_Sompeng\z:}', "");;
    Expect(0, 69882, '\p{Script=:\ASora_Sompeng\z:}', "");;
    Expect(1, 69881, '\p{Script=sorasompeng}', "");
    Expect(0, 69881, '\p{^Script=sorasompeng}', "");
    Expect(0, 69881, '\P{Script=sorasompeng}', "");
    Expect(1, 69881, '\P{^Script=sorasompeng}', "");
    Expect(0, 69882, '\p{Script=sorasompeng}', "");
    Expect(1, 69882, '\p{^Script=sorasompeng}', "");
    Expect(1, 69882, '\P{Script=sorasompeng}', "");
    Expect(0, 69882, '\P{^Script=sorasompeng}', "");
    Expect(1, 69881, '\p{Script=:\Asorasompeng\z:}', "");;
    Expect(0, 69882, '\p{Script=:\Asorasompeng\z:}', "");;
    Expect(1, 69881, '\p{Script= Sora_Sompeng}', "");
    Expect(0, 69881, '\p{^Script= Sora_Sompeng}', "");
    Expect(0, 69881, '\P{Script= Sora_Sompeng}', "");
    Expect(1, 69881, '\P{^Script= Sora_Sompeng}', "");
    Expect(0, 69882, '\p{Script= Sora_Sompeng}', "");
    Expect(1, 69882, '\p{^Script= Sora_Sompeng}', "");
    Expect(1, 69882, '\P{Script= Sora_Sompeng}', "");
    Expect(0, 69882, '\P{^Script= Sora_Sompeng}', "");
    Error('\p{Sc=--sora/a/}');
    Error('\P{Sc=--sora/a/}');
    Expect(1, 69881, '\p{Sc=:\ASora\z:}', "");;
    Expect(0, 69882, '\p{Sc=:\ASora\z:}', "");;
    Expect(1, 69881, '\p{Sc=sora}', "");
    Expect(0, 69881, '\p{^Sc=sora}', "");
    Expect(0, 69881, '\P{Sc=sora}', "");
    Expect(1, 69881, '\P{^Sc=sora}', "");
    Expect(0, 69882, '\p{Sc=sora}', "");
    Expect(1, 69882, '\p{^Sc=sora}', "");
    Expect(1, 69882, '\P{Sc=sora}', "");
    Expect(0, 69882, '\P{^Sc=sora}', "");
    Expect(1, 69881, '\p{Sc=:\Asora\z:}', "");;
    Expect(0, 69882, '\p{Sc=:\Asora\z:}', "");;
    Expect(1, 69881, '\p{Sc:		-Sora}', "");
    Expect(0, 69881, '\p{^Sc:		-Sora}', "");
    Expect(0, 69881, '\P{Sc:		-Sora}', "");
    Expect(1, 69881, '\P{^Sc:		-Sora}', "");
    Expect(0, 69882, '\p{Sc:		-Sora}', "");
    Expect(1, 69882, '\p{^Sc:		-Sora}', "");
    Expect(1, 69882, '\P{Sc:		-Sora}', "");
    Expect(0, 69882, '\P{^Sc:		-Sora}', "");
    Error('\p{Is_Script:    	Sora_SOMPENG/a/}');
    Error('\P{Is_Script:    	Sora_SOMPENG/a/}');
    Expect(1, 69881, '\p{Is_Script=sorasompeng}', "");
    Expect(0, 69881, '\p{^Is_Script=sorasompeng}', "");
    Expect(0, 69881, '\P{Is_Script=sorasompeng}', "");
    Expect(1, 69881, '\P{^Is_Script=sorasompeng}', "");
    Expect(0, 69882, '\p{Is_Script=sorasompeng}', "");
    Expect(1, 69882, '\p{^Is_Script=sorasompeng}', "");
    Expect(1, 69882, '\P{Is_Script=sorasompeng}', "");
    Expect(0, 69882, '\P{^Is_Script=sorasompeng}', "");
    Expect(1, 69881, '\p{Is_Script: _-SORA_SOMPENG}', "");
    Expect(0, 69881, '\p{^Is_Script: _-SORA_SOMPENG}', "");
    Expect(0, 69881, '\P{Is_Script: _-SORA_SOMPENG}', "");
    Expect(1, 69881, '\P{^Is_Script: _-SORA_SOMPENG}', "");
    Expect(0, 69882, '\p{Is_Script: _-SORA_SOMPENG}', "");
    Expect(1, 69882, '\p{^Is_Script: _-SORA_SOMPENG}', "");
    Expect(1, 69882, '\P{Is_Script: _-SORA_SOMPENG}', "");
    Expect(0, 69882, '\P{^Is_Script: _-SORA_SOMPENG}', "");
    Error('\p{Is_Sc=-:=SORA}');
    Error('\P{Is_Sc=-:=SORA}');
    Expect(1, 69881, '\p{Is_Sc:   sora}', "");
    Expect(0, 69881, '\p{^Is_Sc:   sora}', "");
    Expect(0, 69881, '\P{Is_Sc:   sora}', "");
    Expect(1, 69881, '\P{^Is_Sc:   sora}', "");
    Expect(0, 69882, '\p{Is_Sc:   sora}', "");
    Expect(1, 69882, '\p{^Is_Sc:   sora}', "");
    Expect(1, 69882, '\P{Is_Sc:   sora}', "");
    Expect(0, 69882, '\P{^Is_Sc:   sora}', "");
    Expect(1, 69881, '\p{Is_Sc=-_sora}', "");
    Expect(0, 69881, '\p{^Is_Sc=-_sora}', "");
    Expect(0, 69881, '\P{Is_Sc=-_sora}', "");
    Expect(1, 69881, '\P{^Is_Sc=-_sora}', "");
    Expect(0, 69882, '\p{Is_Sc=-_sora}', "");
    Expect(1, 69882, '\p{^Is_Sc=-_sora}', "");
    Expect(1, 69882, '\P{Is_Sc=-_sora}', "");
    Expect(0, 69882, '\P{^Is_Sc=-_sora}', "");
    Error('\p{Script= /a/soyombo}');
    Error('\P{Script= /a/soyombo}');
    Expect(1, 72354, '\p{Script=:\ASoyombo\z:}', "");;
    Expect(0, 72355, '\p{Script=:\ASoyombo\z:}', "");;
    Expect(1, 72354, '\p{Script=soyombo}', "");
    Expect(0, 72354, '\p{^Script=soyombo}', "");
    Expect(0, 72354, '\P{Script=soyombo}', "");
    Expect(1, 72354, '\P{^Script=soyombo}', "");
    Expect(0, 72355, '\p{Script=soyombo}', "");
    Expect(1, 72355, '\p{^Script=soyombo}', "");
    Expect(1, 72355, '\P{Script=soyombo}', "");
    Expect(0, 72355, '\P{^Script=soyombo}', "");
    Expect(1, 72354, '\p{Script=:\Asoyombo\z:}', "");;
    Expect(0, 72355, '\p{Script=:\Asoyombo\z:}', "");;
    Expect(1, 72354, '\p{Script=-soyombo}', "");
    Expect(0, 72354, '\p{^Script=-soyombo}', "");
    Expect(0, 72354, '\P{Script=-soyombo}', "");
    Expect(1, 72354, '\P{^Script=-soyombo}', "");
    Expect(0, 72355, '\p{Script=-soyombo}', "");
    Expect(1, 72355, '\p{^Script=-soyombo}', "");
    Expect(1, 72355, '\P{Script=-soyombo}', "");
    Expect(0, 72355, '\P{^Script=-soyombo}', "");
    Error('\p{Sc=:=_soyo}');
    Error('\P{Sc=:=_soyo}');
    Expect(1, 72354, '\p{Sc=:\ASoyo\z:}', "");;
    Expect(0, 72355, '\p{Sc=:\ASoyo\z:}', "");;
    Expect(1, 72354, '\p{Sc=soyo}', "");
    Expect(0, 72354, '\p{^Sc=soyo}', "");
    Expect(0, 72354, '\P{Sc=soyo}', "");
    Expect(1, 72354, '\P{^Sc=soyo}', "");
    Expect(0, 72355, '\p{Sc=soyo}', "");
    Expect(1, 72355, '\p{^Sc=soyo}', "");
    Expect(1, 72355, '\P{Sc=soyo}', "");
    Expect(0, 72355, '\P{^Sc=soyo}', "");
    Expect(1, 72354, '\p{Sc=:\Asoyo\z:}', "");;
    Expect(0, 72355, '\p{Sc=:\Asoyo\z:}', "");;
    Expect(1, 72354, '\p{Sc=-	soyo}', "");
    Expect(0, 72354, '\p{^Sc=-	soyo}', "");
    Expect(0, 72354, '\P{Sc=-	soyo}', "");
    Expect(1, 72354, '\P{^Sc=-	soyo}', "");
    Expect(0, 72355, '\p{Sc=-	soyo}', "");
    Expect(1, 72355, '\p{^Sc=-	soyo}', "");
    Expect(1, 72355, '\P{Sc=-	soyo}', "");
    Expect(0, 72355, '\P{^Sc=-	soyo}', "");
    Error('\p{Is_Script= /a/SOYOMBO}');
    Error('\P{Is_Script= /a/SOYOMBO}');
    Expect(1, 72354, '\p{Is_Script=soyombo}', "");
    Expect(0, 72354, '\p{^Is_Script=soyombo}', "");
    Expect(0, 72354, '\P{Is_Script=soyombo}', "");
    Expect(1, 72354, '\P{^Is_Script=soyombo}', "");
    Expect(0, 72355, '\p{Is_Script=soyombo}', "");
    Expect(1, 72355, '\p{^Is_Script=soyombo}', "");
    Expect(1, 72355, '\P{Is_Script=soyombo}', "");
    Expect(0, 72355, '\P{^Is_Script=soyombo}', "");
    Expect(1, 72354, '\p{Is_Script=	_soyombo}', "");
    Expect(0, 72354, '\p{^Is_Script=	_soyombo}', "");
    Expect(0, 72354, '\P{Is_Script=	_soyombo}', "");
    Expect(1, 72354, '\P{^Is_Script=	_soyombo}', "");
    Expect(0, 72355, '\p{Is_Script=	_soyombo}', "");
    Expect(1, 72355, '\p{^Is_Script=	_soyombo}', "");
    Expect(1, 72355, '\P{Is_Script=	_soyombo}', "");
    Expect(0, 72355, '\P{^Is_Script=	_soyombo}', "");
    Error('\p{Is_Sc= /a/soyo}');
    Error('\P{Is_Sc= /a/soyo}');
    Expect(1, 72354, '\p{Is_Sc=soyo}', "");
    Expect(0, 72354, '\p{^Is_Sc=soyo}', "");
    Expect(0, 72354, '\P{Is_Sc=soyo}', "");
    Expect(1, 72354, '\P{^Is_Sc=soyo}', "");
    Expect(0, 72355, '\p{Is_Sc=soyo}', "");
    Expect(1, 72355, '\p{^Is_Sc=soyo}', "");
    Expect(1, 72355, '\P{Is_Sc=soyo}', "");
    Expect(0, 72355, '\P{^Is_Sc=soyo}', "");
    Expect(1, 72354, '\p{Is_Sc:   - Soyo}', "");
    Expect(0, 72354, '\p{^Is_Sc:   - Soyo}', "");
    Expect(0, 72354, '\P{Is_Sc:   - Soyo}', "");
    Expect(1, 72354, '\P{^Is_Sc:   - Soyo}', "");
    Expect(0, 72355, '\p{Is_Sc:   - Soyo}', "");
    Expect(1, 72355, '\p{^Is_Sc:   - Soyo}', "");
    Expect(1, 72355, '\P{Is_Sc:   - Soyo}', "");
    Expect(0, 72355, '\P{^Is_Sc:   - Soyo}', "");
    Error('\p{Script=:=-Sundanese}');
    Error('\P{Script=:=-Sundanese}');
    Expect(1, 7367, '\p{Script=:\ASundanese\z:}', "");;
    Expect(0, 7368, '\p{Script=:\ASundanese\z:}', "");;
    Expect(1, 7367, '\p{Script=sundanese}', "");
    Expect(0, 7367, '\p{^Script=sundanese}', "");
    Expect(0, 7367, '\P{Script=sundanese}', "");
    Expect(1, 7367, '\P{^Script=sundanese}', "");
    Expect(0, 7368, '\p{Script=sundanese}', "");
    Expect(1, 7368, '\p{^Script=sundanese}', "");
    Expect(1, 7368, '\P{Script=sundanese}', "");
    Expect(0, 7368, '\P{^Script=sundanese}', "");
    Expect(1, 7367, '\p{Script=:\Asundanese\z:}', "");;
    Expect(0, 7368, '\p{Script=:\Asundanese\z:}', "");;
    Expect(1, 7367, '\p{Script=  Sundanese}', "");
    Expect(0, 7367, '\p{^Script=  Sundanese}', "");
    Expect(0, 7367, '\P{Script=  Sundanese}', "");
    Expect(1, 7367, '\P{^Script=  Sundanese}', "");
    Expect(0, 7368, '\p{Script=  Sundanese}', "");
    Expect(1, 7368, '\p{^Script=  Sundanese}', "");
    Expect(1, 7368, '\P{Script=  Sundanese}', "");
    Expect(0, 7368, '\P{^Script=  Sundanese}', "");
    Error('\p{Sc=		SUND/a/}');
    Error('\P{Sc=		SUND/a/}');
    Expect(1, 7367, '\p{Sc=:\ASund\z:}', "");;
    Expect(0, 7368, '\p{Sc=:\ASund\z:}', "");;
    Expect(1, 7367, '\p{Sc=sund}', "");
    Expect(0, 7367, '\p{^Sc=sund}', "");
    Expect(0, 7367, '\P{Sc=sund}', "");
    Expect(1, 7367, '\P{^Sc=sund}', "");
    Expect(0, 7368, '\p{Sc=sund}', "");
    Expect(1, 7368, '\p{^Sc=sund}', "");
    Expect(1, 7368, '\P{Sc=sund}', "");
    Expect(0, 7368, '\P{^Sc=sund}', "");
    Expect(1, 7367, '\p{Sc=:\Asund\z:}', "");;
    Expect(0, 7368, '\p{Sc=:\Asund\z:}', "");;
    Expect(1, 7367, '\p{Sc= _Sund}', "");
    Expect(0, 7367, '\p{^Sc= _Sund}', "");
    Expect(0, 7367, '\P{Sc= _Sund}', "");
    Expect(1, 7367, '\P{^Sc= _Sund}', "");
    Expect(0, 7368, '\p{Sc= _Sund}', "");
    Expect(1, 7368, '\p{^Sc= _Sund}', "");
    Expect(1, 7368, '\P{Sc= _Sund}', "");
    Expect(0, 7368, '\P{^Sc= _Sund}', "");
    Error('\p{Is_Script=-/a/sundanese}');
    Error('\P{Is_Script=-/a/sundanese}');
    Expect(1, 7367, '\p{Is_Script=sundanese}', "");
    Expect(0, 7367, '\p{^Is_Script=sundanese}', "");
    Expect(0, 7367, '\P{Is_Script=sundanese}', "");
    Expect(1, 7367, '\P{^Is_Script=sundanese}', "");
    Expect(0, 7368, '\p{Is_Script=sundanese}', "");
    Expect(1, 7368, '\p{^Is_Script=sundanese}', "");
    Expect(1, 7368, '\P{Is_Script=sundanese}', "");
    Expect(0, 7368, '\P{^Is_Script=sundanese}', "");
    Expect(1, 7367, '\p{Is_Script=--sundanese}', "");
    Expect(0, 7367, '\p{^Is_Script=--sundanese}', "");
    Expect(0, 7367, '\P{Is_Script=--sundanese}', "");
    Expect(1, 7367, '\P{^Is_Script=--sundanese}', "");
    Expect(0, 7368, '\p{Is_Script=--sundanese}', "");
    Expect(1, 7368, '\p{^Is_Script=--sundanese}', "");
    Expect(1, 7368, '\P{Is_Script=--sundanese}', "");
    Expect(0, 7368, '\P{^Is_Script=--sundanese}', "");
    Error('\p{Is_Sc= _sund/a/}');
    Error('\P{Is_Sc= _sund/a/}');
    Expect(1, 7367, '\p{Is_Sc=sund}', "");
    Expect(0, 7367, '\p{^Is_Sc=sund}', "");
    Expect(0, 7367, '\P{Is_Sc=sund}', "");
    Expect(1, 7367, '\P{^Is_Sc=sund}', "");
    Expect(0, 7368, '\p{Is_Sc=sund}', "");
    Expect(1, 7368, '\p{^Is_Sc=sund}', "");
    Expect(1, 7368, '\P{Is_Sc=sund}', "");
    Expect(0, 7368, '\P{^Is_Sc=sund}', "");
    Expect(1, 7367, '\p{Is_Sc=	Sund}', "");
    Expect(0, 7367, '\p{^Is_Sc=	Sund}', "");
    Expect(0, 7367, '\P{Is_Sc=	Sund}', "");
    Expect(1, 7367, '\P{^Is_Sc=	Sund}', "");
    Expect(0, 7368, '\p{Is_Sc=	Sund}', "");
    Expect(1, 7368, '\p{^Is_Sc=	Sund}', "");
    Expect(1, 7368, '\P{Is_Sc=	Sund}', "");
    Expect(0, 7368, '\P{^Is_Sc=	Sund}', "");
    Error('\p{Script=-_Syloti_Nagri:=}');
    Error('\P{Script=-_Syloti_Nagri:=}');
    Expect(1, 43052, '\p{Script=:\ASyloti_Nagri\z:}', "");;
    Expect(0, 43053, '\p{Script=:\ASyloti_Nagri\z:}', "");;
    Expect(1, 43052, '\p{Script=sylotinagri}', "");
    Expect(0, 43052, '\p{^Script=sylotinagri}', "");
    Expect(0, 43052, '\P{Script=sylotinagri}', "");
    Expect(1, 43052, '\P{^Script=sylotinagri}', "");
    Expect(0, 43053, '\p{Script=sylotinagri}', "");
    Expect(1, 43053, '\p{^Script=sylotinagri}', "");
    Expect(1, 43053, '\P{Script=sylotinagri}', "");
    Expect(0, 43053, '\P{^Script=sylotinagri}', "");
    Expect(1, 43052, '\p{Script=:\Asylotinagri\z:}', "");;
    Expect(0, 43053, '\p{Script=:\Asylotinagri\z:}', "");;
    Expect(1, 43052, '\p{Script=_	syloti_Nagri}', "");
    Expect(0, 43052, '\p{^Script=_	syloti_Nagri}', "");
    Expect(0, 43052, '\P{Script=_	syloti_Nagri}', "");
    Expect(1, 43052, '\P{^Script=_	syloti_Nagri}', "");
    Expect(0, 43053, '\p{Script=_	syloti_Nagri}', "");
    Expect(1, 43053, '\p{^Script=_	syloti_Nagri}', "");
    Expect(1, 43053, '\P{Script=_	syloti_Nagri}', "");
    Expect(0, 43053, '\P{^Script=_	syloti_Nagri}', "");
    Error('\p{Sc=/a/_SYLO}');
    Error('\P{Sc=/a/_SYLO}');
    Expect(1, 43052, '\p{Sc=:\ASylo\z:}', "");;
    Expect(0, 43053, '\p{Sc=:\ASylo\z:}', "");;
    Expect(1, 43052, '\p{Sc=sylo}', "");
    Expect(0, 43052, '\p{^Sc=sylo}', "");
    Expect(0, 43052, '\P{Sc=sylo}', "");
    Expect(1, 43052, '\P{^Sc=sylo}', "");
    Expect(0, 43053, '\p{Sc=sylo}', "");
    Expect(1, 43053, '\p{^Sc=sylo}', "");
    Expect(1, 43053, '\P{Sc=sylo}', "");
    Expect(0, 43053, '\P{^Sc=sylo}', "");
    Expect(1, 43052, '\p{Sc=:\Asylo\z:}', "");;
    Expect(0, 43053, '\p{Sc=:\Asylo\z:}', "");;
    Expect(1, 43052, '\p{Sc=_sylo}', "");
    Expect(0, 43052, '\p{^Sc=_sylo}', "");
    Expect(0, 43052, '\P{Sc=_sylo}', "");
    Expect(1, 43052, '\P{^Sc=_sylo}', "");
    Expect(0, 43053, '\p{Sc=_sylo}', "");
    Expect(1, 43053, '\p{^Sc=_sylo}', "");
    Expect(1, 43053, '\P{Sc=_sylo}', "");
    Expect(0, 43053, '\P{^Sc=_sylo}', "");
    Error('\p{Is_Script= -Syloti_Nagri/a/}');
    Error('\P{Is_Script= -Syloti_Nagri/a/}');
    Expect(1, 43052, '\p{Is_Script:   sylotinagri}', "");
    Expect(0, 43052, '\p{^Is_Script:   sylotinagri}', "");
    Expect(0, 43052, '\P{Is_Script:   sylotinagri}', "");
    Expect(1, 43052, '\P{^Is_Script:   sylotinagri}', "");
    Expect(0, 43053, '\p{Is_Script:   sylotinagri}', "");
    Expect(1, 43053, '\p{^Is_Script:   sylotinagri}', "");
    Expect(1, 43053, '\P{Is_Script:   sylotinagri}', "");
    Expect(0, 43053, '\P{^Is_Script:   sylotinagri}', "");
    Expect(1, 43052, '\p{Is_Script=-Syloti_Nagri}', "");
    Expect(0, 43052, '\p{^Is_Script=-Syloti_Nagri}', "");
    Expect(0, 43052, '\P{Is_Script=-Syloti_Nagri}', "");
    Expect(1, 43052, '\P{^Is_Script=-Syloti_Nagri}', "");
    Expect(0, 43053, '\p{Is_Script=-Syloti_Nagri}', "");
    Expect(1, 43053, '\p{^Is_Script=-Syloti_Nagri}', "");
    Expect(1, 43053, '\P{Is_Script=-Syloti_Nagri}', "");
    Expect(0, 43053, '\P{^Is_Script=-Syloti_Nagri}', "");
    Error('\p{Is_Sc=/a/_sylo}');
    Error('\P{Is_Sc=/a/_sylo}');
    Expect(1, 43052, '\p{Is_Sc:sylo}', "");
    Expect(0, 43052, '\p{^Is_Sc:sylo}', "");
    Expect(0, 43052, '\P{Is_Sc:sylo}', "");
    Expect(1, 43052, '\P{^Is_Sc:sylo}', "");
    Expect(0, 43053, '\p{Is_Sc:sylo}', "");
    Expect(1, 43053, '\p{^Is_Sc:sylo}', "");
    Expect(1, 43053, '\P{Is_Sc:sylo}', "");
    Expect(0, 43053, '\P{^Is_Sc:sylo}', "");
    Expect(1, 43052, '\p{Is_Sc=_ Sylo}', "");
    Expect(0, 43052, '\p{^Is_Sc=_ Sylo}', "");
    Expect(0, 43052, '\P{Is_Sc=_ Sylo}', "");
    Expect(1, 43052, '\P{^Is_Sc=_ Sylo}', "");
    Expect(0, 43053, '\p{Is_Sc=_ Sylo}', "");
    Expect(1, 43053, '\p{^Is_Sc=_ Sylo}', "");
    Expect(1, 43053, '\P{Is_Sc=_ Sylo}', "");
    Expect(0, 43053, '\P{^Is_Sc=_ Sylo}', "");
    Error('\p{Script=:=-SYRIAC}');
    Error('\P{Script=:=-SYRIAC}');
    Expect(1, 2154, '\p{Script=:\ASyriac\z:}', "");;
    Expect(0, 2155, '\p{Script=:\ASyriac\z:}', "");;
    Expect(1, 2154, '\p{Script=syriac}', "");
    Expect(0, 2154, '\p{^Script=syriac}', "");
    Expect(0, 2154, '\P{Script=syriac}', "");
    Expect(1, 2154, '\P{^Script=syriac}', "");
    Expect(0, 2155, '\p{Script=syriac}', "");
    Expect(1, 2155, '\p{^Script=syriac}', "");
    Expect(1, 2155, '\P{Script=syriac}', "");
    Expect(0, 2155, '\P{^Script=syriac}', "");
    Expect(1, 2154, '\p{Script=:\Asyriac\z:}', "");;
    Expect(0, 2155, '\p{Script=:\Asyriac\z:}', "");;
    Expect(1, 2154, '\p{Script=- Syriac}', "");
    Expect(0, 2154, '\p{^Script=- Syriac}', "");
    Expect(0, 2154, '\P{Script=- Syriac}', "");
    Expect(1, 2154, '\P{^Script=- Syriac}', "");
    Expect(0, 2155, '\p{Script=- Syriac}', "");
    Expect(1, 2155, '\p{^Script=- Syriac}', "");
    Expect(1, 2155, '\P{Script=- Syriac}', "");
    Expect(0, 2155, '\P{^Script=- Syriac}', "");
    Error('\p{Sc=/a/--SYRC}');
    Error('\P{Sc=/a/--SYRC}');
    Expect(1, 2154, '\p{Sc=:\ASyrc\z:}', "");;
    Expect(0, 2155, '\p{Sc=:\ASyrc\z:}', "");;
    Expect(1, 2154, '\p{Sc=syrc}', "");
    Expect(0, 2154, '\p{^Sc=syrc}', "");
    Expect(0, 2154, '\P{Sc=syrc}', "");
    Expect(1, 2154, '\P{^Sc=syrc}', "");
    Expect(0, 2155, '\p{Sc=syrc}', "");
    Expect(1, 2155, '\p{^Sc=syrc}', "");
    Expect(1, 2155, '\P{Sc=syrc}', "");
    Expect(0, 2155, '\P{^Sc=syrc}', "");
    Expect(1, 2154, '\p{Sc=:\Asyrc\z:}', "");;
    Expect(0, 2155, '\p{Sc=:\Asyrc\z:}', "");;
    Expect(1, 2154, '\p{Sc=	-Syrc}', "");
    Expect(0, 2154, '\p{^Sc=	-Syrc}', "");
    Expect(0, 2154, '\P{Sc=	-Syrc}', "");
    Expect(1, 2154, '\P{^Sc=	-Syrc}', "");
    Expect(0, 2155, '\p{Sc=	-Syrc}', "");
    Expect(1, 2155, '\p{^Sc=	-Syrc}', "");
    Expect(1, 2155, '\P{Sc=	-Syrc}', "");
    Expect(0, 2155, '\P{^Sc=	-Syrc}', "");
    Error('\p{Is_Script: _/a/Syriac}');
    Error('\P{Is_Script: _/a/Syriac}');
    Expect(1, 2154, '\p{Is_Script=syriac}', "");
    Expect(0, 2154, '\p{^Is_Script=syriac}', "");
    Expect(0, 2154, '\P{Is_Script=syriac}', "");
    Expect(1, 2154, '\P{^Is_Script=syriac}', "");
    Expect(0, 2155, '\p{Is_Script=syriac}', "");
    Expect(1, 2155, '\p{^Is_Script=syriac}', "");
    Expect(1, 2155, '\P{Is_Script=syriac}', "");
    Expect(0, 2155, '\P{^Is_Script=syriac}', "");
    Expect(1, 2154, '\p{Is_Script=__SYRIAC}', "");
    Expect(0, 2154, '\p{^Is_Script=__SYRIAC}', "");
    Expect(0, 2154, '\P{Is_Script=__SYRIAC}', "");
    Expect(1, 2154, '\P{^Is_Script=__SYRIAC}', "");
    Expect(0, 2155, '\p{Is_Script=__SYRIAC}', "");
    Expect(1, 2155, '\p{^Is_Script=__SYRIAC}', "");
    Expect(1, 2155, '\P{Is_Script=__SYRIAC}', "");
    Expect(0, 2155, '\P{^Is_Script=__SYRIAC}', "");
    Error('\p{Is_Sc=/a/_	Syrc}');
    Error('\P{Is_Sc=/a/_	Syrc}');
    Expect(1, 2154, '\p{Is_Sc=syrc}', "");
    Expect(0, 2154, '\p{^Is_Sc=syrc}', "");
    Expect(0, 2154, '\P{Is_Sc=syrc}', "");
    Expect(1, 2154, '\P{^Is_Sc=syrc}', "");
    Expect(0, 2155, '\p{Is_Sc=syrc}', "");
    Expect(1, 2155, '\p{^Is_Sc=syrc}', "");
    Expect(1, 2155, '\P{Is_Sc=syrc}', "");
    Expect(0, 2155, '\P{^Is_Sc=syrc}', "");
    Expect(1, 2154, '\p{Is_Sc=-_Syrc}', "");
    Expect(0, 2154, '\p{^Is_Sc=-_Syrc}', "");
    Expect(0, 2154, '\P{Is_Sc=-_Syrc}', "");
    Expect(1, 2154, '\P{^Is_Sc=-_Syrc}', "");
    Expect(0, 2155, '\p{Is_Sc=-_Syrc}', "");
    Expect(1, 2155, '\p{^Is_Sc=-_Syrc}', "");
    Expect(1, 2155, '\P{Is_Sc=-_Syrc}', "");
    Expect(0, 2155, '\P{^Is_Sc=-_Syrc}', "");
    Error('\p{Script= :=Tagbanwa}');
    Error('\P{Script= :=Tagbanwa}');
    Expect(1, 6003, '\p{Script=:\ATagbanwa\z:}', "");;
    Expect(0, 6004, '\p{Script=:\ATagbanwa\z:}', "");;
    Expect(1, 6003, '\p{Script=tagbanwa}', "");
    Expect(0, 6003, '\p{^Script=tagbanwa}', "");
    Expect(0, 6003, '\P{Script=tagbanwa}', "");
    Expect(1, 6003, '\P{^Script=tagbanwa}', "");
    Expect(0, 6004, '\p{Script=tagbanwa}', "");
    Expect(1, 6004, '\p{^Script=tagbanwa}', "");
    Expect(1, 6004, '\P{Script=tagbanwa}', "");
    Expect(0, 6004, '\P{^Script=tagbanwa}', "");
    Expect(1, 6003, '\p{Script=:\Atagbanwa\z:}', "");;
    Expect(0, 6004, '\p{Script=:\Atagbanwa\z:}', "");;
    Expect(1, 6003, '\p{Script=	Tagbanwa}', "");
    Expect(0, 6003, '\p{^Script=	Tagbanwa}', "");
    Expect(0, 6003, '\P{Script=	Tagbanwa}', "");
    Expect(1, 6003, '\P{^Script=	Tagbanwa}', "");
    Expect(0, 6004, '\p{Script=	Tagbanwa}', "");
    Expect(1, 6004, '\p{^Script=	Tagbanwa}', "");
    Expect(1, 6004, '\P{Script=	Tagbanwa}', "");
    Expect(0, 6004, '\P{^Script=	Tagbanwa}', "");
    Error('\p{Sc=/a/-Tagb}');
    Error('\P{Sc=/a/-Tagb}');
    Expect(1, 6003, '\p{Sc=:\ATagb\z:}', "");;
    Expect(0, 6004, '\p{Sc=:\ATagb\z:}', "");;
    Expect(1, 6003, '\p{Sc=tagb}', "");
    Expect(0, 6003, '\p{^Sc=tagb}', "");
    Expect(0, 6003, '\P{Sc=tagb}', "");
    Expect(1, 6003, '\P{^Sc=tagb}', "");
    Expect(0, 6004, '\p{Sc=tagb}', "");
    Expect(1, 6004, '\p{^Sc=tagb}', "");
    Expect(1, 6004, '\P{Sc=tagb}', "");
    Expect(0, 6004, '\P{^Sc=tagb}', "");
    Expect(1, 6003, '\p{Sc=:\Atagb\z:}', "");;
    Expect(0, 6004, '\p{Sc=:\Atagb\z:}', "");;
    Expect(1, 6003, '\p{Sc=-_Tagb}', "");
    Expect(0, 6003, '\p{^Sc=-_Tagb}', "");
    Expect(0, 6003, '\P{Sc=-_Tagb}', "");
    Expect(1, 6003, '\P{^Sc=-_Tagb}', "");
    Expect(0, 6004, '\p{Sc=-_Tagb}', "");
    Expect(1, 6004, '\p{^Sc=-_Tagb}', "");
    Expect(1, 6004, '\P{Sc=-_Tagb}', "");
    Expect(0, 6004, '\P{^Sc=-_Tagb}', "");
    Error('\p{Is_Script=:=__Tagbanwa}');
    Error('\P{Is_Script=:=__Tagbanwa}');
    Expect(1, 6003, '\p{Is_Script=tagbanwa}', "");
    Expect(0, 6003, '\p{^Is_Script=tagbanwa}', "");
    Expect(0, 6003, '\P{Is_Script=tagbanwa}', "");
    Expect(1, 6003, '\P{^Is_Script=tagbanwa}', "");
    Expect(0, 6004, '\p{Is_Script=tagbanwa}', "");
    Expect(1, 6004, '\p{^Is_Script=tagbanwa}', "");
    Expect(1, 6004, '\P{Is_Script=tagbanwa}', "");
    Expect(0, 6004, '\P{^Is_Script=tagbanwa}', "");
    Expect(1, 6003, '\p{Is_Script:	-tagbanwa}', "");
    Expect(0, 6003, '\p{^Is_Script:	-tagbanwa}', "");
    Expect(0, 6003, '\P{Is_Script:	-tagbanwa}', "");
    Expect(1, 6003, '\P{^Is_Script:	-tagbanwa}', "");
    Expect(0, 6004, '\p{Is_Script:	-tagbanwa}', "");
    Expect(1, 6004, '\p{^Is_Script:	-tagbanwa}', "");
    Expect(1, 6004, '\P{Is_Script:	-tagbanwa}', "");
    Expect(0, 6004, '\P{^Is_Script:	-tagbanwa}', "");
    Error('\p{Is_Sc=/a/	TAGB}');
    Error('\P{Is_Sc=/a/	TAGB}');
    Expect(1, 6003, '\p{Is_Sc:	tagb}', "");
    Expect(0, 6003, '\p{^Is_Sc:	tagb}', "");
    Expect(0, 6003, '\P{Is_Sc:	tagb}', "");
    Expect(1, 6003, '\P{^Is_Sc:	tagb}', "");
    Expect(0, 6004, '\p{Is_Sc:	tagb}', "");
    Expect(1, 6004, '\p{^Is_Sc:	tagb}', "");
    Expect(1, 6004, '\P{Is_Sc:	tagb}', "");
    Expect(0, 6004, '\P{^Is_Sc:	tagb}', "");
    Expect(1, 6003, '\p{Is_Sc:	 Tagb}', "");
    Expect(0, 6003, '\p{^Is_Sc:	 Tagb}', "");
    Expect(0, 6003, '\P{Is_Sc:	 Tagb}', "");
    Expect(1, 6003, '\P{^Is_Sc:	 Tagb}', "");
    Expect(0, 6004, '\p{Is_Sc:	 Tagb}', "");
    Expect(1, 6004, '\p{^Is_Sc:	 Tagb}', "");
    Expect(1, 6004, '\P{Is_Sc:	 Tagb}', "");
    Expect(0, 6004, '\P{^Is_Sc:	 Tagb}', "");
    Error('\p{Script:    -TAKRI/a/}');
    Error('\P{Script:    -TAKRI/a/}');
    Expect(1, 71369, '\p{Script=:\ATakri\z:}', "");;
    Expect(0, 71370, '\p{Script=:\ATakri\z:}', "");;
    Expect(1, 71369, '\p{Script=takri}', "");
    Expect(0, 71369, '\p{^Script=takri}', "");
    Expect(0, 71369, '\P{Script=takri}', "");
    Expect(1, 71369, '\P{^Script=takri}', "");
    Expect(0, 71370, '\p{Script=takri}', "");
    Expect(1, 71370, '\p{^Script=takri}', "");
    Expect(1, 71370, '\P{Script=takri}', "");
    Expect(0, 71370, '\P{^Script=takri}', "");
    Expect(1, 71369, '\p{Script=:\Atakri\z:}', "");;
    Expect(0, 71370, '\p{Script=:\Atakri\z:}', "");;
    Expect(1, 71369, '\p{Script=	-Takri}', "");
    Expect(0, 71369, '\p{^Script=	-Takri}', "");
    Expect(0, 71369, '\P{Script=	-Takri}', "");
    Expect(1, 71369, '\P{^Script=	-Takri}', "");
    Expect(0, 71370, '\p{Script=	-Takri}', "");
    Expect(1, 71370, '\p{^Script=	-Takri}', "");
    Expect(1, 71370, '\P{Script=	-Takri}', "");
    Expect(0, 71370, '\P{^Script=	-Takri}', "");
    Error('\p{Sc=-takr/a/}');
    Error('\P{Sc=-takr/a/}');
    Expect(1, 71369, '\p{Sc=:\ATakr\z:}', "");;
    Expect(0, 71370, '\p{Sc=:\ATakr\z:}', "");;
    Expect(1, 71369, '\p{Sc=takr}', "");
    Expect(0, 71369, '\p{^Sc=takr}', "");
    Expect(0, 71369, '\P{Sc=takr}', "");
    Expect(1, 71369, '\P{^Sc=takr}', "");
    Expect(0, 71370, '\p{Sc=takr}', "");
    Expect(1, 71370, '\p{^Sc=takr}', "");
    Expect(1, 71370, '\P{Sc=takr}', "");
    Expect(0, 71370, '\P{^Sc=takr}', "");
    Expect(1, 71369, '\p{Sc=:\Atakr\z:}', "");;
    Expect(0, 71370, '\p{Sc=:\Atakr\z:}', "");;
    Expect(1, 71369, '\p{Sc=- Takr}', "");
    Expect(0, 71369, '\p{^Sc=- Takr}', "");
    Expect(0, 71369, '\P{Sc=- Takr}', "");
    Expect(1, 71369, '\P{^Sc=- Takr}', "");
    Expect(0, 71370, '\p{Sc=- Takr}', "");
    Expect(1, 71370, '\p{^Sc=- Takr}', "");
    Expect(1, 71370, '\P{Sc=- Takr}', "");
    Expect(0, 71370, '\P{^Sc=- Takr}', "");
    Error('\p{Is_Script=- TAKRI/a/}');
    Error('\P{Is_Script=- TAKRI/a/}');
    Expect(1, 71369, '\p{Is_Script=takri}', "");
    Expect(0, 71369, '\p{^Is_Script=takri}', "");
    Expect(0, 71369, '\P{Is_Script=takri}', "");
    Expect(1, 71369, '\P{^Is_Script=takri}', "");
    Expect(0, 71370, '\p{Is_Script=takri}', "");
    Expect(1, 71370, '\p{^Is_Script=takri}', "");
    Expect(1, 71370, '\P{Is_Script=takri}', "");
    Expect(0, 71370, '\P{^Is_Script=takri}', "");
    Expect(1, 71369, '\p{Is_Script= _TAKRI}', "");
    Expect(0, 71369, '\p{^Is_Script= _TAKRI}', "");
    Expect(0, 71369, '\P{Is_Script= _TAKRI}', "");
    Expect(1, 71369, '\P{^Is_Script= _TAKRI}', "");
    Expect(0, 71370, '\p{Is_Script= _TAKRI}', "");
    Expect(1, 71370, '\p{^Is_Script= _TAKRI}', "");
    Expect(1, 71370, '\P{Is_Script= _TAKRI}', "");
    Expect(0, 71370, '\P{^Is_Script= _TAKRI}', "");
    Error('\p{Is_Sc=:=  takr}');
    Error('\P{Is_Sc=:=  takr}');
    Expect(1, 71369, '\p{Is_Sc=takr}', "");
    Expect(0, 71369, '\p{^Is_Sc=takr}', "");
    Expect(0, 71369, '\P{Is_Sc=takr}', "");
    Expect(1, 71369, '\P{^Is_Sc=takr}', "");
    Expect(0, 71370, '\p{Is_Sc=takr}', "");
    Expect(1, 71370, '\p{^Is_Sc=takr}', "");
    Expect(1, 71370, '\P{Is_Sc=takr}', "");
    Expect(0, 71370, '\P{^Is_Sc=takr}', "");
    Expect(1, 71369, '\p{Is_Sc=	_takr}', "");
    Expect(0, 71369, '\p{^Is_Sc=	_takr}', "");
    Expect(0, 71369, '\P{Is_Sc=	_takr}', "");
    Expect(1, 71369, '\P{^Is_Sc=	_takr}', "");
    Expect(0, 71370, '\p{Is_Sc=	_takr}', "");
    Expect(1, 71370, '\p{^Is_Sc=	_takr}', "");
    Expect(1, 71370, '\P{Is_Sc=	_takr}', "");
    Expect(0, 71370, '\P{^Is_Sc=	_takr}', "");
    Error('\p{Script=/a/Tai_Le}');
    Error('\P{Script=/a/Tai_Le}');
    Expect(1, 6516, '\p{Script=:\ATai_Le\z:}', "");;
    Expect(0, 6517, '\p{Script=:\ATai_Le\z:}', "");;
    Expect(1, 6516, '\p{Script=taile}', "");
    Expect(0, 6516, '\p{^Script=taile}', "");
    Expect(0, 6516, '\P{Script=taile}', "");
    Expect(1, 6516, '\P{^Script=taile}', "");
    Expect(0, 6517, '\p{Script=taile}', "");
    Expect(1, 6517, '\p{^Script=taile}', "");
    Expect(1, 6517, '\P{Script=taile}', "");
    Expect(0, 6517, '\P{^Script=taile}', "");
    Expect(1, 6516, '\p{Script=:\Ataile\z:}', "");;
    Expect(0, 6517, '\p{Script=:\Ataile\z:}', "");;
    Expect(1, 6516, '\p{Script=--TAI_LE}', "");
    Expect(0, 6516, '\p{^Script=--TAI_LE}', "");
    Expect(0, 6516, '\P{Script=--TAI_LE}', "");
    Expect(1, 6516, '\P{^Script=--TAI_LE}', "");
    Expect(0, 6517, '\p{Script=--TAI_LE}', "");
    Expect(1, 6517, '\p{^Script=--TAI_LE}', "");
    Expect(1, 6517, '\P{Script=--TAI_LE}', "");
    Expect(0, 6517, '\P{^Script=--TAI_LE}', "");
    Error('\p{Sc=_Tale/a/}');
    Error('\P{Sc=_Tale/a/}');
    Expect(1, 6516, '\p{Sc=:\ATale\z:}', "");;
    Expect(0, 6517, '\p{Sc=:\ATale\z:}', "");;
    Expect(1, 6516, '\p{Sc=tale}', "");
    Expect(0, 6516, '\p{^Sc=tale}', "");
    Expect(0, 6516, '\P{Sc=tale}', "");
    Expect(1, 6516, '\P{^Sc=tale}', "");
    Expect(0, 6517, '\p{Sc=tale}', "");
    Expect(1, 6517, '\p{^Sc=tale}', "");
    Expect(1, 6517, '\P{Sc=tale}', "");
    Expect(0, 6517, '\P{^Sc=tale}', "");
    Expect(1, 6516, '\p{Sc=:\Atale\z:}', "");;
    Expect(0, 6517, '\p{Sc=:\Atale\z:}', "");;
    Expect(1, 6516, '\p{Sc=_tale}', "");
    Expect(0, 6516, '\p{^Sc=_tale}', "");
    Expect(0, 6516, '\P{Sc=_tale}', "");
    Expect(1, 6516, '\P{^Sc=_tale}', "");
    Expect(0, 6517, '\p{Sc=_tale}', "");
    Expect(1, 6517, '\p{^Sc=_tale}', "");
    Expect(1, 6517, '\P{Sc=_tale}', "");
    Expect(0, 6517, '\P{^Sc=_tale}', "");
    Error('\p{Is_Script=	tai_Le/a/}');
    Error('\P{Is_Script=	tai_Le/a/}');
    Expect(1, 6516, '\p{Is_Script=taile}', "");
    Expect(0, 6516, '\p{^Is_Script=taile}', "");
    Expect(0, 6516, '\P{Is_Script=taile}', "");
    Expect(1, 6516, '\P{^Is_Script=taile}', "");
    Expect(0, 6517, '\p{Is_Script=taile}', "");
    Expect(1, 6517, '\p{^Is_Script=taile}', "");
    Expect(1, 6517, '\P{Is_Script=taile}', "");
    Expect(0, 6517, '\P{^Is_Script=taile}', "");
    Expect(1, 6516, '\p{Is_Script=- Tai_Le}', "");
    Expect(0, 6516, '\p{^Is_Script=- Tai_Le}', "");
    Expect(0, 6516, '\P{Is_Script=- Tai_Le}', "");
    Expect(1, 6516, '\P{^Is_Script=- Tai_Le}', "");
    Expect(0, 6517, '\p{Is_Script=- Tai_Le}', "");
    Expect(1, 6517, '\p{^Is_Script=- Tai_Le}', "");
    Expect(1, 6517, '\P{Is_Script=- Tai_Le}', "");
    Expect(0, 6517, '\P{^Is_Script=- Tai_Le}', "");
    Error('\p{Is_Sc=_TALE/a/}');
    Error('\P{Is_Sc=_TALE/a/}');
    Expect(1, 6516, '\p{Is_Sc=tale}', "");
    Expect(0, 6516, '\p{^Is_Sc=tale}', "");
    Expect(0, 6516, '\P{Is_Sc=tale}', "");
    Expect(1, 6516, '\P{^Is_Sc=tale}', "");
    Expect(0, 6517, '\p{Is_Sc=tale}', "");
    Expect(1, 6517, '\p{^Is_Sc=tale}', "");
    Expect(1, 6517, '\P{Is_Sc=tale}', "");
    Expect(0, 6517, '\P{^Is_Sc=tale}', "");
    Expect(1, 6516, '\p{Is_Sc=		tale}', "");
    Expect(0, 6516, '\p{^Is_Sc=		tale}', "");
    Expect(0, 6516, '\P{Is_Sc=		tale}', "");
    Expect(1, 6516, '\P{^Is_Sc=		tale}', "");
    Expect(0, 6517, '\p{Is_Sc=		tale}', "");
    Expect(1, 6517, '\p{^Is_Sc=		tale}', "");
    Expect(1, 6517, '\P{Is_Sc=		tale}', "");
    Expect(0, 6517, '\P{^Is_Sc=		tale}', "");
    Error('\p{Script=	_NEW_TAI_Lue:=}');
    Error('\P{Script=	_NEW_TAI_Lue:=}');
    Expect(1, 6623, '\p{Script=:\ANew_Tai_Lue\z:}', "");;
    Expect(0, 6624, '\p{Script=:\ANew_Tai_Lue\z:}', "");;
    Expect(1, 6623, '\p{Script=newtailue}', "");
    Expect(0, 6623, '\p{^Script=newtailue}', "");
    Expect(0, 6623, '\P{Script=newtailue}', "");
    Expect(1, 6623, '\P{^Script=newtailue}', "");
    Expect(0, 6624, '\p{Script=newtailue}', "");
    Expect(1, 6624, '\p{^Script=newtailue}', "");
    Expect(1, 6624, '\P{Script=newtailue}', "");
    Expect(0, 6624, '\P{^Script=newtailue}', "");
    Expect(1, 6623, '\p{Script=:\Anewtailue\z:}', "");;
    Expect(0, 6624, '\p{Script=:\Anewtailue\z:}', "");;
    Expect(1, 6623, '\p{Script= _New_Tai_Lue}', "");
    Expect(0, 6623, '\p{^Script= _New_Tai_Lue}', "");
    Expect(0, 6623, '\P{Script= _New_Tai_Lue}', "");
    Expect(1, 6623, '\P{^Script= _New_Tai_Lue}', "");
    Expect(0, 6624, '\p{Script= _New_Tai_Lue}', "");
    Expect(1, 6624, '\p{^Script= _New_Tai_Lue}', "");
    Expect(1, 6624, '\P{Script= _New_Tai_Lue}', "");
    Expect(0, 6624, '\P{^Script= _New_Tai_Lue}', "");
    Error('\p{Sc=/a/-	Talu}');
    Error('\P{Sc=/a/-	Talu}');
    Expect(1, 6623, '\p{Sc=:\ATalu\z:}', "");;
    Expect(0, 6624, '\p{Sc=:\ATalu\z:}', "");;
    Expect(1, 6623, '\p{Sc=talu}', "");
    Expect(0, 6623, '\p{^Sc=talu}', "");
    Expect(0, 6623, '\P{Sc=talu}', "");
    Expect(1, 6623, '\P{^Sc=talu}', "");
    Expect(0, 6624, '\p{Sc=talu}', "");
    Expect(1, 6624, '\p{^Sc=talu}', "");
    Expect(1, 6624, '\P{Sc=talu}', "");
    Expect(0, 6624, '\P{^Sc=talu}', "");
    Expect(1, 6623, '\p{Sc=:\Atalu\z:}', "");;
    Expect(0, 6624, '\p{Sc=:\Atalu\z:}', "");;
    Expect(1, 6623, '\p{Sc= 	Talu}', "");
    Expect(0, 6623, '\p{^Sc= 	Talu}', "");
    Expect(0, 6623, '\P{Sc= 	Talu}', "");
    Expect(1, 6623, '\P{^Sc= 	Talu}', "");
    Expect(0, 6624, '\p{Sc= 	Talu}', "");
    Expect(1, 6624, '\p{^Sc= 	Talu}', "");
    Expect(1, 6624, '\P{Sc= 	Talu}', "");
    Expect(0, 6624, '\P{^Sc= 	Talu}', "");
    Error('\p{Is_Script=/a/_-NEW_Tai_Lue}');
    Error('\P{Is_Script=/a/_-NEW_Tai_Lue}');
    Expect(1, 6623, '\p{Is_Script=newtailue}', "");
    Expect(0, 6623, '\p{^Is_Script=newtailue}', "");
    Expect(0, 6623, '\P{Is_Script=newtailue}', "");
    Expect(1, 6623, '\P{^Is_Script=newtailue}', "");
    Expect(0, 6624, '\p{Is_Script=newtailue}', "");
    Expect(1, 6624, '\p{^Is_Script=newtailue}', "");
    Expect(1, 6624, '\P{Is_Script=newtailue}', "");
    Expect(0, 6624, '\P{^Is_Script=newtailue}', "");
    Expect(1, 6623, '\p{Is_Script=_NEW_TAI_Lue}', "");
    Expect(0, 6623, '\p{^Is_Script=_NEW_TAI_Lue}', "");
    Expect(0, 6623, '\P{Is_Script=_NEW_TAI_Lue}', "");
    Expect(1, 6623, '\P{^Is_Script=_NEW_TAI_Lue}', "");
    Expect(0, 6624, '\p{Is_Script=_NEW_TAI_Lue}', "");
    Expect(1, 6624, '\p{^Is_Script=_NEW_TAI_Lue}', "");
    Expect(1, 6624, '\P{Is_Script=_NEW_TAI_Lue}', "");
    Expect(0, 6624, '\P{^Is_Script=_NEW_TAI_Lue}', "");
    Error('\p{Is_Sc=-:=talu}');
    Error('\P{Is_Sc=-:=talu}');
    Expect(1, 6623, '\p{Is_Sc=talu}', "");
    Expect(0, 6623, '\p{^Is_Sc=talu}', "");
    Expect(0, 6623, '\P{Is_Sc=talu}', "");
    Expect(1, 6623, '\P{^Is_Sc=talu}', "");
    Expect(0, 6624, '\p{Is_Sc=talu}', "");
    Expect(1, 6624, '\p{^Is_Sc=talu}', "");
    Expect(1, 6624, '\P{Is_Sc=talu}', "");
    Expect(0, 6624, '\P{^Is_Sc=talu}', "");
    Expect(1, 6623, '\p{Is_Sc=-_TALU}', "");
    Expect(0, 6623, '\p{^Is_Sc=-_TALU}', "");
    Expect(0, 6623, '\P{Is_Sc=-_TALU}', "");
    Expect(1, 6623, '\P{^Is_Sc=-_TALU}', "");
    Expect(0, 6624, '\p{Is_Sc=-_TALU}', "");
    Expect(1, 6624, '\p{^Is_Sc=-_TALU}', "");
    Expect(1, 6624, '\P{Is_Sc=-_TALU}', "");
    Expect(0, 6624, '\P{^Is_Sc=-_TALU}', "");
    Error('\p{Script=/a/	 tamil}');
    Error('\P{Script=/a/	 tamil}');
    Expect(1, 73727, '\p{Script=:\ATamil\z:}', "");;
    Expect(0, 73728, '\p{Script=:\ATamil\z:}', "");;
    Expect(1, 73727, '\p{Script=tamil}', "");
    Expect(0, 73727, '\p{^Script=tamil}', "");
    Expect(0, 73727, '\P{Script=tamil}', "");
    Expect(1, 73727, '\P{^Script=tamil}', "");
    Expect(0, 73728, '\p{Script=tamil}', "");
    Expect(1, 73728, '\p{^Script=tamil}', "");
    Expect(1, 73728, '\P{Script=tamil}', "");
    Expect(0, 73728, '\P{^Script=tamil}', "");
    Expect(1, 73727, '\p{Script=:\Atamil\z:}', "");;
    Expect(0, 73728, '\p{Script=:\Atamil\z:}', "");;
    Expect(1, 73727, '\p{Script:    	tamil}', "");
    Expect(0, 73727, '\p{^Script:    	tamil}', "");
    Expect(0, 73727, '\P{Script:    	tamil}', "");
    Expect(1, 73727, '\P{^Script:    	tamil}', "");
    Expect(0, 73728, '\p{Script:    	tamil}', "");
    Expect(1, 73728, '\p{^Script:    	tamil}', "");
    Expect(1, 73728, '\P{Script:    	tamil}', "");
    Expect(0, 73728, '\P{^Script:    	tamil}', "");
    Error('\p{Sc=/a/Taml}');
    Error('\P{Sc=/a/Taml}');
    Expect(1, 73727, '\p{Sc=:\ATaml\z:}', "");;
    Expect(0, 73728, '\p{Sc=:\ATaml\z:}', "");;
    Expect(1, 73727, '\p{Sc=taml}', "");
    Expect(0, 73727, '\p{^Sc=taml}', "");
    Expect(0, 73727, '\P{Sc=taml}', "");
    Expect(1, 73727, '\P{^Sc=taml}', "");
    Expect(0, 73728, '\p{Sc=taml}', "");
    Expect(1, 73728, '\p{^Sc=taml}', "");
    Expect(1, 73728, '\P{Sc=taml}', "");
    Expect(0, 73728, '\P{^Sc=taml}', "");
    Expect(1, 73727, '\p{Sc=:\Ataml\z:}', "");;
    Expect(0, 73728, '\p{Sc=:\Ataml\z:}', "");;
    Expect(1, 73727, '\p{Sc= taml}', "");
    Expect(0, 73727, '\p{^Sc= taml}', "");
    Expect(0, 73727, '\P{Sc= taml}', "");
    Expect(1, 73727, '\P{^Sc= taml}', "");
    Expect(0, 73728, '\p{Sc= taml}', "");
    Expect(1, 73728, '\p{^Sc= taml}', "");
    Expect(1, 73728, '\P{Sc= taml}', "");
    Expect(0, 73728, '\P{^Sc= taml}', "");
    Error('\p{Is_Script=-:=tamil}');
    Error('\P{Is_Script=-:=tamil}');
    Expect(1, 73727, '\p{Is_Script:tamil}', "");
    Expect(0, 73727, '\p{^Is_Script:tamil}', "");
    Expect(0, 73727, '\P{Is_Script:tamil}', "");
    Expect(1, 73727, '\P{^Is_Script:tamil}', "");
    Expect(0, 73728, '\p{Is_Script:tamil}', "");
    Expect(1, 73728, '\p{^Is_Script:tamil}', "");
    Expect(1, 73728, '\P{Is_Script:tamil}', "");
    Expect(0, 73728, '\P{^Is_Script:tamil}', "");
    Expect(1, 73727, '\p{Is_Script= -TAMIL}', "");
    Expect(0, 73727, '\p{^Is_Script= -TAMIL}', "");
    Expect(0, 73727, '\P{Is_Script= -TAMIL}', "");
    Expect(1, 73727, '\P{^Is_Script= -TAMIL}', "");
    Expect(0, 73728, '\p{Is_Script= -TAMIL}', "");
    Expect(1, 73728, '\p{^Is_Script= -TAMIL}', "");
    Expect(1, 73728, '\P{Is_Script= -TAMIL}', "");
    Expect(0, 73728, '\P{^Is_Script= -TAMIL}', "");
    Error('\p{Is_Sc=	 TAML/a/}');
    Error('\P{Is_Sc=	 TAML/a/}');
    Expect(1, 73727, '\p{Is_Sc=taml}', "");
    Expect(0, 73727, '\p{^Is_Sc=taml}', "");
    Expect(0, 73727, '\P{Is_Sc=taml}', "");
    Expect(1, 73727, '\P{^Is_Sc=taml}', "");
    Expect(0, 73728, '\p{Is_Sc=taml}', "");
    Expect(1, 73728, '\p{^Is_Sc=taml}', "");
    Expect(1, 73728, '\P{Is_Sc=taml}', "");
    Expect(0, 73728, '\P{^Is_Sc=taml}', "");
    Expect(1, 73727, '\p{Is_Sc=_taml}', "");
    Expect(0, 73727, '\p{^Is_Sc=_taml}', "");
    Expect(0, 73727, '\P{Is_Sc=_taml}', "");
    Expect(1, 73727, '\P{^Is_Sc=_taml}', "");
    Expect(0, 73728, '\p{Is_Sc=_taml}', "");
    Expect(1, 73728, '\p{^Is_Sc=_taml}', "");
    Expect(1, 73728, '\P{Is_Sc=_taml}', "");
    Expect(0, 73728, '\P{^Is_Sc=_taml}', "");
    Error('\p{Script=__Tangut:=}');
    Error('\P{Script=__Tangut:=}');
    Expect(1, 101640, '\p{Script=:\ATangut\z:}', "");;
    Expect(0, 101641, '\p{Script=:\ATangut\z:}', "");;
    Expect(1, 101640, '\p{Script=tangut}', "");
    Expect(0, 101640, '\p{^Script=tangut}', "");
    Expect(0, 101640, '\P{Script=tangut}', "");
    Expect(1, 101640, '\P{^Script=tangut}', "");
    Expect(0, 101641, '\p{Script=tangut}', "");
    Expect(1, 101641, '\p{^Script=tangut}', "");
    Expect(1, 101641, '\P{Script=tangut}', "");
    Expect(0, 101641, '\P{^Script=tangut}', "");
    Expect(1, 101640, '\p{Script=:\Atangut\z:}', "");;
    Expect(0, 101641, '\p{Script=:\Atangut\z:}', "");;
    Expect(1, 101640, '\p{Script=-	tangut}', "");
    Expect(0, 101640, '\p{^Script=-	tangut}', "");
    Expect(0, 101640, '\P{Script=-	tangut}', "");
    Expect(1, 101640, '\P{^Script=-	tangut}', "");
    Expect(0, 101641, '\p{Script=-	tangut}', "");
    Expect(1, 101641, '\p{^Script=-	tangut}', "");
    Expect(1, 101641, '\P{Script=-	tangut}', "");
    Expect(0, 101641, '\P{^Script=-	tangut}', "");
    Error('\p{Sc:   /a/ -tang}');
    Error('\P{Sc:   /a/ -tang}');
    Expect(1, 101640, '\p{Sc=:\ATang\z:}', "");;
    Expect(0, 101641, '\p{Sc=:\ATang\z:}', "");;
    Expect(1, 101640, '\p{Sc: tang}', "");
    Expect(0, 101640, '\p{^Sc: tang}', "");
    Expect(0, 101640, '\P{Sc: tang}', "");
    Expect(1, 101640, '\P{^Sc: tang}', "");
    Expect(0, 101641, '\p{Sc: tang}', "");
    Expect(1, 101641, '\p{^Sc: tang}', "");
    Expect(1, 101641, '\P{Sc: tang}', "");
    Expect(0, 101641, '\P{^Sc: tang}', "");
    Expect(1, 101640, '\p{Sc=:\Atang\z:}', "");;
    Expect(0, 101641, '\p{Sc=:\Atang\z:}', "");;
    Expect(1, 101640, '\p{Sc:		_Tang}', "");
    Expect(0, 101640, '\p{^Sc:		_Tang}', "");
    Expect(0, 101640, '\P{Sc:		_Tang}', "");
    Expect(1, 101640, '\P{^Sc:		_Tang}', "");
    Expect(0, 101641, '\p{Sc:		_Tang}', "");
    Expect(1, 101641, '\p{^Sc:		_Tang}', "");
    Expect(1, 101641, '\P{Sc:		_Tang}', "");
    Expect(0, 101641, '\P{^Sc:		_Tang}', "");
    Error('\p{Is_Script= -TANGUT/a/}');
    Error('\P{Is_Script= -TANGUT/a/}');
    Expect(1, 101640, '\p{Is_Script=tangut}', "");
    Expect(0, 101640, '\p{^Is_Script=tangut}', "");
    Expect(0, 101640, '\P{Is_Script=tangut}', "");
    Expect(1, 101640, '\P{^Is_Script=tangut}', "");
    Expect(0, 101641, '\p{Is_Script=tangut}', "");
    Expect(1, 101641, '\p{^Is_Script=tangut}', "");
    Expect(1, 101641, '\P{Is_Script=tangut}', "");
    Expect(0, 101641, '\P{^Is_Script=tangut}', "");
    Expect(1, 101640, '\p{Is_Script:		tangut}', "");
    Expect(0, 101640, '\p{^Is_Script:		tangut}', "");
    Expect(0, 101640, '\P{Is_Script:		tangut}', "");
    Expect(1, 101640, '\P{^Is_Script:		tangut}', "");
    Expect(0, 101641, '\p{Is_Script:		tangut}', "");
    Expect(1, 101641, '\p{^Is_Script:		tangut}', "");
    Expect(1, 101641, '\P{Is_Script:		tangut}', "");
    Expect(0, 101641, '\P{^Is_Script:		tangut}', "");
    Error('\p{Is_Sc::=		TANG}');
    Error('\P{Is_Sc::=		TANG}');
    Expect(1, 101640, '\p{Is_Sc:	tang}', "");
    Expect(0, 101640, '\p{^Is_Sc:	tang}', "");
    Expect(0, 101640, '\P{Is_Sc:	tang}', "");
    Expect(1, 101640, '\P{^Is_Sc:	tang}', "");
    Expect(0, 101641, '\p{Is_Sc:	tang}', "");
    Expect(1, 101641, '\p{^Is_Sc:	tang}', "");
    Expect(1, 101641, '\P{Is_Sc:	tang}', "");
    Expect(0, 101641, '\P{^Is_Sc:	tang}', "");
    Expect(1, 101640, '\p{Is_Sc=-Tang}', "");
    Expect(0, 101640, '\p{^Is_Sc=-Tang}', "");
    Expect(0, 101640, '\P{Is_Sc=-Tang}', "");
    Expect(1, 101640, '\P{^Is_Sc=-Tang}', "");
    Expect(0, 101641, '\p{Is_Sc=-Tang}', "");
    Expect(1, 101641, '\p{^Is_Sc=-Tang}', "");
    Expect(1, 101641, '\P{Is_Sc=-Tang}', "");
    Expect(0, 101641, '\P{^Is_Sc=-Tang}', "");
    Error('\p{Script=Tai_viet/a/}');
    Error('\P{Script=Tai_viet/a/}');
    Expect(1, 43743, '\p{Script=:\ATai_Viet\z:}', "");;
    Expect(0, 43744, '\p{Script=:\ATai_Viet\z:}', "");;
    Expect(1, 43743, '\p{Script=taiviet}', "");
    Expect(0, 43743, '\p{^Script=taiviet}', "");
    Expect(0, 43743, '\P{Script=taiviet}', "");
    Expect(1, 43743, '\P{^Script=taiviet}', "");
    Expect(0, 43744, '\p{Script=taiviet}', "");
    Expect(1, 43744, '\p{^Script=taiviet}', "");
    Expect(1, 43744, '\P{Script=taiviet}', "");
    Expect(0, 43744, '\P{^Script=taiviet}', "");
    Expect(1, 43743, '\p{Script=:\Ataiviet\z:}', "");;
    Expect(0, 43744, '\p{Script=:\Ataiviet\z:}', "");;
    Expect(1, 43743, '\p{Script=-Tai_VIET}', "");
    Expect(0, 43743, '\p{^Script=-Tai_VIET}', "");
    Expect(0, 43743, '\P{Script=-Tai_VIET}', "");
    Expect(1, 43743, '\P{^Script=-Tai_VIET}', "");
    Expect(0, 43744, '\p{Script=-Tai_VIET}', "");
    Expect(1, 43744, '\p{^Script=-Tai_VIET}', "");
    Expect(1, 43744, '\P{Script=-Tai_VIET}', "");
    Expect(0, 43744, '\P{^Script=-Tai_VIET}', "");
    Error('\p{Sc=	TAVT:=}');
    Error('\P{Sc=	TAVT:=}');
    Expect(1, 43743, '\p{Sc=:\ATavt\z:}', "");;
    Expect(0, 43744, '\p{Sc=:\ATavt\z:}', "");;
    Expect(1, 43743, '\p{Sc=tavt}', "");
    Expect(0, 43743, '\p{^Sc=tavt}', "");
    Expect(0, 43743, '\P{Sc=tavt}', "");
    Expect(1, 43743, '\P{^Sc=tavt}', "");
    Expect(0, 43744, '\p{Sc=tavt}', "");
    Expect(1, 43744, '\p{^Sc=tavt}', "");
    Expect(1, 43744, '\P{Sc=tavt}', "");
    Expect(0, 43744, '\P{^Sc=tavt}', "");
    Expect(1, 43743, '\p{Sc=:\Atavt\z:}', "");;
    Expect(0, 43744, '\p{Sc=:\Atavt\z:}', "");;
    Expect(1, 43743, '\p{Sc=-	Tavt}', "");
    Expect(0, 43743, '\p{^Sc=-	Tavt}', "");
    Expect(0, 43743, '\P{Sc=-	Tavt}', "");
    Expect(1, 43743, '\P{^Sc=-	Tavt}', "");
    Expect(0, 43744, '\p{Sc=-	Tavt}', "");
    Expect(1, 43744, '\p{^Sc=-	Tavt}', "");
    Expect(1, 43744, '\P{Sc=-	Tavt}', "");
    Expect(0, 43744, '\P{^Sc=-	Tavt}', "");
    Error('\p{Is_Script= /a/Tai_Viet}');
    Error('\P{Is_Script= /a/Tai_Viet}');
    Expect(1, 43743, '\p{Is_Script=taiviet}', "");
    Expect(0, 43743, '\p{^Is_Script=taiviet}', "");
    Expect(0, 43743, '\P{Is_Script=taiviet}', "");
    Expect(1, 43743, '\P{^Is_Script=taiviet}', "");
    Expect(0, 43744, '\p{Is_Script=taiviet}', "");
    Expect(1, 43744, '\p{^Is_Script=taiviet}', "");
    Expect(1, 43744, '\P{Is_Script=taiviet}', "");
    Expect(0, 43744, '\P{^Is_Script=taiviet}', "");
    Expect(1, 43743, '\p{Is_Script=-Tai_VIET}', "");
    Expect(0, 43743, '\p{^Is_Script=-Tai_VIET}', "");
    Expect(0, 43743, '\P{Is_Script=-Tai_VIET}', "");
    Expect(1, 43743, '\P{^Is_Script=-Tai_VIET}', "");
    Expect(0, 43744, '\p{Is_Script=-Tai_VIET}', "");
    Expect(1, 43744, '\p{^Is_Script=-Tai_VIET}', "");
    Expect(1, 43744, '\P{Is_Script=-Tai_VIET}', "");
    Expect(0, 43744, '\P{^Is_Script=-Tai_VIET}', "");
    Error('\p{Is_Sc=:=-Tavt}');
    Error('\P{Is_Sc=:=-Tavt}');
    Expect(1, 43743, '\p{Is_Sc=tavt}', "");
    Expect(0, 43743, '\p{^Is_Sc=tavt}', "");
    Expect(0, 43743, '\P{Is_Sc=tavt}', "");
    Expect(1, 43743, '\P{^Is_Sc=tavt}', "");
    Expect(0, 43744, '\p{Is_Sc=tavt}', "");
    Expect(1, 43744, '\p{^Is_Sc=tavt}', "");
    Expect(1, 43744, '\P{Is_Sc=tavt}', "");
    Expect(0, 43744, '\P{^Is_Sc=tavt}', "");
    Expect(1, 43743, '\p{Is_Sc=-Tavt}', "");
    Expect(0, 43743, '\p{^Is_Sc=-Tavt}', "");
    Expect(0, 43743, '\P{Is_Sc=-Tavt}', "");
    Expect(1, 43743, '\P{^Is_Sc=-Tavt}', "");
    Expect(0, 43744, '\p{Is_Sc=-Tavt}', "");
    Expect(1, 43744, '\p{^Is_Sc=-Tavt}', "");
    Expect(1, 43744, '\P{Is_Sc=-Tavt}', "");
    Expect(0, 43744, '\P{^Is_Sc=-Tavt}', "");
    Error('\p{Script=:=Telugu}');
    Error('\P{Script=:=Telugu}');
    Expect(1, 3199, '\p{Script=:\ATelugu\z:}', "");;
    Expect(0, 3200, '\p{Script=:\ATelugu\z:}', "");;
    Expect(1, 3199, '\p{Script=telugu}', "");
    Expect(0, 3199, '\p{^Script=telugu}', "");
    Expect(0, 3199, '\P{Script=telugu}', "");
    Expect(1, 3199, '\P{^Script=telugu}', "");
    Expect(0, 3200, '\p{Script=telugu}', "");
    Expect(1, 3200, '\p{^Script=telugu}', "");
    Expect(1, 3200, '\P{Script=telugu}', "");
    Expect(0, 3200, '\P{^Script=telugu}', "");
    Expect(1, 3199, '\p{Script=:\Atelugu\z:}', "");;
    Expect(0, 3200, '\p{Script=:\Atelugu\z:}', "");;
    Expect(1, 3199, '\p{Script=-telugu}', "");
    Expect(0, 3199, '\p{^Script=-telugu}', "");
    Expect(0, 3199, '\P{Script=-telugu}', "");
    Expect(1, 3199, '\P{^Script=-telugu}', "");
    Expect(0, 3200, '\p{Script=-telugu}', "");
    Expect(1, 3200, '\p{^Script=-telugu}', "");
    Expect(1, 3200, '\P{Script=-telugu}', "");
    Expect(0, 3200, '\P{^Script=-telugu}', "");
    Error('\p{Sc=-/a/Telu}');
    Error('\P{Sc=-/a/Telu}');
    Expect(1, 3199, '\p{Sc=:\ATelu\z:}', "");;
    Expect(0, 3200, '\p{Sc=:\ATelu\z:}', "");;
    Expect(1, 3199, '\p{Sc: telu}', "");
    Expect(0, 3199, '\p{^Sc: telu}', "");
    Expect(0, 3199, '\P{Sc: telu}', "");
    Expect(1, 3199, '\P{^Sc: telu}', "");
    Expect(0, 3200, '\p{Sc: telu}', "");
    Expect(1, 3200, '\p{^Sc: telu}', "");
    Expect(1, 3200, '\P{Sc: telu}', "");
    Expect(0, 3200, '\P{^Sc: telu}', "");
    Expect(1, 3199, '\p{Sc=:\Atelu\z:}', "");;
    Expect(0, 3200, '\p{Sc=:\Atelu\z:}', "");;
    Expect(1, 3199, '\p{Sc=	telu}', "");
    Expect(0, 3199, '\p{^Sc=	telu}', "");
    Expect(0, 3199, '\P{Sc=	telu}', "");
    Expect(1, 3199, '\P{^Sc=	telu}', "");
    Expect(0, 3200, '\p{Sc=	telu}', "");
    Expect(1, 3200, '\p{^Sc=	telu}', "");
    Expect(1, 3200, '\P{Sc=	telu}', "");
    Expect(0, 3200, '\P{^Sc=	telu}', "");
    Error('\p{Is_Script= telugu/a/}');
    Error('\P{Is_Script= telugu/a/}');
    Expect(1, 3199, '\p{Is_Script:	telugu}', "");
    Expect(0, 3199, '\p{^Is_Script:	telugu}', "");
    Expect(0, 3199, '\P{Is_Script:	telugu}', "");
    Expect(1, 3199, '\P{^Is_Script:	telugu}', "");
    Expect(0, 3200, '\p{Is_Script:	telugu}', "");
    Expect(1, 3200, '\p{^Is_Script:	telugu}', "");
    Expect(1, 3200, '\P{Is_Script:	telugu}', "");
    Expect(0, 3200, '\P{^Is_Script:	telugu}', "");
    Expect(1, 3199, '\p{Is_Script=Telugu}', "");
    Expect(0, 3199, '\p{^Is_Script=Telugu}', "");
    Expect(0, 3199, '\P{Is_Script=Telugu}', "");
    Expect(1, 3199, '\P{^Is_Script=Telugu}', "");
    Expect(0, 3200, '\p{Is_Script=Telugu}', "");
    Expect(1, 3200, '\p{^Is_Script=Telugu}', "");
    Expect(1, 3200, '\P{Is_Script=Telugu}', "");
    Expect(0, 3200, '\P{^Is_Script=Telugu}', "");
    Error('\p{Is_Sc=-_Telu/a/}');
    Error('\P{Is_Sc=-_Telu/a/}');
    Expect(1, 3199, '\p{Is_Sc=telu}', "");
    Expect(0, 3199, '\p{^Is_Sc=telu}', "");
    Expect(0, 3199, '\P{Is_Sc=telu}', "");
    Expect(1, 3199, '\P{^Is_Sc=telu}', "");
    Expect(0, 3200, '\p{Is_Sc=telu}', "");
    Expect(1, 3200, '\p{^Is_Sc=telu}', "");
    Expect(1, 3200, '\P{Is_Sc=telu}', "");
    Expect(0, 3200, '\P{^Is_Sc=telu}', "");
    Expect(1, 3199, '\p{Is_Sc= -telu}', "");
    Expect(0, 3199, '\p{^Is_Sc= -telu}', "");
    Expect(0, 3199, '\P{Is_Sc= -telu}', "");
    Expect(1, 3199, '\P{^Is_Sc= -telu}', "");
    Expect(0, 3200, '\p{Is_Sc= -telu}', "");
    Expect(1, 3200, '\p{^Is_Sc= -telu}', "");
    Expect(1, 3200, '\P{Is_Sc= -telu}', "");
    Expect(0, 3200, '\P{^Is_Sc= -telu}', "");
    Error('\p{Script=- Tifinagh/a/}');
    Error('\P{Script=- Tifinagh/a/}');
    Expect(1, 11647, '\p{Script=:\ATifinagh\z:}', "");;
    Expect(0, 11648, '\p{Script=:\ATifinagh\z:}', "");;
    Expect(1, 11647, '\p{Script=tifinagh}', "");
    Expect(0, 11647, '\p{^Script=tifinagh}', "");
    Expect(0, 11647, '\P{Script=tifinagh}', "");
    Expect(1, 11647, '\P{^Script=tifinagh}', "");
    Expect(0, 11648, '\p{Script=tifinagh}', "");
    Expect(1, 11648, '\p{^Script=tifinagh}', "");
    Expect(1, 11648, '\P{Script=tifinagh}', "");
    Expect(0, 11648, '\P{^Script=tifinagh}', "");
    Expect(1, 11647, '\p{Script=:\Atifinagh\z:}', "");;
    Expect(0, 11648, '\p{Script=:\Atifinagh\z:}', "");;
    Expect(1, 11647, '\p{Script=-Tifinagh}', "");
    Expect(0, 11647, '\p{^Script=-Tifinagh}', "");
    Expect(0, 11647, '\P{Script=-Tifinagh}', "");
    Expect(1, 11647, '\P{^Script=-Tifinagh}', "");
    Expect(0, 11648, '\p{Script=-Tifinagh}', "");
    Expect(1, 11648, '\p{^Script=-Tifinagh}', "");
    Expect(1, 11648, '\P{Script=-Tifinagh}', "");
    Expect(0, 11648, '\P{^Script=-Tifinagh}', "");
    Error('\p{Sc= TFNG:=}');
    Error('\P{Sc= TFNG:=}');
    Expect(1, 11647, '\p{Sc=:\ATfng\z:}', "");;
    Expect(0, 11648, '\p{Sc=:\ATfng\z:}', "");;
    Expect(1, 11647, '\p{Sc=tfng}', "");
    Expect(0, 11647, '\p{^Sc=tfng}', "");
    Expect(0, 11647, '\P{Sc=tfng}', "");
    Expect(1, 11647, '\P{^Sc=tfng}', "");
    Expect(0, 11648, '\p{Sc=tfng}', "");
    Expect(1, 11648, '\p{^Sc=tfng}', "");
    Expect(1, 11648, '\P{Sc=tfng}', "");
    Expect(0, 11648, '\P{^Sc=tfng}', "");
    Expect(1, 11647, '\p{Sc=:\Atfng\z:}', "");;
    Expect(0, 11648, '\p{Sc=:\Atfng\z:}', "");;
    Expect(1, 11647, '\p{Sc= Tfng}', "");
    Expect(0, 11647, '\p{^Sc= Tfng}', "");
    Expect(0, 11647, '\P{Sc= Tfng}', "");
    Expect(1, 11647, '\P{^Sc= Tfng}', "");
    Expect(0, 11648, '\p{Sc= Tfng}', "");
    Expect(1, 11648, '\p{^Sc= Tfng}', "");
    Expect(1, 11648, '\P{Sc= Tfng}', "");
    Expect(0, 11648, '\P{^Sc= Tfng}', "");
    Error('\p{Is_Script: -_TIFINAGH/a/}');
    Error('\P{Is_Script: -_TIFINAGH/a/}');
    Expect(1, 11647, '\p{Is_Script=tifinagh}', "");
    Expect(0, 11647, '\p{^Is_Script=tifinagh}', "");
    Expect(0, 11647, '\P{Is_Script=tifinagh}', "");
    Expect(1, 11647, '\P{^Is_Script=tifinagh}', "");
    Expect(0, 11648, '\p{Is_Script=tifinagh}', "");
    Expect(1, 11648, '\p{^Is_Script=tifinagh}', "");
    Expect(1, 11648, '\P{Is_Script=tifinagh}', "");
    Expect(0, 11648, '\P{^Is_Script=tifinagh}', "");
    Expect(1, 11647, '\p{Is_Script=	TIFINAGH}', "");
    Expect(0, 11647, '\p{^Is_Script=	TIFINAGH}', "");
    Expect(0, 11647, '\P{Is_Script=	TIFINAGH}', "");
    Expect(1, 11647, '\P{^Is_Script=	TIFINAGH}', "");
    Expect(0, 11648, '\p{Is_Script=	TIFINAGH}', "");
    Expect(1, 11648, '\p{^Is_Script=	TIFINAGH}', "");
    Expect(1, 11648, '\P{Is_Script=	TIFINAGH}', "");
    Expect(0, 11648, '\P{^Is_Script=	TIFINAGH}', "");
    Error('\p{Is_Sc: _:=Tfng}');
    Error('\P{Is_Sc: _:=Tfng}');
    Expect(1, 11647, '\p{Is_Sc: tfng}', "");
    Expect(0, 11647, '\p{^Is_Sc: tfng}', "");
    Expect(0, 11647, '\P{Is_Sc: tfng}', "");
    Expect(1, 11647, '\P{^Is_Sc: tfng}', "");
    Expect(0, 11648, '\p{Is_Sc: tfng}', "");
    Expect(1, 11648, '\p{^Is_Sc: tfng}', "");
    Expect(1, 11648, '\P{Is_Sc: tfng}', "");
    Expect(0, 11648, '\P{^Is_Sc: tfng}', "");
    Expect(1, 11647, '\p{Is_Sc= tfng}', "");
    Expect(0, 11647, '\p{^Is_Sc= tfng}', "");
    Expect(0, 11647, '\P{Is_Sc= tfng}', "");
    Expect(1, 11647, '\P{^Is_Sc= tfng}', "");
    Expect(0, 11648, '\p{Is_Sc= tfng}', "");
    Expect(1, 11648, '\p{^Is_Sc= tfng}', "");
    Expect(1, 11648, '\P{Is_Sc= tfng}', "");
    Expect(0, 11648, '\P{^Is_Sc= tfng}', "");
    Error('\p{Script=/a/_	tagalog}');
    Error('\P{Script=/a/_	tagalog}');
    Expect(1, 5919, '\p{Script=:\ATagalog\z:}', "");;
    Expect(0, 5920, '\p{Script=:\ATagalog\z:}', "");;
    Expect(1, 5919, '\p{Script=tagalog}', "");
    Expect(0, 5919, '\p{^Script=tagalog}', "");
    Expect(0, 5919, '\P{Script=tagalog}', "");
    Expect(1, 5919, '\P{^Script=tagalog}', "");
    Expect(0, 5920, '\p{Script=tagalog}', "");
    Expect(1, 5920, '\p{^Script=tagalog}', "");
    Expect(1, 5920, '\P{Script=tagalog}', "");
    Expect(0, 5920, '\P{^Script=tagalog}', "");
    Expect(1, 5919, '\p{Script=:\Atagalog\z:}', "");;
    Expect(0, 5920, '\p{Script=:\Atagalog\z:}', "");;
    Expect(1, 5919, '\p{Script= Tagalog}', "");
    Expect(0, 5919, '\p{^Script= Tagalog}', "");
    Expect(0, 5919, '\P{Script= Tagalog}', "");
    Expect(1, 5919, '\P{^Script= Tagalog}', "");
    Expect(0, 5920, '\p{Script= Tagalog}', "");
    Expect(1, 5920, '\p{^Script= Tagalog}', "");
    Expect(1, 5920, '\P{Script= Tagalog}', "");
    Expect(0, 5920, '\P{^Script= Tagalog}', "");
    Error('\p{Sc=:=tglg}');
    Error('\P{Sc=:=tglg}');
    Expect(1, 5919, '\p{Sc=:\ATglg\z:}', "");;
    Expect(0, 5920, '\p{Sc=:\ATglg\z:}', "");;
    Expect(1, 5919, '\p{Sc=tglg}', "");
    Expect(0, 5919, '\p{^Sc=tglg}', "");
    Expect(0, 5919, '\P{Sc=tglg}', "");
    Expect(1, 5919, '\P{^Sc=tglg}', "");
    Expect(0, 5920, '\p{Sc=tglg}', "");
    Expect(1, 5920, '\p{^Sc=tglg}', "");
    Expect(1, 5920, '\P{Sc=tglg}', "");
    Expect(0, 5920, '\P{^Sc=tglg}', "");
    Expect(1, 5919, '\p{Sc=:\Atglg\z:}', "");;
    Expect(0, 5920, '\p{Sc=:\Atglg\z:}', "");;
    Expect(1, 5919, '\p{Sc=-TGLG}', "");
    Expect(0, 5919, '\p{^Sc=-TGLG}', "");
    Expect(0, 5919, '\P{Sc=-TGLG}', "");
    Expect(1, 5919, '\P{^Sc=-TGLG}', "");
    Expect(0, 5920, '\p{Sc=-TGLG}', "");
    Expect(1, 5920, '\p{^Sc=-TGLG}', "");
    Expect(1, 5920, '\P{Sc=-TGLG}', "");
    Expect(0, 5920, '\P{^Sc=-TGLG}', "");
    Error('\p{Is_Script=:=tagalog}');
    Error('\P{Is_Script=:=tagalog}');
    Expect(1, 5919, '\p{Is_Script=tagalog}', "");
    Expect(0, 5919, '\p{^Is_Script=tagalog}', "");
    Expect(0, 5919, '\P{Is_Script=tagalog}', "");
    Expect(1, 5919, '\P{^Is_Script=tagalog}', "");
    Expect(0, 5920, '\p{Is_Script=tagalog}', "");
    Expect(1, 5920, '\p{^Is_Script=tagalog}', "");
    Expect(1, 5920, '\P{Is_Script=tagalog}', "");
    Expect(0, 5920, '\P{^Is_Script=tagalog}', "");
    Expect(1, 5919, '\p{Is_Script= 	TAGALOG}', "");
    Expect(0, 5919, '\p{^Is_Script= 	TAGALOG}', "");
    Expect(0, 5919, '\P{Is_Script= 	TAGALOG}', "");
    Expect(1, 5919, '\P{^Is_Script= 	TAGALOG}', "");
    Expect(0, 5920, '\p{Is_Script= 	TAGALOG}', "");
    Expect(1, 5920, '\p{^Is_Script= 	TAGALOG}', "");
    Expect(1, 5920, '\P{Is_Script= 	TAGALOG}', "");
    Expect(0, 5920, '\P{^Is_Script= 	TAGALOG}', "");
    Error('\p{Is_Sc=	 Tglg/a/}');
    Error('\P{Is_Sc=	 Tglg/a/}');
    Expect(1, 5919, '\p{Is_Sc=tglg}', "");
    Expect(0, 5919, '\p{^Is_Sc=tglg}', "");
    Expect(0, 5919, '\P{Is_Sc=tglg}', "");
    Expect(1, 5919, '\P{^Is_Sc=tglg}', "");
    Expect(0, 5920, '\p{Is_Sc=tglg}', "");
    Expect(1, 5920, '\p{^Is_Sc=tglg}', "");
    Expect(1, 5920, '\P{Is_Sc=tglg}', "");
    Expect(0, 5920, '\P{^Is_Sc=tglg}', "");
    Expect(1, 5919, '\p{Is_Sc=	tglg}', "");
    Expect(0, 5919, '\p{^Is_Sc=	tglg}', "");
    Expect(0, 5919, '\P{Is_Sc=	tglg}', "");
    Expect(1, 5919, '\P{^Is_Sc=	tglg}', "");
    Expect(0, 5920, '\p{Is_Sc=	tglg}', "");
    Expect(1, 5920, '\p{^Is_Sc=	tglg}', "");
    Expect(1, 5920, '\P{Is_Sc=	tglg}', "");
    Expect(0, 5920, '\P{^Is_Sc=	tglg}', "");
    Error('\p{Script:	_:=thaana}');
    Error('\P{Script:	_:=thaana}');
    Expect(1, 1969, '\p{Script=:\AThaana\z:}', "");;
    Expect(0, 1970, '\p{Script=:\AThaana\z:}', "");;
    Expect(1, 1969, '\p{Script=thaana}', "");
    Expect(0, 1969, '\p{^Script=thaana}', "");
    Expect(0, 1969, '\P{Script=thaana}', "");
    Expect(1, 1969, '\P{^Script=thaana}', "");
    Expect(0, 1970, '\p{Script=thaana}', "");
    Expect(1, 1970, '\p{^Script=thaana}', "");
    Expect(1, 1970, '\P{Script=thaana}', "");
    Expect(0, 1970, '\P{^Script=thaana}', "");
    Expect(1, 1969, '\p{Script=:\Athaana\z:}', "");;
    Expect(0, 1970, '\p{Script=:\Athaana\z:}', "");;
    Expect(1, 1969, '\p{Script= -thaana}', "");
    Expect(0, 1969, '\p{^Script= -thaana}', "");
    Expect(0, 1969, '\P{Script= -thaana}', "");
    Expect(1, 1969, '\P{^Script= -thaana}', "");
    Expect(0, 1970, '\p{Script= -thaana}', "");
    Expect(1, 1970, '\p{^Script= -thaana}', "");
    Expect(1, 1970, '\P{Script= -thaana}', "");
    Expect(0, 1970, '\P{^Script= -thaana}', "");
    Error('\p{Sc= -Thaa:=}');
    Error('\P{Sc= -Thaa:=}');
    Expect(1, 1969, '\p{Sc=:\AThaa\z:}', "");;
    Expect(0, 1970, '\p{Sc=:\AThaa\z:}', "");;
    Expect(1, 1969, '\p{Sc=thaa}', "");
    Expect(0, 1969, '\p{^Sc=thaa}', "");
    Expect(0, 1969, '\P{Sc=thaa}', "");
    Expect(1, 1969, '\P{^Sc=thaa}', "");
    Expect(0, 1970, '\p{Sc=thaa}', "");
    Expect(1, 1970, '\p{^Sc=thaa}', "");
    Expect(1, 1970, '\P{Sc=thaa}', "");
    Expect(0, 1970, '\P{^Sc=thaa}', "");
    Expect(1, 1969, '\p{Sc=:\Athaa\z:}', "");;
    Expect(0, 1970, '\p{Sc=:\Athaa\z:}', "");;
    Expect(1, 1969, '\p{Sc=- thaa}', "");
    Expect(0, 1969, '\p{^Sc=- thaa}', "");
    Expect(0, 1969, '\P{Sc=- thaa}', "");
    Expect(1, 1969, '\P{^Sc=- thaa}', "");
    Expect(0, 1970, '\p{Sc=- thaa}', "");
    Expect(1, 1970, '\p{^Sc=- thaa}', "");
    Expect(1, 1970, '\P{Sc=- thaa}', "");
    Expect(0, 1970, '\P{^Sc=- thaa}', "");
    Error('\p{Is_Script=-/a/Thaana}');
    Error('\P{Is_Script=-/a/Thaana}');
    Expect(1, 1969, '\p{Is_Script=thaana}', "");
    Expect(0, 1969, '\p{^Is_Script=thaana}', "");
    Expect(0, 1969, '\P{Is_Script=thaana}', "");
    Expect(1, 1969, '\P{^Is_Script=thaana}', "");
    Expect(0, 1970, '\p{Is_Script=thaana}', "");
    Expect(1, 1970, '\p{^Is_Script=thaana}', "");
    Expect(1, 1970, '\P{Is_Script=thaana}', "");
    Expect(0, 1970, '\P{^Is_Script=thaana}', "");
    Expect(1, 1969, '\p{Is_Script=-	Thaana}', "");
    Expect(0, 1969, '\p{^Is_Script=-	Thaana}', "");
    Expect(0, 1969, '\P{Is_Script=-	Thaana}', "");
    Expect(1, 1969, '\P{^Is_Script=-	Thaana}', "");
    Expect(0, 1970, '\p{Is_Script=-	Thaana}', "");
    Expect(1, 1970, '\p{^Is_Script=-	Thaana}', "");
    Expect(1, 1970, '\P{Is_Script=-	Thaana}', "");
    Expect(0, 1970, '\P{^Is_Script=-	Thaana}', "");
    Error('\p{Is_Sc:	/a/_ Thaa}');
    Error('\P{Is_Sc:	/a/_ Thaa}');
    Expect(1, 1969, '\p{Is_Sc=thaa}', "");
    Expect(0, 1969, '\p{^Is_Sc=thaa}', "");
    Expect(0, 1969, '\P{Is_Sc=thaa}', "");
    Expect(1, 1969, '\P{^Is_Sc=thaa}', "");
    Expect(0, 1970, '\p{Is_Sc=thaa}', "");
    Expect(1, 1970, '\p{^Is_Sc=thaa}', "");
    Expect(1, 1970, '\P{Is_Sc=thaa}', "");
    Expect(0, 1970, '\P{^Is_Sc=thaa}', "");
    Expect(1, 1969, '\p{Is_Sc=-Thaa}', "");
    Expect(0, 1969, '\p{^Is_Sc=-Thaa}', "");
    Expect(0, 1969, '\P{Is_Sc=-Thaa}', "");
    Expect(1, 1969, '\P{^Is_Sc=-Thaa}', "");
    Expect(0, 1970, '\p{Is_Sc=-Thaa}', "");
    Expect(1, 1970, '\p{^Is_Sc=-Thaa}', "");
    Expect(1, 1970, '\P{Is_Sc=-Thaa}', "");
    Expect(0, 1970, '\P{^Is_Sc=-Thaa}', "");
    Error('\p{Script=	 THAI/a/}');
    Error('\P{Script=	 THAI/a/}');
    Expect(1, 3675, '\p{Script=:\AThai\z:}', "");;
    Expect(0, 3676, '\p{Script=:\AThai\z:}', "");;
    Expect(1, 3675, '\p{Script=thai}', "");
    Expect(0, 3675, '\p{^Script=thai}', "");
    Expect(0, 3675, '\P{Script=thai}', "");
    Expect(1, 3675, '\P{^Script=thai}', "");
    Expect(0, 3676, '\p{Script=thai}', "");
    Expect(1, 3676, '\p{^Script=thai}', "");
    Expect(1, 3676, '\P{Script=thai}', "");
    Expect(0, 3676, '\P{^Script=thai}', "");
    Expect(1, 3675, '\p{Script=:\Athai\z:}', "");;
    Expect(0, 3676, '\p{Script=:\Athai\z:}', "");;
    Expect(1, 3675, '\p{Script=- Thai}', "");
    Expect(0, 3675, '\p{^Script=- Thai}', "");
    Expect(0, 3675, '\P{Script=- Thai}', "");
    Expect(1, 3675, '\P{^Script=- Thai}', "");
    Expect(0, 3676, '\p{Script=- Thai}', "");
    Expect(1, 3676, '\p{^Script=- Thai}', "");
    Expect(1, 3676, '\P{Script=- Thai}', "");
    Expect(0, 3676, '\P{^Script=- Thai}', "");
    Error('\p{Sc=:= _Thai}');
    Error('\P{Sc=:= _Thai}');
    Expect(1, 3675, '\p{Sc=:\AThai\z:}', "");;
    Expect(0, 3676, '\p{Sc=:\AThai\z:}', "");;
    Expect(1, 3675, '\p{Sc=thai}', "");
    Expect(0, 3675, '\p{^Sc=thai}', "");
    Expect(0, 3675, '\P{Sc=thai}', "");
    Expect(1, 3675, '\P{^Sc=thai}', "");
    Expect(0, 3676, '\p{Sc=thai}', "");
    Expect(1, 3676, '\p{^Sc=thai}', "");
    Expect(1, 3676, '\P{Sc=thai}', "");
    Expect(0, 3676, '\P{^Sc=thai}', "");
    Expect(1, 3675, '\p{Sc=:\Athai\z:}', "");;
    Expect(0, 3676, '\p{Sc=:\Athai\z:}', "");;
    Expect(1, 3675, '\p{Sc:	-Thai}', "");
    Expect(0, 3675, '\p{^Sc:	-Thai}', "");
    Expect(0, 3675, '\P{Sc:	-Thai}', "");
    Expect(1, 3675, '\P{^Sc:	-Thai}', "");
    Expect(0, 3676, '\p{Sc:	-Thai}', "");
    Expect(1, 3676, '\p{^Sc:	-Thai}', "");
    Expect(1, 3676, '\P{Sc:	-Thai}', "");
    Expect(0, 3676, '\P{^Sc:	-Thai}', "");
    Error('\p{Is_Script=/a/_THAI}');
    Error('\P{Is_Script=/a/_THAI}');
    Expect(1, 3675, '\p{Is_Script=thai}', "");
    Expect(0, 3675, '\p{^Is_Script=thai}', "");
    Expect(0, 3675, '\P{Is_Script=thai}', "");
    Expect(1, 3675, '\P{^Is_Script=thai}', "");
    Expect(0, 3676, '\p{Is_Script=thai}', "");
    Expect(1, 3676, '\p{^Is_Script=thai}', "");
    Expect(1, 3676, '\P{Is_Script=thai}', "");
    Expect(0, 3676, '\P{^Is_Script=thai}', "");
    Expect(1, 3675, '\p{Is_Script=- Thai}', "");
    Expect(0, 3675, '\p{^Is_Script=- Thai}', "");
    Expect(0, 3675, '\P{Is_Script=- Thai}', "");
    Expect(1, 3675, '\P{^Is_Script=- Thai}', "");
    Expect(0, 3676, '\p{Is_Script=- Thai}', "");
    Expect(1, 3676, '\p{^Is_Script=- Thai}', "");
    Expect(1, 3676, '\P{Is_Script=- Thai}', "");
    Expect(0, 3676, '\P{^Is_Script=- Thai}', "");
    Error('\p{Is_Sc= :=THAI}');
    Error('\P{Is_Sc= :=THAI}');
    Expect(1, 3675, '\p{Is_Sc=thai}', "");
    Expect(0, 3675, '\p{^Is_Sc=thai}', "");
    Expect(0, 3675, '\P{Is_Sc=thai}', "");
    Expect(1, 3675, '\P{^Is_Sc=thai}', "");
    Expect(0, 3676, '\p{Is_Sc=thai}', "");
    Expect(1, 3676, '\p{^Is_Sc=thai}', "");
    Expect(1, 3676, '\P{Is_Sc=thai}', "");
    Expect(0, 3676, '\P{^Is_Sc=thai}', "");
    Expect(1, 3675, '\p{Is_Sc=	THAI}', "");
    Expect(0, 3675, '\p{^Is_Sc=	THAI}', "");
    Expect(0, 3675, '\P{Is_Sc=	THAI}', "");
    Expect(1, 3675, '\P{^Is_Sc=	THAI}', "");
    Expect(0, 3676, '\p{Is_Sc=	THAI}', "");
    Expect(1, 3676, '\p{^Is_Sc=	THAI}', "");
    Expect(1, 3676, '\P{Is_Sc=	THAI}', "");
    Expect(0, 3676, '\P{^Is_Sc=	THAI}', "");
    Error('\p{Script:   _:=TIBETAN}');
    Error('\P{Script:   _:=TIBETAN}');
    Expect(1, 4058, '\p{Script=:\ATibetan\z:}', "");;
    Expect(0, 4059, '\p{Script=:\ATibetan\z:}', "");;
    Expect(1, 4058, '\p{Script=tibetan}', "");
    Expect(0, 4058, '\p{^Script=tibetan}', "");
    Expect(0, 4058, '\P{Script=tibetan}', "");
    Expect(1, 4058, '\P{^Script=tibetan}', "");
    Expect(0, 4059, '\p{Script=tibetan}', "");
    Expect(1, 4059, '\p{^Script=tibetan}', "");
    Expect(1, 4059, '\P{Script=tibetan}', "");
    Expect(0, 4059, '\P{^Script=tibetan}', "");
    Expect(1, 4058, '\p{Script=:\Atibetan\z:}', "");;
    Expect(0, 4059, '\p{Script=:\Atibetan\z:}', "");;
    Expect(1, 4058, '\p{Script=--Tibetan}', "");
    Expect(0, 4058, '\p{^Script=--Tibetan}', "");
    Expect(0, 4058, '\P{Script=--Tibetan}', "");
    Expect(1, 4058, '\P{^Script=--Tibetan}', "");
    Expect(0, 4059, '\p{Script=--Tibetan}', "");
    Expect(1, 4059, '\p{^Script=--Tibetan}', "");
    Expect(1, 4059, '\P{Script=--Tibetan}', "");
    Expect(0, 4059, '\P{^Script=--Tibetan}', "");
    Error('\p{Sc=_TIBT/a/}');
    Error('\P{Sc=_TIBT/a/}');
    Expect(1, 4058, '\p{Sc=:\ATibt\z:}', "");;
    Expect(0, 4059, '\p{Sc=:\ATibt\z:}', "");;
    Expect(1, 4058, '\p{Sc=tibt}', "");
    Expect(0, 4058, '\p{^Sc=tibt}', "");
    Expect(0, 4058, '\P{Sc=tibt}', "");
    Expect(1, 4058, '\P{^Sc=tibt}', "");
    Expect(0, 4059, '\p{Sc=tibt}', "");
    Expect(1, 4059, '\p{^Sc=tibt}', "");
    Expect(1, 4059, '\P{Sc=tibt}', "");
    Expect(0, 4059, '\P{^Sc=tibt}', "");
    Expect(1, 4058, '\p{Sc=:\Atibt\z:}', "");;
    Expect(0, 4059, '\p{Sc=:\Atibt\z:}', "");;
    Expect(1, 4058, '\p{Sc= _tibt}', "");
    Expect(0, 4058, '\p{^Sc= _tibt}', "");
    Expect(0, 4058, '\P{Sc= _tibt}', "");
    Expect(1, 4058, '\P{^Sc= _tibt}', "");
    Expect(0, 4059, '\p{Sc= _tibt}', "");
    Expect(1, 4059, '\p{^Sc= _tibt}', "");
    Expect(1, 4059, '\P{Sc= _tibt}', "");
    Expect(0, 4059, '\P{^Sc= _tibt}', "");
    Error('\p{Is_Script::=_	Tibetan}');
    Error('\P{Is_Script::=_	Tibetan}');
    Expect(1, 4058, '\p{Is_Script=tibetan}', "");
    Expect(0, 4058, '\p{^Is_Script=tibetan}', "");
    Expect(0, 4058, '\P{Is_Script=tibetan}', "");
    Expect(1, 4058, '\P{^Is_Script=tibetan}', "");
    Expect(0, 4059, '\p{Is_Script=tibetan}', "");
    Expect(1, 4059, '\p{^Is_Script=tibetan}', "");
    Expect(1, 4059, '\P{Is_Script=tibetan}', "");
    Expect(0, 4059, '\P{^Is_Script=tibetan}', "");
    Expect(1, 4058, '\p{Is_Script=	tibetan}', "");
    Expect(0, 4058, '\p{^Is_Script=	tibetan}', "");
    Expect(0, 4058, '\P{Is_Script=	tibetan}', "");
    Expect(1, 4058, '\P{^Is_Script=	tibetan}', "");
    Expect(0, 4059, '\p{Is_Script=	tibetan}', "");
    Expect(1, 4059, '\p{^Is_Script=	tibetan}', "");
    Expect(1, 4059, '\P{Is_Script=	tibetan}', "");
    Expect(0, 4059, '\P{^Is_Script=	tibetan}', "");
    Error('\p{Is_Sc=	Tibt/a/}');
    Error('\P{Is_Sc=	Tibt/a/}');
    Expect(1, 4058, '\p{Is_Sc:tibt}', "");
    Expect(0, 4058, '\p{^Is_Sc:tibt}', "");
    Expect(0, 4058, '\P{Is_Sc:tibt}', "");
    Expect(1, 4058, '\P{^Is_Sc:tibt}', "");
    Expect(0, 4059, '\p{Is_Sc:tibt}', "");
    Expect(1, 4059, '\p{^Is_Sc:tibt}', "");
    Expect(1, 4059, '\P{Is_Sc:tibt}', "");
    Expect(0, 4059, '\P{^Is_Sc:tibt}', "");
    Expect(1, 4058, '\p{Is_Sc=	TIBT}', "");
    Expect(0, 4058, '\p{^Is_Sc=	TIBT}', "");
    Expect(0, 4058, '\P{Is_Sc=	TIBT}', "");
    Expect(1, 4058, '\P{^Is_Sc=	TIBT}', "");
    Expect(0, 4059, '\p{Is_Sc=	TIBT}', "");
    Expect(1, 4059, '\p{^Is_Sc=	TIBT}', "");
    Expect(1, 4059, '\P{Is_Sc=	TIBT}', "");
    Expect(0, 4059, '\P{^Is_Sc=	TIBT}', "");
    Error('\p{Script: /a/		Tirhuta}');
    Error('\P{Script: /a/		Tirhuta}');
    Expect(1, 70873, '\p{Script=:\ATirhuta\z:}', "");;
    Expect(0, 70874, '\p{Script=:\ATirhuta\z:}', "");;
    Expect(1, 70873, '\p{Script=tirhuta}', "");
    Expect(0, 70873, '\p{^Script=tirhuta}', "");
    Expect(0, 70873, '\P{Script=tirhuta}', "");
    Expect(1, 70873, '\P{^Script=tirhuta}', "");
    Expect(0, 70874, '\p{Script=tirhuta}', "");
    Expect(1, 70874, '\p{^Script=tirhuta}', "");
    Expect(1, 70874, '\P{Script=tirhuta}', "");
    Expect(0, 70874, '\P{^Script=tirhuta}', "");
    Expect(1, 70873, '\p{Script=:\Atirhuta\z:}', "");;
    Expect(0, 70874, '\p{Script=:\Atirhuta\z:}', "");;
    Expect(1, 70873, '\p{Script=_ Tirhuta}', "");
    Expect(0, 70873, '\p{^Script=_ Tirhuta}', "");
    Expect(0, 70873, '\P{Script=_ Tirhuta}', "");
    Expect(1, 70873, '\P{^Script=_ Tirhuta}', "");
    Expect(0, 70874, '\p{Script=_ Tirhuta}', "");
    Expect(1, 70874, '\p{^Script=_ Tirhuta}', "");
    Expect(1, 70874, '\P{Script=_ Tirhuta}', "");
    Expect(0, 70874, '\P{^Script=_ Tirhuta}', "");
    Error('\p{Sc=_:=TIRH}');
    Error('\P{Sc=_:=TIRH}');
    Expect(1, 70873, '\p{Sc=:\ATirh\z:}', "");;
    Expect(0, 70874, '\p{Sc=:\ATirh\z:}', "");;
    Expect(1, 70873, '\p{Sc=tirh}', "");
    Expect(0, 70873, '\p{^Sc=tirh}', "");
    Expect(0, 70873, '\P{Sc=tirh}', "");
    Expect(1, 70873, '\P{^Sc=tirh}', "");
    Expect(0, 70874, '\p{Sc=tirh}', "");
    Expect(1, 70874, '\p{^Sc=tirh}', "");
    Expect(1, 70874, '\P{Sc=tirh}', "");
    Expect(0, 70874, '\P{^Sc=tirh}', "");
    Expect(1, 70873, '\p{Sc=:\Atirh\z:}', "");;
    Expect(0, 70874, '\p{Sc=:\Atirh\z:}', "");;
    Expect(1, 70873, '\p{Sc=		TIRH}', "");
    Expect(0, 70873, '\p{^Sc=		TIRH}', "");
    Expect(0, 70873, '\P{Sc=		TIRH}', "");
    Expect(1, 70873, '\P{^Sc=		TIRH}', "");
    Expect(0, 70874, '\p{Sc=		TIRH}', "");
    Expect(1, 70874, '\p{^Sc=		TIRH}', "");
    Expect(1, 70874, '\P{Sc=		TIRH}', "");
    Expect(0, 70874, '\P{^Sc=		TIRH}', "");
    Error('\p{Is_Script=/a/-_tirhuta}');
    Error('\P{Is_Script=/a/-_tirhuta}');
    Expect(1, 70873, '\p{Is_Script=tirhuta}', "");
    Expect(0, 70873, '\p{^Is_Script=tirhuta}', "");
    Expect(0, 70873, '\P{Is_Script=tirhuta}', "");
    Expect(1, 70873, '\P{^Is_Script=tirhuta}', "");
    Expect(0, 70874, '\p{Is_Script=tirhuta}', "");
    Expect(1, 70874, '\p{^Is_Script=tirhuta}', "");
    Expect(1, 70874, '\P{Is_Script=tirhuta}', "");
    Expect(0, 70874, '\P{^Is_Script=tirhuta}', "");
    Expect(1, 70873, '\p{Is_Script=_tirhuta}', "");
    Expect(0, 70873, '\p{^Is_Script=_tirhuta}', "");
    Expect(0, 70873, '\P{Is_Script=_tirhuta}', "");
    Expect(1, 70873, '\P{^Is_Script=_tirhuta}', "");
    Expect(0, 70874, '\p{Is_Script=_tirhuta}', "");
    Expect(1, 70874, '\p{^Is_Script=_tirhuta}', "");
    Expect(1, 70874, '\P{Is_Script=_tirhuta}', "");
    Expect(0, 70874, '\P{^Is_Script=_tirhuta}', "");
    Error('\p{Is_Sc=-:=TIRH}');
    Error('\P{Is_Sc=-:=TIRH}');
    Expect(1, 70873, '\p{Is_Sc=tirh}', "");
    Expect(0, 70873, '\p{^Is_Sc=tirh}', "");
    Expect(0, 70873, '\P{Is_Sc=tirh}', "");
    Expect(1, 70873, '\P{^Is_Sc=tirh}', "");
    Expect(0, 70874, '\p{Is_Sc=tirh}', "");
    Expect(1, 70874, '\p{^Is_Sc=tirh}', "");
    Expect(1, 70874, '\P{Is_Sc=tirh}', "");
    Expect(0, 70874, '\P{^Is_Sc=tirh}', "");
    Expect(1, 70873, '\p{Is_Sc=	tirh}', "");
    Expect(0, 70873, '\p{^Is_Sc=	tirh}', "");
    Expect(0, 70873, '\P{Is_Sc=	tirh}', "");
    Expect(1, 70873, '\P{^Is_Sc=	tirh}', "");
    Expect(0, 70874, '\p{Is_Sc=	tirh}', "");
    Expect(1, 70874, '\p{^Is_Sc=	tirh}', "");
    Expect(1, 70874, '\P{Is_Sc=	tirh}', "");
    Expect(0, 70874, '\P{^Is_Sc=	tirh}', "");
    Error('\p{Script= 	Tangsa/a/}');
    Error('\P{Script= 	Tangsa/a/}');
    Expect(1, 92873, '\p{Script=:\ATangsa\z:}', "");;
    Expect(0, 92874, '\p{Script=:\ATangsa\z:}', "");;
    Expect(1, 92873, '\p{Script:tangsa}', "");
    Expect(0, 92873, '\p{^Script:tangsa}', "");
    Expect(0, 92873, '\P{Script:tangsa}', "");
    Expect(1, 92873, '\P{^Script:tangsa}', "");
    Expect(0, 92874, '\p{Script:tangsa}', "");
    Expect(1, 92874, '\p{^Script:tangsa}', "");
    Expect(1, 92874, '\P{Script:tangsa}', "");
    Expect(0, 92874, '\P{^Script:tangsa}', "");
    Expect(1, 92873, '\p{Script=:\Atangsa\z:}', "");;
    Expect(0, 92874, '\p{Script=:\Atangsa\z:}', "");;
    Expect(1, 92873, '\p{Script=-	Tangsa}', "");
    Expect(0, 92873, '\p{^Script=-	Tangsa}', "");
    Expect(0, 92873, '\P{Script=-	Tangsa}', "");
    Expect(1, 92873, '\P{^Script=-	Tangsa}', "");
    Expect(0, 92874, '\p{Script=-	Tangsa}', "");
    Expect(1, 92874, '\p{^Script=-	Tangsa}', "");
    Expect(1, 92874, '\P{Script=-	Tangsa}', "");
    Expect(0, 92874, '\P{^Script=-	Tangsa}', "");
    Error('\p{Sc=_	Tnsa:=}');
    Error('\P{Sc=_	Tnsa:=}');
    Expect(1, 92873, '\p{Sc=:\ATnsa\z:}', "");;
    Expect(0, 92874, '\p{Sc=:\ATnsa\z:}', "");;
    Expect(1, 92873, '\p{Sc: tnsa}', "");
    Expect(0, 92873, '\p{^Sc: tnsa}', "");
    Expect(0, 92873, '\P{Sc: tnsa}', "");
    Expect(1, 92873, '\P{^Sc: tnsa}', "");
    Expect(0, 92874, '\p{Sc: tnsa}', "");
    Expect(1, 92874, '\p{^Sc: tnsa}', "");
    Expect(1, 92874, '\P{Sc: tnsa}', "");
    Expect(0, 92874, '\P{^Sc: tnsa}', "");
    Expect(1, 92873, '\p{Sc=:\Atnsa\z:}', "");;
    Expect(0, 92874, '\p{Sc=:\Atnsa\z:}', "");;
    Expect(1, 92873, '\p{Sc= tnsa}', "");
    Expect(0, 92873, '\p{^Sc= tnsa}', "");
    Expect(0, 92873, '\P{Sc= tnsa}', "");
    Expect(1, 92873, '\P{^Sc= tnsa}', "");
    Expect(0, 92874, '\p{Sc= tnsa}', "");
    Expect(1, 92874, '\p{^Sc= tnsa}', "");
    Expect(1, 92874, '\P{Sc= tnsa}', "");
    Expect(0, 92874, '\P{^Sc= tnsa}', "");
    Error('\p{Is_Script=	 tangsa:=}');
    Error('\P{Is_Script=	 tangsa:=}');
    Expect(1, 92873, '\p{Is_Script=tangsa}', "");
    Expect(0, 92873, '\p{^Is_Script=tangsa}', "");
    Expect(0, 92873, '\P{Is_Script=tangsa}', "");
    Expect(1, 92873, '\P{^Is_Script=tangsa}', "");
    Expect(0, 92874, '\p{Is_Script=tangsa}', "");
    Expect(1, 92874, '\p{^Is_Script=tangsa}', "");
    Expect(1, 92874, '\P{Is_Script=tangsa}', "");
    Expect(0, 92874, '\P{^Is_Script=tangsa}', "");
    Expect(1, 92873, '\p{Is_Script=-Tangsa}', "");
    Expect(0, 92873, '\p{^Is_Script=-Tangsa}', "");
    Expect(0, 92873, '\P{Is_Script=-Tangsa}', "");
    Expect(1, 92873, '\P{^Is_Script=-Tangsa}', "");
    Expect(0, 92874, '\p{Is_Script=-Tangsa}', "");
    Expect(1, 92874, '\p{^Is_Script=-Tangsa}', "");
    Expect(1, 92874, '\P{Is_Script=-Tangsa}', "");
    Expect(0, 92874, '\P{^Is_Script=-Tangsa}', "");
    Error('\p{Is_Sc=/a/-Tnsa}');
    Error('\P{Is_Sc=/a/-Tnsa}');
    Expect(1, 92873, '\p{Is_Sc:   tnsa}', "");
    Expect(0, 92873, '\p{^Is_Sc:   tnsa}', "");
    Expect(0, 92873, '\P{Is_Sc:   tnsa}', "");
    Expect(1, 92873, '\P{^Is_Sc:   tnsa}', "");
    Expect(0, 92874, '\p{Is_Sc:   tnsa}', "");
    Expect(1, 92874, '\p{^Is_Sc:   tnsa}', "");
    Expect(1, 92874, '\P{Is_Sc:   tnsa}', "");
    Expect(0, 92874, '\P{^Is_Sc:   tnsa}', "");
    Expect(1, 92873, '\p{Is_Sc=	-Tnsa}', "");
    Expect(0, 92873, '\p{^Is_Sc=	-Tnsa}', "");
    Expect(0, 92873, '\P{Is_Sc=	-Tnsa}', "");
    Expect(1, 92873, '\P{^Is_Sc=	-Tnsa}', "");
    Expect(0, 92874, '\p{Is_Sc=	-Tnsa}', "");
    Expect(1, 92874, '\p{^Is_Sc=	-Tnsa}', "");
    Expect(1, 92874, '\P{Is_Sc=	-Tnsa}', "");
    Expect(0, 92874, '\P{^Is_Sc=	-Tnsa}', "");
    Error('\p{Script:-_Toto:=}');
    Error('\P{Script:-_Toto:=}');
    Expect(1, 123566, '\p{Script=:\AToto\z:}', "");;
    Expect(0, 123567, '\p{Script=:\AToto\z:}', "");;
    Expect(1, 123566, '\p{Script=toto}', "");
    Expect(0, 123566, '\p{^Script=toto}', "");
    Expect(0, 123566, '\P{Script=toto}', "");
    Expect(1, 123566, '\P{^Script=toto}', "");
    Expect(0, 123567, '\p{Script=toto}', "");
    Expect(1, 123567, '\p{^Script=toto}', "");
    Expect(1, 123567, '\P{Script=toto}', "");
    Expect(0, 123567, '\P{^Script=toto}', "");
    Expect(1, 123566, '\p{Script=:\Atoto\z:}', "");;
    Expect(0, 123567, '\p{Script=:\Atoto\z:}', "");;
    Expect(1, 123566, '\p{Script=__TOTO}', "");
    Expect(0, 123566, '\p{^Script=__TOTO}', "");
    Expect(0, 123566, '\P{Script=__TOTO}', "");
    Expect(1, 123566, '\P{^Script=__TOTO}', "");
    Expect(0, 123567, '\p{Script=__TOTO}', "");
    Expect(1, 123567, '\p{^Script=__TOTO}', "");
    Expect(1, 123567, '\P{Script=__TOTO}', "");
    Expect(0, 123567, '\P{^Script=__TOTO}', "");
    Error('\p{Sc=_TOTO/a/}');
    Error('\P{Sc=_TOTO/a/}');
    Expect(1, 123566, '\p{Sc=:\AToto\z:}', "");;
    Expect(0, 123567, '\p{Sc=:\AToto\z:}', "");;
    Expect(1, 123566, '\p{Sc=toto}', "");
    Expect(0, 123566, '\p{^Sc=toto}', "");
    Expect(0, 123566, '\P{Sc=toto}', "");
    Expect(1, 123566, '\P{^Sc=toto}', "");
    Expect(0, 123567, '\p{Sc=toto}', "");
    Expect(1, 123567, '\p{^Sc=toto}', "");
    Expect(1, 123567, '\P{Sc=toto}', "");
    Expect(0, 123567, '\P{^Sc=toto}', "");
    Expect(1, 123566, '\p{Sc=:\Atoto\z:}', "");;
    Expect(0, 123567, '\p{Sc=:\Atoto\z:}', "");;
    Expect(1, 123566, '\p{Sc:   -Toto}', "");
    Expect(0, 123566, '\p{^Sc:   -Toto}', "");
    Expect(0, 123566, '\P{Sc:   -Toto}', "");
    Expect(1, 123566, '\P{^Sc:   -Toto}', "");
    Expect(0, 123567, '\p{Sc:   -Toto}', "");
    Expect(1, 123567, '\p{^Sc:   -Toto}', "");
    Expect(1, 123567, '\P{Sc:   -Toto}', "");
    Expect(0, 123567, '\P{^Sc:   -Toto}', "");
    Error('\p{Is_Script=-/a/toto}');
    Error('\P{Is_Script=-/a/toto}');
    Expect(1, 123566, '\p{Is_Script=toto}', "");
    Expect(0, 123566, '\p{^Is_Script=toto}', "");
    Expect(0, 123566, '\P{Is_Script=toto}', "");
    Expect(1, 123566, '\P{^Is_Script=toto}', "");
    Expect(0, 123567, '\p{Is_Script=toto}', "");
    Expect(1, 123567, '\p{^Is_Script=toto}', "");
    Expect(1, 123567, '\P{Is_Script=toto}', "");
    Expect(0, 123567, '\P{^Is_Script=toto}', "");
    Expect(1, 123566, '\p{Is_Script=_ TOTO}', "");
    Expect(0, 123566, '\p{^Is_Script=_ TOTO}', "");
    Expect(0, 123566, '\P{Is_Script=_ TOTO}', "");
    Expect(1, 123566, '\P{^Is_Script=_ TOTO}', "");
    Expect(0, 123567, '\p{Is_Script=_ TOTO}', "");
    Expect(1, 123567, '\p{^Is_Script=_ TOTO}', "");
    Expect(1, 123567, '\P{Is_Script=_ TOTO}', "");
    Expect(0, 123567, '\P{^Is_Script=_ TOTO}', "");
    Error('\p{Is_Sc= :=toto}');
    Error('\P{Is_Sc= :=toto}');
    Expect(1, 123566, '\p{Is_Sc=toto}', "");
    Expect(0, 123566, '\p{^Is_Sc=toto}', "");
    Expect(0, 123566, '\P{Is_Sc=toto}', "");
    Expect(1, 123566, '\P{^Is_Sc=toto}', "");
    Expect(0, 123567, '\p{Is_Sc=toto}', "");
    Expect(1, 123567, '\p{^Is_Sc=toto}', "");
    Expect(1, 123567, '\P{Is_Sc=toto}', "");
    Expect(0, 123567, '\P{^Is_Sc=toto}', "");
    Expect(1, 123566, '\p{Is_Sc= -TOTO}', "");
    Expect(0, 123566, '\p{^Is_Sc= -TOTO}', "");
    Expect(0, 123566, '\P{Is_Sc= -TOTO}', "");
    Expect(1, 123566, '\P{^Is_Sc= -TOTO}', "");
    Expect(0, 123567, '\p{Is_Sc= -TOTO}', "");
    Expect(1, 123567, '\p{^Is_Sc= -TOTO}', "");
    Expect(1, 123567, '\P{Is_Sc= -TOTO}', "");
    Expect(0, 123567, '\P{^Is_Sc= -TOTO}', "");
    Error('\p{Script=-/a/Ugaritic}');
    Error('\P{Script=-/a/Ugaritic}');
    Expect(1, 66463, '\p{Script=:\AUgaritic\z:}', "");;
    Expect(0, 66464, '\p{Script=:\AUgaritic\z:}', "");;
    Expect(1, 66463, '\p{Script=ugaritic}', "");
    Expect(0, 66463, '\p{^Script=ugaritic}', "");
    Expect(0, 66463, '\P{Script=ugaritic}', "");
    Expect(1, 66463, '\P{^Script=ugaritic}', "");
    Expect(0, 66464, '\p{Script=ugaritic}', "");
    Expect(1, 66464, '\p{^Script=ugaritic}', "");
    Expect(1, 66464, '\P{Script=ugaritic}', "");
    Expect(0, 66464, '\P{^Script=ugaritic}', "");
    Expect(1, 66463, '\p{Script=:\Augaritic\z:}', "");;
    Expect(0, 66464, '\p{Script=:\Augaritic\z:}', "");;
    Expect(1, 66463, '\p{Script=-_Ugaritic}', "");
    Expect(0, 66463, '\p{^Script=-_Ugaritic}', "");
    Expect(0, 66463, '\P{Script=-_Ugaritic}', "");
    Expect(1, 66463, '\P{^Script=-_Ugaritic}', "");
    Expect(0, 66464, '\p{Script=-_Ugaritic}', "");
    Expect(1, 66464, '\p{^Script=-_Ugaritic}', "");
    Expect(1, 66464, '\P{Script=-_Ugaritic}', "");
    Expect(0, 66464, '\P{^Script=-_Ugaritic}', "");
    Error('\p{Sc=_-ugar:=}');
    Error('\P{Sc=_-ugar:=}');
    Expect(1, 66463, '\p{Sc=:\AUgar\z:}', "");;
    Expect(0, 66464, '\p{Sc=:\AUgar\z:}', "");;
    Expect(1, 66463, '\p{Sc=ugar}', "");
    Expect(0, 66463, '\p{^Sc=ugar}', "");
    Expect(0, 66463, '\P{Sc=ugar}', "");
    Expect(1, 66463, '\P{^Sc=ugar}', "");
    Expect(0, 66464, '\p{Sc=ugar}', "");
    Expect(1, 66464, '\p{^Sc=ugar}', "");
    Expect(1, 66464, '\P{Sc=ugar}', "");
    Expect(0, 66464, '\P{^Sc=ugar}', "");
    Expect(1, 66463, '\p{Sc=:\Augar\z:}', "");;
    Expect(0, 66464, '\p{Sc=:\Augar\z:}', "");;
    Expect(1, 66463, '\p{Sc:   - Ugar}', "");
    Expect(0, 66463, '\p{^Sc:   - Ugar}', "");
    Expect(0, 66463, '\P{Sc:   - Ugar}', "");
    Expect(1, 66463, '\P{^Sc:   - Ugar}', "");
    Expect(0, 66464, '\p{Sc:   - Ugar}', "");
    Expect(1, 66464, '\p{^Sc:   - Ugar}', "");
    Expect(1, 66464, '\P{Sc:   - Ugar}', "");
    Expect(0, 66464, '\P{^Sc:   - Ugar}', "");
    Error('\p{Is_Script=_:=Ugaritic}');
    Error('\P{Is_Script=_:=Ugaritic}');
    Expect(1, 66463, '\p{Is_Script=ugaritic}', "");
    Expect(0, 66463, '\p{^Is_Script=ugaritic}', "");
    Expect(0, 66463, '\P{Is_Script=ugaritic}', "");
    Expect(1, 66463, '\P{^Is_Script=ugaritic}', "");
    Expect(0, 66464, '\p{Is_Script=ugaritic}', "");
    Expect(1, 66464, '\p{^Is_Script=ugaritic}', "");
    Expect(1, 66464, '\P{Is_Script=ugaritic}', "");
    Expect(0, 66464, '\P{^Is_Script=ugaritic}', "");
    Expect(1, 66463, '\p{Is_Script:   _Ugaritic}', "");
    Expect(0, 66463, '\p{^Is_Script:   _Ugaritic}', "");
    Expect(0, 66463, '\P{Is_Script:   _Ugaritic}', "");
    Expect(1, 66463, '\P{^Is_Script:   _Ugaritic}', "");
    Expect(0, 66464, '\p{Is_Script:   _Ugaritic}', "");
    Expect(1, 66464, '\p{^Is_Script:   _Ugaritic}', "");
    Expect(1, 66464, '\P{Is_Script:   _Ugaritic}', "");
    Expect(0, 66464, '\P{^Is_Script:   _Ugaritic}', "");
    Error('\p{Is_Sc=:=_-ugar}');
    Error('\P{Is_Sc=:=_-ugar}');
    Expect(1, 66463, '\p{Is_Sc=ugar}', "");
    Expect(0, 66463, '\p{^Is_Sc=ugar}', "");
    Expect(0, 66463, '\P{Is_Sc=ugar}', "");
    Expect(1, 66463, '\P{^Is_Sc=ugar}', "");
    Expect(0, 66464, '\p{Is_Sc=ugar}', "");
    Expect(1, 66464, '\p{^Is_Sc=ugar}', "");
    Expect(1, 66464, '\P{Is_Sc=ugar}', "");
    Expect(0, 66464, '\P{^Is_Sc=ugar}', "");
    Expect(1, 66463, '\p{Is_Sc=		UGAR}', "");
    Expect(0, 66463, '\p{^Is_Sc=		UGAR}', "");
    Expect(0, 66463, '\P{Is_Sc=		UGAR}', "");
    Expect(1, 66463, '\P{^Is_Sc=		UGAR}', "");
    Expect(0, 66464, '\p{Is_Sc=		UGAR}', "");
    Expect(1, 66464, '\p{^Is_Sc=		UGAR}', "");
    Expect(1, 66464, '\P{Is_Sc=		UGAR}', "");
    Expect(0, 66464, '\P{^Is_Sc=		UGAR}', "");
    Error('\p{Script=_-Vai:=}');
    Error('\P{Script=_-Vai:=}');
    Expect(1, 42539, '\p{Script=:\AVai\z:}', "");;
    Expect(0, 42540, '\p{Script=:\AVai\z:}', "");;
    Expect(1, 42539, '\p{Script=vai}', "");
    Expect(0, 42539, '\p{^Script=vai}', "");
    Expect(0, 42539, '\P{Script=vai}', "");
    Expect(1, 42539, '\P{^Script=vai}', "");
    Expect(0, 42540, '\p{Script=vai}', "");
    Expect(1, 42540, '\p{^Script=vai}', "");
    Expect(1, 42540, '\P{Script=vai}', "");
    Expect(0, 42540, '\P{^Script=vai}', "");
    Expect(1, 42539, '\p{Script=:\Avai\z:}', "");;
    Expect(0, 42540, '\p{Script=:\Avai\z:}', "");;
    Expect(1, 42539, '\p{Script=	Vai}', "");
    Expect(0, 42539, '\p{^Script=	Vai}', "");
    Expect(0, 42539, '\P{Script=	Vai}', "");
    Expect(1, 42539, '\P{^Script=	Vai}', "");
    Expect(0, 42540, '\p{Script=	Vai}', "");
    Expect(1, 42540, '\p{^Script=	Vai}', "");
    Expect(1, 42540, '\P{Script=	Vai}', "");
    Expect(0, 42540, '\P{^Script=	Vai}', "");
    Error('\p{Sc=_:=Vaii}');
    Error('\P{Sc=_:=Vaii}');
    Expect(1, 42539, '\p{Sc=:\AVaii\z:}', "");;
    Expect(0, 42540, '\p{Sc=:\AVaii\z:}', "");;
    Expect(1, 42539, '\p{Sc:vaii}', "");
    Expect(0, 42539, '\p{^Sc:vaii}', "");
    Expect(0, 42539, '\P{Sc:vaii}', "");
    Expect(1, 42539, '\P{^Sc:vaii}', "");
    Expect(0, 42540, '\p{Sc:vaii}', "");
    Expect(1, 42540, '\p{^Sc:vaii}', "");
    Expect(1, 42540, '\P{Sc:vaii}', "");
    Expect(0, 42540, '\P{^Sc:vaii}', "");
    Expect(1, 42539, '\p{Sc=:\Avaii\z:}', "");;
    Expect(0, 42540, '\p{Sc=:\Avaii\z:}', "");;
    Expect(1, 42539, '\p{Sc=-VAII}', "");
    Expect(0, 42539, '\p{^Sc=-VAII}', "");
    Expect(0, 42539, '\P{Sc=-VAII}', "");
    Expect(1, 42539, '\P{^Sc=-VAII}', "");
    Expect(0, 42540, '\p{Sc=-VAII}', "");
    Expect(1, 42540, '\p{^Sc=-VAII}', "");
    Expect(1, 42540, '\P{Sc=-VAII}', "");
    Expect(0, 42540, '\P{^Sc=-VAII}', "");
    Error('\p{Is_Script=_:=VAI}');
    Error('\P{Is_Script=_:=VAI}');
    Expect(1, 42539, '\p{Is_Script=vai}', "");
    Expect(0, 42539, '\p{^Is_Script=vai}', "");
    Expect(0, 42539, '\P{Is_Script=vai}', "");
    Expect(1, 42539, '\P{^Is_Script=vai}', "");
    Expect(0, 42540, '\p{Is_Script=vai}', "");
    Expect(1, 42540, '\p{^Is_Script=vai}', "");
    Expect(1, 42540, '\P{Is_Script=vai}', "");
    Expect(0, 42540, '\P{^Is_Script=vai}', "");
    Expect(1, 42539, '\p{Is_Script=	-vai}', "");
    Expect(0, 42539, '\p{^Is_Script=	-vai}', "");
    Expect(0, 42539, '\P{Is_Script=	-vai}', "");
    Expect(1, 42539, '\P{^Is_Script=	-vai}', "");
    Expect(0, 42540, '\p{Is_Script=	-vai}', "");
    Expect(1, 42540, '\p{^Is_Script=	-vai}', "");
    Expect(1, 42540, '\P{Is_Script=	-vai}', "");
    Expect(0, 42540, '\P{^Is_Script=	-vai}', "");
    Error('\p{Is_Sc=/a/-	Vaii}');
    Error('\P{Is_Sc=/a/-	Vaii}');
    Expect(1, 42539, '\p{Is_Sc=vaii}', "");
    Expect(0, 42539, '\p{^Is_Sc=vaii}', "");
    Expect(0, 42539, '\P{Is_Sc=vaii}', "");
    Expect(1, 42539, '\P{^Is_Sc=vaii}', "");
    Expect(0, 42540, '\p{Is_Sc=vaii}', "");
    Expect(1, 42540, '\p{^Is_Sc=vaii}', "");
    Expect(1, 42540, '\P{Is_Sc=vaii}', "");
    Expect(0, 42540, '\P{^Is_Sc=vaii}', "");
    Expect(1, 42539, '\p{Is_Sc=	-Vaii}', "");
    Expect(0, 42539, '\p{^Is_Sc=	-Vaii}', "");
    Expect(0, 42539, '\P{Is_Sc=	-Vaii}', "");
    Expect(1, 42539, '\P{^Is_Sc=	-Vaii}', "");
    Expect(0, 42540, '\p{Is_Sc=	-Vaii}', "");
    Expect(1, 42540, '\p{^Is_Sc=	-Vaii}', "");
    Expect(1, 42540, '\P{Is_Sc=	-Vaii}', "");
    Expect(0, 42540, '\P{^Is_Sc=	-Vaii}', "");
    Error('\p{Script=-/a/Vithkuqi}');
    Error('\P{Script=-/a/Vithkuqi}');
    Expect(1, 67004, '\p{Script=:\AVithkuqi\z:}', "");;
    Expect(0, 67005, '\p{Script=:\AVithkuqi\z:}', "");;
    Expect(1, 67004, '\p{Script=vithkuqi}', "");
    Expect(0, 67004, '\p{^Script=vithkuqi}', "");
    Expect(0, 67004, '\P{Script=vithkuqi}', "");
    Expect(1, 67004, '\P{^Script=vithkuqi}', "");
    Expect(0, 67005, '\p{Script=vithkuqi}', "");
    Expect(1, 67005, '\p{^Script=vithkuqi}', "");
    Expect(1, 67005, '\P{Script=vithkuqi}', "");
    Expect(0, 67005, '\P{^Script=vithkuqi}', "");
    Expect(1, 67004, '\p{Script=:\Avithkuqi\z:}', "");;
    Expect(0, 67005, '\p{Script=:\Avithkuqi\z:}', "");;
    Expect(1, 67004, '\p{Script=-Vithkuqi}', "");
    Expect(0, 67004, '\p{^Script=-Vithkuqi}', "");
    Expect(0, 67004, '\P{Script=-Vithkuqi}', "");
    Expect(1, 67004, '\P{^Script=-Vithkuqi}', "");
    Expect(0, 67005, '\p{Script=-Vithkuqi}', "");
    Expect(1, 67005, '\p{^Script=-Vithkuqi}', "");
    Expect(1, 67005, '\P{Script=-Vithkuqi}', "");
    Expect(0, 67005, '\P{^Script=-Vithkuqi}', "");
    Error('\p{Sc:	_vith:=}');
    Error('\P{Sc:	_vith:=}');
    Expect(1, 67004, '\p{Sc=:\AVith\z:}', "");;
    Expect(0, 67005, '\p{Sc=:\AVith\z:}', "");;
    Expect(1, 67004, '\p{Sc=vith}', "");
    Expect(0, 67004, '\p{^Sc=vith}', "");
    Expect(0, 67004, '\P{Sc=vith}', "");
    Expect(1, 67004, '\P{^Sc=vith}', "");
    Expect(0, 67005, '\p{Sc=vith}', "");
    Expect(1, 67005, '\p{^Sc=vith}', "");
    Expect(1, 67005, '\P{Sc=vith}', "");
    Expect(0, 67005, '\P{^Sc=vith}', "");
    Expect(1, 67004, '\p{Sc=:\Avith\z:}', "");;
    Expect(0, 67005, '\p{Sc=:\Avith\z:}', "");;
    Expect(1, 67004, '\p{Sc= Vith}', "");
    Expect(0, 67004, '\p{^Sc= Vith}', "");
    Expect(0, 67004, '\P{Sc= Vith}', "");
    Expect(1, 67004, '\P{^Sc= Vith}', "");
    Expect(0, 67005, '\p{Sc= Vith}', "");
    Expect(1, 67005, '\p{^Sc= Vith}', "");
    Expect(1, 67005, '\P{Sc= Vith}', "");
    Expect(0, 67005, '\P{^Sc= Vith}', "");
    Error('\p{Is_Script=-	Vithkuqi/a/}');
    Error('\P{Is_Script=-	Vithkuqi/a/}');
    Expect(1, 67004, '\p{Is_Script:vithkuqi}', "");
    Expect(0, 67004, '\p{^Is_Script:vithkuqi}', "");
    Expect(0, 67004, '\P{Is_Script:vithkuqi}', "");
    Expect(1, 67004, '\P{^Is_Script:vithkuqi}', "");
    Expect(0, 67005, '\p{Is_Script:vithkuqi}', "");
    Expect(1, 67005, '\p{^Is_Script:vithkuqi}', "");
    Expect(1, 67005, '\P{Is_Script:vithkuqi}', "");
    Expect(0, 67005, '\P{^Is_Script:vithkuqi}', "");
    Expect(1, 67004, '\p{Is_Script=-_Vithkuqi}', "");
    Expect(0, 67004, '\p{^Is_Script=-_Vithkuqi}', "");
    Expect(0, 67004, '\P{Is_Script=-_Vithkuqi}', "");
    Expect(1, 67004, '\P{^Is_Script=-_Vithkuqi}', "");
    Expect(0, 67005, '\p{Is_Script=-_Vithkuqi}', "");
    Expect(1, 67005, '\p{^Is_Script=-_Vithkuqi}', "");
    Expect(1, 67005, '\P{Is_Script=-_Vithkuqi}', "");
    Expect(0, 67005, '\P{^Is_Script=-_Vithkuqi}', "");
    Error('\p{Is_Sc=/a/- Vith}');
    Error('\P{Is_Sc=/a/- Vith}');
    Expect(1, 67004, '\p{Is_Sc:   vith}', "");
    Expect(0, 67004, '\p{^Is_Sc:   vith}', "");
    Expect(0, 67004, '\P{Is_Sc:   vith}', "");
    Expect(1, 67004, '\P{^Is_Sc:   vith}', "");
    Expect(0, 67005, '\p{Is_Sc:   vith}', "");
    Expect(1, 67005, '\p{^Is_Sc:   vith}', "");
    Expect(1, 67005, '\P{Is_Sc:   vith}', "");
    Expect(0, 67005, '\P{^Is_Sc:   vith}', "");
    Expect(1, 67004, '\p{Is_Sc= Vith}', "");
    Expect(0, 67004, '\p{^Is_Sc= Vith}', "");
    Expect(0, 67004, '\P{Is_Sc= Vith}', "");
    Expect(1, 67004, '\P{^Is_Sc= Vith}', "");
    Expect(0, 67005, '\p{Is_Sc= Vith}', "");
    Expect(1, 67005, '\p{^Is_Sc= Vith}', "");
    Expect(1, 67005, '\P{Is_Sc= Vith}', "");
    Expect(0, 67005, '\P{^Is_Sc= Vith}', "");
    Error('\p{Script= :=Warang_citi}');
    Error('\P{Script= :=Warang_citi}');
    Expect(1, 71935, '\p{Script=:\AWarang_Citi\z:}', "");;
    Expect(0, 71936, '\p{Script=:\AWarang_Citi\z:}', "");;
    Expect(1, 71935, '\p{Script=warangciti}', "");
    Expect(0, 71935, '\p{^Script=warangciti}', "");
    Expect(0, 71935, '\P{Script=warangciti}', "");
    Expect(1, 71935, '\P{^Script=warangciti}', "");
    Expect(0, 71936, '\p{Script=warangciti}', "");
    Expect(1, 71936, '\p{^Script=warangciti}', "");
    Expect(1, 71936, '\P{Script=warangciti}', "");
    Expect(0, 71936, '\P{^Script=warangciti}', "");
    Expect(1, 71935, '\p{Script=:\Awarangciti\z:}', "");;
    Expect(0, 71936, '\p{Script=:\Awarangciti\z:}', "");;
    Expect(1, 71935, '\p{Script= 	Warang_CITI}', "");
    Expect(0, 71935, '\p{^Script= 	Warang_CITI}', "");
    Expect(0, 71935, '\P{Script= 	Warang_CITI}', "");
    Expect(1, 71935, '\P{^Script= 	Warang_CITI}', "");
    Expect(0, 71936, '\p{Script= 	Warang_CITI}', "");
    Expect(1, 71936, '\p{^Script= 	Warang_CITI}', "");
    Expect(1, 71936, '\P{Script= 	Warang_CITI}', "");
    Expect(0, 71936, '\P{^Script= 	Warang_CITI}', "");
    Error('\p{Sc=:=-WARA}');
    Error('\P{Sc=:=-WARA}');
    Expect(1, 71935, '\p{Sc=:\AWara\z:}', "");;
    Expect(0, 71936, '\p{Sc=:\AWara\z:}', "");;
    Expect(1, 71935, '\p{Sc=wara}', "");
    Expect(0, 71935, '\p{^Sc=wara}', "");
    Expect(0, 71935, '\P{Sc=wara}', "");
    Expect(1, 71935, '\P{^Sc=wara}', "");
    Expect(0, 71936, '\p{Sc=wara}', "");
    Expect(1, 71936, '\p{^Sc=wara}', "");
    Expect(1, 71936, '\P{Sc=wara}', "");
    Expect(0, 71936, '\P{^Sc=wara}', "");
    Expect(1, 71935, '\p{Sc=:\Awara\z:}', "");;
    Expect(0, 71936, '\p{Sc=:\Awara\z:}', "");;
    Expect(1, 71935, '\p{Sc:	 _Wara}', "");
    Expect(0, 71935, '\p{^Sc:	 _Wara}', "");
    Expect(0, 71935, '\P{Sc:	 _Wara}', "");
    Expect(1, 71935, '\P{^Sc:	 _Wara}', "");
    Expect(0, 71936, '\p{Sc:	 _Wara}', "");
    Expect(1, 71936, '\p{^Sc:	 _Wara}', "");
    Expect(1, 71936, '\P{Sc:	 _Wara}', "");
    Expect(0, 71936, '\P{^Sc:	 _Wara}', "");
    Error('\p{Is_Script=/a/-warang_Citi}');
    Error('\P{Is_Script=/a/-warang_Citi}');
    Expect(1, 71935, '\p{Is_Script=warangciti}', "");
    Expect(0, 71935, '\p{^Is_Script=warangciti}', "");
    Expect(0, 71935, '\P{Is_Script=warangciti}', "");
    Expect(1, 71935, '\P{^Is_Script=warangciti}', "");
    Expect(0, 71936, '\p{Is_Script=warangciti}', "");
    Expect(1, 71936, '\p{^Is_Script=warangciti}', "");
    Expect(1, 71936, '\P{Is_Script=warangciti}', "");
    Expect(0, 71936, '\P{^Is_Script=warangciti}', "");
    Expect(1, 71935, '\p{Is_Script:    warang_Citi}', "");
    Expect(0, 71935, '\p{^Is_Script:    warang_Citi}', "");
    Expect(0, 71935, '\P{Is_Script:    warang_Citi}', "");
    Expect(1, 71935, '\P{^Is_Script:    warang_Citi}', "");
    Expect(0, 71936, '\p{Is_Script:    warang_Citi}', "");
    Expect(1, 71936, '\p{^Is_Script:    warang_Citi}', "");
    Expect(1, 71936, '\P{Is_Script:    warang_Citi}', "");
    Expect(0, 71936, '\P{^Is_Script:    warang_Citi}', "");
    Error('\p{Is_Sc=_	WARA/a/}');
    Error('\P{Is_Sc=_	WARA/a/}');
    Expect(1, 71935, '\p{Is_Sc=wara}', "");
    Expect(0, 71935, '\p{^Is_Sc=wara}', "");
    Expect(0, 71935, '\P{Is_Sc=wara}', "");
    Expect(1, 71935, '\P{^Is_Sc=wara}', "");
    Expect(0, 71936, '\p{Is_Sc=wara}', "");
    Expect(1, 71936, '\p{^Is_Sc=wara}', "");
    Expect(1, 71936, '\P{Is_Sc=wara}', "");
    Expect(0, 71936, '\P{^Is_Sc=wara}', "");
    Expect(1, 71935, '\p{Is_Sc: 	wara}', "");
    Expect(0, 71935, '\p{^Is_Sc: 	wara}', "");
    Expect(0, 71935, '\P{Is_Sc: 	wara}', "");
    Expect(1, 71935, '\P{^Is_Sc: 	wara}', "");
    Expect(0, 71936, '\p{Is_Sc: 	wara}', "");
    Expect(1, 71936, '\p{^Is_Sc: 	wara}', "");
    Expect(1, 71936, '\P{Is_Sc: 	wara}', "");
    Expect(0, 71936, '\P{^Is_Sc: 	wara}', "");
    Error('\p{Script=/a/_wancho}');
    Error('\P{Script=/a/_wancho}');
    Expect(1, 123647, '\p{Script=:\AWancho\z:}', "");;
    Expect(0, 123648, '\p{Script=:\AWancho\z:}', "");;
    Expect(1, 123647, '\p{Script=wancho}', "");
    Expect(0, 123647, '\p{^Script=wancho}', "");
    Expect(0, 123647, '\P{Script=wancho}', "");
    Expect(1, 123647, '\P{^Script=wancho}', "");
    Expect(0, 123648, '\p{Script=wancho}', "");
    Expect(1, 123648, '\p{^Script=wancho}', "");
    Expect(1, 123648, '\P{Script=wancho}', "");
    Expect(0, 123648, '\P{^Script=wancho}', "");
    Expect(1, 123647, '\p{Script=:\Awancho\z:}', "");;
    Expect(0, 123648, '\p{Script=:\Awancho\z:}', "");;
    Expect(1, 123647, '\p{Script=_Wancho}', "");
    Expect(0, 123647, '\p{^Script=_Wancho}', "");
    Expect(0, 123647, '\P{Script=_Wancho}', "");
    Expect(1, 123647, '\P{^Script=_Wancho}', "");
    Expect(0, 123648, '\p{Script=_Wancho}', "");
    Expect(1, 123648, '\p{^Script=_Wancho}', "");
    Expect(1, 123648, '\P{Script=_Wancho}', "");
    Expect(0, 123648, '\P{^Script=_Wancho}', "");
    Error('\p{Sc=_	Wcho/a/}');
    Error('\P{Sc=_	Wcho/a/}');
    Expect(1, 123647, '\p{Sc=:\AWcho\z:}', "");;
    Expect(0, 123648, '\p{Sc=:\AWcho\z:}', "");;
    Expect(1, 123647, '\p{Sc=wcho}', "");
    Expect(0, 123647, '\p{^Sc=wcho}', "");
    Expect(0, 123647, '\P{Sc=wcho}', "");
    Expect(1, 123647, '\P{^Sc=wcho}', "");
    Expect(0, 123648, '\p{Sc=wcho}', "");
    Expect(1, 123648, '\p{^Sc=wcho}', "");
    Expect(1, 123648, '\P{Sc=wcho}', "");
    Expect(0, 123648, '\P{^Sc=wcho}', "");
    Expect(1, 123647, '\p{Sc=:\Awcho\z:}', "");;
    Expect(0, 123648, '\p{Sc=:\Awcho\z:}', "");;
    Expect(1, 123647, '\p{Sc=_	Wcho}', "");
    Expect(0, 123647, '\p{^Sc=_	Wcho}', "");
    Expect(0, 123647, '\P{Sc=_	Wcho}', "");
    Expect(1, 123647, '\P{^Sc=_	Wcho}', "");
    Expect(0, 123648, '\p{Sc=_	Wcho}', "");
    Expect(1, 123648, '\p{^Sc=_	Wcho}', "");
    Expect(1, 123648, '\P{Sc=_	Wcho}', "");
    Expect(0, 123648, '\P{^Sc=_	Wcho}', "");
    Error('\p{Is_Script= -wancho/a/}');
    Error('\P{Is_Script= -wancho/a/}');
    Expect(1, 123647, '\p{Is_Script=wancho}', "");
    Expect(0, 123647, '\p{^Is_Script=wancho}', "");
    Expect(0, 123647, '\P{Is_Script=wancho}', "");
    Expect(1, 123647, '\P{^Is_Script=wancho}', "");
    Expect(0, 123648, '\p{Is_Script=wancho}', "");
    Expect(1, 123648, '\p{^Is_Script=wancho}', "");
    Expect(1, 123648, '\P{Is_Script=wancho}', "");
    Expect(0, 123648, '\P{^Is_Script=wancho}', "");
    Expect(1, 123647, '\p{Is_Script=	-wancho}', "");
    Expect(0, 123647, '\p{^Is_Script=	-wancho}', "");
    Expect(0, 123647, '\P{Is_Script=	-wancho}', "");
    Expect(1, 123647, '\P{^Is_Script=	-wancho}', "");
    Expect(0, 123648, '\p{Is_Script=	-wancho}', "");
    Expect(1, 123648, '\p{^Is_Script=	-wancho}', "");
    Expect(1, 123648, '\P{Is_Script=	-wancho}', "");
    Expect(0, 123648, '\P{^Is_Script=	-wancho}', "");
    Error('\p{Is_Sc=:=wcho}');
    Error('\P{Is_Sc=:=wcho}');
    Expect(1, 123647, '\p{Is_Sc=wcho}', "");
    Expect(0, 123647, '\p{^Is_Sc=wcho}', "");
    Expect(0, 123647, '\P{Is_Sc=wcho}', "");
    Expect(1, 123647, '\P{^Is_Sc=wcho}', "");
    Expect(0, 123648, '\p{Is_Sc=wcho}', "");
    Expect(1, 123648, '\p{^Is_Sc=wcho}', "");
    Expect(1, 123648, '\P{Is_Sc=wcho}', "");
    Expect(0, 123648, '\P{^Is_Sc=wcho}', "");
    Expect(1, 123647, '\p{Is_Sc= 	wcho}', "");
    Expect(0, 123647, '\p{^Is_Sc= 	wcho}', "");
    Expect(0, 123647, '\P{Is_Sc= 	wcho}', "");
    Expect(1, 123647, '\P{^Is_Sc= 	wcho}', "");
    Expect(0, 123648, '\p{Is_Sc= 	wcho}', "");
    Expect(1, 123648, '\p{^Is_Sc= 	wcho}', "");
    Expect(1, 123648, '\P{Is_Sc= 	wcho}', "");
    Expect(0, 123648, '\P{^Is_Sc= 	wcho}', "");
    Error('\p{Script=/a/-OLD_Persian}');
    Error('\P{Script=/a/-OLD_Persian}');
    Expect(1, 66517, '\p{Script=:\AOld_Persian\z:}', "");;
    Expect(0, 66518, '\p{Script=:\AOld_Persian\z:}', "");;
    Expect(1, 66517, '\p{Script=oldpersian}', "");
    Expect(0, 66517, '\p{^Script=oldpersian}', "");
    Expect(0, 66517, '\P{Script=oldpersian}', "");
    Expect(1, 66517, '\P{^Script=oldpersian}', "");
    Expect(0, 66518, '\p{Script=oldpersian}', "");
    Expect(1, 66518, '\p{^Script=oldpersian}', "");
    Expect(1, 66518, '\P{Script=oldpersian}', "");
    Expect(0, 66518, '\P{^Script=oldpersian}', "");
    Expect(1, 66517, '\p{Script=:\Aoldpersian\z:}', "");;
    Expect(0, 66518, '\p{Script=:\Aoldpersian\z:}', "");;
    Expect(1, 66517, '\p{Script=- OLD_persian}', "");
    Expect(0, 66517, '\p{^Script=- OLD_persian}', "");
    Expect(0, 66517, '\P{Script=- OLD_persian}', "");
    Expect(1, 66517, '\P{^Script=- OLD_persian}', "");
    Expect(0, 66518, '\p{Script=- OLD_persian}', "");
    Expect(1, 66518, '\p{^Script=- OLD_persian}', "");
    Expect(1, 66518, '\P{Script=- OLD_persian}', "");
    Expect(0, 66518, '\P{^Script=- OLD_persian}', "");
    Error('\p{Sc:	:=  xpeo}');
    Error('\P{Sc:	:=  xpeo}');
    Expect(1, 66517, '\p{Sc=:\AXpeo\z:}', "");;
    Expect(0, 66518, '\p{Sc=:\AXpeo\z:}', "");;
    Expect(1, 66517, '\p{Sc=xpeo}', "");
    Expect(0, 66517, '\p{^Sc=xpeo}', "");
    Expect(0, 66517, '\P{Sc=xpeo}', "");
    Expect(1, 66517, '\P{^Sc=xpeo}', "");
    Expect(0, 66518, '\p{Sc=xpeo}', "");
    Expect(1, 66518, '\p{^Sc=xpeo}', "");
    Expect(1, 66518, '\P{Sc=xpeo}', "");
    Expect(0, 66518, '\P{^Sc=xpeo}', "");
    Expect(1, 66517, '\p{Sc=:\Axpeo\z:}', "");;
    Expect(0, 66518, '\p{Sc=:\Axpeo\z:}', "");;
    Expect(1, 66517, '\p{Sc:   -	Xpeo}', "");
    Expect(0, 66517, '\p{^Sc:   -	Xpeo}', "");
    Expect(0, 66517, '\P{Sc:   -	Xpeo}', "");
    Expect(1, 66517, '\P{^Sc:   -	Xpeo}', "");
    Expect(0, 66518, '\p{Sc:   -	Xpeo}', "");
    Expect(1, 66518, '\p{^Sc:   -	Xpeo}', "");
    Expect(1, 66518, '\P{Sc:   -	Xpeo}', "");
    Expect(0, 66518, '\P{^Sc:   -	Xpeo}', "");
    Error('\p{Is_Script=/a/ Old_Persian}');
    Error('\P{Is_Script=/a/ Old_Persian}');
    Expect(1, 66517, '\p{Is_Script=oldpersian}', "");
    Expect(0, 66517, '\p{^Is_Script=oldpersian}', "");
    Expect(0, 66517, '\P{Is_Script=oldpersian}', "");
    Expect(1, 66517, '\P{^Is_Script=oldpersian}', "");
    Expect(0, 66518, '\p{Is_Script=oldpersian}', "");
    Expect(1, 66518, '\p{^Is_Script=oldpersian}', "");
    Expect(1, 66518, '\P{Is_Script=oldpersian}', "");
    Expect(0, 66518, '\P{^Is_Script=oldpersian}', "");
    Expect(1, 66517, '\p{Is_Script:   __old_PERSIAN}', "");
    Expect(0, 66517, '\p{^Is_Script:   __old_PERSIAN}', "");
    Expect(0, 66517, '\P{Is_Script:   __old_PERSIAN}', "");
    Expect(1, 66517, '\P{^Is_Script:   __old_PERSIAN}', "");
    Expect(0, 66518, '\p{Is_Script:   __old_PERSIAN}', "");
    Expect(1, 66518, '\p{^Is_Script:   __old_PERSIAN}', "");
    Expect(1, 66518, '\P{Is_Script:   __old_PERSIAN}', "");
    Expect(0, 66518, '\P{^Is_Script:   __old_PERSIAN}', "");
    Error('\p{Is_Sc=	:=Xpeo}');
    Error('\P{Is_Sc=	:=Xpeo}');
    Expect(1, 66517, '\p{Is_Sc=xpeo}', "");
    Expect(0, 66517, '\p{^Is_Sc=xpeo}', "");
    Expect(0, 66517, '\P{Is_Sc=xpeo}', "");
    Expect(1, 66517, '\P{^Is_Sc=xpeo}', "");
    Expect(0, 66518, '\p{Is_Sc=xpeo}', "");
    Expect(1, 66518, '\p{^Is_Sc=xpeo}', "");
    Expect(1, 66518, '\P{Is_Sc=xpeo}', "");
    Expect(0, 66518, '\P{^Is_Sc=xpeo}', "");
    Expect(1, 66517, '\p{Is_Sc=_Xpeo}', "");
    Expect(0, 66517, '\p{^Is_Sc=_Xpeo}', "");
    Expect(0, 66517, '\P{Is_Sc=_Xpeo}', "");
    Expect(1, 66517, '\P{^Is_Sc=_Xpeo}', "");
    Expect(0, 66518, '\p{Is_Sc=_Xpeo}', "");
    Expect(1, 66518, '\p{^Is_Sc=_Xpeo}', "");
    Expect(1, 66518, '\P{Is_Sc=_Xpeo}', "");
    Expect(0, 66518, '\P{^Is_Sc=_Xpeo}', "");
    Error('\p{Script:	_/a/CUNEIFORM}');
    Error('\P{Script:	_/a/CUNEIFORM}');
    Expect(1, 75075, '\p{Script=:\ACuneiform\z:}', "");;
    Expect(0, 75076, '\p{Script=:\ACuneiform\z:}', "");;
    Expect(1, 75075, '\p{Script=cuneiform}', "");
    Expect(0, 75075, '\p{^Script=cuneiform}', "");
    Expect(0, 75075, '\P{Script=cuneiform}', "");
    Expect(1, 75075, '\P{^Script=cuneiform}', "");
    Expect(0, 75076, '\p{Script=cuneiform}', "");
    Expect(1, 75076, '\p{^Script=cuneiform}', "");
    Expect(1, 75076, '\P{Script=cuneiform}', "");
    Expect(0, 75076, '\P{^Script=cuneiform}', "");
    Expect(1, 75075, '\p{Script=:\Acuneiform\z:}', "");;
    Expect(0, 75076, '\p{Script=:\Acuneiform\z:}', "");;
    Expect(1, 75075, '\p{Script:	--cuneiform}', "");
    Expect(0, 75075, '\p{^Script:	--cuneiform}', "");
    Expect(0, 75075, '\P{Script:	--cuneiform}', "");
    Expect(1, 75075, '\P{^Script:	--cuneiform}', "");
    Expect(0, 75076, '\p{Script:	--cuneiform}', "");
    Expect(1, 75076, '\p{^Script:	--cuneiform}', "");
    Expect(1, 75076, '\P{Script:	--cuneiform}', "");
    Expect(0, 75076, '\P{^Script:	--cuneiform}', "");
    Error('\p{Sc=/a/	Xsux}');
    Error('\P{Sc=/a/	Xsux}');
    Expect(1, 75075, '\p{Sc=:\AXsux\z:}', "");;
    Expect(0, 75076, '\p{Sc=:\AXsux\z:}', "");;
    Expect(1, 75075, '\p{Sc=xsux}', "");
    Expect(0, 75075, '\p{^Sc=xsux}', "");
    Expect(0, 75075, '\P{Sc=xsux}', "");
    Expect(1, 75075, '\P{^Sc=xsux}', "");
    Expect(0, 75076, '\p{Sc=xsux}', "");
    Expect(1, 75076, '\p{^Sc=xsux}', "");
    Expect(1, 75076, '\P{Sc=xsux}', "");
    Expect(0, 75076, '\P{^Sc=xsux}', "");
    Expect(1, 75075, '\p{Sc=:\Axsux\z:}', "");;
    Expect(0, 75076, '\p{Sc=:\Axsux\z:}', "");;
    Expect(1, 75075, '\p{Sc=- xsux}', "");
    Expect(0, 75075, '\p{^Sc=- xsux}', "");
    Expect(0, 75075, '\P{Sc=- xsux}', "");
    Expect(1, 75075, '\P{^Sc=- xsux}', "");
    Expect(0, 75076, '\p{Sc=- xsux}', "");
    Expect(1, 75076, '\p{^Sc=- xsux}', "");
    Expect(1, 75076, '\P{Sc=- xsux}', "");
    Expect(0, 75076, '\P{^Sc=- xsux}', "");
    Error('\p{Is_Script=	_Cuneiform:=}');
    Error('\P{Is_Script=	_Cuneiform:=}');
    Expect(1, 75075, '\p{Is_Script=cuneiform}', "");
    Expect(0, 75075, '\p{^Is_Script=cuneiform}', "");
    Expect(0, 75075, '\P{Is_Script=cuneiform}', "");
    Expect(1, 75075, '\P{^Is_Script=cuneiform}', "");
    Expect(0, 75076, '\p{Is_Script=cuneiform}', "");
    Expect(1, 75076, '\p{^Is_Script=cuneiform}', "");
    Expect(1, 75076, '\P{Is_Script=cuneiform}', "");
    Expect(0, 75076, '\P{^Is_Script=cuneiform}', "");
    Expect(1, 75075, '\p{Is_Script=	 Cuneiform}', "");
    Expect(0, 75075, '\p{^Is_Script=	 Cuneiform}', "");
    Expect(0, 75075, '\P{Is_Script=	 Cuneiform}', "");
    Expect(1, 75075, '\P{^Is_Script=	 Cuneiform}', "");
    Expect(0, 75076, '\p{Is_Script=	 Cuneiform}', "");
    Expect(1, 75076, '\p{^Is_Script=	 Cuneiform}', "");
    Expect(1, 75076, '\P{Is_Script=	 Cuneiform}', "");
    Expect(0, 75076, '\P{^Is_Script=	 Cuneiform}', "");
    Error('\p{Is_Sc=:= 	Xsux}');
    Error('\P{Is_Sc=:= 	Xsux}');
    Expect(1, 75075, '\p{Is_Sc=xsux}', "");
    Expect(0, 75075, '\p{^Is_Sc=xsux}', "");
    Expect(0, 75075, '\P{Is_Sc=xsux}', "");
    Expect(1, 75075, '\P{^Is_Sc=xsux}', "");
    Expect(0, 75076, '\p{Is_Sc=xsux}', "");
    Expect(1, 75076, '\p{^Is_Sc=xsux}', "");
    Expect(1, 75076, '\P{Is_Sc=xsux}', "");
    Expect(0, 75076, '\P{^Is_Sc=xsux}', "");
    Expect(1, 75075, '\p{Is_Sc=__Xsux}', "");
    Expect(0, 75075, '\p{^Is_Sc=__Xsux}', "");
    Expect(0, 75075, '\P{Is_Sc=__Xsux}', "");
    Expect(1, 75075, '\P{^Is_Sc=__Xsux}', "");
    Expect(0, 75076, '\p{Is_Sc=__Xsux}', "");
    Expect(1, 75076, '\p{^Is_Sc=__Xsux}', "");
    Expect(1, 75076, '\P{Is_Sc=__Xsux}', "");
    Expect(0, 75076, '\P{^Is_Sc=__Xsux}', "");
    Error('\p{Script= /a/YEZIDI}');
    Error('\P{Script= /a/YEZIDI}');
    Expect(1, 69297, '\p{Script=:\AYezidi\z:}', "");;
    Expect(0, 69298, '\p{Script=:\AYezidi\z:}', "");;
    Expect(1, 69297, '\p{Script=yezidi}', "");
    Expect(0, 69297, '\p{^Script=yezidi}', "");
    Expect(0, 69297, '\P{Script=yezidi}', "");
    Expect(1, 69297, '\P{^Script=yezidi}', "");
    Expect(0, 69298, '\p{Script=yezidi}', "");
    Expect(1, 69298, '\p{^Script=yezidi}', "");
    Expect(1, 69298, '\P{Script=yezidi}', "");
    Expect(0, 69298, '\P{^Script=yezidi}', "");
    Expect(1, 69297, '\p{Script=:\Ayezidi\z:}', "");;
    Expect(0, 69298, '\p{Script=:\Ayezidi\z:}', "");;
    Expect(1, 69297, '\p{Script=	 yezidi}', "");
    Expect(0, 69297, '\p{^Script=	 yezidi}', "");
    Expect(0, 69297, '\P{Script=	 yezidi}', "");
    Expect(1, 69297, '\P{^Script=	 yezidi}', "");
    Expect(0, 69298, '\p{Script=	 yezidi}', "");
    Expect(1, 69298, '\p{^Script=	 yezidi}', "");
    Expect(1, 69298, '\P{Script=	 yezidi}', "");
    Expect(0, 69298, '\P{^Script=	 yezidi}', "");
    Error('\p{Sc=_:=yezi}');
    Error('\P{Sc=_:=yezi}');
    Expect(1, 69297, '\p{Sc=:\AYezi\z:}', "");;
    Expect(0, 69298, '\p{Sc=:\AYezi\z:}', "");;
    Expect(1, 69297, '\p{Sc=yezi}', "");
    Expect(0, 69297, '\p{^Sc=yezi}', "");
    Expect(0, 69297, '\P{Sc=yezi}', "");
    Expect(1, 69297, '\P{^Sc=yezi}', "");
    Expect(0, 69298, '\p{Sc=yezi}', "");
    Expect(1, 69298, '\p{^Sc=yezi}', "");
    Expect(1, 69298, '\P{Sc=yezi}', "");
    Expect(0, 69298, '\P{^Sc=yezi}', "");
    Expect(1, 69297, '\p{Sc=:\Ayezi\z:}', "");;
    Expect(0, 69298, '\p{Sc=:\Ayezi\z:}', "");;
    Expect(1, 69297, '\p{Sc=		Yezi}', "");
    Expect(0, 69297, '\p{^Sc=		Yezi}', "");
    Expect(0, 69297, '\P{Sc=		Yezi}', "");
    Expect(1, 69297, '\P{^Sc=		Yezi}', "");
    Expect(0, 69298, '\p{Sc=		Yezi}', "");
    Expect(1, 69298, '\p{^Sc=		Yezi}', "");
    Expect(1, 69298, '\P{Sc=		Yezi}', "");
    Expect(0, 69298, '\P{^Sc=		Yezi}', "");
    Error('\p{Is_Script=:=__Yezidi}');
    Error('\P{Is_Script=:=__Yezidi}');
    Expect(1, 69297, '\p{Is_Script=yezidi}', "");
    Expect(0, 69297, '\p{^Is_Script=yezidi}', "");
    Expect(0, 69297, '\P{Is_Script=yezidi}', "");
    Expect(1, 69297, '\P{^Is_Script=yezidi}', "");
    Expect(0, 69298, '\p{Is_Script=yezidi}', "");
    Expect(1, 69298, '\p{^Is_Script=yezidi}', "");
    Expect(1, 69298, '\P{Is_Script=yezidi}', "");
    Expect(0, 69298, '\P{^Is_Script=yezidi}', "");
    Expect(1, 69297, '\p{Is_Script=		Yezidi}', "");
    Expect(0, 69297, '\p{^Is_Script=		Yezidi}', "");
    Expect(0, 69297, '\P{Is_Script=		Yezidi}', "");
    Expect(1, 69297, '\P{^Is_Script=		Yezidi}', "");
    Expect(0, 69298, '\p{Is_Script=		Yezidi}', "");
    Expect(1, 69298, '\p{^Is_Script=		Yezidi}', "");
    Expect(1, 69298, '\P{Is_Script=		Yezidi}', "");
    Expect(0, 69298, '\P{^Is_Script=		Yezidi}', "");
    Error('\p{Is_Sc=_:=Yezi}');
    Error('\P{Is_Sc=_:=Yezi}');
    Expect(1, 69297, '\p{Is_Sc=yezi}', "");
    Expect(0, 69297, '\p{^Is_Sc=yezi}', "");
    Expect(0, 69297, '\P{Is_Sc=yezi}', "");
    Expect(1, 69297, '\P{^Is_Sc=yezi}', "");
    Expect(0, 69298, '\p{Is_Sc=yezi}', "");
    Expect(1, 69298, '\p{^Is_Sc=yezi}', "");
    Expect(1, 69298, '\P{Is_Sc=yezi}', "");
    Expect(0, 69298, '\P{^Is_Sc=yezi}', "");
    Expect(1, 69297, '\p{Is_Sc= Yezi}', "");
    Expect(0, 69297, '\p{^Is_Sc= Yezi}', "");
    Expect(0, 69297, '\P{Is_Sc= Yezi}', "");
    Expect(1, 69297, '\P{^Is_Sc= Yezi}', "");
    Expect(0, 69298, '\p{Is_Sc= Yezi}', "");
    Expect(1, 69298, '\p{^Is_Sc= Yezi}', "");
    Expect(1, 69298, '\P{Is_Sc= Yezi}', "");
    Expect(0, 69298, '\P{^Is_Sc= Yezi}', "");
    Error('\p{Script=:=yi}');
    Error('\P{Script=:=yi}');
    Expect(1, 42182, '\p{Script=:\AYi\z:}', "");;
    Expect(0, 42183, '\p{Script=:\AYi\z:}', "");;
    Expect(1, 42182, '\p{Script=yi}', "");
    Expect(0, 42182, '\p{^Script=yi}', "");
    Expect(0, 42182, '\P{Script=yi}', "");
    Expect(1, 42182, '\P{^Script=yi}', "");
    Expect(0, 42183, '\p{Script=yi}', "");
    Expect(1, 42183, '\p{^Script=yi}', "");
    Expect(1, 42183, '\P{Script=yi}', "");
    Expect(0, 42183, '\P{^Script=yi}', "");
    Expect(1, 42182, '\p{Script=:\Ayi\z:}', "");;
    Expect(0, 42183, '\p{Script=:\Ayi\z:}', "");;
    Expect(1, 42182, '\p{Script=--Yi}', "");
    Expect(0, 42182, '\p{^Script=--Yi}', "");
    Expect(0, 42182, '\P{Script=--Yi}', "");
    Expect(1, 42182, '\P{^Script=--Yi}', "");
    Expect(0, 42183, '\p{Script=--Yi}', "");
    Expect(1, 42183, '\p{^Script=--Yi}', "");
    Expect(1, 42183, '\P{Script=--Yi}', "");
    Expect(0, 42183, '\P{^Script=--Yi}', "");
    Error('\p{Sc=	_Yiii:=}');
    Error('\P{Sc=	_Yiii:=}');
    Expect(1, 42182, '\p{Sc=:\AYiii\z:}', "");;
    Expect(0, 42183, '\p{Sc=:\AYiii\z:}', "");;
    Expect(1, 42182, '\p{Sc=yiii}', "");
    Expect(0, 42182, '\p{^Sc=yiii}', "");
    Expect(0, 42182, '\P{Sc=yiii}', "");
    Expect(1, 42182, '\P{^Sc=yiii}', "");
    Expect(0, 42183, '\p{Sc=yiii}', "");
    Expect(1, 42183, '\p{^Sc=yiii}', "");
    Expect(1, 42183, '\P{Sc=yiii}', "");
    Expect(0, 42183, '\P{^Sc=yiii}', "");
    Expect(1, 42182, '\p{Sc=:\Ayiii\z:}', "");;
    Expect(0, 42183, '\p{Sc=:\Ayiii\z:}', "");;
    Expect(1, 42182, '\p{Sc=	 Yiii}', "");
    Expect(0, 42182, '\p{^Sc=	 Yiii}', "");
    Expect(0, 42182, '\P{Sc=	 Yiii}', "");
    Expect(1, 42182, '\P{^Sc=	 Yiii}', "");
    Expect(0, 42183, '\p{Sc=	 Yiii}', "");
    Expect(1, 42183, '\p{^Sc=	 Yiii}', "");
    Expect(1, 42183, '\P{Sc=	 Yiii}', "");
    Expect(0, 42183, '\P{^Sc=	 Yiii}', "");
    Error('\p{Is_Script=:= -Yi}');
    Error('\P{Is_Script=:= -Yi}');
    Expect(1, 42182, '\p{Is_Script=yi}', "");
    Expect(0, 42182, '\p{^Is_Script=yi}', "");
    Expect(0, 42182, '\P{Is_Script=yi}', "");
    Expect(1, 42182, '\P{^Is_Script=yi}', "");
    Expect(0, 42183, '\p{Is_Script=yi}', "");
    Expect(1, 42183, '\p{^Is_Script=yi}', "");
    Expect(1, 42183, '\P{Is_Script=yi}', "");
    Expect(0, 42183, '\P{^Is_Script=yi}', "");
    Expect(1, 42182, '\p{Is_Script=-yi}', "");
    Expect(0, 42182, '\p{^Is_Script=-yi}', "");
    Expect(0, 42182, '\P{Is_Script=-yi}', "");
    Expect(1, 42182, '\P{^Is_Script=-yi}', "");
    Expect(0, 42183, '\p{Is_Script=-yi}', "");
    Expect(1, 42183, '\p{^Is_Script=-yi}', "");
    Expect(1, 42183, '\P{Is_Script=-yi}', "");
    Expect(0, 42183, '\P{^Is_Script=-yi}', "");
    Error('\p{Is_Sc=yiii:=}');
    Error('\P{Is_Sc=yiii:=}');
    Expect(1, 42182, '\p{Is_Sc: yiii}', "");
    Expect(0, 42182, '\p{^Is_Sc: yiii}', "");
    Expect(0, 42182, '\P{Is_Sc: yiii}', "");
    Expect(1, 42182, '\P{^Is_Sc: yiii}', "");
    Expect(0, 42183, '\p{Is_Sc: yiii}', "");
    Expect(1, 42183, '\p{^Is_Sc: yiii}', "");
    Expect(1, 42183, '\P{Is_Sc: yiii}', "");
    Expect(0, 42183, '\P{^Is_Sc: yiii}', "");
    Expect(1, 42182, '\p{Is_Sc=	Yiii}', "");
    Expect(0, 42182, '\p{^Is_Sc=	Yiii}', "");
    Expect(0, 42182, '\P{Is_Sc=	Yiii}', "");
    Expect(1, 42182, '\P{^Is_Sc=	Yiii}', "");
    Expect(0, 42183, '\p{Is_Sc=	Yiii}', "");
    Expect(1, 42183, '\p{^Is_Sc=	Yiii}', "");
    Expect(1, 42183, '\P{Is_Sc=	Yiii}', "");
    Expect(0, 42183, '\P{^Is_Sc=	Yiii}', "");
    Error('\p{Script=:=  zanabazar_Square}');
    Error('\P{Script=:=  zanabazar_Square}');
    Expect(1, 72263, '\p{Script=:\AZanabazar_Square\z:}', "");;
    Expect(0, 72264, '\p{Script=:\AZanabazar_Square\z:}', "");;
    Expect(1, 72263, '\p{Script=zanabazarsquare}', "");
    Expect(0, 72263, '\p{^Script=zanabazarsquare}', "");
    Expect(0, 72263, '\P{Script=zanabazarsquare}', "");
    Expect(1, 72263, '\P{^Script=zanabazarsquare}', "");
    Expect(0, 72264, '\p{Script=zanabazarsquare}', "");
    Expect(1, 72264, '\p{^Script=zanabazarsquare}', "");
    Expect(1, 72264, '\P{Script=zanabazarsquare}', "");
    Expect(0, 72264, '\P{^Script=zanabazarsquare}', "");
    Expect(1, 72263, '\p{Script=:\Azanabazarsquare\z:}', "");;
    Expect(0, 72264, '\p{Script=:\Azanabazarsquare\z:}', "");;
    Expect(1, 72263, '\p{Script=__zanabazar_Square}', "");
    Expect(0, 72263, '\p{^Script=__zanabazar_Square}', "");
    Expect(0, 72263, '\P{Script=__zanabazar_Square}', "");
    Expect(1, 72263, '\P{^Script=__zanabazar_Square}', "");
    Expect(0, 72264, '\p{Script=__zanabazar_Square}', "");
    Expect(1, 72264, '\p{^Script=__zanabazar_Square}', "");
    Expect(1, 72264, '\P{Script=__zanabazar_Square}', "");
    Expect(0, 72264, '\P{^Script=__zanabazar_Square}', "");
    Error('\p{Sc=:=_-Zanb}');
    Error('\P{Sc=:=_-Zanb}');
    Expect(1, 72263, '\p{Sc=:\AZanb\z:}', "");;
    Expect(0, 72264, '\p{Sc=:\AZanb\z:}', "");;
    Expect(1, 72263, '\p{Sc=zanb}', "");
    Expect(0, 72263, '\p{^Sc=zanb}', "");
    Expect(0, 72263, '\P{Sc=zanb}', "");
    Expect(1, 72263, '\P{^Sc=zanb}', "");
    Expect(0, 72264, '\p{Sc=zanb}', "");
    Expect(1, 72264, '\p{^Sc=zanb}', "");
    Expect(1, 72264, '\P{Sc=zanb}', "");
    Expect(0, 72264, '\P{^Sc=zanb}', "");
    Expect(1, 72263, '\p{Sc=:\Azanb\z:}', "");;
    Expect(0, 72264, '\p{Sc=:\Azanb\z:}', "");;
    Expect(1, 72263, '\p{Sc=-Zanb}', "");
    Expect(0, 72263, '\p{^Sc=-Zanb}', "");
    Expect(0, 72263, '\P{Sc=-Zanb}', "");
    Expect(1, 72263, '\P{^Sc=-Zanb}', "");
    Expect(0, 72264, '\p{Sc=-Zanb}', "");
    Expect(1, 72264, '\p{^Sc=-Zanb}', "");
    Expect(1, 72264, '\P{Sc=-Zanb}', "");
    Expect(0, 72264, '\P{^Sc=-Zanb}', "");
    Error('\p{Is_Script= :=ZANABAZAR_square}');
    Error('\P{Is_Script= :=ZANABAZAR_square}');
    Expect(1, 72263, '\p{Is_Script=zanabazarsquare}', "");
    Expect(0, 72263, '\p{^Is_Script=zanabazarsquare}', "");
    Expect(0, 72263, '\P{Is_Script=zanabazarsquare}', "");
    Expect(1, 72263, '\P{^Is_Script=zanabazarsquare}', "");
    Expect(0, 72264, '\p{Is_Script=zanabazarsquare}', "");
    Expect(1, 72264, '\p{^Is_Script=zanabazarsquare}', "");
    Expect(1, 72264, '\P{Is_Script=zanabazarsquare}', "");
    Expect(0, 72264, '\P{^Is_Script=zanabazarsquare}', "");
    Expect(1, 72263, '\p{Is_Script=_-ZANABAZAR_Square}', "");
    Expect(0, 72263, '\p{^Is_Script=_-ZANABAZAR_Square}', "");
    Expect(0, 72263, '\P{Is_Script=_-ZANABAZAR_Square}', "");
    Expect(1, 72263, '\P{^Is_Script=_-ZANABAZAR_Square}', "");
    Expect(0, 72264, '\p{Is_Script=_-ZANABAZAR_Square}', "");
    Expect(1, 72264, '\p{^Is_Script=_-ZANABAZAR_Square}', "");
    Expect(1, 72264, '\P{Is_Script=_-ZANABAZAR_Square}', "");
    Expect(0, 72264, '\P{^Is_Script=_-ZANABAZAR_Square}', "");
    Error('\p{Is_Sc=-_Zanb:=}');
    Error('\P{Is_Sc=-_Zanb:=}');
    Expect(1, 72263, '\p{Is_Sc=zanb}', "");
    Expect(0, 72263, '\p{^Is_Sc=zanb}', "");
    Expect(0, 72263, '\P{Is_Sc=zanb}', "");
    Expect(1, 72263, '\P{^Is_Sc=zanb}', "");
    Expect(0, 72264, '\p{Is_Sc=zanb}', "");
    Expect(1, 72264, '\p{^Is_Sc=zanb}', "");
    Expect(1, 72264, '\P{Is_Sc=zanb}', "");
    Expect(0, 72264, '\P{^Is_Sc=zanb}', "");
    Expect(1, 72263, '\p{Is_Sc=	Zanb}', "");
    Expect(0, 72263, '\p{^Is_Sc=	Zanb}', "");
    Expect(0, 72263, '\P{Is_Sc=	Zanb}', "");
    Expect(1, 72263, '\P{^Is_Sc=	Zanb}', "");
    Expect(0, 72264, '\p{Is_Sc=	Zanb}', "");
    Expect(1, 72264, '\p{^Is_Sc=	Zanb}', "");
    Expect(1, 72264, '\P{Is_Sc=	Zanb}', "");
    Expect(0, 72264, '\P{^Is_Sc=	Zanb}', "");
    Error('\p{Script=-/a/inherited}');
    Error('\P{Script=-/a/inherited}');
    Expect(1, 917999, '\p{Script=:\AInherited\z:}', "");;
    Expect(0, 918000, '\p{Script=:\AInherited\z:}', "");;
    Expect(1, 917999, '\p{Script=inherited}', "");
    Expect(0, 917999, '\p{^Script=inherited}', "");
    Expect(0, 917999, '\P{Script=inherited}', "");
    Expect(1, 917999, '\P{^Script=inherited}', "");
    Expect(0, 918000, '\p{Script=inherited}', "");
    Expect(1, 918000, '\p{^Script=inherited}', "");
    Expect(1, 918000, '\P{Script=inherited}', "");
    Expect(0, 918000, '\P{^Script=inherited}', "");
    Expect(1, 917999, '\p{Script=:\Ainherited\z:}', "");;
    Expect(0, 918000, '\p{Script=:\Ainherited\z:}', "");;
    Expect(1, 917999, '\p{Script=_Inherited}', "");
    Expect(0, 917999, '\p{^Script=_Inherited}', "");
    Expect(0, 917999, '\P{Script=_Inherited}', "");
    Expect(1, 917999, '\P{^Script=_Inherited}', "");
    Expect(0, 918000, '\p{Script=_Inherited}', "");
    Expect(1, 918000, '\p{^Script=_Inherited}', "");
    Expect(1, 918000, '\P{Script=_Inherited}', "");
    Expect(0, 918000, '\P{^Script=_Inherited}', "");
    Error('\p{Sc=/a/_-zinh}');
    Error('\P{Sc=/a/_-zinh}');
    Expect(1, 917999, '\p{Sc=:\AZinh\z:}', "");;
    Expect(0, 918000, '\p{Sc=:\AZinh\z:}', "");;
    Expect(1, 917999, '\p{Sc=zinh}', "");
    Expect(0, 917999, '\p{^Sc=zinh}', "");
    Expect(0, 917999, '\P{Sc=zinh}', "");
    Expect(1, 917999, '\P{^Sc=zinh}', "");
    Expect(0, 918000, '\p{Sc=zinh}', "");
    Expect(1, 918000, '\p{^Sc=zinh}', "");
    Expect(1, 918000, '\P{Sc=zinh}', "");
    Expect(0, 918000, '\P{^Sc=zinh}', "");
    Expect(1, 917999, '\p{Sc=:\Azinh\z:}', "");;
    Expect(0, 918000, '\p{Sc=:\Azinh\z:}', "");;
    Expect(1, 917999, '\p{Sc=_ zinh}', "");
    Expect(0, 917999, '\p{^Sc=_ zinh}', "");
    Expect(0, 917999, '\P{Sc=_ zinh}', "");
    Expect(1, 917999, '\P{^Sc=_ zinh}', "");
    Expect(0, 918000, '\p{Sc=_ zinh}', "");
    Expect(1, 918000, '\p{^Sc=_ zinh}', "");
    Expect(1, 918000, '\P{Sc=_ zinh}', "");
    Expect(0, 918000, '\P{^Sc=_ zinh}', "");
    Error('\p{Is_Script=:=	Qaai}');
    Error('\P{Is_Script=:=	Qaai}');
    Expect(1, 917999, '\p{Is_Script=qaai}', "");
    Expect(0, 917999, '\p{^Is_Script=qaai}', "");
    Expect(0, 917999, '\P{Is_Script=qaai}', "");
    Expect(1, 917999, '\P{^Is_Script=qaai}', "");
    Expect(0, 918000, '\p{Is_Script=qaai}', "");
    Expect(1, 918000, '\p{^Is_Script=qaai}', "");
    Expect(1, 918000, '\P{Is_Script=qaai}', "");
    Expect(0, 918000, '\P{^Is_Script=qaai}', "");
    Expect(1, 917999, '\p{Is_Script=_	QAAI}', "");
    Expect(0, 917999, '\p{^Is_Script=_	QAAI}', "");
    Expect(0, 917999, '\P{Is_Script=_	QAAI}', "");
    Expect(1, 917999, '\P{^Is_Script=_	QAAI}', "");
    Expect(0, 918000, '\p{Is_Script=_	QAAI}', "");
    Expect(1, 918000, '\p{^Is_Script=_	QAAI}', "");
    Expect(1, 918000, '\P{Is_Script=_	QAAI}', "");
    Expect(0, 918000, '\P{^Is_Script=_	QAAI}', "");
    Error('\p{Is_Sc=	/a/inherited}');
    Error('\P{Is_Sc=	/a/inherited}');
    Expect(1, 917999, '\p{Is_Sc=inherited}', "");
    Expect(0, 917999, '\p{^Is_Sc=inherited}', "");
    Expect(0, 917999, '\P{Is_Sc=inherited}', "");
    Expect(1, 917999, '\P{^Is_Sc=inherited}', "");
    Expect(0, 918000, '\p{Is_Sc=inherited}', "");
    Expect(1, 918000, '\p{^Is_Sc=inherited}', "");
    Expect(1, 918000, '\P{Is_Sc=inherited}', "");
    Expect(0, 918000, '\P{^Is_Sc=inherited}', "");
    Expect(1, 917999, '\p{Is_Sc= Inherited}', "");
    Expect(0, 917999, '\p{^Is_Sc= Inherited}', "");
    Expect(0, 917999, '\P{Is_Sc= Inherited}', "");
    Expect(1, 917999, '\P{^Is_Sc= Inherited}', "");
    Expect(0, 918000, '\p{Is_Sc= Inherited}', "");
    Expect(1, 918000, '\p{^Is_Sc= Inherited}', "");
    Expect(1, 918000, '\P{Is_Sc= Inherited}', "");
    Expect(0, 918000, '\P{^Is_Sc= Inherited}', "");
    Error('\p{Script:	/a/	COMMON}');
    Error('\P{Script:	/a/	COMMON}');
    Expect(1, 917631, '\p{Script=:\ACommon\z:}', "");;
    Expect(0, 917632, '\p{Script=:\ACommon\z:}', "");;
    Expect(1, 917631, '\p{Script=common}', "");
    Expect(0, 917631, '\p{^Script=common}', "");
    Expect(0, 917631, '\P{Script=common}', "");
    Expect(1, 917631, '\P{^Script=common}', "");
    Expect(0, 917632, '\p{Script=common}', "");
    Expect(1, 917632, '\p{^Script=common}', "");
    Expect(1, 917632, '\P{Script=common}', "");
    Expect(0, 917632, '\P{^Script=common}', "");
    Expect(1, 917631, '\p{Script=:\Acommon\z:}', "");;
    Expect(0, 917632, '\p{Script=:\Acommon\z:}', "");;
    Expect(1, 917631, '\p{Script=	Common}', "");
    Expect(0, 917631, '\p{^Script=	Common}', "");
    Expect(0, 917631, '\P{Script=	Common}', "");
    Expect(1, 917631, '\P{^Script=	Common}', "");
    Expect(0, 917632, '\p{Script=	Common}', "");
    Expect(1, 917632, '\p{^Script=	Common}', "");
    Expect(1, 917632, '\P{Script=	Common}', "");
    Expect(0, 917632, '\P{^Script=	Common}', "");
    Error('\p{Sc=:=ZYYY}');
    Error('\P{Sc=:=ZYYY}');
    Expect(1, 917631, '\p{Sc=:\AZyyy\z:}', "");;
    Expect(0, 917632, '\p{Sc=:\AZyyy\z:}', "");;
    Expect(1, 917631, '\p{Sc=zyyy}', "");
    Expect(0, 917631, '\p{^Sc=zyyy}', "");
    Expect(0, 917631, '\P{Sc=zyyy}', "");
    Expect(1, 917631, '\P{^Sc=zyyy}', "");
    Expect(0, 917632, '\p{Sc=zyyy}', "");
    Expect(1, 917632, '\p{^Sc=zyyy}', "");
    Expect(1, 917632, '\P{Sc=zyyy}', "");
    Expect(0, 917632, '\P{^Sc=zyyy}', "");
    Expect(1, 917631, '\p{Sc=:\Azyyy\z:}', "");;
    Expect(0, 917632, '\p{Sc=:\Azyyy\z:}', "");;
    Expect(1, 917631, '\p{Sc= Zyyy}', "");
    Expect(0, 917631, '\p{^Sc= Zyyy}', "");
    Expect(0, 917631, '\P{Sc= Zyyy}', "");
    Expect(1, 917631, '\P{^Sc= Zyyy}', "");
    Expect(0, 917632, '\p{Sc= Zyyy}', "");
    Expect(1, 917632, '\p{^Sc= Zyyy}', "");
    Expect(1, 917632, '\P{Sc= Zyyy}', "");
    Expect(0, 917632, '\P{^Sc= Zyyy}', "");
    Error('\p{Is_Script=:=	_common}');
    Error('\P{Is_Script=:=	_common}');
    Expect(1, 917631, '\p{Is_Script=common}', "");
    Expect(0, 917631, '\p{^Is_Script=common}', "");
    Expect(0, 917631, '\P{Is_Script=common}', "");
    Expect(1, 917631, '\P{^Is_Script=common}', "");
    Expect(0, 917632, '\p{Is_Script=common}', "");
    Expect(1, 917632, '\p{^Is_Script=common}', "");
    Expect(1, 917632, '\P{Is_Script=common}', "");
    Expect(0, 917632, '\P{^Is_Script=common}', "");
    Expect(1, 917631, '\p{Is_Script=_	common}', "");
    Expect(0, 917631, '\p{^Is_Script=_	common}', "");
    Expect(0, 917631, '\P{Is_Script=_	common}', "");
    Expect(1, 917631, '\P{^Is_Script=_	common}', "");
    Expect(0, 917632, '\p{Is_Script=_	common}', "");
    Expect(1, 917632, '\p{^Is_Script=_	common}', "");
    Expect(1, 917632, '\P{Is_Script=_	common}', "");
    Expect(0, 917632, '\P{^Is_Script=_	common}', "");
    Error('\p{Is_Sc=_:=Zyyy}');
    Error('\P{Is_Sc=_:=Zyyy}');
    Expect(1, 917631, '\p{Is_Sc=zyyy}', "");
    Expect(0, 917631, '\p{^Is_Sc=zyyy}', "");
    Expect(0, 917631, '\P{Is_Sc=zyyy}', "");
    Expect(1, 917631, '\P{^Is_Sc=zyyy}', "");
    Expect(0, 917632, '\p{Is_Sc=zyyy}', "");
    Expect(1, 917632, '\p{^Is_Sc=zyyy}', "");
    Expect(1, 917632, '\P{Is_Sc=zyyy}', "");
    Expect(0, 917632, '\P{^Is_Sc=zyyy}', "");
    Expect(1, 917631, '\p{Is_Sc=ZYYY}', "");
    Expect(0, 917631, '\p{^Is_Sc=ZYYY}', "");
    Expect(0, 917631, '\P{Is_Sc=ZYYY}', "");
    Expect(1, 917631, '\P{^Is_Sc=ZYYY}', "");
    Expect(0, 917632, '\p{Is_Sc=ZYYY}', "");
    Expect(1, 917632, '\p{^Is_Sc=ZYYY}', "");
    Expect(1, 917632, '\P{Is_Sc=ZYYY}', "");
    Expect(0, 917632, '\P{^Is_Sc=ZYYY}', "");
    Error('\p{Script=:= -UNKNOWN}');
    Error('\P{Script=:= -UNKNOWN}');
    Expect(1, 918000, '\p{Script=:\AUnknown\z:}', "");;
    Expect(0, 917999, '\p{Script=:\AUnknown\z:}', "");;
    Expect(1, 918000, '\p{Script=unknown}', "");
    Expect(0, 918000, '\p{^Script=unknown}', "");
    Expect(0, 918000, '\P{Script=unknown}', "");
    Expect(1, 918000, '\P{^Script=unknown}', "");
    Expect(0, 917999, '\p{Script=unknown}', "");
    Expect(1, 917999, '\p{^Script=unknown}', "");
    Expect(1, 917999, '\P{Script=unknown}', "");
    Expect(0, 917999, '\P{^Script=unknown}', "");
    Expect(1, 918000, '\p{Script=:\Aunknown\z:}', "");;
    Expect(0, 917999, '\p{Script=:\Aunknown\z:}', "");;
    Expect(1, 918000, '\p{Script=Unknown}', "");
    Expect(0, 918000, '\p{^Script=Unknown}', "");
    Expect(0, 918000, '\P{Script=Unknown}', "");
    Expect(1, 918000, '\P{^Script=Unknown}', "");
    Expect(0, 917999, '\p{Script=Unknown}', "");
    Expect(1, 917999, '\p{^Script=Unknown}', "");
    Expect(1, 917999, '\P{Script=Unknown}', "");
    Expect(0, 917999, '\P{^Script=Unknown}', "");
    Error('\p{Sc=/a/_zzzz}');
    Error('\P{Sc=/a/_zzzz}');
    Expect(1, 918000, '\p{Sc=:\AZzzz\z:}', "");;
    Expect(0, 917999, '\p{Sc=:\AZzzz\z:}', "");;
    Expect(1, 918000, '\p{Sc=zzzz}', "");
    Expect(0, 918000, '\p{^Sc=zzzz}', "");
    Expect(0, 918000, '\P{Sc=zzzz}', "");
    Expect(1, 918000, '\P{^Sc=zzzz}', "");
    Expect(0, 917999, '\p{Sc=zzzz}', "");
    Expect(1, 917999, '\p{^Sc=zzzz}', "");
    Expect(1, 917999, '\P{Sc=zzzz}', "");
    Expect(0, 917999, '\P{^Sc=zzzz}', "");
    Expect(1, 918000, '\p{Sc=:\Azzzz\z:}', "");;
    Expect(0, 917999, '\p{Sc=:\Azzzz\z:}', "");;
    Expect(1, 918000, '\p{Sc=_-Zzzz}', "");
    Expect(0, 918000, '\p{^Sc=_-Zzzz}', "");
    Expect(0, 918000, '\P{Sc=_-Zzzz}', "");
    Expect(1, 918000, '\P{^Sc=_-Zzzz}', "");
    Expect(0, 917999, '\p{Sc=_-Zzzz}', "");
    Expect(1, 917999, '\p{^Sc=_-Zzzz}', "");
    Expect(1, 917999, '\P{Sc=_-Zzzz}', "");
    Expect(0, 917999, '\P{^Sc=_-Zzzz}', "");
    Error('\p{Is_Script=_Unknown:=}');
    Error('\P{Is_Script=_Unknown:=}');
    Expect(1, 918000, '\p{Is_Script=unknown}', "");
    Expect(0, 918000, '\p{^Is_Script=unknown}', "");
    Expect(0, 918000, '\P{Is_Script=unknown}', "");
    Expect(1, 918000, '\P{^Is_Script=unknown}', "");
    Expect(0, 917999, '\p{Is_Script=unknown}', "");
    Expect(1, 917999, '\p{^Is_Script=unknown}', "");
    Expect(1, 917999, '\P{Is_Script=unknown}', "");
    Expect(0, 917999, '\P{^Is_Script=unknown}', "");
    Expect(1, 918000, '\p{Is_Script= Unknown}', "");
    Expect(0, 918000, '\p{^Is_Script= Unknown}', "");
    Expect(0, 918000, '\P{Is_Script= Unknown}', "");
    Expect(1, 918000, '\P{^Is_Script= Unknown}', "");
    Expect(0, 917999, '\p{Is_Script= Unknown}', "");
    Expect(1, 917999, '\p{^Is_Script= Unknown}', "");
    Expect(1, 917999, '\P{Is_Script= Unknown}', "");
    Expect(0, 917999, '\P{^Is_Script= Unknown}', "");
    Error('\p{Is_Sc=-/a/zzzz}');
    Error('\P{Is_Sc=-/a/zzzz}');
    Expect(1, 918000, '\p{Is_Sc=zzzz}', "");
    Expect(0, 918000, '\p{^Is_Sc=zzzz}', "");
    Expect(0, 918000, '\P{Is_Sc=zzzz}', "");
    Expect(1, 918000, '\P{^Is_Sc=zzzz}', "");
    Expect(0, 917999, '\p{Is_Sc=zzzz}', "");
    Expect(1, 917999, '\p{^Is_Sc=zzzz}', "");
    Expect(1, 917999, '\P{Is_Sc=zzzz}', "");
    Expect(0, 917999, '\P{^Is_Sc=zzzz}', "");
    Expect(1, 918000, '\p{Is_Sc=	ZZZZ}', "");
    Expect(0, 918000, '\p{^Is_Sc=	ZZZZ}', "");
    Expect(0, 918000, '\P{Is_Sc=	ZZZZ}', "");
    Expect(1, 918000, '\P{^Is_Sc=	ZZZZ}', "");
    Expect(0, 917999, '\p{Is_Sc=	ZZZZ}', "");
    Expect(1, 917999, '\p{^Is_Sc=	ZZZZ}', "");
    Expect(1, 917999, '\P{Is_Sc=	ZZZZ}', "");
    Expect(0, 917999, '\P{^Is_Sc=	ZZZZ}', "");
    Error('\p{simplecasefolding}');
    Error('\P{simplecasefolding}');
    Error('\p{scf}');
    Error('\P{scf}');
    Error('\p{sfc}');
    Error('\P{sfc}');
    Error('\p{scriptextensions}');
    Error('\P{scriptextensions}');
    Error('\p{scx}');
    Error('\P{scx}');
    Error('\p{Script_Extensions=_/a/adlam}');
    Error('\P{Script_Extensions=_/a/adlam}');
    Expect(1, 125279, '\p{Script_Extensions=:\AAdlam\z:}', "");;
    Expect(0, 125280, '\p{Script_Extensions=:\AAdlam\z:}', "");;
    Expect(1, 125279, '\p{Script_Extensions=adlam}', "");
    Expect(0, 125279, '\p{^Script_Extensions=adlam}', "");
    Expect(0, 125279, '\P{Script_Extensions=adlam}', "");
    Expect(1, 125279, '\P{^Script_Extensions=adlam}', "");
    Expect(0, 125280, '\p{Script_Extensions=adlam}', "");
    Expect(1, 125280, '\p{^Script_Extensions=adlam}', "");
    Expect(1, 125280, '\P{Script_Extensions=adlam}', "");
    Expect(0, 125280, '\P{^Script_Extensions=adlam}', "");
    Expect(1, 125279, '\p{Script_Extensions=:\Aadlam\z:}', "");;
    Expect(0, 125280, '\p{Script_Extensions=:\Aadlam\z:}', "");;
    Expect(1, 125279, '\p{Script_Extensions=--Adlam}', "");
    Expect(0, 125279, '\p{^Script_Extensions=--Adlam}', "");
    Expect(0, 125279, '\P{Script_Extensions=--Adlam}', "");
    Expect(1, 125279, '\P{^Script_Extensions=--Adlam}', "");
    Expect(0, 125280, '\p{Script_Extensions=--Adlam}', "");
    Expect(1, 125280, '\p{^Script_Extensions=--Adlam}', "");
    Expect(1, 125280, '\P{Script_Extensions=--Adlam}', "");
    Expect(0, 125280, '\P{^Script_Extensions=--Adlam}', "");
    Error('\p{Scx=:=-	adlm}');
    Error('\P{Scx=:=-	adlm}');
    Expect(1, 125279, '\p{Scx=:\AAdlm\z:}', "");;
    Expect(0, 125280, '\p{Scx=:\AAdlm\z:}', "");;
    Expect(1, 125279, '\p{Scx=adlm}', "");
    Expect(0, 125279, '\p{^Scx=adlm}', "");
    Expect(0, 125279, '\P{Scx=adlm}', "");
    Expect(1, 125279, '\P{^Scx=adlm}', "");
    Expect(0, 125280, '\p{Scx=adlm}', "");
    Expect(1, 125280, '\p{^Scx=adlm}', "");
    Expect(1, 125280, '\P{Scx=adlm}', "");
    Expect(0, 125280, '\P{^Scx=adlm}', "");
    Expect(1, 125279, '\p{Scx=:\Aadlm\z:}', "");;
    Expect(0, 125280, '\p{Scx=:\Aadlm\z:}', "");;
    Expect(1, 125279, '\p{Scx=	Adlm}', "");
    Expect(0, 125279, '\p{^Scx=	Adlm}', "");
    Expect(0, 125279, '\P{Scx=	Adlm}', "");
    Expect(1, 125279, '\P{^Scx=	Adlm}', "");
    Expect(0, 125280, '\p{Scx=	Adlm}', "");
    Expect(1, 125280, '\p{^Scx=	Adlm}', "");
    Expect(1, 125280, '\P{Scx=	Adlm}', "");
    Expect(0, 125280, '\P{^Scx=	Adlm}', "");
    Error('\p{Is_Script_Extensions= :=Adlam}');
    Error('\P{Is_Script_Extensions= :=Adlam}');
    Expect(1, 125279, '\p{Is_Script_Extensions=adlam}', "");
    Expect(0, 125279, '\p{^Is_Script_Extensions=adlam}', "");
    Expect(0, 125279, '\P{Is_Script_Extensions=adlam}', "");
    Expect(1, 125279, '\P{^Is_Script_Extensions=adlam}', "");
    Expect(0, 125280, '\p{Is_Script_Extensions=adlam}', "");
    Expect(1, 125280, '\p{^Is_Script_Extensions=adlam}', "");
    Expect(1, 125280, '\P{Is_Script_Extensions=adlam}', "");
    Expect(0, 125280, '\P{^Is_Script_Extensions=adlam}', "");
    Expect(1, 125279, '\p{Is_Script_Extensions=	-Adlam}', "");
    Expect(0, 125279, '\p{^Is_Script_Extensions=	-Adlam}', "");
    Expect(0, 125279, '\P{Is_Script_Extensions=	-Adlam}', "");
    Expect(1, 125279, '\P{^Is_Script_Extensions=	-Adlam}', "");
    Expect(0, 125280, '\p{Is_Script_Extensions=	-Adlam}', "");
    Expect(1, 125280, '\p{^Is_Script_Extensions=	-Adlam}', "");
    Expect(1, 125280, '\P{Is_Script_Extensions=	-Adlam}', "");
    Expect(0, 125280, '\P{^Is_Script_Extensions=	-Adlam}', "");
    Error('\p{Is_Scx:	/a/-ADLM}');
    Error('\P{Is_Scx:	/a/-ADLM}');
    Expect(1, 125279, '\p{Is_Scx=adlm}', "");
    Expect(0, 125279, '\p{^Is_Scx=adlm}', "");
    Expect(0, 125279, '\P{Is_Scx=adlm}', "");
    Expect(1, 125279, '\P{^Is_Scx=adlm}', "");
    Expect(0, 125280, '\p{Is_Scx=adlm}', "");
    Expect(1, 125280, '\p{^Is_Scx=adlm}', "");
    Expect(1, 125280, '\P{Is_Scx=adlm}', "");
    Expect(0, 125280, '\P{^Is_Scx=adlm}', "");
    Expect(1, 125279, '\p{Is_Scx=	-ADLM}', "");
    Expect(0, 125279, '\p{^Is_Scx=	-ADLM}', "");
    Expect(0, 125279, '\P{Is_Scx=	-ADLM}', "");
    Expect(1, 125279, '\P{^Is_Scx=	-ADLM}', "");
    Expect(0, 125280, '\p{Is_Scx=	-ADLM}', "");
    Expect(1, 125280, '\p{^Is_Scx=	-ADLM}', "");
    Expect(1, 125280, '\P{Is_Scx=	-ADLM}', "");
    Expect(0, 125280, '\P{^Is_Scx=	-ADLM}', "");
    Error('\p{Script_Extensions=:=caucasian_ALBANIAN}');
    Error('\P{Script_Extensions=:=caucasian_ALBANIAN}');
    Expect(1, 66927, '\p{Script_Extensions=:\ACaucasian_Albanian\z:}', "");;
    Expect(0, 66928, '\p{Script_Extensions=:\ACaucasian_Albanian\z:}', "");;
    Expect(1, 66927, '\p{Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66927, '\P{Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66928, '\p{Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66928, '\P{Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66927, '\p{Script_Extensions=:\Acaucasianalbanian\z:}', "");;
    Expect(0, 66928, '\p{Script_Extensions=:\Acaucasianalbanian\z:}', "");;
    Expect(1, 66927, '\p{Script_Extensions= 	Caucasian_albanian}', "");
    Expect(0, 66927, '\p{^Script_Extensions= 	Caucasian_albanian}', "");
    Expect(0, 66927, '\P{Script_Extensions= 	Caucasian_albanian}', "");
    Expect(1, 66927, '\P{^Script_Extensions= 	Caucasian_albanian}', "");
    Expect(0, 66928, '\p{Script_Extensions= 	Caucasian_albanian}', "");
    Expect(1, 66928, '\p{^Script_Extensions= 	Caucasian_albanian}', "");
    Expect(1, 66928, '\P{Script_Extensions= 	Caucasian_albanian}', "");
    Expect(0, 66928, '\P{^Script_Extensions= 	Caucasian_albanian}', "");
    Error('\p{Scx=:=_ Aghb}');
    Error('\P{Scx=:=_ Aghb}');
    Expect(1, 66927, '\p{Scx=:\AAghb\z:}', "");;
    Expect(0, 66928, '\p{Scx=:\AAghb\z:}', "");;
    Expect(1, 66927, '\p{Scx:   aghb}', "");
    Expect(0, 66927, '\p{^Scx:   aghb}', "");
    Expect(0, 66927, '\P{Scx:   aghb}', "");
    Expect(1, 66927, '\P{^Scx:   aghb}', "");
    Expect(0, 66928, '\p{Scx:   aghb}', "");
    Expect(1, 66928, '\p{^Scx:   aghb}', "");
    Expect(1, 66928, '\P{Scx:   aghb}', "");
    Expect(0, 66928, '\P{^Scx:   aghb}', "");
    Expect(1, 66927, '\p{Scx=:\Aaghb\z:}', "");;
    Expect(0, 66928, '\p{Scx=:\Aaghb\z:}', "");;
    Expect(1, 66927, '\p{Scx=		aghb}', "");
    Expect(0, 66927, '\p{^Scx=		aghb}', "");
    Expect(0, 66927, '\P{Scx=		aghb}', "");
    Expect(1, 66927, '\P{^Scx=		aghb}', "");
    Expect(0, 66928, '\p{Scx=		aghb}', "");
    Expect(1, 66928, '\p{^Scx=		aghb}', "");
    Expect(1, 66928, '\P{Scx=		aghb}', "");
    Expect(0, 66928, '\P{^Scx=		aghb}', "");
    Error('\p{Is_Script_Extensions=/a/	 CAUCASIAN_albanian}');
    Error('\P{Is_Script_Extensions=/a/	 CAUCASIAN_albanian}');
    Expect(1, 66927, '\p{Is_Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66927, '\p{^Is_Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66927, '\P{Is_Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66927, '\P{^Is_Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66928, '\p{Is_Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66928, '\p{^Is_Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66928, '\P{Is_Script_Extensions=caucasianalbanian}', "");
    Expect(0, 66928, '\P{^Is_Script_Extensions=caucasianalbanian}', "");
    Expect(1, 66927, '\p{Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Expect(0, 66927, '\p{^Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Expect(0, 66927, '\P{Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Expect(1, 66927, '\P{^Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Expect(0, 66928, '\p{Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Expect(1, 66928, '\p{^Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Expect(1, 66928, '\P{Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Expect(0, 66928, '\P{^Is_Script_Extensions:   	 Caucasian_Albanian}', "");
    Error('\p{Is_Scx=/a/--AGHB}');
    Error('\P{Is_Scx=/a/--AGHB}');
    Expect(1, 66927, '\p{Is_Scx=aghb}', "");
    Expect(0, 66927, '\p{^Is_Scx=aghb}', "");
    Expect(0, 66927, '\P{Is_Scx=aghb}', "");
    Expect(1, 66927, '\P{^Is_Scx=aghb}', "");
    Expect(0, 66928, '\p{Is_Scx=aghb}', "");
    Expect(1, 66928, '\p{^Is_Scx=aghb}', "");
    Expect(1, 66928, '\P{Is_Scx=aghb}', "");
    Expect(0, 66928, '\P{^Is_Scx=aghb}', "");
    Expect(1, 66927, '\p{Is_Scx=_	aghb}', "");
    Expect(0, 66927, '\p{^Is_Scx=_	aghb}', "");
    Expect(0, 66927, '\P{Is_Scx=_	aghb}', "");
    Expect(1, 66927, '\P{^Is_Scx=_	aghb}', "");
    Expect(0, 66928, '\p{Is_Scx=_	aghb}', "");
    Expect(1, 66928, '\p{^Is_Scx=_	aghb}', "");
    Expect(1, 66928, '\P{Is_Scx=_	aghb}', "");
    Expect(0, 66928, '\P{^Is_Scx=_	aghb}', "");
    Error('\p{Script_Extensions=/a/ _Ahom}');
    Error('\P{Script_Extensions=/a/ _Ahom}');
    Expect(1, 71494, '\p{Script_Extensions=:\AAhom\z:}', "");;
    Expect(0, 71495, '\p{Script_Extensions=:\AAhom\z:}', "");;
    Expect(1, 71494, '\p{Script_Extensions=ahom}', "");
    Expect(0, 71494, '\p{^Script_Extensions=ahom}', "");
    Expect(0, 71494, '\P{Script_Extensions=ahom}', "");
    Expect(1, 71494, '\P{^Script_Extensions=ahom}', "");
    Expect(0, 71495, '\p{Script_Extensions=ahom}', "");
    Expect(1, 71495, '\p{^Script_Extensions=ahom}', "");
    Expect(1, 71495, '\P{Script_Extensions=ahom}', "");
    Expect(0, 71495, '\P{^Script_Extensions=ahom}', "");
    Expect(1, 71494, '\p{Script_Extensions=:\Aahom\z:}', "");;
    Expect(0, 71495, '\p{Script_Extensions=:\Aahom\z:}', "");;
    Expect(1, 71494, '\p{Script_Extensions=--ahom}', "");
    Expect(0, 71494, '\p{^Script_Extensions=--ahom}', "");
    Expect(0, 71494, '\P{Script_Extensions=--ahom}', "");
    Expect(1, 71494, '\P{^Script_Extensions=--ahom}', "");
    Expect(0, 71495, '\p{Script_Extensions=--ahom}', "");
    Expect(1, 71495, '\p{^Script_Extensions=--ahom}', "");
    Expect(1, 71495, '\P{Script_Extensions=--ahom}', "");
    Expect(0, 71495, '\P{^Script_Extensions=--ahom}', "");
    Error('\p{Scx=-:=AHOM}');
    Error('\P{Scx=-:=AHOM}');
    Expect(1, 71494, '\p{Scx=:\AAhom\z:}', "");;
    Expect(0, 71495, '\p{Scx=:\AAhom\z:}', "");;
    Expect(1, 71494, '\p{Scx=ahom}', "");
    Expect(0, 71494, '\p{^Scx=ahom}', "");
    Expect(0, 71494, '\P{Scx=ahom}', "");
    Expect(1, 71494, '\P{^Scx=ahom}', "");
    Expect(0, 71495, '\p{Scx=ahom}', "");
    Expect(1, 71495, '\p{^Scx=ahom}', "");
    Expect(1, 71495, '\P{Scx=ahom}', "");
    Expect(0, 71495, '\P{^Scx=ahom}', "");
    Expect(1, 71494, '\p{Scx=:\Aahom\z:}', "");;
    Expect(0, 71495, '\p{Scx=:\Aahom\z:}', "");;
    Expect(1, 71494, '\p{Scx= _AHOM}', "");
    Expect(0, 71494, '\p{^Scx= _AHOM}', "");
    Expect(0, 71494, '\P{Scx= _AHOM}', "");
    Expect(1, 71494, '\P{^Scx= _AHOM}', "");
    Expect(0, 71495, '\p{Scx= _AHOM}', "");
    Expect(1, 71495, '\p{^Scx= _AHOM}', "");
    Expect(1, 71495, '\P{Scx= _AHOM}', "");
    Expect(0, 71495, '\P{^Scx= _AHOM}', "");
    Error('\p{Is_Script_Extensions=_/a/AHOM}');
    Error('\P{Is_Script_Extensions=_/a/AHOM}');
    Expect(1, 71494, '\p{Is_Script_Extensions=ahom}', "");
    Expect(0, 71494, '\p{^Is_Script_Extensions=ahom}', "");
    Expect(0, 71494, '\P{Is_Script_Extensions=ahom}', "");
    Expect(1, 71494, '\P{^Is_Script_Extensions=ahom}', "");
    Expect(0, 71495, '\p{Is_Script_Extensions=ahom}', "");
    Expect(1, 71495, '\p{^Is_Script_Extensions=ahom}', "");
    Expect(1, 71495, '\P{Is_Script_Extensions=ahom}', "");
    Expect(0, 71495, '\P{^Is_Script_Extensions=ahom}', "");
    Expect(1, 71494, '\p{Is_Script_Extensions=	Ahom}', "");
    Expect(0, 71494, '\p{^Is_Script_Extensions=	Ahom}', "");
    Expect(0, 71494, '\P{Is_Script_Extensions=	Ahom}', "");
    Expect(1, 71494, '\P{^Is_Script_Extensions=	Ahom}', "");
    Expect(0, 71495, '\p{Is_Script_Extensions=	Ahom}', "");
    Expect(1, 71495, '\p{^Is_Script_Extensions=	Ahom}', "");
    Expect(1, 71495, '\P{Is_Script_Extensions=	Ahom}', "");
    Expect(0, 71495, '\P{^Is_Script_Extensions=	Ahom}', "");
    Error('\p{Is_Scx=-ahom/a/}');
    Error('\P{Is_Scx=-ahom/a/}');
    Expect(1, 71494, '\p{Is_Scx=ahom}', "");
    Expect(0, 71494, '\p{^Is_Scx=ahom}', "");
    Expect(0, 71494, '\P{Is_Scx=ahom}', "");
    Expect(1, 71494, '\P{^Is_Scx=ahom}', "");
    Expect(0, 71495, '\p{Is_Scx=ahom}', "");
    Expect(1, 71495, '\p{^Is_Scx=ahom}', "");
    Expect(1, 71495, '\P{Is_Scx=ahom}', "");
    Expect(0, 71495, '\P{^Is_Scx=ahom}', "");
    Expect(1, 71494, '\p{Is_Scx:   -Ahom}', "");
    Expect(0, 71494, '\p{^Is_Scx:   -Ahom}', "");
    Expect(0, 71494, '\P{Is_Scx:   -Ahom}', "");
    Expect(1, 71494, '\P{^Is_Scx:   -Ahom}', "");
    Expect(0, 71495, '\p{Is_Scx:   -Ahom}', "");
    Expect(1, 71495, '\p{^Is_Scx:   -Ahom}', "");
    Expect(1, 71495, '\P{Is_Scx:   -Ahom}', "");
    Expect(0, 71495, '\P{^Is_Scx:   -Ahom}', "");
    Error('\p{Script_Extensions=:=-arabic}');
    Error('\P{Script_Extensions=:=-arabic}');
    Expect(1, 126705, '\p{Script_Extensions=:\AArabic\z:}', "");;
    Expect(0, 126706, '\p{Script_Extensions=:\AArabic\z:}', "");;
    Expect(1, 126705, '\p{Script_Extensions=arabic}', "");
    Expect(0, 126705, '\p{^Script_Extensions=arabic}', "");
    Expect(0, 126705, '\P{Script_Extensions=arabic}', "");
    Expect(1, 126705, '\P{^Script_Extensions=arabic}', "");
    Expect(0, 126706, '\p{Script_Extensions=arabic}', "");
    Expect(1, 126706, '\p{^Script_Extensions=arabic}', "");
    Expect(1, 126706, '\P{Script_Extensions=arabic}', "");
    Expect(0, 126706, '\P{^Script_Extensions=arabic}', "");
    Expect(1, 126705, '\p{Script_Extensions=:\Aarabic\z:}', "");;
    Expect(0, 126706, '\p{Script_Extensions=:\Aarabic\z:}', "");;
    Expect(1, 126705, '\p{Script_Extensions= ARABIC}', "");
    Expect(0, 126705, '\p{^Script_Extensions= ARABIC}', "");
    Expect(0, 126705, '\P{Script_Extensions= ARABIC}', "");
    Expect(1, 126705, '\P{^Script_Extensions= ARABIC}', "");
    Expect(0, 126706, '\p{Script_Extensions= ARABIC}', "");
    Expect(1, 126706, '\p{^Script_Extensions= ARABIC}', "");
    Expect(1, 126706, '\P{Script_Extensions= ARABIC}', "");
    Expect(0, 126706, '\P{^Script_Extensions= ARABIC}', "");
    Error('\p{Scx=:=-arab}');
    Error('\P{Scx=:=-arab}');
    Expect(1, 126705, '\p{Scx=:\AArab\z:}', "");;
    Expect(0, 126706, '\p{Scx=:\AArab\z:}', "");;
    Expect(1, 126705, '\p{Scx=arab}', "");
    Expect(0, 126705, '\p{^Scx=arab}', "");
    Expect(0, 126705, '\P{Scx=arab}', "");
    Expect(1, 126705, '\P{^Scx=arab}', "");
    Expect(0, 126706, '\p{Scx=arab}', "");
    Expect(1, 126706, '\p{^Scx=arab}', "");
    Expect(1, 126706, '\P{Scx=arab}', "");
    Expect(0, 126706, '\P{^Scx=arab}', "");
    Expect(1, 126705, '\p{Scx=:\Aarab\z:}', "");;
    Expect(0, 126706, '\p{Scx=:\Aarab\z:}', "");;
    Expect(1, 126705, '\p{Scx=__Arab}', "");
    Expect(0, 126705, '\p{^Scx=__Arab}', "");
    Expect(0, 126705, '\P{Scx=__Arab}', "");
    Expect(1, 126705, '\P{^Scx=__Arab}', "");
    Expect(0, 126706, '\p{Scx=__Arab}', "");
    Expect(1, 126706, '\p{^Scx=__Arab}', "");
    Expect(1, 126706, '\P{Scx=__Arab}', "");
    Expect(0, 126706, '\P{^Scx=__Arab}', "");
    Error('\p{Is_Script_Extensions=/a/arabic}');
    Error('\P{Is_Script_Extensions=/a/arabic}');
    Expect(1, 126705, '\p{Is_Script_Extensions=arabic}', "");
    Expect(0, 126705, '\p{^Is_Script_Extensions=arabic}', "");
    Expect(0, 126705, '\P{Is_Script_Extensions=arabic}', "");
    Expect(1, 126705, '\P{^Is_Script_Extensions=arabic}', "");
    Expect(0, 126706, '\p{Is_Script_Extensions=arabic}', "");
    Expect(1, 126706, '\p{^Is_Script_Extensions=arabic}', "");
    Expect(1, 126706, '\P{Is_Script_Extensions=arabic}', "");
    Expect(0, 126706, '\P{^Is_Script_Extensions=arabic}', "");
    Expect(1, 126705, '\p{Is_Script_Extensions=ARABIC}', "");
    Expect(0, 126705, '\p{^Is_Script_Extensions=ARABIC}', "");
    Expect(0, 126705, '\P{Is_Script_Extensions=ARABIC}', "");
    Expect(1, 126705, '\P{^Is_Script_Extensions=ARABIC}', "");
    Expect(0, 126706, '\p{Is_Script_Extensions=ARABIC}', "");
    Expect(1, 126706, '\p{^Is_Script_Extensions=ARABIC}', "");
    Expect(1, 126706, '\P{Is_Script_Extensions=ARABIC}', "");
    Expect(0, 126706, '\P{^Is_Script_Extensions=ARABIC}', "");
    Error('\p{Is_Scx:	:=  arab}');
    Error('\P{Is_Scx:	:=  arab}');
    Expect(1, 126705, '\p{Is_Scx=arab}', "");
    Expect(0, 126705, '\p{^Is_Scx=arab}', "");
    Expect(0, 126705, '\P{Is_Scx=arab}', "");
    Expect(1, 126705, '\P{^Is_Scx=arab}', "");
    Expect(0, 126706, '\p{Is_Scx=arab}', "");
    Expect(1, 126706, '\p{^Is_Scx=arab}', "");
    Expect(1, 126706, '\P{Is_Scx=arab}', "");
    Expect(0, 126706, '\P{^Is_Scx=arab}', "");
    Expect(1, 126705, '\p{Is_Scx=--ARAB}', "");
    Expect(0, 126705, '\p{^Is_Scx=--ARAB}', "");
    Expect(0, 126705, '\P{Is_Scx=--ARAB}', "");
    Expect(1, 126705, '\P{^Is_Scx=--ARAB}', "");
    Expect(0, 126706, '\p{Is_Scx=--ARAB}', "");
    Expect(1, 126706, '\p{^Is_Scx=--ARAB}', "");
    Expect(1, 126706, '\P{Is_Scx=--ARAB}', "");
    Expect(0, 126706, '\P{^Is_Scx=--ARAB}', "");
    Error('\p{Script_Extensions=-:=IMPERIAL_aramaic}');
    Error('\P{Script_Extensions=-:=IMPERIAL_aramaic}');
    Expect(1, 67679, '\p{Script_Extensions=:\AImperial_Aramaic\z:}', "");;
    Expect(0, 67680, '\p{Script_Extensions=:\AImperial_Aramaic\z:}', "");;
    Expect(1, 67679, '\p{Script_Extensions=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Script_Extensions=imperialaramaic}', "");
    Expect(0, 67679, '\P{Script_Extensions=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Script_Extensions=imperialaramaic}', "");
    Expect(0, 67680, '\p{Script_Extensions=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Script_Extensions=imperialaramaic}', "");
    Expect(1, 67680, '\P{Script_Extensions=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Script_Extensions=imperialaramaic}', "");
    Expect(1, 67679, '\p{Script_Extensions=:\Aimperialaramaic\z:}', "");;
    Expect(0, 67680, '\p{Script_Extensions=:\Aimperialaramaic\z:}', "");;
    Expect(1, 67679, '\p{Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Expect(0, 67679, '\p{^Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Expect(0, 67679, '\P{Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Expect(1, 67679, '\P{^Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Expect(0, 67680, '\p{Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Expect(1, 67680, '\p{^Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Expect(1, 67680, '\P{Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Expect(0, 67680, '\P{^Script_Extensions:	-_IMPERIAL_Aramaic}', "");
    Error('\p{Scx=/a/	_armi}');
    Error('\P{Scx=/a/	_armi}');
    Expect(1, 67679, '\p{Scx=:\AArmi\z:}', "");;
    Expect(0, 67680, '\p{Scx=:\AArmi\z:}', "");;
    Expect(1, 67679, '\p{Scx=armi}', "");
    Expect(0, 67679, '\p{^Scx=armi}', "");
    Expect(0, 67679, '\P{Scx=armi}', "");
    Expect(1, 67679, '\P{^Scx=armi}', "");
    Expect(0, 67680, '\p{Scx=armi}', "");
    Expect(1, 67680, '\p{^Scx=armi}', "");
    Expect(1, 67680, '\P{Scx=armi}', "");
    Expect(0, 67680, '\P{^Scx=armi}', "");
    Expect(1, 67679, '\p{Scx=:\Aarmi\z:}', "");;
    Expect(0, 67680, '\p{Scx=:\Aarmi\z:}', "");;
    Expect(1, 67679, '\p{Scx=--armi}', "");
    Expect(0, 67679, '\p{^Scx=--armi}', "");
    Expect(0, 67679, '\P{Scx=--armi}', "");
    Expect(1, 67679, '\P{^Scx=--armi}', "");
    Expect(0, 67680, '\p{Scx=--armi}', "");
    Expect(1, 67680, '\p{^Scx=--armi}', "");
    Expect(1, 67680, '\P{Scx=--armi}', "");
    Expect(0, 67680, '\P{^Scx=--armi}', "");
    Error('\p{Is_Script_Extensions=:=__Imperial_Aramaic}');
    Error('\P{Is_Script_Extensions=:=__Imperial_Aramaic}');
    Expect(1, 67679, '\p{Is_Script_Extensions=imperialaramaic}', "");
    Expect(0, 67679, '\p{^Is_Script_Extensions=imperialaramaic}', "");
    Expect(0, 67679, '\P{Is_Script_Extensions=imperialaramaic}', "");
    Expect(1, 67679, '\P{^Is_Script_Extensions=imperialaramaic}', "");
    Expect(0, 67680, '\p{Is_Script_Extensions=imperialaramaic}', "");
    Expect(1, 67680, '\p{^Is_Script_Extensions=imperialaramaic}', "");
    Expect(1, 67680, '\P{Is_Script_Extensions=imperialaramaic}', "");
    Expect(0, 67680, '\P{^Is_Script_Extensions=imperialaramaic}', "");
    Expect(1, 67679, '\p{Is_Script_Extensions=-_Imperial_aramaic}', "");
    Expect(0, 67679, '\p{^Is_Script_Extensions=-_Imperial_aramaic}', "");
    Expect(0, 67679, '\P{Is_Script_Extensions=-_Imperial_aramaic}', "");
    Expect(1, 67679, '\P{^Is_Script_Extensions=-_Imperial_aramaic}', "");
    Expect(0, 67680, '\p{Is_Script_Extensions=-_Imperial_aramaic}', "");
    Expect(1, 67680, '\p{^Is_Script_Extensions=-_Imperial_aramaic}', "");
    Expect(1, 67680, '\P{Is_Script_Extensions=-_Imperial_aramaic}', "");
    Expect(0, 67680, '\P{^Is_Script_Extensions=-_Imperial_aramaic}', "");
    Error('\p{Is_Scx=:=		ARMI}');
    Error('\P{Is_Scx=:=		ARMI}');
    Expect(1, 67679, '\p{Is_Scx=armi}', "");
    Expect(0, 67679, '\p{^Is_Scx=armi}', "");
    Expect(0, 67679, '\P{Is_Scx=armi}', "");
    Expect(1, 67679, '\P{^Is_Scx=armi}', "");
    Expect(0, 67680, '\p{Is_Scx=armi}', "");
    Expect(1, 67680, '\p{^Is_Scx=armi}', "");
    Expect(1, 67680, '\P{Is_Scx=armi}', "");
    Expect(0, 67680, '\P{^Is_Scx=armi}', "");
    Expect(1, 67679, '\p{Is_Scx:_ARMI}', "");
    Expect(0, 67679, '\p{^Is_Scx:_ARMI}', "");
    Expect(0, 67679, '\P{Is_Scx:_ARMI}', "");
    Expect(1, 67679, '\P{^Is_Scx:_ARMI}', "");
    Expect(0, 67680, '\p{Is_Scx:_ARMI}', "");
    Expect(1, 67680, '\p{^Is_Scx:_ARMI}', "");
    Expect(1, 67680, '\P{Is_Scx:_ARMI}', "");
    Expect(0, 67680, '\P{^Is_Scx:_ARMI}', "");
    Error('\p{Script_Extensions=/a/Armenian}');
    Error('\P{Script_Extensions=/a/Armenian}');
    Expect(1, 64279, '\p{Script_Extensions=:\AArmenian\z:}', "");;
    Expect(0, 64280, '\p{Script_Extensions=:\AArmenian\z:}', "");;
    Expect(1, 64279, '\p{Script_Extensions=armenian}', "");
    Expect(0, 64279, '\p{^Script_Extensions=armenian}', "");
    Expect(0, 64279, '\P{Script_Extensions=armenian}', "");
    Expect(1, 64279, '\P{^Script_Extensions=armenian}', "");
    Expect(0, 64280, '\p{Script_Extensions=armenian}', "");
    Expect(1, 64280, '\p{^Script_Extensions=armenian}', "");
    Expect(1, 64280, '\P{Script_Extensions=armenian}', "");
    Expect(0, 64280, '\P{^Script_Extensions=armenian}', "");
    Expect(1, 64279, '\p{Script_Extensions=:\Aarmenian\z:}', "");;
    Expect(0, 64280, '\p{Script_Extensions=:\Aarmenian\z:}', "");;
    Expect(1, 64279, '\p{Script_Extensions=--armenian}', "");
    Expect(0, 64279, '\p{^Script_Extensions=--armenian}', "");
    Expect(0, 64279, '\P{Script_Extensions=--armenian}', "");
    Expect(1, 64279, '\P{^Script_Extensions=--armenian}', "");
    Expect(0, 64280, '\p{Script_Extensions=--armenian}', "");
    Expect(1, 64280, '\p{^Script_Extensions=--armenian}', "");
    Expect(1, 64280, '\P{Script_Extensions=--armenian}', "");
    Expect(0, 64280, '\P{^Script_Extensions=--armenian}', "");
    Error('\p{Scx=:=--Armn}');
    Error('\P{Scx=:=--Armn}');
    Expect(1, 64279, '\p{Scx=:\AArmn\z:}', "");;
    Expect(0, 64280, '\p{Scx=:\AArmn\z:}', "");;
    Expect(1, 64279, '\p{Scx=armn}', "");
    Expect(0, 64279, '\p{^Scx=armn}', "");
    Expect(0, 64279, '\P{Scx=armn}', "");
    Expect(1, 64279, '\P{^Scx=armn}', "");
    Expect(0, 64280, '\p{Scx=armn}', "");
    Expect(1, 64280, '\p{^Scx=armn}', "");
    Expect(1, 64280, '\P{Scx=armn}', "");
    Expect(0, 64280, '\P{^Scx=armn}', "");
    Expect(1, 64279, '\p{Scx=:\Aarmn\z:}', "");;
    Expect(0, 64280, '\p{Scx=:\Aarmn\z:}', "");;
    Expect(1, 64279, '\p{Scx=  ARMN}', "");
    Expect(0, 64279, '\p{^Scx=  ARMN}', "");
    Expect(0, 64279, '\P{Scx=  ARMN}', "");
    Expect(1, 64279, '\P{^Scx=  ARMN}', "");
    Expect(0, 64280, '\p{Scx=  ARMN}', "");
    Expect(1, 64280, '\p{^Scx=  ARMN}', "");
    Expect(1, 64280, '\P{Scx=  ARMN}', "");
    Expect(0, 64280, '\P{^Scx=  ARMN}', "");
    Error('\p{Is_Script_Extensions= -Armenian:=}');
    Error('\P{Is_Script_Extensions= -Armenian:=}');
    Expect(1, 64279, '\p{Is_Script_Extensions=armenian}', "");
    Expect(0, 64279, '\p{^Is_Script_Extensions=armenian}', "");
    Expect(0, 64279, '\P{Is_Script_Extensions=armenian}', "");
    Expect(1, 64279, '\P{^Is_Script_Extensions=armenian}', "");
    Expect(0, 64280, '\p{Is_Script_Extensions=armenian}', "");
    Expect(1, 64280, '\p{^Is_Script_Extensions=armenian}', "");
    Expect(1, 64280, '\P{Is_Script_Extensions=armenian}', "");
    Expect(0, 64280, '\P{^Is_Script_Extensions=armenian}', "");
    Expect(1, 64279, '\p{Is_Script_Extensions= _ARMENIAN}', "");
    Expect(0, 64279, '\p{^Is_Script_Extensions= _ARMENIAN}', "");
    Expect(0, 64279, '\P{Is_Script_Extensions= _ARMENIAN}', "");
    Expect(1, 64279, '\P{^Is_Script_Extensions= _ARMENIAN}', "");
    Expect(0, 64280, '\p{Is_Script_Extensions= _ARMENIAN}', "");
    Expect(1, 64280, '\p{^Is_Script_Extensions= _ARMENIAN}', "");
    Expect(1, 64280, '\P{Is_Script_Extensions= _ARMENIAN}', "");
    Expect(0, 64280, '\P{^Is_Script_Extensions= _ARMENIAN}', "");
    Error('\p{Is_Scx=-:=Armn}');
    Error('\P{Is_Scx=-:=Armn}');
    Expect(1, 64279, '\p{Is_Scx=armn}', "");
    Expect(0, 64279, '\p{^Is_Scx=armn}', "");
    Expect(0, 64279, '\P{Is_Scx=armn}', "");
    Expect(1, 64279, '\P{^Is_Scx=armn}', "");
    Expect(0, 64280, '\p{Is_Scx=armn}', "");
    Expect(1, 64280, '\p{^Is_Scx=armn}', "");
    Expect(1, 64280, '\P{Is_Scx=armn}', "");
    Expect(0, 64280, '\P{^Is_Scx=armn}', "");
    Expect(1, 64279, '\p{Is_Scx=_armn}', "");
    Expect(0, 64279, '\p{^Is_Scx=_armn}', "");
    Expect(0, 64279, '\P{Is_Scx=_armn}', "");
    Expect(1, 64279, '\P{^Is_Scx=_armn}', "");
    Expect(0, 64280, '\p{Is_Scx=_armn}', "");
    Expect(1, 64280, '\p{^Is_Scx=_armn}', "");
    Expect(1, 64280, '\P{Is_Scx=_armn}', "");
    Expect(0, 64280, '\P{^Is_Scx=_armn}', "");
    Error('\p{Script_Extensions=	Avestan/a/}');
    Error('\P{Script_Extensions=	Avestan/a/}');
    Expect(1, 68415, '\p{Script_Extensions=:\AAvestan\z:}', "");;
    Expect(0, 68416, '\p{Script_Extensions=:\AAvestan\z:}', "");;
    Expect(1, 68415, '\p{Script_Extensions=avestan}', "");
    Expect(0, 68415, '\p{^Script_Extensions=avestan}', "");
    Expect(0, 68415, '\P{Script_Extensions=avestan}', "");
    Expect(1, 68415, '\P{^Script_Extensions=avestan}', "");
    Expect(0, 68416, '\p{Script_Extensions=avestan}', "");
    Expect(1, 68416, '\p{^Script_Extensions=avestan}', "");
    Expect(1, 68416, '\P{Script_Extensions=avestan}', "");
    Expect(0, 68416, '\P{^Script_Extensions=avestan}', "");
    Expect(1, 68415, '\p{Script_Extensions=:\Aavestan\z:}', "");;
    Expect(0, 68416, '\p{Script_Extensions=:\Aavestan\z:}', "");;
    Expect(1, 68415, '\p{Script_Extensions=-Avestan}', "");
    Expect(0, 68415, '\p{^Script_Extensions=-Avestan}', "");
    Expect(0, 68415, '\P{Script_Extensions=-Avestan}', "");
    Expect(1, 68415, '\P{^Script_Extensions=-Avestan}', "");
    Expect(0, 68416, '\p{Script_Extensions=-Avestan}', "");
    Expect(1, 68416, '\p{^Script_Extensions=-Avestan}', "");
    Expect(1, 68416, '\P{Script_Extensions=-Avestan}', "");
    Expect(0, 68416, '\P{^Script_Extensions=-Avestan}', "");
    Error('\p{Scx=-:=Avst}');
    Error('\P{Scx=-:=Avst}');
    Expect(1, 68415, '\p{Scx=:\AAvst\z:}', "");;
    Expect(0, 68416, '\p{Scx=:\AAvst\z:}', "");;
    Expect(1, 68415, '\p{Scx=avst}', "");
    Expect(0, 68415, '\p{^Scx=avst}', "");
    Expect(0, 68415, '\P{Scx=avst}', "");
    Expect(1, 68415, '\P{^Scx=avst}', "");
    Expect(0, 68416, '\p{Scx=avst}', "");
    Expect(1, 68416, '\p{^Scx=avst}', "");
    Expect(1, 68416, '\P{Scx=avst}', "");
    Expect(0, 68416, '\P{^Scx=avst}', "");
    Expect(1, 68415, '\p{Scx=:\Aavst\z:}', "");;
    Expect(0, 68416, '\p{Scx=:\Aavst\z:}', "");;
    Expect(1, 68415, '\p{Scx= _AVST}', "");
    Expect(0, 68415, '\p{^Scx= _AVST}', "");
    Expect(0, 68415, '\P{Scx= _AVST}', "");
    Expect(1, 68415, '\P{^Scx= _AVST}', "");
    Expect(0, 68416, '\p{Scx= _AVST}', "");
    Expect(1, 68416, '\p{^Scx= _AVST}', "");
    Expect(1, 68416, '\P{Scx= _AVST}', "");
    Expect(0, 68416, '\P{^Scx= _AVST}', "");
    Error('\p{Is_Script_Extensions=-/a/Avestan}');
    Error('\P{Is_Script_Extensions=-/a/Avestan}');
    Expect(1, 68415, '\p{Is_Script_Extensions=avestan}', "");
    Expect(0, 68415, '\p{^Is_Script_Extensions=avestan}', "");
    Expect(0, 68415, '\P{Is_Script_Extensions=avestan}', "");
    Expect(1, 68415, '\P{^Is_Script_Extensions=avestan}', "");
    Expect(0, 68416, '\p{Is_Script_Extensions=avestan}', "");
    Expect(1, 68416, '\p{^Is_Script_Extensions=avestan}', "");
    Expect(1, 68416, '\P{Is_Script_Extensions=avestan}', "");
    Expect(0, 68416, '\P{^Is_Script_Extensions=avestan}', "");
    Expect(1, 68415, '\p{Is_Script_Extensions: - Avestan}', "");
    Expect(0, 68415, '\p{^Is_Script_Extensions: - Avestan}', "");
    Expect(0, 68415, '\P{Is_Script_Extensions: - Avestan}', "");
    Expect(1, 68415, '\P{^Is_Script_Extensions: - Avestan}', "");
    Expect(0, 68416, '\p{Is_Script_Extensions: - Avestan}', "");
    Expect(1, 68416, '\p{^Is_Script_Extensions: - Avestan}', "");
    Expect(1, 68416, '\P{Is_Script_Extensions: - Avestan}', "");
    Expect(0, 68416, '\P{^Is_Script_Extensions: - Avestan}', "");
    Error('\p{Is_Scx=	:=Avst}');
    Error('\P{Is_Scx=	:=Avst}');
    Expect(1, 68415, '\p{Is_Scx=avst}', "");
    Expect(0, 68415, '\p{^Is_Scx=avst}', "");
    Expect(0, 68415, '\P{Is_Scx=avst}', "");
    Expect(1, 68415, '\P{^Is_Scx=avst}', "");
    Expect(0, 68416, '\p{Is_Scx=avst}', "");
    Expect(1, 68416, '\p{^Is_Scx=avst}', "");
    Expect(1, 68416, '\P{Is_Scx=avst}', "");
    Expect(0, 68416, '\P{^Is_Scx=avst}', "");
    Expect(1, 68415, '\p{Is_Scx=	 AVST}', "");
    Expect(0, 68415, '\p{^Is_Scx=	 AVST}', "");
    Expect(0, 68415, '\P{Is_Scx=	 AVST}', "");
    Expect(1, 68415, '\P{^Is_Scx=	 AVST}', "");
    Expect(0, 68416, '\p{Is_Scx=	 AVST}', "");
    Expect(1, 68416, '\p{^Is_Scx=	 AVST}', "");
    Expect(1, 68416, '\P{Is_Scx=	 AVST}', "");
    Expect(0, 68416, '\P{^Is_Scx=	 AVST}', "");
    Error('\p{Script_Extensions=:= _BALINESE}');
    Error('\P{Script_Extensions=:= _BALINESE}');
    Expect(1, 7038, '\p{Script_Extensions=:\ABalinese\z:}', "");;
    Expect(0, 7039, '\p{Script_Extensions=:\ABalinese\z:}', "");;
    Expect(1, 7038, '\p{Script_Extensions=balinese}', "");
    Expect(0, 7038, '\p{^Script_Extensions=balinese}', "");
    Expect(0, 7038, '\P{Script_Extensions=balinese}', "");
    Expect(1, 7038, '\P{^Script_Extensions=balinese}', "");
    Expect(0, 7039, '\p{Script_Extensions=balinese}', "");
    Expect(1, 7039, '\p{^Script_Extensions=balinese}', "");
    Expect(1, 7039, '\P{Script_Extensions=balinese}', "");
    Expect(0, 7039, '\P{^Script_Extensions=balinese}', "");
    Expect(1, 7038, '\p{Script_Extensions=:\Abalinese\z:}', "");;
    Expect(0, 7039, '\p{Script_Extensions=:\Abalinese\z:}', "");;
    Expect(1, 7038, '\p{Script_Extensions=-BALINESE}', "");
    Expect(0, 7038, '\p{^Script_Extensions=-BALINESE}', "");
    Expect(0, 7038, '\P{Script_Extensions=-BALINESE}', "");
    Expect(1, 7038, '\P{^Script_Extensions=-BALINESE}', "");
    Expect(0, 7039, '\p{Script_Extensions=-BALINESE}', "");
    Expect(1, 7039, '\p{^Script_Extensions=-BALINESE}', "");
    Expect(1, 7039, '\P{Script_Extensions=-BALINESE}', "");
    Expect(0, 7039, '\P{^Script_Extensions=-BALINESE}', "");
    Error('\p{Scx=	:=Bali}');
    Error('\P{Scx=	:=Bali}');
    Expect(1, 7038, '\p{Scx=:\ABali\z:}', "");;
    Expect(0, 7039, '\p{Scx=:\ABali\z:}', "");;
    Expect(1, 7038, '\p{Scx=bali}', "");
    Expect(0, 7038, '\p{^Scx=bali}', "");
    Expect(0, 7038, '\P{Scx=bali}', "");
    Expect(1, 7038, '\P{^Scx=bali}', "");
    Expect(0, 7039, '\p{Scx=bali}', "");
    Expect(1, 7039, '\p{^Scx=bali}', "");
    Expect(1, 7039, '\P{Scx=bali}', "");
    Expect(0, 7039, '\P{^Scx=bali}', "");
    Expect(1, 7038, '\p{Scx=:\Abali\z:}', "");;
    Expect(0, 7039, '\p{Scx=:\Abali\z:}', "");;
    Expect(1, 7038, '\p{Scx=-bali}', "");
    Expect(0, 7038, '\p{^Scx=-bali}', "");
    Expect(0, 7038, '\P{Scx=-bali}', "");
    Expect(1, 7038, '\P{^Scx=-bali}', "");
    Expect(0, 7039, '\p{Scx=-bali}', "");
    Expect(1, 7039, '\p{^Scx=-bali}', "");
    Expect(1, 7039, '\P{Scx=-bali}', "");
    Expect(0, 7039, '\P{^Scx=-bali}', "");
    Error('\p{Is_Script_Extensions=_-Balinese:=}');
    Error('\P{Is_Script_Extensions=_-Balinese:=}');
    Expect(1, 7038, '\p{Is_Script_Extensions=balinese}', "");
    Expect(0, 7038, '\p{^Is_Script_Extensions=balinese}', "");
    Expect(0, 7038, '\P{Is_Script_Extensions=balinese}', "");
    Expect(1, 7038, '\P{^Is_Script_Extensions=balinese}', "");
    Expect(0, 7039, '\p{Is_Script_Extensions=balinese}', "");
    Expect(1, 7039, '\p{^Is_Script_Extensions=balinese}', "");
    Expect(1, 7039, '\P{Is_Script_Extensions=balinese}', "");
    Expect(0, 7039, '\P{^Is_Script_Extensions=balinese}', "");
    Expect(1, 7038, '\p{Is_Script_Extensions=  BALINESE}', "");
    Expect(0, 7038, '\p{^Is_Script_Extensions=  BALINESE}', "");
    Expect(0, 7038, '\P{Is_Script_Extensions=  BALINESE}', "");
    Expect(1, 7038, '\P{^Is_Script_Extensions=  BALINESE}', "");
    Expect(0, 7039, '\p{Is_Script_Extensions=  BALINESE}', "");
    Expect(1, 7039, '\p{^Is_Script_Extensions=  BALINESE}', "");
    Expect(1, 7039, '\P{Is_Script_Extensions=  BALINESE}', "");
    Expect(0, 7039, '\P{^Is_Script_Extensions=  BALINESE}', "");
    Error('\p{Is_Scx=		bali:=}');
    Error('\P{Is_Scx=		bali:=}');
    Expect(1, 7038, '\p{Is_Scx=bali}', "");
    Expect(0, 7038, '\p{^Is_Scx=bali}', "");
    Expect(0, 7038, '\P{Is_Scx=bali}', "");
    Expect(1, 7038, '\P{^Is_Scx=bali}', "");
    Expect(0, 7039, '\p{Is_Scx=bali}', "");
    Expect(1, 7039, '\p{^Is_Scx=bali}', "");
    Expect(1, 7039, '\P{Is_Scx=bali}', "");
    Expect(0, 7039, '\P{^Is_Scx=bali}', "");
    Expect(1, 7038, '\p{Is_Scx=_	Bali}', "");
    Expect(0, 7038, '\p{^Is_Scx=_	Bali}', "");
    Expect(0, 7038, '\P{Is_Scx=_	Bali}', "");
    Expect(1, 7038, '\P{^Is_Scx=_	Bali}', "");
    Expect(0, 7039, '\p{Is_Scx=_	Bali}', "");
    Expect(1, 7039, '\p{^Is_Scx=_	Bali}', "");
    Expect(1, 7039, '\P{Is_Scx=_	Bali}', "");
    Expect(0, 7039, '\P{^Is_Scx=_	Bali}', "");
    Error('\p{Script_Extensions=:=- bamum}');
    Error('\P{Script_Extensions=:=- bamum}');
    Expect(1, 92728, '\p{Script_Extensions=:\ABamum\z:}', "");;
    Expect(0, 92729, '\p{Script_Extensions=:\ABamum\z:}', "");;
    Expect(1, 92728, '\p{Script_Extensions=bamum}', "");
    Expect(0, 92728, '\p{^Script_Extensions=bamum}', "");
    Expect(0, 92728, '\P{Script_Extensions=bamum}', "");
    Expect(1, 92728, '\P{^Script_Extensions=bamum}', "");
    Expect(0, 92729, '\p{Script_Extensions=bamum}', "");
    Expect(1, 92729, '\p{^Script_Extensions=bamum}', "");
    Expect(1, 92729, '\P{Script_Extensions=bamum}', "");
    Expect(0, 92729, '\P{^Script_Extensions=bamum}', "");
    Expect(1, 92728, '\p{Script_Extensions=:\Abamum\z:}', "");;
    Expect(0, 92729, '\p{Script_Extensions=:\Abamum\z:}', "");;
    Expect(1, 92728, '\p{Script_Extensions=__Bamum}', "");
    Expect(0, 92728, '\p{^Script_Extensions=__Bamum}', "");
    Expect(0, 92728, '\P{Script_Extensions=__Bamum}', "");
    Expect(1, 92728, '\P{^Script_Extensions=__Bamum}', "");
    Expect(0, 92729, '\p{Script_Extensions=__Bamum}', "");
    Expect(1, 92729, '\p{^Script_Extensions=__Bamum}', "");
    Expect(1, 92729, '\P{Script_Extensions=__Bamum}', "");
    Expect(0, 92729, '\P{^Script_Extensions=__Bamum}', "");
    Error('\p{Scx=:=	-Bamu}');
    Error('\P{Scx=:=	-Bamu}');
    Expect(1, 92728, '\p{Scx=:\ABamu\z:}', "");;
    Expect(0, 92729, '\p{Scx=:\ABamu\z:}', "");;
    Expect(1, 92728, '\p{Scx=bamu}', "");
    Expect(0, 92728, '\p{^Scx=bamu}', "");
    Expect(0, 92728, '\P{Scx=bamu}', "");
    Expect(1, 92728, '\P{^Scx=bamu}', "");
    Expect(0, 92729, '\p{Scx=bamu}', "");
    Expect(1, 92729, '\p{^Scx=bamu}', "");
    Expect(1, 92729, '\P{Scx=bamu}', "");
    Expect(0, 92729, '\P{^Scx=bamu}', "");
    Expect(1, 92728, '\p{Scx=:\Abamu\z:}', "");;
    Expect(0, 92729, '\p{Scx=:\Abamu\z:}', "");;
    Expect(1, 92728, '\p{Scx=	Bamu}', "");
    Expect(0, 92728, '\p{^Scx=	Bamu}', "");
    Expect(0, 92728, '\P{Scx=	Bamu}', "");
    Expect(1, 92728, '\P{^Scx=	Bamu}', "");
    Expect(0, 92729, '\p{Scx=	Bamu}', "");
    Expect(1, 92729, '\p{^Scx=	Bamu}', "");
    Expect(1, 92729, '\P{Scx=	Bamu}', "");
    Expect(0, 92729, '\P{^Scx=	Bamu}', "");
    Error('\p{Is_Script_Extensions=_ Bamum:=}');
    Error('\P{Is_Script_Extensions=_ Bamum:=}');
    Expect(1, 92728, '\p{Is_Script_Extensions=bamum}', "");
    Expect(0, 92728, '\p{^Is_Script_Extensions=bamum}', "");
    Expect(0, 92728, '\P{Is_Script_Extensions=bamum}', "");
    Expect(1, 92728, '\P{^Is_Script_Extensions=bamum}', "");
    Expect(0, 92729, '\p{Is_Script_Extensions=bamum}', "");
    Expect(1, 92729, '\p{^Is_Script_Extensions=bamum}', "");
    Expect(1, 92729, '\P{Is_Script_Extensions=bamum}', "");
    Expect(0, 92729, '\P{^Is_Script_Extensions=bamum}', "");
    Expect(1, 92728, '\p{Is_Script_Extensions=_Bamum}', "");
    Expect(0, 92728, '\p{^Is_Script_Extensions=_Bamum}', "");
    Expect(0, 92728, '\P{Is_Script_Extensions=_Bamum}', "");
    Expect(1, 92728, '\P{^Is_Script_Extensions=_Bamum}', "");
    Expect(0, 92729, '\p{Is_Script_Extensions=_Bamum}', "");
    Expect(1, 92729, '\p{^Is_Script_Extensions=_Bamum}', "");
    Expect(1, 92729, '\P{Is_Script_Extensions=_Bamum}', "");
    Expect(0, 92729, '\P{^Is_Script_Extensions=_Bamum}', "");
    Error('\p{Is_Scx= 	Bamu/a/}');
    Error('\P{Is_Scx= 	Bamu/a/}');
    Expect(1, 92728, '\p{Is_Scx=bamu}', "");
    Expect(0, 92728, '\p{^Is_Scx=bamu}', "");
    Expect(0, 92728, '\P{Is_Scx=bamu}', "");
    Expect(1, 92728, '\P{^Is_Scx=bamu}', "");
    Expect(0, 92729, '\p{Is_Scx=bamu}', "");
    Expect(1, 92729, '\p{^Is_Scx=bamu}', "");
    Expect(1, 92729, '\P{Is_Scx=bamu}', "");
    Expect(0, 92729, '\P{^Is_Scx=bamu}', "");
    Expect(1, 92728, '\p{Is_Scx= _Bamu}', "");
    Expect(0, 92728, '\p{^Is_Scx= _Bamu}', "");
    Expect(0, 92728, '\P{Is_Scx= _Bamu}', "");
    Expect(1, 92728, '\P{^Is_Scx= _Bamu}', "");
    Expect(0, 92729, '\p{Is_Scx= _Bamu}', "");
    Expect(1, 92729, '\p{^Is_Scx= _Bamu}', "");
    Expect(1, 92729, '\P{Is_Scx= _Bamu}', "");
    Expect(0, 92729, '\P{^Is_Scx= _Bamu}', "");
    Error('\p{Script_Extensions=--BASSA_Vah:=}');
    Error('\P{Script_Extensions=--BASSA_Vah:=}');
    Expect(1, 92917, '\p{Script_Extensions=:\ABassa_Vah\z:}', "");;
    Expect(0, 92918, '\p{Script_Extensions=:\ABassa_Vah\z:}', "");;
    Expect(1, 92917, '\p{Script_Extensions=bassavah}', "");
    Expect(0, 92917, '\p{^Script_Extensions=bassavah}', "");
    Expect(0, 92917, '\P{Script_Extensions=bassavah}', "");
    Expect(1, 92917, '\P{^Script_Extensions=bassavah}', "");
    Expect(0, 92918, '\p{Script_Extensions=bassavah}', "");
    Expect(1, 92918, '\p{^Script_Extensions=bassavah}', "");
    Expect(1, 92918, '\P{Script_Extensions=bassavah}', "");
    Expect(0, 92918, '\P{^Script_Extensions=bassavah}', "");
    Expect(1, 92917, '\p{Script_Extensions=:\Abassavah\z:}', "");;
    Expect(0, 92918, '\p{Script_Extensions=:\Abassavah\z:}', "");;
    Expect(1, 92917, '\p{Script_Extensions=-bassa_Vah}', "");
    Expect(0, 92917, '\p{^Script_Extensions=-bassa_Vah}', "");
    Expect(0, 92917, '\P{Script_Extensions=-bassa_Vah}', "");
    Expect(1, 92917, '\P{^Script_Extensions=-bassa_Vah}', "");
    Expect(0, 92918, '\p{Script_Extensions=-bassa_Vah}', "");
    Expect(1, 92918, '\p{^Script_Extensions=-bassa_Vah}', "");
    Expect(1, 92918, '\P{Script_Extensions=-bassa_Vah}', "");
    Expect(0, 92918, '\P{^Script_Extensions=-bassa_Vah}', "");
    Error('\p{Scx=__Bass/a/}');
    Error('\P{Scx=__Bass/a/}');
    Expect(1, 92917, '\p{Scx=:\ABass\z:}', "");;
    Expect(0, 92918, '\p{Scx=:\ABass\z:}', "");;
    Expect(1, 92917, '\p{Scx=bass}', "");
    Expect(0, 92917, '\p{^Scx=bass}', "");
    Expect(0, 92917, '\P{Scx=bass}', "");
    Expect(1, 92917, '\P{^Scx=bass}', "");
    Expect(0, 92918, '\p{Scx=bass}', "");
    Expect(1, 92918, '\p{^Scx=bass}', "");
    Expect(1, 92918, '\P{Scx=bass}', "");
    Expect(0, 92918, '\P{^Scx=bass}', "");
    Expect(1, 92917, '\p{Scx=:\Abass\z:}', "");;
    Expect(0, 92918, '\p{Scx=:\Abass\z:}', "");;
    Expect(1, 92917, '\p{Scx=_ bass}', "");
    Expect(0, 92917, '\p{^Scx=_ bass}', "");
    Expect(0, 92917, '\P{Scx=_ bass}', "");
    Expect(1, 92917, '\P{^Scx=_ bass}', "");
    Expect(0, 92918, '\p{Scx=_ bass}', "");
    Expect(1, 92918, '\p{^Scx=_ bass}', "");
    Expect(1, 92918, '\P{Scx=_ bass}', "");
    Expect(0, 92918, '\P{^Scx=_ bass}', "");
    Error('\p{Is_Script_Extensions=	-Bassa_VAH:=}');
    Error('\P{Is_Script_Extensions=	-Bassa_VAH:=}');
    Expect(1, 92917, '\p{Is_Script_Extensions=bassavah}', "");
    Expect(0, 92917, '\p{^Is_Script_Extensions=bassavah}', "");
    Expect(0, 92917, '\P{Is_Script_Extensions=bassavah}', "");
    Expect(1, 92917, '\P{^Is_Script_Extensions=bassavah}', "");
    Expect(0, 92918, '\p{Is_Script_Extensions=bassavah}', "");
    Expect(1, 92918, '\p{^Is_Script_Extensions=bassavah}', "");
    Expect(1, 92918, '\P{Is_Script_Extensions=bassavah}', "");
    Expect(0, 92918, '\P{^Is_Script_Extensions=bassavah}', "");
    Expect(1, 92917, '\p{Is_Script_Extensions=_Bassa_vah}', "");
    Expect(0, 92917, '\p{^Is_Script_Extensions=_Bassa_vah}', "");
    Expect(0, 92917, '\P{Is_Script_Extensions=_Bassa_vah}', "");
    Expect(1, 92917, '\P{^Is_Script_Extensions=_Bassa_vah}', "");
    Expect(0, 92918, '\p{Is_Script_Extensions=_Bassa_vah}', "");
    Expect(1, 92918, '\p{^Is_Script_Extensions=_Bassa_vah}', "");
    Expect(1, 92918, '\P{Is_Script_Extensions=_Bassa_vah}', "");
    Expect(0, 92918, '\P{^Is_Script_Extensions=_Bassa_vah}', "");
    Error('\p{Is_Scx=-/a/Bass}');
    Error('\P{Is_Scx=-/a/Bass}');
    Expect(1, 92917, '\p{Is_Scx=bass}', "");
    Expect(0, 92917, '\p{^Is_Scx=bass}', "");
    Expect(0, 92917, '\P{Is_Scx=bass}', "");
    Expect(1, 92917, '\P{^Is_Scx=bass}', "");
    Expect(0, 92918, '\p{Is_Scx=bass}', "");
    Expect(1, 92918, '\p{^Is_Scx=bass}', "");
    Expect(1, 92918, '\P{Is_Scx=bass}', "");
    Expect(0, 92918, '\P{^Is_Scx=bass}', "");
    Expect(1, 92917, '\p{Is_Scx=_ Bass}', "");
    Expect(0, 92917, '\p{^Is_Scx=_ Bass}', "");
    Expect(0, 92917, '\P{Is_Scx=_ Bass}', "");
    Expect(1, 92917, '\P{^Is_Scx=_ Bass}', "");
    Expect(0, 92918, '\p{Is_Scx=_ Bass}', "");
    Expect(1, 92918, '\p{^Is_Scx=_ Bass}', "");
    Expect(1, 92918, '\P{Is_Scx=_ Bass}', "");
    Expect(0, 92918, '\P{^Is_Scx=_ Bass}', "");
    Error('\p{Script_Extensions=_:=Batak}');
    Error('\P{Script_Extensions=_:=Batak}');
    Expect(1, 7167, '\p{Script_Extensions=:\ABatak\z:}', "");;
    Expect(0, 7168, '\p{Script_Extensions=:\ABatak\z:}', "");;
    Expect(1, 7167, '\p{Script_Extensions=batak}', "");
    Expect(0, 7167, '\p{^Script_Extensions=batak}', "");
    Expect(0, 7167, '\P{Script_Extensions=batak}', "");
    Expect(1, 7167, '\P{^Script_Extensions=batak}', "");
    Expect(0, 7168, '\p{Script_Extensions=batak}', "");
    Expect(1, 7168, '\p{^Script_Extensions=batak}', "");
    Expect(1, 7168, '\P{Script_Extensions=batak}', "");
    Expect(0, 7168, '\P{^Script_Extensions=batak}', "");
    Expect(1, 7167, '\p{Script_Extensions=:\Abatak\z:}', "");;
    Expect(0, 7168, '\p{Script_Extensions=:\Abatak\z:}', "");;
    Expect(1, 7167, '\p{Script_Extensions=_BATAK}', "");
    Expect(0, 7167, '\p{^Script_Extensions=_BATAK}', "");
    Expect(0, 7167, '\P{Script_Extensions=_BATAK}', "");
    Expect(1, 7167, '\P{^Script_Extensions=_BATAK}', "");
    Expect(0, 7168, '\p{Script_Extensions=_BATAK}', "");
    Expect(1, 7168, '\p{^Script_Extensions=_BATAK}', "");
    Expect(1, 7168, '\P{Script_Extensions=_BATAK}', "");
    Expect(0, 7168, '\P{^Script_Extensions=_BATAK}', "");
    Error('\p{Scx=:= BATK}');
    Error('\P{Scx=:= BATK}');
    Expect(1, 7167, '\p{Scx=:\ABatk\z:}', "");;
    Expect(0, 7168, '\p{Scx=:\ABatk\z:}', "");;
    Expect(1, 7167, '\p{Scx=batk}', "");
    Expect(0, 7167, '\p{^Scx=batk}', "");
    Expect(0, 7167, '\P{Scx=batk}', "");
    Expect(1, 7167, '\P{^Scx=batk}', "");
    Expect(0, 7168, '\p{Scx=batk}', "");
    Expect(1, 7168, '\p{^Scx=batk}', "");
    Expect(1, 7168, '\P{Scx=batk}', "");
    Expect(0, 7168, '\P{^Scx=batk}', "");
    Expect(1, 7167, '\p{Scx=:\Abatk\z:}', "");;
    Expect(0, 7168, '\p{Scx=:\Abatk\z:}', "");;
    Expect(1, 7167, '\p{Scx=	-BATK}', "");
    Expect(0, 7167, '\p{^Scx=	-BATK}', "");
    Expect(0, 7167, '\P{Scx=	-BATK}', "");
    Expect(1, 7167, '\P{^Scx=	-BATK}', "");
    Expect(0, 7168, '\p{Scx=	-BATK}', "");
    Expect(1, 7168, '\p{^Scx=	-BATK}', "");
    Expect(1, 7168, '\P{Scx=	-BATK}', "");
    Expect(0, 7168, '\P{^Scx=	-BATK}', "");
    Error('\p{Is_Script_Extensions= batak/a/}');
    Error('\P{Is_Script_Extensions= batak/a/}');
    Expect(1, 7167, '\p{Is_Script_Extensions:   batak}', "");
    Expect(0, 7167, '\p{^Is_Script_Extensions:   batak}', "");
    Expect(0, 7167, '\P{Is_Script_Extensions:   batak}', "");
    Expect(1, 7167, '\P{^Is_Script_Extensions:   batak}', "");
    Expect(0, 7168, '\p{Is_Script_Extensions:   batak}', "");
    Expect(1, 7168, '\p{^Is_Script_Extensions:   batak}', "");
    Expect(1, 7168, '\P{Is_Script_Extensions:   batak}', "");
    Expect(0, 7168, '\P{^Is_Script_Extensions:   batak}', "");
    Expect(1, 7167, '\p{Is_Script_Extensions=-BATAK}', "");
    Expect(0, 7167, '\p{^Is_Script_Extensions=-BATAK}', "");
    Expect(0, 7167, '\P{Is_Script_Extensions=-BATAK}', "");
    Expect(1, 7167, '\P{^Is_Script_Extensions=-BATAK}', "");
    Expect(0, 7168, '\p{Is_Script_Extensions=-BATAK}', "");
    Expect(1, 7168, '\p{^Is_Script_Extensions=-BATAK}', "");
    Expect(1, 7168, '\P{Is_Script_Extensions=-BATAK}', "");
    Expect(0, 7168, '\P{^Is_Script_Extensions=-BATAK}', "");
    Error('\p{Is_Scx=-/a/BATK}');
    Error('\P{Is_Scx=-/a/BATK}');
    Expect(1, 7167, '\p{Is_Scx=batk}', "");
    Expect(0, 7167, '\p{^Is_Scx=batk}', "");
    Expect(0, 7167, '\P{Is_Scx=batk}', "");
    Expect(1, 7167, '\P{^Is_Scx=batk}', "");
    Expect(0, 7168, '\p{Is_Scx=batk}', "");
    Expect(1, 7168, '\p{^Is_Scx=batk}', "");
    Expect(1, 7168, '\P{Is_Scx=batk}', "");
    Expect(0, 7168, '\P{^Is_Scx=batk}', "");
    Expect(1, 7167, '\p{Is_Scx= _Batk}', "");
    Expect(0, 7167, '\p{^Is_Scx= _Batk}', "");
    Expect(0, 7167, '\P{Is_Scx= _Batk}', "");
    Expect(1, 7167, '\P{^Is_Scx= _Batk}', "");
    Expect(0, 7168, '\p{Is_Scx= _Batk}', "");
    Expect(1, 7168, '\p{^Is_Scx= _Batk}', "");
    Expect(1, 7168, '\P{Is_Scx= _Batk}', "");
    Expect(0, 7168, '\P{^Is_Scx= _Batk}', "");
    Error('\p{Script_Extensions= Bengali/a/}');
    Error('\P{Script_Extensions= Bengali/a/}');
    Expect(1, 43249, '\p{Script_Extensions=:\ABengali\z:}', "");;
    Expect(0, 43250, '\p{Script_Extensions=:\ABengali\z:}', "");;
    Expect(1, 43249, '\p{Script_Extensions=bengali}', "");
    Expect(0, 43249, '\p{^Script_Extensions=bengali}', "");
    Expect(0, 43249, '\P{Script_Extensions=bengali}', "");
    Expect(1, 43249, '\P{^Script_Extensions=bengali}', "");
    Expect(0, 43250, '\p{Script_Extensions=bengali}', "");
    Expect(1, 43250, '\p{^Script_Extensions=bengali}', "");
    Expect(1, 43250, '\P{Script_Extensions=bengali}', "");
    Expect(0, 43250, '\P{^Script_Extensions=bengali}', "");
    Expect(1, 43249, '\p{Script_Extensions=:\Abengali\z:}', "");;
    Expect(0, 43250, '\p{Script_Extensions=:\Abengali\z:}', "");;
    Expect(1, 43249, '\p{Script_Extensions=__Bengali}', "");
    Expect(0, 43249, '\p{^Script_Extensions=__Bengali}', "");
    Expect(0, 43249, '\P{Script_Extensions=__Bengali}', "");
    Expect(1, 43249, '\P{^Script_Extensions=__Bengali}', "");
    Expect(0, 43250, '\p{Script_Extensions=__Bengali}', "");
    Expect(1, 43250, '\p{^Script_Extensions=__Bengali}', "");
    Expect(1, 43250, '\P{Script_Extensions=__Bengali}', "");
    Expect(0, 43250, '\P{^Script_Extensions=__Bengali}', "");
    Error('\p{Scx=/a/_-BENG}');
    Error('\P{Scx=/a/_-BENG}');
    Expect(1, 43249, '\p{Scx=:\ABeng\z:}', "");;
    Expect(0, 43250, '\p{Scx=:\ABeng\z:}', "");;
    Expect(1, 43249, '\p{Scx=beng}', "");
    Expect(0, 43249, '\p{^Scx=beng}', "");
    Expect(0, 43249, '\P{Scx=beng}', "");
    Expect(1, 43249, '\P{^Scx=beng}', "");
    Expect(0, 43250, '\p{Scx=beng}', "");
    Expect(1, 43250, '\p{^Scx=beng}', "");
    Expect(1, 43250, '\P{Scx=beng}', "");
    Expect(0, 43250, '\P{^Scx=beng}', "");
    Expect(1, 43249, '\p{Scx=:\Abeng\z:}', "");;
    Expect(0, 43250, '\p{Scx=:\Abeng\z:}', "");;
    Expect(1, 43249, '\p{Scx=	-Beng}', "");
    Expect(0, 43249, '\p{^Scx=	-Beng}', "");
    Expect(0, 43249, '\P{Scx=	-Beng}', "");
    Expect(1, 43249, '\P{^Scx=	-Beng}', "");
    Expect(0, 43250, '\p{Scx=	-Beng}', "");
    Expect(1, 43250, '\p{^Scx=	-Beng}', "");
    Expect(1, 43250, '\P{Scx=	-Beng}', "");
    Expect(0, 43250, '\P{^Scx=	-Beng}', "");
    Error('\p{Is_Script_Extensions=	bengali:=}');
    Error('\P{Is_Script_Extensions=	bengali:=}');
    Expect(1, 43249, '\p{Is_Script_Extensions=bengali}', "");
    Expect(0, 43249, '\p{^Is_Script_Extensions=bengali}', "");
    Expect(0, 43249, '\P{Is_Script_Extensions=bengali}', "");
    Expect(1, 43249, '\P{^Is_Script_Extensions=bengali}', "");
    Expect(0, 43250, '\p{Is_Script_Extensions=bengali}', "");
    Expect(1, 43250, '\p{^Is_Script_Extensions=bengali}', "");
    Expect(1, 43250, '\P{Is_Script_Extensions=bengali}', "");
    Expect(0, 43250, '\P{^Is_Script_Extensions=bengali}', "");
    Expect(1, 43249, '\p{Is_Script_Extensions=  Bengali}', "");
    Expect(0, 43249, '\p{^Is_Script_Extensions=  Bengali}', "");
    Expect(0, 43249, '\P{Is_Script_Extensions=  Bengali}', "");
    Expect(1, 43249, '\P{^Is_Script_Extensions=  Bengali}', "");
    Expect(0, 43250, '\p{Is_Script_Extensions=  Bengali}', "");
    Expect(1, 43250, '\p{^Is_Script_Extensions=  Bengali}', "");
    Expect(1, 43250, '\P{Is_Script_Extensions=  Bengali}', "");
    Expect(0, 43250, '\P{^Is_Script_Extensions=  Bengali}', "");
    Error('\p{Is_Scx= -beng:=}');
    Error('\P{Is_Scx= -beng:=}');
    Expect(1, 43249, '\p{Is_Scx=beng}', "");
    Expect(0, 43249, '\p{^Is_Scx=beng}', "");
    Expect(0, 43249, '\P{Is_Scx=beng}', "");
    Expect(1, 43249, '\P{^Is_Scx=beng}', "");
    Expect(0, 43250, '\p{Is_Scx=beng}', "");
    Expect(1, 43250, '\p{^Is_Scx=beng}', "");
    Expect(1, 43250, '\P{Is_Scx=beng}', "");
    Expect(0, 43250, '\P{^Is_Scx=beng}', "");
    Expect(1, 43249, '\p{Is_Scx=--Beng}', "");
    Expect(0, 43249, '\p{^Is_Scx=--Beng}', "");
    Expect(0, 43249, '\P{Is_Scx=--Beng}', "");
    Expect(1, 43249, '\P{^Is_Scx=--Beng}', "");
    Expect(0, 43250, '\p{Is_Scx=--Beng}', "");
    Expect(1, 43250, '\p{^Is_Scx=--Beng}', "");
    Expect(1, 43250, '\P{Is_Scx=--Beng}', "");
    Expect(0, 43250, '\P{^Is_Scx=--Beng}', "");
    Error('\p{Script_Extensions=/a/	_BHAIKSUKI}');
    Error('\P{Script_Extensions=/a/	_BHAIKSUKI}');
    Expect(1, 72812, '\p{Script_Extensions=:\ABhaiksuki\z:}', "");;
    Expect(0, 72813, '\p{Script_Extensions=:\ABhaiksuki\z:}', "");;
    Expect(1, 72812, '\p{Script_Extensions=bhaiksuki}', "");
    Expect(0, 72812, '\p{^Script_Extensions=bhaiksuki}', "");
    Expect(0, 72812, '\P{Script_Extensions=bhaiksuki}', "");
    Expect(1, 72812, '\P{^Script_Extensions=bhaiksuki}', "");
    Expect(0, 72813, '\p{Script_Extensions=bhaiksuki}', "");
    Expect(1, 72813, '\p{^Script_Extensions=bhaiksuki}', "");
    Expect(1, 72813, '\P{Script_Extensions=bhaiksuki}', "");
    Expect(0, 72813, '\P{^Script_Extensions=bhaiksuki}', "");
    Expect(1, 72812, '\p{Script_Extensions=:\Abhaiksuki\z:}', "");;
    Expect(0, 72813, '\p{Script_Extensions=:\Abhaiksuki\z:}', "");;
    Expect(1, 72812, '\p{Script_Extensions:   _ Bhaiksuki}', "");
    Expect(0, 72812, '\p{^Script_Extensions:   _ Bhaiksuki}', "");
    Expect(0, 72812, '\P{Script_Extensions:   _ Bhaiksuki}', "");
    Expect(1, 72812, '\P{^Script_Extensions:   _ Bhaiksuki}', "");
    Expect(0, 72813, '\p{Script_Extensions:   _ Bhaiksuki}', "");
    Expect(1, 72813, '\p{^Script_Extensions:   _ Bhaiksuki}', "");
    Expect(1, 72813, '\P{Script_Extensions:   _ Bhaiksuki}', "");
    Expect(0, 72813, '\P{^Script_Extensions:   _ Bhaiksuki}', "");
    Error('\p{Scx=		BHKS/a/}');
    Error('\P{Scx=		BHKS/a/}');
    Expect(1, 72812, '\p{Scx=:\ABhks\z:}', "");;
    Expect(0, 72813, '\p{Scx=:\ABhks\z:}', "");;
    Expect(1, 72812, '\p{Scx=bhks}', "");
    Expect(0, 72812, '\p{^Scx=bhks}', "");
    Expect(0, 72812, '\P{Scx=bhks}', "");
    Expect(1, 72812, '\P{^Scx=bhks}', "");
    Expect(0, 72813, '\p{Scx=bhks}', "");
    Expect(1, 72813, '\p{^Scx=bhks}', "");
    Expect(1, 72813, '\P{Scx=bhks}', "");
    Expect(0, 72813, '\P{^Scx=bhks}', "");
    Expect(1, 72812, '\p{Scx=:\Abhks\z:}', "");;
    Expect(0, 72813, '\p{Scx=:\Abhks\z:}', "");;
    Expect(1, 72812, '\p{Scx=	_BHKS}', "");
    Expect(0, 72812, '\p{^Scx=	_BHKS}', "");
    Expect(0, 72812, '\P{Scx=	_BHKS}', "");
    Expect(1, 72812, '\P{^Scx=	_BHKS}', "");
    Expect(0, 72813, '\p{Scx=	_BHKS}', "");
    Expect(1, 72813, '\p{^Scx=	_BHKS}', "");
    Expect(1, 72813, '\P{Scx=	_BHKS}', "");
    Expect(0, 72813, '\P{^Scx=	_BHKS}', "");
    Error('\p{Is_Script_Extensions=:=Bhaiksuki}');
    Error('\P{Is_Script_Extensions=:=Bhaiksuki}');
    Expect(1, 72812, '\p{Is_Script_Extensions=bhaiksuki}', "");
    Expect(0, 72812, '\p{^Is_Script_Extensions=bhaiksuki}', "");
    Expect(0, 72812, '\P{Is_Script_Extensions=bhaiksuki}', "");
    Expect(1, 72812, '\P{^Is_Script_Extensions=bhaiksuki}', "");
    Expect(0, 72813, '\p{Is_Script_Extensions=bhaiksuki}', "");
    Expect(1, 72813, '\p{^Is_Script_Extensions=bhaiksuki}', "");
    Expect(1, 72813, '\P{Is_Script_Extensions=bhaiksuki}', "");
    Expect(0, 72813, '\P{^Is_Script_Extensions=bhaiksuki}', "");
    Expect(1, 72812, '\p{Is_Script_Extensions=-BHAIKSUKI}', "");
    Expect(0, 72812, '\p{^Is_Script_Extensions=-BHAIKSUKI}', "");
    Expect(0, 72812, '\P{Is_Script_Extensions=-BHAIKSUKI}', "");
    Expect(1, 72812, '\P{^Is_Script_Extensions=-BHAIKSUKI}', "");
    Expect(0, 72813, '\p{Is_Script_Extensions=-BHAIKSUKI}', "");
    Expect(1, 72813, '\p{^Is_Script_Extensions=-BHAIKSUKI}', "");
    Expect(1, 72813, '\P{Is_Script_Extensions=-BHAIKSUKI}', "");
    Expect(0, 72813, '\P{^Is_Script_Extensions=-BHAIKSUKI}', "");
    Error('\p{Is_Scx=-:=Bhks}');
    Error('\P{Is_Scx=-:=Bhks}');
    Expect(1, 72812, '\p{Is_Scx=bhks}', "");
    Expect(0, 72812, '\p{^Is_Scx=bhks}', "");
    Expect(0, 72812, '\P{Is_Scx=bhks}', "");
    Expect(1, 72812, '\P{^Is_Scx=bhks}', "");
    Expect(0, 72813, '\p{Is_Scx=bhks}', "");
    Expect(1, 72813, '\p{^Is_Scx=bhks}', "");
    Expect(1, 72813, '\P{Is_Scx=bhks}', "");
    Expect(0, 72813, '\P{^Is_Scx=bhks}', "");
    Expect(1, 72812, '\p{Is_Scx= -bhks}', "");
    Expect(0, 72812, '\p{^Is_Scx= -bhks}', "");
    Expect(0, 72812, '\P{Is_Scx= -bhks}', "");
    Expect(1, 72812, '\P{^Is_Scx= -bhks}', "");
    Expect(0, 72813, '\p{Is_Scx= -bhks}', "");
    Expect(1, 72813, '\p{^Is_Scx= -bhks}', "");
    Expect(1, 72813, '\P{Is_Scx= -bhks}', "");
    Expect(0, 72813, '\P{^Is_Scx= -bhks}', "");
    Error('\p{Script_Extensions=__Bopomofo/a/}');
    Error('\P{Script_Extensions=__Bopomofo/a/}');
    Expect(1, 65381, '\p{Script_Extensions=:\ABopomofo\z:}', "");;
    Expect(0, 65382, '\p{Script_Extensions=:\ABopomofo\z:}', "");;
    Expect(1, 65381, '\p{Script_Extensions=bopomofo}', "");
    Expect(0, 65381, '\p{^Script_Extensions=bopomofo}', "");
    Expect(0, 65381, '\P{Script_Extensions=bopomofo}', "");
    Expect(1, 65381, '\P{^Script_Extensions=bopomofo}', "");
    Expect(0, 65382, '\p{Script_Extensions=bopomofo}', "");
    Expect(1, 65382, '\p{^Script_Extensions=bopomofo}', "");
    Expect(1, 65382, '\P{Script_Extensions=bopomofo}', "");
    Expect(0, 65382, '\P{^Script_Extensions=bopomofo}', "");
    Expect(1, 65381, '\p{Script_Extensions=:\Abopomofo\z:}', "");;
    Expect(0, 65382, '\p{Script_Extensions=:\Abopomofo\z:}', "");;
    Expect(1, 65381, '\p{Script_Extensions=	BOPOMOFO}', "");
    Expect(0, 65381, '\p{^Script_Extensions=	BOPOMOFO}', "");
    Expect(0, 65381, '\P{Script_Extensions=	BOPOMOFO}', "");
    Expect(1, 65381, '\P{^Script_Extensions=	BOPOMOFO}', "");
    Expect(0, 65382, '\p{Script_Extensions=	BOPOMOFO}', "");
    Expect(1, 65382, '\p{^Script_Extensions=	BOPOMOFO}', "");
    Expect(1, 65382, '\P{Script_Extensions=	BOPOMOFO}', "");
    Expect(0, 65382, '\P{^Script_Extensions=	BOPOMOFO}', "");
    Error('\p{Scx=-_Bopo/a/}');
    Error('\P{Scx=-_Bopo/a/}');
    Expect(1, 65381, '\p{Scx=:\ABopo\z:}', "");;
    Expect(0, 65382, '\p{Scx=:\ABopo\z:}', "");;
    Expect(1, 65381, '\p{Scx=bopo}', "");
    Expect(0, 65381, '\p{^Scx=bopo}', "");
    Expect(0, 65381, '\P{Scx=bopo}', "");
    Expect(1, 65381, '\P{^Scx=bopo}', "");
    Expect(0, 65382, '\p{Scx=bopo}', "");
    Expect(1, 65382, '\p{^Scx=bopo}', "");
    Expect(1, 65382, '\P{Scx=bopo}', "");
    Expect(0, 65382, '\P{^Scx=bopo}', "");
    Expect(1, 65381, '\p{Scx=:\Abopo\z:}', "");;
    Expect(0, 65382, '\p{Scx=:\Abopo\z:}', "");;
    Expect(1, 65381, '\p{Scx=--bopo}', "");
    Expect(0, 65381, '\p{^Scx=--bopo}', "");
    Expect(0, 65381, '\P{Scx=--bopo}', "");
    Expect(1, 65381, '\P{^Scx=--bopo}', "");
    Expect(0, 65382, '\p{Scx=--bopo}', "");
    Expect(1, 65382, '\p{^Scx=--bopo}', "");
    Expect(1, 65382, '\P{Scx=--bopo}', "");
    Expect(0, 65382, '\P{^Scx=--bopo}', "");
    Error('\p{Is_Script_Extensions=_:=BOPOMOFO}');
    Error('\P{Is_Script_Extensions=_:=BOPOMOFO}');
    Expect(1, 65381, '\p{Is_Script_Extensions=bopomofo}', "");
    Expect(0, 65381, '\p{^Is_Script_Extensions=bopomofo}', "");
    Expect(0, 65381, '\P{Is_Script_Extensions=bopomofo}', "");
    Expect(1, 65381, '\P{^Is_Script_Extensions=bopomofo}', "");
    Expect(0, 65382, '\p{Is_Script_Extensions=bopomofo}', "");
    Expect(1, 65382, '\p{^Is_Script_Extensions=bopomofo}', "");
    Expect(1, 65382, '\P{Is_Script_Extensions=bopomofo}', "");
    Expect(0, 65382, '\P{^Is_Script_Extensions=bopomofo}', "");
    Expect(1, 65381, '\p{Is_Script_Extensions=_ Bopomofo}', "");
    Expect(0, 65381, '\p{^Is_Script_Extensions=_ Bopomofo}', "");
    Expect(0, 65381, '\P{Is_Script_Extensions=_ Bopomofo}', "");
    Expect(1, 65381, '\P{^Is_Script_Extensions=_ Bopomofo}', "");
    Expect(0, 65382, '\p{Is_Script_Extensions=_ Bopomofo}', "");
    Expect(1, 65382, '\p{^Is_Script_Extensions=_ Bopomofo}', "");
    Expect(1, 65382, '\P{Is_Script_Extensions=_ Bopomofo}', "");
    Expect(0, 65382, '\P{^Is_Script_Extensions=_ Bopomofo}', "");
    Error('\p{Is_Scx=/a/-Bopo}');
    Error('\P{Is_Scx=/a/-Bopo}');
    Expect(1, 65381, '\p{Is_Scx=bopo}', "");
    Expect(0, 65381, '\p{^Is_Scx=bopo}', "");
    Expect(0, 65381, '\P{Is_Scx=bopo}', "");
    Expect(1, 65381, '\P{^Is_Scx=bopo}', "");
    Expect(0, 65382, '\p{Is_Scx=bopo}', "");
    Expect(1, 65382, '\p{^Is_Scx=bopo}', "");
    Expect(1, 65382, '\P{Is_Scx=bopo}', "");
    Expect(0, 65382, '\P{^Is_Scx=bopo}', "");
    Expect(1, 65381, '\p{Is_Scx= Bopo}', "");
    Expect(0, 65381, '\p{^Is_Scx= Bopo}', "");
    Expect(0, 65381, '\P{Is_Scx= Bopo}', "");
    Expect(1, 65381, '\P{^Is_Scx= Bopo}', "");
    Expect(0, 65382, '\p{Is_Scx= Bopo}', "");
    Expect(1, 65382, '\p{^Is_Scx= Bopo}', "");
    Expect(1, 65382, '\P{Is_Scx= Bopo}', "");
    Expect(0, 65382, '\P{^Is_Scx= Bopo}', "");
    Error('\p{Script_Extensions=:=--Brahmi}');
    Error('\P{Script_Extensions=:=--Brahmi}');
    Expect(1, 69759, '\p{Script_Extensions=:\ABrahmi\z:}', "");;
    Expect(0, 69760, '\p{Script_Extensions=:\ABrahmi\z:}', "");;
    Expect(1, 69759, '\p{Script_Extensions=brahmi}', "");
    Expect(0, 69759, '\p{^Script_Extensions=brahmi}', "");
    Expect(0, 69759, '\P{Script_Extensions=brahmi}', "");
    Expect(1, 69759, '\P{^Script_Extensions=brahmi}', "");
    Expect(0, 69760, '\p{Script_Extensions=brahmi}', "");
    Expect(1, 69760, '\p{^Script_Extensions=brahmi}', "");
    Expect(1, 69760, '\P{Script_Extensions=brahmi}', "");
    Expect(0, 69760, '\P{^Script_Extensions=brahmi}', "");
    Expect(1, 69759, '\p{Script_Extensions=:\Abrahmi\z:}', "");;
    Expect(0, 69760, '\p{Script_Extensions=:\Abrahmi\z:}', "");;
    Expect(1, 69759, '\p{Script_Extensions= 	brahmi}', "");
    Expect(0, 69759, '\p{^Script_Extensions= 	brahmi}', "");
    Expect(0, 69759, '\P{Script_Extensions= 	brahmi}', "");
    Expect(1, 69759, '\P{^Script_Extensions= 	brahmi}', "");
    Expect(0, 69760, '\p{Script_Extensions= 	brahmi}', "");
    Expect(1, 69760, '\p{^Script_Extensions= 	brahmi}', "");
    Expect(1, 69760, '\P{Script_Extensions= 	brahmi}', "");
    Expect(0, 69760, '\P{^Script_Extensions= 	brahmi}', "");
    Error('\p{Scx=/a/-Brah}');
    Error('\P{Scx=/a/-Brah}');
    Expect(1, 69759, '\p{Scx=:\ABrah\z:}', "");;
    Expect(0, 69760, '\p{Scx=:\ABrah\z:}', "");;
    Expect(1, 69759, '\p{Scx=brah}', "");
    Expect(0, 69759, '\p{^Scx=brah}', "");
    Expect(0, 69759, '\P{Scx=brah}', "");
    Expect(1, 69759, '\P{^Scx=brah}', "");
    Expect(0, 69760, '\p{Scx=brah}', "");
    Expect(1, 69760, '\p{^Scx=brah}', "");
    Expect(1, 69760, '\P{Scx=brah}', "");
    Expect(0, 69760, '\P{^Scx=brah}', "");
    Expect(1, 69759, '\p{Scx=:\Abrah\z:}', "");;
    Expect(0, 69760, '\p{Scx=:\Abrah\z:}', "");;
    Expect(1, 69759, '\p{Scx=--brah}', "");
    Expect(0, 69759, '\p{^Scx=--brah}', "");
    Expect(0, 69759, '\P{Scx=--brah}', "");
    Expect(1, 69759, '\P{^Scx=--brah}', "");
    Expect(0, 69760, '\p{Scx=--brah}', "");
    Expect(1, 69760, '\p{^Scx=--brah}', "");
    Expect(1, 69760, '\P{Scx=--brah}', "");
    Expect(0, 69760, '\P{^Scx=--brah}', "");
    Error('\p{Is_Script_Extensions=-/a/BRAHMI}');
    Error('\P{Is_Script_Extensions=-/a/BRAHMI}');
    Expect(1, 69759, '\p{Is_Script_Extensions=brahmi}', "");
    Expect(0, 69759, '\p{^Is_Script_Extensions=brahmi}', "");
    Expect(0, 69759, '\P{Is_Script_Extensions=brahmi}', "");
    Expect(1, 69759, '\P{^Is_Script_Extensions=brahmi}', "");
    Expect(0, 69760, '\p{Is_Script_Extensions=brahmi}', "");
    Expect(1, 69760, '\p{^Is_Script_Extensions=brahmi}', "");
    Expect(1, 69760, '\P{Is_Script_Extensions=brahmi}', "");
    Expect(0, 69760, '\P{^Is_Script_Extensions=brahmi}', "");
    Expect(1, 69759, '\p{Is_Script_Extensions=_Brahmi}', "");
    Expect(0, 69759, '\p{^Is_Script_Extensions=_Brahmi}', "");
    Expect(0, 69759, '\P{Is_Script_Extensions=_Brahmi}', "");
    Expect(1, 69759, '\P{^Is_Script_Extensions=_Brahmi}', "");
    Expect(0, 69760, '\p{Is_Script_Extensions=_Brahmi}', "");
    Expect(1, 69760, '\p{^Is_Script_Extensions=_Brahmi}', "");
    Expect(1, 69760, '\P{Is_Script_Extensions=_Brahmi}', "");
    Expect(0, 69760, '\P{^Is_Script_Extensions=_Brahmi}', "");
    Error('\p{Is_Scx= -brah/a/}');
    Error('\P{Is_Scx= -brah/a/}');
    Expect(1, 69759, '\p{Is_Scx=brah}', "");
    Expect(0, 69759, '\p{^Is_Scx=brah}', "");
    Expect(0, 69759, '\P{Is_Scx=brah}', "");
    Expect(1, 69759, '\P{^Is_Scx=brah}', "");
    Expect(0, 69760, '\p{Is_Scx=brah}', "");
    Expect(1, 69760, '\p{^Is_Scx=brah}', "");
    Expect(1, 69760, '\P{Is_Scx=brah}', "");
    Expect(0, 69760, '\P{^Is_Scx=brah}', "");
    Expect(1, 69759, '\p{Is_Scx= -Brah}', "");
    Expect(0, 69759, '\p{^Is_Scx= -Brah}', "");
    Expect(0, 69759, '\P{Is_Scx= -Brah}', "");
    Expect(1, 69759, '\P{^Is_Scx= -Brah}', "");
    Expect(0, 69760, '\p{Is_Scx= -Brah}', "");
    Expect(1, 69760, '\p{^Is_Scx= -Brah}', "");
    Expect(1, 69760, '\P{Is_Scx= -Brah}', "");
    Expect(0, 69760, '\P{^Is_Scx= -Brah}', "");
    Error('\p{Script_Extensions=:=_ Braille}');
    Error('\P{Script_Extensions=:=_ Braille}');
    Expect(1, 10495, '\p{Script_Extensions=:\ABraille\z:}', "");;
    Expect(0, 10496, '\p{Script_Extensions=:\ABraille\z:}', "");;
    Expect(1, 10495, '\p{Script_Extensions=braille}', "");
    Expect(0, 10495, '\p{^Script_Extensions=braille}', "");
    Expect(0, 10495, '\P{Script_Extensions=braille}', "");
    Expect(1, 10495, '\P{^Script_Extensions=braille}', "");
    Expect(0, 10496, '\p{Script_Extensions=braille}', "");
    Expect(1, 10496, '\p{^Script_Extensions=braille}', "");
    Expect(1, 10496, '\P{Script_Extensions=braille}', "");
    Expect(0, 10496, '\P{^Script_Extensions=braille}', "");
    Expect(1, 10495, '\p{Script_Extensions=:\Abraille\z:}', "");;
    Expect(0, 10496, '\p{Script_Extensions=:\Abraille\z:}', "");;
    Expect(1, 10495, '\p{Script_Extensions=	_braille}', "");
    Expect(0, 10495, '\p{^Script_Extensions=	_braille}', "");
    Expect(0, 10495, '\P{Script_Extensions=	_braille}', "");
    Expect(1, 10495, '\P{^Script_Extensions=	_braille}', "");
    Expect(0, 10496, '\p{Script_Extensions=	_braille}', "");
    Expect(1, 10496, '\p{^Script_Extensions=	_braille}', "");
    Expect(1, 10496, '\P{Script_Extensions=	_braille}', "");
    Expect(0, 10496, '\P{^Script_Extensions=	_braille}', "");
    Error('\p{Scx=:= 	Brai}');
    Error('\P{Scx=:= 	Brai}');
    Expect(1, 10495, '\p{Scx=:\ABrai\z:}', "");;
    Expect(0, 10496, '\p{Scx=:\ABrai\z:}', "");;
    Expect(1, 10495, '\p{Scx=brai}', "");
    Expect(0, 10495, '\p{^Scx=brai}', "");
    Expect(0, 10495, '\P{Scx=brai}', "");
    Expect(1, 10495, '\P{^Scx=brai}', "");
    Expect(0, 10496, '\p{Scx=brai}', "");
    Expect(1, 10496, '\p{^Scx=brai}', "");
    Expect(1, 10496, '\P{Scx=brai}', "");
    Expect(0, 10496, '\P{^Scx=brai}', "");
    Expect(1, 10495, '\p{Scx=:\Abrai\z:}', "");;
    Expect(0, 10496, '\p{Scx=:\Abrai\z:}', "");;
    Expect(1, 10495, '\p{Scx=  Brai}', "");
    Expect(0, 10495, '\p{^Scx=  Brai}', "");
    Expect(0, 10495, '\P{Scx=  Brai}', "");
    Expect(1, 10495, '\P{^Scx=  Brai}', "");
    Expect(0, 10496, '\p{Scx=  Brai}', "");
    Expect(1, 10496, '\p{^Scx=  Brai}', "");
    Expect(1, 10496, '\P{Scx=  Brai}', "");
    Expect(0, 10496, '\P{^Scx=  Brai}', "");
    Error('\p{Is_Script_Extensions=-_braille:=}');
    Error('\P{Is_Script_Extensions=-_braille:=}');
    Expect(1, 10495, '\p{Is_Script_Extensions=braille}', "");
    Expect(0, 10495, '\p{^Is_Script_Extensions=braille}', "");
    Expect(0, 10495, '\P{Is_Script_Extensions=braille}', "");
    Expect(1, 10495, '\P{^Is_Script_Extensions=braille}', "");
    Expect(0, 10496, '\p{Is_Script_Extensions=braille}', "");
    Expect(1, 10496, '\p{^Is_Script_Extensions=braille}', "");
    Expect(1, 10496, '\P{Is_Script_Extensions=braille}', "");
    Expect(0, 10496, '\P{^Is_Script_Extensions=braille}', "");
    Expect(1, 10495, '\p{Is_Script_Extensions=-BRAILLE}', "");
    Expect(0, 10495, '\p{^Is_Script_Extensions=-BRAILLE}', "");
    Expect(0, 10495, '\P{Is_Script_Extensions=-BRAILLE}', "");
    Expect(1, 10495, '\P{^Is_Script_Extensions=-BRAILLE}', "");
    Expect(0, 10496, '\p{Is_Script_Extensions=-BRAILLE}', "");
    Expect(1, 10496, '\p{^Is_Script_Extensions=-BRAILLE}', "");
    Expect(1, 10496, '\P{Is_Script_Extensions=-BRAILLE}', "");
    Expect(0, 10496, '\P{^Is_Script_Extensions=-BRAILLE}', "");
    Error('\p{Is_Scx=	:=Brai}');
    Error('\P{Is_Scx=	:=Brai}');
    Expect(1, 10495, '\p{Is_Scx=brai}', "");
    Expect(0, 10495, '\p{^Is_Scx=brai}', "");
    Expect(0, 10495, '\P{Is_Scx=brai}', "");
    Expect(1, 10495, '\P{^Is_Scx=brai}', "");
    Expect(0, 10496, '\p{Is_Scx=brai}', "");
    Expect(1, 10496, '\p{^Is_Scx=brai}', "");
    Expect(1, 10496, '\P{Is_Scx=brai}', "");
    Expect(0, 10496, '\P{^Is_Scx=brai}', "");
    Expect(1, 10495, '\p{Is_Scx= BRAI}', "");
    Expect(0, 10495, '\p{^Is_Scx= BRAI}', "");
    Expect(0, 10495, '\P{Is_Scx= BRAI}', "");
    Expect(1, 10495, '\P{^Is_Scx= BRAI}', "");
    Expect(0, 10496, '\p{Is_Scx= BRAI}', "");
    Expect(1, 10496, '\p{^Is_Scx= BRAI}', "");
    Expect(1, 10496, '\P{Is_Scx= BRAI}', "");
    Expect(0, 10496, '\P{^Is_Scx= BRAI}', "");
    Error('\p{Script_Extensions= /a/Buginese}');
    Error('\P{Script_Extensions= /a/Buginese}');
    Expect(1, 43471, '\p{Script_Extensions=:\ABuginese\z:}', "");;
    Expect(0, 43472, '\p{Script_Extensions=:\ABuginese\z:}', "");;
    Expect(1, 43471, '\p{Script_Extensions=buginese}', "");
    Expect(0, 43471, '\p{^Script_Extensions=buginese}', "");
    Expect(0, 43471, '\P{Script_Extensions=buginese}', "");
    Expect(1, 43471, '\P{^Script_Extensions=buginese}', "");
    Expect(0, 43472, '\p{Script_Extensions=buginese}', "");
    Expect(1, 43472, '\p{^Script_Extensions=buginese}', "");
    Expect(1, 43472, '\P{Script_Extensions=buginese}', "");
    Expect(0, 43472, '\P{^Script_Extensions=buginese}', "");
    Expect(1, 43471, '\p{Script_Extensions=:\Abuginese\z:}', "");;
    Expect(0, 43472, '\p{Script_Extensions=:\Abuginese\z:}', "");;
    Expect(1, 43471, '\p{Script_Extensions=	 buginese}', "");
    Expect(0, 43471, '\p{^Script_Extensions=	 buginese}', "");
    Expect(0, 43471, '\P{Script_Extensions=	 buginese}', "");
    Expect(1, 43471, '\P{^Script_Extensions=	 buginese}', "");
    Expect(0, 43472, '\p{Script_Extensions=	 buginese}', "");
    Expect(1, 43472, '\p{^Script_Extensions=	 buginese}', "");
    Expect(1, 43472, '\P{Script_Extensions=	 buginese}', "");
    Expect(0, 43472, '\P{^Script_Extensions=	 buginese}', "");
    Error('\p{Scx=_ Bugi/a/}');
    Error('\P{Scx=_ Bugi/a/}');
    Expect(1, 43471, '\p{Scx=:\ABugi\z:}', "");;
    Expect(0, 43472, '\p{Scx=:\ABugi\z:}', "");;
    Expect(1, 43471, '\p{Scx=bugi}', "");
    Expect(0, 43471, '\p{^Scx=bugi}', "");
    Expect(0, 43471, '\P{Scx=bugi}', "");
    Expect(1, 43471, '\P{^Scx=bugi}', "");
    Expect(0, 43472, '\p{Scx=bugi}', "");
    Expect(1, 43472, '\p{^Scx=bugi}', "");
    Expect(1, 43472, '\P{Scx=bugi}', "");
    Expect(0, 43472, '\P{^Scx=bugi}', "");
    Expect(1, 43471, '\p{Scx=:\Abugi\z:}', "");;
    Expect(0, 43472, '\p{Scx=:\Abugi\z:}', "");;
    Expect(1, 43471, '\p{Scx=__Bugi}', "");
    Expect(0, 43471, '\p{^Scx=__Bugi}', "");
    Expect(0, 43471, '\P{Scx=__Bugi}', "");
    Expect(1, 43471, '\P{^Scx=__Bugi}', "");
    Expect(0, 43472, '\p{Scx=__Bugi}', "");
    Expect(1, 43472, '\p{^Scx=__Bugi}', "");
    Expect(1, 43472, '\P{Scx=__Bugi}', "");
    Expect(0, 43472, '\P{^Scx=__Bugi}', "");
    Error('\p{Is_Script_Extensions= 	Buginese:=}');
    Error('\P{Is_Script_Extensions= 	Buginese:=}');
    Expect(1, 43471, '\p{Is_Script_Extensions=buginese}', "");
    Expect(0, 43471, '\p{^Is_Script_Extensions=buginese}', "");
    Expect(0, 43471, '\P{Is_Script_Extensions=buginese}', "");
    Expect(1, 43471, '\P{^Is_Script_Extensions=buginese}', "");
    Expect(0, 43472, '\p{Is_Script_Extensions=buginese}', "");
    Expect(1, 43472, '\p{^Is_Script_Extensions=buginese}', "");
    Expect(1, 43472, '\P{Is_Script_Extensions=buginese}', "");
    Expect(0, 43472, '\P{^Is_Script_Extensions=buginese}', "");
    Expect(1, 43471, '\p{Is_Script_Extensions=_Buginese}', "");
    Expect(0, 43471, '\p{^Is_Script_Extensions=_Buginese}', "");
    Expect(0, 43471, '\P{Is_Script_Extensions=_Buginese}', "");
    Expect(1, 43471, '\P{^Is_Script_Extensions=_Buginese}', "");
    Expect(0, 43472, '\p{Is_Script_Extensions=_Buginese}', "");
    Expect(1, 43472, '\p{^Is_Script_Extensions=_Buginese}', "");
    Expect(1, 43472, '\P{Is_Script_Extensions=_Buginese}', "");
    Expect(0, 43472, '\P{^Is_Script_Extensions=_Buginese}', "");
    Error('\p{Is_Scx=		bugi:=}');
    Error('\P{Is_Scx=		bugi:=}');
    Expect(1, 43471, '\p{Is_Scx:bugi}', "");
    Expect(0, 43471, '\p{^Is_Scx:bugi}', "");
    Expect(0, 43471, '\P{Is_Scx:bugi}', "");
    Expect(1, 43471, '\P{^Is_Scx:bugi}', "");
    Expect(0, 43472, '\p{Is_Scx:bugi}', "");
    Expect(1, 43472, '\p{^Is_Scx:bugi}', "");
    Expect(1, 43472, '\P{Is_Scx:bugi}', "");
    Expect(0, 43472, '\P{^Is_Scx:bugi}', "");
    Expect(1, 43471, '\p{Is_Scx= 	BUGI}', "");
    Expect(0, 43471, '\p{^Is_Scx= 	BUGI}', "");
    Expect(0, 43471, '\P{Is_Scx= 	BUGI}', "");
    Expect(1, 43471, '\P{^Is_Scx= 	BUGI}', "");
    Expect(0, 43472, '\p{Is_Scx= 	BUGI}', "");
    Expect(1, 43472, '\p{^Is_Scx= 	BUGI}', "");
    Expect(1, 43472, '\P{Is_Scx= 	BUGI}', "");
    Expect(0, 43472, '\P{^Is_Scx= 	BUGI}', "");
    Error('\p{Script_Extensions:		 Buhid:=}');
    Error('\P{Script_Extensions:		 Buhid:=}');
    Expect(1, 5971, '\p{Script_Extensions=:\ABuhid\z:}', "");;
    Expect(0, 5972, '\p{Script_Extensions=:\ABuhid\z:}', "");;
    Expect(1, 5971, '\p{Script_Extensions=buhid}', "");
    Expect(0, 5971, '\p{^Script_Extensions=buhid}', "");
    Expect(0, 5971, '\P{Script_Extensions=buhid}', "");
    Expect(1, 5971, '\P{^Script_Extensions=buhid}', "");
    Expect(0, 5972, '\p{Script_Extensions=buhid}', "");
    Expect(1, 5972, '\p{^Script_Extensions=buhid}', "");
    Expect(1, 5972, '\P{Script_Extensions=buhid}', "");
    Expect(0, 5972, '\P{^Script_Extensions=buhid}', "");
    Expect(1, 5971, '\p{Script_Extensions=:\Abuhid\z:}', "");;
    Expect(0, 5972, '\p{Script_Extensions=:\Abuhid\z:}', "");;
    Expect(1, 5971, '\p{Script_Extensions=	-Buhid}', "");
    Expect(0, 5971, '\p{^Script_Extensions=	-Buhid}', "");
    Expect(0, 5971, '\P{Script_Extensions=	-Buhid}', "");
    Expect(1, 5971, '\P{^Script_Extensions=	-Buhid}', "");
    Expect(0, 5972, '\p{Script_Extensions=	-Buhid}', "");
    Expect(1, 5972, '\p{^Script_Extensions=	-Buhid}', "");
    Expect(1, 5972, '\P{Script_Extensions=	-Buhid}', "");
    Expect(0, 5972, '\P{^Script_Extensions=	-Buhid}', "");
    Error('\p{Scx= /a/Buhd}');
    Error('\P{Scx= /a/Buhd}');
    Expect(1, 5971, '\p{Scx=:\ABuhd\z:}', "");;
    Expect(0, 5972, '\p{Scx=:\ABuhd\z:}', "");;
    Expect(1, 5971, '\p{Scx=buhd}', "");
    Expect(0, 5971, '\p{^Scx=buhd}', "");
    Expect(0, 5971, '\P{Scx=buhd}', "");
    Expect(1, 5971, '\P{^Scx=buhd}', "");
    Expect(0, 5972, '\p{Scx=buhd}', "");
    Expect(1, 5972, '\p{^Scx=buhd}', "");
    Expect(1, 5972, '\P{Scx=buhd}', "");
    Expect(0, 5972, '\P{^Scx=buhd}', "");
    Expect(1, 5971, '\p{Scx=:\Abuhd\z:}', "");;
    Expect(0, 5972, '\p{Scx=:\Abuhd\z:}', "");;
    Expect(1, 5971, '\p{Scx=	BUHD}', "");
    Expect(0, 5971, '\p{^Scx=	BUHD}', "");
    Expect(0, 5971, '\P{Scx=	BUHD}', "");
    Expect(1, 5971, '\P{^Scx=	BUHD}', "");
    Expect(0, 5972, '\p{Scx=	BUHD}', "");
    Expect(1, 5972, '\p{^Scx=	BUHD}', "");
    Expect(1, 5972, '\P{Scx=	BUHD}', "");
    Expect(0, 5972, '\P{^Scx=	BUHD}', "");
    Error('\p{Is_Script_Extensions=/a/--Buhid}');
    Error('\P{Is_Script_Extensions=/a/--Buhid}');
    Expect(1, 5971, '\p{Is_Script_Extensions:   buhid}', "");
    Expect(0, 5971, '\p{^Is_Script_Extensions:   buhid}', "");
    Expect(0, 5971, '\P{Is_Script_Extensions:   buhid}', "");
    Expect(1, 5971, '\P{^Is_Script_Extensions:   buhid}', "");
    Expect(0, 5972, '\p{Is_Script_Extensions:   buhid}', "");
    Expect(1, 5972, '\p{^Is_Script_Extensions:   buhid}', "");
    Expect(1, 5972, '\P{Is_Script_Extensions:   buhid}', "");
    Expect(0, 5972, '\P{^Is_Script_Extensions:   buhid}', "");
    Expect(1, 5971, '\p{Is_Script_Extensions=-BUHID}', "");
    Expect(0, 5971, '\p{^Is_Script_Extensions=-BUHID}', "");
    Expect(0, 5971, '\P{Is_Script_Extensions=-BUHID}', "");
    Expect(1, 5971, '\P{^Is_Script_Extensions=-BUHID}', "");
    Expect(0, 5972, '\p{Is_Script_Extensions=-BUHID}', "");
    Expect(1, 5972, '\p{^Is_Script_Extensions=-BUHID}', "");
    Expect(1, 5972, '\P{Is_Script_Extensions=-BUHID}', "");
    Expect(0, 5972, '\P{^Is_Script_Extensions=-BUHID}', "");
    Error('\p{Is_Scx=_/a/BUHD}');
    Error('\P{Is_Scx=_/a/BUHD}');
    Expect(1, 5971, '\p{Is_Scx=buhd}', "");
    Expect(0, 5971, '\p{^Is_Scx=buhd}', "");
    Expect(0, 5971, '\P{Is_Scx=buhd}', "");
    Expect(1, 5971, '\P{^Is_Scx=buhd}', "");
    Expect(0, 5972, '\p{Is_Scx=buhd}', "");
    Expect(1, 5972, '\p{^Is_Scx=buhd}', "");
    Expect(1, 5972, '\P{Is_Scx=buhd}', "");
    Expect(0, 5972, '\P{^Is_Scx=buhd}', "");
    Expect(1, 5971, '\p{Is_Scx=-_buhd}', "");
    Expect(0, 5971, '\p{^Is_Scx=-_buhd}', "");
    Expect(0, 5971, '\P{Is_Scx=-_buhd}', "");
    Expect(1, 5971, '\P{^Is_Scx=-_buhd}', "");
    Expect(0, 5972, '\p{Is_Scx=-_buhd}', "");
    Expect(1, 5972, '\p{^Is_Scx=-_buhd}', "");
    Expect(1, 5972, '\P{Is_Scx=-_buhd}', "");
    Expect(0, 5972, '\P{^Is_Scx=-_buhd}', "");
    Error('\p{Script_Extensions=--Chakma/a/}');
    Error('\P{Script_Extensions=--Chakma/a/}');
    Expect(1, 69959, '\p{Script_Extensions=:\AChakma\z:}', "");;
    Expect(0, 69960, '\p{Script_Extensions=:\AChakma\z:}', "");;
    Expect(1, 69959, '\p{Script_Extensions=chakma}', "");
    Expect(0, 69959, '\p{^Script_Extensions=chakma}', "");
    Expect(0, 69959, '\P{Script_Extensions=chakma}', "");
    Expect(1, 69959, '\P{^Script_Extensions=chakma}', "");
    Expect(0, 69960, '\p{Script_Extensions=chakma}', "");
    Expect(1, 69960, '\p{^Script_Extensions=chakma}', "");
    Expect(1, 69960, '\P{Script_Extensions=chakma}', "");
    Expect(0, 69960, '\P{^Script_Extensions=chakma}', "");
    Expect(1, 69959, '\p{Script_Extensions=:\Achakma\z:}', "");;
    Expect(0, 69960, '\p{Script_Extensions=:\Achakma\z:}', "");;
    Expect(1, 69959, '\p{Script_Extensions= CHAKMA}', "");
    Expect(0, 69959, '\p{^Script_Extensions= CHAKMA}', "");
    Expect(0, 69959, '\P{Script_Extensions= CHAKMA}', "");
    Expect(1, 69959, '\P{^Script_Extensions= CHAKMA}', "");
    Expect(0, 69960, '\p{Script_Extensions= CHAKMA}', "");
    Expect(1, 69960, '\p{^Script_Extensions= CHAKMA}', "");
    Expect(1, 69960, '\P{Script_Extensions= CHAKMA}', "");
    Expect(0, 69960, '\P{^Script_Extensions= CHAKMA}', "");
    Error('\p{Scx=/a/	Cakm}');
    Error('\P{Scx=/a/	Cakm}');
    Expect(1, 69959, '\p{Scx=:\ACakm\z:}', "");;
    Expect(0, 69960, '\p{Scx=:\ACakm\z:}', "");;
    Expect(1, 69959, '\p{Scx: cakm}', "");
    Expect(0, 69959, '\p{^Scx: cakm}', "");
    Expect(0, 69959, '\P{Scx: cakm}', "");
    Expect(1, 69959, '\P{^Scx: cakm}', "");
    Expect(0, 69960, '\p{Scx: cakm}', "");
    Expect(1, 69960, '\p{^Scx: cakm}', "");
    Expect(1, 69960, '\P{Scx: cakm}', "");
    Expect(0, 69960, '\P{^Scx: cakm}', "");
    Expect(1, 69959, '\p{Scx=:\Acakm\z:}', "");;
    Expect(0, 69960, '\p{Scx=:\Acakm\z:}', "");;
    Expect(1, 69959, '\p{Scx=	 CAKM}', "");
    Expect(0, 69959, '\p{^Scx=	 CAKM}', "");
    Expect(0, 69959, '\P{Scx=	 CAKM}', "");
    Expect(1, 69959, '\P{^Scx=	 CAKM}', "");
    Expect(0, 69960, '\p{Scx=	 CAKM}', "");
    Expect(1, 69960, '\p{^Scx=	 CAKM}', "");
    Expect(1, 69960, '\P{Scx=	 CAKM}', "");
    Expect(0, 69960, '\P{^Scx=	 CAKM}', "");
    Error('\p{Is_Script_Extensions:	--Chakma/a/}');
    Error('\P{Is_Script_Extensions:	--Chakma/a/}');
    Expect(1, 69959, '\p{Is_Script_Extensions=chakma}', "");
    Expect(0, 69959, '\p{^Is_Script_Extensions=chakma}', "");
    Expect(0, 69959, '\P{Is_Script_Extensions=chakma}', "");
    Expect(1, 69959, '\P{^Is_Script_Extensions=chakma}', "");
    Expect(0, 69960, '\p{Is_Script_Extensions=chakma}', "");
    Expect(1, 69960, '\p{^Is_Script_Extensions=chakma}', "");
    Expect(1, 69960, '\P{Is_Script_Extensions=chakma}', "");
    Expect(0, 69960, '\P{^Is_Script_Extensions=chakma}', "");
    Expect(1, 69959, '\p{Is_Script_Extensions=_-CHAKMA}', "");
    Expect(0, 69959, '\p{^Is_Script_Extensions=_-CHAKMA}', "");
    Expect(0, 69959, '\P{Is_Script_Extensions=_-CHAKMA}', "");
    Expect(1, 69959, '\P{^Is_Script_Extensions=_-CHAKMA}', "");
    Expect(0, 69960, '\p{Is_Script_Extensions=_-CHAKMA}', "");
    Expect(1, 69960, '\p{^Is_Script_Extensions=_-CHAKMA}', "");
    Expect(1, 69960, '\P{Is_Script_Extensions=_-CHAKMA}', "");
    Expect(0, 69960, '\P{^Is_Script_Extensions=_-CHAKMA}', "");
    Error('\p{Is_Scx=	:=Cakm}');
    Error('\P{Is_Scx=	:=Cakm}');
    Expect(1, 69959, '\p{Is_Scx:	cakm}', "");
    Expect(0, 69959, '\p{^Is_Scx:	cakm}', "");
    Expect(0, 69959, '\P{Is_Scx:	cakm}', "");
    Expect(1, 69959, '\P{^Is_Scx:	cakm}', "");
    Expect(0, 69960, '\p{Is_Scx:	cakm}', "");
    Expect(1, 69960, '\p{^Is_Scx:	cakm}', "");
    Expect(1, 69960, '\P{Is_Scx:	cakm}', "");
    Expect(0, 69960, '\P{^Is_Scx:	cakm}', "");
    Expect(1, 69959, '\p{Is_Scx=		Cakm}', "");
    Expect(0, 69959, '\p{^Is_Scx=		Cakm}', "");
    Expect(0, 69959, '\P{Is_Scx=		Cakm}', "");
    Expect(1, 69959, '\P{^Is_Scx=		Cakm}', "");
    Expect(0, 69960, '\p{Is_Scx=		Cakm}', "");
    Expect(1, 69960, '\p{^Is_Scx=		Cakm}', "");
    Expect(1, 69960, '\P{Is_Scx=		Cakm}', "");
    Expect(0, 69960, '\P{^Is_Scx=		Cakm}', "");
    Error('\p{Script_Extensions:	_:=canadian_Aboriginal}');
    Error('\P{Script_Extensions:	_:=canadian_Aboriginal}');
    Expect(1, 72383, '\p{Script_Extensions=:\ACanadian_Aboriginal\z:}', "");;
    Expect(0, 72384, '\p{Script_Extensions=:\ACanadian_Aboriginal\z:}', "");;
    Expect(1, 72383, '\p{Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72383, '\p{^Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72383, '\P{Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72383, '\P{^Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72384, '\p{Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72384, '\p{^Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72384, '\P{Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72384, '\P{^Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72383, '\p{Script_Extensions=:\Acanadianaboriginal\z:}', "");;
    Expect(0, 72384, '\p{Script_Extensions=:\Acanadianaboriginal\z:}', "");;
    Expect(1, 72383, '\p{Script_Extensions=	CANADIAN_Aboriginal}', "");
    Expect(0, 72383, '\p{^Script_Extensions=	CANADIAN_Aboriginal}', "");
    Expect(0, 72383, '\P{Script_Extensions=	CANADIAN_Aboriginal}', "");
    Expect(1, 72383, '\P{^Script_Extensions=	CANADIAN_Aboriginal}', "");
    Expect(0, 72384, '\p{Script_Extensions=	CANADIAN_Aboriginal}', "");
    Expect(1, 72384, '\p{^Script_Extensions=	CANADIAN_Aboriginal}', "");
    Expect(1, 72384, '\P{Script_Extensions=	CANADIAN_Aboriginal}', "");
    Expect(0, 72384, '\P{^Script_Extensions=	CANADIAN_Aboriginal}', "");
    Error('\p{Scx=:=_	cans}');
    Error('\P{Scx=:=_	cans}');
    Expect(1, 72383, '\p{Scx=:\ACans\z:}', "");;
    Expect(0, 72384, '\p{Scx=:\ACans\z:}', "");;
    Expect(1, 72383, '\p{Scx=cans}', "");
    Expect(0, 72383, '\p{^Scx=cans}', "");
    Expect(0, 72383, '\P{Scx=cans}', "");
    Expect(1, 72383, '\P{^Scx=cans}', "");
    Expect(0, 72384, '\p{Scx=cans}', "");
    Expect(1, 72384, '\p{^Scx=cans}', "");
    Expect(1, 72384, '\P{Scx=cans}', "");
    Expect(0, 72384, '\P{^Scx=cans}', "");
    Expect(1, 72383, '\p{Scx=:\Acans\z:}', "");;
    Expect(0, 72384, '\p{Scx=:\Acans\z:}', "");;
    Expect(1, 72383, '\p{Scx= _Cans}', "");
    Expect(0, 72383, '\p{^Scx= _Cans}', "");
    Expect(0, 72383, '\P{Scx= _Cans}', "");
    Expect(1, 72383, '\P{^Scx= _Cans}', "");
    Expect(0, 72384, '\p{Scx= _Cans}', "");
    Expect(1, 72384, '\p{^Scx= _Cans}', "");
    Expect(1, 72384, '\P{Scx= _Cans}', "");
    Expect(0, 72384, '\P{^Scx= _Cans}', "");
    Error('\p{Is_Script_Extensions=:=	 canadian_Aboriginal}');
    Error('\P{Is_Script_Extensions=:=	 canadian_Aboriginal}');
    Expect(1, 72383, '\p{Is_Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72383, '\p{^Is_Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72383, '\P{Is_Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72383, '\P{^Is_Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72384, '\p{Is_Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72384, '\p{^Is_Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72384, '\P{Is_Script_Extensions=canadianaboriginal}', "");
    Expect(0, 72384, '\P{^Is_Script_Extensions=canadianaboriginal}', "");
    Expect(1, 72383, '\p{Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Expect(0, 72383, '\p{^Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Expect(0, 72383, '\P{Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Expect(1, 72383, '\P{^Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Expect(0, 72384, '\p{Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Expect(1, 72384, '\p{^Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Expect(1, 72384, '\P{Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Expect(0, 72384, '\P{^Is_Script_Extensions=_-Canadian_Aboriginal}', "");
    Error('\p{Is_Scx=:=-Cans}');
    Error('\P{Is_Scx=:=-Cans}');
    Expect(1, 72383, '\p{Is_Scx=cans}', "");
    Expect(0, 72383, '\p{^Is_Scx=cans}', "");
    Expect(0, 72383, '\P{Is_Scx=cans}', "");
    Expect(1, 72383, '\P{^Is_Scx=cans}', "");
    Expect(0, 72384, '\p{Is_Scx=cans}', "");
    Expect(1, 72384, '\p{^Is_Scx=cans}', "");
    Expect(1, 72384, '\P{Is_Scx=cans}', "");
    Expect(0, 72384, '\P{^Is_Scx=cans}', "");
    Expect(1, 72383, '\p{Is_Scx=	cans}', "");
    Expect(0, 72383, '\p{^Is_Scx=	cans}', "");
    Expect(0, 72383, '\P{Is_Scx=	cans}', "");
    Expect(1, 72383, '\P{^Is_Scx=	cans}', "");
    Expect(0, 72384, '\p{Is_Scx=	cans}', "");
    Expect(1, 72384, '\p{^Is_Scx=	cans}', "");
    Expect(1, 72384, '\P{Is_Scx=	cans}', "");
    Expect(0, 72384, '\P{^Is_Scx=	cans}', "");
    Error('\p{Script_Extensions=:=-	CARIAN}');
    Error('\P{Script_Extensions=:=-	CARIAN}');
    Expect(1, 66256, '\p{Script_Extensions=:\ACarian\z:}', "");;
    Expect(0, 66257, '\p{Script_Extensions=:\ACarian\z:}', "");;
    Expect(1, 66256, '\p{Script_Extensions=carian}', "");
    Expect(0, 66256, '\p{^Script_Extensions=carian}', "");
    Expect(0, 66256, '\P{Script_Extensions=carian}', "");
    Expect(1, 66256, '\P{^Script_Extensions=carian}', "");
    Expect(0, 66257, '\p{Script_Extensions=carian}', "");
    Expect(1, 66257, '\p{^Script_Extensions=carian}', "");
    Expect(1, 66257, '\P{Script_Extensions=carian}', "");
    Expect(0, 66257, '\P{^Script_Extensions=carian}', "");
    Expect(1, 66256, '\p{Script_Extensions=:\Acarian\z:}', "");;
    Expect(0, 66257, '\p{Script_Extensions=:\Acarian\z:}', "");;
    Expect(1, 66256, '\p{Script_Extensions= _CARIAN}', "");
    Expect(0, 66256, '\p{^Script_Extensions= _CARIAN}', "");
    Expect(0, 66256, '\P{Script_Extensions= _CARIAN}', "");
    Expect(1, 66256, '\P{^Script_Extensions= _CARIAN}', "");
    Expect(0, 66257, '\p{Script_Extensions= _CARIAN}', "");
    Expect(1, 66257, '\p{^Script_Extensions= _CARIAN}', "");
    Expect(1, 66257, '\P{Script_Extensions= _CARIAN}', "");
    Expect(0, 66257, '\P{^Script_Extensions= _CARIAN}', "");
    Error('\p{Scx=_:=Cari}');
    Error('\P{Scx=_:=Cari}');
    Expect(1, 66256, '\p{Scx=:\ACari\z:}', "");;
    Expect(0, 66257, '\p{Scx=:\ACari\z:}', "");;
    Expect(1, 66256, '\p{Scx=cari}', "");
    Expect(0, 66256, '\p{^Scx=cari}', "");
    Expect(0, 66256, '\P{Scx=cari}', "");
    Expect(1, 66256, '\P{^Scx=cari}', "");
    Expect(0, 66257, '\p{Scx=cari}', "");
    Expect(1, 66257, '\p{^Scx=cari}', "");
    Expect(1, 66257, '\P{Scx=cari}', "");
    Expect(0, 66257, '\P{^Scx=cari}', "");
    Expect(1, 66256, '\p{Scx=:\Acari\z:}', "");;
    Expect(0, 66257, '\p{Scx=:\Acari\z:}', "");;
    Expect(1, 66256, '\p{Scx:-CARI}', "");
    Expect(0, 66256, '\p{^Scx:-CARI}', "");
    Expect(0, 66256, '\P{Scx:-CARI}', "");
    Expect(1, 66256, '\P{^Scx:-CARI}', "");
    Expect(0, 66257, '\p{Scx:-CARI}', "");
    Expect(1, 66257, '\p{^Scx:-CARI}', "");
    Expect(1, 66257, '\P{Scx:-CARI}', "");
    Expect(0, 66257, '\P{^Scx:-CARI}', "");
    Error('\p{Is_Script_Extensions=--Carian/a/}');
    Error('\P{Is_Script_Extensions=--Carian/a/}');
    Expect(1, 66256, '\p{Is_Script_Extensions=carian}', "");
    Expect(0, 66256, '\p{^Is_Script_Extensions=carian}', "");
    Expect(0, 66256, '\P{Is_Script_Extensions=carian}', "");
    Expect(1, 66256, '\P{^Is_Script_Extensions=carian}', "");
    Expect(0, 66257, '\p{Is_Script_Extensions=carian}', "");
    Expect(1, 66257, '\p{^Is_Script_Extensions=carian}', "");
    Expect(1, 66257, '\P{Is_Script_Extensions=carian}', "");
    Expect(0, 66257, '\P{^Is_Script_Extensions=carian}', "");
    Expect(1, 66256, '\p{Is_Script_Extensions= 	Carian}', "");
    Expect(0, 66256, '\p{^Is_Script_Extensions= 	Carian}', "");
    Expect(0, 66256, '\P{Is_Script_Extensions= 	Carian}', "");
    Expect(1, 66256, '\P{^Is_Script_Extensions= 	Carian}', "");
    Expect(0, 66257, '\p{Is_Script_Extensions= 	Carian}', "");
    Expect(1, 66257, '\p{^Is_Script_Extensions= 	Carian}', "");
    Expect(1, 66257, '\P{Is_Script_Extensions= 	Carian}', "");
    Expect(0, 66257, '\P{^Is_Script_Extensions= 	Carian}', "");
    Error('\p{Is_Scx=-/a/cari}');
    Error('\P{Is_Scx=-/a/cari}');
    Expect(1, 66256, '\p{Is_Scx=cari}', "");
    Expect(0, 66256, '\p{^Is_Scx=cari}', "");
    Expect(0, 66256, '\P{Is_Scx=cari}', "");
    Expect(1, 66256, '\P{^Is_Scx=cari}', "");
    Expect(0, 66257, '\p{Is_Scx=cari}', "");
    Expect(1, 66257, '\p{^Is_Scx=cari}', "");
    Expect(1, 66257, '\P{Is_Scx=cari}', "");
    Expect(0, 66257, '\P{^Is_Scx=cari}', "");
    Expect(1, 66256, '\p{Is_Scx=-_CARI}', "");
    Expect(0, 66256, '\p{^Is_Scx=-_CARI}', "");
    Expect(0, 66256, '\P{Is_Scx=-_CARI}', "");
    Expect(1, 66256, '\P{^Is_Scx=-_CARI}', "");
    Expect(0, 66257, '\p{Is_Scx=-_CARI}', "");
    Expect(1, 66257, '\p{^Is_Scx=-_CARI}', "");
    Expect(1, 66257, '\P{Is_Scx=-_CARI}', "");
    Expect(0, 66257, '\P{^Is_Scx=-_CARI}', "");
    Error('\p{Script_Extensions=/a/ _cham}');
    Error('\P{Script_Extensions=/a/ _cham}');
    Expect(1, 43615, '\p{Script_Extensions=:\ACham\z:}', "");;
    Expect(0, 43616, '\p{Script_Extensions=:\ACham\z:}', "");;
    Expect(1, 43615, '\p{Script_Extensions:cham}', "");
    Expect(0, 43615, '\p{^Script_Extensions:cham}', "");
    Expect(0, 43615, '\P{Script_Extensions:cham}', "");
    Expect(1, 43615, '\P{^Script_Extensions:cham}', "");
    Expect(0, 43616, '\p{Script_Extensions:cham}', "");
    Expect(1, 43616, '\p{^Script_Extensions:cham}', "");
    Expect(1, 43616, '\P{Script_Extensions:cham}', "");
    Expect(0, 43616, '\P{^Script_Extensions:cham}', "");
    Expect(1, 43615, '\p{Script_Extensions=:\Acham\z:}', "");;
    Expect(0, 43616, '\p{Script_Extensions=:\Acham\z:}', "");;
    Expect(1, 43615, '\p{Script_Extensions:   		CHAM}', "");
    Expect(0, 43615, '\p{^Script_Extensions:   		CHAM}', "");
    Expect(0, 43615, '\P{Script_Extensions:   		CHAM}', "");
    Expect(1, 43615, '\P{^Script_Extensions:   		CHAM}', "");
    Expect(0, 43616, '\p{Script_Extensions:   		CHAM}', "");
    Expect(1, 43616, '\p{^Script_Extensions:   		CHAM}', "");
    Expect(1, 43616, '\P{Script_Extensions:   		CHAM}', "");
    Expect(0, 43616, '\P{^Script_Extensions:   		CHAM}', "");
    Error('\p{Scx=/a/_Cham}');
    Error('\P{Scx=/a/_Cham}');
    Expect(1, 43615, '\p{Scx=:\ACham\z:}', "");;
    Expect(0, 43616, '\p{Scx=:\ACham\z:}', "");;
    Expect(1, 43615, '\p{Scx=cham}', "");
    Expect(0, 43615, '\p{^Scx=cham}', "");
    Expect(0, 43615, '\P{Scx=cham}', "");
    Expect(1, 43615, '\P{^Scx=cham}', "");
    Expect(0, 43616, '\p{Scx=cham}', "");
    Expect(1, 43616, '\p{^Scx=cham}', "");
    Expect(1, 43616, '\P{Scx=cham}', "");
    Expect(0, 43616, '\P{^Scx=cham}', "");
    Expect(1, 43615, '\p{Scx=:\Acham\z:}', "");;
    Expect(0, 43616, '\p{Scx=:\Acham\z:}', "");;
    Expect(1, 43615, '\p{Scx=--cham}', "");
    Expect(0, 43615, '\p{^Scx=--cham}', "");
    Expect(0, 43615, '\P{Scx=--cham}', "");
    Expect(1, 43615, '\P{^Scx=--cham}', "");
    Expect(0, 43616, '\p{Scx=--cham}', "");
    Expect(1, 43616, '\p{^Scx=--cham}', "");
    Expect(1, 43616, '\P{Scx=--cham}', "");
    Expect(0, 43616, '\P{^Scx=--cham}', "");
    Error('\p{Is_Script_Extensions=-:=cham}');
    Error('\P{Is_Script_Extensions=-:=cham}');
    Expect(1, 43615, '\p{Is_Script_Extensions=cham}', "");
    Expect(0, 43615, '\p{^Is_Script_Extensions=cham}', "");
    Expect(0, 43615, '\P{Is_Script_Extensions=cham}', "");
    Expect(1, 43615, '\P{^Is_Script_Extensions=cham}', "");
    Expect(0, 43616, '\p{Is_Script_Extensions=cham}', "");
    Expect(1, 43616, '\p{^Is_Script_Extensions=cham}', "");
    Expect(1, 43616, '\P{Is_Script_Extensions=cham}', "");
    Expect(0, 43616, '\P{^Is_Script_Extensions=cham}', "");
    Expect(1, 43615, '\p{Is_Script_Extensions=- CHAM}', "");
    Expect(0, 43615, '\p{^Is_Script_Extensions=- CHAM}', "");
    Expect(0, 43615, '\P{Is_Script_Extensions=- CHAM}', "");
    Expect(1, 43615, '\P{^Is_Script_Extensions=- CHAM}', "");
    Expect(0, 43616, '\p{Is_Script_Extensions=- CHAM}', "");
    Expect(1, 43616, '\p{^Is_Script_Extensions=- CHAM}', "");
    Expect(1, 43616, '\P{Is_Script_Extensions=- CHAM}', "");
    Expect(0, 43616, '\P{^Is_Script_Extensions=- CHAM}', "");
    Error('\p{Is_Scx= 	cham/a/}');
    Error('\P{Is_Scx= 	cham/a/}');
    Expect(1, 43615, '\p{Is_Scx=cham}', "");
    Expect(0, 43615, '\p{^Is_Scx=cham}', "");
    Expect(0, 43615, '\P{Is_Scx=cham}', "");
    Expect(1, 43615, '\P{^Is_Scx=cham}', "");
    Expect(0, 43616, '\p{Is_Scx=cham}', "");
    Expect(1, 43616, '\p{^Is_Scx=cham}', "");
    Expect(1, 43616, '\P{Is_Scx=cham}', "");
    Expect(0, 43616, '\P{^Is_Scx=cham}', "");
    Expect(1, 43615, '\p{Is_Scx=	Cham}', "");
    Expect(0, 43615, '\p{^Is_Scx=	Cham}', "");
    Expect(0, 43615, '\P{Is_Scx=	Cham}', "");
    Expect(1, 43615, '\P{^Is_Scx=	Cham}', "");
    Expect(0, 43616, '\p{Is_Scx=	Cham}', "");
    Expect(1, 43616, '\p{^Is_Scx=	Cham}', "");
    Expect(1, 43616, '\P{Is_Scx=	Cham}', "");
    Expect(0, 43616, '\P{^Is_Scx=	Cham}', "");
    Error('\p{Script_Extensions=_-Cherokee:=}');
    Error('\P{Script_Extensions=_-Cherokee:=}');
    Expect(1, 43967, '\p{Script_Extensions=:\ACherokee\z:}', "");;
    Expect(0, 43968, '\p{Script_Extensions=:\ACherokee\z:}', "");;
    Expect(1, 43967, '\p{Script_Extensions=cherokee}', "");
    Expect(0, 43967, '\p{^Script_Extensions=cherokee}', "");
    Expect(0, 43967, '\P{Script_Extensions=cherokee}', "");
    Expect(1, 43967, '\P{^Script_Extensions=cherokee}', "");
    Expect(0, 43968, '\p{Script_Extensions=cherokee}', "");
    Expect(1, 43968, '\p{^Script_Extensions=cherokee}', "");
    Expect(1, 43968, '\P{Script_Extensions=cherokee}', "");
    Expect(0, 43968, '\P{^Script_Extensions=cherokee}', "");
    Expect(1, 43967, '\p{Script_Extensions=:\Acherokee\z:}', "");;
    Expect(0, 43968, '\p{Script_Extensions=:\Acherokee\z:}', "");;
    Expect(1, 43967, '\p{Script_Extensions=-_cherokee}', "");
    Expect(0, 43967, '\p{^Script_Extensions=-_cherokee}', "");
    Expect(0, 43967, '\P{Script_Extensions=-_cherokee}', "");
    Expect(1, 43967, '\P{^Script_Extensions=-_cherokee}', "");
    Expect(0, 43968, '\p{Script_Extensions=-_cherokee}', "");
    Expect(1, 43968, '\p{^Script_Extensions=-_cherokee}', "");
    Expect(1, 43968, '\P{Script_Extensions=-_cherokee}', "");
    Expect(0, 43968, '\P{^Script_Extensions=-_cherokee}', "");
    Error('\p{Scx: /a/Cher}');
    Error('\P{Scx: /a/Cher}');
    Expect(1, 43967, '\p{Scx=:\ACher\z:}', "");;
    Expect(0, 43968, '\p{Scx=:\ACher\z:}', "");;
    Expect(1, 43967, '\p{Scx=cher}', "");
    Expect(0, 43967, '\p{^Scx=cher}', "");
    Expect(0, 43967, '\P{Scx=cher}', "");
    Expect(1, 43967, '\P{^Scx=cher}', "");
    Expect(0, 43968, '\p{Scx=cher}', "");
    Expect(1, 43968, '\p{^Scx=cher}', "");
    Expect(1, 43968, '\P{Scx=cher}', "");
    Expect(0, 43968, '\P{^Scx=cher}', "");
    Expect(1, 43967, '\p{Scx=:\Acher\z:}', "");;
    Expect(0, 43968, '\p{Scx=:\Acher\z:}', "");;
    Error('\p{Is_Script_Extensions=-/a/Cherokee}');
    Error('\P{Is_Script_Extensions=-/a/Cherokee}');
    Expect(1, 43967, '\p{Is_Script_Extensions: cherokee}', "");
    Expect(0, 43967, '\p{^Is_Script_Extensions: cherokee}', "");
    Expect(0, 43967, '\P{Is_Script_Extensions: cherokee}', "");
    Expect(1, 43967, '\P{^Is_Script_Extensions: cherokee}', "");
    Expect(0, 43968, '\p{Is_Script_Extensions: cherokee}', "");
    Expect(1, 43968, '\p{^Is_Script_Extensions: cherokee}', "");
    Expect(1, 43968, '\P{Is_Script_Extensions: cherokee}', "");
    Expect(0, 43968, '\P{^Is_Script_Extensions: cherokee}', "");
    Expect(1, 43967, '\p{Is_Script_Extensions=	CHEROKEE}', "");
    Expect(0, 43967, '\p{^Is_Script_Extensions=	CHEROKEE}', "");
    Expect(0, 43967, '\P{Is_Script_Extensions=	CHEROKEE}', "");
    Expect(1, 43967, '\P{^Is_Script_Extensions=	CHEROKEE}', "");
    Expect(0, 43968, '\p{Is_Script_Extensions=	CHEROKEE}', "");
    Expect(1, 43968, '\p{^Is_Script_Extensions=	CHEROKEE}', "");
    Expect(1, 43968, '\P{Is_Script_Extensions=	CHEROKEE}', "");
    Expect(0, 43968, '\P{^Is_Script_Extensions=	CHEROKEE}', "");
    Error('\p{Is_Scx:	_	cher:=}');
    Error('\P{Is_Scx:	_	cher:=}');
    Expect(1, 43967, '\p{Is_Scx=cher}', "");
    Expect(0, 43967, '\p{^Is_Scx=cher}', "");
    Expect(0, 43967, '\P{Is_Scx=cher}', "");
    Expect(1, 43967, '\P{^Is_Scx=cher}', "");
    Expect(0, 43968, '\p{Is_Scx=cher}', "");
    Expect(1, 43968, '\p{^Is_Scx=cher}', "");
    Expect(1, 43968, '\P{Is_Scx=cher}', "");
    Expect(0, 43968, '\P{^Is_Scx=cher}', "");
    Expect(1, 43967, '\p{Is_Scx=--Cher}', "");
    Expect(0, 43967, '\p{^Is_Scx=--Cher}', "");
    Expect(0, 43967, '\P{Is_Scx=--Cher}', "");
    Expect(1, 43967, '\P{^Is_Scx=--Cher}', "");
    Expect(0, 43968, '\p{Is_Scx=--Cher}', "");
    Expect(1, 43968, '\p{^Is_Scx=--Cher}', "");
    Expect(1, 43968, '\P{Is_Scx=--Cher}', "");
    Expect(0, 43968, '\P{^Is_Scx=--Cher}', "");
    Error('\p{Script_Extensions=_	Chorasmian:=}');
    Error('\P{Script_Extensions=_	Chorasmian:=}');
    Expect(1, 69579, '\p{Script_Extensions=:\AChorasmian\z:}', "");;
    Expect(0, 69580, '\p{Script_Extensions=:\AChorasmian\z:}', "");;
    Expect(1, 69579, '\p{Script_Extensions=chorasmian}', "");
    Expect(0, 69579, '\p{^Script_Extensions=chorasmian}', "");
    Expect(0, 69579, '\P{Script_Extensions=chorasmian}', "");
    Expect(1, 69579, '\P{^Script_Extensions=chorasmian}', "");
    Expect(0, 69580, '\p{Script_Extensions=chorasmian}', "");
    Expect(1, 69580, '\p{^Script_Extensions=chorasmian}', "");
    Expect(1, 69580, '\P{Script_Extensions=chorasmian}', "");
    Expect(0, 69580, '\P{^Script_Extensions=chorasmian}', "");
    Expect(1, 69579, '\p{Script_Extensions=:\Achorasmian\z:}', "");;
    Expect(0, 69580, '\p{Script_Extensions=:\Achorasmian\z:}', "");;
    Expect(1, 69579, '\p{Script_Extensions=  Chorasmian}', "");
    Expect(0, 69579, '\p{^Script_Extensions=  Chorasmian}', "");
    Expect(0, 69579, '\P{Script_Extensions=  Chorasmian}', "");
    Expect(1, 69579, '\P{^Script_Extensions=  Chorasmian}', "");
    Expect(0, 69580, '\p{Script_Extensions=  Chorasmian}', "");
    Expect(1, 69580, '\p{^Script_Extensions=  Chorasmian}', "");
    Expect(1, 69580, '\P{Script_Extensions=  Chorasmian}', "");
    Expect(0, 69580, '\P{^Script_Extensions=  Chorasmian}', "");
    Error('\p{Scx=/a/	 chrs}');
    Error('\P{Scx=/a/	 chrs}');
    Expect(1, 69579, '\p{Scx=:\AChrs\z:}', "");;
    Expect(0, 69580, '\p{Scx=:\AChrs\z:}', "");;
    Expect(1, 69579, '\p{Scx=chrs}', "");
    Expect(0, 69579, '\p{^Scx=chrs}', "");
    Expect(0, 69579, '\P{Scx=chrs}', "");
    Expect(1, 69579, '\P{^Scx=chrs}', "");
    Expect(0, 69580, '\p{Scx=chrs}', "");
    Expect(1, 69580, '\p{^Scx=chrs}', "");
    Expect(1, 69580, '\P{Scx=chrs}', "");
    Expect(0, 69580, '\P{^Scx=chrs}', "");
    Expect(1, 69579, '\p{Scx=:\Achrs\z:}', "");;
    Expect(0, 69580, '\p{Scx=:\Achrs\z:}', "");;
    Expect(1, 69579, '\p{Scx=-CHRS}', "");
    Expect(0, 69579, '\p{^Scx=-CHRS}', "");
    Expect(0, 69579, '\P{Scx=-CHRS}', "");
    Expect(1, 69579, '\P{^Scx=-CHRS}', "");
    Expect(0, 69580, '\p{Scx=-CHRS}', "");
    Expect(1, 69580, '\p{^Scx=-CHRS}', "");
    Expect(1, 69580, '\P{Scx=-CHRS}', "");
    Expect(0, 69580, '\P{^Scx=-CHRS}', "");
    Error('\p{Is_Script_Extensions=:=Chorasmian}');
    Error('\P{Is_Script_Extensions=:=Chorasmian}');
    Expect(1, 69579, '\p{Is_Script_Extensions=chorasmian}', "");
    Expect(0, 69579, '\p{^Is_Script_Extensions=chorasmian}', "");
    Expect(0, 69579, '\P{Is_Script_Extensions=chorasmian}', "");
    Expect(1, 69579, '\P{^Is_Script_Extensions=chorasmian}', "");
    Expect(0, 69580, '\p{Is_Script_Extensions=chorasmian}', "");
    Expect(1, 69580, '\p{^Is_Script_Extensions=chorasmian}', "");
    Expect(1, 69580, '\P{Is_Script_Extensions=chorasmian}', "");
    Expect(0, 69580, '\P{^Is_Script_Extensions=chorasmian}', "");
    Expect(1, 69579, '\p{Is_Script_Extensions=	-CHORASMIAN}', "");
    Expect(0, 69579, '\p{^Is_Script_Extensions=	-CHORASMIAN}', "");
    Expect(0, 69579, '\P{Is_Script_Extensions=	-CHORASMIAN}', "");
    Expect(1, 69579, '\P{^Is_Script_Extensions=	-CHORASMIAN}', "");
    Expect(0, 69580, '\p{Is_Script_Extensions=	-CHORASMIAN}', "");
    Expect(1, 69580, '\p{^Is_Script_Extensions=	-CHORASMIAN}', "");
    Expect(1, 69580, '\P{Is_Script_Extensions=	-CHORASMIAN}', "");
    Expect(0, 69580, '\P{^Is_Script_Extensions=	-CHORASMIAN}', "");
    Error('\p{Is_Scx=:=__Chrs}');
    Error('\P{Is_Scx=:=__Chrs}');
    Expect(1, 69579, '\p{Is_Scx=chrs}', "");
    Expect(0, 69579, '\p{^Is_Scx=chrs}', "");
    Expect(0, 69579, '\P{Is_Scx=chrs}', "");
    Expect(1, 69579, '\P{^Is_Scx=chrs}', "");
    Expect(0, 69580, '\p{Is_Scx=chrs}', "");
    Expect(1, 69580, '\p{^Is_Scx=chrs}', "");
    Expect(1, 69580, '\P{Is_Scx=chrs}', "");
    Expect(0, 69580, '\P{^Is_Scx=chrs}', "");
    Expect(1, 69579, '\p{Is_Scx=	Chrs}', "");
    Expect(0, 69579, '\p{^Is_Scx=	Chrs}', "");
    Expect(0, 69579, '\P{Is_Scx=	Chrs}', "");
    Expect(1, 69579, '\P{^Is_Scx=	Chrs}', "");
    Expect(0, 69580, '\p{Is_Scx=	Chrs}', "");
    Expect(1, 69580, '\p{^Is_Scx=	Chrs}', "");
    Expect(1, 69580, '\P{Is_Scx=	Chrs}', "");
    Expect(0, 69580, '\P{^Is_Scx=	Chrs}', "");
    Error('\p{Script_Extensions:   := 	Coptic}');
    Error('\P{Script_Extensions:   := 	Coptic}');
    Expect(1, 66299, '\p{Script_Extensions=:\ACoptic\z:}', "");;
    Expect(0, 66300, '\p{Script_Extensions=:\ACoptic\z:}', "");;
    Expect(1, 66299, '\p{Script_Extensions:	coptic}', "");
    Expect(0, 66299, '\p{^Script_Extensions:	coptic}', "");
    Expect(0, 66299, '\P{Script_Extensions:	coptic}', "");
    Expect(1, 66299, '\P{^Script_Extensions:	coptic}', "");
    Expect(0, 66300, '\p{Script_Extensions:	coptic}', "");
    Expect(1, 66300, '\p{^Script_Extensions:	coptic}', "");
    Expect(1, 66300, '\P{Script_Extensions:	coptic}', "");
    Expect(0, 66300, '\P{^Script_Extensions:	coptic}', "");
    Expect(1, 66299, '\p{Script_Extensions=:\Acoptic\z:}', "");;
    Expect(0, 66300, '\p{Script_Extensions=:\Acoptic\z:}', "");;
    Expect(1, 66299, '\p{Script_Extensions=-	Coptic}', "");
    Expect(0, 66299, '\p{^Script_Extensions=-	Coptic}', "");
    Expect(0, 66299, '\P{Script_Extensions=-	Coptic}', "");
    Expect(1, 66299, '\P{^Script_Extensions=-	Coptic}', "");
    Expect(0, 66300, '\p{Script_Extensions=-	Coptic}', "");
    Expect(1, 66300, '\p{^Script_Extensions=-	Coptic}', "");
    Expect(1, 66300, '\P{Script_Extensions=-	Coptic}', "");
    Expect(0, 66300, '\P{^Script_Extensions=-	Coptic}', "");
    Error('\p{Scx:	 :=Copt}');
    Error('\P{Scx:	 :=Copt}');
    Expect(1, 66299, '\p{Scx=:\ACopt\z:}', "");;
    Expect(0, 66300, '\p{Scx=:\ACopt\z:}', "");;
    Expect(1, 66299, '\p{Scx=copt}', "");
    Expect(0, 66299, '\p{^Scx=copt}', "");
    Expect(0, 66299, '\P{Scx=copt}', "");
    Expect(1, 66299, '\P{^Scx=copt}', "");
    Expect(0, 66300, '\p{Scx=copt}', "");
    Expect(1, 66300, '\p{^Scx=copt}', "");
    Expect(1, 66300, '\P{Scx=copt}', "");
    Expect(0, 66300, '\P{^Scx=copt}', "");
    Expect(1, 66299, '\p{Scx=:\Acopt\z:}', "");;
    Expect(0, 66300, '\p{Scx=:\Acopt\z:}', "");;
    Expect(1, 66299, '\p{Scx=	-Copt}', "");
    Expect(0, 66299, '\p{^Scx=	-Copt}', "");
    Expect(0, 66299, '\P{Scx=	-Copt}', "");
    Expect(1, 66299, '\P{^Scx=	-Copt}', "");
    Expect(0, 66300, '\p{Scx=	-Copt}', "");
    Expect(1, 66300, '\p{^Scx=	-Copt}', "");
    Expect(1, 66300, '\P{Scx=	-Copt}', "");
    Expect(0, 66300, '\P{^Scx=	-Copt}', "");
    Error('\p{Is_Script_Extensions=__QAAC:=}');
    Error('\P{Is_Script_Extensions=__QAAC:=}');
    Expect(1, 66299, '\p{Is_Script_Extensions=qaac}', "");
    Expect(0, 66299, '\p{^Is_Script_Extensions=qaac}', "");
    Expect(0, 66299, '\P{Is_Script_Extensions=qaac}', "");
    Expect(1, 66299, '\P{^Is_Script_Extensions=qaac}', "");
    Expect(0, 66300, '\p{Is_Script_Extensions=qaac}', "");
    Expect(1, 66300, '\p{^Is_Script_Extensions=qaac}', "");
    Expect(1, 66300, '\P{Is_Script_Extensions=qaac}', "");
    Expect(0, 66300, '\P{^Is_Script_Extensions=qaac}', "");
    Expect(1, 66299, '\p{Is_Script_Extensions: 	Qaac}', "");
    Expect(0, 66299, '\p{^Is_Script_Extensions: 	Qaac}', "");
    Expect(0, 66299, '\P{Is_Script_Extensions: 	Qaac}', "");
    Expect(1, 66299, '\P{^Is_Script_Extensions: 	Qaac}', "");
    Expect(0, 66300, '\p{Is_Script_Extensions: 	Qaac}', "");
    Expect(1, 66300, '\p{^Is_Script_Extensions: 	Qaac}', "");
    Expect(1, 66300, '\P{Is_Script_Extensions: 	Qaac}', "");
    Expect(0, 66300, '\P{^Is_Script_Extensions: 	Qaac}', "");
    Error('\p{Is_Scx:	/a/Coptic}');
    Error('\P{Is_Scx:	/a/Coptic}');
    Expect(1, 66299, '\p{Is_Scx=coptic}', "");
    Expect(0, 66299, '\p{^Is_Scx=coptic}', "");
    Expect(0, 66299, '\P{Is_Scx=coptic}', "");
    Expect(1, 66299, '\P{^Is_Scx=coptic}', "");
    Expect(0, 66300, '\p{Is_Scx=coptic}', "");
    Expect(1, 66300, '\p{^Is_Scx=coptic}', "");
    Expect(1, 66300, '\P{Is_Scx=coptic}', "");
    Expect(0, 66300, '\P{^Is_Scx=coptic}', "");
    Expect(1, 66299, '\p{Is_Scx= Coptic}', "");
    Expect(0, 66299, '\p{^Is_Scx= Coptic}', "");
    Expect(0, 66299, '\P{Is_Scx= Coptic}', "");
    Expect(1, 66299, '\P{^Is_Scx= Coptic}', "");
    Expect(0, 66300, '\p{Is_Scx= Coptic}', "");
    Expect(1, 66300, '\p{^Is_Scx= Coptic}', "");
    Expect(1, 66300, '\P{Is_Scx= Coptic}', "");
    Expect(0, 66300, '\P{^Is_Scx= Coptic}', "");
    Error('\p{Script_Extensions=	/a/CYPRO_Minoan}');
    Error('\P{Script_Extensions=	/a/CYPRO_Minoan}');
    Expect(1, 77810, '\p{Script_Extensions=:\ACypro_Minoan\z:}', "");;
    Expect(0, 77811, '\p{Script_Extensions=:\ACypro_Minoan\z:}', "");;
    Expect(1, 77810, '\p{Script_Extensions=cyprominoan}', "");
    Expect(0, 77810, '\p{^Script_Extensions=cyprominoan}', "");
    Expect(0, 77810, '\P{Script_Extensions=cyprominoan}', "");
    Expect(1, 77810, '\P{^Script_Extensions=cyprominoan}', "");
    Expect(0, 77811, '\p{Script_Extensions=cyprominoan}', "");
    Expect(1, 77811, '\p{^Script_Extensions=cyprominoan}', "");
    Expect(1, 77811, '\P{Script_Extensions=cyprominoan}', "");
    Expect(0, 77811, '\P{^Script_Extensions=cyprominoan}', "");
    Expect(1, 77810, '\p{Script_Extensions=:\Acyprominoan\z:}', "");;
    Expect(0, 77811, '\p{Script_Extensions=:\Acyprominoan\z:}', "");;
    Expect(1, 77810, '\p{Script_Extensions=_Cypro_minoan}', "");
    Expect(0, 77810, '\p{^Script_Extensions=_Cypro_minoan}', "");
    Expect(0, 77810, '\P{Script_Extensions=_Cypro_minoan}', "");
    Expect(1, 77810, '\P{^Script_Extensions=_Cypro_minoan}', "");
    Expect(0, 77811, '\p{Script_Extensions=_Cypro_minoan}', "");
    Expect(1, 77811, '\p{^Script_Extensions=_Cypro_minoan}', "");
    Expect(1, 77811, '\P{Script_Extensions=_Cypro_minoan}', "");
    Expect(0, 77811, '\P{^Script_Extensions=_Cypro_minoan}', "");
    Error('\p{Scx=:=_cpmn}');
    Error('\P{Scx=:=_cpmn}');
    Expect(1, 77810, '\p{Scx=:\ACpmn\z:}', "");;
    Expect(0, 77811, '\p{Scx=:\ACpmn\z:}', "");;
    Expect(1, 77810, '\p{Scx=cpmn}', "");
    Expect(0, 77810, '\p{^Scx=cpmn}', "");
    Expect(0, 77810, '\P{Scx=cpmn}', "");
    Expect(1, 77810, '\P{^Scx=cpmn}', "");
    Expect(0, 77811, '\p{Scx=cpmn}', "");
    Expect(1, 77811, '\p{^Scx=cpmn}', "");
    Expect(1, 77811, '\P{Scx=cpmn}', "");
    Expect(0, 77811, '\P{^Scx=cpmn}', "");
    Expect(1, 77810, '\p{Scx=:\Acpmn\z:}', "");;
    Expect(0, 77811, '\p{Scx=:\Acpmn\z:}', "");;
    Expect(1, 77810, '\p{Scx=--cpmn}', "");
    Expect(0, 77810, '\p{^Scx=--cpmn}', "");
    Expect(0, 77810, '\P{Scx=--cpmn}', "");
    Expect(1, 77810, '\P{^Scx=--cpmn}', "");
    Expect(0, 77811, '\p{Scx=--cpmn}', "");
    Expect(1, 77811, '\p{^Scx=--cpmn}', "");
    Expect(1, 77811, '\P{Scx=--cpmn}', "");
    Expect(0, 77811, '\P{^Scx=--cpmn}', "");
    Error('\p{Is_Script_Extensions=:=--CYPRO_MINOAN}');
    Error('\P{Is_Script_Extensions=:=--CYPRO_MINOAN}');
    Expect(1, 77810, '\p{Is_Script_Extensions=cyprominoan}', "");
    Expect(0, 77810, '\p{^Is_Script_Extensions=cyprominoan}', "");
    Expect(0, 77810, '\P{Is_Script_Extensions=cyprominoan}', "");
    Expect(1, 77810, '\P{^Is_Script_Extensions=cyprominoan}', "");
    Expect(0, 77811, '\p{Is_Script_Extensions=cyprominoan}', "");
    Expect(1, 77811, '\p{^Is_Script_Extensions=cyprominoan}', "");
    Expect(1, 77811, '\P{Is_Script_Extensions=cyprominoan}', "");
    Expect(0, 77811, '\P{^Is_Script_Extensions=cyprominoan}', "");
    Expect(1, 77810, '\p{Is_Script_Extensions= _Cypro_Minoan}', "");
    Expect(0, 77810, '\p{^Is_Script_Extensions= _Cypro_Minoan}', "");
    Expect(0, 77810, '\P{Is_Script_Extensions= _Cypro_Minoan}', "");
    Expect(1, 77810, '\P{^Is_Script_Extensions= _Cypro_Minoan}', "");
    Expect(0, 77811, '\p{Is_Script_Extensions= _Cypro_Minoan}', "");
    Expect(1, 77811, '\p{^Is_Script_Extensions= _Cypro_Minoan}', "");
    Expect(1, 77811, '\P{Is_Script_Extensions= _Cypro_Minoan}', "");
    Expect(0, 77811, '\P{^Is_Script_Extensions= _Cypro_Minoan}', "");
    Error('\p{Is_Scx=/a/Cpmn}');
    Error('\P{Is_Scx=/a/Cpmn}');
    Expect(1, 77810, '\p{Is_Scx=cpmn}', "");
    Expect(0, 77810, '\p{^Is_Scx=cpmn}', "");
    Expect(0, 77810, '\P{Is_Scx=cpmn}', "");
    Expect(1, 77810, '\P{^Is_Scx=cpmn}', "");
    Expect(0, 77811, '\p{Is_Scx=cpmn}', "");
    Expect(1, 77811, '\p{^Is_Scx=cpmn}', "");
    Expect(1, 77811, '\P{Is_Scx=cpmn}', "");
    Expect(0, 77811, '\P{^Is_Scx=cpmn}', "");
    Expect(1, 77810, '\p{Is_Scx=CPMN}', "");
    Expect(0, 77810, '\p{^Is_Scx=CPMN}', "");
    Expect(0, 77810, '\P{Is_Scx=CPMN}', "");
    Expect(1, 77810, '\P{^Is_Scx=CPMN}', "");
    Expect(0, 77811, '\p{Is_Scx=CPMN}', "");
    Expect(1, 77811, '\p{^Is_Scx=CPMN}', "");
    Expect(1, 77811, '\P{Is_Scx=CPMN}', "");
    Expect(0, 77811, '\P{^Is_Scx=CPMN}', "");
    Error('\p{Script_Extensions:	-/a/Cypriot}');
    Error('\P{Script_Extensions:	-/a/Cypriot}');
    Expect(1, 67647, '\p{Script_Extensions=:\ACypriot\z:}', "");;
    Expect(0, 67648, '\p{Script_Extensions=:\ACypriot\z:}', "");;
    Expect(1, 67647, '\p{Script_Extensions=cypriot}', "");
    Expect(0, 67647, '\p{^Script_Extensions=cypriot}', "");
    Expect(0, 67647, '\P{Script_Extensions=cypriot}', "");
    Expect(1, 67647, '\P{^Script_Extensions=cypriot}', "");
    Expect(0, 67648, '\p{Script_Extensions=cypriot}', "");
    Expect(1, 67648, '\p{^Script_Extensions=cypriot}', "");
    Expect(1, 67648, '\P{Script_Extensions=cypriot}', "");
    Expect(0, 67648, '\P{^Script_Extensions=cypriot}', "");
    Expect(1, 67647, '\p{Script_Extensions=:\Acypriot\z:}', "");;
    Expect(0, 67648, '\p{Script_Extensions=:\Acypriot\z:}', "");;
    Expect(1, 67647, '\p{Script_Extensions=- cypriot}', "");
    Expect(0, 67647, '\p{^Script_Extensions=- cypriot}', "");
    Expect(0, 67647, '\P{Script_Extensions=- cypriot}', "");
    Expect(1, 67647, '\P{^Script_Extensions=- cypriot}', "");
    Expect(0, 67648, '\p{Script_Extensions=- cypriot}', "");
    Expect(1, 67648, '\p{^Script_Extensions=- cypriot}', "");
    Expect(1, 67648, '\P{Script_Extensions=- cypriot}', "");
    Expect(0, 67648, '\P{^Script_Extensions=- cypriot}', "");
    Error('\p{Scx=-:=CPRT}');
    Error('\P{Scx=-:=CPRT}');
    Expect(1, 67647, '\p{Scx=:\ACprt\z:}', "");;
    Expect(0, 67648, '\p{Scx=:\ACprt\z:}', "");;
    Expect(1, 67647, '\p{Scx=cprt}', "");
    Expect(0, 67647, '\p{^Scx=cprt}', "");
    Expect(0, 67647, '\P{Scx=cprt}', "");
    Expect(1, 67647, '\P{^Scx=cprt}', "");
    Expect(0, 67648, '\p{Scx=cprt}', "");
    Expect(1, 67648, '\p{^Scx=cprt}', "");
    Expect(1, 67648, '\P{Scx=cprt}', "");
    Expect(0, 67648, '\P{^Scx=cprt}', "");
    Expect(1, 67647, '\p{Scx=:\Acprt\z:}', "");;
    Expect(0, 67648, '\p{Scx=:\Acprt\z:}', "");;
    Expect(1, 67647, '\p{Scx=  Cprt}', "");
    Expect(0, 67647, '\p{^Scx=  Cprt}', "");
    Expect(0, 67647, '\P{Scx=  Cprt}', "");
    Expect(1, 67647, '\P{^Scx=  Cprt}', "");
    Expect(0, 67648, '\p{Scx=  Cprt}', "");
    Expect(1, 67648, '\p{^Scx=  Cprt}', "");
    Expect(1, 67648, '\P{Scx=  Cprt}', "");
    Expect(0, 67648, '\P{^Scx=  Cprt}', "");
    Error('\p{Is_Script_Extensions=	CYPRIOT:=}');
    Error('\P{Is_Script_Extensions=	CYPRIOT:=}');
    Expect(1, 67647, '\p{Is_Script_Extensions=cypriot}', "");
    Expect(0, 67647, '\p{^Is_Script_Extensions=cypriot}', "");
    Expect(0, 67647, '\P{Is_Script_Extensions=cypriot}', "");
    Expect(1, 67647, '\P{^Is_Script_Extensions=cypriot}', "");
    Expect(0, 67648, '\p{Is_Script_Extensions=cypriot}', "");
    Expect(1, 67648, '\p{^Is_Script_Extensions=cypriot}', "");
    Expect(1, 67648, '\P{Is_Script_Extensions=cypriot}', "");
    Expect(0, 67648, '\P{^Is_Script_Extensions=cypriot}', "");
    Expect(1, 67647, '\p{Is_Script_Extensions=-cypriot}', "");
    Expect(0, 67647, '\p{^Is_Script_Extensions=-cypriot}', "");
    Expect(0, 67647, '\P{Is_Script_Extensions=-cypriot}', "");
    Expect(1, 67647, '\P{^Is_Script_Extensions=-cypriot}', "");
    Expect(0, 67648, '\p{Is_Script_Extensions=-cypriot}', "");
    Expect(1, 67648, '\p{^Is_Script_Extensions=-cypriot}', "");
    Expect(1, 67648, '\P{Is_Script_Extensions=-cypriot}', "");
    Expect(0, 67648, '\P{^Is_Script_Extensions=-cypriot}', "");
    Error('\p{Is_Scx=_CPRT:=}');
    Error('\P{Is_Scx=_CPRT:=}');
    Expect(1, 67647, '\p{Is_Scx=cprt}', "");
    Expect(0, 67647, '\p{^Is_Scx=cprt}', "");
    Expect(0, 67647, '\P{Is_Scx=cprt}', "");
    Expect(1, 67647, '\P{^Is_Scx=cprt}', "");
    Expect(0, 67648, '\p{Is_Scx=cprt}', "");
    Expect(1, 67648, '\p{^Is_Scx=cprt}', "");
    Expect(1, 67648, '\P{Is_Scx=cprt}', "");
    Expect(0, 67648, '\P{^Is_Scx=cprt}', "");
    Expect(1, 67647, '\p{Is_Scx=	 cprt}', "");
    Expect(0, 67647, '\p{^Is_Scx=	 cprt}', "");
    Expect(0, 67647, '\P{Is_Scx=	 cprt}', "");
    Expect(1, 67647, '\P{^Is_Scx=	 cprt}', "");
    Expect(0, 67648, '\p{Is_Scx=	 cprt}', "");
    Expect(1, 67648, '\p{^Is_Scx=	 cprt}', "");
    Expect(1, 67648, '\P{Is_Scx=	 cprt}', "");
    Expect(0, 67648, '\P{^Is_Scx=	 cprt}', "");
    Error('\p{Script_Extensions=/a/_	CYRILLIC}');
    Error('\P{Script_Extensions=/a/_	CYRILLIC}');
    Expect(1, 65071, '\p{Script_Extensions=:\ACyrillic\z:}', "");;
    Expect(0, 65072, '\p{Script_Extensions=:\ACyrillic\z:}', "");;
    Expect(1, 65071, '\p{Script_Extensions=cyrillic}', "");
    Expect(0, 65071, '\p{^Script_Extensions=cyrillic}', "");
    Expect(0, 65071, '\P{Script_Extensions=cyrillic}', "");
    Expect(1, 65071, '\P{^Script_Extensions=cyrillic}', "");
    Expect(0, 65072, '\p{Script_Extensions=cyrillic}', "");
    Expect(1, 65072, '\p{^Script_Extensions=cyrillic}', "");
    Expect(1, 65072, '\P{Script_Extensions=cyrillic}', "");
    Expect(0, 65072, '\P{^Script_Extensions=cyrillic}', "");
    Expect(1, 65071, '\p{Script_Extensions=:\Acyrillic\z:}', "");;
    Expect(0, 65072, '\p{Script_Extensions=:\Acyrillic\z:}', "");;
    Expect(1, 65071, '\p{Script_Extensions: --Cyrillic}', "");
    Expect(0, 65071, '\p{^Script_Extensions: --Cyrillic}', "");
    Expect(0, 65071, '\P{Script_Extensions: --Cyrillic}', "");
    Expect(1, 65071, '\P{^Script_Extensions: --Cyrillic}', "");
    Expect(0, 65072, '\p{Script_Extensions: --Cyrillic}', "");
    Expect(1, 65072, '\p{^Script_Extensions: --Cyrillic}', "");
    Expect(1, 65072, '\P{Script_Extensions: --Cyrillic}', "");
    Expect(0, 65072, '\P{^Script_Extensions: --Cyrillic}', "");
    Error('\p{Scx=:=cyrl}');
    Error('\P{Scx=:=cyrl}');
    Expect(1, 65071, '\p{Scx=:\ACyrl\z:}', "");;
    Expect(0, 65072, '\p{Scx=:\ACyrl\z:}', "");;
    Expect(1, 65071, '\p{Scx=cyrl}', "");
    Expect(0, 65071, '\p{^Scx=cyrl}', "");
    Expect(0, 65071, '\P{Scx=cyrl}', "");
    Expect(1, 65071, '\P{^Scx=cyrl}', "");
    Expect(0, 65072, '\p{Scx=cyrl}', "");
    Expect(1, 65072, '\p{^Scx=cyrl}', "");
    Expect(1, 65072, '\P{Scx=cyrl}', "");
    Expect(0, 65072, '\P{^Scx=cyrl}', "");
    Expect(1, 65071, '\p{Scx=:\Acyrl\z:}', "");;
    Expect(0, 65072, '\p{Scx=:\Acyrl\z:}', "");;
    Expect(1, 65071, '\p{Scx=		Cyrl}', "");
    Expect(0, 65071, '\p{^Scx=		Cyrl}', "");
    Expect(0, 65071, '\P{Scx=		Cyrl}', "");
    Expect(1, 65071, '\P{^Scx=		Cyrl}', "");
    Expect(0, 65072, '\p{Scx=		Cyrl}', "");
    Expect(1, 65072, '\p{^Scx=		Cyrl}', "");
    Expect(1, 65072, '\P{Scx=		Cyrl}', "");
    Expect(0, 65072, '\P{^Scx=		Cyrl}', "");
    Error('\p{Is_Script_Extensions=/a/		Cyrillic}');
    Error('\P{Is_Script_Extensions=/a/		Cyrillic}');
    Expect(1, 65071, '\p{Is_Script_Extensions=cyrillic}', "");
    Expect(0, 65071, '\p{^Is_Script_Extensions=cyrillic}', "");
    Expect(0, 65071, '\P{Is_Script_Extensions=cyrillic}', "");
    Expect(1, 65071, '\P{^Is_Script_Extensions=cyrillic}', "");
    Expect(0, 65072, '\p{Is_Script_Extensions=cyrillic}', "");
    Expect(1, 65072, '\p{^Is_Script_Extensions=cyrillic}', "");
    Expect(1, 65072, '\P{Is_Script_Extensions=cyrillic}', "");
    Expect(0, 65072, '\P{^Is_Script_Extensions=cyrillic}', "");
    Expect(1, 65071, '\p{Is_Script_Extensions: 	cyrillic}', "");
    Expect(0, 65071, '\p{^Is_Script_Extensions: 	cyrillic}', "");
    Expect(0, 65071, '\P{Is_Script_Extensions: 	cyrillic}', "");
    Expect(1, 65071, '\P{^Is_Script_Extensions: 	cyrillic}', "");
    Expect(0, 65072, '\p{Is_Script_Extensions: 	cyrillic}', "");
    Expect(1, 65072, '\p{^Is_Script_Extensions: 	cyrillic}', "");
    Expect(1, 65072, '\P{Is_Script_Extensions: 	cyrillic}', "");
    Expect(0, 65072, '\P{^Is_Script_Extensions: 	cyrillic}', "");
    Error('\p{Is_Scx=-	CYRL:=}');
    Error('\P{Is_Scx=-	CYRL:=}');
    Expect(1, 65071, '\p{Is_Scx=cyrl}', "");
    Expect(0, 65071, '\p{^Is_Scx=cyrl}', "");
    Expect(0, 65071, '\P{Is_Scx=cyrl}', "");
    Expect(1, 65071, '\P{^Is_Scx=cyrl}', "");
    Expect(0, 65072, '\p{Is_Scx=cyrl}', "");
    Expect(1, 65072, '\p{^Is_Scx=cyrl}', "");
    Expect(1, 65072, '\P{Is_Scx=cyrl}', "");
    Expect(0, 65072, '\P{^Is_Scx=cyrl}', "");
    Expect(1, 65071, '\p{Is_Scx=_Cyrl}', "");
    Expect(0, 65071, '\p{^Is_Scx=_Cyrl}', "");
    Expect(0, 65071, '\P{Is_Scx=_Cyrl}', "");
    Expect(1, 65071, '\P{^Is_Scx=_Cyrl}', "");
    Expect(0, 65072, '\p{Is_Scx=_Cyrl}', "");
    Expect(1, 65072, '\p{^Is_Scx=_Cyrl}', "");
    Expect(1, 65072, '\P{Is_Scx=_Cyrl}', "");
    Expect(0, 65072, '\P{^Is_Scx=_Cyrl}', "");
    Error('\p{Script_Extensions=	 Devanagari:=}');
    Error('\P{Script_Extensions=	 Devanagari:=}');
    Expect(1, 43263, '\p{Script_Extensions=:\ADevanagari\z:}', "");;
    Expect(0, 43264, '\p{Script_Extensions=:\ADevanagari\z:}', "");;
    Expect(1, 43263, '\p{Script_Extensions=devanagari}', "");
    Expect(0, 43263, '\p{^Script_Extensions=devanagari}', "");
    Expect(0, 43263, '\P{Script_Extensions=devanagari}', "");
    Expect(1, 43263, '\P{^Script_Extensions=devanagari}', "");
    Expect(0, 43264, '\p{Script_Extensions=devanagari}', "");
    Expect(1, 43264, '\p{^Script_Extensions=devanagari}', "");
    Expect(1, 43264, '\P{Script_Extensions=devanagari}', "");
    Expect(0, 43264, '\P{^Script_Extensions=devanagari}', "");
    Expect(1, 43263, '\p{Script_Extensions=:\Adevanagari\z:}', "");;
    Expect(0, 43264, '\p{Script_Extensions=:\Adevanagari\z:}', "");;
    Expect(1, 43263, '\p{Script_Extensions=Devanagari}', "");
    Expect(0, 43263, '\p{^Script_Extensions=Devanagari}', "");
    Expect(0, 43263, '\P{Script_Extensions=Devanagari}', "");
    Expect(1, 43263, '\P{^Script_Extensions=Devanagari}', "");
    Expect(0, 43264, '\p{Script_Extensions=Devanagari}', "");
    Expect(1, 43264, '\p{^Script_Extensions=Devanagari}', "");
    Expect(1, 43264, '\P{Script_Extensions=Devanagari}', "");
    Expect(0, 43264, '\P{^Script_Extensions=Devanagari}', "");
    Error('\p{Scx=/a/_DEVA}');
    Error('\P{Scx=/a/_DEVA}');
    Expect(1, 43263, '\p{Scx=:\ADeva\z:}', "");;
    Expect(0, 43264, '\p{Scx=:\ADeva\z:}', "");;
    Expect(1, 43263, '\p{Scx:deva}', "");
    Expect(0, 43263, '\p{^Scx:deva}', "");
    Expect(0, 43263, '\P{Scx:deva}', "");
    Expect(1, 43263, '\P{^Scx:deva}', "");
    Expect(0, 43264, '\p{Scx:deva}', "");
    Expect(1, 43264, '\p{^Scx:deva}', "");
    Expect(1, 43264, '\P{Scx:deva}', "");
    Expect(0, 43264, '\P{^Scx:deva}', "");
    Expect(1, 43263, '\p{Scx=:\Adeva\z:}', "");;
    Expect(0, 43264, '\p{Scx=:\Adeva\z:}', "");;
    Expect(1, 43263, '\p{Scx:  deva}', "");
    Expect(0, 43263, '\p{^Scx:  deva}', "");
    Expect(0, 43263, '\P{Scx:  deva}', "");
    Expect(1, 43263, '\P{^Scx:  deva}', "");
    Expect(0, 43264, '\p{Scx:  deva}', "");
    Expect(1, 43264, '\p{^Scx:  deva}', "");
    Expect(1, 43264, '\P{Scx:  deva}', "");
    Expect(0, 43264, '\P{^Scx:  deva}', "");
    Error('\p{Is_Script_Extensions=/a/Devanagari}');
    Error('\P{Is_Script_Extensions=/a/Devanagari}');
    Expect(1, 43263, '\p{Is_Script_Extensions=devanagari}', "");
    Expect(0, 43263, '\p{^Is_Script_Extensions=devanagari}', "");
    Expect(0, 43263, '\P{Is_Script_Extensions=devanagari}', "");
    Expect(1, 43263, '\P{^Is_Script_Extensions=devanagari}', "");
    Expect(0, 43264, '\p{Is_Script_Extensions=devanagari}', "");
    Expect(1, 43264, '\p{^Is_Script_Extensions=devanagari}', "");
    Expect(1, 43264, '\P{Is_Script_Extensions=devanagari}', "");
    Expect(0, 43264, '\P{^Is_Script_Extensions=devanagari}', "");
    Expect(1, 43263, '\p{Is_Script_Extensions= devanagari}', "");
    Expect(0, 43263, '\p{^Is_Script_Extensions= devanagari}', "");
    Expect(0, 43263, '\P{Is_Script_Extensions= devanagari}', "");
    Expect(1, 43263, '\P{^Is_Script_Extensions= devanagari}', "");
    Expect(0, 43264, '\p{Is_Script_Extensions= devanagari}', "");
    Expect(1, 43264, '\p{^Is_Script_Extensions= devanagari}', "");
    Expect(1, 43264, '\P{Is_Script_Extensions= devanagari}', "");
    Expect(0, 43264, '\P{^Is_Script_Extensions= devanagari}', "");
    Error('\p{Is_Scx:	_:=Deva}');
    Error('\P{Is_Scx:	_:=Deva}');
    Expect(1, 43263, '\p{Is_Scx=deva}', "");
    Expect(0, 43263, '\p{^Is_Scx=deva}', "");
    Expect(0, 43263, '\P{Is_Scx=deva}', "");
    Expect(1, 43263, '\P{^Is_Scx=deva}', "");
    Expect(0, 43264, '\p{Is_Scx=deva}', "");
    Expect(1, 43264, '\p{^Is_Scx=deva}', "");
    Expect(1, 43264, '\P{Is_Scx=deva}', "");
    Expect(0, 43264, '\P{^Is_Scx=deva}', "");
    Expect(1, 43263, '\p{Is_Scx:   _ Deva}', "");
    Expect(0, 43263, '\p{^Is_Scx:   _ Deva}', "");
    Expect(0, 43263, '\P{Is_Scx:   _ Deva}', "");
    Expect(1, 43263, '\P{^Is_Scx:   _ Deva}', "");
    Expect(0, 43264, '\p{Is_Scx:   _ Deva}', "");
    Expect(1, 43264, '\p{^Is_Scx:   _ Deva}', "");
    Expect(1, 43264, '\P{Is_Scx:   _ Deva}', "");
    Expect(0, 43264, '\P{^Is_Scx:   _ Deva}', "");
    Error('\p{Script_Extensions=/a/ _Dives_AKURU}');
    Error('\P{Script_Extensions=/a/ _Dives_AKURU}');
    Expect(1, 72025, '\p{Script_Extensions=:\ADives_Akuru\z:}', "");;
    Expect(0, 72026, '\p{Script_Extensions=:\ADives_Akuru\z:}', "");;
    Expect(1, 72025, '\p{Script_Extensions=divesakuru}', "");
    Expect(0, 72025, '\p{^Script_Extensions=divesakuru}', "");
    Expect(0, 72025, '\P{Script_Extensions=divesakuru}', "");
    Expect(1, 72025, '\P{^Script_Extensions=divesakuru}', "");
    Expect(0, 72026, '\p{Script_Extensions=divesakuru}', "");
    Expect(1, 72026, '\p{^Script_Extensions=divesakuru}', "");
    Expect(1, 72026, '\P{Script_Extensions=divesakuru}', "");
    Expect(0, 72026, '\P{^Script_Extensions=divesakuru}', "");
    Expect(1, 72025, '\p{Script_Extensions=:\Adivesakuru\z:}', "");;
    Expect(0, 72026, '\p{Script_Extensions=:\Adivesakuru\z:}', "");;
    Expect(1, 72025, '\p{Script_Extensions=-_Dives_AKURU}', "");
    Expect(0, 72025, '\p{^Script_Extensions=-_Dives_AKURU}', "");
    Expect(0, 72025, '\P{Script_Extensions=-_Dives_AKURU}', "");
    Expect(1, 72025, '\P{^Script_Extensions=-_Dives_AKURU}', "");
    Expect(0, 72026, '\p{Script_Extensions=-_Dives_AKURU}', "");
    Expect(1, 72026, '\p{^Script_Extensions=-_Dives_AKURU}', "");
    Expect(1, 72026, '\P{Script_Extensions=-_Dives_AKURU}', "");
    Expect(0, 72026, '\P{^Script_Extensions=-_Dives_AKURU}', "");
    Error('\p{Scx=-:=diak}');
    Error('\P{Scx=-:=diak}');
    Expect(1, 72025, '\p{Scx=:\ADiak\z:}', "");;
    Expect(0, 72026, '\p{Scx=:\ADiak\z:}', "");;
    Expect(1, 72025, '\p{Scx=diak}', "");
    Expect(0, 72025, '\p{^Scx=diak}', "");
    Expect(0, 72025, '\P{Scx=diak}', "");
    Expect(1, 72025, '\P{^Scx=diak}', "");
    Expect(0, 72026, '\p{Scx=diak}', "");
    Expect(1, 72026, '\p{^Scx=diak}', "");
    Expect(1, 72026, '\P{Scx=diak}', "");
    Expect(0, 72026, '\P{^Scx=diak}', "");
    Expect(1, 72025, '\p{Scx=:\Adiak\z:}', "");;
    Expect(0, 72026, '\p{Scx=:\Adiak\z:}', "");;
    Expect(1, 72025, '\p{Scx=-Diak}', "");
    Expect(0, 72025, '\p{^Scx=-Diak}', "");
    Expect(0, 72025, '\P{Scx=-Diak}', "");
    Expect(1, 72025, '\P{^Scx=-Diak}', "");
    Expect(0, 72026, '\p{Scx=-Diak}', "");
    Expect(1, 72026, '\p{^Scx=-Diak}', "");
    Expect(1, 72026, '\P{Scx=-Diak}', "");
    Expect(0, 72026, '\P{^Scx=-Diak}', "");
    Error('\p{Is_Script_Extensions=/a/	DIVES_Akuru}');
    Error('\P{Is_Script_Extensions=/a/	DIVES_Akuru}');
    Expect(1, 72025, '\p{Is_Script_Extensions=divesakuru}', "");
    Expect(0, 72025, '\p{^Is_Script_Extensions=divesakuru}', "");
    Expect(0, 72025, '\P{Is_Script_Extensions=divesakuru}', "");
    Expect(1, 72025, '\P{^Is_Script_Extensions=divesakuru}', "");
    Expect(0, 72026, '\p{Is_Script_Extensions=divesakuru}', "");
    Expect(1, 72026, '\p{^Is_Script_Extensions=divesakuru}', "");
    Expect(1, 72026, '\P{Is_Script_Extensions=divesakuru}', "");
    Expect(0, 72026, '\P{^Is_Script_Extensions=divesakuru}', "");
    Expect(1, 72025, '\p{Is_Script_Extensions=	_dives_akuru}', "");
    Expect(0, 72025, '\p{^Is_Script_Extensions=	_dives_akuru}', "");
    Expect(0, 72025, '\P{Is_Script_Extensions=	_dives_akuru}', "");
    Expect(1, 72025, '\P{^Is_Script_Extensions=	_dives_akuru}', "");
    Expect(0, 72026, '\p{Is_Script_Extensions=	_dives_akuru}', "");
    Expect(1, 72026, '\p{^Is_Script_Extensions=	_dives_akuru}', "");
    Expect(1, 72026, '\P{Is_Script_Extensions=	_dives_akuru}', "");
    Expect(0, 72026, '\P{^Is_Script_Extensions=	_dives_akuru}', "");
    Error('\p{Is_Scx=:=_DIAK}');
    Error('\P{Is_Scx=:=_DIAK}');
    Expect(1, 72025, '\p{Is_Scx=diak}', "");
    Expect(0, 72025, '\p{^Is_Scx=diak}', "");
    Expect(0, 72025, '\P{Is_Scx=diak}', "");
    Expect(1, 72025, '\P{^Is_Scx=diak}', "");
    Expect(0, 72026, '\p{Is_Scx=diak}', "");
    Expect(1, 72026, '\p{^Is_Scx=diak}', "");
    Expect(1, 72026, '\P{Is_Scx=diak}', "");
    Expect(0, 72026, '\P{^Is_Scx=diak}', "");
    Expect(1, 72025, '\p{Is_Scx=_	Diak}', "");
    Expect(0, 72025, '\p{^Is_Scx=_	Diak}', "");
    Expect(0, 72025, '\P{Is_Scx=_	Diak}', "");
    Expect(1, 72025, '\P{^Is_Scx=_	Diak}', "");
    Expect(0, 72026, '\p{Is_Scx=_	Diak}', "");
    Expect(1, 72026, '\p{^Is_Scx=_	Diak}', "");
    Expect(1, 72026, '\P{Is_Scx=_	Diak}', "");
    Expect(0, 72026, '\P{^Is_Scx=_	Diak}', "");
    Error('\p{Script_Extensions=_	Dogra:=}');
    Error('\P{Script_Extensions=_	Dogra:=}');
    Expect(1, 71739, '\p{Script_Extensions=:\ADogra\z:}', "");;
    Expect(0, 71740, '\p{Script_Extensions=:\ADogra\z:}', "");;
    Expect(1, 71739, '\p{Script_Extensions=dogra}', "");
    Expect(0, 71739, '\p{^Script_Extensions=dogra}', "");
    Expect(0, 71739, '\P{Script_Extensions=dogra}', "");
    Expect(1, 71739, '\P{^Script_Extensions=dogra}', "");
    Expect(0, 71740, '\p{Script_Extensions=dogra}', "");
    Expect(1, 71740, '\p{^Script_Extensions=dogra}', "");
    Expect(1, 71740, '\P{Script_Extensions=dogra}', "");
    Expect(0, 71740, '\P{^Script_Extensions=dogra}', "");
    Expect(1, 71739, '\p{Script_Extensions=:\Adogra\z:}', "");;
    Expect(0, 71740, '\p{Script_Extensions=:\Adogra\z:}', "");;
    Expect(1, 71739, '\p{Script_Extensions= Dogra}', "");
    Expect(0, 71739, '\p{^Script_Extensions= Dogra}', "");
    Expect(0, 71739, '\P{Script_Extensions= Dogra}', "");
    Expect(1, 71739, '\P{^Script_Extensions= Dogra}', "");
    Expect(0, 71740, '\p{Script_Extensions= Dogra}', "");
    Expect(1, 71740, '\p{^Script_Extensions= Dogra}', "");
    Expect(1, 71740, '\P{Script_Extensions= Dogra}', "");
    Expect(0, 71740, '\P{^Script_Extensions= Dogra}', "");
    Error('\p{Scx=	Dogr:=}');
    Error('\P{Scx=	Dogr:=}');
    Expect(1, 71739, '\p{Scx=:\ADogr\z:}', "");;
    Expect(0, 71740, '\p{Scx=:\ADogr\z:}', "");;
    Expect(1, 71739, '\p{Scx=dogr}', "");
    Expect(0, 71739, '\p{^Scx=dogr}', "");
    Expect(0, 71739, '\P{Scx=dogr}', "");
    Expect(1, 71739, '\P{^Scx=dogr}', "");
    Expect(0, 71740, '\p{Scx=dogr}', "");
    Expect(1, 71740, '\p{^Scx=dogr}', "");
    Expect(1, 71740, '\P{Scx=dogr}', "");
    Expect(0, 71740, '\P{^Scx=dogr}', "");
    Expect(1, 71739, '\p{Scx=:\Adogr\z:}', "");;
    Expect(0, 71740, '\p{Scx=:\Adogr\z:}', "");;
    Expect(1, 71739, '\p{Scx=	 dogr}', "");
    Expect(0, 71739, '\p{^Scx=	 dogr}', "");
    Expect(0, 71739, '\P{Scx=	 dogr}', "");
    Expect(1, 71739, '\P{^Scx=	 dogr}', "");
    Expect(0, 71740, '\p{Scx=	 dogr}', "");
    Expect(1, 71740, '\p{^Scx=	 dogr}', "");
    Expect(1, 71740, '\P{Scx=	 dogr}', "");
    Expect(0, 71740, '\P{^Scx=	 dogr}', "");
    Error('\p{Is_Script_Extensions=- dogra/a/}');
    Error('\P{Is_Script_Extensions=- dogra/a/}');
    Expect(1, 71739, '\p{Is_Script_Extensions=dogra}', "");
    Expect(0, 71739, '\p{^Is_Script_Extensions=dogra}', "");
    Expect(0, 71739, '\P{Is_Script_Extensions=dogra}', "");
    Expect(1, 71739, '\P{^Is_Script_Extensions=dogra}', "");
    Expect(0, 71740, '\p{Is_Script_Extensions=dogra}', "");
    Expect(1, 71740, '\p{^Is_Script_Extensions=dogra}', "");
    Expect(1, 71740, '\P{Is_Script_Extensions=dogra}', "");
    Expect(0, 71740, '\P{^Is_Script_Extensions=dogra}', "");
    Expect(1, 71739, '\p{Is_Script_Extensions=		Dogra}', "");
    Expect(0, 71739, '\p{^Is_Script_Extensions=		Dogra}', "");
    Expect(0, 71739, '\P{Is_Script_Extensions=		Dogra}', "");
    Expect(1, 71739, '\P{^Is_Script_Extensions=		Dogra}', "");
    Expect(0, 71740, '\p{Is_Script_Extensions=		Dogra}', "");
    Expect(1, 71740, '\p{^Is_Script_Extensions=		Dogra}', "");
    Expect(1, 71740, '\P{Is_Script_Extensions=		Dogra}', "");
    Expect(0, 71740, '\P{^Is_Script_Extensions=		Dogra}', "");
    Error('\p{Is_Scx=:=-_DOGR}');
    Error('\P{Is_Scx=:=-_DOGR}');
    Expect(1, 71739, '\p{Is_Scx=dogr}', "");
    Expect(0, 71739, '\p{^Is_Scx=dogr}', "");
    Expect(0, 71739, '\P{Is_Scx=dogr}', "");
    Expect(1, 71739, '\P{^Is_Scx=dogr}', "");
    Expect(0, 71740, '\p{Is_Scx=dogr}', "");
    Expect(1, 71740, '\p{^Is_Scx=dogr}', "");
    Expect(1, 71740, '\P{Is_Scx=dogr}', "");
    Expect(0, 71740, '\P{^Is_Scx=dogr}', "");
    Expect(1, 71739, '\p{Is_Scx=-dogr}', "");
    Expect(0, 71739, '\p{^Is_Scx=-dogr}', "");
    Expect(0, 71739, '\P{Is_Scx=-dogr}', "");
    Expect(1, 71739, '\P{^Is_Scx=-dogr}', "");
    Expect(0, 71740, '\p{Is_Scx=-dogr}', "");
    Expect(1, 71740, '\p{^Is_Scx=-dogr}', "");
    Expect(1, 71740, '\P{Is_Scx=-dogr}', "");
    Expect(0, 71740, '\P{^Is_Scx=-dogr}', "");
    Error('\p{Script_Extensions=/a/DESERET}');
    Error('\P{Script_Extensions=/a/DESERET}');
    Expect(1, 66639, '\p{Script_Extensions=:\ADeseret\z:}', "");;
    Expect(0, 66640, '\p{Script_Extensions=:\ADeseret\z:}', "");;
    Expect(1, 66639, '\p{Script_Extensions=deseret}', "");
    Expect(0, 66639, '\p{^Script_Extensions=deseret}', "");
    Expect(0, 66639, '\P{Script_Extensions=deseret}', "");
    Expect(1, 66639, '\P{^Script_Extensions=deseret}', "");
    Expect(0, 66640, '\p{Script_Extensions=deseret}', "");
    Expect(1, 66640, '\p{^Script_Extensions=deseret}', "");
    Expect(1, 66640, '\P{Script_Extensions=deseret}', "");
    Expect(0, 66640, '\P{^Script_Extensions=deseret}', "");
    Expect(1, 66639, '\p{Script_Extensions=:\Adeseret\z:}', "");;
    Expect(0, 66640, '\p{Script_Extensions=:\Adeseret\z:}', "");;
    Expect(1, 66639, '\p{Script_Extensions:__Deseret}', "");
    Expect(0, 66639, '\p{^Script_Extensions:__Deseret}', "");
    Expect(0, 66639, '\P{Script_Extensions:__Deseret}', "");
    Expect(1, 66639, '\P{^Script_Extensions:__Deseret}', "");
    Expect(0, 66640, '\p{Script_Extensions:__Deseret}', "");
    Expect(1, 66640, '\p{^Script_Extensions:__Deseret}', "");
    Expect(1, 66640, '\P{Script_Extensions:__Deseret}', "");
    Expect(0, 66640, '\P{^Script_Extensions:__Deseret}', "");
    Error('\p{Scx=/a/ -dsrt}');
    Error('\P{Scx=/a/ -dsrt}');
    Expect(1, 66639, '\p{Scx=:\ADsrt\z:}', "");;
    Expect(0, 66640, '\p{Scx=:\ADsrt\z:}', "");;
    Expect(1, 66639, '\p{Scx=dsrt}', "");
    Expect(0, 66639, '\p{^Scx=dsrt}', "");
    Expect(0, 66639, '\P{Scx=dsrt}', "");
    Expect(1, 66639, '\P{^Scx=dsrt}', "");
    Expect(0, 66640, '\p{Scx=dsrt}', "");
    Expect(1, 66640, '\p{^Scx=dsrt}', "");
    Expect(1, 66640, '\P{Scx=dsrt}', "");
    Expect(0, 66640, '\P{^Scx=dsrt}', "");
    Expect(1, 66639, '\p{Scx=:\Adsrt\z:}', "");;
    Expect(0, 66640, '\p{Scx=:\Adsrt\z:}', "");;
    Expect(1, 66639, '\p{Scx= _DSRT}', "");
    Expect(0, 66639, '\p{^Scx= _DSRT}', "");
    Expect(0, 66639, '\P{Scx= _DSRT}', "");
    Expect(1, 66639, '\P{^Scx= _DSRT}', "");
    Expect(0, 66640, '\p{Scx= _DSRT}', "");
    Expect(1, 66640, '\p{^Scx= _DSRT}', "");
    Expect(1, 66640, '\P{Scx= _DSRT}', "");
    Expect(0, 66640, '\P{^Scx= _DSRT}', "");
    Error('\p{Is_Script_Extensions=-:=Deseret}');
    Error('\P{Is_Script_Extensions=-:=Deseret}');
    Expect(1, 66639, '\p{Is_Script_Extensions=deseret}', "");
    Expect(0, 66639, '\p{^Is_Script_Extensions=deseret}', "");
    Expect(0, 66639, '\P{Is_Script_Extensions=deseret}', "");
    Expect(1, 66639, '\P{^Is_Script_Extensions=deseret}', "");
    Expect(0, 66640, '\p{Is_Script_Extensions=deseret}', "");
    Expect(1, 66640, '\p{^Is_Script_Extensions=deseret}', "");
    Expect(1, 66640, '\P{Is_Script_Extensions=deseret}', "");
    Expect(0, 66640, '\P{^Is_Script_Extensions=deseret}', "");
    Expect(1, 66639, '\p{Is_Script_Extensions= 	DESERET}', "");
    Expect(0, 66639, '\p{^Is_Script_Extensions= 	DESERET}', "");
    Expect(0, 66639, '\P{Is_Script_Extensions= 	DESERET}', "");
    Expect(1, 66639, '\P{^Is_Script_Extensions= 	DESERET}', "");
    Expect(0, 66640, '\p{Is_Script_Extensions= 	DESERET}', "");
    Expect(1, 66640, '\p{^Is_Script_Extensions= 	DESERET}', "");
    Expect(1, 66640, '\P{Is_Script_Extensions= 	DESERET}', "");
    Expect(0, 66640, '\P{^Is_Script_Extensions= 	DESERET}', "");
    Error('\p{Is_Scx=:=	Dsrt}');
    Error('\P{Is_Scx=:=	Dsrt}');
    Expect(1, 66639, '\p{Is_Scx=dsrt}', "");
    Expect(0, 66639, '\p{^Is_Scx=dsrt}', "");
    Expect(0, 66639, '\P{Is_Scx=dsrt}', "");
    Expect(1, 66639, '\P{^Is_Scx=dsrt}', "");
    Expect(0, 66640, '\p{Is_Scx=dsrt}', "");
    Expect(1, 66640, '\p{^Is_Scx=dsrt}', "");
    Expect(1, 66640, '\P{Is_Scx=dsrt}', "");
    Expect(0, 66640, '\P{^Is_Scx=dsrt}', "");
    Expect(1, 66639, '\p{Is_Scx=- DSRT}', "");
    Expect(0, 66639, '\p{^Is_Scx=- DSRT}', "");
    Expect(0, 66639, '\P{Is_Scx=- DSRT}', "");
    Expect(1, 66639, '\P{^Is_Scx=- DSRT}', "");
    Expect(0, 66640, '\p{Is_Scx=- DSRT}', "");
    Expect(1, 66640, '\p{^Is_Scx=- DSRT}', "");
    Expect(1, 66640, '\P{Is_Scx=- DSRT}', "");
    Expect(0, 66640, '\P{^Is_Scx=- DSRT}', "");
    Error('\p{Script_Extensions=-Duployan:=}');
    Error('\P{Script_Extensions=-Duployan:=}');
    Expect(1, 113827, '\p{Script_Extensions=:\ADuployan\z:}', "");;
    Expect(0, 113828, '\p{Script_Extensions=:\ADuployan\z:}', "");;
    Expect(1, 113827, '\p{Script_Extensions=duployan}', "");
    Expect(0, 113827, '\p{^Script_Extensions=duployan}', "");
    Expect(0, 113827, '\P{Script_Extensions=duployan}', "");
    Expect(1, 113827, '\P{^Script_Extensions=duployan}', "");
    Expect(0, 113828, '\p{Script_Extensions=duployan}', "");
    Expect(1, 113828, '\p{^Script_Extensions=duployan}', "");
    Expect(1, 113828, '\P{Script_Extensions=duployan}', "");
    Expect(0, 113828, '\P{^Script_Extensions=duployan}', "");
    Expect(1, 113827, '\p{Script_Extensions=:\Aduployan\z:}', "");;
    Expect(0, 113828, '\p{Script_Extensions=:\Aduployan\z:}', "");;
    Expect(1, 113827, '\p{Script_Extensions=-DUPLOYAN}', "");
    Expect(0, 113827, '\p{^Script_Extensions=-DUPLOYAN}', "");
    Expect(0, 113827, '\P{Script_Extensions=-DUPLOYAN}', "");
    Expect(1, 113827, '\P{^Script_Extensions=-DUPLOYAN}', "");
    Expect(0, 113828, '\p{Script_Extensions=-DUPLOYAN}', "");
    Expect(1, 113828, '\p{^Script_Extensions=-DUPLOYAN}', "");
    Expect(1, 113828, '\P{Script_Extensions=-DUPLOYAN}', "");
    Expect(0, 113828, '\P{^Script_Extensions=-DUPLOYAN}', "");
    Error('\p{Scx= dupl/a/}');
    Error('\P{Scx= dupl/a/}');
    Expect(1, 113827, '\p{Scx=:\ADupl\z:}', "");;
    Expect(0, 113828, '\p{Scx=:\ADupl\z:}', "");;
    Expect(1, 113827, '\p{Scx=dupl}', "");
    Expect(0, 113827, '\p{^Scx=dupl}', "");
    Expect(0, 113827, '\P{Scx=dupl}', "");
    Expect(1, 113827, '\P{^Scx=dupl}', "");
    Expect(0, 113828, '\p{Scx=dupl}', "");
    Expect(1, 113828, '\p{^Scx=dupl}', "");
    Expect(1, 113828, '\P{Scx=dupl}', "");
    Expect(0, 113828, '\P{^Scx=dupl}', "");
    Expect(1, 113827, '\p{Scx=:\Adupl\z:}', "");;
    Expect(0, 113828, '\p{Scx=:\Adupl\z:}', "");;
    Expect(1, 113827, '\p{Scx= Dupl}', "");
    Expect(0, 113827, '\p{^Scx= Dupl}', "");
    Expect(0, 113827, '\P{Scx= Dupl}', "");
    Expect(1, 113827, '\P{^Scx= Dupl}', "");
    Expect(0, 113828, '\p{Scx= Dupl}', "");
    Expect(1, 113828, '\p{^Scx= Dupl}', "");
    Expect(1, 113828, '\P{Scx= Dupl}', "");
    Expect(0, 113828, '\P{^Scx= Dupl}', "");
    Error('\p{Is_Script_Extensions:	_duployan/a/}');
    Error('\P{Is_Script_Extensions:	_duployan/a/}');
    Expect(1, 113827, '\p{Is_Script_Extensions=duployan}', "");
    Expect(0, 113827, '\p{^Is_Script_Extensions=duployan}', "");
    Expect(0, 113827, '\P{Is_Script_Extensions=duployan}', "");
    Expect(1, 113827, '\P{^Is_Script_Extensions=duployan}', "");
    Expect(0, 113828, '\p{Is_Script_Extensions=duployan}', "");
    Expect(1, 113828, '\p{^Is_Script_Extensions=duployan}', "");
    Expect(1, 113828, '\P{Is_Script_Extensions=duployan}', "");
    Expect(0, 113828, '\P{^Is_Script_Extensions=duployan}', "");
    Expect(1, 113827, '\p{Is_Script_Extensions=	duployan}', "");
    Expect(0, 113827, '\p{^Is_Script_Extensions=	duployan}', "");
    Expect(0, 113827, '\P{Is_Script_Extensions=	duployan}', "");
    Expect(1, 113827, '\P{^Is_Script_Extensions=	duployan}', "");
    Expect(0, 113828, '\p{Is_Script_Extensions=	duployan}', "");
    Expect(1, 113828, '\p{^Is_Script_Extensions=	duployan}', "");
    Expect(1, 113828, '\P{Is_Script_Extensions=	duployan}', "");
    Expect(0, 113828, '\P{^Is_Script_Extensions=	duployan}', "");
    Error('\p{Is_Scx=_Dupl:=}');
    Error('\P{Is_Scx=_Dupl:=}');
    Expect(1, 113827, '\p{Is_Scx:	dupl}', "");
    Expect(0, 113827, '\p{^Is_Scx:	dupl}', "");
    Expect(0, 113827, '\P{Is_Scx:	dupl}', "");
    Expect(1, 113827, '\P{^Is_Scx:	dupl}', "");
    Expect(0, 113828, '\p{Is_Scx:	dupl}', "");
    Expect(1, 113828, '\p{^Is_Scx:	dupl}', "");
    Expect(1, 113828, '\P{Is_Scx:	dupl}', "");
    Expect(0, 113828, '\P{^Is_Scx:	dupl}', "");
    Expect(1, 113827, '\p{Is_Scx= 	DUPL}', "");
    Expect(0, 113827, '\p{^Is_Scx= 	DUPL}', "");
    Expect(0, 113827, '\P{Is_Scx= 	DUPL}', "");
    Expect(1, 113827, '\P{^Is_Scx= 	DUPL}', "");
    Expect(0, 113828, '\p{Is_Scx= 	DUPL}', "");
    Expect(1, 113828, '\p{^Is_Scx= 	DUPL}', "");
    Expect(1, 113828, '\P{Is_Scx= 	DUPL}', "");
    Expect(0, 113828, '\P{^Is_Scx= 	DUPL}', "");
    Error('\p{Script_Extensions=/a/_EGYPTIAN_Hieroglyphs}');
    Error('\P{Script_Extensions=/a/_EGYPTIAN_Hieroglyphs}');
    Expect(1, 78904, '\p{Script_Extensions=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(0, 78905, '\p{Script_Extensions=:\AEgyptian_Hieroglyphs\z:}', "");;
    Expect(1, 78904, '\p{Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\p{^Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\P{Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\P{^Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\p{Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\p{^Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\P{Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\P{^Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\p{Script_Extensions=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(0, 78905, '\p{Script_Extensions=:\Aegyptianhieroglyphs\z:}', "");;
    Expect(1, 78904, '\p{Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Expect(0, 78904, '\p{^Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Expect(0, 78904, '\P{Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Expect(1, 78904, '\P{^Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Expect(0, 78905, '\p{Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Expect(1, 78905, '\p{^Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Expect(1, 78905, '\P{Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Expect(0, 78905, '\P{^Script_Extensions=-	egyptian_HIEROGLYPHS}', "");
    Error('\p{Scx=--egyp/a/}');
    Error('\P{Scx=--egyp/a/}');
    Expect(1, 78904, '\p{Scx=:\AEgyp\z:}', "");;
    Expect(0, 78905, '\p{Scx=:\AEgyp\z:}', "");;
    Expect(1, 78904, '\p{Scx:   egyp}', "");
    Expect(0, 78904, '\p{^Scx:   egyp}', "");
    Expect(0, 78904, '\P{Scx:   egyp}', "");
    Expect(1, 78904, '\P{^Scx:   egyp}', "");
    Expect(0, 78905, '\p{Scx:   egyp}', "");
    Expect(1, 78905, '\p{^Scx:   egyp}', "");
    Expect(1, 78905, '\P{Scx:   egyp}', "");
    Expect(0, 78905, '\P{^Scx:   egyp}', "");
    Expect(1, 78904, '\p{Scx=:\Aegyp\z:}', "");;
    Expect(0, 78905, '\p{Scx=:\Aegyp\z:}', "");;
    Expect(1, 78904, '\p{Scx=-	Egyp}', "");
    Expect(0, 78904, '\p{^Scx=-	Egyp}', "");
    Expect(0, 78904, '\P{Scx=-	Egyp}', "");
    Expect(1, 78904, '\P{^Scx=-	Egyp}', "");
    Expect(0, 78905, '\p{Scx=-	Egyp}', "");
    Expect(1, 78905, '\p{^Scx=-	Egyp}', "");
    Expect(1, 78905, '\P{Scx=-	Egyp}', "");
    Expect(0, 78905, '\P{^Scx=-	Egyp}', "");
    Error('\p{Is_Script_Extensions=_ Egyptian_HIEROGLYPHS/a/}');
    Error('\P{Is_Script_Extensions=_ Egyptian_HIEROGLYPHS/a/}');
    Expect(1, 78904, '\p{Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\p{^Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78904, '\P{Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\P{^Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\p{Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\p{^Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78905, '\P{Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(0, 78905, '\P{^Is_Script_Extensions=egyptianhieroglyphs}', "");
    Expect(1, 78904, '\p{Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Expect(0, 78904, '\p{^Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Expect(0, 78904, '\P{Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Expect(1, 78904, '\P{^Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Expect(0, 78905, '\p{Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Expect(1, 78905, '\p{^Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Expect(1, 78905, '\P{Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Expect(0, 78905, '\P{^Is_Script_Extensions=_egyptian_Hieroglyphs}', "");
    Error('\p{Is_Scx:		 EGYP/a/}');
    Error('\P{Is_Scx:		 EGYP/a/}');
    Expect(1, 78904, '\p{Is_Scx=egyp}', "");
    Expect(0, 78904, '\p{^Is_Scx=egyp}', "");
    Expect(0, 78904, '\P{Is_Scx=egyp}', "");
    Expect(1, 78904, '\P{^Is_Scx=egyp}', "");
    Expect(0, 78905, '\p{Is_Scx=egyp}', "");
    Expect(1, 78905, '\p{^Is_Scx=egyp}', "");
    Expect(1, 78905, '\P{Is_Scx=egyp}', "");
    Expect(0, 78905, '\P{^Is_Scx=egyp}', "");
    Expect(1, 78904, '\p{Is_Scx=		Egyp}', "");
    Expect(0, 78904, '\p{^Is_Scx=		Egyp}', "");
    Expect(0, 78904, '\P{Is_Scx=		Egyp}', "");
    Expect(1, 78904, '\P{^Is_Scx=		Egyp}', "");
    Expect(0, 78905, '\p{Is_Scx=		Egyp}', "");
    Expect(1, 78905, '\p{^Is_Scx=		Egyp}', "");
    Expect(1, 78905, '\P{Is_Scx=		Egyp}', "");
    Expect(0, 78905, '\P{^Is_Scx=		Egyp}', "");
    Error('\p{Script_Extensions=_-ELBASAN/a/}');
    Error('\P{Script_Extensions=_-ELBASAN/a/}');
    Expect(1, 66855, '\p{Script_Extensions=:\AElbasan\z:}', "");;
    Expect(0, 66856, '\p{Script_Extensions=:\AElbasan\z:}', "");;
    Expect(1, 66855, '\p{Script_Extensions=elbasan}', "");
    Expect(0, 66855, '\p{^Script_Extensions=elbasan}', "");
    Expect(0, 66855, '\P{Script_Extensions=elbasan}', "");
    Expect(1, 66855, '\P{^Script_Extensions=elbasan}', "");
    Expect(0, 66856, '\p{Script_Extensions=elbasan}', "");
    Expect(1, 66856, '\p{^Script_Extensions=elbasan}', "");
    Expect(1, 66856, '\P{Script_Extensions=elbasan}', "");
    Expect(0, 66856, '\P{^Script_Extensions=elbasan}', "");
    Expect(1, 66855, '\p{Script_Extensions=:\Aelbasan\z:}', "");;
    Expect(0, 66856, '\p{Script_Extensions=:\Aelbasan\z:}', "");;
    Expect(1, 66855, '\p{Script_Extensions:	_elbasan}', "");
    Expect(0, 66855, '\p{^Script_Extensions:	_elbasan}', "");
    Expect(0, 66855, '\P{Script_Extensions:	_elbasan}', "");
    Expect(1, 66855, '\P{^Script_Extensions:	_elbasan}', "");
    Expect(0, 66856, '\p{Script_Extensions:	_elbasan}', "");
    Expect(1, 66856, '\p{^Script_Extensions:	_elbasan}', "");
    Expect(1, 66856, '\P{Script_Extensions:	_elbasan}', "");
    Expect(0, 66856, '\P{^Script_Extensions:	_elbasan}', "");
    Error('\p{Scx= :=ELBA}');
    Error('\P{Scx= :=ELBA}');
    Expect(1, 66855, '\p{Scx=:\AElba\z:}', "");;
    Expect(0, 66856, '\p{Scx=:\AElba\z:}', "");;
    Expect(1, 66855, '\p{Scx=elba}', "");
    Expect(0, 66855, '\p{^Scx=elba}', "");
    Expect(0, 66855, '\P{Scx=elba}', "");
    Expect(1, 66855, '\P{^Scx=elba}', "");
    Expect(0, 66856, '\p{Scx=elba}', "");
    Expect(1, 66856, '\p{^Scx=elba}', "");
    Expect(1, 66856, '\P{Scx=elba}', "");
    Expect(0, 66856, '\P{^Scx=elba}', "");
    Expect(1, 66855, '\p{Scx=:\Aelba\z:}', "");;
    Expect(0, 66856, '\p{Scx=:\Aelba\z:}', "");;
    Expect(1, 66855, '\p{Scx=- elba}', "");
    Expect(0, 66855, '\p{^Scx=- elba}', "");
    Expect(0, 66855, '\P{Scx=- elba}', "");
    Expect(1, 66855, '\P{^Scx=- elba}', "");
    Expect(0, 66856, '\p{Scx=- elba}', "");
    Expect(1, 66856, '\p{^Scx=- elba}', "");
    Expect(1, 66856, '\P{Scx=- elba}', "");
    Expect(0, 66856, '\P{^Scx=- elba}', "");
    Error('\p{Is_Script_Extensions=_/a/Elbasan}');
    Error('\P{Is_Script_Extensions=_/a/Elbasan}');
    Expect(1, 66855, '\p{Is_Script_Extensions=elbasan}', "");
    Expect(0, 66855, '\p{^Is_Script_Extensions=elbasan}', "");
    Expect(0, 66855, '\P{Is_Script_Extensions=elbasan}', "");
    Expect(1, 66855, '\P{^Is_Script_Extensions=elbasan}', "");
    Expect(0, 66856, '\p{Is_Script_Extensions=elbasan}', "");
    Expect(1, 66856, '\p{^Is_Script_Extensions=elbasan}', "");
    Expect(1, 66856, '\P{Is_Script_Extensions=elbasan}', "");
    Expect(0, 66856, '\P{^Is_Script_Extensions=elbasan}', "");
    Expect(1, 66855, '\p{Is_Script_Extensions=	elbasan}', "");
    Expect(0, 66855, '\p{^Is_Script_Extensions=	elbasan}', "");
    Expect(0, 66855, '\P{Is_Script_Extensions=	elbasan}', "");
    Expect(1, 66855, '\P{^Is_Script_Extensions=	elbasan}', "");
    Expect(0, 66856, '\p{Is_Script_Extensions=	elbasan}', "");
    Expect(1, 66856, '\p{^Is_Script_Extensions=	elbasan}', "");
    Expect(1, 66856, '\P{Is_Script_Extensions=	elbasan}', "");
    Expect(0, 66856, '\P{^Is_Script_Extensions=	elbasan}', "");
    Error('\p{Is_Scx=/a/_	Elba}');
    Error('\P{Is_Scx=/a/_	Elba}');
    Expect(1, 66855, '\p{Is_Scx=elba}', "");
    Expect(0, 66855, '\p{^Is_Scx=elba}', "");
    Expect(0, 66855, '\P{Is_Scx=elba}', "");
    Expect(1, 66855, '\P{^Is_Scx=elba}', "");
    Expect(0, 66856, '\p{Is_Scx=elba}', "");
    Expect(1, 66856, '\p{^Is_Scx=elba}', "");
    Expect(1, 66856, '\P{Is_Scx=elba}', "");
    Expect(0, 66856, '\P{^Is_Scx=elba}', "");
    Expect(1, 66855, '\p{Is_Scx= elba}', "");
    Expect(0, 66855, '\p{^Is_Scx= elba}', "");
    Expect(0, 66855, '\P{Is_Scx= elba}', "");
    Expect(1, 66855, '\P{^Is_Scx= elba}', "");
    Expect(0, 66856, '\p{Is_Scx= elba}', "");
    Expect(1, 66856, '\p{^Is_Scx= elba}', "");
    Expect(1, 66856, '\P{Is_Scx= elba}', "");
    Expect(0, 66856, '\P{^Is_Scx= elba}', "");
    Error('\p{Script_Extensions=_-ELYMAIC:=}');
    Error('\P{Script_Extensions=_-ELYMAIC:=}');
    Expect(1, 69622, '\p{Script_Extensions=:\AElymaic\z:}', "");;
    Expect(0, 69623, '\p{Script_Extensions=:\AElymaic\z:}', "");;
    Expect(1, 69622, '\p{Script_Extensions=elymaic}', "");
    Expect(0, 69622, '\p{^Script_Extensions=elymaic}', "");
    Expect(0, 69622, '\P{Script_Extensions=elymaic}', "");
    Expect(1, 69622, '\P{^Script_Extensions=elymaic}', "");
    Expect(0, 69623, '\p{Script_Extensions=elymaic}', "");
    Expect(1, 69623, '\p{^Script_Extensions=elymaic}', "");
    Expect(1, 69623, '\P{Script_Extensions=elymaic}', "");
    Expect(0, 69623, '\P{^Script_Extensions=elymaic}', "");
    Expect(1, 69622, '\p{Script_Extensions=:\Aelymaic\z:}', "");;
    Expect(0, 69623, '\p{Script_Extensions=:\Aelymaic\z:}', "");;
    Expect(1, 69622, '\p{Script_Extensions=	-elymaic}', "");
    Expect(0, 69622, '\p{^Script_Extensions=	-elymaic}', "");
    Expect(0, 69622, '\P{Script_Extensions=	-elymaic}', "");
    Expect(1, 69622, '\P{^Script_Extensions=	-elymaic}', "");
    Expect(0, 69623, '\p{Script_Extensions=	-elymaic}', "");
    Expect(1, 69623, '\p{^Script_Extensions=	-elymaic}', "");
    Expect(1, 69623, '\P{Script_Extensions=	-elymaic}', "");
    Expect(0, 69623, '\P{^Script_Extensions=	-elymaic}', "");
    Error('\p{Scx=__Elym:=}');
    Error('\P{Scx=__Elym:=}');
    Expect(1, 69622, '\p{Scx=:\AElym\z:}', "");;
    Expect(0, 69623, '\p{Scx=:\AElym\z:}', "");;
    Expect(1, 69622, '\p{Scx=elym}', "");
    Expect(0, 69622, '\p{^Scx=elym}', "");
    Expect(0, 69622, '\P{Scx=elym}', "");
    Expect(1, 69622, '\P{^Scx=elym}', "");
    Expect(0, 69623, '\p{Scx=elym}', "");
    Expect(1, 69623, '\p{^Scx=elym}', "");
    Expect(1, 69623, '\P{Scx=elym}', "");
    Expect(0, 69623, '\P{^Scx=elym}', "");
    Expect(1, 69622, '\p{Scx=:\Aelym\z:}', "");;
    Expect(0, 69623, '\p{Scx=:\Aelym\z:}', "");;
    Expect(1, 69622, '\p{Scx=	Elym}', "");
    Expect(0, 69622, '\p{^Scx=	Elym}', "");
    Expect(0, 69622, '\P{Scx=	Elym}', "");
    Expect(1, 69622, '\P{^Scx=	Elym}', "");
    Expect(0, 69623, '\p{Scx=	Elym}', "");
    Expect(1, 69623, '\p{^Scx=	Elym}', "");
    Expect(1, 69623, '\P{Scx=	Elym}', "");
    Expect(0, 69623, '\P{^Scx=	Elym}', "");
    Error('\p{Is_Script_Extensions:   	Elymaic/a/}');
    Error('\P{Is_Script_Extensions:   	Elymaic/a/}');
    Expect(1, 69622, '\p{Is_Script_Extensions=elymaic}', "");
    Expect(0, 69622, '\p{^Is_Script_Extensions=elymaic}', "");
    Expect(0, 69622, '\P{Is_Script_Extensions=elymaic}', "");
    Expect(1, 69622, '\P{^Is_Script_Extensions=elymaic}', "");
    Expect(0, 69623, '\p{Is_Script_Extensions=elymaic}', "");
    Expect(1, 69623, '\p{^Is_Script_Extensions=elymaic}', "");
    Expect(1, 69623, '\P{Is_Script_Extensions=elymaic}', "");
    Expect(0, 69623, '\P{^Is_Script_Extensions=elymaic}', "");
    Expect(1, 69622, '\p{Is_Script_Extensions:   _ ELYMAIC}', "");
    Expect(0, 69622, '\p{^Is_Script_Extensions:   _ ELYMAIC}', "");
    Expect(0, 69622, '\P{Is_Script_Extensions:   _ ELYMAIC}', "");
    Expect(1, 69622, '\P{^Is_Script_Extensions:   _ ELYMAIC}', "");
    Expect(0, 69623, '\p{Is_Script_Extensions:   _ ELYMAIC}', "");
    Expect(1, 69623, '\p{^Is_Script_Extensions:   _ ELYMAIC}', "");
    Expect(1, 69623, '\P{Is_Script_Extensions:   _ ELYMAIC}', "");
    Expect(0, 69623, '\P{^Is_Script_Extensions:   _ ELYMAIC}', "");
    Error('\p{Is_Scx=:=Elym}');
    Error('\P{Is_Scx=:=Elym}');
    Expect(1, 69622, '\p{Is_Scx=elym}', "");
    Expect(0, 69622, '\p{^Is_Scx=elym}', "");
    Expect(0, 69622, '\P{Is_Scx=elym}', "");
    Expect(1, 69622, '\P{^Is_Scx=elym}', "");
    Expect(0, 69623, '\p{Is_Scx=elym}', "");
    Expect(1, 69623, '\p{^Is_Scx=elym}', "");
    Expect(1, 69623, '\P{Is_Scx=elym}', "");
    Expect(0, 69623, '\P{^Is_Scx=elym}', "");
    Expect(1, 69622, '\p{Is_Scx:	 	Elym}', "");
    Expect(0, 69622, '\p{^Is_Scx:	 	Elym}', "");
    Expect(0, 69622, '\P{Is_Scx:	 	Elym}', "");
    Expect(1, 69622, '\P{^Is_Scx:	 	Elym}', "");
    Expect(0, 69623, '\p{Is_Scx:	 	Elym}', "");
    Expect(1, 69623, '\p{^Is_Scx:	 	Elym}', "");
    Expect(1, 69623, '\P{Is_Scx:	 	Elym}', "");
    Expect(0, 69623, '\P{^Is_Scx:	 	Elym}', "");
    Error('\p{Script_Extensions=-	Ethiopic:=}');
    Error('\P{Script_Extensions=-	Ethiopic:=}');
    Expect(1, 124926, '\p{Script_Extensions=:\AEthiopic\z:}', "");;
    Expect(0, 124927, '\p{Script_Extensions=:\AEthiopic\z:}', "");;
    Expect(1, 124926, '\p{Script_Extensions=ethiopic}', "");
    Expect(0, 124926, '\p{^Script_Extensions=ethiopic}', "");
    Expect(0, 124926, '\P{Script_Extensions=ethiopic}', "");
    Expect(1, 124926, '\P{^Script_Extensions=ethiopic}', "");
    Expect(0, 124927, '\p{Script_Extensions=ethiopic}', "");
    Expect(1, 124927, '\p{^Script_Extensions=ethiopic}', "");
    Expect(1, 124927, '\P{Script_Extensions=ethiopic}', "");
    Expect(0, 124927, '\P{^Script_Extensions=ethiopic}', "");
    Expect(1, 124926, '\p{Script_Extensions=:\Aethiopic\z:}', "");;
    Expect(0, 124927, '\p{Script_Extensions=:\Aethiopic\z:}', "");;
    Expect(1, 124926, '\p{Script_Extensions=		ETHIOPIC}', "");
    Expect(0, 124926, '\p{^Script_Extensions=		ETHIOPIC}', "");
    Expect(0, 124926, '\P{Script_Extensions=		ETHIOPIC}', "");
    Expect(1, 124926, '\P{^Script_Extensions=		ETHIOPIC}', "");
    Expect(0, 124927, '\p{Script_Extensions=		ETHIOPIC}', "");
    Expect(1, 124927, '\p{^Script_Extensions=		ETHIOPIC}', "");
    Expect(1, 124927, '\P{Script_Extensions=		ETHIOPIC}', "");
    Expect(0, 124927, '\P{^Script_Extensions=		ETHIOPIC}', "");
    Error('\p{Scx: :=_	ethi}');
    Error('\P{Scx: :=_	ethi}');
    Expect(1, 124926, '\p{Scx=:\AEthi\z:}', "");;
    Expect(0, 124927, '\p{Scx=:\AEthi\z:}', "");;
    Expect(1, 124926, '\p{Scx=ethi}', "");
    Expect(0, 124926, '\p{^Scx=ethi}', "");
    Expect(0, 124926, '\P{Scx=ethi}', "");
    Expect(1, 124926, '\P{^Scx=ethi}', "");
    Expect(0, 124927, '\p{Scx=ethi}', "");
    Expect(1, 124927, '\p{^Scx=ethi}', "");
    Expect(1, 124927, '\P{Scx=ethi}', "");
    Expect(0, 124927, '\P{^Scx=ethi}', "");
    Expect(1, 124926, '\p{Scx=:\Aethi\z:}', "");;
    Expect(0, 124927, '\p{Scx=:\Aethi\z:}', "");;
    Expect(1, 124926, '\p{Scx=  Ethi}', "");
    Expect(0, 124926, '\p{^Scx=  Ethi}', "");
    Expect(0, 124926, '\P{Scx=  Ethi}', "");
    Expect(1, 124926, '\P{^Scx=  Ethi}', "");
    Expect(0, 124927, '\p{Scx=  Ethi}', "");
    Expect(1, 124927, '\p{^Scx=  Ethi}', "");
    Expect(1, 124927, '\P{Scx=  Ethi}', "");
    Expect(0, 124927, '\P{^Scx=  Ethi}', "");
    Error('\p{Is_Script_Extensions=/a/-_Ethiopic}');
    Error('\P{Is_Script_Extensions=/a/-_Ethiopic}');
    Expect(1, 124926, '\p{Is_Script_Extensions=ethiopic}', "");
    Expect(0, 124926, '\p{^Is_Script_Extensions=ethiopic}', "");
    Expect(0, 124926, '\P{Is_Script_Extensions=ethiopic}', "");
    Expect(1, 124926, '\P{^Is_Script_Extensions=ethiopic}', "");
    Expect(0, 124927, '\p{Is_Script_Extensions=ethiopic}', "");
    Expect(1, 124927, '\p{^Is_Script_Extensions=ethiopic}', "");
    Expect(1, 124927, '\P{Is_Script_Extensions=ethiopic}', "");
    Expect(0, 124927, '\P{^Is_Script_Extensions=ethiopic}', "");
    Expect(1, 124926, '\p{Is_Script_Extensions=  ETHIOPIC}', "");
    Expect(0, 124926, '\p{^Is_Script_Extensions=  ETHIOPIC}', "");
    Expect(0, 124926, '\P{Is_Script_Extensions=  ETHIOPIC}', "");
    Expect(1, 124926, '\P{^Is_Script_Extensions=  ETHIOPIC}', "");
    Expect(0, 124927, '\p{Is_Script_Extensions=  ETHIOPIC}', "");
    Expect(1, 124927, '\p{^Is_Script_Extensions=  ETHIOPIC}', "");
    Expect(1, 124927, '\P{Is_Script_Extensions=  ETHIOPIC}', "");
    Expect(0, 124927, '\P{^Is_Script_Extensions=  ETHIOPIC}', "");
    Error('\p{Is_Scx=/a/  Ethi}');
    Error('\P{Is_Scx=/a/  Ethi}');
    Expect(1, 124926, '\p{Is_Scx=ethi}', "");
    Expect(0, 124926, '\p{^Is_Scx=ethi}', "");
    Expect(0, 124926, '\P{Is_Scx=ethi}', "");
    Expect(1, 124926, '\P{^Is_Scx=ethi}', "");
    Expect(0, 124927, '\p{Is_Scx=ethi}', "");
    Expect(1, 124927, '\p{^Is_Scx=ethi}', "");
    Expect(1, 124927, '\P{Is_Scx=ethi}', "");
    Expect(0, 124927, '\P{^Is_Scx=ethi}', "");
    Expect(1, 124926, '\p{Is_Scx=_-Ethi}', "");
    Expect(0, 124926, '\p{^Is_Scx=_-Ethi}', "");
    Expect(0, 124926, '\P{Is_Scx=_-Ethi}', "");
    Expect(1, 124926, '\P{^Is_Scx=_-Ethi}', "");
    Expect(0, 124927, '\p{Is_Scx=_-Ethi}', "");
    Expect(1, 124927, '\p{^Is_Scx=_-Ethi}', "");
    Expect(1, 124927, '\P{Is_Scx=_-Ethi}', "");
    Expect(0, 124927, '\P{^Is_Scx=_-Ethi}', "");
    Error('\p{Script_Extensions=	 Georgian/a/}');
    Error('\P{Script_Extensions=	 Georgian/a/}');
    Expect(1, 11565, '\p{Script_Extensions=:\AGeorgian\z:}', "");;
    Expect(0, 11566, '\p{Script_Extensions=:\AGeorgian\z:}', "");;
    Expect(1, 11565, '\p{Script_Extensions=georgian}', "");
    Expect(0, 11565, '\p{^Script_Extensions=georgian}', "");
    Expect(0, 11565, '\P{Script_Extensions=georgian}', "");
    Expect(1, 11565, '\P{^Script_Extensions=georgian}', "");
    Expect(0, 11566, '\p{Script_Extensions=georgian}', "");
    Expect(1, 11566, '\p{^Script_Extensions=georgian}', "");
    Expect(1, 11566, '\P{Script_Extensions=georgian}', "");
    Expect(0, 11566, '\P{^Script_Extensions=georgian}', "");
    Expect(1, 11565, '\p{Script_Extensions=:\Ageorgian\z:}', "");;
    Expect(0, 11566, '\p{Script_Extensions=:\Ageorgian\z:}', "");;
    Expect(1, 11565, '\p{Script_Extensions: 		georgian}', "");
    Expect(0, 11565, '\p{^Script_Extensions: 		georgian}', "");
    Expect(0, 11565, '\P{Script_Extensions: 		georgian}', "");
    Expect(1, 11565, '\P{^Script_Extensions: 		georgian}', "");
    Expect(0, 11566, '\p{Script_Extensions: 		georgian}', "");
    Expect(1, 11566, '\p{^Script_Extensions: 		georgian}', "");
    Expect(1, 11566, '\P{Script_Extensions: 		georgian}', "");
    Expect(0, 11566, '\P{^Script_Extensions: 		georgian}', "");
    Error('\p{Scx=_/a/Geor}');
    Error('\P{Scx=_/a/Geor}');
    Expect(1, 11565, '\p{Scx=:\AGeor\z:}', "");;
    Expect(0, 11566, '\p{Scx=:\AGeor\z:}', "");;
    Expect(1, 11565, '\p{Scx=geor}', "");
    Expect(0, 11565, '\p{^Scx=geor}', "");
    Expect(0, 11565, '\P{Scx=geor}', "");
    Expect(1, 11565, '\P{^Scx=geor}', "");
    Expect(0, 11566, '\p{Scx=geor}', "");
    Expect(1, 11566, '\p{^Scx=geor}', "");
    Expect(1, 11566, '\P{Scx=geor}', "");
    Expect(0, 11566, '\P{^Scx=geor}', "");
    Expect(1, 11565, '\p{Scx=:\Ageor\z:}', "");;
    Expect(0, 11566, '\p{Scx=:\Ageor\z:}', "");;
    Expect(1, 11565, '\p{Scx= -Geor}', "");
    Expect(0, 11565, '\p{^Scx= -Geor}', "");
    Expect(0, 11565, '\P{Scx= -Geor}', "");
    Expect(1, 11565, '\P{^Scx= -Geor}', "");
    Expect(0, 11566, '\p{Scx= -Geor}', "");
    Expect(1, 11566, '\p{^Scx= -Geor}', "");
    Expect(1, 11566, '\P{Scx= -Geor}', "");
    Expect(0, 11566, '\P{^Scx= -Geor}', "");
    Error('\p{Is_Script_Extensions=_Georgian/a/}');
    Error('\P{Is_Script_Extensions=_Georgian/a/}');
    Expect(1, 11565, '\p{Is_Script_Extensions=georgian}', "");
    Expect(0, 11565, '\p{^Is_Script_Extensions=georgian}', "");
    Expect(0, 11565, '\P{Is_Script_Extensions=georgian}', "");
    Expect(1, 11565, '\P{^Is_Script_Extensions=georgian}', "");
    Expect(0, 11566, '\p{Is_Script_Extensions=georgian}', "");
    Expect(1, 11566, '\p{^Is_Script_Extensions=georgian}', "");
    Expect(1, 11566, '\P{Is_Script_Extensions=georgian}', "");
    Expect(0, 11566, '\P{^Is_Script_Extensions=georgian}', "");
    Expect(1, 11565, '\p{Is_Script_Extensions=	_georgian}', "");
    Expect(0, 11565, '\p{^Is_Script_Extensions=	_georgian}', "");
    Expect(0, 11565, '\P{Is_Script_Extensions=	_georgian}', "");
    Expect(1, 11565, '\P{^Is_Script_Extensions=	_georgian}', "");
    Expect(0, 11566, '\p{Is_Script_Extensions=	_georgian}', "");
    Expect(1, 11566, '\p{^Is_Script_Extensions=	_georgian}', "");
    Expect(1, 11566, '\P{Is_Script_Extensions=	_georgian}', "");
    Expect(0, 11566, '\P{^Is_Script_Extensions=	_georgian}', "");
    Error('\p{Is_Scx=_ Geor:=}');
    Error('\P{Is_Scx=_ Geor:=}');
    Expect(1, 11565, '\p{Is_Scx=geor}', "");
    Expect(0, 11565, '\p{^Is_Scx=geor}', "");
    Expect(0, 11565, '\P{Is_Scx=geor}', "");
    Expect(1, 11565, '\P{^Is_Scx=geor}', "");
    Expect(0, 11566, '\p{Is_Scx=geor}', "");
    Expect(1, 11566, '\p{^Is_Scx=geor}', "");
    Expect(1, 11566, '\P{Is_Scx=geor}', "");
    Expect(0, 11566, '\P{^Is_Scx=geor}', "");
    Expect(1, 11565, '\p{Is_Scx=Geor}', "");
    Expect(0, 11565, '\p{^Is_Scx=Geor}', "");
    Expect(0, 11565, '\P{Is_Scx=Geor}', "");
    Expect(1, 11565, '\P{^Is_Scx=Geor}', "");
    Expect(0, 11566, '\p{Is_Scx=Geor}', "");
    Expect(1, 11566, '\p{^Is_Scx=Geor}', "");
    Expect(1, 11566, '\P{Is_Scx=Geor}', "");
    Expect(0, 11566, '\P{^Is_Scx=Geor}', "");
    Error('\p{Script_Extensions= Glagolitic:=}');
    Error('\P{Script_Extensions= Glagolitic:=}');
    Expect(1, 122922, '\p{Script_Extensions=:\AGlagolitic\z:}', "");;
    Expect(0, 122923, '\p{Script_Extensions=:\AGlagolitic\z:}', "");;
    Expect(1, 122922, '\p{Script_Extensions=glagolitic}', "");
    Expect(0, 122922, '\p{^Script_Extensions=glagolitic}', "");
    Expect(0, 122922, '\P{Script_Extensions=glagolitic}', "");
    Expect(1, 122922, '\P{^Script_Extensions=glagolitic}', "");
    Expect(0, 122923, '\p{Script_Extensions=glagolitic}', "");
    Expect(1, 122923, '\p{^Script_Extensions=glagolitic}', "");
    Expect(1, 122923, '\P{Script_Extensions=glagolitic}', "");
    Expect(0, 122923, '\P{^Script_Extensions=glagolitic}', "");
    Expect(1, 122922, '\p{Script_Extensions=:\Aglagolitic\z:}', "");;
    Expect(0, 122923, '\p{Script_Extensions=:\Aglagolitic\z:}', "");;
    Expect(1, 122922, '\p{Script_Extensions= 	Glagolitic}', "");
    Expect(0, 122922, '\p{^Script_Extensions= 	Glagolitic}', "");
    Expect(0, 122922, '\P{Script_Extensions= 	Glagolitic}', "");
    Expect(1, 122922, '\P{^Script_Extensions= 	Glagolitic}', "");
    Expect(0, 122923, '\p{Script_Extensions= 	Glagolitic}', "");
    Expect(1, 122923, '\p{^Script_Extensions= 	Glagolitic}', "");
    Expect(1, 122923, '\P{Script_Extensions= 	Glagolitic}', "");
    Expect(0, 122923, '\P{^Script_Extensions= 	Glagolitic}', "");
    Error('\p{Scx=/a/-glag}');
    Error('\P{Scx=/a/-glag}');
    Expect(1, 122922, '\p{Scx=:\AGlag\z:}', "");;
    Expect(0, 122923, '\p{Scx=:\AGlag\z:}', "");;
    Expect(1, 122922, '\p{Scx=glag}', "");
    Expect(0, 122922, '\p{^Scx=glag}', "");
    Expect(0, 122922, '\P{Scx=glag}', "");
    Expect(1, 122922, '\P{^Scx=glag}', "");
    Expect(0, 122923, '\p{Scx=glag}', "");
    Expect(1, 122923, '\p{^Scx=glag}', "");
    Expect(1, 122923, '\P{Scx=glag}', "");
    Expect(0, 122923, '\P{^Scx=glag}', "");
    Expect(1, 122922, '\p{Scx=:\Aglag\z:}', "");;
    Expect(0, 122923, '\p{Scx=:\Aglag\z:}', "");;
    Expect(1, 122922, '\p{Scx=_-GLAG}', "");
    Expect(0, 122922, '\p{^Scx=_-GLAG}', "");
    Expect(0, 122922, '\P{Scx=_-GLAG}', "");
    Expect(1, 122922, '\P{^Scx=_-GLAG}', "");
    Expect(0, 122923, '\p{Scx=_-GLAG}', "");
    Expect(1, 122923, '\p{^Scx=_-GLAG}', "");
    Expect(1, 122923, '\P{Scx=_-GLAG}', "");
    Expect(0, 122923, '\P{^Scx=_-GLAG}', "");
    Error('\p{Is_Script_Extensions=	 Glagolitic/a/}');
    Error('\P{Is_Script_Extensions=	 Glagolitic/a/}');
    Expect(1, 122922, '\p{Is_Script_Extensions:glagolitic}', "");
    Expect(0, 122922, '\p{^Is_Script_Extensions:glagolitic}', "");
    Expect(0, 122922, '\P{Is_Script_Extensions:glagolitic}', "");
    Expect(1, 122922, '\P{^Is_Script_Extensions:glagolitic}', "");
    Expect(0, 122923, '\p{Is_Script_Extensions:glagolitic}', "");
    Expect(1, 122923, '\p{^Is_Script_Extensions:glagolitic}', "");
    Expect(1, 122923, '\P{Is_Script_Extensions:glagolitic}', "");
    Expect(0, 122923, '\P{^Is_Script_Extensions:glagolitic}', "");
    Expect(1, 122922, '\p{Is_Script_Extensions=	 glagolitic}', "");
    Expect(0, 122922, '\p{^Is_Script_Extensions=	 glagolitic}', "");
    Expect(0, 122922, '\P{Is_Script_Extensions=	 glagolitic}', "");
    Expect(1, 122922, '\P{^Is_Script_Extensions=	 glagolitic}', "");
    Expect(0, 122923, '\p{Is_Script_Extensions=	 glagolitic}', "");
    Expect(1, 122923, '\p{^Is_Script_Extensions=	 glagolitic}', "");
    Expect(1, 122923, '\P{Is_Script_Extensions=	 glagolitic}', "");
    Expect(0, 122923, '\P{^Is_Script_Extensions=	 glagolitic}', "");
    Error('\p{Is_Scx=:=-	glag}');
    Error('\P{Is_Scx=:=-	glag}');
    Expect(1, 122922, '\p{Is_Scx=glag}', "");
    Expect(0, 122922, '\p{^Is_Scx=glag}', "");
    Expect(0, 122922, '\P{Is_Scx=glag}', "");
    Expect(1, 122922, '\P{^Is_Scx=glag}', "");
    Expect(0, 122923, '\p{Is_Scx=glag}', "");
    Expect(1, 122923, '\p{^Is_Scx=glag}', "");
    Expect(1, 122923, '\P{Is_Scx=glag}', "");
    Expect(0, 122923, '\P{^Is_Scx=glag}', "");
    Expect(1, 122922, '\p{Is_Scx=_GLAG}', "");
    Expect(0, 122922, '\p{^Is_Scx=_GLAG}', "");
    Expect(0, 122922, '\P{Is_Scx=_GLAG}', "");
    Expect(1, 122922, '\P{^Is_Scx=_GLAG}', "");
    Expect(0, 122923, '\p{Is_Scx=_GLAG}', "");
    Expect(1, 122923, '\p{^Is_Scx=_GLAG}', "");
    Expect(1, 122923, '\P{Is_Scx=_GLAG}', "");
    Expect(0, 122923, '\P{^Is_Scx=_GLAG}', "");
    Error('\p{Script_Extensions=:=-Gunjala_Gondi}');
    Error('\P{Script_Extensions=:=-Gunjala_Gondi}');
    Expect(1, 73129, '\p{Script_Extensions=:\AGunjala_Gondi\z:}', "");;
    Expect(0, 73130, '\p{Script_Extensions=:\AGunjala_Gondi\z:}', "");;
    Expect(1, 73129, '\p{Script_Extensions=gunjalagondi}', "");
    Expect(0, 73129, '\p{^Script_Extensions=gunjalagondi}', "");
    Expect(0, 73129, '\P{Script_Extensions=gunjalagondi}', "");
    Expect(1, 73129, '\P{^Script_Extensions=gunjalagondi}', "");
    Expect(0, 73130, '\p{Script_Extensions=gunjalagondi}', "");
    Expect(1, 73130, '\p{^Script_Extensions=gunjalagondi}', "");
    Expect(1, 73130, '\P{Script_Extensions=gunjalagondi}', "");
    Expect(0, 73130, '\P{^Script_Extensions=gunjalagondi}', "");
    Expect(1, 73129, '\p{Script_Extensions=:\Agunjalagondi\z:}', "");;
    Expect(0, 73130, '\p{Script_Extensions=:\Agunjalagondi\z:}', "");;
    Expect(1, 73129, '\p{Script_Extensions=-GUNJALA_gondi}', "");
    Expect(0, 73129, '\p{^Script_Extensions=-GUNJALA_gondi}', "");
    Expect(0, 73129, '\P{Script_Extensions=-GUNJALA_gondi}', "");
    Expect(1, 73129, '\P{^Script_Extensions=-GUNJALA_gondi}', "");
    Expect(0, 73130, '\p{Script_Extensions=-GUNJALA_gondi}', "");
    Expect(1, 73130, '\p{^Script_Extensions=-GUNJALA_gondi}', "");
    Expect(1, 73130, '\P{Script_Extensions=-GUNJALA_gondi}', "");
    Expect(0, 73130, '\P{^Script_Extensions=-GUNJALA_gondi}', "");
    Error('\p{Scx=_GONG/a/}');
    Error('\P{Scx=_GONG/a/}');
    Expect(1, 73129, '\p{Scx=:\AGong\z:}', "");;
    Expect(0, 73130, '\p{Scx=:\AGong\z:}', "");;
    Expect(1, 73129, '\p{Scx=gong}', "");
    Expect(0, 73129, '\p{^Scx=gong}', "");
    Expect(0, 73129, '\P{Scx=gong}', "");
    Expect(1, 73129, '\P{^Scx=gong}', "");
    Expect(0, 73130, '\p{Scx=gong}', "");
    Expect(1, 73130, '\p{^Scx=gong}', "");
    Expect(1, 73130, '\P{Scx=gong}', "");
    Expect(0, 73130, '\P{^Scx=gong}', "");
    Expect(1, 73129, '\p{Scx=:\Agong\z:}', "");;
    Expect(0, 73130, '\p{Scx=:\Agong\z:}', "");;
    Expect(1, 73129, '\p{Scx= 	gong}', "");
    Expect(0, 73129, '\p{^Scx= 	gong}', "");
    Expect(0, 73129, '\P{Scx= 	gong}', "");
    Expect(1, 73129, '\P{^Scx= 	gong}', "");
    Expect(0, 73130, '\p{Scx= 	gong}', "");
    Expect(1, 73130, '\p{^Scx= 	gong}', "");
    Expect(1, 73130, '\P{Scx= 	gong}', "");
    Expect(0, 73130, '\P{^Scx= 	gong}', "");
    Error('\p{Is_Script_Extensions=/a/ GUNJALA_gondi}');
    Error('\P{Is_Script_Extensions=/a/ GUNJALA_gondi}');
    Expect(1, 73129, '\p{Is_Script_Extensions=gunjalagondi}', "");
    Expect(0, 73129, '\p{^Is_Script_Extensions=gunjalagondi}', "");
    Expect(0, 73129, '\P{Is_Script_Extensions=gunjalagondi}', "");
    Expect(1, 73129, '\P{^Is_Script_Extensions=gunjalagondi}', "");
    Expect(0, 73130, '\p{Is_Script_Extensions=gunjalagondi}', "");
    Expect(1, 73130, '\p{^Is_Script_Extensions=gunjalagondi}', "");
    Expect(1, 73130, '\P{Is_Script_Extensions=gunjalagondi}', "");
    Expect(0, 73130, '\P{^Is_Script_Extensions=gunjalagondi}', "");
    Expect(1, 73129, '\p{Is_Script_Extensions=  Gunjala_Gondi}', "");
    Expect(0, 73129, '\p{^Is_Script_Extensions=  Gunjala_Gondi}', "");
    Expect(0, 73129, '\P{Is_Script_Extensions=  Gunjala_Gondi}', "");
    Expect(1, 73129, '\P{^Is_Script_Extensions=  Gunjala_Gondi}', "");
    Expect(0, 73130, '\p{Is_Script_Extensions=  Gunjala_Gondi}', "");
    Expect(1, 73130, '\p{^Is_Script_Extensions=  Gunjala_Gondi}', "");
    Expect(1, 73130, '\P{Is_Script_Extensions=  Gunjala_Gondi}', "");
    Expect(0, 73130, '\P{^Is_Script_Extensions=  Gunjala_Gondi}', "");
    Error('\p{Is_Scx=-:=Gong}');
    Error('\P{Is_Scx=-:=Gong}');
    Expect(1, 73129, '\p{Is_Scx=gong}', "");
    Expect(0, 73129, '\p{^Is_Scx=gong}', "");
    Expect(0, 73129, '\P{Is_Scx=gong}', "");
    Expect(1, 73129, '\P{^Is_Scx=gong}', "");
    Expect(0, 73130, '\p{Is_Scx=gong}', "");
    Expect(1, 73130, '\p{^Is_Scx=gong}', "");
    Expect(1, 73130, '\P{Is_Scx=gong}', "");
    Expect(0, 73130, '\P{^Is_Scx=gong}', "");
    Expect(1, 73129, '\p{Is_Scx=--GONG}', "");
    Expect(0, 73129, '\p{^Is_Scx=--GONG}', "");
    Expect(0, 73129, '\P{Is_Scx=--GONG}', "");
    Expect(1, 73129, '\P{^Is_Scx=--GONG}', "");
    Expect(0, 73130, '\p{Is_Scx=--GONG}', "");
    Expect(1, 73130, '\p{^Is_Scx=--GONG}', "");
    Expect(1, 73130, '\P{Is_Scx=--GONG}', "");
    Expect(0, 73130, '\P{^Is_Scx=--GONG}', "");
    Error('\p{Script_Extensions=/a/_ Masaram_GONDI}');
    Error('\P{Script_Extensions=/a/_ Masaram_GONDI}');
    Expect(1, 73049, '\p{Script_Extensions=:\AMasaram_Gondi\z:}', "");;
    Expect(0, 73050, '\p{Script_Extensions=:\AMasaram_Gondi\z:}', "");;
    Expect(1, 73049, '\p{Script_Extensions=masaramgondi}', "");
    Expect(0, 73049, '\p{^Script_Extensions=masaramgondi}', "");
    Expect(0, 73049, '\P{Script_Extensions=masaramgondi}', "");
    Expect(1, 73049, '\P{^Script_Extensions=masaramgondi}', "");
    Expect(0, 73050, '\p{Script_Extensions=masaramgondi}', "");
    Expect(1, 73050, '\p{^Script_Extensions=masaramgondi}', "");
    Expect(1, 73050, '\P{Script_Extensions=masaramgondi}', "");
    Expect(0, 73050, '\P{^Script_Extensions=masaramgondi}', "");
    Expect(1, 73049, '\p{Script_Extensions=:\Amasaramgondi\z:}', "");;
    Expect(0, 73050, '\p{Script_Extensions=:\Amasaramgondi\z:}', "");;
    Expect(1, 73049, '\p{Script_Extensions=		MASARAM_GONDI}', "");
    Expect(0, 73049, '\p{^Script_Extensions=		MASARAM_GONDI}', "");
    Expect(0, 73049, '\P{Script_Extensions=		MASARAM_GONDI}', "");
    Expect(1, 73049, '\P{^Script_Extensions=		MASARAM_GONDI}', "");
    Expect(0, 73050, '\p{Script_Extensions=		MASARAM_GONDI}', "");
    Expect(1, 73050, '\p{^Script_Extensions=		MASARAM_GONDI}', "");
    Expect(1, 73050, '\P{Script_Extensions=		MASARAM_GONDI}', "");
    Expect(0, 73050, '\P{^Script_Extensions=		MASARAM_GONDI}', "");
    Error('\p{Scx=_/a/GONM}');
    Error('\P{Scx=_/a/GONM}');
    Expect(1, 73049, '\p{Scx=:\AGonm\z:}', "");;
    Expect(0, 73050, '\p{Scx=:\AGonm\z:}', "");;
    Expect(1, 73049, '\p{Scx:gonm}', "");
    Expect(0, 73049, '\p{^Scx:gonm}', "");
    Expect(0, 73049, '\P{Scx:gonm}', "");
    Expect(1, 73049, '\P{^Scx:gonm}', "");
    Expect(0, 73050, '\p{Scx:gonm}', "");
    Expect(1, 73050, '\p{^Scx:gonm}', "");
    Expect(1, 73050, '\P{Scx:gonm}', "");
    Expect(0, 73050, '\P{^Scx:gonm}', "");
    Expect(1, 73049, '\p{Scx=:\Agonm\z:}', "");;
    Expect(0, 73050, '\p{Scx=:\Agonm\z:}', "");;
    Expect(1, 73049, '\p{Scx=-GONM}', "");
    Expect(0, 73049, '\p{^Scx=-GONM}', "");
    Expect(0, 73049, '\P{Scx=-GONM}', "");
    Expect(1, 73049, '\P{^Scx=-GONM}', "");
    Expect(0, 73050, '\p{Scx=-GONM}', "");
    Expect(1, 73050, '\p{^Scx=-GONM}', "");
    Expect(1, 73050, '\P{Scx=-GONM}', "");
    Expect(0, 73050, '\P{^Scx=-GONM}', "");
    Error('\p{Is_Script_Extensions=:=	-MASARAM_GONDI}');
    Error('\P{Is_Script_Extensions=:=	-MASARAM_GONDI}');
    Expect(1, 73049, '\p{Is_Script_Extensions=masaramgondi}', "");
    Expect(0, 73049, '\p{^Is_Script_Extensions=masaramgondi}', "");
    Expect(0, 73049, '\P{Is_Script_Extensions=masaramgondi}', "");
    Expect(1, 73049, '\P{^Is_Script_Extensions=masaramgondi}', "");
    Expect(0, 73050, '\p{Is_Script_Extensions=masaramgondi}', "");
    Expect(1, 73050, '\p{^Is_Script_Extensions=masaramgondi}', "");
    Expect(1, 73050, '\P{Is_Script_Extensions=masaramgondi}', "");
    Expect(0, 73050, '\P{^Is_Script_Extensions=masaramgondi}', "");
    Expect(1, 73049, '\p{Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Expect(0, 73049, '\p{^Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Expect(0, 73049, '\P{Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Expect(1, 73049, '\P{^Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Expect(0, 73050, '\p{Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Expect(1, 73050, '\p{^Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Expect(1, 73050, '\P{Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Expect(0, 73050, '\P{^Is_Script_Extensions=	_MASARAM_GONDI}', "");
    Error('\p{Is_Scx= :=Gonm}');
    Error('\P{Is_Scx= :=Gonm}');
    Expect(1, 73049, '\p{Is_Scx=gonm}', "");
    Expect(0, 73049, '\p{^Is_Scx=gonm}', "");
    Expect(0, 73049, '\P{Is_Scx=gonm}', "");
    Expect(1, 73049, '\P{^Is_Scx=gonm}', "");
    Expect(0, 73050, '\p{Is_Scx=gonm}', "");
    Expect(1, 73050, '\p{^Is_Scx=gonm}', "");
    Expect(1, 73050, '\P{Is_Scx=gonm}', "");
    Expect(0, 73050, '\P{^Is_Scx=gonm}', "");
    Expect(1, 73049, '\p{Is_Scx: 	-Gonm}', "");
    Expect(0, 73049, '\p{^Is_Scx: 	-Gonm}', "");
    Expect(0, 73049, '\P{Is_Scx: 	-Gonm}', "");
    Expect(1, 73049, '\P{^Is_Scx: 	-Gonm}', "");
    Expect(0, 73050, '\p{Is_Scx: 	-Gonm}', "");
    Expect(1, 73050, '\p{^Is_Scx: 	-Gonm}', "");
    Expect(1, 73050, '\P{Is_Scx: 	-Gonm}', "");
    Expect(0, 73050, '\P{^Is_Scx: 	-Gonm}', "");
    Error('\p{Script_Extensions:   -_gothic/a/}');
    Error('\P{Script_Extensions:   -_gothic/a/}');
    Expect(1, 66378, '\p{Script_Extensions=:\AGothic\z:}', "");;
    Expect(0, 66379, '\p{Script_Extensions=:\AGothic\z:}', "");;
    Expect(1, 66378, '\p{Script_Extensions=gothic}', "");
    Expect(0, 66378, '\p{^Script_Extensions=gothic}', "");
    Expect(0, 66378, '\P{Script_Extensions=gothic}', "");
    Expect(1, 66378, '\P{^Script_Extensions=gothic}', "");
    Expect(0, 66379, '\p{Script_Extensions=gothic}', "");
    Expect(1, 66379, '\p{^Script_Extensions=gothic}', "");
    Expect(1, 66379, '\P{Script_Extensions=gothic}', "");
    Expect(0, 66379, '\P{^Script_Extensions=gothic}', "");
    Expect(1, 66378, '\p{Script_Extensions=:\Agothic\z:}', "");;
    Expect(0, 66379, '\p{Script_Extensions=:\Agothic\z:}', "");;
    Expect(1, 66378, '\p{Script_Extensions=	_GOTHIC}', "");
    Expect(0, 66378, '\p{^Script_Extensions=	_GOTHIC}', "");
    Expect(0, 66378, '\P{Script_Extensions=	_GOTHIC}', "");
    Expect(1, 66378, '\P{^Script_Extensions=	_GOTHIC}', "");
    Expect(0, 66379, '\p{Script_Extensions=	_GOTHIC}', "");
    Expect(1, 66379, '\p{^Script_Extensions=	_GOTHIC}', "");
    Expect(1, 66379, '\P{Script_Extensions=	_GOTHIC}', "");
    Expect(0, 66379, '\P{^Script_Extensions=	_GOTHIC}', "");
    Error('\p{Scx=_Goth/a/}');
    Error('\P{Scx=_Goth/a/}');
    Expect(1, 66378, '\p{Scx=:\AGoth\z:}', "");;
    Expect(0, 66379, '\p{Scx=:\AGoth\z:}', "");;
    Expect(1, 66378, '\p{Scx=goth}', "");
    Expect(0, 66378, '\p{^Scx=goth}', "");
    Expect(0, 66378, '\P{Scx=goth}', "");
    Expect(1, 66378, '\P{^Scx=goth}', "");
    Expect(0, 66379, '\p{Scx=goth}', "");
    Expect(1, 66379, '\p{^Scx=goth}', "");
    Expect(1, 66379, '\P{Scx=goth}', "");
    Expect(0, 66379, '\P{^Scx=goth}', "");
    Expect(1, 66378, '\p{Scx=:\Agoth\z:}', "");;
    Expect(0, 66379, '\p{Scx=:\Agoth\z:}', "");;
    Expect(1, 66378, '\p{Scx=_	Goth}', "");
    Expect(0, 66378, '\p{^Scx=_	Goth}', "");
    Expect(0, 66378, '\P{Scx=_	Goth}', "");
    Expect(1, 66378, '\P{^Scx=_	Goth}', "");
    Expect(0, 66379, '\p{Scx=_	Goth}', "");
    Expect(1, 66379, '\p{^Scx=_	Goth}', "");
    Expect(1, 66379, '\P{Scx=_	Goth}', "");
    Expect(0, 66379, '\P{^Scx=_	Goth}', "");
    Error('\p{Is_Script_Extensions=_ Gothic/a/}');
    Error('\P{Is_Script_Extensions=_ Gothic/a/}');
    Expect(1, 66378, '\p{Is_Script_Extensions=gothic}', "");
    Expect(0, 66378, '\p{^Is_Script_Extensions=gothic}', "");
    Expect(0, 66378, '\P{Is_Script_Extensions=gothic}', "");
    Expect(1, 66378, '\P{^Is_Script_Extensions=gothic}', "");
    Expect(0, 66379, '\p{Is_Script_Extensions=gothic}', "");
    Expect(1, 66379, '\p{^Is_Script_Extensions=gothic}', "");
    Expect(1, 66379, '\P{Is_Script_Extensions=gothic}', "");
    Expect(0, 66379, '\P{^Is_Script_Extensions=gothic}', "");
    Expect(1, 66378, '\p{Is_Script_Extensions=_GOTHIC}', "");
    Expect(0, 66378, '\p{^Is_Script_Extensions=_GOTHIC}', "");
    Expect(0, 66378, '\P{Is_Script_Extensions=_GOTHIC}', "");
    Expect(1, 66378, '\P{^Is_Script_Extensions=_GOTHIC}', "");
    Expect(0, 66379, '\p{Is_Script_Extensions=_GOTHIC}', "");
    Expect(1, 66379, '\p{^Is_Script_Extensions=_GOTHIC}', "");
    Expect(1, 66379, '\P{Is_Script_Extensions=_GOTHIC}', "");
    Expect(0, 66379, '\P{^Is_Script_Extensions=_GOTHIC}', "");
    Error('\p{Is_Scx=		Goth/a/}');
    Error('\P{Is_Scx=		Goth/a/}');
    Expect(1, 66378, '\p{Is_Scx=goth}', "");
    Expect(0, 66378, '\p{^Is_Scx=goth}', "");
    Expect(0, 66378, '\P{Is_Scx=goth}', "");
    Expect(1, 66378, '\P{^Is_Scx=goth}', "");
    Expect(0, 66379, '\p{Is_Scx=goth}', "");
    Expect(1, 66379, '\p{^Is_Scx=goth}', "");
    Expect(1, 66379, '\P{Is_Scx=goth}', "");
    Expect(0, 66379, '\P{^Is_Scx=goth}', "");
    Expect(1, 66378, '\p{Is_Scx=_-goth}', "");
    Expect(0, 66378, '\p{^Is_Scx=_-goth}', "");
    Expect(0, 66378, '\P{Is_Scx=_-goth}', "");
    Expect(1, 66378, '\P{^Is_Scx=_-goth}', "");
    Expect(0, 66379, '\p{Is_Scx=_-goth}', "");
    Expect(1, 66379, '\p{^Is_Scx=_-goth}', "");
    Expect(1, 66379, '\P{Is_Scx=_-goth}', "");
    Expect(0, 66379, '\P{^Is_Scx=_-goth}', "");
    Error('\p{Script_Extensions= _Grantha/a/}');
    Error('\P{Script_Extensions= _Grantha/a/}');
    Expect(1, 73683, '\p{Script_Extensions=:\AGrantha\z:}', "");;
    Expect(0, 73684, '\p{Script_Extensions=:\AGrantha\z:}', "");;
    Expect(1, 73683, '\p{Script_Extensions=grantha}', "");
    Expect(0, 73683, '\p{^Script_Extensions=grantha}', "");
    Expect(0, 73683, '\P{Script_Extensions=grantha}', "");
    Expect(1, 73683, '\P{^Script_Extensions=grantha}', "");
    Expect(0, 73684, '\p{Script_Extensions=grantha}', "");
    Expect(1, 73684, '\p{^Script_Extensions=grantha}', "");
    Expect(1, 73684, '\P{Script_Extensions=grantha}', "");
    Expect(0, 73684, '\P{^Script_Extensions=grantha}', "");
    Expect(1, 73683, '\p{Script_Extensions=:\Agrantha\z:}', "");;
    Expect(0, 73684, '\p{Script_Extensions=:\Agrantha\z:}', "");;
    Expect(1, 73683, '\p{Script_Extensions= GRANTHA}', "");
    Expect(0, 73683, '\p{^Script_Extensions= GRANTHA}', "");
    Expect(0, 73683, '\P{Script_Extensions= GRANTHA}', "");
    Expect(1, 73683, '\P{^Script_Extensions= GRANTHA}', "");
    Expect(0, 73684, '\p{Script_Extensions= GRANTHA}', "");
    Expect(1, 73684, '\p{^Script_Extensions= GRANTHA}', "");
    Expect(1, 73684, '\P{Script_Extensions= GRANTHA}', "");
    Expect(0, 73684, '\P{^Script_Extensions= GRANTHA}', "");
    Error('\p{Scx=/a/ -gran}');
    Error('\P{Scx=/a/ -gran}');
    Expect(1, 73683, '\p{Scx=:\AGran\z:}', "");;
    Expect(0, 73684, '\p{Scx=:\AGran\z:}', "");;
    Expect(1, 73683, '\p{Scx=gran}', "");
    Expect(0, 73683, '\p{^Scx=gran}', "");
    Expect(0, 73683, '\P{Scx=gran}', "");
    Expect(1, 73683, '\P{^Scx=gran}', "");
    Expect(0, 73684, '\p{Scx=gran}', "");
    Expect(1, 73684, '\p{^Scx=gran}', "");
    Expect(1, 73684, '\P{Scx=gran}', "");
    Expect(0, 73684, '\P{^Scx=gran}', "");
    Expect(1, 73683, '\p{Scx=:\Agran\z:}', "");;
    Expect(0, 73684, '\p{Scx=:\Agran\z:}', "");;
    Expect(1, 73683, '\p{Scx=__gran}', "");
    Expect(0, 73683, '\p{^Scx=__gran}', "");
    Expect(0, 73683, '\P{Scx=__gran}', "");
    Expect(1, 73683, '\P{^Scx=__gran}', "");
    Expect(0, 73684, '\p{Scx=__gran}', "");
    Expect(1, 73684, '\p{^Scx=__gran}', "");
    Expect(1, 73684, '\P{Scx=__gran}', "");
    Expect(0, 73684, '\P{^Scx=__gran}', "");
    Error('\p{Is_Script_Extensions:/a/  grantha}');
    Error('\P{Is_Script_Extensions:/a/  grantha}');
    Expect(1, 73683, '\p{Is_Script_Extensions=grantha}', "");
    Expect(0, 73683, '\p{^Is_Script_Extensions=grantha}', "");
    Expect(0, 73683, '\P{Is_Script_Extensions=grantha}', "");
    Expect(1, 73683, '\P{^Is_Script_Extensions=grantha}', "");
    Expect(0, 73684, '\p{Is_Script_Extensions=grantha}', "");
    Expect(1, 73684, '\p{^Is_Script_Extensions=grantha}', "");
    Expect(1, 73684, '\P{Is_Script_Extensions=grantha}', "");
    Expect(0, 73684, '\P{^Is_Script_Extensions=grantha}', "");
    Expect(1, 73683, '\p{Is_Script_Extensions=_Grantha}', "");
    Expect(0, 73683, '\p{^Is_Script_Extensions=_Grantha}', "");
    Expect(0, 73683, '\P{Is_Script_Extensions=_Grantha}', "");
    Expect(1, 73683, '\P{^Is_Script_Extensions=_Grantha}', "");
    Expect(0, 73684, '\p{Is_Script_Extensions=_Grantha}', "");
    Expect(1, 73684, '\p{^Is_Script_Extensions=_Grantha}', "");
    Expect(1, 73684, '\P{Is_Script_Extensions=_Grantha}', "");
    Expect(0, 73684, '\P{^Is_Script_Extensions=_Grantha}', "");
    Error('\p{Is_Scx=	:=Gran}');
    Error('\P{Is_Scx=	:=Gran}');
    Expect(1, 73683, '\p{Is_Scx=gran}', "");
    Expect(0, 73683, '\p{^Is_Scx=gran}', "");
    Expect(0, 73683, '\P{Is_Scx=gran}', "");
    Expect(1, 73683, '\P{^Is_Scx=gran}', "");
    Expect(0, 73684, '\p{Is_Scx=gran}', "");
    Expect(1, 73684, '\p{^Is_Scx=gran}', "");
    Expect(1, 73684, '\P{Is_Scx=gran}', "");
    Expect(0, 73684, '\P{^Is_Scx=gran}', "");
    Expect(1, 73683, '\p{Is_Scx= -GRAN}', "");
    Expect(0, 73683, '\p{^Is_Scx= -GRAN}', "");
    Expect(0, 73683, '\P{Is_Scx= -GRAN}', "");
    Expect(1, 73683, '\P{^Is_Scx= -GRAN}', "");
    Expect(0, 73684, '\p{Is_Scx= -GRAN}', "");
    Expect(1, 73684, '\p{^Is_Scx= -GRAN}', "");
    Expect(1, 73684, '\P{Is_Scx= -GRAN}', "");
    Expect(0, 73684, '\P{^Is_Scx= -GRAN}', "");
    Error('\p{Script_Extensions: 	/a/GREEK}');
    Error('\P{Script_Extensions: 	/a/GREEK}');
    Expect(1, 119365, '\p{Script_Extensions=:\AGreek\z:}', "");;
    Expect(0, 119366, '\p{Script_Extensions=:\AGreek\z:}', "");;
    Expect(1, 119365, '\p{Script_Extensions=greek}', "");
    Expect(0, 119365, '\p{^Script_Extensions=greek}', "");
    Expect(0, 119365, '\P{Script_Extensions=greek}', "");
    Expect(1, 119365, '\P{^Script_Extensions=greek}', "");
    Expect(0, 119366, '\p{Script_Extensions=greek}', "");
    Expect(1, 119366, '\p{^Script_Extensions=greek}', "");
    Expect(1, 119366, '\P{Script_Extensions=greek}', "");
    Expect(0, 119366, '\P{^Script_Extensions=greek}', "");
    Expect(1, 119365, '\p{Script_Extensions=:\Agreek\z:}', "");;
    Expect(0, 119366, '\p{Script_Extensions=:\Agreek\z:}', "");;
    Expect(1, 119365, '\p{Script_Extensions=Greek}', "");
    Expect(0, 119365, '\p{^Script_Extensions=Greek}', "");
    Expect(0, 119365, '\P{Script_Extensions=Greek}', "");
    Expect(1, 119365, '\P{^Script_Extensions=Greek}', "");
    Expect(0, 119366, '\p{Script_Extensions=Greek}', "");
    Expect(1, 119366, '\p{^Script_Extensions=Greek}', "");
    Expect(1, 119366, '\P{Script_Extensions=Greek}', "");
    Expect(0, 119366, '\P{^Script_Extensions=Greek}', "");
    Error('\p{Scx: 	/a/grek}');
    Error('\P{Scx: 	/a/grek}');
    Expect(1, 119365, '\p{Scx=:\AGrek\z:}', "");;
    Expect(0, 119366, '\p{Scx=:\AGrek\z:}', "");;
    Expect(1, 119365, '\p{Scx=grek}', "");
    Expect(0, 119365, '\p{^Scx=grek}', "");
    Expect(0, 119365, '\P{Scx=grek}', "");
    Expect(1, 119365, '\P{^Scx=grek}', "");
    Expect(0, 119366, '\p{Scx=grek}', "");
    Expect(1, 119366, '\p{^Scx=grek}', "");
    Expect(1, 119366, '\P{Scx=grek}', "");
    Expect(0, 119366, '\P{^Scx=grek}', "");
    Expect(1, 119365, '\p{Scx=:\Agrek\z:}', "");;
    Expect(0, 119366, '\p{Scx=:\Agrek\z:}', "");;
    Expect(1, 119365, '\p{Scx=  grek}', "");
    Expect(0, 119365, '\p{^Scx=  grek}', "");
    Expect(0, 119365, '\P{Scx=  grek}', "");
    Expect(1, 119365, '\P{^Scx=  grek}', "");
    Expect(0, 119366, '\p{Scx=  grek}', "");
    Expect(1, 119366, '\p{^Scx=  grek}', "");
    Expect(1, 119366, '\P{Scx=  grek}', "");
    Expect(0, 119366, '\P{^Scx=  grek}', "");
    Error('\p{Is_Script_Extensions=/a/GREEK}');
    Error('\P{Is_Script_Extensions=/a/GREEK}');
    Expect(1, 119365, '\p{Is_Script_Extensions=greek}', "");
    Expect(0, 119365, '\p{^Is_Script_Extensions=greek}', "");
    Expect(0, 119365, '\P{Is_Script_Extensions=greek}', "");
    Expect(1, 119365, '\P{^Is_Script_Extensions=greek}', "");
    Expect(0, 119366, '\p{Is_Script_Extensions=greek}', "");
    Expect(1, 119366, '\p{^Is_Script_Extensions=greek}', "");
    Expect(1, 119366, '\P{Is_Script_Extensions=greek}', "");
    Expect(0, 119366, '\P{^Is_Script_Extensions=greek}', "");
    Expect(1, 119365, '\p{Is_Script_Extensions= Greek}', "");
    Expect(0, 119365, '\p{^Is_Script_Extensions= Greek}', "");
    Expect(0, 119365, '\P{Is_Script_Extensions= Greek}', "");
    Expect(1, 119365, '\P{^Is_Script_Extensions= Greek}', "");
    Expect(0, 119366, '\p{Is_Script_Extensions= Greek}', "");
    Expect(1, 119366, '\p{^Is_Script_Extensions= Greek}', "");
    Expect(1, 119366, '\P{Is_Script_Extensions= Greek}', "");
    Expect(0, 119366, '\P{^Is_Script_Extensions= Greek}', "");
    Error('\p{Is_Scx=/a/__Grek}');
    Error('\P{Is_Scx=/a/__Grek}');
    Expect(1, 119365, '\p{Is_Scx:   grek}', "");
    Expect(0, 119365, '\p{^Is_Scx:   grek}', "");
    Expect(0, 119365, '\P{Is_Scx:   grek}', "");
    Expect(1, 119365, '\P{^Is_Scx:   grek}', "");
    Expect(0, 119366, '\p{Is_Scx:   grek}', "");
    Expect(1, 119366, '\p{^Is_Scx:   grek}', "");
    Expect(1, 119366, '\P{Is_Scx:   grek}', "");
    Expect(0, 119366, '\P{^Is_Scx:   grek}', "");
    Expect(1, 119365, '\p{Is_Scx=- GREK}', "");
    Expect(0, 119365, '\p{^Is_Scx=- GREK}', "");
    Expect(0, 119365, '\P{Is_Scx=- GREK}', "");
    Expect(1, 119365, '\P{^Is_Scx=- GREK}', "");
    Expect(0, 119366, '\p{Is_Scx=- GREK}', "");
    Expect(1, 119366, '\p{^Is_Scx=- GREK}', "");
    Expect(1, 119366, '\P{Is_Scx=- GREK}', "");
    Expect(0, 119366, '\P{^Is_Scx=- GREK}', "");
    Error('\p{Script_Extensions=/a/Gujarati}');
    Error('\P{Script_Extensions=/a/Gujarati}');
    Expect(1, 43065, '\p{Script_Extensions=:\AGujarati\z:}', "");;
    Expect(0, 43066, '\p{Script_Extensions=:\AGujarati\z:}', "");;
    Expect(1, 43065, '\p{Script_Extensions=gujarati}', "");
    Expect(0, 43065, '\p{^Script_Extensions=gujarati}', "");
    Expect(0, 43065, '\P{Script_Extensions=gujarati}', "");
    Expect(1, 43065, '\P{^Script_Extensions=gujarati}', "");
    Expect(0, 43066, '\p{Script_Extensions=gujarati}', "");
    Expect(1, 43066, '\p{^Script_Extensions=gujarati}', "");
    Expect(1, 43066, '\P{Script_Extensions=gujarati}', "");
    Expect(0, 43066, '\P{^Script_Extensions=gujarati}', "");
    Expect(1, 43065, '\p{Script_Extensions=:\Agujarati\z:}', "");;
    Expect(0, 43066, '\p{Script_Extensions=:\Agujarati\z:}', "");;
    Expect(1, 43065, '\p{Script_Extensions: __Gujarati}', "");
    Expect(0, 43065, '\p{^Script_Extensions: __Gujarati}', "");
    Expect(0, 43065, '\P{Script_Extensions: __Gujarati}', "");
    Expect(1, 43065, '\P{^Script_Extensions: __Gujarati}', "");
    Expect(0, 43066, '\p{Script_Extensions: __Gujarati}', "");
    Expect(1, 43066, '\p{^Script_Extensions: __Gujarati}', "");
    Expect(1, 43066, '\P{Script_Extensions: __Gujarati}', "");
    Expect(0, 43066, '\P{^Script_Extensions: __Gujarati}', "");
    Error('\p{Scx=/a/_Gujr}');
    Error('\P{Scx=/a/_Gujr}');
    Expect(1, 43065, '\p{Scx=:\AGujr\z:}', "");;
    Expect(0, 43066, '\p{Scx=:\AGujr\z:}', "");;
    Expect(1, 43065, '\p{Scx=gujr}', "");
    Expect(0, 43065, '\p{^Scx=gujr}', "");
    Expect(0, 43065, '\P{Scx=gujr}', "");
    Expect(1, 43065, '\P{^Scx=gujr}', "");
    Expect(0, 43066, '\p{Scx=gujr}', "");
    Expect(1, 43066, '\p{^Scx=gujr}', "");
    Expect(1, 43066, '\P{Scx=gujr}', "");
    Expect(0, 43066, '\P{^Scx=gujr}', "");
    Expect(1, 43065, '\p{Scx=:\Agujr\z:}', "");;
    Expect(0, 43066, '\p{Scx=:\Agujr\z:}', "");;
    Expect(1, 43065, '\p{Scx=-gujr}', "");
    Expect(0, 43065, '\p{^Scx=-gujr}', "");
    Expect(0, 43065, '\P{Scx=-gujr}', "");
    Expect(1, 43065, '\P{^Scx=-gujr}', "");
    Expect(0, 43066, '\p{Scx=-gujr}', "");
    Expect(1, 43066, '\p{^Scx=-gujr}', "");
    Expect(1, 43066, '\P{Scx=-gujr}', "");
    Expect(0, 43066, '\P{^Scx=-gujr}', "");
    Error('\p{Is_Script_Extensions=	:=GUJARATI}');
    Error('\P{Is_Script_Extensions=	:=GUJARATI}');
    Expect(1, 43065, '\p{Is_Script_Extensions=gujarati}', "");
    Expect(0, 43065, '\p{^Is_Script_Extensions=gujarati}', "");
    Expect(0, 43065, '\P{Is_Script_Extensions=gujarati}', "");
    Expect(1, 43065, '\P{^Is_Script_Extensions=gujarati}', "");
    Expect(0, 43066, '\p{Is_Script_Extensions=gujarati}', "");
    Expect(1, 43066, '\p{^Is_Script_Extensions=gujarati}', "");
    Expect(1, 43066, '\P{Is_Script_Extensions=gujarati}', "");
    Expect(0, 43066, '\P{^Is_Script_Extensions=gujarati}', "");
    Expect(1, 43065, '\p{Is_Script_Extensions=		Gujarati}', "");
    Expect(0, 43065, '\p{^Is_Script_Extensions=		Gujarati}', "");
    Expect(0, 43065, '\P{Is_Script_Extensions=		Gujarati}', "");
    Expect(1, 43065, '\P{^Is_Script_Extensions=		Gujarati}', "");
    Expect(0, 43066, '\p{Is_Script_Extensions=		Gujarati}', "");
    Expect(1, 43066, '\p{^Is_Script_Extensions=		Gujarati}', "");
    Expect(1, 43066, '\P{Is_Script_Extensions=		Gujarati}', "");
    Expect(0, 43066, '\P{^Is_Script_Extensions=		Gujarati}', "");
    Error('\p{Is_Scx=/a/-	Gujr}');
    Error('\P{Is_Scx=/a/-	Gujr}');
    Expect(1, 43065, '\p{Is_Scx: gujr}', "");
    Expect(0, 43065, '\p{^Is_Scx: gujr}', "");
    Expect(0, 43065, '\P{Is_Scx: gujr}', "");
    Expect(1, 43065, '\P{^Is_Scx: gujr}', "");
    Expect(0, 43066, '\p{Is_Scx: gujr}', "");
    Expect(1, 43066, '\p{^Is_Scx: gujr}', "");
    Expect(1, 43066, '\P{Is_Scx: gujr}', "");
    Expect(0, 43066, '\P{^Is_Scx: gujr}', "");
    Expect(1, 43065, '\p{Is_Scx= _Gujr}', "");
    Expect(0, 43065, '\p{^Is_Scx= _Gujr}', "");
    Expect(0, 43065, '\P{Is_Scx= _Gujr}', "");
    Expect(1, 43065, '\P{^Is_Scx= _Gujr}', "");
    Expect(0, 43066, '\p{Is_Scx= _Gujr}', "");
    Expect(1, 43066, '\p{^Is_Scx= _Gujr}', "");
    Expect(1, 43066, '\P{Is_Scx= _Gujr}', "");
    Expect(0, 43066, '\P{^Is_Scx= _Gujr}', "");
    Error('\p{Script_Extensions=-:=Gurmukhi}');
    Error('\P{Script_Extensions=-:=Gurmukhi}');
    Expect(1, 43065, '\p{Script_Extensions=:\AGurmukhi\z:}', "");;
    Expect(0, 43066, '\p{Script_Extensions=:\AGurmukhi\z:}', "");;
    Expect(1, 43065, '\p{Script_Extensions=gurmukhi}', "");
    Expect(0, 43065, '\p{^Script_Extensions=gurmukhi}', "");
    Expect(0, 43065, '\P{Script_Extensions=gurmukhi}', "");
    Expect(1, 43065, '\P{^Script_Extensions=gurmukhi}', "");
    Expect(0, 43066, '\p{Script_Extensions=gurmukhi}', "");
    Expect(1, 43066, '\p{^Script_Extensions=gurmukhi}', "");
    Expect(1, 43066, '\P{Script_Extensions=gurmukhi}', "");
    Expect(0, 43066, '\P{^Script_Extensions=gurmukhi}', "");
    Expect(1, 43065, '\p{Script_Extensions=:\Agurmukhi\z:}', "");;
    Expect(0, 43066, '\p{Script_Extensions=:\Agurmukhi\z:}', "");;
    Expect(1, 43065, '\p{Script_Extensions=- GURMUKHI}', "");
    Expect(0, 43065, '\p{^Script_Extensions=- GURMUKHI}', "");
    Expect(0, 43065, '\P{Script_Extensions=- GURMUKHI}', "");
    Expect(1, 43065, '\P{^Script_Extensions=- GURMUKHI}', "");
    Expect(0, 43066, '\p{Script_Extensions=- GURMUKHI}', "");
    Expect(1, 43066, '\p{^Script_Extensions=- GURMUKHI}', "");
    Expect(1, 43066, '\P{Script_Extensions=- GURMUKHI}', "");
    Expect(0, 43066, '\P{^Script_Extensions=- GURMUKHI}', "");
    Error('\p{Scx= Guru/a/}');
    Error('\P{Scx= Guru/a/}');
    Expect(1, 43065, '\p{Scx=:\AGuru\z:}', "");;
    Expect(0, 43066, '\p{Scx=:\AGuru\z:}', "");;
    Expect(1, 43065, '\p{Scx=guru}', "");
    Expect(0, 43065, '\p{^Scx=guru}', "");
    Expect(0, 43065, '\P{Scx=guru}', "");
    Expect(1, 43065, '\P{^Scx=guru}', "");
    Expect(0, 43066, '\p{Scx=guru}', "");
    Expect(1, 43066, '\p{^Scx=guru}', "");
    Expect(1, 43066, '\P{Scx=guru}', "");
    Expect(0, 43066, '\P{^Scx=guru}', "");
    Expect(1, 43065, '\p{Scx=:\Aguru\z:}', "");;
    Expect(0, 43066, '\p{Scx=:\Aguru\z:}', "");;
    Expect(1, 43065, '\p{Scx: 	_Guru}', "");
    Expect(0, 43065, '\p{^Scx: 	_Guru}', "");
    Expect(0, 43065, '\P{Scx: 	_Guru}', "");
    Expect(1, 43065, '\P{^Scx: 	_Guru}', "");
    Expect(0, 43066, '\p{Scx: 	_Guru}', "");
    Expect(1, 43066, '\p{^Scx: 	_Guru}', "");
    Expect(1, 43066, '\P{Scx: 	_Guru}', "");
    Expect(0, 43066, '\P{^Scx: 	_Guru}', "");
    Error('\p{Is_Script_Extensions=	:=Gurmukhi}');
    Error('\P{Is_Script_Extensions=	:=Gurmukhi}');
    Expect(1, 43065, '\p{Is_Script_Extensions=gurmukhi}', "");
    Expect(0, 43065, '\p{^Is_Script_Extensions=gurmukhi}', "");
    Expect(0, 43065, '\P{Is_Script_Extensions=gurmukhi}', "");
    Expect(1, 43065, '\P{^Is_Script_Extensions=gurmukhi}', "");
    Expect(0, 43066, '\p{Is_Script_Extensions=gurmukhi}', "");
    Expect(1, 43066, '\p{^Is_Script_Extensions=gurmukhi}', "");
    Expect(1, 43066, '\P{Is_Script_Extensions=gurmukhi}', "");
    Expect(0, 43066, '\P{^Is_Script_Extensions=gurmukhi}', "");
    Expect(1, 43065, '\p{Is_Script_Extensions=__Gurmukhi}', "");
    Expect(0, 43065, '\p{^Is_Script_Extensions=__Gurmukhi}', "");
    Expect(0, 43065, '\P{Is_Script_Extensions=__Gurmukhi}', "");
    Expect(1, 43065, '\P{^Is_Script_Extensions=__Gurmukhi}', "");
    Expect(0, 43066, '\p{Is_Script_Extensions=__Gurmukhi}', "");
    Expect(1, 43066, '\p{^Is_Script_Extensions=__Gurmukhi}', "");
    Expect(1, 43066, '\P{Is_Script_Extensions=__Gurmukhi}', "");
    Expect(0, 43066, '\P{^Is_Script_Extensions=__Gurmukhi}', "");
    Error('\p{Is_Scx=:=_Guru}');
    Error('\P{Is_Scx=:=_Guru}');
    Expect(1, 43065, '\p{Is_Scx=guru}', "");
    Expect(0, 43065, '\p{^Is_Scx=guru}', "");
    Expect(0, 43065, '\P{Is_Scx=guru}', "");
    Expect(1, 43065, '\P{^Is_Scx=guru}', "");
    Expect(0, 43066, '\p{Is_Scx=guru}', "");
    Expect(1, 43066, '\p{^Is_Scx=guru}', "");
    Expect(1, 43066, '\P{Is_Scx=guru}', "");
    Expect(0, 43066, '\P{^Is_Scx=guru}', "");
    Expect(1, 43065, '\p{Is_Scx=	-GURU}', "");
    Expect(0, 43065, '\p{^Is_Scx=	-GURU}', "");
    Expect(0, 43065, '\P{Is_Scx=	-GURU}', "");
    Expect(1, 43065, '\P{^Is_Scx=	-GURU}', "");
    Expect(0, 43066, '\p{Is_Scx=	-GURU}', "");
    Expect(1, 43066, '\p{^Is_Scx=	-GURU}', "");
    Expect(1, 43066, '\P{Is_Scx=	-GURU}', "");
    Expect(0, 43066, '\P{^Is_Scx=	-GURU}', "");
    Error('\p{Script_Extensions=	-hangul/a/}');
    Error('\P{Script_Extensions=	-hangul/a/}');
    Expect(1, 65500, '\p{Script_Extensions=:\AHangul\z:}', "");;
    Expect(0, 65501, '\p{Script_Extensions=:\AHangul\z:}', "");;
    Expect(1, 65500, '\p{Script_Extensions=hangul}', "");
    Expect(0, 65500, '\p{^Script_Extensions=hangul}', "");
    Expect(0, 65500, '\P{Script_Extensions=hangul}', "");
    Expect(1, 65500, '\P{^Script_Extensions=hangul}', "");
    Expect(0, 65501, '\p{Script_Extensions=hangul}', "");
    Expect(1, 65501, '\p{^Script_Extensions=hangul}', "");
    Expect(1, 65501, '\P{Script_Extensions=hangul}', "");
    Expect(0, 65501, '\P{^Script_Extensions=hangul}', "");
    Expect(1, 65500, '\p{Script_Extensions=:\Ahangul\z:}', "");;
    Expect(0, 65501, '\p{Script_Extensions=:\Ahangul\z:}', "");;
    Expect(1, 65500, '\p{Script_Extensions=_HANGUL}', "");
    Expect(0, 65500, '\p{^Script_Extensions=_HANGUL}', "");
    Expect(0, 65500, '\P{Script_Extensions=_HANGUL}', "");
    Expect(1, 65500, '\P{^Script_Extensions=_HANGUL}', "");
    Expect(0, 65501, '\p{Script_Extensions=_HANGUL}', "");
    Expect(1, 65501, '\p{^Script_Extensions=_HANGUL}', "");
    Expect(1, 65501, '\P{Script_Extensions=_HANGUL}', "");
    Expect(0, 65501, '\P{^Script_Extensions=_HANGUL}', "");
    Error('\p{Scx=	HANG:=}');
    Error('\P{Scx=	HANG:=}');
    Expect(1, 65500, '\p{Scx=:\AHang\z:}', "");;
    Expect(0, 65501, '\p{Scx=:\AHang\z:}', "");;
    Expect(1, 65500, '\p{Scx=hang}', "");
    Expect(0, 65500, '\p{^Scx=hang}', "");
    Expect(0, 65500, '\P{Scx=hang}', "");
    Expect(1, 65500, '\P{^Scx=hang}', "");
    Expect(0, 65501, '\p{Scx=hang}', "");
    Expect(1, 65501, '\p{^Scx=hang}', "");
    Expect(1, 65501, '\P{Scx=hang}', "");
    Expect(0, 65501, '\P{^Scx=hang}', "");
    Expect(1, 65500, '\p{Scx=:\Ahang\z:}', "");;
    Expect(0, 65501, '\p{Scx=:\Ahang\z:}', "");;
    Expect(1, 65500, '\p{Scx=-_Hang}', "");
    Expect(0, 65500, '\p{^Scx=-_Hang}', "");
    Expect(0, 65500, '\P{Scx=-_Hang}', "");
    Expect(1, 65500, '\P{^Scx=-_Hang}', "");
    Expect(0, 65501, '\p{Scx=-_Hang}', "");
    Expect(1, 65501, '\p{^Scx=-_Hang}', "");
    Expect(1, 65501, '\P{Scx=-_Hang}', "");
    Expect(0, 65501, '\P{^Scx=-_Hang}', "");
    Error('\p{Is_Script_Extensions=_:=HANGUL}');
    Error('\P{Is_Script_Extensions=_:=HANGUL}');
    Expect(1, 65500, '\p{Is_Script_Extensions:hangul}', "");
    Expect(0, 65500, '\p{^Is_Script_Extensions:hangul}', "");
    Expect(0, 65500, '\P{Is_Script_Extensions:hangul}', "");
    Expect(1, 65500, '\P{^Is_Script_Extensions:hangul}', "");
    Expect(0, 65501, '\p{Is_Script_Extensions:hangul}', "");
    Expect(1, 65501, '\p{^Is_Script_Extensions:hangul}', "");
    Expect(1, 65501, '\P{Is_Script_Extensions:hangul}', "");
    Expect(0, 65501, '\P{^Is_Script_Extensions:hangul}', "");
    Expect(1, 65500, '\p{Is_Script_Extensions=  HANGUL}', "");
    Expect(0, 65500, '\p{^Is_Script_Extensions=  HANGUL}', "");
    Expect(0, 65500, '\P{Is_Script_Extensions=  HANGUL}', "");
    Expect(1, 65500, '\P{^Is_Script_Extensions=  HANGUL}', "");
    Expect(0, 65501, '\p{Is_Script_Extensions=  HANGUL}', "");
    Expect(1, 65501, '\p{^Is_Script_Extensions=  HANGUL}', "");
    Expect(1, 65501, '\P{Is_Script_Extensions=  HANGUL}', "");
    Expect(0, 65501, '\P{^Is_Script_Extensions=  HANGUL}', "");
    Error('\p{Is_Scx=-_hang/a/}');
    Error('\P{Is_Scx=-_hang/a/}');
    Expect(1, 65500, '\p{Is_Scx:   hang}', "");
    Expect(0, 65500, '\p{^Is_Scx:   hang}', "");
    Expect(0, 65500, '\P{Is_Scx:   hang}', "");
    Expect(1, 65500, '\P{^Is_Scx:   hang}', "");
    Expect(0, 65501, '\p{Is_Scx:   hang}', "");
    Expect(1, 65501, '\p{^Is_Scx:   hang}', "");
    Expect(1, 65501, '\P{Is_Scx:   hang}', "");
    Expect(0, 65501, '\P{^Is_Scx:   hang}', "");
    Expect(1, 65500, '\p{Is_Scx=-Hang}', "");
    Expect(0, 65500, '\p{^Is_Scx=-Hang}', "");
    Expect(0, 65500, '\P{Is_Scx=-Hang}', "");
    Expect(1, 65500, '\P{^Is_Scx=-Hang}', "");
    Expect(0, 65501, '\p{Is_Scx=-Hang}', "");
    Expect(1, 65501, '\p{^Is_Scx=-Hang}', "");
    Expect(1, 65501, '\P{Is_Scx=-Hang}', "");
    Expect(0, 65501, '\P{^Is_Scx=-Hang}', "");
    Error('\p{Script_Extensions= /a/Han}');
    Error('\P{Script_Extensions= /a/Han}');
    Expect(1, 201546, '\p{Script_Extensions=:\AHan\z:}', "");;
    Expect(0, 201547, '\p{Script_Extensions=:\AHan\z:}', "");;
    Expect(1, 201546, '\p{Script_Extensions=han}', "");
    Expect(0, 201546, '\p{^Script_Extensions=han}', "");
    Expect(0, 201546, '\P{Script_Extensions=han}', "");
    Expect(1, 201546, '\P{^Script_Extensions=han}', "");
    Expect(0, 201547, '\p{Script_Extensions=han}', "");
    Expect(1, 201547, '\p{^Script_Extensions=han}', "");
    Expect(1, 201547, '\P{Script_Extensions=han}', "");
    Expect(0, 201547, '\P{^Script_Extensions=han}', "");
    Expect(1, 201546, '\p{Script_Extensions=:\Ahan\z:}', "");;
    Expect(0, 201547, '\p{Script_Extensions=:\Ahan\z:}', "");;
    Expect(1, 201546, '\p{Script_Extensions=	HAN}', "");
    Expect(0, 201546, '\p{^Script_Extensions=	HAN}', "");
    Expect(0, 201546, '\P{Script_Extensions=	HAN}', "");
    Expect(1, 201546, '\P{^Script_Extensions=	HAN}', "");
    Expect(0, 201547, '\p{Script_Extensions=	HAN}', "");
    Expect(1, 201547, '\p{^Script_Extensions=	HAN}', "");
    Expect(1, 201547, '\P{Script_Extensions=	HAN}', "");
    Expect(0, 201547, '\P{^Script_Extensions=	HAN}', "");
    Error('\p{Scx=	/a/hani}');
    Error('\P{Scx=	/a/hani}');
    Expect(1, 201546, '\p{Scx=:\AHani\z:}', "");;
    Expect(0, 201547, '\p{Scx=:\AHani\z:}', "");;
    Expect(1, 201546, '\p{Scx=hani}', "");
    Expect(0, 201546, '\p{^Scx=hani}', "");
    Expect(0, 201546, '\P{Scx=hani}', "");
    Expect(1, 201546, '\P{^Scx=hani}', "");
    Expect(0, 201547, '\p{Scx=hani}', "");
    Expect(1, 201547, '\p{^Scx=hani}', "");
    Expect(1, 201547, '\P{Scx=hani}', "");
    Expect(0, 201547, '\P{^Scx=hani}', "");
    Expect(1, 201546, '\p{Scx=:\Ahani\z:}', "");;
    Expect(0, 201547, '\p{Scx=:\Ahani\z:}', "");;
    Expect(1, 201546, '\p{Scx=-hani}', "");
    Expect(0, 201546, '\p{^Scx=-hani}', "");
    Expect(0, 201546, '\P{Scx=-hani}', "");
    Expect(1, 201546, '\P{^Scx=-hani}', "");
    Expect(0, 201547, '\p{Scx=-hani}', "");
    Expect(1, 201547, '\p{^Scx=-hani}', "");
    Expect(1, 201547, '\P{Scx=-hani}', "");
    Expect(0, 201547, '\P{^Scx=-hani}', "");
    Error('\p{Is_Script_Extensions=/a/ HAN}');
    Error('\P{Is_Script_Extensions=/a/ HAN}');
    Expect(1, 201546, '\p{Is_Script_Extensions=han}', "");
    Expect(0, 201546, '\p{^Is_Script_Extensions=han}', "");
    Expect(0, 201546, '\P{Is_Script_Extensions=han}', "");
    Expect(1, 201546, '\P{^Is_Script_Extensions=han}', "");
    Expect(0, 201547, '\p{Is_Script_Extensions=han}', "");
    Expect(1, 201547, '\p{^Is_Script_Extensions=han}', "");
    Expect(1, 201547, '\P{Is_Script_Extensions=han}', "");
    Expect(0, 201547, '\P{^Is_Script_Extensions=han}', "");
    Expect(1, 201546, '\p{Is_Script_Extensions=__han}', "");
    Expect(0, 201546, '\p{^Is_Script_Extensions=__han}', "");
    Expect(0, 201546, '\P{Is_Script_Extensions=__han}', "");
    Expect(1, 201546, '\P{^Is_Script_Extensions=__han}', "");
    Expect(0, 201547, '\p{Is_Script_Extensions=__han}', "");
    Expect(1, 201547, '\p{^Is_Script_Extensions=__han}', "");
    Expect(1, 201547, '\P{Is_Script_Extensions=__han}', "");
    Expect(0, 201547, '\P{^Is_Script_Extensions=__han}', "");
    Error('\p{Is_Scx=:=	Hani}');
    Error('\P{Is_Scx=:=	Hani}');
    Expect(1, 201546, '\p{Is_Scx=hani}', "");
    Expect(0, 201546, '\p{^Is_Scx=hani}', "");
    Expect(0, 201546, '\P{Is_Scx=hani}', "");
    Expect(1, 201546, '\P{^Is_Scx=hani}', "");
    Expect(0, 201547, '\p{Is_Scx=hani}', "");
    Expect(1, 201547, '\p{^Is_Scx=hani}', "");
    Expect(1, 201547, '\P{Is_Scx=hani}', "");
    Expect(0, 201547, '\P{^Is_Scx=hani}', "");
    Expect(1, 201546, '\p{Is_Scx=	 Hani}', "");
    Expect(0, 201546, '\p{^Is_Scx=	 Hani}', "");
    Expect(0, 201546, '\P{Is_Scx=	 Hani}', "");
    Expect(1, 201546, '\P{^Is_Scx=	 Hani}', "");
    Expect(0, 201547, '\p{Is_Scx=	 Hani}', "");
    Expect(1, 201547, '\p{^Is_Scx=	 Hani}', "");
    Expect(1, 201547, '\P{Is_Scx=	 Hani}', "");
    Expect(0, 201547, '\P{^Is_Scx=	 Hani}', "");
    Error('\p{Script_Extensions=:=HANUNOO}');
    Error('\P{Script_Extensions=:=HANUNOO}');
    Expect(1, 5942, '\p{Script_Extensions=:\AHanunoo\z:}', "");;
    Expect(0, 5943, '\p{Script_Extensions=:\AHanunoo\z:}', "");;
    Expect(1, 5942, '\p{Script_Extensions=hanunoo}', "");
    Expect(0, 5942, '\p{^Script_Extensions=hanunoo}', "");
    Expect(0, 5942, '\P{Script_Extensions=hanunoo}', "");
    Expect(1, 5942, '\P{^Script_Extensions=hanunoo}', "");
    Expect(0, 5943, '\p{Script_Extensions=hanunoo}', "");
    Expect(1, 5943, '\p{^Script_Extensions=hanunoo}', "");
    Expect(1, 5943, '\P{Script_Extensions=hanunoo}', "");
    Expect(0, 5943, '\P{^Script_Extensions=hanunoo}', "");
    Expect(1, 5942, '\p{Script_Extensions=:\Ahanunoo\z:}', "");;
    Expect(0, 5943, '\p{Script_Extensions=:\Ahanunoo\z:}', "");;
    Expect(1, 5942, '\p{Script_Extensions=		HANUNOO}', "");
    Expect(0, 5942, '\p{^Script_Extensions=		HANUNOO}', "");
    Expect(0, 5942, '\P{Script_Extensions=		HANUNOO}', "");
    Expect(1, 5942, '\P{^Script_Extensions=		HANUNOO}', "");
    Expect(0, 5943, '\p{Script_Extensions=		HANUNOO}', "");
    Expect(1, 5943, '\p{^Script_Extensions=		HANUNOO}', "");
    Expect(1, 5943, '\P{Script_Extensions=		HANUNOO}', "");
    Expect(0, 5943, '\P{^Script_Extensions=		HANUNOO}', "");
    Error('\p{Scx=	_HANO:=}');
    Error('\P{Scx=	_HANO:=}');
    Expect(1, 5942, '\p{Scx=:\AHano\z:}', "");;
    Expect(0, 5943, '\p{Scx=:\AHano\z:}', "");;
    Expect(1, 5942, '\p{Scx=hano}', "");
    Expect(0, 5942, '\p{^Scx=hano}', "");
    Expect(0, 5942, '\P{Scx=hano}', "");
    Expect(1, 5942, '\P{^Scx=hano}', "");
    Expect(0, 5943, '\p{Scx=hano}', "");
    Expect(1, 5943, '\p{^Scx=hano}', "");
    Expect(1, 5943, '\P{Scx=hano}', "");
    Expect(0, 5943, '\P{^Scx=hano}', "");
    Expect(1, 5942, '\p{Scx=:\Ahano\z:}', "");;
    Expect(0, 5943, '\p{Scx=:\Ahano\z:}', "");;
    Expect(1, 5942, '\p{Scx=__hano}', "");
    Expect(0, 5942, '\p{^Scx=__hano}', "");
    Expect(0, 5942, '\P{Scx=__hano}', "");
    Expect(1, 5942, '\P{^Scx=__hano}', "");
    Expect(0, 5943, '\p{Scx=__hano}', "");
    Expect(1, 5943, '\p{^Scx=__hano}', "");
    Expect(1, 5943, '\P{Scx=__hano}', "");
    Expect(0, 5943, '\P{^Scx=__hano}', "");
    Error('\p{Is_Script_Extensions= _hanunoo/a/}');
    Error('\P{Is_Script_Extensions= _hanunoo/a/}');
    Expect(1, 5942, '\p{Is_Script_Extensions=hanunoo}', "");
    Expect(0, 5942, '\p{^Is_Script_Extensions=hanunoo}', "");
    Expect(0, 5942, '\P{Is_Script_Extensions=hanunoo}', "");
    Expect(1, 5942, '\P{^Is_Script_Extensions=hanunoo}', "");
    Expect(0, 5943, '\p{Is_Script_Extensions=hanunoo}', "");
    Expect(1, 5943, '\p{^Is_Script_Extensions=hanunoo}', "");
    Expect(1, 5943, '\P{Is_Script_Extensions=hanunoo}', "");
    Expect(0, 5943, '\P{^Is_Script_Extensions=hanunoo}', "");
    Expect(1, 5942, '\p{Is_Script_Extensions:	 -Hanunoo}', "");
    Expect(0, 5942, '\p{^Is_Script_Extensions:	 -Hanunoo}', "");
    Expect(0, 5942, '\P{Is_Script_Extensions:	 -Hanunoo}', "");
    Expect(1, 5942, '\P{^Is_Script_Extensions:	 -Hanunoo}', "");
    Expect(0, 5943, '\p{Is_Script_Extensions:	 -Hanunoo}', "");
    Expect(1, 5943, '\p{^Is_Script_Extensions:	 -Hanunoo}', "");
    Expect(1, 5943, '\P{Is_Script_Extensions:	 -Hanunoo}', "");
    Expect(0, 5943, '\P{^Is_Script_Extensions:	 -Hanunoo}', "");
    Error('\p{Is_Scx=_:=Hano}');
    Error('\P{Is_Scx=_:=Hano}');
    Expect(1, 5942, '\p{Is_Scx=hano}', "");
    Expect(0, 5942, '\p{^Is_Scx=hano}', "");
    Expect(0, 5942, '\P{Is_Scx=hano}', "");
    Expect(1, 5942, '\P{^Is_Scx=hano}', "");
    Expect(0, 5943, '\p{Is_Scx=hano}', "");
    Expect(1, 5943, '\p{^Is_Scx=hano}', "");
    Expect(1, 5943, '\P{Is_Scx=hano}', "");
    Expect(0, 5943, '\P{^Is_Scx=hano}', "");
    Expect(1, 5942, '\p{Is_Scx= _hano}', "");
    Expect(0, 5942, '\p{^Is_Scx= _hano}', "");
    Expect(0, 5942, '\P{Is_Scx= _hano}', "");
    Expect(1, 5942, '\P{^Is_Scx= _hano}', "");
    Expect(0, 5943, '\p{Is_Scx= _hano}', "");
    Expect(1, 5943, '\p{^Is_Scx= _hano}', "");
    Expect(1, 5943, '\P{Is_Scx= _hano}', "");
    Expect(0, 5943, '\P{^Is_Scx= _hano}', "");
    Error('\p{Script_Extensions:	-_Hatran/a/}');
    Error('\P{Script_Extensions:	-_Hatran/a/}');
    Expect(1, 67839, '\p{Script_Extensions=:\AHatran\z:}', "");;
    Expect(0, 67840, '\p{Script_Extensions=:\AHatran\z:}', "");;
    Expect(1, 67839, '\p{Script_Extensions=hatran}', "");
    Expect(0, 67839, '\p{^Script_Extensions=hatran}', "");
    Expect(0, 67839, '\P{Script_Extensions=hatran}', "");
    Expect(1, 67839, '\P{^Script_Extensions=hatran}', "");
    Expect(0, 67840, '\p{Script_Extensions=hatran}', "");
    Expect(1, 67840, '\p{^Script_Extensions=hatran}', "");
    Expect(1, 67840, '\P{Script_Extensions=hatran}', "");
    Expect(0, 67840, '\P{^Script_Extensions=hatran}', "");
    Expect(1, 67839, '\p{Script_Extensions=:\Ahatran\z:}', "");;
    Expect(0, 67840, '\p{Script_Extensions=:\Ahatran\z:}', "");;
    Expect(1, 67839, '\p{Script_Extensions=--Hatran}', "");
    Expect(0, 67839, '\p{^Script_Extensions=--Hatran}', "");
    Expect(0, 67839, '\P{Script_Extensions=--Hatran}', "");
    Expect(1, 67839, '\P{^Script_Extensions=--Hatran}', "");
    Expect(0, 67840, '\p{Script_Extensions=--Hatran}', "");
    Expect(1, 67840, '\p{^Script_Extensions=--Hatran}', "");
    Expect(1, 67840, '\P{Script_Extensions=--Hatran}', "");
    Expect(0, 67840, '\P{^Script_Extensions=--Hatran}', "");
    Error('\p{Scx=/a/	hatr}');
    Error('\P{Scx=/a/	hatr}');
    Expect(1, 67839, '\p{Scx=:\AHatr\z:}', "");;
    Expect(0, 67840, '\p{Scx=:\AHatr\z:}', "");;
    Expect(1, 67839, '\p{Scx=hatr}', "");
    Expect(0, 67839, '\p{^Scx=hatr}', "");
    Expect(0, 67839, '\P{Scx=hatr}', "");
    Expect(1, 67839, '\P{^Scx=hatr}', "");
    Expect(0, 67840, '\p{Scx=hatr}', "");
    Expect(1, 67840, '\p{^Scx=hatr}', "");
    Expect(1, 67840, '\P{Scx=hatr}', "");
    Expect(0, 67840, '\P{^Scx=hatr}', "");
    Expect(1, 67839, '\p{Scx=:\Ahatr\z:}', "");;
    Expect(0, 67840, '\p{Scx=:\Ahatr\z:}', "");;
    Expect(1, 67839, '\p{Scx=	HATR}', "");
    Expect(0, 67839, '\p{^Scx=	HATR}', "");
    Expect(0, 67839, '\P{Scx=	HATR}', "");
    Expect(1, 67839, '\P{^Scx=	HATR}', "");
    Expect(0, 67840, '\p{Scx=	HATR}', "");
    Expect(1, 67840, '\p{^Scx=	HATR}', "");
    Expect(1, 67840, '\P{Scx=	HATR}', "");
    Expect(0, 67840, '\P{^Scx=	HATR}', "");
    Error('\p{Is_Script_Extensions=-/a/Hatran}');
    Error('\P{Is_Script_Extensions=-/a/Hatran}');
    Expect(1, 67839, '\p{Is_Script_Extensions=hatran}', "");
    Expect(0, 67839, '\p{^Is_Script_Extensions=hatran}', "");
    Expect(0, 67839, '\P{Is_Script_Extensions=hatran}', "");
    Expect(1, 67839, '\P{^Is_Script_Extensions=hatran}', "");
    Expect(0, 67840, '\p{Is_Script_Extensions=hatran}', "");
    Expect(1, 67840, '\p{^Is_Script_Extensions=hatran}', "");
    Expect(1, 67840, '\P{Is_Script_Extensions=hatran}', "");
    Expect(0, 67840, '\P{^Is_Script_Extensions=hatran}', "");
    Expect(1, 67839, '\p{Is_Script_Extensions: 	_hatran}', "");
    Expect(0, 67839, '\p{^Is_Script_Extensions: 	_hatran}', "");
    Expect(0, 67839, '\P{Is_Script_Extensions: 	_hatran}', "");
    Expect(1, 67839, '\P{^Is_Script_Extensions: 	_hatran}', "");
    Expect(0, 67840, '\p{Is_Script_Extensions: 	_hatran}', "");
    Expect(1, 67840, '\p{^Is_Script_Extensions: 	_hatran}', "");
    Expect(1, 67840, '\P{Is_Script_Extensions: 	_hatran}', "");
    Expect(0, 67840, '\P{^Is_Script_Extensions: 	_hatran}', "");
    Error('\p{Is_Scx=:= 	hatr}');
    Error('\P{Is_Scx=:= 	hatr}');
    Expect(1, 67839, '\p{Is_Scx=hatr}', "");
    Expect(0, 67839, '\p{^Is_Scx=hatr}', "");
    Expect(0, 67839, '\P{Is_Scx=hatr}', "");
    Expect(1, 67839, '\P{^Is_Scx=hatr}', "");
    Expect(0, 67840, '\p{Is_Scx=hatr}', "");
    Expect(1, 67840, '\p{^Is_Scx=hatr}', "");
    Expect(1, 67840, '\P{Is_Scx=hatr}', "");
    Expect(0, 67840, '\P{^Is_Scx=hatr}', "");
    Expect(1, 67839, '\p{Is_Scx=-	Hatr}', "");
    Expect(0, 67839, '\p{^Is_Scx=-	Hatr}', "");
    Expect(0, 67839, '\P{Is_Scx=-	Hatr}', "");
    Expect(1, 67839, '\P{^Is_Scx=-	Hatr}', "");
    Expect(0, 67840, '\p{Is_Scx=-	Hatr}', "");
    Expect(1, 67840, '\p{^Is_Scx=-	Hatr}', "");
    Expect(1, 67840, '\P{Is_Scx=-	Hatr}', "");
    Expect(0, 67840, '\P{^Is_Scx=-	Hatr}', "");
    Error('\p{Script_Extensions=-_Hebrew/a/}');
    Error('\P{Script_Extensions=-_Hebrew/a/}');
    Expect(1, 64335, '\p{Script_Extensions=:\AHebrew\z:}', "");;
    Expect(0, 64336, '\p{Script_Extensions=:\AHebrew\z:}', "");;
    Expect(1, 64335, '\p{Script_Extensions=hebrew}', "");
    Expect(0, 64335, '\p{^Script_Extensions=hebrew}', "");
    Expect(0, 64335, '\P{Script_Extensions=hebrew}', "");
    Expect(1, 64335, '\P{^Script_Extensions=hebrew}', "");
    Expect(0, 64336, '\p{Script_Extensions=hebrew}', "");
    Expect(1, 64336, '\p{^Script_Extensions=hebrew}', "");
    Expect(1, 64336, '\P{Script_Extensions=hebrew}', "");
    Expect(0, 64336, '\P{^Script_Extensions=hebrew}', "");
    Expect(1, 64335, '\p{Script_Extensions=:\Ahebrew\z:}', "");;
    Expect(0, 64336, '\p{Script_Extensions=:\Ahebrew\z:}', "");;
    Expect(1, 64335, '\p{Script_Extensions:   	-Hebrew}', "");
    Expect(0, 64335, '\p{^Script_Extensions:   	-Hebrew}', "");
    Expect(0, 64335, '\P{Script_Extensions:   	-Hebrew}', "");
    Expect(1, 64335, '\P{^Script_Extensions:   	-Hebrew}', "");
    Expect(0, 64336, '\p{Script_Extensions:   	-Hebrew}', "");
    Expect(1, 64336, '\p{^Script_Extensions:   	-Hebrew}', "");
    Expect(1, 64336, '\P{Script_Extensions:   	-Hebrew}', "");
    Expect(0, 64336, '\P{^Script_Extensions:   	-Hebrew}', "");
    Error('\p{Scx=__Hebr:=}');
    Error('\P{Scx=__Hebr:=}');
    Expect(1, 64335, '\p{Scx=:\AHebr\z:}', "");;
    Expect(0, 64336, '\p{Scx=:\AHebr\z:}', "");;
    Expect(1, 64335, '\p{Scx:   hebr}', "");
    Expect(0, 64335, '\p{^Scx:   hebr}', "");
    Expect(0, 64335, '\P{Scx:   hebr}', "");
    Expect(1, 64335, '\P{^Scx:   hebr}', "");
    Expect(0, 64336, '\p{Scx:   hebr}', "");
    Expect(1, 64336, '\p{^Scx:   hebr}', "");
    Expect(1, 64336, '\P{Scx:   hebr}', "");
    Expect(0, 64336, '\P{^Scx:   hebr}', "");
    Expect(1, 64335, '\p{Scx=:\Ahebr\z:}', "");;
    Expect(0, 64336, '\p{Scx=:\Ahebr\z:}', "");;
    Expect(1, 64335, '\p{Scx=_HEBR}', "");
    Expect(0, 64335, '\p{^Scx=_HEBR}', "");
    Expect(0, 64335, '\P{Scx=_HEBR}', "");
    Expect(1, 64335, '\P{^Scx=_HEBR}', "");
    Expect(0, 64336, '\p{Scx=_HEBR}', "");
    Expect(1, 64336, '\p{^Scx=_HEBR}', "");
    Expect(1, 64336, '\P{Scx=_HEBR}', "");
    Expect(0, 64336, '\P{^Scx=_HEBR}', "");
    Error('\p{Is_Script_Extensions=/a/_HEBREW}');
    Error('\P{Is_Script_Extensions=/a/_HEBREW}');
    Expect(1, 64335, '\p{Is_Script_Extensions=hebrew}', "");
    Expect(0, 64335, '\p{^Is_Script_Extensions=hebrew}', "");
    Expect(0, 64335, '\P{Is_Script_Extensions=hebrew}', "");
    Expect(1, 64335, '\P{^Is_Script_Extensions=hebrew}', "");
    Expect(0, 64336, '\p{Is_Script_Extensions=hebrew}', "");
    Expect(1, 64336, '\p{^Is_Script_Extensions=hebrew}', "");
    Expect(1, 64336, '\P{Is_Script_Extensions=hebrew}', "");
    Expect(0, 64336, '\P{^Is_Script_Extensions=hebrew}', "");
    Expect(1, 64335, '\p{Is_Script_Extensions=		Hebrew}', "");
    Expect(0, 64335, '\p{^Is_Script_Extensions=		Hebrew}', "");
    Expect(0, 64335, '\P{Is_Script_Extensions=		Hebrew}', "");
    Expect(1, 64335, '\P{^Is_Script_Extensions=		Hebrew}', "");
    Expect(0, 64336, '\p{Is_Script_Extensions=		Hebrew}', "");
    Expect(1, 64336, '\p{^Is_Script_Extensions=		Hebrew}', "");
    Expect(1, 64336, '\P{Is_Script_Extensions=		Hebrew}', "");
    Expect(0, 64336, '\P{^Is_Script_Extensions=		Hebrew}', "");
    Error('\p{Is_Scx= /a/hebr}');
    Error('\P{Is_Scx= /a/hebr}');
    Expect(1, 64335, '\p{Is_Scx=hebr}', "");
    Expect(0, 64335, '\p{^Is_Scx=hebr}', "");
    Expect(0, 64335, '\P{Is_Scx=hebr}', "");
    Expect(1, 64335, '\P{^Is_Scx=hebr}', "");
    Expect(0, 64336, '\p{Is_Scx=hebr}', "");
    Expect(1, 64336, '\p{^Is_Scx=hebr}', "");
    Expect(1, 64336, '\P{Is_Scx=hebr}', "");
    Expect(0, 64336, '\P{^Is_Scx=hebr}', "");
    Expect(1, 64335, '\p{Is_Scx=		hebr}', "");
    Expect(0, 64335, '\p{^Is_Scx=		hebr}', "");
    Expect(0, 64335, '\P{Is_Scx=		hebr}', "");
    Expect(1, 64335, '\P{^Is_Scx=		hebr}', "");
    Expect(0, 64336, '\p{Is_Scx=		hebr}', "");
    Expect(1, 64336, '\p{^Is_Scx=		hebr}', "");
    Expect(1, 64336, '\P{Is_Scx=		hebr}', "");
    Expect(0, 64336, '\P{^Is_Scx=		hebr}', "");
    Error('\p{Script_Extensions=_Hiragana/a/}');
    Error('\P{Script_Extensions=_Hiragana/a/}');
    Expect(1, 127488, '\p{Script_Extensions=:\AHiragana\z:}', "");;
    Expect(0, 127489, '\p{Script_Extensions=:\AHiragana\z:}', "");;
    Expect(1, 127488, '\p{Script_Extensions=hiragana}', "");
    Expect(0, 127488, '\p{^Script_Extensions=hiragana}', "");
    Expect(0, 127488, '\P{Script_Extensions=hiragana}', "");
    Expect(1, 127488, '\P{^Script_Extensions=hiragana}', "");
    Expect(0, 127489, '\p{Script_Extensions=hiragana}', "");
    Expect(1, 127489, '\p{^Script_Extensions=hiragana}', "");
    Expect(1, 127489, '\P{Script_Extensions=hiragana}', "");
    Expect(0, 127489, '\P{^Script_Extensions=hiragana}', "");
    Expect(1, 127488, '\p{Script_Extensions=:\Ahiragana\z:}', "");;
    Expect(0, 127489, '\p{Script_Extensions=:\Ahiragana\z:}', "");;
    Expect(1, 127488, '\p{Script_Extensions=	-Hiragana}', "");
    Expect(0, 127488, '\p{^Script_Extensions=	-Hiragana}', "");
    Expect(0, 127488, '\P{Script_Extensions=	-Hiragana}', "");
    Expect(1, 127488, '\P{^Script_Extensions=	-Hiragana}', "");
    Expect(0, 127489, '\p{Script_Extensions=	-Hiragana}', "");
    Expect(1, 127489, '\p{^Script_Extensions=	-Hiragana}', "");
    Expect(1, 127489, '\P{Script_Extensions=	-Hiragana}', "");
    Expect(0, 127489, '\P{^Script_Extensions=	-Hiragana}', "");
    Error('\p{Scx=	/a/HIRA}');
    Error('\P{Scx=	/a/HIRA}');
    Expect(1, 127488, '\p{Scx=:\AHira\z:}', "");;
    Expect(0, 127489, '\p{Scx=:\AHira\z:}', "");;
    Expect(1, 127488, '\p{Scx:   hira}', "");
    Expect(0, 127488, '\p{^Scx:   hira}', "");
    Expect(0, 127488, '\P{Scx:   hira}', "");
    Expect(1, 127488, '\P{^Scx:   hira}', "");
    Expect(0, 127489, '\p{Scx:   hira}', "");
    Expect(1, 127489, '\p{^Scx:   hira}', "");
    Expect(1, 127489, '\P{Scx:   hira}', "");
    Expect(0, 127489, '\P{^Scx:   hira}', "");
    Expect(1, 127488, '\p{Scx=:\Ahira\z:}', "");;
    Expect(0, 127489, '\p{Scx=:\Ahira\z:}', "");;
    Expect(1, 127488, '\p{Scx:  	HIRA}', "");
    Expect(0, 127488, '\p{^Scx:  	HIRA}', "");
    Expect(0, 127488, '\P{Scx:  	HIRA}', "");
    Expect(1, 127488, '\P{^Scx:  	HIRA}', "");
    Expect(0, 127489, '\p{Scx:  	HIRA}', "");
    Expect(1, 127489, '\p{^Scx:  	HIRA}', "");
    Expect(1, 127489, '\P{Scx:  	HIRA}', "");
    Expect(0, 127489, '\P{^Scx:  	HIRA}', "");
    Error('\p{Is_Script_Extensions=:=_Hiragana}');
    Error('\P{Is_Script_Extensions=:=_Hiragana}');
    Expect(1, 127488, '\p{Is_Script_Extensions=hiragana}', "");
    Expect(0, 127488, '\p{^Is_Script_Extensions=hiragana}', "");
    Expect(0, 127488, '\P{Is_Script_Extensions=hiragana}', "");
    Expect(1, 127488, '\P{^Is_Script_Extensions=hiragana}', "");
    Expect(0, 127489, '\p{Is_Script_Extensions=hiragana}', "");
    Expect(1, 127489, '\p{^Is_Script_Extensions=hiragana}', "");
    Expect(1, 127489, '\P{Is_Script_Extensions=hiragana}', "");
    Expect(0, 127489, '\P{^Is_Script_Extensions=hiragana}', "");
    Expect(1, 127488, '\p{Is_Script_Extensions=- Hiragana}', "");
    Expect(0, 127488, '\p{^Is_Script_Extensions=- Hiragana}', "");
    Expect(0, 127488, '\P{Is_Script_Extensions=- Hiragana}', "");
    Expect(1, 127488, '\P{^Is_Script_Extensions=- Hiragana}', "");
    Expect(0, 127489, '\p{Is_Script_Extensions=- Hiragana}', "");
    Expect(1, 127489, '\p{^Is_Script_Extensions=- Hiragana}', "");
    Expect(1, 127489, '\P{Is_Script_Extensions=- Hiragana}', "");
    Expect(0, 127489, '\P{^Is_Script_Extensions=- Hiragana}', "");
    Error('\p{Is_Scx=-	hira:=}');
    Error('\P{Is_Scx=-	hira:=}');
    Expect(1, 127488, '\p{Is_Scx=hira}', "");
    Expect(0, 127488, '\p{^Is_Scx=hira}', "");
    Expect(0, 127488, '\P{Is_Scx=hira}', "");
    Expect(1, 127488, '\P{^Is_Scx=hira}', "");
    Expect(0, 127489, '\p{Is_Scx=hira}', "");
    Expect(1, 127489, '\p{^Is_Scx=hira}', "");
    Expect(1, 127489, '\P{Is_Scx=hira}', "");
    Expect(0, 127489, '\P{^Is_Scx=hira}', "");
    Expect(1, 127488, '\p{Is_Scx:	_ Hira}', "");
    Expect(0, 127488, '\p{^Is_Scx:	_ Hira}', "");
    Expect(0, 127488, '\P{Is_Scx:	_ Hira}', "");
    Expect(1, 127488, '\P{^Is_Scx:	_ Hira}', "");
    Expect(0, 127489, '\p{Is_Scx:	_ Hira}', "");
    Expect(1, 127489, '\p{^Is_Scx:	_ Hira}', "");
    Expect(1, 127489, '\P{Is_Scx:	_ Hira}', "");
    Expect(0, 127489, '\P{^Is_Scx:	_ Hira}', "");
    Error('\p{Script_Extensions=_-anatolian_Hieroglyphs/a/}');
    Error('\P{Script_Extensions=_-anatolian_Hieroglyphs/a/}');
    Expect(1, 83526, '\p{Script_Extensions=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(0, 83527, '\p{Script_Extensions=:\AAnatolian_Hieroglyphs\z:}', "");;
    Expect(1, 83526, '\p{Script_Extensions=anatolianhieroglyphs}', "");
    Expect(0, 83526, '\p{^Script_Extensions=anatolianhieroglyphs}', "");
    Expect(0, 83526, '\P{Script_Extensions=anatolianhieroglyphs}', "");
    Expect(1, 83526, '\P{^Script_Extensions=anatolianhieroglyphs}', "");
    Expect(0, 83527, '\p{Script_Extensions=anatolianhieroglyphs}', "");
    Expect(1, 83527, '\p{^Script_Extensions=anatolianhieroglyphs}', "");
    Expect(1, 83527, '\P{Script_Extensions=anatolianhieroglyphs}', "");
    Expect(0, 83527, '\P{^Script_Extensions=anatolianhieroglyphs}', "");
    Expect(1, 83526, '\p{Script_Extensions=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(0, 83527, '\p{Script_Extensions=:\Aanatolianhieroglyphs\z:}', "");;
    Expect(1, 83526, '\p{Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Expect(0, 83526, '\p{^Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Expect(0, 83526, '\P{Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Expect(1, 83526, '\P{^Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Expect(0, 83527, '\p{Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Expect(1, 83527, '\p{^Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Expect(1, 83527, '\P{Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Expect(0, 83527, '\P{^Script_Extensions=  Anatolian_HIEROGLYPHS}', "");
    Error('\p{Scx=	/a/Hluw}');
    Error('\P{Scx=	/a/Hluw}');
    Expect(1, 83526, '\p{Scx=:\AHluw\z:}', "");;
    Expect(0, 83527, '\p{Scx=:\AHluw\z:}', "");;
    Expect(1, 83526, '\p{Scx:	hluw}', "");
    Expect(0, 83526, '\p{^Scx:	hluw}', "");
    Expect(0, 83526, '\P{Scx:	hluw}', "");
    Expect(1, 83526, '\P{^Scx:	hluw}', "");
    Expect(0, 83527, '\p{Scx:	hluw}', "");
    Expect(1, 83527, '\p{^Scx:	hluw}', "");
    Expect(1, 83527, '\P{Scx:	hluw}', "");
    Expect(0, 83527, '\P{^Scx:	hluw}', "");
    Expect(1, 83526, '\p{Scx=:\Ahluw\z:}', "");;
    Expect(0, 83527, '\p{Scx=:\Ahluw\z:}', "");;
    Expect(1, 83526, '\p{Scx=_-Hluw}', "");
    Expect(0, 83526, '\p{^Scx=_-Hluw}', "");
    Expect(0, 83526, '\P{Scx=_-Hluw}', "");
    Expect(1, 83526, '\P{^Scx=_-Hluw}', "");
    Expect(0, 83527, '\p{Scx=_-Hluw}', "");
    Expect(1, 83527, '\p{^Scx=_-Hluw}', "");
    Expect(1, 83527, '\P{Scx=_-Hluw}', "");
    Expect(0, 83527, '\P{^Scx=_-Hluw}', "");
    Error('\p{Is_Script_Extensions:	:=ANATOLIAN_Hieroglyphs}');
    Error('\P{Is_Script_Extensions:	:=ANATOLIAN_Hieroglyphs}');
    Expect(1, 83526, '\p{Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(0, 83526, '\p{^Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(0, 83526, '\P{Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(1, 83526, '\P{^Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(0, 83527, '\p{Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(1, 83527, '\p{^Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(1, 83527, '\P{Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(0, 83527, '\P{^Is_Script_Extensions: anatolianhieroglyphs}', "");
    Expect(1, 83526, '\p{Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Expect(0, 83526, '\p{^Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Expect(0, 83526, '\P{Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Expect(1, 83526, '\P{^Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Expect(0, 83527, '\p{Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Expect(1, 83527, '\p{^Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Expect(1, 83527, '\P{Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Expect(0, 83527, '\P{^Is_Script_Extensions=  ANATOLIAN_HIEROGLYPHS}', "");
    Error('\p{Is_Scx=_/a/Hluw}');
    Error('\P{Is_Scx=_/a/Hluw}');
    Expect(1, 83526, '\p{Is_Scx=hluw}', "");
    Expect(0, 83526, '\p{^Is_Scx=hluw}', "");
    Expect(0, 83526, '\P{Is_Scx=hluw}', "");
    Expect(1, 83526, '\P{^Is_Scx=hluw}', "");
    Expect(0, 83527, '\p{Is_Scx=hluw}', "");
    Expect(1, 83527, '\p{^Is_Scx=hluw}', "");
    Expect(1, 83527, '\P{Is_Scx=hluw}', "");
    Expect(0, 83527, '\P{^Is_Scx=hluw}', "");
    Expect(1, 83526, '\p{Is_Scx= 	Hluw}', "");
    Expect(0, 83526, '\p{^Is_Scx= 	Hluw}', "");
    Expect(0, 83526, '\P{Is_Scx= 	Hluw}', "");
    Expect(1, 83526, '\P{^Is_Scx= 	Hluw}', "");
    Expect(0, 83527, '\p{Is_Scx= 	Hluw}', "");
    Expect(1, 83527, '\p{^Is_Scx= 	Hluw}', "");
    Expect(1, 83527, '\P{Is_Scx= 	Hluw}', "");
    Expect(0, 83527, '\P{^Is_Scx= 	Hluw}', "");
    Error('\p{Script_Extensions=- PAHAWH_Hmong/a/}');
    Error('\P{Script_Extensions=- PAHAWH_Hmong/a/}');
    Expect(1, 93071, '\p{Script_Extensions=:\APahawh_Hmong\z:}', "");;
    Expect(0, 93072, '\p{Script_Extensions=:\APahawh_Hmong\z:}', "");;
    Expect(1, 93071, '\p{Script_Extensions=pahawhhmong}', "");
    Expect(0, 93071, '\p{^Script_Extensions=pahawhhmong}', "");
    Expect(0, 93071, '\P{Script_Extensions=pahawhhmong}', "");
    Expect(1, 93071, '\P{^Script_Extensions=pahawhhmong}', "");
    Expect(0, 93072, '\p{Script_Extensions=pahawhhmong}', "");
    Expect(1, 93072, '\p{^Script_Extensions=pahawhhmong}', "");
    Expect(1, 93072, '\P{Script_Extensions=pahawhhmong}', "");
    Expect(0, 93072, '\P{^Script_Extensions=pahawhhmong}', "");
    Expect(1, 93071, '\p{Script_Extensions=:\Apahawhhmong\z:}', "");;
    Expect(0, 93072, '\p{Script_Extensions=:\Apahawhhmong\z:}', "");;
    Expect(1, 93071, '\p{Script_Extensions=	_Pahawh_hmong}', "");
    Expect(0, 93071, '\p{^Script_Extensions=	_Pahawh_hmong}', "");
    Expect(0, 93071, '\P{Script_Extensions=	_Pahawh_hmong}', "");
    Expect(1, 93071, '\P{^Script_Extensions=	_Pahawh_hmong}', "");
    Expect(0, 93072, '\p{Script_Extensions=	_Pahawh_hmong}', "");
    Expect(1, 93072, '\p{^Script_Extensions=	_Pahawh_hmong}', "");
    Expect(1, 93072, '\P{Script_Extensions=	_Pahawh_hmong}', "");
    Expect(0, 93072, '\P{^Script_Extensions=	_Pahawh_hmong}', "");
    Error('\p{Scx=	:=hmng}');
    Error('\P{Scx=	:=hmng}');
    Expect(1, 93071, '\p{Scx=:\AHmng\z:}', "");;
    Expect(0, 93072, '\p{Scx=:\AHmng\z:}', "");;
    Expect(1, 93071, '\p{Scx=hmng}', "");
    Expect(0, 93071, '\p{^Scx=hmng}', "");
    Expect(0, 93071, '\P{Scx=hmng}', "");
    Expect(1, 93071, '\P{^Scx=hmng}', "");
    Expect(0, 93072, '\p{Scx=hmng}', "");
    Expect(1, 93072, '\p{^Scx=hmng}', "");
    Expect(1, 93072, '\P{Scx=hmng}', "");
    Expect(0, 93072, '\P{^Scx=hmng}', "");
    Expect(1, 93071, '\p{Scx=:\Ahmng\z:}', "");;
    Expect(0, 93072, '\p{Scx=:\Ahmng\z:}', "");;
    Expect(1, 93071, '\p{Scx:	 Hmng}', "");
    Expect(0, 93071, '\p{^Scx:	 Hmng}', "");
    Expect(0, 93071, '\P{Scx:	 Hmng}', "");
    Expect(1, 93071, '\P{^Scx:	 Hmng}', "");
    Expect(0, 93072, '\p{Scx:	 Hmng}', "");
    Expect(1, 93072, '\p{^Scx:	 Hmng}', "");
    Expect(1, 93072, '\P{Scx:	 Hmng}', "");
    Expect(0, 93072, '\P{^Scx:	 Hmng}', "");
    Error('\p{Is_Script_Extensions:	/a/	-PAHAWH_Hmong}');
    Error('\P{Is_Script_Extensions:	/a/	-PAHAWH_Hmong}');
    Expect(1, 93071, '\p{Is_Script_Extensions:	pahawhhmong}', "");
    Expect(0, 93071, '\p{^Is_Script_Extensions:	pahawhhmong}', "");
    Expect(0, 93071, '\P{Is_Script_Extensions:	pahawhhmong}', "");
    Expect(1, 93071, '\P{^Is_Script_Extensions:	pahawhhmong}', "");
    Expect(0, 93072, '\p{Is_Script_Extensions:	pahawhhmong}', "");
    Expect(1, 93072, '\p{^Is_Script_Extensions:	pahawhhmong}', "");
    Expect(1, 93072, '\P{Is_Script_Extensions:	pahawhhmong}', "");
    Expect(0, 93072, '\P{^Is_Script_Extensions:	pahawhhmong}', "");
    Expect(1, 93071, '\p{Is_Script_Extensions=_Pahawh_Hmong}', "");
    Expect(0, 93071, '\p{^Is_Script_Extensions=_Pahawh_Hmong}', "");
    Expect(0, 93071, '\P{Is_Script_Extensions=_Pahawh_Hmong}', "");
    Expect(1, 93071, '\P{^Is_Script_Extensions=_Pahawh_Hmong}', "");
    Expect(0, 93072, '\p{Is_Script_Extensions=_Pahawh_Hmong}', "");
    Expect(1, 93072, '\p{^Is_Script_Extensions=_Pahawh_Hmong}', "");
    Expect(1, 93072, '\P{Is_Script_Extensions=_Pahawh_Hmong}', "");
    Expect(0, 93072, '\P{^Is_Script_Extensions=_Pahawh_Hmong}', "");
    Error('\p{Is_Scx=_ Hmng/a/}');
    Error('\P{Is_Scx=_ Hmng/a/}');
    Expect(1, 93071, '\p{Is_Scx=hmng}', "");
    Expect(0, 93071, '\p{^Is_Scx=hmng}', "");
    Expect(0, 93071, '\P{Is_Scx=hmng}', "");
    Expect(1, 93071, '\P{^Is_Scx=hmng}', "");
    Expect(0, 93072, '\p{Is_Scx=hmng}', "");
    Expect(1, 93072, '\p{^Is_Scx=hmng}', "");
    Expect(1, 93072, '\P{Is_Scx=hmng}', "");
    Expect(0, 93072, '\P{^Is_Scx=hmng}', "");
    Expect(1, 93071, '\p{Is_Scx= _hmng}', "");
    Expect(0, 93071, '\p{^Is_Scx= _hmng}', "");
    Expect(0, 93071, '\P{Is_Scx= _hmng}', "");
    Expect(1, 93071, '\P{^Is_Scx= _hmng}', "");
    Expect(0, 93072, '\p{Is_Scx= _hmng}', "");
    Expect(1, 93072, '\p{^Is_Scx= _hmng}', "");
    Expect(1, 93072, '\P{Is_Scx= _hmng}', "");
    Expect(0, 93072, '\P{^Is_Scx= _hmng}', "");
    Error('\p{Script_Extensions=__NYIAKENG_Puachue_Hmong/a/}');
    Error('\P{Script_Extensions=__NYIAKENG_Puachue_Hmong/a/}');
    Expect(1, 123215, '\p{Script_Extensions=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(0, 123216, '\p{Script_Extensions=:\ANyiakeng_Puachue_Hmong\z:}', "");;
    Expect(1, 123215, '\p{Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Script_Extensions:nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Script_Extensions=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(0, 123216, '\p{Script_Extensions=:\Anyiakengpuachuehmong\z:}', "");;
    Expect(1, 123215, '\p{Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Expect(0, 123215, '\p{^Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Expect(0, 123215, '\P{Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Expect(1, 123215, '\P{^Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Expect(0, 123216, '\p{Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Expect(1, 123216, '\p{^Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Expect(1, 123216, '\P{Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Expect(0, 123216, '\P{^Script_Extensions=		NYIAKENG_puachue_HMONG}', "");
    Error('\p{Scx=/a/-Hmnp}');
    Error('\P{Scx=/a/-Hmnp}');
    Expect(1, 123215, '\p{Scx=:\AHmnp\z:}', "");;
    Expect(0, 123216, '\p{Scx=:\AHmnp\z:}', "");;
    Expect(1, 123215, '\p{Scx:hmnp}', "");
    Expect(0, 123215, '\p{^Scx:hmnp}', "");
    Expect(0, 123215, '\P{Scx:hmnp}', "");
    Expect(1, 123215, '\P{^Scx:hmnp}', "");
    Expect(0, 123216, '\p{Scx:hmnp}', "");
    Expect(1, 123216, '\p{^Scx:hmnp}', "");
    Expect(1, 123216, '\P{Scx:hmnp}', "");
    Expect(0, 123216, '\P{^Scx:hmnp}', "");
    Expect(1, 123215, '\p{Scx=:\Ahmnp\z:}', "");;
    Expect(0, 123216, '\p{Scx=:\Ahmnp\z:}', "");;
    Expect(1, 123215, '\p{Scx= 	hmnp}', "");
    Expect(0, 123215, '\p{^Scx= 	hmnp}', "");
    Expect(0, 123215, '\P{Scx= 	hmnp}', "");
    Expect(1, 123215, '\P{^Scx= 	hmnp}', "");
    Expect(0, 123216, '\p{Scx= 	hmnp}', "");
    Expect(1, 123216, '\p{^Scx= 	hmnp}', "");
    Expect(1, 123216, '\P{Scx= 	hmnp}', "");
    Expect(0, 123216, '\P{^Scx= 	hmnp}', "");
    Error('\p{Is_Script_Extensions=:=-Nyiakeng_PUACHUE_HMONG}');
    Error('\P{Is_Script_Extensions=:=-Nyiakeng_PUACHUE_HMONG}');
    Expect(1, 123215, '\p{Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\p{^Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(0, 123215, '\P{Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\P{^Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\p{Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\p{^Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(1, 123216, '\P{Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(0, 123216, '\P{^Is_Script_Extensions=nyiakengpuachuehmong}', "");
    Expect(1, 123215, '\p{Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Expect(0, 123215, '\p{^Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Expect(0, 123215, '\P{Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Expect(1, 123215, '\P{^Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Expect(0, 123216, '\p{Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Expect(1, 123216, '\p{^Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Expect(1, 123216, '\P{Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Expect(0, 123216, '\P{^Is_Script_Extensions=- nyiakeng_puachue_hmong}', "");
    Error('\p{Is_Scx=	Hmnp/a/}');
    Error('\P{Is_Scx=	Hmnp/a/}');
    Expect(1, 123215, '\p{Is_Scx=hmnp}', "");
    Expect(0, 123215, '\p{^Is_Scx=hmnp}', "");
    Expect(0, 123215, '\P{Is_Scx=hmnp}', "");
    Expect(1, 123215, '\P{^Is_Scx=hmnp}', "");
    Expect(0, 123216, '\p{Is_Scx=hmnp}', "");
    Expect(1, 123216, '\p{^Is_Scx=hmnp}', "");
    Expect(1, 123216, '\P{Is_Scx=hmnp}', "");
    Expect(0, 123216, '\P{^Is_Scx=hmnp}', "");
    Expect(1, 123215, '\p{Is_Scx= Hmnp}', "");
    Expect(0, 123215, '\p{^Is_Scx= Hmnp}', "");
    Expect(0, 123215, '\P{Is_Scx= Hmnp}', "");
    Expect(1, 123215, '\P{^Is_Scx= Hmnp}', "");
    Expect(0, 123216, '\p{Is_Scx= Hmnp}', "");
    Expect(1, 123216, '\p{^Is_Scx= Hmnp}', "");
    Expect(1, 123216, '\P{Is_Scx= Hmnp}', "");
    Expect(0, 123216, '\P{^Is_Scx= Hmnp}', "");
    Error('\p{Script_Extensions=Katakana_Or_Hiragana}');
    Error('\P{Script_Extensions=Katakana_Or_Hiragana}');
    Error('\p{Scx=Hrkt}');
    Error('\P{Scx=Hrkt}');
    Error('\p{Is_Script_Extensions=Katakana_Or_Hiragana}');
    Error('\P{Is_Script_Extensions=Katakana_Or_Hiragana}');
    Error('\p{Is_Scx=Hrkt}');
    Error('\P{Is_Scx=Hrkt}');
    Error('\p{Script_Extensions=/a/OLD_hungarian}');
    Error('\P{Script_Extensions=/a/OLD_hungarian}');
    Expect(1, 68863, '\p{Script_Extensions=:\AOld_Hungarian\z:}', "");;
    Expect(0, 68864, '\p{Script_Extensions=:\AOld_Hungarian\z:}', "");;
    Expect(1, 68863, '\p{Script_Extensions=oldhungarian}', "");
    Expect(0, 68863, '\p{^Script_Extensions=oldhungarian}', "");
    Expect(0, 68863, '\P{Script_Extensions=oldhungarian}', "");
    Expect(1, 68863, '\P{^Script_Extensions=oldhungarian}', "");
    Expect(0, 68864, '\p{Script_Extensions=oldhungarian}', "");
    Expect(1, 68864, '\p{^Script_Extensions=oldhungarian}', "");
    Expect(1, 68864, '\P{Script_Extensions=oldhungarian}', "");
    Expect(0, 68864, '\P{^Script_Extensions=oldhungarian}', "");
    Expect(1, 68863, '\p{Script_Extensions=:\Aoldhungarian\z:}', "");;
    Expect(0, 68864, '\p{Script_Extensions=:\Aoldhungarian\z:}', "");;
    Expect(1, 68863, '\p{Script_Extensions=_Old_hungarian}', "");
    Expect(0, 68863, '\p{^Script_Extensions=_Old_hungarian}', "");
    Expect(0, 68863, '\P{Script_Extensions=_Old_hungarian}', "");
    Expect(1, 68863, '\P{^Script_Extensions=_Old_hungarian}', "");
    Expect(0, 68864, '\p{Script_Extensions=_Old_hungarian}', "");
    Expect(1, 68864, '\p{^Script_Extensions=_Old_hungarian}', "");
    Expect(1, 68864, '\P{Script_Extensions=_Old_hungarian}', "");
    Expect(0, 68864, '\P{^Script_Extensions=_Old_hungarian}', "");
    Error('\p{Scx= -hung:=}');
    Error('\P{Scx= -hung:=}');
    Expect(1, 68863, '\p{Scx=:\AHung\z:}', "");;
    Expect(0, 68864, '\p{Scx=:\AHung\z:}', "");;
    Expect(1, 68863, '\p{Scx=hung}', "");
    Expect(0, 68863, '\p{^Scx=hung}', "");
    Expect(0, 68863, '\P{Scx=hung}', "");
    Expect(1, 68863, '\P{^Scx=hung}', "");
    Expect(0, 68864, '\p{Scx=hung}', "");
    Expect(1, 68864, '\p{^Scx=hung}', "");
    Expect(1, 68864, '\P{Scx=hung}', "");
    Expect(0, 68864, '\P{^Scx=hung}', "");
    Expect(1, 68863, '\p{Scx=:\Ahung\z:}', "");;
    Expect(0, 68864, '\p{Scx=:\Ahung\z:}', "");;
    Expect(1, 68863, '\p{Scx= -Hung}', "");
    Expect(0, 68863, '\p{^Scx= -Hung}', "");
    Expect(0, 68863, '\P{Scx= -Hung}', "");
    Expect(1, 68863, '\P{^Scx= -Hung}', "");
    Expect(0, 68864, '\p{Scx= -Hung}', "");
    Expect(1, 68864, '\p{^Scx= -Hung}', "");
    Expect(1, 68864, '\P{Scx= -Hung}', "");
    Expect(0, 68864, '\P{^Scx= -Hung}', "");
    Error('\p{Is_Script_Extensions=-old_Hungarian:=}');
    Error('\P{Is_Script_Extensions=-old_Hungarian:=}');
    Expect(1, 68863, '\p{Is_Script_Extensions=oldhungarian}', "");
    Expect(0, 68863, '\p{^Is_Script_Extensions=oldhungarian}', "");
    Expect(0, 68863, '\P{Is_Script_Extensions=oldhungarian}', "");
    Expect(1, 68863, '\P{^Is_Script_Extensions=oldhungarian}', "");
    Expect(0, 68864, '\p{Is_Script_Extensions=oldhungarian}', "");
    Expect(1, 68864, '\p{^Is_Script_Extensions=oldhungarian}', "");
    Expect(1, 68864, '\P{Is_Script_Extensions=oldhungarian}', "");
    Expect(0, 68864, '\P{^Is_Script_Extensions=oldhungarian}', "");
    Expect(1, 68863, '\p{Is_Script_Extensions=	old_Hungarian}', "");
    Expect(0, 68863, '\p{^Is_Script_Extensions=	old_Hungarian}', "");
    Expect(0, 68863, '\P{Is_Script_Extensions=	old_Hungarian}', "");
    Expect(1, 68863, '\P{^Is_Script_Extensions=	old_Hungarian}', "");
    Expect(0, 68864, '\p{Is_Script_Extensions=	old_Hungarian}', "");
    Expect(1, 68864, '\p{^Is_Script_Extensions=	old_Hungarian}', "");
    Expect(1, 68864, '\P{Is_Script_Extensions=	old_Hungarian}', "");
    Expect(0, 68864, '\P{^Is_Script_Extensions=	old_Hungarian}', "");
    Error('\p{Is_Scx:   :=_	HUNG}');
    Error('\P{Is_Scx:   :=_	HUNG}');
    Expect(1, 68863, '\p{Is_Scx=hung}', "");
    Expect(0, 68863, '\p{^Is_Scx=hung}', "");
    Expect(0, 68863, '\P{Is_Scx=hung}', "");
    Expect(1, 68863, '\P{^Is_Scx=hung}', "");
    Expect(0, 68864, '\p{Is_Scx=hung}', "");
    Expect(1, 68864, '\p{^Is_Scx=hung}', "");
    Expect(1, 68864, '\P{Is_Scx=hung}', "");
    Expect(0, 68864, '\P{^Is_Scx=hung}', "");
    Expect(1, 68863, '\p{Is_Scx= 	Hung}', "");
    Expect(0, 68863, '\p{^Is_Scx= 	Hung}', "");
    Expect(0, 68863, '\P{Is_Scx= 	Hung}', "");
    Expect(1, 68863, '\P{^Is_Scx= 	Hung}', "");
    Expect(0, 68864, '\p{Is_Scx= 	Hung}', "");
    Expect(1, 68864, '\p{^Is_Scx= 	Hung}', "");
    Expect(1, 68864, '\P{Is_Scx= 	Hung}', "");
    Expect(0, 68864, '\P{^Is_Scx= 	Hung}', "");
    Error('\p{Script_Extensions=/a/old_Italic}');
    Error('\P{Script_Extensions=/a/old_Italic}');
    Expect(1, 66351, '\p{Script_Extensions=:\AOld_Italic\z:}', "");;
    Expect(0, 66352, '\p{Script_Extensions=:\AOld_Italic\z:}', "");;
    Expect(1, 66351, '\p{Script_Extensions=olditalic}', "");
    Expect(0, 66351, '\p{^Script_Extensions=olditalic}', "");
    Expect(0, 66351, '\P{Script_Extensions=olditalic}', "");
    Expect(1, 66351, '\P{^Script_Extensions=olditalic}', "");
    Expect(0, 66352, '\p{Script_Extensions=olditalic}', "");
    Expect(1, 66352, '\p{^Script_Extensions=olditalic}', "");
    Expect(1, 66352, '\P{Script_Extensions=olditalic}', "");
    Expect(0, 66352, '\P{^Script_Extensions=olditalic}', "");
    Expect(1, 66351, '\p{Script_Extensions=:\Aolditalic\z:}', "");;
    Expect(0, 66352, '\p{Script_Extensions=:\Aolditalic\z:}', "");;
    Expect(1, 66351, '\p{Script_Extensions=_-Old_italic}', "");
    Expect(0, 66351, '\p{^Script_Extensions=_-Old_italic}', "");
    Expect(0, 66351, '\P{Script_Extensions=_-Old_italic}', "");
    Expect(1, 66351, '\P{^Script_Extensions=_-Old_italic}', "");
    Expect(0, 66352, '\p{Script_Extensions=_-Old_italic}', "");
    Expect(1, 66352, '\p{^Script_Extensions=_-Old_italic}', "");
    Expect(1, 66352, '\P{Script_Extensions=_-Old_italic}', "");
    Expect(0, 66352, '\P{^Script_Extensions=_-Old_italic}', "");
    Error('\p{Scx=:=_Ital}');
    Error('\P{Scx=:=_Ital}');
    Expect(1, 66351, '\p{Scx=:\AItal\z:}', "");;
    Expect(0, 66352, '\p{Scx=:\AItal\z:}', "");;
    Expect(1, 66351, '\p{Scx=ital}', "");
    Expect(0, 66351, '\p{^Scx=ital}', "");
    Expect(0, 66351, '\P{Scx=ital}', "");
    Expect(1, 66351, '\P{^Scx=ital}', "");
    Expect(0, 66352, '\p{Scx=ital}', "");
    Expect(1, 66352, '\p{^Scx=ital}', "");
    Expect(1, 66352, '\P{Scx=ital}', "");
    Expect(0, 66352, '\P{^Scx=ital}', "");
    Expect(1, 66351, '\p{Scx=:\Aital\z:}', "");;
    Expect(0, 66352, '\p{Scx=:\Aital\z:}', "");;
    Expect(1, 66351, '\p{Scx=-_Ital}', "");
    Expect(0, 66351, '\p{^Scx=-_Ital}', "");
    Expect(0, 66351, '\P{Scx=-_Ital}', "");
    Expect(1, 66351, '\P{^Scx=-_Ital}', "");
    Expect(0, 66352, '\p{Scx=-_Ital}', "");
    Expect(1, 66352, '\p{^Scx=-_Ital}', "");
    Expect(1, 66352, '\P{Scx=-_Ital}', "");
    Expect(0, 66352, '\P{^Scx=-_Ital}', "");
    Error('\p{Is_Script_Extensions=/a/old_ITALIC}');
    Error('\P{Is_Script_Extensions=/a/old_ITALIC}');
    Expect(1, 66351, '\p{Is_Script_Extensions=olditalic}', "");
    Expect(0, 66351, '\p{^Is_Script_Extensions=olditalic}', "");
    Expect(0, 66351, '\P{Is_Script_Extensions=olditalic}', "");
    Expect(1, 66351, '\P{^Is_Script_Extensions=olditalic}', "");
    Expect(0, 66352, '\p{Is_Script_Extensions=olditalic}', "");
    Expect(1, 66352, '\p{^Is_Script_Extensions=olditalic}', "");
    Expect(1, 66352, '\P{Is_Script_Extensions=olditalic}', "");
    Expect(0, 66352, '\P{^Is_Script_Extensions=olditalic}', "");
    Expect(1, 66351, '\p{Is_Script_Extensions=	 OLD_Italic}', "");
    Expect(0, 66351, '\p{^Is_Script_Extensions=	 OLD_Italic}', "");
    Expect(0, 66351, '\P{Is_Script_Extensions=	 OLD_Italic}', "");
    Expect(1, 66351, '\P{^Is_Script_Extensions=	 OLD_Italic}', "");
    Expect(0, 66352, '\p{Is_Script_Extensions=	 OLD_Italic}', "");
    Expect(1, 66352, '\p{^Is_Script_Extensions=	 OLD_Italic}', "");
    Expect(1, 66352, '\P{Is_Script_Extensions=	 OLD_Italic}', "");
    Expect(0, 66352, '\P{^Is_Script_Extensions=	 OLD_Italic}', "");
    Error('\p{Is_Scx: _ital:=}');
    Error('\P{Is_Scx: _ital:=}');
    Expect(1, 66351, '\p{Is_Scx=ital}', "");
    Expect(0, 66351, '\p{^Is_Scx=ital}', "");
    Expect(0, 66351, '\P{Is_Scx=ital}', "");
    Expect(1, 66351, '\P{^Is_Scx=ital}', "");
    Expect(0, 66352, '\p{Is_Scx=ital}', "");
    Expect(1, 66352, '\p{^Is_Scx=ital}', "");
    Expect(1, 66352, '\P{Is_Scx=ital}', "");
    Expect(0, 66352, '\P{^Is_Scx=ital}', "");
    Expect(1, 66351, '\p{Is_Scx=	-ITAL}', "");
    Expect(0, 66351, '\p{^Is_Scx=	-ITAL}', "");
    Expect(0, 66351, '\P{Is_Scx=	-ITAL}', "");
    Expect(1, 66351, '\P{^Is_Scx=	-ITAL}', "");
    Expect(0, 66352, '\p{Is_Scx=	-ITAL}', "");
    Expect(1, 66352, '\p{^Is_Scx=	-ITAL}', "");
    Expect(1, 66352, '\P{Is_Scx=	-ITAL}', "");
    Expect(0, 66352, '\P{^Is_Scx=	-ITAL}', "");
    Error('\p{Script_Extensions=-/a/javanese}');
    Error('\P{Script_Extensions=-/a/javanese}');
    Expect(1, 43487, '\p{Script_Extensions=:\AJavanese\z:}', "");;
    Expect(0, 43488, '\p{Script_Extensions=:\AJavanese\z:}', "");;
    Expect(1, 43487, '\p{Script_Extensions=javanese}', "");
    Expect(0, 43487, '\p{^Script_Extensions=javanese}', "");
    Expect(0, 43487, '\P{Script_Extensions=javanese}', "");
    Expect(1, 43487, '\P{^Script_Extensions=javanese}', "");
    Expect(0, 43488, '\p{Script_Extensions=javanese}', "");
    Expect(1, 43488, '\p{^Script_Extensions=javanese}', "");
    Expect(1, 43488, '\P{Script_Extensions=javanese}', "");
    Expect(0, 43488, '\P{^Script_Extensions=javanese}', "");
    Expect(1, 43487, '\p{Script_Extensions=:\Ajavanese\z:}', "");;
    Expect(0, 43488, '\p{Script_Extensions=:\Ajavanese\z:}', "");;
    Expect(1, 43487, '\p{Script_Extensions=		JAVANESE}', "");
    Expect(0, 43487, '\p{^Script_Extensions=		JAVANESE}', "");
    Expect(0, 43487, '\P{Script_Extensions=		JAVANESE}', "");
    Expect(1, 43487, '\P{^Script_Extensions=		JAVANESE}', "");
    Expect(0, 43488, '\p{Script_Extensions=		JAVANESE}', "");
    Expect(1, 43488, '\p{^Script_Extensions=		JAVANESE}', "");
    Expect(1, 43488, '\P{Script_Extensions=		JAVANESE}', "");
    Expect(0, 43488, '\P{^Script_Extensions=		JAVANESE}', "");
    Error('\p{Scx=/a/ -Java}');
    Error('\P{Scx=/a/ -Java}');
    Expect(1, 43487, '\p{Scx=:\AJava\z:}', "");;
    Expect(0, 43488, '\p{Scx=:\AJava\z:}', "");;
    Expect(1, 43487, '\p{Scx=java}', "");
    Expect(0, 43487, '\p{^Scx=java}', "");
    Expect(0, 43487, '\P{Scx=java}', "");
    Expect(1, 43487, '\P{^Scx=java}', "");
    Expect(0, 43488, '\p{Scx=java}', "");
    Expect(1, 43488, '\p{^Scx=java}', "");
    Expect(1, 43488, '\P{Scx=java}', "");
    Expect(0, 43488, '\P{^Scx=java}', "");
    Expect(1, 43487, '\p{Scx=:\Ajava\z:}', "");;
    Expect(0, 43488, '\p{Scx=:\Ajava\z:}', "");;
    Expect(1, 43487, '\p{Scx=- Java}', "");
    Expect(0, 43487, '\p{^Scx=- Java}', "");
    Expect(0, 43487, '\P{Scx=- Java}', "");
    Expect(1, 43487, '\P{^Scx=- Java}', "");
    Expect(0, 43488, '\p{Scx=- Java}', "");
    Expect(1, 43488, '\p{^Scx=- Java}', "");
    Expect(1, 43488, '\P{Scx=- Java}', "");
    Expect(0, 43488, '\P{^Scx=- Java}', "");
    Error('\p{Is_Script_Extensions=:=	-Javanese}');
    Error('\P{Is_Script_Extensions=:=	-Javanese}');
    Expect(1, 43487, '\p{Is_Script_Extensions=javanese}', "");
    Expect(0, 43487, '\p{^Is_Script_Extensions=javanese}', "");
    Expect(0, 43487, '\P{Is_Script_Extensions=javanese}', "");
    Expect(1, 43487, '\P{^Is_Script_Extensions=javanese}', "");
    Expect(0, 43488, '\p{Is_Script_Extensions=javanese}', "");
    Expect(1, 43488, '\p{^Is_Script_Extensions=javanese}', "");
    Expect(1, 43488, '\P{Is_Script_Extensions=javanese}', "");
    Expect(0, 43488, '\P{^Is_Script_Extensions=javanese}', "");
    Expect(1, 43487, '\p{Is_Script_Extensions=_ JAVANESE}', "");
    Expect(0, 43487, '\p{^Is_Script_Extensions=_ JAVANESE}', "");
    Expect(0, 43487, '\P{Is_Script_Extensions=_ JAVANESE}', "");
    Expect(1, 43487, '\P{^Is_Script_Extensions=_ JAVANESE}', "");
    Expect(0, 43488, '\p{Is_Script_Extensions=_ JAVANESE}', "");
    Expect(1, 43488, '\p{^Is_Script_Extensions=_ JAVANESE}', "");
    Expect(1, 43488, '\P{Is_Script_Extensions=_ JAVANESE}', "");
    Expect(0, 43488, '\P{^Is_Script_Extensions=_ JAVANESE}', "");
    Error('\p{Is_Scx=/a/Java}');
    Error('\P{Is_Scx=/a/Java}');
    Expect(1, 43487, '\p{Is_Scx=java}', "");
    Expect(0, 43487, '\p{^Is_Scx=java}', "");
    Expect(0, 43487, '\P{Is_Scx=java}', "");
    Expect(1, 43487, '\P{^Is_Scx=java}', "");
    Expect(0, 43488, '\p{Is_Scx=java}', "");
    Expect(1, 43488, '\p{^Is_Scx=java}', "");
    Expect(1, 43488, '\P{Is_Scx=java}', "");
    Expect(0, 43488, '\P{^Is_Scx=java}', "");
    Expect(1, 43487, '\p{Is_Scx= _Java}', "");
    Expect(0, 43487, '\p{^Is_Scx= _Java}', "");
    Expect(0, 43487, '\P{Is_Scx= _Java}', "");
    Expect(1, 43487, '\P{^Is_Scx= _Java}', "");
    Expect(0, 43488, '\p{Is_Scx= _Java}', "");
    Expect(1, 43488, '\p{^Is_Scx= _Java}', "");
    Expect(1, 43488, '\P{Is_Scx= _Java}', "");
    Expect(0, 43488, '\P{^Is_Scx= _Java}', "");
    Error('\p{Script_Extensions= _kayah_li/a/}');
    Error('\P{Script_Extensions= _kayah_li/a/}');
    Expect(1, 43311, '\p{Script_Extensions=:\AKayah_Li\z:}', "");;
    Expect(0, 43312, '\p{Script_Extensions=:\AKayah_Li\z:}', "");;
    Expect(1, 43311, '\p{Script_Extensions=kayahli}', "");
    Expect(0, 43311, '\p{^Script_Extensions=kayahli}', "");
    Expect(0, 43311, '\P{Script_Extensions=kayahli}', "");
    Expect(1, 43311, '\P{^Script_Extensions=kayahli}', "");
    Expect(0, 43312, '\p{Script_Extensions=kayahli}', "");
    Expect(1, 43312, '\p{^Script_Extensions=kayahli}', "");
    Expect(1, 43312, '\P{Script_Extensions=kayahli}', "");
    Expect(0, 43312, '\P{^Script_Extensions=kayahli}', "");
    Expect(1, 43311, '\p{Script_Extensions=:\Akayahli\z:}', "");;
    Expect(0, 43312, '\p{Script_Extensions=:\Akayahli\z:}', "");;
    Expect(1, 43311, '\p{Script_Extensions=	-Kayah_LI}', "");
    Expect(0, 43311, '\p{^Script_Extensions=	-Kayah_LI}', "");
    Expect(0, 43311, '\P{Script_Extensions=	-Kayah_LI}', "");
    Expect(1, 43311, '\P{^Script_Extensions=	-Kayah_LI}', "");
    Expect(0, 43312, '\p{Script_Extensions=	-Kayah_LI}', "");
    Expect(1, 43312, '\p{^Script_Extensions=	-Kayah_LI}', "");
    Expect(1, 43312, '\P{Script_Extensions=	-Kayah_LI}', "");
    Expect(0, 43312, '\P{^Script_Extensions=	-Kayah_LI}', "");
    Error('\p{Scx= -kali/a/}');
    Error('\P{Scx= -kali/a/}');
    Expect(1, 43311, '\p{Scx=:\AKali\z:}', "");;
    Expect(0, 43312, '\p{Scx=:\AKali\z:}', "");;
    Expect(1, 43311, '\p{Scx=kali}', "");
    Expect(0, 43311, '\p{^Scx=kali}', "");
    Expect(0, 43311, '\P{Scx=kali}', "");
    Expect(1, 43311, '\P{^Scx=kali}', "");
    Expect(0, 43312, '\p{Scx=kali}', "");
    Expect(1, 43312, '\p{^Scx=kali}', "");
    Expect(1, 43312, '\P{Scx=kali}', "");
    Expect(0, 43312, '\P{^Scx=kali}', "");
    Expect(1, 43311, '\p{Scx=:\Akali\z:}', "");;
    Expect(0, 43312, '\p{Scx=:\Akali\z:}', "");;
    Expect(1, 43311, '\p{Scx=Kali}', "");
    Expect(0, 43311, '\p{^Scx=Kali}', "");
    Expect(0, 43311, '\P{Scx=Kali}', "");
    Expect(1, 43311, '\P{^Scx=Kali}', "");
    Expect(0, 43312, '\p{Scx=Kali}', "");
    Expect(1, 43312, '\p{^Scx=Kali}', "");
    Expect(1, 43312, '\P{Scx=Kali}', "");
    Expect(0, 43312, '\P{^Scx=Kali}', "");
    Error('\p{Is_Script_Extensions=		KAYAH_Li/a/}');
    Error('\P{Is_Script_Extensions=		KAYAH_Li/a/}');
    Expect(1, 43311, '\p{Is_Script_Extensions=kayahli}', "");
    Expect(0, 43311, '\p{^Is_Script_Extensions=kayahli}', "");
    Expect(0, 43311, '\P{Is_Script_Extensions=kayahli}', "");
    Expect(1, 43311, '\P{^Is_Script_Extensions=kayahli}', "");
    Expect(0, 43312, '\p{Is_Script_Extensions=kayahli}', "");
    Expect(1, 43312, '\p{^Is_Script_Extensions=kayahli}', "");
    Expect(1, 43312, '\P{Is_Script_Extensions=kayahli}', "");
    Expect(0, 43312, '\P{^Is_Script_Extensions=kayahli}', "");
    Expect(1, 43311, '\p{Is_Script_Extensions=-Kayah_Li}', "");
    Expect(0, 43311, '\p{^Is_Script_Extensions=-Kayah_Li}', "");
    Expect(0, 43311, '\P{Is_Script_Extensions=-Kayah_Li}', "");
    Expect(1, 43311, '\P{^Is_Script_Extensions=-Kayah_Li}', "");
    Expect(0, 43312, '\p{Is_Script_Extensions=-Kayah_Li}', "");
    Expect(1, 43312, '\p{^Is_Script_Extensions=-Kayah_Li}', "");
    Expect(1, 43312, '\P{Is_Script_Extensions=-Kayah_Li}', "");
    Expect(0, 43312, '\P{^Is_Script_Extensions=-Kayah_Li}', "");
    Error('\p{Is_Scx=:=__Kali}');
    Error('\P{Is_Scx=:=__Kali}');
    Expect(1, 43311, '\p{Is_Scx=kali}', "");
    Expect(0, 43311, '\p{^Is_Scx=kali}', "");
    Expect(0, 43311, '\P{Is_Scx=kali}', "");
    Expect(1, 43311, '\P{^Is_Scx=kali}', "");
    Expect(0, 43312, '\p{Is_Scx=kali}', "");
    Expect(1, 43312, '\p{^Is_Scx=kali}', "");
    Expect(1, 43312, '\P{Is_Scx=kali}', "");
    Expect(0, 43312, '\P{^Is_Scx=kali}', "");
    Expect(1, 43311, '\p{Is_Scx:   -_Kali}', "");
    Expect(0, 43311, '\p{^Is_Scx:   -_Kali}', "");
    Expect(0, 43311, '\P{Is_Scx:   -_Kali}', "");
    Expect(1, 43311, '\P{^Is_Scx:   -_Kali}', "");
    Expect(0, 43312, '\p{Is_Scx:   -_Kali}', "");
    Expect(1, 43312, '\p{^Is_Scx:   -_Kali}', "");
    Expect(1, 43312, '\P{Is_Scx:   -_Kali}', "");
    Expect(0, 43312, '\P{^Is_Scx:   -_Kali}', "");
    Error('\p{Script_Extensions=-KATAKANA/a/}');
    Error('\P{Script_Extensions=-KATAKANA/a/}');
    Expect(1, 110951, '\p{Script_Extensions=:\AKatakana\z:}', "");;
    Expect(0, 110952, '\p{Script_Extensions=:\AKatakana\z:}', "");;
    Expect(1, 110951, '\p{Script_Extensions=katakana}', "");
    Expect(0, 110951, '\p{^Script_Extensions=katakana}', "");
    Expect(0, 110951, '\P{Script_Extensions=katakana}', "");
    Expect(1, 110951, '\P{^Script_Extensions=katakana}', "");
    Expect(0, 110952, '\p{Script_Extensions=katakana}', "");
    Expect(1, 110952, '\p{^Script_Extensions=katakana}', "");
    Expect(1, 110952, '\P{Script_Extensions=katakana}', "");
    Expect(0, 110952, '\P{^Script_Extensions=katakana}', "");
    Expect(1, 110951, '\p{Script_Extensions=:\Akatakana\z:}', "");;
    Expect(0, 110952, '\p{Script_Extensions=:\Akatakana\z:}', "");;
    Expect(1, 110951, '\p{Script_Extensions= _Katakana}', "");
    Expect(0, 110951, '\p{^Script_Extensions= _Katakana}', "");
    Expect(0, 110951, '\P{Script_Extensions= _Katakana}', "");
    Expect(1, 110951, '\P{^Script_Extensions= _Katakana}', "");
    Expect(0, 110952, '\p{Script_Extensions= _Katakana}', "");
    Expect(1, 110952, '\p{^Script_Extensions= _Katakana}', "");
    Expect(1, 110952, '\P{Script_Extensions= _Katakana}', "");
    Expect(0, 110952, '\P{^Script_Extensions= _Katakana}', "");
    Error('\p{Scx: :=_Kana}');
    Error('\P{Scx: :=_Kana}');
    Expect(1, 110951, '\p{Scx=:\AKana\z:}', "");;
    Expect(0, 110952, '\p{Scx=:\AKana\z:}', "");;
    Expect(1, 110951, '\p{Scx=kana}', "");
    Expect(0, 110951, '\p{^Scx=kana}', "");
    Expect(0, 110951, '\P{Scx=kana}', "");
    Expect(1, 110951, '\P{^Scx=kana}', "");
    Expect(0, 110952, '\p{Scx=kana}', "");
    Expect(1, 110952, '\p{^Scx=kana}', "");
    Expect(1, 110952, '\P{Scx=kana}', "");
    Expect(0, 110952, '\P{^Scx=kana}', "");
    Expect(1, 110951, '\p{Scx=:\Akana\z:}', "");;
    Expect(0, 110952, '\p{Scx=:\Akana\z:}', "");;
    Expect(1, 110951, '\p{Scx=	-kana}', "");
    Expect(0, 110951, '\p{^Scx=	-kana}', "");
    Expect(0, 110951, '\P{Scx=	-kana}', "");
    Expect(1, 110951, '\P{^Scx=	-kana}', "");
    Expect(0, 110952, '\p{Scx=	-kana}', "");
    Expect(1, 110952, '\p{^Scx=	-kana}', "");
    Expect(1, 110952, '\P{Scx=	-kana}', "");
    Expect(0, 110952, '\P{^Scx=	-kana}', "");
    Error('\p{Is_Script_Extensions=_:=Katakana}');
    Error('\P{Is_Script_Extensions=_:=Katakana}');
    Expect(1, 110951, '\p{Is_Script_Extensions=katakana}', "");
    Expect(0, 110951, '\p{^Is_Script_Extensions=katakana}', "");
    Expect(0, 110951, '\P{Is_Script_Extensions=katakana}', "");
    Expect(1, 110951, '\P{^Is_Script_Extensions=katakana}', "");
    Expect(0, 110952, '\p{Is_Script_Extensions=katakana}', "");
    Expect(1, 110952, '\p{^Is_Script_Extensions=katakana}', "");
    Expect(1, 110952, '\P{Is_Script_Extensions=katakana}', "");
    Expect(0, 110952, '\P{^Is_Script_Extensions=katakana}', "");
    Expect(1, 110951, '\p{Is_Script_Extensions=	KATAKANA}', "");
    Expect(0, 110951, '\p{^Is_Script_Extensions=	KATAKANA}', "");
    Expect(0, 110951, '\P{Is_Script_Extensions=	KATAKANA}', "");
    Expect(1, 110951, '\P{^Is_Script_Extensions=	KATAKANA}', "");
    Expect(0, 110952, '\p{Is_Script_Extensions=	KATAKANA}', "");
    Expect(1, 110952, '\p{^Is_Script_Extensions=	KATAKANA}', "");
    Expect(1, 110952, '\P{Is_Script_Extensions=	KATAKANA}', "");
    Expect(0, 110952, '\P{^Is_Script_Extensions=	KATAKANA}', "");
    Error('\p{Is_Scx=-Kana:=}');
    Error('\P{Is_Scx=-Kana:=}');
    Expect(1, 110951, '\p{Is_Scx=kana}', "");
    Expect(0, 110951, '\p{^Is_Scx=kana}', "");
    Expect(0, 110951, '\P{Is_Scx=kana}', "");
    Expect(1, 110951, '\P{^Is_Scx=kana}', "");
    Expect(0, 110952, '\p{Is_Scx=kana}', "");
    Expect(1, 110952, '\p{^Is_Scx=kana}', "");
    Expect(1, 110952, '\P{Is_Scx=kana}', "");
    Expect(0, 110952, '\P{^Is_Scx=kana}', "");
    Expect(1, 110951, '\p{Is_Scx= -Kana}', "");
    Expect(0, 110951, '\p{^Is_Scx= -Kana}', "");
    Expect(0, 110951, '\P{Is_Scx= -Kana}', "");
    Expect(1, 110951, '\P{^Is_Scx= -Kana}', "");
    Expect(0, 110952, '\p{Is_Scx= -Kana}', "");
    Expect(1, 110952, '\p{^Is_Scx= -Kana}', "");
    Expect(1, 110952, '\P{Is_Scx= -Kana}', "");
    Expect(0, 110952, '\P{^Is_Scx= -Kana}', "");
    Error('\p{Script_Extensions:/a/--kharoshthi}');
    Error('\P{Script_Extensions:/a/--kharoshthi}');
    Expect(1, 68184, '\p{Script_Extensions=:\AKharoshthi\z:}', "");;
    Expect(0, 68185, '\p{Script_Extensions=:\AKharoshthi\z:}', "");;
    Expect(1, 68184, '\p{Script_Extensions=kharoshthi}', "");
    Expect(0, 68184, '\p{^Script_Extensions=kharoshthi}', "");
    Expect(0, 68184, '\P{Script_Extensions=kharoshthi}', "");
    Expect(1, 68184, '\P{^Script_Extensions=kharoshthi}', "");
    Expect(0, 68185, '\p{Script_Extensions=kharoshthi}', "");
    Expect(1, 68185, '\p{^Script_Extensions=kharoshthi}', "");
    Expect(1, 68185, '\P{Script_Extensions=kharoshthi}', "");
    Expect(0, 68185, '\P{^Script_Extensions=kharoshthi}', "");
    Expect(1, 68184, '\p{Script_Extensions=:\Akharoshthi\z:}', "");;
    Expect(0, 68185, '\p{Script_Extensions=:\Akharoshthi\z:}', "");;
    Expect(1, 68184, '\p{Script_Extensions=_	Kharoshthi}', "");
    Expect(0, 68184, '\p{^Script_Extensions=_	Kharoshthi}', "");
    Expect(0, 68184, '\P{Script_Extensions=_	Kharoshthi}', "");
    Expect(1, 68184, '\P{^Script_Extensions=_	Kharoshthi}', "");
    Expect(0, 68185, '\p{Script_Extensions=_	Kharoshthi}', "");
    Expect(1, 68185, '\p{^Script_Extensions=_	Kharoshthi}', "");
    Expect(1, 68185, '\P{Script_Extensions=_	Kharoshthi}', "");
    Expect(0, 68185, '\P{^Script_Extensions=_	Kharoshthi}', "");
    Error('\p{Scx=:=-KHAR}');
    Error('\P{Scx=:=-KHAR}');
    Expect(1, 68184, '\p{Scx=:\AKhar\z:}', "");;
    Expect(0, 68185, '\p{Scx=:\AKhar\z:}', "");;
    Expect(1, 68184, '\p{Scx: khar}', "");
    Expect(0, 68184, '\p{^Scx: khar}', "");
    Expect(0, 68184, '\P{Scx: khar}', "");
    Expect(1, 68184, '\P{^Scx: khar}', "");
    Expect(0, 68185, '\p{Scx: khar}', "");
    Expect(1, 68185, '\p{^Scx: khar}', "");
    Expect(1, 68185, '\P{Scx: khar}', "");
    Expect(0, 68185, '\P{^Scx: khar}', "");
    Expect(1, 68184, '\p{Scx=:\Akhar\z:}', "");;
    Expect(0, 68185, '\p{Scx=:\Akhar\z:}', "");;
    Expect(1, 68184, '\p{Scx=	Khar}', "");
    Expect(0, 68184, '\p{^Scx=	Khar}', "");
    Expect(0, 68184, '\P{Scx=	Khar}', "");
    Expect(1, 68184, '\P{^Scx=	Khar}', "");
    Expect(0, 68185, '\p{Scx=	Khar}', "");
    Expect(1, 68185, '\p{^Scx=	Khar}', "");
    Expect(1, 68185, '\P{Scx=	Khar}', "");
    Expect(0, 68185, '\P{^Scx=	Khar}', "");
    Error('\p{Is_Script_Extensions:   _/a/Kharoshthi}');
    Error('\P{Is_Script_Extensions:   _/a/Kharoshthi}');
    Expect(1, 68184, '\p{Is_Script_Extensions=kharoshthi}', "");
    Expect(0, 68184, '\p{^Is_Script_Extensions=kharoshthi}', "");
    Expect(0, 68184, '\P{Is_Script_Extensions=kharoshthi}', "");
    Expect(1, 68184, '\P{^Is_Script_Extensions=kharoshthi}', "");
    Expect(0, 68185, '\p{Is_Script_Extensions=kharoshthi}', "");
    Expect(1, 68185, '\p{^Is_Script_Extensions=kharoshthi}', "");
    Expect(1, 68185, '\P{Is_Script_Extensions=kharoshthi}', "");
    Expect(0, 68185, '\P{^Is_Script_Extensions=kharoshthi}', "");
    Expect(1, 68184, '\p{Is_Script_Extensions=Kharoshthi}', "");
    Expect(0, 68184, '\p{^Is_Script_Extensions=Kharoshthi}', "");
    Expect(0, 68184, '\P{Is_Script_Extensions=Kharoshthi}', "");
    Expect(1, 68184, '\P{^Is_Script_Extensions=Kharoshthi}', "");
    Expect(0, 68185, '\p{Is_Script_Extensions=Kharoshthi}', "");
    Expect(1, 68185, '\p{^Is_Script_Extensions=Kharoshthi}', "");
    Expect(1, 68185, '\P{Is_Script_Extensions=Kharoshthi}', "");
    Expect(0, 68185, '\P{^Is_Script_Extensions=Kharoshthi}', "");
    Error('\p{Is_Scx=/a/ -KHAR}');
    Error('\P{Is_Scx=/a/ -KHAR}');
    Expect(1, 68184, '\p{Is_Scx=khar}', "");
    Expect(0, 68184, '\p{^Is_Scx=khar}', "");
    Expect(0, 68184, '\P{Is_Scx=khar}', "");
    Expect(1, 68184, '\P{^Is_Scx=khar}', "");
    Expect(0, 68185, '\p{Is_Scx=khar}', "");
    Expect(1, 68185, '\p{^Is_Scx=khar}', "");
    Expect(1, 68185, '\P{Is_Scx=khar}', "");
    Expect(0, 68185, '\P{^Is_Scx=khar}', "");
    Expect(1, 68184, '\p{Is_Scx=-_Khar}', "");
    Expect(0, 68184, '\p{^Is_Scx=-_Khar}', "");
    Expect(0, 68184, '\P{Is_Scx=-_Khar}', "");
    Expect(1, 68184, '\P{^Is_Scx=-_Khar}', "");
    Expect(0, 68185, '\p{Is_Scx=-_Khar}', "");
    Expect(1, 68185, '\p{^Is_Scx=-_Khar}', "");
    Expect(1, 68185, '\P{Is_Scx=-_Khar}', "");
    Expect(0, 68185, '\P{^Is_Scx=-_Khar}', "");
    Error('\p{Script_Extensions=_	khmer/a/}');
    Error('\P{Script_Extensions=_	khmer/a/}');
    Expect(1, 6655, '\p{Script_Extensions=:\AKhmer\z:}', "");;
    Expect(0, 6656, '\p{Script_Extensions=:\AKhmer\z:}', "");;
    Expect(1, 6655, '\p{Script_Extensions=khmer}', "");
    Expect(0, 6655, '\p{^Script_Extensions=khmer}', "");
    Expect(0, 6655, '\P{Script_Extensions=khmer}', "");
    Expect(1, 6655, '\P{^Script_Extensions=khmer}', "");
    Expect(0, 6656, '\p{Script_Extensions=khmer}', "");
    Expect(1, 6656, '\p{^Script_Extensions=khmer}', "");
    Expect(1, 6656, '\P{Script_Extensions=khmer}', "");
    Expect(0, 6656, '\P{^Script_Extensions=khmer}', "");
    Expect(1, 6655, '\p{Script_Extensions=:\Akhmer\z:}', "");;
    Expect(0, 6656, '\p{Script_Extensions=:\Akhmer\z:}', "");;
    Expect(1, 6655, '\p{Script_Extensions=	_Khmer}', "");
    Expect(0, 6655, '\p{^Script_Extensions=	_Khmer}', "");
    Expect(0, 6655, '\P{Script_Extensions=	_Khmer}', "");
    Expect(1, 6655, '\P{^Script_Extensions=	_Khmer}', "");
    Expect(0, 6656, '\p{Script_Extensions=	_Khmer}', "");
    Expect(1, 6656, '\p{^Script_Extensions=	_Khmer}', "");
    Expect(1, 6656, '\P{Script_Extensions=	_Khmer}', "");
    Expect(0, 6656, '\P{^Script_Extensions=	_Khmer}', "");
    Error('\p{Scx=/a/-Khmr}');
    Error('\P{Scx=/a/-Khmr}');
    Expect(1, 6655, '\p{Scx=:\AKhmr\z:}', "");;
    Expect(0, 6656, '\p{Scx=:\AKhmr\z:}', "");;
    Expect(1, 6655, '\p{Scx=khmr}', "");
    Expect(0, 6655, '\p{^Scx=khmr}', "");
    Expect(0, 6655, '\P{Scx=khmr}', "");
    Expect(1, 6655, '\P{^Scx=khmr}', "");
    Expect(0, 6656, '\p{Scx=khmr}', "");
    Expect(1, 6656, '\p{^Scx=khmr}', "");
    Expect(1, 6656, '\P{Scx=khmr}', "");
    Expect(0, 6656, '\P{^Scx=khmr}', "");
    Expect(1, 6655, '\p{Scx=:\Akhmr\z:}', "");;
    Expect(0, 6656, '\p{Scx=:\Akhmr\z:}', "");;
    Expect(1, 6655, '\p{Scx=	khmr}', "");
    Expect(0, 6655, '\p{^Scx=	khmr}', "");
    Expect(0, 6655, '\P{Scx=	khmr}', "");
    Expect(1, 6655, '\P{^Scx=	khmr}', "");
    Expect(0, 6656, '\p{Scx=	khmr}', "");
    Expect(1, 6656, '\p{^Scx=	khmr}', "");
    Expect(1, 6656, '\P{Scx=	khmr}', "");
    Expect(0, 6656, '\P{^Scx=	khmr}', "");
    Error('\p{Is_Script_Extensions=:=-	khmer}');
    Error('\P{Is_Script_Extensions=:=-	khmer}');
    Expect(1, 6655, '\p{Is_Script_Extensions=khmer}', "");
    Expect(0, 6655, '\p{^Is_Script_Extensions=khmer}', "");
    Expect(0, 6655, '\P{Is_Script_Extensions=khmer}', "");
    Expect(1, 6655, '\P{^Is_Script_Extensions=khmer}', "");
    Expect(0, 6656, '\p{Is_Script_Extensions=khmer}', "");
    Expect(1, 6656, '\p{^Is_Script_Extensions=khmer}', "");
    Expect(1, 6656, '\P{Is_Script_Extensions=khmer}', "");
    Expect(0, 6656, '\P{^Is_Script_Extensions=khmer}', "");
    Expect(1, 6655, '\p{Is_Script_Extensions=	 Khmer}', "");
    Expect(0, 6655, '\p{^Is_Script_Extensions=	 Khmer}', "");
    Expect(0, 6655, '\P{Is_Script_Extensions=	 Khmer}', "");
    Expect(1, 6655, '\P{^Is_Script_Extensions=	 Khmer}', "");
    Expect(0, 6656, '\p{Is_Script_Extensions=	 Khmer}', "");
    Expect(1, 6656, '\p{^Is_Script_Extensions=	 Khmer}', "");
    Expect(1, 6656, '\P{Is_Script_Extensions=	 Khmer}', "");
    Expect(0, 6656, '\P{^Is_Script_Extensions=	 Khmer}', "");
    Error('\p{Is_Scx:   	khmr:=}');
    Error('\P{Is_Scx:   	khmr:=}');
    Expect(1, 6655, '\p{Is_Scx=khmr}', "");
    Expect(0, 6655, '\p{^Is_Scx=khmr}', "");
    Expect(0, 6655, '\P{Is_Scx=khmr}', "");
    Expect(1, 6655, '\P{^Is_Scx=khmr}', "");
    Expect(0, 6656, '\p{Is_Scx=khmr}', "");
    Expect(1, 6656, '\p{^Is_Scx=khmr}', "");
    Expect(1, 6656, '\P{Is_Scx=khmr}', "");
    Expect(0, 6656, '\P{^Is_Scx=khmr}', "");
    Expect(1, 6655, '\p{Is_Scx=--Khmr}', "");
    Expect(0, 6655, '\p{^Is_Scx=--Khmr}', "");
    Expect(0, 6655, '\P{Is_Scx=--Khmr}', "");
    Expect(1, 6655, '\P{^Is_Scx=--Khmr}', "");
    Expect(0, 6656, '\p{Is_Scx=--Khmr}', "");
    Expect(1, 6656, '\p{^Is_Scx=--Khmr}', "");
    Expect(1, 6656, '\P{Is_Scx=--Khmr}', "");
    Expect(0, 6656, '\P{^Is_Scx=--Khmr}', "");
    Error('\p{Script_Extensions=:=-Khojki}');
    Error('\P{Script_Extensions=:=-Khojki}');
    Expect(1, 70206, '\p{Script_Extensions=:\AKhojki\z:}', "");;
    Expect(0, 70207, '\p{Script_Extensions=:\AKhojki\z:}', "");;
    Expect(1, 70206, '\p{Script_Extensions=khojki}', "");
    Expect(0, 70206, '\p{^Script_Extensions=khojki}', "");
    Expect(0, 70206, '\P{Script_Extensions=khojki}', "");
    Expect(1, 70206, '\P{^Script_Extensions=khojki}', "");
    Expect(0, 70207, '\p{Script_Extensions=khojki}', "");
    Expect(1, 70207, '\p{^Script_Extensions=khojki}', "");
    Expect(1, 70207, '\P{Script_Extensions=khojki}', "");
    Expect(0, 70207, '\P{^Script_Extensions=khojki}', "");
    Expect(1, 70206, '\p{Script_Extensions=:\Akhojki\z:}', "");;
    Expect(0, 70207, '\p{Script_Extensions=:\Akhojki\z:}', "");;
    Expect(1, 70206, '\p{Script_Extensions:	_	Khojki}', "");
    Expect(0, 70206, '\p{^Script_Extensions:	_	Khojki}', "");
    Expect(0, 70206, '\P{Script_Extensions:	_	Khojki}', "");
    Expect(1, 70206, '\P{^Script_Extensions:	_	Khojki}', "");
    Expect(0, 70207, '\p{Script_Extensions:	_	Khojki}', "");
    Expect(1, 70207, '\p{^Script_Extensions:	_	Khojki}', "");
    Expect(1, 70207, '\P{Script_Extensions:	_	Khojki}', "");
    Expect(0, 70207, '\P{^Script_Extensions:	_	Khojki}', "");
    Error('\p{Scx=/a/	Khoj}');
    Error('\P{Scx=/a/	Khoj}');
    Expect(1, 70206, '\p{Scx=:\AKhoj\z:}', "");;
    Expect(0, 70207, '\p{Scx=:\AKhoj\z:}', "");;
    Expect(1, 70206, '\p{Scx=khoj}', "");
    Expect(0, 70206, '\p{^Scx=khoj}', "");
    Expect(0, 70206, '\P{Scx=khoj}', "");
    Expect(1, 70206, '\P{^Scx=khoj}', "");
    Expect(0, 70207, '\p{Scx=khoj}', "");
    Expect(1, 70207, '\p{^Scx=khoj}', "");
    Expect(1, 70207, '\P{Scx=khoj}', "");
    Expect(0, 70207, '\P{^Scx=khoj}', "");
    Expect(1, 70206, '\p{Scx=:\Akhoj\z:}', "");;
    Expect(0, 70207, '\p{Scx=:\Akhoj\z:}', "");;
    Expect(1, 70206, '\p{Scx=	 KHOJ}', "");
    Expect(0, 70206, '\p{^Scx=	 KHOJ}', "");
    Expect(0, 70206, '\P{Scx=	 KHOJ}', "");
    Expect(1, 70206, '\P{^Scx=	 KHOJ}', "");
    Expect(0, 70207, '\p{Scx=	 KHOJ}', "");
    Expect(1, 70207, '\p{^Scx=	 KHOJ}', "");
    Expect(1, 70207, '\P{Scx=	 KHOJ}', "");
    Expect(0, 70207, '\P{^Scx=	 KHOJ}', "");
    Error('\p{Is_Script_Extensions:   _KHOJKI:=}');
    Error('\P{Is_Script_Extensions:   _KHOJKI:=}');
    Expect(1, 70206, '\p{Is_Script_Extensions=khojki}', "");
    Expect(0, 70206, '\p{^Is_Script_Extensions=khojki}', "");
    Expect(0, 70206, '\P{Is_Script_Extensions=khojki}', "");
    Expect(1, 70206, '\P{^Is_Script_Extensions=khojki}', "");
    Expect(0, 70207, '\p{Is_Script_Extensions=khojki}', "");
    Expect(1, 70207, '\p{^Is_Script_Extensions=khojki}', "");
    Expect(1, 70207, '\P{Is_Script_Extensions=khojki}', "");
    Expect(0, 70207, '\P{^Is_Script_Extensions=khojki}', "");
    Expect(1, 70206, '\p{Is_Script_Extensions=	-khojki}', "");
    Expect(0, 70206, '\p{^Is_Script_Extensions=	-khojki}', "");
    Expect(0, 70206, '\P{Is_Script_Extensions=	-khojki}', "");
    Expect(1, 70206, '\P{^Is_Script_Extensions=	-khojki}', "");
    Expect(0, 70207, '\p{Is_Script_Extensions=	-khojki}', "");
    Expect(1, 70207, '\p{^Is_Script_Extensions=	-khojki}', "");
    Expect(1, 70207, '\P{Is_Script_Extensions=	-khojki}', "");
    Expect(0, 70207, '\P{^Is_Script_Extensions=	-khojki}', "");
    Error('\p{Is_Scx=/a/-_khoj}');
    Error('\P{Is_Scx=/a/-_khoj}');
    Expect(1, 70206, '\p{Is_Scx:	khoj}', "");
    Expect(0, 70206, '\p{^Is_Scx:	khoj}', "");
    Expect(0, 70206, '\P{Is_Scx:	khoj}', "");
    Expect(1, 70206, '\P{^Is_Scx:	khoj}', "");
    Expect(0, 70207, '\p{Is_Scx:	khoj}', "");
    Expect(1, 70207, '\p{^Is_Scx:	khoj}', "");
    Expect(1, 70207, '\P{Is_Scx:	khoj}', "");
    Expect(0, 70207, '\P{^Is_Scx:	khoj}', "");
    Expect(1, 70206, '\p{Is_Scx= Khoj}', "");
    Expect(0, 70206, '\p{^Is_Scx= Khoj}', "");
    Expect(0, 70206, '\P{Is_Scx= Khoj}', "");
    Expect(1, 70206, '\P{^Is_Scx= Khoj}', "");
    Expect(0, 70207, '\p{Is_Scx= Khoj}', "");
    Expect(1, 70207, '\p{^Is_Scx= Khoj}', "");
    Expect(1, 70207, '\P{Is_Scx= Khoj}', "");
    Expect(0, 70207, '\P{^Is_Scx= Khoj}', "");
    Error('\p{Script_Extensions=:=_	Khitan_Small_script}');
    Error('\P{Script_Extensions=:=_	Khitan_Small_script}');
    Expect(1, 101589, '\p{Script_Extensions=:\AKhitan_Small_Script\z:}', "");;
    Expect(0, 101590, '\p{Script_Extensions=:\AKhitan_Small_Script\z:}', "");;
    Expect(1, 101589, '\p{Script_Extensions=khitansmallscript}', "");
    Expect(0, 101589, '\p{^Script_Extensions=khitansmallscript}', "");
    Expect(0, 101589, '\P{Script_Extensions=khitansmallscript}', "");
    Expect(1, 101589, '\P{^Script_Extensions=khitansmallscript}', "");
    Expect(0, 101590, '\p{Script_Extensions=khitansmallscript}', "");
    Expect(1, 101590, '\p{^Script_Extensions=khitansmallscript}', "");
    Expect(1, 101590, '\P{Script_Extensions=khitansmallscript}', "");
    Expect(0, 101590, '\P{^Script_Extensions=khitansmallscript}', "");
    Expect(1, 101589, '\p{Script_Extensions=:\Akhitansmallscript\z:}', "");;
    Expect(0, 101590, '\p{Script_Extensions=:\Akhitansmallscript\z:}', "");;
    Expect(1, 101589, '\p{Script_Extensions=-Khitan_small_Script}', "");
    Expect(0, 101589, '\p{^Script_Extensions=-Khitan_small_Script}', "");
    Expect(0, 101589, '\P{Script_Extensions=-Khitan_small_Script}', "");
    Expect(1, 101589, '\P{^Script_Extensions=-Khitan_small_Script}', "");
    Expect(0, 101590, '\p{Script_Extensions=-Khitan_small_Script}', "");
    Expect(1, 101590, '\p{^Script_Extensions=-Khitan_small_Script}', "");
    Expect(1, 101590, '\P{Script_Extensions=-Khitan_small_Script}', "");
    Expect(0, 101590, '\P{^Script_Extensions=-Khitan_small_Script}', "");
    Error('\p{Scx=	:=KITS}');
    Error('\P{Scx=	:=KITS}');
    Expect(1, 101589, '\p{Scx=:\AKits\z:}', "");;
    Expect(0, 101590, '\p{Scx=:\AKits\z:}', "");;
    Expect(1, 101589, '\p{Scx=kits}', "");
    Expect(0, 101589, '\p{^Scx=kits}', "");
    Expect(0, 101589, '\P{Scx=kits}', "");
    Expect(1, 101589, '\P{^Scx=kits}', "");
    Expect(0, 101590, '\p{Scx=kits}', "");
    Expect(1, 101590, '\p{^Scx=kits}', "");
    Expect(1, 101590, '\P{Scx=kits}', "");
    Expect(0, 101590, '\P{^Scx=kits}', "");
    Expect(1, 101589, '\p{Scx=:\Akits\z:}', "");;
    Expect(0, 101590, '\p{Scx=:\Akits\z:}', "");;
    Expect(1, 101589, '\p{Scx=- Kits}', "");
    Expect(0, 101589, '\p{^Scx=- Kits}', "");
    Expect(0, 101589, '\P{Scx=- Kits}', "");
    Expect(1, 101589, '\P{^Scx=- Kits}', "");
    Expect(0, 101590, '\p{Scx=- Kits}', "");
    Expect(1, 101590, '\p{^Scx=- Kits}', "");
    Expect(1, 101590, '\P{Scx=- Kits}', "");
    Expect(0, 101590, '\P{^Scx=- Kits}', "");
    Error('\p{Is_Script_Extensions=:=_ KHITAN_Small_script}');
    Error('\P{Is_Script_Extensions=:=_ KHITAN_Small_script}');
    Expect(1, 101589, '\p{Is_Script_Extensions=khitansmallscript}', "");
    Expect(0, 101589, '\p{^Is_Script_Extensions=khitansmallscript}', "");
    Expect(0, 101589, '\P{Is_Script_Extensions=khitansmallscript}', "");
    Expect(1, 101589, '\P{^Is_Script_Extensions=khitansmallscript}', "");
    Expect(0, 101590, '\p{Is_Script_Extensions=khitansmallscript}', "");
    Expect(1, 101590, '\p{^Is_Script_Extensions=khitansmallscript}', "");
    Expect(1, 101590, '\P{Is_Script_Extensions=khitansmallscript}', "");
    Expect(0, 101590, '\P{^Is_Script_Extensions=khitansmallscript}', "");
    Expect(1, 101589, '\p{Is_Script_Extensions=_	KHITAN_small_script}', "");
    Expect(0, 101589, '\p{^Is_Script_Extensions=_	KHITAN_small_script}', "");
    Expect(0, 101589, '\P{Is_Script_Extensions=_	KHITAN_small_script}', "");
    Expect(1, 101589, '\P{^Is_Script_Extensions=_	KHITAN_small_script}', "");
    Expect(0, 101590, '\p{Is_Script_Extensions=_	KHITAN_small_script}', "");
    Expect(1, 101590, '\p{^Is_Script_Extensions=_	KHITAN_small_script}', "");
    Expect(1, 101590, '\P{Is_Script_Extensions=_	KHITAN_small_script}', "");
    Expect(0, 101590, '\P{^Is_Script_Extensions=_	KHITAN_small_script}', "");
    Error('\p{Is_Scx=	:=kits}');
    Error('\P{Is_Scx=	:=kits}');
    Expect(1, 101589, '\p{Is_Scx:kits}', "");
    Expect(0, 101589, '\p{^Is_Scx:kits}', "");
    Expect(0, 101589, '\P{Is_Scx:kits}', "");
    Expect(1, 101589, '\P{^Is_Scx:kits}', "");
    Expect(0, 101590, '\p{Is_Scx:kits}', "");
    Expect(1, 101590, '\p{^Is_Scx:kits}', "");
    Expect(1, 101590, '\P{Is_Scx:kits}', "");
    Expect(0, 101590, '\P{^Is_Scx:kits}', "");
    Expect(1, 101589, '\p{Is_Scx=-	kits}', "");
    Expect(0, 101589, '\p{^Is_Scx=-	kits}', "");
    Expect(0, 101589, '\P{Is_Scx=-	kits}', "");
    Expect(1, 101589, '\P{^Is_Scx=-	kits}', "");
    Expect(0, 101590, '\p{Is_Scx=-	kits}', "");
    Expect(1, 101590, '\p{^Is_Scx=-	kits}', "");
    Expect(1, 101590, '\P{Is_Scx=-	kits}', "");
    Expect(0, 101590, '\P{^Is_Scx=-	kits}', "");
    Error('\p{Script_Extensions= 	kannada/a/}');
    Error('\P{Script_Extensions= 	kannada/a/}');
    Expect(1, 43061, '\p{Script_Extensions=:\AKannada\z:}', "");;
    Expect(0, 43062, '\p{Script_Extensions=:\AKannada\z:}', "");;
    Expect(1, 43061, '\p{Script_Extensions=kannada}', "");
    Expect(0, 43061, '\p{^Script_Extensions=kannada}', "");
    Expect(0, 43061, '\P{Script_Extensions=kannada}', "");
    Expect(1, 43061, '\P{^Script_Extensions=kannada}', "");
    Expect(0, 43062, '\p{Script_Extensions=kannada}', "");
    Expect(1, 43062, '\p{^Script_Extensions=kannada}', "");
    Expect(1, 43062, '\P{Script_Extensions=kannada}', "");
    Expect(0, 43062, '\P{^Script_Extensions=kannada}', "");
    Expect(1, 43061, '\p{Script_Extensions=:\Akannada\z:}', "");;
    Expect(0, 43062, '\p{Script_Extensions=:\Akannada\z:}', "");;
    Expect(1, 43061, '\p{Script_Extensions:   - KANNADA}', "");
    Expect(0, 43061, '\p{^Script_Extensions:   - KANNADA}', "");
    Expect(0, 43061, '\P{Script_Extensions:   - KANNADA}', "");
    Expect(1, 43061, '\P{^Script_Extensions:   - KANNADA}', "");
    Expect(0, 43062, '\p{Script_Extensions:   - KANNADA}', "");
    Expect(1, 43062, '\p{^Script_Extensions:   - KANNADA}', "");
    Expect(1, 43062, '\P{Script_Extensions:   - KANNADA}', "");
    Expect(0, 43062, '\P{^Script_Extensions:   - KANNADA}', "");
    Error('\p{Scx= /a/KNDA}');
    Error('\P{Scx= /a/KNDA}');
    Expect(1, 43061, '\p{Scx=:\AKnda\z:}', "");;
    Expect(0, 43062, '\p{Scx=:\AKnda\z:}', "");;
    Expect(1, 43061, '\p{Scx=knda}', "");
    Expect(0, 43061, '\p{^Scx=knda}', "");
    Expect(0, 43061, '\P{Scx=knda}', "");
    Expect(1, 43061, '\P{^Scx=knda}', "");
    Expect(0, 43062, '\p{Scx=knda}', "");
    Expect(1, 43062, '\p{^Scx=knda}', "");
    Expect(1, 43062, '\P{Scx=knda}', "");
    Expect(0, 43062, '\P{^Scx=knda}', "");
    Expect(1, 43061, '\p{Scx=:\Aknda\z:}', "");;
    Expect(0, 43062, '\p{Scx=:\Aknda\z:}', "");;
    Expect(1, 43061, '\p{Scx=	-Knda}', "");
    Expect(0, 43061, '\p{^Scx=	-Knda}', "");
    Expect(0, 43061, '\P{Scx=	-Knda}', "");
    Expect(1, 43061, '\P{^Scx=	-Knda}', "");
    Expect(0, 43062, '\p{Scx=	-Knda}', "");
    Expect(1, 43062, '\p{^Scx=	-Knda}', "");
    Expect(1, 43062, '\P{Scx=	-Knda}', "");
    Expect(0, 43062, '\P{^Scx=	-Knda}', "");
    Error('\p{Is_Script_Extensions=/a/--kannada}');
    Error('\P{Is_Script_Extensions=/a/--kannada}');
    Expect(1, 43061, '\p{Is_Script_Extensions=kannada}', "");
    Expect(0, 43061, '\p{^Is_Script_Extensions=kannada}', "");
    Expect(0, 43061, '\P{Is_Script_Extensions=kannada}', "");
    Expect(1, 43061, '\P{^Is_Script_Extensions=kannada}', "");
    Expect(0, 43062, '\p{Is_Script_Extensions=kannada}', "");
    Expect(1, 43062, '\p{^Is_Script_Extensions=kannada}', "");
    Expect(1, 43062, '\P{Is_Script_Extensions=kannada}', "");
    Expect(0, 43062, '\P{^Is_Script_Extensions=kannada}', "");
    Expect(1, 43061, '\p{Is_Script_Extensions=-	kannada}', "");
    Expect(0, 43061, '\p{^Is_Script_Extensions=-	kannada}', "");
    Expect(0, 43061, '\P{Is_Script_Extensions=-	kannada}', "");
    Expect(1, 43061, '\P{^Is_Script_Extensions=-	kannada}', "");
    Expect(0, 43062, '\p{Is_Script_Extensions=-	kannada}', "");
    Expect(1, 43062, '\p{^Is_Script_Extensions=-	kannada}', "");
    Expect(1, 43062, '\P{Is_Script_Extensions=-	kannada}', "");
    Expect(0, 43062, '\P{^Is_Script_Extensions=-	kannada}', "");
    Error('\p{Is_Scx=-:=Knda}');
    Error('\P{Is_Scx=-:=Knda}');
    Expect(1, 43061, '\p{Is_Scx=knda}', "");
    Expect(0, 43061, '\p{^Is_Scx=knda}', "");
    Expect(0, 43061, '\P{Is_Scx=knda}', "");
    Expect(1, 43061, '\P{^Is_Scx=knda}', "");
    Expect(0, 43062, '\p{Is_Scx=knda}', "");
    Expect(1, 43062, '\p{^Is_Scx=knda}', "");
    Expect(1, 43062, '\P{Is_Scx=knda}', "");
    Expect(0, 43062, '\P{^Is_Scx=knda}', "");
    Expect(1, 43061, '\p{Is_Scx=-KNDA}', "");
    Expect(0, 43061, '\p{^Is_Scx=-KNDA}', "");
    Expect(0, 43061, '\P{Is_Scx=-KNDA}', "");
    Expect(1, 43061, '\P{^Is_Scx=-KNDA}', "");
    Expect(0, 43062, '\p{Is_Scx=-KNDA}', "");
    Expect(1, 43062, '\p{^Is_Scx=-KNDA}', "");
    Expect(1, 43062, '\P{Is_Scx=-KNDA}', "");
    Expect(0, 43062, '\P{^Is_Scx=-KNDA}', "");
    Error('\p{Script_Extensions=/a/-Kaithi}');
    Error('\P{Script_Extensions=/a/-Kaithi}');
    Expect(1, 69837, '\p{Script_Extensions=:\AKaithi\z:}', "");;
    Expect(0, 69838, '\p{Script_Extensions=:\AKaithi\z:}', "");;
    Expect(1, 69837, '\p{Script_Extensions: kaithi}', "");
    Expect(0, 69837, '\p{^Script_Extensions: kaithi}', "");
    Expect(0, 69837, '\P{Script_Extensions: kaithi}', "");
    Expect(1, 69837, '\P{^Script_Extensions: kaithi}', "");
    Expect(0, 69838, '\p{Script_Extensions: kaithi}', "");
    Expect(1, 69838, '\p{^Script_Extensions: kaithi}', "");
    Expect(1, 69838, '\P{Script_Extensions: kaithi}', "");
    Expect(0, 69838, '\P{^Script_Extensions: kaithi}', "");
    Expect(1, 69837, '\p{Script_Extensions=:\Akaithi\z:}', "");;
    Expect(0, 69838, '\p{Script_Extensions=:\Akaithi\z:}', "");;
    Expect(1, 69837, '\p{Script_Extensions= -KAITHI}', "");
    Expect(0, 69837, '\p{^Script_Extensions= -KAITHI}', "");
    Expect(0, 69837, '\P{Script_Extensions= -KAITHI}', "");
    Expect(1, 69837, '\P{^Script_Extensions= -KAITHI}', "");
    Expect(0, 69838, '\p{Script_Extensions= -KAITHI}', "");
    Expect(1, 69838, '\p{^Script_Extensions= -KAITHI}', "");
    Expect(1, 69838, '\P{Script_Extensions= -KAITHI}', "");
    Expect(0, 69838, '\P{^Script_Extensions= -KAITHI}', "");
    Error('\p{Scx:   	/a/KTHI}');
    Error('\P{Scx:   	/a/KTHI}');
    Expect(1, 69837, '\p{Scx=:\AKthi\z:}', "");;
    Expect(0, 69838, '\p{Scx=:\AKthi\z:}', "");;
    Expect(1, 69837, '\p{Scx=kthi}', "");
    Expect(0, 69837, '\p{^Scx=kthi}', "");
    Expect(0, 69837, '\P{Scx=kthi}', "");
    Expect(1, 69837, '\P{^Scx=kthi}', "");
    Expect(0, 69838, '\p{Scx=kthi}', "");
    Expect(1, 69838, '\p{^Scx=kthi}', "");
    Expect(1, 69838, '\P{Scx=kthi}', "");
    Expect(0, 69838, '\P{^Scx=kthi}', "");
    Expect(1, 69837, '\p{Scx=:\Akthi\z:}', "");;
    Expect(0, 69838, '\p{Scx=:\Akthi\z:}', "");;
    Expect(1, 69837, '\p{Scx=- KTHI}', "");
    Expect(0, 69837, '\p{^Scx=- KTHI}', "");
    Expect(0, 69837, '\P{Scx=- KTHI}', "");
    Expect(1, 69837, '\P{^Scx=- KTHI}', "");
    Expect(0, 69838, '\p{Scx=- KTHI}', "");
    Expect(1, 69838, '\p{^Scx=- KTHI}', "");
    Expect(1, 69838, '\P{Scx=- KTHI}', "");
    Expect(0, 69838, '\P{^Scx=- KTHI}', "");
    Error('\p{Is_Script_Extensions=:=		Kaithi}');
    Error('\P{Is_Script_Extensions=:=		Kaithi}');
    Expect(1, 69837, '\p{Is_Script_Extensions=kaithi}', "");
    Expect(0, 69837, '\p{^Is_Script_Extensions=kaithi}', "");
    Expect(0, 69837, '\P{Is_Script_Extensions=kaithi}', "");
    Expect(1, 69837, '\P{^Is_Script_Extensions=kaithi}', "");
    Expect(0, 69838, '\p{Is_Script_Extensions=kaithi}', "");
    Expect(1, 69838, '\p{^Is_Script_Extensions=kaithi}', "");
    Expect(1, 69838, '\P{Is_Script_Extensions=kaithi}', "");
    Expect(0, 69838, '\P{^Is_Script_Extensions=kaithi}', "");
    Expect(1, 69837, '\p{Is_Script_Extensions=--Kaithi}', "");
    Expect(0, 69837, '\p{^Is_Script_Extensions=--Kaithi}', "");
    Expect(0, 69837, '\P{Is_Script_Extensions=--Kaithi}', "");
    Expect(1, 69837, '\P{^Is_Script_Extensions=--Kaithi}', "");
    Expect(0, 69838, '\p{Is_Script_Extensions=--Kaithi}', "");
    Expect(1, 69838, '\p{^Is_Script_Extensions=--Kaithi}', "");
    Expect(1, 69838, '\P{Is_Script_Extensions=--Kaithi}', "");
    Expect(0, 69838, '\P{^Is_Script_Extensions=--Kaithi}', "");
    Error('\p{Is_Scx::= -kthi}');
    Error('\P{Is_Scx::= -kthi}');
    Expect(1, 69837, '\p{Is_Scx=kthi}', "");
    Expect(0, 69837, '\p{^Is_Scx=kthi}', "");
    Expect(0, 69837, '\P{Is_Scx=kthi}', "");
    Expect(1, 69837, '\P{^Is_Scx=kthi}', "");
    Expect(0, 69838, '\p{Is_Scx=kthi}', "");
    Expect(1, 69838, '\p{^Is_Scx=kthi}', "");
    Expect(1, 69838, '\P{Is_Scx=kthi}', "");
    Expect(0, 69838, '\P{^Is_Scx=kthi}', "");
    Expect(1, 69837, '\p{Is_Scx= 	Kthi}', "");
    Expect(0, 69837, '\p{^Is_Scx= 	Kthi}', "");
    Expect(0, 69837, '\P{Is_Scx= 	Kthi}', "");
    Expect(1, 69837, '\P{^Is_Scx= 	Kthi}', "");
    Expect(0, 69838, '\p{Is_Scx= 	Kthi}', "");
    Expect(1, 69838, '\p{^Is_Scx= 	Kthi}', "");
    Expect(1, 69838, '\P{Is_Scx= 	Kthi}', "");
    Expect(0, 69838, '\P{^Is_Scx= 	Kthi}', "");
    Error('\p{Script_Extensions=:=	tai_THAM}');
    Error('\P{Script_Extensions=:=	tai_THAM}');
    Expect(1, 6829, '\p{Script_Extensions=:\ATai_Tham\z:}', "");;
    Expect(0, 6830, '\p{Script_Extensions=:\ATai_Tham\z:}', "");;
    Expect(1, 6829, '\p{Script_Extensions=taitham}', "");
    Expect(0, 6829, '\p{^Script_Extensions=taitham}', "");
    Expect(0, 6829, '\P{Script_Extensions=taitham}', "");
    Expect(1, 6829, '\P{^Script_Extensions=taitham}', "");
    Expect(0, 6830, '\p{Script_Extensions=taitham}', "");
    Expect(1, 6830, '\p{^Script_Extensions=taitham}', "");
    Expect(1, 6830, '\P{Script_Extensions=taitham}', "");
    Expect(0, 6830, '\P{^Script_Extensions=taitham}', "");
    Expect(1, 6829, '\p{Script_Extensions=:\Ataitham\z:}', "");;
    Expect(0, 6830, '\p{Script_Extensions=:\Ataitham\z:}', "");;
    Expect(1, 6829, '\p{Script_Extensions:   	_Tai_Tham}', "");
    Expect(0, 6829, '\p{^Script_Extensions:   	_Tai_Tham}', "");
    Expect(0, 6829, '\P{Script_Extensions:   	_Tai_Tham}', "");
    Expect(1, 6829, '\P{^Script_Extensions:   	_Tai_Tham}', "");
    Expect(0, 6830, '\p{Script_Extensions:   	_Tai_Tham}', "");
    Expect(1, 6830, '\p{^Script_Extensions:   	_Tai_Tham}', "");
    Expect(1, 6830, '\P{Script_Extensions:   	_Tai_Tham}', "");
    Expect(0, 6830, '\P{^Script_Extensions:   	_Tai_Tham}', "");
    Error('\p{Scx= lana:=}');
    Error('\P{Scx= lana:=}');
    Expect(1, 6829, '\p{Scx=:\ALana\z:}', "");;
    Expect(0, 6830, '\p{Scx=:\ALana\z:}', "");;
    Expect(1, 6829, '\p{Scx=lana}', "");
    Expect(0, 6829, '\p{^Scx=lana}', "");
    Expect(0, 6829, '\P{Scx=lana}', "");
    Expect(1, 6829, '\P{^Scx=lana}', "");
    Expect(0, 6830, '\p{Scx=lana}', "");
    Expect(1, 6830, '\p{^Scx=lana}', "");
    Expect(1, 6830, '\P{Scx=lana}', "");
    Expect(0, 6830, '\P{^Scx=lana}', "");
    Expect(1, 6829, '\p{Scx=:\Alana\z:}', "");;
    Expect(0, 6830, '\p{Scx=:\Alana\z:}', "");;
    Expect(1, 6829, '\p{Scx= _Lana}', "");
    Expect(0, 6829, '\p{^Scx= _Lana}', "");
    Expect(0, 6829, '\P{Scx= _Lana}', "");
    Expect(1, 6829, '\P{^Scx= _Lana}', "");
    Expect(0, 6830, '\p{Scx= _Lana}', "");
    Expect(1, 6830, '\p{^Scx= _Lana}', "");
    Expect(1, 6830, '\P{Scx= _Lana}', "");
    Expect(0, 6830, '\P{^Scx= _Lana}', "");
    Error('\p{Is_Script_Extensions=-:=Tai_THAM}');
    Error('\P{Is_Script_Extensions=-:=Tai_THAM}');
    Expect(1, 6829, '\p{Is_Script_Extensions=taitham}', "");
    Expect(0, 6829, '\p{^Is_Script_Extensions=taitham}', "");
    Expect(0, 6829, '\P{Is_Script_Extensions=taitham}', "");
    Expect(1, 6829, '\P{^Is_Script_Extensions=taitham}', "");
    Expect(0, 6830, '\p{Is_Script_Extensions=taitham}', "");
    Expect(1, 6830, '\p{^Is_Script_Extensions=taitham}', "");
    Expect(1, 6830, '\P{Is_Script_Extensions=taitham}', "");
    Expect(0, 6830, '\P{^Is_Script_Extensions=taitham}', "");
    Expect(1, 6829, '\p{Is_Script_Extensions=_ TAI_Tham}', "");
    Expect(0, 6829, '\p{^Is_Script_Extensions=_ TAI_Tham}', "");
    Expect(0, 6829, '\P{Is_Script_Extensions=_ TAI_Tham}', "");
    Expect(1, 6829, '\P{^Is_Script_Extensions=_ TAI_Tham}', "");
    Expect(0, 6830, '\p{Is_Script_Extensions=_ TAI_Tham}', "");
    Expect(1, 6830, '\p{^Is_Script_Extensions=_ TAI_Tham}', "");
    Expect(1, 6830, '\P{Is_Script_Extensions=_ TAI_Tham}', "");
    Expect(0, 6830, '\P{^Is_Script_Extensions=_ TAI_Tham}', "");
    Error('\p{Is_Scx=:= LANA}');
    Error('\P{Is_Scx=:= LANA}');
    Expect(1, 6829, '\p{Is_Scx=lana}', "");
    Expect(0, 6829, '\p{^Is_Scx=lana}', "");
    Expect(0, 6829, '\P{Is_Scx=lana}', "");
    Expect(1, 6829, '\P{^Is_Scx=lana}', "");
    Expect(0, 6830, '\p{Is_Scx=lana}', "");
    Expect(1, 6830, '\p{^Is_Scx=lana}', "");
    Expect(1, 6830, '\P{Is_Scx=lana}', "");
    Expect(0, 6830, '\P{^Is_Scx=lana}', "");
    Expect(1, 6829, '\p{Is_Scx= -LANA}', "");
    Expect(0, 6829, '\p{^Is_Scx= -LANA}', "");
    Expect(0, 6829, '\P{Is_Scx= -LANA}', "");
    Expect(1, 6829, '\P{^Is_Scx= -LANA}', "");
    Expect(0, 6830, '\p{Is_Scx= -LANA}', "");
    Expect(1, 6830, '\p{^Is_Scx= -LANA}', "");
    Expect(1, 6830, '\P{Is_Scx= -LANA}', "");
    Expect(0, 6830, '\P{^Is_Scx= -LANA}', "");
    Error('\p{Script_Extensions=Lao/a/}');
    Error('\P{Script_Extensions=Lao/a/}');
    Expect(1, 3807, '\p{Script_Extensions=:\ALao\z:}', "");;
    Expect(0, 3808, '\p{Script_Extensions=:\ALao\z:}', "");;
    Expect(1, 3807, '\p{Script_Extensions=lao}', "");
    Expect(0, 3807, '\p{^Script_Extensions=lao}', "");
    Expect(0, 3807, '\P{Script_Extensions=lao}', "");
    Expect(1, 3807, '\P{^Script_Extensions=lao}', "");
    Expect(0, 3808, '\p{Script_Extensions=lao}', "");
    Expect(1, 3808, '\p{^Script_Extensions=lao}', "");
    Expect(1, 3808, '\P{Script_Extensions=lao}', "");
    Expect(0, 3808, '\P{^Script_Extensions=lao}', "");
    Expect(1, 3807, '\p{Script_Extensions=:\Alao\z:}', "");;
    Expect(0, 3808, '\p{Script_Extensions=:\Alao\z:}', "");;
    Expect(1, 3807, '\p{Script_Extensions=		Lao}', "");
    Expect(0, 3807, '\p{^Script_Extensions=		Lao}', "");
    Expect(0, 3807, '\P{Script_Extensions=		Lao}', "");
    Expect(1, 3807, '\P{^Script_Extensions=		Lao}', "");
    Expect(0, 3808, '\p{Script_Extensions=		Lao}', "");
    Expect(1, 3808, '\p{^Script_Extensions=		Lao}', "");
    Expect(1, 3808, '\P{Script_Extensions=		Lao}', "");
    Expect(0, 3808, '\P{^Script_Extensions=		Lao}', "");
    Error('\p{Scx=:= -Laoo}');
    Error('\P{Scx=:= -Laoo}');
    Expect(1, 3807, '\p{Scx=:\ALaoo\z:}', "");;
    Expect(0, 3808, '\p{Scx=:\ALaoo\z:}', "");;
    Expect(1, 3807, '\p{Scx=laoo}', "");
    Expect(0, 3807, '\p{^Scx=laoo}', "");
    Expect(0, 3807, '\P{Scx=laoo}', "");
    Expect(1, 3807, '\P{^Scx=laoo}', "");
    Expect(0, 3808, '\p{Scx=laoo}', "");
    Expect(1, 3808, '\p{^Scx=laoo}', "");
    Expect(1, 3808, '\P{Scx=laoo}', "");
    Expect(0, 3808, '\P{^Scx=laoo}', "");
    Expect(1, 3807, '\p{Scx=:\Alaoo\z:}', "");;
    Expect(0, 3808, '\p{Scx=:\Alaoo\z:}', "");;
    Expect(1, 3807, '\p{Scx=--LAOO}', "");
    Expect(0, 3807, '\p{^Scx=--LAOO}', "");
    Expect(0, 3807, '\P{Scx=--LAOO}', "");
    Expect(1, 3807, '\P{^Scx=--LAOO}', "");
    Expect(0, 3808, '\p{Scx=--LAOO}', "");
    Expect(1, 3808, '\p{^Scx=--LAOO}', "");
    Expect(1, 3808, '\P{Scx=--LAOO}', "");
    Expect(0, 3808, '\P{^Scx=--LAOO}', "");
    Error('\p{Is_Script_Extensions=/a/LAO}');
    Error('\P{Is_Script_Extensions=/a/LAO}');
    Expect(1, 3807, '\p{Is_Script_Extensions=lao}', "");
    Expect(0, 3807, '\p{^Is_Script_Extensions=lao}', "");
    Expect(0, 3807, '\P{Is_Script_Extensions=lao}', "");
    Expect(1, 3807, '\P{^Is_Script_Extensions=lao}', "");
    Expect(0, 3808, '\p{Is_Script_Extensions=lao}', "");
    Expect(1, 3808, '\p{^Is_Script_Extensions=lao}', "");
    Expect(1, 3808, '\P{Is_Script_Extensions=lao}', "");
    Expect(0, 3808, '\P{^Is_Script_Extensions=lao}', "");
    Expect(1, 3807, '\p{Is_Script_Extensions= _Lao}', "");
    Expect(0, 3807, '\p{^Is_Script_Extensions= _Lao}', "");
    Expect(0, 3807, '\P{Is_Script_Extensions= _Lao}', "");
    Expect(1, 3807, '\P{^Is_Script_Extensions= _Lao}', "");
    Expect(0, 3808, '\p{Is_Script_Extensions= _Lao}', "");
    Expect(1, 3808, '\p{^Is_Script_Extensions= _Lao}', "");
    Expect(1, 3808, '\P{Is_Script_Extensions= _Lao}', "");
    Expect(0, 3808, '\P{^Is_Script_Extensions= _Lao}', "");
    Error('\p{Is_Scx=:=laoo}');
    Error('\P{Is_Scx=:=laoo}');
    Expect(1, 3807, '\p{Is_Scx=laoo}', "");
    Expect(0, 3807, '\p{^Is_Scx=laoo}', "");
    Expect(0, 3807, '\P{Is_Scx=laoo}', "");
    Expect(1, 3807, '\P{^Is_Scx=laoo}', "");
    Expect(0, 3808, '\p{Is_Scx=laoo}', "");
    Expect(1, 3808, '\p{^Is_Scx=laoo}', "");
    Expect(1, 3808, '\P{Is_Scx=laoo}', "");
    Expect(0, 3808, '\P{^Is_Scx=laoo}', "");
    Expect(1, 3807, '\p{Is_Scx=_laoo}', "");
    Expect(0, 3807, '\p{^Is_Scx=_laoo}', "");
    Expect(0, 3807, '\P{Is_Scx=_laoo}', "");
    Expect(1, 3807, '\P{^Is_Scx=_laoo}', "");
    Expect(0, 3808, '\p{Is_Scx=_laoo}', "");
    Expect(1, 3808, '\p{^Is_Scx=_laoo}', "");
    Expect(1, 3808, '\P{Is_Scx=_laoo}', "");
    Expect(0, 3808, '\P{^Is_Scx=_laoo}', "");
    Error('\p{Script_Extensions= /a/latin}');
    Error('\P{Script_Extensions= /a/latin}');
    Expect(1, 122654, '\p{Script_Extensions=:\ALatin\z:}', "");;
    Expect(0, 122655, '\p{Script_Extensions=:\ALatin\z:}', "");;
    Expect(1, 122654, '\p{Script_Extensions=latin}', "");
    Expect(0, 122654, '\p{^Script_Extensions=latin}', "");
    Expect(0, 122654, '\P{Script_Extensions=latin}', "");
    Expect(1, 122654, '\P{^Script_Extensions=latin}', "");
    Expect(0, 122655, '\p{Script_Extensions=latin}', "");
    Expect(1, 122655, '\p{^Script_Extensions=latin}', "");
    Expect(1, 122655, '\P{Script_Extensions=latin}', "");
    Expect(0, 122655, '\P{^Script_Extensions=latin}', "");
    Expect(1, 122654, '\p{Script_Extensions=:\Alatin\z:}', "");;
    Expect(0, 122655, '\p{Script_Extensions=:\Alatin\z:}', "");;
    Expect(1, 122654, '\p{Script_Extensions=_LATIN}', "");
    Expect(0, 122654, '\p{^Script_Extensions=_LATIN}', "");
    Expect(0, 122654, '\P{Script_Extensions=_LATIN}', "");
    Expect(1, 122654, '\P{^Script_Extensions=_LATIN}', "");
    Expect(0, 122655, '\p{Script_Extensions=_LATIN}', "");
    Expect(1, 122655, '\p{^Script_Extensions=_LATIN}', "");
    Expect(1, 122655, '\P{Script_Extensions=_LATIN}', "");
    Expect(0, 122655, '\P{^Script_Extensions=_LATIN}', "");
    Error('\p{Scx=:= Latn}');
    Error('\P{Scx=:= Latn}');
    Expect(1, 122654, '\p{Scx=:\ALatn\z:}', "");;
    Expect(0, 122655, '\p{Scx=:\ALatn\z:}', "");;
    Expect(1, 122654, '\p{Scx=latn}', "");
    Expect(0, 122654, '\p{^Scx=latn}', "");
    Expect(0, 122654, '\P{Scx=latn}', "");
    Expect(1, 122654, '\P{^Scx=latn}', "");
    Expect(0, 122655, '\p{Scx=latn}', "");
    Expect(1, 122655, '\p{^Scx=latn}', "");
    Expect(1, 122655, '\P{Scx=latn}', "");
    Expect(0, 122655, '\P{^Scx=latn}', "");
    Expect(1, 122654, '\p{Scx=:\Alatn\z:}', "");;
    Expect(0, 122655, '\p{Scx=:\Alatn\z:}', "");;
    Expect(1, 122654, '\p{Scx=_-Latn}', "");
    Expect(0, 122654, '\p{^Scx=_-Latn}', "");
    Expect(0, 122654, '\P{Scx=_-Latn}', "");
    Expect(1, 122654, '\P{^Scx=_-Latn}', "");
    Expect(0, 122655, '\p{Scx=_-Latn}', "");
    Expect(1, 122655, '\p{^Scx=_-Latn}', "");
    Expect(1, 122655, '\P{Scx=_-Latn}', "");
    Expect(0, 122655, '\P{^Scx=_-Latn}', "");
    Error('\p{Is_Script_Extensions=/a/ Latin}');
    Error('\P{Is_Script_Extensions=/a/ Latin}');
    Expect(1, 122654, '\p{Is_Script_Extensions=latin}', "");
    Expect(0, 122654, '\p{^Is_Script_Extensions=latin}', "");
    Expect(0, 122654, '\P{Is_Script_Extensions=latin}', "");
    Expect(1, 122654, '\P{^Is_Script_Extensions=latin}', "");
    Expect(0, 122655, '\p{Is_Script_Extensions=latin}', "");
    Expect(1, 122655, '\p{^Is_Script_Extensions=latin}', "");
    Expect(1, 122655, '\P{Is_Script_Extensions=latin}', "");
    Expect(0, 122655, '\P{^Is_Script_Extensions=latin}', "");
    Expect(1, 122654, '\p{Is_Script_Extensions= _Latin}', "");
    Expect(0, 122654, '\p{^Is_Script_Extensions= _Latin}', "");
    Expect(0, 122654, '\P{Is_Script_Extensions= _Latin}', "");
    Expect(1, 122654, '\P{^Is_Script_Extensions= _Latin}', "");
    Expect(0, 122655, '\p{Is_Script_Extensions= _Latin}', "");
    Expect(1, 122655, '\p{^Is_Script_Extensions= _Latin}', "");
    Expect(1, 122655, '\P{Is_Script_Extensions= _Latin}', "");
    Expect(0, 122655, '\P{^Is_Script_Extensions= _Latin}', "");
    Error('\p{Is_Scx:Latn:=}');
    Error('\P{Is_Scx:Latn:=}');
    Expect(1, 122654, '\p{Is_Scx=latn}', "");
    Expect(0, 122654, '\p{^Is_Scx=latn}', "");
    Expect(0, 122654, '\P{Is_Scx=latn}', "");
    Expect(1, 122654, '\P{^Is_Scx=latn}', "");
    Expect(0, 122655, '\p{Is_Scx=latn}', "");
    Expect(1, 122655, '\p{^Is_Scx=latn}', "");
    Expect(1, 122655, '\P{Is_Scx=latn}', "");
    Expect(0, 122655, '\P{^Is_Scx=latn}', "");
    Expect(1, 122654, '\p{Is_Scx=	-Latn}', "");
    Expect(0, 122654, '\p{^Is_Scx=	-Latn}', "");
    Expect(0, 122654, '\P{Is_Scx=	-Latn}', "");
    Expect(1, 122654, '\P{^Is_Scx=	-Latn}', "");
    Expect(0, 122655, '\p{Is_Scx=	-Latn}', "");
    Expect(1, 122655, '\p{^Is_Scx=	-Latn}', "");
    Expect(1, 122655, '\P{Is_Scx=	-Latn}', "");
    Expect(0, 122655, '\P{^Is_Scx=	-Latn}', "");
    Error('\p{Script_Extensions= _Lepcha:=}');
    Error('\P{Script_Extensions= _Lepcha:=}');
    Expect(1, 7247, '\p{Script_Extensions=:\ALepcha\z:}', "");;
    Expect(0, 7248, '\p{Script_Extensions=:\ALepcha\z:}', "");;
    Expect(1, 7247, '\p{Script_Extensions=lepcha}', "");
    Expect(0, 7247, '\p{^Script_Extensions=lepcha}', "");
    Expect(0, 7247, '\P{Script_Extensions=lepcha}', "");
    Expect(1, 7247, '\P{^Script_Extensions=lepcha}', "");
    Expect(0, 7248, '\p{Script_Extensions=lepcha}', "");
    Expect(1, 7248, '\p{^Script_Extensions=lepcha}', "");
    Expect(1, 7248, '\P{Script_Extensions=lepcha}', "");
    Expect(0, 7248, '\P{^Script_Extensions=lepcha}', "");
    Expect(1, 7247, '\p{Script_Extensions=:\Alepcha\z:}', "");;
    Expect(0, 7248, '\p{Script_Extensions=:\Alepcha\z:}', "");;
    Expect(1, 7247, '\p{Script_Extensions=__Lepcha}', "");
    Expect(0, 7247, '\p{^Script_Extensions=__Lepcha}', "");
    Expect(0, 7247, '\P{Script_Extensions=__Lepcha}', "");
    Expect(1, 7247, '\P{^Script_Extensions=__Lepcha}', "");
    Expect(0, 7248, '\p{Script_Extensions=__Lepcha}', "");
    Expect(1, 7248, '\p{^Script_Extensions=__Lepcha}', "");
    Expect(1, 7248, '\P{Script_Extensions=__Lepcha}', "");
    Expect(0, 7248, '\P{^Script_Extensions=__Lepcha}', "");
    Error('\p{Scx=/a/Lepc}');
    Error('\P{Scx=/a/Lepc}');
    Expect(1, 7247, '\p{Scx=:\ALepc\z:}', "");;
    Expect(0, 7248, '\p{Scx=:\ALepc\z:}', "");;
    Expect(1, 7247, '\p{Scx=lepc}', "");
    Expect(0, 7247, '\p{^Scx=lepc}', "");
    Expect(0, 7247, '\P{Scx=lepc}', "");
    Expect(1, 7247, '\P{^Scx=lepc}', "");
    Expect(0, 7248, '\p{Scx=lepc}', "");
    Expect(1, 7248, '\p{^Scx=lepc}', "");
    Expect(1, 7248, '\P{Scx=lepc}', "");
    Expect(0, 7248, '\P{^Scx=lepc}', "");
    Expect(1, 7247, '\p{Scx=:\Alepc\z:}', "");;
    Expect(0, 7248, '\p{Scx=:\Alepc\z:}', "");;
    Expect(1, 7247, '\p{Scx=_ LEPC}', "");
    Expect(0, 7247, '\p{^Scx=_ LEPC}', "");
    Expect(0, 7247, '\P{Scx=_ LEPC}', "");
    Expect(1, 7247, '\P{^Scx=_ LEPC}', "");
    Expect(0, 7248, '\p{Scx=_ LEPC}', "");
    Expect(1, 7248, '\p{^Scx=_ LEPC}', "");
    Expect(1, 7248, '\P{Scx=_ LEPC}', "");
    Expect(0, 7248, '\P{^Scx=_ LEPC}', "");
    Error('\p{Is_Script_Extensions=_/a/Lepcha}');
    Error('\P{Is_Script_Extensions=_/a/Lepcha}');
    Expect(1, 7247, '\p{Is_Script_Extensions:   lepcha}', "");
    Expect(0, 7247, '\p{^Is_Script_Extensions:   lepcha}', "");
    Expect(0, 7247, '\P{Is_Script_Extensions:   lepcha}', "");
    Expect(1, 7247, '\P{^Is_Script_Extensions:   lepcha}', "");
    Expect(0, 7248, '\p{Is_Script_Extensions:   lepcha}', "");
    Expect(1, 7248, '\p{^Is_Script_Extensions:   lepcha}', "");
    Expect(1, 7248, '\P{Is_Script_Extensions:   lepcha}', "");
    Expect(0, 7248, '\P{^Is_Script_Extensions:   lepcha}', "");
    Expect(1, 7247, '\p{Is_Script_Extensions=	 Lepcha}', "");
    Expect(0, 7247, '\p{^Is_Script_Extensions=	 Lepcha}', "");
    Expect(0, 7247, '\P{Is_Script_Extensions=	 Lepcha}', "");
    Expect(1, 7247, '\P{^Is_Script_Extensions=	 Lepcha}', "");
    Expect(0, 7248, '\p{Is_Script_Extensions=	 Lepcha}', "");
    Expect(1, 7248, '\p{^Is_Script_Extensions=	 Lepcha}', "");
    Expect(1, 7248, '\P{Is_Script_Extensions=	 Lepcha}', "");
    Expect(0, 7248, '\P{^Is_Script_Extensions=	 Lepcha}', "");
    Error('\p{Is_Scx=/a/		LEPC}');
    Error('\P{Is_Scx=/a/		LEPC}');
    Expect(1, 7247, '\p{Is_Scx=lepc}', "");
    Expect(0, 7247, '\p{^Is_Scx=lepc}', "");
    Expect(0, 7247, '\P{Is_Scx=lepc}', "");
    Expect(1, 7247, '\P{^Is_Scx=lepc}', "");
    Expect(0, 7248, '\p{Is_Scx=lepc}', "");
    Expect(1, 7248, '\p{^Is_Scx=lepc}', "");
    Expect(1, 7248, '\P{Is_Scx=lepc}', "");
    Expect(0, 7248, '\P{^Is_Scx=lepc}', "");
    Expect(1, 7247, '\p{Is_Scx=_Lepc}', "");
    Expect(0, 7247, '\p{^Is_Scx=_Lepc}', "");
    Expect(0, 7247, '\P{Is_Scx=_Lepc}', "");
    Expect(1, 7247, '\P{^Is_Scx=_Lepc}', "");
    Expect(0, 7248, '\p{Is_Scx=_Lepc}', "");
    Expect(1, 7248, '\p{^Is_Scx=_Lepc}', "");
    Expect(1, 7248, '\P{Is_Scx=_Lepc}', "");
    Expect(0, 7248, '\P{^Is_Scx=_Lepc}', "");
    Error('\p{Script_Extensions=-limbu/a/}');
    Error('\P{Script_Extensions=-limbu/a/}');
    Expect(1, 6479, '\p{Script_Extensions=:\ALimbu\z:}', "");;
    Expect(0, 6480, '\p{Script_Extensions=:\ALimbu\z:}', "");;
    Expect(1, 6479, '\p{Script_Extensions=limbu}', "");
    Expect(0, 6479, '\p{^Script_Extensions=limbu}', "");
    Expect(0, 6479, '\P{Script_Extensions=limbu}', "");
    Expect(1, 6479, '\P{^Script_Extensions=limbu}', "");
    Expect(0, 6480, '\p{Script_Extensions=limbu}', "");
    Expect(1, 6480, '\p{^Script_Extensions=limbu}', "");
    Expect(1, 6480, '\P{Script_Extensions=limbu}', "");
    Expect(0, 6480, '\P{^Script_Extensions=limbu}', "");
    Expect(1, 6479, '\p{Script_Extensions=:\Alimbu\z:}', "");;
    Expect(0, 6480, '\p{Script_Extensions=:\Alimbu\z:}', "");;
    Expect(1, 6479, '\p{Script_Extensions=_-limbu}', "");
    Expect(0, 6479, '\p{^Script_Extensions=_-limbu}', "");
    Expect(0, 6479, '\P{Script_Extensions=_-limbu}', "");
    Expect(1, 6479, '\P{^Script_Extensions=_-limbu}', "");
    Expect(0, 6480, '\p{Script_Extensions=_-limbu}', "");
    Expect(1, 6480, '\p{^Script_Extensions=_-limbu}', "");
    Expect(1, 6480, '\P{Script_Extensions=_-limbu}', "");
    Expect(0, 6480, '\P{^Script_Extensions=_-limbu}', "");
    Error('\p{Scx=-_LIMB:=}');
    Error('\P{Scx=-_LIMB:=}');
    Expect(1, 6479, '\p{Scx=:\ALimb\z:}', "");;
    Expect(0, 6480, '\p{Scx=:\ALimb\z:}', "");;
    Expect(1, 6479, '\p{Scx=limb}', "");
    Expect(0, 6479, '\p{^Scx=limb}', "");
    Expect(0, 6479, '\P{Scx=limb}', "");
    Expect(1, 6479, '\P{^Scx=limb}', "");
    Expect(0, 6480, '\p{Scx=limb}', "");
    Expect(1, 6480, '\p{^Scx=limb}', "");
    Expect(1, 6480, '\P{Scx=limb}', "");
    Expect(0, 6480, '\P{^Scx=limb}', "");
    Expect(1, 6479, '\p{Scx=:\Alimb\z:}', "");;
    Expect(0, 6480, '\p{Scx=:\Alimb\z:}', "");;
    Expect(1, 6479, '\p{Scx=	_LIMB}', "");
    Expect(0, 6479, '\p{^Scx=	_LIMB}', "");
    Expect(0, 6479, '\P{Scx=	_LIMB}', "");
    Expect(1, 6479, '\P{^Scx=	_LIMB}', "");
    Expect(0, 6480, '\p{Scx=	_LIMB}', "");
    Expect(1, 6480, '\p{^Scx=	_LIMB}', "");
    Expect(1, 6480, '\P{Scx=	_LIMB}', "");
    Expect(0, 6480, '\P{^Scx=	_LIMB}', "");
    Error('\p{Is_Script_Extensions=	-Limbu/a/}');
    Error('\P{Is_Script_Extensions=	-Limbu/a/}');
    Expect(1, 6479, '\p{Is_Script_Extensions=limbu}', "");
    Expect(0, 6479, '\p{^Is_Script_Extensions=limbu}', "");
    Expect(0, 6479, '\P{Is_Script_Extensions=limbu}', "");
    Expect(1, 6479, '\P{^Is_Script_Extensions=limbu}', "");
    Expect(0, 6480, '\p{Is_Script_Extensions=limbu}', "");
    Expect(1, 6480, '\p{^Is_Script_Extensions=limbu}', "");
    Expect(1, 6480, '\P{Is_Script_Extensions=limbu}', "");
    Expect(0, 6480, '\P{^Is_Script_Extensions=limbu}', "");
    Expect(1, 6479, '\p{Is_Script_Extensions=_ limbu}', "");
    Expect(0, 6479, '\p{^Is_Script_Extensions=_ limbu}', "");
    Expect(0, 6479, '\P{Is_Script_Extensions=_ limbu}', "");
    Expect(1, 6479, '\P{^Is_Script_Extensions=_ limbu}', "");
    Expect(0, 6480, '\p{Is_Script_Extensions=_ limbu}', "");
    Expect(1, 6480, '\p{^Is_Script_Extensions=_ limbu}', "");
    Expect(1, 6480, '\P{Is_Script_Extensions=_ limbu}', "");
    Expect(0, 6480, '\P{^Is_Script_Extensions=_ limbu}', "");
    Error('\p{Is_Scx:/a/		Limb}');
    Error('\P{Is_Scx:/a/		Limb}');
    Expect(1, 6479, '\p{Is_Scx=limb}', "");
    Expect(0, 6479, '\p{^Is_Scx=limb}', "");
    Expect(0, 6479, '\P{Is_Scx=limb}', "");
    Expect(1, 6479, '\P{^Is_Scx=limb}', "");
    Expect(0, 6480, '\p{Is_Scx=limb}', "");
    Expect(1, 6480, '\p{^Is_Scx=limb}', "");
    Expect(1, 6480, '\P{Is_Scx=limb}', "");
    Expect(0, 6480, '\P{^Is_Scx=limb}', "");
    Expect(1, 6479, '\p{Is_Scx=	-Limb}', "");
    Expect(0, 6479, '\p{^Is_Scx=	-Limb}', "");
    Expect(0, 6479, '\P{Is_Scx=	-Limb}', "");
    Expect(1, 6479, '\P{^Is_Scx=	-Limb}', "");
    Expect(0, 6480, '\p{Is_Scx=	-Limb}', "");
    Expect(1, 6480, '\p{^Is_Scx=	-Limb}', "");
    Expect(1, 6480, '\P{Is_Scx=	-Limb}', "");
    Expect(0, 6480, '\P{^Is_Scx=	-Limb}', "");
    Error('\p{Script_Extensions=_:=Linear_A}');
    Error('\P{Script_Extensions=_:=Linear_A}');
    Expect(1, 67431, '\p{Script_Extensions=:\ALinear_A\z:}', "");;
    Expect(0, 67432, '\p{Script_Extensions=:\ALinear_A\z:}', "");;
    Expect(1, 67431, '\p{Script_Extensions=lineara}', "");
    Expect(0, 67431, '\p{^Script_Extensions=lineara}', "");
    Expect(0, 67431, '\P{Script_Extensions=lineara}', "");
    Expect(1, 67431, '\P{^Script_Extensions=lineara}', "");
    Expect(0, 67432, '\p{Script_Extensions=lineara}', "");
    Expect(1, 67432, '\p{^Script_Extensions=lineara}', "");
    Expect(1, 67432, '\P{Script_Extensions=lineara}', "");
    Expect(0, 67432, '\P{^Script_Extensions=lineara}', "");
    Expect(1, 67431, '\p{Script_Extensions=:\Alineara\z:}', "");;
    Expect(0, 67432, '\p{Script_Extensions=:\Alineara\z:}', "");;
    Expect(1, 67431, '\p{Script_Extensions=__Linear_A}', "");
    Expect(0, 67431, '\p{^Script_Extensions=__Linear_A}', "");
    Expect(0, 67431, '\P{Script_Extensions=__Linear_A}', "");
    Expect(1, 67431, '\P{^Script_Extensions=__Linear_A}', "");
    Expect(0, 67432, '\p{Script_Extensions=__Linear_A}', "");
    Expect(1, 67432, '\p{^Script_Extensions=__Linear_A}', "");
    Expect(1, 67432, '\P{Script_Extensions=__Linear_A}', "");
    Expect(0, 67432, '\P{^Script_Extensions=__Linear_A}', "");
    Error('\p{Scx:   _/a/Lina}');
    Error('\P{Scx:   _/a/Lina}');
    Expect(1, 67431, '\p{Scx=:\ALina\z:}', "");;
    Expect(0, 67432, '\p{Scx=:\ALina\z:}', "");;
    Expect(1, 67431, '\p{Scx=lina}', "");
    Expect(0, 67431, '\p{^Scx=lina}', "");
    Expect(0, 67431, '\P{Scx=lina}', "");
    Expect(1, 67431, '\P{^Scx=lina}', "");
    Expect(0, 67432, '\p{Scx=lina}', "");
    Expect(1, 67432, '\p{^Scx=lina}', "");
    Expect(1, 67432, '\P{Scx=lina}', "");
    Expect(0, 67432, '\P{^Scx=lina}', "");
    Expect(1, 67431, '\p{Scx=:\Alina\z:}', "");;
    Expect(0, 67432, '\p{Scx=:\Alina\z:}', "");;
    Expect(1, 67431, '\p{Scx=	LINA}', "");
    Expect(0, 67431, '\p{^Scx=	LINA}', "");
    Expect(0, 67431, '\P{Scx=	LINA}', "");
    Expect(1, 67431, '\P{^Scx=	LINA}', "");
    Expect(0, 67432, '\p{Scx=	LINA}', "");
    Expect(1, 67432, '\p{^Scx=	LINA}', "");
    Expect(1, 67432, '\P{Scx=	LINA}', "");
    Expect(0, 67432, '\P{^Scx=	LINA}', "");
    Error('\p{Is_Script_Extensions=/a/_	linear_A}');
    Error('\P{Is_Script_Extensions=/a/_	linear_A}');
    Expect(1, 67431, '\p{Is_Script_Extensions=lineara}', "");
    Expect(0, 67431, '\p{^Is_Script_Extensions=lineara}', "");
    Expect(0, 67431, '\P{Is_Script_Extensions=lineara}', "");
    Expect(1, 67431, '\P{^Is_Script_Extensions=lineara}', "");
    Expect(0, 67432, '\p{Is_Script_Extensions=lineara}', "");
    Expect(1, 67432, '\p{^Is_Script_Extensions=lineara}', "");
    Expect(1, 67432, '\P{Is_Script_Extensions=lineara}', "");
    Expect(0, 67432, '\P{^Is_Script_Extensions=lineara}', "");
    Expect(1, 67431, '\p{Is_Script_Extensions=_LINEAR_a}', "");
    Expect(0, 67431, '\p{^Is_Script_Extensions=_LINEAR_a}', "");
    Expect(0, 67431, '\P{Is_Script_Extensions=_LINEAR_a}', "");
    Expect(1, 67431, '\P{^Is_Script_Extensions=_LINEAR_a}', "");
    Expect(0, 67432, '\p{Is_Script_Extensions=_LINEAR_a}', "");
    Expect(1, 67432, '\p{^Is_Script_Extensions=_LINEAR_a}', "");
    Expect(1, 67432, '\P{Is_Script_Extensions=_LINEAR_a}', "");
    Expect(0, 67432, '\P{^Is_Script_Extensions=_LINEAR_a}', "");
    Error('\p{Is_Scx=_/a/lina}');
    Error('\P{Is_Scx=_/a/lina}');
    Expect(1, 67431, '\p{Is_Scx=lina}', "");
    Expect(0, 67431, '\p{^Is_Scx=lina}', "");
    Expect(0, 67431, '\P{Is_Scx=lina}', "");
    Expect(1, 67431, '\P{^Is_Scx=lina}', "");
    Expect(0, 67432, '\p{Is_Scx=lina}', "");
    Expect(1, 67432, '\p{^Is_Scx=lina}', "");
    Expect(1, 67432, '\P{Is_Scx=lina}', "");
    Expect(0, 67432, '\P{^Is_Scx=lina}', "");
    Expect(1, 67431, '\p{Is_Scx= Lina}', "");
    Expect(0, 67431, '\p{^Is_Scx= Lina}', "");
    Expect(0, 67431, '\P{Is_Scx= Lina}', "");
    Expect(1, 67431, '\P{^Is_Scx= Lina}', "");
    Expect(0, 67432, '\p{Is_Scx= Lina}', "");
    Expect(1, 67432, '\p{^Is_Scx= Lina}', "");
    Expect(1, 67432, '\P{Is_Scx= Lina}', "");
    Expect(0, 67432, '\P{^Is_Scx= Lina}', "");
    Error('\p{Script_Extensions= 	Linear_B/a/}');
    Error('\P{Script_Extensions= 	Linear_B/a/}');
    Expect(1, 65855, '\p{Script_Extensions=:\ALinear_B\z:}', "");;
    Expect(0, 65856, '\p{Script_Extensions=:\ALinear_B\z:}', "");;
    Expect(1, 65855, '\p{Script_Extensions=linearb}', "");
    Expect(0, 65855, '\p{^Script_Extensions=linearb}', "");
    Expect(0, 65855, '\P{Script_Extensions=linearb}', "");
    Expect(1, 65855, '\P{^Script_Extensions=linearb}', "");
    Expect(0, 65856, '\p{Script_Extensions=linearb}', "");
    Expect(1, 65856, '\p{^Script_Extensions=linearb}', "");
    Expect(1, 65856, '\P{Script_Extensions=linearb}', "");
    Expect(0, 65856, '\P{^Script_Extensions=linearb}', "");
    Expect(1, 65855, '\p{Script_Extensions=:\Alinearb\z:}', "");;
    Expect(0, 65856, '\p{Script_Extensions=:\Alinearb\z:}', "");;
    Expect(1, 65855, '\p{Script_Extensions: -Linear_b}', "");
    Expect(0, 65855, '\p{^Script_Extensions: -Linear_b}', "");
    Expect(0, 65855, '\P{Script_Extensions: -Linear_b}', "");
    Expect(1, 65855, '\P{^Script_Extensions: -Linear_b}', "");
    Expect(0, 65856, '\p{Script_Extensions: -Linear_b}', "");
    Expect(1, 65856, '\p{^Script_Extensions: -Linear_b}', "");
    Expect(1, 65856, '\P{Script_Extensions: -Linear_b}', "");
    Expect(0, 65856, '\P{^Script_Extensions: -Linear_b}', "");
    Error('\p{Scx= -linb/a/}');
    Error('\P{Scx= -linb/a/}');
    Expect(1, 65855, '\p{Scx=:\ALinb\z:}', "");;
    Expect(0, 65856, '\p{Scx=:\ALinb\z:}', "");;
    Expect(1, 65855, '\p{Scx=linb}', "");
    Expect(0, 65855, '\p{^Scx=linb}', "");
    Expect(0, 65855, '\P{Scx=linb}', "");
    Expect(1, 65855, '\P{^Scx=linb}', "");
    Expect(0, 65856, '\p{Scx=linb}', "");
    Expect(1, 65856, '\p{^Scx=linb}', "");
    Expect(1, 65856, '\P{Scx=linb}', "");
    Expect(0, 65856, '\P{^Scx=linb}', "");
    Expect(1, 65855, '\p{Scx=:\Alinb\z:}', "");;
    Expect(0, 65856, '\p{Scx=:\Alinb\z:}', "");;
    Expect(1, 65855, '\p{Scx=--LINB}', "");
    Expect(0, 65855, '\p{^Scx=--LINB}', "");
    Expect(0, 65855, '\P{Scx=--LINB}', "");
    Expect(1, 65855, '\P{^Scx=--LINB}', "");
    Expect(0, 65856, '\p{Scx=--LINB}', "");
    Expect(1, 65856, '\p{^Scx=--LINB}', "");
    Expect(1, 65856, '\P{Scx=--LINB}', "");
    Expect(0, 65856, '\P{^Scx=--LINB}', "");
    Error('\p{Is_Script_Extensions= :=Linear_b}');
    Error('\P{Is_Script_Extensions= :=Linear_b}');
    Expect(1, 65855, '\p{Is_Script_Extensions:	linearb}', "");
    Expect(0, 65855, '\p{^Is_Script_Extensions:	linearb}', "");
    Expect(0, 65855, '\P{Is_Script_Extensions:	linearb}', "");
    Expect(1, 65855, '\P{^Is_Script_Extensions:	linearb}', "");
    Expect(0, 65856, '\p{Is_Script_Extensions:	linearb}', "");
    Expect(1, 65856, '\p{^Is_Script_Extensions:	linearb}', "");
    Expect(1, 65856, '\P{Is_Script_Extensions:	linearb}', "");
    Expect(0, 65856, '\P{^Is_Script_Extensions:	linearb}', "");
    Expect(1, 65855, '\p{Is_Script_Extensions=_Linear_b}', "");
    Expect(0, 65855, '\p{^Is_Script_Extensions=_Linear_b}', "");
    Expect(0, 65855, '\P{Is_Script_Extensions=_Linear_b}', "");
    Expect(1, 65855, '\P{^Is_Script_Extensions=_Linear_b}', "");
    Expect(0, 65856, '\p{Is_Script_Extensions=_Linear_b}', "");
    Expect(1, 65856, '\p{^Is_Script_Extensions=_Linear_b}', "");
    Expect(1, 65856, '\P{Is_Script_Extensions=_Linear_b}', "");
    Expect(0, 65856, '\P{^Is_Script_Extensions=_Linear_b}', "");
    Error('\p{Is_Scx=:= 	Linb}');
    Error('\P{Is_Scx=:= 	Linb}');
    Expect(1, 65855, '\p{Is_Scx:   linb}', "");
    Expect(0, 65855, '\p{^Is_Scx:   linb}', "");
    Expect(0, 65855, '\P{Is_Scx:   linb}', "");
    Expect(1, 65855, '\P{^Is_Scx:   linb}', "");
    Expect(0, 65856, '\p{Is_Scx:   linb}', "");
    Expect(1, 65856, '\p{^Is_Scx:   linb}', "");
    Expect(1, 65856, '\P{Is_Scx:   linb}', "");
    Expect(0, 65856, '\P{^Is_Scx:   linb}', "");
    Expect(1, 65855, '\p{Is_Scx=_-linb}', "");
    Expect(0, 65855, '\p{^Is_Scx=_-linb}', "");
    Expect(0, 65855, '\P{Is_Scx=_-linb}', "");
    Expect(1, 65855, '\P{^Is_Scx=_-linb}', "");
    Expect(0, 65856, '\p{Is_Scx=_-linb}', "");
    Expect(1, 65856, '\p{^Is_Scx=_-linb}', "");
    Expect(1, 65856, '\P{Is_Scx=_-linb}', "");
    Expect(0, 65856, '\P{^Is_Scx=_-linb}', "");
    Error('\p{Script_Extensions=_LISU/a/}');
    Error('\P{Script_Extensions=_LISU/a/}');
    Expect(1, 73648, '\p{Script_Extensions=:\ALisu\z:}', "");;
    Expect(0, 73649, '\p{Script_Extensions=:\ALisu\z:}', "");;
    Expect(1, 73648, '\p{Script_Extensions=lisu}', "");
    Expect(0, 73648, '\p{^Script_Extensions=lisu}', "");
    Expect(0, 73648, '\P{Script_Extensions=lisu}', "");
    Expect(1, 73648, '\P{^Script_Extensions=lisu}', "");
    Expect(0, 73649, '\p{Script_Extensions=lisu}', "");
    Expect(1, 73649, '\p{^Script_Extensions=lisu}', "");
    Expect(1, 73649, '\P{Script_Extensions=lisu}', "");
    Expect(0, 73649, '\P{^Script_Extensions=lisu}', "");
    Expect(1, 73648, '\p{Script_Extensions=:\Alisu\z:}', "");;
    Expect(0, 73649, '\p{Script_Extensions=:\Alisu\z:}', "");;
    Expect(1, 73648, '\p{Script_Extensions=_lisu}', "");
    Expect(0, 73648, '\p{^Script_Extensions=_lisu}', "");
    Expect(0, 73648, '\P{Script_Extensions=_lisu}', "");
    Expect(1, 73648, '\P{^Script_Extensions=_lisu}', "");
    Expect(0, 73649, '\p{Script_Extensions=_lisu}', "");
    Expect(1, 73649, '\p{^Script_Extensions=_lisu}', "");
    Expect(1, 73649, '\P{Script_Extensions=_lisu}', "");
    Expect(0, 73649, '\P{^Script_Extensions=_lisu}', "");
    Error('\p{Scx=/a/	-lisu}');
    Error('\P{Scx=/a/	-lisu}');
    Expect(1, 73648, '\p{Scx=:\ALisu\z:}', "");;
    Expect(0, 73649, '\p{Scx=:\ALisu\z:}', "");;
    Expect(1, 73648, '\p{Scx=lisu}', "");
    Expect(0, 73648, '\p{^Scx=lisu}', "");
    Expect(0, 73648, '\P{Scx=lisu}', "");
    Expect(1, 73648, '\P{^Scx=lisu}', "");
    Expect(0, 73649, '\p{Scx=lisu}', "");
    Expect(1, 73649, '\p{^Scx=lisu}', "");
    Expect(1, 73649, '\P{Scx=lisu}', "");
    Expect(0, 73649, '\P{^Scx=lisu}', "");
    Expect(1, 73648, '\p{Scx=:\Alisu\z:}', "");;
    Expect(0, 73649, '\p{Scx=:\Alisu\z:}', "");;
    Expect(1, 73648, '\p{Scx=_-LISU}', "");
    Expect(0, 73648, '\p{^Scx=_-LISU}', "");
    Expect(0, 73648, '\P{Scx=_-LISU}', "");
    Expect(1, 73648, '\P{^Scx=_-LISU}', "");
    Expect(0, 73649, '\p{Scx=_-LISU}', "");
    Expect(1, 73649, '\p{^Scx=_-LISU}', "");
    Expect(1, 73649, '\P{Scx=_-LISU}', "");
    Expect(0, 73649, '\P{^Scx=_-LISU}', "");
    Error('\p{Is_Script_Extensions=-/a/lisu}');
    Error('\P{Is_Script_Extensions=-/a/lisu}');
    Expect(1, 73648, '\p{Is_Script_Extensions=lisu}', "");
    Expect(0, 73648, '\p{^Is_Script_Extensions=lisu}', "");
    Expect(0, 73648, '\P{Is_Script_Extensions=lisu}', "");
    Expect(1, 73648, '\P{^Is_Script_Extensions=lisu}', "");
    Expect(0, 73649, '\p{Is_Script_Extensions=lisu}', "");
    Expect(1, 73649, '\p{^Is_Script_Extensions=lisu}', "");
    Expect(1, 73649, '\P{Is_Script_Extensions=lisu}', "");
    Expect(0, 73649, '\P{^Is_Script_Extensions=lisu}', "");
    Expect(1, 73648, '\p{Is_Script_Extensions=-	LISU}', "");
    Expect(0, 73648, '\p{^Is_Script_Extensions=-	LISU}', "");
    Expect(0, 73648, '\P{Is_Script_Extensions=-	LISU}', "");
    Expect(1, 73648, '\P{^Is_Script_Extensions=-	LISU}', "");
    Expect(0, 73649, '\p{Is_Script_Extensions=-	LISU}', "");
    Expect(1, 73649, '\p{^Is_Script_Extensions=-	LISU}', "");
    Expect(1, 73649, '\P{Is_Script_Extensions=-	LISU}', "");
    Expect(0, 73649, '\P{^Is_Script_Extensions=-	LISU}', "");
    Error('\p{Is_Scx=__Lisu:=}');
    Error('\P{Is_Scx=__Lisu:=}');
    Expect(1, 73648, '\p{Is_Scx=lisu}', "");
    Expect(0, 73648, '\p{^Is_Scx=lisu}', "");
    Expect(0, 73648, '\P{Is_Scx=lisu}', "");
    Expect(1, 73648, '\P{^Is_Scx=lisu}', "");
    Expect(0, 73649, '\p{Is_Scx=lisu}', "");
    Expect(1, 73649, '\p{^Is_Scx=lisu}', "");
    Expect(1, 73649, '\P{Is_Scx=lisu}', "");
    Expect(0, 73649, '\P{^Is_Scx=lisu}', "");
    Expect(1, 73648, '\p{Is_Scx= lisu}', "");
    Expect(0, 73648, '\p{^Is_Scx= lisu}', "");
    Expect(0, 73648, '\P{Is_Scx= lisu}', "");
    Expect(1, 73648, '\P{^Is_Scx= lisu}', "");
    Expect(0, 73649, '\p{Is_Scx= lisu}', "");
    Expect(1, 73649, '\p{^Is_Scx= lisu}', "");
    Expect(1, 73649, '\P{Is_Scx= lisu}', "");
    Expect(0, 73649, '\P{^Is_Scx= lisu}', "");
    Error('\p{Script_Extensions=lycian:=}');
    Error('\P{Script_Extensions=lycian:=}');
    Expect(1, 66204, '\p{Script_Extensions=:\ALycian\z:}', "");;
    Expect(0, 66205, '\p{Script_Extensions=:\ALycian\z:}', "");;
    Expect(1, 66204, '\p{Script_Extensions=lycian}', "");
    Expect(0, 66204, '\p{^Script_Extensions=lycian}', "");
    Expect(0, 66204, '\P{Script_Extensions=lycian}', "");
    Expect(1, 66204, '\P{^Script_Extensions=lycian}', "");
    Expect(0, 66205, '\p{Script_Extensions=lycian}', "");
    Expect(1, 66205, '\p{^Script_Extensions=lycian}', "");
    Expect(1, 66205, '\P{Script_Extensions=lycian}', "");
    Expect(0, 66205, '\P{^Script_Extensions=lycian}', "");
    Expect(1, 66204, '\p{Script_Extensions=:\Alycian\z:}', "");;
    Expect(0, 66205, '\p{Script_Extensions=:\Alycian\z:}', "");;
    Expect(1, 66204, '\p{Script_Extensions=- lycian}', "");
    Expect(0, 66204, '\p{^Script_Extensions=- lycian}', "");
    Expect(0, 66204, '\P{Script_Extensions=- lycian}', "");
    Expect(1, 66204, '\P{^Script_Extensions=- lycian}', "");
    Expect(0, 66205, '\p{Script_Extensions=- lycian}', "");
    Expect(1, 66205, '\p{^Script_Extensions=- lycian}', "");
    Expect(1, 66205, '\P{Script_Extensions=- lycian}', "");
    Expect(0, 66205, '\P{^Script_Extensions=- lycian}', "");
    Error('\p{Scx= :=Lyci}');
    Error('\P{Scx= :=Lyci}');
    Expect(1, 66204, '\p{Scx=:\ALyci\z:}', "");;
    Expect(0, 66205, '\p{Scx=:\ALyci\z:}', "");;
    Expect(1, 66204, '\p{Scx=lyci}', "");
    Expect(0, 66204, '\p{^Scx=lyci}', "");
    Expect(0, 66204, '\P{Scx=lyci}', "");
    Expect(1, 66204, '\P{^Scx=lyci}', "");
    Expect(0, 66205, '\p{Scx=lyci}', "");
    Expect(1, 66205, '\p{^Scx=lyci}', "");
    Expect(1, 66205, '\P{Scx=lyci}', "");
    Expect(0, 66205, '\P{^Scx=lyci}', "");
    Expect(1, 66204, '\p{Scx=:\Alyci\z:}', "");;
    Expect(0, 66205, '\p{Scx=:\Alyci\z:}', "");;
    Expect(1, 66204, '\p{Scx=	_lyci}', "");
    Expect(0, 66204, '\p{^Scx=	_lyci}', "");
    Expect(0, 66204, '\P{Scx=	_lyci}', "");
    Expect(1, 66204, '\P{^Scx=	_lyci}', "");
    Expect(0, 66205, '\p{Scx=	_lyci}', "");
    Expect(1, 66205, '\p{^Scx=	_lyci}', "");
    Expect(1, 66205, '\P{Scx=	_lyci}', "");
    Expect(0, 66205, '\P{^Scx=	_lyci}', "");
    Error('\p{Is_Script_Extensions=  LYCIAN/a/}');
    Error('\P{Is_Script_Extensions=  LYCIAN/a/}');
    Expect(1, 66204, '\p{Is_Script_Extensions:   lycian}', "");
    Expect(0, 66204, '\p{^Is_Script_Extensions:   lycian}', "");
    Expect(0, 66204, '\P{Is_Script_Extensions:   lycian}', "");
    Expect(1, 66204, '\P{^Is_Script_Extensions:   lycian}', "");
    Expect(0, 66205, '\p{Is_Script_Extensions:   lycian}', "");
    Expect(1, 66205, '\p{^Is_Script_Extensions:   lycian}', "");
    Expect(1, 66205, '\P{Is_Script_Extensions:   lycian}', "");
    Expect(0, 66205, '\P{^Is_Script_Extensions:   lycian}', "");
    Expect(1, 66204, '\p{Is_Script_Extensions=-_Lycian}', "");
    Expect(0, 66204, '\p{^Is_Script_Extensions=-_Lycian}', "");
    Expect(0, 66204, '\P{Is_Script_Extensions=-_Lycian}', "");
    Expect(1, 66204, '\P{^Is_Script_Extensions=-_Lycian}', "");
    Expect(0, 66205, '\p{Is_Script_Extensions=-_Lycian}', "");
    Expect(1, 66205, '\p{^Is_Script_Extensions=-_Lycian}', "");
    Expect(1, 66205, '\P{Is_Script_Extensions=-_Lycian}', "");
    Expect(0, 66205, '\P{^Is_Script_Extensions=-_Lycian}', "");
    Error('\p{Is_Scx=	/a/lyci}');
    Error('\P{Is_Scx=	/a/lyci}');
    Expect(1, 66204, '\p{Is_Scx=lyci}', "");
    Expect(0, 66204, '\p{^Is_Scx=lyci}', "");
    Expect(0, 66204, '\P{Is_Scx=lyci}', "");
    Expect(1, 66204, '\P{^Is_Scx=lyci}', "");
    Expect(0, 66205, '\p{Is_Scx=lyci}', "");
    Expect(1, 66205, '\p{^Is_Scx=lyci}', "");
    Expect(1, 66205, '\P{Is_Scx=lyci}', "");
    Expect(0, 66205, '\P{^Is_Scx=lyci}', "");
    Expect(1, 66204, '\p{Is_Scx=Lyci}', "");
    Expect(0, 66204, '\p{^Is_Scx=Lyci}', "");
    Expect(0, 66204, '\P{Is_Scx=Lyci}', "");
    Expect(1, 66204, '\P{^Is_Scx=Lyci}', "");
    Expect(0, 66205, '\p{Is_Scx=Lyci}', "");
    Expect(1, 66205, '\p{^Is_Scx=Lyci}', "");
    Expect(1, 66205, '\P{Is_Scx=Lyci}', "");
    Expect(0, 66205, '\P{^Is_Scx=Lyci}', "");
    Error('\p{Script_Extensions::= LYDIAN}');
    Error('\P{Script_Extensions::= LYDIAN}');
    Expect(1, 67903, '\p{Script_Extensions=:\ALydian\z:}', "");;
    Expect(0, 67904, '\p{Script_Extensions=:\ALydian\z:}', "");;
    Expect(1, 67903, '\p{Script_Extensions=lydian}', "");
    Expect(0, 67903, '\p{^Script_Extensions=lydian}', "");
    Expect(0, 67903, '\P{Script_Extensions=lydian}', "");
    Expect(1, 67903, '\P{^Script_Extensions=lydian}', "");
    Expect(0, 67904, '\p{Script_Extensions=lydian}', "");
    Expect(1, 67904, '\p{^Script_Extensions=lydian}', "");
    Expect(1, 67904, '\P{Script_Extensions=lydian}', "");
    Expect(0, 67904, '\P{^Script_Extensions=lydian}', "");
    Expect(1, 67903, '\p{Script_Extensions=:\Alydian\z:}', "");;
    Expect(0, 67904, '\p{Script_Extensions=:\Alydian\z:}', "");;
    Expect(1, 67903, '\p{Script_Extensions=	_Lydian}', "");
    Expect(0, 67903, '\p{^Script_Extensions=	_Lydian}', "");
    Expect(0, 67903, '\P{Script_Extensions=	_Lydian}', "");
    Expect(1, 67903, '\P{^Script_Extensions=	_Lydian}', "");
    Expect(0, 67904, '\p{Script_Extensions=	_Lydian}', "");
    Expect(1, 67904, '\p{^Script_Extensions=	_Lydian}', "");
    Expect(1, 67904, '\P{Script_Extensions=	_Lydian}', "");
    Expect(0, 67904, '\P{^Script_Extensions=	_Lydian}', "");
    Error('\p{Scx=/a/LYDI}');
    Error('\P{Scx=/a/LYDI}');
    Expect(1, 67903, '\p{Scx=:\ALydi\z:}', "");;
    Expect(0, 67904, '\p{Scx=:\ALydi\z:}', "");;
    Expect(1, 67903, '\p{Scx:   lydi}', "");
    Expect(0, 67903, '\p{^Scx:   lydi}', "");
    Expect(0, 67903, '\P{Scx:   lydi}', "");
    Expect(1, 67903, '\P{^Scx:   lydi}', "");
    Expect(0, 67904, '\p{Scx:   lydi}', "");
    Expect(1, 67904, '\p{^Scx:   lydi}', "");
    Expect(1, 67904, '\P{Scx:   lydi}', "");
    Expect(0, 67904, '\P{^Scx:   lydi}', "");
    Expect(1, 67903, '\p{Scx=:\Alydi\z:}', "");;
    Expect(0, 67904, '\p{Scx=:\Alydi\z:}', "");;
    Expect(1, 67903, '\p{Scx=	Lydi}', "");
    Expect(0, 67903, '\p{^Scx=	Lydi}', "");
    Expect(0, 67903, '\P{Scx=	Lydi}', "");
    Expect(1, 67903, '\P{^Scx=	Lydi}', "");
    Expect(0, 67904, '\p{Scx=	Lydi}', "");
    Expect(1, 67904, '\p{^Scx=	Lydi}', "");
    Expect(1, 67904, '\P{Scx=	Lydi}', "");
    Expect(0, 67904, '\P{^Scx=	Lydi}', "");
    Error('\p{Is_Script_Extensions: 	lydian/a/}');
    Error('\P{Is_Script_Extensions: 	lydian/a/}');
    Expect(1, 67903, '\p{Is_Script_Extensions=lydian}', "");
    Expect(0, 67903, '\p{^Is_Script_Extensions=lydian}', "");
    Expect(0, 67903, '\P{Is_Script_Extensions=lydian}', "");
    Expect(1, 67903, '\P{^Is_Script_Extensions=lydian}', "");
    Expect(0, 67904, '\p{Is_Script_Extensions=lydian}', "");
    Expect(1, 67904, '\p{^Is_Script_Extensions=lydian}', "");
    Expect(1, 67904, '\P{Is_Script_Extensions=lydian}', "");
    Expect(0, 67904, '\P{^Is_Script_Extensions=lydian}', "");
    Expect(1, 67903, '\p{Is_Script_Extensions=-_lydian}', "");
    Expect(0, 67903, '\p{^Is_Script_Extensions=-_lydian}', "");
    Expect(0, 67903, '\P{Is_Script_Extensions=-_lydian}', "");
    Expect(1, 67903, '\P{^Is_Script_Extensions=-_lydian}', "");
    Expect(0, 67904, '\p{Is_Script_Extensions=-_lydian}', "");
    Expect(1, 67904, '\p{^Is_Script_Extensions=-_lydian}', "");
    Expect(1, 67904, '\P{Is_Script_Extensions=-_lydian}', "");
    Expect(0, 67904, '\P{^Is_Script_Extensions=-_lydian}', "");
    Error('\p{Is_Scx=:=_ LYDI}');
    Error('\P{Is_Scx=:=_ LYDI}');
    Expect(1, 67903, '\p{Is_Scx=lydi}', "");
    Expect(0, 67903, '\p{^Is_Scx=lydi}', "");
    Expect(0, 67903, '\P{Is_Scx=lydi}', "");
    Expect(1, 67903, '\P{^Is_Scx=lydi}', "");
    Expect(0, 67904, '\p{Is_Scx=lydi}', "");
    Expect(1, 67904, '\p{^Is_Scx=lydi}', "");
    Expect(1, 67904, '\P{Is_Scx=lydi}', "");
    Expect(0, 67904, '\P{^Is_Scx=lydi}', "");
    Expect(1, 67903, '\p{Is_Scx=-_Lydi}', "");
    Expect(0, 67903, '\p{^Is_Scx=-_Lydi}', "");
    Expect(0, 67903, '\P{Is_Scx=-_Lydi}', "");
    Expect(1, 67903, '\P{^Is_Scx=-_Lydi}', "");
    Expect(0, 67904, '\p{Is_Scx=-_Lydi}', "");
    Expect(1, 67904, '\p{^Is_Scx=-_Lydi}', "");
    Expect(1, 67904, '\P{Is_Scx=-_Lydi}', "");
    Expect(0, 67904, '\P{^Is_Scx=-_Lydi}', "");
    Error('\p{Script_Extensions=:=	_mahajani}');
    Error('\P{Script_Extensions=:=	_mahajani}');
    Expect(1, 70006, '\p{Script_Extensions=:\AMahajani\z:}', "");;
    Expect(0, 70007, '\p{Script_Extensions=:\AMahajani\z:}', "");;
    Expect(1, 70006, '\p{Script_Extensions=mahajani}', "");
    Expect(0, 70006, '\p{^Script_Extensions=mahajani}', "");
    Expect(0, 70006, '\P{Script_Extensions=mahajani}', "");
    Expect(1, 70006, '\P{^Script_Extensions=mahajani}', "");
    Expect(0, 70007, '\p{Script_Extensions=mahajani}', "");
    Expect(1, 70007, '\p{^Script_Extensions=mahajani}', "");
    Expect(1, 70007, '\P{Script_Extensions=mahajani}', "");
    Expect(0, 70007, '\P{^Script_Extensions=mahajani}', "");
    Expect(1, 70006, '\p{Script_Extensions=:\Amahajani\z:}', "");;
    Expect(0, 70007, '\p{Script_Extensions=:\Amahajani\z:}', "");;
    Expect(1, 70006, '\p{Script_Extensions=  MAHAJANI}', "");
    Expect(0, 70006, '\p{^Script_Extensions=  MAHAJANI}', "");
    Expect(0, 70006, '\P{Script_Extensions=  MAHAJANI}', "");
    Expect(1, 70006, '\P{^Script_Extensions=  MAHAJANI}', "");
    Expect(0, 70007, '\p{Script_Extensions=  MAHAJANI}', "");
    Expect(1, 70007, '\p{^Script_Extensions=  MAHAJANI}', "");
    Expect(1, 70007, '\P{Script_Extensions=  MAHAJANI}', "");
    Expect(0, 70007, '\P{^Script_Extensions=  MAHAJANI}', "");
    Error('\p{Scx=--mahj:=}');
    Error('\P{Scx=--mahj:=}');
    Expect(1, 70006, '\p{Scx=:\AMahj\z:}', "");;
    Expect(0, 70007, '\p{Scx=:\AMahj\z:}', "");;
    Expect(1, 70006, '\p{Scx:   mahj}', "");
    Expect(0, 70006, '\p{^Scx:   mahj}', "");
    Expect(0, 70006, '\P{Scx:   mahj}', "");
    Expect(1, 70006, '\P{^Scx:   mahj}', "");
    Expect(0, 70007, '\p{Scx:   mahj}', "");
    Expect(1, 70007, '\p{^Scx:   mahj}', "");
    Expect(1, 70007, '\P{Scx:   mahj}', "");
    Expect(0, 70007, '\P{^Scx:   mahj}', "");
    Expect(1, 70006, '\p{Scx=:\Amahj\z:}', "");;
    Expect(0, 70007, '\p{Scx=:\Amahj\z:}', "");;
    Expect(1, 70006, '\p{Scx=_-MAHJ}', "");
    Expect(0, 70006, '\p{^Scx=_-MAHJ}', "");
    Expect(0, 70006, '\P{Scx=_-MAHJ}', "");
    Expect(1, 70006, '\P{^Scx=_-MAHJ}', "");
    Expect(0, 70007, '\p{Scx=_-MAHJ}', "");
    Expect(1, 70007, '\p{^Scx=_-MAHJ}', "");
    Expect(1, 70007, '\P{Scx=_-MAHJ}', "");
    Expect(0, 70007, '\P{^Scx=_-MAHJ}', "");
    Error('\p{Is_Script_Extensions=/a/ -Mahajani}');
    Error('\P{Is_Script_Extensions=/a/ -Mahajani}');
    Expect(1, 70006, '\p{Is_Script_Extensions=mahajani}', "");
    Expect(0, 70006, '\p{^Is_Script_Extensions=mahajani}', "");
    Expect(0, 70006, '\P{Is_Script_Extensions=mahajani}', "");
    Expect(1, 70006, '\P{^Is_Script_Extensions=mahajani}', "");
    Expect(0, 70007, '\p{Is_Script_Extensions=mahajani}', "");
    Expect(1, 70007, '\p{^Is_Script_Extensions=mahajani}', "");
    Expect(1, 70007, '\P{Is_Script_Extensions=mahajani}', "");
    Expect(0, 70007, '\P{^Is_Script_Extensions=mahajani}', "");
    Expect(1, 70006, '\p{Is_Script_Extensions:	_ Mahajani}', "");
    Expect(0, 70006, '\p{^Is_Script_Extensions:	_ Mahajani}', "");
    Expect(0, 70006, '\P{Is_Script_Extensions:	_ Mahajani}', "");
    Expect(1, 70006, '\P{^Is_Script_Extensions:	_ Mahajani}', "");
    Expect(0, 70007, '\p{Is_Script_Extensions:	_ Mahajani}', "");
    Expect(1, 70007, '\p{^Is_Script_Extensions:	_ Mahajani}', "");
    Expect(1, 70007, '\P{Is_Script_Extensions:	_ Mahajani}', "");
    Expect(0, 70007, '\P{^Is_Script_Extensions:	_ Mahajani}', "");
    Error('\p{Is_Scx=/a/		Mahj}');
    Error('\P{Is_Scx=/a/		Mahj}');
    Expect(1, 70006, '\p{Is_Scx=mahj}', "");
    Expect(0, 70006, '\p{^Is_Scx=mahj}', "");
    Expect(0, 70006, '\P{Is_Scx=mahj}', "");
    Expect(1, 70006, '\P{^Is_Scx=mahj}', "");
    Expect(0, 70007, '\p{Is_Scx=mahj}', "");
    Expect(1, 70007, '\p{^Is_Scx=mahj}', "");
    Expect(1, 70007, '\P{Is_Scx=mahj}', "");
    Expect(0, 70007, '\P{^Is_Scx=mahj}', "");
    Expect(1, 70006, '\p{Is_Scx=	 Mahj}', "");
    Expect(0, 70006, '\p{^Is_Scx=	 Mahj}', "");
    Expect(0, 70006, '\P{Is_Scx=	 Mahj}', "");
    Expect(1, 70006, '\P{^Is_Scx=	 Mahj}', "");
    Expect(0, 70007, '\p{Is_Scx=	 Mahj}', "");
    Expect(1, 70007, '\p{^Is_Scx=	 Mahj}', "");
    Expect(1, 70007, '\P{Is_Scx=	 Mahj}', "");
    Expect(0, 70007, '\P{^Is_Scx=	 Mahj}', "");
    Error('\p{Script_Extensions=:=-MAKASAR}');
    Error('\P{Script_Extensions=:=-MAKASAR}');
    Expect(1, 73464, '\p{Script_Extensions=:\AMakasar\z:}', "");;
    Expect(0, 73465, '\p{Script_Extensions=:\AMakasar\z:}', "");;
    Expect(1, 73464, '\p{Script_Extensions=makasar}', "");
    Expect(0, 73464, '\p{^Script_Extensions=makasar}', "");
    Expect(0, 73464, '\P{Script_Extensions=makasar}', "");
    Expect(1, 73464, '\P{^Script_Extensions=makasar}', "");
    Expect(0, 73465, '\p{Script_Extensions=makasar}', "");
    Expect(1, 73465, '\p{^Script_Extensions=makasar}', "");
    Expect(1, 73465, '\P{Script_Extensions=makasar}', "");
    Expect(0, 73465, '\P{^Script_Extensions=makasar}', "");
    Expect(1, 73464, '\p{Script_Extensions=:\Amakasar\z:}', "");;
    Expect(0, 73465, '\p{Script_Extensions=:\Amakasar\z:}', "");;
    Expect(1, 73464, '\p{Script_Extensions=Makasar}', "");
    Expect(0, 73464, '\p{^Script_Extensions=Makasar}', "");
    Expect(0, 73464, '\P{Script_Extensions=Makasar}', "");
    Expect(1, 73464, '\P{^Script_Extensions=Makasar}', "");
    Expect(0, 73465, '\p{Script_Extensions=Makasar}', "");
    Expect(1, 73465, '\p{^Script_Extensions=Makasar}', "");
    Expect(1, 73465, '\P{Script_Extensions=Makasar}', "");
    Expect(0, 73465, '\P{^Script_Extensions=Makasar}', "");
    Error('\p{Scx= /a/Maka}');
    Error('\P{Scx= /a/Maka}');
    Expect(1, 73464, '\p{Scx=:\AMaka\z:}', "");;
    Expect(0, 73465, '\p{Scx=:\AMaka\z:}', "");;
    Expect(1, 73464, '\p{Scx=maka}', "");
    Expect(0, 73464, '\p{^Scx=maka}', "");
    Expect(0, 73464, '\P{Scx=maka}', "");
    Expect(1, 73464, '\P{^Scx=maka}', "");
    Expect(0, 73465, '\p{Scx=maka}', "");
    Expect(1, 73465, '\p{^Scx=maka}', "");
    Expect(1, 73465, '\P{Scx=maka}', "");
    Expect(0, 73465, '\P{^Scx=maka}', "");
    Expect(1, 73464, '\p{Scx=:\Amaka\z:}', "");;
    Expect(0, 73465, '\p{Scx=:\Amaka\z:}', "");;
    Expect(1, 73464, '\p{Scx=- Maka}', "");
    Expect(0, 73464, '\p{^Scx=- Maka}', "");
    Expect(0, 73464, '\P{Scx=- Maka}', "");
    Expect(1, 73464, '\P{^Scx=- Maka}', "");
    Expect(0, 73465, '\p{Scx=- Maka}', "");
    Expect(1, 73465, '\p{^Scx=- Maka}', "");
    Expect(1, 73465, '\P{Scx=- Maka}', "");
    Expect(0, 73465, '\P{^Scx=- Maka}', "");
    Error('\p{Is_Script_Extensions=_Makasar:=}');
    Error('\P{Is_Script_Extensions=_Makasar:=}');
    Expect(1, 73464, '\p{Is_Script_Extensions=makasar}', "");
    Expect(0, 73464, '\p{^Is_Script_Extensions=makasar}', "");
    Expect(0, 73464, '\P{Is_Script_Extensions=makasar}', "");
    Expect(1, 73464, '\P{^Is_Script_Extensions=makasar}', "");
    Expect(0, 73465, '\p{Is_Script_Extensions=makasar}', "");
    Expect(1, 73465, '\p{^Is_Script_Extensions=makasar}', "");
    Expect(1, 73465, '\P{Is_Script_Extensions=makasar}', "");
    Expect(0, 73465, '\P{^Is_Script_Extensions=makasar}', "");
    Expect(1, 73464, '\p{Is_Script_Extensions= -Makasar}', "");
    Expect(0, 73464, '\p{^Is_Script_Extensions= -Makasar}', "");
    Expect(0, 73464, '\P{Is_Script_Extensions= -Makasar}', "");
    Expect(1, 73464, '\P{^Is_Script_Extensions= -Makasar}', "");
    Expect(0, 73465, '\p{Is_Script_Extensions= -Makasar}', "");
    Expect(1, 73465, '\p{^Is_Script_Extensions= -Makasar}', "");
    Expect(1, 73465, '\P{Is_Script_Extensions= -Makasar}', "");
    Expect(0, 73465, '\P{^Is_Script_Extensions= -Makasar}', "");
    Error('\p{Is_Scx=  maka:=}');
    Error('\P{Is_Scx=  maka:=}');
    Expect(1, 73464, '\p{Is_Scx=maka}', "");
    Expect(0, 73464, '\p{^Is_Scx=maka}', "");
    Expect(0, 73464, '\P{Is_Scx=maka}', "");
    Expect(1, 73464, '\P{^Is_Scx=maka}', "");
    Expect(0, 73465, '\p{Is_Scx=maka}', "");
    Expect(1, 73465, '\p{^Is_Scx=maka}', "");
    Expect(1, 73465, '\P{Is_Scx=maka}', "");
    Expect(0, 73465, '\P{^Is_Scx=maka}', "");
    Expect(1, 73464, '\p{Is_Scx= Maka}', "");
    Expect(0, 73464, '\p{^Is_Scx= Maka}', "");
    Expect(0, 73464, '\P{Is_Scx= Maka}', "");
    Expect(1, 73464, '\P{^Is_Scx= Maka}', "");
    Expect(0, 73465, '\p{Is_Scx= Maka}', "");
    Expect(1, 73465, '\p{^Is_Scx= Maka}', "");
    Expect(1, 73465, '\P{Is_Scx= Maka}', "");
    Expect(0, 73465, '\P{^Is_Scx= Maka}', "");
    Error('\p{Script_Extensions=:=_-Mandaic}');
    Error('\P{Script_Extensions=:=_-Mandaic}');
    Expect(1, 2142, '\p{Script_Extensions=:\AMandaic\z:}', "");;
    Expect(0, 2143, '\p{Script_Extensions=:\AMandaic\z:}', "");;
    Expect(1, 2142, '\p{Script_Extensions=mandaic}', "");
    Expect(0, 2142, '\p{^Script_Extensions=mandaic}', "");
    Expect(0, 2142, '\P{Script_Extensions=mandaic}', "");
    Expect(1, 2142, '\P{^Script_Extensions=mandaic}', "");
    Expect(0, 2143, '\p{Script_Extensions=mandaic}', "");
    Expect(1, 2143, '\p{^Script_Extensions=mandaic}', "");
    Expect(1, 2143, '\P{Script_Extensions=mandaic}', "");
    Expect(0, 2143, '\P{^Script_Extensions=mandaic}', "");
    Expect(1, 2142, '\p{Script_Extensions=:\Amandaic\z:}', "");;
    Expect(0, 2143, '\p{Script_Extensions=:\Amandaic\z:}', "");;
    Expect(1, 2142, '\p{Script_Extensions=	_MANDAIC}', "");
    Expect(0, 2142, '\p{^Script_Extensions=	_MANDAIC}', "");
    Expect(0, 2142, '\P{Script_Extensions=	_MANDAIC}', "");
    Expect(1, 2142, '\P{^Script_Extensions=	_MANDAIC}', "");
    Expect(0, 2143, '\p{Script_Extensions=	_MANDAIC}', "");
    Expect(1, 2143, '\p{^Script_Extensions=	_MANDAIC}', "");
    Expect(1, 2143, '\P{Script_Extensions=	_MANDAIC}', "");
    Expect(0, 2143, '\P{^Script_Extensions=	_MANDAIC}', "");
    Error('\p{Scx=/a/ 	MAND}');
    Error('\P{Scx=/a/ 	MAND}');
    Expect(1, 2142, '\p{Scx=:\AMand\z:}', "");;
    Expect(0, 2143, '\p{Scx=:\AMand\z:}', "");;
    Expect(1, 2142, '\p{Scx=mand}', "");
    Expect(0, 2142, '\p{^Scx=mand}', "");
    Expect(0, 2142, '\P{Scx=mand}', "");
    Expect(1, 2142, '\P{^Scx=mand}', "");
    Expect(0, 2143, '\p{Scx=mand}', "");
    Expect(1, 2143, '\p{^Scx=mand}', "");
    Expect(1, 2143, '\P{Scx=mand}', "");
    Expect(0, 2143, '\P{^Scx=mand}', "");
    Expect(1, 2142, '\p{Scx=:\Amand\z:}', "");;
    Expect(0, 2143, '\p{Scx=:\Amand\z:}', "");;
    Expect(1, 2142, '\p{Scx= mand}', "");
    Expect(0, 2142, '\p{^Scx= mand}', "");
    Expect(0, 2142, '\P{Scx= mand}', "");
    Expect(1, 2142, '\P{^Scx= mand}', "");
    Expect(0, 2143, '\p{Scx= mand}', "");
    Expect(1, 2143, '\p{^Scx= mand}', "");
    Expect(1, 2143, '\P{Scx= mand}', "");
    Expect(0, 2143, '\P{^Scx= mand}', "");
    Error('\p{Is_Script_Extensions=	Mandaic/a/}');
    Error('\P{Is_Script_Extensions=	Mandaic/a/}');
    Expect(1, 2142, '\p{Is_Script_Extensions=mandaic}', "");
    Expect(0, 2142, '\p{^Is_Script_Extensions=mandaic}', "");
    Expect(0, 2142, '\P{Is_Script_Extensions=mandaic}', "");
    Expect(1, 2142, '\P{^Is_Script_Extensions=mandaic}', "");
    Expect(0, 2143, '\p{Is_Script_Extensions=mandaic}', "");
    Expect(1, 2143, '\p{^Is_Script_Extensions=mandaic}', "");
    Expect(1, 2143, '\P{Is_Script_Extensions=mandaic}', "");
    Expect(0, 2143, '\P{^Is_Script_Extensions=mandaic}', "");
    Expect(1, 2142, '\p{Is_Script_Extensions=-	Mandaic}', "");
    Expect(0, 2142, '\p{^Is_Script_Extensions=-	Mandaic}', "");
    Expect(0, 2142, '\P{Is_Script_Extensions=-	Mandaic}', "");
    Expect(1, 2142, '\P{^Is_Script_Extensions=-	Mandaic}', "");
    Expect(0, 2143, '\p{Is_Script_Extensions=-	Mandaic}', "");
    Expect(1, 2143, '\p{^Is_Script_Extensions=-	Mandaic}', "");
    Expect(1, 2143, '\P{Is_Script_Extensions=-	Mandaic}', "");
    Expect(0, 2143, '\P{^Is_Script_Extensions=-	Mandaic}', "");
    Error('\p{Is_Scx=_:=MAND}');
    Error('\P{Is_Scx=_:=MAND}');
    Expect(1, 2142, '\p{Is_Scx=mand}', "");
    Expect(0, 2142, '\p{^Is_Scx=mand}', "");
    Expect(0, 2142, '\P{Is_Scx=mand}', "");
    Expect(1, 2142, '\P{^Is_Scx=mand}', "");
    Expect(0, 2143, '\p{Is_Scx=mand}', "");
    Expect(1, 2143, '\p{^Is_Scx=mand}', "");
    Expect(1, 2143, '\P{Is_Scx=mand}', "");
    Expect(0, 2143, '\P{^Is_Scx=mand}', "");
    Expect(1, 2142, '\p{Is_Scx= Mand}', "");
    Expect(0, 2142, '\p{^Is_Scx= Mand}', "");
    Expect(0, 2142, '\P{Is_Scx= Mand}', "");
    Expect(1, 2142, '\P{^Is_Scx= Mand}', "");
    Expect(0, 2143, '\p{Is_Scx= Mand}', "");
    Expect(1, 2143, '\p{^Is_Scx= Mand}', "");
    Expect(1, 2143, '\P{Is_Scx= Mand}', "");
    Expect(0, 2143, '\P{^Is_Scx= Mand}', "");
    Error('\p{Script_Extensions=	-MANICHAEAN/a/}');
    Error('\P{Script_Extensions=	-MANICHAEAN/a/}');
    Expect(1, 68342, '\p{Script_Extensions=:\AManichaean\z:}', "");;
    Expect(0, 68343, '\p{Script_Extensions=:\AManichaean\z:}', "");;
    Expect(1, 68342, '\p{Script_Extensions=manichaean}', "");
    Expect(0, 68342, '\p{^Script_Extensions=manichaean}', "");
    Expect(0, 68342, '\P{Script_Extensions=manichaean}', "");
    Expect(1, 68342, '\P{^Script_Extensions=manichaean}', "");
    Expect(0, 68343, '\p{Script_Extensions=manichaean}', "");
    Expect(1, 68343, '\p{^Script_Extensions=manichaean}', "");
    Expect(1, 68343, '\P{Script_Extensions=manichaean}', "");
    Expect(0, 68343, '\P{^Script_Extensions=manichaean}', "");
    Expect(1, 68342, '\p{Script_Extensions=:\Amanichaean\z:}', "");;
    Expect(0, 68343, '\p{Script_Extensions=:\Amanichaean\z:}', "");;
    Expect(1, 68342, '\p{Script_Extensions= manichaean}', "");
    Expect(0, 68342, '\p{^Script_Extensions= manichaean}', "");
    Expect(0, 68342, '\P{Script_Extensions= manichaean}', "");
    Expect(1, 68342, '\P{^Script_Extensions= manichaean}', "");
    Expect(0, 68343, '\p{Script_Extensions= manichaean}', "");
    Expect(1, 68343, '\p{^Script_Extensions= manichaean}', "");
    Expect(1, 68343, '\P{Script_Extensions= manichaean}', "");
    Expect(0, 68343, '\P{^Script_Extensions= manichaean}', "");
    Error('\p{Scx:  Mani/a/}');
    Error('\P{Scx:  Mani/a/}');
    Expect(1, 68342, '\p{Scx=:\AMani\z:}', "");;
    Expect(0, 68343, '\p{Scx=:\AMani\z:}', "");;
    Expect(1, 68342, '\p{Scx=mani}', "");
    Expect(0, 68342, '\p{^Scx=mani}', "");
    Expect(0, 68342, '\P{Scx=mani}', "");
    Expect(1, 68342, '\P{^Scx=mani}', "");
    Expect(0, 68343, '\p{Scx=mani}', "");
    Expect(1, 68343, '\p{^Scx=mani}', "");
    Expect(1, 68343, '\P{Scx=mani}', "");
    Expect(0, 68343, '\P{^Scx=mani}', "");
    Expect(1, 68342, '\p{Scx=:\Amani\z:}', "");;
    Expect(0, 68343, '\p{Scx=:\Amani\z:}', "");;
    Expect(1, 68342, '\p{Scx=_MANI}', "");
    Expect(0, 68342, '\p{^Scx=_MANI}', "");
    Expect(0, 68342, '\P{Scx=_MANI}', "");
    Expect(1, 68342, '\P{^Scx=_MANI}', "");
    Expect(0, 68343, '\p{Scx=_MANI}', "");
    Expect(1, 68343, '\p{^Scx=_MANI}', "");
    Expect(1, 68343, '\P{Scx=_MANI}', "");
    Expect(0, 68343, '\P{^Scx=_MANI}', "");
    Error('\p{Is_Script_Extensions=  MANICHAEAN:=}');
    Error('\P{Is_Script_Extensions=  MANICHAEAN:=}');
    Expect(1, 68342, '\p{Is_Script_Extensions=manichaean}', "");
    Expect(0, 68342, '\p{^Is_Script_Extensions=manichaean}', "");
    Expect(0, 68342, '\P{Is_Script_Extensions=manichaean}', "");
    Expect(1, 68342, '\P{^Is_Script_Extensions=manichaean}', "");
    Expect(0, 68343, '\p{Is_Script_Extensions=manichaean}', "");
    Expect(1, 68343, '\p{^Is_Script_Extensions=manichaean}', "");
    Expect(1, 68343, '\P{Is_Script_Extensions=manichaean}', "");
    Expect(0, 68343, '\P{^Is_Script_Extensions=manichaean}', "");
    Expect(1, 68342, '\p{Is_Script_Extensions=-_Manichaean}', "");
    Expect(0, 68342, '\p{^Is_Script_Extensions=-_Manichaean}', "");
    Expect(0, 68342, '\P{Is_Script_Extensions=-_Manichaean}', "");
    Expect(1, 68342, '\P{^Is_Script_Extensions=-_Manichaean}', "");
    Expect(0, 68343, '\p{Is_Script_Extensions=-_Manichaean}', "");
    Expect(1, 68343, '\p{^Is_Script_Extensions=-_Manichaean}', "");
    Expect(1, 68343, '\P{Is_Script_Extensions=-_Manichaean}', "");
    Expect(0, 68343, '\P{^Is_Script_Extensions=-_Manichaean}', "");
    Error('\p{Is_Scx=		Mani/a/}');
    Error('\P{Is_Scx=		Mani/a/}');
    Expect(1, 68342, '\p{Is_Scx=mani}', "");
    Expect(0, 68342, '\p{^Is_Scx=mani}', "");
    Expect(0, 68342, '\P{Is_Scx=mani}', "");
    Expect(1, 68342, '\P{^Is_Scx=mani}', "");
    Expect(0, 68343, '\p{Is_Scx=mani}', "");
    Expect(1, 68343, '\p{^Is_Scx=mani}', "");
    Expect(1, 68343, '\P{Is_Scx=mani}', "");
    Expect(0, 68343, '\P{^Is_Scx=mani}', "");
    Expect(1, 68342, '\p{Is_Scx: 	Mani}', "");
    Expect(0, 68342, '\p{^Is_Scx: 	Mani}', "");
    Expect(0, 68342, '\P{Is_Scx: 	Mani}', "");
    Expect(1, 68342, '\P{^Is_Scx: 	Mani}', "");
    Expect(0, 68343, '\p{Is_Scx: 	Mani}', "");
    Expect(1, 68343, '\p{^Is_Scx: 	Mani}', "");
    Expect(1, 68343, '\P{Is_Scx: 	Mani}', "");
    Expect(0, 68343, '\P{^Is_Scx: 	Mani}', "");
    Error('\p{Script_Extensions=	/a/MARCHEN}');
    Error('\P{Script_Extensions=	/a/MARCHEN}');
    Expect(1, 72886, '\p{Script_Extensions=:\AMarchen\z:}', "");;
    Expect(0, 72887, '\p{Script_Extensions=:\AMarchen\z:}', "");;
    Expect(1, 72886, '\p{Script_Extensions: marchen}', "");
    Expect(0, 72886, '\p{^Script_Extensions: marchen}', "");
    Expect(0, 72886, '\P{Script_Extensions: marchen}', "");
    Expect(1, 72886, '\P{^Script_Extensions: marchen}', "");
    Expect(0, 72887, '\p{Script_Extensions: marchen}', "");
    Expect(1, 72887, '\p{^Script_Extensions: marchen}', "");
    Expect(1, 72887, '\P{Script_Extensions: marchen}', "");
    Expect(0, 72887, '\P{^Script_Extensions: marchen}', "");
    Expect(1, 72886, '\p{Script_Extensions=:\Amarchen\z:}', "");;
    Expect(0, 72887, '\p{Script_Extensions=:\Amarchen\z:}', "");;
    Expect(1, 72886, '\p{Script_Extensions=_Marchen}', "");
    Expect(0, 72886, '\p{^Script_Extensions=_Marchen}', "");
    Expect(0, 72886, '\P{Script_Extensions=_Marchen}', "");
    Expect(1, 72886, '\P{^Script_Extensions=_Marchen}', "");
    Expect(0, 72887, '\p{Script_Extensions=_Marchen}', "");
    Expect(1, 72887, '\p{^Script_Extensions=_Marchen}', "");
    Expect(1, 72887, '\P{Script_Extensions=_Marchen}', "");
    Expect(0, 72887, '\P{^Script_Extensions=_Marchen}', "");
    Error('\p{Scx=Marc/a/}');
    Error('\P{Scx=Marc/a/}');
    Expect(1, 72886, '\p{Scx=:\AMarc\z:}', "");;
    Expect(0, 72887, '\p{Scx=:\AMarc\z:}', "");;
    Expect(1, 72886, '\p{Scx=marc}', "");
    Expect(0, 72886, '\p{^Scx=marc}', "");
    Expect(0, 72886, '\P{Scx=marc}', "");
    Expect(1, 72886, '\P{^Scx=marc}', "");
    Expect(0, 72887, '\p{Scx=marc}', "");
    Expect(1, 72887, '\p{^Scx=marc}', "");
    Expect(1, 72887, '\P{Scx=marc}', "");
    Expect(0, 72887, '\P{^Scx=marc}', "");
    Expect(1, 72886, '\p{Scx=:\Amarc\z:}', "");;
    Expect(0, 72887, '\p{Scx=:\Amarc\z:}', "");;
    Expect(1, 72886, '\p{Scx=-_marc}', "");
    Expect(0, 72886, '\p{^Scx=-_marc}', "");
    Expect(0, 72886, '\P{Scx=-_marc}', "");
    Expect(1, 72886, '\P{^Scx=-_marc}', "");
    Expect(0, 72887, '\p{Scx=-_marc}', "");
    Expect(1, 72887, '\p{^Scx=-_marc}', "");
    Expect(1, 72887, '\P{Scx=-_marc}', "");
    Expect(0, 72887, '\P{^Scx=-_marc}', "");
    Error('\p{Is_Script_Extensions=/a/	 Marchen}');
    Error('\P{Is_Script_Extensions=/a/	 Marchen}');
    Expect(1, 72886, '\p{Is_Script_Extensions=marchen}', "");
    Expect(0, 72886, '\p{^Is_Script_Extensions=marchen}', "");
    Expect(0, 72886, '\P{Is_Script_Extensions=marchen}', "");
    Expect(1, 72886, '\P{^Is_Script_Extensions=marchen}', "");
    Expect(0, 72887, '\p{Is_Script_Extensions=marchen}', "");
    Expect(1, 72887, '\p{^Is_Script_Extensions=marchen}', "");
    Expect(1, 72887, '\P{Is_Script_Extensions=marchen}', "");
    Expect(0, 72887, '\P{^Is_Script_Extensions=marchen}', "");
    Expect(1, 72886, '\p{Is_Script_Extensions=-	Marchen}', "");
    Expect(0, 72886, '\p{^Is_Script_Extensions=-	Marchen}', "");
    Expect(0, 72886, '\P{Is_Script_Extensions=-	Marchen}', "");
    Expect(1, 72886, '\P{^Is_Script_Extensions=-	Marchen}', "");
    Expect(0, 72887, '\p{Is_Script_Extensions=-	Marchen}', "");
    Expect(1, 72887, '\p{^Is_Script_Extensions=-	Marchen}', "");
    Expect(1, 72887, '\P{Is_Script_Extensions=-	Marchen}', "");
    Expect(0, 72887, '\P{^Is_Script_Extensions=-	Marchen}', "");
    Error('\p{Is_Scx=_ marc/a/}');
    Error('\P{Is_Scx=_ marc/a/}');
    Expect(1, 72886, '\p{Is_Scx=marc}', "");
    Expect(0, 72886, '\p{^Is_Scx=marc}', "");
    Expect(0, 72886, '\P{Is_Scx=marc}', "");
    Expect(1, 72886, '\P{^Is_Scx=marc}', "");
    Expect(0, 72887, '\p{Is_Scx=marc}', "");
    Expect(1, 72887, '\p{^Is_Scx=marc}', "");
    Expect(1, 72887, '\P{Is_Scx=marc}', "");
    Expect(0, 72887, '\P{^Is_Scx=marc}', "");
    Expect(1, 72886, '\p{Is_Scx=	Marc}', "");
    Expect(0, 72886, '\p{^Is_Scx=	Marc}', "");
    Expect(0, 72886, '\P{Is_Scx=	Marc}', "");
    Expect(1, 72886, '\P{^Is_Scx=	Marc}', "");
    Expect(0, 72887, '\p{Is_Scx=	Marc}', "");
    Expect(1, 72887, '\p{^Is_Scx=	Marc}', "");
    Expect(1, 72887, '\P{Is_Scx=	Marc}', "");
    Expect(0, 72887, '\P{^Is_Scx=	Marc}', "");
    Error('\p{Script_Extensions=_ MEDEFAIDRIN:=}');
    Error('\P{Script_Extensions=_ MEDEFAIDRIN:=}');
    Expect(1, 93850, '\p{Script_Extensions=:\AMedefaidrin\z:}', "");;
    Expect(0, 93851, '\p{Script_Extensions=:\AMedefaidrin\z:}', "");;
    Expect(1, 93850, '\p{Script_Extensions=medefaidrin}', "");
    Expect(0, 93850, '\p{^Script_Extensions=medefaidrin}', "");
    Expect(0, 93850, '\P{Script_Extensions=medefaidrin}', "");
    Expect(1, 93850, '\P{^Script_Extensions=medefaidrin}', "");
    Expect(0, 93851, '\p{Script_Extensions=medefaidrin}', "");
    Expect(1, 93851, '\p{^Script_Extensions=medefaidrin}', "");
    Expect(1, 93851, '\P{Script_Extensions=medefaidrin}', "");
    Expect(0, 93851, '\P{^Script_Extensions=medefaidrin}', "");
    Expect(1, 93850, '\p{Script_Extensions=:\Amedefaidrin\z:}', "");;
    Expect(0, 93851, '\p{Script_Extensions=:\Amedefaidrin\z:}', "");;
    Expect(1, 93850, '\p{Script_Extensions: _medefaidrin}', "");
    Expect(0, 93850, '\p{^Script_Extensions: _medefaidrin}', "");
    Expect(0, 93850, '\P{Script_Extensions: _medefaidrin}', "");
    Expect(1, 93850, '\P{^Script_Extensions: _medefaidrin}', "");
    Expect(0, 93851, '\p{Script_Extensions: _medefaidrin}', "");
    Expect(1, 93851, '\p{^Script_Extensions: _medefaidrin}', "");
    Expect(1, 93851, '\P{Script_Extensions: _medefaidrin}', "");
    Expect(0, 93851, '\P{^Script_Extensions: _medefaidrin}', "");
    Error('\p{Scx=_/a/MEDF}');
    Error('\P{Scx=_/a/MEDF}');
    Expect(1, 93850, '\p{Scx=:\AMedf\z:}', "");;
    Expect(0, 93851, '\p{Scx=:\AMedf\z:}', "");;
    Expect(1, 93850, '\p{Scx=medf}', "");
    Expect(0, 93850, '\p{^Scx=medf}', "");
    Expect(0, 93850, '\P{Scx=medf}', "");
    Expect(1, 93850, '\P{^Scx=medf}', "");
    Expect(0, 93851, '\p{Scx=medf}', "");
    Expect(1, 93851, '\p{^Scx=medf}', "");
    Expect(1, 93851, '\P{Scx=medf}', "");
    Expect(0, 93851, '\P{^Scx=medf}', "");
    Expect(1, 93850, '\p{Scx=:\Amedf\z:}', "");;
    Expect(0, 93851, '\p{Scx=:\Amedf\z:}', "");;
    Expect(1, 93850, '\p{Scx=_MEDF}', "");
    Expect(0, 93850, '\p{^Scx=_MEDF}', "");
    Expect(0, 93850, '\P{Scx=_MEDF}', "");
    Expect(1, 93850, '\P{^Scx=_MEDF}', "");
    Expect(0, 93851, '\p{Scx=_MEDF}', "");
    Expect(1, 93851, '\p{^Scx=_MEDF}', "");
    Expect(1, 93851, '\P{Scx=_MEDF}', "");
    Expect(0, 93851, '\P{^Scx=_MEDF}', "");
    Error('\p{Is_Script_Extensions=_Medefaidrin/a/}');
    Error('\P{Is_Script_Extensions=_Medefaidrin/a/}');
    Expect(1, 93850, '\p{Is_Script_Extensions=medefaidrin}', "");
    Expect(0, 93850, '\p{^Is_Script_Extensions=medefaidrin}', "");
    Expect(0, 93850, '\P{Is_Script_Extensions=medefaidrin}', "");
    Expect(1, 93850, '\P{^Is_Script_Extensions=medefaidrin}', "");
    Expect(0, 93851, '\p{Is_Script_Extensions=medefaidrin}', "");
    Expect(1, 93851, '\p{^Is_Script_Extensions=medefaidrin}', "");
    Expect(1, 93851, '\P{Is_Script_Extensions=medefaidrin}', "");
    Expect(0, 93851, '\P{^Is_Script_Extensions=medefaidrin}', "");
    Expect(1, 93850, '\p{Is_Script_Extensions=	Medefaidrin}', "");
    Expect(0, 93850, '\p{^Is_Script_Extensions=	Medefaidrin}', "");
    Expect(0, 93850, '\P{Is_Script_Extensions=	Medefaidrin}', "");
    Expect(1, 93850, '\P{^Is_Script_Extensions=	Medefaidrin}', "");
    Expect(0, 93851, '\p{Is_Script_Extensions=	Medefaidrin}', "");
    Expect(1, 93851, '\p{^Is_Script_Extensions=	Medefaidrin}', "");
    Expect(1, 93851, '\P{Is_Script_Extensions=	Medefaidrin}', "");
    Expect(0, 93851, '\P{^Is_Script_Extensions=	Medefaidrin}', "");
    Error('\p{Is_Scx=_	Medf:=}');
    Error('\P{Is_Scx=_	Medf:=}');
    Expect(1, 93850, '\p{Is_Scx=medf}', "");
    Expect(0, 93850, '\p{^Is_Scx=medf}', "");
    Expect(0, 93850, '\P{Is_Scx=medf}', "");
    Expect(1, 93850, '\P{^Is_Scx=medf}', "");
    Expect(0, 93851, '\p{Is_Scx=medf}', "");
    Expect(1, 93851, '\p{^Is_Scx=medf}', "");
    Expect(1, 93851, '\P{Is_Scx=medf}', "");
    Expect(0, 93851, '\P{^Is_Scx=medf}', "");
    Expect(1, 93850, '\p{Is_Scx=		MEDF}', "");
    Expect(0, 93850, '\p{^Is_Scx=		MEDF}', "");
    Expect(0, 93850, '\P{Is_Scx=		MEDF}', "");
    Expect(1, 93850, '\P{^Is_Scx=		MEDF}', "");
    Expect(0, 93851, '\p{Is_Scx=		MEDF}', "");
    Expect(1, 93851, '\p{^Is_Scx=		MEDF}', "");
    Expect(1, 93851, '\P{Is_Scx=		MEDF}', "");
    Expect(0, 93851, '\P{^Is_Scx=		MEDF}', "");
    Error('\p{Script_Extensions=	/a/Mende_Kikakui}');
    Error('\P{Script_Extensions=	/a/Mende_Kikakui}');
    Expect(1, 125142, '\p{Script_Extensions=:\AMende_Kikakui\z:}', "");;
    Expect(0, 125143, '\p{Script_Extensions=:\AMende_Kikakui\z:}', "");;
    Expect(1, 125142, '\p{Script_Extensions=mendekikakui}', "");
    Expect(0, 125142, '\p{^Script_Extensions=mendekikakui}', "");
    Expect(0, 125142, '\P{Script_Extensions=mendekikakui}', "");
    Expect(1, 125142, '\P{^Script_Extensions=mendekikakui}', "");
    Expect(0, 125143, '\p{Script_Extensions=mendekikakui}', "");
    Expect(1, 125143, '\p{^Script_Extensions=mendekikakui}', "");
    Expect(1, 125143, '\P{Script_Extensions=mendekikakui}', "");
    Expect(0, 125143, '\P{^Script_Extensions=mendekikakui}', "");
    Expect(1, 125142, '\p{Script_Extensions=:\Amendekikakui\z:}', "");;
    Expect(0, 125143, '\p{Script_Extensions=:\Amendekikakui\z:}', "");;
    Expect(1, 125142, '\p{Script_Extensions=_-MENDE_kikakui}', "");
    Expect(0, 125142, '\p{^Script_Extensions=_-MENDE_kikakui}', "");
    Expect(0, 125142, '\P{Script_Extensions=_-MENDE_kikakui}', "");
    Expect(1, 125142, '\P{^Script_Extensions=_-MENDE_kikakui}', "");
    Expect(0, 125143, '\p{Script_Extensions=_-MENDE_kikakui}', "");
    Expect(1, 125143, '\p{^Script_Extensions=_-MENDE_kikakui}', "");
    Expect(1, 125143, '\P{Script_Extensions=_-MENDE_kikakui}', "");
    Expect(0, 125143, '\P{^Script_Extensions=_-MENDE_kikakui}', "");
    Error('\p{Scx=	/a/Mend}');
    Error('\P{Scx=	/a/Mend}');
    Expect(1, 125142, '\p{Scx=:\AMend\z:}', "");;
    Expect(0, 125143, '\p{Scx=:\AMend\z:}', "");;
    Expect(1, 125142, '\p{Scx=mend}', "");
    Expect(0, 125142, '\p{^Scx=mend}', "");
    Expect(0, 125142, '\P{Scx=mend}', "");
    Expect(1, 125142, '\P{^Scx=mend}', "");
    Expect(0, 125143, '\p{Scx=mend}', "");
    Expect(1, 125143, '\p{^Scx=mend}', "");
    Expect(1, 125143, '\P{Scx=mend}', "");
    Expect(0, 125143, '\P{^Scx=mend}', "");
    Expect(1, 125142, '\p{Scx=:\Amend\z:}', "");;
    Expect(0, 125143, '\p{Scx=:\Amend\z:}', "");;
    Expect(1, 125142, '\p{Scx:   _MEND}', "");
    Expect(0, 125142, '\p{^Scx:   _MEND}', "");
    Expect(0, 125142, '\P{Scx:   _MEND}', "");
    Expect(1, 125142, '\P{^Scx:   _MEND}', "");
    Expect(0, 125143, '\p{Scx:   _MEND}', "");
    Expect(1, 125143, '\p{^Scx:   _MEND}', "");
    Expect(1, 125143, '\P{Scx:   _MEND}', "");
    Expect(0, 125143, '\P{^Scx:   _MEND}', "");
    Error('\p{Is_Script_Extensions= /a/mende_Kikakui}');
    Error('\P{Is_Script_Extensions= /a/mende_Kikakui}');
    Expect(1, 125142, '\p{Is_Script_Extensions=mendekikakui}', "");
    Expect(0, 125142, '\p{^Is_Script_Extensions=mendekikakui}', "");
    Expect(0, 125142, '\P{Is_Script_Extensions=mendekikakui}', "");
    Expect(1, 125142, '\P{^Is_Script_Extensions=mendekikakui}', "");
    Expect(0, 125143, '\p{Is_Script_Extensions=mendekikakui}', "");
    Expect(1, 125143, '\p{^Is_Script_Extensions=mendekikakui}', "");
    Expect(1, 125143, '\P{Is_Script_Extensions=mendekikakui}', "");
    Expect(0, 125143, '\P{^Is_Script_Extensions=mendekikakui}', "");
    Expect(1, 125142, '\p{Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Expect(0, 125142, '\p{^Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Expect(0, 125142, '\P{Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Expect(1, 125142, '\P{^Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Expect(0, 125143, '\p{Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Expect(1, 125143, '\p{^Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Expect(1, 125143, '\P{Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Expect(0, 125143, '\P{^Is_Script_Extensions=	Mende_KIKAKUI}', "");
    Error('\p{Is_Scx=/a/		Mend}');
    Error('\P{Is_Scx=/a/		Mend}');
    Expect(1, 125142, '\p{Is_Scx:   mend}', "");
    Expect(0, 125142, '\p{^Is_Scx:   mend}', "");
    Expect(0, 125142, '\P{Is_Scx:   mend}', "");
    Expect(1, 125142, '\P{^Is_Scx:   mend}', "");
    Expect(0, 125143, '\p{Is_Scx:   mend}', "");
    Expect(1, 125143, '\p{^Is_Scx:   mend}', "");
    Expect(1, 125143, '\P{Is_Scx:   mend}', "");
    Expect(0, 125143, '\P{^Is_Scx:   mend}', "");
    Expect(1, 125142, '\p{Is_Scx=_ Mend}', "");
    Expect(0, 125142, '\p{^Is_Scx=_ Mend}', "");
    Expect(0, 125142, '\P{Is_Scx=_ Mend}', "");
    Expect(1, 125142, '\P{^Is_Scx=_ Mend}', "");
    Expect(0, 125143, '\p{Is_Scx=_ Mend}', "");
    Expect(1, 125143, '\p{^Is_Scx=_ Mend}', "");
    Expect(1, 125143, '\P{Is_Scx=_ Mend}', "");
    Expect(0, 125143, '\P{^Is_Scx=_ Mend}', "");
    Error('\p{Script_Extensions=	:=meroitic_cursive}');
    Error('\P{Script_Extensions=	:=meroitic_cursive}');
    Expect(1, 68095, '\p{Script_Extensions=:\AMeroitic_Cursive\z:}', "");;
    Expect(0, 68096, '\p{Script_Extensions=:\AMeroitic_Cursive\z:}', "");;
    Expect(1, 68095, '\p{Script_Extensions=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Script_Extensions=meroiticcursive}', "");
    Expect(0, 68095, '\P{Script_Extensions=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Script_Extensions=meroiticcursive}', "");
    Expect(0, 68096, '\p{Script_Extensions=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Script_Extensions=meroiticcursive}', "");
    Expect(1, 68096, '\P{Script_Extensions=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Script_Extensions=meroiticcursive}', "");
    Expect(1, 68095, '\p{Script_Extensions=:\Ameroiticcursive\z:}', "");;
    Expect(0, 68096, '\p{Script_Extensions=:\Ameroiticcursive\z:}', "");;
    Expect(1, 68095, '\p{Script_Extensions=Meroitic_CURSIVE}', "");
    Expect(0, 68095, '\p{^Script_Extensions=Meroitic_CURSIVE}', "");
    Expect(0, 68095, '\P{Script_Extensions=Meroitic_CURSIVE}', "");
    Expect(1, 68095, '\P{^Script_Extensions=Meroitic_CURSIVE}', "");
    Expect(0, 68096, '\p{Script_Extensions=Meroitic_CURSIVE}', "");
    Expect(1, 68096, '\p{^Script_Extensions=Meroitic_CURSIVE}', "");
    Expect(1, 68096, '\P{Script_Extensions=Meroitic_CURSIVE}', "");
    Expect(0, 68096, '\P{^Script_Extensions=Meroitic_CURSIVE}', "");
    Error('\p{Scx=	-merc:=}');
    Error('\P{Scx=	-merc:=}');
    Expect(1, 68095, '\p{Scx=:\AMerc\z:}', "");;
    Expect(0, 68096, '\p{Scx=:\AMerc\z:}', "");;
    Expect(1, 68095, '\p{Scx=merc}', "");
    Expect(0, 68095, '\p{^Scx=merc}', "");
    Expect(0, 68095, '\P{Scx=merc}', "");
    Expect(1, 68095, '\P{^Scx=merc}', "");
    Expect(0, 68096, '\p{Scx=merc}', "");
    Expect(1, 68096, '\p{^Scx=merc}', "");
    Expect(1, 68096, '\P{Scx=merc}', "");
    Expect(0, 68096, '\P{^Scx=merc}', "");
    Expect(1, 68095, '\p{Scx=:\Amerc\z:}', "");;
    Expect(0, 68096, '\p{Scx=:\Amerc\z:}', "");;
    Expect(1, 68095, '\p{Scx:	Merc}', "");
    Expect(0, 68095, '\p{^Scx:	Merc}', "");
    Expect(0, 68095, '\P{Scx:	Merc}', "");
    Expect(1, 68095, '\P{^Scx:	Merc}', "");
    Expect(0, 68096, '\p{Scx:	Merc}', "");
    Expect(1, 68096, '\p{^Scx:	Merc}', "");
    Expect(1, 68096, '\P{Scx:	Merc}', "");
    Expect(0, 68096, '\P{^Scx:	Merc}', "");
    Error('\p{Is_Script_Extensions=_/a/meroitic_CURSIVE}');
    Error('\P{Is_Script_Extensions=_/a/meroitic_CURSIVE}');
    Expect(1, 68095, '\p{Is_Script_Extensions=meroiticcursive}', "");
    Expect(0, 68095, '\p{^Is_Script_Extensions=meroiticcursive}', "");
    Expect(0, 68095, '\P{Is_Script_Extensions=meroiticcursive}', "");
    Expect(1, 68095, '\P{^Is_Script_Extensions=meroiticcursive}', "");
    Expect(0, 68096, '\p{Is_Script_Extensions=meroiticcursive}', "");
    Expect(1, 68096, '\p{^Is_Script_Extensions=meroiticcursive}', "");
    Expect(1, 68096, '\P{Is_Script_Extensions=meroiticcursive}', "");
    Expect(0, 68096, '\P{^Is_Script_Extensions=meroiticcursive}', "");
    Expect(1, 68095, '\p{Is_Script_Extensions=	meroitic_cursive}', "");
    Expect(0, 68095, '\p{^Is_Script_Extensions=	meroitic_cursive}', "");
    Expect(0, 68095, '\P{Is_Script_Extensions=	meroitic_cursive}', "");
    Expect(1, 68095, '\P{^Is_Script_Extensions=	meroitic_cursive}', "");
    Expect(0, 68096, '\p{Is_Script_Extensions=	meroitic_cursive}', "");
    Expect(1, 68096, '\p{^Is_Script_Extensions=	meroitic_cursive}', "");
    Expect(1, 68096, '\P{Is_Script_Extensions=	meroitic_cursive}', "");
    Expect(0, 68096, '\P{^Is_Script_Extensions=	meroitic_cursive}', "");
    Error('\p{Is_Scx=/a/-_Merc}');
    Error('\P{Is_Scx=/a/-_Merc}');
    Expect(1, 68095, '\p{Is_Scx=merc}', "");
    Expect(0, 68095, '\p{^Is_Scx=merc}', "");
    Expect(0, 68095, '\P{Is_Scx=merc}', "");
    Expect(1, 68095, '\P{^Is_Scx=merc}', "");
    Expect(0, 68096, '\p{Is_Scx=merc}', "");
    Expect(1, 68096, '\p{^Is_Scx=merc}', "");
    Expect(1, 68096, '\P{Is_Scx=merc}', "");
    Expect(0, 68096, '\P{^Is_Scx=merc}', "");
    Expect(1, 68095, '\p{Is_Scx=-	MERC}', "");
    Expect(0, 68095, '\p{^Is_Scx=-	MERC}', "");
    Expect(0, 68095, '\P{Is_Scx=-	MERC}', "");
    Expect(1, 68095, '\P{^Is_Scx=-	MERC}', "");
    Expect(0, 68096, '\p{Is_Scx=-	MERC}', "");
    Expect(1, 68096, '\p{^Is_Scx=-	MERC}', "");
    Expect(1, 68096, '\P{Is_Scx=-	MERC}', "");
    Expect(0, 68096, '\P{^Is_Scx=-	MERC}', "");
    Error('\p{Script_Extensions=/a/	_Meroitic_hieroglyphs}');
    Error('\P{Script_Extensions=/a/	_Meroitic_hieroglyphs}');
    Expect(1, 67999, '\p{Script_Extensions=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Script_Extensions=:\AMeroitic_Hieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Script_Extensions=:\Ameroitichieroglyphs\z:}', "");;
    Expect(0, 68000, '\p{Script_Extensions=:\Ameroitichieroglyphs\z:}', "");;
    Expect(1, 67999, '\p{Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\p{^Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Expect(0, 67999, '\P{Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Expect(1, 67999, '\P{^Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\p{Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\p{^Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Expect(1, 68000, '\P{Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Expect(0, 68000, '\P{^Script_Extensions:		_meroitic_Hieroglyphs}', "");
    Error('\p{Scx=/a/-_Mero}');
    Error('\P{Scx=/a/-_Mero}');
    Expect(1, 67999, '\p{Scx=:\AMero\z:}', "");;
    Expect(0, 68000, '\p{Scx=:\AMero\z:}', "");;
    Expect(1, 67999, '\p{Scx:mero}', "");
    Expect(0, 67999, '\p{^Scx:mero}', "");
    Expect(0, 67999, '\P{Scx:mero}', "");
    Expect(1, 67999, '\P{^Scx:mero}', "");
    Expect(0, 68000, '\p{Scx:mero}', "");
    Expect(1, 68000, '\p{^Scx:mero}', "");
    Expect(1, 68000, '\P{Scx:mero}', "");
    Expect(0, 68000, '\P{^Scx:mero}', "");
    Expect(1, 67999, '\p{Scx=:\Amero\z:}', "");;
    Expect(0, 68000, '\p{Scx=:\Amero\z:}', "");;
    Expect(1, 67999, '\p{Scx= -mero}', "");
    Expect(0, 67999, '\p{^Scx= -mero}', "");
    Expect(0, 67999, '\P{Scx= -mero}', "");
    Expect(1, 67999, '\P{^Scx= -mero}', "");
    Expect(0, 68000, '\p{Scx= -mero}', "");
    Expect(1, 68000, '\p{^Scx= -mero}', "");
    Expect(1, 68000, '\P{Scx= -mero}', "");
    Expect(0, 68000, '\P{^Scx= -mero}', "");
    Error('\p{Is_Script_Extensions=-Meroitic_hieroglyphs:=}');
    Error('\P{Is_Script_Extensions=-Meroitic_hieroglyphs:=}');
    Expect(1, 67999, '\p{Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 67999, '\p{^Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 67999, '\P{Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 67999, '\P{^Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 68000, '\p{Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 68000, '\p{^Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 68000, '\P{Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(0, 68000, '\P{^Is_Script_Extensions=meroitichieroglyphs}', "");
    Expect(1, 67999, '\p{Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Expect(0, 67999, '\p{^Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Expect(0, 67999, '\P{Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Expect(1, 67999, '\P{^Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Expect(0, 68000, '\p{Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Expect(1, 68000, '\p{^Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Expect(1, 68000, '\P{Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Expect(0, 68000, '\P{^Is_Script_Extensions= -meroitic_hieroglyphs}', "");
    Error('\p{Is_Scx=-:=mero}');
    Error('\P{Is_Scx=-:=mero}');
    Expect(1, 67999, '\p{Is_Scx=mero}', "");
    Expect(0, 67999, '\p{^Is_Scx=mero}', "");
    Expect(0, 67999, '\P{Is_Scx=mero}', "");
    Expect(1, 67999, '\P{^Is_Scx=mero}', "");
    Expect(0, 68000, '\p{Is_Scx=mero}', "");
    Expect(1, 68000, '\p{^Is_Scx=mero}', "");
    Expect(1, 68000, '\P{Is_Scx=mero}', "");
    Expect(0, 68000, '\P{^Is_Scx=mero}', "");
    Expect(1, 67999, '\p{Is_Scx:		MERO}', "");
    Expect(0, 67999, '\p{^Is_Scx:		MERO}', "");
    Expect(0, 67999, '\P{Is_Scx:		MERO}', "");
    Expect(1, 67999, '\P{^Is_Scx:		MERO}', "");
    Expect(0, 68000, '\p{Is_Scx:		MERO}', "");
    Expect(1, 68000, '\p{^Is_Scx:		MERO}', "");
    Expect(1, 68000, '\P{Is_Scx:		MERO}', "");
    Expect(0, 68000, '\P{^Is_Scx:		MERO}', "");
    Error('\p{Script_Extensions=/a/_MALAYALAM}');
    Error('\P{Script_Extensions=/a/_MALAYALAM}');
    Expect(1, 43058, '\p{Script_Extensions=:\AMalayalam\z:}', "");;
    Expect(0, 43059, '\p{Script_Extensions=:\AMalayalam\z:}', "");;
    Expect(1, 43058, '\p{Script_Extensions=malayalam}', "");
    Expect(0, 43058, '\p{^Script_Extensions=malayalam}', "");
    Expect(0, 43058, '\P{Script_Extensions=malayalam}', "");
    Expect(1, 43058, '\P{^Script_Extensions=malayalam}', "");
    Expect(0, 43059, '\p{Script_Extensions=malayalam}', "");
    Expect(1, 43059, '\p{^Script_Extensions=malayalam}', "");
    Expect(1, 43059, '\P{Script_Extensions=malayalam}', "");
    Expect(0, 43059, '\P{^Script_Extensions=malayalam}', "");
    Expect(1, 43058, '\p{Script_Extensions=:\Amalayalam\z:}', "");;
    Expect(0, 43059, '\p{Script_Extensions=:\Amalayalam\z:}', "");;
    Expect(1, 43058, '\p{Script_Extensions= Malayalam}', "");
    Expect(0, 43058, '\p{^Script_Extensions= Malayalam}', "");
    Expect(0, 43058, '\P{Script_Extensions= Malayalam}', "");
    Expect(1, 43058, '\P{^Script_Extensions= Malayalam}', "");
    Expect(0, 43059, '\p{Script_Extensions= Malayalam}', "");
    Expect(1, 43059, '\p{^Script_Extensions= Malayalam}', "");
    Expect(1, 43059, '\P{Script_Extensions= Malayalam}', "");
    Expect(0, 43059, '\P{^Script_Extensions= Malayalam}', "");
    Error('\p{Scx:	 Mlym:=}');
    Error('\P{Scx:	 Mlym:=}');
    Expect(1, 43058, '\p{Scx=:\AMlym\z:}', "");;
    Expect(0, 43059, '\p{Scx=:\AMlym\z:}', "");;
    Expect(1, 43058, '\p{Scx=mlym}', "");
    Expect(0, 43058, '\p{^Scx=mlym}', "");
    Expect(0, 43058, '\P{Scx=mlym}', "");
    Expect(1, 43058, '\P{^Scx=mlym}', "");
    Expect(0, 43059, '\p{Scx=mlym}', "");
    Expect(1, 43059, '\p{^Scx=mlym}', "");
    Expect(1, 43059, '\P{Scx=mlym}', "");
    Expect(0, 43059, '\P{^Scx=mlym}', "");
    Expect(1, 43058, '\p{Scx=:\Amlym\z:}', "");;
    Expect(0, 43059, '\p{Scx=:\Amlym\z:}', "");;
    Expect(1, 43058, '\p{Scx=__Mlym}', "");
    Expect(0, 43058, '\p{^Scx=__Mlym}', "");
    Expect(0, 43058, '\P{Scx=__Mlym}', "");
    Expect(1, 43058, '\P{^Scx=__Mlym}', "");
    Expect(0, 43059, '\p{Scx=__Mlym}', "");
    Expect(1, 43059, '\p{^Scx=__Mlym}', "");
    Expect(1, 43059, '\P{Scx=__Mlym}', "");
    Expect(0, 43059, '\P{^Scx=__Mlym}', "");
    Error('\p{Is_Script_Extensions=/a/-	Malayalam}');
    Error('\P{Is_Script_Extensions=/a/-	Malayalam}');
    Expect(1, 43058, '\p{Is_Script_Extensions=malayalam}', "");
    Expect(0, 43058, '\p{^Is_Script_Extensions=malayalam}', "");
    Expect(0, 43058, '\P{Is_Script_Extensions=malayalam}', "");
    Expect(1, 43058, '\P{^Is_Script_Extensions=malayalam}', "");
    Expect(0, 43059, '\p{Is_Script_Extensions=malayalam}', "");
    Expect(1, 43059, '\p{^Is_Script_Extensions=malayalam}', "");
    Expect(1, 43059, '\P{Is_Script_Extensions=malayalam}', "");
    Expect(0, 43059, '\P{^Is_Script_Extensions=malayalam}', "");
    Expect(1, 43058, '\p{Is_Script_Extensions=	_Malayalam}', "");
    Expect(0, 43058, '\p{^Is_Script_Extensions=	_Malayalam}', "");
    Expect(0, 43058, '\P{Is_Script_Extensions=	_Malayalam}', "");
    Expect(1, 43058, '\P{^Is_Script_Extensions=	_Malayalam}', "");
    Expect(0, 43059, '\p{Is_Script_Extensions=	_Malayalam}', "");
    Expect(1, 43059, '\p{^Is_Script_Extensions=	_Malayalam}', "");
    Expect(1, 43059, '\P{Is_Script_Extensions=	_Malayalam}', "");
    Expect(0, 43059, '\P{^Is_Script_Extensions=	_Malayalam}', "");
    Error('\p{Is_Scx=:=_MLYM}');
    Error('\P{Is_Scx=:=_MLYM}');
    Expect(1, 43058, '\p{Is_Scx=mlym}', "");
    Expect(0, 43058, '\p{^Is_Scx=mlym}', "");
    Expect(0, 43058, '\P{Is_Scx=mlym}', "");
    Expect(1, 43058, '\P{^Is_Scx=mlym}', "");
    Expect(0, 43059, '\p{Is_Scx=mlym}', "");
    Expect(1, 43059, '\p{^Is_Scx=mlym}', "");
    Expect(1, 43059, '\P{Is_Scx=mlym}', "");
    Expect(0, 43059, '\P{^Is_Scx=mlym}', "");
    Expect(1, 43058, '\p{Is_Scx=-	Mlym}', "");
    Expect(0, 43058, '\p{^Is_Scx=-	Mlym}', "");
    Expect(0, 43058, '\P{Is_Scx=-	Mlym}', "");
    Expect(1, 43058, '\P{^Is_Scx=-	Mlym}', "");
    Expect(0, 43059, '\p{Is_Scx=-	Mlym}', "");
    Expect(1, 43059, '\p{^Is_Scx=-	Mlym}', "");
    Expect(1, 43059, '\P{Is_Scx=-	Mlym}', "");
    Expect(0, 43059, '\P{^Is_Scx=-	Mlym}', "");
    Error('\p{Script_Extensions=-:=modi}');
    Error('\P{Script_Extensions=-:=modi}');
    Expect(1, 71257, '\p{Script_Extensions=:\AModi\z:}', "");;
    Expect(0, 71258, '\p{Script_Extensions=:\AModi\z:}', "");;
    Expect(1, 71257, '\p{Script_Extensions:   modi}', "");
    Expect(0, 71257, '\p{^Script_Extensions:   modi}', "");
    Expect(0, 71257, '\P{Script_Extensions:   modi}', "");
    Expect(1, 71257, '\P{^Script_Extensions:   modi}', "");
    Expect(0, 71258, '\p{Script_Extensions:   modi}', "");
    Expect(1, 71258, '\p{^Script_Extensions:   modi}', "");
    Expect(1, 71258, '\P{Script_Extensions:   modi}', "");
    Expect(0, 71258, '\P{^Script_Extensions:   modi}', "");
    Expect(1, 71257, '\p{Script_Extensions=:\Amodi\z:}', "");;
    Expect(0, 71258, '\p{Script_Extensions=:\Amodi\z:}', "");;
    Expect(1, 71257, '\p{Script_Extensions=		modi}', "");
    Expect(0, 71257, '\p{^Script_Extensions=		modi}', "");
    Expect(0, 71257, '\P{Script_Extensions=		modi}', "");
    Expect(1, 71257, '\P{^Script_Extensions=		modi}', "");
    Expect(0, 71258, '\p{Script_Extensions=		modi}', "");
    Expect(1, 71258, '\p{^Script_Extensions=		modi}', "");
    Expect(1, 71258, '\P{Script_Extensions=		modi}', "");
    Expect(0, 71258, '\P{^Script_Extensions=		modi}', "");
    Error('\p{Scx=:=	_modi}');
    Error('\P{Scx=:=	_modi}');
    Expect(1, 71257, '\p{Scx=:\AModi\z:}', "");;
    Expect(0, 71258, '\p{Scx=:\AModi\z:}', "");;
    Expect(1, 71257, '\p{Scx=modi}', "");
    Expect(0, 71257, '\p{^Scx=modi}', "");
    Expect(0, 71257, '\P{Scx=modi}', "");
    Expect(1, 71257, '\P{^Scx=modi}', "");
    Expect(0, 71258, '\p{Scx=modi}', "");
    Expect(1, 71258, '\p{^Scx=modi}', "");
    Expect(1, 71258, '\P{Scx=modi}', "");
    Expect(0, 71258, '\P{^Scx=modi}', "");
    Expect(1, 71257, '\p{Scx=:\Amodi\z:}', "");;
    Expect(0, 71258, '\p{Scx=:\Amodi\z:}', "");;
    Expect(1, 71257, '\p{Scx=_Modi}', "");
    Expect(0, 71257, '\p{^Scx=_Modi}', "");
    Expect(0, 71257, '\P{Scx=_Modi}', "");
    Expect(1, 71257, '\P{^Scx=_Modi}', "");
    Expect(0, 71258, '\p{Scx=_Modi}', "");
    Expect(1, 71258, '\p{^Scx=_Modi}', "");
    Expect(1, 71258, '\P{Scx=_Modi}', "");
    Expect(0, 71258, '\P{^Scx=_Modi}', "");
    Error('\p{Is_Script_Extensions= /a/Modi}');
    Error('\P{Is_Script_Extensions= /a/Modi}');
    Expect(1, 71257, '\p{Is_Script_Extensions=modi}', "");
    Expect(0, 71257, '\p{^Is_Script_Extensions=modi}', "");
    Expect(0, 71257, '\P{Is_Script_Extensions=modi}', "");
    Expect(1, 71257, '\P{^Is_Script_Extensions=modi}', "");
    Expect(0, 71258, '\p{Is_Script_Extensions=modi}', "");
    Expect(1, 71258, '\p{^Is_Script_Extensions=modi}', "");
    Expect(1, 71258, '\P{Is_Script_Extensions=modi}', "");
    Expect(0, 71258, '\P{^Is_Script_Extensions=modi}', "");
    Expect(1, 71257, '\p{Is_Script_Extensions=_MODI}', "");
    Expect(0, 71257, '\p{^Is_Script_Extensions=_MODI}', "");
    Expect(0, 71257, '\P{Is_Script_Extensions=_MODI}', "");
    Expect(1, 71257, '\P{^Is_Script_Extensions=_MODI}', "");
    Expect(0, 71258, '\p{Is_Script_Extensions=_MODI}', "");
    Expect(1, 71258, '\p{^Is_Script_Extensions=_MODI}', "");
    Expect(1, 71258, '\P{Is_Script_Extensions=_MODI}', "");
    Expect(0, 71258, '\P{^Is_Script_Extensions=_MODI}', "");
    Error('\p{Is_Scx=-:=Modi}');
    Error('\P{Is_Scx=-:=Modi}');
    Expect(1, 71257, '\p{Is_Scx=modi}', "");
    Expect(0, 71257, '\p{^Is_Scx=modi}', "");
    Expect(0, 71257, '\P{Is_Scx=modi}', "");
    Expect(1, 71257, '\P{^Is_Scx=modi}', "");
    Expect(0, 71258, '\p{Is_Scx=modi}', "");
    Expect(1, 71258, '\p{^Is_Scx=modi}', "");
    Expect(1, 71258, '\P{Is_Scx=modi}', "");
    Expect(0, 71258, '\P{^Is_Scx=modi}', "");
    Expect(1, 71257, '\p{Is_Scx=-Modi}', "");
    Expect(0, 71257, '\p{^Is_Scx=-Modi}', "");
    Expect(0, 71257, '\P{Is_Scx=-Modi}', "");
    Expect(1, 71257, '\P{^Is_Scx=-Modi}', "");
    Expect(0, 71258, '\p{Is_Scx=-Modi}', "");
    Expect(1, 71258, '\p{^Is_Scx=-Modi}', "");
    Expect(1, 71258, '\P{Is_Scx=-Modi}', "");
    Expect(0, 71258, '\P{^Is_Scx=-Modi}', "");
    Error('\p{Script_Extensions: _/a/MONGOLIAN}');
    Error('\P{Script_Extensions: _/a/MONGOLIAN}');
    Expect(1, 71276, '\p{Script_Extensions=:\AMongolian\z:}', "");;
    Expect(0, 71277, '\p{Script_Extensions=:\AMongolian\z:}', "");;
    Expect(1, 71276, '\p{Script_Extensions=mongolian}', "");
    Expect(0, 71276, '\p{^Script_Extensions=mongolian}', "");
    Expect(0, 71276, '\P{Script_Extensions=mongolian}', "");
    Expect(1, 71276, '\P{^Script_Extensions=mongolian}', "");
    Expect(0, 71277, '\p{Script_Extensions=mongolian}', "");
    Expect(1, 71277, '\p{^Script_Extensions=mongolian}', "");
    Expect(1, 71277, '\P{Script_Extensions=mongolian}', "");
    Expect(0, 71277, '\P{^Script_Extensions=mongolian}', "");
    Expect(1, 71276, '\p{Script_Extensions=:\Amongolian\z:}', "");;
    Expect(0, 71277, '\p{Script_Extensions=:\Amongolian\z:}', "");;
    Expect(1, 71276, '\p{Script_Extensions= -mongolian}', "");
    Expect(0, 71276, '\p{^Script_Extensions= -mongolian}', "");
    Expect(0, 71276, '\P{Script_Extensions= -mongolian}', "");
    Expect(1, 71276, '\P{^Script_Extensions= -mongolian}', "");
    Expect(0, 71277, '\p{Script_Extensions= -mongolian}', "");
    Expect(1, 71277, '\p{^Script_Extensions= -mongolian}', "");
    Expect(1, 71277, '\P{Script_Extensions= -mongolian}', "");
    Expect(0, 71277, '\P{^Script_Extensions= -mongolian}', "");
    Error('\p{Scx=/a/_	mong}');
    Error('\P{Scx=/a/_	mong}');
    Expect(1, 71276, '\p{Scx=:\AMong\z:}', "");;
    Expect(0, 71277, '\p{Scx=:\AMong\z:}', "");;
    Expect(1, 71276, '\p{Scx=mong}', "");
    Expect(0, 71276, '\p{^Scx=mong}', "");
    Expect(0, 71276, '\P{Scx=mong}', "");
    Expect(1, 71276, '\P{^Scx=mong}', "");
    Expect(0, 71277, '\p{Scx=mong}', "");
    Expect(1, 71277, '\p{^Scx=mong}', "");
    Expect(1, 71277, '\P{Scx=mong}', "");
    Expect(0, 71277, '\P{^Scx=mong}', "");
    Expect(1, 71276, '\p{Scx=:\Among\z:}', "");;
    Expect(0, 71277, '\p{Scx=:\Among\z:}', "");;
    Expect(1, 71276, '\p{Scx=	-Mong}', "");
    Expect(0, 71276, '\p{^Scx=	-Mong}', "");
    Expect(0, 71276, '\P{Scx=	-Mong}', "");
    Expect(1, 71276, '\P{^Scx=	-Mong}', "");
    Expect(0, 71277, '\p{Scx=	-Mong}', "");
    Expect(1, 71277, '\p{^Scx=	-Mong}', "");
    Expect(1, 71277, '\P{Scx=	-Mong}', "");
    Expect(0, 71277, '\P{^Scx=	-Mong}', "");
    Error('\p{Is_Script_Extensions=	/a/mongolian}');
    Error('\P{Is_Script_Extensions=	/a/mongolian}');
    Expect(1, 71276, '\p{Is_Script_Extensions=mongolian}', "");
    Expect(0, 71276, '\p{^Is_Script_Extensions=mongolian}', "");
    Expect(0, 71276, '\P{Is_Script_Extensions=mongolian}', "");
    Expect(1, 71276, '\P{^Is_Script_Extensions=mongolian}', "");
    Expect(0, 71277, '\p{Is_Script_Extensions=mongolian}', "");
    Expect(1, 71277, '\p{^Is_Script_Extensions=mongolian}', "");
    Expect(1, 71277, '\P{Is_Script_Extensions=mongolian}', "");
    Expect(0, 71277, '\P{^Is_Script_Extensions=mongolian}', "");
    Expect(1, 71276, '\p{Is_Script_Extensions=	 mongolian}', "");
    Expect(0, 71276, '\p{^Is_Script_Extensions=	 mongolian}', "");
    Expect(0, 71276, '\P{Is_Script_Extensions=	 mongolian}', "");
    Expect(1, 71276, '\P{^Is_Script_Extensions=	 mongolian}', "");
    Expect(0, 71277, '\p{Is_Script_Extensions=	 mongolian}', "");
    Expect(1, 71277, '\p{^Is_Script_Extensions=	 mongolian}', "");
    Expect(1, 71277, '\P{Is_Script_Extensions=	 mongolian}', "");
    Expect(0, 71277, '\P{^Is_Script_Extensions=	 mongolian}', "");
    Error('\p{Is_Scx:		/a/mong}');
    Error('\P{Is_Scx:		/a/mong}');
    Expect(1, 71276, '\p{Is_Scx=mong}', "");
    Expect(0, 71276, '\p{^Is_Scx=mong}', "");
    Expect(0, 71276, '\P{Is_Scx=mong}', "");
    Expect(1, 71276, '\P{^Is_Scx=mong}', "");
    Expect(0, 71277, '\p{Is_Scx=mong}', "");
    Expect(1, 71277, '\p{^Is_Scx=mong}', "");
    Expect(1, 71277, '\P{Is_Scx=mong}', "");
    Expect(0, 71277, '\P{^Is_Scx=mong}', "");
    Expect(1, 71276, '\p{Is_Scx=__Mong}', "");
    Expect(0, 71276, '\p{^Is_Scx=__Mong}', "");
    Expect(0, 71276, '\P{Is_Scx=__Mong}', "");
    Expect(1, 71276, '\P{^Is_Scx=__Mong}', "");
    Expect(0, 71277, '\p{Is_Scx=__Mong}', "");
    Expect(1, 71277, '\p{^Is_Scx=__Mong}', "");
    Expect(1, 71277, '\P{Is_Scx=__Mong}', "");
    Expect(0, 71277, '\P{^Is_Scx=__Mong}', "");
    Error('\p{Script_Extensions= _Mro:=}');
    Error('\P{Script_Extensions= _Mro:=}');
    Expect(1, 92783, '\p{Script_Extensions=:\AMro\z:}', "");;
    Expect(0, 92784, '\p{Script_Extensions=:\AMro\z:}', "");;
    Expect(1, 92783, '\p{Script_Extensions=mro}', "");
    Expect(0, 92783, '\p{^Script_Extensions=mro}', "");
    Expect(0, 92783, '\P{Script_Extensions=mro}', "");
    Expect(1, 92783, '\P{^Script_Extensions=mro}', "");
    Expect(0, 92784, '\p{Script_Extensions=mro}', "");
    Expect(1, 92784, '\p{^Script_Extensions=mro}', "");
    Expect(1, 92784, '\P{Script_Extensions=mro}', "");
    Expect(0, 92784, '\P{^Script_Extensions=mro}', "");
    Expect(1, 92783, '\p{Script_Extensions=:\Amro\z:}', "");;
    Expect(0, 92784, '\p{Script_Extensions=:\Amro\z:}', "");;
    Expect(1, 92783, '\p{Script_Extensions= 	mro}', "");
    Expect(0, 92783, '\p{^Script_Extensions= 	mro}', "");
    Expect(0, 92783, '\P{Script_Extensions= 	mro}', "");
    Expect(1, 92783, '\P{^Script_Extensions= 	mro}', "");
    Expect(0, 92784, '\p{Script_Extensions= 	mro}', "");
    Expect(1, 92784, '\p{^Script_Extensions= 	mro}', "");
    Expect(1, 92784, '\P{Script_Extensions= 	mro}', "");
    Expect(0, 92784, '\P{^Script_Extensions= 	mro}', "");
    Error('\p{Scx= mroo:=}');
    Error('\P{Scx= mroo:=}');
    Expect(1, 92783, '\p{Scx=:\AMroo\z:}', "");;
    Expect(0, 92784, '\p{Scx=:\AMroo\z:}', "");;
    Expect(1, 92783, '\p{Scx=mroo}', "");
    Expect(0, 92783, '\p{^Scx=mroo}', "");
    Expect(0, 92783, '\P{Scx=mroo}', "");
    Expect(1, 92783, '\P{^Scx=mroo}', "");
    Expect(0, 92784, '\p{Scx=mroo}', "");
    Expect(1, 92784, '\p{^Scx=mroo}', "");
    Expect(1, 92784, '\P{Scx=mroo}', "");
    Expect(0, 92784, '\P{^Scx=mroo}', "");
    Expect(1, 92783, '\p{Scx=:\Amroo\z:}', "");;
    Expect(0, 92784, '\p{Scx=:\Amroo\z:}', "");;
    Expect(1, 92783, '\p{Scx=-	Mroo}', "");
    Expect(0, 92783, '\p{^Scx=-	Mroo}', "");
    Expect(0, 92783, '\P{Scx=-	Mroo}', "");
    Expect(1, 92783, '\P{^Scx=-	Mroo}', "");
    Expect(0, 92784, '\p{Scx=-	Mroo}', "");
    Expect(1, 92784, '\p{^Scx=-	Mroo}', "");
    Expect(1, 92784, '\P{Scx=-	Mroo}', "");
    Expect(0, 92784, '\P{^Scx=-	Mroo}', "");
    Error('\p{Is_Script_Extensions=/a/ _Mro}');
    Error('\P{Is_Script_Extensions=/a/ _Mro}');
    Expect(1, 92783, '\p{Is_Script_Extensions:	mro}', "");
    Expect(0, 92783, '\p{^Is_Script_Extensions:	mro}', "");
    Expect(0, 92783, '\P{Is_Script_Extensions:	mro}', "");
    Expect(1, 92783, '\P{^Is_Script_Extensions:	mro}', "");
    Expect(0, 92784, '\p{Is_Script_Extensions:	mro}', "");
    Expect(1, 92784, '\p{^Is_Script_Extensions:	mro}', "");
    Expect(1, 92784, '\P{Is_Script_Extensions:	mro}', "");
    Expect(0, 92784, '\P{^Is_Script_Extensions:	mro}', "");
    Expect(1, 92783, '\p{Is_Script_Extensions=	_mro}', "");
    Expect(0, 92783, '\p{^Is_Script_Extensions=	_mro}', "");
    Expect(0, 92783, '\P{Is_Script_Extensions=	_mro}', "");
    Expect(1, 92783, '\P{^Is_Script_Extensions=	_mro}', "");
    Expect(0, 92784, '\p{Is_Script_Extensions=	_mro}', "");
    Expect(1, 92784, '\p{^Is_Script_Extensions=	_mro}', "");
    Expect(1, 92784, '\P{Is_Script_Extensions=	_mro}', "");
    Expect(0, 92784, '\P{^Is_Script_Extensions=	_mro}', "");
    Error('\p{Is_Scx= :=mroo}');
    Error('\P{Is_Scx= :=mroo}');
    Expect(1, 92783, '\p{Is_Scx=mroo}', "");
    Expect(0, 92783, '\p{^Is_Scx=mroo}', "");
    Expect(0, 92783, '\P{Is_Scx=mroo}', "");
    Expect(1, 92783, '\P{^Is_Scx=mroo}', "");
    Expect(0, 92784, '\p{Is_Scx=mroo}', "");
    Expect(1, 92784, '\p{^Is_Scx=mroo}', "");
    Expect(1, 92784, '\P{Is_Scx=mroo}', "");
    Expect(0, 92784, '\P{^Is_Scx=mroo}', "");
    Expect(1, 92783, '\p{Is_Scx=_-mroo}', "");
    Expect(0, 92783, '\p{^Is_Scx=_-mroo}', "");
    Expect(0, 92783, '\P{Is_Scx=_-mroo}', "");
    Expect(1, 92783, '\P{^Is_Scx=_-mroo}', "");
    Expect(0, 92784, '\p{Is_Scx=_-mroo}', "");
    Expect(1, 92784, '\p{^Is_Scx=_-mroo}', "");
    Expect(1, 92784, '\P{Is_Scx=_-mroo}', "");
    Expect(0, 92784, '\P{^Is_Scx=_-mroo}', "");
    Error('\p{Script_Extensions=-_Meetei_MAYEK/a/}');
    Error('\P{Script_Extensions=-_Meetei_MAYEK/a/}');
    Expect(1, 44025, '\p{Script_Extensions=:\AMeetei_Mayek\z:}', "");;
    Expect(0, 44026, '\p{Script_Extensions=:\AMeetei_Mayek\z:}', "");;
    Expect(1, 44025, '\p{Script_Extensions=meeteimayek}', "");
    Expect(0, 44025, '\p{^Script_Extensions=meeteimayek}', "");
    Expect(0, 44025, '\P{Script_Extensions=meeteimayek}', "");
    Expect(1, 44025, '\P{^Script_Extensions=meeteimayek}', "");
    Expect(0, 44026, '\p{Script_Extensions=meeteimayek}', "");
    Expect(1, 44026, '\p{^Script_Extensions=meeteimayek}', "");
    Expect(1, 44026, '\P{Script_Extensions=meeteimayek}', "");
    Expect(0, 44026, '\P{^Script_Extensions=meeteimayek}', "");
    Expect(1, 44025, '\p{Script_Extensions=:\Ameeteimayek\z:}', "");;
    Expect(0, 44026, '\p{Script_Extensions=:\Ameeteimayek\z:}', "");;
    Expect(1, 44025, '\p{Script_Extensions=_	MEETEI_Mayek}', "");
    Expect(0, 44025, '\p{^Script_Extensions=_	MEETEI_Mayek}', "");
    Expect(0, 44025, '\P{Script_Extensions=_	MEETEI_Mayek}', "");
    Expect(1, 44025, '\P{^Script_Extensions=_	MEETEI_Mayek}', "");
    Expect(0, 44026, '\p{Script_Extensions=_	MEETEI_Mayek}', "");
    Expect(1, 44026, '\p{^Script_Extensions=_	MEETEI_Mayek}', "");
    Expect(1, 44026, '\P{Script_Extensions=_	MEETEI_Mayek}', "");
    Expect(0, 44026, '\P{^Script_Extensions=_	MEETEI_Mayek}', "");
    Error('\p{Scx=:=	Mtei}');
    Error('\P{Scx=:=	Mtei}');
    Expect(1, 44025, '\p{Scx=:\AMtei\z:}', "");;
    Expect(0, 44026, '\p{Scx=:\AMtei\z:}', "");;
    Expect(1, 44025, '\p{Scx=mtei}', "");
    Expect(0, 44025, '\p{^Scx=mtei}', "");
    Expect(0, 44025, '\P{Scx=mtei}', "");
    Expect(1, 44025, '\P{^Scx=mtei}', "");
    Expect(0, 44026, '\p{Scx=mtei}', "");
    Expect(1, 44026, '\p{^Scx=mtei}', "");
    Expect(1, 44026, '\P{Scx=mtei}', "");
    Expect(0, 44026, '\P{^Scx=mtei}', "");
    Expect(1, 44025, '\p{Scx=:\Amtei\z:}', "");;
    Expect(0, 44026, '\p{Scx=:\Amtei\z:}', "");;
    Expect(1, 44025, '\p{Scx=	 Mtei}', "");
    Expect(0, 44025, '\p{^Scx=	 Mtei}', "");
    Expect(0, 44025, '\P{Scx=	 Mtei}', "");
    Expect(1, 44025, '\P{^Scx=	 Mtei}', "");
    Expect(0, 44026, '\p{Scx=	 Mtei}', "");
    Expect(1, 44026, '\p{^Scx=	 Mtei}', "");
    Expect(1, 44026, '\P{Scx=	 Mtei}', "");
    Expect(0, 44026, '\P{^Scx=	 Mtei}', "");
    Error('\p{Is_Script_Extensions=_Meetei_Mayek/a/}');
    Error('\P{Is_Script_Extensions=_Meetei_Mayek/a/}');
    Expect(1, 44025, '\p{Is_Script_Extensions=meeteimayek}', "");
    Expect(0, 44025, '\p{^Is_Script_Extensions=meeteimayek}', "");
    Expect(0, 44025, '\P{Is_Script_Extensions=meeteimayek}', "");
    Expect(1, 44025, '\P{^Is_Script_Extensions=meeteimayek}', "");
    Expect(0, 44026, '\p{Is_Script_Extensions=meeteimayek}', "");
    Expect(1, 44026, '\p{^Is_Script_Extensions=meeteimayek}', "");
    Expect(1, 44026, '\P{Is_Script_Extensions=meeteimayek}', "");
    Expect(0, 44026, '\P{^Is_Script_Extensions=meeteimayek}', "");
    Expect(1, 44025, '\p{Is_Script_Extensions= _Meetei_MAYEK}', "");
    Expect(0, 44025, '\p{^Is_Script_Extensions= _Meetei_MAYEK}', "");
    Expect(0, 44025, '\P{Is_Script_Extensions= _Meetei_MAYEK}', "");
    Expect(1, 44025, '\P{^Is_Script_Extensions= _Meetei_MAYEK}', "");
    Expect(0, 44026, '\p{Is_Script_Extensions= _Meetei_MAYEK}', "");
    Expect(1, 44026, '\p{^Is_Script_Extensions= _Meetei_MAYEK}', "");
    Expect(1, 44026, '\P{Is_Script_Extensions= _Meetei_MAYEK}', "");
    Expect(0, 44026, '\P{^Is_Script_Extensions= _Meetei_MAYEK}', "");
    Error('\p{Is_Scx:__MTEI:=}');
    Error('\P{Is_Scx:__MTEI:=}');
    Expect(1, 44025, '\p{Is_Scx=mtei}', "");
    Expect(0, 44025, '\p{^Is_Scx=mtei}', "");
    Expect(0, 44025, '\P{Is_Scx=mtei}', "");
    Expect(1, 44025, '\P{^Is_Scx=mtei}', "");
    Expect(0, 44026, '\p{Is_Scx=mtei}', "");
    Expect(1, 44026, '\p{^Is_Scx=mtei}', "");
    Expect(1, 44026, '\P{Is_Scx=mtei}', "");
    Expect(0, 44026, '\P{^Is_Scx=mtei}', "");
    Expect(1, 44025, '\p{Is_Scx=-mtei}', "");
    Expect(0, 44025, '\p{^Is_Scx=-mtei}', "");
    Expect(0, 44025, '\P{Is_Scx=-mtei}', "");
    Expect(1, 44025, '\P{^Is_Scx=-mtei}', "");
    Expect(0, 44026, '\p{Is_Scx=-mtei}', "");
    Expect(1, 44026, '\p{^Is_Scx=-mtei}', "");
    Expect(1, 44026, '\P{Is_Scx=-mtei}', "");
    Expect(0, 44026, '\P{^Is_Scx=-mtei}', "");
    Error('\p{Script_Extensions= /a/Multani}');
    Error('\P{Script_Extensions= /a/Multani}');
    Expect(1, 70313, '\p{Script_Extensions=:\AMultani\z:}', "");;
    Expect(0, 70314, '\p{Script_Extensions=:\AMultani\z:}', "");;
    Expect(1, 70313, '\p{Script_Extensions=multani}', "");
    Expect(0, 70313, '\p{^Script_Extensions=multani}', "");
    Expect(0, 70313, '\P{Script_Extensions=multani}', "");
    Expect(1, 70313, '\P{^Script_Extensions=multani}', "");
    Expect(0, 70314, '\p{Script_Extensions=multani}', "");
    Expect(1, 70314, '\p{^Script_Extensions=multani}', "");
    Expect(1, 70314, '\P{Script_Extensions=multani}', "");
    Expect(0, 70314, '\P{^Script_Extensions=multani}', "");
    Expect(1, 70313, '\p{Script_Extensions=:\Amultani\z:}', "");;
    Expect(0, 70314, '\p{Script_Extensions=:\Amultani\z:}', "");;
    Expect(1, 70313, '\p{Script_Extensions:-multani}', "");
    Expect(0, 70313, '\p{^Script_Extensions:-multani}', "");
    Expect(0, 70313, '\P{Script_Extensions:-multani}', "");
    Expect(1, 70313, '\P{^Script_Extensions:-multani}', "");
    Expect(0, 70314, '\p{Script_Extensions:-multani}', "");
    Expect(1, 70314, '\p{^Script_Extensions:-multani}', "");
    Expect(1, 70314, '\P{Script_Extensions:-multani}', "");
    Expect(0, 70314, '\P{^Script_Extensions:-multani}', "");
    Error('\p{Scx=:=	_MULT}');
    Error('\P{Scx=:=	_MULT}');
    Expect(1, 70313, '\p{Scx=:\AMult\z:}', "");;
    Expect(0, 70314, '\p{Scx=:\AMult\z:}', "");;
    Expect(1, 70313, '\p{Scx=mult}', "");
    Expect(0, 70313, '\p{^Scx=mult}', "");
    Expect(0, 70313, '\P{Scx=mult}', "");
    Expect(1, 70313, '\P{^Scx=mult}', "");
    Expect(0, 70314, '\p{Scx=mult}', "");
    Expect(1, 70314, '\p{^Scx=mult}', "");
    Expect(1, 70314, '\P{Scx=mult}', "");
    Expect(0, 70314, '\P{^Scx=mult}', "");
    Expect(1, 70313, '\p{Scx=:\Amult\z:}', "");;
    Expect(0, 70314, '\p{Scx=:\Amult\z:}', "");;
    Expect(1, 70313, '\p{Scx: - Mult}', "");
    Expect(0, 70313, '\p{^Scx: - Mult}', "");
    Expect(0, 70313, '\P{Scx: - Mult}', "");
    Expect(1, 70313, '\P{^Scx: - Mult}', "");
    Expect(0, 70314, '\p{Scx: - Mult}', "");
    Expect(1, 70314, '\p{^Scx: - Mult}', "");
    Expect(1, 70314, '\P{Scx: - Mult}', "");
    Expect(0, 70314, '\P{^Scx: - Mult}', "");
    Error('\p{Is_Script_Extensions=_:=Multani}');
    Error('\P{Is_Script_Extensions=_:=Multani}');
    Expect(1, 70313, '\p{Is_Script_Extensions=multani}', "");
    Expect(0, 70313, '\p{^Is_Script_Extensions=multani}', "");
    Expect(0, 70313, '\P{Is_Script_Extensions=multani}', "");
    Expect(1, 70313, '\P{^Is_Script_Extensions=multani}', "");
    Expect(0, 70314, '\p{Is_Script_Extensions=multani}', "");
    Expect(1, 70314, '\p{^Is_Script_Extensions=multani}', "");
    Expect(1, 70314, '\P{Is_Script_Extensions=multani}', "");
    Expect(0, 70314, '\P{^Is_Script_Extensions=multani}', "");
    Expect(1, 70313, '\p{Is_Script_Extensions=_	MULTANI}', "");
    Expect(0, 70313, '\p{^Is_Script_Extensions=_	MULTANI}', "");
    Expect(0, 70313, '\P{Is_Script_Extensions=_	MULTANI}', "");
    Expect(1, 70313, '\P{^Is_Script_Extensions=_	MULTANI}', "");
    Expect(0, 70314, '\p{Is_Script_Extensions=_	MULTANI}', "");
    Expect(1, 70314, '\p{^Is_Script_Extensions=_	MULTANI}', "");
    Expect(1, 70314, '\P{Is_Script_Extensions=_	MULTANI}', "");
    Expect(0, 70314, '\P{^Is_Script_Extensions=_	MULTANI}', "");
    Error('\p{Is_Scx: :=_ Mult}');
    Error('\P{Is_Scx: :=_ Mult}');
    Expect(1, 70313, '\p{Is_Scx=mult}', "");
    Expect(0, 70313, '\p{^Is_Scx=mult}', "");
    Expect(0, 70313, '\P{Is_Scx=mult}', "");
    Expect(1, 70313, '\P{^Is_Scx=mult}', "");
    Expect(0, 70314, '\p{Is_Scx=mult}', "");
    Expect(1, 70314, '\p{^Is_Scx=mult}', "");
    Expect(1, 70314, '\P{Is_Scx=mult}', "");
    Expect(0, 70314, '\P{^Is_Scx=mult}', "");
    Expect(1, 70313, '\p{Is_Scx:	_MULT}', "");
    Expect(0, 70313, '\p{^Is_Scx:	_MULT}', "");
    Expect(0, 70313, '\P{Is_Scx:	_MULT}', "");
    Expect(1, 70313, '\P{^Is_Scx:	_MULT}', "");
    Expect(0, 70314, '\p{Is_Scx:	_MULT}', "");
    Expect(1, 70314, '\p{^Is_Scx:	_MULT}', "");
    Expect(1, 70314, '\P{Is_Scx:	_MULT}', "");
    Expect(0, 70314, '\P{^Is_Scx:	_MULT}', "");
    Error('\p{Script_Extensions=:=myanmar}');
    Error('\P{Script_Extensions=:=myanmar}');
    Expect(1, 43647, '\p{Script_Extensions=:\AMyanmar\z:}', "");;
    Expect(0, 43648, '\p{Script_Extensions=:\AMyanmar\z:}', "");;
    Expect(1, 43647, '\p{Script_Extensions=myanmar}', "");
    Expect(0, 43647, '\p{^Script_Extensions=myanmar}', "");
    Expect(0, 43647, '\P{Script_Extensions=myanmar}', "");
    Expect(1, 43647, '\P{^Script_Extensions=myanmar}', "");
    Expect(0, 43648, '\p{Script_Extensions=myanmar}', "");
    Expect(1, 43648, '\p{^Script_Extensions=myanmar}', "");
    Expect(1, 43648, '\P{Script_Extensions=myanmar}', "");
    Expect(0, 43648, '\P{^Script_Extensions=myanmar}', "");
    Expect(1, 43647, '\p{Script_Extensions=:\Amyanmar\z:}', "");;
    Expect(0, 43648, '\p{Script_Extensions=:\Amyanmar\z:}', "");;
    Expect(1, 43647, '\p{Script_Extensions= myanmar}', "");
    Expect(0, 43647, '\p{^Script_Extensions= myanmar}', "");
    Expect(0, 43647, '\P{Script_Extensions= myanmar}', "");
    Expect(1, 43647, '\P{^Script_Extensions= myanmar}', "");
    Expect(0, 43648, '\p{Script_Extensions= myanmar}', "");
    Expect(1, 43648, '\p{^Script_Extensions= myanmar}', "");
    Expect(1, 43648, '\P{Script_Extensions= myanmar}', "");
    Expect(0, 43648, '\P{^Script_Extensions= myanmar}', "");
    Error('\p{Scx= :=Mymr}');
    Error('\P{Scx= :=Mymr}');
    Expect(1, 43647, '\p{Scx=:\AMymr\z:}', "");;
    Expect(0, 43648, '\p{Scx=:\AMymr\z:}', "");;
    Expect(1, 43647, '\p{Scx=mymr}', "");
    Expect(0, 43647, '\p{^Scx=mymr}', "");
    Expect(0, 43647, '\P{Scx=mymr}', "");
    Expect(1, 43647, '\P{^Scx=mymr}', "");
    Expect(0, 43648, '\p{Scx=mymr}', "");
    Expect(1, 43648, '\p{^Scx=mymr}', "");
    Expect(1, 43648, '\P{Scx=mymr}', "");
    Expect(0, 43648, '\P{^Scx=mymr}', "");
    Expect(1, 43647, '\p{Scx=:\Amymr\z:}', "");;
    Expect(0, 43648, '\p{Scx=:\Amymr\z:}', "");;
    Expect(1, 43647, '\p{Scx=  Mymr}', "");
    Expect(0, 43647, '\p{^Scx=  Mymr}', "");
    Expect(0, 43647, '\P{Scx=  Mymr}', "");
    Expect(1, 43647, '\P{^Scx=  Mymr}', "");
    Expect(0, 43648, '\p{Scx=  Mymr}', "");
    Expect(1, 43648, '\p{^Scx=  Mymr}', "");
    Expect(1, 43648, '\P{Scx=  Mymr}', "");
    Expect(0, 43648, '\P{^Scx=  Mymr}', "");
    Error('\p{Is_Script_Extensions=__myanmar:=}');
    Error('\P{Is_Script_Extensions=__myanmar:=}');
    Expect(1, 43647, '\p{Is_Script_Extensions=myanmar}', "");
    Expect(0, 43647, '\p{^Is_Script_Extensions=myanmar}', "");
    Expect(0, 43647, '\P{Is_Script_Extensions=myanmar}', "");
    Expect(1, 43647, '\P{^Is_Script_Extensions=myanmar}', "");
    Expect(0, 43648, '\p{Is_Script_Extensions=myanmar}', "");
    Expect(1, 43648, '\p{^Is_Script_Extensions=myanmar}', "");
    Expect(1, 43648, '\P{Is_Script_Extensions=myanmar}', "");
    Expect(0, 43648, '\P{^Is_Script_Extensions=myanmar}', "");
    Expect(1, 43647, '\p{Is_Script_Extensions=_Myanmar}', "");
    Expect(0, 43647, '\p{^Is_Script_Extensions=_Myanmar}', "");
    Expect(0, 43647, '\P{Is_Script_Extensions=_Myanmar}', "");
    Expect(1, 43647, '\P{^Is_Script_Extensions=_Myanmar}', "");
    Expect(0, 43648, '\p{Is_Script_Extensions=_Myanmar}', "");
    Expect(1, 43648, '\p{^Is_Script_Extensions=_Myanmar}', "");
    Expect(1, 43648, '\P{Is_Script_Extensions=_Myanmar}', "");
    Expect(0, 43648, '\P{^Is_Script_Extensions=_Myanmar}', "");
    Error('\p{Is_Scx=_Mymr:=}');
    Error('\P{Is_Scx=_Mymr:=}');
    Expect(1, 43647, '\p{Is_Scx=mymr}', "");
    Expect(0, 43647, '\p{^Is_Scx=mymr}', "");
    Expect(0, 43647, '\P{Is_Scx=mymr}', "");
    Expect(1, 43647, '\P{^Is_Scx=mymr}', "");
    Expect(0, 43648, '\p{Is_Scx=mymr}', "");
    Expect(1, 43648, '\p{^Is_Scx=mymr}', "");
    Expect(1, 43648, '\P{Is_Scx=mymr}', "");
    Expect(0, 43648, '\P{^Is_Scx=mymr}', "");
    Expect(1, 43647, '\p{Is_Scx:   --Mymr}', "");
    Expect(0, 43647, '\p{^Is_Scx:   --Mymr}', "");
    Expect(0, 43647, '\P{Is_Scx:   --Mymr}', "");
    Expect(1, 43647, '\P{^Is_Scx:   --Mymr}', "");
    Expect(0, 43648, '\p{Is_Scx:   --Mymr}', "");
    Expect(1, 43648, '\p{^Is_Scx:   --Mymr}', "");
    Expect(1, 43648, '\P{Is_Scx:   --Mymr}', "");
    Expect(0, 43648, '\P{^Is_Scx:   --Mymr}', "");
    Error('\p{Script_Extensions=:= 	Nandinagari}');
    Error('\P{Script_Extensions=:= 	Nandinagari}');
    Expect(1, 72164, '\p{Script_Extensions=:\ANandinagari\z:}', "");;
    Expect(0, 72165, '\p{Script_Extensions=:\ANandinagari\z:}', "");;
    Expect(1, 72164, '\p{Script_Extensions=nandinagari}', "");
    Expect(0, 72164, '\p{^Script_Extensions=nandinagari}', "");
    Expect(0, 72164, '\P{Script_Extensions=nandinagari}', "");
    Expect(1, 72164, '\P{^Script_Extensions=nandinagari}', "");
    Expect(0, 72165, '\p{Script_Extensions=nandinagari}', "");
    Expect(1, 72165, '\p{^Script_Extensions=nandinagari}', "");
    Expect(1, 72165, '\P{Script_Extensions=nandinagari}', "");
    Expect(0, 72165, '\P{^Script_Extensions=nandinagari}', "");
    Expect(1, 72164, '\p{Script_Extensions=:\Anandinagari\z:}', "");;
    Expect(0, 72165, '\p{Script_Extensions=:\Anandinagari\z:}', "");;
    Expect(1, 72164, '\p{Script_Extensions:   _NANDINAGARI}', "");
    Expect(0, 72164, '\p{^Script_Extensions:   _NANDINAGARI}', "");
    Expect(0, 72164, '\P{Script_Extensions:   _NANDINAGARI}', "");
    Expect(1, 72164, '\P{^Script_Extensions:   _NANDINAGARI}', "");
    Expect(0, 72165, '\p{Script_Extensions:   _NANDINAGARI}', "");
    Expect(1, 72165, '\p{^Script_Extensions:   _NANDINAGARI}', "");
    Expect(1, 72165, '\P{Script_Extensions:   _NANDINAGARI}', "");
    Expect(0, 72165, '\P{^Script_Extensions:   _NANDINAGARI}', "");
    Error('\p{Scx= NAND/a/}');
    Error('\P{Scx= NAND/a/}');
    Expect(1, 72164, '\p{Scx=:\ANand\z:}', "");;
    Expect(0, 72165, '\p{Scx=:\ANand\z:}', "");;
    Expect(1, 72164, '\p{Scx=nand}', "");
    Expect(0, 72164, '\p{^Scx=nand}', "");
    Expect(0, 72164, '\P{Scx=nand}', "");
    Expect(1, 72164, '\P{^Scx=nand}', "");
    Expect(0, 72165, '\p{Scx=nand}', "");
    Expect(1, 72165, '\p{^Scx=nand}', "");
    Expect(1, 72165, '\P{Scx=nand}', "");
    Expect(0, 72165, '\P{^Scx=nand}', "");
    Expect(1, 72164, '\p{Scx=:\Anand\z:}', "");;
    Expect(0, 72165, '\p{Scx=:\Anand\z:}', "");;
    Expect(1, 72164, '\p{Scx:	-Nand}', "");
    Expect(0, 72164, '\p{^Scx:	-Nand}', "");
    Expect(0, 72164, '\P{Scx:	-Nand}', "");
    Expect(1, 72164, '\P{^Scx:	-Nand}', "");
    Expect(0, 72165, '\p{Scx:	-Nand}', "");
    Expect(1, 72165, '\p{^Scx:	-Nand}', "");
    Expect(1, 72165, '\P{Scx:	-Nand}', "");
    Expect(0, 72165, '\P{^Scx:	-Nand}', "");
    Error('\p{Is_Script_Extensions=/a/NANDINAGARI}');
    Error('\P{Is_Script_Extensions=/a/NANDINAGARI}');
    Expect(1, 72164, '\p{Is_Script_Extensions:	nandinagari}', "");
    Expect(0, 72164, '\p{^Is_Script_Extensions:	nandinagari}', "");
    Expect(0, 72164, '\P{Is_Script_Extensions:	nandinagari}', "");
    Expect(1, 72164, '\P{^Is_Script_Extensions:	nandinagari}', "");
    Expect(0, 72165, '\p{Is_Script_Extensions:	nandinagari}', "");
    Expect(1, 72165, '\p{^Is_Script_Extensions:	nandinagari}', "");
    Expect(1, 72165, '\P{Is_Script_Extensions:	nandinagari}', "");
    Expect(0, 72165, '\P{^Is_Script_Extensions:	nandinagari}', "");
    Expect(1, 72164, '\p{Is_Script_Extensions: Nandinagari}', "");
    Expect(0, 72164, '\p{^Is_Script_Extensions: Nandinagari}', "");
    Expect(0, 72164, '\P{Is_Script_Extensions: Nandinagari}', "");
    Expect(1, 72164, '\P{^Is_Script_Extensions: Nandinagari}', "");
    Expect(0, 72165, '\p{Is_Script_Extensions: Nandinagari}', "");
    Expect(1, 72165, '\p{^Is_Script_Extensions: Nandinagari}', "");
    Expect(1, 72165, '\P{Is_Script_Extensions: Nandinagari}', "");
    Expect(0, 72165, '\P{^Is_Script_Extensions: Nandinagari}', "");
    Error('\p{Is_Scx=/a/		NAND}');
    Error('\P{Is_Scx=/a/		NAND}');
    Expect(1, 72164, '\p{Is_Scx=nand}', "");
    Expect(0, 72164, '\p{^Is_Scx=nand}', "");
    Expect(0, 72164, '\P{Is_Scx=nand}', "");
    Expect(1, 72164, '\P{^Is_Scx=nand}', "");
    Expect(0, 72165, '\p{Is_Scx=nand}', "");
    Expect(1, 72165, '\p{^Is_Scx=nand}', "");
    Expect(1, 72165, '\P{Is_Scx=nand}', "");
    Expect(0, 72165, '\P{^Is_Scx=nand}', "");
    Expect(1, 72164, '\p{Is_Scx=Nand}', "");
    Expect(0, 72164, '\p{^Is_Scx=Nand}', "");
    Expect(0, 72164, '\P{Is_Scx=Nand}', "");
    Expect(1, 72164, '\P{^Is_Scx=Nand}', "");
    Expect(0, 72165, '\p{Is_Scx=Nand}', "");
    Expect(1, 72165, '\p{^Is_Scx=Nand}', "");
    Expect(1, 72165, '\P{Is_Scx=Nand}', "");
    Expect(0, 72165, '\P{^Is_Scx=Nand}', "");
    Error('\p{Script_Extensions=	/a/OLD_North_ARABIAN}');
    Error('\P{Script_Extensions=	/a/OLD_North_ARABIAN}');
    Expect(1, 68255, '\p{Script_Extensions=:\AOld_North_Arabian\z:}', "");;
    Expect(0, 68256, '\p{Script_Extensions=:\AOld_North_Arabian\z:}', "");;
    Expect(1, 68255, '\p{Script_Extensions=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Script_Extensions=oldnortharabian}', "");
    Expect(0, 68255, '\P{Script_Extensions=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Script_Extensions=oldnortharabian}', "");
    Expect(0, 68256, '\p{Script_Extensions=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Script_Extensions=oldnortharabian}', "");
    Expect(1, 68256, '\P{Script_Extensions=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Script_Extensions=oldnortharabian}', "");
    Expect(1, 68255, '\p{Script_Extensions=:\Aoldnortharabian\z:}', "");;
    Expect(0, 68256, '\p{Script_Extensions=:\Aoldnortharabian\z:}', "");;
    Expect(1, 68255, '\p{Script_Extensions=_	OLD_North_Arabian}', "");
    Expect(0, 68255, '\p{^Script_Extensions=_	OLD_North_Arabian}', "");
    Expect(0, 68255, '\P{Script_Extensions=_	OLD_North_Arabian}', "");
    Expect(1, 68255, '\P{^Script_Extensions=_	OLD_North_Arabian}', "");
    Expect(0, 68256, '\p{Script_Extensions=_	OLD_North_Arabian}', "");
    Expect(1, 68256, '\p{^Script_Extensions=_	OLD_North_Arabian}', "");
    Expect(1, 68256, '\P{Script_Extensions=_	OLD_North_Arabian}', "");
    Expect(0, 68256, '\P{^Script_Extensions=_	OLD_North_Arabian}', "");
    Error('\p{Scx=:=_	NARB}');
    Error('\P{Scx=:=_	NARB}');
    Expect(1, 68255, '\p{Scx=:\ANarb\z:}', "");;
    Expect(0, 68256, '\p{Scx=:\ANarb\z:}', "");;
    Expect(1, 68255, '\p{Scx=narb}', "");
    Expect(0, 68255, '\p{^Scx=narb}', "");
    Expect(0, 68255, '\P{Scx=narb}', "");
    Expect(1, 68255, '\P{^Scx=narb}', "");
    Expect(0, 68256, '\p{Scx=narb}', "");
    Expect(1, 68256, '\p{^Scx=narb}', "");
    Expect(1, 68256, '\P{Scx=narb}', "");
    Expect(0, 68256, '\P{^Scx=narb}', "");
    Expect(1, 68255, '\p{Scx=:\Anarb\z:}', "");;
    Expect(0, 68256, '\p{Scx=:\Anarb\z:}', "");;
    Expect(1, 68255, '\p{Scx=	_NARB}', "");
    Expect(0, 68255, '\p{^Scx=	_NARB}', "");
    Expect(0, 68255, '\P{Scx=	_NARB}', "");
    Expect(1, 68255, '\P{^Scx=	_NARB}', "");
    Expect(0, 68256, '\p{Scx=	_NARB}', "");
    Expect(1, 68256, '\p{^Scx=	_NARB}', "");
    Expect(1, 68256, '\P{Scx=	_NARB}', "");
    Expect(0, 68256, '\P{^Scx=	_NARB}', "");
    Error('\p{Is_Script_Extensions=/a/_ Old_north_ARABIAN}');
    Error('\P{Is_Script_Extensions=/a/_ Old_north_ARABIAN}');
    Expect(1, 68255, '\p{Is_Script_Extensions=oldnortharabian}', "");
    Expect(0, 68255, '\p{^Is_Script_Extensions=oldnortharabian}', "");
    Expect(0, 68255, '\P{Is_Script_Extensions=oldnortharabian}', "");
    Expect(1, 68255, '\P{^Is_Script_Extensions=oldnortharabian}', "");
    Expect(0, 68256, '\p{Is_Script_Extensions=oldnortharabian}', "");
    Expect(1, 68256, '\p{^Is_Script_Extensions=oldnortharabian}', "");
    Expect(1, 68256, '\P{Is_Script_Extensions=oldnortharabian}', "");
    Expect(0, 68256, '\P{^Is_Script_Extensions=oldnortharabian}', "");
    Expect(1, 68255, '\p{Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Expect(0, 68255, '\p{^Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Expect(0, 68255, '\P{Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Expect(1, 68255, '\P{^Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Expect(0, 68256, '\p{Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Expect(1, 68256, '\p{^Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Expect(1, 68256, '\P{Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Expect(0, 68256, '\P{^Is_Script_Extensions:   -_OLD_NORTH_ARABIAN}', "");
    Error('\p{Is_Scx=/a/ _NARB}');
    Error('\P{Is_Scx=/a/ _NARB}');
    Expect(1, 68255, '\p{Is_Scx=narb}', "");
    Expect(0, 68255, '\p{^Is_Scx=narb}', "");
    Expect(0, 68255, '\P{Is_Scx=narb}', "");
    Expect(1, 68255, '\P{^Is_Scx=narb}', "");
    Expect(0, 68256, '\p{Is_Scx=narb}', "");
    Expect(1, 68256, '\p{^Is_Scx=narb}', "");
    Expect(1, 68256, '\P{Is_Scx=narb}', "");
    Expect(0, 68256, '\P{^Is_Scx=narb}', "");
    Expect(1, 68255, '\p{Is_Scx=Narb}', "");
    Expect(0, 68255, '\p{^Is_Scx=Narb}', "");
    Expect(0, 68255, '\P{Is_Scx=Narb}', "");
    Expect(1, 68255, '\P{^Is_Scx=Narb}', "");
    Expect(0, 68256, '\p{Is_Scx=Narb}', "");
    Expect(1, 68256, '\p{^Is_Scx=Narb}', "");
    Expect(1, 68256, '\P{Is_Scx=Narb}', "");
    Expect(0, 68256, '\P{^Is_Scx=Narb}', "");
    Error('\p{Script_Extensions:/a/_NABATAEAN}');
    Error('\P{Script_Extensions:/a/_NABATAEAN}');
    Expect(1, 67759, '\p{Script_Extensions=:\ANabataean\z:}', "");;
    Expect(0, 67760, '\p{Script_Extensions=:\ANabataean\z:}', "");;
    Expect(1, 67759, '\p{Script_Extensions:   nabataean}', "");
    Expect(0, 67759, '\p{^Script_Extensions:   nabataean}', "");
    Expect(0, 67759, '\P{Script_Extensions:   nabataean}', "");
    Expect(1, 67759, '\P{^Script_Extensions:   nabataean}', "");
    Expect(0, 67760, '\p{Script_Extensions:   nabataean}', "");
    Expect(1, 67760, '\p{^Script_Extensions:   nabataean}', "");
    Expect(1, 67760, '\P{Script_Extensions:   nabataean}', "");
    Expect(0, 67760, '\P{^Script_Extensions:   nabataean}', "");
    Expect(1, 67759, '\p{Script_Extensions=:\Anabataean\z:}', "");;
    Expect(0, 67760, '\p{Script_Extensions=:\Anabataean\z:}', "");;
    Expect(1, 67759, '\p{Script_Extensions:-Nabataean}', "");
    Expect(0, 67759, '\p{^Script_Extensions:-Nabataean}', "");
    Expect(0, 67759, '\P{Script_Extensions:-Nabataean}', "");
    Expect(1, 67759, '\P{^Script_Extensions:-Nabataean}', "");
    Expect(0, 67760, '\p{Script_Extensions:-Nabataean}', "");
    Expect(1, 67760, '\p{^Script_Extensions:-Nabataean}', "");
    Expect(1, 67760, '\P{Script_Extensions:-Nabataean}', "");
    Expect(0, 67760, '\P{^Script_Extensions:-Nabataean}', "");
    Error('\p{Scx=-NBAT/a/}');
    Error('\P{Scx=-NBAT/a/}');
    Expect(1, 67759, '\p{Scx=:\ANbat\z:}', "");;
    Expect(0, 67760, '\p{Scx=:\ANbat\z:}', "");;
    Expect(1, 67759, '\p{Scx=nbat}', "");
    Expect(0, 67759, '\p{^Scx=nbat}', "");
    Expect(0, 67759, '\P{Scx=nbat}', "");
    Expect(1, 67759, '\P{^Scx=nbat}', "");
    Expect(0, 67760, '\p{Scx=nbat}', "");
    Expect(1, 67760, '\p{^Scx=nbat}', "");
    Expect(1, 67760, '\P{Scx=nbat}', "");
    Expect(0, 67760, '\P{^Scx=nbat}', "");
    Expect(1, 67759, '\p{Scx=:\Anbat\z:}', "");;
    Expect(0, 67760, '\p{Scx=:\Anbat\z:}', "");;
    Expect(1, 67759, '\p{Scx=-Nbat}', "");
    Expect(0, 67759, '\p{^Scx=-Nbat}', "");
    Expect(0, 67759, '\P{Scx=-Nbat}', "");
    Expect(1, 67759, '\P{^Scx=-Nbat}', "");
    Expect(0, 67760, '\p{Scx=-Nbat}', "");
    Expect(1, 67760, '\p{^Scx=-Nbat}', "");
    Expect(1, 67760, '\P{Scx=-Nbat}', "");
    Expect(0, 67760, '\P{^Scx=-Nbat}', "");
    Error('\p{Is_Script_Extensions=-Nabataean/a/}');
    Error('\P{Is_Script_Extensions=-Nabataean/a/}');
    Expect(1, 67759, '\p{Is_Script_Extensions=nabataean}', "");
    Expect(0, 67759, '\p{^Is_Script_Extensions=nabataean}', "");
    Expect(0, 67759, '\P{Is_Script_Extensions=nabataean}', "");
    Expect(1, 67759, '\P{^Is_Script_Extensions=nabataean}', "");
    Expect(0, 67760, '\p{Is_Script_Extensions=nabataean}', "");
    Expect(1, 67760, '\p{^Is_Script_Extensions=nabataean}', "");
    Expect(1, 67760, '\P{Is_Script_Extensions=nabataean}', "");
    Expect(0, 67760, '\P{^Is_Script_Extensions=nabataean}', "");
    Expect(1, 67759, '\p{Is_Script_Extensions=		Nabataean}', "");
    Expect(0, 67759, '\p{^Is_Script_Extensions=		Nabataean}', "");
    Expect(0, 67759, '\P{Is_Script_Extensions=		Nabataean}', "");
    Expect(1, 67759, '\P{^Is_Script_Extensions=		Nabataean}', "");
    Expect(0, 67760, '\p{Is_Script_Extensions=		Nabataean}', "");
    Expect(1, 67760, '\p{^Is_Script_Extensions=		Nabataean}', "");
    Expect(1, 67760, '\P{Is_Script_Extensions=		Nabataean}', "");
    Expect(0, 67760, '\P{^Is_Script_Extensions=		Nabataean}', "");
    Error('\p{Is_Scx=_:=Nbat}');
    Error('\P{Is_Scx=_:=Nbat}');
    Expect(1, 67759, '\p{Is_Scx=nbat}', "");
    Expect(0, 67759, '\p{^Is_Scx=nbat}', "");
    Expect(0, 67759, '\P{Is_Scx=nbat}', "");
    Expect(1, 67759, '\P{^Is_Scx=nbat}', "");
    Expect(0, 67760, '\p{Is_Scx=nbat}', "");
    Expect(1, 67760, '\p{^Is_Scx=nbat}', "");
    Expect(1, 67760, '\P{Is_Scx=nbat}', "");
    Expect(0, 67760, '\P{^Is_Scx=nbat}', "");
    Expect(1, 67759, '\p{Is_Scx=- nbat}', "");
    Expect(0, 67759, '\p{^Is_Scx=- nbat}', "");
    Expect(0, 67759, '\P{Is_Scx=- nbat}', "");
    Expect(1, 67759, '\P{^Is_Scx=- nbat}', "");
    Expect(0, 67760, '\p{Is_Scx=- nbat}', "");
    Expect(1, 67760, '\p{^Is_Scx=- nbat}', "");
    Expect(1, 67760, '\P{Is_Scx=- nbat}', "");
    Expect(0, 67760, '\P{^Is_Scx=- nbat}', "");
    Error('\p{Script_Extensions=/a/newa}');
    Error('\P{Script_Extensions=/a/newa}');
    Expect(1, 70753, '\p{Script_Extensions=:\ANewa\z:}', "");;
    Expect(0, 70754, '\p{Script_Extensions=:\ANewa\z:}', "");;
    Expect(1, 70753, '\p{Script_Extensions=newa}', "");
    Expect(0, 70753, '\p{^Script_Extensions=newa}', "");
    Expect(0, 70753, '\P{Script_Extensions=newa}', "");
    Expect(1, 70753, '\P{^Script_Extensions=newa}', "");
    Expect(0, 70754, '\p{Script_Extensions=newa}', "");
    Expect(1, 70754, '\p{^Script_Extensions=newa}', "");
    Expect(1, 70754, '\P{Script_Extensions=newa}', "");
    Expect(0, 70754, '\P{^Script_Extensions=newa}', "");
    Expect(1, 70753, '\p{Script_Extensions=:\Anewa\z:}', "");;
    Expect(0, 70754, '\p{Script_Extensions=:\Anewa\z:}', "");;
    Expect(1, 70753, '\p{Script_Extensions=	_newa}', "");
    Expect(0, 70753, '\p{^Script_Extensions=	_newa}', "");
    Expect(0, 70753, '\P{Script_Extensions=	_newa}', "");
    Expect(1, 70753, '\P{^Script_Extensions=	_newa}', "");
    Expect(0, 70754, '\p{Script_Extensions=	_newa}', "");
    Expect(1, 70754, '\p{^Script_Extensions=	_newa}', "");
    Expect(1, 70754, '\P{Script_Extensions=	_newa}', "");
    Expect(0, 70754, '\P{^Script_Extensions=	_newa}', "");
    Error('\p{Scx=	:=Newa}');
    Error('\P{Scx=	:=Newa}');
    Expect(1, 70753, '\p{Scx=:\ANewa\z:}', "");;
    Expect(0, 70754, '\p{Scx=:\ANewa\z:}', "");;
    Expect(1, 70753, '\p{Scx=newa}', "");
    Expect(0, 70753, '\p{^Scx=newa}', "");
    Expect(0, 70753, '\P{Scx=newa}', "");
    Expect(1, 70753, '\P{^Scx=newa}', "");
    Expect(0, 70754, '\p{Scx=newa}', "");
    Expect(1, 70754, '\p{^Scx=newa}', "");
    Expect(1, 70754, '\P{Scx=newa}', "");
    Expect(0, 70754, '\P{^Scx=newa}', "");
    Expect(1, 70753, '\p{Scx=:\Anewa\z:}', "");;
    Expect(0, 70754, '\p{Scx=:\Anewa\z:}', "");;
    Expect(1, 70753, '\p{Scx=Newa}', "");
    Expect(0, 70753, '\p{^Scx=Newa}', "");
    Expect(0, 70753, '\P{Scx=Newa}', "");
    Expect(1, 70753, '\P{^Scx=Newa}', "");
    Expect(0, 70754, '\p{Scx=Newa}', "");
    Expect(1, 70754, '\p{^Scx=Newa}', "");
    Expect(1, 70754, '\P{Scx=Newa}', "");
    Expect(0, 70754, '\P{^Scx=Newa}', "");
    Error('\p{Is_Script_Extensions=	 newa/a/}');
    Error('\P{Is_Script_Extensions=	 newa/a/}');
    Expect(1, 70753, '\p{Is_Script_Extensions:newa}', "");
    Expect(0, 70753, '\p{^Is_Script_Extensions:newa}', "");
    Expect(0, 70753, '\P{Is_Script_Extensions:newa}', "");
    Expect(1, 70753, '\P{^Is_Script_Extensions:newa}', "");
    Expect(0, 70754, '\p{Is_Script_Extensions:newa}', "");
    Expect(1, 70754, '\p{^Is_Script_Extensions:newa}', "");
    Expect(1, 70754, '\P{Is_Script_Extensions:newa}', "");
    Expect(0, 70754, '\P{^Is_Script_Extensions:newa}', "");
    Expect(1, 70753, '\p{Is_Script_Extensions= -Newa}', "");
    Expect(0, 70753, '\p{^Is_Script_Extensions= -Newa}', "");
    Expect(0, 70753, '\P{Is_Script_Extensions= -Newa}', "");
    Expect(1, 70753, '\P{^Is_Script_Extensions= -Newa}', "");
    Expect(0, 70754, '\p{Is_Script_Extensions= -Newa}', "");
    Expect(1, 70754, '\p{^Is_Script_Extensions= -Newa}', "");
    Expect(1, 70754, '\P{Is_Script_Extensions= -Newa}', "");
    Expect(0, 70754, '\P{^Is_Script_Extensions= -Newa}', "");
    Error('\p{Is_Scx=:=newa}');
    Error('\P{Is_Scx=:=newa}');
    Expect(1, 70753, '\p{Is_Scx=newa}', "");
    Expect(0, 70753, '\p{^Is_Scx=newa}', "");
    Expect(0, 70753, '\P{Is_Scx=newa}', "");
    Expect(1, 70753, '\P{^Is_Scx=newa}', "");
    Expect(0, 70754, '\p{Is_Scx=newa}', "");
    Expect(1, 70754, '\p{^Is_Scx=newa}', "");
    Expect(1, 70754, '\P{Is_Scx=newa}', "");
    Expect(0, 70754, '\P{^Is_Scx=newa}', "");
    Expect(1, 70753, '\p{Is_Scx=_	NEWA}', "");
    Expect(0, 70753, '\p{^Is_Scx=_	NEWA}', "");
    Expect(0, 70753, '\P{Is_Scx=_	NEWA}', "");
    Expect(1, 70753, '\P{^Is_Scx=_	NEWA}', "");
    Expect(0, 70754, '\p{Is_Scx=_	NEWA}', "");
    Expect(1, 70754, '\p{^Is_Scx=_	NEWA}', "");
    Expect(1, 70754, '\P{Is_Scx=_	NEWA}', "");
    Expect(0, 70754, '\P{^Is_Scx=_	NEWA}', "");
    Error('\p{Script_Extensions=_	NKO/a/}');
    Error('\P{Script_Extensions=_	NKO/a/}');
    Expect(1, 64831, '\p{Script_Extensions=:\ANko\z:}', "");;
    Expect(0, 64832, '\p{Script_Extensions=:\ANko\z:}', "");;
    Expect(1, 64831, '\p{Script_Extensions=nko}', "");
    Expect(0, 64831, '\p{^Script_Extensions=nko}', "");
    Expect(0, 64831, '\P{Script_Extensions=nko}', "");
    Expect(1, 64831, '\P{^Script_Extensions=nko}', "");
    Expect(0, 64832, '\p{Script_Extensions=nko}', "");
    Expect(1, 64832, '\p{^Script_Extensions=nko}', "");
    Expect(1, 64832, '\P{Script_Extensions=nko}', "");
    Expect(0, 64832, '\P{^Script_Extensions=nko}', "");
    Expect(1, 64831, '\p{Script_Extensions=:\Anko\z:}', "");;
    Expect(0, 64832, '\p{Script_Extensions=:\Anko\z:}', "");;
    Expect(1, 64831, '\p{Script_Extensions=	-nko}', "");
    Expect(0, 64831, '\p{^Script_Extensions=	-nko}', "");
    Expect(0, 64831, '\P{Script_Extensions=	-nko}', "");
    Expect(1, 64831, '\P{^Script_Extensions=	-nko}', "");
    Expect(0, 64832, '\p{Script_Extensions=	-nko}', "");
    Expect(1, 64832, '\p{^Script_Extensions=	-nko}', "");
    Expect(1, 64832, '\P{Script_Extensions=	-nko}', "");
    Expect(0, 64832, '\P{^Script_Extensions=	-nko}', "");
    Error('\p{Scx=:=	-Nkoo}');
    Error('\P{Scx=:=	-Nkoo}');
    Expect(1, 64831, '\p{Scx=:\ANkoo\z:}', "");;
    Expect(0, 64832, '\p{Scx=:\ANkoo\z:}', "");;
    Expect(1, 64831, '\p{Scx=nkoo}', "");
    Expect(0, 64831, '\p{^Scx=nkoo}', "");
    Expect(0, 64831, '\P{Scx=nkoo}', "");
    Expect(1, 64831, '\P{^Scx=nkoo}', "");
    Expect(0, 64832, '\p{Scx=nkoo}', "");
    Expect(1, 64832, '\p{^Scx=nkoo}', "");
    Expect(1, 64832, '\P{Scx=nkoo}', "");
    Expect(0, 64832, '\P{^Scx=nkoo}', "");
    Expect(1, 64831, '\p{Scx=:\Ankoo\z:}', "");;
    Expect(0, 64832, '\p{Scx=:\Ankoo\z:}', "");;
    Expect(1, 64831, '\p{Scx=_	Nkoo}', "");
    Expect(0, 64831, '\p{^Scx=_	Nkoo}', "");
    Expect(0, 64831, '\P{Scx=_	Nkoo}', "");
    Expect(1, 64831, '\P{^Scx=_	Nkoo}', "");
    Expect(0, 64832, '\p{Scx=_	Nkoo}', "");
    Expect(1, 64832, '\p{^Scx=_	Nkoo}', "");
    Expect(1, 64832, '\P{Scx=_	Nkoo}', "");
    Expect(0, 64832, '\P{^Scx=_	Nkoo}', "");
    Error('\p{Is_Script_Extensions=-:=Nko}');
    Error('\P{Is_Script_Extensions=-:=Nko}');
    Expect(1, 64831, '\p{Is_Script_Extensions:	nko}', "");
    Expect(0, 64831, '\p{^Is_Script_Extensions:	nko}', "");
    Expect(0, 64831, '\P{Is_Script_Extensions:	nko}', "");
    Expect(1, 64831, '\P{^Is_Script_Extensions:	nko}', "");
    Expect(0, 64832, '\p{Is_Script_Extensions:	nko}', "");
    Expect(1, 64832, '\p{^Is_Script_Extensions:	nko}', "");
    Expect(1, 64832, '\P{Is_Script_Extensions:	nko}', "");
    Expect(0, 64832, '\P{^Is_Script_Extensions:	nko}', "");
    Expect(1, 64831, '\p{Is_Script_Extensions=- Nko}', "");
    Expect(0, 64831, '\p{^Is_Script_Extensions=- Nko}', "");
    Expect(0, 64831, '\P{Is_Script_Extensions=- Nko}', "");
    Expect(1, 64831, '\P{^Is_Script_Extensions=- Nko}', "");
    Expect(0, 64832, '\p{Is_Script_Extensions=- Nko}', "");
    Expect(1, 64832, '\p{^Is_Script_Extensions=- Nko}', "");
    Expect(1, 64832, '\P{Is_Script_Extensions=- Nko}', "");
    Expect(0, 64832, '\P{^Is_Script_Extensions=- Nko}', "");
    Error('\p{Is_Scx=/a/NKOO}');
    Error('\P{Is_Scx=/a/NKOO}');
    Expect(1, 64831, '\p{Is_Scx=nkoo}', "");
    Expect(0, 64831, '\p{^Is_Scx=nkoo}', "");
    Expect(0, 64831, '\P{Is_Scx=nkoo}', "");
    Expect(1, 64831, '\P{^Is_Scx=nkoo}', "");
    Expect(0, 64832, '\p{Is_Scx=nkoo}', "");
    Expect(1, 64832, '\p{^Is_Scx=nkoo}', "");
    Expect(1, 64832, '\P{Is_Scx=nkoo}', "");
    Expect(0, 64832, '\P{^Is_Scx=nkoo}', "");
    Expect(1, 64831, '\p{Is_Scx= _nkoo}', "");
    Expect(0, 64831, '\p{^Is_Scx= _nkoo}', "");
    Expect(0, 64831, '\P{Is_Scx= _nkoo}', "");
    Expect(1, 64831, '\P{^Is_Scx= _nkoo}', "");
    Expect(0, 64832, '\p{Is_Scx= _nkoo}', "");
    Expect(1, 64832, '\p{^Is_Scx= _nkoo}', "");
    Expect(1, 64832, '\P{Is_Scx= _nkoo}', "");
    Expect(0, 64832, '\P{^Is_Scx= _nkoo}', "");
    Error('\p{Script_Extensions=	-nushu/a/}');
    Error('\P{Script_Extensions=	-nushu/a/}');
    Expect(1, 111355, '\p{Script_Extensions=:\ANushu\z:}', "");;
    Expect(0, 111356, '\p{Script_Extensions=:\ANushu\z:}', "");;
    Expect(1, 111355, '\p{Script_Extensions=nushu}', "");
    Expect(0, 111355, '\p{^Script_Extensions=nushu}', "");
    Expect(0, 111355, '\P{Script_Extensions=nushu}', "");
    Expect(1, 111355, '\P{^Script_Extensions=nushu}', "");
    Expect(0, 111356, '\p{Script_Extensions=nushu}', "");
    Expect(1, 111356, '\p{^Script_Extensions=nushu}', "");
    Expect(1, 111356, '\P{Script_Extensions=nushu}', "");
    Expect(0, 111356, '\P{^Script_Extensions=nushu}', "");
    Expect(1, 111355, '\p{Script_Extensions=:\Anushu\z:}', "");;
    Expect(0, 111356, '\p{Script_Extensions=:\Anushu\z:}', "");;
    Expect(1, 111355, '\p{Script_Extensions=	_nushu}', "");
    Expect(0, 111355, '\p{^Script_Extensions=	_nushu}', "");
    Expect(0, 111355, '\P{Script_Extensions=	_nushu}', "");
    Expect(1, 111355, '\P{^Script_Extensions=	_nushu}', "");
    Expect(0, 111356, '\p{Script_Extensions=	_nushu}', "");
    Expect(1, 111356, '\p{^Script_Extensions=	_nushu}', "");
    Expect(1, 111356, '\P{Script_Extensions=	_nushu}', "");
    Expect(0, 111356, '\P{^Script_Extensions=	_nushu}', "");
    Error('\p{Scx=_ Nshu:=}');
    Error('\P{Scx=_ Nshu:=}');
    Expect(1, 111355, '\p{Scx=:\ANshu\z:}', "");;
    Expect(0, 111356, '\p{Scx=:\ANshu\z:}', "");;
    Expect(1, 111355, '\p{Scx=nshu}', "");
    Expect(0, 111355, '\p{^Scx=nshu}', "");
    Expect(0, 111355, '\P{Scx=nshu}', "");
    Expect(1, 111355, '\P{^Scx=nshu}', "");
    Expect(0, 111356, '\p{Scx=nshu}', "");
    Expect(1, 111356, '\p{^Scx=nshu}', "");
    Expect(1, 111356, '\P{Scx=nshu}', "");
    Expect(0, 111356, '\P{^Scx=nshu}', "");
    Expect(1, 111355, '\p{Scx=:\Anshu\z:}', "");;
    Expect(0, 111356, '\p{Scx=:\Anshu\z:}', "");;
    Expect(1, 111355, '\p{Scx=-_Nshu}', "");
    Expect(0, 111355, '\p{^Scx=-_Nshu}', "");
    Expect(0, 111355, '\P{Scx=-_Nshu}', "");
    Expect(1, 111355, '\P{^Scx=-_Nshu}', "");
    Expect(0, 111356, '\p{Scx=-_Nshu}', "");
    Expect(1, 111356, '\p{^Scx=-_Nshu}', "");
    Expect(1, 111356, '\P{Scx=-_Nshu}', "");
    Expect(0, 111356, '\P{^Scx=-_Nshu}', "");
    Error('\p{Is_Script_Extensions=/a/-nushu}');
    Error('\P{Is_Script_Extensions=/a/-nushu}');
    Expect(1, 111355, '\p{Is_Script_Extensions=nushu}', "");
    Expect(0, 111355, '\p{^Is_Script_Extensions=nushu}', "");
    Expect(0, 111355, '\P{Is_Script_Extensions=nushu}', "");
    Expect(1, 111355, '\P{^Is_Script_Extensions=nushu}', "");
    Expect(0, 111356, '\p{Is_Script_Extensions=nushu}', "");
    Expect(1, 111356, '\p{^Is_Script_Extensions=nushu}', "");
    Expect(1, 111356, '\P{Is_Script_Extensions=nushu}', "");
    Expect(0, 111356, '\P{^Is_Script_Extensions=nushu}', "");
    Expect(1, 111355, '\p{Is_Script_Extensions=_Nushu}', "");
    Expect(0, 111355, '\p{^Is_Script_Extensions=_Nushu}', "");
    Expect(0, 111355, '\P{Is_Script_Extensions=_Nushu}', "");
    Expect(1, 111355, '\P{^Is_Script_Extensions=_Nushu}', "");
    Expect(0, 111356, '\p{Is_Script_Extensions=_Nushu}', "");
    Expect(1, 111356, '\p{^Is_Script_Extensions=_Nushu}', "");
    Expect(1, 111356, '\P{Is_Script_Extensions=_Nushu}', "");
    Expect(0, 111356, '\P{^Is_Script_Extensions=_Nushu}', "");
    Error('\p{Is_Scx:	 _Nshu:=}');
    Error('\P{Is_Scx:	 _Nshu:=}');
    Expect(1, 111355, '\p{Is_Scx=nshu}', "");
    Expect(0, 111355, '\p{^Is_Scx=nshu}', "");
    Expect(0, 111355, '\P{Is_Scx=nshu}', "");
    Expect(1, 111355, '\P{^Is_Scx=nshu}', "");
    Expect(0, 111356, '\p{Is_Scx=nshu}', "");
    Expect(1, 111356, '\p{^Is_Scx=nshu}', "");
    Expect(1, 111356, '\P{Is_Scx=nshu}', "");
    Expect(0, 111356, '\P{^Is_Scx=nshu}', "");
    Expect(1, 111355, '\p{Is_Scx=_	Nshu}', "");
    Expect(0, 111355, '\p{^Is_Scx=_	Nshu}', "");
    Expect(0, 111355, '\P{Is_Scx=_	Nshu}', "");
    Expect(1, 111355, '\P{^Is_Scx=_	Nshu}', "");
    Expect(0, 111356, '\p{Is_Scx=_	Nshu}', "");
    Expect(1, 111356, '\p{^Is_Scx=_	Nshu}', "");
    Expect(1, 111356, '\P{Is_Scx=_	Nshu}', "");
    Expect(0, 111356, '\P{^Is_Scx=_	Nshu}', "");
    Error('\p{Script_Extensions=	 OGHAM:=}');
    Error('\P{Script_Extensions=	 OGHAM:=}');
    Expect(1, 5788, '\p{Script_Extensions=:\AOgham\z:}', "");;
    Expect(0, 5789, '\p{Script_Extensions=:\AOgham\z:}', "");;
    Expect(1, 5788, '\p{Script_Extensions=ogham}', "");
    Expect(0, 5788, '\p{^Script_Extensions=ogham}', "");
    Expect(0, 5788, '\P{Script_Extensions=ogham}', "");
    Expect(1, 5788, '\P{^Script_Extensions=ogham}', "");
    Expect(0, 5789, '\p{Script_Extensions=ogham}', "");
    Expect(1, 5789, '\p{^Script_Extensions=ogham}', "");
    Expect(1, 5789, '\P{Script_Extensions=ogham}', "");
    Expect(0, 5789, '\P{^Script_Extensions=ogham}', "");
    Expect(1, 5788, '\p{Script_Extensions=:\Aogham\z:}', "");;
    Expect(0, 5789, '\p{Script_Extensions=:\Aogham\z:}', "");;
    Expect(1, 5788, '\p{Script_Extensions=	OGHAM}', "");
    Expect(0, 5788, '\p{^Script_Extensions=	OGHAM}', "");
    Expect(0, 5788, '\P{Script_Extensions=	OGHAM}', "");
    Expect(1, 5788, '\P{^Script_Extensions=	OGHAM}', "");
    Expect(0, 5789, '\p{Script_Extensions=	OGHAM}', "");
    Expect(1, 5789, '\p{^Script_Extensions=	OGHAM}', "");
    Expect(1, 5789, '\P{Script_Extensions=	OGHAM}', "");
    Expect(0, 5789, '\P{^Script_Extensions=	OGHAM}', "");
    Error('\p{Scx=OGAM:=}');
    Error('\P{Scx=OGAM:=}');
    Expect(1, 5788, '\p{Scx=:\AOgam\z:}', "");;
    Expect(0, 5789, '\p{Scx=:\AOgam\z:}', "");;
    Expect(1, 5788, '\p{Scx=ogam}', "");
    Expect(0, 5788, '\p{^Scx=ogam}', "");
    Expect(0, 5788, '\P{Scx=ogam}', "");
    Expect(1, 5788, '\P{^Scx=ogam}', "");
    Expect(0, 5789, '\p{Scx=ogam}', "");
    Expect(1, 5789, '\p{^Scx=ogam}', "");
    Expect(1, 5789, '\P{Scx=ogam}', "");
    Expect(0, 5789, '\P{^Scx=ogam}', "");
    Expect(1, 5788, '\p{Scx=:\Aogam\z:}', "");;
    Expect(0, 5789, '\p{Scx=:\Aogam\z:}', "");;
    Expect(1, 5788, '\p{Scx=__Ogam}', "");
    Expect(0, 5788, '\p{^Scx=__Ogam}', "");
    Expect(0, 5788, '\P{Scx=__Ogam}', "");
    Expect(1, 5788, '\P{^Scx=__Ogam}', "");
    Expect(0, 5789, '\p{Scx=__Ogam}', "");
    Expect(1, 5789, '\p{^Scx=__Ogam}', "");
    Expect(1, 5789, '\P{Scx=__Ogam}', "");
    Expect(0, 5789, '\P{^Scx=__Ogam}', "");
    Error('\p{Is_Script_Extensions=:=	 Ogham}');
    Error('\P{Is_Script_Extensions=:=	 Ogham}');
    Expect(1, 5788, '\p{Is_Script_Extensions=ogham}', "");
    Expect(0, 5788, '\p{^Is_Script_Extensions=ogham}', "");
    Expect(0, 5788, '\P{Is_Script_Extensions=ogham}', "");
    Expect(1, 5788, '\P{^Is_Script_Extensions=ogham}', "");
    Expect(0, 5789, '\p{Is_Script_Extensions=ogham}', "");
    Expect(1, 5789, '\p{^Is_Script_Extensions=ogham}', "");
    Expect(1, 5789, '\P{Is_Script_Extensions=ogham}', "");
    Expect(0, 5789, '\P{^Is_Script_Extensions=ogham}', "");
    Expect(1, 5788, '\p{Is_Script_Extensions=_	ogham}', "");
    Expect(0, 5788, '\p{^Is_Script_Extensions=_	ogham}', "");
    Expect(0, 5788, '\P{Is_Script_Extensions=_	ogham}', "");
    Expect(1, 5788, '\P{^Is_Script_Extensions=_	ogham}', "");
    Expect(0, 5789, '\p{Is_Script_Extensions=_	ogham}', "");
    Expect(1, 5789, '\p{^Is_Script_Extensions=_	ogham}', "");
    Expect(1, 5789, '\P{Is_Script_Extensions=_	ogham}', "");
    Expect(0, 5789, '\P{^Is_Script_Extensions=_	ogham}', "");
    Error('\p{Is_Scx=	Ogam:=}');
    Error('\P{Is_Scx=	Ogam:=}');
    Expect(1, 5788, '\p{Is_Scx=ogam}', "");
    Expect(0, 5788, '\p{^Is_Scx=ogam}', "");
    Expect(0, 5788, '\P{Is_Scx=ogam}', "");
    Expect(1, 5788, '\P{^Is_Scx=ogam}', "");
    Expect(0, 5789, '\p{Is_Scx=ogam}', "");
    Expect(1, 5789, '\p{^Is_Scx=ogam}', "");
    Expect(1, 5789, '\P{Is_Scx=ogam}', "");
    Expect(0, 5789, '\P{^Is_Scx=ogam}', "");
    Expect(1, 5788, '\p{Is_Scx=--Ogam}', "");
    Expect(0, 5788, '\p{^Is_Scx=--Ogam}', "");
    Expect(0, 5788, '\P{Is_Scx=--Ogam}', "");
    Expect(1, 5788, '\P{^Is_Scx=--Ogam}', "");
    Expect(0, 5789, '\p{Is_Scx=--Ogam}', "");
    Expect(1, 5789, '\p{^Is_Scx=--Ogam}', "");
    Expect(1, 5789, '\P{Is_Scx=--Ogam}', "");
    Expect(0, 5789, '\P{^Is_Scx=--Ogam}', "");
    Error('\p{Script_Extensions=:=		Ol_chiki}');
    Error('\P{Script_Extensions=:=		Ol_chiki}');
    Expect(1, 7295, '\p{Script_Extensions=:\AOl_Chiki\z:}', "");;
    Expect(0, 7296, '\p{Script_Extensions=:\AOl_Chiki\z:}', "");;
    Expect(1, 7295, '\p{Script_Extensions=olchiki}', "");
    Expect(0, 7295, '\p{^Script_Extensions=olchiki}', "");
    Expect(0, 7295, '\P{Script_Extensions=olchiki}', "");
    Expect(1, 7295, '\P{^Script_Extensions=olchiki}', "");
    Expect(0, 7296, '\p{Script_Extensions=olchiki}', "");
    Expect(1, 7296, '\p{^Script_Extensions=olchiki}', "");
    Expect(1, 7296, '\P{Script_Extensions=olchiki}', "");
    Expect(0, 7296, '\P{^Script_Extensions=olchiki}', "");
    Expect(1, 7295, '\p{Script_Extensions=:\Aolchiki\z:}', "");;
    Expect(0, 7296, '\p{Script_Extensions=:\Aolchiki\z:}', "");;
    Expect(1, 7295, '\p{Script_Extensions=_ Ol_chiki}', "");
    Expect(0, 7295, '\p{^Script_Extensions=_ Ol_chiki}', "");
    Expect(0, 7295, '\P{Script_Extensions=_ Ol_chiki}', "");
    Expect(1, 7295, '\P{^Script_Extensions=_ Ol_chiki}', "");
    Expect(0, 7296, '\p{Script_Extensions=_ Ol_chiki}', "");
    Expect(1, 7296, '\p{^Script_Extensions=_ Ol_chiki}', "");
    Expect(1, 7296, '\P{Script_Extensions=_ Ol_chiki}', "");
    Expect(0, 7296, '\P{^Script_Extensions=_ Ol_chiki}', "");
    Error('\p{Scx=  Olck/a/}');
    Error('\P{Scx=  Olck/a/}');
    Expect(1, 7295, '\p{Scx=:\AOlck\z:}', "");;
    Expect(0, 7296, '\p{Scx=:\AOlck\z:}', "");;
    Expect(1, 7295, '\p{Scx=olck}', "");
    Expect(0, 7295, '\p{^Scx=olck}', "");
    Expect(0, 7295, '\P{Scx=olck}', "");
    Expect(1, 7295, '\P{^Scx=olck}', "");
    Expect(0, 7296, '\p{Scx=olck}', "");
    Expect(1, 7296, '\p{^Scx=olck}', "");
    Expect(1, 7296, '\P{Scx=olck}', "");
    Expect(0, 7296, '\P{^Scx=olck}', "");
    Expect(1, 7295, '\p{Scx=:\Aolck\z:}', "");;
    Expect(0, 7296, '\p{Scx=:\Aolck\z:}', "");;
    Expect(1, 7295, '\p{Scx=-	OLCK}', "");
    Expect(0, 7295, '\p{^Scx=-	OLCK}', "");
    Expect(0, 7295, '\P{Scx=-	OLCK}', "");
    Expect(1, 7295, '\P{^Scx=-	OLCK}', "");
    Expect(0, 7296, '\p{Scx=-	OLCK}', "");
    Expect(1, 7296, '\p{^Scx=-	OLCK}', "");
    Expect(1, 7296, '\P{Scx=-	OLCK}', "");
    Expect(0, 7296, '\P{^Scx=-	OLCK}', "");
    Error('\p{Is_Script_Extensions= -OL_Chiki/a/}');
    Error('\P{Is_Script_Extensions= -OL_Chiki/a/}');
    Expect(1, 7295, '\p{Is_Script_Extensions: olchiki}', "");
    Expect(0, 7295, '\p{^Is_Script_Extensions: olchiki}', "");
    Expect(0, 7295, '\P{Is_Script_Extensions: olchiki}', "");
    Expect(1, 7295, '\P{^Is_Script_Extensions: olchiki}', "");
    Expect(0, 7296, '\p{Is_Script_Extensions: olchiki}', "");
    Expect(1, 7296, '\p{^Is_Script_Extensions: olchiki}', "");
    Expect(1, 7296, '\P{Is_Script_Extensions: olchiki}', "");
    Expect(0, 7296, '\P{^Is_Script_Extensions: olchiki}', "");
    Expect(1, 7295, '\p{Is_Script_Extensions:    	ol_Chiki}', "");
    Expect(0, 7295, '\p{^Is_Script_Extensions:    	ol_Chiki}', "");
    Expect(0, 7295, '\P{Is_Script_Extensions:    	ol_Chiki}', "");
    Expect(1, 7295, '\P{^Is_Script_Extensions:    	ol_Chiki}', "");
    Expect(0, 7296, '\p{Is_Script_Extensions:    	ol_Chiki}', "");
    Expect(1, 7296, '\p{^Is_Script_Extensions:    	ol_Chiki}', "");
    Expect(1, 7296, '\P{Is_Script_Extensions:    	ol_Chiki}', "");
    Expect(0, 7296, '\P{^Is_Script_Extensions:    	ol_Chiki}', "");
    Error('\p{Is_Scx= -OLCK:=}');
    Error('\P{Is_Scx= -OLCK:=}');
    Expect(1, 7295, '\p{Is_Scx: olck}', "");
    Expect(0, 7295, '\p{^Is_Scx: olck}', "");
    Expect(0, 7295, '\P{Is_Scx: olck}', "");
    Expect(1, 7295, '\P{^Is_Scx: olck}', "");
    Expect(0, 7296, '\p{Is_Scx: olck}', "");
    Expect(1, 7296, '\p{^Is_Scx: olck}', "");
    Expect(1, 7296, '\P{Is_Scx: olck}', "");
    Expect(0, 7296, '\P{^Is_Scx: olck}', "");
    Expect(1, 7295, '\p{Is_Scx: 		OLCK}', "");
    Expect(0, 7295, '\p{^Is_Scx: 		OLCK}', "");
    Expect(0, 7295, '\P{Is_Scx: 		OLCK}', "");
    Expect(1, 7295, '\P{^Is_Scx: 		OLCK}', "");
    Expect(0, 7296, '\p{Is_Scx: 		OLCK}', "");
    Expect(1, 7296, '\p{^Is_Scx: 		OLCK}', "");
    Expect(1, 7296, '\P{Is_Scx: 		OLCK}', "");
    Expect(0, 7296, '\P{^Is_Scx: 		OLCK}', "");
    Error('\p{Script_Extensions=:=-Old_Turkic}');
    Error('\P{Script_Extensions=:=-Old_Turkic}');
    Expect(1, 68680, '\p{Script_Extensions=:\AOld_Turkic\z:}', "");;
    Expect(0, 68681, '\p{Script_Extensions=:\AOld_Turkic\z:}', "");;
    Expect(1, 68680, '\p{Script_Extensions=oldturkic}', "");
    Expect(0, 68680, '\p{^Script_Extensions=oldturkic}', "");
    Expect(0, 68680, '\P{Script_Extensions=oldturkic}', "");
    Expect(1, 68680, '\P{^Script_Extensions=oldturkic}', "");
    Expect(0, 68681, '\p{Script_Extensions=oldturkic}', "");
    Expect(1, 68681, '\p{^Script_Extensions=oldturkic}', "");
    Expect(1, 68681, '\P{Script_Extensions=oldturkic}', "");
    Expect(0, 68681, '\P{^Script_Extensions=oldturkic}', "");
    Expect(1, 68680, '\p{Script_Extensions=:\Aoldturkic\z:}', "");;
    Expect(0, 68681, '\p{Script_Extensions=:\Aoldturkic\z:}', "");;
    Expect(1, 68680, '\p{Script_Extensions= 	Old_turkic}', "");
    Expect(0, 68680, '\p{^Script_Extensions= 	Old_turkic}', "");
    Expect(0, 68680, '\P{Script_Extensions= 	Old_turkic}', "");
    Expect(1, 68680, '\P{^Script_Extensions= 	Old_turkic}', "");
    Expect(0, 68681, '\p{Script_Extensions= 	Old_turkic}', "");
    Expect(1, 68681, '\p{^Script_Extensions= 	Old_turkic}', "");
    Expect(1, 68681, '\P{Script_Extensions= 	Old_turkic}', "");
    Expect(0, 68681, '\P{^Script_Extensions= 	Old_turkic}', "");
    Error('\p{Scx=-	Orkh/a/}');
    Error('\P{Scx=-	Orkh/a/}');
    Expect(1, 68680, '\p{Scx=:\AOrkh\z:}', "");;
    Expect(0, 68681, '\p{Scx=:\AOrkh\z:}', "");;
    Expect(1, 68680, '\p{Scx=orkh}', "");
    Expect(0, 68680, '\p{^Scx=orkh}', "");
    Expect(0, 68680, '\P{Scx=orkh}', "");
    Expect(1, 68680, '\P{^Scx=orkh}', "");
    Expect(0, 68681, '\p{Scx=orkh}', "");
    Expect(1, 68681, '\p{^Scx=orkh}', "");
    Expect(1, 68681, '\P{Scx=orkh}', "");
    Expect(0, 68681, '\P{^Scx=orkh}', "");
    Expect(1, 68680, '\p{Scx=:\Aorkh\z:}', "");;
    Expect(0, 68681, '\p{Scx=:\Aorkh\z:}', "");;
    Expect(1, 68680, '\p{Scx=-	orkh}', "");
    Expect(0, 68680, '\p{^Scx=-	orkh}', "");
    Expect(0, 68680, '\P{Scx=-	orkh}', "");
    Expect(1, 68680, '\P{^Scx=-	orkh}', "");
    Expect(0, 68681, '\p{Scx=-	orkh}', "");
    Expect(1, 68681, '\p{^Scx=-	orkh}', "");
    Expect(1, 68681, '\P{Scx=-	orkh}', "");
    Expect(0, 68681, '\P{^Scx=-	orkh}', "");
    Error('\p{Is_Script_Extensions=:=Old_Turkic}');
    Error('\P{Is_Script_Extensions=:=Old_Turkic}');
    Expect(1, 68680, '\p{Is_Script_Extensions=oldturkic}', "");
    Expect(0, 68680, '\p{^Is_Script_Extensions=oldturkic}', "");
    Expect(0, 68680, '\P{Is_Script_Extensions=oldturkic}', "");
    Expect(1, 68680, '\P{^Is_Script_Extensions=oldturkic}', "");
    Expect(0, 68681, '\p{Is_Script_Extensions=oldturkic}', "");
    Expect(1, 68681, '\p{^Is_Script_Extensions=oldturkic}', "");
    Expect(1, 68681, '\P{Is_Script_Extensions=oldturkic}', "");
    Expect(0, 68681, '\P{^Is_Script_Extensions=oldturkic}', "");
    Expect(1, 68680, '\p{Is_Script_Extensions= Old_turkic}', "");
    Expect(0, 68680, '\p{^Is_Script_Extensions= Old_turkic}', "");
    Expect(0, 68680, '\P{Is_Script_Extensions= Old_turkic}', "");
    Expect(1, 68680, '\P{^Is_Script_Extensions= Old_turkic}', "");
    Expect(0, 68681, '\p{Is_Script_Extensions= Old_turkic}', "");
    Expect(1, 68681, '\p{^Is_Script_Extensions= Old_turkic}', "");
    Expect(1, 68681, '\P{Is_Script_Extensions= Old_turkic}', "");
    Expect(0, 68681, '\P{^Is_Script_Extensions= Old_turkic}', "");
    Error('\p{Is_Scx=	/a/ORKH}');
    Error('\P{Is_Scx=	/a/ORKH}');
    Expect(1, 68680, '\p{Is_Scx=orkh}', "");
    Expect(0, 68680, '\p{^Is_Scx=orkh}', "");
    Expect(0, 68680, '\P{Is_Scx=orkh}', "");
    Expect(1, 68680, '\P{^Is_Scx=orkh}', "");
    Expect(0, 68681, '\p{Is_Scx=orkh}', "");
    Expect(1, 68681, '\p{^Is_Scx=orkh}', "");
    Expect(1, 68681, '\P{Is_Scx=orkh}', "");
    Expect(0, 68681, '\P{^Is_Scx=orkh}', "");
    Expect(1, 68680, '\p{Is_Scx:   orkh}', "");
    Expect(0, 68680, '\p{^Is_Scx:   orkh}', "");
    Expect(0, 68680, '\P{Is_Scx:   orkh}', "");
    Expect(1, 68680, '\P{^Is_Scx:   orkh}', "");
    Expect(0, 68681, '\p{Is_Scx:   orkh}', "");
    Expect(1, 68681, '\p{^Is_Scx:   orkh}', "");
    Expect(1, 68681, '\P{Is_Scx:   orkh}', "");
    Expect(0, 68681, '\P{^Is_Scx:   orkh}', "");
    Error('\p{Script_Extensions=		Oriya/a/}');
    Error('\P{Script_Extensions=		Oriya/a/}');
    Expect(1, 7410, '\p{Script_Extensions=:\AOriya\z:}', "");;
    Expect(0, 7411, '\p{Script_Extensions=:\AOriya\z:}', "");;
    Expect(1, 7410, '\p{Script_Extensions=oriya}', "");
    Expect(0, 7410, '\p{^Script_Extensions=oriya}', "");
    Expect(0, 7410, '\P{Script_Extensions=oriya}', "");
    Expect(1, 7410, '\P{^Script_Extensions=oriya}', "");
    Expect(0, 7411, '\p{Script_Extensions=oriya}', "");
    Expect(1, 7411, '\p{^Script_Extensions=oriya}', "");
    Expect(1, 7411, '\P{Script_Extensions=oriya}', "");
    Expect(0, 7411, '\P{^Script_Extensions=oriya}', "");
    Expect(1, 7410, '\p{Script_Extensions=:\Aoriya\z:}', "");;
    Expect(0, 7411, '\p{Script_Extensions=:\Aoriya\z:}', "");;
    Expect(1, 7410, '\p{Script_Extensions=-_Oriya}', "");
    Expect(0, 7410, '\p{^Script_Extensions=-_Oriya}', "");
    Expect(0, 7410, '\P{Script_Extensions=-_Oriya}', "");
    Expect(1, 7410, '\P{^Script_Extensions=-_Oriya}', "");
    Expect(0, 7411, '\p{Script_Extensions=-_Oriya}', "");
    Expect(1, 7411, '\p{^Script_Extensions=-_Oriya}', "");
    Expect(1, 7411, '\P{Script_Extensions=-_Oriya}', "");
    Expect(0, 7411, '\P{^Script_Extensions=-_Oriya}', "");
    Error('\p{Scx=/a/ _Orya}');
    Error('\P{Scx=/a/ _Orya}');
    Expect(1, 7410, '\p{Scx=:\AOrya\z:}', "");;
    Expect(0, 7411, '\p{Scx=:\AOrya\z:}', "");;
    Expect(1, 7410, '\p{Scx=orya}', "");
    Expect(0, 7410, '\p{^Scx=orya}', "");
    Expect(0, 7410, '\P{Scx=orya}', "");
    Expect(1, 7410, '\P{^Scx=orya}', "");
    Expect(0, 7411, '\p{Scx=orya}', "");
    Expect(1, 7411, '\p{^Scx=orya}', "");
    Expect(1, 7411, '\P{Scx=orya}', "");
    Expect(0, 7411, '\P{^Scx=orya}', "");
    Expect(1, 7410, '\p{Scx=:\Aorya\z:}', "");;
    Expect(0, 7411, '\p{Scx=:\Aorya\z:}', "");;
    Expect(1, 7410, '\p{Scx= Orya}', "");
    Expect(0, 7410, '\p{^Scx= Orya}', "");
    Expect(0, 7410, '\P{Scx= Orya}', "");
    Expect(1, 7410, '\P{^Scx= Orya}', "");
    Expect(0, 7411, '\p{Scx= Orya}', "");
    Expect(1, 7411, '\p{^Scx= Orya}', "");
    Expect(1, 7411, '\P{Scx= Orya}', "");
    Expect(0, 7411, '\P{^Scx= Orya}', "");
    Error('\p{Is_Script_Extensions=-	ORIYA/a/}');
    Error('\P{Is_Script_Extensions=-	ORIYA/a/}');
    Expect(1, 7410, '\p{Is_Script_Extensions:   oriya}', "");
    Expect(0, 7410, '\p{^Is_Script_Extensions:   oriya}', "");
    Expect(0, 7410, '\P{Is_Script_Extensions:   oriya}', "");
    Expect(1, 7410, '\P{^Is_Script_Extensions:   oriya}', "");
    Expect(0, 7411, '\p{Is_Script_Extensions:   oriya}', "");
    Expect(1, 7411, '\p{^Is_Script_Extensions:   oriya}', "");
    Expect(1, 7411, '\P{Is_Script_Extensions:   oriya}', "");
    Expect(0, 7411, '\P{^Is_Script_Extensions:   oriya}', "");
    Expect(1, 7410, '\p{Is_Script_Extensions=- Oriya}', "");
    Expect(0, 7410, '\p{^Is_Script_Extensions=- Oriya}', "");
    Expect(0, 7410, '\P{Is_Script_Extensions=- Oriya}', "");
    Expect(1, 7410, '\P{^Is_Script_Extensions=- Oriya}', "");
    Expect(0, 7411, '\p{Is_Script_Extensions=- Oriya}', "");
    Expect(1, 7411, '\p{^Is_Script_Extensions=- Oriya}', "");
    Expect(1, 7411, '\P{Is_Script_Extensions=- Oriya}', "");
    Expect(0, 7411, '\P{^Is_Script_Extensions=- Oriya}', "");
    Error('\p{Is_Scx=:=_orya}');
    Error('\P{Is_Scx=:=_orya}');
    Expect(1, 7410, '\p{Is_Scx=orya}', "");
    Expect(0, 7410, '\p{^Is_Scx=orya}', "");
    Expect(0, 7410, '\P{Is_Scx=orya}', "");
    Expect(1, 7410, '\P{^Is_Scx=orya}', "");
    Expect(0, 7411, '\p{Is_Scx=orya}', "");
    Expect(1, 7411, '\p{^Is_Scx=orya}', "");
    Expect(1, 7411, '\P{Is_Scx=orya}', "");
    Expect(0, 7411, '\P{^Is_Scx=orya}', "");
    Expect(1, 7410, '\p{Is_Scx=	-orya}', "");
    Expect(0, 7410, '\p{^Is_Scx=	-orya}', "");
    Expect(0, 7410, '\P{Is_Scx=	-orya}', "");
    Expect(1, 7410, '\P{^Is_Scx=	-orya}', "");
    Expect(0, 7411, '\p{Is_Scx=	-orya}', "");
    Expect(1, 7411, '\p{^Is_Scx=	-orya}', "");
    Expect(1, 7411, '\P{Is_Scx=	-orya}', "");
    Expect(0, 7411, '\P{^Is_Scx=	-orya}', "");
    Error('\p{Script_Extensions=-osage/a/}');
    Error('\P{Script_Extensions=-osage/a/}');
    Expect(1, 66811, '\p{Script_Extensions=:\AOsage\z:}', "");;
    Expect(0, 66812, '\p{Script_Extensions=:\AOsage\z:}', "");;
    Expect(1, 66811, '\p{Script_Extensions=osage}', "");
    Expect(0, 66811, '\p{^Script_Extensions=osage}', "");
    Expect(0, 66811, '\P{Script_Extensions=osage}', "");
    Expect(1, 66811, '\P{^Script_Extensions=osage}', "");
    Expect(0, 66812, '\p{Script_Extensions=osage}', "");
    Expect(1, 66812, '\p{^Script_Extensions=osage}', "");
    Expect(1, 66812, '\P{Script_Extensions=osage}', "");
    Expect(0, 66812, '\P{^Script_Extensions=osage}', "");
    Expect(1, 66811, '\p{Script_Extensions=:\Aosage\z:}', "");;
    Expect(0, 66812, '\p{Script_Extensions=:\Aosage\z:}', "");;
    Expect(1, 66811, '\p{Script_Extensions: osage}', "");
    Expect(0, 66811, '\p{^Script_Extensions: osage}', "");
    Expect(0, 66811, '\P{Script_Extensions: osage}', "");
    Expect(1, 66811, '\P{^Script_Extensions: osage}', "");
    Expect(0, 66812, '\p{Script_Extensions: osage}', "");
    Expect(1, 66812, '\p{^Script_Extensions: osage}', "");
    Expect(1, 66812, '\P{Script_Extensions: osage}', "");
    Expect(0, 66812, '\P{^Script_Extensions: osage}', "");
    Error('\p{Scx:	 -Osge/a/}');
    Error('\P{Scx:	 -Osge/a/}');
    Expect(1, 66811, '\p{Scx=:\AOsge\z:}', "");;
    Expect(0, 66812, '\p{Scx=:\AOsge\z:}', "");;
    Expect(1, 66811, '\p{Scx=osge}', "");
    Expect(0, 66811, '\p{^Scx=osge}', "");
    Expect(0, 66811, '\P{Scx=osge}', "");
    Expect(1, 66811, '\P{^Scx=osge}', "");
    Expect(0, 66812, '\p{Scx=osge}', "");
    Expect(1, 66812, '\p{^Scx=osge}', "");
    Expect(1, 66812, '\P{Scx=osge}', "");
    Expect(0, 66812, '\P{^Scx=osge}', "");
    Expect(1, 66811, '\p{Scx=:\Aosge\z:}', "");;
    Expect(0, 66812, '\p{Scx=:\Aosge\z:}', "");;
    Expect(1, 66811, '\p{Scx= 	OSGE}', "");
    Expect(0, 66811, '\p{^Scx= 	OSGE}', "");
    Expect(0, 66811, '\P{Scx= 	OSGE}', "");
    Expect(1, 66811, '\P{^Scx= 	OSGE}', "");
    Expect(0, 66812, '\p{Scx= 	OSGE}', "");
    Expect(1, 66812, '\p{^Scx= 	OSGE}', "");
    Expect(1, 66812, '\P{Scx= 	OSGE}', "");
    Expect(0, 66812, '\P{^Scx= 	OSGE}', "");
    Error('\p{Is_Script_Extensions=:=_	Osage}');
    Error('\P{Is_Script_Extensions=:=_	Osage}');
    Expect(1, 66811, '\p{Is_Script_Extensions=osage}', "");
    Expect(0, 66811, '\p{^Is_Script_Extensions=osage}', "");
    Expect(0, 66811, '\P{Is_Script_Extensions=osage}', "");
    Expect(1, 66811, '\P{^Is_Script_Extensions=osage}', "");
    Expect(0, 66812, '\p{Is_Script_Extensions=osage}', "");
    Expect(1, 66812, '\p{^Is_Script_Extensions=osage}', "");
    Expect(1, 66812, '\P{Is_Script_Extensions=osage}', "");
    Expect(0, 66812, '\P{^Is_Script_Extensions=osage}', "");
    Expect(1, 66811, '\p{Is_Script_Extensions= 	Osage}', "");
    Expect(0, 66811, '\p{^Is_Script_Extensions= 	Osage}', "");
    Expect(0, 66811, '\P{Is_Script_Extensions= 	Osage}', "");
    Expect(1, 66811, '\P{^Is_Script_Extensions= 	Osage}', "");
    Expect(0, 66812, '\p{Is_Script_Extensions= 	Osage}', "");
    Expect(1, 66812, '\p{^Is_Script_Extensions= 	Osage}', "");
    Expect(1, 66812, '\P{Is_Script_Extensions= 	Osage}', "");
    Expect(0, 66812, '\P{^Is_Script_Extensions= 	Osage}', "");
    Error('\p{Is_Scx: :=Osge}');
    Error('\P{Is_Scx: :=Osge}');
    Expect(1, 66811, '\p{Is_Scx=osge}', "");
    Expect(0, 66811, '\p{^Is_Scx=osge}', "");
    Expect(0, 66811, '\P{Is_Scx=osge}', "");
    Expect(1, 66811, '\P{^Is_Scx=osge}', "");
    Expect(0, 66812, '\p{Is_Scx=osge}', "");
    Expect(1, 66812, '\p{^Is_Scx=osge}', "");
    Expect(1, 66812, '\P{Is_Scx=osge}', "");
    Expect(0, 66812, '\P{^Is_Scx=osge}', "");
    Expect(1, 66811, '\p{Is_Scx: --Osge}', "");
    Expect(0, 66811, '\p{^Is_Scx: --Osge}', "");
    Expect(0, 66811, '\P{Is_Scx: --Osge}', "");
    Expect(1, 66811, '\P{^Is_Scx: --Osge}', "");
    Expect(0, 66812, '\p{Is_Scx: --Osge}', "");
    Expect(1, 66812, '\p{^Is_Scx: --Osge}', "");
    Expect(1, 66812, '\P{Is_Scx: --Osge}', "");
    Expect(0, 66812, '\P{^Is_Scx: --Osge}', "");
    Error('\p{Script_Extensions=/a/-OSMANYA}');
    Error('\P{Script_Extensions=/a/-OSMANYA}');
    Expect(1, 66729, '\p{Script_Extensions=:\AOsmanya\z:}', "");;
    Expect(0, 66730, '\p{Script_Extensions=:\AOsmanya\z:}', "");;
    Expect(1, 66729, '\p{Script_Extensions:   osmanya}', "");
    Expect(0, 66729, '\p{^Script_Extensions:   osmanya}', "");
    Expect(0, 66729, '\P{Script_Extensions:   osmanya}', "");
    Expect(1, 66729, '\P{^Script_Extensions:   osmanya}', "");
    Expect(0, 66730, '\p{Script_Extensions:   osmanya}', "");
    Expect(1, 66730, '\p{^Script_Extensions:   osmanya}', "");
    Expect(1, 66730, '\P{Script_Extensions:   osmanya}', "");
    Expect(0, 66730, '\P{^Script_Extensions:   osmanya}', "");
    Expect(1, 66729, '\p{Script_Extensions=:\Aosmanya\z:}', "");;
    Expect(0, 66730, '\p{Script_Extensions=:\Aosmanya\z:}', "");;
    Expect(1, 66729, '\p{Script_Extensions=- Osmanya}', "");
    Expect(0, 66729, '\p{^Script_Extensions=- Osmanya}', "");
    Expect(0, 66729, '\P{Script_Extensions=- Osmanya}', "");
    Expect(1, 66729, '\P{^Script_Extensions=- Osmanya}', "");
    Expect(0, 66730, '\p{Script_Extensions=- Osmanya}', "");
    Expect(1, 66730, '\p{^Script_Extensions=- Osmanya}', "");
    Expect(1, 66730, '\P{Script_Extensions=- Osmanya}', "");
    Expect(0, 66730, '\P{^Script_Extensions=- Osmanya}', "");
    Error('\p{Scx=:=	-Osma}');
    Error('\P{Scx=:=	-Osma}');
    Expect(1, 66729, '\p{Scx=:\AOsma\z:}', "");;
    Expect(0, 66730, '\p{Scx=:\AOsma\z:}', "");;
    Expect(1, 66729, '\p{Scx:   osma}', "");
    Expect(0, 66729, '\p{^Scx:   osma}', "");
    Expect(0, 66729, '\P{Scx:   osma}', "");
    Expect(1, 66729, '\P{^Scx:   osma}', "");
    Expect(0, 66730, '\p{Scx:   osma}', "");
    Expect(1, 66730, '\p{^Scx:   osma}', "");
    Expect(1, 66730, '\P{Scx:   osma}', "");
    Expect(0, 66730, '\P{^Scx:   osma}', "");
    Expect(1, 66729, '\p{Scx=:\Aosma\z:}', "");;
    Expect(0, 66730, '\p{Scx=:\Aosma\z:}', "");;
    Expect(1, 66729, '\p{Scx=		Osma}', "");
    Expect(0, 66729, '\p{^Scx=		Osma}', "");
    Expect(0, 66729, '\P{Scx=		Osma}', "");
    Expect(1, 66729, '\P{^Scx=		Osma}', "");
    Expect(0, 66730, '\p{Scx=		Osma}', "");
    Expect(1, 66730, '\p{^Scx=		Osma}', "");
    Expect(1, 66730, '\P{Scx=		Osma}', "");
    Expect(0, 66730, '\P{^Scx=		Osma}', "");
    Error('\p{Is_Script_Extensions=  osmanya:=}');
    Error('\P{Is_Script_Extensions=  osmanya:=}');
    Expect(1, 66729, '\p{Is_Script_Extensions=osmanya}', "");
    Expect(0, 66729, '\p{^Is_Script_Extensions=osmanya}', "");
    Expect(0, 66729, '\P{Is_Script_Extensions=osmanya}', "");
    Expect(1, 66729, '\P{^Is_Script_Extensions=osmanya}', "");
    Expect(0, 66730, '\p{Is_Script_Extensions=osmanya}', "");
    Expect(1, 66730, '\p{^Is_Script_Extensions=osmanya}', "");
    Expect(1, 66730, '\P{Is_Script_Extensions=osmanya}', "");
    Expect(0, 66730, '\P{^Is_Script_Extensions=osmanya}', "");
    Expect(1, 66729, '\p{Is_Script_Extensions=_ osmanya}', "");
    Expect(0, 66729, '\p{^Is_Script_Extensions=_ osmanya}', "");
    Expect(0, 66729, '\P{Is_Script_Extensions=_ osmanya}', "");
    Expect(1, 66729, '\P{^Is_Script_Extensions=_ osmanya}', "");
    Expect(0, 66730, '\p{Is_Script_Extensions=_ osmanya}', "");
    Expect(1, 66730, '\p{^Is_Script_Extensions=_ osmanya}', "");
    Expect(1, 66730, '\P{Is_Script_Extensions=_ osmanya}', "");
    Expect(0, 66730, '\P{^Is_Script_Extensions=_ osmanya}', "");
    Error('\p{Is_Scx=	:=OSMA}');
    Error('\P{Is_Scx=	:=OSMA}');
    Expect(1, 66729, '\p{Is_Scx=osma}', "");
    Expect(0, 66729, '\p{^Is_Scx=osma}', "");
    Expect(0, 66729, '\P{Is_Scx=osma}', "");
    Expect(1, 66729, '\P{^Is_Scx=osma}', "");
    Expect(0, 66730, '\p{Is_Scx=osma}', "");
    Expect(1, 66730, '\p{^Is_Scx=osma}', "");
    Expect(1, 66730, '\P{Is_Scx=osma}', "");
    Expect(0, 66730, '\P{^Is_Scx=osma}', "");
    Expect(1, 66729, '\p{Is_Scx=_ OSMA}', "");
    Expect(0, 66729, '\p{^Is_Scx=_ OSMA}', "");
    Expect(0, 66729, '\P{Is_Scx=_ OSMA}', "");
    Expect(1, 66729, '\P{^Is_Scx=_ OSMA}', "");
    Expect(0, 66730, '\p{Is_Scx=_ OSMA}', "");
    Expect(1, 66730, '\p{^Is_Scx=_ OSMA}', "");
    Expect(1, 66730, '\P{Is_Scx=_ OSMA}', "");
    Expect(0, 66730, '\P{^Is_Scx=_ OSMA}', "");
    Error('\p{Script_Extensions= /a/Old_Uyghur}');
    Error('\P{Script_Extensions= /a/Old_Uyghur}');
    Expect(1, 69513, '\p{Script_Extensions=:\AOld_Uyghur\z:}', "");;
    Expect(0, 69514, '\p{Script_Extensions=:\AOld_Uyghur\z:}', "");;
    Expect(1, 69513, '\p{Script_Extensions=olduyghur}', "");
    Expect(0, 69513, '\p{^Script_Extensions=olduyghur}', "");
    Expect(0, 69513, '\P{Script_Extensions=olduyghur}', "");
    Expect(1, 69513, '\P{^Script_Extensions=olduyghur}', "");
    Expect(0, 69514, '\p{Script_Extensions=olduyghur}', "");
    Expect(1, 69514, '\p{^Script_Extensions=olduyghur}', "");
    Expect(1, 69514, '\P{Script_Extensions=olduyghur}', "");
    Expect(0, 69514, '\P{^Script_Extensions=olduyghur}', "");
    Expect(1, 69513, '\p{Script_Extensions=:\Aolduyghur\z:}', "");;
    Expect(0, 69514, '\p{Script_Extensions=:\Aolduyghur\z:}', "");;
    Expect(1, 69513, '\p{Script_Extensions= _Old_Uyghur}', "");
    Expect(0, 69513, '\p{^Script_Extensions= _Old_Uyghur}', "");
    Expect(0, 69513, '\P{Script_Extensions= _Old_Uyghur}', "");
    Expect(1, 69513, '\P{^Script_Extensions= _Old_Uyghur}', "");
    Expect(0, 69514, '\p{Script_Extensions= _Old_Uyghur}', "");
    Expect(1, 69514, '\p{^Script_Extensions= _Old_Uyghur}', "");
    Expect(1, 69514, '\P{Script_Extensions= _Old_Uyghur}', "");
    Expect(0, 69514, '\P{^Script_Extensions= _Old_Uyghur}', "");
    Error('\p{Scx:    :=Ougr}');
    Error('\P{Scx:    :=Ougr}');
    Expect(1, 69513, '\p{Scx=:\AOugr\z:}', "");;
    Expect(0, 69514, '\p{Scx=:\AOugr\z:}', "");;
    Expect(1, 69513, '\p{Scx=ougr}', "");
    Expect(0, 69513, '\p{^Scx=ougr}', "");
    Expect(0, 69513, '\P{Scx=ougr}', "");
    Expect(1, 69513, '\P{^Scx=ougr}', "");
    Expect(0, 69514, '\p{Scx=ougr}', "");
    Expect(1, 69514, '\p{^Scx=ougr}', "");
    Expect(1, 69514, '\P{Scx=ougr}', "");
    Expect(0, 69514, '\P{^Scx=ougr}', "");
    Expect(1, 69513, '\p{Scx=:\Aougr\z:}', "");;
    Expect(0, 69514, '\p{Scx=:\Aougr\z:}', "");;
    Expect(1, 69513, '\p{Scx=Ougr}', "");
    Expect(0, 69513, '\p{^Scx=Ougr}', "");
    Expect(0, 69513, '\P{Scx=Ougr}', "");
    Expect(1, 69513, '\P{^Scx=Ougr}', "");
    Expect(0, 69514, '\p{Scx=Ougr}', "");
    Expect(1, 69514, '\p{^Scx=Ougr}', "");
    Expect(1, 69514, '\P{Scx=Ougr}', "");
    Expect(0, 69514, '\P{^Scx=Ougr}', "");
    Error('\p{Is_Script_Extensions=__old_uyghur:=}');
    Error('\P{Is_Script_Extensions=__old_uyghur:=}');
    Expect(1, 69513, '\p{Is_Script_Extensions=olduyghur}', "");
    Expect(0, 69513, '\p{^Is_Script_Extensions=olduyghur}', "");
    Expect(0, 69513, '\P{Is_Script_Extensions=olduyghur}', "");
    Expect(1, 69513, '\P{^Is_Script_Extensions=olduyghur}', "");
    Expect(0, 69514, '\p{Is_Script_Extensions=olduyghur}', "");
    Expect(1, 69514, '\p{^Is_Script_Extensions=olduyghur}', "");
    Expect(1, 69514, '\P{Is_Script_Extensions=olduyghur}', "");
    Expect(0, 69514, '\P{^Is_Script_Extensions=olduyghur}', "");
    Expect(1, 69513, '\p{Is_Script_Extensions:_	Old_Uyghur}', "");
    Expect(0, 69513, '\p{^Is_Script_Extensions:_	Old_Uyghur}', "");
    Expect(0, 69513, '\P{Is_Script_Extensions:_	Old_Uyghur}', "");
    Expect(1, 69513, '\P{^Is_Script_Extensions:_	Old_Uyghur}', "");
    Expect(0, 69514, '\p{Is_Script_Extensions:_	Old_Uyghur}', "");
    Expect(1, 69514, '\p{^Is_Script_Extensions:_	Old_Uyghur}', "");
    Expect(1, 69514, '\P{Is_Script_Extensions:_	Old_Uyghur}', "");
    Expect(0, 69514, '\P{^Is_Script_Extensions:_	Old_Uyghur}', "");
    Error('\p{Is_Scx:	/a/	_Ougr}');
    Error('\P{Is_Scx:	/a/	_Ougr}');
    Expect(1, 69513, '\p{Is_Scx:   ougr}', "");
    Expect(0, 69513, '\p{^Is_Scx:   ougr}', "");
    Expect(0, 69513, '\P{Is_Scx:   ougr}', "");
    Expect(1, 69513, '\P{^Is_Scx:   ougr}', "");
    Expect(0, 69514, '\p{Is_Scx:   ougr}', "");
    Expect(1, 69514, '\p{^Is_Scx:   ougr}', "");
    Expect(1, 69514, '\P{Is_Scx:   ougr}', "");
    Expect(0, 69514, '\P{^Is_Scx:   ougr}', "");
    Expect(1, 69513, '\p{Is_Scx=--Ougr}', "");
    Expect(0, 69513, '\p{^Is_Scx=--Ougr}', "");
    Expect(0, 69513, '\P{Is_Scx=--Ougr}', "");
    Expect(1, 69513, '\P{^Is_Scx=--Ougr}', "");
    Expect(0, 69514, '\p{Is_Scx=--Ougr}', "");
    Expect(1, 69514, '\p{^Is_Scx=--Ougr}', "");
    Expect(1, 69514, '\P{Is_Scx=--Ougr}', "");
    Expect(0, 69514, '\P{^Is_Scx=--Ougr}', "");
    Error('\p{Script_Extensions=	/a/Palmyrene}');
    Error('\P{Script_Extensions=	/a/Palmyrene}');
    Expect(1, 67711, '\p{Script_Extensions=:\APalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Script_Extensions=:\APalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Script_Extensions: palmyrene}', "");
    Expect(0, 67711, '\p{^Script_Extensions: palmyrene}', "");
    Expect(0, 67711, '\P{Script_Extensions: palmyrene}', "");
    Expect(1, 67711, '\P{^Script_Extensions: palmyrene}', "");
    Expect(0, 67712, '\p{Script_Extensions: palmyrene}', "");
    Expect(1, 67712, '\p{^Script_Extensions: palmyrene}', "");
    Expect(1, 67712, '\P{Script_Extensions: palmyrene}', "");
    Expect(0, 67712, '\P{^Script_Extensions: palmyrene}', "");
    Expect(1, 67711, '\p{Script_Extensions=:\Apalmyrene\z:}', "");;
    Expect(0, 67712, '\p{Script_Extensions=:\Apalmyrene\z:}', "");;
    Expect(1, 67711, '\p{Script_Extensions:  palmyrene}', "");
    Expect(0, 67711, '\p{^Script_Extensions:  palmyrene}', "");
    Expect(0, 67711, '\P{Script_Extensions:  palmyrene}', "");
    Expect(1, 67711, '\P{^Script_Extensions:  palmyrene}', "");
    Expect(0, 67712, '\p{Script_Extensions:  palmyrene}', "");
    Expect(1, 67712, '\p{^Script_Extensions:  palmyrene}', "");
    Expect(1, 67712, '\P{Script_Extensions:  palmyrene}', "");
    Expect(0, 67712, '\P{^Script_Extensions:  palmyrene}', "");
    Error('\p{Scx=	/a/PALM}');
    Error('\P{Scx=	/a/PALM}');
    Expect(1, 67711, '\p{Scx=:\APalm\z:}', "");;
    Expect(0, 67712, '\p{Scx=:\APalm\z:}', "");;
    Expect(1, 67711, '\p{Scx=palm}', "");
    Expect(0, 67711, '\p{^Scx=palm}', "");
    Expect(0, 67711, '\P{Scx=palm}', "");
    Expect(1, 67711, '\P{^Scx=palm}', "");
    Expect(0, 67712, '\p{Scx=palm}', "");
    Expect(1, 67712, '\p{^Scx=palm}', "");
    Expect(1, 67712, '\P{Scx=palm}', "");
    Expect(0, 67712, '\P{^Scx=palm}', "");
    Expect(1, 67711, '\p{Scx=:\Apalm\z:}', "");;
    Expect(0, 67712, '\p{Scx=:\Apalm\z:}', "");;
    Expect(1, 67711, '\p{Scx= _palm}', "");
    Expect(0, 67711, '\p{^Scx= _palm}', "");
    Expect(0, 67711, '\P{Scx= _palm}', "");
    Expect(1, 67711, '\P{^Scx= _palm}', "");
    Expect(0, 67712, '\p{Scx= _palm}', "");
    Expect(1, 67712, '\p{^Scx= _palm}', "");
    Expect(1, 67712, '\P{Scx= _palm}', "");
    Expect(0, 67712, '\P{^Scx= _palm}', "");
    Error('\p{Is_Script_Extensions=__PALMYRENE:=}');
    Error('\P{Is_Script_Extensions=__PALMYRENE:=}');
    Expect(1, 67711, '\p{Is_Script_Extensions=palmyrene}', "");
    Expect(0, 67711, '\p{^Is_Script_Extensions=palmyrene}', "");
    Expect(0, 67711, '\P{Is_Script_Extensions=palmyrene}', "");
    Expect(1, 67711, '\P{^Is_Script_Extensions=palmyrene}', "");
    Expect(0, 67712, '\p{Is_Script_Extensions=palmyrene}', "");
    Expect(1, 67712, '\p{^Is_Script_Extensions=palmyrene}', "");
    Expect(1, 67712, '\P{Is_Script_Extensions=palmyrene}', "");
    Expect(0, 67712, '\P{^Is_Script_Extensions=palmyrene}', "");
    Expect(1, 67711, '\p{Is_Script_Extensions=-Palmyrene}', "");
    Expect(0, 67711, '\p{^Is_Script_Extensions=-Palmyrene}', "");
    Expect(0, 67711, '\P{Is_Script_Extensions=-Palmyrene}', "");
    Expect(1, 67711, '\P{^Is_Script_Extensions=-Palmyrene}', "");
    Expect(0, 67712, '\p{Is_Script_Extensions=-Palmyrene}', "");
    Expect(1, 67712, '\p{^Is_Script_Extensions=-Palmyrene}', "");
    Expect(1, 67712, '\P{Is_Script_Extensions=-Palmyrene}', "");
    Expect(0, 67712, '\P{^Is_Script_Extensions=-Palmyrene}', "");
    Error('\p{Is_Scx=	/a/Palm}');
    Error('\P{Is_Scx=	/a/Palm}');
    Expect(1, 67711, '\p{Is_Scx=palm}', "");
    Expect(0, 67711, '\p{^Is_Scx=palm}', "");
    Expect(0, 67711, '\P{Is_Scx=palm}', "");
    Expect(1, 67711, '\P{^Is_Scx=palm}', "");
    Expect(0, 67712, '\p{Is_Scx=palm}', "");
    Expect(1, 67712, '\p{^Is_Scx=palm}', "");
    Expect(1, 67712, '\P{Is_Scx=palm}', "");
    Expect(0, 67712, '\P{^Is_Scx=palm}', "");
    Expect(1, 67711, '\p{Is_Scx: - palm}', "");
    Expect(0, 67711, '\p{^Is_Scx: - palm}', "");
    Expect(0, 67711, '\P{Is_Scx: - palm}', "");
    Expect(1, 67711, '\P{^Is_Scx: - palm}', "");
    Expect(0, 67712, '\p{Is_Scx: - palm}', "");
    Expect(1, 67712, '\p{^Is_Scx: - palm}', "");
    Expect(1, 67712, '\P{Is_Scx: - palm}', "");
    Expect(0, 67712, '\P{^Is_Scx: - palm}', "");
    Error('\p{Script_Extensions= :=pau_CIN_hau}');
    Error('\P{Script_Extensions= :=pau_CIN_hau}');
    Expect(1, 72440, '\p{Script_Extensions=:\APau_Cin_Hau\z:}', "");;
    Expect(0, 72441, '\p{Script_Extensions=:\APau_Cin_Hau\z:}', "");;
    Expect(1, 72440, '\p{Script_Extensions=paucinhau}', "");
    Expect(0, 72440, '\p{^Script_Extensions=paucinhau}', "");
    Expect(0, 72440, '\P{Script_Extensions=paucinhau}', "");
    Expect(1, 72440, '\P{^Script_Extensions=paucinhau}', "");
    Expect(0, 72441, '\p{Script_Extensions=paucinhau}', "");
    Expect(1, 72441, '\p{^Script_Extensions=paucinhau}', "");
    Expect(1, 72441, '\P{Script_Extensions=paucinhau}', "");
    Expect(0, 72441, '\P{^Script_Extensions=paucinhau}', "");
    Expect(1, 72440, '\p{Script_Extensions=:\Apaucinhau\z:}', "");;
    Expect(0, 72441, '\p{Script_Extensions=:\Apaucinhau\z:}', "");;
    Expect(1, 72440, '\p{Script_Extensions=__PAU_cin_Hau}', "");
    Expect(0, 72440, '\p{^Script_Extensions=__PAU_cin_Hau}', "");
    Expect(0, 72440, '\P{Script_Extensions=__PAU_cin_Hau}', "");
    Expect(1, 72440, '\P{^Script_Extensions=__PAU_cin_Hau}', "");
    Expect(0, 72441, '\p{Script_Extensions=__PAU_cin_Hau}', "");
    Expect(1, 72441, '\p{^Script_Extensions=__PAU_cin_Hau}', "");
    Expect(1, 72441, '\P{Script_Extensions=__PAU_cin_Hau}', "");
    Expect(0, 72441, '\P{^Script_Extensions=__PAU_cin_Hau}', "");
    Error('\p{Scx=:=	PAUC}');
    Error('\P{Scx=:=	PAUC}');
    Expect(1, 72440, '\p{Scx=:\APauc\z:}', "");;
    Expect(0, 72441, '\p{Scx=:\APauc\z:}', "");;
    Expect(1, 72440, '\p{Scx=pauc}', "");
    Expect(0, 72440, '\p{^Scx=pauc}', "");
    Expect(0, 72440, '\P{Scx=pauc}', "");
    Expect(1, 72440, '\P{^Scx=pauc}', "");
    Expect(0, 72441, '\p{Scx=pauc}', "");
    Expect(1, 72441, '\p{^Scx=pauc}', "");
    Expect(1, 72441, '\P{Scx=pauc}', "");
    Expect(0, 72441, '\P{^Scx=pauc}', "");
    Expect(1, 72440, '\p{Scx=:\Apauc\z:}', "");;
    Expect(0, 72441, '\p{Scx=:\Apauc\z:}', "");;
    Expect(1, 72440, '\p{Scx=- pauc}', "");
    Expect(0, 72440, '\p{^Scx=- pauc}', "");
    Expect(0, 72440, '\P{Scx=- pauc}', "");
    Expect(1, 72440, '\P{^Scx=- pauc}', "");
    Expect(0, 72441, '\p{Scx=- pauc}', "");
    Expect(1, 72441, '\p{^Scx=- pauc}', "");
    Expect(1, 72441, '\P{Scx=- pauc}', "");
    Expect(0, 72441, '\P{^Scx=- pauc}', "");
    Error('\p{Is_Script_Extensions=--Pau_cin_hau/a/}');
    Error('\P{Is_Script_Extensions=--Pau_cin_hau/a/}');
    Expect(1, 72440, '\p{Is_Script_Extensions:   paucinhau}', "");
    Expect(0, 72440, '\p{^Is_Script_Extensions:   paucinhau}', "");
    Expect(0, 72440, '\P{Is_Script_Extensions:   paucinhau}', "");
    Expect(1, 72440, '\P{^Is_Script_Extensions:   paucinhau}', "");
    Expect(0, 72441, '\p{Is_Script_Extensions:   paucinhau}', "");
    Expect(1, 72441, '\p{^Is_Script_Extensions:   paucinhau}', "");
    Expect(1, 72441, '\P{Is_Script_Extensions:   paucinhau}', "");
    Expect(0, 72441, '\P{^Is_Script_Extensions:   paucinhau}', "");
    Expect(1, 72440, '\p{Is_Script_Extensions=-PAU_cin_hau}', "");
    Expect(0, 72440, '\p{^Is_Script_Extensions=-PAU_cin_hau}', "");
    Expect(0, 72440, '\P{Is_Script_Extensions=-PAU_cin_hau}', "");
    Expect(1, 72440, '\P{^Is_Script_Extensions=-PAU_cin_hau}', "");
    Expect(0, 72441, '\p{Is_Script_Extensions=-PAU_cin_hau}', "");
    Expect(1, 72441, '\p{^Is_Script_Extensions=-PAU_cin_hau}', "");
    Expect(1, 72441, '\P{Is_Script_Extensions=-PAU_cin_hau}', "");
    Expect(0, 72441, '\P{^Is_Script_Extensions=-PAU_cin_hau}', "");
    Error('\p{Is_Scx=/a/PAUC}');
    Error('\P{Is_Scx=/a/PAUC}');
    Expect(1, 72440, '\p{Is_Scx=pauc}', "");
    Expect(0, 72440, '\p{^Is_Scx=pauc}', "");
    Expect(0, 72440, '\P{Is_Scx=pauc}', "");
    Expect(1, 72440, '\P{^Is_Scx=pauc}', "");
    Expect(0, 72441, '\p{Is_Scx=pauc}', "");
    Expect(1, 72441, '\p{^Is_Scx=pauc}', "");
    Expect(1, 72441, '\P{Is_Scx=pauc}', "");
    Expect(0, 72441, '\P{^Is_Scx=pauc}', "");
    Expect(1, 72440, '\p{Is_Scx=	pauc}', "");
    Expect(0, 72440, '\p{^Is_Scx=	pauc}', "");
    Expect(0, 72440, '\P{Is_Scx=	pauc}', "");
    Expect(1, 72440, '\P{^Is_Scx=	pauc}', "");
    Expect(0, 72441, '\p{Is_Scx=	pauc}', "");
    Expect(1, 72441, '\p{^Is_Scx=	pauc}', "");
    Expect(1, 72441, '\P{Is_Scx=	pauc}', "");
    Expect(0, 72441, '\P{^Is_Scx=	pauc}', "");
    Error('\p{Script_Extensions: _-Old_permic/a/}');
    Error('\P{Script_Extensions: _-Old_permic/a/}');
    Expect(1, 66426, '\p{Script_Extensions=:\AOld_Permic\z:}', "");;
    Expect(0, 66427, '\p{Script_Extensions=:\AOld_Permic\z:}', "");;
    Expect(1, 66426, '\p{Script_Extensions:   oldpermic}', "");
    Expect(0, 66426, '\p{^Script_Extensions:   oldpermic}', "");
    Expect(0, 66426, '\P{Script_Extensions:   oldpermic}', "");
    Expect(1, 66426, '\P{^Script_Extensions:   oldpermic}', "");
    Expect(0, 66427, '\p{Script_Extensions:   oldpermic}', "");
    Expect(1, 66427, '\p{^Script_Extensions:   oldpermic}', "");
    Expect(1, 66427, '\P{Script_Extensions:   oldpermic}', "");
    Expect(0, 66427, '\P{^Script_Extensions:   oldpermic}', "");
    Expect(1, 66426, '\p{Script_Extensions=:\Aoldpermic\z:}', "");;
    Expect(0, 66427, '\p{Script_Extensions=:\Aoldpermic\z:}', "");;
    Expect(1, 66426, '\p{Script_Extensions=		Old_Permic}', "");
    Expect(0, 66426, '\p{^Script_Extensions=		Old_Permic}', "");
    Expect(0, 66426, '\P{Script_Extensions=		Old_Permic}', "");
    Expect(1, 66426, '\P{^Script_Extensions=		Old_Permic}', "");
    Expect(0, 66427, '\p{Script_Extensions=		Old_Permic}', "");
    Expect(1, 66427, '\p{^Script_Extensions=		Old_Permic}', "");
    Expect(1, 66427, '\P{Script_Extensions=		Old_Permic}', "");
    Expect(0, 66427, '\P{^Script_Extensions=		Old_Permic}', "");
    Error('\p{Scx=:=_PERM}');
    Error('\P{Scx=:=_PERM}');
    Expect(1, 66426, '\p{Scx=:\APerm\z:}', "");;
    Expect(0, 66427, '\p{Scx=:\APerm\z:}', "");;
    Expect(1, 66426, '\p{Scx=perm}', "");
    Expect(0, 66426, '\p{^Scx=perm}', "");
    Expect(0, 66426, '\P{Scx=perm}', "");
    Expect(1, 66426, '\P{^Scx=perm}', "");
    Expect(0, 66427, '\p{Scx=perm}', "");
    Expect(1, 66427, '\p{^Scx=perm}', "");
    Expect(1, 66427, '\P{Scx=perm}', "");
    Expect(0, 66427, '\P{^Scx=perm}', "");
    Expect(1, 66426, '\p{Scx=:\Aperm\z:}', "");;
    Expect(0, 66427, '\p{Scx=:\Aperm\z:}', "");;
    Expect(1, 66426, '\p{Scx: -	Perm}', "");
    Expect(0, 66426, '\p{^Scx: -	Perm}', "");
    Expect(0, 66426, '\P{Scx: -	Perm}', "");
    Expect(1, 66426, '\P{^Scx: -	Perm}', "");
    Expect(0, 66427, '\p{Scx: -	Perm}', "");
    Expect(1, 66427, '\p{^Scx: -	Perm}', "");
    Expect(1, 66427, '\P{Scx: -	Perm}', "");
    Expect(0, 66427, '\P{^Scx: -	Perm}', "");
    Error('\p{Is_Script_Extensions=:=	Old_permic}');
    Error('\P{Is_Script_Extensions=:=	Old_permic}');
    Expect(1, 66426, '\p{Is_Script_Extensions=oldpermic}', "");
    Expect(0, 66426, '\p{^Is_Script_Extensions=oldpermic}', "");
    Expect(0, 66426, '\P{Is_Script_Extensions=oldpermic}', "");
    Expect(1, 66426, '\P{^Is_Script_Extensions=oldpermic}', "");
    Expect(0, 66427, '\p{Is_Script_Extensions=oldpermic}', "");
    Expect(1, 66427, '\p{^Is_Script_Extensions=oldpermic}', "");
    Expect(1, 66427, '\P{Is_Script_Extensions=oldpermic}', "");
    Expect(0, 66427, '\P{^Is_Script_Extensions=oldpermic}', "");
    Expect(1, 66426, '\p{Is_Script_Extensions=  Old_PERMIC}', "");
    Expect(0, 66426, '\p{^Is_Script_Extensions=  Old_PERMIC}', "");
    Expect(0, 66426, '\P{Is_Script_Extensions=  Old_PERMIC}', "");
    Expect(1, 66426, '\P{^Is_Script_Extensions=  Old_PERMIC}', "");
    Expect(0, 66427, '\p{Is_Script_Extensions=  Old_PERMIC}', "");
    Expect(1, 66427, '\p{^Is_Script_Extensions=  Old_PERMIC}', "");
    Expect(1, 66427, '\P{Is_Script_Extensions=  Old_PERMIC}', "");
    Expect(0, 66427, '\P{^Is_Script_Extensions=  Old_PERMIC}', "");
    Error('\p{Is_Scx=		Perm:=}');
    Error('\P{Is_Scx=		Perm:=}');
    Expect(1, 66426, '\p{Is_Scx=perm}', "");
    Expect(0, 66426, '\p{^Is_Scx=perm}', "");
    Expect(0, 66426, '\P{Is_Scx=perm}', "");
    Expect(1, 66426, '\P{^Is_Scx=perm}', "");
    Expect(0, 66427, '\p{Is_Scx=perm}', "");
    Expect(1, 66427, '\p{^Is_Scx=perm}', "");
    Expect(1, 66427, '\P{Is_Scx=perm}', "");
    Expect(0, 66427, '\P{^Is_Scx=perm}', "");
    Expect(1, 66426, '\p{Is_Scx= -Perm}', "");
    Expect(0, 66426, '\p{^Is_Scx= -Perm}', "");
    Expect(0, 66426, '\P{Is_Scx= -Perm}', "");
    Expect(1, 66426, '\P{^Is_Scx= -Perm}', "");
    Expect(0, 66427, '\p{Is_Scx= -Perm}', "");
    Expect(1, 66427, '\p{^Is_Scx= -Perm}', "");
    Expect(1, 66427, '\P{Is_Scx= -Perm}', "");
    Expect(0, 66427, '\P{^Is_Scx= -Perm}', "");
    Error('\p{Script_Extensions=:=-_Phags_Pa}');
    Error('\P{Script_Extensions=:=-_Phags_Pa}');
    Expect(1, 43127, '\p{Script_Extensions=:\APhags_Pa\z:}', "");;
    Expect(0, 43128, '\p{Script_Extensions=:\APhags_Pa\z:}', "");;
    Expect(1, 43127, '\p{Script_Extensions=phagspa}', "");
    Expect(0, 43127, '\p{^Script_Extensions=phagspa}', "");
    Expect(0, 43127, '\P{Script_Extensions=phagspa}', "");
    Expect(1, 43127, '\P{^Script_Extensions=phagspa}', "");
    Expect(0, 43128, '\p{Script_Extensions=phagspa}', "");
    Expect(1, 43128, '\p{^Script_Extensions=phagspa}', "");
    Expect(1, 43128, '\P{Script_Extensions=phagspa}', "");
    Expect(0, 43128, '\P{^Script_Extensions=phagspa}', "");
    Expect(1, 43127, '\p{Script_Extensions=:\Aphagspa\z:}', "");;
    Expect(0, 43128, '\p{Script_Extensions=:\Aphagspa\z:}', "");;
    Expect(1, 43127, '\p{Script_Extensions:  Phags_Pa}', "");
    Expect(0, 43127, '\p{^Script_Extensions:  Phags_Pa}', "");
    Expect(0, 43127, '\P{Script_Extensions:  Phags_Pa}', "");
    Expect(1, 43127, '\P{^Script_Extensions:  Phags_Pa}', "");
    Expect(0, 43128, '\p{Script_Extensions:  Phags_Pa}', "");
    Expect(1, 43128, '\p{^Script_Extensions:  Phags_Pa}', "");
    Expect(1, 43128, '\P{Script_Extensions:  Phags_Pa}', "");
    Expect(0, 43128, '\P{^Script_Extensions:  Phags_Pa}', "");
    Error('\p{Scx:	 :=PHAG}');
    Error('\P{Scx:	 :=PHAG}');
    Expect(1, 43127, '\p{Scx=:\APhag\z:}', "");;
    Expect(0, 43128, '\p{Scx=:\APhag\z:}', "");;
    Expect(1, 43127, '\p{Scx=phag}', "");
    Expect(0, 43127, '\p{^Scx=phag}', "");
    Expect(0, 43127, '\P{Scx=phag}', "");
    Expect(1, 43127, '\P{^Scx=phag}', "");
    Expect(0, 43128, '\p{Scx=phag}', "");
    Expect(1, 43128, '\p{^Scx=phag}', "");
    Expect(1, 43128, '\P{Scx=phag}', "");
    Expect(0, 43128, '\P{^Scx=phag}', "");
    Expect(1, 43127, '\p{Scx=:\Aphag\z:}', "");;
    Expect(0, 43128, '\p{Scx=:\Aphag\z:}', "");;
    Expect(1, 43127, '\p{Scx=_	Phag}', "");
    Expect(0, 43127, '\p{^Scx=_	Phag}', "");
    Expect(0, 43127, '\P{Scx=_	Phag}', "");
    Expect(1, 43127, '\P{^Scx=_	Phag}', "");
    Expect(0, 43128, '\p{Scx=_	Phag}', "");
    Expect(1, 43128, '\p{^Scx=_	Phag}', "");
    Expect(1, 43128, '\P{Scx=_	Phag}', "");
    Expect(0, 43128, '\P{^Scx=_	Phag}', "");
    Error('\p{Is_Script_Extensions=/a/phags_Pa}');
    Error('\P{Is_Script_Extensions=/a/phags_Pa}');
    Expect(1, 43127, '\p{Is_Script_Extensions=phagspa}', "");
    Expect(0, 43127, '\p{^Is_Script_Extensions=phagspa}', "");
    Expect(0, 43127, '\P{Is_Script_Extensions=phagspa}', "");
    Expect(1, 43127, '\P{^Is_Script_Extensions=phagspa}', "");
    Expect(0, 43128, '\p{Is_Script_Extensions=phagspa}', "");
    Expect(1, 43128, '\p{^Is_Script_Extensions=phagspa}', "");
    Expect(1, 43128, '\P{Is_Script_Extensions=phagspa}', "");
    Expect(0, 43128, '\P{^Is_Script_Extensions=phagspa}', "");
    Expect(1, 43127, '\p{Is_Script_Extensions=-	PHAGS_pa}', "");
    Expect(0, 43127, '\p{^Is_Script_Extensions=-	PHAGS_pa}', "");
    Expect(0, 43127, '\P{Is_Script_Extensions=-	PHAGS_pa}', "");
    Expect(1, 43127, '\P{^Is_Script_Extensions=-	PHAGS_pa}', "");
    Expect(0, 43128, '\p{Is_Script_Extensions=-	PHAGS_pa}', "");
    Expect(1, 43128, '\p{^Is_Script_Extensions=-	PHAGS_pa}', "");
    Expect(1, 43128, '\P{Is_Script_Extensions=-	PHAGS_pa}', "");
    Expect(0, 43128, '\P{^Is_Script_Extensions=-	PHAGS_pa}', "");
    Error('\p{Is_Scx= :=phag}');
    Error('\P{Is_Scx= :=phag}');
    Expect(1, 43127, '\p{Is_Scx=phag}', "");
    Expect(0, 43127, '\p{^Is_Scx=phag}', "");
    Expect(0, 43127, '\P{Is_Scx=phag}', "");
    Expect(1, 43127, '\P{^Is_Scx=phag}', "");
    Expect(0, 43128, '\p{Is_Scx=phag}', "");
    Expect(1, 43128, '\p{^Is_Scx=phag}', "");
    Expect(1, 43128, '\P{Is_Scx=phag}', "");
    Expect(0, 43128, '\P{^Is_Scx=phag}', "");
    Expect(1, 43127, '\p{Is_Scx= 	phag}', "");
    Expect(0, 43127, '\p{^Is_Scx= 	phag}', "");
    Expect(0, 43127, '\P{Is_Scx= 	phag}', "");
    Expect(1, 43127, '\P{^Is_Scx= 	phag}', "");
    Expect(0, 43128, '\p{Is_Scx= 	phag}', "");
    Expect(1, 43128, '\p{^Is_Scx= 	phag}', "");
    Expect(1, 43128, '\P{Is_Scx= 	phag}', "");
    Expect(0, 43128, '\P{^Is_Scx= 	phag}', "");
    Error('\p{Script_Extensions=_ Inscriptional_pahlavi/a/}');
    Error('\P{Script_Extensions=_ Inscriptional_pahlavi/a/}');
    Expect(1, 68479, '\p{Script_Extensions=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(0, 68480, '\p{Script_Extensions=:\AInscriptional_Pahlavi\z:}', "");;
    Expect(1, 68479, '\p{Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Script_Extensions=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(0, 68480, '\p{Script_Extensions=:\Ainscriptionalpahlavi\z:}', "");;
    Expect(1, 68479, '\p{Script_Extensions=-	Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\p{^Script_Extensions=-	Inscriptional_pahlavi}', "");
    Expect(0, 68479, '\P{Script_Extensions=-	Inscriptional_pahlavi}', "");
    Expect(1, 68479, '\P{^Script_Extensions=-	Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\p{Script_Extensions=-	Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\p{^Script_Extensions=-	Inscriptional_pahlavi}', "");
    Expect(1, 68480, '\P{Script_Extensions=-	Inscriptional_pahlavi}', "");
    Expect(0, 68480, '\P{^Script_Extensions=-	Inscriptional_pahlavi}', "");
    Error('\p{Scx= :=Phli}');
    Error('\P{Scx= :=Phli}');
    Expect(1, 68479, '\p{Scx=:\APhli\z:}', "");;
    Expect(0, 68480, '\p{Scx=:\APhli\z:}', "");;
    Expect(1, 68479, '\p{Scx=phli}', "");
    Expect(0, 68479, '\p{^Scx=phli}', "");
    Expect(0, 68479, '\P{Scx=phli}', "");
    Expect(1, 68479, '\P{^Scx=phli}', "");
    Expect(0, 68480, '\p{Scx=phli}', "");
    Expect(1, 68480, '\p{^Scx=phli}', "");
    Expect(1, 68480, '\P{Scx=phli}', "");
    Expect(0, 68480, '\P{^Scx=phli}', "");
    Expect(1, 68479, '\p{Scx=:\Aphli\z:}', "");;
    Expect(0, 68480, '\p{Scx=:\Aphli\z:}', "");;
    Expect(1, 68479, '\p{Scx=	 Phli}', "");
    Expect(0, 68479, '\p{^Scx=	 Phli}', "");
    Expect(0, 68479, '\P{Scx=	 Phli}', "");
    Expect(1, 68479, '\P{^Scx=	 Phli}', "");
    Expect(0, 68480, '\p{Scx=	 Phli}', "");
    Expect(1, 68480, '\p{^Scx=	 Phli}', "");
    Expect(1, 68480, '\P{Scx=	 Phli}', "");
    Expect(0, 68480, '\P{^Scx=	 Phli}', "");
    Error('\p{Is_Script_Extensions:	:= Inscriptional_pahlavi}');
    Error('\P{Is_Script_Extensions:	:= Inscriptional_pahlavi}');
    Expect(1, 68479, '\p{Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\p{^Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68479, '\P{Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\P{^Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\p{Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\p{^Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68480, '\P{Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(0, 68480, '\P{^Is_Script_Extensions=inscriptionalpahlavi}', "");
    Expect(1, 68479, '\p{Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Expect(0, 68479, '\p{^Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Expect(0, 68479, '\P{Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Expect(1, 68479, '\P{^Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Expect(0, 68480, '\p{Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Expect(1, 68480, '\p{^Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Expect(1, 68480, '\P{Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Expect(0, 68480, '\P{^Is_Script_Extensions= Inscriptional_PAHLAVI}', "");
    Error('\p{Is_Scx=/a/Phli}');
    Error('\P{Is_Scx=/a/Phli}');
    Expect(1, 68479, '\p{Is_Scx=phli}', "");
    Expect(0, 68479, '\p{^Is_Scx=phli}', "");
    Expect(0, 68479, '\P{Is_Scx=phli}', "");
    Expect(1, 68479, '\P{^Is_Scx=phli}', "");
    Expect(0, 68480, '\p{Is_Scx=phli}', "");
    Expect(1, 68480, '\p{^Is_Scx=phli}', "");
    Expect(1, 68480, '\P{Is_Scx=phli}', "");
    Expect(0, 68480, '\P{^Is_Scx=phli}', "");
    Expect(1, 68479, '\p{Is_Scx: __phli}', "");
    Expect(0, 68479, '\p{^Is_Scx: __phli}', "");
    Expect(0, 68479, '\P{Is_Scx: __phli}', "");
    Expect(1, 68479, '\P{^Is_Scx: __phli}', "");
    Expect(0, 68480, '\p{Is_Scx: __phli}', "");
    Expect(1, 68480, '\p{^Is_Scx: __phli}', "");
    Expect(1, 68480, '\P{Is_Scx: __phli}', "");
    Expect(0, 68480, '\P{^Is_Scx: __phli}', "");
    Error('\p{Script_Extensions=:=_-PSALTER_Pahlavi}');
    Error('\P{Script_Extensions=:=_-PSALTER_Pahlavi}');
    Expect(1, 68527, '\p{Script_Extensions=:\APsalter_Pahlavi\z:}', "");;
    Expect(0, 68528, '\p{Script_Extensions=:\APsalter_Pahlavi\z:}', "");;
    Expect(1, 68527, '\p{Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68527, '\P{Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68528, '\p{Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68528, '\P{Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68527, '\p{Script_Extensions=:\Apsalterpahlavi\z:}', "");;
    Expect(0, 68528, '\p{Script_Extensions=:\Apsalterpahlavi\z:}', "");;
    Expect(1, 68527, '\p{Script_Extensions=__Psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^Script_Extensions=__Psalter_pahlavi}', "");
    Expect(0, 68527, '\P{Script_Extensions=__Psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^Script_Extensions=__Psalter_pahlavi}', "");
    Expect(0, 68528, '\p{Script_Extensions=__Psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^Script_Extensions=__Psalter_pahlavi}', "");
    Expect(1, 68528, '\P{Script_Extensions=__Psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^Script_Extensions=__Psalter_pahlavi}', "");
    Error('\p{Scx=_Phlp/a/}');
    Error('\P{Scx=_Phlp/a/}');
    Expect(1, 68527, '\p{Scx=:\APhlp\z:}', "");;
    Expect(0, 68528, '\p{Scx=:\APhlp\z:}', "");;
    Expect(1, 68527, '\p{Scx=phlp}', "");
    Expect(0, 68527, '\p{^Scx=phlp}', "");
    Expect(0, 68527, '\P{Scx=phlp}', "");
    Expect(1, 68527, '\P{^Scx=phlp}', "");
    Expect(0, 68528, '\p{Scx=phlp}', "");
    Expect(1, 68528, '\p{^Scx=phlp}', "");
    Expect(1, 68528, '\P{Scx=phlp}', "");
    Expect(0, 68528, '\P{^Scx=phlp}', "");
    Expect(1, 68527, '\p{Scx=:\Aphlp\z:}', "");;
    Expect(0, 68528, '\p{Scx=:\Aphlp\z:}', "");;
    Expect(1, 68527, '\p{Scx=	 PHLP}', "");
    Expect(0, 68527, '\p{^Scx=	 PHLP}', "");
    Expect(0, 68527, '\P{Scx=	 PHLP}', "");
    Expect(1, 68527, '\P{^Scx=	 PHLP}', "");
    Expect(0, 68528, '\p{Scx=	 PHLP}', "");
    Expect(1, 68528, '\p{^Scx=	 PHLP}', "");
    Expect(1, 68528, '\P{Scx=	 PHLP}', "");
    Expect(0, 68528, '\P{^Scx=	 PHLP}', "");
    Error('\p{Is_Script_Extensions=	/a/Psalter_Pahlavi}');
    Error('\P{Is_Script_Extensions=	/a/Psalter_Pahlavi}');
    Expect(1, 68527, '\p{Is_Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68527, '\p{^Is_Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68527, '\P{Is_Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68527, '\P{^Is_Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68528, '\p{Is_Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68528, '\p{^Is_Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68528, '\P{Is_Script_Extensions=psalterpahlavi}', "");
    Expect(0, 68528, '\P{^Is_Script_Extensions=psalterpahlavi}', "");
    Expect(1, 68527, '\p{Is_Script_Extensions=  Psalter_pahlavi}', "");
    Expect(0, 68527, '\p{^Is_Script_Extensions=  Psalter_pahlavi}', "");
    Expect(0, 68527, '\P{Is_Script_Extensions=  Psalter_pahlavi}', "");
    Expect(1, 68527, '\P{^Is_Script_Extensions=  Psalter_pahlavi}', "");
    Expect(0, 68528, '\p{Is_Script_Extensions=  Psalter_pahlavi}', "");
    Expect(1, 68528, '\p{^Is_Script_Extensions=  Psalter_pahlavi}', "");
    Expect(1, 68528, '\P{Is_Script_Extensions=  Psalter_pahlavi}', "");
    Expect(0, 68528, '\P{^Is_Script_Extensions=  Psalter_pahlavi}', "");
    Error('\p{Is_Scx=	:=Phlp}');
    Error('\P{Is_Scx=	:=Phlp}');
    Expect(1, 68527, '\p{Is_Scx=phlp}', "");
    Expect(0, 68527, '\p{^Is_Scx=phlp}', "");
    Expect(0, 68527, '\P{Is_Scx=phlp}', "");
    Expect(1, 68527, '\P{^Is_Scx=phlp}', "");
    Expect(0, 68528, '\p{Is_Scx=phlp}', "");
    Expect(1, 68528, '\p{^Is_Scx=phlp}', "");
    Expect(1, 68528, '\P{Is_Scx=phlp}', "");
    Expect(0, 68528, '\P{^Is_Scx=phlp}', "");
    Expect(1, 68527, '\p{Is_Scx= 	PHLP}', "");
    Expect(0, 68527, '\p{^Is_Scx= 	PHLP}', "");
    Expect(0, 68527, '\P{Is_Scx= 	PHLP}', "");
    Expect(1, 68527, '\P{^Is_Scx= 	PHLP}', "");
    Expect(0, 68528, '\p{Is_Scx= 	PHLP}', "");
    Expect(1, 68528, '\p{^Is_Scx= 	PHLP}', "");
    Expect(1, 68528, '\P{Is_Scx= 	PHLP}', "");
    Expect(0, 68528, '\P{^Is_Scx= 	PHLP}', "");
    Error('\p{Script_Extensions=_:=Phoenician}');
    Error('\P{Script_Extensions=_:=Phoenician}');
    Expect(1, 67871, '\p{Script_Extensions=:\APhoenician\z:}', "");;
    Expect(0, 67872, '\p{Script_Extensions=:\APhoenician\z:}', "");;
    Expect(1, 67871, '\p{Script_Extensions=phoenician}', "");
    Expect(0, 67871, '\p{^Script_Extensions=phoenician}', "");
    Expect(0, 67871, '\P{Script_Extensions=phoenician}', "");
    Expect(1, 67871, '\P{^Script_Extensions=phoenician}', "");
    Expect(0, 67872, '\p{Script_Extensions=phoenician}', "");
    Expect(1, 67872, '\p{^Script_Extensions=phoenician}', "");
    Expect(1, 67872, '\P{Script_Extensions=phoenician}', "");
    Expect(0, 67872, '\P{^Script_Extensions=phoenician}', "");
    Expect(1, 67871, '\p{Script_Extensions=:\Aphoenician\z:}', "");;
    Expect(0, 67872, '\p{Script_Extensions=:\Aphoenician\z:}', "");;
    Expect(1, 67871, '\p{Script_Extensions=	-Phoenician}', "");
    Expect(0, 67871, '\p{^Script_Extensions=	-Phoenician}', "");
    Expect(0, 67871, '\P{Script_Extensions=	-Phoenician}', "");
    Expect(1, 67871, '\P{^Script_Extensions=	-Phoenician}', "");
    Expect(0, 67872, '\p{Script_Extensions=	-Phoenician}', "");
    Expect(1, 67872, '\p{^Script_Extensions=	-Phoenician}', "");
    Expect(1, 67872, '\P{Script_Extensions=	-Phoenician}', "");
    Expect(0, 67872, '\P{^Script_Extensions=	-Phoenician}', "");
    Error('\p{Scx=	_phnx:=}');
    Error('\P{Scx=	_phnx:=}');
    Expect(1, 67871, '\p{Scx=:\APhnx\z:}', "");;
    Expect(0, 67872, '\p{Scx=:\APhnx\z:}', "");;
    Expect(1, 67871, '\p{Scx=phnx}', "");
    Expect(0, 67871, '\p{^Scx=phnx}', "");
    Expect(0, 67871, '\P{Scx=phnx}', "");
    Expect(1, 67871, '\P{^Scx=phnx}', "");
    Expect(0, 67872, '\p{Scx=phnx}', "");
    Expect(1, 67872, '\p{^Scx=phnx}', "");
    Expect(1, 67872, '\P{Scx=phnx}', "");
    Expect(0, 67872, '\P{^Scx=phnx}', "");
    Expect(1, 67871, '\p{Scx=:\Aphnx\z:}', "");;
    Expect(0, 67872, '\p{Scx=:\Aphnx\z:}', "");;
    Expect(1, 67871, '\p{Scx=_	PHNX}', "");
    Expect(0, 67871, '\p{^Scx=_	PHNX}', "");
    Expect(0, 67871, '\P{Scx=_	PHNX}', "");
    Expect(1, 67871, '\P{^Scx=_	PHNX}', "");
    Expect(0, 67872, '\p{Scx=_	PHNX}', "");
    Expect(1, 67872, '\p{^Scx=_	PHNX}', "");
    Expect(1, 67872, '\P{Scx=_	PHNX}', "");
    Expect(0, 67872, '\P{^Scx=_	PHNX}', "");
    Error('\p{Is_Script_Extensions=-_phoenician/a/}');
    Error('\P{Is_Script_Extensions=-_phoenician/a/}');
    Expect(1, 67871, '\p{Is_Script_Extensions=phoenician}', "");
    Expect(0, 67871, '\p{^Is_Script_Extensions=phoenician}', "");
    Expect(0, 67871, '\P{Is_Script_Extensions=phoenician}', "");
    Expect(1, 67871, '\P{^Is_Script_Extensions=phoenician}', "");
    Expect(0, 67872, '\p{Is_Script_Extensions=phoenician}', "");
    Expect(1, 67872, '\p{^Is_Script_Extensions=phoenician}', "");
    Expect(1, 67872, '\P{Is_Script_Extensions=phoenician}', "");
    Expect(0, 67872, '\P{^Is_Script_Extensions=phoenician}', "");
    Expect(1, 67871, '\p{Is_Script_Extensions=		PHOENICIAN}', "");
    Expect(0, 67871, '\p{^Is_Script_Extensions=		PHOENICIAN}', "");
    Expect(0, 67871, '\P{Is_Script_Extensions=		PHOENICIAN}', "");
    Expect(1, 67871, '\P{^Is_Script_Extensions=		PHOENICIAN}', "");
    Expect(0, 67872, '\p{Is_Script_Extensions=		PHOENICIAN}', "");
    Expect(1, 67872, '\p{^Is_Script_Extensions=		PHOENICIAN}', "");
    Expect(1, 67872, '\P{Is_Script_Extensions=		PHOENICIAN}', "");
    Expect(0, 67872, '\P{^Is_Script_Extensions=		PHOENICIAN}', "");
    Error('\p{Is_Scx=/a/- Phnx}');
    Error('\P{Is_Scx=/a/- Phnx}');
    Expect(1, 67871, '\p{Is_Scx=phnx}', "");
    Expect(0, 67871, '\p{^Is_Scx=phnx}', "");
    Expect(0, 67871, '\P{Is_Scx=phnx}', "");
    Expect(1, 67871, '\P{^Is_Scx=phnx}', "");
    Expect(0, 67872, '\p{Is_Scx=phnx}', "");
    Expect(1, 67872, '\p{^Is_Scx=phnx}', "");
    Expect(1, 67872, '\P{Is_Scx=phnx}', "");
    Expect(0, 67872, '\P{^Is_Scx=phnx}', "");
    Expect(1, 67871, '\p{Is_Scx=	_phnx}', "");
    Expect(0, 67871, '\p{^Is_Scx=	_phnx}', "");
    Expect(0, 67871, '\P{Is_Scx=	_phnx}', "");
    Expect(1, 67871, '\P{^Is_Scx=	_phnx}', "");
    Expect(0, 67872, '\p{Is_Scx=	_phnx}', "");
    Expect(1, 67872, '\p{^Is_Scx=	_phnx}', "");
    Expect(1, 67872, '\P{Is_Scx=	_phnx}', "");
    Expect(0, 67872, '\P{^Is_Scx=	_phnx}', "");
    Error('\p{Script_Extensions=	Miao/a/}');
    Error('\P{Script_Extensions=	Miao/a/}');
    Expect(1, 94111, '\p{Script_Extensions=:\AMiao\z:}', "");;
    Expect(0, 94112, '\p{Script_Extensions=:\AMiao\z:}', "");;
    Expect(1, 94111, '\p{Script_Extensions=miao}', "");
    Expect(0, 94111, '\p{^Script_Extensions=miao}', "");
    Expect(0, 94111, '\P{Script_Extensions=miao}', "");
    Expect(1, 94111, '\P{^Script_Extensions=miao}', "");
    Expect(0, 94112, '\p{Script_Extensions=miao}', "");
    Expect(1, 94112, '\p{^Script_Extensions=miao}', "");
    Expect(1, 94112, '\P{Script_Extensions=miao}', "");
    Expect(0, 94112, '\P{^Script_Extensions=miao}', "");
    Expect(1, 94111, '\p{Script_Extensions=:\Amiao\z:}', "");;
    Expect(0, 94112, '\p{Script_Extensions=:\Amiao\z:}', "");;
    Expect(1, 94111, '\p{Script_Extensions=	Miao}', "");
    Expect(0, 94111, '\p{^Script_Extensions=	Miao}', "");
    Expect(0, 94111, '\P{Script_Extensions=	Miao}', "");
    Expect(1, 94111, '\P{^Script_Extensions=	Miao}', "");
    Expect(0, 94112, '\p{Script_Extensions=	Miao}', "");
    Expect(1, 94112, '\p{^Script_Extensions=	Miao}', "");
    Expect(1, 94112, '\P{Script_Extensions=	Miao}', "");
    Expect(0, 94112, '\P{^Script_Extensions=	Miao}', "");
    Error('\p{Scx=_plrd:=}');
    Error('\P{Scx=_plrd:=}');
    Expect(1, 94111, '\p{Scx=:\APlrd\z:}', "");;
    Expect(0, 94112, '\p{Scx=:\APlrd\z:}', "");;
    Expect(1, 94111, '\p{Scx=plrd}', "");
    Expect(0, 94111, '\p{^Scx=plrd}', "");
    Expect(0, 94111, '\P{Scx=plrd}', "");
    Expect(1, 94111, '\P{^Scx=plrd}', "");
    Expect(0, 94112, '\p{Scx=plrd}', "");
    Expect(1, 94112, '\p{^Scx=plrd}', "");
    Expect(1, 94112, '\P{Scx=plrd}', "");
    Expect(0, 94112, '\P{^Scx=plrd}', "");
    Expect(1, 94111, '\p{Scx=:\Aplrd\z:}', "");;
    Expect(0, 94112, '\p{Scx=:\Aplrd\z:}', "");;
    Expect(1, 94111, '\p{Scx= 	plrd}', "");
    Expect(0, 94111, '\p{^Scx= 	plrd}', "");
    Expect(0, 94111, '\P{Scx= 	plrd}', "");
    Expect(1, 94111, '\P{^Scx= 	plrd}', "");
    Expect(0, 94112, '\p{Scx= 	plrd}', "");
    Expect(1, 94112, '\p{^Scx= 	plrd}', "");
    Expect(1, 94112, '\P{Scx= 	plrd}', "");
    Expect(0, 94112, '\P{^Scx= 	plrd}', "");
    Error('\p{Is_Script_Extensions= :=MIAO}');
    Error('\P{Is_Script_Extensions= :=MIAO}');
    Expect(1, 94111, '\p{Is_Script_Extensions=miao}', "");
    Expect(0, 94111, '\p{^Is_Script_Extensions=miao}', "");
    Expect(0, 94111, '\P{Is_Script_Extensions=miao}', "");
    Expect(1, 94111, '\P{^Is_Script_Extensions=miao}', "");
    Expect(0, 94112, '\p{Is_Script_Extensions=miao}', "");
    Expect(1, 94112, '\p{^Is_Script_Extensions=miao}', "");
    Expect(1, 94112, '\P{Is_Script_Extensions=miao}', "");
    Expect(0, 94112, '\P{^Is_Script_Extensions=miao}', "");
    Error('\p{Is_Scx=/a/--PLRD}');
    Error('\P{Is_Scx=/a/--PLRD}');
    Expect(1, 94111, '\p{Is_Scx=plrd}', "");
    Expect(0, 94111, '\p{^Is_Scx=plrd}', "");
    Expect(0, 94111, '\P{Is_Scx=plrd}', "");
    Expect(1, 94111, '\P{^Is_Scx=plrd}', "");
    Expect(0, 94112, '\p{Is_Scx=plrd}', "");
    Expect(1, 94112, '\p{^Is_Scx=plrd}', "");
    Expect(1, 94112, '\P{Is_Scx=plrd}', "");
    Expect(0, 94112, '\P{^Is_Scx=plrd}', "");
    Expect(1, 94111, '\p{Is_Scx=	-Plrd}', "");
    Expect(0, 94111, '\p{^Is_Scx=	-Plrd}', "");
    Expect(0, 94111, '\P{Is_Scx=	-Plrd}', "");
    Expect(1, 94111, '\P{^Is_Scx=	-Plrd}', "");
    Expect(0, 94112, '\p{Is_Scx=	-Plrd}', "");
    Expect(1, 94112, '\p{^Is_Scx=	-Plrd}', "");
    Expect(1, 94112, '\P{Is_Scx=	-Plrd}', "");
    Expect(0, 94112, '\P{^Is_Scx=	-Plrd}', "");
    Error('\p{Script_Extensions=:=_INSCRIPTIONAL_PARTHIAN}');
    Error('\P{Script_Extensions=:=_INSCRIPTIONAL_PARTHIAN}');
    Expect(1, 68447, '\p{Script_Extensions=:\AInscriptional_Parthian\z:}', "");;
    Expect(0, 68448, '\p{Script_Extensions=:\AInscriptional_Parthian\z:}', "");;
    Expect(1, 68447, '\p{Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Script_Extensions=:\Ainscriptionalparthian\z:}', "");;
    Expect(0, 68448, '\p{Script_Extensions=:\Ainscriptionalparthian\z:}', "");;
    Expect(1, 68447, '\p{Script_Extensions=_	Inscriptional_parthian}', "");
    Expect(0, 68447, '\p{^Script_Extensions=_	Inscriptional_parthian}', "");
    Expect(0, 68447, '\P{Script_Extensions=_	Inscriptional_parthian}', "");
    Expect(1, 68447, '\P{^Script_Extensions=_	Inscriptional_parthian}', "");
    Expect(0, 68448, '\p{Script_Extensions=_	Inscriptional_parthian}', "");
    Expect(1, 68448, '\p{^Script_Extensions=_	Inscriptional_parthian}', "");
    Expect(1, 68448, '\P{Script_Extensions=_	Inscriptional_parthian}', "");
    Expect(0, 68448, '\P{^Script_Extensions=_	Inscriptional_parthian}', "");
    Error('\p{Scx=-_PRTI/a/}');
    Error('\P{Scx=-_PRTI/a/}');
    Expect(1, 68447, '\p{Scx=:\APrti\z:}', "");;
    Expect(0, 68448, '\p{Scx=:\APrti\z:}', "");;
    Expect(1, 68447, '\p{Scx=prti}', "");
    Expect(0, 68447, '\p{^Scx=prti}', "");
    Expect(0, 68447, '\P{Scx=prti}', "");
    Expect(1, 68447, '\P{^Scx=prti}', "");
    Expect(0, 68448, '\p{Scx=prti}', "");
    Expect(1, 68448, '\p{^Scx=prti}', "");
    Expect(1, 68448, '\P{Scx=prti}', "");
    Expect(0, 68448, '\P{^Scx=prti}', "");
    Expect(1, 68447, '\p{Scx=:\Aprti\z:}', "");;
    Expect(0, 68448, '\p{Scx=:\Aprti\z:}', "");;
    Expect(1, 68447, '\p{Scx=  prti}', "");
    Expect(0, 68447, '\p{^Scx=  prti}', "");
    Expect(0, 68447, '\P{Scx=  prti}', "");
    Expect(1, 68447, '\P{^Scx=  prti}', "");
    Expect(0, 68448, '\p{Scx=  prti}', "");
    Expect(1, 68448, '\p{^Scx=  prti}', "");
    Expect(1, 68448, '\P{Scx=  prti}', "");
    Expect(0, 68448, '\P{^Scx=  prti}', "");
    Error('\p{Is_Script_Extensions:	:=-	INSCRIPTIONAL_parthian}');
    Error('\P{Is_Script_Extensions:	:=-	INSCRIPTIONAL_parthian}');
    Expect(1, 68447, '\p{Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68447, '\p{^Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68447, '\P{Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68447, '\P{^Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68448, '\p{Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68448, '\p{^Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68448, '\P{Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(0, 68448, '\P{^Is_Script_Extensions=inscriptionalparthian}', "");
    Expect(1, 68447, '\p{Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Expect(0, 68447, '\p{^Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Expect(0, 68447, '\P{Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Expect(1, 68447, '\P{^Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Expect(0, 68448, '\p{Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Expect(1, 68448, '\p{^Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Expect(1, 68448, '\P{Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Expect(0, 68448, '\P{^Is_Script_Extensions=_ Inscriptional_PARTHIAN}', "");
    Error('\p{Is_Scx=:=	 Prti}');
    Error('\P{Is_Scx=:=	 Prti}');
    Expect(1, 68447, '\p{Is_Scx=prti}', "");
    Expect(0, 68447, '\p{^Is_Scx=prti}', "");
    Expect(0, 68447, '\P{Is_Scx=prti}', "");
    Expect(1, 68447, '\P{^Is_Scx=prti}', "");
    Expect(0, 68448, '\p{Is_Scx=prti}', "");
    Expect(1, 68448, '\p{^Is_Scx=prti}', "");
    Expect(1, 68448, '\P{Is_Scx=prti}', "");
    Expect(0, 68448, '\P{^Is_Scx=prti}', "");
    Expect(1, 68447, '\p{Is_Scx=_-Prti}', "");
    Expect(0, 68447, '\p{^Is_Scx=_-Prti}', "");
    Expect(0, 68447, '\P{Is_Scx=_-Prti}', "");
    Expect(1, 68447, '\P{^Is_Scx=_-Prti}', "");
    Expect(0, 68448, '\p{Is_Scx=_-Prti}', "");
    Expect(1, 68448, '\p{^Is_Scx=_-Prti}', "");
    Expect(1, 68448, '\P{Is_Scx=_-Prti}', "");
    Expect(0, 68448, '\P{^Is_Scx=_-Prti}', "");
    Error('\p{Script_Extensions=_rejang/a/}');
    Error('\P{Script_Extensions=_rejang/a/}');
    Expect(1, 43359, '\p{Script_Extensions=:\ARejang\z:}', "");;
    Expect(0, 43360, '\p{Script_Extensions=:\ARejang\z:}', "");;
    Expect(1, 43359, '\p{Script_Extensions=rejang}', "");
    Expect(0, 43359, '\p{^Script_Extensions=rejang}', "");
    Expect(0, 43359, '\P{Script_Extensions=rejang}', "");
    Expect(1, 43359, '\P{^Script_Extensions=rejang}', "");
    Expect(0, 43360, '\p{Script_Extensions=rejang}', "");
    Expect(1, 43360, '\p{^Script_Extensions=rejang}', "");
    Expect(1, 43360, '\P{Script_Extensions=rejang}', "");
    Expect(0, 43360, '\P{^Script_Extensions=rejang}', "");
    Expect(1, 43359, '\p{Script_Extensions=:\Arejang\z:}', "");;
    Expect(0, 43360, '\p{Script_Extensions=:\Arejang\z:}', "");;
    Expect(1, 43359, '\p{Script_Extensions=_	rejang}', "");
    Expect(0, 43359, '\p{^Script_Extensions=_	rejang}', "");
    Expect(0, 43359, '\P{Script_Extensions=_	rejang}', "");
    Expect(1, 43359, '\P{^Script_Extensions=_	rejang}', "");
    Expect(0, 43360, '\p{Script_Extensions=_	rejang}', "");
    Expect(1, 43360, '\p{^Script_Extensions=_	rejang}', "");
    Expect(1, 43360, '\P{Script_Extensions=_	rejang}', "");
    Expect(0, 43360, '\P{^Script_Extensions=_	rejang}', "");
    Error('\p{Scx=:= 	Rjng}');
    Error('\P{Scx=:= 	Rjng}');
    Expect(1, 43359, '\p{Scx=:\ARjng\z:}', "");;
    Expect(0, 43360, '\p{Scx=:\ARjng\z:}', "");;
    Expect(1, 43359, '\p{Scx:	rjng}', "");
    Expect(0, 43359, '\p{^Scx:	rjng}', "");
    Expect(0, 43359, '\P{Scx:	rjng}', "");
    Expect(1, 43359, '\P{^Scx:	rjng}', "");
    Expect(0, 43360, '\p{Scx:	rjng}', "");
    Expect(1, 43360, '\p{^Scx:	rjng}', "");
    Expect(1, 43360, '\P{Scx:	rjng}', "");
    Expect(0, 43360, '\P{^Scx:	rjng}', "");
    Expect(1, 43359, '\p{Scx=:\Arjng\z:}', "");;
    Expect(0, 43360, '\p{Scx=:\Arjng\z:}', "");;
    Expect(1, 43359, '\p{Scx= Rjng}', "");
    Expect(0, 43359, '\p{^Scx= Rjng}', "");
    Expect(0, 43359, '\P{Scx= Rjng}', "");
    Expect(1, 43359, '\P{^Scx= Rjng}', "");
    Expect(0, 43360, '\p{Scx= Rjng}', "");
    Expect(1, 43360, '\p{^Scx= Rjng}', "");
    Expect(1, 43360, '\P{Scx= Rjng}', "");
    Expect(0, 43360, '\P{^Scx= Rjng}', "");
    Error('\p{Is_Script_Extensions=_:=Rejang}');
    Error('\P{Is_Script_Extensions=_:=Rejang}');
    Expect(1, 43359, '\p{Is_Script_Extensions=rejang}', "");
    Expect(0, 43359, '\p{^Is_Script_Extensions=rejang}', "");
    Expect(0, 43359, '\P{Is_Script_Extensions=rejang}', "");
    Expect(1, 43359, '\P{^Is_Script_Extensions=rejang}', "");
    Expect(0, 43360, '\p{Is_Script_Extensions=rejang}', "");
    Expect(1, 43360, '\p{^Is_Script_Extensions=rejang}', "");
    Expect(1, 43360, '\P{Is_Script_Extensions=rejang}', "");
    Expect(0, 43360, '\P{^Is_Script_Extensions=rejang}', "");
    Expect(1, 43359, '\p{Is_Script_Extensions= _REJANG}', "");
    Expect(0, 43359, '\p{^Is_Script_Extensions= _REJANG}', "");
    Expect(0, 43359, '\P{Is_Script_Extensions= _REJANG}', "");
    Expect(1, 43359, '\P{^Is_Script_Extensions= _REJANG}', "");
    Expect(0, 43360, '\p{Is_Script_Extensions= _REJANG}', "");
    Expect(1, 43360, '\p{^Is_Script_Extensions= _REJANG}', "");
    Expect(1, 43360, '\P{Is_Script_Extensions= _REJANG}', "");
    Expect(0, 43360, '\P{^Is_Script_Extensions= _REJANG}', "");
    Error('\p{Is_Scx=-_rjng:=}');
    Error('\P{Is_Scx=-_rjng:=}');
    Expect(1, 43359, '\p{Is_Scx=rjng}', "");
    Expect(0, 43359, '\p{^Is_Scx=rjng}', "");
    Expect(0, 43359, '\P{Is_Scx=rjng}', "");
    Expect(1, 43359, '\P{^Is_Scx=rjng}', "");
    Expect(0, 43360, '\p{Is_Scx=rjng}', "");
    Expect(1, 43360, '\p{^Is_Scx=rjng}', "");
    Expect(1, 43360, '\P{Is_Scx=rjng}', "");
    Expect(0, 43360, '\P{^Is_Scx=rjng}', "");
    Expect(1, 43359, '\p{Is_Scx=- rjng}', "");
    Expect(0, 43359, '\p{^Is_Scx=- rjng}', "");
    Expect(0, 43359, '\P{Is_Scx=- rjng}', "");
    Expect(1, 43359, '\P{^Is_Scx=- rjng}', "");
    Expect(0, 43360, '\p{Is_Scx=- rjng}', "");
    Expect(1, 43360, '\p{^Is_Scx=- rjng}', "");
    Expect(1, 43360, '\P{Is_Scx=- rjng}', "");
    Expect(0, 43360, '\P{^Is_Scx=- rjng}', "");
    Error('\p{Script_Extensions= Hanifi_ROHINGYA/a/}');
    Error('\P{Script_Extensions= Hanifi_ROHINGYA/a/}');
    Expect(1, 68921, '\p{Script_Extensions=:\AHanifi_Rohingya\z:}', "");;
    Expect(0, 68922, '\p{Script_Extensions=:\AHanifi_Rohingya\z:}', "");;
    Expect(1, 68921, '\p{Script_Extensions=hanifirohingya}', "");
    Expect(0, 68921, '\p{^Script_Extensions=hanifirohingya}', "");
    Expect(0, 68921, '\P{Script_Extensions=hanifirohingya}', "");
    Expect(1, 68921, '\P{^Script_Extensions=hanifirohingya}', "");
    Expect(0, 68922, '\p{Script_Extensions=hanifirohingya}', "");
    Expect(1, 68922, '\p{^Script_Extensions=hanifirohingya}', "");
    Expect(1, 68922, '\P{Script_Extensions=hanifirohingya}', "");
    Expect(0, 68922, '\P{^Script_Extensions=hanifirohingya}', "");
    Expect(1, 68921, '\p{Script_Extensions=:\Ahanifirohingya\z:}', "");;
    Expect(0, 68922, '\p{Script_Extensions=:\Ahanifirohingya\z:}', "");;
    Expect(1, 68921, '\p{Script_Extensions=	_Hanifi_rohingya}', "");
    Expect(0, 68921, '\p{^Script_Extensions=	_Hanifi_rohingya}', "");
    Expect(0, 68921, '\P{Script_Extensions=	_Hanifi_rohingya}', "");
    Expect(1, 68921, '\P{^Script_Extensions=	_Hanifi_rohingya}', "");
    Expect(0, 68922, '\p{Script_Extensions=	_Hanifi_rohingya}', "");
    Expect(1, 68922, '\p{^Script_Extensions=	_Hanifi_rohingya}', "");
    Expect(1, 68922, '\P{Script_Extensions=	_Hanifi_rohingya}', "");
    Expect(0, 68922, '\P{^Script_Extensions=	_Hanifi_rohingya}', "");
    Error('\p{Scx=-	ROHG/a/}');
    Error('\P{Scx=-	ROHG/a/}');
    Expect(1, 68921, '\p{Scx=:\ARohg\z:}', "");;
    Expect(0, 68922, '\p{Scx=:\ARohg\z:}', "");;
    Expect(1, 68921, '\p{Scx=rohg}', "");
    Expect(0, 68921, '\p{^Scx=rohg}', "");
    Expect(0, 68921, '\P{Scx=rohg}', "");
    Expect(1, 68921, '\P{^Scx=rohg}', "");
    Expect(0, 68922, '\p{Scx=rohg}', "");
    Expect(1, 68922, '\p{^Scx=rohg}', "");
    Expect(1, 68922, '\P{Scx=rohg}', "");
    Expect(0, 68922, '\P{^Scx=rohg}', "");
    Expect(1, 68921, '\p{Scx=:\Arohg\z:}', "");;
    Expect(0, 68922, '\p{Scx=:\Arohg\z:}', "");;
    Expect(1, 68921, '\p{Scx= Rohg}', "");
    Expect(0, 68921, '\p{^Scx= Rohg}', "");
    Expect(0, 68921, '\P{Scx= Rohg}', "");
    Expect(1, 68921, '\P{^Scx= Rohg}', "");
    Expect(0, 68922, '\p{Scx= Rohg}', "");
    Expect(1, 68922, '\p{^Scx= Rohg}', "");
    Expect(1, 68922, '\P{Scx= Rohg}', "");
    Expect(0, 68922, '\P{^Scx= Rohg}', "");
    Error('\p{Is_Script_Extensions=/a/-HANIFI_Rohingya}');
    Error('\P{Is_Script_Extensions=/a/-HANIFI_Rohingya}');
    Expect(1, 68921, '\p{Is_Script_Extensions:   hanifirohingya}', "");
    Expect(0, 68921, '\p{^Is_Script_Extensions:   hanifirohingya}', "");
    Expect(0, 68921, '\P{Is_Script_Extensions:   hanifirohingya}', "");
    Expect(1, 68921, '\P{^Is_Script_Extensions:   hanifirohingya}', "");
    Expect(0, 68922, '\p{Is_Script_Extensions:   hanifirohingya}', "");
    Expect(1, 68922, '\p{^Is_Script_Extensions:   hanifirohingya}', "");
    Expect(1, 68922, '\P{Is_Script_Extensions:   hanifirohingya}', "");
    Expect(0, 68922, '\P{^Is_Script_Extensions:   hanifirohingya}', "");
    Expect(1, 68921, '\p{Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Expect(0, 68921, '\p{^Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Expect(0, 68921, '\P{Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Expect(1, 68921, '\P{^Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Expect(0, 68922, '\p{Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Expect(1, 68922, '\p{^Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Expect(1, 68922, '\P{Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Expect(0, 68922, '\P{^Is_Script_Extensions=_HANIFI_ROHINGYA}', "");
    Error('\p{Is_Scx=	_Rohg:=}');
    Error('\P{Is_Scx=	_Rohg:=}');
    Expect(1, 68921, '\p{Is_Scx=rohg}', "");
    Expect(0, 68921, '\p{^Is_Scx=rohg}', "");
    Expect(0, 68921, '\P{Is_Scx=rohg}', "");
    Expect(1, 68921, '\P{^Is_Scx=rohg}', "");
    Expect(0, 68922, '\p{Is_Scx=rohg}', "");
    Expect(1, 68922, '\p{^Is_Scx=rohg}', "");
    Expect(1, 68922, '\P{Is_Scx=rohg}', "");
    Expect(0, 68922, '\P{^Is_Scx=rohg}', "");
    Expect(1, 68921, '\p{Is_Scx= -ROHG}', "");
    Expect(0, 68921, '\p{^Is_Scx= -ROHG}', "");
    Expect(0, 68921, '\P{Is_Scx= -ROHG}', "");
    Expect(1, 68921, '\P{^Is_Scx= -ROHG}', "");
    Expect(0, 68922, '\p{Is_Scx= -ROHG}', "");
    Expect(1, 68922, '\p{^Is_Scx= -ROHG}', "");
    Expect(1, 68922, '\P{Is_Scx= -ROHG}', "");
    Expect(0, 68922, '\P{^Is_Scx= -ROHG}', "");
    Error('\p{Script_Extensions=:=	_RUNIC}');
    Error('\P{Script_Extensions=:=	_RUNIC}');
    Expect(1, 5880, '\p{Script_Extensions=:\ARunic\z:}', "");;
    Expect(0, 5881, '\p{Script_Extensions=:\ARunic\z:}', "");;
    Expect(1, 5880, '\p{Script_Extensions=runic}', "");
    Expect(0, 5880, '\p{^Script_Extensions=runic}', "");
    Expect(0, 5880, '\P{Script_Extensions=runic}', "");
    Expect(1, 5880, '\P{^Script_Extensions=runic}', "");
    Expect(0, 5881, '\p{Script_Extensions=runic}', "");
    Expect(1, 5881, '\p{^Script_Extensions=runic}', "");
    Expect(1, 5881, '\P{Script_Extensions=runic}', "");
    Expect(0, 5881, '\P{^Script_Extensions=runic}', "");
    Expect(1, 5880, '\p{Script_Extensions=:\Arunic\z:}', "");;
    Expect(0, 5881, '\p{Script_Extensions=:\Arunic\z:}', "");;
    Expect(1, 5880, '\p{Script_Extensions=  runic}', "");
    Expect(0, 5880, '\p{^Script_Extensions=  runic}', "");
    Expect(0, 5880, '\P{Script_Extensions=  runic}', "");
    Expect(1, 5880, '\P{^Script_Extensions=  runic}', "");
    Expect(0, 5881, '\p{Script_Extensions=  runic}', "");
    Expect(1, 5881, '\p{^Script_Extensions=  runic}', "");
    Expect(1, 5881, '\P{Script_Extensions=  runic}', "");
    Expect(0, 5881, '\P{^Script_Extensions=  runic}', "");
    Error('\p{Scx=	-Runr/a/}');
    Error('\P{Scx=	-Runr/a/}');
    Expect(1, 5880, '\p{Scx=:\ARunr\z:}', "");;
    Expect(0, 5881, '\p{Scx=:\ARunr\z:}', "");;
    Expect(1, 5880, '\p{Scx=runr}', "");
    Expect(0, 5880, '\p{^Scx=runr}', "");
    Expect(0, 5880, '\P{Scx=runr}', "");
    Expect(1, 5880, '\P{^Scx=runr}', "");
    Expect(0, 5881, '\p{Scx=runr}', "");
    Expect(1, 5881, '\p{^Scx=runr}', "");
    Expect(1, 5881, '\P{Scx=runr}', "");
    Expect(0, 5881, '\P{^Scx=runr}', "");
    Expect(1, 5880, '\p{Scx=:\Arunr\z:}', "");;
    Expect(0, 5881, '\p{Scx=:\Arunr\z:}', "");;
    Expect(1, 5880, '\p{Scx=- RUNR}', "");
    Expect(0, 5880, '\p{^Scx=- RUNR}', "");
    Expect(0, 5880, '\P{Scx=- RUNR}', "");
    Expect(1, 5880, '\P{^Scx=- RUNR}', "");
    Expect(0, 5881, '\p{Scx=- RUNR}', "");
    Expect(1, 5881, '\p{^Scx=- RUNR}', "");
    Expect(1, 5881, '\P{Scx=- RUNR}', "");
    Expect(0, 5881, '\P{^Scx=- RUNR}', "");
    Error('\p{Is_Script_Extensions=_/a/Runic}');
    Error('\P{Is_Script_Extensions=_/a/Runic}');
    Expect(1, 5880, '\p{Is_Script_Extensions=runic}', "");
    Expect(0, 5880, '\p{^Is_Script_Extensions=runic}', "");
    Expect(0, 5880, '\P{Is_Script_Extensions=runic}', "");
    Expect(1, 5880, '\P{^Is_Script_Extensions=runic}', "");
    Expect(0, 5881, '\p{Is_Script_Extensions=runic}', "");
    Expect(1, 5881, '\p{^Is_Script_Extensions=runic}', "");
    Expect(1, 5881, '\P{Is_Script_Extensions=runic}', "");
    Expect(0, 5881, '\P{^Is_Script_Extensions=runic}', "");
    Expect(1, 5880, '\p{Is_Script_Extensions= RUNIC}', "");
    Expect(0, 5880, '\p{^Is_Script_Extensions= RUNIC}', "");
    Expect(0, 5880, '\P{Is_Script_Extensions= RUNIC}', "");
    Expect(1, 5880, '\P{^Is_Script_Extensions= RUNIC}', "");
    Expect(0, 5881, '\p{Is_Script_Extensions= RUNIC}', "");
    Expect(1, 5881, '\p{^Is_Script_Extensions= RUNIC}', "");
    Expect(1, 5881, '\P{Is_Script_Extensions= RUNIC}', "");
    Expect(0, 5881, '\P{^Is_Script_Extensions= RUNIC}', "");
    Error('\p{Is_Scx=_Runr:=}');
    Error('\P{Is_Scx=_Runr:=}');
    Expect(1, 5880, '\p{Is_Scx=runr}', "");
    Expect(0, 5880, '\p{^Is_Scx=runr}', "");
    Expect(0, 5880, '\P{Is_Scx=runr}', "");
    Expect(1, 5880, '\P{^Is_Scx=runr}', "");
    Expect(0, 5881, '\p{Is_Scx=runr}', "");
    Expect(1, 5881, '\p{^Is_Scx=runr}', "");
    Expect(1, 5881, '\P{Is_Scx=runr}', "");
    Expect(0, 5881, '\P{^Is_Scx=runr}', "");
    Expect(1, 5880, '\p{Is_Scx=-	RUNR}', "");
    Expect(0, 5880, '\p{^Is_Scx=-	RUNR}', "");
    Expect(0, 5880, '\P{Is_Scx=-	RUNR}', "");
    Expect(1, 5880, '\P{^Is_Scx=-	RUNR}', "");
    Expect(0, 5881, '\p{Is_Scx=-	RUNR}', "");
    Expect(1, 5881, '\p{^Is_Scx=-	RUNR}', "");
    Expect(1, 5881, '\P{Is_Scx=-	RUNR}', "");
    Expect(0, 5881, '\P{^Is_Scx=-	RUNR}', "");
    Error('\p{Script_Extensions=/a/-	samaritan}');
    Error('\P{Script_Extensions=/a/-	samaritan}');
    Expect(1, 2110, '\p{Script_Extensions=:\ASamaritan\z:}', "");;
    Expect(0, 2111, '\p{Script_Extensions=:\ASamaritan\z:}', "");;
    Expect(1, 2110, '\p{Script_Extensions=samaritan}', "");
    Expect(0, 2110, '\p{^Script_Extensions=samaritan}', "");
    Expect(0, 2110, '\P{Script_Extensions=samaritan}', "");
    Expect(1, 2110, '\P{^Script_Extensions=samaritan}', "");
    Expect(0, 2111, '\p{Script_Extensions=samaritan}', "");
    Expect(1, 2111, '\p{^Script_Extensions=samaritan}', "");
    Expect(1, 2111, '\P{Script_Extensions=samaritan}', "");
    Expect(0, 2111, '\P{^Script_Extensions=samaritan}', "");
    Expect(1, 2110, '\p{Script_Extensions=:\Asamaritan\z:}', "");;
    Expect(0, 2111, '\p{Script_Extensions=:\Asamaritan\z:}', "");;
    Expect(1, 2110, '\p{Script_Extensions=_	SAMARITAN}', "");
    Expect(0, 2110, '\p{^Script_Extensions=_	SAMARITAN}', "");
    Expect(0, 2110, '\P{Script_Extensions=_	SAMARITAN}', "");
    Expect(1, 2110, '\P{^Script_Extensions=_	SAMARITAN}', "");
    Expect(0, 2111, '\p{Script_Extensions=_	SAMARITAN}', "");
    Expect(1, 2111, '\p{^Script_Extensions=_	SAMARITAN}', "");
    Expect(1, 2111, '\P{Script_Extensions=_	SAMARITAN}', "");
    Expect(0, 2111, '\P{^Script_Extensions=_	SAMARITAN}', "");
    Error('\p{Scx:	 Samr:=}');
    Error('\P{Scx:	 Samr:=}');
    Expect(1, 2110, '\p{Scx=:\ASamr\z:}', "");;
    Expect(0, 2111, '\p{Scx=:\ASamr\z:}', "");;
    Expect(1, 2110, '\p{Scx=samr}', "");
    Expect(0, 2110, '\p{^Scx=samr}', "");
    Expect(0, 2110, '\P{Scx=samr}', "");
    Expect(1, 2110, '\P{^Scx=samr}', "");
    Expect(0, 2111, '\p{Scx=samr}', "");
    Expect(1, 2111, '\p{^Scx=samr}', "");
    Expect(1, 2111, '\P{Scx=samr}', "");
    Expect(0, 2111, '\P{^Scx=samr}', "");
    Expect(1, 2110, '\p{Scx=:\Asamr\z:}', "");;
    Expect(0, 2111, '\p{Scx=:\Asamr\z:}', "");;
    Expect(1, 2110, '\p{Scx:_	Samr}', "");
    Expect(0, 2110, '\p{^Scx:_	Samr}', "");
    Expect(0, 2110, '\P{Scx:_	Samr}', "");
    Expect(1, 2110, '\P{^Scx:_	Samr}', "");
    Expect(0, 2111, '\p{Scx:_	Samr}', "");
    Expect(1, 2111, '\p{^Scx:_	Samr}', "");
    Expect(1, 2111, '\P{Scx:_	Samr}', "");
    Expect(0, 2111, '\P{^Scx:_	Samr}', "");
    Error('\p{Is_Script_Extensions=-:=Samaritan}');
    Error('\P{Is_Script_Extensions=-:=Samaritan}');
    Expect(1, 2110, '\p{Is_Script_Extensions=samaritan}', "");
    Expect(0, 2110, '\p{^Is_Script_Extensions=samaritan}', "");
    Expect(0, 2110, '\P{Is_Script_Extensions=samaritan}', "");
    Expect(1, 2110, '\P{^Is_Script_Extensions=samaritan}', "");
    Expect(0, 2111, '\p{Is_Script_Extensions=samaritan}', "");
    Expect(1, 2111, '\p{^Is_Script_Extensions=samaritan}', "");
    Expect(1, 2111, '\P{Is_Script_Extensions=samaritan}', "");
    Expect(0, 2111, '\P{^Is_Script_Extensions=samaritan}', "");
    Expect(1, 2110, '\p{Is_Script_Extensions= -Samaritan}', "");
    Expect(0, 2110, '\p{^Is_Script_Extensions= -Samaritan}', "");
    Expect(0, 2110, '\P{Is_Script_Extensions= -Samaritan}', "");
    Expect(1, 2110, '\P{^Is_Script_Extensions= -Samaritan}', "");
    Expect(0, 2111, '\p{Is_Script_Extensions= -Samaritan}', "");
    Expect(1, 2111, '\p{^Is_Script_Extensions= -Samaritan}', "");
    Expect(1, 2111, '\P{Is_Script_Extensions= -Samaritan}', "");
    Expect(0, 2111, '\P{^Is_Script_Extensions= -Samaritan}', "");
    Error('\p{Is_Scx=_:=Samr}');
    Error('\P{Is_Scx=_:=Samr}');
    Expect(1, 2110, '\p{Is_Scx=samr}', "");
    Expect(0, 2110, '\p{^Is_Scx=samr}', "");
    Expect(0, 2110, '\P{Is_Scx=samr}', "");
    Expect(1, 2110, '\P{^Is_Scx=samr}', "");
    Expect(0, 2111, '\p{Is_Scx=samr}', "");
    Expect(1, 2111, '\p{^Is_Scx=samr}', "");
    Expect(1, 2111, '\P{Is_Scx=samr}', "");
    Expect(0, 2111, '\P{^Is_Scx=samr}', "");
    Expect(1, 2110, '\p{Is_Scx= SAMR}', "");
    Expect(0, 2110, '\p{^Is_Scx= SAMR}', "");
    Expect(0, 2110, '\P{Is_Scx= SAMR}', "");
    Expect(1, 2110, '\P{^Is_Scx= SAMR}', "");
    Expect(0, 2111, '\p{Is_Scx= SAMR}', "");
    Expect(1, 2111, '\p{^Is_Scx= SAMR}', "");
    Expect(1, 2111, '\P{Is_Scx= SAMR}', "");
    Expect(0, 2111, '\P{^Is_Scx= SAMR}', "");
    Error('\p{Script_Extensions=/a/	 old_South_ARABIAN}');
    Error('\P{Script_Extensions=/a/	 old_South_ARABIAN}');
    Expect(1, 68223, '\p{Script_Extensions=:\AOld_South_Arabian\z:}', "");;
    Expect(0, 68224, '\p{Script_Extensions=:\AOld_South_Arabian\z:}', "");;
    Expect(1, 68223, '\p{Script_Extensions: oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Script_Extensions: oldsoutharabian}', "");
    Expect(0, 68223, '\P{Script_Extensions: oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Script_Extensions: oldsoutharabian}', "");
    Expect(0, 68224, '\p{Script_Extensions: oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Script_Extensions: oldsoutharabian}', "");
    Expect(1, 68224, '\P{Script_Extensions: oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Script_Extensions: oldsoutharabian}', "");
    Expect(1, 68223, '\p{Script_Extensions=:\Aoldsoutharabian\z:}', "");;
    Expect(0, 68224, '\p{Script_Extensions=:\Aoldsoutharabian\z:}', "");;
    Expect(1, 68223, '\p{Script_Extensions:	_	old_South_Arabian}', "");
    Expect(0, 68223, '\p{^Script_Extensions:	_	old_South_Arabian}', "");
    Expect(0, 68223, '\P{Script_Extensions:	_	old_South_Arabian}', "");
    Expect(1, 68223, '\P{^Script_Extensions:	_	old_South_Arabian}', "");
    Expect(0, 68224, '\p{Script_Extensions:	_	old_South_Arabian}', "");
    Expect(1, 68224, '\p{^Script_Extensions:	_	old_South_Arabian}', "");
    Expect(1, 68224, '\P{Script_Extensions:	_	old_South_Arabian}', "");
    Expect(0, 68224, '\P{^Script_Extensions:	_	old_South_Arabian}', "");
    Error('\p{Scx=/a/-	sarb}');
    Error('\P{Scx=/a/-	sarb}');
    Expect(1, 68223, '\p{Scx=:\ASarb\z:}', "");;
    Expect(0, 68224, '\p{Scx=:\ASarb\z:}', "");;
    Expect(1, 68223, '\p{Scx=sarb}', "");
    Expect(0, 68223, '\p{^Scx=sarb}', "");
    Expect(0, 68223, '\P{Scx=sarb}', "");
    Expect(1, 68223, '\P{^Scx=sarb}', "");
    Expect(0, 68224, '\p{Scx=sarb}', "");
    Expect(1, 68224, '\p{^Scx=sarb}', "");
    Expect(1, 68224, '\P{Scx=sarb}', "");
    Expect(0, 68224, '\P{^Scx=sarb}', "");
    Expect(1, 68223, '\p{Scx=:\Asarb\z:}', "");;
    Expect(0, 68224, '\p{Scx=:\Asarb\z:}', "");;
    Expect(1, 68223, '\p{Scx=SARB}', "");
    Expect(0, 68223, '\p{^Scx=SARB}', "");
    Expect(0, 68223, '\P{Scx=SARB}', "");
    Expect(1, 68223, '\P{^Scx=SARB}', "");
    Expect(0, 68224, '\p{Scx=SARB}', "");
    Expect(1, 68224, '\p{^Scx=SARB}', "");
    Expect(1, 68224, '\P{Scx=SARB}', "");
    Expect(0, 68224, '\P{^Scx=SARB}', "");
    Error('\p{Is_Script_Extensions=/a/_	old_South_ARABIAN}');
    Error('\P{Is_Script_Extensions=/a/_	old_South_ARABIAN}');
    Expect(1, 68223, '\p{Is_Script_Extensions=oldsoutharabian}', "");
    Expect(0, 68223, '\p{^Is_Script_Extensions=oldsoutharabian}', "");
    Expect(0, 68223, '\P{Is_Script_Extensions=oldsoutharabian}', "");
    Expect(1, 68223, '\P{^Is_Script_Extensions=oldsoutharabian}', "");
    Expect(0, 68224, '\p{Is_Script_Extensions=oldsoutharabian}', "");
    Expect(1, 68224, '\p{^Is_Script_Extensions=oldsoutharabian}', "");
    Expect(1, 68224, '\P{Is_Script_Extensions=oldsoutharabian}', "");
    Expect(0, 68224, '\P{^Is_Script_Extensions=oldsoutharabian}', "");
    Expect(1, 68223, '\p{Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Expect(0, 68223, '\p{^Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Expect(0, 68223, '\P{Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Expect(1, 68223, '\P{^Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Expect(0, 68224, '\p{Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Expect(1, 68224, '\p{^Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Expect(1, 68224, '\P{Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Expect(0, 68224, '\P{^Is_Script_Extensions= _old_SOUTH_Arabian}', "");
    Error('\p{Is_Scx=__SARB/a/}');
    Error('\P{Is_Scx=__SARB/a/}');
    Expect(1, 68223, '\p{Is_Scx=sarb}', "");
    Expect(0, 68223, '\p{^Is_Scx=sarb}', "");
    Expect(0, 68223, '\P{Is_Scx=sarb}', "");
    Expect(1, 68223, '\P{^Is_Scx=sarb}', "");
    Expect(0, 68224, '\p{Is_Scx=sarb}', "");
    Expect(1, 68224, '\p{^Is_Scx=sarb}', "");
    Expect(1, 68224, '\P{Is_Scx=sarb}', "");
    Expect(0, 68224, '\P{^Is_Scx=sarb}', "");
    Expect(1, 68223, '\p{Is_Scx=__sarb}', "");
    Expect(0, 68223, '\p{^Is_Scx=__sarb}', "");
    Expect(0, 68223, '\P{Is_Scx=__sarb}', "");
    Expect(1, 68223, '\P{^Is_Scx=__sarb}', "");
    Expect(0, 68224, '\p{Is_Scx=__sarb}', "");
    Expect(1, 68224, '\p{^Is_Scx=__sarb}', "");
    Expect(1, 68224, '\P{Is_Scx=__sarb}', "");
    Expect(0, 68224, '\P{^Is_Scx=__sarb}', "");
    Error('\p{Script_Extensions=_Saurashtra:=}');
    Error('\P{Script_Extensions=_Saurashtra:=}');
    Expect(1, 43225, '\p{Script_Extensions=:\ASaurashtra\z:}', "");;
    Expect(0, 43226, '\p{Script_Extensions=:\ASaurashtra\z:}', "");;
    Expect(1, 43225, '\p{Script_Extensions=saurashtra}', "");
    Expect(0, 43225, '\p{^Script_Extensions=saurashtra}', "");
    Expect(0, 43225, '\P{Script_Extensions=saurashtra}', "");
    Expect(1, 43225, '\P{^Script_Extensions=saurashtra}', "");
    Expect(0, 43226, '\p{Script_Extensions=saurashtra}', "");
    Expect(1, 43226, '\p{^Script_Extensions=saurashtra}', "");
    Expect(1, 43226, '\P{Script_Extensions=saurashtra}', "");
    Expect(0, 43226, '\P{^Script_Extensions=saurashtra}', "");
    Expect(1, 43225, '\p{Script_Extensions=:\Asaurashtra\z:}', "");;
    Expect(0, 43226, '\p{Script_Extensions=:\Asaurashtra\z:}', "");;
    Expect(1, 43225, '\p{Script_Extensions= _saurashtra}', "");
    Expect(0, 43225, '\p{^Script_Extensions= _saurashtra}', "");
    Expect(0, 43225, '\P{Script_Extensions= _saurashtra}', "");
    Expect(1, 43225, '\P{^Script_Extensions= _saurashtra}', "");
    Expect(0, 43226, '\p{Script_Extensions= _saurashtra}', "");
    Expect(1, 43226, '\p{^Script_Extensions= _saurashtra}', "");
    Expect(1, 43226, '\P{Script_Extensions= _saurashtra}', "");
    Expect(0, 43226, '\P{^Script_Extensions= _saurashtra}', "");
    Error('\p{Scx=_:=Saur}');
    Error('\P{Scx=_:=Saur}');
    Expect(1, 43225, '\p{Scx=:\ASaur\z:}', "");;
    Expect(0, 43226, '\p{Scx=:\ASaur\z:}', "");;
    Expect(1, 43225, '\p{Scx=saur}', "");
    Expect(0, 43225, '\p{^Scx=saur}', "");
    Expect(0, 43225, '\P{Scx=saur}', "");
    Expect(1, 43225, '\P{^Scx=saur}', "");
    Expect(0, 43226, '\p{Scx=saur}', "");
    Expect(1, 43226, '\p{^Scx=saur}', "");
    Expect(1, 43226, '\P{Scx=saur}', "");
    Expect(0, 43226, '\P{^Scx=saur}', "");
    Expect(1, 43225, '\p{Scx=:\Asaur\z:}', "");;
    Expect(0, 43226, '\p{Scx=:\Asaur\z:}', "");;
    Expect(1, 43225, '\p{Scx=	_saur}', "");
    Expect(0, 43225, '\p{^Scx=	_saur}', "");
    Expect(0, 43225, '\P{Scx=	_saur}', "");
    Expect(1, 43225, '\P{^Scx=	_saur}', "");
    Expect(0, 43226, '\p{Scx=	_saur}', "");
    Expect(1, 43226, '\p{^Scx=	_saur}', "");
    Expect(1, 43226, '\P{Scx=	_saur}', "");
    Expect(0, 43226, '\P{^Scx=	_saur}', "");
    Error('\p{Is_Script_Extensions=/a/ 	Saurashtra}');
    Error('\P{Is_Script_Extensions=/a/ 	Saurashtra}');
    Expect(1, 43225, '\p{Is_Script_Extensions=saurashtra}', "");
    Expect(0, 43225, '\p{^Is_Script_Extensions=saurashtra}', "");
    Expect(0, 43225, '\P{Is_Script_Extensions=saurashtra}', "");
    Expect(1, 43225, '\P{^Is_Script_Extensions=saurashtra}', "");
    Expect(0, 43226, '\p{Is_Script_Extensions=saurashtra}', "");
    Expect(1, 43226, '\p{^Is_Script_Extensions=saurashtra}', "");
    Expect(1, 43226, '\P{Is_Script_Extensions=saurashtra}', "");
    Expect(0, 43226, '\P{^Is_Script_Extensions=saurashtra}', "");
    Expect(1, 43225, '\p{Is_Script_Extensions=	-SAURASHTRA}', "");
    Expect(0, 43225, '\p{^Is_Script_Extensions=	-SAURASHTRA}', "");
    Expect(0, 43225, '\P{Is_Script_Extensions=	-SAURASHTRA}', "");
    Expect(1, 43225, '\P{^Is_Script_Extensions=	-SAURASHTRA}', "");
    Expect(0, 43226, '\p{Is_Script_Extensions=	-SAURASHTRA}', "");
    Expect(1, 43226, '\p{^Is_Script_Extensions=	-SAURASHTRA}', "");
    Expect(1, 43226, '\P{Is_Script_Extensions=	-SAURASHTRA}', "");
    Expect(0, 43226, '\P{^Is_Script_Extensions=	-SAURASHTRA}', "");
    Error('\p{Is_Scx=_/a/SAUR}');
    Error('\P{Is_Scx=_/a/SAUR}');
    Expect(1, 43225, '\p{Is_Scx=saur}', "");
    Expect(0, 43225, '\p{^Is_Scx=saur}', "");
    Expect(0, 43225, '\P{Is_Scx=saur}', "");
    Expect(1, 43225, '\P{^Is_Scx=saur}', "");
    Expect(0, 43226, '\p{Is_Scx=saur}', "");
    Expect(1, 43226, '\p{^Is_Scx=saur}', "");
    Expect(1, 43226, '\P{Is_Scx=saur}', "");
    Expect(0, 43226, '\P{^Is_Scx=saur}', "");
    Expect(1, 43225, '\p{Is_Scx= -saur}', "");
    Expect(0, 43225, '\p{^Is_Scx= -saur}', "");
    Expect(0, 43225, '\P{Is_Scx= -saur}', "");
    Expect(1, 43225, '\P{^Is_Scx= -saur}', "");
    Expect(0, 43226, '\p{Is_Scx= -saur}', "");
    Expect(1, 43226, '\p{^Is_Scx= -saur}', "");
    Expect(1, 43226, '\P{Is_Scx= -saur}', "");
    Expect(0, 43226, '\P{^Is_Scx= -saur}', "");
    Error('\p{Script_Extensions=:= _SIGNWRITING}');
    Error('\P{Script_Extensions=:= _SIGNWRITING}');
    Expect(1, 121519, '\p{Script_Extensions=:\ASignWriting\z:}', "");;
    Expect(0, 121520, '\p{Script_Extensions=:\ASignWriting\z:}', "");;
    Expect(1, 121519, '\p{Script_Extensions=signwriting}', "");
    Expect(0, 121519, '\p{^Script_Extensions=signwriting}', "");
    Expect(0, 121519, '\P{Script_Extensions=signwriting}', "");
    Expect(1, 121519, '\P{^Script_Extensions=signwriting}', "");
    Expect(0, 121520, '\p{Script_Extensions=signwriting}', "");
    Expect(1, 121520, '\p{^Script_Extensions=signwriting}', "");
    Expect(1, 121520, '\P{Script_Extensions=signwriting}', "");
    Expect(0, 121520, '\P{^Script_Extensions=signwriting}', "");
    Expect(1, 121519, '\p{Script_Extensions=:\Asignwriting\z:}', "");;
    Expect(0, 121520, '\p{Script_Extensions=:\Asignwriting\z:}', "");;
    Expect(1, 121519, '\p{Script_Extensions=_-signwriting}', "");
    Expect(0, 121519, '\p{^Script_Extensions=_-signwriting}', "");
    Expect(0, 121519, '\P{Script_Extensions=_-signwriting}', "");
    Expect(1, 121519, '\P{^Script_Extensions=_-signwriting}', "");
    Expect(0, 121520, '\p{Script_Extensions=_-signwriting}', "");
    Expect(1, 121520, '\p{^Script_Extensions=_-signwriting}', "");
    Expect(1, 121520, '\P{Script_Extensions=_-signwriting}', "");
    Expect(0, 121520, '\P{^Script_Extensions=_-signwriting}', "");
    Error('\p{Scx=/a/_ Sgnw}');
    Error('\P{Scx=/a/_ Sgnw}');
    Expect(1, 121519, '\p{Scx=:\ASgnw\z:}', "");;
    Expect(0, 121520, '\p{Scx=:\ASgnw\z:}', "");;
    Expect(1, 121519, '\p{Scx:   sgnw}', "");
    Expect(0, 121519, '\p{^Scx:   sgnw}', "");
    Expect(0, 121519, '\P{Scx:   sgnw}', "");
    Expect(1, 121519, '\P{^Scx:   sgnw}', "");
    Expect(0, 121520, '\p{Scx:   sgnw}', "");
    Expect(1, 121520, '\p{^Scx:   sgnw}', "");
    Expect(1, 121520, '\P{Scx:   sgnw}', "");
    Expect(0, 121520, '\P{^Scx:   sgnw}', "");
    Expect(1, 121519, '\p{Scx=:\Asgnw\z:}', "");;
    Expect(0, 121520, '\p{Scx=:\Asgnw\z:}', "");;
    Expect(1, 121519, '\p{Scx: _ sgnw}', "");
    Expect(0, 121519, '\p{^Scx: _ sgnw}', "");
    Expect(0, 121519, '\P{Scx: _ sgnw}', "");
    Expect(1, 121519, '\P{^Scx: _ sgnw}', "");
    Expect(0, 121520, '\p{Scx: _ sgnw}', "");
    Expect(1, 121520, '\p{^Scx: _ sgnw}', "");
    Expect(1, 121520, '\P{Scx: _ sgnw}', "");
    Expect(0, 121520, '\P{^Scx: _ sgnw}', "");
    Error('\p{Is_Script_Extensions=-	SignWriting:=}');
    Error('\P{Is_Script_Extensions=-	SignWriting:=}');
    Expect(1, 121519, '\p{Is_Script_Extensions=signwriting}', "");
    Expect(0, 121519, '\p{^Is_Script_Extensions=signwriting}', "");
    Expect(0, 121519, '\P{Is_Script_Extensions=signwriting}', "");
    Expect(1, 121519, '\P{^Is_Script_Extensions=signwriting}', "");
    Expect(0, 121520, '\p{Is_Script_Extensions=signwriting}', "");
    Expect(1, 121520, '\p{^Is_Script_Extensions=signwriting}', "");
    Expect(1, 121520, '\P{Is_Script_Extensions=signwriting}', "");
    Expect(0, 121520, '\P{^Is_Script_Extensions=signwriting}', "");
    Expect(1, 121519, '\p{Is_Script_Extensions=--signwriting}', "");
    Expect(0, 121519, '\p{^Is_Script_Extensions=--signwriting}', "");
    Expect(0, 121519, '\P{Is_Script_Extensions=--signwriting}', "");
    Expect(1, 121519, '\P{^Is_Script_Extensions=--signwriting}', "");
    Expect(0, 121520, '\p{Is_Script_Extensions=--signwriting}', "");
    Expect(1, 121520, '\p{^Is_Script_Extensions=--signwriting}', "");
    Expect(1, 121520, '\P{Is_Script_Extensions=--signwriting}', "");
    Expect(0, 121520, '\P{^Is_Script_Extensions=--signwriting}', "");
    Error('\p{Is_Scx=:=__SGNW}');
    Error('\P{Is_Scx=:=__SGNW}');
    Expect(1, 121519, '\p{Is_Scx=sgnw}', "");
    Expect(0, 121519, '\p{^Is_Scx=sgnw}', "");
    Expect(0, 121519, '\P{Is_Scx=sgnw}', "");
    Expect(1, 121519, '\P{^Is_Scx=sgnw}', "");
    Expect(0, 121520, '\p{Is_Scx=sgnw}', "");
    Expect(1, 121520, '\p{^Is_Scx=sgnw}', "");
    Expect(1, 121520, '\P{Is_Scx=sgnw}', "");
    Expect(0, 121520, '\P{^Is_Scx=sgnw}', "");
    Expect(1, 121519, '\p{Is_Scx=_	Sgnw}', "");
    Expect(0, 121519, '\p{^Is_Scx=_	Sgnw}', "");
    Expect(0, 121519, '\P{Is_Scx=_	Sgnw}', "");
    Expect(1, 121519, '\P{^Is_Scx=_	Sgnw}', "");
    Expect(0, 121520, '\p{Is_Scx=_	Sgnw}', "");
    Expect(1, 121520, '\p{^Is_Scx=_	Sgnw}', "");
    Expect(1, 121520, '\P{Is_Scx=_	Sgnw}', "");
    Expect(0, 121520, '\P{^Is_Scx=_	Sgnw}', "");
    Error('\p{Script_Extensions=:=-	shavian}');
    Error('\P{Script_Extensions=:=-	shavian}');
    Expect(1, 66687, '\p{Script_Extensions=:\AShavian\z:}', "");;
    Expect(0, 66688, '\p{Script_Extensions=:\AShavian\z:}', "");;
    Expect(1, 66687, '\p{Script_Extensions=shavian}', "");
    Expect(0, 66687, '\p{^Script_Extensions=shavian}', "");
    Expect(0, 66687, '\P{Script_Extensions=shavian}', "");
    Expect(1, 66687, '\P{^Script_Extensions=shavian}', "");
    Expect(0, 66688, '\p{Script_Extensions=shavian}', "");
    Expect(1, 66688, '\p{^Script_Extensions=shavian}', "");
    Expect(1, 66688, '\P{Script_Extensions=shavian}', "");
    Expect(0, 66688, '\P{^Script_Extensions=shavian}', "");
    Expect(1, 66687, '\p{Script_Extensions=:\Ashavian\z:}', "");;
    Expect(0, 66688, '\p{Script_Extensions=:\Ashavian\z:}', "");;
    Expect(1, 66687, '\p{Script_Extensions=Shavian}', "");
    Expect(0, 66687, '\p{^Script_Extensions=Shavian}', "");
    Expect(0, 66687, '\P{Script_Extensions=Shavian}', "");
    Expect(1, 66687, '\P{^Script_Extensions=Shavian}', "");
    Expect(0, 66688, '\p{Script_Extensions=Shavian}', "");
    Expect(1, 66688, '\p{^Script_Extensions=Shavian}', "");
    Expect(1, 66688, '\P{Script_Extensions=Shavian}', "");
    Expect(0, 66688, '\P{^Script_Extensions=Shavian}', "");
    Error('\p{Scx=:=_Shaw}');
    Error('\P{Scx=:=_Shaw}');
    Expect(1, 66687, '\p{Scx=:\AShaw\z:}', "");;
    Expect(0, 66688, '\p{Scx=:\AShaw\z:}', "");;
    Expect(1, 66687, '\p{Scx=shaw}', "");
    Expect(0, 66687, '\p{^Scx=shaw}', "");
    Expect(0, 66687, '\P{Scx=shaw}', "");
    Expect(1, 66687, '\P{^Scx=shaw}', "");
    Expect(0, 66688, '\p{Scx=shaw}', "");
    Expect(1, 66688, '\p{^Scx=shaw}', "");
    Expect(1, 66688, '\P{Scx=shaw}', "");
    Expect(0, 66688, '\P{^Scx=shaw}', "");
    Expect(1, 66687, '\p{Scx=:\Ashaw\z:}', "");;
    Expect(0, 66688, '\p{Scx=:\Ashaw\z:}', "");;
    Expect(1, 66687, '\p{Scx= 	shaw}', "");
    Expect(0, 66687, '\p{^Scx= 	shaw}', "");
    Expect(0, 66687, '\P{Scx= 	shaw}', "");
    Expect(1, 66687, '\P{^Scx= 	shaw}', "");
    Expect(0, 66688, '\p{Scx= 	shaw}', "");
    Expect(1, 66688, '\p{^Scx= 	shaw}', "");
    Expect(1, 66688, '\P{Scx= 	shaw}', "");
    Expect(0, 66688, '\P{^Scx= 	shaw}', "");
    Error('\p{Is_Script_Extensions=--Shavian/a/}');
    Error('\P{Is_Script_Extensions=--Shavian/a/}');
    Expect(1, 66687, '\p{Is_Script_Extensions=shavian}', "");
    Expect(0, 66687, '\p{^Is_Script_Extensions=shavian}', "");
    Expect(0, 66687, '\P{Is_Script_Extensions=shavian}', "");
    Expect(1, 66687, '\P{^Is_Script_Extensions=shavian}', "");
    Expect(0, 66688, '\p{Is_Script_Extensions=shavian}', "");
    Expect(1, 66688, '\p{^Is_Script_Extensions=shavian}', "");
    Expect(1, 66688, '\P{Is_Script_Extensions=shavian}', "");
    Expect(0, 66688, '\P{^Is_Script_Extensions=shavian}', "");
    Expect(1, 66687, '\p{Is_Script_Extensions= -SHAVIAN}', "");
    Expect(0, 66687, '\p{^Is_Script_Extensions= -SHAVIAN}', "");
    Expect(0, 66687, '\P{Is_Script_Extensions= -SHAVIAN}', "");
    Expect(1, 66687, '\P{^Is_Script_Extensions= -SHAVIAN}', "");
    Expect(0, 66688, '\p{Is_Script_Extensions= -SHAVIAN}', "");
    Expect(1, 66688, '\p{^Is_Script_Extensions= -SHAVIAN}', "");
    Expect(1, 66688, '\P{Is_Script_Extensions= -SHAVIAN}', "");
    Expect(0, 66688, '\P{^Is_Script_Extensions= -SHAVIAN}', "");
    Error('\p{Is_Scx=	SHAW:=}');
    Error('\P{Is_Scx=	SHAW:=}');
    Expect(1, 66687, '\p{Is_Scx=shaw}', "");
    Expect(0, 66687, '\p{^Is_Scx=shaw}', "");
    Expect(0, 66687, '\P{Is_Scx=shaw}', "");
    Expect(1, 66687, '\P{^Is_Scx=shaw}', "");
    Expect(0, 66688, '\p{Is_Scx=shaw}', "");
    Expect(1, 66688, '\p{^Is_Scx=shaw}', "");
    Expect(1, 66688, '\P{Is_Scx=shaw}', "");
    Expect(0, 66688, '\P{^Is_Scx=shaw}', "");
    Expect(1, 66687, '\p{Is_Scx=		SHAW}', "");
    Expect(0, 66687, '\p{^Is_Scx=		SHAW}', "");
    Expect(0, 66687, '\P{Is_Scx=		SHAW}', "");
    Expect(1, 66687, '\P{^Is_Scx=		SHAW}', "");
    Expect(0, 66688, '\p{Is_Scx=		SHAW}', "");
    Expect(1, 66688, '\p{^Is_Scx=		SHAW}', "");
    Expect(1, 66688, '\P{Is_Scx=		SHAW}', "");
    Expect(0, 66688, '\P{^Is_Scx=		SHAW}', "");
    Error('\p{Script_Extensions=/a/Sharada}');
    Error('\P{Script_Extensions=/a/Sharada}');
    Expect(1, 70111, '\p{Script_Extensions=:\ASharada\z:}', "");;
    Expect(0, 70112, '\p{Script_Extensions=:\ASharada\z:}', "");;
    Expect(1, 70111, '\p{Script_Extensions=sharada}', "");
    Expect(0, 70111, '\p{^Script_Extensions=sharada}', "");
    Expect(0, 70111, '\P{Script_Extensions=sharada}', "");
    Expect(1, 70111, '\P{^Script_Extensions=sharada}', "");
    Expect(0, 70112, '\p{Script_Extensions=sharada}', "");
    Expect(1, 70112, '\p{^Script_Extensions=sharada}', "");
    Expect(1, 70112, '\P{Script_Extensions=sharada}', "");
    Expect(0, 70112, '\P{^Script_Extensions=sharada}', "");
    Expect(1, 70111, '\p{Script_Extensions=:\Asharada\z:}', "");;
    Expect(0, 70112, '\p{Script_Extensions=:\Asharada\z:}', "");;
    Expect(1, 70111, '\p{Script_Extensions=_	sharada}', "");
    Expect(0, 70111, '\p{^Script_Extensions=_	sharada}', "");
    Expect(0, 70111, '\P{Script_Extensions=_	sharada}', "");
    Expect(1, 70111, '\P{^Script_Extensions=_	sharada}', "");
    Expect(0, 70112, '\p{Script_Extensions=_	sharada}', "");
    Expect(1, 70112, '\p{^Script_Extensions=_	sharada}', "");
    Expect(1, 70112, '\P{Script_Extensions=_	sharada}', "");
    Expect(0, 70112, '\P{^Script_Extensions=_	sharada}', "");
    Error('\p{Scx= :=shrd}');
    Error('\P{Scx= :=shrd}');
    Expect(1, 70111, '\p{Scx=:\AShrd\z:}', "");;
    Expect(0, 70112, '\p{Scx=:\AShrd\z:}', "");;
    Expect(1, 70111, '\p{Scx=shrd}', "");
    Expect(0, 70111, '\p{^Scx=shrd}', "");
    Expect(0, 70111, '\P{Scx=shrd}', "");
    Expect(1, 70111, '\P{^Scx=shrd}', "");
    Expect(0, 70112, '\p{Scx=shrd}', "");
    Expect(1, 70112, '\p{^Scx=shrd}', "");
    Expect(1, 70112, '\P{Scx=shrd}', "");
    Expect(0, 70112, '\P{^Scx=shrd}', "");
    Expect(1, 70111, '\p{Scx=:\Ashrd\z:}', "");;
    Expect(0, 70112, '\p{Scx=:\Ashrd\z:}', "");;
    Expect(1, 70111, '\p{Scx=_ Shrd}', "");
    Expect(0, 70111, '\p{^Scx=_ Shrd}', "");
    Expect(0, 70111, '\P{Scx=_ Shrd}', "");
    Expect(1, 70111, '\P{^Scx=_ Shrd}', "");
    Expect(0, 70112, '\p{Scx=_ Shrd}', "");
    Expect(1, 70112, '\p{^Scx=_ Shrd}', "");
    Expect(1, 70112, '\P{Scx=_ Shrd}', "");
    Expect(0, 70112, '\P{^Scx=_ Shrd}', "");
    Error('\p{Is_Script_Extensions=-:=sharada}');
    Error('\P{Is_Script_Extensions=-:=sharada}');
    Expect(1, 70111, '\p{Is_Script_Extensions=sharada}', "");
    Expect(0, 70111, '\p{^Is_Script_Extensions=sharada}', "");
    Expect(0, 70111, '\P{Is_Script_Extensions=sharada}', "");
    Expect(1, 70111, '\P{^Is_Script_Extensions=sharada}', "");
    Expect(0, 70112, '\p{Is_Script_Extensions=sharada}', "");
    Expect(1, 70112, '\p{^Is_Script_Extensions=sharada}', "");
    Expect(1, 70112, '\P{Is_Script_Extensions=sharada}', "");
    Expect(0, 70112, '\P{^Is_Script_Extensions=sharada}', "");
    Expect(1, 70111, '\p{Is_Script_Extensions: -SHARADA}', "");
    Expect(0, 70111, '\p{^Is_Script_Extensions: -SHARADA}', "");
    Expect(0, 70111, '\P{Is_Script_Extensions: -SHARADA}', "");
    Expect(1, 70111, '\P{^Is_Script_Extensions: -SHARADA}', "");
    Expect(0, 70112, '\p{Is_Script_Extensions: -SHARADA}', "");
    Expect(1, 70112, '\p{^Is_Script_Extensions: -SHARADA}', "");
    Expect(1, 70112, '\P{Is_Script_Extensions: -SHARADA}', "");
    Expect(0, 70112, '\P{^Is_Script_Extensions: -SHARADA}', "");
    Error('\p{Is_Scx=:=-Shrd}');
    Error('\P{Is_Scx=:=-Shrd}');
    Expect(1, 70111, '\p{Is_Scx=shrd}', "");
    Expect(0, 70111, '\p{^Is_Scx=shrd}', "");
    Expect(0, 70111, '\P{Is_Scx=shrd}', "");
    Expect(1, 70111, '\P{^Is_Scx=shrd}', "");
    Expect(0, 70112, '\p{Is_Scx=shrd}', "");
    Expect(1, 70112, '\p{^Is_Scx=shrd}', "");
    Expect(1, 70112, '\P{Is_Scx=shrd}', "");
    Expect(0, 70112, '\P{^Is_Scx=shrd}', "");
    Expect(1, 70111, '\p{Is_Scx=	 SHRD}', "");
    Expect(0, 70111, '\p{^Is_Scx=	 SHRD}', "");
    Expect(0, 70111, '\P{Is_Scx=	 SHRD}', "");
    Expect(1, 70111, '\P{^Is_Scx=	 SHRD}', "");
    Expect(0, 70112, '\p{Is_Scx=	 SHRD}', "");
    Expect(1, 70112, '\p{^Is_Scx=	 SHRD}', "");
    Expect(1, 70112, '\P{Is_Scx=	 SHRD}', "");
    Expect(0, 70112, '\P{^Is_Scx=	 SHRD}', "");
    Error('\p{Script_Extensions=Siddham/a/}');
    Error('\P{Script_Extensions=Siddham/a/}');
    Expect(1, 71133, '\p{Script_Extensions=:\ASiddham\z:}', "");;
    Expect(0, 71134, '\p{Script_Extensions=:\ASiddham\z:}', "");;
    Expect(1, 71133, '\p{Script_Extensions=siddham}', "");
    Expect(0, 71133, '\p{^Script_Extensions=siddham}', "");
    Expect(0, 71133, '\P{Script_Extensions=siddham}', "");
    Expect(1, 71133, '\P{^Script_Extensions=siddham}', "");
    Expect(0, 71134, '\p{Script_Extensions=siddham}', "");
    Expect(1, 71134, '\p{^Script_Extensions=siddham}', "");
    Expect(1, 71134, '\P{Script_Extensions=siddham}', "");
    Expect(0, 71134, '\P{^Script_Extensions=siddham}', "");
    Expect(1, 71133, '\p{Script_Extensions=:\Asiddham\z:}', "");;
    Expect(0, 71134, '\p{Script_Extensions=:\Asiddham\z:}', "");;
    Expect(1, 71133, '\p{Script_Extensions= _siddham}', "");
    Expect(0, 71133, '\p{^Script_Extensions= _siddham}', "");
    Expect(0, 71133, '\P{Script_Extensions= _siddham}', "");
    Expect(1, 71133, '\P{^Script_Extensions= _siddham}', "");
    Expect(0, 71134, '\p{Script_Extensions= _siddham}', "");
    Expect(1, 71134, '\p{^Script_Extensions= _siddham}', "");
    Expect(1, 71134, '\P{Script_Extensions= _siddham}', "");
    Expect(0, 71134, '\P{^Script_Extensions= _siddham}', "");
    Error('\p{Scx= _sidd/a/}');
    Error('\P{Scx= _sidd/a/}');
    Expect(1, 71133, '\p{Scx=:\ASidd\z:}', "");;
    Expect(0, 71134, '\p{Scx=:\ASidd\z:}', "");;
    Expect(1, 71133, '\p{Scx=sidd}', "");
    Expect(0, 71133, '\p{^Scx=sidd}', "");
    Expect(0, 71133, '\P{Scx=sidd}', "");
    Expect(1, 71133, '\P{^Scx=sidd}', "");
    Expect(0, 71134, '\p{Scx=sidd}', "");
    Expect(1, 71134, '\p{^Scx=sidd}', "");
    Expect(1, 71134, '\P{Scx=sidd}', "");
    Expect(0, 71134, '\P{^Scx=sidd}', "");
    Expect(1, 71133, '\p{Scx=:\Asidd\z:}', "");;
    Expect(0, 71134, '\p{Scx=:\Asidd\z:}', "");;
    Expect(1, 71133, '\p{Scx=SIDD}', "");
    Expect(0, 71133, '\p{^Scx=SIDD}', "");
    Expect(0, 71133, '\P{Scx=SIDD}', "");
    Expect(1, 71133, '\P{^Scx=SIDD}', "");
    Expect(0, 71134, '\p{Scx=SIDD}', "");
    Expect(1, 71134, '\p{^Scx=SIDD}', "");
    Expect(1, 71134, '\P{Scx=SIDD}', "");
    Expect(0, 71134, '\P{^Scx=SIDD}', "");
    Error('\p{Is_Script_Extensions=-/a/Siddham}');
    Error('\P{Is_Script_Extensions=-/a/Siddham}');
    Expect(1, 71133, '\p{Is_Script_Extensions=siddham}', "");
    Expect(0, 71133, '\p{^Is_Script_Extensions=siddham}', "");
    Expect(0, 71133, '\P{Is_Script_Extensions=siddham}', "");
    Expect(1, 71133, '\P{^Is_Script_Extensions=siddham}', "");
    Expect(0, 71134, '\p{Is_Script_Extensions=siddham}', "");
    Expect(1, 71134, '\p{^Is_Script_Extensions=siddham}', "");
    Expect(1, 71134, '\P{Is_Script_Extensions=siddham}', "");
    Expect(0, 71134, '\P{^Is_Script_Extensions=siddham}', "");
    Expect(1, 71133, '\p{Is_Script_Extensions=	 Siddham}', "");
    Expect(0, 71133, '\p{^Is_Script_Extensions=	 Siddham}', "");
    Expect(0, 71133, '\P{Is_Script_Extensions=	 Siddham}', "");
    Expect(1, 71133, '\P{^Is_Script_Extensions=	 Siddham}', "");
    Expect(0, 71134, '\p{Is_Script_Extensions=	 Siddham}', "");
    Expect(1, 71134, '\p{^Is_Script_Extensions=	 Siddham}', "");
    Expect(1, 71134, '\P{Is_Script_Extensions=	 Siddham}', "");
    Expect(0, 71134, '\P{^Is_Script_Extensions=	 Siddham}', "");
    Error('\p{Is_Scx= /a/sidd}');
    Error('\P{Is_Scx= /a/sidd}');
    Expect(1, 71133, '\p{Is_Scx:sidd}', "");
    Expect(0, 71133, '\p{^Is_Scx:sidd}', "");
    Expect(0, 71133, '\P{Is_Scx:sidd}', "");
    Expect(1, 71133, '\P{^Is_Scx:sidd}', "");
    Expect(0, 71134, '\p{Is_Scx:sidd}', "");
    Expect(1, 71134, '\p{^Is_Scx:sidd}', "");
    Expect(1, 71134, '\P{Is_Scx:sidd}', "");
    Expect(0, 71134, '\P{^Is_Scx:sidd}', "");
    Expect(1, 71133, '\p{Is_Scx=-sidd}', "");
    Expect(0, 71133, '\p{^Is_Scx=-sidd}', "");
    Expect(0, 71133, '\P{Is_Scx=-sidd}', "");
    Expect(1, 71133, '\P{^Is_Scx=-sidd}', "");
    Expect(0, 71134, '\p{Is_Scx=-sidd}', "");
    Expect(1, 71134, '\p{^Is_Scx=-sidd}', "");
    Expect(1, 71134, '\P{Is_Scx=-sidd}', "");
    Expect(0, 71134, '\P{^Is_Scx=-sidd}', "");
    Error('\p{Script_Extensions=_:=khudawadi}');
    Error('\P{Script_Extensions=_:=khudawadi}');
    Expect(1, 70393, '\p{Script_Extensions=:\AKhudawadi\z:}', "");;
    Expect(0, 70394, '\p{Script_Extensions=:\AKhudawadi\z:}', "");;
    Expect(1, 70393, '\p{Script_Extensions=khudawadi}', "");
    Expect(0, 70393, '\p{^Script_Extensions=khudawadi}', "");
    Expect(0, 70393, '\P{Script_Extensions=khudawadi}', "");
    Expect(1, 70393, '\P{^Script_Extensions=khudawadi}', "");
    Expect(0, 70394, '\p{Script_Extensions=khudawadi}', "");
    Expect(1, 70394, '\p{^Script_Extensions=khudawadi}', "");
    Expect(1, 70394, '\P{Script_Extensions=khudawadi}', "");
    Expect(0, 70394, '\P{^Script_Extensions=khudawadi}', "");
    Expect(1, 70393, '\p{Script_Extensions=:\Akhudawadi\z:}', "");;
    Expect(0, 70394, '\p{Script_Extensions=:\Akhudawadi\z:}', "");;
    Expect(1, 70393, '\p{Script_Extensions=__khudawadi}', "");
    Expect(0, 70393, '\p{^Script_Extensions=__khudawadi}', "");
    Expect(0, 70393, '\P{Script_Extensions=__khudawadi}', "");
    Expect(1, 70393, '\P{^Script_Extensions=__khudawadi}', "");
    Expect(0, 70394, '\p{Script_Extensions=__khudawadi}', "");
    Expect(1, 70394, '\p{^Script_Extensions=__khudawadi}', "");
    Expect(1, 70394, '\P{Script_Extensions=__khudawadi}', "");
    Expect(0, 70394, '\P{^Script_Extensions=__khudawadi}', "");
    Error('\p{Scx=:=Sind}');
    Error('\P{Scx=:=Sind}');
    Expect(1, 70393, '\p{Scx=:\ASind\z:}', "");;
    Expect(0, 70394, '\p{Scx=:\ASind\z:}', "");;
    Expect(1, 70393, '\p{Scx=sind}', "");
    Expect(0, 70393, '\p{^Scx=sind}', "");
    Expect(0, 70393, '\P{Scx=sind}', "");
    Expect(1, 70393, '\P{^Scx=sind}', "");
    Expect(0, 70394, '\p{Scx=sind}', "");
    Expect(1, 70394, '\p{^Scx=sind}', "");
    Expect(1, 70394, '\P{Scx=sind}', "");
    Expect(0, 70394, '\P{^Scx=sind}', "");
    Expect(1, 70393, '\p{Scx=:\Asind\z:}', "");;
    Expect(0, 70394, '\p{Scx=:\Asind\z:}', "");;
    Expect(1, 70393, '\p{Scx=	 Sind}', "");
    Expect(0, 70393, '\p{^Scx=	 Sind}', "");
    Expect(0, 70393, '\P{Scx=	 Sind}', "");
    Expect(1, 70393, '\P{^Scx=	 Sind}', "");
    Expect(0, 70394, '\p{Scx=	 Sind}', "");
    Expect(1, 70394, '\p{^Scx=	 Sind}', "");
    Expect(1, 70394, '\P{Scx=	 Sind}', "");
    Expect(0, 70394, '\P{^Scx=	 Sind}', "");
    Error('\p{Is_Script_Extensions=	/a/Khudawadi}');
    Error('\P{Is_Script_Extensions=	/a/Khudawadi}');
    Expect(1, 70393, '\p{Is_Script_Extensions=khudawadi}', "");
    Expect(0, 70393, '\p{^Is_Script_Extensions=khudawadi}', "");
    Expect(0, 70393, '\P{Is_Script_Extensions=khudawadi}', "");
    Expect(1, 70393, '\P{^Is_Script_Extensions=khudawadi}', "");
    Expect(0, 70394, '\p{Is_Script_Extensions=khudawadi}', "");
    Expect(1, 70394, '\p{^Is_Script_Extensions=khudawadi}', "");
    Expect(1, 70394, '\P{Is_Script_Extensions=khudawadi}', "");
    Expect(0, 70394, '\P{^Is_Script_Extensions=khudawadi}', "");
    Expect(1, 70393, '\p{Is_Script_Extensions=	khudawadi}', "");
    Expect(0, 70393, '\p{^Is_Script_Extensions=	khudawadi}', "");
    Expect(0, 70393, '\P{Is_Script_Extensions=	khudawadi}', "");
    Expect(1, 70393, '\P{^Is_Script_Extensions=	khudawadi}', "");
    Expect(0, 70394, '\p{Is_Script_Extensions=	khudawadi}', "");
    Expect(1, 70394, '\p{^Is_Script_Extensions=	khudawadi}', "");
    Expect(1, 70394, '\P{Is_Script_Extensions=	khudawadi}', "");
    Expect(0, 70394, '\P{^Is_Script_Extensions=	khudawadi}', "");
    Error('\p{Is_Scx=-/a/SIND}');
    Error('\P{Is_Scx=-/a/SIND}');
    Expect(1, 70393, '\p{Is_Scx=sind}', "");
    Expect(0, 70393, '\p{^Is_Scx=sind}', "");
    Expect(0, 70393, '\P{Is_Scx=sind}', "");
    Expect(1, 70393, '\P{^Is_Scx=sind}', "");
    Expect(0, 70394, '\p{Is_Scx=sind}', "");
    Expect(1, 70394, '\p{^Is_Scx=sind}', "");
    Expect(1, 70394, '\P{Is_Scx=sind}', "");
    Expect(0, 70394, '\P{^Is_Scx=sind}', "");
    Expect(1, 70393, '\p{Is_Scx=_Sind}', "");
    Expect(0, 70393, '\p{^Is_Scx=_Sind}', "");
    Expect(0, 70393, '\P{Is_Scx=_Sind}', "");
    Expect(1, 70393, '\P{^Is_Scx=_Sind}', "");
    Expect(0, 70394, '\p{Is_Scx=_Sind}', "");
    Expect(1, 70394, '\p{^Is_Scx=_Sind}', "");
    Expect(1, 70394, '\P{Is_Scx=_Sind}', "");
    Expect(0, 70394, '\P{^Is_Scx=_Sind}', "");
    Error('\p{Script_Extensions=-	Sinhala/a/}');
    Error('\P{Script_Extensions=-	Sinhala/a/}');
    Expect(1, 70132, '\p{Script_Extensions=:\ASinhala\z:}', "");;
    Expect(0, 70133, '\p{Script_Extensions=:\ASinhala\z:}', "");;
    Expect(1, 70132, '\p{Script_Extensions=sinhala}', "");
    Expect(0, 70132, '\p{^Script_Extensions=sinhala}', "");
    Expect(0, 70132, '\P{Script_Extensions=sinhala}', "");
    Expect(1, 70132, '\P{^Script_Extensions=sinhala}', "");
    Expect(0, 70133, '\p{Script_Extensions=sinhala}', "");
    Expect(1, 70133, '\p{^Script_Extensions=sinhala}', "");
    Expect(1, 70133, '\P{Script_Extensions=sinhala}', "");
    Expect(0, 70133, '\P{^Script_Extensions=sinhala}', "");
    Expect(1, 70132, '\p{Script_Extensions=:\Asinhala\z:}', "");;
    Expect(0, 70133, '\p{Script_Extensions=:\Asinhala\z:}', "");;
    Expect(1, 70132, '\p{Script_Extensions=__sinhala}', "");
    Expect(0, 70132, '\p{^Script_Extensions=__sinhala}', "");
    Expect(0, 70132, '\P{Script_Extensions=__sinhala}', "");
    Expect(1, 70132, '\P{^Script_Extensions=__sinhala}', "");
    Expect(0, 70133, '\p{Script_Extensions=__sinhala}', "");
    Expect(1, 70133, '\p{^Script_Extensions=__sinhala}', "");
    Expect(1, 70133, '\P{Script_Extensions=__sinhala}', "");
    Expect(0, 70133, '\P{^Script_Extensions=__sinhala}', "");
    Error('\p{Scx=_/a/Sinh}');
    Error('\P{Scx=_/a/Sinh}');
    Expect(1, 70132, '\p{Scx=:\ASinh\z:}', "");;
    Expect(0, 70133, '\p{Scx=:\ASinh\z:}', "");;
    Expect(1, 70132, '\p{Scx=sinh}', "");
    Expect(0, 70132, '\p{^Scx=sinh}', "");
    Expect(0, 70132, '\P{Scx=sinh}', "");
    Expect(1, 70132, '\P{^Scx=sinh}', "");
    Expect(0, 70133, '\p{Scx=sinh}', "");
    Expect(1, 70133, '\p{^Scx=sinh}', "");
    Expect(1, 70133, '\P{Scx=sinh}', "");
    Expect(0, 70133, '\P{^Scx=sinh}', "");
    Expect(1, 70132, '\p{Scx=:\Asinh\z:}', "");;
    Expect(0, 70133, '\p{Scx=:\Asinh\z:}', "");;
    Expect(1, 70132, '\p{Scx=_Sinh}', "");
    Expect(0, 70132, '\p{^Scx=_Sinh}', "");
    Expect(0, 70132, '\P{Scx=_Sinh}', "");
    Expect(1, 70132, '\P{^Scx=_Sinh}', "");
    Expect(0, 70133, '\p{Scx=_Sinh}', "");
    Expect(1, 70133, '\p{^Scx=_Sinh}', "");
    Expect(1, 70133, '\P{Scx=_Sinh}', "");
    Expect(0, 70133, '\P{^Scx=_Sinh}', "");
    Error('\p{Is_Script_Extensions=_/a/Sinhala}');
    Error('\P{Is_Script_Extensions=_/a/Sinhala}');
    Expect(1, 70132, '\p{Is_Script_Extensions=sinhala}', "");
    Expect(0, 70132, '\p{^Is_Script_Extensions=sinhala}', "");
    Expect(0, 70132, '\P{Is_Script_Extensions=sinhala}', "");
    Expect(1, 70132, '\P{^Is_Script_Extensions=sinhala}', "");
    Expect(0, 70133, '\p{Is_Script_Extensions=sinhala}', "");
    Expect(1, 70133, '\p{^Is_Script_Extensions=sinhala}', "");
    Expect(1, 70133, '\P{Is_Script_Extensions=sinhala}', "");
    Expect(0, 70133, '\P{^Is_Script_Extensions=sinhala}', "");
    Expect(1, 70132, '\p{Is_Script_Extensions= SINHALA}', "");
    Expect(0, 70132, '\p{^Is_Script_Extensions= SINHALA}', "");
    Expect(0, 70132, '\P{Is_Script_Extensions= SINHALA}', "");
    Expect(1, 70132, '\P{^Is_Script_Extensions= SINHALA}', "");
    Expect(0, 70133, '\p{Is_Script_Extensions= SINHALA}', "");
    Expect(1, 70133, '\p{^Is_Script_Extensions= SINHALA}', "");
    Expect(1, 70133, '\P{Is_Script_Extensions= SINHALA}', "");
    Expect(0, 70133, '\P{^Is_Script_Extensions= SINHALA}', "");
    Error('\p{Is_Scx=_	SINH:=}');
    Error('\P{Is_Scx=_	SINH:=}');
    Expect(1, 70132, '\p{Is_Scx=sinh}', "");
    Expect(0, 70132, '\p{^Is_Scx=sinh}', "");
    Expect(0, 70132, '\P{Is_Scx=sinh}', "");
    Expect(1, 70132, '\P{^Is_Scx=sinh}', "");
    Expect(0, 70133, '\p{Is_Scx=sinh}', "");
    Expect(1, 70133, '\p{^Is_Scx=sinh}', "");
    Expect(1, 70133, '\P{Is_Scx=sinh}', "");
    Expect(0, 70133, '\P{^Is_Scx=sinh}', "");
    Expect(1, 70132, '\p{Is_Scx: __SINH}', "");
    Expect(0, 70132, '\p{^Is_Scx: __SINH}', "");
    Expect(0, 70132, '\P{Is_Scx: __SINH}', "");
    Expect(1, 70132, '\P{^Is_Scx: __SINH}', "");
    Expect(0, 70133, '\p{Is_Scx: __SINH}', "");
    Expect(1, 70133, '\p{^Is_Scx: __SINH}', "");
    Expect(1, 70133, '\P{Is_Scx: __SINH}', "");
    Expect(0, 70133, '\P{^Is_Scx: __SINH}', "");
    Error('\p{Script_Extensions=-sogdian:=}');
    Error('\P{Script_Extensions=-sogdian:=}');
    Expect(1, 69465, '\p{Script_Extensions=:\ASogdian\z:}', "");;
    Expect(0, 69466, '\p{Script_Extensions=:\ASogdian\z:}', "");;
    Expect(1, 69465, '\p{Script_Extensions=sogdian}', "");
    Expect(0, 69465, '\p{^Script_Extensions=sogdian}', "");
    Expect(0, 69465, '\P{Script_Extensions=sogdian}', "");
    Expect(1, 69465, '\P{^Script_Extensions=sogdian}', "");
    Expect(0, 69466, '\p{Script_Extensions=sogdian}', "");
    Expect(1, 69466, '\p{^Script_Extensions=sogdian}', "");
    Expect(1, 69466, '\P{Script_Extensions=sogdian}', "");
    Expect(0, 69466, '\P{^Script_Extensions=sogdian}', "");
    Expect(1, 69465, '\p{Script_Extensions=:\Asogdian\z:}', "");;
    Expect(0, 69466, '\p{Script_Extensions=:\Asogdian\z:}', "");;
    Expect(1, 69465, '\p{Script_Extensions=- sogdian}', "");
    Expect(0, 69465, '\p{^Script_Extensions=- sogdian}', "");
    Expect(0, 69465, '\P{Script_Extensions=- sogdian}', "");
    Expect(1, 69465, '\P{^Script_Extensions=- sogdian}', "");
    Expect(0, 69466, '\p{Script_Extensions=- sogdian}', "");
    Expect(1, 69466, '\p{^Script_Extensions=- sogdian}', "");
    Expect(1, 69466, '\P{Script_Extensions=- sogdian}', "");
    Expect(0, 69466, '\P{^Script_Extensions=- sogdian}', "");
    Error('\p{Scx=	-Sogd:=}');
    Error('\P{Scx=	-Sogd:=}');
    Expect(1, 69465, '\p{Scx=:\ASogd\z:}', "");;
    Expect(0, 69466, '\p{Scx=:\ASogd\z:}', "");;
    Expect(1, 69465, '\p{Scx:	sogd}', "");
    Expect(0, 69465, '\p{^Scx:	sogd}', "");
    Expect(0, 69465, '\P{Scx:	sogd}', "");
    Expect(1, 69465, '\P{^Scx:	sogd}', "");
    Expect(0, 69466, '\p{Scx:	sogd}', "");
    Expect(1, 69466, '\p{^Scx:	sogd}', "");
    Expect(1, 69466, '\P{Scx:	sogd}', "");
    Expect(0, 69466, '\P{^Scx:	sogd}', "");
    Expect(1, 69465, '\p{Scx=:\Asogd\z:}', "");;
    Expect(0, 69466, '\p{Scx=:\Asogd\z:}', "");;
    Expect(1, 69465, '\p{Scx=- sogd}', "");
    Expect(0, 69465, '\p{^Scx=- sogd}', "");
    Expect(0, 69465, '\P{Scx=- sogd}', "");
    Expect(1, 69465, '\P{^Scx=- sogd}', "");
    Expect(0, 69466, '\p{Scx=- sogd}', "");
    Expect(1, 69466, '\p{^Scx=- sogd}', "");
    Expect(1, 69466, '\P{Scx=- sogd}', "");
    Expect(0, 69466, '\P{^Scx=- sogd}', "");
    Error('\p{Is_Script_Extensions:	_-Sogdian:=}');
    Error('\P{Is_Script_Extensions:	_-Sogdian:=}');
    Expect(1, 69465, '\p{Is_Script_Extensions:	sogdian}', "");
    Expect(0, 69465, '\p{^Is_Script_Extensions:	sogdian}', "");
    Expect(0, 69465, '\P{Is_Script_Extensions:	sogdian}', "");
    Expect(1, 69465, '\P{^Is_Script_Extensions:	sogdian}', "");
    Expect(0, 69466, '\p{Is_Script_Extensions:	sogdian}', "");
    Expect(1, 69466, '\p{^Is_Script_Extensions:	sogdian}', "");
    Expect(1, 69466, '\P{Is_Script_Extensions:	sogdian}', "");
    Expect(0, 69466, '\P{^Is_Script_Extensions:	sogdian}', "");
    Expect(1, 69465, '\p{Is_Script_Extensions=-_SOGDIAN}', "");
    Expect(0, 69465, '\p{^Is_Script_Extensions=-_SOGDIAN}', "");
    Expect(0, 69465, '\P{Is_Script_Extensions=-_SOGDIAN}', "");
    Expect(1, 69465, '\P{^Is_Script_Extensions=-_SOGDIAN}', "");
    Expect(0, 69466, '\p{Is_Script_Extensions=-_SOGDIAN}', "");
    Expect(1, 69466, '\p{^Is_Script_Extensions=-_SOGDIAN}', "");
    Expect(1, 69466, '\P{Is_Script_Extensions=-_SOGDIAN}', "");
    Expect(0, 69466, '\P{^Is_Script_Extensions=-_SOGDIAN}', "");
    Error('\p{Is_Scx=	:=Sogd}');
    Error('\P{Is_Scx=	:=Sogd}');
    Expect(1, 69465, '\p{Is_Scx=sogd}', "");
    Expect(0, 69465, '\p{^Is_Scx=sogd}', "");
    Expect(0, 69465, '\P{Is_Scx=sogd}', "");
    Expect(1, 69465, '\P{^Is_Scx=sogd}', "");
    Expect(0, 69466, '\p{Is_Scx=sogd}', "");
    Expect(1, 69466, '\p{^Is_Scx=sogd}', "");
    Expect(1, 69466, '\P{Is_Scx=sogd}', "");
    Expect(0, 69466, '\P{^Is_Scx=sogd}', "");
    Expect(1, 69465, '\p{Is_Scx= -Sogd}', "");
    Expect(0, 69465, '\p{^Is_Scx= -Sogd}', "");
    Expect(0, 69465, '\P{Is_Scx= -Sogd}', "");
    Expect(1, 69465, '\P{^Is_Scx= -Sogd}', "");
    Expect(0, 69466, '\p{Is_Scx= -Sogd}', "");
    Expect(1, 69466, '\p{^Is_Scx= -Sogd}', "");
    Expect(1, 69466, '\P{Is_Scx= -Sogd}', "");
    Expect(0, 69466, '\P{^Is_Scx= -Sogd}', "");
    Error('\p{Script_Extensions=Old_sogdian/a/}');
    Error('\P{Script_Extensions=Old_sogdian/a/}');
    Expect(1, 69415, '\p{Script_Extensions=:\AOld_Sogdian\z:}', "");;
    Expect(0, 69416, '\p{Script_Extensions=:\AOld_Sogdian\z:}', "");;
    Expect(1, 69415, '\p{Script_Extensions=oldsogdian}', "");
    Expect(0, 69415, '\p{^Script_Extensions=oldsogdian}', "");
    Expect(0, 69415, '\P{Script_Extensions=oldsogdian}', "");
    Expect(1, 69415, '\P{^Script_Extensions=oldsogdian}', "");
    Expect(0, 69416, '\p{Script_Extensions=oldsogdian}', "");
    Expect(1, 69416, '\p{^Script_Extensions=oldsogdian}', "");
    Expect(1, 69416, '\P{Script_Extensions=oldsogdian}', "");
    Expect(0, 69416, '\P{^Script_Extensions=oldsogdian}', "");
    Expect(1, 69415, '\p{Script_Extensions=:\Aoldsogdian\z:}', "");;
    Expect(0, 69416, '\p{Script_Extensions=:\Aoldsogdian\z:}', "");;
    Expect(1, 69415, '\p{Script_Extensions: _Old_sogdian}', "");
    Expect(0, 69415, '\p{^Script_Extensions: _Old_sogdian}', "");
    Expect(0, 69415, '\P{Script_Extensions: _Old_sogdian}', "");
    Expect(1, 69415, '\P{^Script_Extensions: _Old_sogdian}', "");
    Expect(0, 69416, '\p{Script_Extensions: _Old_sogdian}', "");
    Expect(1, 69416, '\p{^Script_Extensions: _Old_sogdian}', "");
    Expect(1, 69416, '\P{Script_Extensions: _Old_sogdian}', "");
    Expect(0, 69416, '\P{^Script_Extensions: _Old_sogdian}', "");
    Error('\p{Scx=/a/	Sogo}');
    Error('\P{Scx=/a/	Sogo}');
    Expect(1, 69415, '\p{Scx=:\ASogo\z:}', "");;
    Expect(0, 69416, '\p{Scx=:\ASogo\z:}', "");;
    Expect(1, 69415, '\p{Scx=sogo}', "");
    Expect(0, 69415, '\p{^Scx=sogo}', "");
    Expect(0, 69415, '\P{Scx=sogo}', "");
    Expect(1, 69415, '\P{^Scx=sogo}', "");
    Expect(0, 69416, '\p{Scx=sogo}', "");
    Expect(1, 69416, '\p{^Scx=sogo}', "");
    Expect(1, 69416, '\P{Scx=sogo}', "");
    Expect(0, 69416, '\P{^Scx=sogo}', "");
    Expect(1, 69415, '\p{Scx=:\Asogo\z:}', "");;
    Expect(0, 69416, '\p{Scx=:\Asogo\z:}', "");;
    Expect(1, 69415, '\p{Scx= 	Sogo}', "");
    Expect(0, 69415, '\p{^Scx= 	Sogo}', "");
    Expect(0, 69415, '\P{Scx= 	Sogo}', "");
    Expect(1, 69415, '\P{^Scx= 	Sogo}', "");
    Expect(0, 69416, '\p{Scx= 	Sogo}', "");
    Expect(1, 69416, '\p{^Scx= 	Sogo}', "");
    Expect(1, 69416, '\P{Scx= 	Sogo}', "");
    Expect(0, 69416, '\P{^Scx= 	Sogo}', "");
    Error('\p{Is_Script_Extensions= -OLD_Sogdian:=}');
    Error('\P{Is_Script_Extensions= -OLD_Sogdian:=}');
    Expect(1, 69415, '\p{Is_Script_Extensions=oldsogdian}', "");
    Expect(0, 69415, '\p{^Is_Script_Extensions=oldsogdian}', "");
    Expect(0, 69415, '\P{Is_Script_Extensions=oldsogdian}', "");
    Expect(1, 69415, '\P{^Is_Script_Extensions=oldsogdian}', "");
    Expect(0, 69416, '\p{Is_Script_Extensions=oldsogdian}', "");
    Expect(1, 69416, '\p{^Is_Script_Extensions=oldsogdian}', "");
    Expect(1, 69416, '\P{Is_Script_Extensions=oldsogdian}', "");
    Expect(0, 69416, '\P{^Is_Script_Extensions=oldsogdian}', "");
    Expect(1, 69415, '\p{Is_Script_Extensions=--old_SOGDIAN}', "");
    Expect(0, 69415, '\p{^Is_Script_Extensions=--old_SOGDIAN}', "");
    Expect(0, 69415, '\P{Is_Script_Extensions=--old_SOGDIAN}', "");
    Expect(1, 69415, '\P{^Is_Script_Extensions=--old_SOGDIAN}', "");
    Expect(0, 69416, '\p{Is_Script_Extensions=--old_SOGDIAN}', "");
    Expect(1, 69416, '\p{^Is_Script_Extensions=--old_SOGDIAN}', "");
    Expect(1, 69416, '\P{Is_Script_Extensions=--old_SOGDIAN}', "");
    Expect(0, 69416, '\P{^Is_Script_Extensions=--old_SOGDIAN}', "");
    Error('\p{Is_Scx=:=-Sogo}');
    Error('\P{Is_Scx=:=-Sogo}');
    Expect(1, 69415, '\p{Is_Scx=sogo}', "");
    Expect(0, 69415, '\p{^Is_Scx=sogo}', "");
    Expect(0, 69415, '\P{Is_Scx=sogo}', "");
    Expect(1, 69415, '\P{^Is_Scx=sogo}', "");
    Expect(0, 69416, '\p{Is_Scx=sogo}', "");
    Expect(1, 69416, '\p{^Is_Scx=sogo}', "");
    Expect(1, 69416, '\P{Is_Scx=sogo}', "");
    Expect(0, 69416, '\P{^Is_Scx=sogo}', "");
    Expect(1, 69415, '\p{Is_Scx:	 _SOGO}', "");
    Expect(0, 69415, '\p{^Is_Scx:	 _SOGO}', "");
    Expect(0, 69415, '\P{Is_Scx:	 _SOGO}', "");
    Expect(1, 69415, '\P{^Is_Scx:	 _SOGO}', "");
    Expect(0, 69416, '\p{Is_Scx:	 _SOGO}', "");
    Expect(1, 69416, '\p{^Is_Scx:	 _SOGO}', "");
    Expect(1, 69416, '\P{Is_Scx:	 _SOGO}', "");
    Expect(0, 69416, '\P{^Is_Scx:	 _SOGO}', "");
    Error('\p{Script_Extensions=/a/Sora_sompeng}');
    Error('\P{Script_Extensions=/a/Sora_sompeng}');
    Expect(1, 69881, '\p{Script_Extensions=:\ASora_Sompeng\z:}', "");;
    Expect(0, 69882, '\p{Script_Extensions=:\ASora_Sompeng\z:}', "");;
    Expect(1, 69881, '\p{Script_Extensions: sorasompeng}', "");
    Expect(0, 69881, '\p{^Script_Extensions: sorasompeng}', "");
    Expect(0, 69881, '\P{Script_Extensions: sorasompeng}', "");
    Expect(1, 69881, '\P{^Script_Extensions: sorasompeng}', "");
    Expect(0, 69882, '\p{Script_Extensions: sorasompeng}', "");
    Expect(1, 69882, '\p{^Script_Extensions: sorasompeng}', "");
    Expect(1, 69882, '\P{Script_Extensions: sorasompeng}', "");
    Expect(0, 69882, '\P{^Script_Extensions: sorasompeng}', "");
    Expect(1, 69881, '\p{Script_Extensions=:\Asorasompeng\z:}', "");;
    Expect(0, 69882, '\p{Script_Extensions=:\Asorasompeng\z:}', "");;
    Expect(1, 69881, '\p{Script_Extensions=	-Sora_sompeng}', "");
    Expect(0, 69881, '\p{^Script_Extensions=	-Sora_sompeng}', "");
    Expect(0, 69881, '\P{Script_Extensions=	-Sora_sompeng}', "");
    Expect(1, 69881, '\P{^Script_Extensions=	-Sora_sompeng}', "");
    Expect(0, 69882, '\p{Script_Extensions=	-Sora_sompeng}', "");
    Expect(1, 69882, '\p{^Script_Extensions=	-Sora_sompeng}', "");
    Expect(1, 69882, '\P{Script_Extensions=	-Sora_sompeng}', "");
    Expect(0, 69882, '\P{^Script_Extensions=	-Sora_sompeng}', "");
    Error('\p{Scx: 	/a/sora}');
    Error('\P{Scx: 	/a/sora}');
    Expect(1, 69881, '\p{Scx=:\ASora\z:}', "");;
    Expect(0, 69882, '\p{Scx=:\ASora\z:}', "");;
    Expect(1, 69881, '\p{Scx=sora}', "");
    Expect(0, 69881, '\p{^Scx=sora}', "");
    Expect(0, 69881, '\P{Scx=sora}', "");
    Expect(1, 69881, '\P{^Scx=sora}', "");
    Expect(0, 69882, '\p{Scx=sora}', "");
    Expect(1, 69882, '\p{^Scx=sora}', "");
    Expect(1, 69882, '\P{Scx=sora}', "");
    Expect(0, 69882, '\P{^Scx=sora}', "");
    Expect(1, 69881, '\p{Scx=:\Asora\z:}', "");;
    Expect(0, 69882, '\p{Scx=:\Asora\z:}', "");;
    Expect(1, 69881, '\p{Scx=-Sora}', "");
    Expect(0, 69881, '\p{^Scx=-Sora}', "");
    Expect(0, 69881, '\P{Scx=-Sora}', "");
    Expect(1, 69881, '\P{^Scx=-Sora}', "");
    Expect(0, 69882, '\p{Scx=-Sora}', "");
    Expect(1, 69882, '\p{^Scx=-Sora}', "");
    Expect(1, 69882, '\P{Scx=-Sora}', "");
    Expect(0, 69882, '\P{^Scx=-Sora}', "");
    Error('\p{Is_Script_Extensions=/a/--SORA_Sompeng}');
    Error('\P{Is_Script_Extensions=/a/--SORA_Sompeng}');
    Expect(1, 69881, '\p{Is_Script_Extensions=sorasompeng}', "");
    Expect(0, 69881, '\p{^Is_Script_Extensions=sorasompeng}', "");
    Expect(0, 69881, '\P{Is_Script_Extensions=sorasompeng}', "");
    Expect(1, 69881, '\P{^Is_Script_Extensions=sorasompeng}', "");
    Expect(0, 69882, '\p{Is_Script_Extensions=sorasompeng}', "");
    Expect(1, 69882, '\p{^Is_Script_Extensions=sorasompeng}', "");
    Expect(1, 69882, '\P{Is_Script_Extensions=sorasompeng}', "");
    Expect(0, 69882, '\P{^Is_Script_Extensions=sorasompeng}', "");
    Expect(1, 69881, '\p{Is_Script_Extensions=SORA_sompeng}', "");
    Expect(0, 69881, '\p{^Is_Script_Extensions=SORA_sompeng}', "");
    Expect(0, 69881, '\P{Is_Script_Extensions=SORA_sompeng}', "");
    Expect(1, 69881, '\P{^Is_Script_Extensions=SORA_sompeng}', "");
    Expect(0, 69882, '\p{Is_Script_Extensions=SORA_sompeng}', "");
    Expect(1, 69882, '\p{^Is_Script_Extensions=SORA_sompeng}', "");
    Expect(1, 69882, '\P{Is_Script_Extensions=SORA_sompeng}', "");
    Expect(0, 69882, '\P{^Is_Script_Extensions=SORA_sompeng}', "");
    Error('\p{Is_Scx=/a/-_Sora}');
    Error('\P{Is_Scx=/a/-_Sora}');
    Expect(1, 69881, '\p{Is_Scx=sora}', "");
    Expect(0, 69881, '\p{^Is_Scx=sora}', "");
    Expect(0, 69881, '\P{Is_Scx=sora}', "");
    Expect(1, 69881, '\P{^Is_Scx=sora}', "");
    Expect(0, 69882, '\p{Is_Scx=sora}', "");
    Expect(1, 69882, '\p{^Is_Scx=sora}', "");
    Expect(1, 69882, '\P{Is_Scx=sora}', "");
    Expect(0, 69882, '\P{^Is_Scx=sora}', "");
    Expect(1, 69881, '\p{Is_Scx=	 SORA}', "");
    Expect(0, 69881, '\p{^Is_Scx=	 SORA}', "");
    Expect(0, 69881, '\P{Is_Scx=	 SORA}', "");
    Expect(1, 69881, '\P{^Is_Scx=	 SORA}', "");
    Expect(0, 69882, '\p{Is_Scx=	 SORA}', "");
    Expect(1, 69882, '\p{^Is_Scx=	 SORA}', "");
    Expect(1, 69882, '\P{Is_Scx=	 SORA}', "");
    Expect(0, 69882, '\P{^Is_Scx=	 SORA}', "");
    Error('\p{Script_Extensions=/a/-Soyombo}');
    Error('\P{Script_Extensions=/a/-Soyombo}');
    Expect(1, 72354, '\p{Script_Extensions=:\ASoyombo\z:}', "");;
    Expect(0, 72355, '\p{Script_Extensions=:\ASoyombo\z:}', "");;
    Expect(1, 72354, '\p{Script_Extensions=soyombo}', "");
    Expect(0, 72354, '\p{^Script_Extensions=soyombo}', "");
    Expect(0, 72354, '\P{Script_Extensions=soyombo}', "");
    Expect(1, 72354, '\P{^Script_Extensions=soyombo}', "");
    Expect(0, 72355, '\p{Script_Extensions=soyombo}', "");
    Expect(1, 72355, '\p{^Script_Extensions=soyombo}', "");
    Expect(1, 72355, '\P{Script_Extensions=soyombo}', "");
    Expect(0, 72355, '\P{^Script_Extensions=soyombo}', "");
    Expect(1, 72354, '\p{Script_Extensions=:\Asoyombo\z:}', "");;
    Expect(0, 72355, '\p{Script_Extensions=:\Asoyombo\z:}', "");;
    Expect(1, 72354, '\p{Script_Extensions=-Soyombo}', "");
    Expect(0, 72354, '\p{^Script_Extensions=-Soyombo}', "");
    Expect(0, 72354, '\P{Script_Extensions=-Soyombo}', "");
    Expect(1, 72354, '\P{^Script_Extensions=-Soyombo}', "");
    Expect(0, 72355, '\p{Script_Extensions=-Soyombo}', "");
    Expect(1, 72355, '\p{^Script_Extensions=-Soyombo}', "");
    Expect(1, 72355, '\P{Script_Extensions=-Soyombo}', "");
    Expect(0, 72355, '\P{^Script_Extensions=-Soyombo}', "");
    Error('\p{Scx:   Soyo:=}');
    Error('\P{Scx:   Soyo:=}');
    Expect(1, 72354, '\p{Scx=:\ASoyo\z:}', "");;
    Expect(0, 72355, '\p{Scx=:\ASoyo\z:}', "");;
    Expect(1, 72354, '\p{Scx=soyo}', "");
    Expect(0, 72354, '\p{^Scx=soyo}', "");
    Expect(0, 72354, '\P{Scx=soyo}', "");
    Expect(1, 72354, '\P{^Scx=soyo}', "");
    Expect(0, 72355, '\p{Scx=soyo}', "");
    Expect(1, 72355, '\p{^Scx=soyo}', "");
    Expect(1, 72355, '\P{Scx=soyo}', "");
    Expect(0, 72355, '\P{^Scx=soyo}', "");
    Expect(1, 72354, '\p{Scx=:\Asoyo\z:}', "");;
    Expect(0, 72355, '\p{Scx=:\Asoyo\z:}', "");;
    Expect(1, 72354, '\p{Scx= Soyo}', "");
    Expect(0, 72354, '\p{^Scx= Soyo}', "");
    Expect(0, 72354, '\P{Scx= Soyo}', "");
    Expect(1, 72354, '\P{^Scx= Soyo}', "");
    Expect(0, 72355, '\p{Scx= Soyo}', "");
    Expect(1, 72355, '\p{^Scx= Soyo}', "");
    Expect(1, 72355, '\P{Scx= Soyo}', "");
    Expect(0, 72355, '\P{^Scx= Soyo}', "");
    Error('\p{Is_Script_Extensions=	soyombo:=}');
    Error('\P{Is_Script_Extensions=	soyombo:=}');
    Expect(1, 72354, '\p{Is_Script_Extensions=soyombo}', "");
    Expect(0, 72354, '\p{^Is_Script_Extensions=soyombo}', "");
    Expect(0, 72354, '\P{Is_Script_Extensions=soyombo}', "");
    Expect(1, 72354, '\P{^Is_Script_Extensions=soyombo}', "");
    Expect(0, 72355, '\p{Is_Script_Extensions=soyombo}', "");
    Expect(1, 72355, '\p{^Is_Script_Extensions=soyombo}', "");
    Expect(1, 72355, '\P{Is_Script_Extensions=soyombo}', "");
    Expect(0, 72355, '\P{^Is_Script_Extensions=soyombo}', "");
    Expect(1, 72354, '\p{Is_Script_Extensions=	SOYOMBO}', "");
    Expect(0, 72354, '\p{^Is_Script_Extensions=	SOYOMBO}', "");
    Expect(0, 72354, '\P{Is_Script_Extensions=	SOYOMBO}', "");
    Expect(1, 72354, '\P{^Is_Script_Extensions=	SOYOMBO}', "");
    Expect(0, 72355, '\p{Is_Script_Extensions=	SOYOMBO}', "");
    Expect(1, 72355, '\p{^Is_Script_Extensions=	SOYOMBO}', "");
    Expect(1, 72355, '\P{Is_Script_Extensions=	SOYOMBO}', "");
    Expect(0, 72355, '\P{^Is_Script_Extensions=	SOYOMBO}', "");
    Error('\p{Is_Scx=-/a/soyo}');
    Error('\P{Is_Scx=-/a/soyo}');
    Expect(1, 72354, '\p{Is_Scx=soyo}', "");
    Expect(0, 72354, '\p{^Is_Scx=soyo}', "");
    Expect(0, 72354, '\P{Is_Scx=soyo}', "");
    Expect(1, 72354, '\P{^Is_Scx=soyo}', "");
    Expect(0, 72355, '\p{Is_Scx=soyo}', "");
    Expect(1, 72355, '\p{^Is_Scx=soyo}', "");
    Expect(1, 72355, '\P{Is_Scx=soyo}', "");
    Expect(0, 72355, '\P{^Is_Scx=soyo}', "");
    Expect(1, 72354, '\p{Is_Scx=__SOYO}', "");
    Expect(0, 72354, '\p{^Is_Scx=__SOYO}', "");
    Expect(0, 72354, '\P{Is_Scx=__SOYO}', "");
    Expect(1, 72354, '\P{^Is_Scx=__SOYO}', "");
    Expect(0, 72355, '\p{Is_Scx=__SOYO}', "");
    Expect(1, 72355, '\p{^Is_Scx=__SOYO}', "");
    Expect(1, 72355, '\P{Is_Scx=__SOYO}', "");
    Expect(0, 72355, '\P{^Is_Scx=__SOYO}', "");
    Error('\p{Script_Extensions=--SUNDANESE/a/}');
    Error('\P{Script_Extensions=--SUNDANESE/a/}');
    Expect(1, 7367, '\p{Script_Extensions=:\ASundanese\z:}', "");;
    Expect(0, 7368, '\p{Script_Extensions=:\ASundanese\z:}', "");;
    Expect(1, 7367, '\p{Script_Extensions:sundanese}', "");
    Expect(0, 7367, '\p{^Script_Extensions:sundanese}', "");
    Expect(0, 7367, '\P{Script_Extensions:sundanese}', "");
    Expect(1, 7367, '\P{^Script_Extensions:sundanese}', "");
    Expect(0, 7368, '\p{Script_Extensions:sundanese}', "");
    Expect(1, 7368, '\p{^Script_Extensions:sundanese}', "");
    Expect(1, 7368, '\P{Script_Extensions:sundanese}', "");
    Expect(0, 7368, '\P{^Script_Extensions:sundanese}', "");
    Expect(1, 7367, '\p{Script_Extensions=:\Asundanese\z:}', "");;
    Expect(0, 7368, '\p{Script_Extensions=:\Asundanese\z:}', "");;
    Expect(1, 7367, '\p{Script_Extensions=_sundanese}', "");
    Expect(0, 7367, '\p{^Script_Extensions=_sundanese}', "");
    Expect(0, 7367, '\P{Script_Extensions=_sundanese}', "");
    Expect(1, 7367, '\P{^Script_Extensions=_sundanese}', "");
    Expect(0, 7368, '\p{Script_Extensions=_sundanese}', "");
    Expect(1, 7368, '\p{^Script_Extensions=_sundanese}', "");
    Expect(1, 7368, '\P{Script_Extensions=_sundanese}', "");
    Expect(0, 7368, '\P{^Script_Extensions=_sundanese}', "");
    Error('\p{Scx=_SUND/a/}');
    Error('\P{Scx=_SUND/a/}');
    Expect(1, 7367, '\p{Scx=:\ASund\z:}', "");;
    Expect(0, 7368, '\p{Scx=:\ASund\z:}', "");;
    Expect(1, 7367, '\p{Scx=sund}', "");
    Expect(0, 7367, '\p{^Scx=sund}', "");
    Expect(0, 7367, '\P{Scx=sund}', "");
    Expect(1, 7367, '\P{^Scx=sund}', "");
    Expect(0, 7368, '\p{Scx=sund}', "");
    Expect(1, 7368, '\p{^Scx=sund}', "");
    Expect(1, 7368, '\P{Scx=sund}', "");
    Expect(0, 7368, '\P{^Scx=sund}', "");
    Expect(1, 7367, '\p{Scx=:\Asund\z:}', "");;
    Expect(0, 7368, '\p{Scx=:\Asund\z:}', "");;
    Expect(1, 7367, '\p{Scx=	sund}', "");
    Expect(0, 7367, '\p{^Scx=	sund}', "");
    Expect(0, 7367, '\P{Scx=	sund}', "");
    Expect(1, 7367, '\P{^Scx=	sund}', "");
    Expect(0, 7368, '\p{Scx=	sund}', "");
    Expect(1, 7368, '\p{^Scx=	sund}', "");
    Expect(1, 7368, '\P{Scx=	sund}', "");
    Expect(0, 7368, '\P{^Scx=	sund}', "");
    Error('\p{Is_Script_Extensions=:=-sundanese}');
    Error('\P{Is_Script_Extensions=:=-sundanese}');
    Expect(1, 7367, '\p{Is_Script_Extensions=sundanese}', "");
    Expect(0, 7367, '\p{^Is_Script_Extensions=sundanese}', "");
    Expect(0, 7367, '\P{Is_Script_Extensions=sundanese}', "");
    Expect(1, 7367, '\P{^Is_Script_Extensions=sundanese}', "");
    Expect(0, 7368, '\p{Is_Script_Extensions=sundanese}', "");
    Expect(1, 7368, '\p{^Is_Script_Extensions=sundanese}', "");
    Expect(1, 7368, '\P{Is_Script_Extensions=sundanese}', "");
    Expect(0, 7368, '\P{^Is_Script_Extensions=sundanese}', "");
    Expect(1, 7367, '\p{Is_Script_Extensions=  SUNDANESE}', "");
    Expect(0, 7367, '\p{^Is_Script_Extensions=  SUNDANESE}', "");
    Expect(0, 7367, '\P{Is_Script_Extensions=  SUNDANESE}', "");
    Expect(1, 7367, '\P{^Is_Script_Extensions=  SUNDANESE}', "");
    Expect(0, 7368, '\p{Is_Script_Extensions=  SUNDANESE}', "");
    Expect(1, 7368, '\p{^Is_Script_Extensions=  SUNDANESE}', "");
    Expect(1, 7368, '\P{Is_Script_Extensions=  SUNDANESE}', "");
    Expect(0, 7368, '\P{^Is_Script_Extensions=  SUNDANESE}', "");
    Error('\p{Is_Scx= /a/sund}');
    Error('\P{Is_Scx= /a/sund}');
    Expect(1, 7367, '\p{Is_Scx=sund}', "");
    Expect(0, 7367, '\p{^Is_Scx=sund}', "");
    Expect(0, 7367, '\P{Is_Scx=sund}', "");
    Expect(1, 7367, '\P{^Is_Scx=sund}', "");
    Expect(0, 7368, '\p{Is_Scx=sund}', "");
    Expect(1, 7368, '\p{^Is_Scx=sund}', "");
    Expect(1, 7368, '\P{Is_Scx=sund}', "");
    Expect(0, 7368, '\P{^Is_Scx=sund}', "");
    Expect(1, 7367, '\p{Is_Scx: 	SUND}', "");
    Expect(0, 7367, '\p{^Is_Scx: 	SUND}', "");
    Expect(0, 7367, '\P{Is_Scx: 	SUND}', "");
    Expect(1, 7367, '\P{^Is_Scx: 	SUND}', "");
    Expect(0, 7368, '\p{Is_Scx: 	SUND}', "");
    Expect(1, 7368, '\p{^Is_Scx: 	SUND}', "");
    Expect(1, 7368, '\P{Is_Scx: 	SUND}', "");
    Expect(0, 7368, '\P{^Is_Scx: 	SUND}', "");
    Error('\p{Script_Extensions=	_Syloti_Nagri:=}');
    Error('\P{Script_Extensions=	_Syloti_Nagri:=}');
    Expect(1, 43052, '\p{Script_Extensions=:\ASyloti_Nagri\z:}', "");;
    Expect(0, 43053, '\p{Script_Extensions=:\ASyloti_Nagri\z:}', "");;
    Expect(1, 43052, '\p{Script_Extensions=sylotinagri}', "");
    Expect(0, 43052, '\p{^Script_Extensions=sylotinagri}', "");
    Expect(0, 43052, '\P{Script_Extensions=sylotinagri}', "");
    Expect(1, 43052, '\P{^Script_Extensions=sylotinagri}', "");
    Expect(0, 43053, '\p{Script_Extensions=sylotinagri}', "");
    Expect(1, 43053, '\p{^Script_Extensions=sylotinagri}', "");
    Expect(1, 43053, '\P{Script_Extensions=sylotinagri}', "");
    Expect(0, 43053, '\P{^Script_Extensions=sylotinagri}', "");
    Expect(1, 43052, '\p{Script_Extensions=:\Asylotinagri\z:}', "");;
    Expect(0, 43053, '\p{Script_Extensions=:\Asylotinagri\z:}', "");;
    Expect(1, 43052, '\p{Script_Extensions= Syloti_nagri}', "");
    Expect(0, 43052, '\p{^Script_Extensions= Syloti_nagri}', "");
    Expect(0, 43052, '\P{Script_Extensions= Syloti_nagri}', "");
    Expect(1, 43052, '\P{^Script_Extensions= Syloti_nagri}', "");
    Expect(0, 43053, '\p{Script_Extensions= Syloti_nagri}', "");
    Expect(1, 43053, '\p{^Script_Extensions= Syloti_nagri}', "");
    Expect(1, 43053, '\P{Script_Extensions= Syloti_nagri}', "");
    Expect(0, 43053, '\P{^Script_Extensions= Syloti_nagri}', "");
    Error('\p{Scx=_	Sylo:=}');
    Error('\P{Scx=_	Sylo:=}');
    Expect(1, 43052, '\p{Scx=:\ASylo\z:}', "");;
    Expect(0, 43053, '\p{Scx=:\ASylo\z:}', "");;
    Expect(1, 43052, '\p{Scx=sylo}', "");
    Expect(0, 43052, '\p{^Scx=sylo}', "");
    Expect(0, 43052, '\P{Scx=sylo}', "");
    Expect(1, 43052, '\P{^Scx=sylo}', "");
    Expect(0, 43053, '\p{Scx=sylo}', "");
    Expect(1, 43053, '\p{^Scx=sylo}', "");
    Expect(1, 43053, '\P{Scx=sylo}', "");
    Expect(0, 43053, '\P{^Scx=sylo}', "");
    Expect(1, 43052, '\p{Scx=:\Asylo\z:}', "");;
    Expect(0, 43053, '\p{Scx=:\Asylo\z:}', "");;
    Expect(1, 43052, '\p{Scx= Sylo}', "");
    Expect(0, 43052, '\p{^Scx= Sylo}', "");
    Expect(0, 43052, '\P{Scx= Sylo}', "");
    Expect(1, 43052, '\P{^Scx= Sylo}', "");
    Expect(0, 43053, '\p{Scx= Sylo}', "");
    Expect(1, 43053, '\p{^Scx= Sylo}', "");
    Expect(1, 43053, '\P{Scx= Sylo}', "");
    Expect(0, 43053, '\P{^Scx= Sylo}', "");
    Error('\p{Is_Script_Extensions=:=SYLOTI_Nagri}');
    Error('\P{Is_Script_Extensions=:=SYLOTI_Nagri}');
    Expect(1, 43052, '\p{Is_Script_Extensions: sylotinagri}', "");
    Expect(0, 43052, '\p{^Is_Script_Extensions: sylotinagri}', "");
    Expect(0, 43052, '\P{Is_Script_Extensions: sylotinagri}', "");
    Expect(1, 43052, '\P{^Is_Script_Extensions: sylotinagri}', "");
    Expect(0, 43053, '\p{Is_Script_Extensions: sylotinagri}', "");
    Expect(1, 43053, '\p{^Is_Script_Extensions: sylotinagri}', "");
    Expect(1, 43053, '\P{Is_Script_Extensions: sylotinagri}', "");
    Expect(0, 43053, '\P{^Is_Script_Extensions: sylotinagri}', "");
    Expect(1, 43052, '\p{Is_Script_Extensions=	Syloti_Nagri}', "");
    Expect(0, 43052, '\p{^Is_Script_Extensions=	Syloti_Nagri}', "");
    Expect(0, 43052, '\P{Is_Script_Extensions=	Syloti_Nagri}', "");
    Expect(1, 43052, '\P{^Is_Script_Extensions=	Syloti_Nagri}', "");
    Expect(0, 43053, '\p{Is_Script_Extensions=	Syloti_Nagri}', "");
    Expect(1, 43053, '\p{^Is_Script_Extensions=	Syloti_Nagri}', "");
    Expect(1, 43053, '\P{Is_Script_Extensions=	Syloti_Nagri}', "");
    Expect(0, 43053, '\P{^Is_Script_Extensions=	Syloti_Nagri}', "");
    Error('\p{Is_Scx=_:=Sylo}');
    Error('\P{Is_Scx=_:=Sylo}');
    Expect(1, 43052, '\p{Is_Scx:	sylo}', "");
    Expect(0, 43052, '\p{^Is_Scx:	sylo}', "");
    Expect(0, 43052, '\P{Is_Scx:	sylo}', "");
    Expect(1, 43052, '\P{^Is_Scx:	sylo}', "");
    Expect(0, 43053, '\p{Is_Scx:	sylo}', "");
    Expect(1, 43053, '\p{^Is_Scx:	sylo}', "");
    Expect(1, 43053, '\P{Is_Scx:	sylo}', "");
    Expect(0, 43053, '\P{^Is_Scx:	sylo}', "");
    Expect(1, 43052, '\p{Is_Scx=-_SYLO}', "");
    Expect(0, 43052, '\p{^Is_Scx=-_SYLO}', "");
    Expect(0, 43052, '\P{Is_Scx=-_SYLO}', "");
    Expect(1, 43052, '\P{^Is_Scx=-_SYLO}', "");
    Expect(0, 43053, '\p{Is_Scx=-_SYLO}', "");
    Expect(1, 43053, '\p{^Is_Scx=-_SYLO}', "");
    Expect(1, 43053, '\P{Is_Scx=-_SYLO}', "");
    Expect(0, 43053, '\P{^Is_Scx=-_SYLO}', "");
    Error('\p{Script_Extensions=/a/ 	Syriac}');
    Error('\P{Script_Extensions=/a/ 	Syriac}');
    Expect(1, 7674, '\p{Script_Extensions=:\ASyriac\z:}', "");;
    Expect(0, 7675, '\p{Script_Extensions=:\ASyriac\z:}', "");;
    Expect(1, 7674, '\p{Script_Extensions=syriac}', "");
    Expect(0, 7674, '\p{^Script_Extensions=syriac}', "");
    Expect(0, 7674, '\P{Script_Extensions=syriac}', "");
    Expect(1, 7674, '\P{^Script_Extensions=syriac}', "");
    Expect(0, 7675, '\p{Script_Extensions=syriac}', "");
    Expect(1, 7675, '\p{^Script_Extensions=syriac}', "");
    Expect(1, 7675, '\P{Script_Extensions=syriac}', "");
    Expect(0, 7675, '\P{^Script_Extensions=syriac}', "");
    Expect(1, 7674, '\p{Script_Extensions=:\Asyriac\z:}', "");;
    Expect(0, 7675, '\p{Script_Extensions=:\Asyriac\z:}', "");;
    Expect(1, 7674, '\p{Script_Extensions= 	Syriac}', "");
    Expect(0, 7674, '\p{^Script_Extensions= 	Syriac}', "");
    Expect(0, 7674, '\P{Script_Extensions= 	Syriac}', "");
    Expect(1, 7674, '\P{^Script_Extensions= 	Syriac}', "");
    Expect(0, 7675, '\p{Script_Extensions= 	Syriac}', "");
    Expect(1, 7675, '\p{^Script_Extensions= 	Syriac}', "");
    Expect(1, 7675, '\P{Script_Extensions= 	Syriac}', "");
    Expect(0, 7675, '\P{^Script_Extensions= 	Syriac}', "");
    Error('\p{Scx=/a/--Syrc}');
    Error('\P{Scx=/a/--Syrc}');
    Expect(1, 7674, '\p{Scx=:\ASyrc\z:}', "");;
    Expect(0, 7675, '\p{Scx=:\ASyrc\z:}', "");;
    Expect(1, 7674, '\p{Scx=syrc}', "");
    Expect(0, 7674, '\p{^Scx=syrc}', "");
    Expect(0, 7674, '\P{Scx=syrc}', "");
    Expect(1, 7674, '\P{^Scx=syrc}', "");
    Expect(0, 7675, '\p{Scx=syrc}', "");
    Expect(1, 7675, '\p{^Scx=syrc}', "");
    Expect(1, 7675, '\P{Scx=syrc}', "");
    Expect(0, 7675, '\P{^Scx=syrc}', "");
    Expect(1, 7674, '\p{Scx=:\Asyrc\z:}', "");;
    Expect(0, 7675, '\p{Scx=:\Asyrc\z:}', "");;
    Expect(1, 7674, '\p{Scx=	Syrc}', "");
    Expect(0, 7674, '\p{^Scx=	Syrc}', "");
    Expect(0, 7674, '\P{Scx=	Syrc}', "");
    Expect(1, 7674, '\P{^Scx=	Syrc}', "");
    Expect(0, 7675, '\p{Scx=	Syrc}', "");
    Expect(1, 7675, '\p{^Scx=	Syrc}', "");
    Expect(1, 7675, '\P{Scx=	Syrc}', "");
    Expect(0, 7675, '\P{^Scx=	Syrc}', "");
    Error('\p{Is_Script_Extensions=:=- syriac}');
    Error('\P{Is_Script_Extensions=:=- syriac}');
    Expect(1, 7674, '\p{Is_Script_Extensions=syriac}', "");
    Expect(0, 7674, '\p{^Is_Script_Extensions=syriac}', "");
    Expect(0, 7674, '\P{Is_Script_Extensions=syriac}', "");
    Expect(1, 7674, '\P{^Is_Script_Extensions=syriac}', "");
    Expect(0, 7675, '\p{Is_Script_Extensions=syriac}', "");
    Expect(1, 7675, '\p{^Is_Script_Extensions=syriac}', "");
    Expect(1, 7675, '\P{Is_Script_Extensions=syriac}', "");
    Expect(0, 7675, '\P{^Is_Script_Extensions=syriac}', "");
    Expect(1, 7674, '\p{Is_Script_Extensions= -SYRIAC}', "");
    Expect(0, 7674, '\p{^Is_Script_Extensions= -SYRIAC}', "");
    Expect(0, 7674, '\P{Is_Script_Extensions= -SYRIAC}', "");
    Expect(1, 7674, '\P{^Is_Script_Extensions= -SYRIAC}', "");
    Expect(0, 7675, '\p{Is_Script_Extensions= -SYRIAC}', "");
    Expect(1, 7675, '\p{^Is_Script_Extensions= -SYRIAC}', "");
    Expect(1, 7675, '\P{Is_Script_Extensions= -SYRIAC}', "");
    Expect(0, 7675, '\P{^Is_Script_Extensions= -SYRIAC}', "");
    Error('\p{Is_Scx::=-syrc}');
    Error('\P{Is_Scx::=-syrc}');
    Expect(1, 7674, '\p{Is_Scx=syrc}', "");
    Expect(0, 7674, '\p{^Is_Scx=syrc}', "");
    Expect(0, 7674, '\P{Is_Scx=syrc}', "");
    Expect(1, 7674, '\P{^Is_Scx=syrc}', "");
    Expect(0, 7675, '\p{Is_Scx=syrc}', "");
    Expect(1, 7675, '\p{^Is_Scx=syrc}', "");
    Expect(1, 7675, '\P{Is_Scx=syrc}', "");
    Expect(0, 7675, '\P{^Is_Scx=syrc}', "");
    Expect(1, 7674, '\p{Is_Scx=		SYRC}', "");
    Expect(0, 7674, '\p{^Is_Scx=		SYRC}', "");
    Expect(0, 7674, '\P{Is_Scx=		SYRC}', "");
    Expect(1, 7674, '\P{^Is_Scx=		SYRC}', "");
    Expect(0, 7675, '\p{Is_Scx=		SYRC}', "");
    Expect(1, 7675, '\p{^Is_Scx=		SYRC}', "");
    Expect(1, 7675, '\P{Is_Scx=		SYRC}', "");
    Expect(0, 7675, '\P{^Is_Scx=		SYRC}', "");
    Error('\p{Script_Extensions: /a/_ TAGBANWA}');
    Error('\P{Script_Extensions: /a/_ TAGBANWA}');
    Expect(1, 6003, '\p{Script_Extensions=:\ATagbanwa\z:}', "");;
    Expect(0, 6004, '\p{Script_Extensions=:\ATagbanwa\z:}', "");;
    Expect(1, 6003, '\p{Script_Extensions=tagbanwa}', "");
    Expect(0, 6003, '\p{^Script_Extensions=tagbanwa}', "");
    Expect(0, 6003, '\P{Script_Extensions=tagbanwa}', "");
    Expect(1, 6003, '\P{^Script_Extensions=tagbanwa}', "");
    Expect(0, 6004, '\p{Script_Extensions=tagbanwa}', "");
    Expect(1, 6004, '\p{^Script_Extensions=tagbanwa}', "");
    Expect(1, 6004, '\P{Script_Extensions=tagbanwa}', "");
    Expect(0, 6004, '\P{^Script_Extensions=tagbanwa}', "");
    Expect(1, 6003, '\p{Script_Extensions=:\Atagbanwa\z:}', "");;
    Expect(0, 6004, '\p{Script_Extensions=:\Atagbanwa\z:}', "");;
    Expect(1, 6003, '\p{Script_Extensions=__tagbanwa}', "");
    Expect(0, 6003, '\p{^Script_Extensions=__tagbanwa}', "");
    Expect(0, 6003, '\P{Script_Extensions=__tagbanwa}', "");
    Expect(1, 6003, '\P{^Script_Extensions=__tagbanwa}', "");
    Expect(0, 6004, '\p{Script_Extensions=__tagbanwa}', "");
    Expect(1, 6004, '\p{^Script_Extensions=__tagbanwa}', "");
    Expect(1, 6004, '\P{Script_Extensions=__tagbanwa}', "");
    Expect(0, 6004, '\P{^Script_Extensions=__tagbanwa}', "");
    Error('\p{Scx=/a/		Tagb}');
    Error('\P{Scx=/a/		Tagb}');
    Expect(1, 6003, '\p{Scx=:\ATagb\z:}', "");;
    Expect(0, 6004, '\p{Scx=:\ATagb\z:}', "");;
    Expect(1, 6003, '\p{Scx=tagb}', "");
    Expect(0, 6003, '\p{^Scx=tagb}', "");
    Expect(0, 6003, '\P{Scx=tagb}', "");
    Expect(1, 6003, '\P{^Scx=tagb}', "");
    Expect(0, 6004, '\p{Scx=tagb}', "");
    Expect(1, 6004, '\p{^Scx=tagb}', "");
    Expect(1, 6004, '\P{Scx=tagb}', "");
    Expect(0, 6004, '\P{^Scx=tagb}', "");
    Expect(1, 6003, '\p{Scx=:\Atagb\z:}', "");;
    Expect(0, 6004, '\p{Scx=:\Atagb\z:}', "");;
    Expect(1, 6003, '\p{Scx=	Tagb}', "");
    Expect(0, 6003, '\p{^Scx=	Tagb}', "");
    Expect(0, 6003, '\P{Scx=	Tagb}', "");
    Expect(1, 6003, '\P{^Scx=	Tagb}', "");
    Expect(0, 6004, '\p{Scx=	Tagb}', "");
    Expect(1, 6004, '\p{^Scx=	Tagb}', "");
    Expect(1, 6004, '\P{Scx=	Tagb}', "");
    Expect(0, 6004, '\P{^Scx=	Tagb}', "");
    Error('\p{Is_Script_Extensions= :=Tagbanwa}');
    Error('\P{Is_Script_Extensions= :=Tagbanwa}');
    Expect(1, 6003, '\p{Is_Script_Extensions=tagbanwa}', "");
    Expect(0, 6003, '\p{^Is_Script_Extensions=tagbanwa}', "");
    Expect(0, 6003, '\P{Is_Script_Extensions=tagbanwa}', "");
    Expect(1, 6003, '\P{^Is_Script_Extensions=tagbanwa}', "");
    Expect(0, 6004, '\p{Is_Script_Extensions=tagbanwa}', "");
    Expect(1, 6004, '\p{^Is_Script_Extensions=tagbanwa}', "");
    Expect(1, 6004, '\P{Is_Script_Extensions=tagbanwa}', "");
    Expect(0, 6004, '\P{^Is_Script_Extensions=tagbanwa}', "");
    Expect(1, 6003, '\p{Is_Script_Extensions:		_Tagbanwa}', "");
    Expect(0, 6003, '\p{^Is_Script_Extensions:		_Tagbanwa}', "");
    Expect(0, 6003, '\P{Is_Script_Extensions:		_Tagbanwa}', "");
    Expect(1, 6003, '\P{^Is_Script_Extensions:		_Tagbanwa}', "");
    Expect(0, 6004, '\p{Is_Script_Extensions:		_Tagbanwa}', "");
    Expect(1, 6004, '\p{^Is_Script_Extensions:		_Tagbanwa}', "");
    Expect(1, 6004, '\P{Is_Script_Extensions:		_Tagbanwa}', "");
    Expect(0, 6004, '\P{^Is_Script_Extensions:		_Tagbanwa}', "");
    Error('\p{Is_Scx=_-tagb:=}');
    Error('\P{Is_Scx=_-tagb:=}');
    Expect(1, 6003, '\p{Is_Scx=tagb}', "");
    Expect(0, 6003, '\p{^Is_Scx=tagb}', "");
    Expect(0, 6003, '\P{Is_Scx=tagb}', "");
    Expect(1, 6003, '\P{^Is_Scx=tagb}', "");
    Expect(0, 6004, '\p{Is_Scx=tagb}', "");
    Expect(1, 6004, '\p{^Is_Scx=tagb}', "");
    Expect(1, 6004, '\P{Is_Scx=tagb}', "");
    Expect(0, 6004, '\P{^Is_Scx=tagb}', "");
    Expect(1, 6003, '\p{Is_Scx=_ TAGB}', "");
    Expect(0, 6003, '\p{^Is_Scx=_ TAGB}', "");
    Expect(0, 6003, '\P{Is_Scx=_ TAGB}', "");
    Expect(1, 6003, '\P{^Is_Scx=_ TAGB}', "");
    Expect(0, 6004, '\p{Is_Scx=_ TAGB}', "");
    Expect(1, 6004, '\p{^Is_Scx=_ TAGB}', "");
    Expect(1, 6004, '\P{Is_Scx=_ TAGB}', "");
    Expect(0, 6004, '\P{^Is_Scx=_ TAGB}', "");
    Error('\p{Script_Extensions=:=_Takri}');
    Error('\P{Script_Extensions=:=_Takri}');
    Expect(1, 71369, '\p{Script_Extensions=:\ATakri\z:}', "");;
    Expect(0, 71370, '\p{Script_Extensions=:\ATakri\z:}', "");;
    Expect(1, 71369, '\p{Script_Extensions=takri}', "");
    Expect(0, 71369, '\p{^Script_Extensions=takri}', "");
    Expect(0, 71369, '\P{Script_Extensions=takri}', "");
    Expect(1, 71369, '\P{^Script_Extensions=takri}', "");
    Expect(0, 71370, '\p{Script_Extensions=takri}', "");
    Expect(1, 71370, '\p{^Script_Extensions=takri}', "");
    Expect(1, 71370, '\P{Script_Extensions=takri}', "");
    Expect(0, 71370, '\P{^Script_Extensions=takri}', "");
    Expect(1, 71369, '\p{Script_Extensions=:\Atakri\z:}', "");;
    Expect(0, 71370, '\p{Script_Extensions=:\Atakri\z:}', "");;
    Expect(1, 71369, '\p{Script_Extensions=_Takri}', "");
    Expect(0, 71369, '\p{^Script_Extensions=_Takri}', "");
    Expect(0, 71369, '\P{Script_Extensions=_Takri}', "");
    Expect(1, 71369, '\P{^Script_Extensions=_Takri}', "");
    Expect(0, 71370, '\p{Script_Extensions=_Takri}', "");
    Expect(1, 71370, '\p{^Script_Extensions=_Takri}', "");
    Expect(1, 71370, '\P{Script_Extensions=_Takri}', "");
    Expect(0, 71370, '\P{^Script_Extensions=_Takri}', "");
    Error('\p{Scx=-_takr:=}');
    Error('\P{Scx=-_takr:=}');
    Expect(1, 71369, '\p{Scx=:\ATakr\z:}', "");;
    Expect(0, 71370, '\p{Scx=:\ATakr\z:}', "");;
    Expect(1, 71369, '\p{Scx=takr}', "");
    Expect(0, 71369, '\p{^Scx=takr}', "");
    Expect(0, 71369, '\P{Scx=takr}', "");
    Expect(1, 71369, '\P{^Scx=takr}', "");
    Expect(0, 71370, '\p{Scx=takr}', "");
    Expect(1, 71370, '\p{^Scx=takr}', "");
    Expect(1, 71370, '\P{Scx=takr}', "");
    Expect(0, 71370, '\P{^Scx=takr}', "");
    Expect(1, 71369, '\p{Scx=:\Atakr\z:}', "");;
    Expect(0, 71370, '\p{Scx=:\Atakr\z:}', "");;
    Expect(1, 71369, '\p{Scx=	Takr}', "");
    Expect(0, 71369, '\p{^Scx=	Takr}', "");
    Expect(0, 71369, '\P{Scx=	Takr}', "");
    Expect(1, 71369, '\P{^Scx=	Takr}', "");
    Expect(0, 71370, '\p{Scx=	Takr}', "");
    Expect(1, 71370, '\p{^Scx=	Takr}', "");
    Expect(1, 71370, '\P{Scx=	Takr}', "");
    Expect(0, 71370, '\P{^Scx=	Takr}', "");
    Error('\p{Is_Script_Extensions=	Takri:=}');
    Error('\P{Is_Script_Extensions=	Takri:=}');
    Expect(1, 71369, '\p{Is_Script_Extensions=takri}', "");
    Expect(0, 71369, '\p{^Is_Script_Extensions=takri}', "");
    Expect(0, 71369, '\P{Is_Script_Extensions=takri}', "");
    Expect(1, 71369, '\P{^Is_Script_Extensions=takri}', "");
    Expect(0, 71370, '\p{Is_Script_Extensions=takri}', "");
    Expect(1, 71370, '\p{^Is_Script_Extensions=takri}', "");
    Expect(1, 71370, '\P{Is_Script_Extensions=takri}', "");
    Expect(0, 71370, '\P{^Is_Script_Extensions=takri}', "");
    Expect(1, 71369, '\p{Is_Script_Extensions= takri}', "");
    Expect(0, 71369, '\p{^Is_Script_Extensions= takri}', "");
    Expect(0, 71369, '\P{Is_Script_Extensions= takri}', "");
    Expect(1, 71369, '\P{^Is_Script_Extensions= takri}', "");
    Expect(0, 71370, '\p{Is_Script_Extensions= takri}', "");
    Expect(1, 71370, '\p{^Is_Script_Extensions= takri}', "");
    Expect(1, 71370, '\P{Is_Script_Extensions= takri}', "");
    Expect(0, 71370, '\P{^Is_Script_Extensions= takri}', "");
    Error('\p{Is_Scx=:=  takr}');
    Error('\P{Is_Scx=:=  takr}');
    Expect(1, 71369, '\p{Is_Scx=takr}', "");
    Expect(0, 71369, '\p{^Is_Scx=takr}', "");
    Expect(0, 71369, '\P{Is_Scx=takr}', "");
    Expect(1, 71369, '\P{^Is_Scx=takr}', "");
    Expect(0, 71370, '\p{Is_Scx=takr}', "");
    Expect(1, 71370, '\p{^Is_Scx=takr}', "");
    Expect(1, 71370, '\P{Is_Scx=takr}', "");
    Expect(0, 71370, '\P{^Is_Scx=takr}', "");
    Expect(1, 71369, '\p{Is_Scx=-	Takr}', "");
    Expect(0, 71369, '\p{^Is_Scx=-	Takr}', "");
    Expect(0, 71369, '\P{Is_Scx=-	Takr}', "");
    Expect(1, 71369, '\P{^Is_Scx=-	Takr}', "");
    Expect(0, 71370, '\p{Is_Scx=-	Takr}', "");
    Expect(1, 71370, '\p{^Is_Scx=-	Takr}', "");
    Expect(1, 71370, '\P{Is_Scx=-	Takr}', "");
    Expect(0, 71370, '\P{^Is_Scx=-	Takr}', "");
    Error('\p{Script_Extensions=-:=tai_Le}');
    Error('\P{Script_Extensions=-:=tai_Le}');
    Expect(1, 6516, '\p{Script_Extensions=:\ATai_Le\z:}', "");;
    Expect(0, 6517, '\p{Script_Extensions=:\ATai_Le\z:}', "");;
    Expect(1, 6516, '\p{Script_Extensions=taile}', "");
    Expect(0, 6516, '\p{^Script_Extensions=taile}', "");
    Expect(0, 6516, '\P{Script_Extensions=taile}', "");
    Expect(1, 6516, '\P{^Script_Extensions=taile}', "");
    Expect(0, 6517, '\p{Script_Extensions=taile}', "");
    Expect(1, 6517, '\p{^Script_Extensions=taile}', "");
    Expect(1, 6517, '\P{Script_Extensions=taile}', "");
    Expect(0, 6517, '\P{^Script_Extensions=taile}', "");
    Expect(1, 6516, '\p{Script_Extensions=:\Ataile\z:}', "");;
    Expect(0, 6517, '\p{Script_Extensions=:\Ataile\z:}', "");;
    Expect(1, 6516, '\p{Script_Extensions=  Tai_le}', "");
    Expect(0, 6516, '\p{^Script_Extensions=  Tai_le}', "");
    Expect(0, 6516, '\P{Script_Extensions=  Tai_le}', "");
    Expect(1, 6516, '\P{^Script_Extensions=  Tai_le}', "");
    Expect(0, 6517, '\p{Script_Extensions=  Tai_le}', "");
    Expect(1, 6517, '\p{^Script_Extensions=  Tai_le}', "");
    Expect(1, 6517, '\P{Script_Extensions=  Tai_le}', "");
    Expect(0, 6517, '\P{^Script_Extensions=  Tai_le}', "");
    Error('\p{Scx:	_/a/tale}');
    Error('\P{Scx:	_/a/tale}');
    Expect(1, 6516, '\p{Scx=:\ATale\z:}', "");;
    Expect(0, 6517, '\p{Scx=:\ATale\z:}', "");;
    Expect(1, 6516, '\p{Scx=tale}', "");
    Expect(0, 6516, '\p{^Scx=tale}', "");
    Expect(0, 6516, '\P{Scx=tale}', "");
    Expect(1, 6516, '\P{^Scx=tale}', "");
    Expect(0, 6517, '\p{Scx=tale}', "");
    Expect(1, 6517, '\p{^Scx=tale}', "");
    Expect(1, 6517, '\P{Scx=tale}', "");
    Expect(0, 6517, '\P{^Scx=tale}', "");
    Expect(1, 6516, '\p{Scx=:\Atale\z:}', "");;
    Expect(0, 6517, '\p{Scx=:\Atale\z:}', "");;
    Expect(1, 6516, '\p{Scx=_-tale}', "");
    Expect(0, 6516, '\p{^Scx=_-tale}', "");
    Expect(0, 6516, '\P{Scx=_-tale}', "");
    Expect(1, 6516, '\P{^Scx=_-tale}', "");
    Expect(0, 6517, '\p{Scx=_-tale}', "");
    Expect(1, 6517, '\p{^Scx=_-tale}', "");
    Expect(1, 6517, '\P{Scx=_-tale}', "");
    Expect(0, 6517, '\P{^Scx=_-tale}', "");
    Error('\p{Is_Script_Extensions=	Tai_Le:=}');
    Error('\P{Is_Script_Extensions=	Tai_Le:=}');
    Expect(1, 6516, '\p{Is_Script_Extensions=taile}', "");
    Expect(0, 6516, '\p{^Is_Script_Extensions=taile}', "");
    Expect(0, 6516, '\P{Is_Script_Extensions=taile}', "");
    Expect(1, 6516, '\P{^Is_Script_Extensions=taile}', "");
    Expect(0, 6517, '\p{Is_Script_Extensions=taile}', "");
    Expect(1, 6517, '\p{^Is_Script_Extensions=taile}', "");
    Expect(1, 6517, '\P{Is_Script_Extensions=taile}', "");
    Expect(0, 6517, '\P{^Is_Script_Extensions=taile}', "");
    Expect(1, 6516, '\p{Is_Script_Extensions=	_Tai_Le}', "");
    Expect(0, 6516, '\p{^Is_Script_Extensions=	_Tai_Le}', "");
    Expect(0, 6516, '\P{Is_Script_Extensions=	_Tai_Le}', "");
    Expect(1, 6516, '\P{^Is_Script_Extensions=	_Tai_Le}', "");
    Expect(0, 6517, '\p{Is_Script_Extensions=	_Tai_Le}', "");
    Expect(1, 6517, '\p{^Is_Script_Extensions=	_Tai_Le}', "");
    Expect(1, 6517, '\P{Is_Script_Extensions=	_Tai_Le}', "");
    Expect(0, 6517, '\P{^Is_Script_Extensions=	_Tai_Le}', "");
    Error('\p{Is_Scx=_tale:=}');
    Error('\P{Is_Scx=_tale:=}');
    Expect(1, 6516, '\p{Is_Scx=tale}', "");
    Expect(0, 6516, '\p{^Is_Scx=tale}', "");
    Expect(0, 6516, '\P{Is_Scx=tale}', "");
    Expect(1, 6516, '\P{^Is_Scx=tale}', "");
    Expect(0, 6517, '\p{Is_Scx=tale}', "");
    Expect(1, 6517, '\p{^Is_Scx=tale}', "");
    Expect(1, 6517, '\P{Is_Scx=tale}', "");
    Expect(0, 6517, '\P{^Is_Scx=tale}', "");
    Expect(1, 6516, '\p{Is_Scx=__Tale}', "");
    Expect(0, 6516, '\p{^Is_Scx=__Tale}', "");
    Expect(0, 6516, '\P{Is_Scx=__Tale}', "");
    Expect(1, 6516, '\P{^Is_Scx=__Tale}', "");
    Expect(0, 6517, '\p{Is_Scx=__Tale}', "");
    Expect(1, 6517, '\p{^Is_Scx=__Tale}', "");
    Expect(1, 6517, '\P{Is_Scx=__Tale}', "");
    Expect(0, 6517, '\P{^Is_Scx=__Tale}', "");
    Error('\p{Script_Extensions=:=	 New_Tai_Lue}');
    Error('\P{Script_Extensions=:=	 New_Tai_Lue}');
    Expect(1, 6623, '\p{Script_Extensions=:\ANew_Tai_Lue\z:}', "");;
    Expect(0, 6624, '\p{Script_Extensions=:\ANew_Tai_Lue\z:}', "");;
    Expect(1, 6623, '\p{Script_Extensions=newtailue}', "");
    Expect(0, 6623, '\p{^Script_Extensions=newtailue}', "");
    Expect(0, 6623, '\P{Script_Extensions=newtailue}', "");
    Expect(1, 6623, '\P{^Script_Extensions=newtailue}', "");
    Expect(0, 6624, '\p{Script_Extensions=newtailue}', "");
    Expect(1, 6624, '\p{^Script_Extensions=newtailue}', "");
    Expect(1, 6624, '\P{Script_Extensions=newtailue}', "");
    Expect(0, 6624, '\P{^Script_Extensions=newtailue}', "");
    Expect(1, 6623, '\p{Script_Extensions=:\Anewtailue\z:}', "");;
    Expect(0, 6624, '\p{Script_Extensions=:\Anewtailue\z:}', "");;
    Expect(1, 6623, '\p{Script_Extensions=-	new_TAI_lue}', "");
    Expect(0, 6623, '\p{^Script_Extensions=-	new_TAI_lue}', "");
    Expect(0, 6623, '\P{Script_Extensions=-	new_TAI_lue}', "");
    Expect(1, 6623, '\P{^Script_Extensions=-	new_TAI_lue}', "");
    Expect(0, 6624, '\p{Script_Extensions=-	new_TAI_lue}', "");
    Expect(1, 6624, '\p{^Script_Extensions=-	new_TAI_lue}', "");
    Expect(1, 6624, '\P{Script_Extensions=-	new_TAI_lue}', "");
    Expect(0, 6624, '\P{^Script_Extensions=-	new_TAI_lue}', "");
    Error('\p{Scx=/a/_TALU}');
    Error('\P{Scx=/a/_TALU}');
    Expect(1, 6623, '\p{Scx=:\ATalu\z:}', "");;
    Expect(0, 6624, '\p{Scx=:\ATalu\z:}', "");;
    Expect(1, 6623, '\p{Scx=talu}', "");
    Expect(0, 6623, '\p{^Scx=talu}', "");
    Expect(0, 6623, '\P{Scx=talu}', "");
    Expect(1, 6623, '\P{^Scx=talu}', "");
    Expect(0, 6624, '\p{Scx=talu}', "");
    Expect(1, 6624, '\p{^Scx=talu}', "");
    Expect(1, 6624, '\P{Scx=talu}', "");
    Expect(0, 6624, '\P{^Scx=talu}', "");
    Expect(1, 6623, '\p{Scx=:\Atalu\z:}', "");;
    Expect(0, 6624, '\p{Scx=:\Atalu\z:}', "");;
    Expect(1, 6623, '\p{Scx=__talu}', "");
    Expect(0, 6623, '\p{^Scx=__talu}', "");
    Expect(0, 6623, '\P{Scx=__talu}', "");
    Expect(1, 6623, '\P{^Scx=__talu}', "");
    Expect(0, 6624, '\p{Scx=__talu}', "");
    Expect(1, 6624, '\p{^Scx=__talu}', "");
    Expect(1, 6624, '\P{Scx=__talu}', "");
    Expect(0, 6624, '\P{^Scx=__talu}', "");
    Error('\p{Is_Script_Extensions=/a/--new_tai_Lue}');
    Error('\P{Is_Script_Extensions=/a/--new_tai_Lue}');
    Expect(1, 6623, '\p{Is_Script_Extensions=newtailue}', "");
    Expect(0, 6623, '\p{^Is_Script_Extensions=newtailue}', "");
    Expect(0, 6623, '\P{Is_Script_Extensions=newtailue}', "");
    Expect(1, 6623, '\P{^Is_Script_Extensions=newtailue}', "");
    Expect(0, 6624, '\p{Is_Script_Extensions=newtailue}', "");
    Expect(1, 6624, '\p{^Is_Script_Extensions=newtailue}', "");
    Expect(1, 6624, '\P{Is_Script_Extensions=newtailue}', "");
    Expect(0, 6624, '\P{^Is_Script_Extensions=newtailue}', "");
    Expect(1, 6623, '\p{Is_Script_Extensions=	-NEW_tai_lue}', "");
    Expect(0, 6623, '\p{^Is_Script_Extensions=	-NEW_tai_lue}', "");
    Expect(0, 6623, '\P{Is_Script_Extensions=	-NEW_tai_lue}', "");
    Expect(1, 6623, '\P{^Is_Script_Extensions=	-NEW_tai_lue}', "");
    Expect(0, 6624, '\p{Is_Script_Extensions=	-NEW_tai_lue}', "");
    Expect(1, 6624, '\p{^Is_Script_Extensions=	-NEW_tai_lue}', "");
    Expect(1, 6624, '\P{Is_Script_Extensions=	-NEW_tai_lue}', "");
    Expect(0, 6624, '\P{^Is_Script_Extensions=	-NEW_tai_lue}', "");
    Error('\p{Is_Scx=- talu/a/}');
    Error('\P{Is_Scx=- talu/a/}');
    Expect(1, 6623, '\p{Is_Scx=talu}', "");
    Expect(0, 6623, '\p{^Is_Scx=talu}', "");
    Expect(0, 6623, '\P{Is_Scx=talu}', "");
    Expect(1, 6623, '\P{^Is_Scx=talu}', "");
    Expect(0, 6624, '\p{Is_Scx=talu}', "");
    Expect(1, 6624, '\p{^Is_Scx=talu}', "");
    Expect(1, 6624, '\P{Is_Scx=talu}', "");
    Expect(0, 6624, '\P{^Is_Scx=talu}', "");
    Expect(1, 6623, '\p{Is_Scx=	Talu}', "");
    Expect(0, 6623, '\p{^Is_Scx=	Talu}', "");
    Expect(0, 6623, '\P{Is_Scx=	Talu}', "");
    Expect(1, 6623, '\P{^Is_Scx=	Talu}', "");
    Expect(0, 6624, '\p{Is_Scx=	Talu}', "");
    Expect(1, 6624, '\p{^Is_Scx=	Talu}', "");
    Expect(1, 6624, '\P{Is_Scx=	Talu}', "");
    Expect(0, 6624, '\P{^Is_Scx=	Talu}', "");
    Error('\p{Script_Extensions=	-tamil:=}');
    Error('\P{Script_Extensions=	-tamil:=}');
    Expect(1, 73727, '\p{Script_Extensions=:\ATamil\z:}', "");;
    Expect(0, 73728, '\p{Script_Extensions=:\ATamil\z:}', "");;
    Expect(1, 73727, '\p{Script_Extensions=tamil}', "");
    Expect(0, 73727, '\p{^Script_Extensions=tamil}', "");
    Expect(0, 73727, '\P{Script_Extensions=tamil}', "");
    Expect(1, 73727, '\P{^Script_Extensions=tamil}', "");
    Expect(0, 73728, '\p{Script_Extensions=tamil}', "");
    Expect(1, 73728, '\p{^Script_Extensions=tamil}', "");
    Expect(1, 73728, '\P{Script_Extensions=tamil}', "");
    Expect(0, 73728, '\P{^Script_Extensions=tamil}', "");
    Expect(1, 73727, '\p{Script_Extensions=:\Atamil\z:}', "");;
    Expect(0, 73728, '\p{Script_Extensions=:\Atamil\z:}', "");;
    Expect(1, 73727, '\p{Script_Extensions=_Tamil}', "");
    Expect(0, 73727, '\p{^Script_Extensions=_Tamil}', "");
    Expect(0, 73727, '\P{Script_Extensions=_Tamil}', "");
    Expect(1, 73727, '\P{^Script_Extensions=_Tamil}', "");
    Expect(0, 73728, '\p{Script_Extensions=_Tamil}', "");
    Expect(1, 73728, '\p{^Script_Extensions=_Tamil}', "");
    Expect(1, 73728, '\P{Script_Extensions=_Tamil}', "");
    Expect(0, 73728, '\P{^Script_Extensions=_Tamil}', "");
    Error('\p{Scx: /a/Taml}');
    Error('\P{Scx: /a/Taml}');
    Expect(1, 73727, '\p{Scx=:\ATaml\z:}', "");;
    Expect(0, 73728, '\p{Scx=:\ATaml\z:}', "");;
    Expect(1, 73727, '\p{Scx=taml}', "");
    Expect(0, 73727, '\p{^Scx=taml}', "");
    Expect(0, 73727, '\P{Scx=taml}', "");
    Expect(1, 73727, '\P{^Scx=taml}', "");
    Expect(0, 73728, '\p{Scx=taml}', "");
    Expect(1, 73728, '\p{^Scx=taml}', "");
    Expect(1, 73728, '\P{Scx=taml}', "");
    Expect(0, 73728, '\P{^Scx=taml}', "");
    Expect(1, 73727, '\p{Scx=:\Ataml\z:}', "");;
    Expect(0, 73728, '\p{Scx=:\Ataml\z:}', "");;
    Expect(1, 73727, '\p{Scx=		taml}', "");
    Expect(0, 73727, '\p{^Scx=		taml}', "");
    Expect(0, 73727, '\P{Scx=		taml}', "");
    Expect(1, 73727, '\P{^Scx=		taml}', "");
    Expect(0, 73728, '\p{Scx=		taml}', "");
    Expect(1, 73728, '\p{^Scx=		taml}', "");
    Expect(1, 73728, '\P{Scx=		taml}', "");
    Expect(0, 73728, '\P{^Scx=		taml}', "");
    Error('\p{Is_Script_Extensions= :=tamil}');
    Error('\P{Is_Script_Extensions= :=tamil}');
    Expect(1, 73727, '\p{Is_Script_Extensions=tamil}', "");
    Expect(0, 73727, '\p{^Is_Script_Extensions=tamil}', "");
    Expect(0, 73727, '\P{Is_Script_Extensions=tamil}', "");
    Expect(1, 73727, '\P{^Is_Script_Extensions=tamil}', "");
    Expect(0, 73728, '\p{Is_Script_Extensions=tamil}', "");
    Expect(1, 73728, '\p{^Is_Script_Extensions=tamil}', "");
    Expect(1, 73728, '\P{Is_Script_Extensions=tamil}', "");
    Expect(0, 73728, '\P{^Is_Script_Extensions=tamil}', "");
    Expect(1, 73727, '\p{Is_Script_Extensions= _tamil}', "");
    Expect(0, 73727, '\p{^Is_Script_Extensions= _tamil}', "");
    Expect(0, 73727, '\P{Is_Script_Extensions= _tamil}', "");
    Expect(1, 73727, '\P{^Is_Script_Extensions= _tamil}', "");
    Expect(0, 73728, '\p{Is_Script_Extensions= _tamil}', "");
    Expect(1, 73728, '\p{^Is_Script_Extensions= _tamil}', "");
    Expect(1, 73728, '\P{Is_Script_Extensions= _tamil}', "");
    Expect(0, 73728, '\P{^Is_Script_Extensions= _tamil}', "");
    Error('\p{Is_Scx=_:=TAML}');
    Error('\P{Is_Scx=_:=TAML}');
    Expect(1, 73727, '\p{Is_Scx=taml}', "");
    Expect(0, 73727, '\p{^Is_Scx=taml}', "");
    Expect(0, 73727, '\P{Is_Scx=taml}', "");
    Expect(1, 73727, '\P{^Is_Scx=taml}', "");
    Expect(0, 73728, '\p{Is_Scx=taml}', "");
    Expect(1, 73728, '\p{^Is_Scx=taml}', "");
    Expect(1, 73728, '\P{Is_Scx=taml}', "");
    Expect(0, 73728, '\P{^Is_Scx=taml}', "");
    Expect(1, 73727, '\p{Is_Scx=_	taml}', "");
    Expect(0, 73727, '\p{^Is_Scx=_	taml}', "");
    Expect(0, 73727, '\P{Is_Scx=_	taml}', "");
    Expect(1, 73727, '\P{^Is_Scx=_	taml}', "");
    Expect(0, 73728, '\p{Is_Scx=_	taml}', "");
    Expect(1, 73728, '\p{^Is_Scx=_	taml}', "");
    Expect(1, 73728, '\P{Is_Scx=_	taml}', "");
    Expect(0, 73728, '\P{^Is_Scx=_	taml}', "");
    Error('\p{Script_Extensions= -tangut:=}');
    Error('\P{Script_Extensions= -tangut:=}');
    Expect(1, 101640, '\p{Script_Extensions=:\ATangut\z:}', "");;
    Expect(0, 101641, '\p{Script_Extensions=:\ATangut\z:}', "");;
    Expect(1, 101640, '\p{Script_Extensions=tangut}', "");
    Expect(0, 101640, '\p{^Script_Extensions=tangut}', "");
    Expect(0, 101640, '\P{Script_Extensions=tangut}', "");
    Expect(1, 101640, '\P{^Script_Extensions=tangut}', "");
    Expect(0, 101641, '\p{Script_Extensions=tangut}', "");
    Expect(1, 101641, '\p{^Script_Extensions=tangut}', "");
    Expect(1, 101641, '\P{Script_Extensions=tangut}', "");
    Expect(0, 101641, '\P{^Script_Extensions=tangut}', "");
    Expect(1, 101640, '\p{Script_Extensions=:\Atangut\z:}', "");;
    Expect(0, 101641, '\p{Script_Extensions=:\Atangut\z:}', "");;
    Expect(1, 101640, '\p{Script_Extensions=_tangut}', "");
    Expect(0, 101640, '\p{^Script_Extensions=_tangut}', "");
    Expect(0, 101640, '\P{Script_Extensions=_tangut}', "");
    Expect(1, 101640, '\P{^Script_Extensions=_tangut}', "");
    Expect(0, 101641, '\p{Script_Extensions=_tangut}', "");
    Expect(1, 101641, '\p{^Script_Extensions=_tangut}', "");
    Expect(1, 101641, '\P{Script_Extensions=_tangut}', "");
    Expect(0, 101641, '\P{^Script_Extensions=_tangut}', "");
    Error('\p{Scx= TANG:=}');
    Error('\P{Scx= TANG:=}');
    Expect(1, 101640, '\p{Scx=:\ATang\z:}', "");;
    Expect(0, 101641, '\p{Scx=:\ATang\z:}', "");;
    Expect(1, 101640, '\p{Scx=tang}', "");
    Expect(0, 101640, '\p{^Scx=tang}', "");
    Expect(0, 101640, '\P{Scx=tang}', "");
    Expect(1, 101640, '\P{^Scx=tang}', "");
    Expect(0, 101641, '\p{Scx=tang}', "");
    Expect(1, 101641, '\p{^Scx=tang}', "");
    Expect(1, 101641, '\P{Scx=tang}', "");
    Expect(0, 101641, '\P{^Scx=tang}', "");
    Expect(1, 101640, '\p{Scx=:\Atang\z:}', "");;
    Expect(0, 101641, '\p{Scx=:\Atang\z:}', "");;
    Expect(1, 101640, '\p{Scx= -tang}', "");
    Expect(0, 101640, '\p{^Scx= -tang}', "");
    Expect(0, 101640, '\P{Scx= -tang}', "");
    Expect(1, 101640, '\P{^Scx= -tang}', "");
    Expect(0, 101641, '\p{Scx= -tang}', "");
    Expect(1, 101641, '\p{^Scx= -tang}', "");
    Expect(1, 101641, '\P{Scx= -tang}', "");
    Expect(0, 101641, '\P{^Scx= -tang}', "");
    Error('\p{Is_Script_Extensions:     tangut:=}');
    Error('\P{Is_Script_Extensions:     tangut:=}');
    Expect(1, 101640, '\p{Is_Script_Extensions:tangut}', "");
    Expect(0, 101640, '\p{^Is_Script_Extensions:tangut}', "");
    Expect(0, 101640, '\P{Is_Script_Extensions:tangut}', "");
    Expect(1, 101640, '\P{^Is_Script_Extensions:tangut}', "");
    Expect(0, 101641, '\p{Is_Script_Extensions:tangut}', "");
    Expect(1, 101641, '\p{^Is_Script_Extensions:tangut}', "");
    Expect(1, 101641, '\P{Is_Script_Extensions:tangut}', "");
    Expect(0, 101641, '\P{^Is_Script_Extensions:tangut}', "");
    Expect(1, 101640, '\p{Is_Script_Extensions=_	Tangut}', "");
    Expect(0, 101640, '\p{^Is_Script_Extensions=_	Tangut}', "");
    Expect(0, 101640, '\P{Is_Script_Extensions=_	Tangut}', "");
    Expect(1, 101640, '\P{^Is_Script_Extensions=_	Tangut}', "");
    Expect(0, 101641, '\p{Is_Script_Extensions=_	Tangut}', "");
    Expect(1, 101641, '\p{^Is_Script_Extensions=_	Tangut}', "");
    Expect(1, 101641, '\P{Is_Script_Extensions=_	Tangut}', "");
    Expect(0, 101641, '\P{^Is_Script_Extensions=_	Tangut}', "");
    Error('\p{Is_Scx: 	TANG:=}');
    Error('\P{Is_Scx: 	TANG:=}');
    Expect(1, 101640, '\p{Is_Scx=tang}', "");
    Expect(0, 101640, '\p{^Is_Scx=tang}', "");
    Expect(0, 101640, '\P{Is_Scx=tang}', "");
    Expect(1, 101640, '\P{^Is_Scx=tang}', "");
    Expect(0, 101641, '\p{Is_Scx=tang}', "");
    Expect(1, 101641, '\p{^Is_Scx=tang}', "");
    Expect(1, 101641, '\P{Is_Scx=tang}', "");
    Expect(0, 101641, '\P{^Is_Scx=tang}', "");
    Expect(1, 101640, '\p{Is_Scx= -tang}', "");
    Expect(0, 101640, '\p{^Is_Scx= -tang}', "");
    Expect(0, 101640, '\P{Is_Scx= -tang}', "");
    Expect(1, 101640, '\P{^Is_Scx= -tang}', "");
    Expect(0, 101641, '\p{Is_Scx= -tang}', "");
    Expect(1, 101641, '\p{^Is_Scx= -tang}', "");
    Expect(1, 101641, '\P{Is_Scx= -tang}', "");
    Expect(0, 101641, '\P{^Is_Scx= -tang}', "");
    Error('\p{Script_Extensions= /a/tai_Viet}');
    Error('\P{Script_Extensions= /a/tai_Viet}');
    Expect(1, 43743, '\p{Script_Extensions=:\ATai_Viet\z:}', "");;
    Expect(0, 43744, '\p{Script_Extensions=:\ATai_Viet\z:}', "");;
    Expect(1, 43743, '\p{Script_Extensions=taiviet}', "");
    Expect(0, 43743, '\p{^Script_Extensions=taiviet}', "");
    Expect(0, 43743, '\P{Script_Extensions=taiviet}', "");
    Expect(1, 43743, '\P{^Script_Extensions=taiviet}', "");
    Expect(0, 43744, '\p{Script_Extensions=taiviet}', "");
    Expect(1, 43744, '\p{^Script_Extensions=taiviet}', "");
    Expect(1, 43744, '\P{Script_Extensions=taiviet}', "");
    Expect(0, 43744, '\P{^Script_Extensions=taiviet}', "");
    Expect(1, 43743, '\p{Script_Extensions=:\Ataiviet\z:}', "");;
    Expect(0, 43744, '\p{Script_Extensions=:\Ataiviet\z:}', "");;
    Expect(1, 43743, '\p{Script_Extensions=-_TAI_VIET}', "");
    Expect(0, 43743, '\p{^Script_Extensions=-_TAI_VIET}', "");
    Expect(0, 43743, '\P{Script_Extensions=-_TAI_VIET}', "");
    Expect(1, 43743, '\P{^Script_Extensions=-_TAI_VIET}', "");
    Expect(0, 43744, '\p{Script_Extensions=-_TAI_VIET}', "");
    Expect(1, 43744, '\p{^Script_Extensions=-_TAI_VIET}', "");
    Expect(1, 43744, '\P{Script_Extensions=-_TAI_VIET}', "");
    Expect(0, 43744, '\P{^Script_Extensions=-_TAI_VIET}', "");
    Error('\p{Scx=_tavt/a/}');
    Error('\P{Scx=_tavt/a/}');
    Expect(1, 43743, '\p{Scx=:\ATavt\z:}', "");;
    Expect(0, 43744, '\p{Scx=:\ATavt\z:}', "");;
    Expect(1, 43743, '\p{Scx=tavt}', "");
    Expect(0, 43743, '\p{^Scx=tavt}', "");
    Expect(0, 43743, '\P{Scx=tavt}', "");
    Expect(1, 43743, '\P{^Scx=tavt}', "");
    Expect(0, 43744, '\p{Scx=tavt}', "");
    Expect(1, 43744, '\p{^Scx=tavt}', "");
    Expect(1, 43744, '\P{Scx=tavt}', "");
    Expect(0, 43744, '\P{^Scx=tavt}', "");
    Expect(1, 43743, '\p{Scx=:\Atavt\z:}', "");;
    Expect(0, 43744, '\p{Scx=:\Atavt\z:}', "");;
    Expect(1, 43743, '\p{Scx=	 Tavt}', "");
    Expect(0, 43743, '\p{^Scx=	 Tavt}', "");
    Expect(0, 43743, '\P{Scx=	 Tavt}', "");
    Expect(1, 43743, '\P{^Scx=	 Tavt}', "");
    Expect(0, 43744, '\p{Scx=	 Tavt}', "");
    Expect(1, 43744, '\p{^Scx=	 Tavt}', "");
    Expect(1, 43744, '\P{Scx=	 Tavt}', "");
    Expect(0, 43744, '\P{^Scx=	 Tavt}', "");
    Error('\p{Is_Script_Extensions=/a/_-Tai_Viet}');
    Error('\P{Is_Script_Extensions=/a/_-Tai_Viet}');
    Expect(1, 43743, '\p{Is_Script_Extensions=taiviet}', "");
    Expect(0, 43743, '\p{^Is_Script_Extensions=taiviet}', "");
    Expect(0, 43743, '\P{Is_Script_Extensions=taiviet}', "");
    Expect(1, 43743, '\P{^Is_Script_Extensions=taiviet}', "");
    Expect(0, 43744, '\p{Is_Script_Extensions=taiviet}', "");
    Expect(1, 43744, '\p{^Is_Script_Extensions=taiviet}', "");
    Expect(1, 43744, '\P{Is_Script_Extensions=taiviet}', "");
    Expect(0, 43744, '\P{^Is_Script_Extensions=taiviet}', "");
    Expect(1, 43743, '\p{Is_Script_Extensions= _Tai_viet}', "");
    Expect(0, 43743, '\p{^Is_Script_Extensions= _Tai_viet}', "");
    Expect(0, 43743, '\P{Is_Script_Extensions= _Tai_viet}', "");
    Expect(1, 43743, '\P{^Is_Script_Extensions= _Tai_viet}', "");
    Expect(0, 43744, '\p{Is_Script_Extensions= _Tai_viet}', "");
    Expect(1, 43744, '\p{^Is_Script_Extensions= _Tai_viet}', "");
    Expect(1, 43744, '\P{Is_Script_Extensions= _Tai_viet}', "");
    Expect(0, 43744, '\P{^Is_Script_Extensions= _Tai_viet}', "");
    Error('\p{Is_Scx=:=	 TAVT}');
    Error('\P{Is_Scx=:=	 TAVT}');
    Expect(1, 43743, '\p{Is_Scx=tavt}', "");
    Expect(0, 43743, '\p{^Is_Scx=tavt}', "");
    Expect(0, 43743, '\P{Is_Scx=tavt}', "");
    Expect(1, 43743, '\P{^Is_Scx=tavt}', "");
    Expect(0, 43744, '\p{Is_Scx=tavt}', "");
    Expect(1, 43744, '\p{^Is_Scx=tavt}', "");
    Expect(1, 43744, '\P{Is_Scx=tavt}', "");
    Expect(0, 43744, '\P{^Is_Scx=tavt}', "");
    Expect(1, 43743, '\p{Is_Scx=_tavt}', "");
    Expect(0, 43743, '\p{^Is_Scx=_tavt}', "");
    Expect(0, 43743, '\P{Is_Scx=_tavt}', "");
    Expect(1, 43743, '\P{^Is_Scx=_tavt}', "");
    Expect(0, 43744, '\p{Is_Scx=_tavt}', "");
    Expect(1, 43744, '\p{^Is_Scx=_tavt}', "");
    Expect(1, 43744, '\P{Is_Scx=_tavt}', "");
    Expect(0, 43744, '\P{^Is_Scx=_tavt}', "");
    Error('\p{Script_Extensions=-_Telugu:=}');
    Error('\P{Script_Extensions=-_Telugu:=}');
    Expect(1, 7410, '\p{Script_Extensions=:\ATelugu\z:}', "");;
    Expect(0, 7411, '\p{Script_Extensions=:\ATelugu\z:}', "");;
    Expect(1, 7410, '\p{Script_Extensions=telugu}', "");
    Expect(0, 7410, '\p{^Script_Extensions=telugu}', "");
    Expect(0, 7410, '\P{Script_Extensions=telugu}', "");
    Expect(1, 7410, '\P{^Script_Extensions=telugu}', "");
    Expect(0, 7411, '\p{Script_Extensions=telugu}', "");
    Expect(1, 7411, '\p{^Script_Extensions=telugu}', "");
    Expect(1, 7411, '\P{Script_Extensions=telugu}', "");
    Expect(0, 7411, '\P{^Script_Extensions=telugu}', "");
    Expect(1, 7410, '\p{Script_Extensions=:\Atelugu\z:}', "");;
    Expect(0, 7411, '\p{Script_Extensions=:\Atelugu\z:}', "");;
    Expect(1, 7410, '\p{Script_Extensions=	TELUGU}', "");
    Expect(0, 7410, '\p{^Script_Extensions=	TELUGU}', "");
    Expect(0, 7410, '\P{Script_Extensions=	TELUGU}', "");
    Expect(1, 7410, '\P{^Script_Extensions=	TELUGU}', "");
    Expect(0, 7411, '\p{Script_Extensions=	TELUGU}', "");
    Expect(1, 7411, '\p{^Script_Extensions=	TELUGU}', "");
    Expect(1, 7411, '\P{Script_Extensions=	TELUGU}', "");
    Expect(0, 7411, '\P{^Script_Extensions=	TELUGU}', "");
    Error('\p{Scx: :=_telu}');
    Error('\P{Scx: :=_telu}');
    Expect(1, 7410, '\p{Scx=:\ATelu\z:}', "");;
    Expect(0, 7411, '\p{Scx=:\ATelu\z:}', "");;
    Expect(1, 7410, '\p{Scx=telu}', "");
    Expect(0, 7410, '\p{^Scx=telu}', "");
    Expect(0, 7410, '\P{Scx=telu}', "");
    Expect(1, 7410, '\P{^Scx=telu}', "");
    Expect(0, 7411, '\p{Scx=telu}', "");
    Expect(1, 7411, '\p{^Scx=telu}', "");
    Expect(1, 7411, '\P{Scx=telu}', "");
    Expect(0, 7411, '\P{^Scx=telu}', "");
    Expect(1, 7410, '\p{Scx=:\Atelu\z:}', "");;
    Expect(0, 7411, '\p{Scx=:\Atelu\z:}', "");;
    Expect(1, 7410, '\p{Scx=_TELU}', "");
    Expect(0, 7410, '\p{^Scx=_TELU}', "");
    Expect(0, 7410, '\P{Scx=_TELU}', "");
    Expect(1, 7410, '\P{^Scx=_TELU}', "");
    Expect(0, 7411, '\p{Scx=_TELU}', "");
    Expect(1, 7411, '\p{^Scx=_TELU}', "");
    Expect(1, 7411, '\P{Scx=_TELU}', "");
    Expect(0, 7411, '\P{^Scx=_TELU}', "");
    Error('\p{Is_Script_Extensions=/a/ Telugu}');
    Error('\P{Is_Script_Extensions=/a/ Telugu}');
    Expect(1, 7410, '\p{Is_Script_Extensions=telugu}', "");
    Expect(0, 7410, '\p{^Is_Script_Extensions=telugu}', "");
    Expect(0, 7410, '\P{Is_Script_Extensions=telugu}', "");
    Expect(1, 7410, '\P{^Is_Script_Extensions=telugu}', "");
    Expect(0, 7411, '\p{Is_Script_Extensions=telugu}', "");
    Expect(1, 7411, '\p{^Is_Script_Extensions=telugu}', "");
    Expect(1, 7411, '\P{Is_Script_Extensions=telugu}', "");
    Expect(0, 7411, '\P{^Is_Script_Extensions=telugu}', "");
    Expect(1, 7410, '\p{Is_Script_Extensions=Telugu}', "");
    Expect(0, 7410, '\p{^Is_Script_Extensions=Telugu}', "");
    Expect(0, 7410, '\P{Is_Script_Extensions=Telugu}', "");
    Expect(1, 7410, '\P{^Is_Script_Extensions=Telugu}', "");
    Expect(0, 7411, '\p{Is_Script_Extensions=Telugu}', "");
    Expect(1, 7411, '\p{^Is_Script_Extensions=Telugu}', "");
    Expect(1, 7411, '\P{Is_Script_Extensions=Telugu}', "");
    Expect(0, 7411, '\P{^Is_Script_Extensions=Telugu}', "");
    Error('\p{Is_Scx=	/a/telu}');
    Error('\P{Is_Scx=	/a/telu}');
    Expect(1, 7410, '\p{Is_Scx=telu}', "");
    Expect(0, 7410, '\p{^Is_Scx=telu}', "");
    Expect(0, 7410, '\P{Is_Scx=telu}', "");
    Expect(1, 7410, '\P{^Is_Scx=telu}', "");
    Expect(0, 7411, '\p{Is_Scx=telu}', "");
    Expect(1, 7411, '\p{^Is_Scx=telu}', "");
    Expect(1, 7411, '\P{Is_Scx=telu}', "");
    Expect(0, 7411, '\P{^Is_Scx=telu}', "");
    Expect(1, 7410, '\p{Is_Scx=--Telu}', "");
    Expect(0, 7410, '\p{^Is_Scx=--Telu}', "");
    Expect(0, 7410, '\P{Is_Scx=--Telu}', "");
    Expect(1, 7410, '\P{^Is_Scx=--Telu}', "");
    Expect(0, 7411, '\p{Is_Scx=--Telu}', "");
    Expect(1, 7411, '\p{^Is_Scx=--Telu}', "");
    Expect(1, 7411, '\P{Is_Scx=--Telu}', "");
    Expect(0, 7411, '\P{^Is_Scx=--Telu}', "");
    Error('\p{Script_Extensions:Tifinagh/a/}');
    Error('\P{Script_Extensions:Tifinagh/a/}');
    Expect(1, 11647, '\p{Script_Extensions=:\ATifinagh\z:}', "");;
    Expect(0, 11648, '\p{Script_Extensions=:\ATifinagh\z:}', "");;
    Expect(1, 11647, '\p{Script_Extensions=tifinagh}', "");
    Expect(0, 11647, '\p{^Script_Extensions=tifinagh}', "");
    Expect(0, 11647, '\P{Script_Extensions=tifinagh}', "");
    Expect(1, 11647, '\P{^Script_Extensions=tifinagh}', "");
    Expect(0, 11648, '\p{Script_Extensions=tifinagh}', "");
    Expect(1, 11648, '\p{^Script_Extensions=tifinagh}', "");
    Expect(1, 11648, '\P{Script_Extensions=tifinagh}', "");
    Expect(0, 11648, '\P{^Script_Extensions=tifinagh}', "");
    Expect(1, 11647, '\p{Script_Extensions=:\Atifinagh\z:}', "");;
    Expect(0, 11648, '\p{Script_Extensions=:\Atifinagh\z:}', "");;
    Expect(1, 11647, '\p{Script_Extensions=	Tifinagh}', "");
    Expect(0, 11647, '\p{^Script_Extensions=	Tifinagh}', "");
    Expect(0, 11647, '\P{Script_Extensions=	Tifinagh}', "");
    Expect(1, 11647, '\P{^Script_Extensions=	Tifinagh}', "");
    Expect(0, 11648, '\p{Script_Extensions=	Tifinagh}', "");
    Expect(1, 11648, '\p{^Script_Extensions=	Tifinagh}', "");
    Expect(1, 11648, '\P{Script_Extensions=	Tifinagh}', "");
    Expect(0, 11648, '\P{^Script_Extensions=	Tifinagh}', "");
    Error('\p{Scx=_	Tfng:=}');
    Error('\P{Scx=_	Tfng:=}');
    Expect(1, 11647, '\p{Scx=:\ATfng\z:}', "");;
    Expect(0, 11648, '\p{Scx=:\ATfng\z:}', "");;
    Expect(1, 11647, '\p{Scx=tfng}', "");
    Expect(0, 11647, '\p{^Scx=tfng}', "");
    Expect(0, 11647, '\P{Scx=tfng}', "");
    Expect(1, 11647, '\P{^Scx=tfng}', "");
    Expect(0, 11648, '\p{Scx=tfng}', "");
    Expect(1, 11648, '\p{^Scx=tfng}', "");
    Expect(1, 11648, '\P{Scx=tfng}', "");
    Expect(0, 11648, '\P{^Scx=tfng}', "");
    Expect(1, 11647, '\p{Scx=:\Atfng\z:}', "");;
    Expect(0, 11648, '\p{Scx=:\Atfng\z:}', "");;
    Expect(1, 11647, '\p{Scx= -Tfng}', "");
    Expect(0, 11647, '\p{^Scx= -Tfng}', "");
    Expect(0, 11647, '\P{Scx= -Tfng}', "");
    Expect(1, 11647, '\P{^Scx= -Tfng}', "");
    Expect(0, 11648, '\p{Scx= -Tfng}', "");
    Expect(1, 11648, '\p{^Scx= -Tfng}', "");
    Expect(1, 11648, '\P{Scx= -Tfng}', "");
    Expect(0, 11648, '\P{^Scx= -Tfng}', "");
    Error('\p{Is_Script_Extensions=/a/	-Tifinagh}');
    Error('\P{Is_Script_Extensions=/a/	-Tifinagh}');
    Expect(1, 11647, '\p{Is_Script_Extensions: tifinagh}', "");
    Expect(0, 11647, '\p{^Is_Script_Extensions: tifinagh}', "");
    Expect(0, 11647, '\P{Is_Script_Extensions: tifinagh}', "");
    Expect(1, 11647, '\P{^Is_Script_Extensions: tifinagh}', "");
    Expect(0, 11648, '\p{Is_Script_Extensions: tifinagh}', "");
    Expect(1, 11648, '\p{^Is_Script_Extensions: tifinagh}', "");
    Expect(1, 11648, '\P{Is_Script_Extensions: tifinagh}', "");
    Expect(0, 11648, '\P{^Is_Script_Extensions: tifinagh}', "");
    Expect(1, 11647, '\p{Is_Script_Extensions=	_tifinagh}', "");
    Expect(0, 11647, '\p{^Is_Script_Extensions=	_tifinagh}', "");
    Expect(0, 11647, '\P{Is_Script_Extensions=	_tifinagh}', "");
    Expect(1, 11647, '\P{^Is_Script_Extensions=	_tifinagh}', "");
    Expect(0, 11648, '\p{Is_Script_Extensions=	_tifinagh}', "");
    Expect(1, 11648, '\p{^Is_Script_Extensions=	_tifinagh}', "");
    Expect(1, 11648, '\P{Is_Script_Extensions=	_tifinagh}', "");
    Expect(0, 11648, '\P{^Is_Script_Extensions=	_tifinagh}', "");
    Error('\p{Is_Scx=	Tfng/a/}');
    Error('\P{Is_Scx=	Tfng/a/}');
    Expect(1, 11647, '\p{Is_Scx=tfng}', "");
    Expect(0, 11647, '\p{^Is_Scx=tfng}', "");
    Expect(0, 11647, '\P{Is_Scx=tfng}', "");
    Expect(1, 11647, '\P{^Is_Scx=tfng}', "");
    Expect(0, 11648, '\p{Is_Scx=tfng}', "");
    Expect(1, 11648, '\p{^Is_Scx=tfng}', "");
    Expect(1, 11648, '\P{Is_Scx=tfng}', "");
    Expect(0, 11648, '\P{^Is_Scx=tfng}', "");
    Expect(1, 11647, '\p{Is_Scx=-	Tfng}', "");
    Expect(0, 11647, '\p{^Is_Scx=-	Tfng}', "");
    Expect(0, 11647, '\P{Is_Scx=-	Tfng}', "");
    Expect(1, 11647, '\P{^Is_Scx=-	Tfng}', "");
    Expect(0, 11648, '\p{Is_Scx=-	Tfng}', "");
    Expect(1, 11648, '\p{^Is_Scx=-	Tfng}', "");
    Expect(1, 11648, '\P{Is_Scx=-	Tfng}', "");
    Expect(0, 11648, '\P{^Is_Scx=-	Tfng}', "");
    Error('\p{Script_Extensions:	/a/-	Tagalog}');
    Error('\P{Script_Extensions:	/a/-	Tagalog}');
    Expect(1, 5942, '\p{Script_Extensions=:\ATagalog\z:}', "");;
    Expect(0, 5943, '\p{Script_Extensions=:\ATagalog\z:}', "");;
    Expect(1, 5942, '\p{Script_Extensions=tagalog}', "");
    Expect(0, 5942, '\p{^Script_Extensions=tagalog}', "");
    Expect(0, 5942, '\P{Script_Extensions=tagalog}', "");
    Expect(1, 5942, '\P{^Script_Extensions=tagalog}', "");
    Expect(0, 5943, '\p{Script_Extensions=tagalog}', "");
    Expect(1, 5943, '\p{^Script_Extensions=tagalog}', "");
    Expect(1, 5943, '\P{Script_Extensions=tagalog}', "");
    Expect(0, 5943, '\P{^Script_Extensions=tagalog}', "");
    Expect(1, 5942, '\p{Script_Extensions=:\Atagalog\z:}', "");;
    Expect(0, 5943, '\p{Script_Extensions=:\Atagalog\z:}', "");;
    Expect(1, 5942, '\p{Script_Extensions=- Tagalog}', "");
    Expect(0, 5942, '\p{^Script_Extensions=- Tagalog}', "");
    Expect(0, 5942, '\P{Script_Extensions=- Tagalog}', "");
    Expect(1, 5942, '\P{^Script_Extensions=- Tagalog}', "");
    Expect(0, 5943, '\p{Script_Extensions=- Tagalog}', "");
    Expect(1, 5943, '\p{^Script_Extensions=- Tagalog}', "");
    Expect(1, 5943, '\P{Script_Extensions=- Tagalog}', "");
    Expect(0, 5943, '\P{^Script_Extensions=- Tagalog}', "");
    Error('\p{Scx=:=-Tglg}');
    Error('\P{Scx=:=-Tglg}');
    Expect(1, 5942, '\p{Scx=:\ATglg\z:}', "");;
    Expect(0, 5943, '\p{Scx=:\ATglg\z:}', "");;
    Expect(1, 5942, '\p{Scx=tglg}', "");
    Expect(0, 5942, '\p{^Scx=tglg}', "");
    Expect(0, 5942, '\P{Scx=tglg}', "");
    Expect(1, 5942, '\P{^Scx=tglg}', "");
    Expect(0, 5943, '\p{Scx=tglg}', "");
    Expect(1, 5943, '\p{^Scx=tglg}', "");
    Expect(1, 5943, '\P{Scx=tglg}', "");
    Expect(0, 5943, '\P{^Scx=tglg}', "");
    Expect(1, 5942, '\p{Scx=:\Atglg\z:}', "");;
    Expect(0, 5943, '\p{Scx=:\Atglg\z:}', "");;
    Expect(1, 5942, '\p{Scx:  -Tglg}', "");
    Expect(0, 5942, '\p{^Scx:  -Tglg}', "");
    Expect(0, 5942, '\P{Scx:  -Tglg}', "");
    Expect(1, 5942, '\P{^Scx:  -Tglg}', "");
    Expect(0, 5943, '\p{Scx:  -Tglg}', "");
    Expect(1, 5943, '\p{^Scx:  -Tglg}', "");
    Expect(1, 5943, '\P{Scx:  -Tglg}', "");
    Expect(0, 5943, '\P{^Scx:  -Tglg}', "");
    Error('\p{Is_Script_Extensions:   /a/  TAGALOG}');
    Error('\P{Is_Script_Extensions:   /a/  TAGALOG}');
    Expect(1, 5942, '\p{Is_Script_Extensions:	tagalog}', "");
    Expect(0, 5942, '\p{^Is_Script_Extensions:	tagalog}', "");
    Expect(0, 5942, '\P{Is_Script_Extensions:	tagalog}', "");
    Expect(1, 5942, '\P{^Is_Script_Extensions:	tagalog}', "");
    Expect(0, 5943, '\p{Is_Script_Extensions:	tagalog}', "");
    Expect(1, 5943, '\p{^Is_Script_Extensions:	tagalog}', "");
    Expect(1, 5943, '\P{Is_Script_Extensions:	tagalog}', "");
    Expect(0, 5943, '\P{^Is_Script_Extensions:	tagalog}', "");
    Expect(1, 5942, '\p{Is_Script_Extensions=_TAGALOG}', "");
    Expect(0, 5942, '\p{^Is_Script_Extensions=_TAGALOG}', "");
    Expect(0, 5942, '\P{Is_Script_Extensions=_TAGALOG}', "");
    Expect(1, 5942, '\P{^Is_Script_Extensions=_TAGALOG}', "");
    Expect(0, 5943, '\p{Is_Script_Extensions=_TAGALOG}', "");
    Expect(1, 5943, '\p{^Is_Script_Extensions=_TAGALOG}', "");
    Expect(1, 5943, '\P{Is_Script_Extensions=_TAGALOG}', "");
    Expect(0, 5943, '\P{^Is_Script_Extensions=_TAGALOG}', "");
    Error('\p{Is_Scx=	-Tglg/a/}');
    Error('\P{Is_Scx=	-Tglg/a/}');
    Expect(1, 5942, '\p{Is_Scx=tglg}', "");
    Expect(0, 5942, '\p{^Is_Scx=tglg}', "");
    Expect(0, 5942, '\P{Is_Scx=tglg}', "");
    Expect(1, 5942, '\P{^Is_Scx=tglg}', "");
    Expect(0, 5943, '\p{Is_Scx=tglg}', "");
    Expect(1, 5943, '\p{^Is_Scx=tglg}', "");
    Expect(1, 5943, '\P{Is_Scx=tglg}', "");
    Expect(0, 5943, '\P{^Is_Scx=tglg}', "");
    Expect(1, 5942, '\p{Is_Scx=--Tglg}', "");
    Expect(0, 5942, '\p{^Is_Scx=--Tglg}', "");
    Expect(0, 5942, '\P{Is_Scx=--Tglg}', "");
    Expect(1, 5942, '\P{^Is_Scx=--Tglg}', "");
    Expect(0, 5943, '\p{Is_Scx=--Tglg}', "");
    Expect(1, 5943, '\p{^Is_Scx=--Tglg}', "");
    Expect(1, 5943, '\P{Is_Scx=--Tglg}', "");
    Expect(0, 5943, '\P{^Is_Scx=--Tglg}', "");
    Error('\p{Script_Extensions=/a/-_THAANA}');
    Error('\P{Script_Extensions=/a/-_THAANA}');
    Expect(1, 65021, '\p{Script_Extensions=:\AThaana\z:}', "");;
    Expect(0, 65022, '\p{Script_Extensions=:\AThaana\z:}', "");;
    Expect(1, 65021, '\p{Script_Extensions:	thaana}', "");
    Expect(0, 65021, '\p{^Script_Extensions:	thaana}', "");
    Expect(0, 65021, '\P{Script_Extensions:	thaana}', "");
    Expect(1, 65021, '\P{^Script_Extensions:	thaana}', "");
    Expect(0, 65022, '\p{Script_Extensions:	thaana}', "");
    Expect(1, 65022, '\p{^Script_Extensions:	thaana}', "");
    Expect(1, 65022, '\P{Script_Extensions:	thaana}', "");
    Expect(0, 65022, '\P{^Script_Extensions:	thaana}', "");
    Expect(1, 65021, '\p{Script_Extensions=:\Athaana\z:}', "");;
    Expect(0, 65022, '\p{Script_Extensions=:\Athaana\z:}', "");;
    Expect(1, 65021, '\p{Script_Extensions=__Thaana}', "");
    Expect(0, 65021, '\p{^Script_Extensions=__Thaana}', "");
    Expect(0, 65021, '\P{Script_Extensions=__Thaana}', "");
    Expect(1, 65021, '\P{^Script_Extensions=__Thaana}', "");
    Expect(0, 65022, '\p{Script_Extensions=__Thaana}', "");
    Expect(1, 65022, '\p{^Script_Extensions=__Thaana}', "");
    Expect(1, 65022, '\P{Script_Extensions=__Thaana}', "");
    Expect(0, 65022, '\P{^Script_Extensions=__Thaana}', "");
    Error('\p{Scx=/a/	-thaa}');
    Error('\P{Scx=/a/	-thaa}');
    Expect(1, 65021, '\p{Scx=:\AThaa\z:}', "");;
    Expect(0, 65022, '\p{Scx=:\AThaa\z:}', "");;
    Expect(1, 65021, '\p{Scx=thaa}', "");
    Expect(0, 65021, '\p{^Scx=thaa}', "");
    Expect(0, 65021, '\P{Scx=thaa}', "");
    Expect(1, 65021, '\P{^Scx=thaa}', "");
    Expect(0, 65022, '\p{Scx=thaa}', "");
    Expect(1, 65022, '\p{^Scx=thaa}', "");
    Expect(1, 65022, '\P{Scx=thaa}', "");
    Expect(0, 65022, '\P{^Scx=thaa}', "");
    Expect(1, 65021, '\p{Scx=:\Athaa\z:}', "");;
    Expect(0, 65022, '\p{Scx=:\Athaa\z:}', "");;
    Expect(1, 65021, '\p{Scx= thaa}', "");
    Expect(0, 65021, '\p{^Scx= thaa}', "");
    Expect(0, 65021, '\P{Scx= thaa}', "");
    Expect(1, 65021, '\P{^Scx= thaa}', "");
    Expect(0, 65022, '\p{Scx= thaa}', "");
    Expect(1, 65022, '\p{^Scx= thaa}', "");
    Expect(1, 65022, '\P{Scx= thaa}', "");
    Expect(0, 65022, '\P{^Scx= thaa}', "");
    Error('\p{Is_Script_Extensions=-:=THAANA}');
    Error('\P{Is_Script_Extensions=-:=THAANA}');
    Expect(1, 65021, '\p{Is_Script_Extensions=thaana}', "");
    Expect(0, 65021, '\p{^Is_Script_Extensions=thaana}', "");
    Expect(0, 65021, '\P{Is_Script_Extensions=thaana}', "");
    Expect(1, 65021, '\P{^Is_Script_Extensions=thaana}', "");
    Expect(0, 65022, '\p{Is_Script_Extensions=thaana}', "");
    Expect(1, 65022, '\p{^Is_Script_Extensions=thaana}', "");
    Expect(1, 65022, '\P{Is_Script_Extensions=thaana}', "");
    Expect(0, 65022, '\P{^Is_Script_Extensions=thaana}', "");
    Expect(1, 65021, '\p{Is_Script_Extensions= -Thaana}', "");
    Expect(0, 65021, '\p{^Is_Script_Extensions= -Thaana}', "");
    Expect(0, 65021, '\P{Is_Script_Extensions= -Thaana}', "");
    Expect(1, 65021, '\P{^Is_Script_Extensions= -Thaana}', "");
    Expect(0, 65022, '\p{Is_Script_Extensions= -Thaana}', "");
    Expect(1, 65022, '\p{^Is_Script_Extensions= -Thaana}', "");
    Expect(1, 65022, '\P{Is_Script_Extensions= -Thaana}', "");
    Expect(0, 65022, '\P{^Is_Script_Extensions= -Thaana}', "");
    Error('\p{Is_Scx=_:=thaa}');
    Error('\P{Is_Scx=_:=thaa}');
    Expect(1, 65021, '\p{Is_Scx=thaa}', "");
    Expect(0, 65021, '\p{^Is_Scx=thaa}', "");
    Expect(0, 65021, '\P{Is_Scx=thaa}', "");
    Expect(1, 65021, '\P{^Is_Scx=thaa}', "");
    Expect(0, 65022, '\p{Is_Scx=thaa}', "");
    Expect(1, 65022, '\p{^Is_Scx=thaa}', "");
    Expect(1, 65022, '\P{Is_Scx=thaa}', "");
    Expect(0, 65022, '\P{^Is_Scx=thaa}', "");
    Expect(1, 65021, '\p{Is_Scx=__Thaa}', "");
    Expect(0, 65021, '\p{^Is_Scx=__Thaa}', "");
    Expect(0, 65021, '\P{Is_Scx=__Thaa}', "");
    Expect(1, 65021, '\P{^Is_Scx=__Thaa}', "");
    Expect(0, 65022, '\p{Is_Scx=__Thaa}', "");
    Expect(1, 65022, '\p{^Is_Scx=__Thaa}', "");
    Expect(1, 65022, '\P{Is_Scx=__Thaa}', "");
    Expect(0, 65022, '\P{^Is_Scx=__Thaa}', "");
    Error('\p{Script_Extensions=	/a/thai}');
    Error('\P{Script_Extensions=	/a/thai}');
    Expect(1, 3675, '\p{Script_Extensions=:\AThai\z:}', "");;
    Expect(0, 3676, '\p{Script_Extensions=:\AThai\z:}', "");;
    Expect(1, 3675, '\p{Script_Extensions=thai}', "");
    Expect(0, 3675, '\p{^Script_Extensions=thai}', "");
    Expect(0, 3675, '\P{Script_Extensions=thai}', "");
    Expect(1, 3675, '\P{^Script_Extensions=thai}', "");
    Expect(0, 3676, '\p{Script_Extensions=thai}', "");
    Expect(1, 3676, '\p{^Script_Extensions=thai}', "");
    Expect(1, 3676, '\P{Script_Extensions=thai}', "");
    Expect(0, 3676, '\P{^Script_Extensions=thai}', "");
    Expect(1, 3675, '\p{Script_Extensions=:\Athai\z:}', "");;
    Expect(0, 3676, '\p{Script_Extensions=:\Athai\z:}', "");;
    Expect(1, 3675, '\p{Script_Extensions:	_THAI}', "");
    Expect(0, 3675, '\p{^Script_Extensions:	_THAI}', "");
    Expect(0, 3675, '\P{Script_Extensions:	_THAI}', "");
    Expect(1, 3675, '\P{^Script_Extensions:	_THAI}', "");
    Expect(0, 3676, '\p{Script_Extensions:	_THAI}', "");
    Expect(1, 3676, '\p{^Script_Extensions:	_THAI}', "");
    Expect(1, 3676, '\P{Script_Extensions:	_THAI}', "");
    Expect(0, 3676, '\P{^Script_Extensions:	_THAI}', "");
    Error('\p{Scx=/a/ -Thai}');
    Error('\P{Scx=/a/ -Thai}');
    Expect(1, 3675, '\p{Scx=:\AThai\z:}', "");;
    Expect(0, 3676, '\p{Scx=:\AThai\z:}', "");;
    Expect(1, 3675, '\p{Scx=thai}', "");
    Expect(0, 3675, '\p{^Scx=thai}', "");
    Expect(0, 3675, '\P{Scx=thai}', "");
    Expect(1, 3675, '\P{^Scx=thai}', "");
    Expect(0, 3676, '\p{Scx=thai}', "");
    Expect(1, 3676, '\p{^Scx=thai}', "");
    Expect(1, 3676, '\P{Scx=thai}', "");
    Expect(0, 3676, '\P{^Scx=thai}', "");
    Expect(1, 3675, '\p{Scx=:\Athai\z:}', "");;
    Expect(0, 3676, '\p{Scx=:\Athai\z:}', "");;
    Expect(1, 3675, '\p{Scx=	-Thai}', "");
    Expect(0, 3675, '\p{^Scx=	-Thai}', "");
    Expect(0, 3675, '\P{Scx=	-Thai}', "");
    Expect(1, 3675, '\P{^Scx=	-Thai}', "");
    Expect(0, 3676, '\p{Scx=	-Thai}', "");
    Expect(1, 3676, '\p{^Scx=	-Thai}', "");
    Expect(1, 3676, '\P{Scx=	-Thai}', "");
    Expect(0, 3676, '\P{^Scx=	-Thai}', "");
    Error('\p{Is_Script_Extensions= :=Thai}');
    Error('\P{Is_Script_Extensions= :=Thai}');
    Expect(1, 3675, '\p{Is_Script_Extensions=thai}', "");
    Expect(0, 3675, '\p{^Is_Script_Extensions=thai}', "");
    Expect(0, 3675, '\P{Is_Script_Extensions=thai}', "");
    Expect(1, 3675, '\P{^Is_Script_Extensions=thai}', "");
    Expect(0, 3676, '\p{Is_Script_Extensions=thai}', "");
    Expect(1, 3676, '\p{^Is_Script_Extensions=thai}', "");
    Expect(1, 3676, '\P{Is_Script_Extensions=thai}', "");
    Expect(0, 3676, '\P{^Is_Script_Extensions=thai}', "");
    Expect(1, 3675, '\p{Is_Script_Extensions= Thai}', "");
    Expect(0, 3675, '\p{^Is_Script_Extensions= Thai}', "");
    Expect(0, 3675, '\P{Is_Script_Extensions= Thai}', "");
    Expect(1, 3675, '\P{^Is_Script_Extensions= Thai}', "");
    Expect(0, 3676, '\p{Is_Script_Extensions= Thai}', "");
    Expect(1, 3676, '\p{^Is_Script_Extensions= Thai}', "");
    Expect(1, 3676, '\P{Is_Script_Extensions= Thai}', "");
    Expect(0, 3676, '\P{^Is_Script_Extensions= Thai}', "");
    Error('\p{Is_Scx=:= 	thai}');
    Error('\P{Is_Scx=:= 	thai}');
    Expect(1, 3675, '\p{Is_Scx=thai}', "");
    Expect(0, 3675, '\p{^Is_Scx=thai}', "");
    Expect(0, 3675, '\P{Is_Scx=thai}', "");
    Expect(1, 3675, '\P{^Is_Scx=thai}', "");
    Expect(0, 3676, '\p{Is_Scx=thai}', "");
    Expect(1, 3676, '\p{^Is_Scx=thai}', "");
    Expect(1, 3676, '\P{Is_Scx=thai}', "");
    Expect(0, 3676, '\P{^Is_Scx=thai}', "");
    Expect(1, 3675, '\p{Is_Scx=		Thai}', "");
    Expect(0, 3675, '\p{^Is_Scx=		Thai}', "");
    Expect(0, 3675, '\P{Is_Scx=		Thai}', "");
    Expect(1, 3675, '\P{^Is_Scx=		Thai}', "");
    Expect(0, 3676, '\p{Is_Scx=		Thai}', "");
    Expect(1, 3676, '\p{^Is_Scx=		Thai}', "");
    Expect(1, 3676, '\P{Is_Scx=		Thai}', "");
    Expect(0, 3676, '\P{^Is_Scx=		Thai}', "");
    Error('\p{Script_Extensions=_:=Tibetan}');
    Error('\P{Script_Extensions=_:=Tibetan}');
    Expect(1, 4058, '\p{Script_Extensions=:\ATibetan\z:}', "");;
    Expect(0, 4059, '\p{Script_Extensions=:\ATibetan\z:}', "");;
    Expect(1, 4058, '\p{Script_Extensions=tibetan}', "");
    Expect(0, 4058, '\p{^Script_Extensions=tibetan}', "");
    Expect(0, 4058, '\P{Script_Extensions=tibetan}', "");
    Expect(1, 4058, '\P{^Script_Extensions=tibetan}', "");
    Expect(0, 4059, '\p{Script_Extensions=tibetan}', "");
    Expect(1, 4059, '\p{^Script_Extensions=tibetan}', "");
    Expect(1, 4059, '\P{Script_Extensions=tibetan}', "");
    Expect(0, 4059, '\P{^Script_Extensions=tibetan}', "");
    Expect(1, 4058, '\p{Script_Extensions=:\Atibetan\z:}', "");;
    Expect(0, 4059, '\p{Script_Extensions=:\Atibetan\z:}', "");;
    Expect(1, 4058, '\p{Script_Extensions=	TIBETAN}', "");
    Expect(0, 4058, '\p{^Script_Extensions=	TIBETAN}', "");
    Expect(0, 4058, '\P{Script_Extensions=	TIBETAN}', "");
    Expect(1, 4058, '\P{^Script_Extensions=	TIBETAN}', "");
    Expect(0, 4059, '\p{Script_Extensions=	TIBETAN}', "");
    Expect(1, 4059, '\p{^Script_Extensions=	TIBETAN}', "");
    Expect(1, 4059, '\P{Script_Extensions=	TIBETAN}', "");
    Expect(0, 4059, '\P{^Script_Extensions=	TIBETAN}', "");
    Error('\p{Scx=:=-Tibt}');
    Error('\P{Scx=:=-Tibt}');
    Expect(1, 4058, '\p{Scx=:\ATibt\z:}', "");;
    Expect(0, 4059, '\p{Scx=:\ATibt\z:}', "");;
    Expect(1, 4058, '\p{Scx=tibt}', "");
    Expect(0, 4058, '\p{^Scx=tibt}', "");
    Expect(0, 4058, '\P{Scx=tibt}', "");
    Expect(1, 4058, '\P{^Scx=tibt}', "");
    Expect(0, 4059, '\p{Scx=tibt}', "");
    Expect(1, 4059, '\p{^Scx=tibt}', "");
    Expect(1, 4059, '\P{Scx=tibt}', "");
    Expect(0, 4059, '\P{^Scx=tibt}', "");
    Expect(1, 4058, '\p{Scx=:\Atibt\z:}', "");;
    Expect(0, 4059, '\p{Scx=:\Atibt\z:}', "");;
    Expect(1, 4058, '\p{Scx=	Tibt}', "");
    Expect(0, 4058, '\p{^Scx=	Tibt}', "");
    Expect(0, 4058, '\P{Scx=	Tibt}', "");
    Expect(1, 4058, '\P{^Scx=	Tibt}', "");
    Expect(0, 4059, '\p{Scx=	Tibt}', "");
    Expect(1, 4059, '\p{^Scx=	Tibt}', "");
    Expect(1, 4059, '\P{Scx=	Tibt}', "");
    Expect(0, 4059, '\P{^Scx=	Tibt}', "");
    Error('\p{Is_Script_Extensions:   	 Tibetan:=}');
    Error('\P{Is_Script_Extensions:   	 Tibetan:=}');
    Expect(1, 4058, '\p{Is_Script_Extensions=tibetan}', "");
    Expect(0, 4058, '\p{^Is_Script_Extensions=tibetan}', "");
    Expect(0, 4058, '\P{Is_Script_Extensions=tibetan}', "");
    Expect(1, 4058, '\P{^Is_Script_Extensions=tibetan}', "");
    Expect(0, 4059, '\p{Is_Script_Extensions=tibetan}', "");
    Expect(1, 4059, '\p{^Is_Script_Extensions=tibetan}', "");
    Expect(1, 4059, '\P{Is_Script_Extensions=tibetan}', "");
    Expect(0, 4059, '\P{^Is_Script_Extensions=tibetan}', "");
    Expect(1, 4058, '\p{Is_Script_Extensions=	tibetan}', "");
    Expect(0, 4058, '\p{^Is_Script_Extensions=	tibetan}', "");
    Expect(0, 4058, '\P{Is_Script_Extensions=	tibetan}', "");
    Expect(1, 4058, '\P{^Is_Script_Extensions=	tibetan}', "");
    Expect(0, 4059, '\p{Is_Script_Extensions=	tibetan}', "");
    Expect(1, 4059, '\p{^Is_Script_Extensions=	tibetan}', "");
    Expect(1, 4059, '\P{Is_Script_Extensions=	tibetan}', "");
    Expect(0, 4059, '\P{^Is_Script_Extensions=	tibetan}', "");
    Error('\p{Is_Scx=:=TIBT}');
    Error('\P{Is_Scx=:=TIBT}');
    Expect(1, 4058, '\p{Is_Scx:	tibt}', "");
    Expect(0, 4058, '\p{^Is_Scx:	tibt}', "");
    Expect(0, 4058, '\P{Is_Scx:	tibt}', "");
    Expect(1, 4058, '\P{^Is_Scx:	tibt}', "");
    Expect(0, 4059, '\p{Is_Scx:	tibt}', "");
    Expect(1, 4059, '\p{^Is_Scx:	tibt}', "");
    Expect(1, 4059, '\P{Is_Scx:	tibt}', "");
    Expect(0, 4059, '\P{^Is_Scx:	tibt}', "");
    Expect(1, 4058, '\p{Is_Scx=	_Tibt}', "");
    Expect(0, 4058, '\p{^Is_Scx=	_Tibt}', "");
    Expect(0, 4058, '\P{Is_Scx=	_Tibt}', "");
    Expect(1, 4058, '\P{^Is_Scx=	_Tibt}', "");
    Expect(0, 4059, '\p{Is_Scx=	_Tibt}', "");
    Expect(1, 4059, '\p{^Is_Scx=	_Tibt}', "");
    Expect(1, 4059, '\P{Is_Scx=	_Tibt}', "");
    Expect(0, 4059, '\P{^Is_Scx=	_Tibt}', "");
    Error('\p{Script_Extensions=	:=Tirhuta}');
    Error('\P{Script_Extensions=	:=Tirhuta}');
    Expect(1, 70873, '\p{Script_Extensions=:\ATirhuta\z:}', "");;
    Expect(0, 70874, '\p{Script_Extensions=:\ATirhuta\z:}', "");;
    Expect(1, 70873, '\p{Script_Extensions=tirhuta}', "");
    Expect(0, 70873, '\p{^Script_Extensions=tirhuta}', "");
    Expect(0, 70873, '\P{Script_Extensions=tirhuta}', "");
    Expect(1, 70873, '\P{^Script_Extensions=tirhuta}', "");
    Expect(0, 70874, '\p{Script_Extensions=tirhuta}', "");
    Expect(1, 70874, '\p{^Script_Extensions=tirhuta}', "");
    Expect(1, 70874, '\P{Script_Extensions=tirhuta}', "");
    Expect(0, 70874, '\P{^Script_Extensions=tirhuta}', "");
    Expect(1, 70873, '\p{Script_Extensions=:\Atirhuta\z:}', "");;
    Expect(0, 70874, '\p{Script_Extensions=:\Atirhuta\z:}', "");;
    Expect(1, 70873, '\p{Script_Extensions=-Tirhuta}', "");
    Expect(0, 70873, '\p{^Script_Extensions=-Tirhuta}', "");
    Expect(0, 70873, '\P{Script_Extensions=-Tirhuta}', "");
    Expect(1, 70873, '\P{^Script_Extensions=-Tirhuta}', "");
    Expect(0, 70874, '\p{Script_Extensions=-Tirhuta}', "");
    Expect(1, 70874, '\p{^Script_Extensions=-Tirhuta}', "");
    Expect(1, 70874, '\P{Script_Extensions=-Tirhuta}', "");
    Expect(0, 70874, '\P{^Script_Extensions=-Tirhuta}', "");
    Error('\p{Scx=:=	_Tirh}');
    Error('\P{Scx=:=	_Tirh}');
    Expect(1, 70873, '\p{Scx=:\ATirh\z:}', "");;
    Expect(0, 70874, '\p{Scx=:\ATirh\z:}', "");;
    Expect(1, 70873, '\p{Scx=tirh}', "");
    Expect(0, 70873, '\p{^Scx=tirh}', "");
    Expect(0, 70873, '\P{Scx=tirh}', "");
    Expect(1, 70873, '\P{^Scx=tirh}', "");
    Expect(0, 70874, '\p{Scx=tirh}', "");
    Expect(1, 70874, '\p{^Scx=tirh}', "");
    Expect(1, 70874, '\P{Scx=tirh}', "");
    Expect(0, 70874, '\P{^Scx=tirh}', "");
    Expect(1, 70873, '\p{Scx=:\Atirh\z:}', "");;
    Expect(0, 70874, '\p{Scx=:\Atirh\z:}', "");;
    Expect(1, 70873, '\p{Scx= Tirh}', "");
    Expect(0, 70873, '\p{^Scx= Tirh}', "");
    Expect(0, 70873, '\P{Scx= Tirh}', "");
    Expect(1, 70873, '\P{^Scx= Tirh}', "");
    Expect(0, 70874, '\p{Scx= Tirh}', "");
    Expect(1, 70874, '\p{^Scx= Tirh}', "");
    Expect(1, 70874, '\P{Scx= Tirh}', "");
    Expect(0, 70874, '\P{^Scx= Tirh}', "");
    Error('\p{Is_Script_Extensions:   /a/_-tirhuta}');
    Error('\P{Is_Script_Extensions:   /a/_-tirhuta}');
    Expect(1, 70873, '\p{Is_Script_Extensions=tirhuta}', "");
    Expect(0, 70873, '\p{^Is_Script_Extensions=tirhuta}', "");
    Expect(0, 70873, '\P{Is_Script_Extensions=tirhuta}', "");
    Expect(1, 70873, '\P{^Is_Script_Extensions=tirhuta}', "");
    Expect(0, 70874, '\p{Is_Script_Extensions=tirhuta}', "");
    Expect(1, 70874, '\p{^Is_Script_Extensions=tirhuta}', "");
    Expect(1, 70874, '\P{Is_Script_Extensions=tirhuta}', "");
    Expect(0, 70874, '\P{^Is_Script_Extensions=tirhuta}', "");
    Expect(1, 70873, '\p{Is_Script_Extensions=_ Tirhuta}', "");
    Expect(0, 70873, '\p{^Is_Script_Extensions=_ Tirhuta}', "");
    Expect(0, 70873, '\P{Is_Script_Extensions=_ Tirhuta}', "");
    Expect(1, 70873, '\P{^Is_Script_Extensions=_ Tirhuta}', "");
    Expect(0, 70874, '\p{Is_Script_Extensions=_ Tirhuta}', "");
    Expect(1, 70874, '\p{^Is_Script_Extensions=_ Tirhuta}', "");
    Expect(1, 70874, '\P{Is_Script_Extensions=_ Tirhuta}', "");
    Expect(0, 70874, '\P{^Is_Script_Extensions=_ Tirhuta}', "");
    Error('\p{Is_Scx=-:=Tirh}');
    Error('\P{Is_Scx=-:=Tirh}');
    Expect(1, 70873, '\p{Is_Scx=tirh}', "");
    Expect(0, 70873, '\p{^Is_Scx=tirh}', "");
    Expect(0, 70873, '\P{Is_Scx=tirh}', "");
    Expect(1, 70873, '\P{^Is_Scx=tirh}', "");
    Expect(0, 70874, '\p{Is_Scx=tirh}', "");
    Expect(1, 70874, '\p{^Is_Scx=tirh}', "");
    Expect(1, 70874, '\P{Is_Scx=tirh}', "");
    Expect(0, 70874, '\P{^Is_Scx=tirh}', "");
    Expect(1, 70873, '\p{Is_Scx: 	Tirh}', "");
    Expect(0, 70873, '\p{^Is_Scx: 	Tirh}', "");
    Expect(0, 70873, '\P{Is_Scx: 	Tirh}', "");
    Expect(1, 70873, '\P{^Is_Scx: 	Tirh}', "");
    Expect(0, 70874, '\p{Is_Scx: 	Tirh}', "");
    Expect(1, 70874, '\p{^Is_Scx: 	Tirh}', "");
    Expect(1, 70874, '\P{Is_Scx: 	Tirh}', "");
    Expect(0, 70874, '\P{^Is_Scx: 	Tirh}', "");
    Error('\p{Script_Extensions=-:=tangsa}');
    Error('\P{Script_Extensions=-:=tangsa}');
    Expect(1, 92873, '\p{Script_Extensions=:\ATangsa\z:}', "");;
    Expect(0, 92874, '\p{Script_Extensions=:\ATangsa\z:}', "");;
    Expect(1, 92873, '\p{Script_Extensions:   tangsa}', "");
    Expect(0, 92873, '\p{^Script_Extensions:   tangsa}', "");
    Expect(0, 92873, '\P{Script_Extensions:   tangsa}', "");
    Expect(1, 92873, '\P{^Script_Extensions:   tangsa}', "");
    Expect(0, 92874, '\p{Script_Extensions:   tangsa}', "");
    Expect(1, 92874, '\p{^Script_Extensions:   tangsa}', "");
    Expect(1, 92874, '\P{Script_Extensions:   tangsa}', "");
    Expect(0, 92874, '\P{^Script_Extensions:   tangsa}', "");
    Expect(1, 92873, '\p{Script_Extensions=:\Atangsa\z:}', "");;
    Expect(0, 92874, '\p{Script_Extensions=:\Atangsa\z:}', "");;
    Expect(1, 92873, '\p{Script_Extensions=		Tangsa}', "");
    Expect(0, 92873, '\p{^Script_Extensions=		Tangsa}', "");
    Expect(0, 92873, '\P{Script_Extensions=		Tangsa}', "");
    Expect(1, 92873, '\P{^Script_Extensions=		Tangsa}', "");
    Expect(0, 92874, '\p{Script_Extensions=		Tangsa}', "");
    Expect(1, 92874, '\p{^Script_Extensions=		Tangsa}', "");
    Expect(1, 92874, '\P{Script_Extensions=		Tangsa}', "");
    Expect(0, 92874, '\P{^Script_Extensions=		Tangsa}', "");
    Error('\p{Scx= _TNSA/a/}');
    Error('\P{Scx= _TNSA/a/}');
    Expect(1, 92873, '\p{Scx=:\ATnsa\z:}', "");;
    Expect(0, 92874, '\p{Scx=:\ATnsa\z:}', "");;
    Expect(1, 92873, '\p{Scx=tnsa}', "");
    Expect(0, 92873, '\p{^Scx=tnsa}', "");
    Expect(0, 92873, '\P{Scx=tnsa}', "");
    Expect(1, 92873, '\P{^Scx=tnsa}', "");
    Expect(0, 92874, '\p{Scx=tnsa}', "");
    Expect(1, 92874, '\p{^Scx=tnsa}', "");
    Expect(1, 92874, '\P{Scx=tnsa}', "");
    Expect(0, 92874, '\P{^Scx=tnsa}', "");
    Expect(1, 92873, '\p{Scx=:\Atnsa\z:}', "");;
    Expect(0, 92874, '\p{Scx=:\Atnsa\z:}', "");;
    Expect(1, 92873, '\p{Scx=	tnsa}', "");
    Expect(0, 92873, '\p{^Scx=	tnsa}', "");
    Expect(0, 92873, '\P{Scx=	tnsa}', "");
    Expect(1, 92873, '\P{^Scx=	tnsa}', "");
    Expect(0, 92874, '\p{Scx=	tnsa}', "");
    Expect(1, 92874, '\p{^Scx=	tnsa}', "");
    Expect(1, 92874, '\P{Scx=	tnsa}', "");
    Expect(0, 92874, '\P{^Scx=	tnsa}', "");
    Error('\p{Is_Script_Extensions=:=TANGSA}');
    Error('\P{Is_Script_Extensions=:=TANGSA}');
    Expect(1, 92873, '\p{Is_Script_Extensions=tangsa}', "");
    Expect(0, 92873, '\p{^Is_Script_Extensions=tangsa}', "");
    Expect(0, 92873, '\P{Is_Script_Extensions=tangsa}', "");
    Expect(1, 92873, '\P{^Is_Script_Extensions=tangsa}', "");
    Expect(0, 92874, '\p{Is_Script_Extensions=tangsa}', "");
    Expect(1, 92874, '\p{^Is_Script_Extensions=tangsa}', "");
    Expect(1, 92874, '\P{Is_Script_Extensions=tangsa}', "");
    Expect(0, 92874, '\P{^Is_Script_Extensions=tangsa}', "");
    Expect(1, 92873, '\p{Is_Script_Extensions= 	Tangsa}', "");
    Expect(0, 92873, '\p{^Is_Script_Extensions= 	Tangsa}', "");
    Expect(0, 92873, '\P{Is_Script_Extensions= 	Tangsa}', "");
    Expect(1, 92873, '\P{^Is_Script_Extensions= 	Tangsa}', "");
    Expect(0, 92874, '\p{Is_Script_Extensions= 	Tangsa}', "");
    Expect(1, 92874, '\p{^Is_Script_Extensions= 	Tangsa}', "");
    Expect(1, 92874, '\P{Is_Script_Extensions= 	Tangsa}', "");
    Expect(0, 92874, '\P{^Is_Script_Extensions= 	Tangsa}', "");
    Error('\p{Is_Scx=:=__tnsa}');
    Error('\P{Is_Scx=:=__tnsa}');
    Expect(1, 92873, '\p{Is_Scx=tnsa}', "");
    Expect(0, 92873, '\p{^Is_Scx=tnsa}', "");
    Expect(0, 92873, '\P{Is_Scx=tnsa}', "");
    Expect(1, 92873, '\P{^Is_Scx=tnsa}', "");
    Expect(0, 92874, '\p{Is_Scx=tnsa}', "");
    Expect(1, 92874, '\p{^Is_Scx=tnsa}', "");
    Expect(1, 92874, '\P{Is_Scx=tnsa}', "");
    Expect(0, 92874, '\P{^Is_Scx=tnsa}', "");
    Expect(1, 92873, '\p{Is_Scx=- Tnsa}', "");
    Expect(0, 92873, '\p{^Is_Scx=- Tnsa}', "");
    Expect(0, 92873, '\P{Is_Scx=- Tnsa}', "");
    Expect(1, 92873, '\P{^Is_Scx=- Tnsa}', "");
    Expect(0, 92874, '\p{Is_Scx=- Tnsa}', "");
    Expect(1, 92874, '\p{^Is_Scx=- Tnsa}', "");
    Expect(1, 92874, '\P{Is_Scx=- Tnsa}', "");
    Expect(0, 92874, '\P{^Is_Scx=- Tnsa}', "");
    Error('\p{Script_Extensions= _Toto/a/}');
    Error('\P{Script_Extensions= _Toto/a/}');
    Expect(1, 123566, '\p{Script_Extensions=:\AToto\z:}', "");;
    Expect(0, 123567, '\p{Script_Extensions=:\AToto\z:}', "");;
    Expect(1, 123566, '\p{Script_Extensions=toto}', "");
    Expect(0, 123566, '\p{^Script_Extensions=toto}', "");
    Expect(0, 123566, '\P{Script_Extensions=toto}', "");
    Expect(1, 123566, '\P{^Script_Extensions=toto}', "");
    Expect(0, 123567, '\p{Script_Extensions=toto}', "");
    Expect(1, 123567, '\p{^Script_Extensions=toto}', "");
    Expect(1, 123567, '\P{Script_Extensions=toto}', "");
    Expect(0, 123567, '\P{^Script_Extensions=toto}', "");
    Expect(1, 123566, '\p{Script_Extensions=:\Atoto\z:}', "");;
    Expect(0, 123567, '\p{Script_Extensions=:\Atoto\z:}', "");;
    Expect(1, 123566, '\p{Script_Extensions=	toto}', "");
    Expect(0, 123566, '\p{^Script_Extensions=	toto}', "");
    Expect(0, 123566, '\P{Script_Extensions=	toto}', "");
    Expect(1, 123566, '\P{^Script_Extensions=	toto}', "");
    Expect(0, 123567, '\p{Script_Extensions=	toto}', "");
    Expect(1, 123567, '\p{^Script_Extensions=	toto}', "");
    Expect(1, 123567, '\P{Script_Extensions=	toto}', "");
    Expect(0, 123567, '\P{^Script_Extensions=	toto}', "");
    Error('\p{Scx=:=_Toto}');
    Error('\P{Scx=:=_Toto}');
    Expect(1, 123566, '\p{Scx=:\AToto\z:}', "");;
    Expect(0, 123567, '\p{Scx=:\AToto\z:}', "");;
    Expect(1, 123566, '\p{Scx=toto}', "");
    Expect(0, 123566, '\p{^Scx=toto}', "");
    Expect(0, 123566, '\P{Scx=toto}', "");
    Expect(1, 123566, '\P{^Scx=toto}', "");
    Expect(0, 123567, '\p{Scx=toto}', "");
    Expect(1, 123567, '\p{^Scx=toto}', "");
    Expect(1, 123567, '\P{Scx=toto}', "");
    Expect(0, 123567, '\P{^Scx=toto}', "");
    Expect(1, 123566, '\p{Scx=:\Atoto\z:}', "");;
    Expect(0, 123567, '\p{Scx=:\Atoto\z:}', "");;
    Expect(1, 123566, '\p{Scx= _Toto}', "");
    Expect(0, 123566, '\p{^Scx= _Toto}', "");
    Expect(0, 123566, '\P{Scx= _Toto}', "");
    Expect(1, 123566, '\P{^Scx= _Toto}', "");
    Expect(0, 123567, '\p{Scx= _Toto}', "");
    Expect(1, 123567, '\p{^Scx= _Toto}', "");
    Expect(1, 123567, '\P{Scx= _Toto}', "");
    Expect(0, 123567, '\P{^Scx= _Toto}', "");
    Error('\p{Is_Script_Extensions= Toto:=}');
    Error('\P{Is_Script_Extensions= Toto:=}');
    Expect(1, 123566, '\p{Is_Script_Extensions=toto}', "");
    Expect(0, 123566, '\p{^Is_Script_Extensions=toto}', "");
    Expect(0, 123566, '\P{Is_Script_Extensions=toto}', "");
    Expect(1, 123566, '\P{^Is_Script_Extensions=toto}', "");
    Expect(0, 123567, '\p{Is_Script_Extensions=toto}', "");
    Expect(1, 123567, '\p{^Is_Script_Extensions=toto}', "");
    Expect(1, 123567, '\P{Is_Script_Extensions=toto}', "");
    Expect(0, 123567, '\P{^Is_Script_Extensions=toto}', "");
    Expect(1, 123566, '\p{Is_Script_Extensions=  Toto}', "");
    Expect(0, 123566, '\p{^Is_Script_Extensions=  Toto}', "");
    Expect(0, 123566, '\P{Is_Script_Extensions=  Toto}', "");
    Expect(1, 123566, '\P{^Is_Script_Extensions=  Toto}', "");
    Expect(0, 123567, '\p{Is_Script_Extensions=  Toto}', "");
    Expect(1, 123567, '\p{^Is_Script_Extensions=  Toto}', "");
    Expect(1, 123567, '\P{Is_Script_Extensions=  Toto}', "");
    Expect(0, 123567, '\P{^Is_Script_Extensions=  Toto}', "");
    Error('\p{Is_Scx=-	Toto/a/}');
    Error('\P{Is_Scx=-	Toto/a/}');
    Expect(1, 123566, '\p{Is_Scx: toto}', "");
    Expect(0, 123566, '\p{^Is_Scx: toto}', "");
    Expect(0, 123566, '\P{Is_Scx: toto}', "");
    Expect(1, 123566, '\P{^Is_Scx: toto}', "");
    Expect(0, 123567, '\p{Is_Scx: toto}', "");
    Expect(1, 123567, '\p{^Is_Scx: toto}', "");
    Expect(1, 123567, '\P{Is_Scx: toto}', "");
    Expect(0, 123567, '\P{^Is_Scx: toto}', "");
    Expect(1, 123566, '\p{Is_Scx: 		Toto}', "");
    Expect(0, 123566, '\p{^Is_Scx: 		Toto}', "");
    Expect(0, 123566, '\P{Is_Scx: 		Toto}', "");
    Expect(1, 123566, '\P{^Is_Scx: 		Toto}', "");
    Expect(0, 123567, '\p{Is_Scx: 		Toto}', "");
    Expect(1, 123567, '\p{^Is_Scx: 		Toto}', "");
    Expect(1, 123567, '\P{Is_Scx: 		Toto}', "");
    Expect(0, 123567, '\P{^Is_Scx: 		Toto}', "");
    Error('\p{Script_Extensions:  /a/Ugaritic}');
    Error('\P{Script_Extensions:  /a/Ugaritic}');
    Expect(1, 66463, '\p{Script_Extensions=:\AUgaritic\z:}', "");;
    Expect(0, 66464, '\p{Script_Extensions=:\AUgaritic\z:}', "");;
    Expect(1, 66463, '\p{Script_Extensions=ugaritic}', "");
    Expect(0, 66463, '\p{^Script_Extensions=ugaritic}', "");
    Expect(0, 66463, '\P{Script_Extensions=ugaritic}', "");
    Expect(1, 66463, '\P{^Script_Extensions=ugaritic}', "");
    Expect(0, 66464, '\p{Script_Extensions=ugaritic}', "");
    Expect(1, 66464, '\p{^Script_Extensions=ugaritic}', "");
    Expect(1, 66464, '\P{Script_Extensions=ugaritic}', "");
    Expect(0, 66464, '\P{^Script_Extensions=ugaritic}', "");
    Expect(1, 66463, '\p{Script_Extensions=:\Augaritic\z:}', "");;
    Expect(0, 66464, '\p{Script_Extensions=:\Augaritic\z:}', "");;
    Expect(1, 66463, '\p{Script_Extensions=-	Ugaritic}', "");
    Expect(0, 66463, '\p{^Script_Extensions=-	Ugaritic}', "");
    Expect(0, 66463, '\P{Script_Extensions=-	Ugaritic}', "");
    Expect(1, 66463, '\P{^Script_Extensions=-	Ugaritic}', "");
    Expect(0, 66464, '\p{Script_Extensions=-	Ugaritic}', "");
    Expect(1, 66464, '\p{^Script_Extensions=-	Ugaritic}', "");
    Expect(1, 66464, '\P{Script_Extensions=-	Ugaritic}', "");
    Expect(0, 66464, '\P{^Script_Extensions=-	Ugaritic}', "");
    Error('\p{Scx=:= -Ugar}');
    Error('\P{Scx=:= -Ugar}');
    Expect(1, 66463, '\p{Scx=:\AUgar\z:}', "");;
    Expect(0, 66464, '\p{Scx=:\AUgar\z:}', "");;
    Expect(1, 66463, '\p{Scx:ugar}', "");
    Expect(0, 66463, '\p{^Scx:ugar}', "");
    Expect(0, 66463, '\P{Scx:ugar}', "");
    Expect(1, 66463, '\P{^Scx:ugar}', "");
    Expect(0, 66464, '\p{Scx:ugar}', "");
    Expect(1, 66464, '\p{^Scx:ugar}', "");
    Expect(1, 66464, '\P{Scx:ugar}', "");
    Expect(0, 66464, '\P{^Scx:ugar}', "");
    Expect(1, 66463, '\p{Scx=:\Augar\z:}', "");;
    Expect(0, 66464, '\p{Scx=:\Augar\z:}', "");;
    Expect(1, 66463, '\p{Scx=	-Ugar}', "");
    Expect(0, 66463, '\p{^Scx=	-Ugar}', "");
    Expect(0, 66463, '\P{Scx=	-Ugar}', "");
    Expect(1, 66463, '\P{^Scx=	-Ugar}', "");
    Expect(0, 66464, '\p{Scx=	-Ugar}', "");
    Expect(1, 66464, '\p{^Scx=	-Ugar}', "");
    Expect(1, 66464, '\P{Scx=	-Ugar}', "");
    Expect(0, 66464, '\P{^Scx=	-Ugar}', "");
    Error('\p{Is_Script_Extensions=:=- Ugaritic}');
    Error('\P{Is_Script_Extensions=:=- Ugaritic}');
    Expect(1, 66463, '\p{Is_Script_Extensions=ugaritic}', "");
    Expect(0, 66463, '\p{^Is_Script_Extensions=ugaritic}', "");
    Expect(0, 66463, '\P{Is_Script_Extensions=ugaritic}', "");
    Expect(1, 66463, '\P{^Is_Script_Extensions=ugaritic}', "");
    Expect(0, 66464, '\p{Is_Script_Extensions=ugaritic}', "");
    Expect(1, 66464, '\p{^Is_Script_Extensions=ugaritic}', "");
    Expect(1, 66464, '\P{Is_Script_Extensions=ugaritic}', "");
    Expect(0, 66464, '\P{^Is_Script_Extensions=ugaritic}', "");
    Expect(1, 66463, '\p{Is_Script_Extensions= UGARITIC}', "");
    Expect(0, 66463, '\p{^Is_Script_Extensions= UGARITIC}', "");
    Expect(0, 66463, '\P{Is_Script_Extensions= UGARITIC}', "");
    Expect(1, 66463, '\P{^Is_Script_Extensions= UGARITIC}', "");
    Expect(0, 66464, '\p{Is_Script_Extensions= UGARITIC}', "");
    Expect(1, 66464, '\p{^Is_Script_Extensions= UGARITIC}', "");
    Expect(1, 66464, '\P{Is_Script_Extensions= UGARITIC}', "");
    Expect(0, 66464, '\P{^Is_Script_Extensions= UGARITIC}', "");
    Error('\p{Is_Scx=:=UGAR}');
    Error('\P{Is_Scx=:=UGAR}');
    Expect(1, 66463, '\p{Is_Scx=ugar}', "");
    Expect(0, 66463, '\p{^Is_Scx=ugar}', "");
    Expect(0, 66463, '\P{Is_Scx=ugar}', "");
    Expect(1, 66463, '\P{^Is_Scx=ugar}', "");
    Expect(0, 66464, '\p{Is_Scx=ugar}', "");
    Expect(1, 66464, '\p{^Is_Scx=ugar}', "");
    Expect(1, 66464, '\P{Is_Scx=ugar}', "");
    Expect(0, 66464, '\P{^Is_Scx=ugar}', "");
    Expect(1, 66463, '\p{Is_Scx=_ ugar}', "");
    Expect(0, 66463, '\p{^Is_Scx=_ ugar}', "");
    Expect(0, 66463, '\P{Is_Scx=_ ugar}', "");
    Expect(1, 66463, '\P{^Is_Scx=_ ugar}', "");
    Expect(0, 66464, '\p{Is_Scx=_ ugar}', "");
    Expect(1, 66464, '\p{^Is_Scx=_ ugar}', "");
    Expect(1, 66464, '\P{Is_Scx=_ ugar}', "");
    Expect(0, 66464, '\P{^Is_Scx=_ ugar}', "");
    Error('\p{Script_Extensions:   :=_-Vai}');
    Error('\P{Script_Extensions:   :=_-Vai}');
    Expect(1, 42539, '\p{Script_Extensions=:\AVai\z:}', "");;
    Expect(0, 42540, '\p{Script_Extensions=:\AVai\z:}', "");;
    Expect(1, 42539, '\p{Script_Extensions=vai}', "");
    Expect(0, 42539, '\p{^Script_Extensions=vai}', "");
    Expect(0, 42539, '\P{Script_Extensions=vai}', "");
    Expect(1, 42539, '\P{^Script_Extensions=vai}', "");
    Expect(0, 42540, '\p{Script_Extensions=vai}', "");
    Expect(1, 42540, '\p{^Script_Extensions=vai}', "");
    Expect(1, 42540, '\P{Script_Extensions=vai}', "");
    Expect(0, 42540, '\P{^Script_Extensions=vai}', "");
    Expect(1, 42539, '\p{Script_Extensions=:\Avai\z:}', "");;
    Expect(0, 42540, '\p{Script_Extensions=:\Avai\z:}', "");;
    Expect(1, 42539, '\p{Script_Extensions=-_Vai}', "");
    Expect(0, 42539, '\p{^Script_Extensions=-_Vai}', "");
    Expect(0, 42539, '\P{Script_Extensions=-_Vai}', "");
    Expect(1, 42539, '\P{^Script_Extensions=-_Vai}', "");
    Expect(0, 42540, '\p{Script_Extensions=-_Vai}', "");
    Expect(1, 42540, '\p{^Script_Extensions=-_Vai}', "");
    Expect(1, 42540, '\P{Script_Extensions=-_Vai}', "");
    Expect(0, 42540, '\P{^Script_Extensions=-_Vai}', "");
    Error('\p{Scx=	_Vaii:=}');
    Error('\P{Scx=	_Vaii:=}');
    Expect(1, 42539, '\p{Scx=:\AVaii\z:}', "");;
    Expect(0, 42540, '\p{Scx=:\AVaii\z:}', "");;
    Expect(1, 42539, '\p{Scx=vaii}', "");
    Expect(0, 42539, '\p{^Scx=vaii}', "");
    Expect(0, 42539, '\P{Scx=vaii}', "");
    Expect(1, 42539, '\P{^Scx=vaii}', "");
    Expect(0, 42540, '\p{Scx=vaii}', "");
    Expect(1, 42540, '\p{^Scx=vaii}', "");
    Expect(1, 42540, '\P{Scx=vaii}', "");
    Expect(0, 42540, '\P{^Scx=vaii}', "");
    Expect(1, 42539, '\p{Scx=:\Avaii\z:}', "");;
    Expect(0, 42540, '\p{Scx=:\Avaii\z:}', "");;
    Expect(1, 42539, '\p{Scx=--Vaii}', "");
    Expect(0, 42539, '\p{^Scx=--Vaii}', "");
    Expect(0, 42539, '\P{Scx=--Vaii}', "");
    Expect(1, 42539, '\P{^Scx=--Vaii}', "");
    Expect(0, 42540, '\p{Scx=--Vaii}', "");
    Expect(1, 42540, '\p{^Scx=--Vaii}', "");
    Expect(1, 42540, '\P{Scx=--Vaii}', "");
    Expect(0, 42540, '\P{^Scx=--Vaii}', "");
    Error('\p{Is_Script_Extensions= 	vai/a/}');
    Error('\P{Is_Script_Extensions= 	vai/a/}');
    Expect(1, 42539, '\p{Is_Script_Extensions=vai}', "");
    Expect(0, 42539, '\p{^Is_Script_Extensions=vai}', "");
    Expect(0, 42539, '\P{Is_Script_Extensions=vai}', "");
    Expect(1, 42539, '\P{^Is_Script_Extensions=vai}', "");
    Expect(0, 42540, '\p{Is_Script_Extensions=vai}', "");
    Expect(1, 42540, '\p{^Is_Script_Extensions=vai}', "");
    Expect(1, 42540, '\P{Is_Script_Extensions=vai}', "");
    Expect(0, 42540, '\P{^Is_Script_Extensions=vai}', "");
    Expect(1, 42539, '\p{Is_Script_Extensions= 	Vai}', "");
    Expect(0, 42539, '\p{^Is_Script_Extensions= 	Vai}', "");
    Expect(0, 42539, '\P{Is_Script_Extensions= 	Vai}', "");
    Expect(1, 42539, '\P{^Is_Script_Extensions= 	Vai}', "");
    Expect(0, 42540, '\p{Is_Script_Extensions= 	Vai}', "");
    Expect(1, 42540, '\p{^Is_Script_Extensions= 	Vai}', "");
    Expect(1, 42540, '\P{Is_Script_Extensions= 	Vai}', "");
    Expect(0, 42540, '\P{^Is_Script_Extensions= 	Vai}', "");
    Error('\p{Is_Scx=	-vaii:=}');
    Error('\P{Is_Scx=	-vaii:=}');
    Expect(1, 42539, '\p{Is_Scx=vaii}', "");
    Expect(0, 42539, '\p{^Is_Scx=vaii}', "");
    Expect(0, 42539, '\P{Is_Scx=vaii}', "");
    Expect(1, 42539, '\P{^Is_Scx=vaii}', "");
    Expect(0, 42540, '\p{Is_Scx=vaii}', "");
    Expect(1, 42540, '\p{^Is_Scx=vaii}', "");
    Expect(1, 42540, '\P{Is_Scx=vaii}', "");
    Expect(0, 42540, '\P{^Is_Scx=vaii}', "");
    Expect(1, 42539, '\p{Is_Scx=__vaii}', "");
    Expect(0, 42539, '\p{^Is_Scx=__vaii}', "");
    Expect(0, 42539, '\P{Is_Scx=__vaii}', "");
    Expect(1, 42539, '\P{^Is_Scx=__vaii}', "");
    Expect(0, 42540, '\p{Is_Scx=__vaii}', "");
    Expect(1, 42540, '\p{^Is_Scx=__vaii}', "");
    Expect(1, 42540, '\P{Is_Scx=__vaii}', "");
    Expect(0, 42540, '\P{^Is_Scx=__vaii}', "");
    Error('\p{Script_Extensions=-_VITHKUQI/a/}');
    Error('\P{Script_Extensions=-_VITHKUQI/a/}');
    Expect(1, 67004, '\p{Script_Extensions=:\AVithkuqi\z:}', "");;
    Expect(0, 67005, '\p{Script_Extensions=:\AVithkuqi\z:}', "");;
    Expect(1, 67004, '\p{Script_Extensions=vithkuqi}', "");
    Expect(0, 67004, '\p{^Script_Extensions=vithkuqi}', "");
    Expect(0, 67004, '\P{Script_Extensions=vithkuqi}', "");
    Expect(1, 67004, '\P{^Script_Extensions=vithkuqi}', "");
    Expect(0, 67005, '\p{Script_Extensions=vithkuqi}', "");
    Expect(1, 67005, '\p{^Script_Extensions=vithkuqi}', "");
    Expect(1, 67005, '\P{Script_Extensions=vithkuqi}', "");
    Expect(0, 67005, '\P{^Script_Extensions=vithkuqi}', "");
    Expect(1, 67004, '\p{Script_Extensions=:\Avithkuqi\z:}', "");;
    Expect(0, 67005, '\p{Script_Extensions=:\Avithkuqi\z:}', "");;
    Expect(1, 67004, '\p{Script_Extensions=	-Vithkuqi}', "");
    Expect(0, 67004, '\p{^Script_Extensions=	-Vithkuqi}', "");
    Expect(0, 67004, '\P{Script_Extensions=	-Vithkuqi}', "");
    Expect(1, 67004, '\P{^Script_Extensions=	-Vithkuqi}', "");
    Expect(0, 67005, '\p{Script_Extensions=	-Vithkuqi}', "");
    Expect(1, 67005, '\p{^Script_Extensions=	-Vithkuqi}', "");
    Expect(1, 67005, '\P{Script_Extensions=	-Vithkuqi}', "");
    Expect(0, 67005, '\P{^Script_Extensions=	-Vithkuqi}', "");
    Error('\p{Scx:   :=__Vith}');
    Error('\P{Scx:   :=__Vith}');
    Expect(1, 67004, '\p{Scx=:\AVith\z:}', "");;
    Expect(0, 67005, '\p{Scx=:\AVith\z:}', "");;
    Expect(1, 67004, '\p{Scx=vith}', "");
    Expect(0, 67004, '\p{^Scx=vith}', "");
    Expect(0, 67004, '\P{Scx=vith}', "");
    Expect(1, 67004, '\P{^Scx=vith}', "");
    Expect(0, 67005, '\p{Scx=vith}', "");
    Expect(1, 67005, '\p{^Scx=vith}', "");
    Expect(1, 67005, '\P{Scx=vith}', "");
    Expect(0, 67005, '\P{^Scx=vith}', "");
    Expect(1, 67004, '\p{Scx=:\Avith\z:}', "");;
    Expect(0, 67005, '\p{Scx=:\Avith\z:}', "");;
    Expect(1, 67004, '\p{Scx=_	vith}', "");
    Expect(0, 67004, '\p{^Scx=_	vith}', "");
    Expect(0, 67004, '\P{Scx=_	vith}', "");
    Expect(1, 67004, '\P{^Scx=_	vith}', "");
    Expect(0, 67005, '\p{Scx=_	vith}', "");
    Expect(1, 67005, '\p{^Scx=_	vith}', "");
    Expect(1, 67005, '\P{Scx=_	vith}', "");
    Expect(0, 67005, '\P{^Scx=_	vith}', "");
    Error('\p{Is_Script_Extensions=-/a/vithkuqi}');
    Error('\P{Is_Script_Extensions=-/a/vithkuqi}');
    Expect(1, 67004, '\p{Is_Script_Extensions=vithkuqi}', "");
    Expect(0, 67004, '\p{^Is_Script_Extensions=vithkuqi}', "");
    Expect(0, 67004, '\P{Is_Script_Extensions=vithkuqi}', "");
    Expect(1, 67004, '\P{^Is_Script_Extensions=vithkuqi}', "");
    Expect(0, 67005, '\p{Is_Script_Extensions=vithkuqi}', "");
    Expect(1, 67005, '\p{^Is_Script_Extensions=vithkuqi}', "");
    Expect(1, 67005, '\P{Is_Script_Extensions=vithkuqi}', "");
    Expect(0, 67005, '\P{^Is_Script_Extensions=vithkuqi}', "");
    Expect(1, 67004, '\p{Is_Script_Extensions=_	VITHKUQI}', "");
    Expect(0, 67004, '\p{^Is_Script_Extensions=_	VITHKUQI}', "");
    Expect(0, 67004, '\P{Is_Script_Extensions=_	VITHKUQI}', "");
    Expect(1, 67004, '\P{^Is_Script_Extensions=_	VITHKUQI}', "");
    Expect(0, 67005, '\p{Is_Script_Extensions=_	VITHKUQI}', "");
    Expect(1, 67005, '\p{^Is_Script_Extensions=_	VITHKUQI}', "");
    Expect(1, 67005, '\P{Is_Script_Extensions=_	VITHKUQI}', "");
    Expect(0, 67005, '\P{^Is_Script_Extensions=_	VITHKUQI}', "");
    Error('\p{Is_Scx=	-Vith:=}');
    Error('\P{Is_Scx=	-Vith:=}');
    Expect(1, 67004, '\p{Is_Scx=vith}', "");
    Expect(0, 67004, '\p{^Is_Scx=vith}', "");
    Expect(0, 67004, '\P{Is_Scx=vith}', "");
    Expect(1, 67004, '\P{^Is_Scx=vith}', "");
    Expect(0, 67005, '\p{Is_Scx=vith}', "");
    Expect(1, 67005, '\p{^Is_Scx=vith}', "");
    Expect(1, 67005, '\P{Is_Scx=vith}', "");
    Expect(0, 67005, '\P{^Is_Scx=vith}', "");
    Expect(1, 67004, '\p{Is_Scx=- VITH}', "");
    Expect(0, 67004, '\p{^Is_Scx=- VITH}', "");
    Expect(0, 67004, '\P{Is_Scx=- VITH}', "");
    Expect(1, 67004, '\P{^Is_Scx=- VITH}', "");
    Expect(0, 67005, '\p{Is_Scx=- VITH}', "");
    Expect(1, 67005, '\p{^Is_Scx=- VITH}', "");
    Expect(1, 67005, '\P{Is_Scx=- VITH}', "");
    Expect(0, 67005, '\P{^Is_Scx=- VITH}', "");
    Error('\p{Script_Extensions=__WARANG_CITI/a/}');
    Error('\P{Script_Extensions=__WARANG_CITI/a/}');
    Expect(1, 71935, '\p{Script_Extensions=:\AWarang_Citi\z:}', "");;
    Expect(0, 71936, '\p{Script_Extensions=:\AWarang_Citi\z:}', "");;
    Expect(1, 71935, '\p{Script_Extensions=warangciti}', "");
    Expect(0, 71935, '\p{^Script_Extensions=warangciti}', "");
    Expect(0, 71935, '\P{Script_Extensions=warangciti}', "");
    Expect(1, 71935, '\P{^Script_Extensions=warangciti}', "");
    Expect(0, 71936, '\p{Script_Extensions=warangciti}', "");
    Expect(1, 71936, '\p{^Script_Extensions=warangciti}', "");
    Expect(1, 71936, '\P{Script_Extensions=warangciti}', "");
    Expect(0, 71936, '\P{^Script_Extensions=warangciti}', "");
    Expect(1, 71935, '\p{Script_Extensions=:\Awarangciti\z:}', "");;
    Expect(0, 71936, '\p{Script_Extensions=:\Awarangciti\z:}', "");;
    Expect(1, 71935, '\p{Script_Extensions= Warang_citi}', "");
    Expect(0, 71935, '\p{^Script_Extensions= Warang_citi}', "");
    Expect(0, 71935, '\P{Script_Extensions= Warang_citi}', "");
    Expect(1, 71935, '\P{^Script_Extensions= Warang_citi}', "");
    Expect(0, 71936, '\p{Script_Extensions= Warang_citi}', "");
    Expect(1, 71936, '\p{^Script_Extensions= Warang_citi}', "");
    Expect(1, 71936, '\P{Script_Extensions= Warang_citi}', "");
    Expect(0, 71936, '\P{^Script_Extensions= Warang_citi}', "");
    Error('\p{Scx=:=__WARA}');
    Error('\P{Scx=:=__WARA}');
    Expect(1, 71935, '\p{Scx=:\AWara\z:}', "");;
    Expect(0, 71936, '\p{Scx=:\AWara\z:}', "");;
    Expect(1, 71935, '\p{Scx: wara}', "");
    Expect(0, 71935, '\p{^Scx: wara}', "");
    Expect(0, 71935, '\P{Scx: wara}', "");
    Expect(1, 71935, '\P{^Scx: wara}', "");
    Expect(0, 71936, '\p{Scx: wara}', "");
    Expect(1, 71936, '\p{^Scx: wara}', "");
    Expect(1, 71936, '\P{Scx: wara}', "");
    Expect(0, 71936, '\P{^Scx: wara}', "");
    Expect(1, 71935, '\p{Scx=:\Awara\z:}', "");;
    Expect(0, 71936, '\p{Scx=:\Awara\z:}', "");;
    Expect(1, 71935, '\p{Scx:   _	Wara}', "");
    Expect(0, 71935, '\p{^Scx:   _	Wara}', "");
    Expect(0, 71935, '\P{Scx:   _	Wara}', "");
    Expect(1, 71935, '\P{^Scx:   _	Wara}', "");
    Expect(0, 71936, '\p{Scx:   _	Wara}', "");
    Expect(1, 71936, '\p{^Scx:   _	Wara}', "");
    Expect(1, 71936, '\P{Scx:   _	Wara}', "");
    Expect(0, 71936, '\P{^Scx:   _	Wara}', "");
    Error('\p{Is_Script_Extensions:	/a/		Warang_CITI}');
    Error('\P{Is_Script_Extensions:	/a/		Warang_CITI}');
    Expect(1, 71935, '\p{Is_Script_Extensions=warangciti}', "");
    Expect(0, 71935, '\p{^Is_Script_Extensions=warangciti}', "");
    Expect(0, 71935, '\P{Is_Script_Extensions=warangciti}', "");
    Expect(1, 71935, '\P{^Is_Script_Extensions=warangciti}', "");
    Expect(0, 71936, '\p{Is_Script_Extensions=warangciti}', "");
    Expect(1, 71936, '\p{^Is_Script_Extensions=warangciti}', "");
    Expect(1, 71936, '\P{Is_Script_Extensions=warangciti}', "");
    Expect(0, 71936, '\P{^Is_Script_Extensions=warangciti}', "");
    Expect(1, 71935, '\p{Is_Script_Extensions:	-Warang_citi}', "");
    Expect(0, 71935, '\p{^Is_Script_Extensions:	-Warang_citi}', "");
    Expect(0, 71935, '\P{Is_Script_Extensions:	-Warang_citi}', "");
    Expect(1, 71935, '\P{^Is_Script_Extensions:	-Warang_citi}', "");
    Expect(0, 71936, '\p{Is_Script_Extensions:	-Warang_citi}', "");
    Expect(1, 71936, '\p{^Is_Script_Extensions:	-Warang_citi}', "");
    Expect(1, 71936, '\P{Is_Script_Extensions:	-Warang_citi}', "");
    Expect(0, 71936, '\P{^Is_Script_Extensions:	-Warang_citi}', "");
    Error('\p{Is_Scx:_:=WARA}');
    Error('\P{Is_Scx:_:=WARA}');
    Expect(1, 71935, '\p{Is_Scx=wara}', "");
    Expect(0, 71935, '\p{^Is_Scx=wara}', "");
    Expect(0, 71935, '\P{Is_Scx=wara}', "");
    Expect(1, 71935, '\P{^Is_Scx=wara}', "");
    Expect(0, 71936, '\p{Is_Scx=wara}', "");
    Expect(1, 71936, '\p{^Is_Scx=wara}', "");
    Expect(1, 71936, '\P{Is_Scx=wara}', "");
    Expect(0, 71936, '\P{^Is_Scx=wara}', "");
    Expect(1, 71935, '\p{Is_Scx=		Wara}', "");
    Expect(0, 71935, '\p{^Is_Scx=		Wara}', "");
    Expect(0, 71935, '\P{Is_Scx=		Wara}', "");
    Expect(1, 71935, '\P{^Is_Scx=		Wara}', "");
    Expect(0, 71936, '\p{Is_Scx=		Wara}', "");
    Expect(1, 71936, '\p{^Is_Scx=		Wara}', "");
    Expect(1, 71936, '\P{Is_Scx=		Wara}', "");
    Expect(0, 71936, '\P{^Is_Scx=		Wara}', "");
    Error('\p{Script_Extensions=:= WANCHO}');
    Error('\P{Script_Extensions=:= WANCHO}');
    Expect(1, 123647, '\p{Script_Extensions=:\AWancho\z:}', "");;
    Expect(0, 123648, '\p{Script_Extensions=:\AWancho\z:}', "");;
    Expect(1, 123647, '\p{Script_Extensions:	wancho}', "");
    Expect(0, 123647, '\p{^Script_Extensions:	wancho}', "");
    Expect(0, 123647, '\P{Script_Extensions:	wancho}', "");
    Expect(1, 123647, '\P{^Script_Extensions:	wancho}', "");
    Expect(0, 123648, '\p{Script_Extensions:	wancho}', "");
    Expect(1, 123648, '\p{^Script_Extensions:	wancho}', "");
    Expect(1, 123648, '\P{Script_Extensions:	wancho}', "");
    Expect(0, 123648, '\P{^Script_Extensions:	wancho}', "");
    Expect(1, 123647, '\p{Script_Extensions=:\Awancho\z:}', "");;
    Expect(0, 123648, '\p{Script_Extensions=:\Awancho\z:}', "");;
    Expect(1, 123647, '\p{Script_Extensions=_WANCHO}', "");
    Expect(0, 123647, '\p{^Script_Extensions=_WANCHO}', "");
    Expect(0, 123647, '\P{Script_Extensions=_WANCHO}', "");
    Expect(1, 123647, '\P{^Script_Extensions=_WANCHO}', "");
    Expect(0, 123648, '\p{Script_Extensions=_WANCHO}', "");
    Expect(1, 123648, '\p{^Script_Extensions=_WANCHO}', "");
    Expect(1, 123648, '\P{Script_Extensions=_WANCHO}', "");
    Expect(0, 123648, '\P{^Script_Extensions=_WANCHO}', "");
    Error('\p{Scx=:=-wcho}');
    Error('\P{Scx=:=-wcho}');
    Expect(1, 123647, '\p{Scx=:\AWcho\z:}', "");;
    Expect(0, 123648, '\p{Scx=:\AWcho\z:}', "");;
    Expect(1, 123647, '\p{Scx=wcho}', "");
    Expect(0, 123647, '\p{^Scx=wcho}', "");
    Expect(0, 123647, '\P{Scx=wcho}', "");
    Expect(1, 123647, '\P{^Scx=wcho}', "");
    Expect(0, 123648, '\p{Scx=wcho}', "");
    Expect(1, 123648, '\p{^Scx=wcho}', "");
    Expect(1, 123648, '\P{Scx=wcho}', "");
    Expect(0, 123648, '\P{^Scx=wcho}', "");
    Expect(1, 123647, '\p{Scx=:\Awcho\z:}', "");;
    Expect(0, 123648, '\p{Scx=:\Awcho\z:}', "");;
    Expect(1, 123647, '\p{Scx= wcho}', "");
    Expect(0, 123647, '\p{^Scx= wcho}', "");
    Expect(0, 123647, '\P{Scx= wcho}', "");
    Expect(1, 123647, '\P{^Scx= wcho}', "");
    Expect(0, 123648, '\p{Scx= wcho}', "");
    Expect(1, 123648, '\p{^Scx= wcho}', "");
    Expect(1, 123648, '\P{Scx= wcho}', "");
    Expect(0, 123648, '\P{^Scx= wcho}', "");
    Error('\p{Is_Script_Extensions:	:=	-Wancho}');
    Error('\P{Is_Script_Extensions:	:=	-Wancho}');
    Expect(1, 123647, '\p{Is_Script_Extensions:	wancho}', "");
    Expect(0, 123647, '\p{^Is_Script_Extensions:	wancho}', "");
    Expect(0, 123647, '\P{Is_Script_Extensions:	wancho}', "");
    Expect(1, 123647, '\P{^Is_Script_Extensions:	wancho}', "");
    Expect(0, 123648, '\p{Is_Script_Extensions:	wancho}', "");
    Expect(1, 123648, '\p{^Is_Script_Extensions:	wancho}', "");
    Expect(1, 123648, '\P{Is_Script_Extensions:	wancho}', "");
    Expect(0, 123648, '\P{^Is_Script_Extensions:	wancho}', "");
    Expect(1, 123647, '\p{Is_Script_Extensions=		Wancho}', "");
    Expect(0, 123647, '\p{^Is_Script_Extensions=		Wancho}', "");
    Expect(0, 123647, '\P{Is_Script_Extensions=		Wancho}', "");
    Expect(1, 123647, '\P{^Is_Script_Extensions=		Wancho}', "");
    Expect(0, 123648, '\p{Is_Script_Extensions=		Wancho}', "");
    Expect(1, 123648, '\p{^Is_Script_Extensions=		Wancho}', "");
    Expect(1, 123648, '\P{Is_Script_Extensions=		Wancho}', "");
    Expect(0, 123648, '\P{^Is_Script_Extensions=		Wancho}', "");
    Error('\p{Is_Scx=-:=wcho}');
    Error('\P{Is_Scx=-:=wcho}');
    Expect(1, 123647, '\p{Is_Scx=wcho}', "");
    Expect(0, 123647, '\p{^Is_Scx=wcho}', "");
    Expect(0, 123647, '\P{Is_Scx=wcho}', "");
    Expect(1, 123647, '\P{^Is_Scx=wcho}', "");
    Expect(0, 123648, '\p{Is_Scx=wcho}', "");
    Expect(1, 123648, '\p{^Is_Scx=wcho}', "");
    Expect(1, 123648, '\P{Is_Scx=wcho}', "");
    Expect(0, 123648, '\P{^Is_Scx=wcho}', "");
    Expect(1, 123647, '\p{Is_Scx=__wcho}', "");
    Expect(0, 123647, '\p{^Is_Scx=__wcho}', "");
    Expect(0, 123647, '\P{Is_Scx=__wcho}', "");
    Expect(1, 123647, '\P{^Is_Scx=__wcho}', "");
    Expect(0, 123648, '\p{Is_Scx=__wcho}', "");
    Expect(1, 123648, '\p{^Is_Scx=__wcho}', "");
    Expect(1, 123648, '\P{Is_Scx=__wcho}', "");
    Expect(0, 123648, '\P{^Is_Scx=__wcho}', "");
    Error('\p{Script_Extensions=/a/OLD_persian}');
    Error('\P{Script_Extensions=/a/OLD_persian}');
    Expect(1, 66517, '\p{Script_Extensions=:\AOld_Persian\z:}', "");;
    Expect(0, 66518, '\p{Script_Extensions=:\AOld_Persian\z:}', "");;
    Expect(1, 66517, '\p{Script_Extensions=oldpersian}', "");
    Expect(0, 66517, '\p{^Script_Extensions=oldpersian}', "");
    Expect(0, 66517, '\P{Script_Extensions=oldpersian}', "");
    Expect(1, 66517, '\P{^Script_Extensions=oldpersian}', "");
    Expect(0, 66518, '\p{Script_Extensions=oldpersian}', "");
    Expect(1, 66518, '\p{^Script_Extensions=oldpersian}', "");
    Expect(1, 66518, '\P{Script_Extensions=oldpersian}', "");
    Expect(0, 66518, '\P{^Script_Extensions=oldpersian}', "");
    Expect(1, 66517, '\p{Script_Extensions=:\Aoldpersian\z:}', "");;
    Expect(0, 66518, '\p{Script_Extensions=:\Aoldpersian\z:}', "");;
    Expect(1, 66517, '\p{Script_Extensions=	OLD_persian}', "");
    Expect(0, 66517, '\p{^Script_Extensions=	OLD_persian}', "");
    Expect(0, 66517, '\P{Script_Extensions=	OLD_persian}', "");
    Expect(1, 66517, '\P{^Script_Extensions=	OLD_persian}', "");
    Expect(0, 66518, '\p{Script_Extensions=	OLD_persian}', "");
    Expect(1, 66518, '\p{^Script_Extensions=	OLD_persian}', "");
    Expect(1, 66518, '\P{Script_Extensions=	OLD_persian}', "");
    Expect(0, 66518, '\P{^Script_Extensions=	OLD_persian}', "");
    Error('\p{Scx=/a/	-Xpeo}');
    Error('\P{Scx=/a/	-Xpeo}');
    Expect(1, 66517, '\p{Scx=:\AXpeo\z:}', "");;
    Expect(0, 66518, '\p{Scx=:\AXpeo\z:}', "");;
    Expect(1, 66517, '\p{Scx=xpeo}', "");
    Expect(0, 66517, '\p{^Scx=xpeo}', "");
    Expect(0, 66517, '\P{Scx=xpeo}', "");
    Expect(1, 66517, '\P{^Scx=xpeo}', "");
    Expect(0, 66518, '\p{Scx=xpeo}', "");
    Expect(1, 66518, '\p{^Scx=xpeo}', "");
    Expect(1, 66518, '\P{Scx=xpeo}', "");
    Expect(0, 66518, '\P{^Scx=xpeo}', "");
    Expect(1, 66517, '\p{Scx=:\Axpeo\z:}', "");;
    Expect(0, 66518, '\p{Scx=:\Axpeo\z:}', "");;
    Expect(1, 66517, '\p{Scx=-_XPEO}', "");
    Expect(0, 66517, '\p{^Scx=-_XPEO}', "");
    Expect(0, 66517, '\P{Scx=-_XPEO}', "");
    Expect(1, 66517, '\P{^Scx=-_XPEO}', "");
    Expect(0, 66518, '\p{Scx=-_XPEO}', "");
    Expect(1, 66518, '\p{^Scx=-_XPEO}', "");
    Expect(1, 66518, '\P{Scx=-_XPEO}', "");
    Expect(0, 66518, '\P{^Scx=-_XPEO}', "");
    Error('\p{Is_Script_Extensions: 	old_Persian/a/}');
    Error('\P{Is_Script_Extensions: 	old_Persian/a/}');
    Expect(1, 66517, '\p{Is_Script_Extensions=oldpersian}', "");
    Expect(0, 66517, '\p{^Is_Script_Extensions=oldpersian}', "");
    Expect(0, 66517, '\P{Is_Script_Extensions=oldpersian}', "");
    Expect(1, 66517, '\P{^Is_Script_Extensions=oldpersian}', "");
    Expect(0, 66518, '\p{Is_Script_Extensions=oldpersian}', "");
    Expect(1, 66518, '\p{^Is_Script_Extensions=oldpersian}', "");
    Expect(1, 66518, '\P{Is_Script_Extensions=oldpersian}', "");
    Expect(0, 66518, '\P{^Is_Script_Extensions=oldpersian}', "");
    Expect(1, 66517, '\p{Is_Script_Extensions=_-Old_persian}', "");
    Expect(0, 66517, '\p{^Is_Script_Extensions=_-Old_persian}', "");
    Expect(0, 66517, '\P{Is_Script_Extensions=_-Old_persian}', "");
    Expect(1, 66517, '\P{^Is_Script_Extensions=_-Old_persian}', "");
    Expect(0, 66518, '\p{Is_Script_Extensions=_-Old_persian}', "");
    Expect(1, 66518, '\p{^Is_Script_Extensions=_-Old_persian}', "");
    Expect(1, 66518, '\P{Is_Script_Extensions=_-Old_persian}', "");
    Expect(0, 66518, '\P{^Is_Script_Extensions=_-Old_persian}', "");
    Error('\p{Is_Scx=:=		xpeo}');
    Error('\P{Is_Scx=:=		xpeo}');
    Expect(1, 66517, '\p{Is_Scx=xpeo}', "");
    Expect(0, 66517, '\p{^Is_Scx=xpeo}', "");
    Expect(0, 66517, '\P{Is_Scx=xpeo}', "");
    Expect(1, 66517, '\P{^Is_Scx=xpeo}', "");
    Expect(0, 66518, '\p{Is_Scx=xpeo}', "");
    Expect(1, 66518, '\p{^Is_Scx=xpeo}', "");
    Expect(1, 66518, '\P{Is_Scx=xpeo}', "");
    Expect(0, 66518, '\P{^Is_Scx=xpeo}', "");
    Expect(1, 66517, '\p{Is_Scx= xpeo}', "");
    Expect(0, 66517, '\p{^Is_Scx= xpeo}', "");
    Expect(0, 66517, '\P{Is_Scx= xpeo}', "");
    Expect(1, 66517, '\P{^Is_Scx= xpeo}', "");
    Expect(0, 66518, '\p{Is_Scx= xpeo}', "");
    Expect(1, 66518, '\p{^Is_Scx= xpeo}', "");
    Expect(1, 66518, '\P{Is_Scx= xpeo}', "");
    Expect(0, 66518, '\P{^Is_Scx= xpeo}', "");
    Error('\p{Script_Extensions=:=_Cuneiform}');
    Error('\P{Script_Extensions=:=_Cuneiform}');
    Expect(1, 75075, '\p{Script_Extensions=:\ACuneiform\z:}', "");;
    Expect(0, 75076, '\p{Script_Extensions=:\ACuneiform\z:}', "");;
    Expect(1, 75075, '\p{Script_Extensions=cuneiform}', "");
    Expect(0, 75075, '\p{^Script_Extensions=cuneiform}', "");
    Expect(0, 75075, '\P{Script_Extensions=cuneiform}', "");
    Expect(1, 75075, '\P{^Script_Extensions=cuneiform}', "");
    Expect(0, 75076, '\p{Script_Extensions=cuneiform}', "");
    Expect(1, 75076, '\p{^Script_Extensions=cuneiform}', "");
    Expect(1, 75076, '\P{Script_Extensions=cuneiform}', "");
    Expect(0, 75076, '\P{^Script_Extensions=cuneiform}', "");
    Expect(1, 75075, '\p{Script_Extensions=:\Acuneiform\z:}', "");;
    Expect(0, 75076, '\p{Script_Extensions=:\Acuneiform\z:}', "");;
    Expect(1, 75075, '\p{Script_Extensions= 	CUNEIFORM}', "");
    Expect(0, 75075, '\p{^Script_Extensions= 	CUNEIFORM}', "");
    Expect(0, 75075, '\P{Script_Extensions= 	CUNEIFORM}', "");
    Expect(1, 75075, '\P{^Script_Extensions= 	CUNEIFORM}', "");
    Expect(0, 75076, '\p{Script_Extensions= 	CUNEIFORM}', "");
    Expect(1, 75076, '\p{^Script_Extensions= 	CUNEIFORM}', "");
    Expect(1, 75076, '\P{Script_Extensions= 	CUNEIFORM}', "");
    Expect(0, 75076, '\P{^Script_Extensions= 	CUNEIFORM}', "");
    Error('\p{Scx=	_XSUX:=}');
    Error('\P{Scx=	_XSUX:=}');
    Expect(1, 75075, '\p{Scx=:\AXsux\z:}', "");;
    Expect(0, 75076, '\p{Scx=:\AXsux\z:}', "");;
    Expect(1, 75075, '\p{Scx=xsux}', "");
    Expect(0, 75075, '\p{^Scx=xsux}', "");
    Expect(0, 75075, '\P{Scx=xsux}', "");
    Expect(1, 75075, '\P{^Scx=xsux}', "");
    Expect(0, 75076, '\p{Scx=xsux}', "");
    Expect(1, 75076, '\p{^Scx=xsux}', "");
    Expect(1, 75076, '\P{Scx=xsux}', "");
    Expect(0, 75076, '\P{^Scx=xsux}', "");
    Expect(1, 75075, '\p{Scx=:\Axsux\z:}', "");;
    Expect(0, 75076, '\p{Scx=:\Axsux\z:}', "");;
    Expect(1, 75075, '\p{Scx=	-xsux}', "");
    Expect(0, 75075, '\p{^Scx=	-xsux}', "");
    Expect(0, 75075, '\P{Scx=	-xsux}', "");
    Expect(1, 75075, '\P{^Scx=	-xsux}', "");
    Expect(0, 75076, '\p{Scx=	-xsux}', "");
    Expect(1, 75076, '\p{^Scx=	-xsux}', "");
    Expect(1, 75076, '\P{Scx=	-xsux}', "");
    Expect(0, 75076, '\P{^Scx=	-xsux}', "");
    Error('\p{Is_Script_Extensions=/a/Cuneiform}');
    Error('\P{Is_Script_Extensions=/a/Cuneiform}');
    Expect(1, 75075, '\p{Is_Script_Extensions=cuneiform}', "");
    Expect(0, 75075, '\p{^Is_Script_Extensions=cuneiform}', "");
    Expect(0, 75075, '\P{Is_Script_Extensions=cuneiform}', "");
    Expect(1, 75075, '\P{^Is_Script_Extensions=cuneiform}', "");
    Expect(0, 75076, '\p{Is_Script_Extensions=cuneiform}', "");
    Expect(1, 75076, '\p{^Is_Script_Extensions=cuneiform}', "");
    Expect(1, 75076, '\P{Is_Script_Extensions=cuneiform}', "");
    Expect(0, 75076, '\P{^Is_Script_Extensions=cuneiform}', "");
    Expect(1, 75075, '\p{Is_Script_Extensions=--CUNEIFORM}', "");
    Expect(0, 75075, '\p{^Is_Script_Extensions=--CUNEIFORM}', "");
    Expect(0, 75075, '\P{Is_Script_Extensions=--CUNEIFORM}', "");
    Expect(1, 75075, '\P{^Is_Script_Extensions=--CUNEIFORM}', "");
    Expect(0, 75076, '\p{Is_Script_Extensions=--CUNEIFORM}', "");
    Expect(1, 75076, '\p{^Is_Script_Extensions=--CUNEIFORM}', "");
    Expect(1, 75076, '\P{Is_Script_Extensions=--CUNEIFORM}', "");
    Expect(0, 75076, '\P{^Is_Script_Extensions=--CUNEIFORM}', "");
    Error('\p{Is_Scx=_ Xsux:=}');
    Error('\P{Is_Scx=_ Xsux:=}');
    Expect(1, 75075, '\p{Is_Scx=xsux}', "");
    Expect(0, 75075, '\p{^Is_Scx=xsux}', "");
    Expect(0, 75075, '\P{Is_Scx=xsux}', "");
    Expect(1, 75075, '\P{^Is_Scx=xsux}', "");
    Expect(0, 75076, '\p{Is_Scx=xsux}', "");
    Expect(1, 75076, '\p{^Is_Scx=xsux}', "");
    Expect(1, 75076, '\P{Is_Scx=xsux}', "");
    Expect(0, 75076, '\P{^Is_Scx=xsux}', "");
    Expect(1, 75075, '\p{Is_Scx= xsux}', "");
    Expect(0, 75075, '\p{^Is_Scx= xsux}', "");
    Expect(0, 75075, '\P{Is_Scx= xsux}', "");
    Expect(1, 75075, '\P{^Is_Scx= xsux}', "");
    Expect(0, 75076, '\p{Is_Scx= xsux}', "");
    Expect(1, 75076, '\p{^Is_Scx= xsux}', "");
    Expect(1, 75076, '\P{Is_Scx= xsux}', "");
    Expect(0, 75076, '\P{^Is_Scx= xsux}', "");
    Error('\p{Script_Extensions=  Yezidi:=}');
    Error('\P{Script_Extensions=  Yezidi:=}');
    Expect(1, 69297, '\p{Script_Extensions=:\AYezidi\z:}', "");;
    Expect(0, 69298, '\p{Script_Extensions=:\AYezidi\z:}', "");;
    Expect(1, 69297, '\p{Script_Extensions:yezidi}', "");
    Expect(0, 69297, '\p{^Script_Extensions:yezidi}', "");
    Expect(0, 69297, '\P{Script_Extensions:yezidi}', "");
    Expect(1, 69297, '\P{^Script_Extensions:yezidi}', "");
    Expect(0, 69298, '\p{Script_Extensions:yezidi}', "");
    Expect(1, 69298, '\p{^Script_Extensions:yezidi}', "");
    Expect(1, 69298, '\P{Script_Extensions:yezidi}', "");
    Expect(0, 69298, '\P{^Script_Extensions:yezidi}', "");
    Expect(1, 69297, '\p{Script_Extensions=:\Ayezidi\z:}', "");;
    Expect(0, 69298, '\p{Script_Extensions=:\Ayezidi\z:}', "");;
    Expect(1, 69297, '\p{Script_Extensions= _Yezidi}', "");
    Expect(0, 69297, '\p{^Script_Extensions= _Yezidi}', "");
    Expect(0, 69297, '\P{Script_Extensions= _Yezidi}', "");
    Expect(1, 69297, '\P{^Script_Extensions= _Yezidi}', "");
    Expect(0, 69298, '\p{Script_Extensions= _Yezidi}', "");
    Expect(1, 69298, '\p{^Script_Extensions= _Yezidi}', "");
    Expect(1, 69298, '\P{Script_Extensions= _Yezidi}', "");
    Expect(0, 69298, '\P{^Script_Extensions= _Yezidi}', "");
    Error('\p{Scx=-	yezi:=}');
    Error('\P{Scx=-	yezi:=}');
    Expect(1, 69297, '\p{Scx=:\AYezi\z:}', "");;
    Expect(0, 69298, '\p{Scx=:\AYezi\z:}', "");;
    Expect(1, 69297, '\p{Scx=yezi}', "");
    Expect(0, 69297, '\p{^Scx=yezi}', "");
    Expect(0, 69297, '\P{Scx=yezi}', "");
    Expect(1, 69297, '\P{^Scx=yezi}', "");
    Expect(0, 69298, '\p{Scx=yezi}', "");
    Expect(1, 69298, '\p{^Scx=yezi}', "");
    Expect(1, 69298, '\P{Scx=yezi}', "");
    Expect(0, 69298, '\P{^Scx=yezi}', "");
    Expect(1, 69297, '\p{Scx=:\Ayezi\z:}', "");;
    Expect(0, 69298, '\p{Scx=:\Ayezi\z:}', "");;
    Expect(1, 69297, '\p{Scx=_-Yezi}', "");
    Expect(0, 69297, '\p{^Scx=_-Yezi}', "");
    Expect(0, 69297, '\P{Scx=_-Yezi}', "");
    Expect(1, 69297, '\P{^Scx=_-Yezi}', "");
    Expect(0, 69298, '\p{Scx=_-Yezi}', "");
    Expect(1, 69298, '\p{^Scx=_-Yezi}', "");
    Expect(1, 69298, '\P{Scx=_-Yezi}', "");
    Expect(0, 69298, '\P{^Scx=_-Yezi}', "");
    Error('\p{Is_Script_Extensions=	 Yezidi/a/}');
    Error('\P{Is_Script_Extensions=	 Yezidi/a/}');
    Expect(1, 69297, '\p{Is_Script_Extensions=yezidi}', "");
    Expect(0, 69297, '\p{^Is_Script_Extensions=yezidi}', "");
    Expect(0, 69297, '\P{Is_Script_Extensions=yezidi}', "");
    Expect(1, 69297, '\P{^Is_Script_Extensions=yezidi}', "");
    Expect(0, 69298, '\p{Is_Script_Extensions=yezidi}', "");
    Expect(1, 69298, '\p{^Is_Script_Extensions=yezidi}', "");
    Expect(1, 69298, '\P{Is_Script_Extensions=yezidi}', "");
    Expect(0, 69298, '\P{^Is_Script_Extensions=yezidi}', "");
    Expect(1, 69297, '\p{Is_Script_Extensions=-yezidi}', "");
    Expect(0, 69297, '\p{^Is_Script_Extensions=-yezidi}', "");
    Expect(0, 69297, '\P{Is_Script_Extensions=-yezidi}', "");
    Expect(1, 69297, '\P{^Is_Script_Extensions=-yezidi}', "");
    Expect(0, 69298, '\p{Is_Script_Extensions=-yezidi}', "");
    Expect(1, 69298, '\p{^Is_Script_Extensions=-yezidi}', "");
    Expect(1, 69298, '\P{Is_Script_Extensions=-yezidi}', "");
    Expect(0, 69298, '\P{^Is_Script_Extensions=-yezidi}', "");
    Error('\p{Is_Scx=:=	_Yezi}');
    Error('\P{Is_Scx=:=	_Yezi}');
    Expect(1, 69297, '\p{Is_Scx=yezi}', "");
    Expect(0, 69297, '\p{^Is_Scx=yezi}', "");
    Expect(0, 69297, '\P{Is_Scx=yezi}', "");
    Expect(1, 69297, '\P{^Is_Scx=yezi}', "");
    Expect(0, 69298, '\p{Is_Scx=yezi}', "");
    Expect(1, 69298, '\p{^Is_Scx=yezi}', "");
    Expect(1, 69298, '\P{Is_Scx=yezi}', "");
    Expect(0, 69298, '\P{^Is_Scx=yezi}', "");
    Expect(1, 69297, '\p{Is_Scx= Yezi}', "");
    Expect(0, 69297, '\p{^Is_Scx= Yezi}', "");
    Expect(0, 69297, '\P{Is_Scx= Yezi}', "");
    Expect(1, 69297, '\P{^Is_Scx= Yezi}', "");
    Expect(0, 69298, '\p{Is_Scx= Yezi}', "");
    Expect(1, 69298, '\p{^Is_Scx= Yezi}', "");
    Expect(1, 69298, '\P{Is_Scx= Yezi}', "");
    Expect(0, 69298, '\P{^Is_Scx= Yezi}', "");
    Error('\p{Script_Extensions=:=--YI}');
    Error('\P{Script_Extensions=:=--YI}');
    Expect(1, 65381, '\p{Script_Extensions=:\AYi\z:}', "");;
    Expect(0, 65382, '\p{Script_Extensions=:\AYi\z:}', "");;
    Expect(1, 65381, '\p{Script_Extensions=yi}', "");
    Expect(0, 65381, '\p{^Script_Extensions=yi}', "");
    Expect(0, 65381, '\P{Script_Extensions=yi}', "");
    Expect(1, 65381, '\P{^Script_Extensions=yi}', "");
    Expect(0, 65382, '\p{Script_Extensions=yi}', "");
    Expect(1, 65382, '\p{^Script_Extensions=yi}', "");
    Expect(1, 65382, '\P{Script_Extensions=yi}', "");
    Expect(0, 65382, '\P{^Script_Extensions=yi}', "");
    Expect(1, 65381, '\p{Script_Extensions=:\Ayi\z:}', "");;
    Expect(0, 65382, '\p{Script_Extensions=:\Ayi\z:}', "");;
    Expect(1, 65381, '\p{Script_Extensions=-	Yi}', "");
    Expect(0, 65381, '\p{^Script_Extensions=-	Yi}', "");
    Expect(0, 65381, '\P{Script_Extensions=-	Yi}', "");
    Expect(1, 65381, '\P{^Script_Extensions=-	Yi}', "");
    Expect(0, 65382, '\p{Script_Extensions=-	Yi}', "");
    Expect(1, 65382, '\p{^Script_Extensions=-	Yi}', "");
    Expect(1, 65382, '\P{Script_Extensions=-	Yi}', "");
    Expect(0, 65382, '\P{^Script_Extensions=-	Yi}', "");
    Error('\p{Scx=/a/Yiii}');
    Error('\P{Scx=/a/Yiii}');
    Expect(1, 65381, '\p{Scx=:\AYiii\z:}', "");;
    Expect(0, 65382, '\p{Scx=:\AYiii\z:}', "");;
    Expect(1, 65381, '\p{Scx=yiii}', "");
    Expect(0, 65381, '\p{^Scx=yiii}', "");
    Expect(0, 65381, '\P{Scx=yiii}', "");
    Expect(1, 65381, '\P{^Scx=yiii}', "");
    Expect(0, 65382, '\p{Scx=yiii}', "");
    Expect(1, 65382, '\p{^Scx=yiii}', "");
    Expect(1, 65382, '\P{Scx=yiii}', "");
    Expect(0, 65382, '\P{^Scx=yiii}', "");
    Expect(1, 65381, '\p{Scx=:\Ayiii\z:}', "");;
    Expect(0, 65382, '\p{Scx=:\Ayiii\z:}', "");;
    Expect(1, 65381, '\p{Scx=Yiii}', "");
    Expect(0, 65381, '\p{^Scx=Yiii}', "");
    Expect(0, 65381, '\P{Scx=Yiii}', "");
    Expect(1, 65381, '\P{^Scx=Yiii}', "");
    Expect(0, 65382, '\p{Scx=Yiii}', "");
    Expect(1, 65382, '\p{^Scx=Yiii}', "");
    Expect(1, 65382, '\P{Scx=Yiii}', "");
    Expect(0, 65382, '\P{^Scx=Yiii}', "");
    Error('\p{Is_Script_Extensions=:=Yi}');
    Error('\P{Is_Script_Extensions=:=Yi}');
    Expect(1, 65381, '\p{Is_Script_Extensions:	yi}', "");
    Expect(0, 65381, '\p{^Is_Script_Extensions:	yi}', "");
    Expect(0, 65381, '\P{Is_Script_Extensions:	yi}', "");
    Expect(1, 65381, '\P{^Is_Script_Extensions:	yi}', "");
    Expect(0, 65382, '\p{Is_Script_Extensions:	yi}', "");
    Expect(1, 65382, '\p{^Is_Script_Extensions:	yi}', "");
    Expect(1, 65382, '\P{Is_Script_Extensions:	yi}', "");
    Expect(0, 65382, '\P{^Is_Script_Extensions:	yi}', "");
    Expect(1, 65381, '\p{Is_Script_Extensions=_-Yi}', "");
    Expect(0, 65381, '\p{^Is_Script_Extensions=_-Yi}', "");
    Expect(0, 65381, '\P{Is_Script_Extensions=_-Yi}', "");
    Expect(1, 65381, '\P{^Is_Script_Extensions=_-Yi}', "");
    Expect(0, 65382, '\p{Is_Script_Extensions=_-Yi}', "");
    Expect(1, 65382, '\p{^Is_Script_Extensions=_-Yi}', "");
    Expect(1, 65382, '\P{Is_Script_Extensions=_-Yi}', "");
    Expect(0, 65382, '\P{^Is_Script_Extensions=_-Yi}', "");
    Error('\p{Is_Scx=/a/YIII}');
    Error('\P{Is_Scx=/a/YIII}');
    Expect(1, 65381, '\p{Is_Scx: yiii}', "");
    Expect(0, 65381, '\p{^Is_Scx: yiii}', "");
    Expect(0, 65381, '\P{Is_Scx: yiii}', "");
    Expect(1, 65381, '\P{^Is_Scx: yiii}', "");
    Expect(0, 65382, '\p{Is_Scx: yiii}', "");
    Expect(1, 65382, '\p{^Is_Scx: yiii}', "");
    Expect(1, 65382, '\P{Is_Scx: yiii}', "");
    Expect(0, 65382, '\P{^Is_Scx: yiii}', "");
    Expect(1, 65381, '\p{Is_Scx=_ Yiii}', "");
    Expect(0, 65381, '\p{^Is_Scx=_ Yiii}', "");
    Expect(0, 65381, '\P{Is_Scx=_ Yiii}', "");
    Expect(1, 65381, '\P{^Is_Scx=_ Yiii}', "");
    Expect(0, 65382, '\p{Is_Scx=_ Yiii}', "");
    Expect(1, 65382, '\p{^Is_Scx=_ Yiii}', "");
    Expect(1, 65382, '\P{Is_Scx=_ Yiii}', "");
    Expect(0, 65382, '\P{^Is_Scx=_ Yiii}', "");
    Error('\p{Script_Extensions:/a/zanabazar_Square}');
    Error('\P{Script_Extensions:/a/zanabazar_Square}');
    Expect(1, 72263, '\p{Script_Extensions=:\AZanabazar_Square\z:}', "");;
    Expect(0, 72264, '\p{Script_Extensions=:\AZanabazar_Square\z:}', "");;
    Expect(1, 72263, '\p{Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72263, '\p{^Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72263, '\P{Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72263, '\P{^Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72264, '\p{Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72264, '\p{^Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72264, '\P{Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72264, '\P{^Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72263, '\p{Script_Extensions=:\Azanabazarsquare\z:}', "");;
    Expect(0, 72264, '\p{Script_Extensions=:\Azanabazarsquare\z:}', "");;
    Expect(1, 72263, '\p{Script_Extensions=_Zanabazar_SQUARE}', "");
    Expect(0, 72263, '\p{^Script_Extensions=_Zanabazar_SQUARE}', "");
    Expect(0, 72263, '\P{Script_Extensions=_Zanabazar_SQUARE}', "");
    Expect(1, 72263, '\P{^Script_Extensions=_Zanabazar_SQUARE}', "");
    Expect(0, 72264, '\p{Script_Extensions=_Zanabazar_SQUARE}', "");
    Expect(1, 72264, '\p{^Script_Extensions=_Zanabazar_SQUARE}', "");
    Expect(1, 72264, '\P{Script_Extensions=_Zanabazar_SQUARE}', "");
    Expect(0, 72264, '\P{^Script_Extensions=_Zanabazar_SQUARE}', "");
    Error('\p{Scx:_	Zanb:=}');
    Error('\P{Scx:_	Zanb:=}');
    Expect(1, 72263, '\p{Scx=:\AZanb\z:}', "");;
    Expect(0, 72264, '\p{Scx=:\AZanb\z:}', "");;
    Expect(1, 72263, '\p{Scx=zanb}', "");
    Expect(0, 72263, '\p{^Scx=zanb}', "");
    Expect(0, 72263, '\P{Scx=zanb}', "");
    Expect(1, 72263, '\P{^Scx=zanb}', "");
    Expect(0, 72264, '\p{Scx=zanb}', "");
    Expect(1, 72264, '\p{^Scx=zanb}', "");
    Expect(1, 72264, '\P{Scx=zanb}', "");
    Expect(0, 72264, '\P{^Scx=zanb}', "");
    Expect(1, 72263, '\p{Scx=:\Azanb\z:}', "");;
    Expect(0, 72264, '\p{Scx=:\Azanb\z:}', "");;
    Expect(1, 72263, '\p{Scx=-Zanb}', "");
    Expect(0, 72263, '\p{^Scx=-Zanb}', "");
    Expect(0, 72263, '\P{Scx=-Zanb}', "");
    Expect(1, 72263, '\P{^Scx=-Zanb}', "");
    Expect(0, 72264, '\p{Scx=-Zanb}', "");
    Expect(1, 72264, '\p{^Scx=-Zanb}', "");
    Expect(1, 72264, '\P{Scx=-Zanb}', "");
    Expect(0, 72264, '\P{^Scx=-Zanb}', "");
    Error('\p{Is_Script_Extensions=_-ZANABAZAR_Square:=}');
    Error('\P{Is_Script_Extensions=_-ZANABAZAR_Square:=}');
    Expect(1, 72263, '\p{Is_Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72263, '\p{^Is_Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72263, '\P{Is_Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72263, '\P{^Is_Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72264, '\p{Is_Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72264, '\p{^Is_Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72264, '\P{Is_Script_Extensions=zanabazarsquare}', "");
    Expect(0, 72264, '\P{^Is_Script_Extensions=zanabazarsquare}', "");
    Expect(1, 72263, '\p{Is_Script_Extensions=-_zanabazar_Square}', "");
    Expect(0, 72263, '\p{^Is_Script_Extensions=-_zanabazar_Square}', "");
    Expect(0, 72263, '\P{Is_Script_Extensions=-_zanabazar_Square}', "");
    Expect(1, 72263, '\P{^Is_Script_Extensions=-_zanabazar_Square}', "");
    Expect(0, 72264, '\p{Is_Script_Extensions=-_zanabazar_Square}', "");
    Expect(1, 72264, '\p{^Is_Script_Extensions=-_zanabazar_Square}', "");
    Expect(1, 72264, '\P{Is_Script_Extensions=-_zanabazar_Square}', "");
    Expect(0, 72264, '\P{^Is_Script_Extensions=-_zanabazar_Square}', "");
    Error('\p{Is_Scx=:=_zanb}');
    Error('\P{Is_Scx=:=_zanb}');
    Expect(1, 72263, '\p{Is_Scx=zanb}', "");
    Expect(0, 72263, '\p{^Is_Scx=zanb}', "");
    Expect(0, 72263, '\P{Is_Scx=zanb}', "");
    Expect(1, 72263, '\P{^Is_Scx=zanb}', "");
    Expect(0, 72264, '\p{Is_Scx=zanb}', "");
    Expect(1, 72264, '\p{^Is_Scx=zanb}', "");
    Expect(1, 72264, '\P{Is_Scx=zanb}', "");
    Expect(0, 72264, '\P{^Is_Scx=zanb}', "");
    Expect(1, 72263, '\p{Is_Scx=ZANB}', "");
    Expect(0, 72263, '\p{^Is_Scx=ZANB}', "");
    Expect(0, 72263, '\P{Is_Scx=ZANB}', "");
    Expect(1, 72263, '\P{^Is_Scx=ZANB}', "");
    Expect(0, 72264, '\p{Is_Scx=ZANB}', "");
    Expect(1, 72264, '\p{^Is_Scx=ZANB}', "");
    Expect(1, 72264, '\P{Is_Scx=ZANB}', "");
    Expect(0, 72264, '\P{^Is_Scx=ZANB}', "");
    Error('\p{Script_Extensions=_Inherited/a/}');
    Error('\P{Script_Extensions=_Inherited/a/}');
    Expect(1, 917999, '\p{Script_Extensions=:\AInherited\z:}', "");;
    Expect(0, 918000, '\p{Script_Extensions=:\AInherited\z:}', "");;
    Expect(1, 917999, '\p{Script_Extensions=inherited}', "");
    Expect(0, 917999, '\p{^Script_Extensions=inherited}', "");
    Expect(0, 917999, '\P{Script_Extensions=inherited}', "");
    Expect(1, 917999, '\P{^Script_Extensions=inherited}', "");
    Expect(0, 918000, '\p{Script_Extensions=inherited}', "");
    Expect(1, 918000, '\p{^Script_Extensions=inherited}', "");
    Expect(1, 918000, '\P{Script_Extensions=inherited}', "");
    Expect(0, 918000, '\P{^Script_Extensions=inherited}', "");
    Expect(1, 917999, '\p{Script_Extensions=:\Ainherited\z:}', "");;
    Expect(0, 918000, '\p{Script_Extensions=:\Ainherited\z:}', "");;
    Expect(1, 917999, '\p{Script_Extensions=-	INHERITED}', "");
    Expect(0, 917999, '\p{^Script_Extensions=-	INHERITED}', "");
    Expect(0, 917999, '\P{Script_Extensions=-	INHERITED}', "");
    Expect(1, 917999, '\P{^Script_Extensions=-	INHERITED}', "");
    Expect(0, 918000, '\p{Script_Extensions=-	INHERITED}', "");
    Expect(1, 918000, '\p{^Script_Extensions=-	INHERITED}', "");
    Expect(1, 918000, '\P{Script_Extensions=-	INHERITED}', "");
    Expect(0, 918000, '\P{^Script_Extensions=-	INHERITED}', "");
    Error('\p{Scx=-	zinh:=}');
    Error('\P{Scx=-	zinh:=}');
    Expect(1, 917999, '\p{Scx=:\AZinh\z:}', "");;
    Expect(0, 918000, '\p{Scx=:\AZinh\z:}', "");;
    Expect(1, 917999, '\p{Scx=zinh}', "");
    Expect(0, 917999, '\p{^Scx=zinh}', "");
    Expect(0, 917999, '\P{Scx=zinh}', "");
    Expect(1, 917999, '\P{^Scx=zinh}', "");
    Expect(0, 918000, '\p{Scx=zinh}', "");
    Expect(1, 918000, '\p{^Scx=zinh}', "");
    Expect(1, 918000, '\P{Scx=zinh}', "");
    Expect(0, 918000, '\P{^Scx=zinh}', "");
    Expect(1, 917999, '\p{Scx=:\Azinh\z:}', "");;
    Expect(0, 918000, '\p{Scx=:\Azinh\z:}', "");;
    Expect(1, 917999, '\p{Scx=-	Zinh}', "");
    Expect(0, 917999, '\p{^Scx=-	Zinh}', "");
    Expect(0, 917999, '\P{Scx=-	Zinh}', "");
    Expect(1, 917999, '\P{^Scx=-	Zinh}', "");
    Expect(0, 918000, '\p{Scx=-	Zinh}', "");
    Expect(1, 918000, '\p{^Scx=-	Zinh}', "");
    Expect(1, 918000, '\P{Scx=-	Zinh}', "");
    Expect(0, 918000, '\P{^Scx=-	Zinh}', "");
    Error('\p{Is_Script_Extensions=_-Qaai:=}');
    Error('\P{Is_Script_Extensions=_-Qaai:=}');
    Expect(1, 917999, '\p{Is_Script_Extensions=qaai}', "");
    Expect(0, 917999, '\p{^Is_Script_Extensions=qaai}', "");
    Expect(0, 917999, '\P{Is_Script_Extensions=qaai}', "");
    Expect(1, 917999, '\P{^Is_Script_Extensions=qaai}', "");
    Expect(0, 918000, '\p{Is_Script_Extensions=qaai}', "");
    Expect(1, 918000, '\p{^Is_Script_Extensions=qaai}', "");
    Expect(1, 918000, '\P{Is_Script_Extensions=qaai}', "");
    Expect(0, 918000, '\P{^Is_Script_Extensions=qaai}', "");
    Expect(1, 917999, '\p{Is_Script_Extensions=_-QAAI}', "");
    Expect(0, 917999, '\p{^Is_Script_Extensions=_-QAAI}', "");
    Expect(0, 917999, '\P{Is_Script_Extensions=_-QAAI}', "");
    Expect(1, 917999, '\P{^Is_Script_Extensions=_-QAAI}', "");
    Expect(0, 918000, '\p{Is_Script_Extensions=_-QAAI}', "");
    Expect(1, 918000, '\p{^Is_Script_Extensions=_-QAAI}', "");
    Expect(1, 918000, '\P{Is_Script_Extensions=_-QAAI}', "");
    Expect(0, 918000, '\P{^Is_Script_Extensions=_-QAAI}', "");
    Error('\p{Is_Scx= :=Inherited}');
    Error('\P{Is_Scx= :=Inherited}');
    Expect(1, 917999, '\p{Is_Scx=inherited}', "");
    Expect(0, 917999, '\p{^Is_Scx=inherited}', "");
    Expect(0, 917999, '\P{Is_Scx=inherited}', "");
    Expect(1, 917999, '\P{^Is_Scx=inherited}', "");
    Expect(0, 918000, '\p{Is_Scx=inherited}', "");
    Expect(1, 918000, '\p{^Is_Scx=inherited}', "");
    Expect(1, 918000, '\P{Is_Scx=inherited}', "");
    Expect(0, 918000, '\P{^Is_Scx=inherited}', "");
    Expect(1, 917999, '\p{Is_Scx=-INHERITED}', "");
    Expect(0, 917999, '\p{^Is_Scx=-INHERITED}', "");
    Expect(0, 917999, '\P{Is_Scx=-INHERITED}', "");
    Expect(1, 917999, '\P{^Is_Scx=-INHERITED}', "");
    Expect(0, 918000, '\p{Is_Scx=-INHERITED}', "");
    Expect(1, 918000, '\p{^Is_Scx=-INHERITED}', "");
    Expect(1, 918000, '\P{Is_Scx=-INHERITED}', "");
    Expect(0, 918000, '\P{^Is_Scx=-INHERITED}', "");
    Error('\p{Script_Extensions=:= COMMON}');
    Error('\P{Script_Extensions=:= COMMON}');
    Expect(1, 917631, '\p{Script_Extensions=:\ACommon\z:}', "");;
    Expect(0, 917632, '\p{Script_Extensions=:\ACommon\z:}', "");;
    Expect(1, 917631, '\p{Script_Extensions=common}', "");
    Expect(0, 917631, '\p{^Script_Extensions=common}', "");
    Expect(0, 917631, '\P{Script_Extensions=common}', "");
    Expect(1, 917631, '\P{^Script_Extensions=common}', "");
    Expect(0, 917632, '\p{Script_Extensions=common}', "");
    Expect(1, 917632, '\p{^Script_Extensions=common}', "");
    Expect(1, 917632, '\P{Script_Extensions=common}', "");
    Expect(0, 917632, '\P{^Script_Extensions=common}', "");
    Expect(1, 917631, '\p{Script_Extensions=:\Acommon\z:}', "");;
    Expect(0, 917632, '\p{Script_Extensions=:\Acommon\z:}', "");;
    Expect(1, 917631, '\p{Script_Extensions=-_common}', "");
    Expect(0, 917631, '\p{^Script_Extensions=-_common}', "");
    Expect(0, 917631, '\P{Script_Extensions=-_common}', "");
    Expect(1, 917631, '\P{^Script_Extensions=-_common}', "");
    Expect(0, 917632, '\p{Script_Extensions=-_common}', "");
    Expect(1, 917632, '\p{^Script_Extensions=-_common}', "");
    Expect(1, 917632, '\P{Script_Extensions=-_common}', "");
    Expect(0, 917632, '\P{^Script_Extensions=-_common}', "");
    Error('\p{Scx=:= Zyyy}');
    Error('\P{Scx=:= Zyyy}');
    Expect(1, 917631, '\p{Scx=:\AZyyy\z:}', "");;
    Expect(0, 917632, '\p{Scx=:\AZyyy\z:}', "");;
    Expect(1, 917631, '\p{Scx:	zyyy}', "");
    Expect(0, 917631, '\p{^Scx:	zyyy}', "");
    Expect(0, 917631, '\P{Scx:	zyyy}', "");
    Expect(1, 917631, '\P{^Scx:	zyyy}', "");
    Expect(0, 917632, '\p{Scx:	zyyy}', "");
    Expect(1, 917632, '\p{^Scx:	zyyy}', "");
    Expect(1, 917632, '\P{Scx:	zyyy}', "");
    Expect(0, 917632, '\P{^Scx:	zyyy}', "");
    Expect(1, 917631, '\p{Scx=:\Azyyy\z:}', "");;
    Expect(0, 917632, '\p{Scx=:\Azyyy\z:}', "");;
    Expect(1, 917631, '\p{Scx=_	Zyyy}', "");
    Expect(0, 917631, '\p{^Scx=_	Zyyy}', "");
    Expect(0, 917631, '\P{Scx=_	Zyyy}', "");
    Expect(1, 917631, '\P{^Scx=_	Zyyy}', "");
    Expect(0, 917632, '\p{Scx=_	Zyyy}', "");
    Expect(1, 917632, '\p{^Scx=_	Zyyy}', "");
    Expect(1, 917632, '\P{Scx=_	Zyyy}', "");
    Expect(0, 917632, '\P{^Scx=_	Zyyy}', "");
    Error('\p{Is_Script_Extensions=--COMMON/a/}');
    Error('\P{Is_Script_Extensions=--COMMON/a/}');
    Expect(1, 917631, '\p{Is_Script_Extensions=common}', "");
    Expect(0, 917631, '\p{^Is_Script_Extensions=common}', "");
    Expect(0, 917631, '\P{Is_Script_Extensions=common}', "");
    Expect(1, 917631, '\P{^Is_Script_Extensions=common}', "");
    Expect(0, 917632, '\p{Is_Script_Extensions=common}', "");
    Expect(1, 917632, '\p{^Is_Script_Extensions=common}', "");
    Expect(1, 917632, '\P{Is_Script_Extensions=common}', "");
    Expect(0, 917632, '\P{^Is_Script_Extensions=common}', "");
    Expect(1, 917631, '\p{Is_Script_Extensions=-Common}', "");
    Expect(0, 917631, '\p{^Is_Script_Extensions=-Common}', "");
    Expect(0, 917631, '\P{Is_Script_Extensions=-Common}', "");
    Expect(1, 917631, '\P{^Is_Script_Extensions=-Common}', "");
    Expect(0, 917632, '\p{Is_Script_Extensions=-Common}', "");
    Expect(1, 917632, '\p{^Is_Script_Extensions=-Common}', "");
    Expect(1, 917632, '\P{Is_Script_Extensions=-Common}', "");
    Expect(0, 917632, '\P{^Is_Script_Extensions=-Common}', "");
    Error('\p{Is_Scx= :=Zyyy}');
    Error('\P{Is_Scx= :=Zyyy}');
    Expect(1, 917631, '\p{Is_Scx:	zyyy}', "");
    Expect(0, 917631, '\p{^Is_Scx:	zyyy}', "");
    Expect(0, 917631, '\P{Is_Scx:	zyyy}', "");
    Expect(1, 917631, '\P{^Is_Scx:	zyyy}', "");
    Expect(0, 917632, '\p{Is_Scx:	zyyy}', "");
    Expect(1, 917632, '\p{^Is_Scx:	zyyy}', "");
    Expect(1, 917632, '\P{Is_Scx:	zyyy}', "");
    Expect(0, 917632, '\P{^Is_Scx:	zyyy}', "");
    Expect(1, 917631, '\p{Is_Scx=-_Zyyy}', "");
    Expect(0, 917631, '\p{^Is_Scx=-_Zyyy}', "");
    Expect(0, 917631, '\P{Is_Scx=-_Zyyy}', "");
    Expect(1, 917631, '\P{^Is_Scx=-_Zyyy}', "");
    Expect(0, 917632, '\p{Is_Scx=-_Zyyy}', "");
    Expect(1, 917632, '\p{^Is_Scx=-_Zyyy}', "");
    Expect(1, 917632, '\P{Is_Scx=-_Zyyy}', "");
    Expect(0, 917632, '\P{^Is_Scx=-_Zyyy}', "");
    Error('\p{Script_Extensions=	unknown/a/}');
    Error('\P{Script_Extensions=	unknown/a/}');
    Expect(1, 918000, '\p{Script_Extensions=:\AUnknown\z:}', "");;
    Expect(0, 917999, '\p{Script_Extensions=:\AUnknown\z:}', "");;
    Expect(1, 918000, '\p{Script_Extensions=unknown}', "");
    Expect(0, 918000, '\p{^Script_Extensions=unknown}', "");
    Expect(0, 918000, '\P{Script_Extensions=unknown}', "");
    Expect(1, 918000, '\P{^Script_Extensions=unknown}', "");
    Expect(0, 917999, '\p{Script_Extensions=unknown}', "");
    Expect(1, 917999, '\p{^Script_Extensions=unknown}', "");
    Expect(1, 917999, '\P{Script_Extensions=unknown}', "");
    Expect(0, 917999, '\P{^Script_Extensions=unknown}', "");
    Expect(1, 918000, '\p{Script_Extensions=:\Aunknown\z:}', "");;
    Expect(0, 917999, '\p{Script_Extensions=:\Aunknown\z:}', "");;
    Expect(1, 918000, '\p{Script_Extensions=_ UNKNOWN}', "");
    Expect(0, 918000, '\p{^Script_Extensions=_ UNKNOWN}', "");
    Expect(0, 918000, '\P{Script_Extensions=_ UNKNOWN}', "");
    Expect(1, 918000, '\P{^Script_Extensions=_ UNKNOWN}', "");
    Expect(0, 917999, '\p{Script_Extensions=_ UNKNOWN}', "");
    Expect(1, 917999, '\p{^Script_Extensions=_ UNKNOWN}', "");
    Expect(1, 917999, '\P{Script_Extensions=_ UNKNOWN}', "");
    Expect(0, 917999, '\P{^Script_Extensions=_ UNKNOWN}', "");
    Error('\p{Scx=-ZZZZ:=}');
    Error('\P{Scx=-ZZZZ:=}');
    Expect(1, 918000, '\p{Scx=:\AZzzz\z:}', "");;
    Expect(0, 917999, '\p{Scx=:\AZzzz\z:}', "");;
    Expect(1, 918000, '\p{Scx:zzzz}', "");
    Expect(0, 918000, '\p{^Scx:zzzz}', "");
    Expect(0, 918000, '\P{Scx:zzzz}', "");
    Expect(1, 918000, '\P{^Scx:zzzz}', "");
    Expect(0, 917999, '\p{Scx:zzzz}', "");
    Expect(1, 917999, '\p{^Scx:zzzz}', "");
    Expect(1, 917999, '\P{Scx:zzzz}', "");
    Expect(0, 917999, '\P{^Scx:zzzz}', "");
    Expect(1, 918000, '\p{Scx=:\Azzzz\z:}', "");;
    Expect(0, 917999, '\p{Scx=:\Azzzz\z:}', "");;
    Expect(1, 918000, '\p{Scx=--ZZZZ}', "");
    Expect(0, 918000, '\p{^Scx=--ZZZZ}', "");
    Expect(0, 918000, '\P{Scx=--ZZZZ}', "");
    Expect(1, 918000, '\P{^Scx=--ZZZZ}', "");
    Expect(0, 917999, '\p{Scx=--ZZZZ}', "");
    Expect(1, 917999, '\p{^Scx=--ZZZZ}', "");
    Expect(1, 917999, '\P{Scx=--ZZZZ}', "");
    Expect(0, 917999, '\P{^Scx=--ZZZZ}', "");
    Error('\p{Is_Script_Extensions=-:=Unknown}');
    Error('\P{Is_Script_Extensions=-:=Unknown}');
    Expect(1, 918000, '\p{Is_Script_Extensions=unknown}', "");
    Expect(0, 918000, '\p{^Is_Script_Extensions=unknown}', "");
    Expect(0, 918000, '\P{Is_Script_Extensions=unknown}', "");
    Expect(1, 918000, '\P{^Is_Script_Extensions=unknown}', "");
    Expect(0, 917999, '\p{Is_Script_Extensions=unknown}', "");
    Expect(1, 917999, '\p{^Is_Script_Extensions=unknown}', "");
    Expect(1, 917999, '\P{Is_Script_Extensions=unknown}', "");
    Expect(0, 917999, '\P{^Is_Script_Extensions=unknown}', "");
    Expect(1, 918000, '\p{Is_Script_Extensions=_-unknown}', "");
    Expect(0, 918000, '\p{^Is_Script_Extensions=_-unknown}', "");
    Expect(0, 918000, '\P{Is_Script_Extensions=_-unknown}', "");
    Expect(1, 918000, '\P{^Is_Script_Extensions=_-unknown}', "");
    Expect(0, 917999, '\p{Is_Script_Extensions=_-unknown}', "");
    Expect(1, 917999, '\p{^Is_Script_Extensions=_-unknown}', "");
    Expect(1, 917999, '\P{Is_Script_Extensions=_-unknown}', "");
    Expect(0, 917999, '\P{^Is_Script_Extensions=_-unknown}', "");
    Error('\p{Is_Scx=_-zzzz/a/}');
    Error('\P{Is_Scx=_-zzzz/a/}');
    Expect(1, 918000, '\p{Is_Scx:	zzzz}', "");
    Expect(0, 918000, '\p{^Is_Scx:	zzzz}', "");
    Expect(0, 918000, '\P{Is_Scx:	zzzz}', "");
    Expect(1, 918000, '\P{^Is_Scx:	zzzz}', "");
    Expect(0, 917999, '\p{Is_Scx:	zzzz}', "");
    Expect(1, 917999, '\p{^Is_Scx:	zzzz}', "");
    Expect(1, 917999, '\P{Is_Scx:	zzzz}', "");
    Expect(0, 917999, '\P{^Is_Scx:	zzzz}', "");
    Expect(1, 918000, '\p{Is_Scx= 	ZZZZ}', "");
    Expect(0, 918000, '\p{^Is_Scx= 	ZZZZ}', "");
    Expect(0, 918000, '\P{Is_Scx= 	ZZZZ}', "");
    Expect(1, 918000, '\P{^Is_Scx= 	ZZZZ}', "");
    Expect(0, 917999, '\p{Is_Scx= 	ZZZZ}', "");
    Expect(1, 917999, '\p{^Is_Scx= 	ZZZZ}', "");
    Expect(1, 917999, '\P{Is_Scx= 	ZZZZ}', "");
    Expect(0, 917999, '\P{^Is_Scx= 	ZZZZ}', "");
    Error('\p{Soft_Dotted=-	No/a/}');
    Error('\P{Soft_Dotted=-	No/a/}');
    Expect(1, 122651, '\p{Soft_Dotted=:\ANo\z:}', "");;
    Expect(0, 122650, '\p{Soft_Dotted=:\ANo\z:}', "");;
    Expect(1, 122651, '\p{Soft_Dotted=no}', "");
    Expect(0, 122651, '\p{^Soft_Dotted=no}', "");
    Expect(0, 122651, '\P{Soft_Dotted=no}', "");
    Expect(1, 122651, '\P{^Soft_Dotted=no}', "");
    Expect(0, 122650, '\p{Soft_Dotted=no}', "");
    Expect(1, 122650, '\p{^Soft_Dotted=no}', "");
    Expect(1, 122650, '\P{Soft_Dotted=no}', "");
    Expect(0, 122650, '\P{^Soft_Dotted=no}', "");
    Expect(1, 122651, '\p{Soft_Dotted=:\Ano\z:}', "");;
    Expect(0, 122650, '\p{Soft_Dotted=:\Ano\z:}', "");;
    Expect(1, 122651, '\p{Soft_Dotted= -no}', "");
    Expect(0, 122651, '\p{^Soft_Dotted= -no}', "");
    Expect(0, 122651, '\P{Soft_Dotted= -no}', "");
    Expect(1, 122651, '\P{^Soft_Dotted= -no}', "");
    Expect(0, 122650, '\p{Soft_Dotted= -no}', "");
    Expect(1, 122650, '\p{^Soft_Dotted= -no}', "");
    Expect(1, 122650, '\P{Soft_Dotted= -no}', "");
    Expect(0, 122650, '\P{^Soft_Dotted= -no}', "");
    Error('\p{SD=	/a/N}');
    Error('\P{SD=	/a/N}');
    Expect(1, 122651, '\p{SD=:\AN\z:}', "");;
    Expect(0, 122650, '\p{SD=:\AN\z:}', "");;
    Expect(1, 122651, '\p{SD=n}', "");
    Expect(0, 122651, '\p{^SD=n}', "");
    Expect(0, 122651, '\P{SD=n}', "");
    Expect(1, 122651, '\P{^SD=n}', "");
    Expect(0, 122650, '\p{SD=n}', "");
    Expect(1, 122650, '\p{^SD=n}', "");
    Expect(1, 122650, '\P{SD=n}', "");
    Expect(0, 122650, '\P{^SD=n}', "");
    Expect(1, 122651, '\p{SD=:\An\z:}', "");;
    Expect(0, 122650, '\p{SD=:\An\z:}', "");;
    Expect(1, 122651, '\p{SD=-N}', "");
    Expect(0, 122651, '\p{^SD=-N}', "");
    Expect(0, 122651, '\P{SD=-N}', "");
    Expect(1, 122651, '\P{^SD=-N}', "");
    Expect(0, 122650, '\p{SD=-N}', "");
    Expect(1, 122650, '\p{^SD=-N}', "");
    Expect(1, 122650, '\P{SD=-N}', "");
    Expect(0, 122650, '\P{^SD=-N}', "");
    Error('\p{Is_Soft_Dotted=:=_F}');
    Error('\P{Is_Soft_Dotted=:=_F}');
    Expect(1, 122651, '\p{Is_Soft_Dotted=f}', "");
    Expect(0, 122651, '\p{^Is_Soft_Dotted=f}', "");
    Expect(0, 122651, '\P{Is_Soft_Dotted=f}', "");
    Expect(1, 122651, '\P{^Is_Soft_Dotted=f}', "");
    Expect(0, 122650, '\p{Is_Soft_Dotted=f}', "");
    Expect(1, 122650, '\p{^Is_Soft_Dotted=f}', "");
    Expect(1, 122650, '\P{Is_Soft_Dotted=f}', "");
    Expect(0, 122650, '\P{^Is_Soft_Dotted=f}', "");
    Expect(1, 122651, '\p{Is_Soft_Dotted:  f}', "");
    Expect(0, 122651, '\p{^Is_Soft_Dotted:  f}', "");
    Expect(0, 122651, '\P{Is_Soft_Dotted:  f}', "");
    Expect(1, 122651, '\P{^Is_Soft_Dotted:  f}', "");
    Expect(0, 122650, '\p{Is_Soft_Dotted:  f}', "");
    Expect(1, 122650, '\p{^Is_Soft_Dotted:  f}', "");
    Expect(1, 122650, '\P{Is_Soft_Dotted:  f}', "");
    Expect(0, 122650, '\P{^Is_Soft_Dotted:  f}', "");
    Error('\p{Is_SD= -false:=}');
    Error('\P{Is_SD= -false:=}');
    Expect(1, 122651, '\p{Is_SD=false}', "");
    Expect(0, 122651, '\p{^Is_SD=false}', "");
    Expect(0, 122651, '\P{Is_SD=false}', "");
    Expect(1, 122651, '\P{^Is_SD=false}', "");
    Expect(0, 122650, '\p{Is_SD=false}', "");
    Expect(1, 122650, '\p{^Is_SD=false}', "");
    Expect(1, 122650, '\P{Is_SD=false}', "");
    Expect(0, 122650, '\P{^Is_SD=false}', "");
    Expect(1, 122651, '\p{Is_SD=_ False}', "");
    Expect(0, 122651, '\p{^Is_SD=_ False}', "");
    Expect(0, 122651, '\P{Is_SD=_ False}', "");
    Expect(1, 122651, '\P{^Is_SD=_ False}', "");
    Expect(0, 122650, '\p{Is_SD=_ False}', "");
    Expect(1, 122650, '\p{^Is_SD=_ False}', "");
    Expect(1, 122650, '\P{Is_SD=_ False}', "");
    Expect(0, 122650, '\P{^Is_SD=_ False}', "");
    Error('\p{Soft_Dotted=_:=yes}');
    Error('\P{Soft_Dotted=_:=yes}');
    Expect(1, 122650, '\p{Soft_Dotted=:\AYes\z:}', "");;
    Expect(0, 122651, '\p{Soft_Dotted=:\AYes\z:}', "");;
    Expect(1, 122650, '\p{Soft_Dotted=yes}', "");
    Expect(0, 122650, '\p{^Soft_Dotted=yes}', "");
    Expect(0, 122650, '\P{Soft_Dotted=yes}', "");
    Expect(1, 122650, '\P{^Soft_Dotted=yes}', "");
    Expect(0, 122651, '\p{Soft_Dotted=yes}', "");
    Expect(1, 122651, '\p{^Soft_Dotted=yes}', "");
    Expect(1, 122651, '\P{Soft_Dotted=yes}', "");
    Expect(0, 122651, '\P{^Soft_Dotted=yes}', "");
    Expect(1, 122650, '\p{Soft_Dotted=:\Ayes\z:}', "");;
    Expect(0, 122651, '\p{Soft_Dotted=:\Ayes\z:}', "");;
    Expect(1, 122650, '\p{Soft_Dotted=_	yes}', "");
    Expect(0, 122650, '\p{^Soft_Dotted=_	yes}', "");
    Expect(0, 122650, '\P{Soft_Dotted=_	yes}', "");
    Expect(1, 122650, '\P{^Soft_Dotted=_	yes}', "");
    Expect(0, 122651, '\p{Soft_Dotted=_	yes}', "");
    Expect(1, 122651, '\p{^Soft_Dotted=_	yes}', "");
    Expect(1, 122651, '\P{Soft_Dotted=_	yes}', "");
    Expect(0, 122651, '\P{^Soft_Dotted=_	yes}', "");
    Error('\p{SD=_Y/a/}');
    Error('\P{SD=_Y/a/}');
    Expect(1, 122650, '\p{SD=:\AY\z:}', "");;
    Expect(0, 122651, '\p{SD=:\AY\z:}', "");;
    Expect(1, 122650, '\p{SD=y}', "");
    Expect(0, 122650, '\p{^SD=y}', "");
    Expect(0, 122650, '\P{SD=y}', "");
    Expect(1, 122650, '\P{^SD=y}', "");
    Expect(0, 122651, '\p{SD=y}', "");
    Expect(1, 122651, '\p{^SD=y}', "");
    Expect(1, 122651, '\P{SD=y}', "");
    Expect(0, 122651, '\P{^SD=y}', "");
    Expect(1, 122650, '\p{SD=:\Ay\z:}', "");;
    Expect(0, 122651, '\p{SD=:\Ay\z:}', "");;
    Expect(1, 122650, '\p{SD=_y}', "");
    Expect(0, 122650, '\p{^SD=_y}', "");
    Expect(0, 122650, '\P{SD=_y}', "");
    Expect(1, 122650, '\P{^SD=_y}', "");
    Expect(0, 122651, '\p{SD=_y}', "");
    Expect(1, 122651, '\p{^SD=_y}', "");
    Expect(1, 122651, '\P{SD=_y}', "");
    Expect(0, 122651, '\P{^SD=_y}', "");
    Error('\p{Is_Soft_Dotted:	_:=t}');
    Error('\P{Is_Soft_Dotted:	_:=t}');
    Expect(1, 122650, '\p{Is_Soft_Dotted=t}', "");
    Expect(0, 122650, '\p{^Is_Soft_Dotted=t}', "");
    Expect(0, 122650, '\P{Is_Soft_Dotted=t}', "");
    Expect(1, 122650, '\P{^Is_Soft_Dotted=t}', "");
    Expect(0, 122651, '\p{Is_Soft_Dotted=t}', "");
    Expect(1, 122651, '\p{^Is_Soft_Dotted=t}', "");
    Expect(1, 122651, '\P{Is_Soft_Dotted=t}', "");
    Expect(0, 122651, '\P{^Is_Soft_Dotted=t}', "");
    Expect(1, 122650, '\p{Is_Soft_Dotted=_T}', "");
    Expect(0, 122650, '\p{^Is_Soft_Dotted=_T}', "");
    Expect(0, 122650, '\P{Is_Soft_Dotted=_T}', "");
    Expect(1, 122650, '\P{^Is_Soft_Dotted=_T}', "");
    Expect(0, 122651, '\p{Is_Soft_Dotted=_T}', "");
    Expect(1, 122651, '\p{^Is_Soft_Dotted=_T}', "");
    Expect(1, 122651, '\P{Is_Soft_Dotted=_T}', "");
    Expect(0, 122651, '\P{^Is_Soft_Dotted=_T}', "");
    Error('\p{Is_SD:	:= -True}');
    Error('\P{Is_SD:	:= -True}');
    Expect(1, 122650, '\p{Is_SD=true}', "");
    Expect(0, 122650, '\p{^Is_SD=true}', "");
    Expect(0, 122650, '\P{Is_SD=true}', "");
    Expect(1, 122650, '\P{^Is_SD=true}', "");
    Expect(0, 122651, '\p{Is_SD=true}', "");
    Expect(1, 122651, '\p{^Is_SD=true}', "");
    Expect(1, 122651, '\P{Is_SD=true}', "");
    Expect(0, 122651, '\P{^Is_SD=true}', "");
    Expect(1, 122650, '\p{Is_SD: _	TRUE}', "");
    Expect(0, 122650, '\p{^Is_SD: _	TRUE}', "");
    Expect(0, 122650, '\P{Is_SD: _	TRUE}', "");
    Expect(1, 122650, '\P{^Is_SD: _	TRUE}', "");
    Expect(0, 122651, '\p{Is_SD: _	TRUE}', "");
    Expect(1, 122651, '\p{^Is_SD: _	TRUE}', "");
    Expect(1, 122651, '\P{Is_SD: _	TRUE}', "");
    Expect(0, 122651, '\P{^Is_SD: _	TRUE}', "");
    Error('\p{simplelowercasemapping}');
    Error('\P{simplelowercasemapping}');
    Error('\p{slc}');
    Error('\P{slc}');
    Error('\p{simpletitlecasemapping}');
    Error('\P{simpletitlecasemapping}');
    Error('\p{stc}');
    Error('\P{stc}');
    Error('\p{Sentence_Terminal=_	NO/a/}');
    Error('\P{Sentence_Terminal=_	NO/a/}');
    Expect(1, 121481, '\p{Sentence_Terminal=:\ANo\z:}', "");;
    Expect(0, 121480, '\p{Sentence_Terminal=:\ANo\z:}', "");;
    Expect(1, 121481, '\p{Sentence_Terminal=no}', "");
    Expect(0, 121481, '\p{^Sentence_Terminal=no}', "");
    Expect(0, 121481, '\P{Sentence_Terminal=no}', "");
    Expect(1, 121481, '\P{^Sentence_Terminal=no}', "");
    Expect(0, 121480, '\p{Sentence_Terminal=no}', "");
    Expect(1, 121480, '\p{^Sentence_Terminal=no}', "");
    Expect(1, 121480, '\P{Sentence_Terminal=no}', "");
    Expect(0, 121480, '\P{^Sentence_Terminal=no}', "");
    Expect(1, 121481, '\p{Sentence_Terminal=:\Ano\z:}', "");;
    Expect(0, 121480, '\p{Sentence_Terminal=:\Ano\z:}', "");;
    Expect(1, 121481, '\p{Sentence_Terminal=	no}', "");
    Expect(0, 121481, '\p{^Sentence_Terminal=	no}', "");
    Expect(0, 121481, '\P{Sentence_Terminal=	no}', "");
    Expect(1, 121481, '\P{^Sentence_Terminal=	no}', "");
    Expect(0, 121480, '\p{Sentence_Terminal=	no}', "");
    Expect(1, 121480, '\p{^Sentence_Terminal=	no}', "");
    Expect(1, 121480, '\P{Sentence_Terminal=	no}', "");
    Expect(0, 121480, '\P{^Sentence_Terminal=	no}', "");
    Error('\p{STerm=-:=N}');
    Error('\P{STerm=-:=N}');
    Expect(1, 121481, '\p{STerm=:\AN\z:}', "");;
    Expect(0, 121480, '\p{STerm=:\AN\z:}', "");;
    Expect(1, 121481, '\p{STerm=n}', "");
    Expect(0, 121481, '\p{^STerm=n}', "");
    Expect(0, 121481, '\P{STerm=n}', "");
    Expect(1, 121481, '\P{^STerm=n}', "");
    Expect(0, 121480, '\p{STerm=n}', "");
    Expect(1, 121480, '\p{^STerm=n}', "");
    Expect(1, 121480, '\P{STerm=n}', "");
    Expect(0, 121480, '\P{^STerm=n}', "");
    Expect(1, 121481, '\p{STerm=:\An\z:}', "");;
    Expect(0, 121480, '\p{STerm=:\An\z:}', "");;
    Expect(1, 121481, '\p{STerm:-N}', "");
    Expect(0, 121481, '\p{^STerm:-N}', "");
    Expect(0, 121481, '\P{STerm:-N}', "");
    Expect(1, 121481, '\P{^STerm:-N}', "");
    Expect(0, 121480, '\p{STerm:-N}', "");
    Expect(1, 121480, '\p{^STerm:-N}', "");
    Expect(1, 121480, '\P{STerm:-N}', "");
    Expect(0, 121480, '\P{^STerm:-N}', "");
    Error('\p{Is_Sentence_Terminal=_ F:=}');
    Error('\P{Is_Sentence_Terminal=_ F:=}');
    Expect(1, 121481, '\p{Is_Sentence_Terminal: f}', "");
    Expect(0, 121481, '\p{^Is_Sentence_Terminal: f}', "");
    Expect(0, 121481, '\P{Is_Sentence_Terminal: f}', "");
    Expect(1, 121481, '\P{^Is_Sentence_Terminal: f}', "");
    Expect(0, 121480, '\p{Is_Sentence_Terminal: f}', "");
    Expect(1, 121480, '\p{^Is_Sentence_Terminal: f}', "");
    Expect(1, 121480, '\P{Is_Sentence_Terminal: f}', "");
    Expect(0, 121480, '\P{^Is_Sentence_Terminal: f}', "");
    Expect(1, 121481, '\p{Is_Sentence_Terminal=	 f}', "");
    Expect(0, 121481, '\p{^Is_Sentence_Terminal=	 f}', "");
    Expect(0, 121481, '\P{Is_Sentence_Terminal=	 f}', "");
    Expect(1, 121481, '\P{^Is_Sentence_Terminal=	 f}', "");
    Expect(0, 121480, '\p{Is_Sentence_Terminal=	 f}', "");
    Expect(1, 121480, '\p{^Is_Sentence_Terminal=	 f}', "");
    Expect(1, 121480, '\P{Is_Sentence_Terminal=	 f}', "");
    Expect(0, 121480, '\P{^Is_Sentence_Terminal=	 f}', "");
    Error('\p{Is_STerm=	False:=}');
    Error('\P{Is_STerm=	False:=}');
    Expect(1, 121481, '\p{Is_STerm=false}', "");
    Expect(0, 121481, '\p{^Is_STerm=false}', "");
    Expect(0, 121481, '\P{Is_STerm=false}', "");
    Expect(1, 121481, '\P{^Is_STerm=false}', "");
    Expect(0, 121480, '\p{Is_STerm=false}', "");
    Expect(1, 121480, '\p{^Is_STerm=false}', "");
    Expect(1, 121480, '\P{Is_STerm=false}', "");
    Expect(0, 121480, '\P{^Is_STerm=false}', "");
    Expect(1, 121481, '\p{Is_STerm= False}', "");
    Expect(0, 121481, '\p{^Is_STerm= False}', "");
    Expect(0, 121481, '\P{Is_STerm= False}', "");
    Expect(1, 121481, '\P{^Is_STerm= False}', "");
    Expect(0, 121480, '\p{Is_STerm= False}', "");
    Expect(1, 121480, '\p{^Is_STerm= False}', "");
    Expect(1, 121480, '\P{Is_STerm= False}', "");
    Expect(0, 121480, '\P{^Is_STerm= False}', "");
    Error('\p{Sentence_Terminal=-:=Yes}');
    Error('\P{Sentence_Terminal=-:=Yes}');
    Expect(1, 121480, '\p{Sentence_Terminal=:\AYes\z:}', "");;
    Expect(0, 121481, '\p{Sentence_Terminal=:\AYes\z:}', "");;
    Expect(1, 121480, '\p{Sentence_Terminal=yes}', "");
    Expect(0, 121480, '\p{^Sentence_Terminal=yes}', "");
    Expect(0, 121480, '\P{Sentence_Terminal=yes}', "");
    Expect(1, 121480, '\P{^Sentence_Terminal=yes}', "");
    Expect(0, 121481, '\p{Sentence_Terminal=yes}', "");
    Expect(1, 121481, '\p{^Sentence_Terminal=yes}', "");
    Expect(1, 121481, '\P{Sentence_Terminal=yes}', "");
    Expect(0, 121481, '\P{^Sentence_Terminal=yes}', "");
    Expect(1, 121480, '\p{Sentence_Terminal=:\Ayes\z:}', "");;
    Expect(0, 121481, '\p{Sentence_Terminal=:\Ayes\z:}', "");;
    Expect(1, 121480, '\p{Sentence_Terminal=_YES}', "");
    Expect(0, 121480, '\p{^Sentence_Terminal=_YES}', "");
    Expect(0, 121480, '\P{Sentence_Terminal=_YES}', "");
    Expect(1, 121480, '\P{^Sentence_Terminal=_YES}', "");
    Expect(0, 121481, '\p{Sentence_Terminal=_YES}', "");
    Expect(1, 121481, '\p{^Sentence_Terminal=_YES}', "");
    Expect(1, 121481, '\P{Sentence_Terminal=_YES}', "");
    Expect(0, 121481, '\P{^Sentence_Terminal=_YES}', "");
    Error('\p{STerm=	Y:=}');
    Error('\P{STerm=	Y:=}');
    Expect(1, 121480, '\p{STerm=:\AY\z:}', "");;
    Expect(0, 121481, '\p{STerm=:\AY\z:}', "");;
    Expect(1, 121480, '\p{STerm: y}', "");
    Expect(0, 121480, '\p{^STerm: y}', "");
    Expect(0, 121480, '\P{STerm: y}', "");
    Expect(1, 121480, '\P{^STerm: y}', "");
    Expect(0, 121481, '\p{STerm: y}', "");
    Expect(1, 121481, '\p{^STerm: y}', "");
    Expect(1, 121481, '\P{STerm: y}', "");
    Expect(0, 121481, '\P{^STerm: y}', "");
    Expect(1, 121480, '\p{STerm=:\Ay\z:}', "");;
    Expect(0, 121481, '\p{STerm=:\Ay\z:}', "");;
    Expect(1, 121480, '\p{STerm=	y}', "");
    Expect(0, 121480, '\p{^STerm=	y}', "");
    Expect(0, 121480, '\P{STerm=	y}', "");
    Expect(1, 121480, '\P{^STerm=	y}', "");
    Expect(0, 121481, '\p{STerm=	y}', "");
    Expect(1, 121481, '\p{^STerm=	y}', "");
    Expect(1, 121481, '\P{STerm=	y}', "");
    Expect(0, 121481, '\P{^STerm=	y}', "");
    Error('\p{Is_Sentence_Terminal=:=T}');
    Error('\P{Is_Sentence_Terminal=:=T}');
    Expect(1, 121480, '\p{Is_Sentence_Terminal=t}', "");
    Expect(0, 121480, '\p{^Is_Sentence_Terminal=t}', "");
    Expect(0, 121480, '\P{Is_Sentence_Terminal=t}', "");
    Expect(1, 121480, '\P{^Is_Sentence_Terminal=t}', "");
    Expect(0, 121481, '\p{Is_Sentence_Terminal=t}', "");
    Expect(1, 121481, '\p{^Is_Sentence_Terminal=t}', "");
    Expect(1, 121481, '\P{Is_Sentence_Terminal=t}', "");
    Expect(0, 121481, '\P{^Is_Sentence_Terminal=t}', "");
    Expect(1, 121480, '\p{Is_Sentence_Terminal=_T}', "");
    Expect(0, 121480, '\p{^Is_Sentence_Terminal=_T}', "");
    Expect(0, 121480, '\P{Is_Sentence_Terminal=_T}', "");
    Expect(1, 121480, '\P{^Is_Sentence_Terminal=_T}', "");
    Expect(0, 121481, '\p{Is_Sentence_Terminal=_T}', "");
    Expect(1, 121481, '\p{^Is_Sentence_Terminal=_T}', "");
    Expect(1, 121481, '\P{Is_Sentence_Terminal=_T}', "");
    Expect(0, 121481, '\P{^Is_Sentence_Terminal=_T}', "");
    Error('\p{Is_STerm=_-True/a/}');
    Error('\P{Is_STerm=_-True/a/}');
    Expect(1, 121480, '\p{Is_STerm=true}', "");
    Expect(0, 121480, '\p{^Is_STerm=true}', "");
    Expect(0, 121480, '\P{Is_STerm=true}', "");
    Expect(1, 121480, '\P{^Is_STerm=true}', "");
    Expect(0, 121481, '\p{Is_STerm=true}', "");
    Expect(1, 121481, '\p{^Is_STerm=true}', "");
    Expect(1, 121481, '\P{Is_STerm=true}', "");
    Expect(0, 121481, '\P{^Is_STerm=true}', "");
    Expect(1, 121480, '\p{Is_STerm=		TRUE}', "");
    Expect(0, 121480, '\p{^Is_STerm=		TRUE}', "");
    Expect(0, 121480, '\P{Is_STerm=		TRUE}', "");
    Expect(1, 121480, '\P{^Is_STerm=		TRUE}', "");
    Expect(0, 121481, '\p{Is_STerm=		TRUE}', "");
    Expect(1, 121481, '\p{^Is_STerm=		TRUE}', "");
    Expect(1, 121481, '\P{Is_STerm=		TRUE}', "");
    Expect(0, 121481, '\P{^Is_STerm=		TRUE}', "");
    Error('\p{simpleuppercasemapping}');
    Error('\P{simpleuppercasemapping}');
    Error('\p{suc}');
    Error('\P{suc}');
    Error('\p{titlecasemapping}');
    Error('\P{titlecasemapping}');
    Error('\p{tc}');
    Error('\P{tc}');
    Error('\p{Terminal_Punctuation=-_No:=}');
    Error('\P{Terminal_Punctuation=-_No:=}');
    Expect(1, 121483, '\p{Terminal_Punctuation=:\ANo\z:}', "");;
    Expect(0, 121482, '\p{Terminal_Punctuation=:\ANo\z:}', "");;
    Expect(1, 121483, '\p{Terminal_Punctuation=no}', "");
    Expect(0, 121483, '\p{^Terminal_Punctuation=no}', "");
    Expect(0, 121483, '\P{Terminal_Punctuation=no}', "");
    Expect(1, 121483, '\P{^Terminal_Punctuation=no}', "");
    Expect(0, 121482, '\p{Terminal_Punctuation=no}', "");
    Expect(1, 121482, '\p{^Terminal_Punctuation=no}', "");
    Expect(1, 121482, '\P{Terminal_Punctuation=no}', "");
    Expect(0, 121482, '\P{^Terminal_Punctuation=no}', "");
    Expect(1, 121483, '\p{Terminal_Punctuation=:\Ano\z:}', "");;
    Expect(0, 121482, '\p{Terminal_Punctuation=:\Ano\z:}', "");;
    Expect(1, 121483, '\p{Terminal_Punctuation= 	NO}', "");
    Expect(0, 121483, '\p{^Terminal_Punctuation= 	NO}', "");
    Expect(0, 121483, '\P{Terminal_Punctuation= 	NO}', "");
    Expect(1, 121483, '\P{^Terminal_Punctuation= 	NO}', "");
    Expect(0, 121482, '\p{Terminal_Punctuation= 	NO}', "");
    Expect(1, 121482, '\p{^Terminal_Punctuation= 	NO}', "");
    Expect(1, 121482, '\P{Terminal_Punctuation= 	NO}', "");
    Expect(0, 121482, '\P{^Terminal_Punctuation= 	NO}', "");
    Error('\p{Term=_N:=}');
    Error('\P{Term=_N:=}');
    Expect(1, 121483, '\p{Term=:\AN\z:}', "");;
    Expect(0, 121482, '\p{Term=:\AN\z:}', "");;
    Expect(1, 121483, '\p{Term=n}', "");
    Expect(0, 121483, '\p{^Term=n}', "");
    Expect(0, 121483, '\P{Term=n}', "");
    Expect(1, 121483, '\P{^Term=n}', "");
    Expect(0, 121482, '\p{Term=n}', "");
    Expect(1, 121482, '\p{^Term=n}', "");
    Expect(1, 121482, '\P{Term=n}', "");
    Expect(0, 121482, '\P{^Term=n}', "");
    Expect(1, 121483, '\p{Term=:\An\z:}', "");;
    Expect(0, 121482, '\p{Term=:\An\z:}', "");;
    Expect(1, 121483, '\p{Term=	_N}', "");
    Expect(0, 121483, '\p{^Term=	_N}', "");
    Expect(0, 121483, '\P{Term=	_N}', "");
    Expect(1, 121483, '\P{^Term=	_N}', "");
    Expect(0, 121482, '\p{Term=	_N}', "");
    Expect(1, 121482, '\p{^Term=	_N}', "");
    Expect(1, 121482, '\P{Term=	_N}', "");
    Expect(0, 121482, '\P{^Term=	_N}', "");
    Error('\p{Is_Terminal_Punctuation=/a/ -F}');
    Error('\P{Is_Terminal_Punctuation=/a/ -F}');
    Expect(1, 121483, '\p{Is_Terminal_Punctuation=f}', "");
    Expect(0, 121483, '\p{^Is_Terminal_Punctuation=f}', "");
    Expect(0, 121483, '\P{Is_Terminal_Punctuation=f}', "");
    Expect(1, 121483, '\P{^Is_Terminal_Punctuation=f}', "");
    Expect(0, 121482, '\p{Is_Terminal_Punctuation=f}', "");
    Expect(1, 121482, '\p{^Is_Terminal_Punctuation=f}', "");
    Expect(1, 121482, '\P{Is_Terminal_Punctuation=f}', "");
    Expect(0, 121482, '\P{^Is_Terminal_Punctuation=f}', "");
    Expect(1, 121483, '\p{Is_Terminal_Punctuation= F}', "");
    Expect(0, 121483, '\p{^Is_Terminal_Punctuation= F}', "");
    Expect(0, 121483, '\P{Is_Terminal_Punctuation= F}', "");
    Expect(1, 121483, '\P{^Is_Terminal_Punctuation= F}', "");
    Expect(0, 121482, '\p{Is_Terminal_Punctuation= F}', "");
    Expect(1, 121482, '\p{^Is_Terminal_Punctuation= F}', "");
    Expect(1, 121482, '\P{Is_Terminal_Punctuation= F}', "");
    Expect(0, 121482, '\P{^Is_Terminal_Punctuation= F}', "");
    Error('\p{Is_Term= -FALSE/a/}');
    Error('\P{Is_Term= -FALSE/a/}');
    Expect(1, 121483, '\p{Is_Term=false}', "");
    Expect(0, 121483, '\p{^Is_Term=false}', "");
    Expect(0, 121483, '\P{Is_Term=false}', "");
    Expect(1, 121483, '\P{^Is_Term=false}', "");
    Expect(0, 121482, '\p{Is_Term=false}', "");
    Expect(1, 121482, '\p{^Is_Term=false}', "");
    Expect(1, 121482, '\P{Is_Term=false}', "");
    Expect(0, 121482, '\P{^Is_Term=false}', "");
    Expect(1, 121483, '\p{Is_Term=	 false}', "");
    Expect(0, 121483, '\p{^Is_Term=	 false}', "");
    Expect(0, 121483, '\P{Is_Term=	 false}', "");
    Expect(1, 121483, '\P{^Is_Term=	 false}', "");
    Expect(0, 121482, '\p{Is_Term=	 false}', "");
    Expect(1, 121482, '\p{^Is_Term=	 false}', "");
    Expect(1, 121482, '\P{Is_Term=	 false}', "");
    Expect(0, 121482, '\P{^Is_Term=	 false}', "");
    Error('\p{Terminal_Punctuation= :=yes}');
    Error('\P{Terminal_Punctuation= :=yes}');
    Expect(1, 121482, '\p{Terminal_Punctuation=:\AYes\z:}', "");;
    Expect(0, 121483, '\p{Terminal_Punctuation=:\AYes\z:}', "");;
    Expect(1, 121482, '\p{Terminal_Punctuation=yes}', "");
    Expect(0, 121482, '\p{^Terminal_Punctuation=yes}', "");
    Expect(0, 121482, '\P{Terminal_Punctuation=yes}', "");
    Expect(1, 121482, '\P{^Terminal_Punctuation=yes}', "");
    Expect(0, 121483, '\p{Terminal_Punctuation=yes}', "");
    Expect(1, 121483, '\p{^Terminal_Punctuation=yes}', "");
    Expect(1, 121483, '\P{Terminal_Punctuation=yes}', "");
    Expect(0, 121483, '\P{^Terminal_Punctuation=yes}', "");
    Expect(1, 121482, '\p{Terminal_Punctuation=:\Ayes\z:}', "");;
    Expect(0, 121483, '\p{Terminal_Punctuation=:\Ayes\z:}', "");;
    Expect(1, 121482, '\p{Terminal_Punctuation=-_yes}', "");
    Expect(0, 121482, '\p{^Terminal_Punctuation=-_yes}', "");
    Expect(0, 121482, '\P{Terminal_Punctuation=-_yes}', "");
    Expect(1, 121482, '\P{^Terminal_Punctuation=-_yes}', "");
    Expect(0, 121483, '\p{Terminal_Punctuation=-_yes}', "");
    Expect(1, 121483, '\p{^Terminal_Punctuation=-_yes}', "");
    Expect(1, 121483, '\P{Terminal_Punctuation=-_yes}', "");
    Expect(0, 121483, '\P{^Terminal_Punctuation=-_yes}', "");
    Error('\p{Term= :=Y}');
    Error('\P{Term= :=Y}');
    Expect(1, 121482, '\p{Term=:\AY\z:}', "");;
    Expect(0, 121483, '\p{Term=:\AY\z:}', "");;
    Expect(1, 121482, '\p{Term=y}', "");
    Expect(0, 121482, '\p{^Term=y}', "");
    Expect(0, 121482, '\P{Term=y}', "");
    Expect(1, 121482, '\P{^Term=y}', "");
    Expect(0, 121483, '\p{Term=y}', "");
    Expect(1, 121483, '\p{^Term=y}', "");
    Expect(1, 121483, '\P{Term=y}', "");
    Expect(0, 121483, '\P{^Term=y}', "");
    Expect(1, 121482, '\p{Term=:\Ay\z:}', "");;
    Expect(0, 121483, '\p{Term=:\Ay\z:}', "");;
    Expect(1, 121482, '\p{Term=Y}', "");
    Expect(0, 121482, '\p{^Term=Y}', "");
    Expect(0, 121482, '\P{Term=Y}', "");
    Expect(1, 121482, '\P{^Term=Y}', "");
    Expect(0, 121483, '\p{Term=Y}', "");
    Expect(1, 121483, '\p{^Term=Y}', "");
    Expect(1, 121483, '\P{Term=Y}', "");
    Expect(0, 121483, '\P{^Term=Y}', "");
    Error('\p{Is_Terminal_Punctuation= 	T:=}');
    Error('\P{Is_Terminal_Punctuation= 	T:=}');
    Expect(1, 121482, '\p{Is_Terminal_Punctuation=t}', "");
    Expect(0, 121482, '\p{^Is_Terminal_Punctuation=t}', "");
    Expect(0, 121482, '\P{Is_Terminal_Punctuation=t}', "");
    Expect(1, 121482, '\P{^Is_Terminal_Punctuation=t}', "");
    Expect(0, 121483, '\p{Is_Terminal_Punctuation=t}', "");
    Expect(1, 121483, '\p{^Is_Terminal_Punctuation=t}', "");
    Expect(1, 121483, '\P{Is_Terminal_Punctuation=t}', "");
    Expect(0, 121483, '\P{^Is_Terminal_Punctuation=t}', "");
    Expect(1, 121482, '\p{Is_Terminal_Punctuation=		T}', "");
    Expect(0, 121482, '\p{^Is_Terminal_Punctuation=		T}', "");
    Expect(0, 121482, '\P{Is_Terminal_Punctuation=		T}', "");
    Expect(1, 121482, '\P{^Is_Terminal_Punctuation=		T}', "");
    Expect(0, 121483, '\p{Is_Terminal_Punctuation=		T}', "");
    Expect(1, 121483, '\p{^Is_Terminal_Punctuation=		T}', "");
    Expect(1, 121483, '\P{Is_Terminal_Punctuation=		T}', "");
    Expect(0, 121483, '\P{^Is_Terminal_Punctuation=		T}', "");
    Error('\p{Is_Term=/a/True}');
    Error('\P{Is_Term=/a/True}');
    Expect(1, 121482, '\p{Is_Term=true}', "");
    Expect(0, 121482, '\p{^Is_Term=true}', "");
    Expect(0, 121482, '\P{Is_Term=true}', "");
    Expect(1, 121482, '\P{^Is_Term=true}', "");
    Expect(0, 121483, '\p{Is_Term=true}', "");
    Expect(1, 121483, '\p{^Is_Term=true}', "");
    Expect(1, 121483, '\P{Is_Term=true}', "");
    Expect(0, 121483, '\P{^Is_Term=true}', "");
    Expect(1, 121482, '\p{Is_Term=_TRUE}', "");
    Expect(0, 121482, '\p{^Is_Term=_TRUE}', "");
    Expect(0, 121482, '\P{Is_Term=_TRUE}', "");
    Expect(1, 121482, '\P{^Is_Term=_TRUE}', "");
    Expect(0, 121483, '\p{Is_Term=_TRUE}', "");
    Expect(1, 121483, '\p{^Is_Term=_TRUE}', "");
    Expect(1, 121483, '\P{Is_Term=_TRUE}', "");
    Expect(0, 121483, '\P{^Is_Term=_TRUE}', "");
    Error('\p{uppercasemapping}');
    Error('\P{uppercasemapping}');
    Error('\p{uc}');
    Error('\P{uc}');
    Error('\p{Unified_Ideograph=  No:=}');
    Error('\P{Unified_Ideograph=  No:=}');
    Expect(1, 201547, '\p{Unified_Ideograph=:\ANo\z:}', "");;
    Expect(0, 201546, '\p{Unified_Ideograph=:\ANo\z:}', "");;
    Expect(1, 201547, '\p{Unified_Ideograph=no}', "");
    Expect(0, 201547, '\p{^Unified_Ideograph=no}', "");
    Expect(0, 201547, '\P{Unified_Ideograph=no}', "");
    Expect(1, 201547, '\P{^Unified_Ideograph=no}', "");
    Expect(0, 201546, '\p{Unified_Ideograph=no}', "");
    Expect(1, 201546, '\p{^Unified_Ideograph=no}', "");
    Expect(1, 201546, '\P{Unified_Ideograph=no}', "");
    Expect(0, 201546, '\P{^Unified_Ideograph=no}', "");
    Expect(1, 201547, '\p{Unified_Ideograph=:\Ano\z:}', "");;
    Expect(0, 201546, '\p{Unified_Ideograph=:\Ano\z:}', "");;
    Expect(1, 201547, '\p{Unified_Ideograph=--no}', "");
    Expect(0, 201547, '\p{^Unified_Ideograph=--no}', "");
    Expect(0, 201547, '\P{Unified_Ideograph=--no}', "");
    Expect(1, 201547, '\P{^Unified_Ideograph=--no}', "");
    Expect(0, 201546, '\p{Unified_Ideograph=--no}', "");
    Expect(1, 201546, '\p{^Unified_Ideograph=--no}', "");
    Expect(1, 201546, '\P{Unified_Ideograph=--no}', "");
    Expect(0, 201546, '\P{^Unified_Ideograph=--no}', "");
    Error('\p{UIdeo=:= 	N}');
    Error('\P{UIdeo=:= 	N}');
    Expect(1, 201547, '\p{UIdeo=:\AN\z:}', "");;
    Expect(0, 201546, '\p{UIdeo=:\AN\z:}', "");;
    Expect(1, 201547, '\p{UIdeo=n}', "");
    Expect(0, 201547, '\p{^UIdeo=n}', "");
    Expect(0, 201547, '\P{UIdeo=n}', "");
    Expect(1, 201547, '\P{^UIdeo=n}', "");
    Expect(0, 201546, '\p{UIdeo=n}', "");
    Expect(1, 201546, '\p{^UIdeo=n}', "");
    Expect(1, 201546, '\P{UIdeo=n}', "");
    Expect(0, 201546, '\P{^UIdeo=n}', "");
    Expect(1, 201547, '\p{UIdeo=:\An\z:}', "");;
    Expect(0, 201546, '\p{UIdeo=:\An\z:}', "");;
    Expect(1, 201547, '\p{UIdeo=_ N}', "");
    Expect(0, 201547, '\p{^UIdeo=_ N}', "");
    Expect(0, 201547, '\P{UIdeo=_ N}', "");
    Expect(1, 201547, '\P{^UIdeo=_ N}', "");
    Expect(0, 201546, '\p{UIdeo=_ N}', "");
    Expect(1, 201546, '\p{^UIdeo=_ N}', "");
    Expect(1, 201546, '\P{UIdeo=_ N}', "");
    Expect(0, 201546, '\P{^UIdeo=_ N}', "");
    Error('\p{Is_Unified_Ideograph=:=__f}');
    Error('\P{Is_Unified_Ideograph=:=__f}');
    Expect(1, 201547, '\p{Is_Unified_Ideograph=f}', "");
    Expect(0, 201547, '\p{^Is_Unified_Ideograph=f}', "");
    Expect(0, 201547, '\P{Is_Unified_Ideograph=f}', "");
    Expect(1, 201547, '\P{^Is_Unified_Ideograph=f}', "");
    Expect(0, 201546, '\p{Is_Unified_Ideograph=f}', "");
    Expect(1, 201546, '\p{^Is_Unified_Ideograph=f}', "");
    Expect(1, 201546, '\P{Is_Unified_Ideograph=f}', "");
    Expect(0, 201546, '\P{^Is_Unified_Ideograph=f}', "");
    Expect(1, 201547, '\p{Is_Unified_Ideograph=_	f}', "");
    Expect(0, 201547, '\p{^Is_Unified_Ideograph=_	f}', "");
    Expect(0, 201547, '\P{Is_Unified_Ideograph=_	f}', "");
    Expect(1, 201547, '\P{^Is_Unified_Ideograph=_	f}', "");
    Expect(0, 201546, '\p{Is_Unified_Ideograph=_	f}', "");
    Expect(1, 201546, '\p{^Is_Unified_Ideograph=_	f}', "");
    Expect(1, 201546, '\P{Is_Unified_Ideograph=_	f}', "");
    Expect(0, 201546, '\P{^Is_Unified_Ideograph=_	f}', "");
    Error('\p{Is_UIdeo:	:=	-False}');
    Error('\P{Is_UIdeo:	:=	-False}');
    Expect(1, 201547, '\p{Is_UIdeo=false}', "");
    Expect(0, 201547, '\p{^Is_UIdeo=false}', "");
    Expect(0, 201547, '\P{Is_UIdeo=false}', "");
    Expect(1, 201547, '\P{^Is_UIdeo=false}', "");
    Expect(0, 201546, '\p{Is_UIdeo=false}', "");
    Expect(1, 201546, '\p{^Is_UIdeo=false}', "");
    Expect(1, 201546, '\P{Is_UIdeo=false}', "");
    Expect(0, 201546, '\P{^Is_UIdeo=false}', "");
    Expect(1, 201547, '\p{Is_UIdeo=  false}', "");
    Expect(0, 201547, '\p{^Is_UIdeo=  false}', "");
    Expect(0, 201547, '\P{Is_UIdeo=  false}', "");
    Expect(1, 201547, '\P{^Is_UIdeo=  false}', "");
    Expect(0, 201546, '\p{Is_UIdeo=  false}', "");
    Expect(1, 201546, '\p{^Is_UIdeo=  false}', "");
    Expect(1, 201546, '\P{Is_UIdeo=  false}', "");
    Expect(0, 201546, '\P{^Is_UIdeo=  false}', "");
    Error('\p{Unified_Ideograph=	/a/YES}');
    Error('\P{Unified_Ideograph=	/a/YES}');
    Expect(1, 201546, '\p{Unified_Ideograph=:\AYes\z:}', "");;
    Expect(0, 201547, '\p{Unified_Ideograph=:\AYes\z:}', "");;
    Expect(1, 201546, '\p{Unified_Ideograph=yes}', "");
    Expect(0, 201546, '\p{^Unified_Ideograph=yes}', "");
    Expect(0, 201546, '\P{Unified_Ideograph=yes}', "");
    Expect(1, 201546, '\P{^Unified_Ideograph=yes}', "");
    Expect(0, 201547, '\p{Unified_Ideograph=yes}', "");
    Expect(1, 201547, '\p{^Unified_Ideograph=yes}', "");
    Expect(1, 201547, '\P{Unified_Ideograph=yes}', "");
    Expect(0, 201547, '\P{^Unified_Ideograph=yes}', "");
    Expect(1, 201546, '\p{Unified_Ideograph=:\Ayes\z:}', "");;
    Expect(0, 201547, '\p{Unified_Ideograph=:\Ayes\z:}', "");;
    Expect(1, 201546, '\p{Unified_Ideograph:  _YES}', "");
    Expect(0, 201546, '\p{^Unified_Ideograph:  _YES}', "");
    Expect(0, 201546, '\P{Unified_Ideograph:  _YES}', "");
    Expect(1, 201546, '\P{^Unified_Ideograph:  _YES}', "");
    Expect(0, 201547, '\p{Unified_Ideograph:  _YES}', "");
    Expect(1, 201547, '\p{^Unified_Ideograph:  _YES}', "");
    Expect(1, 201547, '\P{Unified_Ideograph:  _YES}', "");
    Expect(0, 201547, '\P{^Unified_Ideograph:  _YES}', "");
    Error('\p{UIdeo=:=Y}');
    Error('\P{UIdeo=:=Y}');
    Expect(1, 201546, '\p{UIdeo=:\AY\z:}', "");;
    Expect(0, 201547, '\p{UIdeo=:\AY\z:}', "");;
    Expect(1, 201546, '\p{UIdeo=y}', "");
    Expect(0, 201546, '\p{^UIdeo=y}', "");
    Expect(0, 201546, '\P{UIdeo=y}', "");
    Expect(1, 201546, '\P{^UIdeo=y}', "");
    Expect(0, 201547, '\p{UIdeo=y}', "");
    Expect(1, 201547, '\p{^UIdeo=y}', "");
    Expect(1, 201547, '\P{UIdeo=y}', "");
    Expect(0, 201547, '\P{^UIdeo=y}', "");
    Expect(1, 201546, '\p{UIdeo=:\Ay\z:}', "");;
    Expect(0, 201547, '\p{UIdeo=:\Ay\z:}', "");;
    Expect(1, 201546, '\p{UIdeo=_ Y}', "");
    Expect(0, 201546, '\p{^UIdeo=_ Y}', "");
    Expect(0, 201546, '\P{UIdeo=_ Y}', "");
    Expect(1, 201546, '\P{^UIdeo=_ Y}', "");
    Expect(0, 201547, '\p{UIdeo=_ Y}', "");
    Expect(1, 201547, '\p{^UIdeo=_ Y}', "");
    Expect(1, 201547, '\P{UIdeo=_ Y}', "");
    Expect(0, 201547, '\P{^UIdeo=_ Y}', "");
    Error('\p{Is_Unified_Ideograph=/a/T}');
    Error('\P{Is_Unified_Ideograph=/a/T}');
    Expect(1, 201546, '\p{Is_Unified_Ideograph=t}', "");
    Expect(0, 201546, '\p{^Is_Unified_Ideograph=t}', "");
    Expect(0, 201546, '\P{Is_Unified_Ideograph=t}', "");
    Expect(1, 201546, '\P{^Is_Unified_Ideograph=t}', "");
    Expect(0, 201547, '\p{Is_Unified_Ideograph=t}', "");
    Expect(1, 201547, '\p{^Is_Unified_Ideograph=t}', "");
    Expect(1, 201547, '\P{Is_Unified_Ideograph=t}', "");
    Expect(0, 201547, '\P{^Is_Unified_Ideograph=t}', "");
    Expect(1, 201546, '\p{Is_Unified_Ideograph=	_t}', "");
    Expect(0, 201546, '\p{^Is_Unified_Ideograph=	_t}', "");
    Expect(0, 201546, '\P{Is_Unified_Ideograph=	_t}', "");
    Expect(1, 201546, '\P{^Is_Unified_Ideograph=	_t}', "");
    Expect(0, 201547, '\p{Is_Unified_Ideograph=	_t}', "");
    Expect(1, 201547, '\p{^Is_Unified_Ideograph=	_t}', "");
    Expect(1, 201547, '\P{Is_Unified_Ideograph=	_t}', "");
    Expect(0, 201547, '\P{^Is_Unified_Ideograph=	_t}', "");
    Error('\p{Is_UIdeo= :=TRUE}');
    Error('\P{Is_UIdeo= :=TRUE}');
    Expect(1, 201546, '\p{Is_UIdeo=true}', "");
    Expect(0, 201546, '\p{^Is_UIdeo=true}', "");
    Expect(0, 201546, '\P{Is_UIdeo=true}', "");
    Expect(1, 201546, '\P{^Is_UIdeo=true}', "");
    Expect(0, 201547, '\p{Is_UIdeo=true}', "");
    Expect(1, 201547, '\p{^Is_UIdeo=true}', "");
    Expect(1, 201547, '\P{Is_UIdeo=true}', "");
    Expect(0, 201547, '\P{^Is_UIdeo=true}', "");
    Expect(1, 201546, '\p{Is_UIdeo=		true}', "");
    Expect(0, 201546, '\p{^Is_UIdeo=		true}', "");
    Expect(0, 201546, '\P{Is_UIdeo=		true}', "");
    Expect(1, 201546, '\P{^Is_UIdeo=		true}', "");
    Expect(0, 201547, '\p{Is_UIdeo=		true}', "");
    Expect(1, 201547, '\p{^Is_UIdeo=		true}', "");
    Expect(1, 201547, '\P{Is_UIdeo=		true}', "");
    Expect(0, 201547, '\P{^Is_UIdeo=		true}', "");
    Error('\p{Uppercase=:=	-no}');
    Error('\P{Uppercase=:=	-no}');
    Expect(1, 127370, '\p{Uppercase=:\ANo\z:}', "");;
    Expect(0, 127369, '\p{Uppercase=:\ANo\z:}', "");;
    Expect(1, 127370, '\p{Uppercase=no}', "");
    Expect(0, 127370, '\p{^Uppercase=no}', "");
    Expect(0, 127370, '\P{Uppercase=no}', "");
    Expect(1, 127370, '\P{^Uppercase=no}', "");
    Expect(0, 127369, '\p{Uppercase=no}', "");
    Expect(1, 127369, '\p{^Uppercase=no}', "");
    Expect(1, 127369, '\P{Uppercase=no}', "");
    Expect(0, 127369, '\P{^Uppercase=no}', "");
    Expect(1, 127370, '\p{Uppercase=:\Ano\z:}', "");;
    Expect(0, 127369, '\p{Uppercase=:\Ano\z:}', "");;
    Expect(1, 127370, '\p{Uppercase=_no}', "");
    Expect(0, 127370, '\p{^Uppercase=_no}', "");
    Expect(0, 127370, '\P{Uppercase=_no}', "");
    Expect(1, 127370, '\P{^Uppercase=_no}', "");
    Expect(0, 127369, '\p{Uppercase=_no}', "");
    Expect(1, 127369, '\p{^Uppercase=_no}', "");
    Expect(1, 127369, '\P{Uppercase=_no}', "");
    Expect(0, 127369, '\P{^Uppercase=_no}', "");
    Error('\p{Upper=	/a/N}');
    Error('\P{Upper=	/a/N}');
    Expect(1, 127370, '\p{Upper=:\AN\z:}', "");;
    Expect(0, 127369, '\p{Upper=:\AN\z:}', "");;
    Expect(1, 127370, '\p{Upper=n}', "");
    Expect(0, 127370, '\p{^Upper=n}', "");
    Expect(0, 127370, '\P{Upper=n}', "");
    Expect(1, 127370, '\P{^Upper=n}', "");
    Expect(0, 127369, '\p{Upper=n}', "");
    Expect(1, 127369, '\p{^Upper=n}', "");
    Expect(1, 127369, '\P{Upper=n}', "");
    Expect(0, 127369, '\P{^Upper=n}', "");
    Expect(1, 127370, '\p{Upper=:\An\z:}', "");;
    Expect(0, 127369, '\p{Upper=:\An\z:}', "");;
    Expect(1, 127370, '\p{Upper=-N}', "");
    Expect(0, 127370, '\p{^Upper=-N}', "");
    Expect(0, 127370, '\P{Upper=-N}', "");
    Expect(1, 127370, '\P{^Upper=-N}', "");
    Expect(0, 127369, '\p{Upper=-N}', "");
    Expect(1, 127369, '\p{^Upper=-N}', "");
    Expect(1, 127369, '\P{Upper=-N}', "");
    Expect(0, 127369, '\P{^Upper=-N}', "");
    Error('\p{Is_Uppercase=:=	_F}');
    Error('\P{Is_Uppercase=:=	_F}');
    Expect(1, 127370, '\p{Is_Uppercase=f}', "");
    Expect(0, 127370, '\p{^Is_Uppercase=f}', "");
    Expect(0, 127370, '\P{Is_Uppercase=f}', "");
    Expect(1, 127370, '\P{^Is_Uppercase=f}', "");
    Expect(0, 127369, '\p{Is_Uppercase=f}', "");
    Expect(1, 127369, '\p{^Is_Uppercase=f}', "");
    Expect(1, 127369, '\P{Is_Uppercase=f}', "");
    Expect(0, 127369, '\P{^Is_Uppercase=f}', "");
    Expect(1, 127370, '\p{Is_Uppercase=-_F}', "");
    Expect(0, 127370, '\p{^Is_Uppercase=-_F}', "");
    Expect(0, 127370, '\P{Is_Uppercase=-_F}', "");
    Expect(1, 127370, '\P{^Is_Uppercase=-_F}', "");
    Expect(0, 127369, '\p{Is_Uppercase=-_F}', "");
    Expect(1, 127369, '\p{^Is_Uppercase=-_F}', "");
    Expect(1, 127369, '\P{Is_Uppercase=-_F}', "");
    Expect(0, 127369, '\P{^Is_Uppercase=-_F}', "");
    Error('\p{Is_Upper= 	FALSE/a/}');
    Error('\P{Is_Upper= 	FALSE/a/}');
    Expect(1, 127370, '\p{Is_Upper=false}', "");
    Expect(0, 127370, '\p{^Is_Upper=false}', "");
    Expect(0, 127370, '\P{Is_Upper=false}', "");
    Expect(1, 127370, '\P{^Is_Upper=false}', "");
    Expect(0, 127369, '\p{Is_Upper=false}', "");
    Expect(1, 127369, '\p{^Is_Upper=false}', "");
    Expect(1, 127369, '\P{Is_Upper=false}', "");
    Expect(0, 127369, '\P{^Is_Upper=false}', "");
    Expect(1, 127370, '\p{Is_Upper= 	false}', "");
    Expect(0, 127370, '\p{^Is_Upper= 	false}', "");
    Expect(0, 127370, '\P{Is_Upper= 	false}', "");
    Expect(1, 127370, '\P{^Is_Upper= 	false}', "");
    Expect(0, 127369, '\p{Is_Upper= 	false}', "");
    Expect(1, 127369, '\p{^Is_Upper= 	false}', "");
    Expect(1, 127369, '\P{Is_Upper= 	false}', "");
    Expect(0, 127369, '\P{^Is_Upper= 	false}', "");
    Error('\p{Uppercase=_:=Yes}');
    Error('\P{Uppercase=_:=Yes}');
    Expect(1, 127369, '\p{Uppercase=:\AYes\z:}', "");;
    Expect(0, 127370, '\p{Uppercase=:\AYes\z:}', "");;
    Expect(1, 127369, '\p{Uppercase=yes}', "");
    Expect(0, 127369, '\p{^Uppercase=yes}', "");
    Expect(0, 127369, '\P{Uppercase=yes}', "");
    Expect(1, 127369, '\P{^Uppercase=yes}', "");
    Expect(0, 127370, '\p{Uppercase=yes}', "");
    Expect(1, 127370, '\p{^Uppercase=yes}', "");
    Expect(1, 127370, '\P{Uppercase=yes}', "");
    Expect(0, 127370, '\P{^Uppercase=yes}', "");
    Expect(1, 127369, '\p{Uppercase=:\Ayes\z:}', "");;
    Expect(0, 127370, '\p{Uppercase=:\Ayes\z:}', "");;
    Expect(1, 127369, '\p{Uppercase=	-YES}', "");
    Expect(0, 127369, '\p{^Uppercase=	-YES}', "");
    Expect(0, 127369, '\P{Uppercase=	-YES}', "");
    Expect(1, 127369, '\P{^Uppercase=	-YES}', "");
    Expect(0, 127370, '\p{Uppercase=	-YES}', "");
    Expect(1, 127370, '\p{^Uppercase=	-YES}', "");
    Expect(1, 127370, '\P{Uppercase=	-YES}', "");
    Expect(0, 127370, '\P{^Uppercase=	-YES}', "");
    Error('\p{Upper=/a/- Y}');
    Error('\P{Upper=/a/- Y}');
    Expect(1, 127369, '\p{Upper=:\AY\z:}', "");;
    Expect(0, 127370, '\p{Upper=:\AY\z:}', "");;
    Expect(1, 127369, '\p{Upper=y}', "");
    Expect(0, 127369, '\p{^Upper=y}', "");
    Expect(0, 127369, '\P{Upper=y}', "");
    Expect(1, 127369, '\P{^Upper=y}', "");
    Expect(0, 127370, '\p{Upper=y}', "");
    Expect(1, 127370, '\p{^Upper=y}', "");
    Expect(1, 127370, '\P{Upper=y}', "");
    Expect(0, 127370, '\P{^Upper=y}', "");
    Expect(1, 127369, '\p{Upper=:\Ay\z:}', "");;
    Expect(0, 127370, '\p{Upper=:\Ay\z:}', "");;
    Expect(1, 127369, '\p{Upper= _Y}', "");
    Expect(0, 127369, '\p{^Upper= _Y}', "");
    Expect(0, 127369, '\P{Upper= _Y}', "");
    Expect(1, 127369, '\P{^Upper= _Y}', "");
    Expect(0, 127370, '\p{Upper= _Y}', "");
    Expect(1, 127370, '\p{^Upper= _Y}', "");
    Expect(1, 127370, '\P{Upper= _Y}', "");
    Expect(0, 127370, '\P{^Upper= _Y}', "");
    Error('\p{Is_Uppercase=/a/-T}');
    Error('\P{Is_Uppercase=/a/-T}');
    Expect(1, 127369, '\p{Is_Uppercase=t}', "");
    Expect(0, 127369, '\p{^Is_Uppercase=t}', "");
    Expect(0, 127369, '\P{Is_Uppercase=t}', "");
    Expect(1, 127369, '\P{^Is_Uppercase=t}', "");
    Expect(0, 127370, '\p{Is_Uppercase=t}', "");
    Expect(1, 127370, '\p{^Is_Uppercase=t}', "");
    Expect(1, 127370, '\P{Is_Uppercase=t}', "");
    Expect(0, 127370, '\P{^Is_Uppercase=t}', "");
    Expect(1, 127369, '\p{Is_Uppercase=	_T}', "");
    Expect(0, 127369, '\p{^Is_Uppercase=	_T}', "");
    Expect(0, 127369, '\P{Is_Uppercase=	_T}', "");
    Expect(1, 127369, '\P{^Is_Uppercase=	_T}', "");
    Expect(0, 127370, '\p{Is_Uppercase=	_T}', "");
    Expect(1, 127370, '\p{^Is_Uppercase=	_T}', "");
    Expect(1, 127370, '\P{Is_Uppercase=	_T}', "");
    Expect(0, 127370, '\P{^Is_Uppercase=	_T}', "");
    Error('\p{Is_Upper=/a/True}');
    Error('\P{Is_Upper=/a/True}');
    Expect(1, 127369, '\p{Is_Upper=true}', "");
    Expect(0, 127369, '\p{^Is_Upper=true}', "");
    Expect(0, 127369, '\P{Is_Upper=true}', "");
    Expect(1, 127369, '\P{^Is_Upper=true}', "");
    Expect(0, 127370, '\p{Is_Upper=true}', "");
    Expect(1, 127370, '\p{^Is_Upper=true}', "");
    Expect(1, 127370, '\P{Is_Upper=true}', "");
    Expect(0, 127370, '\P{^Is_Upper=true}', "");
    Expect(1, 127369, '\p{Is_Upper: --TRUE}', "");
    Expect(0, 127369, '\p{^Is_Upper: --TRUE}', "");
    Expect(0, 127369, '\P{Is_Upper: --TRUE}', "");
    Expect(1, 127369, '\P{^Is_Upper: --TRUE}', "");
    Expect(0, 127370, '\p{Is_Upper: --TRUE}', "");
    Expect(1, 127370, '\p{^Is_Upper: --TRUE}', "");
    Expect(1, 127370, '\P{Is_Upper: --TRUE}', "");
    Expect(0, 127370, '\P{^Is_Upper: --TRUE}', "");
    Error('\p{verticalorientation}');
    Error('\P{verticalorientation}');
    Error('\p{vo}');
    Error('\P{vo}');
    Error('\p{Vertical_Orientation=_/a/rotated}');
    Error('\P{Vertical_Orientation=_/a/rotated}');
    Expect(1, 262144, '\p{Vertical_Orientation=:\ARotated\z:}', "");;
    Expect(0, 1114109, '\p{Vertical_Orientation=:\ARotated\z:}', "");;
    Expect(1, 262144, '\p{Vertical_Orientation=rotated}', "");
    Expect(0, 262144, '\p{^Vertical_Orientation=rotated}', "");
    Expect(0, 262144, '\P{Vertical_Orientation=rotated}', "");
    Expect(1, 262144, '\P{^Vertical_Orientation=rotated}', "");
    Expect(0, 1114109, '\p{Vertical_Orientation=rotated}', "");
    Expect(1, 1114109, '\p{^Vertical_Orientation=rotated}', "");
    Expect(1, 1114109, '\P{Vertical_Orientation=rotated}', "");
    Expect(0, 1114109, '\P{^Vertical_Orientation=rotated}', "");
    Expect(1, 262144, '\p{Vertical_Orientation=:\Arotated\z:}', "");;
    Expect(0, 1114109, '\p{Vertical_Orientation=:\Arotated\z:}', "");;
    Expect(1, 262144, '\p{Vertical_Orientation:--ROTATED}', "");
    Expect(0, 262144, '\p{^Vertical_Orientation:--ROTATED}', "");
    Expect(0, 262144, '\P{Vertical_Orientation:--ROTATED}', "");
    Expect(1, 262144, '\P{^Vertical_Orientation:--ROTATED}', "");
    Expect(0, 1114109, '\p{Vertical_Orientation:--ROTATED}', "");
    Expect(1, 1114109, '\p{^Vertical_Orientation:--ROTATED}', "");
    Expect(1, 1114109, '\P{Vertical_Orientation:--ROTATED}', "");
    Expect(0, 1114109, '\P{^Vertical_Orientation:--ROTATED}', "");
    Error('\p{Vo:   -r/a/}');
    Error('\P{Vo:   -r/a/}');
    Expect(1, 262144, '\p{Vo=:\AR\z:}', "");;
    Expect(0, 1114109, '\p{Vo=:\AR\z:}', "");;
    Expect(1, 262144, '\p{Vo=r}', "");
    Expect(0, 262144, '\p{^Vo=r}', "");
    Expect(0, 262144, '\P{Vo=r}', "");
    Expect(1, 262144, '\P{^Vo=r}', "");
    Expect(0, 1114109, '\p{Vo=r}', "");
    Expect(1, 1114109, '\p{^Vo=r}', "");
    Expect(1, 1114109, '\P{Vo=r}', "");
    Expect(0, 1114109, '\P{^Vo=r}', "");
    Expect(1, 262144, '\p{Vo=:\Ar\z:}', "");;
    Expect(0, 1114109, '\p{Vo=:\Ar\z:}', "");;
    Expect(1, 262144, '\p{Vo=_R}', "");
    Expect(0, 262144, '\p{^Vo=_R}', "");
    Expect(0, 262144, '\P{Vo=_R}', "");
    Expect(1, 262144, '\P{^Vo=_R}', "");
    Expect(0, 1114109, '\p{Vo=_R}', "");
    Expect(1, 1114109, '\p{^Vo=_R}', "");
    Expect(1, 1114109, '\P{Vo=_R}', "");
    Expect(0, 1114109, '\P{^Vo=_R}', "");
    Error('\p{Is_Vertical_Orientation:	/a/_ROTATED}');
    Error('\P{Is_Vertical_Orientation:	/a/_ROTATED}');
    Expect(1, 262144, '\p{Is_Vertical_Orientation=rotated}', "");
    Expect(0, 262144, '\p{^Is_Vertical_Orientation=rotated}', "");
    Expect(0, 262144, '\P{Is_Vertical_Orientation=rotated}', "");
    Expect(1, 262144, '\P{^Is_Vertical_Orientation=rotated}', "");
    Expect(0, 1114109, '\p{Is_Vertical_Orientation=rotated}', "");
    Expect(1, 1114109, '\p{^Is_Vertical_Orientation=rotated}', "");
    Expect(1, 1114109, '\P{Is_Vertical_Orientation=rotated}', "");
    Expect(0, 1114109, '\P{^Is_Vertical_Orientation=rotated}', "");
    Expect(1, 262144, '\p{Is_Vertical_Orientation=__Rotated}', "");
    Expect(0, 262144, '\p{^Is_Vertical_Orientation=__Rotated}', "");
    Expect(0, 262144, '\P{Is_Vertical_Orientation=__Rotated}', "");
    Expect(1, 262144, '\P{^Is_Vertical_Orientation=__Rotated}', "");
    Expect(0, 1114109, '\p{Is_Vertical_Orientation=__Rotated}', "");
    Expect(1, 1114109, '\p{^Is_Vertical_Orientation=__Rotated}', "");
    Expect(1, 1114109, '\P{Is_Vertical_Orientation=__Rotated}', "");
    Expect(0, 1114109, '\P{^Is_Vertical_Orientation=__Rotated}', "");
    Error('\p{Is_Vo= :=R}');
    Error('\P{Is_Vo= :=R}');
    Expect(1, 262144, '\p{Is_Vo=r}', "");
    Expect(0, 262144, '\p{^Is_Vo=r}', "");
    Expect(0, 262144, '\P{Is_Vo=r}', "");
    Expect(1, 262144, '\P{^Is_Vo=r}', "");
    Expect(0, 1114109, '\p{Is_Vo=r}', "");
    Expect(1, 1114109, '\p{^Is_Vo=r}', "");
    Expect(1, 1114109, '\P{Is_Vo=r}', "");
    Expect(0, 1114109, '\P{^Is_Vo=r}', "");
    Expect(1, 262144, '\p{Is_Vo=	 R}', "");
    Expect(0, 262144, '\p{^Is_Vo=	 R}', "");
    Expect(0, 262144, '\P{Is_Vo=	 R}', "");
    Expect(1, 262144, '\P{^Is_Vo=	 R}', "");
    Expect(0, 1114109, '\p{Is_Vo=	 R}', "");
    Expect(1, 1114109, '\p{^Is_Vo=	 R}', "");
    Expect(1, 1114109, '\P{Is_Vo=	 R}', "");
    Expect(0, 1114109, '\P{^Is_Vo=	 R}', "");
    Error('\p{Vertical_Orientation= _Transformed_rotated:=}');
    Error('\P{Vertical_Orientation= _Transformed_rotated:=}');
    Expect(1, 65507, '\p{Vertical_Orientation=:\ATransformed_Rotated\z:}', "");;
    Expect(0, 65508, '\p{Vertical_Orientation=:\ATransformed_Rotated\z:}', "");;
    Expect(1, 65507, '\p{Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65507, '\p{^Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65507, '\P{Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65507, '\P{^Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65508, '\p{Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65508, '\p{^Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65508, '\P{Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65508, '\P{^Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65507, '\p{Vertical_Orientation=:\Atransformedrotated\z:}', "");;
    Expect(0, 65508, '\p{Vertical_Orientation=:\Atransformedrotated\z:}', "");;
    Expect(1, 65507, '\p{Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Expect(0, 65507, '\p{^Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Expect(0, 65507, '\P{Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Expect(1, 65507, '\P{^Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Expect(0, 65508, '\p{Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Expect(1, 65508, '\p{^Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Expect(1, 65508, '\P{Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Expect(0, 65508, '\P{^Vertical_Orientation=-_TRANSFORMED_rotated}', "");
    Error('\p{Vo=-:=tr}');
    Error('\P{Vo=-:=tr}');
    Expect(1, 65507, '\p{Vo=:\ATr\z:}', "");;
    Expect(0, 65508, '\p{Vo=:\ATr\z:}', "");;
    Expect(1, 65507, '\p{Vo=tr}', "");
    Expect(0, 65507, '\p{^Vo=tr}', "");
    Expect(0, 65507, '\P{Vo=tr}', "");
    Expect(1, 65507, '\P{^Vo=tr}', "");
    Expect(0, 65508, '\p{Vo=tr}', "");
    Expect(1, 65508, '\p{^Vo=tr}', "");
    Expect(1, 65508, '\P{Vo=tr}', "");
    Expect(0, 65508, '\P{^Vo=tr}', "");
    Expect(1, 65507, '\p{Vo=:\Atr\z:}', "");;
    Expect(0, 65508, '\p{Vo=:\Atr\z:}', "");;
    Expect(1, 65507, '\p{Vo:_	Tr}', "");
    Expect(0, 65507, '\p{^Vo:_	Tr}', "");
    Expect(0, 65507, '\P{Vo:_	Tr}', "");
    Expect(1, 65507, '\P{^Vo:_	Tr}', "");
    Expect(0, 65508, '\p{Vo:_	Tr}', "");
    Expect(1, 65508, '\p{^Vo:_	Tr}', "");
    Expect(1, 65508, '\P{Vo:_	Tr}', "");
    Expect(0, 65508, '\P{^Vo:_	Tr}', "");
    Error('\p{Is_Vertical_Orientation=:=Transformed_Rotated}');
    Error('\P{Is_Vertical_Orientation=:=Transformed_Rotated}');
    Expect(1, 65507, '\p{Is_Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65507, '\p{^Is_Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65507, '\P{Is_Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65507, '\P{^Is_Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65508, '\p{Is_Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65508, '\p{^Is_Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65508, '\P{Is_Vertical_Orientation=transformedrotated}', "");
    Expect(0, 65508, '\P{^Is_Vertical_Orientation=transformedrotated}', "");
    Expect(1, 65507, '\p{Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Expect(0, 65507, '\p{^Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Expect(0, 65507, '\P{Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Expect(1, 65507, '\P{^Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Expect(0, 65508, '\p{Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Expect(1, 65508, '\p{^Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Expect(1, 65508, '\P{Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Expect(0, 65508, '\P{^Is_Vertical_Orientation:   TRANSFORMED_ROTATED}', "");
    Error('\p{Is_Vo=/a/Tr}');
    Error('\P{Is_Vo=/a/Tr}');
    Expect(1, 65507, '\p{Is_Vo=tr}', "");
    Expect(0, 65507, '\p{^Is_Vo=tr}', "");
    Expect(0, 65507, '\P{Is_Vo=tr}', "");
    Expect(1, 65507, '\P{^Is_Vo=tr}', "");
    Expect(0, 65508, '\p{Is_Vo=tr}', "");
    Expect(1, 65508, '\p{^Is_Vo=tr}', "");
    Expect(1, 65508, '\P{Is_Vo=tr}', "");
    Expect(0, 65508, '\P{^Is_Vo=tr}', "");
    Expect(1, 65507, '\p{Is_Vo= _Tr}', "");
    Expect(0, 65507, '\p{^Is_Vo= _Tr}', "");
    Expect(0, 65507, '\P{Is_Vo= _Tr}', "");
    Expect(1, 65507, '\P{^Is_Vo= _Tr}', "");
    Expect(0, 65508, '\p{Is_Vo= _Tr}', "");
    Expect(1, 65508, '\p{^Is_Vo= _Tr}', "");
    Expect(1, 65508, '\P{Is_Vo= _Tr}', "");
    Expect(0, 65508, '\P{^Is_Vo= _Tr}', "");
    Error('\p{Vertical_Orientation=_/a/Transformed_Upright}');
    Error('\P{Vertical_Orientation=_/a/Transformed_Upright}');
    Expect(1, 127489, '\p{Vertical_Orientation=:\ATransformed_Upright\z:}', "");;
    Expect(0, 127490, '\p{Vertical_Orientation=:\ATransformed_Upright\z:}', "");;
    Expect(1, 127489, '\p{Vertical_Orientation=transformedupright}', "");
    Expect(0, 127489, '\p{^Vertical_Orientation=transformedupright}', "");
    Expect(0, 127489, '\P{Vertical_Orientation=transformedupright}', "");
    Expect(1, 127489, '\P{^Vertical_Orientation=transformedupright}', "");
    Expect(0, 127490, '\p{Vertical_Orientation=transformedupright}', "");
    Expect(1, 127490, '\p{^Vertical_Orientation=transformedupright}', "");
    Expect(1, 127490, '\P{Vertical_Orientation=transformedupright}', "");
    Expect(0, 127490, '\P{^Vertical_Orientation=transformedupright}', "");
    Expect(1, 127489, '\p{Vertical_Orientation=:\Atransformedupright\z:}', "");;
    Expect(0, 127490, '\p{Vertical_Orientation=:\Atransformedupright\z:}', "");;
    Expect(1, 127489, '\p{Vertical_Orientation: -transformed_Upright}', "");
    Expect(0, 127489, '\p{^Vertical_Orientation: -transformed_Upright}', "");
    Expect(0, 127489, '\P{Vertical_Orientation: -transformed_Upright}', "");
    Expect(1, 127489, '\P{^Vertical_Orientation: -transformed_Upright}', "");
    Expect(0, 127490, '\p{Vertical_Orientation: -transformed_Upright}', "");
    Expect(1, 127490, '\p{^Vertical_Orientation: -transformed_Upright}', "");
    Expect(1, 127490, '\P{Vertical_Orientation: -transformed_Upright}', "");
    Expect(0, 127490, '\P{^Vertical_Orientation: -transformed_Upright}', "");
    Error('\p{Vo= Tu:=}');
    Error('\P{Vo= Tu:=}');
    Expect(1, 127489, '\p{Vo=:\ATu\z:}', "");;
    Expect(0, 127490, '\p{Vo=:\ATu\z:}', "");;
    Expect(1, 127489, '\p{Vo=tu}', "");
    Expect(0, 127489, '\p{^Vo=tu}', "");
    Expect(0, 127489, '\P{Vo=tu}', "");
    Expect(1, 127489, '\P{^Vo=tu}', "");
    Expect(0, 127490, '\p{Vo=tu}', "");
    Expect(1, 127490, '\p{^Vo=tu}', "");
    Expect(1, 127490, '\P{Vo=tu}', "");
    Expect(0, 127490, '\P{^Vo=tu}', "");
    Expect(1, 127489, '\p{Vo=:\Atu\z:}', "");;
    Expect(0, 127490, '\p{Vo=:\Atu\z:}', "");;
    Expect(1, 127489, '\p{Vo=  TU}', "");
    Expect(0, 127489, '\p{^Vo=  TU}', "");
    Expect(0, 127489, '\P{Vo=  TU}', "");
    Expect(1, 127489, '\P{^Vo=  TU}', "");
    Expect(0, 127490, '\p{Vo=  TU}', "");
    Expect(1, 127490, '\p{^Vo=  TU}', "");
    Expect(1, 127490, '\P{Vo=  TU}', "");
    Expect(0, 127490, '\P{^Vo=  TU}', "");
    Error('\p{Is_Vertical_Orientation= :=transformed_UPRIGHT}');
    Error('\P{Is_Vertical_Orientation= :=transformed_UPRIGHT}');
    Expect(1, 127489, '\p{Is_Vertical_Orientation=transformedupright}', "");
    Expect(0, 127489, '\p{^Is_Vertical_Orientation=transformedupright}', "");
    Expect(0, 127489, '\P{Is_Vertical_Orientation=transformedupright}', "");
    Expect(1, 127489, '\P{^Is_Vertical_Orientation=transformedupright}', "");
    Expect(0, 127490, '\p{Is_Vertical_Orientation=transformedupright}', "");
    Expect(1, 127490, '\p{^Is_Vertical_Orientation=transformedupright}', "");
    Expect(1, 127490, '\P{Is_Vertical_Orientation=transformedupright}', "");
    Expect(0, 127490, '\P{^Is_Vertical_Orientation=transformedupright}', "");
    Expect(1, 127489, '\p{Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Expect(0, 127489, '\p{^Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Expect(0, 127489, '\P{Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Expect(1, 127489, '\P{^Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Expect(0, 127490, '\p{Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Expect(1, 127490, '\p{^Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Expect(1, 127490, '\P{Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Expect(0, 127490, '\P{^Is_Vertical_Orientation=		TRANSFORMED_Upright}', "");
    Error('\p{Is_Vo=/a/	Tu}');
    Error('\P{Is_Vo=/a/	Tu}');
    Expect(1, 127489, '\p{Is_Vo=tu}', "");
    Expect(0, 127489, '\p{^Is_Vo=tu}', "");
    Expect(0, 127489, '\P{Is_Vo=tu}', "");
    Expect(1, 127489, '\P{^Is_Vo=tu}', "");
    Expect(0, 127490, '\p{Is_Vo=tu}', "");
    Expect(1, 127490, '\p{^Is_Vo=tu}', "");
    Expect(1, 127490, '\P{Is_Vo=tu}', "");
    Expect(0, 127490, '\P{^Is_Vo=tu}', "");
    Expect(1, 127489, '\p{Is_Vo=	Tu}', "");
    Expect(0, 127489, '\p{^Is_Vo=	Tu}', "");
    Expect(0, 127489, '\P{Is_Vo=	Tu}', "");
    Expect(1, 127489, '\P{^Is_Vo=	Tu}', "");
    Expect(0, 127490, '\p{Is_Vo=	Tu}', "");
    Expect(1, 127490, '\p{^Is_Vo=	Tu}', "");
    Expect(1, 127490, '\P{Is_Vo=	Tu}', "");
    Expect(0, 127490, '\P{^Is_Vo=	Tu}', "");
    Error('\p{Vertical_Orientation=:=_ Upright}');
    Error('\P{Vertical_Orientation=:=_ Upright}');
    Expect(1, 1114109, '\p{Vertical_Orientation=:\AUpright\z:}', "");;
    Expect(0, 262144, '\p{Vertical_Orientation=:\AUpright\z:}', "");;
    Expect(1, 1114109, '\p{Vertical_Orientation=upright}', "");
    Expect(0, 1114109, '\p{^Vertical_Orientation=upright}', "");
    Expect(0, 1114109, '\P{Vertical_Orientation=upright}', "");
    Expect(1, 1114109, '\P{^Vertical_Orientation=upright}', "");
    Expect(0, 262144, '\p{Vertical_Orientation=upright}', "");
    Expect(1, 262144, '\p{^Vertical_Orientation=upright}', "");
    Expect(1, 262144, '\P{Vertical_Orientation=upright}', "");
    Expect(0, 262144, '\P{^Vertical_Orientation=upright}', "");
    Expect(1, 1114109, '\p{Vertical_Orientation=:\Aupright\z:}', "");;
    Expect(0, 262144, '\p{Vertical_Orientation=:\Aupright\z:}', "");;
    Expect(1, 1114109, '\p{Vertical_Orientation=__Upright}', "");
    Expect(0, 1114109, '\p{^Vertical_Orientation=__Upright}', "");
    Expect(0, 1114109, '\P{Vertical_Orientation=__Upright}', "");
    Expect(1, 1114109, '\P{^Vertical_Orientation=__Upright}', "");
    Expect(0, 262144, '\p{Vertical_Orientation=__Upright}', "");
    Expect(1, 262144, '\p{^Vertical_Orientation=__Upright}', "");
    Expect(1, 262144, '\P{Vertical_Orientation=__Upright}', "");
    Expect(0, 262144, '\P{^Vertical_Orientation=__Upright}', "");
    Error('\p{Vo=U:=}');
    Error('\P{Vo=U:=}');
    Expect(1, 1114109, '\p{Vo=:\AU\z:}', "");;
    Expect(0, 262144, '\p{Vo=:\AU\z:}', "");;
    Expect(1, 1114109, '\p{Vo=u}', "");
    Expect(0, 1114109, '\p{^Vo=u}', "");
    Expect(0, 1114109, '\P{Vo=u}', "");
    Expect(1, 1114109, '\P{^Vo=u}', "");
    Expect(0, 262144, '\p{Vo=u}', "");
    Expect(1, 262144, '\p{^Vo=u}', "");
    Expect(1, 262144, '\P{Vo=u}', "");
    Expect(0, 262144, '\P{^Vo=u}', "");
    Expect(1, 1114109, '\p{Vo=:\Au\z:}', "");;
    Expect(0, 262144, '\p{Vo=:\Au\z:}', "");;
    Expect(1, 1114109, '\p{Vo=_	U}', "");
    Expect(0, 1114109, '\p{^Vo=_	U}', "");
    Expect(0, 1114109, '\P{Vo=_	U}', "");
    Expect(1, 1114109, '\P{^Vo=_	U}', "");
    Expect(0, 262144, '\p{Vo=_	U}', "");
    Expect(1, 262144, '\p{^Vo=_	U}', "");
    Expect(1, 262144, '\P{Vo=_	U}', "");
    Expect(0, 262144, '\P{^Vo=_	U}', "");
    Error('\p{Is_Vertical_Orientation=:=__upright}');
    Error('\P{Is_Vertical_Orientation=:=__upright}');
    Expect(1, 1114109, '\p{Is_Vertical_Orientation:   upright}', "");
    Expect(0, 1114109, '\p{^Is_Vertical_Orientation:   upright}', "");
    Expect(0, 1114109, '\P{Is_Vertical_Orientation:   upright}', "");
    Expect(1, 1114109, '\P{^Is_Vertical_Orientation:   upright}', "");
    Expect(0, 262144, '\p{Is_Vertical_Orientation:   upright}', "");
    Expect(1, 262144, '\p{^Is_Vertical_Orientation:   upright}', "");
    Expect(1, 262144, '\P{Is_Vertical_Orientation:   upright}', "");
    Expect(0, 262144, '\P{^Is_Vertical_Orientation:   upright}', "");
    Expect(1, 1114109, '\p{Is_Vertical_Orientation= -UPRIGHT}', "");
    Expect(0, 1114109, '\p{^Is_Vertical_Orientation= -UPRIGHT}', "");
    Expect(0, 1114109, '\P{Is_Vertical_Orientation= -UPRIGHT}', "");
    Expect(1, 1114109, '\P{^Is_Vertical_Orientation= -UPRIGHT}', "");
    Expect(0, 262144, '\p{Is_Vertical_Orientation= -UPRIGHT}', "");
    Expect(1, 262144, '\p{^Is_Vertical_Orientation= -UPRIGHT}', "");
    Expect(1, 262144, '\P{Is_Vertical_Orientation= -UPRIGHT}', "");
    Expect(0, 262144, '\P{^Is_Vertical_Orientation= -UPRIGHT}', "");
    Error('\p{Is_Vo:   	:=U}');
    Error('\P{Is_Vo:   	:=U}');
    Expect(1, 1114109, '\p{Is_Vo=u}', "");
    Expect(0, 1114109, '\p{^Is_Vo=u}', "");
    Expect(0, 1114109, '\P{Is_Vo=u}', "");
    Expect(1, 1114109, '\P{^Is_Vo=u}', "");
    Expect(0, 262144, '\p{Is_Vo=u}', "");
    Expect(1, 262144, '\p{^Is_Vo=u}', "");
    Expect(1, 262144, '\P{Is_Vo=u}', "");
    Expect(0, 262144, '\P{^Is_Vo=u}', "");
    Expect(1, 1114109, '\p{Is_Vo= u}', "");
    Expect(0, 1114109, '\p{^Is_Vo= u}', "");
    Expect(0, 1114109, '\P{Is_Vo= u}', "");
    Expect(1, 1114109, '\P{^Is_Vo= u}', "");
    Expect(0, 262144, '\p{Is_Vo= u}', "");
    Expect(1, 262144, '\p{^Is_Vo= u}', "");
    Expect(1, 262144, '\P{Is_Vo= u}', "");
    Expect(0, 262144, '\P{^Is_Vo= u}', "");
    Error('\p{Variation_Selector=	/a/NO}');
    Error('\P{Variation_Selector=	/a/NO}');
    Expect(1, 918000, '\p{Variation_Selector=:\ANo\z:}', "");;
    Expect(0, 917999, '\p{Variation_Selector=:\ANo\z:}', "");;
    Expect(1, 918000, '\p{Variation_Selector=no}', "");
    Expect(0, 918000, '\p{^Variation_Selector=no}', "");
    Expect(0, 918000, '\P{Variation_Selector=no}', "");
    Expect(1, 918000, '\P{^Variation_Selector=no}', "");
    Expect(0, 917999, '\p{Variation_Selector=no}', "");
    Expect(1, 917999, '\p{^Variation_Selector=no}', "");
    Expect(1, 917999, '\P{Variation_Selector=no}', "");
    Expect(0, 917999, '\P{^Variation_Selector=no}', "");
    Expect(1, 918000, '\p{Variation_Selector=:\Ano\z:}', "");;
    Expect(0, 917999, '\p{Variation_Selector=:\Ano\z:}', "");;
    Expect(1, 918000, '\p{Variation_Selector=		No}', "");
    Expect(0, 918000, '\p{^Variation_Selector=		No}', "");
    Expect(0, 918000, '\P{Variation_Selector=		No}', "");
    Expect(1, 918000, '\P{^Variation_Selector=		No}', "");
    Expect(0, 917999, '\p{Variation_Selector=		No}', "");
    Expect(1, 917999, '\p{^Variation_Selector=		No}', "");
    Expect(1, 917999, '\P{Variation_Selector=		No}', "");
    Expect(0, 917999, '\P{^Variation_Selector=		No}', "");
    Error('\p{VS= :=n}');
    Error('\P{VS= :=n}');
    Expect(1, 918000, '\p{VS=:\AN\z:}', "");;
    Expect(0, 917999, '\p{VS=:\AN\z:}', "");;
    Expect(1, 918000, '\p{VS=n}', "");
    Expect(0, 918000, '\p{^VS=n}', "");
    Expect(0, 918000, '\P{VS=n}', "");
    Expect(1, 918000, '\P{^VS=n}', "");
    Expect(0, 917999, '\p{VS=n}', "");
    Expect(1, 917999, '\p{^VS=n}', "");
    Expect(1, 917999, '\P{VS=n}', "");
    Expect(0, 917999, '\P{^VS=n}', "");
    Expect(1, 918000, '\p{VS=:\An\z:}', "");;
    Expect(0, 917999, '\p{VS=:\An\z:}', "");;
    Expect(1, 918000, '\p{VS:	- N}', "");
    Expect(0, 918000, '\p{^VS:	- N}', "");
    Expect(0, 918000, '\P{VS:	- N}', "");
    Expect(1, 918000, '\P{^VS:	- N}', "");
    Expect(0, 917999, '\p{VS:	- N}', "");
    Expect(1, 917999, '\p{^VS:	- N}', "");
    Expect(1, 917999, '\P{VS:	- N}', "");
    Expect(0, 917999, '\P{^VS:	- N}', "");
    Error('\p{Is_Variation_Selector=-/a/F}');
    Error('\P{Is_Variation_Selector=-/a/F}');
    Expect(1, 918000, '\p{Is_Variation_Selector=f}', "");
    Expect(0, 918000, '\p{^Is_Variation_Selector=f}', "");
    Expect(0, 918000, '\P{Is_Variation_Selector=f}', "");
    Expect(1, 918000, '\P{^Is_Variation_Selector=f}', "");
    Expect(0, 917999, '\p{Is_Variation_Selector=f}', "");
    Expect(1, 917999, '\p{^Is_Variation_Selector=f}', "");
    Expect(1, 917999, '\P{Is_Variation_Selector=f}', "");
    Expect(0, 917999, '\P{^Is_Variation_Selector=f}', "");
    Expect(1, 918000, '\p{Is_Variation_Selector=--f}', "");
    Expect(0, 918000, '\p{^Is_Variation_Selector=--f}', "");
    Expect(0, 918000, '\P{Is_Variation_Selector=--f}', "");
    Expect(1, 918000, '\P{^Is_Variation_Selector=--f}', "");
    Expect(0, 917999, '\p{Is_Variation_Selector=--f}', "");
    Expect(1, 917999, '\p{^Is_Variation_Selector=--f}', "");
    Expect(1, 917999, '\P{Is_Variation_Selector=--f}', "");
    Expect(0, 917999, '\P{^Is_Variation_Selector=--f}', "");
    Error('\p{Is_VS=- False:=}');
    Error('\P{Is_VS=- False:=}');
    Expect(1, 918000, '\p{Is_VS=false}', "");
    Expect(0, 918000, '\p{^Is_VS=false}', "");
    Expect(0, 918000, '\P{Is_VS=false}', "");
    Expect(1, 918000, '\P{^Is_VS=false}', "");
    Expect(0, 917999, '\p{Is_VS=false}', "");
    Expect(1, 917999, '\p{^Is_VS=false}', "");
    Expect(1, 917999, '\P{Is_VS=false}', "");
    Expect(0, 917999, '\P{^Is_VS=false}', "");
    Expect(1, 918000, '\p{Is_VS=  False}', "");
    Expect(0, 918000, '\p{^Is_VS=  False}', "");
    Expect(0, 918000, '\P{Is_VS=  False}', "");
    Expect(1, 918000, '\P{^Is_VS=  False}', "");
    Expect(0, 917999, '\p{Is_VS=  False}', "");
    Expect(1, 917999, '\p{^Is_VS=  False}', "");
    Expect(1, 917999, '\P{Is_VS=  False}', "");
    Expect(0, 917999, '\P{^Is_VS=  False}', "");
    Error('\p{Variation_Selector=_ YES:=}');
    Error('\P{Variation_Selector=_ YES:=}');
    Expect(1, 917999, '\p{Variation_Selector=:\AYes\z:}', "");;
    Expect(0, 918000, '\p{Variation_Selector=:\AYes\z:}', "");;
    Expect(1, 917999, '\p{Variation_Selector: yes}', "");
    Expect(0, 917999, '\p{^Variation_Selector: yes}', "");
    Expect(0, 917999, '\P{Variation_Selector: yes}', "");
    Expect(1, 917999, '\P{^Variation_Selector: yes}', "");
    Expect(0, 918000, '\p{Variation_Selector: yes}', "");
    Expect(1, 918000, '\p{^Variation_Selector: yes}', "");
    Expect(1, 918000, '\P{Variation_Selector: yes}', "");
    Expect(0, 918000, '\P{^Variation_Selector: yes}', "");
    Expect(1, 917999, '\p{Variation_Selector=:\Ayes\z:}', "");;
    Expect(0, 918000, '\p{Variation_Selector=:\Ayes\z:}', "");;
    Expect(1, 917999, '\p{Variation_Selector=-Yes}', "");
    Expect(0, 917999, '\p{^Variation_Selector=-Yes}', "");
    Expect(0, 917999, '\P{Variation_Selector=-Yes}', "");
    Expect(1, 917999, '\P{^Variation_Selector=-Yes}', "");
    Expect(0, 918000, '\p{Variation_Selector=-Yes}', "");
    Expect(1, 918000, '\p{^Variation_Selector=-Yes}', "");
    Expect(1, 918000, '\P{Variation_Selector=-Yes}', "");
    Expect(0, 918000, '\P{^Variation_Selector=-Yes}', "");
    Error('\p{VS=:=_	Y}');
    Error('\P{VS=:=_	Y}');
    Expect(1, 917999, '\p{VS=:\AY\z:}', "");;
    Expect(0, 918000, '\p{VS=:\AY\z:}', "");;
    Expect(1, 917999, '\p{VS=y}', "");
    Expect(0, 917999, '\p{^VS=y}', "");
    Expect(0, 917999, '\P{VS=y}', "");
    Expect(1, 917999, '\P{^VS=y}', "");
    Expect(0, 918000, '\p{VS=y}', "");
    Expect(1, 918000, '\p{^VS=y}', "");
    Expect(1, 918000, '\P{VS=y}', "");
    Expect(0, 918000, '\P{^VS=y}', "");
    Expect(1, 917999, '\p{VS=:\Ay\z:}', "");;
    Expect(0, 918000, '\p{VS=:\Ay\z:}', "");;
    Expect(1, 917999, '\p{VS= Y}', "");
    Expect(0, 917999, '\p{^VS= Y}', "");
    Expect(0, 917999, '\P{VS= Y}', "");
    Expect(1, 917999, '\P{^VS= Y}', "");
    Expect(0, 918000, '\p{VS= Y}', "");
    Expect(1, 918000, '\p{^VS= Y}', "");
    Expect(1, 918000, '\P{VS= Y}', "");
    Expect(0, 918000, '\P{^VS= Y}', "");
    Error('\p{Is_Variation_Selector=- T/a/}');
    Error('\P{Is_Variation_Selector=- T/a/}');
    Expect(1, 917999, '\p{Is_Variation_Selector=t}', "");
    Expect(0, 917999, '\p{^Is_Variation_Selector=t}', "");
    Expect(0, 917999, '\P{Is_Variation_Selector=t}', "");
    Expect(1, 917999, '\P{^Is_Variation_Selector=t}', "");
    Expect(0, 918000, '\p{Is_Variation_Selector=t}', "");
    Expect(1, 918000, '\p{^Is_Variation_Selector=t}', "");
    Expect(1, 918000, '\P{Is_Variation_Selector=t}', "");
    Expect(0, 918000, '\P{^Is_Variation_Selector=t}', "");
    Expect(1, 917999, '\p{Is_Variation_Selector:    -T}', "");
    Expect(0, 917999, '\p{^Is_Variation_Selector:    -T}', "");
    Expect(0, 917999, '\P{Is_Variation_Selector:    -T}', "");
    Expect(1, 917999, '\P{^Is_Variation_Selector:    -T}', "");
    Expect(0, 918000, '\p{Is_Variation_Selector:    -T}', "");
    Expect(1, 918000, '\p{^Is_Variation_Selector:    -T}', "");
    Expect(1, 918000, '\P{Is_Variation_Selector:    -T}', "");
    Expect(0, 918000, '\P{^Is_Variation_Selector:    -T}', "");
    Error('\p{Is_VS=_/a/True}');
    Error('\P{Is_VS=_/a/True}');
    Expect(1, 917999, '\p{Is_VS=true}', "");
    Expect(0, 917999, '\p{^Is_VS=true}', "");
    Expect(0, 917999, '\P{Is_VS=true}', "");
    Expect(1, 917999, '\P{^Is_VS=true}', "");
    Expect(0, 918000, '\p{Is_VS=true}', "");
    Expect(1, 918000, '\p{^Is_VS=true}', "");
    Expect(1, 918000, '\P{Is_VS=true}', "");
    Expect(0, 918000, '\P{^Is_VS=true}', "");
    Expect(1, 917999, '\p{Is_VS=	-True}', "");
    Expect(0, 917999, '\p{^Is_VS=	-True}', "");
    Expect(0, 917999, '\P{Is_VS=	-True}', "");
    Expect(1, 917999, '\P{^Is_VS=	-True}', "");
    Expect(0, 918000, '\p{Is_VS=	-True}', "");
    Expect(1, 918000, '\p{^Is_VS=	-True}', "");
    Expect(1, 918000, '\P{Is_VS=	-True}', "");
    Expect(0, 918000, '\P{^Is_VS=	-True}', "");
    Error('\p{wordbreak}');
    Error('\P{wordbreak}');
    Error('\p{wb}');
    Error('\P{wb}');
    Error('\p{_perlwb}');
    Error('\P{_perlwb}');
    Error('\p{Word_Break:/a/-	cr}');
    Error('\P{Word_Break:/a/-	cr}');
    Expect(1, 13, '\p{Word_Break=:\ACR\z:}', "");;
    Expect(0, 14, '\p{Word_Break=:\ACR\z:}', "");;
    Expect(1, 13, '\p{Word_Break=cr}', "");
    Expect(0, 13, '\p{^Word_Break=cr}', "");
    Expect(0, 13, '\P{Word_Break=cr}', "");
    Expect(1, 13, '\P{^Word_Break=cr}', "");
    Expect(0, 14, '\p{Word_Break=cr}', "");
    Expect(1, 14, '\p{^Word_Break=cr}', "");
    Expect(1, 14, '\P{Word_Break=cr}', "");
    Expect(0, 14, '\P{^Word_Break=cr}', "");
    Expect(1, 13, '\p{Word_Break=:\Acr\z:}', "");;
    Expect(0, 14, '\p{Word_Break=:\Acr\z:}', "");;
    Expect(1, 13, '\p{Word_Break=_ CR}', "");
    Expect(0, 13, '\p{^Word_Break=_ CR}', "");
    Expect(0, 13, '\P{Word_Break=_ CR}', "");
    Expect(1, 13, '\P{^Word_Break=_ CR}', "");
    Expect(0, 14, '\p{Word_Break=_ CR}', "");
    Expect(1, 14, '\p{^Word_Break=_ CR}', "");
    Expect(1, 14, '\P{Word_Break=_ CR}', "");
    Expect(0, 14, '\P{^Word_Break=_ CR}', "");
    Error('\p{WB=:=- CR}');
    Error('\P{WB=:=- CR}');
    Expect(1, 13, '\p{WB=:\ACR\z:}', "");;
    Expect(0, 14, '\p{WB=:\ACR\z:}', "");;
    Expect(1, 13, '\p{WB:cr}', "");
    Expect(0, 13, '\p{^WB:cr}', "");
    Expect(0, 13, '\P{WB:cr}', "");
    Expect(1, 13, '\P{^WB:cr}', "");
    Expect(0, 14, '\p{WB:cr}', "");
    Expect(1, 14, '\p{^WB:cr}', "");
    Expect(1, 14, '\P{WB:cr}', "");
    Expect(0, 14, '\P{^WB:cr}', "");
    Expect(1, 13, '\p{WB=:\Acr\z:}', "");;
    Expect(0, 14, '\p{WB=:\Acr\z:}', "");;
    Expect(1, 13, '\p{WB=_CR}', "");
    Expect(0, 13, '\p{^WB=_CR}', "");
    Expect(0, 13, '\P{WB=_CR}', "");
    Expect(1, 13, '\P{^WB=_CR}', "");
    Expect(0, 14, '\p{WB=_CR}', "");
    Expect(1, 14, '\p{^WB=_CR}', "");
    Expect(1, 14, '\P{WB=_CR}', "");
    Expect(0, 14, '\P{^WB=_CR}', "");
    Error('\p{Is_Word_Break=_:=CR}');
    Error('\P{Is_Word_Break=_:=CR}');
    Expect(1, 13, '\p{Is_Word_Break=cr}', "");
    Expect(0, 13, '\p{^Is_Word_Break=cr}', "");
    Expect(0, 13, '\P{Is_Word_Break=cr}', "");
    Expect(1, 13, '\P{^Is_Word_Break=cr}', "");
    Expect(0, 14, '\p{Is_Word_Break=cr}', "");
    Expect(1, 14, '\p{^Is_Word_Break=cr}', "");
    Expect(1, 14, '\P{Is_Word_Break=cr}', "");
    Expect(0, 14, '\P{^Is_Word_Break=cr}', "");
    Expect(1, 13, '\p{Is_Word_Break= CR}', "");
    Expect(0, 13, '\p{^Is_Word_Break= CR}', "");
    Expect(0, 13, '\P{Is_Word_Break= CR}', "");
    Expect(1, 13, '\P{^Is_Word_Break= CR}', "");
    Expect(0, 14, '\p{Is_Word_Break= CR}', "");
    Expect(1, 14, '\p{^Is_Word_Break= CR}', "");
    Expect(1, 14, '\P{Is_Word_Break= CR}', "");
    Expect(0, 14, '\P{^Is_Word_Break= CR}', "");
    Error('\p{Is_WB= :=CR}');
    Error('\P{Is_WB= :=CR}');
    Expect(1, 13, '\p{Is_WB=cr}', "");
    Expect(0, 13, '\p{^Is_WB=cr}', "");
    Expect(0, 13, '\P{Is_WB=cr}', "");
    Expect(1, 13, '\P{^Is_WB=cr}', "");
    Expect(0, 14, '\p{Is_WB=cr}', "");
    Expect(1, 14, '\p{^Is_WB=cr}', "");
    Expect(1, 14, '\P{Is_WB=cr}', "");
    Expect(0, 14, '\P{^Is_WB=cr}', "");
    Expect(1, 13, '\p{Is_WB=	cr}', "");
    Expect(0, 13, '\p{^Is_WB=	cr}', "");
    Expect(0, 13, '\P{Is_WB=	cr}', "");
    Expect(1, 13, '\P{^Is_WB=	cr}', "");
    Expect(0, 14, '\p{Is_WB=	cr}', "");
    Expect(1, 14, '\p{^Is_WB=	cr}', "");
    Expect(1, 14, '\P{Is_WB=	cr}', "");
    Expect(0, 14, '\P{^Is_WB=	cr}', "");
    Error('\p{Word_Break:   	DOUBLE_QUOTE/a/}');
    Error('\P{Word_Break:   	DOUBLE_QUOTE/a/}');
    Expect(1, 34, '\p{Word_Break=:\ADouble_Quote\z:}', "");;
    Expect(0, 35, '\p{Word_Break=:\ADouble_Quote\z:}', "");;
    Expect(1, 34, '\p{Word_Break:   doublequote}', "");
    Expect(0, 34, '\p{^Word_Break:   doublequote}', "");
    Expect(0, 34, '\P{Word_Break:   doublequote}', "");
    Expect(1, 34, '\P{^Word_Break:   doublequote}', "");
    Expect(0, 35, '\p{Word_Break:   doublequote}', "");
    Expect(1, 35, '\p{^Word_Break:   doublequote}', "");
    Expect(1, 35, '\P{Word_Break:   doublequote}', "");
    Expect(0, 35, '\P{^Word_Break:   doublequote}', "");
    Expect(1, 34, '\p{Word_Break=:\Adoublequote\z:}', "");;
    Expect(0, 35, '\p{Word_Break=:\Adoublequote\z:}', "");;
    Expect(1, 34, '\p{Word_Break:_	Double_QUOTE}', "");
    Expect(0, 34, '\p{^Word_Break:_	Double_QUOTE}', "");
    Expect(0, 34, '\P{Word_Break:_	Double_QUOTE}', "");
    Expect(1, 34, '\P{^Word_Break:_	Double_QUOTE}', "");
    Expect(0, 35, '\p{Word_Break:_	Double_QUOTE}', "");
    Expect(1, 35, '\p{^Word_Break:_	Double_QUOTE}', "");
    Expect(1, 35, '\P{Word_Break:_	Double_QUOTE}', "");
    Expect(0, 35, '\P{^Word_Break:_	Double_QUOTE}', "");
    Error('\p{WB=/a/	_DQ}');
    Error('\P{WB=/a/	_DQ}');
    Expect(1, 34, '\p{WB=:\ADQ\z:}', "");;
    Expect(0, 35, '\p{WB=:\ADQ\z:}', "");;
    Expect(1, 34, '\p{WB=dq}', "");
    Expect(0, 34, '\p{^WB=dq}', "");
    Expect(0, 34, '\P{WB=dq}', "");
    Expect(1, 34, '\P{^WB=dq}', "");
    Expect(0, 35, '\p{WB=dq}', "");
    Expect(1, 35, '\p{^WB=dq}', "");
    Expect(1, 35, '\P{WB=dq}', "");
    Expect(0, 35, '\P{^WB=dq}', "");
    Expect(1, 34, '\p{WB=:\Adq\z:}', "");;
    Expect(0, 35, '\p{WB=:\Adq\z:}', "");;
    Expect(1, 34, '\p{WB=_DQ}', "");
    Expect(0, 34, '\p{^WB=_DQ}', "");
    Expect(0, 34, '\P{WB=_DQ}', "");
    Expect(1, 34, '\P{^WB=_DQ}', "");
    Expect(0, 35, '\p{WB=_DQ}', "");
    Expect(1, 35, '\p{^WB=_DQ}', "");
    Expect(1, 35, '\P{WB=_DQ}', "");
    Expect(0, 35, '\P{^WB=_DQ}', "");
    Error('\p{Is_Word_Break:    -double_QUOTE:=}');
    Error('\P{Is_Word_Break:    -double_QUOTE:=}');
    Expect(1, 34, '\p{Is_Word_Break=doublequote}', "");
    Expect(0, 34, '\p{^Is_Word_Break=doublequote}', "");
    Expect(0, 34, '\P{Is_Word_Break=doublequote}', "");
    Expect(1, 34, '\P{^Is_Word_Break=doublequote}', "");
    Expect(0, 35, '\p{Is_Word_Break=doublequote}', "");
    Expect(1, 35, '\p{^Is_Word_Break=doublequote}', "");
    Expect(1, 35, '\P{Is_Word_Break=doublequote}', "");
    Expect(0, 35, '\P{^Is_Word_Break=doublequote}', "");
    Expect(1, 34, '\p{Is_Word_Break:	_ Double_Quote}', "");
    Expect(0, 34, '\p{^Is_Word_Break:	_ Double_Quote}', "");
    Expect(0, 34, '\P{Is_Word_Break:	_ Double_Quote}', "");
    Expect(1, 34, '\P{^Is_Word_Break:	_ Double_Quote}', "");
    Expect(0, 35, '\p{Is_Word_Break:	_ Double_Quote}', "");
    Expect(1, 35, '\p{^Is_Word_Break:	_ Double_Quote}', "");
    Expect(1, 35, '\P{Is_Word_Break:	_ Double_Quote}', "");
    Expect(0, 35, '\P{^Is_Word_Break:	_ Double_Quote}', "");
    Error('\p{Is_WB:   /a/DQ}');
    Error('\P{Is_WB:   /a/DQ}');
    Expect(1, 34, '\p{Is_WB=dq}', "");
    Expect(0, 34, '\p{^Is_WB=dq}', "");
    Expect(0, 34, '\P{Is_WB=dq}', "");
    Expect(1, 34, '\P{^Is_WB=dq}', "");
    Expect(0, 35, '\p{Is_WB=dq}', "");
    Expect(1, 35, '\p{^Is_WB=dq}', "");
    Expect(1, 35, '\P{Is_WB=dq}', "");
    Expect(0, 35, '\P{^Is_WB=dq}', "");
    Expect(1, 34, '\p{Is_WB=_-DQ}', "");
    Expect(0, 34, '\p{^Is_WB=_-DQ}', "");
    Expect(0, 34, '\P{Is_WB=_-DQ}', "");
    Expect(1, 34, '\P{^Is_WB=_-DQ}', "");
    Expect(0, 35, '\p{Is_WB=_-DQ}', "");
    Expect(1, 35, '\p{^Is_WB=_-DQ}', "");
    Expect(1, 35, '\P{Is_WB=_-DQ}', "");
    Expect(0, 35, '\P{^Is_WB=_-DQ}', "");
    Error('\p{Word_Break=_E_BASE:=}');
    Error('\P{Word_Break=_E_BASE:=}');
    Expect(0, 1, '\p{Word_Break=:\AE_Base\z:}', "");;
    Expect(0, 1, '\p{Word_Break=ebase}', "");
    Expect(1, 1, '\p{^Word_Break=ebase}', "");
    Expect(1, 1, '\P{Word_Break=ebase}', "");
    Expect(0, 1, '\P{^Word_Break=ebase}', "");
    Expect(0, 1, '\p{Word_Break=:\Aebase\z:}', "");;
    Expect(0, 1, '\p{Word_Break= _E_Base}', "");
    Expect(1, 1, '\p{^Word_Break= _E_Base}', "");
    Expect(1, 1, '\P{Word_Break= _E_Base}', "");
    Expect(0, 1, '\P{^Word_Break= _E_Base}', "");
    Error('\p{WB=/a/ EB}');
    Error('\P{WB=/a/ EB}');
    Expect(0, 1, '\p{WB=:\AEB\z:}', "");;
    Expect(0, 1, '\p{WB=eb}', "");
    Expect(1, 1, '\p{^WB=eb}', "");
    Expect(1, 1, '\P{WB=eb}', "");
    Expect(0, 1, '\P{^WB=eb}', "");
    Expect(0, 1, '\p{WB=:\Aeb\z:}', "");;
    Expect(0, 1, '\p{WB= EB}', "");
    Expect(1, 1, '\p{^WB= EB}', "");
    Expect(1, 1, '\P{WB= EB}', "");
    Expect(0, 1, '\P{^WB= EB}', "");
    Error('\p{Is_Word_Break= E_Base/a/}');
    Error('\P{Is_Word_Break= E_Base/a/}');
    Expect(0, 1, '\p{Is_Word_Break=ebase}', "");
    Expect(1, 1, '\p{^Is_Word_Break=ebase}', "");
    Expect(1, 1, '\P{Is_Word_Break=ebase}', "");
    Expect(0, 1, '\P{^Is_Word_Break=ebase}', "");
    Expect(0, 1, '\p{Is_Word_Break=e_BASE}', "");
    Expect(1, 1, '\p{^Is_Word_Break=e_BASE}', "");
    Expect(1, 1, '\P{Is_Word_Break=e_BASE}', "");
    Expect(0, 1, '\P{^Is_Word_Break=e_BASE}', "");
    Error('\p{Is_WB=_	eb/a/}');
    Error('\P{Is_WB=_	eb/a/}');
    Expect(0, 1, '\p{Is_WB=eb}', "");
    Expect(1, 1, '\p{^Is_WB=eb}', "");
    Expect(1, 1, '\P{Is_WB=eb}', "");
    Expect(0, 1, '\P{^Is_WB=eb}', "");
    Expect(0, 1, '\p{Is_WB=	eb}', "");
    Expect(1, 1, '\p{^Is_WB=	eb}', "");
    Expect(1, 1, '\P{Is_WB=	eb}', "");
    Expect(0, 1, '\P{^Is_WB=	eb}', "");
    Error('\p{Word_Break=/a/E_base_GAZ}');
    Error('\P{Word_Break=/a/E_base_GAZ}');
    Expect(0, 1, '\p{Word_Break=:\AE_Base_GAZ\z:}', "");;
    Expect(0, 1, '\p{Word_Break=ebasegaz}', "");
    Expect(1, 1, '\p{^Word_Break=ebasegaz}', "");
    Expect(1, 1, '\P{Word_Break=ebasegaz}', "");
    Expect(0, 1, '\P{^Word_Break=ebasegaz}', "");
    Expect(0, 1, '\p{Word_Break=:\Aebasegaz\z:}', "");;
    Expect(0, 1, '\p{Word_Break=--E_BASE_gaz}', "");
    Expect(1, 1, '\p{^Word_Break=--E_BASE_gaz}', "");
    Expect(1, 1, '\P{Word_Break=--E_BASE_gaz}', "");
    Expect(0, 1, '\P{^Word_Break=--E_BASE_gaz}', "");
    Error('\p{WB=__ebg:=}');
    Error('\P{WB=__ebg:=}');
    Expect(0, 1, '\p{WB=:\AEBG\z:}', "");;
    Expect(0, 1, '\p{WB=ebg}', "");
    Expect(1, 1, '\p{^WB=ebg}', "");
    Expect(1, 1, '\P{WB=ebg}', "");
    Expect(0, 1, '\P{^WB=ebg}', "");
    Expect(0, 1, '\p{WB=:\Aebg\z:}', "");;
    Expect(0, 1, '\p{WB:		-EBG}', "");
    Expect(1, 1, '\p{^WB:		-EBG}', "");
    Expect(1, 1, '\P{WB:		-EBG}', "");
    Expect(0, 1, '\P{^WB:		-EBG}', "");
    Error('\p{Is_Word_Break:	:=_e_Base_gaz}');
    Error('\P{Is_Word_Break:	:=_e_Base_gaz}');
    Expect(0, 1, '\p{Is_Word_Break=ebasegaz}', "");
    Expect(1, 1, '\p{^Is_Word_Break=ebasegaz}', "");
    Expect(1, 1, '\P{Is_Word_Break=ebasegaz}', "");
    Expect(0, 1, '\P{^Is_Word_Break=ebasegaz}', "");
    Expect(0, 1, '\p{Is_Word_Break=__E_Base_GAZ}', "");
    Expect(1, 1, '\p{^Is_Word_Break=__E_Base_GAZ}', "");
    Expect(1, 1, '\P{Is_Word_Break=__E_Base_GAZ}', "");
    Expect(0, 1, '\P{^Is_Word_Break=__E_Base_GAZ}', "");
    Error('\p{Is_WB=:= 	EBG}');
    Error('\P{Is_WB=:= 	EBG}');
    Expect(0, 1, '\p{Is_WB=ebg}', "");
    Expect(1, 1, '\p{^Is_WB=ebg}', "");
    Expect(1, 1, '\P{Is_WB=ebg}', "");
    Expect(0, 1, '\P{^Is_WB=ebg}', "");
    Expect(0, 1, '\p{Is_WB=	_ebg}', "");
    Expect(1, 1, '\p{^Is_WB=	_ebg}', "");
    Expect(1, 1, '\P{Is_WB=	_ebg}', "");
    Expect(0, 1, '\P{^Is_WB=	_ebg}', "");
    Error('\p{Word_Break= e_MODIFIER/a/}');
    Error('\P{Word_Break= e_MODIFIER/a/}');
    Expect(0, 1, '\p{Word_Break=:\AE_Modifier\z:}', "");;
    Expect(0, 1, '\p{Word_Break=emodifier}', "");
    Expect(1, 1, '\p{^Word_Break=emodifier}', "");
    Expect(1, 1, '\P{Word_Break=emodifier}', "");
    Expect(0, 1, '\P{^Word_Break=emodifier}', "");
    Expect(0, 1, '\p{Word_Break=:\Aemodifier\z:}', "");;
    Expect(0, 1, '\p{Word_Break= 	E_Modifier}', "");
    Expect(1, 1, '\p{^Word_Break= 	E_Modifier}', "");
    Expect(1, 1, '\P{Word_Break= 	E_Modifier}', "");
    Expect(0, 1, '\P{^Word_Break= 	E_Modifier}', "");
    Error('\p{WB=:=	 EM}');
    Error('\P{WB=:=	 EM}');
    Expect(0, 1, '\p{WB=:\AEM\z:}', "");;
    Expect(0, 1, '\p{WB=em}', "");
    Expect(1, 1, '\p{^WB=em}', "");
    Expect(1, 1, '\P{WB=em}', "");
    Expect(0, 1, '\P{^WB=em}', "");
    Expect(0, 1, '\p{WB=:\Aem\z:}', "");;
    Expect(0, 1, '\p{WB=-_EM}', "");
    Expect(1, 1, '\p{^WB=-_EM}', "");
    Expect(1, 1, '\P{WB=-_EM}', "");
    Expect(0, 1, '\P{^WB=-_EM}', "");
    Error('\p{Is_Word_Break=/a/_E_Modifier}');
    Error('\P{Is_Word_Break=/a/_E_Modifier}');
    Expect(0, 1, '\p{Is_Word_Break:   emodifier}', "");
    Expect(1, 1, '\p{^Is_Word_Break:   emodifier}', "");
    Expect(1, 1, '\P{Is_Word_Break:   emodifier}', "");
    Expect(0, 1, '\P{^Is_Word_Break:   emodifier}', "");
    Expect(0, 1, '\p{Is_Word_Break= -E_Modifier}', "");
    Expect(1, 1, '\p{^Is_Word_Break= -E_Modifier}', "");
    Expect(1, 1, '\P{Is_Word_Break= -E_Modifier}', "");
    Expect(0, 1, '\P{^Is_Word_Break= -E_Modifier}', "");
    Error('\p{Is_WB=	/a/EM}');
    Error('\P{Is_WB=	/a/EM}');
    Expect(0, 1, '\p{Is_WB:   em}', "");
    Expect(1, 1, '\p{^Is_WB:   em}', "");
    Expect(1, 1, '\P{Is_WB:   em}', "");
    Expect(0, 1, '\P{^Is_WB:   em}', "");
    Expect(0, 1, '\p{Is_WB=- em}', "");
    Expect(1, 1, '\p{^Is_WB=- em}', "");
    Expect(1, 1, '\P{Is_WB=- em}', "");
    Expect(0, 1, '\P{^Is_WB=- em}', "");
    Error('\p{Word_Break=- ExtendNumLet/a/}');
    Error('\P{Word_Break=- ExtendNumLet/a/}');
    Expect(1, 65343, '\p{Word_Break=:\AExtendNumLet\z:}', "");;
    Expect(0, 65344, '\p{Word_Break=:\AExtendNumLet\z:}', "");;
    Expect(1, 65343, '\p{Word_Break=extendnumlet}', "");
    Expect(0, 65343, '\p{^Word_Break=extendnumlet}', "");
    Expect(0, 65343, '\P{Word_Break=extendnumlet}', "");
    Expect(1, 65343, '\P{^Word_Break=extendnumlet}', "");
    Expect(0, 65344, '\p{Word_Break=extendnumlet}', "");
    Expect(1, 65344, '\p{^Word_Break=extendnumlet}', "");
    Expect(1, 65344, '\P{Word_Break=extendnumlet}', "");
    Expect(0, 65344, '\P{^Word_Break=extendnumlet}', "");
    Expect(1, 65343, '\p{Word_Break=:\Aextendnumlet\z:}', "");;
    Expect(0, 65344, '\p{Word_Break=:\Aextendnumlet\z:}', "");;
    Expect(1, 65343, '\p{Word_Break:	 _EXTENDNUMLET}', "");
    Expect(0, 65343, '\p{^Word_Break:	 _EXTENDNUMLET}', "");
    Expect(0, 65343, '\P{Word_Break:	 _EXTENDNUMLET}', "");
    Expect(1, 65343, '\P{^Word_Break:	 _EXTENDNUMLET}', "");
    Expect(0, 65344, '\p{Word_Break:	 _EXTENDNUMLET}', "");
    Expect(1, 65344, '\p{^Word_Break:	 _EXTENDNUMLET}', "");
    Expect(1, 65344, '\P{Word_Break:	 _EXTENDNUMLET}', "");
    Expect(0, 65344, '\P{^Word_Break:	 _EXTENDNUMLET}', "");
    Error('\p{WB=/a/ EX}');
    Error('\P{WB=/a/ EX}');
    Expect(1, 65343, '\p{WB=:\AEX\z:}', "");;
    Expect(0, 65344, '\p{WB=:\AEX\z:}', "");;
    Expect(1, 65343, '\p{WB=ex}', "");
    Expect(0, 65343, '\p{^WB=ex}', "");
    Expect(0, 65343, '\P{WB=ex}', "");
    Expect(1, 65343, '\P{^WB=ex}', "");
    Expect(0, 65344, '\p{WB=ex}', "");
    Expect(1, 65344, '\p{^WB=ex}', "");
    Expect(1, 65344, '\P{WB=ex}', "");
    Expect(0, 65344, '\P{^WB=ex}', "");
    Expect(1, 65343, '\p{WB=:\Aex\z:}', "");;
    Expect(0, 65344, '\p{WB=:\Aex\z:}', "");;
    Expect(1, 65343, '\p{WB:    -EX}', "");
    Expect(0, 65343, '\p{^WB:    -EX}', "");
    Expect(0, 65343, '\P{WB:    -EX}', "");
    Expect(1, 65343, '\P{^WB:    -EX}', "");
    Expect(0, 65344, '\p{WB:    -EX}', "");
    Expect(1, 65344, '\p{^WB:    -EX}', "");
    Expect(1, 65344, '\P{WB:    -EX}', "");
    Expect(0, 65344, '\P{^WB:    -EX}', "");
    Error('\p{Is_Word_Break=extendnumlet/a/}');
    Error('\P{Is_Word_Break=extendnumlet/a/}');
    Expect(1, 65343, '\p{Is_Word_Break=extendnumlet}', "");
    Expect(0, 65343, '\p{^Is_Word_Break=extendnumlet}', "");
    Expect(0, 65343, '\P{Is_Word_Break=extendnumlet}', "");
    Expect(1, 65343, '\P{^Is_Word_Break=extendnumlet}', "");
    Expect(0, 65344, '\p{Is_Word_Break=extendnumlet}', "");
    Expect(1, 65344, '\p{^Is_Word_Break=extendnumlet}', "");
    Expect(1, 65344, '\P{Is_Word_Break=extendnumlet}', "");
    Expect(0, 65344, '\P{^Is_Word_Break=extendnumlet}', "");
    Expect(1, 65343, '\p{Is_Word_Break=	-EXTENDNUMLET}', "");
    Expect(0, 65343, '\p{^Is_Word_Break=	-EXTENDNUMLET}', "");
    Expect(0, 65343, '\P{Is_Word_Break=	-EXTENDNUMLET}', "");
    Expect(1, 65343, '\P{^Is_Word_Break=	-EXTENDNUMLET}', "");
    Expect(0, 65344, '\p{Is_Word_Break=	-EXTENDNUMLET}', "");
    Expect(1, 65344, '\p{^Is_Word_Break=	-EXTENDNUMLET}', "");
    Expect(1, 65344, '\P{Is_Word_Break=	-EXTENDNUMLET}', "");
    Expect(0, 65344, '\P{^Is_Word_Break=	-EXTENDNUMLET}', "");
    Error('\p{Is_WB=/a/- EX}');
    Error('\P{Is_WB=/a/- EX}');
    Expect(1, 65343, '\p{Is_WB=ex}', "");
    Expect(0, 65343, '\p{^Is_WB=ex}', "");
    Expect(0, 65343, '\P{Is_WB=ex}', "");
    Expect(1, 65343, '\P{^Is_WB=ex}', "");
    Expect(0, 65344, '\p{Is_WB=ex}', "");
    Expect(1, 65344, '\p{^Is_WB=ex}', "");
    Expect(1, 65344, '\P{Is_WB=ex}', "");
    Expect(0, 65344, '\P{^Is_WB=ex}', "");
    Expect(1, 65343, '\p{Is_WB= -ex}', "");
    Expect(0, 65343, '\p{^Is_WB= -ex}', "");
    Expect(0, 65343, '\P{Is_WB= -ex}', "");
    Expect(1, 65343, '\P{^Is_WB= -ex}', "");
    Expect(0, 65344, '\p{Is_WB= -ex}', "");
    Expect(1, 65344, '\p{^Is_WB= -ex}', "");
    Expect(1, 65344, '\P{Is_WB= -ex}', "");
    Expect(0, 65344, '\P{^Is_WB= -ex}', "");
    Error('\p{Word_Break=:=  Extend}');
    Error('\P{Word_Break=:=  Extend}');
    Expect(1, 917999, '\p{Word_Break=:\AExtend\z:}', "");;
    Expect(0, 918000, '\p{Word_Break=:\AExtend\z:}', "");;
    Expect(1, 917999, '\p{Word_Break:	extend}', "");
    Expect(0, 917999, '\p{^Word_Break:	extend}', "");
    Expect(0, 917999, '\P{Word_Break:	extend}', "");
    Expect(1, 917999, '\P{^Word_Break:	extend}', "");
    Expect(0, 918000, '\p{Word_Break:	extend}', "");
    Expect(1, 918000, '\p{^Word_Break:	extend}', "");
    Expect(1, 918000, '\P{Word_Break:	extend}', "");
    Expect(0, 918000, '\P{^Word_Break:	extend}', "");
    Expect(1, 917999, '\p{Word_Break=:\Aextend\z:}', "");;
    Expect(0, 918000, '\p{Word_Break=:\Aextend\z:}', "");;
    Expect(1, 917999, '\p{Word_Break=	Extend}', "");
    Expect(0, 917999, '\p{^Word_Break=	Extend}', "");
    Expect(0, 917999, '\P{Word_Break=	Extend}', "");
    Expect(1, 917999, '\P{^Word_Break=	Extend}', "");
    Expect(0, 918000, '\p{Word_Break=	Extend}', "");
    Expect(1, 918000, '\p{^Word_Break=	Extend}', "");
    Expect(1, 918000, '\P{Word_Break=	Extend}', "");
    Expect(0, 918000, '\P{^Word_Break=	Extend}', "");
    Error('\p{WB=/a/-	EXTEND}');
    Error('\P{WB=/a/-	EXTEND}');
    Expect(1, 917999, '\p{WB=:\AExtend\z:}', "");;
    Expect(0, 918000, '\p{WB=:\AExtend\z:}', "");;
    Expect(1, 917999, '\p{WB=extend}', "");
    Expect(0, 917999, '\p{^WB=extend}', "");
    Expect(0, 917999, '\P{WB=extend}', "");
    Expect(1, 917999, '\P{^WB=extend}', "");
    Expect(0, 918000, '\p{WB=extend}', "");
    Expect(1, 918000, '\p{^WB=extend}', "");
    Expect(1, 918000, '\P{WB=extend}', "");
    Expect(0, 918000, '\P{^WB=extend}', "");
    Expect(1, 917999, '\p{WB=:\Aextend\z:}', "");;
    Expect(0, 918000, '\p{WB=:\Aextend\z:}', "");;
    Expect(1, 917999, '\p{WB:-extend}', "");
    Expect(0, 917999, '\p{^WB:-extend}', "");
    Expect(0, 917999, '\P{WB:-extend}', "");
    Expect(1, 917999, '\P{^WB:-extend}', "");
    Expect(0, 918000, '\p{WB:-extend}', "");
    Expect(1, 918000, '\p{^WB:-extend}', "");
    Expect(1, 918000, '\P{WB:-extend}', "");
    Expect(0, 918000, '\P{^WB:-extend}', "");
    Error('\p{Is_Word_Break=/a/__EXTEND}');
    Error('\P{Is_Word_Break=/a/__EXTEND}');
    Expect(1, 917999, '\p{Is_Word_Break=extend}', "");
    Expect(0, 917999, '\p{^Is_Word_Break=extend}', "");
    Expect(0, 917999, '\P{Is_Word_Break=extend}', "");
    Expect(1, 917999, '\P{^Is_Word_Break=extend}', "");
    Expect(0, 918000, '\p{Is_Word_Break=extend}', "");
    Expect(1, 918000, '\p{^Is_Word_Break=extend}', "");
    Expect(1, 918000, '\P{Is_Word_Break=extend}', "");
    Expect(0, 918000, '\P{^Is_Word_Break=extend}', "");
    Expect(1, 917999, '\p{Is_Word_Break=-EXTEND}', "");
    Expect(0, 917999, '\p{^Is_Word_Break=-EXTEND}', "");
    Expect(0, 917999, '\P{Is_Word_Break=-EXTEND}', "");
    Expect(1, 917999, '\P{^Is_Word_Break=-EXTEND}', "");
    Expect(0, 918000, '\p{Is_Word_Break=-EXTEND}', "");
    Expect(1, 918000, '\p{^Is_Word_Break=-EXTEND}', "");
    Expect(1, 918000, '\P{Is_Word_Break=-EXTEND}', "");
    Expect(0, 918000, '\P{^Is_Word_Break=-EXTEND}', "");
    Error('\p{Is_WB=:=_ extend}');
    Error('\P{Is_WB=:=_ extend}');
    Expect(1, 917999, '\p{Is_WB=extend}', "");
    Expect(0, 917999, '\p{^Is_WB=extend}', "");
    Expect(0, 917999, '\P{Is_WB=extend}', "");
    Expect(1, 917999, '\P{^Is_WB=extend}', "");
    Expect(0, 918000, '\p{Is_WB=extend}', "");
    Expect(1, 918000, '\p{^Is_WB=extend}', "");
    Expect(1, 918000, '\P{Is_WB=extend}', "");
    Expect(0, 918000, '\P{^Is_WB=extend}', "");
    Expect(1, 917999, '\p{Is_WB= 	EXTEND}', "");
    Expect(0, 917999, '\p{^Is_WB= 	EXTEND}', "");
    Expect(0, 917999, '\P{Is_WB= 	EXTEND}', "");
    Expect(1, 917999, '\P{^Is_WB= 	EXTEND}', "");
    Expect(0, 918000, '\p{Is_WB= 	EXTEND}', "");
    Expect(1, 918000, '\p{^Is_WB= 	EXTEND}', "");
    Expect(1, 918000, '\P{Is_WB= 	EXTEND}', "");
    Expect(0, 918000, '\P{^Is_WB= 	EXTEND}', "");
    Error('\p{Word_Break:	:=__FORMAT}');
    Error('\P{Word_Break:	:=__FORMAT}');
    Expect(1, 917505, '\p{Word_Break=:\AFormat\z:}', "");;
    Expect(0, 917506, '\p{Word_Break=:\AFormat\z:}', "");;
    Expect(1, 917505, '\p{Word_Break=format}', "");
    Expect(0, 917505, '\p{^Word_Break=format}', "");
    Expect(0, 917505, '\P{Word_Break=format}', "");
    Expect(1, 917505, '\P{^Word_Break=format}', "");
    Expect(0, 917506, '\p{Word_Break=format}', "");
    Expect(1, 917506, '\p{^Word_Break=format}', "");
    Expect(1, 917506, '\P{Word_Break=format}', "");
    Expect(0, 917506, '\P{^Word_Break=format}', "");
    Expect(1, 917505, '\p{Word_Break=:\Aformat\z:}', "");;
    Expect(0, 917506, '\p{Word_Break=:\Aformat\z:}', "");;
    Expect(1, 917505, '\p{Word_Break=- Format}', "");
    Expect(0, 917505, '\p{^Word_Break=- Format}', "");
    Expect(0, 917505, '\P{Word_Break=- Format}', "");
    Expect(1, 917505, '\P{^Word_Break=- Format}', "");
    Expect(0, 917506, '\p{Word_Break=- Format}', "");
    Expect(1, 917506, '\p{^Word_Break=- Format}', "");
    Expect(1, 917506, '\P{Word_Break=- Format}', "");
    Expect(0, 917506, '\P{^Word_Break=- Format}', "");
    Error('\p{WB=-:=FO}');
    Error('\P{WB=-:=FO}');
    Expect(1, 917505, '\p{WB=:\AFO\z:}', "");;
    Expect(0, 917506, '\p{WB=:\AFO\z:}', "");;
    Expect(1, 917505, '\p{WB=fo}', "");
    Expect(0, 917505, '\p{^WB=fo}', "");
    Expect(0, 917505, '\P{WB=fo}', "");
    Expect(1, 917505, '\P{^WB=fo}', "");
    Expect(0, 917506, '\p{WB=fo}', "");
    Expect(1, 917506, '\p{^WB=fo}', "");
    Expect(1, 917506, '\P{WB=fo}', "");
    Expect(0, 917506, '\P{^WB=fo}', "");
    Expect(1, 917505, '\p{WB=:\Afo\z:}', "");;
    Expect(0, 917506, '\p{WB=:\Afo\z:}', "");;
    Expect(1, 917505, '\p{WB=		fo}', "");
    Expect(0, 917505, '\p{^WB=		fo}', "");
    Expect(0, 917505, '\P{WB=		fo}', "");
    Expect(1, 917505, '\P{^WB=		fo}', "");
    Expect(0, 917506, '\p{WB=		fo}', "");
    Expect(1, 917506, '\p{^WB=		fo}', "");
    Expect(1, 917506, '\P{WB=		fo}', "");
    Expect(0, 917506, '\P{^WB=		fo}', "");
    Error('\p{Is_Word_Break=/a/- Format}');
    Error('\P{Is_Word_Break=/a/- Format}');
    Expect(1, 917505, '\p{Is_Word_Break=format}', "");
    Expect(0, 917505, '\p{^Is_Word_Break=format}', "");
    Expect(0, 917505, '\P{Is_Word_Break=format}', "");
    Expect(1, 917505, '\P{^Is_Word_Break=format}', "");
    Expect(0, 917506, '\p{Is_Word_Break=format}', "");
    Expect(1, 917506, '\p{^Is_Word_Break=format}', "");
    Expect(1, 917506, '\P{Is_Word_Break=format}', "");
    Expect(0, 917506, '\P{^Is_Word_Break=format}', "");
    Expect(1, 917505, '\p{Is_Word_Break=_-Format}', "");
    Expect(0, 917505, '\p{^Is_Word_Break=_-Format}', "");
    Expect(0, 917505, '\P{Is_Word_Break=_-Format}', "");
    Expect(1, 917505, '\P{^Is_Word_Break=_-Format}', "");
    Expect(0, 917506, '\p{Is_Word_Break=_-Format}', "");
    Expect(1, 917506, '\p{^Is_Word_Break=_-Format}', "");
    Expect(1, 917506, '\P{Is_Word_Break=_-Format}', "");
    Expect(0, 917506, '\P{^Is_Word_Break=_-Format}', "");
    Error('\p{Is_WB=/a/	-FO}');
    Error('\P{Is_WB=/a/	-FO}');
    Expect(1, 917505, '\p{Is_WB=fo}', "");
    Expect(0, 917505, '\p{^Is_WB=fo}', "");
    Expect(0, 917505, '\P{Is_WB=fo}', "");
    Expect(1, 917505, '\P{^Is_WB=fo}', "");
    Expect(0, 917506, '\p{Is_WB=fo}', "");
    Expect(1, 917506, '\p{^Is_WB=fo}', "");
    Expect(1, 917506, '\P{Is_WB=fo}', "");
    Expect(0, 917506, '\P{^Is_WB=fo}', "");
    Expect(1, 917505, '\p{Is_WB= FO}', "");
    Expect(0, 917505, '\p{^Is_WB= FO}', "");
    Expect(0, 917505, '\P{Is_WB= FO}', "");
    Expect(1, 917505, '\P{^Is_WB= FO}', "");
    Expect(0, 917506, '\p{Is_WB= FO}', "");
    Expect(1, 917506, '\p{^Is_WB= FO}', "");
    Expect(1, 917506, '\P{Is_WB= FO}', "");
    Expect(0, 917506, '\P{^Is_WB= FO}', "");
    Error('\p{Word_Break: /a/ -Glue_after_Zwj}');
    Error('\P{Word_Break: /a/ -Glue_after_Zwj}');
    Expect(0, 1, '\p{Word_Break=:\AGlue_After_Zwj\z:}', "");;
    Expect(0, 1, '\p{Word_Break=glueafterzwj}', "");
    Expect(1, 1, '\p{^Word_Break=glueafterzwj}', "");
    Expect(1, 1, '\P{Word_Break=glueafterzwj}', "");
    Expect(0, 1, '\P{^Word_Break=glueafterzwj}', "");
    Expect(0, 1, '\p{Word_Break=:\Aglueafterzwj\z:}', "");;
    Expect(0, 1, '\p{Word_Break: _Glue_After_Zwj}', "");
    Expect(1, 1, '\p{^Word_Break: _Glue_After_Zwj}', "");
    Expect(1, 1, '\P{Word_Break: _Glue_After_Zwj}', "");
    Expect(0, 1, '\P{^Word_Break: _Glue_After_Zwj}', "");
    Error('\p{WB= -gaz:=}');
    Error('\P{WB= -gaz:=}');
    Expect(0, 1, '\p{WB=:\AGAZ\z:}', "");;
    Expect(0, 1, '\p{WB=gaz}', "");
    Expect(1, 1, '\p{^WB=gaz}', "");
    Expect(1, 1, '\P{WB=gaz}', "");
    Expect(0, 1, '\P{^WB=gaz}', "");
    Expect(0, 1, '\p{WB=:\Agaz\z:}', "");;
    Expect(0, 1, '\p{WB:   _	GAZ}', "");
    Expect(1, 1, '\p{^WB:   _	GAZ}', "");
    Expect(1, 1, '\P{WB:   _	GAZ}', "");
    Expect(0, 1, '\P{^WB:   _	GAZ}', "");
    Error('\p{Is_Word_Break:   :=GLUE_after_ZWJ}');
    Error('\P{Is_Word_Break:   :=GLUE_after_ZWJ}');
    Expect(0, 1, '\p{Is_Word_Break=glueafterzwj}', "");
    Expect(1, 1, '\p{^Is_Word_Break=glueafterzwj}', "");
    Expect(1, 1, '\P{Is_Word_Break=glueafterzwj}', "");
    Expect(0, 1, '\P{^Is_Word_Break=glueafterzwj}', "");
    Expect(0, 1, '\p{Is_Word_Break=- Glue_after_zwj}', "");
    Expect(1, 1, '\p{^Is_Word_Break=- Glue_after_zwj}', "");
    Expect(1, 1, '\P{Is_Word_Break=- Glue_after_zwj}', "");
    Expect(0, 1, '\P{^Is_Word_Break=- Glue_after_zwj}', "");
    Error('\p{Is_WB=/a/_GAZ}');
    Error('\P{Is_WB=/a/_GAZ}');
    Expect(0, 1, '\p{Is_WB=gaz}', "");
    Expect(1, 1, '\p{^Is_WB=gaz}', "");
    Expect(1, 1, '\P{Is_WB=gaz}', "");
    Expect(0, 1, '\P{^Is_WB=gaz}', "");
    Expect(0, 1, '\p{Is_WB=	_GAZ}', "");
    Expect(1, 1, '\p{^Is_WB=	_GAZ}', "");
    Expect(1, 1, '\P{Is_WB=	_GAZ}', "");
    Expect(0, 1, '\P{^Is_WB=	_GAZ}', "");
    Error('\p{Word_Break=:=hebrew_Letter}');
    Error('\P{Word_Break=:=hebrew_Letter}');
    Expect(1, 64335, '\p{Word_Break=:\AHebrew_Letter\z:}', "");;
    Expect(0, 64336, '\p{Word_Break=:\AHebrew_Letter\z:}', "");;
    Expect(1, 64335, '\p{Word_Break=hebrewletter}', "");
    Expect(0, 64335, '\p{^Word_Break=hebrewletter}', "");
    Expect(0, 64335, '\P{Word_Break=hebrewletter}', "");
    Expect(1, 64335, '\P{^Word_Break=hebrewletter}', "");
    Expect(0, 64336, '\p{Word_Break=hebrewletter}', "");
    Expect(1, 64336, '\p{^Word_Break=hebrewletter}', "");
    Expect(1, 64336, '\P{Word_Break=hebrewletter}', "");
    Expect(0, 64336, '\P{^Word_Break=hebrewletter}', "");
    Expect(1, 64335, '\p{Word_Break=:\Ahebrewletter\z:}', "");;
    Expect(0, 64336, '\p{Word_Break=:\Ahebrewletter\z:}', "");;
    Expect(1, 64335, '\p{Word_Break=_	HEBREW_LETTER}', "");
    Expect(0, 64335, '\p{^Word_Break=_	HEBREW_LETTER}', "");
    Expect(0, 64335, '\P{Word_Break=_	HEBREW_LETTER}', "");
    Expect(1, 64335, '\P{^Word_Break=_	HEBREW_LETTER}', "");
    Expect(0, 64336, '\p{Word_Break=_	HEBREW_LETTER}', "");
    Expect(1, 64336, '\p{^Word_Break=_	HEBREW_LETTER}', "");
    Expect(1, 64336, '\P{Word_Break=_	HEBREW_LETTER}', "");
    Expect(0, 64336, '\P{^Word_Break=_	HEBREW_LETTER}', "");
    Error('\p{WB=-_hl/a/}');
    Error('\P{WB=-_hl/a/}');
    Expect(1, 64335, '\p{WB=:\AHL\z:}', "");;
    Expect(0, 64336, '\p{WB=:\AHL\z:}', "");;
    Expect(1, 64335, '\p{WB=hl}', "");
    Expect(0, 64335, '\p{^WB=hl}', "");
    Expect(0, 64335, '\P{WB=hl}', "");
    Expect(1, 64335, '\P{^WB=hl}', "");
    Expect(0, 64336, '\p{WB=hl}', "");
    Expect(1, 64336, '\p{^WB=hl}', "");
    Expect(1, 64336, '\P{WB=hl}', "");
    Expect(0, 64336, '\P{^WB=hl}', "");
    Expect(1, 64335, '\p{WB=:\Ahl\z:}', "");;
    Expect(0, 64336, '\p{WB=:\Ahl\z:}', "");;
    Expect(1, 64335, '\p{WB:_-hl}', "");
    Expect(0, 64335, '\p{^WB:_-hl}', "");
    Expect(0, 64335, '\P{WB:_-hl}', "");
    Expect(1, 64335, '\P{^WB:_-hl}', "");
    Expect(0, 64336, '\p{WB:_-hl}', "");
    Expect(1, 64336, '\p{^WB:_-hl}', "");
    Expect(1, 64336, '\P{WB:_-hl}', "");
    Expect(0, 64336, '\P{^WB:_-hl}', "");
    Error('\p{Is_Word_Break=/a/HEBREW_Letter}');
    Error('\P{Is_Word_Break=/a/HEBREW_Letter}');
    Expect(1, 64335, '\p{Is_Word_Break=hebrewletter}', "");
    Expect(0, 64335, '\p{^Is_Word_Break=hebrewletter}', "");
    Expect(0, 64335, '\P{Is_Word_Break=hebrewletter}', "");
    Expect(1, 64335, '\P{^Is_Word_Break=hebrewletter}', "");
    Expect(0, 64336, '\p{Is_Word_Break=hebrewletter}', "");
    Expect(1, 64336, '\p{^Is_Word_Break=hebrewletter}', "");
    Expect(1, 64336, '\P{Is_Word_Break=hebrewletter}', "");
    Expect(0, 64336, '\P{^Is_Word_Break=hebrewletter}', "");
    Expect(1, 64335, '\p{Is_Word_Break=		hebrew_Letter}', "");
    Expect(0, 64335, '\p{^Is_Word_Break=		hebrew_Letter}', "");
    Expect(0, 64335, '\P{Is_Word_Break=		hebrew_Letter}', "");
    Expect(1, 64335, '\P{^Is_Word_Break=		hebrew_Letter}', "");
    Expect(0, 64336, '\p{Is_Word_Break=		hebrew_Letter}', "");
    Expect(1, 64336, '\p{^Is_Word_Break=		hebrew_Letter}', "");
    Expect(1, 64336, '\P{Is_Word_Break=		hebrew_Letter}', "");
    Expect(0, 64336, '\P{^Is_Word_Break=		hebrew_Letter}', "");
    Error('\p{Is_WB=  HL/a/}');
    Error('\P{Is_WB=  HL/a/}');
    Expect(1, 64335, '\p{Is_WB:   hl}', "");
    Expect(0, 64335, '\p{^Is_WB:   hl}', "");
    Expect(0, 64335, '\P{Is_WB:   hl}', "");
    Expect(1, 64335, '\P{^Is_WB:   hl}', "");
    Expect(0, 64336, '\p{Is_WB:   hl}', "");
    Expect(1, 64336, '\p{^Is_WB:   hl}', "");
    Expect(1, 64336, '\P{Is_WB:   hl}', "");
    Expect(0, 64336, '\P{^Is_WB:   hl}', "");
    Expect(1, 64335, '\p{Is_WB=_-HL}', "");
    Expect(0, 64335, '\p{^Is_WB=_-HL}', "");
    Expect(0, 64335, '\P{Is_WB=_-HL}', "");
    Expect(1, 64335, '\P{^Is_WB=_-HL}', "");
    Expect(0, 64336, '\p{Is_WB=_-HL}', "");
    Expect(1, 64336, '\p{^Is_WB=_-HL}', "");
    Expect(1, 64336, '\P{Is_WB=_-HL}', "");
    Expect(0, 64336, '\P{^Is_WB=_-HL}', "");
    Error('\p{Word_Break=/a/KATAKANA}');
    Error('\P{Word_Break=/a/KATAKANA}');
    Expect(1, 110951, '\p{Word_Break=:\AKatakana\z:}', "");;
    Expect(0, 110952, '\p{Word_Break=:\AKatakana\z:}', "");;
    Expect(1, 110951, '\p{Word_Break=katakana}', "");
    Expect(0, 110951, '\p{^Word_Break=katakana}', "");
    Expect(0, 110951, '\P{Word_Break=katakana}', "");
    Expect(1, 110951, '\P{^Word_Break=katakana}', "");
    Expect(0, 110952, '\p{Word_Break=katakana}', "");
    Expect(1, 110952, '\p{^Word_Break=katakana}', "");
    Expect(1, 110952, '\P{Word_Break=katakana}', "");
    Expect(0, 110952, '\P{^Word_Break=katakana}', "");
    Expect(1, 110951, '\p{Word_Break=:\Akatakana\z:}', "");;
    Expect(0, 110952, '\p{Word_Break=:\Akatakana\z:}', "");;
    Expect(1, 110951, '\p{Word_Break=  katakana}', "");
    Expect(0, 110951, '\p{^Word_Break=  katakana}', "");
    Expect(0, 110951, '\P{Word_Break=  katakana}', "");
    Expect(1, 110951, '\P{^Word_Break=  katakana}', "");
    Expect(0, 110952, '\p{Word_Break=  katakana}', "");
    Expect(1, 110952, '\p{^Word_Break=  katakana}', "");
    Expect(1, 110952, '\P{Word_Break=  katakana}', "");
    Expect(0, 110952, '\P{^Word_Break=  katakana}', "");
    Error('\p{WB::=_-ka}');
    Error('\P{WB::=_-ka}');
    Expect(1, 110951, '\p{WB=:\AKA\z:}', "");;
    Expect(0, 110952, '\p{WB=:\AKA\z:}', "");;
    Expect(1, 110951, '\p{WB=ka}', "");
    Expect(0, 110951, '\p{^WB=ka}', "");
    Expect(0, 110951, '\P{WB=ka}', "");
    Expect(1, 110951, '\P{^WB=ka}', "");
    Expect(0, 110952, '\p{WB=ka}', "");
    Expect(1, 110952, '\p{^WB=ka}', "");
    Expect(1, 110952, '\P{WB=ka}', "");
    Expect(0, 110952, '\P{^WB=ka}', "");
    Expect(1, 110951, '\p{WB=:\Aka\z:}', "");;
    Expect(0, 110952, '\p{WB=:\Aka\z:}', "");;
    Expect(1, 110951, '\p{WB=_	KA}', "");
    Expect(0, 110951, '\p{^WB=_	KA}', "");
    Expect(0, 110951, '\P{WB=_	KA}', "");
    Expect(1, 110951, '\P{^WB=_	KA}', "");
    Expect(0, 110952, '\p{WB=_	KA}', "");
    Expect(1, 110952, '\p{^WB=_	KA}', "");
    Expect(1, 110952, '\P{WB=_	KA}', "");
    Expect(0, 110952, '\P{^WB=_	KA}', "");
    Error('\p{Is_Word_Break=:=-KATAKANA}');
    Error('\P{Is_Word_Break=:=-KATAKANA}');
    Expect(1, 110951, '\p{Is_Word_Break:	katakana}', "");
    Expect(0, 110951, '\p{^Is_Word_Break:	katakana}', "");
    Expect(0, 110951, '\P{Is_Word_Break:	katakana}', "");
    Expect(1, 110951, '\P{^Is_Word_Break:	katakana}', "");
    Expect(0, 110952, '\p{Is_Word_Break:	katakana}', "");
    Expect(1, 110952, '\p{^Is_Word_Break:	katakana}', "");
    Expect(1, 110952, '\P{Is_Word_Break:	katakana}', "");
    Expect(0, 110952, '\P{^Is_Word_Break:	katakana}', "");
    Expect(1, 110951, '\p{Is_Word_Break=Katakana}', "");
    Expect(0, 110951, '\p{^Is_Word_Break=Katakana}', "");
    Expect(0, 110951, '\P{Is_Word_Break=Katakana}', "");
    Expect(1, 110951, '\P{^Is_Word_Break=Katakana}', "");
    Expect(0, 110952, '\p{Is_Word_Break=Katakana}', "");
    Expect(1, 110952, '\p{^Is_Word_Break=Katakana}', "");
    Expect(1, 110952, '\P{Is_Word_Break=Katakana}', "");
    Expect(0, 110952, '\P{^Is_Word_Break=Katakana}', "");
    Error('\p{Is_WB: _:=KA}');
    Error('\P{Is_WB: _:=KA}');
    Expect(1, 110951, '\p{Is_WB=ka}', "");
    Expect(0, 110951, '\p{^Is_WB=ka}', "");
    Expect(0, 110951, '\P{Is_WB=ka}', "");
    Expect(1, 110951, '\P{^Is_WB=ka}', "");
    Expect(0, 110952, '\p{Is_WB=ka}', "");
    Expect(1, 110952, '\p{^Is_WB=ka}', "");
    Expect(1, 110952, '\P{Is_WB=ka}', "");
    Expect(0, 110952, '\P{^Is_WB=ka}', "");
    Expect(1, 110951, '\p{Is_WB:-KA}', "");
    Expect(0, 110951, '\p{^Is_WB:-KA}', "");
    Expect(0, 110951, '\P{Is_WB:-KA}', "");
    Expect(1, 110951, '\P{^Is_WB:-KA}', "");
    Expect(0, 110952, '\p{Is_WB:-KA}', "");
    Expect(1, 110952, '\p{^Is_WB:-KA}', "");
    Expect(1, 110952, '\P{Is_WB:-KA}', "");
    Expect(0, 110952, '\P{^Is_WB:-KA}', "");
    Error('\p{Word_Break=:=	 ALETTER}');
    Error('\P{Word_Break=:=	 ALETTER}');
    Expect(1, 127369, '\p{Word_Break=:\AALetter\z:}', "");;
    Expect(0, 127370, '\p{Word_Break=:\AALetter\z:}', "");;
    Expect(1, 127369, '\p{Word_Break=aletter}', "");
    Expect(0, 127369, '\p{^Word_Break=aletter}', "");
    Expect(0, 127369, '\P{Word_Break=aletter}', "");
    Expect(1, 127369, '\P{^Word_Break=aletter}', "");
    Expect(0, 127370, '\p{Word_Break=aletter}', "");
    Expect(1, 127370, '\p{^Word_Break=aletter}', "");
    Expect(1, 127370, '\P{Word_Break=aletter}', "");
    Expect(0, 127370, '\P{^Word_Break=aletter}', "");
    Expect(1, 127369, '\p{Word_Break=:\Aaletter\z:}', "");;
    Expect(0, 127370, '\p{Word_Break=:\Aaletter\z:}', "");;
    Expect(1, 127369, '\p{Word_Break=_ ALETTER}', "");
    Expect(0, 127369, '\p{^Word_Break=_ ALETTER}', "");
    Expect(0, 127369, '\P{Word_Break=_ ALETTER}', "");
    Expect(1, 127369, '\P{^Word_Break=_ ALETTER}', "");
    Expect(0, 127370, '\p{Word_Break=_ ALETTER}', "");
    Expect(1, 127370, '\p{^Word_Break=_ ALETTER}', "");
    Expect(1, 127370, '\P{Word_Break=_ ALETTER}', "");
    Expect(0, 127370, '\P{^Word_Break=_ ALETTER}', "");
    Error('\p{WB=-:=LE}');
    Error('\P{WB=-:=LE}');
    Expect(1, 127369, '\p{WB=:\ALE\z:}', "");;
    Expect(0, 127370, '\p{WB=:\ALE\z:}', "");;
    Expect(1, 127369, '\p{WB=le}', "");
    Expect(0, 127369, '\p{^WB=le}', "");
    Expect(0, 127369, '\P{WB=le}', "");
    Expect(1, 127369, '\P{^WB=le}', "");
    Expect(0, 127370, '\p{WB=le}', "");
    Expect(1, 127370, '\p{^WB=le}', "");
    Expect(1, 127370, '\P{WB=le}', "");
    Expect(0, 127370, '\P{^WB=le}', "");
    Expect(1, 127369, '\p{WB=:\Ale\z:}', "");;
    Expect(0, 127370, '\p{WB=:\Ale\z:}', "");;
    Expect(1, 127369, '\p{WB:    -le}', "");
    Expect(0, 127369, '\p{^WB:    -le}', "");
    Expect(0, 127369, '\P{WB:    -le}', "");
    Expect(1, 127369, '\P{^WB:    -le}', "");
    Expect(0, 127370, '\p{WB:    -le}', "");
    Expect(1, 127370, '\p{^WB:    -le}', "");
    Expect(1, 127370, '\P{WB:    -le}', "");
    Expect(0, 127370, '\P{^WB:    -le}', "");
    Error('\p{Is_Word_Break=-	ALETTER:=}');
    Error('\P{Is_Word_Break=-	ALETTER:=}');
    Expect(1, 127369, '\p{Is_Word_Break=aletter}', "");
    Expect(0, 127369, '\p{^Is_Word_Break=aletter}', "");
    Expect(0, 127369, '\P{Is_Word_Break=aletter}', "");
    Expect(1, 127369, '\P{^Is_Word_Break=aletter}', "");
    Expect(0, 127370, '\p{Is_Word_Break=aletter}', "");
    Expect(1, 127370, '\p{^Is_Word_Break=aletter}', "");
    Expect(1, 127370, '\P{Is_Word_Break=aletter}', "");
    Expect(0, 127370, '\P{^Is_Word_Break=aletter}', "");
    Expect(1, 127369, '\p{Is_Word_Break= ALETTER}', "");
    Expect(0, 127369, '\p{^Is_Word_Break= ALETTER}', "");
    Expect(0, 127369, '\P{Is_Word_Break= ALETTER}', "");
    Expect(1, 127369, '\P{^Is_Word_Break= ALETTER}', "");
    Expect(0, 127370, '\p{Is_Word_Break= ALETTER}', "");
    Expect(1, 127370, '\p{^Is_Word_Break= ALETTER}', "");
    Expect(1, 127370, '\P{Is_Word_Break= ALETTER}', "");
    Expect(0, 127370, '\P{^Is_Word_Break= ALETTER}', "");
    Error('\p{Is_WB=/a/_	LE}');
    Error('\P{Is_WB=/a/_	LE}');
    Expect(1, 127369, '\p{Is_WB=le}', "");
    Expect(0, 127369, '\p{^Is_WB=le}', "");
    Expect(0, 127369, '\P{Is_WB=le}', "");
    Expect(1, 127369, '\P{^Is_WB=le}', "");
    Expect(0, 127370, '\p{Is_WB=le}', "");
    Expect(1, 127370, '\p{^Is_WB=le}', "");
    Expect(1, 127370, '\P{Is_WB=le}', "");
    Expect(0, 127370, '\P{^Is_WB=le}', "");
    Expect(1, 127369, '\p{Is_WB=-LE}', "");
    Expect(0, 127369, '\p{^Is_WB=-LE}', "");
    Expect(0, 127369, '\P{Is_WB=-LE}', "");
    Expect(1, 127369, '\P{^Is_WB=-LE}', "");
    Expect(0, 127370, '\p{Is_WB=-LE}', "");
    Expect(1, 127370, '\p{^Is_WB=-LE}', "");
    Expect(1, 127370, '\P{Is_WB=-LE}', "");
    Expect(0, 127370, '\P{^Is_WB=-LE}', "");
    Error('\p{Word_Break=/a/ LF}');
    Error('\P{Word_Break=/a/ LF}');
    Expect(1, 10, '\p{Word_Break=:\ALF\z:}', "");;
    Expect(0, 11, '\p{Word_Break=:\ALF\z:}', "");;
    Expect(1, 10, '\p{Word_Break=lf}', "");
    Expect(0, 10, '\p{^Word_Break=lf}', "");
    Expect(0, 10, '\P{Word_Break=lf}', "");
    Expect(1, 10, '\P{^Word_Break=lf}', "");
    Expect(0, 11, '\p{Word_Break=lf}', "");
    Expect(1, 11, '\p{^Word_Break=lf}', "");
    Expect(1, 11, '\P{Word_Break=lf}', "");
    Expect(0, 11, '\P{^Word_Break=lf}', "");
    Expect(1, 10, '\p{Word_Break=:\Alf\z:}', "");;
    Expect(0, 11, '\p{Word_Break=:\Alf\z:}', "");;
    Expect(1, 10, '\p{Word_Break=  lf}', "");
    Expect(0, 10, '\p{^Word_Break=  lf}', "");
    Expect(0, 10, '\P{Word_Break=  lf}', "");
    Expect(1, 10, '\P{^Word_Break=  lf}', "");
    Expect(0, 11, '\p{Word_Break=  lf}', "");
    Expect(1, 11, '\p{^Word_Break=  lf}', "");
    Expect(1, 11, '\P{Word_Break=  lf}', "");
    Expect(0, 11, '\P{^Word_Break=  lf}', "");
    Error('\p{WB=_LF/a/}');
    Error('\P{WB=_LF/a/}');
    Expect(1, 10, '\p{WB=:\ALF\z:}', "");;
    Expect(0, 11, '\p{WB=:\ALF\z:}', "");;
    Expect(1, 10, '\p{WB:lf}', "");
    Expect(0, 10, '\p{^WB:lf}', "");
    Expect(0, 10, '\P{WB:lf}', "");
    Expect(1, 10, '\P{^WB:lf}', "");
    Expect(0, 11, '\p{WB:lf}', "");
    Expect(1, 11, '\p{^WB:lf}', "");
    Expect(1, 11, '\P{WB:lf}', "");
    Expect(0, 11, '\P{^WB:lf}', "");
    Expect(1, 10, '\p{WB=:\Alf\z:}', "");;
    Expect(0, 11, '\p{WB=:\Alf\z:}', "");;
    Expect(1, 10, '\p{WB=_-LF}', "");
    Expect(0, 10, '\p{^WB=_-LF}', "");
    Expect(0, 10, '\P{WB=_-LF}', "");
    Expect(1, 10, '\P{^WB=_-LF}', "");
    Expect(0, 11, '\p{WB=_-LF}', "");
    Expect(1, 11, '\p{^WB=_-LF}', "");
    Expect(1, 11, '\P{WB=_-LF}', "");
    Expect(0, 11, '\P{^WB=_-LF}', "");
    Error('\p{Is_Word_Break=  LF/a/}');
    Error('\P{Is_Word_Break=  LF/a/}');
    Expect(1, 10, '\p{Is_Word_Break=lf}', "");
    Expect(0, 10, '\p{^Is_Word_Break=lf}', "");
    Expect(0, 10, '\P{Is_Word_Break=lf}', "");
    Expect(1, 10, '\P{^Is_Word_Break=lf}', "");
    Expect(0, 11, '\p{Is_Word_Break=lf}', "");
    Expect(1, 11, '\p{^Is_Word_Break=lf}', "");
    Expect(1, 11, '\P{Is_Word_Break=lf}', "");
    Expect(0, 11, '\P{^Is_Word_Break=lf}', "");
    Expect(1, 10, '\p{Is_Word_Break=-	LF}', "");
    Expect(0, 10, '\p{^Is_Word_Break=-	LF}', "");
    Expect(0, 10, '\P{Is_Word_Break=-	LF}', "");
    Expect(1, 10, '\P{^Is_Word_Break=-	LF}', "");
    Expect(0, 11, '\p{Is_Word_Break=-	LF}', "");
    Expect(1, 11, '\p{^Is_Word_Break=-	LF}', "");
    Expect(1, 11, '\P{Is_Word_Break=-	LF}', "");
    Expect(0, 11, '\P{^Is_Word_Break=-	LF}', "");
    Error('\p{Is_WB=_/a/LF}');
    Error('\P{Is_WB=_/a/LF}');
    Expect(1, 10, '\p{Is_WB=lf}', "");
    Expect(0, 10, '\p{^Is_WB=lf}', "");
    Expect(0, 10, '\P{Is_WB=lf}', "");
    Expect(1, 10, '\P{^Is_WB=lf}', "");
    Expect(0, 11, '\p{Is_WB=lf}', "");
    Expect(1, 11, '\p{^Is_WB=lf}', "");
    Expect(1, 11, '\P{Is_WB=lf}', "");
    Expect(0, 11, '\P{^Is_WB=lf}', "");
    Expect(1, 10, '\p{Is_WB=__lf}', "");
    Expect(0, 10, '\p{^Is_WB=__lf}', "");
    Expect(0, 10, '\P{Is_WB=__lf}', "");
    Expect(1, 10, '\P{^Is_WB=__lf}', "");
    Expect(0, 11, '\p{Is_WB=__lf}', "");
    Expect(1, 11, '\p{^Is_WB=__lf}', "");
    Expect(1, 11, '\P{Is_WB=__lf}', "");
    Expect(0, 11, '\P{^Is_WB=__lf}', "");
    Error('\p{Word_Break=	/a/MIDNUMLET}');
    Error('\P{Word_Break=	/a/MIDNUMLET}');
    Expect(1, 65294, '\p{Word_Break=:\AMidNumLet\z:}', "");;
    Expect(0, 65295, '\p{Word_Break=:\AMidNumLet\z:}', "");;
    Expect(1, 65294, '\p{Word_Break=midnumlet}', "");
    Expect(0, 65294, '\p{^Word_Break=midnumlet}', "");
    Expect(0, 65294, '\P{Word_Break=midnumlet}', "");
    Expect(1, 65294, '\P{^Word_Break=midnumlet}', "");
    Expect(0, 65295, '\p{Word_Break=midnumlet}', "");
    Expect(1, 65295, '\p{^Word_Break=midnumlet}', "");
    Expect(1, 65295, '\P{Word_Break=midnumlet}', "");
    Expect(0, 65295, '\P{^Word_Break=midnumlet}', "");
    Expect(1, 65294, '\p{Word_Break=:\Amidnumlet\z:}', "");;
    Expect(0, 65295, '\p{Word_Break=:\Amidnumlet\z:}', "");;
    Expect(1, 65294, '\p{Word_Break=__MidNumLet}', "");
    Expect(0, 65294, '\p{^Word_Break=__MidNumLet}', "");
    Expect(0, 65294, '\P{Word_Break=__MidNumLet}', "");
    Expect(1, 65294, '\P{^Word_Break=__MidNumLet}', "");
    Expect(0, 65295, '\p{Word_Break=__MidNumLet}', "");
    Expect(1, 65295, '\p{^Word_Break=__MidNumLet}', "");
    Expect(1, 65295, '\P{Word_Break=__MidNumLet}', "");
    Expect(0, 65295, '\P{^Word_Break=__MidNumLet}', "");
    Error('\p{WB=_/a/MB}');
    Error('\P{WB=_/a/MB}');
    Expect(1, 65294, '\p{WB=:\AMB\z:}', "");;
    Expect(0, 65295, '\p{WB=:\AMB\z:}', "");;
    Expect(1, 65294, '\p{WB=mb}', "");
    Expect(0, 65294, '\p{^WB=mb}', "");
    Expect(0, 65294, '\P{WB=mb}', "");
    Expect(1, 65294, '\P{^WB=mb}', "");
    Expect(0, 65295, '\p{WB=mb}', "");
    Expect(1, 65295, '\p{^WB=mb}', "");
    Expect(1, 65295, '\P{WB=mb}', "");
    Expect(0, 65295, '\P{^WB=mb}', "");
    Expect(1, 65294, '\p{WB=:\Amb\z:}', "");;
    Expect(0, 65295, '\p{WB=:\Amb\z:}', "");;
    Expect(1, 65294, '\p{WB=	 mb}', "");
    Expect(0, 65294, '\p{^WB=	 mb}', "");
    Expect(0, 65294, '\P{WB=	 mb}', "");
    Expect(1, 65294, '\P{^WB=	 mb}', "");
    Expect(0, 65295, '\p{WB=	 mb}', "");
    Expect(1, 65295, '\p{^WB=	 mb}', "");
    Expect(1, 65295, '\P{WB=	 mb}', "");
    Expect(0, 65295, '\P{^WB=	 mb}', "");
    Error('\p{Is_Word_Break=	 MIDNUMLET/a/}');
    Error('\P{Is_Word_Break=	 MIDNUMLET/a/}');
    Expect(1, 65294, '\p{Is_Word_Break=midnumlet}', "");
    Expect(0, 65294, '\p{^Is_Word_Break=midnumlet}', "");
    Expect(0, 65294, '\P{Is_Word_Break=midnumlet}', "");
    Expect(1, 65294, '\P{^Is_Word_Break=midnumlet}', "");
    Expect(0, 65295, '\p{Is_Word_Break=midnumlet}', "");
    Expect(1, 65295, '\p{^Is_Word_Break=midnumlet}', "");
    Expect(1, 65295, '\P{Is_Word_Break=midnumlet}', "");
    Expect(0, 65295, '\P{^Is_Word_Break=midnumlet}', "");
    Expect(1, 65294, '\p{Is_Word_Break=	_MidNumLet}', "");
    Expect(0, 65294, '\p{^Is_Word_Break=	_MidNumLet}', "");
    Expect(0, 65294, '\P{Is_Word_Break=	_MidNumLet}', "");
    Expect(1, 65294, '\P{^Is_Word_Break=	_MidNumLet}', "");
    Expect(0, 65295, '\p{Is_Word_Break=	_MidNumLet}', "");
    Expect(1, 65295, '\p{^Is_Word_Break=	_MidNumLet}', "");
    Expect(1, 65295, '\P{Is_Word_Break=	_MidNumLet}', "");
    Expect(0, 65295, '\P{^Is_Word_Break=	_MidNumLet}', "");
    Error('\p{Is_WB=/a/  MB}');
    Error('\P{Is_WB=/a/  MB}');
    Expect(1, 65294, '\p{Is_WB=mb}', "");
    Expect(0, 65294, '\p{^Is_WB=mb}', "");
    Expect(0, 65294, '\P{Is_WB=mb}', "");
    Expect(1, 65294, '\P{^Is_WB=mb}', "");
    Expect(0, 65295, '\p{Is_WB=mb}', "");
    Expect(1, 65295, '\p{^Is_WB=mb}', "");
    Expect(1, 65295, '\P{Is_WB=mb}', "");
    Expect(0, 65295, '\P{^Is_WB=mb}', "");
    Expect(1, 65294, '\p{Is_WB=	-MB}', "");
    Expect(0, 65294, '\p{^Is_WB=	-MB}', "");
    Expect(0, 65294, '\P{Is_WB=	-MB}', "");
    Expect(1, 65294, '\P{^Is_WB=	-MB}', "");
    Expect(0, 65295, '\p{Is_WB=	-MB}', "");
    Expect(1, 65295, '\p{^Is_WB=	-MB}', "");
    Expect(1, 65295, '\P{Is_WB=	-MB}', "");
    Expect(0, 65295, '\P{^Is_WB=	-MB}', "");
    Error('\p{Word_Break=:=	 MIDLETTER}');
    Error('\P{Word_Break=:=	 MIDLETTER}');
    Expect(1, 65306, '\p{Word_Break=:\AMidLetter\z:}', "");;
    Expect(0, 65307, '\p{Word_Break=:\AMidLetter\z:}', "");;
    Expect(1, 65306, '\p{Word_Break:	midletter}', "");
    Expect(0, 65306, '\p{^Word_Break:	midletter}', "");
    Expect(0, 65306, '\P{Word_Break:	midletter}', "");
    Expect(1, 65306, '\P{^Word_Break:	midletter}', "");
    Expect(0, 65307, '\p{Word_Break:	midletter}', "");
    Expect(1, 65307, '\p{^Word_Break:	midletter}', "");
    Expect(1, 65307, '\P{Word_Break:	midletter}', "");
    Expect(0, 65307, '\P{^Word_Break:	midletter}', "");
    Expect(1, 65306, '\p{Word_Break=:\Amidletter\z:}', "");;
    Expect(0, 65307, '\p{Word_Break=:\Amidletter\z:}', "");;
    Expect(1, 65306, '\p{Word_Break=	MIDLETTER}', "");
    Expect(0, 65306, '\p{^Word_Break=	MIDLETTER}', "");
    Expect(0, 65306, '\P{Word_Break=	MIDLETTER}', "");
    Expect(1, 65306, '\P{^Word_Break=	MIDLETTER}', "");
    Expect(0, 65307, '\p{Word_Break=	MIDLETTER}', "");
    Expect(1, 65307, '\p{^Word_Break=	MIDLETTER}', "");
    Expect(1, 65307, '\P{Word_Break=	MIDLETTER}', "");
    Expect(0, 65307, '\P{^Word_Break=	MIDLETTER}', "");
    Error('\p{WB=-_ML:=}');
    Error('\P{WB=-_ML:=}');
    Expect(1, 65306, '\p{WB=:\AML\z:}', "");;
    Expect(0, 65307, '\p{WB=:\AML\z:}', "");;
    Expect(1, 65306, '\p{WB=ml}', "");
    Expect(0, 65306, '\p{^WB=ml}', "");
    Expect(0, 65306, '\P{WB=ml}', "");
    Expect(1, 65306, '\P{^WB=ml}', "");
    Expect(0, 65307, '\p{WB=ml}', "");
    Expect(1, 65307, '\p{^WB=ml}', "");
    Expect(1, 65307, '\P{WB=ml}', "");
    Expect(0, 65307, '\P{^WB=ml}', "");
    Expect(1, 65306, '\p{WB=:\Aml\z:}', "");;
    Expect(0, 65307, '\p{WB=:\Aml\z:}', "");;
    Expect(1, 65306, '\p{WB= _ml}', "");
    Expect(0, 65306, '\p{^WB= _ml}', "");
    Expect(0, 65306, '\P{WB= _ml}', "");
    Expect(1, 65306, '\P{^WB= _ml}', "");
    Expect(0, 65307, '\p{WB= _ml}', "");
    Expect(1, 65307, '\p{^WB= _ml}', "");
    Expect(1, 65307, '\P{WB= _ml}', "");
    Expect(0, 65307, '\P{^WB= _ml}', "");
    Error('\p{Is_Word_Break=/a/	MidLetter}');
    Error('\P{Is_Word_Break=/a/	MidLetter}');
    Expect(1, 65306, '\p{Is_Word_Break=midletter}', "");
    Expect(0, 65306, '\p{^Is_Word_Break=midletter}', "");
    Expect(0, 65306, '\P{Is_Word_Break=midletter}', "");
    Expect(1, 65306, '\P{^Is_Word_Break=midletter}', "");
    Expect(0, 65307, '\p{Is_Word_Break=midletter}', "");
    Expect(1, 65307, '\p{^Is_Word_Break=midletter}', "");
    Expect(1, 65307, '\P{Is_Word_Break=midletter}', "");
    Expect(0, 65307, '\P{^Is_Word_Break=midletter}', "");
    Expect(1, 65306, '\p{Is_Word_Break:	_-MidLetter}', "");
    Expect(0, 65306, '\p{^Is_Word_Break:	_-MidLetter}', "");
    Expect(0, 65306, '\P{Is_Word_Break:	_-MidLetter}', "");
    Expect(1, 65306, '\P{^Is_Word_Break:	_-MidLetter}', "");
    Expect(0, 65307, '\p{Is_Word_Break:	_-MidLetter}', "");
    Expect(1, 65307, '\p{^Is_Word_Break:	_-MidLetter}', "");
    Expect(1, 65307, '\P{Is_Word_Break:	_-MidLetter}', "");
    Expect(0, 65307, '\P{^Is_Word_Break:	_-MidLetter}', "");
    Error('\p{Is_WB=  ML:=}');
    Error('\P{Is_WB=  ML:=}');
    Expect(1, 65306, '\p{Is_WB=ml}', "");
    Expect(0, 65306, '\p{^Is_WB=ml}', "");
    Expect(0, 65306, '\P{Is_WB=ml}', "");
    Expect(1, 65306, '\P{^Is_WB=ml}', "");
    Expect(0, 65307, '\p{Is_WB=ml}', "");
    Expect(1, 65307, '\p{^Is_WB=ml}', "");
    Expect(1, 65307, '\P{Is_WB=ml}', "");
    Expect(0, 65307, '\P{^Is_WB=ml}', "");
    Expect(1, 65306, '\p{Is_WB=__ML}', "");
    Expect(0, 65306, '\p{^Is_WB=__ML}', "");
    Expect(0, 65306, '\P{Is_WB=__ML}', "");
    Expect(1, 65306, '\P{^Is_WB=__ML}', "");
    Expect(0, 65307, '\p{Is_WB=__ML}', "");
    Expect(1, 65307, '\p{^Is_WB=__ML}', "");
    Expect(1, 65307, '\P{Is_WB=__ML}', "");
    Expect(0, 65307, '\P{^Is_WB=__ML}', "");
    Error('\p{Word_Break=/a/	-MidNum}');
    Error('\P{Word_Break=/a/	-MidNum}');
    Expect(1, 65307, '\p{Word_Break=:\AMidNum\z:}', "");;
    Expect(0, 65308, '\p{Word_Break=:\AMidNum\z:}', "");;
    Expect(1, 65307, '\p{Word_Break=midnum}', "");
    Expect(0, 65307, '\p{^Word_Break=midnum}', "");
    Expect(0, 65307, '\P{Word_Break=midnum}', "");
    Expect(1, 65307, '\P{^Word_Break=midnum}', "");
    Expect(0, 65308, '\p{Word_Break=midnum}', "");
    Expect(1, 65308, '\p{^Word_Break=midnum}', "");
    Expect(1, 65308, '\P{Word_Break=midnum}', "");
    Expect(0, 65308, '\P{^Word_Break=midnum}', "");
    Expect(1, 65307, '\p{Word_Break=:\Amidnum\z:}', "");;
    Expect(0, 65308, '\p{Word_Break=:\Amidnum\z:}', "");;
    Expect(1, 65307, '\p{Word_Break=_MidNum}', "");
    Expect(0, 65307, '\p{^Word_Break=_MidNum}', "");
    Expect(0, 65307, '\P{Word_Break=_MidNum}', "");
    Expect(1, 65307, '\P{^Word_Break=_MidNum}', "");
    Expect(0, 65308, '\p{Word_Break=_MidNum}', "");
    Expect(1, 65308, '\p{^Word_Break=_MidNum}', "");
    Expect(1, 65308, '\P{Word_Break=_MidNum}', "");
    Expect(0, 65308, '\P{^Word_Break=_MidNum}', "");
    Error('\p{WB=/a/	_MN}');
    Error('\P{WB=/a/	_MN}');
    Expect(1, 65307, '\p{WB=:\AMN\z:}', "");;
    Expect(0, 65308, '\p{WB=:\AMN\z:}', "");;
    Expect(1, 65307, '\p{WB=mn}', "");
    Expect(0, 65307, '\p{^WB=mn}', "");
    Expect(0, 65307, '\P{WB=mn}', "");
    Expect(1, 65307, '\P{^WB=mn}', "");
    Expect(0, 65308, '\p{WB=mn}', "");
    Expect(1, 65308, '\p{^WB=mn}', "");
    Expect(1, 65308, '\P{WB=mn}', "");
    Expect(0, 65308, '\P{^WB=mn}', "");
    Expect(1, 65307, '\p{WB=:\Amn\z:}', "");;
    Expect(0, 65308, '\p{WB=:\Amn\z:}', "");;
    Expect(1, 65307, '\p{WB=--MN}', "");
    Expect(0, 65307, '\p{^WB=--MN}', "");
    Expect(0, 65307, '\P{WB=--MN}', "");
    Expect(1, 65307, '\P{^WB=--MN}', "");
    Expect(0, 65308, '\p{WB=--MN}', "");
    Expect(1, 65308, '\p{^WB=--MN}', "");
    Expect(1, 65308, '\P{WB=--MN}', "");
    Expect(0, 65308, '\P{^WB=--MN}', "");
    Error('\p{Is_Word_Break=-/a/MidNum}');
    Error('\P{Is_Word_Break=-/a/MidNum}');
    Expect(1, 65307, '\p{Is_Word_Break=midnum}', "");
    Expect(0, 65307, '\p{^Is_Word_Break=midnum}', "");
    Expect(0, 65307, '\P{Is_Word_Break=midnum}', "");
    Expect(1, 65307, '\P{^Is_Word_Break=midnum}', "");
    Expect(0, 65308, '\p{Is_Word_Break=midnum}', "");
    Expect(1, 65308, '\p{^Is_Word_Break=midnum}', "");
    Expect(1, 65308, '\P{Is_Word_Break=midnum}', "");
    Expect(0, 65308, '\P{^Is_Word_Break=midnum}', "");
    Expect(1, 65307, '\p{Is_Word_Break=--MidNum}', "");
    Expect(0, 65307, '\p{^Is_Word_Break=--MidNum}', "");
    Expect(0, 65307, '\P{Is_Word_Break=--MidNum}', "");
    Expect(1, 65307, '\P{^Is_Word_Break=--MidNum}', "");
    Expect(0, 65308, '\p{Is_Word_Break=--MidNum}', "");
    Expect(1, 65308, '\p{^Is_Word_Break=--MidNum}', "");
    Expect(1, 65308, '\P{Is_Word_Break=--MidNum}', "");
    Expect(0, 65308, '\P{^Is_Word_Break=--MidNum}', "");
    Error('\p{Is_WB=--MN/a/}');
    Error('\P{Is_WB=--MN/a/}');
    Expect(1, 65307, '\p{Is_WB=mn}', "");
    Expect(0, 65307, '\p{^Is_WB=mn}', "");
    Expect(0, 65307, '\P{Is_WB=mn}', "");
    Expect(1, 65307, '\P{^Is_WB=mn}', "");
    Expect(0, 65308, '\p{Is_WB=mn}', "");
    Expect(1, 65308, '\p{^Is_WB=mn}', "");
    Expect(1, 65308, '\P{Is_WB=mn}', "");
    Expect(0, 65308, '\P{^Is_WB=mn}', "");
    Expect(1, 65307, '\p{Is_WB= 	MN}', "");
    Expect(0, 65307, '\p{^Is_WB= 	MN}', "");
    Expect(0, 65307, '\P{Is_WB= 	MN}', "");
    Expect(1, 65307, '\P{^Is_WB= 	MN}', "");
    Expect(0, 65308, '\p{Is_WB= 	MN}', "");
    Expect(1, 65308, '\p{^Is_WB= 	MN}', "");
    Expect(1, 65308, '\P{Is_WB= 	MN}', "");
    Expect(0, 65308, '\P{^Is_WB= 	MN}', "");
    Error('\p{Word_Break= NEWLINE/a/}');
    Error('\P{Word_Break= NEWLINE/a/}');
    Expect(1, 8233, '\p{Word_Break=:\ANewline\z:}', "");;
    Expect(0, 8234, '\p{Word_Break=:\ANewline\z:}', "");;
    Expect(1, 8233, '\p{Word_Break=newline}', "");
    Expect(0, 8233, '\p{^Word_Break=newline}', "");
    Expect(0, 8233, '\P{Word_Break=newline}', "");
    Expect(1, 8233, '\P{^Word_Break=newline}', "");
    Expect(0, 8234, '\p{Word_Break=newline}', "");
    Expect(1, 8234, '\p{^Word_Break=newline}', "");
    Expect(1, 8234, '\P{Word_Break=newline}', "");
    Expect(0, 8234, '\P{^Word_Break=newline}', "");
    Expect(1, 8233, '\p{Word_Break=:\Anewline\z:}', "");;
    Expect(0, 8234, '\p{Word_Break=:\Anewline\z:}', "");;
    Expect(1, 8233, '\p{Word_Break= NEWLINE}', "");
    Expect(0, 8233, '\p{^Word_Break= NEWLINE}', "");
    Expect(0, 8233, '\P{Word_Break= NEWLINE}', "");
    Expect(1, 8233, '\P{^Word_Break= NEWLINE}', "");
    Expect(0, 8234, '\p{Word_Break= NEWLINE}', "");
    Expect(1, 8234, '\p{^Word_Break= NEWLINE}', "");
    Expect(1, 8234, '\P{Word_Break= NEWLINE}', "");
    Expect(0, 8234, '\P{^Word_Break= NEWLINE}', "");
    Error('\p{WB=:=__nl}');
    Error('\P{WB=:=__nl}');
    Expect(1, 8233, '\p{WB=:\ANL\z:}', "");;
    Expect(0, 8234, '\p{WB=:\ANL\z:}', "");;
    Expect(1, 8233, '\p{WB=nl}', "");
    Expect(0, 8233, '\p{^WB=nl}', "");
    Expect(0, 8233, '\P{WB=nl}', "");
    Expect(1, 8233, '\P{^WB=nl}', "");
    Expect(0, 8234, '\p{WB=nl}', "");
    Expect(1, 8234, '\p{^WB=nl}', "");
    Expect(1, 8234, '\P{WB=nl}', "");
    Expect(0, 8234, '\P{^WB=nl}', "");
    Expect(1, 8233, '\p{WB=:\Anl\z:}', "");;
    Expect(0, 8234, '\p{WB=:\Anl\z:}', "");;
    Expect(1, 8233, '\p{WB:   	NL}', "");
    Expect(0, 8233, '\p{^WB:   	NL}', "");
    Expect(0, 8233, '\P{WB:   	NL}', "");
    Expect(1, 8233, '\P{^WB:   	NL}', "");
    Expect(0, 8234, '\p{WB:   	NL}', "");
    Expect(1, 8234, '\p{^WB:   	NL}', "");
    Expect(1, 8234, '\P{WB:   	NL}', "");
    Expect(0, 8234, '\P{^WB:   	NL}', "");
    Error('\p{Is_Word_Break= :=Newline}');
    Error('\P{Is_Word_Break= :=Newline}');
    Expect(1, 8233, '\p{Is_Word_Break=newline}', "");
    Expect(0, 8233, '\p{^Is_Word_Break=newline}', "");
    Expect(0, 8233, '\P{Is_Word_Break=newline}', "");
    Expect(1, 8233, '\P{^Is_Word_Break=newline}', "");
    Expect(0, 8234, '\p{Is_Word_Break=newline}', "");
    Expect(1, 8234, '\p{^Is_Word_Break=newline}', "");
    Expect(1, 8234, '\P{Is_Word_Break=newline}', "");
    Expect(0, 8234, '\P{^Is_Word_Break=newline}', "");
    Expect(1, 8233, '\p{Is_Word_Break=	 NEWLINE}', "");
    Expect(0, 8233, '\p{^Is_Word_Break=	 NEWLINE}', "");
    Expect(0, 8233, '\P{Is_Word_Break=	 NEWLINE}', "");
    Expect(1, 8233, '\P{^Is_Word_Break=	 NEWLINE}', "");
    Expect(0, 8234, '\p{Is_Word_Break=	 NEWLINE}', "");
    Expect(1, 8234, '\p{^Is_Word_Break=	 NEWLINE}', "");
    Expect(1, 8234, '\P{Is_Word_Break=	 NEWLINE}', "");
    Expect(0, 8234, '\P{^Is_Word_Break=	 NEWLINE}', "");
    Error('\p{Is_WB=	NL/a/}');
    Error('\P{Is_WB=	NL/a/}');
    Expect(1, 8233, '\p{Is_WB:   nl}', "");
    Expect(0, 8233, '\p{^Is_WB:   nl}', "");
    Expect(0, 8233, '\P{Is_WB:   nl}', "");
    Expect(1, 8233, '\P{^Is_WB:   nl}', "");
    Expect(0, 8234, '\p{Is_WB:   nl}', "");
    Expect(1, 8234, '\p{^Is_WB:   nl}', "");
    Expect(1, 8234, '\P{Is_WB:   nl}', "");
    Expect(0, 8234, '\P{^Is_WB:   nl}', "");
    Expect(1, 8233, '\p{Is_WB:	-NL}', "");
    Expect(0, 8233, '\p{^Is_WB:	-NL}', "");
    Expect(0, 8233, '\P{Is_WB:	-NL}', "");
    Expect(1, 8233, '\P{^Is_WB:	-NL}', "");
    Expect(0, 8234, '\p{Is_WB:	-NL}', "");
    Expect(1, 8234, '\p{^Is_WB:	-NL}', "");
    Expect(1, 8234, '\P{Is_WB:	-NL}', "");
    Expect(0, 8234, '\P{^Is_WB:	-NL}', "");
    Error('\p{Word_Break=:= numeric}');
    Error('\P{Word_Break=:= numeric}');
    Expect(1, 130041, '\p{Word_Break=:\ANumeric\z:}', "");;
    Expect(0, 130042, '\p{Word_Break=:\ANumeric\z:}', "");;
    Expect(1, 130041, '\p{Word_Break=numeric}', "");
    Expect(0, 130041, '\p{^Word_Break=numeric}', "");
    Expect(0, 130041, '\P{Word_Break=numeric}', "");
    Expect(1, 130041, '\P{^Word_Break=numeric}', "");
    Expect(0, 130042, '\p{Word_Break=numeric}', "");
    Expect(1, 130042, '\p{^Word_Break=numeric}', "");
    Expect(1, 130042, '\P{Word_Break=numeric}', "");
    Expect(0, 130042, '\P{^Word_Break=numeric}', "");
    Expect(1, 130041, '\p{Word_Break=:\Anumeric\z:}', "");;
    Expect(0, 130042, '\p{Word_Break=:\Anumeric\z:}', "");;
    Expect(1, 130041, '\p{Word_Break=-_Numeric}', "");
    Expect(0, 130041, '\p{^Word_Break=-_Numeric}', "");
    Expect(0, 130041, '\P{Word_Break=-_Numeric}', "");
    Expect(1, 130041, '\P{^Word_Break=-_Numeric}', "");
    Expect(0, 130042, '\p{Word_Break=-_Numeric}', "");
    Expect(1, 130042, '\p{^Word_Break=-_Numeric}', "");
    Expect(1, 130042, '\P{Word_Break=-_Numeric}', "");
    Expect(0, 130042, '\P{^Word_Break=-_Numeric}', "");
    Error('\p{WB=- NU/a/}');
    Error('\P{WB=- NU/a/}');
    Expect(1, 130041, '\p{WB=:\ANU\z:}', "");;
    Expect(0, 130042, '\p{WB=:\ANU\z:}', "");;
    Expect(1, 130041, '\p{WB=nu}', "");
    Expect(0, 130041, '\p{^WB=nu}', "");
    Expect(0, 130041, '\P{WB=nu}', "");
    Expect(1, 130041, '\P{^WB=nu}', "");
    Expect(0, 130042, '\p{WB=nu}', "");
    Expect(1, 130042, '\p{^WB=nu}', "");
    Expect(1, 130042, '\P{WB=nu}', "");
    Expect(0, 130042, '\P{^WB=nu}', "");
    Expect(1, 130041, '\p{WB=:\Anu\z:}', "");;
    Expect(0, 130042, '\p{WB=:\Anu\z:}', "");;
    Expect(1, 130041, '\p{WB=-NU}', "");
    Expect(0, 130041, '\p{^WB=-NU}', "");
    Expect(0, 130041, '\P{WB=-NU}', "");
    Expect(1, 130041, '\P{^WB=-NU}', "");
    Expect(0, 130042, '\p{WB=-NU}', "");
    Expect(1, 130042, '\p{^WB=-NU}', "");
    Expect(1, 130042, '\P{WB=-NU}', "");
    Expect(0, 130042, '\P{^WB=-NU}', "");
    Error('\p{Is_Word_Break:   	:=Numeric}');
    Error('\P{Is_Word_Break:   	:=Numeric}');
    Expect(1, 130041, '\p{Is_Word_Break=numeric}', "");
    Expect(0, 130041, '\p{^Is_Word_Break=numeric}', "");
    Expect(0, 130041, '\P{Is_Word_Break=numeric}', "");
    Expect(1, 130041, '\P{^Is_Word_Break=numeric}', "");
    Expect(0, 130042, '\p{Is_Word_Break=numeric}', "");
    Expect(1, 130042, '\p{^Is_Word_Break=numeric}', "");
    Expect(1, 130042, '\P{Is_Word_Break=numeric}', "");
    Expect(0, 130042, '\P{^Is_Word_Break=numeric}', "");
    Expect(1, 130041, '\p{Is_Word_Break=	Numeric}', "");
    Expect(0, 130041, '\p{^Is_Word_Break=	Numeric}', "");
    Expect(0, 130041, '\P{Is_Word_Break=	Numeric}', "");
    Expect(1, 130041, '\P{^Is_Word_Break=	Numeric}', "");
    Expect(0, 130042, '\p{Is_Word_Break=	Numeric}', "");
    Expect(1, 130042, '\p{^Is_Word_Break=	Numeric}', "");
    Expect(1, 130042, '\P{Is_Word_Break=	Numeric}', "");
    Expect(0, 130042, '\P{^Is_Word_Break=	Numeric}', "");
    Error('\p{Is_WB: := 	NU}');
    Error('\P{Is_WB: := 	NU}');
    Expect(1, 130041, '\p{Is_WB=nu}', "");
    Expect(0, 130041, '\p{^Is_WB=nu}', "");
    Expect(0, 130041, '\P{Is_WB=nu}', "");
    Expect(1, 130041, '\P{^Is_WB=nu}', "");
    Expect(0, 130042, '\p{Is_WB=nu}', "");
    Expect(1, 130042, '\p{^Is_WB=nu}', "");
    Expect(1, 130042, '\P{Is_WB=nu}', "");
    Expect(0, 130042, '\P{^Is_WB=nu}', "");
    Expect(1, 130041, '\p{Is_WB=-NU}', "");
    Expect(0, 130041, '\p{^Is_WB=-NU}', "");
    Expect(0, 130041, '\P{Is_WB=-NU}', "");
    Expect(1, 130041, '\P{^Is_WB=-NU}', "");
    Expect(0, 130042, '\p{Is_WB=-NU}', "");
    Expect(1, 130042, '\p{^Is_WB=-NU}', "");
    Expect(1, 130042, '\P{Is_WB=-NU}', "");
    Expect(0, 130042, '\P{^Is_WB=-NU}', "");
    Error('\p{Word_Break=	/a/Regional_INDICATOR}');
    Error('\P{Word_Break=	/a/Regional_INDICATOR}');
    Expect(1, 127487, '\p{Word_Break=:\ARegional_Indicator\z:}', "");;
    Expect(0, 127488, '\p{Word_Break=:\ARegional_Indicator\z:}', "");;
    Expect(1, 127487, '\p{Word_Break=regionalindicator}', "");
    Expect(0, 127487, '\p{^Word_Break=regionalindicator}', "");
    Expect(0, 127487, '\P{Word_Break=regionalindicator}', "");
    Expect(1, 127487, '\P{^Word_Break=regionalindicator}', "");
    Expect(0, 127488, '\p{Word_Break=regionalindicator}', "");
    Expect(1, 127488, '\p{^Word_Break=regionalindicator}', "");
    Expect(1, 127488, '\P{Word_Break=regionalindicator}', "");
    Expect(0, 127488, '\P{^Word_Break=regionalindicator}', "");
    Expect(1, 127487, '\p{Word_Break=:\Aregionalindicator\z:}', "");;
    Expect(0, 127488, '\p{Word_Break=:\Aregionalindicator\z:}', "");;
    Expect(1, 127487, '\p{Word_Break=__REGIONAL_INDICATOR}', "");
    Expect(0, 127487, '\p{^Word_Break=__REGIONAL_INDICATOR}', "");
    Expect(0, 127487, '\P{Word_Break=__REGIONAL_INDICATOR}', "");
    Expect(1, 127487, '\P{^Word_Break=__REGIONAL_INDICATOR}', "");
    Expect(0, 127488, '\p{Word_Break=__REGIONAL_INDICATOR}', "");
    Expect(1, 127488, '\p{^Word_Break=__REGIONAL_INDICATOR}', "");
    Expect(1, 127488, '\P{Word_Break=__REGIONAL_INDICATOR}', "");
    Expect(0, 127488, '\P{^Word_Break=__REGIONAL_INDICATOR}', "");
    Error('\p{WB=:=		RI}');
    Error('\P{WB=:=		RI}');
    Expect(1, 127487, '\p{WB=:\ARI\z:}', "");;
    Expect(0, 127488, '\p{WB=:\ARI\z:}', "");;
    Expect(1, 127487, '\p{WB=ri}', "");
    Expect(0, 127487, '\p{^WB=ri}', "");
    Expect(0, 127487, '\P{WB=ri}', "");
    Expect(1, 127487, '\P{^WB=ri}', "");
    Expect(0, 127488, '\p{WB=ri}', "");
    Expect(1, 127488, '\p{^WB=ri}', "");
    Expect(1, 127488, '\P{WB=ri}', "");
    Expect(0, 127488, '\P{^WB=ri}', "");
    Expect(1, 127487, '\p{WB=:\Ari\z:}', "");;
    Expect(0, 127488, '\p{WB=:\Ari\z:}', "");;
    Expect(1, 127487, '\p{WB=-RI}', "");
    Expect(0, 127487, '\p{^WB=-RI}', "");
    Expect(0, 127487, '\P{WB=-RI}', "");
    Expect(1, 127487, '\P{^WB=-RI}', "");
    Expect(0, 127488, '\p{WB=-RI}', "");
    Expect(1, 127488, '\p{^WB=-RI}', "");
    Expect(1, 127488, '\P{WB=-RI}', "");
    Expect(0, 127488, '\P{^WB=-RI}', "");
    Error('\p{Is_Word_Break=/a/_Regional_INDICATOR}');
    Error('\P{Is_Word_Break=/a/_Regional_INDICATOR}');
    Expect(1, 127487, '\p{Is_Word_Break=regionalindicator}', "");
    Expect(0, 127487, '\p{^Is_Word_Break=regionalindicator}', "");
    Expect(0, 127487, '\P{Is_Word_Break=regionalindicator}', "");
    Expect(1, 127487, '\P{^Is_Word_Break=regionalindicator}', "");
    Expect(0, 127488, '\p{Is_Word_Break=regionalindicator}', "");
    Expect(1, 127488, '\p{^Is_Word_Break=regionalindicator}', "");
    Expect(1, 127488, '\P{Is_Word_Break=regionalindicator}', "");
    Expect(0, 127488, '\P{^Is_Word_Break=regionalindicator}', "");
    Expect(1, 127487, '\p{Is_Word_Break=--regional_INDICATOR}', "");
    Expect(0, 127487, '\p{^Is_Word_Break=--regional_INDICATOR}', "");
    Expect(0, 127487, '\P{Is_Word_Break=--regional_INDICATOR}', "");
    Expect(1, 127487, '\P{^Is_Word_Break=--regional_INDICATOR}', "");
    Expect(0, 127488, '\p{Is_Word_Break=--regional_INDICATOR}', "");
    Expect(1, 127488, '\p{^Is_Word_Break=--regional_INDICATOR}', "");
    Expect(1, 127488, '\P{Is_Word_Break=--regional_INDICATOR}', "");
    Expect(0, 127488, '\P{^Is_Word_Break=--regional_INDICATOR}', "");
    Error('\p{Is_WB=:=-_RI}');
    Error('\P{Is_WB=:=-_RI}');
    Expect(1, 127487, '\p{Is_WB=ri}', "");
    Expect(0, 127487, '\p{^Is_WB=ri}', "");
    Expect(0, 127487, '\P{Is_WB=ri}', "");
    Expect(1, 127487, '\P{^Is_WB=ri}', "");
    Expect(0, 127488, '\p{Is_WB=ri}', "");
    Expect(1, 127488, '\p{^Is_WB=ri}', "");
    Expect(1, 127488, '\P{Is_WB=ri}', "");
    Expect(0, 127488, '\P{^Is_WB=ri}', "");
    Expect(1, 127487, '\p{Is_WB=-ri}', "");
    Expect(0, 127487, '\p{^Is_WB=-ri}', "");
    Expect(0, 127487, '\P{Is_WB=-ri}', "");
    Expect(1, 127487, '\P{^Is_WB=-ri}', "");
    Expect(0, 127488, '\p{Is_WB=-ri}', "");
    Expect(1, 127488, '\p{^Is_WB=-ri}', "");
    Expect(1, 127488, '\P{Is_WB=-ri}', "");
    Expect(0, 127488, '\P{^Is_WB=-ri}', "");
    Error('\p{Word_Break=_/a/Single_QUOTE}');
    Error('\P{Word_Break=_/a/Single_QUOTE}');
    Expect(1, 39, '\p{Word_Break=:\ASingle_Quote\z:}', "");;
    Expect(0, 40, '\p{Word_Break=:\ASingle_Quote\z:}', "");;
    Expect(1, 39, '\p{Word_Break=singlequote}', "");
    Expect(0, 39, '\p{^Word_Break=singlequote}', "");
    Expect(0, 39, '\P{Word_Break=singlequote}', "");
    Expect(1, 39, '\P{^Word_Break=singlequote}', "");
    Expect(0, 40, '\p{Word_Break=singlequote}', "");
    Expect(1, 40, '\p{^Word_Break=singlequote}', "");
    Expect(1, 40, '\P{Word_Break=singlequote}', "");
    Expect(0, 40, '\P{^Word_Break=singlequote}', "");
    Expect(1, 39, '\p{Word_Break=:\Asinglequote\z:}', "");;
    Expect(0, 40, '\p{Word_Break=:\Asinglequote\z:}', "");;
    Expect(1, 39, '\p{Word_Break:	 SINGLE_QUOTE}', "");
    Expect(0, 39, '\p{^Word_Break:	 SINGLE_QUOTE}', "");
    Expect(0, 39, '\P{Word_Break:	 SINGLE_QUOTE}', "");
    Expect(1, 39, '\P{^Word_Break:	 SINGLE_QUOTE}', "");
    Expect(0, 40, '\p{Word_Break:	 SINGLE_QUOTE}', "");
    Expect(1, 40, '\p{^Word_Break:	 SINGLE_QUOTE}', "");
    Expect(1, 40, '\P{Word_Break:	 SINGLE_QUOTE}', "");
    Expect(0, 40, '\P{^Word_Break:	 SINGLE_QUOTE}', "");
    Error('\p{WB=/a/--SQ}');
    Error('\P{WB=/a/--SQ}');
    Expect(1, 39, '\p{WB=:\ASQ\z:}', "");;
    Expect(0, 40, '\p{WB=:\ASQ\z:}', "");;
    Expect(1, 39, '\p{WB=sq}', "");
    Expect(0, 39, '\p{^WB=sq}', "");
    Expect(0, 39, '\P{WB=sq}', "");
    Expect(1, 39, '\P{^WB=sq}', "");
    Expect(0, 40, '\p{WB=sq}', "");
    Expect(1, 40, '\p{^WB=sq}', "");
    Expect(1, 40, '\P{WB=sq}', "");
    Expect(0, 40, '\P{^WB=sq}', "");
    Expect(1, 39, '\p{WB=:\Asq\z:}', "");;
    Expect(0, 40, '\p{WB=:\Asq\z:}', "");;
    Expect(1, 39, '\p{WB=-sq}', "");
    Expect(0, 39, '\p{^WB=-sq}', "");
    Expect(0, 39, '\P{WB=-sq}', "");
    Expect(1, 39, '\P{^WB=-sq}', "");
    Expect(0, 40, '\p{WB=-sq}', "");
    Expect(1, 40, '\p{^WB=-sq}', "");
    Expect(1, 40, '\P{WB=-sq}', "");
    Expect(0, 40, '\P{^WB=-sq}', "");
    Error('\p{Is_Word_Break=/a/-_Single_Quote}');
    Error('\P{Is_Word_Break=/a/-_Single_Quote}');
    Expect(1, 39, '\p{Is_Word_Break=singlequote}', "");
    Expect(0, 39, '\p{^Is_Word_Break=singlequote}', "");
    Expect(0, 39, '\P{Is_Word_Break=singlequote}', "");
    Expect(1, 39, '\P{^Is_Word_Break=singlequote}', "");
    Expect(0, 40, '\p{Is_Word_Break=singlequote}', "");
    Expect(1, 40, '\p{^Is_Word_Break=singlequote}', "");
    Expect(1, 40, '\P{Is_Word_Break=singlequote}', "");
    Expect(0, 40, '\P{^Is_Word_Break=singlequote}', "");
    Expect(1, 39, '\p{Is_Word_Break:   --Single_Quote}', "");
    Expect(0, 39, '\p{^Is_Word_Break:   --Single_Quote}', "");
    Expect(0, 39, '\P{Is_Word_Break:   --Single_Quote}', "");
    Expect(1, 39, '\P{^Is_Word_Break:   --Single_Quote}', "");
    Expect(0, 40, '\p{Is_Word_Break:   --Single_Quote}', "");
    Expect(1, 40, '\p{^Is_Word_Break:   --Single_Quote}', "");
    Expect(1, 40, '\P{Is_Word_Break:   --Single_Quote}', "");
    Expect(0, 40, '\P{^Is_Word_Break:   --Single_Quote}', "");
    Error('\p{Is_WB=	 SQ/a/}');
    Error('\P{Is_WB=	 SQ/a/}');
    Expect(1, 39, '\p{Is_WB=sq}', "");
    Expect(0, 39, '\p{^Is_WB=sq}', "");
    Expect(0, 39, '\P{Is_WB=sq}', "");
    Expect(1, 39, '\P{^Is_WB=sq}', "");
    Expect(0, 40, '\p{Is_WB=sq}', "");
    Expect(1, 40, '\p{^Is_WB=sq}', "");
    Expect(1, 40, '\P{Is_WB=sq}', "");
    Expect(0, 40, '\P{^Is_WB=sq}', "");
    Expect(1, 39, '\p{Is_WB=	sq}', "");
    Expect(0, 39, '\p{^Is_WB=	sq}', "");
    Expect(0, 39, '\P{Is_WB=	sq}', "");
    Expect(1, 39, '\P{^Is_WB=	sq}', "");
    Expect(0, 40, '\p{Is_WB=	sq}', "");
    Expect(1, 40, '\p{^Is_WB=	sq}', "");
    Expect(1, 40, '\P{Is_WB=	sq}', "");
    Expect(0, 40, '\P{^Is_WB=	sq}', "");
    Error('\p{Word_Break=__WSegSpace/a/}');
    Error('\P{Word_Break=__WSegSpace/a/}');
    Expect(1, 12288, '\p{Word_Break=:\AWSegSpace\z:}', "");;
    Expect(0, 12289, '\p{Word_Break=:\AWSegSpace\z:}', "");;
    Expect(1, 12288, '\p{Word_Break=wsegspace}', "");
    Expect(0, 12288, '\p{^Word_Break=wsegspace}', "");
    Expect(0, 12288, '\P{Word_Break=wsegspace}', "");
    Expect(1, 12288, '\P{^Word_Break=wsegspace}', "");
    Expect(0, 12289, '\p{Word_Break=wsegspace}', "");
    Expect(1, 12289, '\p{^Word_Break=wsegspace}', "");
    Expect(1, 12289, '\P{Word_Break=wsegspace}', "");
    Expect(0, 12289, '\P{^Word_Break=wsegspace}', "");
    Expect(1, 12288, '\p{Word_Break=:\Awsegspace\z:}', "");;
    Expect(0, 12289, '\p{Word_Break=:\Awsegspace\z:}', "");;
    Expect(1, 12288, '\p{Word_Break=_wsegspace}', "");
    Expect(0, 12288, '\p{^Word_Break=_wsegspace}', "");
    Expect(0, 12288, '\P{Word_Break=_wsegspace}', "");
    Expect(1, 12288, '\P{^Word_Break=_wsegspace}', "");
    Expect(0, 12289, '\p{Word_Break=_wsegspace}', "");
    Expect(1, 12289, '\p{^Word_Break=_wsegspace}', "");
    Expect(1, 12289, '\P{Word_Break=_wsegspace}', "");
    Expect(0, 12289, '\P{^Word_Break=_wsegspace}', "");
    Error('\p{WB=:= _wsegspace}');
    Error('\P{WB=:= _wsegspace}');
    Expect(1, 12288, '\p{WB=:\AWSegSpace\z:}', "");;
    Expect(0, 12289, '\p{WB=:\AWSegSpace\z:}', "");;
    Expect(1, 12288, '\p{WB=wsegspace}', "");
    Expect(0, 12288, '\p{^WB=wsegspace}', "");
    Expect(0, 12288, '\P{WB=wsegspace}', "");
    Expect(1, 12288, '\P{^WB=wsegspace}', "");
    Expect(0, 12289, '\p{WB=wsegspace}', "");
    Expect(1, 12289, '\p{^WB=wsegspace}', "");
    Expect(1, 12289, '\P{WB=wsegspace}', "");
    Expect(0, 12289, '\P{^WB=wsegspace}', "");
    Expect(1, 12288, '\p{WB=:\Awsegspace\z:}', "");;
    Expect(0, 12289, '\p{WB=:\Awsegspace\z:}', "");;
    Expect(1, 12288, '\p{WB: _WSegSpace}', "");
    Expect(0, 12288, '\p{^WB: _WSegSpace}', "");
    Expect(0, 12288, '\P{WB: _WSegSpace}', "");
    Expect(1, 12288, '\P{^WB: _WSegSpace}', "");
    Expect(0, 12289, '\p{WB: _WSegSpace}', "");
    Expect(1, 12289, '\p{^WB: _WSegSpace}', "");
    Expect(1, 12289, '\P{WB: _WSegSpace}', "");
    Expect(0, 12289, '\P{^WB: _WSegSpace}', "");
    Error('\p{Is_Word_Break=	wsegspace:=}');
    Error('\P{Is_Word_Break=	wsegspace:=}');
    Expect(1, 12288, '\p{Is_Word_Break=wsegspace}', "");
    Expect(0, 12288, '\p{^Is_Word_Break=wsegspace}', "");
    Expect(0, 12288, '\P{Is_Word_Break=wsegspace}', "");
    Expect(1, 12288, '\P{^Is_Word_Break=wsegspace}', "");
    Expect(0, 12289, '\p{Is_Word_Break=wsegspace}', "");
    Expect(1, 12289, '\p{^Is_Word_Break=wsegspace}', "");
    Expect(1, 12289, '\P{Is_Word_Break=wsegspace}', "");
    Expect(0, 12289, '\P{^Is_Word_Break=wsegspace}', "");
    Expect(1, 12288, '\p{Is_Word_Break:_-WSegSpace}', "");
    Expect(0, 12288, '\p{^Is_Word_Break:_-WSegSpace}', "");
    Expect(0, 12288, '\P{Is_Word_Break:_-WSegSpace}', "");
    Expect(1, 12288, '\P{^Is_Word_Break:_-WSegSpace}', "");
    Expect(0, 12289, '\p{Is_Word_Break:_-WSegSpace}', "");
    Expect(1, 12289, '\p{^Is_Word_Break:_-WSegSpace}', "");
    Expect(1, 12289, '\P{Is_Word_Break:_-WSegSpace}', "");
    Expect(0, 12289, '\P{^Is_Word_Break:_-WSegSpace}', "");
    Error('\p{Is_WB::=-_wsegspace}');
    Error('\P{Is_WB::=-_wsegspace}');
    Expect(1, 12288, '\p{Is_WB=wsegspace}', "");
    Expect(0, 12288, '\p{^Is_WB=wsegspace}', "");
    Expect(0, 12288, '\P{Is_WB=wsegspace}', "");
    Expect(1, 12288, '\P{^Is_WB=wsegspace}', "");
    Expect(0, 12289, '\p{Is_WB=wsegspace}', "");
    Expect(1, 12289, '\p{^Is_WB=wsegspace}', "");
    Expect(1, 12289, '\P{Is_WB=wsegspace}', "");
    Expect(0, 12289, '\P{^Is_WB=wsegspace}', "");
    Expect(1, 12288, '\p{Is_WB= wsegspace}', "");
    Expect(0, 12288, '\p{^Is_WB= wsegspace}', "");
    Expect(0, 12288, '\P{Is_WB= wsegspace}', "");
    Expect(1, 12288, '\P{^Is_WB= wsegspace}', "");
    Expect(0, 12289, '\p{Is_WB= wsegspace}', "");
    Expect(1, 12289, '\p{^Is_WB= wsegspace}', "");
    Expect(1, 12289, '\P{Is_WB= wsegspace}', "");
    Expect(0, 12289, '\P{^Is_WB= wsegspace}', "");
    Error('\p{Word_Break=		other/a/}');
    Error('\P{Word_Break=		other/a/}');
    Expect(1, 918000, '\p{Word_Break=:\AOther\z:}', "");;
    Expect(0, 917999, '\p{Word_Break=:\AOther\z:}', "");;
    Expect(1, 918000, '\p{Word_Break=other}', "");
    Expect(0, 918000, '\p{^Word_Break=other}', "");
    Expect(0, 918000, '\P{Word_Break=other}', "");
    Expect(1, 918000, '\P{^Word_Break=other}', "");
    Expect(0, 917999, '\p{Word_Break=other}', "");
    Expect(1, 917999, '\p{^Word_Break=other}', "");
    Expect(1, 917999, '\P{Word_Break=other}', "");
    Expect(0, 917999, '\P{^Word_Break=other}', "");
    Expect(1, 918000, '\p{Word_Break=:\Aother\z:}', "");;
    Expect(0, 917999, '\p{Word_Break=:\Aother\z:}', "");;
    Expect(1, 918000, '\p{Word_Break=	Other}', "");
    Expect(0, 918000, '\p{^Word_Break=	Other}', "");
    Expect(0, 918000, '\P{Word_Break=	Other}', "");
    Expect(1, 918000, '\P{^Word_Break=	Other}', "");
    Expect(0, 917999, '\p{Word_Break=	Other}', "");
    Expect(1, 917999, '\p{^Word_Break=	Other}', "");
    Expect(1, 917999, '\P{Word_Break=	Other}', "");
    Expect(0, 917999, '\P{^Word_Break=	Other}', "");
    Error('\p{WB=:=_xx}');
    Error('\P{WB=:=_xx}');
    Expect(1, 918000, '\p{WB=:\AXX\z:}', "");;
    Expect(0, 917999, '\p{WB=:\AXX\z:}', "");;
    Expect(1, 918000, '\p{WB=xx}', "");
    Expect(0, 918000, '\p{^WB=xx}', "");
    Expect(0, 918000, '\P{WB=xx}', "");
    Expect(1, 918000, '\P{^WB=xx}', "");
    Expect(0, 917999, '\p{WB=xx}', "");
    Expect(1, 917999, '\p{^WB=xx}', "");
    Expect(1, 917999, '\P{WB=xx}', "");
    Expect(0, 917999, '\P{^WB=xx}', "");
    Expect(1, 918000, '\p{WB=:\Axx\z:}', "");;
    Expect(0, 917999, '\p{WB=:\Axx\z:}', "");;
    Expect(1, 918000, '\p{WB=_XX}', "");
    Expect(0, 918000, '\p{^WB=_XX}', "");
    Expect(0, 918000, '\P{WB=_XX}', "");
    Expect(1, 918000, '\P{^WB=_XX}', "");
    Expect(0, 917999, '\p{WB=_XX}', "");
    Expect(1, 917999, '\p{^WB=_XX}', "");
    Expect(1, 917999, '\P{WB=_XX}', "");
    Expect(0, 917999, '\P{^WB=_XX}', "");
    Error('\p{Is_Word_Break: :=	_Other}');
    Error('\P{Is_Word_Break: :=	_Other}');
    Expect(1, 918000, '\p{Is_Word_Break=other}', "");
    Expect(0, 918000, '\p{^Is_Word_Break=other}', "");
    Expect(0, 918000, '\P{Is_Word_Break=other}', "");
    Expect(1, 918000, '\P{^Is_Word_Break=other}', "");
    Expect(0, 917999, '\p{Is_Word_Break=other}', "");
    Expect(1, 917999, '\p{^Is_Word_Break=other}', "");
    Expect(1, 917999, '\P{Is_Word_Break=other}', "");
    Expect(0, 917999, '\P{^Is_Word_Break=other}', "");
    Expect(1, 918000, '\p{Is_Word_Break=-	OTHER}', "");
    Expect(0, 918000, '\p{^Is_Word_Break=-	OTHER}', "");
    Expect(0, 918000, '\P{Is_Word_Break=-	OTHER}', "");
    Expect(1, 918000, '\P{^Is_Word_Break=-	OTHER}', "");
    Expect(0, 917999, '\p{Is_Word_Break=-	OTHER}', "");
    Expect(1, 917999, '\p{^Is_Word_Break=-	OTHER}', "");
    Expect(1, 917999, '\P{Is_Word_Break=-	OTHER}', "");
    Expect(0, 917999, '\P{^Is_Word_Break=-	OTHER}', "");
    Error('\p{Is_WB=:=  XX}');
    Error('\P{Is_WB=:=  XX}');
    Expect(1, 918000, '\p{Is_WB=xx}', "");
    Expect(0, 918000, '\p{^Is_WB=xx}', "");
    Expect(0, 918000, '\P{Is_WB=xx}', "");
    Expect(1, 918000, '\P{^Is_WB=xx}', "");
    Expect(0, 917999, '\p{Is_WB=xx}', "");
    Expect(1, 917999, '\p{^Is_WB=xx}', "");
    Expect(1, 917999, '\P{Is_WB=xx}', "");
    Expect(0, 917999, '\P{^Is_WB=xx}', "");
    Expect(1, 918000, '\p{Is_WB=_xx}', "");
    Expect(0, 918000, '\p{^Is_WB=_xx}', "");
    Expect(0, 918000, '\P{Is_WB=_xx}', "");
    Expect(1, 918000, '\P{^Is_WB=_xx}', "");
    Expect(0, 917999, '\p{Is_WB=_xx}', "");
    Expect(1, 917999, '\p{^Is_WB=_xx}', "");
    Expect(1, 917999, '\P{Is_WB=_xx}', "");
    Expect(0, 917999, '\P{^Is_WB=_xx}', "");
    Error('\p{Word_Break=/a/_	ZWJ}');
    Error('\P{Word_Break=/a/_	ZWJ}');
    Expect(1, 8205, '\p{Word_Break=:\AZWJ\z:}', "");;
    Expect(0, 8206, '\p{Word_Break=:\AZWJ\z:}', "");;
    Expect(1, 8205, '\p{Word_Break=zwj}', "");
    Expect(0, 8205, '\p{^Word_Break=zwj}', "");
    Expect(0, 8205, '\P{Word_Break=zwj}', "");
    Expect(1, 8205, '\P{^Word_Break=zwj}', "");
    Expect(0, 8206, '\p{Word_Break=zwj}', "");
    Expect(1, 8206, '\p{^Word_Break=zwj}', "");
    Expect(1, 8206, '\P{Word_Break=zwj}', "");
    Expect(0, 8206, '\P{^Word_Break=zwj}', "");
    Expect(1, 8205, '\p{Word_Break=:\Azwj\z:}', "");;
    Expect(0, 8206, '\p{Word_Break=:\Azwj\z:}', "");;
    Expect(1, 8205, '\p{Word_Break=  ZWJ}', "");
    Expect(0, 8205, '\p{^Word_Break=  ZWJ}', "");
    Expect(0, 8205, '\P{Word_Break=  ZWJ}', "");
    Expect(1, 8205, '\P{^Word_Break=  ZWJ}', "");
    Expect(0, 8206, '\p{Word_Break=  ZWJ}', "");
    Expect(1, 8206, '\p{^Word_Break=  ZWJ}', "");
    Expect(1, 8206, '\P{Word_Break=  ZWJ}', "");
    Expect(0, 8206, '\P{^Word_Break=  ZWJ}', "");
    Error('\p{WB=:=zwj}');
    Error('\P{WB=:=zwj}');
    Expect(1, 8205, '\p{WB=:\AZWJ\z:}', "");;
    Expect(0, 8206, '\p{WB=:\AZWJ\z:}', "");;
    Expect(1, 8205, '\p{WB:	zwj}', "");
    Expect(0, 8205, '\p{^WB:	zwj}', "");
    Expect(0, 8205, '\P{WB:	zwj}', "");
    Expect(1, 8205, '\P{^WB:	zwj}', "");
    Expect(0, 8206, '\p{WB:	zwj}', "");
    Expect(1, 8206, '\p{^WB:	zwj}', "");
    Expect(1, 8206, '\P{WB:	zwj}', "");
    Expect(0, 8206, '\P{^WB:	zwj}', "");
    Expect(1, 8205, '\p{WB=:\Azwj\z:}', "");;
    Expect(0, 8206, '\p{WB=:\Azwj\z:}', "");;
    Expect(1, 8205, '\p{WB=__ZWJ}', "");
    Expect(0, 8205, '\p{^WB=__ZWJ}', "");
    Expect(0, 8205, '\P{WB=__ZWJ}', "");
    Expect(1, 8205, '\P{^WB=__ZWJ}', "");
    Expect(0, 8206, '\p{WB=__ZWJ}', "");
    Expect(1, 8206, '\p{^WB=__ZWJ}', "");
    Expect(1, 8206, '\P{WB=__ZWJ}', "");
    Expect(0, 8206, '\P{^WB=__ZWJ}', "");
    Error('\p{Is_Word_Break:   -:=ZWJ}');
    Error('\P{Is_Word_Break:   -:=ZWJ}');
    Expect(1, 8205, '\p{Is_Word_Break=zwj}', "");
    Expect(0, 8205, '\p{^Is_Word_Break=zwj}', "");
    Expect(0, 8205, '\P{Is_Word_Break=zwj}', "");
    Expect(1, 8205, '\P{^Is_Word_Break=zwj}', "");
    Expect(0, 8206, '\p{Is_Word_Break=zwj}', "");
    Expect(1, 8206, '\p{^Is_Word_Break=zwj}', "");
    Expect(1, 8206, '\P{Is_Word_Break=zwj}', "");
    Expect(0, 8206, '\P{^Is_Word_Break=zwj}', "");
    Expect(1, 8205, '\p{Is_Word_Break=__zwj}', "");
    Expect(0, 8205, '\p{^Is_Word_Break=__zwj}', "");
    Expect(0, 8205, '\P{Is_Word_Break=__zwj}', "");
    Expect(1, 8205, '\P{^Is_Word_Break=__zwj}', "");
    Expect(0, 8206, '\p{Is_Word_Break=__zwj}', "");
    Expect(1, 8206, '\p{^Is_Word_Break=__zwj}', "");
    Expect(1, 8206, '\P{Is_Word_Break=__zwj}', "");
    Expect(0, 8206, '\P{^Is_Word_Break=__zwj}', "");
    Error('\p{Is_WB= zwj:=}');
    Error('\P{Is_WB= zwj:=}');
    Expect(1, 8205, '\p{Is_WB=zwj}', "");
    Expect(0, 8205, '\p{^Is_WB=zwj}', "");
    Expect(0, 8205, '\P{Is_WB=zwj}', "");
    Expect(1, 8205, '\P{^Is_WB=zwj}', "");
    Expect(0, 8206, '\p{Is_WB=zwj}', "");
    Expect(1, 8206, '\p{^Is_WB=zwj}', "");
    Expect(1, 8206, '\P{Is_WB=zwj}', "");
    Expect(0, 8206, '\P{^Is_WB=zwj}', "");
    Expect(1, 8205, '\p{Is_WB=_	ZWJ}', "");
    Expect(0, 8205, '\p{^Is_WB=_	ZWJ}', "");
    Expect(0, 8205, '\P{Is_WB=_	ZWJ}', "");
    Expect(1, 8205, '\P{^Is_WB=_	ZWJ}', "");
    Expect(0, 8206, '\p{Is_WB=_	ZWJ}', "");
    Expect(1, 8206, '\p{^Is_WB=_	ZWJ}', "");
    Expect(1, 8206, '\P{Is_WB=_	ZWJ}', "");
    Expect(0, 8206, '\P{^Is_WB=_	ZWJ}', "");
    Error('\p{White_Space=/a/		No}');
    Error('\P{White_Space=/a/		No}');
    Expect(1, 12289, '\p{White_Space=:\ANo\z:}', "");;
    Expect(0, 12288, '\p{White_Space=:\ANo\z:}', "");;
    Expect(1, 12289, '\p{White_Space=no}', "");
    Expect(0, 12289, '\p{^White_Space=no}', "");
    Expect(0, 12289, '\P{White_Space=no}', "");
    Expect(1, 12289, '\P{^White_Space=no}', "");
    Expect(0, 12288, '\p{White_Space=no}', "");
    Expect(1, 12288, '\p{^White_Space=no}', "");
    Expect(1, 12288, '\P{White_Space=no}', "");
    Expect(0, 12288, '\P{^White_Space=no}', "");
    Expect(1, 12289, '\p{White_Space=:\Ano\z:}', "");;
    Expect(0, 12288, '\p{White_Space=:\Ano\z:}', "");;
    Expect(1, 12289, '\p{White_Space=_NO}', "");
    Expect(0, 12289, '\p{^White_Space=_NO}', "");
    Expect(0, 12289, '\P{White_Space=_NO}', "");
    Expect(1, 12289, '\P{^White_Space=_NO}', "");
    Expect(0, 12288, '\p{White_Space=_NO}', "");
    Expect(1, 12288, '\p{^White_Space=_NO}', "");
    Expect(1, 12288, '\P{White_Space=_NO}', "");
    Expect(0, 12288, '\P{^White_Space=_NO}', "");
    Error('\p{WSpace=_/a/N}');
    Error('\P{WSpace=_/a/N}');
    Expect(1, 12289, '\p{WSpace=:\AN\z:}', "");;
    Expect(0, 12288, '\p{WSpace=:\AN\z:}', "");;
    Expect(1, 12289, '\p{WSpace=n}', "");
    Expect(0, 12289, '\p{^WSpace=n}', "");
    Expect(0, 12289, '\P{WSpace=n}', "");
    Expect(1, 12289, '\P{^WSpace=n}', "");
    Expect(0, 12288, '\p{WSpace=n}', "");
    Expect(1, 12288, '\p{^WSpace=n}', "");
    Expect(1, 12288, '\P{WSpace=n}', "");
    Expect(0, 12288, '\P{^WSpace=n}', "");
    Expect(1, 12289, '\p{WSpace=:\An\z:}', "");;
    Expect(0, 12288, '\p{WSpace=:\An\z:}', "");;
    Expect(1, 12289, '\p{WSpace=	N}', "");
    Expect(0, 12289, '\p{^WSpace=	N}', "");
    Expect(0, 12289, '\P{WSpace=	N}', "");
    Expect(1, 12289, '\P{^WSpace=	N}', "");
    Expect(0, 12288, '\p{WSpace=	N}', "");
    Expect(1, 12288, '\p{^WSpace=	N}', "");
    Expect(1, 12288, '\P{WSpace=	N}', "");
    Expect(0, 12288, '\P{^WSpace=	N}', "");
    Error('\p{Space: -:=f}');
    Error('\P{Space: -:=f}');
    Expect(1, 12289, '\p{Space=:\AF\z:}', "");;
    Expect(0, 12288, '\p{Space=:\AF\z:}', "");;
    Expect(1, 12289, '\p{Space=f}', "");
    Expect(0, 12289, '\p{^Space=f}', "");
    Expect(0, 12289, '\P{Space=f}', "");
    Expect(1, 12289, '\P{^Space=f}', "");
    Expect(0, 12288, '\p{Space=f}', "");
    Expect(1, 12288, '\p{^Space=f}', "");
    Expect(1, 12288, '\P{Space=f}', "");
    Expect(0, 12288, '\P{^Space=f}', "");
    Expect(1, 12289, '\p{Space=:\Af\z:}', "");;
    Expect(0, 12288, '\p{Space=:\Af\z:}', "");;
    Expect(1, 12289, '\p{Space=-f}', "");
    Expect(0, 12289, '\p{^Space=-f}', "");
    Expect(0, 12289, '\P{Space=-f}', "");
    Expect(1, 12289, '\P{^Space=-f}', "");
    Expect(0, 12288, '\p{Space=-f}', "");
    Expect(1, 12288, '\p{^Space=-f}', "");
    Expect(1, 12288, '\P{Space=-f}', "");
    Expect(0, 12288, '\P{^Space=-f}', "");
    Error('\p{Is_White_Space:/a/false}');
    Error('\P{Is_White_Space:/a/false}');
    Expect(1, 12289, '\p{Is_White_Space=false}', "");
    Expect(0, 12289, '\p{^Is_White_Space=false}', "");
    Expect(0, 12289, '\P{Is_White_Space=false}', "");
    Expect(1, 12289, '\P{^Is_White_Space=false}', "");
    Expect(0, 12288, '\p{Is_White_Space=false}', "");
    Expect(1, 12288, '\p{^Is_White_Space=false}', "");
    Expect(1, 12288, '\P{Is_White_Space=false}', "");
    Expect(0, 12288, '\P{^Is_White_Space=false}', "");
    Expect(1, 12289, '\p{Is_White_Space= False}', "");
    Expect(0, 12289, '\p{^Is_White_Space= False}', "");
    Expect(0, 12289, '\P{Is_White_Space= False}', "");
    Expect(1, 12289, '\P{^Is_White_Space= False}', "");
    Expect(0, 12288, '\p{Is_White_Space= False}', "");
    Expect(1, 12288, '\p{^Is_White_Space= False}', "");
    Expect(1, 12288, '\P{Is_White_Space= False}', "");
    Expect(0, 12288, '\P{^Is_White_Space= False}', "");
    Error('\p{Is_WSpace:	/a/ NO}');
    Error('\P{Is_WSpace:	/a/ NO}');
    Expect(1, 12289, '\p{Is_WSpace=no}', "");
    Expect(0, 12289, '\p{^Is_WSpace=no}', "");
    Expect(0, 12289, '\P{Is_WSpace=no}', "");
    Expect(1, 12289, '\P{^Is_WSpace=no}', "");
    Expect(0, 12288, '\p{Is_WSpace=no}', "");
    Expect(1, 12288, '\p{^Is_WSpace=no}', "");
    Expect(1, 12288, '\P{Is_WSpace=no}', "");
    Expect(0, 12288, '\P{^Is_WSpace=no}', "");
    Expect(1, 12289, '\p{Is_WSpace=	_NO}', "");
    Expect(0, 12289, '\p{^Is_WSpace=	_NO}', "");
    Expect(0, 12289, '\P{Is_WSpace=	_NO}', "");
    Expect(1, 12289, '\P{^Is_WSpace=	_NO}', "");
    Expect(0, 12288, '\p{Is_WSpace=	_NO}', "");
    Expect(1, 12288, '\p{^Is_WSpace=	_NO}', "");
    Expect(1, 12288, '\P{Is_WSpace=	_NO}', "");
    Expect(0, 12288, '\P{^Is_WSpace=	_NO}', "");
    Error('\p{Is_Space=:=_N}');
    Error('\P{Is_Space=:=_N}');
    Expect(1, 12289, '\p{Is_Space=n}', "");
    Expect(0, 12289, '\p{^Is_Space=n}', "");
    Expect(0, 12289, '\P{Is_Space=n}', "");
    Expect(1, 12289, '\P{^Is_Space=n}', "");
    Expect(0, 12288, '\p{Is_Space=n}', "");
    Expect(1, 12288, '\p{^Is_Space=n}', "");
    Expect(1, 12288, '\P{Is_Space=n}', "");
    Expect(0, 12288, '\P{^Is_Space=n}', "");
    Expect(1, 12289, '\p{Is_Space=	 N}', "");
    Expect(0, 12289, '\p{^Is_Space=	 N}', "");
    Expect(0, 12289, '\P{Is_Space=	 N}', "");
    Expect(1, 12289, '\P{^Is_Space=	 N}', "");
    Expect(0, 12288, '\p{Is_Space=	 N}', "");
    Expect(1, 12288, '\p{^Is_Space=	 N}', "");
    Expect(1, 12288, '\P{Is_Space=	 N}', "");
    Expect(0, 12288, '\P{^Is_Space=	 N}', "");
    Error('\p{White_Space=:=  yes}');
    Error('\P{White_Space=:=  yes}');
    Expect(1, 12288, '\p{White_Space=:\AYes\z:}', "");;
    Expect(0, 12289, '\p{White_Space=:\AYes\z:}', "");;
    Expect(1, 12288, '\p{White_Space=yes}', "");
    Expect(0, 12288, '\p{^White_Space=yes}', "");
    Expect(0, 12288, '\P{White_Space=yes}', "");
    Expect(1, 12288, '\P{^White_Space=yes}', "");
    Expect(0, 12289, '\p{White_Space=yes}', "");
    Expect(1, 12289, '\p{^White_Space=yes}', "");
    Expect(1, 12289, '\P{White_Space=yes}', "");
    Expect(0, 12289, '\P{^White_Space=yes}', "");
    Expect(1, 12288, '\p{White_Space=:\Ayes\z:}', "");;
    Expect(0, 12289, '\p{White_Space=:\Ayes\z:}', "");;
    Expect(1, 12288, '\p{White_Space=- YES}', "");
    Expect(0, 12288, '\p{^White_Space=- YES}', "");
    Expect(0, 12288, '\P{White_Space=- YES}', "");
    Expect(1, 12288, '\P{^White_Space=- YES}', "");
    Expect(0, 12289, '\p{White_Space=- YES}', "");
    Expect(1, 12289, '\p{^White_Space=- YES}', "");
    Expect(1, 12289, '\P{White_Space=- YES}', "");
    Expect(0, 12289, '\P{^White_Space=- YES}', "");
    Error('\p{WSpace=-	y/a/}');
    Error('\P{WSpace=-	y/a/}');
    Expect(1, 12288, '\p{WSpace=:\AY\z:}', "");;
    Expect(0, 12289, '\p{WSpace=:\AY\z:}', "");;
    Expect(1, 12288, '\p{WSpace=y}', "");
    Expect(0, 12288, '\p{^WSpace=y}', "");
    Expect(0, 12288, '\P{WSpace=y}', "");
    Expect(1, 12288, '\P{^WSpace=y}', "");
    Expect(0, 12289, '\p{WSpace=y}', "");
    Expect(1, 12289, '\p{^WSpace=y}', "");
    Expect(1, 12289, '\P{WSpace=y}', "");
    Expect(0, 12289, '\P{^WSpace=y}', "");
    Expect(1, 12288, '\p{WSpace=:\Ay\z:}', "");;
    Expect(0, 12289, '\p{WSpace=:\Ay\z:}', "");;
    Expect(1, 12288, '\p{WSpace=		y}', "");
    Expect(0, 12288, '\p{^WSpace=		y}', "");
    Expect(0, 12288, '\P{WSpace=		y}', "");
    Expect(1, 12288, '\P{^WSpace=		y}', "");
    Expect(0, 12289, '\p{WSpace=		y}', "");
    Expect(1, 12289, '\p{^WSpace=		y}', "");
    Expect(1, 12289, '\P{WSpace=		y}', "");
    Expect(0, 12289, '\P{^WSpace=		y}', "");
    Error('\p{Space=_:=t}');
    Error('\P{Space=_:=t}');
    Expect(1, 12288, '\p{Space=:\AT\z:}', "");;
    Expect(0, 12289, '\p{Space=:\AT\z:}', "");;
    Expect(1, 12288, '\p{Space=t}', "");
    Expect(0, 12288, '\p{^Space=t}', "");
    Expect(0, 12288, '\P{Space=t}', "");
    Expect(1, 12288, '\P{^Space=t}', "");
    Expect(0, 12289, '\p{Space=t}', "");
    Expect(1, 12289, '\p{^Space=t}', "");
    Expect(1, 12289, '\P{Space=t}', "");
    Expect(0, 12289, '\P{^Space=t}', "");
    Expect(1, 12288, '\p{Space=:\At\z:}', "");;
    Expect(0, 12289, '\p{Space=:\At\z:}', "");;
    Expect(1, 12288, '\p{Space=-T}', "");
    Expect(0, 12288, '\p{^Space=-T}', "");
    Expect(0, 12288, '\P{Space=-T}', "");
    Expect(1, 12288, '\P{^Space=-T}', "");
    Expect(0, 12289, '\p{Space=-T}', "");
    Expect(1, 12289, '\p{^Space=-T}', "");
    Expect(1, 12289, '\P{Space=-T}', "");
    Expect(0, 12289, '\P{^Space=-T}', "");
    Error('\p{Is_White_Space=:=TRUE}');
    Error('\P{Is_White_Space=:=TRUE}');
    Expect(1, 12288, '\p{Is_White_Space: true}', "");
    Expect(0, 12288, '\p{^Is_White_Space: true}', "");
    Expect(0, 12288, '\P{Is_White_Space: true}', "");
    Expect(1, 12288, '\P{^Is_White_Space: true}', "");
    Expect(0, 12289, '\p{Is_White_Space: true}', "");
    Expect(1, 12289, '\p{^Is_White_Space: true}', "");
    Expect(1, 12289, '\P{Is_White_Space: true}', "");
    Expect(0, 12289, '\P{^Is_White_Space: true}', "");
    Expect(1, 12288, '\p{Is_White_Space=_	True}', "");
    Expect(0, 12288, '\p{^Is_White_Space=_	True}', "");
    Expect(0, 12288, '\P{Is_White_Space=_	True}', "");
    Expect(1, 12288, '\P{^Is_White_Space=_	True}', "");
    Expect(0, 12289, '\p{Is_White_Space=_	True}', "");
    Expect(1, 12289, '\p{^Is_White_Space=_	True}', "");
    Expect(1, 12289, '\P{Is_White_Space=_	True}', "");
    Expect(0, 12289, '\P{^Is_White_Space=_	True}', "");
    Error('\p{Is_WSpace=_/a/yes}');
    Error('\P{Is_WSpace=_/a/yes}');
    Expect(1, 12288, '\p{Is_WSpace=yes}', "");
    Expect(0, 12288, '\p{^Is_WSpace=yes}', "");
    Expect(0, 12288, '\P{Is_WSpace=yes}', "");
    Expect(1, 12288, '\P{^Is_WSpace=yes}', "");
    Expect(0, 12289, '\p{Is_WSpace=yes}', "");
    Expect(1, 12289, '\p{^Is_WSpace=yes}', "");
    Expect(1, 12289, '\P{Is_WSpace=yes}', "");
    Expect(0, 12289, '\P{^Is_WSpace=yes}', "");
    Expect(1, 12288, '\p{Is_WSpace: -YES}', "");
    Expect(0, 12288, '\p{^Is_WSpace: -YES}', "");
    Expect(0, 12288, '\P{Is_WSpace: -YES}', "");
    Expect(1, 12288, '\P{^Is_WSpace: -YES}', "");
    Expect(0, 12289, '\p{Is_WSpace: -YES}', "");
    Expect(1, 12289, '\p{^Is_WSpace: -YES}', "");
    Expect(1, 12289, '\P{Is_WSpace: -YES}', "");
    Expect(0, 12289, '\P{^Is_WSpace: -YES}', "");
    Error('\p{Is_Space: _-Y/a/}');
    Error('\P{Is_Space: _-Y/a/}');
    Expect(1, 12288, '\p{Is_Space=y}', "");
    Expect(0, 12288, '\p{^Is_Space=y}', "");
    Expect(0, 12288, '\P{Is_Space=y}', "");
    Expect(1, 12288, '\P{^Is_Space=y}', "");
    Expect(0, 12289, '\p{Is_Space=y}', "");
    Expect(1, 12289, '\p{^Is_Space=y}', "");
    Expect(1, 12289, '\P{Is_Space=y}', "");
    Expect(0, 12289, '\P{^Is_Space=y}', "");
    Expect(1, 12288, '\p{Is_Space=	_y}', "");
    Expect(0, 12288, '\p{^Is_Space=	_y}', "");
    Expect(0, 12288, '\P{Is_Space=	_y}', "");
    Expect(1, 12288, '\P{^Is_Space=	_y}', "");
    Expect(0, 12289, '\p{Is_Space=	_y}', "");
    Expect(1, 12289, '\p{^Is_Space=	_y}', "");
    Expect(1, 12289, '\P{Is_Space=	_y}', "");
    Expect(0, 12289, '\P{^Is_Space=	_y}', "");
    Error('\p{XID_Continue= NO/a/}');
    Error('\P{XID_Continue= NO/a/}');
    Expect(1, 918000, '\p{XID_Continue=:\ANo\z:}', "");;
    Expect(0, 917999, '\p{XID_Continue=:\ANo\z:}', "");;
    Expect(1, 918000, '\p{XID_Continue=no}', "");
    Expect(0, 918000, '\p{^XID_Continue=no}', "");
    Expect(0, 918000, '\P{XID_Continue=no}', "");
    Expect(1, 918000, '\P{^XID_Continue=no}', "");
    Expect(0, 917999, '\p{XID_Continue=no}', "");
    Expect(1, 917999, '\p{^XID_Continue=no}', "");
    Expect(1, 917999, '\P{XID_Continue=no}', "");
    Expect(0, 917999, '\P{^XID_Continue=no}', "");
    Expect(1, 918000, '\p{XID_Continue=:\Ano\z:}', "");;
    Expect(0, 917999, '\p{XID_Continue=:\Ano\z:}', "");;
    Expect(1, 918000, '\p{XID_Continue=  NO}', "");
    Expect(0, 918000, '\p{^XID_Continue=  NO}', "");
    Expect(0, 918000, '\P{XID_Continue=  NO}', "");
    Expect(1, 918000, '\P{^XID_Continue=  NO}', "");
    Expect(0, 917999, '\p{XID_Continue=  NO}', "");
    Expect(1, 917999, '\p{^XID_Continue=  NO}', "");
    Expect(1, 917999, '\P{XID_Continue=  NO}', "");
    Expect(0, 917999, '\P{^XID_Continue=  NO}', "");
    Error('\p{XIDC=_N:=}');
    Error('\P{XIDC=_N:=}');
    Expect(1, 918000, '\p{XIDC=:\AN\z:}', "");;
    Expect(0, 917999, '\p{XIDC=:\AN\z:}', "");;
    Expect(1, 918000, '\p{XIDC=n}', "");
    Expect(0, 918000, '\p{^XIDC=n}', "");
    Expect(0, 918000, '\P{XIDC=n}', "");
    Expect(1, 918000, '\P{^XIDC=n}', "");
    Expect(0, 917999, '\p{XIDC=n}', "");
    Expect(1, 917999, '\p{^XIDC=n}', "");
    Expect(1, 917999, '\P{XIDC=n}', "");
    Expect(0, 917999, '\P{^XIDC=n}', "");
    Expect(1, 918000, '\p{XIDC=:\An\z:}', "");;
    Expect(0, 917999, '\p{XIDC=:\An\z:}', "");;
    Expect(1, 918000, '\p{XIDC= -N}', "");
    Expect(0, 918000, '\p{^XIDC= -N}', "");
    Expect(0, 918000, '\P{XIDC= -N}', "");
    Expect(1, 918000, '\P{^XIDC= -N}', "");
    Expect(0, 917999, '\p{XIDC= -N}', "");
    Expect(1, 917999, '\p{^XIDC= -N}', "");
    Expect(1, 917999, '\P{XIDC= -N}', "");
    Expect(0, 917999, '\P{^XIDC= -N}', "");
    Error('\p{Is_XID_Continue= /a/F}');
    Error('\P{Is_XID_Continue= /a/F}');
    Expect(1, 918000, '\p{Is_XID_Continue=f}', "");
    Expect(0, 918000, '\p{^Is_XID_Continue=f}', "");
    Expect(0, 918000, '\P{Is_XID_Continue=f}', "");
    Expect(1, 918000, '\P{^Is_XID_Continue=f}', "");
    Expect(0, 917999, '\p{Is_XID_Continue=f}', "");
    Expect(1, 917999, '\p{^Is_XID_Continue=f}', "");
    Expect(1, 917999, '\P{Is_XID_Continue=f}', "");
    Expect(0, 917999, '\P{^Is_XID_Continue=f}', "");
    Expect(1, 918000, '\p{Is_XID_Continue=-	F}', "");
    Expect(0, 918000, '\p{^Is_XID_Continue=-	F}', "");
    Expect(0, 918000, '\P{Is_XID_Continue=-	F}', "");
    Expect(1, 918000, '\P{^Is_XID_Continue=-	F}', "");
    Expect(0, 917999, '\p{Is_XID_Continue=-	F}', "");
    Expect(1, 917999, '\p{^Is_XID_Continue=-	F}', "");
    Expect(1, 917999, '\P{Is_XID_Continue=-	F}', "");
    Expect(0, 917999, '\P{^Is_XID_Continue=-	F}', "");
    Error('\p{Is_XIDC= /a/False}');
    Error('\P{Is_XIDC= /a/False}');
    Expect(1, 918000, '\p{Is_XIDC:	false}', "");
    Expect(0, 918000, '\p{^Is_XIDC:	false}', "");
    Expect(0, 918000, '\P{Is_XIDC:	false}', "");
    Expect(1, 918000, '\P{^Is_XIDC:	false}', "");
    Expect(0, 917999, '\p{Is_XIDC:	false}', "");
    Expect(1, 917999, '\p{^Is_XIDC:	false}', "");
    Expect(1, 917999, '\P{Is_XIDC:	false}', "");
    Expect(0, 917999, '\P{^Is_XIDC:	false}', "");
    Expect(1, 918000, '\p{Is_XIDC=	_False}', "");
    Expect(0, 918000, '\p{^Is_XIDC=	_False}', "");
    Expect(0, 918000, '\P{Is_XIDC=	_False}', "");
    Expect(1, 918000, '\P{^Is_XIDC=	_False}', "");
    Expect(0, 917999, '\p{Is_XIDC=	_False}', "");
    Expect(1, 917999, '\p{^Is_XIDC=	_False}', "");
    Expect(1, 917999, '\P{Is_XIDC=	_False}', "");
    Expect(0, 917999, '\P{^Is_XIDC=	_False}', "");
    Error('\p{XID_Continue:   :=-Yes}');
    Error('\P{XID_Continue:   :=-Yes}');
    Expect(1, 917999, '\p{XID_Continue=:\AYes\z:}', "");;
    Expect(0, 918000, '\p{XID_Continue=:\AYes\z:}', "");;
    Expect(1, 917999, '\p{XID_Continue=yes}', "");
    Expect(0, 917999, '\p{^XID_Continue=yes}', "");
    Expect(0, 917999, '\P{XID_Continue=yes}', "");
    Expect(1, 917999, '\P{^XID_Continue=yes}', "");
    Expect(0, 918000, '\p{XID_Continue=yes}', "");
    Expect(1, 918000, '\p{^XID_Continue=yes}', "");
    Expect(1, 918000, '\P{XID_Continue=yes}', "");
    Expect(0, 918000, '\P{^XID_Continue=yes}', "");
    Expect(1, 917999, '\p{XID_Continue=:\Ayes\z:}', "");;
    Expect(0, 918000, '\p{XID_Continue=:\Ayes\z:}', "");;
    Expect(1, 917999, '\p{XID_Continue=	_yes}', "");
    Expect(0, 917999, '\p{^XID_Continue=	_yes}', "");
    Expect(0, 917999, '\P{XID_Continue=	_yes}', "");
    Expect(1, 917999, '\P{^XID_Continue=	_yes}', "");
    Expect(0, 918000, '\p{XID_Continue=	_yes}', "");
    Expect(1, 918000, '\p{^XID_Continue=	_yes}', "");
    Expect(1, 918000, '\P{XID_Continue=	_yes}', "");
    Expect(0, 918000, '\P{^XID_Continue=	_yes}', "");
    Error('\p{XIDC= _Y:=}');
    Error('\P{XIDC= _Y:=}');
    Expect(1, 917999, '\p{XIDC=:\AY\z:}', "");;
    Expect(0, 918000, '\p{XIDC=:\AY\z:}', "");;
    Expect(1, 917999, '\p{XIDC=y}', "");
    Expect(0, 917999, '\p{^XIDC=y}', "");
    Expect(0, 917999, '\P{XIDC=y}', "");
    Expect(1, 917999, '\P{^XIDC=y}', "");
    Expect(0, 918000, '\p{XIDC=y}', "");
    Expect(1, 918000, '\p{^XIDC=y}', "");
    Expect(1, 918000, '\P{XIDC=y}', "");
    Expect(0, 918000, '\P{^XIDC=y}', "");
    Expect(1, 917999, '\p{XIDC=:\Ay\z:}', "");;
    Expect(0, 918000, '\p{XIDC=:\Ay\z:}', "");;
    Expect(1, 917999, '\p{XIDC=	y}', "");
    Expect(0, 917999, '\p{^XIDC=	y}', "");
    Expect(0, 917999, '\P{XIDC=	y}', "");
    Expect(1, 917999, '\P{^XIDC=	y}', "");
    Expect(0, 918000, '\p{XIDC=	y}', "");
    Expect(1, 918000, '\p{^XIDC=	y}', "");
    Expect(1, 918000, '\P{XIDC=	y}', "");
    Expect(0, 918000, '\P{^XIDC=	y}', "");
    Error('\p{Is_XID_Continue=		t/a/}');
    Error('\P{Is_XID_Continue=		t/a/}');
    Expect(1, 917999, '\p{Is_XID_Continue=t}', "");
    Expect(0, 917999, '\p{^Is_XID_Continue=t}', "");
    Expect(0, 917999, '\P{Is_XID_Continue=t}', "");
    Expect(1, 917999, '\P{^Is_XID_Continue=t}', "");
    Expect(0, 918000, '\p{Is_XID_Continue=t}', "");
    Expect(1, 918000, '\p{^Is_XID_Continue=t}', "");
    Expect(1, 918000, '\P{Is_XID_Continue=t}', "");
    Expect(0, 918000, '\P{^Is_XID_Continue=t}', "");
    Expect(1, 917999, '\p{Is_XID_Continue=	 T}', "");
    Expect(0, 917999, '\p{^Is_XID_Continue=	 T}', "");
    Expect(0, 917999, '\P{Is_XID_Continue=	 T}', "");
    Expect(1, 917999, '\P{^Is_XID_Continue=	 T}', "");
    Expect(0, 918000, '\p{Is_XID_Continue=	 T}', "");
    Expect(1, 918000, '\p{^Is_XID_Continue=	 T}', "");
    Expect(1, 918000, '\P{Is_XID_Continue=	 T}', "");
    Expect(0, 918000, '\P{^Is_XID_Continue=	 T}', "");
    Error('\p{Is_XIDC: :=TRUE}');
    Error('\P{Is_XIDC: :=TRUE}');
    Expect(1, 917999, '\p{Is_XIDC: true}', "");
    Expect(0, 917999, '\p{^Is_XIDC: true}', "");
    Expect(0, 917999, '\P{Is_XIDC: true}', "");
    Expect(1, 917999, '\P{^Is_XIDC: true}', "");
    Expect(0, 918000, '\p{Is_XIDC: true}', "");
    Expect(1, 918000, '\p{^Is_XIDC: true}', "");
    Expect(1, 918000, '\P{Is_XIDC: true}', "");
    Expect(0, 918000, '\P{^Is_XIDC: true}', "");
    Expect(1, 917999, '\p{Is_XIDC= true}', "");
    Expect(0, 917999, '\p{^Is_XIDC= true}', "");
    Expect(0, 917999, '\P{Is_XIDC= true}', "");
    Expect(1, 917999, '\P{^Is_XIDC= true}', "");
    Expect(0, 918000, '\p{Is_XIDC= true}', "");
    Expect(1, 918000, '\p{^Is_XIDC= true}', "");
    Expect(1, 918000, '\P{Is_XIDC= true}', "");
    Expect(0, 918000, '\P{^Is_XIDC= true}', "");
    Error('\p{XID_Start= :=no}');
    Error('\P{XID_Start= :=no}');
    Expect(1, 201547, '\p{XID_Start=:\ANo\z:}', "");;
    Expect(0, 201546, '\p{XID_Start=:\ANo\z:}', "");;
    Expect(1, 201547, '\p{XID_Start:   no}', "");
    Expect(0, 201547, '\p{^XID_Start:   no}', "");
    Expect(0, 201547, '\P{XID_Start:   no}', "");
    Expect(1, 201547, '\P{^XID_Start:   no}', "");
    Expect(0, 201546, '\p{XID_Start:   no}', "");
    Expect(1, 201546, '\p{^XID_Start:   no}', "");
    Expect(1, 201546, '\P{XID_Start:   no}', "");
    Expect(0, 201546, '\P{^XID_Start:   no}', "");
    Expect(1, 201547, '\p{XID_Start=:\Ano\z:}', "");;
    Expect(0, 201546, '\p{XID_Start=:\Ano\z:}', "");;
    Expect(1, 201547, '\p{XID_Start=-_No}', "");
    Expect(0, 201547, '\p{^XID_Start=-_No}', "");
    Expect(0, 201547, '\P{XID_Start=-_No}', "");
    Expect(1, 201547, '\P{^XID_Start=-_No}', "");
    Expect(0, 201546, '\p{XID_Start=-_No}', "");
    Expect(1, 201546, '\p{^XID_Start=-_No}', "");
    Expect(1, 201546, '\P{XID_Start=-_No}', "");
    Expect(0, 201546, '\P{^XID_Start=-_No}', "");
    Error('\p{XIDS: _N/a/}');
    Error('\P{XIDS: _N/a/}');
    Expect(1, 201547, '\p{XIDS=:\AN\z:}', "");;
    Expect(0, 201546, '\p{XIDS=:\AN\z:}', "");;
    Expect(1, 201547, '\p{XIDS=n}', "");
    Expect(0, 201547, '\p{^XIDS=n}', "");
    Expect(0, 201547, '\P{XIDS=n}', "");
    Expect(1, 201547, '\P{^XIDS=n}', "");
    Expect(0, 201546, '\p{XIDS=n}', "");
    Expect(1, 201546, '\p{^XIDS=n}', "");
    Expect(1, 201546, '\P{XIDS=n}', "");
    Expect(0, 201546, '\P{^XIDS=n}', "");
    Expect(1, 201547, '\p{XIDS=:\An\z:}', "");;
    Expect(0, 201546, '\p{XIDS=:\An\z:}', "");;
    Expect(1, 201547, '\p{XIDS= 	n}', "");
    Expect(0, 201547, '\p{^XIDS= 	n}', "");
    Expect(0, 201547, '\P{XIDS= 	n}', "");
    Expect(1, 201547, '\P{^XIDS= 	n}', "");
    Expect(0, 201546, '\p{XIDS= 	n}', "");
    Expect(1, 201546, '\p{^XIDS= 	n}', "");
    Expect(1, 201546, '\P{XIDS= 	n}', "");
    Expect(0, 201546, '\P{^XIDS= 	n}', "");
    Error('\p{Is_XID_Start= F/a/}');
    Error('\P{Is_XID_Start= F/a/}');
    Expect(1, 201547, '\p{Is_XID_Start:f}', "");
    Expect(0, 201547, '\p{^Is_XID_Start:f}', "");
    Expect(0, 201547, '\P{Is_XID_Start:f}', "");
    Expect(1, 201547, '\P{^Is_XID_Start:f}', "");
    Expect(0, 201546, '\p{Is_XID_Start:f}', "");
    Expect(1, 201546, '\p{^Is_XID_Start:f}', "");
    Expect(1, 201546, '\P{Is_XID_Start:f}', "");
    Expect(0, 201546, '\P{^Is_XID_Start:f}', "");
    Expect(1, 201547, '\p{Is_XID_Start=		F}', "");
    Expect(0, 201547, '\p{^Is_XID_Start=		F}', "");
    Expect(0, 201547, '\P{Is_XID_Start=		F}', "");
    Expect(1, 201547, '\P{^Is_XID_Start=		F}', "");
    Expect(0, 201546, '\p{Is_XID_Start=		F}', "");
    Expect(1, 201546, '\p{^Is_XID_Start=		F}', "");
    Expect(1, 201546, '\P{Is_XID_Start=		F}', "");
    Expect(0, 201546, '\P{^Is_XID_Start=		F}', "");
    Error('\p{Is_XIDS=:=-False}');
    Error('\P{Is_XIDS=:=-False}');
    Expect(1, 201547, '\p{Is_XIDS=false}', "");
    Expect(0, 201547, '\p{^Is_XIDS=false}', "");
    Expect(0, 201547, '\P{Is_XIDS=false}', "");
    Expect(1, 201547, '\P{^Is_XIDS=false}', "");
    Expect(0, 201546, '\p{Is_XIDS=false}', "");
    Expect(1, 201546, '\p{^Is_XIDS=false}', "");
    Expect(1, 201546, '\P{Is_XIDS=false}', "");
    Expect(0, 201546, '\P{^Is_XIDS=false}', "");
    Expect(1, 201547, '\p{Is_XIDS=-	FALSE}', "");
    Expect(0, 201547, '\p{^Is_XIDS=-	FALSE}', "");
    Expect(0, 201547, '\P{Is_XIDS=-	FALSE}', "");
    Expect(1, 201547, '\P{^Is_XIDS=-	FALSE}', "");
    Expect(0, 201546, '\p{Is_XIDS=-	FALSE}', "");
    Expect(1, 201546, '\p{^Is_XIDS=-	FALSE}', "");
    Expect(1, 201546, '\P{Is_XIDS=-	FALSE}', "");
    Expect(0, 201546, '\P{^Is_XIDS=-	FALSE}', "");
    Error('\p{XID_Start:  _Yes:=}');
    Error('\P{XID_Start:  _Yes:=}');
    Expect(1, 201546, '\p{XID_Start=:\AYes\z:}', "");;
    Expect(0, 201547, '\p{XID_Start=:\AYes\z:}', "");;
    Expect(1, 201546, '\p{XID_Start=yes}', "");
    Expect(0, 201546, '\p{^XID_Start=yes}', "");
    Expect(0, 201546, '\P{XID_Start=yes}', "");
    Expect(1, 201546, '\P{^XID_Start=yes}', "");
    Expect(0, 201547, '\p{XID_Start=yes}', "");
    Expect(1, 201547, '\p{^XID_Start=yes}', "");
    Expect(1, 201547, '\P{XID_Start=yes}', "");
    Expect(0, 201547, '\P{^XID_Start=yes}', "");
    Expect(1, 201546, '\p{XID_Start=:\Ayes\z:}', "");;
    Expect(0, 201547, '\p{XID_Start=:\Ayes\z:}', "");;
    Expect(1, 201546, '\p{XID_Start=_ YES}', "");
    Expect(0, 201546, '\p{^XID_Start=_ YES}', "");
    Expect(0, 201546, '\P{XID_Start=_ YES}', "");
    Expect(1, 201546, '\P{^XID_Start=_ YES}', "");
    Expect(0, 201547, '\p{XID_Start=_ YES}', "");
    Expect(1, 201547, '\p{^XID_Start=_ YES}', "");
    Expect(1, 201547, '\P{XID_Start=_ YES}', "");
    Expect(0, 201547, '\P{^XID_Start=_ YES}', "");
    Error('\p{XIDS=-_y/a/}');
    Error('\P{XIDS=-_y/a/}');
    Expect(1, 201546, '\p{XIDS=:\AY\z:}', "");;
    Expect(0, 201547, '\p{XIDS=:\AY\z:}', "");;
    Expect(1, 201546, '\p{XIDS=y}', "");
    Expect(0, 201546, '\p{^XIDS=y}', "");
    Expect(0, 201546, '\P{XIDS=y}', "");
    Expect(1, 201546, '\P{^XIDS=y}', "");
    Expect(0, 201547, '\p{XIDS=y}', "");
    Expect(1, 201547, '\p{^XIDS=y}', "");
    Expect(1, 201547, '\P{XIDS=y}', "");
    Expect(0, 201547, '\P{^XIDS=y}', "");
    Expect(1, 201546, '\p{XIDS=:\Ay\z:}', "");;
    Expect(0, 201547, '\p{XIDS=:\Ay\z:}', "");;
    Expect(1, 201546, '\p{XIDS=-_Y}', "");
    Expect(0, 201546, '\p{^XIDS=-_Y}', "");
    Expect(0, 201546, '\P{XIDS=-_Y}', "");
    Expect(1, 201546, '\P{^XIDS=-_Y}', "");
    Expect(0, 201547, '\p{XIDS=-_Y}', "");
    Expect(1, 201547, '\p{^XIDS=-_Y}', "");
    Expect(1, 201547, '\P{XIDS=-_Y}', "");
    Expect(0, 201547, '\P{^XIDS=-_Y}', "");
    Error('\p{Is_XID_Start= /a/T}');
    Error('\P{Is_XID_Start= /a/T}');
    Expect(1, 201546, '\p{Is_XID_Start=t}', "");
    Expect(0, 201546, '\p{^Is_XID_Start=t}', "");
    Expect(0, 201546, '\P{Is_XID_Start=t}', "");
    Expect(1, 201546, '\P{^Is_XID_Start=t}', "");
    Expect(0, 201547, '\p{Is_XID_Start=t}', "");
    Expect(1, 201547, '\p{^Is_XID_Start=t}', "");
    Expect(1, 201547, '\P{Is_XID_Start=t}', "");
    Expect(0, 201547, '\P{^Is_XID_Start=t}', "");
    Expect(1, 201546, '\p{Is_XID_Start=-T}', "");
    Expect(0, 201546, '\p{^Is_XID_Start=-T}', "");
    Expect(0, 201546, '\P{Is_XID_Start=-T}', "");
    Expect(1, 201546, '\P{^Is_XID_Start=-T}', "");
    Expect(0, 201547, '\p{Is_XID_Start=-T}', "");
    Expect(1, 201547, '\p{^Is_XID_Start=-T}', "");
    Expect(1, 201547, '\P{Is_XID_Start=-T}', "");
    Expect(0, 201547, '\P{^Is_XID_Start=-T}', "");
    Error('\p{Is_XIDS=:=- TRUE}');
    Error('\P{Is_XIDS=:=- TRUE}');
    Expect(1, 201546, '\p{Is_XIDS=true}', "");
    Expect(0, 201546, '\p{^Is_XIDS=true}', "");
    Expect(0, 201546, '\P{Is_XIDS=true}', "");
    Expect(1, 201546, '\P{^Is_XIDS=true}', "");
    Expect(0, 201547, '\p{Is_XIDS=true}', "");
    Expect(1, 201547, '\p{^Is_XIDS=true}', "");
    Expect(1, 201547, '\P{Is_XIDS=true}', "");
    Expect(0, 201547, '\P{^Is_XIDS=true}', "");
    Expect(1, 201546, '\p{Is_XIDS=--True}', "");
    Expect(0, 201546, '\p{^Is_XIDS=--True}', "");
    Expect(0, 201546, '\P{Is_XIDS=--True}', "");
    Expect(1, 201546, '\P{^Is_XIDS=--True}', "");
    Expect(0, 201547, '\p{Is_XIDS=--True}', "");
    Expect(1, 201547, '\p{^Is_XIDS=--True}', "");
    Expect(1, 201547, '\P{Is_XIDS=--True}', "");
    Expect(0, 201547, '\P{^Is_XIDS=--True}', "");
    Error('\p{Expands_On_NFC=No}');
    Error('\P{Expands_On_NFC=No}');
    Error('\p{XO_NFC=N}');
    Error('\P{XO_NFC=N}');
    Error('\p{Is_Expands_On_NFC=F}');
    Error('\P{Is_Expands_On_NFC=F}');
    Error('\p{Is_XO_NFC=False}');
    Error('\P{Is_XO_NFC=False}');
    Error('\p{Expands_On_NFC=Yes}');
    Error('\P{Expands_On_NFC=Yes}');
    Error('\p{XO_NFC=Y}');
    Error('\P{XO_NFC=Y}');
    Error('\p{Is_Expands_On_NFC=T}');
    Error('\P{Is_Expands_On_NFC=T}');
    Error('\p{Is_XO_NFC=True}');
    Error('\P{Is_XO_NFC=True}');
    Error('\p{Expands_On_NFD=No}');
    Error('\P{Expands_On_NFD=No}');
    Error('\p{XO_NFD=N}');
    Error('\P{XO_NFD=N}');
    Error('\p{Is_Expands_On_NFD=F}');
    Error('\P{Is_Expands_On_NFD=F}');
    Error('\p{Is_XO_NFD:	False}');
    Error('\P{Is_XO_NFD:	False}');
    Error('\p{Expands_On_NFD=Yes}');
    Error('\P{Expands_On_NFD=Yes}');
    Error('\p{XO_NFD=Y}');
    Error('\P{XO_NFD=Y}');
    Error('\p{Is_Expands_On_NFD=T}');
    Error('\P{Is_Expands_On_NFD=T}');
    Error('\p{Is_XO_NFD=True}');
    Error('\P{Is_XO_NFD=True}');
    Error('\p{Expands_On_NFKC=No}');
    Error('\P{Expands_On_NFKC=No}');
    Error('\p{XO_NFKC=N}');
    Error('\P{XO_NFKC=N}');
    Error('\p{Is_Expands_On_NFKC=F}');
    Error('\P{Is_Expands_On_NFKC=F}');
    Error('\p{Is_XO_NFKC=False}');
    Error('\P{Is_XO_NFKC=False}');
    Error('\p{Expands_On_NFKC=Yes}');
    Error('\P{Expands_On_NFKC=Yes}');
    Error('\p{XO_NFKC=Y}');
    Error('\P{XO_NFKC=Y}');
    Error('\p{Is_Expands_On_NFKC=T}');
    Error('\P{Is_Expands_On_NFKC=T}');
    Error('\p{Is_XO_NFKC:True}');
    Error('\P{Is_XO_NFKC:True}');
    Error('\p{Expands_On_NFKD=No}');
    Error('\P{Expands_On_NFKD=No}');
    Error('\p{XO_NFKD=N}');
    Error('\P{XO_NFKD=N}');
    Error('\p{Is_Expands_On_NFKD=F}');
    Error('\P{Is_Expands_On_NFKD=F}');
    Error('\p{Is_XO_NFKD=False}');
    Error('\P{Is_XO_NFKD=False}');
    Error('\p{Expands_On_NFKD=Yes}');
    Error('\P{Expands_On_NFKD=Yes}');
    Error('\p{XO_NFKD=Y}');
    Error('\P{XO_NFKD=Y}');
    Error('\p{Is_Expands_On_NFKD=T}');
    Error('\P{Is_Expands_On_NFKD=T}');
    Error('\p{Is_XO_NFKD=True}');
    Error('\P{Is_XO_NFKD=True}');
}
if (!$::TESTCHUNK or $::TESTCHUNK == 5) {
    Test_GCB('÷ 0020 ÷ 0020 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 0020 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 000D ÷	#  ÷ [0.2] SPACE (Other) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 000D ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 000A ÷	#  ÷ [0.2] SPACE (Other) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 000A ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 0001 ÷	#  ÷ [0.2] SPACE (Other) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 0001 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0020 × 034F ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 × 034F ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 1F1E6 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 0600 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 0600 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0903 ÷	#  ÷ [0.2] SPACE (Other) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 × 0903 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 1100 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 1100 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 1160 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 1160 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 11A8 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ AC00 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ AC00 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ AC01 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ AC01 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 231A ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 231A ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0300 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 × 0300 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0020 × 200D ÷	#  ÷ [0.2] SPACE (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 × 200D ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0020 ÷ 0378 ÷	#  ÷ [0.2] SPACE (Other) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0020 × 0308 ÷ 0378 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0020 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 0020 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 000D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 000D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 000D × 000A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) × [3.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 000A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0001 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 0001 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 034F ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 × 034F ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 1F1E6 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0600 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 0600 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0903 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 × 0903 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 1100 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 1100 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 1160 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 1160 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 11A8 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 11A8 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ AC00 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ AC00 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ AC01 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ AC01 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 231A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 231A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0300 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 × 0300 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 200D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 × 200D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0378 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 000D ÷ 0308 ÷ 0378 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0020 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 0020 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 000D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 000D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 000A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 000A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0001 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 0001 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 034F ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 × 034F ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 1F1E6 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0600 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 0600 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0903 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 × 0903 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 1100 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 1100 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 1160 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 1160 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 11A8 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 11A8 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ AC00 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ AC00 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ AC01 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ AC01 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 231A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 231A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0300 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 × 0300 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 200D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 × 200D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0378 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 000A ÷ 0308 ÷ 0378 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0020 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 0020 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 000D ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 000D ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 000A ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 000A ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0001 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 0001 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 034F ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 × 034F ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 1F1E6 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0600 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 0600 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0903 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 × 0903 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 1100 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 1100 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 1160 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 1160 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 11A8 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 11A8 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ AC00 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ AC00 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ AC01 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ AC01 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 231A ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 231A ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0300 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 × 0300 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 200D ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 × 200D ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0378 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0001 ÷ 0308 ÷ 0378 ÷	#  ÷ [0.2] <START OF HEADING> (Control) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 0020 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 0020 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 000D ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 000D ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 000A ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 000A ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 0001 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 0001 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 034F × 034F ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 × 034F ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 1F1E6 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 0600 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 0600 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 034F × 0903 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 × 0903 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 1100 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 1100 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 1160 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 1160 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 11A8 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 11A8 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ AC00 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ AC00 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ AC01 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ AC01 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 231A ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 231A ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 034F × 0300 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 × 0300 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 034F × 200D ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 × 200D ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 034F ÷ 0378 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 034F × 0308 ÷ 0378 ÷	#  ÷ [0.2] COMBINING GRAPHEME JOINER (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 0020 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 0020 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 000D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 000D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 000A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 000A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 0001 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 0001 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 034F ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 × 034F ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 1F1E6 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [12.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 0600 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 0600 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0903 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 × 0903 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 1100 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 1100 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 1160 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 1160 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 11A8 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ AC00 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ AC00 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ AC01 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ AC01 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 231A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 231A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0300 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 × 0300 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 200D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 × 200D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 ÷ 0378 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 0308 ÷ 0378 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0020 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 0020 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0600 ÷ 000D ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 000D ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0600 ÷ 000A ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 000A ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0600 ÷ 0001 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 0001 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0600 × 034F ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 × 034F ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0600 × 1F1E6 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0600 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 0600 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0903 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 × 0903 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0600 × 1100 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 1100 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0600 × 1160 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 1160 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0600 × 11A8 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0600 × AC00 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ AC00 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0600 × AC01 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ AC01 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0600 × 231A ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 231A ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0300 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 × 0300 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0600 × 200D ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 × 200D ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0378 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.2] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0600 × 0308 ÷ 0378 ÷	#  ÷ [0.2] ARABIC NUMBER SIGN (Prepend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 0020 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 0020 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 000D ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 000D ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 000A ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 000A ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 0001 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 0001 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0903 × 034F ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 × 034F ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 1F1E6 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 0600 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 0600 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0903 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 × 0903 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 1100 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 1100 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 1160 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 1160 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 11A8 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ AC00 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ AC00 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ AC01 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ AC01 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 231A ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 231A ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0300 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 × 0300 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0903 × 200D ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 × 200D ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0903 ÷ 0378 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0903 × 0308 ÷ 0378 ÷	#  ÷ [0.2] DEVANAGARI SIGN VISARGA (SpacingMark) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 0020 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 0020 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 000D ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 000D ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 000A ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 000A ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 0001 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 0001 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 1100 × 034F ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 × 034F ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 0600 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 0600 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0903 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 × 0903 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 1100 × 1100 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [6.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 1100 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 1100 × 1160 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [6.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 1160 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 11A8 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 1100 × AC00 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [6.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ AC00 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 1100 × AC01 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [6.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ AC01 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 231A ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 231A ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0300 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 × 0300 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1100 × 200D ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 × 200D ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1100 ÷ 0378 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 1100 × 0308 ÷ 0378 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 0020 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 0020 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 000D ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 000D ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 000A ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 000A ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 0001 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 0001 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 1160 × 034F ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 × 034F ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 0600 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 0600 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0903 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 × 0903 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 1100 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 1100 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 1160 × 1160 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [7.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 1160 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 1160 × 11A8 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [7.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ AC00 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ AC00 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ AC01 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ AC01 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 231A ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 231A ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0300 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 × 0300 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1160 × 200D ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 × 200D ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 1160 ÷ 0378 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 1160 × 0308 ÷ 0378 ÷	#  ÷ [0.2] HANGUL JUNGSEONG FILLER (V) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 0020 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 0020 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 000D ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 000D ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 000A ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 000A ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 0001 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 0001 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 034F ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 × 034F ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 0600 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 0600 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0903 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 × 0903 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 1100 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 1100 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 1160 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 1160 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 11A8 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [8.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ AC00 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ AC00 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ AC01 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ AC01 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 231A ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 231A ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0300 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 × 0300 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 200D ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 × 200D ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 11A8 ÷ 0378 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 11A8 × 0308 ÷ 0378 ÷	#  ÷ [0.2] HANGUL JONGSEONG KIYEOK (T) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 0020 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 0020 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 000D ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 000D ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 000A ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 000A ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 0001 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 0001 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ AC00 × 034F ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 × 034F ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 0600 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 0600 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0903 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 × 0903 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 1100 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 1100 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ AC00 × 1160 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [7.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 1160 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ AC00 × 11A8 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [7.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ AC00 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ AC00 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ AC01 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ AC01 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 231A ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 231A ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0300 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 × 0300 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC00 × 200D ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 × 200D ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC00 ÷ 0378 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ AC00 × 0308 ÷ 0378 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 0020 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 0020 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 000D ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 000D ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 000A ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 000A ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 0001 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 0001 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ AC01 × 034F ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 × 034F ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 0600 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 0600 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0903 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 × 0903 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 1100 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 1100 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 1160 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 1160 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ AC01 × 11A8 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [8.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ AC00 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ AC00 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ AC01 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ AC01 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 231A ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 231A ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0300 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 × 0300 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC01 × 200D ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 × 200D ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ AC01 ÷ 0378 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ AC01 × 0308 ÷ 0378 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 0020 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 0020 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 000D ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 000D ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 000A ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 000A ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 0001 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 0001 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 231A × 034F ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 × 034F ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 1F1E6 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 0600 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 0600 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 231A × 0903 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 × 0903 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 1100 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 1100 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 1160 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 1160 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 11A8 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 11A8 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ AC00 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ AC00 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ AC01 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ AC01 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 231A ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 231A ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 231A × 0300 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 × 0300 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 231A × 200D ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 × 200D ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 231A ÷ 0378 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 231A × 0308 ÷ 0378 ÷	#  ÷ [0.2] WATCH (ExtPict) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 0020 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 0020 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 000D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 000D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 000A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 000A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 0001 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 0001 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0300 × 034F ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 × 034F ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 1F1E6 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 0600 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 0600 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0903 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 × 0903 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 1100 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 1100 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 1160 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 1160 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 11A8 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ AC00 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ AC00 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ AC01 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ AC01 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 231A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 231A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0300 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 × 0300 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0300 × 200D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 × 200D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0300 ÷ 0378 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0300 × 0308 ÷ 0378 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 0020 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 0020 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 000D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 000D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 000A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 000A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 0001 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 0001 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 200D × 034F ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 × 034F ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 1F1E6 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 0600 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 0600 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 200D × 0903 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 × 0903 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 1100 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 1100 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 1160 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 1160 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 11A8 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 11A8 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ AC00 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ AC00 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ AC01 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ AC01 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 231A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 231A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 200D × 0300 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 × 0300 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 200D × 200D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 × 200D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 200D ÷ 0378 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 200D × 0308 ÷ 0378 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 0020 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 0020 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 000D ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 000D ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 000A ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 000A ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 0001 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 0001 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [5.0] <START OF HEADING> (Control) ÷ [0.3]');
    Test_GCB('÷ 0378 × 034F ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 × 034F ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAPHEME JOINER (Extend) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 1F1E6 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 0600 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 0600 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0903 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 × 0903 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 1100 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 1100 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 1160 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 1160 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JUNGSEONG FILLER (V) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 11A8 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 11A8 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL JONGSEONG KIYEOK (T) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ AC00 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ AC00 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GA (LV) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ AC01 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ AC01 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] HANGUL SYLLABLE GAG (LVT) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 231A ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 231A ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0300 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 × 0300 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] COMBINING GRAVE ACCENT (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0378 × 200D ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 × 200D ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0378 ÷ 0378 ÷	#  ÷ [0.2] <reserved-0378> (Other) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 0378 × 0308 ÷ 0378 ÷	#  ÷ [0.2] <reserved-0378> (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] <reserved-0378> (Other) ÷ [0.3]');
    Test_GCB('÷ 000D × 000A ÷ 0061 ÷ 000A ÷ 0308 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) × [3.0] <LINE FEED (LF)> (LF) ÷ [4.0] LATIN SMALL LETTER A (Other) ÷ [5.0] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0061 × 0308 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0020 × 200D ÷ 0646 ÷	#  ÷ [0.2] SPACE (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] ARABIC LETTER NOON (Other) ÷ [0.3]');
    Test_GCB('÷ 0646 × 200D ÷ 0020 ÷	#  ÷ [0.2] ARABIC LETTER NOON (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] SPACE (Other) ÷ [0.3]');
    Test_GCB('÷ 1100 × 1100 ÷	#  ÷ [0.2] HANGUL CHOSEONG KIYEOK (L) × [6.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ AC00 × 11A8 ÷ 1100 ÷	#  ÷ [0.2] HANGUL SYLLABLE GA (LV) × [7.0] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ AC01 × 11A8 ÷ 1100 ÷	#  ÷ [0.2] HANGUL SYLLABLE GAG (LVT) × [8.0] HANGUL JONGSEONG KIYEOK (T) ÷ [999.0] HANGUL CHOSEONG KIYEOK (L) ÷ [0.3]');
    Test_GCB('÷ 1F1E6 × 1F1E7 ÷ 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [12.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 ÷ 1F1E6 × 1F1E7 ÷ 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 ÷ 1F1E6 × 1F1E7 × 200D ÷ 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 ÷ 1F1E6 × 200D ÷ 1F1E7 × 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) × [13.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 ÷ 1F1E6 × 1F1E7 ÷ 1F1E8 × 1F1E9 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) × [13.0] REGIONAL INDICATOR SYMBOL LETTER D (RI) ÷ [999.0] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [0.3]');
    Test_GCB('÷ 0061 × 0308 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) ÷ [999.0] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 × 0903 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.1] DEVANAGARI SIGN VISARGA (SpacingMark) ÷ [999.0] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 ÷ 0600 × 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) ÷ [999.0] ARABIC NUMBER SIGN (Prepend) × [9.2] LATIN SMALL LETTER B (Other) ÷ [0.3]');
    Test_GCB('÷ 1F476 × 1F3FF ÷ 1F476 ÷	#  ÷ [0.2] BABY (ExtPict) × [9.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend) ÷ [999.0] BABY (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0061 × 1F3FF ÷ 1F476 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend) ÷ [999.0] BABY (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0061 × 1F3FF ÷ 1F476 × 200D × 1F6D1 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend) ÷ [999.0] BABY (ExtPict) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [11.0] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 1F476 × 1F3FF × 0308 × 200D × 1F476 × 1F3FF ÷	#  ÷ [0.2] BABY (ExtPict) × [9.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend) × [9.0] COMBINING DIAERESIS (Extend_ExtCccZwj) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [11.0] BABY (ExtPict) × [9.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend) ÷ [0.3]');
    Test_GCB('÷ 1F6D1 × 200D × 1F6D1 ÷	#  ÷ [0.2] OCTAGONAL SIGN (ExtPict) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [11.0] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 0061 × 200D ÷ 1F6D1 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_GCB('÷ 2701 × 200D × 2701 ÷	#  ÷ [0.2] UPPER BLADE SCISSORS (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) × [11.0] UPPER BLADE SCISSORS (Other) ÷ [0.3]');
    Test_GCB('÷ 0061 × 200D ÷ 2701 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Other) × [9.0] ZERO WIDTH JOINER (ZWJ_ExtCccZwj) ÷ [999.0] UPPER BLADE SCISSORS (Other) ÷ [0.3]');
    Test_SB('÷ 0001 × 0001 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0001 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0001 × 000D ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 000D ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0001 × 000A ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 000A ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0001 × 0085 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0085 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0001 × 0009 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0009 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0001 × 0061 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0061 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0001 × 0041 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0041 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0001 × 01BB ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 01BB ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0001 × 0030 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0030 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0001 × 002E ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 002E ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0001 × 0021 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0021 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0001 × 0022 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0022 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0001 × 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0001 × 00AD ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 00AD ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0001 × 0300 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0001 × 0308 × 0300 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0001 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0001 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 000D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 000D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 000D × 000A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) × [3.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 000A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0085 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0085 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0009 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0009 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0061 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0061 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0041 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0041 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 01BB ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 01BB ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0030 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0030 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 002E ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 002E ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0021 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0021 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0022 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0022 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 00AD ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 00AD ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0300 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 000D ÷ 0308 × 0300 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0001 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0001 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 000D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 000D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 000A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 000A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0085 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0085 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0009 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0009 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0061 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0061 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0041 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0041 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 01BB ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 01BB ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0030 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0030 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 002E ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 002E ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0021 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0021 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0022 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0022 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 00AD ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 00AD ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0300 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 000A ÷ 0308 × 0300 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0001 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0001 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 000D ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 000D ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 000A ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 000A ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0085 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0085 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0009 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0009 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0061 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0061 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0041 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0041 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 01BB ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 01BB ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0030 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0030 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 002E ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 002E ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0021 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0021 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0022 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0022 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 002C ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 002C ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 00AD ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 00AD ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0300 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0085 ÷ 0308 × 0300 ÷	#  ÷ [0.2] <NEXT LINE (NEL)> (Sep) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0009 × 0001 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0001 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0009 × 000D ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 000D ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0009 × 000A ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 000A ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0009 × 0085 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0085 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0009 × 0009 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0009 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0009 × 0061 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0061 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0009 × 0041 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0041 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0009 × 01BB ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 01BB ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0009 × 0030 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0030 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0009 × 002E ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 002E ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0009 × 0021 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0021 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0009 × 0022 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0022 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0009 × 002C ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 002C ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0009 × 00AD ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 00AD ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0009 × 0300 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0009 × 0308 × 0300 ÷	#  ÷ [0.2] <CHARACTER TABULATION> (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0061 × 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0061 × 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0061 × 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0061 × 0085 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0085 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0061 × 0009 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0009 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0061 × 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0061 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0061 × 01BB ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 01BB ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0061 × 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0061 × 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0061 × 0021 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0021 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0061 × 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0061 × 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0061 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0061 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0041 × 0001 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0001 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0041 × 000D ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 000D ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0041 × 000A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 000A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0041 × 0085 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0085 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0041 × 0009 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0009 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0041 × 0061 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0061 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0041 × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0041 × 01BB ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 01BB ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0041 × 0030 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0030 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0041 × 002E ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 002E ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0041 × 0021 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0021 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0041 × 0022 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0022 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0041 × 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0041 × 00AD ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 00AD ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0041 × 0300 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0041 × 0308 × 0300 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 01BB × 0001 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0001 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 01BB × 000D ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 000D ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 01BB × 000A ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 000A ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 01BB × 0085 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0085 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 01BB × 0009 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0009 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 01BB × 0061 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0061 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 01BB × 0041 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0041 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 01BB × 01BB ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 01BB ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 01BB × 0030 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0030 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 01BB × 002E ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 002E ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 01BB × 0021 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0021 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 01BB × 0022 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0022 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 01BB × 002C ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 002C ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 01BB × 00AD ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 00AD ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 01BB × 0300 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 01BB × 0308 × 0300 ÷	#  ÷ [0.2] LATIN LETTER TWO WITH STROKE (OLetter) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0030 × 0001 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0001 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0030 × 000D ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 000D ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0030 × 000A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 000A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0030 × 0085 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0085 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0030 × 0009 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0009 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0030 × 0061 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0061 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0030 × 0041 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0041 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0030 × 01BB ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 01BB ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0030 × 0030 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0030 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0030 × 002E ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 002E ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0030 × 0021 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0021 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0030 × 0022 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0022 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0030 × 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0030 × 00AD ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 00AD ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0030 × 0300 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0030 × 0308 × 0300 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 002E ÷ 0001 ÷	#  ÷ [0.2] FULL STOP (ATerm) ÷ [11.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 ÷ 0001 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 002E × 000D ÷	#  ÷ [0.2] FULL STOP (ATerm) × [9.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 000D ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 002E × 000A ÷	#  ÷ [0.2] FULL STOP (ATerm) × [9.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 000A ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 002E × 0085 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [9.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 0085 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 002E × 0009 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [9.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 0009 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 002E × 0061 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [8.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 0061 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 002E ÷ 0041 ÷	#  ÷ [0.2] FULL STOP (ATerm) ÷ [11.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 ÷ 0041 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 002E ÷ 01BB ÷	#  ÷ [0.2] FULL STOP (ATerm) ÷ [11.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 ÷ 01BB ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 002E × 0030 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [6.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 0030 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [6.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 002E × 002E ÷	#  ÷ [0.2] FULL STOP (ATerm) × [8.1] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 002E ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.1] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 002E × 0021 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [8.1] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 0021 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.1] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 002E × 0022 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [9.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 0022 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 002E × 002C ÷	#  ÷ [0.2] FULL STOP (ATerm) × [8.1] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 002C ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.1] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 002E × 00AD ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 00AD ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 002E × 0300 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 002E × 0308 × 0300 ÷	#  ÷ [0.2] FULL STOP (ATerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0021 ÷ 0001 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) ÷ [11.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 ÷ 0001 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0021 × 000D ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [9.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 000D ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0021 × 000A ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [9.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 000A ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0021 × 0085 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [9.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 0085 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0021 × 0009 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [9.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 0009 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0021 ÷ 0061 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) ÷ [11.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 ÷ 0061 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0021 ÷ 0041 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) ÷ [11.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 ÷ 0041 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0021 ÷ 01BB ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) ÷ [11.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 ÷ 01BB ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0021 ÷ 0030 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) ÷ [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 ÷ 0030 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0021 × 002E ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [8.1] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 002E ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.1] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0021 × 0021 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [8.1] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 0021 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.1] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0021 × 0022 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [9.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 0022 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [9.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0021 × 002C ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [8.1] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 002C ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.1] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0021 × 00AD ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 00AD ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0021 × 0300 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0021 × 0308 × 0300 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0022 × 0001 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0001 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0022 × 000D ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 000D ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0022 × 000A ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 000A ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0022 × 0085 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0085 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0022 × 0009 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0009 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0022 × 0061 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0061 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0022 × 0041 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0041 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0022 × 01BB ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 01BB ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0022 × 0030 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0030 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0022 × 002E ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 002E ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0022 × 0021 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0021 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0022 × 0022 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0022 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0022 × 002C ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 002C ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0022 × 00AD ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 00AD ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0022 × 0300 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0022 × 0308 × 0300 ÷	#  ÷ [0.2] QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 002C × 0001 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0001 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 002C × 000D ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 000D ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 002C × 000A ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 000A ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 002C × 0085 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0085 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 002C × 0009 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0009 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 002C × 0061 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0061 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 002C × 0041 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0041 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 002C × 01BB ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 01BB ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 002C × 0030 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0030 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 002C × 002E ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 002E ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 002C × 0021 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0021 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 002C × 0022 ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0022 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 002C × 002C ÷	#  ÷ [0.2] COMMA (SContinue) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 002C ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 002C × 00AD ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 00AD ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 002C × 0300 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 002C × 0308 × 0300 ÷	#  ÷ [0.2] COMMA (SContinue) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 00AD × 0001 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0001 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 00AD × 000D ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 000D ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 00AD × 000A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 000A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 00AD × 0085 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0085 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 00AD × 0009 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0009 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 00AD × 0061 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0061 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 00AD × 0041 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0041 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 00AD × 01BB ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 01BB ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 00AD × 0030 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0030 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 00AD × 002E ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 002E ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 00AD × 0021 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0021 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 00AD × 0022 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0022 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 00AD × 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 00AD × 00AD ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 00AD ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 00AD × 0300 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 00AD × 0308 × 0300 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0300 × 0001 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0001 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_SB('÷ 0300 × 000D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 000D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_SB('÷ 0300 × 000A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 000A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_SB('÷ 0300 × 0085 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0085 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <NEXT LINE (NEL)> (Sep) ÷ [0.3]');
    Test_SB('÷ 0300 × 0009 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0009 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] <CHARACTER TABULATION> (Sp) ÷ [0.3]');
    Test_SB('÷ 0300 × 0061 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0061 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN SMALL LETTER A (Lower) ÷ [0.3]');
    Test_SB('÷ 0300 × 0041 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0041 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER A (Upper) ÷ [0.3]');
    Test_SB('÷ 0300 × 01BB ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 01BB ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN LETTER TWO WITH STROKE (OLetter) ÷ [0.3]');
    Test_SB('÷ 0300 × 0030 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0030 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_SB('÷ 0300 × 002E ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 002E ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0300 × 0021 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0021 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] EXCLAMATION MARK (STerm) ÷ [0.3]');
    Test_SB('÷ 0300 × 0022 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0022 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] QUOTATION MARK (Close) ÷ [0.3]');
    Test_SB('÷ 0300 × 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [998.0] COMMA (SContinue) ÷ [0.3]');
    Test_SB('÷ 0300 × 00AD ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 00AD ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_SB('÷ 0300 × 0300 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0300 × 0308 × 0300 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 000D × 000A ÷ 0061 × 000A ÷ 0308 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) × [3.0] <LINE FEED (LF)> (LF) ÷ [4.0] LATIN SMALL LETTER A (Lower) × [998.0] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0061 × 0308 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (Lower) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [0.3]');
    Test_SB('÷ 0020 × 200D × 0646 ÷	#  ÷ [0.2] SPACE (Sp) × [5.0] ZERO WIDTH JOINER (Extend_FE) × [998.0] ARABIC LETTER NOON (OLetter) ÷ [0.3]');
    Test_SB('÷ 0646 × 200D × 0020 ÷	#  ÷ [0.2] ARABIC LETTER NOON (OLetter) × [5.0] ZERO WIDTH JOINER (Extend_FE) × [998.0] SPACE (Sp) ÷ [0.3]');
    Test_SB('÷ 0028 × 0022 × 0047 × 006F × 002E × 0022 × 0029 × 0020 ÷ 0028 × 0048 × 0065 × 0020 × 0064 × 0069 × 0064 × 002E × 0029 ÷	#  ÷ [0.2] LEFT PARENTHESIS (Close) × [998.0] QUOTATION MARK (Close) × [998.0] LATIN CAPITAL LETTER G (Upper) × [998.0] LATIN SMALL LETTER O (Lower) × [998.0] FULL STOP (ATerm) × [9.0] QUOTATION MARK (Close) × [9.0] RIGHT PARENTHESIS (Close) × [9.0] SPACE (Sp) ÷ [11.0] LEFT PARENTHESIS (Close) × [998.0] LATIN CAPITAL LETTER H (Upper) × [998.0] LATIN SMALL LETTER E (Lower) × [998.0] SPACE (Sp) × [998.0] LATIN SMALL LETTER D (Lower) × [998.0] LATIN SMALL LETTER I (Lower) × [998.0] LATIN SMALL LETTER D (Lower) × [998.0] FULL STOP (ATerm) × [9.0] RIGHT PARENTHESIS (Close) ÷ [0.3]');
    Test_SB('÷ 0028 × 201C × 0047 × 006F × 003F × 201D × 0029 × 0020 ÷ 0028 × 0048 × 0065 × 0020 × 0064 × 0069 × 0064 × 002E × 0029 ÷	#  ÷ [0.2] LEFT PARENTHESIS (Close) × [998.0] LEFT DOUBLE QUOTATION MARK (Close) × [998.0] LATIN CAPITAL LETTER G (Upper) × [998.0] LATIN SMALL LETTER O (Lower) × [998.0] QUESTION MARK (STerm) × [9.0] RIGHT DOUBLE QUOTATION MARK (Close) × [9.0] RIGHT PARENTHESIS (Close) × [9.0] SPACE (Sp) ÷ [11.0] LEFT PARENTHESIS (Close) × [998.0] LATIN CAPITAL LETTER H (Upper) × [998.0] LATIN SMALL LETTER E (Lower) × [998.0] SPACE (Sp) × [998.0] LATIN SMALL LETTER D (Lower) × [998.0] LATIN SMALL LETTER I (Lower) × [998.0] LATIN SMALL LETTER D (Lower) × [998.0] FULL STOP (ATerm) × [9.0] RIGHT PARENTHESIS (Close) ÷ [0.3]');
    Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 002E × 0020 × 0069 × 0073 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER U (Upper) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER S (Upper) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] FULL STOP (ATerm) × [8.0] SPACE (Sp) × [8.0] LATIN SMALL LETTER I (Lower) × [998.0] LATIN SMALL LETTER S (Lower) ÷ [0.3]');
    Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 003F × 0020 ÷ 0048 × 0065 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER U (Upper) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER S (Upper) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] QUESTION MARK (STerm) × [9.0] SPACE (Sp) ÷ [11.0] LATIN CAPITAL LETTER H (Upper) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 002E ÷	#  ÷ [0.2] LATIN CAPITAL LETTER U (Upper) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER S (Upper) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER A (Upper) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] FULL STOP (ATerm) ÷ [0.3]');
    Test_SB('÷ 0033 × 002E × 0034 ÷	#  ÷ [0.2] DIGIT THREE (Numeric) × [998.0] FULL STOP (ATerm) × [6.0] DIGIT FOUR (Numeric) ÷ [0.3]');
    Test_SB('÷ 0063 × 002E × 0064 ÷	#  ÷ [0.2] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [8.0] LATIN SMALL LETTER D (Lower) ÷ [0.3]');
    Test_SB('÷ 0043 × 002E × 0064 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER C (Upper) × [998.0] FULL STOP (ATerm) × [8.0] LATIN SMALL LETTER D (Lower) ÷ [0.3]');
    Test_SB('÷ 0063 × 002E × 0044 ÷	#  ÷ [0.2] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER D (Upper) ÷ [0.3]');
    Test_SB('÷ 0043 × 002E × 0044 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER C (Upper) × [998.0] FULL STOP (ATerm) × [7.0] LATIN CAPITAL LETTER D (Upper) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0074 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [8.0] RIGHT PARENTHESIS (Close) × [8.0] RIGHT SINGLE QUOTATION MARK (Close) × [8.0] NO-BREAK SPACE (Sp) × [8.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 ÷ 0054 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [9.0] RIGHT PARENTHESIS (Close) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [9.0] NO-BREAK SPACE (Sp) ÷ [11.0] LATIN CAPITAL LETTER T (Upper) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 2018 × 0028 × 0074 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [8.0] RIGHT PARENTHESIS (Close) × [8.0] RIGHT SINGLE QUOTATION MARK (Close) × [8.0] NO-BREAK SPACE (Sp) × [8.0] LEFT SINGLE QUOTATION MARK (Close) × [998.0] LEFT PARENTHESIS (Close) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 ÷ 2018 × 0028 × 0054 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [9.0] RIGHT PARENTHESIS (Close) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [9.0] NO-BREAK SPACE (Sp) ÷ [11.0] LEFT SINGLE QUOTATION MARK (Close) × [998.0] LEFT PARENTHESIS (Close) × [998.0] LATIN CAPITAL LETTER T (Upper) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0308 × 0074 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [8.0] RIGHT PARENTHESIS (Close) × [8.0] RIGHT SINGLE QUOTATION MARK (Close) × [8.0] NO-BREAK SPACE (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0308 ÷ 0054 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [9.0] RIGHT PARENTHESIS (Close) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [9.0] NO-BREAK SPACE (Sp) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN CAPITAL LETTER T (Upper) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 0308 ÷ 0054 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [9.0] RIGHT PARENTHESIS (Close) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN CAPITAL LETTER T (Upper) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 000A ÷ 0308 × 0054 × 0068 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [9.0] RIGHT PARENTHESIS (Close) × [9.0] <LINE FEED (LF)> (LF) ÷ [4.0] COMBINING DIAERESIS (Extend_FE) × [998.0] LATIN CAPITAL LETTER T (Upper) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 0074 × 0068 × 0065 × 0020 × 0072 × 0065 × 0073 × 0070 × 002E × 0020 × 006C × 0065 × 0061 × 0064 × 0065 × 0072 × 0073 × 0020 × 0061 × 0072 × 0065 ÷	#  ÷ [0.2] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER H (Lower) × [998.0] LATIN SMALL LETTER E (Lower) × [998.0] SPACE (Sp) × [998.0] LATIN SMALL LETTER R (Lower) × [998.0] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER S (Lower) × [998.0] LATIN SMALL LETTER P (Lower) × [998.0] FULL STOP (ATerm) × [8.0] SPACE (Sp) × [8.0] LATIN SMALL LETTER L (Lower) × [998.0] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER A (Lower) × [998.0] LATIN SMALL LETTER D (Lower) × [998.0] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER R (Lower) × [998.0] LATIN SMALL LETTER S (Lower) × [998.0] SPACE (Sp) × [998.0] LATIN SMALL LETTER A (Lower) × [998.0] LATIN SMALL LETTER R (Lower) × [998.0] LATIN SMALL LETTER E (Lower) ÷ [0.3]');
    Test_SB('÷ 5B57 × 002E ÷ 5B57 ÷	#  ÷ [0.2] CJK UNIFIED IDEOGRAPH-5B57 (OLetter) × [998.0] FULL STOP (ATerm) ÷ [11.0] CJK UNIFIED IDEOGRAPH-5B57 (OLetter) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E ÷ 5B83 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) ÷ [11.0] CJK UNIFIED IDEOGRAPH-5B83 (OLetter) ÷ [0.3]');
    Test_SB('÷ 0065 × 0074 × 0063 × 002E × 3002 ÷	#  ÷ [0.2] LATIN SMALL LETTER E (Lower) × [998.0] LATIN SMALL LETTER T (Lower) × [998.0] LATIN SMALL LETTER C (Lower) × [998.0] FULL STOP (ATerm) × [8.1] IDEOGRAPHIC FULL STOP (STerm) ÷ [0.3]');
    Test_SB('÷ 5B57 × 3002 ÷ 5B83 ÷	#  ÷ [0.2] CJK UNIFIED IDEOGRAPH-5B57 (OLetter) × [998.0] IDEOGRAPHIC FULL STOP (STerm) ÷ [11.0] CJK UNIFIED IDEOGRAPH-5B83 (OLetter) ÷ [0.3]');
    Test_SB('÷ 0021 × 0020 × 0020 ÷	#  ÷ [0.2] EXCLAMATION MARK (STerm) × [9.0] SPACE (Sp) × [10.0] SPACE (Sp) ÷ [0.3]');
    Test_SB('÷ 2060 × 0028 × 2060 × 0022 × 2060 × 0047 × 2060 × 006F × 2060 × 002E × 2060 × 0022 × 2060 × 0029 × 2060 × 0020 × 2060 ÷ 0028 × 2060 × 0048 × 2060 × 0065 × 2060 × 0020 × 2060 × 0064 × 2060 × 0069 × 2060 × 0064 × 2060 × 002E × 2060 × 0029 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LEFT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER G (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER O (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] LEFT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER H (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER D (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER I (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER D (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0028 × 2060 × 201C × 2060 × 0047 × 2060 × 006F × 2060 × 003F × 2060 × 201D × 2060 × 0029 × 2060 × 0020 × 2060 ÷ 0028 × 2060 × 0048 × 2060 × 0065 × 2060 × 0020 × 2060 × 0064 × 2060 × 0069 × 2060 × 0064 × 2060 × 002E × 2060 × 0029 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LEFT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LEFT DOUBLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER G (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER O (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] QUESTION MARK (STerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT DOUBLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] LEFT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER H (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER D (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER I (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER D (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 002E × 2060 × 0020 × 2060 × 0069 × 2060 × 0073 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER U (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER S (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER A (Upper) × [5.0] WORD JOINER (Format_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [8.0] LATIN SMALL LETTER I (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER S (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 003F × 2060 × 0020 × 2060 ÷ 0048 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER U (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER S (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER A (Upper) × [5.0] WORD JOINER (Format_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] QUESTION MARK (STerm) × [5.0] WORD JOINER (Format_FE) × [9.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] LATIN CAPITAL LETTER H (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 002E × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER U (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER S (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER A (Upper) × [5.0] WORD JOINER (Format_FE) × [5.0] COMBINING GRAVE ACCENT (Extend_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0033 × 2060 × 002E × 2060 × 0034 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] DIGIT THREE (Numeric) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [6.0] DIGIT FOUR (Numeric) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0063 × 2060 × 002E × 2060 × 0064 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.0] LATIN SMALL LETTER D (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0043 × 2060 × 002E × 2060 × 0064 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER C (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.0] LATIN SMALL LETTER D (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0063 × 2060 × 002E × 2060 × 0044 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER D (Upper) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0043 × 2060 × 002E × 2060 × 0044 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER C (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER D (Upper) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [8.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [8.0] NO-BREAK SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [8.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] NO-BREAK SPACE (Sp) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] LATIN CAPITAL LETTER T (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 2018 × 2060 × 0028 × 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [8.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [8.0] NO-BREAK SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [8.0] LEFT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LEFT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 ÷ 2018 × 2060 × 0028 × 2060 × 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] NO-BREAK SPACE (Sp) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] LEFT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LEFT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER T (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0308 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [8.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [8.0] NO-BREAK SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [8.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0308 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] NO-BREAK SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN CAPITAL LETTER T (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 0308 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT SINGLE QUOTATION MARK (Close) × [5.0] WORD JOINER (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) ÷ [11.0] LATIN CAPITAL LETTER T (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 000A ÷ 2060 × 0308 × 2060 × 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [9.0] RIGHT PARENTHESIS (Close) × [5.0] WORD JOINER (Format_FE) × [9.0] <LINE FEED (LF)> (LF) ÷ [4.0] WORD JOINER (Format_FE) × [5.0] COMBINING DIAERESIS (Extend_FE) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN CAPITAL LETTER T (Upper) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 0020 × 2060 × 0072 × 2060 × 0065 × 2060 × 0073 × 2060 × 0070 × 2060 × 002E × 2060 × 0020 × 2060 × 006C × 2060 × 0065 × 2060 × 0061 × 2060 × 0064 × 2060 × 0065 × 2060 × 0072 × 2060 × 0073 × 2060 × 0020 × 2060 × 0061 × 2060 × 0072 × 2060 × 0065 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER H (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER R (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER S (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER P (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [8.0] LATIN SMALL LETTER L (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER A (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER D (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER R (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER S (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER A (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER R (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 5B57 × 2060 × 002E × 2060 ÷ 5B57 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] CJK UNIFIED IDEOGRAPH-5B57 (OLetter) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] CJK UNIFIED IDEOGRAPH-5B57 (OLetter) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 ÷ 5B83 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] CJK UNIFIED IDEOGRAPH-5B83 (OLetter) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 3002 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER E (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER T (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] LATIN SMALL LETTER C (Lower) × [5.0] WORD JOINER (Format_FE) × [998.0] FULL STOP (ATerm) × [5.0] WORD JOINER (Format_FE) × [8.1] IDEOGRAPHIC FULL STOP (STerm) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 5B57 × 2060 × 3002 × 2060 ÷ 5B83 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] CJK UNIFIED IDEOGRAPH-5B57 (OLetter) × [5.0] WORD JOINER (Format_FE) × [998.0] IDEOGRAPHIC FULL STOP (STerm) × [5.0] WORD JOINER (Format_FE) ÷ [11.0] CJK UNIFIED IDEOGRAPH-5B83 (OLetter) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_SB('÷ 2060 × 0021 × 2060 × 0020 × 2060 × 0020 × 2060 × 2060 ÷	#  ÷ [0.2] WORD JOINER (Format_FE) × [998.0] EXCLAMATION MARK (STerm) × [5.0] WORD JOINER (Format_FE) × [9.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [10.0] SPACE (Sp) × [5.0] WORD JOINER (Format_FE) × [5.0] WORD JOINER (Format_FE) ÷ [0.3]');
}
if (!$::TESTCHUNK or $::TESTCHUNK == 6) {
    Test_LB('× 0023 × 0023 ÷	#  × [0.3] NUMBER SIGN (AL) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0023 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0023 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0023 ÷ 2014 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 2014 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 2014 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0023 × 0009 ÷	#  × [0.3] NUMBER SIGN (AL) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0009 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0009 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0023 ÷ 00B4 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 00B4 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 00B4 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0023 × 000B ÷	#  × [0.3] NUMBER SIGN (AL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 000B ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 000B ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 000B ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0023 ÷ FFFC ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ FFFC ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ FFFC ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0023 × 007D ÷	#  × [0.3] NUMBER SIGN (AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 007D ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 007D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 007D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0023 × 000D ÷	#  × [0.3] NUMBER SIGN (AL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 000D ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 000D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 000D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0023 × 0021 ÷	#  × [0.3] NUMBER SIGN (AL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 0021 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0021 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 0021 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0023 × 00A0 ÷	#  × [0.3] NUMBER SIGN (AL) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 00A0 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 00A0 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0023 ÷ AC00 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ AC00 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ AC00 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0023 ÷ AC01 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ AC01 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ AC01 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0023 × 05D0 ÷	#  × [0.3] NUMBER SIGN (AL) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 05D0 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 05D0 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0023 × 002D ÷	#  × [0.3] NUMBER SIGN (AL) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 002D ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 002D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0023 ÷ 231A ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 231A ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 231A ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0023 × 2024 ÷	#  × [0.3] NUMBER SIGN (AL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 2024 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 2024 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0023 × 002C ÷	#  × [0.3] NUMBER SIGN (AL) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 002C ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 002C ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 002C ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0023 ÷ 1100 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 1100 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 1100 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0023 ÷ 11A8 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 11A8 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 11A8 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0023 ÷ 1160 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 1160 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 1160 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0023 × 000A ÷	#  × [0.3] NUMBER SIGN (AL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 000A ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 000A ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 000A ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0023 × 0085 ÷	#  × [0.3] NUMBER SIGN (AL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 0085 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0085 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 0085 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0023 × 17D6 ÷	#  × [0.3] NUMBER SIGN (AL) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 17D6 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 17D6 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0023 × 0030 ÷	#  × [0.3] NUMBER SIGN (AL) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0030 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0030 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0023 ÷ 2329 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 2329 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 2329 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0023 × 0025 ÷	#  × [0.3] NUMBER SIGN (AL) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0025 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0025 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0023 × 0024 ÷	#  × [0.3] NUMBER SIGN (AL) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0024 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0024 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0023 × 0022 ÷	#  × [0.3] NUMBER SIGN (AL) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0022 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0022 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 0020 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 0020 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0023 × 002F ÷	#  × [0.3] NUMBER SIGN (AL) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 002F ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 002F ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 002F ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0023 × 2060 ÷	#  × [0.3] NUMBER SIGN (AL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 2060 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 2060 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 2060 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0023 × 200B ÷	#  × [0.3] NUMBER SIGN (AL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 200B ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 200B ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 200B ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0023 ÷ 1F1E6 ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 1F1E6 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 1F1E6 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0023 ÷ 261D ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 261D ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 261D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0023 ÷ 1F3FB ÷	#  × [0.3] NUMBER SIGN (AL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 1F3FB ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0023 × 0308 ÷ 1F3FB ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0023 × 0029 ÷	#  × [0.3] NUMBER SIGN (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0023 × 0020 × 0029 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0029 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 × 0029 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0023 × 0028 ÷	#  × [0.3] NUMBER SIGN (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0028 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0028 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0023 × 0001 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0001 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0001 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0023 × 200D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 200D ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 200D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0023 × 00A7 ÷	#  × [0.3] NUMBER SIGN (AL) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 00A7 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 00A7 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0023 × 50005 ÷	#  × [0.3] NUMBER SIGN (AL) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 50005 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 50005 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0E01 ÷	#  × [0.3] NUMBER SIGN (AL) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 0E01 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0E01 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0023 × 3041 ÷	#  × [0.3] NUMBER SIGN (AL) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0023 × 0020 ÷ 3041 ÷	#  × [0.3] NUMBER SIGN (AL) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 3041 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0023 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] NUMBER SIGN (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2014 ÷ 0023 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0023 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 0023 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2014 × 2014 ÷	#  × [0.3] EM DASH (B2) × [17.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 2014 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [17.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 2014 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [17.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 2014 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [17.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2014 × 0009 ÷	#  × [0.3] EM DASH (B2) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0009 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0009 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2014 ÷ 00B4 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 00B4 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 00B4 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2014 × 000B ÷	#  × [0.3] EM DASH (B2) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 000B ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 000B ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 000B ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2014 ÷ FFFC ÷	#  × [0.3] EM DASH (B2) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ FFFC ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ FFFC ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2014 × 007D ÷	#  × [0.3] EM DASH (B2) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 007D ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 007D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 007D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2014 × 000D ÷	#  × [0.3] EM DASH (B2) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 000D ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 000D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 000D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2014 × 0021 ÷	#  × [0.3] EM DASH (B2) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 0021 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0021 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 0021 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2014 × 00A0 ÷	#  × [0.3] EM DASH (B2) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 00A0 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 00A0 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2014 ÷ AC00 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ AC00 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ AC00 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2014 ÷ AC01 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ AC01 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ AC01 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2014 ÷ 05D0 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 05D0 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 05D0 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2014 × 002D ÷	#  × [0.3] EM DASH (B2) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 002D ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 002D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2014 ÷ 231A ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 231A ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 231A ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2014 × 2024 ÷	#  × [0.3] EM DASH (B2) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 2024 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 2024 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2014 × 002C ÷	#  × [0.3] EM DASH (B2) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 002C ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 002C ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 002C ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2014 ÷ 1100 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 1100 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 1100 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2014 ÷ 11A8 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 11A8 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 11A8 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2014 ÷ 1160 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 1160 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 1160 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2014 × 000A ÷	#  × [0.3] EM DASH (B2) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 000A ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 000A ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 000A ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2014 × 0085 ÷	#  × [0.3] EM DASH (B2) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 0085 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0085 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 0085 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2014 × 17D6 ÷	#  × [0.3] EM DASH (B2) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 17D6 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 17D6 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2014 ÷ 0030 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0030 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 0030 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2014 ÷ 2329 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 2329 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 2329 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2014 ÷ 0025 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0025 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 0025 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2014 ÷ 0024 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0024 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 0024 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2014 × 0022 ÷	#  × [0.3] EM DASH (B2) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0022 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0022 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 0020 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 0020 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2014 × 002F ÷	#  × [0.3] EM DASH (B2) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 002F ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 002F ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 002F ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2014 × 2060 ÷	#  × [0.3] EM DASH (B2) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 2060 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 2060 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 2060 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2014 × 200B ÷	#  × [0.3] EM DASH (B2) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 200B ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 200B ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 200B ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2014 ÷ 1F1E6 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 1F1E6 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 1F1E6 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2014 ÷ 261D ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 261D ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 261D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2014 ÷ 1F3FB ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 1F3FB ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 1F3FB ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2014 × 0029 ÷	#  × [0.3] EM DASH (B2) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2014 × 0020 × 0029 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0029 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 × 0029 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2014 ÷ 0028 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0028 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 0028 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2014 × 0001 ÷	#  × [0.3] EM DASH (B2) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0001 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0001 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2014 × 200D ÷	#  × [0.3] EM DASH (B2) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 200D ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 200D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2014 ÷ 00A7 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 00A7 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 00A7 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2014 ÷ 50005 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 50005 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 50005 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2014 ÷ 0E01 ÷	#  × [0.3] EM DASH (B2) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 0E01 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 ÷ 0E01 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2014 × 3041 ÷	#  × [0.3] EM DASH (B2) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2014 × 0020 ÷ 3041 ÷	#  × [0.3] EM DASH (B2) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 3041 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2014 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] EM DASH (B2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0009 ÷ 0023 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0023 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 0023 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0009 ÷ 2014 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 2014 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 2014 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0009 × 0009 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0009 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0009 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0009 ÷ 00B4 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 00B4 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 00B4 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0009 × 000B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 000B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 000B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 000B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0009 ÷ FFFC ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ FFFC ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ FFFC ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0009 × 007D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 007D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 007D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 007D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0009 × 000D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 000D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 000D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 000D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0009 × 0021 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 0021 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0021 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 0021 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0009 ÷ 00A0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 00A0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 00A0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0009 ÷ AC00 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ AC00 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ AC00 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0009 ÷ AC01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ AC01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ AC01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0009 ÷ 05D0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 05D0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 05D0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0009 × 002D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 002D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 002D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0009 ÷ 231A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 231A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 231A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0009 × 2024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 2024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 2024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0009 × 002C ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 002C ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 002C ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 002C ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0009 ÷ 1100 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 1100 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 1100 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0009 ÷ 11A8 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 11A8 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 11A8 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0009 ÷ 1160 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 1160 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 1160 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0009 × 000A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 000A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 000A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 000A ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0009 × 0085 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 0085 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0085 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 0085 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0009 × 17D6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 17D6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 17D6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0009 ÷ 0030 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0030 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 0030 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0009 ÷ 2329 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 2329 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 2329 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0009 ÷ 0025 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0025 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 0025 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0009 ÷ 0024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 0024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0009 × 0022 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0022 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0022 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 0020 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 0020 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0009 × 002F ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 002F ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 002F ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 002F ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0009 × 2060 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 2060 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 2060 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 2060 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0009 × 200B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 200B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 200B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 200B ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0009 ÷ 1F1E6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 1F1E6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0009 ÷ 261D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 261D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 261D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0009 ÷ 1F3FB ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 1F3FB ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 1F3FB ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0009 × 0029 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0009 × 0020 × 0029 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0029 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 × 0029 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0009 ÷ 0028 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0028 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 0028 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0009 × 0001 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0001 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0001 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0009 × 200D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 200D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 200D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0009 ÷ 00A7 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 00A7 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 00A7 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0009 ÷ 50005 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 50005 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 50005 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0009 ÷ 0E01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 0E01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 ÷ 0E01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0009 × 3041 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0009 × 0020 ÷ 3041 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 3041 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0009 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] <CHARACTER TABULATION> (BA) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0023 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0023 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0023 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00B4 × 2014 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 2014 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 2014 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00B4 × 0009 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0009 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0009 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00B4 × 00B4 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 00B4 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 00B4 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00B4 × 000B ÷	#  × [0.3] ACUTE ACCENT (BB) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 000B ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 000B ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 000B ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00B4 ÷ FFFC ÷	#  × [0.3] ACUTE ACCENT (BB) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ FFFC ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 ÷ FFFC ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00B4 × 007D ÷	#  × [0.3] ACUTE ACCENT (BB) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 007D ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 007D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 007D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00B4 × 000D ÷	#  × [0.3] ACUTE ACCENT (BB) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 000D ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 000D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 000D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00B4 × 0021 ÷	#  × [0.3] ACUTE ACCENT (BB) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 0021 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0021 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 0021 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00B4 × 00A0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 00A0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 00A0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00B4 × AC00 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ AC00 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × AC00 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00B4 × AC01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ AC01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × AC01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00B4 × 05D0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 05D0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 05D0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00B4 × 002D ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 002D ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 002D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00B4 × 231A ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 231A ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 231A ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00B4 × 2024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 2024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 2024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00B4 × 002C ÷	#  × [0.3] ACUTE ACCENT (BB) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 002C ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 002C ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 002C ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00B4 × 1100 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 1100 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 1100 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00B4 × 11A8 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 11A8 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 11A8 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00B4 × 1160 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 1160 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 1160 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00B4 × 000A ÷	#  × [0.3] ACUTE ACCENT (BB) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 000A ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 000A ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 000A ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00B4 × 0085 ÷	#  × [0.3] ACUTE ACCENT (BB) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 0085 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0085 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 0085 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00B4 × 17D6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 17D6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 17D6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0030 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0030 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0030 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00B4 × 2329 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 2329 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 2329 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00B4 × 0025 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0025 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0025 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00B4 × 0024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00B4 × 0022 ÷	#  × [0.3] ACUTE ACCENT (BB) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0022 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0022 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 0020 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 0020 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00B4 × 002F ÷	#  × [0.3] ACUTE ACCENT (BB) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 002F ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 002F ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 002F ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00B4 × 2060 ÷	#  × [0.3] ACUTE ACCENT (BB) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 2060 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 2060 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 2060 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00B4 × 200B ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 200B ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 200B ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 200B ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00B4 × 1F1E6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 1F1E6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 1F1E6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00B4 × 261D ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 261D ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 261D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00B4 × 1F3FB ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 1F3FB ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 1F3FB ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00B4 × 0029 ÷	#  × [0.3] ACUTE ACCENT (BB) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 × 0029 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0029 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 × 0029 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0028 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0028 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0028 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00B4 × 0001 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0001 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0001 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 200D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 200D ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 200D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00B4 × 00A7 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 00A7 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 00A7 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 50005 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 50005 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 50005 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0E01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.04] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 0E01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0E01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.04] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00B4 × 3041 ÷	#  × [0.3] ACUTE ACCENT (BB) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0020 ÷ 3041 ÷	#  × [0.3] ACUTE ACCENT (BB) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 3041 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00B4 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] ACUTE ACCENT (BB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0023 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0023 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0023 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0023 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 2014 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 2014 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 2014 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 2014 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000B ÷ 0009 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0009 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0009 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0009 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000B ÷ 00B4 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 00B4 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 00B4 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000B ÷ 000B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 000B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 000B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 000B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000B ÷ FFFC ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ FFFC ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ FFFC ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ FFFC ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000B ÷ 007D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 007D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 007D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 007D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000B ÷ 000D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 000D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 000D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 000D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0021 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 0021 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0021 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 0021 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000B ÷ 00A0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 00A0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 00A0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000B ÷ AC00 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ AC00 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ AC00 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ AC00 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000B ÷ AC01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ AC01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ AC01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ AC01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000B ÷ 05D0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 05D0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 05D0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000B ÷ 002D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 002D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 002D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 002D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000B ÷ 231A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 231A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 231A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 231A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000B ÷ 2024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 2024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 2024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 2024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000B ÷ 002C ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 002C ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 002C ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 002C ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000B ÷ 1100 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 1100 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 1100 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 1100 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000B ÷ 11A8 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 11A8 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 11A8 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000B ÷ 1160 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 1160 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 1160 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 1160 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000B ÷ 000A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 000A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 000A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 000A ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000B ÷ 0085 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 0085 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0085 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 0085 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000B ÷ 17D6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 17D6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 17D6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0030 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0030 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0030 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0030 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000B ÷ 2329 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 2329 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 2329 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 2329 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000B ÷ 0025 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0025 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0025 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0025 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000B ÷ 0024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0024 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000B ÷ 0022 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0022 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0022 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0022 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 0020 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 0020 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000B ÷ 002F ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 002F ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 002F ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 002F ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000B ÷ 2060 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 2060 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 2060 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 2060 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000B ÷ 200B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 200B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 200B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 200B ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000B ÷ 1F1E6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 1F1E6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 1F1E6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000B ÷ 261D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 261D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 261D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 261D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000B ÷ 1F3FB ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 1F3FB ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 ÷ 1F3FB ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0029 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 × 0029 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0029 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 × 0029 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0028 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0028 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0028 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0028 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000B ÷ 0001 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0001 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0001 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0001 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 200D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 200D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 200D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 200D ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000B ÷ 00A7 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 00A7 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 00A7 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 50005 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 50005 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 50005 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 50005 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0E01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 0E01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0E01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000B ÷ 3041 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0020 ÷ 3041 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 3041 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000B ÷ 0308 × 0020 ÷ 3041 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× FFFC ÷ 0023 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0023 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 0023 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× FFFC ÷ 2014 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] EM DASH (B2) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 2014 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 2014 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] EM DASH (B2) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× FFFC ÷ 0009 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0009 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 0009 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× FFFC ÷ 00B4 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 00B4 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 00B4 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× FFFC × 000B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 000B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 000B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 000B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× FFFC ÷ FFFC ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ FFFC ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ FFFC ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× FFFC × 007D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 007D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 007D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 007D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× FFFC × 000D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 000D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 000D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 000D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× FFFC × 0021 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 0021 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0021 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 0021 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× FFFC × 00A0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 00A0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 00A0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× FFFC ÷ AC00 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ AC00 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ AC00 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× FFFC ÷ AC01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ AC01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ AC01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× FFFC ÷ 05D0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 05D0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 05D0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× FFFC ÷ 002D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 002D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 002D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 002D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× FFFC ÷ 231A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] WATCH (ID) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 231A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 231A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] WATCH (ID) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 231A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× FFFC ÷ 2024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 2024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 2024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× FFFC × 002C ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 002C ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 002C ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 002C ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× FFFC ÷ 1100 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 1100 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 1100 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× FFFC ÷ 11A8 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 11A8 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 11A8 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× FFFC ÷ 1160 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 1160 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 1160 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× FFFC × 000A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 000A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 000A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 000A ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× FFFC × 0085 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 0085 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0085 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 0085 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× FFFC ÷ 17D6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 17D6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 17D6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× FFFC ÷ 0030 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0030 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 0030 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× FFFC ÷ 2329 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 2329 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 2329 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× FFFC ÷ 0025 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0025 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 0025 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× FFFC ÷ 0024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 0024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× FFFC × 0022 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0022 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0022 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 0020 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 0020 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× FFFC × 002F ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 002F ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 002F ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 002F ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× FFFC × 2060 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 2060 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 2060 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 2060 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× FFFC × 200B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 200B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 200B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 200B ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× FFFC ÷ 1F1E6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 1F1E6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 1F1E6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× FFFC ÷ 261D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 261D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 261D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 261D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× FFFC ÷ 1F3FB ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 1F3FB ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 1F3FB ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× FFFC × 0029 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× FFFC × 0020 × 0029 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0029 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 × 0029 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× FFFC ÷ 0028 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0028 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 0028 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× FFFC × 0001 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0001 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0001 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× FFFC × 200D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 200D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 200D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 200D ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× FFFC ÷ 00A7 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 00A7 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 00A7 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× FFFC ÷ 50005 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 50005 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 50005 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× FFFC ÷ 0E01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 0E01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 0E01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× FFFC ÷ 3041 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× FFFC × 0020 ÷ 3041 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× FFFC × 0308 ÷ 3041 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× FFFC × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 007D ÷ 0023 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0023 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 0023 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 007D ÷ 2014 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 2014 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 2014 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 007D × 0009 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0009 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0009 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 007D ÷ 00B4 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 00B4 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 00B4 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 007D × 000B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 000B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 000B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 000B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 007D ÷ FFFC ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ FFFC ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ FFFC ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 007D × 007D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 007D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 007D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 007D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 007D × 000D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 000D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 000D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 000D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 007D × 0021 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 0021 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0021 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 0021 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 007D × 00A0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 00A0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 00A0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 007D ÷ AC00 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ AC00 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ AC00 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 007D ÷ AC01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ AC01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ AC01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 007D ÷ 05D0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 05D0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 05D0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 007D × 002D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 002D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 002D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 002D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 007D ÷ 231A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 231A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 231A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 231A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 007D × 2024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 2024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 2024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 007D × 002C ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 002C ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 002C ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 002C ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 007D ÷ 1100 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 1100 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 1100 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 007D ÷ 11A8 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 11A8 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 11A8 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 007D ÷ 1160 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 1160 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 1160 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 007D × 000A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 000A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 000A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 000A ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 007D × 0085 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 0085 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0085 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 0085 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 007D × 17D6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 17D6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 17D6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 17D6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 007D ÷ 0030 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0030 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 0030 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 007D ÷ 2329 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 2329 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 2329 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 007D ÷ 0025 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0025 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 0025 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 007D ÷ 0024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 0024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 007D × 0022 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0022 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0022 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 0020 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 0020 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 007D × 002F ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 002F ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 002F ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 002F ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 007D × 2060 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 2060 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 2060 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 2060 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 007D × 200B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 200B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 200B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 200B ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 007D ÷ 1F1E6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 1F1E6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 1F1E6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 007D ÷ 261D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 261D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 261D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 261D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 007D ÷ 1F3FB ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 1F3FB ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 1F3FB ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 007D × 0029 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 0029 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0029 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 0029 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 007D ÷ 0028 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0028 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 0028 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 007D × 0001 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0001 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0001 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 007D × 200D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 200D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 200D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 200D ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 007D ÷ 00A7 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 00A7 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 00A7 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 007D ÷ 50005 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 50005 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 50005 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 007D ÷ 0E01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 007D × 0020 ÷ 0E01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 ÷ 0E01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 007D × 3041 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 007D × 0020 × 3041 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 3041 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 007D × 0308 × 0020 × 3041 ÷	#  × [0.3] RIGHT CURLY BRACKET (CL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0023 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0023 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0023 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0023 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 2014 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 2014 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 2014 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 2014 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000D ÷ 0009 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0009 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0009 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0009 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000D ÷ 00B4 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 00B4 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 00B4 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000D ÷ 000B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 000B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 000B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 000B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000D ÷ FFFC ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ FFFC ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ FFFC ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ FFFC ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000D ÷ 007D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 007D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 007D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 007D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000D ÷ 000D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 000D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 000D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 000D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0021 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 0021 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0021 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 0021 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000D ÷ 00A0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 00A0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 00A0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000D ÷ AC00 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ AC00 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ AC00 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ AC00 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000D ÷ AC01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ AC01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ AC01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ AC01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000D ÷ 05D0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 05D0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 05D0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000D ÷ 002D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 002D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 002D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 002D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000D ÷ 231A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 231A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 231A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 231A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000D ÷ 2024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 2024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 2024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 2024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000D ÷ 002C ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 002C ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 002C ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 002C ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000D ÷ 1100 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 1100 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 1100 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 1100 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000D ÷ 11A8 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 11A8 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 11A8 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000D ÷ 1160 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 1160 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 1160 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 1160 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000D × 000A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) × [5.01] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 000A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 000A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 000A ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000D ÷ 0085 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 0085 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0085 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 0085 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000D ÷ 17D6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 17D6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 17D6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0030 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0030 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0030 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0030 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000D ÷ 2329 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 2329 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 2329 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 2329 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000D ÷ 0025 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0025 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0025 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0025 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000D ÷ 0024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0024 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000D ÷ 0022 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0022 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0022 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0022 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 0020 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 0020 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000D ÷ 002F ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 002F ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 002F ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 002F ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000D ÷ 2060 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 2060 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 2060 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 2060 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000D ÷ 200B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 200B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 200B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 200B ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000D ÷ 1F1E6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 1F1E6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 1F1E6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000D ÷ 261D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 261D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 261D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 261D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000D ÷ 1F3FB ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 1F3FB ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 ÷ 1F3FB ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0029 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 × 0029 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0029 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 × 0029 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0028 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0028 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0028 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0028 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000D ÷ 0001 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0001 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0001 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0001 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 200D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 200D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 200D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 200D ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000D ÷ 00A7 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 00A7 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 00A7 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 50005 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 50005 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 50005 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 50005 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0E01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 0E01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0E01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000D ÷ 3041 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0020 ÷ 3041 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 3041 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 0308 × 0020 ÷ 3041 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0021 ÷ 0023 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0023 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 0023 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0021 ÷ 2014 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 2014 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 2014 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0021 × 0009 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0009 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0009 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0021 ÷ 00B4 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 00B4 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 00B4 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0021 × 000B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 000B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 000B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 000B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0021 ÷ FFFC ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ FFFC ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ FFFC ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0021 × 007D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 007D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 007D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 007D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0021 × 000D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 000D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 000D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 000D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0021 × 0021 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 0021 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0021 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 0021 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0021 × 00A0 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 00A0 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 00A0 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0021 ÷ AC00 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ AC00 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ AC00 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0021 ÷ AC01 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ AC01 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ AC01 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0021 ÷ 05D0 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 05D0 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 05D0 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0021 × 002D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 002D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 002D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0021 ÷ 231A ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 231A ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 231A ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0021 × 2024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 2024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 2024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0021 × 002C ÷	#  × [0.3] EXCLAMATION MARK (EX) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 002C ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 002C ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 002C ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0021 ÷ 1100 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 1100 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 1100 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0021 ÷ 11A8 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 11A8 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 11A8 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0021 ÷ 1160 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 1160 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 1160 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0021 × 000A ÷	#  × [0.3] EXCLAMATION MARK (EX) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 000A ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 000A ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 000A ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0021 × 0085 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 0085 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0085 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 0085 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0021 × 17D6 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 17D6 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 17D6 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0021 ÷ 0030 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0030 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 0030 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0021 ÷ 2329 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 2329 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 2329 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0021 ÷ 0025 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0025 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 0025 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0021 ÷ 0024 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 0024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0021 × 0022 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0022 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0022 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 0020 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 0020 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0021 × 002F ÷	#  × [0.3] EXCLAMATION MARK (EX) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 002F ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 002F ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 002F ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0021 × 2060 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 2060 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 2060 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 2060 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0021 × 200B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 200B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 200B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 200B ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0021 ÷ 1F1E6 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 1F1E6 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 1F1E6 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0021 ÷ 261D ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 261D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 261D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0021 ÷ 1F3FB ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 1F3FB ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 1F3FB ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0021 × 0029 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0021 × 0020 × 0029 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0029 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 × 0029 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0021 ÷ 0028 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0028 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 0028 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0021 × 0001 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0001 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0001 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0021 × 200D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 200D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 200D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0021 ÷ 00A7 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 00A7 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 00A7 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0021 ÷ 50005 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 50005 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 50005 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0021 ÷ 0E01 ÷	#  × [0.3] EXCLAMATION MARK (EX) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 0E01 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 ÷ 0E01 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0021 × 3041 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0021 × 0020 ÷ 3041 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 3041 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0021 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0023 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0023 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0023 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A0 × 2014 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 2014 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 2014 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A0 × 0009 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0009 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0009 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A0 × 00B4 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 00B4 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 00B4 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A0 × 000B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 000B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 000B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 000B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A0 × FFFC ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ FFFC ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × FFFC ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A0 × 007D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 007D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 007D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 007D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A0 × 000D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 000D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 000D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 000D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A0 × 0021 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 0021 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0021 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 0021 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A0 × 00A0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 00A0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 00A0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A0 × AC00 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ AC00 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × AC00 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A0 × AC01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ AC01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × AC01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A0 × 05D0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 05D0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 05D0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A0 × 002D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 002D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 002D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A0 × 231A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 231A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 231A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A0 × 2024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 2024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 2024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A0 × 002C ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 002C ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 002C ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 002C ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A0 × 1100 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 1100 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 1100 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A0 × 11A8 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 11A8 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 11A8 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A0 × 1160 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 1160 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 1160 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A0 × 000A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 000A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 000A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 000A ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A0 × 0085 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 0085 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0085 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 0085 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A0 × 17D6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 17D6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 17D6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0030 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0030 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0030 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A0 × 2329 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 2329 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 2329 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A0 × 0025 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0025 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0025 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A0 × 0024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A0 × 0022 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0022 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0022 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 0020 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 0020 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A0 × 002F ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 002F ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 002F ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 002F ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A0 × 2060 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 2060 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 2060 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 2060 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A0 × 200B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 200B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 200B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 200B ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A0 × 1F1E6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 1F1E6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 1F1E6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A0 × 261D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 261D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 261D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A0 × 1F3FB ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 1F3FB ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 1F3FB ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A0 × 0029 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 × 0029 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0029 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 × 0029 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0028 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0028 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0028 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A0 × 0001 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0001 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0001 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 200D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 200D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 200D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A0 × 00A7 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 00A7 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 00A7 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 50005 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 50005 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 50005 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0E01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 0E01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0E01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A0 × 3041 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [12.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0020 ÷ 3041 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 3041 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A0 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] NO-BREAK SPACE (GL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC00 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC00 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC00 × 0009 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0009 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC00 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC00 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC00 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× AC00 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC00 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC00 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC00 × 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC00 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC00 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC00 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC00 × 002D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 002D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC00 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC00 × 2024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 2024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC00 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC00 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC00 × 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [26.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC00 × 1160 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [26.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 1160 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC00 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC00 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC00 × 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC00 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC00 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC00 × 0025 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0025 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC00 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC00 × 0022 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0022 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC00 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC00 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC00 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC00 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC00 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC00 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC00 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC00 × 0020 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC00 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC00 × 0001 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0001 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC00 × 200D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 200D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC00 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC00 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC00 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC00 × 3041 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC00 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 3041 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC00 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL SYLLABLE GA (H2) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC01 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× AC01 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× AC01 × 0009 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0009 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× AC01 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× AC01 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 000B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× AC01 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
}
if (!$::TESTCHUNK or $::TESTCHUNK == 7) {
    Test_LB('× AC01 × 0308 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× AC01 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 007D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× AC01 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 000D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× AC01 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 0021 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× AC01 × 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× AC01 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× AC01 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× AC01 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× AC01 × 002D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 002D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× AC01 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× AC01 × 2024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 2024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× AC01 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 002C ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× AC01 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× AC01 × 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [26.03] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.03] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× AC01 ÷ 1160 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 1160 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× AC01 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 000A ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× AC01 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 0085 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× AC01 × 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× AC01 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× AC01 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× AC01 × 0025 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0025 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× AC01 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× AC01 × 0022 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0022 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 0020 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× AC01 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 002F ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× AC01 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 2060 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× AC01 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 200B ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× AC01 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× AC01 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× AC01 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× AC01 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC01 × 0020 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 × 0029 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× AC01 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× AC01 × 0001 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0001 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× AC01 × 200D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 200D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× AC01 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× AC01 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× AC01 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× AC01 × 3041 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC01 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 3041 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× AC01 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL SYLLABLE GAG (H3) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0023 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0023 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0023 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 2014 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 2014 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 2014 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 05D0 × 0009 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0009 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0009 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 00B4 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 00B4 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 00B4 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 05D0 × 000B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 000B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 000B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 000B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 05D0 ÷ FFFC ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ FFFC ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ FFFC ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 05D0 × 007D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 007D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 007D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 007D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 05D0 × 000D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 000D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 000D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 000D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 05D0 × 0021 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 0021 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0021 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 0021 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 05D0 × 00A0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 00A0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 00A0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 05D0 ÷ AC00 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ AC00 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ AC00 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 05D0 ÷ AC01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ AC01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ AC01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 05D0 × 05D0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 05D0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 05D0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 05D0 × 002D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 002D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 002D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 231A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 231A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 231A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 05D0 × 2024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 2024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 2024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 05D0 × 002C ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 002C ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 002C ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 002C ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 1100 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 1100 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 1100 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 11A8 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 11A8 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 11A8 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 1160 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 1160 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 1160 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 05D0 × 000A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 000A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 000A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 000A ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 05D0 × 0085 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 0085 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0085 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 0085 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 05D0 × 17D6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 17D6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 17D6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0030 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0030 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0030 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 2329 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 2329 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 2329 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 05D0 × 0025 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0025 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0025 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 05D0 × 0024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 05D0 × 0022 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0022 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0022 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 0020 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 0020 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 05D0 × 002F ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 002F ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 002F ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 002F ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 05D0 × 2060 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 2060 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 2060 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 2060 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 05D0 × 200B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 200B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 200B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 200B ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 1F1E6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 1F1E6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 261D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 261D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 261D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 05D0 ÷ 1F3FB ÷	#  × [0.3] HEBREW LETTER ALEF (HL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 1F3FB ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 ÷ 1F3FB ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 05D0 × 0029 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 × 0029 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0029 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 × 0029 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0028 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0028 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0028 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 05D0 × 0001 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0001 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0001 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 200D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 200D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 200D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 05D0 × 00A7 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 00A7 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 00A7 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 50005 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 50005 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 50005 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0E01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 0E01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0E01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 05D0 × 3041 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0020 ÷ 3041 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 3041 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 05D0 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002D ÷ 0023 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0023 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 0023 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002D ÷ 2014 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 2014 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 2014 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002D × 0009 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0009 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0009 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002D ÷ 00B4 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 00B4 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 00B4 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002D × 000B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 000B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 000B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 000B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002D ÷ FFFC ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ FFFC ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ FFFC ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002D × 007D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 007D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 007D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 007D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002D × 000D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 000D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 000D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 000D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002D × 0021 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 0021 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0021 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 0021 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002D ÷ 00A0 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 00A0 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 00A0 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002D ÷ AC00 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ AC00 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ AC00 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002D ÷ AC01 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ AC01 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ AC01 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002D ÷ 05D0 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 05D0 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 05D0 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002D × 002D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 002D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 002D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002D ÷ 231A ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 231A ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 231A ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002D × 2024 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 2024 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 2024 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002D × 002C ÷	#  × [0.3] HYPHEN-MINUS (HY) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 002C ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 002C ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 002C ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002D ÷ 1100 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 1100 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 1100 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002D ÷ 11A8 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 11A8 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 11A8 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002D ÷ 1160 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 1160 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 1160 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002D × 000A ÷	#  × [0.3] HYPHEN-MINUS (HY) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 000A ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 000A ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 000A ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002D × 0085 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 0085 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0085 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 0085 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002D × 17D6 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 17D6 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 17D6 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002D × 0030 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [25.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0030 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0030 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002D ÷ 2329 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 2329 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 2329 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002D ÷ 0025 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0025 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 0025 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002D ÷ 0024 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0024 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 0024 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002D × 0022 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0022 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0022 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 0020 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 0020 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002D × 002F ÷	#  × [0.3] HYPHEN-MINUS (HY) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 002F ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 002F ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 002F ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002D × 2060 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 2060 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 2060 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 2060 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002D × 200B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 200B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 200B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 200B ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002D ÷ 1F1E6 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 1F1E6 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 1F1E6 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002D ÷ 261D ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 261D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 261D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002D ÷ 1F3FB ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 1F3FB ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 1F3FB ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002D × 0029 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002D × 0020 × 0029 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0029 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 × 0029 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002D ÷ 0028 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0028 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 0028 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002D × 0001 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0001 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0001 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002D × 200D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 200D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 200D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002D ÷ 00A7 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 00A7 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 00A7 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002D ÷ 50005 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 50005 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 50005 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002D ÷ 0E01 ÷	#  × [0.3] HYPHEN-MINUS (HY) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 0E01 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 ÷ 0E01 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002D × 3041 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002D × 0020 ÷ 3041 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 3041 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002D × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 231A ÷ 0023 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0023 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 0023 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 231A ÷ 2014 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 2014 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 2014 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 231A × 0009 ÷	#  × [0.3] WATCH (ID) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0009 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0009 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 231A ÷ 00B4 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 00B4 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 00B4 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 231A × 000B ÷	#  × [0.3] WATCH (ID) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 000B ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 000B ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 000B ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 231A ÷ FFFC ÷	#  × [0.3] WATCH (ID) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ FFFC ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ FFFC ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 231A × 007D ÷	#  × [0.3] WATCH (ID) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 007D ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 007D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 007D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 231A × 000D ÷	#  × [0.3] WATCH (ID) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 000D ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 000D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 000D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 231A × 0021 ÷	#  × [0.3] WATCH (ID) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 0021 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0021 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 0021 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 231A × 00A0 ÷	#  × [0.3] WATCH (ID) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 00A0 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 00A0 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 231A ÷ AC00 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ AC00 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ AC00 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 231A ÷ AC01 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ AC01 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ AC01 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 231A ÷ 05D0 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 05D0 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 05D0 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 231A × 002D ÷	#  × [0.3] WATCH (ID) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 002D ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 002D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 002D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 231A ÷ 231A ÷	#  × [0.3] WATCH (ID) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 231A ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 231A ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 231A ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 231A × 2024 ÷	#  × [0.3] WATCH (ID) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 2024 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 2024 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 231A × 002C ÷	#  × [0.3] WATCH (ID) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 002C ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 002C ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 002C ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 231A ÷ 1100 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 1100 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 1100 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 231A ÷ 11A8 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 11A8 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 11A8 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 231A ÷ 1160 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 1160 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 1160 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 231A × 000A ÷	#  × [0.3] WATCH (ID) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 000A ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 000A ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 000A ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 231A × 0085 ÷	#  × [0.3] WATCH (ID) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 0085 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0085 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 0085 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 231A × 17D6 ÷	#  × [0.3] WATCH (ID) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 17D6 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 17D6 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 231A ÷ 0030 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0030 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 0030 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 231A ÷ 2329 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 2329 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 2329 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 231A × 0025 ÷	#  × [0.3] WATCH (ID) × [23.13] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0025 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0025 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.13] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 231A ÷ 0024 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0024 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 0024 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 231A × 0022 ÷	#  × [0.3] WATCH (ID) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0022 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0022 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 0020 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 0020 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 231A × 002F ÷	#  × [0.3] WATCH (ID) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 002F ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 002F ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 002F ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 231A × 2060 ÷	#  × [0.3] WATCH (ID) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 2060 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 2060 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 2060 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 231A × 200B ÷	#  × [0.3] WATCH (ID) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 200B ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 200B ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 200B ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 231A ÷ 1F1E6 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 1F1E6 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 1F1E6 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 231A ÷ 261D ÷	#  × [0.3] WATCH (ID) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 261D ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 261D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 261D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 231A ÷ 1F3FB ÷	#  × [0.3] WATCH (ID) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 1F3FB ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 1F3FB ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 231A × 0029 ÷	#  × [0.3] WATCH (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 231A × 0020 × 0029 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0029 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 × 0029 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 231A ÷ 0028 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0028 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 0028 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 231A × 0001 ÷	#  × [0.3] WATCH (ID) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0001 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0001 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 231A × 200D ÷	#  × [0.3] WATCH (ID) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 200D ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 200D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 200D ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 231A ÷ 00A7 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 00A7 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 00A7 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 231A ÷ 50005 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 50005 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 50005 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 231A ÷ 0E01 ÷	#  × [0.3] WATCH (ID) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 0E01 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 ÷ 0E01 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 231A × 3041 ÷	#  × [0.3] WATCH (ID) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 231A × 0020 ÷ 3041 ÷	#  × [0.3] WATCH (ID) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 3041 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 231A × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] WATCH (ID) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2024 ÷ 0023 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0023 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 0023 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2024 ÷ 2014 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 2014 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 2014 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2024 × 0009 ÷	#  × [0.3] ONE DOT LEADER (IN) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0009 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0009 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2024 ÷ 00B4 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 00B4 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 00B4 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2024 × 000B ÷	#  × [0.3] ONE DOT LEADER (IN) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 000B ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 000B ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 000B ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2024 ÷ FFFC ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ FFFC ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ FFFC ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2024 × 007D ÷	#  × [0.3] ONE DOT LEADER (IN) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 007D ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 007D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 007D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2024 × 000D ÷	#  × [0.3] ONE DOT LEADER (IN) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 000D ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 000D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 000D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2024 × 0021 ÷	#  × [0.3] ONE DOT LEADER (IN) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 0021 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0021 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 0021 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2024 × 00A0 ÷	#  × [0.3] ONE DOT LEADER (IN) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 00A0 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 00A0 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2024 ÷ AC00 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ AC00 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ AC00 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2024 ÷ AC01 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ AC01 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ AC01 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2024 ÷ 05D0 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 05D0 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 05D0 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2024 × 002D ÷	#  × [0.3] ONE DOT LEADER (IN) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 002D ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 002D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2024 ÷ 231A ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 231A ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 231A ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2024 × 2024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 2024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 2024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2024 × 002C ÷	#  × [0.3] ONE DOT LEADER (IN) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 002C ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 002C ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 002C ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2024 ÷ 1100 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 1100 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 1100 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2024 ÷ 11A8 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 11A8 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 11A8 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2024 ÷ 1160 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 1160 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 1160 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2024 × 000A ÷	#  × [0.3] ONE DOT LEADER (IN) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 000A ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 000A ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 000A ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2024 × 0085 ÷	#  × [0.3] ONE DOT LEADER (IN) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 0085 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0085 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 0085 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2024 × 17D6 ÷	#  × [0.3] ONE DOT LEADER (IN) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 17D6 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 17D6 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2024 ÷ 0030 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0030 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 0030 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2024 ÷ 2329 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 2329 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 2329 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2024 ÷ 0025 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0025 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 0025 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2024 ÷ 0024 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 0024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2024 × 0022 ÷	#  × [0.3] ONE DOT LEADER (IN) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0022 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0022 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 0020 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 0020 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2024 × 002F ÷	#  × [0.3] ONE DOT LEADER (IN) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 002F ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 002F ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 002F ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2024 × 2060 ÷	#  × [0.3] ONE DOT LEADER (IN) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 2060 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 2060 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 2060 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2024 × 200B ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 200B ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 200B ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 200B ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2024 ÷ 1F1E6 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 1F1E6 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 1F1E6 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2024 ÷ 261D ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 261D ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 261D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2024 ÷ 1F3FB ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 1F3FB ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 1F3FB ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2024 × 0029 ÷	#  × [0.3] ONE DOT LEADER (IN) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2024 × 0020 × 0029 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0029 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 × 0029 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2024 ÷ 0028 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0028 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 0028 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2024 × 0001 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0001 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0001 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2024 × 200D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 200D ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 200D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2024 ÷ 00A7 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 00A7 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 00A7 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2024 ÷ 50005 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 50005 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 50005 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2024 ÷ 0E01 ÷	#  × [0.3] ONE DOT LEADER (IN) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 0E01 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 ÷ 0E01 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2024 × 3041 ÷	#  × [0.3] ONE DOT LEADER (IN) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2024 × 0020 ÷ 3041 ÷	#  × [0.3] ONE DOT LEADER (IN) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 3041 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2024 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] ONE DOT LEADER (IN) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002C × 0023 ÷	#  × [0.3] COMMA (IS) × [29.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0023 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0023 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [29.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002C ÷ 2014 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 2014 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 2014 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002C × 0009 ÷	#  × [0.3] COMMA (IS) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0009 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0009 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002C ÷ 00B4 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 00B4 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 00B4 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002C × 000B ÷	#  × [0.3] COMMA (IS) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 000B ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 000B ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 000B ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002C ÷ FFFC ÷	#  × [0.3] COMMA (IS) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ FFFC ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ FFFC ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002C × 007D ÷	#  × [0.3] COMMA (IS) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 007D ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 007D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 007D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002C × 000D ÷	#  × [0.3] COMMA (IS) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 000D ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 000D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 000D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002C × 0021 ÷	#  × [0.3] COMMA (IS) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 0021 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0021 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 0021 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002C × 00A0 ÷	#  × [0.3] COMMA (IS) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 00A0 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 00A0 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002C ÷ AC00 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ AC00 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ AC00 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002C ÷ AC01 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ AC01 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ AC01 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002C × 05D0 ÷	#  × [0.3] COMMA (IS) × [29.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 05D0 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 05D0 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [29.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002C × 002D ÷	#  × [0.3] COMMA (IS) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 002D ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 002D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 002D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002C ÷ 231A ÷	#  × [0.3] COMMA (IS) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 231A ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 231A ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 231A ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002C × 2024 ÷	#  × [0.3] COMMA (IS) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 2024 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 2024 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002C × 002C ÷	#  × [0.3] COMMA (IS) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 002C ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 002C ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 002C ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002C ÷ 1100 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 1100 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 1100 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002C ÷ 11A8 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 11A8 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 11A8 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002C ÷ 1160 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 1160 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 1160 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002C × 000A ÷	#  × [0.3] COMMA (IS) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 000A ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 000A ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 000A ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002C × 0085 ÷	#  × [0.3] COMMA (IS) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 0085 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0085 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 0085 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002C × 17D6 ÷	#  × [0.3] COMMA (IS) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 17D6 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 17D6 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002C ÷ 0030 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0030 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 0030 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002C ÷ 2329 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 2329 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 2329 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002C ÷ 0025 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0025 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 0025 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002C ÷ 0024 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0024 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 0024 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002C × 0022 ÷	#  × [0.3] COMMA (IS) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0022 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0022 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 0020 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 0020 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002C × 002F ÷	#  × [0.3] COMMA (IS) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 002F ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 002F ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 002F ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002C × 2060 ÷	#  × [0.3] COMMA (IS) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 2060 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 2060 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 2060 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002C × 200B ÷	#  × [0.3] COMMA (IS) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 200B ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 200B ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 200B ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002C ÷ 1F1E6 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 1F1E6 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 1F1E6 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002C ÷ 261D ÷	#  × [0.3] COMMA (IS) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 261D ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 261D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 261D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002C ÷ 1F3FB ÷	#  × [0.3] COMMA (IS) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 1F3FB ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 1F3FB ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002C × 0029 ÷	#  × [0.3] COMMA (IS) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002C × 0020 × 0029 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0029 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 × 0029 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002C ÷ 0028 ÷	#  × [0.3] COMMA (IS) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0028 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002C × 0308 ÷ 0028 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002C × 0001 ÷	#  × [0.3] COMMA (IS) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0001 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0001 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002C × 200D ÷	#  × [0.3] COMMA (IS) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 200D ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 200D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 200D ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002C × 00A7 ÷	#  × [0.3] COMMA (IS) × [29.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 00A7 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 00A7 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [29.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002C × 50005 ÷	#  × [0.3] COMMA (IS) × [29.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 50005 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 50005 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [29.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002C × 0E01 ÷	#  × [0.3] COMMA (IS) × [29.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 0E01 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0E01 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [29.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002C × 3041 ÷	#  × [0.3] COMMA (IS) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002C × 0020 ÷ 3041 ÷	#  × [0.3] COMMA (IS) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 3041 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002C × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] COMMA (IS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1100 ÷ 0023 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 0023 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1100 ÷ 2014 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 2014 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1100 × 0009 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0009 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1100 ÷ 00B4 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 00B4 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1100 × 000B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 000B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 000B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 000B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1100 ÷ FFFC ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ FFFC ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1100 × 007D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 007D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 007D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 007D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1100 × 000D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 000D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 000D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 000D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1100 × 0021 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 0021 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0021 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 0021 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1100 × 00A0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 00A0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1100 × AC00 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [26.01] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × AC00 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.01] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1100 × AC01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [26.01] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × AC01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.01] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1100 ÷ 05D0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 05D0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1100 × 002D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 002D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1100 ÷ 231A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 231A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1100 × 2024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 2024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1100 × 002C ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 002C ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 002C ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 002C ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1100 × 1100 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [26.01] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 1100 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.01] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1100 ÷ 11A8 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 11A8 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1100 × 1160 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [26.01] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 1160 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.01] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1100 × 000A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 000A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 000A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 000A ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1100 × 0085 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 0085 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0085 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 0085 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1100 × 17D6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 17D6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1100 ÷ 0030 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 0030 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1100 ÷ 2329 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 2329 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1100 × 0025 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0025 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1100 ÷ 0024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 0024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1100 × 0022 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0022 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 0020 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 0020 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1100 × 002F ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 002F ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 002F ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 002F ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1100 × 2060 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 2060 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 2060 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 2060 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1100 × 200B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 200B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 200B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 200B ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1100 ÷ 1F1E6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 1F1E6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1100 ÷ 261D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 261D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1100 ÷ 1F3FB ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 1F3FB ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1100 × 0029 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1100 × 0020 × 0029 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0029 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 × 0029 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1100 ÷ 0028 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 0028 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1100 × 0001 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0001 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1100 × 200D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 200D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1100 ÷ 00A7 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 00A7 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1100 ÷ 50005 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 50005 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1100 ÷ 0E01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 ÷ 0E01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1100 × 3041 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1100 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 3041 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1100 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 0023 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 0023 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 2014 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 2014 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 11A8 × 0009 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0009 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 00B4 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 00B4 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 11A8 × 000B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 000B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 000B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 000B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 11A8 ÷ FFFC ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ FFFC ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 11A8 × 007D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 007D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 007D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 007D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 11A8 × 000D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 000D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 000D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 000D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 11A8 × 0021 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 0021 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0021 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 0021 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 11A8 × 00A0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 00A0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 11A8 ÷ AC00 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ AC00 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 11A8 ÷ AC01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ AC01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 05D0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 05D0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 11A8 × 002D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 002D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 231A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 231A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 11A8 × 2024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 2024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 11A8 × 002C ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 002C ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 002C ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 002C ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 1100 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 1100 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 11A8 × 11A8 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [26.03] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 11A8 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.03] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 1160 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 1160 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 11A8 × 000A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 000A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 000A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 000A ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 11A8 × 0085 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 0085 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0085 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 0085 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 11A8 × 17D6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 17D6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 0030 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 0030 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 2329 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 2329 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 11A8 × 0025 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0025 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 0024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 0024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 11A8 × 0022 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0022 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 0020 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 0020 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 11A8 × 002F ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 002F ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 002F ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 002F ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 11A8 × 2060 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 2060 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 2060 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 2060 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 11A8 × 200B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 200B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 200B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 200B ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 261D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 261D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 1F3FB ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 1F3FB ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 11A8 × 0029 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 × 0029 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0029 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 × 0029 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 0028 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 0028 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 11A8 × 0001 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0001 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 11A8 × 200D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 200D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 00A7 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 00A7 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 50005 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 50005 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 11A8 ÷ 0E01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 ÷ 0E01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 11A8 × 3041 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 11A8 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 3041 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 11A8 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1160 ÷ 0023 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 0023 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1160 ÷ 2014 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 2014 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1160 × 0009 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0009 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1160 ÷ 00B4 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 00B4 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1160 × 000B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 000B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 000B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 000B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1160 ÷ FFFC ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ FFFC ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1160 × 007D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 007D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 007D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 007D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1160 × 000D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 000D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 000D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 000D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1160 × 0021 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 0021 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0021 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 0021 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1160 × 00A0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 00A0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1160 ÷ AC00 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ AC00 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1160 ÷ AC01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ AC01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1160 ÷ 05D0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 05D0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1160 × 002D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 002D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1160 ÷ 231A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 231A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1160 × 2024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 2024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1160 × 002C ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 002C ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 002C ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 002C ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1160 ÷ 1100 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 1100 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1160 × 11A8 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [26.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 11A8 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1160 × 1160 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [26.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 1160 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [26.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1160 × 000A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 000A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 000A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 000A ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1160 × 0085 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 0085 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0085 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 0085 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1160 × 17D6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 17D6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1160 ÷ 0030 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 0030 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1160 ÷ 2329 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 2329 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1160 × 0025 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0025 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1160 ÷ 0024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 0024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1160 × 0022 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0022 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 0020 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 0020 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1160 × 002F ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 002F ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 002F ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 002F ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1160 × 2060 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 2060 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 2060 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 2060 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1160 × 200B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 200B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 200B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 200B ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1160 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1160 ÷ 261D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 261D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1160 ÷ 1F3FB ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 1F3FB ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1160 × 0029 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1160 × 0020 × 0029 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0029 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 × 0029 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1160 ÷ 0028 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 0028 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1160 × 0001 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0001 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1160 × 200D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 200D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1160 ÷ 00A7 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 00A7 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1160 ÷ 50005 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 50005 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1160 ÷ 0E01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 ÷ 0E01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1160 × 3041 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1160 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 3041 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1160 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0023 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0023 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0023 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0023 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 2014 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 2014 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 2014 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 2014 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 000A ÷ 0009 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0009 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0009 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0009 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 000A ÷ 00B4 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 00B4 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 00B4 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 000A ÷ 000B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 000B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 000B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 000B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 000A ÷ FFFC ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ FFFC ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ FFFC ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ FFFC ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 000A ÷ 007D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 007D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 007D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 007D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 000A ÷ 000D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 000D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 000D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 000D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0021 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 0021 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0021 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 0021 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 000A ÷ 00A0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 00A0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 00A0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 000A ÷ AC00 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ AC00 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ AC00 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ AC00 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 000A ÷ AC01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ AC01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ AC01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ AC01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 000A ÷ 05D0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 05D0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 05D0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 000A ÷ 002D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 002D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 002D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 002D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 000A ÷ 231A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 231A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 231A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 231A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 000A ÷ 2024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 2024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 2024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 2024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 000A ÷ 002C ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 002C ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 002C ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 002C ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 000A ÷ 1100 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 1100 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 1100 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 1100 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 000A ÷ 11A8 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 11A8 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 11A8 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 000A ÷ 1160 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 1160 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 1160 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 1160 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 000A ÷ 000A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 000A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 000A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 000A ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 000A ÷ 0085 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 0085 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0085 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 0085 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 000A ÷ 17D6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 17D6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 17D6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0030 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0030 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0030 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0030 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 000A ÷ 2329 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 2329 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 2329 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 2329 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 000A ÷ 0025 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0025 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0025 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0025 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 000A ÷ 0024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0024 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 000A ÷ 0022 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0022 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0022 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0022 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 0020 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 0020 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000A ÷ 002F ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 002F ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 002F ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 002F ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 000A ÷ 2060 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 2060 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 2060 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 2060 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 000A ÷ 200B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 200B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 200B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 200B ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 000A ÷ 1F1E6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 1F1E6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 1F1E6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 000A ÷ 261D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 261D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 261D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 261D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 000A ÷ 1F3FB ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 1F3FB ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 ÷ 1F3FB ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0029 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 × 0029 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0029 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 × 0029 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0028 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0028 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0028 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0028 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 000A ÷ 0001 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0001 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0001 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0001 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 200D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 200D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 200D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 200D ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 000A ÷ 00A7 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 00A7 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 00A7 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 50005 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 50005 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 50005 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 50005 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0E01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 0E01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0E01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 000A ÷ 3041 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0020 ÷ 3041 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 3041 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000A ÷ 0308 × 0020 ÷ 3041 ÷	#  × [0.3] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0023 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0023 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0023 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0023 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 2014 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 2014 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 2014 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 2014 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0009 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0009 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0009 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0009 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0085 ÷ 00B4 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 00B4 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 00B4 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 000B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 000B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 000B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 000B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0085 ÷ FFFC ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ FFFC ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ FFFC ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ FFFC ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 007D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 007D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 007D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 007D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 000D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 000D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 000D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 000D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0021 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 0021 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0021 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 0021 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0085 ÷ 00A0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 00A0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 00A0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0085 ÷ AC00 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ AC00 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ AC00 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ AC00 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0085 ÷ AC01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ AC01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ AC01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ AC01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0085 ÷ 05D0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 05D0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 05D0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 002D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 002D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 002D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 002D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 231A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 231A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 231A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 231A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0085 ÷ 2024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 2024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 2024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 2024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0085 ÷ 002C ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 002C ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 002C ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 002C ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 1100 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 1100 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 1100 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 1100 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 11A8 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 11A8 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 11A8 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0085 ÷ 1160 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 1160 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 1160 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 1160 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0085 ÷ 000A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 000A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 000A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 000A ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0085 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 0085 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0085 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 0085 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 17D6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 17D6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 17D6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0030 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0030 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0030 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0030 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 2329 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 2329 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 2329 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 2329 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0025 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0025 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0025 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0025 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0024 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0022 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0022 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0022 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0022 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 0020 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 0020 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0085 ÷ 002F ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 002F ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 002F ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 002F ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0085 ÷ 2060 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 2060 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 2060 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 2060 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0085 ÷ 200B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 200B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 200B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 200B ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0085 ÷ 1F1E6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 1F1E6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 1F1E6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0085 ÷ 261D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 261D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 261D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 261D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0085 ÷ 1F3FB ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 1F3FB ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 ÷ 1F3FB ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0029 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 × 0029 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0029 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 × 0029 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0028 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0028 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0028 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0028 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0001 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0001 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0001 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0001 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 200D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 200D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 200D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 200D ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0085 ÷ 00A7 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 00A7 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 00A7 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 50005 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 50005 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 50005 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 50005 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0E01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 0E01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0E01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0085 ÷ 3041 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0020 ÷ 3041 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 3041 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 0308 × 0020 ÷ 3041 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 0023 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0023 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 0023 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 2014 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 2014 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 2014 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 17D6 × 0009 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0009 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0009 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 00B4 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 00B4 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 00B4 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 17D6 × 000B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 000B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 000B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 000B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 17D6 ÷ FFFC ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ FFFC ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ FFFC ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 17D6 × 007D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 007D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 007D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 007D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 17D6 × 000D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 000D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 000D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 000D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 17D6 × 0021 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 0021 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0021 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 0021 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 17D6 × 00A0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 00A0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 00A0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 17D6 ÷ AC00 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ AC00 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ AC00 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
}
if (!$::TESTCHUNK or $::TESTCHUNK == 8) {
    Test_LB('× 17D6 ÷ AC01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ AC01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ AC01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 05D0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 05D0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 05D0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 17D6 × 002D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 002D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 002D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 231A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 231A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 231A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 17D6 × 2024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 2024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 2024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 17D6 × 002C ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 002C ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 002C ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 002C ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 1100 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 1100 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 1100 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 11A8 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 11A8 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 11A8 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 1160 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 1160 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 1160 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 17D6 × 000A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 000A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 000A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 000A ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 17D6 × 0085 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 0085 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0085 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 0085 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 17D6 × 17D6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 17D6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 17D6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 0030 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0030 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 0030 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 2329 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 2329 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 2329 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 0025 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0025 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 0025 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 0024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 0024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 17D6 × 0022 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0022 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0022 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 0020 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 0020 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 17D6 × 002F ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 002F ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 002F ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 002F ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 17D6 × 2060 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 2060 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 2060 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 2060 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 17D6 × 200B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 200B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 200B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 200B ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 1F1E6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 1F1E6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 1F1E6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 261D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 261D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 261D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 1F3FB ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 1F3FB ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 1F3FB ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 17D6 × 0029 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 × 0029 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0029 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 × 0029 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 0028 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0028 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 0028 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 17D6 × 0001 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0001 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0001 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 17D6 × 200D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 200D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 200D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 00A7 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 00A7 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 00A7 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 50005 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 50005 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 50005 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 17D6 ÷ 0E01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 0E01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 ÷ 0E01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 17D6 × 3041 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 17D6 × 0020 ÷ 3041 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 3041 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 17D6 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] KHMER SIGN CAMNUC PII KUUH (NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0030 × 0023 ÷	#  × [0.3] DIGIT ZERO (NU) × [23.03] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0023 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0023 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.03] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0030 ÷ 2014 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 2014 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 2014 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0030 × 0009 ÷	#  × [0.3] DIGIT ZERO (NU) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0009 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0009 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0030 ÷ 00B4 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 00B4 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 00B4 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0030 × 000B ÷	#  × [0.3] DIGIT ZERO (NU) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 000B ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 000B ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 000B ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0030 ÷ FFFC ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ FFFC ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ FFFC ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0030 × 007D ÷	#  × [0.3] DIGIT ZERO (NU) × [25.04] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 007D ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 007D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.04] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 007D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0030 × 000D ÷	#  × [0.3] DIGIT ZERO (NU) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 000D ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 000D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 000D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0030 × 0021 ÷	#  × [0.3] DIGIT ZERO (NU) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 0021 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0021 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 0021 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0030 × 00A0 ÷	#  × [0.3] DIGIT ZERO (NU) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 00A0 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 00A0 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0030 ÷ AC00 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ AC00 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ AC00 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0030 ÷ AC01 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ AC01 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ AC01 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0030 × 05D0 ÷	#  × [0.3] DIGIT ZERO (NU) × [23.03] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 05D0 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 05D0 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.03] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0030 × 002D ÷	#  × [0.3] DIGIT ZERO (NU) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 002D ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 002D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0030 ÷ 231A ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 231A ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 231A ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0030 × 2024 ÷	#  × [0.3] DIGIT ZERO (NU) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 2024 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 2024 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0030 × 002C ÷	#  × [0.3] DIGIT ZERO (NU) × [25.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 002C ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 002C ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 002C ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0030 ÷ 1100 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 1100 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 1100 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0030 ÷ 11A8 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 11A8 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 11A8 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0030 ÷ 1160 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 1160 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 1160 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0030 × 000A ÷	#  × [0.3] DIGIT ZERO (NU) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 000A ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 000A ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 000A ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0030 × 0085 ÷	#  × [0.3] DIGIT ZERO (NU) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 0085 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0085 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 0085 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0030 × 17D6 ÷	#  × [0.3] DIGIT ZERO (NU) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 17D6 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 17D6 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0030 × 0030 ÷	#  × [0.3] DIGIT ZERO (NU) × [25.03] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0030 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0030 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.03] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0030 ÷ 2329 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 2329 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 2329 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0030 × 0025 ÷	#  × [0.3] DIGIT ZERO (NU) × [25.05] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0025 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0025 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.05] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0030 × 0024 ÷	#  × [0.3] DIGIT ZERO (NU) × [25.05] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0024 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0024 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.05] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0030 × 0022 ÷	#  × [0.3] DIGIT ZERO (NU) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0022 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0022 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 0020 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 0020 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0030 × 002F ÷	#  × [0.3] DIGIT ZERO (NU) × [25.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 002F ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 002F ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 002F ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0030 × 2060 ÷	#  × [0.3] DIGIT ZERO (NU) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 2060 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 2060 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 2060 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0030 × 200B ÷	#  × [0.3] DIGIT ZERO (NU) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 200B ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 200B ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 200B ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0030 ÷ 1F1E6 ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 1F1E6 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 1F1E6 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0030 ÷ 261D ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 261D ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 261D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0030 ÷ 1F3FB ÷	#  × [0.3] DIGIT ZERO (NU) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 1F3FB ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0030 × 0308 ÷ 1F3FB ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0030 × 0029 ÷	#  × [0.3] DIGIT ZERO (NU) × [25.04] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0030 × 0020 × 0029 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0029 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.04] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 × 0029 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0030 × 0028 ÷	#  × [0.3] DIGIT ZERO (NU) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0028 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0028 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0030 × 0001 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0001 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0001 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0030 × 200D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 200D ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 200D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0030 × 00A7 ÷	#  × [0.3] DIGIT ZERO (NU) × [23.03] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 00A7 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 00A7 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.03] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0030 × 50005 ÷	#  × [0.3] DIGIT ZERO (NU) × [23.03] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 50005 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 50005 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.03] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0E01 ÷	#  × [0.3] DIGIT ZERO (NU) × [23.03] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 0E01 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0E01 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.03] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0030 × 3041 ÷	#  × [0.3] DIGIT ZERO (NU) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0030 × 0020 ÷ 3041 ÷	#  × [0.3] DIGIT ZERO (NU) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 3041 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0030 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] DIGIT ZERO (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2329 × 0023 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0023 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0023 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0023 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2329 × 2014 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 2014 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 2014 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 2014 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2329 × 0009 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0009 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0009 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0009 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2329 × 00B4 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 00B4 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 00B4 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 00B4 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2329 × 000B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 000B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 000B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 000B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2329 × FFFC ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × FFFC ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × FFFC ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × FFFC ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2329 × 007D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 007D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 007D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 007D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2329 × 000D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 000D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 000D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 000D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2329 × 0021 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0021 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0021 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0021 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2329 × 00A0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 00A0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 00A0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 00A0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2329 × AC00 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × AC00 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × AC00 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × AC00 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2329 × AC01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × AC01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × AC01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × AC01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2329 × 05D0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 05D0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 05D0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 05D0 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2329 × 002D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 002D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 002D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 002D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2329 × 231A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 231A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 231A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 231A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2329 × 2024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 2024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 2024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 2024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2329 × 002C ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 002C ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 002C ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 002C ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2329 × 1100 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 1100 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 1100 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 1100 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2329 × 11A8 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 11A8 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 11A8 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 11A8 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2329 × 1160 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 1160 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 1160 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 1160 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2329 × 000A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 000A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 000A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 000A ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2329 × 0085 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0085 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0085 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0085 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2329 × 17D6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 17D6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 17D6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 17D6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2329 × 0030 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0030 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0030 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0030 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2329 × 2329 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 2329 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 2329 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 2329 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2329 × 0025 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0025 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0025 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0025 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2329 × 0024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0024 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2329 × 0022 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0022 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0022 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0022 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2329 × 0020 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0020 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0020 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2329 × 002F ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 002F ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 002F ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 002F ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2329 × 2060 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 2060 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 2060 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 2060 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2329 × 200B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 200B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 200B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 200B ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2329 × 1F1E6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 1F1E6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 1F1E6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 1F1E6 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2329 × 261D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 261D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 261D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 261D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2329 × 1F3FB ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 1F3FB ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 1F3FB ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 1F3FB ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2329 × 0029 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0029 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0029 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0029 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2329 × 0028 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0028 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0028 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0028 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2329 × 0001 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0001 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0001 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0001 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2329 × 200D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 200D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 200D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 200D ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2329 × 00A7 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 00A7 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 00A7 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 00A7 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2329 × 50005 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 50005 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 50005 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 50005 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0E01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 0E01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0E01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 0E01 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2329 × 3041 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2329 × 0020 × 3041 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [7.01] SPACE (SP) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 3041 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2329 × 0308 × 0020 × 3041 ÷	#  × [0.3] LEFT-POINTING ANGLE BRACKET (OP) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0025 × 0023 ÷	#  × [0.3] PERCENT SIGN (PO) × [24.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0023 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0023 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0025 ÷ 2014 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 2014 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 2014 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0025 × 0009 ÷	#  × [0.3] PERCENT SIGN (PO) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0009 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0009 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0025 ÷ 00B4 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 00B4 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 00B4 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0025 × 000B ÷	#  × [0.3] PERCENT SIGN (PO) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 000B ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 000B ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 000B ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0025 ÷ FFFC ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ FFFC ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ FFFC ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0025 × 007D ÷	#  × [0.3] PERCENT SIGN (PO) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 007D ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 007D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 007D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0025 × 000D ÷	#  × [0.3] PERCENT SIGN (PO) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 000D ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 000D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 000D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0025 × 0021 ÷	#  × [0.3] PERCENT SIGN (PO) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 0021 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0021 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 0021 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0025 × 00A0 ÷	#  × [0.3] PERCENT SIGN (PO) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 00A0 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 00A0 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0025 ÷ AC00 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ AC00 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ AC00 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0025 ÷ AC01 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ AC01 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ AC01 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0025 × 05D0 ÷	#  × [0.3] PERCENT SIGN (PO) × [24.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 05D0 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 05D0 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0025 × 002D ÷	#  × [0.3] PERCENT SIGN (PO) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 002D ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 002D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0025 ÷ 231A ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 231A ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 231A ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0025 × 2024 ÷	#  × [0.3] PERCENT SIGN (PO) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 2024 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 2024 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0025 × 002C ÷	#  × [0.3] PERCENT SIGN (PO) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 002C ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 002C ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 002C ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0025 ÷ 1100 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 1100 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 1100 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0025 ÷ 11A8 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 11A8 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 11A8 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0025 ÷ 1160 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 1160 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 1160 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0025 × 000A ÷	#  × [0.3] PERCENT SIGN (PO) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 000A ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 000A ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 000A ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0025 × 0085 ÷	#  × [0.3] PERCENT SIGN (PO) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 0085 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0085 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 0085 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0025 × 17D6 ÷	#  × [0.3] PERCENT SIGN (PO) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 17D6 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 17D6 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0025 × 0030 ÷	#  × [0.3] PERCENT SIGN (PO) × [25.01] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0030 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0030 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.01] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0025 ÷ 2329 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 2329 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 2329 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0025 ÷ 0025 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0025 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 0025 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0025 ÷ 0024 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0024 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 0024 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0025 × 0022 ÷	#  × [0.3] PERCENT SIGN (PO) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0022 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0022 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 0020 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 0020 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0025 × 002F ÷	#  × [0.3] PERCENT SIGN (PO) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 002F ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 002F ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 002F ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0025 × 2060 ÷	#  × [0.3] PERCENT SIGN (PO) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 2060 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 2060 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 2060 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0025 × 200B ÷	#  × [0.3] PERCENT SIGN (PO) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 200B ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 200B ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 200B ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0025 ÷ 1F1E6 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 1F1E6 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 1F1E6 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0025 ÷ 261D ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 261D ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 261D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0025 ÷ 1F3FB ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 1F3FB ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 1F3FB ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0025 × 0029 ÷	#  × [0.3] PERCENT SIGN (PO) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0025 × 0020 × 0029 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0029 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 × 0029 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0025 ÷ 0028 ÷	#  × [0.3] PERCENT SIGN (PO) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0028 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0025 × 0308 ÷ 0028 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0025 × 0001 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0001 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0001 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0025 × 200D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 200D ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 200D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0025 × 00A7 ÷	#  × [0.3] PERCENT SIGN (PO) × [24.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 00A7 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 00A7 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0025 × 50005 ÷	#  × [0.3] PERCENT SIGN (PO) × [24.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 50005 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 50005 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0E01 ÷	#  × [0.3] PERCENT SIGN (PO) × [24.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 0E01 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0E01 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0025 × 3041 ÷	#  × [0.3] PERCENT SIGN (PO) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0025 × 0020 ÷ 3041 ÷	#  × [0.3] PERCENT SIGN (PO) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 3041 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0025 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] PERCENT SIGN (PO) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0024 × 0023 ÷	#  × [0.3] DOLLAR SIGN (PR) × [24.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0023 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0023 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0024 ÷ 2014 ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 2014 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ 2014 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0024 × 0009 ÷	#  × [0.3] DOLLAR SIGN (PR) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0009 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0009 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0024 ÷ 00B4 ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 00B4 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ 00B4 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0024 × 000B ÷	#  × [0.3] DOLLAR SIGN (PR) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 000B ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 000B ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 000B ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0024 ÷ FFFC ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ FFFC ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ FFFC ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0024 × 007D ÷	#  × [0.3] DOLLAR SIGN (PR) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 007D ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 007D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 007D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0024 × 000D ÷	#  × [0.3] DOLLAR SIGN (PR) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 000D ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 000D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 000D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0024 × 0021 ÷	#  × [0.3] DOLLAR SIGN (PR) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 0021 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0021 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 0021 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0024 × 00A0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 00A0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 00A0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0024 × AC00 ÷	#  × [0.3] DOLLAR SIGN (PR) × [27.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ AC00 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × AC00 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0024 × AC01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [27.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ AC01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × AC01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0024 × 05D0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [24.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 05D0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 05D0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0024 × 002D ÷	#  × [0.3] DOLLAR SIGN (PR) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 002D ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 002D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0024 × 231A ÷	#  × [0.3] DOLLAR SIGN (PR) × [23.12] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 231A ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 231A ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.12] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0024 × 2024 ÷	#  × [0.3] DOLLAR SIGN (PR) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 2024 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 2024 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0024 × 002C ÷	#  × [0.3] DOLLAR SIGN (PR) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 002C ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 002C ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 002C ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0024 × 1100 ÷	#  × [0.3] DOLLAR SIGN (PR) × [27.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 1100 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 1100 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0024 × 11A8 ÷	#  × [0.3] DOLLAR SIGN (PR) × [27.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 11A8 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 11A8 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0024 × 1160 ÷	#  × [0.3] DOLLAR SIGN (PR) × [27.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 1160 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 1160 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [27.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0024 × 000A ÷	#  × [0.3] DOLLAR SIGN (PR) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 000A ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 000A ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 000A ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0024 × 0085 ÷	#  × [0.3] DOLLAR SIGN (PR) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 0085 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0085 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 0085 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0024 × 17D6 ÷	#  × [0.3] DOLLAR SIGN (PR) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 17D6 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 17D6 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0024 × 0030 ÷	#  × [0.3] DOLLAR SIGN (PR) × [25.01] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0030 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0030 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [25.01] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0024 ÷ 2329 ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 2329 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ 2329 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0024 ÷ 0025 ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0025 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ 0025 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0024 ÷ 0024 ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0024 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ 0024 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0024 × 0022 ÷	#  × [0.3] DOLLAR SIGN (PR) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0022 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0022 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 0020 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 0020 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0024 × 002F ÷	#  × [0.3] DOLLAR SIGN (PR) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 002F ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 002F ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 002F ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0024 × 2060 ÷	#  × [0.3] DOLLAR SIGN (PR) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 2060 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 2060 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 2060 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0024 × 200B ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 200B ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 200B ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 200B ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0024 ÷ 1F1E6 ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 1F1E6 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ 1F1E6 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0024 × 261D ÷	#  × [0.3] DOLLAR SIGN (PR) × [23.12] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 261D ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 261D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.12] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0024 × 1F3FB ÷	#  × [0.3] DOLLAR SIGN (PR) × [23.12] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 1F3FB ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 1F3FB ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.12] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0024 × 0029 ÷	#  × [0.3] DOLLAR SIGN (PR) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0024 × 0020 × 0029 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0029 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 × 0029 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0024 ÷ 0028 ÷	#  × [0.3] DOLLAR SIGN (PR) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0028 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0024 × 0308 ÷ 0028 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0024 × 0001 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0001 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0001 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0024 × 200D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 200D ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 200D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0024 × 00A7 ÷	#  × [0.3] DOLLAR SIGN (PR) × [24.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 00A7 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 00A7 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0024 × 50005 ÷	#  × [0.3] DOLLAR SIGN (PR) × [24.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 50005 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 50005 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0E01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [24.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 0E01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0E01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0024 × 3041 ÷	#  × [0.3] DOLLAR SIGN (PR) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0024 × 0020 ÷ 3041 ÷	#  × [0.3] DOLLAR SIGN (PR) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 3041 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0024 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] DOLLAR SIGN (PR) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0022 × 0023 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0023 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0023 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0022 × 2014 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 2014 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 2014 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0022 × 0009 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0009 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0009 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0022 × 00B4 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 00B4 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 00B4 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0022 × 000B ÷	#  × [0.3] QUOTATION MARK (QU) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 000B ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 000B ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 000B ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0022 × FFFC ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ FFFC ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × FFFC ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0022 × 007D ÷	#  × [0.3] QUOTATION MARK (QU) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 007D ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 007D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 007D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0022 × 000D ÷	#  × [0.3] QUOTATION MARK (QU) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 000D ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 000D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 000D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0022 × 0021 ÷	#  × [0.3] QUOTATION MARK (QU) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 0021 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0021 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 0021 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0022 × 00A0 ÷	#  × [0.3] QUOTATION MARK (QU) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 00A0 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 00A0 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0022 × AC00 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ AC00 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × AC00 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0022 × AC01 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ AC01 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × AC01 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0022 × 05D0 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 05D0 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 05D0 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0022 × 002D ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 002D ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 002D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0022 × 231A ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 231A ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 231A ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0022 × 2024 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 2024 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 2024 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0022 × 002C ÷	#  × [0.3] QUOTATION MARK (QU) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 002C ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 002C ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 002C ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0022 × 1100 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 1100 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 1100 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0022 × 11A8 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 11A8 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 11A8 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0022 × 1160 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 1160 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 1160 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0022 × 000A ÷	#  × [0.3] QUOTATION MARK (QU) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 000A ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 000A ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 000A ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0022 × 0085 ÷	#  × [0.3] QUOTATION MARK (QU) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 0085 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0085 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 0085 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0022 × 17D6 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 17D6 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 17D6 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0022 × 0030 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0030 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0030 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0022 × 2329 ÷	#  × [0.3] QUOTATION MARK (QU) × [15.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 2329 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [15.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 2329 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [15.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 2329 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [15.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0022 × 0025 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0025 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0025 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0022 × 0024 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0024 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0024 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0022 × 0022 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0022 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0022 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 0020 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 0020 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0022 × 002F ÷	#  × [0.3] QUOTATION MARK (QU) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 002F ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 002F ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 002F ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0022 × 2060 ÷	#  × [0.3] QUOTATION MARK (QU) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 2060 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 2060 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 2060 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0022 × 200B ÷	#  × [0.3] QUOTATION MARK (QU) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 200B ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 200B ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 200B ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0022 × 1F1E6 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 1F1E6 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 1F1E6 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0022 × 261D ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 261D ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 261D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0022 × 1F3FB ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 1F3FB ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 1F3FB ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0022 × 0029 ÷	#  × [0.3] QUOTATION MARK (QU) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 0029 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0029 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 0029 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0022 × 0028 ÷	#  × [0.3] QUOTATION MARK (QU) × [15.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0022 × 0020 × 0028 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) × [15.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0028 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [15.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 × 0028 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [15.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0022 × 0001 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0001 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0001 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0022 × 200D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 200D ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 200D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0022 × 00A7 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 00A7 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 00A7 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0022 × 50005 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 50005 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 50005 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0E01 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 0E01 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0E01 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0022 × 3041 ÷	#  × [0.3] QUOTATION MARK (QU) × [19.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0022 × 0020 ÷ 3041 ÷	#  × [0.3] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 3041 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0022 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0023 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0023 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0023 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0023 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 2014 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 2014 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 2014 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 2014 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0009 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0009 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0009 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0009 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0020 ÷ 00B4 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 00B4 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 00B4 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0020 × 000B ÷	#  × [0.3] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 000B ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 000B ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 000B ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0020 ÷ FFFC ÷	#  × [0.3] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ FFFC ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ FFFC ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ FFFC ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0020 × 007D ÷	#  × [0.3] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 007D ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 007D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 007D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0020 × 000D ÷	#  × [0.3] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 000D ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 000D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 000D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0020 × 0021 ÷	#  × [0.3] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 0021 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0021 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 0021 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0020 ÷ 00A0 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 00A0 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 00A0 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0020 ÷ AC00 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ AC00 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ AC00 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ AC00 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0020 ÷ AC01 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ AC01 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ AC01 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ AC01 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0020 ÷ 05D0 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 05D0 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 05D0 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 002D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 002D ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 002D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 002D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0020 ÷ 231A ÷	#  × [0.3] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 231A ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 231A ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 231A ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0020 ÷ 2024 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 2024 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 2024 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 2024 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0020 × 002C ÷	#  × [0.3] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 002C ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 002C ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 002C ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 1100 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 1100 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 1100 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 1100 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 11A8 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 11A8 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 11A8 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0020 ÷ 1160 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 1160 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 1160 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 1160 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0020 × 000A ÷	#  × [0.3] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 000A ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 000A ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 000A ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0020 × 0085 ÷	#  × [0.3] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 0085 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0085 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 0085 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 17D6 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 17D6 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 17D6 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0030 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0030 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0030 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0030 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0020 ÷ 2329 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 2329 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 2329 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 2329 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0025 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0025 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0025 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0025 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0024 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0024 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0024 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0024 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0022 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0022 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0022 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0022 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 0020 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 0020 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0020 × 002F ÷	#  × [0.3] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 002F ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 002F ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 002F ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0020 × 2060 ÷	#  × [0.3] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 2060 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 2060 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 2060 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0020 × 200B ÷	#  × [0.3] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 200B ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 200B ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 200B ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0020 ÷ 1F1E6 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 1F1E6 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 1F1E6 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0020 ÷ 261D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 261D ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 261D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 261D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0020 ÷ 1F3FB ÷	#  × [0.3] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 1F3FB ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 ÷ 1F3FB ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0020 × 0029 ÷	#  × [0.3] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0020 × 0020 × 0029 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0029 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 × 0029 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0028 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0028 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0028 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0028 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0001 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0001 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0001 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0001 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 200D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 200D ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 200D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 200D ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 00A7 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 00A7 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 00A7 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 50005 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 50005 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 50005 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 50005 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0E01 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 0E01 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0E01 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0020 ÷ 3041 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0020 × 0020 ÷ 3041 ÷	#  × [0.3] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 3041 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0020 ÷ 0308 × 0020 ÷ 3041 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002F ÷ 0023 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0023 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 0023 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 002F ÷ 2014 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 2014 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 2014 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 002F × 0009 ÷	#  × [0.3] SOLIDUS (SY) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0009 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0009 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 002F ÷ 00B4 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 00B4 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 00B4 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 002F × 000B ÷	#  × [0.3] SOLIDUS (SY) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 000B ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 000B ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 000B ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 002F ÷ FFFC ÷	#  × [0.3] SOLIDUS (SY) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ FFFC ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ FFFC ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 002F × 007D ÷	#  × [0.3] SOLIDUS (SY) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 007D ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 007D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 007D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 002F × 000D ÷	#  × [0.3] SOLIDUS (SY) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 000D ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 000D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 000D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 002F × 0021 ÷	#  × [0.3] SOLIDUS (SY) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 0021 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0021 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 0021 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 002F × 00A0 ÷	#  × [0.3] SOLIDUS (SY) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 00A0 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 00A0 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 002F ÷ AC00 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ AC00 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ AC00 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 002F ÷ AC01 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ AC01 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ AC01 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 002F × 05D0 ÷	#  × [0.3] SOLIDUS (SY) × [21.2] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 05D0 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 05D0 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.2] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 002F × 002D ÷	#  × [0.3] SOLIDUS (SY) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 002D ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 002D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 002D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 002F ÷ 231A ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 231A ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 231A ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 231A ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 002F × 2024 ÷	#  × [0.3] SOLIDUS (SY) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 2024 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 2024 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 002F × 002C ÷	#  × [0.3] SOLIDUS (SY) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 002C ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 002C ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 002C ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 002F ÷ 1100 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 1100 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 1100 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 002F ÷ 11A8 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 11A8 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 11A8 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 002F ÷ 1160 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 1160 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 1160 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 002F × 000A ÷	#  × [0.3] SOLIDUS (SY) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 000A ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 000A ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 000A ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 002F × 0085 ÷	#  × [0.3] SOLIDUS (SY) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 0085 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0085 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 0085 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 002F × 17D6 ÷	#  × [0.3] SOLIDUS (SY) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 17D6 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 17D6 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 002F ÷ 0030 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0030 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 0030 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 002F ÷ 2329 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 2329 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 2329 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 002F ÷ 0025 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0025 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 0025 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 002F ÷ 0024 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0024 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 0024 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 002F × 0022 ÷	#  × [0.3] SOLIDUS (SY) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0022 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0022 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 0020 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 0020 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002F × 002F ÷	#  × [0.3] SOLIDUS (SY) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 002F ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 002F ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 002F ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 002F × 2060 ÷	#  × [0.3] SOLIDUS (SY) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 2060 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 2060 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 2060 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 002F × 200B ÷	#  × [0.3] SOLIDUS (SY) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 200B ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 200B ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 200B ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 002F ÷ 1F1E6 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 1F1E6 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 1F1E6 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 002F ÷ 261D ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 261D ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 261D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 261D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 002F ÷ 1F3FB ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 1F3FB ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 1F3FB ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 002F × 0029 ÷	#  × [0.3] SOLIDUS (SY) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002F × 0020 × 0029 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0029 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 × 0029 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 002F ÷ 0028 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0028 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 0028 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 002F × 0001 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0001 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0001 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 002F × 200D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 200D ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 200D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 200D ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 002F ÷ 00A7 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 00A7 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 00A7 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 002F ÷ 50005 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 50005 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 50005 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 002F ÷ 0E01 ÷	#  × [0.3] SOLIDUS (SY) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 0E01 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 ÷ 0E01 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 002F × 3041 ÷	#  × [0.3] SOLIDUS (SY) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002F × 0020 ÷ 3041 ÷	#  × [0.3] SOLIDUS (SY) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 3041 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 002F × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] SOLIDUS (SY) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2060 × 0023 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0023 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0023 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 2060 × 2014 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 2014 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 2014 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 2060 × 0009 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0009 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0009 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 2060 × 00B4 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 00B4 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 00B4 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 2060 × 000B ÷	#  × [0.3] WORD JOINER (WJ) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 000B ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 000B ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 000B ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 2060 × FFFC ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ FFFC ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × FFFC ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 2060 × 007D ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 007D ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 007D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 007D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 2060 × 000D ÷	#  × [0.3] WORD JOINER (WJ) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 000D ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 000D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 000D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 2060 × 0021 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 0021 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0021 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 0021 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 2060 × 00A0 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 00A0 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 00A0 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 2060 × AC00 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ AC00 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × AC00 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 2060 × AC01 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ AC01 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × AC01 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 2060 × 05D0 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 05D0 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 05D0 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 2060 × 002D ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 002D ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 002D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 2060 × 231A ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 231A ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 231A ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 2060 × 2024 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 2024 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 2024 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2060 × 002C ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 002C ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 002C ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 002C ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 2060 × 1100 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 1100 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 1100 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 2060 × 11A8 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 11A8 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 11A8 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 2060 × 1160 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 1160 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 1160 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 2060 × 000A ÷	#  × [0.3] WORD JOINER (WJ) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 000A ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 000A ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 000A ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 2060 × 0085 ÷	#  × [0.3] WORD JOINER (WJ) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 0085 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0085 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 0085 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 2060 × 17D6 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 17D6 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 17D6 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 2060 × 0030 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0030 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0030 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 2060 × 2329 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 2329 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 2329 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 2060 × 0025 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0025 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0025 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 2060 × 0024 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0024 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0024 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 2060 × 0022 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0022 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0022 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 0020 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 0020 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 2060 × 002F ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 002F ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 002F ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 002F ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2060 × 2060 ÷	#  × [0.3] WORD JOINER (WJ) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 2060 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 2060 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 2060 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2060 × 200B ÷	#  × [0.3] WORD JOINER (WJ) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 200B ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 200B ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 200B ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 2060 × 1F1E6 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 1F1E6 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 1F1E6 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 2060 × 261D ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 261D ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 261D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 2060 × 1F3FB ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 1F3FB ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 1F3FB ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 2060 × 0029 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2060 × 0020 × 0029 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0029 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 × 0029 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 2060 × 0028 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0028 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0028 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 2060 × 0001 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0001 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0001 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 2060 × 200D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 200D ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 200D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 2060 × 00A7 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 00A7 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 00A7 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 2060 × 50005 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 50005 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 50005 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0E01 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 0E01 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0E01 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 2060 × 3041 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2060 × 0020 ÷ 3041 ÷	#  × [0.3] WORD JOINER (WJ) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 3041 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 2060 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] WORD JOINER (WJ) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0023 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0023 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0023 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0023 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 2014 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 2014 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 2014 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 2014 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200B ÷ 0009 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0009 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0009 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0009 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200B ÷ 00B4 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 00B4 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 00B4 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200B × 000B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200B × 0020 × 000B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 000B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 000B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200B ÷ FFFC ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ FFFC ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ FFFC ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ FFFC ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200B ÷ 007D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 007D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 007D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 007D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200B × 000D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200B × 0020 × 000D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 000D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 000D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200B ÷ 0021 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0021 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0021 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 0021 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200B ÷ 00A0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 00A0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 00A0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200B ÷ AC00 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ AC00 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ AC00 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ AC00 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200B ÷ AC01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ AC01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ AC01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ AC01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200B ÷ 05D0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 05D0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 05D0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200B ÷ 002D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 002D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 002D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 002D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200B ÷ 231A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 231A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 231A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 231A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200B ÷ 2024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 2024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 2024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 2024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200B ÷ 002C ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 002C ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 002C ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 002C ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200B ÷ 1100 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 1100 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 1100 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 1100 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200B ÷ 11A8 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 11A8 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 11A8 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200B ÷ 1160 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 1160 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 1160 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 1160 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200B × 000A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200B × 0020 × 000A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 000A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 000A ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200B × 0085 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200B × 0020 × 0085 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0085 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 0085 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200B ÷ 17D6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 17D6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 17D6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0030 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0030 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0030 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0030 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200B ÷ 2329 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 2329 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 2329 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 2329 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200B ÷ 0025 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0025 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0025 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0025 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200B ÷ 0024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0024 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200B ÷ 0022 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0022 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0022 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0022 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200B × 0020 × 0020 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 0020 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200B ÷ 002F ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 002F ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 002F ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 002F ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200B ÷ 2060 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 2060 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 2060 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 2060 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200B × 200B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200B × 0020 × 200B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 200B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 200B ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200B ÷ 1F1E6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 1F1E6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 1F1E6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200B ÷ 261D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 261D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 261D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 261D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200B ÷ 1F3FB ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 1F3FB ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 ÷ 1F3FB ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200B ÷ 0029 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0029 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0029 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 × 0029 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200B ÷ 0028 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0028 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0028 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0028 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200B ÷ 0001 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0001 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0001 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0001 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200B ÷ 200D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 200D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 200D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 200D ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200B ÷ 00A7 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 00A7 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 00A7 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 50005 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 50005 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 50005 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 50005 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0E01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 0E01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0E01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200B ÷ 3041 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200B × 0020 ÷ 3041 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) × [7.01] SPACE (SP) ÷ [8.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 3041 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200B ÷ 0308 × 0020 ÷ 3041 ÷	#  × [0.3] ZERO WIDTH SPACE (ZW) ÷ [8.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 0023 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0023 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 0023 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 2014 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 2014 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 2014 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0009 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0009 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0009 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 00B4 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 00B4 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 00B4 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 000B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 000B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 000B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 000B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ FFFC ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ FFFC ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ FFFC ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 007D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 007D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 007D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 007D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 000D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 000D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 000D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 000D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0021 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 0021 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0021 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 0021 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F1E6 × 00A0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 00A0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 00A0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ AC00 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ AC00 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ AC00 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ AC01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ AC01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ AC01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 05D0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 05D0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 05D0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 002D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 002D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 002D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 231A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 231A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 231A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F1E6 × 2024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 2024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 2024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F1E6 × 002C ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 002C ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 002C ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 002C ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 1100 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 1100 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 1100 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 11A8 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 11A8 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 11A8 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 1160 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 1160 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 1160 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F1E6 × 000A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 000A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 000A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 000A ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0085 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 0085 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0085 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 0085 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 17D6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 17D6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 17D6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 0030 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0030 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 0030 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 2329 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 2329 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 2329 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 0025 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0025 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 0025 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 0024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 0024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0022 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0022 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0022 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 0020 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 0020 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F1E6 × 002F ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 002F ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 002F ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 002F ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F1E6 × 2060 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 2060 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 2060 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 2060 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F1E6 × 200B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 200B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 200B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 200B ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F1E6 × 1F1E6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [30.11] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 1F1E6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 1F1E6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.11] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 261D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 261D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 261D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 1F3FB ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 1F3FB ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 1F3FB ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0029 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 × 0029 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0029 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 × 0029 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 0028 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0028 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 0028 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0001 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0001 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0001 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 200D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 200D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 200D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 00A7 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 00A7 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 00A7 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 50005 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 50005 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 50005 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 ÷ 0E01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 0E01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 ÷ 0E01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F1E6 × 3041 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0020 ÷ 3041 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 3041 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F1E6 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 261D ÷ 0023 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0023 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 0023 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 261D ÷ 2014 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 2014 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 2014 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 261D × 0009 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0009 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0009 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 261D ÷ 00B4 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 00B4 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 00B4 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 261D × 000B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 000B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 000B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 000B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 261D ÷ FFFC ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ FFFC ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ FFFC ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 261D × 007D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 007D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 007D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 007D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 261D × 000D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 000D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 000D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 000D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 261D × 0021 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 0021 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0021 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 0021 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 261D × 00A0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 00A0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 00A0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 261D ÷ AC00 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ AC00 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ AC00 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 261D ÷ AC01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ AC01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ AC01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 261D ÷ 05D0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 05D0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 05D0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 261D × 002D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 002D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 002D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 002D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 261D ÷ 231A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 231A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 231A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 231A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 261D × 2024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 2024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 2024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 261D × 002C ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 002C ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
}
if (!$::TESTCHUNK or $::TESTCHUNK == 9) {
    Test_LB('× 261D × 0308 × 002C ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 002C ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 261D ÷ 1100 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 1100 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 1100 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 261D ÷ 11A8 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 11A8 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 11A8 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 261D ÷ 1160 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 1160 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 1160 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 261D × 000A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 000A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 000A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 000A ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 261D × 0085 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 0085 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0085 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 0085 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 261D × 17D6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 17D6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 17D6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 261D ÷ 0030 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0030 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 0030 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 261D ÷ 2329 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 2329 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 2329 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 261D × 0025 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [23.13] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0025 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0025 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.13] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 261D ÷ 0024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 0024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 261D × 0022 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0022 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0022 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 0020 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 0020 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 261D × 002F ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 002F ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 002F ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 002F ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 261D × 2060 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 2060 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 2060 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 2060 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 261D × 200B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 200B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 200B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 200B ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 261D ÷ 1F1E6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 1F1E6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 1F1E6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 261D ÷ 261D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 261D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 261D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 261D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 261D × 1F3FB ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [30.21] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 1F3FB ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 1F3FB ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.21] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 261D × 0029 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 261D × 0020 × 0029 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0029 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 × 0029 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 261D ÷ 0028 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0028 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 0028 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 261D × 0001 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0001 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0001 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 261D × 200D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 200D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 200D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 200D ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 261D ÷ 00A7 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 00A7 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 00A7 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 261D ÷ 50005 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 50005 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 50005 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 261D ÷ 0E01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 0E01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 ÷ 0E01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 261D × 3041 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 261D × 0020 ÷ 3041 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 3041 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 261D × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 0023 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0023 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 0023 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 2014 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 2014 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 2014 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 1F3FB × 0009 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0009 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0009 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 00B4 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 00B4 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 00B4 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 1F3FB × 000B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 000B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 000B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 000B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ FFFC ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ FFFC ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ FFFC ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 1F3FB × 007D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 007D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 007D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 007D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 1F3FB × 000D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 000D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 000D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 000D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0021 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 0021 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0021 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 0021 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 1F3FB × 00A0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 00A0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 00A0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ AC00 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ AC00 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ AC00 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ AC01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ AC01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ AC01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 05D0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 05D0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 05D0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F3FB × 002D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 002D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 002D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 002D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 231A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 231A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 231A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 231A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 1F3FB × 2024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 2024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 2024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1F3FB × 002C ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 002C ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 002C ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 002C ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 1100 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 1100 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 1100 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 11A8 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 11A8 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 11A8 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 1160 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 1160 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 1160 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1F3FB × 000A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 000A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 000A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 000A ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 1F3FB × 0085 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 0085 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0085 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 0085 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 1F3FB × 17D6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 17D6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 17D6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 0030 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0030 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 0030 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 2329 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 2329 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 2329 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 1F3FB × 0025 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [23.13] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0025 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0025 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.13] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 0024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 0024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 1F3FB × 0022 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0022 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0022 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 0020 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 0020 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 1F3FB × 002F ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 002F ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 002F ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 002F ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 1F3FB × 2060 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 2060 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 2060 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 2060 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 1F3FB × 200B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 200B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 200B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 200B ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 1F1E6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 1F1E6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 1F1E6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 261D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 261D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 261D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 261D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 1F3FB ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 1F3FB ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 1F3FB ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0029 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 × 0029 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0029 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 × 0029 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 0028 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0028 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 0028 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 1F3FB × 0001 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0001 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0001 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 1F3FB × 200D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 200D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 200D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 200D ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 00A7 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 00A7 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 00A7 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 50005 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 50005 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 50005 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 1F3FB ÷ 0E01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 0E01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 ÷ 0E01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1F3FB × 3041 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0020 ÷ 3041 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 3041 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 1F3FB × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0029 × 0023 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [30.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0023 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0023 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.02] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0029 ÷ 2014 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 2014 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 2014 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0029 × 0009 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0009 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0009 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0029 ÷ 00B4 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 00B4 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 00B4 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0029 × 000B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 000B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 000B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 000B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0029 ÷ FFFC ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ FFFC ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ FFFC ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0029 × 007D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 007D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 007D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 007D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0029 × 000D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 000D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 000D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 000D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0029 × 0021 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 0021 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0021 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 0021 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0029 × 00A0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 00A0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 00A0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0029 ÷ AC00 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ AC00 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ AC00 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0029 ÷ AC01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ AC01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ AC01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0029 × 05D0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [30.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 05D0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 05D0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.02] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0029 × 002D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 002D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 002D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0029 ÷ 231A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 231A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 231A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0029 × 2024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 2024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 2024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0029 × 002C ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 002C ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 002C ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 002C ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0029 ÷ 1100 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 1100 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 1100 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0029 ÷ 11A8 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 11A8 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 11A8 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0029 ÷ 1160 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 1160 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 1160 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0029 × 000A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 000A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 000A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 000A ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0029 × 0085 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 0085 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0085 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 0085 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0029 × 17D6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 17D6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 17D6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 17D6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [16.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0029 × 0030 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [30.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0030 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0030 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0029 ÷ 2329 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 2329 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 2329 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0029 ÷ 0025 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0025 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 0025 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0029 ÷ 0024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 0024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0029 × 0022 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0022 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0022 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 0020 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 0020 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0029 × 002F ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 002F ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 002F ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 002F ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0029 × 2060 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 2060 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 2060 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 2060 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0029 × 200B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 200B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 200B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 200B ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0029 ÷ 1F1E6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 1F1E6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 1F1E6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0029 ÷ 261D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 261D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 261D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0029 ÷ 1F3FB ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 1F3FB ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 1F3FB ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0029 × 0029 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 0029 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0029 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 0029 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0029 ÷ 0028 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0028 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0029 × 0308 ÷ 0028 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0029 × 0001 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0001 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0001 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0029 × 200D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 200D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 200D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0029 × 00A7 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [30.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 00A7 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 00A7 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.02] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0029 × 50005 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [30.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 50005 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 50005 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.02] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0E01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [30.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0020 ÷ 0E01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0E01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0029 × 3041 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0029 × 0020 × 3041 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 3041 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0029 × 0308 × 0020 × 3041 ÷	#  × [0.3] RIGHT PARENTHESIS (CP_CP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [16.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0028 × 0023 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0023 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0023 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0023 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0028 × 2014 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 2014 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 2014 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 2014 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0028 × 0009 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0009 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0009 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0009 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0028 × 00B4 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 00B4 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 00B4 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 00B4 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0028 × 000B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 000B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 000B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 000B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0028 × FFFC ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × FFFC ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × FFFC ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × FFFC ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0028 × 007D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 007D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 007D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 007D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0028 × 000D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 000D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 000D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 000D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0028 × 0021 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0021 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0021 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0021 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0028 × 00A0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 00A0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 00A0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 00A0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0028 × AC00 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × AC00 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × AC00 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × AC00 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0028 × AC01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × AC01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × AC01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × AC01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0028 × 05D0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 05D0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 05D0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 05D0 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0028 × 002D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 002D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 002D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 002D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0028 × 231A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 231A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 231A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 231A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0028 × 2024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 2024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 2024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 2024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0028 × 002C ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 002C ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 002C ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 002C ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0028 × 1100 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 1100 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 1100 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 1100 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0028 × 11A8 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 11A8 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 11A8 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 11A8 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0028 × 1160 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 1160 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 1160 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 1160 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0028 × 000A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 000A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 000A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 000A ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0028 × 0085 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0085 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0085 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0085 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0028 × 17D6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 17D6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 17D6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 17D6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0028 × 0030 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0030 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0030 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0030 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0028 × 2329 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 2329 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 2329 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 2329 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0028 × 0025 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0025 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0025 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0025 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0028 × 0024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0024 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0028 × 0022 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0022 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0022 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0022 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0028 × 0020 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0020 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0020 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0028 × 002F ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 002F ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 002F ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 002F ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0028 × 2060 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 2060 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 2060 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 2060 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0028 × 200B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 200B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 200B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 200B ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0028 × 1F1E6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 1F1E6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 1F1E6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 1F1E6 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0028 × 261D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 261D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 261D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 261D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0028 × 1F3FB ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 1F3FB ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 1F3FB ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 1F3FB ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0028 × 0029 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0029 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0029 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0029 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0028 × 0028 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0028 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0028 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0028 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0028 × 0001 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0001 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0001 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0001 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0028 × 200D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 200D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 200D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 200D ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0028 × 00A7 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 00A7 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 00A7 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 00A7 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0028 × 50005 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 50005 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 50005 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 50005 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0E01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 0E01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0E01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 0E01 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0028 × 3041 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0028 × 0020 × 3041 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 3041 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0028 × 0308 × 0020 × 3041 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [14.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0001 × 0023 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0023 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0023 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0001 ÷ 2014 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 2014 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 2014 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0001 × 0009 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0009 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0009 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0001 ÷ 00B4 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 00B4 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 00B4 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0001 × 000B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 000B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 000B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 000B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0001 ÷ FFFC ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ FFFC ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ FFFC ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0001 × 007D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [13.04] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 007D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 007D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.04] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 007D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0001 × 000D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 000D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 000D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 000D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0001 × 0021 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 0021 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0021 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 0021 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0001 × 00A0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [12.3] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 00A0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 00A0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.3] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0001 ÷ AC00 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ AC00 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ AC00 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0001 ÷ AC01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ AC01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ AC01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0001 × 05D0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 05D0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 05D0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0001 × 002D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 002D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 002D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0001 ÷ 231A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 231A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 231A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0001 × 2024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 2024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 2024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0001 × 002C ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [13.04] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 002C ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 002C ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.04] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 002C ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0001 ÷ 1100 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 1100 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 1100 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0001 ÷ 11A8 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 11A8 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 11A8 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0001 ÷ 1160 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 1160 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 1160 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0001 × 000A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 000A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 000A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 000A ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0001 × 0085 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 0085 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0085 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 0085 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0001 × 17D6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 17D6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 17D6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0001 × 0030 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0030 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0030 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0001 ÷ 2329 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 2329 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 2329 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0001 × 0025 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0025 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0025 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0001 × 0024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0001 × 0022 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0022 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0022 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 0020 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 0020 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0001 × 002F ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [13.04] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 002F ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 002F ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.04] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 002F ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0001 × 2060 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 2060 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 2060 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 2060 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0001 × 200B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 200B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 200B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 200B ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0001 ÷ 1F1E6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 1F1E6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0001 ÷ 261D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 261D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 261D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0001 ÷ 1F3FB ÷	#  × [0.3] <START OF HEADING> (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 1F3FB ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0001 × 0308 ÷ 1F3FB ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0001 × 0029 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [13.04] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0001 × 0020 × 0029 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0029 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.04] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 × 0029 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0001 × 0028 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0028 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0028 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0001 × 0001 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0001 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0001 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0001 × 200D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 200D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 200D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0001 × 00A7 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 00A7 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 00A7 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0001 × 50005 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 50005 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 50005 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0E01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 0E01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0E01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0001 × 3041 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0001 × 0020 ÷ 3041 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 3041 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0001 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] <START OF HEADING> (CM1_CM) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200D × 0023 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0023 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0023 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 200D × 2014 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 2014 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 2014 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 200D × 0009 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0009 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0009 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 200D × 00B4 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 00B4 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 00B4 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 200D × 000B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 000B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 000B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 000B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 200D × FFFC ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ FFFC ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ FFFC ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 200D × 007D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 007D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 007D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [13.04] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 007D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 200D × 000D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 000D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 000D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 000D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 200D × 0021 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 0021 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0021 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 0021 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 200D × 00A0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 00A0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 00A0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [12.3] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200D × AC00 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ AC00 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ AC00 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 200D × AC01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ AC01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ AC01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 200D × 05D0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 05D0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 05D0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 200D × 002D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 002D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 002D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 002D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 200D × 231A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 231A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 231A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 231A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 200D × 2024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 2024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 2024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 200D × 002C ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 002C ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 002C ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [13.04] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 002C ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 200D × 1100 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 1100 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 1100 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 200D × 11A8 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 11A8 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 11A8 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 200D × 1160 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 1160 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 1160 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 200D × 000A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 000A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 000A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 000A ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 200D × 0085 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 0085 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0085 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 0085 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 200D × 17D6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 17D6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 17D6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 200D × 0030 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0030 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0030 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 200D × 2329 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 2329 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 2329 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 200D × 0025 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0025 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0025 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 200D × 0024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 200D × 0022 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0022 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0022 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 0020 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 0020 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 200D × 002F ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 002F ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 002F ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [13.04] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 002F ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 200D × 2060 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 2060 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 2060 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 2060 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 200D × 200B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 200B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 200B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 200B ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 200D × 1F1E6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 1F1E6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 1F1E6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 200D × 261D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 261D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 261D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 261D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 200D × 1F3FB ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 1F3FB ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200D × 0308 ÷ 1F3FB ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 200D × 0029 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200D × 0020 × 0029 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0029 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [13.04] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 × 0029 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 200D × 0028 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0028 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0028 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 200D × 0001 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0001 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0001 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 200D × 200D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 200D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 200D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 200D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 200D × 00A7 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 00A7 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 00A7 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 200D × 50005 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 50005 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 50005 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 200D × 0E01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 0E01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0E01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 200D × 3041 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200D × 0020 ÷ 3041 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 3041 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200D × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0023 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0023 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0023 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 2014 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 2014 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 2014 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 00A7 × 0009 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0009 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0009 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 00B4 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 00B4 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 00B4 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 00A7 × 000B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 000B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 000B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 000B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 00A7 ÷ FFFC ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ FFFC ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ FFFC ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 00A7 × 007D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 007D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 007D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 007D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 00A7 × 000D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 000D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 000D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 000D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 00A7 × 0021 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 0021 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0021 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 0021 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 00A7 × 00A0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 00A0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 00A0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 00A7 ÷ AC00 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ AC00 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ AC00 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 00A7 ÷ AC01 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ AC01 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ AC01 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 00A7 × 05D0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 05D0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 05D0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 00A7 × 002D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 002D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 002D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 231A ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 231A ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 231A ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 00A7 × 2024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 2024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 2024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 00A7 × 002C ÷	#  × [0.3] SECTION SIGN (AI_AL) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 002C ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 002C ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 002C ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 1100 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 1100 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 1100 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 11A8 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 11A8 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 11A8 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 1160 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 1160 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 1160 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 00A7 × 000A ÷	#  × [0.3] SECTION SIGN (AI_AL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 000A ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 000A ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 000A ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 00A7 × 0085 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 0085 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0085 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 0085 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 00A7 × 17D6 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 17D6 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 17D6 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0030 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0030 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0030 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 2329 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 2329 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 2329 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 00A7 × 0025 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0025 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0025 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 00A7 × 0024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 00A7 × 0022 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0022 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0022 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 0020 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 0020 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 00A7 × 002F ÷	#  × [0.3] SECTION SIGN (AI_AL) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 002F ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 002F ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 002F ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 00A7 × 2060 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 2060 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 2060 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 2060 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 00A7 × 200B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 200B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 200B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 200B ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 1F1E6 ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 1F1E6 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 1F1E6 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 261D ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 261D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 261D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 00A7 ÷ 1F3FB ÷	#  × [0.3] SECTION SIGN (AI_AL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 1F3FB ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 ÷ 1F3FB ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 00A7 × 0029 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 × 0029 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0029 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 × 0029 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0028 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0028 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0028 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 00A7 × 0001 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0001 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0001 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 200D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 200D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 200D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 00A7 × 00A7 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 00A7 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 00A7 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 50005 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 50005 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 50005 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0E01 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 0E01 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0E01 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 00A7 × 3041 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0020 ÷ 3041 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 3041 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 00A7 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] SECTION SIGN (AI_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 50005 × 0023 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0023 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0023 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 50005 ÷ 2014 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 2014 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 2014 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 50005 × 0009 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0009 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0009 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 50005 ÷ 00B4 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 00B4 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 00B4 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 50005 × 000B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 000B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 000B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 000B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 50005 ÷ FFFC ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ FFFC ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ FFFC ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 50005 × 007D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 007D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 007D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 007D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 50005 × 000D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 000D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 000D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 000D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 50005 × 0021 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 0021 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0021 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 0021 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 50005 × 00A0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 00A0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 00A0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 50005 ÷ AC00 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ AC00 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ AC00 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 50005 ÷ AC01 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ AC01 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ AC01 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 50005 × 05D0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 05D0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 05D0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 50005 × 002D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 002D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 002D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 50005 ÷ 231A ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 231A ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 231A ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 50005 × 2024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 2024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 2024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 50005 × 002C ÷	#  × [0.3] <reserved-50005> (XX_AL) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 002C ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 002C ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 002C ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 50005 ÷ 1100 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 1100 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 1100 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 50005 ÷ 11A8 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 11A8 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 11A8 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 50005 ÷ 1160 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 1160 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 1160 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 50005 × 000A ÷	#  × [0.3] <reserved-50005> (XX_AL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 000A ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 000A ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 000A ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 50005 × 0085 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 0085 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0085 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 0085 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 50005 × 17D6 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 17D6 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 17D6 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 50005 × 0030 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0030 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0030 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 50005 ÷ 2329 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 2329 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 2329 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 50005 × 0025 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0025 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0025 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 50005 × 0024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 50005 × 0022 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0022 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0022 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 0020 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 0020 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 50005 × 002F ÷	#  × [0.3] <reserved-50005> (XX_AL) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 002F ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 002F ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 002F ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 50005 × 2060 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 2060 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 2060 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 2060 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 50005 × 200B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 200B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 200B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 200B ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 50005 ÷ 1F1E6 ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 1F1E6 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 50005 ÷ 261D ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 261D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 261D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 50005 ÷ 1F3FB ÷	#  × [0.3] <reserved-50005> (XX_AL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 1F3FB ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 50005 × 0308 ÷ 1F3FB ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 50005 × 0029 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 50005 × 0020 × 0029 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0029 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 × 0029 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 50005 × 0028 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0028 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0028 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 50005 × 0001 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0001 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0001 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 50005 × 200D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 200D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 200D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 50005 × 00A7 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 00A7 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 00A7 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 50005 × 50005 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 50005 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 50005 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0E01 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 0E01 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0E01 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 50005 × 3041 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 50005 × 0020 ÷ 3041 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 3041 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 50005 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] <reserved-50005> (XX_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0023 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0023 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0023 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 2014 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 2014 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 2014 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 0E01 × 0009 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0009 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0009 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 00B4 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 00B4 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 00B4 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 0E01 × 000B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 000B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 000B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 000B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 0E01 ÷ FFFC ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ FFFC ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ FFFC ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 0E01 × 007D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 007D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 007D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 007D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0E01 × 000D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 000D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 000D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 000D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 0E01 × 0021 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 0021 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0021 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 0021 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0E01 × 00A0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 00A0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 00A0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 0E01 ÷ AC00 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ AC00 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ AC00 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 0E01 ÷ AC01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ AC01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ AC01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 0E01 × 05D0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 05D0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 05D0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 0E01 × 002D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 002D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 002D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 231A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 231A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 231A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 0E01 × 2024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 2024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 2024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0E01 × 002C ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 002C ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 002C ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 002C ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 1100 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 1100 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 1100 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 11A8 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 11A8 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 11A8 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 1160 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 1160 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 1160 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 0E01 × 000A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 000A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 000A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 000A ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 0E01 × 0085 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 0085 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0085 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 0085 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 0E01 × 17D6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 17D6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 17D6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0030 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0030 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0030 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 2329 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 2329 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 2329 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 0E01 × 0025 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0025 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0025 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0E01 × 0024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [24.03] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 0E01 × 0022 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0022 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0022 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 0020 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 0020 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0E01 × 002F ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 002F ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 002F ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 002F ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 0E01 × 2060 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 2060 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 2060 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 2060 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 0E01 × 200B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 200B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 200B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 200B ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 1F1E6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 1F1E6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 1F1E6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 261D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 261D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 261D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0E01 ÷ 1F3FB ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 1F3FB ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 ÷ 1F3FB ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0E01 × 0029 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 × 0029 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0029 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 × 0029 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0028 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0028 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0028 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 0E01 × 0001 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0001 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0001 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 200D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 200D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 200D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 0E01 × 00A7 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 00A7 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 00A7 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 50005 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 50005 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 50005 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0E01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 0E01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0E01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [28.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0E01 × 3041 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0020 ÷ 3041 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 3041 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0E01 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 3041 ÷ 0023 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0023 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 0023 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0023 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NUMBER SIGN (AL) ÷ [0.3]');
    Test_LB('× 3041 ÷ 2014 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 2014 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 2014 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 2014 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 3041 × 0009 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0009 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0009 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.01] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0009 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <CHARACTER TABULATION> (BA) ÷ [0.3]');
    Test_LB('× 3041 ÷ 00B4 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 00B4 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 00B4 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 00B4 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ACUTE ACCENT (BB) ÷ [0.3]');
    Test_LB('× 3041 × 000B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 000B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 000B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 000B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE TABULATION> (BK) ÷ [0.3]');
    Test_LB('× 3041 ÷ FFFC ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ FFFC ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ FFFC ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ FFFC ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× 3041 × 007D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 007D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 007D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 007D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 3041 × 000D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 000D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 000D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 000D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_LB('× 3041 × 0021 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 0021 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0021 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 0021 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 3041 × 00A0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [12.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 00A0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 00A0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 00A0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 3041 ÷ AC00 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ AC00 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ AC00 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ AC00 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GA (H2) ÷ [0.3]');
    Test_LB('× 3041 ÷ AC01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ AC01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ AC01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ AC01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE GAG (H3) ÷ [0.3]');
    Test_LB('× 3041 ÷ 05D0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 05D0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 05D0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 05D0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 3041 × 002D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 002D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 002D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 002D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 3041 ÷ 231A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 231A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 231A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 231A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WATCH (ID) ÷ [0.3]');
    Test_LB('× 3041 × 2024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 2024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 2024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 2024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 3041 × 002C ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 002C ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 002C ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] COMMA (IS) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 002C ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] COMMA (IS) ÷ [0.3]');
    Test_LB('× 3041 ÷ 1100 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 1100 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 1100 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 1100 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL CHOSEONG KIYEOK (JL) ÷ [0.3]');
    Test_LB('× 3041 ÷ 11A8 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 11A8 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 11A8 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 11A8 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 3041 ÷ 1160 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 1160 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 1160 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 1160 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 3041 × 000A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 000A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 000A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 000A ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_LB('× 3041 × 0085 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 0085 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0085 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 0085 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [6.0] <NEXT LINE (NEL)> (NL) ÷ [0.3]');
    Test_LB('× 3041 × 17D6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 17D6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 17D6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 17D6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] KHMER SIGN CAMNUC PII KUUH (NS) ÷ [0.3]');
    Test_LB('× 3041 ÷ 0030 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0030 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 0030 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0030 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 3041 ÷ 2329 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 2329 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 2329 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 2329 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT-POINTING ANGLE BRACKET (OP) ÷ [0.3]');
    Test_LB('× 3041 ÷ 0025 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0025 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 0025 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0025 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 3041 ÷ 0024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 0024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0024 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] DOLLAR SIGN (PR) ÷ [0.3]');
    Test_LB('× 3041 × 0022 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0022 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0022 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0022 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 0020 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 0020 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 3041 × 002F ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 002F ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 002F ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 002F ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 3041 × 2060 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 2060 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 2060 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 2060 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 3041 × 200B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 200B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 200B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 200B ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [0.3]');
    Test_LB('× 3041 ÷ 1F1E6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 1F1E6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 1F1E6 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_LB('× 3041 ÷ 261D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 261D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 261D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 261D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 3041 ÷ 1F3FB ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 1F3FB ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 1F3FB ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 1F3FB ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 3041 × 0029 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 3041 × 0020 × 0029 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0029 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 × 0029 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 3041 ÷ 0028 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0028 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 0028 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0028 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) ÷ [0.3]');
    Test_LB('× 3041 × 0001 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0001 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0001 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0001 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <START OF HEADING> (CM1_CM) ÷ [0.3]');
    Test_LB('× 3041 × 200D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 200D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 200D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 200D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) ÷ [0.3]');
    Test_LB('× 3041 ÷ 00A7 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 00A7 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 00A7 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 00A7 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] SECTION SIGN (AI_AL) ÷ [0.3]');
    Test_LB('× 3041 ÷ 50005 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 50005 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 50005 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 50005 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] <reserved-50005> (XX_AL) ÷ [0.3]');
    Test_LB('× 3041 ÷ 0E01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 0E01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 ÷ 0E01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [999.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 0E01 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 3041 × 3041 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 3041 × 0020 ÷ 3041 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 3041 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [21.03] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 0020 ÷ 3041 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000D × 000A ÷ 0061 × 000A ÷ 0308 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) × [5.01] <LINE FEED (LF)> (LF) ÷ [5.03] LATIN SMALL LETTER A (AL) × [6.0] <LINE FEED (LF)> (LF) ÷ [5.03] COMBINING DIAERESIS (CM1_CM) ÷ [0.3]');
    Test_LB('× 0061 × 0308 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) ÷ [0.3]');
    Test_LB('× 0020 ÷ 200D × 0646 ÷	#  × [0.3] SPACE (SP) ÷ [18.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] ARABIC LETTER NOON (AL) ÷ [0.3]');
    Test_LB('× 0646 × 200D × 0020 ÷	#  × [0.3] ARABIC LETTER NOON (AL) × [9.0] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 000B ÷ 3041 ÷	#  × [0.3] <LINE TABULATION> (BK) ÷ [4.0] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 000D ÷ 3041 ÷	#  × [0.3] <CARRIAGE RETURN (CR)> (CR) ÷ [5.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 0085 ÷ 3041 ÷	#  × [0.3] <NEXT LINE (NEL)> (NL) ÷ [5.04] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 200D × 261D ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 3041 × 2060 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [11.01] WORD JOINER (WJ) ÷ [0.3]');
    Test_LB('× 2060 × 3041 ÷	#  × [0.3] WORD JOINER (WJ) × [11.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 3041 × 0308 × 00A0 ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [9.0] COMBINING DIAERESIS (CM1_CM) × [12.2] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200D × 00A0 ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] NO-BREAK SPACE (GL) ÷ [0.3]');
    Test_LB('× 200D × 002F ÷	#  × [0.3] ZERO WIDTH JOINER (ZWJ_O_ZWJ_CM) × [8.1] SOLIDUS (SY) ÷ [0.3]');
    Test_LB('× 2014 × 2014 ÷	#  × [0.3] EM DASH (B2) × [17.0] EM DASH (B2) ÷ [0.3]');
    Test_LB('× 3041 ÷ FFFC ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [20.01] OBJECT REPLACEMENT CHARACTER (CB) ÷ [0.3]');
    Test_LB('× FFFC ÷ 3041 ÷	#  × [0.3] OBJECT REPLACEMENT CHARACTER (CB) ÷ [20.02] HIRAGANA LETTER SMALL A (CJ_NS) ÷ [0.3]');
    Test_LB('× 3041 × 002D ÷	#  × [0.3] HIRAGANA LETTER SMALL A (CJ_NS) × [21.02] HYPHEN-MINUS (HY) ÷ [0.3]');
    Test_LB('× 0E01 × 2024 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0021 × 2024 ÷	#  × [0.3] EXCLAMATION MARK (EX) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 2024 × 2024 ÷	#  × [0.3] ONE DOT LEADER (IN) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 0030 × 2024 ÷	#  × [0.3] DIGIT ZERO (NU) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 261D × 0025 ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [23.13] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0E01 × 0030 ÷	#  × [0.3] THAI CHARACTER KO KAI (SA_AL) × [23.02] DIGIT ZERO (NU) ÷ [0.3]');
    Test_LB('× 0024 × 261D ÷	#  × [0.3] DOLLAR SIGN (PR) × [23.12] WHITE UP POINTING INDEX (EB) ÷ [0.3]');
    Test_LB('× 0024 × 0E01 ÷	#  × [0.3] DOLLAR SIGN (PR) × [24.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 0025 × 0E01 ÷	#  × [0.3] PERCENT SIGN (PO) × [24.02] THAI CHARACTER KO KAI (SA_AL) ÷ [0.3]');
    Test_LB('× 1100 × 1160 ÷	#  × [0.3] HANGUL CHOSEONG KIYEOK (JL) × [26.01] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 1160 × 1160 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [26.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 11A8 × 11A8 ÷	#  × [0.3] HANGUL JONGSEONG KIYEOK (JT) × [26.03] HANGUL JONGSEONG KIYEOK (JT) ÷ [0.3]');
    Test_LB('× 1160 × 2024 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [22.0] ONE DOT LEADER (IN) ÷ [0.3]');
    Test_LB('× 1160 × 0025 ÷	#  × [0.3] HANGUL JUNGSEONG FILLER (JV) × [27.01] PERCENT SIGN (PO) ÷ [0.3]');
    Test_LB('× 0024 × 1160 ÷	#  × [0.3] DOLLAR SIGN (PR) × [27.02] HANGUL JUNGSEONG FILLER (JV) ÷ [0.3]');
    Test_LB('× 261D × 1F3FB ÷	#  × [0.3] WHITE UP POINTING INDEX (EB) × [30.21] EMOJI MODIFIER FITZPATRICK TYPE-1-2 (EM) ÷ [0.3]');
    Test_LB('× 0066 × 0069 × 006E × 0061 × 006C ÷	#  × [0.3] LATIN SMALL LETTER F (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER L (AL) ÷ [0.3]');
    Test_LB('× 0063 × 0061 × 006E × 0027 × 0074 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [19.01] APOSTROPHE (QU) × [19.02] LATIN SMALL LETTER T (AL) ÷ [0.3]');
    Test_LB('× 0063 × 0061 × 006E × 2019 × 0074 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [19.01] RIGHT SINGLE QUOTATION MARK (QU) × [19.02] LATIN SMALL LETTER T (AL) ÷ [0.3]');
    Test_LB('× 0027 × 0063 × 0061 × 006E × 0027 × 0020 ÷ 006E × 006F × 0074 ÷	#  × [0.3] APOSTROPHE (QU) × [19.02] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [19.01] APOSTROPHE (QU) × [7.01] SPACE (SP) ÷ [18.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER T (AL) ÷ [0.3]');
    Test_LB('× 0063 × 0061 × 006E × 0020 ÷ 0027 × 006E × 006F × 0074 × 0027 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [7.01] SPACE (SP) ÷ [18.0] APOSTROPHE (QU) × [19.02] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER T (AL) × [19.01] APOSTROPHE (QU) ÷ [0.3]');
    Test_LB('× 0062 × 0075 × 0067 × 0028 × 0073 × 0029 × 0020 × 0020 × 0020 × 0020 × 0020 ÷	#  × [0.3] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER U (AL) × [28.0] LATIN SMALL LETTER G (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0062 × 0075 × 0067 × 0028 × 0073 × 0029 × 00A0 × 0020 × 0020 × 0020 × 0020 × 0020 ÷	#  × [0.3] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER U (AL) × [28.0] LATIN SMALL LETTER G (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [12.1] NO-BREAK SPACE (GL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 002E × 002E ÷ 307E ÷ 3059 × 3002 ÷ 0058 × 004D × 004C ÷ 306E × 002E × 002E ÷	#  × [0.3] FULL STOP (IS) × [13.02] FULL STOP (IS) ÷ [999.0] HIRAGANA LETTER MA (ID) ÷ [999.0] HIRAGANA LETTER SU (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] LATIN CAPITAL LETTER X (AL) × [28.0] LATIN CAPITAL LETTER M (AL) × [28.0] LATIN CAPITAL LETTER L (AL) ÷ [999.0] HIRAGANA LETTER NO (ID) × [13.02] FULL STOP (IS) × [13.02] FULL STOP (IS) ÷ [0.3]');
    Test_LB('× 0061 × 0062 × 00AD ÷ 0062 × 0079 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [21.01] SOFT HYPHEN (BA) ÷ [999.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER Y (AL) ÷ [0.3]');
    Test_LB('× 002D × 0033 ÷	#  × [0.3] HYPHEN-MINUS (HY) × [25.02] DIGIT THREE (NU) ÷ [0.3]');
    Test_LB('× 0065 × 002E × 0067 × 002E ÷	#  × [0.3] LATIN SMALL LETTER E (AL) × [13.02] FULL STOP (IS) × [29.0] LATIN SMALL LETTER G (AL) × [13.02] FULL STOP (IS) ÷ [0.3]');
    Test_LB('× 4E00 × 002E ÷ 4E00 × 002E ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-4E00 (ID) × [13.02] FULL STOP (IS) ÷ [999.0] CJK UNIFIED IDEOGRAPH-4E00 (ID) × [13.02] FULL STOP (IS) ÷ [0.3]');
    Test_LB('× 0061 × 0020 × 0020 ÷ 0062 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) ÷ [18.0] LATIN SMALL LETTER B (AL) ÷ [0.3]');
    Test_LB('× 0061 × 0020 × 0020 × 200B ÷ 0062 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [7.01] SPACE (SP) × [7.01] SPACE (SP) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [8.0] LATIN SMALL LETTER B (AL) ÷ [0.3]');
    Test_LB('× 0061 × 0020 ÷ 0308 × 0062 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [7.01] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [28.0] LATIN SMALL LETTER B (AL) ÷ [0.3]');
    Test_LB('× 0031 × 0308 × 0062 × 0028 × 0061 × 0029 × 002D ÷ 0028 × 0062 × 0029 ÷	#  × [0.3] DIGIT ONE (NU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [23.03] LATIN SMALL LETTER B (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER A (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [21.02] HYPHEN-MINUS (HY) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER B (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0067 × 0069 × 0076 × 0065 × 0020 ÷ 0062 × 006F × 006F × 006B × 0028 × 0073 × 0029 × 002E ÷	#  × [0.3] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER V (AL) × [28.0] LATIN SMALL LETTER E (AL) × [7.01] SPACE (SP) ÷ [18.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER K (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] FULL STOP (IS) ÷ [0.3]');
    Test_LB('× 307E ÷ 0028 × 3059 × 0029 ÷	#  × [0.3] HIRAGANA LETTER MA (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] HIRAGANA LETTER SU (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0066 × 0069 × 006E × 0064 × 0020 × 002E × 0063 × 006F × 006D ÷	#  × [0.3] LATIN SMALL LETTER F (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER D (AL) × [7.01] SPACE (SP) × [13.02] FULL STOP (IS) × [29.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER M (AL) ÷ [0.3]');
    Test_LB('× 0065 × 0071 × 0075 × 0061 × 006C × 0073 × 0020 × 002E ÷ 0033 × 0035 × 0020 ÷ 0063 × 0065 × 006E × 0074 × 0073 ÷	#  × [0.3] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER Q (AL) × [28.0] LATIN SMALL LETTER U (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER S (AL) × [7.01] SPACE (SP) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT THREE (NU) × [25.03] DIGIT FIVE (NU) × [7.01] SPACE (SP) ÷ [18.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER T (AL) × [28.0] LATIN SMALL LETTER S (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0073 × 0029 × 0068 × 0065 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER H (AL) × [28.0] LATIN SMALL LETTER E (AL) ÷ [0.3]');
    Test_LB('× 007B × 0073 × 007D ÷ 0068 × 0065 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER H (AL) × [28.0] LATIN SMALL LETTER E (AL) ÷ [0.3]');
    Test_LB('× 02C8 × 0073 × 0049 × 006C × 0259 × 0062 × 0028 × 0259 × 0029 × 006C ÷	#  × [0.3] MODIFIER LETTER VERTICAL LINE (BB) × [21.04] LATIN SMALL LETTER S (AL) × [28.0] LATIN CAPITAL LETTER I (AL) × [28.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER SCHWA (AL) × [28.0] LATIN SMALL LETTER B (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER SCHWA (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER L (AL) ÷ [0.3]');
    Test_LB('× 02C8 × 0073 × 0049 × 006C × 0259 × 0062 × 007B × 0259 × 007D ÷ 006C ÷	#  × [0.3] MODIFIER LETTER VERTICAL LINE (BB) × [21.04] LATIN SMALL LETTER S (AL) × [28.0] LATIN CAPITAL LETTER I (AL) × [28.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER SCHWA (AL) × [28.0] LATIN SMALL LETTER B (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER SCHWA (AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER L (AL) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 0029 × 002E ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] FULL STOP (IS) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 002E × 0029 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] FULL STOP (IS) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 0029 × 0021 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 0021 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.01] EXCLAMATION MARK (EX) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 005C ÷ 0028 × 0073 × 005C × 0029 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [24.03] REVERSE SOLIDUS (PR) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [24.03] REVERSE SOLIDUS (PR) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0020 × 0073 × 0020 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] LATIN SMALL LETTER S (AL) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0073 × 007D ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0073 × 007D × 002E ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [13.02] FULL STOP (IS) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0073 × 007D × 0021 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [13.01] EXCLAMATION MARK (EX) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 005C ÷ 007B × 0073 × 005C × 007D ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [24.03] REVERSE SOLIDUS (PR) ÷ [999.0] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [24.03] REVERSE SOLIDUS (PR) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0020 × 0073 × 0020 × 007D ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER E (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [7.01] SPACE (SP) × [14.0] LATIN SMALL LETTER S (AL) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 0028 × 0065 × 0029 × 2026 ÷ 0028 × 0073 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [22.0] HORIZONTAL ELLIPSIS (IN) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 006F × 0064 × 0028 × 0065 × 0029 × 2026 × 0029 × 0073 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [22.0] HORIZONTAL ELLIPSIS (IN) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER S (AL) ÷ [0.3]');
    Test_LB('× 0063 × 006F × 0064 × 007B × 0065 × 007D × 2026 ÷ 007B × 0073 × 007D ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [22.0] HORIZONTAL ELLIPSIS (IN) ÷ [999.0] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 006F × 0064 × 007B × 0065 × 007D × 2026 × 007D ÷ 0073 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER D (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [22.0] HORIZONTAL ELLIPSIS (IN) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER S (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 006F × 006E × 002D × 0029 × 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [21.02] HYPHEN-MINUS (HY) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 006F × 006E × 00AD × 0029 × 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [21.01] SOFT HYPHEN (BA) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 006F × 006E × 2011 × 0029 × 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [12.1] NON-BREAKING HYPHEN (GL) × [12.0] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 006F × 006E × 0029 × 002D ÷ 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [21.02] HYPHEN-MINUS (HY) ÷ [999.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 006F × 006E × 0029 × 00AD ÷ 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [21.01] SOFT HYPHEN (BA) ÷ [999.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 006F × 006E × 0029 × 2011 × 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [12.1] NON-BREAKING HYPHEN (GL) × [12.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 006F × 006E × 002D × 007D ÷ 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [21.02] HYPHEN-MINUS (HY) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 006F × 006E × 00AD × 007D ÷ 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [21.01] SOFT HYPHEN (BA) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 006F × 006E × 2011 × 007D ÷ 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [12.1] NON-BREAKING HYPHEN (GL) × [12.0] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 006F × 006E × 007D × 002D ÷ 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [21.02] HYPHEN-MINUS (HY) ÷ [999.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 006F × 006E × 007D × 00AD ÷ 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [21.01] SOFT HYPHEN (BA) ÷ [999.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 006F × 006E × 007D × 2011 × 006C × 0061 × 006E × 0067 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [12.1] NON-BREAKING HYPHEN (GL) × [12.0] LATIN SMALL LETTER L (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [0.3]');
    Test_LB('× 0063 × 0072 × 0065 × 0301 × 0028 × 0065 × 0301 × 0029 ÷ 0028 × 0065 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING ACUTE ACCENT (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING ACUTE ACCENT (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0063 × 0072 × 0065 × 0301 × 005B × 0065 × 0072 × 007C ÷ 0065 × 0301 × 0028 × 0065 × 0029 ÷ 0028 × 0073 × 0029 × 005D ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING ACUTE ACCENT (CM1_CM) × [30.01] LEFT SQUARE BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [21.01] VERTICAL LINE (BA) ÷ [999.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING ACUTE ACCENT (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT SQUARE BRACKET (CP_CP30) ÷ [0.3]');
    Test_LB('× 0063 × 0072 × 0065 × 0301 × 007B × 0065 × 0072 × 007C ÷ 0065 × 0301 × 0028 × 0065 × 0029 ÷ 0028 × 0073 × 0029 × 007D ÷	#  × [0.3] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING ACUTE ACCENT (CM1_CM) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [21.01] VERTICAL LINE (BA) ÷ [999.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING ACUTE ACCENT (CM1_CM) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 0028 × 0308 × 0029 ÷ 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 0028 × 00AB × 0308 × 00BB × 0029 ÷ 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 0028 × 00AB × 0020 ÷ 0308 × 0020 ÷ 00BB × 0029 ÷ 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 0020 × 0028 × 0020 × 0308 × 0020 × 0029 × 0020 ÷ 00BB × 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [19.01] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [7.01] SPACE (SP) × [15.0] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [15.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 202F × 0028 × 0020 × 0308 × 0020 × 0029 × 202F × 00BB × 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [19.01] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [12.1] NARROW NO-BREAK SPACE (GL) × [12.0] LEFT PARENTHESIS (OP_OP30) × [7.01] SPACE (SP) × [14.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [12.1] NARROW NO-BREAK SPACE (GL) × [12.0] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [15.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 007B × 0308 × 007D ÷ 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT CURLY BRACKET (CL) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 007B × 00AB × 0308 × 00BB × 007D ÷ 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [9.0] COMBINING DIAERESIS (CM1_CM) × [19.01] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 007B × 00AB × 0020 ÷ 0308 × 0020 ÷ 00BB × 007D ÷ 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) ÷ [18.0] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 0020 × 007B × 0020 × 0308 × 0020 × 007D × 0020 ÷ 00BB × 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [19.01] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [7.01] SPACE (SP) × [15.0] LEFT CURLY BRACKET (OP_OP30) × [7.01] SPACE (SP) × [14.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) × [7.01] SPACE (SP) ÷ [18.0] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [15.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 202F × 007B × 0020 × 0308 × 0020 × 007D × 202F × 00BB × 0028 × 0065 × 0308 × 0029 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER G (AL) × [28.0] LATIN SMALL LETTER U (AL) × [19.01] LEFT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [12.1] NARROW NO-BREAK SPACE (GL) × [12.0] LEFT CURLY BRACKET (OP_OP30) × [7.01] SPACE (SP) × [14.0] COMBINING DIAERESIS (CM1_CM) × [7.01] SPACE (SP) × [13.02] RIGHT CURLY BRACKET (CL) × [12.1] NARROW NO-BREAK SPACE (GL) × [12.0] RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK (QU) × [15.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [9.0] COMBINING DIAERESIS (CM1_CM) × [13.03] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD ÷ 2011 × 0029 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER Z (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER W (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [21.01] SOFT HYPHEN (BA) ÷ [999.0] NON-BREAKING HYPHEN (GL) × [12.0] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER S (AL) × [28.0] LATIN SMALL LETTER K (AL) × [28.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD × 0029 × 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER Z (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER W (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [21.01] SOFT HYPHEN (BA) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [12.1] NON-BREAKING HYPHEN (GL) × [12.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER S (AL) × [28.0] LATIN SMALL LETTER K (AL) × [28.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 0029 × 00AD ÷ 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER Z (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER W (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [21.01] SOFT HYPHEN (BA) ÷ [999.0] NON-BREAKING HYPHEN (GL) × [12.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER S (AL) × [28.0] LATIN SMALL LETTER K (AL) × [28.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD ÷ 2011 × 007D ÷ 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER Z (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER W (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [21.01] SOFT HYPHEN (BA) ÷ [999.0] NON-BREAKING HYPHEN (GL) × [12.0] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER S (AL) × [28.0] LATIN SMALL LETTER K (AL) × [28.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD × 007D × 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER Z (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER W (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [21.01] SOFT HYPHEN (BA) × [13.02] RIGHT CURLY BRACKET (CL) × [12.1] NON-BREAKING HYPHEN (GL) × [12.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER S (AL) × [28.0] LATIN SMALL LETTER K (AL) × [28.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 007B × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 007D × 00AD ÷ 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER Z (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER W (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER O (AL) × [13.02] RIGHT CURLY BRACKET (CL) × [21.01] SOFT HYPHEN (BA) ÷ [999.0] NON-BREAKING HYPHEN (GL) × [12.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER S (AL) × [28.0] LATIN SMALL LETTER K (AL) × [28.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 006F × 0070 × 0065 × 0072 × 0061 × 0074 × 006F × 0072 × 005B × 005D ÷ 0028 × 0030 × 0029 × 003B ÷	#  × [0.3] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER P (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER T (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER R (AL) × [30.01] LEFT SQUARE BRACKET (OP_OP30) × [13.02] RIGHT SQUARE BRACKET (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] DIGIT ZERO (NU) × [25.04] RIGHT PARENTHESIS (CP_CP30) × [13.02] SEMICOLON (IS) ÷ [0.3]');
    Test_LB('× 006F × 0070 × 0065 × 0072 × 0061 × 0074 × 006F × 0072 × 005B × 005D ÷ 0028 × 0029 ÷ 007B × 007D ÷	#  × [0.3] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER P (AL) × [28.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER T (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER R (AL) × [30.01] LEFT SQUARE BRACKET (OP_OP30) × [13.02] RIGHT SQUARE BRACKET (CP_CP30) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] LEFT CURLY BRACKET (OP_OP30) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 672C ÷ 0028 × 3092 × 0029 ÷ 8AAD ÷ 3080 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] HIRAGANA LETTER WO (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8AAD (ID) ÷ [999.0] HIRAGANA LETTER MU (ID) ÷ [0.3]');
    Test_LB('× 672C ÷ 0028 × 300C × 3092 × 300D × 0029 ÷ 8AAD ÷ 3080 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LEFT CORNER BRACKET (OP) × [14.0] HIRAGANA LETTER WO (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8AAD (ID) ÷ [999.0] HIRAGANA LETTER MU (ID) ÷ [0.3]');
    Test_LB('× 672C ÷ 300C × 0028 × 3092 × 0029 × 300D ÷ 8AAD ÷ 3080 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] LEFT PARENTHESIS (OP_OP30) × [14.0] HIRAGANA LETTER WO (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8AAD (ID) ÷ [999.0] HIRAGANA LETTER MU (ID) ÷ [0.3]');
    Test_LB('× 672C ÷ 007B × 3092 × 007D ÷ 8AAD ÷ 3080 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [999.0] LEFT CURLY BRACKET (OP_OP30) × [14.0] HIRAGANA LETTER WO (ID) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8AAD (ID) ÷ [999.0] HIRAGANA LETTER MU (ID) ÷ [0.3]');
    Test_LB('× 672C ÷ 007B × 300C × 3092 × 300D × 007D ÷ 8AAD ÷ 3080 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [999.0] LEFT CURLY BRACKET (OP_OP30) × [14.0] LEFT CORNER BRACKET (OP) × [14.0] HIRAGANA LETTER WO (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8AAD (ID) ÷ [999.0] HIRAGANA LETTER MU (ID) ÷ [0.3]');
    Test_LB('× 672C ÷ 005B × 0028 × 3092 × 0029 × 005D ÷ 8AAD ÷ 3080 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [999.0] LEFT SQUARE BRACKET (OP_OP30) × [14.0] LEFT PARENTHESIS (OP_OP30) × [14.0] HIRAGANA LETTER WO (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT SQUARE BRACKET (CP_CP30) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8AAD (ID) ÷ [999.0] HIRAGANA LETTER MU (ID) ÷ [0.3]');
    Test_LB('× 0028 × 30CB × 30E5 × 30FC × 30FB × 0029 ÷ 30E8 × 30FC ÷ 30AF ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] KATAKANA LETTER NI (ID) × [21.03] KATAKANA LETTER SMALL YU (CJ_NS) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) × [21.03] KATAKANA MIDDLE DOT (NS) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] KATAKANA LETTER YO (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 0028 × 30CB × 30E5 × 30FC × 0029 × 30FB ÷ 30E8 × 30FC ÷ 30AF ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] KATAKANA LETTER NI (ID) × [21.03] KATAKANA LETTER SMALL YU (CJ_NS) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [16.0] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER YO (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 007B × 30CB × 30E5 × 30FC × 30FB × 007D ÷ 30E8 × 30FC ÷ 30AF ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] KATAKANA LETTER NI (ID) × [21.03] KATAKANA LETTER SMALL YU (CJ_NS) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) × [21.03] KATAKANA MIDDLE DOT (NS) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] KATAKANA LETTER YO (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 007B × 30CB × 30E5 × 30FC × 007D × 30FB ÷ 30E8 × 30FC ÷ 30AF ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] KATAKANA LETTER NI (ID) × [21.03] KATAKANA LETTER SMALL YU (CJ_NS) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) × [13.02] RIGHT CURLY BRACKET (CL) × [16.0] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER YO (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 0028 × 1850 × 1846 × 1851 × 1846 ÷ 1806 × 0029 × 182A × 1822 × 1834 × 1822 × 182D × 180C ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] MONGOLIAN LETTER TODO TA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) × [28.0] MONGOLIAN LETTER TODO DA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) ÷ [999.0] MONGOLIAN TODO SOFT HYPHEN (BB) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [30.02] MONGOLIAN LETTER BA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER CHA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER GA (AL) × [9.0] MONGOLIAN FREE VARIATION SELECTOR TWO (CM1_CM) ÷ [0.3]');
    Test_LB('× 0028 × 1850 × 1846 × 1851 × 1846 × 0029 ÷ 1806 × 182A × 1822 × 1834 × 1822 × 182D × 180C ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] MONGOLIAN LETTER TODO TA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) × [28.0] MONGOLIAN LETTER TODO DA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] MONGOLIAN TODO SOFT HYPHEN (BB) × [21.04] MONGOLIAN LETTER BA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER CHA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER GA (AL) × [9.0] MONGOLIAN FREE VARIATION SELECTOR TWO (CM1_CM) ÷ [0.3]');
    Test_LB('× 007B × 1850 × 1846 × 1851 × 1846 ÷ 1806 × 007D ÷ 182A × 1822 × 1834 × 1822 × 182D × 180C ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] MONGOLIAN LETTER TODO TA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) × [28.0] MONGOLIAN LETTER TODO DA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) ÷ [999.0] MONGOLIAN TODO SOFT HYPHEN (BB) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] MONGOLIAN LETTER BA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER CHA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER GA (AL) × [9.0] MONGOLIAN FREE VARIATION SELECTOR TWO (CM1_CM) ÷ [0.3]');
    Test_LB('× 007B × 1850 × 1846 × 1851 × 1846 × 007D ÷ 1806 × 182A × 1822 × 1834 × 1822 × 182D × 180C ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] MONGOLIAN LETTER TODO TA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) × [28.0] MONGOLIAN LETTER TODO DA (AL) × [28.0] MONGOLIAN LETTER TODO O (AL) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] MONGOLIAN TODO SOFT HYPHEN (BB) × [21.04] MONGOLIAN LETTER BA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER CHA (AL) × [28.0] MONGOLIAN LETTER I (AL) × [28.0] MONGOLIAN LETTER GA (AL) × [9.0] MONGOLIAN FREE VARIATION SELECTOR TWO (CM1_CM) ÷ [0.3]');
    Test_LB('× 0028 × 0068 × 0074 × 0074 × 0070 × 003A × 002F × 002F × 0029 × 0078 × 006E × 002D × 002D ÷ 0061 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER H (AL) × [28.0] LATIN SMALL LETTER T (AL) × [28.0] LATIN SMALL LETTER T (AL) × [28.0] LATIN SMALL LETTER P (AL) × [13.02] COLON (IS) × [13.02] SOLIDUS (SY) × [13.02] SOLIDUS (SY) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [30.02] LATIN SMALL LETTER X (AL) × [28.0] LATIN SMALL LETTER N (AL) × [21.02] HYPHEN-MINUS (HY) × [21.02] HYPHEN-MINUS (HY) ÷ [999.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 007B × 0068 × 0074 × 0074 × 0070 × 003A × 002F × 002F × 007D ÷ 0078 × 006E × 002D × 002D ÷ 0061 ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] LATIN SMALL LETTER H (AL) × [28.0] LATIN SMALL LETTER T (AL) × [28.0] LATIN SMALL LETTER T (AL) × [28.0] LATIN SMALL LETTER P (AL) × [13.02] COLON (IS) × [13.02] SOLIDUS (SY) × [13.02] SOLIDUS (SY) × [13.02] RIGHT CURLY BRACKET (CL) ÷ [999.0] LATIN SMALL LETTER X (AL) × [28.0] LATIN SMALL LETTER N (AL) × [21.02] HYPHEN-MINUS (HY) × [21.02] HYPHEN-MINUS (HY) ÷ [999.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 0028 × 0030 × 002C × 0031 × 0029 × 002B × 0028 × 0032 × 002C × 0033 × 0029 × 2295 × 0028 × 2212 × 0034 × 002C × 0035 × 0029 × 2296 × 0028 × 0036 × 002C × 0037 × 0029 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] DIGIT ZERO (NU) × [25.03] COMMA (IS) × [25.04] DIGIT ONE (NU) × [25.04] RIGHT PARENTHESIS (CP_CP30) × [25.05] PLUS SIGN (PR) × [25.01] LEFT PARENTHESIS (OP_OP30) × [14.0] DIGIT TWO (NU) × [25.03] COMMA (IS) × [25.04] DIGIT THREE (NU) × [25.04] RIGHT PARENTHESIS (CP_CP30) × [30.02] CIRCLED PLUS (AI_AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] MINUS SIGN (PR) × [25.01] DIGIT FOUR (NU) × [25.03] COMMA (IS) × [25.04] DIGIT FIVE (NU) × [25.04] RIGHT PARENTHESIS (CP_CP30) × [30.02] CIRCLED MINUS (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] DIGIT SIX (NU) × [25.03] COMMA (IS) × [25.04] DIGIT SEVEN (NU) × [25.04] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 007B × 0030 × 002C × 0031 × 007D × 002B × 007B × 0032 × 002C × 0033 × 007D ÷ 2295 × 007B × 2212 × 0034 × 002C × 0035 × 007D ÷ 2296 × 007B × 0036 × 002C × 0037 × 007D ÷	#  × [0.3] LEFT CURLY BRACKET (OP_OP30) × [14.0] DIGIT ZERO (NU) × [25.03] COMMA (IS) × [25.04] DIGIT ONE (NU) × [25.04] RIGHT CURLY BRACKET (CL) × [25.05] PLUS SIGN (PR) × [25.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] DIGIT TWO (NU) × [25.03] COMMA (IS) × [25.04] DIGIT THREE (NU) × [25.04] RIGHT CURLY BRACKET (CL) ÷ [999.0] CIRCLED PLUS (AI_AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] MINUS SIGN (PR) × [25.01] DIGIT FOUR (NU) × [25.03] COMMA (IS) × [25.04] DIGIT FIVE (NU) × [25.04] RIGHT CURLY BRACKET (CL) ÷ [999.0] CIRCLED MINUS (AL) × [30.01] LEFT CURLY BRACKET (OP_OP30) × [14.0] DIGIT SIX (NU) × [25.03] COMMA (IS) × [25.04] DIGIT SEVEN (NU) × [25.04] RIGHT CURLY BRACKET (CL) ÷ [0.3]');
    Test_LB('× 0061 × 0062 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) ÷ [0.3]');
    Test_LB('× 0061 × 0062 × 0020 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0061 × 0062 × 0020 ÷ 0063 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [7.01] SPACE (SP) ÷ [18.0] LATIN SMALL LETTER C (AL) ÷ [0.3]');
    Test_LB('× 0061 ÷ 307E ÷	#  × [0.3] LATIN SMALL LETTER A (AL) ÷ [999.0] HIRAGANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 0939 × 093F × 0928 × 094D × 0926 × 0940 × 0020 ÷	#  × [0.3] DEVANAGARI LETTER HA (AL) × [9.0] DEVANAGARI VOWEL SIGN I (CM1_CM) × [28.0] DEVANAGARI LETTER NA (AL) × [9.0] DEVANAGARI SIGN VIRAMA (CM1_CM) × [28.0] DEVANAGARI LETTER DA (AL) × [9.0] DEVANAGARI VOWEL SIGN II (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 092F × 0938 × 0917 × 0941 × 091A × 093F × 0924 × 0940 × 092F × 0938 × 093E × 0020 ÷	#  × [0.3] DEVANAGARI LETTER YA (AL) × [28.0] DEVANAGARI LETTER SA (AL) × [28.0] DEVANAGARI LETTER GA (AL) × [9.0] DEVANAGARI VOWEL SIGN U (CM1_CM) × [28.0] DEVANAGARI LETTER CA (AL) × [9.0] DEVANAGARI VOWEL SIGN I (CM1_CM) × [28.0] DEVANAGARI LETTER TA (AL) × [9.0] DEVANAGARI VOWEL SIGN II (CM1_CM) × [28.0] DEVANAGARI LETTER YA (AL) × [28.0] DEVANAGARI LETTER SA (AL) × [9.0] DEVANAGARI VOWEL SIGN AA (CM1_CM) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 5370 ÷ 672C ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-5370 (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [0.3]');
    Test_LB('× 8AAD ÷ 3080 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-8AAD (ID) ÷ [999.0] HIRAGANA LETTER MU (ID) ÷ [0.3]');
    Test_LB('× 5165 ÷ 529B ÷ 3057 ÷ 30A8 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-5165 (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-529B (ID) ÷ [999.0] HIRAGANA LETTER SI (ID) ÷ [999.0] KATAKANA LETTER E (ID) ÷ [0.3]');
    Test_LB('× 4F4D × 3002 ÷ 8A18 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-4F4D (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8A18 (ID) ÷ [0.3]');
    Test_LB('× 672C × 3002 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [0.3]');
    Test_LB('× 967A × 300D ÷ 306E ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-967A (ID) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER NO (ID) ÷ [0.3]');
    Test_LB('× 3057 × 3087 ÷ 3046 ÷	#  × [0.3] HIRAGANA LETTER SI (ID) × [21.03] HIRAGANA LETTER SMALL YO (CJ_NS) ÷ [999.0] HIRAGANA LETTER U (ID) ÷ [0.3]');
    Test_LB('× 307E ÷ 0061 ÷ 672C ÷	#  × [0.3] HIRAGANA LETTER MA (ID) ÷ [999.0] LATIN SMALL LETTER A (AL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [0.3]');
    Test_LB('× C5C6 ÷ C5B4 ÷ C694 × 0020 ÷ 006F × 0072 × 0020 ÷ BABB ÷	#  × [0.3] HANGUL SYLLABLE EOBS (H3) ÷ [999.0] HANGUL SYLLABLE EO (H2) ÷ [999.0] HANGUL SYLLABLE YO (H2) × [7.01] SPACE (SP) ÷ [18.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER R (AL) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE MOS (H3) ÷ [0.3]');
    Test_LB('× 307E ÷ 0061 × 0062 × 0020 ÷	#  × [0.3] HIRAGANA LETTER MA (ID) ÷ [999.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 3067 ÷ 4F7F ÷	#  × [0.3] HIRAGANA LETTER DE (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-4F7F (ID) ÷ [0.3]');
    Test_LB('× 3059 ÷ 308B ÷	#  × [0.3] HIRAGANA LETTER SU (ID) ÷ [999.0] HIRAGANA LETTER RU (ID) ÷ [0.3]');
    Test_LB('× 306E ÷ 30D1 ÷ 30F3 ÷	#  × [0.3] HIRAGANA LETTER NO (ID) ÷ [999.0] KATAKANA LETTER PA (ID) ÷ [999.0] KATAKANA LETTER N (ID) ÷ [0.3]');
    Test_LB('× 3046 × 3000 ÷ 3048 × 3000 ÷ 304A × 300D ÷	#  × [0.3] HIRAGANA LETTER U (ID) × [21.01] IDEOGRAPHIC SPACE (BA) ÷ [999.0] HIRAGANA LETTER E (ID) × [21.01] IDEOGRAPHIC SPACE (BA) ÷ [999.0] HIRAGANA LETTER O (ID) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [0.3]');
    Test_LB('× 308B × 0020 ÷ C740 ÷ C601 × 0020 ÷ 306B ÷	#  × [0.3] HIRAGANA LETTER RU (ID) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE EUN (H3) ÷ [999.0] HANGUL SYLLABLE YEONG (H3) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER NI (ID) ÷ [0.3]');
    Test_LB('× 3057 × 3087 ÷ 3046 × 3002 ÷	#  × [0.3] HIRAGANA LETTER SI (ID) × [21.03] HIRAGANA LETTER SMALL YO (CJ_NS) ÷ [999.0] HIRAGANA LETTER U (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [0.3]');
    Test_LB('× 30E0 ÷ 306E ÷ 4E00 ÷	#  × [0.3] KATAKANA LETTER MU (ID) ÷ [999.0] HIRAGANA LETTER NO (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-4E00 (ID) ÷ [0.3]');
    Test_LB('× 30D5 ÷ 30EA ÷	#  × [0.3] KATAKANA LETTER HU (ID) ÷ [999.0] KATAKANA LETTER RI (ID) ÷ [0.3]');
    Test_LB('× 30D5 ÷ 30EA × 30FC ÷ 767E ÷	#  × [0.3] KATAKANA LETTER HU (ID) ÷ [999.0] KATAKANA LETTER RI (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] CJK UNIFIED IDEOGRAPH-767E (ID) ÷ [0.3]');
    Test_LB('× 30D4 × 30E5 × 30FC ÷ 30BF ÷ 3067 ÷ 4F7F ÷ 7528 ÷ 3059 ÷ 308B ÷	#  × [0.3] KATAKANA LETTER PI (ID) × [21.03] KATAKANA LETTER SMALL YU (CJ_NS) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER TA (ID) ÷ [999.0] HIRAGANA LETTER DE (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-4F7F (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-7528 (ID) ÷ [999.0] HIRAGANA LETTER SU (ID) ÷ [999.0] HIRAGANA LETTER RU (ID) ÷ [0.3]');
    Test_LB('× 30BF × 30FC ÷ 30AD × 30FC ÷ 3092 ÷ 62BC ÷	#  × [0.3] KATAKANA LETTER TA (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER KI (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] HIRAGANA LETTER WO (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-62BC (ID) ÷ [0.3]');
    Test_LB('× 30B7 × 30E7 ÷ 30F3 ÷	#  × [0.3] KATAKANA LETTER SI (ID) × [21.03] KATAKANA LETTER SMALL YO (CJ_NS) ÷ [999.0] KATAKANA LETTER N (ID) ÷ [0.3]');
    Test_LB('× 0061 × 002E ÷ 0032 × 0020 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0061 × 002E ÷ 0032 × 0020 ÷ 0915 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [7.01] SPACE (SP) ÷ [18.0] DEVANAGARI LETTER KA (AL) ÷ [0.3]');
    Test_LB('× 0061 × 002E ÷ 0032 × 0020 ÷ 672C ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [7.01] SPACE (SP) ÷ [18.0] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [0.3]');
    Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 672C ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [21.01] IDEOGRAPHIC SPACE (BA) ÷ [999.0] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [0.3]');
    Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 307E ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [21.01] IDEOGRAPHIC SPACE (BA) ÷ [999.0] HIRAGANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 0033 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [21.01] IDEOGRAPHIC SPACE (BA) ÷ [999.0] DIGIT THREE (NU) ÷ [0.3]');
    Test_LB('× 0061 × 0062 × 002E × 0020 ÷ 0032 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [13.02] FULL STOP (IS) × [7.01] SPACE (SP) ÷ [18.0] DIGIT TWO (NU) ÷ [0.3]');
    Test_LB('× 0041 × 002E ÷ 0031 × 0020 ÷ BABB ÷	#  × [0.3] LATIN CAPITAL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT ONE (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE MOS (H3) ÷ [0.3]');
    Test_LB('× BD24 ÷ C5B4 × 002E × 0020 ÷ 0041 × 002E ÷ 0032 × 0020 ÷ BCFC ÷	#  × [0.3] HANGUL SYLLABLE BWASS (H3) ÷ [999.0] HANGUL SYLLABLE EO (H2) × [13.02] FULL STOP (IS) × [7.01] SPACE (SP) ÷ [18.0] LATIN CAPITAL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE BOL (H3) ÷ [0.3]');
    Test_LB('× BD10 ÷ C694 × 002E × 0020 ÷ 0041 × 002E ÷ 0033 × 0020 ÷ BABB ÷	#  × [0.3] HANGUL SYLLABLE BWA (H2) ÷ [999.0] HANGUL SYLLABLE YO (H2) × [13.02] FULL STOP (IS) × [7.01] SPACE (SP) ÷ [18.0] LATIN CAPITAL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT THREE (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE MOS (H3) ÷ [0.3]');
    Test_LB('× C694 × 002E × 0020 ÷ 0041 × 002E ÷ 0034 × 0020 ÷ BABB ÷	#  × [0.3] HANGUL SYLLABLE YO (H2) × [13.02] FULL STOP (IS) × [7.01] SPACE (SP) ÷ [18.0] LATIN CAPITAL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT FOUR (NU) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE MOS (H3) ÷ [0.3]');
    Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 300C ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULL STOP (IS) ÷ [999.0] DIGIT TWO (NU) × [21.01] IDEOGRAPHIC SPACE (BA) ÷ [999.0] LEFT CORNER BRACKET (OP) ÷ [0.3]');
    Test_LB('× 306B ÷ 300C × 30D0 ÷ 0028 × 0062 × 0061 × 0029 × 300D ÷ 3084 ÷ 300C × 30B9 ÷	#  × [0.3] HIRAGANA LETTER NI (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] KATAKANA LETTER BA (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER B (AL) × [28.0] LATIN SMALL LETTER A (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER YA (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] KATAKANA LETTER SU (ID) ÷ [0.3]');
    Test_LB('× 308B ÷ 300C × 0055 × 004B ÷ 30DD ÷ 30F3 ÷ 30C9 × 300D × FF09 × 3001 ÷ 30A8 ÷	#  × [0.3] HIRAGANA LETTER RU (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] LATIN CAPITAL LETTER U (AL) × [28.0] LATIN CAPITAL LETTER K (AL) ÷ [999.0] KATAKANA LETTER PO (ID) ÷ [999.0] KATAKANA LETTER N (ID) ÷ [999.0] KATAKANA LETTER DO (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] FULLWIDTH RIGHT PARENTHESIS (CL) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] KATAKANA LETTER E (ID) ÷ [0.3]');
    Test_LB('× 306F × 3001 ÷ 300C × 003D × 0072 × 0061 × 006E × 0064 × 0028 × 0029 × 300D ÷ 3068 ÷	#  × [0.3] HIRAGANA LETTER HA (ID) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] EQUALS SIGN (AL) × [28.0] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER N (AL) × [28.0] LATIN SMALL LETTER D (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 3067 × 3001 ÷ 300C × 0021 × 300D ÷ 3068 ÷	#  × [0.3] HIRAGANA LETTER DE (ID) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] LEFT CORNER BRACKET (OP) × [13.01] EXCLAMATION MARK (EX) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 8A33 ÷ 300C × 3059 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-8A33 (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] HIRAGANA LETTER SU (ID) ÷ [0.3]');
    Test_LB('× 3066 ÷ 300C × BD24 ÷ C5B4 × 003F × 300D ÷ 3068 ÷	#  × [0.3] HIRAGANA LETTER TE (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] HANGUL SYLLABLE BWASS (H3) ÷ [999.0] HANGUL SYLLABLE EO (H2) × [13.01] QUESTION MARK (EX) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 306E ÷ 300C × 305D ÷	#  × [0.3] HIRAGANA LETTER NO (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] HIRAGANA LETTER SO (ID) ÷ [0.3]');
    Test_LB('× 306F ÷ 300C × 30A8 ÷	#  × [0.3] HIRAGANA LETTER HA (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] KATAKANA LETTER E (ID) ÷ [0.3]');
    Test_LB('× 4F8B × FF1A ÷ 300C × 3042 × 3000 ÷ 3044 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-4F8B (ID) × [21.03] FULLWIDTH COLON (NS) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] HIRAGANA LETTER A (ID) × [21.01] IDEOGRAPHIC SPACE (BA) ÷ [999.0] HIRAGANA LETTER I (ID) ÷ [0.3]');
    Test_LB('× 304F × 3001 ÷ 300C × D3C9 ÷ C591 ÷ C740 ÷	#  × [0.3] HIRAGANA LETTER KU (ID) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] HANGUL SYLLABLE PYEONG (H3) ÷ [999.0] HANGUL SYLLABLE YANG (H3) ÷ [999.0] HANGUL SYLLABLE EUN (H3) ÷ [0.3]');
    Test_LB('× 306B ÷ 300C × C81C ÷ BAA9 ÷ 0028 × 984C ÷ 540D × 0029 ÷ C740 ÷	#  × [0.3] HIRAGANA LETTER NI (ID) ÷ [999.0] LEFT CORNER BRACKET (OP) × [14.0] HANGUL SYLLABLE JE (H2) ÷ [999.0] HANGUL SYLLABLE MOG (H3) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] CJK UNIFIED IDEOGRAPH-984C (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-540D (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HANGUL SYLLABLE EUN (H3) ÷ [0.3]');
    Test_LB('× 5178 ÷ 300E × 30A6 × 30A3 ÷ 30AD ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-5178 (ID) ÷ [999.0] LEFT WHITE CORNER BRACKET (OP) × [14.0] KATAKANA LETTER U (ID) × [21.03] KATAKANA LETTER SMALL I (CJ_NS) ÷ [999.0] KATAKANA LETTER KI (ID) ÷ [0.3]');
    Test_LB('× 3067 ÷ 300E × 82F1 ÷ 8A9E ÷	#  × [0.3] HIRAGANA LETTER DE (ID) ÷ [999.0] LEFT WHITE CORNER BRACKET (OP) × [14.0] CJK UNIFIED IDEOGRAPH-82F1 (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-8A9E (ID) ÷ [0.3]');
    Test_LB('× 0028 × 0073 × 0029 × 0020 ÷ 672C ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [0.3]');
    Test_LB('× 0028 × 0073 × 0029 × 0020 ÷ 307E ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 0028 × 0073 × 0029 × 0020 ÷ 30AF ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 308B × 3002 ÷ 0064 × 006F × 0067 ÷ FF08 × 72AC × FF09 ÷ 3092 ÷	#  × [0.3] HIRAGANA LETTER RU (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER G (AL) ÷ [999.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] CJK UNIFIED IDEOGRAPH-72AC (ID) × [13.02] FULLWIDTH RIGHT PARENTHESIS (CL) ÷ [999.0] HIRAGANA LETTER WO (ID) ÷ [0.3]');
    Test_LB('× 672C ÷ FF08 × 307E ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [999.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] HIRAGANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 672C × 0020 ÷ 0028 × 0061 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 70B9 × 0020 ÷ 005B × 7DE8 ÷ 96C6 × 005D ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-70B9 (ID) × [7.01] SPACE (SP) ÷ [18.0] LEFT SQUARE BRACKET (OP_OP30) × [14.0] CJK UNIFIED IDEOGRAPH-7DE8 (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-96C6 (ID) × [13.02] RIGHT SQUARE BRACKET (CP_CP30) ÷ [0.3]');
    Test_LB('× 0061 × 0028 × 0073 × 0029 × 0020 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [30.01] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× FF08 × 30B6 × 30FB ÷ 30AF ÷ 30A4 × 30C3 ÷ 30AF × 30FB ÷ 30D6 ÷	#  × [0.3] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] KATAKANA LETTER ZA (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [999.0] KATAKANA LETTER I (ID) × [21.03] KATAKANA LETTER SMALL TU (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER BU (ID) ÷ [0.3]');
    Test_LB('× 0070 ÷ FF08 × 30AF ÷ 30A4 × 30C3 ÷ 30AF × 30FB ÷ 30D6 ÷	#  × [0.3] LATIN SMALL LETTER P (AL) ÷ [999.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] KATAKANA LETTER KU (ID) ÷ [999.0] KATAKANA LETTER I (ID) × [21.03] KATAKANA LETTER SMALL TU (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER BU (ID) ÷ [0.3]');
    Test_LB('× 0061 × 0062 ÷ FF08 × 30AF ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) ÷ [999.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 0028 × 5370 ÷ 672C × 0029 ÷	#  × [0.3] LEFT PARENTHESIS (OP_OP30) × [14.0] CJK UNIFIED IDEOGRAPH-5370 (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-672C (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [0.3]');
    Test_LB('× 30B9 ÷ FF08 × 3044 ÷	#  × [0.3] KATAKANA LETTER SU (ID) ÷ [999.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] HIRAGANA LETTER I (ID) ÷ [0.3]');
    Test_LB('× 30C9 ÷ FF08 × 30DD ÷	#  × [0.3] KATAKANA LETTER DO (ID) ÷ [999.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] KATAKANA LETTER PO (ID) ÷ [0.3]');
    Test_LB('× 30C9 × 0020 ÷ 0028 × 8CEA ÷	#  × [0.3] KATAKANA LETTER DO (ID) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) × [14.0] CJK UNIFIED IDEOGRAPH-8CEA (ID) ÷ [0.3]');
    Test_LB('× 0073 × 0029 × 300D ÷ 307E ÷	#  × [0.3] LATIN SMALL LETTER S (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 0061 × FF09 × 300F ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [13.02] FULLWIDTH RIGHT PARENTHESIS (CL) × [13.02] RIGHT WHITE CORNER BRACKET (CL) ÷ [0.3]');
    Test_LB('× 308B × 300D × FF09 ÷ 306F ÷	#  × [0.3] HIRAGANA LETTER RU (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] FULLWIDTH RIGHT PARENTHESIS (CL) ÷ [999.0] HIRAGANA LETTER HA (ID) ÷ [0.3]');
    Test_LB('× 30C9 × 300D × FF09 × 3001 ÷ 30A8 ÷	#  × [0.3] KATAKANA LETTER DO (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] FULLWIDTH RIGHT PARENTHESIS (CL) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] KATAKANA LETTER E (ID) ÷ [0.3]');
    Test_LB('× 0072 × 006B × 0029 × 300D ÷ 3082 ÷	#  × [0.3] LATIN SMALL LETTER R (AL) × [28.0] LATIN SMALL LETTER K (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER MO (ID) ÷ [0.3]');
    Test_LB('× 30AF ÷ 0028 × 0061 × 0062 × 0020 ÷ 0063 × 0064 × 0029 × 300D ÷ 3082 ÷	#  × [0.3] KATAKANA LETTER KU (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [7.01] SPACE (SP) ÷ [18.0] LATIN SMALL LETTER C (AL) × [28.0] LATIN SMALL LETTER D (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER MO (ID) ÷ [0.3]');
    Test_LB('× 30F3 × 30FB ÷ 30DE × 30FC ÷ 30AF ÷ 0028 × 0065 × 0078 ÷	#  × [0.3] KATAKANA LETTER N (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER MA (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER E (AL) × [28.0] LATIN SMALL LETTER X (AL) ÷ [0.3]');
    Test_LB('× 30DE × 30FC ÷ 0028 × 006D × 0061 × 0029 × 300D ÷ 306A ÷	#  × [0.3] KATAKANA LETTER MA (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER M (AL) × [28.0] LATIN SMALL LETTER A (AL) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER NA (ID) ÷ [0.3]');
    Test_LB('× 30AC ÷ 30EF × 300D × 3002 ÷ 3053 ÷	#  × [0.3] KATAKANA LETTER GA (ID) ÷ [999.0] KATAKANA LETTER WA (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] HIRAGANA LETTER KO (ID) ÷ [0.3]');
    Test_LB('× 30AF × 300D ÷ 307E ÷	#  × [0.3] KATAKANA LETTER KU (ID) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 30EF × 300D × 3002 ÷ 3053 ÷	#  × [0.3] KATAKANA LETTER WA (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] HIRAGANA LETTER KO (ID) ÷ [0.3]');
    Test_LB('× 30AF × 300D ÷ 307E × 3001 ÷ 672C ÷	#  × [0.3] KATAKANA LETTER KU (ID) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER MA (ID) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [0.3]');
    Test_LB('× 30AF × 300D × 3001 ÷ 30AF ÷	#  × [0.3] KATAKANA LETTER KU (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 30C7 × 30A3 ÷ 30A2 ÷ FF08 × 0061 × 0062 × FF09 × 300F ÷	#  × [0.3] KATAKANA LETTER DE (ID) × [21.03] KATAKANA LETTER SMALL I (CJ_NS) ÷ [999.0] KATAKANA LETTER A (ID) ÷ [999.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [13.02] FULLWIDTH RIGHT PARENTHESIS (CL) × [13.02] RIGHT WHITE CORNER BRACKET (CL) ÷ [0.3]');
    Test_LB('× CABD ÷ C774 ÷ C5D0 ÷ C694 × 003F × 300D ÷ 3068 ÷ 805E ÷	#  × [0.3] HANGUL SYLLABLE JJOG (H3) ÷ [999.0] HANGUL SYLLABLE I (H2) ÷ [999.0] HANGUL SYLLABLE E (H2) ÷ [999.0] HANGUL SYLLABLE YO (H2) × [13.01] QUESTION MARK (EX) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-805E (ID) ÷ [0.3]');
    Test_LB('× 540D × 0029 ÷ C740 × 0020 ÷ C54C ÷ C544 ÷ C694 × 003F × 300D ÷ 3068 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-540D (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HANGUL SYLLABLE EUN (H3) × [7.01] SPACE (SP) ÷ [18.0] HANGUL SYLLABLE AL (H3) ÷ [999.0] HANGUL SYLLABLE A (H2) ÷ [999.0] HANGUL SYLLABLE YO (H2) × [13.01] QUESTION MARK (EX) × [13.02] RIGHT CORNER BRACKET (CL) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 8CA8 × 0029 × 0020 ÷ 002D × 0020 ÷ 0028 × 0070 × 006F ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-8CA8 (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) ÷ [18.0] HYPHEN-MINUS (HY) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER P (AL) × [28.0] LATIN SMALL LETTER O (AL) ÷ [0.3]');
    Test_LB('× 91CF × 0029 × 0020 × 301C × 0020 ÷ 0028 × 0070 × 006F ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-91CF (ID) × [13.02] RIGHT PARENTHESIS (CP_CP30) × [7.01] SPACE (SP) × [16.0] WAVE DASH (NS) × [7.01] SPACE (SP) ÷ [18.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER P (AL) × [28.0] LATIN SMALL LETTER O (AL) ÷ [0.3]');
    Test_LB('× 30C9 ÷ 91CD × FF09 × 0020 × 301C × 0020 ÷ 529B × 30FB ÷ 91CD ÷	#  × [0.3] KATAKANA LETTER DO (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-91CD (ID) × [13.02] FULLWIDTH RIGHT PARENTHESIS (CL) × [7.01] SPACE (SP) × [16.0] WAVE DASH (NS) × [7.01] SPACE (SP) ÷ [18.0] CJK UNIFIED IDEOGRAPH-529B (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] CJK UNIFIED IDEOGRAPH-91CD (ID) ÷ [0.3]');
    Test_LB('× 0061 × 0062 × 0022 × FF08 × 307E ÷	#  × [0.3] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [19.01] QUOTATION MARK (QU) × [15.0] FULLWIDTH LEFT PARENTHESIS (OP) × [14.0] HIRAGANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 306F × 0020 ÷ 0022 × 0073 × 0022 × 0020 ÷	#  × [0.3] HIRAGANA LETTER HA (ID) × [7.01] SPACE (SP) ÷ [18.0] QUOTATION MARK (QU) × [19.02] LATIN SMALL LETTER S (AL) × [19.01] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 306F × 3001 × 0022 × 0054 × 0068 × 0065 × 0020 ÷	#  × [0.3] HIRAGANA LETTER HA (ID) × [13.02] IDEOGRAPHIC COMMA (CL) × [19.01] QUOTATION MARK (QU) × [19.02] LATIN CAPITAL LETTER T (AL) × [28.0] LATIN SMALL LETTER H (AL) × [28.0] LATIN SMALL LETTER E (AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 0064 × 006F × 0067 × 0022 × 0020 ÷ 3092 ÷	#  × [0.3] LATIN SMALL LETTER D (AL) × [28.0] LATIN SMALL LETTER O (AL) × [28.0] LATIN SMALL LETTER G (AL) × [19.01] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER WO (ID) ÷ [0.3]');
    Test_LB('× 0039 × 0030 × 0022 × 0020 ÷ 3068 ÷	#  × [0.3] DIGIT NINE (NU) × [25.03] DIGIT ZERO (NU) × [19.01] QUOTATION MARK (QU) × [7.01] SPACE (SP) ÷ [18.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 30B9 × 30FB ÷ 30AA × 30FC ÷ 30D0 × 30FC × 30FB ÷ 30B6 × 30FB ÷ 30EC ÷	#  × [0.3] KATAKANA LETTER SU (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER O (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER BA (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER ZA (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER RE (ID) ÷ [0.3]');
    Test_LB('× 30B9 × 30FB ÷ 30B8 × 30E3 ÷ 30F3 ÷	#  × [0.3] KATAKANA LETTER SU (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER ZI (ID) × [21.03] KATAKANA LETTER SMALL YA (CJ_NS) ÷ [999.0] KATAKANA LETTER N (ID) ÷ [0.3]');
    Test_LB('× 30F3 × 30FB ÷ 30D5 × 30A9 × 30C3 ÷ 30AF ÷	#  × [0.3] KATAKANA LETTER N (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER HU (ID) × [21.03] KATAKANA LETTER SMALL O (CJ_NS) × [21.03] KATAKANA LETTER SMALL TU (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 30A4 ÷ 30B8 × 30FC × 30FB ÷ 30C9 × 30C3 ÷ 30B0 × 3001 ÷ 548C ÷	#  × [0.3] KATAKANA LETTER I (ID) ÷ [999.0] KATAKANA LETTER ZI (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER DO (ID) × [21.03] KATAKANA LETTER SMALL TU (CJ_NS) ÷ [999.0] KATAKANA LETTER GU (ID) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-548C (ID) ÷ [0.3]');
    Test_LB('× 30E1 × 30FC ÷ 30B7 × 30E7 ÷ 30F3 × 30FB ÷ 30DE × 30FC ÷ 30AF ÷	#  × [0.3] KATAKANA LETTER ME (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER SI (ID) × [21.03] KATAKANA LETTER SMALL YO (CJ_NS) ÷ [999.0] KATAKANA LETTER N (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER MA (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 30F3 × 30FB ÷ 30AF ÷ 0028 × 0061 ÷	#  × [0.3] KATAKANA LETTER N (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER KU (ID) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [14.0] LATIN SMALL LETTER A (AL) ÷ [0.3]');
    Test_LB('× 30B7 × 30E7 ÷ 30F3 × 30FB ÷ 30DE ÷	#  × [0.3] KATAKANA LETTER SI (ID) × [21.03] KATAKANA LETTER SMALL YO (CJ_NS) ÷ [999.0] KATAKANA LETTER N (ID) × [21.03] KATAKANA MIDDLE DOT (NS) ÷ [999.0] KATAKANA LETTER MA (ID) ÷ [0.3]');
    Test_LB('× 672C × 003A × 0020 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) × [13.02] COLON (IS) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 672C × 003A × 0020 ÷ 30AF ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-672C (ID) × [13.02] COLON (IS) × [7.01] SPACE (SP) ÷ [18.0] KATAKANA LETTER KU (ID) ÷ [0.3]');
    Test_LB('× 51FA ÷ 5178 × 003A × 0020 ÷ 30D5 ÷ 30EA × 30FC ÷ 767E ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-51FA (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-5178 (ID) × [13.02] COLON (IS) × [7.01] SPACE (SP) ÷ [18.0] KATAKANA LETTER HU (ID) ÷ [999.0] KATAKANA LETTER RI (ID) × [21.03] KATAKANA-HIRAGANA PROLONGED SOUND MARK (CJ_NS) ÷ [999.0] CJK UNIFIED IDEOGRAPH-767E (ID) ÷ [0.3]');
    Test_LB('× 5F8C × 2026 ÷ 306B ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-5F8C (ID) × [22.0] HORIZONTAL ELLIPSIS (IN) ÷ [999.0] HIRAGANA LETTER NI (ID) ÷ [0.3]');
    Test_LB('× 3057 × 3087 ÷ 3046 × 3002 × 3002 × 3002 ÷	#  × [0.3] HIRAGANA LETTER SI (ID) × [21.03] HIRAGANA LETTER SMALL YO (CJ_NS) ÷ [999.0] HIRAGANA LETTER U (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) × [13.02] IDEOGRAPHIC FULL STOP (CL) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [0.3]');
    Test_LB('× 304D × 3001 × 0021 × 0021 × 3001 × 0021 × 0021 × 0021 ÷ 3068 ÷	#  × [0.3] HIRAGANA LETTER KI (ID) × [13.02] IDEOGRAPHIC COMMA (CL) × [13.01] EXCLAMATION MARK (EX) × [13.01] EXCLAMATION MARK (EX) × [13.02] IDEOGRAPHIC COMMA (CL) × [13.01] EXCLAMATION MARK (EX) × [13.01] EXCLAMATION MARK (EX) × [13.01] EXCLAMATION MARK (EX) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 306F × 3001 × 003F ÷ 3068 × 0021 ÷ 3092 ÷	#  × [0.3] HIRAGANA LETTER HA (ID) × [13.02] IDEOGRAPHIC COMMA (CL) × [13.01] QUESTION MARK (EX) ÷ [999.0] HIRAGANA LETTER TO (ID) × [13.01] EXCLAMATION MARK (EX) ÷ [999.0] HIRAGANA LETTER WO (ID) ÷ [0.3]');
    Test_LB('× 305F × 3001 × 2049 ÷ 0028 × 0021 × 003F × 0029 ÷ 306E ÷	#  × [0.3] HIRAGANA LETTER TA (ID) × [13.02] IDEOGRAPHIC COMMA (CL) × [16.0] EXCLAMATION QUESTION MARK (NS) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [13.01] EXCLAMATION MARK (EX) × [13.01] QUESTION MARK (EX) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HIRAGANA LETTER NO (ID) ÷ [0.3]');
    Test_LB('× 3084 × 3001 × 2048 ÷ 0028 × 003F × 0021 × 0029 ÷ 306E ÷	#  × [0.3] HIRAGANA LETTER YA (ID) × [13.02] IDEOGRAPHIC COMMA (CL) × [16.0] QUESTION EXCLAMATION MARK (NS) ÷ [999.0] LEFT PARENTHESIS (OP_OP30) × [13.01] QUESTION MARK (EX) × [13.01] EXCLAMATION MARK (EX) × [13.02] RIGHT PARENTHESIS (CP_CP30) ÷ [999.0] HIRAGANA LETTER NO (ID) ÷ [0.3]');
    Test_LB('× 305F × 0020 ÷ 203D ÷ 3068 ÷	#  × [0.3] HIRAGANA LETTER TA (ID) × [7.01] SPACE (SP) ÷ [18.0] INTERROBANG (NS) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 305B × FF01 ÷ 0031 × 0030 × 0030 × 0025 ÷ 306E ÷ 5B8C ÷	#  × [0.3] HIRAGANA LETTER SE (ID) × [13.01] FULLWIDTH EXCLAMATION MARK (EX) ÷ [999.0] DIGIT ONE (NU) × [25.03] DIGIT ZERO (NU) × [25.03] DIGIT ZERO (NU) × [25.05] PERCENT SIGN (PO) ÷ [999.0] HIRAGANA LETTER NO (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-5B8C (ID) ÷ [0.3]');
    Test_LB('× 0032 × 0033 ÷ 672C ÷	#  × [0.3] DIGIT TWO (NU) × [25.03] DIGIT THREE (NU) ÷ [999.0] CJK UNIFIED IDEOGRAPH-672C (ID) ÷ [0.3]');
    Test_LB('× 30A1 ÷ 30D9 × 30C3 ÷ 30C8 ÷ 0032 × 0036 ÷ 5B57 ÷ 3092 ÷	#  × [0.3] KATAKANA LETTER SMALL A (CJ_NS) ÷ [999.0] KATAKANA LETTER BE (ID) × [21.03] KATAKANA LETTER SMALL TU (CJ_NS) ÷ [999.0] KATAKANA LETTER TO (ID) ÷ [999.0] DIGIT TWO (NU) × [25.03] DIGIT SIX (NU) ÷ [999.0] CJK UNIFIED IDEOGRAPH-5B57 (ID) ÷ [999.0] HIRAGANA LETTER WO (ID) ÷ [0.3]');
    Test_LB('× 4F8B × FF1A ÷ 00A3 × 0032 × 0033 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-4F8B (ID) × [21.03] FULLWIDTH COLON (NS) ÷ [999.0] POUND SIGN (PR) × [25.01] DIGIT TWO (NU) × [25.03] DIGIT THREE (NU) ÷ [0.3]');
    Test_LB('× 8A18 ÷ 53F7 × 0020 ÷ 00A3 × 3002 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-8A18 (ID) ÷ [999.0] CJK UNIFIED IDEOGRAPH-53F7 (ID) × [7.01] SPACE (SP) ÷ [18.0] POUND SIGN (PR) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [0.3]');
    Test_LB('× 308C ÷ 308B × 3002 ÷ 0071 × 0075 ÷	#  × [0.3] HIRAGANA LETTER RE (ID) ÷ [999.0] HIRAGANA LETTER RU (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] LATIN SMALL LETTER Q (AL) × [28.0] LATIN SMALL LETTER U (AL) ÷ [0.3]');
    Test_LB('× 307E × 3002 ÷	#  × [0.3] HIRAGANA LETTER MA (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [0.3]');
    Test_LB('× 307E × 3002 ÷ 0061 × 0062 × 0020 ÷	#  × [0.3] HIRAGANA LETTER MA (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 308B × 3002 ÷ 6570 ÷	#  × [0.3] HIRAGANA LETTER RU (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-6570 (ID) ÷ [0.3]');
    Test_LB('× 308B × 3002 ÷ 3053 ÷	#  × [0.3] HIRAGANA LETTER RU (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] HIRAGANA LETTER KO (ID) ÷ [0.3]');
    Test_LB('× 3044 × 3002 ÷ 30D1 ÷	#  × [0.3] HIRAGANA LETTER I (ID) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] KATAKANA LETTER PA (ID) ÷ [0.3]');
    Test_LB('× 30AC ÷ 30EF × 300D × 3002 ÷ 3053 ÷ 308C ÷	#  × [0.3] KATAKANA LETTER GA (ID) ÷ [999.0] KATAKANA LETTER WA (ID) × [13.02] RIGHT CORNER BRACKET (CL) × [13.02] IDEOGRAPHIC FULL STOP (CL) ÷ [999.0] HIRAGANA LETTER KO (ID) ÷ [999.0] HIRAGANA LETTER RE (ID) ÷ [0.3]');
    Test_LB('× 8A9E ÷ 306E ÷ 0069 × 006F ÷ 306E × 3001 ÷ 0032 ÷ 5B57 ÷ 3092 ÷	#  × [0.3] CJK UNIFIED IDEOGRAPH-8A9E (ID) ÷ [999.0] HIRAGANA LETTER NO (ID) ÷ [999.0] LATIN SMALL LETTER I (AL) × [28.0] LATIN SMALL LETTER O (AL) ÷ [999.0] HIRAGANA LETTER NO (ID) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] DIGIT TWO (NU) ÷ [999.0] CJK UNIFIED IDEOGRAPH-5B57 (ID) ÷ [999.0] HIRAGANA LETTER WO (ID) ÷ [0.3]');
    Test_LB('× 3001 ÷ 548C ÷	#  × [0.3] IDEOGRAPHIC COMMA (CL) ÷ [999.0] CJK UNIFIED IDEOGRAPH-548C (ID) ÷ [0.3]');
    Test_LB('× 3001 ÷ 30BF ÷	#  × [0.3] IDEOGRAPHIC COMMA (CL) ÷ [999.0] KATAKANA LETTER TA (ID) ÷ [0.3]');
    Test_LB('× 3001 ÷ 304B ÷	#  × [0.3] IDEOGRAPHIC COMMA (CL) ÷ [999.0] HIRAGANA LETTER KA (ID) ÷ [0.3]');
    Test_LB('× 3001 ÷ 3053 ÷ 308C ÷ 3067 ÷ 306F × 0020 ÷	#  × [0.3] IDEOGRAPHIC COMMA (CL) ÷ [999.0] HIRAGANA LETTER KO (ID) ÷ [999.0] HIRAGANA LETTER RE (ID) ÷ [999.0] HIRAGANA LETTER DE (ID) ÷ [999.0] HIRAGANA LETTER HA (ID) × [7.01] SPACE (SP) ÷ [0.3]');
    Test_LB('× 3057 × 3001 ÷ 0061 × 0062 ÷ 3068 ÷	#  × [0.3] HIRAGANA LETTER SI (ID) × [13.02] IDEOGRAPHIC COMMA (CL) ÷ [999.0] LATIN SMALL LETTER A (AL) × [28.0] LATIN SMALL LETTER B (AL) ÷ [999.0] HIRAGANA LETTER TO (ID) ÷ [0.3]');
    Test_LB('× 0061 ÷ 1F1E6 ÷ 0062 ÷	#  × [0.3] LATIN SMALL LETTER A (AL) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LATIN SMALL LETTER B (AL) ÷ [0.3]');
    Test_LB('× 1F1F7 × 1F1FA ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER R (RI) × [30.11] REGIONAL INDICATOR SYMBOL LETTER U (RI) ÷ [0.3]');
    Test_LB('× 1F1F7 × 1F1FA ÷ 1F1F8 ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER R (RI) × [30.11] REGIONAL INDICATOR SYMBOL LETTER U (RI) ÷ [30.13] REGIONAL INDICATOR SYMBOL LETTER S (RI) ÷ [0.3]');
    Test_LB('× 1F1F7 × 1F1FA ÷ 1F1F8 × 1F1EA ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER R (RI) × [30.11] REGIONAL INDICATOR SYMBOL LETTER U (RI) ÷ [30.13] REGIONAL INDICATOR SYMBOL LETTER S (RI) × [30.11] REGIONAL INDICATOR SYMBOL LETTER E (RI) ÷ [0.3]');
    Test_LB('× 1F1F7 × 1F1FA × 200B ÷ 1F1F8 × 1F1EA ÷	#  × [0.3] REGIONAL INDICATOR SYMBOL LETTER R (RI) × [30.11] REGIONAL INDICATOR SYMBOL LETTER U (RI) × [7.02] ZERO WIDTH SPACE (ZW) ÷ [8.0] REGIONAL INDICATOR SYMBOL LETTER S (RI) × [30.12] REGIONAL INDICATOR SYMBOL LETTER E (RI) ÷ [0.3]');
    Test_LB('× 05D0 × 002D × 05D0 ÷	#  × [0.3] HEBREW LETTER ALEF (HL) × [21.02] HYPHEN-MINUS (HY) × [21.1] HEBREW LETTER ALEF (HL) ÷ [0.3]');
    Test_LB('× 1F02C × 1F3FF ÷	#  × [0.3] <reserved-1F02C> (Other) × [30.22] EMOJI MODIFIER FITZPATRICK TYPE-6 (EM) ÷ [0.3]');
    Test_LB('× 00A9 ÷ 1F3FF ÷	#  × [0.3] COPYRIGHT SIGN (AL) ÷ [999.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (EM) ÷ [0.3]');
}
if (!$::TESTCHUNK or $::TESTCHUNK == 10) {
    Test_WB('÷ 0001 ÷ 0001 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0001 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 000D ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 000D ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 000A ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 000A ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 000B ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 000B ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 3031 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 3031 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0041 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0041 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 003A ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 003A ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 002E ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 002E ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0030 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0030 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 005F ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 005F ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 1F1E6 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 05D0 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0022 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0022 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0027 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0027 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 231A ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 231A ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0020 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0020 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0001 × 00AD ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 × 00AD ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 0300 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 × 0300 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 200D ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 × 200D ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0061 × 2060 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0001 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <START OF HEADING> (Other) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <START OF HEADING> (Other) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0001 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0001 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 000D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 000D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 000D × 000A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) × [3.0] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 000A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 000B ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 000B ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 3031 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 3031 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0041 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0041 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 003A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 003A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 002E ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 002E ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0030 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0030 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 005F ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 005F ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 1F1E6 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 05D0 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 05D0 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0022 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0022 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0027 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0027 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 231A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 231A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0020 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0020 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 00AD ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 × 00AD ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0300 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 × 0300 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 200D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 × 200D ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0061 × 2060 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0001 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0001 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 000D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 000D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 000A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 000A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 000B ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 000B ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 3031 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 3031 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0041 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0041 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 003A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 003A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 002E ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 002E ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0030 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0030 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 005F ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 005F ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 1F1E6 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 05D0 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 05D0 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0022 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0022 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0027 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0027 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 231A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 231A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0020 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0020 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 00AD ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 × 00AD ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0300 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 × 0300 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 200D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 × 200D ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0061 × 2060 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0001 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0001 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 000D ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 000D ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 000A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 000A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 000B ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 000B ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 3031 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 3031 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0041 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0041 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 003A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 003A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 002C ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 002C ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 002E ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 002E ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0030 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0030 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 005F ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 005F ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 1F1E6 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 05D0 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 05D0 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0022 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0022 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0027 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0027 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 231A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 231A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0020 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0020 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 00AD ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 × 00AD ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0300 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 × 0300 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 200D ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 × 200D ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0061 × 2060 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] <LINE TABULATION> (Newline) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0001 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0001 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 000D ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 000D ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 000A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 000A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 000B ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 000B ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 3031 × 3031 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [13.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 × 3031 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0041 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0041 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 003A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 003A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 002C ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 002C ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 002E ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 002E ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0030 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0030 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 3031 × 005F ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 × 005F ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 1F1E6 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 05D0 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0022 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0022 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0027 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0027 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 231A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 231A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0020 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0020 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 3031 × 00AD ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 × 00AD ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 0300 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 × 0300 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 200D ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 × 200D ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0061 × 2060 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 3031 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 0001 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 0001 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 000D ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 000D ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 000A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 000A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 000B ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 000B ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 3031 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 3031 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0041 × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 003A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 003A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 002E ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 002E ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0041 × 0030 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [9.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0030 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0041 × 005F ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 005F ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0041 × 05D0 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 05D0 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 0022 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 0022 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 0027 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 0027 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 231A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 231A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 0020 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 ÷ 0020 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0041 × 00AD ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 00AD ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0300 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0300 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 200D ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 200D ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0041 × 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0041 × 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0041 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0041 × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0001 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0001 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 000D ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 000D ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 000A ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 000A ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 000B ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 000B ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 3031 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 3031 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0041 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0041 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 003A ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 003A ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 002C ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 002C ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 002E ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 002E ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0030 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0030 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 005F ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 005F ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 1F1E6 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 05D0 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 05D0 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0022 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0022 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0027 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0027 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 231A ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 231A ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0020 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0020 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 003A × 00AD ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 × 00AD ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 0300 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 × 0300 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 200D ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 × 200D ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0061 × 2060 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 003A ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0001 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0001 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 000D ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 000D ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 000A ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 000A ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 000B ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 000B ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 3031 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 3031 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0041 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0041 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 003A ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 003A ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 002C ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 002C ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 002E ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 002E ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0030 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0030 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 005F ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 005F ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 1F1E6 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 05D0 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 05D0 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0022 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0022 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0027 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0027 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 231A ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 231A ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0020 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0020 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 002C × 00AD ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 × 00AD ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 0300 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 × 0300 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 200D ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 × 200D ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0061 × 2060 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002C ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0001 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0001 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 000D ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 000D ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 000A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 000A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 000B ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 000B ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 3031 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 3031 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0041 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0041 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 003A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 003A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 002C ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 002C ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 002E ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 002E ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0030 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0030 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 005F ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 005F ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 1F1E6 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 05D0 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 05D0 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0022 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0022 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0027 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0027 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 231A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 231A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0020 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0020 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 002E × 00AD ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 × 00AD ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 0300 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 × 0300 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 200D ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 × 200D ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0061 × 2060 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 002E ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] FULL STOP (MidNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 000D ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 000D ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 000A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 000A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 000B ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 000B ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0030 × 0041 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [10.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0041 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [10.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 003A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 003A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 002E ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 002E ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0030 × 0030 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [8.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0030 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [8.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0030 × 005F ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 005F ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0030 × 05D0 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [10.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 05D0 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [10.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 231A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 231A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0030 × 00AD ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 00AD ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0300 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0300 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 200D ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 200D ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [10.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [10.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0030 × 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [10.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0030 × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0030 × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0030 × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0030 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0030 × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [4.0] COMBINING DIAERESIS (Extend_FE) × [8.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 0001 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 0001 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 000D ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 000D ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 000A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 000A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 000B ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 000B ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 005F × 3031 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 3031 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 005F × 0041 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0041 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 003A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 003A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 002C ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 002C ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 002E ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 002E ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 005F × 0030 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0030 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 005F × 005F ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 005F ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 1F1E6 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 005F × 05D0 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 05D0 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 0022 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 0022 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 0027 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 0027 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 231A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 231A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 005F ÷ 0020 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 ÷ 0020 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 005F × 00AD ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 00AD ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0300 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0300 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 200D ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 200D ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0061 × 2060 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0061 ÷ 003A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 005F × 0061 ÷ 0027 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 005F × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0061 ÷ 002C ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 005F × 0031 ÷ 003A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 005F × 0031 ÷ 0027 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 005F × 0031 ÷ 002C ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 005F × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 005F × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LOW LINE (ExtendNumLet) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0001 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0001 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 000D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 000D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 000A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 000A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 000B ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 000B ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 3031 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 3031 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0041 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0041 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 003A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 003A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 002C ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 002C ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 002E ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 002E ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0030 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0030 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 005F ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 005F ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 1F1E6 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [15.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 × 1F1E6 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) × [15.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 05D0 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0022 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0022 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0027 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0027 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 231A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 231A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0020 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0020 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 00AD ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 × 00AD ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0300 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 × 0300 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 200D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 × 200D ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0061 × 2060 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 1F1E6 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 0001 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 0001 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 000D ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 000D ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 000A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 000A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 000B ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 000B ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 3031 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 3031 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0041 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [5.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0041 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 003A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 003A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 002C ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 002C ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 002E ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 002E ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0030 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [9.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0030 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 05D0 × 005F ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 005F ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 1F1E6 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 05D0 × 05D0 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [5.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 05D0 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 0022 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 0022 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0027 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [7.1] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0027 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.1] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 231A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 231A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 05D0 ÷ 0020 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 ÷ 0020 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 05D0 × 00AD ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 00AD ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0300 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0300 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 200D ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 200D ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0061 × 2060 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [5.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0061 ÷ 003A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0061 ÷ 0027 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0061 ÷ 002C ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0031 ÷ 003A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0031 ÷ 0027 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0031 ÷ 002C ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0001 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0001 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 000D ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 000D ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 000A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 000A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 000B ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 000B ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 3031 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 3031 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0041 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0041 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 003A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 003A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 002C ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 002C ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 002E ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 002E ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0030 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0030 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 005F ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 005F ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 1F1E6 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 05D0 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0022 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0022 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0027 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0027 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 231A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 231A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0020 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0020 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0022 × 00AD ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 × 00AD ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 0300 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 × 0300 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 200D ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 × 200D ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0061 × 2060 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0022 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] QUOTATION MARK (Double_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0001 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0001 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 000D ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 000D ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 000A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 000A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 000B ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 000B ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 3031 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 3031 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0041 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0041 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 003A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 003A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 002C ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 002C ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 002E ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 002E ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0030 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0030 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 005F ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 005F ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 1F1E6 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 05D0 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0022 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0022 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0027 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0027 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 231A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 231A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0020 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0020 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0027 × 00AD ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 × 00AD ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 0300 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 × 0300 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 200D ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 × 200D ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0061 × 2060 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0027 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0001 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0001 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 000D ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 000D ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 000A ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 000A ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 000B ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 000B ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 3031 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 3031 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0041 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0041 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 003A ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 003A ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 002C ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 002C ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 002E ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 002E ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0030 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0030 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 005F ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 005F ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 1F1E6 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 05D0 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 05D0 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0022 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0022 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0027 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0027 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 231A ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 231A ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0020 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0020 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 231A × 00AD ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 × 00AD ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 0300 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 × 0300 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 200D ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 × 200D ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0061 × 2060 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 231A ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] WATCH (ExtPict) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 231A × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] WATCH (ExtPict) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0001 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0001 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 000D ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 000D ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 000A ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 000A ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 000B ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 000B ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 3031 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 3031 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0041 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0041 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 003A ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 003A ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 002C ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 002C ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 002E ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 002E ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0030 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0030 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 005F ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 005F ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 1F1E6 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 05D0 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0022 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0022 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0027 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0027 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 231A ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 231A ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0020 × 0020 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [3.4] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0020 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0020 × 00AD ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 × 00AD ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 0300 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 × 0300 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 200D ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 × 200D ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0061 × 2060 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0020 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] SPACE (WSegSpace) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0001 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0001 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 000D ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 000D ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 000A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 000A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 000B ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 000B ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 3031 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 3031 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0041 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0041 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 003A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 003A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 002E ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 002E ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0030 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0030 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 005F ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 005F ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 1F1E6 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 05D0 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 05D0 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0022 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0022 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0027 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0027 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 231A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 231A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0020 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0020 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 00AD × 00AD ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 × 00AD ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 0300 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 × 0300 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 200D ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 × 200D ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0061 × 2060 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 00AD ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] SOFT HYPHEN (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0001 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0001 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 000D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 000D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 000A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 000A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 000B ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 000B ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 3031 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 3031 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0041 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0041 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 003A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 003A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 002E ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 002E ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0030 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0030 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 005F ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 005F ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 1F1E6 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 05D0 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0022 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0022 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0027 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0027 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 231A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 231A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0020 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0020 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0300 × 00AD ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 × 00AD ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 0300 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 × 0300 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 200D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 × 200D ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0061 × 2060 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0300 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] COMBINING GRAVE ACCENT (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0001 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0001 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 000D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 000D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 000A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 000A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 000B ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 000B ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 3031 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 3031 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0041 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0041 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 003A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 003A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 002C ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 002C ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 002E ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 002E ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0030 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0030 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 005F ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 005F ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 1F1E6 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 05D0 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 05D0 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0022 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0022 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0027 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0027 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 200D × 231A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 231A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0020 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0020 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 200D × 00AD ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 × 00AD ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 0300 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 × 0300 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 200D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 × 200D ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0061 × 2060 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 200D ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [5.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [9.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [5.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [5.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [9.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0308 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0308 × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [7.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0308 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [7.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0308 × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [7.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [7.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [7.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [7.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [6.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [7.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0001 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000B ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 3031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0041 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 002E ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0030 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 005F ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 05D0 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0022 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 231A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0020 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 × 00AD ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 × 0300 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 × 200D ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0308 × 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] APOSTROPHE (Single_Quote) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0308 × 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] COMMA (MidNum) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0001 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] <START OF HEADING> (Other) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <CARRIAGE RETURN (CR)> (CR) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000B ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [3.2] <LINE TABULATION> (Newline) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 3031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0041 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 002E ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] FULL STOP (MidNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0030 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 005F ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 1F1E6 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 05D0 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0022 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] QUOTATION MARK (Double_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 231A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] WATCH (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0020 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 × 00AD ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] SOFT HYPHEN (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 × 0300 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] COMBINING GRAVE ACCENT (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 × 200D ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] APOSTROPHE (Single_Quote) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 003A ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 0027 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 002C ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 002E × 2060 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [12.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [11.0] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) × [4.0] WORD JOINER (Format_FE) ÷ [0.3]');
    Test_WB('÷ 000D × 000A ÷ 0061 ÷ 000A ÷ 0308 ÷	#  ÷ [0.2] <CARRIAGE RETURN (CR)> (CR) × [3.0] <LINE FEED (LF)> (LF) ÷ [3.1] LATIN SMALL LETTER A (ALetter) ÷ [3.2] <LINE FEED (LF)> (LF) ÷ [3.1] COMBINING DIAERESIS (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0061 × 0308 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 0020 × 200D ÷ 0646 ÷	#  ÷ [0.2] SPACE (WSegSpace) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] ARABIC LETTER NOON (ALetter) ÷ [0.3]');
    Test_WB('÷ 0646 × 200D ÷ 0020 ÷	#  ÷ [0.2] ARABIC LETTER NOON (ALetter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] SPACE (WSegSpace) ÷ [0.3]');
    Test_WB('÷ 0041 × 0041 × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN CAPITAL LETTER A (ALetter) × [5.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0041 × 003A × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [6.0] COLON (MidLetter) × [7.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0041 ÷ 003A ÷ 003A ÷ 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0027 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [7.1] APOSTROPHE (Single_Quote) ÷ [0.3]');
    Test_WB('÷ 05D0 × 0022 × 05D0 ÷	#  ÷ [0.2] HEBREW LETTER ALEF (Hebrew_Letter) × [7.2] QUOTATION MARK (Double_Quote) × [7.3] HEBREW LETTER ALEF (Hebrew_Letter) ÷ [0.3]');
    Test_WB('÷ 0041 × 0030 × 0030 × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [9.0] DIGIT ZERO (Numeric) × [8.0] DIGIT ZERO (Numeric) × [10.0] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0030 × 002C × 0030 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) × [12.0] COMMA (MidNum) × [11.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 0030 ÷ 002C ÷ 002C ÷ 0030 ÷	#  ÷ [0.2] DIGIT ZERO (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ZERO (Numeric) ÷ [0.3]');
    Test_WB('÷ 3031 × 3031 ÷	#  ÷ [0.2] VERTICAL KANA REPEAT MARK (Katakana) × [13.0] VERTICAL KANA REPEAT MARK (Katakana) ÷ [0.3]');
    Test_WB('÷ 0041 × 005F × 0030 × 005F × 3031 × 005F ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ZERO (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] VERTICAL KANA REPEAT MARK (Katakana) × [13.1] LOW LINE (ExtendNumLet) ÷ [0.3]');
    Test_WB('÷ 0041 × 005F × 005F × 0041 ÷	#  ÷ [0.2] LATIN CAPITAL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN CAPITAL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 1F1E6 × 1F1E7 ÷ 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [15.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 1F1E6 × 1F1E7 ÷ 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [16.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 1F1E6 × 1F1E7 × 200D ÷ 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [16.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 1F1E6 × 200D × 1F1E7 ÷ 1F1E8 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) × [16.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) ÷ [999.0] LATIN SMALL LETTER B (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 1F1E6 × 1F1E7 ÷ 1F1E8 × 1F1E9 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER A (RI) × [16.0] REGIONAL INDICATOR SYMBOL LETTER B (RI) ÷ [999.0] REGIONAL INDICATOR SYMBOL LETTER C (RI) × [16.0] REGIONAL INDICATOR SYMBOL LETTER D (RI) ÷ [999.0] LATIN SMALL LETTER B (ALetter) ÷ [0.3]');
    Test_WB('÷ 1F476 × 1F3FF ÷ 1F476 ÷	#  ÷ [0.2] BABY (ExtPict) × [4.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend_FE) ÷ [999.0] BABY (ExtPict) ÷ [0.3]');
    Test_WB('÷ 1F6D1 × 200D × 1F6D1 ÷	#  ÷ [0.2] OCTAGONAL SIGN (ExtPict) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 × 200D × 1F6D1 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_WB('÷ 2701 × 200D × 2701 ÷	#  ÷ [0.2] UPPER BLADE SCISSORS (Other) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] UPPER BLADE SCISSORS (Other) ÷ [0.3]');
    Test_WB('÷ 0061 × 200D × 2701 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] UPPER BLADE SCISSORS (Other) ÷ [0.3]');
    Test_WB('÷ 1F476 × 1F3FF × 0308 × 200D × 1F476 × 1F3FF ÷	#  ÷ [0.2] BABY (ExtPict) × [4.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] BABY (ExtPict) × [4.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 1F6D1 × 1F3FF ÷	#  ÷ [0.2] OCTAGONAL SIGN (ExtPict) × [4.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 1F6D1 × 1F3FF ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] OCTAGONAL SIGN (ExtPict) × [4.0] EMOJI MODIFIER FITZPATRICK TYPE-6 (Extend_FE) ÷ [0.3]');
    Test_WB('÷ 200D × 1F6D1 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_WB('÷ 200D × 1F6D1 ÷	#  ÷ [0.2] ZERO WIDTH JOINER (ZWJ_FE) × [3.3] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_WB('÷ 1F6D1 ÷ 1F6D1 ÷	#  ÷ [0.2] OCTAGONAL SIGN (ExtPict) ÷ [999.0] OCTAGONAL SIGN (ExtPict) ÷ [0.3]');
    Test_WB('÷ 0061 × 0308 × 200D × 0308 × 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [4.0] COMBINING DIAERESIS (Extend_FE) × [4.0] ZERO WIDTH JOINER (ZWJ_FE) × [4.0] COMBINING DIAERESIS (Extend_FE) × [5.0] LATIN SMALL LETTER B (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 0020 × 0020 ÷ 0062 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] SPACE (WSegSpace) × [3.4] SPACE (WSegSpace) ÷ [999.0] LATIN SMALL LETTER B (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 003A ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002E ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0031 ÷ 002C ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] DIGIT ONE (Numeric) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 003A ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COLON (MidLetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002E ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002E ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002E ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002E ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002E ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002E ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COLON (MidLetter) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] FULL STOP (MidNumLet) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0031 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] DIGIT ONE (Numeric) ÷ [0.3]');
    Test_WB('÷ 0061 ÷ 002C ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] DIGIT ONE (Numeric) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
    Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0061 ÷	#  ÷ [0.2] LATIN SMALL LETTER A (ALetter) × [13.1] LOW LINE (ExtendNumLet) × [13.2] LATIN SMALL LETTER A (ALetter) ÷ [999.0] COMMA (MidNum) ÷ [999.0] COMMA (MidNum) ÷ [999.0] LATIN SMALL LETTER A (ALetter) ÷ [0.3]');
}
Finished();
